/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 89;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 64,
  Feature_HasStdExtZicondBit = 65,
  Feature_HasStdExtZimopBit = 63,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZmmulBit = 22,
  Feature_HasStdExtMBit = 23,
  Feature_HasStdExtABit = 25,
  Feature_HasStdExtZtsoBit = 27,
  Feature_NotHasStdExtZtsoBit = 26,
  Feature_HasStdExtZabhaBit = 30,
  Feature_HasStdExtZacasBit = 29,
  Feature_NoStdExtZacasBit = 28,
  Feature_HasStdExtZalasrBit = 31,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 32,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtCOrZcaBit = 20,
  Feature_HasStdExtZbaBit = 38,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 35,
  Feature_NoStdExtZbbBit = 37,
  Feature_HasStdExtZbcBit = 40,
  Feature_HasStdExtZbsBit = 34,
  Feature_HasStdExtZbkbBit = 36,
  Feature_NoStdExtZbkbBit = 86,
  Feature_HasStdExtZbkxBit = 41,
  Feature_HasStdExtZbbOrZbkbBit = 33,
  Feature_HasStdExtZbcOrZbkcBit = 39,
  Feature_HasStdExtZkndBit = 42,
  Feature_HasStdExtZkneBit = 44,
  Feature_HasStdExtZkndOrZkneBit = 43,
  Feature_HasStdExtZknhBit = 45,
  Feature_HasStdExtZksedBit = 46,
  Feature_HasStdExtZkshBit = 47,
  Feature_HasStdExtZvkbBit = 55,
  Feature_HasStdExtZvbbBit = 54,
  Feature_HasStdExtZvbcBit = 59,
  Feature_HasStdExtZvkgBit = 56,
  Feature_HasStdExtZvknedBit = 57,
  Feature_HasStdExtZvknhaBit = 60,
  Feature_HasStdExtZvknhbBit = 61,
  Feature_HasStdExtZvksedBit = 62,
  Feature_HasStdExtZvkshBit = 58,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 50,
  Feature_HasVInstructionsAnyFBit = 49,
  Feature_HasVInstructionsF16MinimalBit = 52,
  Feature_HasVInstructionsF16Bit = 48,
  Feature_HasVInstructionsF64Bit = 53,
  Feature_HasVInstructionsFullMultiplyBit = 51,
  Feature_HasVendorXVentanaCondOpsBit = 66,
  Feature_HasVendorXTHeadBaBit = 67,
  Feature_HasVendorXTHeadBbBit = 68,
  Feature_HasVendorXTHeadBsBit = 69,
  Feature_HasVendorXTHeadCondMovBit = 70,
  Feature_HasVendorXTHeadFMemIdxBit = 75,
  Feature_HasVendorXTHeadMacBit = 71,
  Feature_HasVendorXTHeadMemIdxBit = 74,
  Feature_HasVendorXTHeadMemPairBit = 73,
  Feature_HasVendorXTHeadVdotBit = 72,
  Feature_HasVendorXSfvcpBit = 76,
  Feature_HasVendorXSfvqmaccdodBit = 77,
  Feature_HasVendorXSfvqmaccqoqBit = 78,
  Feature_HasVendorXSfvfnrclipxfqfBit = 79,
  Feature_HasVendorXCVbitmanipBit = 81,
  Feature_HasVendorXCVmacBit = 84,
  Feature_HasVendorXCVmemBit = 80,
  Feature_HasVendorXCValuBit = 82,
  Feature_HasVendorXCVbiBit = 83,
  Feature_UseCCMovInsnBit = 85,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 24,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 88,
  Feature_HwMode0Bit = 87,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtCOrZca())
    Features.set(Feature_HasStdExtCOrZcaBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9519,
  GICXXPred_MI_Predicate_anonymous_9521,
  GICXXPred_MI_Predicate_anonymous_9609,
  GICXXPred_MI_Predicate_anonymous_9623,
  GICXXPred_MI_Predicate_anonymous_9627,
  GICXXPred_MI_Predicate_anonymous_9629,
  GICXXPred_MI_Predicate_anonymous_9631,
  GICXXPred_MI_Predicate_anonymous_9633,
  GICXXPred_MI_Predicate_anonymous_9636,
  GICXXPred_MI_Predicate_anonymous_9638,
  GICXXPred_MI_Predicate_anonymous_9650,
  GICXXPred_MI_Predicate_anonymous_9661,
  GICXXPred_MI_Predicate_anonymous_10783,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9519: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9521: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9609: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9623: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9627: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9629: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9631: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9633: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9636: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9638: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_9650: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9661: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10783: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm9_lsb0,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb0,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(329), /*)*//*default:*//*Label 121*/ GIMT_Encode4(2546352),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1114),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(9751),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(12707),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(15611),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(18345),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(21079),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(23858), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(26592),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(35876),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(48413), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(63208), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(63269), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(63330), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(63421), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(63788),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(63986),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(64184),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(64764),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(64974),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(65172),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(65211),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(65250),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(73712),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(74007), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(74302), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(81100),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(85986),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(88896), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(91806),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(94716),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(95628),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(98538),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(101448),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(104358),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(107268),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(110178), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     286 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(113088), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     306 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(113306),
     /*     310 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2306845), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     322 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2308361), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     346 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2311482),
     /*     350 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2314957),
     /*     354 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2315506),
     /*     358 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2319193),
     /*     362 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2322329),
     /*     366 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2325360), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     378 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2328299),
     /*     382 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2331239),
     /*     386 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2334149),
     /*     390 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2360812), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     402 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2368274), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     446 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2373998),
     /*     450 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2376732),
     /*     454 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2379466),
     /*     458 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2382252),
     /*     462 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2385038),
     /*     466 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2387824), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     510 */ /*TargetOpcode::G_FADD*//*Label 57*/ GIMT_Encode4(2390610),
     /*     514 */ /*TargetOpcode::G_FSUB*//*Label 58*/ GIMT_Encode4(2393038),
     /*     518 */ /*TargetOpcode::G_FMUL*//*Label 59*/ GIMT_Encode4(2395466),
     /*     522 */ /*TargetOpcode::G_FMA*//*Label 60*/ GIMT_Encode4(2397894), GIMT_Encode4(0),
     /*     530 */ /*TargetOpcode::G_FDIV*//*Label 61*/ GIMT_Encode4(2414539), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     578 */ /*TargetOpcode::G_FNEG*//*Label 62*/ GIMT_Encode4(2416967),
     /*     582 */ /*TargetOpcode::G_FPEXT*//*Label 63*/ GIMT_Encode4(2418938),
     /*     586 */ /*TargetOpcode::G_FPTRUNC*//*Label 64*/ GIMT_Encode4(2419391),
     /*     590 */ /*TargetOpcode::G_FPTOSI*//*Label 65*/ GIMT_Encode4(2420927),
     /*     594 */ /*TargetOpcode::G_FPTOUI*//*Label 66*/ GIMT_Encode4(2425813),
     /*     598 */ /*TargetOpcode::G_SITOFP*//*Label 67*/ GIMT_Encode4(2430699),
     /*     602 */ /*TargetOpcode::G_UITOFP*//*Label 68*/ GIMT_Encode4(2435985), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     614 */ /*TargetOpcode::G_FABS*//*Label 69*/ GIMT_Encode4(2441271),
     /*     618 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 70*/ GIMT_Encode4(2443242), GIMT_Encode4(0),
     /*     626 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 71*/ GIMT_Encode4(2449304),
     /*     630 */ /*TargetOpcode::G_FMINNUM*//*Label 72*/ GIMT_Encode4(2449494),
     /*     634 */ /*TargetOpcode::G_FMAXNUM*//*Label 73*/ GIMT_Encode4(2451579), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     646 */ /*TargetOpcode::G_FMINIMUM*//*Label 74*/ GIMT_Encode4(2453664),
     /*     650 */ /*TargetOpcode::G_FMAXIMUM*//*Label 75*/ GIMT_Encode4(2453790), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     686 */ /*TargetOpcode::G_SMIN*//*Label 76*/ GIMT_Encode4(2453916),
     /*     690 */ /*TargetOpcode::G_SMAX*//*Label 77*/ GIMT_Encode4(2456692),
     /*     694 */ /*TargetOpcode::G_UMIN*//*Label 78*/ GIMT_Encode4(2459468),
     /*     698 */ /*TargetOpcode::G_UMAX*//*Label 79*/ GIMT_Encode4(2462244),
     /*     702 */ /*TargetOpcode::G_ABS*//*Label 80*/ GIMT_Encode4(2465020),
     /*     706 */ /*TargetOpcode::G_LROUND*//*Label 81*/ GIMT_Encode4(2465178),
     /*     710 */ /*TargetOpcode::G_LLROUND*//*Label 82*/ GIMT_Encode4(2465758),
     /*     714 */ /*TargetOpcode::G_BR*//*Label 83*/ GIMT_Encode4(2465968), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     758 */ /*TargetOpcode::G_CTTZ*//*Label 84*/ GIMT_Encode4(2465984), GIMT_Encode4(0),
     /*     766 */ /*TargetOpcode::G_CTLZ*//*Label 85*/ GIMT_Encode4(2468504), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTPOP*//*Label 86*/ GIMT_Encode4(2471162),
     /*     778 */ /*TargetOpcode::G_BSWAP*//*Label 87*/ GIMT_Encode4(2473713),
     /*     782 */ /*TargetOpcode::G_BITREVERSE*//*Label 88*/ GIMT_Encode4(2476248),
     /*     786 */ /*TargetOpcode::G_FCEIL*//*Label 89*/ GIMT_Encode4(2478742), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     834 */ /*TargetOpcode::G_FSQRT*//*Label 90*/ GIMT_Encode4(2478940),
     /*     838 */ /*TargetOpcode::G_FFLOOR*//*Label 91*/ GIMT_Encode4(2481116),
     /*     842 */ /*TargetOpcode::G_FRINT*//*Label 92*/ GIMT_Encode4(2481314),
     /*     846 */ /*TargetOpcode::G_FNEARBYINT*//*Label 93*/ GIMT_Encode4(2481512), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     874 */ /*TargetOpcode::G_STRICT_FADD*//*Label 94*/ GIMT_Encode4(2481710),
     /*     878 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 95*/ GIMT_Encode4(2484138),
     /*     882 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 96*/ GIMT_Encode4(2486566),
     /*     886 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 97*/ GIMT_Encode4(2488994), GIMT_Encode4(0),
     /*     894 */ /*TargetOpcode::G_STRICT_FMA*//*Label 98*/ GIMT_Encode4(2491422),
     /*     898 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 99*/ GIMT_Encode4(2508067), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     934 */ /*TargetOpcode::G_TRAP*//*Label 100*/ GIMT_Encode4(2510243),
     /*     938 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 101*/ GIMT_Encode4(2510256), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1034 */ /*RISCV::G_CLZW*//*Label 102*/ GIMT_Encode4(2510269),
     /*    1038 */ /*RISCV::G_CTZW*//*Label 103*/ GIMT_Encode4(2510364),
     /*    1042 */ /*RISCV::G_DIVUW*//*Label 104*/ GIMT_Encode4(2510394),
     /*    1046 */ /*RISCV::G_DIVW*//*Label 105*/ GIMT_Encode4(2510431),
     /*    1050 */ /*RISCV::G_FCLASS*//*Label 106*/ GIMT_Encode4(2510468),
     /*    1054 */ /*RISCV::G_FCVT_WU_RV64*//*Label 107*/ GIMT_Encode4(2510828),
     /*    1058 */ /*RISCV::G_FCVT_W_RV64*//*Label 108*/ GIMT_Encode4(2511026),
     /*    1062 */ /*RISCV::G_READ_VLENB*//*Label 109*/ GIMT_Encode4(2511224),
     /*    1066 */ /*RISCV::G_REMUW*//*Label 110*/ GIMT_Encode4(2511284),
     /*    1070 */ /*RISCV::G_ROLW*//*Label 111*/ GIMT_Encode4(2511321),
     /*    1074 */ /*RISCV::G_RORW*//*Label 112*/ GIMT_Encode4(2511446),
     /*    1078 */ /*RISCV::G_SLLW*//*Label 113*/ GIMT_Encode4(2511567), GIMT_Encode4(0),
     /*    1086 */ /*RISCV::G_SRAW*//*Label 114*/ GIMT_Encode4(2511614),
     /*    1090 */ /*RISCV::G_SRLW*//*Label 115*/ GIMT_Encode4(2511661),
     /*    1094 */ /*RISCV::G_VMCLR_VL*//*Label 116*/ GIMT_Encode4(2511708),
     /*    1098 */ /*RISCV::G_VMSET_VL*//*Label 117*/ GIMT_Encode4(2512357),
     /*    1102 */ /*RISCV::G_VMV_V_V_VL*//*Label 118*/ GIMT_Encode4(2513006),
     /*    1106 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 119*/ GIMT_Encode4(2517264),
     /*    1110 */ /*RISCV::G_VSLIDEUP_VL*//*Label 120*/ GIMT_Encode4(2531808),
     /*    1114 */ // Label 0: @1114
     /*    1114 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 146*/ GIMT_Encode4(9750),
     /*    1125 */ /*GILLT_s32*//*Label 122*/ GIMT_Encode4(1249),
     /*    1129 */ /*GILLT_s64*//*Label 123*/ GIMT_Encode4(2734), GIMT_Encode4(0),
     /*    1137 */ /*GILLT_nxv1s8*//*Label 124*/ GIMT_Encode4(7220),
     /*    1141 */ /*GILLT_nxv1s16*//*Label 125*/ GIMT_Encode4(7335),
     /*    1145 */ /*GILLT_nxv1s32*//*Label 126*/ GIMT_Encode4(7450),
     /*    1149 */ /*GILLT_nxv1s64*//*Label 127*/ GIMT_Encode4(7565), GIMT_Encode4(0),
     /*    1157 */ /*GILLT_nxv2s8*//*Label 128*/ GIMT_Encode4(7680),
     /*    1161 */ /*GILLT_nxv2s16*//*Label 129*/ GIMT_Encode4(7795),
     /*    1165 */ /*GILLT_nxv2s32*//*Label 130*/ GIMT_Encode4(7910),
     /*    1169 */ /*GILLT_nxv2s64*//*Label 131*/ GIMT_Encode4(8025), GIMT_Encode4(0),
     /*    1177 */ /*GILLT_nxv4s8*//*Label 132*/ GIMT_Encode4(8140),
     /*    1181 */ /*GILLT_nxv4s16*//*Label 133*/ GIMT_Encode4(8255),
     /*    1185 */ /*GILLT_nxv4s32*//*Label 134*/ GIMT_Encode4(8370),
     /*    1189 */ /*GILLT_nxv4s64*//*Label 135*/ GIMT_Encode4(8485), GIMT_Encode4(0),
     /*    1197 */ /*GILLT_nxv8s8*//*Label 136*/ GIMT_Encode4(8600),
     /*    1201 */ /*GILLT_nxv8s16*//*Label 137*/ GIMT_Encode4(8715),
     /*    1205 */ /*GILLT_nxv8s32*//*Label 138*/ GIMT_Encode4(8830),
     /*    1209 */ /*GILLT_nxv8s64*//*Label 139*/ GIMT_Encode4(8945), GIMT_Encode4(0),
     /*    1217 */ /*GILLT_nxv16s8*//*Label 140*/ GIMT_Encode4(9060),
     /*    1221 */ /*GILLT_nxv16s16*//*Label 141*/ GIMT_Encode4(9175),
     /*    1225 */ /*GILLT_nxv16s32*//*Label 142*/ GIMT_Encode4(9290), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv32s8*//*Label 143*/ GIMT_Encode4(9405),
     /*    1237 */ /*GILLT_nxv32s16*//*Label 144*/ GIMT_Encode4(9520), GIMT_Encode4(0),
     /*    1245 */ /*GILLT_nxv64s8*//*Label 145*/ GIMT_Encode4(9635),
     /*    1249 */ // Label 122: @1249
     /*    1249 */ GIM_Try, /*On fail goto*//*Label 147*/ GIMT_Encode4(2733),
     /*    1254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1260 */   GIM_Try, /*On fail goto*//*Label 148*/ GIMT_Encode4(1308), // Rule ID 2428 //
     /*    1265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1272 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1276 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1284 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1295 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1300 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1306 */     GIR_RootConstrainSelectedInstOperands,
     /*    1307 */     // GIR_Coverage, 2428,
     /*    1307 */     GIR_EraseRootFromParent_Done,
     /*    1308 */   // Label 148: @1308
     /*    1308 */   GIM_Try, /*On fail goto*//*Label 149*/ GIMT_Encode4(1356), // Rule ID 2438 //
     /*    1313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1320 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1324 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1332 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1343 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1348 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1354 */     GIR_RootConstrainSelectedInstOperands,
     /*    1355 */     // GIR_Coverage, 2438,
     /*    1355 */     GIR_EraseRootFromParent_Done,
     /*    1356 */   // Label 149: @1356
     /*    1356 */   GIM_Try, /*On fail goto*//*Label 150*/ GIMT_Encode4(1404), // Rule ID 2448 //
     /*    1361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1368 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1372 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1380 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1391 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1396 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1402 */     GIR_RootConstrainSelectedInstOperands,
     /*    1403 */     // GIR_Coverage, 2448,
     /*    1403 */     GIR_EraseRootFromParent_Done,
     /*    1404 */   // Label 150: @1404
     /*    1404 */   GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(1455), // Rule ID 61871 //
     /*    1409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1416 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1439 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1446 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1453 */     GIR_RootConstrainSelectedInstOperands,
     /*    1454 */     // GIR_Coverage, 61871,
     /*    1454 */     GIR_EraseRootFromParent_Done,
     /*    1455 */   // Label 151: @1455
     /*    1455 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1506), // Rule ID 61875 //
     /*    1460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1467 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1490 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1497 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1504 */     GIR_RootConstrainSelectedInstOperands,
     /*    1505 */     // GIR_Coverage, 61875,
     /*    1505 */     GIR_EraseRootFromParent_Done,
     /*    1506 */   // Label 152: @1506
     /*    1506 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1557), // Rule ID 61879 //
     /*    1511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1518 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1522 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1530 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1541 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1548 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1555 */     GIR_RootConstrainSelectedInstOperands,
     /*    1556 */     // GIR_Coverage, 61879,
     /*    1556 */     GIR_EraseRootFromParent_Done,
     /*    1557 */   // Label 153: @1557
     /*    1557 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1605), // Rule ID 64128 //
     /*    1562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1569 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1577 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1592 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1597 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1603 */     GIR_RootConstrainSelectedInstOperands,
     /*    1604 */     // GIR_Coverage, 64128,
     /*    1604 */     GIR_EraseRootFromParent_Done,
     /*    1605 */   // Label 154: @1605
     /*    1605 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1653), // Rule ID 64136 //
     /*    1610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1617 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1625 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1629 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1640 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1645 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1651 */     GIR_RootConstrainSelectedInstOperands,
     /*    1652 */     // GIR_Coverage, 64136,
     /*    1652 */     GIR_EraseRootFromParent_Done,
     /*    1653 */   // Label 155: @1653
     /*    1653 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1701), // Rule ID 64144 //
     /*    1658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1665 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1673 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1677 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1693 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1699 */     GIR_RootConstrainSelectedInstOperands,
     /*    1700 */     // GIR_Coverage, 64144,
     /*    1700 */     GIR_EraseRootFromParent_Done,
     /*    1701 */   // Label 156: @1701
     /*    1701 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1752), // Rule ID 72682 //
     /*    1706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1713 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1721 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1725 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1736 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1743 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1750 */     GIR_RootConstrainSelectedInstOperands,
     /*    1751 */     // GIR_Coverage, 72682,
     /*    1751 */     GIR_EraseRootFromParent_Done,
     /*    1752 */   // Label 157: @1752
     /*    1752 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1803), // Rule ID 72686 //
     /*    1757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1764 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1772 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1776 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1787 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1794 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1801 */     GIR_RootConstrainSelectedInstOperands,
     /*    1802 */     // GIR_Coverage, 72686,
     /*    1802 */     GIR_EraseRootFromParent_Done,
     /*    1803 */   // Label 158: @1803
     /*    1803 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1854), // Rule ID 72690 //
     /*    1808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1838 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1845 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1852 */     GIR_RootConstrainSelectedInstOperands,
     /*    1853 */     // GIR_Coverage, 72690,
     /*    1853 */     GIR_EraseRootFromParent_Done,
     /*    1854 */   // Label 159: @1854
     /*    1854 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1922), // Rule ID 2422 //
     /*    1859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1866 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    1870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1891 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    1895 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    1899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1903 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1909 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1920 */     GIR_RootConstrainSelectedInstOperands,
     /*    1921 */     // GIR_Coverage, 2422,
     /*    1921 */     GIR_EraseRootFromParent_Done,
     /*    1922 */   // Label 160: @1922
     /*    1922 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1990), // Rule ID 2432 //
     /*    1927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1934 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    1938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    1942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    1946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    1950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    1954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1959 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    1963 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    1967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1971 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    1977 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    1986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1988 */     GIR_RootConstrainSelectedInstOperands,
     /*    1989 */     // GIR_Coverage, 2432,
     /*    1989 */     GIR_EraseRootFromParent_Done,
     /*    1990 */   // Label 161: @1990
     /*    1990 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(2058), // Rule ID 2442 //
     /*    1995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2027 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2031 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2039 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2045 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2056 */     GIR_RootConstrainSelectedInstOperands,
     /*    2057 */     // GIR_Coverage, 2442,
     /*    2057 */     GIR_EraseRootFromParent_Done,
     /*    2058 */   // Label 162: @2058
     /*    2058 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(2126), // Rule ID 64124 //
     /*    2063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2070 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2078 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2103 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2107 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2113 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2124 */     GIR_RootConstrainSelectedInstOperands,
     /*    2125 */     // GIR_Coverage, 64124,
     /*    2125 */     GIR_EraseRootFromParent_Done,
     /*    2126 */   // Label 163: @2126
     /*    2126 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(2194), // Rule ID 64132 //
     /*    2131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2146 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2162 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2166 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2171 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2175 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2181 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2192 */     GIR_RootConstrainSelectedInstOperands,
     /*    2193 */     // GIR_Coverage, 64132,
     /*    2193 */     GIR_EraseRootFromParent_Done,
     /*    2194 */   // Label 164: @2194
     /*    2194 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(2262), // Rule ID 64140 //
     /*    2199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2206 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2214 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2239 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2243 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2249 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2260 */     GIR_RootConstrainSelectedInstOperands,
     /*    2261 */     // GIR_Coverage, 64140,
     /*    2261 */     GIR_EraseRootFromParent_Done,
     /*    2262 */   // Label 165: @2262
     /*    2262 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2341), // Rule ID 61865 //
     /*    2267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2307 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2311 */     // MIs[2] Operand 1
     /*    2311 */     // No operand predicates
     /*    2311 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    2315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2319 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2325 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    2332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2339 */     GIR_RootConstrainSelectedInstOperands,
     /*    2340 */     // GIR_Coverage, 61865,
     /*    2340 */     GIR_EraseRootFromParent_Done,
     /*    2341 */   // Label 166: @2341
     /*    2341 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2420), // Rule ID 72678 //
     /*    2346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2353 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    2357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2361 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    2365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    2390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2394 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    2398 */     // MIs[2] Operand 1
     /*    2398 */     // No operand predicates
     /*    2398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2404 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    2404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    2415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    2418 */     GIR_RootConstrainSelectedInstOperands,
     /*    2419 */     // GIR_Coverage, 72678,
     /*    2419 */     GIR_EraseRootFromParent_Done,
     /*    2420 */   // Label 167: @2420
     /*    2420 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2469), // Rule ID 115 //
     /*    2425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    2440 */     // MIs[1] Operand 1
     /*    2440 */     // No operand predicates
     /*    2440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    2444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2448 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2452 */     // MIs[2] Operand 1
     /*    2452 */     // No operand predicates
     /*    2452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2454 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    2454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2459 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    2464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    2467 */     GIR_RootConstrainSelectedInstOperands,
     /*    2468 */     // GIR_Coverage, 115,
     /*    2468 */     GIR_EraseRootFromParent_Done,
     /*    2469 */   // Label 168: @2469
     /*    2469 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2511), // Rule ID 75 //
     /*    2474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    2497 */     // MIs[1] Operand 1
     /*    2497 */     // No operand predicates
     /*    2497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2499 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    2499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    2509 */     GIR_RootConstrainSelectedInstOperands,
     /*    2510 */     // GIR_Coverage, 75,
     /*    2510 */     GIR_EraseRootFromParent_Done,
     /*    2511 */   // Label 169: @2511
     /*    2511 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2583), // Rule ID 285 //
     /*    2516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    2535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    2539 */     // MIs[1] Operand 1
     /*    2539 */     // No operand predicates
     /*    2539 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9650),
     /*    2543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2545 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9650>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    2545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    2548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    2557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    2561 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    2566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    2568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    2571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    2576 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    2581 */     GIR_RootConstrainSelectedInstOperands,
     /*    2582 */     // GIR_Coverage, 285,
     /*    2582 */     GIR_EraseRootFromParent_Done,
     /*    2583 */   // Label 170: @2583
     /*    2583 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2644), // Rule ID 72692 //
     /*    2588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2627 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    2634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2642 */     GIR_RootConstrainSelectedInstOperands,
     /*    2643 */     // GIR_Coverage, 72692,
     /*    2643 */     GIR_EraseRootFromParent_Done,
     /*    2644 */   // Label 171: @2644
     /*    2644 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2705), // Rule ID 61933 //
     /*    2649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    2652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    2668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2688 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    2691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    2693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    2695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    2703 */     GIR_RootConstrainSelectedInstOperands,
     /*    2704 */     // GIR_Coverage, 61933,
     /*    2704 */     GIR_EraseRootFromParent_Done,
     /*    2705 */   // Label 172: @2705
     /*    2705 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2732), // Rule ID 73 //
     /*    2710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    2713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2725 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    2730 */     GIR_RootConstrainSelectedInstOperands,
     /*    2731 */     // GIR_Coverage, 73,
     /*    2731 */     GIR_Done,
     /*    2732 */   // Label 173: @2732
     /*    2732 */   GIM_Reject,
     /*    2733 */ // Label 147: @2733
     /*    2733 */ GIM_Reject,
     /*    2734 */ // Label 123: @2734
     /*    2734 */ GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(7219),
     /*    2739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    2742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    2745 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2840), // Rule ID 2472 //
     /*    2750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2757 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    2761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2769 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2773 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2789 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2798 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    2802 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    2813 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    2817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2821 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2827 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    2830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2838 */     GIR_RootConstrainSelectedInstOperands,
     /*    2839 */     // GIR_Coverage, 2472,
     /*    2839 */     GIR_EraseRootFromParent_Done,
     /*    2840 */   // Label 175: @2840
     /*    2840 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2935), // Rule ID 2474 //
     /*    2845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2852 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    2856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2868 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2893 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    2897 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    2908 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    2912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2916 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    2922 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    2922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    2925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    2931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2933 */     GIR_RootConstrainSelectedInstOperands,
     /*    2934 */     // GIR_Coverage, 2474,
     /*    2934 */     GIR_EraseRootFromParent_Done,
     /*    2935 */   // Label 176: @2935
     /*    2935 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(3030), // Rule ID 2476 //
     /*    2940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    2943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    2951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    2959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    2963 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    2967 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    2971 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2975 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    2979 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    2983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2988 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    2992 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3003 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    3007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3017 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3028 */     GIR_RootConstrainSelectedInstOperands,
     /*    3029 */     // GIR_Coverage, 2476,
     /*    3029 */     GIR_EraseRootFromParent_Done,
     /*    3030 */   // Label 177: @3030
     /*    3030 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(3125), // Rule ID 2463 //
     /*    3035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3058 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3074 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3083 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3094 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3098 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3106 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3110 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3112 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3123 */     GIR_RootConstrainSelectedInstOperands,
     /*    3124 */     // GIR_Coverage, 2463,
     /*    3124 */     GIR_EraseRootFromParent_Done,
     /*    3125 */   // Label 178: @3125
     /*    3125 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(3220), // Rule ID 2466 //
     /*    3130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    3141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3169 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3178 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3189 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3193 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    3197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3207 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3218 */     GIR_RootConstrainSelectedInstOperands,
     /*    3219 */     // GIR_Coverage, 2466,
     /*    3219 */     GIR_EraseRootFromParent_Done,
     /*    3220 */   // Label 179: @3220
     /*    3220 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(3315), // Rule ID 2469 //
     /*    3225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3232 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3264 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3268 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3273 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3284 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3296 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3302 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3313 */     GIR_RootConstrainSelectedInstOperands,
     /*    3314 */     // GIR_Coverage, 2469,
     /*    3314 */     GIR_EraseRootFromParent_Done,
     /*    3315 */   // Label 180: @3315
     /*    3315 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(3410), // Rule ID 64154 //
     /*    3320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3327 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    3331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    3339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3367 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3371 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3376 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3380 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3391 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3395 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3408 */     GIR_RootConstrainSelectedInstOperands,
     /*    3409 */     // GIR_Coverage, 64154,
     /*    3409 */     GIR_EraseRootFromParent_Done,
     /*    3410 */   // Label 181: @3410
     /*    3410 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3505), // Rule ID 64156 //
     /*    3415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    3426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    3434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3462 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3466 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3471 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3475 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3486 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3492 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3503 */     GIR_RootConstrainSelectedInstOperands,
     /*    3504 */     // GIR_Coverage, 64156,
     /*    3504 */     GIR_EraseRootFromParent_Done,
     /*    3505 */   // Label 182: @3505
     /*    3505 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3600), // Rule ID 64158 //
     /*    3510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    3521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3525 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    3529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3557 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3561 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3566 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 3,
     /*    3570 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738367),
     /*    3581 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3587 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), 34359738367:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3598 */     GIR_RootConstrainSelectedInstOperands,
     /*    3599 */     // GIR_Coverage, 64158,
     /*    3599 */     GIR_EraseRootFromParent_Done,
     /*    3600 */   // Label 183: @3600
     /*    3600 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3695), // Rule ID 64148 //
     /*    3605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3612 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    3616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3620 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    3624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3652 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3661 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3672 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3676 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3682 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3693 */     GIR_RootConstrainSelectedInstOperands,
     /*    3694 */     // GIR_Coverage, 64148,
     /*    3694 */     GIR_EraseRootFromParent_Done,
     /*    3695 */   // Label 184: @3695
     /*    3695 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3790), // Rule ID 64150 //
     /*    3700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3707 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    3711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3715 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    3719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3731 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3747 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3756 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3767 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    3771 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3775 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3777 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3788 */     GIR_RootConstrainSelectedInstOperands,
     /*    3789 */     // GIR_Coverage, 64150,
     /*    3789 */     GIR_EraseRootFromParent_Done,
     /*    3790 */   // Label 185: @3790
     /*    3790 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3885), // Rule ID 64152 //
     /*    3795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3802 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    3806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3810 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    3814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3846 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3851 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3862 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    3866 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3872 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    3875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    3883 */     GIR_RootConstrainSelectedInstOperands,
     /*    3884 */     // GIR_Coverage, 64152,
     /*    3884 */     GIR_EraseRootFromParent_Done,
     /*    3885 */   // Label 186: @3885
     /*    3885 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3933), // Rule ID 2427 //
     /*    3890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3897 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    3901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    3905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3909 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    3920 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    3923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3925 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3931 */     GIR_RootConstrainSelectedInstOperands,
     /*    3932 */     // GIR_Coverage, 2427,
     /*    3932 */     GIR_EraseRootFromParent_Done,
     /*    3933 */   // Label 187: @3933
     /*    3933 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3981), // Rule ID 2437 //
     /*    3938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3945 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    3949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    3953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3957 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    3968 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    3971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3973 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    3977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3979 */     GIR_RootConstrainSelectedInstOperands,
     /*    3980 */     // GIR_Coverage, 2437,
     /*    3980 */     GIR_EraseRootFromParent_Done,
     /*    3981 */   // Label 188: @3981
     /*    3981 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(4029), // Rule ID 2447 //
     /*    3986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    3989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3993 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    3997 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    4001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4005 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4016 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4021 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4027 */     GIR_RootConstrainSelectedInstOperands,
     /*    4028 */     // GIR_Coverage, 2447,
     /*    4028 */     GIR_EraseRootFromParent_Done,
     /*    4029 */   // Label 189: @4029
     /*    4029 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(4077), // Rule ID 2478 //
     /*    4034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4041 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    4045 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    4049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4053 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4064 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4069 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4075 */     GIR_RootConstrainSelectedInstOperands,
     /*    4076 */     // GIR_Coverage, 2478,
     /*    4076 */     GIR_EraseRootFromParent_Done,
     /*    4077 */   // Label 190: @4077
     /*    4077 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(4125), // Rule ID 2480 //
     /*    4082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    4093 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    4097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4101 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4112 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4117 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4123 */     GIR_RootConstrainSelectedInstOperands,
     /*    4124 */     // GIR_Coverage, 2480,
     /*    4124 */     GIR_EraseRootFromParent_Done,
     /*    4125 */   // Label 191: @4125
     /*    4125 */   GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(4173), // Rule ID 2482 //
     /*    4130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4137 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4141 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4149 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4160 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4165 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4171 */     GIR_RootConstrainSelectedInstOperands,
     /*    4172 */     // GIR_Coverage, 2482,
     /*    4172 */     GIR_EraseRootFromParent_Done,
     /*    4173 */   // Label 192: @4173
     /*    4173 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(4224), // Rule ID 61870 //
     /*    4178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4185 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    4189 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    4193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4197 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4208 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4215 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4222 */     GIR_RootConstrainSelectedInstOperands,
     /*    4223 */     // GIR_Coverage, 61870,
     /*    4223 */     GIR_EraseRootFromParent_Done,
     /*    4224 */   // Label 193: @4224
     /*    4224 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(4275), // Rule ID 61874 //
     /*    4229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4236 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    4240 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    4244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4248 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4259 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4266 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4273 */     GIR_RootConstrainSelectedInstOperands,
     /*    4274 */     // GIR_Coverage, 61874,
     /*    4274 */     GIR_EraseRootFromParent_Done,
     /*    4275 */   // Label 194: @4275
     /*    4275 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(4326), // Rule ID 61878 //
     /*    4280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    4291 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    4295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4299 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4310 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    4317 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4324 */     GIR_RootConstrainSelectedInstOperands,
     /*    4325 */     // GIR_Coverage, 61878,
     /*    4325 */     GIR_EraseRootFromParent_Done,
     /*    4326 */   // Label 195: @4326
     /*    4326 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(4374), // Rule ID 64127 //
     /*    4331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4338 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    4342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4346 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    4350 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4361 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4366 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4372 */     GIR_RootConstrainSelectedInstOperands,
     /*    4373 */     // GIR_Coverage, 64127,
     /*    4373 */     GIR_EraseRootFromParent_Done,
     /*    4374 */   // Label 196: @4374
     /*    4374 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4422), // Rule ID 64135 //
     /*    4379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4386 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    4390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4394 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    4398 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4409 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    4412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4414 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4420 */     GIR_RootConstrainSelectedInstOperands,
     /*    4421 */     // GIR_Coverage, 64135,
     /*    4421 */     GIR_EraseRootFromParent_Done,
     /*    4422 */   // Label 197: @4422
     /*    4422 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4470), // Rule ID 64143 //
     /*    4427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    4430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4434 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    4438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    4446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4457 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    4460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4468 */     GIR_RootConstrainSelectedInstOperands,
     /*    4469 */     // GIR_Coverage, 64143,
     /*    4469 */     GIR_EraseRootFromParent_Done,
     /*    4470 */   // Label 198: @4470
     /*    4470 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4518), // Rule ID 64160 //
     /*    4475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4482 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    4486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4490 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    4494 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    4505 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4510 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4516 */     GIR_RootConstrainSelectedInstOperands,
     /*    4517 */     // GIR_Coverage, 64160,
     /*    4517 */     GIR_EraseRootFromParent_Done,
     /*    4518 */   // Label 199: @4518
     /*    4518 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4566), // Rule ID 64162 //
     /*    4523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4530 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    4534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    4542 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    4553 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4558 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4564 */     GIR_RootConstrainSelectedInstOperands,
     /*    4565 */     // GIR_Coverage, 64162,
     /*    4565 */     GIR_EraseRootFromParent_Done,
     /*    4566 */   // Label 200: @4566
     /*    4566 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4614), // Rule ID 64164 //
     /*    4571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    4601 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4606 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    4610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4612 */     GIR_RootConstrainSelectedInstOperands,
     /*    4613 */     // GIR_Coverage, 64164,
     /*    4613 */     GIR_EraseRootFromParent_Done,
     /*    4614 */   // Label 201: @4614
     /*    4614 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4665), // Rule ID 72681 //
     /*    4619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4626 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    4630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4634 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    4638 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    4649 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    4649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4656 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    4663 */     GIR_RootConstrainSelectedInstOperands,
     /*    4664 */     // GIR_Coverage, 72681,
     /*    4664 */     GIR_EraseRootFromParent_Done,
     /*    4665 */   // Label 202: @4665
     /*    4665 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4716), // Rule ID 72685 //
     /*    4670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4677 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    4681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    4689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    4700 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    4700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4707 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    4714 */     GIR_RootConstrainSelectedInstOperands,
     /*    4715 */     // GIR_Coverage, 72685,
     /*    4715 */     GIR_EraseRootFromParent_Done,
     /*    4716 */   // Label 203: @4716
     /*    4716 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4767), // Rule ID 72689 //
     /*    4721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    4724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4728 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    4732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4736 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    4740 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    4751 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    4751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    4754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    4758 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    4762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    4765 */     GIR_RootConstrainSelectedInstOperands,
     /*    4766 */     // GIR_Coverage, 72689,
     /*    4766 */     GIR_EraseRootFromParent_Done,
     /*    4767 */   // Label 204: @4767
     /*    4767 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4842), // Rule ID 2460 //
     /*    4772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4779 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    4783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4804 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    4819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4823 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4829 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    4832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4840 */     GIR_RootConstrainSelectedInstOperands,
     /*    4841 */     // GIR_Coverage, 2460,
     /*    4841 */     GIR_EraseRootFromParent_Done,
     /*    4842 */   // Label 205: @4842
     /*    4842 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4937), // Rule ID 2484 //
     /*    4847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4854 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    4858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4870 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4879 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    4890 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    4894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4898 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4904 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    4907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    4911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    4916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    4920 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    4923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    4925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    4928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    4933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4935 */     GIR_RootConstrainSelectedInstOperands,
     /*    4936 */     // GIR_Coverage, 2484,
     /*    4936 */     GIR_EraseRootFromParent_Done,
     /*    4937 */   // Label 206: @4937
     /*    4937 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(5032), // Rule ID 2486 //
     /*    4942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4949 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4961 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4965 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4974 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    4985 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4993 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    4999 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    4999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5015 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5030 */     GIR_RootConstrainSelectedInstOperands,
     /*    5031 */     // GIR_Coverage, 2486,
     /*    5031 */     GIR_EraseRootFromParent_Done,
     /*    5032 */   // Label 207: @5032
     /*    5032 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5127), // Rule ID 2488 //
     /*    5037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5044 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5060 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5069 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5080 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5088 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5094 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5110 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5125 */     GIR_RootConstrainSelectedInstOperands,
     /*    5126 */     // GIR_Coverage, 2488,
     /*    5126 */     GIR_EraseRootFromParent_Done,
     /*    5127 */   // Label 208: @5127
     /*    5127 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5222), // Rule ID 2490 //
     /*    5132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5139 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    5143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5155 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5164 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    5175 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    5179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5183 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5189 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5205 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5220 */     GIR_RootConstrainSelectedInstOperands,
     /*    5221 */     // GIR_Coverage, 2490,
     /*    5221 */     GIR_EraseRootFromParent_Done,
     /*    5222 */   // Label 209: @5222
     /*    5222 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5317), // Rule ID 2492 //
     /*    5227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5234 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    5238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5259 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    5270 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    5274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5278 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5284 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5300 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5315 */     GIR_RootConstrainSelectedInstOperands,
     /*    5316 */     // GIR_Coverage, 2492,
     /*    5316 */     GIR_EraseRootFromParent_Done,
     /*    5317 */   // Label 210: @5317
     /*    5317 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5412), // Rule ID 2494 //
     /*    5322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5329 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    5333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5354 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    5365 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    5369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5373 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5379 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    5386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5395 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5410 */     GIR_RootConstrainSelectedInstOperands,
     /*    5411 */     // GIR_Coverage, 2494,
     /*    5411 */     GIR_EraseRootFromParent_Done,
     /*    5412 */   // Label 211: @5412
     /*    5412 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5480), // Rule ID 2421 //
     /*    5417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5424 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    5428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5440 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5449 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    5457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5461 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5467 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5478 */     GIR_RootConstrainSelectedInstOperands,
     /*    5479 */     // GIR_Coverage, 2421,
     /*    5479 */     GIR_EraseRootFromParent_Done,
     /*    5480 */   // Label 212: @5480
     /*    5480 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5548), // Rule ID 2431 //
     /*    5485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5492 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    5496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5517 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    5525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5529 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5535 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5546 */     GIR_RootConstrainSelectedInstOperands,
     /*    5547 */     // GIR_Coverage, 2431,
     /*    5547 */     GIR_EraseRootFromParent_Done,
     /*    5548 */   // Label 213: @5548
     /*    5548 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5616), // Rule ID 2441 //
     /*    5553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5560 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    5564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    5568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5585 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5603 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5614 */     GIR_RootConstrainSelectedInstOperands,
     /*    5615 */     // GIR_Coverage, 2441,
     /*    5615 */     GIR_EraseRootFromParent_Done,
     /*    5616 */   // Label 214: @5616
     /*    5616 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5691), // Rule ID 64146 //
     /*    5621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5628 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    5632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5636 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    5640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5661 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5672 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5678 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    5681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5689 */     GIR_RootConstrainSelectedInstOperands,
     /*    5690 */     // GIR_Coverage, 64146,
     /*    5690 */     GIR_EraseRootFromParent_Done,
     /*    5691 */   // Label 215: @5691
     /*    5691 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5786), // Rule ID 64166 //
     /*    5696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5703 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    5707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5711 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    5715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5736 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    5747 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5753 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5769 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    5772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5784 */     GIR_RootConstrainSelectedInstOperands,
     /*    5785 */     // GIR_Coverage, 64166,
     /*    5785 */     GIR_EraseRootFromParent_Done,
     /*    5786 */   // Label 216: @5786
     /*    5786 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5881), // Rule ID 64168 //
     /*    5791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5798 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5806 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5831 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    5842 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5848 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5864 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    5867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5879 */     GIR_RootConstrainSelectedInstOperands,
     /*    5880 */     // GIR_Coverage, 64168,
     /*    5880 */     GIR_EraseRootFromParent_Done,
     /*    5881 */   // Label 217: @5881
     /*    5881 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5976), // Rule ID 64170 //
     /*    5886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5893 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    5897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5901 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    5905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5917 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5926 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    5937 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    5943 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    5943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    5946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    5950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    5955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    5959 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    5962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    5964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    5972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5974 */     GIR_RootConstrainSelectedInstOperands,
     /*    5975 */     // GIR_Coverage, 64170,
     /*    5975 */     GIR_EraseRootFromParent_Done,
     /*    5976 */   // Label 218: @5976
     /*    5976 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(6071), // Rule ID 64172 //
     /*    5981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5988 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    5992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5996 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    6000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6021 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    6032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6038 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6054 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    6057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6069 */     GIR_RootConstrainSelectedInstOperands,
     /*    6070 */     // GIR_Coverage, 64172,
     /*    6070 */     GIR_EraseRootFromParent_Done,
     /*    6071 */   // Label 219: @6071
     /*    6071 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(6166), // Rule ID 64174 //
     /*    6076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6083 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    6087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6091 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    6095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6103 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6107 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6116 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    6127 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6133 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6149 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    6152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6164 */     GIR_RootConstrainSelectedInstOperands,
     /*    6165 */     // GIR_Coverage, 64174,
     /*    6165 */     GIR_EraseRootFromParent_Done,
     /*    6166 */   // Label 220: @6166
     /*    6166 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(6261), // Rule ID 64176 //
     /*    6171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6178 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    6182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6186 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    6190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6211 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    6222 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6228 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    6228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    6235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6244 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    6247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6259 */     GIR_RootConstrainSelectedInstOperands,
     /*    6260 */     // GIR_Coverage, 64176,
     /*    6260 */     GIR_EraseRootFromParent_Done,
     /*    6261 */   // Label 221: @6261
     /*    6261 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(6329), // Rule ID 64123 //
     /*    6266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6273 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    6277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6281 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    6285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6306 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    6310 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6316 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6327 */     GIR_RootConstrainSelectedInstOperands,
     /*    6328 */     // GIR_Coverage, 64123,
     /*    6328 */     GIR_EraseRootFromParent_Done,
     /*    6329 */   // Label 222: @6329
     /*    6329 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(6397), // Rule ID 64131 //
     /*    6334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6341 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    6345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    6353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    6378 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6384 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6395 */     GIR_RootConstrainSelectedInstOperands,
     /*    6396 */     // GIR_Coverage, 64131,
     /*    6396 */     GIR_EraseRootFromParent_Done,
     /*    6397 */   // Label 223: @6397
     /*    6397 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6465), // Rule ID 64139 //
     /*    6402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6409 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    6413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6417 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    6421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6442 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    6446 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6452 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6463 */     GIR_RootConstrainSelectedInstOperands,
     /*    6464 */     // GIR_Coverage, 64139,
     /*    6464 */     GIR_EraseRootFromParent_Done,
     /*    6465 */   // Label 224: @6465
     /*    6465 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6544), // Rule ID 61864 //
     /*    6470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6477 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    6481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6510 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6514 */     // MIs[2] Operand 1
     /*    6514 */     // No operand predicates
     /*    6514 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    6518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6522 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6528 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    6535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6542 */     GIR_RootConstrainSelectedInstOperands,
     /*    6543 */     // GIR_Coverage, 61864,
     /*    6543 */     GIR_EraseRootFromParent_Done,
     /*    6544 */   // Label 225: @6544
     /*    6544 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6623), // Rule ID 72677 //
     /*    6549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    6560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6564 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    6568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    6576 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6580 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    6593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6597 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    6601 */     // MIs[2] Operand 1
     /*    6601 */     // No operand predicates
     /*    6601 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6607 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*    6607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    6618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    6621 */     GIR_RootConstrainSelectedInstOperands,
     /*    6622 */     // GIR_Coverage, 72677,
     /*    6622 */     GIR_EraseRootFromParent_Done,
     /*    6623 */   // Label 226: @6623
     /*    6623 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6672), // Rule ID 114 //
     /*    6628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    6643 */     // MIs[1] Operand 1
     /*    6643 */     // No operand predicates
     /*    6643 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    6647 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6651 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6655 */     // MIs[2] Operand 1
     /*    6655 */     // No operand predicates
     /*    6655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    6657 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*    6657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6662 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    6667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    6670 */     GIR_RootConstrainSelectedInstOperands,
     /*    6671 */     // GIR_Coverage, 114,
     /*    6671 */     GIR_EraseRootFromParent_Done,
     /*    6672 */   // Label 227: @6672
     /*    6672 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6718), // Rule ID 265 //
     /*    6677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6700 */     // MIs[1] Operand 1
     /*    6700 */     // No operand predicates
     /*    6700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9623),
     /*    6704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6706 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_9623>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6716 */     GIR_RootConstrainSelectedInstOperands,
     /*    6717 */     // GIR_Coverage, 265,
     /*    6717 */     GIR_EraseRootFromParent_Done,
     /*    6718 */   // Label 228: @6718
     /*    6718 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6794), // Rule ID 286 //
     /*    6723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    6726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6746 */     // MIs[1] Operand 1
     /*    6746 */     // No operand predicates
     /*    6746 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9650),
     /*    6750 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9623),
     /*    6754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6756 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9650>>:$rs2)<<P:Predicate_anonymous_9623>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    6756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    6759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    6768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    6772 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    6777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    6779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*    6782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    6787 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    6792 */     GIR_RootConstrainSelectedInstOperands,
     /*    6793 */     // GIR_Coverage, 286,
     /*    6793 */     GIR_EraseRootFromParent_Done,
     /*    6794 */   // Label 229: @6794
     /*    6794 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6859), // Rule ID 72693 //
     /*    6799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6818 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6836 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9623),
     /*    6840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6842 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_9623>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    6849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6857 */     GIR_RootConstrainSelectedInstOperands,
     /*    6858 */     // GIR_Coverage, 72693,
     /*    6858 */     GIR_EraseRootFromParent_Done,
     /*    6859 */   // Label 230: @6859
     /*    6859 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6924), // Rule ID 61936 //
     /*    6864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    6883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6901 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9623),
     /*    6905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6907 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9623>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*    6910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    6912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    6914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    6922 */     GIR_RootConstrainSelectedInstOperands,
     /*    6923 */     // GIR_Coverage, 61936,
     /*    6923 */     GIR_EraseRootFromParent_Done,
     /*    6924 */   // Label 231: @6924
     /*    6924 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6966), // Rule ID 74 //
     /*    6929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    6952 */     // MIs[1] Operand 1
     /*    6952 */     // No operand predicates
     /*    6952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6954 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*    6954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    6957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    6964 */     GIR_RootConstrainSelectedInstOperands,
     /*    6965 */     // GIR_Coverage, 74,
     /*    6965 */     GIR_EraseRootFromParent_Done,
     /*    6966 */   // Label 232: @6966
     /*    6966 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(7038), // Rule ID 284 //
     /*    6971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    6974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    6986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    6990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    6994 */     // MIs[1] Operand 1
     /*    6994 */     // No operand predicates
     /*    6994 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9650),
     /*    6998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7000 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_9650>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*    7000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    7016 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    7021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    7026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7031 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    7036 */     GIR_RootConstrainSelectedInstOperands,
     /*    7037 */     // GIR_Coverage, 284,
     /*    7037 */     GIR_EraseRootFromParent_Done,
     /*    7038 */   // Label 233: @7038
     /*    7038 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(7099), // Rule ID 72691 //
     /*    7043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7062 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7082 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    7089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7097 */     GIR_RootConstrainSelectedInstOperands,
     /*    7098 */     // GIR_Coverage, 72691,
     /*    7098 */     GIR_EraseRootFromParent_Done,
     /*    7099 */   // Label 234: @7099
     /*    7099 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(7160), // Rule ID 61932 //
     /*    7104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*    7107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    7119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    7123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    7146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    7148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    7150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    7158 */     GIR_RootConstrainSelectedInstOperands,
     /*    7159 */     // GIR_Coverage, 61932,
     /*    7159 */     GIR_EraseRootFromParent_Done,
     /*    7160 */   // Label 235: @7160
     /*    7160 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(7191), // Rule ID 264 //
     /*    7165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*    7168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7180 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9623),
     /*    7184 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9623>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*    7189 */     GIR_RootConstrainSelectedInstOperands,
     /*    7190 */     // GIR_Coverage, 264,
     /*    7190 */     GIR_Done,
     /*    7191 */   // Label 236: @7191
     /*    7191 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(7218), // Rule ID 72 //
     /*    7196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*    7199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7211 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    7216 */     GIR_RootConstrainSelectedInstOperands,
     /*    7217 */     // GIR_Coverage, 72,
     /*    7217 */     GIR_Done,
     /*    7218 */   // Label 237: @7218
     /*    7218 */   GIM_Reject,
     /*    7219 */ // Label 174: @7219
     /*    7219 */ GIM_Reject,
     /*    7220 */ // Label 124: @7220
     /*    7220 */ GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(7334),
     /*    7225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*    7228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*    7231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7235 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7243 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(7288), // Rule ID 45456 //
     /*    7248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7251 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7286 */     GIR_RootConstrainSelectedInstOperands,
     /*    7287 */     // GIR_Coverage, 45456,
     /*    7287 */     GIR_EraseRootFromParent_Done,
     /*    7288 */   // Label 239: @7288
     /*    7288 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(7333), // Rule ID 45457 //
     /*    7293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7296 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*    7299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*    7313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7331 */     GIR_RootConstrainSelectedInstOperands,
     /*    7332 */     // GIR_Coverage, 45457,
     /*    7332 */     GIR_EraseRootFromParent_Done,
     /*    7333 */   // Label 240: @7333
     /*    7333 */   GIM_Reject,
     /*    7334 */ // Label 238: @7334
     /*    7334 */ GIM_Reject,
     /*    7335 */ // Label 125: @7335
     /*    7335 */ GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(7449),
     /*    7340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*    7343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*    7346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7350 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7354 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7358 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(7403), // Rule ID 45812 //
     /*    7363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7366 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    7366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    7369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7401 */     GIR_RootConstrainSelectedInstOperands,
     /*    7402 */     // GIR_Coverage, 45812,
     /*    7402 */     GIR_EraseRootFromParent_Done,
     /*    7403 */   // Label 242: @7403
     /*    7403 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(7448), // Rule ID 45813 //
     /*    7408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7411 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    7411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*    7414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7446 */     GIR_RootConstrainSelectedInstOperands,
     /*    7447 */     // GIR_Coverage, 45813,
     /*    7447 */     GIR_EraseRootFromParent_Done,
     /*    7448 */   // Label 243: @7448
     /*    7448 */   GIM_Reject,
     /*    7449 */ // Label 241: @7449
     /*    7449 */ GIM_Reject,
     /*    7450 */ // Label 126: @7450
     /*    7450 */ GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7564),
     /*    7455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*    7458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*    7461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7473 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7518), // Rule ID 45820 //
     /*    7478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7481 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    7481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*    7484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7516 */     GIR_RootConstrainSelectedInstOperands,
     /*    7517 */     // GIR_Coverage, 45820,
     /*    7517 */     GIR_EraseRootFromParent_Done,
     /*    7518 */   // Label 245: @7518
     /*    7518 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7563), // Rule ID 45821 //
     /*    7523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7526 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    7526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*    7529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7561 */     GIR_RootConstrainSelectedInstOperands,
     /*    7562 */     // GIR_Coverage, 45821,
     /*    7562 */     GIR_EraseRootFromParent_Done,
     /*    7563 */   // Label 246: @7563
     /*    7563 */   GIM_Reject,
     /*    7564 */ // Label 244: @7564
     /*    7564 */ GIM_Reject,
     /*    7565 */ // Label 127: @7565
     /*    7565 */ GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7679),
     /*    7570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*    7573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*    7576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7588 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7633), // Rule ID 45836 //
     /*    7593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    7596 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    7596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*    7599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    7628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7631 */     GIR_RootConstrainSelectedInstOperands,
     /*    7632 */     // GIR_Coverage, 45836,
     /*    7632 */     GIR_EraseRootFromParent_Done,
     /*    7633 */   // Label 248: @7633
     /*    7633 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7678), // Rule ID 45837 //
     /*    7638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    7641 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    7641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*    7644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    7673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7676 */     GIR_RootConstrainSelectedInstOperands,
     /*    7677 */     // GIR_Coverage, 45837,
     /*    7677 */     GIR_EraseRootFromParent_Done,
     /*    7678 */   // Label 249: @7678
     /*    7678 */   GIM_Reject,
     /*    7679 */ // Label 247: @7679
     /*    7679 */ GIM_Reject,
     /*    7680 */ // Label 128: @7680
     /*    7680 */ GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7794),
     /*    7685 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*    7688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*    7691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7699 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7703 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7748), // Rule ID 45804 //
     /*    7708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7711 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    7711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*    7714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7746 */     GIR_RootConstrainSelectedInstOperands,
     /*    7747 */     // GIR_Coverage, 45804,
     /*    7747 */     GIR_EraseRootFromParent_Done,
     /*    7748 */   // Label 251: @7748
     /*    7748 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7793), // Rule ID 45805 //
     /*    7753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7756 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    7756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*    7759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*    7773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7791 */     GIR_RootConstrainSelectedInstOperands,
     /*    7792 */     // GIR_Coverage, 45805,
     /*    7792 */     GIR_EraseRootFromParent_Done,
     /*    7793 */   // Label 252: @7793
     /*    7793 */   GIM_Reject,
     /*    7794 */ // Label 250: @7794
     /*    7794 */ GIM_Reject,
     /*    7795 */ // Label 129: @7795
     /*    7795 */ GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7909),
     /*    7800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*    7803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*    7806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7818 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7863), // Rule ID 45816 //
     /*    7823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7826 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    7826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*    7829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7861 */     GIR_RootConstrainSelectedInstOperands,
     /*    7862 */     // GIR_Coverage, 45816,
     /*    7862 */     GIR_EraseRootFromParent_Done,
     /*    7863 */   // Label 254: @7863
     /*    7863 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(7908), // Rule ID 45817 //
     /*    7868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7871 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    7871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*    7874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    7888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    7903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7906 */     GIR_RootConstrainSelectedInstOperands,
     /*    7907 */     // GIR_Coverage, 45817,
     /*    7907 */     GIR_EraseRootFromParent_Done,
     /*    7908 */   // Label 255: @7908
     /*    7908 */   GIM_Reject,
     /*    7909 */ // Label 253: @7909
     /*    7909 */ GIM_Reject,
     /*    7910 */ // Label 130: @7910
     /*    7910 */ GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8024),
     /*    7915 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*    7918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*    7921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7929 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    7933 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(7978), // Rule ID 45832 //
     /*    7938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    7941 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    7941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*    7944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    7958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    7965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    7970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    7973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    7976 */     GIR_RootConstrainSelectedInstOperands,
     /*    7977 */     // GIR_Coverage, 45832,
     /*    7977 */     GIR_EraseRootFromParent_Done,
     /*    7978 */   // Label 257: @7978
     /*    7978 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8023), // Rule ID 45833 //
     /*    7983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    7986 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    7986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*    7989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    7993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8021 */     GIR_RootConstrainSelectedInstOperands,
     /*    8022 */     // GIR_Coverage, 45833,
     /*    8022 */     GIR_EraseRootFromParent_Done,
     /*    8023 */   // Label 258: @8023
     /*    8023 */   GIM_Reject,
     /*    8024 */ // Label 256: @8024
     /*    8024 */ GIM_Reject,
     /*    8025 */ // Label 131: @8025
     /*    8025 */ GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8139),
     /*    8030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*    8033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*    8036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8048 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8093), // Rule ID 45876 //
     /*    8053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8056 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*    8059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8091 */     GIR_RootConstrainSelectedInstOperands,
     /*    8092 */     // GIR_Coverage, 45876,
     /*    8092 */     GIR_EraseRootFromParent_Done,
     /*    8093 */   // Label 260: @8093
     /*    8093 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8138), // Rule ID 45877 //
     /*    8098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    8101 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    8101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*    8104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8136 */     GIR_RootConstrainSelectedInstOperands,
     /*    8137 */     // GIR_Coverage, 45877,
     /*    8137 */     GIR_EraseRootFromParent_Done,
     /*    8138 */   // Label 261: @8138
     /*    8138 */   GIM_Reject,
     /*    8139 */ // Label 259: @8139
     /*    8139 */ GIM_Reject,
     /*    8140 */ // Label 132: @8140
     /*    8140 */ GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8254),
     /*    8145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*    8148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*    8151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8163 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8208), // Rule ID 45808 //
     /*    8168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8171 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    8171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*    8174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    8188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8206 */     GIR_RootConstrainSelectedInstOperands,
     /*    8207 */     // GIR_Coverage, 45808,
     /*    8207 */     GIR_EraseRootFromParent_Done,
     /*    8208 */   // Label 263: @8208
     /*    8208 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8253), // Rule ID 45809 //
     /*    8213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8216 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    8216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*    8219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*    8233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8251 */     GIR_RootConstrainSelectedInstOperands,
     /*    8252 */     // GIR_Coverage, 45809,
     /*    8252 */     GIR_EraseRootFromParent_Done,
     /*    8253 */   // Label 264: @8253
     /*    8253 */   GIM_Reject,
     /*    8254 */ // Label 262: @8254
     /*    8254 */ GIM_Reject,
     /*    8255 */ // Label 133: @8255
     /*    8255 */ GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8369),
     /*    8260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*    8263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*    8266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8278 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8323), // Rule ID 45828 //
     /*    8283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8286 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    8286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*    8289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8321 */     GIR_RootConstrainSelectedInstOperands,
     /*    8322 */     // GIR_Coverage, 45828,
     /*    8322 */     GIR_EraseRootFromParent_Done,
     /*    8323 */   // Label 266: @8323
     /*    8323 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(8368), // Rule ID 45829 //
     /*    8328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8331 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    8331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*    8334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8366 */     GIR_RootConstrainSelectedInstOperands,
     /*    8367 */     // GIR_Coverage, 45829,
     /*    8367 */     GIR_EraseRootFromParent_Done,
     /*    8368 */   // Label 267: @8368
     /*    8368 */   GIM_Reject,
     /*    8369 */ // Label 265: @8369
     /*    8369 */ GIM_Reject,
     /*    8370 */ // Label 134: @8370
     /*    8370 */ GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(8484),
     /*    8375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*    8378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*    8381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8393 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(8438), // Rule ID 45864 //
     /*    8398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8401 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    8401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*    8404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8436 */     GIR_RootConstrainSelectedInstOperands,
     /*    8437 */     // GIR_Coverage, 45864,
     /*    8437 */     GIR_EraseRootFromParent_Done,
     /*    8438 */   // Label 269: @8438
     /*    8438 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(8483), // Rule ID 45865 //
     /*    8443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8446 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    8446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*    8449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8481 */     GIR_RootConstrainSelectedInstOperands,
     /*    8482 */     // GIR_Coverage, 45865,
     /*    8482 */     GIR_EraseRootFromParent_Done,
     /*    8483 */   // Label 270: @8483
     /*    8483 */   GIM_Reject,
     /*    8484 */ // Label 268: @8484
     /*    8484 */ GIM_Reject,
     /*    8485 */ // Label 135: @8485
     /*    8485 */ GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(8599),
     /*    8490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*    8493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*    8496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8508 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(8553), // Rule ID 45880 //
     /*    8513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8516 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*    8519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8551 */     GIR_RootConstrainSelectedInstOperands,
     /*    8552 */     // GIR_Coverage, 45880,
     /*    8552 */     GIR_EraseRootFromParent_Done,
     /*    8553 */   // Label 272: @8553
     /*    8553 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(8598), // Rule ID 45881 //
     /*    8558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    8561 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    8561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*    8564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    8593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8596 */     GIR_RootConstrainSelectedInstOperands,
     /*    8597 */     // GIR_Coverage, 45881,
     /*    8597 */     GIR_EraseRootFromParent_Done,
     /*    8598 */   // Label 273: @8598
     /*    8598 */   GIM_Reject,
     /*    8599 */ // Label 271: @8599
     /*    8599 */ GIM_Reject,
     /*    8600 */ // Label 136: @8600
     /*    8600 */ GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(8714),
     /*    8605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*    8608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*    8611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*    8623 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(8668), // Rule ID 45824 //
     /*    8628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8631 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    8631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*    8634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8666 */     GIR_RootConstrainSelectedInstOperands,
     /*    8667 */     // GIR_Coverage, 45824,
     /*    8667 */     GIR_EraseRootFromParent_Done,
     /*    8668 */   // Label 275: @8668
     /*    8668 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(8713), // Rule ID 45825 //
     /*    8673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8676 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    8676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*    8679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*    8693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8711 */     GIR_RootConstrainSelectedInstOperands,
     /*    8712 */     // GIR_Coverage, 45825,
     /*    8712 */     GIR_EraseRootFromParent_Done,
     /*    8713 */   // Label 276: @8713
     /*    8713 */   GIM_Reject,
     /*    8714 */ // Label 274: @8714
     /*    8714 */ GIM_Reject,
     /*    8715 */ // Label 137: @8715
     /*    8715 */ GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(8829),
     /*    8720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*    8723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*    8726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    8738 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(8783), // Rule ID 45852 //
     /*    8743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8746 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    8746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*    8749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8781 */     GIR_RootConstrainSelectedInstOperands,
     /*    8782 */     // GIR_Coverage, 45852,
     /*    8782 */     GIR_EraseRootFromParent_Done,
     /*    8783 */   // Label 278: @8783
     /*    8783 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(8828), // Rule ID 45853 //
     /*    8788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8791 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    8791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*    8794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    8808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    8823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8826 */     GIR_RootConstrainSelectedInstOperands,
     /*    8827 */     // GIR_Coverage, 45853,
     /*    8827 */     GIR_EraseRootFromParent_Done,
     /*    8828 */   // Label 279: @8828
     /*    8828 */   GIM_Reject,
     /*    8829 */ // Label 277: @8829
     /*    8829 */ GIM_Reject,
     /*    8830 */ // Label 138: @8830
     /*    8830 */ GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(8944),
     /*    8835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*    8838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*    8841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    8853 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(8898), // Rule ID 45868 //
     /*    8858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    8861 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    8861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*    8864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8896 */     GIR_RootConstrainSelectedInstOperands,
     /*    8897 */     // GIR_Coverage, 45868,
     /*    8897 */     GIR_EraseRootFromParent_Done,
     /*    8898 */   // Label 281: @8898
     /*    8898 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(8943), // Rule ID 45869 //
     /*    8903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    8906 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    8906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*    8909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    8923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    8930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    8935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    8938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    8941 */     GIR_RootConstrainSelectedInstOperands,
     /*    8942 */     // GIR_Coverage, 45869,
     /*    8942 */     GIR_EraseRootFromParent_Done,
     /*    8943 */   // Label 282: @8943
     /*    8943 */   GIM_Reject,
     /*    8944 */ // Label 280: @8944
     /*    8944 */ GIM_Reject,
     /*    8945 */ // Label 139: @8945
     /*    8945 */ GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(9059),
     /*    8950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*    8953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*    8956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8960 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    8968 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(9013), // Rule ID 45884 //
     /*    8973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*    8976 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*    8976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*    8979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    8983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    8993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    9008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9011 */     GIR_RootConstrainSelectedInstOperands,
     /*    9012 */     // GIR_Coverage, 45884,
     /*    9012 */     GIR_EraseRootFromParent_Done,
     /*    9013 */   // Label 284: @9013
     /*    9013 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(9058), // Rule ID 45885 //
     /*    9018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*    9021 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*    9021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*    9024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*    9053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9056 */     GIR_RootConstrainSelectedInstOperands,
     /*    9057 */     // GIR_Coverage, 45885,
     /*    9057 */     GIR_EraseRootFromParent_Done,
     /*    9058 */   // Label 285: @9058
     /*    9058 */   GIM_Reject,
     /*    9059 */ // Label 283: @9059
     /*    9059 */ GIM_Reject,
     /*    9060 */ // Label 140: @9060
     /*    9060 */ GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(9174),
     /*    9065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*    9068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*    9071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*    9083 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(9128), // Rule ID 45840 //
     /*    9088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9091 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*    9094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    9108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9126 */     GIR_RootConstrainSelectedInstOperands,
     /*    9127 */     // GIR_Coverage, 45840,
     /*    9127 */     GIR_EraseRootFromParent_Done,
     /*    9128 */   // Label 287: @9128
     /*    9128 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(9173), // Rule ID 45841 //
     /*    9133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9136 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*    9139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*    9153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9171 */     GIR_RootConstrainSelectedInstOperands,
     /*    9172 */     // GIR_Coverage, 45841,
     /*    9172 */     GIR_EraseRootFromParent_Done,
     /*    9173 */   // Label 288: @9173
     /*    9173 */   GIM_Reject,
     /*    9174 */ // Label 286: @9174
     /*    9174 */ GIM_Reject,
     /*    9175 */ // Label 141: @9175
     /*    9175 */ GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(9289),
     /*    9180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*    9183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*    9186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9198 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(9243), // Rule ID 45856 //
     /*    9203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9206 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    9206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*    9209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9241 */     GIR_RootConstrainSelectedInstOperands,
     /*    9242 */     // GIR_Coverage, 45856,
     /*    9242 */     GIR_EraseRootFromParent_Done,
     /*    9243 */   // Label 290: @9243
     /*    9243 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(9288), // Rule ID 45857 //
     /*    9248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9251 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    9251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*    9254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9286 */     GIR_RootConstrainSelectedInstOperands,
     /*    9287 */     // GIR_Coverage, 45857,
     /*    9287 */     GIR_EraseRootFromParent_Done,
     /*    9288 */   // Label 291: @9288
     /*    9288 */   GIM_Reject,
     /*    9289 */ // Label 289: @9289
     /*    9289 */ GIM_Reject,
     /*    9290 */ // Label 142: @9290
     /*    9290 */ GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(9404),
     /*    9295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*    9298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*    9301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9313 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(9358), // Rule ID 45872 //
     /*    9318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9321 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*    9321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*    9324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    9353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9356 */     GIR_RootConstrainSelectedInstOperands,
     /*    9357 */     // GIR_Coverage, 45872,
     /*    9357 */     GIR_EraseRootFromParent_Done,
     /*    9358 */   // Label 293: @9358
     /*    9358 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(9403), // Rule ID 45873 //
     /*    9363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9366 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*    9366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*    9369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*    9398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9401 */     GIR_RootConstrainSelectedInstOperands,
     /*    9402 */     // GIR_Coverage, 45873,
     /*    9402 */     GIR_EraseRootFromParent_Done,
     /*    9403 */   // Label 294: @9403
     /*    9403 */   GIM_Reject,
     /*    9404 */ // Label 292: @9404
     /*    9404 */ GIM_Reject,
     /*    9405 */ // Label 143: @9405
     /*    9405 */ GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(9519),
     /*    9410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*    9413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*    9416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*    9428 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(9473), // Rule ID 45844 //
     /*    9433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9436 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*    9439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9471 */     GIR_RootConstrainSelectedInstOperands,
     /*    9472 */     // GIR_Coverage, 45844,
     /*    9472 */     GIR_EraseRootFromParent_Done,
     /*    9473 */   // Label 296: @9473
     /*    9473 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(9518), // Rule ID 45845 //
     /*    9478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9481 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*    9484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*    9498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9516 */     GIR_RootConstrainSelectedInstOperands,
     /*    9517 */     // GIR_Coverage, 45845,
     /*    9517 */     GIR_EraseRootFromParent_Done,
     /*    9518 */   // Label 297: @9518
     /*    9518 */   GIM_Reject,
     /*    9519 */ // Label 295: @9519
     /*    9519 */ GIM_Reject,
     /*    9520 */ // Label 144: @9520
     /*    9520 */ GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(9634),
     /*    9525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*    9528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*    9531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9543 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(9588), // Rule ID 45860 //
     /*    9548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9551 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*    9551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*    9554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9586 */     GIR_RootConstrainSelectedInstOperands,
     /*    9587 */     // GIR_Coverage, 45860,
     /*    9587 */     GIR_EraseRootFromParent_Done,
     /*    9588 */   // Label 299: @9588
     /*    9588 */   GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(9633), // Rule ID 45861 //
     /*    9593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9596 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*    9596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*    9599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*    9628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9631 */     GIR_RootConstrainSelectedInstOperands,
     /*    9632 */     // GIR_Coverage, 45861,
     /*    9632 */     GIR_EraseRootFromParent_Done,
     /*    9633 */   // Label 300: @9633
     /*    9633 */   GIM_Reject,
     /*    9634 */ // Label 298: @9634
     /*    9634 */ GIM_Reject,
     /*    9635 */ // Label 145: @9635
     /*    9635 */ GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(9749),
     /*    9640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*    9643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*    9646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*    9658 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(9703), // Rule ID 45848 //
     /*    9663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*    9666 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*    9666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*    9669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9701 */     GIR_RootConstrainSelectedInstOperands,
     /*    9702 */     // GIR_Coverage, 45848,
     /*    9702 */     GIR_EraseRootFromParent_Done,
     /*    9703 */   // Label 302: @9703
     /*    9703 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(9748), // Rule ID 45849 //
     /*    9708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*    9711 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*    9711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*    9714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*    9718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*    9728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    9735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    9737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*    9740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    9746 */     GIR_RootConstrainSelectedInstOperands,
     /*    9747 */     // GIR_Coverage, 45849,
     /*    9747 */     GIR_EraseRootFromParent_Done,
     /*    9748 */   // Label 303: @9748
     /*    9748 */   GIM_Reject,
     /*    9749 */ // Label 301: @9749
     /*    9749 */ GIM_Reject,
     /*    9750 */ // Label 146: @9750
     /*    9750 */ GIM_Reject,
     /*    9751 */ // Label 1: @9751
     /*    9751 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 328*/ GIMT_Encode4(12706),
     /*    9762 */ /*GILLT_s32*//*Label 304*/ GIMT_Encode4(9886),
     /*    9766 */ /*GILLT_s64*//*Label 305*/ GIMT_Encode4(9979), GIMT_Encode4(0),
     /*    9774 */ /*GILLT_nxv1s8*//*Label 306*/ GIMT_Encode4(10176),
     /*    9778 */ /*GILLT_nxv1s16*//*Label 307*/ GIMT_Encode4(10291),
     /*    9782 */ /*GILLT_nxv1s32*//*Label 308*/ GIMT_Encode4(10406),
     /*    9786 */ /*GILLT_nxv1s64*//*Label 309*/ GIMT_Encode4(10521), GIMT_Encode4(0),
     /*    9794 */ /*GILLT_nxv2s8*//*Label 310*/ GIMT_Encode4(10636),
     /*    9798 */ /*GILLT_nxv2s16*//*Label 311*/ GIMT_Encode4(10751),
     /*    9802 */ /*GILLT_nxv2s32*//*Label 312*/ GIMT_Encode4(10866),
     /*    9806 */ /*GILLT_nxv2s64*//*Label 313*/ GIMT_Encode4(10981), GIMT_Encode4(0),
     /*    9814 */ /*GILLT_nxv4s8*//*Label 314*/ GIMT_Encode4(11096),
     /*    9818 */ /*GILLT_nxv4s16*//*Label 315*/ GIMT_Encode4(11211),
     /*    9822 */ /*GILLT_nxv4s32*//*Label 316*/ GIMT_Encode4(11326),
     /*    9826 */ /*GILLT_nxv4s64*//*Label 317*/ GIMT_Encode4(11441), GIMT_Encode4(0),
     /*    9834 */ /*GILLT_nxv8s8*//*Label 318*/ GIMT_Encode4(11556),
     /*    9838 */ /*GILLT_nxv8s16*//*Label 319*/ GIMT_Encode4(11671),
     /*    9842 */ /*GILLT_nxv8s32*//*Label 320*/ GIMT_Encode4(11786),
     /*    9846 */ /*GILLT_nxv8s64*//*Label 321*/ GIMT_Encode4(11901), GIMT_Encode4(0),
     /*    9854 */ /*GILLT_nxv16s8*//*Label 322*/ GIMT_Encode4(12016),
     /*    9858 */ /*GILLT_nxv16s16*//*Label 323*/ GIMT_Encode4(12131),
     /*    9862 */ /*GILLT_nxv16s32*//*Label 324*/ GIMT_Encode4(12246), GIMT_Encode4(0),
     /*    9870 */ /*GILLT_nxv32s8*//*Label 325*/ GIMT_Encode4(12361),
     /*    9874 */ /*GILLT_nxv32s16*//*Label 326*/ GIMT_Encode4(12476), GIMT_Encode4(0),
     /*    9882 */ /*GILLT_nxv64s8*//*Label 327*/ GIMT_Encode4(12591),
     /*    9886 */ // Label 304: @9886
     /*    9886 */ GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(9978),
     /*    9891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    9894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    9897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9905 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(9958), // Rule ID 61935 //
     /*    9910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    9913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    9921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    9925 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    9929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9941 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    9941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*    9944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    9946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    9948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    9956 */     GIR_RootConstrainSelectedInstOperands,
     /*    9957 */     // GIR_Coverage, 61935,
     /*    9957 */     GIR_EraseRootFromParent_Done,
     /*    9958 */   // Label 330: @9958
     /*    9958 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(9977), // Rule ID 77 //
     /*    9963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    9966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9970 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    9970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*    9975 */     GIR_RootConstrainSelectedInstOperands,
     /*    9976 */     // GIR_Coverage, 77,
     /*    9976 */     GIR_Done,
     /*    9977 */   // Label 331: @9977
     /*    9977 */   GIM_Reject,
     /*    9978 */ // Label 329: @9978
     /*    9978 */ GIM_Reject,
     /*    9979 */ // Label 305: @9979
     /*    9979 */ GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(10175),
     /*    9984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    9987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    9990 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(10055), // Rule ID 61937 //
     /*    9995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*    9998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10002 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10032 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9627),
     /*   10036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10038 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_9627>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   10041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   10043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   10045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   10053 */     GIR_RootConstrainSelectedInstOperands,
     /*   10054 */     // GIR_Coverage, 61937,
     /*   10054 */     GIR_EraseRootFromParent_Done,
     /*   10055 */   // Label 333: @10055
     /*   10055 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(10116), // Rule ID 61934 //
     /*   10060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   10063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   10079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10099 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   10102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   10104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   10106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   10114 */     GIR_RootConstrainSelectedInstOperands,
     /*   10115 */     // GIR_Coverage, 61934,
     /*   10115 */     GIR_EraseRootFromParent_Done,
     /*   10116 */   // Label 334: @10116
     /*   10116 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(10147), // Rule ID 267 //
     /*   10121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10136 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9627),
     /*   10140 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9627>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   10145 */     GIR_RootConstrainSelectedInstOperands,
     /*   10146 */     // GIR_Coverage, 267,
     /*   10146 */     GIR_Done,
     /*   10147 */   // Label 335: @10147
     /*   10147 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(10174), // Rule ID 76 //
     /*   10152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10167 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   10172 */     GIR_RootConstrainSelectedInstOperands,
     /*   10173 */     // GIR_Coverage, 76,
     /*   10173 */     GIR_Done,
     /*   10174 */   // Label 336: @10174
     /*   10174 */   GIM_Reject,
     /*   10175 */ // Label 332: @10175
     /*   10175 */ GIM_Reject,
     /*   10176 */ // Label 306: @10176
     /*   10176 */ GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(10290),
     /*   10181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   10184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   10187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10199 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(10244), // Rule ID 45930 //
     /*   10204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10207 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   10207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   10210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   10224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10242 */     GIR_RootConstrainSelectedInstOperands,
     /*   10243 */     // GIR_Coverage, 45930,
     /*   10243 */     GIR_EraseRootFromParent_Done,
     /*   10244 */   // Label 338: @10244
     /*   10244 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(10289), // Rule ID 45931 //
     /*   10249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10252 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   10252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   10255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   10269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10287 */     GIR_RootConstrainSelectedInstOperands,
     /*   10288 */     // GIR_Coverage, 45931,
     /*   10288 */     GIR_EraseRootFromParent_Done,
     /*   10289 */   // Label 339: @10289
     /*   10289 */   GIM_Reject,
     /*   10290 */ // Label 337: @10290
     /*   10290 */ GIM_Reject,
     /*   10291 */ // Label 307: @10291
     /*   10291 */ GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(10405),
     /*   10296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   10299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   10302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10314 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(10359), // Rule ID 45942 //
     /*   10319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10322 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10357 */     GIR_RootConstrainSelectedInstOperands,
     /*   10358 */     // GIR_Coverage, 45942,
     /*   10358 */     GIR_EraseRootFromParent_Done,
     /*   10359 */   // Label 341: @10359
     /*   10359 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(10404), // Rule ID 45943 //
     /*   10364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10367 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   10370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10402 */     GIR_RootConstrainSelectedInstOperands,
     /*   10403 */     // GIR_Coverage, 45943,
     /*   10403 */     GIR_EraseRootFromParent_Done,
     /*   10404 */   // Label 342: @10404
     /*   10404 */   GIM_Reject,
     /*   10405 */ // Label 340: @10405
     /*   10405 */ GIM_Reject,
     /*   10406 */ // Label 308: @10406
     /*   10406 */ GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(10520),
     /*   10411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   10414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   10417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10429 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(10474), // Rule ID 45950 //
     /*   10434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10437 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   10437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   10440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10472 */     GIR_RootConstrainSelectedInstOperands,
     /*   10473 */     // GIR_Coverage, 45950,
     /*   10473 */     GIR_EraseRootFromParent_Done,
     /*   10474 */   // Label 344: @10474
     /*   10474 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(10519), // Rule ID 45951 //
     /*   10479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10482 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   10482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   10485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10517 */     GIR_RootConstrainSelectedInstOperands,
     /*   10518 */     // GIR_Coverage, 45951,
     /*   10518 */     GIR_EraseRootFromParent_Done,
     /*   10519 */   // Label 345: @10519
     /*   10519 */   GIM_Reject,
     /*   10520 */ // Label 343: @10520
     /*   10520 */ GIM_Reject,
     /*   10521 */ // Label 309: @10521
     /*   10521 */ GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(10635),
     /*   10526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   10529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   10532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10544 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(10589), // Rule ID 45966 //
     /*   10549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   10552 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   10552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   10555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   10584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10587 */     GIR_RootConstrainSelectedInstOperands,
     /*   10588 */     // GIR_Coverage, 45966,
     /*   10588 */     GIR_EraseRootFromParent_Done,
     /*   10589 */   // Label 347: @10589
     /*   10589 */   GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(10634), // Rule ID 45967 //
     /*   10594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   10597 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   10597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   10600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   10629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10632 */     GIR_RootConstrainSelectedInstOperands,
     /*   10633 */     // GIR_Coverage, 45967,
     /*   10633 */     GIR_EraseRootFromParent_Done,
     /*   10634 */   // Label 348: @10634
     /*   10634 */   GIM_Reject,
     /*   10635 */ // Label 346: @10635
     /*   10635 */ GIM_Reject,
     /*   10636 */ // Label 310: @10636
     /*   10636 */ GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(10750),
     /*   10641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   10644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   10647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10659 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(10704), // Rule ID 45934 //
     /*   10664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10667 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   10667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   10670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10702 */     GIR_RootConstrainSelectedInstOperands,
     /*   10703 */     // GIR_Coverage, 45934,
     /*   10703 */     GIR_EraseRootFromParent_Done,
     /*   10704 */   // Label 350: @10704
     /*   10704 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(10749), // Rule ID 45935 //
     /*   10709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10712 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   10712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   10715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   10729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10747 */     GIR_RootConstrainSelectedInstOperands,
     /*   10748 */     // GIR_Coverage, 45935,
     /*   10748 */     GIR_EraseRootFromParent_Done,
     /*   10749 */   // Label 351: @10749
     /*   10749 */   GIM_Reject,
     /*   10750 */ // Label 349: @10750
     /*   10750 */ GIM_Reject,
     /*   10751 */ // Label 311: @10751
     /*   10751 */ GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(10865),
     /*   10756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   10759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   10762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10774 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(10819), // Rule ID 45946 //
     /*   10779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10782 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   10782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   10785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10817 */     GIR_RootConstrainSelectedInstOperands,
     /*   10818 */     // GIR_Coverage, 45946,
     /*   10818 */     GIR_EraseRootFromParent_Done,
     /*   10819 */   // Label 353: @10819
     /*   10819 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(10864), // Rule ID 45947 //
     /*   10824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10827 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   10827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   10830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   10844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   10859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10862 */     GIR_RootConstrainSelectedInstOperands,
     /*   10863 */     // GIR_Coverage, 45947,
     /*   10863 */     GIR_EraseRootFromParent_Done,
     /*   10864 */   // Label 354: @10864
     /*   10864 */   GIM_Reject,
     /*   10865 */ // Label 352: @10865
     /*   10865 */ GIM_Reject,
     /*   10866 */ // Label 312: @10866
     /*   10866 */ GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(10980),
     /*   10871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   10874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   10877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   10889 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(10934), // Rule ID 45962 //
     /*   10894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   10897 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   10897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   10900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10932 */     GIR_RootConstrainSelectedInstOperands,
     /*   10933 */     // GIR_Coverage, 45962,
     /*   10933 */     GIR_EraseRootFromParent_Done,
     /*   10934 */   // Label 356: @10934
     /*   10934 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(10979), // Rule ID 45963 //
     /*   10939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   10942 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   10942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   10945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   10949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   10959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   10968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   10971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   10974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   10977 */     GIR_RootConstrainSelectedInstOperands,
     /*   10978 */     // GIR_Coverage, 45963,
     /*   10978 */     GIR_EraseRootFromParent_Done,
     /*   10979 */   // Label 357: @10979
     /*   10979 */   GIM_Reject,
     /*   10980 */ // Label 355: @10980
     /*   10980 */ GIM_Reject,
     /*   10981 */ // Label 313: @10981
     /*   10981 */ GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(11095),
     /*   10986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   10989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   10992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   10996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11004 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(11049), // Rule ID 46006 //
     /*   11009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11012 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   11015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11047 */     GIR_RootConstrainSelectedInstOperands,
     /*   11048 */     // GIR_Coverage, 46006,
     /*   11048 */     GIR_EraseRootFromParent_Done,
     /*   11049 */   // Label 359: @11049
     /*   11049 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(11094), // Rule ID 46007 //
     /*   11054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11057 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   11060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11092 */     GIR_RootConstrainSelectedInstOperands,
     /*   11093 */     // GIR_Coverage, 46007,
     /*   11093 */     GIR_EraseRootFromParent_Done,
     /*   11094 */   // Label 360: @11094
     /*   11094 */   GIM_Reject,
     /*   11095 */ // Label 358: @11095
     /*   11095 */ GIM_Reject,
     /*   11096 */ // Label 314: @11096
     /*   11096 */ GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(11210),
     /*   11101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   11104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   11107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11119 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(11164), // Rule ID 45938 //
     /*   11124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11127 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   11130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   11144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11162 */     GIR_RootConstrainSelectedInstOperands,
     /*   11163 */     // GIR_Coverage, 45938,
     /*   11163 */     GIR_EraseRootFromParent_Done,
     /*   11164 */   // Label 362: @11164
     /*   11164 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(11209), // Rule ID 45939 //
     /*   11169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11172 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   11175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   11189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11207 */     GIR_RootConstrainSelectedInstOperands,
     /*   11208 */     // GIR_Coverage, 45939,
     /*   11208 */     GIR_EraseRootFromParent_Done,
     /*   11209 */   // Label 363: @11209
     /*   11209 */   GIM_Reject,
     /*   11210 */ // Label 361: @11210
     /*   11210 */ GIM_Reject,
     /*   11211 */ // Label 315: @11211
     /*   11211 */ GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(11325),
     /*   11216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   11219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   11222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11234 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(11279), // Rule ID 45958 //
     /*   11239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11242 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   11242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   11245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11277 */     GIR_RootConstrainSelectedInstOperands,
     /*   11278 */     // GIR_Coverage, 45958,
     /*   11278 */     GIR_EraseRootFromParent_Done,
     /*   11279 */   // Label 365: @11279
     /*   11279 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(11324), // Rule ID 45959 //
     /*   11284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11287 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   11287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   11290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11322 */     GIR_RootConstrainSelectedInstOperands,
     /*   11323 */     // GIR_Coverage, 45959,
     /*   11323 */     GIR_EraseRootFromParent_Done,
     /*   11324 */   // Label 366: @11324
     /*   11324 */   GIM_Reject,
     /*   11325 */ // Label 364: @11325
     /*   11325 */ GIM_Reject,
     /*   11326 */ // Label 316: @11326
     /*   11326 */ GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(11440),
     /*   11331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   11334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   11337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11349 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(11394), // Rule ID 45994 //
     /*   11354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11357 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   11357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   11360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11392 */     GIR_RootConstrainSelectedInstOperands,
     /*   11393 */     // GIR_Coverage, 45994,
     /*   11393 */     GIR_EraseRootFromParent_Done,
     /*   11394 */   // Label 368: @11394
     /*   11394 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(11439), // Rule ID 45995 //
     /*   11399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11402 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   11402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   11405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11437 */     GIR_RootConstrainSelectedInstOperands,
     /*   11438 */     // GIR_Coverage, 45995,
     /*   11438 */     GIR_EraseRootFromParent_Done,
     /*   11439 */   // Label 369: @11439
     /*   11439 */   GIM_Reject,
     /*   11440 */ // Label 367: @11440
     /*   11440 */ GIM_Reject,
     /*   11441 */ // Label 317: @11441
     /*   11441 */ GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(11555),
     /*   11446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   11449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   11452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11464 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(11509), // Rule ID 46010 //
     /*   11469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11472 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   11475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11507 */     GIR_RootConstrainSelectedInstOperands,
     /*   11508 */     // GIR_Coverage, 46010,
     /*   11508 */     GIR_EraseRootFromParent_Done,
     /*   11509 */   // Label 371: @11509
     /*   11509 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(11554), // Rule ID 46011 //
     /*   11514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11517 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   11520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11552 */     GIR_RootConstrainSelectedInstOperands,
     /*   11553 */     // GIR_Coverage, 46011,
     /*   11553 */     GIR_EraseRootFromParent_Done,
     /*   11554 */   // Label 372: @11554
     /*   11554 */   GIM_Reject,
     /*   11555 */ // Label 370: @11555
     /*   11555 */ GIM_Reject,
     /*   11556 */ // Label 318: @11556
     /*   11556 */ GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(11670),
     /*   11561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   11564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   11567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11579 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(11624), // Rule ID 45954 //
     /*   11584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11587 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   11590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11622 */     GIR_RootConstrainSelectedInstOperands,
     /*   11623 */     // GIR_Coverage, 45954,
     /*   11623 */     GIR_EraseRootFromParent_Done,
     /*   11624 */   // Label 374: @11624
     /*   11624 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(11669), // Rule ID 45955 //
     /*   11629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11632 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   11635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   11649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11667 */     GIR_RootConstrainSelectedInstOperands,
     /*   11668 */     // GIR_Coverage, 45955,
     /*   11668 */     GIR_EraseRootFromParent_Done,
     /*   11669 */   // Label 375: @11669
     /*   11669 */   GIM_Reject,
     /*   11670 */ // Label 373: @11670
     /*   11670 */ GIM_Reject,
     /*   11671 */ // Label 319: @11671
     /*   11671 */ GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(11785),
     /*   11676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   11679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   11682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   11694 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(11739), // Rule ID 45982 //
     /*   11699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11702 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   11702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   11705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11737 */     GIR_RootConstrainSelectedInstOperands,
     /*   11738 */     // GIR_Coverage, 45982,
     /*   11738 */     GIR_EraseRootFromParent_Done,
     /*   11739 */   // Label 377: @11739
     /*   11739 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(11784), // Rule ID 45983 //
     /*   11744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11747 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   11747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   11750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   11764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   11779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11782 */     GIR_RootConstrainSelectedInstOperands,
     /*   11783 */     // GIR_Coverage, 45983,
     /*   11783 */     GIR_EraseRootFromParent_Done,
     /*   11784 */   // Label 378: @11784
     /*   11784 */   GIM_Reject,
     /*   11785 */ // Label 376: @11785
     /*   11785 */ GIM_Reject,
     /*   11786 */ // Label 320: @11786
     /*   11786 */ GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(11900),
     /*   11791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   11794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   11797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   11809 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(11854), // Rule ID 45998 //
     /*   11814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11817 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   11817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   11820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11852 */     GIR_RootConstrainSelectedInstOperands,
     /*   11853 */     // GIR_Coverage, 45998,
     /*   11853 */     GIR_EraseRootFromParent_Done,
     /*   11854 */   // Label 380: @11854
     /*   11854 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(11899), // Rule ID 45999 //
     /*   11859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11862 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   11862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   11865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   11879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   11894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11897 */     GIR_RootConstrainSelectedInstOperands,
     /*   11898 */     // GIR_Coverage, 45999,
     /*   11898 */     GIR_EraseRootFromParent_Done,
     /*   11899 */   // Label 381: @11899
     /*   11899 */   GIM_Reject,
     /*   11900 */ // Label 379: @11900
     /*   11900 */ GIM_Reject,
     /*   11901 */ // Label 321: @11901
     /*   11901 */ GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(12015),
     /*   11906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   11909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   11912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   11924 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(11969), // Rule ID 46014 //
     /*   11929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   11932 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   11932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   11935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   11949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   11964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11967 */     GIR_RootConstrainSelectedInstOperands,
     /*   11968 */     // GIR_Coverage, 46014,
     /*   11968 */     GIR_EraseRootFromParent_Done,
     /*   11969 */   // Label 383: @11969
     /*   11969 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(12014), // Rule ID 46015 //
     /*   11974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   11977 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   11977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   11980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   11994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   12009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12012 */     GIR_RootConstrainSelectedInstOperands,
     /*   12013 */     // GIR_Coverage, 46015,
     /*   12013 */     GIR_EraseRootFromParent_Done,
     /*   12014 */   // Label 384: @12014
     /*   12014 */   GIM_Reject,
     /*   12015 */ // Label 382: @12015
     /*   12015 */ GIM_Reject,
     /*   12016 */ // Label 322: @12016
     /*   12016 */ GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(12130),
     /*   12021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   12024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   12027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   12039 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(12084), // Rule ID 45970 //
     /*   12044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12047 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   12050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   12064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12082 */     GIR_RootConstrainSelectedInstOperands,
     /*   12083 */     // GIR_Coverage, 45970,
     /*   12083 */     GIR_EraseRootFromParent_Done,
     /*   12084 */   // Label 386: @12084
     /*   12084 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(12129), // Rule ID 45971 //
     /*   12089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12092 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   12095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   12109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12127 */     GIR_RootConstrainSelectedInstOperands,
     /*   12128 */     // GIR_Coverage, 45971,
     /*   12128 */     GIR_EraseRootFromParent_Done,
     /*   12129 */   // Label 387: @12129
     /*   12129 */   GIM_Reject,
     /*   12130 */ // Label 385: @12130
     /*   12130 */ GIM_Reject,
     /*   12131 */ // Label 323: @12131
     /*   12131 */ GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(12245),
     /*   12136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   12139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   12142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12154 */   GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(12199), // Rule ID 45986 //
     /*   12159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12162 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   12165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12197 */     GIR_RootConstrainSelectedInstOperands,
     /*   12198 */     // GIR_Coverage, 45986,
     /*   12198 */     GIR_EraseRootFromParent_Done,
     /*   12199 */   // Label 389: @12199
     /*   12199 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(12244), // Rule ID 45987 //
     /*   12204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12207 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   12210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12242 */     GIR_RootConstrainSelectedInstOperands,
     /*   12243 */     // GIR_Coverage, 45987,
     /*   12243 */     GIR_EraseRootFromParent_Done,
     /*   12244 */   // Label 390: @12244
     /*   12244 */   GIM_Reject,
     /*   12245 */ // Label 388: @12245
     /*   12245 */ GIM_Reject,
     /*   12246 */ // Label 324: @12246
     /*   12246 */ GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(12360),
     /*   12251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   12254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   12257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12269 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(12314), // Rule ID 46002 //
     /*   12274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12277 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   12277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   12280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12312 */     GIR_RootConstrainSelectedInstOperands,
     /*   12313 */     // GIR_Coverage, 46002,
     /*   12313 */     GIR_EraseRootFromParent_Done,
     /*   12314 */   // Label 392: @12314
     /*   12314 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(12359), // Rule ID 46003 //
     /*   12319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12322 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   12322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   12325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   12354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12357 */     GIR_RootConstrainSelectedInstOperands,
     /*   12358 */     // GIR_Coverage, 46003,
     /*   12358 */     GIR_EraseRootFromParent_Done,
     /*   12359 */   // Label 393: @12359
     /*   12359 */   GIM_Reject,
     /*   12360 */ // Label 391: @12360
     /*   12360 */ GIM_Reject,
     /*   12361 */ // Label 325: @12361
     /*   12361 */ GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(12475),
     /*   12366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   12369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   12372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   12384 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(12429), // Rule ID 45974 //
     /*   12389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12392 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   12395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12427 */     GIR_RootConstrainSelectedInstOperands,
     /*   12428 */     // GIR_Coverage, 45974,
     /*   12428 */     GIR_EraseRootFromParent_Done,
     /*   12429 */   // Label 395: @12429
     /*   12429 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(12474), // Rule ID 45975 //
     /*   12434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12437 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   12440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   12454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12472 */     GIR_RootConstrainSelectedInstOperands,
     /*   12473 */     // GIR_Coverage, 45975,
     /*   12473 */     GIR_EraseRootFromParent_Done,
     /*   12474 */   // Label 396: @12474
     /*   12474 */   GIM_Reject,
     /*   12475 */ // Label 394: @12475
     /*   12475 */ GIM_Reject,
     /*   12476 */ // Label 326: @12476
     /*   12476 */ GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(12590),
     /*   12481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   12484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   12487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12499 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(12544), // Rule ID 45990 //
     /*   12504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12507 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   12507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   12510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12542 */     GIR_RootConstrainSelectedInstOperands,
     /*   12543 */     // GIR_Coverage, 45990,
     /*   12543 */     GIR_EraseRootFromParent_Done,
     /*   12544 */   // Label 398: @12544
     /*   12544 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(12589), // Rule ID 45991 //
     /*   12549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12552 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   12552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   12555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   12584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12587 */     GIR_RootConstrainSelectedInstOperands,
     /*   12588 */     // GIR_Coverage, 45991,
     /*   12588 */     GIR_EraseRootFromParent_Done,
     /*   12589 */   // Label 399: @12589
     /*   12589 */   GIM_Reject,
     /*   12590 */ // Label 397: @12590
     /*   12590 */ GIM_Reject,
     /*   12591 */ // Label 327: @12591
     /*   12591 */ GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(12705),
     /*   12596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   12599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   12602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12610 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   12614 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(12659), // Rule ID 45978 //
     /*   12619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12622 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   12622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   12625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12657 */     GIR_RootConstrainSelectedInstOperands,
     /*   12658 */     // GIR_Coverage, 45978,
     /*   12658 */     GIR_EraseRootFromParent_Done,
     /*   12659 */   // Label 401: @12659
     /*   12659 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(12704), // Rule ID 45979 //
     /*   12664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12667 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   12667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   12670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   12674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   12681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   12684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   12689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   12691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   12693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12702 */     GIR_RootConstrainSelectedInstOperands,
     /*   12703 */     // GIR_Coverage, 45979,
     /*   12703 */     GIR_EraseRootFromParent_Done,
     /*   12704 */   // Label 402: @12704
     /*   12704 */   GIM_Reject,
     /*   12705 */ // Label 400: @12705
     /*   12705 */ GIM_Reject,
     /*   12706 */ // Label 328: @12706
     /*   12706 */ GIM_Reject,
     /*   12707 */ // Label 2: @12707
     /*   12707 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 427*/ GIMT_Encode4(15610),
     /*   12718 */ /*GILLT_s32*//*Label 403*/ GIMT_Encode4(12842),
     /*   12722 */ /*GILLT_s64*//*Label 404*/ GIMT_Encode4(12876), GIMT_Encode4(0),
     /*   12730 */ /*GILLT_nxv1s8*//*Label 405*/ GIMT_Encode4(13080),
     /*   12734 */ /*GILLT_nxv1s16*//*Label 406*/ GIMT_Encode4(13195),
     /*   12738 */ /*GILLT_nxv1s32*//*Label 407*/ GIMT_Encode4(13310),
     /*   12742 */ /*GILLT_nxv1s64*//*Label 408*/ GIMT_Encode4(13425), GIMT_Encode4(0),
     /*   12750 */ /*GILLT_nxv2s8*//*Label 409*/ GIMT_Encode4(13540),
     /*   12754 */ /*GILLT_nxv2s16*//*Label 410*/ GIMT_Encode4(13655),
     /*   12758 */ /*GILLT_nxv2s32*//*Label 411*/ GIMT_Encode4(13770),
     /*   12762 */ /*GILLT_nxv2s64*//*Label 412*/ GIMT_Encode4(13885), GIMT_Encode4(0),
     /*   12770 */ /*GILLT_nxv4s8*//*Label 413*/ GIMT_Encode4(14000),
     /*   12774 */ /*GILLT_nxv4s16*//*Label 414*/ GIMT_Encode4(14115),
     /*   12778 */ /*GILLT_nxv4s32*//*Label 415*/ GIMT_Encode4(14230),
     /*   12782 */ /*GILLT_nxv4s64*//*Label 416*/ GIMT_Encode4(14345), GIMT_Encode4(0),
     /*   12790 */ /*GILLT_nxv8s8*//*Label 417*/ GIMT_Encode4(14460),
     /*   12794 */ /*GILLT_nxv8s16*//*Label 418*/ GIMT_Encode4(14575),
     /*   12798 */ /*GILLT_nxv8s32*//*Label 419*/ GIMT_Encode4(14690),
     /*   12802 */ /*GILLT_nxv8s64*//*Label 420*/ GIMT_Encode4(14805), GIMT_Encode4(0),
     /*   12810 */ /*GILLT_nxv16s8*//*Label 421*/ GIMT_Encode4(14920),
     /*   12814 */ /*GILLT_nxv16s16*//*Label 422*/ GIMT_Encode4(15035),
     /*   12818 */ /*GILLT_nxv16s32*//*Label 423*/ GIMT_Encode4(15150), GIMT_Encode4(0),
     /*   12826 */ /*GILLT_nxv32s8*//*Label 424*/ GIMT_Encode4(15265),
     /*   12830 */ /*GILLT_nxv32s16*//*Label 425*/ GIMT_Encode4(15380), GIMT_Encode4(0),
     /*   12838 */ /*GILLT_nxv64s8*//*Label 426*/ GIMT_Encode4(15495),
     /*   12842 */ // Label 403: @12842
     /*   12842 */ GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(12875), // Rule ID 288 //
     /*   12847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   12850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   12853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   12856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12868 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   12868 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   12873 */   GIR_RootConstrainSelectedInstOperands,
     /*   12874 */   // GIR_Coverage, 288,
     /*   12874 */   GIR_Done,
     /*   12875 */ // Label 428: @12875
     /*   12875 */ GIM_Reject,
     /*   12876 */ // Label 404: @12876
     /*   12876 */ GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(13079),
     /*   12881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   12884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   12887 */   GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(13020), // Rule ID 310 //
     /*   12892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   12895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   12907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   12911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   12915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12920 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   12931 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   12935 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   12939 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   12943 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   12947 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   12952 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   12963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   12965 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   12965 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   12968 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   12972 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12977 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12981 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   12984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   12986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   12989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   12993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   12998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13002 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   13005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   13010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   13018 */     GIR_RootConstrainSelectedInstOperands,
     /*   13019 */     // GIR_Coverage, 310,
     /*   13019 */     GIR_EraseRootFromParent_Done,
     /*   13020 */   // Label 430: @13020
     /*   13020 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(13051), // Rule ID 303 //
     /*   13025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   13028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13040 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9661),
     /*   13044 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_9661>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   13044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   13049 */     GIR_RootConstrainSelectedInstOperands,
     /*   13050 */     // GIR_Coverage, 303,
     /*   13050 */     GIR_Done,
     /*   13051 */   // Label 431: @13051
     /*   13051 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(13078), // Rule ID 287 //
     /*   13056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   13059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   13071 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   13071 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   13076 */     GIR_RootConstrainSelectedInstOperands,
     /*   13077 */     // GIR_Coverage, 287,
     /*   13077 */     GIR_Done,
     /*   13078 */   // Label 432: @13078
     /*   13078 */   GIM_Reject,
     /*   13079 */ // Label 429: @13079
     /*   13079 */ GIM_Reject,
     /*   13080 */ // Label 405: @13080
     /*   13080 */ GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(13194),
     /*   13085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   13091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13103 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(13148), // Rule ID 50338 //
     /*   13108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13111 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   13114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   13128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13146 */     GIR_RootConstrainSelectedInstOperands,
     /*   13147 */     // GIR_Coverage, 50338,
     /*   13147 */     GIR_EraseRootFromParent_Done,
     /*   13148 */   // Label 434: @13148
     /*   13148 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(13193), // Rule ID 50339 //
     /*   13153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13156 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   13159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   13173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13191 */     GIR_RootConstrainSelectedInstOperands,
     /*   13192 */     // GIR_Coverage, 50339,
     /*   13192 */     GIR_EraseRootFromParent_Done,
     /*   13193 */   // Label 435: @13193
     /*   13193 */   GIM_Reject,
     /*   13194 */ // Label 433: @13194
     /*   13194 */ GIM_Reject,
     /*   13195 */ // Label 406: @13195
     /*   13195 */ GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(13309),
     /*   13200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13218 */   GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(13263), // Rule ID 50350 //
     /*   13223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13226 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   13226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13261 */     GIR_RootConstrainSelectedInstOperands,
     /*   13262 */     // GIR_Coverage, 50350,
     /*   13262 */     GIR_EraseRootFromParent_Done,
     /*   13263 */   // Label 437: @13263
     /*   13263 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(13308), // Rule ID 50351 //
     /*   13268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13271 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   13271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13306 */     GIR_RootConstrainSelectedInstOperands,
     /*   13307 */     // GIR_Coverage, 50351,
     /*   13307 */     GIR_EraseRootFromParent_Done,
     /*   13308 */   // Label 438: @13308
     /*   13308 */   GIM_Reject,
     /*   13309 */ // Label 436: @13309
     /*   13309 */ GIM_Reject,
     /*   13310 */ // Label 407: @13310
     /*   13310 */ GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(13424),
     /*   13315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   13318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   13321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13333 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(13378), // Rule ID 50358 //
     /*   13338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13341 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13376 */     GIR_RootConstrainSelectedInstOperands,
     /*   13377 */     // GIR_Coverage, 50358,
     /*   13377 */     GIR_EraseRootFromParent_Done,
     /*   13378 */   // Label 440: @13378
     /*   13378 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(13423), // Rule ID 50359 //
     /*   13383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13386 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   13389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13421 */     GIR_RootConstrainSelectedInstOperands,
     /*   13422 */     // GIR_Coverage, 50359,
     /*   13422 */     GIR_EraseRootFromParent_Done,
     /*   13423 */   // Label 441: @13423
     /*   13423 */   GIM_Reject,
     /*   13424 */ // Label 439: @13424
     /*   13424 */ GIM_Reject,
     /*   13425 */ // Label 408: @13425
     /*   13425 */ GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(13539),
     /*   13430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   13433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   13436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13444 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13448 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(13493), // Rule ID 50374 //
     /*   13453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   13456 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   13456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   13459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13491 */     GIR_RootConstrainSelectedInstOperands,
     /*   13492 */     // GIR_Coverage, 50374,
     /*   13492 */     GIR_EraseRootFromParent_Done,
     /*   13493 */   // Label 443: @13493
     /*   13493 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(13538), // Rule ID 50375 //
     /*   13498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   13501 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   13501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   13504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13536 */     GIR_RootConstrainSelectedInstOperands,
     /*   13537 */     // GIR_Coverage, 50375,
     /*   13537 */     GIR_EraseRootFromParent_Done,
     /*   13538 */   // Label 444: @13538
     /*   13538 */   GIM_Reject,
     /*   13539 */ // Label 442: @13539
     /*   13539 */ GIM_Reject,
     /*   13540 */ // Label 409: @13540
     /*   13540 */ GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(13654),
     /*   13545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   13548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   13551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13563 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(13608), // Rule ID 50342 //
     /*   13568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13571 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   13574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13606 */     GIR_RootConstrainSelectedInstOperands,
     /*   13607 */     // GIR_Coverage, 50342,
     /*   13607 */     GIR_EraseRootFromParent_Done,
     /*   13608 */   // Label 446: @13608
     /*   13608 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(13653), // Rule ID 50343 //
     /*   13613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13616 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   13619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   13633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13651 */     GIR_RootConstrainSelectedInstOperands,
     /*   13652 */     // GIR_Coverage, 50343,
     /*   13652 */     GIR_EraseRootFromParent_Done,
     /*   13653 */   // Label 447: @13653
     /*   13653 */   GIM_Reject,
     /*   13654 */ // Label 445: @13654
     /*   13654 */ GIM_Reject,
     /*   13655 */ // Label 410: @13655
     /*   13655 */ GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(13769),
     /*   13660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   13663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   13666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13678 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(13723), // Rule ID 50354 //
     /*   13683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13686 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   13686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   13689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13721 */     GIR_RootConstrainSelectedInstOperands,
     /*   13722 */     // GIR_Coverage, 50354,
     /*   13722 */     GIR_EraseRootFromParent_Done,
     /*   13723 */   // Label 449: @13723
     /*   13723 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(13768), // Rule ID 50355 //
     /*   13728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13731 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   13731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   13734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   13748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13766 */     GIR_RootConstrainSelectedInstOperands,
     /*   13767 */     // GIR_Coverage, 50355,
     /*   13767 */     GIR_EraseRootFromParent_Done,
     /*   13768 */   // Label 450: @13768
     /*   13768 */   GIM_Reject,
     /*   13769 */ // Label 448: @13769
     /*   13769 */ GIM_Reject,
     /*   13770 */ // Label 411: @13770
     /*   13770 */ GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(13884),
     /*   13775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   13778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   13781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13793 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(13838), // Rule ID 50370 //
     /*   13798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13801 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   13801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   13804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13836 */     GIR_RootConstrainSelectedInstOperands,
     /*   13837 */     // GIR_Coverage, 50370,
     /*   13837 */     GIR_EraseRootFromParent_Done,
     /*   13838 */   // Label 452: @13838
     /*   13838 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(13883), // Rule ID 50371 //
     /*   13843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13846 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   13846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   13849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   13863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   13878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13881 */     GIR_RootConstrainSelectedInstOperands,
     /*   13882 */     // GIR_Coverage, 50371,
     /*   13882 */     GIR_EraseRootFromParent_Done,
     /*   13883 */   // Label 453: @13883
     /*   13883 */   GIM_Reject,
     /*   13884 */ // Label 451: @13884
     /*   13884 */ GIM_Reject,
     /*   13885 */ // Label 412: @13885
     /*   13885 */ GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(13999),
     /*   13890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   13893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   13896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   13908 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(13953), // Rule ID 50414 //
     /*   13913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   13916 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   13916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   13919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   13933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13951 */     GIR_RootConstrainSelectedInstOperands,
     /*   13952 */     // GIR_Coverage, 50414,
     /*   13952 */     GIR_EraseRootFromParent_Done,
     /*   13953 */   // Label 455: @13953
     /*   13953 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(13998), // Rule ID 50415 //
     /*   13958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   13961 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   13961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   13964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   13978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   13985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   13993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13996 */     GIR_RootConstrainSelectedInstOperands,
     /*   13997 */     // GIR_Coverage, 50415,
     /*   13997 */     GIR_EraseRootFromParent_Done,
     /*   13998 */   // Label 456: @13998
     /*   13998 */   GIM_Reject,
     /*   13999 */ // Label 454: @13999
     /*   13999 */ GIM_Reject,
     /*   14000 */ // Label 413: @14000
     /*   14000 */ GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(14114),
     /*   14005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   14008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   14011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14023 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(14068), // Rule ID 50346 //
     /*   14028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14031 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   14034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   14048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14066 */     GIR_RootConstrainSelectedInstOperands,
     /*   14067 */     // GIR_Coverage, 50346,
     /*   14067 */     GIR_EraseRootFromParent_Done,
     /*   14068 */   // Label 458: @14068
     /*   14068 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(14113), // Rule ID 50347 //
     /*   14073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14076 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   14079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   14093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14111 */     GIR_RootConstrainSelectedInstOperands,
     /*   14112 */     // GIR_Coverage, 50347,
     /*   14112 */     GIR_EraseRootFromParent_Done,
     /*   14113 */   // Label 459: @14113
     /*   14113 */   GIM_Reject,
     /*   14114 */ // Label 457: @14114
     /*   14114 */ GIM_Reject,
     /*   14115 */ // Label 414: @14115
     /*   14115 */ GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(14229),
     /*   14120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   14123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   14126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14138 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(14183), // Rule ID 50366 //
     /*   14143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14146 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   14149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14181 */     GIR_RootConstrainSelectedInstOperands,
     /*   14182 */     // GIR_Coverage, 50366,
     /*   14182 */     GIR_EraseRootFromParent_Done,
     /*   14183 */   // Label 461: @14183
     /*   14183 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(14228), // Rule ID 50367 //
     /*   14188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14191 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   14194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14226 */     GIR_RootConstrainSelectedInstOperands,
     /*   14227 */     // GIR_Coverage, 50367,
     /*   14227 */     GIR_EraseRootFromParent_Done,
     /*   14228 */   // Label 462: @14228
     /*   14228 */   GIM_Reject,
     /*   14229 */ // Label 460: @14229
     /*   14229 */ GIM_Reject,
     /*   14230 */ // Label 415: @14230
     /*   14230 */ GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(14344),
     /*   14235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   14238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   14241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14253 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(14298), // Rule ID 50402 //
     /*   14258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14261 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   14261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   14264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14296 */     GIR_RootConstrainSelectedInstOperands,
     /*   14297 */     // GIR_Coverage, 50402,
     /*   14297 */     GIR_EraseRootFromParent_Done,
     /*   14298 */   // Label 464: @14298
     /*   14298 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(14343), // Rule ID 50403 //
     /*   14303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14306 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   14306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   14309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14341 */     GIR_RootConstrainSelectedInstOperands,
     /*   14342 */     // GIR_Coverage, 50403,
     /*   14342 */     GIR_EraseRootFromParent_Done,
     /*   14343 */   // Label 465: @14343
     /*   14343 */   GIM_Reject,
     /*   14344 */ // Label 463: @14344
     /*   14344 */ GIM_Reject,
     /*   14345 */ // Label 416: @14345
     /*   14345 */ GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(14459),
     /*   14350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   14353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   14356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14368 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(14413), // Rule ID 50418 //
     /*   14373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   14376 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   14376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   14379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14411 */     GIR_RootConstrainSelectedInstOperands,
     /*   14412 */     // GIR_Coverage, 50418,
     /*   14412 */     GIR_EraseRootFromParent_Done,
     /*   14413 */   // Label 467: @14413
     /*   14413 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(14458), // Rule ID 50419 //
     /*   14418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   14421 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   14421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   14424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14456 */     GIR_RootConstrainSelectedInstOperands,
     /*   14457 */     // GIR_Coverage, 50419,
     /*   14457 */     GIR_EraseRootFromParent_Done,
     /*   14458 */   // Label 468: @14458
     /*   14458 */   GIM_Reject,
     /*   14459 */ // Label 466: @14459
     /*   14459 */ GIM_Reject,
     /*   14460 */ // Label 417: @14460
     /*   14460 */ GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(14574),
     /*   14465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   14468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   14471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14483 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(14528), // Rule ID 50362 //
     /*   14488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14491 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   14494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14526 */     GIR_RootConstrainSelectedInstOperands,
     /*   14527 */     // GIR_Coverage, 50362,
     /*   14527 */     GIR_EraseRootFromParent_Done,
     /*   14528 */   // Label 470: @14528
     /*   14528 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(14573), // Rule ID 50363 //
     /*   14533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14536 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   14539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   14553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14571 */     GIR_RootConstrainSelectedInstOperands,
     /*   14572 */     // GIR_Coverage, 50363,
     /*   14572 */     GIR_EraseRootFromParent_Done,
     /*   14573 */   // Label 471: @14573
     /*   14573 */   GIM_Reject,
     /*   14574 */ // Label 469: @14574
     /*   14574 */ GIM_Reject,
     /*   14575 */ // Label 418: @14575
     /*   14575 */ GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(14689),
     /*   14580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   14583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   14586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14598 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(14643), // Rule ID 50390 //
     /*   14603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14606 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   14609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14641 */     GIR_RootConstrainSelectedInstOperands,
     /*   14642 */     // GIR_Coverage, 50390,
     /*   14642 */     GIR_EraseRootFromParent_Done,
     /*   14643 */   // Label 473: @14643
     /*   14643 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(14688), // Rule ID 50391 //
     /*   14648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14651 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   14654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14686 */     GIR_RootConstrainSelectedInstOperands,
     /*   14687 */     // GIR_Coverage, 50391,
     /*   14687 */     GIR_EraseRootFromParent_Done,
     /*   14688 */   // Label 474: @14688
     /*   14688 */   GIM_Reject,
     /*   14689 */ // Label 472: @14689
     /*   14689 */ GIM_Reject,
     /*   14690 */ // Label 419: @14690
     /*   14690 */ GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(14804),
     /*   14695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   14698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   14701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   14713 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(14758), // Rule ID 50406 //
     /*   14718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14721 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   14721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   14724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14756 */     GIR_RootConstrainSelectedInstOperands,
     /*   14757 */     // GIR_Coverage, 50406,
     /*   14757 */     GIR_EraseRootFromParent_Done,
     /*   14758 */   // Label 476: @14758
     /*   14758 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(14803), // Rule ID 50407 //
     /*   14763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14766 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   14766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   14769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   14783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   14798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14801 */     GIR_RootConstrainSelectedInstOperands,
     /*   14802 */     // GIR_Coverage, 50407,
     /*   14802 */     GIR_EraseRootFromParent_Done,
     /*   14803 */   // Label 477: @14803
     /*   14803 */   GIM_Reject,
     /*   14804 */ // Label 475: @14804
     /*   14804 */ GIM_Reject,
     /*   14805 */ // Label 420: @14805
     /*   14805 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(14919),
     /*   14810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   14813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   14816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   14828 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(14873), // Rule ID 50422 //
     /*   14833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   14836 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   14836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   14839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   14853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14871 */     GIR_RootConstrainSelectedInstOperands,
     /*   14872 */     // GIR_Coverage, 50422,
     /*   14872 */     GIR_EraseRootFromParent_Done,
     /*   14873 */   // Label 479: @14873
     /*   14873 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(14918), // Rule ID 50423 //
     /*   14878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   14881 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   14881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   14884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   14898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   14913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14916 */     GIR_RootConstrainSelectedInstOperands,
     /*   14917 */     // GIR_Coverage, 50423,
     /*   14917 */     GIR_EraseRootFromParent_Done,
     /*   14918 */   // Label 480: @14918
     /*   14918 */   GIM_Reject,
     /*   14919 */ // Label 478: @14919
     /*   14919 */ GIM_Reject,
     /*   14920 */ // Label 421: @14920
     /*   14920 */ GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(15034),
     /*   14925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   14928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   14931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   14943 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(14988), // Rule ID 50378 //
     /*   14948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14951 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   14951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   14954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   14968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14986 */     GIR_RootConstrainSelectedInstOperands,
     /*   14987 */     // GIR_Coverage, 50378,
     /*   14987 */     GIR_EraseRootFromParent_Done,
     /*   14988 */   // Label 482: @14988
     /*   14988 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(15033), // Rule ID 50379 //
     /*   14993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14996 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   14996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   14999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   15013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15031 */     GIR_RootConstrainSelectedInstOperands,
     /*   15032 */     // GIR_Coverage, 50379,
     /*   15032 */     GIR_EraseRootFromParent_Done,
     /*   15033 */   // Label 483: @15033
     /*   15033 */   GIM_Reject,
     /*   15034 */ // Label 481: @15034
     /*   15034 */ GIM_Reject,
     /*   15035 */ // Label 422: @15035
     /*   15035 */ GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(15149),
     /*   15040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   15043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   15046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15058 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(15103), // Rule ID 50394 //
     /*   15063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15066 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   15069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15101 */     GIR_RootConstrainSelectedInstOperands,
     /*   15102 */     // GIR_Coverage, 50394,
     /*   15102 */     GIR_EraseRootFromParent_Done,
     /*   15103 */   // Label 485: @15103
     /*   15103 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(15148), // Rule ID 50395 //
     /*   15108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15111 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   15111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   15114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15146 */     GIR_RootConstrainSelectedInstOperands,
     /*   15147 */     // GIR_Coverage, 50395,
     /*   15147 */     GIR_EraseRootFromParent_Done,
     /*   15148 */   // Label 486: @15148
     /*   15148 */   GIM_Reject,
     /*   15149 */ // Label 484: @15149
     /*   15149 */ GIM_Reject,
     /*   15150 */ // Label 423: @15150
     /*   15150 */ GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(15264),
     /*   15155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   15158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   15161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15173 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(15218), // Rule ID 50410 //
     /*   15178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15181 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   15181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   15184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15216 */     GIR_RootConstrainSelectedInstOperands,
     /*   15217 */     // GIR_Coverage, 50410,
     /*   15217 */     GIR_EraseRootFromParent_Done,
     /*   15218 */   // Label 488: @15218
     /*   15218 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(15263), // Rule ID 50411 //
     /*   15223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15226 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   15226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   15229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   15258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15261 */     GIR_RootConstrainSelectedInstOperands,
     /*   15262 */     // GIR_Coverage, 50411,
     /*   15262 */     GIR_EraseRootFromParent_Done,
     /*   15263 */   // Label 489: @15263
     /*   15263 */   GIM_Reject,
     /*   15264 */ // Label 487: @15264
     /*   15264 */ GIM_Reject,
     /*   15265 */ // Label 424: @15265
     /*   15265 */ GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(15379),
     /*   15270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   15273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   15276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   15288 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(15333), // Rule ID 50382 //
     /*   15293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15296 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   15299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15331 */     GIR_RootConstrainSelectedInstOperands,
     /*   15332 */     // GIR_Coverage, 50382,
     /*   15332 */     GIR_EraseRootFromParent_Done,
     /*   15333 */   // Label 491: @15333
     /*   15333 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(15378), // Rule ID 50383 //
     /*   15338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15341 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   15344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   15358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15376 */     GIR_RootConstrainSelectedInstOperands,
     /*   15377 */     // GIR_Coverage, 50383,
     /*   15377 */     GIR_EraseRootFromParent_Done,
     /*   15378 */   // Label 492: @15378
     /*   15378 */   GIM_Reject,
     /*   15379 */ // Label 490: @15379
     /*   15379 */ GIM_Reject,
     /*   15380 */ // Label 425: @15380
     /*   15380 */ GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(15494),
     /*   15385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   15388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   15391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15403 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(15448), // Rule ID 50398 //
     /*   15408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15411 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   15414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15446 */     GIR_RootConstrainSelectedInstOperands,
     /*   15447 */     // GIR_Coverage, 50398,
     /*   15447 */     GIR_EraseRootFromParent_Done,
     /*   15448 */   // Label 494: @15448
     /*   15448 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(15493), // Rule ID 50399 //
     /*   15453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15456 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   15456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   15459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15491 */     GIR_RootConstrainSelectedInstOperands,
     /*   15492 */     // GIR_Coverage, 50399,
     /*   15492 */     GIR_EraseRootFromParent_Done,
     /*   15493 */   // Label 495: @15493
     /*   15493 */   GIM_Reject,
     /*   15494 */ // Label 493: @15494
     /*   15494 */ GIM_Reject,
     /*   15495 */ // Label 426: @15495
     /*   15495 */ GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(15609),
     /*   15500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   15503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   15506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   15518 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(15563), // Rule ID 50386 //
     /*   15523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15526 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   15529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15561 */     GIR_RootConstrainSelectedInstOperands,
     /*   15562 */     // GIR_Coverage, 50386,
     /*   15562 */     GIR_EraseRootFromParent_Done,
     /*   15563 */   // Label 497: @15563
     /*   15563 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(15608), // Rule ID 50387 //
     /*   15568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15571 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   15574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*   15588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15606 */     GIR_RootConstrainSelectedInstOperands,
     /*   15607 */     // GIR_Coverage, 50387,
     /*   15607 */     GIR_EraseRootFromParent_Done,
     /*   15608 */   // Label 498: @15608
     /*   15608 */   GIM_Reject,
     /*   15609 */ // Label 496: @15609
     /*   15609 */ GIM_Reject,
     /*   15610 */ // Label 427: @15610
     /*   15610 */ GIM_Reject,
     /*   15611 */ // Label 3: @15611
     /*   15611 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 523*/ GIMT_Encode4(18344),
     /*   15622 */ /*GILLT_s32*//*Label 499*/ GIMT_Encode4(15746),
     /*   15626 */ /*GILLT_s64*//*Label 500*/ GIMT_Encode4(15780), GIMT_Encode4(0),
     /*   15634 */ /*GILLT_nxv1s8*//*Label 501*/ GIMT_Encode4(15814),
     /*   15638 */ /*GILLT_nxv1s16*//*Label 502*/ GIMT_Encode4(15929),
     /*   15642 */ /*GILLT_nxv1s32*//*Label 503*/ GIMT_Encode4(16044),
     /*   15646 */ /*GILLT_nxv1s64*//*Label 504*/ GIMT_Encode4(16159), GIMT_Encode4(0),
     /*   15654 */ /*GILLT_nxv2s8*//*Label 505*/ GIMT_Encode4(16274),
     /*   15658 */ /*GILLT_nxv2s16*//*Label 506*/ GIMT_Encode4(16389),
     /*   15662 */ /*GILLT_nxv2s32*//*Label 507*/ GIMT_Encode4(16504),
     /*   15666 */ /*GILLT_nxv2s64*//*Label 508*/ GIMT_Encode4(16619), GIMT_Encode4(0),
     /*   15674 */ /*GILLT_nxv4s8*//*Label 509*/ GIMT_Encode4(16734),
     /*   15678 */ /*GILLT_nxv4s16*//*Label 510*/ GIMT_Encode4(16849),
     /*   15682 */ /*GILLT_nxv4s32*//*Label 511*/ GIMT_Encode4(16964),
     /*   15686 */ /*GILLT_nxv4s64*//*Label 512*/ GIMT_Encode4(17079), GIMT_Encode4(0),
     /*   15694 */ /*GILLT_nxv8s8*//*Label 513*/ GIMT_Encode4(17194),
     /*   15698 */ /*GILLT_nxv8s16*//*Label 514*/ GIMT_Encode4(17309),
     /*   15702 */ /*GILLT_nxv8s32*//*Label 515*/ GIMT_Encode4(17424),
     /*   15706 */ /*GILLT_nxv8s64*//*Label 516*/ GIMT_Encode4(17539), GIMT_Encode4(0),
     /*   15714 */ /*GILLT_nxv16s8*//*Label 517*/ GIMT_Encode4(17654),
     /*   15718 */ /*GILLT_nxv16s16*//*Label 518*/ GIMT_Encode4(17769),
     /*   15722 */ /*GILLT_nxv16s32*//*Label 519*/ GIMT_Encode4(17884), GIMT_Encode4(0),
     /*   15730 */ /*GILLT_nxv32s8*//*Label 520*/ GIMT_Encode4(17999),
     /*   15734 */ /*GILLT_nxv32s16*//*Label 521*/ GIMT_Encode4(18114), GIMT_Encode4(0),
     /*   15742 */ /*GILLT_nxv64s8*//*Label 522*/ GIMT_Encode4(18229),
     /*   15746 */ // Label 499: @15746
     /*   15746 */ GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(15779), // Rule ID 296 //
     /*   15751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   15754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   15757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   15760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15772 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   15772 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*   15777 */   GIR_RootConstrainSelectedInstOperands,
     /*   15778 */   // GIR_Coverage, 296,
     /*   15778 */   GIR_Done,
     /*   15779 */ // Label 524: @15779
     /*   15779 */ GIM_Reject,
     /*   15780 */ // Label 500: @15780
     /*   15780 */ GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(15813), // Rule ID 295 //
     /*   15785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   15788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   15791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   15794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   15806 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   15806 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*   15811 */   GIR_RootConstrainSelectedInstOperands,
     /*   15812 */   // GIR_Coverage, 295,
     /*   15812 */   GIR_Done,
     /*   15813 */ // Label 525: @15813
     /*   15813 */ GIM_Reject,
     /*   15814 */ // Label 501: @15814
     /*   15814 */ GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(15928),
     /*   15819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   15822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   15825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15837 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(15882), // Rule ID 50690 //
     /*   15842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15845 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   15845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   15848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*   15862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15880 */     GIR_RootConstrainSelectedInstOperands,
     /*   15881 */     // GIR_Coverage, 50690,
     /*   15881 */     GIR_EraseRootFromParent_Done,
     /*   15882 */   // Label 527: @15882
     /*   15882 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(15927), // Rule ID 50691 //
     /*   15887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15890 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   15890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   15893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*   15907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15925 */     GIR_RootConstrainSelectedInstOperands,
     /*   15926 */     // GIR_Coverage, 50691,
     /*   15926 */     GIR_EraseRootFromParent_Done,
     /*   15927 */   // Label 528: @15927
     /*   15927 */   GIM_Reject,
     /*   15928 */ // Label 526: @15928
     /*   15928 */ GIM_Reject,
     /*   15929 */ // Label 502: @15929
     /*   15929 */ GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(16043),
     /*   15934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   15940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15952 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(15997), // Rule ID 50702 //
     /*   15957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15960 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   15960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   15963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   15967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   15972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   15974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*   15977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   15982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   15984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   15986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   15995 */     GIR_RootConstrainSelectedInstOperands,
     /*   15996 */     // GIR_Coverage, 50702,
     /*   15996 */     GIR_EraseRootFromParent_Done,
     /*   15997 */   // Label 530: @15997
     /*   15997 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(16042), // Rule ID 50703 //
     /*   16002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16005 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   16008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*   16022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16040 */     GIR_RootConstrainSelectedInstOperands,
     /*   16041 */     // GIR_Coverage, 50703,
     /*   16041 */     GIR_EraseRootFromParent_Done,
     /*   16042 */   // Label 531: @16042
     /*   16042 */   GIM_Reject,
     /*   16043 */ // Label 529: @16043
     /*   16043 */ GIM_Reject,
     /*   16044 */ // Label 503: @16044
     /*   16044 */ GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(16158),
     /*   16049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16067 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(16112), // Rule ID 50710 //
     /*   16072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16075 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*   16092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16110 */     GIR_RootConstrainSelectedInstOperands,
     /*   16111 */     // GIR_Coverage, 50710,
     /*   16111 */     GIR_EraseRootFromParent_Done,
     /*   16112 */   // Label 533: @16112
     /*   16112 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(16157), // Rule ID 50711 //
     /*   16117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16120 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   16120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*   16137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16155 */     GIR_RootConstrainSelectedInstOperands,
     /*   16156 */     // GIR_Coverage, 50711,
     /*   16156 */     GIR_EraseRootFromParent_Done,
     /*   16157 */   // Label 534: @16157
     /*   16157 */   GIM_Reject,
     /*   16158 */ // Label 532: @16158
     /*   16158 */ GIM_Reject,
     /*   16159 */ // Label 504: @16159
     /*   16159 */ GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(16273),
     /*   16164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   16167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   16170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16182 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(16227), // Rule ID 50726 //
     /*   16187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16190 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*   16207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16225 */     GIR_RootConstrainSelectedInstOperands,
     /*   16226 */     // GIR_Coverage, 50726,
     /*   16226 */     GIR_EraseRootFromParent_Done,
     /*   16227 */   // Label 536: @16227
     /*   16227 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(16272), // Rule ID 50727 //
     /*   16232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16235 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   16235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   16238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*   16252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16270 */     GIR_RootConstrainSelectedInstOperands,
     /*   16271 */     // GIR_Coverage, 50727,
     /*   16271 */     GIR_EraseRootFromParent_Done,
     /*   16272 */   // Label 537: @16272
     /*   16272 */   GIM_Reject,
     /*   16273 */ // Label 535: @16273
     /*   16273 */ GIM_Reject,
     /*   16274 */ // Label 505: @16274
     /*   16274 */ GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(16388),
     /*   16279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   16282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   16285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16289 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16297 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(16342), // Rule ID 50694 //
     /*   16302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16305 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   16305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   16308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*   16322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16340 */     GIR_RootConstrainSelectedInstOperands,
     /*   16341 */     // GIR_Coverage, 50694,
     /*   16341 */     GIR_EraseRootFromParent_Done,
     /*   16342 */   // Label 539: @16342
     /*   16342 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(16387), // Rule ID 50695 //
     /*   16347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16350 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   16350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   16353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*   16367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16385 */     GIR_RootConstrainSelectedInstOperands,
     /*   16386 */     // GIR_Coverage, 50695,
     /*   16386 */     GIR_EraseRootFromParent_Done,
     /*   16387 */   // Label 540: @16387
     /*   16387 */   GIM_Reject,
     /*   16388 */ // Label 538: @16388
     /*   16388 */ GIM_Reject,
     /*   16389 */ // Label 506: @16389
     /*   16389 */ GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(16503),
     /*   16394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   16397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   16400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16412 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(16457), // Rule ID 50706 //
     /*   16417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16420 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   16423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*   16437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16455 */     GIR_RootConstrainSelectedInstOperands,
     /*   16456 */     // GIR_Coverage, 50706,
     /*   16456 */     GIR_EraseRootFromParent_Done,
     /*   16457 */   // Label 542: @16457
     /*   16457 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(16502), // Rule ID 50707 //
     /*   16462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16465 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16465 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   16468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16472 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16477 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*   16482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16500 */     GIR_RootConstrainSelectedInstOperands,
     /*   16501 */     // GIR_Coverage, 50707,
     /*   16501 */     GIR_EraseRootFromParent_Done,
     /*   16502 */   // Label 543: @16502
     /*   16502 */   GIM_Reject,
     /*   16503 */ // Label 541: @16503
     /*   16503 */ GIM_Reject,
     /*   16504 */ // Label 507: @16504
     /*   16504 */ GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(16618),
     /*   16509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   16512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   16515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16527 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(16572), // Rule ID 50722 //
     /*   16532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16535 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   16538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*   16552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16570 */     GIR_RootConstrainSelectedInstOperands,
     /*   16571 */     // GIR_Coverage, 50722,
     /*   16571 */     GIR_EraseRootFromParent_Done,
     /*   16572 */   // Label 545: @16572
     /*   16572 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(16617), // Rule ID 50723 //
     /*   16577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16580 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   16580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   16583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*   16597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   16612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16615 */     GIR_RootConstrainSelectedInstOperands,
     /*   16616 */     // GIR_Coverage, 50723,
     /*   16616 */     GIR_EraseRootFromParent_Done,
     /*   16617 */   // Label 546: @16617
     /*   16617 */   GIM_Reject,
     /*   16618 */ // Label 544: @16618
     /*   16618 */ GIM_Reject,
     /*   16619 */ // Label 508: @16619
     /*   16619 */ GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(16733),
     /*   16624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   16627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   16630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16642 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(16687), // Rule ID 50766 //
     /*   16647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   16650 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   16650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   16653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*   16667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16685 */     GIR_RootConstrainSelectedInstOperands,
     /*   16686 */     // GIR_Coverage, 50766,
     /*   16686 */     GIR_EraseRootFromParent_Done,
     /*   16687 */   // Label 548: @16687
     /*   16687 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(16732), // Rule ID 50767 //
     /*   16692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   16695 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   16695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   16698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*   16712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   16727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16730 */     GIR_RootConstrainSelectedInstOperands,
     /*   16731 */     // GIR_Coverage, 50767,
     /*   16731 */     GIR_EraseRootFromParent_Done,
     /*   16732 */   // Label 549: @16732
     /*   16732 */   GIM_Reject,
     /*   16733 */ // Label 547: @16733
     /*   16733 */ GIM_Reject,
     /*   16734 */ // Label 509: @16734
     /*   16734 */ GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(16848),
     /*   16739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   16742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   16745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16757 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(16802), // Rule ID 50698 //
     /*   16762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16765 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   16765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   16768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*   16782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16800 */     GIR_RootConstrainSelectedInstOperands,
     /*   16801 */     // GIR_Coverage, 50698,
     /*   16801 */     GIR_EraseRootFromParent_Done,
     /*   16802 */   // Label 551: @16802
     /*   16802 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(16847), // Rule ID 50699 //
     /*   16807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16810 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   16810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   16813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*   16827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16845 */     GIR_RootConstrainSelectedInstOperands,
     /*   16846 */     // GIR_Coverage, 50699,
     /*   16846 */     GIR_EraseRootFromParent_Done,
     /*   16847 */   // Label 552: @16847
     /*   16847 */   GIM_Reject,
     /*   16848 */ // Label 550: @16848
     /*   16848 */ GIM_Reject,
     /*   16849 */ // Label 510: @16849
     /*   16849 */ GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(16963),
     /*   16854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   16857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   16860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16872 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(16917), // Rule ID 50718 //
     /*   16877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16880 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   16883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*   16897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16915 */     GIR_RootConstrainSelectedInstOperands,
     /*   16916 */     // GIR_Coverage, 50718,
     /*   16916 */     GIR_EraseRootFromParent_Done,
     /*   16917 */   // Label 554: @16917
     /*   16917 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(16962), // Rule ID 50719 //
     /*   16922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16925 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   16928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*   16942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   16949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   16951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16960 */     GIR_RootConstrainSelectedInstOperands,
     /*   16961 */     // GIR_Coverage, 50719,
     /*   16961 */     GIR_EraseRootFromParent_Done,
     /*   16962 */   // Label 555: @16962
     /*   16962 */   GIM_Reject,
     /*   16963 */ // Label 553: @16963
     /*   16963 */ GIM_Reject,
     /*   16964 */ // Label 511: @16964
     /*   16964 */ GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(17078),
     /*   16969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   16972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   16975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   16987 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(17032), // Rule ID 50754 //
     /*   16992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16995 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   16995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   16998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*   17012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17030 */     GIR_RootConstrainSelectedInstOperands,
     /*   17031 */     // GIR_Coverage, 50754,
     /*   17031 */     GIR_EraseRootFromParent_Done,
     /*   17032 */   // Label 557: @17032
     /*   17032 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(17077), // Rule ID 50755 //
     /*   17037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17040 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   17043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*   17057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17075 */     GIR_RootConstrainSelectedInstOperands,
     /*   17076 */     // GIR_Coverage, 50755,
     /*   17076 */     GIR_EraseRootFromParent_Done,
     /*   17077 */   // Label 558: @17077
     /*   17077 */   GIM_Reject,
     /*   17078 */ // Label 556: @17078
     /*   17078 */ GIM_Reject,
     /*   17079 */ // Label 512: @17079
     /*   17079 */ GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(17193),
     /*   17084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   17087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   17090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17098 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17102 */   GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(17147), // Rule ID 50770 //
     /*   17107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   17110 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   17110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   17113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*   17127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17145 */     GIR_RootConstrainSelectedInstOperands,
     /*   17146 */     // GIR_Coverage, 50770,
     /*   17146 */     GIR_EraseRootFromParent_Done,
     /*   17147 */   // Label 560: @17147
     /*   17147 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(17192), // Rule ID 50771 //
     /*   17152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17155 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   17158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*   17172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17190 */     GIR_RootConstrainSelectedInstOperands,
     /*   17191 */     // GIR_Coverage, 50771,
     /*   17191 */     GIR_EraseRootFromParent_Done,
     /*   17192 */   // Label 561: @17192
     /*   17192 */   GIM_Reject,
     /*   17193 */ // Label 559: @17193
     /*   17193 */ GIM_Reject,
     /*   17194 */ // Label 513: @17194
     /*   17194 */ GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(17308),
     /*   17199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   17202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   17205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17217 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(17262), // Rule ID 50714 //
     /*   17222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17225 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   17228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*   17242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17260 */     GIR_RootConstrainSelectedInstOperands,
     /*   17261 */     // GIR_Coverage, 50714,
     /*   17261 */     GIR_EraseRootFromParent_Done,
     /*   17262 */   // Label 563: @17262
     /*   17262 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(17307), // Rule ID 50715 //
     /*   17267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17270 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   17273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*   17287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17305 */     GIR_RootConstrainSelectedInstOperands,
     /*   17306 */     // GIR_Coverage, 50715,
     /*   17306 */     GIR_EraseRootFromParent_Done,
     /*   17307 */   // Label 564: @17307
     /*   17307 */   GIM_Reject,
     /*   17308 */ // Label 562: @17308
     /*   17308 */ GIM_Reject,
     /*   17309 */ // Label 514: @17309
     /*   17309 */ GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(17423),
     /*   17314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   17317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   17320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17332 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(17377), // Rule ID 50742 //
     /*   17337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17340 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   17340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   17343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*   17357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17375 */     GIR_RootConstrainSelectedInstOperands,
     /*   17376 */     // GIR_Coverage, 50742,
     /*   17376 */     GIR_EraseRootFromParent_Done,
     /*   17377 */   // Label 566: @17377
     /*   17377 */   GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(17422), // Rule ID 50743 //
     /*   17382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17385 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   17385 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   17388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17392 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*   17402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17420 */     GIR_RootConstrainSelectedInstOperands,
     /*   17421 */     // GIR_Coverage, 50743,
     /*   17421 */     GIR_EraseRootFromParent_Done,
     /*   17422 */   // Label 567: @17422
     /*   17422 */   GIM_Reject,
     /*   17423 */ // Label 565: @17423
     /*   17423 */ GIM_Reject,
     /*   17424 */ // Label 515: @17424
     /*   17424 */ GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(17538),
     /*   17429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   17432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   17435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17447 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(17492), // Rule ID 50758 //
     /*   17452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17455 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   17458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*   17472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17490 */     GIR_RootConstrainSelectedInstOperands,
     /*   17491 */     // GIR_Coverage, 50758,
     /*   17491 */     GIR_EraseRootFromParent_Done,
     /*   17492 */   // Label 569: @17492
     /*   17492 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(17537), // Rule ID 50759 //
     /*   17497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17500 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   17503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*   17517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17535 */     GIR_RootConstrainSelectedInstOperands,
     /*   17536 */     // GIR_Coverage, 50759,
     /*   17536 */     GIR_EraseRootFromParent_Done,
     /*   17537 */   // Label 570: @17537
     /*   17537 */   GIM_Reject,
     /*   17538 */ // Label 568: @17538
     /*   17538 */ GIM_Reject,
     /*   17539 */ // Label 516: @17539
     /*   17539 */ GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(17653),
     /*   17544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   17547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   17550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17562 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(17607), // Rule ID 50774 //
     /*   17567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   17570 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   17570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   17573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*   17587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17605 */     GIR_RootConstrainSelectedInstOperands,
     /*   17606 */     // GIR_Coverage, 50774,
     /*   17606 */     GIR_EraseRootFromParent_Done,
     /*   17607 */   // Label 572: @17607
     /*   17607 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(17652), // Rule ID 50775 //
     /*   17612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   17615 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   17615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   17618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*   17632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   17647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17650 */     GIR_RootConstrainSelectedInstOperands,
     /*   17651 */     // GIR_Coverage, 50775,
     /*   17651 */     GIR_EraseRootFromParent_Done,
     /*   17652 */   // Label 573: @17652
     /*   17652 */   GIM_Reject,
     /*   17653 */ // Label 571: @17653
     /*   17653 */ GIM_Reject,
     /*   17654 */ // Label 517: @17654
     /*   17654 */ GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(17768),
     /*   17659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   17662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   17665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17669 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17673 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   17677 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(17722), // Rule ID 50730 //
     /*   17682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17685 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   17685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   17688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*   17702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17720 */     GIR_RootConstrainSelectedInstOperands,
     /*   17721 */     // GIR_Coverage, 50730,
     /*   17721 */     GIR_EraseRootFromParent_Done,
     /*   17722 */   // Label 575: @17722
     /*   17722 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(17767), // Rule ID 50731 //
     /*   17727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17730 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   17730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   17733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*   17747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17765 */     GIR_RootConstrainSelectedInstOperands,
     /*   17766 */     // GIR_Coverage, 50731,
     /*   17766 */     GIR_EraseRootFromParent_Done,
     /*   17767 */   // Label 576: @17767
     /*   17767 */   GIM_Reject,
     /*   17768 */ // Label 574: @17768
     /*   17768 */ GIM_Reject,
     /*   17769 */ // Label 518: @17769
     /*   17769 */ GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(17883),
     /*   17774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   17777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   17780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   17792 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(17837), // Rule ID 50746 //
     /*   17797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17800 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   17800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   17803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*   17817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17835 */     GIR_RootConstrainSelectedInstOperands,
     /*   17836 */     // GIR_Coverage, 50746,
     /*   17836 */     GIR_EraseRootFromParent_Done,
     /*   17837 */   // Label 578: @17837
     /*   17837 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(17882), // Rule ID 50747 //
     /*   17842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17845 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   17845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   17848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*   17862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17880 */     GIR_RootConstrainSelectedInstOperands,
     /*   17881 */     // GIR_Coverage, 50747,
     /*   17881 */     GIR_EraseRootFromParent_Done,
     /*   17882 */   // Label 579: @17882
     /*   17882 */   GIM_Reject,
     /*   17883 */ // Label 577: @17883
     /*   17883 */ GIM_Reject,
     /*   17884 */ // Label 519: @17884
     /*   17884 */ GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(17998),
     /*   17889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   17892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   17895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   17907 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(17952), // Rule ID 50762 //
     /*   17912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17915 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   17918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*   17932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17950 */     GIR_RootConstrainSelectedInstOperands,
     /*   17951 */     // GIR_Coverage, 50762,
     /*   17951 */     GIR_EraseRootFromParent_Done,
     /*   17952 */   // Label 581: @17952
     /*   17952 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(17997), // Rule ID 50763 //
     /*   17957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17960 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   17960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   17963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*   17977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   17984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17995 */     GIR_RootConstrainSelectedInstOperands,
     /*   17996 */     // GIR_Coverage, 50763,
     /*   17996 */     GIR_EraseRootFromParent_Done,
     /*   17997 */   // Label 582: @17997
     /*   17997 */   GIM_Reject,
     /*   17998 */ // Label 580: @17998
     /*   17998 */ GIM_Reject,
     /*   17999 */ // Label 520: @17999
     /*   17999 */ GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(18113),
     /*   18004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   18007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   18010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18018 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   18022 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(18067), // Rule ID 50734 //
     /*   18027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18030 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   18033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*   18047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18065 */     GIR_RootConstrainSelectedInstOperands,
     /*   18066 */     // GIR_Coverage, 50734,
     /*   18066 */     GIR_EraseRootFromParent_Done,
     /*   18067 */   // Label 584: @18067
     /*   18067 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(18112), // Rule ID 50735 //
     /*   18072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18075 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   18078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*   18092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18110 */     GIR_RootConstrainSelectedInstOperands,
     /*   18111 */     // GIR_Coverage, 50735,
     /*   18111 */     GIR_EraseRootFromParent_Done,
     /*   18112 */   // Label 585: @18112
     /*   18112 */   GIM_Reject,
     /*   18113 */ // Label 583: @18113
     /*   18113 */ GIM_Reject,
     /*   18114 */ // Label 521: @18114
     /*   18114 */ GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(18228),
     /*   18119 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   18122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   18125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18137 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(18182), // Rule ID 50750 //
     /*   18142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18145 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   18145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   18148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*   18162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18180 */     GIR_RootConstrainSelectedInstOperands,
     /*   18181 */     // GIR_Coverage, 50750,
     /*   18181 */     GIR_EraseRootFromParent_Done,
     /*   18182 */   // Label 587: @18182
     /*   18182 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(18227), // Rule ID 50751 //
     /*   18187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18190 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   18190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   18193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*   18207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18225 */     GIR_RootConstrainSelectedInstOperands,
     /*   18226 */     // GIR_Coverage, 50751,
     /*   18226 */     GIR_EraseRootFromParent_Done,
     /*   18227 */   // Label 588: @18227
     /*   18227 */   GIM_Reject,
     /*   18228 */ // Label 586: @18228
     /*   18228 */ GIM_Reject,
     /*   18229 */ // Label 522: @18229
     /*   18229 */ GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(18343),
     /*   18234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   18237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   18240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   18252 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(18297), // Rule ID 50738 //
     /*   18257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18260 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   18263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*   18277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18295 */     GIR_RootConstrainSelectedInstOperands,
     /*   18296 */     // GIR_Coverage, 50738,
     /*   18296 */     GIR_EraseRootFromParent_Done,
     /*   18297 */   // Label 590: @18297
     /*   18297 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(18342), // Rule ID 50739 //
     /*   18302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18305 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   18308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*   18322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18340 */     GIR_RootConstrainSelectedInstOperands,
     /*   18341 */     // GIR_Coverage, 50739,
     /*   18341 */     GIR_EraseRootFromParent_Done,
     /*   18342 */   // Label 591: @18342
     /*   18342 */   GIM_Reject,
     /*   18343 */ // Label 589: @18343
     /*   18343 */ GIM_Reject,
     /*   18344 */ // Label 523: @18344
     /*   18344 */ GIM_Reject,
     /*   18345 */ // Label 4: @18345
     /*   18345 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 616*/ GIMT_Encode4(21078),
     /*   18356 */ /*GILLT_s32*//*Label 592*/ GIMT_Encode4(18480),
     /*   18360 */ /*GILLT_s64*//*Label 593*/ GIMT_Encode4(18514), GIMT_Encode4(0),
     /*   18368 */ /*GILLT_nxv1s8*//*Label 594*/ GIMT_Encode4(18548),
     /*   18372 */ /*GILLT_nxv1s16*//*Label 595*/ GIMT_Encode4(18663),
     /*   18376 */ /*GILLT_nxv1s32*//*Label 596*/ GIMT_Encode4(18778),
     /*   18380 */ /*GILLT_nxv1s64*//*Label 597*/ GIMT_Encode4(18893), GIMT_Encode4(0),
     /*   18388 */ /*GILLT_nxv2s8*//*Label 598*/ GIMT_Encode4(19008),
     /*   18392 */ /*GILLT_nxv2s16*//*Label 599*/ GIMT_Encode4(19123),
     /*   18396 */ /*GILLT_nxv2s32*//*Label 600*/ GIMT_Encode4(19238),
     /*   18400 */ /*GILLT_nxv2s64*//*Label 601*/ GIMT_Encode4(19353), GIMT_Encode4(0),
     /*   18408 */ /*GILLT_nxv4s8*//*Label 602*/ GIMT_Encode4(19468),
     /*   18412 */ /*GILLT_nxv4s16*//*Label 603*/ GIMT_Encode4(19583),
     /*   18416 */ /*GILLT_nxv4s32*//*Label 604*/ GIMT_Encode4(19698),
     /*   18420 */ /*GILLT_nxv4s64*//*Label 605*/ GIMT_Encode4(19813), GIMT_Encode4(0),
     /*   18428 */ /*GILLT_nxv8s8*//*Label 606*/ GIMT_Encode4(19928),
     /*   18432 */ /*GILLT_nxv8s16*//*Label 607*/ GIMT_Encode4(20043),
     /*   18436 */ /*GILLT_nxv8s32*//*Label 608*/ GIMT_Encode4(20158),
     /*   18440 */ /*GILLT_nxv8s64*//*Label 609*/ GIMT_Encode4(20273), GIMT_Encode4(0),
     /*   18448 */ /*GILLT_nxv16s8*//*Label 610*/ GIMT_Encode4(20388),
     /*   18452 */ /*GILLT_nxv16s16*//*Label 611*/ GIMT_Encode4(20503),
     /*   18456 */ /*GILLT_nxv16s32*//*Label 612*/ GIMT_Encode4(20618), GIMT_Encode4(0),
     /*   18464 */ /*GILLT_nxv32s8*//*Label 613*/ GIMT_Encode4(20733),
     /*   18468 */ /*GILLT_nxv32s16*//*Label 614*/ GIMT_Encode4(20848), GIMT_Encode4(0),
     /*   18476 */ /*GILLT_nxv64s8*//*Label 615*/ GIMT_Encode4(20963),
     /*   18480 */ // Label 592: @18480
     /*   18480 */ GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(18513), // Rule ID 298 //
     /*   18485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   18488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   18491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   18494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18506 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   18506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*   18511 */   GIR_RootConstrainSelectedInstOperands,
     /*   18512 */   // GIR_Coverage, 298,
     /*   18512 */   GIR_Done,
     /*   18513 */ // Label 617: @18513
     /*   18513 */ GIM_Reject,
     /*   18514 */ // Label 593: @18514
     /*   18514 */ GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(18547), // Rule ID 297 //
     /*   18519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   18522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   18525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   18528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   18540 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   18540 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*   18545 */   GIR_RootConstrainSelectedInstOperands,
     /*   18546 */   // GIR_Coverage, 297,
     /*   18546 */   GIR_Done,
     /*   18547 */ // Label 618: @18547
     /*   18547 */ GIM_Reject,
     /*   18548 */ // Label 594: @18548
     /*   18548 */ GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(18662),
     /*   18553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   18556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   18559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18571 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(18616), // Rule ID 50602 //
     /*   18576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18579 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   18579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   18582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*   18596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18614 */     GIR_RootConstrainSelectedInstOperands,
     /*   18615 */     // GIR_Coverage, 50602,
     /*   18615 */     GIR_EraseRootFromParent_Done,
     /*   18616 */   // Label 620: @18616
     /*   18616 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(18661), // Rule ID 50603 //
     /*   18621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18624 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   18624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   18627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*   18641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18659 */     GIR_RootConstrainSelectedInstOperands,
     /*   18660 */     // GIR_Coverage, 50603,
     /*   18660 */     GIR_EraseRootFromParent_Done,
     /*   18661 */   // Label 621: @18661
     /*   18661 */   GIM_Reject,
     /*   18662 */ // Label 619: @18662
     /*   18662 */ GIM_Reject,
     /*   18663 */ // Label 595: @18663
     /*   18663 */ GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(18777),
     /*   18668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   18671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   18674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18686 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(18731), // Rule ID 50614 //
     /*   18691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18694 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   18694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   18697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*   18711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18729 */     GIR_RootConstrainSelectedInstOperands,
     /*   18730 */     // GIR_Coverage, 50614,
     /*   18730 */     GIR_EraseRootFromParent_Done,
     /*   18731 */   // Label 623: @18731
     /*   18731 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(18776), // Rule ID 50615 //
     /*   18736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18739 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   18739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   18742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*   18756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   18771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18774 */     GIR_RootConstrainSelectedInstOperands,
     /*   18775 */     // GIR_Coverage, 50615,
     /*   18775 */     GIR_EraseRootFromParent_Done,
     /*   18776 */   // Label 624: @18776
     /*   18776 */   GIM_Reject,
     /*   18777 */ // Label 622: @18777
     /*   18777 */ GIM_Reject,
     /*   18778 */ // Label 596: @18778
     /*   18778 */ GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(18892),
     /*   18783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   18789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18801 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(18846), // Rule ID 50622 //
     /*   18806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   18809 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   18809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*   18826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18844 */     GIR_RootConstrainSelectedInstOperands,
     /*   18845 */     // GIR_Coverage, 50622,
     /*   18845 */     GIR_EraseRootFromParent_Done,
     /*   18846 */   // Label 626: @18846
     /*   18846 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(18891), // Rule ID 50623 //
     /*   18851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18854 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*   18871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18889 */     GIR_RootConstrainSelectedInstOperands,
     /*   18890 */     // GIR_Coverage, 50623,
     /*   18890 */     GIR_EraseRootFromParent_Done,
     /*   18891 */   // Label 627: @18891
     /*   18891 */   GIM_Reject,
     /*   18892 */ // Label 625: @18892
     /*   18892 */ GIM_Reject,
     /*   18893 */ // Label 597: @18893
     /*   18893 */ GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(19007),
     /*   18898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18916 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(18961), // Rule ID 50638 //
     /*   18921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   18924 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   18924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   18927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*   18941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   18956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18959 */     GIR_RootConstrainSelectedInstOperands,
     /*   18960 */     // GIR_Coverage, 50638,
     /*   18960 */     GIR_EraseRootFromParent_Done,
     /*   18961 */   // Label 629: @18961
     /*   18961 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(19006), // Rule ID 50639 //
     /*   18966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   18969 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   18969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   18972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*   18986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19004 */     GIR_RootConstrainSelectedInstOperands,
     /*   19005 */     // GIR_Coverage, 50639,
     /*   19005 */     GIR_EraseRootFromParent_Done,
     /*   19006 */   // Label 630: @19006
     /*   19006 */   GIM_Reject,
     /*   19007 */ // Label 628: @19007
     /*   19007 */ GIM_Reject,
     /*   19008 */ // Label 598: @19008
     /*   19008 */ GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(19122),
     /*   19013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   19016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   19019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19031 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(19076), // Rule ID 50606 //
     /*   19036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19039 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   19042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*   19056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19074 */     GIR_RootConstrainSelectedInstOperands,
     /*   19075 */     // GIR_Coverage, 50606,
     /*   19075 */     GIR_EraseRootFromParent_Done,
     /*   19076 */   // Label 632: @19076
     /*   19076 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(19121), // Rule ID 50607 //
     /*   19081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19084 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   19087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*   19101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19119 */     GIR_RootConstrainSelectedInstOperands,
     /*   19120 */     // GIR_Coverage, 50607,
     /*   19120 */     GIR_EraseRootFromParent_Done,
     /*   19121 */   // Label 633: @19121
     /*   19121 */   GIM_Reject,
     /*   19122 */ // Label 631: @19122
     /*   19122 */ GIM_Reject,
     /*   19123 */ // Label 599: @19123
     /*   19123 */ GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(19237),
     /*   19128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   19131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   19134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19146 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(19191), // Rule ID 50618 //
     /*   19151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19154 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   19154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*   19171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19189 */     GIR_RootConstrainSelectedInstOperands,
     /*   19190 */     // GIR_Coverage, 50618,
     /*   19190 */     GIR_EraseRootFromParent_Done,
     /*   19191 */   // Label 635: @19191
     /*   19191 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(19236), // Rule ID 50619 //
     /*   19196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19199 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   19199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   19202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*   19216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19234 */     GIR_RootConstrainSelectedInstOperands,
     /*   19235 */     // GIR_Coverage, 50619,
     /*   19235 */     GIR_EraseRootFromParent_Done,
     /*   19236 */   // Label 636: @19236
     /*   19236 */   GIM_Reject,
     /*   19237 */ // Label 634: @19237
     /*   19237 */ GIM_Reject,
     /*   19238 */ // Label 600: @19238
     /*   19238 */ GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(19352),
     /*   19243 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   19246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   19249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19261 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(19306), // Rule ID 50634 //
     /*   19266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19269 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   19272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*   19286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19304 */     GIR_RootConstrainSelectedInstOperands,
     /*   19305 */     // GIR_Coverage, 50634,
     /*   19305 */     GIR_EraseRootFromParent_Done,
     /*   19306 */   // Label 638: @19306
     /*   19306 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(19351), // Rule ID 50635 //
     /*   19311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19314 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   19317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*   19331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19349 */     GIR_RootConstrainSelectedInstOperands,
     /*   19350 */     // GIR_Coverage, 50635,
     /*   19350 */     GIR_EraseRootFromParent_Done,
     /*   19351 */   // Label 639: @19351
     /*   19351 */   GIM_Reject,
     /*   19352 */ // Label 637: @19352
     /*   19352 */ GIM_Reject,
     /*   19353 */ // Label 601: @19353
     /*   19353 */ GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(19467),
     /*   19358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   19361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   19364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19376 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(19421), // Rule ID 50678 //
     /*   19381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   19384 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   19384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   19387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*   19401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19419 */     GIR_RootConstrainSelectedInstOperands,
     /*   19420 */     // GIR_Coverage, 50678,
     /*   19420 */     GIR_EraseRootFromParent_Done,
     /*   19421 */   // Label 641: @19421
     /*   19421 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(19466), // Rule ID 50679 //
     /*   19426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   19429 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   19429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   19432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*   19446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19464 */     GIR_RootConstrainSelectedInstOperands,
     /*   19465 */     // GIR_Coverage, 50679,
     /*   19465 */     GIR_EraseRootFromParent_Done,
     /*   19466 */   // Label 642: @19466
     /*   19466 */   GIM_Reject,
     /*   19467 */ // Label 640: @19467
     /*   19467 */ GIM_Reject,
     /*   19468 */ // Label 602: @19468
     /*   19468 */ GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(19582),
     /*   19473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   19476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   19479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19491 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(19536), // Rule ID 50610 //
     /*   19496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19499 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   19502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*   19516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19534 */     GIR_RootConstrainSelectedInstOperands,
     /*   19535 */     // GIR_Coverage, 50610,
     /*   19535 */     GIR_EraseRootFromParent_Done,
     /*   19536 */   // Label 644: @19536
     /*   19536 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(19581), // Rule ID 50611 //
     /*   19541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19544 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   19544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   19547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*   19561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19579 */     GIR_RootConstrainSelectedInstOperands,
     /*   19580 */     // GIR_Coverage, 50611,
     /*   19580 */     GIR_EraseRootFromParent_Done,
     /*   19581 */   // Label 645: @19581
     /*   19581 */   GIM_Reject,
     /*   19582 */ // Label 643: @19582
     /*   19582 */ GIM_Reject,
     /*   19583 */ // Label 603: @19583
     /*   19583 */ GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(19697),
     /*   19588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   19591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   19594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19606 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(19651), // Rule ID 50630 //
     /*   19611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19614 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   19614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   19617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*   19631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19649 */     GIR_RootConstrainSelectedInstOperands,
     /*   19650 */     // GIR_Coverage, 50630,
     /*   19650 */     GIR_EraseRootFromParent_Done,
     /*   19651 */   // Label 647: @19651
     /*   19651 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(19696), // Rule ID 50631 //
     /*   19656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19659 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   19659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   19662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*   19676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   19691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19694 */     GIR_RootConstrainSelectedInstOperands,
     /*   19695 */     // GIR_Coverage, 50631,
     /*   19695 */     GIR_EraseRootFromParent_Done,
     /*   19696 */   // Label 648: @19696
     /*   19696 */   GIM_Reject,
     /*   19697 */ // Label 646: @19697
     /*   19697 */ GIM_Reject,
     /*   19698 */ // Label 604: @19698
     /*   19698 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(19812),
     /*   19703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   19706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   19709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   19721 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(19766), // Rule ID 50666 //
     /*   19726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19729 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   19732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*   19746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19764 */     GIR_RootConstrainSelectedInstOperands,
     /*   19765 */     // GIR_Coverage, 50666,
     /*   19765 */     GIR_EraseRootFromParent_Done,
     /*   19766 */   // Label 650: @19766
     /*   19766 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(19811), // Rule ID 50667 //
     /*   19771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   19774 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   19777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*   19791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19809 */     GIR_RootConstrainSelectedInstOperands,
     /*   19810 */     // GIR_Coverage, 50667,
     /*   19810 */     GIR_EraseRootFromParent_Done,
     /*   19811 */   // Label 651: @19811
     /*   19811 */   GIM_Reject,
     /*   19812 */ // Label 649: @19812
     /*   19812 */ GIM_Reject,
     /*   19813 */ // Label 605: @19813
     /*   19813 */ GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(19927),
     /*   19818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   19821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   19824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   19836 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(19881), // Rule ID 50682 //
     /*   19841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   19844 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   19844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   19847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*   19861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19879 */     GIR_RootConstrainSelectedInstOperands,
     /*   19880 */     // GIR_Coverage, 50682,
     /*   19880 */     GIR_EraseRootFromParent_Done,
     /*   19881 */   // Label 653: @19881
     /*   19881 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(19926), // Rule ID 50683 //
     /*   19886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   19889 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   19889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   19892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*   19906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   19921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19924 */     GIR_RootConstrainSelectedInstOperands,
     /*   19925 */     // GIR_Coverage, 50683,
     /*   19925 */     GIR_EraseRootFromParent_Done,
     /*   19926 */   // Label 654: @19926
     /*   19926 */   GIM_Reject,
     /*   19927 */ // Label 652: @19927
     /*   19927 */ GIM_Reject,
     /*   19928 */ // Label 606: @19928
     /*   19928 */ GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(20042),
     /*   19933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   19936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   19939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19943 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19951 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(19996), // Rule ID 50626 //
     /*   19956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   19959 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   19959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   19962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*   19976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   19983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   19985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19994 */     GIR_RootConstrainSelectedInstOperands,
     /*   19995 */     // GIR_Coverage, 50626,
     /*   19995 */     GIR_EraseRootFromParent_Done,
     /*   19996 */   // Label 656: @19996
     /*   19996 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(20041), // Rule ID 50627 //
     /*   20001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20004 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   20007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*   20021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20039 */     GIR_RootConstrainSelectedInstOperands,
     /*   20040 */     // GIR_Coverage, 50627,
     /*   20040 */     GIR_EraseRootFromParent_Done,
     /*   20041 */   // Label 657: @20041
     /*   20041 */   GIM_Reject,
     /*   20042 */ // Label 655: @20042
     /*   20042 */ GIM_Reject,
     /*   20043 */ // Label 607: @20043
     /*   20043 */ GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(20157),
     /*   20048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   20051 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   20054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20066 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(20111), // Rule ID 50654 //
     /*   20071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20074 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   20077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*   20091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20109 */     GIR_RootConstrainSelectedInstOperands,
     /*   20110 */     // GIR_Coverage, 50654,
     /*   20110 */     GIR_EraseRootFromParent_Done,
     /*   20111 */   // Label 659: @20111
     /*   20111 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(20156), // Rule ID 50655 //
     /*   20116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20119 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   20122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*   20136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20154 */     GIR_RootConstrainSelectedInstOperands,
     /*   20155 */     // GIR_Coverage, 50655,
     /*   20155 */     GIR_EraseRootFromParent_Done,
     /*   20156 */   // Label 660: @20156
     /*   20156 */   GIM_Reject,
     /*   20157 */ // Label 658: @20157
     /*   20157 */ GIM_Reject,
     /*   20158 */ // Label 608: @20158
     /*   20158 */ GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(20272),
     /*   20163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   20166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   20169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20177 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20181 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(20226), // Rule ID 50670 //
     /*   20186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20189 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   20192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*   20206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20224 */     GIR_RootConstrainSelectedInstOperands,
     /*   20225 */     // GIR_Coverage, 50670,
     /*   20225 */     GIR_EraseRootFromParent_Done,
     /*   20226 */   // Label 662: @20226
     /*   20226 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(20271), // Rule ID 50671 //
     /*   20231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20234 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   20237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*   20251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20269 */     GIR_RootConstrainSelectedInstOperands,
     /*   20270 */     // GIR_Coverage, 50671,
     /*   20270 */     GIR_EraseRootFromParent_Done,
     /*   20271 */   // Label 663: @20271
     /*   20271 */   GIM_Reject,
     /*   20272 */ // Label 661: @20272
     /*   20272 */ GIM_Reject,
     /*   20273 */ // Label 609: @20273
     /*   20273 */ GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(20387),
     /*   20278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   20281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   20284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20296 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(20341), // Rule ID 50686 //
     /*   20301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20304 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   20304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   20307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*   20321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20339 */     GIR_RootConstrainSelectedInstOperands,
     /*   20340 */     // GIR_Coverage, 50686,
     /*   20340 */     GIR_EraseRootFromParent_Done,
     /*   20341 */   // Label 665: @20341
     /*   20341 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(20386), // Rule ID 50687 //
     /*   20346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20349 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   20349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   20352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*   20366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20384 */     GIR_RootConstrainSelectedInstOperands,
     /*   20385 */     // GIR_Coverage, 50687,
     /*   20385 */     GIR_EraseRootFromParent_Done,
     /*   20386 */   // Label 666: @20386
     /*   20386 */   GIM_Reject,
     /*   20387 */ // Label 664: @20387
     /*   20387 */ GIM_Reject,
     /*   20388 */ // Label 610: @20388
     /*   20388 */ GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(20502),
     /*   20393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   20396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   20399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   20411 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(20456), // Rule ID 50642 //
     /*   20416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20419 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   20422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*   20436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20454 */     GIR_RootConstrainSelectedInstOperands,
     /*   20455 */     // GIR_Coverage, 50642,
     /*   20455 */     GIR_EraseRootFromParent_Done,
     /*   20456 */   // Label 668: @20456
     /*   20456 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(20501), // Rule ID 50643 //
     /*   20461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20464 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   20467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*   20481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20499 */     GIR_RootConstrainSelectedInstOperands,
     /*   20500 */     // GIR_Coverage, 50643,
     /*   20500 */     GIR_EraseRootFromParent_Done,
     /*   20501 */   // Label 669: @20501
     /*   20501 */   GIM_Reject,
     /*   20502 */ // Label 667: @20502
     /*   20502 */ GIM_Reject,
     /*   20503 */ // Label 611: @20503
     /*   20503 */ GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(20617),
     /*   20508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   20511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   20514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20526 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(20571), // Rule ID 50658 //
     /*   20531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20534 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   20537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*   20551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20569 */     GIR_RootConstrainSelectedInstOperands,
     /*   20570 */     // GIR_Coverage, 50658,
     /*   20570 */     GIR_EraseRootFromParent_Done,
     /*   20571 */   // Label 671: @20571
     /*   20571 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(20616), // Rule ID 50659 //
     /*   20576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20579 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   20582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*   20596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20614 */     GIR_RootConstrainSelectedInstOperands,
     /*   20615 */     // GIR_Coverage, 50659,
     /*   20615 */     GIR_EraseRootFromParent_Done,
     /*   20616 */   // Label 672: @20616
     /*   20616 */   GIM_Reject,
     /*   20617 */ // Label 670: @20617
     /*   20617 */ GIM_Reject,
     /*   20618 */ // Label 612: @20618
     /*   20618 */ GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(20732),
     /*   20623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   20626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   20629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20641 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(20686), // Rule ID 50674 //
     /*   20646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20649 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   20652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*   20666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20684 */     GIR_RootConstrainSelectedInstOperands,
     /*   20685 */     // GIR_Coverage, 50674,
     /*   20685 */     GIR_EraseRootFromParent_Done,
     /*   20686 */   // Label 674: @20686
     /*   20686 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(20731), // Rule ID 50675 //
     /*   20691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20694 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   20697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*   20711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20729 */     GIR_RootConstrainSelectedInstOperands,
     /*   20730 */     // GIR_Coverage, 50675,
     /*   20730 */     GIR_EraseRootFromParent_Done,
     /*   20731 */   // Label 675: @20731
     /*   20731 */   GIM_Reject,
     /*   20732 */ // Label 673: @20732
     /*   20732 */ GIM_Reject,
     /*   20733 */ // Label 613: @20733
     /*   20733 */ GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(20847),
     /*   20738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   20741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   20744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   20756 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(20801), // Rule ID 50646 //
     /*   20761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20764 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   20767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*   20781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20799 */     GIR_RootConstrainSelectedInstOperands,
     /*   20800 */     // GIR_Coverage, 50646,
     /*   20800 */     GIR_EraseRootFromParent_Done,
     /*   20801 */   // Label 677: @20801
     /*   20801 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(20846), // Rule ID 50647 //
     /*   20806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20809 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   20809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   20812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*   20826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20844 */     GIR_RootConstrainSelectedInstOperands,
     /*   20845 */     // GIR_Coverage, 50647,
     /*   20845 */     GIR_EraseRootFromParent_Done,
     /*   20846 */   // Label 678: @20846
     /*   20846 */   GIM_Reject,
     /*   20847 */ // Label 676: @20847
     /*   20847 */ GIM_Reject,
     /*   20848 */ // Label 614: @20848
     /*   20848 */ GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(20962),
     /*   20853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   20856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   20859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20871 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(20916), // Rule ID 50662 //
     /*   20876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20879 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   20879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   20882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*   20896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20914 */     GIR_RootConstrainSelectedInstOperands,
     /*   20915 */     // GIR_Coverage, 50662,
     /*   20915 */     GIR_EraseRootFromParent_Done,
     /*   20916 */   // Label 680: @20916
     /*   20916 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(20961), // Rule ID 50663 //
     /*   20921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   20924 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   20924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   20927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*   20941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   20948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   20956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20959 */     GIR_RootConstrainSelectedInstOperands,
     /*   20960 */     // GIR_Coverage, 50663,
     /*   20960 */     GIR_EraseRootFromParent_Done,
     /*   20961 */   // Label 681: @20961
     /*   20961 */   GIM_Reject,
     /*   20962 */ // Label 679: @20962
     /*   20962 */ GIM_Reject,
     /*   20963 */ // Label 615: @20963
     /*   20963 */ GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(21077),
     /*   20968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   20971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   20974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   20986 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(21031), // Rule ID 50650 //
     /*   20991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   20994 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   20994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   20997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*   21011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21029 */     GIR_RootConstrainSelectedInstOperands,
     /*   21030 */     // GIR_Coverage, 50650,
     /*   21030 */     GIR_EraseRootFromParent_Done,
     /*   21031 */   // Label 683: @21031
     /*   21031 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(21076), // Rule ID 50651 //
     /*   21036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21039 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   21042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*   21056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21074 */     GIR_RootConstrainSelectedInstOperands,
     /*   21075 */     // GIR_Coverage, 50651,
     /*   21075 */     GIR_EraseRootFromParent_Done,
     /*   21076 */   // Label 684: @21076
     /*   21076 */   GIM_Reject,
     /*   21077 */ // Label 682: @21077
     /*   21077 */ GIM_Reject,
     /*   21078 */ // Label 616: @21078
     /*   21078 */ GIM_Reject,
     /*   21079 */ // Label 5: @21079
     /*   21079 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 709*/ GIMT_Encode4(23857),
     /*   21090 */ /*GILLT_s32*//*Label 685*/ GIMT_Encode4(21214),
     /*   21094 */ /*GILLT_s64*//*Label 686*/ GIMT_Encode4(21248), GIMT_Encode4(0),
     /*   21102 */ /*GILLT_nxv1s8*//*Label 687*/ GIMT_Encode4(21327),
     /*   21106 */ /*GILLT_nxv1s16*//*Label 688*/ GIMT_Encode4(21442),
     /*   21110 */ /*GILLT_nxv1s32*//*Label 689*/ GIMT_Encode4(21557),
     /*   21114 */ /*GILLT_nxv1s64*//*Label 690*/ GIMT_Encode4(21672), GIMT_Encode4(0),
     /*   21122 */ /*GILLT_nxv2s8*//*Label 691*/ GIMT_Encode4(21787),
     /*   21126 */ /*GILLT_nxv2s16*//*Label 692*/ GIMT_Encode4(21902),
     /*   21130 */ /*GILLT_nxv2s32*//*Label 693*/ GIMT_Encode4(22017),
     /*   21134 */ /*GILLT_nxv2s64*//*Label 694*/ GIMT_Encode4(22132), GIMT_Encode4(0),
     /*   21142 */ /*GILLT_nxv4s8*//*Label 695*/ GIMT_Encode4(22247),
     /*   21146 */ /*GILLT_nxv4s16*//*Label 696*/ GIMT_Encode4(22362),
     /*   21150 */ /*GILLT_nxv4s32*//*Label 697*/ GIMT_Encode4(22477),
     /*   21154 */ /*GILLT_nxv4s64*//*Label 698*/ GIMT_Encode4(22592), GIMT_Encode4(0),
     /*   21162 */ /*GILLT_nxv8s8*//*Label 699*/ GIMT_Encode4(22707),
     /*   21166 */ /*GILLT_nxv8s16*//*Label 700*/ GIMT_Encode4(22822),
     /*   21170 */ /*GILLT_nxv8s32*//*Label 701*/ GIMT_Encode4(22937),
     /*   21174 */ /*GILLT_nxv8s64*//*Label 702*/ GIMT_Encode4(23052), GIMT_Encode4(0),
     /*   21182 */ /*GILLT_nxv16s8*//*Label 703*/ GIMT_Encode4(23167),
     /*   21186 */ /*GILLT_nxv16s16*//*Label 704*/ GIMT_Encode4(23282),
     /*   21190 */ /*GILLT_nxv16s32*//*Label 705*/ GIMT_Encode4(23397), GIMT_Encode4(0),
     /*   21198 */ /*GILLT_nxv32s8*//*Label 706*/ GIMT_Encode4(23512),
     /*   21202 */ /*GILLT_nxv32s16*//*Label 707*/ GIMT_Encode4(23627), GIMT_Encode4(0),
     /*   21210 */ /*GILLT_nxv64s8*//*Label 708*/ GIMT_Encode4(23742),
     /*   21214 */ // Label 685: @21214
     /*   21214 */ GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(21247), // Rule ID 300 //
     /*   21219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   21222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   21225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   21228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21240 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   21240 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*   21245 */   GIR_RootConstrainSelectedInstOperands,
     /*   21246 */   // GIR_Coverage, 300,
     /*   21246 */   GIR_Done,
     /*   21247 */ // Label 710: @21247
     /*   21247 */ GIM_Reject,
     /*   21248 */ // Label 686: @21248
     /*   21248 */ GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(21326),
     /*   21253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   21256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   21259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21263 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(21302), // Rule ID 309 //
     /*   21268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*   21271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*   21278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*   21285 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   21285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*   21288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   21295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   21300 */     GIR_RootConstrainSelectedInstOperands,
     /*   21301 */     // GIR_Coverage, 309,
     /*   21301 */     GIR_EraseRootFromParent_Done,
     /*   21302 */   // Label 712: @21302
     /*   21302 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(21325), // Rule ID 299 //
     /*   21307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   21310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   21318 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   21318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*   21323 */     GIR_RootConstrainSelectedInstOperands,
     /*   21324 */     // GIR_Coverage, 299,
     /*   21324 */     GIR_Done,
     /*   21325 */   // Label 713: @21325
     /*   21325 */   GIM_Reject,
     /*   21326 */ // Label 711: @21326
     /*   21326 */ GIM_Reject,
     /*   21327 */ // Label 687: @21327
     /*   21327 */ GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(21441),
     /*   21332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   21335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   21338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21350 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(21395), // Rule ID 50866 //
     /*   21355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21358 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   21361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*   21375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21393 */     GIR_RootConstrainSelectedInstOperands,
     /*   21394 */     // GIR_Coverage, 50866,
     /*   21394 */     GIR_EraseRootFromParent_Done,
     /*   21395 */   // Label 715: @21395
     /*   21395 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(21440), // Rule ID 50867 //
     /*   21400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21403 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   21406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*   21420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21438 */     GIR_RootConstrainSelectedInstOperands,
     /*   21439 */     // GIR_Coverage, 50867,
     /*   21439 */     GIR_EraseRootFromParent_Done,
     /*   21440 */   // Label 716: @21440
     /*   21440 */   GIM_Reject,
     /*   21441 */ // Label 714: @21441
     /*   21441 */ GIM_Reject,
     /*   21442 */ // Label 688: @21442
     /*   21442 */ GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(21556),
     /*   21447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   21450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   21453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21465 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(21510), // Rule ID 50878 //
     /*   21470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21473 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   21473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   21476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*   21490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21508 */     GIR_RootConstrainSelectedInstOperands,
     /*   21509 */     // GIR_Coverage, 50878,
     /*   21509 */     GIR_EraseRootFromParent_Done,
     /*   21510 */   // Label 718: @21510
     /*   21510 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(21555), // Rule ID 50879 //
     /*   21515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21518 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   21518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   21521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*   21535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21553 */     GIR_RootConstrainSelectedInstOperands,
     /*   21554 */     // GIR_Coverage, 50879,
     /*   21554 */     GIR_EraseRootFromParent_Done,
     /*   21555 */   // Label 719: @21555
     /*   21555 */   GIM_Reject,
     /*   21556 */ // Label 717: @21556
     /*   21556 */ GIM_Reject,
     /*   21557 */ // Label 689: @21557
     /*   21557 */ GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(21671),
     /*   21562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   21568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21580 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(21625), // Rule ID 50886 //
     /*   21585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21588 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   21588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   21591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*   21605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21623 */     GIR_RootConstrainSelectedInstOperands,
     /*   21624 */     // GIR_Coverage, 50886,
     /*   21624 */     GIR_EraseRootFromParent_Done,
     /*   21625 */   // Label 721: @21625
     /*   21625 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(21670), // Rule ID 50887 //
     /*   21630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21633 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   21633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   21636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*   21650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21668 */     GIR_RootConstrainSelectedInstOperands,
     /*   21669 */     // GIR_Coverage, 50887,
     /*   21669 */     GIR_EraseRootFromParent_Done,
     /*   21670 */   // Label 722: @21670
     /*   21670 */   GIM_Reject,
     /*   21671 */ // Label 720: @21671
     /*   21671 */ GIM_Reject,
     /*   21672 */ // Label 690: @21672
     /*   21672 */ GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(21786),
     /*   21677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   21680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   21683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21695 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(21740), // Rule ID 50902 //
     /*   21700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21703 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*   21720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21738 */     GIR_RootConstrainSelectedInstOperands,
     /*   21739 */     // GIR_Coverage, 50902,
     /*   21739 */     GIR_EraseRootFromParent_Done,
     /*   21740 */   // Label 724: @21740
     /*   21740 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(21785), // Rule ID 50903 //
     /*   21745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21748 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*   21765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21783 */     GIR_RootConstrainSelectedInstOperands,
     /*   21784 */     // GIR_Coverage, 50903,
     /*   21784 */     GIR_EraseRootFromParent_Done,
     /*   21785 */   // Label 725: @21785
     /*   21785 */   GIM_Reject,
     /*   21786 */ // Label 723: @21786
     /*   21786 */ GIM_Reject,
     /*   21787 */ // Label 691: @21787
     /*   21787 */ GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(21901),
     /*   21792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21810 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(21855), // Rule ID 50870 //
     /*   21815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21818 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*   21835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21853 */     GIR_RootConstrainSelectedInstOperands,
     /*   21854 */     // GIR_Coverage, 50870,
     /*   21854 */     GIR_EraseRootFromParent_Done,
     /*   21855 */   // Label 727: @21855
     /*   21855 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(21900), // Rule ID 50871 //
     /*   21860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21863 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*   21880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21898 */     GIR_RootConstrainSelectedInstOperands,
     /*   21899 */     // GIR_Coverage, 50871,
     /*   21899 */     GIR_EraseRootFromParent_Done,
     /*   21900 */   // Label 728: @21900
     /*   21900 */   GIM_Reject,
     /*   21901 */ // Label 726: @21901
     /*   21901 */ GIM_Reject,
     /*   21902 */ // Label 692: @21902
     /*   21902 */ GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(22016),
     /*   21907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21925 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(21970), // Rule ID 50882 //
     /*   21930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21933 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   21933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   21936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*   21950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   21965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21968 */     GIR_RootConstrainSelectedInstOperands,
     /*   21969 */     // GIR_Coverage, 50882,
     /*   21969 */     GIR_EraseRootFromParent_Done,
     /*   21970 */   // Label 730: @21970
     /*   21970 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(22015), // Rule ID 50883 //
     /*   21975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21978 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   21978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   21981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*   21995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22013 */     GIR_RootConstrainSelectedInstOperands,
     /*   22014 */     // GIR_Coverage, 50883,
     /*   22014 */     GIR_EraseRootFromParent_Done,
     /*   22015 */   // Label 731: @22015
     /*   22015 */   GIM_Reject,
     /*   22016 */ // Label 729: @22016
     /*   22016 */ GIM_Reject,
     /*   22017 */ // Label 693: @22017
     /*   22017 */ GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(22131),
     /*   22022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   22025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   22028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22040 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(22085), // Rule ID 50898 //
     /*   22045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22048 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*   22065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22083 */     GIR_RootConstrainSelectedInstOperands,
     /*   22084 */     // GIR_Coverage, 50898,
     /*   22084 */     GIR_EraseRootFromParent_Done,
     /*   22085 */   // Label 733: @22085
     /*   22085 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(22130), // Rule ID 50899 //
     /*   22090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22093 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   22093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   22096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*   22110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22128 */     GIR_RootConstrainSelectedInstOperands,
     /*   22129 */     // GIR_Coverage, 50899,
     /*   22129 */     GIR_EraseRootFromParent_Done,
     /*   22130 */   // Label 734: @22130
     /*   22130 */   GIM_Reject,
     /*   22131 */ // Label 732: @22131
     /*   22131 */ GIM_Reject,
     /*   22132 */ // Label 694: @22132
     /*   22132 */ GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(22246),
     /*   22137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   22140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   22143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22155 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(22200), // Rule ID 50942 //
     /*   22160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   22163 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   22163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   22166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*   22180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22198 */     GIR_RootConstrainSelectedInstOperands,
     /*   22199 */     // GIR_Coverage, 50942,
     /*   22199 */     GIR_EraseRootFromParent_Done,
     /*   22200 */   // Label 736: @22200
     /*   22200 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(22245), // Rule ID 50943 //
     /*   22205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   22208 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   22208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   22211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*   22225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22243 */     GIR_RootConstrainSelectedInstOperands,
     /*   22244 */     // GIR_Coverage, 50943,
     /*   22244 */     GIR_EraseRootFromParent_Done,
     /*   22245 */   // Label 737: @22245
     /*   22245 */   GIM_Reject,
     /*   22246 */ // Label 735: @22246
     /*   22246 */ GIM_Reject,
     /*   22247 */ // Label 695: @22247
     /*   22247 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(22361),
     /*   22252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   22255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   22258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22270 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(22315), // Rule ID 50874 //
     /*   22275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22278 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   22278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   22281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*   22295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22313 */     GIR_RootConstrainSelectedInstOperands,
     /*   22314 */     // GIR_Coverage, 50874,
     /*   22314 */     GIR_EraseRootFromParent_Done,
     /*   22315 */   // Label 739: @22315
     /*   22315 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(22360), // Rule ID 50875 //
     /*   22320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22323 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   22323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   22326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*   22340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22358 */     GIR_RootConstrainSelectedInstOperands,
     /*   22359 */     // GIR_Coverage, 50875,
     /*   22359 */     GIR_EraseRootFromParent_Done,
     /*   22360 */   // Label 740: @22360
     /*   22360 */   GIM_Reject,
     /*   22361 */ // Label 738: @22361
     /*   22361 */ GIM_Reject,
     /*   22362 */ // Label 696: @22362
     /*   22362 */ GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(22476),
     /*   22367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   22370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   22373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22377 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22385 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(22430), // Rule ID 50894 //
     /*   22390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22393 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   22396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*   22410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22428 */     GIR_RootConstrainSelectedInstOperands,
     /*   22429 */     // GIR_Coverage, 50894,
     /*   22429 */     GIR_EraseRootFromParent_Done,
     /*   22430 */   // Label 742: @22430
     /*   22430 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(22475), // Rule ID 50895 //
     /*   22435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22438 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   22441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*   22455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22473 */     GIR_RootConstrainSelectedInstOperands,
     /*   22474 */     // GIR_Coverage, 50895,
     /*   22474 */     GIR_EraseRootFromParent_Done,
     /*   22475 */   // Label 743: @22475
     /*   22475 */   GIM_Reject,
     /*   22476 */ // Label 741: @22476
     /*   22476 */ GIM_Reject,
     /*   22477 */ // Label 697: @22477
     /*   22477 */ GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(22591),
     /*   22482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   22485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   22488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22500 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(22545), // Rule ID 50930 //
     /*   22505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22508 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   22511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*   22525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22543 */     GIR_RootConstrainSelectedInstOperands,
     /*   22544 */     // GIR_Coverage, 50930,
     /*   22544 */     GIR_EraseRootFromParent_Done,
     /*   22545 */   // Label 745: @22545
     /*   22545 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(22590), // Rule ID 50931 //
     /*   22550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22553 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   22553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   22556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*   22570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   22585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22588 */     GIR_RootConstrainSelectedInstOperands,
     /*   22589 */     // GIR_Coverage, 50931,
     /*   22589 */     GIR_EraseRootFromParent_Done,
     /*   22590 */   // Label 746: @22590
     /*   22590 */   GIM_Reject,
     /*   22591 */ // Label 744: @22591
     /*   22591 */ GIM_Reject,
     /*   22592 */ // Label 698: @22592
     /*   22592 */ GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(22706),
     /*   22597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   22600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   22603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22615 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(22660), // Rule ID 50946 //
     /*   22620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   22623 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   22623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   22626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*   22640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22658 */     GIR_RootConstrainSelectedInstOperands,
     /*   22659 */     // GIR_Coverage, 50946,
     /*   22659 */     GIR_EraseRootFromParent_Done,
     /*   22660 */   // Label 748: @22660
     /*   22660 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(22705), // Rule ID 50947 //
     /*   22665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   22668 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   22668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   22671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*   22685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   22700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22703 */     GIR_RootConstrainSelectedInstOperands,
     /*   22704 */     // GIR_Coverage, 50947,
     /*   22704 */     GIR_EraseRootFromParent_Done,
     /*   22705 */   // Label 749: @22705
     /*   22705 */   GIM_Reject,
     /*   22706 */ // Label 747: @22706
     /*   22706 */ GIM_Reject,
     /*   22707 */ // Label 699: @22707
     /*   22707 */ GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(22821),
     /*   22712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   22715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   22718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22730 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(22775), // Rule ID 50890 //
     /*   22735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22738 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   22738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   22741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*   22755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22773 */     GIR_RootConstrainSelectedInstOperands,
     /*   22774 */     // GIR_Coverage, 50890,
     /*   22774 */     GIR_EraseRootFromParent_Done,
     /*   22775 */   // Label 751: @22775
     /*   22775 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(22820), // Rule ID 50891 //
     /*   22780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22783 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   22783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   22786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*   22800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22818 */     GIR_RootConstrainSelectedInstOperands,
     /*   22819 */     // GIR_Coverage, 50891,
     /*   22819 */     GIR_EraseRootFromParent_Done,
     /*   22820 */   // Label 752: @22820
     /*   22820 */   GIM_Reject,
     /*   22821 */ // Label 750: @22821
     /*   22821 */ GIM_Reject,
     /*   22822 */ // Label 700: @22822
     /*   22822 */ GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(22936),
     /*   22827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   22830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   22833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22837 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   22845 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(22890), // Rule ID 50918 //
     /*   22850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22853 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   22853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   22856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*   22870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22888 */     GIR_RootConstrainSelectedInstOperands,
     /*   22889 */     // GIR_Coverage, 50918,
     /*   22889 */     GIR_EraseRootFromParent_Done,
     /*   22890 */   // Label 754: @22890
     /*   22890 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(22935), // Rule ID 50919 //
     /*   22895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22898 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   22898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   22901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*   22915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   22930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22933 */     GIR_RootConstrainSelectedInstOperands,
     /*   22934 */     // GIR_Coverage, 50919,
     /*   22934 */     GIR_EraseRootFromParent_Done,
     /*   22935 */   // Label 755: @22935
     /*   22935 */   GIM_Reject,
     /*   22936 */ // Label 753: @22936
     /*   22936 */ GIM_Reject,
     /*   22937 */ // Label 701: @22937
     /*   22937 */ GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(23051),
     /*   22942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   22945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   22948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   22960 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(23005), // Rule ID 50934 //
     /*   22965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22968 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   22968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   22971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   22975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   22980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   22982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*   22985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   22990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   22992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   22994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23003 */     GIR_RootConstrainSelectedInstOperands,
     /*   23004 */     // GIR_Coverage, 50934,
     /*   23004 */     GIR_EraseRootFromParent_Done,
     /*   23005 */   // Label 757: @23005
     /*   23005 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(23050), // Rule ID 50935 //
     /*   23010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23013 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   23016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*   23030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23048 */     GIR_RootConstrainSelectedInstOperands,
     /*   23049 */     // GIR_Coverage, 50935,
     /*   23049 */     GIR_EraseRootFromParent_Done,
     /*   23050 */   // Label 758: @23050
     /*   23050 */   GIM_Reject,
     /*   23051 */ // Label 756: @23051
     /*   23051 */ GIM_Reject,
     /*   23052 */ // Label 702: @23052
     /*   23052 */ GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(23166),
     /*   23057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   23060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   23063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23075 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(23120), // Rule ID 50950 //
     /*   23080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   23083 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   23083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   23086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*   23100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   23115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23118 */     GIR_RootConstrainSelectedInstOperands,
     /*   23119 */     // GIR_Coverage, 50950,
     /*   23119 */     GIR_EraseRootFromParent_Done,
     /*   23120 */   // Label 760: @23120
     /*   23120 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(23165), // Rule ID 50951 //
     /*   23125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   23128 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   23128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   23131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*   23145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   23160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23163 */     GIR_RootConstrainSelectedInstOperands,
     /*   23164 */     // GIR_Coverage, 50951,
     /*   23164 */     GIR_EraseRootFromParent_Done,
     /*   23165 */   // Label 761: @23165
     /*   23165 */   GIM_Reject,
     /*   23166 */ // Label 759: @23166
     /*   23166 */ GIM_Reject,
     /*   23167 */ // Label 703: @23167
     /*   23167 */ GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(23281),
     /*   23172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   23175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   23178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   23190 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(23235), // Rule ID 50906 //
     /*   23195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23198 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   23201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*   23215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23233 */     GIR_RootConstrainSelectedInstOperands,
     /*   23234 */     // GIR_Coverage, 50906,
     /*   23234 */     GIR_EraseRootFromParent_Done,
     /*   23235 */   // Label 763: @23235
     /*   23235 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(23280), // Rule ID 50907 //
     /*   23240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23243 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   23246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*   23260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23278 */     GIR_RootConstrainSelectedInstOperands,
     /*   23279 */     // GIR_Coverage, 50907,
     /*   23279 */     GIR_EraseRootFromParent_Done,
     /*   23280 */   // Label 764: @23280
     /*   23280 */   GIM_Reject,
     /*   23281 */ // Label 762: @23281
     /*   23281 */ GIM_Reject,
     /*   23282 */ // Label 704: @23282
     /*   23282 */ GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(23396),
     /*   23287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   23290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   23293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23305 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(23350), // Rule ID 50922 //
     /*   23310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23313 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   23313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   23316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*   23330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23348 */     GIR_RootConstrainSelectedInstOperands,
     /*   23349 */     // GIR_Coverage, 50922,
     /*   23349 */     GIR_EraseRootFromParent_Done,
     /*   23350 */   // Label 766: @23350
     /*   23350 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(23395), // Rule ID 50923 //
     /*   23355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23358 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   23358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   23361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*   23375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23393 */     GIR_RootConstrainSelectedInstOperands,
     /*   23394 */     // GIR_Coverage, 50923,
     /*   23394 */     GIR_EraseRootFromParent_Done,
     /*   23395 */   // Label 767: @23395
     /*   23395 */   GIM_Reject,
     /*   23396 */ // Label 765: @23396
     /*   23396 */ GIM_Reject,
     /*   23397 */ // Label 705: @23397
     /*   23397 */ GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(23511),
     /*   23402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   23405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   23408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23420 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(23465), // Rule ID 50938 //
     /*   23425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23428 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   23428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   23431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*   23445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23463 */     GIR_RootConstrainSelectedInstOperands,
     /*   23464 */     // GIR_Coverage, 50938,
     /*   23464 */     GIR_EraseRootFromParent_Done,
     /*   23465 */   // Label 769: @23465
     /*   23465 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(23510), // Rule ID 50939 //
     /*   23470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23473 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   23473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   23476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*   23490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   23505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23508 */     GIR_RootConstrainSelectedInstOperands,
     /*   23509 */     // GIR_Coverage, 50939,
     /*   23509 */     GIR_EraseRootFromParent_Done,
     /*   23510 */   // Label 770: @23510
     /*   23510 */   GIM_Reject,
     /*   23511 */ // Label 768: @23511
     /*   23511 */ GIM_Reject,
     /*   23512 */ // Label 706: @23512
     /*   23512 */ GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(23626),
     /*   23517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   23520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   23523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   23535 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(23580), // Rule ID 50910 //
     /*   23540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23543 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   23546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*   23560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23578 */     GIR_RootConstrainSelectedInstOperands,
     /*   23579 */     // GIR_Coverage, 50910,
     /*   23579 */     GIR_EraseRootFromParent_Done,
     /*   23580 */   // Label 772: @23580
     /*   23580 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(23625), // Rule ID 50911 //
     /*   23585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23588 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   23591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*   23605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23623 */     GIR_RootConstrainSelectedInstOperands,
     /*   23624 */     // GIR_Coverage, 50911,
     /*   23624 */     GIR_EraseRootFromParent_Done,
     /*   23625 */   // Label 773: @23625
     /*   23625 */   GIM_Reject,
     /*   23626 */ // Label 771: @23626
     /*   23626 */ GIM_Reject,
     /*   23627 */ // Label 707: @23627
     /*   23627 */ GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(23741),
     /*   23632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   23635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   23638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23650 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(23695), // Rule ID 50926 //
     /*   23655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23658 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   23658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   23661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*   23675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23693 */     GIR_RootConstrainSelectedInstOperands,
     /*   23694 */     // GIR_Coverage, 50926,
     /*   23694 */     GIR_EraseRootFromParent_Done,
     /*   23695 */   // Label 775: @23695
     /*   23695 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(23740), // Rule ID 50927 //
     /*   23700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23703 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   23703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   23706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*   23720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23738 */     GIR_RootConstrainSelectedInstOperands,
     /*   23739 */     // GIR_Coverage, 50927,
     /*   23739 */     GIR_EraseRootFromParent_Done,
     /*   23740 */   // Label 776: @23740
     /*   23740 */   GIM_Reject,
     /*   23741 */ // Label 774: @23741
     /*   23741 */ GIM_Reject,
     /*   23742 */ // Label 708: @23742
     /*   23742 */ GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(23856),
     /*   23747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   23750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   23753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   23765 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(23810), // Rule ID 50914 //
     /*   23770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23773 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   23776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*   23790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23808 */     GIR_RootConstrainSelectedInstOperands,
     /*   23809 */     // GIR_Coverage, 50914,
     /*   23809 */     GIR_EraseRootFromParent_Done,
     /*   23810 */   // Label 778: @23810
     /*   23810 */   GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(23855), // Rule ID 50915 //
     /*   23815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23818 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   23821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*   23835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   23842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23853 */     GIR_RootConstrainSelectedInstOperands,
     /*   23854 */     // GIR_Coverage, 50915,
     /*   23854 */     GIR_EraseRootFromParent_Done,
     /*   23855 */   // Label 779: @23855
     /*   23855 */   GIM_Reject,
     /*   23856 */ // Label 777: @23856
     /*   23856 */ GIM_Reject,
     /*   23857 */ // Label 709: @23857
     /*   23857 */ GIM_Reject,
     /*   23858 */ // Label 6: @23858
     /*   23858 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 804*/ GIMT_Encode4(26591),
     /*   23869 */ /*GILLT_s32*//*Label 780*/ GIMT_Encode4(23993),
     /*   23873 */ /*GILLT_s64*//*Label 781*/ GIMT_Encode4(24027), GIMT_Encode4(0),
     /*   23881 */ /*GILLT_nxv1s8*//*Label 782*/ GIMT_Encode4(24061),
     /*   23885 */ /*GILLT_nxv1s16*//*Label 783*/ GIMT_Encode4(24176),
     /*   23889 */ /*GILLT_nxv1s32*//*Label 784*/ GIMT_Encode4(24291),
     /*   23893 */ /*GILLT_nxv1s64*//*Label 785*/ GIMT_Encode4(24406), GIMT_Encode4(0),
     /*   23901 */ /*GILLT_nxv2s8*//*Label 786*/ GIMT_Encode4(24521),
     /*   23905 */ /*GILLT_nxv2s16*//*Label 787*/ GIMT_Encode4(24636),
     /*   23909 */ /*GILLT_nxv2s32*//*Label 788*/ GIMT_Encode4(24751),
     /*   23913 */ /*GILLT_nxv2s64*//*Label 789*/ GIMT_Encode4(24866), GIMT_Encode4(0),
     /*   23921 */ /*GILLT_nxv4s8*//*Label 790*/ GIMT_Encode4(24981),
     /*   23925 */ /*GILLT_nxv4s16*//*Label 791*/ GIMT_Encode4(25096),
     /*   23929 */ /*GILLT_nxv4s32*//*Label 792*/ GIMT_Encode4(25211),
     /*   23933 */ /*GILLT_nxv4s64*//*Label 793*/ GIMT_Encode4(25326), GIMT_Encode4(0),
     /*   23941 */ /*GILLT_nxv8s8*//*Label 794*/ GIMT_Encode4(25441),
     /*   23945 */ /*GILLT_nxv8s16*//*Label 795*/ GIMT_Encode4(25556),
     /*   23949 */ /*GILLT_nxv8s32*//*Label 796*/ GIMT_Encode4(25671),
     /*   23953 */ /*GILLT_nxv8s64*//*Label 797*/ GIMT_Encode4(25786), GIMT_Encode4(0),
     /*   23961 */ /*GILLT_nxv16s8*//*Label 798*/ GIMT_Encode4(25901),
     /*   23965 */ /*GILLT_nxv16s16*//*Label 799*/ GIMT_Encode4(26016),
     /*   23969 */ /*GILLT_nxv16s32*//*Label 800*/ GIMT_Encode4(26131), GIMT_Encode4(0),
     /*   23977 */ /*GILLT_nxv32s8*//*Label 801*/ GIMT_Encode4(26246),
     /*   23981 */ /*GILLT_nxv32s16*//*Label 802*/ GIMT_Encode4(26361), GIMT_Encode4(0),
     /*   23989 */ /*GILLT_nxv64s8*//*Label 803*/ GIMT_Encode4(26476),
     /*   23993 */ // Label 780: @23993
     /*   23993 */ GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(24026), // Rule ID 302 //
     /*   23998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*   24001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   24004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   24007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24019 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   24019 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*   24024 */   GIR_RootConstrainSelectedInstOperands,
     /*   24025 */   // GIR_Coverage, 302,
     /*   24025 */   GIR_Done,
     /*   24026 */ // Label 805: @24026
     /*   24026 */ GIM_Reject,
     /*   24027 */ // Label 781: @24027
     /*   24027 */ GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(24060), // Rule ID 301 //
     /*   24032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*   24035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   24038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   24041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   24053 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   24053 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*   24058 */   GIR_RootConstrainSelectedInstOperands,
     /*   24059 */   // GIR_Coverage, 301,
     /*   24059 */   GIR_Done,
     /*   24060 */ // Label 806: @24060
     /*   24060 */ GIM_Reject,
     /*   24061 */ // Label 782: @24061
     /*   24061 */ GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(24175),
     /*   24066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   24069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   24072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24076 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24084 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(24129), // Rule ID 50778 //
     /*   24089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24092 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   24092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   24095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*   24109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24127 */     GIR_RootConstrainSelectedInstOperands,
     /*   24128 */     // GIR_Coverage, 50778,
     /*   24128 */     GIR_EraseRootFromParent_Done,
     /*   24129 */   // Label 808: @24129
     /*   24129 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(24174), // Rule ID 50779 //
     /*   24134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24137 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   24137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   24140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*   24154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24172 */     GIR_RootConstrainSelectedInstOperands,
     /*   24173 */     // GIR_Coverage, 50779,
     /*   24173 */     GIR_EraseRootFromParent_Done,
     /*   24174 */   // Label 809: @24174
     /*   24174 */   GIM_Reject,
     /*   24175 */ // Label 807: @24175
     /*   24175 */ GIM_Reject,
     /*   24176 */ // Label 783: @24176
     /*   24176 */ GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(24290),
     /*   24181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   24184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   24187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24199 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(24244), // Rule ID 50790 //
     /*   24204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24207 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   24210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*   24224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24242 */     GIR_RootConstrainSelectedInstOperands,
     /*   24243 */     // GIR_Coverage, 50790,
     /*   24243 */     GIR_EraseRootFromParent_Done,
     /*   24244 */   // Label 811: @24244
     /*   24244 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(24289), // Rule ID 50791 //
     /*   24249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24252 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   24255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*   24269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24287 */     GIR_RootConstrainSelectedInstOperands,
     /*   24288 */     // GIR_Coverage, 50791,
     /*   24288 */     GIR_EraseRootFromParent_Done,
     /*   24289 */   // Label 812: @24289
     /*   24289 */   GIM_Reject,
     /*   24290 */ // Label 810: @24290
     /*   24290 */ GIM_Reject,
     /*   24291 */ // Label 784: @24291
     /*   24291 */ GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(24405),
     /*   24296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   24299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   24302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24314 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(24359), // Rule ID 50798 //
     /*   24319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24322 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   24322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   24325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*   24339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24357 */     GIR_RootConstrainSelectedInstOperands,
     /*   24358 */     // GIR_Coverage, 50798,
     /*   24358 */     GIR_EraseRootFromParent_Done,
     /*   24359 */   // Label 814: @24359
     /*   24359 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(24404), // Rule ID 50799 //
     /*   24364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24367 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   24367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   24370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*   24384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24402 */     GIR_RootConstrainSelectedInstOperands,
     /*   24403 */     // GIR_Coverage, 50799,
     /*   24403 */     GIR_EraseRootFromParent_Done,
     /*   24404 */   // Label 815: @24404
     /*   24404 */   GIM_Reject,
     /*   24405 */ // Label 813: @24405
     /*   24405 */ GIM_Reject,
     /*   24406 */ // Label 785: @24406
     /*   24406 */ GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(24520),
     /*   24411 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   24414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   24417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24429 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(24474), // Rule ID 50814 //
     /*   24434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   24437 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   24437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   24440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*   24454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24472 */     GIR_RootConstrainSelectedInstOperands,
     /*   24473 */     // GIR_Coverage, 50814,
     /*   24473 */     GIR_EraseRootFromParent_Done,
     /*   24474 */   // Label 817: @24474
     /*   24474 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(24519), // Rule ID 50815 //
     /*   24479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   24482 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   24482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   24485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*   24499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24517 */     GIR_RootConstrainSelectedInstOperands,
     /*   24518 */     // GIR_Coverage, 50815,
     /*   24518 */     GIR_EraseRootFromParent_Done,
     /*   24519 */   // Label 818: @24519
     /*   24519 */   GIM_Reject,
     /*   24520 */ // Label 816: @24520
     /*   24520 */ GIM_Reject,
     /*   24521 */ // Label 786: @24521
     /*   24521 */ GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(24635),
     /*   24526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   24532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24540 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24544 */   GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(24589), // Rule ID 50782 //
     /*   24549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24552 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   24552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   24555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*   24569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24587 */     GIR_RootConstrainSelectedInstOperands,
     /*   24588 */     // GIR_Coverage, 50782,
     /*   24588 */     GIR_EraseRootFromParent_Done,
     /*   24589 */   // Label 820: @24589
     /*   24589 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(24634), // Rule ID 50783 //
     /*   24594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24597 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   24597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   24600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*   24614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24632 */     GIR_RootConstrainSelectedInstOperands,
     /*   24633 */     // GIR_Coverage, 50783,
     /*   24633 */     GIR_EraseRootFromParent_Done,
     /*   24634 */   // Label 821: @24634
     /*   24634 */   GIM_Reject,
     /*   24635 */ // Label 819: @24635
     /*   24635 */ GIM_Reject,
     /*   24636 */ // Label 787: @24636
     /*   24636 */ GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(24750),
     /*   24641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24651 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24659 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(24704), // Rule ID 50794 //
     /*   24664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24667 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*   24684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24702 */     GIR_RootConstrainSelectedInstOperands,
     /*   24703 */     // GIR_Coverage, 50794,
     /*   24703 */     GIR_EraseRootFromParent_Done,
     /*   24704 */   // Label 823: @24704
     /*   24704 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(24749), // Rule ID 50795 //
     /*   24709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24712 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*   24729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24747 */     GIR_RootConstrainSelectedInstOperands,
     /*   24748 */     // GIR_Coverage, 50795,
     /*   24748 */     GIR_EraseRootFromParent_Done,
     /*   24749 */   // Label 824: @24749
     /*   24749 */   GIM_Reject,
     /*   24750 */ // Label 822: @24750
     /*   24750 */ GIM_Reject,
     /*   24751 */ // Label 788: @24751
     /*   24751 */ GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(24865),
     /*   24756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24774 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(24819), // Rule ID 50810 //
     /*   24779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24782 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   24782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   24785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*   24799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24817 */     GIR_RootConstrainSelectedInstOperands,
     /*   24818 */     // GIR_Coverage, 50810,
     /*   24818 */     GIR_EraseRootFromParent_Done,
     /*   24819 */   // Label 826: @24819
     /*   24819 */   GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(24864), // Rule ID 50811 //
     /*   24824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24827 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   24827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   24830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*   24844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   24859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24862 */     GIR_RootConstrainSelectedInstOperands,
     /*   24863 */     // GIR_Coverage, 50811,
     /*   24863 */     GIR_EraseRootFromParent_Done,
     /*   24864 */   // Label 827: @24864
     /*   24864 */   GIM_Reject,
     /*   24865 */ // Label 825: @24865
     /*   24865 */ GIM_Reject,
     /*   24866 */ // Label 789: @24866
     /*   24866 */ GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(24980),
     /*   24871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   24874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   24877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   24889 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(24934), // Rule ID 50854 //
     /*   24894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   24897 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   24897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   24900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*   24914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24932 */     GIR_RootConstrainSelectedInstOperands,
     /*   24933 */     // GIR_Coverage, 50854,
     /*   24933 */     GIR_EraseRootFromParent_Done,
     /*   24934 */   // Label 829: @24934
     /*   24934 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(24979), // Rule ID 50855 //
     /*   24939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   24942 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   24942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   24945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*   24959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   24974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24977 */     GIR_RootConstrainSelectedInstOperands,
     /*   24978 */     // GIR_Coverage, 50855,
     /*   24978 */     GIR_EraseRootFromParent_Done,
     /*   24979 */   // Label 830: @24979
     /*   24979 */   GIM_Reject,
     /*   24980 */ // Label 828: @24980
     /*   24980 */ GIM_Reject,
     /*   24981 */ // Label 790: @24981
     /*   24981 */ GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(25095),
     /*   24986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   24989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   24992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25004 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(25049), // Rule ID 50786 //
     /*   25009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25012 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   25015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*   25029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25047 */     GIR_RootConstrainSelectedInstOperands,
     /*   25048 */     // GIR_Coverage, 50786,
     /*   25048 */     GIR_EraseRootFromParent_Done,
     /*   25049 */   // Label 832: @25049
     /*   25049 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(25094), // Rule ID 50787 //
     /*   25054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25057 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25057 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   25060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25064 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25069 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*   25074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25076 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25092 */     GIR_RootConstrainSelectedInstOperands,
     /*   25093 */     // GIR_Coverage, 50787,
     /*   25093 */     GIR_EraseRootFromParent_Done,
     /*   25094 */   // Label 833: @25094
     /*   25094 */   GIM_Reject,
     /*   25095 */ // Label 831: @25095
     /*   25095 */ GIM_Reject,
     /*   25096 */ // Label 791: @25096
     /*   25096 */ GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(25210),
     /*   25101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   25104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   25107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25119 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(25164), // Rule ID 50806 //
     /*   25124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25127 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   25127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   25130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*   25144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25162 */     GIR_RootConstrainSelectedInstOperands,
     /*   25163 */     // GIR_Coverage, 50806,
     /*   25163 */     GIR_EraseRootFromParent_Done,
     /*   25164 */   // Label 835: @25164
     /*   25164 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(25209), // Rule ID 50807 //
     /*   25169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25172 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   25172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   25175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*   25189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25207 */     GIR_RootConstrainSelectedInstOperands,
     /*   25208 */     // GIR_Coverage, 50807,
     /*   25208 */     GIR_EraseRootFromParent_Done,
     /*   25209 */   // Label 836: @25209
     /*   25209 */   GIM_Reject,
     /*   25210 */ // Label 834: @25210
     /*   25210 */ GIM_Reject,
     /*   25211 */ // Label 792: @25211
     /*   25211 */ GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(25325),
     /*   25216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   25219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   25222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25234 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(25279), // Rule ID 50842 //
     /*   25239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25242 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   25245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*   25259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25277 */     GIR_RootConstrainSelectedInstOperands,
     /*   25278 */     // GIR_Coverage, 50842,
     /*   25278 */     GIR_EraseRootFromParent_Done,
     /*   25279 */   // Label 838: @25279
     /*   25279 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(25324), // Rule ID 50843 //
     /*   25284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25287 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   25290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*   25304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25322 */     GIR_RootConstrainSelectedInstOperands,
     /*   25323 */     // GIR_Coverage, 50843,
     /*   25323 */     GIR_EraseRootFromParent_Done,
     /*   25324 */   // Label 839: @25324
     /*   25324 */   GIM_Reject,
     /*   25325 */ // Label 837: @25325
     /*   25325 */ GIM_Reject,
     /*   25326 */ // Label 793: @25326
     /*   25326 */ GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(25440),
     /*   25331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   25334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   25337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25345 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25349 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(25394), // Rule ID 50858 //
     /*   25354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25357 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   25357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   25360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*   25374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25392 */     GIR_RootConstrainSelectedInstOperands,
     /*   25393 */     // GIR_Coverage, 50858,
     /*   25393 */     GIR_EraseRootFromParent_Done,
     /*   25394 */   // Label 841: @25394
     /*   25394 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(25439), // Rule ID 50859 //
     /*   25399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25402 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   25402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   25405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*   25419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25437 */     GIR_RootConstrainSelectedInstOperands,
     /*   25438 */     // GIR_Coverage, 50859,
     /*   25438 */     GIR_EraseRootFromParent_Done,
     /*   25439 */   // Label 842: @25439
     /*   25439 */   GIM_Reject,
     /*   25440 */ // Label 840: @25440
     /*   25440 */ GIM_Reject,
     /*   25441 */ // Label 794: @25441
     /*   25441 */ GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(25555),
     /*   25446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   25449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   25452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25464 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(25509), // Rule ID 50802 //
     /*   25469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25472 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   25475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*   25489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25507 */     GIR_RootConstrainSelectedInstOperands,
     /*   25508 */     // GIR_Coverage, 50802,
     /*   25508 */     GIR_EraseRootFromParent_Done,
     /*   25509 */   // Label 844: @25509
     /*   25509 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(25554), // Rule ID 50803 //
     /*   25514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25517 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   25520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*   25534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25552 */     GIR_RootConstrainSelectedInstOperands,
     /*   25553 */     // GIR_Coverage, 50803,
     /*   25553 */     GIR_EraseRootFromParent_Done,
     /*   25554 */   // Label 845: @25554
     /*   25554 */   GIM_Reject,
     /*   25555 */ // Label 843: @25555
     /*   25555 */ GIM_Reject,
     /*   25556 */ // Label 795: @25556
     /*   25556 */ GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(25670),
     /*   25561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   25564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   25567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25579 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(25624), // Rule ID 50830 //
     /*   25584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25587 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   25587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   25590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*   25604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25622 */     GIR_RootConstrainSelectedInstOperands,
     /*   25623 */     // GIR_Coverage, 50830,
     /*   25623 */     GIR_EraseRootFromParent_Done,
     /*   25624 */   // Label 847: @25624
     /*   25624 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(25669), // Rule ID 50831 //
     /*   25629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25632 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   25632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   25635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*   25649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25667 */     GIR_RootConstrainSelectedInstOperands,
     /*   25668 */     // GIR_Coverage, 50831,
     /*   25668 */     GIR_EraseRootFromParent_Done,
     /*   25669 */   // Label 848: @25669
     /*   25669 */   GIM_Reject,
     /*   25670 */ // Label 846: @25670
     /*   25670 */ GIM_Reject,
     /*   25671 */ // Label 796: @25671
     /*   25671 */ GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(25785),
     /*   25676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   25679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   25682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   25694 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(25739), // Rule ID 50846 //
     /*   25699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25702 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   25702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   25705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*   25719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25737 */     GIR_RootConstrainSelectedInstOperands,
     /*   25738 */     // GIR_Coverage, 50846,
     /*   25738 */     GIR_EraseRootFromParent_Done,
     /*   25739 */   // Label 850: @25739
     /*   25739 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(25784), // Rule ID 50847 //
     /*   25744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25747 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   25747 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   25750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25754 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25759 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*   25764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25766 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   25779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25782 */     GIR_RootConstrainSelectedInstOperands,
     /*   25783 */     // GIR_Coverage, 50847,
     /*   25783 */     GIR_EraseRootFromParent_Done,
     /*   25784 */   // Label 851: @25784
     /*   25784 */   GIM_Reject,
     /*   25785 */ // Label 849: @25785
     /*   25785 */ GIM_Reject,
     /*   25786 */ // Label 797: @25786
     /*   25786 */ GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(25900),
     /*   25791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   25794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   25797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25801 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   25809 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(25854), // Rule ID 50862 //
     /*   25814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   25817 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   25817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   25820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*   25834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25852 */     GIR_RootConstrainSelectedInstOperands,
     /*   25853 */     // GIR_Coverage, 50862,
     /*   25853 */     GIR_EraseRootFromParent_Done,
     /*   25854 */   // Label 853: @25854
     /*   25854 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(25899), // Rule ID 50863 //
     /*   25859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   25862 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   25862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   25865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*   25879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   25894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25897 */     GIR_RootConstrainSelectedInstOperands,
     /*   25898 */     // GIR_Coverage, 50863,
     /*   25898 */     GIR_EraseRootFromParent_Done,
     /*   25899 */   // Label 854: @25899
     /*   25899 */   GIM_Reject,
     /*   25900 */ // Label 852: @25900
     /*   25900 */ GIM_Reject,
     /*   25901 */ // Label 798: @25901
     /*   25901 */ GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(26015),
     /*   25906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   25909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   25912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   25924 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(25969), // Rule ID 50818 //
     /*   25929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25932 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   25932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   25935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*   25949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   25956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   25958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   25967 */     GIR_RootConstrainSelectedInstOperands,
     /*   25968 */     // GIR_Coverage, 50818,
     /*   25968 */     GIR_EraseRootFromParent_Done,
     /*   25969 */   // Label 856: @25969
     /*   25969 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(26014), // Rule ID 50819 //
     /*   25974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25977 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   25977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   25980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   25984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   25989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   25991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*   25994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   25999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26012 */     GIR_RootConstrainSelectedInstOperands,
     /*   26013 */     // GIR_Coverage, 50819,
     /*   26013 */     GIR_EraseRootFromParent_Done,
     /*   26014 */   // Label 857: @26014
     /*   26014 */   GIM_Reject,
     /*   26015 */ // Label 855: @26015
     /*   26015 */ GIM_Reject,
     /*   26016 */ // Label 799: @26016
     /*   26016 */ GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(26130),
     /*   26021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   26024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   26027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26039 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(26084), // Rule ID 50834 //
     /*   26044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26047 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   26050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*   26064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26082 */     GIR_RootConstrainSelectedInstOperands,
     /*   26083 */     // GIR_Coverage, 50834,
     /*   26083 */     GIR_EraseRootFromParent_Done,
     /*   26084 */   // Label 859: @26084
     /*   26084 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(26129), // Rule ID 50835 //
     /*   26089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26092 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   26095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*   26109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26127 */     GIR_RootConstrainSelectedInstOperands,
     /*   26128 */     // GIR_Coverage, 50835,
     /*   26128 */     GIR_EraseRootFromParent_Done,
     /*   26129 */   // Label 860: @26129
     /*   26129 */   GIM_Reject,
     /*   26130 */ // Label 858: @26130
     /*   26130 */ GIM_Reject,
     /*   26131 */ // Label 800: @26131
     /*   26131 */ GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(26245),
     /*   26136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   26139 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   26142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26154 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(26199), // Rule ID 50850 //
     /*   26159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26162 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   26162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   26165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*   26179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26197 */     GIR_RootConstrainSelectedInstOperands,
     /*   26198 */     // GIR_Coverage, 50850,
     /*   26198 */     GIR_EraseRootFromParent_Done,
     /*   26199 */   // Label 862: @26199
     /*   26199 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(26244), // Rule ID 50851 //
     /*   26204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26207 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   26207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   26210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*   26224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26242 */     GIR_RootConstrainSelectedInstOperands,
     /*   26243 */     // GIR_Coverage, 50851,
     /*   26243 */     GIR_EraseRootFromParent_Done,
     /*   26244 */   // Label 863: @26244
     /*   26244 */   GIM_Reject,
     /*   26245 */ // Label 861: @26245
     /*   26245 */ GIM_Reject,
     /*   26246 */ // Label 801: @26246
     /*   26246 */ GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(26360),
     /*   26251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   26254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   26257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   26269 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(26314), // Rule ID 50822 //
     /*   26274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26277 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   26277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   26280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*   26294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26312 */     GIR_RootConstrainSelectedInstOperands,
     /*   26313 */     // GIR_Coverage, 50822,
     /*   26313 */     GIR_EraseRootFromParent_Done,
     /*   26314 */   // Label 865: @26314
     /*   26314 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(26359), // Rule ID 50823 //
     /*   26319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26322 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   26322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   26325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*   26339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26357 */     GIR_RootConstrainSelectedInstOperands,
     /*   26358 */     // GIR_Coverage, 50823,
     /*   26358 */     GIR_EraseRootFromParent_Done,
     /*   26359 */   // Label 866: @26359
     /*   26359 */   GIM_Reject,
     /*   26360 */ // Label 864: @26360
     /*   26360 */ GIM_Reject,
     /*   26361 */ // Label 802: @26361
     /*   26361 */ GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(26475),
     /*   26366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   26369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   26372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26384 */   GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(26429), // Rule ID 50838 //
     /*   26389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26392 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   26395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*   26409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26427 */     GIR_RootConstrainSelectedInstOperands,
     /*   26428 */     // GIR_Coverage, 50838,
     /*   26428 */     GIR_EraseRootFromParent_Done,
     /*   26429 */   // Label 868: @26429
     /*   26429 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(26474), // Rule ID 50839 //
     /*   26434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26437 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   26440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*   26454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26472 */     GIR_RootConstrainSelectedInstOperands,
     /*   26473 */     // GIR_Coverage, 50839,
     /*   26473 */     GIR_EraseRootFromParent_Done,
     /*   26474 */   // Label 869: @26474
     /*   26474 */   GIM_Reject,
     /*   26475 */ // Label 867: @26475
     /*   26475 */ GIM_Reject,
     /*   26476 */ // Label 803: @26476
     /*   26476 */ GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(26590),
     /*   26481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   26484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   26487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   26499 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(26544), // Rule ID 50826 //
     /*   26504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26507 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   26507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   26510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*   26524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26542 */     GIR_RootConstrainSelectedInstOperands,
     /*   26543 */     // GIR_Coverage, 50826,
     /*   26543 */     GIR_EraseRootFromParent_Done,
     /*   26544 */   // Label 871: @26544
     /*   26544 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(26589), // Rule ID 50827 //
     /*   26549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26552 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   26552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   26555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*   26569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   26576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26587 */     GIR_RootConstrainSelectedInstOperands,
     /*   26588 */     // GIR_Coverage, 50827,
     /*   26588 */     GIR_EraseRootFromParent_Done,
     /*   26589 */   // Label 872: @26589
     /*   26589 */   GIM_Reject,
     /*   26590 */ // Label 870: @26590
     /*   26590 */ GIM_Reject,
     /*   26591 */ // Label 804: @26591
     /*   26591 */ GIM_Reject,
     /*   26592 */ // Label 7: @26592
     /*   26592 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 904*/ GIMT_Encode4(35875),
     /*   26603 */ /*GILLT_s32*//*Label 873*/ GIMT_Encode4(26727),
     /*   26607 */ /*GILLT_s64*//*Label 874*/ GIMT_Encode4(27785),
     /*   26611 */ /*GILLT_nxv1s1*//*Label 875*/ GIMT_Encode4(29068),
     /*   26615 */ /*GILLT_nxv1s8*//*Label 876*/ GIMT_Encode4(29679),
     /*   26619 */ /*GILLT_nxv1s16*//*Label 877*/ GIMT_Encode4(29794),
     /*   26623 */ /*GILLT_nxv1s32*//*Label 878*/ GIMT_Encode4(29909),
     /*   26627 */ /*GILLT_nxv1s64*//*Label 879*/ GIMT_Encode4(30024),
     /*   26631 */ /*GILLT_nxv2s1*//*Label 880*/ GIMT_Encode4(30139),
     /*   26635 */ /*GILLT_nxv2s8*//*Label 881*/ GIMT_Encode4(30750),
     /*   26639 */ /*GILLT_nxv2s16*//*Label 882*/ GIMT_Encode4(30865),
     /*   26643 */ /*GILLT_nxv2s32*//*Label 883*/ GIMT_Encode4(30980),
     /*   26647 */ /*GILLT_nxv2s64*//*Label 884*/ GIMT_Encode4(31095),
     /*   26651 */ /*GILLT_nxv4s1*//*Label 885*/ GIMT_Encode4(31210),
     /*   26655 */ /*GILLT_nxv4s8*//*Label 886*/ GIMT_Encode4(31821),
     /*   26659 */ /*GILLT_nxv4s16*//*Label 887*/ GIMT_Encode4(31936),
     /*   26663 */ /*GILLT_nxv4s32*//*Label 888*/ GIMT_Encode4(32051),
     /*   26667 */ /*GILLT_nxv4s64*//*Label 889*/ GIMT_Encode4(32166),
     /*   26671 */ /*GILLT_nxv8s1*//*Label 890*/ GIMT_Encode4(32281),
     /*   26675 */ /*GILLT_nxv8s8*//*Label 891*/ GIMT_Encode4(32892),
     /*   26679 */ /*GILLT_nxv8s16*//*Label 892*/ GIMT_Encode4(33007),
     /*   26683 */ /*GILLT_nxv8s32*//*Label 893*/ GIMT_Encode4(33122),
     /*   26687 */ /*GILLT_nxv8s64*//*Label 894*/ GIMT_Encode4(33237),
     /*   26691 */ /*GILLT_nxv16s1*//*Label 895*/ GIMT_Encode4(33352),
     /*   26695 */ /*GILLT_nxv16s8*//*Label 896*/ GIMT_Encode4(33963),
     /*   26699 */ /*GILLT_nxv16s16*//*Label 897*/ GIMT_Encode4(34078),
     /*   26703 */ /*GILLT_nxv16s32*//*Label 898*/ GIMT_Encode4(34193),
     /*   26707 */ /*GILLT_nxv32s1*//*Label 899*/ GIMT_Encode4(34308),
     /*   26711 */ /*GILLT_nxv32s8*//*Label 900*/ GIMT_Encode4(34919),
     /*   26715 */ /*GILLT_nxv32s16*//*Label 901*/ GIMT_Encode4(35034),
     /*   26719 */ /*GILLT_nxv64s1*//*Label 902*/ GIMT_Encode4(35149),
     /*   26723 */ /*GILLT_nxv64s8*//*Label 903*/ GIMT_Encode4(35760),
     /*   26727 */ // Label 873: @26727
     /*   26727 */ GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(27784),
     /*   26732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   26735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   26738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26742 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(26827), // Rule ID 64098 //
     /*   26747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   26750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   26758 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26762 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26766 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   26770 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26774 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26778 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26782 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26787 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   26791 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   26802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26804 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   26811 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   26814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   26821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26825 */     GIR_RootConstrainSelectedInstOperands,
     /*   26826 */     // GIR_Coverage, 64098,
     /*   26826 */     GIR_EraseRootFromParent_Done,
     /*   26827 */   // Label 906: @26827
     /*   26827 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(26912), // Rule ID 2402 //
     /*   26832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   26835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   26843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26847 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26863 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26872 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   26876 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   26887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26889 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   26896 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   26899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   26906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26910 */     GIR_RootConstrainSelectedInstOperands,
     /*   26911 */     // GIR_Coverage, 2402,
     /*   26911 */     GIR_EraseRootFromParent_Done,
     /*   26912 */   // Label 907: @26912
     /*   26912 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(26987), // Rule ID 2329 //
     /*   26917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   26920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   26928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   26932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   26936 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26940 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   26944 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   26948 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   26952 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   26956 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   26960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26966 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   26973 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   26973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   26976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   26980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   26985 */     GIR_RootConstrainSelectedInstOperands,
     /*   26986 */     // GIR_Coverage, 2329,
     /*   26986 */     GIR_EraseRootFromParent_Done,
     /*   26987 */   // Label 908: @26987
     /*   26987 */   GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(27062), // Rule ID 64086 //
     /*   26992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   26995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   26999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   27027 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   27031 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   27035 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27039 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27041 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   27048 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   27060 */     GIR_RootConstrainSelectedInstOperands,
     /*   27061 */     // GIR_Coverage, 64086,
     /*   27061 */     GIR_EraseRootFromParent_Done,
     /*   27062 */   // Label 909: @27062
     /*   27062 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(27123), // Rule ID 2349 //
     /*   27067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27086 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27091 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27095 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27099 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   27103 */     // MIs[2] Operand 1
     /*   27103 */     // No operand predicates
     /*   27103 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27109 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   27109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*   27112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   27121 */     GIR_RootConstrainSelectedInstOperands,
     /*   27122 */     // GIR_Coverage, 2349,
     /*   27122 */     GIR_EraseRootFromParent_Done,
     /*   27123 */   // Label 910: @27123
     /*   27123 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(27184), // Rule ID 61911 //
     /*   27128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*   27131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27139 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27143 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   27164 */     // MIs[2] Operand 1
     /*   27164 */     // No operand predicates
     /*   27164 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27170 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   27170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*   27173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   27182 */     GIR_RootConstrainSelectedInstOperands,
     /*   27183 */     // GIR_Coverage, 61911,
     /*   27183 */     GIR_EraseRootFromParent_Done,
     /*   27184 */   // Label 911: @27184
     /*   27184 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(27242), // Rule ID 2337 //
     /*   27189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   27200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27213 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   27217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27219 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   27226 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*   27229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   27240 */     GIR_RootConstrainSelectedInstOperands,
     /*   27241 */     // GIR_Coverage, 2337,
     /*   27241 */     GIR_EraseRootFromParent_Done,
     /*   27242 */   // Label 912: @27242
     /*   27242 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(27294), // Rule ID 2331 //
     /*   27247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   27258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27266 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   27270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27281 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   27288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   27292 */     GIR_RootConstrainSelectedInstOperands,
     /*   27293 */     // GIR_Coverage, 2331,
     /*   27293 */     GIR_EraseRootFromParent_Done,
     /*   27294 */   // Label 913: @27294
     /*   27294 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(27346), // Rule ID 64072 //
     /*   27299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   27302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27314 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27333 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   27336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   27340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   27344 */     GIR_RootConstrainSelectedInstOperands,
     /*   27345 */     // GIR_Coverage, 64072,
     /*   27345 */     GIR_EraseRootFromParent_Done,
     /*   27346 */   // Label 914: @27346
     /*   27346 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(27398), // Rule ID 64088 //
     /*   27351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   27354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   27366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27370 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27374 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   27378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27385 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   27388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   27396 */     GIR_RootConstrainSelectedInstOperands,
     /*   27397 */     // GIR_Coverage, 64088,
     /*   27397 */     GIR_EraseRootFromParent_Done,
     /*   27398 */   // Label 915: @27398
     /*   27398 */   GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(27450), // Rule ID 2305 //
     /*   27403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   27406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   27422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   27426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27431 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   27435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27437 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   27440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   27448 */     GIR_RootConstrainSelectedInstOperands,
     /*   27449 */     // GIR_Coverage, 2305,
     /*   27449 */     GIR_EraseRootFromParent_Done,
     /*   27450 */   // Label 916: @27450
     /*   27450 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(27482), // Rule ID 63815 //
     /*   27455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*   27458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27462 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27473 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*   27473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*   27476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27480 */     GIR_RootConstrainSelectedInstOperands,
     /*   27481 */     // GIR_Coverage, 63815,
     /*   27481 */     GIR_EraseRootFromParent_Done,
     /*   27482 */   // Label 917: @27482
     /*   27482 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(27514), // Rule ID 63817 //
     /*   27487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*   27490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27494 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*   27505 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*   27505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*   27508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27512 */     GIR_RootConstrainSelectedInstOperands,
     /*   27513 */     // GIR_Coverage, 63817,
     /*   27513 */     GIR_EraseRootFromParent_Done,
     /*   27514 */   // Label 918: @27514
     /*   27514 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(27546), // Rule ID 2413 //
     /*   27519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*   27522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27526 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27537 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*   27537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*   27540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27544 */     GIR_RootConstrainSelectedInstOperands,
     /*   27545 */     // GIR_Coverage, 2413,
     /*   27545 */     GIR_EraseRootFromParent_Done,
     /*   27546 */   // Label 919: @27546
     /*   27546 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(27578), // Rule ID 2414 //
     /*   27551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*   27554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27558 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27569 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*   27569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*   27572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27576 */     GIR_RootConstrainSelectedInstOperands,
     /*   27577 */     // GIR_Coverage, 2414,
     /*   27577 */     GIR_EraseRootFromParent_Done,
     /*   27578 */   // Label 920: @27578
     /*   27578 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(27616), // Rule ID 2416 //
     /*   27583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*   27586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27590 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27601 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*   27601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   27604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   27614 */     GIR_RootConstrainSelectedInstOperands,
     /*   27615 */     // GIR_Coverage, 2416,
     /*   27615 */     GIR_EraseRootFromParent_Done,
     /*   27616 */   // Label 921: @27616
     /*   27616 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(27654), // Rule ID 2417 //
     /*   27621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*   27624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27628 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27639 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*   27639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   27642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   27646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   27652 */     GIR_RootConstrainSelectedInstOperands,
     /*   27653 */     // GIR_Coverage, 2417,
     /*   27653 */     GIR_EraseRootFromParent_Done,
     /*   27654 */   // Label 922: @27654
     /*   27654 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(27692), // Rule ID 85 //
     /*   27659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   27678 */     // MIs[1] Operand 1
     /*   27678 */     // No operand predicates
     /*   27678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27680 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   27680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*   27683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   27690 */     GIR_RootConstrainSelectedInstOperands,
     /*   27691 */     // GIR_Coverage, 85,
     /*   27691 */     GIR_EraseRootFromParent_Done,
     /*   27692 */   // Label 923: @27692
     /*   27692 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(27760), // Rule ID 103 //
     /*   27697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   27712 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*   27716 */     // MIs[1] Operand 1
     /*   27716 */     // No operand predicates
     /*   27716 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9521),
     /*   27720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27722 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9521>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*   27722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   27725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   27729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   27738 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   27743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   27748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27753 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   27758 */     GIR_RootConstrainSelectedInstOperands,
     /*   27759 */     // GIR_Coverage, 103,
     /*   27759 */     GIR_EraseRootFromParent_Done,
     /*   27760 */   // Label 924: @27760
     /*   27760 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(27783), // Rule ID 83 //
     /*   27765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   27768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27776 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   27776 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*   27781 */     GIR_RootConstrainSelectedInstOperands,
     /*   27782 */     // GIR_Coverage, 83,
     /*   27782 */     GIR_Done,
     /*   27783 */   // Label 925: @27783
     /*   27783 */   GIM_Reject,
     /*   27784 */ // Label 905: @27784
     /*   27784 */ GIM_Reject,
     /*   27785 */ // Label 874: @27785
     /*   27785 */ GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(29067),
     /*   27790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   27793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   27796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27800 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(27885), // Rule ID 64097 //
     /*   27805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   27808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   27816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27820 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27824 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   27828 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27832 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   27836 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   27840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27845 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   27849 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27862 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   27869 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   27869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   27872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   27879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27883 */     GIR_RootConstrainSelectedInstOperands,
     /*   27884 */     // GIR_Coverage, 64097,
     /*   27884 */     GIR_EraseRootFromParent_Done,
     /*   27885 */   // Label 927: @27885
     /*   27885 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(27970), // Rule ID 2401 //
     /*   27890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   27893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   27901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   27917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   27921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   27925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   27930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   27934 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   27945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   27947 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   27954 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   27954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   27957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   27964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   27968 */     GIR_RootConstrainSelectedInstOperands,
     /*   27969 */     // GIR_Coverage, 2401,
     /*   27969 */     GIR_EraseRootFromParent_Done,
     /*   27970 */   // Label 928: @27970
     /*   27970 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(28045), // Rule ID 2328 //
     /*   27975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   27978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   27986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   27990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   27994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   28002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   28006 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   28010 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   28014 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28024 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28031 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28043 */     GIR_RootConstrainSelectedInstOperands,
     /*   28044 */     // GIR_Coverage, 2328,
     /*   28044 */     GIR_EraseRootFromParent_Done,
     /*   28045 */   // Label 929: @28045
     /*   28045 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(28120), // Rule ID 64085 //
     /*   28050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28069 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   28081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   28085 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   28089 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*   28093 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28099 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28106 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28118 */     GIR_RootConstrainSelectedInstOperands,
     /*   28119 */     // GIR_Coverage, 64085,
     /*   28119 */     GIR_EraseRootFromParent_Done,
     /*   28120 */   // Label 930: @28120
     /*   28120 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(28181), // Rule ID 2348 //
     /*   28125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28140 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   28153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28157 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   28161 */     // MIs[2] Operand 1
     /*   28161 */     // No operand predicates
     /*   28161 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28167 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   28167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*   28170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   28179 */     GIR_RootConstrainSelectedInstOperands,
     /*   28180 */     // GIR_Coverage, 2348,
     /*   28180 */     GIR_EraseRootFromParent_Done,
     /*   28181 */   // Label 931: @28181
     /*   28181 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(28242), // Rule ID 61910 //
     /*   28186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*   28189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28201 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   28214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28218 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*   28222 */     // MIs[2] Operand 1
     /*   28222 */     // No operand predicates
     /*   28222 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   28228 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*   28228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*   28231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*   28240 */     GIR_RootConstrainSelectedInstOperands,
     /*   28241 */     // GIR_Coverage, 61910,
     /*   28241 */     GIR_EraseRootFromParent_Done,
     /*   28242 */   // Label 932: @28242
     /*   28242 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(28300), // Rule ID 2336 //
     /*   28247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*   28258 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28262 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28271 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*   28275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28277 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   28284 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*   28287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   28293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   28298 */     GIR_RootConstrainSelectedInstOperands,
     /*   28299 */     // GIR_Coverage, 2336,
     /*   28299 */     GIR_EraseRootFromParent_Done,
     /*   28300 */   // Label 933: @28300
     /*   28300 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(28352), // Rule ID 2330 //
     /*   28305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   28316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28324 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   28328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28339 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   28350 */     GIR_RootConstrainSelectedInstOperands,
     /*   28351 */     // GIR_Coverage, 2330,
     /*   28351 */     GIR_EraseRootFromParent_Done,
     /*   28352 */   // Label 934: @28352
     /*   28352 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(28404), // Rule ID 64071 //
     /*   28357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   28360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28381 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28391 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   28394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   28398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28402 */     GIR_RootConstrainSelectedInstOperands,
     /*   28403 */     // GIR_Coverage, 64071,
     /*   28403 */     GIR_EraseRootFromParent_Done,
     /*   28404 */   // Label 935: @28404
     /*   28404 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(28456), // Rule ID 64087 //
     /*   28409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   28412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*   28424 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28428 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28432 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*   28436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28443 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*   28446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   28454 */     GIR_RootConstrainSelectedInstOperands,
     /*   28455 */     // GIR_Coverage, 64087,
     /*   28455 */     GIR_EraseRootFromParent_Done,
     /*   28456 */   // Label 936: @28456
     /*   28456 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(28508), // Rule ID 2304 //
     /*   28461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   28464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   28476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   28480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   28484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28489 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   28493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28495 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   28495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*   28498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   28506 */     GIR_RootConstrainSelectedInstOperands,
     /*   28507 */     // GIR_Coverage, 2304,
     /*   28507 */     GIR_EraseRootFromParent_Done,
     /*   28508 */   // Label 937: @28508
     /*   28508 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(28540), // Rule ID 63814 //
     /*   28513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*   28516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28520 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28531 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*   28531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*   28534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28538 */     GIR_RootConstrainSelectedInstOperands,
     /*   28539 */     // GIR_Coverage, 63814,
     /*   28539 */     GIR_EraseRootFromParent_Done,
     /*   28540 */   // Label 938: @28540
     /*   28540 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(28572), // Rule ID 63816 //
     /*   28545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*   28548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28552 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*   28563 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*   28563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*   28566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28570 */     GIR_RootConstrainSelectedInstOperands,
     /*   28571 */     // GIR_Coverage, 63816,
     /*   28571 */     GIR_EraseRootFromParent_Done,
     /*   28572 */   // Label 939: @28572
     /*   28572 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(28629), // Rule ID 252 //
     /*   28577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*   28580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28584 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*   28595 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*   28595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   28611 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   28614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*   28627 */     GIR_RootConstrainSelectedInstOperands,
     /*   28628 */     // GIR_Coverage, 252,
     /*   28628 */     GIR_EraseRootFromParent_Done,
     /*   28629 */   // Label 940: @28629
     /*   28629 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(28661), // Rule ID 2415 //
     /*   28634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*   28637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28641 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28652 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*   28652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*   28655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28659 */     GIR_RootConstrainSelectedInstOperands,
     /*   28660 */     // GIR_Coverage, 2415,
     /*   28660 */     GIR_EraseRootFromParent_Done,
     /*   28661 */   // Label 941: @28661
     /*   28661 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(28699), // Rule ID 2418 //
     /*   28666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*   28669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28673 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*   28684 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*   28684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   28687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   28697 */     GIR_RootConstrainSelectedInstOperands,
     /*   28698 */     // GIR_Coverage, 2418,
     /*   28698 */     GIR_EraseRootFromParent_Done,
     /*   28699 */   // Label 942: @28699
     /*   28699 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(28737), // Rule ID 2461 //
     /*   28704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*   28707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28711 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*   28722 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*   28722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*   28725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   28729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   28735 */     GIR_RootConstrainSelectedInstOperands,
     /*   28736 */     // GIR_Coverage, 2461,
     /*   28736 */     GIR_EraseRootFromParent_Done,
     /*   28737 */   // Label 943: @28737
     /*   28737 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(28775), // Rule ID 84 //
     /*   28742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   28761 */     // MIs[1] Operand 1
     /*   28761 */     // No operand predicates
     /*   28761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28763 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   28763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*   28766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   28770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   28773 */     GIR_RootConstrainSelectedInstOperands,
     /*   28774 */     // GIR_Coverage, 84,
     /*   28774 */     GIR_EraseRootFromParent_Done,
     /*   28775 */   // Label 944: @28775
     /*   28775 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(28843), // Rule ID 101 //
     /*   28780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*   28799 */     // MIs[1] Operand 1
     /*   28799 */     // No operand predicates
     /*   28799 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9519),
     /*   28803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28805 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9519>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28821 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28836 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28841 */     GIR_RootConstrainSelectedInstOperands,
     /*   28842 */     // GIR_Coverage, 101,
     /*   28842 */     GIR_EraseRootFromParent_Done,
     /*   28843 */   // Label 945: @28843
     /*   28843 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(28911), // Rule ID 102 //
     /*   28848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   28851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28863 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*   28867 */     // MIs[1] Operand 1
     /*   28867 */     // No operand predicates
     /*   28867 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9521),
     /*   28871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28873 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9521>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28889 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   28894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   28899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28904 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*   28909 */     GIR_RootConstrainSelectedInstOperands,
     /*   28910 */     // GIR_Coverage, 102,
     /*   28910 */     GIR_EraseRootFromParent_Done,
     /*   28911 */   // Label 946: @28911
     /*   28911 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(28979), // Rule ID 254 //
     /*   28916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   28919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*   28935 */     // MIs[1] Operand 1
     /*   28935 */     // No operand predicates
     /*   28935 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9609),
     /*   28939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   28941 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_9609>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*   28941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   28944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   28948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   28953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*   28957 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   28964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   28967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   28972 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   28977 */     GIR_RootConstrainSelectedInstOperands,
     /*   28978 */     // GIR_Coverage, 254,
     /*   28978 */     GIR_EraseRootFromParent_Done,
     /*   28979 */   // Label 947: @28979
     /*   28979 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(29043), // Rule ID 2458 //
     /*   28984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*   28987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   28991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   28999 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*   29003 */     // MIs[1] Operand 1
     /*   29003 */     // No operand predicates
     /*   29003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29005 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*   29005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   29008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*   29012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   29021 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   29026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*   29031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29036 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*   29041 */     GIR_RootConstrainSelectedInstOperands,
     /*   29042 */     // GIR_Coverage, 2458,
     /*   29042 */     GIR_EraseRootFromParent_Done,
     /*   29043 */   // Label 948: @29043
     /*   29043 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(29066), // Rule ID 82 //
     /*   29048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   29051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   29055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   29059 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   29059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*   29064 */     GIR_RootConstrainSelectedInstOperands,
     /*   29065 */     // GIR_Coverage, 82,
     /*   29065 */     GIR_Done,
     /*   29066 */   // Label 949: @29066
     /*   29066 */   GIM_Reject,
     /*   29067 */ // Label 926: @29067
     /*   29067 */ GIM_Reject,
     /*   29068 */ // Label 875: @29068
     /*   29068 */ GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(29678),
     /*   29073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29083 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(29149), // Rule ID 70137 //
     /*   29088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29128 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29130 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29147 */     GIR_RootConstrainSelectedInstOperands,
     /*   29148 */     // GIR_Coverage, 70137,
     /*   29148 */     GIR_EraseRootFromParent_Done,
     /*   29149 */   // Label 951: @29149
     /*   29149 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(29215), // Rule ID 70138 //
     /*   29154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29169 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29196 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29213 */     GIR_RootConstrainSelectedInstOperands,
     /*   29214 */     // GIR_Coverage, 70138,
     /*   29214 */     GIR_EraseRootFromParent_Done,
     /*   29215 */   // Label 952: @29215
     /*   29215 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(29281), // Rule ID 70135 //
     /*   29220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29260 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29262 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29279 */     GIR_RootConstrainSelectedInstOperands,
     /*   29280 */     // GIR_Coverage, 70135,
     /*   29280 */     GIR_EraseRootFromParent_Done,
     /*   29281 */   // Label 953: @29281
     /*   29281 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(29347), // Rule ID 70136 //
     /*   29286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29301 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29326 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29328 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   29335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29345 */     GIR_RootConstrainSelectedInstOperands,
     /*   29346 */     // GIR_Coverage, 70136,
     /*   29346 */     GIR_EraseRootFromParent_Done,
     /*   29347 */   // Label 954: @29347
     /*   29347 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(29413), // Rule ID 70133 //
     /*   29352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29387 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29394 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29411 */     GIR_RootConstrainSelectedInstOperands,
     /*   29412 */     // GIR_Coverage, 70133,
     /*   29412 */     GIR_EraseRootFromParent_Done,
     /*   29413 */   // Label 955: @29413
     /*   29413 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(29479), // Rule ID 70134 //
     /*   29418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29437 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29460 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   29471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29477 */     GIR_RootConstrainSelectedInstOperands,
     /*   29478 */     // GIR_Coverage, 70134,
     /*   29478 */     GIR_EraseRootFromParent_Done,
     /*   29479 */   // Label 956: @29479
     /*   29479 */   GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(29545), // Rule ID 52654 //
     /*   29484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29503 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   29524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29526 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29543 */     GIR_RootConstrainSelectedInstOperands,
     /*   29544 */     // GIR_Coverage, 52654,
     /*   29544 */     GIR_EraseRootFromParent_Done,
     /*   29545 */   // Label 957: @29545
     /*   29545 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(29611), // Rule ID 52655 //
     /*   29550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   29565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   29569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   29573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   29582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   29586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   29590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29592 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*   29595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29609 */     GIR_RootConstrainSelectedInstOperands,
     /*   29610 */     // GIR_Coverage, 52655,
     /*   29610 */     GIR_EraseRootFromParent_Done,
     /*   29611 */   // Label 958: @29611
     /*   29611 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(29644), // Rule ID 52642 //
     /*   29616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29627 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   29627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*   29630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29642 */     GIR_RootConstrainSelectedInstOperands,
     /*   29643 */     // GIR_Coverage, 52642,
     /*   29643 */     GIR_EraseRootFromParent_Done,
     /*   29644 */   // Label 959: @29644
     /*   29644 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(29677), // Rule ID 52643 //
     /*   29649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29660 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   29660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*   29663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   29675 */     GIR_RootConstrainSelectedInstOperands,
     /*   29676 */     // GIR_Coverage, 52643,
     /*   29676 */     GIR_EraseRootFromParent_Done,
     /*   29677 */   // Label 960: @29677
     /*   29677 */   GIM_Reject,
     /*   29678 */ // Label 950: @29678
     /*   29678 */ GIM_Reject,
     /*   29679 */ // Label 876: @29679
     /*   29679 */ GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(29793),
     /*   29684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   29687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   29690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29702 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(29747), // Rule ID 47134 //
     /*   29707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29710 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   29710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   29713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*   29727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29745 */     GIR_RootConstrainSelectedInstOperands,
     /*   29746 */     // GIR_Coverage, 47134,
     /*   29746 */     GIR_EraseRootFromParent_Done,
     /*   29747 */   // Label 962: @29747
     /*   29747 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(29792), // Rule ID 47135 //
     /*   29752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29755 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   29755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   29758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*   29772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29790 */     GIR_RootConstrainSelectedInstOperands,
     /*   29791 */     // GIR_Coverage, 47135,
     /*   29791 */     GIR_EraseRootFromParent_Done,
     /*   29792 */   // Label 963: @29792
     /*   29792 */   GIM_Reject,
     /*   29793 */ // Label 961: @29793
     /*   29793 */ GIM_Reject,
     /*   29794 */ // Label 877: @29794
     /*   29794 */ GIM_Try, /*On fail goto*//*Label 964*/ GIMT_Encode4(29908),
     /*   29799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   29802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   29805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29817 */   GIM_Try, /*On fail goto*//*Label 965*/ GIMT_Encode4(29862), // Rule ID 47146 //
     /*   29822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29825 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   29825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   29828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   29842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29860 */     GIR_RootConstrainSelectedInstOperands,
     /*   29861 */     // GIR_Coverage, 47146,
     /*   29861 */     GIR_EraseRootFromParent_Done,
     /*   29862 */   // Label 965: @29862
     /*   29862 */   GIM_Try, /*On fail goto*//*Label 966*/ GIMT_Encode4(29907), // Rule ID 47147 //
     /*   29867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29870 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   29870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   29873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   29887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   29902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29905 */     GIR_RootConstrainSelectedInstOperands,
     /*   29906 */     // GIR_Coverage, 47147,
     /*   29906 */     GIR_EraseRootFromParent_Done,
     /*   29907 */   // Label 966: @29907
     /*   29907 */   GIM_Reject,
     /*   29908 */ // Label 964: @29908
     /*   29908 */ GIM_Reject,
     /*   29909 */ // Label 878: @29909
     /*   29909 */ GIM_Try, /*On fail goto*//*Label 967*/ GIMT_Encode4(30023),
     /*   29914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   29917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   29920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29932 */   GIM_Try, /*On fail goto*//*Label 968*/ GIMT_Encode4(29977), // Rule ID 47154 //
     /*   29937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   29940 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   29943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   29957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   29964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29975 */     GIR_RootConstrainSelectedInstOperands,
     /*   29976 */     // GIR_Coverage, 47154,
     /*   29976 */     GIR_EraseRootFromParent_Done,
     /*   29977 */   // Label 968: @29977
     /*   29977 */   GIM_Try, /*On fail goto*//*Label 969*/ GIMT_Encode4(30022), // Rule ID 47155 //
     /*   29982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   29985 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   29988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30020 */     GIR_RootConstrainSelectedInstOperands,
     /*   30021 */     // GIR_Coverage, 47155,
     /*   30021 */     GIR_EraseRootFromParent_Done,
     /*   30022 */   // Label 969: @30022
     /*   30022 */   GIM_Reject,
     /*   30023 */ // Label 967: @30023
     /*   30023 */ GIM_Reject,
     /*   30024 */ // Label 879: @30024
     /*   30024 */ GIM_Try, /*On fail goto*//*Label 970*/ GIMT_Encode4(30138),
     /*   30029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   30032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   30035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30047 */   GIM_Try, /*On fail goto*//*Label 971*/ GIMT_Encode4(30092), // Rule ID 47170 //
     /*   30052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30055 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   30055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   30058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   30072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30090 */     GIR_RootConstrainSelectedInstOperands,
     /*   30091 */     // GIR_Coverage, 47170,
     /*   30091 */     GIR_EraseRootFromParent_Done,
     /*   30092 */   // Label 971: @30092
     /*   30092 */   GIM_Try, /*On fail goto*//*Label 972*/ GIMT_Encode4(30137), // Rule ID 47171 //
     /*   30097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30100 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   30100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   30103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   30117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30135 */     GIR_RootConstrainSelectedInstOperands,
     /*   30136 */     // GIR_Coverage, 47171,
     /*   30136 */     GIR_EraseRootFromParent_Done,
     /*   30137 */   // Label 972: @30137
     /*   30137 */   GIM_Reject,
     /*   30138 */ // Label 970: @30138
     /*   30138 */ GIM_Reject,
     /*   30139 */ // Label 880: @30139
     /*   30139 */ GIM_Try, /*On fail goto*//*Label 973*/ GIMT_Encode4(30749),
     /*   30144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30154 */   GIM_Try, /*On fail goto*//*Label 974*/ GIMT_Encode4(30220), // Rule ID 70165 //
     /*   30159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30174 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30201 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30218 */     GIR_RootConstrainSelectedInstOperands,
     /*   30219 */     // GIR_Coverage, 70165,
     /*   30219 */     GIR_EraseRootFromParent_Done,
     /*   30220 */   // Label 974: @30220
     /*   30220 */   GIM_Try, /*On fail goto*//*Label 975*/ GIMT_Encode4(30286), // Rule ID 70166 //
     /*   30225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30244 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30248 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30252 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30267 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30284 */     GIR_RootConstrainSelectedInstOperands,
     /*   30285 */     // GIR_Coverage, 70166,
     /*   30285 */     GIR_EraseRootFromParent_Done,
     /*   30286 */   // Label 975: @30286
     /*   30286 */   GIM_Try, /*On fail goto*//*Label 976*/ GIMT_Encode4(30352), // Rule ID 70163 //
     /*   30291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30306 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30310 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30333 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30350 */     GIR_RootConstrainSelectedInstOperands,
     /*   30351 */     // GIR_Coverage, 70163,
     /*   30351 */     GIR_EraseRootFromParent_Done,
     /*   30352 */   // Label 976: @30352
     /*   30352 */   GIM_Try, /*On fail goto*//*Label 977*/ GIMT_Encode4(30418), // Rule ID 70164 //
     /*   30357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30372 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30381 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30385 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30389 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30397 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30399 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   30406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30416 */     GIR_RootConstrainSelectedInstOperands,
     /*   30417 */     // GIR_Coverage, 70164,
     /*   30417 */     GIR_EraseRootFromParent_Done,
     /*   30418 */   // Label 977: @30418
     /*   30418 */   GIM_Try, /*On fail goto*//*Label 978*/ GIMT_Encode4(30484), // Rule ID 70161 //
     /*   30423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30465 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30482 */     GIR_RootConstrainSelectedInstOperands,
     /*   30483 */     // GIR_Coverage, 70161,
     /*   30483 */     GIR_EraseRootFromParent_Done,
     /*   30484 */   // Label 978: @30484
     /*   30484 */   GIM_Try, /*On fail goto*//*Label 979*/ GIMT_Encode4(30550), // Rule ID 70162 //
     /*   30489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   30516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30531 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   30542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30548 */     GIR_RootConstrainSelectedInstOperands,
     /*   30549 */     // GIR_Coverage, 70162,
     /*   30549 */     GIR_EraseRootFromParent_Done,
     /*   30550 */   // Label 979: @30550
     /*   30550 */   GIM_Try, /*On fail goto*//*Label 980*/ GIMT_Encode4(30616), // Rule ID 52672 //
     /*   30555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   30595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30597 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30614 */     GIR_RootConstrainSelectedInstOperands,
     /*   30615 */     // GIR_Coverage, 52672,
     /*   30615 */     GIR_EraseRootFromParent_Done,
     /*   30616 */   // Label 980: @30616
     /*   30616 */   GIM_Try, /*On fail goto*//*Label 981*/ GIMT_Encode4(30682), // Rule ID 52673 //
     /*   30621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   30636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   30640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   30644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   30653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   30657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   30661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   30663 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*   30666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   30674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30680 */     GIR_RootConstrainSelectedInstOperands,
     /*   30681 */     // GIR_Coverage, 52673,
     /*   30681 */     GIR_EraseRootFromParent_Done,
     /*   30682 */   // Label 981: @30682
     /*   30682 */   GIM_Try, /*On fail goto*//*Label 982*/ GIMT_Encode4(30715), // Rule ID 52660 //
     /*   30687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30698 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   30698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*   30701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30713 */     GIR_RootConstrainSelectedInstOperands,
     /*   30714 */     // GIR_Coverage, 52660,
     /*   30714 */     GIR_EraseRootFromParent_Done,
     /*   30715 */   // Label 982: @30715
     /*   30715 */   GIM_Try, /*On fail goto*//*Label 983*/ GIMT_Encode4(30748), // Rule ID 52661 //
     /*   30720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30731 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   30731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*   30734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   30746 */     GIR_RootConstrainSelectedInstOperands,
     /*   30747 */     // GIR_Coverage, 52661,
     /*   30747 */     GIR_EraseRootFromParent_Done,
     /*   30748 */   // Label 983: @30748
     /*   30748 */   GIM_Reject,
     /*   30749 */ // Label 973: @30749
     /*   30749 */ GIM_Reject,
     /*   30750 */ // Label 881: @30750
     /*   30750 */ GIM_Try, /*On fail goto*//*Label 984*/ GIMT_Encode4(30864),
     /*   30755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   30758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   30761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30773 */   GIM_Try, /*On fail goto*//*Label 985*/ GIMT_Encode4(30818), // Rule ID 47138 //
     /*   30778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30781 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   30781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   30784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   30798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30816 */     GIR_RootConstrainSelectedInstOperands,
     /*   30817 */     // GIR_Coverage, 47138,
     /*   30817 */     GIR_EraseRootFromParent_Done,
     /*   30818 */   // Label 985: @30818
     /*   30818 */   GIM_Try, /*On fail goto*//*Label 986*/ GIMT_Encode4(30863), // Rule ID 47139 //
     /*   30823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30826 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   30826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   30829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*   30843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30861 */     GIR_RootConstrainSelectedInstOperands,
     /*   30862 */     // GIR_Coverage, 47139,
     /*   30862 */     GIR_EraseRootFromParent_Done,
     /*   30863 */   // Label 986: @30863
     /*   30863 */   GIM_Reject,
     /*   30864 */ // Label 984: @30864
     /*   30864 */ GIM_Reject,
     /*   30865 */ // Label 882: @30865
     /*   30865 */ GIM_Try, /*On fail goto*//*Label 987*/ GIMT_Encode4(30979),
     /*   30870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   30873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   30876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30888 */   GIM_Try, /*On fail goto*//*Label 988*/ GIMT_Encode4(30933), // Rule ID 47150 //
     /*   30893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30896 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   30896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   30899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30931 */     GIR_RootConstrainSelectedInstOperands,
     /*   30932 */     // GIR_Coverage, 47150,
     /*   30932 */     GIR_EraseRootFromParent_Done,
     /*   30933 */   // Label 988: @30933
     /*   30933 */   GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(30978), // Rule ID 47151 //
     /*   30938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   30941 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   30941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   30944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   30958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   30973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30976 */     GIR_RootConstrainSelectedInstOperands,
     /*   30977 */     // GIR_Coverage, 47151,
     /*   30977 */     GIR_EraseRootFromParent_Done,
     /*   30978 */   // Label 989: @30978
     /*   30978 */   GIM_Reject,
     /*   30979 */ // Label 987: @30979
     /*   30979 */ GIM_Reject,
     /*   30980 */ // Label 883: @30980
     /*   30980 */ GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(31094),
     /*   30985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   30991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31003 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(31048), // Rule ID 47166 //
     /*   31008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31011 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   31011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   31014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   31043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31046 */     GIR_RootConstrainSelectedInstOperands,
     /*   31047 */     // GIR_Coverage, 47166,
     /*   31047 */     GIR_EraseRootFromParent_Done,
     /*   31048 */   // Label 991: @31048
     /*   31048 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(31093), // Rule ID 47167 //
     /*   31053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31056 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   31056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   31059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   31088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31091 */     GIR_RootConstrainSelectedInstOperands,
     /*   31092 */     // GIR_Coverage, 47167,
     /*   31092 */     GIR_EraseRootFromParent_Done,
     /*   31093 */   // Label 992: @31093
     /*   31093 */   GIM_Reject,
     /*   31094 */ // Label 990: @31094
     /*   31094 */ GIM_Reject,
     /*   31095 */ // Label 884: @31095
     /*   31095 */ GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(31209),
     /*   31100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   31103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   31106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31114 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   31118 */   GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(31163), // Rule ID 47210 //
     /*   31123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   31126 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   31126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   31143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31161 */     GIR_RootConstrainSelectedInstOperands,
     /*   31162 */     // GIR_Coverage, 47210,
     /*   31162 */     GIR_EraseRootFromParent_Done,
     /*   31163 */   // Label 994: @31163
     /*   31163 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(31208), // Rule ID 47211 //
     /*   31168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   31171 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   31171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   31174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31178 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   31188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31190 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   31203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31206 */     GIR_RootConstrainSelectedInstOperands,
     /*   31207 */     // GIR_Coverage, 47211,
     /*   31207 */     GIR_EraseRootFromParent_Done,
     /*   31208 */   // Label 995: @31208
     /*   31208 */   GIM_Reject,
     /*   31209 */ // Label 993: @31209
     /*   31209 */ GIM_Reject,
     /*   31210 */ // Label 885: @31210
     /*   31210 */ GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(31820),
     /*   31215 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31225 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(31291), // Rule ID 70193 //
     /*   31230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31270 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31272 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31289 */     GIR_RootConstrainSelectedInstOperands,
     /*   31290 */     // GIR_Coverage, 70193,
     /*   31290 */     GIR_EraseRootFromParent_Done,
     /*   31291 */   // Label 997: @31291
     /*   31291 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(31357), // Rule ID 70194 //
     /*   31296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31311 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31338 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31355 */     GIR_RootConstrainSelectedInstOperands,
     /*   31356 */     // GIR_Coverage, 70194,
     /*   31356 */     GIR_EraseRootFromParent_Done,
     /*   31357 */   // Label 998: @31357
     /*   31357 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(31423), // Rule ID 70191 //
     /*   31362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31377 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31404 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31421 */     GIR_RootConstrainSelectedInstOperands,
     /*   31422 */     // GIR_Coverage, 70191,
     /*   31422 */     GIR_EraseRootFromParent_Done,
     /*   31423 */   // Label 999: @31423
     /*   31423 */   GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(31489), // Rule ID 70192 //
     /*   31428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31452 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31456 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31460 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31470 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   31477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31487 */     GIR_RootConstrainSelectedInstOperands,
     /*   31488 */     // GIR_Coverage, 70192,
     /*   31488 */     GIR_EraseRootFromParent_Done,
     /*   31489 */   // Label 1000: @31489
     /*   31489 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(31555), // Rule ID 70189 //
     /*   31494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31513 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31534 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31536 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31553 */     GIR_RootConstrainSelectedInstOperands,
     /*   31554 */     // GIR_Coverage, 70189,
     /*   31554 */     GIR_EraseRootFromParent_Done,
     /*   31555 */   // Label 1001: @31555
     /*   31555 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(31621), // Rule ID 70190 //
     /*   31560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31579 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31595 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31602 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   31613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31619 */     GIR_RootConstrainSelectedInstOperands,
     /*   31620 */     // GIR_Coverage, 70190,
     /*   31620 */     GIR_EraseRootFromParent_Done,
     /*   31621 */   // Label 1002: @31621
     /*   31621 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(31687), // Rule ID 52690 //
     /*   31626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   31666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31668 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31685 */     GIR_RootConstrainSelectedInstOperands,
     /*   31686 */     // GIR_Coverage, 52690,
     /*   31686 */     GIR_EraseRootFromParent_Done,
     /*   31687 */   // Label 1003: @31687
     /*   31687 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(31753), // Rule ID 52691 //
     /*   31692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   31707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   31711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   31715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31720 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   31724 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   31728 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   31732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   31734 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*   31737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   31745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31751 */     GIR_RootConstrainSelectedInstOperands,
     /*   31752 */     // GIR_Coverage, 52691,
     /*   31752 */     GIR_EraseRootFromParent_Done,
     /*   31753 */   // Label 1004: @31753
     /*   31753 */   GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(31786), // Rule ID 52678 //
     /*   31758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31769 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   31769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*   31772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31784 */     GIR_RootConstrainSelectedInstOperands,
     /*   31785 */     // GIR_Coverage, 52678,
     /*   31785 */     GIR_EraseRootFromParent_Done,
     /*   31786 */   // Label 1005: @31786
     /*   31786 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(31819), // Rule ID 52679 //
     /*   31791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31802 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   31802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*   31805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   31817 */     GIR_RootConstrainSelectedInstOperands,
     /*   31818 */     // GIR_Coverage, 52679,
     /*   31818 */     GIR_EraseRootFromParent_Done,
     /*   31819 */   // Label 1006: @31819
     /*   31819 */   GIM_Reject,
     /*   31820 */ // Label 996: @31820
     /*   31820 */ GIM_Reject,
     /*   31821 */ // Label 886: @31821
     /*   31821 */ GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(31935),
     /*   31826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31844 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(31889), // Rule ID 47142 //
     /*   31849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31852 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   31869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31887 */     GIR_RootConstrainSelectedInstOperands,
     /*   31888 */     // GIR_Coverage, 47142,
     /*   31888 */     GIR_EraseRootFromParent_Done,
     /*   31889 */   // Label 1008: @31889
     /*   31889 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(31934), // Rule ID 47143 //
     /*   31894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31897 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*   31914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31932 */     GIR_RootConstrainSelectedInstOperands,
     /*   31933 */     // GIR_Coverage, 47143,
     /*   31933 */     GIR_EraseRootFromParent_Done,
     /*   31934 */   // Label 1009: @31934
     /*   31934 */   GIM_Reject,
     /*   31935 */ // Label 1007: @31935
     /*   31935 */ GIM_Reject,
     /*   31936 */ // Label 887: @31936
     /*   31936 */ GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(32050),
     /*   31941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31959 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(32004), // Rule ID 47162 //
     /*   31964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31967 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   31967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   31970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   31984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   31999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32002 */     GIR_RootConstrainSelectedInstOperands,
     /*   32003 */     // GIR_Coverage, 47162,
     /*   32003 */     GIR_EraseRootFromParent_Done,
     /*   32004 */   // Label 1011: @32004
     /*   32004 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(32049), // Rule ID 47163 //
     /*   32009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32012 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   32012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   32015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   32044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32047 */     GIR_RootConstrainSelectedInstOperands,
     /*   32048 */     // GIR_Coverage, 47163,
     /*   32048 */     GIR_EraseRootFromParent_Done,
     /*   32049 */   // Label 1012: @32049
     /*   32049 */   GIM_Reject,
     /*   32050 */ // Label 1010: @32050
     /*   32050 */ GIM_Reject,
     /*   32051 */ // Label 888: @32051
     /*   32051 */ GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(32165),
     /*   32056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   32059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   32062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   32074 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(32119), // Rule ID 47198 //
     /*   32079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32082 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   32082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   32099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32117 */     GIR_RootConstrainSelectedInstOperands,
     /*   32118 */     // GIR_Coverage, 47198,
     /*   32118 */     GIR_EraseRootFromParent_Done,
     /*   32119 */   // Label 1014: @32119
     /*   32119 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(32164), // Rule ID 47199 //
     /*   32124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32127 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   32127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   32130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   32144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   32159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32162 */     GIR_RootConstrainSelectedInstOperands,
     /*   32163 */     // GIR_Coverage, 47199,
     /*   32163 */     GIR_EraseRootFromParent_Done,
     /*   32164 */   // Label 1015: @32164
     /*   32164 */   GIM_Reject,
     /*   32165 */ // Label 1013: @32165
     /*   32165 */ GIM_Reject,
     /*   32166 */ // Label 889: @32166
     /*   32166 */ GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(32280),
     /*   32171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   32174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   32177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   32189 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(32234), // Rule ID 47214 //
     /*   32194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   32197 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   32197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   32200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   32214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   32229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32232 */     GIR_RootConstrainSelectedInstOperands,
     /*   32233 */     // GIR_Coverage, 47214,
     /*   32233 */     GIR_EraseRootFromParent_Done,
     /*   32234 */   // Label 1017: @32234
     /*   32234 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(32279), // Rule ID 47215 //
     /*   32239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   32242 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   32242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   32245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   32259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   32274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32277 */     GIR_RootConstrainSelectedInstOperands,
     /*   32278 */     // GIR_Coverage, 47215,
     /*   32278 */     GIR_EraseRootFromParent_Done,
     /*   32279 */   // Label 1018: @32279
     /*   32279 */   GIM_Reject,
     /*   32280 */ // Label 1016: @32280
     /*   32280 */ GIM_Reject,
     /*   32281 */ // Label 890: @32281
     /*   32281 */ GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(32891),
     /*   32286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32296 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(32362), // Rule ID 70221 //
     /*   32301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32343 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32360 */     GIR_RootConstrainSelectedInstOperands,
     /*   32361 */     // GIR_Coverage, 70221,
     /*   32361 */     GIR_EraseRootFromParent_Done,
     /*   32362 */   // Label 1020: @32362
     /*   32362 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(32428), // Rule ID 70222 //
     /*   32367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32409 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32426 */     GIR_RootConstrainSelectedInstOperands,
     /*   32427 */     // GIR_Coverage, 70222,
     /*   32427 */     GIR_EraseRootFromParent_Done,
     /*   32428 */   // Label 1021: @32428
     /*   32428 */   GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(32494), // Rule ID 70219 //
     /*   32433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32475 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32492 */     GIR_RootConstrainSelectedInstOperands,
     /*   32493 */     // GIR_Coverage, 70219,
     /*   32493 */     GIR_EraseRootFromParent_Done,
     /*   32494 */   // Label 1022: @32494
     /*   32494 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(32560), // Rule ID 70220 //
     /*   32499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32514 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32518 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32523 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32527 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32531 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32541 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   32548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32558 */     GIR_RootConstrainSelectedInstOperands,
     /*   32559 */     // GIR_Coverage, 70220,
     /*   32559 */     GIR_EraseRootFromParent_Done,
     /*   32560 */   // Label 1023: @32560
     /*   32560 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(32626), // Rule ID 70217 //
     /*   32565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32588 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32592 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32596 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32607 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32624 */     GIR_RootConstrainSelectedInstOperands,
     /*   32625 */     // GIR_Coverage, 70217,
     /*   32625 */     GIR_EraseRootFromParent_Done,
     /*   32626 */   // Label 1024: @32626
     /*   32626 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(32692), // Rule ID 70218 //
     /*   32631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32673 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   32684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32690 */     GIR_RootConstrainSelectedInstOperands,
     /*   32691 */     // GIR_Coverage, 70218,
     /*   32691 */     GIR_EraseRootFromParent_Done,
     /*   32692 */   // Label 1025: @32692
     /*   32692 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(32758), // Rule ID 52708 //
     /*   32697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32716 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32720 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   32737 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32739 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32756 */     GIR_RootConstrainSelectedInstOperands,
     /*   32757 */     // GIR_Coverage, 52708,
     /*   32757 */     GIR_EraseRootFromParent_Done,
     /*   32758 */   // Label 1026: @32758
     /*   32758 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(32824), // Rule ID 52709 //
     /*   32763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   32778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   32782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   32786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   32795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   32799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   32803 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32805 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*   32808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32822 */     GIR_RootConstrainSelectedInstOperands,
     /*   32823 */     // GIR_Coverage, 52709,
     /*   32823 */     GIR_EraseRootFromParent_Done,
     /*   32824 */   // Label 1027: @32824
     /*   32824 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(32857), // Rule ID 52696 //
     /*   32829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32840 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   32840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*   32843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32855 */     GIR_RootConstrainSelectedInstOperands,
     /*   32856 */     // GIR_Coverage, 52696,
     /*   32856 */     GIR_EraseRootFromParent_Done,
     /*   32857 */   // Label 1028: @32857
     /*   32857 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(32890), // Rule ID 52697 //
     /*   32862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32873 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   32873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*   32876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   32888 */     GIR_RootConstrainSelectedInstOperands,
     /*   32889 */     // GIR_Coverage, 52697,
     /*   32889 */     GIR_EraseRootFromParent_Done,
     /*   32890 */   // Label 1029: @32890
     /*   32890 */   GIM_Reject,
     /*   32891 */ // Label 1019: @32891
     /*   32891 */ GIM_Reject,
     /*   32892 */ // Label 891: @32892
     /*   32892 */ GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(33006),
     /*   32897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   32900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   32903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32915 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(32960), // Rule ID 47158 //
     /*   32920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32923 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   32923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   32926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32958 */     GIR_RootConstrainSelectedInstOperands,
     /*   32959 */     // GIR_Coverage, 47158,
     /*   32959 */     GIR_EraseRootFromParent_Done,
     /*   32960 */   // Label 1031: @32960
     /*   32960 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(33005), // Rule ID 47159 //
     /*   32965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32968 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   32968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   32971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*   32985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   32992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   32994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33003 */     GIR_RootConstrainSelectedInstOperands,
     /*   33004 */     // GIR_Coverage, 47159,
     /*   33004 */     GIR_EraseRootFromParent_Done,
     /*   33005 */   // Label 1032: @33005
     /*   33005 */   GIM_Reject,
     /*   33006 */ // Label 1030: @33006
     /*   33006 */ GIM_Reject,
     /*   33007 */ // Label 892: @33007
     /*   33007 */ GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(33121),
     /*   33012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   33015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   33018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33030 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(33075), // Rule ID 47186 //
     /*   33035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33038 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   33038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   33041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   33055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33073 */     GIR_RootConstrainSelectedInstOperands,
     /*   33074 */     // GIR_Coverage, 47186,
     /*   33074 */     GIR_EraseRootFromParent_Done,
     /*   33075 */   // Label 1034: @33075
     /*   33075 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(33120), // Rule ID 47187 //
     /*   33080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33083 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   33083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   33086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   33100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33118 */     GIR_RootConstrainSelectedInstOperands,
     /*   33119 */     // GIR_Coverage, 47187,
     /*   33119 */     GIR_EraseRootFromParent_Done,
     /*   33120 */   // Label 1035: @33120
     /*   33120 */   GIM_Reject,
     /*   33121 */ // Label 1033: @33121
     /*   33121 */ GIM_Reject,
     /*   33122 */ // Label 893: @33122
     /*   33122 */ GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(33236),
     /*   33127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   33130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   33133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   33145 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(33190), // Rule ID 47202 //
     /*   33150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33153 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   33153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   33156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   33170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33188 */     GIR_RootConstrainSelectedInstOperands,
     /*   33189 */     // GIR_Coverage, 47202,
     /*   33189 */     GIR_EraseRootFromParent_Done,
     /*   33190 */   // Label 1037: @33190
     /*   33190 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(33235), // Rule ID 47203 //
     /*   33195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33198 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   33198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   33201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   33215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   33230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33233 */     GIR_RootConstrainSelectedInstOperands,
     /*   33234 */     // GIR_Coverage, 47203,
     /*   33234 */     GIR_EraseRootFromParent_Done,
     /*   33235 */   // Label 1038: @33235
     /*   33235 */   GIM_Reject,
     /*   33236 */ // Label 1036: @33236
     /*   33236 */ GIM_Reject,
     /*   33237 */ // Label 894: @33237
     /*   33237 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(33351),
     /*   33242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   33245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   33248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   33260 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(33305), // Rule ID 47218 //
     /*   33265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   33268 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   33268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   33271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   33285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   33300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33303 */     GIR_RootConstrainSelectedInstOperands,
     /*   33304 */     // GIR_Coverage, 47218,
     /*   33304 */     GIR_EraseRootFromParent_Done,
     /*   33305 */   // Label 1040: @33305
     /*   33305 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(33350), // Rule ID 47219 //
     /*   33310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   33313 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   33313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   33316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   33330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   33345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33348 */     GIR_RootConstrainSelectedInstOperands,
     /*   33349 */     // GIR_Coverage, 47219,
     /*   33349 */     GIR_EraseRootFromParent_Done,
     /*   33350 */   // Label 1041: @33350
     /*   33350 */   GIM_Reject,
     /*   33351 */ // Label 1039: @33351
     /*   33351 */ GIM_Reject,
     /*   33352 */ // Label 895: @33352
     /*   33352 */ GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(33962),
     /*   33357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33367 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(33433), // Rule ID 70249 //
     /*   33372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33383 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33387 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33414 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33431 */     GIR_RootConstrainSelectedInstOperands,
     /*   33432 */     // GIR_Coverage, 70249,
     /*   33432 */     GIR_EraseRootFromParent_Done,
     /*   33433 */   // Label 1043: @33433
     /*   33433 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(33499), // Rule ID 70250 //
     /*   33438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33480 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33497 */     GIR_RootConstrainSelectedInstOperands,
     /*   33498 */     // GIR_Coverage, 70250,
     /*   33498 */     GIR_EraseRootFromParent_Done,
     /*   33499 */   // Label 1044: @33499
     /*   33499 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(33565), // Rule ID 70247 //
     /*   33504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33519 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33546 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33563 */     GIR_RootConstrainSelectedInstOperands,
     /*   33564 */     // GIR_Coverage, 70247,
     /*   33564 */     GIR_EraseRootFromParent_Done,
     /*   33565 */   // Label 1045: @33565
     /*   33565 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(33631), // Rule ID 70248 //
     /*   33570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33610 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33612 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   33619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33629 */     GIR_RootConstrainSelectedInstOperands,
     /*   33630 */     // GIR_Coverage, 70248,
     /*   33630 */     GIR_EraseRootFromParent_Done,
     /*   33631 */   // Label 1046: @33631
     /*   33631 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(33697), // Rule ID 70245 //
     /*   33636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33676 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33678 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33695 */     GIR_RootConstrainSelectedInstOperands,
     /*   33696 */     // GIR_Coverage, 70245,
     /*   33696 */     GIR_EraseRootFromParent_Done,
     /*   33697 */   // Label 1047: @33697
     /*   33697 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(33763), // Rule ID 70246 //
     /*   33702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   33729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33744 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   33755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33761 */     GIR_RootConstrainSelectedInstOperands,
     /*   33762 */     // GIR_Coverage, 70246,
     /*   33762 */     GIR_EraseRootFromParent_Done,
     /*   33763 */   // Label 1048: @33763
     /*   33763 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(33829), // Rule ID 52726 //
     /*   33768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   33808 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33810 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33827 */     GIR_RootConstrainSelectedInstOperands,
     /*   33828 */     // GIR_Coverage, 52726,
     /*   33828 */     GIR_EraseRootFromParent_Done,
     /*   33829 */   // Label 1049: @33829
     /*   33829 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(33895), // Rule ID 52727 //
     /*   33834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   33849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   33853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   33857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   33866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   33870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   33874 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33876 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*   33879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33893 */     GIR_RootConstrainSelectedInstOperands,
     /*   33894 */     // GIR_Coverage, 52727,
     /*   33894 */     GIR_EraseRootFromParent_Done,
     /*   33895 */   // Label 1050: @33895
     /*   33895 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(33928), // Rule ID 52714 //
     /*   33900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33911 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   33911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*   33914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33926 */     GIR_RootConstrainSelectedInstOperands,
     /*   33927 */     // GIR_Coverage, 52714,
     /*   33927 */     GIR_EraseRootFromParent_Done,
     /*   33928 */   // Label 1051: @33928
     /*   33928 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(33961), // Rule ID 52715 //
     /*   33933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33944 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   33944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*   33947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   33951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   33959 */     GIR_RootConstrainSelectedInstOperands,
     /*   33960 */     // GIR_Coverage, 52715,
     /*   33960 */     GIR_EraseRootFromParent_Done,
     /*   33961 */   // Label 1052: @33961
     /*   33961 */   GIM_Reject,
     /*   33962 */ // Label 1042: @33962
     /*   33962 */ GIM_Reject,
     /*   33963 */ // Label 896: @33963
     /*   33963 */ GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(34077),
     /*   33968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   33971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   33974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   33986 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(34031), // Rule ID 47174 //
     /*   33991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33994 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   33997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   34011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34029 */     GIR_RootConstrainSelectedInstOperands,
     /*   34030 */     // GIR_Coverage, 47174,
     /*   34030 */     GIR_EraseRootFromParent_Done,
     /*   34031 */   // Label 1054: @34031
     /*   34031 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(34076), // Rule ID 47175 //
     /*   34036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34039 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   34039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   34042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*   34056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34074 */     GIR_RootConstrainSelectedInstOperands,
     /*   34075 */     // GIR_Coverage, 47175,
     /*   34075 */     GIR_EraseRootFromParent_Done,
     /*   34076 */   // Label 1055: @34076
     /*   34076 */   GIM_Reject,
     /*   34077 */ // Label 1053: @34077
     /*   34077 */ GIM_Reject,
     /*   34078 */ // Label 897: @34078
     /*   34078 */ GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(34192),
     /*   34083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   34086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   34089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34101 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(34146), // Rule ID 47190 //
     /*   34106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34109 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   34112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34144 */     GIR_RootConstrainSelectedInstOperands,
     /*   34145 */     // GIR_Coverage, 47190,
     /*   34145 */     GIR_EraseRootFromParent_Done,
     /*   34146 */   // Label 1057: @34146
     /*   34146 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(34191), // Rule ID 47191 //
     /*   34151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34154 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   34157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34189 */     GIR_RootConstrainSelectedInstOperands,
     /*   34190 */     // GIR_Coverage, 47191,
     /*   34190 */     GIR_EraseRootFromParent_Done,
     /*   34191 */   // Label 1058: @34191
     /*   34191 */   GIM_Reject,
     /*   34192 */ // Label 1056: @34192
     /*   34192 */ GIM_Reject,
     /*   34193 */ // Label 898: @34193
     /*   34193 */ GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(34307),
     /*   34198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   34201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   34204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   34216 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(34261), // Rule ID 47206 //
     /*   34221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34224 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   34224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   34227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   34241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34259 */     GIR_RootConstrainSelectedInstOperands,
     /*   34260 */     // GIR_Coverage, 47206,
     /*   34260 */     GIR_EraseRootFromParent_Done,
     /*   34261 */   // Label 1060: @34261
     /*   34261 */   GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(34306), // Rule ID 47207 //
     /*   34266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34269 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   34269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   34272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   34286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   34301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34304 */     GIR_RootConstrainSelectedInstOperands,
     /*   34305 */     // GIR_Coverage, 47207,
     /*   34305 */     GIR_EraseRootFromParent_Done,
     /*   34306 */   // Label 1061: @34306
     /*   34306 */   GIM_Reject,
     /*   34307 */ // Label 1059: @34307
     /*   34307 */ GIM_Reject,
     /*   34308 */ // Label 899: @34308
     /*   34308 */ GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(34918),
     /*   34313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34323 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(34389), // Rule ID 70277 //
     /*   34328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34370 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34387 */     GIR_RootConstrainSelectedInstOperands,
     /*   34388 */     // GIR_Coverage, 70277,
     /*   34388 */     GIR_EraseRootFromParent_Done,
     /*   34389 */   // Label 1063: @34389
     /*   34389 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(34455), // Rule ID 70278 //
     /*   34394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34436 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34453 */     GIR_RootConstrainSelectedInstOperands,
     /*   34454 */     // GIR_Coverage, 70278,
     /*   34454 */     GIR_EraseRootFromParent_Done,
     /*   34455 */   // Label 1064: @34455
     /*   34455 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(34521), // Rule ID 70275 //
     /*   34460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34502 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34519 */     GIR_RootConstrainSelectedInstOperands,
     /*   34520 */     // GIR_Coverage, 70275,
     /*   34520 */     GIR_EraseRootFromParent_Done,
     /*   34521 */   // Label 1065: @34521
     /*   34521 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(34587), // Rule ID 70276 //
     /*   34526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34568 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   34575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34585 */     GIR_RootConstrainSelectedInstOperands,
     /*   34586 */     // GIR_Coverage, 70276,
     /*   34586 */     GIR_EraseRootFromParent_Done,
     /*   34587 */   // Label 1066: @34587
     /*   34587 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(34653), // Rule ID 70273 //
     /*   34592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34623 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34634 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34651 */     GIR_RootConstrainSelectedInstOperands,
     /*   34652 */     // GIR_Coverage, 70273,
     /*   34652 */     GIR_EraseRootFromParent_Done,
     /*   34653 */   // Label 1067: @34653
     /*   34653 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(34719), // Rule ID 70274 //
     /*   34658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34700 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   34711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34717 */     GIR_RootConstrainSelectedInstOperands,
     /*   34718 */     // GIR_Coverage, 70274,
     /*   34718 */     GIR_EraseRootFromParent_Done,
     /*   34719 */   // Label 1068: @34719
     /*   34719 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(34785), // Rule ID 52744 //
     /*   34724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34743 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   34764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34766 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34783 */     GIR_RootConstrainSelectedInstOperands,
     /*   34784 */     // GIR_Coverage, 52744,
     /*   34784 */     GIR_EraseRootFromParent_Done,
     /*   34785 */   // Label 1069: @34785
     /*   34785 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(34851), // Rule ID 52745 //
     /*   34790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   34805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   34809 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   34813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   34822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   34826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   34830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   34832 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*   34835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   34843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34849 */     GIR_RootConstrainSelectedInstOperands,
     /*   34850 */     // GIR_Coverage, 52745,
     /*   34850 */     GIR_EraseRootFromParent_Done,
     /*   34851 */   // Label 1070: @34851
     /*   34851 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(34884), // Rule ID 52732 //
     /*   34856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34867 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   34867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*   34870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34882 */     GIR_RootConstrainSelectedInstOperands,
     /*   34883 */     // GIR_Coverage, 52732,
     /*   34883 */     GIR_EraseRootFromParent_Done,
     /*   34884 */   // Label 1071: @34884
     /*   34884 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(34917), // Rule ID 52733 //
     /*   34889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34900 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   34900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*   34903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   34915 */     GIR_RootConstrainSelectedInstOperands,
     /*   34916 */     // GIR_Coverage, 52733,
     /*   34916 */     GIR_EraseRootFromParent_Done,
     /*   34917 */   // Label 1072: @34917
     /*   34917 */   GIM_Reject,
     /*   34918 */ // Label 1062: @34918
     /*   34918 */ GIM_Reject,
     /*   34919 */ // Label 900: @34919
     /*   34919 */ GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(35033),
     /*   34924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   34927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   34930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34938 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   34942 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(34987), // Rule ID 47178 //
     /*   34947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34950 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   34950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   34953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   34967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34985 */     GIR_RootConstrainSelectedInstOperands,
     /*   34986 */     // GIR_Coverage, 47178,
     /*   34986 */     GIR_EraseRootFromParent_Done,
     /*   34987 */   // Label 1074: @34987
     /*   34987 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(35032), // Rule ID 47179 //
     /*   34992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34995 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   34995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   34998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*   35012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35030 */     GIR_RootConstrainSelectedInstOperands,
     /*   35031 */     // GIR_Coverage, 47179,
     /*   35031 */     GIR_EraseRootFromParent_Done,
     /*   35032 */   // Label 1075: @35032
     /*   35032 */   GIM_Reject,
     /*   35033 */ // Label 1073: @35033
     /*   35033 */ GIM_Reject,
     /*   35034 */ // Label 901: @35034
     /*   35034 */ GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(35148),
     /*   35039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   35042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   35045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35057 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(35102), // Rule ID 47194 //
     /*   35062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35065 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   35065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   35068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35100 */     GIR_RootConstrainSelectedInstOperands,
     /*   35101 */     // GIR_Coverage, 47194,
     /*   35101 */     GIR_EraseRootFromParent_Done,
     /*   35102 */   // Label 1077: @35102
     /*   35102 */   GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(35147), // Rule ID 47195 //
     /*   35107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35110 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   35110 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   35113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35117 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35129 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35145 */     GIR_RootConstrainSelectedInstOperands,
     /*   35146 */     // GIR_Coverage, 47195,
     /*   35146 */     GIR_EraseRootFromParent_Done,
     /*   35147 */   // Label 1078: @35147
     /*   35147 */   GIM_Reject,
     /*   35148 */ // Label 1076: @35148
     /*   35148 */ GIM_Reject,
     /*   35149 */ // Label 902: @35149
     /*   35149 */ GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(35759),
     /*   35154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35164 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(35230), // Rule ID 70305 //
     /*   35169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35184 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35188 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35192 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35196 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35211 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35228 */     GIR_RootConstrainSelectedInstOperands,
     /*   35229 */     // GIR_Coverage, 70305,
     /*   35229 */     GIR_EraseRootFromParent_Done,
     /*   35230 */   // Label 1080: @35230
     /*   35230 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(35296), // Rule ID 70306 //
     /*   35235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35254 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35258 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35262 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35277 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35294 */     GIR_RootConstrainSelectedInstOperands,
     /*   35295 */     // GIR_Coverage, 70306,
     /*   35295 */     GIR_EraseRootFromParent_Done,
     /*   35296 */   // Label 1081: @35296
     /*   35296 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(35362), // Rule ID 70303 //
     /*   35301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35316 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35343 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35360 */     GIR_RootConstrainSelectedInstOperands,
     /*   35361 */     // GIR_Coverage, 70303,
     /*   35361 */     GIR_EraseRootFromParent_Done,
     /*   35362 */   // Label 1082: @35362
     /*   35362 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(35428), // Rule ID 70304 //
     /*   35367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35409 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   35416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35426 */     GIR_RootConstrainSelectedInstOperands,
     /*   35427 */     // GIR_Coverage, 70304,
     /*   35427 */     GIR_EraseRootFromParent_Done,
     /*   35428 */   // Label 1083: @35428
     /*   35428 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(35494), // Rule ID 70301 //
     /*   35433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35473 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35475 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35492 */     GIR_RootConstrainSelectedInstOperands,
     /*   35493 */     // GIR_Coverage, 70301,
     /*   35493 */     GIR_EraseRootFromParent_Done,
     /*   35494 */   // Label 1084: @35494
     /*   35494 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(35560), // Rule ID 70302 //
     /*   35499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35534 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35541 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   35552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35558 */     GIR_RootConstrainSelectedInstOperands,
     /*   35559 */     // GIR_Coverage, 70302,
     /*   35559 */     GIR_EraseRootFromParent_Done,
     /*   35560 */   // Label 1085: @35560
     /*   35560 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(35626), // Rule ID 52762 //
     /*   35565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35601 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   35605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35607 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35624 */     GIR_RootConstrainSelectedInstOperands,
     /*   35625 */     // GIR_Coverage, 52762,
     /*   35625 */     GIR_EraseRootFromParent_Done,
     /*   35626 */   // Label 1086: @35626
     /*   35626 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(35692), // Rule ID 52763 //
     /*   35631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   35646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   35650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   35654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35659 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   35663 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   35667 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   35671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   35673 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*   35676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   35684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35690 */     GIR_RootConstrainSelectedInstOperands,
     /*   35691 */     // GIR_Coverage, 52763,
     /*   35691 */     GIR_EraseRootFromParent_Done,
     /*   35692 */   // Label 1087: @35692
     /*   35692 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(35725), // Rule ID 52750 //
     /*   35697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35708 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   35708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*   35711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35723 */     GIR_RootConstrainSelectedInstOperands,
     /*   35724 */     // GIR_Coverage, 52750,
     /*   35724 */     GIR_EraseRootFromParent_Done,
     /*   35725 */   // Label 1088: @35725
     /*   35725 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(35758), // Rule ID 52751 //
     /*   35730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35741 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   35741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*   35744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   35756 */     GIR_RootConstrainSelectedInstOperands,
     /*   35757 */     // GIR_Coverage, 52751,
     /*   35757 */     GIR_EraseRootFromParent_Done,
     /*   35758 */   // Label 1089: @35758
     /*   35758 */   GIM_Reject,
     /*   35759 */ // Label 1079: @35759
     /*   35759 */ GIM_Reject,
     /*   35760 */ // Label 903: @35760
     /*   35760 */ GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(35874),
     /*   35765 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   35768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   35771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35779 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   35783 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(35828), // Rule ID 47182 //
     /*   35788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35791 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   35791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   35794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35826 */     GIR_RootConstrainSelectedInstOperands,
     /*   35827 */     // GIR_Coverage, 47182,
     /*   35827 */     GIR_EraseRootFromParent_Done,
     /*   35828 */   // Label 1091: @35828
     /*   35828 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(35873), // Rule ID 47183 //
     /*   35833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35836 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   35836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   35839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   35843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   35848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   35850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*   35853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   35858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   35860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   35862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   35871 */     GIR_RootConstrainSelectedInstOperands,
     /*   35872 */     // GIR_Coverage, 47183,
     /*   35872 */     GIR_EraseRootFromParent_Done,
     /*   35873 */   // Label 1092: @35873
     /*   35873 */   GIM_Reject,
     /*   35874 */ // Label 1090: @35874
     /*   35874 */ GIM_Reject,
     /*   35875 */ // Label 904: @35875
     /*   35875 */ GIM_Reject,
     /*   35876 */ // Label 8: @35876
     /*   35876 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1124*/ GIMT_Encode4(48412),
     /*   35887 */ /*GILLT_s32*//*Label 1093*/ GIMT_Encode4(36011),
     /*   35891 */ /*GILLT_s64*//*Label 1094*/ GIMT_Encode4(38657),
     /*   35895 */ /*GILLT_nxv1s1*//*Label 1095*/ GIMT_Encode4(41605),
     /*   35899 */ /*GILLT_nxv1s8*//*Label 1096*/ GIMT_Encode4(42216),
     /*   35903 */ /*GILLT_nxv1s16*//*Label 1097*/ GIMT_Encode4(42331),
     /*   35907 */ /*GILLT_nxv1s32*//*Label 1098*/ GIMT_Encode4(42446),
     /*   35911 */ /*GILLT_nxv1s64*//*Label 1099*/ GIMT_Encode4(42561),
     /*   35915 */ /*GILLT_nxv2s1*//*Label 1100*/ GIMT_Encode4(42676),
     /*   35919 */ /*GILLT_nxv2s8*//*Label 1101*/ GIMT_Encode4(43287),
     /*   35923 */ /*GILLT_nxv2s16*//*Label 1102*/ GIMT_Encode4(43402),
     /*   35927 */ /*GILLT_nxv2s32*//*Label 1103*/ GIMT_Encode4(43517),
     /*   35931 */ /*GILLT_nxv2s64*//*Label 1104*/ GIMT_Encode4(43632),
     /*   35935 */ /*GILLT_nxv4s1*//*Label 1105*/ GIMT_Encode4(43747),
     /*   35939 */ /*GILLT_nxv4s8*//*Label 1106*/ GIMT_Encode4(44358),
     /*   35943 */ /*GILLT_nxv4s16*//*Label 1107*/ GIMT_Encode4(44473),
     /*   35947 */ /*GILLT_nxv4s32*//*Label 1108*/ GIMT_Encode4(44588),
     /*   35951 */ /*GILLT_nxv4s64*//*Label 1109*/ GIMT_Encode4(44703),
     /*   35955 */ /*GILLT_nxv8s1*//*Label 1110*/ GIMT_Encode4(44818),
     /*   35959 */ /*GILLT_nxv8s8*//*Label 1111*/ GIMT_Encode4(45429),
     /*   35963 */ /*GILLT_nxv8s16*//*Label 1112*/ GIMT_Encode4(45544),
     /*   35967 */ /*GILLT_nxv8s32*//*Label 1113*/ GIMT_Encode4(45659),
     /*   35971 */ /*GILLT_nxv8s64*//*Label 1114*/ GIMT_Encode4(45774),
     /*   35975 */ /*GILLT_nxv16s1*//*Label 1115*/ GIMT_Encode4(45889),
     /*   35979 */ /*GILLT_nxv16s8*//*Label 1116*/ GIMT_Encode4(46500),
     /*   35983 */ /*GILLT_nxv16s16*//*Label 1117*/ GIMT_Encode4(46615),
     /*   35987 */ /*GILLT_nxv16s32*//*Label 1118*/ GIMT_Encode4(46730),
     /*   35991 */ /*GILLT_nxv32s1*//*Label 1119*/ GIMT_Encode4(46845),
     /*   35995 */ /*GILLT_nxv32s8*//*Label 1120*/ GIMT_Encode4(47456),
     /*   35999 */ /*GILLT_nxv32s16*//*Label 1121*/ GIMT_Encode4(47571),
     /*   36003 */ /*GILLT_nxv64s1*//*Label 1122*/ GIMT_Encode4(47686),
     /*   36007 */ /*GILLT_nxv64s8*//*Label 1123*/ GIMT_Encode4(48297),
     /*   36011 */ // Label 1093: @36011
     /*   36011 */ GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(38656),
     /*   36016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   36019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   36022 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(36217), // Rule ID 64115 //
     /*   36027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   36054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36062 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36066 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36082 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36086 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36090 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36094 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36098 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36102 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   36106 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36110 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36114 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36118 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36122 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   36126 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36128 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36135 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36142 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36149 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36156 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36156 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36159 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36163 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   36173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   36178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   36197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   36202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36215 */     GIR_RootConstrainSelectedInstOperands,
     /*   36216 */     // GIR_Coverage, 64115,
     /*   36216 */     GIR_EraseRootFromParent_Done,
     /*   36217 */   // Label 1126: @36217
     /*   36217 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(36412), // Rule ID 64117 //
     /*   36222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36241 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36245 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   36249 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36253 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36257 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36261 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36265 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36269 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36273 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36277 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36281 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36285 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36289 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36293 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36297 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   36301 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36305 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36309 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36313 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36317 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   36321 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36323 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36330 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36337 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36344 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36351 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36351 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36354 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36358 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   36368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   36373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   36392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   36397 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36404 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36410 */     GIR_RootConstrainSelectedInstOperands,
     /*   36411 */     // GIR_Coverage, 64117,
     /*   36411 */     GIR_EraseRootFromParent_Done,
     /*   36412 */   // Label 1127: @36412
     /*   36412 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(36607), // Rule ID 64111 //
     /*   36417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36452 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36456 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36460 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36464 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36468 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36472 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36476 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36480 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36484 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36488 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36492 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   36496 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36500 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36504 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36508 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36512 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   36516 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36518 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36525 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36532 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36539 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36546 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36546 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36549 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36553 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   36563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   36568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   36587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   36592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36605 */     GIR_RootConstrainSelectedInstOperands,
     /*   36606 */     // GIR_Coverage, 64111,
     /*   36606 */     GIR_EraseRootFromParent_Done,
     /*   36607 */   // Label 1128: @36607
     /*   36607 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(36802), // Rule ID 64113 //
     /*   36612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36631 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36647 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36651 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   36655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   36659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36667 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36671 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   36675 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36679 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36683 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36687 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   36691 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   36695 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36699 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36703 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36707 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   36711 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36713 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36720 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36727 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36734 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36741 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36741 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36744 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36748 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   36758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   36763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   36782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   36787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36800 */     GIR_RootConstrainSelectedInstOperands,
     /*   36801 */     // GIR_Coverage, 64113,
     /*   36801 */     GIR_EraseRootFromParent_Done,
     /*   36802 */   // Label 1129: @36802
     /*   36802 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(36997), // Rule ID 64105 //
     /*   36807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   36810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   36814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   36826 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   36830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   36834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   36842 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   36846 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   36850 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   36854 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36858 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   36862 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   36866 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   36870 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   36874 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   36878 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   36882 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   36886 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   36890 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   36894 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   36898 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   36902 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   36906 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   36908 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   36915 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   36922 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   36929 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   36936 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   36936 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   36939 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36943 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   36953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   36958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   36960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   36963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   36967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   36977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   36982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   36987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   36995 */     GIR_RootConstrainSelectedInstOperands,
     /*   36996 */     // GIR_Coverage, 64105,
     /*   36996 */     GIR_EraseRootFromParent_Done,
     /*   36997 */   // Label 1130: @36997
     /*   36997 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(37192), // Rule ID 64109 //
     /*   37002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37021 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37025 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37029 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37033 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37037 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37041 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37045 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37049 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37053 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37057 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37061 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   37065 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37069 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37073 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37077 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37081 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   37085 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37089 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37093 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37097 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37101 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37103 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37110 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37117 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37124 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37131 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37131 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37134 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37138 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   37148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   37153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   37172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   37177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37190 */     GIR_RootConstrainSelectedInstOperands,
     /*   37191 */     // GIR_Coverage, 64109,
     /*   37191 */     GIR_EraseRootFromParent_Done,
     /*   37192 */   // Label 1131: @37192
     /*   37192 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(37387), // Rule ID 2409 //
     /*   37197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37232 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37236 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   37240 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37244 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37248 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37252 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37256 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   37260 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37264 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37268 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37272 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37276 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   37280 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37284 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37288 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37292 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37296 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37298 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37305 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37312 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37319 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37326 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37326 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37329 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37333 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   37343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   37348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   37367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   37372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37385 */     GIR_RootConstrainSelectedInstOperands,
     /*   37386 */     // GIR_Coverage, 2409,
     /*   37386 */     GIR_EraseRootFromParent_Done,
     /*   37387 */   // Label 1132: @37387
     /*   37387 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(37582), // Rule ID 64107 //
     /*   37392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   37395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37427 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37431 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37435 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37439 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37443 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*   37447 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*   37451 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   37455 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   37459 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   37463 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*   37467 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*   37471 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   37475 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37479 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*   37483 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*   37487 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   37491 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   37493 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37500 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37507 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   37514 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   37521 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*   37521 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*   37524 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37528 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   37538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   37543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   37545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   37562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   37567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   37572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   37580 */     GIR_RootConstrainSelectedInstOperands,
     /*   37581 */     // GIR_Coverage, 64107,
     /*   37581 */     GIR_EraseRootFromParent_Done,
     /*   37582 */   // Label 1133: @37582
     /*   37582 */   GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(37687), // Rule ID 2404 //
     /*   37587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37606 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37610 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*   37614 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   37618 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37622 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37626 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37630 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   37634 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37636 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37643 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37650 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*   37650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   37667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   37672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   37677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   37685 */     GIR_RootConstrainSelectedInstOperands,
     /*   37686 */     // GIR_Coverage, 2404,
     /*   37686 */     GIR_EraseRootFromParent_Done,
     /*   37687 */   // Label 1134: @37687
     /*   37687 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(37792), // Rule ID 64100 //
     /*   37692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37715 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   37719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   37723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37731 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37735 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   37739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37741 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37748 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   37755 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*   37755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   37758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   37777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   37782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   37790 */     GIR_RootConstrainSelectedInstOperands,
     /*   37791 */     // GIR_Coverage, 64100,
     /*   37791 */     GIR_EraseRootFromParent_Done,
     /*   37792 */   // Label 1135: @37792
     /*   37792 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(37881), // Rule ID 64094 //
     /*   37797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   37812 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37816 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37832 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37836 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37841 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   37845 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   37856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37865 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   37865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37879 */     GIR_RootConstrainSelectedInstOperands,
     /*   37880 */     // GIR_Coverage, 64094,
     /*   37880 */     GIR_EraseRootFromParent_Done,
     /*   37881 */   // Label 1136: @37881
     /*   37881 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(37970), // Rule ID 2398 //
     /*   37886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   37901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37905 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   37921 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*   37925 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37930 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   37934 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   37945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   37947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   37954 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   37954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   37957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   37964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   37968 */     GIR_RootConstrainSelectedInstOperands,
     /*   37969 */     // GIR_Coverage, 2398,
     /*   37969 */     GIR_EraseRootFromParent_Done,
     /*   37970 */   // Label 1137: @37970
     /*   37970 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(38035), // Rule ID 64096 //
     /*   37975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   37978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   37982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   37990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   37994 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   37998 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38011 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38018 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   38033 */     GIR_RootConstrainSelectedInstOperands,
     /*   38034 */     // GIR_Coverage, 64096,
     /*   38034 */     GIR_EraseRootFromParent_Done,
     /*   38035 */   // Label 1138: @38035
     /*   38035 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(38100), // Rule ID 2400 //
     /*   38040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38059 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38063 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38076 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38083 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   38093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38098 */     GIR_RootConstrainSelectedInstOperands,
     /*   38099 */     // GIR_Coverage, 2400,
     /*   38099 */     GIR_EraseRootFromParent_Done,
     /*   38100 */   // Label 1139: @38100
     /*   38100 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(38166), // Rule ID 64102 //
     /*   38105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38124 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10783),
     /*   38141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38150 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_10783>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38164 */     GIR_RootConstrainSelectedInstOperands,
     /*   38165 */     // GIR_Coverage, 64102,
     /*   38165 */     GIR_EraseRootFromParent_Done,
     /*   38166 */   // Label 1140: @38166
     /*   38166 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(38232), // Rule ID 2406 //
     /*   38171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*   38174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38199 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   38203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10783),
     /*   38207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38216 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_10783>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38230 */     GIR_RootConstrainSelectedInstOperands,
     /*   38231 */     // GIR_Coverage, 2406,
     /*   38231 */     GIR_EraseRootFromParent_Done,
     /*   38232 */   // Label 1141: @38232
     /*   38232 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(38294), // Rule ID 2407 //
     /*   38237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   38240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38256 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38265 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   38269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   38278 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38292 */     GIR_RootConstrainSelectedInstOperands,
     /*   38293 */     // GIR_Coverage, 2407,
     /*   38293 */     GIR_EraseRootFromParent_Done,
     /*   38294 */   // Label 1142: @38294
     /*   38294 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(38356), // Rule ID 64103 //
     /*   38299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*   38302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38318 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38327 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   38331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   38340 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   38350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38354 */     GIR_RootConstrainSelectedInstOperands,
     /*   38355 */     // GIR_Coverage, 64103,
     /*   38355 */     GIR_EraseRootFromParent_Done,
     /*   38356 */   // Label 1143: @38356
     /*   38356 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(38415), // Rule ID 2333 //
     /*   38361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   38364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38380 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38384 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   38388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38394 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   38401 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   38404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   38408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38413 */     GIR_RootConstrainSelectedInstOperands,
     /*   38414 */     // GIR_Coverage, 2333,
     /*   38414 */     GIR_EraseRootFromParent_Done,
     /*   38415 */   // Label 1144: @38415
     /*   38415 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(38474), // Rule ID 64090 //
     /*   38420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   38423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38447 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   38451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38453 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   38460 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   38463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   38472 */     GIR_RootConstrainSelectedInstOperands,
     /*   38473 */     // GIR_Coverage, 64090,
     /*   38473 */     GIR_EraseRootFromParent_Done,
     /*   38474 */   // Label 1145: @38474
     /*   38474 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(38530), // Rule ID 64074 //
     /*   38479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   38482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   38494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38507 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   38511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38517 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   38520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   38524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38528 */     GIR_RootConstrainSelectedInstOperands,
     /*   38529 */     // GIR_Coverage, 64074,
     /*   38529 */     GIR_EraseRootFromParent_Done,
     /*   38530 */   // Label 1146: @38530
     /*   38530 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(38586), // Rule ID 2307 //
     /*   38535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   38538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   38554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   38558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   38562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38567 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   38571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38573 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   38576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   38584 */     GIR_RootConstrainSelectedInstOperands,
     /*   38585 */     // GIR_Coverage, 2307,
     /*   38585 */     GIR_EraseRootFromParent_Done,
     /*   38586 */   // Label 1147: @38586
     /*   38586 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(38628), // Rule ID 81 //
     /*   38591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   38594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   38610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   38614 */     // MIs[1] Operand 1
     /*   38614 */     // No operand predicates
     /*   38614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   38616 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   38616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*   38619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   38623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   38626 */     GIR_RootConstrainSelectedInstOperands,
     /*   38627 */     // GIR_Coverage, 81,
     /*   38627 */     GIR_EraseRootFromParent_Done,
     /*   38628 */   // Label 1148: @38628
     /*   38628 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(38655), // Rule ID 79 //
     /*   38633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   38636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38648 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   38648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*   38653 */     GIR_RootConstrainSelectedInstOperands,
     /*   38654 */     // GIR_Coverage, 79,
     /*   38654 */     GIR_Done,
     /*   38655 */   // Label 1149: @38655
     /*   38655 */   GIM_Reject,
     /*   38656 */ // Label 1125: @38656
     /*   38656 */ GIM_Reject,
     /*   38657 */ // Label 1094: @38657
     /*   38657 */ GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(41604),
     /*   38662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   38665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   38668 */   GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(38863), // Rule ID 64114 //
     /*   38673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   38676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   38692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   38696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   38700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   38708 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   38712 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   38716 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   38720 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38724 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   38728 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   38732 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   38736 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38740 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   38744 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   38748 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   38752 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   38756 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38760 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   38764 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   38768 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   38772 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   38774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38781 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38788 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   38795 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   38802 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   38802 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   38805 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38809 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   38819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   38824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   38826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   38829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   38833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   38838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   38843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   38848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   38850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   38853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   38858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   38861 */     GIR_RootConstrainSelectedInstOperands,
     /*   38862 */     // GIR_Coverage, 64114,
     /*   38862 */     GIR_EraseRootFromParent_Done,
     /*   38863 */   // Label 1151: @38863
     /*   38863 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(39058), // Rule ID 64116 //
     /*   38868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   38871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   38875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   38887 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   38891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   38895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   38903 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   38907 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   38911 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   38915 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   38919 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   38923 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   38927 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   38931 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38935 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   38939 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   38943 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   38947 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   38951 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   38955 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   38959 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   38963 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   38967 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   38969 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   38976 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   38983 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   38990 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   38997 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   38997 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39000 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39004 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   39014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   39019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*   39038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*   39043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39056 */     GIR_RootConstrainSelectedInstOperands,
     /*   39057 */     // GIR_Coverage, 64116,
     /*   39057 */     GIR_EraseRootFromParent_Done,
     /*   39058 */   // Label 1152: @39058
     /*   39058 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(39253), // Rule ID 64110 //
     /*   39063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39082 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39086 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39090 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39094 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39098 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39102 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   39106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   39110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39118 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39122 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   39126 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39130 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39134 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39138 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*   39142 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   39146 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39150 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39154 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39158 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*   39162 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39164 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39171 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39178 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39185 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39192 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39192 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39195 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39199 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*   39209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*   39214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   39233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   39238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39251 */     GIR_RootConstrainSelectedInstOperands,
     /*   39252 */     // GIR_Coverage, 64110,
     /*   39252 */     GIR_EraseRootFromParent_Done,
     /*   39253 */   // Label 1153: @39253
     /*   39253 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(39448), // Rule ID 64112 //
     /*   39258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39293 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39297 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   39301 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*   39305 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39309 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39313 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39317 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*   39321 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39325 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39329 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39333 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*   39337 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*   39341 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39345 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39349 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39353 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*   39357 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39359 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39366 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39373 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39380 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39387 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39387 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39390 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39394 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*   39404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*   39409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*   39428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*   39433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39446 */     GIR_RootConstrainSelectedInstOperands,
     /*   39447 */     // GIR_Coverage, 64112,
     /*   39447 */     GIR_EraseRootFromParent_Done,
     /*   39448 */   // Label 1154: @39448
     /*   39448 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(39643), // Rule ID 64104 //
     /*   39453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39488 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39492 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   39496 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39500 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39504 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39508 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39512 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   39516 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39520 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39524 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39528 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39532 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   39536 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39540 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39544 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39548 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39552 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39554 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39561 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39568 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39575 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39582 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39582 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39585 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39589 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   39599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   39604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   39623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   39628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39641 */     GIR_RootConstrainSelectedInstOperands,
     /*   39642 */     // GIR_Coverage, 64104,
     /*   39642 */     GIR_EraseRootFromParent_Done,
     /*   39643 */   // Label 1155: @39643
     /*   39643 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(39838), // Rule ID 64108 //
     /*   39648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39687 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   39691 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39695 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39699 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39703 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39707 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   39711 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39715 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39719 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39723 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39727 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*   39731 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39735 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39739 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39743 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39747 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39749 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39756 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39763 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39770 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39777 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39777 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39780 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39784 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   39794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   39799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*   39818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*   39823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   39828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   39836 */     GIR_RootConstrainSelectedInstOperands,
     /*   39837 */     // GIR_Coverage, 64108,
     /*   39837 */     GIR_EraseRootFromParent_Done,
     /*   39838 */   // Label 1156: @39838
     /*   39838 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(40033), // Rule ID 2408 //
     /*   39843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   39846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   39850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   39862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   39866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   39878 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   39882 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   39886 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39890 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39894 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   39898 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   39902 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*   39906 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   39910 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   39914 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   39918 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   39922 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   39926 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   39930 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   39934 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   39938 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   39942 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   39944 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   39951 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   39958 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   39965 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   39972 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   39972 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   39975 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   39979 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*   39989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*   39994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   39996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   39999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   40013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   40018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   40023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   40031 */     GIR_RootConstrainSelectedInstOperands,
     /*   40032 */     // GIR_Coverage, 2408,
     /*   40032 */     GIR_EraseRootFromParent_Done,
     /*   40033 */   // Label 1157: @40033
     /*   40033 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(40228), // Rule ID 64106 //
     /*   40038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*   40041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   40053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40057 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40061 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40065 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40069 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40073 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40077 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40081 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   40085 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40089 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*   40093 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*   40097 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*   40101 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*   40105 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*   40109 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*   40113 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*   40117 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*   40121 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40125 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*   40129 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*   40133 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*   40137 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*   40139 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40146 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40153 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*   40160 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*   40167 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*   40167 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   40170 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40174 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*   40184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*   40189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   40191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*   40208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*   40213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   40218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   40226 */     GIR_RootConstrainSelectedInstOperands,
     /*   40227 */     // GIR_Coverage, 64106,
     /*   40227 */     GIR_EraseRootFromParent_Done,
     /*   40228 */   // Label 1158: @40228
     /*   40228 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(40333), // Rule ID 2403 //
     /*   40233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40252 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*   40260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   40264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40272 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40276 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40282 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40289 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40296 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*   40296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   40313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   40318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   40323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   40331 */     GIR_RootConstrainSelectedInstOperands,
     /*   40332 */     // GIR_Coverage, 2403,
     /*   40332 */     GIR_EraseRootFromParent_Done,
     /*   40333 */   // Label 1159: @40333
     /*   40333 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(40438), // Rule ID 64099 //
     /*   40338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40361 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   40365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   40369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40377 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40381 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*   40385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40387 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40394 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40401 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*   40401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   40404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   40423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   40428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*   40436 */     GIR_RootConstrainSelectedInstOperands,
     /*   40437 */     // GIR_Coverage, 64099,
     /*   40437 */     GIR_EraseRootFromParent_Done,
     /*   40438 */   // Label 1160: @40438
     /*   40438 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(40527), // Rule ID 64093 //
     /*   40443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   40458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40462 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40487 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   40491 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   40502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40511 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40525 */     GIR_RootConstrainSelectedInstOperands,
     /*   40526 */     // GIR_Coverage, 64093,
     /*   40526 */     GIR_EraseRootFromParent_Done,
     /*   40527 */   // Label 1161: @40527
     /*   40527 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(40616), // Rule ID 2397 //
     /*   40532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   40547 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40551 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40567 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40576 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*   40580 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*   40591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40600 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40614 */     GIR_RootConstrainSelectedInstOperands,
     /*   40615 */     // GIR_Coverage, 2397,
     /*   40615 */     GIR_EraseRootFromParent_Done,
     /*   40616 */   // Label 1162: @40616
     /*   40616 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(40681), // Rule ID 64095 //
     /*   40621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40644 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40657 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40664 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*   40679 */     GIR_RootConstrainSelectedInstOperands,
     /*   40680 */     // GIR_Coverage, 64095,
     /*   40680 */     GIR_EraseRootFromParent_Done,
     /*   40681 */   // Label 1163: @40681
     /*   40681 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(40746), // Rule ID 2399 //
     /*   40686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40709 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*   40722 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40729 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*   40739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   40744 */     GIR_RootConstrainSelectedInstOperands,
     /*   40745 */     // GIR_Coverage, 2399,
     /*   40745 */     GIR_EraseRootFromParent_Done,
     /*   40746 */   // Label 1164: @40746
     /*   40746 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(40831), // Rule ID 64120 //
     /*   40751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   40766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40782 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40791 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40795 */     // MIs[1] Operand 2
     /*   40795 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*   40806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   40815 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   40818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40829 */     GIR_RootConstrainSelectedInstOperands,
     /*   40830 */     // GIR_Coverage, 64120,
     /*   40830 */     GIR_EraseRootFromParent_Done,
     /*   40831 */   // Label 1165: @40831
     /*   40831 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(40916), // Rule ID 2412 //
     /*   40836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*   40851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   40859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   40867 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   40871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40876 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*   40880 */     // MIs[1] Operand 2
     /*   40880 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*   40891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   40893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   40900 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   40903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   40914 */     GIR_RootConstrainSelectedInstOperands,
     /*   40915 */     // GIR_Coverage, 2412,
     /*   40915 */     GIR_EraseRootFromParent_Done,
     /*   40916 */   // Label 1166: @40916
     /*   40916 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(40982), // Rule ID 64101 //
     /*   40921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   40924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   40936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   40940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   40944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40949 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   40953 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10783),
     /*   40957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   40966 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_10783>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   40966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   40969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   40976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   40980 */     GIR_RootConstrainSelectedInstOperands,
     /*   40981 */     // GIR_Coverage, 64101,
     /*   40981 */     GIR_EraseRootFromParent_Done,
     /*   40982 */   // Label 1167: @40982
     /*   40982 */   GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(41048), // Rule ID 64119 //
     /*   40987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   40990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   40994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41015 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   41019 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9636),
     /*   41023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   41032 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_9636>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   41035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41046 */     GIR_RootConstrainSelectedInstOperands,
     /*   41047 */     // GIR_Coverage, 64119,
     /*   41047 */     GIR_EraseRootFromParent_Done,
     /*   41048 */   // Label 1168: @41048
     /*   41048 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(41114), // Rule ID 2405 //
     /*   41053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*   41056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41081 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*   41085 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10783),
     /*   41089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*   41098 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10783>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*   41101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41112 */     GIR_RootConstrainSelectedInstOperands,
     /*   41113 */     // GIR_Coverage, 2405,
     /*   41113 */     GIR_EraseRootFromParent_Done,
     /*   41114 */   // Label 1169: @41114
     /*   41114 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(41180), // Rule ID 2411 //
     /*   41119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41138 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41147 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*   41151 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9636),
     /*   41155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*   41164 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_9636>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*   41167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41178 */     GIR_RootConstrainSelectedInstOperands,
     /*   41179 */     // GIR_Coverage, 2411,
     /*   41179 */     GIR_EraseRootFromParent_Done,
     /*   41180 */   // Label 1170: @41180
     /*   41180 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(41242), // Rule ID 2410 //
     /*   41185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41213 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*   41217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*   41226 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   41229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41240 */     GIR_RootConstrainSelectedInstOperands,
     /*   41241 */     // GIR_Coverage, 2410,
     /*   41241 */     GIR_EraseRootFromParent_Done,
     /*   41242 */   // Label 1171: @41242
     /*   41242 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(41304), // Rule ID 64118 //
     /*   41247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*   41250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41275 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*   41279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*   41288 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*   41291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   41298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41302 */     GIR_RootConstrainSelectedInstOperands,
     /*   41303 */     // GIR_Coverage, 64118,
     /*   41303 */     GIR_EraseRootFromParent_Done,
     /*   41304 */   // Label 1172: @41304
     /*   41304 */   GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(41363), // Rule ID 2332 //
     /*   41309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   41312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41332 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   41336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41342 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   41349 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   41352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   41361 */     GIR_RootConstrainSelectedInstOperands,
     /*   41362 */     // GIR_Coverage, 2332,
     /*   41362 */     GIR_EraseRootFromParent_Done,
     /*   41363 */   // Label 1173: @41363
     /*   41363 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(41422), // Rule ID 64089 //
     /*   41368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   41371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   41387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41395 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   41399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41401 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   41408 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   41411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   41420 */     GIR_RootConstrainSelectedInstOperands,
     /*   41421 */     // GIR_Coverage, 64089,
     /*   41421 */     GIR_EraseRootFromParent_Done,
     /*   41422 */   // Label 1174: @41422
     /*   41422 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(41478), // Rule ID 64073 //
     /*   41427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   41430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41442 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41446 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41455 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   41459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41465 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   41468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41476 */     GIR_RootConstrainSelectedInstOperands,
     /*   41477 */     // GIR_Coverage, 64073,
     /*   41477 */     GIR_EraseRootFromParent_Done,
     /*   41478 */   // Label 1175: @41478
     /*   41478 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(41534), // Rule ID 2306 //
     /*   41483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   41486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   41506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   41510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41515 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   41519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41521 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*   41524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41532 */     GIR_RootConstrainSelectedInstOperands,
     /*   41533 */     // GIR_Coverage, 2306,
     /*   41533 */     GIR_EraseRootFromParent_Done,
     /*   41534 */   // Label 1176: @41534
     /*   41534 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(41576), // Rule ID 80 //
     /*   41539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   41542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   41558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   41562 */     // MIs[1] Operand 1
     /*   41562 */     // No operand predicates
     /*   41562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41564 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   41564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*   41567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   41574 */     GIR_RootConstrainSelectedInstOperands,
     /*   41575 */     // GIR_Coverage, 80,
     /*   41575 */     GIR_EraseRootFromParent_Done,
     /*   41576 */   // Label 1177: @41576
     /*   41576 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(41603), // Rule ID 78 //
     /*   41581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   41584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   41596 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   41596 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*   41601 */     GIR_RootConstrainSelectedInstOperands,
     /*   41602 */     // GIR_Coverage, 78,
     /*   41602 */     GIR_Done,
     /*   41603 */   // Label 1178: @41603
     /*   41603 */   GIM_Reject,
     /*   41604 */ // Label 1150: @41604
     /*   41604 */ GIM_Reject,
     /*   41605 */ // Label 1095: @41605
     /*   41605 */ GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(42215),
     /*   41610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41620 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(41686), // Rule ID 70143 //
     /*   41625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41640 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41644 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41648 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41652 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41665 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41667 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41684 */     GIR_RootConstrainSelectedInstOperands,
     /*   41685 */     // GIR_Coverage, 70143,
     /*   41685 */     GIR_EraseRootFromParent_Done,
     /*   41686 */   // Label 1180: @41686
     /*   41686 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(41752), // Rule ID 70144 //
     /*   41691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41706 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41731 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41733 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41750 */     GIR_RootConstrainSelectedInstOperands,
     /*   41751 */     // GIR_Coverage, 70144,
     /*   41751 */     GIR_EraseRootFromParent_Done,
     /*   41752 */   // Label 1181: @41752
     /*   41752 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(41818), // Rule ID 70141 //
     /*   41757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   41785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41797 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41799 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41816 */     GIR_RootConstrainSelectedInstOperands,
     /*   41817 */     // GIR_Coverage, 70141,
     /*   41817 */     GIR_EraseRootFromParent_Done,
     /*   41818 */   // Label 1182: @41818
     /*   41818 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(41884), // Rule ID 70142 //
     /*   41823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41834 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41838 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41847 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   41851 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41855 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41863 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41865 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   41872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   41876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41882 */     GIR_RootConstrainSelectedInstOperands,
     /*   41883 */     // GIR_Coverage, 70142,
     /*   41883 */     GIR_EraseRootFromParent_Done,
     /*   41884 */   // Label 1183: @41884
     /*   41884 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(41950), // Rule ID 70139 //
     /*   41889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41908 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   41924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41929 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41931 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   41931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   41934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   41942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   41948 */     GIR_RootConstrainSelectedInstOperands,
     /*   41949 */     // GIR_Coverage, 70139,
     /*   41949 */     GIR_EraseRootFromParent_Done,
     /*   41950 */   // Label 1184: @41950
     /*   41950 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(42016), // Rule ID 70140 //
     /*   41955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   41970 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   41974 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   41978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   41986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   41990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41995 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   41997 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   41997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42014 */     GIR_RootConstrainSelectedInstOperands,
     /*   42015 */     // GIR_Coverage, 70140,
     /*   42015 */     GIR_EraseRootFromParent_Done,
     /*   42016 */   // Label 1185: @42016
     /*   42016 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(42082), // Rule ID 52656 //
     /*   42021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   42040 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   42044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42063 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42080 */     GIR_RootConstrainSelectedInstOperands,
     /*   42081 */     // GIR_Coverage, 52656,
     /*   42081 */     GIR_EraseRootFromParent_Done,
     /*   42082 */   // Label 1186: @42082
     /*   42082 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(42148), // Rule ID 52657 //
     /*   42087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   42106 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   42110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42115 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42119 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42123 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42129 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*   42132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42146 */     GIR_RootConstrainSelectedInstOperands,
     /*   42147 */     // GIR_Coverage, 52657,
     /*   42147 */     GIR_EraseRootFromParent_Done,
     /*   42148 */   // Label 1187: @42148
     /*   42148 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(42181), // Rule ID 52644 //
     /*   42153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42164 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*   42167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42179 */     GIR_RootConstrainSelectedInstOperands,
     /*   42180 */     // GIR_Coverage, 52644,
     /*   42180 */     GIR_EraseRootFromParent_Done,
     /*   42181 */   // Label 1188: @42181
     /*   42181 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(42214), // Rule ID 52645 //
     /*   42186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42197 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*   42200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42212 */     GIR_RootConstrainSelectedInstOperands,
     /*   42213 */     // GIR_Coverage, 52645,
     /*   42213 */     GIR_EraseRootFromParent_Done,
     /*   42214 */   // Label 1189: @42214
     /*   42214 */   GIM_Reject,
     /*   42215 */ // Label 1179: @42215
     /*   42215 */ GIM_Reject,
     /*   42216 */ // Label 1096: @42216
     /*   42216 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(42330),
     /*   42221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   42224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   42227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42239 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(42284), // Rule ID 47266 //
     /*   42244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42247 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   42250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*   42264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42282 */     GIR_RootConstrainSelectedInstOperands,
     /*   42283 */     // GIR_Coverage, 47266,
     /*   42283 */     GIR_EraseRootFromParent_Done,
     /*   42284 */   // Label 1191: @42284
     /*   42284 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(42329), // Rule ID 47267 //
     /*   42289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42292 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   42295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*   42309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42327 */     GIR_RootConstrainSelectedInstOperands,
     /*   42328 */     // GIR_Coverage, 47267,
     /*   42328 */     GIR_EraseRootFromParent_Done,
     /*   42329 */   // Label 1192: @42329
     /*   42329 */   GIM_Reject,
     /*   42330 */ // Label 1190: @42330
     /*   42330 */ GIM_Reject,
     /*   42331 */ // Label 1097: @42331
     /*   42331 */ GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(42445),
     /*   42336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   42339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   42342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42354 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(42399), // Rule ID 47278 //
     /*   42359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42362 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   42362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   42365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   42379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42397 */     GIR_RootConstrainSelectedInstOperands,
     /*   42398 */     // GIR_Coverage, 47278,
     /*   42398 */     GIR_EraseRootFromParent_Done,
     /*   42399 */   // Label 1194: @42399
     /*   42399 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(42444), // Rule ID 47279 //
     /*   42404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42407 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   42407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   42410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   42424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   42439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42442 */     GIR_RootConstrainSelectedInstOperands,
     /*   42443 */     // GIR_Coverage, 47279,
     /*   42443 */     GIR_EraseRootFromParent_Done,
     /*   42444 */   // Label 1195: @42444
     /*   42444 */   GIM_Reject,
     /*   42445 */ // Label 1193: @42445
     /*   42445 */ GIM_Reject,
     /*   42446 */ // Label 1098: @42446
     /*   42446 */ GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(42560),
     /*   42451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   42454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   42457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42469 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(42514), // Rule ID 47286 //
     /*   42474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42477 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   42477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   42480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   42494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42512 */     GIR_RootConstrainSelectedInstOperands,
     /*   42513 */     // GIR_Coverage, 47286,
     /*   42513 */     GIR_EraseRootFromParent_Done,
     /*   42514 */   // Label 1197: @42514
     /*   42514 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(42559), // Rule ID 47287 //
     /*   42519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42522 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   42522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   42525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   42539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   42554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42557 */     GIR_RootConstrainSelectedInstOperands,
     /*   42558 */     // GIR_Coverage, 47287,
     /*   42558 */     GIR_EraseRootFromParent_Done,
     /*   42559 */   // Label 1198: @42559
     /*   42559 */   GIM_Reject,
     /*   42560 */ // Label 1196: @42560
     /*   42560 */ GIM_Reject,
     /*   42561 */ // Label 1099: @42561
     /*   42561 */ GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(42675),
     /*   42566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   42569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   42572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42584 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(42629), // Rule ID 47302 //
     /*   42589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   42592 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   42592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   42595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   42609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   42624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42627 */     GIR_RootConstrainSelectedInstOperands,
     /*   42628 */     // GIR_Coverage, 47302,
     /*   42628 */     GIR_EraseRootFromParent_Done,
     /*   42629 */   // Label 1200: @42629
     /*   42629 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(42674), // Rule ID 47303 //
     /*   42634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   42637 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   42637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   42640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   42654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   42661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   42663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   42669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42672 */     GIR_RootConstrainSelectedInstOperands,
     /*   42673 */     // GIR_Coverage, 47303,
     /*   42673 */     GIR_EraseRootFromParent_Done,
     /*   42674 */   // Label 1201: @42674
     /*   42674 */   GIM_Reject,
     /*   42675 */ // Label 1199: @42675
     /*   42675 */ GIM_Reject,
     /*   42676 */ // Label 1100: @42676
     /*   42676 */ GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(43286),
     /*   42681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42691 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(42757), // Rule ID 70171 //
     /*   42696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42738 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42755 */     GIR_RootConstrainSelectedInstOperands,
     /*   42756 */     // GIR_Coverage, 70171,
     /*   42756 */     GIR_EraseRootFromParent_Done,
     /*   42757 */   // Label 1203: @42757
     /*   42757 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(42823), // Rule ID 70172 //
     /*   42762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42804 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   42815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42821 */     GIR_RootConstrainSelectedInstOperands,
     /*   42822 */     // GIR_Coverage, 70172,
     /*   42822 */     GIR_EraseRootFromParent_Done,
     /*   42823 */   // Label 1204: @42823
     /*   42823 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(42889), // Rule ID 70169 //
     /*   42828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42870 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   42870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42887 */     GIR_RootConstrainSelectedInstOperands,
     /*   42888 */     // GIR_Coverage, 70169,
     /*   42888 */     GIR_EraseRootFromParent_Done,
     /*   42889 */   // Label 1205: @42889
     /*   42889 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(42955), // Rule ID 70170 //
     /*   42894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   42922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   42930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42936 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   42936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   42939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   42943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   42953 */     GIR_RootConstrainSelectedInstOperands,
     /*   42954 */     // GIR_Coverage, 70170,
     /*   42954 */     GIR_EraseRootFromParent_Done,
     /*   42955 */   // Label 1206: @42955
     /*   42955 */   GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(43021), // Rule ID 70167 //
     /*   42960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   42975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   42979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   42983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   42991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   42995 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43000 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43002 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43009 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43019 */     GIR_RootConstrainSelectedInstOperands,
     /*   43020 */     // GIR_Coverage, 70167,
     /*   43020 */     GIR_EraseRootFromParent_Done,
     /*   43021 */   // Label 1207: @43021
     /*   43021 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(43087), // Rule ID 70168 //
     /*   43026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43068 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43085 */     GIR_RootConstrainSelectedInstOperands,
     /*   43086 */     // GIR_Coverage, 70168,
     /*   43086 */     GIR_EraseRootFromParent_Done,
     /*   43087 */   // Label 1208: @43087
     /*   43087 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(43153), // Rule ID 52674 //
     /*   43092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43111 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43134 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43151 */     GIR_RootConstrainSelectedInstOperands,
     /*   43152 */     // GIR_Coverage, 52674,
     /*   43152 */     GIR_EraseRootFromParent_Done,
     /*   43153 */   // Label 1209: @43153
     /*   43153 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(43219), // Rule ID 52675 //
     /*   43158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   43177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   43181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43186 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43190 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43194 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43200 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*   43203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43217 */     GIR_RootConstrainSelectedInstOperands,
     /*   43218 */     // GIR_Coverage, 52675,
     /*   43218 */     GIR_EraseRootFromParent_Done,
     /*   43219 */   // Label 1210: @43219
     /*   43219 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(43252), // Rule ID 52662 //
     /*   43224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43235 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*   43238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43250 */     GIR_RootConstrainSelectedInstOperands,
     /*   43251 */     // GIR_Coverage, 52662,
     /*   43251 */     GIR_EraseRootFromParent_Done,
     /*   43252 */   // Label 1211: @43252
     /*   43252 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(43285), // Rule ID 52663 //
     /*   43257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43268 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*   43271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43283 */     GIR_RootConstrainSelectedInstOperands,
     /*   43284 */     // GIR_Coverage, 52663,
     /*   43284 */     GIR_EraseRootFromParent_Done,
     /*   43285 */   // Label 1212: @43285
     /*   43285 */   GIM_Reject,
     /*   43286 */ // Label 1202: @43286
     /*   43286 */ GIM_Reject,
     /*   43287 */ // Label 1101: @43287
     /*   43287 */ GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(43401),
     /*   43292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   43295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   43298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43306 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43310 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(43355), // Rule ID 47270 //
     /*   43315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43318 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   43321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   43335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43353 */     GIR_RootConstrainSelectedInstOperands,
     /*   43354 */     // GIR_Coverage, 47270,
     /*   43354 */     GIR_EraseRootFromParent_Done,
     /*   43355 */   // Label 1214: @43355
     /*   43355 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(43400), // Rule ID 47271 //
     /*   43360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43363 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   43366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*   43380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43398 */     GIR_RootConstrainSelectedInstOperands,
     /*   43399 */     // GIR_Coverage, 47271,
     /*   43399 */     GIR_EraseRootFromParent_Done,
     /*   43400 */   // Label 1215: @43400
     /*   43400 */   GIM_Reject,
     /*   43401 */ // Label 1213: @43401
     /*   43401 */ GIM_Reject,
     /*   43402 */ // Label 1102: @43402
     /*   43402 */ GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(43516),
     /*   43407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   43410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   43413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43425 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(43470), // Rule ID 47282 //
     /*   43430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43433 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   43433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   43436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   43450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43468 */     GIR_RootConstrainSelectedInstOperands,
     /*   43469 */     // GIR_Coverage, 47282,
     /*   43469 */     GIR_EraseRootFromParent_Done,
     /*   43470 */   // Label 1217: @43470
     /*   43470 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(43515), // Rule ID 47283 //
     /*   43475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43478 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   43478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   43481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   43495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43513 */     GIR_RootConstrainSelectedInstOperands,
     /*   43514 */     // GIR_Coverage, 47283,
     /*   43514 */     GIR_EraseRootFromParent_Done,
     /*   43515 */   // Label 1218: @43515
     /*   43515 */   GIM_Reject,
     /*   43516 */ // Label 1216: @43516
     /*   43516 */ GIM_Reject,
     /*   43517 */ // Label 1103: @43517
     /*   43517 */ GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(43631),
     /*   43522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   43525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   43528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43536 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43540 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(43585), // Rule ID 47298 //
     /*   43545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43548 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   43548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   43551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   43565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43583 */     GIR_RootConstrainSelectedInstOperands,
     /*   43584 */     // GIR_Coverage, 47298,
     /*   43584 */     GIR_EraseRootFromParent_Done,
     /*   43585 */   // Label 1220: @43585
     /*   43585 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(43630), // Rule ID 47299 //
     /*   43590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43593 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   43593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   43596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   43610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   43625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43628 */     GIR_RootConstrainSelectedInstOperands,
     /*   43629 */     // GIR_Coverage, 47299,
     /*   43629 */     GIR_EraseRootFromParent_Done,
     /*   43630 */   // Label 1221: @43630
     /*   43630 */   GIM_Reject,
     /*   43631 */ // Label 1219: @43631
     /*   43631 */ GIM_Reject,
     /*   43632 */ // Label 1104: @43632
     /*   43632 */ GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(43746),
     /*   43637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   43640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   43643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43655 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(43700), // Rule ID 47342 //
     /*   43660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   43663 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   43663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   43666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   43680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   43695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43698 */     GIR_RootConstrainSelectedInstOperands,
     /*   43699 */     // GIR_Coverage, 47342,
     /*   43699 */     GIR_EraseRootFromParent_Done,
     /*   43700 */   // Label 1223: @43700
     /*   43700 */   GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(43745), // Rule ID 47343 //
     /*   43705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   43708 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   43708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   43711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   43725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   43732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   43740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43743 */     GIR_RootConstrainSelectedInstOperands,
     /*   43744 */     // GIR_Coverage, 47343,
     /*   43744 */     GIR_EraseRootFromParent_Done,
     /*   43745 */   // Label 1224: @43745
     /*   43745 */   GIM_Reject,
     /*   43746 */ // Label 1222: @43746
     /*   43746 */ GIM_Reject,
     /*   43747 */ // Label 1105: @43747
     /*   43747 */ GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(44357),
     /*   43752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43762 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(43828), // Rule ID 70199 //
     /*   43767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43809 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43826 */     GIR_RootConstrainSelectedInstOperands,
     /*   43827 */     // GIR_Coverage, 70199,
     /*   43827 */     GIR_EraseRootFromParent_Done,
     /*   43828 */   // Label 1226: @43828
     /*   43828 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(43894), // Rule ID 70200 //
     /*   43833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   43856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   43864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43875 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   43875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   43886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43892 */     GIR_RootConstrainSelectedInstOperands,
     /*   43893 */     // GIR_Coverage, 70200,
     /*   43893 */     GIR_EraseRootFromParent_Done,
     /*   43894 */   // Label 1227: @43894
     /*   43894 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(43960), // Rule ID 70197 //
     /*   43899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   43935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43941 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   43941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   43944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   43948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   43958 */     GIR_RootConstrainSelectedInstOperands,
     /*   43959 */     // GIR_Coverage, 70197,
     /*   43959 */     GIR_EraseRootFromParent_Done,
     /*   43960 */   // Label 1228: @43960
     /*   43960 */   GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(44026), // Rule ID 70198 //
     /*   43965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   43976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   43980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   43984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   43993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   43997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44007 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44024 */     GIR_RootConstrainSelectedInstOperands,
     /*   44025 */     // GIR_Coverage, 70198,
     /*   44025 */     GIR_EraseRootFromParent_Done,
     /*   44026 */   // Label 1229: @44026
     /*   44026 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(44092), // Rule ID 70195 //
     /*   44031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44050 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44073 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44090 */     GIR_RootConstrainSelectedInstOperands,
     /*   44091 */     // GIR_Coverage, 70195,
     /*   44091 */     GIR_EraseRootFromParent_Done,
     /*   44092 */   // Label 1230: @44092
     /*   44092 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(44158), // Rule ID 70196 //
     /*   44097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44112 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44116 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44139 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44156 */     GIR_RootConstrainSelectedInstOperands,
     /*   44157 */     // GIR_Coverage, 70196,
     /*   44157 */     GIR_EraseRootFromParent_Done,
     /*   44158 */   // Label 1231: @44158
     /*   44158 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(44224), // Rule ID 52692 //
     /*   44163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44182 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44205 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44222 */     GIR_RootConstrainSelectedInstOperands,
     /*   44223 */     // GIR_Coverage, 52692,
     /*   44223 */     GIR_EraseRootFromParent_Done,
     /*   44224 */   // Label 1232: @44224
     /*   44224 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(44290), // Rule ID 52693 //
     /*   44229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   44248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   44252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44271 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*   44274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   44282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44288 */     GIR_RootConstrainSelectedInstOperands,
     /*   44289 */     // GIR_Coverage, 52693,
     /*   44289 */     GIR_EraseRootFromParent_Done,
     /*   44290 */   // Label 1233: @44290
     /*   44290 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(44323), // Rule ID 52680 //
     /*   44295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44306 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*   44309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44321 */     GIR_RootConstrainSelectedInstOperands,
     /*   44322 */     // GIR_Coverage, 52680,
     /*   44322 */     GIR_EraseRootFromParent_Done,
     /*   44323 */   // Label 1234: @44323
     /*   44323 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(44356), // Rule ID 52681 //
     /*   44328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44339 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*   44342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44354 */     GIR_RootConstrainSelectedInstOperands,
     /*   44355 */     // GIR_Coverage, 52681,
     /*   44355 */     GIR_EraseRootFromParent_Done,
     /*   44356 */   // Label 1235: @44356
     /*   44356 */   GIM_Reject,
     /*   44357 */ // Label 1225: @44357
     /*   44357 */ GIM_Reject,
     /*   44358 */ // Label 1106: @44358
     /*   44358 */ GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(44472),
     /*   44363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   44366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   44369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44381 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(44426), // Rule ID 47274 //
     /*   44386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44389 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   44389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   44392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   44406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44424 */     GIR_RootConstrainSelectedInstOperands,
     /*   44425 */     // GIR_Coverage, 47274,
     /*   44425 */     GIR_EraseRootFromParent_Done,
     /*   44426 */   // Label 1237: @44426
     /*   44426 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(44471), // Rule ID 47275 //
     /*   44431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44434 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   44434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   44437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*   44451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44469 */     GIR_RootConstrainSelectedInstOperands,
     /*   44470 */     // GIR_Coverage, 47275,
     /*   44470 */     GIR_EraseRootFromParent_Done,
     /*   44471 */   // Label 1238: @44471
     /*   44471 */   GIM_Reject,
     /*   44472 */ // Label 1236: @44472
     /*   44472 */ GIM_Reject,
     /*   44473 */ // Label 1107: @44473
     /*   44473 */ GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(44587),
     /*   44478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   44481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   44484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44496 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(44541), // Rule ID 47294 //
     /*   44501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44504 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   44507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   44521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44539 */     GIR_RootConstrainSelectedInstOperands,
     /*   44540 */     // GIR_Coverage, 47294,
     /*   44540 */     GIR_EraseRootFromParent_Done,
     /*   44541 */   // Label 1240: @44541
     /*   44541 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(44586), // Rule ID 47295 //
     /*   44546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44549 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   44552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   44566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44584 */     GIR_RootConstrainSelectedInstOperands,
     /*   44585 */     // GIR_Coverage, 47295,
     /*   44585 */     GIR_EraseRootFromParent_Done,
     /*   44586 */   // Label 1241: @44586
     /*   44586 */   GIM_Reject,
     /*   44587 */ // Label 1239: @44587
     /*   44587 */ GIM_Reject,
     /*   44588 */ // Label 1108: @44588
     /*   44588 */ GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(44702),
     /*   44593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   44596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   44599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44611 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(44656), // Rule ID 47330 //
     /*   44616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44619 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   44619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   44622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   44636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44654 */     GIR_RootConstrainSelectedInstOperands,
     /*   44655 */     // GIR_Coverage, 47330,
     /*   44655 */     GIR_EraseRootFromParent_Done,
     /*   44656 */   // Label 1243: @44656
     /*   44656 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(44701), // Rule ID 47331 //
     /*   44661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44664 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   44664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   44667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   44681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   44696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44699 */     GIR_RootConstrainSelectedInstOperands,
     /*   44700 */     // GIR_Coverage, 47331,
     /*   44700 */     GIR_EraseRootFromParent_Done,
     /*   44701 */   // Label 1244: @44701
     /*   44701 */   GIM_Reject,
     /*   44702 */ // Label 1242: @44702
     /*   44702 */ GIM_Reject,
     /*   44703 */ // Label 1109: @44703
     /*   44703 */ GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(44817),
     /*   44708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   44711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   44714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44722 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44726 */   GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(44771), // Rule ID 47346 //
     /*   44731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   44734 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   44734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   44737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   44751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   44766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44769 */     GIR_RootConstrainSelectedInstOperands,
     /*   44770 */     // GIR_Coverage, 47346,
     /*   44770 */     GIR_EraseRootFromParent_Done,
     /*   44771 */   // Label 1246: @44771
     /*   44771 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(44816), // Rule ID 47347 //
     /*   44776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   44779 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   44779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   44782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   44796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   44811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44814 */     GIR_RootConstrainSelectedInstOperands,
     /*   44815 */     // GIR_Coverage, 47347,
     /*   44815 */     GIR_EraseRootFromParent_Done,
     /*   44816 */   // Label 1247: @44816
     /*   44816 */   GIM_Reject,
     /*   44817 */ // Label 1245: @44817
     /*   44817 */ GIM_Reject,
     /*   44818 */ // Label 1110: @44818
     /*   44818 */ GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(45428),
     /*   44823 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44833 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(44899), // Rule ID 70227 //
     /*   44838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   44869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44880 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   44880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   44883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44897 */     GIR_RootConstrainSelectedInstOperands,
     /*   44898 */     // GIR_Coverage, 70227,
     /*   44898 */     GIR_EraseRootFromParent_Done,
     /*   44899 */   // Label 1249: @44899
     /*   44899 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(44965), // Rule ID 70228 //
     /*   44904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   44931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   44935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   44946 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   44946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   44949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   44953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   44957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   44963 */     GIR_RootConstrainSelectedInstOperands,
     /*   44964 */     // GIR_Coverage, 70228,
     /*   44964 */     GIR_EraseRootFromParent_Done,
     /*   44965 */   // Label 1250: @44965
     /*   44965 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(45031), // Rule ID 70225 //
     /*   44970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   44981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   44985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   44989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   44998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45012 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45029 */     GIR_RootConstrainSelectedInstOperands,
     /*   45030 */     // GIR_Coverage, 70225,
     /*   45030 */     GIR_EraseRootFromParent_Done,
     /*   45031 */   // Label 1251: @45031
     /*   45031 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(45097), // Rule ID 70226 //
     /*   45036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45078 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45095 */     GIR_RootConstrainSelectedInstOperands,
     /*   45096 */     // GIR_Coverage, 70226,
     /*   45096 */     GIR_EraseRootFromParent_Done,
     /*   45097 */   // Label 1252: @45097
     /*   45097 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(45163), // Rule ID 70223 //
     /*   45102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45125 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45129 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45133 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45144 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45161 */     GIR_RootConstrainSelectedInstOperands,
     /*   45162 */     // GIR_Coverage, 70223,
     /*   45162 */     GIR_EraseRootFromParent_Done,
     /*   45163 */   // Label 1253: @45163
     /*   45163 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(45229), // Rule ID 70224 //
     /*   45168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45191 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45195 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45199 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45210 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45227 */     GIR_RootConstrainSelectedInstOperands,
     /*   45228 */     // GIR_Coverage, 70224,
     /*   45228 */     GIR_EraseRootFromParent_Done,
     /*   45229 */   // Label 1254: @45229
     /*   45229 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(45295), // Rule ID 52710 //
     /*   45234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45253 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45276 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45293 */     GIR_RootConstrainSelectedInstOperands,
     /*   45294 */     // GIR_Coverage, 52710,
     /*   45294 */     GIR_EraseRootFromParent_Done,
     /*   45295 */   // Label 1255: @45295
     /*   45295 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(45361), // Rule ID 52711 //
     /*   45300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   45319 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   45323 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   45332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   45340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45342 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*   45345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45359 */     GIR_RootConstrainSelectedInstOperands,
     /*   45360 */     // GIR_Coverage, 52711,
     /*   45360 */     GIR_EraseRootFromParent_Done,
     /*   45361 */   // Label 1256: @45361
     /*   45361 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(45394), // Rule ID 52698 //
     /*   45366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45377 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*   45380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45392 */     GIR_RootConstrainSelectedInstOperands,
     /*   45393 */     // GIR_Coverage, 52698,
     /*   45393 */     GIR_EraseRootFromParent_Done,
     /*   45394 */   // Label 1257: @45394
     /*   45394 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(45427), // Rule ID 52699 //
     /*   45399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45410 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   45410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*   45413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45425 */     GIR_RootConstrainSelectedInstOperands,
     /*   45426 */     // GIR_Coverage, 52699,
     /*   45426 */     GIR_EraseRootFromParent_Done,
     /*   45427 */   // Label 1258: @45427
     /*   45427 */   GIM_Reject,
     /*   45428 */ // Label 1248: @45428
     /*   45428 */ GIM_Reject,
     /*   45429 */ // Label 1111: @45429
     /*   45429 */ GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(45543),
     /*   45434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   45437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   45440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45452 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(45497), // Rule ID 47290 //
     /*   45457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45460 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   45460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   45463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   45477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45495 */     GIR_RootConstrainSelectedInstOperands,
     /*   45496 */     // GIR_Coverage, 47290,
     /*   45496 */     GIR_EraseRootFromParent_Done,
     /*   45497 */   // Label 1260: @45497
     /*   45497 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(45542), // Rule ID 47291 //
     /*   45502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45505 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   45505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   45508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*   45522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45540 */     GIR_RootConstrainSelectedInstOperands,
     /*   45541 */     // GIR_Coverage, 47291,
     /*   45541 */     GIR_EraseRootFromParent_Done,
     /*   45542 */   // Label 1261: @45542
     /*   45542 */   GIM_Reject,
     /*   45543 */ // Label 1259: @45543
     /*   45543 */ GIM_Reject,
     /*   45544 */ // Label 1112: @45544
     /*   45544 */ GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(45658),
     /*   45549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   45555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45567 */   GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(45612), // Rule ID 47318 //
     /*   45572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45575 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   45575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   45578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   45592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45610 */     GIR_RootConstrainSelectedInstOperands,
     /*   45611 */     // GIR_Coverage, 47318,
     /*   45611 */     GIR_EraseRootFromParent_Done,
     /*   45612 */   // Label 1263: @45612
     /*   45612 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(45657), // Rule ID 47319 //
     /*   45617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45620 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   45620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   45623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   45637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45655 */     GIR_RootConstrainSelectedInstOperands,
     /*   45656 */     // GIR_Coverage, 47319,
     /*   45656 */     GIR_EraseRootFromParent_Done,
     /*   45657 */   // Label 1264: @45657
     /*   45657 */   GIM_Reject,
     /*   45658 */ // Label 1262: @45658
     /*   45658 */ GIM_Reject,
     /*   45659 */ // Label 1113: @45659
     /*   45659 */ GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(45773),
     /*   45664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45682 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(45727), // Rule ID 47334 //
     /*   45687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45690 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   45690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   45707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45725 */     GIR_RootConstrainSelectedInstOperands,
     /*   45726 */     // GIR_Coverage, 47334,
     /*   45726 */     GIR_EraseRootFromParent_Done,
     /*   45727 */   // Label 1266: @45727
     /*   45727 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(45772), // Rule ID 47335 //
     /*   45732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45735 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   45735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   45752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   45767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45770 */     GIR_RootConstrainSelectedInstOperands,
     /*   45771 */     // GIR_Coverage, 47335,
     /*   45771 */     GIR_EraseRootFromParent_Done,
     /*   45772 */   // Label 1267: @45772
     /*   45772 */   GIM_Reject,
     /*   45773 */ // Label 1265: @45773
     /*   45773 */ GIM_Reject,
     /*   45774 */ // Label 1114: @45774
     /*   45774 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(45888),
     /*   45779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   45782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   45785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   45797 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(45842), // Rule ID 47350 //
     /*   45802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   45805 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   45805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   45822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45840 */     GIR_RootConstrainSelectedInstOperands,
     /*   45841 */     // GIR_Coverage, 47350,
     /*   45841 */     GIR_EraseRootFromParent_Done,
     /*   45842 */   // Label 1269: @45842
     /*   45842 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(45887), // Rule ID 47351 //
     /*   45847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   45850 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   45850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   45853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   45867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   45874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   45876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   45882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45885 */     GIR_RootConstrainSelectedInstOperands,
     /*   45886 */     // GIR_Coverage, 47351,
     /*   45886 */     GIR_EraseRootFromParent_Done,
     /*   45887 */   // Label 1270: @45887
     /*   45887 */   GIM_Reject,
     /*   45888 */ // Label 1268: @45888
     /*   45888 */ GIM_Reject,
     /*   45889 */ // Label 1115: @45889
     /*   45889 */ GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(46499),
     /*   45894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45904 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(45970), // Rule ID 70255 //
     /*   45909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   45936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   45940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   45949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45951 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   45951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   45954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   45958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   45962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   45968 */     GIR_RootConstrainSelectedInstOperands,
     /*   45969 */     // GIR_Coverage, 70255,
     /*   45969 */     GIR_EraseRootFromParent_Done,
     /*   45970 */   // Label 1272: @45970
     /*   45970 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(46036), // Rule ID 70256 //
     /*   45975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   45986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   45990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   45994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46017 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46034 */     GIR_RootConstrainSelectedInstOperands,
     /*   46035 */     // GIR_Coverage, 70256,
     /*   46035 */     GIR_EraseRootFromParent_Done,
     /*   46036 */   // Label 1273: @46036
     /*   46036 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(46102), // Rule ID 70253 //
     /*   46041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46083 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46100 */     GIR_RootConstrainSelectedInstOperands,
     /*   46101 */     // GIR_Coverage, 70253,
     /*   46101 */     GIR_EraseRootFromParent_Done,
     /*   46102 */   // Label 1274: @46102
     /*   46102 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(46168), // Rule ID 70254 //
     /*   46107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46149 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46166 */     GIR_RootConstrainSelectedInstOperands,
     /*   46167 */     // GIR_Coverage, 70254,
     /*   46167 */     GIR_EraseRootFromParent_Done,
     /*   46168 */   // Label 1275: @46168
     /*   46168 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(46234), // Rule ID 70251 //
     /*   46173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46215 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46232 */     GIR_RootConstrainSelectedInstOperands,
     /*   46233 */     // GIR_Coverage, 70251,
     /*   46233 */     GIR_EraseRootFromParent_Done,
     /*   46234 */   // Label 1276: @46234
     /*   46234 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(46300), // Rule ID 70252 //
     /*   46239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46281 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46298 */     GIR_RootConstrainSelectedInstOperands,
     /*   46299 */     // GIR_Coverage, 70252,
     /*   46299 */     GIR_EraseRootFromParent_Done,
     /*   46300 */   // Label 1277: @46300
     /*   46300 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(46366), // Rule ID 52728 //
     /*   46305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46345 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46347 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46364 */     GIR_RootConstrainSelectedInstOperands,
     /*   46365 */     // GIR_Coverage, 52728,
     /*   46365 */     GIR_EraseRootFromParent_Done,
     /*   46366 */   // Label 1278: @46366
     /*   46366 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(46432), // Rule ID 52729 //
     /*   46371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   46390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   46394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   46403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46413 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*   46416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46430 */     GIR_RootConstrainSelectedInstOperands,
     /*   46431 */     // GIR_Coverage, 52729,
     /*   46431 */     GIR_EraseRootFromParent_Done,
     /*   46432 */   // Label 1279: @46432
     /*   46432 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(46465), // Rule ID 52716 //
     /*   46437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46448 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*   46451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46463 */     GIR_RootConstrainSelectedInstOperands,
     /*   46464 */     // GIR_Coverage, 52716,
     /*   46464 */     GIR_EraseRootFromParent_Done,
     /*   46465 */   // Label 1280: @46465
     /*   46465 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(46498), // Rule ID 52717 //
     /*   46470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46481 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*   46484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46496 */     GIR_RootConstrainSelectedInstOperands,
     /*   46497 */     // GIR_Coverage, 52717,
     /*   46497 */     GIR_EraseRootFromParent_Done,
     /*   46498 */   // Label 1281: @46498
     /*   46498 */   GIM_Reject,
     /*   46499 */ // Label 1271: @46499
     /*   46499 */ GIM_Reject,
     /*   46500 */ // Label 1116: @46500
     /*   46500 */ GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(46614),
     /*   46505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   46508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   46511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46515 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46523 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(46568), // Rule ID 47306 //
     /*   46528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46531 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   46531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   46548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46566 */     GIR_RootConstrainSelectedInstOperands,
     /*   46567 */     // GIR_Coverage, 47306,
     /*   46567 */     GIR_EraseRootFromParent_Done,
     /*   46568 */   // Label 1283: @46568
     /*   46568 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(46613), // Rule ID 47307 //
     /*   46573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46576 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   46576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   46579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*   46593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46611 */     GIR_RootConstrainSelectedInstOperands,
     /*   46612 */     // GIR_Coverage, 47307,
     /*   46612 */     GIR_EraseRootFromParent_Done,
     /*   46613 */   // Label 1284: @46613
     /*   46613 */   GIM_Reject,
     /*   46614 */ // Label 1282: @46614
     /*   46614 */ GIM_Reject,
     /*   46615 */ // Label 1117: @46615
     /*   46615 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(46729),
     /*   46620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   46623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   46626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46634 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46638 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(46683), // Rule ID 47322 //
     /*   46643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46646 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   46649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   46663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46681 */     GIR_RootConstrainSelectedInstOperands,
     /*   46682 */     // GIR_Coverage, 47322,
     /*   46682 */     GIR_EraseRootFromParent_Done,
     /*   46683 */   // Label 1286: @46683
     /*   46683 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(46728), // Rule ID 47323 //
     /*   46688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46691 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   46694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   46708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46726 */     GIR_RootConstrainSelectedInstOperands,
     /*   46727 */     // GIR_Coverage, 47323,
     /*   46727 */     GIR_EraseRootFromParent_Done,
     /*   46728 */   // Label 1287: @46728
     /*   46728 */   GIM_Reject,
     /*   46729 */ // Label 1285: @46729
     /*   46729 */ GIM_Reject,
     /*   46730 */ // Label 1118: @46730
     /*   46730 */ GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(46844),
     /*   46735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   46738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   46741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   46753 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(46798), // Rule ID 47338 //
     /*   46758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46761 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   46761 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   46764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46768 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   46778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46796 */     GIR_RootConstrainSelectedInstOperands,
     /*   46797 */     // GIR_Coverage, 47338,
     /*   46797 */     GIR_EraseRootFromParent_Done,
     /*   46798 */   // Label 1289: @46798
     /*   46798 */   GIM_Try, /*On fail goto*//*Label 1290*/ GIMT_Encode4(46843), // Rule ID 47339 //
     /*   46803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46806 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   46806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   46809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   46823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   46830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46841 */     GIR_RootConstrainSelectedInstOperands,
     /*   46842 */     // GIR_Coverage, 47339,
     /*   46842 */     GIR_EraseRootFromParent_Done,
     /*   46843 */   // Label 1290: @46843
     /*   46843 */   GIM_Reject,
     /*   46844 */ // Label 1288: @46844
     /*   46844 */ GIM_Reject,
     /*   46845 */ // Label 1119: @46845
     /*   46845 */ GIM_Try, /*On fail goto*//*Label 1291*/ GIMT_Encode4(47455),
     /*   46850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46860 */   GIM_Try, /*On fail goto*//*Label 1292*/ GIMT_Encode4(46926), // Rule ID 70283 //
     /*   46865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   46896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46907 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   46907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   46910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46914 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46924 */     GIR_RootConstrainSelectedInstOperands,
     /*   46925 */     // GIR_Coverage, 70283,
     /*   46925 */     GIR_EraseRootFromParent_Done,
     /*   46926 */   // Label 1292: @46926
     /*   46926 */   GIM_Try, /*On fail goto*//*Label 1293*/ GIMT_Encode4(46992), // Rule ID 70284 //
     /*   46931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   46942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   46946 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   46950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   46954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   46958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   46962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   46971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46973 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   46973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   46976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   46980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   46984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   46990 */     GIR_RootConstrainSelectedInstOperands,
     /*   46991 */     // GIR_Coverage, 70284,
     /*   46991 */     GIR_EraseRootFromParent_Done,
     /*   46992 */   // Label 1293: @46992
     /*   46992 */   GIM_Try, /*On fail goto*//*Label 1294*/ GIMT_Encode4(47058), // Rule ID 70281 //
     /*   46997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47012 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47039 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47056 */     GIR_RootConstrainSelectedInstOperands,
     /*   47057 */     // GIR_Coverage, 70281,
     /*   47057 */     GIR_EraseRootFromParent_Done,
     /*   47058 */   // Label 1294: @47058
     /*   47058 */   GIM_Try, /*On fail goto*//*Label 1295*/ GIMT_Encode4(47124), // Rule ID 70282 //
     /*   47063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47105 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47122 */     GIR_RootConstrainSelectedInstOperands,
     /*   47123 */     // GIR_Coverage, 70282,
     /*   47123 */     GIR_EraseRootFromParent_Done,
     /*   47124 */   // Label 1295: @47124
     /*   47124 */   GIM_Try, /*On fail goto*//*Label 1296*/ GIMT_Encode4(47190), // Rule ID 70279 //
     /*   47129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47171 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47188 */     GIR_RootConstrainSelectedInstOperands,
     /*   47189 */     // GIR_Coverage, 70279,
     /*   47189 */     GIR_EraseRootFromParent_Done,
     /*   47190 */   // Label 1296: @47190
     /*   47190 */   GIM_Try, /*On fail goto*//*Label 1297*/ GIMT_Encode4(47256), // Rule ID 70280 //
     /*   47195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47237 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47254 */     GIR_RootConstrainSelectedInstOperands,
     /*   47255 */     // GIR_Coverage, 70280,
     /*   47255 */     GIR_EraseRootFromParent_Done,
     /*   47256 */   // Label 1297: @47256
     /*   47256 */   GIM_Try, /*On fail goto*//*Label 1298*/ GIMT_Encode4(47322), // Rule ID 52746 //
     /*   47261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47303 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47320 */     GIR_RootConstrainSelectedInstOperands,
     /*   47321 */     // GIR_Coverage, 52746,
     /*   47321 */     GIR_EraseRootFromParent_Done,
     /*   47322 */   // Label 1298: @47322
     /*   47322 */   GIM_Try, /*On fail goto*//*Label 1299*/ GIMT_Encode4(47388), // Rule ID 52747 //
     /*   47327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   47346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   47350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47369 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*   47372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47386 */     GIR_RootConstrainSelectedInstOperands,
     /*   47387 */     // GIR_Coverage, 52747,
     /*   47387 */     GIR_EraseRootFromParent_Done,
     /*   47388 */   // Label 1299: @47388
     /*   47388 */   GIM_Try, /*On fail goto*//*Label 1300*/ GIMT_Encode4(47421), // Rule ID 52734 //
     /*   47393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47404 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*   47407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47419 */     GIR_RootConstrainSelectedInstOperands,
     /*   47420 */     // GIR_Coverage, 52734,
     /*   47420 */     GIR_EraseRootFromParent_Done,
     /*   47421 */   // Label 1300: @47421
     /*   47421 */   GIM_Try, /*On fail goto*//*Label 1301*/ GIMT_Encode4(47454), // Rule ID 52735 //
     /*   47426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47437 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*   47440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47452 */     GIR_RootConstrainSelectedInstOperands,
     /*   47453 */     // GIR_Coverage, 52735,
     /*   47453 */     GIR_EraseRootFromParent_Done,
     /*   47454 */   // Label 1301: @47454
     /*   47454 */   GIM_Reject,
     /*   47455 */ // Label 1291: @47455
     /*   47455 */ GIM_Reject,
     /*   47456 */ // Label 1120: @47456
     /*   47456 */ GIM_Try, /*On fail goto*//*Label 1302*/ GIMT_Encode4(47570),
     /*   47461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   47464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   47467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47479 */   GIM_Try, /*On fail goto*//*Label 1303*/ GIMT_Encode4(47524), // Rule ID 47310 //
     /*   47484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47487 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   47487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   47490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   47504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47522 */     GIR_RootConstrainSelectedInstOperands,
     /*   47523 */     // GIR_Coverage, 47310,
     /*   47523 */     GIR_EraseRootFromParent_Done,
     /*   47524 */   // Label 1303: @47524
     /*   47524 */   GIM_Try, /*On fail goto*//*Label 1304*/ GIMT_Encode4(47569), // Rule ID 47311 //
     /*   47529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47532 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   47532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   47535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*   47549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47567 */     GIR_RootConstrainSelectedInstOperands,
     /*   47568 */     // GIR_Coverage, 47311,
     /*   47568 */     GIR_EraseRootFromParent_Done,
     /*   47569 */   // Label 1304: @47569
     /*   47569 */   GIM_Reject,
     /*   47570 */ // Label 1302: @47570
     /*   47570 */ GIM_Reject,
     /*   47571 */ // Label 1121: @47571
     /*   47571 */ GIM_Try, /*On fail goto*//*Label 1305*/ GIMT_Encode4(47685),
     /*   47576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   47579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   47582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47594 */   GIM_Try, /*On fail goto*//*Label 1306*/ GIMT_Encode4(47639), // Rule ID 47326 //
     /*   47599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47602 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   47602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   47605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   47619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47637 */     GIR_RootConstrainSelectedInstOperands,
     /*   47638 */     // GIR_Coverage, 47326,
     /*   47638 */     GIR_EraseRootFromParent_Done,
     /*   47639 */   // Label 1306: @47639
     /*   47639 */   GIM_Try, /*On fail goto*//*Label 1307*/ GIMT_Encode4(47684), // Rule ID 47327 //
     /*   47644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47647 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   47647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   47650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   47664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47682 */     GIR_RootConstrainSelectedInstOperands,
     /*   47683 */     // GIR_Coverage, 47327,
     /*   47683 */     GIR_EraseRootFromParent_Done,
     /*   47684 */   // Label 1307: @47684
     /*   47684 */   GIM_Reject,
     /*   47685 */ // Label 1305: @47685
     /*   47685 */ GIM_Reject,
     /*   47686 */ // Label 1122: @47686
     /*   47686 */ GIM_Try, /*On fail goto*//*Label 1308*/ GIMT_Encode4(48296),
     /*   47691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47701 */   GIM_Try, /*On fail goto*//*Label 1309*/ GIMT_Encode4(47767), // Rule ID 70311 //
     /*   47706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47746 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47748 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47765 */     GIR_RootConstrainSelectedInstOperands,
     /*   47766 */     // GIR_Coverage, 70311,
     /*   47766 */     GIR_EraseRootFromParent_Done,
     /*   47767 */   // Label 1309: @47767
     /*   47767 */   GIM_Try, /*On fail goto*//*Label 1310*/ GIMT_Encode4(47833), // Rule ID 70312 //
     /*   47772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47783 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47787 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47791 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47795 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47799 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47814 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   47825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47831 */     GIR_RootConstrainSelectedInstOperands,
     /*   47832 */     // GIR_Coverage, 70312,
     /*   47832 */     GIR_EraseRootFromParent_Done,
     /*   47833 */   // Label 1310: @47833
     /*   47833 */   GIM_Try, /*On fail goto*//*Label 1311*/ GIMT_Encode4(47899), // Rule ID 70309 //
     /*   47838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47857 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   47874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47880 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   47880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47897 */     GIR_RootConstrainSelectedInstOperands,
     /*   47898 */     // GIR_Coverage, 70309,
     /*   47898 */     GIR_EraseRootFromParent_Done,
     /*   47899 */   // Label 1311: @47899
     /*   47899 */   GIM_Try, /*On fail goto*//*Label 1312*/ GIMT_Encode4(47965), // Rule ID 70310 //
     /*   47904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   47932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   47936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   47940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   47946 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   47946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   47949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   47953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   47957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   47963 */     GIR_RootConstrainSelectedInstOperands,
     /*   47964 */     // GIR_Coverage, 70310,
     /*   47964 */     GIR_EraseRootFromParent_Done,
     /*   47965 */   // Label 1312: @47965
     /*   47965 */   GIM_Try, /*On fail goto*//*Label 1313*/ GIMT_Encode4(48031), // Rule ID 70307 //
     /*   47970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   47977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   47985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   47989 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   47993 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47997 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48001 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   48005 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48012 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48029 */     GIR_RootConstrainSelectedInstOperands,
     /*   48030 */     // GIR_Coverage, 70307,
     /*   48030 */     GIR_EraseRootFromParent_Done,
     /*   48031 */   // Label 1313: @48031
     /*   48031 */   GIM_Try, /*On fail goto*//*Label 1314*/ GIMT_Encode4(48097), // Rule ID 70308 //
     /*   48036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48059 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48063 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48067 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   48071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48078 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48095 */     GIR_RootConstrainSelectedInstOperands,
     /*   48096 */     // GIR_Coverage, 70308,
     /*   48096 */     GIR_EraseRootFromParent_Done,
     /*   48097 */   // Label 1314: @48097
     /*   48097 */   GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(48163), // Rule ID 52764 //
     /*   48102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   48134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   48142 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48144 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48161 */     GIR_RootConstrainSelectedInstOperands,
     /*   48162 */     // GIR_Coverage, 52764,
     /*   48162 */     GIR_EraseRootFromParent_Done,
     /*   48163 */   // Label 1315: @48163
     /*   48163 */   GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(48229), // Rule ID 52765 //
     /*   48168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   48187 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   48191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   48200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   48204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   48208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48210 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*   48213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48227 */     GIR_RootConstrainSelectedInstOperands,
     /*   48228 */     // GIR_Coverage, 52765,
     /*   48228 */     GIR_EraseRootFromParent_Done,
     /*   48229 */   // Label 1316: @48229
     /*   48229 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(48262), // Rule ID 52752 //
     /*   48234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48245 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   48245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*   48248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48260 */     GIR_RootConstrainSelectedInstOperands,
     /*   48261 */     // GIR_Coverage, 52752,
     /*   48261 */     GIR_EraseRootFromParent_Done,
     /*   48262 */   // Label 1317: @48262
     /*   48262 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(48295), // Rule ID 52753 //
     /*   48267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   48278 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   48278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*   48281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   48293 */     GIR_RootConstrainSelectedInstOperands,
     /*   48294 */     // GIR_Coverage, 52753,
     /*   48294 */     GIR_EraseRootFromParent_Done,
     /*   48295 */   // Label 1318: @48295
     /*   48295 */   GIM_Reject,
     /*   48296 */ // Label 1308: @48296
     /*   48296 */ GIM_Reject,
     /*   48297 */ // Label 1123: @48297
     /*   48297 */ GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(48411),
     /*   48302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   48305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   48308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48320 */   GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(48365), // Rule ID 47314 //
     /*   48325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   48328 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   48328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   48331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   48345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48363 */     GIR_RootConstrainSelectedInstOperands,
     /*   48364 */     // GIR_Coverage, 47314,
     /*   48364 */     GIR_EraseRootFromParent_Done,
     /*   48365 */   // Label 1320: @48365
     /*   48365 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(48410), // Rule ID 47315 //
     /*   48370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   48373 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   48373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   48376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*   48390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   48408 */     GIR_RootConstrainSelectedInstOperands,
     /*   48409 */     // GIR_Coverage, 47315,
     /*   48409 */     GIR_EraseRootFromParent_Done,
     /*   48410 */   // Label 1321: @48410
     /*   48410 */   GIM_Reject,
     /*   48411 */ // Label 1319: @48411
     /*   48411 */ GIM_Reject,
     /*   48412 */ // Label 1124: @48412
     /*   48412 */ GIM_Reject,
     /*   48413 */ // Label 9: @48413
     /*   48413 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1353*/ GIMT_Encode4(63207),
     /*   48424 */ /*GILLT_s32*//*Label 1322*/ GIMT_Encode4(48548),
     /*   48428 */ /*GILLT_s64*//*Label 1323*/ GIMT_Encode4(48974),
     /*   48432 */ /*GILLT_nxv1s1*//*Label 1324*/ GIMT_Encode4(49400),
     /*   48436 */ /*GILLT_nxv1s8*//*Label 1325*/ GIMT_Encode4(51011),
     /*   48440 */ /*GILLT_nxv1s16*//*Label 1326*/ GIMT_Encode4(51126),
     /*   48444 */ /*GILLT_nxv1s32*//*Label 1327*/ GIMT_Encode4(51241),
     /*   48448 */ /*GILLT_nxv1s64*//*Label 1328*/ GIMT_Encode4(51356),
     /*   48452 */ /*GILLT_nxv2s1*//*Label 1329*/ GIMT_Encode4(51471),
     /*   48456 */ /*GILLT_nxv2s8*//*Label 1330*/ GIMT_Encode4(53082),
     /*   48460 */ /*GILLT_nxv2s16*//*Label 1331*/ GIMT_Encode4(53197),
     /*   48464 */ /*GILLT_nxv2s32*//*Label 1332*/ GIMT_Encode4(53312),
     /*   48468 */ /*GILLT_nxv2s64*//*Label 1333*/ GIMT_Encode4(53427),
     /*   48472 */ /*GILLT_nxv4s1*//*Label 1334*/ GIMT_Encode4(53542),
     /*   48476 */ /*GILLT_nxv4s8*//*Label 1335*/ GIMT_Encode4(55153),
     /*   48480 */ /*GILLT_nxv4s16*//*Label 1336*/ GIMT_Encode4(55268),
     /*   48484 */ /*GILLT_nxv4s32*//*Label 1337*/ GIMT_Encode4(55383),
     /*   48488 */ /*GILLT_nxv4s64*//*Label 1338*/ GIMT_Encode4(55498),
     /*   48492 */ /*GILLT_nxv8s1*//*Label 1339*/ GIMT_Encode4(55613),
     /*   48496 */ /*GILLT_nxv8s8*//*Label 1340*/ GIMT_Encode4(57224),
     /*   48500 */ /*GILLT_nxv8s16*//*Label 1341*/ GIMT_Encode4(57339),
     /*   48504 */ /*GILLT_nxv8s32*//*Label 1342*/ GIMT_Encode4(57454),
     /*   48508 */ /*GILLT_nxv8s64*//*Label 1343*/ GIMT_Encode4(57569),
     /*   48512 */ /*GILLT_nxv16s1*//*Label 1344*/ GIMT_Encode4(57684),
     /*   48516 */ /*GILLT_nxv16s8*//*Label 1345*/ GIMT_Encode4(59295),
     /*   48520 */ /*GILLT_nxv16s16*//*Label 1346*/ GIMT_Encode4(59410),
     /*   48524 */ /*GILLT_nxv16s32*//*Label 1347*/ GIMT_Encode4(59525),
     /*   48528 */ /*GILLT_nxv32s1*//*Label 1348*/ GIMT_Encode4(59640),
     /*   48532 */ /*GILLT_nxv32s8*//*Label 1349*/ GIMT_Encode4(61251),
     /*   48536 */ /*GILLT_nxv32s16*//*Label 1350*/ GIMT_Encode4(61366),
     /*   48540 */ /*GILLT_nxv64s1*//*Label 1351*/ GIMT_Encode4(61481),
     /*   48544 */ /*GILLT_nxv64s8*//*Label 1352*/ GIMT_Encode4(63092),
     /*   48548 */ // Label 1322: @48548
     /*   48548 */ GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(48973),
     /*   48553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   48556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   48559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48563 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(48642), // Rule ID 2341 //
     /*   48568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48587 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*   48591 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   48595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48597 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48604 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*   48604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   48607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   48611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   48622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   48632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   48637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48640 */     GIR_RootConstrainSelectedInstOperands,
     /*   48641 */     // GIR_Coverage, 2341,
     /*   48641 */     GIR_EraseRootFromParent_Done,
     /*   48642 */   // Label 1355: @48642
     /*   48642 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(48697), // Rule ID 2335 //
     /*   48647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48666 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   48670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48676 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48683 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   48686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   48690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48695 */     GIR_RootConstrainSelectedInstOperands,
     /*   48696 */     // GIR_Coverage, 2335,
     /*   48696 */     GIR_EraseRootFromParent_Done,
     /*   48697 */   // Label 1356: @48697
     /*   48697 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(48752), // Rule ID 64092 //
     /*   48702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*   48705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   48717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48721 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48725 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   48729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48731 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   48738 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   48741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   48750 */     GIR_RootConstrainSelectedInstOperands,
     /*   48751 */     // GIR_Coverage, 64092,
     /*   48751 */     GIR_EraseRootFromParent_Done,
     /*   48752 */   // Label 1357: @48752
     /*   48752 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(48804), // Rule ID 64078 //
     /*   48757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48772 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48781 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   48785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48791 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   48802 */     GIR_RootConstrainSelectedInstOperands,
     /*   48803 */     // GIR_Coverage, 64078,
     /*   48803 */     GIR_EraseRootFromParent_Done,
     /*   48804 */   // Label 1358: @48804
     /*   48804 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(48859), // Rule ID 64076 //
     /*   48809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48838 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   48842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48844 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   48853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   48857 */     GIR_RootConstrainSelectedInstOperands,
     /*   48858 */     // GIR_Coverage, 64076,
     /*   48858 */     GIR_EraseRootFromParent_Done,
     /*   48859 */   // Label 1359: @48859
     /*   48859 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(48911), // Rule ID 2309 //
     /*   48864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*   48867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   48879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   48883 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   48887 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48892 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   48896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48898 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   48901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   48909 */     GIR_RootConstrainSelectedInstOperands,
     /*   48910 */     // GIR_Coverage, 2309,
     /*   48910 */     GIR_EraseRootFromParent_Done,
     /*   48911 */   // Label 1360: @48911
     /*   48911 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(48949), // Rule ID 89 //
     /*   48916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   48919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   48931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   48935 */     // MIs[1] Operand 1
     /*   48935 */     // No operand predicates
     /*   48935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   48937 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*   48937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*   48940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   48944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   48947 */     GIR_RootConstrainSelectedInstOperands,
     /*   48948 */     // GIR_Coverage, 89,
     /*   48948 */     GIR_EraseRootFromParent_Done,
     /*   48949 */   // Label 1361: @48949
     /*   48949 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(48972), // Rule ID 87 //
     /*   48954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   48957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48965 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   48965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*   48970 */     GIR_RootConstrainSelectedInstOperands,
     /*   48971 */     // GIR_Coverage, 87,
     /*   48971 */     GIR_Done,
     /*   48972 */   // Label 1362: @48972
     /*   48972 */   GIM_Reject,
     /*   48973 */ // Label 1354: @48973
     /*   48973 */ GIM_Reject,
     /*   48974 */ // Label 1323: @48974
     /*   48974 */ GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(49399),
     /*   48979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   48982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   48985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   48989 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(49068), // Rule ID 2340 //
     /*   48994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   48997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49009 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49013 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*   49017 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   49021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49023 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49030 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*   49030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   49033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*   49037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   49048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   49058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49066 */     GIR_RootConstrainSelectedInstOperands,
     /*   49067 */     // GIR_Coverage, 2340,
     /*   49067 */     GIR_EraseRootFromParent_Done,
     /*   49068 */   // Label 1364: @49068
     /*   49068 */   GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(49123), // Rule ID 2334 //
     /*   49073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   49076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   49096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49109 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   49112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   49116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49121 */     GIR_RootConstrainSelectedInstOperands,
     /*   49122 */     // GIR_Coverage, 2334,
     /*   49122 */     GIR_EraseRootFromParent_Done,
     /*   49123 */   // Label 1365: @49123
     /*   49123 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(49178), // Rule ID 64091 //
     /*   49128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*   49131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   49143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49147 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49151 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*   49155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49157 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*   49164 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*   49167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*   49176 */     GIR_RootConstrainSelectedInstOperands,
     /*   49177 */     // GIR_Coverage, 64091,
     /*   49177 */     GIR_EraseRootFromParent_Done,
     /*   49178 */   // Label 1366: @49178
     /*   49178 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(49230), // Rule ID 64077 //
     /*   49183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49198 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49207 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   49211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49217 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49228 */     GIR_RootConstrainSelectedInstOperands,
     /*   49229 */     // GIR_Coverage, 64077,
     /*   49229 */     GIR_EraseRootFromParent_Done,
     /*   49230 */   // Label 1367: @49230
     /*   49230 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(49285), // Rule ID 64075 //
     /*   49235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49250 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49264 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*   49268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49270 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49283 */     GIR_RootConstrainSelectedInstOperands,
     /*   49284 */     // GIR_Coverage, 64075,
     /*   49284 */     GIR_EraseRootFromParent_Done,
     /*   49285 */   // Label 1368: @49285
     /*   49285 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(49337), // Rule ID 2308 //
     /*   49290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*   49293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   49309 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   49313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49318 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*   49322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49324 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*   49327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49335 */     GIR_RootConstrainSelectedInstOperands,
     /*   49336 */     // GIR_Coverage, 2308,
     /*   49336 */     GIR_EraseRootFromParent_Done,
     /*   49337 */   // Label 1369: @49337
     /*   49337 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(49375), // Rule ID 88 //
     /*   49342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   49345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   49357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   49361 */     // MIs[1] Operand 1
     /*   49361 */     // No operand predicates
     /*   49361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49363 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   49363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*   49366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   49370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   49373 */     GIR_RootConstrainSelectedInstOperands,
     /*   49374 */     // GIR_Coverage, 88,
     /*   49374 */     GIR_EraseRootFromParent_Done,
     /*   49375 */   // Label 1370: @49375
     /*   49375 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(49398), // Rule ID 86 //
     /*   49380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   49383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   49391 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   49391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*   49396 */     GIR_RootConstrainSelectedInstOperands,
     /*   49397 */     // GIR_Coverage, 86,
     /*   49397 */     GIR_Done,
     /*   49398 */   // Label 1371: @49398
     /*   49398 */   GIM_Reject,
     /*   49399 */ // Label 1363: @49399
     /*   49399 */ GIM_Reject,
     /*   49400 */ // Label 1324: @49400
     /*   49400 */ GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(51010),
     /*   49405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49415 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(49484), // Rule ID 52648 //
     /*   49420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   49431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49435 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49463 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   49466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49482 */     GIR_RootConstrainSelectedInstOperands,
     /*   49483 */     // GIR_Coverage, 52648,
     /*   49483 */     GIR_EraseRootFromParent_Done,
     /*   49484 */   // Label 1373: @49484
     /*   49484 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(49553), // Rule ID 52649 //
     /*   49489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   49500 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49504 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49530 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49532 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   49535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49551 */     GIR_RootConstrainSelectedInstOperands,
     /*   49552 */     // GIR_Coverage, 52649,
     /*   49552 */     GIR_EraseRootFromParent_Done,
     /*   49553 */   // Label 1374: @49553
     /*   49553 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(49622), // Rule ID 52650 //
     /*   49558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   49569 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49573 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49582 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49587 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49591 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49595 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49599 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49601 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   49604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49620 */     GIR_RootConstrainSelectedInstOperands,
     /*   49621 */     // GIR_Coverage, 52650,
     /*   49621 */     GIR_EraseRootFromParent_Done,
     /*   49622 */   // Label 1375: @49622
     /*   49622 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(49691), // Rule ID 52651 //
     /*   49627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   49638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49642 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49670 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   49673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   49683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49689 */     GIR_RootConstrainSelectedInstOperands,
     /*   49690 */     // GIR_Coverage, 52651,
     /*   49690 */     GIR_EraseRootFromParent_Done,
     /*   49691 */   // Label 1376: @49691
     /*   49691 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(49757), // Rule ID 70125 //
     /*   49696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49715 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49719 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49723 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49738 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   49747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49755 */     GIR_RootConstrainSelectedInstOperands,
     /*   49756 */     // GIR_Coverage, 70125,
     /*   49756 */     GIR_EraseRootFromParent_Done,
     /*   49757 */   // Label 1377: @49757
     /*   49757 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(49823), // Rule ID 70126 //
     /*   49762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   49785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49804 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   49813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49821 */     GIR_RootConstrainSelectedInstOperands,
     /*   49822 */     // GIR_Coverage, 70126,
     /*   49822 */     GIR_EraseRootFromParent_Done,
     /*   49823 */   // Label 1378: @49823
     /*   49823 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(49889), // Rule ID 70123 //
     /*   49828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   49856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   49864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49870 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   49870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49887 */     GIR_RootConstrainSelectedInstOperands,
     /*   49888 */     // GIR_Coverage, 70123,
     /*   49888 */     GIR_EraseRootFromParent_Done,
     /*   49889 */   // Label 1379: @49889
     /*   49889 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(49955), // Rule ID 70124 //
     /*   49894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   49897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49918 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   49922 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49926 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   49930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49936 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   49936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   49939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   49953 */     GIR_RootConstrainSelectedInstOperands,
     /*   49954 */     // GIR_Coverage, 70124,
     /*   49954 */     GIR_EraseRootFromParent_Done,
     /*   49955 */   // Label 1380: @49955
     /*   49955 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(50024), // Rule ID 52652 //
     /*   49960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   49963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   49971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   49975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   49979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   49989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   49997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50003 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   50016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50022 */     GIR_RootConstrainSelectedInstOperands,
     /*   50023 */     // GIR_Coverage, 52652,
     /*   50023 */     GIR_EraseRootFromParent_Done,
     /*   50024 */   // Label 1381: @50024
     /*   50024 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(50093), // Rule ID 52653 //
     /*   50029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50072 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   50085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50091 */     GIR_RootConstrainSelectedInstOperands,
     /*   50092 */     // GIR_Coverage, 52653,
     /*   50092 */     GIR_EraseRootFromParent_Done,
     /*   50093 */   // Label 1382: @50093
     /*   50093 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(50162), // Rule ID 70119 //
     /*   50098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   50121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50125 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50134 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50139 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50141 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50160 */     GIR_RootConstrainSelectedInstOperands,
     /*   50161 */     // GIR_Coverage, 70119,
     /*   50161 */     GIR_EraseRootFromParent_Done,
     /*   50162 */   // Label 1383: @50162
     /*   50162 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(50231), // Rule ID 70120 //
     /*   50167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50178 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   50190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50194 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50203 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50208 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50210 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50229 */     GIR_RootConstrainSelectedInstOperands,
     /*   50230 */     // GIR_Coverage, 70120,
     /*   50230 */     GIR_EraseRootFromParent_Done,
     /*   50231 */   // Label 1384: @50231
     /*   50231 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(50300), // Rule ID 70121 //
     /*   50236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   50259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50279 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   50282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50298 */     GIR_RootConstrainSelectedInstOperands,
     /*   50299 */     // GIR_Coverage, 70121,
     /*   50299 */     GIR_EraseRootFromParent_Done,
     /*   50300 */   // Label 1385: @50300
     /*   50300 */   GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(50369), // Rule ID 70122 //
     /*   50305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   50328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50332 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50348 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*   50351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50367 */     GIR_RootConstrainSelectedInstOperands,
     /*   50368 */     // GIR_Coverage, 70122,
     /*   50368 */     GIR_EraseRootFromParent_Done,
     /*   50369 */   // Label 1386: @50369
     /*   50369 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(50438), // Rule ID 70127 //
     /*   50374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50401 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50410 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50415 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50417 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50436 */     GIR_RootConstrainSelectedInstOperands,
     /*   50437 */     // GIR_Coverage, 70127,
     /*   50437 */     GIR_EraseRootFromParent_Done,
     /*   50438 */   // Label 1387: @50438
     /*   50438 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(50507), // Rule ID 70128 //
     /*   50443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   50462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50470 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50486 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   50495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   50499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50505 */     GIR_RootConstrainSelectedInstOperands,
     /*   50506 */     // GIR_Coverage, 70128,
     /*   50506 */     GIR_EraseRootFromParent_Done,
     /*   50507 */   // Label 1388: @50507
     /*   50507 */   GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(50573), // Rule ID 70131 //
     /*   50512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50552 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50554 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   50563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50571 */     GIR_RootConstrainSelectedInstOperands,
     /*   50572 */     // GIR_Coverage, 70131,
     /*   50572 */     GIR_EraseRootFromParent_Done,
     /*   50573 */   // Label 1389: @50573
     /*   50573 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(50639), // Rule ID 70132 //
     /*   50578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50620 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   50629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50637 */     GIR_RootConstrainSelectedInstOperands,
     /*   50638 */     // GIR_Coverage, 70132,
     /*   50638 */     GIR_EraseRootFromParent_Done,
     /*   50639 */   // Label 1390: @50639
     /*   50639 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(50705), // Rule ID 70129 //
     /*   50644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   50676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   50684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50686 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50703 */     GIR_RootConstrainSelectedInstOperands,
     /*   50704 */     // GIR_Coverage, 70129,
     /*   50704 */     GIR_EraseRootFromParent_Done,
     /*   50705 */   // Label 1391: @50705
     /*   50705 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(50771), // Rule ID 70130 //
     /*   50710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   50725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*   50729 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*   50733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50738 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   50742 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50746 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   50750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   50752 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*   50755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50769 */     GIR_RootConstrainSelectedInstOperands,
     /*   50770 */     // GIR_Coverage, 70130,
     /*   50770 */     GIR_EraseRootFromParent_Done,
     /*   50771 */   // Label 1392: @50771
     /*   50771 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(50814), // Rule ID 70145 //
     /*   50776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50797 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50812 */     GIR_RootConstrainSelectedInstOperands,
     /*   50813 */     // GIR_Coverage, 70145,
     /*   50813 */     GIR_EraseRootFromParent_Done,
     /*   50814 */   // Label 1393: @50814
     /*   50814 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(50857), // Rule ID 70146 //
     /*   50819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50840 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   50849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50855 */     GIR_RootConstrainSelectedInstOperands,
     /*   50856 */     // GIR_Coverage, 70146,
     /*   50856 */     GIR_EraseRootFromParent_Done,
     /*   50857 */   // Label 1394: @50857
     /*   50857 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(50900), // Rule ID 52658 //
     /*   50862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   50881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50883 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50898 */     GIR_RootConstrainSelectedInstOperands,
     /*   50899 */     // GIR_Coverage, 52658,
     /*   50899 */     GIR_EraseRootFromParent_Done,
     /*   50900 */   // Label 1395: @50900
     /*   50900 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(50943), // Rule ID 52659 //
     /*   50905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   50920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   50924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50926 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*   50929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   50935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50941 */     GIR_RootConstrainSelectedInstOperands,
     /*   50942 */     // GIR_Coverage, 52659,
     /*   50942 */     GIR_EraseRootFromParent_Done,
     /*   50943 */   // Label 1396: @50943
     /*   50943 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(50976), // Rule ID 52646 //
     /*   50948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50959 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   50959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*   50962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   50974 */     GIR_RootConstrainSelectedInstOperands,
     /*   50975 */     // GIR_Coverage, 52646,
     /*   50975 */     GIR_EraseRootFromParent_Done,
     /*   50976 */   // Label 1397: @50976
     /*   50976 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(51009), // Rule ID 52647 //
     /*   50981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   50992 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   50992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*   50995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51007 */     GIR_RootConstrainSelectedInstOperands,
     /*   51008 */     // GIR_Coverage, 52647,
     /*   51008 */     GIR_EraseRootFromParent_Done,
     /*   51009 */   // Label 1398: @51009
     /*   51009 */   GIM_Reject,
     /*   51010 */ // Label 1372: @51010
     /*   51010 */ GIM_Reject,
     /*   51011 */ // Label 1325: @51011
     /*   51011 */ GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(51125),
     /*   51016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   51019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   51022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51034 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(51079), // Rule ID 47398 //
     /*   51039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51042 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   51042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   51045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*   51059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51077 */     GIR_RootConstrainSelectedInstOperands,
     /*   51078 */     // GIR_Coverage, 47398,
     /*   51078 */     GIR_EraseRootFromParent_Done,
     /*   51079 */   // Label 1400: @51079
     /*   51079 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(51124), // Rule ID 47399 //
     /*   51084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51087 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   51087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   51090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*   51104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51122 */     GIR_RootConstrainSelectedInstOperands,
     /*   51123 */     // GIR_Coverage, 47399,
     /*   51123 */     GIR_EraseRootFromParent_Done,
     /*   51124 */   // Label 1401: @51124
     /*   51124 */   GIM_Reject,
     /*   51125 */ // Label 1399: @51125
     /*   51125 */ GIM_Reject,
     /*   51126 */ // Label 1326: @51126
     /*   51126 */ GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(51240),
     /*   51131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   51134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   51137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51149 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(51194), // Rule ID 47410 //
     /*   51154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51157 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   51157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   51160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   51174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51192 */     GIR_RootConstrainSelectedInstOperands,
     /*   51193 */     // GIR_Coverage, 47410,
     /*   51193 */     GIR_EraseRootFromParent_Done,
     /*   51194 */   // Label 1403: @51194
     /*   51194 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(51239), // Rule ID 47411 //
     /*   51199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51202 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   51202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   51205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   51219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   51234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51237 */     GIR_RootConstrainSelectedInstOperands,
     /*   51238 */     // GIR_Coverage, 47411,
     /*   51238 */     GIR_EraseRootFromParent_Done,
     /*   51239 */   // Label 1404: @51239
     /*   51239 */   GIM_Reject,
     /*   51240 */ // Label 1402: @51240
     /*   51240 */ GIM_Reject,
     /*   51241 */ // Label 1327: @51241
     /*   51241 */ GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(51355),
     /*   51246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   51249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   51252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51264 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(51309), // Rule ID 47418 //
     /*   51269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51272 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   51272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   51275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   51289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   51304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51307 */     GIR_RootConstrainSelectedInstOperands,
     /*   51308 */     // GIR_Coverage, 47418,
     /*   51308 */     GIR_EraseRootFromParent_Done,
     /*   51309 */   // Label 1406: @51309
     /*   51309 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(51354), // Rule ID 47419 //
     /*   51314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51317 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   51317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   51320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   51334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   51349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51352 */     GIR_RootConstrainSelectedInstOperands,
     /*   51353 */     // GIR_Coverage, 47419,
     /*   51353 */     GIR_EraseRootFromParent_Done,
     /*   51354 */   // Label 1407: @51354
     /*   51354 */   GIM_Reject,
     /*   51355 */ // Label 1405: @51355
     /*   51355 */ GIM_Reject,
     /*   51356 */ // Label 1328: @51356
     /*   51356 */ GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(51470),
     /*   51361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   51364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   51367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51379 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(51424), // Rule ID 47434 //
     /*   51384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   51387 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   51387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   51390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   51404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   51419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51422 */     GIR_RootConstrainSelectedInstOperands,
     /*   51423 */     // GIR_Coverage, 47434,
     /*   51423 */     GIR_EraseRootFromParent_Done,
     /*   51424 */   // Label 1409: @51424
     /*   51424 */   GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(51469), // Rule ID 47435 //
     /*   51429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   51432 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   51432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   51435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   51439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   51444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   51446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   51449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   51454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   51456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   51464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51467 */     GIR_RootConstrainSelectedInstOperands,
     /*   51468 */     // GIR_Coverage, 47435,
     /*   51468 */     GIR_EraseRootFromParent_Done,
     /*   51469 */   // Label 1410: @51469
     /*   51469 */   GIM_Reject,
     /*   51470 */ // Label 1408: @51470
     /*   51470 */ GIM_Reject,
     /*   51471 */ // Label 1329: @51471
     /*   51471 */ GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(53081),
     /*   51476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51486 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(51555), // Rule ID 52666 //
     /*   51491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   51502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51534 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   51537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51553 */     GIR_RootConstrainSelectedInstOperands,
     /*   51554 */     // GIR_Coverage, 52666,
     /*   51554 */     GIR_EraseRootFromParent_Done,
     /*   51555 */   // Label 1412: @51555
     /*   51555 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(51624), // Rule ID 52667 //
     /*   51560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   51571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51603 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   51606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51622 */     GIR_RootConstrainSelectedInstOperands,
     /*   51623 */     // GIR_Coverage, 52667,
     /*   51623 */     GIR_EraseRootFromParent_Done,
     /*   51624 */   // Label 1413: @51624
     /*   51624 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(51693), // Rule ID 52668 //
     /*   51629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   51640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51644 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51670 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51672 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   51675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51691 */     GIR_RootConstrainSelectedInstOperands,
     /*   51692 */     // GIR_Coverage, 52668,
     /*   51692 */     GIR_EraseRootFromParent_Done,
     /*   51693 */   // Label 1414: @51693
     /*   51693 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(51762), // Rule ID 52669 //
     /*   51698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   51709 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51713 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   51731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51739 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51741 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   51744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   51754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51760 */     GIR_RootConstrainSelectedInstOperands,
     /*   51761 */     // GIR_Coverage, 52669,
     /*   51761 */     GIR_EraseRootFromParent_Done,
     /*   51762 */   // Label 1415: @51762
     /*   51762 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(51828), // Rule ID 70153 //
     /*   51767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51809 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   51818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51826 */     GIR_RootConstrainSelectedInstOperands,
     /*   51827 */     // GIR_Coverage, 70153,
     /*   51827 */     GIR_EraseRootFromParent_Done,
     /*   51828 */   // Label 1416: @51828
     /*   51828 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(51894), // Rule ID 70154 //
     /*   51833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51844 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51848 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   51864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51873 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51875 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   51875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   51884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51892 */     GIR_RootConstrainSelectedInstOperands,
     /*   51893 */     // GIR_Coverage, 70154,
     /*   51893 */     GIR_EraseRootFromParent_Done,
     /*   51894 */   // Label 1417: @51894
     /*   51894 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(51960), // Rule ID 70151 //
     /*   51899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51914 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   51927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   51935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   51941 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   51941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   51944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   51950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   51952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   51958 */     GIR_RootConstrainSelectedInstOperands,
     /*   51959 */     // GIR_Coverage, 70151,
     /*   51959 */     GIR_EraseRootFromParent_Done,
     /*   51960 */   // Label 1418: @51960
     /*   51960 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(52026), // Rule ID 70152 //
     /*   51965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   51976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   51980 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   51984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   51989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   51993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   51997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52007 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   52018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52024 */     GIR_RootConstrainSelectedInstOperands,
     /*   52025 */     // GIR_Coverage, 70152,
     /*   52025 */     GIR_EraseRootFromParent_Done,
     /*   52026 */   // Label 1419: @52026
     /*   52026 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(52095), // Rule ID 52670 //
     /*   52031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52046 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52050 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52074 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   52087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52093 */     GIR_RootConstrainSelectedInstOperands,
     /*   52094 */     // GIR_Coverage, 52670,
     /*   52094 */     GIR_EraseRootFromParent_Done,
     /*   52095 */   // Label 1420: @52095
     /*   52095 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(52164), // Rule ID 52671 //
     /*   52100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52115 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52129 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52133 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52137 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52143 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   52156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52162 */     GIR_RootConstrainSelectedInstOperands,
     /*   52163 */     // GIR_Coverage, 52671,
     /*   52163 */     GIR_EraseRootFromParent_Done,
     /*   52164 */   // Label 1421: @52164
     /*   52164 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(52233), // Rule ID 70147 //
     /*   52169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52180 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   52192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52196 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52200 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52205 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52210 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52212 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52231 */     GIR_RootConstrainSelectedInstOperands,
     /*   52232 */     // GIR_Coverage, 70147,
     /*   52232 */     GIR_EraseRootFromParent_Done,
     /*   52233 */   // Label 1422: @52233
     /*   52233 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(52302), // Rule ID 70148 //
     /*   52238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52249 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   52261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52265 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52274 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52279 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52281 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52300 */     GIR_RootConstrainSelectedInstOperands,
     /*   52301 */     // GIR_Coverage, 70148,
     /*   52301 */     GIR_EraseRootFromParent_Done,
     /*   52302 */   // Label 1423: @52302
     /*   52302 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(52371), // Rule ID 70149 //
     /*   52307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52322 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52326 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   52330 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52334 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52338 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52350 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   52353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52369 */     GIR_RootConstrainSelectedInstOperands,
     /*   52370 */     // GIR_Coverage, 70149,
     /*   52370 */     GIR_EraseRootFromParent_Done,
     /*   52371 */   // Label 1424: @52371
     /*   52371 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(52440), // Rule ID 70150 //
     /*   52376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   52399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52403 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52419 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*   52422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52438 */     GIR_RootConstrainSelectedInstOperands,
     /*   52439 */     // GIR_Coverage, 70150,
     /*   52439 */     GIR_EraseRootFromParent_Done,
     /*   52440 */   // Label 1425: @52440
     /*   52440 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(52509), // Rule ID 70155 //
     /*   52445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52472 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52488 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52507 */     GIR_RootConstrainSelectedInstOperands,
     /*   52508 */     // GIR_Coverage, 70155,
     /*   52508 */     GIR_EraseRootFromParent_Done,
     /*   52509 */   // Label 1426: @52509
     /*   52509 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(52578), // Rule ID 70156 //
     /*   52514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52541 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52557 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   52570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52576 */     GIR_RootConstrainSelectedInstOperands,
     /*   52577 */     // GIR_Coverage, 70156,
     /*   52577 */     GIR_EraseRootFromParent_Done,
     /*   52578 */   // Label 1427: @52578
     /*   52578 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(52644), // Rule ID 70159 //
     /*   52583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52623 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52625 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   52634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52642 */     GIR_RootConstrainSelectedInstOperands,
     /*   52643 */     // GIR_Coverage, 70159,
     /*   52643 */     GIR_EraseRootFromParent_Done,
     /*   52644 */   // Label 1428: @52644
     /*   52644 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(52710), // Rule ID 70160 //
     /*   52649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52691 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   52700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52708 */     GIR_RootConstrainSelectedInstOperands,
     /*   52709 */     // GIR_Coverage, 70160,
     /*   52709 */     GIR_EraseRootFromParent_Done,
     /*   52710 */   // Label 1429: @52710
     /*   52710 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(52776), // Rule ID 70157 //
     /*   52715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   52747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   52755 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52757 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52774 */     GIR_RootConstrainSelectedInstOperands,
     /*   52775 */     // GIR_Coverage, 70157,
     /*   52775 */     GIR_EraseRootFromParent_Done,
     /*   52776 */   // Label 1430: @52776
     /*   52776 */   GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(52842), // Rule ID 70158 //
     /*   52781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   52796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*   52800 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*   52804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52809 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   52813 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52817 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   52821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52823 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*   52826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   52832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   52834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52840 */     GIR_RootConstrainSelectedInstOperands,
     /*   52841 */     // GIR_Coverage, 70158,
     /*   52841 */     GIR_EraseRootFromParent_Done,
     /*   52842 */   // Label 1431: @52842
     /*   52842 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(52885), // Rule ID 70173 //
     /*   52847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52868 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52883 */     GIR_RootConstrainSelectedInstOperands,
     /*   52884 */     // GIR_Coverage, 70173,
     /*   52884 */     GIR_EraseRootFromParent_Done,
     /*   52885 */   // Label 1432: @52885
     /*   52885 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(52928), // Rule ID 70174 //
     /*   52890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52911 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   52920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52926 */     GIR_RootConstrainSelectedInstOperands,
     /*   52927 */     // GIR_Coverage, 70174,
     /*   52927 */     GIR_EraseRootFromParent_Done,
     /*   52928 */   // Label 1433: @52928
     /*   52928 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(52971), // Rule ID 52676 //
     /*   52933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   52952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52954 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   52954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   52957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   52961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   52963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   52969 */     GIR_RootConstrainSelectedInstOperands,
     /*   52970 */     // GIR_Coverage, 52676,
     /*   52970 */     GIR_EraseRootFromParent_Done,
     /*   52971 */   // Label 1434: @52971
     /*   52971 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(53014), // Rule ID 52677 //
     /*   52976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   52983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   52991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   52995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   52997 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   52997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*   53000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   53004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   53006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53012 */     GIR_RootConstrainSelectedInstOperands,
     /*   53013 */     // GIR_Coverage, 52677,
     /*   53013 */     GIR_EraseRootFromParent_Done,
     /*   53014 */   // Label 1435: @53014
     /*   53014 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(53047), // Rule ID 52664 //
     /*   53019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53030 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*   53033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53045 */     GIR_RootConstrainSelectedInstOperands,
     /*   53046 */     // GIR_Coverage, 52664,
     /*   53046 */     GIR_EraseRootFromParent_Done,
     /*   53047 */   // Label 1436: @53047
     /*   53047 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(53080), // Rule ID 52665 //
     /*   53052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53063 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*   53066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53078 */     GIR_RootConstrainSelectedInstOperands,
     /*   53079 */     // GIR_Coverage, 52665,
     /*   53079 */     GIR_EraseRootFromParent_Done,
     /*   53080 */   // Label 1437: @53080
     /*   53080 */   GIM_Reject,
     /*   53081 */ // Label 1411: @53081
     /*   53081 */ GIM_Reject,
     /*   53082 */ // Label 1330: @53082
     /*   53082 */ GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(53196),
     /*   53087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   53090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   53093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53105 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(53150), // Rule ID 47402 //
     /*   53110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53113 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   53113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   53116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   53130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53148 */     GIR_RootConstrainSelectedInstOperands,
     /*   53149 */     // GIR_Coverage, 47402,
     /*   53149 */     GIR_EraseRootFromParent_Done,
     /*   53150 */   // Label 1439: @53150
     /*   53150 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(53195), // Rule ID 47403 //
     /*   53155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53158 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   53158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   53161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*   53175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53193 */     GIR_RootConstrainSelectedInstOperands,
     /*   53194 */     // GIR_Coverage, 47403,
     /*   53194 */     GIR_EraseRootFromParent_Done,
     /*   53195 */   // Label 1440: @53195
     /*   53195 */   GIM_Reject,
     /*   53196 */ // Label 1438: @53196
     /*   53196 */ GIM_Reject,
     /*   53197 */ // Label 1331: @53197
     /*   53197 */ GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(53311),
     /*   53202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   53205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   53208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53220 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(53265), // Rule ID 47414 //
     /*   53225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53228 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   53228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   53231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   53245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53263 */     GIR_RootConstrainSelectedInstOperands,
     /*   53264 */     // GIR_Coverage, 47414,
     /*   53264 */     GIR_EraseRootFromParent_Done,
     /*   53265 */   // Label 1442: @53265
     /*   53265 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(53310), // Rule ID 47415 //
     /*   53270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53273 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   53273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   53276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   53290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53308 */     GIR_RootConstrainSelectedInstOperands,
     /*   53309 */     // GIR_Coverage, 47415,
     /*   53309 */     GIR_EraseRootFromParent_Done,
     /*   53310 */   // Label 1443: @53310
     /*   53310 */   GIM_Reject,
     /*   53311 */ // Label 1441: @53311
     /*   53311 */ GIM_Reject,
     /*   53312 */ // Label 1332: @53312
     /*   53312 */ GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(53426),
     /*   53317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   53320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   53323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53335 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(53380), // Rule ID 47430 //
     /*   53340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53343 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   53343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   53346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   53360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53378 */     GIR_RootConstrainSelectedInstOperands,
     /*   53379 */     // GIR_Coverage, 47430,
     /*   53379 */     GIR_EraseRootFromParent_Done,
     /*   53380 */   // Label 1445: @53380
     /*   53380 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(53425), // Rule ID 47431 //
     /*   53385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53388 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   53388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   53391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   53405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   53420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53423 */     GIR_RootConstrainSelectedInstOperands,
     /*   53424 */     // GIR_Coverage, 47431,
     /*   53424 */     GIR_EraseRootFromParent_Done,
     /*   53425 */   // Label 1446: @53425
     /*   53425 */   GIM_Reject,
     /*   53426 */ // Label 1444: @53426
     /*   53426 */ GIM_Reject,
     /*   53427 */ // Label 1333: @53427
     /*   53427 */ GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(53541),
     /*   53432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   53435 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   53438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53450 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(53495), // Rule ID 47474 //
     /*   53455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   53458 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   53458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   53461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   53475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   53490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53493 */     GIR_RootConstrainSelectedInstOperands,
     /*   53494 */     // GIR_Coverage, 47474,
     /*   53494 */     GIR_EraseRootFromParent_Done,
     /*   53495 */   // Label 1448: @53495
     /*   53495 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(53540), // Rule ID 47475 //
     /*   53500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   53503 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   53503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   53506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   53520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   53535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53538 */     GIR_RootConstrainSelectedInstOperands,
     /*   53539 */     // GIR_Coverage, 47475,
     /*   53539 */     GIR_EraseRootFromParent_Done,
     /*   53540 */   // Label 1449: @53540
     /*   53540 */   GIM_Reject,
     /*   53541 */ // Label 1447: @53541
     /*   53541 */ GIM_Reject,
     /*   53542 */ // Label 1334: @53542
     /*   53542 */ GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(55152),
     /*   53547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53557 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(53626), // Rule ID 52684 //
     /*   53562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   53573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53605 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   53608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53624 */     GIR_RootConstrainSelectedInstOperands,
     /*   53625 */     // GIR_Coverage, 52684,
     /*   53625 */     GIR_EraseRootFromParent_Done,
     /*   53626 */   // Label 1451: @53626
     /*   53626 */   GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(53695), // Rule ID 52685 //
     /*   53631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   53642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53646 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53674 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   53677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53693 */     GIR_RootConstrainSelectedInstOperands,
     /*   53694 */     // GIR_Coverage, 52685,
     /*   53694 */     GIR_EraseRootFromParent_Done,
     /*   53695 */   // Label 1452: @53695
     /*   53695 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(53764), // Rule ID 52686 //
     /*   53700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   53711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53715 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53743 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   53746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53762 */     GIR_RootConstrainSelectedInstOperands,
     /*   53763 */     // GIR_Coverage, 52686,
     /*   53763 */     GIR_EraseRootFromParent_Done,
     /*   53764 */   // Label 1453: @53764
     /*   53764 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(53833), // Rule ID 52687 //
     /*   53769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   53780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53798 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   53802 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53806 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53812 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   53815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   53825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53831 */     GIR_RootConstrainSelectedInstOperands,
     /*   53832 */     // GIR_Coverage, 52687,
     /*   53832 */     GIR_EraseRootFromParent_Done,
     /*   53833 */   // Label 1454: @53833
     /*   53833 */   GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(53899), // Rule ID 70181 //
     /*   53838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   53869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53880 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   53880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   53883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   53889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53897 */     GIR_RootConstrainSelectedInstOperands,
     /*   53898 */     // GIR_Coverage, 70181,
     /*   53898 */     GIR_EraseRootFromParent_Done,
     /*   53899 */   // Label 1455: @53899
     /*   53899 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(53965), // Rule ID 70182 //
     /*   53904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   53927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   53931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   53935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   53946 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   53946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   53949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   53955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   53963 */     GIR_RootConstrainSelectedInstOperands,
     /*   53964 */     // GIR_Coverage, 70182,
     /*   53964 */     GIR_EraseRootFromParent_Done,
     /*   53965 */   // Label 1456: @53965
     /*   53965 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(54031), // Rule ID 70179 //
     /*   53970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   53981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   53985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   53989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   53994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   53998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54012 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54029 */     GIR_RootConstrainSelectedInstOperands,
     /*   54030 */     // GIR_Coverage, 70179,
     /*   54030 */     GIR_EraseRootFromParent_Done,
     /*   54031 */   // Label 1457: @54031
     /*   54031 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(54097), // Rule ID 70180 //
     /*   54036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54051 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54078 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54095 */     GIR_RootConstrainSelectedInstOperands,
     /*   54096 */     // GIR_Coverage, 70180,
     /*   54096 */     GIR_EraseRootFromParent_Done,
     /*   54097 */   // Label 1458: @54097
     /*   54097 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(54166), // Rule ID 52688 //
     /*   54102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54117 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54145 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   54158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54164 */     GIR_RootConstrainSelectedInstOperands,
     /*   54165 */     // GIR_Coverage, 52688,
     /*   54165 */     GIR_EraseRootFromParent_Done,
     /*   54166 */   // Label 1459: @54166
     /*   54166 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(54235), // Rule ID 52689 //
     /*   54171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54195 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54200 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54204 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54208 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54214 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   54227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54233 */     GIR_RootConstrainSelectedInstOperands,
     /*   54234 */     // GIR_Coverage, 52689,
     /*   54234 */     GIR_EraseRootFromParent_Done,
     /*   54235 */   // Label 1460: @54235
     /*   54235 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(54304), // Rule ID 70175 //
     /*   54240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54255 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54259 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   54263 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54267 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54283 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54302 */     GIR_RootConstrainSelectedInstOperands,
     /*   54303 */     // GIR_Coverage, 70175,
     /*   54303 */     GIR_EraseRootFromParent_Done,
     /*   54304 */   // Label 1461: @54304
     /*   54304 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(54373), // Rule ID 70176 //
     /*   54309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   54332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54336 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54340 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54352 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54371 */     GIR_RootConstrainSelectedInstOperands,
     /*   54372 */     // GIR_Coverage, 70176,
     /*   54372 */     GIR_EraseRootFromParent_Done,
     /*   54373 */   // Label 1462: @54373
     /*   54373 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(54442), // Rule ID 70177 //
     /*   54378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   54401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54405 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54421 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   54424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54440 */     GIR_RootConstrainSelectedInstOperands,
     /*   54441 */     // GIR_Coverage, 70177,
     /*   54441 */     GIR_EraseRootFromParent_Done,
     /*   54442 */   // Label 1463: @54442
     /*   54442 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(54511), // Rule ID 70178 //
     /*   54447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   54470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54474 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54483 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54488 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54490 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*   54493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54509 */     GIR_RootConstrainSelectedInstOperands,
     /*   54510 */     // GIR_Coverage, 70178,
     /*   54510 */     GIR_EraseRootFromParent_Done,
     /*   54511 */   // Label 1464: @54511
     /*   54511 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(54580), // Rule ID 70183 //
     /*   54516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54559 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54578 */     GIR_RootConstrainSelectedInstOperands,
     /*   54579 */     // GIR_Coverage, 70183,
     /*   54579 */     GIR_EraseRootFromParent_Done,
     /*   54580 */   // Label 1465: @54580
     /*   54580 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(54649), // Rule ID 70184 //
     /*   54585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   54604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54612 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54628 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   54641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54647 */     GIR_RootConstrainSelectedInstOperands,
     /*   54648 */     // GIR_Coverage, 70184,
     /*   54648 */     GIR_EraseRootFromParent_Done,
     /*   54649 */   // Label 1466: @54649
     /*   54649 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(54715), // Rule ID 70187 //
     /*   54654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54696 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   54705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54713 */     GIR_RootConstrainSelectedInstOperands,
     /*   54714 */     // GIR_Coverage, 70187,
     /*   54714 */     GIR_EraseRootFromParent_Done,
     /*   54715 */   // Label 1467: @54715
     /*   54715 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(54781), // Rule ID 70188 //
     /*   54720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54762 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   54771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54779 */     GIR_RootConstrainSelectedInstOperands,
     /*   54780 */     // GIR_Coverage, 70188,
     /*   54780 */     GIR_EraseRootFromParent_Done,
     /*   54781 */   // Label 1468: @54781
     /*   54781 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(54847), // Rule ID 70185 //
     /*   54786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   54826 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54828 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54845 */     GIR_RootConstrainSelectedInstOperands,
     /*   54846 */     // GIR_Coverage, 70185,
     /*   54846 */     GIR_EraseRootFromParent_Done,
     /*   54847 */   // Label 1469: @54847
     /*   54847 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(54913), // Rule ID 70186 //
     /*   54852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   54867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*   54871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*   54875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   54884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   54892 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   54894 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*   54897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   54903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   54905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54911 */     GIR_RootConstrainSelectedInstOperands,
     /*   54912 */     // GIR_Coverage, 70186,
     /*   54912 */     GIR_EraseRootFromParent_Done,
     /*   54913 */   // Label 1470: @54913
     /*   54913 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(54956), // Rule ID 70201 //
     /*   54918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   54933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   54939 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   54939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54954 */     GIR_RootConstrainSelectedInstOperands,
     /*   54955 */     // GIR_Coverage, 70201,
     /*   54955 */     GIR_EraseRootFromParent_Done,
     /*   54956 */   // Label 1471: @54956
     /*   54956 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(54999), // Rule ID 70202 //
     /*   54961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   54972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   54976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   54980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   54982 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   54982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   54985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   54991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   54997 */     GIR_RootConstrainSelectedInstOperands,
     /*   54998 */     // GIR_Coverage, 70202,
     /*   54998 */     GIR_EraseRootFromParent_Done,
     /*   54999 */   // Label 1472: @54999
     /*   54999 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(55042), // Rule ID 52694 //
     /*   55004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   55023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55025 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   55028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55040 */     GIR_RootConstrainSelectedInstOperands,
     /*   55041 */     // GIR_Coverage, 52694,
     /*   55041 */     GIR_EraseRootFromParent_Done,
     /*   55042 */   // Label 1473: @55042
     /*   55042 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(55085), // Rule ID 52695 //
     /*   55047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   55066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   55068 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*   55071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   55077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55083 */     GIR_RootConstrainSelectedInstOperands,
     /*   55084 */     // GIR_Coverage, 52695,
     /*   55084 */     GIR_EraseRootFromParent_Done,
     /*   55085 */   // Label 1474: @55085
     /*   55085 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(55118), // Rule ID 52682 //
     /*   55090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55101 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*   55104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55116 */     GIR_RootConstrainSelectedInstOperands,
     /*   55117 */     // GIR_Coverage, 52682,
     /*   55117 */     GIR_EraseRootFromParent_Done,
     /*   55118 */   // Label 1475: @55118
     /*   55118 */   GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(55151), // Rule ID 52683 //
     /*   55123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55134 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*   55137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55149 */     GIR_RootConstrainSelectedInstOperands,
     /*   55150 */     // GIR_Coverage, 52683,
     /*   55150 */     GIR_EraseRootFromParent_Done,
     /*   55151 */   // Label 1476: @55151
     /*   55151 */   GIM_Reject,
     /*   55152 */ // Label 1450: @55152
     /*   55152 */ GIM_Reject,
     /*   55153 */ // Label 1335: @55153
     /*   55153 */ GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(55267),
     /*   55158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   55161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   55164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55176 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(55221), // Rule ID 47406 //
     /*   55181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55184 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   55184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   55187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   55201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55219 */     GIR_RootConstrainSelectedInstOperands,
     /*   55220 */     // GIR_Coverage, 47406,
     /*   55220 */     GIR_EraseRootFromParent_Done,
     /*   55221 */   // Label 1478: @55221
     /*   55221 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(55266), // Rule ID 47407 //
     /*   55226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55229 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   55229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   55232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*   55246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55264 */     GIR_RootConstrainSelectedInstOperands,
     /*   55265 */     // GIR_Coverage, 47407,
     /*   55265 */     GIR_EraseRootFromParent_Done,
     /*   55266 */   // Label 1479: @55266
     /*   55266 */   GIM_Reject,
     /*   55267 */ // Label 1477: @55267
     /*   55267 */ GIM_Reject,
     /*   55268 */ // Label 1336: @55268
     /*   55268 */ GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(55382),
     /*   55273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   55276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   55279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55291 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(55336), // Rule ID 47426 //
     /*   55296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55299 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   55302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   55316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55334 */     GIR_RootConstrainSelectedInstOperands,
     /*   55335 */     // GIR_Coverage, 47426,
     /*   55335 */     GIR_EraseRootFromParent_Done,
     /*   55336 */   // Label 1481: @55336
     /*   55336 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(55381), // Rule ID 47427 //
     /*   55341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55344 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   55347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   55361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55379 */     GIR_RootConstrainSelectedInstOperands,
     /*   55380 */     // GIR_Coverage, 47427,
     /*   55380 */     GIR_EraseRootFromParent_Done,
     /*   55381 */   // Label 1482: @55381
     /*   55381 */   GIM_Reject,
     /*   55382 */ // Label 1480: @55382
     /*   55382 */ GIM_Reject,
     /*   55383 */ // Label 1337: @55383
     /*   55383 */ GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(55497),
     /*   55388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   55391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   55394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   55406 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(55451), // Rule ID 47462 //
     /*   55411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55414 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   55414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   55417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   55431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   55446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55449 */     GIR_RootConstrainSelectedInstOperands,
     /*   55450 */     // GIR_Coverage, 47462,
     /*   55450 */     GIR_EraseRootFromParent_Done,
     /*   55451 */   // Label 1484: @55451
     /*   55451 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(55496), // Rule ID 47463 //
     /*   55456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55459 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   55459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   55462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   55476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   55491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55494 */     GIR_RootConstrainSelectedInstOperands,
     /*   55495 */     // GIR_Coverage, 47463,
     /*   55495 */     GIR_EraseRootFromParent_Done,
     /*   55496 */   // Label 1485: @55496
     /*   55496 */   GIM_Reject,
     /*   55497 */ // Label 1483: @55497
     /*   55497 */ GIM_Reject,
     /*   55498 */ // Label 1338: @55498
     /*   55498 */ GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(55612),
     /*   55503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   55506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   55509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55521 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(55566), // Rule ID 47478 //
     /*   55526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   55529 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   55529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   55532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   55546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   55561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55564 */     GIR_RootConstrainSelectedInstOperands,
     /*   55565 */     // GIR_Coverage, 47478,
     /*   55565 */     GIR_EraseRootFromParent_Done,
     /*   55566 */   // Label 1487: @55566
     /*   55566 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(55611), // Rule ID 47479 //
     /*   55571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   55574 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   55574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   55577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   55591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   55598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   55606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55609 */     GIR_RootConstrainSelectedInstOperands,
     /*   55610 */     // GIR_Coverage, 47479,
     /*   55610 */     GIR_EraseRootFromParent_Done,
     /*   55611 */   // Label 1488: @55611
     /*   55611 */   GIM_Reject,
     /*   55612 */ // Label 1486: @55612
     /*   55612 */ GIM_Reject,
     /*   55613 */ // Label 1339: @55613
     /*   55613 */ GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(57223),
     /*   55618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55628 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(55697), // Rule ID 52702 //
     /*   55633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   55644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55648 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55662 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55666 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55670 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55676 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   55679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55695 */     GIR_RootConstrainSelectedInstOperands,
     /*   55696 */     // GIR_Coverage, 52702,
     /*   55696 */     GIR_EraseRootFromParent_Done,
     /*   55697 */   // Label 1490: @55697
     /*   55697 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(55766), // Rule ID 52703 //
     /*   55702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   55713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   55743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55745 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   55748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55764 */     GIR_RootConstrainSelectedInstOperands,
     /*   55765 */     // GIR_Coverage, 52703,
     /*   55765 */     GIR_EraseRootFromParent_Done,
     /*   55766 */   // Label 1491: @55766
     /*   55766 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(55835), // Rule ID 52704 //
     /*   55771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   55782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55800 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55804 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55808 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55814 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   55817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55833 */     GIR_RootConstrainSelectedInstOperands,
     /*   55834 */     // GIR_Coverage, 52704,
     /*   55834 */     GIR_EraseRootFromParent_Done,
     /*   55835 */   // Label 1492: @55835
     /*   55835 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(55904), // Rule ID 52705 //
     /*   55840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   55851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55855 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55869 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55873 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55877 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   55881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55883 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   55883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   55886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   55892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   55896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55902 */     GIR_RootConstrainSelectedInstOperands,
     /*   55903 */     // GIR_Coverage, 52705,
     /*   55903 */     GIR_EraseRootFromParent_Done,
     /*   55904 */   // Label 1493: @55904
     /*   55904 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(55970), // Rule ID 70209 //
     /*   55909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   55920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   55936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   55940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   55949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55951 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   55951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   55954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   55960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   55962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   55968 */     GIR_RootConstrainSelectedInstOperands,
     /*   55969 */     // GIR_Coverage, 70209,
     /*   55969 */     GIR_EraseRootFromParent_Done,
     /*   55970 */   // Label 1494: @55970
     /*   55970 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(56036), // Rule ID 70210 //
     /*   55975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   55986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   55990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   55994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56017 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56034 */     GIR_RootConstrainSelectedInstOperands,
     /*   56035 */     // GIR_Coverage, 70210,
     /*   56035 */     GIR_EraseRootFromParent_Done,
     /*   56036 */   // Label 1495: @56036
     /*   56036 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(56102), // Rule ID 70207 //
     /*   56041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56083 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56100 */     GIR_RootConstrainSelectedInstOperands,
     /*   56101 */     // GIR_Coverage, 70207,
     /*   56101 */     GIR_EraseRootFromParent_Done,
     /*   56102 */   // Label 1496: @56102
     /*   56102 */   GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(56168), // Rule ID 70208 //
     /*   56107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56149 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56166 */     GIR_RootConstrainSelectedInstOperands,
     /*   56167 */     // GIR_Coverage, 70208,
     /*   56167 */     GIR_EraseRootFromParent_Done,
     /*   56168 */   // Label 1497: @56168
     /*   56168 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(56237), // Rule ID 52706 //
     /*   56173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56188 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56214 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56216 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   56229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56235 */     GIR_RootConstrainSelectedInstOperands,
     /*   56236 */     // GIR_Coverage, 52706,
     /*   56236 */     GIR_EraseRootFromParent_Done,
     /*   56237 */   // Label 1498: @56237
     /*   56237 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(56306), // Rule ID 52707 //
     /*   56242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56285 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   56298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56304 */     GIR_RootConstrainSelectedInstOperands,
     /*   56305 */     // GIR_Coverage, 52707,
     /*   56305 */     GIR_EraseRootFromParent_Done,
     /*   56306 */   // Label 1499: @56306
     /*   56306 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(56375), // Rule ID 70203 //
     /*   56311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56326 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56330 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   56334 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56338 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56347 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56352 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56354 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   56357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56373 */     GIR_RootConstrainSelectedInstOperands,
     /*   56374 */     // GIR_Coverage, 70203,
     /*   56374 */     GIR_EraseRootFromParent_Done,
     /*   56375 */   // Label 1500: @56375
     /*   56375 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(56444), // Rule ID 70204 //
     /*   56380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   56403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56407 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56416 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56421 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56423 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   56426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56442 */     GIR_RootConstrainSelectedInstOperands,
     /*   56443 */     // GIR_Coverage, 70204,
     /*   56443 */     GIR_EraseRootFromParent_Done,
     /*   56444 */   // Label 1501: @56444
     /*   56444 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(56513), // Rule ID 70205 //
     /*   56449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   56472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56476 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56492 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   56495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56511 */     GIR_RootConstrainSelectedInstOperands,
     /*   56512 */     // GIR_Coverage, 70205,
     /*   56512 */     GIR_EraseRootFromParent_Done,
     /*   56513 */   // Label 1502: @56513
     /*   56513 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(56582), // Rule ID 70206 //
     /*   56518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   56541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56545 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56554 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56559 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56561 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*   56564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56580 */     GIR_RootConstrainSelectedInstOperands,
     /*   56581 */     // GIR_Coverage, 70206,
     /*   56581 */     GIR_EraseRootFromParent_Done,
     /*   56582 */   // Label 1503: @56582
     /*   56582 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(56651), // Rule ID 70211 //
     /*   56587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   56602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56630 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56649 */     GIR_RootConstrainSelectedInstOperands,
     /*   56650 */     // GIR_Coverage, 70211,
     /*   56650 */     GIR_EraseRootFromParent_Done,
     /*   56651 */   // Label 1504: @56651
     /*   56651 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(56720), // Rule ID 70212 //
     /*   56656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   56671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56683 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56697 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56699 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   56712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56718 */     GIR_RootConstrainSelectedInstOperands,
     /*   56719 */     // GIR_Coverage, 70212,
     /*   56719 */     GIR_EraseRootFromParent_Done,
     /*   56720 */   // Label 1505: @56720
     /*   56720 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(56786), // Rule ID 70215 //
     /*   56725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   56752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56760 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56767 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56784 */     GIR_RootConstrainSelectedInstOperands,
     /*   56785 */     // GIR_Coverage, 70215,
     /*   56785 */     GIR_EraseRootFromParent_Done,
     /*   56786 */   // Label 1506: @56786
     /*   56786 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(56852), // Rule ID 70216 //
     /*   56791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   56818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56833 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   56842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56850 */     GIR_RootConstrainSelectedInstOperands,
     /*   56851 */     // GIR_Coverage, 70216,
     /*   56851 */     GIR_EraseRootFromParent_Done,
     /*   56852 */   // Label 1507: @56852
     /*   56852 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(56918), // Rule ID 70213 //
     /*   56857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   56897 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56899 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   56899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56916 */     GIR_RootConstrainSelectedInstOperands,
     /*   56917 */     // GIR_Coverage, 70213,
     /*   56917 */     GIR_EraseRootFromParent_Done,
     /*   56918 */   // Label 1508: @56918
     /*   56918 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(56984), // Rule ID 70214 //
     /*   56923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   56938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*   56942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*   56946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   56951 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   56955 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   56959 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   56963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56965 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   56965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*   56968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   56982 */     GIR_RootConstrainSelectedInstOperands,
     /*   56983 */     // GIR_Coverage, 70214,
     /*   56983 */     GIR_EraseRootFromParent_Done,
     /*   56984 */   // Label 1509: @56984
     /*   56984 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(57027), // Rule ID 70229 //
     /*   56989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57000 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57010 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57025 */     GIR_RootConstrainSelectedInstOperands,
     /*   57026 */     // GIR_Coverage, 70229,
     /*   57026 */     GIR_EraseRootFromParent_Done,
     /*   57027 */   // Label 1510: @57027
     /*   57027 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(57070), // Rule ID 70230 //
     /*   57032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57053 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   57062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57068 */     GIR_RootConstrainSelectedInstOperands,
     /*   57069 */     // GIR_Coverage, 70230,
     /*   57069 */     GIR_EraseRootFromParent_Done,
     /*   57070 */   // Label 1511: @57070
     /*   57070 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(57113), // Rule ID 52712 //
     /*   57075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   57094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57096 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57111 */     GIR_RootConstrainSelectedInstOperands,
     /*   57112 */     // GIR_Coverage, 52712,
     /*   57112 */     GIR_EraseRootFromParent_Done,
     /*   57113 */   // Label 1512: @57113
     /*   57113 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(57156), // Rule ID 52713 //
     /*   57118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   57137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57139 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*   57142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   57148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57154 */     GIR_RootConstrainSelectedInstOperands,
     /*   57155 */     // GIR_Coverage, 52713,
     /*   57155 */     GIR_EraseRootFromParent_Done,
     /*   57156 */   // Label 1513: @57156
     /*   57156 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(57189), // Rule ID 52700 //
     /*   57161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57172 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*   57175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57187 */     GIR_RootConstrainSelectedInstOperands,
     /*   57188 */     // GIR_Coverage, 52700,
     /*   57188 */     GIR_EraseRootFromParent_Done,
     /*   57189 */   // Label 1514: @57189
     /*   57189 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(57222), // Rule ID 52701 //
     /*   57194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57205 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*   57208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57220 */     GIR_RootConstrainSelectedInstOperands,
     /*   57221 */     // GIR_Coverage, 52701,
     /*   57221 */     GIR_EraseRootFromParent_Done,
     /*   57222 */   // Label 1515: @57222
     /*   57222 */   GIM_Reject,
     /*   57223 */ // Label 1489: @57223
     /*   57223 */ GIM_Reject,
     /*   57224 */ // Label 1340: @57224
     /*   57224 */ GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(57338),
     /*   57229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   57232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   57235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57247 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(57292), // Rule ID 47422 //
     /*   57252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57255 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   57258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   57272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57290 */     GIR_RootConstrainSelectedInstOperands,
     /*   57291 */     // GIR_Coverage, 47422,
     /*   57291 */     GIR_EraseRootFromParent_Done,
     /*   57292 */   // Label 1517: @57292
     /*   57292 */   GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(57337), // Rule ID 47423 //
     /*   57297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57300 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   57303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*   57317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57335 */     GIR_RootConstrainSelectedInstOperands,
     /*   57336 */     // GIR_Coverage, 47423,
     /*   57336 */     GIR_EraseRootFromParent_Done,
     /*   57337 */   // Label 1518: @57337
     /*   57337 */   GIM_Reject,
     /*   57338 */ // Label 1516: @57338
     /*   57338 */ GIM_Reject,
     /*   57339 */ // Label 1341: @57339
     /*   57339 */ GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(57453),
     /*   57344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   57347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   57350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   57362 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(57407), // Rule ID 47450 //
     /*   57367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57370 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   57370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   57373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   57387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57405 */     GIR_RootConstrainSelectedInstOperands,
     /*   57406 */     // GIR_Coverage, 47450,
     /*   57406 */     GIR_EraseRootFromParent_Done,
     /*   57407 */   // Label 1520: @57407
     /*   57407 */   GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(57452), // Rule ID 47451 //
     /*   57412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57415 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   57415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   57418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   57432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57450 */     GIR_RootConstrainSelectedInstOperands,
     /*   57451 */     // GIR_Coverage, 47451,
     /*   57451 */     GIR_EraseRootFromParent_Done,
     /*   57452 */   // Label 1521: @57452
     /*   57452 */   GIM_Reject,
     /*   57453 */ // Label 1519: @57453
     /*   57453 */ GIM_Reject,
     /*   57454 */ // Label 1342: @57454
     /*   57454 */ GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(57568),
     /*   57459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   57462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   57465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57477 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(57522), // Rule ID 47466 //
     /*   57482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57485 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   57488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   57502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57520 */     GIR_RootConstrainSelectedInstOperands,
     /*   57521 */     // GIR_Coverage, 47466,
     /*   57521 */     GIR_EraseRootFromParent_Done,
     /*   57522 */   // Label 1523: @57522
     /*   57522 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(57567), // Rule ID 47467 //
     /*   57527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57530 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   57533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   57547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57565 */     GIR_RootConstrainSelectedInstOperands,
     /*   57566 */     // GIR_Coverage, 47467,
     /*   57566 */     GIR_EraseRootFromParent_Done,
     /*   57567 */   // Label 1524: @57567
     /*   57567 */   GIM_Reject,
     /*   57568 */ // Label 1522: @57568
     /*   57568 */ GIM_Reject,
     /*   57569 */ // Label 1343: @57569
     /*   57569 */ GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(57683),
     /*   57574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   57577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   57580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57592 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(57637), // Rule ID 47482 //
     /*   57597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   57600 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   57600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   57603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   57617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   57632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57635 */     GIR_RootConstrainSelectedInstOperands,
     /*   57636 */     // GIR_Coverage, 47482,
     /*   57636 */     GIR_EraseRootFromParent_Done,
     /*   57637 */   // Label 1526: @57637
     /*   57637 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(57682), // Rule ID 47483 //
     /*   57642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   57645 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   57645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   57648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   57662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   57677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57680 */     GIR_RootConstrainSelectedInstOperands,
     /*   57681 */     // GIR_Coverage, 47483,
     /*   57681 */     GIR_EraseRootFromParent_Done,
     /*   57682 */   // Label 1527: @57682
     /*   57682 */   GIM_Reject,
     /*   57683 */ // Label 1525: @57683
     /*   57683 */ GIM_Reject,
     /*   57684 */ // Label 1344: @57684
     /*   57684 */ GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(59294),
     /*   57689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57699 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(57768), // Rule ID 52720 //
     /*   57704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57733 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57737 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57741 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   57745 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57747 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   57750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57766 */     GIR_RootConstrainSelectedInstOperands,
     /*   57767 */     // GIR_Coverage, 52720,
     /*   57767 */     GIR_EraseRootFromParent_Done,
     /*   57768 */   // Label 1529: @57768
     /*   57768 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(57837), // Rule ID 52721 //
     /*   57773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   57784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   57814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57816 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   57819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57835 */     GIR_RootConstrainSelectedInstOperands,
     /*   57836 */     // GIR_Coverage, 52721,
     /*   57836 */     GIR_EraseRootFromParent_Done,
     /*   57837 */   // Label 1530: @57837
     /*   57837 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(57906), // Rule ID 52722 //
     /*   57842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   57853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   57883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57885 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   57885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   57888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57904 */     GIR_RootConstrainSelectedInstOperands,
     /*   57905 */     // GIR_Coverage, 52722,
     /*   57905 */     GIR_EraseRootFromParent_Done,
     /*   57906 */   // Label 1531: @57906
     /*   57906 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(57975), // Rule ID 52723 //
     /*   57911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   57922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   57940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   57944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   57948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   57952 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   57954 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   57954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   57957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   57967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   57973 */     GIR_RootConstrainSelectedInstOperands,
     /*   57974 */     // GIR_Coverage, 52723,
     /*   57974 */     GIR_EraseRootFromParent_Done,
     /*   57975 */   // Label 1532: @57975
     /*   57975 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(58041), // Rule ID 70237 //
     /*   57980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   57991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   57995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   57999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58022 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58039 */     GIR_RootConstrainSelectedInstOperands,
     /*   58040 */     // GIR_Coverage, 70237,
     /*   58040 */     GIR_EraseRootFromParent_Done,
     /*   58041 */   // Label 1533: @58041
     /*   58041 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(58107), // Rule ID 70238 //
     /*   58046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58061 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58065 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58069 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58073 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58077 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58086 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58088 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58105 */     GIR_RootConstrainSelectedInstOperands,
     /*   58106 */     // GIR_Coverage, 70238,
     /*   58106 */     GIR_EraseRootFromParent_Done,
     /*   58107 */   // Label 1534: @58107
     /*   58107 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(58173), // Rule ID 70235 //
     /*   58112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58123 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58127 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58154 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58171 */     GIR_RootConstrainSelectedInstOperands,
     /*   58172 */     // GIR_Coverage, 70235,
     /*   58172 */     GIR_EraseRootFromParent_Done,
     /*   58173 */   // Label 1535: @58173
     /*   58173 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(58239), // Rule ID 70236 //
     /*   58178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58220 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   58231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58237 */     GIR_RootConstrainSelectedInstOperands,
     /*   58238 */     // GIR_Coverage, 70236,
     /*   58238 */     GIR_EraseRootFromParent_Done,
     /*   58239 */   // Label 1536: @58239
     /*   58239 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(58308), // Rule ID 52724 //
     /*   58244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58287 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   58300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58306 */     GIR_RootConstrainSelectedInstOperands,
     /*   58307 */     // GIR_Coverage, 52724,
     /*   58307 */     GIR_EraseRootFromParent_Done,
     /*   58308 */   // Label 1537: @58308
     /*   58308 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(58377), // Rule ID 52725 //
     /*   58313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58356 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   58369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58375 */     GIR_RootConstrainSelectedInstOperands,
     /*   58376 */     // GIR_Coverage, 52725,
     /*   58376 */     GIR_EraseRootFromParent_Done,
     /*   58377 */   // Label 1538: @58377
     /*   58377 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(58446), // Rule ID 70231 //
     /*   58382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   58405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58409 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58423 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58425 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   58428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58444 */     GIR_RootConstrainSelectedInstOperands,
     /*   58445 */     // GIR_Coverage, 70231,
     /*   58445 */     GIR_EraseRootFromParent_Done,
     /*   58446 */   // Label 1539: @58446
     /*   58446 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(58515), // Rule ID 70232 //
     /*   58451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   58474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58478 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58494 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   58497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58513 */     GIR_RootConstrainSelectedInstOperands,
     /*   58514 */     // GIR_Coverage, 70232,
     /*   58514 */     GIR_EraseRootFromParent_Done,
     /*   58515 */   // Label 1540: @58515
     /*   58515 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(58584), // Rule ID 70233 //
     /*   58520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   58543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58547 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58551 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58563 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   58566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58582 */     GIR_RootConstrainSelectedInstOperands,
     /*   58583 */     // GIR_Coverage, 70233,
     /*   58583 */     GIR_EraseRootFromParent_Done,
     /*   58584 */   // Label 1541: @58584
     /*   58584 */   GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(58653), // Rule ID 70234 //
     /*   58589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   58612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58616 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58632 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*   58635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58651 */     GIR_RootConstrainSelectedInstOperands,
     /*   58652 */     // GIR_Coverage, 70234,
     /*   58652 */     GIR_EraseRootFromParent_Done,
     /*   58653 */   // Label 1542: @58653
     /*   58653 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(58722), // Rule ID 70239 //
     /*   58658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   58673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58685 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58694 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58701 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58720 */     GIR_RootConstrainSelectedInstOperands,
     /*   58721 */     // GIR_Coverage, 70239,
     /*   58721 */     GIR_EraseRootFromParent_Done,
     /*   58722 */   // Label 1543: @58722
     /*   58722 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(58791), // Rule ID 70240 //
     /*   58727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   58742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   58746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58754 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58770 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   58783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58789 */     GIR_RootConstrainSelectedInstOperands,
     /*   58790 */     // GIR_Coverage, 70240,
     /*   58790 */     GIR_EraseRootFromParent_Done,
     /*   58791 */   // Label 1544: @58791
     /*   58791 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(58857), // Rule ID 70243 //
     /*   58796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58836 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58838 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58855 */     GIR_RootConstrainSelectedInstOperands,
     /*   58856 */     // GIR_Coverage, 70243,
     /*   58856 */     GIR_EraseRootFromParent_Done,
     /*   58857 */   // Label 1545: @58857
     /*   58857 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(58923), // Rule ID 70244 //
     /*   58862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58881 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   58897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58904 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   58904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   58913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58921 */     GIR_RootConstrainSelectedInstOperands,
     /*   58922 */     // GIR_Coverage, 70244,
     /*   58922 */     GIR_EraseRootFromParent_Done,
     /*   58923 */   // Label 1546: @58923
     /*   58923 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(58989), // Rule ID 70241 //
     /*   58928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   58943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   58947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   58951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   58956 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   58960 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   58964 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   58968 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   58970 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   58970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   58973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   58979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   58981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   58987 */     GIR_RootConstrainSelectedInstOperands,
     /*   58988 */     // GIR_Coverage, 70241,
     /*   58988 */     GIR_EraseRootFromParent_Done,
     /*   58989 */   // Label 1547: @58989
     /*   58989 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(59055), // Rule ID 70242 //
     /*   58994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   59009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*   59013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*   59017 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   59026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59036 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*   59039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   59047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59053 */     GIR_RootConstrainSelectedInstOperands,
     /*   59054 */     // GIR_Coverage, 70242,
     /*   59054 */     GIR_EraseRootFromParent_Done,
     /*   59055 */   // Label 1548: @59055
     /*   59055 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(59098), // Rule ID 70257 //
     /*   59060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   59075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59081 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59096 */     GIR_RootConstrainSelectedInstOperands,
     /*   59097 */     // GIR_Coverage, 70257,
     /*   59097 */     GIR_EraseRootFromParent_Done,
     /*   59098 */   // Label 1549: @59098
     /*   59098 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(59141), // Rule ID 70258 //
     /*   59103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   59118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59124 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   59133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59139 */     GIR_RootConstrainSelectedInstOperands,
     /*   59140 */     // GIR_Coverage, 70258,
     /*   59140 */     GIR_EraseRootFromParent_Done,
     /*   59141 */   // Label 1550: @59141
     /*   59141 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(59184), // Rule ID 52730 //
     /*   59146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   59165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59167 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59182 */     GIR_RootConstrainSelectedInstOperands,
     /*   59183 */     // GIR_Coverage, 52730,
     /*   59183 */     GIR_EraseRootFromParent_Done,
     /*   59184 */   // Label 1551: @59184
     /*   59184 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(59227), // Rule ID 52731 //
     /*   59189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   59208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59210 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*   59213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   59219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59225 */     GIR_RootConstrainSelectedInstOperands,
     /*   59226 */     // GIR_Coverage, 52731,
     /*   59226 */     GIR_EraseRootFromParent_Done,
     /*   59227 */   // Label 1552: @59227
     /*   59227 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(59260), // Rule ID 52718 //
     /*   59232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59243 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*   59246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59258 */     GIR_RootConstrainSelectedInstOperands,
     /*   59259 */     // GIR_Coverage, 52718,
     /*   59259 */     GIR_EraseRootFromParent_Done,
     /*   59260 */   // Label 1553: @59260
     /*   59260 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(59293), // Rule ID 52719 //
     /*   59265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59276 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*   59279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59291 */     GIR_RootConstrainSelectedInstOperands,
     /*   59292 */     // GIR_Coverage, 52719,
     /*   59292 */     GIR_EraseRootFromParent_Done,
     /*   59293 */   // Label 1554: @59293
     /*   59293 */   GIM_Reject,
     /*   59294 */ // Label 1528: @59294
     /*   59294 */ GIM_Reject,
     /*   59295 */ // Label 1345: @59295
     /*   59295 */ GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(59409),
     /*   59300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   59303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   59306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   59318 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(59363), // Rule ID 47438 //
     /*   59323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59326 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   59329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   59343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59361 */     GIR_RootConstrainSelectedInstOperands,
     /*   59362 */     // GIR_Coverage, 47438,
     /*   59362 */     GIR_EraseRootFromParent_Done,
     /*   59363 */   // Label 1556: @59363
     /*   59363 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(59408), // Rule ID 47439 //
     /*   59368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59371 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   59374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*   59388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59406 */     GIR_RootConstrainSelectedInstOperands,
     /*   59407 */     // GIR_Coverage, 47439,
     /*   59407 */     GIR_EraseRootFromParent_Done,
     /*   59408 */   // Label 1557: @59408
     /*   59408 */   GIM_Reject,
     /*   59409 */ // Label 1555: @59409
     /*   59409 */ GIM_Reject,
     /*   59410 */ // Label 1346: @59410
     /*   59410 */ GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(59524),
     /*   59415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   59418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   59421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59433 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(59478), // Rule ID 47454 //
     /*   59438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59441 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   59441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   59444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   59458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59476 */     GIR_RootConstrainSelectedInstOperands,
     /*   59477 */     // GIR_Coverage, 47454,
     /*   59477 */     GIR_EraseRootFromParent_Done,
     /*   59478 */   // Label 1559: @59478
     /*   59478 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(59523), // Rule ID 47455 //
     /*   59483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59486 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   59486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   59489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   59503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59521 */     GIR_RootConstrainSelectedInstOperands,
     /*   59522 */     // GIR_Coverage, 47455,
     /*   59522 */     GIR_EraseRootFromParent_Done,
     /*   59523 */   // Label 1560: @59523
     /*   59523 */   GIM_Reject,
     /*   59524 */ // Label 1558: @59524
     /*   59524 */ GIM_Reject,
     /*   59525 */ // Label 1347: @59525
     /*   59525 */ GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(59639),
     /*   59530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   59533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   59536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59548 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(59593), // Rule ID 47470 //
     /*   59553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59556 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   59556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   59559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   59573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59591 */     GIR_RootConstrainSelectedInstOperands,
     /*   59592 */     // GIR_Coverage, 47470,
     /*   59592 */     GIR_EraseRootFromParent_Done,
     /*   59593 */   // Label 1562: @59593
     /*   59593 */   GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(59638), // Rule ID 47471 //
     /*   59598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59601 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   59601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   59604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   59618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   59625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   59633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59636 */     GIR_RootConstrainSelectedInstOperands,
     /*   59637 */     // GIR_Coverage, 47471,
     /*   59637 */     GIR_EraseRootFromParent_Done,
     /*   59638 */   // Label 1563: @59638
     /*   59638 */   GIM_Reject,
     /*   59639 */ // Label 1561: @59639
     /*   59639 */ GIM_Reject,
     /*   59640 */ // Label 1348: @59640
     /*   59640 */ GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(61250),
     /*   59645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59655 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(59724), // Rule ID 52738 //
     /*   59660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   59671 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59675 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59689 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59693 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59697 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59703 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   59706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59722 */     GIR_RootConstrainSelectedInstOperands,
     /*   59723 */     // GIR_Coverage, 52738,
     /*   59723 */     GIR_EraseRootFromParent_Done,
     /*   59724 */   // Label 1565: @59724
     /*   59724 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(59793), // Rule ID 52739 //
     /*   59729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   59740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59758 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59762 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59766 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59770 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59772 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   59775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59791 */     GIR_RootConstrainSelectedInstOperands,
     /*   59792 */     // GIR_Coverage, 52739,
     /*   59792 */     GIR_EraseRootFromParent_Done,
     /*   59793 */   // Label 1566: @59793
     /*   59793 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(59862), // Rule ID 52740 //
     /*   59798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   59809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59822 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59827 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59831 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59835 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59841 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   59844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59860 */     GIR_RootConstrainSelectedInstOperands,
     /*   59861 */     // GIR_Coverage, 52740,
     /*   59861 */     GIR_EraseRootFromParent_Done,
     /*   59862 */   // Label 1567: @59862
     /*   59862 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(59931), // Rule ID 52741 //
     /*   59867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   59878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59896 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59900 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59904 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   59908 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59910 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   59910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   59913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   59923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59929 */     GIR_RootConstrainSelectedInstOperands,
     /*   59930 */     // GIR_Coverage, 52741,
     /*   59930 */     GIR_EraseRootFromParent_Done,
     /*   59931 */   // Label 1568: @59931
     /*   59931 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(59997), // Rule ID 70265 //
     /*   59936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   59947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   59951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   59955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   59963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   59967 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   59976 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59978 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   59978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   59981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   59987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   59995 */     GIR_RootConstrainSelectedInstOperands,
     /*   59996 */     // GIR_Coverage, 70265,
     /*   59996 */     GIR_EraseRootFromParent_Done,
     /*   59997 */   // Label 1569: @59997
     /*   59997 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(60063), // Rule ID 70266 //
     /*   60002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60017 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60042 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60044 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60061 */     GIR_RootConstrainSelectedInstOperands,
     /*   60062 */     // GIR_Coverage, 70266,
     /*   60062 */     GIR_EraseRootFromParent_Done,
     /*   60063 */   // Label 1570: @60063
     /*   60063 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(60129), // Rule ID 70263 //
     /*   60068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60083 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60092 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60096 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60100 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60108 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60110 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60127 */     GIR_RootConstrainSelectedInstOperands,
     /*   60128 */     // GIR_Coverage, 70263,
     /*   60128 */     GIR_EraseRootFromParent_Done,
     /*   60129 */   // Label 1571: @60129
     /*   60129 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(60195), // Rule ID 70264 //
     /*   60134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60149 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60176 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60193 */     GIR_RootConstrainSelectedInstOperands,
     /*   60194 */     // GIR_Coverage, 70264,
     /*   60194 */     GIR_EraseRootFromParent_Done,
     /*   60195 */   // Label 1572: @60195
     /*   60195 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(60264), // Rule ID 52742 //
     /*   60200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60215 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60229 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60233 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60237 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60243 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   60256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60262 */     GIR_RootConstrainSelectedInstOperands,
     /*   60263 */     // GIR_Coverage, 52742,
     /*   60263 */     GIR_EraseRootFromParent_Done,
     /*   60264 */   // Label 1573: @60264
     /*   60264 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(60333), // Rule ID 52743 //
     /*   60269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60284 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60310 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60312 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   60325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60331 */     GIR_RootConstrainSelectedInstOperands,
     /*   60332 */     // GIR_Coverage, 52743,
     /*   60332 */     GIR_EraseRootFromParent_Done,
     /*   60333 */   // Label 1574: @60333
     /*   60333 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(60402), // Rule ID 70259 //
     /*   60338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   60361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60365 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60369 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60381 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   60384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60400 */     GIR_RootConstrainSelectedInstOperands,
     /*   60401 */     // GIR_Coverage, 70259,
     /*   60401 */     GIR_EraseRootFromParent_Done,
     /*   60402 */   // Label 1575: @60402
     /*   60402 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(60471), // Rule ID 70260 //
     /*   60407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60422 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60426 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   60430 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60434 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60450 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   60453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60469 */     GIR_RootConstrainSelectedInstOperands,
     /*   60470 */     // GIR_Coverage, 70260,
     /*   60470 */     GIR_EraseRootFromParent_Done,
     /*   60471 */   // Label 1576: @60471
     /*   60471 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(60540), // Rule ID 70261 //
     /*   60476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   60499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60503 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60519 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   60522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60538 */     GIR_RootConstrainSelectedInstOperands,
     /*   60539 */     // GIR_Coverage, 70261,
     /*   60539 */     GIR_EraseRootFromParent_Done,
     /*   60540 */   // Label 1577: @60540
     /*   60540 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(60609), // Rule ID 70262 //
     /*   60545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   60568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60572 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60588 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*   60591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60607 */     GIR_RootConstrainSelectedInstOperands,
     /*   60608 */     // GIR_Coverage, 70262,
     /*   60608 */     GIR_EraseRootFromParent_Done,
     /*   60609 */   // Label 1578: @60609
     /*   60609 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(60678), // Rule ID 70267 //
     /*   60614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60625 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   60629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60641 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60655 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60657 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60676 */     GIR_RootConstrainSelectedInstOperands,
     /*   60677 */     // GIR_Coverage, 70267,
     /*   60677 */     GIR_EraseRootFromParent_Done,
     /*   60678 */   // Label 1579: @60678
     /*   60678 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(60747), // Rule ID 70268 //
     /*   60683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   60698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   60702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60710 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60714 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60726 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   60735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   60739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60745 */     GIR_RootConstrainSelectedInstOperands,
     /*   60746 */     // GIR_Coverage, 70268,
     /*   60746 */     GIR_EraseRootFromParent_Done,
     /*   60747 */   // Label 1580: @60747
     /*   60747 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(60813), // Rule ID 70271 //
     /*   60752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60792 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60794 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60811 */     GIR_RootConstrainSelectedInstOperands,
     /*   60812 */     // GIR_Coverage, 70271,
     /*   60812 */     GIR_EraseRootFromParent_Done,
     /*   60813 */   // Label 1581: @60813
     /*   60813 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(60879), // Rule ID 70272 //
     /*   60818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   60845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60860 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   60869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60877 */     GIR_RootConstrainSelectedInstOperands,
     /*   60878 */     // GIR_Coverage, 70272,
     /*   60878 */     GIR_EraseRootFromParent_Done,
     /*   60879 */   // Label 1582: @60879
     /*   60879 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(60945), // Rule ID 70269 //
     /*   60884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60912 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60916 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60920 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   60924 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60926 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   60926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   60943 */     GIR_RootConstrainSelectedInstOperands,
     /*   60944 */     // GIR_Coverage, 70269,
     /*   60944 */     GIR_EraseRootFromParent_Done,
     /*   60945 */   // Label 1583: @60945
     /*   60945 */   GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(61011), // Rule ID 70270 //
     /*   60950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   60965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*   60969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*   60973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   60978 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   60982 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   60986 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   60990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   60992 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   60992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*   60995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61009 */     GIR_RootConstrainSelectedInstOperands,
     /*   61010 */     // GIR_Coverage, 70270,
     /*   61010 */     GIR_EraseRootFromParent_Done,
     /*   61011 */   // Label 1584: @61011
     /*   61011 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(61054), // Rule ID 70285 //
     /*   61016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61027 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61037 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61052 */     GIR_RootConstrainSelectedInstOperands,
     /*   61053 */     // GIR_Coverage, 70285,
     /*   61053 */     GIR_EraseRootFromParent_Done,
     /*   61054 */   // Label 1585: @61054
     /*   61054 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(61097), // Rule ID 70286 //
     /*   61059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61080 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   61089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61095 */     GIR_RootConstrainSelectedInstOperands,
     /*   61096 */     // GIR_Coverage, 70286,
     /*   61096 */     GIR_EraseRootFromParent_Done,
     /*   61097 */   // Label 1586: @61097
     /*   61097 */   GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(61140), // Rule ID 52748 //
     /*   61102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61123 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61138 */     GIR_RootConstrainSelectedInstOperands,
     /*   61139 */     // GIR_Coverage, 52748,
     /*   61139 */     GIR_EraseRootFromParent_Done,
     /*   61140 */   // Label 1587: @61140
     /*   61140 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(61183), // Rule ID 52749 //
     /*   61145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61166 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*   61169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   61175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61181 */     GIR_RootConstrainSelectedInstOperands,
     /*   61182 */     // GIR_Coverage, 52749,
     /*   61182 */     GIR_EraseRootFromParent_Done,
     /*   61183 */   // Label 1588: @61183
     /*   61183 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(61216), // Rule ID 52736 //
     /*   61188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61199 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*   61202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61214 */     GIR_RootConstrainSelectedInstOperands,
     /*   61215 */     // GIR_Coverage, 52736,
     /*   61215 */     GIR_EraseRootFromParent_Done,
     /*   61216 */   // Label 1589: @61216
     /*   61216 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(61249), // Rule ID 52737 //
     /*   61221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61232 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*   61235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61247 */     GIR_RootConstrainSelectedInstOperands,
     /*   61248 */     // GIR_Coverage, 52737,
     /*   61248 */     GIR_EraseRootFromParent_Done,
     /*   61249 */   // Label 1590: @61249
     /*   61249 */   GIM_Reject,
     /*   61250 */ // Label 1564: @61250
     /*   61250 */ GIM_Reject,
     /*   61251 */ // Label 1349: @61251
     /*   61251 */ GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(61365),
     /*   61256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   61259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   61262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   61274 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(61319), // Rule ID 47442 //
     /*   61279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61282 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   61285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   61299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61317 */     GIR_RootConstrainSelectedInstOperands,
     /*   61318 */     // GIR_Coverage, 47442,
     /*   61318 */     GIR_EraseRootFromParent_Done,
     /*   61319 */   // Label 1592: @61319
     /*   61319 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(61364), // Rule ID 47443 //
     /*   61324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61327 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   61330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*   61344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61362 */     GIR_RootConstrainSelectedInstOperands,
     /*   61363 */     // GIR_Coverage, 47443,
     /*   61363 */     GIR_EraseRootFromParent_Done,
     /*   61364 */   // Label 1593: @61364
     /*   61364 */   GIM_Reject,
     /*   61365 */ // Label 1591: @61365
     /*   61365 */ GIM_Reject,
     /*   61366 */ // Label 1350: @61366
     /*   61366 */ GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(61480),
     /*   61371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   61374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   61377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61389 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(61434), // Rule ID 47458 //
     /*   61394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61397 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   61397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   61400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   61414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   61429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61432 */     GIR_RootConstrainSelectedInstOperands,
     /*   61433 */     // GIR_Coverage, 47458,
     /*   61433 */     GIR_EraseRootFromParent_Done,
     /*   61434 */   // Label 1595: @61434
     /*   61434 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(61479), // Rule ID 47459 //
     /*   61439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61442 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   61442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   61445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   61459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   61474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61477 */     GIR_RootConstrainSelectedInstOperands,
     /*   61478 */     // GIR_Coverage, 47459,
     /*   61478 */     GIR_EraseRootFromParent_Done,
     /*   61479 */   // Label 1596: @61479
     /*   61479 */   GIM_Reject,
     /*   61480 */ // Label 1594: @61480
     /*   61480 */ GIM_Reject,
     /*   61481 */ // Label 1351: @61481
     /*   61481 */ GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(63091),
     /*   61486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61496 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(61565), // Rule ID 52756 //
     /*   61501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61520 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61544 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   61547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61563 */     GIR_RootConstrainSelectedInstOperands,
     /*   61564 */     // GIR_Coverage, 52756,
     /*   61564 */     GIR_EraseRootFromParent_Done,
     /*   61565 */   // Label 1598: @61565
     /*   61565 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(61634), // Rule ID 52757 //
     /*   61570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61613 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   61616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61632 */     GIR_RootConstrainSelectedInstOperands,
     /*   61633 */     // GIR_Coverage, 52757,
     /*   61633 */     GIR_EraseRootFromParent_Done,
     /*   61634 */   // Label 1599: @61634
     /*   61634 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(61703), // Rule ID 52758 //
     /*   61639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   61650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61654 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61682 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   61685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61701 */     GIR_RootConstrainSelectedInstOperands,
     /*   61702 */     // GIR_Coverage, 52758,
     /*   61702 */     GIR_EraseRootFromParent_Done,
     /*   61703 */   // Label 1600: @61703
     /*   61703 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(61772), // Rule ID 52759 //
     /*   61708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*   61719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61727 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   61741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61749 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61751 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   61754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61770 */     GIR_RootConstrainSelectedInstOperands,
     /*   61771 */     // GIR_Coverage, 52759,
     /*   61771 */     GIR_EraseRootFromParent_Done,
     /*   61772 */   // Label 1601: @61772
     /*   61772 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(61838), // Rule ID 70293 //
     /*   61777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   61800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61817 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61819 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   61828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61836 */     GIR_RootConstrainSelectedInstOperands,
     /*   61837 */     // GIR_Coverage, 70293,
     /*   61837 */     GIR_EraseRootFromParent_Done,
     /*   61838 */   // Label 1602: @61838
     /*   61838 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(61904), // Rule ID 70294 //
     /*   61843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   61866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   61874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61885 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   61885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   61894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61902 */     GIR_RootConstrainSelectedInstOperands,
     /*   61903 */     // GIR_Coverage, 70294,
     /*   61903 */     GIR_EraseRootFromParent_Done,
     /*   61904 */   // Label 1603: @61904
     /*   61904 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(61970), // Rule ID 70291 //
     /*   61909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   61937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   61941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   61945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   61951 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   61951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   61954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   61968 */     GIR_RootConstrainSelectedInstOperands,
     /*   61969 */     // GIR_Coverage, 70291,
     /*   61969 */     GIR_EraseRootFromParent_Done,
     /*   61970 */   // Label 1604: @61970
     /*   61970 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(62036), // Rule ID 70292 //
     /*   61975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   61982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   61986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   61990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   61994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62017 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   62028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62034 */     GIR_RootConstrainSelectedInstOperands,
     /*   62035 */     // GIR_Coverage, 70292,
     /*   62035 */     GIR_EraseRootFromParent_Done,
     /*   62036 */   // Label 1605: @62036
     /*   62036 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(62105), // Rule ID 52760 //
     /*   62041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62084 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   62097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62103 */     GIR_RootConstrainSelectedInstOperands,
     /*   62104 */     // GIR_Coverage, 52760,
     /*   62104 */     GIR_EraseRootFromParent_Done,
     /*   62105 */   // Label 1606: @62105
     /*   62105 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(62174), // Rule ID 52761 //
     /*   62110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62151 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62153 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   62166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62172 */     GIR_RootConstrainSelectedInstOperands,
     /*   62173 */     // GIR_Coverage, 52761,
     /*   62173 */     GIR_EraseRootFromParent_Done,
     /*   62174 */   // Label 1607: @62174
     /*   62174 */   GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(62243), // Rule ID 70287 //
     /*   62179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   62202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62206 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62222 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62241 */     GIR_RootConstrainSelectedInstOperands,
     /*   62242 */     // GIR_Coverage, 70287,
     /*   62242 */     GIR_EraseRootFromParent_Done,
     /*   62243 */   // Label 1608: @62243
     /*   62243 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(62312), // Rule ID 70288 //
     /*   62248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   62271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62275 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62291 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62310 */     GIR_RootConstrainSelectedInstOperands,
     /*   62311 */     // GIR_Coverage, 70288,
     /*   62311 */     GIR_EraseRootFromParent_Done,
     /*   62312 */   // Label 1609: @62312
     /*   62312 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(62381), // Rule ID 70289 //
     /*   62317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   62340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62344 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62360 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   62363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62379 */     GIR_RootConstrainSelectedInstOperands,
     /*   62380 */     // GIR_Coverage, 70289,
     /*   62380 */     GIR_EraseRootFromParent_Done,
     /*   62381 */   // Label 1610: @62381
     /*   62381 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(62450), // Rule ID 70290 //
     /*   62386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62401 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62405 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*   62409 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62413 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62429 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*   62432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62448 */     GIR_RootConstrainSelectedInstOperands,
     /*   62449 */     // GIR_Coverage, 70290,
     /*   62449 */     GIR_EraseRootFromParent_Done,
     /*   62450 */   // Label 1611: @62450
     /*   62450 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(62519), // Rule ID 70295 //
     /*   62455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62470 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62474 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62478 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62482 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62491 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62496 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62498 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62517 */     GIR_RootConstrainSelectedInstOperands,
     /*   62518 */     // GIR_Coverage, 70295,
     /*   62518 */     GIR_EraseRootFromParent_Done,
     /*   62519 */   // Label 1612: @62519
     /*   62519 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(62588), // Rule ID 70296 //
     /*   62524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62539 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62543 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62547 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62551 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62555 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62567 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*   62580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62586 */     GIR_RootConstrainSelectedInstOperands,
     /*   62587 */     // GIR_Coverage, 70296,
     /*   62587 */     GIR_EraseRootFromParent_Done,
     /*   62588 */   // Label 1613: @62588
     /*   62588 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(62654), // Rule ID 70299 //
     /*   62593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   62620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62635 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   62644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62652 */     GIR_RootConstrainSelectedInstOperands,
     /*   62653 */     // GIR_Coverage, 70299,
     /*   62653 */     GIR_EraseRootFromParent_Done,
     /*   62654 */   // Label 1614: @62654
     /*   62654 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(62720), // Rule ID 70300 //
     /*   62659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   62686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62701 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*   62710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62718 */     GIR_RootConstrainSelectedInstOperands,
     /*   62719 */     // GIR_Coverage, 70300,
     /*   62719 */     GIR_EraseRootFromParent_Done,
     /*   62720 */   // Label 1615: @62720
     /*   62720 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(62786), // Rule ID 70297 //
     /*   62725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   62765 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62767 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62784 */     GIR_RootConstrainSelectedInstOperands,
     /*   62785 */     // GIR_Coverage, 70297,
     /*   62785 */     GIR_EraseRootFromParent_Done,
     /*   62786 */   // Label 1616: @62786
     /*   62786 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(62852), // Rule ID 70298 //
     /*   62791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*   62806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*   62810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*   62814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   62823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*   62831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62833 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*   62836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62850 */     GIR_RootConstrainSelectedInstOperands,
     /*   62851 */     // GIR_Coverage, 70298,
     /*   62851 */     GIR_EraseRootFromParent_Done,
     /*   62852 */   // Label 1617: @62852
     /*   62852 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(62895), // Rule ID 70313 //
     /*   62857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62878 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62893 */     GIR_RootConstrainSelectedInstOperands,
     /*   62894 */     // GIR_Coverage, 70313,
     /*   62894 */     GIR_EraseRootFromParent_Done,
     /*   62895 */   // Label 1618: @62895
     /*   62895 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(62938), // Rule ID 70314 //
     /*   62900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   62915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62921 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   62921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*   62930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62936 */     GIR_RootConstrainSelectedInstOperands,
     /*   62937 */     // GIR_Coverage, 70314,
     /*   62937 */     GIR_EraseRootFromParent_Done,
     /*   62938 */   // Label 1619: @62938
     /*   62938 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(62981), // Rule ID 52766 //
     /*   62943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   62958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   62962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62964 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   62964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   62967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   62971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   62973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   62979 */     GIR_RootConstrainSelectedInstOperands,
     /*   62980 */     // GIR_Coverage, 52766,
     /*   62980 */     GIR_EraseRootFromParent_Done,
     /*   62981 */   // Label 1620: @62981
     /*   62981 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(63024), // Rule ID 52767 //
     /*   62986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*   63001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   63005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63007 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   63007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*   63010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   63014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*   63016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63022 */     GIR_RootConstrainSelectedInstOperands,
     /*   63023 */     // GIR_Coverage, 52767,
     /*   63023 */     GIR_EraseRootFromParent_Done,
     /*   63024 */   // Label 1621: @63024
     /*   63024 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(63057), // Rule ID 52754 //
     /*   63029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63040 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   63040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*   63043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63055 */     GIR_RootConstrainSelectedInstOperands,
     /*   63056 */     // GIR_Coverage, 52754,
     /*   63056 */     GIR_EraseRootFromParent_Done,
     /*   63057 */   // Label 1622: @63057
     /*   63057 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(63090), // Rule ID 52755 //
     /*   63062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63073 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   63073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*   63076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63088 */     GIR_RootConstrainSelectedInstOperands,
     /*   63089 */     // GIR_Coverage, 52755,
     /*   63089 */     GIR_EraseRootFromParent_Done,
     /*   63090 */   // Label 1623: @63090
     /*   63090 */   GIM_Reject,
     /*   63091 */ // Label 1597: @63091
     /*   63091 */ GIM_Reject,
     /*   63092 */ // Label 1352: @63092
     /*   63092 */ GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(63206),
     /*   63097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   63100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   63103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   63115 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(63160), // Rule ID 47446 //
     /*   63120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63123 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   63123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   63126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   63140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63158 */     GIR_RootConstrainSelectedInstOperands,
     /*   63159 */     // GIR_Coverage, 47446,
     /*   63159 */     GIR_EraseRootFromParent_Done,
     /*   63160 */   // Label 1625: @63160
     /*   63160 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(63205), // Rule ID 47447 //
     /*   63165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63168 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   63168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   63171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*   63185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63203 */     GIR_RootConstrainSelectedInstOperands,
     /*   63204 */     // GIR_Coverage, 47447,
     /*   63204 */     GIR_EraseRootFromParent_Done,
     /*   63205 */   // Label 1626: @63205
     /*   63205 */   GIM_Reject,
     /*   63206 */ // Label 1624: @63206
     /*   63206 */ GIM_Reject,
     /*   63207 */ // Label 1353: @63207
     /*   63207 */ GIM_Reject,
     /*   63208 */ // Label 10: @63208
     /*   63208 */ GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(63268),
     /*   63213 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*   63217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63221 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(63244), // Rule ID 110 //
     /*   63226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   63229 */     // MIs[0] Operand 1
     /*   63229 */     // No operand predicates
     /*   63229 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*   63229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   63232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63234 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   63239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63242 */     GIR_RootConstrainSelectedInstOperands,
     /*   63243 */     // GIR_Coverage, 110,
     /*   63243 */     GIR_EraseRootFromParent_Done,
     /*   63244 */   // Label 1628: @63244
     /*   63244 */   GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(63267), // Rule ID 111 //
     /*   63249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   63252 */     // MIs[0] Operand 1
     /*   63252 */     // No operand predicates
     /*   63252 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*   63252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   63255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63257 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   63262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   63265 */     GIR_RootConstrainSelectedInstOperands,
     /*   63266 */     // GIR_Coverage, 111,
     /*   63266 */     GIR_EraseRootFromParent_Done,
     /*   63267 */   // Label 1629: @63267
     /*   63267 */   GIM_Reject,
     /*   63268 */ // Label 1627: @63268
     /*   63268 */ GIM_Reject,
     /*   63269 */ // Label 11: @63269
     /*   63269 */ GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(63329),
     /*   63274 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*   63277 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*   63280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63283 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   63286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63298 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(63313), // Rule ID 50 //
     /*   63303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*   63306 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*   63306 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*   63311 */     GIR_RootConstrainSelectedInstOperands,
     /*   63312 */     // GIR_Coverage, 50,
     /*   63312 */     GIR_Done,
     /*   63313 */   // Label 1631: @63313
     /*   63313 */   GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(63328), // Rule ID 51 //
     /*   63318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*   63321 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*   63321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*   63326 */     GIR_RootConstrainSelectedInstOperands,
     /*   63327 */     // GIR_Coverage, 51,
     /*   63327 */     GIR_Done,
     /*   63328 */   // Label 1632: @63328
     /*   63328 */   GIM_Reject,
     /*   63329 */ // Label 1630: @63329
     /*   63329 */ GIM_Reject,
     /*   63330 */ // Label 12: @63330
     /*   63330 */ GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(63420),
     /*   63335 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*   63338 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   63341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   63347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63359 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(63374), // Rule ID 48 //
     /*   63364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*   63367 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*   63367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*   63372 */     GIR_RootConstrainSelectedInstOperands,
     /*   63373 */     // GIR_Coverage, 48,
     /*   63373 */     GIR_Done,
     /*   63374 */   // Label 1634: @63374
     /*   63374 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(63389), // Rule ID 49 //
     /*   63379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*   63382 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*   63382 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*   63387 */     GIR_RootConstrainSelectedInstOperands,
     /*   63388 */     // GIR_Coverage, 49,
     /*   63388 */     GIR_Done,
     /*   63389 */   // Label 1635: @63389
     /*   63389 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(63404), // Rule ID 2262 //
     /*   63394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*   63397 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   63397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*   63402 */     GIR_RootConstrainSelectedInstOperands,
     /*   63403 */     // GIR_Coverage, 2262,
     /*   63403 */     GIR_Done,
     /*   63404 */   // Label 1636: @63404
     /*   63404 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(63419), // Rule ID 2263 //
     /*   63409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*   63412 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   63412 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*   63417 */     GIR_RootConstrainSelectedInstOperands,
     /*   63418 */     // GIR_Coverage, 2263,
     /*   63418 */     GIR_Done,
     /*   63419 */   // Label 1637: @63419
     /*   63419 */   GIM_Reject,
     /*   63420 */ // Label 1633: @63420
     /*   63420 */ GIM_Reject,
     /*   63421 */ // Label 13: @63421
     /*   63421 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1640*/ GIMT_Encode4(63787),
     /*   63432 */ /*GILLT_s32*//*Label 1638*/ GIMT_Encode4(63440),
     /*   63436 */ /*GILLT_s64*//*Label 1639*/ GIMT_Encode4(63677),
     /*   63440 */ // Label 1638: @63440
     /*   63440 */ GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(63676),
     /*   63445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63448 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(63471), // Rule ID 1305 //
     /*   63453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   63456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63464 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*   63464 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*   63469 */     GIR_RootConstrainSelectedInstOperands,
     /*   63470 */     // GIR_Coverage, 1305,
     /*   63470 */     GIR_Done,
     /*   63471 */   // Label 1642: @63471
     /*   63471 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(63494), // Rule ID 1306 //
     /*   63476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   63479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63487 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*   63487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*   63492 */     GIR_RootConstrainSelectedInstOperands,
     /*   63493 */     // GIR_Coverage, 1306,
     /*   63493 */     GIR_Done,
     /*   63494 */   // Label 1643: @63494
     /*   63494 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(63517), // Rule ID 1307 //
     /*   63499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   63502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63510 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*   63510 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*   63515 */     GIR_RootConstrainSelectedInstOperands,
     /*   63516 */     // GIR_Coverage, 1307,
     /*   63516 */     GIR_Done,
     /*   63517 */   // Label 1644: @63517
     /*   63517 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(63540), // Rule ID 1308 //
     /*   63522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   63525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63533 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*   63533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*   63538 */     GIR_RootConstrainSelectedInstOperands,
     /*   63539 */     // GIR_Coverage, 1308,
     /*   63539 */     GIR_Done,
     /*   63540 */   // Label 1645: @63540
     /*   63540 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(63578), // Rule ID 1309 //
     /*   63545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*   63548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63556 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*   63556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63561 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*   63567 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63572 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63577 */     // GIR_Coverage, 1309,
     /*   63577 */     GIR_EraseRootFromParent_Done,
     /*   63578 */   // Label 1646: @63578
     /*   63578 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(63616), // Rule ID 1310 //
     /*   63583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   63586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63594 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*   63594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63599 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*   63605 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63610 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63615 */     // GIR_Coverage, 1310,
     /*   63615 */     GIR_EraseRootFromParent_Done,
     /*   63616 */   // Label 1647: @63616
     /*   63616 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(63675), // Rule ID 1311 //
     /*   63621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   63624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63632 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*   63632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   63635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*   63649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*   63651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   63659 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63664 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63669 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   63674 */     // GIR_Coverage, 1311,
     /*   63674 */     GIR_EraseRootFromParent_Done,
     /*   63675 */   // Label 1648: @63675
     /*   63675 */   GIM_Reject,
     /*   63676 */ // Label 1641: @63676
     /*   63676 */ GIM_Reject,
     /*   63677 */ // Label 1639: @63677
     /*   63677 */ GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(63786),
     /*   63682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   63685 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(63708), // Rule ID 1758 //
     /*   63690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   63693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63701 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*   63701 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*   63706 */     GIR_RootConstrainSelectedInstOperands,
     /*   63707 */     // GIR_Coverage, 1758,
     /*   63707 */     GIR_Done,
     /*   63708 */   // Label 1650: @63708
     /*   63708 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(63731), // Rule ID 1759 //
     /*   63713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   63716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63724 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*   63724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*   63729 */     GIR_RootConstrainSelectedInstOperands,
     /*   63730 */     // GIR_Coverage, 1759,
     /*   63730 */     GIR_Done,
     /*   63731 */   // Label 1651: @63731
     /*   63731 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(63758), // Rule ID 1786 //
     /*   63736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   63739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63747 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*   63747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63752 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63757 */     // GIR_Coverage, 1786,
     /*   63757 */     GIR_Done,
     /*   63758 */   // Label 1652: @63758
     /*   63758 */   GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(63785), // Rule ID 1787 //
     /*   63763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   63766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63774 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*   63774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*   63779 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*   63784 */     // GIR_Coverage, 1787,
     /*   63784 */     GIR_Done,
     /*   63785 */   // Label 1653: @63785
     /*   63785 */   GIM_Reject,
     /*   63786 */ // Label 1649: @63786
     /*   63786 */ GIM_Reject,
     /*   63787 */ // Label 1640: @63787
     /*   63787 */ GIM_Reject,
     /*   63788 */ // Label 14: @63788
     /*   63788 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1657*/ GIMT_Encode4(63985),
     /*   63799 */ /*GILLT_s16*//*Label 1654*/ GIMT_Encode4(63811),
     /*   63803 */ /*GILLT_s32*//*Label 1655*/ GIMT_Encode4(63869),
     /*   63807 */ /*GILLT_s64*//*Label 1656*/ GIMT_Encode4(63927),
     /*   63811 */ // Label 1654: @63811
     /*   63811 */ GIM_Try, /*On fail goto*//*Label 1658*/ GIMT_Encode4(63868),
     /*   63816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   63819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   63823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   63827 */   GIM_Try, /*On fail goto*//*Label 1659*/ GIMT_Encode4(63847), // Rule ID 2294 //
     /*   63832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   63835 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*   63835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   63838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63845 */     GIR_RootConstrainSelectedInstOperands,
     /*   63846 */     // GIR_Coverage, 2294,
     /*   63846 */     GIR_EraseRootFromParent_Done,
     /*   63847 */   // Label 1659: @63847
     /*   63847 */   GIM_Try, /*On fail goto*//*Label 1660*/ GIMT_Encode4(63867), // Rule ID 2295 //
     /*   63852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   63855 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*   63855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   63858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63865 */     GIR_RootConstrainSelectedInstOperands,
     /*   63866 */     // GIR_Coverage, 2295,
     /*   63866 */     GIR_EraseRootFromParent_Done,
     /*   63867 */   // Label 1660: @63867
     /*   63867 */   GIM_Reject,
     /*   63868 */ // Label 1658: @63868
     /*   63868 */ GIM_Reject,
     /*   63869 */ // Label 1655: @63869
     /*   63869 */ GIM_Try, /*On fail goto*//*Label 1661*/ GIMT_Encode4(63926),
     /*   63874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   63877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   63885 */   GIM_Try, /*On fail goto*//*Label 1662*/ GIMT_Encode4(63905), // Rule ID 2212 //
     /*   63890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   63893 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*   63893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   63896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63903 */     GIR_RootConstrainSelectedInstOperands,
     /*   63904 */     // GIR_Coverage, 2212,
     /*   63904 */     GIR_EraseRootFromParent_Done,
     /*   63905 */   // Label 1662: @63905
     /*   63905 */   GIM_Try, /*On fail goto*//*Label 1663*/ GIMT_Encode4(63925), // Rule ID 2213 //
     /*   63910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   63913 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*   63913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   63916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63923 */     GIR_RootConstrainSelectedInstOperands,
     /*   63924 */     // GIR_Coverage, 2213,
     /*   63924 */     GIR_EraseRootFromParent_Done,
     /*   63925 */   // Label 1663: @63925
     /*   63925 */   GIM_Reject,
     /*   63926 */ // Label 1661: @63926
     /*   63926 */ GIM_Reject,
     /*   63927 */ // Label 1656: @63927
     /*   63927 */ GIM_Try, /*On fail goto*//*Label 1664*/ GIMT_Encode4(63984),
     /*   63932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   63935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63939 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   63943 */   GIM_Try, /*On fail goto*//*Label 1665*/ GIMT_Encode4(63963), // Rule ID 2252 //
     /*   63948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   63951 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*   63951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   63954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63961 */     GIR_RootConstrainSelectedInstOperands,
     /*   63962 */     // GIR_Coverage, 2252,
     /*   63962 */     GIR_EraseRootFromParent_Done,
     /*   63963 */   // Label 1665: @63963
     /*   63963 */   GIM_Try, /*On fail goto*//*Label 1666*/ GIMT_Encode4(63983), // Rule ID 2253 //
     /*   63968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   63971 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*   63971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   63974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63981 */     GIR_RootConstrainSelectedInstOperands,
     /*   63982 */     // GIR_Coverage, 2253,
     /*   63982 */     GIR_EraseRootFromParent_Done,
     /*   63983 */   // Label 1666: @63983
     /*   63983 */   GIM_Reject,
     /*   63984 */ // Label 1664: @63984
     /*   63984 */ GIM_Reject,
     /*   63985 */ // Label 1657: @63985
     /*   63985 */ GIM_Reject,
     /*   63986 */ // Label 15: @63986
     /*   63986 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1670*/ GIMT_Encode4(64183),
     /*   63997 */ /*GILLT_s16*//*Label 1667*/ GIMT_Encode4(64009),
     /*   64001 */ /*GILLT_s32*//*Label 1668*/ GIMT_Encode4(64067),
     /*   64005 */ /*GILLT_s64*//*Label 1669*/ GIMT_Encode4(64125),
     /*   64009 */ // Label 1667: @64009
     /*   64009 */ GIM_Try, /*On fail goto*//*Label 1671*/ GIMT_Encode4(64066),
     /*   64014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64025 */   GIM_Try, /*On fail goto*//*Label 1672*/ GIMT_Encode4(64045), // Rule ID 2278 //
     /*   64030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   64033 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*   64033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   64036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64043 */     GIR_RootConstrainSelectedInstOperands,
     /*   64044 */     // GIR_Coverage, 2278,
     /*   64044 */     GIR_EraseRootFromParent_Done,
     /*   64045 */   // Label 1672: @64045
     /*   64045 */   GIM_Try, /*On fail goto*//*Label 1673*/ GIMT_Encode4(64065), // Rule ID 2279 //
     /*   64050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   64053 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*   64053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   64056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64063 */     GIR_RootConstrainSelectedInstOperands,
     /*   64064 */     // GIR_Coverage, 2279,
     /*   64064 */     GIR_EraseRootFromParent_Done,
     /*   64065 */   // Label 1673: @64065
     /*   64065 */   GIM_Reject,
     /*   64066 */ // Label 1671: @64066
     /*   64066 */ GIM_Reject,
     /*   64067 */ // Label 1668: @64067
     /*   64067 */ GIM_Try, /*On fail goto*//*Label 1674*/ GIMT_Encode4(64124),
     /*   64072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64083 */   GIM_Try, /*On fail goto*//*Label 1675*/ GIMT_Encode4(64103), // Rule ID 2196 //
     /*   64088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   64091 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*   64091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   64094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64101 */     GIR_RootConstrainSelectedInstOperands,
     /*   64102 */     // GIR_Coverage, 2196,
     /*   64102 */     GIR_EraseRootFromParent_Done,
     /*   64103 */   // Label 1675: @64103
     /*   64103 */   GIM_Try, /*On fail goto*//*Label 1676*/ GIMT_Encode4(64123), // Rule ID 2197 //
     /*   64108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   64111 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*   64111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   64114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64121 */     GIR_RootConstrainSelectedInstOperands,
     /*   64122 */     // GIR_Coverage, 2197,
     /*   64122 */     GIR_EraseRootFromParent_Done,
     /*   64123 */   // Label 1676: @64123
     /*   64123 */   GIM_Reject,
     /*   64124 */ // Label 1674: @64124
     /*   64124 */ GIM_Reject,
     /*   64125 */ // Label 1669: @64125
     /*   64125 */ GIM_Try, /*On fail goto*//*Label 1677*/ GIMT_Encode4(64182),
     /*   64130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64141 */   GIM_Try, /*On fail goto*//*Label 1678*/ GIMT_Encode4(64161), // Rule ID 2236 //
     /*   64146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   64149 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*   64149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   64152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64159 */     GIR_RootConstrainSelectedInstOperands,
     /*   64160 */     // GIR_Coverage, 2236,
     /*   64160 */     GIR_EraseRootFromParent_Done,
     /*   64161 */   // Label 1678: @64161
     /*   64161 */   GIM_Try, /*On fail goto*//*Label 1679*/ GIMT_Encode4(64181), // Rule ID 2237 //
     /*   64166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   64169 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*   64169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   64172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64179 */     GIR_RootConstrainSelectedInstOperands,
     /*   64180 */     // GIR_Coverage, 2237,
     /*   64180 */     GIR_EraseRootFromParent_Done,
     /*   64181 */   // Label 1679: @64181
     /*   64181 */   GIM_Reject,
     /*   64182 */ // Label 1677: @64182
     /*   64182 */ GIM_Reject,
     /*   64183 */ // Label 1670: @64183
     /*   64183 */ GIM_Reject,
     /*   64184 */ // Label 16: @64184
     /*   64184 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1682*/ GIMT_Encode4(64763),
     /*   64195 */ /*GILLT_s32*//*Label 1680*/ GIMT_Encode4(64203),
     /*   64199 */ /*GILLT_s64*//*Label 1681*/ GIMT_Encode4(64576),
     /*   64203 */ // Label 1680: @64203
     /*   64203 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(64234), // Rule ID 1324 //
     /*   64208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*   64211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64222 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*   64225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64232 */   GIR_RootConstrainSelectedInstOperands,
     /*   64233 */   // GIR_Coverage, 1324,
     /*   64233 */   GIR_EraseRootFromParent_Done,
     /*   64234 */ // Label 1683: @64234
     /*   64234 */ GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(64265), // Rule ID 1325 //
     /*   64239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*   64242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64253 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*   64253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*   64256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64263 */   GIR_RootConstrainSelectedInstOperands,
     /*   64264 */   // GIR_Coverage, 1325,
     /*   64264 */   GIR_EraseRootFromParent_Done,
     /*   64265 */ // Label 1684: @64265
     /*   64265 */ GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(64296), // Rule ID 1350 //
     /*   64270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*   64273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64284 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*   64287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64294 */   GIR_RootConstrainSelectedInstOperands,
     /*   64295 */   // GIR_Coverage, 1350,
     /*   64295 */   GIR_EraseRootFromParent_Done,
     /*   64296 */ // Label 1685: @64296
     /*   64296 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(64327), // Rule ID 1351 //
     /*   64301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*   64304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64315 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*   64315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*   64318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64325 */   GIR_RootConstrainSelectedInstOperands,
     /*   64326 */   // GIR_Coverage, 1351,
     /*   64326 */   GIR_EraseRootFromParent_Done,
     /*   64327 */ // Label 1686: @64327
     /*   64327 */ GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(64358), // Rule ID 1718 //
     /*   64332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*   64335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64346 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*   64349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64356 */   GIR_RootConstrainSelectedInstOperands,
     /*   64357 */   // GIR_Coverage, 1718,
     /*   64357 */   GIR_EraseRootFromParent_Done,
     /*   64358 */ // Label 1687: @64358
     /*   64358 */ GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(64389), // Rule ID 1719 //
     /*   64363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*   64366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64377 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*   64377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*   64380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64387 */   GIR_RootConstrainSelectedInstOperands,
     /*   64388 */   // GIR_Coverage, 1719,
     /*   64388 */   GIR_EraseRootFromParent_Done,
     /*   64389 */ // Label 1688: @64389
     /*   64389 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(64420), // Rule ID 1744 //
     /*   64394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*   64397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*   64408 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*   64411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64418 */   GIR_RootConstrainSelectedInstOperands,
     /*   64419 */   // GIR_Coverage, 1744,
     /*   64419 */   GIR_EraseRootFromParent_Done,
     /*   64420 */ // Label 1689: @64420
     /*   64420 */ GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(64451), // Rule ID 1745 //
     /*   64425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*   64428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*   64439 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*   64439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*   64442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64449 */   GIR_RootConstrainSelectedInstOperands,
     /*   64450 */   // GIR_Coverage, 1745,
     /*   64450 */   GIR_EraseRootFromParent_Done,
     /*   64451 */ // Label 1690: @64451
     /*   64451 */ GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(64482), // Rule ID 2060 //
     /*   64456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*   64459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64470 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*   64473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64480 */   GIR_RootConstrainSelectedInstOperands,
     /*   64481 */   // GIR_Coverage, 2060,
     /*   64481 */   GIR_EraseRootFromParent_Done,
     /*   64482 */ // Label 1691: @64482
     /*   64482 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(64513), // Rule ID 2061 //
     /*   64487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*   64490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64501 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*   64501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*   64504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64511 */   GIR_RootConstrainSelectedInstOperands,
     /*   64512 */   // GIR_Coverage, 2061,
     /*   64512 */   GIR_EraseRootFromParent_Done,
     /*   64513 */ // Label 1692: @64513
     /*   64513 */ GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(64544), // Rule ID 2086 //
     /*   64518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*   64521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64532 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*   64535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64542 */   GIR_RootConstrainSelectedInstOperands,
     /*   64543 */   // GIR_Coverage, 2086,
     /*   64543 */   GIR_EraseRootFromParent_Done,
     /*   64544 */ // Label 1693: @64544
     /*   64544 */ GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(64575), // Rule ID 2087 //
     /*   64549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*   64552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64563 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*   64563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*   64566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64573 */   GIR_RootConstrainSelectedInstOperands,
     /*   64574 */   // GIR_Coverage, 2087,
     /*   64574 */   GIR_EraseRootFromParent_Done,
     /*   64575 */ // Label 1694: @64575
     /*   64575 */ GIM_Reject,
     /*   64576 */ // Label 1681: @64576
     /*   64576 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(64607), // Rule ID 1377 //
     /*   64581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*   64584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64595 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*   64598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64605 */   GIR_RootConstrainSelectedInstOperands,
     /*   64606 */   // GIR_Coverage, 1377,
     /*   64606 */   GIR_EraseRootFromParent_Done,
     /*   64607 */ // Label 1695: @64607
     /*   64607 */ GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(64638), // Rule ID 1405 //
     /*   64612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*   64615 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   64618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64626 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*   64629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64636 */   GIR_RootConstrainSelectedInstOperands,
     /*   64637 */   // GIR_Coverage, 1405,
     /*   64637 */   GIR_EraseRootFromParent_Done,
     /*   64638 */ // Label 1696: @64638
     /*   64638 */ GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(64669), // Rule ID 1775 //
     /*   64643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   64646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64657 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*   64660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64662 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64667 */   GIR_RootConstrainSelectedInstOperands,
     /*   64668 */   // GIR_Coverage, 1775,
     /*   64668 */   GIR_EraseRootFromParent_Done,
     /*   64669 */ // Label 1697: @64669
     /*   64669 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(64700), // Rule ID 1803 //
     /*   64674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   64677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   64680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64688 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*   64691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64698 */   GIR_RootConstrainSelectedInstOperands,
     /*   64699 */   // GIR_Coverage, 1803,
     /*   64699 */   GIR_EraseRootFromParent_Done,
     /*   64700 */ // Label 1698: @64700
     /*   64700 */ GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(64731), // Rule ID 2111 //
     /*   64705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*   64708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64719 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*   64722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64724 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64729 */   GIR_RootConstrainSelectedInstOperands,
     /*   64730 */   // GIR_Coverage, 2111,
     /*   64730 */   GIR_EraseRootFromParent_Done,
     /*   64731 */ // Label 1699: @64731
     /*   64731 */ GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(64762), // Rule ID 2137 //
     /*   64736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*   64739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   64742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64750 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*   64753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64755 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64760 */   GIR_RootConstrainSelectedInstOperands,
     /*   64761 */   // GIR_Coverage, 2137,
     /*   64761 */   GIR_EraseRootFromParent_Done,
     /*   64762 */ // Label 1700: @64762
     /*   64762 */ GIM_Reject,
     /*   64763 */ // Label 1682: @64763
     /*   64763 */ GIM_Reject,
     /*   64764 */ // Label 17: @64764
     /*   64764 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(64973),
     /*   64769 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   64772 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1705*/ GIMT_Encode4(64972),
     /*   64783 */   /*GILLT_s16*//*Label 1702*/ GIMT_Encode4(64795),
     /*   64787 */   /*GILLT_s32*//*Label 1703*/ GIMT_Encode4(64854),
     /*   64791 */   /*GILLT_s64*//*Label 1704*/ GIMT_Encode4(64913),
     /*   64795 */   // Label 1702: @64795
     /*   64795 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(64853),
     /*   64800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64804 */     GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(64828), // Rule ID 2113 //
     /*   64809 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*   64812 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   64816 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64816 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*   64819 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64821 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64823 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64826 */       GIR_RootConstrainSelectedInstOperands,
     /*   64827 */       // GIR_Coverage, 2113,
     /*   64827 */       GIR_EraseRootFromParent_Done,
     /*   64828 */     // Label 1707: @64828
     /*   64828 */     GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(64852), // Rule ID 2139 //
     /*   64833 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*   64836 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   64840 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*   64840 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*   64843 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64845 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64847 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64850 */       GIR_RootConstrainSelectedInstOperands,
     /*   64851 */       // GIR_Coverage, 2139,
     /*   64851 */       GIR_EraseRootFromParent_Done,
     /*   64852 */     // Label 1708: @64852
     /*   64852 */     GIM_Reject,
     /*   64853 */   // Label 1706: @64853
     /*   64853 */   GIM_Reject,
     /*   64854 */   // Label 1703: @64854
     /*   64854 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(64912),
     /*   64859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64863 */     GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(64887), // Rule ID 1379 //
     /*   64868 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*   64871 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   64875 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64875 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*   64878 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64880 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64882 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64885 */       GIR_RootConstrainSelectedInstOperands,
     /*   64886 */       // GIR_Coverage, 1379,
     /*   64886 */       GIR_EraseRootFromParent_Done,
     /*   64887 */     // Label 1710: @64887
     /*   64887 */     GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(64911), // Rule ID 1407 //
     /*   64892 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*   64895 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   64899 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*   64899 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*   64902 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64904 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64906 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64909 */       GIR_RootConstrainSelectedInstOperands,
     /*   64910 */       // GIR_Coverage, 1407,
     /*   64910 */       GIR_EraseRootFromParent_Done,
     /*   64911 */     // Label 1711: @64911
     /*   64911 */     GIM_Reject,
     /*   64912 */   // Label 1709: @64912
     /*   64912 */   GIM_Reject,
     /*   64913 */   // Label 1704: @64913
     /*   64913 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(64971),
     /*   64918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64922 */     GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(64946), // Rule ID 1777 //
     /*   64927 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*   64930 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   64934 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64934 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*   64937 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64939 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64941 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64944 */       GIR_RootConstrainSelectedInstOperands,
     /*   64945 */       // GIR_Coverage, 1777,
     /*   64945 */       GIR_EraseRootFromParent_Done,
     /*   64946 */     // Label 1713: @64946
     /*   64946 */     GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(64970), // Rule ID 1805 //
     /*   64951 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   64954 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   64958 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*   64958 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*   64961 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64963 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64965 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   64968 */       GIR_RootConstrainSelectedInstOperands,
     /*   64969 */       // GIR_Coverage, 1805,
     /*   64969 */       GIR_EraseRootFromParent_Done,
     /*   64970 */     // Label 1714: @64970
     /*   64970 */     GIM_Reject,
     /*   64971 */   // Label 1712: @64971
     /*   64971 */   GIM_Reject,
     /*   64972 */   // Label 1705: @64972
     /*   64972 */   GIM_Reject,
     /*   64973 */ // Label 1701: @64973
     /*   64973 */ GIM_Reject,
     /*   64974 */ // Label 18: @64974
     /*   64974 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 1718*/ GIMT_Encode4(65171),
     /*   64985 */ /*GILLT_s16*//*Label 1715*/ GIMT_Encode4(64997),
     /*   64989 */ /*GILLT_s32*//*Label 1716*/ GIMT_Encode4(65055),
     /*   64993 */ /*GILLT_s64*//*Label 1717*/ GIMT_Encode4(65113),
     /*   64997 */ // Label 1715: @64997
     /*   64997 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(65054),
     /*   65002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*   65005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65013 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(65033), // Rule ID 2282 //
     /*   65018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*   65021 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*   65021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   65024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65031 */     GIR_RootConstrainSelectedInstOperands,
     /*   65032 */     // GIR_Coverage, 2282,
     /*   65032 */     GIR_EraseRootFromParent_Done,
     /*   65033 */   // Label 1720: @65033
     /*   65033 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(65053), // Rule ID 2283 //
     /*   65038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*   65041 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*   65041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*   65044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65051 */     GIR_RootConstrainSelectedInstOperands,
     /*   65052 */     // GIR_Coverage, 2283,
     /*   65052 */     GIR_EraseRootFromParent_Done,
     /*   65053 */   // Label 1721: @65053
     /*   65053 */   GIM_Reject,
     /*   65054 */ // Label 1719: @65054
     /*   65054 */ GIM_Reject,
     /*   65055 */ // Label 1716: @65055
     /*   65055 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(65112),
     /*   65060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   65063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   65067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   65071 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(65091), // Rule ID 2200 //
     /*   65076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*   65079 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*   65079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   65082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65089 */     GIR_RootConstrainSelectedInstOperands,
     /*   65090 */     // GIR_Coverage, 2200,
     /*   65090 */     GIR_EraseRootFromParent_Done,
     /*   65091 */   // Label 1723: @65091
     /*   65091 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(65111), // Rule ID 2201 //
     /*   65096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*   65099 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*   65099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*   65102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65109 */     GIR_RootConstrainSelectedInstOperands,
     /*   65110 */     // GIR_Coverage, 2201,
     /*   65110 */     GIR_EraseRootFromParent_Done,
     /*   65111 */   // Label 1724: @65111
     /*   65111 */   GIM_Reject,
     /*   65112 */ // Label 1722: @65112
     /*   65112 */ GIM_Reject,
     /*   65113 */ // Label 1717: @65113
     /*   65113 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(65170),
     /*   65118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   65121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   65125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   65129 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(65149), // Rule ID 2240 //
     /*   65134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*   65137 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*   65137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   65140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65147 */     GIR_RootConstrainSelectedInstOperands,
     /*   65148 */     // GIR_Coverage, 2240,
     /*   65148 */     GIR_EraseRootFromParent_Done,
     /*   65149 */   // Label 1726: @65149
     /*   65149 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(65169), // Rule ID 2241 //
     /*   65154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*   65157 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*   65157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*   65160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   65167 */     GIR_RootConstrainSelectedInstOperands,
     /*   65168 */     // GIR_Coverage, 2241,
     /*   65168 */     GIR_EraseRootFromParent_Done,
     /*   65169 */   // Label 1727: @65169
     /*   65169 */   GIM_Reject,
     /*   65170 */ // Label 1725: @65170
     /*   65170 */ GIM_Reject,
     /*   65171 */ // Label 1718: @65171
     /*   65171 */ GIM_Reject,
     /*   65172 */ // Label 19: @65172
     /*   65172 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(65210), // Rule ID 280 //
     /*   65177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65180 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   65183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65187 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*   65187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*   65190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65192 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*   65202 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   65208 */   GIR_RootConstrainSelectedInstOperands,
     /*   65209 */   // GIR_Coverage, 280,
     /*   65209 */   GIR_EraseRootFromParent_Done,
     /*   65210 */ // Label 1728: @65210
     /*   65210 */ GIM_Reject,
     /*   65211 */ // Label 20: @65211
     /*   65211 */ GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(65249), // Rule ID 281 //
     /*   65216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65219 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*   65222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65226 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*   65226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*   65229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65231 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*   65241 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*   65247 */   GIR_RootConstrainSelectedInstOperands,
     /*   65248 */   // GIR_Coverage, 281,
     /*   65248 */   GIR_EraseRootFromParent_Done,
     /*   65249 */ // Label 1729: @65249
     /*   65249 */ GIM_Reject,
     /*   65250 */ // Label 21: @65250
     /*   65250 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 1764*/ GIMT_Encode4(73711),
     /*   65261 */ /*GILLT_p0s32*//*Label 1730*/ GIMT_Encode4(65397),
     /*   65265 */ /*GILLT_p0s64*//*Label 1731*/ GIMT_Encode4(65491),
     /*   65269 */ /*GILLT_s16*//*Label 1732*/ GIMT_Encode4(65585),
     /*   65273 */ /*GILLT_s32*//*Label 1733*/ GIMT_Encode4(66224),
     /*   65277 */ /*GILLT_s64*//*Label 1734*/ GIMT_Encode4(67478),
     /*   65281 */ /*GILLT_nxv1s1*//*Label 1735*/ GIMT_Encode4(68405),
     /*   65285 */ /*GILLT_nxv1s8*//*Label 1736*/ GIMT_Encode4(68525),
     /*   65289 */ /*GILLT_nxv1s16*//*Label 1737*/ GIMT_Encode4(68653),
     /*   65293 */ /*GILLT_nxv1s32*//*Label 1738*/ GIMT_Encode4(68891),
     /*   65297 */ /*GILLT_nxv1s64*//*Label 1739*/ GIMT_Encode4(69129),
     /*   65301 */ /*GILLT_nxv2s1*//*Label 1740*/ GIMT_Encode4(69367),
     /*   65305 */ /*GILLT_nxv2s8*//*Label 1741*/ GIMT_Encode4(69487),
     /*   65309 */ /*GILLT_nxv2s16*//*Label 1742*/ GIMT_Encode4(69615),
     /*   65313 */ /*GILLT_nxv2s32*//*Label 1743*/ GIMT_Encode4(69853),
     /*   65317 */ /*GILLT_nxv2s64*//*Label 1744*/ GIMT_Encode4(70091),
     /*   65321 */ /*GILLT_nxv4s1*//*Label 1745*/ GIMT_Encode4(70329),
     /*   65325 */ /*GILLT_nxv4s8*//*Label 1746*/ GIMT_Encode4(70449),
     /*   65329 */ /*GILLT_nxv4s16*//*Label 1747*/ GIMT_Encode4(70577),
     /*   65333 */ /*GILLT_nxv4s32*//*Label 1748*/ GIMT_Encode4(70815),
     /*   65337 */ /*GILLT_nxv4s64*//*Label 1749*/ GIMT_Encode4(71053),
     /*   65341 */ /*GILLT_nxv8s1*//*Label 1750*/ GIMT_Encode4(71291),
     /*   65345 */ /*GILLT_nxv8s8*//*Label 1751*/ GIMT_Encode4(71411),
     /*   65349 */ /*GILLT_nxv8s16*//*Label 1752*/ GIMT_Encode4(71539),
     /*   65353 */ /*GILLT_nxv8s32*//*Label 1753*/ GIMT_Encode4(71777),
     /*   65357 */ /*GILLT_nxv8s64*//*Label 1754*/ GIMT_Encode4(72015),
     /*   65361 */ /*GILLT_nxv16s1*//*Label 1755*/ GIMT_Encode4(72253),
     /*   65365 */ /*GILLT_nxv16s8*//*Label 1756*/ GIMT_Encode4(72373),
     /*   65369 */ /*GILLT_nxv16s16*//*Label 1757*/ GIMT_Encode4(72501),
     /*   65373 */ /*GILLT_nxv16s32*//*Label 1758*/ GIMT_Encode4(72739),
     /*   65377 */ /*GILLT_nxv32s1*//*Label 1759*/ GIMT_Encode4(72977),
     /*   65381 */ /*GILLT_nxv32s8*//*Label 1760*/ GIMT_Encode4(73097),
     /*   65385 */ /*GILLT_nxv32s16*//*Label 1761*/ GIMT_Encode4(73225),
     /*   65389 */ /*GILLT_nxv64s1*//*Label 1762*/ GIMT_Encode4(73463),
     /*   65393 */ /*GILLT_nxv64s8*//*Label 1763*/ GIMT_Encode4(73583),
     /*   65397 */ // Label 1730: @65397
     /*   65397 */ GIM_Try, /*On fail goto*//*Label 1765*/ GIMT_Encode4(65490),
     /*   65402 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65405 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65413 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65417 */   GIM_Try, /*On fail goto*//*Label 1766*/ GIMT_Encode4(65453), // Rule ID 63954 //
     /*   65422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   65425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65432 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   65435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65451 */     GIR_RootConstrainSelectedInstOperands,
     /*   65452 */     // GIR_Coverage, 63954,
     /*   65452 */     GIR_EraseRootFromParent_Done,
     /*   65453 */   // Label 1766: @65453
     /*   65453 */   GIM_Try, /*On fail goto*//*Label 1767*/ GIMT_Encode4(65489), // Rule ID 63958 //
     /*   65458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   65461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65468 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   65471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65483 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65487 */     GIR_RootConstrainSelectedInstOperands,
     /*   65488 */     // GIR_Coverage, 63958,
     /*   65488 */     GIR_EraseRootFromParent_Done,
     /*   65489 */   // Label 1767: @65489
     /*   65489 */   GIM_Reject,
     /*   65490 */ // Label 1765: @65490
     /*   65490 */ GIM_Reject,
     /*   65491 */ // Label 1731: @65491
     /*   65491 */ GIM_Try, /*On fail goto*//*Label 1768*/ GIMT_Encode4(65584),
     /*   65496 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65499 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65507 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65511 */   GIM_Try, /*On fail goto*//*Label 1769*/ GIMT_Encode4(65547), // Rule ID 63953 //
     /*   65516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   65519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65526 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   65529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65541 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65545 */     GIR_RootConstrainSelectedInstOperands,
     /*   65546 */     // GIR_Coverage, 63953,
     /*   65546 */     GIR_EraseRootFromParent_Done,
     /*   65547 */   // Label 1769: @65547
     /*   65547 */   GIM_Try, /*On fail goto*//*Label 1770*/ GIMT_Encode4(65583), // Rule ID 63957 //
     /*   65552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   65555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65562 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   65565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65577 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65581 */     GIR_RootConstrainSelectedInstOperands,
     /*   65582 */     // GIR_Coverage, 63957,
     /*   65582 */     GIR_EraseRootFromParent_Done,
     /*   65583 */   // Label 1770: @65583
     /*   65583 */   GIM_Reject,
     /*   65584 */ // Label 1768: @65584
     /*   65584 */ GIM_Reject,
     /*   65585 */ // Label 1732: @65585
     /*   65585 */ GIM_Try, /*On fail goto*//*Label 1771*/ GIMT_Encode4(65639), // Rule ID 63969 //
     /*   65590 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   65593 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65596 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   65603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65607 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65611 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65618 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   65621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65623 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65628 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65633 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65637 */   GIR_RootConstrainSelectedInstOperands,
     /*   65638 */   // GIR_Coverage, 63969,
     /*   65638 */   GIR_EraseRootFromParent_Done,
     /*   65639 */ // Label 1771: @65639
     /*   65639 */ GIM_Try, /*On fail goto*//*Label 1772*/ GIMT_Encode4(65693), // Rule ID 63970 //
     /*   65644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   65647 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65650 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   65657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65672 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>>  =>  (LB:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   65675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65691 */   GIR_RootConstrainSelectedInstOperands,
     /*   65692 */   // GIR_Coverage, 63970,
     /*   65692 */   GIR_EraseRootFromParent_Done,
     /*   65693 */ // Label 1772: @65693
     /*   65693 */ GIM_Try, /*On fail goto*//*Label 1773*/ GIMT_Encode4(65747), // Rule ID 63971 //
     /*   65698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   65701 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65704 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   65711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65715 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65719 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65726 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   65729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65731 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65741 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65745 */   GIR_RootConstrainSelectedInstOperands,
     /*   65746 */   // GIR_Coverage, 63971,
     /*   65746 */   GIR_EraseRootFromParent_Done,
     /*   65747 */ // Label 1773: @65747
     /*   65747 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(65801), // Rule ID 63972 //
     /*   65752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   65755 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   65758 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   65765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   65769 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65773 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65780 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>>  =>  (LH:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   65783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65785 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65795 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65799 */   GIR_RootConstrainSelectedInstOperands,
     /*   65800 */   // GIR_Coverage, 63972,
     /*   65800 */   GIR_EraseRootFromParent_Done,
     /*   65801 */ // Label 1774: @65801
     /*   65801 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(65852), // Rule ID 2008 //
     /*   65806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*   65809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65824 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65831 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*   65834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65836 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65841 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65846 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65850 */   GIR_RootConstrainSelectedInstOperands,
     /*   65851 */   // GIR_Coverage, 2008,
     /*   65851 */   GIR_EraseRootFromParent_Done,
     /*   65852 */ // Label 1775: @65852
     /*   65852 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(65903), // Rule ID 2009 //
     /*   65857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*   65860 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65863 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   65871 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65875 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65882 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*   65885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65887 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65892 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65897 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65901 */   GIR_RootConstrainSelectedInstOperands,
     /*   65902 */   // GIR_Coverage, 2009,
     /*   65902 */   GIR_EraseRootFromParent_Done,
     /*   65903 */ // Label 1776: @65903
     /*   65903 */ GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(65954), // Rule ID 2014 //
     /*   65908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*   65911 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65914 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   65922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65926 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65933 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   65933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*   65936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65938 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65943 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65948 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   65952 */   GIR_RootConstrainSelectedInstOperands,
     /*   65953 */   // GIR_Coverage, 2014,
     /*   65953 */   GIR_EraseRootFromParent_Done,
     /*   65954 */ // Label 1777: @65954
     /*   65954 */ GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(66005), // Rule ID 2015 //
     /*   65959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*   65962 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   65965 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   65969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   65973 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   65977 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   65984 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   65984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*   65987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65989 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   65994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   65999 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66003 */   GIR_RootConstrainSelectedInstOperands,
     /*   66004 */   // GIR_Coverage, 2015,
     /*   66004 */   GIR_EraseRootFromParent_Done,
     /*   66005 */ // Label 1778: @66005
     /*   66005 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(66056), // Rule ID 63961 //
     /*   66010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66013 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66016 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66024 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66028 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66035 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66040 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66050 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66054 */   GIR_RootConstrainSelectedInstOperands,
     /*   66055 */   // GIR_Coverage, 63961,
     /*   66055 */   GIR_EraseRootFromParent_Done,
     /*   66056 */ // Label 1779: @66056
     /*   66056 */ GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(66107), // Rule ID 63962 //
     /*   66061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66064 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66067 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66075 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66079 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66086 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66091 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66101 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66105 */   GIR_RootConstrainSelectedInstOperands,
     /*   66106 */   // GIR_Coverage, 63962,
     /*   66106 */   GIR_EraseRootFromParent_Done,
     /*   66107 */ // Label 1780: @66107
     /*   66107 */ GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(66165), // Rule ID 63965 //
     /*   66112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66115 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66118 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66122 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66133 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66137 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66144 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66154 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66159 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66163 */   GIR_RootConstrainSelectedInstOperands,
     /*   66164 */   // GIR_Coverage, 63965,
     /*   66164 */   GIR_EraseRootFromParent_Done,
     /*   66165 */ // Label 1781: @66165
     /*   66165 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(66223), // Rule ID 63966 //
     /*   66170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66173 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66176 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66180 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66191 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66195 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66202 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66202 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66205 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66207 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66212 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66217 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66221 */   GIR_RootConstrainSelectedInstOperands,
     /*   66222 */   // GIR_Coverage, 63966,
     /*   66222 */   GIR_EraseRootFromParent_Done,
     /*   66223 */ // Label 1782: @66223
     /*   66223 */ GIM_Reject,
     /*   66224 */ // Label 1733: @66224
     /*   66224 */ GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(66281), // Rule ID 312 //
     /*   66229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66232 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66235 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66242 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66249 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66253 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66260 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_9670>>  =>  (LB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66260 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   66263 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66265 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66275 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66279 */   GIR_RootConstrainSelectedInstOperands,
     /*   66280 */   // GIR_Coverage, 312,
     /*   66280 */   GIR_EraseRootFromParent_Done,
     /*   66281 */ // Label 1783: @66281
     /*   66281 */ GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(66338), // Rule ID 314 //
     /*   66286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66289 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66292 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   66299 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66306 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66310 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66317 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_9672>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66327 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66332 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66336 */   GIR_RootConstrainSelectedInstOperands,
     /*   66337 */   // GIR_Coverage, 314,
     /*   66337 */   GIR_EraseRootFromParent_Done,
     /*   66338 */ // Label 1784: @66338
     /*   66338 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(66395), // Rule ID 316 //
     /*   66343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   66346 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66349 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66356 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   66359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66363 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66374 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_9674>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66384 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66389 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66393 */   GIR_RootConstrainSelectedInstOperands,
     /*   66394 */   // GIR_Coverage, 316,
     /*   66394 */   GIR_EraseRootFromParent_Done,
     /*   66395 */ // Label 1785: @66395
     /*   66395 */ GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(66449), // Rule ID 63977 //
     /*   66400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   66403 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66406 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66417 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66421 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66428 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66433 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66438 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66443 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66447 */   GIR_RootConstrainSelectedInstOperands,
     /*   66448 */   // GIR_Coverage, 63977,
     /*   66448 */   GIR_EraseRootFromParent_Done,
     /*   66449 */ // Label 1786: @66449
     /*   66449 */ GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(66503), // Rule ID 63978 //
     /*   66454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*   66457 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   66460 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   66467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66471 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66475 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66482 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66487 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66497 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66501 */   GIR_RootConstrainSelectedInstOperands,
     /*   66502 */   // GIR_Coverage, 63978,
     /*   66502 */   GIR_EraseRootFromParent_Done,
     /*   66503 */ // Label 1787: @66503
     /*   66503 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(66561), // Rule ID 227 //
     /*   66508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66514 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66518 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66529 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66533 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66540 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66545 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66555 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66559 */   GIR_RootConstrainSelectedInstOperands,
     /*   66560 */   // GIR_Coverage, 227,
     /*   66560 */   GIR_EraseRootFromParent_Done,
     /*   66561 */ // Label 1788: @66561
     /*   66561 */ GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(66619), // Rule ID 231 //
     /*   66566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66569 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66572 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66576 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   66583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66587 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66591 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66598 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   66601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66603 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66613 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66617 */   GIR_RootConstrainSelectedInstOperands,
     /*   66618 */   // GIR_Coverage, 231,
     /*   66618 */   GIR_EraseRootFromParent_Done,
     /*   66619 */ // Label 1789: @66619
     /*   66619 */ GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(66670), // Rule ID 232 //
     /*   66624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   66627 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66630 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66638 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66642 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66649 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66654 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66659 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66668 */   GIR_RootConstrainSelectedInstOperands,
     /*   66669 */   // GIR_Coverage, 232,
     /*   66669 */   GIR_EraseRootFromParent_Done,
     /*   66670 */ // Label 1790: @66670
     /*   66670 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(66721), // Rule ID 233 //
     /*   66675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   66678 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66681 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66689 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66700 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   66703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66710 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66715 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66719 */   GIR_RootConstrainSelectedInstOperands,
     /*   66720 */   // GIR_Coverage, 233,
     /*   66720 */   GIR_EraseRootFromParent_Done,
     /*   66721 */ // Label 1791: @66721
     /*   66721 */ GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(66772), // Rule ID 1295 //
     /*   66726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*   66729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   66740 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66744 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66751 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*   66754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66756 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66761 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66766 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66770 */   GIR_RootConstrainSelectedInstOperands,
     /*   66771 */   // GIR_Coverage, 1295,
     /*   66771 */   GIR_EraseRootFromParent_Done,
     /*   66772 */ // Label 1792: @66772
     /*   66772 */ GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(66823), // Rule ID 1296 //
     /*   66777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*   66780 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66783 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   66791 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66802 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*   66805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66812 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66817 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66821 */   GIR_RootConstrainSelectedInstOperands,
     /*   66822 */   // GIR_Coverage, 1296,
     /*   66822 */   GIR_EraseRootFromParent_Done,
     /*   66823 */ // Label 1793: @66823
     /*   66823 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(66874), // Rule ID 1301 //
     /*   66828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*   66831 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66834 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   66842 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66853 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*   66856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66863 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66868 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66872 */   GIR_RootConstrainSelectedInstOperands,
     /*   66873 */   // GIR_Coverage, 1301,
     /*   66873 */   GIR_EraseRootFromParent_Done,
     /*   66874 */ // Label 1794: @66874
     /*   66874 */ GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(66925), // Rule ID 1302 //
     /*   66879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*   66882 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66885 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   66893 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66897 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66904 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   66904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*   66907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66909 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66914 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66919 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66923 */   GIR_RootConstrainSelectedInstOperands,
     /*   66924 */   // GIR_Coverage, 1302,
     /*   66924 */   GIR_EraseRootFromParent_Done,
     /*   66925 */ // Label 1795: @66925
     /*   66925 */ GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(66983), // Rule ID 63981 //
     /*   66930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   66933 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66936 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66940 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   66947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   66951 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   66955 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   66962 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   66962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   66965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66967 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   66972 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   66977 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   66981 */   GIR_RootConstrainSelectedInstOperands,
     /*   66982 */   // GIR_Coverage, 63981,
     /*   66982 */   GIR_EraseRootFromParent_Done,
     /*   66983 */ // Label 1796: @66983
     /*   66983 */ GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(67041), // Rule ID 63982 //
     /*   66988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   66991 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   66994 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   66998 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67009 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67013 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67020 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   67020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   67023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67025 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67030 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67035 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67039 */   GIR_RootConstrainSelectedInstOperands,
     /*   67040 */   // GIR_Coverage, 63982,
     /*   67040 */   GIR_EraseRootFromParent_Done,
     /*   67041 */ // Label 1797: @67041
     /*   67041 */ GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(67099), // Rule ID 63983 //
     /*   67046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67049 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67052 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67056 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67067 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67078 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67088 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67093 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67097 */   GIR_RootConstrainSelectedInstOperands,
     /*   67098 */   // GIR_Coverage, 63983,
     /*   67098 */   GIR_EraseRootFromParent_Done,
     /*   67099 */ // Label 1798: @67099
     /*   67099 */ GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(67157), // Rule ID 63984 //
     /*   67104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   67107 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67110 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67114 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67125 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67129 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67136 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   67136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67141 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67146 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67151 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67155 */   GIR_RootConstrainSelectedInstOperands,
     /*   67156 */   // GIR_Coverage, 63984,
     /*   67156 */   GIR_EraseRootFromParent_Done,
     /*   67157 */ // Label 1799: @67157
     /*   67157 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(67197), // Rule ID 1074 //
     /*   67162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67165 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67168 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67175 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67182 */   // MIs[0] rs1
     /*   67182 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67190 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10166>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67190 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   67195 */   GIR_RootConstrainSelectedInstOperands,
     /*   67196 */   // GIR_Coverage, 1074,
     /*   67196 */   GIR_Done,
     /*   67197 */ // Label 1800: @67197
     /*   67197 */ GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(67237), // Rule ID 1076 //
     /*   67202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67205 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67208 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67215 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67222 */   // MIs[0] rs1
     /*   67222 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67230 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10168>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67230 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   67235 */   GIR_RootConstrainSelectedInstOperands,
     /*   67236 */   // GIR_Coverage, 1076,
     /*   67236 */   GIR_Done,
     /*   67237 */ // Label 1801: @67237
     /*   67237 */ GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(67277), // Rule ID 1078 //
     /*   67242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67245 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67248 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67255 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67262 */   // MIs[0] rs1
     /*   67262 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67270 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10170>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67270 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   67275 */   GIR_RootConstrainSelectedInstOperands,
     /*   67276 */   // GIR_Coverage, 1078,
     /*   67276 */   GIR_Done,
     /*   67277 */ // Label 1802: @67277
     /*   67277 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(67317), // Rule ID 1080 //
     /*   67282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67285 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67288 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67302 */   // MIs[0] rs1
     /*   67302 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67310 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10172>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67310 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   67315 */   GIR_RootConstrainSelectedInstOperands,
     /*   67316 */   // GIR_Coverage, 1080,
     /*   67316 */   GIR_Done,
     /*   67317 */ // Label 1803: @67317
     /*   67317 */ GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(67357), // Rule ID 1082 //
     /*   67322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67325 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67328 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67335 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67342 */   // MIs[0] rs1
     /*   67342 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67350 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10174>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67350 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   67355 */   GIR_RootConstrainSelectedInstOperands,
     /*   67356 */   // GIR_Coverage, 1082,
     /*   67356 */   GIR_Done,
     /*   67357 */ // Label 1804: @67357
     /*   67357 */ GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(67397), // Rule ID 1084 //
     /*   67362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   67365 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67368 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67375 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67382 */   // MIs[0] rs1
     /*   67382 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67390 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10176>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67390 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   67395 */   GIR_RootConstrainSelectedInstOperands,
     /*   67396 */   // GIR_Coverage, 1084,
     /*   67396 */   GIR_Done,
     /*   67397 */ // Label 1805: @67397
     /*   67397 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(67437), // Rule ID 1098 //
     /*   67402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   67405 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67408 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67415 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67422 */   // MIs[0] rs1
     /*   67422 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67430 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10190>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67430 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   67435 */   GIR_RootConstrainSelectedInstOperands,
     /*   67436 */   // GIR_Coverage, 1098,
     /*   67436 */   GIR_Done,
     /*   67437 */ // Label 1806: @67437
     /*   67437 */ GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(67477), // Rule ID 1100 //
     /*   67442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   67445 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67448 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67455 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   67458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67462 */   // MIs[0] rs1
     /*   67462 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   67466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67470 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10192>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*   67470 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   67475 */   GIR_RootConstrainSelectedInstOperands,
     /*   67476 */   // GIR_Coverage, 1100,
     /*   67476 */   GIR_Done,
     /*   67477 */ // Label 1807: @67477
     /*   67477 */ GIM_Reject,
     /*   67478 */ // Label 1734: @67478
     /*   67478 */ GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(67535), // Rule ID 311 //
     /*   67483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67486 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67489 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67496 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67503 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67507 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67514 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_9670>>  =>  (LB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   67517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67519 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67524 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67529 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67533 */   GIR_RootConstrainSelectedInstOperands,
     /*   67534 */   // GIR_Coverage, 311,
     /*   67534 */   GIR_EraseRootFromParent_Done,
     /*   67535 */ // Label 1808: @67535
     /*   67535 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(67592), // Rule ID 313 //
     /*   67540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67543 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67546 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67553 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67560 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67564 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67571 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_9672>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67576 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67581 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67586 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67590 */   GIR_RootConstrainSelectedInstOperands,
     /*   67591 */   // GIR_Coverage, 313,
     /*   67591 */   GIR_EraseRootFromParent_Done,
     /*   67592 */ // Label 1809: @67592
     /*   67592 */ GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(67649), // Rule ID 315 //
     /*   67597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   67600 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67610 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67617 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67621 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67628 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_9674>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   67631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67633 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67638 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67643 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67647 */   GIR_RootConstrainSelectedInstOperands,
     /*   67648 */   // GIR_Coverage, 315,
     /*   67648 */   GIR_EraseRootFromParent_Done,
     /*   67649 */ // Label 1810: @67649
     /*   67649 */ GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(67706), // Rule ID 323 //
     /*   67654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   67657 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   67660 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   67667 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   67670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67685 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_9682>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   67688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67704 */   GIR_RootConstrainSelectedInstOperands,
     /*   67705 */   // GIR_Coverage, 323,
     /*   67705 */   GIR_EraseRootFromParent_Done,
     /*   67706 */ // Label 1811: @67706
     /*   67706 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(67764), // Rule ID 226 //
     /*   67711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   67714 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67717 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67721 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   67728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67732 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67736 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67743 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   67746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67748 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67753 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67758 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67762 */   GIR_RootConstrainSelectedInstOperands,
     /*   67763 */   // GIR_Coverage, 226,
     /*   67763 */   GIR_EraseRootFromParent_Done,
     /*   67764 */ // Label 1812: @67764
     /*   67764 */ GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(67822), // Rule ID 230 //
     /*   67769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   67772 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67775 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67779 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   67786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67790 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67794 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67801 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67801 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   67804 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67806 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67816 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67820 */   GIR_RootConstrainSelectedInstOperands,
     /*   67821 */   // GIR_Coverage, 230,
     /*   67821 */   GIR_EraseRootFromParent_Done,
     /*   67822 */ // Label 1813: @67822
     /*   67822 */ GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(67880), // Rule ID 275 //
     /*   67827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67830 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67833 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67837 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   67844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67848 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67852 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67859 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   67862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67874 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67878 */   GIR_RootConstrainSelectedInstOperands,
     /*   67879 */   // GIR_Coverage, 275,
     /*   67879 */   GIR_EraseRootFromParent_Done,
     /*   67880 */ // Label 1814: @67880
     /*   67880 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(67931), // Rule ID 277 //
     /*   67885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   67888 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67891 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   67899 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67903 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67910 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   67913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67920 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67925 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67929 */   GIR_RootConstrainSelectedInstOperands,
     /*   67930 */   // GIR_Coverage, 277,
     /*   67930 */   GIR_EraseRootFromParent_Done,
     /*   67931 */ // Label 1815: @67931
     /*   67931 */ GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(67982), // Rule ID 1693 //
     /*   67936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*   67939 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67942 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   67950 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   67954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   67961 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   67961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*   67964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   67971 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   67976 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   67980 */   GIR_RootConstrainSelectedInstOperands,
     /*   67981 */   // GIR_Coverage, 1693,
     /*   67981 */   GIR_EraseRootFromParent_Done,
     /*   67982 */ // Label 1816: @67982
     /*   67982 */ GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(68033), // Rule ID 1694 //
     /*   67987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*   67990 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   67993 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   67997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   68001 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68005 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   68012 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   68012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*   68015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68017 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   68022 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   68027 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68031 */   GIR_RootConstrainSelectedInstOperands,
     /*   68032 */   // GIR_Coverage, 1694,
     /*   68032 */   GIR_EraseRootFromParent_Done,
     /*   68033 */ // Label 1817: @68033
     /*   68033 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(68084), // Rule ID 1698 //
     /*   68038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   68041 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68044 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68052 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68056 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   68063 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   68063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*   68066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68068 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   68073 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   68078 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68082 */   GIR_RootConstrainSelectedInstOperands,
     /*   68083 */   // GIR_Coverage, 1698,
     /*   68083 */   GIR_EraseRootFromParent_Done,
     /*   68084 */ // Label 1818: @68084
     /*   68084 */ GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(68124), // Rule ID 1073 //
     /*   68089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68092 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68095 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   68102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68109 */   // MIs[0] rs1
     /*   68109 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68117 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10166>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68117 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   68122 */   GIR_RootConstrainSelectedInstOperands,
     /*   68123 */   // GIR_Coverage, 1073,
     /*   68123 */   GIR_Done,
     /*   68124 */ // Label 1819: @68124
     /*   68124 */ GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(68164), // Rule ID 1075 //
     /*   68129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68132 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68135 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   68142 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68149 */   // MIs[0] rs1
     /*   68149 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68157 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_8>><<P:Predicate_anonymous_10168>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68157 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*   68162 */   GIR_RootConstrainSelectedInstOperands,
     /*   68163 */   // GIR_Coverage, 1075,
     /*   68163 */   GIR_Done,
     /*   68164 */ // Label 1820: @68164
     /*   68164 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(68204), // Rule ID 1077 //
     /*   68169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68172 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68175 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   68182 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68189 */   // MIs[0] rs1
     /*   68189 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68197 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10170>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68197 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   68202 */   GIR_RootConstrainSelectedInstOperands,
     /*   68203 */   // GIR_Coverage, 1077,
     /*   68203 */   GIR_Done,
     /*   68204 */ // Label 1821: @68204
     /*   68204 */ GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(68244), // Rule ID 1079 //
     /*   68209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68212 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68215 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   68222 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68229 */   // MIs[0] rs1
     /*   68229 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68237 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_16>><<P:Predicate_anonymous_10172>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68237 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*   68242 */   GIR_RootConstrainSelectedInstOperands,
     /*   68243 */   // GIR_Coverage, 1079,
     /*   68243 */   GIR_Done,
     /*   68244 */ // Label 1822: @68244
     /*   68244 */ GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(68284), // Rule ID 1081 //
     /*   68249 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68252 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68255 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   68262 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68269 */   // MIs[0] rs1
     /*   68269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68277 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10174>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68277 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   68282 */   GIR_RootConstrainSelectedInstOperands,
     /*   68283 */   // GIR_Coverage, 1081,
     /*   68283 */   GIR_Done,
     /*   68284 */ // Label 1823: @68284
     /*   68284 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(68324), // Rule ID 1083 //
     /*   68289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   68292 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68295 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   68302 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68309 */   // MIs[0] rs1
     /*   68309 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68317 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_32>><<P:Predicate_anonymous_10176>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68317 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*   68322 */   GIR_RootConstrainSelectedInstOperands,
     /*   68323 */   // GIR_Coverage, 1083,
     /*   68323 */   GIR_Done,
     /*   68324 */ // Label 1824: @68324
     /*   68324 */ GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(68364), // Rule ID 1097 //
     /*   68329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   68332 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68335 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   68342 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   68345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68349 */   // MIs[0] rs1
     /*   68349 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68357 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10190>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68357 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   68362 */   GIR_RootConstrainSelectedInstOperands,
     /*   68363 */   // GIR_Coverage, 1097,
     /*   68363 */   GIR_Done,
     /*   68364 */ // Label 1825: @68364
     /*   68364 */ GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(68404), // Rule ID 1099 //
     /*   68369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   68372 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   68375 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   68382 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   68385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68389 */   // MIs[0] rs1
     /*   68389 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68397 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_64>><<P:Predicate_anonymous_10192>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*   68397 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*   68402 */   GIR_RootConstrainSelectedInstOperands,
     /*   68403 */   // GIR_Coverage, 1099,
     /*   68403 */   GIR_Done,
     /*   68404 */ // Label 1826: @68404
     /*   68404 */ GIM_Reject,
     /*   68405 */ // Label 1735: @68405
     /*   68405 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(68524),
     /*   68410 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68413 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68421 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   68425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68429 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(68476), // Rule ID 45452 //
     /*   68434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68437 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   68437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*   68440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*   68454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   68467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68474 */     GIR_RootConstrainSelectedInstOperands,
     /*   68475 */     // GIR_Coverage, 45452,
     /*   68475 */     GIR_EraseRootFromParent_Done,
     /*   68476 */   // Label 1828: @68476
     /*   68476 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(68523), // Rule ID 45453 //
     /*   68481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68484 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   68484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*   68487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*   68501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   68514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68521 */     GIR_RootConstrainSelectedInstOperands,
     /*   68522 */     // GIR_Coverage, 45453,
     /*   68522 */     GIR_EraseRootFromParent_Done,
     /*   68523 */   // Label 1829: @68523
     /*   68523 */   GIM_Reject,
     /*   68524 */ // Label 1827: @68524
     /*   68524 */ GIM_Reject,
     /*   68525 */ // Label 1736: @68525
     /*   68525 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(68652),
     /*   68530 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68533 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68541 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(68596), // Rule ID 45448 //
     /*   68546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68549 */     // MIs[0] rs1
     /*   68549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68557 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   68557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   68560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*   68574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68594 */     GIR_RootConstrainSelectedInstOperands,
     /*   68595 */     // GIR_Coverage, 45448,
     /*   68595 */     GIR_EraseRootFromParent_Done,
     /*   68596 */   // Label 1831: @68596
     /*   68596 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(68651), // Rule ID 45449 //
     /*   68601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68604 */     // MIs[0] rs1
     /*   68604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68612 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   68612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   68615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*   68629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68649 */     GIR_RootConstrainSelectedInstOperands,
     /*   68650 */     // GIR_Coverage, 45449,
     /*   68650 */     GIR_EraseRootFromParent_Done,
     /*   68651 */   // Label 1832: @68651
     /*   68651 */   GIM_Reject,
     /*   68652 */ // Label 1830: @68652
     /*   68652 */ GIM_Reject,
     /*   68653 */ // Label 1737: @68653
     /*   68653 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(68890),
     /*   68658 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68661 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68665 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68669 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(68724), // Rule ID 45644 //
     /*   68674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68677 */     // MIs[0] rs1
     /*   68677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68685 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   68685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68718 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68722 */     GIR_RootConstrainSelectedInstOperands,
     /*   68723 */     // GIR_Coverage, 45644,
     /*   68723 */     GIR_EraseRootFromParent_Done,
     /*   68724 */   // Label 1834: @68724
     /*   68724 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(68779), // Rule ID 45645 //
     /*   68729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68732 */     // MIs[0] rs1
     /*   68732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68740 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   68740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68773 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68777 */     GIR_RootConstrainSelectedInstOperands,
     /*   68778 */     // GIR_Coverage, 45645,
     /*   68778 */     GIR_EraseRootFromParent_Done,
     /*   68779 */   // Label 1835: @68779
     /*   68779 */   GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(68834), // Rule ID 45720 //
     /*   68784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   68787 */     // MIs[0] rs1
     /*   68787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68795 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   68795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68828 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68832 */     GIR_RootConstrainSelectedInstOperands,
     /*   68833 */     // GIR_Coverage, 45720,
     /*   68833 */     GIR_EraseRootFromParent_Done,
     /*   68834 */   // Label 1836: @68834
     /*   68834 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(68889), // Rule ID 45721 //
     /*   68839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   68842 */     // MIs[0] rs1
     /*   68842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68850 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   68850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   68853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*   68867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   68880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68883 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68887 */     GIR_RootConstrainSelectedInstOperands,
     /*   68888 */     // GIR_Coverage, 45721,
     /*   68888 */     GIR_EraseRootFromParent_Done,
     /*   68889 */   // Label 1837: @68889
     /*   68889 */   GIM_Reject,
     /*   68890 */ // Label 1833: @68890
     /*   68890 */ GIM_Reject,
     /*   68891 */ // Label 1738: @68891
     /*   68891 */ GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(69128),
     /*   68896 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   68899 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   68903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68907 */   GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(68962), // Rule ID 45652 //
     /*   68912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68915 */     // MIs[0] rs1
     /*   68915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   68919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68923 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   68926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   68940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   68960 */     GIR_RootConstrainSelectedInstOperands,
     /*   68961 */     // GIR_Coverage, 45652,
     /*   68961 */     GIR_EraseRootFromParent_Done,
     /*   68962 */   // Label 1839: @68962
     /*   68962 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(69017), // Rule ID 45653 //
     /*   68967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   68970 */     // MIs[0] rs1
     /*   68970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   68974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   68978 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   68981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   68995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69011 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69015 */     GIR_RootConstrainSelectedInstOperands,
     /*   69016 */     // GIR_Coverage, 45653,
     /*   69016 */     GIR_EraseRootFromParent_Done,
     /*   69017 */   // Label 1840: @69017
     /*   69017 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(69072), // Rule ID 45728 //
     /*   69022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   69025 */     // MIs[0] rs1
     /*   69025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69033 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   69036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   69050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69066 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69070 */     GIR_RootConstrainSelectedInstOperands,
     /*   69071 */     // GIR_Coverage, 45728,
     /*   69071 */     GIR_EraseRootFromParent_Done,
     /*   69072 */   // Label 1841: @69072
     /*   69072 */   GIM_Try, /*On fail goto*//*Label 1842*/ GIMT_Encode4(69127), // Rule ID 45729 //
     /*   69077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   69080 */     // MIs[0] rs1
     /*   69080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69088 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   69088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   69091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*   69105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69125 */     GIR_RootConstrainSelectedInstOperands,
     /*   69126 */     // GIR_Coverage, 45729,
     /*   69126 */     GIR_EraseRootFromParent_Done,
     /*   69127 */   // Label 1842: @69127
     /*   69127 */   GIM_Reject,
     /*   69128 */ // Label 1838: @69128
     /*   69128 */ GIM_Reject,
     /*   69129 */ // Label 1739: @69129
     /*   69129 */ GIM_Try, /*On fail goto*//*Label 1843*/ GIMT_Encode4(69366),
     /*   69134 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69137 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69145 */   GIM_Try, /*On fail goto*//*Label 1844*/ GIMT_Encode4(69200), // Rule ID 45668 //
     /*   69150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   69153 */     // MIs[0] rs1
     /*   69153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69161 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   69161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69198 */     GIR_RootConstrainSelectedInstOperands,
     /*   69199 */     // GIR_Coverage, 45668,
     /*   69199 */     GIR_EraseRootFromParent_Done,
     /*   69200 */   // Label 1844: @69200
     /*   69200 */   GIM_Try, /*On fail goto*//*Label 1845*/ GIMT_Encode4(69255), // Rule ID 45669 //
     /*   69205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   69208 */     // MIs[0] rs1
     /*   69208 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69216 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   69216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69253 */     GIR_RootConstrainSelectedInstOperands,
     /*   69254 */     // GIR_Coverage, 45669,
     /*   69254 */     GIR_EraseRootFromParent_Done,
     /*   69255 */   // Label 1845: @69255
     /*   69255 */   GIM_Try, /*On fail goto*//*Label 1846*/ GIMT_Encode4(69310), // Rule ID 45740 //
     /*   69260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   69263 */     // MIs[0] rs1
     /*   69263 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69271 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   69271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69304 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69308 */     GIR_RootConstrainSelectedInstOperands,
     /*   69309 */     // GIR_Coverage, 45740,
     /*   69309 */     GIR_EraseRootFromParent_Done,
     /*   69310 */   // Label 1846: @69310
     /*   69310 */   GIM_Try, /*On fail goto*//*Label 1847*/ GIMT_Encode4(69365), // Rule ID 45741 //
     /*   69315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   69318 */     // MIs[0] rs1
     /*   69318 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69326 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   69326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   69329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*   69343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   69356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69359 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69363 */     GIR_RootConstrainSelectedInstOperands,
     /*   69364 */     // GIR_Coverage, 45741,
     /*   69364 */     GIR_EraseRootFromParent_Done,
     /*   69365 */   // Label 1847: @69365
     /*   69365 */   GIM_Reject,
     /*   69366 */ // Label 1843: @69366
     /*   69366 */ GIM_Reject,
     /*   69367 */ // Label 1740: @69367
     /*   69367 */ GIM_Try, /*On fail goto*//*Label 1848*/ GIMT_Encode4(69486),
     /*   69372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69375 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   69387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69391 */   GIM_Try, /*On fail goto*//*Label 1849*/ GIMT_Encode4(69438), // Rule ID 45780 //
     /*   69396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69399 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   69399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*   69402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*   69416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   69429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69436 */     GIR_RootConstrainSelectedInstOperands,
     /*   69437 */     // GIR_Coverage, 45780,
     /*   69437 */     GIR_EraseRootFromParent_Done,
     /*   69438 */   // Label 1849: @69438
     /*   69438 */   GIM_Try, /*On fail goto*//*Label 1850*/ GIMT_Encode4(69485), // Rule ID 45781 //
     /*   69443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69446 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   69446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*   69449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*   69463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   69476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69483 */     GIR_RootConstrainSelectedInstOperands,
     /*   69484 */     // GIR_Coverage, 45781,
     /*   69484 */     GIR_EraseRootFromParent_Done,
     /*   69485 */   // Label 1850: @69485
     /*   69485 */   GIM_Reject,
     /*   69486 */ // Label 1848: @69486
     /*   69486 */ GIM_Reject,
     /*   69487 */ // Label 1741: @69487
     /*   69487 */ GIM_Try, /*On fail goto*//*Label 1851*/ GIMT_Encode4(69614),
     /*   69492 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69495 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69503 */   GIM_Try, /*On fail goto*//*Label 1852*/ GIMT_Encode4(69558), // Rule ID 45636 //
     /*   69508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69511 */     // MIs[0] rs1
     /*   69511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69519 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   69522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*   69536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69556 */     GIR_RootConstrainSelectedInstOperands,
     /*   69557 */     // GIR_Coverage, 45636,
     /*   69557 */     GIR_EraseRootFromParent_Done,
     /*   69558 */   // Label 1852: @69558
     /*   69558 */   GIM_Try, /*On fail goto*//*Label 1853*/ GIMT_Encode4(69613), // Rule ID 45637 //
     /*   69563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69566 */     // MIs[0] rs1
     /*   69566 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69574 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   69577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*   69591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69611 */     GIR_RootConstrainSelectedInstOperands,
     /*   69612 */     // GIR_Coverage, 45637,
     /*   69612 */     GIR_EraseRootFromParent_Done,
     /*   69613 */   // Label 1853: @69613
     /*   69613 */   GIM_Reject,
     /*   69614 */ // Label 1851: @69614
     /*   69614 */ GIM_Reject,
     /*   69615 */ // Label 1742: @69615
     /*   69615 */ GIM_Try, /*On fail goto*//*Label 1854*/ GIMT_Encode4(69852),
     /*   69620 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69623 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69631 */   GIM_Try, /*On fail goto*//*Label 1855*/ GIMT_Encode4(69686), // Rule ID 45648 //
     /*   69636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69639 */     // MIs[0] rs1
     /*   69639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69647 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69680 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69684 */     GIR_RootConstrainSelectedInstOperands,
     /*   69685 */     // GIR_Coverage, 45648,
     /*   69685 */     GIR_EraseRootFromParent_Done,
     /*   69686 */   // Label 1855: @69686
     /*   69686 */   GIM_Try, /*On fail goto*//*Label 1856*/ GIMT_Encode4(69741), // Rule ID 45649 //
     /*   69691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69694 */     // MIs[0] rs1
     /*   69694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69702 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69735 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69739 */     GIR_RootConstrainSelectedInstOperands,
     /*   69740 */     // GIR_Coverage, 45649,
     /*   69740 */     GIR_EraseRootFromParent_Done,
     /*   69741 */   // Label 1856: @69741
     /*   69741 */   GIM_Try, /*On fail goto*//*Label 1857*/ GIMT_Encode4(69796), // Rule ID 45724 //
     /*   69746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   69749 */     // MIs[0] rs1
     /*   69749 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69753 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69757 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   69757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69790 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69794 */     GIR_RootConstrainSelectedInstOperands,
     /*   69795 */     // GIR_Coverage, 45724,
     /*   69795 */     GIR_EraseRootFromParent_Done,
     /*   69796 */   // Label 1857: @69796
     /*   69796 */   GIM_Try, /*On fail goto*//*Label 1858*/ GIMT_Encode4(69851), // Rule ID 45725 //
     /*   69801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   69804 */     // MIs[0] rs1
     /*   69804 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69812 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   69812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   69815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*   69829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69845 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69849 */     GIR_RootConstrainSelectedInstOperands,
     /*   69850 */     // GIR_Coverage, 45725,
     /*   69850 */     GIR_EraseRootFromParent_Done,
     /*   69851 */   // Label 1858: @69851
     /*   69851 */   GIM_Reject,
     /*   69852 */ // Label 1854: @69852
     /*   69852 */ GIM_Reject,
     /*   69853 */ // Label 1743: @69853
     /*   69853 */ GIM_Try, /*On fail goto*//*Label 1859*/ GIMT_Encode4(70090),
     /*   69858 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   69861 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   69865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69869 */   GIM_Try, /*On fail goto*//*Label 1860*/ GIMT_Encode4(69924), // Rule ID 45664 //
     /*   69874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69877 */     // MIs[0] rs1
     /*   69877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69885 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   69902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69918 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69922 */     GIR_RootConstrainSelectedInstOperands,
     /*   69923 */     // GIR_Coverage, 45664,
     /*   69923 */     GIR_EraseRootFromParent_Done,
     /*   69924 */   // Label 1860: @69924
     /*   69924 */   GIM_Try, /*On fail goto*//*Label 1861*/ GIMT_Encode4(69979), // Rule ID 45665 //
     /*   69929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69932 */     // MIs[0] rs1
     /*   69932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   69936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69940 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   69940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   69957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   69970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69973 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   69977 */     GIR_RootConstrainSelectedInstOperands,
     /*   69978 */     // GIR_Coverage, 45665,
     /*   69978 */     GIR_EraseRootFromParent_Done,
     /*   69979 */   // Label 1861: @69979
     /*   69979 */   GIM_Try, /*On fail goto*//*Label 1862*/ GIMT_Encode4(70034), // Rule ID 45736 //
     /*   69984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   69987 */     // MIs[0] rs1
     /*   69987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   69991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   69995 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   69995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   69998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   70012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70032 */     GIR_RootConstrainSelectedInstOperands,
     /*   70033 */     // GIR_Coverage, 45736,
     /*   70033 */     GIR_EraseRootFromParent_Done,
     /*   70034 */   // Label 1862: @70034
     /*   70034 */   GIM_Try, /*On fail goto*//*Label 1863*/ GIMT_Encode4(70089), // Rule ID 45737 //
     /*   70039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   70042 */     // MIs[0] rs1
     /*   70042 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70050 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   70053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*   70067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70083 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70087 */     GIR_RootConstrainSelectedInstOperands,
     /*   70088 */     // GIR_Coverage, 45737,
     /*   70088 */     GIR_EraseRootFromParent_Done,
     /*   70089 */   // Label 1863: @70089
     /*   70089 */   GIM_Reject,
     /*   70090 */ // Label 1859: @70090
     /*   70090 */ GIM_Reject,
     /*   70091 */ // Label 1744: @70091
     /*   70091 */ GIM_Try, /*On fail goto*//*Label 1864*/ GIMT_Encode4(70328),
     /*   70096 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70099 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70107 */   GIM_Try, /*On fail goto*//*Label 1865*/ GIMT_Encode4(70162), // Rule ID 45708 //
     /*   70112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   70115 */     // MIs[0] rs1
     /*   70115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70123 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   70123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70160 */     GIR_RootConstrainSelectedInstOperands,
     /*   70161 */     // GIR_Coverage, 45708,
     /*   70161 */     GIR_EraseRootFromParent_Done,
     /*   70162 */   // Label 1865: @70162
     /*   70162 */   GIM_Try, /*On fail goto*//*Label 1866*/ GIMT_Encode4(70217), // Rule ID 45709 //
     /*   70167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   70170 */     // MIs[0] rs1
     /*   70170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70178 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   70178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70211 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70215 */     GIR_RootConstrainSelectedInstOperands,
     /*   70216 */     // GIR_Coverage, 45709,
     /*   70216 */     GIR_EraseRootFromParent_Done,
     /*   70217 */   // Label 1866: @70217
     /*   70217 */   GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(70272), // Rule ID 45768 //
     /*   70222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   70225 */     // MIs[0] rs1
     /*   70225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70233 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   70233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70266 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70270 */     GIR_RootConstrainSelectedInstOperands,
     /*   70271 */     // GIR_Coverage, 45768,
     /*   70271 */     GIR_EraseRootFromParent_Done,
     /*   70272 */   // Label 1867: @70272
     /*   70272 */   GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(70327), // Rule ID 45769 //
     /*   70277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   70280 */     // MIs[0] rs1
     /*   70280 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70288 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   70288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   70291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*   70305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   70318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70321 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70325 */     GIR_RootConstrainSelectedInstOperands,
     /*   70326 */     // GIR_Coverage, 45769,
     /*   70326 */     GIR_EraseRootFromParent_Done,
     /*   70327 */   // Label 1868: @70327
     /*   70327 */   GIM_Reject,
     /*   70328 */ // Label 1864: @70328
     /*   70328 */ GIM_Reject,
     /*   70329 */ // Label 1745: @70329
     /*   70329 */ GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(70448),
     /*   70334 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70337 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70345 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   70349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70353 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(70400), // Rule ID 45784 //
     /*   70358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70361 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   70361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*   70364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*   70378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   70391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70394 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70398 */     GIR_RootConstrainSelectedInstOperands,
     /*   70399 */     // GIR_Coverage, 45784,
     /*   70399 */     GIR_EraseRootFromParent_Done,
     /*   70400 */   // Label 1870: @70400
     /*   70400 */   GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(70447), // Rule ID 45785 //
     /*   70405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70408 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   70408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*   70411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*   70425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   70438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70441 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70445 */     GIR_RootConstrainSelectedInstOperands,
     /*   70446 */     // GIR_Coverage, 45785,
     /*   70446 */     GIR_EraseRootFromParent_Done,
     /*   70447 */   // Label 1871: @70447
     /*   70447 */   GIM_Reject,
     /*   70448 */ // Label 1869: @70448
     /*   70448 */ GIM_Reject,
     /*   70449 */ // Label 1746: @70449
     /*   70449 */ GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(70576),
     /*   70454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70465 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(70520), // Rule ID 45640 //
     /*   70470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70473 */     // MIs[0] rs1
     /*   70473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70481 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   70481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   70484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*   70498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70518 */     GIR_RootConstrainSelectedInstOperands,
     /*   70519 */     // GIR_Coverage, 45640,
     /*   70519 */     GIR_EraseRootFromParent_Done,
     /*   70520 */   // Label 1873: @70520
     /*   70520 */   GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(70575), // Rule ID 45641 //
     /*   70525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70528 */     // MIs[0] rs1
     /*   70528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70536 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   70536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   70539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*   70553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70569 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70573 */     GIR_RootConstrainSelectedInstOperands,
     /*   70574 */     // GIR_Coverage, 45641,
     /*   70574 */     GIR_EraseRootFromParent_Done,
     /*   70575 */   // Label 1874: @70575
     /*   70575 */   GIM_Reject,
     /*   70576 */ // Label 1872: @70576
     /*   70576 */ GIM_Reject,
     /*   70577 */ // Label 1747: @70577
     /*   70577 */ GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(70814),
     /*   70582 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70585 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70593 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(70648), // Rule ID 45660 //
     /*   70598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70601 */     // MIs[0] rs1
     /*   70601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70609 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70642 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70646 */     GIR_RootConstrainSelectedInstOperands,
     /*   70647 */     // GIR_Coverage, 45660,
     /*   70647 */     GIR_EraseRootFromParent_Done,
     /*   70648 */   // Label 1876: @70648
     /*   70648 */   GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(70703), // Rule ID 45661 //
     /*   70653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70656 */     // MIs[0] rs1
     /*   70656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70664 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70697 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70701 */     GIR_RootConstrainSelectedInstOperands,
     /*   70702 */     // GIR_Coverage, 45661,
     /*   70702 */     GIR_EraseRootFromParent_Done,
     /*   70703 */   // Label 1877: @70703
     /*   70703 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(70758), // Rule ID 45732 //
     /*   70708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   70711 */     // MIs[0] rs1
     /*   70711 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70719 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70752 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70756 */     GIR_RootConstrainSelectedInstOperands,
     /*   70757 */     // GIR_Coverage, 45732,
     /*   70757 */     GIR_EraseRootFromParent_Done,
     /*   70758 */   // Label 1878: @70758
     /*   70758 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(70813), // Rule ID 45733 //
     /*   70763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   70766 */     // MIs[0] rs1
     /*   70766 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70774 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*   70791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70807 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70811 */     GIR_RootConstrainSelectedInstOperands,
     /*   70812 */     // GIR_Coverage, 45733,
     /*   70812 */     GIR_EraseRootFromParent_Done,
     /*   70813 */   // Label 1879: @70813
     /*   70813 */   GIM_Reject,
     /*   70814 */ // Label 1875: @70814
     /*   70814 */ GIM_Reject,
     /*   70815 */ // Label 1748: @70815
     /*   70815 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(71052),
     /*   70820 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   70823 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   70827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70831 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(70886), // Rule ID 45696 //
     /*   70836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70839 */     // MIs[0] rs1
     /*   70839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70847 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70880 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70884 */     GIR_RootConstrainSelectedInstOperands,
     /*   70885 */     // GIR_Coverage, 45696,
     /*   70885 */     GIR_EraseRootFromParent_Done,
     /*   70886 */   // Label 1881: @70886
     /*   70886 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(70941), // Rule ID 45697 //
     /*   70891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70894 */     // MIs[0] rs1
     /*   70894 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   70898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70902 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   70902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70935 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70939 */     GIR_RootConstrainSelectedInstOperands,
     /*   70940 */     // GIR_Coverage, 45697,
     /*   70940 */     GIR_EraseRootFromParent_Done,
     /*   70941 */   // Label 1882: @70941
     /*   70941 */   GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(70996), // Rule ID 45756 //
     /*   70946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   70949 */     // MIs[0] rs1
     /*   70949 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   70953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   70957 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   70957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   70974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70990 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   70994 */     GIR_RootConstrainSelectedInstOperands,
     /*   70995 */     // GIR_Coverage, 45756,
     /*   70995 */     GIR_EraseRootFromParent_Done,
     /*   70996 */   // Label 1883: @70996
     /*   70996 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(71051), // Rule ID 45757 //
     /*   71001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   71004 */     // MIs[0] rs1
     /*   71004 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71012 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*   71029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71045 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71049 */     GIR_RootConstrainSelectedInstOperands,
     /*   71050 */     // GIR_Coverage, 45757,
     /*   71050 */     GIR_EraseRootFromParent_Done,
     /*   71051 */   // Label 1884: @71051
     /*   71051 */   GIM_Reject,
     /*   71052 */ // Label 1880: @71052
     /*   71052 */ GIM_Reject,
     /*   71053 */ // Label 1749: @71053
     /*   71053 */ GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(71290),
     /*   71058 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71061 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71069 */   GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(71124), // Rule ID 45712 //
     /*   71074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   71077 */     // MIs[0] rs1
     /*   71077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71085 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71118 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71122 */     GIR_RootConstrainSelectedInstOperands,
     /*   71123 */     // GIR_Coverage, 45712,
     /*   71123 */     GIR_EraseRootFromParent_Done,
     /*   71124 */   // Label 1886: @71124
     /*   71124 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(71179), // Rule ID 45713 //
     /*   71129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   71132 */     // MIs[0] rs1
     /*   71132 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71140 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   71140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71173 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71177 */     GIR_RootConstrainSelectedInstOperands,
     /*   71178 */     // GIR_Coverage, 45713,
     /*   71178 */     GIR_EraseRootFromParent_Done,
     /*   71179 */   // Label 1887: @71179
     /*   71179 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(71234), // Rule ID 45772 //
     /*   71184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   71187 */     // MIs[0] rs1
     /*   71187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71195 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   71195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71228 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71232 */     GIR_RootConstrainSelectedInstOperands,
     /*   71233 */     // GIR_Coverage, 45772,
     /*   71233 */     GIR_EraseRootFromParent_Done,
     /*   71234 */   // Label 1888: @71234
     /*   71234 */   GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(71289), // Rule ID 45773 //
     /*   71239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   71242 */     // MIs[0] rs1
     /*   71242 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71250 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   71250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*   71267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   71280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71283 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71287 */     GIR_RootConstrainSelectedInstOperands,
     /*   71288 */     // GIR_Coverage, 45773,
     /*   71288 */     GIR_EraseRootFromParent_Done,
     /*   71289 */   // Label 1889: @71289
     /*   71289 */   GIM_Reject,
     /*   71290 */ // Label 1885: @71290
     /*   71290 */ GIM_Reject,
     /*   71291 */ // Label 1750: @71291
     /*   71291 */ GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(71410),
     /*   71296 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71299 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71307 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   71311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71315 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(71362), // Rule ID 45788 //
     /*   71320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71323 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   71323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*   71326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*   71340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   71353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71356 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71360 */     GIR_RootConstrainSelectedInstOperands,
     /*   71361 */     // GIR_Coverage, 45788,
     /*   71361 */     GIR_EraseRootFromParent_Done,
     /*   71362 */   // Label 1891: @71362
     /*   71362 */   GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(71409), // Rule ID 45789 //
     /*   71367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71370 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   71370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*   71373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*   71387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   71400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71403 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71407 */     GIR_RootConstrainSelectedInstOperands,
     /*   71408 */     // GIR_Coverage, 45789,
     /*   71408 */     GIR_EraseRootFromParent_Done,
     /*   71409 */   // Label 1892: @71409
     /*   71409 */   GIM_Reject,
     /*   71410 */ // Label 1890: @71410
     /*   71410 */ GIM_Reject,
     /*   71411 */ // Label 1751: @71411
     /*   71411 */ GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(71538),
     /*   71416 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71419 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71427 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(71482), // Rule ID 45656 //
     /*   71432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71435 */     // MIs[0] rs1
     /*   71435 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71443 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   71443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   71446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*   71460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71476 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71480 */     GIR_RootConstrainSelectedInstOperands,
     /*   71481 */     // GIR_Coverage, 45656,
     /*   71481 */     GIR_EraseRootFromParent_Done,
     /*   71482 */   // Label 1894: @71482
     /*   71482 */   GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(71537), // Rule ID 45657 //
     /*   71487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71490 */     // MIs[0] rs1
     /*   71490 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71498 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   71498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   71501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*   71515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71535 */     GIR_RootConstrainSelectedInstOperands,
     /*   71536 */     // GIR_Coverage, 45657,
     /*   71536 */     GIR_EraseRootFromParent_Done,
     /*   71537 */   // Label 1895: @71537
     /*   71537 */   GIM_Reject,
     /*   71538 */ // Label 1893: @71538
     /*   71538 */ GIM_Reject,
     /*   71539 */ // Label 1752: @71539
     /*   71539 */ GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(71776),
     /*   71544 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71547 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71555 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(71610), // Rule ID 45684 //
     /*   71560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71563 */     // MIs[0] rs1
     /*   71563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71571 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   71571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71608 */     GIR_RootConstrainSelectedInstOperands,
     /*   71609 */     // GIR_Coverage, 45684,
     /*   71609 */     GIR_EraseRootFromParent_Done,
     /*   71610 */   // Label 1897: @71610
     /*   71610 */   GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(71665), // Rule ID 45685 //
     /*   71615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71618 */     // MIs[0] rs1
     /*   71618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71626 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   71626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71659 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71663 */     GIR_RootConstrainSelectedInstOperands,
     /*   71664 */     // GIR_Coverage, 45685,
     /*   71664 */     GIR_EraseRootFromParent_Done,
     /*   71665 */   // Label 1898: @71665
     /*   71665 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(71720), // Rule ID 45744 //
     /*   71670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   71673 */     // MIs[0] rs1
     /*   71673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71681 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   71681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71714 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71718 */     GIR_RootConstrainSelectedInstOperands,
     /*   71719 */     // GIR_Coverage, 45744,
     /*   71719 */     GIR_EraseRootFromParent_Done,
     /*   71720 */   // Label 1899: @71720
     /*   71720 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(71775), // Rule ID 45745 //
     /*   71725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   71728 */     // MIs[0] rs1
     /*   71728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71736 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   71736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   71739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*   71753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71773 */     GIR_RootConstrainSelectedInstOperands,
     /*   71774 */     // GIR_Coverage, 45745,
     /*   71774 */     GIR_EraseRootFromParent_Done,
     /*   71775 */   // Label 1900: @71775
     /*   71775 */   GIM_Reject,
     /*   71776 */ // Label 1896: @71776
     /*   71776 */ GIM_Reject,
     /*   71777 */ // Label 1753: @71777
     /*   71777 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(72014),
     /*   71782 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   71785 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   71789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71793 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(71848), // Rule ID 45700 //
     /*   71798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71801 */     // MIs[0] rs1
     /*   71801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71809 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71846 */     GIR_RootConstrainSelectedInstOperands,
     /*   71847 */     // GIR_Coverage, 45700,
     /*   71847 */     GIR_EraseRootFromParent_Done,
     /*   71848 */   // Label 1902: @71848
     /*   71848 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(71903), // Rule ID 45701 //
     /*   71853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71856 */     // MIs[0] rs1
     /*   71856 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71864 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71901 */     GIR_RootConstrainSelectedInstOperands,
     /*   71902 */     // GIR_Coverage, 45701,
     /*   71902 */     GIR_EraseRootFromParent_Done,
     /*   71903 */   // Label 1903: @71903
     /*   71903 */   GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(71958), // Rule ID 45760 //
     /*   71908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   71911 */     // MIs[0] rs1
     /*   71911 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   71915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71919 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71952 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   71956 */     GIR_RootConstrainSelectedInstOperands,
     /*   71957 */     // GIR_Coverage, 45760,
     /*   71957 */     GIR_EraseRootFromParent_Done,
     /*   71958 */   // Label 1904: @71958
     /*   71958 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(72013), // Rule ID 45761 //
     /*   71963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   71966 */     // MIs[0] rs1
     /*   71966 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   71970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   71974 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   71977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*   71991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72007 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72011 */     GIR_RootConstrainSelectedInstOperands,
     /*   72012 */     // GIR_Coverage, 45761,
     /*   72012 */     GIR_EraseRootFromParent_Done,
     /*   72013 */   // Label 1905: @72013
     /*   72013 */   GIM_Reject,
     /*   72014 */ // Label 1901: @72014
     /*   72014 */ GIM_Reject,
     /*   72015 */ // Label 1754: @72015
     /*   72015 */ GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(72252),
     /*   72020 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72023 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72031 */   GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(72086), // Rule ID 45716 //
     /*   72036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72039 */     // MIs[0] rs1
     /*   72039 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72047 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72080 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72084 */     GIR_RootConstrainSelectedInstOperands,
     /*   72085 */     // GIR_Coverage, 45716,
     /*   72085 */     GIR_EraseRootFromParent_Done,
     /*   72086 */   // Label 1907: @72086
     /*   72086 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(72141), // Rule ID 45717 //
     /*   72091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72094 */     // MIs[0] rs1
     /*   72094 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72102 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72135 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72139 */     GIR_RootConstrainSelectedInstOperands,
     /*   72140 */     // GIR_Coverage, 45717,
     /*   72140 */     GIR_EraseRootFromParent_Done,
     /*   72141 */   // Label 1908: @72141
     /*   72141 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(72196), // Rule ID 45776 //
     /*   72146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   72149 */     // MIs[0] rs1
     /*   72149 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72157 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72194 */     GIR_RootConstrainSelectedInstOperands,
     /*   72195 */     // GIR_Coverage, 45776,
     /*   72195 */     GIR_EraseRootFromParent_Done,
     /*   72196 */   // Label 1909: @72196
     /*   72196 */   GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(72251), // Rule ID 45777 //
     /*   72201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   72204 */     // MIs[0] rs1
     /*   72204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72212 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   72215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*   72229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72245 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72249 */     GIR_RootConstrainSelectedInstOperands,
     /*   72250 */     // GIR_Coverage, 45777,
     /*   72250 */     GIR_EraseRootFromParent_Done,
     /*   72251 */   // Label 1910: @72251
     /*   72251 */   GIM_Reject,
     /*   72252 */ // Label 1906: @72252
     /*   72252 */ GIM_Reject,
     /*   72253 */ // Label 1755: @72253
     /*   72253 */ GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(72372),
     /*   72258 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72261 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72269 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   72273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72277 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(72324), // Rule ID 45792 //
     /*   72282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72285 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   72285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*   72288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*   72302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   72315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72318 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72322 */     GIR_RootConstrainSelectedInstOperands,
     /*   72323 */     // GIR_Coverage, 45792,
     /*   72323 */     GIR_EraseRootFromParent_Done,
     /*   72324 */   // Label 1912: @72324
     /*   72324 */   GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(72371), // Rule ID 45793 //
     /*   72329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72332 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   72332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*   72335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*   72349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   72362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72365 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72369 */     GIR_RootConstrainSelectedInstOperands,
     /*   72370 */     // GIR_Coverage, 45793,
     /*   72370 */     GIR_EraseRootFromParent_Done,
     /*   72371 */   // Label 1913: @72371
     /*   72371 */   GIM_Reject,
     /*   72372 */ // Label 1911: @72372
     /*   72372 */ GIM_Reject,
     /*   72373 */ // Label 1756: @72373
     /*   72373 */ GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(72500),
     /*   72378 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72381 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72389 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(72444), // Rule ID 45672 //
     /*   72394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72397 */     // MIs[0] rs1
     /*   72397 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72405 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*   72422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72438 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72442 */     GIR_RootConstrainSelectedInstOperands,
     /*   72443 */     // GIR_Coverage, 45672,
     /*   72443 */     GIR_EraseRootFromParent_Done,
     /*   72444 */   // Label 1915: @72444
     /*   72444 */   GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(72499), // Rule ID 45673 //
     /*   72449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72452 */     // MIs[0] rs1
     /*   72452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72460 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   72463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*   72477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72493 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72497 */     GIR_RootConstrainSelectedInstOperands,
     /*   72498 */     // GIR_Coverage, 45673,
     /*   72498 */     GIR_EraseRootFromParent_Done,
     /*   72499 */   // Label 1916: @72499
     /*   72499 */   GIM_Reject,
     /*   72500 */ // Label 1914: @72500
     /*   72500 */ GIM_Reject,
     /*   72501 */ // Label 1757: @72501
     /*   72501 */ GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(72738),
     /*   72506 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72509 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72517 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(72572), // Rule ID 45688 //
     /*   72522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72525 */     // MIs[0] rs1
     /*   72525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72533 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   72533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72570 */     GIR_RootConstrainSelectedInstOperands,
     /*   72571 */     // GIR_Coverage, 45688,
     /*   72571 */     GIR_EraseRootFromParent_Done,
     /*   72572 */   // Label 1918: @72572
     /*   72572 */   GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(72627), // Rule ID 45689 //
     /*   72577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72580 */     // MIs[0] rs1
     /*   72580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72588 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   72588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72625 */     GIR_RootConstrainSelectedInstOperands,
     /*   72626 */     // GIR_Coverage, 45689,
     /*   72626 */     GIR_EraseRootFromParent_Done,
     /*   72627 */   // Label 1919: @72627
     /*   72627 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(72682), // Rule ID 45748 //
     /*   72632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   72635 */     // MIs[0] rs1
     /*   72635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72643 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   72643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72676 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72680 */     GIR_RootConstrainSelectedInstOperands,
     /*   72681 */     // GIR_Coverage, 45748,
     /*   72681 */     GIR_EraseRootFromParent_Done,
     /*   72682 */   // Label 1920: @72682
     /*   72682 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(72737), // Rule ID 45749 //
     /*   72687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   72690 */     // MIs[0] rs1
     /*   72690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72698 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   72698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   72701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*   72715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   72728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72731 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72735 */     GIR_RootConstrainSelectedInstOperands,
     /*   72736 */     // GIR_Coverage, 45749,
     /*   72736 */     GIR_EraseRootFromParent_Done,
     /*   72737 */   // Label 1921: @72737
     /*   72737 */   GIM_Reject,
     /*   72738 */ // Label 1917: @72738
     /*   72738 */ GIM_Reject,
     /*   72739 */ // Label 1758: @72739
     /*   72739 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(72976),
     /*   72744 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72747 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   72755 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(72810), // Rule ID 45704 //
     /*   72760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72763 */     // MIs[0] rs1
     /*   72763 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72771 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   72771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72808 */     GIR_RootConstrainSelectedInstOperands,
     /*   72809 */     // GIR_Coverage, 45704,
     /*   72809 */     GIR_EraseRootFromParent_Done,
     /*   72810 */   // Label 1923: @72810
     /*   72810 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(72865), // Rule ID 45705 //
     /*   72815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72818 */     // MIs[0] rs1
     /*   72818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72826 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   72826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72859 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72863 */     GIR_RootConstrainSelectedInstOperands,
     /*   72864 */     // GIR_Coverage, 45705,
     /*   72864 */     GIR_EraseRootFromParent_Done,
     /*   72865 */   // Label 1924: @72865
     /*   72865 */   GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(72920), // Rule ID 45764 //
     /*   72870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   72873 */     // MIs[0] rs1
     /*   72873 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   72877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72881 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   72881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72914 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72918 */     GIR_RootConstrainSelectedInstOperands,
     /*   72919 */     // GIR_Coverage, 45764,
     /*   72919 */     GIR_EraseRootFromParent_Done,
     /*   72920 */   // Label 1925: @72920
     /*   72920 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(72975), // Rule ID 45765 //
     /*   72925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   72928 */     // MIs[0] rs1
     /*   72928 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   72932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   72936 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   72936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   72939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*   72953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   72973 */     GIR_RootConstrainSelectedInstOperands,
     /*   72974 */     // GIR_Coverage, 45765,
     /*   72974 */     GIR_EraseRootFromParent_Done,
     /*   72975 */   // Label 1926: @72975
     /*   72975 */   GIM_Reject,
     /*   72976 */ // Label 1922: @72976
     /*   72976 */ GIM_Reject,
     /*   72977 */ // Label 1759: @72977
     /*   72977 */ GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(73096),
     /*   72982 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   72985 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   72989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72993 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   72997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73001 */   GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(73048), // Rule ID 45796 //
     /*   73006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73009 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   73009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*   73012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*   73026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73046 */     GIR_RootConstrainSelectedInstOperands,
     /*   73047 */     // GIR_Coverage, 45796,
     /*   73047 */     GIR_EraseRootFromParent_Done,
     /*   73048 */   // Label 1928: @73048
     /*   73048 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(73095), // Rule ID 45797 //
     /*   73053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73056 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   73056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*   73059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*   73073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73089 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73093 */     GIR_RootConstrainSelectedInstOperands,
     /*   73094 */     // GIR_Coverage, 45797,
     /*   73094 */     GIR_EraseRootFromParent_Done,
     /*   73095 */   // Label 1929: @73095
     /*   73095 */   GIM_Reject,
     /*   73096 */ // Label 1927: @73096
     /*   73096 */ GIM_Reject,
     /*   73097 */ // Label 1760: @73097
     /*   73097 */ GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(73224),
     /*   73102 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73105 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73113 */   GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(73168), // Rule ID 45676 //
     /*   73118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73121 */     // MIs[0] rs1
     /*   73121 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73129 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   73132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*   73146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73166 */     GIR_RootConstrainSelectedInstOperands,
     /*   73167 */     // GIR_Coverage, 45676,
     /*   73167 */     GIR_EraseRootFromParent_Done,
     /*   73168 */   // Label 1931: @73168
     /*   73168 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(73223), // Rule ID 45677 //
     /*   73173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73176 */     // MIs[0] rs1
     /*   73176 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73184 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   73187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*   73201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73221 */     GIR_RootConstrainSelectedInstOperands,
     /*   73222 */     // GIR_Coverage, 45677,
     /*   73222 */     GIR_EraseRootFromParent_Done,
     /*   73223 */   // Label 1932: @73223
     /*   73223 */   GIM_Reject,
     /*   73224 */ // Label 1930: @73224
     /*   73224 */ GIM_Reject,
     /*   73225 */ // Label 1761: @73225
     /*   73225 */ GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(73462),
     /*   73230 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73233 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73241 */   GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(73296), // Rule ID 45692 //
     /*   73246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73249 */     // MIs[0] rs1
     /*   73249 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73257 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73290 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73294 */     GIR_RootConstrainSelectedInstOperands,
     /*   73295 */     // GIR_Coverage, 45692,
     /*   73295 */     GIR_EraseRootFromParent_Done,
     /*   73296 */   // Label 1934: @73296
     /*   73296 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(73351), // Rule ID 45693 //
     /*   73301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73304 */     // MIs[0] rs1
     /*   73304 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73312 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73349 */     GIR_RootConstrainSelectedInstOperands,
     /*   73350 */     // GIR_Coverage, 45693,
     /*   73350 */     GIR_EraseRootFromParent_Done,
     /*   73351 */   // Label 1935: @73351
     /*   73351 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(73406), // Rule ID 45752 //
     /*   73356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   73359 */     // MIs[0] rs1
     /*   73359 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73367 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73400 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73404 */     GIR_RootConstrainSelectedInstOperands,
     /*   73405 */     // GIR_Coverage, 45752,
     /*   73405 */     GIR_EraseRootFromParent_Done,
     /*   73406 */   // Label 1936: @73406
     /*   73406 */   GIM_Try, /*On fail goto*//*Label 1937*/ GIMT_Encode4(73461), // Rule ID 45753 //
     /*   73411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   73414 */     // MIs[0] rs1
     /*   73414 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73422 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   73425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*   73439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73455 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73459 */     GIR_RootConstrainSelectedInstOperands,
     /*   73460 */     // GIR_Coverage, 45753,
     /*   73460 */     GIR_EraseRootFromParent_Done,
     /*   73461 */   // Label 1937: @73461
     /*   73461 */   GIM_Reject,
     /*   73462 */ // Label 1933: @73462
     /*   73462 */ GIM_Reject,
     /*   73463 */ // Label 1762: @73463
     /*   73463 */ GIM_Try, /*On fail goto*//*Label 1938*/ GIMT_Encode4(73582),
     /*   73468 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73471 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73479 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73487 */   GIM_Try, /*On fail goto*//*Label 1939*/ GIMT_Encode4(73534), // Rule ID 45800 //
     /*   73492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73495 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*   73495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*   73498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*   73512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73528 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73532 */     GIR_RootConstrainSelectedInstOperands,
     /*   73533 */     // GIR_Coverage, 45800,
     /*   73533 */     GIR_EraseRootFromParent_Done,
     /*   73534 */   // Label 1939: @73534
     /*   73534 */   GIM_Try, /*On fail goto*//*Label 1940*/ GIMT_Encode4(73581), // Rule ID 45801 //
     /*   73539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73542 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*   73542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*   73545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*   73559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   73572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73575 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73579 */     GIR_RootConstrainSelectedInstOperands,
     /*   73580 */     // GIR_Coverage, 45801,
     /*   73580 */     GIR_EraseRootFromParent_Done,
     /*   73581 */   // Label 1940: @73581
     /*   73581 */   GIM_Reject,
     /*   73582 */ // Label 1938: @73582
     /*   73582 */ GIM_Reject,
     /*   73583 */ // Label 1763: @73583
     /*   73583 */ GIM_Try, /*On fail goto*//*Label 1941*/ GIMT_Encode4(73710),
     /*   73588 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73591 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   73595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   73599 */   GIM_Try, /*On fail goto*//*Label 1942*/ GIMT_Encode4(73654), // Rule ID 45680 //
     /*   73604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73607 */     // MIs[0] rs1
     /*   73607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   73611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73615 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   73618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*   73632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73652 */     GIR_RootConstrainSelectedInstOperands,
     /*   73653 */     // GIR_Coverage, 45680,
     /*   73653 */     GIR_EraseRootFromParent_Done,
     /*   73654 */   // Label 1942: @73654
     /*   73654 */   GIM_Try, /*On fail goto*//*Label 1943*/ GIMT_Encode4(73709), // Rule ID 45681 //
     /*   73659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73662 */     // MIs[0] rs1
     /*   73662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   73666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73670 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   73673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*   73687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73707 */     GIR_RootConstrainSelectedInstOperands,
     /*   73708 */     // GIR_Coverage, 45681,
     /*   73708 */     GIR_EraseRootFromParent_Done,
     /*   73709 */   // Label 1943: @73709
     /*   73709 */   GIM_Reject,
     /*   73710 */ // Label 1941: @73710
     /*   73710 */ GIM_Reject,
     /*   73711 */ // Label 1764: @73711
     /*   73711 */ GIM_Reject,
     /*   73712 */ // Label 22: @73712
     /*   73712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1946*/ GIMT_Encode4(74006),
     /*   73723 */ /*GILLT_s32*//*Label 1944*/ GIMT_Encode4(73731),
     /*   73727 */ /*GILLT_s64*//*Label 1945*/ GIMT_Encode4(73843),
     /*   73731 */ // Label 1944: @73731
     /*   73731 */ GIM_Try, /*On fail goto*//*Label 1947*/ GIMT_Encode4(73842),
     /*   73736 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73739 */   GIM_Try, /*On fail goto*//*Label 1948*/ GIMT_Encode4(73790), // Rule ID 225 //
     /*   73744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   73747 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   73754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73758 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73769 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   73769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   73772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73788 */     GIR_RootConstrainSelectedInstOperands,
     /*   73789 */     // GIR_Coverage, 225,
     /*   73789 */     GIR_EraseRootFromParent_Done,
     /*   73790 */   // Label 1948: @73790
     /*   73790 */   GIM_Try, /*On fail goto*//*Label 1949*/ GIMT_Encode4(73841), // Rule ID 229 //
     /*   73795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   73798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   73805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73820 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   73820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   73823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73835 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73839 */     GIR_RootConstrainSelectedInstOperands,
     /*   73840 */     // GIR_Coverage, 229,
     /*   73840 */     GIR_EraseRootFromParent_Done,
     /*   73841 */   // Label 1949: @73841
     /*   73841 */   GIM_Reject,
     /*   73842 */ // Label 1947: @73842
     /*   73842 */ GIM_Reject,
     /*   73843 */ // Label 1945: @73843
     /*   73843 */ GIM_Try, /*On fail goto*//*Label 1950*/ GIMT_Encode4(74005),
     /*   73848 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   73851 */   GIM_Try, /*On fail goto*//*Label 1951*/ GIMT_Encode4(73902), // Rule ID 224 //
     /*   73856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   73859 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   73866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73881 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*   73884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73900 */     GIR_RootConstrainSelectedInstOperands,
     /*   73901 */     // GIR_Coverage, 224,
     /*   73901 */     GIR_EraseRootFromParent_Done,
     /*   73902 */   // Label 1951: @73902
     /*   73902 */   GIM_Try, /*On fail goto*//*Label 1952*/ GIMT_Encode4(73953), // Rule ID 228 //
     /*   73907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   73910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   73917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73932 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*   73935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73947 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   73951 */     GIR_RootConstrainSelectedInstOperands,
     /*   73952 */     // GIR_Coverage, 228,
     /*   73952 */     GIR_EraseRootFromParent_Done,
     /*   73953 */   // Label 1952: @73953
     /*   73953 */   GIM_Try, /*On fail goto*//*Label 1953*/ GIMT_Encode4(74004), // Rule ID 274 //
     /*   73958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   73961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   73968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   73972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   73976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   73983 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   73983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*   73986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   73993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   73998 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74002 */     GIR_RootConstrainSelectedInstOperands,
     /*   74003 */     // GIR_Coverage, 274,
     /*   74003 */     GIR_EraseRootFromParent_Done,
     /*   74004 */   // Label 1953: @74004
     /*   74004 */   GIM_Reject,
     /*   74005 */ // Label 1950: @74005
     /*   74005 */ GIM_Reject,
     /*   74006 */ // Label 1946: @74006
     /*   74006 */ GIM_Reject,
     /*   74007 */ // Label 23: @74007
     /*   74007 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 1956*/ GIMT_Encode4(74301),
     /*   74018 */ /*GILLT_s32*//*Label 1954*/ GIMT_Encode4(74026),
     /*   74022 */ /*GILLT_s64*//*Label 1955*/ GIMT_Encode4(74138),
     /*   74026 */ // Label 1954: @74026
     /*   74026 */ GIM_Try, /*On fail goto*//*Label 1957*/ GIMT_Encode4(74137),
     /*   74031 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74034 */   GIM_Try, /*On fail goto*//*Label 1958*/ GIMT_Encode4(74085), // Rule ID 235 //
     /*   74039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   74042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74053 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74064 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   74067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74083 */     GIR_RootConstrainSelectedInstOperands,
     /*   74084 */     // GIR_Coverage, 235,
     /*   74084 */     GIR_EraseRootFromParent_Done,
     /*   74085 */   // Label 1958: @74085
     /*   74085 */   GIM_Try, /*On fail goto*//*Label 1959*/ GIMT_Encode4(74136), // Rule ID 237 //
     /*   74090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   74093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74115 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*   74118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74130 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74134 */     GIR_RootConstrainSelectedInstOperands,
     /*   74135 */     // GIR_Coverage, 237,
     /*   74135 */     GIR_EraseRootFromParent_Done,
     /*   74136 */   // Label 1959: @74136
     /*   74136 */   GIM_Reject,
     /*   74137 */ // Label 1957: @74137
     /*   74137 */ GIM_Reject,
     /*   74138 */ // Label 1955: @74138
     /*   74138 */ GIM_Try, /*On fail goto*//*Label 1960*/ GIMT_Encode4(74300),
     /*   74143 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74146 */   GIM_Try, /*On fail goto*//*Label 1961*/ GIMT_Encode4(74197), // Rule ID 234 //
     /*   74151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   74154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74176 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*   74179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74195 */     GIR_RootConstrainSelectedInstOperands,
     /*   74196 */     // GIR_Coverage, 234,
     /*   74196 */     GIR_EraseRootFromParent_Done,
     /*   74197 */   // Label 1961: @74197
     /*   74197 */   GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(74248), // Rule ID 236 //
     /*   74202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   74205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74216 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74227 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*   74230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74242 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74246 */     GIR_RootConstrainSelectedInstOperands,
     /*   74247 */     // GIR_Coverage, 236,
     /*   74247 */     GIR_EraseRootFromParent_Done,
     /*   74248 */   // Label 1962: @74248
     /*   74248 */   GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(74299), // Rule ID 276 //
     /*   74253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   74256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   74263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74278 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*   74281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74293 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74297 */     GIR_RootConstrainSelectedInstOperands,
     /*   74298 */     // GIR_Coverage, 276,
     /*   74298 */     GIR_EraseRootFromParent_Done,
     /*   74299 */   // Label 1963: @74299
     /*   74299 */   GIM_Reject,
     /*   74300 */ // Label 1960: @74300
     /*   74300 */ GIM_Reject,
     /*   74301 */ // Label 1956: @74301
     /*   74301 */ GIM_Reject,
     /*   74302 */ // Label 24: @74302
     /*   74302 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 1998*/ GIMT_Encode4(81099),
     /*   74313 */ /*GILLT_p0s32*//*Label 1964*/ GIMT_Encode4(74449),
     /*   74317 */ /*GILLT_p0s64*//*Label 1965*/ GIMT_Encode4(74543),
     /*   74321 */ /*GILLT_s16*//*Label 1966*/ GIMT_Encode4(74637),
     /*   74325 */ /*GILLT_s32*//*Label 1967*/ GIMT_Encode4(75276),
     /*   74329 */ /*GILLT_s64*//*Label 1968*/ GIMT_Encode4(76578),
     /*   74333 */ /*GILLT_nxv1s1*//*Label 1969*/ GIMT_Encode4(77553),
     /*   74337 */ /*GILLT_nxv1s8*//*Label 1970*/ GIMT_Encode4(77633),
     /*   74341 */ /*GILLT_nxv1s16*//*Label 1971*/ GIMT_Encode4(77721),
     /*   74345 */ /*GILLT_nxv1s32*//*Label 1972*/ GIMT_Encode4(77879),
     /*   74349 */ /*GILLT_nxv1s64*//*Label 1973*/ GIMT_Encode4(78037),
     /*   74353 */ /*GILLT_nxv2s1*//*Label 1974*/ GIMT_Encode4(78195),
     /*   74357 */ /*GILLT_nxv2s8*//*Label 1975*/ GIMT_Encode4(78275),
     /*   74361 */ /*GILLT_nxv2s16*//*Label 1976*/ GIMT_Encode4(78363),
     /*   74365 */ /*GILLT_nxv2s32*//*Label 1977*/ GIMT_Encode4(78521),
     /*   74369 */ /*GILLT_nxv2s64*//*Label 1978*/ GIMT_Encode4(78679),
     /*   74373 */ /*GILLT_nxv4s1*//*Label 1979*/ GIMT_Encode4(78837),
     /*   74377 */ /*GILLT_nxv4s8*//*Label 1980*/ GIMT_Encode4(78917),
     /*   74381 */ /*GILLT_nxv4s16*//*Label 1981*/ GIMT_Encode4(79005),
     /*   74385 */ /*GILLT_nxv4s32*//*Label 1982*/ GIMT_Encode4(79163),
     /*   74389 */ /*GILLT_nxv4s64*//*Label 1983*/ GIMT_Encode4(79321),
     /*   74393 */ /*GILLT_nxv8s1*//*Label 1984*/ GIMT_Encode4(79479),
     /*   74397 */ /*GILLT_nxv8s8*//*Label 1985*/ GIMT_Encode4(79559),
     /*   74401 */ /*GILLT_nxv8s16*//*Label 1986*/ GIMT_Encode4(79647),
     /*   74405 */ /*GILLT_nxv8s32*//*Label 1987*/ GIMT_Encode4(79805),
     /*   74409 */ /*GILLT_nxv8s64*//*Label 1988*/ GIMT_Encode4(79963),
     /*   74413 */ /*GILLT_nxv16s1*//*Label 1989*/ GIMT_Encode4(80121),
     /*   74417 */ /*GILLT_nxv16s8*//*Label 1990*/ GIMT_Encode4(80201),
     /*   74421 */ /*GILLT_nxv16s16*//*Label 1991*/ GIMT_Encode4(80289),
     /*   74425 */ /*GILLT_nxv16s32*//*Label 1992*/ GIMT_Encode4(80447),
     /*   74429 */ /*GILLT_nxv32s1*//*Label 1993*/ GIMT_Encode4(80605),
     /*   74433 */ /*GILLT_nxv32s8*//*Label 1994*/ GIMT_Encode4(80685),
     /*   74437 */ /*GILLT_nxv32s16*//*Label 1995*/ GIMT_Encode4(80773),
     /*   74441 */ /*GILLT_nxv64s1*//*Label 1996*/ GIMT_Encode4(80931),
     /*   74445 */ /*GILLT_nxv64s8*//*Label 1997*/ GIMT_Encode4(81011),
     /*   74449 */ // Label 1964: @74449
     /*   74449 */ GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(74542),
     /*   74454 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74457 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74465 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74469 */   GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(74505), // Rule ID 63956 //
     /*   74474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   74477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74484 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   74487 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74503 */     GIR_RootConstrainSelectedInstOperands,
     /*   74504 */     // GIR_Coverage, 63956,
     /*   74504 */     GIR_EraseRootFromParent_Done,
     /*   74505 */   // Label 2000: @74505
     /*   74505 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(74541), // Rule ID 63960 //
     /*   74510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   74513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74520 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   74523 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74539 */     GIR_RootConstrainSelectedInstOperands,
     /*   74540 */     // GIR_Coverage, 63960,
     /*   74540 */     GIR_EraseRootFromParent_Done,
     /*   74541 */   // Label 2001: @74541
     /*   74541 */   GIM_Reject,
     /*   74542 */ // Label 1999: @74542
     /*   74542 */ GIM_Reject,
     /*   74543 */ // Label 1965: @74543
     /*   74543 */ GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(74636),
     /*   74548 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74551 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74559 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74563 */   GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(74599), // Rule ID 63955 //
     /*   74568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   74571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74578 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   74581 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74597 */     GIR_RootConstrainSelectedInstOperands,
     /*   74598 */     // GIR_Coverage, 63955,
     /*   74598 */     GIR_EraseRootFromParent_Done,
     /*   74599 */   // Label 2003: @74599
     /*   74599 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(74635), // Rule ID 63959 //
     /*   74604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   74607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74614 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   74617 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74629 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74633 */     GIR_RootConstrainSelectedInstOperands,
     /*   74634 */     // GIR_Coverage, 63959,
     /*   74634 */     GIR_EraseRootFromParent_Done,
     /*   74635 */   // Label 2004: @74635
     /*   74635 */   GIM_Reject,
     /*   74636 */ // Label 2002: @74636
     /*   74636 */ GIM_Reject,
     /*   74637 */ // Label 1966: @74637
     /*   74637 */ GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(74691), // Rule ID 63973 //
     /*   74642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   74645 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74648 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74659 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74663 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74670 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   74673 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74675 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74689 */   GIR_RootConstrainSelectedInstOperands,
     /*   74690 */   // GIR_Coverage, 63973,
     /*   74690 */   GIR_EraseRootFromParent_Done,
     /*   74691 */ // Label 2005: @74691
     /*   74691 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(74745), // Rule ID 63974 //
     /*   74696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   74699 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74702 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   74709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74713 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74717 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74724 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   74727 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74729 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74734 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74739 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74743 */   GIR_RootConstrainSelectedInstOperands,
     /*   74744 */   // GIR_Coverage, 63974,
     /*   74744 */   GIR_EraseRootFromParent_Done,
     /*   74745 */ // Label 2006: @74745
     /*   74745 */ GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(74799), // Rule ID 63975 //
     /*   74750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   74753 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74756 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74767 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74771 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74778 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   74781 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74783 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74788 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74793 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74797 */   GIR_RootConstrainSelectedInstOperands,
     /*   74798 */   // GIR_Coverage, 63975,
     /*   74798 */   GIR_EraseRootFromParent_Done,
     /*   74799 */ // Label 2007: @74799
     /*   74799 */ GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(74853), // Rule ID 63976 //
     /*   74804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   74807 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   74810 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   74817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   74821 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74825 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74832 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   74835 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74837 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74842 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74847 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74851 */   GIR_RootConstrainSelectedInstOperands,
     /*   74852 */   // GIR_Coverage, 63976,
     /*   74852 */   GIR_EraseRootFromParent_Done,
     /*   74853 */ // Label 2008: @74853
     /*   74853 */ GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(74904), // Rule ID 2010 //
     /*   74858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*   74861 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74864 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   74872 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74876 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74883 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*   74886 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74888 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74893 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74898 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74902 */   GIR_RootConstrainSelectedInstOperands,
     /*   74903 */   // GIR_Coverage, 2010,
     /*   74903 */   GIR_EraseRootFromParent_Done,
     /*   74904 */ // Label 2009: @74904
     /*   74904 */ GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(74955), // Rule ID 2011 //
     /*   74909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*   74912 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74915 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*   74923 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74927 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74934 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   74934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*   74937 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74939 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74944 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   74949 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   74953 */   GIR_RootConstrainSelectedInstOperands,
     /*   74954 */   // GIR_Coverage, 2011,
     /*   74954 */   GIR_EraseRootFromParent_Done,
     /*   74955 */ // Label 2010: @74955
     /*   74955 */ GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(75006), // Rule ID 2016 //
     /*   74960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*   74963 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   74966 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   74970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   74974 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   74978 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   74985 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   74985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*   74988 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   74990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   74995 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75000 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75004 */   GIR_RootConstrainSelectedInstOperands,
     /*   75005 */   // GIR_Coverage, 2016,
     /*   75005 */   GIR_EraseRootFromParent_Done,
     /*   75006 */ // Label 2011: @75006
     /*   75006 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(75057), // Rule ID 2017 //
     /*   75011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*   75014 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75017 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*   75025 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75029 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75036 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*   75039 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75046 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75051 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75055 */   GIR_RootConstrainSelectedInstOperands,
     /*   75056 */   // GIR_Coverage, 2017,
     /*   75056 */   GIR_EraseRootFromParent_Done,
     /*   75057 */ // Label 2012: @75057
     /*   75057 */ GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(75108), // Rule ID 63963 //
     /*   75062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75076 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75080 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75087 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75090 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75092 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75097 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75102 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75106 */   GIR_RootConstrainSelectedInstOperands,
     /*   75107 */   // GIR_Coverage, 63963,
     /*   75107 */   GIR_EraseRootFromParent_Done,
     /*   75108 */ // Label 2013: @75108
     /*   75108 */ GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(75159), // Rule ID 63964 //
     /*   75113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75116 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75119 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75127 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75138 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75141 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75157 */   GIR_RootConstrainSelectedInstOperands,
     /*   75158 */   // GIR_Coverage, 63964,
     /*   75158 */   GIR_EraseRootFromParent_Done,
     /*   75159 */ // Label 2014: @75159
     /*   75159 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(75217), // Rule ID 63967 //
     /*   75164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75167 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75170 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75174 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75185 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75189 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75196 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75199 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75201 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75206 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75211 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75215 */   GIR_RootConstrainSelectedInstOperands,
     /*   75216 */   // GIR_Coverage, 63967,
     /*   75216 */   GIR_EraseRootFromParent_Done,
     /*   75217 */ // Label 2015: @75217
     /*   75217 */ GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(75275), // Rule ID 63968 //
     /*   75222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75225 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75228 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75232 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75243 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75247 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75254 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75257 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75259 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75264 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75269 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75273 */   GIR_RootConstrainSelectedInstOperands,
     /*   75274 */   // GIR_Coverage, 63968,
     /*   75274 */   GIR_EraseRootFromParent_Done,
     /*   75275 */ // Label 2016: @75275
     /*   75275 */ GIM_Reject,
     /*   75276 */ // Label 1967: @75276
     /*   75276 */ GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(75333), // Rule ID 318 //
     /*   75281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75284 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75287 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75294 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75312 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9676>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75315 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75331 */   GIR_RootConstrainSelectedInstOperands,
     /*   75332 */   // GIR_Coverage, 318,
     /*   75332 */   GIR_EraseRootFromParent_Done,
     /*   75333 */ // Label 2017: @75333
     /*   75333 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(75390), // Rule ID 320 //
     /*   75338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75341 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75344 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   75351 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75358 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75362 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75369 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9678>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75369 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75372 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75374 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75384 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75388 */   GIR_RootConstrainSelectedInstOperands,
     /*   75389 */   // GIR_Coverage, 320,
     /*   75389 */   GIR_EraseRootFromParent_Done,
     /*   75390 */ // Label 2018: @75390
     /*   75390 */ GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(75447), // Rule ID 322 //
     /*   75395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*   75398 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75401 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75408 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   75411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75415 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75419 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75426 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9680>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75429 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75431 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75436 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75445 */   GIR_RootConstrainSelectedInstOperands,
     /*   75446 */   // GIR_Coverage, 322,
     /*   75446 */   GIR_EraseRootFromParent_Done,
     /*   75447 */ // Label 2019: @75447
     /*   75447 */ GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(75501), // Rule ID 63979 //
     /*   75452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   75455 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75458 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75473 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75480 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75483 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75499 */   GIR_RootConstrainSelectedInstOperands,
     /*   75500 */   // GIR_Coverage, 63979,
     /*   75500 */   GIR_EraseRootFromParent_Done,
     /*   75501 */ // Label 2020: @75501
     /*   75501 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(75555), // Rule ID 63980 //
     /*   75506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*   75509 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   75512 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   75519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75523 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75527 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75534 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75537 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75549 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75553 */   GIR_RootConstrainSelectedInstOperands,
     /*   75554 */   // GIR_Coverage, 63980,
     /*   75554 */   GIR_EraseRootFromParent_Done,
     /*   75555 */ // Label 2021: @75555
     /*   75555 */ GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(75613), // Rule ID 239 //
     /*   75560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75563 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75566 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75570 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75581 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75585 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75592 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   75595 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75597 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75602 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75607 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75611 */   GIR_RootConstrainSelectedInstOperands,
     /*   75612 */   // GIR_Coverage, 239,
     /*   75612 */   GIR_EraseRootFromParent_Done,
     /*   75613 */ // Label 2022: @75613
     /*   75613 */ GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(75671), // Rule ID 241 //
     /*   75618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75621 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75624 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75628 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   75635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75639 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75643 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75650 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   75653 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75655 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75660 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75665 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75669 */   GIR_RootConstrainSelectedInstOperands,
     /*   75670 */   // GIR_Coverage, 241,
     /*   75670 */   GIR_EraseRootFromParent_Done,
     /*   75671 */ // Label 2023: @75671
     /*   75671 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(75722), // Rule ID 242 //
     /*   75676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   75679 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75682 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75690 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75694 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75701 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75704 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75706 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75711 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75716 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75720 */   GIR_RootConstrainSelectedInstOperands,
     /*   75721 */   // GIR_Coverage, 242,
     /*   75721 */   GIR_EraseRootFromParent_Done,
     /*   75722 */ // Label 2024: @75722
     /*   75722 */ GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(75773), // Rule ID 243 //
     /*   75727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   75730 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75733 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   75741 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75745 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75752 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   75755 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75757 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75762 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75767 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75771 */   GIR_RootConstrainSelectedInstOperands,
     /*   75772 */   // GIR_Coverage, 243,
     /*   75772 */   GIR_EraseRootFromParent_Done,
     /*   75773 */ // Label 2025: @75773
     /*   75773 */ GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(75824), // Rule ID 1297 //
     /*   75778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*   75781 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75784 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   75792 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75796 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75803 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*   75806 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75808 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75813 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75818 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75822 */   GIR_RootConstrainSelectedInstOperands,
     /*   75823 */   // GIR_Coverage, 1297,
     /*   75823 */   GIR_EraseRootFromParent_Done,
     /*   75824 */ // Label 2026: @75824
     /*   75824 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(75875), // Rule ID 1298 //
     /*   75829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*   75832 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75835 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*   75843 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75847 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75854 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*   75857 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75859 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75864 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75869 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75873 */   GIR_RootConstrainSelectedInstOperands,
     /*   75874 */   // GIR_Coverage, 1298,
     /*   75874 */   GIR_EraseRootFromParent_Done,
     /*   75875 */ // Label 2027: @75875
     /*   75875 */ GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(75926), // Rule ID 1303 //
     /*   75880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*   75883 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75886 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   75894 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75898 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75905 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   75905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*   75908 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75910 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75915 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75920 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75924 */   GIR_RootConstrainSelectedInstOperands,
     /*   75925 */   // GIR_Coverage, 1303,
     /*   75925 */   GIR_EraseRootFromParent_Done,
     /*   75926 */ // Label 2028: @75926
     /*   75926 */ GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(75977), // Rule ID 1304 //
     /*   75931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*   75934 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75937 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*   75945 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   75949 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   75956 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   75956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*   75959 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   75961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   75966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   75971 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   75975 */   GIR_RootConstrainSelectedInstOperands,
     /*   75976 */   // GIR_Coverage, 1304,
     /*   75976 */   GIR_EraseRootFromParent_Done,
     /*   75977 */ // Label 2029: @75977
     /*   75977 */ GIM_Try, /*On fail goto*//*Label 2030*/ GIMT_Encode4(76035), // Rule ID 63985 //
     /*   75982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   75985 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   75988 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   75992 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   75999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76003 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76007 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76014 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76017 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76019 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76024 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76033 */   GIR_RootConstrainSelectedInstOperands,
     /*   76034 */   // GIR_Coverage, 63985,
     /*   76034 */   GIR_EraseRootFromParent_Done,
     /*   76035 */ // Label 2030: @76035
     /*   76035 */ GIM_Try, /*On fail goto*//*Label 2031*/ GIMT_Encode4(76093), // Rule ID 63986 //
     /*   76040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   76043 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76046 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76050 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76061 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76065 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76072 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   76072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76075 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76077 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76082 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76087 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76091 */   GIR_RootConstrainSelectedInstOperands,
     /*   76092 */   // GIR_Coverage, 63986,
     /*   76092 */   GIR_EraseRootFromParent_Done,
     /*   76093 */ // Label 2031: @76093
     /*   76093 */ GIM_Try, /*On fail goto*//*Label 2032*/ GIMT_Encode4(76151), // Rule ID 63987 //
     /*   76098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76101 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76104 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76108 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76119 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76123 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76130 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76133 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76140 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76145 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76149 */   GIR_RootConstrainSelectedInstOperands,
     /*   76150 */   // GIR_Coverage, 63987,
     /*   76150 */   GIR_EraseRootFromParent_Done,
     /*   76151 */ // Label 2032: @76151
     /*   76151 */ GIM_Try, /*On fail goto*//*Label 2033*/ GIMT_Encode4(76209), // Rule ID 63988 //
     /*   76156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*   76159 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76162 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76166 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76177 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76181 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76188 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   76188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76191 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76193 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76198 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76203 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76207 */   GIR_RootConstrainSelectedInstOperands,
     /*   76208 */   // GIR_Coverage, 63988,
     /*   76208 */   GIR_EraseRootFromParent_Done,
     /*   76209 */ // Label 2033: @76209
     /*   76209 */ GIM_Try, /*On fail goto*//*Label 2034*/ GIMT_Encode4(76255), // Rule ID 1086 //
     /*   76214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76217 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76220 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76227 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76234 */   // MIs[0] rs1
     /*   76234 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76242 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10178>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   76245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76247 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76249 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76253 */   GIR_RootConstrainSelectedInstOperands,
     /*   76254 */   // GIR_Coverage, 1086,
     /*   76254 */   GIR_EraseRootFromParent_Done,
     /*   76255 */ // Label 2034: @76255
     /*   76255 */ GIM_Try, /*On fail goto*//*Label 2035*/ GIMT_Encode4(76301), // Rule ID 1088 //
     /*   76260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76263 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76266 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76273 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76280 */   // MIs[0] rs1
     /*   76280 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76288 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10180>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   76291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76293 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76295 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76299 */   GIR_RootConstrainSelectedInstOperands,
     /*   76300 */   // GIR_Coverage, 1088,
     /*   76300 */   GIR_EraseRootFromParent_Done,
     /*   76301 */ // Label 2035: @76301
     /*   76301 */ GIM_Try, /*On fail goto*//*Label 2036*/ GIMT_Encode4(76347), // Rule ID 1090 //
     /*   76306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76309 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76312 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76319 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76326 */   // MIs[0] rs1
     /*   76326 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76334 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10182>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   76337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76339 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76341 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76345 */   GIR_RootConstrainSelectedInstOperands,
     /*   76346 */   // GIR_Coverage, 1090,
     /*   76346 */   GIR_EraseRootFromParent_Done,
     /*   76347 */ // Label 2036: @76347
     /*   76347 */ GIM_Try, /*On fail goto*//*Label 2037*/ GIMT_Encode4(76393), // Rule ID 1092 //
     /*   76352 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76355 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76358 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76372 */   // MIs[0] rs1
     /*   76372 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76380 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10184>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   76383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76385 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76387 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76391 */   GIR_RootConstrainSelectedInstOperands,
     /*   76392 */   // GIR_Coverage, 1092,
     /*   76392 */   GIR_EraseRootFromParent_Done,
     /*   76393 */ // Label 2037: @76393
     /*   76393 */ GIM_Try, /*On fail goto*//*Label 2038*/ GIMT_Encode4(76439), // Rule ID 1094 //
     /*   76398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76401 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76404 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76411 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76418 */   // MIs[0] rs1
     /*   76418 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76426 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10186>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   76429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76431 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76433 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76437 */   GIR_RootConstrainSelectedInstOperands,
     /*   76438 */   // GIR_Coverage, 1094,
     /*   76438 */   GIR_EraseRootFromParent_Done,
     /*   76439 */ // Label 2038: @76439
     /*   76439 */ GIM_Try, /*On fail goto*//*Label 2039*/ GIMT_Encode4(76485), // Rule ID 1096 //
     /*   76444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*   76447 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76450 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76457 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76464 */   // MIs[0] rs1
     /*   76464 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76472 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10188>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   76475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76477 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76479 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76483 */   GIR_RootConstrainSelectedInstOperands,
     /*   76484 */   // GIR_Coverage, 1096,
     /*   76484 */   GIR_EraseRootFromParent_Done,
     /*   76485 */ // Label 2039: @76485
     /*   76485 */ GIM_Try, /*On fail goto*//*Label 2040*/ GIMT_Encode4(76531), // Rule ID 1102 //
     /*   76490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   76493 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76496 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76503 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76510 */   // MIs[0] rs1
     /*   76510 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76518 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10194>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   76521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76523 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76525 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76529 */   GIR_RootConstrainSelectedInstOperands,
     /*   76530 */   // GIR_Coverage, 1102,
     /*   76530 */   GIR_EraseRootFromParent_Done,
     /*   76531 */ // Label 2040: @76531
     /*   76531 */ GIM_Try, /*On fail goto*//*Label 2041*/ GIMT_Encode4(76577), // Rule ID 1104 //
     /*   76536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*   76539 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76542 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   76552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76556 */   // MIs[0] rs1
     /*   76556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   76560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76564 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10196>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   76564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   76567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76569 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76571 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76575 */   GIR_RootConstrainSelectedInstOperands,
     /*   76576 */   // GIR_Coverage, 1104,
     /*   76576 */   GIR_EraseRootFromParent_Done,
     /*   76577 */ // Label 2041: @76577
     /*   76577 */ GIM_Reject,
     /*   76578 */ // Label 1968: @76578
     /*   76578 */ GIM_Try, /*On fail goto*//*Label 2042*/ GIMT_Encode4(76635), // Rule ID 317 //
     /*   76583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76586 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76589 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76596 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76603 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76614 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_9676>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76617 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76629 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76633 */   GIR_RootConstrainSelectedInstOperands,
     /*   76634 */   // GIR_Coverage, 317,
     /*   76634 */   GIR_EraseRootFromParent_Done,
     /*   76635 */ // Label 2042: @76635
     /*   76635 */ GIM_Try, /*On fail goto*//*Label 2043*/ GIMT_Encode4(76692), // Rule ID 319 //
     /*   76640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76643 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76646 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76653 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76664 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76671 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_9678>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76674 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76676 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76681 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76686 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76690 */   GIR_RootConstrainSelectedInstOperands,
     /*   76691 */   // GIR_Coverage, 319,
     /*   76691 */   GIR_EraseRootFromParent_Done,
     /*   76692 */ // Label 2043: @76692
     /*   76692 */ GIM_Try, /*On fail goto*//*Label 2044*/ GIMT_Encode4(76749), // Rule ID 321 //
     /*   76697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*   76700 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76703 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76710 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76717 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76721 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76728 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_9680>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   76731 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76738 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76743 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76747 */   GIR_RootConstrainSelectedInstOperands,
     /*   76748 */   // GIR_Coverage, 321,
     /*   76748 */   GIR_EraseRootFromParent_Done,
     /*   76749 */ // Label 2044: @76749
     /*   76749 */ GIM_Try, /*On fail goto*//*Label 2045*/ GIMT_Encode4(76806), // Rule ID 324 //
     /*   76754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*   76757 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   76760 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   76767 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   76770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76774 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76778 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76785 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_9684>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   76788 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76790 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76795 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76800 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76804 */   GIR_RootConstrainSelectedInstOperands,
     /*   76805 */   // GIR_Coverage, 324,
     /*   76805 */   GIR_EraseRootFromParent_Done,
     /*   76806 */ // Label 2045: @76806
     /*   76806 */ GIM_Try, /*On fail goto*//*Label 2046*/ GIMT_Encode4(76864), // Rule ID 238 //
     /*   76811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   76814 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76817 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   76828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76836 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76843 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*   76846 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76848 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76853 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76858 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76862 */   GIR_RootConstrainSelectedInstOperands,
     /*   76863 */   // GIR_Coverage, 238,
     /*   76863 */   GIR_EraseRootFromParent_Done,
     /*   76864 */ // Label 2046: @76864
     /*   76864 */ GIM_Try, /*On fail goto*//*Label 2047*/ GIMT_Encode4(76922), // Rule ID 240 //
     /*   76869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   76872 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76875 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76879 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   76886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76890 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76894 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76901 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*   76904 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76906 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76911 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76916 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76920 */   GIR_RootConstrainSelectedInstOperands,
     /*   76921 */   // GIR_Coverage, 240,
     /*   76921 */   GIR_EraseRootFromParent_Done,
     /*   76922 */ // Label 2047: @76922
     /*   76922 */ GIM_Try, /*On fail goto*//*Label 2048*/ GIMT_Encode4(76980), // Rule ID 278 //
     /*   76927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76933 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76937 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   76944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76948 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   76952 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   76959 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   76959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*   76962 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   76964 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   76969 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   76974 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   76978 */   GIR_RootConstrainSelectedInstOperands,
     /*   76979 */   // GIR_Coverage, 278,
     /*   76979 */   GIR_EraseRootFromParent_Done,
     /*   76980 */ // Label 2048: @76980
     /*   76980 */ GIM_Try, /*On fail goto*//*Label 2049*/ GIMT_Encode4(77031), // Rule ID 279 //
     /*   76985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   76988 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   76991 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   76995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   76999 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77003 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77010 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77010 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   77013 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77015 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77020 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77025 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77029 */   GIR_RootConstrainSelectedInstOperands,
     /*   77030 */   // GIR_Coverage, 279,
     /*   77030 */   GIR_EraseRootFromParent_Done,
     /*   77031 */ // Label 2049: @77031
     /*   77031 */ GIM_Try, /*On fail goto*//*Label 2050*/ GIMT_Encode4(77082), // Rule ID 1695 //
     /*   77036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*   77039 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77042 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   77050 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77054 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77061 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*   77064 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77066 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77071 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77076 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77080 */   GIR_RootConstrainSelectedInstOperands,
     /*   77081 */   // GIR_Coverage, 1695,
     /*   77081 */   GIR_EraseRootFromParent_Done,
     /*   77082 */ // Label 2050: @77082
     /*   77082 */ GIM_Try, /*On fail goto*//*Label 2051*/ GIMT_Encode4(77133), // Rule ID 1696 //
     /*   77087 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*   77090 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77093 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*   77101 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77105 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77112 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*   77112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*   77115 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77117 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77122 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77127 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77131 */   GIR_RootConstrainSelectedInstOperands,
     /*   77132 */   // GIR_Coverage, 1696,
     /*   77132 */   GIR_EraseRootFromParent_Done,
     /*   77133 */ // Label 2051: @77133
     /*   77133 */ GIM_Try, /*On fail goto*//*Label 2052*/ GIMT_Encode4(77184), // Rule ID 1699 //
     /*   77138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*   77141 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77144 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77152 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77156 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*   77163 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*   77163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*   77166 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77168 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*   77173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*   77178 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77182 */   GIR_RootConstrainSelectedInstOperands,
     /*   77183 */   // GIR_Coverage, 1699,
     /*   77183 */   GIR_EraseRootFromParent_Done,
     /*   77184 */ // Label 2052: @77184
     /*   77184 */ GIM_Try, /*On fail goto*//*Label 2053*/ GIMT_Encode4(77230), // Rule ID 1085 //
     /*   77189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77192 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77195 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   77202 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77209 */   // MIs[0] rs1
     /*   77209 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77217 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10178>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   77220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77222 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77224 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77228 */   GIR_RootConstrainSelectedInstOperands,
     /*   77229 */   // GIR_Coverage, 1085,
     /*   77229 */   GIR_EraseRootFromParent_Done,
     /*   77230 */ // Label 2053: @77230
     /*   77230 */ GIM_Try, /*On fail goto*//*Label 2054*/ GIMT_Encode4(77276), // Rule ID 1087 //
     /*   77235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77238 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77241 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   77248 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77255 */   // MIs[0] rs1
     /*   77255 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77263 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10180>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*   77266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77268 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77270 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77274 */   GIR_RootConstrainSelectedInstOperands,
     /*   77275 */   // GIR_Coverage, 1087,
     /*   77275 */   GIR_EraseRootFromParent_Done,
     /*   77276 */ // Label 2054: @77276
     /*   77276 */ GIM_Try, /*On fail goto*//*Label 2055*/ GIMT_Encode4(77322), // Rule ID 1089 //
     /*   77281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77284 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77287 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   77294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77301 */   // MIs[0] rs1
     /*   77301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77309 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10182>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   77312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77314 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77316 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77320 */   GIR_RootConstrainSelectedInstOperands,
     /*   77321 */   // GIR_Coverage, 1089,
     /*   77321 */   GIR_EraseRootFromParent_Done,
     /*   77322 */ // Label 2055: @77322
     /*   77322 */ GIM_Try, /*On fail goto*//*Label 2056*/ GIMT_Encode4(77368), // Rule ID 1091 //
     /*   77327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77330 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77333 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   77340 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77347 */   // MIs[0] rs1
     /*   77347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77355 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10184>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*   77358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77360 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77362 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77366 */   GIR_RootConstrainSelectedInstOperands,
     /*   77367 */   // GIR_Coverage, 1091,
     /*   77367 */   GIR_EraseRootFromParent_Done,
     /*   77368 */ // Label 2056: @77368
     /*   77368 */ GIM_Try, /*On fail goto*//*Label 2057*/ GIMT_Encode4(77414), // Rule ID 1093 //
     /*   77373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77376 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77379 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   77386 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77393 */   // MIs[0] rs1
     /*   77393 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77397 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77401 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10186>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   77404 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77406 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77408 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77412 */   GIR_RootConstrainSelectedInstOperands,
     /*   77413 */   // GIR_Coverage, 1093,
     /*   77413 */   GIR_EraseRootFromParent_Done,
     /*   77414 */ // Label 2057: @77414
     /*   77414 */ GIM_Try, /*On fail goto*//*Label 2058*/ GIMT_Encode4(77460), // Rule ID 1095 //
     /*   77419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*   77422 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77425 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   77432 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77439 */   // MIs[0] rs1
     /*   77439 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77447 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10188>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*   77450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77452 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77454 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77458 */   GIR_RootConstrainSelectedInstOperands,
     /*   77459 */   // GIR_Coverage, 1095,
     /*   77459 */   GIR_EraseRootFromParent_Done,
     /*   77460 */ // Label 2058: @77460
     /*   77460 */ GIM_Try, /*On fail goto*//*Label 2059*/ GIMT_Encode4(77506), // Rule ID 1101 //
     /*   77465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   77468 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77471 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   77478 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   77481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77485 */   // MIs[0] rs1
     /*   77485 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77493 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10194>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   77496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77498 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77504 */   GIR_RootConstrainSelectedInstOperands,
     /*   77505 */   // GIR_Coverage, 1101,
     /*   77505 */   GIR_EraseRootFromParent_Done,
     /*   77506 */ // Label 2059: @77506
     /*   77506 */ GIM_Try, /*On fail goto*//*Label 2060*/ GIMT_Encode4(77552), // Rule ID 1103 //
     /*   77511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*   77514 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*   77517 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   77524 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   77527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77531 */   // MIs[0] rs1
     /*   77531 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77539 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10196>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   77539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*   77542 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77544 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77546 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77550 */   GIR_RootConstrainSelectedInstOperands,
     /*   77551 */   // GIR_Coverage, 1103,
     /*   77551 */   GIR_EraseRootFromParent_Done,
     /*   77552 */ // Label 2060: @77552
     /*   77552 */ GIM_Reject,
     /*   77553 */ // Label 1969: @77553
     /*   77553 */ GIM_Try, /*On fail goto*//*Label 2061*/ GIMT_Encode4(77632),
     /*   77558 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77561 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77569 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   77573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77577 */   GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(77604), // Rule ID 45454 //
     /*   77582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77585 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   77585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*   77588 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   77598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77602 */     GIR_RootConstrainSelectedInstOperands,
     /*   77603 */     // GIR_Coverage, 45454,
     /*   77603 */     GIR_EraseRootFromParent_Done,
     /*   77604 */   // Label 2062: @77604
     /*   77604 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(77631), // Rule ID 45455 //
     /*   77609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77612 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   77612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*   77615 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   77625 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77629 */     GIR_RootConstrainSelectedInstOperands,
     /*   77630 */     // GIR_Coverage, 45455,
     /*   77630 */     GIR_EraseRootFromParent_Done,
     /*   77631 */   // Label 2063: @77631
     /*   77631 */   GIM_Reject,
     /*   77632 */ // Label 2061: @77632
     /*   77632 */ GIM_Reject,
     /*   77633 */ // Label 1970: @77633
     /*   77633 */ GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(77720),
     /*   77638 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77641 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77649 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(77684), // Rule ID 45450 //
     /*   77654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77657 */     // MIs[0] rs1
     /*   77657 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77665 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   77665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*   77668 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77678 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77682 */     GIR_RootConstrainSelectedInstOperands,
     /*   77683 */     // GIR_Coverage, 45450,
     /*   77683 */     GIR_EraseRootFromParent_Done,
     /*   77684 */   // Label 2065: @77684
     /*   77684 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(77719), // Rule ID 45451 //
     /*   77689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77692 */     // MIs[0] rs1
     /*   77692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77700 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   77700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*   77703 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77713 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77717 */     GIR_RootConstrainSelectedInstOperands,
     /*   77718 */     // GIR_Coverage, 45451,
     /*   77718 */     GIR_EraseRootFromParent_Done,
     /*   77719 */   // Label 2066: @77719
     /*   77719 */   GIM_Reject,
     /*   77720 */ // Label 2064: @77720
     /*   77720 */ GIM_Reject,
     /*   77721 */ // Label 1971: @77721
     /*   77721 */ GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(77878),
     /*   77726 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77729 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77737 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(77772), // Rule ID 45646 //
     /*   77742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77745 */     // MIs[0] rs1
     /*   77745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77753 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   77753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77756 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77766 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77770 */     GIR_RootConstrainSelectedInstOperands,
     /*   77771 */     // GIR_Coverage, 45646,
     /*   77771 */     GIR_EraseRootFromParent_Done,
     /*   77772 */   // Label 2068: @77772
     /*   77772 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(77807), // Rule ID 45647 //
     /*   77777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77780 */     // MIs[0] rs1
     /*   77780 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77788 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   77788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77791 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77801 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77805 */     GIR_RootConstrainSelectedInstOperands,
     /*   77806 */     // GIR_Coverage, 45647,
     /*   77806 */     GIR_EraseRootFromParent_Done,
     /*   77807 */   // Label 2069: @77807
     /*   77807 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(77842), // Rule ID 45722 //
     /*   77812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   77815 */     // MIs[0] rs1
     /*   77815 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77823 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   77823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77826 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77836 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77840 */     GIR_RootConstrainSelectedInstOperands,
     /*   77841 */     // GIR_Coverage, 45722,
     /*   77841 */     GIR_EraseRootFromParent_Done,
     /*   77842 */   // Label 2070: @77842
     /*   77842 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(77877), // Rule ID 45723 //
     /*   77847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   77850 */     // MIs[0] rs1
     /*   77850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77858 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   77858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*   77861 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77871 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77875 */     GIR_RootConstrainSelectedInstOperands,
     /*   77876 */     // GIR_Coverage, 45723,
     /*   77876 */     GIR_EraseRootFromParent_Done,
     /*   77877 */   // Label 2071: @77877
     /*   77877 */   GIM_Reject,
     /*   77878 */ // Label 2067: @77878
     /*   77878 */ GIM_Reject,
     /*   77879 */ // Label 1972: @77879
     /*   77879 */ GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(78036),
     /*   77884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   77887 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   77891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   77895 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(77930), // Rule ID 45654 //
     /*   77900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77903 */     // MIs[0] rs1
     /*   77903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77911 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   77911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77914 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77928 */     GIR_RootConstrainSelectedInstOperands,
     /*   77929 */     // GIR_Coverage, 45654,
     /*   77929 */     GIR_EraseRootFromParent_Done,
     /*   77930 */   // Label 2073: @77930
     /*   77930 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(77965), // Rule ID 45655 //
     /*   77935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77938 */     // MIs[0] rs1
     /*   77938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   77942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77946 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   77946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77949 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77963 */     GIR_RootConstrainSelectedInstOperands,
     /*   77964 */     // GIR_Coverage, 45655,
     /*   77964 */     GIR_EraseRootFromParent_Done,
     /*   77965 */   // Label 2074: @77965
     /*   77965 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(78000), // Rule ID 45730 //
     /*   77970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   77973 */     // MIs[0] rs1
     /*   77973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   77977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   77981 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   77981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   77984 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   77986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   77994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   77998 */     GIR_RootConstrainSelectedInstOperands,
     /*   77999 */     // GIR_Coverage, 45730,
     /*   77999 */     GIR_EraseRootFromParent_Done,
     /*   78000 */   // Label 2075: @78000
     /*   78000 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(78035), // Rule ID 45731 //
     /*   78005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   78008 */     // MIs[0] rs1
     /*   78008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78016 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*   78019 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78029 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78033 */     GIR_RootConstrainSelectedInstOperands,
     /*   78034 */     // GIR_Coverage, 45731,
     /*   78034 */     GIR_EraseRootFromParent_Done,
     /*   78035 */   // Label 2076: @78035
     /*   78035 */   GIM_Reject,
     /*   78036 */ // Label 2072: @78036
     /*   78036 */ GIM_Reject,
     /*   78037 */ // Label 1973: @78037
     /*   78037 */ GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(78194),
     /*   78042 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78045 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78053 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(78088), // Rule ID 45670 //
     /*   78058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   78061 */     // MIs[0] rs1
     /*   78061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78069 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78072 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78086 */     GIR_RootConstrainSelectedInstOperands,
     /*   78087 */     // GIR_Coverage, 45670,
     /*   78087 */     GIR_EraseRootFromParent_Done,
     /*   78088 */   // Label 2078: @78088
     /*   78088 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(78123), // Rule ID 45671 //
     /*   78093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   78096 */     // MIs[0] rs1
     /*   78096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78104 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78107 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78121 */     GIR_RootConstrainSelectedInstOperands,
     /*   78122 */     // GIR_Coverage, 45671,
     /*   78122 */     GIR_EraseRootFromParent_Done,
     /*   78123 */   // Label 2079: @78123
     /*   78123 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(78158), // Rule ID 45742 //
     /*   78128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   78131 */     // MIs[0] rs1
     /*   78131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78139 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78142 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78156 */     GIR_RootConstrainSelectedInstOperands,
     /*   78157 */     // GIR_Coverage, 45742,
     /*   78157 */     GIR_EraseRootFromParent_Done,
     /*   78158 */   // Label 2080: @78158
     /*   78158 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(78193), // Rule ID 45743 //
     /*   78163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   78166 */     // MIs[0] rs1
     /*   78166 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78174 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*   78177 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78187 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78191 */     GIR_RootConstrainSelectedInstOperands,
     /*   78192 */     // GIR_Coverage, 45743,
     /*   78192 */     GIR_EraseRootFromParent_Done,
     /*   78193 */   // Label 2081: @78193
     /*   78193 */   GIM_Reject,
     /*   78194 */ // Label 2077: @78194
     /*   78194 */ GIM_Reject,
     /*   78195 */ // Label 1974: @78195
     /*   78195 */ GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(78274),
     /*   78200 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78203 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78211 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   78215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78219 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(78246), // Rule ID 45782 //
     /*   78224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78227 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   78227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*   78230 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78244 */     GIR_RootConstrainSelectedInstOperands,
     /*   78245 */     // GIR_Coverage, 45782,
     /*   78245 */     GIR_EraseRootFromParent_Done,
     /*   78246 */   // Label 2083: @78246
     /*   78246 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(78273), // Rule ID 45783 //
     /*   78251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78254 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   78254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*   78257 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78271 */     GIR_RootConstrainSelectedInstOperands,
     /*   78272 */     // GIR_Coverage, 45783,
     /*   78272 */     GIR_EraseRootFromParent_Done,
     /*   78273 */   // Label 2084: @78273
     /*   78273 */   GIM_Reject,
     /*   78274 */ // Label 2082: @78274
     /*   78274 */ GIM_Reject,
     /*   78275 */ // Label 1975: @78275
     /*   78275 */ GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(78362),
     /*   78280 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78283 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78291 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(78326), // Rule ID 45638 //
     /*   78296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78299 */     // MIs[0] rs1
     /*   78299 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78307 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   78307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*   78310 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78324 */     GIR_RootConstrainSelectedInstOperands,
     /*   78325 */     // GIR_Coverage, 45638,
     /*   78325 */     GIR_EraseRootFromParent_Done,
     /*   78326 */   // Label 2086: @78326
     /*   78326 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(78361), // Rule ID 45639 //
     /*   78331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78334 */     // MIs[0] rs1
     /*   78334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78342 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   78342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*   78345 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78359 */     GIR_RootConstrainSelectedInstOperands,
     /*   78360 */     // GIR_Coverage, 45639,
     /*   78360 */     GIR_EraseRootFromParent_Done,
     /*   78361 */   // Label 2087: @78361
     /*   78361 */   GIM_Reject,
     /*   78362 */ // Label 2085: @78362
     /*   78362 */ GIM_Reject,
     /*   78363 */ // Label 1976: @78363
     /*   78363 */ GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(78520),
     /*   78368 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78371 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78379 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(78414), // Rule ID 45650 //
     /*   78384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78387 */     // MIs[0] rs1
     /*   78387 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78395 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   78395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78398 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78408 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78412 */     GIR_RootConstrainSelectedInstOperands,
     /*   78413 */     // GIR_Coverage, 45650,
     /*   78413 */     GIR_EraseRootFromParent_Done,
     /*   78414 */   // Label 2089: @78414
     /*   78414 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(78449), // Rule ID 45651 //
     /*   78419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78422 */     // MIs[0] rs1
     /*   78422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78430 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   78430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78433 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78447 */     GIR_RootConstrainSelectedInstOperands,
     /*   78448 */     // GIR_Coverage, 45651,
     /*   78448 */     GIR_EraseRootFromParent_Done,
     /*   78449 */   // Label 2090: @78449
     /*   78449 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(78484), // Rule ID 45726 //
     /*   78454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   78457 */     // MIs[0] rs1
     /*   78457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78465 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   78465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78468 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78482 */     GIR_RootConstrainSelectedInstOperands,
     /*   78483 */     // GIR_Coverage, 45726,
     /*   78483 */     GIR_EraseRootFromParent_Done,
     /*   78484 */   // Label 2091: @78484
     /*   78484 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(78519), // Rule ID 45727 //
     /*   78489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   78492 */     // MIs[0] rs1
     /*   78492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78500 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   78500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*   78503 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78517 */     GIR_RootConstrainSelectedInstOperands,
     /*   78518 */     // GIR_Coverage, 45727,
     /*   78518 */     GIR_EraseRootFromParent_Done,
     /*   78519 */   // Label 2092: @78519
     /*   78519 */   GIM_Reject,
     /*   78520 */ // Label 2088: @78520
     /*   78520 */ GIM_Reject,
     /*   78521 */ // Label 1977: @78521
     /*   78521 */ GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(78678),
     /*   78526 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78529 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78537 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(78572), // Rule ID 45666 //
     /*   78542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78545 */     // MIs[0] rs1
     /*   78545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78553 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   78553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78556 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78570 */     GIR_RootConstrainSelectedInstOperands,
     /*   78571 */     // GIR_Coverage, 45666,
     /*   78571 */     GIR_EraseRootFromParent_Done,
     /*   78572 */   // Label 2094: @78572
     /*   78572 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(78607), // Rule ID 45667 //
     /*   78577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78580 */     // MIs[0] rs1
     /*   78580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78588 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78591 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78605 */     GIR_RootConstrainSelectedInstOperands,
     /*   78606 */     // GIR_Coverage, 45667,
     /*   78606 */     GIR_EraseRootFromParent_Done,
     /*   78607 */   // Label 2095: @78607
     /*   78607 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(78642), // Rule ID 45738 //
     /*   78612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   78615 */     // MIs[0] rs1
     /*   78615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78623 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   78623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78626 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78640 */     GIR_RootConstrainSelectedInstOperands,
     /*   78641 */     // GIR_Coverage, 45738,
     /*   78641 */     GIR_EraseRootFromParent_Done,
     /*   78642 */   // Label 2096: @78642
     /*   78642 */   GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(78677), // Rule ID 45739 //
     /*   78647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   78650 */     // MIs[0] rs1
     /*   78650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78658 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   78658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*   78661 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78671 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78675 */     GIR_RootConstrainSelectedInstOperands,
     /*   78676 */     // GIR_Coverage, 45739,
     /*   78676 */     GIR_EraseRootFromParent_Done,
     /*   78677 */   // Label 2097: @78677
     /*   78677 */   GIM_Reject,
     /*   78678 */ // Label 2093: @78678
     /*   78678 */ GIM_Reject,
     /*   78679 */ // Label 1978: @78679
     /*   78679 */ GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(78836),
     /*   78684 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78687 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   78695 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(78730), // Rule ID 45710 //
     /*   78700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   78703 */     // MIs[0] rs1
     /*   78703 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78711 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78714 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78724 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78728 */     GIR_RootConstrainSelectedInstOperands,
     /*   78729 */     // GIR_Coverage, 45710,
     /*   78729 */     GIR_EraseRootFromParent_Done,
     /*   78730 */   // Label 2099: @78730
     /*   78730 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(78765), // Rule ID 45711 //
     /*   78735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   78738 */     // MIs[0] rs1
     /*   78738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78746 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78749 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78759 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78763 */     GIR_RootConstrainSelectedInstOperands,
     /*   78764 */     // GIR_Coverage, 45711,
     /*   78764 */     GIR_EraseRootFromParent_Done,
     /*   78765 */   // Label 2100: @78765
     /*   78765 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(78800), // Rule ID 45770 //
     /*   78770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   78773 */     // MIs[0] rs1
     /*   78773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78781 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   78781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78784 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78794 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78798 */     GIR_RootConstrainSelectedInstOperands,
     /*   78799 */     // GIR_Coverage, 45770,
     /*   78799 */     GIR_EraseRootFromParent_Done,
     /*   78800 */   // Label 2101: @78800
     /*   78800 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(78835), // Rule ID 45771 //
     /*   78805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   78808 */     // MIs[0] rs1
     /*   78808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78816 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   78816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*   78819 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   78829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78833 */     GIR_RootConstrainSelectedInstOperands,
     /*   78834 */     // GIR_Coverage, 45771,
     /*   78834 */     GIR_EraseRootFromParent_Done,
     /*   78835 */   // Label 2102: @78835
     /*   78835 */   GIM_Reject,
     /*   78836 */ // Label 2098: @78836
     /*   78836 */ GIM_Reject,
     /*   78837 */ // Label 1979: @78837
     /*   78837 */ GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(78916),
     /*   78842 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78845 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78853 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   78857 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78861 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(78888), // Rule ID 45786 //
     /*   78866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78869 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   78869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*   78872 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78886 */     GIR_RootConstrainSelectedInstOperands,
     /*   78887 */     // GIR_Coverage, 45786,
     /*   78887 */     GIR_EraseRootFromParent_Done,
     /*   78888 */   // Label 2104: @78888
     /*   78888 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(78915), // Rule ID 45787 //
     /*   78893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78896 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   78896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*   78899 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   78909 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78913 */     GIR_RootConstrainSelectedInstOperands,
     /*   78914 */     // GIR_Coverage, 45787,
     /*   78914 */     GIR_EraseRootFromParent_Done,
     /*   78915 */   // Label 2105: @78915
     /*   78915 */   GIM_Reject,
     /*   78916 */ // Label 2103: @78916
     /*   78916 */ GIM_Reject,
     /*   78917 */ // Label 1980: @78917
     /*   78917 */ GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(79004),
     /*   78922 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   78925 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   78929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   78933 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(78968), // Rule ID 45642 //
     /*   78938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78941 */     // MIs[0] rs1
     /*   78941 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   78945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78949 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   78949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*   78952 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   78966 */     GIR_RootConstrainSelectedInstOperands,
     /*   78967 */     // GIR_Coverage, 45642,
     /*   78967 */     GIR_EraseRootFromParent_Done,
     /*   78968 */   // Label 2107: @78968
     /*   78968 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(79003), // Rule ID 45643 //
     /*   78973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78976 */     // MIs[0] rs1
     /*   78976 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   78980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   78984 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   78984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*   78987 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   78989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79001 */     GIR_RootConstrainSelectedInstOperands,
     /*   79002 */     // GIR_Coverage, 45643,
     /*   79002 */     GIR_EraseRootFromParent_Done,
     /*   79003 */   // Label 2108: @79003
     /*   79003 */   GIM_Reject,
     /*   79004 */ // Label 2106: @79004
     /*   79004 */ GIM_Reject,
     /*   79005 */ // Label 1981: @79005
     /*   79005 */ GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(79162),
     /*   79010 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79013 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79021 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(79056), // Rule ID 45662 //
     /*   79026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79029 */     // MIs[0] rs1
     /*   79029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79037 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79040 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79050 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79054 */     GIR_RootConstrainSelectedInstOperands,
     /*   79055 */     // GIR_Coverage, 45662,
     /*   79055 */     GIR_EraseRootFromParent_Done,
     /*   79056 */   // Label 2110: @79056
     /*   79056 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(79091), // Rule ID 45663 //
     /*   79061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79064 */     // MIs[0] rs1
     /*   79064 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79072 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79075 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79089 */     GIR_RootConstrainSelectedInstOperands,
     /*   79090 */     // GIR_Coverage, 45663,
     /*   79090 */     GIR_EraseRootFromParent_Done,
     /*   79091 */   // Label 2111: @79091
     /*   79091 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(79126), // Rule ID 45734 //
     /*   79096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   79099 */     // MIs[0] rs1
     /*   79099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79107 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79110 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79120 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 45734,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 2112: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(79161), // Rule ID 45735 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   79134 */     // MIs[0] rs1
     /*   79134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79142 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*   79145 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79159 */     GIR_RootConstrainSelectedInstOperands,
     /*   79160 */     // GIR_Coverage, 45735,
     /*   79160 */     GIR_EraseRootFromParent_Done,
     /*   79161 */   // Label 2113: @79161
     /*   79161 */   GIM_Reject,
     /*   79162 */ // Label 2109: @79162
     /*   79162 */ GIM_Reject,
     /*   79163 */ // Label 1982: @79163
     /*   79163 */ GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(79320),
     /*   79168 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79171 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   79179 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(79214), // Rule ID 45698 //
     /*   79184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79187 */     // MIs[0] rs1
     /*   79187 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79195 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79198 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79208 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79212 */     GIR_RootConstrainSelectedInstOperands,
     /*   79213 */     // GIR_Coverage, 45698,
     /*   79213 */     GIR_EraseRootFromParent_Done,
     /*   79214 */   // Label 2115: @79214
     /*   79214 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(79249), // Rule ID 45699 //
     /*   79219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79222 */     // MIs[0] rs1
     /*   79222 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79230 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79233 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79243 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79247 */     GIR_RootConstrainSelectedInstOperands,
     /*   79248 */     // GIR_Coverage, 45699,
     /*   79248 */     GIR_EraseRootFromParent_Done,
     /*   79249 */   // Label 2116: @79249
     /*   79249 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(79284), // Rule ID 45758 //
     /*   79254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   79257 */     // MIs[0] rs1
     /*   79257 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79265 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79268 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79278 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79282 */     GIR_RootConstrainSelectedInstOperands,
     /*   79283 */     // GIR_Coverage, 45758,
     /*   79283 */     GIR_EraseRootFromParent_Done,
     /*   79284 */   // Label 2117: @79284
     /*   79284 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(79319), // Rule ID 45759 //
     /*   79289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   79292 */     // MIs[0] rs1
     /*   79292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79300 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*   79303 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79313 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79317 */     GIR_RootConstrainSelectedInstOperands,
     /*   79318 */     // GIR_Coverage, 45759,
     /*   79318 */     GIR_EraseRootFromParent_Done,
     /*   79319 */   // Label 2118: @79319
     /*   79319 */   GIM_Reject,
     /*   79320 */ // Label 2114: @79320
     /*   79320 */ GIM_Reject,
     /*   79321 */ // Label 1983: @79321
     /*   79321 */ GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(79478),
     /*   79326 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79329 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79337 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(79372), // Rule ID 45714 //
     /*   79342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   79345 */     // MIs[0] rs1
     /*   79345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79353 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79356 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79366 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79370 */     GIR_RootConstrainSelectedInstOperands,
     /*   79371 */     // GIR_Coverage, 45714,
     /*   79371 */     GIR_EraseRootFromParent_Done,
     /*   79372 */   // Label 2120: @79372
     /*   79372 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(79407), // Rule ID 45715 //
     /*   79377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   79380 */     // MIs[0] rs1
     /*   79380 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79388 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   79388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79391 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79401 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79405 */     GIR_RootConstrainSelectedInstOperands,
     /*   79406 */     // GIR_Coverage, 45715,
     /*   79406 */     GIR_EraseRootFromParent_Done,
     /*   79407 */   // Label 2121: @79407
     /*   79407 */   GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(79442), // Rule ID 45774 //
     /*   79412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   79415 */     // MIs[0] rs1
     /*   79415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79423 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79426 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79436 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79440 */     GIR_RootConstrainSelectedInstOperands,
     /*   79441 */     // GIR_Coverage, 45774,
     /*   79441 */     GIR_EraseRootFromParent_Done,
     /*   79442 */   // Label 2122: @79442
     /*   79442 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(79477), // Rule ID 45775 //
     /*   79447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   79450 */     // MIs[0] rs1
     /*   79450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79458 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   79458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*   79461 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   79471 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79475 */     GIR_RootConstrainSelectedInstOperands,
     /*   79476 */     // GIR_Coverage, 45775,
     /*   79476 */     GIR_EraseRootFromParent_Done,
     /*   79477 */   // Label 2123: @79477
     /*   79477 */   GIM_Reject,
     /*   79478 */ // Label 2119: @79478
     /*   79478 */ GIM_Reject,
     /*   79479 */ // Label 1984: @79479
     /*   79479 */ GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(79558),
     /*   79484 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79487 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79495 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   79499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79503 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(79530), // Rule ID 45790 //
     /*   79508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79511 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   79511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*   79514 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   79524 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79528 */     GIR_RootConstrainSelectedInstOperands,
     /*   79529 */     // GIR_Coverage, 45790,
     /*   79529 */     GIR_EraseRootFromParent_Done,
     /*   79530 */   // Label 2125: @79530
     /*   79530 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(79557), // Rule ID 45791 //
     /*   79535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79538 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   79538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*   79541 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   79551 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79555 */     GIR_RootConstrainSelectedInstOperands,
     /*   79556 */     // GIR_Coverage, 45791,
     /*   79556 */     GIR_EraseRootFromParent_Done,
     /*   79557 */   // Label 2126: @79557
     /*   79557 */   GIM_Reject,
     /*   79558 */ // Label 2124: @79558
     /*   79558 */ GIM_Reject,
     /*   79559 */ // Label 1985: @79559
     /*   79559 */ GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(79646),
     /*   79564 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79567 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   79575 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(79610), // Rule ID 45658 //
     /*   79580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79583 */     // MIs[0] rs1
     /*   79583 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79591 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   79591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*   79594 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79604 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79608 */     GIR_RootConstrainSelectedInstOperands,
     /*   79609 */     // GIR_Coverage, 45658,
     /*   79609 */     GIR_EraseRootFromParent_Done,
     /*   79610 */   // Label 2128: @79610
     /*   79610 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(79645), // Rule ID 45659 //
     /*   79615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79618 */     // MIs[0] rs1
     /*   79618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79626 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   79626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*   79629 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79639 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79643 */     GIR_RootConstrainSelectedInstOperands,
     /*   79644 */     // GIR_Coverage, 45659,
     /*   79644 */     GIR_EraseRootFromParent_Done,
     /*   79645 */   // Label 2129: @79645
     /*   79645 */   GIM_Reject,
     /*   79646 */ // Label 2127: @79646
     /*   79646 */ GIM_Reject,
     /*   79647 */ // Label 1986: @79647
     /*   79647 */ GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(79804),
     /*   79652 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79655 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   79663 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(79698), // Rule ID 45686 //
     /*   79668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79671 */     // MIs[0] rs1
     /*   79671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79679 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79682 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79692 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79696 */     GIR_RootConstrainSelectedInstOperands,
     /*   79697 */     // GIR_Coverage, 45686,
     /*   79697 */     GIR_EraseRootFromParent_Done,
     /*   79698 */   // Label 2131: @79698
     /*   79698 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(79733), // Rule ID 45687 //
     /*   79703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79706 */     // MIs[0] rs1
     /*   79706 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79714 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79717 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79731 */     GIR_RootConstrainSelectedInstOperands,
     /*   79732 */     // GIR_Coverage, 45687,
     /*   79732 */     GIR_EraseRootFromParent_Done,
     /*   79733 */   // Label 2132: @79733
     /*   79733 */   GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(79768), // Rule ID 45746 //
     /*   79738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   79741 */     // MIs[0] rs1
     /*   79741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79749 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   79749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79752 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79766 */     GIR_RootConstrainSelectedInstOperands,
     /*   79767 */     // GIR_Coverage, 45746,
     /*   79767 */     GIR_EraseRootFromParent_Done,
     /*   79768 */   // Label 2133: @79768
     /*   79768 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(79803), // Rule ID 45747 //
     /*   79773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   79776 */     // MIs[0] rs1
     /*   79776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79784 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   79784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*   79787 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79801 */     GIR_RootConstrainSelectedInstOperands,
     /*   79802 */     // GIR_Coverage, 45747,
     /*   79802 */     GIR_EraseRootFromParent_Done,
     /*   79803 */   // Label 2134: @79803
     /*   79803 */   GIM_Reject,
     /*   79804 */ // Label 2130: @79804
     /*   79804 */ GIM_Reject,
     /*   79805 */ // Label 1987: @79805
     /*   79805 */ GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(79962),
     /*   79810 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79813 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79821 */   GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(79856), // Rule ID 45702 //
     /*   79826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79829 */     // MIs[0] rs1
     /*   79829 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79837 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79840 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79854 */     GIR_RootConstrainSelectedInstOperands,
     /*   79855 */     // GIR_Coverage, 45702,
     /*   79855 */     GIR_EraseRootFromParent_Done,
     /*   79856 */   // Label 2136: @79856
     /*   79856 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(79891), // Rule ID 45703 //
     /*   79861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79864 */     // MIs[0] rs1
     /*   79864 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79872 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79875 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79885 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79889 */     GIR_RootConstrainSelectedInstOperands,
     /*   79890 */     // GIR_Coverage, 45703,
     /*   79890 */     GIR_EraseRootFromParent_Done,
     /*   79891 */   // Label 2137: @79891
     /*   79891 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(79926), // Rule ID 45762 //
     /*   79896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   79899 */     // MIs[0] rs1
     /*   79899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79907 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   79907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79910 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79924 */     GIR_RootConstrainSelectedInstOperands,
     /*   79925 */     // GIR_Coverage, 45762,
     /*   79925 */     GIR_EraseRootFromParent_Done,
     /*   79926 */   // Label 2138: @79926
     /*   79926 */   GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(79961), // Rule ID 45763 //
     /*   79931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   79934 */     // MIs[0] rs1
     /*   79934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   79938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79942 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   79942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*   79945 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   79947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   79955 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   79959 */     GIR_RootConstrainSelectedInstOperands,
     /*   79960 */     // GIR_Coverage, 45763,
     /*   79960 */     GIR_EraseRootFromParent_Done,
     /*   79961 */   // Label 2139: @79961
     /*   79961 */   GIM_Reject,
     /*   79962 */ // Label 2135: @79962
     /*   79962 */ GIM_Reject,
     /*   79963 */ // Label 1988: @79963
     /*   79963 */ GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(80120),
     /*   79968 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   79971 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   79975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79979 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(80014), // Rule ID 45718 //
     /*   79984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   79987 */     // MIs[0] rs1
     /*   79987 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   79991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   79995 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   79995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   79998 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80008 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80012 */     GIR_RootConstrainSelectedInstOperands,
     /*   80013 */     // GIR_Coverage, 45718,
     /*   80013 */     GIR_EraseRootFromParent_Done,
     /*   80014 */   // Label 2141: @80014
     /*   80014 */   GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(80049), // Rule ID 45719 //
     /*   80019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   80022 */     // MIs[0] rs1
     /*   80022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80030 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   80030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80033 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80043 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80047 */     GIR_RootConstrainSelectedInstOperands,
     /*   80048 */     // GIR_Coverage, 45719,
     /*   80048 */     GIR_EraseRootFromParent_Done,
     /*   80049 */   // Label 2142: @80049
     /*   80049 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(80084), // Rule ID 45778 //
     /*   80054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*   80057 */     // MIs[0] rs1
     /*   80057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80065 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*   80065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80068 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80078 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80082 */     GIR_RootConstrainSelectedInstOperands,
     /*   80083 */     // GIR_Coverage, 45778,
     /*   80083 */     GIR_EraseRootFromParent_Done,
     /*   80084 */   // Label 2143: @80084
     /*   80084 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(80119), // Rule ID 45779 //
     /*   80089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*   80092 */     // MIs[0] rs1
     /*   80092 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80100 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*   80100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*   80103 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   80113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80117 */     GIR_RootConstrainSelectedInstOperands,
     /*   80118 */     // GIR_Coverage, 45779,
     /*   80118 */     GIR_EraseRootFromParent_Done,
     /*   80119 */   // Label 2144: @80119
     /*   80119 */   GIM_Reject,
     /*   80120 */ // Label 2140: @80120
     /*   80120 */ GIM_Reject,
     /*   80121 */ // Label 1989: @80121
     /*   80121 */ GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(80200),
     /*   80126 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80129 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80137 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80145 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(80172), // Rule ID 45794 //
     /*   80150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80153 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*   80156 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80166 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80170 */     GIR_RootConstrainSelectedInstOperands,
     /*   80171 */     // GIR_Coverage, 45794,
     /*   80171 */     GIR_EraseRootFromParent_Done,
     /*   80172 */   // Label 2146: @80172
     /*   80172 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(80199), // Rule ID 45795 //
     /*   80177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80180 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*   80183 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80193 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80197 */     GIR_RootConstrainSelectedInstOperands,
     /*   80198 */     // GIR_Coverage, 45795,
     /*   80198 */     GIR_EraseRootFromParent_Done,
     /*   80199 */   // Label 2147: @80199
     /*   80199 */   GIM_Reject,
     /*   80200 */ // Label 2145: @80200
     /*   80200 */ GIM_Reject,
     /*   80201 */ // Label 1990: @80201
     /*   80201 */ GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(80288),
     /*   80206 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80209 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   80217 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(80252), // Rule ID 45674 //
     /*   80222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80225 */     // MIs[0] rs1
     /*   80225 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80233 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   80233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*   80236 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80246 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80250 */     GIR_RootConstrainSelectedInstOperands,
     /*   80251 */     // GIR_Coverage, 45674,
     /*   80251 */     GIR_EraseRootFromParent_Done,
     /*   80252 */   // Label 2149: @80252
     /*   80252 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(80287), // Rule ID 45675 //
     /*   80257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80260 */     // MIs[0] rs1
     /*   80260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80268 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   80268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*   80271 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80281 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80285 */     GIR_RootConstrainSelectedInstOperands,
     /*   80286 */     // GIR_Coverage, 45675,
     /*   80286 */     GIR_EraseRootFromParent_Done,
     /*   80287 */   // Label 2150: @80287
     /*   80287 */   GIM_Reject,
     /*   80288 */ // Label 2148: @80288
     /*   80288 */ GIM_Reject,
     /*   80289 */ // Label 1991: @80289
     /*   80289 */ GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(80446),
     /*   80294 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80297 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80305 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(80340), // Rule ID 45690 //
     /*   80310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80313 */     // MIs[0] rs1
     /*   80313 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80321 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80324 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80338 */     GIR_RootConstrainSelectedInstOperands,
     /*   80339 */     // GIR_Coverage, 45690,
     /*   80339 */     GIR_EraseRootFromParent_Done,
     /*   80340 */   // Label 2152: @80340
     /*   80340 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(80375), // Rule ID 45691 //
     /*   80345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80348 */     // MIs[0] rs1
     /*   80348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80356 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80359 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80369 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80373 */     GIR_RootConstrainSelectedInstOperands,
     /*   80374 */     // GIR_Coverage, 45691,
     /*   80374 */     GIR_EraseRootFromParent_Done,
     /*   80375 */   // Label 2153: @80375
     /*   80375 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(80410), // Rule ID 45750 //
     /*   80380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   80383 */     // MIs[0] rs1
     /*   80383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80391 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80394 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80404 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80408 */     GIR_RootConstrainSelectedInstOperands,
     /*   80409 */     // GIR_Coverage, 45750,
     /*   80409 */     GIR_EraseRootFromParent_Done,
     /*   80410 */   // Label 2154: @80410
     /*   80410 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(80445), // Rule ID 45751 //
     /*   80415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   80418 */     // MIs[0] rs1
     /*   80418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80426 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*   80429 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80443 */     GIR_RootConstrainSelectedInstOperands,
     /*   80444 */     // GIR_Coverage, 45751,
     /*   80444 */     GIR_EraseRootFromParent_Done,
     /*   80445 */   // Label 2155: @80445
     /*   80445 */   GIM_Reject,
     /*   80446 */ // Label 2151: @80446
     /*   80446 */ GIM_Reject,
     /*   80447 */ // Label 1992: @80447
     /*   80447 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(80604),
     /*   80452 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80455 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80463 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(80498), // Rule ID 45706 //
     /*   80468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80471 */     // MIs[0] rs1
     /*   80471 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80479 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   80479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80482 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80496 */     GIR_RootConstrainSelectedInstOperands,
     /*   80497 */     // GIR_Coverage, 45706,
     /*   80497 */     GIR_EraseRootFromParent_Done,
     /*   80498 */   // Label 2157: @80498
     /*   80498 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(80533), // Rule ID 45707 //
     /*   80503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80506 */     // MIs[0] rs1
     /*   80506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80514 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   80514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80517 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80527 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80531 */     GIR_RootConstrainSelectedInstOperands,
     /*   80532 */     // GIR_Coverage, 45707,
     /*   80532 */     GIR_EraseRootFromParent_Done,
     /*   80533 */   // Label 2158: @80533
     /*   80533 */   GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(80568), // Rule ID 45766 //
     /*   80538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*   80541 */     // MIs[0] rs1
     /*   80541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80549 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*   80549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80552 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80562 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80566 */     GIR_RootConstrainSelectedInstOperands,
     /*   80567 */     // GIR_Coverage, 45766,
     /*   80567 */     GIR_EraseRootFromParent_Done,
     /*   80568 */   // Label 2159: @80568
     /*   80568 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(80603), // Rule ID 45767 //
     /*   80573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*   80576 */     // MIs[0] rs1
     /*   80576 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80584 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*   80584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*   80587 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   80597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80601 */     GIR_RootConstrainSelectedInstOperands,
     /*   80602 */     // GIR_Coverage, 45767,
     /*   80602 */     GIR_EraseRootFromParent_Done,
     /*   80603 */   // Label 2160: @80603
     /*   80603 */   GIM_Reject,
     /*   80604 */ // Label 2156: @80604
     /*   80604 */ GIM_Reject,
     /*   80605 */ // Label 1993: @80605
     /*   80605 */ GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(80684),
     /*   80610 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80613 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80621 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80629 */   GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(80656), // Rule ID 45798 //
     /*   80634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80637 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*   80640 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80650 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80654 */     GIR_RootConstrainSelectedInstOperands,
     /*   80655 */     // GIR_Coverage, 45798,
     /*   80655 */     GIR_EraseRootFromParent_Done,
     /*   80656 */   // Label 2162: @80656
     /*   80656 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(80683), // Rule ID 45799 //
     /*   80661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80664 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*   80667 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80677 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80681 */     GIR_RootConstrainSelectedInstOperands,
     /*   80682 */     // GIR_Coverage, 45799,
     /*   80682 */     GIR_EraseRootFromParent_Done,
     /*   80683 */   // Label 2163: @80683
     /*   80683 */   GIM_Reject,
     /*   80684 */ // Label 2161: @80684
     /*   80684 */ GIM_Reject,
     /*   80685 */ // Label 1994: @80685
     /*   80685 */ GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(80772),
     /*   80690 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80693 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   80701 */   GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(80736), // Rule ID 45678 //
     /*   80706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80709 */     // MIs[0] rs1
     /*   80709 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80717 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   80717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*   80720 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80730 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80734 */     GIR_RootConstrainSelectedInstOperands,
     /*   80735 */     // GIR_Coverage, 45678,
     /*   80735 */     GIR_EraseRootFromParent_Done,
     /*   80736 */   // Label 2165: @80736
     /*   80736 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(80771), // Rule ID 45679 //
     /*   80741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80744 */     // MIs[0] rs1
     /*   80744 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80752 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   80752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*   80755 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80769 */     GIR_RootConstrainSelectedInstOperands,
     /*   80770 */     // GIR_Coverage, 45679,
     /*   80770 */     GIR_EraseRootFromParent_Done,
     /*   80771 */   // Label 2166: @80771
     /*   80771 */   GIM_Reject,
     /*   80772 */ // Label 2164: @80772
     /*   80772 */ GIM_Reject,
     /*   80773 */ // Label 1995: @80773
     /*   80773 */ GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(80930),
     /*   80778 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80781 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80789 */   GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(80824), // Rule ID 45694 //
     /*   80794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80797 */     // MIs[0] rs1
     /*   80797 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80805 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80808 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80818 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80822 */     GIR_RootConstrainSelectedInstOperands,
     /*   80823 */     // GIR_Coverage, 45694,
     /*   80823 */     GIR_EraseRootFromParent_Done,
     /*   80824 */   // Label 2168: @80824
     /*   80824 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(80859), // Rule ID 45695 //
     /*   80829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80832 */     // MIs[0] rs1
     /*   80832 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80840 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80843 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80853 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80857 */     GIR_RootConstrainSelectedInstOperands,
     /*   80858 */     // GIR_Coverage, 45695,
     /*   80858 */     GIR_EraseRootFromParent_Done,
     /*   80859 */   // Label 2169: @80859
     /*   80859 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(80894), // Rule ID 45754 //
     /*   80864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*   80867 */     // MIs[0] rs1
     /*   80867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   80871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80875 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*   80875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80878 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80888 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80892 */     GIR_RootConstrainSelectedInstOperands,
     /*   80893 */     // GIR_Coverage, 45754,
     /*   80893 */     GIR_EraseRootFromParent_Done,
     /*   80894 */   // Label 2170: @80894
     /*   80894 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(80929), // Rule ID 45755 //
     /*   80899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*   80902 */     // MIs[0] rs1
     /*   80902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   80906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80910 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*   80910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*   80913 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80923 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80927 */     GIR_RootConstrainSelectedInstOperands,
     /*   80928 */     // GIR_Coverage, 45755,
     /*   80928 */     GIR_EraseRootFromParent_Done,
     /*   80929 */   // Label 2171: @80929
     /*   80929 */   GIM_Reject,
     /*   80930 */ // Label 2167: @80930
     /*   80930 */ GIM_Reject,
     /*   80931 */ // Label 1996: @80931
     /*   80931 */ GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(81010),
     /*   80936 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   80939 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   80943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80947 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   80951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80955 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(80982), // Rule ID 45802 //
     /*   80960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80963 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*   80963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*   80966 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   80976 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   80980 */     GIR_RootConstrainSelectedInstOperands,
     /*   80981 */     // GIR_Coverage, 45802,
     /*   80981 */     GIR_EraseRootFromParent_Done,
     /*   80982 */   // Label 2173: @80982
     /*   80982 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(81009), // Rule ID 45803 //
     /*   80987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80990 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*   80990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*   80993 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   80995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*   81003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81007 */     GIR_RootConstrainSelectedInstOperands,
     /*   81008 */     // GIR_Coverage, 45803,
     /*   81008 */     GIR_EraseRootFromParent_Done,
     /*   81009 */   // Label 2174: @81009
     /*   81009 */   GIM_Reject,
     /*   81010 */ // Label 2172: @81010
     /*   81010 */ GIM_Reject,
     /*   81011 */ // Label 1997: @81011
     /*   81011 */ GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(81098),
     /*   81016 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*   81019 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*   81023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   81027 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(81062), // Rule ID 45682 //
     /*   81032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81035 */     // MIs[0] rs1
     /*   81035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   81039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81043 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*   81043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*   81046 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   81048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81056 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81060 */     GIR_RootConstrainSelectedInstOperands,
     /*   81061 */     // GIR_Coverage, 45682,
     /*   81061 */     GIR_EraseRootFromParent_Done,
     /*   81062 */   // Label 2176: @81062
     /*   81062 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(81097), // Rule ID 45683 //
     /*   81067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81070 */     // MIs[0] rs1
     /*   81070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81078 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*   81078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*   81081 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*   81083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   81085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81091 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81095 */     GIR_RootConstrainSelectedInstOperands,
     /*   81096 */     // GIR_Coverage, 45683,
     /*   81096 */     GIR_EraseRootFromParent_Done,
     /*   81097 */   // Label 2177: @81097
     /*   81097 */   GIM_Reject,
     /*   81098 */ // Label 2175: @81098
     /*   81098 */ GIM_Reject,
     /*   81099 */ // Label 1998: @81099
     /*   81099 */ GIM_Reject,
     /*   81100 */ // Label 25: @81100
     /*   81100 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2180*/ GIMT_Encode4(85985),
     /*   81111 */ /*GILLT_s32*//*Label 2178*/ GIMT_Encode4(81119),
     /*   81115 */ /*GILLT_s64*//*Label 2179*/ GIMT_Encode4(83112),
     /*   81119 */ // Label 2178: @81119
     /*   81119 */ GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(83111),
     /*   81124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   81127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*   81130 */   GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(81196), // Rule ID 627 //
     /*   81135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81152 */     // MIs[0] addr
     /*   81152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81168 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*   81168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81176 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81181 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81183 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81185 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   81190 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81194 */     GIR_RootConstrainSelectedInstOperands,
     /*   81195 */     // GIR_Coverage, 627,
     /*   81195 */     GIR_EraseRootFromParent_Done,
     /*   81196 */   // Label 2182: @81196
     /*   81196 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(81262), // Rule ID 629 //
     /*   81201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81218 */     // MIs[0] addr
     /*   81218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81234 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*   81234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81242 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81247 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81249 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81251 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   81256 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81260 */     GIR_RootConstrainSelectedInstOperands,
     /*   81261 */     // GIR_Coverage, 629,
     /*   81261 */     GIR_EraseRootFromParent_Done,
     /*   81262 */   // Label 2183: @81262
     /*   81262 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(81328), // Rule ID 631 //
     /*   81267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81284 */     // MIs[0] addr
     /*   81284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81300 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*   81300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81308 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81313 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81315 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81317 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   81322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81326 */     GIR_RootConstrainSelectedInstOperands,
     /*   81327 */     // GIR_Coverage, 631,
     /*   81327 */     GIR_EraseRootFromParent_Done,
     /*   81328 */   // Label 2184: @81328
     /*   81328 */   GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(81394), // Rule ID 633 //
     /*   81333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81350 */     // MIs[0] addr
     /*   81350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81366 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*   81366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81374 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81379 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81381 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81383 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   81388 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81392 */     GIR_RootConstrainSelectedInstOperands,
     /*   81393 */     // GIR_Coverage, 633,
     /*   81393 */     GIR_EraseRootFromParent_Done,
     /*   81394 */   // Label 2185: @81394
     /*   81394 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(81460), // Rule ID 635 //
     /*   81399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*   81402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81416 */     // MIs[0] addr
     /*   81416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   81420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81432 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*   81432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   81435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   81438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   81440 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   81445 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81447 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81449 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   81454 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81458 */     GIR_RootConstrainSelectedInstOperands,
     /*   81459 */     // GIR_Coverage, 635,
     /*   81459 */     GIR_EraseRootFromParent_Done,
     /*   81460 */   // Label 2186: @81460
     /*   81460 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(81515), // Rule ID 644 //
     /*   81465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81468 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81475 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81482 */     // MIs[0] addr
     /*   81482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81498 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81503 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81505 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81507 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81509 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81513 */     GIR_RootConstrainSelectedInstOperands,
     /*   81514 */     // GIR_Coverage, 644,
     /*   81514 */     GIR_EraseRootFromParent_Done,
     /*   81515 */   // Label 2187: @81515
     /*   81515 */   GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(81570), // Rule ID 646 //
     /*   81520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81523 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81530 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81537 */     // MIs[0] addr
     /*   81537 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81553 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*   81556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81558 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81560 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81562 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81564 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81568 */     GIR_RootConstrainSelectedInstOperands,
     /*   81569 */     // GIR_Coverage, 646,
     /*   81569 */     GIR_EraseRootFromParent_Done,
     /*   81570 */   // Label 2188: @81570
     /*   81570 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(81625), // Rule ID 648 //
     /*   81575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81578 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81585 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81592 */     // MIs[0] addr
     /*   81592 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81608 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*   81611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81613 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81615 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81617 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81623 */     GIR_RootConstrainSelectedInstOperands,
     /*   81624 */     // GIR_Coverage, 648,
     /*   81624 */     GIR_EraseRootFromParent_Done,
     /*   81625 */   // Label 2189: @81625
     /*   81625 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(81680), // Rule ID 650 //
     /*   81630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81647 */     // MIs[0] addr
     /*   81647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81663 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   81666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81668 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81670 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81672 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81674 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81678 */     GIR_RootConstrainSelectedInstOperands,
     /*   81679 */     // GIR_Coverage, 650,
     /*   81679 */     GIR_EraseRootFromParent_Done,
     /*   81680 */   // Label 2190: @81680
     /*   81680 */   GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(81735), // Rule ID 652 //
     /*   81685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   81688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81702 */     // MIs[0] addr
     /*   81702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81718 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   81721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81723 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81725 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81727 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81729 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81733 */     GIR_RootConstrainSelectedInstOperands,
     /*   81734 */     // GIR_Coverage, 652,
     /*   81734 */     GIR_EraseRootFromParent_Done,
     /*   81735 */   // Label 2191: @81735
     /*   81735 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(81790), // Rule ID 654 //
     /*   81740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   81753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81757 */     // MIs[0] addr
     /*   81757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81773 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81778 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81780 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81782 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81784 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81788 */     GIR_RootConstrainSelectedInstOperands,
     /*   81789 */     // GIR_Coverage, 654,
     /*   81789 */     GIR_EraseRootFromParent_Done,
     /*   81790 */   // Label 2192: @81790
     /*   81790 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(81845), // Rule ID 656 //
     /*   81795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81798 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81805 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   81808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81812 */     // MIs[0] addr
     /*   81812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81828 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81833 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81835 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81837 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81839 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81843 */     GIR_RootConstrainSelectedInstOperands,
     /*   81844 */     // GIR_Coverage, 656,
     /*   81844 */     GIR_EraseRootFromParent_Done,
     /*   81845 */   // Label 2193: @81845
     /*   81845 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(81900), // Rule ID 658 //
     /*   81850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81853 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81860 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   81863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81867 */     // MIs[0] addr
     /*   81867 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81883 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81888 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81890 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81892 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81894 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81898 */     GIR_RootConstrainSelectedInstOperands,
     /*   81899 */     // GIR_Coverage, 658,
     /*   81899 */     GIR_EraseRootFromParent_Done,
     /*   81900 */   // Label 2194: @81900
     /*   81900 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(81955), // Rule ID 660 //
     /*   81905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81908 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81915 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   81918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81922 */     // MIs[0] addr
     /*   81922 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81938 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81943 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   81945 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   81947 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   81949 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   81953 */     GIR_RootConstrainSelectedInstOperands,
     /*   81954 */     // GIR_Coverage, 660,
     /*   81954 */     GIR_EraseRootFromParent_Done,
     /*   81955 */   // Label 2195: @81955
     /*   81955 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(82010), // Rule ID 662 //
     /*   81960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   81963 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   81970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   81973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81977 */     // MIs[0] addr
     /*   81977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   81981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   81993 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   81993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   81996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   81998 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82000 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82002 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82004 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82008 */     GIR_RootConstrainSelectedInstOperands,
     /*   82009 */     // GIR_Coverage, 662,
     /*   82009 */     GIR_EraseRootFromParent_Done,
     /*   82010 */   // Label 2196: @82010
     /*   82010 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(82065), // Rule ID 1034 //
     /*   82015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82032 */     // MIs[0] addr
     /*   82032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82048 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82053 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82055 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82057 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82059 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82063 */     GIR_RootConstrainSelectedInstOperands,
     /*   82064 */     // GIR_Coverage, 1034,
     /*   82064 */     GIR_EraseRootFromParent_Done,
     /*   82065 */   // Label 2197: @82065
     /*   82065 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(82120), // Rule ID 1036 //
     /*   82070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82087 */     // MIs[0] addr
     /*   82087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82103 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*   82106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82108 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82110 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82112 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82118 */     GIR_RootConstrainSelectedInstOperands,
     /*   82119 */     // GIR_Coverage, 1036,
     /*   82119 */     GIR_EraseRootFromParent_Done,
     /*   82120 */   // Label 2198: @82120
     /*   82120 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(82175), // Rule ID 1038 //
     /*   82125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82142 */     // MIs[0] addr
     /*   82142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82158 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*   82161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82163 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82165 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82167 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82169 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82173 */     GIR_RootConstrainSelectedInstOperands,
     /*   82174 */     // GIR_Coverage, 1038,
     /*   82174 */     GIR_EraseRootFromParent_Done,
     /*   82175 */   // Label 2199: @82175
     /*   82175 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(82230), // Rule ID 1040 //
     /*   82180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82183 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82190 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82197 */     // MIs[0] addr
     /*   82197 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82213 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   82216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82218 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82220 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82222 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82224 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82228 */     GIR_RootConstrainSelectedInstOperands,
     /*   82229 */     // GIR_Coverage, 1040,
     /*   82229 */     GIR_EraseRootFromParent_Done,
     /*   82230 */   // Label 2200: @82230
     /*   82230 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(82285), // Rule ID 1042 //
     /*   82235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82252 */     // MIs[0] addr
     /*   82252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82268 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   82271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82273 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82275 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82277 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82283 */     GIR_RootConstrainSelectedInstOperands,
     /*   82284 */     // GIR_Coverage, 1042,
     /*   82284 */     GIR_EraseRootFromParent_Done,
     /*   82285 */   // Label 2201: @82285
     /*   82285 */   GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(82340), // Rule ID 1044 //
     /*   82290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82293 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82300 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82307 */     // MIs[0] addr
     /*   82307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82323 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82328 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82330 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82332 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82338 */     GIR_RootConstrainSelectedInstOperands,
     /*   82339 */     // GIR_Coverage, 1044,
     /*   82339 */     GIR_EraseRootFromParent_Done,
     /*   82340 */   // Label 2202: @82340
     /*   82340 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(82395), // Rule ID 1046 //
     /*   82345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82348 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82355 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82362 */     // MIs[0] addr
     /*   82362 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82378 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82383 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82385 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82387 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82393 */     GIR_RootConstrainSelectedInstOperands,
     /*   82394 */     // GIR_Coverage, 1046,
     /*   82394 */     GIR_EraseRootFromParent_Done,
     /*   82395 */   // Label 2203: @82395
     /*   82395 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(82450), // Rule ID 1048 //
     /*   82400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82403 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82410 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82417 */     // MIs[0] addr
     /*   82417 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82433 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82438 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82440 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82442 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82448 */     GIR_RootConstrainSelectedInstOperands,
     /*   82449 */     // GIR_Coverage, 1048,
     /*   82449 */     GIR_EraseRootFromParent_Done,
     /*   82450 */   // Label 2204: @82450
     /*   82450 */   GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(82505), // Rule ID 1050 //
     /*   82455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82472 */     // MIs[0] addr
     /*   82472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82488 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82493 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82495 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82497 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82503 */     GIR_RootConstrainSelectedInstOperands,
     /*   82504 */     // GIR_Coverage, 1050,
     /*   82504 */     GIR_EraseRootFromParent_Done,
     /*   82505 */   // Label 2205: @82505
     /*   82505 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(82560), // Rule ID 1052 //
     /*   82510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   82520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82527 */     // MIs[0] addr
     /*   82527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82543 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   82546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82548 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82550 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82552 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82554 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82558 */     GIR_RootConstrainSelectedInstOperands,
     /*   82559 */     // GIR_Coverage, 1052,
     /*   82559 */     GIR_EraseRootFromParent_Done,
     /*   82560 */   // Label 2206: @82560
     /*   82560 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(82615), // Rule ID 1054 //
     /*   82565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82582 */     // MIs[0] addr
     /*   82582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82598 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82603 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82605 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82607 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82609 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82613 */     GIR_RootConstrainSelectedInstOperands,
     /*   82614 */     // GIR_Coverage, 1054,
     /*   82614 */     GIR_EraseRootFromParent_Done,
     /*   82615 */   // Label 2207: @82615
     /*   82615 */   GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(82670), // Rule ID 1056 //
     /*   82620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82637 */     // MIs[0] addr
     /*   82637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82653 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*   82656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82658 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82660 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82662 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82664 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82668 */     GIR_RootConstrainSelectedInstOperands,
     /*   82669 */     // GIR_Coverage, 1056,
     /*   82669 */     GIR_EraseRootFromParent_Done,
     /*   82670 */   // Label 2208: @82670
     /*   82670 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(82725), // Rule ID 1058 //
     /*   82675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82678 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82685 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82692 */     // MIs[0] addr
     /*   82692 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82708 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*   82711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82713 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82715 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82717 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82719 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82723 */     GIR_RootConstrainSelectedInstOperands,
     /*   82724 */     // GIR_Coverage, 1058,
     /*   82724 */     GIR_EraseRootFromParent_Done,
     /*   82725 */   // Label 2209: @82725
     /*   82725 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(82780), // Rule ID 1060 //
     /*   82730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82733 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82740 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   82743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82747 */     // MIs[0] addr
     /*   82747 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82763 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   82766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82768 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82770 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82772 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82774 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82778 */     GIR_RootConstrainSelectedInstOperands,
     /*   82779 */     // GIR_Coverage, 1060,
     /*   82779 */     GIR_EraseRootFromParent_Done,
     /*   82780 */   // Label 2210: @82780
     /*   82780 */   GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(82835), // Rule ID 1062 //
     /*   82785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*   82788 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82795 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   82798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82802 */     // MIs[0] addr
     /*   82802 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82818 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   82821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82823 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82825 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82827 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82829 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82833 */     GIR_RootConstrainSelectedInstOperands,
     /*   82834 */     // GIR_Coverage, 1062,
     /*   82834 */     GIR_EraseRootFromParent_Done,
     /*   82835 */   // Label 2211: @82835
     /*   82835 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(82890), // Rule ID 1064 //
     /*   82840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82843 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82850 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   82853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82857 */     // MIs[0] addr
     /*   82857 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82873 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82878 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82880 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82882 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82884 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82888 */     GIR_RootConstrainSelectedInstOperands,
     /*   82889 */     // GIR_Coverage, 1064,
     /*   82889 */     GIR_EraseRootFromParent_Done,
     /*   82890 */   // Label 2212: @82890
     /*   82890 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(82945), // Rule ID 1066 //
     /*   82895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   82908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82912 */     // MIs[0] addr
     /*   82912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82928 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82933 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82935 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82937 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82939 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82943 */     GIR_RootConstrainSelectedInstOperands,
     /*   82944 */     // GIR_Coverage, 1066,
     /*   82944 */     GIR_EraseRootFromParent_Done,
     /*   82945 */   // Label 2213: @82945
     /*   82945 */   GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(83000), // Rule ID 1068 //
     /*   82950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   82953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   82960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   82963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82967 */     // MIs[0] addr
     /*   82967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   82971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   82983 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   82983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   82986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   82988 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   82990 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   82992 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   82994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   82998 */     GIR_RootConstrainSelectedInstOperands,
     /*   82999 */     // GIR_Coverage, 1068,
     /*   82999 */     GIR_EraseRootFromParent_Done,
     /*   83000 */   // Label 2214: @83000
     /*   83000 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(83055), // Rule ID 1070 //
     /*   83005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   83008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   83015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83022 */     // MIs[0] addr
     /*   83022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   83026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83038 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   83038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   83041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83043 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83045 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83047 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83049 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83053 */     GIR_RootConstrainSelectedInstOperands,
     /*   83054 */     // GIR_Coverage, 1070,
     /*   83054 */     GIR_EraseRootFromParent_Done,
     /*   83055 */   // Label 2215: @83055
     /*   83055 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(83110), // Rule ID 1072 //
     /*   83060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*   83063 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   83070 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83077 */     // MIs[0] addr
     /*   83077 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   83081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83093 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*   83093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   83096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83098 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83100 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83102 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83104 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83108 */     GIR_RootConstrainSelectedInstOperands,
     /*   83109 */     // GIR_Coverage, 1072,
     /*   83109 */     GIR_EraseRootFromParent_Done,
     /*   83110 */   // Label 2216: @83110
     /*   83110 */   GIM_Reject,
     /*   83111 */ // Label 2181: @83111
     /*   83111 */ GIM_Reject,
     /*   83112 */ // Label 2179: @83112
     /*   83112 */ GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(85984),
     /*   83117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   83120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*   83123 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(83189), // Rule ID 626 //
     /*   83128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83145 */     // MIs[0] addr
     /*   83145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83161 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*   83161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83169 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83174 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83176 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83178 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   83183 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83187 */     GIR_RootConstrainSelectedInstOperands,
     /*   83188 */     // GIR_Coverage, 626,
     /*   83188 */     GIR_EraseRootFromParent_Done,
     /*   83189 */   // Label 2218: @83189
     /*   83189 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(83255), // Rule ID 628 //
     /*   83194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83211 */     // MIs[0] addr
     /*   83211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83227 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*   83227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83235 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83240 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83242 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83244 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83249 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83253 */     GIR_RootConstrainSelectedInstOperands,
     /*   83254 */     // GIR_Coverage, 628,
     /*   83254 */     GIR_EraseRootFromParent_Done,
     /*   83255 */   // Label 2219: @83255
     /*   83255 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(83321), // Rule ID 630 //
     /*   83260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83263 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83270 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83277 */     // MIs[0] addr
     /*   83277 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83293 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*   83293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83301 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83306 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83308 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83310 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   83315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83319 */     GIR_RootConstrainSelectedInstOperands,
     /*   83320 */     // GIR_Coverage, 630,
     /*   83320 */     GIR_EraseRootFromParent_Done,
     /*   83321 */   // Label 2220: @83321
     /*   83321 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(83387), // Rule ID 632 //
     /*   83326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83343 */     // MIs[0] addr
     /*   83343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83359 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*   83359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83367 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83374 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83376 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   83381 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83385 */     GIR_RootConstrainSelectedInstOperands,
     /*   83386 */     // GIR_Coverage, 632,
     /*   83386 */     GIR_EraseRootFromParent_Done,
     /*   83387 */   // Label 2221: @83387
     /*   83387 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(83453), // Rule ID 634 //
     /*   83392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*   83395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83409 */     // MIs[0] addr
     /*   83409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83425 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*   83425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*   83431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83433 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83438 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83440 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83442 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   83447 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83451 */     GIR_RootConstrainSelectedInstOperands,
     /*   83452 */     // GIR_Coverage, 634,
     /*   83452 */     GIR_EraseRootFromParent_Done,
     /*   83453 */   // Label 2222: @83453
     /*   83453 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(83519), // Rule ID 636 //
     /*   83458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83475 */     // MIs[0] addr
     /*   83475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83491 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*   83491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83499 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83504 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83506 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83508 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   83513 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83517 */     GIR_RootConstrainSelectedInstOperands,
     /*   83518 */     // GIR_Coverage, 636,
     /*   83518 */     GIR_EraseRootFromParent_Done,
     /*   83519 */   // Label 2223: @83519
     /*   83519 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(83585), // Rule ID 637 //
     /*   83524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83541 */     // MIs[0] addr
     /*   83541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83557 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*   83557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83565 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83570 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83572 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83574 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83579 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83583 */     GIR_RootConstrainSelectedInstOperands,
     /*   83584 */     // GIR_Coverage, 637,
     /*   83584 */     GIR_EraseRootFromParent_Done,
     /*   83585 */   // Label 2224: @83585
     /*   83585 */   GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(83651), // Rule ID 638 //
     /*   83590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83593 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83600 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83607 */     // MIs[0] addr
     /*   83607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83623 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*   83623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83631 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83636 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83638 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83640 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   83645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83649 */     GIR_RootConstrainSelectedInstOperands,
     /*   83650 */     // GIR_Coverage, 638,
     /*   83650 */     GIR_EraseRootFromParent_Done,
     /*   83651 */   // Label 2225: @83651
     /*   83651 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(83717), // Rule ID 639 //
     /*   83656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83673 */     // MIs[0] addr
     /*   83673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83689 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*   83689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83697 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83702 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83704 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83706 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   83711 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83715 */     GIR_RootConstrainSelectedInstOperands,
     /*   83716 */     // GIR_Coverage, 639,
     /*   83716 */     GIR_EraseRootFromParent_Done,
     /*   83717 */   // Label 2226: @83717
     /*   83717 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(83783), // Rule ID 640 //
     /*   83722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*   83725 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   83732 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   83735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83739 */     // MIs[0] addr
     /*   83739 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   83743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83755 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*   83755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   83758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*   83761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   83763 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   83768 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83770 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83772 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   83777 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83781 */     GIR_RootConstrainSelectedInstOperands,
     /*   83782 */     // GIR_Coverage, 640,
     /*   83782 */     GIR_EraseRootFromParent_Done,
     /*   83783 */   // Label 2227: @83783
     /*   83783 */   GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(83838), // Rule ID 643 //
     /*   83788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83791 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83798 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   83801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83805 */     // MIs[0] addr
     /*   83805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83821 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   83824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83826 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83828 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83830 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83832 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83836 */     GIR_RootConstrainSelectedInstOperands,
     /*   83837 */     // GIR_Coverage, 643,
     /*   83837 */     GIR_EraseRootFromParent_Done,
     /*   83838 */   // Label 2228: @83838
     /*   83838 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(83893), // Rule ID 645 //
     /*   83843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   83856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83860 */     // MIs[0] addr
     /*   83860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83876 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*   83879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83881 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83883 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83885 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83887 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83891 */     GIR_RootConstrainSelectedInstOperands,
     /*   83892 */     // GIR_Coverage, 645,
     /*   83892 */     GIR_EraseRootFromParent_Done,
     /*   83893 */   // Label 2229: @83893
     /*   83893 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(83948), // Rule ID 647 //
     /*   83898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   83911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83915 */     // MIs[0] addr
     /*   83915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83931 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*   83934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83936 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83938 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83940 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83942 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   83946 */     GIR_RootConstrainSelectedInstOperands,
     /*   83947 */     // GIR_Coverage, 647,
     /*   83947 */     GIR_EraseRootFromParent_Done,
     /*   83948 */   // Label 2230: @83948
     /*   83948 */   GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(84003), // Rule ID 649 //
     /*   83953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   83956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   83963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   83966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83970 */     // MIs[0] addr
     /*   83970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   83974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   83986 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   83986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   83989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   83991 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   83993 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   83995 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   83997 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84001 */     GIR_RootConstrainSelectedInstOperands,
     /*   84002 */     // GIR_Coverage, 649,
     /*   84002 */     GIR_EraseRootFromParent_Done,
     /*   84003 */   // Label 2231: @84003
     /*   84003 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(84058), // Rule ID 651 //
     /*   84008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84025 */     // MIs[0] addr
     /*   84025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84041 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*   84044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84046 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84048 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84050 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84052 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84056 */     GIR_RootConstrainSelectedInstOperands,
     /*   84057 */     // GIR_Coverage, 651,
     /*   84057 */     GIR_EraseRootFromParent_Done,
     /*   84058 */   // Label 2232: @84058
     /*   84058 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(84113), // Rule ID 653 //
     /*   84063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84066 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84073 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84080 */     // MIs[0] addr
     /*   84080 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84096 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84101 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84103 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84105 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84107 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84111 */     GIR_RootConstrainSelectedInstOperands,
     /*   84112 */     // GIR_Coverage, 653,
     /*   84112 */     GIR_EraseRootFromParent_Done,
     /*   84113 */   // Label 2233: @84113
     /*   84113 */   GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(84168), // Rule ID 655 //
     /*   84118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84121 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84128 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84135 */     // MIs[0] addr
     /*   84135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84151 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84156 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84158 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84160 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84162 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84166 */     GIR_RootConstrainSelectedInstOperands,
     /*   84167 */     // GIR_Coverage, 655,
     /*   84167 */     GIR_EraseRootFromParent_Done,
     /*   84168 */   // Label 2234: @84168
     /*   84168 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(84223), // Rule ID 657 //
     /*   84173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84176 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84183 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84190 */     // MIs[0] addr
     /*   84190 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84206 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84211 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84213 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84215 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84217 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84221 */     GIR_RootConstrainSelectedInstOperands,
     /*   84222 */     // GIR_Coverage, 657,
     /*   84222 */     GIR_EraseRootFromParent_Done,
     /*   84223 */   // Label 2235: @84223
     /*   84223 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(84278), // Rule ID 659 //
     /*   84228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84245 */     // MIs[0] addr
     /*   84245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84261 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84266 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84268 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84270 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84276 */     GIR_RootConstrainSelectedInstOperands,
     /*   84277 */     // GIR_Coverage, 659,
     /*   84277 */     GIR_EraseRootFromParent_Done,
     /*   84278 */   // Label 2236: @84278
     /*   84278 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(84333), // Rule ID 661 //
     /*   84283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   84286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   84293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84300 */     // MIs[0] addr
     /*   84300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84316 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*   84319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84321 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84323 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84325 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84327 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84331 */     GIR_RootConstrainSelectedInstOperands,
     /*   84332 */     // GIR_Coverage, 661,
     /*   84332 */     GIR_EraseRootFromParent_Done,
     /*   84333 */   // Label 2237: @84333
     /*   84333 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(84388), // Rule ID 663 //
     /*   84338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84355 */     // MIs[0] addr
     /*   84355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84371 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84376 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84378 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84380 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84382 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84386 */     GIR_RootConstrainSelectedInstOperands,
     /*   84387 */     // GIR_Coverage, 663,
     /*   84387 */     GIR_EraseRootFromParent_Done,
     /*   84388 */   // Label 2238: @84388
     /*   84388 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(84443), // Rule ID 664 //
     /*   84393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84410 */     // MIs[0] addr
     /*   84410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84426 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*   84429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84431 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84433 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84435 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84441 */     GIR_RootConstrainSelectedInstOperands,
     /*   84442 */     // GIR_Coverage, 664,
     /*   84442 */     GIR_EraseRootFromParent_Done,
     /*   84443 */   // Label 2239: @84443
     /*   84443 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(84498), // Rule ID 665 //
     /*   84448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84465 */     // MIs[0] addr
     /*   84465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84481 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*   84484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84486 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84488 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84490 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84492 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84496 */     GIR_RootConstrainSelectedInstOperands,
     /*   84497 */     // GIR_Coverage, 665,
     /*   84497 */     GIR_EraseRootFromParent_Done,
     /*   84498 */   // Label 2240: @84498
     /*   84498 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(84553), // Rule ID 666 //
     /*   84503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84506 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84513 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84520 */     // MIs[0] addr
     /*   84520 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84536 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*   84539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84541 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84543 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84545 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84547 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84551 */     GIR_RootConstrainSelectedInstOperands,
     /*   84552 */     // GIR_Coverage, 666,
     /*   84552 */     GIR_EraseRootFromParent_Done,
     /*   84553 */   // Label 2241: @84553
     /*   84553 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(84608), // Rule ID 667 //
     /*   84558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   84561 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84568 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84575 */     // MIs[0] addr
     /*   84575 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84591 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*   84594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84596 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84598 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84600 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84602 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84606 */     GIR_RootConstrainSelectedInstOperands,
     /*   84607 */     // GIR_Coverage, 667,
     /*   84607 */     GIR_EraseRootFromParent_Done,
     /*   84608 */   // Label 2242: @84608
     /*   84608 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(84663), // Rule ID 668 //
     /*   84613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84630 */     // MIs[0] addr
     /*   84630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84646 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84651 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84653 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84655 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84657 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84661 */     GIR_RootConstrainSelectedInstOperands,
     /*   84662 */     // GIR_Coverage, 668,
     /*   84662 */     GIR_EraseRootFromParent_Done,
     /*   84663 */   // Label 2243: @84663
     /*   84663 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(84718), // Rule ID 669 //
     /*   84668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84685 */     // MIs[0] addr
     /*   84685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84701 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84706 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84708 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84710 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84712 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84716 */     GIR_RootConstrainSelectedInstOperands,
     /*   84717 */     // GIR_Coverage, 669,
     /*   84717 */     GIR_EraseRootFromParent_Done,
     /*   84718 */   // Label 2244: @84718
     /*   84718 */   GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(84773), // Rule ID 670 //
     /*   84723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   84736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84740 */     // MIs[0] addr
     /*   84740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84756 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84761 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84763 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84765 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84767 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84771 */     GIR_RootConstrainSelectedInstOperands,
     /*   84772 */     // GIR_Coverage, 670,
     /*   84772 */     GIR_EraseRootFromParent_Done,
     /*   84773 */   // Label 2245: @84773
     /*   84773 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(84828), // Rule ID 671 //
     /*   84778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   84791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84795 */     // MIs[0] addr
     /*   84795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84811 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84816 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84818 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84820 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84822 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84826 */     GIR_RootConstrainSelectedInstOperands,
     /*   84827 */     // GIR_Coverage, 671,
     /*   84827 */     GIR_EraseRootFromParent_Done,
     /*   84828 */   // Label 2246: @84828
     /*   84828 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(84883), // Rule ID 672 //
     /*   84833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*   84836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   84843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   84846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84850 */     // MIs[0] addr
     /*   84850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84866 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*   84869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84871 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84873 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84875 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84877 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84881 */     GIR_RootConstrainSelectedInstOperands,
     /*   84882 */     // GIR_Coverage, 672,
     /*   84882 */     GIR_EraseRootFromParent_Done,
     /*   84883 */   // Label 2247: @84883
     /*   84883 */   GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(84938), // Rule ID 1033 //
     /*   84888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84891 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   84898 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   84901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84905 */     // MIs[0] addr
     /*   84905 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84921 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   84924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84926 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84928 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84930 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84932 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84936 */     GIR_RootConstrainSelectedInstOperands,
     /*   84937 */     // GIR_Coverage, 1033,
     /*   84937 */     GIR_EraseRootFromParent_Done,
     /*   84938 */   // Label 2248: @84938
     /*   84938 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(84993), // Rule ID 1035 //
     /*   84943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   84946 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   84953 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   84956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84960 */     // MIs[0] addr
     /*   84960 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   84964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   84976 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   84976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*   84979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   84981 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   84983 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   84985 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   84987 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   84991 */     GIR_RootConstrainSelectedInstOperands,
     /*   84992 */     // GIR_Coverage, 1035,
     /*   84992 */     GIR_EraseRootFromParent_Done,
     /*   84993 */   // Label 2249: @84993
     /*   84993 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(85048), // Rule ID 1037 //
     /*   84998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85001 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85008 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85015 */     // MIs[0] addr
     /*   85015 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85031 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*   85034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85036 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85038 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85040 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85042 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85046 */     GIR_RootConstrainSelectedInstOperands,
     /*   85047 */     // GIR_Coverage, 1037,
     /*   85047 */     GIR_EraseRootFromParent_Done,
     /*   85048 */   // Label 2250: @85048
     /*   85048 */   GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(85103), // Rule ID 1039 //
     /*   85053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85070 */     // MIs[0] addr
     /*   85070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85086 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   85089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85091 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85093 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85095 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85097 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85101 */     GIR_RootConstrainSelectedInstOperands,
     /*   85102 */     // GIR_Coverage, 1039,
     /*   85102 */     GIR_EraseRootFromParent_Done,
     /*   85103 */   // Label 2251: @85103
     /*   85103 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(85158), // Rule ID 1041 //
     /*   85108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85111 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85118 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85125 */     // MIs[0] addr
     /*   85125 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85141 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*   85144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85146 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85148 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85150 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85156 */     GIR_RootConstrainSelectedInstOperands,
     /*   85157 */     // GIR_Coverage, 1041,
     /*   85157 */     GIR_EraseRootFromParent_Done,
     /*   85158 */   // Label 2252: @85158
     /*   85158 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(85213), // Rule ID 1043 //
     /*   85163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85180 */     // MIs[0] addr
     /*   85180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85196 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85201 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85203 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85205 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85207 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85211 */     GIR_RootConstrainSelectedInstOperands,
     /*   85212 */     // GIR_Coverage, 1043,
     /*   85212 */     GIR_EraseRootFromParent_Done,
     /*   85213 */   // Label 2253: @85213
     /*   85213 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(85268), // Rule ID 1045 //
     /*   85218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85235 */     // MIs[0] addr
     /*   85235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85251 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85256 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85258 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85260 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85262 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85266 */     GIR_RootConstrainSelectedInstOperands,
     /*   85267 */     // GIR_Coverage, 1045,
     /*   85267 */     GIR_EraseRootFromParent_Done,
     /*   85268 */   // Label 2254: @85268
     /*   85268 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(85323), // Rule ID 1047 //
     /*   85273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85276 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85283 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85290 */     // MIs[0] addr
     /*   85290 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85306 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85311 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85313 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85315 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85321 */     GIR_RootConstrainSelectedInstOperands,
     /*   85322 */     // GIR_Coverage, 1047,
     /*   85322 */     GIR_EraseRootFromParent_Done,
     /*   85323 */   // Label 2255: @85323
     /*   85323 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(85378), // Rule ID 1049 //
     /*   85328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85331 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85338 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85345 */     // MIs[0] addr
     /*   85345 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85361 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85366 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85368 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85370 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85376 */     GIR_RootConstrainSelectedInstOperands,
     /*   85377 */     // GIR_Coverage, 1049,
     /*   85377 */     GIR_EraseRootFromParent_Done,
     /*   85378 */   // Label 2256: @85378
     /*   85378 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(85433), // Rule ID 1051 //
     /*   85383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85386 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   85393 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85400 */     // MIs[0] addr
     /*   85400 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85416 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*   85419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85421 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85423 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85425 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85431 */     GIR_RootConstrainSelectedInstOperands,
     /*   85432 */     // GIR_Coverage, 1051,
     /*   85432 */     GIR_EraseRootFromParent_Done,
     /*   85433 */   // Label 2257: @85433
     /*   85433 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(85488), // Rule ID 1053 //
     /*   85438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85441 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85448 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85455 */     // MIs[0] addr
     /*   85455 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85471 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85476 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85478 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85480 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85486 */     GIR_RootConstrainSelectedInstOperands,
     /*   85487 */     // GIR_Coverage, 1053,
     /*   85487 */     GIR_EraseRootFromParent_Done,
     /*   85488 */   // Label 2258: @85488
     /*   85488 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(85543), // Rule ID 1055 //
     /*   85493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85496 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85503 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85510 */     // MIs[0] addr
     /*   85510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85526 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*   85529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85531 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85533 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85535 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85537 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85541 */     GIR_RootConstrainSelectedInstOperands,
     /*   85542 */     // GIR_Coverage, 1055,
     /*   85542 */     GIR_EraseRootFromParent_Done,
     /*   85543 */   // Label 2259: @85543
     /*   85543 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(85598), // Rule ID 1057 //
     /*   85548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85565 */     // MIs[0] addr
     /*   85565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85581 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*   85584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85586 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85588 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85590 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85592 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85596 */     GIR_RootConstrainSelectedInstOperands,
     /*   85597 */     // GIR_Coverage, 1057,
     /*   85597 */     GIR_EraseRootFromParent_Done,
     /*   85598 */   // Label 2260: @85598
     /*   85598 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(85653), // Rule ID 1059 //
     /*   85603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85620 */     // MIs[0] addr
     /*   85620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85636 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   85639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85641 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85643 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85645 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85647 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85651 */     GIR_RootConstrainSelectedInstOperands,
     /*   85652 */     // GIR_Coverage, 1059,
     /*   85652 */     GIR_EraseRootFromParent_Done,
     /*   85653 */   // Label 2261: @85653
     /*   85653 */   GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(85708), // Rule ID 1061 //
     /*   85658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*   85661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85675 */     // MIs[0] addr
     /*   85675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85691 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*   85694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85696 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85698 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85700 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85702 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85706 */     GIR_RootConstrainSelectedInstOperands,
     /*   85707 */     // GIR_Coverage, 1061,
     /*   85707 */     GIR_EraseRootFromParent_Done,
     /*   85708 */   // Label 2262: @85708
     /*   85708 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(85763), // Rule ID 1063 //
     /*   85713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85716 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85723 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   85726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85730 */     // MIs[0] addr
     /*   85730 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85746 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85751 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85753 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85755 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85757 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85761 */     GIR_RootConstrainSelectedInstOperands,
     /*   85762 */     // GIR_Coverage, 1063,
     /*   85762 */     GIR_EraseRootFromParent_Done,
     /*   85763 */   // Label 2263: @85763
     /*   85763 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(85818), // Rule ID 1065 //
     /*   85768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85771 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85778 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   85781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85785 */     // MIs[0] addr
     /*   85785 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85801 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85806 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85808 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85810 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85812 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85816 */     GIR_RootConstrainSelectedInstOperands,
     /*   85817 */     // GIR_Coverage, 1065,
     /*   85817 */     GIR_EraseRootFromParent_Done,
     /*   85818 */   // Label 2264: @85818
     /*   85818 */   GIM_Try, /*On fail goto*//*Label 2265*/ GIMT_Encode4(85873), // Rule ID 1067 //
     /*   85823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85826 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85833 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   85836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85840 */     // MIs[0] addr
     /*   85840 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85844 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85856 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85861 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85863 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85865 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85867 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85871 */     GIR_RootConstrainSelectedInstOperands,
     /*   85872 */     // GIR_Coverage, 1067,
     /*   85872 */     GIR_EraseRootFromParent_Done,
     /*   85873 */   // Label 2265: @85873
     /*   85873 */   GIM_Try, /*On fail goto*//*Label 2266*/ GIMT_Encode4(85928), // Rule ID 1069 //
     /*   85878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85881 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85888 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   85891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85895 */     // MIs[0] addr
     /*   85895 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85911 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85916 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85918 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85920 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85922 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85926 */     GIR_RootConstrainSelectedInstOperands,
     /*   85927 */     // GIR_Coverage, 1069,
     /*   85927 */     GIR_EraseRootFromParent_Done,
     /*   85928 */   // Label 2266: @85928
     /*   85928 */   GIM_Try, /*On fail goto*//*Label 2267*/ GIMT_Encode4(85983), // Rule ID 1071 //
     /*   85933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*   85936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   85943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   85946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85950 */     // MIs[0] addr
     /*   85950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   85954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   85966 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*   85966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*   85969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   85971 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*   85973 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   85975 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*   85977 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   85981 */     GIR_RootConstrainSelectedInstOperands,
     /*   85982 */     // GIR_Coverage, 1071,
     /*   85982 */     GIR_EraseRootFromParent_Done,
     /*   85983 */   // Label 2267: @85983
     /*   85983 */   GIM_Reject,
     /*   85984 */ // Label 2217: @85984
     /*   85984 */ GIM_Reject,
     /*   85985 */ // Label 2180: @85985
     /*   85985 */ GIM_Reject,
     /*   85986 */ // Label 26: @85986
     /*   85986 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2270*/ GIMT_Encode4(88895),
     /*   85997 */ /*GILLT_s32*//*Label 2268*/ GIMT_Encode4(86005),
     /*   86001 */ /*GILLT_s64*//*Label 2269*/ GIMT_Encode4(87245),
     /*   86005 */ // Label 2268: @86005
     /*   86005 */ GIM_Try, /*On fail goto*//*Label 2271*/ GIMT_Encode4(87244),
     /*   86010 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   86013 */   GIM_Try, /*On fail goto*//*Label 2272*/ GIMT_Encode4(86054), // Rule ID 326 //
     /*   86018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86035 */     // MIs[0] rs1
     /*   86035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86047 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86052 */     GIR_RootConstrainSelectedInstOperands,
     /*   86053 */     // GIR_Coverage, 326,
     /*   86053 */     GIR_Done,
     /*   86054 */   // Label 2272: @86054
     /*   86054 */   GIM_Try, /*On fail goto*//*Label 2273*/ GIMT_Encode4(86095), // Rule ID 328 //
     /*   86059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86076 */     // MIs[0] rs1
     /*   86076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86088 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*   86093 */     GIR_RootConstrainSelectedInstOperands,
     /*   86094 */     // GIR_Coverage, 328,
     /*   86094 */     GIR_Done,
     /*   86095 */   // Label 2273: @86095
     /*   86095 */   GIM_Try, /*On fail goto*//*Label 2274*/ GIMT_Encode4(86136), // Rule ID 330 //
     /*   86100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86117 */     // MIs[0] rs1
     /*   86117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86129 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*   86134 */     GIR_RootConstrainSelectedInstOperands,
     /*   86135 */     // GIR_Coverage, 330,
     /*   86135 */     GIR_Done,
     /*   86136 */   // Label 2274: @86136
     /*   86136 */   GIM_Try, /*On fail goto*//*Label 2275*/ GIMT_Encode4(86177), // Rule ID 332 //
     /*   86141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86158 */     // MIs[0] rs1
     /*   86158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86170 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   86175 */     GIR_RootConstrainSelectedInstOperands,
     /*   86176 */     // GIR_Coverage, 332,
     /*   86176 */     GIR_Done,
     /*   86177 */   // Label 2275: @86177
     /*   86177 */   GIM_Try, /*On fail goto*//*Label 2276*/ GIMT_Encode4(86218), // Rule ID 334 //
     /*   86182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   86185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86199 */     // MIs[0] rs1
     /*   86199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86211 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   86216 */     GIR_RootConstrainSelectedInstOperands,
     /*   86217 */     // GIR_Coverage, 334,
     /*   86217 */     GIR_Done,
     /*   86218 */   // Label 2276: @86218
     /*   86218 */   GIM_Try, /*On fail goto*//*Label 2277*/ GIMT_Encode4(86259), // Rule ID 336 //
     /*   86223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86240 */     // MIs[0] rs1
     /*   86240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86252 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86257 */     GIR_RootConstrainSelectedInstOperands,
     /*   86258 */     // GIR_Coverage, 336,
     /*   86258 */     GIR_Done,
     /*   86259 */   // Label 2277: @86259
     /*   86259 */   GIM_Try, /*On fail goto*//*Label 2278*/ GIMT_Encode4(86300), // Rule ID 338 //
     /*   86264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86281 */     // MIs[0] rs1
     /*   86281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86293 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86298 */     GIR_RootConstrainSelectedInstOperands,
     /*   86299 */     // GIR_Coverage, 338,
     /*   86299 */     GIR_Done,
     /*   86300 */   // Label 2278: @86300
     /*   86300 */   GIM_Try, /*On fail goto*//*Label 2279*/ GIMT_Encode4(86341), // Rule ID 340 //
     /*   86305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86322 */     // MIs[0] rs1
     /*   86322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86334 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86339 */     GIR_RootConstrainSelectedInstOperands,
     /*   86340 */     // GIR_Coverage, 340,
     /*   86340 */     GIR_Done,
     /*   86341 */   // Label 2279: @86341
     /*   86341 */   GIM_Try, /*On fail goto*//*Label 2280*/ GIMT_Encode4(86382), // Rule ID 342 //
     /*   86346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86363 */     // MIs[0] rs1
     /*   86363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86375 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86380 */     GIR_RootConstrainSelectedInstOperands,
     /*   86381 */     // GIR_Coverage, 342,
     /*   86381 */     GIR_Done,
     /*   86382 */   // Label 2280: @86382
     /*   86382 */   GIM_Try, /*On fail goto*//*Label 2281*/ GIMT_Encode4(86423), // Rule ID 344 //
     /*   86387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   86390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   86397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86404 */     // MIs[0] rs1
     /*   86404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86416 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   86421 */     GIR_RootConstrainSelectedInstOperands,
     /*   86422 */     // GIR_Coverage, 344,
     /*   86422 */     GIR_Done,
     /*   86423 */   // Label 2281: @86423
     /*   86423 */   GIM_Try, /*On fail goto*//*Label 2282*/ GIMT_Encode4(86464), // Rule ID 674 //
     /*   86428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86445 */     // MIs[0] rs1
     /*   86445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86457 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86462 */     GIR_RootConstrainSelectedInstOperands,
     /*   86463 */     // GIR_Coverage, 674,
     /*   86463 */     GIR_Done,
     /*   86464 */   // Label 2282: @86464
     /*   86464 */   GIM_Try, /*On fail goto*//*Label 2283*/ GIMT_Encode4(86505), // Rule ID 676 //
     /*   86469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86486 */     // MIs[0] rs1
     /*   86486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86498 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*   86503 */     GIR_RootConstrainSelectedInstOperands,
     /*   86504 */     // GIR_Coverage, 676,
     /*   86504 */     GIR_Done,
     /*   86505 */   // Label 2283: @86505
     /*   86505 */   GIM_Try, /*On fail goto*//*Label 2284*/ GIMT_Encode4(86546), // Rule ID 678 //
     /*   86510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86527 */     // MIs[0] rs1
     /*   86527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86539 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*   86544 */     GIR_RootConstrainSelectedInstOperands,
     /*   86545 */     // GIR_Coverage, 678,
     /*   86545 */     GIR_Done,
     /*   86546 */   // Label 2284: @86546
     /*   86546 */   GIM_Try, /*On fail goto*//*Label 2285*/ GIMT_Encode4(86587), // Rule ID 680 //
     /*   86551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86568 */     // MIs[0] rs1
     /*   86568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86580 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   86585 */     GIR_RootConstrainSelectedInstOperands,
     /*   86586 */     // GIR_Coverage, 680,
     /*   86586 */     GIR_Done,
     /*   86587 */   // Label 2285: @86587
     /*   86587 */   GIM_Try, /*On fail goto*//*Label 2286*/ GIMT_Encode4(86628), // Rule ID 682 //
     /*   86592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86609 */     // MIs[0] rs1
     /*   86609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86621 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   86626 */     GIR_RootConstrainSelectedInstOperands,
     /*   86627 */     // GIR_Coverage, 682,
     /*   86627 */     GIR_Done,
     /*   86628 */   // Label 2286: @86628
     /*   86628 */   GIM_Try, /*On fail goto*//*Label 2287*/ GIMT_Encode4(86669), // Rule ID 684 //
     /*   86633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86650 */     // MIs[0] rs1
     /*   86650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86662 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86667 */     GIR_RootConstrainSelectedInstOperands,
     /*   86668 */     // GIR_Coverage, 684,
     /*   86668 */     GIR_Done,
     /*   86669 */   // Label 2287: @86669
     /*   86669 */   GIM_Try, /*On fail goto*//*Label 2288*/ GIMT_Encode4(86710), // Rule ID 686 //
     /*   86674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86691 */     // MIs[0] rs1
     /*   86691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86703 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86708 */     GIR_RootConstrainSelectedInstOperands,
     /*   86709 */     // GIR_Coverage, 686,
     /*   86709 */     GIR_Done,
     /*   86710 */   // Label 2288: @86710
     /*   86710 */   GIM_Try, /*On fail goto*//*Label 2289*/ GIMT_Encode4(86751), // Rule ID 688 //
     /*   86715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86732 */     // MIs[0] rs1
     /*   86732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86744 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86749 */     GIR_RootConstrainSelectedInstOperands,
     /*   86750 */     // GIR_Coverage, 688,
     /*   86750 */     GIR_Done,
     /*   86751 */   // Label 2289: @86751
     /*   86751 */   GIM_Try, /*On fail goto*//*Label 2290*/ GIMT_Encode4(86792), // Rule ID 690 //
     /*   86756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86773 */     // MIs[0] rs1
     /*   86773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86785 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86790 */     GIR_RootConstrainSelectedInstOperands,
     /*   86791 */     // GIR_Coverage, 690,
     /*   86791 */     GIR_Done,
     /*   86792 */   // Label 2290: @86792
     /*   86792 */   GIM_Try, /*On fail goto*//*Label 2291*/ GIMT_Encode4(86833), // Rule ID 692 //
     /*   86797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   86800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   86807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   86810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86814 */     // MIs[0] rs1
     /*   86814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86826 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   86831 */     GIR_RootConstrainSelectedInstOperands,
     /*   86832 */     // GIR_Coverage, 692,
     /*   86832 */     GIR_Done,
     /*   86833 */   // Label 2291: @86833
     /*   86833 */   GIM_Try, /*On fail goto*//*Label 2292*/ GIMT_Encode4(86874), // Rule ID 854 //
     /*   86838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   86851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86855 */     // MIs[0] rs1
     /*   86855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86867 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   86872 */     GIR_RootConstrainSelectedInstOperands,
     /*   86873 */     // GIR_Coverage, 854,
     /*   86873 */     GIR_Done,
     /*   86874 */   // Label 2292: @86874
     /*   86874 */   GIM_Try, /*On fail goto*//*Label 2293*/ GIMT_Encode4(86915), // Rule ID 856 //
     /*   86879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   86892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86896 */     // MIs[0] rs1
     /*   86896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86908 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*   86913 */     GIR_RootConstrainSelectedInstOperands,
     /*   86914 */     // GIR_Coverage, 856,
     /*   86914 */     GIR_Done,
     /*   86915 */   // Label 2293: @86915
     /*   86915 */   GIM_Try, /*On fail goto*//*Label 2294*/ GIMT_Encode4(86956), // Rule ID 858 //
     /*   86920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   86933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86937 */     // MIs[0] rs1
     /*   86937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86949 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*   86954 */     GIR_RootConstrainSelectedInstOperands,
     /*   86955 */     // GIR_Coverage, 858,
     /*   86955 */     GIR_Done,
     /*   86956 */   // Label 2294: @86956
     /*   86956 */   GIM_Try, /*On fail goto*//*Label 2295*/ GIMT_Encode4(86997), // Rule ID 860 //
     /*   86961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   86964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   86971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   86974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86978 */     // MIs[0] rs1
     /*   86978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   86982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   86990 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   86990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   86995 */     GIR_RootConstrainSelectedInstOperands,
     /*   86996 */     // GIR_Coverage, 860,
     /*   86996 */     GIR_Done,
     /*   86997 */   // Label 2295: @86997
     /*   86997 */   GIM_Try, /*On fail goto*//*Label 2296*/ GIMT_Encode4(87038), // Rule ID 862 //
     /*   87002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   87005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87019 */     // MIs[0] rs1
     /*   87019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87031 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   87036 */     GIR_RootConstrainSelectedInstOperands,
     /*   87037 */     // GIR_Coverage, 862,
     /*   87037 */     GIR_Done,
     /*   87038 */   // Label 2296: @87038
     /*   87038 */   GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(87079), // Rule ID 864 //
     /*   87043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87060 */     // MIs[0] rs1
     /*   87060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87072 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87077 */     GIR_RootConstrainSelectedInstOperands,
     /*   87078 */     // GIR_Coverage, 864,
     /*   87078 */     GIR_Done,
     /*   87079 */   // Label 2297: @87079
     /*   87079 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(87120), // Rule ID 866 //
     /*   87084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87101 */     // MIs[0] rs1
     /*   87101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87113 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87118 */     GIR_RootConstrainSelectedInstOperands,
     /*   87119 */     // GIR_Coverage, 866,
     /*   87119 */     GIR_Done,
     /*   87120 */   // Label 2298: @87120
     /*   87120 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(87161), // Rule ID 868 //
     /*   87125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87142 */     // MIs[0] rs1
     /*   87142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87154 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87159 */     GIR_RootConstrainSelectedInstOperands,
     /*   87160 */     // GIR_Coverage, 868,
     /*   87160 */     GIR_Done,
     /*   87161 */   // Label 2299: @87161
     /*   87161 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(87202), // Rule ID 870 //
     /*   87166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87183 */     // MIs[0] rs1
     /*   87183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87195 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87200 */     GIR_RootConstrainSelectedInstOperands,
     /*   87201 */     // GIR_Coverage, 870,
     /*   87201 */     GIR_Done,
     /*   87202 */   // Label 2300: @87202
     /*   87202 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(87243), // Rule ID 872 //
     /*   87207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   87210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   87217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87224 */     // MIs[0] rs1
     /*   87224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   87228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87236 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   87236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   87241 */     GIR_RootConstrainSelectedInstOperands,
     /*   87242 */     // GIR_Coverage, 872,
     /*   87242 */     GIR_Done,
     /*   87243 */   // Label 2301: @87243
     /*   87243 */   GIM_Reject,
     /*   87244 */ // Label 2271: @87244
     /*   87244 */ GIM_Reject,
     /*   87245 */ // Label 2269: @87245
     /*   87245 */ GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(88894),
     /*   87250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   87253 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(87294), // Rule ID 325 //
     /*   87258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87275 */     // MIs[0] rs1
     /*   87275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87287 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87292 */     GIR_RootConstrainSelectedInstOperands,
     /*   87293 */     // GIR_Coverage, 325,
     /*   87293 */     GIR_Done,
     /*   87294 */   // Label 2303: @87294
     /*   87294 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(87335), // Rule ID 327 //
     /*   87299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87316 */     // MIs[0] rs1
     /*   87316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87328 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*   87333 */     GIR_RootConstrainSelectedInstOperands,
     /*   87334 */     // GIR_Coverage, 327,
     /*   87334 */     GIR_Done,
     /*   87335 */   // Label 2304: @87335
     /*   87335 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(87376), // Rule ID 329 //
     /*   87340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87357 */     // MIs[0] rs1
     /*   87357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87369 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*   87374 */     GIR_RootConstrainSelectedInstOperands,
     /*   87375 */     // GIR_Coverage, 329,
     /*   87375 */     GIR_Done,
     /*   87376 */   // Label 2305: @87376
     /*   87376 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(87417), // Rule ID 331 //
     /*   87381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87398 */     // MIs[0] rs1
     /*   87398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87410 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   87415 */     GIR_RootConstrainSelectedInstOperands,
     /*   87416 */     // GIR_Coverage, 331,
     /*   87416 */     GIR_Done,
     /*   87417 */   // Label 2306: @87417
     /*   87417 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(87458), // Rule ID 333 //
     /*   87422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   87425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87439 */     // MIs[0] rs1
     /*   87439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87451 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*   87456 */     GIR_RootConstrainSelectedInstOperands,
     /*   87457 */     // GIR_Coverage, 333,
     /*   87457 */     GIR_Done,
     /*   87458 */   // Label 2307: @87458
     /*   87458 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(87499), // Rule ID 335 //
     /*   87463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87480 */     // MIs[0] rs1
     /*   87480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87492 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87497 */     GIR_RootConstrainSelectedInstOperands,
     /*   87498 */     // GIR_Coverage, 335,
     /*   87498 */     GIR_Done,
     /*   87499 */   // Label 2308: @87499
     /*   87499 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(87540), // Rule ID 337 //
     /*   87504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87521 */     // MIs[0] rs1
     /*   87521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87533 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87538 */     GIR_RootConstrainSelectedInstOperands,
     /*   87539 */     // GIR_Coverage, 337,
     /*   87539 */     GIR_Done,
     /*   87540 */   // Label 2309: @87540
     /*   87540 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(87581), // Rule ID 339 //
     /*   87545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87562 */     // MIs[0] rs1
     /*   87562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87574 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87579 */     GIR_RootConstrainSelectedInstOperands,
     /*   87580 */     // GIR_Coverage, 339,
     /*   87580 */     GIR_Done,
     /*   87581 */   // Label 2310: @87581
     /*   87581 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(87622), // Rule ID 341 //
     /*   87586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87603 */     // MIs[0] rs1
     /*   87603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87615 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87620 */     GIR_RootConstrainSelectedInstOperands,
     /*   87621 */     // GIR_Coverage, 341,
     /*   87621 */     GIR_Done,
     /*   87622 */   // Label 2311: @87622
     /*   87622 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(87663), // Rule ID 343 //
     /*   87627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   87630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   87637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87644 */     // MIs[0] rs1
     /*   87644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87656 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*   87661 */     GIR_RootConstrainSelectedInstOperands,
     /*   87662 */     // GIR_Coverage, 343,
     /*   87662 */     GIR_Done,
     /*   87663 */   // Label 2312: @87663
     /*   87663 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(87704), // Rule ID 505 //
     /*   87668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87685 */     // MIs[0] rs1
     /*   87685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87697 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87702 */     GIR_RootConstrainSelectedInstOperands,
     /*   87703 */     // GIR_Coverage, 505,
     /*   87703 */     GIR_Done,
     /*   87704 */   // Label 2313: @87704
     /*   87704 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(87745), // Rule ID 506 //
     /*   87709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87726 */     // MIs[0] rs1
     /*   87726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87738 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*   87743 */     GIR_RootConstrainSelectedInstOperands,
     /*   87744 */     // GIR_Coverage, 506,
     /*   87744 */     GIR_Done,
     /*   87745 */   // Label 2314: @87745
     /*   87745 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(87786), // Rule ID 507 //
     /*   87750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87767 */     // MIs[0] rs1
     /*   87767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87779 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*   87784 */     GIR_RootConstrainSelectedInstOperands,
     /*   87785 */     // GIR_Coverage, 507,
     /*   87785 */     GIR_Done,
     /*   87786 */   // Label 2315: @87786
     /*   87786 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(87827), // Rule ID 508 //
     /*   87791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   87804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87808 */     // MIs[0] rs1
     /*   87808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87820 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*   87825 */     GIR_RootConstrainSelectedInstOperands,
     /*   87826 */     // GIR_Coverage, 508,
     /*   87826 */     GIR_Done,
     /*   87827 */   // Label 2316: @87827
     /*   87827 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(87868), // Rule ID 509 //
     /*   87832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   87835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   87845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87849 */     // MIs[0] rs1
     /*   87849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87861 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*   87866 */     GIR_RootConstrainSelectedInstOperands,
     /*   87867 */     // GIR_Coverage, 509,
     /*   87867 */     GIR_Done,
     /*   87868 */   // Label 2317: @87868
     /*   87868 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(87909), // Rule ID 510 //
     /*   87873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   87886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87890 */     // MIs[0] rs1
     /*   87890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87902 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87907 */     GIR_RootConstrainSelectedInstOperands,
     /*   87908 */     // GIR_Coverage, 510,
     /*   87908 */     GIR_Done,
     /*   87909 */   // Label 2318: @87909
     /*   87909 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(87950), // Rule ID 511 //
     /*   87914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   87927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87931 */     // MIs[0] rs1
     /*   87931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87943 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87948 */     GIR_RootConstrainSelectedInstOperands,
     /*   87949 */     // GIR_Coverage, 511,
     /*   87949 */     GIR_Done,
     /*   87950 */   // Label 2319: @87950
     /*   87950 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(87991), // Rule ID 512 //
     /*   87955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   87965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   87968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87972 */     // MIs[0] rs1
     /*   87972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   87976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   87984 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   87984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   87989 */     GIR_RootConstrainSelectedInstOperands,
     /*   87990 */     // GIR_Coverage, 512,
     /*   87990 */     GIR_Done,
     /*   87991 */   // Label 2320: @87991
     /*   87991 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(88032), // Rule ID 513 //
     /*   87996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   87999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   88006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88013 */     // MIs[0] rs1
     /*   88013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88025 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   88030 */     GIR_RootConstrainSelectedInstOperands,
     /*   88031 */     // GIR_Coverage, 513,
     /*   88031 */     GIR_Done,
     /*   88032 */   // Label 2321: @88032
     /*   88032 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(88073), // Rule ID 514 //
     /*   88037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   88040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   88047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88054 */     // MIs[0] rs1
     /*   88054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88066 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*   88071 */     GIR_RootConstrainSelectedInstOperands,
     /*   88072 */     // GIR_Coverage, 514,
     /*   88072 */     GIR_Done,
     /*   88073 */   // Label 2322: @88073
     /*   88073 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(88114), // Rule ID 673 //
     /*   88078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88095 */     // MIs[0] rs1
     /*   88095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88107 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88112 */     GIR_RootConstrainSelectedInstOperands,
     /*   88113 */     // GIR_Coverage, 673,
     /*   88113 */     GIR_Done,
     /*   88114 */   // Label 2323: @88114
     /*   88114 */   GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(88155), // Rule ID 675 //
     /*   88119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88136 */     // MIs[0] rs1
     /*   88136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88148 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*   88153 */     GIR_RootConstrainSelectedInstOperands,
     /*   88154 */     // GIR_Coverage, 675,
     /*   88154 */     GIR_Done,
     /*   88155 */   // Label 2324: @88155
     /*   88155 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(88196), // Rule ID 677 //
     /*   88160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88177 */     // MIs[0] rs1
     /*   88177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88189 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*   88194 */     GIR_RootConstrainSelectedInstOperands,
     /*   88195 */     // GIR_Coverage, 677,
     /*   88195 */     GIR_Done,
     /*   88196 */   // Label 2325: @88196
     /*   88196 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(88237), // Rule ID 679 //
     /*   88201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88218 */     // MIs[0] rs1
     /*   88218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88230 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   88235 */     GIR_RootConstrainSelectedInstOperands,
     /*   88236 */     // GIR_Coverage, 679,
     /*   88236 */     GIR_Done,
     /*   88237 */   // Label 2326: @88237
     /*   88237 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(88278), // Rule ID 681 //
     /*   88242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88259 */     // MIs[0] rs1
     /*   88259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88271 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*   88276 */     GIR_RootConstrainSelectedInstOperands,
     /*   88277 */     // GIR_Coverage, 681,
     /*   88277 */     GIR_Done,
     /*   88278 */   // Label 2327: @88278
     /*   88278 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(88319), // Rule ID 683 //
     /*   88283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88300 */     // MIs[0] rs1
     /*   88300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88312 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88317 */     GIR_RootConstrainSelectedInstOperands,
     /*   88318 */     // GIR_Coverage, 683,
     /*   88318 */     GIR_Done,
     /*   88319 */   // Label 2328: @88319
     /*   88319 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(88360), // Rule ID 685 //
     /*   88324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88341 */     // MIs[0] rs1
     /*   88341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88353 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88358 */     GIR_RootConstrainSelectedInstOperands,
     /*   88359 */     // GIR_Coverage, 685,
     /*   88359 */     GIR_Done,
     /*   88360 */   // Label 2329: @88360
     /*   88360 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(88401), // Rule ID 687 //
     /*   88365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88382 */     // MIs[0] rs1
     /*   88382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88394 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88399 */     GIR_RootConstrainSelectedInstOperands,
     /*   88400 */     // GIR_Coverage, 687,
     /*   88400 */     GIR_Done,
     /*   88401 */   // Label 2330: @88401
     /*   88401 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(88442), // Rule ID 689 //
     /*   88406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88423 */     // MIs[0] rs1
     /*   88423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88435 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88440 */     GIR_RootConstrainSelectedInstOperands,
     /*   88441 */     // GIR_Coverage, 689,
     /*   88441 */     GIR_Done,
     /*   88442 */   // Label 2331: @88442
     /*   88442 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(88483), // Rule ID 691 //
     /*   88447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   88457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88464 */     // MIs[0] rs1
     /*   88464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88476 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*   88481 */     GIR_RootConstrainSelectedInstOperands,
     /*   88482 */     // GIR_Coverage, 691,
     /*   88482 */     GIR_Done,
     /*   88483 */   // Label 2332: @88483
     /*   88483 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(88524), // Rule ID 853 //
     /*   88488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88505 */     // MIs[0] rs1
     /*   88505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88517 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88522 */     GIR_RootConstrainSelectedInstOperands,
     /*   88523 */     // GIR_Coverage, 853,
     /*   88523 */     GIR_Done,
     /*   88524 */   // Label 2333: @88524
     /*   88524 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(88565), // Rule ID 855 //
     /*   88529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88546 */     // MIs[0] rs1
     /*   88546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88558 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*   88563 */     GIR_RootConstrainSelectedInstOperands,
     /*   88564 */     // GIR_Coverage, 855,
     /*   88564 */     GIR_Done,
     /*   88565 */   // Label 2334: @88565
     /*   88565 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(88606), // Rule ID 857 //
     /*   88570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88587 */     // MIs[0] rs1
     /*   88587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88599 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*   88604 */     GIR_RootConstrainSelectedInstOperands,
     /*   88605 */     // GIR_Coverage, 857,
     /*   88605 */     GIR_Done,
     /*   88606 */   // Label 2335: @88606
     /*   88606 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(88647), // Rule ID 859 //
     /*   88611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88628 */     // MIs[0] rs1
     /*   88628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88640 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   88645 */     GIR_RootConstrainSelectedInstOperands,
     /*   88646 */     // GIR_Coverage, 859,
     /*   88646 */     GIR_Done,
     /*   88647 */   // Label 2336: @88647
     /*   88647 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(88688), // Rule ID 861 //
     /*   88652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   88655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88669 */     // MIs[0] rs1
     /*   88669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88681 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*   88686 */     GIR_RootConstrainSelectedInstOperands,
     /*   88687 */     // GIR_Coverage, 861,
     /*   88687 */     GIR_Done,
     /*   88688 */   // Label 2337: @88688
     /*   88688 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(88729), // Rule ID 863 //
     /*   88693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88710 */     // MIs[0] rs1
     /*   88710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88722 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88727 */     GIR_RootConstrainSelectedInstOperands,
     /*   88728 */     // GIR_Coverage, 863,
     /*   88728 */     GIR_Done,
     /*   88729 */   // Label 2338: @88729
     /*   88729 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(88770), // Rule ID 865 //
     /*   88734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88751 */     // MIs[0] rs1
     /*   88751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88763 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88768 */     GIR_RootConstrainSelectedInstOperands,
     /*   88769 */     // GIR_Coverage, 865,
     /*   88769 */     GIR_Done,
     /*   88770 */   // Label 2339: @88770
     /*   88770 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(88811), // Rule ID 867 //
     /*   88775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   88788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88792 */     // MIs[0] rs1
     /*   88792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88804 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88809 */     GIR_RootConstrainSelectedInstOperands,
     /*   88810 */     // GIR_Coverage, 867,
     /*   88810 */     GIR_Done,
     /*   88811 */   // Label 2340: @88811
     /*   88811 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(88852), // Rule ID 869 //
     /*   88816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   88829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88833 */     // MIs[0] rs1
     /*   88833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88845 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88850 */     GIR_RootConstrainSelectedInstOperands,
     /*   88851 */     // GIR_Coverage, 869,
     /*   88851 */     GIR_Done,
     /*   88852 */   // Label 2341: @88852
     /*   88852 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(88893), // Rule ID 871 //
     /*   88857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   88860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   88867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   88870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88874 */     // MIs[0] rs1
     /*   88874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   88878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88886 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   88886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*   88891 */     GIR_RootConstrainSelectedInstOperands,
     /*   88892 */     // GIR_Coverage, 871,
     /*   88892 */     GIR_Done,
     /*   88893 */   // Label 2342: @88893
     /*   88893 */   GIM_Reject,
     /*   88894 */ // Label 2302: @88894
     /*   88894 */ GIM_Reject,
     /*   88895 */ // Label 2270: @88895
     /*   88895 */ GIM_Reject,
     /*   88896 */ // Label 27: @88896
     /*   88896 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2345*/ GIMT_Encode4(91805),
     /*   88907 */ /*GILLT_s32*//*Label 2343*/ GIMT_Encode4(88915),
     /*   88911 */ /*GILLT_s64*//*Label 2344*/ GIMT_Encode4(90155),
     /*   88915 */ // Label 2343: @88915
     /*   88915 */ GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(90154),
     /*   88920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   88923 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(88964), // Rule ID 346 //
     /*   88928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   88931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   88938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   88941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88945 */     // MIs[0] rs1
     /*   88945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   88949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88957 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   88957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   88962 */     GIR_RootConstrainSelectedInstOperands,
     /*   88963 */     // GIR_Coverage, 346,
     /*   88963 */     GIR_Done,
     /*   88964 */   // Label 2347: @88964
     /*   88964 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(89005), // Rule ID 348 //
     /*   88969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   88972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   88979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   88982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88986 */     // MIs[0] rs1
     /*   88986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   88990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   88998 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   88998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*   89003 */     GIR_RootConstrainSelectedInstOperands,
     /*   89004 */     // GIR_Coverage, 348,
     /*   89004 */     GIR_Done,
     /*   89005 */   // Label 2348: @89005
     /*   89005 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(89046), // Rule ID 350 //
     /*   89010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89027 */     // MIs[0] rs1
     /*   89027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89039 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*   89044 */     GIR_RootConstrainSelectedInstOperands,
     /*   89045 */     // GIR_Coverage, 350,
     /*   89045 */     GIR_Done,
     /*   89046 */   // Label 2349: @89046
     /*   89046 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(89087), // Rule ID 352 //
     /*   89051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89068 */     // MIs[0] rs1
     /*   89068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89080 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   89085 */     GIR_RootConstrainSelectedInstOperands,
     /*   89086 */     // GIR_Coverage, 352,
     /*   89086 */     GIR_Done,
     /*   89087 */   // Label 2350: @89087
     /*   89087 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(89128), // Rule ID 354 //
     /*   89092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   89095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89109 */     // MIs[0] rs1
     /*   89109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89121 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   89126 */     GIR_RootConstrainSelectedInstOperands,
     /*   89127 */     // GIR_Coverage, 354,
     /*   89127 */     GIR_Done,
     /*   89128 */   // Label 2351: @89128
     /*   89128 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(89169), // Rule ID 356 //
     /*   89133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89150 */     // MIs[0] rs1
     /*   89150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89162 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89167 */     GIR_RootConstrainSelectedInstOperands,
     /*   89168 */     // GIR_Coverage, 356,
     /*   89168 */     GIR_Done,
     /*   89169 */   // Label 2352: @89169
     /*   89169 */   GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(89210), // Rule ID 358 //
     /*   89174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89191 */     // MIs[0] rs1
     /*   89191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89203 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89208 */     GIR_RootConstrainSelectedInstOperands,
     /*   89209 */     // GIR_Coverage, 358,
     /*   89209 */     GIR_Done,
     /*   89210 */   // Label 2353: @89210
     /*   89210 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(89251), // Rule ID 360 //
     /*   89215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89232 */     // MIs[0] rs1
     /*   89232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89244 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89249 */     GIR_RootConstrainSelectedInstOperands,
     /*   89250 */     // GIR_Coverage, 360,
     /*   89250 */     GIR_Done,
     /*   89251 */   // Label 2354: @89251
     /*   89251 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(89292), // Rule ID 362 //
     /*   89256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89273 */     // MIs[0] rs1
     /*   89273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89285 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89290 */     GIR_RootConstrainSelectedInstOperands,
     /*   89291 */     // GIR_Coverage, 362,
     /*   89291 */     GIR_Done,
     /*   89292 */   // Label 2355: @89292
     /*   89292 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(89333), // Rule ID 364 //
     /*   89297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   89300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   89307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89314 */     // MIs[0] rs1
     /*   89314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89326 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   89331 */     GIR_RootConstrainSelectedInstOperands,
     /*   89332 */     // GIR_Coverage, 364,
     /*   89332 */     GIR_Done,
     /*   89333 */   // Label 2356: @89333
     /*   89333 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(89374), // Rule ID 694 //
     /*   89338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89355 */     // MIs[0] rs1
     /*   89355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89367 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89372 */     GIR_RootConstrainSelectedInstOperands,
     /*   89373 */     // GIR_Coverage, 694,
     /*   89373 */     GIR_Done,
     /*   89374 */   // Label 2357: @89374
     /*   89374 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(89415), // Rule ID 696 //
     /*   89379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89396 */     // MIs[0] rs1
     /*   89396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89408 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*   89413 */     GIR_RootConstrainSelectedInstOperands,
     /*   89414 */     // GIR_Coverage, 696,
     /*   89414 */     GIR_Done,
     /*   89415 */   // Label 2358: @89415
     /*   89415 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(89456), // Rule ID 698 //
     /*   89420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89437 */     // MIs[0] rs1
     /*   89437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89449 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*   89454 */     GIR_RootConstrainSelectedInstOperands,
     /*   89455 */     // GIR_Coverage, 698,
     /*   89455 */     GIR_Done,
     /*   89456 */   // Label 2359: @89456
     /*   89456 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(89497), // Rule ID 700 //
     /*   89461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89478 */     // MIs[0] rs1
     /*   89478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89490 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   89495 */     GIR_RootConstrainSelectedInstOperands,
     /*   89496 */     // GIR_Coverage, 700,
     /*   89496 */     GIR_Done,
     /*   89497 */   // Label 2360: @89497
     /*   89497 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(89538), // Rule ID 702 //
     /*   89502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89519 */     // MIs[0] rs1
     /*   89519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89531 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   89536 */     GIR_RootConstrainSelectedInstOperands,
     /*   89537 */     // GIR_Coverage, 702,
     /*   89537 */     GIR_Done,
     /*   89538 */   // Label 2361: @89538
     /*   89538 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(89579), // Rule ID 704 //
     /*   89543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89560 */     // MIs[0] rs1
     /*   89560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89572 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89577 */     GIR_RootConstrainSelectedInstOperands,
     /*   89578 */     // GIR_Coverage, 704,
     /*   89578 */     GIR_Done,
     /*   89579 */   // Label 2362: @89579
     /*   89579 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(89620), // Rule ID 706 //
     /*   89584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89601 */     // MIs[0] rs1
     /*   89601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89613 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89618 */     GIR_RootConstrainSelectedInstOperands,
     /*   89619 */     // GIR_Coverage, 706,
     /*   89619 */     GIR_Done,
     /*   89620 */   // Label 2363: @89620
     /*   89620 */   GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(89661), // Rule ID 708 //
     /*   89625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89642 */     // MIs[0] rs1
     /*   89642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89654 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89659 */     GIR_RootConstrainSelectedInstOperands,
     /*   89660 */     // GIR_Coverage, 708,
     /*   89660 */     GIR_Done,
     /*   89661 */   // Label 2364: @89661
     /*   89661 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(89702), // Rule ID 710 //
     /*   89666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89683 */     // MIs[0] rs1
     /*   89683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89695 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89700 */     GIR_RootConstrainSelectedInstOperands,
     /*   89701 */     // GIR_Coverage, 710,
     /*   89701 */     GIR_Done,
     /*   89702 */   // Label 2365: @89702
     /*   89702 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(89743), // Rule ID 712 //
     /*   89707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   89717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89724 */     // MIs[0] rs1
     /*   89724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89736 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   89741 */     GIR_RootConstrainSelectedInstOperands,
     /*   89742 */     // GIR_Coverage, 712,
     /*   89742 */     GIR_Done,
     /*   89743 */   // Label 2366: @89743
     /*   89743 */   GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(89784), // Rule ID 874 //
     /*   89748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89765 */     // MIs[0] rs1
     /*   89765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89777 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   89782 */     GIR_RootConstrainSelectedInstOperands,
     /*   89783 */     // GIR_Coverage, 874,
     /*   89783 */     GIR_Done,
     /*   89784 */   // Label 2367: @89784
     /*   89784 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(89825), // Rule ID 876 //
     /*   89789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   89802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89806 */     // MIs[0] rs1
     /*   89806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89818 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*   89823 */     GIR_RootConstrainSelectedInstOperands,
     /*   89824 */     // GIR_Coverage, 876,
     /*   89824 */     GIR_Done,
     /*   89825 */   // Label 2368: @89825
     /*   89825 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(89866), // Rule ID 878 //
     /*   89830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   89843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89847 */     // MIs[0] rs1
     /*   89847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89859 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*   89864 */     GIR_RootConstrainSelectedInstOperands,
     /*   89865 */     // GIR_Coverage, 878,
     /*   89865 */     GIR_Done,
     /*   89866 */   // Label 2369: @89866
     /*   89866 */   GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(89907), // Rule ID 880 //
     /*   89871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89874 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89881 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   89884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89888 */     // MIs[0] rs1
     /*   89888 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89892 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89900 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89900 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   89905 */     GIR_RootConstrainSelectedInstOperands,
     /*   89906 */     // GIR_Coverage, 880,
     /*   89906 */     GIR_Done,
     /*   89907 */   // Label 2370: @89907
     /*   89907 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(89948), // Rule ID 882 //
     /*   89912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   89915 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89922 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   89925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89929 */     // MIs[0] rs1
     /*   89929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89941 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89941 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   89946 */     GIR_RootConstrainSelectedInstOperands,
     /*   89947 */     // GIR_Coverage, 882,
     /*   89947 */     GIR_Done,
     /*   89948 */   // Label 2371: @89948
     /*   89948 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(89989), // Rule ID 884 //
     /*   89953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89956 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   89963 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   89966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89970 */     // MIs[0] rs1
     /*   89970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   89974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   89982 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   89982 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   89987 */     GIR_RootConstrainSelectedInstOperands,
     /*   89988 */     // GIR_Coverage, 884,
     /*   89988 */     GIR_Done,
     /*   89989 */   // Label 2372: @89989
     /*   89989 */   GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(90030), // Rule ID 886 //
     /*   89994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   89997 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90004 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90011 */     // MIs[0] rs1
     /*   90011 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90023 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90023 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90028 */     GIR_RootConstrainSelectedInstOperands,
     /*   90029 */     // GIR_Coverage, 886,
     /*   90029 */     GIR_Done,
     /*   90030 */   // Label 2373: @90030
     /*   90030 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(90071), // Rule ID 888 //
     /*   90035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90038 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90045 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90052 */     // MIs[0] rs1
     /*   90052 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90064 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90064 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90069 */     GIR_RootConstrainSelectedInstOperands,
     /*   90070 */     // GIR_Coverage, 888,
     /*   90070 */     GIR_Done,
     /*   90071 */   // Label 2374: @90071
     /*   90071 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(90112), // Rule ID 890 //
     /*   90076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90079 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90086 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90093 */     // MIs[0] rs1
     /*   90093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90105 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90110 */     GIR_RootConstrainSelectedInstOperands,
     /*   90111 */     // GIR_Coverage, 890,
     /*   90111 */     GIR_Done,
     /*   90112 */   // Label 2375: @90112
     /*   90112 */   GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(90153), // Rule ID 892 //
     /*   90117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   90120 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   90127 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90134 */     // MIs[0] rs1
     /*   90134 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   90138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90146 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   90146 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   90151 */     GIR_RootConstrainSelectedInstOperands,
     /*   90152 */     // GIR_Coverage, 892,
     /*   90152 */     GIR_Done,
     /*   90153 */   // Label 2376: @90153
     /*   90153 */   GIM_Reject,
     /*   90154 */ // Label 2346: @90154
     /*   90154 */ GIM_Reject,
     /*   90155 */ // Label 2344: @90155
     /*   90155 */ GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(91804),
     /*   90160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   90163 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(90204), // Rule ID 345 //
     /*   90168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90185 */     // MIs[0] rs1
     /*   90185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90197 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90202 */     GIR_RootConstrainSelectedInstOperands,
     /*   90203 */     // GIR_Coverage, 345,
     /*   90203 */     GIR_Done,
     /*   90204 */   // Label 2378: @90204
     /*   90204 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(90245), // Rule ID 347 //
     /*   90209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90226 */     // MIs[0] rs1
     /*   90226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90238 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*   90243 */     GIR_RootConstrainSelectedInstOperands,
     /*   90244 */     // GIR_Coverage, 347,
     /*   90244 */     GIR_Done,
     /*   90245 */   // Label 2379: @90245
     /*   90245 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(90286), // Rule ID 349 //
     /*   90250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90267 */     // MIs[0] rs1
     /*   90267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90279 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*   90284 */     GIR_RootConstrainSelectedInstOperands,
     /*   90285 */     // GIR_Coverage, 349,
     /*   90285 */     GIR_Done,
     /*   90286 */   // Label 2380: @90286
     /*   90286 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(90327), // Rule ID 351 //
     /*   90291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90308 */     // MIs[0] rs1
     /*   90308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90320 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   90325 */     GIR_RootConstrainSelectedInstOperands,
     /*   90326 */     // GIR_Coverage, 351,
     /*   90326 */     GIR_Done,
     /*   90327 */   // Label 2381: @90327
     /*   90327 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(90368), // Rule ID 353 //
     /*   90332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   90335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90349 */     // MIs[0] rs1
     /*   90349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90361 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*   90366 */     GIR_RootConstrainSelectedInstOperands,
     /*   90367 */     // GIR_Coverage, 353,
     /*   90367 */     GIR_Done,
     /*   90368 */   // Label 2382: @90368
     /*   90368 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(90409), // Rule ID 355 //
     /*   90373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90390 */     // MIs[0] rs1
     /*   90390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90402 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90407 */     GIR_RootConstrainSelectedInstOperands,
     /*   90408 */     // GIR_Coverage, 355,
     /*   90408 */     GIR_Done,
     /*   90409 */   // Label 2383: @90409
     /*   90409 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(90450), // Rule ID 357 //
     /*   90414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90431 */     // MIs[0] rs1
     /*   90431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90443 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90448 */     GIR_RootConstrainSelectedInstOperands,
     /*   90449 */     // GIR_Coverage, 357,
     /*   90449 */     GIR_Done,
     /*   90450 */   // Label 2384: @90450
     /*   90450 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(90491), // Rule ID 359 //
     /*   90455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90472 */     // MIs[0] rs1
     /*   90472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90484 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90489 */     GIR_RootConstrainSelectedInstOperands,
     /*   90490 */     // GIR_Coverage, 359,
     /*   90490 */     GIR_Done,
     /*   90491 */   // Label 2385: @90491
     /*   90491 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(90532), // Rule ID 361 //
     /*   90496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90513 */     // MIs[0] rs1
     /*   90513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90525 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90530 */     GIR_RootConstrainSelectedInstOperands,
     /*   90531 */     // GIR_Coverage, 361,
     /*   90531 */     GIR_Done,
     /*   90532 */   // Label 2386: @90532
     /*   90532 */   GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(90573), // Rule ID 363 //
     /*   90537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   90540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   90547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90554 */     // MIs[0] rs1
     /*   90554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90566 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*   90571 */     GIR_RootConstrainSelectedInstOperands,
     /*   90572 */     // GIR_Coverage, 363,
     /*   90572 */     GIR_Done,
     /*   90573 */   // Label 2387: @90573
     /*   90573 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(90614), // Rule ID 515 //
     /*   90578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90595 */     // MIs[0] rs1
     /*   90595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90607 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90612 */     GIR_RootConstrainSelectedInstOperands,
     /*   90613 */     // GIR_Coverage, 515,
     /*   90613 */     GIR_Done,
     /*   90614 */   // Label 2388: @90614
     /*   90614 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(90655), // Rule ID 516 //
     /*   90619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90636 */     // MIs[0] rs1
     /*   90636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90648 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*   90653 */     GIR_RootConstrainSelectedInstOperands,
     /*   90654 */     // GIR_Coverage, 516,
     /*   90654 */     GIR_Done,
     /*   90655 */   // Label 2389: @90655
     /*   90655 */   GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(90696), // Rule ID 517 //
     /*   90660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90677 */     // MIs[0] rs1
     /*   90677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90689 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*   90694 */     GIR_RootConstrainSelectedInstOperands,
     /*   90695 */     // GIR_Coverage, 517,
     /*   90695 */     GIR_Done,
     /*   90696 */   // Label 2390: @90696
     /*   90696 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(90737), // Rule ID 518 //
     /*   90701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90718 */     // MIs[0] rs1
     /*   90718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90730 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*   90735 */     GIR_RootConstrainSelectedInstOperands,
     /*   90736 */     // GIR_Coverage, 518,
     /*   90736 */     GIR_Done,
     /*   90737 */   // Label 2391: @90737
     /*   90737 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(90778), // Rule ID 519 //
     /*   90742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   90745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90759 */     // MIs[0] rs1
     /*   90759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90771 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*   90776 */     GIR_RootConstrainSelectedInstOperands,
     /*   90777 */     // GIR_Coverage, 519,
     /*   90777 */     GIR_Done,
     /*   90778 */   // Label 2392: @90778
     /*   90778 */   GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(90819), // Rule ID 520 //
     /*   90783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   90796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90800 */     // MIs[0] rs1
     /*   90800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90812 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90817 */     GIR_RootConstrainSelectedInstOperands,
     /*   90818 */     // GIR_Coverage, 520,
     /*   90818 */     GIR_Done,
     /*   90819 */   // Label 2393: @90819
     /*   90819 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(90860), // Rule ID 521 //
     /*   90824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   90837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90841 */     // MIs[0] rs1
     /*   90841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90853 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90858 */     GIR_RootConstrainSelectedInstOperands,
     /*   90859 */     // GIR_Coverage, 521,
     /*   90859 */     GIR_Done,
     /*   90860 */   // Label 2394: @90860
     /*   90860 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(90901), // Rule ID 522 //
     /*   90865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   90878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90882 */     // MIs[0] rs1
     /*   90882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90894 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90899 */     GIR_RootConstrainSelectedInstOperands,
     /*   90900 */     // GIR_Coverage, 522,
     /*   90900 */     GIR_Done,
     /*   90901 */   // Label 2395: @90901
     /*   90901 */   GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(90942), // Rule ID 523 //
     /*   90906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   90919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90923 */     // MIs[0] rs1
     /*   90923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90935 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90940 */     GIR_RootConstrainSelectedInstOperands,
     /*   90941 */     // GIR_Coverage, 523,
     /*   90941 */     GIR_Done,
     /*   90942 */   // Label 2396: @90942
     /*   90942 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(90983), // Rule ID 524 //
     /*   90947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   90950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   90957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   90960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90964 */     // MIs[0] rs1
     /*   90964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   90968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   90976 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   90976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*   90981 */     GIR_RootConstrainSelectedInstOperands,
     /*   90982 */     // GIR_Coverage, 524,
     /*   90982 */     GIR_Done,
     /*   90983 */   // Label 2397: @90983
     /*   90983 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(91024), // Rule ID 693 //
     /*   90988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   90991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   90998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91005 */     // MIs[0] rs1
     /*   91005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91017 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91022 */     GIR_RootConstrainSelectedInstOperands,
     /*   91023 */     // GIR_Coverage, 693,
     /*   91023 */     GIR_Done,
     /*   91024 */   // Label 2398: @91024
     /*   91024 */   GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(91065), // Rule ID 695 //
     /*   91029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91046 */     // MIs[0] rs1
     /*   91046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91058 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*   91063 */     GIR_RootConstrainSelectedInstOperands,
     /*   91064 */     // GIR_Coverage, 695,
     /*   91064 */     GIR_Done,
     /*   91065 */   // Label 2399: @91065
     /*   91065 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(91106), // Rule ID 697 //
     /*   91070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91087 */     // MIs[0] rs1
     /*   91087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91099 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*   91104 */     GIR_RootConstrainSelectedInstOperands,
     /*   91105 */     // GIR_Coverage, 697,
     /*   91105 */     GIR_Done,
     /*   91106 */   // Label 2400: @91106
     /*   91106 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(91147), // Rule ID 699 //
     /*   91111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91128 */     // MIs[0] rs1
     /*   91128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91140 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   91145 */     GIR_RootConstrainSelectedInstOperands,
     /*   91146 */     // GIR_Coverage, 699,
     /*   91146 */     GIR_Done,
     /*   91147 */   // Label 2401: @91147
     /*   91147 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(91188), // Rule ID 701 //
     /*   91152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91169 */     // MIs[0] rs1
     /*   91169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91181 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*   91186 */     GIR_RootConstrainSelectedInstOperands,
     /*   91187 */     // GIR_Coverage, 701,
     /*   91187 */     GIR_Done,
     /*   91188 */   // Label 2402: @91188
     /*   91188 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(91229), // Rule ID 703 //
     /*   91193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91210 */     // MIs[0] rs1
     /*   91210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91222 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91227 */     GIR_RootConstrainSelectedInstOperands,
     /*   91228 */     // GIR_Coverage, 703,
     /*   91228 */     GIR_Done,
     /*   91229 */   // Label 2403: @91229
     /*   91229 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(91270), // Rule ID 705 //
     /*   91234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91251 */     // MIs[0] rs1
     /*   91251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91263 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91268 */     GIR_RootConstrainSelectedInstOperands,
     /*   91269 */     // GIR_Coverage, 705,
     /*   91269 */     GIR_Done,
     /*   91270 */   // Label 2404: @91270
     /*   91270 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(91311), // Rule ID 707 //
     /*   91275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91292 */     // MIs[0] rs1
     /*   91292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91304 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91309 */     GIR_RootConstrainSelectedInstOperands,
     /*   91310 */     // GIR_Coverage, 707,
     /*   91310 */     GIR_Done,
     /*   91311 */   // Label 2405: @91311
     /*   91311 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(91352), // Rule ID 709 //
     /*   91316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91333 */     // MIs[0] rs1
     /*   91333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91345 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91350 */     GIR_RootConstrainSelectedInstOperands,
     /*   91351 */     // GIR_Coverage, 709,
     /*   91351 */     GIR_Done,
     /*   91352 */   // Label 2406: @91352
     /*   91352 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(91393), // Rule ID 711 //
     /*   91357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   91367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91374 */     // MIs[0] rs1
     /*   91374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91386 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*   91391 */     GIR_RootConstrainSelectedInstOperands,
     /*   91392 */     // GIR_Coverage, 711,
     /*   91392 */     GIR_Done,
     /*   91393 */   // Label 2407: @91393
     /*   91393 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(91434), // Rule ID 873 //
     /*   91398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91415 */     // MIs[0] rs1
     /*   91415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91427 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91432 */     GIR_RootConstrainSelectedInstOperands,
     /*   91433 */     // GIR_Coverage, 873,
     /*   91433 */     GIR_Done,
     /*   91434 */   // Label 2408: @91434
     /*   91434 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(91475), // Rule ID 875 //
     /*   91439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91456 */     // MIs[0] rs1
     /*   91456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91468 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*   91473 */     GIR_RootConstrainSelectedInstOperands,
     /*   91474 */     // GIR_Coverage, 875,
     /*   91474 */     GIR_Done,
     /*   91475 */   // Label 2409: @91475
     /*   91475 */   GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(91516), // Rule ID 877 //
     /*   91480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91497 */     // MIs[0] rs1
     /*   91497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91509 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*   91514 */     GIR_RootConstrainSelectedInstOperands,
     /*   91515 */     // GIR_Coverage, 877,
     /*   91515 */     GIR_Done,
     /*   91516 */   // Label 2410: @91516
     /*   91516 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(91557), // Rule ID 879 //
     /*   91521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91538 */     // MIs[0] rs1
     /*   91538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91550 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   91555 */     GIR_RootConstrainSelectedInstOperands,
     /*   91556 */     // GIR_Coverage, 879,
     /*   91556 */     GIR_Done,
     /*   91557 */   // Label 2411: @91557
     /*   91557 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(91598), // Rule ID 881 //
     /*   91562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   91565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91579 */     // MIs[0] rs1
     /*   91579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91591 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*   91596 */     GIR_RootConstrainSelectedInstOperands,
     /*   91597 */     // GIR_Coverage, 881,
     /*   91597 */     GIR_Done,
     /*   91598 */   // Label 2412: @91598
     /*   91598 */   GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(91639), // Rule ID 883 //
     /*   91603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91620 */     // MIs[0] rs1
     /*   91620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91632 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91637 */     GIR_RootConstrainSelectedInstOperands,
     /*   91638 */     // GIR_Coverage, 883,
     /*   91638 */     GIR_Done,
     /*   91639 */   // Label 2413: @91639
     /*   91639 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(91680), // Rule ID 885 //
     /*   91644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91661 */     // MIs[0] rs1
     /*   91661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91673 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91678 */     GIR_RootConstrainSelectedInstOperands,
     /*   91679 */     // GIR_Coverage, 885,
     /*   91679 */     GIR_Done,
     /*   91680 */   // Label 2414: @91680
     /*   91680 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(91721), // Rule ID 887 //
     /*   91685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91702 */     // MIs[0] rs1
     /*   91702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91714 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91719 */     GIR_RootConstrainSelectedInstOperands,
     /*   91720 */     // GIR_Coverage, 887,
     /*   91720 */     GIR_Done,
     /*   91721 */   // Label 2415: @91721
     /*   91721 */   GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(91762), // Rule ID 889 //
     /*   91726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91743 */     // MIs[0] rs1
     /*   91743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91755 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91760 */     GIR_RootConstrainSelectedInstOperands,
     /*   91761 */     // GIR_Coverage, 889,
     /*   91761 */     GIR_Done,
     /*   91762 */   // Label 2416: @91762
     /*   91762 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(91803), // Rule ID 891 //
     /*   91767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   91770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   91777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   91780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91784 */     // MIs[0] rs1
     /*   91784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   91788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91796 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   91796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*   91801 */     GIR_RootConstrainSelectedInstOperands,
     /*   91802 */     // GIR_Coverage, 891,
     /*   91802 */     GIR_Done,
     /*   91803 */   // Label 2417: @91803
     /*   91803 */   GIM_Reject,
     /*   91804 */ // Label 2377: @91804
     /*   91804 */ GIM_Reject,
     /*   91805 */ // Label 2345: @91805
     /*   91805 */ GIM_Reject,
     /*   91806 */ // Label 28: @91806
     /*   91806 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2420*/ GIMT_Encode4(94715),
     /*   91817 */ /*GILLT_s32*//*Label 2418*/ GIMT_Encode4(91825),
     /*   91821 */ /*GILLT_s64*//*Label 2419*/ GIMT_Encode4(93065),
     /*   91825 */ // Label 2418: @91825
     /*   91825 */ GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(93064),
     /*   91830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   91833 */   GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(91874), // Rule ID 366 //
     /*   91838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   91851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91855 */     // MIs[0] rs1
     /*   91855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91867 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   91872 */     GIR_RootConstrainSelectedInstOperands,
     /*   91873 */     // GIR_Coverage, 366,
     /*   91873 */     GIR_Done,
     /*   91874 */   // Label 2422: @91874
     /*   91874 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(91915), // Rule ID 368 //
     /*   91879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   91892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91896 */     // MIs[0] rs1
     /*   91896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91908 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*   91913 */     GIR_RootConstrainSelectedInstOperands,
     /*   91914 */     // GIR_Coverage, 368,
     /*   91914 */     GIR_Done,
     /*   91915 */   // Label 2423: @91915
     /*   91915 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(91956), // Rule ID 370 //
     /*   91920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   91933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91937 */     // MIs[0] rs1
     /*   91937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91949 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*   91954 */     GIR_RootConstrainSelectedInstOperands,
     /*   91955 */     // GIR_Coverage, 370,
     /*   91955 */     GIR_Done,
     /*   91956 */   // Label 2424: @91956
     /*   91956 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(91997), // Rule ID 372 //
     /*   91961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   91964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   91971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   91974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91978 */     // MIs[0] rs1
     /*   91978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   91982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   91990 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   91990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   91995 */     GIR_RootConstrainSelectedInstOperands,
     /*   91996 */     // GIR_Coverage, 372,
     /*   91996 */     GIR_Done,
     /*   91997 */   // Label 2425: @91997
     /*   91997 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(92038), // Rule ID 374 //
     /*   92002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   92005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92019 */     // MIs[0] rs1
     /*   92019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92031 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   92036 */     GIR_RootConstrainSelectedInstOperands,
     /*   92037 */     // GIR_Coverage, 374,
     /*   92037 */     GIR_Done,
     /*   92038 */   // Label 2426: @92038
     /*   92038 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(92079), // Rule ID 376 //
     /*   92043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92060 */     // MIs[0] rs1
     /*   92060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92072 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92077 */     GIR_RootConstrainSelectedInstOperands,
     /*   92078 */     // GIR_Coverage, 376,
     /*   92078 */     GIR_Done,
     /*   92079 */   // Label 2427: @92079
     /*   92079 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(92120), // Rule ID 378 //
     /*   92084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92101 */     // MIs[0] rs1
     /*   92101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92113 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92118 */     GIR_RootConstrainSelectedInstOperands,
     /*   92119 */     // GIR_Coverage, 378,
     /*   92119 */     GIR_Done,
     /*   92120 */   // Label 2428: @92120
     /*   92120 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(92161), // Rule ID 380 //
     /*   92125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92142 */     // MIs[0] rs1
     /*   92142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92154 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92159 */     GIR_RootConstrainSelectedInstOperands,
     /*   92160 */     // GIR_Coverage, 380,
     /*   92160 */     GIR_Done,
     /*   92161 */   // Label 2429: @92161
     /*   92161 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(92202), // Rule ID 382 //
     /*   92166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92183 */     // MIs[0] rs1
     /*   92183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92195 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92200 */     GIR_RootConstrainSelectedInstOperands,
     /*   92201 */     // GIR_Coverage, 382,
     /*   92201 */     GIR_Done,
     /*   92202 */   // Label 2430: @92202
     /*   92202 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(92243), // Rule ID 384 //
     /*   92207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   92210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   92217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92224 */     // MIs[0] rs1
     /*   92224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92236 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   92241 */     GIR_RootConstrainSelectedInstOperands,
     /*   92242 */     // GIR_Coverage, 384,
     /*   92242 */     GIR_Done,
     /*   92243 */   // Label 2431: @92243
     /*   92243 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(92284), // Rule ID 714 //
     /*   92248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92265 */     // MIs[0] rs1
     /*   92265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92277 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92282 */     GIR_RootConstrainSelectedInstOperands,
     /*   92283 */     // GIR_Coverage, 714,
     /*   92283 */     GIR_Done,
     /*   92284 */   // Label 2432: @92284
     /*   92284 */   GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(92325), // Rule ID 716 //
     /*   92289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92306 */     // MIs[0] rs1
     /*   92306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92318 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*   92323 */     GIR_RootConstrainSelectedInstOperands,
     /*   92324 */     // GIR_Coverage, 716,
     /*   92324 */     GIR_Done,
     /*   92325 */   // Label 2433: @92325
     /*   92325 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(92366), // Rule ID 718 //
     /*   92330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92347 */     // MIs[0] rs1
     /*   92347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92359 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 718,
     /*   92365 */     GIR_Done,
     /*   92366 */   // Label 2434: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(92407), // Rule ID 720 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92388 */     // MIs[0] rs1
     /*   92388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92400 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   92405 */     GIR_RootConstrainSelectedInstOperands,
     /*   92406 */     // GIR_Coverage, 720,
     /*   92406 */     GIR_Done,
     /*   92407 */   // Label 2435: @92407
     /*   92407 */   GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(92448), // Rule ID 722 //
     /*   92412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92429 */     // MIs[0] rs1
     /*   92429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92441 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   92446 */     GIR_RootConstrainSelectedInstOperands,
     /*   92447 */     // GIR_Coverage, 722,
     /*   92447 */     GIR_Done,
     /*   92448 */   // Label 2436: @92448
     /*   92448 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(92489), // Rule ID 724 //
     /*   92453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92470 */     // MIs[0] rs1
     /*   92470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92482 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92487 */     GIR_RootConstrainSelectedInstOperands,
     /*   92488 */     // GIR_Coverage, 724,
     /*   92488 */     GIR_Done,
     /*   92489 */   // Label 2437: @92489
     /*   92489 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(92530), // Rule ID 726 //
     /*   92494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92511 */     // MIs[0] rs1
     /*   92511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92523 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92528 */     GIR_RootConstrainSelectedInstOperands,
     /*   92529 */     // GIR_Coverage, 726,
     /*   92529 */     GIR_Done,
     /*   92530 */   // Label 2438: @92530
     /*   92530 */   GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(92571), // Rule ID 728 //
     /*   92535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92552 */     // MIs[0] rs1
     /*   92552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92564 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92569 */     GIR_RootConstrainSelectedInstOperands,
     /*   92570 */     // GIR_Coverage, 728,
     /*   92570 */     GIR_Done,
     /*   92571 */   // Label 2439: @92571
     /*   92571 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(92612), // Rule ID 730 //
     /*   92576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92593 */     // MIs[0] rs1
     /*   92593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92605 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92610 */     GIR_RootConstrainSelectedInstOperands,
     /*   92611 */     // GIR_Coverage, 730,
     /*   92611 */     GIR_Done,
     /*   92612 */   // Label 2440: @92612
     /*   92612 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(92653), // Rule ID 732 //
     /*   92617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   92627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92634 */     // MIs[0] rs1
     /*   92634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92646 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   92651 */     GIR_RootConstrainSelectedInstOperands,
     /*   92652 */     // GIR_Coverage, 732,
     /*   92652 */     GIR_Done,
     /*   92653 */   // Label 2441: @92653
     /*   92653 */   GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(92694), // Rule ID 894 //
     /*   92658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92675 */     // MIs[0] rs1
     /*   92675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92687 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92692 */     GIR_RootConstrainSelectedInstOperands,
     /*   92693 */     // GIR_Coverage, 894,
     /*   92693 */     GIR_Done,
     /*   92694 */   // Label 2442: @92694
     /*   92694 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(92735), // Rule ID 896 //
     /*   92699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92716 */     // MIs[0] rs1
     /*   92716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92728 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*   92733 */     GIR_RootConstrainSelectedInstOperands,
     /*   92734 */     // GIR_Coverage, 896,
     /*   92734 */     GIR_Done,
     /*   92735 */   // Label 2443: @92735
     /*   92735 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(92776), // Rule ID 898 //
     /*   92740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92757 */     // MIs[0] rs1
     /*   92757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92769 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*   92774 */     GIR_RootConstrainSelectedInstOperands,
     /*   92775 */     // GIR_Coverage, 898,
     /*   92775 */     GIR_Done,
     /*   92776 */   // Label 2444: @92776
     /*   92776 */   GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(92817), // Rule ID 900 //
     /*   92781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92784 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92791 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92798 */     // MIs[0] rs1
     /*   92798 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92810 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92810 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   92815 */     GIR_RootConstrainSelectedInstOperands,
     /*   92816 */     // GIR_Coverage, 900,
     /*   92816 */     GIR_Done,
     /*   92817 */   // Label 2445: @92817
     /*   92817 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(92858), // Rule ID 902 //
     /*   92822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   92825 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92832 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   92835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92839 */     // MIs[0] rs1
     /*   92839 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92851 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92851 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   92856 */     GIR_RootConstrainSelectedInstOperands,
     /*   92857 */     // GIR_Coverage, 902,
     /*   92857 */     GIR_Done,
     /*   92858 */   // Label 2446: @92858
     /*   92858 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(92899), // Rule ID 904 //
     /*   92863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   92876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92880 */     // MIs[0] rs1
     /*   92880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92892 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92892 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92897 */     GIR_RootConstrainSelectedInstOperands,
     /*   92898 */     // GIR_Coverage, 904,
     /*   92898 */     GIR_Done,
     /*   92899 */   // Label 2447: @92899
     /*   92899 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(92940), // Rule ID 906 //
     /*   92904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92907 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92914 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   92917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92921 */     // MIs[0] rs1
     /*   92921 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92933 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92933 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92938 */     GIR_RootConstrainSelectedInstOperands,
     /*   92939 */     // GIR_Coverage, 906,
     /*   92939 */     GIR_Done,
     /*   92940 */   // Label 2448: @92940
     /*   92940 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(92981), // Rule ID 908 //
     /*   92945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92948 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92955 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   92958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92962 */     // MIs[0] rs1
     /*   92962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   92966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   92974 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   92974 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   92979 */     GIR_RootConstrainSelectedInstOperands,
     /*   92980 */     // GIR_Coverage, 908,
     /*   92980 */     GIR_Done,
     /*   92981 */   // Label 2449: @92981
     /*   92981 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(93022), // Rule ID 910 //
     /*   92986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   92989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   92996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   92999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93003 */     // MIs[0] rs1
     /*   93003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   93007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93015 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   93015 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   93020 */     GIR_RootConstrainSelectedInstOperands,
     /*   93021 */     // GIR_Coverage, 910,
     /*   93021 */     GIR_Done,
     /*   93022 */   // Label 2450: @93022
     /*   93022 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(93063), // Rule ID 912 //
     /*   93027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   93030 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   93037 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93044 */     // MIs[0] rs1
     /*   93044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   93048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93056 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   93056 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   93061 */     GIR_RootConstrainSelectedInstOperands,
     /*   93062 */     // GIR_Coverage, 912,
     /*   93062 */     GIR_Done,
     /*   93063 */   // Label 2451: @93063
     /*   93063 */   GIM_Reject,
     /*   93064 */ // Label 2421: @93064
     /*   93064 */ GIM_Reject,
     /*   93065 */ // Label 2419: @93065
     /*   93065 */ GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(94714),
     /*   93070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   93073 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(93114), // Rule ID 365 //
     /*   93078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93095 */     // MIs[0] rs1
     /*   93095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93107 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93112 */     GIR_RootConstrainSelectedInstOperands,
     /*   93113 */     // GIR_Coverage, 365,
     /*   93113 */     GIR_Done,
     /*   93114 */   // Label 2453: @93114
     /*   93114 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(93155), // Rule ID 367 //
     /*   93119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93136 */     // MIs[0] rs1
     /*   93136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93148 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*   93153 */     GIR_RootConstrainSelectedInstOperands,
     /*   93154 */     // GIR_Coverage, 367,
     /*   93154 */     GIR_Done,
     /*   93155 */   // Label 2454: @93155
     /*   93155 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(93196), // Rule ID 369 //
     /*   93160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93177 */     // MIs[0] rs1
     /*   93177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93189 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*   93194 */     GIR_RootConstrainSelectedInstOperands,
     /*   93195 */     // GIR_Coverage, 369,
     /*   93195 */     GIR_Done,
     /*   93196 */   // Label 2455: @93196
     /*   93196 */   GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(93237), // Rule ID 371 //
     /*   93201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93218 */     // MIs[0] rs1
     /*   93218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93230 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   93235 */     GIR_RootConstrainSelectedInstOperands,
     /*   93236 */     // GIR_Coverage, 371,
     /*   93236 */     GIR_Done,
     /*   93237 */   // Label 2456: @93237
     /*   93237 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(93278), // Rule ID 373 //
     /*   93242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   93245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93259 */     // MIs[0] rs1
     /*   93259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93271 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*   93276 */     GIR_RootConstrainSelectedInstOperands,
     /*   93277 */     // GIR_Coverage, 373,
     /*   93277 */     GIR_Done,
     /*   93278 */   // Label 2457: @93278
     /*   93278 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(93319), // Rule ID 375 //
     /*   93283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93300 */     // MIs[0] rs1
     /*   93300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93312 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93317 */     GIR_RootConstrainSelectedInstOperands,
     /*   93318 */     // GIR_Coverage, 375,
     /*   93318 */     GIR_Done,
     /*   93319 */   // Label 2458: @93319
     /*   93319 */   GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(93360), // Rule ID 377 //
     /*   93324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93341 */     // MIs[0] rs1
     /*   93341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93353 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93358 */     GIR_RootConstrainSelectedInstOperands,
     /*   93359 */     // GIR_Coverage, 377,
     /*   93359 */     GIR_Done,
     /*   93360 */   // Label 2459: @93360
     /*   93360 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(93401), // Rule ID 379 //
     /*   93365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93382 */     // MIs[0] rs1
     /*   93382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93394 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93399 */     GIR_RootConstrainSelectedInstOperands,
     /*   93400 */     // GIR_Coverage, 379,
     /*   93400 */     GIR_Done,
     /*   93401 */   // Label 2460: @93401
     /*   93401 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(93442), // Rule ID 381 //
     /*   93406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93423 */     // MIs[0] rs1
     /*   93423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93435 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93440 */     GIR_RootConstrainSelectedInstOperands,
     /*   93441 */     // GIR_Coverage, 381,
     /*   93441 */     GIR_Done,
     /*   93442 */   // Label 2461: @93442
     /*   93442 */   GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(93483), // Rule ID 383 //
     /*   93447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   93450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   93457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93464 */     // MIs[0] rs1
     /*   93464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93476 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*   93481 */     GIR_RootConstrainSelectedInstOperands,
     /*   93482 */     // GIR_Coverage, 383,
     /*   93482 */     GIR_Done,
     /*   93483 */   // Label 2462: @93483
     /*   93483 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(93524), // Rule ID 525 //
     /*   93488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93505 */     // MIs[0] rs1
     /*   93505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93517 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93522 */     GIR_RootConstrainSelectedInstOperands,
     /*   93523 */     // GIR_Coverage, 525,
     /*   93523 */     GIR_Done,
     /*   93524 */   // Label 2463: @93524
     /*   93524 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(93565), // Rule ID 526 //
     /*   93529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93546 */     // MIs[0] rs1
     /*   93546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93558 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*   93563 */     GIR_RootConstrainSelectedInstOperands,
     /*   93564 */     // GIR_Coverage, 526,
     /*   93564 */     GIR_Done,
     /*   93565 */   // Label 2464: @93565
     /*   93565 */   GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(93606), // Rule ID 527 //
     /*   93570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93587 */     // MIs[0] rs1
     /*   93587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93599 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*   93604 */     GIR_RootConstrainSelectedInstOperands,
     /*   93605 */     // GIR_Coverage, 527,
     /*   93605 */     GIR_Done,
     /*   93606 */   // Label 2465: @93606
     /*   93606 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(93647), // Rule ID 528 //
     /*   93611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93628 */     // MIs[0] rs1
     /*   93628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93640 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*   93645 */     GIR_RootConstrainSelectedInstOperands,
     /*   93646 */     // GIR_Coverage, 528,
     /*   93646 */     GIR_Done,
     /*   93647 */   // Label 2466: @93647
     /*   93647 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(93688), // Rule ID 529 //
     /*   93652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   93655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93669 */     // MIs[0] rs1
     /*   93669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93681 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*   93686 */     GIR_RootConstrainSelectedInstOperands,
     /*   93687 */     // GIR_Coverage, 529,
     /*   93687 */     GIR_Done,
     /*   93688 */   // Label 2467: @93688
     /*   93688 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(93729), // Rule ID 530 //
     /*   93693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93710 */     // MIs[0] rs1
     /*   93710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93722 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93727 */     GIR_RootConstrainSelectedInstOperands,
     /*   93728 */     // GIR_Coverage, 530,
     /*   93728 */     GIR_Done,
     /*   93729 */   // Label 2468: @93729
     /*   93729 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(93770), // Rule ID 531 //
     /*   93734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93751 */     // MIs[0] rs1
     /*   93751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93763 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93768 */     GIR_RootConstrainSelectedInstOperands,
     /*   93769 */     // GIR_Coverage, 531,
     /*   93769 */     GIR_Done,
     /*   93770 */   // Label 2469: @93770
     /*   93770 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(93811), // Rule ID 532 //
     /*   93775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93792 */     // MIs[0] rs1
     /*   93792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93804 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93809 */     GIR_RootConstrainSelectedInstOperands,
     /*   93810 */     // GIR_Coverage, 532,
     /*   93810 */     GIR_Done,
     /*   93811 */   // Label 2470: @93811
     /*   93811 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(93852), // Rule ID 533 //
     /*   93816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   93829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93833 */     // MIs[0] rs1
     /*   93833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93845 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93850 */     GIR_RootConstrainSelectedInstOperands,
     /*   93851 */     // GIR_Coverage, 533,
     /*   93851 */     GIR_Done,
     /*   93852 */   // Label 2471: @93852
     /*   93852 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(93893), // Rule ID 534 //
     /*   93857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   93860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   93867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   93870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93874 */     // MIs[0] rs1
     /*   93874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93886 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*   93891 */     GIR_RootConstrainSelectedInstOperands,
     /*   93892 */     // GIR_Coverage, 534,
     /*   93892 */     GIR_Done,
     /*   93893 */   // Label 2472: @93893
     /*   93893 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(93934), // Rule ID 713 //
     /*   93898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   93911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93915 */     // MIs[0] rs1
     /*   93915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93927 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   93932 */     GIR_RootConstrainSelectedInstOperands,
     /*   93933 */     // GIR_Coverage, 713,
     /*   93933 */     GIR_Done,
     /*   93934 */   // Label 2473: @93934
     /*   93934 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(93975), // Rule ID 715 //
     /*   93939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   93952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93956 */     // MIs[0] rs1
     /*   93956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   93960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93968 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   93968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*   93973 */     GIR_RootConstrainSelectedInstOperands,
     /*   93974 */     // GIR_Coverage, 715,
     /*   93974 */     GIR_Done,
     /*   93975 */   // Label 2474: @93975
     /*   93975 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(94016), // Rule ID 717 //
     /*   93980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   93983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   93990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   93993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   93997 */     // MIs[0] rs1
     /*   93997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94009 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*   94014 */     GIR_RootConstrainSelectedInstOperands,
     /*   94015 */     // GIR_Coverage, 717,
     /*   94015 */     GIR_Done,
     /*   94016 */   // Label 2475: @94016
     /*   94016 */   GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(94057), // Rule ID 719 //
     /*   94021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94038 */     // MIs[0] rs1
     /*   94038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94050 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   94055 */     GIR_RootConstrainSelectedInstOperands,
     /*   94056 */     // GIR_Coverage, 719,
     /*   94056 */     GIR_Done,
     /*   94057 */   // Label 2476: @94057
     /*   94057 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(94098), // Rule ID 721 //
     /*   94062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94079 */     // MIs[0] rs1
     /*   94079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94091 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*   94096 */     GIR_RootConstrainSelectedInstOperands,
     /*   94097 */     // GIR_Coverage, 721,
     /*   94097 */     GIR_Done,
     /*   94098 */   // Label 2477: @94098
     /*   94098 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(94139), // Rule ID 723 //
     /*   94103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94120 */     // MIs[0] rs1
     /*   94120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94132 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94137 */     GIR_RootConstrainSelectedInstOperands,
     /*   94138 */     // GIR_Coverage, 723,
     /*   94138 */     GIR_Done,
     /*   94139 */   // Label 2478: @94139
     /*   94139 */   GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(94180), // Rule ID 725 //
     /*   94144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94161 */     // MIs[0] rs1
     /*   94161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94173 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94178 */     GIR_RootConstrainSelectedInstOperands,
     /*   94179 */     // GIR_Coverage, 725,
     /*   94179 */     GIR_Done,
     /*   94180 */   // Label 2479: @94180
     /*   94180 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(94221), // Rule ID 727 //
     /*   94185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94202 */     // MIs[0] rs1
     /*   94202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94214 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94219 */     GIR_RootConstrainSelectedInstOperands,
     /*   94220 */     // GIR_Coverage, 727,
     /*   94220 */     GIR_Done,
     /*   94221 */   // Label 2480: @94221
     /*   94221 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(94262), // Rule ID 729 //
     /*   94226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94243 */     // MIs[0] rs1
     /*   94243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94255 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94260 */     GIR_RootConstrainSelectedInstOperands,
     /*   94261 */     // GIR_Coverage, 729,
     /*   94261 */     GIR_Done,
     /*   94262 */   // Label 2481: @94262
     /*   94262 */   GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(94303), // Rule ID 731 //
     /*   94267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   94277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94284 */     // MIs[0] rs1
     /*   94284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94296 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*   94301 */     GIR_RootConstrainSelectedInstOperands,
     /*   94302 */     // GIR_Coverage, 731,
     /*   94302 */     GIR_Done,
     /*   94303 */   // Label 2482: @94303
     /*   94303 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(94344), // Rule ID 893 //
     /*   94308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94325 */     // MIs[0] rs1
     /*   94325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94337 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94342 */     GIR_RootConstrainSelectedInstOperands,
     /*   94343 */     // GIR_Coverage, 893,
     /*   94343 */     GIR_Done,
     /*   94344 */   // Label 2483: @94344
     /*   94344 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(94385), // Rule ID 895 //
     /*   94349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94366 */     // MIs[0] rs1
     /*   94366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94378 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*   94383 */     GIR_RootConstrainSelectedInstOperands,
     /*   94384 */     // GIR_Coverage, 895,
     /*   94384 */     GIR_Done,
     /*   94385 */   // Label 2484: @94385
     /*   94385 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(94426), // Rule ID 897 //
     /*   94390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94407 */     // MIs[0] rs1
     /*   94407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94419 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*   94424 */     GIR_RootConstrainSelectedInstOperands,
     /*   94425 */     // GIR_Coverage, 897,
     /*   94425 */     GIR_Done,
     /*   94426 */   // Label 2485: @94426
     /*   94426 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(94467), // Rule ID 899 //
     /*   94431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94448 */     // MIs[0] rs1
     /*   94448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94460 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   94465 */     GIR_RootConstrainSelectedInstOperands,
     /*   94466 */     // GIR_Coverage, 899,
     /*   94466 */     GIR_Done,
     /*   94467 */   // Label 2486: @94467
     /*   94467 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(94508), // Rule ID 901 //
     /*   94472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   94475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94489 */     // MIs[0] rs1
     /*   94489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94501 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*   94506 */     GIR_RootConstrainSelectedInstOperands,
     /*   94507 */     // GIR_Coverage, 901,
     /*   94507 */     GIR_Done,
     /*   94508 */   // Label 2487: @94508
     /*   94508 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(94549), // Rule ID 903 //
     /*   94513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94530 */     // MIs[0] rs1
     /*   94530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94542 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94547 */     GIR_RootConstrainSelectedInstOperands,
     /*   94548 */     // GIR_Coverage, 903,
     /*   94548 */     GIR_Done,
     /*   94549 */   // Label 2488: @94549
     /*   94549 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(94590), // Rule ID 905 //
     /*   94554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94571 */     // MIs[0] rs1
     /*   94571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94583 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94588 */     GIR_RootConstrainSelectedInstOperands,
     /*   94589 */     // GIR_Coverage, 905,
     /*   94589 */     GIR_Done,
     /*   94590 */   // Label 2489: @94590
     /*   94590 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(94631), // Rule ID 907 //
     /*   94595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94612 */     // MIs[0] rs1
     /*   94612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94624 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94629 */     GIR_RootConstrainSelectedInstOperands,
     /*   94630 */     // GIR_Coverage, 907,
     /*   94630 */     GIR_Done,
     /*   94631 */   // Label 2490: @94631
     /*   94631 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(94672), // Rule ID 909 //
     /*   94636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94653 */     // MIs[0] rs1
     /*   94653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94665 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94670 */     GIR_RootConstrainSelectedInstOperands,
     /*   94671 */     // GIR_Coverage, 909,
     /*   94671 */     GIR_Done,
     /*   94672 */   // Label 2491: @94672
     /*   94672 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(94713), // Rule ID 911 //
     /*   94677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   94680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   94687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94694 */     // MIs[0] rs1
     /*   94694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   94698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94706 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   94706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*   94711 */     GIR_RootConstrainSelectedInstOperands,
     /*   94712 */     // GIR_Coverage, 911,
     /*   94712 */     GIR_Done,
     /*   94713 */   // Label 2492: @94713
     /*   94713 */   GIM_Reject,
     /*   94714 */ // Label 2452: @94714
     /*   94714 */ GIM_Reject,
     /*   94715 */ // Label 2420: @94715
     /*   94715 */ GIM_Reject,
     /*   94716 */ // Label 29: @94716
     /*   94716 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2495*/ GIMT_Encode4(95627),
     /*   94727 */ /*GILLT_s32*//*Label 2493*/ GIMT_Encode4(94735),
     /*   94731 */ /*GILLT_s64*//*Label 2494*/ GIMT_Encode4(95017),
     /*   94735 */ // Label 2493: @94735
     /*   94735 */ GIM_Try, /*On fail goto*//*Label 2496*/ GIMT_Encode4(95016),
     /*   94740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   94743 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   94750 */   GIM_Try, /*On fail goto*//*Label 2497*/ GIMT_Encode4(94803), // Rule ID 596 //
     /*   94755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   94761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94765 */     // MIs[0] addr
     /*   94765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94777 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*   94777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94785 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94790 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94792 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   94797 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94801 */     GIR_RootConstrainSelectedInstOperands,
     /*   94802 */     // GIR_Coverage, 596,
     /*   94802 */     GIR_EraseRootFromParent_Done,
     /*   94803 */   // Label 2497: @94803
     /*   94803 */   GIM_Try, /*On fail goto*//*Label 2498*/ GIMT_Encode4(94856), // Rule ID 598 //
     /*   94808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94811 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   94814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94818 */     // MIs[0] addr
     /*   94818 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94830 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*   94830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94838 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94843 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94845 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94850 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94854 */     GIR_RootConstrainSelectedInstOperands,
     /*   94855 */     // GIR_Coverage, 598,
     /*   94855 */     GIR_EraseRootFromParent_Done,
     /*   94856 */   // Label 2498: @94856
     /*   94856 */   GIM_Try, /*On fail goto*//*Label 2499*/ GIMT_Encode4(94909), // Rule ID 600 //
     /*   94861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   94867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94871 */     // MIs[0] addr
     /*   94871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94883 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*   94883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94891 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94896 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94898 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94907 */     GIR_RootConstrainSelectedInstOperands,
     /*   94908 */     // GIR_Coverage, 600,
     /*   94908 */     GIR_EraseRootFromParent_Done,
     /*   94909 */   // Label 2499: @94909
     /*   94909 */   GIM_Try, /*On fail goto*//*Label 2500*/ GIMT_Encode4(94962), // Rule ID 602 //
     /*   94914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   94920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94924 */     // MIs[0] addr
     /*   94924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94936 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*   94936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94944 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   94949 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   94951 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   94953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   94956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   94960 */     GIR_RootConstrainSelectedInstOperands,
     /*   94961 */     // GIR_Coverage, 602,
     /*   94961 */     GIR_EraseRootFromParent_Done,
     /*   94962 */   // Label 2500: @94962
     /*   94962 */   GIM_Try, /*On fail goto*//*Label 2501*/ GIMT_Encode4(95015), // Rule ID 604 //
     /*   94967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*   94970 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   94973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94977 */     // MIs[0] addr
     /*   94977 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   94981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   94989 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*   94989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   94992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   94995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   94997 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95002 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95004 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95009 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95013 */     GIR_RootConstrainSelectedInstOperands,
     /*   95014 */     // GIR_Coverage, 604,
     /*   95014 */     GIR_EraseRootFromParent_Done,
     /*   95015 */   // Label 2501: @95015
     /*   95015 */   GIM_Reject,
     /*   95016 */ // Label 2496: @95016
     /*   95016 */ GIM_Reject,
     /*   95017 */ // Label 2494: @95017
     /*   95017 */ GIM_Try, /*On fail goto*//*Label 2502*/ GIMT_Encode4(95626),
     /*   95022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   95025 */   GIM_Try, /*On fail goto*//*Label 2503*/ GIMT_Encode4(95085), // Rule ID 595 //
     /*   95030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95047 */     // MIs[0] addr
     /*   95047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95059 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*   95059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95067 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95072 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95074 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   95079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95083 */     GIR_RootConstrainSelectedInstOperands,
     /*   95084 */     // GIR_Coverage, 595,
     /*   95084 */     GIR_EraseRootFromParent_Done,
     /*   95085 */   // Label 2503: @95085
     /*   95085 */   GIM_Try, /*On fail goto*//*Label 2504*/ GIMT_Encode4(95145), // Rule ID 597 //
     /*   95090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95093 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95100 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95107 */     // MIs[0] addr
     /*   95107 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95119 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*   95119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95127 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95132 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95134 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95139 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95143 */     GIR_RootConstrainSelectedInstOperands,
     /*   95144 */     // GIR_Coverage, 597,
     /*   95144 */     GIR_EraseRootFromParent_Done,
     /*   95145 */   // Label 2504: @95145
     /*   95145 */   GIM_Try, /*On fail goto*//*Label 2505*/ GIMT_Encode4(95205), // Rule ID 599 //
     /*   95150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95153 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95160 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95167 */     // MIs[0] addr
     /*   95167 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95179 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*   95179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95187 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95192 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95194 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95199 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95203 */     GIR_RootConstrainSelectedInstOperands,
     /*   95204 */     // GIR_Coverage, 599,
     /*   95204 */     GIR_EraseRootFromParent_Done,
     /*   95205 */   // Label 2505: @95205
     /*   95205 */   GIM_Try, /*On fail goto*//*Label 2506*/ GIMT_Encode4(95265), // Rule ID 601 //
     /*   95210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95227 */     // MIs[0] addr
     /*   95227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95239 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*   95239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95247 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95252 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95254 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   95259 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95263 */     GIR_RootConstrainSelectedInstOperands,
     /*   95264 */     // GIR_Coverage, 601,
     /*   95264 */     GIR_EraseRootFromParent_Done,
     /*   95265 */   // Label 2506: @95265
     /*   95265 */   GIM_Try, /*On fail goto*//*Label 2507*/ GIMT_Encode4(95325), // Rule ID 603 //
     /*   95270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*   95273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95287 */     // MIs[0] addr
     /*   95287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95299 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*   95299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*   95305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95307 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95312 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95314 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95319 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95323 */     GIR_RootConstrainSelectedInstOperands,
     /*   95324 */     // GIR_Coverage, 603,
     /*   95324 */     GIR_EraseRootFromParent_Done,
     /*   95325 */   // Label 2507: @95325
     /*   95325 */   GIM_Try, /*On fail goto*//*Label 2508*/ GIMT_Encode4(95385), // Rule ID 613 //
     /*   95330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95347 */     // MIs[0] addr
     /*   95347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95359 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*   95359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95367 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95372 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95374 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*   95379 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95383 */     GIR_RootConstrainSelectedInstOperands,
     /*   95384 */     // GIR_Coverage, 613,
     /*   95384 */     GIR_EraseRootFromParent_Done,
     /*   95385 */   // Label 2508: @95385
     /*   95385 */   GIM_Try, /*On fail goto*//*Label 2509*/ GIMT_Encode4(95445), // Rule ID 614 //
     /*   95390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95407 */     // MIs[0] addr
     /*   95407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95419 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*   95419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95427 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95432 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95434 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   95439 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95443 */     GIR_RootConstrainSelectedInstOperands,
     /*   95444 */     // GIR_Coverage, 614,
     /*   95444 */     GIR_EraseRootFromParent_Done,
     /*   95445 */   // Label 2509: @95445
     /*   95445 */   GIM_Try, /*On fail goto*//*Label 2510*/ GIMT_Encode4(95505), // Rule ID 615 //
     /*   95450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95467 */     // MIs[0] addr
     /*   95467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95479 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*   95479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95487 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95492 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95494 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95499 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95503 */     GIR_RootConstrainSelectedInstOperands,
     /*   95504 */     // GIR_Coverage, 615,
     /*   95504 */     GIR_EraseRootFromParent_Done,
     /*   95505 */   // Label 2510: @95505
     /*   95505 */   GIM_Try, /*On fail goto*//*Label 2511*/ GIMT_Encode4(95565), // Rule ID 616 //
     /*   95510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95527 */     // MIs[0] addr
     /*   95527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95539 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*   95539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95547 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95552 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95554 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   95559 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95563 */     GIR_RootConstrainSelectedInstOperands,
     /*   95564 */     // GIR_Coverage, 616,
     /*   95564 */     GIR_EraseRootFromParent_Done,
     /*   95565 */   // Label 2511: @95565
     /*   95565 */   GIM_Try, /*On fail goto*//*Label 2512*/ GIMT_Encode4(95625), // Rule ID 617 //
     /*   95570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*   95573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   95580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95587 */     // MIs[0] addr
     /*   95587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*   95591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95599 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*   95599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*   95602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*   95605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*   95607 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*   95612 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*   95614 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*   95616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*   95619 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*   95623 */     GIR_RootConstrainSelectedInstOperands,
     /*   95624 */     // GIR_Coverage, 617,
     /*   95624 */     GIR_EraseRootFromParent_Done,
     /*   95625 */   // Label 2512: @95625
     /*   95625 */   GIM_Reject,
     /*   95626 */ // Label 2502: @95626
     /*   95626 */ GIM_Reject,
     /*   95627 */ // Label 2495: @95627
     /*   95627 */ GIM_Reject,
     /*   95628 */ // Label 30: @95628
     /*   95628 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2515*/ GIMT_Encode4(98537),
     /*   95639 */ /*GILLT_s32*//*Label 2513*/ GIMT_Encode4(95647),
     /*   95643 */ /*GILLT_s64*//*Label 2514*/ GIMT_Encode4(96887),
     /*   95647 */ // Label 2513: @95647
     /*   95647 */ GIM_Try, /*On fail goto*//*Label 2516*/ GIMT_Encode4(96886),
     /*   95652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   95655 */   GIM_Try, /*On fail goto*//*Label 2517*/ GIMT_Encode4(95696), // Rule ID 386 //
     /*   95660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95677 */     // MIs[0] rs1
     /*   95677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95689 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95694 */     GIR_RootConstrainSelectedInstOperands,
     /*   95695 */     // GIR_Coverage, 386,
     /*   95695 */     GIR_Done,
     /*   95696 */   // Label 2517: @95696
     /*   95696 */   GIM_Try, /*On fail goto*//*Label 2518*/ GIMT_Encode4(95737), // Rule ID 388 //
     /*   95701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95718 */     // MIs[0] rs1
     /*   95718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95730 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*   95735 */     GIR_RootConstrainSelectedInstOperands,
     /*   95736 */     // GIR_Coverage, 388,
     /*   95736 */     GIR_Done,
     /*   95737 */   // Label 2518: @95737
     /*   95737 */   GIM_Try, /*On fail goto*//*Label 2519*/ GIMT_Encode4(95778), // Rule ID 390 //
     /*   95742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95759 */     // MIs[0] rs1
     /*   95759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95771 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*   95776 */     GIR_RootConstrainSelectedInstOperands,
     /*   95777 */     // GIR_Coverage, 390,
     /*   95777 */     GIR_Done,
     /*   95778 */   // Label 2519: @95778
     /*   95778 */   GIM_Try, /*On fail goto*//*Label 2520*/ GIMT_Encode4(95819), // Rule ID 392 //
     /*   95783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   95796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95800 */     // MIs[0] rs1
     /*   95800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95812 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   95817 */     GIR_RootConstrainSelectedInstOperands,
     /*   95818 */     // GIR_Coverage, 392,
     /*   95818 */     GIR_Done,
     /*   95819 */   // Label 2520: @95819
     /*   95819 */   GIM_Try, /*On fail goto*//*Label 2521*/ GIMT_Encode4(95860), // Rule ID 394 //
     /*   95824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   95827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   95837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95841 */     // MIs[0] rs1
     /*   95841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95853 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   95858 */     GIR_RootConstrainSelectedInstOperands,
     /*   95859 */     // GIR_Coverage, 394,
     /*   95859 */     GIR_Done,
     /*   95860 */   // Label 2521: @95860
     /*   95860 */   GIM_Try, /*On fail goto*//*Label 2522*/ GIMT_Encode4(95901), // Rule ID 396 //
     /*   95865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   95878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95882 */     // MIs[0] rs1
     /*   95882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95894 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95899 */     GIR_RootConstrainSelectedInstOperands,
     /*   95900 */     // GIR_Coverage, 396,
     /*   95900 */     GIR_Done,
     /*   95901 */   // Label 2522: @95901
     /*   95901 */   GIM_Try, /*On fail goto*//*Label 2523*/ GIMT_Encode4(95942), // Rule ID 398 //
     /*   95906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   95919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95923 */     // MIs[0] rs1
     /*   95923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95935 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95940 */     GIR_RootConstrainSelectedInstOperands,
     /*   95941 */     // GIR_Coverage, 398,
     /*   95941 */     GIR_Done,
     /*   95942 */   // Label 2523: @95942
     /*   95942 */   GIM_Try, /*On fail goto*//*Label 2524*/ GIMT_Encode4(95983), // Rule ID 400 //
     /*   95947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   95960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95964 */     // MIs[0] rs1
     /*   95964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   95968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   95976 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   95976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   95981 */     GIR_RootConstrainSelectedInstOperands,
     /*   95982 */     // GIR_Coverage, 400,
     /*   95982 */     GIR_Done,
     /*   95983 */   // Label 2524: @95983
     /*   95983 */   GIM_Try, /*On fail goto*//*Label 2525*/ GIMT_Encode4(96024), // Rule ID 402 //
     /*   95988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   95991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   95998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96005 */     // MIs[0] rs1
     /*   96005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96017 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96022 */     GIR_RootConstrainSelectedInstOperands,
     /*   96023 */     // GIR_Coverage, 402,
     /*   96023 */     GIR_Done,
     /*   96024 */   // Label 2525: @96024
     /*   96024 */   GIM_Try, /*On fail goto*//*Label 2526*/ GIMT_Encode4(96065), // Rule ID 404 //
     /*   96029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   96032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96046 */     // MIs[0] rs1
     /*   96046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96058 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96063 */     GIR_RootConstrainSelectedInstOperands,
     /*   96064 */     // GIR_Coverage, 404,
     /*   96064 */     GIR_Done,
     /*   96065 */   // Label 2526: @96065
     /*   96065 */   GIM_Try, /*On fail goto*//*Label 2527*/ GIMT_Encode4(96106), // Rule ID 734 //
     /*   96070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96087 */     // MIs[0] rs1
     /*   96087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96099 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96104 */     GIR_RootConstrainSelectedInstOperands,
     /*   96105 */     // GIR_Coverage, 734,
     /*   96105 */     GIR_Done,
     /*   96106 */   // Label 2527: @96106
     /*   96106 */   GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(96147), // Rule ID 736 //
     /*   96111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96128 */     // MIs[0] rs1
     /*   96128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96140 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*   96145 */     GIR_RootConstrainSelectedInstOperands,
     /*   96146 */     // GIR_Coverage, 736,
     /*   96146 */     GIR_Done,
     /*   96147 */   // Label 2528: @96147
     /*   96147 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(96188), // Rule ID 738 //
     /*   96152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96169 */     // MIs[0] rs1
     /*   96169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96181 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*   96186 */     GIR_RootConstrainSelectedInstOperands,
     /*   96187 */     // GIR_Coverage, 738,
     /*   96187 */     GIR_Done,
     /*   96188 */   // Label 2529: @96188
     /*   96188 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(96229), // Rule ID 740 //
     /*   96193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96210 */     // MIs[0] rs1
     /*   96210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96222 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   96227 */     GIR_RootConstrainSelectedInstOperands,
     /*   96228 */     // GIR_Coverage, 740,
     /*   96228 */     GIR_Done,
     /*   96229 */   // Label 2530: @96229
     /*   96229 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(96270), // Rule ID 742 //
     /*   96234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96251 */     // MIs[0] rs1
     /*   96251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96263 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   96268 */     GIR_RootConstrainSelectedInstOperands,
     /*   96269 */     // GIR_Coverage, 742,
     /*   96269 */     GIR_Done,
     /*   96270 */   // Label 2531: @96270
     /*   96270 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(96311), // Rule ID 744 //
     /*   96275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96292 */     // MIs[0] rs1
     /*   96292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96304 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96309 */     GIR_RootConstrainSelectedInstOperands,
     /*   96310 */     // GIR_Coverage, 744,
     /*   96310 */     GIR_Done,
     /*   96311 */   // Label 2532: @96311
     /*   96311 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(96352), // Rule ID 746 //
     /*   96316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96333 */     // MIs[0] rs1
     /*   96333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96345 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96350 */     GIR_RootConstrainSelectedInstOperands,
     /*   96351 */     // GIR_Coverage, 746,
     /*   96351 */     GIR_Done,
     /*   96352 */   // Label 2533: @96352
     /*   96352 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(96393), // Rule ID 748 //
     /*   96357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96374 */     // MIs[0] rs1
     /*   96374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96386 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96391 */     GIR_RootConstrainSelectedInstOperands,
     /*   96392 */     // GIR_Coverage, 748,
     /*   96392 */     GIR_Done,
     /*   96393 */   // Label 2534: @96393
     /*   96393 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(96434), // Rule ID 750 //
     /*   96398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96415 */     // MIs[0] rs1
     /*   96415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96427 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96432 */     GIR_RootConstrainSelectedInstOperands,
     /*   96433 */     // GIR_Coverage, 750,
     /*   96433 */     GIR_Done,
     /*   96434 */   // Label 2535: @96434
     /*   96434 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(96475), // Rule ID 752 //
     /*   96439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   96449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96456 */     // MIs[0] rs1
     /*   96456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96468 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   96473 */     GIR_RootConstrainSelectedInstOperands,
     /*   96474 */     // GIR_Coverage, 752,
     /*   96474 */     GIR_Done,
     /*   96475 */   // Label 2536: @96475
     /*   96475 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(96516), // Rule ID 914 //
     /*   96480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96497 */     // MIs[0] rs1
     /*   96497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96509 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96514 */     GIR_RootConstrainSelectedInstOperands,
     /*   96515 */     // GIR_Coverage, 914,
     /*   96515 */     GIR_Done,
     /*   96516 */   // Label 2537: @96516
     /*   96516 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(96557), // Rule ID 916 //
     /*   96521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96538 */     // MIs[0] rs1
     /*   96538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96550 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*   96555 */     GIR_RootConstrainSelectedInstOperands,
     /*   96556 */     // GIR_Coverage, 916,
     /*   96556 */     GIR_Done,
     /*   96557 */   // Label 2538: @96557
     /*   96557 */   GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(96598), // Rule ID 918 //
     /*   96562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96579 */     // MIs[0] rs1
     /*   96579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96591 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*   96596 */     GIR_RootConstrainSelectedInstOperands,
     /*   96597 */     // GIR_Coverage, 918,
     /*   96597 */     GIR_Done,
     /*   96598 */   // Label 2539: @96598
     /*   96598 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(96639), // Rule ID 920 //
     /*   96603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96620 */     // MIs[0] rs1
     /*   96620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96632 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   96637 */     GIR_RootConstrainSelectedInstOperands,
     /*   96638 */     // GIR_Coverage, 920,
     /*   96638 */     GIR_Done,
     /*   96639 */   // Label 2540: @96639
     /*   96639 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(96680), // Rule ID 922 //
     /*   96644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   96647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96661 */     // MIs[0] rs1
     /*   96661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96673 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   96678 */     GIR_RootConstrainSelectedInstOperands,
     /*   96679 */     // GIR_Coverage, 922,
     /*   96679 */     GIR_Done,
     /*   96680 */   // Label 2541: @96680
     /*   96680 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(96721), // Rule ID 924 //
     /*   96685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96702 */     // MIs[0] rs1
     /*   96702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96714 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96719 */     GIR_RootConstrainSelectedInstOperands,
     /*   96720 */     // GIR_Coverage, 924,
     /*   96720 */     GIR_Done,
     /*   96721 */   // Label 2542: @96721
     /*   96721 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(96762), // Rule ID 926 //
     /*   96726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96743 */     // MIs[0] rs1
     /*   96743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96755 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96760 */     GIR_RootConstrainSelectedInstOperands,
     /*   96761 */     // GIR_Coverage, 926,
     /*   96761 */     GIR_Done,
     /*   96762 */   // Label 2543: @96762
     /*   96762 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(96803), // Rule ID 928 //
     /*   96767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96784 */     // MIs[0] rs1
     /*   96784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96796 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96801 */     GIR_RootConstrainSelectedInstOperands,
     /*   96802 */     // GIR_Coverage, 928,
     /*   96802 */     GIR_Done,
     /*   96803 */   // Label 2544: @96803
     /*   96803 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(96844), // Rule ID 930 //
     /*   96808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   96821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96825 */     // MIs[0] rs1
     /*   96825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96837 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96842 */     GIR_RootConstrainSelectedInstOperands,
     /*   96843 */     // GIR_Coverage, 930,
     /*   96843 */     GIR_Done,
     /*   96844 */   // Label 2545: @96844
     /*   96844 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(96885), // Rule ID 932 //
     /*   96849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   96852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   96859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   96862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96866 */     // MIs[0] rs1
     /*   96866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   96870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96878 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   96878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   96883 */     GIR_RootConstrainSelectedInstOperands,
     /*   96884 */     // GIR_Coverage, 932,
     /*   96884 */     GIR_Done,
     /*   96885 */   // Label 2546: @96885
     /*   96885 */   GIM_Reject,
     /*   96886 */ // Label 2516: @96886
     /*   96886 */ GIM_Reject,
     /*   96887 */ // Label 2514: @96887
     /*   96887 */ GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(98536),
     /*   96892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   96895 */   GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(96936), // Rule ID 385 //
     /*   96900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   96913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96917 */     // MIs[0] rs1
     /*   96917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   96921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96929 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   96929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   96934 */     GIR_RootConstrainSelectedInstOperands,
     /*   96935 */     // GIR_Coverage, 385,
     /*   96935 */     GIR_Done,
     /*   96936 */   // Label 2548: @96936
     /*   96936 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(96977), // Rule ID 387 //
     /*   96941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   96954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96958 */     // MIs[0] rs1
     /*   96958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   96962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96970 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   96970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*   96975 */     GIR_RootConstrainSelectedInstOperands,
     /*   96976 */     // GIR_Coverage, 387,
     /*   96976 */     GIR_Done,
     /*   96977 */   // Label 2549: @96977
     /*   96977 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(97018), // Rule ID 389 //
     /*   96982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   96985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   96992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   96995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   96999 */     // MIs[0] rs1
     /*   96999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97011 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*   97016 */     GIR_RootConstrainSelectedInstOperands,
     /*   97017 */     // GIR_Coverage, 389,
     /*   97017 */     GIR_Done,
     /*   97018 */   // Label 2550: @97018
     /*   97018 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(97059), // Rule ID 391 //
     /*   97023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   97026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97040 */     // MIs[0] rs1
     /*   97040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97052 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   97057 */     GIR_RootConstrainSelectedInstOperands,
     /*   97058 */     // GIR_Coverage, 391,
     /*   97058 */     GIR_Done,
     /*   97059 */   // Label 2551: @97059
     /*   97059 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(97100), // Rule ID 393 //
     /*   97064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   97067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97081 */     // MIs[0] rs1
     /*   97081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97093 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*   97098 */     GIR_RootConstrainSelectedInstOperands,
     /*   97099 */     // GIR_Coverage, 393,
     /*   97099 */     GIR_Done,
     /*   97100 */   // Label 2552: @97100
     /*   97100 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(97141), // Rule ID 395 //
     /*   97105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97122 */     // MIs[0] rs1
     /*   97122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97134 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97139 */     GIR_RootConstrainSelectedInstOperands,
     /*   97140 */     // GIR_Coverage, 395,
     /*   97140 */     GIR_Done,
     /*   97141 */   // Label 2553: @97141
     /*   97141 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(97182), // Rule ID 397 //
     /*   97146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97163 */     // MIs[0] rs1
     /*   97163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97175 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97180 */     GIR_RootConstrainSelectedInstOperands,
     /*   97181 */     // GIR_Coverage, 397,
     /*   97181 */     GIR_Done,
     /*   97182 */   // Label 2554: @97182
     /*   97182 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(97223), // Rule ID 399 //
     /*   97187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97204 */     // MIs[0] rs1
     /*   97204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97216 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97221 */     GIR_RootConstrainSelectedInstOperands,
     /*   97222 */     // GIR_Coverage, 399,
     /*   97222 */     GIR_Done,
     /*   97223 */   // Label 2555: @97223
     /*   97223 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(97264), // Rule ID 401 //
     /*   97228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97245 */     // MIs[0] rs1
     /*   97245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97257 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97262 */     GIR_RootConstrainSelectedInstOperands,
     /*   97263 */     // GIR_Coverage, 401,
     /*   97263 */     GIR_Done,
     /*   97264 */   // Label 2556: @97264
     /*   97264 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(97305), // Rule ID 403 //
     /*   97269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*   97272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   97279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97286 */     // MIs[0] rs1
     /*   97286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97298 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*   97303 */     GIR_RootConstrainSelectedInstOperands,
     /*   97304 */     // GIR_Coverage, 403,
     /*   97304 */     GIR_Done,
     /*   97305 */   // Label 2557: @97305
     /*   97305 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(97346), // Rule ID 535 //
     /*   97310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97327 */     // MIs[0] rs1
     /*   97327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97339 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97344 */     GIR_RootConstrainSelectedInstOperands,
     /*   97345 */     // GIR_Coverage, 535,
     /*   97345 */     GIR_Done,
     /*   97346 */   // Label 2558: @97346
     /*   97346 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(97387), // Rule ID 536 //
     /*   97351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97368 */     // MIs[0] rs1
     /*   97368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97380 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*   97385 */     GIR_RootConstrainSelectedInstOperands,
     /*   97386 */     // GIR_Coverage, 536,
     /*   97386 */     GIR_Done,
     /*   97387 */   // Label 2559: @97387
     /*   97387 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(97428), // Rule ID 537 //
     /*   97392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97409 */     // MIs[0] rs1
     /*   97409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97421 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*   97426 */     GIR_RootConstrainSelectedInstOperands,
     /*   97427 */     // GIR_Coverage, 537,
     /*   97427 */     GIR_Done,
     /*   97428 */   // Label 2560: @97428
     /*   97428 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(97469), // Rule ID 538 //
     /*   97433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97450 */     // MIs[0] rs1
     /*   97450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97462 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*   97467 */     GIR_RootConstrainSelectedInstOperands,
     /*   97468 */     // GIR_Coverage, 538,
     /*   97468 */     GIR_Done,
     /*   97469 */   // Label 2561: @97469
     /*   97469 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(97510), // Rule ID 539 //
     /*   97474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*   97477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97491 */     // MIs[0] rs1
     /*   97491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97503 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*   97508 */     GIR_RootConstrainSelectedInstOperands,
     /*   97509 */     // GIR_Coverage, 539,
     /*   97509 */     GIR_Done,
     /*   97510 */   // Label 2562: @97510
     /*   97510 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(97551), // Rule ID 540 //
     /*   97515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97532 */     // MIs[0] rs1
     /*   97532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97544 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97549 */     GIR_RootConstrainSelectedInstOperands,
     /*   97550 */     // GIR_Coverage, 540,
     /*   97550 */     GIR_Done,
     /*   97551 */   // Label 2563: @97551
     /*   97551 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(97592), // Rule ID 541 //
     /*   97556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97573 */     // MIs[0] rs1
     /*   97573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97585 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97590 */     GIR_RootConstrainSelectedInstOperands,
     /*   97591 */     // GIR_Coverage, 541,
     /*   97591 */     GIR_Done,
     /*   97592 */   // Label 2564: @97592
     /*   97592 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(97633), // Rule ID 542 //
     /*   97597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97614 */     // MIs[0] rs1
     /*   97614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97626 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97631 */     GIR_RootConstrainSelectedInstOperands,
     /*   97632 */     // GIR_Coverage, 542,
     /*   97632 */     GIR_Done,
     /*   97633 */   // Label 2565: @97633
     /*   97633 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(97674), // Rule ID 543 //
     /*   97638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97655 */     // MIs[0] rs1
     /*   97655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97667 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97672 */     GIR_RootConstrainSelectedInstOperands,
     /*   97673 */     // GIR_Coverage, 543,
     /*   97673 */     GIR_Done,
     /*   97674 */   // Label 2566: @97674
     /*   97674 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(97715), // Rule ID 544 //
     /*   97679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*   97682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*   97689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97696 */     // MIs[0] rs1
     /*   97696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97708 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*   97713 */     GIR_RootConstrainSelectedInstOperands,
     /*   97714 */     // GIR_Coverage, 544,
     /*   97714 */     GIR_Done,
     /*   97715 */   // Label 2567: @97715
     /*   97715 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(97756), // Rule ID 733 //
     /*   97720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97737 */     // MIs[0] rs1
     /*   97737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97749 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   97754 */     GIR_RootConstrainSelectedInstOperands,
     /*   97755 */     // GIR_Coverage, 733,
     /*   97755 */     GIR_Done,
     /*   97756 */   // Label 2568: @97756
     /*   97756 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(97797), // Rule ID 735 //
     /*   97761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97778 */     // MIs[0] rs1
     /*   97778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97790 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*   97795 */     GIR_RootConstrainSelectedInstOperands,
     /*   97796 */     // GIR_Coverage, 735,
     /*   97796 */     GIR_Done,
     /*   97797 */   // Label 2569: @97797
     /*   97797 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(97838), // Rule ID 737 //
     /*   97802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   97815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97819 */     // MIs[0] rs1
     /*   97819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97831 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*   97836 */     GIR_RootConstrainSelectedInstOperands,
     /*   97837 */     // GIR_Coverage, 737,
     /*   97837 */     GIR_Done,
     /*   97838 */   // Label 2570: @97838
     /*   97838 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(97879), // Rule ID 739 //
     /*   97843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   97856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97860 */     // MIs[0] rs1
     /*   97860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97872 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   97877 */     GIR_RootConstrainSelectedInstOperands,
     /*   97878 */     // GIR_Coverage, 739,
     /*   97878 */     GIR_Done,
     /*   97879 */   // Label 2571: @97879
     /*   97879 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(97920), // Rule ID 741 //
     /*   97884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   97887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   97897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97901 */     // MIs[0] rs1
     /*   97901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97913 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*   97918 */     GIR_RootConstrainSelectedInstOperands,
     /*   97919 */     // GIR_Coverage, 741,
     /*   97919 */     GIR_Done,
     /*   97920 */   // Label 2572: @97920
     /*   97920 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(97961), // Rule ID 743 //
     /*   97925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   97928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   97938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97942 */     // MIs[0] rs1
     /*   97942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97954 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   97959 */     GIR_RootConstrainSelectedInstOperands,
     /*   97960 */     // GIR_Coverage, 743,
     /*   97960 */     GIR_Done,
     /*   97961 */   // Label 2573: @97961
     /*   97961 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(98002), // Rule ID 745 //
     /*   97966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   97969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   97976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   97979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97983 */     // MIs[0] rs1
     /*   97983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   97987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   97995 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   97995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98000 */     GIR_RootConstrainSelectedInstOperands,
     /*   98001 */     // GIR_Coverage, 745,
     /*   98001 */     GIR_Done,
     /*   98002 */   // Label 2574: @98002
     /*   98002 */   GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(98043), // Rule ID 747 //
     /*   98007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98024 */     // MIs[0] rs1
     /*   98024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98036 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98041 */     GIR_RootConstrainSelectedInstOperands,
     /*   98042 */     // GIR_Coverage, 747,
     /*   98042 */     GIR_Done,
     /*   98043 */   // Label 2575: @98043
     /*   98043 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(98084), // Rule ID 749 //
     /*   98048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98065 */     // MIs[0] rs1
     /*   98065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98077 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98082 */     GIR_RootConstrainSelectedInstOperands,
     /*   98083 */     // GIR_Coverage, 749,
     /*   98083 */     GIR_Done,
     /*   98084 */   // Label 2576: @98084
     /*   98084 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(98125), // Rule ID 751 //
     /*   98089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98106 */     // MIs[0] rs1
     /*   98106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98118 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*   98123 */     GIR_RootConstrainSelectedInstOperands,
     /*   98124 */     // GIR_Coverage, 751,
     /*   98124 */     GIR_Done,
     /*   98125 */   // Label 2577: @98125
     /*   98125 */   GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(98166), // Rule ID 913 //
     /*   98130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98147 */     // MIs[0] rs1
     /*   98147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98159 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98164 */     GIR_RootConstrainSelectedInstOperands,
     /*   98165 */     // GIR_Coverage, 913,
     /*   98165 */     GIR_Done,
     /*   98166 */   // Label 2578: @98166
     /*   98166 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(98207), // Rule ID 915 //
     /*   98171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98188 */     // MIs[0] rs1
     /*   98188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98200 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*   98205 */     GIR_RootConstrainSelectedInstOperands,
     /*   98206 */     // GIR_Coverage, 915,
     /*   98206 */     GIR_Done,
     /*   98207 */   // Label 2579: @98207
     /*   98207 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(98248), // Rule ID 917 //
     /*   98212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98229 */     // MIs[0] rs1
     /*   98229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98241 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*   98246 */     GIR_RootConstrainSelectedInstOperands,
     /*   98247 */     // GIR_Coverage, 917,
     /*   98247 */     GIR_Done,
     /*   98248 */   // Label 2580: @98248
     /*   98248 */   GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(98289), // Rule ID 919 //
     /*   98253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98270 */     // MIs[0] rs1
     /*   98270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98282 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   98287 */     GIR_RootConstrainSelectedInstOperands,
     /*   98288 */     // GIR_Coverage, 919,
     /*   98288 */     GIR_Done,
     /*   98289 */   // Label 2581: @98289
     /*   98289 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(98330), // Rule ID 921 //
     /*   98294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*   98297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98311 */     // MIs[0] rs1
     /*   98311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98323 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*   98328 */     GIR_RootConstrainSelectedInstOperands,
     /*   98329 */     // GIR_Coverage, 921,
     /*   98329 */     GIR_Done,
     /*   98330 */   // Label 2582: @98330
     /*   98330 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(98371), // Rule ID 923 //
     /*   98335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98352 */     // MIs[0] rs1
     /*   98352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98364 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98369 */     GIR_RootConstrainSelectedInstOperands,
     /*   98370 */     // GIR_Coverage, 923,
     /*   98370 */     GIR_Done,
     /*   98371 */   // Label 2583: @98371
     /*   98371 */   GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(98412), // Rule ID 925 //
     /*   98376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98393 */     // MIs[0] rs1
     /*   98393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98405 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98410 */     GIR_RootConstrainSelectedInstOperands,
     /*   98411 */     // GIR_Coverage, 925,
     /*   98411 */     GIR_Done,
     /*   98412 */   // Label 2584: @98412
     /*   98412 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(98453), // Rule ID 927 //
     /*   98417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98434 */     // MIs[0] rs1
     /*   98434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98446 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98451 */     GIR_RootConstrainSelectedInstOperands,
     /*   98452 */     // GIR_Coverage, 927,
     /*   98452 */     GIR_Done,
     /*   98453 */   // Label 2585: @98453
     /*   98453 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(98494), // Rule ID 929 //
     /*   98458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98475 */     // MIs[0] rs1
     /*   98475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98487 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98492 */     GIR_RootConstrainSelectedInstOperands,
     /*   98493 */     // GIR_Coverage, 929,
     /*   98493 */     GIR_Done,
     /*   98494 */   // Label 2586: @98494
     /*   98494 */   GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(98535), // Rule ID 931 //
     /*   98499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*   98502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   98509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98516 */     // MIs[0] rs1
     /*   98516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   98520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98528 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   98528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*   98533 */     GIR_RootConstrainSelectedInstOperands,
     /*   98534 */     // GIR_Coverage, 931,
     /*   98534 */     GIR_Done,
     /*   98535 */   // Label 2587: @98535
     /*   98535 */   GIM_Reject,
     /*   98536 */ // Label 2547: @98536
     /*   98536 */ GIM_Reject,
     /*   98537 */ // Label 2515: @98537
     /*   98537 */ GIM_Reject,
     /*   98538 */ // Label 31: @98538
     /*   98538 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2590*/ GIMT_Encode4(101447),
     /*   98549 */ /*GILLT_s32*//*Label 2588*/ GIMT_Encode4(98557),
     /*   98553 */ /*GILLT_s64*//*Label 2589*/ GIMT_Encode4(99797),
     /*   98557 */ // Label 2588: @98557
     /*   98557 */ GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(99796),
     /*   98562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   98565 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(98606), // Rule ID 406 //
     /*   98570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98587 */     // MIs[0] rs1
     /*   98587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98599 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98604 */     GIR_RootConstrainSelectedInstOperands,
     /*   98605 */     // GIR_Coverage, 406,
     /*   98605 */     GIR_Done,
     /*   98606 */   // Label 2592: @98606
     /*   98606 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(98647), // Rule ID 408 //
     /*   98611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98628 */     // MIs[0] rs1
     /*   98628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98640 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*   98645 */     GIR_RootConstrainSelectedInstOperands,
     /*   98646 */     // GIR_Coverage, 408,
     /*   98646 */     GIR_Done,
     /*   98647 */   // Label 2593: @98647
     /*   98647 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(98688), // Rule ID 410 //
     /*   98652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98669 */     // MIs[0] rs1
     /*   98669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98681 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*   98686 */     GIR_RootConstrainSelectedInstOperands,
     /*   98687 */     // GIR_Coverage, 410,
     /*   98687 */     GIR_Done,
     /*   98688 */   // Label 2594: @98688
     /*   98688 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(98729), // Rule ID 412 //
     /*   98693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98710 */     // MIs[0] rs1
     /*   98710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98722 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   98727 */     GIR_RootConstrainSelectedInstOperands,
     /*   98728 */     // GIR_Coverage, 412,
     /*   98728 */     GIR_Done,
     /*   98729 */   // Label 2595: @98729
     /*   98729 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(98770), // Rule ID 414 //
     /*   98734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*   98737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98751 */     // MIs[0] rs1
     /*   98751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98763 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   98768 */     GIR_RootConstrainSelectedInstOperands,
     /*   98769 */     // GIR_Coverage, 414,
     /*   98769 */     GIR_Done,
     /*   98770 */   // Label 2596: @98770
     /*   98770 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(98811), // Rule ID 416 //
     /*   98775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98792 */     // MIs[0] rs1
     /*   98792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98804 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98809 */     GIR_RootConstrainSelectedInstOperands,
     /*   98810 */     // GIR_Coverage, 416,
     /*   98810 */     GIR_Done,
     /*   98811 */   // Label 2597: @98811
     /*   98811 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(98852), // Rule ID 418 //
     /*   98816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   98829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98833 */     // MIs[0] rs1
     /*   98833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98845 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98850 */     GIR_RootConstrainSelectedInstOperands,
     /*   98851 */     // GIR_Coverage, 418,
     /*   98851 */     GIR_Done,
     /*   98852 */   // Label 2598: @98852
     /*   98852 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(98893), // Rule ID 420 //
     /*   98857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   98870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98874 */     // MIs[0] rs1
     /*   98874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98886 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98891 */     GIR_RootConstrainSelectedInstOperands,
     /*   98892 */     // GIR_Coverage, 420,
     /*   98892 */     GIR_Done,
     /*   98893 */   // Label 2599: @98893
     /*   98893 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(98934), // Rule ID 422 //
     /*   98898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   98911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98915 */     // MIs[0] rs1
     /*   98915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98927 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98932 */     GIR_RootConstrainSelectedInstOperands,
     /*   98933 */     // GIR_Coverage, 422,
     /*   98933 */     GIR_Done,
     /*   98934 */   // Label 2600: @98934
     /*   98934 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(98975), // Rule ID 424 //
     /*   98939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*   98942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   98949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   98952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98956 */     // MIs[0] rs1
     /*   98956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   98960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98968 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   98968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   98973 */     GIR_RootConstrainSelectedInstOperands,
     /*   98974 */     // GIR_Coverage, 424,
     /*   98974 */     GIR_Done,
     /*   98975 */   // Label 2601: @98975
     /*   98975 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(99016), // Rule ID 754 //
     /*   98980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   98983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   98990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   98993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   98997 */     // MIs[0] rs1
     /*   98997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99009 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99014 */     GIR_RootConstrainSelectedInstOperands,
     /*   99015 */     // GIR_Coverage, 754,
     /*   99015 */     GIR_Done,
     /*   99016 */   // Label 2602: @99016
     /*   99016 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(99057), // Rule ID 756 //
     /*   99021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99038 */     // MIs[0] rs1
     /*   99038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99050 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*   99055 */     GIR_RootConstrainSelectedInstOperands,
     /*   99056 */     // GIR_Coverage, 756,
     /*   99056 */     GIR_Done,
     /*   99057 */   // Label 2603: @99057
     /*   99057 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(99098), // Rule ID 758 //
     /*   99062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99079 */     // MIs[0] rs1
     /*   99079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99091 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*   99096 */     GIR_RootConstrainSelectedInstOperands,
     /*   99097 */     // GIR_Coverage, 758,
     /*   99097 */     GIR_Done,
     /*   99098 */   // Label 2604: @99098
     /*   99098 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(99139), // Rule ID 760 //
     /*   99103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99120 */     // MIs[0] rs1
     /*   99120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99132 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*   99137 */     GIR_RootConstrainSelectedInstOperands,
     /*   99138 */     // GIR_Coverage, 760,
     /*   99138 */     GIR_Done,
     /*   99139 */   // Label 2605: @99139
     /*   99139 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(99180), // Rule ID 762 //
     /*   99144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99161 */     // MIs[0] rs1
     /*   99161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99173 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*   99178 */     GIR_RootConstrainSelectedInstOperands,
     /*   99179 */     // GIR_Coverage, 762,
     /*   99179 */     GIR_Done,
     /*   99180 */   // Label 2606: @99180
     /*   99180 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(99221), // Rule ID 764 //
     /*   99185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99202 */     // MIs[0] rs1
     /*   99202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99214 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99219 */     GIR_RootConstrainSelectedInstOperands,
     /*   99220 */     // GIR_Coverage, 764,
     /*   99220 */     GIR_Done,
     /*   99221 */   // Label 2607: @99221
     /*   99221 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(99262), // Rule ID 766 //
     /*   99226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99243 */     // MIs[0] rs1
     /*   99243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99255 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99260 */     GIR_RootConstrainSelectedInstOperands,
     /*   99261 */     // GIR_Coverage, 766,
     /*   99261 */     GIR_Done,
     /*   99262 */   // Label 2608: @99262
     /*   99262 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(99303), // Rule ID 768 //
     /*   99267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99284 */     // MIs[0] rs1
     /*   99284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99296 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99301 */     GIR_RootConstrainSelectedInstOperands,
     /*   99302 */     // GIR_Coverage, 768,
     /*   99302 */     GIR_Done,
     /*   99303 */   // Label 2609: @99303
     /*   99303 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(99344), // Rule ID 770 //
     /*   99308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99325 */     // MIs[0] rs1
     /*   99325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99337 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99342 */     GIR_RootConstrainSelectedInstOperands,
     /*   99343 */     // GIR_Coverage, 770,
     /*   99343 */     GIR_Done,
     /*   99344 */   // Label 2610: @99344
     /*   99344 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(99385), // Rule ID 772 //
     /*   99349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*   99359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99366 */     // MIs[0] rs1
     /*   99366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99378 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*   99383 */     GIR_RootConstrainSelectedInstOperands,
     /*   99384 */     // GIR_Coverage, 772,
     /*   99384 */     GIR_Done,
     /*   99385 */   // Label 2611: @99385
     /*   99385 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(99426), // Rule ID 934 //
     /*   99390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99407 */     // MIs[0] rs1
     /*   99407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99419 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99424 */     GIR_RootConstrainSelectedInstOperands,
     /*   99425 */     // GIR_Coverage, 934,
     /*   99425 */     GIR_Done,
     /*   99426 */   // Label 2612: @99426
     /*   99426 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(99467), // Rule ID 936 //
     /*   99431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99448 */     // MIs[0] rs1
     /*   99448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99460 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*   99465 */     GIR_RootConstrainSelectedInstOperands,
     /*   99466 */     // GIR_Coverage, 936,
     /*   99466 */     GIR_Done,
     /*   99467 */   // Label 2613: @99467
     /*   99467 */   GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(99508), // Rule ID 938 //
     /*   99472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99489 */     // MIs[0] rs1
     /*   99489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99501 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*   99506 */     GIR_RootConstrainSelectedInstOperands,
     /*   99507 */     // GIR_Coverage, 938,
     /*   99507 */     GIR_Done,
     /*   99508 */   // Label 2614: @99508
     /*   99508 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(99549), // Rule ID 940 //
     /*   99513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99530 */     // MIs[0] rs1
     /*   99530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99542 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*   99547 */     GIR_RootConstrainSelectedInstOperands,
     /*   99548 */     // GIR_Coverage, 940,
     /*   99548 */     GIR_Done,
     /*   99549 */   // Label 2615: @99549
     /*   99549 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(99590), // Rule ID 942 //
     /*   99554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*   99557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99571 */     // MIs[0] rs1
     /*   99571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99583 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*   99588 */     GIR_RootConstrainSelectedInstOperands,
     /*   99589 */     // GIR_Coverage, 942,
     /*   99589 */     GIR_Done,
     /*   99590 */   // Label 2616: @99590
     /*   99590 */   GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(99631), // Rule ID 944 //
     /*   99595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99612 */     // MIs[0] rs1
     /*   99612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99624 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99629 */     GIR_RootConstrainSelectedInstOperands,
     /*   99630 */     // GIR_Coverage, 944,
     /*   99630 */     GIR_Done,
     /*   99631 */   // Label 2617: @99631
     /*   99631 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(99672), // Rule ID 946 //
     /*   99636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99653 */     // MIs[0] rs1
     /*   99653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99665 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99670 */     GIR_RootConstrainSelectedInstOperands,
     /*   99671 */     // GIR_Coverage, 946,
     /*   99671 */     GIR_Done,
     /*   99672 */   // Label 2618: @99672
     /*   99672 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(99713), // Rule ID 948 //
     /*   99677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99694 */     // MIs[0] rs1
     /*   99694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99706 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99711 */     GIR_RootConstrainSelectedInstOperands,
     /*   99712 */     // GIR_Coverage, 948,
     /*   99712 */     GIR_Done,
     /*   99713 */   // Label 2619: @99713
     /*   99713 */   GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(99754), // Rule ID 950 //
     /*   99718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99735 */     // MIs[0] rs1
     /*   99735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99747 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99752 */     GIR_RootConstrainSelectedInstOperands,
     /*   99753 */     // GIR_Coverage, 950,
     /*   99753 */     GIR_Done,
     /*   99754 */   // Label 2620: @99754
     /*   99754 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(99795), // Rule ID 952 //
     /*   99759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*   99762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*   99769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99776 */     // MIs[0] rs1
     /*   99776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*   99780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99788 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   99788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*   99793 */     GIR_RootConstrainSelectedInstOperands,
     /*   99794 */     // GIR_Coverage, 952,
     /*   99794 */     GIR_Done,
     /*   99795 */   // Label 2621: @99795
     /*   99795 */   GIM_Reject,
     /*   99796 */ // Label 2591: @99796
     /*   99796 */ GIM_Reject,
     /*   99797 */ // Label 2589: @99797
     /*   99797 */ GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(101446),
     /*   99802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   99805 */   GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(99846), // Rule ID 405 //
     /*   99810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*   99823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99827 */     // MIs[0] rs1
     /*   99827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99839 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*   99844 */     GIR_RootConstrainSelectedInstOperands,
     /*   99845 */     // GIR_Coverage, 405,
     /*   99845 */     GIR_Done,
     /*   99846 */   // Label 2623: @99846
     /*   99846 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(99887), // Rule ID 407 //
     /*   99851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*   99864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99868 */     // MIs[0] rs1
     /*   99868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99880 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*   99885 */     GIR_RootConstrainSelectedInstOperands,
     /*   99886 */     // GIR_Coverage, 407,
     /*   99886 */     GIR_Done,
     /*   99887 */   // Label 2624: @99887
     /*   99887 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(99928), // Rule ID 409 //
     /*   99892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*   99905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99909 */     // MIs[0] rs1
     /*   99909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99921 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*   99926 */     GIR_RootConstrainSelectedInstOperands,
     /*   99927 */     // GIR_Coverage, 409,
     /*   99927 */     GIR_Done,
     /*   99928 */   // Label 2625: @99928
     /*   99928 */   GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(99969), // Rule ID 411 //
     /*   99933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*   99946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99950 */     // MIs[0] rs1
     /*   99950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99962 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   99962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*   99967 */     GIR_RootConstrainSelectedInstOperands,
     /*   99968 */     // GIR_Coverage, 411,
     /*   99968 */     GIR_Done,
     /*   99969 */   // Label 2626: @99969
     /*   99969 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(100010), // Rule ID 413 //
     /*   99974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*   99977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*   99984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*   99987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99991 */     // MIs[0] rs1
     /*   99991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*   99995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   99999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100003 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  100008 */     GIR_RootConstrainSelectedInstOperands,
     /*  100009 */     // GIR_Coverage, 413,
     /*  100009 */     GIR_Done,
     /*  100010 */   // Label 2627: @100010
     /*  100010 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(100051), // Rule ID 415 //
     /*  100015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100032 */     // MIs[0] rs1
     /*  100032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100044 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100049 */     GIR_RootConstrainSelectedInstOperands,
     /*  100050 */     // GIR_Coverage, 415,
     /*  100050 */     GIR_Done,
     /*  100051 */   // Label 2628: @100051
     /*  100051 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(100092), // Rule ID 417 //
     /*  100056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100073 */     // MIs[0] rs1
     /*  100073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100085 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100090 */     GIR_RootConstrainSelectedInstOperands,
     /*  100091 */     // GIR_Coverage, 417,
     /*  100091 */     GIR_Done,
     /*  100092 */   // Label 2629: @100092
     /*  100092 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(100133), // Rule ID 419 //
     /*  100097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100114 */     // MIs[0] rs1
     /*  100114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100126 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100131 */     GIR_RootConstrainSelectedInstOperands,
     /*  100132 */     // GIR_Coverage, 419,
     /*  100132 */     GIR_Done,
     /*  100133 */   // Label 2630: @100133
     /*  100133 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(100174), // Rule ID 421 //
     /*  100138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100155 */     // MIs[0] rs1
     /*  100155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100167 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100172 */     GIR_RootConstrainSelectedInstOperands,
     /*  100173 */     // GIR_Coverage, 421,
     /*  100173 */     GIR_Done,
     /*  100174 */   // Label 2631: @100174
     /*  100174 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(100215), // Rule ID 423 //
     /*  100179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  100182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  100189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100196 */     // MIs[0] rs1
     /*  100196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100208 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  100213 */     GIR_RootConstrainSelectedInstOperands,
     /*  100214 */     // GIR_Coverage, 423,
     /*  100214 */     GIR_Done,
     /*  100215 */   // Label 2632: @100215
     /*  100215 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(100256), // Rule ID 545 //
     /*  100220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100237 */     // MIs[0] rs1
     /*  100237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100249 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100254 */     GIR_RootConstrainSelectedInstOperands,
     /*  100255 */     // GIR_Coverage, 545,
     /*  100255 */     GIR_Done,
     /*  100256 */   // Label 2633: @100256
     /*  100256 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(100297), // Rule ID 546 //
     /*  100261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100278 */     // MIs[0] rs1
     /*  100278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100290 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  100295 */     GIR_RootConstrainSelectedInstOperands,
     /*  100296 */     // GIR_Coverage, 546,
     /*  100296 */     GIR_Done,
     /*  100297 */   // Label 2634: @100297
     /*  100297 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(100338), // Rule ID 547 //
     /*  100302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100319 */     // MIs[0] rs1
     /*  100319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100331 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  100336 */     GIR_RootConstrainSelectedInstOperands,
     /*  100337 */     // GIR_Coverage, 547,
     /*  100337 */     GIR_Done,
     /*  100338 */   // Label 2635: @100338
     /*  100338 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(100379), // Rule ID 548 //
     /*  100343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100360 */     // MIs[0] rs1
     /*  100360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100372 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  100377 */     GIR_RootConstrainSelectedInstOperands,
     /*  100378 */     // GIR_Coverage, 548,
     /*  100378 */     GIR_Done,
     /*  100379 */   // Label 2636: @100379
     /*  100379 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(100420), // Rule ID 549 //
     /*  100384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  100387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100401 */     // MIs[0] rs1
     /*  100401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100413 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  100418 */     GIR_RootConstrainSelectedInstOperands,
     /*  100419 */     // GIR_Coverage, 549,
     /*  100419 */     GIR_Done,
     /*  100420 */   // Label 2637: @100420
     /*  100420 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(100461), // Rule ID 550 //
     /*  100425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100442 */     // MIs[0] rs1
     /*  100442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100454 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100459 */     GIR_RootConstrainSelectedInstOperands,
     /*  100460 */     // GIR_Coverage, 550,
     /*  100460 */     GIR_Done,
     /*  100461 */   // Label 2638: @100461
     /*  100461 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(100502), // Rule ID 551 //
     /*  100466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100483 */     // MIs[0] rs1
     /*  100483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100495 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100500 */     GIR_RootConstrainSelectedInstOperands,
     /*  100501 */     // GIR_Coverage, 551,
     /*  100501 */     GIR_Done,
     /*  100502 */   // Label 2639: @100502
     /*  100502 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(100543), // Rule ID 552 //
     /*  100507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100524 */     // MIs[0] rs1
     /*  100524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100536 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100541 */     GIR_RootConstrainSelectedInstOperands,
     /*  100542 */     // GIR_Coverage, 552,
     /*  100542 */     GIR_Done,
     /*  100543 */   // Label 2640: @100543
     /*  100543 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(100584), // Rule ID 553 //
     /*  100548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100565 */     // MIs[0] rs1
     /*  100565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100577 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100582 */     GIR_RootConstrainSelectedInstOperands,
     /*  100583 */     // GIR_Coverage, 553,
     /*  100583 */     GIR_Done,
     /*  100584 */   // Label 2641: @100584
     /*  100584 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(100625), // Rule ID 554 //
     /*  100589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  100592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  100599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100606 */     // MIs[0] rs1
     /*  100606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100618 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  100623 */     GIR_RootConstrainSelectedInstOperands,
     /*  100624 */     // GIR_Coverage, 554,
     /*  100624 */     GIR_Done,
     /*  100625 */   // Label 2642: @100625
     /*  100625 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(100666), // Rule ID 753 //
     /*  100630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100647 */     // MIs[0] rs1
     /*  100647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100659 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100664 */     GIR_RootConstrainSelectedInstOperands,
     /*  100665 */     // GIR_Coverage, 753,
     /*  100665 */     GIR_Done,
     /*  100666 */   // Label 2643: @100666
     /*  100666 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(100707), // Rule ID 755 //
     /*  100671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100688 */     // MIs[0] rs1
     /*  100688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100700 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  100705 */     GIR_RootConstrainSelectedInstOperands,
     /*  100706 */     // GIR_Coverage, 755,
     /*  100706 */     GIR_Done,
     /*  100707 */   // Label 2644: @100707
     /*  100707 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(100748), // Rule ID 757 //
     /*  100712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100729 */     // MIs[0] rs1
     /*  100729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100741 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  100746 */     GIR_RootConstrainSelectedInstOperands,
     /*  100747 */     // GIR_Coverage, 757,
     /*  100747 */     GIR_Done,
     /*  100748 */   // Label 2645: @100748
     /*  100748 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(100789), // Rule ID 759 //
     /*  100753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100770 */     // MIs[0] rs1
     /*  100770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100782 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  100787 */     GIR_RootConstrainSelectedInstOperands,
     /*  100788 */     // GIR_Coverage, 759,
     /*  100788 */     GIR_Done,
     /*  100789 */   // Label 2646: @100789
     /*  100789 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(100830), // Rule ID 761 //
     /*  100794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  100797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  100807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100811 */     // MIs[0] rs1
     /*  100811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100823 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  100828 */     GIR_RootConstrainSelectedInstOperands,
     /*  100829 */     // GIR_Coverage, 761,
     /*  100829 */     GIR_Done,
     /*  100830 */   // Label 2647: @100830
     /*  100830 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(100871), // Rule ID 763 //
     /*  100835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  100848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100852 */     // MIs[0] rs1
     /*  100852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100864 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100869 */     GIR_RootConstrainSelectedInstOperands,
     /*  100870 */     // GIR_Coverage, 763,
     /*  100870 */     GIR_Done,
     /*  100871 */   // Label 2648: @100871
     /*  100871 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(100912), // Rule ID 765 //
     /*  100876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  100889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100893 */     // MIs[0] rs1
     /*  100893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100905 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100910 */     GIR_RootConstrainSelectedInstOperands,
     /*  100911 */     // GIR_Coverage, 765,
     /*  100911 */     GIR_Done,
     /*  100912 */   // Label 2649: @100912
     /*  100912 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(100953), // Rule ID 767 //
     /*  100917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  100930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100934 */     // MIs[0] rs1
     /*  100934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100946 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100951 */     GIR_RootConstrainSelectedInstOperands,
     /*  100952 */     // GIR_Coverage, 767,
     /*  100952 */     GIR_Done,
     /*  100953 */   // Label 2650: @100953
     /*  100953 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(100994), // Rule ID 769 //
     /*  100958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  100961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  100968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  100971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100975 */     // MIs[0] rs1
     /*  100975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  100979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  100987 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  100987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  100992 */     GIR_RootConstrainSelectedInstOperands,
     /*  100993 */     // GIR_Coverage, 769,
     /*  100993 */     GIR_Done,
     /*  100994 */   // Label 2651: @100994
     /*  100994 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(101035), // Rule ID 771 //
     /*  100999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101016 */     // MIs[0] rs1
     /*  101016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101028 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  101033 */     GIR_RootConstrainSelectedInstOperands,
     /*  101034 */     // GIR_Coverage, 771,
     /*  101034 */     GIR_Done,
     /*  101035 */   // Label 2652: @101035
     /*  101035 */   GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(101076), // Rule ID 933 //
     /*  101040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101057 */     // MIs[0] rs1
     /*  101057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101069 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101074 */     GIR_RootConstrainSelectedInstOperands,
     /*  101075 */     // GIR_Coverage, 933,
     /*  101075 */     GIR_Done,
     /*  101076 */   // Label 2653: @101076
     /*  101076 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(101117), // Rule ID 935 //
     /*  101081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101098 */     // MIs[0] rs1
     /*  101098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101110 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  101115 */     GIR_RootConstrainSelectedInstOperands,
     /*  101116 */     // GIR_Coverage, 935,
     /*  101116 */     GIR_Done,
     /*  101117 */   // Label 2654: @101117
     /*  101117 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(101158), // Rule ID 937 //
     /*  101122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101139 */     // MIs[0] rs1
     /*  101139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101151 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  101156 */     GIR_RootConstrainSelectedInstOperands,
     /*  101157 */     // GIR_Coverage, 937,
     /*  101157 */     GIR_Done,
     /*  101158 */   // Label 2655: @101158
     /*  101158 */   GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(101199), // Rule ID 939 //
     /*  101163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101180 */     // MIs[0] rs1
     /*  101180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101192 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  101197 */     GIR_RootConstrainSelectedInstOperands,
     /*  101198 */     // GIR_Coverage, 939,
     /*  101198 */     GIR_Done,
     /*  101199 */   // Label 2656: @101199
     /*  101199 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(101240), // Rule ID 941 //
     /*  101204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  101207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101221 */     // MIs[0] rs1
     /*  101221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101233 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  101238 */     GIR_RootConstrainSelectedInstOperands,
     /*  101239 */     // GIR_Coverage, 941,
     /*  101239 */     GIR_Done,
     /*  101240 */   // Label 2657: @101240
     /*  101240 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(101281), // Rule ID 943 //
     /*  101245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101262 */     // MIs[0] rs1
     /*  101262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101274 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101279 */     GIR_RootConstrainSelectedInstOperands,
     /*  101280 */     // GIR_Coverage, 943,
     /*  101280 */     GIR_Done,
     /*  101281 */   // Label 2658: @101281
     /*  101281 */   GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(101322), // Rule ID 945 //
     /*  101286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101303 */     // MIs[0] rs1
     /*  101303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101315 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101320 */     GIR_RootConstrainSelectedInstOperands,
     /*  101321 */     // GIR_Coverage, 945,
     /*  101321 */     GIR_Done,
     /*  101322 */   // Label 2659: @101322
     /*  101322 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(101363), // Rule ID 947 //
     /*  101327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101344 */     // MIs[0] rs1
     /*  101344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101356 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101361 */     GIR_RootConstrainSelectedInstOperands,
     /*  101362 */     // GIR_Coverage, 947,
     /*  101362 */     GIR_Done,
     /*  101363 */   // Label 2660: @101363
     /*  101363 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(101404), // Rule ID 949 //
     /*  101368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101385 */     // MIs[0] rs1
     /*  101385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101397 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101402 */     GIR_RootConstrainSelectedInstOperands,
     /*  101403 */     // GIR_Coverage, 949,
     /*  101403 */     GIR_Done,
     /*  101404 */   // Label 2661: @101404
     /*  101404 */   GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(101445), // Rule ID 951 //
     /*  101409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  101412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  101419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101426 */     // MIs[0] rs1
     /*  101426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  101430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101438 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  101438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  101443 */     GIR_RootConstrainSelectedInstOperands,
     /*  101444 */     // GIR_Coverage, 951,
     /*  101444 */     GIR_Done,
     /*  101445 */   // Label 2662: @101445
     /*  101445 */   GIM_Reject,
     /*  101446 */ // Label 2622: @101446
     /*  101446 */ GIM_Reject,
     /*  101447 */ // Label 2590: @101447
     /*  101447 */ GIM_Reject,
     /*  101448 */ // Label 32: @101448
     /*  101448 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2665*/ GIMT_Encode4(104357),
     /*  101459 */ /*GILLT_s32*//*Label 2663*/ GIMT_Encode4(101467),
     /*  101463 */ /*GILLT_s64*//*Label 2664*/ GIMT_Encode4(102707),
     /*  101467 */ // Label 2663: @101467
     /*  101467 */ GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(102706),
     /*  101472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  101475 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(101516), // Rule ID 426 //
     /*  101480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101497 */     // MIs[0] rs1
     /*  101497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101509 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101514 */     GIR_RootConstrainSelectedInstOperands,
     /*  101515 */     // GIR_Coverage, 426,
     /*  101515 */     GIR_Done,
     /*  101516 */   // Label 2667: @101516
     /*  101516 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(101557), // Rule ID 428 //
     /*  101521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101538 */     // MIs[0] rs1
     /*  101538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101550 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  101555 */     GIR_RootConstrainSelectedInstOperands,
     /*  101556 */     // GIR_Coverage, 428,
     /*  101556 */     GIR_Done,
     /*  101557 */   // Label 2668: @101557
     /*  101557 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(101598), // Rule ID 430 //
     /*  101562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101579 */     // MIs[0] rs1
     /*  101579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101591 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  101596 */     GIR_RootConstrainSelectedInstOperands,
     /*  101597 */     // GIR_Coverage, 430,
     /*  101597 */     GIR_Done,
     /*  101598 */   // Label 2669: @101598
     /*  101598 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(101639), // Rule ID 432 //
     /*  101603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101620 */     // MIs[0] rs1
     /*  101620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101632 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  101637 */     GIR_RootConstrainSelectedInstOperands,
     /*  101638 */     // GIR_Coverage, 432,
     /*  101638 */     GIR_Done,
     /*  101639 */   // Label 2670: @101639
     /*  101639 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(101680), // Rule ID 434 //
     /*  101644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  101647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101661 */     // MIs[0] rs1
     /*  101661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101673 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  101678 */     GIR_RootConstrainSelectedInstOperands,
     /*  101679 */     // GIR_Coverage, 434,
     /*  101679 */     GIR_Done,
     /*  101680 */   // Label 2671: @101680
     /*  101680 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(101721), // Rule ID 436 //
     /*  101685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101702 */     // MIs[0] rs1
     /*  101702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101714 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101719 */     GIR_RootConstrainSelectedInstOperands,
     /*  101720 */     // GIR_Coverage, 436,
     /*  101720 */     GIR_Done,
     /*  101721 */   // Label 2672: @101721
     /*  101721 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(101762), // Rule ID 438 //
     /*  101726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101743 */     // MIs[0] rs1
     /*  101743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101755 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101760 */     GIR_RootConstrainSelectedInstOperands,
     /*  101761 */     // GIR_Coverage, 438,
     /*  101761 */     GIR_Done,
     /*  101762 */   // Label 2673: @101762
     /*  101762 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(101803), // Rule ID 440 //
     /*  101767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101784 */     // MIs[0] rs1
     /*  101784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101796 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101801 */     GIR_RootConstrainSelectedInstOperands,
     /*  101802 */     // GIR_Coverage, 440,
     /*  101802 */     GIR_Done,
     /*  101803 */   // Label 2674: @101803
     /*  101803 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(101844), // Rule ID 442 //
     /*  101808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  101821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101825 */     // MIs[0] rs1
     /*  101825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101837 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101842 */     GIR_RootConstrainSelectedInstOperands,
     /*  101843 */     // GIR_Coverage, 442,
     /*  101843 */     GIR_Done,
     /*  101844 */   // Label 2675: @101844
     /*  101844 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(101885), // Rule ID 444 //
     /*  101849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  101852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  101859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  101862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101866 */     // MIs[0] rs1
     /*  101866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101878 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  101883 */     GIR_RootConstrainSelectedInstOperands,
     /*  101884 */     // GIR_Coverage, 444,
     /*  101884 */     GIR_Done,
     /*  101885 */   // Label 2676: @101885
     /*  101885 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(101926), // Rule ID 774 //
     /*  101890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  101903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101907 */     // MIs[0] rs1
     /*  101907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101919 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  101924 */     GIR_RootConstrainSelectedInstOperands,
     /*  101925 */     // GIR_Coverage, 774,
     /*  101925 */     GIR_Done,
     /*  101926 */   // Label 2677: @101926
     /*  101926 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(101967), // Rule ID 776 //
     /*  101931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  101944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101948 */     // MIs[0] rs1
     /*  101948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101960 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  101960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  101965 */     GIR_RootConstrainSelectedInstOperands,
     /*  101966 */     // GIR_Coverage, 776,
     /*  101966 */     GIR_Done,
     /*  101967 */   // Label 2678: @101967
     /*  101967 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(102008), // Rule ID 778 //
     /*  101972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  101975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  101982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  101985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101989 */     // MIs[0] rs1
     /*  101989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  101993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  101997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102001 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  102006 */     GIR_RootConstrainSelectedInstOperands,
     /*  102007 */     // GIR_Coverage, 778,
     /*  102007 */     GIR_Done,
     /*  102008 */   // Label 2679: @102008
     /*  102008 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(102049), // Rule ID 780 //
     /*  102013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102030 */     // MIs[0] rs1
     /*  102030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102042 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  102047 */     GIR_RootConstrainSelectedInstOperands,
     /*  102048 */     // GIR_Coverage, 780,
     /*  102048 */     GIR_Done,
     /*  102049 */   // Label 2680: @102049
     /*  102049 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(102090), // Rule ID 782 //
     /*  102054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102071 */     // MIs[0] rs1
     /*  102071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102083 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  102088 */     GIR_RootConstrainSelectedInstOperands,
     /*  102089 */     // GIR_Coverage, 782,
     /*  102089 */     GIR_Done,
     /*  102090 */   // Label 2681: @102090
     /*  102090 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(102131), // Rule ID 784 //
     /*  102095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102112 */     // MIs[0] rs1
     /*  102112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102124 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102129 */     GIR_RootConstrainSelectedInstOperands,
     /*  102130 */     // GIR_Coverage, 784,
     /*  102130 */     GIR_Done,
     /*  102131 */   // Label 2682: @102131
     /*  102131 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(102172), // Rule ID 786 //
     /*  102136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102153 */     // MIs[0] rs1
     /*  102153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102165 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102170 */     GIR_RootConstrainSelectedInstOperands,
     /*  102171 */     // GIR_Coverage, 786,
     /*  102171 */     GIR_Done,
     /*  102172 */   // Label 2683: @102172
     /*  102172 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(102213), // Rule ID 788 //
     /*  102177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102194 */     // MIs[0] rs1
     /*  102194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102206 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102211 */     GIR_RootConstrainSelectedInstOperands,
     /*  102212 */     // GIR_Coverage, 788,
     /*  102212 */     GIR_Done,
     /*  102213 */   // Label 2684: @102213
     /*  102213 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(102254), // Rule ID 790 //
     /*  102218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102235 */     // MIs[0] rs1
     /*  102235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102247 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102252 */     GIR_RootConstrainSelectedInstOperands,
     /*  102253 */     // GIR_Coverage, 790,
     /*  102253 */     GIR_Done,
     /*  102254 */   // Label 2685: @102254
     /*  102254 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(102295), // Rule ID 792 //
     /*  102259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  102269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102276 */     // MIs[0] rs1
     /*  102276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102288 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  102293 */     GIR_RootConstrainSelectedInstOperands,
     /*  102294 */     // GIR_Coverage, 792,
     /*  102294 */     GIR_Done,
     /*  102295 */   // Label 2686: @102295
     /*  102295 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(102336), // Rule ID 954 //
     /*  102300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102317 */     // MIs[0] rs1
     /*  102317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102329 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102334 */     GIR_RootConstrainSelectedInstOperands,
     /*  102335 */     // GIR_Coverage, 954,
     /*  102335 */     GIR_Done,
     /*  102336 */   // Label 2687: @102336
     /*  102336 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(102377), // Rule ID 956 //
     /*  102341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102358 */     // MIs[0] rs1
     /*  102358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102370 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  102375 */     GIR_RootConstrainSelectedInstOperands,
     /*  102376 */     // GIR_Coverage, 956,
     /*  102376 */     GIR_Done,
     /*  102377 */   // Label 2688: @102377
     /*  102377 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(102418), // Rule ID 958 //
     /*  102382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102399 */     // MIs[0] rs1
     /*  102399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102411 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  102416 */     GIR_RootConstrainSelectedInstOperands,
     /*  102417 */     // GIR_Coverage, 958,
     /*  102417 */     GIR_Done,
     /*  102418 */   // Label 2689: @102418
     /*  102418 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(102459), // Rule ID 960 //
     /*  102423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102440 */     // MIs[0] rs1
     /*  102440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102452 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  102457 */     GIR_RootConstrainSelectedInstOperands,
     /*  102458 */     // GIR_Coverage, 960,
     /*  102458 */     GIR_Done,
     /*  102459 */   // Label 2690: @102459
     /*  102459 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(102500), // Rule ID 962 //
     /*  102464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  102467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102481 */     // MIs[0] rs1
     /*  102481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102493 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  102498 */     GIR_RootConstrainSelectedInstOperands,
     /*  102499 */     // GIR_Coverage, 962,
     /*  102499 */     GIR_Done,
     /*  102500 */   // Label 2691: @102500
     /*  102500 */   GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(102541), // Rule ID 964 //
     /*  102505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102522 */     // MIs[0] rs1
     /*  102522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102534 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102539 */     GIR_RootConstrainSelectedInstOperands,
     /*  102540 */     // GIR_Coverage, 964,
     /*  102540 */     GIR_Done,
     /*  102541 */   // Label 2692: @102541
     /*  102541 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(102582), // Rule ID 966 //
     /*  102546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102563 */     // MIs[0] rs1
     /*  102563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102575 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102580 */     GIR_RootConstrainSelectedInstOperands,
     /*  102581 */     // GIR_Coverage, 966,
     /*  102581 */     GIR_Done,
     /*  102582 */   // Label 2693: @102582
     /*  102582 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(102623), // Rule ID 968 //
     /*  102587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102604 */     // MIs[0] rs1
     /*  102604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102616 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102621 */     GIR_RootConstrainSelectedInstOperands,
     /*  102622 */     // GIR_Coverage, 968,
     /*  102622 */     GIR_Done,
     /*  102623 */   // Label 2694: @102623
     /*  102623 */   GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(102664), // Rule ID 970 //
     /*  102628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102645 */     // MIs[0] rs1
     /*  102645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102657 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102662 */     GIR_RootConstrainSelectedInstOperands,
     /*  102663 */     // GIR_Coverage, 970,
     /*  102663 */     GIR_Done,
     /*  102664 */   // Label 2695: @102664
     /*  102664 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(102705), // Rule ID 972 //
     /*  102669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  102672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  102679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102686 */     // MIs[0] rs1
     /*  102686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  102690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102698 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  102698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  102703 */     GIR_RootConstrainSelectedInstOperands,
     /*  102704 */     // GIR_Coverage, 972,
     /*  102704 */     GIR_Done,
     /*  102705 */   // Label 2696: @102705
     /*  102705 */   GIM_Reject,
     /*  102706 */ // Label 2666: @102706
     /*  102706 */ GIM_Reject,
     /*  102707 */ // Label 2664: @102707
     /*  102707 */ GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(104356),
     /*  102712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  102715 */   GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(102756), // Rule ID 425 //
     /*  102720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102737 */     // MIs[0] rs1
     /*  102737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102749 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  102754 */     GIR_RootConstrainSelectedInstOperands,
     /*  102755 */     // GIR_Coverage, 425,
     /*  102755 */     GIR_Done,
     /*  102756 */   // Label 2698: @102756
     /*  102756 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(102797), // Rule ID 427 //
     /*  102761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102778 */     // MIs[0] rs1
     /*  102778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102790 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  102795 */     GIR_RootConstrainSelectedInstOperands,
     /*  102796 */     // GIR_Coverage, 427,
     /*  102796 */     GIR_Done,
     /*  102797 */   // Label 2699: @102797
     /*  102797 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(102838), // Rule ID 429 //
     /*  102802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  102815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102819 */     // MIs[0] rs1
     /*  102819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102831 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  102836 */     GIR_RootConstrainSelectedInstOperands,
     /*  102837 */     // GIR_Coverage, 429,
     /*  102837 */     GIR_Done,
     /*  102838 */   // Label 2700: @102838
     /*  102838 */   GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(102879), // Rule ID 431 //
     /*  102843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  102856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102860 */     // MIs[0] rs1
     /*  102860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102872 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  102877 */     GIR_RootConstrainSelectedInstOperands,
     /*  102878 */     // GIR_Coverage, 431,
     /*  102878 */     GIR_Done,
     /*  102879 */   // Label 2701: @102879
     /*  102879 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(102920), // Rule ID 433 //
     /*  102884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  102887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  102897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102901 */     // MIs[0] rs1
     /*  102901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102913 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  102918 */     GIR_RootConstrainSelectedInstOperands,
     /*  102919 */     // GIR_Coverage, 433,
     /*  102919 */     GIR_Done,
     /*  102920 */   // Label 2702: @102920
     /*  102920 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(102961), // Rule ID 435 //
     /*  102925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  102928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  102938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102942 */     // MIs[0] rs1
     /*  102942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102954 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  102959 */     GIR_RootConstrainSelectedInstOperands,
     /*  102960 */     // GIR_Coverage, 435,
     /*  102960 */     GIR_Done,
     /*  102961 */   // Label 2703: @102961
     /*  102961 */   GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(103002), // Rule ID 437 //
     /*  102966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  102969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  102976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  102979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102983 */     // MIs[0] rs1
     /*  102983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  102987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  102995 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  102995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103000 */     GIR_RootConstrainSelectedInstOperands,
     /*  103001 */     // GIR_Coverage, 437,
     /*  103001 */     GIR_Done,
     /*  103002 */   // Label 2704: @103002
     /*  103002 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(103043), // Rule ID 439 //
     /*  103007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103024 */     // MIs[0] rs1
     /*  103024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103036 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103041 */     GIR_RootConstrainSelectedInstOperands,
     /*  103042 */     // GIR_Coverage, 439,
     /*  103042 */     GIR_Done,
     /*  103043 */   // Label 2705: @103043
     /*  103043 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(103084), // Rule ID 441 //
     /*  103048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103065 */     // MIs[0] rs1
     /*  103065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103077 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103082 */     GIR_RootConstrainSelectedInstOperands,
     /*  103083 */     // GIR_Coverage, 441,
     /*  103083 */     GIR_Done,
     /*  103084 */   // Label 2706: @103084
     /*  103084 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(103125), // Rule ID 443 //
     /*  103089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  103092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  103099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103106 */     // MIs[0] rs1
     /*  103106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103118 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  103123 */     GIR_RootConstrainSelectedInstOperands,
     /*  103124 */     // GIR_Coverage, 443,
     /*  103124 */     GIR_Done,
     /*  103125 */   // Label 2707: @103125
     /*  103125 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(103166), // Rule ID 555 //
     /*  103130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103147 */     // MIs[0] rs1
     /*  103147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103159 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103164 */     GIR_RootConstrainSelectedInstOperands,
     /*  103165 */     // GIR_Coverage, 555,
     /*  103165 */     GIR_Done,
     /*  103166 */   // Label 2708: @103166
     /*  103166 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(103207), // Rule ID 556 //
     /*  103171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103188 */     // MIs[0] rs1
     /*  103188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103200 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  103205 */     GIR_RootConstrainSelectedInstOperands,
     /*  103206 */     // GIR_Coverage, 556,
     /*  103206 */     GIR_Done,
     /*  103207 */   // Label 2709: @103207
     /*  103207 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(103248), // Rule ID 557 //
     /*  103212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103229 */     // MIs[0] rs1
     /*  103229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103241 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  103246 */     GIR_RootConstrainSelectedInstOperands,
     /*  103247 */     // GIR_Coverage, 557,
     /*  103247 */     GIR_Done,
     /*  103248 */   // Label 2710: @103248
     /*  103248 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(103289), // Rule ID 558 //
     /*  103253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103270 */     // MIs[0] rs1
     /*  103270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103282 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  103287 */     GIR_RootConstrainSelectedInstOperands,
     /*  103288 */     // GIR_Coverage, 558,
     /*  103288 */     GIR_Done,
     /*  103289 */   // Label 2711: @103289
     /*  103289 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(103330), // Rule ID 559 //
     /*  103294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  103297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103311 */     // MIs[0] rs1
     /*  103311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103323 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  103328 */     GIR_RootConstrainSelectedInstOperands,
     /*  103329 */     // GIR_Coverage, 559,
     /*  103329 */     GIR_Done,
     /*  103330 */   // Label 2712: @103330
     /*  103330 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(103371), // Rule ID 560 //
     /*  103335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103352 */     // MIs[0] rs1
     /*  103352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103364 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103369 */     GIR_RootConstrainSelectedInstOperands,
     /*  103370 */     // GIR_Coverage, 560,
     /*  103370 */     GIR_Done,
     /*  103371 */   // Label 2713: @103371
     /*  103371 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(103412), // Rule ID 561 //
     /*  103376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103393 */     // MIs[0] rs1
     /*  103393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103405 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103410 */     GIR_RootConstrainSelectedInstOperands,
     /*  103411 */     // GIR_Coverage, 561,
     /*  103411 */     GIR_Done,
     /*  103412 */   // Label 2714: @103412
     /*  103412 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(103453), // Rule ID 562 //
     /*  103417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103434 */     // MIs[0] rs1
     /*  103434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103446 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103451 */     GIR_RootConstrainSelectedInstOperands,
     /*  103452 */     // GIR_Coverage, 562,
     /*  103452 */     GIR_Done,
     /*  103453 */   // Label 2715: @103453
     /*  103453 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(103494), // Rule ID 563 //
     /*  103458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103475 */     // MIs[0] rs1
     /*  103475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103487 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103492 */     GIR_RootConstrainSelectedInstOperands,
     /*  103493 */     // GIR_Coverage, 563,
     /*  103493 */     GIR_Done,
     /*  103494 */   // Label 2716: @103494
     /*  103494 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(103535), // Rule ID 564 //
     /*  103499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  103502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  103509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103516 */     // MIs[0] rs1
     /*  103516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103528 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  103533 */     GIR_RootConstrainSelectedInstOperands,
     /*  103534 */     // GIR_Coverage, 564,
     /*  103534 */     GIR_Done,
     /*  103535 */   // Label 2717: @103535
     /*  103535 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(103576), // Rule ID 773 //
     /*  103540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103557 */     // MIs[0] rs1
     /*  103557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103569 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103574 */     GIR_RootConstrainSelectedInstOperands,
     /*  103575 */     // GIR_Coverage, 773,
     /*  103575 */     GIR_Done,
     /*  103576 */   // Label 2718: @103576
     /*  103576 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(103617), // Rule ID 775 //
     /*  103581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103598 */     // MIs[0] rs1
     /*  103598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103610 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  103615 */     GIR_RootConstrainSelectedInstOperands,
     /*  103616 */     // GIR_Coverage, 775,
     /*  103616 */     GIR_Done,
     /*  103617 */   // Label 2719: @103617
     /*  103617 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(103658), // Rule ID 777 //
     /*  103622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103639 */     // MIs[0] rs1
     /*  103639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103651 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  103656 */     GIR_RootConstrainSelectedInstOperands,
     /*  103657 */     // GIR_Coverage, 777,
     /*  103657 */     GIR_Done,
     /*  103658 */   // Label 2720: @103658
     /*  103658 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(103699), // Rule ID 779 //
     /*  103663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103680 */     // MIs[0] rs1
     /*  103680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103692 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  103697 */     GIR_RootConstrainSelectedInstOperands,
     /*  103698 */     // GIR_Coverage, 779,
     /*  103698 */     GIR_Done,
     /*  103699 */   // Label 2721: @103699
     /*  103699 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(103740), // Rule ID 781 //
     /*  103704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103721 */     // MIs[0] rs1
     /*  103721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103733 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  103738 */     GIR_RootConstrainSelectedInstOperands,
     /*  103739 */     // GIR_Coverage, 781,
     /*  103739 */     GIR_Done,
     /*  103740 */   // Label 2722: @103740
     /*  103740 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(103781), // Rule ID 783 //
     /*  103745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103762 */     // MIs[0] rs1
     /*  103762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103774 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103779 */     GIR_RootConstrainSelectedInstOperands,
     /*  103780 */     // GIR_Coverage, 783,
     /*  103780 */     GIR_Done,
     /*  103781 */   // Label 2723: @103781
     /*  103781 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(103822), // Rule ID 785 //
     /*  103786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  103799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103803 */     // MIs[0] rs1
     /*  103803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103815 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103820 */     GIR_RootConstrainSelectedInstOperands,
     /*  103821 */     // GIR_Coverage, 785,
     /*  103821 */     GIR_Done,
     /*  103822 */   // Label 2724: @103822
     /*  103822 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(103863), // Rule ID 787 //
     /*  103827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  103840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103844 */     // MIs[0] rs1
     /*  103844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103856 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103861 */     GIR_RootConstrainSelectedInstOperands,
     /*  103862 */     // GIR_Coverage, 787,
     /*  103862 */     GIR_Done,
     /*  103863 */   // Label 2725: @103863
     /*  103863 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(103904), // Rule ID 789 //
     /*  103868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  103881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103885 */     // MIs[0] rs1
     /*  103885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103897 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103902 */     GIR_RootConstrainSelectedInstOperands,
     /*  103903 */     // GIR_Coverage, 789,
     /*  103903 */     GIR_Done,
     /*  103904 */   // Label 2726: @103904
     /*  103904 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(103945), // Rule ID 791 //
     /*  103909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  103912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  103919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  103922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103926 */     // MIs[0] rs1
     /*  103926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103938 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  103943 */     GIR_RootConstrainSelectedInstOperands,
     /*  103944 */     // GIR_Coverage, 791,
     /*  103944 */     GIR_Done,
     /*  103945 */   // Label 2727: @103945
     /*  103945 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(103986), // Rule ID 953 //
     /*  103950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  103960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  103963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103967 */     // MIs[0] rs1
     /*  103967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  103971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  103979 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  103979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  103984 */     GIR_RootConstrainSelectedInstOperands,
     /*  103985 */     // GIR_Coverage, 953,
     /*  103985 */     GIR_Done,
     /*  103986 */   // Label 2728: @103986
     /*  103986 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(104027), // Rule ID 955 //
     /*  103991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  103994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104008 */     // MIs[0] rs1
     /*  104008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104020 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  104025 */     GIR_RootConstrainSelectedInstOperands,
     /*  104026 */     // GIR_Coverage, 955,
     /*  104026 */     GIR_Done,
     /*  104027 */   // Label 2729: @104027
     /*  104027 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(104068), // Rule ID 957 //
     /*  104032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104049 */     // MIs[0] rs1
     /*  104049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104061 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  104066 */     GIR_RootConstrainSelectedInstOperands,
     /*  104067 */     // GIR_Coverage, 957,
     /*  104067 */     GIR_Done,
     /*  104068 */   // Label 2730: @104068
     /*  104068 */   GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(104109), // Rule ID 959 //
     /*  104073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104090 */     // MIs[0] rs1
     /*  104090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104102 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  104107 */     GIR_RootConstrainSelectedInstOperands,
     /*  104108 */     // GIR_Coverage, 959,
     /*  104108 */     GIR_Done,
     /*  104109 */   // Label 2731: @104109
     /*  104109 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(104150), // Rule ID 961 //
     /*  104114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  104117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104131 */     // MIs[0] rs1
     /*  104131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104143 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  104148 */     GIR_RootConstrainSelectedInstOperands,
     /*  104149 */     // GIR_Coverage, 961,
     /*  104149 */     GIR_Done,
     /*  104150 */   // Label 2732: @104150
     /*  104150 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(104191), // Rule ID 963 //
     /*  104155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104172 */     // MIs[0] rs1
     /*  104172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104184 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104189 */     GIR_RootConstrainSelectedInstOperands,
     /*  104190 */     // GIR_Coverage, 963,
     /*  104190 */     GIR_Done,
     /*  104191 */   // Label 2733: @104191
     /*  104191 */   GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(104232), // Rule ID 965 //
     /*  104196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104213 */     // MIs[0] rs1
     /*  104213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104225 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104230 */     GIR_RootConstrainSelectedInstOperands,
     /*  104231 */     // GIR_Coverage, 965,
     /*  104231 */     GIR_Done,
     /*  104232 */   // Label 2734: @104232
     /*  104232 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(104273), // Rule ID 967 //
     /*  104237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104254 */     // MIs[0] rs1
     /*  104254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104266 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104271 */     GIR_RootConstrainSelectedInstOperands,
     /*  104272 */     // GIR_Coverage, 967,
     /*  104272 */     GIR_Done,
     /*  104273 */   // Label 2735: @104273
     /*  104273 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(104314), // Rule ID 969 //
     /*  104278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104295 */     // MIs[0] rs1
     /*  104295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104307 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104312 */     GIR_RootConstrainSelectedInstOperands,
     /*  104313 */     // GIR_Coverage, 969,
     /*  104313 */     GIR_Done,
     /*  104314 */   // Label 2736: @104314
     /*  104314 */   GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(104355), // Rule ID 971 //
     /*  104319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  104322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  104329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104336 */     // MIs[0] rs1
     /*  104336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  104340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104348 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  104348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  104353 */     GIR_RootConstrainSelectedInstOperands,
     /*  104354 */     // GIR_Coverage, 971,
     /*  104354 */     GIR_Done,
     /*  104355 */   // Label 2737: @104355
     /*  104355 */   GIM_Reject,
     /*  104356 */ // Label 2697: @104356
     /*  104356 */ GIM_Reject,
     /*  104357 */ // Label 2665: @104357
     /*  104357 */ GIM_Reject,
     /*  104358 */ // Label 33: @104358
     /*  104358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2740*/ GIMT_Encode4(107267),
     /*  104369 */ /*GILLT_s32*//*Label 2738*/ GIMT_Encode4(104377),
     /*  104373 */ /*GILLT_s64*//*Label 2739*/ GIMT_Encode4(105617),
     /*  104377 */ // Label 2738: @104377
     /*  104377 */ GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(105616),
     /*  104382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  104385 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(104426), // Rule ID 446 //
     /*  104390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104407 */     // MIs[0] rs1
     /*  104407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104419 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104424 */     GIR_RootConstrainSelectedInstOperands,
     /*  104425 */     // GIR_Coverage, 446,
     /*  104425 */     GIR_Done,
     /*  104426 */   // Label 2742: @104426
     /*  104426 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(104467), // Rule ID 448 //
     /*  104431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104448 */     // MIs[0] rs1
     /*  104448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104460 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  104465 */     GIR_RootConstrainSelectedInstOperands,
     /*  104466 */     // GIR_Coverage, 448,
     /*  104466 */     GIR_Done,
     /*  104467 */   // Label 2743: @104467
     /*  104467 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(104508), // Rule ID 450 //
     /*  104472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104489 */     // MIs[0] rs1
     /*  104489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104501 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  104506 */     GIR_RootConstrainSelectedInstOperands,
     /*  104507 */     // GIR_Coverage, 450,
     /*  104507 */     GIR_Done,
     /*  104508 */   // Label 2744: @104508
     /*  104508 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(104549), // Rule ID 452 //
     /*  104513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104530 */     // MIs[0] rs1
     /*  104530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104542 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  104547 */     GIR_RootConstrainSelectedInstOperands,
     /*  104548 */     // GIR_Coverage, 452,
     /*  104548 */     GIR_Done,
     /*  104549 */   // Label 2745: @104549
     /*  104549 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(104590), // Rule ID 454 //
     /*  104554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  104557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104571 */     // MIs[0] rs1
     /*  104571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104583 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  104588 */     GIR_RootConstrainSelectedInstOperands,
     /*  104589 */     // GIR_Coverage, 454,
     /*  104589 */     GIR_Done,
     /*  104590 */   // Label 2746: @104590
     /*  104590 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(104631), // Rule ID 456 //
     /*  104595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104612 */     // MIs[0] rs1
     /*  104612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104624 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104629 */     GIR_RootConstrainSelectedInstOperands,
     /*  104630 */     // GIR_Coverage, 456,
     /*  104630 */     GIR_Done,
     /*  104631 */   // Label 2747: @104631
     /*  104631 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(104672), // Rule ID 458 //
     /*  104636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104653 */     // MIs[0] rs1
     /*  104653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104665 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104670 */     GIR_RootConstrainSelectedInstOperands,
     /*  104671 */     // GIR_Coverage, 458,
     /*  104671 */     GIR_Done,
     /*  104672 */   // Label 2748: @104672
     /*  104672 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(104713), // Rule ID 460 //
     /*  104677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104694 */     // MIs[0] rs1
     /*  104694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104706 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104711 */     GIR_RootConstrainSelectedInstOperands,
     /*  104712 */     // GIR_Coverage, 460,
     /*  104712 */     GIR_Done,
     /*  104713 */   // Label 2749: @104713
     /*  104713 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(104754), // Rule ID 462 //
     /*  104718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104735 */     // MIs[0] rs1
     /*  104735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104747 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104752 */     GIR_RootConstrainSelectedInstOperands,
     /*  104753 */     // GIR_Coverage, 462,
     /*  104753 */     GIR_Done,
     /*  104754 */   // Label 2750: @104754
     /*  104754 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(104795), // Rule ID 464 //
     /*  104759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  104762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  104769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104776 */     // MIs[0] rs1
     /*  104776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104788 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  104793 */     GIR_RootConstrainSelectedInstOperands,
     /*  104794 */     // GIR_Coverage, 464,
     /*  104794 */     GIR_Done,
     /*  104795 */   // Label 2751: @104795
     /*  104795 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(104836), // Rule ID 794 //
     /*  104800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  104813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104817 */     // MIs[0] rs1
     /*  104817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104829 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  104834 */     GIR_RootConstrainSelectedInstOperands,
     /*  104835 */     // GIR_Coverage, 794,
     /*  104835 */     GIR_Done,
     /*  104836 */   // Label 2752: @104836
     /*  104836 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(104877), // Rule ID 796 //
     /*  104841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  104854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104858 */     // MIs[0] rs1
     /*  104858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104870 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  104875 */     GIR_RootConstrainSelectedInstOperands,
     /*  104876 */     // GIR_Coverage, 796,
     /*  104876 */     GIR_Done,
     /*  104877 */   // Label 2753: @104877
     /*  104877 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(104918), // Rule ID 798 //
     /*  104882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  104895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104899 */     // MIs[0] rs1
     /*  104899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104911 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  104916 */     GIR_RootConstrainSelectedInstOperands,
     /*  104917 */     // GIR_Coverage, 798,
     /*  104917 */     GIR_Done,
     /*  104918 */   // Label 2754: @104918
     /*  104918 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(104959), // Rule ID 800 //
     /*  104923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  104936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104940 */     // MIs[0] rs1
     /*  104940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104952 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  104957 */     GIR_RootConstrainSelectedInstOperands,
     /*  104958 */     // GIR_Coverage, 800,
     /*  104958 */     GIR_Done,
     /*  104959 */   // Label 2755: @104959
     /*  104959 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(105000), // Rule ID 802 //
     /*  104964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  104967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  104974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  104977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104981 */     // MIs[0] rs1
     /*  104981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  104985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  104993 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  104993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  104998 */     GIR_RootConstrainSelectedInstOperands,
     /*  104999 */     // GIR_Coverage, 802,
     /*  104999 */     GIR_Done,
     /*  105000 */   // Label 2756: @105000
     /*  105000 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(105041), // Rule ID 804 //
     /*  105005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105022 */     // MIs[0] rs1
     /*  105022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105034 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105039 */     GIR_RootConstrainSelectedInstOperands,
     /*  105040 */     // GIR_Coverage, 804,
     /*  105040 */     GIR_Done,
     /*  105041 */   // Label 2757: @105041
     /*  105041 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(105082), // Rule ID 806 //
     /*  105046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105063 */     // MIs[0] rs1
     /*  105063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105075 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105080 */     GIR_RootConstrainSelectedInstOperands,
     /*  105081 */     // GIR_Coverage, 806,
     /*  105081 */     GIR_Done,
     /*  105082 */   // Label 2758: @105082
     /*  105082 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(105123), // Rule ID 808 //
     /*  105087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105104 */     // MIs[0] rs1
     /*  105104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105116 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105121 */     GIR_RootConstrainSelectedInstOperands,
     /*  105122 */     // GIR_Coverage, 808,
     /*  105122 */     GIR_Done,
     /*  105123 */   // Label 2759: @105123
     /*  105123 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(105164), // Rule ID 810 //
     /*  105128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105145 */     // MIs[0] rs1
     /*  105145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105157 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105162 */     GIR_RootConstrainSelectedInstOperands,
     /*  105163 */     // GIR_Coverage, 810,
     /*  105163 */     GIR_Done,
     /*  105164 */   // Label 2760: @105164
     /*  105164 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(105205), // Rule ID 812 //
     /*  105169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  105179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105186 */     // MIs[0] rs1
     /*  105186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105198 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  105203 */     GIR_RootConstrainSelectedInstOperands,
     /*  105204 */     // GIR_Coverage, 812,
     /*  105204 */     GIR_Done,
     /*  105205 */   // Label 2761: @105205
     /*  105205 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(105246), // Rule ID 974 //
     /*  105210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105227 */     // MIs[0] rs1
     /*  105227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105239 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105244 */     GIR_RootConstrainSelectedInstOperands,
     /*  105245 */     // GIR_Coverage, 974,
     /*  105245 */     GIR_Done,
     /*  105246 */   // Label 2762: @105246
     /*  105246 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(105287), // Rule ID 976 //
     /*  105251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105268 */     // MIs[0] rs1
     /*  105268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105280 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  105285 */     GIR_RootConstrainSelectedInstOperands,
     /*  105286 */     // GIR_Coverage, 976,
     /*  105286 */     GIR_Done,
     /*  105287 */   // Label 2763: @105287
     /*  105287 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(105328), // Rule ID 978 //
     /*  105292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105309 */     // MIs[0] rs1
     /*  105309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105321 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  105326 */     GIR_RootConstrainSelectedInstOperands,
     /*  105327 */     // GIR_Coverage, 978,
     /*  105327 */     GIR_Done,
     /*  105328 */   // Label 2764: @105328
     /*  105328 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(105369), // Rule ID 980 //
     /*  105333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105350 */     // MIs[0] rs1
     /*  105350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105362 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  105367 */     GIR_RootConstrainSelectedInstOperands,
     /*  105368 */     // GIR_Coverage, 980,
     /*  105368 */     GIR_Done,
     /*  105369 */   // Label 2765: @105369
     /*  105369 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(105410), // Rule ID 982 //
     /*  105374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  105377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105391 */     // MIs[0] rs1
     /*  105391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105403 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  105408 */     GIR_RootConstrainSelectedInstOperands,
     /*  105409 */     // GIR_Coverage, 982,
     /*  105409 */     GIR_Done,
     /*  105410 */   // Label 2766: @105410
     /*  105410 */   GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(105451), // Rule ID 984 //
     /*  105415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105432 */     // MIs[0] rs1
     /*  105432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105444 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105449 */     GIR_RootConstrainSelectedInstOperands,
     /*  105450 */     // GIR_Coverage, 984,
     /*  105450 */     GIR_Done,
     /*  105451 */   // Label 2767: @105451
     /*  105451 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(105492), // Rule ID 986 //
     /*  105456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105473 */     // MIs[0] rs1
     /*  105473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105485 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105490 */     GIR_RootConstrainSelectedInstOperands,
     /*  105491 */     // GIR_Coverage, 986,
     /*  105491 */     GIR_Done,
     /*  105492 */   // Label 2768: @105492
     /*  105492 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(105533), // Rule ID 988 //
     /*  105497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105514 */     // MIs[0] rs1
     /*  105514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105526 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105531 */     GIR_RootConstrainSelectedInstOperands,
     /*  105532 */     // GIR_Coverage, 988,
     /*  105532 */     GIR_Done,
     /*  105533 */   // Label 2769: @105533
     /*  105533 */   GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(105574), // Rule ID 990 //
     /*  105538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105555 */     // MIs[0] rs1
     /*  105555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105567 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105572 */     GIR_RootConstrainSelectedInstOperands,
     /*  105573 */     // GIR_Coverage, 990,
     /*  105573 */     GIR_Done,
     /*  105574 */   // Label 2770: @105574
     /*  105574 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(105615), // Rule ID 992 //
     /*  105579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  105582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  105589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105596 */     // MIs[0] rs1
     /*  105596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  105600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105608 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  105608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  105613 */     GIR_RootConstrainSelectedInstOperands,
     /*  105614 */     // GIR_Coverage, 992,
     /*  105614 */     GIR_Done,
     /*  105615 */   // Label 2771: @105615
     /*  105615 */   GIM_Reject,
     /*  105616 */ // Label 2741: @105616
     /*  105616 */ GIM_Reject,
     /*  105617 */ // Label 2739: @105617
     /*  105617 */ GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(107266),
     /*  105622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  105625 */   GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(105666), // Rule ID 445 //
     /*  105630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105647 */     // MIs[0] rs1
     /*  105647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105659 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105664 */     GIR_RootConstrainSelectedInstOperands,
     /*  105665 */     // GIR_Coverage, 445,
     /*  105665 */     GIR_Done,
     /*  105666 */   // Label 2773: @105666
     /*  105666 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(105707), // Rule ID 447 //
     /*  105671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105688 */     // MIs[0] rs1
     /*  105688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105700 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  105705 */     GIR_RootConstrainSelectedInstOperands,
     /*  105706 */     // GIR_Coverage, 447,
     /*  105706 */     GIR_Done,
     /*  105707 */   // Label 2774: @105707
     /*  105707 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(105748), // Rule ID 449 //
     /*  105712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105729 */     // MIs[0] rs1
     /*  105729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105741 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  105746 */     GIR_RootConstrainSelectedInstOperands,
     /*  105747 */     // GIR_Coverage, 449,
     /*  105747 */     GIR_Done,
     /*  105748 */   // Label 2775: @105748
     /*  105748 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(105789), // Rule ID 451 //
     /*  105753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105770 */     // MIs[0] rs1
     /*  105770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105782 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  105787 */     GIR_RootConstrainSelectedInstOperands,
     /*  105788 */     // GIR_Coverage, 451,
     /*  105788 */     GIR_Done,
     /*  105789 */   // Label 2776: @105789
     /*  105789 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(105830), // Rule ID 453 //
     /*  105794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  105797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  105807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105811 */     // MIs[0] rs1
     /*  105811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105823 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  105828 */     GIR_RootConstrainSelectedInstOperands,
     /*  105829 */     // GIR_Coverage, 453,
     /*  105829 */     GIR_Done,
     /*  105830 */   // Label 2777: @105830
     /*  105830 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(105871), // Rule ID 455 //
     /*  105835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  105848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105852 */     // MIs[0] rs1
     /*  105852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105864 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105869 */     GIR_RootConstrainSelectedInstOperands,
     /*  105870 */     // GIR_Coverage, 455,
     /*  105870 */     GIR_Done,
     /*  105871 */   // Label 2778: @105871
     /*  105871 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(105912), // Rule ID 457 //
     /*  105876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  105889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105893 */     // MIs[0] rs1
     /*  105893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105905 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105910 */     GIR_RootConstrainSelectedInstOperands,
     /*  105911 */     // GIR_Coverage, 457,
     /*  105911 */     GIR_Done,
     /*  105912 */   // Label 2779: @105912
     /*  105912 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(105953), // Rule ID 459 //
     /*  105917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  105930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105934 */     // MIs[0] rs1
     /*  105934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105946 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105951 */     GIR_RootConstrainSelectedInstOperands,
     /*  105952 */     // GIR_Coverage, 459,
     /*  105952 */     GIR_Done,
     /*  105953 */   // Label 2780: @105953
     /*  105953 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(105994), // Rule ID 461 //
     /*  105958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  105961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  105968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  105971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105975 */     // MIs[0] rs1
     /*  105975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  105979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  105987 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  105987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  105992 */     GIR_RootConstrainSelectedInstOperands,
     /*  105993 */     // GIR_Coverage, 461,
     /*  105993 */     GIR_Done,
     /*  105994 */   // Label 2781: @105994
     /*  105994 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(106035), // Rule ID 463 //
     /*  105999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  106002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  106009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106016 */     // MIs[0] rs1
     /*  106016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106028 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  106033 */     GIR_RootConstrainSelectedInstOperands,
     /*  106034 */     // GIR_Coverage, 463,
     /*  106034 */     GIR_Done,
     /*  106035 */   // Label 2782: @106035
     /*  106035 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(106076), // Rule ID 565 //
     /*  106040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106057 */     // MIs[0] rs1
     /*  106057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106069 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106074 */     GIR_RootConstrainSelectedInstOperands,
     /*  106075 */     // GIR_Coverage, 565,
     /*  106075 */     GIR_Done,
     /*  106076 */   // Label 2783: @106076
     /*  106076 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(106117), // Rule ID 566 //
     /*  106081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106098 */     // MIs[0] rs1
     /*  106098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106110 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  106115 */     GIR_RootConstrainSelectedInstOperands,
     /*  106116 */     // GIR_Coverage, 566,
     /*  106116 */     GIR_Done,
     /*  106117 */   // Label 2784: @106117
     /*  106117 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(106158), // Rule ID 567 //
     /*  106122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106139 */     // MIs[0] rs1
     /*  106139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106151 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  106156 */     GIR_RootConstrainSelectedInstOperands,
     /*  106157 */     // GIR_Coverage, 567,
     /*  106157 */     GIR_Done,
     /*  106158 */   // Label 2785: @106158
     /*  106158 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(106199), // Rule ID 568 //
     /*  106163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106180 */     // MIs[0] rs1
     /*  106180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106192 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  106197 */     GIR_RootConstrainSelectedInstOperands,
     /*  106198 */     // GIR_Coverage, 568,
     /*  106198 */     GIR_Done,
     /*  106199 */   // Label 2786: @106199
     /*  106199 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(106240), // Rule ID 569 //
     /*  106204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  106207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106221 */     // MIs[0] rs1
     /*  106221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106233 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  106238 */     GIR_RootConstrainSelectedInstOperands,
     /*  106239 */     // GIR_Coverage, 569,
     /*  106239 */     GIR_Done,
     /*  106240 */   // Label 2787: @106240
     /*  106240 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(106281), // Rule ID 570 //
     /*  106245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106262 */     // MIs[0] rs1
     /*  106262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106274 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106279 */     GIR_RootConstrainSelectedInstOperands,
     /*  106280 */     // GIR_Coverage, 570,
     /*  106280 */     GIR_Done,
     /*  106281 */   // Label 2788: @106281
     /*  106281 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(106322), // Rule ID 571 //
     /*  106286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106303 */     // MIs[0] rs1
     /*  106303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106315 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106320 */     GIR_RootConstrainSelectedInstOperands,
     /*  106321 */     // GIR_Coverage, 571,
     /*  106321 */     GIR_Done,
     /*  106322 */   // Label 2789: @106322
     /*  106322 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(106363), // Rule ID 572 //
     /*  106327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106344 */     // MIs[0] rs1
     /*  106344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106356 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106361 */     GIR_RootConstrainSelectedInstOperands,
     /*  106362 */     // GIR_Coverage, 572,
     /*  106362 */     GIR_Done,
     /*  106363 */   // Label 2790: @106363
     /*  106363 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(106404), // Rule ID 573 //
     /*  106368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106385 */     // MIs[0] rs1
     /*  106385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106397 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106402 */     GIR_RootConstrainSelectedInstOperands,
     /*  106403 */     // GIR_Coverage, 573,
     /*  106403 */     GIR_Done,
     /*  106404 */   // Label 2791: @106404
     /*  106404 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(106445), // Rule ID 574 //
     /*  106409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  106412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  106419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106426 */     // MIs[0] rs1
     /*  106426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106438 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  106443 */     GIR_RootConstrainSelectedInstOperands,
     /*  106444 */     // GIR_Coverage, 574,
     /*  106444 */     GIR_Done,
     /*  106445 */   // Label 2792: @106445
     /*  106445 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(106486), // Rule ID 793 //
     /*  106450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106467 */     // MIs[0] rs1
     /*  106467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106479 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106484 */     GIR_RootConstrainSelectedInstOperands,
     /*  106485 */     // GIR_Coverage, 793,
     /*  106485 */     GIR_Done,
     /*  106486 */   // Label 2793: @106486
     /*  106486 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(106527), // Rule ID 795 //
     /*  106491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106508 */     // MIs[0] rs1
     /*  106508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106520 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  106525 */     GIR_RootConstrainSelectedInstOperands,
     /*  106526 */     // GIR_Coverage, 795,
     /*  106526 */     GIR_Done,
     /*  106527 */   // Label 2794: @106527
     /*  106527 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(106568), // Rule ID 797 //
     /*  106532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106549 */     // MIs[0] rs1
     /*  106549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106561 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  106566 */     GIR_RootConstrainSelectedInstOperands,
     /*  106567 */     // GIR_Coverage, 797,
     /*  106567 */     GIR_Done,
     /*  106568 */   // Label 2795: @106568
     /*  106568 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(106609), // Rule ID 799 //
     /*  106573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106590 */     // MIs[0] rs1
     /*  106590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106602 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  106607 */     GIR_RootConstrainSelectedInstOperands,
     /*  106608 */     // GIR_Coverage, 799,
     /*  106608 */     GIR_Done,
     /*  106609 */   // Label 2796: @106609
     /*  106609 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(106650), // Rule ID 801 //
     /*  106614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106631 */     // MIs[0] rs1
     /*  106631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106643 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  106648 */     GIR_RootConstrainSelectedInstOperands,
     /*  106649 */     // GIR_Coverage, 801,
     /*  106649 */     GIR_Done,
     /*  106650 */   // Label 2797: @106650
     /*  106650 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(106691), // Rule ID 803 //
     /*  106655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106672 */     // MIs[0] rs1
     /*  106672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106684 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106689 */     GIR_RootConstrainSelectedInstOperands,
     /*  106690 */     // GIR_Coverage, 803,
     /*  106690 */     GIR_Done,
     /*  106691 */   // Label 2798: @106691
     /*  106691 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(106732), // Rule ID 805 //
     /*  106696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106713 */     // MIs[0] rs1
     /*  106713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106725 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106730 */     GIR_RootConstrainSelectedInstOperands,
     /*  106731 */     // GIR_Coverage, 805,
     /*  106731 */     GIR_Done,
     /*  106732 */   // Label 2799: @106732
     /*  106732 */   GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(106773), // Rule ID 807 //
     /*  106737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106754 */     // MIs[0] rs1
     /*  106754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106766 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106771 */     GIR_RootConstrainSelectedInstOperands,
     /*  106772 */     // GIR_Coverage, 807,
     /*  106772 */     GIR_Done,
     /*  106773 */   // Label 2800: @106773
     /*  106773 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(106814), // Rule ID 809 //
     /*  106778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106795 */     // MIs[0] rs1
     /*  106795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106807 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106812 */     GIR_RootConstrainSelectedInstOperands,
     /*  106813 */     // GIR_Coverage, 809,
     /*  106813 */     GIR_Done,
     /*  106814 */   // Label 2801: @106814
     /*  106814 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(106855), // Rule ID 811 //
     /*  106819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  106822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  106829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  106832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106836 */     // MIs[0] rs1
     /*  106836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106848 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  106853 */     GIR_RootConstrainSelectedInstOperands,
     /*  106854 */     // GIR_Coverage, 811,
     /*  106854 */     GIR_Done,
     /*  106855 */   // Label 2802: @106855
     /*  106855 */   GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(106896), // Rule ID 973 //
     /*  106860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  106873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106877 */     // MIs[0] rs1
     /*  106877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106889 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  106894 */     GIR_RootConstrainSelectedInstOperands,
     /*  106895 */     // GIR_Coverage, 973,
     /*  106895 */     GIR_Done,
     /*  106896 */   // Label 2803: @106896
     /*  106896 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(106937), // Rule ID 975 //
     /*  106901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  106914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106918 */     // MIs[0] rs1
     /*  106918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106930 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  106935 */     GIR_RootConstrainSelectedInstOperands,
     /*  106936 */     // GIR_Coverage, 975,
     /*  106936 */     GIR_Done,
     /*  106937 */   // Label 2804: @106937
     /*  106937 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(106978), // Rule ID 977 //
     /*  106942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  106955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106959 */     // MIs[0] rs1
     /*  106959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  106963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  106971 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  106971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  106976 */     GIR_RootConstrainSelectedInstOperands,
     /*  106977 */     // GIR_Coverage, 977,
     /*  106977 */     GIR_Done,
     /*  106978 */   // Label 2805: @106978
     /*  106978 */   GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(107019), // Rule ID 979 //
     /*  106983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  106986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  106993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  106996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107000 */     // MIs[0] rs1
     /*  107000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107012 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  107017 */     GIR_RootConstrainSelectedInstOperands,
     /*  107018 */     // GIR_Coverage, 979,
     /*  107018 */     GIR_Done,
     /*  107019 */   // Label 2806: @107019
     /*  107019 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(107060), // Rule ID 981 //
     /*  107024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  107027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107041 */     // MIs[0] rs1
     /*  107041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107053 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  107058 */     GIR_RootConstrainSelectedInstOperands,
     /*  107059 */     // GIR_Coverage, 981,
     /*  107059 */     GIR_Done,
     /*  107060 */   // Label 2807: @107060
     /*  107060 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(107101), // Rule ID 983 //
     /*  107065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107082 */     // MIs[0] rs1
     /*  107082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107094 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107099 */     GIR_RootConstrainSelectedInstOperands,
     /*  107100 */     // GIR_Coverage, 983,
     /*  107100 */     GIR_Done,
     /*  107101 */   // Label 2808: @107101
     /*  107101 */   GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(107142), // Rule ID 985 //
     /*  107106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107123 */     // MIs[0] rs1
     /*  107123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107135 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107140 */     GIR_RootConstrainSelectedInstOperands,
     /*  107141 */     // GIR_Coverage, 985,
     /*  107141 */     GIR_Done,
     /*  107142 */   // Label 2809: @107142
     /*  107142 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(107183), // Rule ID 987 //
     /*  107147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107164 */     // MIs[0] rs1
     /*  107164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107176 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107181 */     GIR_RootConstrainSelectedInstOperands,
     /*  107182 */     // GIR_Coverage, 987,
     /*  107182 */     GIR_Done,
     /*  107183 */   // Label 2810: @107183
     /*  107183 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(107224), // Rule ID 989 //
     /*  107188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107205 */     // MIs[0] rs1
     /*  107205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107217 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107222 */     GIR_RootConstrainSelectedInstOperands,
     /*  107223 */     // GIR_Coverage, 989,
     /*  107223 */     GIR_Done,
     /*  107224 */   // Label 2811: @107224
     /*  107224 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(107265), // Rule ID 991 //
     /*  107229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  107232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  107239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107246 */     // MIs[0] rs1
     /*  107246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  107250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107258 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  107263 */     GIR_RootConstrainSelectedInstOperands,
     /*  107264 */     // GIR_Coverage, 991,
     /*  107264 */     GIR_Done,
     /*  107265 */   // Label 2812: @107265
     /*  107265 */   GIM_Reject,
     /*  107266 */ // Label 2772: @107266
     /*  107266 */ GIM_Reject,
     /*  107267 */ // Label 2740: @107267
     /*  107267 */ GIM_Reject,
     /*  107268 */ // Label 34: @107268
     /*  107268 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2815*/ GIMT_Encode4(110177),
     /*  107279 */ /*GILLT_s32*//*Label 2813*/ GIMT_Encode4(107287),
     /*  107283 */ /*GILLT_s64*//*Label 2814*/ GIMT_Encode4(108527),
     /*  107287 */ // Label 2813: @107287
     /*  107287 */ GIM_Try, /*On fail goto*//*Label 2816*/ GIMT_Encode4(108526),
     /*  107292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107295 */   GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(107336), // Rule ID 466 //
     /*  107300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107317 */     // MIs[0] rs1
     /*  107317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107329 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107334 */     GIR_RootConstrainSelectedInstOperands,
     /*  107335 */     // GIR_Coverage, 466,
     /*  107335 */     GIR_Done,
     /*  107336 */   // Label 2817: @107336
     /*  107336 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(107377), // Rule ID 468 //
     /*  107341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107358 */     // MIs[0] rs1
     /*  107358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107370 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  107375 */     GIR_RootConstrainSelectedInstOperands,
     /*  107376 */     // GIR_Coverage, 468,
     /*  107376 */     GIR_Done,
     /*  107377 */   // Label 2818: @107377
     /*  107377 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(107418), // Rule ID 470 //
     /*  107382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107399 */     // MIs[0] rs1
     /*  107399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107411 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  107416 */     GIR_RootConstrainSelectedInstOperands,
     /*  107417 */     // GIR_Coverage, 470,
     /*  107417 */     GIR_Done,
     /*  107418 */   // Label 2819: @107418
     /*  107418 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(107459), // Rule ID 472 //
     /*  107423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107440 */     // MIs[0] rs1
     /*  107440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107452 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  107457 */     GIR_RootConstrainSelectedInstOperands,
     /*  107458 */     // GIR_Coverage, 472,
     /*  107458 */     GIR_Done,
     /*  107459 */   // Label 2820: @107459
     /*  107459 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(107500), // Rule ID 474 //
     /*  107464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  107467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107481 */     // MIs[0] rs1
     /*  107481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107493 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  107498 */     GIR_RootConstrainSelectedInstOperands,
     /*  107499 */     // GIR_Coverage, 474,
     /*  107499 */     GIR_Done,
     /*  107500 */   // Label 2821: @107500
     /*  107500 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(107541), // Rule ID 476 //
     /*  107505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107522 */     // MIs[0] rs1
     /*  107522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107534 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107539 */     GIR_RootConstrainSelectedInstOperands,
     /*  107540 */     // GIR_Coverage, 476,
     /*  107540 */     GIR_Done,
     /*  107541 */   // Label 2822: @107541
     /*  107541 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(107582), // Rule ID 478 //
     /*  107546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107563 */     // MIs[0] rs1
     /*  107563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107575 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107580 */     GIR_RootConstrainSelectedInstOperands,
     /*  107581 */     // GIR_Coverage, 478,
     /*  107581 */     GIR_Done,
     /*  107582 */   // Label 2823: @107582
     /*  107582 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(107623), // Rule ID 480 //
     /*  107587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107604 */     // MIs[0] rs1
     /*  107604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107616 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107621 */     GIR_RootConstrainSelectedInstOperands,
     /*  107622 */     // GIR_Coverage, 480,
     /*  107622 */     GIR_Done,
     /*  107623 */   // Label 2824: @107623
     /*  107623 */   GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(107664), // Rule ID 482 //
     /*  107628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107645 */     // MIs[0] rs1
     /*  107645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107657 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107662 */     GIR_RootConstrainSelectedInstOperands,
     /*  107663 */     // GIR_Coverage, 482,
     /*  107663 */     GIR_Done,
     /*  107664 */   // Label 2825: @107664
     /*  107664 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(107705), // Rule ID 484 //
     /*  107669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  107672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  107679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107686 */     // MIs[0] rs1
     /*  107686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107698 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  107703 */     GIR_RootConstrainSelectedInstOperands,
     /*  107704 */     // GIR_Coverage, 484,
     /*  107704 */     GIR_Done,
     /*  107705 */   // Label 2826: @107705
     /*  107705 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(107746), // Rule ID 814 //
     /*  107710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107727 */     // MIs[0] rs1
     /*  107727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107739 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107744 */     GIR_RootConstrainSelectedInstOperands,
     /*  107745 */     // GIR_Coverage, 814,
     /*  107745 */     GIR_Done,
     /*  107746 */   // Label 2827: @107746
     /*  107746 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(107787), // Rule ID 816 //
     /*  107751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107768 */     // MIs[0] rs1
     /*  107768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107780 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  107785 */     GIR_RootConstrainSelectedInstOperands,
     /*  107786 */     // GIR_Coverage, 816,
     /*  107786 */     GIR_Done,
     /*  107787 */   // Label 2828: @107787
     /*  107787 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(107828), // Rule ID 818 //
     /*  107792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  107805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107809 */     // MIs[0] rs1
     /*  107809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107821 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  107826 */     GIR_RootConstrainSelectedInstOperands,
     /*  107827 */     // GIR_Coverage, 818,
     /*  107827 */     GIR_Done,
     /*  107828 */   // Label 2829: @107828
     /*  107828 */   GIM_Try, /*On fail goto*//*Label 2830*/ GIMT_Encode4(107869), // Rule ID 820 //
     /*  107833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  107846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107850 */     // MIs[0] rs1
     /*  107850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107862 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  107867 */     GIR_RootConstrainSelectedInstOperands,
     /*  107868 */     // GIR_Coverage, 820,
     /*  107868 */     GIR_Done,
     /*  107869 */   // Label 2830: @107869
     /*  107869 */   GIM_Try, /*On fail goto*//*Label 2831*/ GIMT_Encode4(107910), // Rule ID 822 //
     /*  107874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  107877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  107887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107891 */     // MIs[0] rs1
     /*  107891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107903 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  107908 */     GIR_RootConstrainSelectedInstOperands,
     /*  107909 */     // GIR_Coverage, 822,
     /*  107909 */     GIR_Done,
     /*  107910 */   // Label 2831: @107910
     /*  107910 */   GIM_Try, /*On fail goto*//*Label 2832*/ GIMT_Encode4(107951), // Rule ID 824 //
     /*  107915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  107918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  107928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107932 */     // MIs[0] rs1
     /*  107932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107944 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107949 */     GIR_RootConstrainSelectedInstOperands,
     /*  107950 */     // GIR_Coverage, 824,
     /*  107950 */     GIR_Done,
     /*  107951 */   // Label 2832: @107951
     /*  107951 */   GIM_Try, /*On fail goto*//*Label 2833*/ GIMT_Encode4(107992), // Rule ID 826 //
     /*  107956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  107959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  107966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  107969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107973 */     // MIs[0] rs1
     /*  107973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  107977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107985 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  107990 */     GIR_RootConstrainSelectedInstOperands,
     /*  107991 */     // GIR_Coverage, 826,
     /*  107991 */     GIR_Done,
     /*  107992 */   // Label 2833: @107992
     /*  107992 */   GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(108033), // Rule ID 828 //
     /*  107997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108014 */     // MIs[0] rs1
     /*  108014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108026 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108031 */     GIR_RootConstrainSelectedInstOperands,
     /*  108032 */     // GIR_Coverage, 828,
     /*  108032 */     GIR_Done,
     /*  108033 */   // Label 2834: @108033
     /*  108033 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(108074), // Rule ID 830 //
     /*  108038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108055 */     // MIs[0] rs1
     /*  108055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108067 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108072 */     GIR_RootConstrainSelectedInstOperands,
     /*  108073 */     // GIR_Coverage, 830,
     /*  108073 */     GIR_Done,
     /*  108074 */   // Label 2835: @108074
     /*  108074 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(108115), // Rule ID 832 //
     /*  108079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  108089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108096 */     // MIs[0] rs1
     /*  108096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108108 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  108113 */     GIR_RootConstrainSelectedInstOperands,
     /*  108114 */     // GIR_Coverage, 832,
     /*  108114 */     GIR_Done,
     /*  108115 */   // Label 2836: @108115
     /*  108115 */   GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(108156), // Rule ID 994 //
     /*  108120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108137 */     // MIs[0] rs1
     /*  108137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108149 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108154 */     GIR_RootConstrainSelectedInstOperands,
     /*  108155 */     // GIR_Coverage, 994,
     /*  108155 */     GIR_Done,
     /*  108156 */   // Label 2837: @108156
     /*  108156 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(108197), // Rule ID 996 //
     /*  108161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108178 */     // MIs[0] rs1
     /*  108178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108190 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  108195 */     GIR_RootConstrainSelectedInstOperands,
     /*  108196 */     // GIR_Coverage, 996,
     /*  108196 */     GIR_Done,
     /*  108197 */   // Label 2838: @108197
     /*  108197 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(108238), // Rule ID 998 //
     /*  108202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108219 */     // MIs[0] rs1
     /*  108219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108231 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  108236 */     GIR_RootConstrainSelectedInstOperands,
     /*  108237 */     // GIR_Coverage, 998,
     /*  108237 */     GIR_Done,
     /*  108238 */   // Label 2839: @108238
     /*  108238 */   GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(108279), // Rule ID 1000 //
     /*  108243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108246 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108253 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108260 */     // MIs[0] rs1
     /*  108260 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108272 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108272 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  108277 */     GIR_RootConstrainSelectedInstOperands,
     /*  108278 */     // GIR_Coverage, 1000,
     /*  108278 */     GIR_Done,
     /*  108279 */   // Label 2840: @108279
     /*  108279 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(108320), // Rule ID 1002 //
     /*  108284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  108287 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108294 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108301 */     // MIs[0] rs1
     /*  108301 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108313 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108313 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  108318 */     GIR_RootConstrainSelectedInstOperands,
     /*  108319 */     // GIR_Coverage, 1002,
     /*  108319 */     GIR_Done,
     /*  108320 */   // Label 2841: @108320
     /*  108320 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(108361), // Rule ID 1004 //
     /*  108325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108328 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108335 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108342 */     // MIs[0] rs1
     /*  108342 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108354 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108354 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108359 */     GIR_RootConstrainSelectedInstOperands,
     /*  108360 */     // GIR_Coverage, 1004,
     /*  108360 */     GIR_Done,
     /*  108361 */   // Label 2842: @108361
     /*  108361 */   GIM_Try, /*On fail goto*//*Label 2843*/ GIMT_Encode4(108402), // Rule ID 1006 //
     /*  108366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108369 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108376 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108383 */     // MIs[0] rs1
     /*  108383 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108395 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108395 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108400 */     GIR_RootConstrainSelectedInstOperands,
     /*  108401 */     // GIR_Coverage, 1006,
     /*  108401 */     GIR_Done,
     /*  108402 */   // Label 2843: @108402
     /*  108402 */   GIM_Try, /*On fail goto*//*Label 2844*/ GIMT_Encode4(108443), // Rule ID 1008 //
     /*  108407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108410 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108417 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108424 */     // MIs[0] rs1
     /*  108424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108436 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108436 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108441 */     GIR_RootConstrainSelectedInstOperands,
     /*  108442 */     // GIR_Coverage, 1008,
     /*  108442 */     GIR_Done,
     /*  108443 */   // Label 2844: @108443
     /*  108443 */   GIM_Try, /*On fail goto*//*Label 2845*/ GIMT_Encode4(108484), // Rule ID 1010 //
     /*  108448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108451 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108458 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108465 */     // MIs[0] rs1
     /*  108465 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108477 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108477 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108482 */     GIR_RootConstrainSelectedInstOperands,
     /*  108483 */     // GIR_Coverage, 1010,
     /*  108483 */     GIR_Done,
     /*  108484 */   // Label 2845: @108484
     /*  108484 */   GIM_Try, /*On fail goto*//*Label 2846*/ GIMT_Encode4(108525), // Rule ID 1012 //
     /*  108489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  108492 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  108499 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108506 */     // MIs[0] rs1
     /*  108506 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  108510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108518 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  108518 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  108523 */     GIR_RootConstrainSelectedInstOperands,
     /*  108524 */     // GIR_Coverage, 1012,
     /*  108524 */     GIR_Done,
     /*  108525 */   // Label 2846: @108525
     /*  108525 */   GIM_Reject,
     /*  108526 */ // Label 2816: @108526
     /*  108526 */ GIM_Reject,
     /*  108527 */ // Label 2814: @108527
     /*  108527 */ GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(110176),
     /*  108532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  108535 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(108576), // Rule ID 465 //
     /*  108540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108557 */     // MIs[0] rs1
     /*  108557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108569 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108574 */     GIR_RootConstrainSelectedInstOperands,
     /*  108575 */     // GIR_Coverage, 465,
     /*  108575 */     GIR_Done,
     /*  108576 */   // Label 2848: @108576
     /*  108576 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(108617), // Rule ID 467 //
     /*  108581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108598 */     // MIs[0] rs1
     /*  108598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108610 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  108615 */     GIR_RootConstrainSelectedInstOperands,
     /*  108616 */     // GIR_Coverage, 467,
     /*  108616 */     GIR_Done,
     /*  108617 */   // Label 2849: @108617
     /*  108617 */   GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(108658), // Rule ID 469 //
     /*  108622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108639 */     // MIs[0] rs1
     /*  108639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108651 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  108656 */     GIR_RootConstrainSelectedInstOperands,
     /*  108657 */     // GIR_Coverage, 469,
     /*  108657 */     GIR_Done,
     /*  108658 */   // Label 2850: @108658
     /*  108658 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(108699), // Rule ID 471 //
     /*  108663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108680 */     // MIs[0] rs1
     /*  108680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108692 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  108697 */     GIR_RootConstrainSelectedInstOperands,
     /*  108698 */     // GIR_Coverage, 471,
     /*  108698 */     GIR_Done,
     /*  108699 */   // Label 2851: @108699
     /*  108699 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(108740), // Rule ID 473 //
     /*  108704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  108707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108721 */     // MIs[0] rs1
     /*  108721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108733 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  108738 */     GIR_RootConstrainSelectedInstOperands,
     /*  108739 */     // GIR_Coverage, 473,
     /*  108739 */     GIR_Done,
     /*  108740 */   // Label 2852: @108740
     /*  108740 */   GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(108781), // Rule ID 475 //
     /*  108745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108762 */     // MIs[0] rs1
     /*  108762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108774 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108779 */     GIR_RootConstrainSelectedInstOperands,
     /*  108780 */     // GIR_Coverage, 475,
     /*  108780 */     GIR_Done,
     /*  108781 */   // Label 2853: @108781
     /*  108781 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(108822), // Rule ID 477 //
     /*  108786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  108799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108803 */     // MIs[0] rs1
     /*  108803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108815 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108820 */     GIR_RootConstrainSelectedInstOperands,
     /*  108821 */     // GIR_Coverage, 477,
     /*  108821 */     GIR_Done,
     /*  108822 */   // Label 2854: @108822
     /*  108822 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(108863), // Rule ID 479 //
     /*  108827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  108840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108844 */     // MIs[0] rs1
     /*  108844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108856 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108861 */     GIR_RootConstrainSelectedInstOperands,
     /*  108862 */     // GIR_Coverage, 479,
     /*  108862 */     GIR_Done,
     /*  108863 */   // Label 2855: @108863
     /*  108863 */   GIM_Try, /*On fail goto*//*Label 2856*/ GIMT_Encode4(108904), // Rule ID 481 //
     /*  108868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  108881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108885 */     // MIs[0] rs1
     /*  108885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108897 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108902 */     GIR_RootConstrainSelectedInstOperands,
     /*  108903 */     // GIR_Coverage, 481,
     /*  108903 */     GIR_Done,
     /*  108904 */   // Label 2856: @108904
     /*  108904 */   GIM_Try, /*On fail goto*//*Label 2857*/ GIMT_Encode4(108945), // Rule ID 483 //
     /*  108909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  108912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  108919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  108922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108926 */     // MIs[0] rs1
     /*  108926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108938 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  108943 */     GIR_RootConstrainSelectedInstOperands,
     /*  108944 */     // GIR_Coverage, 483,
     /*  108944 */     GIR_Done,
     /*  108945 */   // Label 2857: @108945
     /*  108945 */   GIM_Try, /*On fail goto*//*Label 2858*/ GIMT_Encode4(108986), // Rule ID 575 //
     /*  108950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  108953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  108960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  108963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108967 */     // MIs[0] rs1
     /*  108967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  108971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  108979 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  108979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  108984 */     GIR_RootConstrainSelectedInstOperands,
     /*  108985 */     // GIR_Coverage, 575,
     /*  108985 */     GIR_Done,
     /*  108986 */   // Label 2858: @108986
     /*  108986 */   GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(109027), // Rule ID 576 //
     /*  108991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  108994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109008 */     // MIs[0] rs1
     /*  109008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109020 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  109025 */     GIR_RootConstrainSelectedInstOperands,
     /*  109026 */     // GIR_Coverage, 576,
     /*  109026 */     GIR_Done,
     /*  109027 */   // Label 2859: @109027
     /*  109027 */   GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(109068), // Rule ID 577 //
     /*  109032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109049 */     // MIs[0] rs1
     /*  109049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109061 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  109066 */     GIR_RootConstrainSelectedInstOperands,
     /*  109067 */     // GIR_Coverage, 577,
     /*  109067 */     GIR_Done,
     /*  109068 */   // Label 2860: @109068
     /*  109068 */   GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(109109), // Rule ID 578 //
     /*  109073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109090 */     // MIs[0] rs1
     /*  109090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109102 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  109107 */     GIR_RootConstrainSelectedInstOperands,
     /*  109108 */     // GIR_Coverage, 578,
     /*  109108 */     GIR_Done,
     /*  109109 */   // Label 2861: @109109
     /*  109109 */   GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(109150), // Rule ID 579 //
     /*  109114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  109117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109131 */     // MIs[0] rs1
     /*  109131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109143 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  109148 */     GIR_RootConstrainSelectedInstOperands,
     /*  109149 */     // GIR_Coverage, 579,
     /*  109149 */     GIR_Done,
     /*  109150 */   // Label 2862: @109150
     /*  109150 */   GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(109191), // Rule ID 580 //
     /*  109155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109172 */     // MIs[0] rs1
     /*  109172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109184 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109189 */     GIR_RootConstrainSelectedInstOperands,
     /*  109190 */     // GIR_Coverage, 580,
     /*  109190 */     GIR_Done,
     /*  109191 */   // Label 2863: @109191
     /*  109191 */   GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(109232), // Rule ID 581 //
     /*  109196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109213 */     // MIs[0] rs1
     /*  109213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109225 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109230 */     GIR_RootConstrainSelectedInstOperands,
     /*  109231 */     // GIR_Coverage, 581,
     /*  109231 */     GIR_Done,
     /*  109232 */   // Label 2864: @109232
     /*  109232 */   GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(109273), // Rule ID 582 //
     /*  109237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109254 */     // MIs[0] rs1
     /*  109254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109266 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109271 */     GIR_RootConstrainSelectedInstOperands,
     /*  109272 */     // GIR_Coverage, 582,
     /*  109272 */     GIR_Done,
     /*  109273 */   // Label 2865: @109273
     /*  109273 */   GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(109314), // Rule ID 583 //
     /*  109278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109295 */     // MIs[0] rs1
     /*  109295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109307 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109312 */     GIR_RootConstrainSelectedInstOperands,
     /*  109313 */     // GIR_Coverage, 583,
     /*  109313 */     GIR_Done,
     /*  109314 */   // Label 2866: @109314
     /*  109314 */   GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(109355), // Rule ID 584 //
     /*  109319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  109322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  109329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109336 */     // MIs[0] rs1
     /*  109336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109348 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  109353 */     GIR_RootConstrainSelectedInstOperands,
     /*  109354 */     // GIR_Coverage, 584,
     /*  109354 */     GIR_Done,
     /*  109355 */   // Label 2867: @109355
     /*  109355 */   GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(109396), // Rule ID 813 //
     /*  109360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109377 */     // MIs[0] rs1
     /*  109377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109389 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109394 */     GIR_RootConstrainSelectedInstOperands,
     /*  109395 */     // GIR_Coverage, 813,
     /*  109395 */     GIR_Done,
     /*  109396 */   // Label 2868: @109396
     /*  109396 */   GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(109437), // Rule ID 815 //
     /*  109401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109418 */     // MIs[0] rs1
     /*  109418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109430 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  109435 */     GIR_RootConstrainSelectedInstOperands,
     /*  109436 */     // GIR_Coverage, 815,
     /*  109436 */     GIR_Done,
     /*  109437 */   // Label 2869: @109437
     /*  109437 */   GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(109478), // Rule ID 817 //
     /*  109442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109459 */     // MIs[0] rs1
     /*  109459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109471 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  109476 */     GIR_RootConstrainSelectedInstOperands,
     /*  109477 */     // GIR_Coverage, 817,
     /*  109477 */     GIR_Done,
     /*  109478 */   // Label 2870: @109478
     /*  109478 */   GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(109519), // Rule ID 819 //
     /*  109483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109500 */     // MIs[0] rs1
     /*  109500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109512 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  109517 */     GIR_RootConstrainSelectedInstOperands,
     /*  109518 */     // GIR_Coverage, 819,
     /*  109518 */     GIR_Done,
     /*  109519 */   // Label 2871: @109519
     /*  109519 */   GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(109560), // Rule ID 821 //
     /*  109524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109541 */     // MIs[0] rs1
     /*  109541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109553 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  109558 */     GIR_RootConstrainSelectedInstOperands,
     /*  109559 */     // GIR_Coverage, 821,
     /*  109559 */     GIR_Done,
     /*  109560 */   // Label 2872: @109560
     /*  109560 */   GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(109601), // Rule ID 823 //
     /*  109565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109582 */     // MIs[0] rs1
     /*  109582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109594 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109599 */     GIR_RootConstrainSelectedInstOperands,
     /*  109600 */     // GIR_Coverage, 823,
     /*  109600 */     GIR_Done,
     /*  109601 */   // Label 2873: @109601
     /*  109601 */   GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(109642), // Rule ID 825 //
     /*  109606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109623 */     // MIs[0] rs1
     /*  109623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109635 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109640 */     GIR_RootConstrainSelectedInstOperands,
     /*  109641 */     // GIR_Coverage, 825,
     /*  109641 */     GIR_Done,
     /*  109642 */   // Label 2874: @109642
     /*  109642 */   GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(109683), // Rule ID 827 //
     /*  109647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109664 */     // MIs[0] rs1
     /*  109664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109676 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109681 */     GIR_RootConstrainSelectedInstOperands,
     /*  109682 */     // GIR_Coverage, 827,
     /*  109682 */     GIR_Done,
     /*  109683 */   // Label 2875: @109683
     /*  109683 */   GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(109724), // Rule ID 829 //
     /*  109688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109705 */     // MIs[0] rs1
     /*  109705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109717 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109722 */     GIR_RootConstrainSelectedInstOperands,
     /*  109723 */     // GIR_Coverage, 829,
     /*  109723 */     GIR_Done,
     /*  109724 */   // Label 2876: @109724
     /*  109724 */   GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(109765), // Rule ID 831 //
     /*  109729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  109739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109746 */     // MIs[0] rs1
     /*  109746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109758 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  109763 */     GIR_RootConstrainSelectedInstOperands,
     /*  109764 */     // GIR_Coverage, 831,
     /*  109764 */     GIR_Done,
     /*  109765 */   // Label 2877: @109765
     /*  109765 */   GIM_Try, /*On fail goto*//*Label 2878*/ GIMT_Encode4(109806), // Rule ID 993 //
     /*  109770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109787 */     // MIs[0] rs1
     /*  109787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109799 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  109804 */     GIR_RootConstrainSelectedInstOperands,
     /*  109805 */     // GIR_Coverage, 993,
     /*  109805 */     GIR_Done,
     /*  109806 */   // Label 2878: @109806
     /*  109806 */   GIM_Try, /*On fail goto*//*Label 2879*/ GIMT_Encode4(109847), // Rule ID 995 //
     /*  109811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  109824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109828 */     // MIs[0] rs1
     /*  109828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109840 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  109845 */     GIR_RootConstrainSelectedInstOperands,
     /*  109846 */     // GIR_Coverage, 995,
     /*  109846 */     GIR_Done,
     /*  109847 */   // Label 2879: @109847
     /*  109847 */   GIM_Try, /*On fail goto*//*Label 2880*/ GIMT_Encode4(109888), // Rule ID 997 //
     /*  109852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  109865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109869 */     // MIs[0] rs1
     /*  109869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109881 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  109886 */     GIR_RootConstrainSelectedInstOperands,
     /*  109887 */     // GIR_Coverage, 997,
     /*  109887 */     GIR_Done,
     /*  109888 */   // Label 2880: @109888
     /*  109888 */   GIM_Try, /*On fail goto*//*Label 2881*/ GIMT_Encode4(109929), // Rule ID 999 //
     /*  109893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  109906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109910 */     // MIs[0] rs1
     /*  109910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109922 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109922 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  109927 */     GIR_RootConstrainSelectedInstOperands,
     /*  109928 */     // GIR_Coverage, 999,
     /*  109928 */     GIR_Done,
     /*  109929 */   // Label 2881: @109929
     /*  109929 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(109970), // Rule ID 1001 //
     /*  109934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  109937 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109944 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  109947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109951 */     // MIs[0] rs1
     /*  109951 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109963 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  109963 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  109968 */     GIR_RootConstrainSelectedInstOperands,
     /*  109969 */     // GIR_Coverage, 1001,
     /*  109969 */     GIR_Done,
     /*  109970 */   // Label 2882: @109970
     /*  109970 */   GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(110011), // Rule ID 1003 //
     /*  109975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  109978 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  109985 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  109988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  109992 */     // MIs[0] rs1
     /*  109992 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  109996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110004 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110004 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110009 */     GIR_RootConstrainSelectedInstOperands,
     /*  110010 */     // GIR_Coverage, 1003,
     /*  110010 */     GIR_Done,
     /*  110011 */   // Label 2883: @110011
     /*  110011 */   GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(110052), // Rule ID 1005 //
     /*  110016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110019 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110026 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110033 */     // MIs[0] rs1
     /*  110033 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110045 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110045 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110050 */     GIR_RootConstrainSelectedInstOperands,
     /*  110051 */     // GIR_Coverage, 1005,
     /*  110051 */     GIR_Done,
     /*  110052 */   // Label 2884: @110052
     /*  110052 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(110093), // Rule ID 1007 //
     /*  110057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110060 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110067 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110074 */     // MIs[0] rs1
     /*  110074 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110086 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110086 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110091 */     GIR_RootConstrainSelectedInstOperands,
     /*  110092 */     // GIR_Coverage, 1007,
     /*  110092 */     GIR_Done,
     /*  110093 */   // Label 2885: @110093
     /*  110093 */   GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(110134), // Rule ID 1009 //
     /*  110098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110101 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110108 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110115 */     // MIs[0] rs1
     /*  110115 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110127 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110132 */     GIR_RootConstrainSelectedInstOperands,
     /*  110133 */     // GIR_Coverage, 1009,
     /*  110133 */     GIR_Done,
     /*  110134 */   // Label 2886: @110134
     /*  110134 */   GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(110175), // Rule ID 1011 //
     /*  110139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  110142 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  110149 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110156 */     // MIs[0] rs1
     /*  110156 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  110160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110168 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110168 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  110173 */     GIR_RootConstrainSelectedInstOperands,
     /*  110174 */     // GIR_Coverage, 1011,
     /*  110174 */     GIR_Done,
     /*  110175 */   // Label 2887: @110175
     /*  110175 */   GIM_Reject,
     /*  110176 */ // Label 2847: @110176
     /*  110176 */ GIM_Reject,
     /*  110177 */ // Label 2815: @110177
     /*  110177 */ GIM_Reject,
     /*  110178 */ // Label 35: @110178
     /*  110178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2890*/ GIMT_Encode4(113087),
     /*  110189 */ /*GILLT_s32*//*Label 2888*/ GIMT_Encode4(110197),
     /*  110193 */ /*GILLT_s64*//*Label 2889*/ GIMT_Encode4(111437),
     /*  110197 */ // Label 2888: @110197
     /*  110197 */ GIM_Try, /*On fail goto*//*Label 2891*/ GIMT_Encode4(111436),
     /*  110202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110205 */   GIM_Try, /*On fail goto*//*Label 2892*/ GIMT_Encode4(110246), // Rule ID 486 //
     /*  110210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110227 */     // MIs[0] rs1
     /*  110227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110239 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110244 */     GIR_RootConstrainSelectedInstOperands,
     /*  110245 */     // GIR_Coverage, 486,
     /*  110245 */     GIR_Done,
     /*  110246 */   // Label 2892: @110246
     /*  110246 */   GIM_Try, /*On fail goto*//*Label 2893*/ GIMT_Encode4(110287), // Rule ID 488 //
     /*  110251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110268 */     // MIs[0] rs1
     /*  110268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110280 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  110285 */     GIR_RootConstrainSelectedInstOperands,
     /*  110286 */     // GIR_Coverage, 488,
     /*  110286 */     GIR_Done,
     /*  110287 */   // Label 2893: @110287
     /*  110287 */   GIM_Try, /*On fail goto*//*Label 2894*/ GIMT_Encode4(110328), // Rule ID 490 //
     /*  110292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110309 */     // MIs[0] rs1
     /*  110309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110321 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  110326 */     GIR_RootConstrainSelectedInstOperands,
     /*  110327 */     // GIR_Coverage, 490,
     /*  110327 */     GIR_Done,
     /*  110328 */   // Label 2894: @110328
     /*  110328 */   GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(110369), // Rule ID 492 //
     /*  110333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110350 */     // MIs[0] rs1
     /*  110350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110362 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  110367 */     GIR_RootConstrainSelectedInstOperands,
     /*  110368 */     // GIR_Coverage, 492,
     /*  110368 */     GIR_Done,
     /*  110369 */   // Label 2895: @110369
     /*  110369 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(110410), // Rule ID 494 //
     /*  110374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  110377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110391 */     // MIs[0] rs1
     /*  110391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110403 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  110408 */     GIR_RootConstrainSelectedInstOperands,
     /*  110409 */     // GIR_Coverage, 494,
     /*  110409 */     GIR_Done,
     /*  110410 */   // Label 2896: @110410
     /*  110410 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(110451), // Rule ID 496 //
     /*  110415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110432 */     // MIs[0] rs1
     /*  110432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110444 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110449 */     GIR_RootConstrainSelectedInstOperands,
     /*  110450 */     // GIR_Coverage, 496,
     /*  110450 */     GIR_Done,
     /*  110451 */   // Label 2897: @110451
     /*  110451 */   GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(110492), // Rule ID 498 //
     /*  110456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110473 */     // MIs[0] rs1
     /*  110473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110485 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110490 */     GIR_RootConstrainSelectedInstOperands,
     /*  110491 */     // GIR_Coverage, 498,
     /*  110491 */     GIR_Done,
     /*  110492 */   // Label 2898: @110492
     /*  110492 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(110533), // Rule ID 500 //
     /*  110497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110514 */     // MIs[0] rs1
     /*  110514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110526 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110531 */     GIR_RootConstrainSelectedInstOperands,
     /*  110532 */     // GIR_Coverage, 500,
     /*  110532 */     GIR_Done,
     /*  110533 */   // Label 2899: @110533
     /*  110533 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(110574), // Rule ID 502 //
     /*  110538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110555 */     // MIs[0] rs1
     /*  110555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110567 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110572 */     GIR_RootConstrainSelectedInstOperands,
     /*  110573 */     // GIR_Coverage, 502,
     /*  110573 */     GIR_Done,
     /*  110574 */   // Label 2900: @110574
     /*  110574 */   GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(110615), // Rule ID 504 //
     /*  110579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  110582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  110589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110596 */     // MIs[0] rs1
     /*  110596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110608 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  110613 */     GIR_RootConstrainSelectedInstOperands,
     /*  110614 */     // GIR_Coverage, 504,
     /*  110614 */     GIR_Done,
     /*  110615 */   // Label 2901: @110615
     /*  110615 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(110656), // Rule ID 834 //
     /*  110620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110637 */     // MIs[0] rs1
     /*  110637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110649 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110654 */     GIR_RootConstrainSelectedInstOperands,
     /*  110655 */     // GIR_Coverage, 834,
     /*  110655 */     GIR_Done,
     /*  110656 */   // Label 2902: @110656
     /*  110656 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(110697), // Rule ID 836 //
     /*  110661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110678 */     // MIs[0] rs1
     /*  110678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110690 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  110695 */     GIR_RootConstrainSelectedInstOperands,
     /*  110696 */     // GIR_Coverage, 836,
     /*  110696 */     GIR_Done,
     /*  110697 */   // Label 2903: @110697
     /*  110697 */   GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(110738), // Rule ID 838 //
     /*  110702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110719 */     // MIs[0] rs1
     /*  110719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110731 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  110736 */     GIR_RootConstrainSelectedInstOperands,
     /*  110737 */     // GIR_Coverage, 838,
     /*  110737 */     GIR_Done,
     /*  110738 */   // Label 2904: @110738
     /*  110738 */   GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(110779), // Rule ID 840 //
     /*  110743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110760 */     // MIs[0] rs1
     /*  110760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110772 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  110777 */     GIR_RootConstrainSelectedInstOperands,
     /*  110778 */     // GIR_Coverage, 840,
     /*  110778 */     GIR_Done,
     /*  110779 */   // Label 2905: @110779
     /*  110779 */   GIM_Try, /*On fail goto*//*Label 2906*/ GIMT_Encode4(110820), // Rule ID 842 //
     /*  110784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  110787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  110797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110801 */     // MIs[0] rs1
     /*  110801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110813 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  110818 */     GIR_RootConstrainSelectedInstOperands,
     /*  110819 */     // GIR_Coverage, 842,
     /*  110819 */     GIR_Done,
     /*  110820 */   // Label 2906: @110820
     /*  110820 */   GIM_Try, /*On fail goto*//*Label 2907*/ GIMT_Encode4(110861), // Rule ID 844 //
     /*  110825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  110838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110842 */     // MIs[0] rs1
     /*  110842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110854 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110859 */     GIR_RootConstrainSelectedInstOperands,
     /*  110860 */     // GIR_Coverage, 844,
     /*  110860 */     GIR_Done,
     /*  110861 */   // Label 2907: @110861
     /*  110861 */   GIM_Try, /*On fail goto*//*Label 2908*/ GIMT_Encode4(110902), // Rule ID 846 //
     /*  110866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  110879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110883 */     // MIs[0] rs1
     /*  110883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110895 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110900 */     GIR_RootConstrainSelectedInstOperands,
     /*  110901 */     // GIR_Coverage, 846,
     /*  110901 */     GIR_Done,
     /*  110902 */   // Label 2908: @110902
     /*  110902 */   GIM_Try, /*On fail goto*//*Label 2909*/ GIMT_Encode4(110943), // Rule ID 848 //
     /*  110907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  110920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110924 */     // MIs[0] rs1
     /*  110924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110936 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110941 */     GIR_RootConstrainSelectedInstOperands,
     /*  110942 */     // GIR_Coverage, 848,
     /*  110942 */     GIR_Done,
     /*  110943 */   // Label 2909: @110943
     /*  110943 */   GIM_Try, /*On fail goto*//*Label 2910*/ GIMT_Encode4(110984), // Rule ID 850 //
     /*  110948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  110961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110965 */     // MIs[0] rs1
     /*  110965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  110969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110977 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  110982 */     GIR_RootConstrainSelectedInstOperands,
     /*  110983 */     // GIR_Coverage, 850,
     /*  110983 */     GIR_Done,
     /*  110984 */   // Label 2910: @110984
     /*  110984 */   GIM_Try, /*On fail goto*//*Label 2911*/ GIMT_Encode4(111025), // Rule ID 852 //
     /*  110989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  110992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  110999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111006 */     // MIs[0] rs1
     /*  111006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111018 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  111023 */     GIR_RootConstrainSelectedInstOperands,
     /*  111024 */     // GIR_Coverage, 852,
     /*  111024 */     GIR_Done,
     /*  111025 */   // Label 2911: @111025
     /*  111025 */   GIM_Try, /*On fail goto*//*Label 2912*/ GIMT_Encode4(111066), // Rule ID 1014 //
     /*  111030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111047 */     // MIs[0] rs1
     /*  111047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111059 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111064 */     GIR_RootConstrainSelectedInstOperands,
     /*  111065 */     // GIR_Coverage, 1014,
     /*  111065 */     GIR_Done,
     /*  111066 */   // Label 2912: @111066
     /*  111066 */   GIM_Try, /*On fail goto*//*Label 2913*/ GIMT_Encode4(111107), // Rule ID 1016 //
     /*  111071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111088 */     // MIs[0] rs1
     /*  111088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111100 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  111105 */     GIR_RootConstrainSelectedInstOperands,
     /*  111106 */     // GIR_Coverage, 1016,
     /*  111106 */     GIR_Done,
     /*  111107 */   // Label 2913: @111107
     /*  111107 */   GIM_Try, /*On fail goto*//*Label 2914*/ GIMT_Encode4(111148), // Rule ID 1018 //
     /*  111112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111129 */     // MIs[0] rs1
     /*  111129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111141 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  111146 */     GIR_RootConstrainSelectedInstOperands,
     /*  111147 */     // GIR_Coverage, 1018,
     /*  111147 */     GIR_Done,
     /*  111148 */   // Label 2914: @111148
     /*  111148 */   GIM_Try, /*On fail goto*//*Label 2915*/ GIMT_Encode4(111189), // Rule ID 1020 //
     /*  111153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111156 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111163 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111170 */     // MIs[0] rs1
     /*  111170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111182 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  111187 */     GIR_RootConstrainSelectedInstOperands,
     /*  111188 */     // GIR_Coverage, 1020,
     /*  111188 */     GIR_Done,
     /*  111189 */   // Label 2915: @111189
     /*  111189 */   GIM_Try, /*On fail goto*//*Label 2916*/ GIMT_Encode4(111230), // Rule ID 1022 //
     /*  111194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  111197 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111204 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111211 */     // MIs[0] rs1
     /*  111211 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111223 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111223 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  111228 */     GIR_RootConstrainSelectedInstOperands,
     /*  111229 */     // GIR_Coverage, 1022,
     /*  111229 */     GIR_Done,
     /*  111230 */   // Label 2916: @111230
     /*  111230 */   GIM_Try, /*On fail goto*//*Label 2917*/ GIMT_Encode4(111271), // Rule ID 1024 //
     /*  111235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111238 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111245 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111252 */     // MIs[0] rs1
     /*  111252 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111264 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111264 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111269 */     GIR_RootConstrainSelectedInstOperands,
     /*  111270 */     // GIR_Coverage, 1024,
     /*  111270 */     GIR_Done,
     /*  111271 */   // Label 2917: @111271
     /*  111271 */   GIM_Try, /*On fail goto*//*Label 2918*/ GIMT_Encode4(111312), // Rule ID 1026 //
     /*  111276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111279 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111286 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111293 */     // MIs[0] rs1
     /*  111293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111305 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111305 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111310 */     GIR_RootConstrainSelectedInstOperands,
     /*  111311 */     // GIR_Coverage, 1026,
     /*  111311 */     GIR_Done,
     /*  111312 */   // Label 2918: @111312
     /*  111312 */   GIM_Try, /*On fail goto*//*Label 2919*/ GIMT_Encode4(111353), // Rule ID 1028 //
     /*  111317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111320 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111327 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111334 */     // MIs[0] rs1
     /*  111334 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111346 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111346 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111351 */     GIR_RootConstrainSelectedInstOperands,
     /*  111352 */     // GIR_Coverage, 1028,
     /*  111352 */     GIR_Done,
     /*  111353 */   // Label 2919: @111353
     /*  111353 */   GIM_Try, /*On fail goto*//*Label 2920*/ GIMT_Encode4(111394), // Rule ID 1030 //
     /*  111358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111361 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111368 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111375 */     // MIs[0] rs1
     /*  111375 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111387 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111387 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111392 */     GIR_RootConstrainSelectedInstOperands,
     /*  111393 */     // GIR_Coverage, 1030,
     /*  111393 */     GIR_Done,
     /*  111394 */   // Label 2920: @111394
     /*  111394 */   GIM_Try, /*On fail goto*//*Label 2921*/ GIMT_Encode4(111435), // Rule ID 1032 //
     /*  111399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  111402 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  111409 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111416 */     // MIs[0] rs1
     /*  111416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  111420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111428 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  111428 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  111433 */     GIR_RootConstrainSelectedInstOperands,
     /*  111434 */     // GIR_Coverage, 1032,
     /*  111434 */     GIR_Done,
     /*  111435 */   // Label 2921: @111435
     /*  111435 */   GIM_Reject,
     /*  111436 */ // Label 2891: @111436
     /*  111436 */ GIM_Reject,
     /*  111437 */ // Label 2889: @111437
     /*  111437 */ GIM_Try, /*On fail goto*//*Label 2922*/ GIMT_Encode4(113086),
     /*  111442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  111445 */   GIM_Try, /*On fail goto*//*Label 2923*/ GIMT_Encode4(111486), // Rule ID 485 //
     /*  111450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111467 */     // MIs[0] rs1
     /*  111467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111479 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111484 */     GIR_RootConstrainSelectedInstOperands,
     /*  111485 */     // GIR_Coverage, 485,
     /*  111485 */     GIR_Done,
     /*  111486 */   // Label 2923: @111486
     /*  111486 */   GIM_Try, /*On fail goto*//*Label 2924*/ GIMT_Encode4(111527), // Rule ID 487 //
     /*  111491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111508 */     // MIs[0] rs1
     /*  111508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111520 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  111525 */     GIR_RootConstrainSelectedInstOperands,
     /*  111526 */     // GIR_Coverage, 487,
     /*  111526 */     GIR_Done,
     /*  111527 */   // Label 2924: @111527
     /*  111527 */   GIM_Try, /*On fail goto*//*Label 2925*/ GIMT_Encode4(111568), // Rule ID 489 //
     /*  111532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111549 */     // MIs[0] rs1
     /*  111549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111561 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  111566 */     GIR_RootConstrainSelectedInstOperands,
     /*  111567 */     // GIR_Coverage, 489,
     /*  111567 */     GIR_Done,
     /*  111568 */   // Label 2925: @111568
     /*  111568 */   GIM_Try, /*On fail goto*//*Label 2926*/ GIMT_Encode4(111609), // Rule ID 491 //
     /*  111573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111590 */     // MIs[0] rs1
     /*  111590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111602 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  111607 */     GIR_RootConstrainSelectedInstOperands,
     /*  111608 */     // GIR_Coverage, 491,
     /*  111608 */     GIR_Done,
     /*  111609 */   // Label 2926: @111609
     /*  111609 */   GIM_Try, /*On fail goto*//*Label 2927*/ GIMT_Encode4(111650), // Rule ID 493 //
     /*  111614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  111617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111631 */     // MIs[0] rs1
     /*  111631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111643 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  111648 */     GIR_RootConstrainSelectedInstOperands,
     /*  111649 */     // GIR_Coverage, 493,
     /*  111649 */     GIR_Done,
     /*  111650 */   // Label 2927: @111650
     /*  111650 */   GIM_Try, /*On fail goto*//*Label 2928*/ GIMT_Encode4(111691), // Rule ID 495 //
     /*  111655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111672 */     // MIs[0] rs1
     /*  111672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111684 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111689 */     GIR_RootConstrainSelectedInstOperands,
     /*  111690 */     // GIR_Coverage, 495,
     /*  111690 */     GIR_Done,
     /*  111691 */   // Label 2928: @111691
     /*  111691 */   GIM_Try, /*On fail goto*//*Label 2929*/ GIMT_Encode4(111732), // Rule ID 497 //
     /*  111696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111713 */     // MIs[0] rs1
     /*  111713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111725 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111730 */     GIR_RootConstrainSelectedInstOperands,
     /*  111731 */     // GIR_Coverage, 497,
     /*  111731 */     GIR_Done,
     /*  111732 */   // Label 2929: @111732
     /*  111732 */   GIM_Try, /*On fail goto*//*Label 2930*/ GIMT_Encode4(111773), // Rule ID 499 //
     /*  111737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111754 */     // MIs[0] rs1
     /*  111754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111766 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111771 */     GIR_RootConstrainSelectedInstOperands,
     /*  111772 */     // GIR_Coverage, 499,
     /*  111772 */     GIR_Done,
     /*  111773 */   // Label 2930: @111773
     /*  111773 */   GIM_Try, /*On fail goto*//*Label 2931*/ GIMT_Encode4(111814), // Rule ID 501 //
     /*  111778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111795 */     // MIs[0] rs1
     /*  111795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111807 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111812 */     GIR_RootConstrainSelectedInstOperands,
     /*  111813 */     // GIR_Coverage, 501,
     /*  111813 */     GIR_Done,
     /*  111814 */   // Label 2931: @111814
     /*  111814 */   GIM_Try, /*On fail goto*//*Label 2932*/ GIMT_Encode4(111855), // Rule ID 503 //
     /*  111819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  111822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  111829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  111832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111836 */     // MIs[0] rs1
     /*  111836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111848 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  111853 */     GIR_RootConstrainSelectedInstOperands,
     /*  111854 */     // GIR_Coverage, 503,
     /*  111854 */     GIR_Done,
     /*  111855 */   // Label 2932: @111855
     /*  111855 */   GIM_Try, /*On fail goto*//*Label 2933*/ GIMT_Encode4(111896), // Rule ID 585 //
     /*  111860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  111873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111877 */     // MIs[0] rs1
     /*  111877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111889 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  111894 */     GIR_RootConstrainSelectedInstOperands,
     /*  111895 */     // GIR_Coverage, 585,
     /*  111895 */     GIR_Done,
     /*  111896 */   // Label 2933: @111896
     /*  111896 */   GIM_Try, /*On fail goto*//*Label 2934*/ GIMT_Encode4(111937), // Rule ID 586 //
     /*  111901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  111914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111918 */     // MIs[0] rs1
     /*  111918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111930 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  111935 */     GIR_RootConstrainSelectedInstOperands,
     /*  111936 */     // GIR_Coverage, 586,
     /*  111936 */     GIR_Done,
     /*  111937 */   // Label 2934: @111937
     /*  111937 */   GIM_Try, /*On fail goto*//*Label 2935*/ GIMT_Encode4(111978), // Rule ID 587 //
     /*  111942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  111955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111959 */     // MIs[0] rs1
     /*  111959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  111963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  111971 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  111971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  111976 */     GIR_RootConstrainSelectedInstOperands,
     /*  111977 */     // GIR_Coverage, 587,
     /*  111977 */     GIR_Done,
     /*  111978 */   // Label 2935: @111978
     /*  111978 */   GIM_Try, /*On fail goto*//*Label 2936*/ GIMT_Encode4(112019), // Rule ID 588 //
     /*  111983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  111986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  111993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  111996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112000 */     // MIs[0] rs1
     /*  112000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112012 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  112017 */     GIR_RootConstrainSelectedInstOperands,
     /*  112018 */     // GIR_Coverage, 588,
     /*  112018 */     GIR_Done,
     /*  112019 */   // Label 2936: @112019
     /*  112019 */   GIM_Try, /*On fail goto*//*Label 2937*/ GIMT_Encode4(112060), // Rule ID 589 //
     /*  112024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  112027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112041 */     // MIs[0] rs1
     /*  112041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112053 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  112058 */     GIR_RootConstrainSelectedInstOperands,
     /*  112059 */     // GIR_Coverage, 589,
     /*  112059 */     GIR_Done,
     /*  112060 */   // Label 2937: @112060
     /*  112060 */   GIM_Try, /*On fail goto*//*Label 2938*/ GIMT_Encode4(112101), // Rule ID 590 //
     /*  112065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112082 */     // MIs[0] rs1
     /*  112082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112094 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112099 */     GIR_RootConstrainSelectedInstOperands,
     /*  112100 */     // GIR_Coverage, 590,
     /*  112100 */     GIR_Done,
     /*  112101 */   // Label 2938: @112101
     /*  112101 */   GIM_Try, /*On fail goto*//*Label 2939*/ GIMT_Encode4(112142), // Rule ID 591 //
     /*  112106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112123 */     // MIs[0] rs1
     /*  112123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112135 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112140 */     GIR_RootConstrainSelectedInstOperands,
     /*  112141 */     // GIR_Coverage, 591,
     /*  112141 */     GIR_Done,
     /*  112142 */   // Label 2939: @112142
     /*  112142 */   GIM_Try, /*On fail goto*//*Label 2940*/ GIMT_Encode4(112183), // Rule ID 592 //
     /*  112147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112164 */     // MIs[0] rs1
     /*  112164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112176 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112181 */     GIR_RootConstrainSelectedInstOperands,
     /*  112182 */     // GIR_Coverage, 592,
     /*  112182 */     GIR_Done,
     /*  112183 */   // Label 2940: @112183
     /*  112183 */   GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(112224), // Rule ID 593 //
     /*  112188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112205 */     // MIs[0] rs1
     /*  112205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112217 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112222 */     GIR_RootConstrainSelectedInstOperands,
     /*  112223 */     // GIR_Coverage, 593,
     /*  112223 */     GIR_Done,
     /*  112224 */   // Label 2941: @112224
     /*  112224 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(112265), // Rule ID 594 //
     /*  112229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  112232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  112239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112246 */     // MIs[0] rs1
     /*  112246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112258 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  112263 */     GIR_RootConstrainSelectedInstOperands,
     /*  112264 */     // GIR_Coverage, 594,
     /*  112264 */     GIR_Done,
     /*  112265 */   // Label 2942: @112265
     /*  112265 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(112306), // Rule ID 833 //
     /*  112270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112287 */     // MIs[0] rs1
     /*  112287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112299 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112304 */     GIR_RootConstrainSelectedInstOperands,
     /*  112305 */     // GIR_Coverage, 833,
     /*  112305 */     GIR_Done,
     /*  112306 */   // Label 2943: @112306
     /*  112306 */   GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(112347), // Rule ID 835 //
     /*  112311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112328 */     // MIs[0] rs1
     /*  112328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112340 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  112345 */     GIR_RootConstrainSelectedInstOperands,
     /*  112346 */     // GIR_Coverage, 835,
     /*  112346 */     GIR_Done,
     /*  112347 */   // Label 2944: @112347
     /*  112347 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(112388), // Rule ID 837 //
     /*  112352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112369 */     // MIs[0] rs1
     /*  112369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112381 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  112386 */     GIR_RootConstrainSelectedInstOperands,
     /*  112387 */     // GIR_Coverage, 837,
     /*  112387 */     GIR_Done,
     /*  112388 */   // Label 2945: @112388
     /*  112388 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(112429), // Rule ID 839 //
     /*  112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112410 */     // MIs[0] rs1
     /*  112410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112422 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  112427 */     GIR_RootConstrainSelectedInstOperands,
     /*  112428 */     // GIR_Coverage, 839,
     /*  112428 */     GIR_Done,
     /*  112429 */   // Label 2946: @112429
     /*  112429 */   GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(112470), // Rule ID 841 //
     /*  112434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112451 */     // MIs[0] rs1
     /*  112451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112463 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  112468 */     GIR_RootConstrainSelectedInstOperands,
     /*  112469 */     // GIR_Coverage, 841,
     /*  112469 */     GIR_Done,
     /*  112470 */   // Label 2947: @112470
     /*  112470 */   GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(112511), // Rule ID 843 //
     /*  112475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112492 */     // MIs[0] rs1
     /*  112492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112504 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112509 */     GIR_RootConstrainSelectedInstOperands,
     /*  112510 */     // GIR_Coverage, 843,
     /*  112510 */     GIR_Done,
     /*  112511 */   // Label 2948: @112511
     /*  112511 */   GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(112552), // Rule ID 845 //
     /*  112516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112533 */     // MIs[0] rs1
     /*  112533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112545 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112550 */     GIR_RootConstrainSelectedInstOperands,
     /*  112551 */     // GIR_Coverage, 845,
     /*  112551 */     GIR_Done,
     /*  112552 */   // Label 2949: @112552
     /*  112552 */   GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(112593), // Rule ID 847 //
     /*  112557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112574 */     // MIs[0] rs1
     /*  112574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112586 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112591 */     GIR_RootConstrainSelectedInstOperands,
     /*  112592 */     // GIR_Coverage, 847,
     /*  112592 */     GIR_Done,
     /*  112593 */   // Label 2950: @112593
     /*  112593 */   GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(112634), // Rule ID 849 //
     /*  112598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112615 */     // MIs[0] rs1
     /*  112615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112627 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112632 */     GIR_RootConstrainSelectedInstOperands,
     /*  112633 */     // GIR_Coverage, 849,
     /*  112633 */     GIR_Done,
     /*  112634 */   // Label 2951: @112634
     /*  112634 */   GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(112675), // Rule ID 851 //
     /*  112639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  112649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112656 */     // MIs[0] rs1
     /*  112656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112668 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  112673 */     GIR_RootConstrainSelectedInstOperands,
     /*  112674 */     // GIR_Coverage, 851,
     /*  112674 */     GIR_Done,
     /*  112675 */   // Label 2952: @112675
     /*  112675 */   GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(112716), // Rule ID 1013 //
     /*  112680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112697 */     // MIs[0] rs1
     /*  112697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112709 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112714 */     GIR_RootConstrainSelectedInstOperands,
     /*  112715 */     // GIR_Coverage, 1013,
     /*  112715 */     GIR_Done,
     /*  112716 */   // Label 2953: @112716
     /*  112716 */   GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(112757), // Rule ID 1015 //
     /*  112721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112738 */     // MIs[0] rs1
     /*  112738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112750 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  112755 */     GIR_RootConstrainSelectedInstOperands,
     /*  112756 */     // GIR_Coverage, 1015,
     /*  112756 */     GIR_Done,
     /*  112757 */   // Label 2954: @112757
     /*  112757 */   GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(112798), // Rule ID 1017 //
     /*  112762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112779 */     // MIs[0] rs1
     /*  112779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112791 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  112796 */     GIR_RootConstrainSelectedInstOperands,
     /*  112797 */     // GIR_Coverage, 1017,
     /*  112797 */     GIR_Done,
     /*  112798 */   // Label 2955: @112798
     /*  112798 */   GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(112839), // Rule ID 1019 //
     /*  112803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  112816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112820 */     // MIs[0] rs1
     /*  112820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112832 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  112837 */     GIR_RootConstrainSelectedInstOperands,
     /*  112838 */     // GIR_Coverage, 1019,
     /*  112838 */     GIR_Done,
     /*  112839 */   // Label 2956: @112839
     /*  112839 */   GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(112880), // Rule ID 1021 //
     /*  112844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  112847 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112854 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  112857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112861 */     // MIs[0] rs1
     /*  112861 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112873 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  112878 */     GIR_RootConstrainSelectedInstOperands,
     /*  112879 */     // GIR_Coverage, 1021,
     /*  112879 */     GIR_Done,
     /*  112880 */   // Label 2957: @112880
     /*  112880 */   GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(112921), // Rule ID 1023 //
     /*  112885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112888 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112895 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  112898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112902 */     // MIs[0] rs1
     /*  112902 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112914 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112914 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112919 */     GIR_RootConstrainSelectedInstOperands,
     /*  112920 */     // GIR_Coverage, 1023,
     /*  112920 */     GIR_Done,
     /*  112921 */   // Label 2958: @112921
     /*  112921 */   GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(112962), // Rule ID 1025 //
     /*  112926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112929 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112936 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  112939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112943 */     // MIs[0] rs1
     /*  112943 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112955 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112955 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  112960 */     GIR_RootConstrainSelectedInstOperands,
     /*  112961 */     // GIR_Coverage, 1025,
     /*  112961 */     GIR_Done,
     /*  112962 */   // Label 2959: @112962
     /*  112962 */   GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(113003), // Rule ID 1027 //
     /*  112967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  112970 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  112977 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  112980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112984 */     // MIs[0] rs1
     /*  112984 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  112988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112996 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  112996 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113001 */     GIR_RootConstrainSelectedInstOperands,
     /*  113002 */     // GIR_Coverage, 1027,
     /*  113002 */     GIR_Done,
     /*  113003 */   // Label 2960: @113003
     /*  113003 */   GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(113044), // Rule ID 1029 //
     /*  113008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  113011 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  113018 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  113021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113025 */     // MIs[0] rs1
     /*  113025 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  113029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113037 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113037 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113042 */     GIR_RootConstrainSelectedInstOperands,
     /*  113043 */     // GIR_Coverage, 1029,
     /*  113043 */     GIR_Done,
     /*  113044 */   // Label 2961: @113044
     /*  113044 */   GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(113085), // Rule ID 1031 //
     /*  113049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  113052 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  113059 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  113062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113066 */     // MIs[0] rs1
     /*  113066 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  113070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113078 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113078 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  113083 */     GIR_RootConstrainSelectedInstOperands,
     /*  113084 */     // GIR_Coverage, 1031,
     /*  113084 */     GIR_Done,
     /*  113085 */   // Label 2962: @113085
     /*  113085 */   GIM_Reject,
     /*  113086 */ // Label 2922: @113086
     /*  113086 */ GIM_Reject,
     /*  113087 */ // Label 2890: @113087
     /*  113087 */ GIM_Reject,
     /*  113088 */ // Label 36: @113088
     /*  113088 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2965*/ GIMT_Encode4(113305),
     /*  113099 */ /*GILLT_s32*//*Label 2963*/ GIMT_Encode4(113107),
     /*  113103 */ /*GILLT_s64*//*Label 2964*/ GIMT_Encode4(113206),
     /*  113107 */ // Label 2963: @113107
     /*  113107 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(113133), // Rule ID 245 //
     /*  113112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113115 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  113119 */   // MIs[0] Operand 1
     /*  113119 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113122 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  113122 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  113128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113131 */   GIR_RootConstrainSelectedInstOperands,
     /*  113132 */   // GIR_Coverage, 245,
     /*  113132 */   GIR_EraseRootFromParent_Done,
     /*  113133 */ // Label 2966: @113133
     /*  113133 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(113159), // Rule ID 247 //
     /*  113138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113141 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  113145 */   // MIs[0] Operand 1
     /*  113145 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113148 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  113148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  113157 */   GIR_RootConstrainSelectedInstOperands,
     /*  113158 */   // GIR_Coverage, 247,
     /*  113158 */   GIR_EraseRootFromParent_Done,
     /*  113159 */ // Label 2967: @113159
     /*  113159 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(113179), // Rule ID 249 //
     /*  113164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113167 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  113171 */   // MIs[0] Operand 1
     /*  113171 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113174 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  113174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  113177 */   GIR_RootConstrainSelectedInstOperands,
     /*  113178 */   // GIR_Coverage, 249,
     /*  113178 */   GIR_EraseRootFromParent_Done,
     /*  113179 */ // Label 2968: @113179
     /*  113179 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(113205), // Rule ID 251 //
     /*  113184 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113187 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  113191 */   // MIs[0] Operand 1
     /*  113191 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113194 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113203 */   GIR_RootConstrainSelectedInstOperands,
     /*  113204 */   // GIR_Coverage, 251,
     /*  113204 */   GIR_EraseRootFromParent_Done,
     /*  113205 */ // Label 2969: @113205
     /*  113205 */ GIM_Reject,
     /*  113206 */ // Label 2964: @113206
     /*  113206 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(113232), // Rule ID 244 //
     /*  113211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113214 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  113218 */   // MIs[0] Operand 1
     /*  113218 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113221 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  113221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  113227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113230 */   GIR_RootConstrainSelectedInstOperands,
     /*  113231 */   // GIR_Coverage, 244,
     /*  113231 */   GIR_EraseRootFromParent_Done,
     /*  113232 */ // Label 2970: @113232
     /*  113232 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(113258), // Rule ID 246 //
     /*  113237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113240 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  113244 */   // MIs[0] Operand 1
     /*  113244 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113247 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  113247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  113256 */   GIR_RootConstrainSelectedInstOperands,
     /*  113257 */   // GIR_Coverage, 246,
     /*  113257 */   GIR_EraseRootFromParent_Done,
     /*  113258 */ // Label 2971: @113258
     /*  113258 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(113278), // Rule ID 248 //
     /*  113263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113266 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  113270 */   // MIs[0] Operand 1
     /*  113270 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113273 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  113273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  113276 */   GIR_RootConstrainSelectedInstOperands,
     /*  113277 */   // GIR_Coverage, 248,
     /*  113277 */   GIR_EraseRootFromParent_Done,
     /*  113278 */ // Label 2972: @113278
     /*  113278 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(113304), // Rule ID 250 //
     /*  113283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113286 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  113290 */   // MIs[0] Operand 1
     /*  113290 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  113293 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  113296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113302 */   GIR_RootConstrainSelectedInstOperands,
     /*  113303 */   // GIR_Coverage, 250,
     /*  113303 */   GIR_EraseRootFromParent_Done,
     /*  113304 */ // Label 2973: @113304
     /*  113304 */ GIM_Reject,
     /*  113305 */ // Label 2965: @113305
     /*  113305 */ GIM_Reject,
     /*  113306 */ // Label 37: @113306
     /*  113306 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(114791),
     /*  113311 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  113314 */   GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(113359), // Rule ID 2572 //
     /*  113319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  113347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113357 */     GIR_RootConstrainSelectedInstOperands,
     /*  113358 */     // GIR_Coverage, 2572,
     /*  113358 */     GIR_EraseRootFromParent_Done,
     /*  113359 */   // Label 2975: @113359
     /*  113359 */   GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(113404), // Rule ID 2573 //
     /*  113364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113389 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  113392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113402 */     GIR_RootConstrainSelectedInstOperands,
     /*  113403 */     // GIR_Coverage, 2573,
     /*  113403 */     GIR_EraseRootFromParent_Done,
     /*  113404 */   // Label 2976: @113404
     /*  113404 */   GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(113449), // Rule ID 23114 //
     /*  113409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  113420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  113437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113447 */     GIR_RootConstrainSelectedInstOperands,
     /*  113448 */     // GIR_Coverage, 23114,
     /*  113448 */     GIR_EraseRootFromParent_Done,
     /*  113449 */   // Label 2977: @113449
     /*  113449 */   GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(113494), // Rule ID 23115 //
     /*  113454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  113465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  113482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113492 */     GIR_RootConstrainSelectedInstOperands,
     /*  113493 */     // GIR_Coverage, 23115,
     /*  113493 */     GIR_EraseRootFromParent_Done,
     /*  113494 */   // Label 2978: @113494
     /*  113494 */   GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(113539), // Rule ID 23116 //
     /*  113499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  113510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  113527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113537 */     GIR_RootConstrainSelectedInstOperands,
     /*  113538 */     // GIR_Coverage, 23116,
     /*  113538 */     GIR_EraseRootFromParent_Done,
     /*  113539 */   // Label 2979: @113539
     /*  113539 */   GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(113584), // Rule ID 23117 //
     /*  113544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  113555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  113572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113582 */     GIR_RootConstrainSelectedInstOperands,
     /*  113583 */     // GIR_Coverage, 23117,
     /*  113583 */     GIR_EraseRootFromParent_Done,
     /*  113584 */   // Label 2980: @113584
     /*  113584 */   GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(113629), // Rule ID 23118 //
     /*  113589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  113600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113614 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  113617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113627 */     GIR_RootConstrainSelectedInstOperands,
     /*  113628 */     // GIR_Coverage, 23118,
     /*  113628 */     GIR_EraseRootFromParent_Done,
     /*  113629 */   // Label 2981: @113629
     /*  113629 */   GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(113674), // Rule ID 23119 //
     /*  113634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  113645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113659 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  113662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113672 */     GIR_RootConstrainSelectedInstOperands,
     /*  113673 */     // GIR_Coverage, 23119,
     /*  113673 */     GIR_EraseRootFromParent_Done,
     /*  113674 */   // Label 2982: @113674
     /*  113674 */   GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(113719), // Rule ID 23120 //
     /*  113679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  113690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  113707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113717 */     GIR_RootConstrainSelectedInstOperands,
     /*  113718 */     // GIR_Coverage, 23120,
     /*  113718 */     GIR_EraseRootFromParent_Done,
     /*  113719 */   // Label 2983: @113719
     /*  113719 */   GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(113764), // Rule ID 23121 //
     /*  113724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  113735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  113752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113762 */     GIR_RootConstrainSelectedInstOperands,
     /*  113763 */     // GIR_Coverage, 23121,
     /*  113763 */     GIR_EraseRootFromParent_Done,
     /*  113764 */   // Label 2984: @113764
     /*  113764 */   GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(113809), // Rule ID 23122 //
     /*  113769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  113780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113794 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  113797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113807 */     GIR_RootConstrainSelectedInstOperands,
     /*  113808 */     // GIR_Coverage, 23122,
     /*  113808 */     GIR_EraseRootFromParent_Done,
     /*  113809 */   // Label 2985: @113809
     /*  113809 */   GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(113854), // Rule ID 23123 //
     /*  113814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  113825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113839 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  113842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113852 */     GIR_RootConstrainSelectedInstOperands,
     /*  113853 */     // GIR_Coverage, 23123,
     /*  113853 */     GIR_EraseRootFromParent_Done,
     /*  113854 */   // Label 2986: @113854
     /*  113854 */   GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(113899), // Rule ID 23124 //
     /*  113859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  113870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  113887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113897 */     GIR_RootConstrainSelectedInstOperands,
     /*  113898 */     // GIR_Coverage, 23124,
     /*  113898 */     GIR_EraseRootFromParent_Done,
     /*  113899 */   // Label 2987: @113899
     /*  113899 */   GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(113944), // Rule ID 23125 //
     /*  113904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  113912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  113915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  113918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113929 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11052:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  113929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  113932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113942 */     GIR_RootConstrainSelectedInstOperands,
     /*  113943 */     // GIR_Coverage, 23125,
     /*  113943 */     GIR_EraseRootFromParent_Done,
     /*  113944 */   // Label 2988: @113944
     /*  113944 */   GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(113989), // Rule ID 23126 //
     /*  113949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  113952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  113957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  113960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  113974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  113974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  113977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  113987 */     GIR_RootConstrainSelectedInstOperands,
     /*  113988 */     // GIR_Coverage, 23126,
     /*  113988 */     GIR_EraseRootFromParent_Done,
     /*  113989 */   // Label 2989: @113989
     /*  113989 */   GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(114034), // Rule ID 23127 //
     /*  113994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  113997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  114022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114032 */     GIR_RootConstrainSelectedInstOperands,
     /*  114033 */     // GIR_Coverage, 23127,
     /*  114033 */     GIR_EraseRootFromParent_Done,
     /*  114034 */   // Label 2990: @114034
     /*  114034 */   GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(114079), // Rule ID 23128 //
     /*  114039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  114050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114064 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  114067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114077 */     GIR_RootConstrainSelectedInstOperands,
     /*  114078 */     // GIR_Coverage, 23128,
     /*  114078 */     GIR_EraseRootFromParent_Done,
     /*  114079 */   // Label 2991: @114079
     /*  114079 */   GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(114124), // Rule ID 23129 //
     /*  114084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  114095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  114112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114122 */     GIR_RootConstrainSelectedInstOperands,
     /*  114123 */     // GIR_Coverage, 23129,
     /*  114123 */     GIR_EraseRootFromParent_Done,
     /*  114124 */   // Label 2992: @114124
     /*  114124 */   GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(114169), // Rule ID 23130 //
     /*  114129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  114140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114154 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  114157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114167 */     GIR_RootConstrainSelectedInstOperands,
     /*  114168 */     // GIR_Coverage, 23130,
     /*  114168 */     GIR_EraseRootFromParent_Done,
     /*  114169 */   // Label 2993: @114169
     /*  114169 */   GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(114214), // Rule ID 23131 //
     /*  114174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  114185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114212 */     GIR_RootConstrainSelectedInstOperands,
     /*  114213 */     // GIR_Coverage, 23131,
     /*  114213 */     GIR_EraseRootFromParent_Done,
     /*  114214 */   // Label 2994: @114214
     /*  114214 */   GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(114259), // Rule ID 23132 //
     /*  114219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  114230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114244 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  114247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114257 */     GIR_RootConstrainSelectedInstOperands,
     /*  114258 */     // GIR_Coverage, 23132,
     /*  114258 */     GIR_EraseRootFromParent_Done,
     /*  114259 */   // Label 2995: @114259
     /*  114259 */   GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(114304), // Rule ID 23133 //
     /*  114264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  114275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  114292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114302 */     GIR_RootConstrainSelectedInstOperands,
     /*  114303 */     // GIR_Coverage, 23133,
     /*  114303 */     GIR_EraseRootFromParent_Done,
     /*  114304 */   // Label 2996: @114304
     /*  114304 */   GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(114349), // Rule ID 23134 //
     /*  114309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  114320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  114337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114347 */     GIR_RootConstrainSelectedInstOperands,
     /*  114348 */     // GIR_Coverage, 23134,
     /*  114348 */     GIR_EraseRootFromParent_Done,
     /*  114349 */   // Label 2997: @114349
     /*  114349 */   GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(114394), // Rule ID 23135 //
     /*  114354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  114365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114379 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  114382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114392 */     GIR_RootConstrainSelectedInstOperands,
     /*  114393 */     // GIR_Coverage, 23135,
     /*  114393 */     GIR_EraseRootFromParent_Done,
     /*  114394 */   // Label 2998: @114394
     /*  114394 */   GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(114439), // Rule ID 23136 //
     /*  114399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  114410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114424 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  114427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114437 */     GIR_RootConstrainSelectedInstOperands,
     /*  114438 */     // GIR_Coverage, 23136,
     /*  114438 */     GIR_EraseRootFromParent_Done,
     /*  114439 */   // Label 2999: @114439
     /*  114439 */   GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(114484), // Rule ID 23137 //
     /*  114444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  114455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114469 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  114472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114482 */     GIR_RootConstrainSelectedInstOperands,
     /*  114483 */     // GIR_Coverage, 23137,
     /*  114483 */     GIR_EraseRootFromParent_Done,
     /*  114484 */   // Label 3000: @114484
     /*  114484 */   GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(114529), // Rule ID 23138 //
     /*  114489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  114500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114514 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  114517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114527 */     GIR_RootConstrainSelectedInstOperands,
     /*  114528 */     // GIR_Coverage, 23138,
     /*  114528 */     GIR_EraseRootFromParent_Done,
     /*  114529 */   // Label 3001: @114529
     /*  114529 */   GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(114574), // Rule ID 23139 //
     /*  114534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  114542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  114545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114559 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11080:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  114562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114572 */     GIR_RootConstrainSelectedInstOperands,
     /*  114573 */     // GIR_Coverage, 23139,
     /*  114573 */     GIR_EraseRootFromParent_Done,
     /*  114574 */   // Label 3002: @114574
     /*  114574 */   GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(114610), // Rule ID 2509 //
     /*  114579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  114582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  114587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114601 */     // (intrinsic_wo_chain:{ *:[i64] } 10611:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  114604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114608 */     GIR_RootConstrainSelectedInstOperands,
     /*  114609 */     // GIR_Coverage, 2509,
     /*  114609 */     GIR_EraseRootFromParent_Done,
     /*  114610 */   // Label 3003: @114610
     /*  114610 */   GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(114646), // Rule ID 2530 //
     /*  114615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  114623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114637 */     // (intrinsic_wo_chain:{ *:[i64] } 10747:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  114640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114644 */     GIR_RootConstrainSelectedInstOperands,
     /*  114645 */     // GIR_Coverage, 2530,
     /*  114645 */     GIR_EraseRootFromParent_Done,
     /*  114646 */   // Label 3004: @114646
     /*  114646 */   GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(114682), // Rule ID 2531 //
     /*  114651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  114659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114673 */     // (intrinsic_wo_chain:{ *:[i64] } 10750:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  114676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114680 */     GIR_RootConstrainSelectedInstOperands,
     /*  114681 */     // GIR_Coverage, 2531,
     /*  114681 */     GIR_EraseRootFromParent_Done,
     /*  114682 */   // Label 3005: @114682
     /*  114682 */   GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(114718), // Rule ID 2532 //
     /*  114687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  114695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114709 */     // (intrinsic_wo_chain:{ *:[i64] } 10753:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  114712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114716 */     GIR_RootConstrainSelectedInstOperands,
     /*  114717 */     // GIR_Coverage, 2532,
     /*  114717 */     GIR_EraseRootFromParent_Done,
     /*  114718 */   // Label 3006: @114718
     /*  114718 */   GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(114754), // Rule ID 2533 //
     /*  114723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  114726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  114731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  114737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114745 */     // (intrinsic_wo_chain:{ *:[i64] } 10755:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  114745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  114748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114752 */     GIR_RootConstrainSelectedInstOperands,
     /*  114753 */     // GIR_Coverage, 2533,
     /*  114753 */     GIR_EraseRootFromParent_Done,
     /*  114754 */   // Label 3007: @114754
     /*  114754 */   GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(114790), // Rule ID 63783 //
     /*  114759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  114762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  114767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  114770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  114773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114781 */     // (intrinsic_wo_chain:{ *:[i32] } 10631:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  114781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  114784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114788 */     GIR_RootConstrainSelectedInstOperands,
     /*  114789 */     // GIR_Coverage, 63783,
     /*  114789 */     GIR_EraseRootFromParent_Done,
     /*  114790 */   // Label 3008: @114790
     /*  114790 */   GIM_Reject,
     /*  114791 */ // Label 2974: @114791
     /*  114791 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(122079),
     /*  114796 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  114799 */   GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(114853), // Rule ID 2542 //
     /*  114804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  114812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  114815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  114821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114836 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  114839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114851 */     GIR_RootConstrainSelectedInstOperands,
     /*  114852 */     // GIR_Coverage, 2542,
     /*  114852 */     GIR_EraseRootFromParent_Done,
     /*  114853 */   // Label 3010: @114853
     /*  114853 */   GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(114907), // Rule ID 2543 //
     /*  114858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  114866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  114869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  114875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  114879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114890 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  114893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  114897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114905 */     GIR_RootConstrainSelectedInstOperands,
     /*  114906 */     // GIR_Coverage, 2543,
     /*  114906 */     GIR_EraseRootFromParent_Done,
     /*  114907 */   // Label 3011: @114907
     /*  114907 */   GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(114961), // Rule ID 2548 //
     /*  114912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  114915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  114920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  114929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  114944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  114947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  114956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  114959 */     GIR_RootConstrainSelectedInstOperands,
     /*  114960 */     // GIR_Coverage, 2548,
     /*  114960 */     GIR_EraseRootFromParent_Done,
     /*  114961 */   // Label 3012: @114961
     /*  114961 */   GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(115015), // Rule ID 2549 //
     /*  114966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  114969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  114974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  114977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  114980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  114983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  114998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  114998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  115001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115013 */     GIR_RootConstrainSelectedInstOperands,
     /*  115014 */     // GIR_Coverage, 2549,
     /*  115014 */     GIR_EraseRootFromParent_Done,
     /*  115015 */   // Label 3013: @115015
     /*  115015 */   GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(115072), // Rule ID 2568 //
     /*  115020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  115028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  115031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115052 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  115052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  115055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  115059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115070 */     GIR_RootConstrainSelectedInstOperands,
     /*  115071 */     // GIR_Coverage, 2568,
     /*  115071 */     GIR_EraseRootFromParent_Done,
     /*  115072 */   // Label 3014: @115072
     /*  115072 */   GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(115129), // Rule ID 2569 //
     /*  115077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  115085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  115088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115109 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  115109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  115112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  115116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115127 */     GIR_RootConstrainSelectedInstOperands,
     /*  115128 */     // GIR_Coverage, 2569,
     /*  115128 */     GIR_EraseRootFromParent_Done,
     /*  115129 */   // Label 3015: @115129
     /*  115129 */   GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(115183), // Rule ID 23140 //
     /*  115134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115166 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  115169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115181 */     GIR_RootConstrainSelectedInstOperands,
     /*  115182 */     // GIR_Coverage, 23140,
     /*  115182 */     GIR_EraseRootFromParent_Done,
     /*  115183 */   // Label 3016: @115183
     /*  115183 */   GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(115237), // Rule ID 23141 //
     /*  115188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115220 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  115223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115235 */     GIR_RootConstrainSelectedInstOperands,
     /*  115236 */     // GIR_Coverage, 23141,
     /*  115236 */     GIR_EraseRootFromParent_Done,
     /*  115237 */   // Label 3017: @115237
     /*  115237 */   GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(115291), // Rule ID 23144 //
     /*  115242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  115256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115274 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  115277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115289 */     GIR_RootConstrainSelectedInstOperands,
     /*  115290 */     // GIR_Coverage, 23144,
     /*  115290 */     GIR_EraseRootFromParent_Done,
     /*  115291 */   // Label 3018: @115291
     /*  115291 */   GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(115345), // Rule ID 23145 //
     /*  115296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  115310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115328 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  115331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115343 */     GIR_RootConstrainSelectedInstOperands,
     /*  115344 */     // GIR_Coverage, 23145,
     /*  115344 */     GIR_EraseRootFromParent_Done,
     /*  115345 */   // Label 3019: @115345
     /*  115345 */   GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(115399), // Rule ID 23148 //
     /*  115350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  115364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115382 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  115385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115397 */     GIR_RootConstrainSelectedInstOperands,
     /*  115398 */     // GIR_Coverage, 23148,
     /*  115398 */     GIR_EraseRootFromParent_Done,
     /*  115399 */   // Label 3020: @115399
     /*  115399 */   GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(115453), // Rule ID 23149 //
     /*  115404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  115418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115436 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  115439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115451 */     GIR_RootConstrainSelectedInstOperands,
     /*  115452 */     // GIR_Coverage, 23149,
     /*  115452 */     GIR_EraseRootFromParent_Done,
     /*  115453 */   // Label 3021: @115453
     /*  115453 */   GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(115507), // Rule ID 23152 //
     /*  115458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  115472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115490 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  115493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115505 */     GIR_RootConstrainSelectedInstOperands,
     /*  115506 */     // GIR_Coverage, 23152,
     /*  115506 */     GIR_EraseRootFromParent_Done,
     /*  115507 */   // Label 3022: @115507
     /*  115507 */   GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(115561), // Rule ID 23153 //
     /*  115512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  115526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115544 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  115547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115559 */     GIR_RootConstrainSelectedInstOperands,
     /*  115560 */     // GIR_Coverage, 23153,
     /*  115560 */     GIR_EraseRootFromParent_Done,
     /*  115561 */   // Label 3023: @115561
     /*  115561 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(115615), // Rule ID 23156 //
     /*  115566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  115580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115598 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  115601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115613 */     GIR_RootConstrainSelectedInstOperands,
     /*  115614 */     // GIR_Coverage, 23156,
     /*  115614 */     GIR_EraseRootFromParent_Done,
     /*  115615 */   // Label 3024: @115615
     /*  115615 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(115669), // Rule ID 23157 //
     /*  115620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  115634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115652 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  115655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115667 */     GIR_RootConstrainSelectedInstOperands,
     /*  115668 */     // GIR_Coverage, 23157,
     /*  115668 */     GIR_EraseRootFromParent_Done,
     /*  115669 */   // Label 3025: @115669
     /*  115669 */   GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(115723), // Rule ID 23160 //
     /*  115674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  115688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115706 */     // (intrinsic_wo_chain:{ *:[i64] } 10809:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  115709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115721 */     GIR_RootConstrainSelectedInstOperands,
     /*  115722 */     // GIR_Coverage, 23160,
     /*  115722 */     GIR_EraseRootFromParent_Done,
     /*  115723 */   // Label 3026: @115723
     /*  115723 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(115777), // Rule ID 23161 //
     /*  115728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  115736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  115742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115760 */     // (intrinsic_wo_chain:{ *:[i32] } 10809:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  115763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115775 */     GIR_RootConstrainSelectedInstOperands,
     /*  115776 */     // GIR_Coverage, 23161,
     /*  115776 */     GIR_EraseRootFromParent_Done,
     /*  115777 */   // Label 3027: @115777
     /*  115777 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(115831), // Rule ID 23164 //
     /*  115782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  115796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115814 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  115817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115829 */     GIR_RootConstrainSelectedInstOperands,
     /*  115830 */     // GIR_Coverage, 23164,
     /*  115830 */     GIR_EraseRootFromParent_Done,
     /*  115831 */   // Label 3028: @115831
     /*  115831 */   GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(115885), // Rule ID 23165 //
     /*  115836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  115850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115868 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  115871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115883 */     GIR_RootConstrainSelectedInstOperands,
     /*  115884 */     // GIR_Coverage, 23165,
     /*  115884 */     GIR_EraseRootFromParent_Done,
     /*  115885 */   // Label 3029: @115885
     /*  115885 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(115939), // Rule ID 23168 //
     /*  115890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  115893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  115901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  115907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115922 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  115922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  115925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115937 */     GIR_RootConstrainSelectedInstOperands,
     /*  115938 */     // GIR_Coverage, 23168,
     /*  115938 */     GIR_EraseRootFromParent_Done,
     /*  115939 */   // Label 3030: @115939
     /*  115939 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(115993), // Rule ID 23169 //
     /*  115944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  115947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  115952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  115955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  115958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  115961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  115976 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  115976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  115979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  115983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  115988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  115991 */     GIR_RootConstrainSelectedInstOperands,
     /*  115992 */     // GIR_Coverage, 23169,
     /*  115992 */     GIR_EraseRootFromParent_Done,
     /*  115993 */   // Label 3031: @115993
     /*  115993 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(116047), // Rule ID 23172 //
     /*  115998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116030 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  116033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116045 */     GIR_RootConstrainSelectedInstOperands,
     /*  116046 */     // GIR_Coverage, 23172,
     /*  116046 */     GIR_EraseRootFromParent_Done,
     /*  116047 */   // Label 3032: @116047
     /*  116047 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(116101), // Rule ID 23173 //
     /*  116052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116084 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  116087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116099 */     GIR_RootConstrainSelectedInstOperands,
     /*  116100 */     // GIR_Coverage, 23173,
     /*  116100 */     GIR_EraseRootFromParent_Done,
     /*  116101 */   // Label 3033: @116101
     /*  116101 */   GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(116155), // Rule ID 23176 //
     /*  116106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116138 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  116141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116153 */     GIR_RootConstrainSelectedInstOperands,
     /*  116154 */     // GIR_Coverage, 23176,
     /*  116154 */     GIR_EraseRootFromParent_Done,
     /*  116155 */   // Label 3034: @116155
     /*  116155 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(116209), // Rule ID 23177 //
     /*  116160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116192 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  116195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116207 */     GIR_RootConstrainSelectedInstOperands,
     /*  116208 */     // GIR_Coverage, 23177,
     /*  116208 */     GIR_EraseRootFromParent_Done,
     /*  116209 */   // Label 3035: @116209
     /*  116209 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(116263), // Rule ID 23180 //
     /*  116214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116246 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  116249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116261 */     GIR_RootConstrainSelectedInstOperands,
     /*  116262 */     // GIR_Coverage, 23180,
     /*  116262 */     GIR_EraseRootFromParent_Done,
     /*  116263 */   // Label 3036: @116263
     /*  116263 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(116317), // Rule ID 23181 //
     /*  116268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116300 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  116303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116315 */     GIR_RootConstrainSelectedInstOperands,
     /*  116316 */     // GIR_Coverage, 23181,
     /*  116316 */     GIR_EraseRootFromParent_Done,
     /*  116317 */   // Label 3037: @116317
     /*  116317 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(116371), // Rule ID 23184 //
     /*  116322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116354 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  116357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116369 */     GIR_RootConstrainSelectedInstOperands,
     /*  116370 */     // GIR_Coverage, 23184,
     /*  116370 */     GIR_EraseRootFromParent_Done,
     /*  116371 */   // Label 3038: @116371
     /*  116371 */   GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(116425), // Rule ID 23185 //
     /*  116376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116408 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  116411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116423 */     GIR_RootConstrainSelectedInstOperands,
     /*  116424 */     // GIR_Coverage, 23185,
     /*  116424 */     GIR_EraseRootFromParent_Done,
     /*  116425 */   // Label 3039: @116425
     /*  116425 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(116479), // Rule ID 23188 //
     /*  116430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  116441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  116444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116462 */     // (intrinsic_wo_chain:{ *:[i64] } 10837:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  116465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116477 */     GIR_RootConstrainSelectedInstOperands,
     /*  116478 */     // GIR_Coverage, 23188,
     /*  116478 */     GIR_EraseRootFromParent_Done,
     /*  116479 */   // Label 3040: @116479
     /*  116479 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(116533), // Rule ID 23189 //
     /*  116484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  116492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  116495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  116498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  116505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116516 */     // (intrinsic_wo_chain:{ *:[i32] } 10837:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  116519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  116523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116531 */     GIR_RootConstrainSelectedInstOperands,
     /*  116532 */     // GIR_Coverage, 23189,
     /*  116532 */     GIR_EraseRootFromParent_Done,
     /*  116533 */   // Label 3041: @116533
     /*  116533 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(116587), // Rule ID 23192 //
     /*  116538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  116549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  116552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  116573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116585 */     GIR_RootConstrainSelectedInstOperands,
     /*  116586 */     // GIR_Coverage, 23192,
     /*  116586 */     GIR_EraseRootFromParent_Done,
     /*  116587 */   // Label 3042: @116587
     /*  116587 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(116641), // Rule ID 23193 //
     /*  116592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  116603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  116606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  116627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116639 */     GIR_RootConstrainSelectedInstOperands,
     /*  116640 */     // GIR_Coverage, 23193,
     /*  116640 */     GIR_EraseRootFromParent_Done,
     /*  116641 */   // Label 3043: @116641
     /*  116641 */   GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(116695), // Rule ID 23196 //
     /*  116646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  116657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  116681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116693 */     GIR_RootConstrainSelectedInstOperands,
     /*  116694 */     // GIR_Coverage, 23196,
     /*  116694 */     GIR_EraseRootFromParent_Done,
     /*  116695 */   // Label 3044: @116695
     /*  116695 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(116749), // Rule ID 23197 //
     /*  116700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  116711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  116714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  116735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116747 */     GIR_RootConstrainSelectedInstOperands,
     /*  116748 */     // GIR_Coverage, 23197,
     /*  116748 */     GIR_EraseRootFromParent_Done,
     /*  116749 */   // Label 3045: @116749
     /*  116749 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(116803), // Rule ID 23200 //
     /*  116754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  116765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  116789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116801 */     GIR_RootConstrainSelectedInstOperands,
     /*  116802 */     // GIR_Coverage, 23200,
     /*  116802 */     GIR_EraseRootFromParent_Done,
     /*  116803 */   // Label 3046: @116803
     /*  116803 */   GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(116857), // Rule ID 23201 //
     /*  116808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  116819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  116822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  116843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116855 */     GIR_RootConstrainSelectedInstOperands,
     /*  116856 */     // GIR_Coverage, 23201,
     /*  116856 */     GIR_EraseRootFromParent_Done,
     /*  116857 */   // Label 3047: @116857
     /*  116857 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(116911), // Rule ID 23204 //
     /*  116862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  116873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116894 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  116894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  116897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116909 */     GIR_RootConstrainSelectedInstOperands,
     /*  116910 */     // GIR_Coverage, 23204,
     /*  116910 */     GIR_EraseRootFromParent_Done,
     /*  116911 */   // Label 3048: @116911
     /*  116911 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(116965), // Rule ID 23205 //
     /*  116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  116919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  116927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  116930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  116933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  116948 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  116948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  116951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  116960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  116963 */     GIR_RootConstrainSelectedInstOperands,
     /*  116964 */     // GIR_Coverage, 23205,
     /*  116964 */     GIR_EraseRootFromParent_Done,
     /*  116965 */   // Label 3049: @116965
     /*  116965 */   GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(117019), // Rule ID 23208 //
     /*  116970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  116973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  116978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  116981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  116984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  116987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  117005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117017 */     GIR_RootConstrainSelectedInstOperands,
     /*  117018 */     // GIR_Coverage, 23208,
     /*  117018 */     GIR_EraseRootFromParent_Done,
     /*  117019 */   // Label 3050: @117019
     /*  117019 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(117073), // Rule ID 23209 //
     /*  117024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117056 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  117059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117071 */     GIR_RootConstrainSelectedInstOperands,
     /*  117072 */     // GIR_Coverage, 23209,
     /*  117072 */     GIR_EraseRootFromParent_Done,
     /*  117073 */   // Label 3051: @117073
     /*  117073 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(117127), // Rule ID 23212 //
     /*  117078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117110 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  117113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117125 */     GIR_RootConstrainSelectedInstOperands,
     /*  117126 */     // GIR_Coverage, 23212,
     /*  117126 */     GIR_EraseRootFromParent_Done,
     /*  117127 */   // Label 3052: @117127
     /*  117127 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(117181), // Rule ID 23213 //
     /*  117132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  117140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117164 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11076:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  117167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117179 */     GIR_RootConstrainSelectedInstOperands,
     /*  117180 */     // GIR_Coverage, 23213,
     /*  117180 */     GIR_EraseRootFromParent_Done,
     /*  117181 */   // Label 3053: @117181
     /*  117181 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(117235), // Rule ID 23216 //
     /*  117186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  117221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117233 */     GIR_RootConstrainSelectedInstOperands,
     /*  117234 */     // GIR_Coverage, 23216,
     /*  117234 */     GIR_EraseRootFromParent_Done,
     /*  117235 */   // Label 3054: @117235
     /*  117235 */   GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(117289), // Rule ID 23217 //
     /*  117240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  117275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117287 */     GIR_RootConstrainSelectedInstOperands,
     /*  117288 */     // GIR_Coverage, 23217,
     /*  117288 */     GIR_EraseRootFromParent_Done,
     /*  117289 */   // Label 3055: @117289
     /*  117289 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(117343), // Rule ID 23220 //
     /*  117294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  117305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  117329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117341 */     GIR_RootConstrainSelectedInstOperands,
     /*  117342 */     // GIR_Coverage, 23220,
     /*  117342 */     GIR_EraseRootFromParent_Done,
     /*  117343 */   // Label 3056: @117343
     /*  117343 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(117397), // Rule ID 23221 //
     /*  117348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  117359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  117362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  117383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117395 */     GIR_RootConstrainSelectedInstOperands,
     /*  117396 */     // GIR_Coverage, 23221,
     /*  117396 */     GIR_EraseRootFromParent_Done,
     /*  117397 */   // Label 3057: @117397
     /*  117397 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(117451), // Rule ID 23224 //
     /*  117402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  117413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  117416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  117437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117449 */     GIR_RootConstrainSelectedInstOperands,
     /*  117450 */     // GIR_Coverage, 23224,
     /*  117450 */     GIR_EraseRootFromParent_Done,
     /*  117451 */   // Label 3058: @117451
     /*  117451 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(117505), // Rule ID 23225 //
     /*  117456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  117467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  117470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117488 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  117491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117503 */     GIR_RootConstrainSelectedInstOperands,
     /*  117504 */     // GIR_Coverage, 23225,
     /*  117504 */     GIR_EraseRootFromParent_Done,
     /*  117505 */   // Label 3059: @117505
     /*  117505 */   GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(117559), // Rule ID 23228 //
     /*  117510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  117521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  117524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  117545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117557 */     GIR_RootConstrainSelectedInstOperands,
     /*  117558 */     // GIR_Coverage, 23228,
     /*  117558 */     GIR_EraseRootFromParent_Done,
     /*  117559 */   // Label 3060: @117559
     /*  117559 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(117613), // Rule ID 23229 //
     /*  117564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  117575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  117578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117596 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  117599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117611 */     GIR_RootConstrainSelectedInstOperands,
     /*  117612 */     // GIR_Coverage, 23229,
     /*  117612 */     GIR_EraseRootFromParent_Done,
     /*  117613 */   // Label 3061: @117613
     /*  117613 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(117667), // Rule ID 23232 //
     /*  117618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  117629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  117632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117650 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  117653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117665 */     GIR_RootConstrainSelectedInstOperands,
     /*  117666 */     // GIR_Coverage, 23232,
     /*  117666 */     GIR_EraseRootFromParent_Done,
     /*  117667 */   // Label 3062: @117667
     /*  117667 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(117721), // Rule ID 23233 //
     /*  117672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  117683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  117686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117704 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  117707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117719 */     GIR_RootConstrainSelectedInstOperands,
     /*  117720 */     // GIR_Coverage, 23233,
     /*  117720 */     GIR_EraseRootFromParent_Done,
     /*  117721 */   // Label 3063: @117721
     /*  117721 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(117775), // Rule ID 23236 //
     /*  117726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117758 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  117761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117773 */     GIR_RootConstrainSelectedInstOperands,
     /*  117774 */     // GIR_Coverage, 23236,
     /*  117774 */     GIR_EraseRootFromParent_Done,
     /*  117775 */   // Label 3064: @117775
     /*  117775 */   GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(117829), // Rule ID 23237 //
     /*  117780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  117791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  117794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  117815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117827 */     GIR_RootConstrainSelectedInstOperands,
     /*  117828 */     // GIR_Coverage, 23237,
     /*  117828 */     GIR_EraseRootFromParent_Done,
     /*  117829 */   // Label 3065: @117829
     /*  117829 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(117883), // Rule ID 23240 //
     /*  117834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117866 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  117869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117881 */     GIR_RootConstrainSelectedInstOperands,
     /*  117882 */     // GIR_Coverage, 23240,
     /*  117882 */     GIR_EraseRootFromParent_Done,
     /*  117883 */   // Label 3066: @117883
     /*  117883 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(117937), // Rule ID 23241 //
     /*  117888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  117896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  117899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  117902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  117905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117920 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11089:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  117920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  117923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117935 */     GIR_RootConstrainSelectedInstOperands,
     /*  117936 */     // GIR_Coverage, 23241,
     /*  117936 */     GIR_EraseRootFromParent_Done,
     /*  117937 */   // Label 3067: @117937
     /*  117937 */   GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(117991), // Rule ID 23244 //
     /*  117942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  117945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  117950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  117953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  117956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  117959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  117974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  117974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  117977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  117989 */     GIR_RootConstrainSelectedInstOperands,
     /*  117990 */     // GIR_Coverage, 23244,
     /*  117990 */     GIR_EraseRootFromParent_Done,
     /*  117991 */   // Label 3068: @117991
     /*  117991 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(118045), // Rule ID 23245 //
     /*  117996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  117999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  118007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  118010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  118031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118043 */     GIR_RootConstrainSelectedInstOperands,
     /*  118044 */     // GIR_Coverage, 23245,
     /*  118044 */     GIR_EraseRootFromParent_Done,
     /*  118045 */   // Label 3069: @118045
     /*  118045 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(118099), // Rule ID 23248 //
     /*  118050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  118061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  118085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118097 */     GIR_RootConstrainSelectedInstOperands,
     /*  118098 */     // GIR_Coverage, 23248,
     /*  118098 */     GIR_EraseRootFromParent_Done,
     /*  118099 */   // Label 3070: @118099
     /*  118099 */   GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(118153), // Rule ID 23249 //
     /*  118104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  118115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  118118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  118139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118151 */     GIR_RootConstrainSelectedInstOperands,
     /*  118152 */     // GIR_Coverage, 23249,
     /*  118152 */     GIR_EraseRootFromParent_Done,
     /*  118153 */   // Label 3071: @118153
     /*  118153 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(118207), // Rule ID 23252 //
     /*  118158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  118169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118190 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  118193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118205 */     GIR_RootConstrainSelectedInstOperands,
     /*  118206 */     // GIR_Coverage, 23252,
     /*  118206 */     GIR_EraseRootFromParent_Done,
     /*  118207 */   // Label 3072: @118207
     /*  118207 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(118261), // Rule ID 23253 //
     /*  118212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  118223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  118226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  118247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118259 */     GIR_RootConstrainSelectedInstOperands,
     /*  118260 */     // GIR_Coverage, 23253,
     /*  118260 */     GIR_EraseRootFromParent_Done,
     /*  118261 */   // Label 3073: @118261
     /*  118261 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(118315), // Rule ID 23256 //
     /*  118266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  118277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  118280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  118301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118313 */     GIR_RootConstrainSelectedInstOperands,
     /*  118314 */     // GIR_Coverage, 23256,
     /*  118314 */     GIR_EraseRootFromParent_Done,
     /*  118315 */   // Label 3074: @118315
     /*  118315 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(118369), // Rule ID 23257 //
     /*  118320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  118331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  118334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  118355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118367 */     GIR_RootConstrainSelectedInstOperands,
     /*  118368 */     // GIR_Coverage, 23257,
     /*  118368 */     GIR_EraseRootFromParent_Done,
     /*  118369 */   // Label 3075: @118369
     /*  118369 */   GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(118423), // Rule ID 23260 //
     /*  118374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  118385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  118388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  118409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118421 */     GIR_RootConstrainSelectedInstOperands,
     /*  118422 */     // GIR_Coverage, 23260,
     /*  118422 */     GIR_EraseRootFromParent_Done,
     /*  118423 */   // Label 3076: @118423
     /*  118423 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(118477), // Rule ID 23261 //
     /*  118428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  118439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  118442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  118463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118475 */     GIR_RootConstrainSelectedInstOperands,
     /*  118476 */     // GIR_Coverage, 23261,
     /*  118476 */     GIR_EraseRootFromParent_Done,
     /*  118477 */   // Label 3077: @118477
     /*  118477 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(118531), // Rule ID 23264 //
     /*  118482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  118493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  118496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118514 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  118517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118529 */     GIR_RootConstrainSelectedInstOperands,
     /*  118530 */     // GIR_Coverage, 23264,
     /*  118530 */     GIR_EraseRootFromParent_Done,
     /*  118531 */   // Label 3078: @118531
     /*  118531 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(118585), // Rule ID 23265 //
     /*  118536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  118547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  118550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118568 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  118571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118583 */     GIR_RootConstrainSelectedInstOperands,
     /*  118584 */     // GIR_Coverage, 23265,
     /*  118584 */     GIR_EraseRootFromParent_Done,
     /*  118585 */   // Label 3079: @118585
     /*  118585 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(118639), // Rule ID 23268 //
     /*  118590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  118593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  118601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  118604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118622 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  118622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  118625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118637 */     GIR_RootConstrainSelectedInstOperands,
     /*  118638 */     // GIR_Coverage, 23268,
     /*  118638 */     GIR_EraseRootFromParent_Done,
     /*  118639 */   // Label 3080: @118639
     /*  118639 */   GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(118693), // Rule ID 23269 //
     /*  118644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  118647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  118652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  118655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  118658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118676 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11101:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  118676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  118679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118691 */     GIR_RootConstrainSelectedInstOperands,
     /*  118692 */     // GIR_Coverage, 23269,
     /*  118692 */     GIR_EraseRootFromParent_Done,
     /*  118693 */   // Label 3081: @118693
     /*  118693 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(118750), // Rule ID 23356 //
     /*  118698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  118709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  118730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118748 */     GIR_RootConstrainSelectedInstOperands,
     /*  118749 */     // GIR_Coverage, 23356,
     /*  118749 */     GIR_EraseRootFromParent_Done,
     /*  118750 */   // Label 3082: @118750
     /*  118750 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(118807), // Rule ID 23357 //
     /*  118755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  118766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  118769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  118787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118805 */     GIR_RootConstrainSelectedInstOperands,
     /*  118806 */     // GIR_Coverage, 23357,
     /*  118806 */     GIR_EraseRootFromParent_Done,
     /*  118807 */   // Label 3083: @118807
     /*  118807 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(118864), // Rule ID 23360 //
     /*  118812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  118823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  118826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118844 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  118844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  118847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118862 */     GIR_RootConstrainSelectedInstOperands,
     /*  118863 */     // GIR_Coverage, 23360,
     /*  118863 */     GIR_EraseRootFromParent_Done,
     /*  118864 */   // Label 3084: @118864
     /*  118864 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(118921), // Rule ID 23361 //
     /*  118869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  118880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  118883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  118886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118901 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  118901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  118904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118919 */     GIR_RootConstrainSelectedInstOperands,
     /*  118920 */     // GIR_Coverage, 23361,
     /*  118920 */     GIR_EraseRootFromParent_Done,
     /*  118921 */   // Label 3085: @118921
     /*  118921 */   GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(118978), // Rule ID 23364 //
     /*  118926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  118937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  118940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  118943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  118951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  118958 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  118958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  118961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  118965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  118970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  118976 */     GIR_RootConstrainSelectedInstOperands,
     /*  118977 */     // GIR_Coverage, 23364,
     /*  118977 */     GIR_EraseRootFromParent_Done,
     /*  118978 */   // Label 3086: @118978
     /*  118978 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(119035), // Rule ID 23365 //
     /*  118983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  118991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  118994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  118997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119015 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  119018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119033 */     GIR_RootConstrainSelectedInstOperands,
     /*  119034 */     // GIR_Coverage, 23365,
     /*  119034 */     GIR_EraseRootFromParent_Done,
     /*  119035 */   // Label 3087: @119035
     /*  119035 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(119092), // Rule ID 23368 //
     /*  119040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  119051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  119054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  119072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119090 */     GIR_RootConstrainSelectedInstOperands,
     /*  119091 */     // GIR_Coverage, 23368,
     /*  119091 */     GIR_EraseRootFromParent_Done,
     /*  119092 */   // Label 3088: @119092
     /*  119092 */   GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(119149), // Rule ID 23369 //
     /*  119097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  119108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  119111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119129 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119147 */     GIR_RootConstrainSelectedInstOperands,
     /*  119148 */     // GIR_Coverage, 23369,
     /*  119148 */     GIR_EraseRootFromParent_Done,
     /*  119149 */   // Label 3089: @119149
     /*  119149 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(119206), // Rule ID 23372 //
     /*  119154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  119165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  119168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  119186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119204 */     GIR_RootConstrainSelectedInstOperands,
     /*  119205 */     // GIR_Coverage, 23372,
     /*  119205 */     GIR_EraseRootFromParent_Done,
     /*  119206 */   // Label 3090: @119206
     /*  119206 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(119263), // Rule ID 23373 //
     /*  119211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  119222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  119225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  119243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  119246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119261 */     GIR_RootConstrainSelectedInstOperands,
     /*  119262 */     // GIR_Coverage, 23373,
     /*  119262 */     GIR_EraseRootFromParent_Done,
     /*  119263 */   // Label 3091: @119263
     /*  119263 */   GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(119320), // Rule ID 23376 //
     /*  119268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  119279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  119282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119318 */     GIR_RootConstrainSelectedInstOperands,
     /*  119319 */     // GIR_Coverage, 23376,
     /*  119319 */     GIR_EraseRootFromParent_Done,
     /*  119320 */   // Label 3092: @119320
     /*  119320 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(119377), // Rule ID 23377 //
     /*  119325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  119336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  119339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10955:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119375 */     GIR_RootConstrainSelectedInstOperands,
     /*  119376 */     // GIR_Coverage, 23377,
     /*  119376 */     GIR_EraseRootFromParent_Done,
     /*  119377 */   // Label 3093: @119377
     /*  119377 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(119434), // Rule ID 23380 //
     /*  119382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  119393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  119414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119432 */     GIR_RootConstrainSelectedInstOperands,
     /*  119433 */     // GIR_Coverage, 23380,
     /*  119433 */     GIR_EraseRootFromParent_Done,
     /*  119434 */   // Label 3094: @119434
     /*  119434 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(119491), // Rule ID 23381 //
     /*  119439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  119450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  119453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10955:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  119471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  119486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119489 */     GIR_RootConstrainSelectedInstOperands,
     /*  119490 */     // GIR_Coverage, 23381,
     /*  119490 */     GIR_EraseRootFromParent_Done,
     /*  119491 */   // Label 3095: @119491
     /*  119491 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(119548), // Rule ID 23384 //
     /*  119496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  119507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  119510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  119528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119546 */     GIR_RootConstrainSelectedInstOperands,
     /*  119547 */     // GIR_Coverage, 23384,
     /*  119547 */     GIR_EraseRootFromParent_Done,
     /*  119548 */   // Label 3096: @119548
     /*  119548 */   GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(119605), // Rule ID 23385 //
     /*  119553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  119564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  119567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119585 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10955:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  119585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  119600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119603 */     GIR_RootConstrainSelectedInstOperands,
     /*  119604 */     // GIR_Coverage, 23385,
     /*  119604 */     GIR_EraseRootFromParent_Done,
     /*  119605 */   // Label 3097: @119605
     /*  119605 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(119662), // Rule ID 23388 //
     /*  119610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  119613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  119621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  119624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  119642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119660 */     GIR_RootConstrainSelectedInstOperands,
     /*  119661 */     // GIR_Coverage, 23388,
     /*  119661 */     GIR_EraseRootFromParent_Done,
     /*  119662 */   // Label 3098: @119662
     /*  119662 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(119719), // Rule ID 23389 //
     /*  119667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  119670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  119678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  119681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  119692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10955:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  119699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  119702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119717 */     GIR_RootConstrainSelectedInstOperands,
     /*  119718 */     // GIR_Coverage, 23389,
     /*  119718 */     GIR_EraseRootFromParent_Done,
     /*  119719 */   // Label 3099: @119719
     /*  119719 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(119776), // Rule ID 23392 //
     /*  119724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  119735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  119738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  119759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119774 */     GIR_RootConstrainSelectedInstOperands,
     /*  119775 */     // GIR_Coverage, 23392,
     /*  119775 */     GIR_EraseRootFromParent_Done,
     /*  119776 */   // Label 3100: @119776
     /*  119776 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(119833), // Rule ID 23393 //
     /*  119781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  119792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  119795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  119806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  119816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119831 */     GIR_RootConstrainSelectedInstOperands,
     /*  119832 */     // GIR_Coverage, 23393,
     /*  119832 */     GIR_EraseRootFromParent_Done,
     /*  119833 */   // Label 3101: @119833
     /*  119833 */   GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(119890), // Rule ID 23396 //
     /*  119838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  119849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  119852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  119873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119888 */     GIR_RootConstrainSelectedInstOperands,
     /*  119889 */     // GIR_Coverage, 23396,
     /*  119889 */     GIR_EraseRootFromParent_Done,
     /*  119890 */   // Label 3102: @119890
     /*  119890 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(119947), // Rule ID 23397 //
     /*  119895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  119898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  119906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  119909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  119912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  119920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119927 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  119927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  119930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119945 */     GIR_RootConstrainSelectedInstOperands,
     /*  119946 */     // GIR_Coverage, 23397,
     /*  119946 */     GIR_EraseRootFromParent_Done,
     /*  119947 */   // Label 3103: @119947
     /*  119947 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(120004), // Rule ID 23400 //
     /*  119952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  119955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  119960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  119963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  119966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  119969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  119973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  119977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  119984 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  119984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  119987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  119991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  119996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  119999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120002 */     GIR_RootConstrainSelectedInstOperands,
     /*  120003 */     // GIR_Coverage, 23400,
     /*  120003 */     GIR_EraseRootFromParent_Done,
     /*  120004 */   // Label 3104: @120004
     /*  120004 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(120061), // Rule ID 23401 //
     /*  120009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  120020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  120023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  120041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  120056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120059 */     GIR_RootConstrainSelectedInstOperands,
     /*  120060 */     // GIR_Coverage, 23401,
     /*  120060 */     GIR_EraseRootFromParent_Done,
     /*  120061 */   // Label 3105: @120061
     /*  120061 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(120118), // Rule ID 23404 //
     /*  120066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  120077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120098 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120116 */     GIR_RootConstrainSelectedInstOperands,
     /*  120117 */     // GIR_Coverage, 23404,
     /*  120117 */     GIR_EraseRootFromParent_Done,
     /*  120118 */   // Label 3106: @120118
     /*  120118 */   GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(120175), // Rule ID 23405 //
     /*  120123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  120134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  120137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120173 */     GIR_RootConstrainSelectedInstOperands,
     /*  120174 */     // GIR_Coverage, 23405,
     /*  120174 */     GIR_EraseRootFromParent_Done,
     /*  120175 */   // Label 3107: @120175
     /*  120175 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(120232), // Rule ID 23408 //
     /*  120180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  120191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  120194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120230 */     GIR_RootConstrainSelectedInstOperands,
     /*  120231 */     // GIR_Coverage, 23408,
     /*  120231 */     GIR_EraseRootFromParent_Done,
     /*  120232 */   // Label 3108: @120232
     /*  120232 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(120289), // Rule ID 23409 //
     /*  120237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  120248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  120251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120287 */     GIR_RootConstrainSelectedInstOperands,
     /*  120288 */     // GIR_Coverage, 23409,
     /*  120288 */     GIR_EraseRootFromParent_Done,
     /*  120289 */   // Label 3109: @120289
     /*  120289 */   GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(120346), // Rule ID 23412 //
     /*  120294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  120305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  120308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  120326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120344 */     GIR_RootConstrainSelectedInstOperands,
     /*  120345 */     // GIR_Coverage, 23412,
     /*  120345 */     GIR_EraseRootFromParent_Done,
     /*  120346 */   // Label 3110: @120346
     /*  120346 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(120403), // Rule ID 23413 //
     /*  120351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  120362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  120365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120383 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  120383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  120398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120401 */     GIR_RootConstrainSelectedInstOperands,
     /*  120402 */     // GIR_Coverage, 23413,
     /*  120402 */     GIR_EraseRootFromParent_Done,
     /*  120403 */   // Label 3111: @120403
     /*  120403 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(120460), // Rule ID 23416 //
     /*  120408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  120419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  120422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120440 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120458 */     GIR_RootConstrainSelectedInstOperands,
     /*  120459 */     // GIR_Coverage, 23416,
     /*  120459 */     GIR_EraseRootFromParent_Done,
     /*  120460 */   // Label 3112: @120460
     /*  120460 */   GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(120517), // Rule ID 23417 //
     /*  120465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  120476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  120479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120515 */     GIR_RootConstrainSelectedInstOperands,
     /*  120516 */     // GIR_Coverage, 23417,
     /*  120516 */     GIR_EraseRootFromParent_Done,
     /*  120517 */   // Label 3113: @120517
     /*  120517 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(120574), // Rule ID 23420 //
     /*  120522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  120533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120554 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120572 */     GIR_RootConstrainSelectedInstOperands,
     /*  120573 */     // GIR_Coverage, 23420,
     /*  120573 */     GIR_EraseRootFromParent_Done,
     /*  120574 */   // Label 3114: @120574
     /*  120574 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(120631), // Rule ID 23421 //
     /*  120579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  120590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  120593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120629 */     GIR_RootConstrainSelectedInstOperands,
     /*  120630 */     // GIR_Coverage, 23421,
     /*  120630 */     GIR_EraseRootFromParent_Done,
     /*  120631 */   // Label 3115: @120631
     /*  120631 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(120688), // Rule ID 23424 //
     /*  120636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  120639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  120647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  120650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120668 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  120668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120686 */     GIR_RootConstrainSelectedInstOperands,
     /*  120687 */     // GIR_Coverage, 23424,
     /*  120687 */     GIR_EraseRootFromParent_Done,
     /*  120688 */   // Label 3116: @120688
     /*  120688 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(120745), // Rule ID 23425 //
     /*  120693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  120696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  120704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  120707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  120725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  120728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  120740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120743 */     GIR_RootConstrainSelectedInstOperands,
     /*  120744 */     // GIR_Coverage, 23425,
     /*  120744 */     GIR_EraseRootFromParent_Done,
     /*  120745 */   // Label 3117: @120745
     /*  120745 */   GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(120802), // Rule ID 23428 //
     /*  120750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  120761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  120764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  120782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120800 */     GIR_RootConstrainSelectedInstOperands,
     /*  120801 */     // GIR_Coverage, 23428,
     /*  120801 */     GIR_EraseRootFromParent_Done,
     /*  120802 */   // Label 3118: @120802
     /*  120802 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(120859), // Rule ID 23429 //
     /*  120807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  120818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  120821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  120832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10955:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  120839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  120842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120857 */     GIR_RootConstrainSelectedInstOperands,
     /*  120858 */     // GIR_Coverage, 23429,
     /*  120858 */     GIR_EraseRootFromParent_Done,
     /*  120859 */   // Label 3119: @120859
     /*  120859 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(120916), // Rule ID 23432 //
     /*  120864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  120875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  120878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120896 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  120896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120914 */     GIR_RootConstrainSelectedInstOperands,
     /*  120915 */     // GIR_Coverage, 23432,
     /*  120915 */     GIR_EraseRootFromParent_Done,
     /*  120916 */   // Label 3120: @120916
     /*  120916 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(120973), // Rule ID 23433 //
     /*  120921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  120924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  120932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  120935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  120938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  120946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  120953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10955:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  120953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  120956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  120960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  120965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  120968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  120971 */     GIR_RootConstrainSelectedInstOperands,
     /*  120972 */     // GIR_Coverage, 23433,
     /*  120972 */     GIR_EraseRootFromParent_Done,
     /*  120973 */   // Label 3121: @120973
     /*  120973 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(121030), // Rule ID 23436 //
     /*  120978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  120981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  120986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  120989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  120992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  120995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  120999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  121010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  121010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  121013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  121017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  121022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121028 */     GIR_RootConstrainSelectedInstOperands,
     /*  121029 */     // GIR_Coverage, 23436,
     /*  121029 */     GIR_EraseRootFromParent_Done,
     /*  121030 */   // Label 3122: @121030
     /*  121030 */   GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(121087), // Rule ID 23437 //
     /*  121035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  121038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  121043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  121046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  121049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  121060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  121067 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10955:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  121067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  121070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  121074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  121079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  121082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121085 */     GIR_RootConstrainSelectedInstOperands,
     /*  121086 */     // GIR_Coverage, 23437,
     /*  121086 */     GIR_EraseRootFromParent_Done,
     /*  121087 */   // Label 3123: @121087
     /*  121087 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(121133), // Rule ID 2511 //
     /*  121092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  121095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  121100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121114 */     // MIs[0] rnum
     /*  121114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  121117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  121122 */     // (intrinsic_wo_chain:{ *:[i64] } 10612:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  121122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  121125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  121131 */     GIR_RootConstrainSelectedInstOperands,
     /*  121132 */     // GIR_Coverage, 2511,
     /*  121132 */     GIR_EraseRootFromParent_Done,
     /*  121133 */   // Label 3124: @121133
     /*  121133 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(121178), // Rule ID 63791 //
     /*  121138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  121141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  121146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121167 */     // (intrinsic_wo_chain:{ *:[i32] } 10622:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  121170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121176 */     GIR_RootConstrainSelectedInstOperands,
     /*  121177 */     // GIR_Coverage, 63791,
     /*  121177 */     GIR_EraseRootFromParent_Done,
     /*  121178 */   // Label 3125: @121178
     /*  121178 */   GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(121223), // Rule ID 63818 //
     /*  121183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  121186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  121191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121212 */     // (intrinsic_wo_chain:{ *:[i32] } 10623:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  121215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121221 */     GIR_RootConstrainSelectedInstOperands,
     /*  121222 */     // GIR_Coverage, 63818,
     /*  121222 */     GIR_EraseRootFromParent_Done,
     /*  121223 */   // Label 3126: @121223
     /*  121223 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(121268), // Rule ID 2501 //
     /*  121228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  121231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  121236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121257 */     // (intrinsic_wo_chain:{ *:[i64] } 11313:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  121260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121266 */     GIR_RootConstrainSelectedInstOperands,
     /*  121267 */     // GIR_Coverage, 2501,
     /*  121267 */     GIR_EraseRootFromParent_Done,
     /*  121268 */   // Label 3127: @121268
     /*  121268 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(121313), // Rule ID 2502 //
     /*  121273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  121276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  121281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121302 */     // (intrinsic_wo_chain:{ *:[i32] } 11313:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  121305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121311 */     GIR_RootConstrainSelectedInstOperands,
     /*  121312 */     // GIR_Coverage, 2502,
     /*  121312 */     GIR_EraseRootFromParent_Done,
     /*  121313 */   // Label 3128: @121313
     /*  121313 */   GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(121358), // Rule ID 2503 //
     /*  121318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  121321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  121326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121347 */     // (intrinsic_wo_chain:{ *:[i64] } 11314:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  121350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121356 */     GIR_RootConstrainSelectedInstOperands,
     /*  121357 */     // GIR_Coverage, 2503,
     /*  121357 */     GIR_EraseRootFromParent_Done,
     /*  121358 */   // Label 3129: @121358
     /*  121358 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(121403), // Rule ID 2504 //
     /*  121363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  121366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  121371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121392 */     // (intrinsic_wo_chain:{ *:[i32] } 11314:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  121395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121401 */     GIR_RootConstrainSelectedInstOperands,
     /*  121402 */     // GIR_Coverage, 2504,
     /*  121402 */     GIR_EraseRootFromParent_Done,
     /*  121403 */   // Label 3130: @121403
     /*  121403 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(121448), // Rule ID 2507 //
     /*  121408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  121411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  121416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121437 */     // (intrinsic_wo_chain:{ *:[i64] } 10607:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  121440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121446 */     GIR_RootConstrainSelectedInstOperands,
     /*  121447 */     // GIR_Coverage, 2507,
     /*  121447 */     GIR_EraseRootFromParent_Done,
     /*  121448 */   // Label 3131: @121448
     /*  121448 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(121493), // Rule ID 2508 //
     /*  121453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  121456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  121461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121482 */     // (intrinsic_wo_chain:{ *:[i64] } 10608:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  121485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121491 */     GIR_RootConstrainSelectedInstOperands,
     /*  121492 */     // GIR_Coverage, 2508,
     /*  121492 */     GIR_EraseRootFromParent_Done,
     /*  121493 */   // Label 3132: @121493
     /*  121493 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(121538), // Rule ID 2510 //
     /*  121498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  121501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  121506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121527 */     // (intrinsic_wo_chain:{ *:[i64] } 10613:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  121530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121536 */     GIR_RootConstrainSelectedInstOperands,
     /*  121537 */     // GIR_Coverage, 2510,
     /*  121537 */     GIR_EraseRootFromParent_Done,
     /*  121538 */   // Label 3133: @121538
     /*  121538 */   GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(121583), // Rule ID 2514 //
     /*  121543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  121546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  121551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121572 */     // (intrinsic_wo_chain:{ *:[i64] } 10609:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  121575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121581 */     GIR_RootConstrainSelectedInstOperands,
     /*  121582 */     // GIR_Coverage, 2514,
     /*  121582 */     GIR_EraseRootFromParent_Done,
     /*  121583 */   // Label 3134: @121583
     /*  121583 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(121628), // Rule ID 2515 //
     /*  121588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  121591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  121596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  121599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  121602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  121605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121617 */     // (intrinsic_wo_chain:{ *:[i64] } 10610:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  121620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121626 */     GIR_RootConstrainSelectedInstOperands,
     /*  121627 */     // GIR_Coverage, 2515,
     /*  121627 */     GIR_EraseRootFromParent_Done,
     /*  121628 */   // Label 3135: @121628
     /*  121628 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(121673), // Rule ID 2524 //
     /*  121633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  121641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121662 */     // (intrinsic_wo_chain:{ *:[i32] } 10749:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  121665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121671 */     GIR_RootConstrainSelectedInstOperands,
     /*  121672 */     // GIR_Coverage, 2524,
     /*  121672 */     GIR_EraseRootFromParent_Done,
     /*  121673 */   // Label 3136: @121673
     /*  121673 */   GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(121718), // Rule ID 2525 //
     /*  121678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  121686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121707 */     // (intrinsic_wo_chain:{ *:[i32] } 10748:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  121710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121716 */     GIR_RootConstrainSelectedInstOperands,
     /*  121717 */     // GIR_Coverage, 2525,
     /*  121717 */     GIR_EraseRootFromParent_Done,
     /*  121718 */   // Label 3137: @121718
     /*  121718 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(121763), // Rule ID 2526 //
     /*  121723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  121731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121752 */     // (intrinsic_wo_chain:{ *:[i32] } 10752:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  121755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121761 */     GIR_RootConstrainSelectedInstOperands,
     /*  121762 */     // GIR_Coverage, 2526,
     /*  121762 */     GIR_EraseRootFromParent_Done,
     /*  121763 */   // Label 3138: @121763
     /*  121763 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(121808), // Rule ID 2527 //
     /*  121768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  121776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121797 */     // (intrinsic_wo_chain:{ *:[i32] } 10751:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  121800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121806 */     GIR_RootConstrainSelectedInstOperands,
     /*  121807 */     // GIR_Coverage, 2527,
     /*  121807 */     GIR_EraseRootFromParent_Done,
     /*  121808 */   // Label 3139: @121808
     /*  121808 */   GIM_Try, /*On fail goto*//*Label 3140*/ GIMT_Encode4(121853), // Rule ID 2528 //
     /*  121813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  121821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121842 */     // (intrinsic_wo_chain:{ *:[i32] } 10754:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  121845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121851 */     GIR_RootConstrainSelectedInstOperands,
     /*  121852 */     // GIR_Coverage, 2528,
     /*  121852 */     GIR_EraseRootFromParent_Done,
     /*  121853 */   // Label 3140: @121853
     /*  121853 */   GIM_Try, /*On fail goto*//*Label 3141*/ GIMT_Encode4(121898), // Rule ID 2529 //
     /*  121858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  121861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  121866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121887 */     // (intrinsic_wo_chain:{ *:[i32] } 10756:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  121890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121896 */     GIR_RootConstrainSelectedInstOperands,
     /*  121897 */     // GIR_Coverage, 2529,
     /*  121897 */     GIR_EraseRootFromParent_Done,
     /*  121898 */   // Label 3141: @121898
     /*  121898 */   GIM_Try, /*On fail goto*//*Label 3142*/ GIMT_Encode4(121943), // Rule ID 63768 //
     /*  121903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  121911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121932 */     // (intrinsic_wo_chain:{ *:[i32] } 10632:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  121935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121941 */     GIR_RootConstrainSelectedInstOperands,
     /*  121942 */     // GIR_Coverage, 63768,
     /*  121942 */     GIR_EraseRootFromParent_Done,
     /*  121943 */   // Label 3142: @121943
     /*  121943 */   GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(121988), // Rule ID 63770 //
     /*  121948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  121956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  121959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  121962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  121965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121977 */     // (intrinsic_wo_chain:{ *:[i32] } 10633:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  121977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  121980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  121986 */     GIR_RootConstrainSelectedInstOperands,
     /*  121987 */     // GIR_Coverage, 63770,
     /*  121987 */     GIR_EraseRootFromParent_Done,
     /*  121988 */   // Label 3143: @121988
     /*  121988 */   GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(122033), // Rule ID 63772 //
     /*  121993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  121996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  122001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  122004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  122007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122022 */     // (intrinsic_wo_chain:{ *:[i32] } 10628:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  122022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  122025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  122031 */     GIR_RootConstrainSelectedInstOperands,
     /*  122032 */     // GIR_Coverage, 63772,
     /*  122032 */     GIR_EraseRootFromParent_Done,
     /*  122033 */   // Label 3144: @122033
     /*  122033 */   GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(122078), // Rule ID 63774 //
     /*  122038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  122041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  122046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  122049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  122052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  122067 */     // (intrinsic_wo_chain:{ *:[i32] } 10630:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  122067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  122070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  122076 */     GIR_RootConstrainSelectedInstOperands,
     /*  122077 */     // GIR_Coverage, 63774,
     /*  122077 */     GIR_EraseRootFromParent_Done,
     /*  122078 */   // Label 3145: @122078
     /*  122078 */   GIM_Reject,
     /*  122079 */ // Label 3009: @122079
     /*  122079 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(293488),
     /*  122084 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  122087 */   GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(122161), // Rule ID 5314 //
     /*  122092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122132 */     // MIs[1] Operand 1
     /*  122132 */     // No operand predicates
     /*  122132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  122144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122159 */     GIR_RootConstrainSelectedInstOperands,
     /*  122160 */     // GIR_Coverage, 5314,
     /*  122160 */     GIR_EraseRootFromParent_Done,
     /*  122161 */   // Label 3147: @122161
     /*  122161 */   GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(122235), // Rule ID 5315 //
     /*  122166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122206 */     // MIs[1] Operand 1
     /*  122206 */     // No operand predicates
     /*  122206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  122218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122233 */     GIR_RootConstrainSelectedInstOperands,
     /*  122234 */     // GIR_Coverage, 5315,
     /*  122234 */     GIR_EraseRootFromParent_Done,
     /*  122235 */   // Label 3148: @122235
     /*  122235 */   GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(122309), // Rule ID 5316 //
     /*  122240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122280 */     // MIs[1] Operand 1
     /*  122280 */     // No operand predicates
     /*  122280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122307 */     GIR_RootConstrainSelectedInstOperands,
     /*  122308 */     // GIR_Coverage, 5316,
     /*  122308 */     GIR_EraseRootFromParent_Done,
     /*  122309 */   // Label 3149: @122309
     /*  122309 */   GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(122383), // Rule ID 5317 //
     /*  122314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  122328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122354 */     // MIs[1] Operand 1
     /*  122354 */     // No operand predicates
     /*  122354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122381 */     GIR_RootConstrainSelectedInstOperands,
     /*  122382 */     // GIR_Coverage, 5317,
     /*  122382 */     GIR_EraseRootFromParent_Done,
     /*  122383 */   // Label 3150: @122383
     /*  122383 */   GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(122457), // Rule ID 5318 //
     /*  122388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  122399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  122402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122428 */     // MIs[1] Operand 1
     /*  122428 */     // No operand predicates
     /*  122428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  122437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122455 */     GIR_RootConstrainSelectedInstOperands,
     /*  122456 */     // GIR_Coverage, 5318,
     /*  122456 */     GIR_EraseRootFromParent_Done,
     /*  122457 */   // Label 3151: @122457
     /*  122457 */   GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(122531), // Rule ID 5319 //
     /*  122462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  122473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  122476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122502 */     // MIs[1] Operand 1
     /*  122502 */     // No operand predicates
     /*  122502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  122511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122529 */     GIR_RootConstrainSelectedInstOperands,
     /*  122530 */     // GIR_Coverage, 5319,
     /*  122530 */     GIR_EraseRootFromParent_Done,
     /*  122531 */   // Label 3152: @122531
     /*  122531 */   GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(122605), // Rule ID 5320 //
     /*  122536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122576 */     // MIs[1] Operand 1
     /*  122576 */     // No operand predicates
     /*  122576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122585 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  122585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122603 */     GIR_RootConstrainSelectedInstOperands,
     /*  122604 */     // GIR_Coverage, 5320,
     /*  122604 */     GIR_EraseRootFromParent_Done,
     /*  122605 */   // Label 3153: @122605
     /*  122605 */   GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(122679), // Rule ID 5321 //
     /*  122610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122650 */     // MIs[1] Operand 1
     /*  122650 */     // No operand predicates
     /*  122650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122659 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  122659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  122662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122677 */     GIR_RootConstrainSelectedInstOperands,
     /*  122678 */     // GIR_Coverage, 5321,
     /*  122678 */     GIR_EraseRootFromParent_Done,
     /*  122679 */   // Label 3154: @122679
     /*  122679 */   GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(122753), // Rule ID 5322 //
     /*  122684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122724 */     // MIs[1] Operand 1
     /*  122724 */     // No operand predicates
     /*  122724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  122733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122751 */     GIR_RootConstrainSelectedInstOperands,
     /*  122752 */     // GIR_Coverage, 5322,
     /*  122752 */     GIR_EraseRootFromParent_Done,
     /*  122753 */   // Label 3155: @122753
     /*  122753 */   GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(122827), // Rule ID 5323 //
     /*  122758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  122769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  122772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122798 */     // MIs[1] Operand 1
     /*  122798 */     // No operand predicates
     /*  122798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  122807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122825 */     GIR_RootConstrainSelectedInstOperands,
     /*  122826 */     // GIR_Coverage, 5323,
     /*  122826 */     GIR_EraseRootFromParent_Done,
     /*  122827 */   // Label 3156: @122827
     /*  122827 */   GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(122901), // Rule ID 5324 //
     /*  122832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  122852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122872 */     // MIs[1] Operand 1
     /*  122872 */     // No operand predicates
     /*  122872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122881 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  122881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122899 */     GIR_RootConstrainSelectedInstOperands,
     /*  122900 */     // GIR_Coverage, 5324,
     /*  122900 */     GIR_EraseRootFromParent_Done,
     /*  122901 */   // Label 3157: @122901
     /*  122901 */   GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(122975), // Rule ID 5325 //
     /*  122906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  122917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  122923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  122926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  122938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  122942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  122946 */     // MIs[1] Operand 1
     /*  122946 */     // No operand predicates
     /*  122946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  122948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  122955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  122955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  122958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  122965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  122970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122973 */     GIR_RootConstrainSelectedInstOperands,
     /*  122974 */     // GIR_Coverage, 5325,
     /*  122974 */     GIR_EraseRootFromParent_Done,
     /*  122975 */   // Label 3158: @122975
     /*  122975 */   GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(123049), // Rule ID 5326 //
     /*  122980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  122988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  122991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  122994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  122997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123020 */     // MIs[1] Operand 1
     /*  123020 */     // No operand predicates
     /*  123020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123047 */     GIR_RootConstrainSelectedInstOperands,
     /*  123048 */     // GIR_Coverage, 5326,
     /*  123048 */     GIR_EraseRootFromParent_Done,
     /*  123049 */   // Label 3159: @123049
     /*  123049 */   GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(123123), // Rule ID 5327 //
     /*  123054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  123065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  123068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123094 */     // MIs[1] Operand 1
     /*  123094 */     // No operand predicates
     /*  123094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123103 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123121 */     GIR_RootConstrainSelectedInstOperands,
     /*  123122 */     // GIR_Coverage, 5327,
     /*  123122 */     GIR_EraseRootFromParent_Done,
     /*  123123 */   // Label 3160: @123123
     /*  123123 */   GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(123197), // Rule ID 5328 //
     /*  123128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  123139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123168 */     // MIs[1] Operand 1
     /*  123168 */     // No operand predicates
     /*  123168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123177 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  123177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123195 */     GIR_RootConstrainSelectedInstOperands,
     /*  123196 */     // GIR_Coverage, 5328,
     /*  123196 */     GIR_EraseRootFromParent_Done,
     /*  123197 */   // Label 3161: @123197
     /*  123197 */   GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(123271), // Rule ID 5329 //
     /*  123202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  123213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  123216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123242 */     // MIs[1] Operand 1
     /*  123242 */     // No operand predicates
     /*  123242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  123251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123269 */     GIR_RootConstrainSelectedInstOperands,
     /*  123270 */     // GIR_Coverage, 5329,
     /*  123270 */     GIR_EraseRootFromParent_Done,
     /*  123271 */   // Label 3162: @123271
     /*  123271 */   GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(123345), // Rule ID 5330 //
     /*  123276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  123287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123316 */     // MIs[1] Operand 1
     /*  123316 */     // No operand predicates
     /*  123316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  123325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123343 */     GIR_RootConstrainSelectedInstOperands,
     /*  123344 */     // GIR_Coverage, 5330,
     /*  123344 */     GIR_EraseRootFromParent_Done,
     /*  123345 */   // Label 3163: @123345
     /*  123345 */   GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(123419), // Rule ID 5331 //
     /*  123350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  123361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123390 */     // MIs[1] Operand 1
     /*  123390 */     // No operand predicates
     /*  123390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  123399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123417 */     GIR_RootConstrainSelectedInstOperands,
     /*  123418 */     // GIR_Coverage, 5331,
     /*  123418 */     GIR_EraseRootFromParent_Done,
     /*  123419 */   // Label 3164: @123419
     /*  123419 */   GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(123493), // Rule ID 5332 //
     /*  123424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  123435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  123438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123464 */     // MIs[1] Operand 1
     /*  123464 */     // No operand predicates
     /*  123464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  123473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123491 */     GIR_RootConstrainSelectedInstOperands,
     /*  123492 */     // GIR_Coverage, 5332,
     /*  123492 */     GIR_EraseRootFromParent_Done,
     /*  123493 */   // Label 3165: @123493
     /*  123493 */   GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(123567), // Rule ID 5333 //
     /*  123498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  123509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  123512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123538 */     // MIs[1] Operand 1
     /*  123538 */     // No operand predicates
     /*  123538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123547 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  123547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  123550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123565 */     GIR_RootConstrainSelectedInstOperands,
     /*  123566 */     // GIR_Coverage, 5333,
     /*  123566 */     GIR_EraseRootFromParent_Done,
     /*  123567 */   // Label 3166: @123567
     /*  123567 */   GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(123641), // Rule ID 5334 //
     /*  123572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  123583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  123586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123612 */     // MIs[1] Operand 1
     /*  123612 */     // No operand predicates
     /*  123612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123621 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  123624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123639 */     GIR_RootConstrainSelectedInstOperands,
     /*  123640 */     // GIR_Coverage, 5334,
     /*  123640 */     GIR_EraseRootFromParent_Done,
     /*  123641 */   // Label 3167: @123641
     /*  123641 */   GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(123715), // Rule ID 5335 //
     /*  123646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  123657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  123660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123686 */     // MIs[1] Operand 1
     /*  123686 */     // No operand predicates
     /*  123686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123695 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  123698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123713 */     GIR_RootConstrainSelectedInstOperands,
     /*  123714 */     // GIR_Coverage, 5335,
     /*  123714 */     GIR_EraseRootFromParent_Done,
     /*  123715 */   // Label 3168: @123715
     /*  123715 */   GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(123789), // Rule ID 5336 //
     /*  123720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  123731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  123734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  123748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123760 */     // MIs[1] Operand 1
     /*  123760 */     // No operand predicates
     /*  123760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  123772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123787 */     GIR_RootConstrainSelectedInstOperands,
     /*  123788 */     // GIR_Coverage, 5336,
     /*  123788 */     GIR_EraseRootFromParent_Done,
     /*  123789 */   // Label 3169: @123789
     /*  123789 */   GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(123863), // Rule ID 5337 //
     /*  123794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  123805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  123808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  123822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123834 */     // MIs[1] Operand 1
     /*  123834 */     // No operand predicates
     /*  123834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123843 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  123846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123861 */     GIR_RootConstrainSelectedInstOperands,
     /*  123862 */     // GIR_Coverage, 5337,
     /*  123862 */     GIR_EraseRootFromParent_Done,
     /*  123863 */   // Label 3170: @123863
     /*  123863 */   GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(123937), // Rule ID 5338 //
     /*  123868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  123879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  123885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  123888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123908 */     // MIs[1] Operand 1
     /*  123908 */     // No operand predicates
     /*  123908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123917 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  123917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  123920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  123927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  123932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123935 */     GIR_RootConstrainSelectedInstOperands,
     /*  123936 */     // GIR_Coverage, 5338,
     /*  123936 */     GIR_EraseRootFromParent_Done,
     /*  123937 */   // Label 3171: @123937
     /*  123937 */   GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(124011), // Rule ID 5339 //
     /*  123942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  123950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  123953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  123956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  123959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  123962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  123970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  123974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  123978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  123982 */     // MIs[1] Operand 1
     /*  123982 */     // No operand predicates
     /*  123982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  123984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  123991 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  123991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  123994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124009 */     GIR_RootConstrainSelectedInstOperands,
     /*  124010 */     // GIR_Coverage, 5339,
     /*  124010 */     GIR_EraseRootFromParent_Done,
     /*  124011 */   // Label 3172: @124011
     /*  124011 */   GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(124085), // Rule ID 5340 //
     /*  124016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124056 */     // MIs[1] Operand 1
     /*  124056 */     // No operand predicates
     /*  124056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124083 */     GIR_RootConstrainSelectedInstOperands,
     /*  124084 */     // GIR_Coverage, 5340,
     /*  124084 */     GIR_EraseRootFromParent_Done,
     /*  124085 */   // Label 3173: @124085
     /*  124085 */   GIM_Try, /*On fail goto*//*Label 3174*/ GIMT_Encode4(124159), // Rule ID 5341 //
     /*  124090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  124104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124130 */     // MIs[1] Operand 1
     /*  124130 */     // No operand predicates
     /*  124130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124157 */     GIR_RootConstrainSelectedInstOperands,
     /*  124158 */     // GIR_Coverage, 5341,
     /*  124158 */     GIR_EraseRootFromParent_Done,
     /*  124159 */   // Label 3174: @124159
     /*  124159 */   GIM_Try, /*On fail goto*//*Label 3175*/ GIMT_Encode4(124233), // Rule ID 5342 //
     /*  124164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  124178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124204 */     // MIs[1] Operand 1
     /*  124204 */     // No operand predicates
     /*  124204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124231 */     GIR_RootConstrainSelectedInstOperands,
     /*  124232 */     // GIR_Coverage, 5342,
     /*  124232 */     GIR_EraseRootFromParent_Done,
     /*  124233 */   // Label 3175: @124233
     /*  124233 */   GIM_Try, /*On fail goto*//*Label 3176*/ GIMT_Encode4(124307), // Rule ID 5343 //
     /*  124238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  124252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124278 */     // MIs[1] Operand 1
     /*  124278 */     // No operand predicates
     /*  124278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124287 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124305 */     GIR_RootConstrainSelectedInstOperands,
     /*  124306 */     // GIR_Coverage, 5343,
     /*  124306 */     GIR_EraseRootFromParent_Done,
     /*  124307 */   // Label 3176: @124307
     /*  124307 */   GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(124381), // Rule ID 5344 //
     /*  124312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  124323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  124326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124352 */     // MIs[1] Operand 1
     /*  124352 */     // No operand predicates
     /*  124352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124361 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  124361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124379 */     GIR_RootConstrainSelectedInstOperands,
     /*  124380 */     // GIR_Coverage, 5344,
     /*  124380 */     GIR_EraseRootFromParent_Done,
     /*  124381 */   // Label 3177: @124381
     /*  124381 */   GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(124455), // Rule ID 5345 //
     /*  124386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  124397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  124400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124426 */     // MIs[1] Operand 1
     /*  124426 */     // No operand predicates
     /*  124426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124435 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  124435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124453 */     GIR_RootConstrainSelectedInstOperands,
     /*  124454 */     // GIR_Coverage, 5345,
     /*  124454 */     GIR_EraseRootFromParent_Done,
     /*  124455 */   // Label 3178: @124455
     /*  124455 */   GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(124529), // Rule ID 5346 //
     /*  124460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  124471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124500 */     // MIs[1] Operand 1
     /*  124500 */     // No operand predicates
     /*  124500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124527 */     GIR_RootConstrainSelectedInstOperands,
     /*  124528 */     // GIR_Coverage, 5346,
     /*  124528 */     GIR_EraseRootFromParent_Done,
     /*  124529 */   // Label 3179: @124529
     /*  124529 */   GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(124603), // Rule ID 5347 //
     /*  124534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  124545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124574 */     // MIs[1] Operand 1
     /*  124574 */     // No operand predicates
     /*  124574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124583 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124601 */     GIR_RootConstrainSelectedInstOperands,
     /*  124602 */     // GIR_Coverage, 5347,
     /*  124602 */     GIR_EraseRootFromParent_Done,
     /*  124603 */   // Label 3180: @124603
     /*  124603 */   GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(124677), // Rule ID 5348 //
     /*  124608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  124622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124648 */     // MIs[1] Operand 1
     /*  124648 */     // No operand predicates
     /*  124648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124675 */     GIR_RootConstrainSelectedInstOperands,
     /*  124676 */     // GIR_Coverage, 5348,
     /*  124676 */     GIR_EraseRootFromParent_Done,
     /*  124677 */   // Label 3181: @124677
     /*  124677 */   GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(124751), // Rule ID 5349 //
     /*  124682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  124693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  124696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124722 */     // MIs[1] Operand 1
     /*  124722 */     // No operand predicates
     /*  124722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124731 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  124734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124749 */     GIR_RootConstrainSelectedInstOperands,
     /*  124750 */     // GIR_Coverage, 5349,
     /*  124750 */     GIR_EraseRootFromParent_Done,
     /*  124751 */   // Label 3182: @124751
     /*  124751 */   GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(124825), // Rule ID 5350 //
     /*  124756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  124770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124796 */     // MIs[1] Operand 1
     /*  124796 */     // No operand predicates
     /*  124796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  124805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124823 */     GIR_RootConstrainSelectedInstOperands,
     /*  124824 */     // GIR_Coverage, 5350,
     /*  124824 */     GIR_EraseRootFromParent_Done,
     /*  124825 */   // Label 3183: @124825
     /*  124825 */   GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(124899), // Rule ID 5351 //
     /*  124830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  124841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  124844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  124858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124870 */     // MIs[1] Operand 1
     /*  124870 */     // No operand predicates
     /*  124870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  124879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  124882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124897 */     GIR_RootConstrainSelectedInstOperands,
     /*  124898 */     // GIR_Coverage, 5351,
     /*  124898 */     GIR_EraseRootFromParent_Done,
     /*  124899 */   // Label 3184: @124899
     /*  124899 */   GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(124973), // Rule ID 5352 //
     /*  124904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  124915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  124918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  124921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  124924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  124936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  124940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  124944 */     // MIs[1] Operand 1
     /*  124944 */     // No operand predicates
     /*  124944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  124946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  124953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  124953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  124956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  124963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  124968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124971 */     GIR_RootConstrainSelectedInstOperands,
     /*  124972 */     // GIR_Coverage, 5352,
     /*  124972 */     GIR_EraseRootFromParent_Done,
     /*  124973 */   // Label 3185: @124973
     /*  124973 */   GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(125047), // Rule ID 5353 //
     /*  124978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  124986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  124989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  124992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  124995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  124998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125018 */     // MIs[1] Operand 1
     /*  125018 */     // No operand predicates
     /*  125018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  125030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125045 */     GIR_RootConstrainSelectedInstOperands,
     /*  125046 */     // GIR_Coverage, 5353,
     /*  125046 */     GIR_EraseRootFromParent_Done,
     /*  125047 */   // Label 3186: @125047
     /*  125047 */   GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(125121), // Rule ID 5354 //
     /*  125052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  125066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125092 */     // MIs[1] Operand 1
     /*  125092 */     // No operand predicates
     /*  125092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125101 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  125101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  125104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125119 */     GIR_RootConstrainSelectedInstOperands,
     /*  125120 */     // GIR_Coverage, 5354,
     /*  125120 */     GIR_EraseRootFromParent_Done,
     /*  125121 */   // Label 3187: @125121
     /*  125121 */   GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(125195), // Rule ID 5355 //
     /*  125126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  125140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125166 */     // MIs[1] Operand 1
     /*  125166 */     // No operand predicates
     /*  125166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125175 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  125178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125193 */     GIR_RootConstrainSelectedInstOperands,
     /*  125194 */     // GIR_Coverage, 5355,
     /*  125194 */     GIR_EraseRootFromParent_Done,
     /*  125195 */   // Label 3188: @125195
     /*  125195 */   GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(125269), // Rule ID 5356 //
     /*  125200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  125211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125240 */     // MIs[1] Operand 1
     /*  125240 */     // No operand predicates
     /*  125240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  125249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  125252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125267 */     GIR_RootConstrainSelectedInstOperands,
     /*  125268 */     // GIR_Coverage, 5356,
     /*  125268 */     GIR_EraseRootFromParent_Done,
     /*  125269 */   // Label 3189: @125269
     /*  125269 */   GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(125343), // Rule ID 5357 //
     /*  125274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  125282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  125285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125314 */     // MIs[1] Operand 1
     /*  125314 */     // No operand predicates
     /*  125314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125323 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  125323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  125326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125341 */     GIR_RootConstrainSelectedInstOperands,
     /*  125342 */     // GIR_Coverage, 5357,
     /*  125342 */     GIR_EraseRootFromParent_Done,
     /*  125343 */   // Label 3190: @125343
     /*  125343 */   GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(125417), // Rule ID 7826 //
     /*  125348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  125362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125388 */     // MIs[1] Operand 1
     /*  125388 */     // No operand predicates
     /*  125388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125397 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  125400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125415 */     GIR_RootConstrainSelectedInstOperands,
     /*  125416 */     // GIR_Coverage, 7826,
     /*  125416 */     GIR_EraseRootFromParent_Done,
     /*  125417 */   // Label 3191: @125417
     /*  125417 */   GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(125491), // Rule ID 7827 //
     /*  125422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  125436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125462 */     // MIs[1] Operand 1
     /*  125462 */     // No operand predicates
     /*  125462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125471 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  125474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125489 */     GIR_RootConstrainSelectedInstOperands,
     /*  125490 */     // GIR_Coverage, 7827,
     /*  125490 */     GIR_EraseRootFromParent_Done,
     /*  125491 */   // Label 3192: @125491
     /*  125491 */   GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(125565), // Rule ID 7830 //
     /*  125496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  125510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125536 */     // MIs[1] Operand 1
     /*  125536 */     // No operand predicates
     /*  125536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125563 */     GIR_RootConstrainSelectedInstOperands,
     /*  125564 */     // GIR_Coverage, 7830,
     /*  125564 */     GIR_EraseRootFromParent_Done,
     /*  125565 */   // Label 3193: @125565
     /*  125565 */   GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(125639), // Rule ID 7831 //
     /*  125570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  125584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125610 */     // MIs[1] Operand 1
     /*  125610 */     // No operand predicates
     /*  125610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125637 */     GIR_RootConstrainSelectedInstOperands,
     /*  125638 */     // GIR_Coverage, 7831,
     /*  125638 */     GIR_EraseRootFromParent_Done,
     /*  125639 */   // Label 3194: @125639
     /*  125639 */   GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(125713), // Rule ID 7834 //
     /*  125644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  125658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125684 */     // MIs[1] Operand 1
     /*  125684 */     // No operand predicates
     /*  125684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125693 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  125693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125711 */     GIR_RootConstrainSelectedInstOperands,
     /*  125712 */     // GIR_Coverage, 7834,
     /*  125712 */     GIR_EraseRootFromParent_Done,
     /*  125713 */   // Label 3195: @125713
     /*  125713 */   GIM_Try, /*On fail goto*//*Label 3196*/ GIMT_Encode4(125787), // Rule ID 7835 //
     /*  125718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  125729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  125732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125758 */     // MIs[1] Operand 1
     /*  125758 */     // No operand predicates
     /*  125758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125767 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  125767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125785 */     GIR_RootConstrainSelectedInstOperands,
     /*  125786 */     // GIR_Coverage, 7835,
     /*  125786 */     GIR_EraseRootFromParent_Done,
     /*  125787 */   // Label 3196: @125787
     /*  125787 */   GIM_Try, /*On fail goto*//*Label 3197*/ GIMT_Encode4(125861), // Rule ID 7838 //
     /*  125792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  125806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125832 */     // MIs[1] Operand 1
     /*  125832 */     // No operand predicates
     /*  125832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  125841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125859 */     GIR_RootConstrainSelectedInstOperands,
     /*  125860 */     // GIR_Coverage, 7838,
     /*  125860 */     GIR_EraseRootFromParent_Done,
     /*  125861 */   // Label 3197: @125861
     /*  125861 */   GIM_Try, /*On fail goto*//*Label 3198*/ GIMT_Encode4(125935), // Rule ID 7839 //
     /*  125866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  125877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  125880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  125883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  125886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125906 */     // MIs[1] Operand 1
     /*  125906 */     // No operand predicates
     /*  125906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  125915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  125918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  125930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125933 */     GIR_RootConstrainSelectedInstOperands,
     /*  125934 */     // GIR_Coverage, 7839,
     /*  125934 */     GIR_EraseRootFromParent_Done,
     /*  125935 */   // Label 3198: @125935
     /*  125935 */   GIM_Try, /*On fail goto*//*Label 3199*/ GIMT_Encode4(126009), // Rule ID 7842 //
     /*  125940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  125948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  125951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  125954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  125957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  125960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  125972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  125976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  125980 */     // MIs[1] Operand 1
     /*  125980 */     // No operand predicates
     /*  125980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  125982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  125989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  125989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  125992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  125999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126007 */     GIR_RootConstrainSelectedInstOperands,
     /*  126008 */     // GIR_Coverage, 7842,
     /*  126008 */     GIR_EraseRootFromParent_Done,
     /*  126009 */   // Label 3199: @126009
     /*  126009 */   GIM_Try, /*On fail goto*//*Label 3200*/ GIMT_Encode4(126083), // Rule ID 7843 //
     /*  126014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  126028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126054 */     // MIs[1] Operand 1
     /*  126054 */     // No operand predicates
     /*  126054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  126063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126081 */     GIR_RootConstrainSelectedInstOperands,
     /*  126082 */     // GIR_Coverage, 7843,
     /*  126082 */     GIR_EraseRootFromParent_Done,
     /*  126083 */   // Label 3200: @126083
     /*  126083 */   GIM_Try, /*On fail goto*//*Label 3201*/ GIMT_Encode4(126157), // Rule ID 7846 //
     /*  126088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  126102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126128 */     // MIs[1] Operand 1
     /*  126128 */     // No operand predicates
     /*  126128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126137 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  126137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126155 */     GIR_RootConstrainSelectedInstOperands,
     /*  126156 */     // GIR_Coverage, 7846,
     /*  126156 */     GIR_EraseRootFromParent_Done,
     /*  126157 */   // Label 3201: @126157
     /*  126157 */   GIM_Try, /*On fail goto*//*Label 3202*/ GIMT_Encode4(126231), // Rule ID 7847 //
     /*  126162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  126176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126202 */     // MIs[1] Operand 1
     /*  126202 */     // No operand predicates
     /*  126202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126211 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  126211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  126214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126229 */     GIR_RootConstrainSelectedInstOperands,
     /*  126230 */     // GIR_Coverage, 7847,
     /*  126230 */     GIR_EraseRootFromParent_Done,
     /*  126231 */   // Label 3202: @126231
     /*  126231 */   GIM_Try, /*On fail goto*//*Label 3203*/ GIMT_Encode4(126305), // Rule ID 7850 //
     /*  126236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  126247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  126250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126276 */     // MIs[1] Operand 1
     /*  126276 */     // No operand predicates
     /*  126276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  126285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126303 */     GIR_RootConstrainSelectedInstOperands,
     /*  126304 */     // GIR_Coverage, 7850,
     /*  126304 */     GIR_EraseRootFromParent_Done,
     /*  126305 */   // Label 3203: @126305
     /*  126305 */   GIM_Try, /*On fail goto*//*Label 3204*/ GIMT_Encode4(126379), // Rule ID 7851 //
     /*  126310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  126321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  126324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126350 */     // MIs[1] Operand 1
     /*  126350 */     // No operand predicates
     /*  126350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  126359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126377 */     GIR_RootConstrainSelectedInstOperands,
     /*  126378 */     // GIR_Coverage, 7851,
     /*  126378 */     GIR_EraseRootFromParent_Done,
     /*  126379 */   // Label 3204: @126379
     /*  126379 */   GIM_Try, /*On fail goto*//*Label 3205*/ GIMT_Encode4(126453), // Rule ID 7854 //
     /*  126384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  126395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  126398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126420 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126424 */     // MIs[1] Operand 1
     /*  126424 */     // No operand predicates
     /*  126424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126433 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  126433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126451 */     GIR_RootConstrainSelectedInstOperands,
     /*  126452 */     // GIR_Coverage, 7854,
     /*  126452 */     GIR_EraseRootFromParent_Done,
     /*  126453 */   // Label 3205: @126453
     /*  126453 */   GIM_Try, /*On fail goto*//*Label 3206*/ GIMT_Encode4(126527), // Rule ID 7855 //
     /*  126458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  126469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  126472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126498 */     // MIs[1] Operand 1
     /*  126498 */     // No operand predicates
     /*  126498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126507 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  126507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126525 */     GIR_RootConstrainSelectedInstOperands,
     /*  126526 */     // GIR_Coverage, 7855,
     /*  126526 */     GIR_EraseRootFromParent_Done,
     /*  126527 */   // Label 3206: @126527
     /*  126527 */   GIM_Try, /*On fail goto*//*Label 3207*/ GIMT_Encode4(126601), // Rule ID 7858 //
     /*  126532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  126546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126572 */     // MIs[1] Operand 1
     /*  126572 */     // No operand predicates
     /*  126572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  126581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126599 */     GIR_RootConstrainSelectedInstOperands,
     /*  126600 */     // GIR_Coverage, 7858,
     /*  126600 */     GIR_EraseRootFromParent_Done,
     /*  126601 */   // Label 3207: @126601
     /*  126601 */   GIM_Try, /*On fail goto*//*Label 3208*/ GIMT_Encode4(126675), // Rule ID 7859 //
     /*  126606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  126617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  126620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126646 */     // MIs[1] Operand 1
     /*  126646 */     // No operand predicates
     /*  126646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  126655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126673 */     GIR_RootConstrainSelectedInstOperands,
     /*  126674 */     // GIR_Coverage, 7859,
     /*  126674 */     GIR_EraseRootFromParent_Done,
     /*  126675 */   // Label 3208: @126675
     /*  126675 */   GIM_Try, /*On fail goto*//*Label 3209*/ GIMT_Encode4(126749), // Rule ID 7862 //
     /*  126680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  126683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  126694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126720 */     // MIs[1] Operand 1
     /*  126720 */     // No operand predicates
     /*  126720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  126729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  126747 */     GIR_RootConstrainSelectedInstOperands,
     /*  126748 */     // GIR_Coverage, 7862,
     /*  126748 */     GIR_EraseRootFromParent_Done,
     /*  126749 */   // Label 3209: @126749
     /*  126749 */   GIM_Try, /*On fail goto*//*Label 3210*/ GIMT_Encode4(126823), // Rule ID 7863 //
     /*  126754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  126757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  126765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  126768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126794 */     // MIs[1] Operand 1
     /*  126794 */     // No operand predicates
     /*  126794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  126803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  126806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  126821 */     GIR_RootConstrainSelectedInstOperands,
     /*  126822 */     // GIR_Coverage, 7863,
     /*  126822 */     GIR_EraseRootFromParent_Done,
     /*  126823 */   // Label 3210: @126823
     /*  126823 */   GIM_Try, /*On fail goto*//*Label 3211*/ GIMT_Encode4(126897), // Rule ID 7866 //
     /*  126828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  126839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126868 */     // MIs[1] Operand 1
     /*  126868 */     // No operand predicates
     /*  126868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126877 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  126877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  126880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126895 */     GIR_RootConstrainSelectedInstOperands,
     /*  126896 */     // GIR_Coverage, 7866,
     /*  126896 */     GIR_EraseRootFromParent_Done,
     /*  126897 */   // Label 3211: @126897
     /*  126897 */   GIM_Try, /*On fail goto*//*Label 3212*/ GIMT_Encode4(126971), // Rule ID 7867 //
     /*  126902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  126913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  126919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  126922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  126934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  126938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  126942 */     // MIs[1] Operand 1
     /*  126942 */     // No operand predicates
     /*  126942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  126944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  126951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  126951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  126954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  126961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  126966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126969 */     GIR_RootConstrainSelectedInstOperands,
     /*  126970 */     // GIR_Coverage, 7867,
     /*  126970 */     GIR_EraseRootFromParent_Done,
     /*  126971 */   // Label 3212: @126971
     /*  126971 */   GIM_Try, /*On fail goto*//*Label 3213*/ GIMT_Encode4(127045), // Rule ID 7870 //
     /*  126976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  126984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  126987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  126990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  126993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  126996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127016 */     // MIs[1] Operand 1
     /*  127016 */     // No operand predicates
     /*  127016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127025 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  127025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127043 */     GIR_RootConstrainSelectedInstOperands,
     /*  127044 */     // GIR_Coverage, 7870,
     /*  127044 */     GIR_EraseRootFromParent_Done,
     /*  127045 */   // Label 3213: @127045
     /*  127045 */   GIM_Try, /*On fail goto*//*Label 3214*/ GIMT_Encode4(127119), // Rule ID 7871 //
     /*  127050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  127064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127090 */     // MIs[1] Operand 1
     /*  127090 */     // No operand predicates
     /*  127090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127099 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  127099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127117 */     GIR_RootConstrainSelectedInstOperands,
     /*  127118 */     // GIR_Coverage, 7871,
     /*  127118 */     GIR_EraseRootFromParent_Done,
     /*  127119 */   // Label 3214: @127119
     /*  127119 */   GIM_Try, /*On fail goto*//*Label 3215*/ GIMT_Encode4(127193), // Rule ID 7874 //
     /*  127124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  127135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127164 */     // MIs[1] Operand 1
     /*  127164 */     // No operand predicates
     /*  127164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127173 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  127173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127191 */     GIR_RootConstrainSelectedInstOperands,
     /*  127192 */     // GIR_Coverage, 7874,
     /*  127192 */     GIR_EraseRootFromParent_Done,
     /*  127193 */   // Label 3215: @127193
     /*  127193 */   GIM_Try, /*On fail goto*//*Label 3216*/ GIMT_Encode4(127267), // Rule ID 7875 //
     /*  127198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  127209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  127212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127238 */     // MIs[1] Operand 1
     /*  127238 */     // No operand predicates
     /*  127238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127247 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  127247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127265 */     GIR_RootConstrainSelectedInstOperands,
     /*  127266 */     // GIR_Coverage, 7875,
     /*  127266 */     GIR_EraseRootFromParent_Done,
     /*  127267 */   // Label 3216: @127267
     /*  127267 */   GIM_Try, /*On fail goto*//*Label 3217*/ GIMT_Encode4(127341), // Rule ID 7878 //
     /*  127272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  127286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127312 */     // MIs[1] Operand 1
     /*  127312 */     // No operand predicates
     /*  127312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127321 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127339 */     GIR_RootConstrainSelectedInstOperands,
     /*  127340 */     // GIR_Coverage, 7878,
     /*  127340 */     GIR_EraseRootFromParent_Done,
     /*  127341 */   // Label 3217: @127341
     /*  127341 */   GIM_Try, /*On fail goto*//*Label 3218*/ GIMT_Encode4(127415), // Rule ID 7879 //
     /*  127346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  127360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127386 */     // MIs[1] Operand 1
     /*  127386 */     // No operand predicates
     /*  127386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127413 */     GIR_RootConstrainSelectedInstOperands,
     /*  127414 */     // GIR_Coverage, 7879,
     /*  127414 */     GIR_EraseRootFromParent_Done,
     /*  127415 */   // Label 3218: @127415
     /*  127415 */   GIM_Try, /*On fail goto*//*Label 3219*/ GIMT_Encode4(127489), // Rule ID 7882 //
     /*  127420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  127431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  127434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127460 */     // MIs[1] Operand 1
     /*  127460 */     // No operand predicates
     /*  127460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127487 */     GIR_RootConstrainSelectedInstOperands,
     /*  127488 */     // GIR_Coverage, 7882,
     /*  127488 */     GIR_EraseRootFromParent_Done,
     /*  127489 */   // Label 3219: @127489
     /*  127489 */   GIM_Try, /*On fail goto*//*Label 3220*/ GIMT_Encode4(127563), // Rule ID 7883 //
     /*  127494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  127505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  127508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127534 */     // MIs[1] Operand 1
     /*  127534 */     // No operand predicates
     /*  127534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127543 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127561 */     GIR_RootConstrainSelectedInstOperands,
     /*  127562 */     // GIR_Coverage, 7883,
     /*  127562 */     GIR_EraseRootFromParent_Done,
     /*  127563 */   // Label 3220: @127563
     /*  127563 */   GIM_Try, /*On fail goto*//*Label 3221*/ GIMT_Encode4(127637), // Rule ID 7886 //
     /*  127568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127608 */     // MIs[1] Operand 1
     /*  127608 */     // No operand predicates
     /*  127608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127617 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  127617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127635 */     GIR_RootConstrainSelectedInstOperands,
     /*  127636 */     // GIR_Coverage, 7886,
     /*  127636 */     GIR_EraseRootFromParent_Done,
     /*  127637 */   // Label 3221: @127637
     /*  127637 */   GIM_Try, /*On fail goto*//*Label 3222*/ GIMT_Encode4(127711), // Rule ID 7887 //
     /*  127642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  127653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127682 */     // MIs[1] Operand 1
     /*  127682 */     // No operand predicates
     /*  127682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  127691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  127694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127709 */     GIR_RootConstrainSelectedInstOperands,
     /*  127710 */     // GIR_Coverage, 7887,
     /*  127710 */     GIR_EraseRootFromParent_Done,
     /*  127711 */   // Label 3222: @127711
     /*  127711 */   GIM_Try, /*On fail goto*//*Label 3223*/ GIMT_Encode4(127785), // Rule ID 7890 //
     /*  127716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  127727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  127730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127756 */     // MIs[1] Operand 1
     /*  127756 */     // No operand predicates
     /*  127756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  127765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127783 */     GIR_RootConstrainSelectedInstOperands,
     /*  127784 */     // GIR_Coverage, 7890,
     /*  127784 */     GIR_EraseRootFromParent_Done,
     /*  127785 */   // Label 3223: @127785
     /*  127785 */   GIM_Try, /*On fail goto*//*Label 3224*/ GIMT_Encode4(127859), // Rule ID 7891 //
     /*  127790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  127801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  127804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  127818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127830 */     // MIs[1] Operand 1
     /*  127830 */     // No operand predicates
     /*  127830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  127839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  127842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127857 */     GIR_RootConstrainSelectedInstOperands,
     /*  127858 */     // GIR_Coverage, 7891,
     /*  127858 */     GIR_EraseRootFromParent_Done,
     /*  127859 */   // Label 3224: @127859
     /*  127859 */   GIM_Try, /*On fail goto*//*Label 3225*/ GIMT_Encode4(127933), // Rule ID 7894 //
     /*  127864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  127878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  127881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  127884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127904 */     // MIs[1] Operand 1
     /*  127904 */     // No operand predicates
     /*  127904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  127913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  127928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  127931 */     GIR_RootConstrainSelectedInstOperands,
     /*  127932 */     // GIR_Coverage, 7894,
     /*  127932 */     GIR_EraseRootFromParent_Done,
     /*  127933 */   // Label 3225: @127933
     /*  127933 */   GIM_Try, /*On fail goto*//*Label 3226*/ GIMT_Encode4(128007), // Rule ID 7895 //
     /*  127938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  127946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  127949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  127952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  127955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  127958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  127970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  127974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  127978 */     // MIs[1] Operand 1
     /*  127978 */     // No operand predicates
     /*  127978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  127980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  127987 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  127987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  127990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  127997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128005 */     GIR_RootConstrainSelectedInstOperands,
     /*  128006 */     // GIR_Coverage, 7895,
     /*  128006 */     GIR_EraseRootFromParent_Done,
     /*  128007 */   // Label 3226: @128007
     /*  128007 */   GIM_Try, /*On fail goto*//*Label 3227*/ GIMT_Encode4(128081), // Rule ID 7898 //
     /*  128012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  128023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  128026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128052 */     // MIs[1] Operand 1
     /*  128052 */     // No operand predicates
     /*  128052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128061 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  128061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128079 */     GIR_RootConstrainSelectedInstOperands,
     /*  128080 */     // GIR_Coverage, 7898,
     /*  128080 */     GIR_EraseRootFromParent_Done,
     /*  128081 */   // Label 3227: @128081
     /*  128081 */   GIM_Try, /*On fail goto*//*Label 3228*/ GIMT_Encode4(128155), // Rule ID 7899 //
     /*  128086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  128097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  128100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128126 */     // MIs[1] Operand 1
     /*  128126 */     // No operand predicates
     /*  128126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128135 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  128135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  128153 */     GIR_RootConstrainSelectedInstOperands,
     /*  128154 */     // GIR_Coverage, 7899,
     /*  128154 */     GIR_EraseRootFromParent_Done,
     /*  128155 */   // Label 3228: @128155
     /*  128155 */   GIM_Try, /*On fail goto*//*Label 3229*/ GIMT_Encode4(128229), // Rule ID 7902 //
     /*  128160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  128174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  128188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128200 */     // MIs[1] Operand 1
     /*  128200 */     // No operand predicates
     /*  128200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  128212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128227 */     GIR_RootConstrainSelectedInstOperands,
     /*  128228 */     // GIR_Coverage, 7902,
     /*  128228 */     GIR_EraseRootFromParent_Done,
     /*  128229 */   // Label 3229: @128229
     /*  128229 */   GIM_Try, /*On fail goto*//*Label 3230*/ GIMT_Encode4(128303), // Rule ID 7903 //
     /*  128234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  128248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  128262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128274 */     // MIs[1] Operand 1
     /*  128274 */     // No operand predicates
     /*  128274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  128286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128301 */     GIR_RootConstrainSelectedInstOperands,
     /*  128302 */     // GIR_Coverage, 7903,
     /*  128302 */     GIR_EraseRootFromParent_Done,
     /*  128303 */   // Label 3230: @128303
     /*  128303 */   GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(128377), // Rule ID 7906 //
     /*  128308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  128322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  128336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128348 */     // MIs[1] Operand 1
     /*  128348 */     // No operand predicates
     /*  128348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  128360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128375 */     GIR_RootConstrainSelectedInstOperands,
     /*  128376 */     // GIR_Coverage, 7906,
     /*  128376 */     GIR_EraseRootFromParent_Done,
     /*  128377 */   // Label 3231: @128377
     /*  128377 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(128451), // Rule ID 7907 //
     /*  128382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  128396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  128410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128422 */     // MIs[1] Operand 1
     /*  128422 */     // No operand predicates
     /*  128422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  128434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128449 */     GIR_RootConstrainSelectedInstOperands,
     /*  128450 */     // GIR_Coverage, 7907,
     /*  128450 */     GIR_EraseRootFromParent_Done,
     /*  128451 */   // Label 3232: @128451
     /*  128451 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(128525), // Rule ID 7910 //
     /*  128456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  128459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  128467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  128470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128496 */     // MIs[1] Operand 1
     /*  128496 */     // No operand predicates
     /*  128496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  128505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128523 */     GIR_RootConstrainSelectedInstOperands,
     /*  128524 */     // GIR_Coverage, 7910,
     /*  128524 */     GIR_EraseRootFromParent_Done,
     /*  128525 */   // Label 3233: @128525
     /*  128525 */   GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(128599), // Rule ID 7911 //
     /*  128530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  128533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  128538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  128541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  128544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128570 */     // MIs[1] Operand 1
     /*  128570 */     // No operand predicates
     /*  128570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  128579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  128582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  128597 */     GIR_RootConstrainSelectedInstOperands,
     /*  128598 */     // GIR_Coverage, 7911,
     /*  128598 */     GIR_EraseRootFromParent_Done,
     /*  128599 */   // Label 3234: @128599
     /*  128599 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(128673), // Rule ID 8090 //
     /*  128604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  128615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  128618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128644 */     // MIs[1] Operand 1
     /*  128644 */     // No operand predicates
     /*  128644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  128656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128671 */     GIR_RootConstrainSelectedInstOperands,
     /*  128672 */     // GIR_Coverage, 8090,
     /*  128672 */     GIR_EraseRootFromParent_Done,
     /*  128673 */   // Label 3235: @128673
     /*  128673 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(128747), // Rule ID 8091 //
     /*  128678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  128689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  128692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128718 */     // MIs[1] Operand 1
     /*  128718 */     // No operand predicates
     /*  128718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  128727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  128730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128745 */     GIR_RootConstrainSelectedInstOperands,
     /*  128746 */     // GIR_Coverage, 8091,
     /*  128746 */     GIR_EraseRootFromParent_Done,
     /*  128747 */   // Label 3236: @128747
     /*  128747 */   GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(128821), // Rule ID 8094 //
     /*  128752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  128766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128792 */     // MIs[1] Operand 1
     /*  128792 */     // No operand predicates
     /*  128792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  128804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128819 */     GIR_RootConstrainSelectedInstOperands,
     /*  128820 */     // GIR_Coverage, 8094,
     /*  128820 */     GIR_EraseRootFromParent_Done,
     /*  128821 */   // Label 3237: @128821
     /*  128821 */   GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(128895), // Rule ID 8095 //
     /*  128826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  128837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  128840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128866 */     // MIs[1] Operand 1
     /*  128866 */     // No operand predicates
     /*  128866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128875 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  128875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  128878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128893 */     GIR_RootConstrainSelectedInstOperands,
     /*  128894 */     // GIR_Coverage, 8095,
     /*  128894 */     GIR_EraseRootFromParent_Done,
     /*  128895 */   // Label 3238: @128895
     /*  128895 */   GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(128969), // Rule ID 8098 //
     /*  128900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  128914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  128917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  128920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  128932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  128936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  128940 */     // MIs[1] Operand 1
     /*  128940 */     // No operand predicates
     /*  128940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  128942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  128949 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  128949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  128952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  128956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  128959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  128964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128967 */     GIR_RootConstrainSelectedInstOperands,
     /*  128968 */     // GIR_Coverage, 8098,
     /*  128968 */     GIR_EraseRootFromParent_Done,
     /*  128969 */   // Label 3239: @128969
     /*  128969 */   GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(129043), // Rule ID 8099 //
     /*  128974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  128982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  128985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  128988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  128991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  128994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129014 */     // MIs[1] Operand 1
     /*  129014 */     // No operand predicates
     /*  129014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  129023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129041 */     GIR_RootConstrainSelectedInstOperands,
     /*  129042 */     // GIR_Coverage, 8099,
     /*  129042 */     GIR_EraseRootFromParent_Done,
     /*  129043 */   // Label 3240: @129043
     /*  129043 */   GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(129117), // Rule ID 8102 //
     /*  129048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  129062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129088 */     // MIs[1] Operand 1
     /*  129088 */     // No operand predicates
     /*  129088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  129100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129115 */     GIR_RootConstrainSelectedInstOperands,
     /*  129116 */     // GIR_Coverage, 8102,
     /*  129116 */     GIR_EraseRootFromParent_Done,
     /*  129117 */   // Label 3241: @129117
     /*  129117 */   GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(129191), // Rule ID 8103 //
     /*  129122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  129136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129162 */     // MIs[1] Operand 1
     /*  129162 */     // No operand predicates
     /*  129162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  129174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129189 */     GIR_RootConstrainSelectedInstOperands,
     /*  129190 */     // GIR_Coverage, 8103,
     /*  129190 */     GIR_EraseRootFromParent_Done,
     /*  129191 */   // Label 3242: @129191
     /*  129191 */   GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(129265), // Rule ID 8106 //
     /*  129196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  129210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129236 */     // MIs[1] Operand 1
     /*  129236 */     // No operand predicates
     /*  129236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129263 */     GIR_RootConstrainSelectedInstOperands,
     /*  129264 */     // GIR_Coverage, 8106,
     /*  129264 */     GIR_EraseRootFromParent_Done,
     /*  129265 */   // Label 3243: @129265
     /*  129265 */   GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(129339), // Rule ID 8107 //
     /*  129270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  129284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129310 */     // MIs[1] Operand 1
     /*  129310 */     // No operand predicates
     /*  129310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129319 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129337 */     GIR_RootConstrainSelectedInstOperands,
     /*  129338 */     // GIR_Coverage, 8107,
     /*  129338 */     GIR_EraseRootFromParent_Done,
     /*  129339 */   // Label 3244: @129339
     /*  129339 */   GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(129413), // Rule ID 8110 //
     /*  129344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  129358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129384 */     // MIs[1] Operand 1
     /*  129384 */     // No operand predicates
     /*  129384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129393 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  129393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129411 */     GIR_RootConstrainSelectedInstOperands,
     /*  129412 */     // GIR_Coverage, 8110,
     /*  129412 */     GIR_EraseRootFromParent_Done,
     /*  129413 */   // Label 3245: @129413
     /*  129413 */   GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(129487), // Rule ID 8111 //
     /*  129418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  129432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129458 */     // MIs[1] Operand 1
     /*  129458 */     // No operand predicates
     /*  129458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129467 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  129467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  129470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129485 */     GIR_RootConstrainSelectedInstOperands,
     /*  129486 */     // GIR_Coverage, 8111,
     /*  129486 */     GIR_EraseRootFromParent_Done,
     /*  129487 */   // Label 3246: @129487
     /*  129487 */   GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(129561), // Rule ID 8114 //
     /*  129492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  129503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  129506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129532 */     // MIs[1] Operand 1
     /*  129532 */     // No operand predicates
     /*  129532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  129541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129559 */     GIR_RootConstrainSelectedInstOperands,
     /*  129560 */     // GIR_Coverage, 8114,
     /*  129560 */     GIR_EraseRootFromParent_Done,
     /*  129561 */   // Label 3247: @129561
     /*  129561 */   GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(129635), // Rule ID 8115 //
     /*  129566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  129577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  129580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129606 */     // MIs[1] Operand 1
     /*  129606 */     // No operand predicates
     /*  129606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  129615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  129633 */     GIR_RootConstrainSelectedInstOperands,
     /*  129634 */     // GIR_Coverage, 8115,
     /*  129634 */     GIR_EraseRootFromParent_Done,
     /*  129635 */   // Label 3248: @129635
     /*  129635 */   GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(129709), // Rule ID 8118 //
     /*  129640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  129651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  129654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129680 */     // MIs[1] Operand 1
     /*  129680 */     // No operand predicates
     /*  129680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  129689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129707 */     GIR_RootConstrainSelectedInstOperands,
     /*  129708 */     // GIR_Coverage, 8118,
     /*  129708 */     GIR_EraseRootFromParent_Done,
     /*  129709 */   // Label 3249: @129709
     /*  129709 */   GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(129783), // Rule ID 8119 //
     /*  129714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  129725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  129728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129754 */     // MIs[1] Operand 1
     /*  129754 */     // No operand predicates
     /*  129754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129763 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  129763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  129781 */     GIR_RootConstrainSelectedInstOperands,
     /*  129782 */     // GIR_Coverage, 8119,
     /*  129782 */     GIR_EraseRootFromParent_Done,
     /*  129783 */   // Label 3250: @129783
     /*  129783 */   GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(129857), // Rule ID 8122 //
     /*  129788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  129791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  129802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129828 */     // MIs[1] Operand 1
     /*  129828 */     // No operand predicates
     /*  129828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129837 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  129837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129855 */     GIR_RootConstrainSelectedInstOperands,
     /*  129856 */     // GIR_Coverage, 8122,
     /*  129856 */     GIR_EraseRootFromParent_Done,
     /*  129857 */   // Label 3251: @129857
     /*  129857 */   GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(129931), // Rule ID 8123 //
     /*  129862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  129865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  129873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  129876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  129879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  129882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129902 */     // MIs[1] Operand 1
     /*  129902 */     // No operand predicates
     /*  129902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  129911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  129926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  129929 */     GIR_RootConstrainSelectedInstOperands,
     /*  129930 */     // GIR_Coverage, 8123,
     /*  129930 */     GIR_EraseRootFromParent_Done,
     /*  129931 */   // Label 3252: @129931
     /*  129931 */   GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(130005), // Rule ID 8126 //
     /*  129936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  129939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  129944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  129947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  129950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  129953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  129956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  129964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  129968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  129972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  129976 */     // MIs[1] Operand 1
     /*  129976 */     // No operand predicates
     /*  129976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  129978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  129985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  129985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  129988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  129992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  129995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130003 */     GIR_RootConstrainSelectedInstOperands,
     /*  130004 */     // GIR_Coverage, 8126,
     /*  130004 */     GIR_EraseRootFromParent_Done,
     /*  130005 */   // Label 3253: @130005
     /*  130005 */   GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(130079), // Rule ID 8127 //
     /*  130010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  130013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  130021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  130024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130050 */     // MIs[1] Operand 1
     /*  130050 */     // No operand predicates
     /*  130050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130059 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  130059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  130062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  130077 */     GIR_RootConstrainSelectedInstOperands,
     /*  130078 */     // GIR_Coverage, 8127,
     /*  130078 */     GIR_EraseRootFromParent_Done,
     /*  130079 */   // Label 3254: @130079
     /*  130079 */   GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(130153), // Rule ID 8130 //
     /*  130084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  130098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130124 */     // MIs[1] Operand 1
     /*  130124 */     // No operand predicates
     /*  130124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130133 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130151 */     GIR_RootConstrainSelectedInstOperands,
     /*  130152 */     // GIR_Coverage, 8130,
     /*  130152 */     GIR_EraseRootFromParent_Done,
     /*  130153 */   // Label 3255: @130153
     /*  130153 */   GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(130227), // Rule ID 8131 //
     /*  130158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  130172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130198 */     // MIs[1] Operand 1
     /*  130198 */     // No operand predicates
     /*  130198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130207 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130225 */     GIR_RootConstrainSelectedInstOperands,
     /*  130226 */     // GIR_Coverage, 8131,
     /*  130226 */     GIR_EraseRootFromParent_Done,
     /*  130227 */   // Label 3256: @130227
     /*  130227 */   GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(130301), // Rule ID 8134 //
     /*  130232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  130246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130272 */     // MIs[1] Operand 1
     /*  130272 */     // No operand predicates
     /*  130272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130299 */     GIR_RootConstrainSelectedInstOperands,
     /*  130300 */     // GIR_Coverage, 8134,
     /*  130300 */     GIR_EraseRootFromParent_Done,
     /*  130301 */   // Label 3257: @130301
     /*  130301 */   GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(130375), // Rule ID 8135 //
     /*  130306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  130320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130346 */     // MIs[1] Operand 1
     /*  130346 */     // No operand predicates
     /*  130346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130373 */     GIR_RootConstrainSelectedInstOperands,
     /*  130374 */     // GIR_Coverage, 8135,
     /*  130374 */     GIR_EraseRootFromParent_Done,
     /*  130375 */   // Label 3258: @130375
     /*  130375 */   GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(130449), // Rule ID 8138 //
     /*  130380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  130391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  130394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130420 */     // MIs[1] Operand 1
     /*  130420 */     // No operand predicates
     /*  130420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130429 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  130429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130447 */     GIR_RootConstrainSelectedInstOperands,
     /*  130448 */     // GIR_Coverage, 8138,
     /*  130448 */     GIR_EraseRootFromParent_Done,
     /*  130449 */   // Label 3259: @130449
     /*  130449 */   GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(130523), // Rule ID 8139 //
     /*  130454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  130465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  130468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130494 */     // MIs[1] Operand 1
     /*  130494 */     // No operand predicates
     /*  130494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130503 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  130503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  130521 */     GIR_RootConstrainSelectedInstOperands,
     /*  130522 */     // GIR_Coverage, 8139,
     /*  130522 */     GIR_EraseRootFromParent_Done,
     /*  130523 */   // Label 3260: @130523
     /*  130523 */   GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(130597), // Rule ID 8142 //
     /*  130528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  130539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  130542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130568 */     // MIs[1] Operand 1
     /*  130568 */     // No operand predicates
     /*  130568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130577 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130595 */     GIR_RootConstrainSelectedInstOperands,
     /*  130596 */     // GIR_Coverage, 8142,
     /*  130596 */     GIR_EraseRootFromParent_Done,
     /*  130597 */   // Label 3261: @130597
     /*  130597 */   GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(130671), // Rule ID 8143 //
     /*  130602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  130613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  130616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  130630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130642 */     // MIs[1] Operand 1
     /*  130642 */     // No operand predicates
     /*  130642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130651 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  130654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130669 */     GIR_RootConstrainSelectedInstOperands,
     /*  130670 */     // GIR_Coverage, 8143,
     /*  130670 */     GIR_EraseRootFromParent_Done,
     /*  130671 */   // Label 3262: @130671
     /*  130671 */   GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(130745), // Rule ID 8146 //
     /*  130676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  130690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130716 */     // MIs[1] Operand 1
     /*  130716 */     // No operand predicates
     /*  130716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130725 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130743 */     GIR_RootConstrainSelectedInstOperands,
     /*  130744 */     // GIR_Coverage, 8146,
     /*  130744 */     GIR_EraseRootFromParent_Done,
     /*  130745 */   // Label 3263: @130745
     /*  130745 */   GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(130819), // Rule ID 8147 //
     /*  130750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  130761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  130764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  130778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130790 */     // MIs[1] Operand 1
     /*  130790 */     // No operand predicates
     /*  130790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130799 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  130802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130817 */     GIR_RootConstrainSelectedInstOperands,
     /*  130818 */     // GIR_Coverage, 8147,
     /*  130818 */     GIR_EraseRootFromParent_Done,
     /*  130819 */   // Label 3264: @130819
     /*  130819 */   GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(130893), // Rule ID 8150 //
     /*  130824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  130838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130864 */     // MIs[1] Operand 1
     /*  130864 */     // No operand predicates
     /*  130864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130873 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  130873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130891 */     GIR_RootConstrainSelectedInstOperands,
     /*  130892 */     // GIR_Coverage, 8150,
     /*  130892 */     GIR_EraseRootFromParent_Done,
     /*  130893 */   // Label 3265: @130893
     /*  130893 */   GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(130967), // Rule ID 8151 //
     /*  130898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  130901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  130909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  130912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  130915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  130918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  130926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  130930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  130934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  130938 */     // MIs[1] Operand 1
     /*  130938 */     // No operand predicates
     /*  130938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  130947 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  130947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  130950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  130957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  130962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  130965 */     GIR_RootConstrainSelectedInstOperands,
     /*  130966 */     // GIR_Coverage, 8151,
     /*  130966 */     GIR_EraseRootFromParent_Done,
     /*  130967 */   // Label 3266: @130967
     /*  130967 */   GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(131041), // Rule ID 8154 //
     /*  130972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  130975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  130980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  130983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  130986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  130989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  130992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  130996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131012 */     // MIs[1] Operand 1
     /*  131012 */     // No operand predicates
     /*  131012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131039 */     GIR_RootConstrainSelectedInstOperands,
     /*  131040 */     // GIR_Coverage, 8154,
     /*  131040 */     GIR_EraseRootFromParent_Done,
     /*  131041 */   // Label 3267: @131041
     /*  131041 */   GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(131115), // Rule ID 8155 //
     /*  131046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  131060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131086 */     // MIs[1] Operand 1
     /*  131086 */     // No operand predicates
     /*  131086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131113 */     GIR_RootConstrainSelectedInstOperands,
     /*  131114 */     // GIR_Coverage, 8155,
     /*  131114 */     GIR_EraseRootFromParent_Done,
     /*  131115 */   // Label 3268: @131115
     /*  131115 */   GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(131189), // Rule ID 8158 //
     /*  131120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  131134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131160 */     // MIs[1] Operand 1
     /*  131160 */     // No operand predicates
     /*  131160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131187 */     GIR_RootConstrainSelectedInstOperands,
     /*  131188 */     // GIR_Coverage, 8158,
     /*  131188 */     GIR_EraseRootFromParent_Done,
     /*  131189 */   // Label 3269: @131189
     /*  131189 */   GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(131263), // Rule ID 8159 //
     /*  131194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  131208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131234 */     // MIs[1] Operand 1
     /*  131234 */     // No operand predicates
     /*  131234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131243 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131261 */     GIR_RootConstrainSelectedInstOperands,
     /*  131262 */     // GIR_Coverage, 8159,
     /*  131262 */     GIR_EraseRootFromParent_Done,
     /*  131263 */   // Label 3270: @131263
     /*  131263 */   GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(131337), // Rule ID 8162 //
     /*  131268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  131279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  131282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131308 */     // MIs[1] Operand 1
     /*  131308 */     // No operand predicates
     /*  131308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  131317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131335 */     GIR_RootConstrainSelectedInstOperands,
     /*  131336 */     // GIR_Coverage, 8162,
     /*  131336 */     GIR_EraseRootFromParent_Done,
     /*  131337 */   // Label 3271: @131337
     /*  131337 */   GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(131411), // Rule ID 8163 //
     /*  131342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  131353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  131356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131382 */     // MIs[1] Operand 1
     /*  131382 */     // No operand predicates
     /*  131382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131391 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  131391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  131409 */     GIR_RootConstrainSelectedInstOperands,
     /*  131410 */     // GIR_Coverage, 8163,
     /*  131410 */     GIR_EraseRootFromParent_Done,
     /*  131411 */   // Label 3272: @131411
     /*  131411 */   GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(131485), // Rule ID 8166 //
     /*  131416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  131427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131456 */     // MIs[1] Operand 1
     /*  131456 */     // No operand predicates
     /*  131456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131483 */     GIR_RootConstrainSelectedInstOperands,
     /*  131484 */     // GIR_Coverage, 8166,
     /*  131484 */     GIR_EraseRootFromParent_Done,
     /*  131485 */   // Label 3273: @131485
     /*  131485 */   GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(131559), // Rule ID 8167 //
     /*  131490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  131501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  131504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  131518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131530 */     // MIs[1] Operand 1
     /*  131530 */     // No operand predicates
     /*  131530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  131542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131557 */     GIR_RootConstrainSelectedInstOperands,
     /*  131558 */     // GIR_Coverage, 8167,
     /*  131558 */     GIR_EraseRootFromParent_Done,
     /*  131559 */   // Label 3274: @131559
     /*  131559 */   GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(131633), // Rule ID 8170 //
     /*  131564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  131578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131604 */     // MIs[1] Operand 1
     /*  131604 */     // No operand predicates
     /*  131604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131613 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131631 */     GIR_RootConstrainSelectedInstOperands,
     /*  131632 */     // GIR_Coverage, 8170,
     /*  131632 */     GIR_EraseRootFromParent_Done,
     /*  131633 */   // Label 3275: @131633
     /*  131633 */   GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(131707), // Rule ID 8171 //
     /*  131638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  131649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  131652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  131666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131678 */     // MIs[1] Operand 1
     /*  131678 */     // No operand predicates
     /*  131678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131687 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  131690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131705 */     GIR_RootConstrainSelectedInstOperands,
     /*  131706 */     // GIR_Coverage, 8171,
     /*  131706 */     GIR_EraseRootFromParent_Done,
     /*  131707 */   // Label 3276: @131707
     /*  131707 */   GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(131781), // Rule ID 8174 //
     /*  131712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  131715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  131726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131752 */     // MIs[1] Operand 1
     /*  131752 */     // No operand predicates
     /*  131752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131761 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  131761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131779 */     GIR_RootConstrainSelectedInstOperands,
     /*  131780 */     // GIR_Coverage, 8174,
     /*  131780 */     GIR_EraseRootFromParent_Done,
     /*  131781 */   // Label 3277: @131781
     /*  131781 */   GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(131855), // Rule ID 8175 //
     /*  131786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  131789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  131794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  131797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  131800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  131814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131826 */     // MIs[1] Operand 1
     /*  131826 */     // No operand predicates
     /*  131826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  131835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  131838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  131853 */     GIR_RootConstrainSelectedInstOperands,
     /*  131854 */     // GIR_Coverage, 8175,
     /*  131854 */     GIR_EraseRootFromParent_Done,
     /*  131855 */   // Label 3278: @131855
     /*  131855 */   GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(131929), // Rule ID 8706 //
     /*  131860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  131863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  131868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  131871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  131874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  131877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  131880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131900 */     // MIs[1] Operand 1
     /*  131900 */     // No operand predicates
     /*  131900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131909 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  131909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  131912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  131927 */     GIR_RootConstrainSelectedInstOperands,
     /*  131928 */     // GIR_Coverage, 8706,
     /*  131928 */     GIR_EraseRootFromParent_Done,
     /*  131929 */   // Label 3279: @131929
     /*  131929 */   GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(132003), // Rule ID 8707 //
     /*  131934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  131937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  131942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  131945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  131948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  131951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  131954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  131962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  131966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  131974 */     // MIs[1] Operand 1
     /*  131974 */     // No operand predicates
     /*  131974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  131983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  131983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  131986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  131990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  131993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  131998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132001 */     GIR_RootConstrainSelectedInstOperands,
     /*  132002 */     // GIR_Coverage, 8707,
     /*  132002 */     GIR_EraseRootFromParent_Done,
     /*  132003 */   // Label 3280: @132003
     /*  132003 */   GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(132077), // Rule ID 8710 //
     /*  132008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  132022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132048 */     // MIs[1] Operand 1
     /*  132048 */     // No operand predicates
     /*  132048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132075 */     GIR_RootConstrainSelectedInstOperands,
     /*  132076 */     // GIR_Coverage, 8710,
     /*  132076 */     GIR_EraseRootFromParent_Done,
     /*  132077 */   // Label 3281: @132077
     /*  132077 */   GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(132151), // Rule ID 8711 //
     /*  132082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  132096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132122 */     // MIs[1] Operand 1
     /*  132122 */     // No operand predicates
     /*  132122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132131 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132149 */     GIR_RootConstrainSelectedInstOperands,
     /*  132150 */     // GIR_Coverage, 8711,
     /*  132150 */     GIR_EraseRootFromParent_Done,
     /*  132151 */   // Label 3282: @132151
     /*  132151 */   GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(132225), // Rule ID 8714 //
     /*  132156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132196 */     // MIs[1] Operand 1
     /*  132196 */     // No operand predicates
     /*  132196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132223 */     GIR_RootConstrainSelectedInstOperands,
     /*  132224 */     // GIR_Coverage, 8714,
     /*  132224 */     GIR_EraseRootFromParent_Done,
     /*  132225 */   // Label 3283: @132225
     /*  132225 */   GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(132299), // Rule ID 8715 //
     /*  132230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  132244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132270 */     // MIs[1] Operand 1
     /*  132270 */     // No operand predicates
     /*  132270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132297 */     GIR_RootConstrainSelectedInstOperands,
     /*  132298 */     // GIR_Coverage, 8715,
     /*  132298 */     GIR_EraseRootFromParent_Done,
     /*  132299 */   // Label 3284: @132299
     /*  132299 */   GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(132373), // Rule ID 8718 //
     /*  132304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  132318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132344 */     // MIs[1] Operand 1
     /*  132344 */     // No operand predicates
     /*  132344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132371 */     GIR_RootConstrainSelectedInstOperands,
     /*  132372 */     // GIR_Coverage, 8718,
     /*  132372 */     GIR_EraseRootFromParent_Done,
     /*  132373 */   // Label 3285: @132373
     /*  132373 */   GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(132447), // Rule ID 8719 //
     /*  132378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  132392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132418 */     // MIs[1] Operand 1
     /*  132418 */     // No operand predicates
     /*  132418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  132427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  132430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132445 */     GIR_RootConstrainSelectedInstOperands,
     /*  132446 */     // GIR_Coverage, 8719,
     /*  132446 */     GIR_EraseRootFromParent_Done,
     /*  132447 */   // Label 3286: @132447
     /*  132447 */   GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(132521), // Rule ID 8722 //
     /*  132452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  132466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132492 */     // MIs[1] Operand 1
     /*  132492 */     // No operand predicates
     /*  132492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132519 */     GIR_RootConstrainSelectedInstOperands,
     /*  132520 */     // GIR_Coverage, 8722,
     /*  132520 */     GIR_EraseRootFromParent_Done,
     /*  132521 */   // Label 3287: @132521
     /*  132521 */   GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(132595), // Rule ID 8723 //
     /*  132526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  132537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  132540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132566 */     // MIs[1] Operand 1
     /*  132566 */     // No operand predicates
     /*  132566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  132575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132593 */     GIR_RootConstrainSelectedInstOperands,
     /*  132594 */     // GIR_Coverage, 8723,
     /*  132594 */     GIR_EraseRootFromParent_Done,
     /*  132595 */   // Label 3288: @132595
     /*  132595 */   GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(132669), // Rule ID 8726 //
     /*  132600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  132614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132640 */     // MIs[1] Operand 1
     /*  132640 */     // No operand predicates
     /*  132640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132649 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  132649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132667 */     GIR_RootConstrainSelectedInstOperands,
     /*  132668 */     // GIR_Coverage, 8726,
     /*  132668 */     GIR_EraseRootFromParent_Done,
     /*  132669 */   // Label 3289: @132669
     /*  132669 */   GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(132743), // Rule ID 8727 //
     /*  132674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  132685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  132688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132714 */     // MIs[1] Operand 1
     /*  132714 */     // No operand predicates
     /*  132714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  132723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  132726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  132741 */     GIR_RootConstrainSelectedInstOperands,
     /*  132742 */     // GIR_Coverage, 8727,
     /*  132742 */     GIR_EraseRootFromParent_Done,
     /*  132743 */   // Label 3290: @132743
     /*  132743 */   GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(132817), // Rule ID 8730 //
     /*  132748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  132759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  132762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132788 */     // MIs[1] Operand 1
     /*  132788 */     // No operand predicates
     /*  132788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  132797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132815 */     GIR_RootConstrainSelectedInstOperands,
     /*  132816 */     // GIR_Coverage, 8730,
     /*  132816 */     GIR_EraseRootFromParent_Done,
     /*  132817 */   // Label 3291: @132817
     /*  132817 */   GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(132891), // Rule ID 8731 //
     /*  132822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  132833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  132836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132862 */     // MIs[1] Operand 1
     /*  132862 */     // No operand predicates
     /*  132862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  132871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  132889 */     GIR_RootConstrainSelectedInstOperands,
     /*  132890 */     // GIR_Coverage, 8731,
     /*  132890 */     GIR_EraseRootFromParent_Done,
     /*  132891 */   // Label 3292: @132891
     /*  132891 */   GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(132965), // Rule ID 8734 //
     /*  132896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  132899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  132913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  132916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  132928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  132932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  132936 */     // MIs[1] Operand 1
     /*  132936 */     // No operand predicates
     /*  132936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  132938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  132945 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  132945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  132948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  132952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  132955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  132960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  132963 */     GIR_RootConstrainSelectedInstOperands,
     /*  132964 */     // GIR_Coverage, 8734,
     /*  132964 */     GIR_EraseRootFromParent_Done,
     /*  132965 */   // Label 3293: @132965
     /*  132965 */   GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(133039), // Rule ID 8735 //
     /*  132970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  132973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  132978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  132981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  132984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  132987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  132990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  132998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133010 */     // MIs[1] Operand 1
     /*  133010 */     // No operand predicates
     /*  133010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133019 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  133019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133037 */     GIR_RootConstrainSelectedInstOperands,
     /*  133038 */     // GIR_Coverage, 8735,
     /*  133038 */     GIR_EraseRootFromParent_Done,
     /*  133039 */   // Label 3294: @133039
     /*  133039 */   GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(133113), // Rule ID 8738 //
     /*  133044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  133055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  133058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133084 */     // MIs[1] Operand 1
     /*  133084 */     // No operand predicates
     /*  133084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  133093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133111 */     GIR_RootConstrainSelectedInstOperands,
     /*  133112 */     // GIR_Coverage, 8738,
     /*  133112 */     GIR_EraseRootFromParent_Done,
     /*  133113 */   // Label 3295: @133113
     /*  133113 */   GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(133187), // Rule ID 8739 //
     /*  133118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  133129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  133132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133158 */     // MIs[1] Operand 1
     /*  133158 */     // No operand predicates
     /*  133158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133167 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  133167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  133185 */     GIR_RootConstrainSelectedInstOperands,
     /*  133186 */     // GIR_Coverage, 8739,
     /*  133186 */     GIR_EraseRootFromParent_Done,
     /*  133187 */   // Label 3296: @133187
     /*  133187 */   GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(133261), // Rule ID 8742 //
     /*  133192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  133195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  133203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  133206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133232 */     // MIs[1] Operand 1
     /*  133232 */     // No operand predicates
     /*  133232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133241 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  133241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133259 */     GIR_RootConstrainSelectedInstOperands,
     /*  133260 */     // GIR_Coverage, 8742,
     /*  133260 */     GIR_EraseRootFromParent_Done,
     /*  133261 */   // Label 3297: @133261
     /*  133261 */   GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(133335), // Rule ID 8743 //
     /*  133266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  133269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  133277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  133280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133306 */     // MIs[1] Operand 1
     /*  133306 */     // No operand predicates
     /*  133306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133315 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  133315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  133318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  133333 */     GIR_RootConstrainSelectedInstOperands,
     /*  133334 */     // GIR_Coverage, 8743,
     /*  133334 */     GIR_EraseRootFromParent_Done,
     /*  133335 */   // Label 3298: @133335
     /*  133335 */   GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(133409), // Rule ID 8746 //
     /*  133340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  133354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133380 */     // MIs[1] Operand 1
     /*  133380 */     // No operand predicates
     /*  133380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133407 */     GIR_RootConstrainSelectedInstOperands,
     /*  133408 */     // GIR_Coverage, 8746,
     /*  133408 */     GIR_EraseRootFromParent_Done,
     /*  133409 */   // Label 3299: @133409
     /*  133409 */   GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(133483), // Rule ID 8747 //
     /*  133414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  133428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133454 */     // MIs[1] Operand 1
     /*  133454 */     // No operand predicates
     /*  133454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133463 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133481 */     GIR_RootConstrainSelectedInstOperands,
     /*  133482 */     // GIR_Coverage, 8747,
     /*  133482 */     GIR_EraseRootFromParent_Done,
     /*  133483 */   // Label 3300: @133483
     /*  133483 */   GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(133557), // Rule ID 8750 //
     /*  133488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  133499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  133502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133528 */     // MIs[1] Operand 1
     /*  133528 */     // No operand predicates
     /*  133528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133555 */     GIR_RootConstrainSelectedInstOperands,
     /*  133556 */     // GIR_Coverage, 8750,
     /*  133556 */     GIR_EraseRootFromParent_Done,
     /*  133557 */   // Label 3301: @133557
     /*  133557 */   GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(133631), // Rule ID 8751 //
     /*  133562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  133573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  133576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133602 */     // MIs[1] Operand 1
     /*  133602 */     // No operand predicates
     /*  133602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133611 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133629 */     GIR_RootConstrainSelectedInstOperands,
     /*  133630 */     // GIR_Coverage, 8751,
     /*  133630 */     GIR_EraseRootFromParent_Done,
     /*  133631 */   // Label 3302: @133631
     /*  133631 */   GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(133705), // Rule ID 8754 //
     /*  133636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  133647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  133650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133676 */     // MIs[1] Operand 1
     /*  133676 */     // No operand predicates
     /*  133676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133685 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  133685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  133688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133703 */     GIR_RootConstrainSelectedInstOperands,
     /*  133704 */     // GIR_Coverage, 8754,
     /*  133704 */     GIR_EraseRootFromParent_Done,
     /*  133705 */   // Label 3303: @133705
     /*  133705 */   GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(133779), // Rule ID 8755 //
     /*  133710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  133721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  133724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  133738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133750 */     // MIs[1] Operand 1
     /*  133750 */     // No operand predicates
     /*  133750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133759 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  133759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  133762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  133777 */     GIR_RootConstrainSelectedInstOperands,
     /*  133778 */     // GIR_Coverage, 8755,
     /*  133778 */     GIR_EraseRootFromParent_Done,
     /*  133779 */   // Label 3304: @133779
     /*  133779 */   GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(133853), // Rule ID 8758 //
     /*  133784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  133795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133824 */     // MIs[1] Operand 1
     /*  133824 */     // No operand predicates
     /*  133824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  133833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133851 */     GIR_RootConstrainSelectedInstOperands,
     /*  133852 */     // GIR_Coverage, 8758,
     /*  133852 */     GIR_EraseRootFromParent_Done,
     /*  133853 */   // Label 3305: @133853
     /*  133853 */   GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(133927), // Rule ID 8759 //
     /*  133858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  133861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  133869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  133872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  133875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  133878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  133886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133898 */     // MIs[1] Operand 1
     /*  133898 */     // No operand predicates
     /*  133898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  133907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  133910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133925 */     GIR_RootConstrainSelectedInstOperands,
     /*  133926 */     // GIR_Coverage, 8759,
     /*  133926 */     GIR_EraseRootFromParent_Done,
     /*  133927 */   // Label 3306: @133927
     /*  133927 */   GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(134001), // Rule ID 8762 //
     /*  133932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  133935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  133940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  133943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  133946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  133949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  133952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  133956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  133960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  133964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  133968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  133972 */     // MIs[1] Operand 1
     /*  133972 */     // No operand predicates
     /*  133972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  133981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  133981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  133984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  133991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  133996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  133999 */     GIR_RootConstrainSelectedInstOperands,
     /*  134000 */     // GIR_Coverage, 8762,
     /*  134000 */     GIR_EraseRootFromParent_Done,
     /*  134001 */   // Label 3307: @134001
     /*  134001 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(134075), // Rule ID 8763 //
     /*  134006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  134020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134046 */     // MIs[1] Operand 1
     /*  134046 */     // No operand predicates
     /*  134046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134055 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  134055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134073 */     GIR_RootConstrainSelectedInstOperands,
     /*  134074 */     // GIR_Coverage, 8763,
     /*  134074 */     GIR_EraseRootFromParent_Done,
     /*  134075 */   // Label 3308: @134075
     /*  134075 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(134149), // Rule ID 8766 //
     /*  134080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  134091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  134094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134120 */     // MIs[1] Operand 1
     /*  134120 */     // No operand predicates
     /*  134120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134129 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  134129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134147 */     GIR_RootConstrainSelectedInstOperands,
     /*  134148 */     // GIR_Coverage, 8766,
     /*  134148 */     GIR_EraseRootFromParent_Done,
     /*  134149 */   // Label 3309: @134149
     /*  134149 */   GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(134223), // Rule ID 8767 //
     /*  134154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  134165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  134168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134194 */     // MIs[1] Operand 1
     /*  134194 */     // No operand predicates
     /*  134194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134203 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  134203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134221 */     GIR_RootConstrainSelectedInstOperands,
     /*  134222 */     // GIR_Coverage, 8767,
     /*  134222 */     GIR_EraseRootFromParent_Done,
     /*  134223 */   // Label 3310: @134223
     /*  134223 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(134297), // Rule ID 8770 //
     /*  134228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  134242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134268 */     // MIs[1] Operand 1
     /*  134268 */     // No operand predicates
     /*  134268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134295 */     GIR_RootConstrainSelectedInstOperands,
     /*  134296 */     // GIR_Coverage, 8770,
     /*  134296 */     GIR_EraseRootFromParent_Done,
     /*  134297 */   // Label 3311: @134297
     /*  134297 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(134371), // Rule ID 8771 //
     /*  134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  134316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134342 */     // MIs[1] Operand 1
     /*  134342 */     // No operand predicates
     /*  134342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134351 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134369 */     GIR_RootConstrainSelectedInstOperands,
     /*  134370 */     // GIR_Coverage, 8771,
     /*  134370 */     GIR_EraseRootFromParent_Done,
     /*  134371 */   // Label 3312: @134371
     /*  134371 */   GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(134445), // Rule ID 8774 //
     /*  134376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  134390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134416 */     // MIs[1] Operand 1
     /*  134416 */     // No operand predicates
     /*  134416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134443 */     GIR_RootConstrainSelectedInstOperands,
     /*  134444 */     // GIR_Coverage, 8774,
     /*  134444 */     GIR_EraseRootFromParent_Done,
     /*  134445 */   // Label 3313: @134445
     /*  134445 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(134519), // Rule ID 8775 //
     /*  134450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  134464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134490 */     // MIs[1] Operand 1
     /*  134490 */     // No operand predicates
     /*  134490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134517 */     GIR_RootConstrainSelectedInstOperands,
     /*  134518 */     // GIR_Coverage, 8775,
     /*  134518 */     GIR_EraseRootFromParent_Done,
     /*  134519 */   // Label 3314: @134519
     /*  134519 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(134593), // Rule ID 8778 //
     /*  134524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134564 */     // MIs[1] Operand 1
     /*  134564 */     // No operand predicates
     /*  134564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  134573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134591 */     GIR_RootConstrainSelectedInstOperands,
     /*  134592 */     // GIR_Coverage, 8778,
     /*  134592 */     GIR_EraseRootFromParent_Done,
     /*  134593 */   // Label 3315: @134593
     /*  134593 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(134667), // Rule ID 8779 //
     /*  134598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  134609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  134612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134638 */     // MIs[1] Operand 1
     /*  134638 */     // No operand predicates
     /*  134638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134647 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  134647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  134650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  134665 */     GIR_RootConstrainSelectedInstOperands,
     /*  134666 */     // GIR_Coverage, 8779,
     /*  134666 */     GIR_EraseRootFromParent_Done,
     /*  134667 */   // Label 3316: @134667
     /*  134667 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(134741), // Rule ID 8782 //
     /*  134672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  134683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  134686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134712 */     // MIs[1] Operand 1
     /*  134712 */     // No operand predicates
     /*  134712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  134721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134739 */     GIR_RootConstrainSelectedInstOperands,
     /*  134740 */     // GIR_Coverage, 8782,
     /*  134740 */     GIR_EraseRootFromParent_Done,
     /*  134741 */   // Label 3317: @134741
     /*  134741 */   GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(134815), // Rule ID 8783 //
     /*  134746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  134757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  134760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  134774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134786 */     // MIs[1] Operand 1
     /*  134786 */     // No operand predicates
     /*  134786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  134795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  134798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134813 */     GIR_RootConstrainSelectedInstOperands,
     /*  134814 */     // GIR_Coverage, 8783,
     /*  134814 */     GIR_EraseRootFromParent_Done,
     /*  134815 */   // Label 3318: @134815
     /*  134815 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(134889), // Rule ID 8786 //
     /*  134820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  134834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134860 */     // MIs[1] Operand 1
     /*  134860 */     // No operand predicates
     /*  134860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  134869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134887 */     GIR_RootConstrainSelectedInstOperands,
     /*  134888 */     // GIR_Coverage, 8786,
     /*  134888 */     GIR_EraseRootFromParent_Done,
     /*  134889 */   // Label 3319: @134889
     /*  134889 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(134963), // Rule ID 8787 //
     /*  134894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  134897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  134905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  134908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  134911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  134914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  134922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  134926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  134934 */     // MIs[1] Operand 1
     /*  134934 */     // No operand predicates
     /*  134934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  134943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  134943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  134946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  134953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  134958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  134961 */     GIR_RootConstrainSelectedInstOperands,
     /*  134962 */     // GIR_Coverage, 8787,
     /*  134962 */     GIR_EraseRootFromParent_Done,
     /*  134963 */   // Label 3320: @134963
     /*  134963 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(135037), // Rule ID 8790 //
     /*  134968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  134971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  134976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  134979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  134982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  134985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  134988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  134996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135008 */     // MIs[1] Operand 1
     /*  135008 */     // No operand predicates
     /*  135008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135017 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  135017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  135020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135035 */     GIR_RootConstrainSelectedInstOperands,
     /*  135036 */     // GIR_Coverage, 8790,
     /*  135036 */     GIR_EraseRootFromParent_Done,
     /*  135037 */   // Label 3321: @135037
     /*  135037 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(135111), // Rule ID 8791 //
     /*  135042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  135050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  135053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  135056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  135070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135082 */     // MIs[1] Operand 1
     /*  135082 */     // No operand predicates
     /*  135082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  135091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  135094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135109 */     GIR_RootConstrainSelectedInstOperands,
     /*  135110 */     // GIR_Coverage, 8791,
     /*  135110 */     GIR_EraseRootFromParent_Done,
     /*  135111 */   // Label 3322: @135111
     /*  135111 */   GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(135185), // Rule ID 8970 //
     /*  135116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  135130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135156 */     // MIs[1] Operand 1
     /*  135156 */     // No operand predicates
     /*  135156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135165 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  135168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135183 */     GIR_RootConstrainSelectedInstOperands,
     /*  135184 */     // GIR_Coverage, 8970,
     /*  135184 */     GIR_EraseRootFromParent_Done,
     /*  135185 */   // Label 3323: @135185
     /*  135185 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(135259), // Rule ID 8971 //
     /*  135190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  135204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135230 */     // MIs[1] Operand 1
     /*  135230 */     // No operand predicates
     /*  135230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  135242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135257 */     GIR_RootConstrainSelectedInstOperands,
     /*  135258 */     // GIR_Coverage, 8971,
     /*  135258 */     GIR_EraseRootFromParent_Done,
     /*  135259 */   // Label 3324: @135259
     /*  135259 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(135333), // Rule ID 8974 //
     /*  135264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135304 */     // MIs[1] Operand 1
     /*  135304 */     // No operand predicates
     /*  135304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135331 */     GIR_RootConstrainSelectedInstOperands,
     /*  135332 */     // GIR_Coverage, 8974,
     /*  135332 */     GIR_EraseRootFromParent_Done,
     /*  135333 */   // Label 3325: @135333
     /*  135333 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(135407), // Rule ID 8975 //
     /*  135338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135378 */     // MIs[1] Operand 1
     /*  135378 */     // No operand predicates
     /*  135378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135387 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135405 */     GIR_RootConstrainSelectedInstOperands,
     /*  135406 */     // GIR_Coverage, 8975,
     /*  135406 */     GIR_EraseRootFromParent_Done,
     /*  135407 */   // Label 3326: @135407
     /*  135407 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(135481), // Rule ID 8978 //
     /*  135412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  135423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  135426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135452 */     // MIs[1] Operand 1
     /*  135452 */     // No operand predicates
     /*  135452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  135461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135479 */     GIR_RootConstrainSelectedInstOperands,
     /*  135480 */     // GIR_Coverage, 8978,
     /*  135480 */     GIR_EraseRootFromParent_Done,
     /*  135481 */   // Label 3327: @135481
     /*  135481 */   GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(135555), // Rule ID 8979 //
     /*  135486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  135497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  135500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135526 */     // MIs[1] Operand 1
     /*  135526 */     // No operand predicates
     /*  135526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  135535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135553 */     GIR_RootConstrainSelectedInstOperands,
     /*  135554 */     // GIR_Coverage, 8979,
     /*  135554 */     GIR_EraseRootFromParent_Done,
     /*  135555 */   // Label 3328: @135555
     /*  135555 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(135629), // Rule ID 8982 //
     /*  135560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  135574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135600 */     // MIs[1] Operand 1
     /*  135600 */     // No operand predicates
     /*  135600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  135609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135627 */     GIR_RootConstrainSelectedInstOperands,
     /*  135628 */     // GIR_Coverage, 8982,
     /*  135628 */     GIR_EraseRootFromParent_Done,
     /*  135629 */   // Label 3329: @135629
     /*  135629 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(135703), // Rule ID 8983 //
     /*  135634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  135648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135674 */     // MIs[1] Operand 1
     /*  135674 */     // No operand predicates
     /*  135674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  135683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  135686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135701 */     GIR_RootConstrainSelectedInstOperands,
     /*  135702 */     // GIR_Coverage, 8983,
     /*  135702 */     GIR_EraseRootFromParent_Done,
     /*  135703 */   // Label 3330: @135703
     /*  135703 */   GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(135777), // Rule ID 8986 //
     /*  135708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135748 */     // MIs[1] Operand 1
     /*  135748 */     // No operand predicates
     /*  135748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  135757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135775 */     GIR_RootConstrainSelectedInstOperands,
     /*  135776 */     // GIR_Coverage, 8986,
     /*  135776 */     GIR_EraseRootFromParent_Done,
     /*  135777 */   // Label 3331: @135777
     /*  135777 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(135851), // Rule ID 8987 //
     /*  135782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  135793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135822 */     // MIs[1] Operand 1
     /*  135822 */     // No operand predicates
     /*  135822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  135831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135849 */     GIR_RootConstrainSelectedInstOperands,
     /*  135850 */     // GIR_Coverage, 8987,
     /*  135850 */     GIR_EraseRootFromParent_Done,
     /*  135851 */   // Label 3332: @135851
     /*  135851 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(135925), // Rule ID 8990 //
     /*  135856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  135870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  135873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  135876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135896 */     // MIs[1] Operand 1
     /*  135896 */     // No operand predicates
     /*  135896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135905 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  135905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135923 */     GIR_RootConstrainSelectedInstOperands,
     /*  135924 */     // GIR_Coverage, 8990,
     /*  135924 */     GIR_EraseRootFromParent_Done,
     /*  135925 */   // Label 3333: @135925
     /*  135925 */   GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(135999), // Rule ID 8991 //
     /*  135930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  135938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  135941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  135944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  135947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  135950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  135962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  135966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  135970 */     // MIs[1] Operand 1
     /*  135970 */     // No operand predicates
     /*  135970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  135972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  135979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  135979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  135982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  135989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  135994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135997 */     GIR_RootConstrainSelectedInstOperands,
     /*  135998 */     // GIR_Coverage, 8991,
     /*  135998 */     GIR_EraseRootFromParent_Done,
     /*  135999 */   // Label 3334: @135999
     /*  135999 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(136073), // Rule ID 8994 //
     /*  136004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  136015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  136018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136044 */     // MIs[1] Operand 1
     /*  136044 */     // No operand predicates
     /*  136044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136071 */     GIR_RootConstrainSelectedInstOperands,
     /*  136072 */     // GIR_Coverage, 8994,
     /*  136072 */     GIR_EraseRootFromParent_Done,
     /*  136073 */   // Label 3335: @136073
     /*  136073 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(136147), // Rule ID 8995 //
     /*  136078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  136089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  136092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136118 */     // MIs[1] Operand 1
     /*  136118 */     // No operand predicates
     /*  136118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136127 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136145 */     GIR_RootConstrainSelectedInstOperands,
     /*  136146 */     // GIR_Coverage, 8995,
     /*  136146 */     GIR_EraseRootFromParent_Done,
     /*  136147 */   // Label 3336: @136147
     /*  136147 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(136221), // Rule ID 8998 //
     /*  136152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  136163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136192 */     // MIs[1] Operand 1
     /*  136192 */     // No operand predicates
     /*  136192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  136201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136219 */     GIR_RootConstrainSelectedInstOperands,
     /*  136220 */     // GIR_Coverage, 8998,
     /*  136220 */     GIR_EraseRootFromParent_Done,
     /*  136221 */   // Label 3337: @136221
     /*  136221 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(136295), // Rule ID 8999 //
     /*  136226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  136237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136266 */     // MIs[1] Operand 1
     /*  136266 */     // No operand predicates
     /*  136266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136275 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  136275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136293 */     GIR_RootConstrainSelectedInstOperands,
     /*  136294 */     // GIR_Coverage, 8999,
     /*  136294 */     GIR_EraseRootFromParent_Done,
     /*  136295 */   // Label 3338: @136295
     /*  136295 */   GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(136369), // Rule ID 9002 //
     /*  136300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  136311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136340 */     // MIs[1] Operand 1
     /*  136340 */     // No operand predicates
     /*  136340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  136349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136367 */     GIR_RootConstrainSelectedInstOperands,
     /*  136368 */     // GIR_Coverage, 9002,
     /*  136368 */     GIR_EraseRootFromParent_Done,
     /*  136369 */   // Label 3339: @136369
     /*  136369 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(136443), // Rule ID 9003 //
     /*  136374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  136385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136414 */     // MIs[1] Operand 1
     /*  136414 */     // No operand predicates
     /*  136414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136423 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  136423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136441 */     GIR_RootConstrainSelectedInstOperands,
     /*  136442 */     // GIR_Coverage, 9003,
     /*  136442 */     GIR_EraseRootFromParent_Done,
     /*  136443 */   // Label 3340: @136443
     /*  136443 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(136517), // Rule ID 9006 //
     /*  136448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  136459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  136462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136488 */     // MIs[1] Operand 1
     /*  136488 */     // No operand predicates
     /*  136488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  136497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136515 */     GIR_RootConstrainSelectedInstOperands,
     /*  136516 */     // GIR_Coverage, 9006,
     /*  136516 */     GIR_EraseRootFromParent_Done,
     /*  136517 */   // Label 3341: @136517
     /*  136517 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(136591), // Rule ID 9007 //
     /*  136522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  136533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  136536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136562 */     // MIs[1] Operand 1
     /*  136562 */     // No operand predicates
     /*  136562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  136571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  136574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136589 */     GIR_RootConstrainSelectedInstOperands,
     /*  136590 */     // GIR_Coverage, 9007,
     /*  136590 */     GIR_EraseRootFromParent_Done,
     /*  136591 */   // Label 3342: @136591
     /*  136591 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(136665), // Rule ID 9010 //
     /*  136596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  136607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  136610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136636 */     // MIs[1] Operand 1
     /*  136636 */     // No operand predicates
     /*  136636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136645 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  136648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136663 */     GIR_RootConstrainSelectedInstOperands,
     /*  136664 */     // GIR_Coverage, 9010,
     /*  136664 */     GIR_EraseRootFromParent_Done,
     /*  136665 */   // Label 3343: @136665
     /*  136665 */   GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(136739), // Rule ID 9011 //
     /*  136670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  136681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  136684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136710 */     // MIs[1] Operand 1
     /*  136710 */     // No operand predicates
     /*  136710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  136722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136737 */     GIR_RootConstrainSelectedInstOperands,
     /*  136738 */     // GIR_Coverage, 9011,
     /*  136738 */     GIR_EraseRootFromParent_Done,
     /*  136739 */   // Label 3344: @136739
     /*  136739 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(136813), // Rule ID 9014 //
     /*  136744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  136755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  136758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136784 */     // MIs[1] Operand 1
     /*  136784 */     // No operand predicates
     /*  136784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  136796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136811 */     GIR_RootConstrainSelectedInstOperands,
     /*  136812 */     // GIR_Coverage, 9014,
     /*  136812 */     GIR_EraseRootFromParent_Done,
     /*  136813 */   // Label 3345: @136813
     /*  136813 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(136887), // Rule ID 9015 //
     /*  136818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  136829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  136832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  136846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136858 */     // MIs[1] Operand 1
     /*  136858 */     // No operand predicates
     /*  136858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136867 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  136867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  136870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136885 */     GIR_RootConstrainSelectedInstOperands,
     /*  136886 */     // GIR_Coverage, 9015,
     /*  136886 */     GIR_EraseRootFromParent_Done,
     /*  136887 */   // Label 3346: @136887
     /*  136887 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(136961), // Rule ID 9018 //
     /*  136892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  136903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  136909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  136912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  136928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  136932 */     // MIs[1] Operand 1
     /*  136932 */     // No operand predicates
     /*  136932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  136934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  136941 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  136941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  136944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  136951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  136956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136959 */     GIR_RootConstrainSelectedInstOperands,
     /*  136960 */     // GIR_Coverage, 9018,
     /*  136960 */     GIR_EraseRootFromParent_Done,
     /*  136961 */   // Label 3347: @136961
     /*  136961 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(137035), // Rule ID 9019 //
     /*  136966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  136974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  136977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  136980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  136983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  136986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  136994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  136998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137006 */     // MIs[1] Operand 1
     /*  137006 */     // No operand predicates
     /*  137006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137015 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  137015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137033 */     GIR_RootConstrainSelectedInstOperands,
     /*  137034 */     // GIR_Coverage, 9019,
     /*  137034 */     GIR_EraseRootFromParent_Done,
     /*  137035 */   // Label 3348: @137035
     /*  137035 */   GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(137109), // Rule ID 9022 //
     /*  137040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137080 */     // MIs[1] Operand 1
     /*  137080 */     // No operand predicates
     /*  137080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137107 */     GIR_RootConstrainSelectedInstOperands,
     /*  137108 */     // GIR_Coverage, 9022,
     /*  137108 */     GIR_EraseRootFromParent_Done,
     /*  137109 */   // Label 3349: @137109
     /*  137109 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(137183), // Rule ID 9023 //
     /*  137114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  137128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137154 */     // MIs[1] Operand 1
     /*  137154 */     // No operand predicates
     /*  137154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137163 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137181 */     GIR_RootConstrainSelectedInstOperands,
     /*  137182 */     // GIR_Coverage, 9023,
     /*  137182 */     GIR_EraseRootFromParent_Done,
     /*  137183 */   // Label 3350: @137183
     /*  137183 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(137257), // Rule ID 9026 //
     /*  137188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  137202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137228 */     // MIs[1] Operand 1
     /*  137228 */     // No operand predicates
     /*  137228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137255 */     GIR_RootConstrainSelectedInstOperands,
     /*  137256 */     // GIR_Coverage, 9026,
     /*  137256 */     GIR_EraseRootFromParent_Done,
     /*  137257 */   // Label 3351: @137257
     /*  137257 */   GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(137331), // Rule ID 9027 //
     /*  137262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  137276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137302 */     // MIs[1] Operand 1
     /*  137302 */     // No operand predicates
     /*  137302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137329 */     GIR_RootConstrainSelectedInstOperands,
     /*  137330 */     // GIR_Coverage, 9027,
     /*  137330 */     GIR_EraseRootFromParent_Done,
     /*  137331 */   // Label 3352: @137331
     /*  137331 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(137405), // Rule ID 9030 //
     /*  137336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  137347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  137350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137376 */     // MIs[1] Operand 1
     /*  137376 */     // No operand predicates
     /*  137376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  137385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137403 */     GIR_RootConstrainSelectedInstOperands,
     /*  137404 */     // GIR_Coverage, 9030,
     /*  137404 */     GIR_EraseRootFromParent_Done,
     /*  137405 */   // Label 3353: @137405
     /*  137405 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(137479), // Rule ID 9031 //
     /*  137410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  137421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  137424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137450 */     // MIs[1] Operand 1
     /*  137450 */     // No operand predicates
     /*  137450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137459 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  137459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137477 */     GIR_RootConstrainSelectedInstOperands,
     /*  137478 */     // GIR_Coverage, 9031,
     /*  137478 */     GIR_EraseRootFromParent_Done,
     /*  137479 */   // Label 3354: @137479
     /*  137479 */   GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(137553), // Rule ID 9034 //
     /*  137484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  137495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137524 */     // MIs[1] Operand 1
     /*  137524 */     // No operand predicates
     /*  137524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137533 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137551 */     GIR_RootConstrainSelectedInstOperands,
     /*  137552 */     // GIR_Coverage, 9034,
     /*  137552 */     GIR_EraseRootFromParent_Done,
     /*  137553 */   // Label 3355: @137553
     /*  137553 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(137627), // Rule ID 9035 //
     /*  137558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  137569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137598 */     // MIs[1] Operand 1
     /*  137598 */     // No operand predicates
     /*  137598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137625 */     GIR_RootConstrainSelectedInstOperands,
     /*  137626 */     // GIR_Coverage, 9035,
     /*  137626 */     GIR_EraseRootFromParent_Done,
     /*  137627 */   // Label 3356: @137627
     /*  137627 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(137701), // Rule ID 9038 //
     /*  137632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137672 */     // MIs[1] Operand 1
     /*  137672 */     // No operand predicates
     /*  137672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137681 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137699 */     GIR_RootConstrainSelectedInstOperands,
     /*  137700 */     // GIR_Coverage, 9038,
     /*  137700 */     GIR_EraseRootFromParent_Done,
     /*  137701 */   // Label 3357: @137701
     /*  137701 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(137775), // Rule ID 9039 //
     /*  137706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  137717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  137720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137746 */     // MIs[1] Operand 1
     /*  137746 */     // No operand predicates
     /*  137746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137755 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  137758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137773 */     GIR_RootConstrainSelectedInstOperands,
     /*  137774 */     // GIR_Coverage, 9039,
     /*  137774 */     GIR_EraseRootFromParent_Done,
     /*  137775 */   // Label 3358: @137775
     /*  137775 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(137849), // Rule ID 9042 //
     /*  137780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  137794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137820 */     // MIs[1] Operand 1
     /*  137820 */     // No operand predicates
     /*  137820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  137829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137847 */     GIR_RootConstrainSelectedInstOperands,
     /*  137848 */     // GIR_Coverage, 9042,
     /*  137848 */     GIR_EraseRootFromParent_Done,
     /*  137849 */   // Label 3359: @137849
     /*  137849 */   GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(137923), // Rule ID 9043 //
     /*  137854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  137865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  137868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  137871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  137874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  137882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137894 */     // MIs[1] Operand 1
     /*  137894 */     // No operand predicates
     /*  137894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137903 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  137903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  137906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137921 */     GIR_RootConstrainSelectedInstOperands,
     /*  137922 */     // GIR_Coverage, 9043,
     /*  137922 */     GIR_EraseRootFromParent_Done,
     /*  137923 */   // Label 3360: @137923
     /*  137923 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(137997), // Rule ID 9046 //
     /*  137928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  137936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  137939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  137942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  137945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  137948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  137960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  137964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  137968 */     // MIs[1] Operand 1
     /*  137968 */     // No operand predicates
     /*  137968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  137970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  137977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  137977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  137980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  137987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  137992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137995 */     GIR_RootConstrainSelectedInstOperands,
     /*  137996 */     // GIR_Coverage, 9046,
     /*  137996 */     GIR_EraseRootFromParent_Done,
     /*  137997 */   // Label 3361: @137997
     /*  137997 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(138071), // Rule ID 9047 //
     /*  138002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  138016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138042 */     // MIs[1] Operand 1
     /*  138042 */     // No operand predicates
     /*  138042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138051 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  138054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138069 */     GIR_RootConstrainSelectedInstOperands,
     /*  138070 */     // GIR_Coverage, 9047,
     /*  138070 */     GIR_EraseRootFromParent_Done,
     /*  138071 */   // Label 3362: @138071
     /*  138071 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(138145), // Rule ID 9050 //
     /*  138076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  138090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138116 */     // MIs[1] Operand 1
     /*  138116 */     // No operand predicates
     /*  138116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138125 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  138125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  138128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138143 */     GIR_RootConstrainSelectedInstOperands,
     /*  138144 */     // GIR_Coverage, 9050,
     /*  138144 */     GIR_EraseRootFromParent_Done,
     /*  138145 */   // Label 3363: @138145
     /*  138145 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(138219), // Rule ID 9051 //
     /*  138150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  138164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138190 */     // MIs[1] Operand 1
     /*  138190 */     // No operand predicates
     /*  138190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  138202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138217 */     GIR_RootConstrainSelectedInstOperands,
     /*  138218 */     // GIR_Coverage, 9051,
     /*  138218 */     GIR_EraseRootFromParent_Done,
     /*  138219 */   // Label 3364: @138219
     /*  138219 */   GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(138293), // Rule ID 9054 //
     /*  138224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  138235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138264 */     // MIs[1] Operand 1
     /*  138264 */     // No operand predicates
     /*  138264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138273 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  138273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  138276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138291 */     GIR_RootConstrainSelectedInstOperands,
     /*  138292 */     // GIR_Coverage, 9054,
     /*  138292 */     GIR_EraseRootFromParent_Done,
     /*  138293 */   // Label 3365: @138293
     /*  138293 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(138367), // Rule ID 9055 //
     /*  138298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  138306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  138309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138338 */     // MIs[1] Operand 1
     /*  138338 */     // No operand predicates
     /*  138338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  138347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  138350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138365 */     GIR_RootConstrainSelectedInstOperands,
     /*  138366 */     // GIR_Coverage, 9055,
     /*  138366 */     GIR_EraseRootFromParent_Done,
     /*  138367 */   // Label 3366: @138367
     /*  138367 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(138441), // Rule ID 9146 //
     /*  138372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138412 */     // MIs[1] Operand 1
     /*  138412 */     // No operand predicates
     /*  138412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138421 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  138424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138439 */     GIR_RootConstrainSelectedInstOperands,
     /*  138440 */     // GIR_Coverage, 9146,
     /*  138440 */     GIR_EraseRootFromParent_Done,
     /*  138441 */   // Label 3367: @138441
     /*  138441 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(138515), // Rule ID 9147 //
     /*  138446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  138460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138486 */     // MIs[1] Operand 1
     /*  138486 */     // No operand predicates
     /*  138486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  138498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138513 */     GIR_RootConstrainSelectedInstOperands,
     /*  138514 */     // GIR_Coverage, 9147,
     /*  138514 */     GIR_EraseRootFromParent_Done,
     /*  138515 */   // Label 3368: @138515
     /*  138515 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(138589), // Rule ID 9150 //
     /*  138520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  138534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138560 */     // MIs[1] Operand 1
     /*  138560 */     // No operand predicates
     /*  138560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138569 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138587 */     GIR_RootConstrainSelectedInstOperands,
     /*  138588 */     // GIR_Coverage, 9150,
     /*  138588 */     GIR_EraseRootFromParent_Done,
     /*  138589 */   // Label 3369: @138589
     /*  138589 */   GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(138663), // Rule ID 9151 //
     /*  138594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  138608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138634 */     // MIs[1] Operand 1
     /*  138634 */     // No operand predicates
     /*  138634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138661 */     GIR_RootConstrainSelectedInstOperands,
     /*  138662 */     // GIR_Coverage, 9151,
     /*  138662 */     GIR_EraseRootFromParent_Done,
     /*  138663 */   // Label 3370: @138663
     /*  138663 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(138737), // Rule ID 9154 //
     /*  138668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  138682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138708 */     // MIs[1] Operand 1
     /*  138708 */     // No operand predicates
     /*  138708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138717 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  138717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  138720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138735 */     GIR_RootConstrainSelectedInstOperands,
     /*  138736 */     // GIR_Coverage, 9154,
     /*  138736 */     GIR_EraseRootFromParent_Done,
     /*  138737 */   // Label 3371: @138737
     /*  138737 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(138811), // Rule ID 9155 //
     /*  138742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  138753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  138756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138782 */     // MIs[1] Operand 1
     /*  138782 */     // No operand predicates
     /*  138782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138791 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  138791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  138794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138809 */     GIR_RootConstrainSelectedInstOperands,
     /*  138810 */     // GIR_Coverage, 9155,
     /*  138810 */     GIR_EraseRootFromParent_Done,
     /*  138811 */   // Label 3372: @138811
     /*  138811 */   GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(138885), // Rule ID 9158 //
     /*  138816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  138830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138856 */     // MIs[1] Operand 1
     /*  138856 */     // No operand predicates
     /*  138856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  138865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138883 */     GIR_RootConstrainSelectedInstOperands,
     /*  138884 */     // GIR_Coverage, 9158,
     /*  138884 */     GIR_EraseRootFromParent_Done,
     /*  138885 */   // Label 3373: @138885
     /*  138885 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(138959), // Rule ID 9159 //
     /*  138890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  138901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  138904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  138907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  138910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  138926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  138930 */     // MIs[1] Operand 1
     /*  138930 */     // No operand predicates
     /*  138930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  138932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  138939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  138939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  138942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  138949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  138954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138957 */     GIR_RootConstrainSelectedInstOperands,
     /*  138958 */     // GIR_Coverage, 9159,
     /*  138958 */     GIR_EraseRootFromParent_Done,
     /*  138959 */   // Label 3374: @138959
     /*  138959 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(139033), // Rule ID 9162 //
     /*  138964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  138972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  138975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  138978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  138981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  138984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  138996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139004 */     // MIs[1] Operand 1
     /*  139004 */     // No operand predicates
     /*  139004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139013 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  139013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139031 */     GIR_RootConstrainSelectedInstOperands,
     /*  139032 */     // GIR_Coverage, 9162,
     /*  139032 */     GIR_EraseRootFromParent_Done,
     /*  139033 */   // Label 3375: @139033
     /*  139033 */   GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(139107), // Rule ID 9163 //
     /*  139038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  139052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139078 */     // MIs[1] Operand 1
     /*  139078 */     // No operand predicates
     /*  139078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  139087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139105 */     GIR_RootConstrainSelectedInstOperands,
     /*  139106 */     // GIR_Coverage, 9163,
     /*  139106 */     GIR_EraseRootFromParent_Done,
     /*  139107 */   // Label 3376: @139107
     /*  139107 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(139181), // Rule ID 9166 //
     /*  139112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139152 */     // MIs[1] Operand 1
     /*  139152 */     // No operand predicates
     /*  139152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  139161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139179 */     GIR_RootConstrainSelectedInstOperands,
     /*  139180 */     // GIR_Coverage, 9166,
     /*  139180 */     GIR_EraseRootFromParent_Done,
     /*  139181 */   // Label 3377: @139181
     /*  139181 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(139255), // Rule ID 9167 //
     /*  139186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  139200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139226 */     // MIs[1] Operand 1
     /*  139226 */     // No operand predicates
     /*  139226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  139235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  139238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139253 */     GIR_RootConstrainSelectedInstOperands,
     /*  139254 */     // GIR_Coverage, 9167,
     /*  139254 */     GIR_EraseRootFromParent_Done,
     /*  139255 */   // Label 3378: @139255
     /*  139255 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(139329), // Rule ID 9170 //
     /*  139260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  139271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  139274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139300 */     // MIs[1] Operand 1
     /*  139300 */     // No operand predicates
     /*  139300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  139309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139327 */     GIR_RootConstrainSelectedInstOperands,
     /*  139328 */     // GIR_Coverage, 9170,
     /*  139328 */     GIR_EraseRootFromParent_Done,
     /*  139329 */   // Label 3379: @139329
     /*  139329 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(139403), // Rule ID 9171 //
     /*  139334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  139345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  139348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139374 */     // MIs[1] Operand 1
     /*  139374 */     // No operand predicates
     /*  139374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  139383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139401 */     GIR_RootConstrainSelectedInstOperands,
     /*  139402 */     // GIR_Coverage, 9171,
     /*  139402 */     GIR_EraseRootFromParent_Done,
     /*  139403 */   // Label 3380: @139403
     /*  139403 */   GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(139477), // Rule ID 9174 //
     /*  139408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  139419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  139422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139448 */     // MIs[1] Operand 1
     /*  139448 */     // No operand predicates
     /*  139448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  139457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139475 */     GIR_RootConstrainSelectedInstOperands,
     /*  139476 */     // GIR_Coverage, 9174,
     /*  139476 */     GIR_EraseRootFromParent_Done,
     /*  139477 */   // Label 3381: @139477
     /*  139477 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(139551), // Rule ID 9175 //
     /*  139482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  139493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  139496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139522 */     // MIs[1] Operand 1
     /*  139522 */     // No operand predicates
     /*  139522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139531 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  139531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139549 */     GIR_RootConstrainSelectedInstOperands,
     /*  139550 */     // GIR_Coverage, 9175,
     /*  139550 */     GIR_EraseRootFromParent_Done,
     /*  139551 */   // Label 3382: @139551
     /*  139551 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(139625), // Rule ID 9178 //
     /*  139556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  139570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139596 */     // MIs[1] Operand 1
     /*  139596 */     // No operand predicates
     /*  139596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139605 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  139605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139623 */     GIR_RootConstrainSelectedInstOperands,
     /*  139624 */     // GIR_Coverage, 9178,
     /*  139624 */     GIR_EraseRootFromParent_Done,
     /*  139625 */   // Label 3383: @139625
     /*  139625 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(139699), // Rule ID 9179 //
     /*  139630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  139641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  139644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139670 */     // MIs[1] Operand 1
     /*  139670 */     // No operand predicates
     /*  139670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  139679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139697 */     GIR_RootConstrainSelectedInstOperands,
     /*  139698 */     // GIR_Coverage, 9179,
     /*  139698 */     GIR_EraseRootFromParent_Done,
     /*  139699 */   // Label 3384: @139699
     /*  139699 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(139773), // Rule ID 9182 //
     /*  139704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  139707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139744 */     // MIs[1] Operand 1
     /*  139744 */     // No operand predicates
     /*  139744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  139753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139771 */     GIR_RootConstrainSelectedInstOperands,
     /*  139772 */     // GIR_Coverage, 9182,
     /*  139772 */     GIR_EraseRootFromParent_Done,
     /*  139773 */   // Label 3385: @139773
     /*  139773 */   GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(139847), // Rule ID 9183 //
     /*  139778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  139781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  139789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  139792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139818 */     // MIs[1] Operand 1
     /*  139818 */     // No operand predicates
     /*  139818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139827 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  139827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  139830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  139845 */     GIR_RootConstrainSelectedInstOperands,
     /*  139846 */     // GIR_Coverage, 9183,
     /*  139846 */     GIR_EraseRootFromParent_Done,
     /*  139847 */   // Label 3386: @139847
     /*  139847 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(139921), // Rule ID 9186 //
     /*  139852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  139863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  139869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  139872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139892 */     // MIs[1] Operand 1
     /*  139892 */     // No operand predicates
     /*  139892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  139901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  139904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139919 */     GIR_RootConstrainSelectedInstOperands,
     /*  139920 */     // GIR_Coverage, 9186,
     /*  139920 */     GIR_EraseRootFromParent_Done,
     /*  139921 */   // Label 3387: @139921
     /*  139921 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(139995), // Rule ID 9187 //
     /*  139926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  139934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  139937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  139943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  139946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  139958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  139962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  139966 */     // MIs[1] Operand 1
     /*  139966 */     // No operand predicates
     /*  139966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  139968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  139975 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  139975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  139978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  139985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  139990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139993 */     GIR_RootConstrainSelectedInstOperands,
     /*  139994 */     // GIR_Coverage, 9187,
     /*  139994 */     GIR_EraseRootFromParent_Done,
     /*  139995 */   // Label 3388: @139995
     /*  139995 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(140069), // Rule ID 9190 //
     /*  140000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  140014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140040 */     // MIs[1] Operand 1
     /*  140040 */     // No operand predicates
     /*  140040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140049 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  140049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140067 */     GIR_RootConstrainSelectedInstOperands,
     /*  140068 */     // GIR_Coverage, 9190,
     /*  140068 */     GIR_EraseRootFromParent_Done,
     /*  140069 */   // Label 3389: @140069
     /*  140069 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(140143), // Rule ID 9191 //
     /*  140074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  140088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140114 */     // MIs[1] Operand 1
     /*  140114 */     // No operand predicates
     /*  140114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140123 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  140123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140141 */     GIR_RootConstrainSelectedInstOperands,
     /*  140142 */     // GIR_Coverage, 9191,
     /*  140142 */     GIR_EraseRootFromParent_Done,
     /*  140143 */   // Label 3390: @140143
     /*  140143 */   GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(140217), // Rule ID 9194 //
     /*  140148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  140159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140188 */     // MIs[1] Operand 1
     /*  140188 */     // No operand predicates
     /*  140188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140197 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  140197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140215 */     GIR_RootConstrainSelectedInstOperands,
     /*  140216 */     // GIR_Coverage, 9194,
     /*  140216 */     GIR_EraseRootFromParent_Done,
     /*  140217 */   // Label 3391: @140217
     /*  140217 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(140291), // Rule ID 9195 //
     /*  140222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  140233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140262 */     // MIs[1] Operand 1
     /*  140262 */     // No operand predicates
     /*  140262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  140271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140289 */     GIR_RootConstrainSelectedInstOperands,
     /*  140290 */     // GIR_Coverage, 9195,
     /*  140290 */     GIR_EraseRootFromParent_Done,
     /*  140291 */   // Label 3392: @140291
     /*  140291 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(140365), // Rule ID 9198 //
     /*  140296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  140310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140336 */     // MIs[1] Operand 1
     /*  140336 */     // No operand predicates
     /*  140336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140345 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140363 */     GIR_RootConstrainSelectedInstOperands,
     /*  140364 */     // GIR_Coverage, 9198,
     /*  140364 */     GIR_EraseRootFromParent_Done,
     /*  140365 */   // Label 3393: @140365
     /*  140365 */   GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(140439), // Rule ID 9199 //
     /*  140370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  140384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140410 */     // MIs[1] Operand 1
     /*  140410 */     // No operand predicates
     /*  140410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140437 */     GIR_RootConstrainSelectedInstOperands,
     /*  140438 */     // GIR_Coverage, 9199,
     /*  140438 */     GIR_EraseRootFromParent_Done,
     /*  140439 */   // Label 3394: @140439
     /*  140439 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(140513), // Rule ID 9202 //
     /*  140444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  140455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  140458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140484 */     // MIs[1] Operand 1
     /*  140484 */     // No operand predicates
     /*  140484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140511 */     GIR_RootConstrainSelectedInstOperands,
     /*  140512 */     // GIR_Coverage, 9202,
     /*  140512 */     GIR_EraseRootFromParent_Done,
     /*  140513 */   // Label 3395: @140513
     /*  140513 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(140587), // Rule ID 9203 //
     /*  140518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  140529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  140532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140558 */     // MIs[1] Operand 1
     /*  140558 */     // No operand predicates
     /*  140558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140585 */     GIR_RootConstrainSelectedInstOperands,
     /*  140586 */     // GIR_Coverage, 9203,
     /*  140586 */     GIR_EraseRootFromParent_Done,
     /*  140587 */   // Label 3396: @140587
     /*  140587 */   GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(140661), // Rule ID 9206 //
     /*  140592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140632 */     // MIs[1] Operand 1
     /*  140632 */     // No operand predicates
     /*  140632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140641 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  140641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140659 */     GIR_RootConstrainSelectedInstOperands,
     /*  140660 */     // GIR_Coverage, 9206,
     /*  140660 */     GIR_EraseRootFromParent_Done,
     /*  140661 */   // Label 3397: @140661
     /*  140661 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(140735), // Rule ID 9207 //
     /*  140666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  140677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140706 */     // MIs[1] Operand 1
     /*  140706 */     // No operand predicates
     /*  140706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  140715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  140718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140733 */     GIR_RootConstrainSelectedInstOperands,
     /*  140734 */     // GIR_Coverage, 9207,
     /*  140734 */     GIR_EraseRootFromParent_Done,
     /*  140735 */   // Label 3398: @140735
     /*  140735 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(140809), // Rule ID 9210 //
     /*  140740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  140751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  140754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140780 */     // MIs[1] Operand 1
     /*  140780 */     // No operand predicates
     /*  140780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  140789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140807 */     GIR_RootConstrainSelectedInstOperands,
     /*  140808 */     // GIR_Coverage, 9210,
     /*  140808 */     GIR_EraseRootFromParent_Done,
     /*  140809 */   // Label 3399: @140809
     /*  140809 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(140883), // Rule ID 9211 //
     /*  140814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  140825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  140828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  140842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140854 */     // MIs[1] Operand 1
     /*  140854 */     // No operand predicates
     /*  140854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  140863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  140866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140881 */     GIR_RootConstrainSelectedInstOperands,
     /*  140882 */     // GIR_Coverage, 9211,
     /*  140882 */     GIR_EraseRootFromParent_Done,
     /*  140883 */   // Label 3400: @140883
     /*  140883 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(140957), // Rule ID 9214 //
     /*  140888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  140902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  140905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  140908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  140928 */     // MIs[1] Operand 1
     /*  140928 */     // No operand predicates
     /*  140928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  140930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  140937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  140937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  140940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  140947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  140952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  140955 */     GIR_RootConstrainSelectedInstOperands,
     /*  140956 */     // GIR_Coverage, 9214,
     /*  140956 */     GIR_EraseRootFromParent_Done,
     /*  140957 */   // Label 3401: @140957
     /*  140957 */   GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(141031), // Rule ID 9215 //
     /*  140962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  140970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  140973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  140976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  140979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  140982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  140990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  140994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  140998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141002 */     // MIs[1] Operand 1
     /*  141002 */     // No operand predicates
     /*  141002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  141011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141029 */     GIR_RootConstrainSelectedInstOperands,
     /*  141030 */     // GIR_Coverage, 9215,
     /*  141030 */     GIR_EraseRootFromParent_Done,
     /*  141031 */   // Label 3402: @141031
     /*  141031 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(141105), // Rule ID 9218 //
     /*  141036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  141047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  141050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141076 */     // MIs[1] Operand 1
     /*  141076 */     // No operand predicates
     /*  141076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141085 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  141085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141103 */     GIR_RootConstrainSelectedInstOperands,
     /*  141104 */     // GIR_Coverage, 9218,
     /*  141104 */     GIR_EraseRootFromParent_Done,
     /*  141105 */   // Label 3403: @141105
     /*  141105 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(141179), // Rule ID 9219 //
     /*  141110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  141121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  141124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141150 */     // MIs[1] Operand 1
     /*  141150 */     // No operand predicates
     /*  141150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  141159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  141177 */     GIR_RootConstrainSelectedInstOperands,
     /*  141178 */     // GIR_Coverage, 9219,
     /*  141178 */     GIR_EraseRootFromParent_Done,
     /*  141179 */   // Label 3404: @141179
     /*  141179 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(141253), // Rule ID 9222 //
     /*  141184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141224 */     // MIs[1] Operand 1
     /*  141224 */     // No operand predicates
     /*  141224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  141236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141251 */     GIR_RootConstrainSelectedInstOperands,
     /*  141252 */     // GIR_Coverage, 9222,
     /*  141252 */     GIR_EraseRootFromParent_Done,
     /*  141253 */   // Label 3405: @141253
     /*  141253 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(141327), // Rule ID 9223 //
     /*  141258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  141272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  141286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141298 */     // MIs[1] Operand 1
     /*  141298 */     // No operand predicates
     /*  141298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  141310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141325 */     GIR_RootConstrainSelectedInstOperands,
     /*  141326 */     // GIR_Coverage, 9223,
     /*  141326 */     GIR_EraseRootFromParent_Done,
     /*  141327 */   // Label 3406: @141327
     /*  141327 */   GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(141401), // Rule ID 9226 //
     /*  141332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  141346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  141360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141372 */     // MIs[1] Operand 1
     /*  141372 */     // No operand predicates
     /*  141372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141399 */     GIR_RootConstrainSelectedInstOperands,
     /*  141400 */     // GIR_Coverage, 9226,
     /*  141400 */     GIR_EraseRootFromParent_Done,
     /*  141401 */   // Label 3407: @141401
     /*  141401 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(141475), // Rule ID 9227 //
     /*  141406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  141420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  141434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141446 */     // MIs[1] Operand 1
     /*  141446 */     // No operand predicates
     /*  141446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141455 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  141458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141473 */     GIR_RootConstrainSelectedInstOperands,
     /*  141474 */     // GIR_Coverage, 9227,
     /*  141474 */     GIR_EraseRootFromParent_Done,
     /*  141475 */   // Label 3408: @141475
     /*  141475 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(141549), // Rule ID 9230 //
     /*  141480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  141483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  141491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  141494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141520 */     // MIs[1] Operand 1
     /*  141520 */     // No operand predicates
     /*  141520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  141529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141547 */     GIR_RootConstrainSelectedInstOperands,
     /*  141548 */     // GIR_Coverage, 9230,
     /*  141548 */     GIR_EraseRootFromParent_Done,
     /*  141549 */   // Label 3409: @141549
     /*  141549 */   GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(141623), // Rule ID 9231 //
     /*  141554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  141557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  141562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  141565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  141568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  141582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141594 */     // MIs[1] Operand 1
     /*  141594 */     // No operand predicates
     /*  141594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  141603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  141606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  141621 */     GIR_RootConstrainSelectedInstOperands,
     /*  141622 */     // GIR_Coverage, 9231,
     /*  141622 */     GIR_EraseRootFromParent_Done,
     /*  141623 */   // Label 3410: @141623
     /*  141623 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(141697), // Rule ID 9322 //
     /*  141628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  141639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  141642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141668 */     // MIs[1] Operand 1
     /*  141668 */     // No operand predicates
     /*  141668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  141680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141695 */     GIR_RootConstrainSelectedInstOperands,
     /*  141696 */     // GIR_Coverage, 9322,
     /*  141696 */     GIR_EraseRootFromParent_Done,
     /*  141697 */   // Label 3411: @141697
     /*  141697 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(141771), // Rule ID 9323 //
     /*  141702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  141713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  141716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141742 */     // MIs[1] Operand 1
     /*  141742 */     // No operand predicates
     /*  141742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141751 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  141751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  141754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141769 */     GIR_RootConstrainSelectedInstOperands,
     /*  141770 */     // GIR_Coverage, 9323,
     /*  141770 */     GIR_EraseRootFromParent_Done,
     /*  141771 */   // Label 3412: @141771
     /*  141771 */   GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(141845), // Rule ID 9326 //
     /*  141776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141816 */     // MIs[1] Operand 1
     /*  141816 */     // No operand predicates
     /*  141816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141825 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  141828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141843 */     GIR_RootConstrainSelectedInstOperands,
     /*  141844 */     // GIR_Coverage, 9326,
     /*  141844 */     GIR_EraseRootFromParent_Done,
     /*  141845 */   // Label 3413: @141845
     /*  141845 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(141919), // Rule ID 9327 //
     /*  141850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  141853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  141861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  141864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  141867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  141870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141890 */     // MIs[1] Operand 1
     /*  141890 */     // No operand predicates
     /*  141890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  141899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  141902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141917 */     GIR_RootConstrainSelectedInstOperands,
     /*  141918 */     // GIR_Coverage, 9327,
     /*  141918 */     GIR_EraseRootFromParent_Done,
     /*  141919 */   // Label 3414: @141919
     /*  141919 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(141993), // Rule ID 9330 //
     /*  141924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  141927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  141932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  141935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  141938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  141941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  141944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  141952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  141956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  141964 */     // MIs[1] Operand 1
     /*  141964 */     // No operand predicates
     /*  141964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  141973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  141973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  141976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  141983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  141988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  141991 */     GIR_RootConstrainSelectedInstOperands,
     /*  141992 */     // GIR_Coverage, 9330,
     /*  141992 */     GIR_EraseRootFromParent_Done,
     /*  141993 */   // Label 3415: @141993
     /*  141993 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(142067), // Rule ID 9331 //
     /*  141998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  142012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142038 */     // MIs[1] Operand 1
     /*  142038 */     // No operand predicates
     /*  142038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142047 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  142047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142054 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142065 */     GIR_RootConstrainSelectedInstOperands,
     /*  142066 */     // GIR_Coverage, 9331,
     /*  142066 */     GIR_EraseRootFromParent_Done,
     /*  142067 */   // Label 3416: @142067
     /*  142067 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(142141), // Rule ID 9334 //
     /*  142072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  142086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142112 */     // MIs[1] Operand 1
     /*  142112 */     // No operand predicates
     /*  142112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  142124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142139 */     GIR_RootConstrainSelectedInstOperands,
     /*  142140 */     // GIR_Coverage, 9334,
     /*  142140 */     GIR_EraseRootFromParent_Done,
     /*  142141 */   // Label 3417: @142141
     /*  142141 */   GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(142215), // Rule ID 9335 //
     /*  142146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  142160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142186 */     // MIs[1] Operand 1
     /*  142186 */     // No operand predicates
     /*  142186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142195 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  142198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142213 */     GIR_RootConstrainSelectedInstOperands,
     /*  142214 */     // GIR_Coverage, 9335,
     /*  142214 */     GIR_EraseRootFromParent_Done,
     /*  142215 */   // Label 3418: @142215
     /*  142215 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(142289), // Rule ID 9338 //
     /*  142220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  142234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142260 */     // MIs[1] Operand 1
     /*  142260 */     // No operand predicates
     /*  142260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142287 */     GIR_RootConstrainSelectedInstOperands,
     /*  142288 */     // GIR_Coverage, 9338,
     /*  142288 */     GIR_EraseRootFromParent_Done,
     /*  142289 */   // Label 3419: @142289
     /*  142289 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(142363), // Rule ID 9339 //
     /*  142294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  142308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142334 */     // MIs[1] Operand 1
     /*  142334 */     // No operand predicates
     /*  142334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142361 */     GIR_RootConstrainSelectedInstOperands,
     /*  142362 */     // GIR_Coverage, 9339,
     /*  142362 */     GIR_EraseRootFromParent_Done,
     /*  142363 */   // Label 3420: @142363
     /*  142363 */   GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(142437), // Rule ID 9342 //
     /*  142368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  142382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142408 */     // MIs[1] Operand 1
     /*  142408 */     // No operand predicates
     /*  142408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  142417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142435 */     GIR_RootConstrainSelectedInstOperands,
     /*  142436 */     // GIR_Coverage, 9342,
     /*  142436 */     GIR_EraseRootFromParent_Done,
     /*  142437 */   // Label 3421: @142437
     /*  142437 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(142511), // Rule ID 9343 //
     /*  142442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  142456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142482 */     // MIs[1] Operand 1
     /*  142482 */     // No operand predicates
     /*  142482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  142491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  142494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142509 */     GIR_RootConstrainSelectedInstOperands,
     /*  142510 */     // GIR_Coverage, 9343,
     /*  142510 */     GIR_EraseRootFromParent_Done,
     /*  142511 */   // Label 3422: @142511
     /*  142511 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(142585), // Rule ID 9346 //
     /*  142516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  142527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  142530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142556 */     // MIs[1] Operand 1
     /*  142556 */     // No operand predicates
     /*  142556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142565 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  142565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142583 */     GIR_RootConstrainSelectedInstOperands,
     /*  142584 */     // GIR_Coverage, 9346,
     /*  142584 */     GIR_EraseRootFromParent_Done,
     /*  142585 */   // Label 3423: @142585
     /*  142585 */   GIM_Try, /*On fail goto*//*Label 3424*/ GIMT_Encode4(142659), // Rule ID 9347 //
     /*  142590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  142601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  142604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142630 */     // MIs[1] Operand 1
     /*  142630 */     // No operand predicates
     /*  142630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142639 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  142639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  142657 */     GIR_RootConstrainSelectedInstOperands,
     /*  142658 */     // GIR_Coverage, 9347,
     /*  142658 */     GIR_EraseRootFromParent_Done,
     /*  142659 */   // Label 3424: @142659
     /*  142659 */   GIM_Try, /*On fail goto*//*Label 3425*/ GIMT_Encode4(142733), // Rule ID 9350 //
     /*  142664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  142678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142704 */     // MIs[1] Operand 1
     /*  142704 */     // No operand predicates
     /*  142704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  142713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142731 */     GIR_RootConstrainSelectedInstOperands,
     /*  142732 */     // GIR_Coverage, 9350,
     /*  142732 */     GIR_EraseRootFromParent_Done,
     /*  142733 */   // Label 3425: @142733
     /*  142733 */   GIM_Try, /*On fail goto*//*Label 3426*/ GIMT_Encode4(142807), // Rule ID 9351 //
     /*  142738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  142749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  142752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142778 */     // MIs[1] Operand 1
     /*  142778 */     // No operand predicates
     /*  142778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  142787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  142805 */     GIR_RootConstrainSelectedInstOperands,
     /*  142806 */     // GIR_Coverage, 9351,
     /*  142806 */     GIR_EraseRootFromParent_Done,
     /*  142807 */   // Label 3426: @142807
     /*  142807 */   GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(142881), // Rule ID 9354 //
     /*  142812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  142826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142852 */     // MIs[1] Operand 1
     /*  142852 */     // No operand predicates
     /*  142852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  142861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142879 */     GIR_RootConstrainSelectedInstOperands,
     /*  142880 */     // GIR_Coverage, 9354,
     /*  142880 */     GIR_EraseRootFromParent_Done,
     /*  142881 */   // Label 3427: @142881
     /*  142881 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(142955), // Rule ID 9355 //
     /*  142886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  142897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  142900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  142903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  142906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  142926 */     // MIs[1] Operand 1
     /*  142926 */     // No operand predicates
     /*  142926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  142928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  142935 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  142935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  142938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  142942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  142945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  142950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  142953 */     GIR_RootConstrainSelectedInstOperands,
     /*  142954 */     // GIR_Coverage, 9355,
     /*  142954 */     GIR_EraseRootFromParent_Done,
     /*  142955 */   // Label 3428: @142955
     /*  142955 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(143029), // Rule ID 9358 //
     /*  142960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  142963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  142968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  142971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  142974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  142977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  142980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  142992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  142996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143000 */     // MIs[1] Operand 1
     /*  143000 */     // No operand predicates
     /*  143000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143009 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  143009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  143012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143027 */     GIR_RootConstrainSelectedInstOperands,
     /*  143028 */     // GIR_Coverage, 9358,
     /*  143028 */     GIR_EraseRootFromParent_Done,
     /*  143029 */   // Label 3429: @143029
     /*  143029 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(143103), // Rule ID 9359 //
     /*  143034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  143037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  143045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  143048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143074 */     // MIs[1] Operand 1
     /*  143074 */     // No operand predicates
     /*  143074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143083 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  143083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  143086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  143101 */     GIR_RootConstrainSelectedInstOperands,
     /*  143102 */     // GIR_Coverage, 9359,
     /*  143102 */     GIR_EraseRootFromParent_Done,
     /*  143103 */   // Label 3430: @143103
     /*  143103 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(143177), // Rule ID 9362 //
     /*  143108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  143122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143148 */     // MIs[1] Operand 1
     /*  143148 */     // No operand predicates
     /*  143148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143175 */     GIR_RootConstrainSelectedInstOperands,
     /*  143176 */     // GIR_Coverage, 9362,
     /*  143176 */     GIR_EraseRootFromParent_Done,
     /*  143177 */   // Label 3431: @143177
     /*  143177 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(143251), // Rule ID 9363 //
     /*  143182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  143196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143222 */     // MIs[1] Operand 1
     /*  143222 */     // No operand predicates
     /*  143222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143231 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143249 */     GIR_RootConstrainSelectedInstOperands,
     /*  143250 */     // GIR_Coverage, 9363,
     /*  143250 */     GIR_EraseRootFromParent_Done,
     /*  143251 */   // Label 3432: @143251
     /*  143251 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(143325), // Rule ID 9366 //
     /*  143256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  143270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143296 */     // MIs[1] Operand 1
     /*  143296 */     // No operand predicates
     /*  143296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143305 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143323 */     GIR_RootConstrainSelectedInstOperands,
     /*  143324 */     // GIR_Coverage, 9366,
     /*  143324 */     GIR_EraseRootFromParent_Done,
     /*  143325 */   // Label 3433: @143325
     /*  143325 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(143399), // Rule ID 9367 //
     /*  143330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  143344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143370 */     // MIs[1] Operand 1
     /*  143370 */     // No operand predicates
     /*  143370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143379 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143397 */     GIR_RootConstrainSelectedInstOperands,
     /*  143398 */     // GIR_Coverage, 9367,
     /*  143398 */     GIR_EraseRootFromParent_Done,
     /*  143399 */   // Label 3434: @143399
     /*  143399 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(143473), // Rule ID 9370 //
     /*  143404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  143415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  143418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143444 */     // MIs[1] Operand 1
     /*  143444 */     // No operand predicates
     /*  143444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143453 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  143453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143471 */     GIR_RootConstrainSelectedInstOperands,
     /*  143472 */     // GIR_Coverage, 9370,
     /*  143472 */     GIR_EraseRootFromParent_Done,
     /*  143473 */   // Label 3435: @143473
     /*  143473 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(143547), // Rule ID 9371 //
     /*  143478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  143489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  143492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143518 */     // MIs[1] Operand 1
     /*  143518 */     // No operand predicates
     /*  143518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143527 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  143527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143545 */     GIR_RootConstrainSelectedInstOperands,
     /*  143546 */     // GIR_Coverage, 9371,
     /*  143546 */     GIR_EraseRootFromParent_Done,
     /*  143547 */   // Label 3436: @143547
     /*  143547 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(143621), // Rule ID 9374 //
     /*  143552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  143563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  143566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143592 */     // MIs[1] Operand 1
     /*  143592 */     // No operand predicates
     /*  143592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143601 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143619 */     GIR_RootConstrainSelectedInstOperands,
     /*  143620 */     // GIR_Coverage, 9374,
     /*  143620 */     GIR_EraseRootFromParent_Done,
     /*  143621 */   // Label 3437: @143621
     /*  143621 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(143695), // Rule ID 9375 //
     /*  143626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  143637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  143640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  143654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143666 */     // MIs[1] Operand 1
     /*  143666 */     // No operand predicates
     /*  143666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  143678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143693 */     GIR_RootConstrainSelectedInstOperands,
     /*  143694 */     // GIR_Coverage, 9375,
     /*  143694 */     GIR_EraseRootFromParent_Done,
     /*  143695 */   // Label 3438: @143695
     /*  143695 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(143769), // Rule ID 9378 //
     /*  143700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  143714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143740 */     // MIs[1] Operand 1
     /*  143740 */     // No operand predicates
     /*  143740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143767 */     GIR_RootConstrainSelectedInstOperands,
     /*  143768 */     // GIR_Coverage, 9378,
     /*  143768 */     GIR_EraseRootFromParent_Done,
     /*  143769 */   // Label 3439: @143769
     /*  143769 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(143843), // Rule ID 9379 //
     /*  143774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  143785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  143788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  143802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143814 */     // MIs[1] Operand 1
     /*  143814 */     // No operand predicates
     /*  143814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143823 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  143826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143841 */     GIR_RootConstrainSelectedInstOperands,
     /*  143842 */     // GIR_Coverage, 9379,
     /*  143842 */     GIR_EraseRootFromParent_Done,
     /*  143843 */   // Label 3440: @143843
     /*  143843 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(143917), // Rule ID 9382 //
     /*  143848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  143862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  143865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  143868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143888 */     // MIs[1] Operand 1
     /*  143888 */     // No operand predicates
     /*  143888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  143897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143915 */     GIR_RootConstrainSelectedInstOperands,
     /*  143916 */     // GIR_Coverage, 9382,
     /*  143916 */     GIR_EraseRootFromParent_Done,
     /*  143917 */   // Label 3441: @143917
     /*  143917 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(143991), // Rule ID 9383 //
     /*  143922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  143930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  143933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  143936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  143939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  143942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  143950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  143954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  143958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  143962 */     // MIs[1] Operand 1
     /*  143962 */     // No operand predicates
     /*  143962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  143971 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  143971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  143974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  143978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  143981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  143986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143989 */     GIR_RootConstrainSelectedInstOperands,
     /*  143990 */     // GIR_Coverage, 9383,
     /*  143990 */     GIR_EraseRootFromParent_Done,
     /*  143991 */   // Label 3442: @143991
     /*  143991 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(144065), // Rule ID 9386 //
     /*  143996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  144010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144036 */     // MIs[1] Operand 1
     /*  144036 */     // No operand predicates
     /*  144036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144045 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144063 */     GIR_RootConstrainSelectedInstOperands,
     /*  144064 */     // GIR_Coverage, 9386,
     /*  144064 */     GIR_EraseRootFromParent_Done,
     /*  144065 */   // Label 3443: @144065
     /*  144065 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(144139), // Rule ID 9387 //
     /*  144070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  144084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144110 */     // MIs[1] Operand 1
     /*  144110 */     // No operand predicates
     /*  144110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144137 */     GIR_RootConstrainSelectedInstOperands,
     /*  144138 */     // GIR_Coverage, 9387,
     /*  144138 */     GIR_EraseRootFromParent_Done,
     /*  144139 */   // Label 3444: @144139
     /*  144139 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(144213), // Rule ID 9390 //
     /*  144144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  144158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144184 */     // MIs[1] Operand 1
     /*  144184 */     // No operand predicates
     /*  144184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144211 */     GIR_RootConstrainSelectedInstOperands,
     /*  144212 */     // GIR_Coverage, 9390,
     /*  144212 */     GIR_EraseRootFromParent_Done,
     /*  144213 */   // Label 3445: @144213
     /*  144213 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(144287), // Rule ID 9391 //
     /*  144218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  144232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144258 */     // MIs[1] Operand 1
     /*  144258 */     // No operand predicates
     /*  144258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144285 */     GIR_RootConstrainSelectedInstOperands,
     /*  144286 */     // GIR_Coverage, 9391,
     /*  144286 */     GIR_EraseRootFromParent_Done,
     /*  144287 */   // Label 3446: @144287
     /*  144287 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(144361), // Rule ID 9394 //
     /*  144292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  144303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  144306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144332 */     // MIs[1] Operand 1
     /*  144332 */     // No operand predicates
     /*  144332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  144341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144359 */     GIR_RootConstrainSelectedInstOperands,
     /*  144360 */     // GIR_Coverage, 9394,
     /*  144360 */     GIR_EraseRootFromParent_Done,
     /*  144361 */   // Label 3447: @144361
     /*  144361 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(144435), // Rule ID 9395 //
     /*  144366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  144377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  144380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144406 */     // MIs[1] Operand 1
     /*  144406 */     // No operand predicates
     /*  144406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144415 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  144415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  144433 */     GIR_RootConstrainSelectedInstOperands,
     /*  144434 */     // GIR_Coverage, 9395,
     /*  144434 */     GIR_EraseRootFromParent_Done,
     /*  144435 */   // Label 3448: @144435
     /*  144435 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(144509), // Rule ID 9398 //
     /*  144440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  144451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  144454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144480 */     // MIs[1] Operand 1
     /*  144480 */     // No operand predicates
     /*  144480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144507 */     GIR_RootConstrainSelectedInstOperands,
     /*  144508 */     // GIR_Coverage, 9398,
     /*  144508 */     GIR_EraseRootFromParent_Done,
     /*  144509 */   // Label 3449: @144509
     /*  144509 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(144583), // Rule ID 9399 //
     /*  144514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  144525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  144528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  144542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144554 */     // MIs[1] Operand 1
     /*  144554 */     // No operand predicates
     /*  144554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144563 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  144566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144581 */     GIR_RootConstrainSelectedInstOperands,
     /*  144582 */     // GIR_Coverage, 9399,
     /*  144582 */     GIR_EraseRootFromParent_Done,
     /*  144583 */   // Label 3450: @144583
     /*  144583 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(144657), // Rule ID 9402 //
     /*  144588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  144602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144628 */     // MIs[1] Operand 1
     /*  144628 */     // No operand predicates
     /*  144628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144655 */     GIR_RootConstrainSelectedInstOperands,
     /*  144656 */     // GIR_Coverage, 9402,
     /*  144656 */     GIR_EraseRootFromParent_Done,
     /*  144657 */   // Label 3451: @144657
     /*  144657 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(144731), // Rule ID 9403 //
     /*  144662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  144673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  144676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  144690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144702 */     // MIs[1] Operand 1
     /*  144702 */     // No operand predicates
     /*  144702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  144714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144729 */     GIR_RootConstrainSelectedInstOperands,
     /*  144730 */     // GIR_Coverage, 9403,
     /*  144730 */     GIR_EraseRootFromParent_Done,
     /*  144731 */   // Label 3452: @144731
     /*  144731 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(144805), // Rule ID 9406 //
     /*  144736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  144750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  144753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144776 */     // MIs[1] Operand 1
     /*  144776 */     // No operand predicates
     /*  144776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  144785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144803 */     GIR_RootConstrainSelectedInstOperands,
     /*  144804 */     // GIR_Coverage, 9406,
     /*  144804 */     GIR_EraseRootFromParent_Done,
     /*  144805 */   // Label 3453: @144805
     /*  144805 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(144879), // Rule ID 9407 //
     /*  144810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  144818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  144821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  144824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  144827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  144830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  144838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  144842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  144846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  144850 */     // MIs[1] Operand 1
     /*  144850 */     // No operand predicates
     /*  144850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  144852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  144859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  144862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  144869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  144874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144877 */     GIR_RootConstrainSelectedInstOperands,
     /*  144878 */     // GIR_Coverage, 9407,
     /*  144878 */     GIR_EraseRootFromParent_Done,
     /*  144879 */   // Label 3454: @144879
     /*  144879 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(144935), // Rule ID 63788 //
     /*  144884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  144887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  144892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  144895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  144898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144906 */     // MIs[0] pts
     /*  144906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  144909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  144914 */     // MIs[0] radix
     /*  144914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  144917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  144922 */     // (intrinsic_wo_chain:{ *:[i32] } 10629:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  144922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  144925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  144929 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  144931 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  144933 */     GIR_RootConstrainSelectedInstOperands,
     /*  144934 */     // GIR_Coverage, 63788,
     /*  144934 */     GIR_EraseRootFromParent_Done,
     /*  144935 */   // Label 3455: @144935
     /*  144935 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(145016), // Rule ID 2544 //
     /*  144940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  144943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  144948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  144951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  144954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  144957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  144960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  144964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  144972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  144979 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  144979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  144983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  144993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  144996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  145006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145014 */     GIR_RootConstrainSelectedInstOperands,
     /*  145015 */     // GIR_Coverage, 2544,
     /*  145015 */     GIR_EraseRootFromParent_Done,
     /*  145016 */   // Label 3456: @145016
     /*  145016 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(145097), // Rule ID 2545 //
     /*  145021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  145024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  145029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  145032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  145035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  145045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  145053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145060 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  145060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  145064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  145074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  145077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  145087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145095 */     GIR_RootConstrainSelectedInstOperands,
     /*  145096 */     // GIR_Coverage, 2545,
     /*  145096 */     GIR_EraseRootFromParent_Done,
     /*  145097 */   // Label 3457: @145097
     /*  145097 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(145163), // Rule ID 2552 //
     /*  145102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  145110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  145113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  145141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  145144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145161 */     GIR_RootConstrainSelectedInstOperands,
     /*  145162 */     // GIR_Coverage, 2552,
     /*  145162 */     GIR_EraseRootFromParent_Done,
     /*  145163 */   // Label 3458: @145163
     /*  145163 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(145229), // Rule ID 2553 //
     /*  145168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  145176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  145179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  145185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145207 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  145207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  145210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145227 */     GIR_RootConstrainSelectedInstOperands,
     /*  145228 */     // GIR_Coverage, 2553,
     /*  145228 */     GIR_EraseRootFromParent_Done,
     /*  145229 */   // Label 3459: @145229
     /*  145229 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(145295), // Rule ID 2556 //
     /*  145234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  145242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145273 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  145276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145293 */     GIR_RootConstrainSelectedInstOperands,
     /*  145294 */     // GIR_Coverage, 2556,
     /*  145294 */     GIR_EraseRootFromParent_Done,
     /*  145295 */   // Label 3460: @145295
     /*  145295 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(145361), // Rule ID 2557 //
     /*  145300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  145308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  145342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145359 */     GIR_RootConstrainSelectedInstOperands,
     /*  145360 */     // GIR_Coverage, 2557,
     /*  145360 */     GIR_EraseRootFromParent_Done,
     /*  145361 */   // Label 3461: @145361
     /*  145361 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(145427), // Rule ID 2560 //
     /*  145366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  145369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  145374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145405 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  145408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145425 */     GIR_RootConstrainSelectedInstOperands,
     /*  145426 */     // GIR_Coverage, 2560,
     /*  145426 */     GIR_EraseRootFromParent_Done,
     /*  145427 */   // Label 3462: @145427
     /*  145427 */   GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(145493), // Rule ID 2561 //
     /*  145432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  145435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  145440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145471 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  145474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145491 */     GIR_RootConstrainSelectedInstOperands,
     /*  145492 */     // GIR_Coverage, 2561,
     /*  145492 */     GIR_EraseRootFromParent_Done,
     /*  145493 */   // Label 3463: @145493
     /*  145493 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(145556), // Rule ID 2574 //
     /*  145498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  145506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145537 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  145540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145554 */     GIR_RootConstrainSelectedInstOperands,
     /*  145555 */     // GIR_Coverage, 2574,
     /*  145555 */     GIR_EraseRootFromParent_Done,
     /*  145556 */   // Label 3464: @145556
     /*  145556 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(145619), // Rule ID 2575 //
     /*  145561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  145569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  145603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145617 */     GIR_RootConstrainSelectedInstOperands,
     /*  145618 */     // GIR_Coverage, 2575,
     /*  145618 */     GIR_EraseRootFromParent_Done,
     /*  145619 */   // Label 3465: @145619
     /*  145619 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(145682), // Rule ID 2586 //
     /*  145624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  145632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  145666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  145670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145680 */     GIR_RootConstrainSelectedInstOperands,
     /*  145681 */     // GIR_Coverage, 2586,
     /*  145681 */     GIR_EraseRootFromParent_Done,
     /*  145682 */   // Label 3466: @145682
     /*  145682 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(145745), // Rule ID 2587 //
     /*  145687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  145695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145726 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  145729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  145733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145743 */     GIR_RootConstrainSelectedInstOperands,
     /*  145744 */     // GIR_Coverage, 2587,
     /*  145744 */     GIR_EraseRootFromParent_Done,
     /*  145745 */   // Label 3467: @145745
     /*  145745 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(145808), // Rule ID 2594 //
     /*  145750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  145758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145789 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  145789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  145792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145806 */     GIR_RootConstrainSelectedInstOperands,
     /*  145807 */     // GIR_Coverage, 2594,
     /*  145807 */     GIR_EraseRootFromParent_Done,
     /*  145808 */   // Label 3468: @145808
     /*  145808 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(145871), // Rule ID 2595 //
     /*  145813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  145821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  145824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  145827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  145830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  145852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  145855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  145859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145869 */     GIR_RootConstrainSelectedInstOperands,
     /*  145870 */     // GIR_Coverage, 2595,
     /*  145870 */     GIR_EraseRootFromParent_Done,
     /*  145871 */   // Label 3469: @145871
     /*  145871 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(145937), // Rule ID 2596 //
     /*  145876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  145879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  145884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  145896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  145915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  145918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145935 */     GIR_RootConstrainSelectedInstOperands,
     /*  145936 */     // GIR_Coverage, 2596,
     /*  145936 */     GIR_EraseRootFromParent_Done,
     /*  145937 */   // Label 3470: @145937
     /*  145937 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(146003), // Rule ID 2597 //
     /*  145942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  145945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  145950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  145953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  145956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  145959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  145962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  145981 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  145981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  145984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  145988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  145990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  145995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146001 */     GIR_RootConstrainSelectedInstOperands,
     /*  146002 */     // GIR_Coverage, 2597,
     /*  146002 */     GIR_EraseRootFromParent_Done,
     /*  146003 */   // Label 3471: @146003
     /*  146003 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(146066), // Rule ID 2608 //
     /*  146008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  146016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  146019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  146022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  146025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  146047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  146050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  146054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146064 */     GIR_RootConstrainSelectedInstOperands,
     /*  146065 */     // GIR_Coverage, 2608,
     /*  146065 */     GIR_EraseRootFromParent_Done,
     /*  146066 */   // Label 3472: @146066
     /*  146066 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(146129), // Rule ID 2609 //
     /*  146071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  146079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  146082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  146085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  146088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  146110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  146113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  146117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146127 */     GIR_RootConstrainSelectedInstOperands,
     /*  146128 */     // GIR_Coverage, 2609,
     /*  146128 */     GIR_EraseRootFromParent_Done,
     /*  146129 */   // Label 3473: @146129
     /*  146129 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(146195), // Rule ID 4748 //
     /*  146134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  146145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  146148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  146151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146173 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146193 */     GIR_RootConstrainSelectedInstOperands,
     /*  146194 */     // GIR_Coverage, 4748,
     /*  146194 */     GIR_EraseRootFromParent_Done,
     /*  146195 */   // Label 3474: @146195
     /*  146195 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(146261), // Rule ID 4749 //
     /*  146200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  146211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  146214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  146217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146259 */     GIR_RootConstrainSelectedInstOperands,
     /*  146260 */     // GIR_Coverage, 4749,
     /*  146260 */     GIR_EraseRootFromParent_Done,
     /*  146261 */   // Label 3475: @146261
     /*  146261 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(146327), // Rule ID 4752 //
     /*  146266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  146277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  146280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  146283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146325 */     GIR_RootConstrainSelectedInstOperands,
     /*  146326 */     // GIR_Coverage, 4752,
     /*  146326 */     GIR_EraseRootFromParent_Done,
     /*  146327 */   // Label 3476: @146327
     /*  146327 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(146393), // Rule ID 4753 //
     /*  146332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  146343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  146346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  146349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11311:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146391 */     GIR_RootConstrainSelectedInstOperands,
     /*  146392 */     // GIR_Coverage, 4753,
     /*  146392 */     GIR_EraseRootFromParent_Done,
     /*  146393 */   // Label 3477: @146393
     /*  146393 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(146459), // Rule ID 4756 //
     /*  146398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  146409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  146412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  146415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146437 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  146440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146457 */     GIR_RootConstrainSelectedInstOperands,
     /*  146458 */     // GIR_Coverage, 4756,
     /*  146458 */     GIR_EraseRootFromParent_Done,
     /*  146459 */   // Label 3478: @146459
     /*  146459 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(146525), // Rule ID 4757 //
     /*  146464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  146475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  146478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  146481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  146506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146523 */     GIR_RootConstrainSelectedInstOperands,
     /*  146524 */     // GIR_Coverage, 4757,
     /*  146524 */     GIR_EraseRootFromParent_Done,
     /*  146525 */   // Label 3479: @146525
     /*  146525 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(146591), // Rule ID 4760 //
     /*  146530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  146541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  146544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  146547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  146572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146589 */     GIR_RootConstrainSelectedInstOperands,
     /*  146590 */     // GIR_Coverage, 4760,
     /*  146590 */     GIR_EraseRootFromParent_Done,
     /*  146591 */   // Label 3480: @146591
     /*  146591 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(146657), // Rule ID 4761 //
     /*  146596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  146607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  146610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  146613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  146638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146655 */     GIR_RootConstrainSelectedInstOperands,
     /*  146656 */     // GIR_Coverage, 4761,
     /*  146656 */     GIR_EraseRootFromParent_Done,
     /*  146657 */   // Label 3481: @146657
     /*  146657 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(146723), // Rule ID 4764 //
     /*  146662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  146673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  146676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  146679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  146701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  146704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146721 */     GIR_RootConstrainSelectedInstOperands,
     /*  146722 */     // GIR_Coverage, 4764,
     /*  146722 */     GIR_EraseRootFromParent_Done,
     /*  146723 */   // Label 3482: @146723
     /*  146723 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(146789), // Rule ID 4765 //
     /*  146728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  146739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  146742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  146745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  146756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  146760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  146767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  146770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  146784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146787 */     GIR_RootConstrainSelectedInstOperands,
     /*  146788 */     // GIR_Coverage, 4765,
     /*  146788 */     GIR_EraseRootFromParent_Done,
     /*  146789 */   // Label 3483: @146789
     /*  146789 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(146855), // Rule ID 4768 //
     /*  146794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  146805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  146808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  146811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146833 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  146833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146853 */     GIR_RootConstrainSelectedInstOperands,
     /*  146854 */     // GIR_Coverage, 4768,
     /*  146854 */     GIR_EraseRootFromParent_Done,
     /*  146855 */   // Label 3484: @146855
     /*  146855 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(146921), // Rule ID 4769 //
     /*  146860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  146871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  146874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  146877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  146880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  146899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  146902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146919 */     GIR_RootConstrainSelectedInstOperands,
     /*  146920 */     // GIR_Coverage, 4769,
     /*  146920 */     GIR_EraseRootFromParent_Done,
     /*  146921 */   // Label 3485: @146921
     /*  146921 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(146987), // Rule ID 4772 //
     /*  146926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  146934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  146937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  146940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  146943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  146946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  146965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  146965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  146968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  146972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  146974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  146979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146985 */     GIR_RootConstrainSelectedInstOperands,
     /*  146986 */     // GIR_Coverage, 4772,
     /*  146986 */     GIR_EraseRootFromParent_Done,
     /*  146987 */   // Label 3486: @146987
     /*  146987 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(147053), // Rule ID 4773 //
     /*  146992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  147003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  147006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  147009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  147034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147051 */     GIR_RootConstrainSelectedInstOperands,
     /*  147052 */     // GIR_Coverage, 4773,
     /*  147052 */     GIR_EraseRootFromParent_Done,
     /*  147053 */   // Label 3487: @147053
     /*  147053 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(147119), // Rule ID 4776 //
     /*  147058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  147069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  147075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147117 */     GIR_RootConstrainSelectedInstOperands,
     /*  147118 */     // GIR_Coverage, 4776,
     /*  147118 */     GIR_EraseRootFromParent_Done,
     /*  147119 */   // Label 3488: @147119
     /*  147119 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(147185), // Rule ID 4777 //
     /*  147124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  147135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  147138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  147141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147183 */     GIR_RootConstrainSelectedInstOperands,
     /*  147184 */     // GIR_Coverage, 4777,
     /*  147184 */     GIR_EraseRootFromParent_Done,
     /*  147185 */   // Label 3489: @147185
     /*  147185 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(147251), // Rule ID 4780 //
     /*  147190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  147201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  147204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  147207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147229 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147249 */     GIR_RootConstrainSelectedInstOperands,
     /*  147250 */     // GIR_Coverage, 4780,
     /*  147250 */     GIR_EraseRootFromParent_Done,
     /*  147251 */   // Label 3490: @147251
     /*  147251 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(147317), // Rule ID 4781 //
     /*  147256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  147267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  147270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  147273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147295 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147315 */     GIR_RootConstrainSelectedInstOperands,
     /*  147316 */     // GIR_Coverage, 4781,
     /*  147316 */     GIR_EraseRootFromParent_Done,
     /*  147317 */   // Label 3491: @147317
     /*  147317 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(147383), // Rule ID 4784 //
     /*  147322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  147333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  147339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  147361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147381 */     GIR_RootConstrainSelectedInstOperands,
     /*  147382 */     // GIR_Coverage, 4784,
     /*  147382 */     GIR_EraseRootFromParent_Done,
     /*  147383 */   // Label 3492: @147383
     /*  147383 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(147449), // Rule ID 4785 //
     /*  147388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  147399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  147402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  147405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  147427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  147444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147447 */     GIR_RootConstrainSelectedInstOperands,
     /*  147448 */     // GIR_Coverage, 4785,
     /*  147448 */     GIR_EraseRootFromParent_Done,
     /*  147449 */   // Label 3493: @147449
     /*  147449 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(147515), // Rule ID 4788 //
     /*  147454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  147465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  147468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  147471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147493 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  147496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147513 */     GIR_RootConstrainSelectedInstOperands,
     /*  147514 */     // GIR_Coverage, 4788,
     /*  147514 */     GIR_EraseRootFromParent_Done,
     /*  147515 */   // Label 3494: @147515
     /*  147515 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(147581), // Rule ID 4789 //
     /*  147520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  147531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  147534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  147537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  147562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147579 */     GIR_RootConstrainSelectedInstOperands,
     /*  147580 */     // GIR_Coverage, 4789,
     /*  147580 */     GIR_EraseRootFromParent_Done,
     /*  147581 */   // Label 3495: @147581
     /*  147581 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(147647), // Rule ID 4792 //
     /*  147586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  147597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  147600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  147603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147645 */     GIR_RootConstrainSelectedInstOperands,
     /*  147646 */     // GIR_Coverage, 4792,
     /*  147646 */     GIR_EraseRootFromParent_Done,
     /*  147647 */   // Label 3496: @147647
     /*  147647 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(147713), // Rule ID 4793 //
     /*  147652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  147663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  147666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  147669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  147694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147711 */     GIR_RootConstrainSelectedInstOperands,
     /*  147712 */     // GIR_Coverage, 4793,
     /*  147712 */     GIR_EraseRootFromParent_Done,
     /*  147713 */   // Label 3497: @147713
     /*  147713 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(147779), // Rule ID 4796 //
     /*  147718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  147729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  147735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147757 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147777 */     GIR_RootConstrainSelectedInstOperands,
     /*  147778 */     // GIR_Coverage, 4796,
     /*  147778 */     GIR_EraseRootFromParent_Done,
     /*  147779 */   // Label 3498: @147779
     /*  147779 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(147845), // Rule ID 4797 //
     /*  147784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  147795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  147798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  147801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  147816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147823 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  147826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147843 */     GIR_RootConstrainSelectedInstOperands,
     /*  147844 */     // GIR_Coverage, 4797,
     /*  147844 */     GIR_EraseRootFromParent_Done,
     /*  147845 */   // Label 3499: @147845
     /*  147845 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(147911), // Rule ID 4800 //
     /*  147850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  147853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  147861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  147864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  147867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  147870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  147889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147909 */     GIR_RootConstrainSelectedInstOperands,
     /*  147910 */     // GIR_Coverage, 4800,
     /*  147910 */     GIR_EraseRootFromParent_Done,
     /*  147911 */   // Label 3500: @147911
     /*  147911 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(147977), // Rule ID 4801 //
     /*  147916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  147919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  147927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  147930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  147933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  147936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  147944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  147948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  147955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  147955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  147958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  147962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  147964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  147972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147975 */     GIR_RootConstrainSelectedInstOperands,
     /*  147976 */     // GIR_Coverage, 4801,
     /*  147976 */     GIR_EraseRootFromParent_Done,
     /*  147977 */   // Label 3501: @147977
     /*  147977 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(148043), // Rule ID 4804 //
     /*  147982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  147990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  147993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  147996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  147999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148021 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  148024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148041 */     GIR_RootConstrainSelectedInstOperands,
     /*  148042 */     // GIR_Coverage, 4804,
     /*  148042 */     GIR_EraseRootFromParent_Done,
     /*  148043 */   // Label 3502: @148043
     /*  148043 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(148109), // Rule ID 4805 //
     /*  148048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  148059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  148062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  148065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  148090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148107 */     GIR_RootConstrainSelectedInstOperands,
     /*  148108 */     // GIR_Coverage, 4805,
     /*  148108 */     GIR_EraseRootFromParent_Done,
     /*  148109 */   // Label 3503: @148109
     /*  148109 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(148175), // Rule ID 4808 //
     /*  148114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  148125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  148128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  148131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148173 */     GIR_RootConstrainSelectedInstOperands,
     /*  148174 */     // GIR_Coverage, 4808,
     /*  148174 */     GIR_EraseRootFromParent_Done,
     /*  148175 */   // Label 3504: @148175
     /*  148175 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(148241), // Rule ID 4809 //
     /*  148180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  148191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  148194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  148197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148239 */     GIR_RootConstrainSelectedInstOperands,
     /*  148240 */     // GIR_Coverage, 4809,
     /*  148240 */     GIR_EraseRootFromParent_Done,
     /*  148241 */   // Label 3505: @148241
     /*  148241 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(148307), // Rule ID 4812 //
     /*  148246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  148257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  148263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148305 */     GIR_RootConstrainSelectedInstOperands,
     /*  148306 */     // GIR_Coverage, 4812,
     /*  148306 */     GIR_EraseRootFromParent_Done,
     /*  148307 */   // Label 3506: @148307
     /*  148307 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(148373), // Rule ID 4813 //
     /*  148312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  148323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  148329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148371 */     GIR_RootConstrainSelectedInstOperands,
     /*  148372 */     // GIR_Coverage, 4813,
     /*  148372 */     GIR_EraseRootFromParent_Done,
     /*  148373 */   // Label 3507: @148373
     /*  148373 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(148439), // Rule ID 4816 //
     /*  148378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  148389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  148392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  148395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148437 */     GIR_RootConstrainSelectedInstOperands,
     /*  148438 */     // GIR_Coverage, 4816,
     /*  148438 */     GIR_EraseRootFromParent_Done,
     /*  148439 */   // Label 3508: @148439
     /*  148439 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(148505), // Rule ID 4817 //
     /*  148444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  148455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  148458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  148461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148503 */     GIR_RootConstrainSelectedInstOperands,
     /*  148504 */     // GIR_Coverage, 4817,
     /*  148504 */     GIR_EraseRootFromParent_Done,
     /*  148505 */   // Label 3509: @148505
     /*  148505 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(148571), // Rule ID 4820 //
     /*  148510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  148521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  148524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  148527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148549 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  148549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  148552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148569 */     GIR_RootConstrainSelectedInstOperands,
     /*  148570 */     // GIR_Coverage, 4820,
     /*  148570 */     GIR_EraseRootFromParent_Done,
     /*  148571 */   // Label 3510: @148571
     /*  148571 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(148637), // Rule ID 4821 //
     /*  148576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  148587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  148590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  148593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  148604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  148615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  148618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148635 */     GIR_RootConstrainSelectedInstOperands,
     /*  148636 */     // GIR_Coverage, 4821,
     /*  148636 */     GIR_EraseRootFromParent_Done,
     /*  148637 */   // Label 3511: @148637
     /*  148637 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(148703), // Rule ID 4824 //
     /*  148642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  148653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  148656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  148659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148681 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148701 */     GIR_RootConstrainSelectedInstOperands,
     /*  148702 */     // GIR_Coverage, 4824,
     /*  148702 */     GIR_EraseRootFromParent_Done,
     /*  148703 */   // Label 3512: @148703
     /*  148703 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(148769), // Rule ID 4825 //
     /*  148708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  148719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  148722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  148725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  148747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  148750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148767 */     GIR_RootConstrainSelectedInstOperands,
     /*  148768 */     // GIR_Coverage, 4825,
     /*  148768 */     GIR_EraseRootFromParent_Done,
     /*  148769 */   // Label 3513: @148769
     /*  148769 */   GIM_Try, /*On fail goto*//*Label 3514*/ GIMT_Encode4(148835), // Rule ID 4828 //
     /*  148774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  148785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  148788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  148791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148833 */     GIR_RootConstrainSelectedInstOperands,
     /*  148834 */     // GIR_Coverage, 4828,
     /*  148834 */     GIR_EraseRootFromParent_Done,
     /*  148835 */   // Label 3514: @148835
     /*  148835 */   GIM_Try, /*On fail goto*//*Label 3515*/ GIMT_Encode4(148901), // Rule ID 4829 //
     /*  148840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  148851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  148854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  148857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  148879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  148882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148899 */     GIR_RootConstrainSelectedInstOperands,
     /*  148900 */     // GIR_Coverage, 4829,
     /*  148900 */     GIR_EraseRootFromParent_Done,
     /*  148901 */   // Label 3515: @148901
     /*  148901 */   GIM_Try, /*On fail goto*//*Label 3516*/ GIMT_Encode4(148967), // Rule ID 4832 //
     /*  148906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  148909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  148917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  148923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  148926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  148945 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  148945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  148948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  148952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  148954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  148959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148965 */     GIR_RootConstrainSelectedInstOperands,
     /*  148966 */     // GIR_Coverage, 4832,
     /*  148966 */     GIR_EraseRootFromParent_Done,
     /*  148967 */   // Label 3516: @148967
     /*  148967 */   GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(149033), // Rule ID 4833 //
     /*  148972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  148975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  148980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  148983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  148989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  148992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  149014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149031 */     GIR_RootConstrainSelectedInstOperands,
     /*  149032 */     // GIR_Coverage, 4833,
     /*  149032 */     GIR_EraseRootFromParent_Done,
     /*  149033 */   // Label 3517: @149033
     /*  149033 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(149099), // Rule ID 4836 //
     /*  149038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  149055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149077 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  149080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149097 */     GIR_RootConstrainSelectedInstOperands,
     /*  149098 */     // GIR_Coverage, 4836,
     /*  149098 */     GIR_EraseRootFromParent_Done,
     /*  149099 */   // Label 3518: @149099
     /*  149099 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(149165), // Rule ID 4837 //
     /*  149104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  149121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  149146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149163 */     GIR_RootConstrainSelectedInstOperands,
     /*  149164 */     // GIR_Coverage, 4837,
     /*  149164 */     GIR_EraseRootFromParent_Done,
     /*  149165 */   // Label 3519: @149165
     /*  149165 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(149231), // Rule ID 4840 //
     /*  149170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  149181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  149184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  149212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149229 */     GIR_RootConstrainSelectedInstOperands,
     /*  149230 */     // GIR_Coverage, 4840,
     /*  149230 */     GIR_EraseRootFromParent_Done,
     /*  149231 */   // Label 3520: @149231
     /*  149231 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(149297), // Rule ID 4841 //
     /*  149236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  149247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  149250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  149278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149295 */     GIR_RootConstrainSelectedInstOperands,
     /*  149296 */     // GIR_Coverage, 4841,
     /*  149296 */     GIR_EraseRootFromParent_Done,
     /*  149297 */   // Label 3521: @149297
     /*  149297 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(149363), // Rule ID 4844 //
     /*  149302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  149313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  149316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  149344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149361 */     GIR_RootConstrainSelectedInstOperands,
     /*  149362 */     // GIR_Coverage, 4844,
     /*  149362 */     GIR_EraseRootFromParent_Done,
     /*  149363 */   // Label 3522: @149363
     /*  149363 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(149429), // Rule ID 4845 //
     /*  149368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  149379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  149382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11311:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  149410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149427 */     GIR_RootConstrainSelectedInstOperands,
     /*  149428 */     // GIR_Coverage, 4845,
     /*  149428 */     GIR_EraseRootFromParent_Done,
     /*  149429 */   // Label 3523: @149429
     /*  149429 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(149495), // Rule ID 4848 //
     /*  149434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  149445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  149448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  149476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149493 */     GIR_RootConstrainSelectedInstOperands,
     /*  149494 */     // GIR_Coverage, 4848,
     /*  149494 */     GIR_EraseRootFromParent_Done,
     /*  149495 */   // Label 3524: @149495
     /*  149495 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(149561), // Rule ID 4849 //
     /*  149500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  149511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  149514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  149528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11311:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  149542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149559 */     GIR_RootConstrainSelectedInstOperands,
     /*  149560 */     // GIR_Coverage, 4849,
     /*  149560 */     GIR_EraseRootFromParent_Done,
     /*  149561 */   // Label 3525: @149561
     /*  149561 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(149627), // Rule ID 4852 //
     /*  149566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  149569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  149583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  149605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  149608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149625 */     GIR_RootConstrainSelectedInstOperands,
     /*  149626 */     // GIR_Coverage, 4852,
     /*  149626 */     GIR_EraseRootFromParent_Done,
     /*  149627 */   // Label 3526: @149627
     /*  149627 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(149693), // Rule ID 4853 //
     /*  149632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  149635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  149640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  149643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  149646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  149649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  149660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11311:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  149671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  149674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  149688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149691 */     GIR_RootConstrainSelectedInstOperands,
     /*  149692 */     // GIR_Coverage, 4853,
     /*  149692 */     GIR_EraseRootFromParent_Done,
     /*  149693 */   // Label 3527: @149693
     /*  149693 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(149759), // Rule ID 4856 //
     /*  149698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  149709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  149712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  149737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  149740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149757 */     GIR_RootConstrainSelectedInstOperands,
     /*  149758 */     // GIR_Coverage, 4856,
     /*  149758 */     GIR_EraseRootFromParent_Done,
     /*  149759 */   // Label 3528: @149759
     /*  149759 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(149825), // Rule ID 4857 //
     /*  149764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  149775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  149778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  149781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  149803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  149806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149823 */     GIR_RootConstrainSelectedInstOperands,
     /*  149824 */     // GIR_Coverage, 4857,
     /*  149824 */     GIR_EraseRootFromParent_Done,
     /*  149825 */   // Label 3529: @149825
     /*  149825 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(149891), // Rule ID 4860 //
     /*  149830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  149841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  149844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149869 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  149869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  149872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149889 */     GIR_RootConstrainSelectedInstOperands,
     /*  149890 */     // GIR_Coverage, 4860,
     /*  149890 */     GIR_EraseRootFromParent_Done,
     /*  149891 */   // Label 3530: @149891
     /*  149891 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(149957), // Rule ID 4861 //
     /*  149896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  149907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  149910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  149913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  149916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  149935 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  149935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  149938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  149942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  149944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  149949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  149952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149955 */     GIR_RootConstrainSelectedInstOperands,
     /*  149956 */     // GIR_Coverage, 4861,
     /*  149956 */     GIR_EraseRootFromParent_Done,
     /*  149957 */   // Label 3531: @149957
     /*  149957 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(150023), // Rule ID 4864 //
     /*  149962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  149970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  149973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  149976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  149979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  149982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150021 */     GIR_RootConstrainSelectedInstOperands,
     /*  150022 */     // GIR_Coverage, 4864,
     /*  150022 */     GIR_EraseRootFromParent_Done,
     /*  150023 */   // Label 3532: @150023
     /*  150023 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(150089), // Rule ID 4865 //
     /*  150028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  150039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  150042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  150045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150087 */     GIR_RootConstrainSelectedInstOperands,
     /*  150088 */     // GIR_Coverage, 4865,
     /*  150088 */     GIR_EraseRootFromParent_Done,
     /*  150089 */   // Label 3533: @150089
     /*  150089 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(150155), // Rule ID 4868 //
     /*  150094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  150105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  150108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  150111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150133 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150153 */     GIR_RootConstrainSelectedInstOperands,
     /*  150154 */     // GIR_Coverage, 4868,
     /*  150154 */     GIR_EraseRootFromParent_Done,
     /*  150155 */   // Label 3534: @150155
     /*  150155 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(150221), // Rule ID 4869 //
     /*  150160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  150171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  150174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  150177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150219 */     GIR_RootConstrainSelectedInstOperands,
     /*  150220 */     // GIR_Coverage, 4869,
     /*  150220 */     GIR_EraseRootFromParent_Done,
     /*  150221 */   // Label 3535: @150221
     /*  150221 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(150287), // Rule ID 4872 //
     /*  150226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  150237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  150240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  150243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150265 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150285 */     GIR_RootConstrainSelectedInstOperands,
     /*  150286 */     // GIR_Coverage, 4872,
     /*  150286 */     GIR_EraseRootFromParent_Done,
     /*  150287 */   // Label 3536: @150287
     /*  150287 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(150353), // Rule ID 4873 //
     /*  150292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  150303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  150306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  150309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150351 */     GIR_RootConstrainSelectedInstOperands,
     /*  150352 */     // GIR_Coverage, 4873,
     /*  150352 */     GIR_EraseRootFromParent_Done,
     /*  150353 */   // Label 3537: @150353
     /*  150353 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(150419), // Rule ID 4876 //
     /*  150358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  150369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  150372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  150375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  150397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  150400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150417 */     GIR_RootConstrainSelectedInstOperands,
     /*  150418 */     // GIR_Coverage, 4876,
     /*  150418 */     GIR_EraseRootFromParent_Done,
     /*  150419 */   // Label 3538: @150419
     /*  150419 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(150485), // Rule ID 4877 //
     /*  150424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  150435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  150438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  150441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150463 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  150463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  150466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150483 */     GIR_RootConstrainSelectedInstOperands,
     /*  150484 */     // GIR_Coverage, 4877,
     /*  150484 */     GIR_EraseRootFromParent_Done,
     /*  150485 */   // Label 3539: @150485
     /*  150485 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(150551), // Rule ID 4880 //
     /*  150490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  150501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  150504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  150507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  150532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150549 */     GIR_RootConstrainSelectedInstOperands,
     /*  150550 */     // GIR_Coverage, 4880,
     /*  150550 */     GIR_EraseRootFromParent_Done,
     /*  150551 */   // Label 3540: @150551
     /*  150551 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(150617), // Rule ID 4881 //
     /*  150556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  150567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  150570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  150573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  150598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150615 */     GIR_RootConstrainSelectedInstOperands,
     /*  150616 */     // GIR_Coverage, 4881,
     /*  150616 */     GIR_EraseRootFromParent_Done,
     /*  150617 */   // Label 3541: @150617
     /*  150617 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(150683), // Rule ID 4884 //
     /*  150622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  150633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  150636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  150639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150681 */     GIR_RootConstrainSelectedInstOperands,
     /*  150682 */     // GIR_Coverage, 4884,
     /*  150682 */     GIR_EraseRootFromParent_Done,
     /*  150683 */   // Label 3542: @150683
     /*  150683 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(150749), // Rule ID 4885 //
     /*  150688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  150699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  150702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  150705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  150730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150747 */     GIR_RootConstrainSelectedInstOperands,
     /*  150748 */     // GIR_Coverage, 4885,
     /*  150748 */     GIR_EraseRootFromParent_Done,
     /*  150749 */   // Label 3543: @150749
     /*  150749 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(150815), // Rule ID 4888 //
     /*  150754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  150765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  150768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  150771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150813 */     GIR_RootConstrainSelectedInstOperands,
     /*  150814 */     // GIR_Coverage, 4888,
     /*  150814 */     GIR_EraseRootFromParent_Done,
     /*  150815 */   // Label 3544: @150815
     /*  150815 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(150881), // Rule ID 4889 //
     /*  150820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  150831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  150834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  150837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  150862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150879 */     GIR_RootConstrainSelectedInstOperands,
     /*  150880 */     // GIR_Coverage, 4889,
     /*  150880 */     GIR_EraseRootFromParent_Done,
     /*  150881 */   // Label 3545: @150881
     /*  150881 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(150947), // Rule ID 4892 //
     /*  150886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  150897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  150903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  150906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  150925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  150934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  150939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150945 */     GIR_RootConstrainSelectedInstOperands,
     /*  150946 */     // GIR_Coverage, 4892,
     /*  150946 */     GIR_EraseRootFromParent_Done,
     /*  150947 */   // Label 3546: @150947
     /*  150947 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(151013), // Rule ID 4893 //
     /*  150952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  150960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  150963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  150969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  150972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  150984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  150991 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  150991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  150994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  150998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151011 */     GIR_RootConstrainSelectedInstOperands,
     /*  151012 */     // GIR_Coverage, 4893,
     /*  151012 */     GIR_EraseRootFromParent_Done,
     /*  151013 */   // Label 3547: @151013
     /*  151013 */   GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(151079), // Rule ID 4896 //
     /*  151018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  151029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  151032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  151035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151077 */     GIR_RootConstrainSelectedInstOperands,
     /*  151078 */     // GIR_Coverage, 4896,
     /*  151078 */     GIR_EraseRootFromParent_Done,
     /*  151079 */   // Label 3548: @151079
     /*  151079 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(151145), // Rule ID 4897 //
     /*  151084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  151095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  151098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  151101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151123 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151143 */     GIR_RootConstrainSelectedInstOperands,
     /*  151144 */     // GIR_Coverage, 4897,
     /*  151144 */     GIR_EraseRootFromParent_Done,
     /*  151145 */   // Label 3549: @151145
     /*  151145 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(151211), // Rule ID 4900 //
     /*  151150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  151161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  151164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  151167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  151192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151209 */     GIR_RootConstrainSelectedInstOperands,
     /*  151210 */     // GIR_Coverage, 4900,
     /*  151210 */     GIR_EraseRootFromParent_Done,
     /*  151211 */   // Label 3550: @151211
     /*  151211 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(151277), // Rule ID 4901 //
     /*  151216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  151227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  151230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  151233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  151258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151275 */     GIR_RootConstrainSelectedInstOperands,
     /*  151276 */     // GIR_Coverage, 4901,
     /*  151276 */     GIR_EraseRootFromParent_Done,
     /*  151277 */   // Label 3551: @151277
     /*  151277 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(151343), // Rule ID 4904 //
     /*  151282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  151293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  151296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  151299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151321 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  151324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151341 */     GIR_RootConstrainSelectedInstOperands,
     /*  151342 */     // GIR_Coverage, 4904,
     /*  151342 */     GIR_EraseRootFromParent_Done,
     /*  151343 */   // Label 3552: @151343
     /*  151343 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(151409), // Rule ID 4905 //
     /*  151348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  151359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  151362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  151365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  151390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151407 */     GIR_RootConstrainSelectedInstOperands,
     /*  151408 */     // GIR_Coverage, 4905,
     /*  151408 */     GIR_EraseRootFromParent_Done,
     /*  151409 */   // Label 3553: @151409
     /*  151409 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(151475), // Rule ID 4908 //
     /*  151414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  151425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  151428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  151431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151453 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  151456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151473 */     GIR_RootConstrainSelectedInstOperands,
     /*  151474 */     // GIR_Coverage, 4908,
     /*  151474 */     GIR_EraseRootFromParent_Done,
     /*  151475 */   // Label 3554: @151475
     /*  151475 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(151541), // Rule ID 4909 //
     /*  151480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  151491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  151494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  151497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  151522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151539 */     GIR_RootConstrainSelectedInstOperands,
     /*  151540 */     // GIR_Coverage, 4909,
     /*  151540 */     GIR_EraseRootFromParent_Done,
     /*  151541 */   // Label 3555: @151541
     /*  151541 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(151607), // Rule ID 4912 //
     /*  151546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  151549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  151557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  151560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  151563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151585 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  151585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151605 */     GIR_RootConstrainSelectedInstOperands,
     /*  151606 */     // GIR_Coverage, 4912,
     /*  151606 */     GIR_EraseRootFromParent_Done,
     /*  151607 */   // Label 3556: @151607
     /*  151607 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(151673), // Rule ID 4913 //
     /*  151612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  151615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  151623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  151626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  151629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  151640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  151644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  151651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  151654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  151668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151671 */     GIR_RootConstrainSelectedInstOperands,
     /*  151672 */     // GIR_Coverage, 4913,
     /*  151672 */     GIR_EraseRootFromParent_Done,
     /*  151673 */   // Label 3557: @151673
     /*  151673 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(151739), // Rule ID 4916 //
     /*  151678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  151689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  151692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  151695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151717 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  151720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151737 */     GIR_RootConstrainSelectedInstOperands,
     /*  151738 */     // GIR_Coverage, 4916,
     /*  151738 */     GIR_EraseRootFromParent_Done,
     /*  151739 */   // Label 3558: @151739
     /*  151739 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(151805), // Rule ID 4917 //
     /*  151744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  151755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  151758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  151761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151783 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  151786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151803 */     GIR_RootConstrainSelectedInstOperands,
     /*  151804 */     // GIR_Coverage, 4917,
     /*  151804 */     GIR_EraseRootFromParent_Done,
     /*  151805 */   // Label 3559: @151805
     /*  151805 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(151871), // Rule ID 4920 //
     /*  151810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  151821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  151824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  151827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151849 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  151852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151869 */     GIR_RootConstrainSelectedInstOperands,
     /*  151870 */     // GIR_Coverage, 4920,
     /*  151870 */     GIR_EraseRootFromParent_Done,
     /*  151871 */   // Label 3560: @151871
     /*  151871 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(151937), // Rule ID 4921 //
     /*  151876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  151887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  151890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  151893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  151896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  151915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  151918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151935 */     GIR_RootConstrainSelectedInstOperands,
     /*  151936 */     // GIR_Coverage, 4921,
     /*  151936 */     GIR_EraseRootFromParent_Done,
     /*  151937 */   // Label 3561: @151937
     /*  151937 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(152003), // Rule ID 4924 //
     /*  151942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  151950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  151953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  151956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  151959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  151962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  151981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  151981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  151984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  151988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  151990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  151995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  151998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152001 */     GIR_RootConstrainSelectedInstOperands,
     /*  152002 */     // GIR_Coverage, 4924,
     /*  152002 */     GIR_EraseRootFromParent_Done,
     /*  152003 */   // Label 3562: @152003
     /*  152003 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(152069), // Rule ID 4925 //
     /*  152008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  152019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  152022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  152025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152067 */     GIR_RootConstrainSelectedInstOperands,
     /*  152068 */     // GIR_Coverage, 4925,
     /*  152068 */     GIR_EraseRootFromParent_Done,
     /*  152069 */   // Label 3563: @152069
     /*  152069 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(152135), // Rule ID 4928 //
     /*  152074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  152085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  152088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  152091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  152113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152133 */     GIR_RootConstrainSelectedInstOperands,
     /*  152134 */     // GIR_Coverage, 4928,
     /*  152134 */     GIR_EraseRootFromParent_Done,
     /*  152135 */   // Label 3564: @152135
     /*  152135 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(152201), // Rule ID 4929 //
     /*  152140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  152151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  152154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  152157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152199 */     GIR_RootConstrainSelectedInstOperands,
     /*  152200 */     // GIR_Coverage, 4929,
     /*  152200 */     GIR_EraseRootFromParent_Done,
     /*  152201 */   // Label 3565: @152201
     /*  152201 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(152267), // Rule ID 4932 //
     /*  152206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  152217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  152223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152245 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  152245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152265 */     GIR_RootConstrainSelectedInstOperands,
     /*  152266 */     // GIR_Coverage, 4932,
     /*  152266 */     GIR_EraseRootFromParent_Done,
     /*  152267 */   // Label 3566: @152267
     /*  152267 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(152333), // Rule ID 4933 //
     /*  152272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  152283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  152289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  152311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152331 */     GIR_RootConstrainSelectedInstOperands,
     /*  152332 */     // GIR_Coverage, 4933,
     /*  152332 */     GIR_EraseRootFromParent_Done,
     /*  152333 */   // Label 3567: @152333
     /*  152333 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(152399), // Rule ID 4936 //
     /*  152338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  152355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152377 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  152380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152397 */     GIR_RootConstrainSelectedInstOperands,
     /*  152398 */     // GIR_Coverage, 4936,
     /*  152398 */     GIR_EraseRootFromParent_Done,
     /*  152399 */   // Label 3568: @152399
     /*  152399 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(152465), // Rule ID 4937 //
     /*  152404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  152421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  152446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152463 */     GIR_RootConstrainSelectedInstOperands,
     /*  152464 */     // GIR_Coverage, 4937,
     /*  152464 */     GIR_EraseRootFromParent_Done,
     /*  152465 */   // Label 3569: @152465
     /*  152465 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(152531), // Rule ID 4940 //
     /*  152470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  152481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  152484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  152487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152529 */     GIR_RootConstrainSelectedInstOperands,
     /*  152530 */     // GIR_Coverage, 4940,
     /*  152530 */     GIR_EraseRootFromParent_Done,
     /*  152531 */   // Label 3570: @152531
     /*  152531 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(152597), // Rule ID 4941 //
     /*  152536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  152547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  152550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  152553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152575 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  152578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152595 */     GIR_RootConstrainSelectedInstOperands,
     /*  152596 */     // GIR_Coverage, 4941,
     /*  152596 */     GIR_EraseRootFromParent_Done,
     /*  152597 */   // Label 3571: @152597
     /*  152597 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(152663), // Rule ID 4944 //
     /*  152602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  152613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  152616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  152619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152661 */     GIR_RootConstrainSelectedInstOperands,
     /*  152662 */     // GIR_Coverage, 4944,
     /*  152662 */     GIR_EraseRootFromParent_Done,
     /*  152663 */   // Label 3572: @152663
     /*  152663 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(152729), // Rule ID 4945 //
     /*  152668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  152679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  152682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  152685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  152710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152727 */     GIR_RootConstrainSelectedInstOperands,
     /*  152728 */     // GIR_Coverage, 4945,
     /*  152728 */     GIR_EraseRootFromParent_Done,
     /*  152729 */   // Label 3573: @152729
     /*  152729 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(152795), // Rule ID 4948 //
     /*  152734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  152745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  152748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  152751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152773 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152793 */     GIR_RootConstrainSelectedInstOperands,
     /*  152794 */     // GIR_Coverage, 4948,
     /*  152794 */     GIR_EraseRootFromParent_Done,
     /*  152795 */   // Label 3574: @152795
     /*  152795 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(152861), // Rule ID 4949 //
     /*  152800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  152811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  152814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  152817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  152832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152839 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  152842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152859 */     GIR_RootConstrainSelectedInstOperands,
     /*  152860 */     // GIR_Coverage, 4949,
     /*  152860 */     GIR_EraseRootFromParent_Done,
     /*  152861 */   // Label 3575: @152861
     /*  152861 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(152927), // Rule ID 4952 //
     /*  152866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  152869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  152883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  152886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  152905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  152908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152925 */     GIR_RootConstrainSelectedInstOperands,
     /*  152926 */     // GIR_Coverage, 4952,
     /*  152926 */     GIR_EraseRootFromParent_Done,
     /*  152927 */   // Label 3576: @152927
     /*  152927 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(152993), // Rule ID 4953 //
     /*  152932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  152935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  152940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  152943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  152946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  152949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  152952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  152971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  152971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  152974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  152978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  152980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  152985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  152988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152991 */     GIR_RootConstrainSelectedInstOperands,
     /*  152992 */     // GIR_Coverage, 4953,
     /*  152992 */     GIR_EraseRootFromParent_Done,
     /*  152993 */   // Label 3577: @152993
     /*  152993 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(153059), // Rule ID 4956 //
     /*  152998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  153001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  153009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  153012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  153040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153057 */     GIR_RootConstrainSelectedInstOperands,
     /*  153058 */     // GIR_Coverage, 4956,
     /*  153058 */     GIR_EraseRootFromParent_Done,
     /*  153059 */   // Label 3578: @153059
     /*  153059 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(153125), // Rule ID 4957 //
     /*  153064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  153075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  153078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  153092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  153106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153123 */     GIR_RootConstrainSelectedInstOperands,
     /*  153124 */     // GIR_Coverage, 4957,
     /*  153124 */     GIR_EraseRootFromParent_Done,
     /*  153125 */   // Label 3579: @153125
     /*  153125 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(153191), // Rule ID 4960 //
     /*  153130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  153133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  153141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  153144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  153172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153189 */     GIR_RootConstrainSelectedInstOperands,
     /*  153190 */     // GIR_Coverage, 4960,
     /*  153190 */     GIR_EraseRootFromParent_Done,
     /*  153191 */   // Label 3580: @153191
     /*  153191 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(153257), // Rule ID 4961 //
     /*  153196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  153207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  153210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  153238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153255 */     GIR_RootConstrainSelectedInstOperands,
     /*  153256 */     // GIR_Coverage, 4961,
     /*  153256 */     GIR_EraseRootFromParent_Done,
     /*  153257 */   // Label 3581: @153257
     /*  153257 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(153323), // Rule ID 4964 //
     /*  153262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  153265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  153273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  153276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  153279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  153301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  153304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153321 */     GIR_RootConstrainSelectedInstOperands,
     /*  153322 */     // GIR_Coverage, 4964,
     /*  153322 */     GIR_EraseRootFromParent_Done,
     /*  153323 */   // Label 3582: @153323
     /*  153323 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(153389), // Rule ID 4965 //
     /*  153328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  153331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  153336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  153339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  153342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  153345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  153367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  153370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  153374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  153384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153387 */     GIR_RootConstrainSelectedInstOperands,
     /*  153388 */     // GIR_Coverage, 4965,
     /*  153388 */     GIR_EraseRootFromParent_Done,
     /*  153389 */   // Label 3583: @153389
     /*  153389 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(153452), // Rule ID 5228 //
     /*  153394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  153408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153433 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  153433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153450 */     GIR_RootConstrainSelectedInstOperands,
     /*  153451 */     // GIR_Coverage, 5228,
     /*  153451 */     GIR_EraseRootFromParent_Done,
     /*  153452 */   // Label 3584: @153452
     /*  153452 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(153515), // Rule ID 5229 //
     /*  153457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  153471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  153474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  153496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153513 */     GIR_RootConstrainSelectedInstOperands,
     /*  153514 */     // GIR_Coverage, 5229,
     /*  153514 */     GIR_EraseRootFromParent_Done,
     /*  153515 */   // Label 3585: @153515
     /*  153515 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(153578), // Rule ID 5230 //
     /*  153520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  153531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  153534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153559 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  153559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153576 */     GIR_RootConstrainSelectedInstOperands,
     /*  153577 */     // GIR_Coverage, 5230,
     /*  153577 */     GIR_EraseRootFromParent_Done,
     /*  153578 */   // Label 3586: @153578
     /*  153578 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(153641), // Rule ID 5231 //
     /*  153583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  153594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  153597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  153600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153622 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  153622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153639 */     GIR_RootConstrainSelectedInstOperands,
     /*  153640 */     // GIR_Coverage, 5231,
     /*  153640 */     GIR_EraseRootFromParent_Done,
     /*  153641 */   // Label 3587: @153641
     /*  153641 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(153704), // Rule ID 5232 //
     /*  153646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  153660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  153663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153685 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  153685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153702 */     GIR_RootConstrainSelectedInstOperands,
     /*  153703 */     // GIR_Coverage, 5232,
     /*  153703 */     GIR_EraseRootFromParent_Done,
     /*  153704 */   // Label 3588: @153704
     /*  153704 */   GIM_Try, /*On fail goto*//*Label 3589*/ GIMT_Encode4(153767), // Rule ID 5233 //
     /*  153709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  153723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  153726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  153748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  153751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153765 */     GIR_RootConstrainSelectedInstOperands,
     /*  153766 */     // GIR_Coverage, 5233,
     /*  153766 */     GIR_EraseRootFromParent_Done,
     /*  153767 */   // Label 3589: @153767
     /*  153767 */   GIM_Try, /*On fail goto*//*Label 3590*/ GIMT_Encode4(153830), // Rule ID 5234 //
     /*  153772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  153786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  153789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153811 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  153811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153828 */     GIR_RootConstrainSelectedInstOperands,
     /*  153829 */     // GIR_Coverage, 5234,
     /*  153829 */     GIR_EraseRootFromParent_Done,
     /*  153830 */   // Label 3590: @153830
     /*  153830 */   GIM_Try, /*On fail goto*//*Label 3591*/ GIMT_Encode4(153893), // Rule ID 5235 //
     /*  153835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  153846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  153849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  153852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153874 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  153874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  153891 */     GIR_RootConstrainSelectedInstOperands,
     /*  153892 */     // GIR_Coverage, 5235,
     /*  153892 */     GIR_EraseRootFromParent_Done,
     /*  153893 */   // Label 3591: @153893
     /*  153893 */   GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(153956), // Rule ID 5236 //
     /*  153898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  153912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  153915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  153918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  153937 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  153937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  153940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  153944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  153946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  153951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  153954 */     GIR_RootConstrainSelectedInstOperands,
     /*  153955 */     // GIR_Coverage, 5236,
     /*  153955 */     GIR_EraseRootFromParent_Done,
     /*  153956 */   // Label 3592: @153956
     /*  153956 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(154019), // Rule ID 5237 //
     /*  153961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  153969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  153972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  153975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  153978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  153981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154000 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  154000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  154003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  154017 */     GIR_RootConstrainSelectedInstOperands,
     /*  154018 */     // GIR_Coverage, 5237,
     /*  154018 */     GIR_EraseRootFromParent_Done,
     /*  154019 */   // Label 3593: @154019
     /*  154019 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(154082), // Rule ID 5238 //
     /*  154024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  154038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  154041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154063 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154080 */     GIR_RootConstrainSelectedInstOperands,
     /*  154081 */     // GIR_Coverage, 5238,
     /*  154081 */     GIR_EraseRootFromParent_Done,
     /*  154082 */   // Label 3594: @154082
     /*  154082 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(154145), // Rule ID 5239 //
     /*  154087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  154101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  154104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154143 */     GIR_RootConstrainSelectedInstOperands,
     /*  154144 */     // GIR_Coverage, 5239,
     /*  154144 */     GIR_EraseRootFromParent_Done,
     /*  154145 */   // Label 3595: @154145
     /*  154145 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(154208), // Rule ID 5240 //
     /*  154150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  154161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  154164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  154167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  154189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154206 */     GIR_RootConstrainSelectedInstOperands,
     /*  154207 */     // GIR_Coverage, 5240,
     /*  154207 */     GIR_EraseRootFromParent_Done,
     /*  154208 */   // Label 3596: @154208
     /*  154208 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(154271), // Rule ID 5241 //
     /*  154213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  154224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  154227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  154230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  154252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154269 */     GIR_RootConstrainSelectedInstOperands,
     /*  154270 */     // GIR_Coverage, 5241,
     /*  154270 */     GIR_EraseRootFromParent_Done,
     /*  154271 */   // Label 3597: @154271
     /*  154271 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(154334), // Rule ID 5242 //
     /*  154276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  154287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  154290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  154293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154315 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  154315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  154332 */     GIR_RootConstrainSelectedInstOperands,
     /*  154333 */     // GIR_Coverage, 5242,
     /*  154333 */     GIR_EraseRootFromParent_Done,
     /*  154334 */   // Label 3598: @154334
     /*  154334 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(154397), // Rule ID 5243 //
     /*  154339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  154350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  154353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  154356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  154378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  154395 */     GIR_RootConstrainSelectedInstOperands,
     /*  154396 */     // GIR_Coverage, 5243,
     /*  154396 */     GIR_EraseRootFromParent_Done,
     /*  154397 */   // Label 3599: @154397
     /*  154397 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(154460), // Rule ID 5244 //
     /*  154402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  154405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  154413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  154416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  154419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154441 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  154441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  154458 */     GIR_RootConstrainSelectedInstOperands,
     /*  154459 */     // GIR_Coverage, 5244,
     /*  154459 */     GIR_EraseRootFromParent_Done,
     /*  154460 */   // Label 3600: @154460
     /*  154460 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(154523), // Rule ID 5245 //
     /*  154465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  154468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  154476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  154479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  154482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  154504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  154507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  154521 */     GIR_RootConstrainSelectedInstOperands,
     /*  154522 */     // GIR_Coverage, 5245,
     /*  154522 */     GIR_EraseRootFromParent_Done,
     /*  154523 */   // Label 3601: @154523
     /*  154523 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(154586), // Rule ID 5246 //
     /*  154528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  154539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  154542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  154545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154584 */     GIR_RootConstrainSelectedInstOperands,
     /*  154585 */     // GIR_Coverage, 5246,
     /*  154585 */     GIR_EraseRootFromParent_Done,
     /*  154586 */   // Label 3602: @154586
     /*  154586 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(154649), // Rule ID 5247 //
     /*  154591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  154602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  154605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  154608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154630 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154647 */     GIR_RootConstrainSelectedInstOperands,
     /*  154648 */     // GIR_Coverage, 5247,
     /*  154648 */     GIR_EraseRootFromParent_Done,
     /*  154649 */   // Label 3603: @154649
     /*  154649 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(154712), // Rule ID 5248 //
     /*  154654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  154665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  154668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  154671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154693 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  154696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154710 */     GIR_RootConstrainSelectedInstOperands,
     /*  154711 */     // GIR_Coverage, 5248,
     /*  154711 */     GIR_EraseRootFromParent_Done,
     /*  154712 */   // Label 3604: @154712
     /*  154712 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(154775), // Rule ID 5249 //
     /*  154717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  154728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  154731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  154734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  154749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154756 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  154759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154773 */     GIR_RootConstrainSelectedInstOperands,
     /*  154774 */     // GIR_Coverage, 5249,
     /*  154774 */     GIR_EraseRootFromParent_Done,
     /*  154775 */   // Label 3605: @154775
     /*  154775 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(154838), // Rule ID 5250 //
     /*  154780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  154791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  154794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  154797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154819 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  154819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  154822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154836 */     GIR_RootConstrainSelectedInstOperands,
     /*  154837 */     // GIR_Coverage, 5250,
     /*  154837 */     GIR_EraseRootFromParent_Done,
     /*  154838 */   // Label 3606: @154838
     /*  154838 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(154901), // Rule ID 5251 //
     /*  154843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  154854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  154857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  154860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154882 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  154882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  154885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154899 */     GIR_RootConstrainSelectedInstOperands,
     /*  154900 */     // GIR_Coverage, 5251,
     /*  154900 */     GIR_EraseRootFromParent_Done,
     /*  154901 */   // Label 3607: @154901
     /*  154901 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(154964), // Rule ID 5252 //
     /*  154906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  154920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  154923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  154926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  154945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  154945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  154948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  154952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  154954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  154959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154962 */     GIR_RootConstrainSelectedInstOperands,
     /*  154963 */     // GIR_Coverage, 5252,
     /*  154963 */     GIR_EraseRootFromParent_Done,
     /*  154964 */   // Label 3608: @154964
     /*  154964 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(155027), // Rule ID 5253 //
     /*  154969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  154977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  154980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  154983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  154986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  154989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  154997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155008 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  155008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155025 */     GIR_RootConstrainSelectedInstOperands,
     /*  155026 */     // GIR_Coverage, 5253,
     /*  155026 */     GIR_EraseRootFromParent_Done,
     /*  155027 */   // Label 3609: @155027
     /*  155027 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(155090), // Rule ID 5254 //
     /*  155032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  155046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  155049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  155071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155088 */     GIR_RootConstrainSelectedInstOperands,
     /*  155089 */     // GIR_Coverage, 5254,
     /*  155089 */     GIR_EraseRootFromParent_Done,
     /*  155090 */   // Label 3610: @155090
     /*  155090 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(155153), // Rule ID 5255 //
     /*  155095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  155109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  155112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155134 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  155134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155151 */     GIR_RootConstrainSelectedInstOperands,
     /*  155152 */     // GIR_Coverage, 5255,
     /*  155152 */     GIR_EraseRootFromParent_Done,
     /*  155153 */   // Label 3611: @155153
     /*  155153 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(155216), // Rule ID 5256 //
     /*  155158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  155169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  155172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  155175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155197 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  155197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155214 */     GIR_RootConstrainSelectedInstOperands,
     /*  155215 */     // GIR_Coverage, 5256,
     /*  155215 */     GIR_EraseRootFromParent_Done,
     /*  155216 */   // Label 3612: @155216
     /*  155216 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(155279), // Rule ID 5257 //
     /*  155221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  155232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  155235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  155238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155260 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  155260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  155277 */     GIR_RootConstrainSelectedInstOperands,
     /*  155278 */     // GIR_Coverage, 5257,
     /*  155278 */     GIR_EraseRootFromParent_Done,
     /*  155279 */   // Label 3613: @155279
     /*  155279 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(155342), // Rule ID 5258 //
     /*  155284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  155298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  155301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155323 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155340 */     GIR_RootConstrainSelectedInstOperands,
     /*  155341 */     // GIR_Coverage, 5258,
     /*  155341 */     GIR_EraseRootFromParent_Done,
     /*  155342 */   // Label 3614: @155342
     /*  155342 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(155405), // Rule ID 5259 //
     /*  155347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  155361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  155364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155386 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155403 */     GIR_RootConstrainSelectedInstOperands,
     /*  155404 */     // GIR_Coverage, 5259,
     /*  155404 */     GIR_EraseRootFromParent_Done,
     /*  155405 */   // Label 3615: @155405
     /*  155405 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(155468), // Rule ID 5260 //
     /*  155410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  155424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  155427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155449 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155466 */     GIR_RootConstrainSelectedInstOperands,
     /*  155467 */     // GIR_Coverage, 5260,
     /*  155467 */     GIR_EraseRootFromParent_Done,
     /*  155468 */   // Label 3616: @155468
     /*  155468 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(155531), // Rule ID 5261 //
     /*  155473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  155487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  155490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155529 */     GIR_RootConstrainSelectedInstOperands,
     /*  155530 */     // GIR_Coverage, 5261,
     /*  155530 */     GIR_EraseRootFromParent_Done,
     /*  155531 */   // Label 3617: @155531
     /*  155531 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(155594), // Rule ID 5262 //
     /*  155536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  155550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  155553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155575 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  155575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155592 */     GIR_RootConstrainSelectedInstOperands,
     /*  155593 */     // GIR_Coverage, 5262,
     /*  155593 */     GIR_EraseRootFromParent_Done,
     /*  155594 */   // Label 3618: @155594
     /*  155594 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(155657), // Rule ID 5263 //
     /*  155599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  155610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  155613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  155616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155638 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  155638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  155655 */     GIR_RootConstrainSelectedInstOperands,
     /*  155656 */     // GIR_Coverage, 5263,
     /*  155656 */     GIR_EraseRootFromParent_Done,
     /*  155657 */   // Label 3619: @155657
     /*  155657 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(155720), // Rule ID 5264 //
     /*  155662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  155673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  155676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  155679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155701 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155718 */     GIR_RootConstrainSelectedInstOperands,
     /*  155719 */     // GIR_Coverage, 5264,
     /*  155719 */     GIR_EraseRootFromParent_Done,
     /*  155720 */   // Label 3620: @155720
     /*  155720 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(155783), // Rule ID 5265 //
     /*  155725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  155736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  155739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  155742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  155757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  155764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  155767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155781 */     GIR_RootConstrainSelectedInstOperands,
     /*  155782 */     // GIR_Coverage, 5265,
     /*  155782 */     GIR_EraseRootFromParent_Done,
     /*  155783 */   // Label 3621: @155783
     /*  155783 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(155846), // Rule ID 5266 //
     /*  155788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  155802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  155805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155827 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155844 */     GIR_RootConstrainSelectedInstOperands,
     /*  155845 */     // GIR_Coverage, 5266,
     /*  155845 */     GIR_EraseRootFromParent_Done,
     /*  155846 */   // Label 3622: @155846
     /*  155846 */   GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(155909), // Rule ID 5267 //
     /*  155851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  155862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  155865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  155868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  155883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  155890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  155893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155907 */     GIR_RootConstrainSelectedInstOperands,
     /*  155908 */     // GIR_Coverage, 5267,
     /*  155908 */     GIR_EraseRootFromParent_Done,
     /*  155909 */   // Label 3623: @155909
     /*  155909 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(155972), // Rule ID 5268 //
     /*  155914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  155917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  155928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  155931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  155934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  155953 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  155953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  155956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  155960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  155962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  155967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  155970 */     GIR_RootConstrainSelectedInstOperands,
     /*  155971 */     // GIR_Coverage, 5268,
     /*  155971 */     GIR_EraseRootFromParent_Done,
     /*  155972 */   // Label 3624: @155972
     /*  155972 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(156035), // Rule ID 5269 //
     /*  155977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  155980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  155985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  155988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  155991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  155994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  155997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  156005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  156009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156016 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  156016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  156019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  156033 */     GIR_RootConstrainSelectedInstOperands,
     /*  156034 */     // GIR_Coverage, 5269,
     /*  156034 */     GIR_EraseRootFromParent_Done,
     /*  156035 */   // Label 3625: @156035
     /*  156035 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(156098), // Rule ID 5270 //
     /*  156040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  156054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156079 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  156082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156096 */     GIR_RootConstrainSelectedInstOperands,
     /*  156097 */     // GIR_Coverage, 5270,
     /*  156097 */     GIR_EraseRootFromParent_Done,
     /*  156098 */   // Label 3626: @156098
     /*  156098 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(156161), // Rule ID 5271 //
     /*  156103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  156117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  156145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156159 */     GIR_RootConstrainSelectedInstOperands,
     /*  156160 */     // GIR_Coverage, 5271,
     /*  156160 */     GIR_EraseRootFromParent_Done,
     /*  156161 */   // Label 3627: @156161
     /*  156161 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(156224), // Rule ID 5272 //
     /*  156166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  156180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156205 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156222 */     GIR_RootConstrainSelectedInstOperands,
     /*  156223 */     // GIR_Coverage, 5272,
     /*  156223 */     GIR_EraseRootFromParent_Done,
     /*  156224 */   // Label 3628: @156224
     /*  156224 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(156287), // Rule ID 5273 //
     /*  156229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  156243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156268 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156285 */     GIR_RootConstrainSelectedInstOperands,
     /*  156286 */     // GIR_Coverage, 5273,
     /*  156286 */     GIR_EraseRootFromParent_Done,
     /*  156287 */   // Label 3629: @156287
     /*  156287 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(156350), // Rule ID 5274 //
     /*  156292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  156306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156331 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156348 */     GIR_RootConstrainSelectedInstOperands,
     /*  156349 */     // GIR_Coverage, 5274,
     /*  156349 */     GIR_EraseRootFromParent_Done,
     /*  156350 */   // Label 3630: @156350
     /*  156350 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(156413), // Rule ID 5275 //
     /*  156355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  156369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156411 */     GIR_RootConstrainSelectedInstOperands,
     /*  156412 */     // GIR_Coverage, 5275,
     /*  156412 */     GIR_EraseRootFromParent_Done,
     /*  156413 */   // Label 3631: @156413
     /*  156413 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(156476), // Rule ID 5276 //
     /*  156418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  156432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156457 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156474 */     GIR_RootConstrainSelectedInstOperands,
     /*  156475 */     // GIR_Coverage, 5276,
     /*  156475 */     GIR_EraseRootFromParent_Done,
     /*  156476 */   // Label 3632: @156476
     /*  156476 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(156539), // Rule ID 5277 //
     /*  156481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  156495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156520 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  156520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  156523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156537 */     GIR_RootConstrainSelectedInstOperands,
     /*  156538 */     // GIR_Coverage, 5277,
     /*  156538 */     GIR_EraseRootFromParent_Done,
     /*  156539 */   // Label 3633: @156539
     /*  156539 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(156602), // Rule ID 5278 //
     /*  156544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  156558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156600 */     GIR_RootConstrainSelectedInstOperands,
     /*  156601 */     // GIR_Coverage, 5278,
     /*  156601 */     GIR_EraseRootFromParent_Done,
     /*  156602 */   // Label 3634: @156602
     /*  156602 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(156665), // Rule ID 5279 //
     /*  156607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  156618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  156621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156646 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  156646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156663 */     GIR_RootConstrainSelectedInstOperands,
     /*  156664 */     // GIR_Coverage, 5279,
     /*  156664 */     GIR_EraseRootFromParent_Done,
     /*  156665 */   // Label 3635: @156665
     /*  156665 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(156728), // Rule ID 5280 //
     /*  156670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  156684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156709 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  156709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156726 */     GIR_RootConstrainSelectedInstOperands,
     /*  156727 */     // GIR_Coverage, 5280,
     /*  156727 */     GIR_EraseRootFromParent_Done,
     /*  156728 */   // Label 3636: @156728
     /*  156728 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(156791), // Rule ID 5281 //
     /*  156733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  156744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  156747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  156772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  156775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  156789 */     GIR_RootConstrainSelectedInstOperands,
     /*  156790 */     // GIR_Coverage, 5281,
     /*  156790 */     GIR_EraseRootFromParent_Done,
     /*  156791 */   // Label 3637: @156791
     /*  156791 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(156854), // Rule ID 5282 //
     /*  156796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  156807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  156810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  156835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156852 */     GIR_RootConstrainSelectedInstOperands,
     /*  156853 */     // GIR_Coverage, 5282,
     /*  156853 */     GIR_EraseRootFromParent_Done,
     /*  156854 */   // Label 3638: @156854
     /*  156854 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(156917), // Rule ID 5283 //
     /*  156859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  156870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  156873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  156876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  156879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  156898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  156915 */     GIR_RootConstrainSelectedInstOperands,
     /*  156916 */     // GIR_Coverage, 5283,
     /*  156916 */     GIR_EraseRootFromParent_Done,
     /*  156917 */   // Label 3639: @156917
     /*  156917 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(156980), // Rule ID 5284 //
     /*  156922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  156925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  156936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  156939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  156942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  156950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  156961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  156961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  156964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  156968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  156970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  156975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156978 */     GIR_RootConstrainSelectedInstOperands,
     /*  156979 */     // GIR_Coverage, 5284,
     /*  156979 */     GIR_EraseRootFromParent_Done,
     /*  156980 */   // Label 3640: @156980
     /*  156980 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(157043), // Rule ID 5285 //
     /*  156985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  156988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  156993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  156996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  156999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157024 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157041 */     GIR_RootConstrainSelectedInstOperands,
     /*  157042 */     // GIR_Coverage, 5285,
     /*  157042 */     GIR_EraseRootFromParent_Done,
     /*  157043 */   // Label 3641: @157043
     /*  157043 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(157106), // Rule ID 5286 //
     /*  157048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  157059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  157062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  157087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157104 */     GIR_RootConstrainSelectedInstOperands,
     /*  157105 */     // GIR_Coverage, 5286,
     /*  157105 */     GIR_EraseRootFromParent_Done,
     /*  157106 */   // Label 3642: @157106
     /*  157106 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(157169), // Rule ID 5287 //
     /*  157111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  157122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  157125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  157150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  157167 */     GIR_RootConstrainSelectedInstOperands,
     /*  157168 */     // GIR_Coverage, 5287,
     /*  157168 */     GIR_EraseRootFromParent_Done,
     /*  157169 */   // Label 3643: @157169
     /*  157169 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(157232), // Rule ID 5288 //
     /*  157174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  157177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  157185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  157188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  157213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157230 */     GIR_RootConstrainSelectedInstOperands,
     /*  157231 */     // GIR_Coverage, 5288,
     /*  157231 */     GIR_EraseRootFromParent_Done,
     /*  157232 */   // Label 3644: @157232
     /*  157232 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(157295), // Rule ID 5289 //
     /*  157237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  157240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  157248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  157251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11042:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  157276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  157279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  157293 */     GIR_RootConstrainSelectedInstOperands,
     /*  157294 */     // GIR_Coverage, 5289,
     /*  157294 */     GIR_EraseRootFromParent_Done,
     /*  157295 */   // Label 3645: @157295
     /*  157295 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(157358), // Rule ID 5290 //
     /*  157300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  157314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157356 */     GIR_RootConstrainSelectedInstOperands,
     /*  157357 */     // GIR_Coverage, 5290,
     /*  157357 */     GIR_EraseRootFromParent_Done,
     /*  157358 */   // Label 3646: @157358
     /*  157358 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(157421), // Rule ID 5291 //
     /*  157363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  157377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157402 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157419 */     GIR_RootConstrainSelectedInstOperands,
     /*  157420 */     // GIR_Coverage, 5291,
     /*  157420 */     GIR_EraseRootFromParent_Done,
     /*  157421 */   // Label 3647: @157421
     /*  157421 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(157484), // Rule ID 5292 //
     /*  157426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  157440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157465 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157482 */     GIR_RootConstrainSelectedInstOperands,
     /*  157483 */     // GIR_Coverage, 5292,
     /*  157483 */     GIR_EraseRootFromParent_Done,
     /*  157484 */   // Label 3648: @157484
     /*  157484 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(157547), // Rule ID 5293 //
     /*  157489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  157503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157528 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157545 */     GIR_RootConstrainSelectedInstOperands,
     /*  157546 */     // GIR_Coverage, 5293,
     /*  157546 */     GIR_EraseRootFromParent_Done,
     /*  157547 */   // Label 3649: @157547
     /*  157547 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(157610), // Rule ID 5294 //
     /*  157552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  157563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  157566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157591 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  157591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157608 */     GIR_RootConstrainSelectedInstOperands,
     /*  157609 */     // GIR_Coverage, 5294,
     /*  157609 */     GIR_EraseRootFromParent_Done,
     /*  157610 */   // Label 3650: @157610
     /*  157610 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(157673), // Rule ID 5295 //
     /*  157615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  157626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  157629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157654 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  157654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  157671 */     GIR_RootConstrainSelectedInstOperands,
     /*  157672 */     // GIR_Coverage, 5295,
     /*  157672 */     GIR_EraseRootFromParent_Done,
     /*  157673 */   // Label 3651: @157673
     /*  157673 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(157736), // Rule ID 5296 //
     /*  157678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  157689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  157692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157734 */     GIR_RootConstrainSelectedInstOperands,
     /*  157735 */     // GIR_Coverage, 5296,
     /*  157735 */     GIR_EraseRootFromParent_Done,
     /*  157736 */   // Label 3652: @157736
     /*  157736 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(157799), // Rule ID 5297 //
     /*  157741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  157752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  157755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  157769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157780 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  157783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157797 */     GIR_RootConstrainSelectedInstOperands,
     /*  157798 */     // GIR_Coverage, 5297,
     /*  157798 */     GIR_EraseRootFromParent_Done,
     /*  157799 */   // Label 3653: @157799
     /*  157799 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(157862), // Rule ID 5298 //
     /*  157804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  157818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157860 */     GIR_RootConstrainSelectedInstOperands,
     /*  157861 */     // GIR_Coverage, 5298,
     /*  157861 */     GIR_EraseRootFromParent_Done,
     /*  157862 */   // Label 3654: @157862
     /*  157862 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(157925), // Rule ID 5299 //
     /*  157867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  157878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  157881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  157884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  157887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  157895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  157906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  157909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157923 */     GIR_RootConstrainSelectedInstOperands,
     /*  157924 */     // GIR_Coverage, 5299,
     /*  157924 */     GIR_EraseRootFromParent_Done,
     /*  157925 */   // Label 3655: @157925
     /*  157925 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(157988), // Rule ID 5300 //
     /*  157930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  157933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  157938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  157941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  157944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  157947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  157950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  157954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  157958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  157969 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  157969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  157972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  157976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  157978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  157983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  157986 */     GIR_RootConstrainSelectedInstOperands,
     /*  157987 */     // GIR_Coverage, 5300,
     /*  157987 */     GIR_EraseRootFromParent_Done,
     /*  157988 */   // Label 3656: @157988
     /*  157988 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(158051), // Rule ID 5301 //
     /*  157993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  157996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  158004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  158007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158032 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  158032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  158049 */     GIR_RootConstrainSelectedInstOperands,
     /*  158050 */     // GIR_Coverage, 5301,
     /*  158050 */     GIR_EraseRootFromParent_Done,
     /*  158051 */   // Label 3657: @158051
     /*  158051 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(158114), // Rule ID 5302 //
     /*  158056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  158070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158112 */     GIR_RootConstrainSelectedInstOperands,
     /*  158113 */     // GIR_Coverage, 5302,
     /*  158113 */     GIR_EraseRootFromParent_Done,
     /*  158114 */   // Label 3658: @158114
     /*  158114 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(158177), // Rule ID 5303 //
     /*  158119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  158133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158158 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158175 */     GIR_RootConstrainSelectedInstOperands,
     /*  158176 */     // GIR_Coverage, 5303,
     /*  158176 */     GIR_EraseRootFromParent_Done,
     /*  158177 */   // Label 3659: @158177
     /*  158177 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(158240), // Rule ID 5304 //
     /*  158182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  158196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158238 */     GIR_RootConstrainSelectedInstOperands,
     /*  158239 */     // GIR_Coverage, 5304,
     /*  158239 */     GIR_EraseRootFromParent_Done,
     /*  158240 */   // Label 3660: @158240
     /*  158240 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(158303), // Rule ID 5305 //
     /*  158245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  158259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158301 */     GIR_RootConstrainSelectedInstOperands,
     /*  158302 */     // GIR_Coverage, 5305,
     /*  158302 */     GIR_EraseRootFromParent_Done,
     /*  158303 */   // Label 3661: @158303
     /*  158303 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(158366), // Rule ID 5306 //
     /*  158308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  158319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  158322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  158347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158364 */     GIR_RootConstrainSelectedInstOperands,
     /*  158365 */     // GIR_Coverage, 5306,
     /*  158365 */     GIR_EraseRootFromParent_Done,
     /*  158366 */   // Label 3662: @158366
     /*  158366 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(158429), // Rule ID 5307 //
     /*  158371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  158382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  158385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  158410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  158427 */     GIR_RootConstrainSelectedInstOperands,
     /*  158428 */     // GIR_Coverage, 5307,
     /*  158428 */     GIR_EraseRootFromParent_Done,
     /*  158429 */   // Label 3663: @158429
     /*  158429 */   GIM_Try, /*On fail goto*//*Label 3664*/ GIMT_Encode4(158492), // Rule ID 5308 //
     /*  158434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  158448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158490 */     GIR_RootConstrainSelectedInstOperands,
     /*  158491 */     // GIR_Coverage, 5308,
     /*  158491 */     GIR_EraseRootFromParent_Done,
     /*  158492 */   // Label 3664: @158492
     /*  158492 */   GIM_Try, /*On fail goto*//*Label 3665*/ GIMT_Encode4(158555), // Rule ID 5309 //
     /*  158497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  158511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  158525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11042:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  158539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158553 */     GIR_RootConstrainSelectedInstOperands,
     /*  158554 */     // GIR_Coverage, 5309,
     /*  158554 */     GIR_EraseRootFromParent_Done,
     /*  158555 */   // Label 3665: @158555
     /*  158555 */   GIM_Try, /*On fail goto*//*Label 3666*/ GIMT_Encode4(158618), // Rule ID 5310 //
     /*  158560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  158574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158616 */     GIR_RootConstrainSelectedInstOperands,
     /*  158617 */     // GIR_Coverage, 5310,
     /*  158617 */     GIR_EraseRootFromParent_Done,
     /*  158618 */   // Label 3666: @158618
     /*  158618 */   GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(158681), // Rule ID 5311 //
     /*  158623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  158634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  158637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  158651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11042:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  158665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158679 */     GIR_RootConstrainSelectedInstOperands,
     /*  158680 */     // GIR_Coverage, 5311,
     /*  158680 */     GIR_EraseRootFromParent_Done,
     /*  158681 */   // Label 3667: @158681
     /*  158681 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(158744), // Rule ID 5312 //
     /*  158686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  158689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  158700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  158703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  158725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158742 */     GIR_RootConstrainSelectedInstOperands,
     /*  158743 */     // GIR_Coverage, 5312,
     /*  158743 */     GIR_EraseRootFromParent_Done,
     /*  158744 */   // Label 3668: @158744
     /*  158744 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(158807), // Rule ID 5313 //
     /*  158749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  158752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  158757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  158760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  158763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  158766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  158777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11042:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  158788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  158791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  158805 */     GIR_RootConstrainSelectedInstOperands,
     /*  158806 */     // GIR_Coverage, 5313,
     /*  158806 */     GIR_EraseRootFromParent_Done,
     /*  158807 */   // Label 3669: @158807
     /*  158807 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(158870), // Rule ID 5534 //
     /*  158812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  158823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  158826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  158829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  158851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  158854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158868 */     GIR_RootConstrainSelectedInstOperands,
     /*  158869 */     // GIR_Coverage, 5534,
     /*  158869 */     GIR_EraseRootFromParent_Done,
     /*  158870 */   // Label 3670: @158870
     /*  158870 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(158933), // Rule ID 5535 //
     /*  158875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  158878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  158886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  158889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  158892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  158895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  158914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  158917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158931 */     GIR_RootConstrainSelectedInstOperands,
     /*  158932 */     // GIR_Coverage, 5535,
     /*  158932 */     GIR_EraseRootFromParent_Done,
     /*  158933 */   // Label 3671: @158933
     /*  158933 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(158996), // Rule ID 5536 //
     /*  158938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  158941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  158946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  158949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  158952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  158955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  158958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  158970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  158977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  158977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  158980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  158984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  158986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  158991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  158994 */     GIR_RootConstrainSelectedInstOperands,
     /*  158995 */     // GIR_Coverage, 5536,
     /*  158995 */     GIR_EraseRootFromParent_Done,
     /*  158996 */   // Label 3672: @158996
     /*  158996 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(159059), // Rule ID 5537 //
     /*  159001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  159015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  159018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159040 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159057 */     GIR_RootConstrainSelectedInstOperands,
     /*  159058 */     // GIR_Coverage, 5537,
     /*  159058 */     GIR_EraseRootFromParent_Done,
     /*  159059 */   // Label 3673: @159059
     /*  159059 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(159122), // Rule ID 5538 //
     /*  159064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  159078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  159081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  159103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159120 */     GIR_RootConstrainSelectedInstOperands,
     /*  159121 */     // GIR_Coverage, 5538,
     /*  159121 */     GIR_EraseRootFromParent_Done,
     /*  159122 */   // Label 3674: @159122
     /*  159122 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(159185), // Rule ID 5539 //
     /*  159127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  159141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  159144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159183 */     GIR_RootConstrainSelectedInstOperands,
     /*  159184 */     // GIR_Coverage, 5539,
     /*  159184 */     GIR_EraseRootFromParent_Done,
     /*  159185 */   // Label 3675: @159185
     /*  159185 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(159248), // Rule ID 5540 //
     /*  159190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  159204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  159207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159229 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159246 */     GIR_RootConstrainSelectedInstOperands,
     /*  159247 */     // GIR_Coverage, 5540,
     /*  159247 */     GIR_EraseRootFromParent_Done,
     /*  159248 */   // Label 3676: @159248
     /*  159248 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(159311), // Rule ID 5541 //
     /*  159253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  159267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  159270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159292 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  159295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159309 */     GIR_RootConstrainSelectedInstOperands,
     /*  159310 */     // GIR_Coverage, 5541,
     /*  159310 */     GIR_EraseRootFromParent_Done,
     /*  159311 */   // Label 3677: @159311
     /*  159311 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(159374), // Rule ID 5542 //
     /*  159316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  159330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  159333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159372 */     GIR_RootConstrainSelectedInstOperands,
     /*  159373 */     // GIR_Coverage, 5542,
     /*  159373 */     GIR_EraseRootFromParent_Done,
     /*  159374 */   // Label 3678: @159374
     /*  159374 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(159437), // Rule ID 5543 //
     /*  159379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  159393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  159396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159435 */     GIR_RootConstrainSelectedInstOperands,
     /*  159436 */     // GIR_Coverage, 5543,
     /*  159436 */     GIR_EraseRootFromParent_Done,
     /*  159437 */   // Label 3679: @159437
     /*  159437 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(159500), // Rule ID 5544 //
     /*  159442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  159456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  159459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  159481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159498 */     GIR_RootConstrainSelectedInstOperands,
     /*  159499 */     // GIR_Coverage, 5544,
     /*  159499 */     GIR_EraseRootFromParent_Done,
     /*  159500 */   // Label 3680: @159500
     /*  159500 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(159563), // Rule ID 5545 //
     /*  159505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  159519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  159522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159544 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  159544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  159547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159561 */     GIR_RootConstrainSelectedInstOperands,
     /*  159562 */     // GIR_Coverage, 5545,
     /*  159562 */     GIR_EraseRootFromParent_Done,
     /*  159563 */   // Label 3681: @159563
     /*  159563 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(159626), // Rule ID 5546 //
     /*  159568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  159579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  159582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  159585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  159607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159624 */     GIR_RootConstrainSelectedInstOperands,
     /*  159625 */     // GIR_Coverage, 5546,
     /*  159625 */     GIR_EraseRootFromParent_Done,
     /*  159626 */   // Label 3682: @159626
     /*  159626 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(159689), // Rule ID 5547 //
     /*  159631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  159642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  159645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  159648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  159670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  159687 */     GIR_RootConstrainSelectedInstOperands,
     /*  159688 */     // GIR_Coverage, 5547,
     /*  159688 */     GIR_EraseRootFromParent_Done,
     /*  159689 */   // Label 3683: @159689
     /*  159689 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(159752), // Rule ID 5548 //
     /*  159694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  159708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  159711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159733 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  159733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159750 */     GIR_RootConstrainSelectedInstOperands,
     /*  159751 */     // GIR_Coverage, 5548,
     /*  159751 */     GIR_EraseRootFromParent_Done,
     /*  159752 */   // Label 3684: @159752
     /*  159752 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(159815), // Rule ID 5549 //
     /*  159757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  159768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  159771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  159774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  159796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  159813 */     GIR_RootConstrainSelectedInstOperands,
     /*  159814 */     // GIR_Coverage, 5549,
     /*  159814 */     GIR_EraseRootFromParent_Done,
     /*  159815 */   // Label 3685: @159815
     /*  159815 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(159878), // Rule ID 5550 //
     /*  159820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  159823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  159834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  159837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  159859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159876 */     GIR_RootConstrainSelectedInstOperands,
     /*  159877 */     // GIR_Coverage, 5550,
     /*  159877 */     GIR_EraseRootFromParent_Done,
     /*  159878 */   // Label 3686: @159878
     /*  159878 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(159941), // Rule ID 5551 //
     /*  159883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  159886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  159894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  159897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  159900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  159903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  159922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  159939 */     GIR_RootConstrainSelectedInstOperands,
     /*  159940 */     // GIR_Coverage, 5551,
     /*  159940 */     GIR_EraseRootFromParent_Done,
     /*  159941 */   // Label 3687: @159941
     /*  159941 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(160004), // Rule ID 5552 //
     /*  159946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  159949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  159954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  159957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  159960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  159963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  159966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  159978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  159985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  159985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  159988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  159992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  159994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  159999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160002 */     GIR_RootConstrainSelectedInstOperands,
     /*  160003 */     // GIR_Coverage, 5552,
     /*  160003 */     GIR_EraseRootFromParent_Done,
     /*  160004 */   // Label 3688: @160004
     /*  160004 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(160067), // Rule ID 5553 //
     /*  160009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  160012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  160020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  160023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  160026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160048 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  160048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  160051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  160065 */     GIR_RootConstrainSelectedInstOperands,
     /*  160066 */     // GIR_Coverage, 5553,
     /*  160066 */     GIR_EraseRootFromParent_Done,
     /*  160067 */   // Label 3689: @160067
     /*  160067 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(160130), // Rule ID 5554 //
     /*  160072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  160086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  160089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160111 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160128 */     GIR_RootConstrainSelectedInstOperands,
     /*  160129 */     // GIR_Coverage, 5554,
     /*  160129 */     GIR_EraseRootFromParent_Done,
     /*  160130 */   // Label 3690: @160130
     /*  160130 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(160193), // Rule ID 5555 //
     /*  160135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  160149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  160152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160174 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160191 */     GIR_RootConstrainSelectedInstOperands,
     /*  160192 */     // GIR_Coverage, 5555,
     /*  160192 */     GIR_EraseRootFromParent_Done,
     /*  160193 */   // Label 3691: @160193
     /*  160193 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(160256), // Rule ID 5556 //
     /*  160198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  160212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  160215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160237 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160254 */     GIR_RootConstrainSelectedInstOperands,
     /*  160255 */     // GIR_Coverage, 5556,
     /*  160255 */     GIR_EraseRootFromParent_Done,
     /*  160256 */   // Label 3692: @160256
     /*  160256 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(160319), // Rule ID 5557 //
     /*  160261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  160275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  160278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160300 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160317 */     GIR_RootConstrainSelectedInstOperands,
     /*  160318 */     // GIR_Coverage, 5557,
     /*  160318 */     GIR_EraseRootFromParent_Done,
     /*  160319 */   // Label 3693: @160319
     /*  160319 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(160382), // Rule ID 5558 //
     /*  160324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  160335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  160338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  160341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160363 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  160363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160380 */     GIR_RootConstrainSelectedInstOperands,
     /*  160381 */     // GIR_Coverage, 5558,
     /*  160381 */     GIR_EraseRootFromParent_Done,
     /*  160382 */   // Label 3694: @160382
     /*  160382 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(160445), // Rule ID 5559 //
     /*  160387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  160398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  160401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  160404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160426 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  160426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  160443 */     GIR_RootConstrainSelectedInstOperands,
     /*  160444 */     // GIR_Coverage, 5559,
     /*  160444 */     GIR_EraseRootFromParent_Done,
     /*  160445 */   // Label 3695: @160445
     /*  160445 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(160508), // Rule ID 5560 //
     /*  160450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  160464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  160467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160506 */     GIR_RootConstrainSelectedInstOperands,
     /*  160507 */     // GIR_Coverage, 5560,
     /*  160507 */     GIR_EraseRootFromParent_Done,
     /*  160508 */   // Label 3696: @160508
     /*  160508 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(160571), // Rule ID 5561 //
     /*  160513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  160527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  160530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160569 */     GIR_RootConstrainSelectedInstOperands,
     /*  160570 */     // GIR_Coverage, 5561,
     /*  160570 */     GIR_EraseRootFromParent_Done,
     /*  160571 */   // Label 3697: @160571
     /*  160571 */   GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(160634), // Rule ID 5562 //
     /*  160576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  160590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  160593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160615 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160632 */     GIR_RootConstrainSelectedInstOperands,
     /*  160633 */     // GIR_Coverage, 5562,
     /*  160633 */     GIR_EraseRootFromParent_Done,
     /*  160634 */   // Label 3698: @160634
     /*  160634 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(160697), // Rule ID 5563 //
     /*  160639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  160650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  160653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  160656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160678 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160695 */     GIR_RootConstrainSelectedInstOperands,
     /*  160696 */     // GIR_Coverage, 5563,
     /*  160696 */     GIR_EraseRootFromParent_Done,
     /*  160697 */   // Label 3699: @160697
     /*  160697 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(160760), // Rule ID 5564 //
     /*  160702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  160716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  160719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160741 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  160741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160758 */     GIR_RootConstrainSelectedInstOperands,
     /*  160759 */     // GIR_Coverage, 5564,
     /*  160759 */     GIR_EraseRootFromParent_Done,
     /*  160760 */   // Label 3700: @160760
     /*  160760 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(160823), // Rule ID 5565 //
     /*  160765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  160776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  160779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  160782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  160797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160804 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  160804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  160807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  160821 */     GIR_RootConstrainSelectedInstOperands,
     /*  160822 */     // GIR_Coverage, 5565,
     /*  160822 */     GIR_EraseRootFromParent_Done,
     /*  160823 */   // Label 3701: @160823
     /*  160823 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(160886), // Rule ID 5566 //
     /*  160828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  160839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  160842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  160845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  160867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160884 */     GIR_RootConstrainSelectedInstOperands,
     /*  160885 */     // GIR_Coverage, 5566,
     /*  160885 */     GIR_EraseRootFromParent_Done,
     /*  160886 */   // Label 3702: @160886
     /*  160886 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(160949), // Rule ID 5567 //
     /*  160891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  160894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  160902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  160905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  160908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  160911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  160923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  160930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  160933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  160937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  160939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  160944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  160947 */     GIR_RootConstrainSelectedInstOperands,
     /*  160948 */     // GIR_Coverage, 5567,
     /*  160948 */     GIR_EraseRootFromParent_Done,
     /*  160949 */   // Label 3703: @160949
     /*  160949 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(161012), // Rule ID 5568 //
     /*  160954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  160957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  160962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  160965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  160968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  160971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  160974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  160978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  160986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  160993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  160993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  160996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161010 */     GIR_RootConstrainSelectedInstOperands,
     /*  161011 */     // GIR_Coverage, 5568,
     /*  161011 */     GIR_EraseRootFromParent_Done,
     /*  161012 */   // Label 3704: @161012
     /*  161012 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(161075), // Rule ID 5569 //
     /*  161017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  161028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  161031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  161034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  161056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161073 */     GIR_RootConstrainSelectedInstOperands,
     /*  161074 */     // GIR_Coverage, 5569,
     /*  161074 */     GIR_EraseRootFromParent_Done,
     /*  161075 */   // Label 3705: @161075
     /*  161075 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(161138), // Rule ID 5570 //
     /*  161080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  161091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  161094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  161097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  161119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161136 */     GIR_RootConstrainSelectedInstOperands,
     /*  161137 */     // GIR_Coverage, 5570,
     /*  161137 */     GIR_EraseRootFromParent_Done,
     /*  161138 */   // Label 3706: @161138
     /*  161138 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(161201), // Rule ID 5571 //
     /*  161143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  161154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  161157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  161160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  161182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  161199 */     GIR_RootConstrainSelectedInstOperands,
     /*  161200 */     // GIR_Coverage, 5571,
     /*  161200 */     GIR_EraseRootFromParent_Done,
     /*  161201 */   // Label 3707: @161201
     /*  161201 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(161264), // Rule ID 5572 //
     /*  161206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  161220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  161223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  161248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161262 */     GIR_RootConstrainSelectedInstOperands,
     /*  161263 */     // GIR_Coverage, 5572,
     /*  161263 */     GIR_EraseRootFromParent_Done,
     /*  161264 */   // Label 3708: @161264
     /*  161264 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(161327), // Rule ID 5573 //
     /*  161269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  161283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  161286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  161301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  161311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161325 */     GIR_RootConstrainSelectedInstOperands,
     /*  161326 */     // GIR_Coverage, 5573,
     /*  161326 */     GIR_EraseRootFromParent_Done,
     /*  161327 */   // Label 3709: @161327
     /*  161327 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(161390), // Rule ID 5574 //
     /*  161332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  161346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  161349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161388 */     GIR_RootConstrainSelectedInstOperands,
     /*  161389 */     // GIR_Coverage, 5574,
     /*  161389 */     GIR_EraseRootFromParent_Done,
     /*  161390 */   // Label 3710: @161390
     /*  161390 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(161453), // Rule ID 5575 //
     /*  161395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  161409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  161412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  161427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  161437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161451 */     GIR_RootConstrainSelectedInstOperands,
     /*  161452 */     // GIR_Coverage, 5575,
     /*  161452 */     GIR_EraseRootFromParent_Done,
     /*  161453 */   // Label 3711: @161453
     /*  161453 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(161516), // Rule ID 5576 //
     /*  161458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  161461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  161469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  161472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  161475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  161497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161514 */     GIR_RootConstrainSelectedInstOperands,
     /*  161515 */     // GIR_Coverage, 5576,
     /*  161515 */     GIR_EraseRootFromParent_Done,
     /*  161516 */   // Label 3712: @161516
     /*  161516 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(161579), // Rule ID 5577 //
     /*  161521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  161524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  161532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  161535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  161538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  161553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161560 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  161560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  161563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  161577 */     GIR_RootConstrainSelectedInstOperands,
     /*  161578 */     // GIR_Coverage, 5577,
     /*  161578 */     GIR_EraseRootFromParent_Done,
     /*  161579 */   // Label 3713: @161579
     /*  161579 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(161642), // Rule ID 5578 //
     /*  161584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  161598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161623 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  161626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161640 */     GIR_RootConstrainSelectedInstOperands,
     /*  161641 */     // GIR_Coverage, 5578,
     /*  161641 */     GIR_EraseRootFromParent_Done,
     /*  161642 */   // Label 3714: @161642
     /*  161642 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(161705), // Rule ID 5579 //
     /*  161647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  161661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161686 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  161689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161703 */     GIR_RootConstrainSelectedInstOperands,
     /*  161704 */     // GIR_Coverage, 5579,
     /*  161704 */     GIR_EraseRootFromParent_Done,
     /*  161705 */   // Label 3715: @161705
     /*  161705 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(161768), // Rule ID 5580 //
     /*  161710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  161724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161749 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  161752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161766 */     GIR_RootConstrainSelectedInstOperands,
     /*  161767 */     // GIR_Coverage, 5580,
     /*  161767 */     GIR_EraseRootFromParent_Done,
     /*  161768 */   // Label 3716: @161768
     /*  161768 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(161831), // Rule ID 5581 //
     /*  161773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  161784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  161787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161812 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  161815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161829 */     GIR_RootConstrainSelectedInstOperands,
     /*  161830 */     // GIR_Coverage, 5581,
     /*  161830 */     GIR_EraseRootFromParent_Done,
     /*  161831 */   // Label 3717: @161831
     /*  161831 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(161894), // Rule ID 5582 //
     /*  161836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  161850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  161875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  161878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161892 */     GIR_RootConstrainSelectedInstOperands,
     /*  161893 */     // GIR_Coverage, 5582,
     /*  161893 */     GIR_EraseRootFromParent_Done,
     /*  161894 */   // Label 3718: @161894
     /*  161894 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(161957), // Rule ID 5583 //
     /*  161899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  161902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  161910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  161913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  161916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  161919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  161938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  161938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  161941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  161945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  161947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  161952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  161955 */     GIR_RootConstrainSelectedInstOperands,
     /*  161956 */     // GIR_Coverage, 5583,
     /*  161956 */     GIR_EraseRootFromParent_Done,
     /*  161957 */   // Label 3719: @161957
     /*  161957 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(162020), // Rule ID 5584 //
     /*  161962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  161965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  161970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  161973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  161976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  161979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  161982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  161990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  162001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  162004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162018 */     GIR_RootConstrainSelectedInstOperands,
     /*  162019 */     // GIR_Coverage, 5584,
     /*  162019 */     GIR_EraseRootFromParent_Done,
     /*  162020 */   // Label 3720: @162020
     /*  162020 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(162083), // Rule ID 5585 //
     /*  162025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  162039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  162067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162081 */     GIR_RootConstrainSelectedInstOperands,
     /*  162082 */     // GIR_Coverage, 5585,
     /*  162082 */     GIR_EraseRootFromParent_Done,
     /*  162083 */   // Label 3721: @162083
     /*  162083 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(162146), // Rule ID 5586 //
     /*  162088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  162102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  162127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162144 */     GIR_RootConstrainSelectedInstOperands,
     /*  162145 */     // GIR_Coverage, 5586,
     /*  162145 */     GIR_EraseRootFromParent_Done,
     /*  162146 */   // Label 3722: @162146
     /*  162146 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(162209), // Rule ID 5587 //
     /*  162151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  162165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162207 */     GIR_RootConstrainSelectedInstOperands,
     /*  162208 */     // GIR_Coverage, 5587,
     /*  162208 */     GIR_EraseRootFromParent_Done,
     /*  162209 */   // Label 3723: @162209
     /*  162209 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(162272), // Rule ID 5588 //
     /*  162214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  162228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  162253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162270 */     GIR_RootConstrainSelectedInstOperands,
     /*  162271 */     // GIR_Coverage, 5588,
     /*  162271 */     GIR_EraseRootFromParent_Done,
     /*  162272 */   // Label 3724: @162272
     /*  162272 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(162335), // Rule ID 5589 //
     /*  162277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  162291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  162316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  162319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162333 */     GIR_RootConstrainSelectedInstOperands,
     /*  162334 */     // GIR_Coverage, 5589,
     /*  162334 */     GIR_EraseRootFromParent_Done,
     /*  162335 */   // Label 3725: @162335
     /*  162335 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(162398), // Rule ID 5590 //
     /*  162340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  162351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  162354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  162379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162396 */     GIR_RootConstrainSelectedInstOperands,
     /*  162397 */     // GIR_Coverage, 5590,
     /*  162397 */     GIR_EraseRootFromParent_Done,
     /*  162398 */   // Label 3726: @162398
     /*  162398 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(162461), // Rule ID 5591 //
     /*  162403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  162414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  162417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  162442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162459 */     GIR_RootConstrainSelectedInstOperands,
     /*  162460 */     // GIR_Coverage, 5591,
     /*  162460 */     GIR_EraseRootFromParent_Done,
     /*  162461 */   // Label 3727: @162461
     /*  162461 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(162524), // Rule ID 5592 //
     /*  162466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  162477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  162480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162505 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  162505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162522 */     GIR_RootConstrainSelectedInstOperands,
     /*  162523 */     // GIR_Coverage, 5592,
     /*  162523 */     GIR_EraseRootFromParent_Done,
     /*  162524 */   // Label 3728: @162524
     /*  162524 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(162587), // Rule ID 5593 //
     /*  162529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  162540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  162543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162568 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  162568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  162585 */     GIR_RootConstrainSelectedInstOperands,
     /*  162586 */     // GIR_Coverage, 5593,
     /*  162586 */     GIR_EraseRootFromParent_Done,
     /*  162587 */   // Label 3729: @162587
     /*  162587 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(162650), // Rule ID 5594 //
     /*  162592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  162606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162631 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  162631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162648 */     GIR_RootConstrainSelectedInstOperands,
     /*  162649 */     // GIR_Coverage, 5594,
     /*  162649 */     GIR_EraseRootFromParent_Done,
     /*  162650 */   // Label 3730: @162650
     /*  162650 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(162713), // Rule ID 5595 //
     /*  162655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  162666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  162669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  162694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  162711 */     GIR_RootConstrainSelectedInstOperands,
     /*  162712 */     // GIR_Coverage, 5595,
     /*  162712 */     GIR_EraseRootFromParent_Done,
     /*  162713 */   // Label 3731: @162713
     /*  162713 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(162776), // Rule ID 5596 //
     /*  162718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  162721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  162732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162757 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  162757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162774 */     GIR_RootConstrainSelectedInstOperands,
     /*  162775 */     // GIR_Coverage, 5596,
     /*  162775 */     GIR_EraseRootFromParent_Done,
     /*  162776 */   // Label 3732: @162776
     /*  162776 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(162839), // Rule ID 5597 //
     /*  162781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  162784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  162792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  162795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11074:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  162820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  162823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  162837 */     GIR_RootConstrainSelectedInstOperands,
     /*  162838 */     // GIR_Coverage, 5597,
     /*  162838 */     GIR_EraseRootFromParent_Done,
     /*  162839 */   // Label 3733: @162839
     /*  162839 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(162902), // Rule ID 5598 //
     /*  162844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  162855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  162858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162883 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  162883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  162886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162900 */     GIR_RootConstrainSelectedInstOperands,
     /*  162901 */     // GIR_Coverage, 5598,
     /*  162901 */     GIR_EraseRootFromParent_Done,
     /*  162902 */   // Label 3734: @162902
     /*  162902 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(162965), // Rule ID 5599 //
     /*  162907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  162918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  162921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  162924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  162927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  162935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  162946 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  162946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  162949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  162953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  162955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  162960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162963 */     GIR_RootConstrainSelectedInstOperands,
     /*  162964 */     // GIR_Coverage, 5599,
     /*  162964 */     GIR_EraseRootFromParent_Done,
     /*  162965 */   // Label 3735: @162965
     /*  162965 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(163028), // Rule ID 5600 //
     /*  162970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  162978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  162981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  162984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  162987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  162990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  162998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163009 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  163009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163026 */     GIR_RootConstrainSelectedInstOperands,
     /*  163027 */     // GIR_Coverage, 5600,
     /*  163027 */     GIR_EraseRootFromParent_Done,
     /*  163028 */   // Label 3736: @163028
     /*  163028 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(163091), // Rule ID 5601 //
     /*  163033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  163047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163072 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  163072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163089 */     GIR_RootConstrainSelectedInstOperands,
     /*  163090 */     // GIR_Coverage, 5601,
     /*  163090 */     GIR_EraseRootFromParent_Done,
     /*  163091 */   // Label 3737: @163091
     /*  163091 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(163154), // Rule ID 5602 //
     /*  163096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  163107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  163110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163135 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  163135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163152 */     GIR_RootConstrainSelectedInstOperands,
     /*  163153 */     // GIR_Coverage, 5602,
     /*  163153 */     GIR_EraseRootFromParent_Done,
     /*  163154 */   // Label 3738: @163154
     /*  163154 */   GIM_Try, /*On fail goto*//*Label 3739*/ GIMT_Encode4(163217), // Rule ID 5603 //
     /*  163159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  163170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  163173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163198 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  163198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163215 */     GIR_RootConstrainSelectedInstOperands,
     /*  163216 */     // GIR_Coverage, 5603,
     /*  163216 */     GIR_EraseRootFromParent_Done,
     /*  163217 */   // Label 3739: @163217
     /*  163217 */   GIM_Try, /*On fail goto*//*Label 3740*/ GIMT_Encode4(163280), // Rule ID 5604 //
     /*  163222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  163236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163278 */     GIR_RootConstrainSelectedInstOperands,
     /*  163279 */     // GIR_Coverage, 5604,
     /*  163279 */     GIR_EraseRootFromParent_Done,
     /*  163280 */   // Label 3740: @163280
     /*  163280 */   GIM_Try, /*On fail goto*//*Label 3741*/ GIMT_Encode4(163343), // Rule ID 5605 //
     /*  163285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  163299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163341 */     GIR_RootConstrainSelectedInstOperands,
     /*  163342 */     // GIR_Coverage, 5605,
     /*  163342 */     GIR_EraseRootFromParent_Done,
     /*  163343 */   // Label 3741: @163343
     /*  163343 */   GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(163406), // Rule ID 5606 //
     /*  163348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  163362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163404 */     GIR_RootConstrainSelectedInstOperands,
     /*  163405 */     // GIR_Coverage, 5606,
     /*  163405 */     GIR_EraseRootFromParent_Done,
     /*  163406 */   // Label 3742: @163406
     /*  163406 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(163469), // Rule ID 5607 //
     /*  163411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  163425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163467 */     GIR_RootConstrainSelectedInstOperands,
     /*  163468 */     // GIR_Coverage, 5607,
     /*  163468 */     GIR_EraseRootFromParent_Done,
     /*  163469 */   // Label 3743: @163469
     /*  163469 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(163532), // Rule ID 5608 //
     /*  163474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  163488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163513 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  163513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163530 */     GIR_RootConstrainSelectedInstOperands,
     /*  163531 */     // GIR_Coverage, 5608,
     /*  163531 */     GIR_EraseRootFromParent_Done,
     /*  163532 */   // Label 3744: @163532
     /*  163532 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(163595), // Rule ID 5609 //
     /*  163537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  163548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  163551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  163576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163593 */     GIR_RootConstrainSelectedInstOperands,
     /*  163594 */     // GIR_Coverage, 5609,
     /*  163594 */     GIR_EraseRootFromParent_Done,
     /*  163595 */   // Label 3745: @163595
     /*  163595 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(163658), // Rule ID 5610 //
     /*  163600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  163611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  163614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163656 */     GIR_RootConstrainSelectedInstOperands,
     /*  163657 */     // GIR_Coverage, 5610,
     /*  163657 */     GIR_EraseRootFromParent_Done,
     /*  163658 */   // Label 3746: @163658
     /*  163658 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(163721), // Rule ID 5611 //
     /*  163663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  163674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  163677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  163691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163702 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  163705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163719 */     GIR_RootConstrainSelectedInstOperands,
     /*  163720 */     // GIR_Coverage, 5611,
     /*  163720 */     GIR_EraseRootFromParent_Done,
     /*  163721 */   // Label 3747: @163721
     /*  163721 */   GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(163784), // Rule ID 5612 //
     /*  163726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  163740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163782 */     GIR_RootConstrainSelectedInstOperands,
     /*  163783 */     // GIR_Coverage, 5612,
     /*  163783 */     GIR_EraseRootFromParent_Done,
     /*  163784 */   // Label 3748: @163784
     /*  163784 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(163847), // Rule ID 5613 //
     /*  163789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  163800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  163803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  163817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  163831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163845 */     GIR_RootConstrainSelectedInstOperands,
     /*  163846 */     // GIR_Coverage, 5613,
     /*  163846 */     GIR_EraseRootFromParent_Done,
     /*  163847 */   // Label 3749: @163847
     /*  163847 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(163910), // Rule ID 5614 //
     /*  163852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  163866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163891 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  163891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163908 */     GIR_RootConstrainSelectedInstOperands,
     /*  163909 */     // GIR_Coverage, 5614,
     /*  163909 */     GIR_EraseRootFromParent_Done,
     /*  163910 */   // Label 3750: @163910
     /*  163910 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(163973), // Rule ID 5615 //
     /*  163915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  163926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  163929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  163932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  163935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  163943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  163954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  163954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  163957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  163961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  163963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  163968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163971 */     GIR_RootConstrainSelectedInstOperands,
     /*  163972 */     // GIR_Coverage, 5615,
     /*  163972 */     GIR_EraseRootFromParent_Done,
     /*  163973 */   // Label 3751: @163973
     /*  163973 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(164036), // Rule ID 5616 //
     /*  163978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  163986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  163989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  163992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  163995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  163998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  164017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  164020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164034 */     GIR_RootConstrainSelectedInstOperands,
     /*  164035 */     // GIR_Coverage, 5616,
     /*  164035 */     GIR_EraseRootFromParent_Done,
     /*  164036 */   // Label 3752: @164036
     /*  164036 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(164099), // Rule ID 5617 //
     /*  164041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  164055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11074:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  164083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164097 */     GIR_RootConstrainSelectedInstOperands,
     /*  164098 */     // GIR_Coverage, 5617,
     /*  164098 */     GIR_EraseRootFromParent_Done,
     /*  164099 */   // Label 3753: @164099
     /*  164099 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(164162), // Rule ID 5618 //
     /*  164104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  164118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  164121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  164143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  164146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164160 */     GIR_RootConstrainSelectedInstOperands,
     /*  164161 */     // GIR_Coverage, 5618,
     /*  164161 */     GIR_EraseRootFromParent_Done,
     /*  164162 */   // Label 3754: @164162
     /*  164162 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(164225), // Rule ID 5619 //
     /*  164167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  164181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  164195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11074:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  164209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164223 */     GIR_RootConstrainSelectedInstOperands,
     /*  164224 */     // GIR_Coverage, 5619,
     /*  164224 */     GIR_EraseRootFromParent_Done,
     /*  164225 */   // Label 3755: @164225
     /*  164225 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(164288), // Rule ID 5620 //
     /*  164230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  164244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  164247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  164258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  164269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  164272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164286 */     GIR_RootConstrainSelectedInstOperands,
     /*  164287 */     // GIR_Coverage, 5620,
     /*  164287 */     GIR_EraseRootFromParent_Done,
     /*  164288 */   // Label 3756: @164288
     /*  164288 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(164351), // Rule ID 5621 //
     /*  164293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  164301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  164307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  164310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  164321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11074:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  164332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  164335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164349 */     GIR_RootConstrainSelectedInstOperands,
     /*  164350 */     // GIR_Coverage, 5621,
     /*  164350 */     GIR_EraseRootFromParent_Done,
     /*  164351 */   // Label 3757: @164351
     /*  164351 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(164414), // Rule ID 7654 //
     /*  164356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  164370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  164373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  164395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164412 */     GIR_RootConstrainSelectedInstOperands,
     /*  164413 */     // GIR_Coverage, 7654,
     /*  164413 */     GIR_EraseRootFromParent_Done,
     /*  164414 */   // Label 3758: @164414
     /*  164414 */   GIM_Try, /*On fail goto*//*Label 3759*/ GIMT_Encode4(164477), // Rule ID 7655 //
     /*  164419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  164433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  164436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  164458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164475 */     GIR_RootConstrainSelectedInstOperands,
     /*  164476 */     // GIR_Coverage, 7655,
     /*  164476 */     GIR_EraseRootFromParent_Done,
     /*  164477 */   // Label 3759: @164477
     /*  164477 */   GIM_Try, /*On fail goto*//*Label 3760*/ GIMT_Encode4(164540), // Rule ID 7658 //
     /*  164482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  164496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  164499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  164521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164538 */     GIR_RootConstrainSelectedInstOperands,
     /*  164539 */     // GIR_Coverage, 7658,
     /*  164539 */     GIR_EraseRootFromParent_Done,
     /*  164540 */   // Label 3760: @164540
     /*  164540 */   GIM_Try, /*On fail goto*//*Label 3761*/ GIMT_Encode4(164603), // Rule ID 7659 //
     /*  164545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  164556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  164559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  164562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  164584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164601 */     GIR_RootConstrainSelectedInstOperands,
     /*  164602 */     // GIR_Coverage, 7659,
     /*  164602 */     GIR_EraseRootFromParent_Done,
     /*  164603 */   // Label 3761: @164603
     /*  164603 */   GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(164666), // Rule ID 7662 //
     /*  164608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  164622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  164625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164647 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  164647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164664 */     GIR_RootConstrainSelectedInstOperands,
     /*  164665 */     // GIR_Coverage, 7662,
     /*  164665 */     GIR_EraseRootFromParent_Done,
     /*  164666 */   // Label 3762: @164666
     /*  164666 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(164729), // Rule ID 7663 //
     /*  164671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  164685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  164688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  164710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  164713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164727 */     GIR_RootConstrainSelectedInstOperands,
     /*  164728 */     // GIR_Coverage, 7663,
     /*  164728 */     GIR_EraseRootFromParent_Done,
     /*  164729 */   // Label 3763: @164729
     /*  164729 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(164792), // Rule ID 7666 //
     /*  164734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  164748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  164751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164773 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  164773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164790 */     GIR_RootConstrainSelectedInstOperands,
     /*  164791 */     // GIR_Coverage, 7666,
     /*  164791 */     GIR_EraseRootFromParent_Done,
     /*  164792 */   // Label 3764: @164792
     /*  164792 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(164855), // Rule ID 7667 //
     /*  164797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  164808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  164811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  164814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164836 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  164836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164853 */     GIR_RootConstrainSelectedInstOperands,
     /*  164854 */     // GIR_Coverage, 7667,
     /*  164854 */     GIR_EraseRootFromParent_Done,
     /*  164855 */   // Label 3765: @164855
     /*  164855 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(164918), // Rule ID 7670 //
     /*  164860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  164874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  164877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  164880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164899 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  164899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164916 */     GIR_RootConstrainSelectedInstOperands,
     /*  164917 */     // GIR_Coverage, 7670,
     /*  164917 */     GIR_EraseRootFromParent_Done,
     /*  164918 */   // Label 3766: @164918
     /*  164918 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(164981), // Rule ID 7671 //
     /*  164923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  164934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  164937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  164940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  164943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  164962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  164962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  164965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  164969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  164971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  164976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164979 */     GIR_RootConstrainSelectedInstOperands,
     /*  164980 */     // GIR_Coverage, 7671,
     /*  164980 */     GIR_EraseRootFromParent_Done,
     /*  164981 */   // Label 3767: @164981
     /*  164981 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(165044), // Rule ID 7674 //
     /*  164986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  164994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  164997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  165000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  165003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165025 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165042 */     GIR_RootConstrainSelectedInstOperands,
     /*  165043 */     // GIR_Coverage, 7674,
     /*  165043 */     GIR_EraseRootFromParent_Done,
     /*  165044 */   // Label 3768: @165044
     /*  165044 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(165107), // Rule ID 7675 //
     /*  165049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  165063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  165066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165105 */     GIR_RootConstrainSelectedInstOperands,
     /*  165106 */     // GIR_Coverage, 7675,
     /*  165106 */     GIR_EraseRootFromParent_Done,
     /*  165107 */   // Label 3769: @165107
     /*  165107 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(165170), // Rule ID 7678 //
     /*  165112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  165123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  165126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  165129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165151 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  165151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165168 */     GIR_RootConstrainSelectedInstOperands,
     /*  165169 */     // GIR_Coverage, 7678,
     /*  165169 */     GIR_EraseRootFromParent_Done,
     /*  165170 */   // Label 3770: @165170
     /*  165170 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(165233), // Rule ID 7679 //
     /*  165175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  165186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  165189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  165192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  165214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165231 */     GIR_RootConstrainSelectedInstOperands,
     /*  165232 */     // GIR_Coverage, 7679,
     /*  165232 */     GIR_EraseRootFromParent_Done,
     /*  165233 */   // Label 3771: @165233
     /*  165233 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(165296), // Rule ID 7682 //
     /*  165238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  165249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  165252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  165255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165277 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  165277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165294 */     GIR_RootConstrainSelectedInstOperands,
     /*  165295 */     // GIR_Coverage, 7682,
     /*  165295 */     GIR_EraseRootFromParent_Done,
     /*  165296 */   // Label 3772: @165296
     /*  165296 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(165359), // Rule ID 7683 //
     /*  165301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  165312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  165315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  165318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  165340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165357 */     GIR_RootConstrainSelectedInstOperands,
     /*  165358 */     // GIR_Coverage, 7683,
     /*  165358 */     GIR_EraseRootFromParent_Done,
     /*  165359 */   // Label 3773: @165359
     /*  165359 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(165422), // Rule ID 7686 //
     /*  165364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  165375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  165378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  165381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  165403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165420 */     GIR_RootConstrainSelectedInstOperands,
     /*  165421 */     // GIR_Coverage, 7686,
     /*  165421 */     GIR_EraseRootFromParent_Done,
     /*  165422 */   // Label 3774: @165422
     /*  165422 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(165485), // Rule ID 7687 //
     /*  165427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  165438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  165441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  165444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  165466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  165469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165483 */     GIR_RootConstrainSelectedInstOperands,
     /*  165484 */     // GIR_Coverage, 7687,
     /*  165484 */     GIR_EraseRootFromParent_Done,
     /*  165485 */   // Label 3775: @165485
     /*  165485 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(165548), // Rule ID 7690 //
     /*  165490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  165501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  165504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  165507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165529 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165546 */     GIR_RootConstrainSelectedInstOperands,
     /*  165547 */     // GIR_Coverage, 7690,
     /*  165547 */     GIR_EraseRootFromParent_Done,
     /*  165548 */   // Label 3776: @165548
     /*  165548 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(165611), // Rule ID 7691 //
     /*  165553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  165564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  165567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  165570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165609 */     GIR_RootConstrainSelectedInstOperands,
     /*  165610 */     // GIR_Coverage, 7691,
     /*  165610 */     GIR_EraseRootFromParent_Done,
     /*  165611 */   // Label 3777: @165611
     /*  165611 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(165674), // Rule ID 7694 //
     /*  165616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  165627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  165630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  165633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165655 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  165658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165672 */     GIR_RootConstrainSelectedInstOperands,
     /*  165673 */     // GIR_Coverage, 7694,
     /*  165673 */     GIR_EraseRootFromParent_Done,
     /*  165674 */   // Label 3778: @165674
     /*  165674 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(165737), // Rule ID 7695 //
     /*  165679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  165690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  165693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  165696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165718 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  165721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165735 */     GIR_RootConstrainSelectedInstOperands,
     /*  165736 */     // GIR_Coverage, 7695,
     /*  165736 */     GIR_EraseRootFromParent_Done,
     /*  165737 */   // Label 3779: @165737
     /*  165737 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(165800), // Rule ID 7698 //
     /*  165742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  165753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  165756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  165759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165781 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  165781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  165784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165798 */     GIR_RootConstrainSelectedInstOperands,
     /*  165799 */     // GIR_Coverage, 7698,
     /*  165799 */     GIR_EraseRootFromParent_Done,
     /*  165800 */   // Label 3780: @165800
     /*  165800 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(165863), // Rule ID 7699 //
     /*  165805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  165816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  165819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  165822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  165837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165844 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  165844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  165847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165861 */     GIR_RootConstrainSelectedInstOperands,
     /*  165862 */     // GIR_Coverage, 7699,
     /*  165862 */     GIR_EraseRootFromParent_Done,
     /*  165863 */   // Label 3781: @165863
     /*  165863 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(165926), // Rule ID 7702 //
     /*  165868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  165882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  165885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  165888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165907 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  165907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165924 */     GIR_RootConstrainSelectedInstOperands,
     /*  165925 */     // GIR_Coverage, 7702,
     /*  165925 */     GIR_EraseRootFromParent_Done,
     /*  165926 */   // Label 3782: @165926
     /*  165926 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(165989), // Rule ID 7703 //
     /*  165931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  165939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  165942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  165945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  165948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  165951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  165970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  165970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  165973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  165977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  165979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  165984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165987 */     GIR_RootConstrainSelectedInstOperands,
     /*  165988 */     // GIR_Coverage, 7703,
     /*  165988 */     GIR_EraseRootFromParent_Done,
     /*  165989 */   // Label 3783: @165989
     /*  165989 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(166052), // Rule ID 7706 //
     /*  165994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  166008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  166011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166033 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  166033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166050 */     GIR_RootConstrainSelectedInstOperands,
     /*  166051 */     // GIR_Coverage, 7706,
     /*  166051 */     GIR_EraseRootFromParent_Done,
     /*  166052 */   // Label 3784: @166052
     /*  166052 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(166115), // Rule ID 7707 //
     /*  166057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  166071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  166074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166096 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  166096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166113 */     GIR_RootConstrainSelectedInstOperands,
     /*  166114 */     // GIR_Coverage, 7707,
     /*  166114 */     GIR_EraseRootFromParent_Done,
     /*  166115 */   // Label 3785: @166115
     /*  166115 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(166178), // Rule ID 7710 //
     /*  166120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  166131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  166134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  166137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166159 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  166159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166176 */     GIR_RootConstrainSelectedInstOperands,
     /*  166177 */     // GIR_Coverage, 7710,
     /*  166177 */     GIR_EraseRootFromParent_Done,
     /*  166178 */   // Label 3786: @166178
     /*  166178 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(166241), // Rule ID 7711 //
     /*  166183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  166194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  166197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  166200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  166222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166239 */     GIR_RootConstrainSelectedInstOperands,
     /*  166240 */     // GIR_Coverage, 7711,
     /*  166240 */     GIR_EraseRootFromParent_Done,
     /*  166241 */   // Label 3787: @166241
     /*  166241 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(166304), // Rule ID 7714 //
     /*  166246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  166260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  166263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166285 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166302 */     GIR_RootConstrainSelectedInstOperands,
     /*  166303 */     // GIR_Coverage, 7714,
     /*  166303 */     GIR_EraseRootFromParent_Done,
     /*  166304 */   // Label 3788: @166304
     /*  166304 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(166367), // Rule ID 7715 //
     /*  166309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  166323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  166326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166365 */     GIR_RootConstrainSelectedInstOperands,
     /*  166366 */     // GIR_Coverage, 7715,
     /*  166366 */     GIR_EraseRootFromParent_Done,
     /*  166367 */   // Label 3789: @166367
     /*  166367 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(166430), // Rule ID 7718 //
     /*  166372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  166386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  166389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166411 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166428 */     GIR_RootConstrainSelectedInstOperands,
     /*  166429 */     // GIR_Coverage, 7718,
     /*  166429 */     GIR_EraseRootFromParent_Done,
     /*  166430 */   // Label 3790: @166430
     /*  166430 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(166493), // Rule ID 7719 //
     /*  166435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  166449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  166452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166491 */     GIR_RootConstrainSelectedInstOperands,
     /*  166492 */     // GIR_Coverage, 7719,
     /*  166492 */     GIR_EraseRootFromParent_Done,
     /*  166493 */   // Label 3791: @166493
     /*  166493 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(166556), // Rule ID 7722 //
     /*  166498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  166512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  166515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166537 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  166537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166554 */     GIR_RootConstrainSelectedInstOperands,
     /*  166555 */     // GIR_Coverage, 7722,
     /*  166555 */     GIR_EraseRootFromParent_Done,
     /*  166556 */   // Label 3792: @166556
     /*  166556 */   GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(166619), // Rule ID 7723 //
     /*  166561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  166572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  166575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  166578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166600 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  166600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166617 */     GIR_RootConstrainSelectedInstOperands,
     /*  166618 */     // GIR_Coverage, 7723,
     /*  166618 */     GIR_EraseRootFromParent_Done,
     /*  166619 */   // Label 3793: @166619
     /*  166619 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(166682), // Rule ID 7726 //
     /*  166624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  166635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  166638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  166641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166663 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166680 */     GIR_RootConstrainSelectedInstOperands,
     /*  166681 */     // GIR_Coverage, 7726,
     /*  166681 */     GIR_EraseRootFromParent_Done,
     /*  166682 */   // Label 3794: @166682
     /*  166682 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(166745), // Rule ID 7727 //
     /*  166687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  166698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  166701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  166704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  166729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166743 */     GIR_RootConstrainSelectedInstOperands,
     /*  166744 */     // GIR_Coverage, 7727,
     /*  166744 */     GIR_EraseRootFromParent_Done,
     /*  166745 */   // Label 3795: @166745
     /*  166745 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(166808), // Rule ID 7730 //
     /*  166750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  166764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  166767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166806 */     GIR_RootConstrainSelectedInstOperands,
     /*  166807 */     // GIR_Coverage, 7730,
     /*  166807 */     GIR_EraseRootFromParent_Done,
     /*  166808 */   // Label 3796: @166808
     /*  166808 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(166871), // Rule ID 7731 //
     /*  166813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  166824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  166827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  166830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166852 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  166855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166869 */     GIR_RootConstrainSelectedInstOperands,
     /*  166870 */     // GIR_Coverage, 7731,
     /*  166870 */     GIR_EraseRootFromParent_Done,
     /*  166871 */   // Label 3797: @166871
     /*  166871 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(166934), // Rule ID 7734 //
     /*  166876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  166890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  166893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  166896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166915 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  166915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166932 */     GIR_RootConstrainSelectedInstOperands,
     /*  166933 */     // GIR_Coverage, 7734,
     /*  166933 */     GIR_EraseRootFromParent_Done,
     /*  166934 */   // Label 3798: @166934
     /*  166934 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(166997), // Rule ID 7735 //
     /*  166939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  166947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  166950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  166953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  166956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  166959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  166978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  166978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  166981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  166985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  166987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  166992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166995 */     GIR_RootConstrainSelectedInstOperands,
     /*  166996 */     // GIR_Coverage, 7735,
     /*  166996 */     GIR_EraseRootFromParent_Done,
     /*  166997 */   // Label 3799: @166997
     /*  166997 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(167060), // Rule ID 7738 //
     /*  167002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  167016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167041 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  167044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167058 */     GIR_RootConstrainSelectedInstOperands,
     /*  167059 */     // GIR_Coverage, 7738,
     /*  167059 */     GIR_EraseRootFromParent_Done,
     /*  167060 */   // Label 3800: @167060
     /*  167060 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(167123), // Rule ID 7739 //
     /*  167065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  167079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167104 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  167107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167121 */     GIR_RootConstrainSelectedInstOperands,
     /*  167122 */     // GIR_Coverage, 7739,
     /*  167122 */     GIR_EraseRootFromParent_Done,
     /*  167123 */   // Label 3801: @167123
     /*  167123 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(167186), // Rule ID 7742 //
     /*  167128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  167142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167167 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167184 */     GIR_RootConstrainSelectedInstOperands,
     /*  167185 */     // GIR_Coverage, 7742,
     /*  167185 */     GIR_EraseRootFromParent_Done,
     /*  167186 */   // Label 3802: @167186
     /*  167186 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(167249), // Rule ID 7743 //
     /*  167191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  167205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167230 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167247 */     GIR_RootConstrainSelectedInstOperands,
     /*  167248 */     // GIR_Coverage, 7743,
     /*  167248 */     GIR_EraseRootFromParent_Done,
     /*  167249 */   // Label 3803: @167249
     /*  167249 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(167312), // Rule ID 7746 //
     /*  167254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  167268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167293 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167310 */     GIR_RootConstrainSelectedInstOperands,
     /*  167311 */     // GIR_Coverage, 7746,
     /*  167311 */     GIR_EraseRootFromParent_Done,
     /*  167312 */   // Label 3804: @167312
     /*  167312 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(167375), // Rule ID 7747 //
     /*  167317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  167331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167356 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167373 */     GIR_RootConstrainSelectedInstOperands,
     /*  167374 */     // GIR_Coverage, 7747,
     /*  167374 */     GIR_EraseRootFromParent_Done,
     /*  167375 */   // Label 3805: @167375
     /*  167375 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(167438), // Rule ID 7750 //
     /*  167380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  167394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167419 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167436 */     GIR_RootConstrainSelectedInstOperands,
     /*  167437 */     // GIR_Coverage, 7750,
     /*  167437 */     GIR_EraseRootFromParent_Done,
     /*  167438 */   // Label 3806: @167438
     /*  167438 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(167501), // Rule ID 7751 //
     /*  167443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  167457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167482 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  167485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167499 */     GIR_RootConstrainSelectedInstOperands,
     /*  167500 */     // GIR_Coverage, 7751,
     /*  167500 */     GIR_EraseRootFromParent_Done,
     /*  167501 */   // Label 3807: @167501
     /*  167501 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(167564), // Rule ID 7754 //
     /*  167506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  167520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167562 */     GIR_RootConstrainSelectedInstOperands,
     /*  167563 */     // GIR_Coverage, 7754,
     /*  167563 */     GIR_EraseRootFromParent_Done,
     /*  167564 */   // Label 3808: @167564
     /*  167564 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(167627), // Rule ID 7755 //
     /*  167569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  167580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  167583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167625 */     GIR_RootConstrainSelectedInstOperands,
     /*  167626 */     // GIR_Coverage, 7755,
     /*  167626 */     GIR_EraseRootFromParent_Done,
     /*  167627 */   // Label 3809: @167627
     /*  167627 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(167690), // Rule ID 7758 //
     /*  167632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  167646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167671 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  167671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167688 */     GIR_RootConstrainSelectedInstOperands,
     /*  167689 */     // GIR_Coverage, 7758,
     /*  167689 */     GIR_EraseRootFromParent_Done,
     /*  167690 */   // Label 3810: @167690
     /*  167690 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(167753), // Rule ID 7759 //
     /*  167695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  167706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  167709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  167734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  167737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167751 */     GIR_RootConstrainSelectedInstOperands,
     /*  167752 */     // GIR_Coverage, 7759,
     /*  167752 */     GIR_EraseRootFromParent_Done,
     /*  167753 */   // Label 3811: @167753
     /*  167753 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(167816), // Rule ID 7762 //
     /*  167758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  167769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  167772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167797 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  167797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167814 */     GIR_RootConstrainSelectedInstOperands,
     /*  167815 */     // GIR_Coverage, 7762,
     /*  167815 */     GIR_EraseRootFromParent_Done,
     /*  167816 */   // Label 3812: @167816
     /*  167816 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(167879), // Rule ID 7763 //
     /*  167821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  167832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  167835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  167860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167877 */     GIR_RootConstrainSelectedInstOperands,
     /*  167878 */     // GIR_Coverage, 7763,
     /*  167878 */     GIR_EraseRootFromParent_Done,
     /*  167879 */   // Label 3813: @167879
     /*  167879 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(167942), // Rule ID 7766 //
     /*  167884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  167898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  167901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  167904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  167923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  167937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167940 */     GIR_RootConstrainSelectedInstOperands,
     /*  167941 */     // GIR_Coverage, 7766,
     /*  167941 */     GIR_EraseRootFromParent_Done,
     /*  167942 */   // Label 3814: @167942
     /*  167942 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(168005), // Rule ID 7767 //
     /*  167947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  167955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  167958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  167961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  167964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  167967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  167986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  167986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  167989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  167993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  167995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168003 */     GIR_RootConstrainSelectedInstOperands,
     /*  168004 */     // GIR_Coverage, 7767,
     /*  168004 */     GIR_EraseRootFromParent_Done,
     /*  168005 */   // Label 3815: @168005
     /*  168005 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(168068), // Rule ID 7770 //
     /*  168010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  168021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  168024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168049 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  168049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168066 */     GIR_RootConstrainSelectedInstOperands,
     /*  168067 */     // GIR_Coverage, 7770,
     /*  168067 */     GIR_EraseRootFromParent_Done,
     /*  168068 */   // Label 3816: @168068
     /*  168068 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(168131), // Rule ID 7771 //
     /*  168073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  168084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  168087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  168112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  168129 */     GIR_RootConstrainSelectedInstOperands,
     /*  168130 */     // GIR_Coverage, 7771,
     /*  168130 */     GIR_EraseRootFromParent_Done,
     /*  168131 */   // Label 3817: @168131
     /*  168131 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(168194), // Rule ID 7774 //
     /*  168136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  168139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  168147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  168150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168175 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  168175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  168192 */     GIR_RootConstrainSelectedInstOperands,
     /*  168193 */     // GIR_Coverage, 7774,
     /*  168193 */     GIR_EraseRootFromParent_Done,
     /*  168194 */   // Label 3818: @168194
     /*  168194 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(168257), // Rule ID 7775 //
     /*  168199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  168202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  168210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  168213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168238 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11078:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  168238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  168241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  168255 */     GIR_RootConstrainSelectedInstOperands,
     /*  168256 */     // GIR_Coverage, 7775,
     /*  168256 */     GIR_EraseRootFromParent_Done,
     /*  168257 */   // Label 3819: @168257
     /*  168257 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(168320), // Rule ID 7778 //
     /*  168262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  168276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168301 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168318 */     GIR_RootConstrainSelectedInstOperands,
     /*  168319 */     // GIR_Coverage, 7778,
     /*  168319 */     GIR_EraseRootFromParent_Done,
     /*  168320 */   // Label 3820: @168320
     /*  168320 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(168383), // Rule ID 7779 //
     /*  168325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  168339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168381 */     GIR_RootConstrainSelectedInstOperands,
     /*  168382 */     // GIR_Coverage, 7779,
     /*  168382 */     GIR_EraseRootFromParent_Done,
     /*  168383 */   // Label 3821: @168383
     /*  168383 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(168446), // Rule ID 7782 //
     /*  168388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  168402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168427 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168444 */     GIR_RootConstrainSelectedInstOperands,
     /*  168445 */     // GIR_Coverage, 7782,
     /*  168445 */     GIR_EraseRootFromParent_Done,
     /*  168446 */   // Label 3822: @168446
     /*  168446 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(168509), // Rule ID 7783 //
     /*  168451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  168465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168490 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168507 */     GIR_RootConstrainSelectedInstOperands,
     /*  168508 */     // GIR_Coverage, 7783,
     /*  168508 */     GIR_EraseRootFromParent_Done,
     /*  168509 */   // Label 3823: @168509
     /*  168509 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(168572), // Rule ID 7786 //
     /*  168514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  168525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  168528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168553 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  168553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168570 */     GIR_RootConstrainSelectedInstOperands,
     /*  168571 */     // GIR_Coverage, 7786,
     /*  168571 */     GIR_EraseRootFromParent_Done,
     /*  168572 */   // Label 3824: @168572
     /*  168572 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(168635), // Rule ID 7787 //
     /*  168577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  168588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  168591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168616 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  168616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168633 */     GIR_RootConstrainSelectedInstOperands,
     /*  168634 */     // GIR_Coverage, 7787,
     /*  168634 */     GIR_EraseRootFromParent_Done,
     /*  168635 */   // Label 3825: @168635
     /*  168635 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(168698), // Rule ID 7790 //
     /*  168640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  168651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  168654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168679 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168696 */     GIR_RootConstrainSelectedInstOperands,
     /*  168697 */     // GIR_Coverage, 7790,
     /*  168697 */     GIR_EraseRootFromParent_Done,
     /*  168698 */   // Label 3826: @168698
     /*  168698 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(168761), // Rule ID 7791 //
     /*  168703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  168714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  168717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  168731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168742 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  168745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168759 */     GIR_RootConstrainSelectedInstOperands,
     /*  168760 */     // GIR_Coverage, 7791,
     /*  168760 */     GIR_EraseRootFromParent_Done,
     /*  168761 */   // Label 3827: @168761
     /*  168761 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(168824), // Rule ID 7794 //
     /*  168766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  168780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168805 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168822 */     GIR_RootConstrainSelectedInstOperands,
     /*  168823 */     // GIR_Coverage, 7794,
     /*  168823 */     GIR_EraseRootFromParent_Done,
     /*  168824 */   // Label 3828: @168824
     /*  168824 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(168887), // Rule ID 7795 //
     /*  168829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  168840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  168843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  168857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  168871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168885 */     GIR_RootConstrainSelectedInstOperands,
     /*  168886 */     // GIR_Coverage, 7795,
     /*  168886 */     GIR_EraseRootFromParent_Done,
     /*  168887 */   // Label 3829: @168887
     /*  168887 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(168950), // Rule ID 7798 //
     /*  168892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  168906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  168909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  168912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168931 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  168931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  168938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  168940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  168945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  168948 */     GIR_RootConstrainSelectedInstOperands,
     /*  168949 */     // GIR_Coverage, 7798,
     /*  168949 */     GIR_EraseRootFromParent_Done,
     /*  168950 */   // Label 3830: @168950
     /*  168950 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(169013), // Rule ID 7799 //
     /*  168955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  168963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  168966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  168969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  168972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  168975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  168979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  168994 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  168994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  168997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  169011 */     GIR_RootConstrainSelectedInstOperands,
     /*  169012 */     // GIR_Coverage, 7799,
     /*  169012 */     GIR_EraseRootFromParent_Done,
     /*  169013 */   // Label 3831: @169013
     /*  169013 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(169076), // Rule ID 7802 //
     /*  169018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  169032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169074 */     GIR_RootConstrainSelectedInstOperands,
     /*  169075 */     // GIR_Coverage, 7802,
     /*  169075 */     GIR_EraseRootFromParent_Done,
     /*  169076 */   // Label 3832: @169076
     /*  169076 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(169139), // Rule ID 7803 //
     /*  169081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  169095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169137 */     GIR_RootConstrainSelectedInstOperands,
     /*  169138 */     // GIR_Coverage, 7803,
     /*  169138 */     GIR_EraseRootFromParent_Done,
     /*  169139 */   // Label 3833: @169139
     /*  169139 */   GIM_Try, /*On fail goto*//*Label 3834*/ GIMT_Encode4(169202), // Rule ID 7806 //
     /*  169144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  169158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169183 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169200 */     GIR_RootConstrainSelectedInstOperands,
     /*  169201 */     // GIR_Coverage, 7806,
     /*  169201 */     GIR_EraseRootFromParent_Done,
     /*  169202 */   // Label 3834: @169202
     /*  169202 */   GIM_Try, /*On fail goto*//*Label 3835*/ GIMT_Encode4(169265), // Rule ID 7807 //
     /*  169207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  169221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169246 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169263 */     GIR_RootConstrainSelectedInstOperands,
     /*  169264 */     // GIR_Coverage, 7807,
     /*  169264 */     GIR_EraseRootFromParent_Done,
     /*  169265 */   // Label 3835: @169265
     /*  169265 */   GIM_Try, /*On fail goto*//*Label 3836*/ GIMT_Encode4(169328), // Rule ID 7810 //
     /*  169270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  169281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  169284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  169309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169326 */     GIR_RootConstrainSelectedInstOperands,
     /*  169327 */     // GIR_Coverage, 7810,
     /*  169327 */     GIR_EraseRootFromParent_Done,
     /*  169328 */   // Label 3836: @169328
     /*  169328 */   GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(169391), // Rule ID 7811 //
     /*  169333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  169344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  169347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  169372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  169389 */     GIR_RootConstrainSelectedInstOperands,
     /*  169390 */     // GIR_Coverage, 7811,
     /*  169390 */     GIR_EraseRootFromParent_Done,
     /*  169391 */   // Label 3837: @169391
     /*  169391 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(169454), // Rule ID 7814 //
     /*  169396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  169410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169435 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169452 */     GIR_RootConstrainSelectedInstOperands,
     /*  169453 */     // GIR_Coverage, 7814,
     /*  169453 */     GIR_EraseRootFromParent_Done,
     /*  169454 */   // Label 3838: @169454
     /*  169454 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(169517), // Rule ID 7815 //
     /*  169459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  169473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  169487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11078:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  169501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169515 */     GIR_RootConstrainSelectedInstOperands,
     /*  169516 */     // GIR_Coverage, 7815,
     /*  169516 */     GIR_EraseRootFromParent_Done,
     /*  169517 */   // Label 3839: @169517
     /*  169517 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(169580), // Rule ID 7818 //
     /*  169522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  169536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169578 */     GIR_RootConstrainSelectedInstOperands,
     /*  169579 */     // GIR_Coverage, 7818,
     /*  169579 */     GIR_EraseRootFromParent_Done,
     /*  169580 */   // Label 3840: @169580
     /*  169580 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(169643), // Rule ID 7819 //
     /*  169585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  169596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  169599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  169613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169624 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11078:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  169627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169641 */     GIR_RootConstrainSelectedInstOperands,
     /*  169642 */     // GIR_Coverage, 7819,
     /*  169642 */     GIR_EraseRootFromParent_Done,
     /*  169643 */   // Label 3841: @169643
     /*  169643 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(169706), // Rule ID 7822 //
     /*  169648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  169651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  169662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  169665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  169687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169704 */     GIR_RootConstrainSelectedInstOperands,
     /*  169705 */     // GIR_Coverage, 7822,
     /*  169705 */     GIR_EraseRootFromParent_Done,
     /*  169706 */   // Label 3842: @169706
     /*  169706 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(169769), // Rule ID 7823 //
     /*  169711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  169714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  169719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  169722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  169725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  169728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  169739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169750 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11078:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  169750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  169753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  169767 */     GIR_RootConstrainSelectedInstOperands,
     /*  169768 */     // GIR_Coverage, 7823,
     /*  169768 */     GIR_EraseRootFromParent_Done,
     /*  169769 */   // Label 3843: @169769
     /*  169769 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(169832), // Rule ID 7914 //
     /*  169774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  169785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  169788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  169791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  169813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  169816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169830 */     GIR_RootConstrainSelectedInstOperands,
     /*  169831 */     // GIR_Coverage, 7914,
     /*  169831 */     GIR_EraseRootFromParent_Done,
     /*  169832 */   // Label 3844: @169832
     /*  169832 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(169895), // Rule ID 7915 //
     /*  169837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  169848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  169851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  169854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  169876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  169879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169893 */     GIR_RootConstrainSelectedInstOperands,
     /*  169894 */     // GIR_Coverage, 7915,
     /*  169894 */     GIR_EraseRootFromParent_Done,
     /*  169895 */   // Label 3845: @169895
     /*  169895 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(169958), // Rule ID 7918 //
     /*  169900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  169903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  169914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  169917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  169920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  169939 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  169939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  169942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  169946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  169948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  169953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  169956 */     GIR_RootConstrainSelectedInstOperands,
     /*  169957 */     // GIR_Coverage, 7918,
     /*  169957 */     GIR_EraseRootFromParent_Done,
     /*  169958 */   // Label 3846: @169958
     /*  169958 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(170021), // Rule ID 7919 //
     /*  169963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  169966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  169971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  169974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  169977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  169980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  169983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  169995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170002 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  170002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  170005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170019 */     GIR_RootConstrainSelectedInstOperands,
     /*  170020 */     // GIR_Coverage, 7919,
     /*  170020 */     GIR_EraseRootFromParent_Done,
     /*  170021 */   // Label 3847: @170021
     /*  170021 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(170084), // Rule ID 7922 //
     /*  170026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  170040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  170043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  170065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170082 */     GIR_RootConstrainSelectedInstOperands,
     /*  170083 */     // GIR_Coverage, 7922,
     /*  170083 */     GIR_EraseRootFromParent_Done,
     /*  170084 */   // Label 3848: @170084
     /*  170084 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(170147), // Rule ID 7923 //
     /*  170089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  170103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  170106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170128 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  170128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170145 */     GIR_RootConstrainSelectedInstOperands,
     /*  170146 */     // GIR_Coverage, 7923,
     /*  170146 */     GIR_EraseRootFromParent_Done,
     /*  170147 */   // Label 3849: @170147
     /*  170147 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(170210), // Rule ID 7926 //
     /*  170152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  170166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  170169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  170194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170208 */     GIR_RootConstrainSelectedInstOperands,
     /*  170209 */     // GIR_Coverage, 7926,
     /*  170209 */     GIR_EraseRootFromParent_Done,
     /*  170210 */   // Label 3850: @170210
     /*  170210 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(170273), // Rule ID 7927 //
     /*  170215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  170229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  170232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170254 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  170257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170271 */     GIR_RootConstrainSelectedInstOperands,
     /*  170272 */     // GIR_Coverage, 7927,
     /*  170272 */     GIR_EraseRootFromParent_Done,
     /*  170273 */   // Label 3851: @170273
     /*  170273 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(170336), // Rule ID 7930 //
     /*  170278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  170292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  170295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170317 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170334 */     GIR_RootConstrainSelectedInstOperands,
     /*  170335 */     // GIR_Coverage, 7930,
     /*  170335 */     GIR_EraseRootFromParent_Done,
     /*  170336 */   // Label 3852: @170336
     /*  170336 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(170399), // Rule ID 7931 //
     /*  170341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  170355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  170358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170380 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170397 */     GIR_RootConstrainSelectedInstOperands,
     /*  170398 */     // GIR_Coverage, 7931,
     /*  170398 */     GIR_EraseRootFromParent_Done,
     /*  170399 */   // Label 3853: @170399
     /*  170399 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(170462), // Rule ID 7934 //
     /*  170404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  170418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  170421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170443 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  170443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170460 */     GIR_RootConstrainSelectedInstOperands,
     /*  170461 */     // GIR_Coverage, 7934,
     /*  170461 */     GIR_EraseRootFromParent_Done,
     /*  170462 */   // Label 3854: @170462
     /*  170462 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(170525), // Rule ID 7935 //
     /*  170467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  170481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  170484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  170506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  170509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170523 */     GIR_RootConstrainSelectedInstOperands,
     /*  170524 */     // GIR_Coverage, 7935,
     /*  170524 */     GIR_EraseRootFromParent_Done,
     /*  170525 */   // Label 3855: @170525
     /*  170525 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(170588), // Rule ID 7938 //
     /*  170530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  170541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  170544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  170547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170569 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  170569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170586 */     GIR_RootConstrainSelectedInstOperands,
     /*  170587 */     // GIR_Coverage, 7938,
     /*  170587 */     GIR_EraseRootFromParent_Done,
     /*  170588 */   // Label 3856: @170588
     /*  170588 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(170651), // Rule ID 7939 //
     /*  170593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  170604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  170607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  170610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  170632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  170649 */     GIR_RootConstrainSelectedInstOperands,
     /*  170650 */     // GIR_Coverage, 7939,
     /*  170650 */     GIR_EraseRootFromParent_Done,
     /*  170651 */   // Label 3857: @170651
     /*  170651 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(170714), // Rule ID 7942 //
     /*  170656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  170670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  170673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  170695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170712 */     GIR_RootConstrainSelectedInstOperands,
     /*  170713 */     // GIR_Coverage, 7942,
     /*  170713 */     GIR_EraseRootFromParent_Done,
     /*  170714 */   // Label 3858: @170714
     /*  170714 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(170777), // Rule ID 7943 //
     /*  170719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  170730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  170733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  170736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  170758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  170775 */     GIR_RootConstrainSelectedInstOperands,
     /*  170776 */     // GIR_Coverage, 7943,
     /*  170776 */     GIR_EraseRootFromParent_Done,
     /*  170777 */   // Label 3859: @170777
     /*  170777 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(170840), // Rule ID 7946 //
     /*  170782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  170785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  170796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  170799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170821 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  170821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170838 */     GIR_RootConstrainSelectedInstOperands,
     /*  170839 */     // GIR_Coverage, 7946,
     /*  170839 */     GIR_EraseRootFromParent_Done,
     /*  170840 */   // Label 3860: @170840
     /*  170840 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(170903), // Rule ID 7947 //
     /*  170845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  170848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  170856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  170859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  170862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  170884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  170901 */     GIR_RootConstrainSelectedInstOperands,
     /*  170902 */     // GIR_Coverage, 7947,
     /*  170902 */     GIR_EraseRootFromParent_Done,
     /*  170903 */   // Label 3861: @170903
     /*  170903 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(170966), // Rule ID 7950 //
     /*  170908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  170911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  170922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  170925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  170928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  170947 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  170947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  170950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  170954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  170956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  170961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  170964 */     GIR_RootConstrainSelectedInstOperands,
     /*  170965 */     // GIR_Coverage, 7950,
     /*  170965 */     GIR_EraseRootFromParent_Done,
     /*  170966 */   // Label 3862: @170966
     /*  170966 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(171029), // Rule ID 7951 //
     /*  170971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  170974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  170979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  170982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  170985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  170988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  170991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  170999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  171010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  171013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  171027 */     GIR_RootConstrainSelectedInstOperands,
     /*  171028 */     // GIR_Coverage, 7951,
     /*  171028 */     GIR_EraseRootFromParent_Done,
     /*  171029 */   // Label 3863: @171029
     /*  171029 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(171092), // Rule ID 7954 //
     /*  171034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  171048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  171051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171090 */     GIR_RootConstrainSelectedInstOperands,
     /*  171091 */     // GIR_Coverage, 7954,
     /*  171091 */     GIR_EraseRootFromParent_Done,
     /*  171092 */   // Label 3864: @171092
     /*  171092 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(171155), // Rule ID 7955 //
     /*  171097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  171111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  171114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171136 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171153 */     GIR_RootConstrainSelectedInstOperands,
     /*  171154 */     // GIR_Coverage, 7955,
     /*  171154 */     GIR_EraseRootFromParent_Done,
     /*  171155 */   // Label 3865: @171155
     /*  171155 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(171218), // Rule ID 7958 //
     /*  171160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  171174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  171177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171199 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171216 */     GIR_RootConstrainSelectedInstOperands,
     /*  171217 */     // GIR_Coverage, 7958,
     /*  171217 */     GIR_EraseRootFromParent_Done,
     /*  171218 */   // Label 3866: @171218
     /*  171218 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(171281), // Rule ID 7959 //
     /*  171223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  171237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  171240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171262 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171279 */     GIR_RootConstrainSelectedInstOperands,
     /*  171280 */     // GIR_Coverage, 7959,
     /*  171280 */     GIR_EraseRootFromParent_Done,
     /*  171281 */   // Label 3867: @171281
     /*  171281 */   GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(171344), // Rule ID 7962 //
     /*  171286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  171297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  171300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  171303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171325 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  171325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171342 */     GIR_RootConstrainSelectedInstOperands,
     /*  171343 */     // GIR_Coverage, 7962,
     /*  171343 */     GIR_EraseRootFromParent_Done,
     /*  171344 */   // Label 3868: @171344
     /*  171344 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(171407), // Rule ID 7963 //
     /*  171349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  171360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  171363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  171366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171388 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  171388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  171405 */     GIR_RootConstrainSelectedInstOperands,
     /*  171406 */     // GIR_Coverage, 7963,
     /*  171406 */     GIR_EraseRootFromParent_Done,
     /*  171407 */   // Label 3869: @171407
     /*  171407 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(171470), // Rule ID 7966 //
     /*  171412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  171426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  171429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171451 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171468 */     GIR_RootConstrainSelectedInstOperands,
     /*  171469 */     // GIR_Coverage, 7966,
     /*  171469 */     GIR_EraseRootFromParent_Done,
     /*  171470 */   // Label 3870: @171470
     /*  171470 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(171533), // Rule ID 7967 //
     /*  171475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  171489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  171492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171514 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171531 */     GIR_RootConstrainSelectedInstOperands,
     /*  171532 */     // GIR_Coverage, 7967,
     /*  171532 */     GIR_EraseRootFromParent_Done,
     /*  171533 */   // Label 3871: @171533
     /*  171533 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(171596), // Rule ID 7970 //
     /*  171538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  171552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  171555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171577 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171594 */     GIR_RootConstrainSelectedInstOperands,
     /*  171595 */     // GIR_Coverage, 7970,
     /*  171595 */     GIR_EraseRootFromParent_Done,
     /*  171596 */   // Label 3872: @171596
     /*  171596 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(171659), // Rule ID 7971 //
     /*  171601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  171612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  171615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  171618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171640 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171657 */     GIR_RootConstrainSelectedInstOperands,
     /*  171658 */     // GIR_Coverage, 7971,
     /*  171658 */     GIR_EraseRootFromParent_Done,
     /*  171659 */   // Label 3873: @171659
     /*  171659 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(171722), // Rule ID 7974 //
     /*  171664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  171678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  171681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171703 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  171703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171720 */     GIR_RootConstrainSelectedInstOperands,
     /*  171721 */     // GIR_Coverage, 7974,
     /*  171721 */     GIR_EraseRootFromParent_Done,
     /*  171722 */   // Label 3874: @171722
     /*  171722 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(171785), // Rule ID 7975 //
     /*  171727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  171738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  171741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  171744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  171759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171766 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  171766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  171769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  171783 */     GIR_RootConstrainSelectedInstOperands,
     /*  171784 */     // GIR_Coverage, 7975,
     /*  171784 */     GIR_EraseRootFromParent_Done,
     /*  171785 */   // Label 3875: @171785
     /*  171785 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(171848), // Rule ID 7978 //
     /*  171790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  171801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  171804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  171807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171829 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  171829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171846 */     GIR_RootConstrainSelectedInstOperands,
     /*  171847 */     // GIR_Coverage, 7978,
     /*  171847 */     GIR_EraseRootFromParent_Done,
     /*  171848 */   // Label 3876: @171848
     /*  171848 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(171911), // Rule ID 7979 //
     /*  171853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  171864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  171867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  171870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  171885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171892 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  171892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  171895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171909 */     GIR_RootConstrainSelectedInstOperands,
     /*  171910 */     // GIR_Coverage, 7979,
     /*  171910 */     GIR_EraseRootFromParent_Done,
     /*  171911 */   // Label 3877: @171911
     /*  171911 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(171974), // Rule ID 7982 //
     /*  171916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  171919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  171930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  171933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  171936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  171940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  171948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  171955 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  171955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  171958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  171962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  171964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  171969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  171972 */     GIR_RootConstrainSelectedInstOperands,
     /*  171973 */     // GIR_Coverage, 7982,
     /*  171973 */     GIR_EraseRootFromParent_Done,
     /*  171974 */   // Label 3878: @171974
     /*  171974 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(172037), // Rule ID 7983 //
     /*  171979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  171982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  171987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  171990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  171993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  171996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  171999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  172018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  172021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172035 */     GIR_RootConstrainSelectedInstOperands,
     /*  172036 */     // GIR_Coverage, 7983,
     /*  172036 */     GIR_EraseRootFromParent_Done,
     /*  172037 */   // Label 3879: @172037
     /*  172037 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(172100), // Rule ID 7986 //
     /*  172042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  172053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  172056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  172059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172081 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  172081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172098 */     GIR_RootConstrainSelectedInstOperands,
     /*  172099 */     // GIR_Coverage, 7986,
     /*  172099 */     GIR_EraseRootFromParent_Done,
     /*  172100 */   // Label 3880: @172100
     /*  172100 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(172163), // Rule ID 7987 //
     /*  172105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  172116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  172119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  172122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172144 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  172144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  172161 */     GIR_RootConstrainSelectedInstOperands,
     /*  172162 */     // GIR_Coverage, 7987,
     /*  172162 */     GIR_EraseRootFromParent_Done,
     /*  172163 */   // Label 3881: @172163
     /*  172163 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(172226), // Rule ID 7990 //
     /*  172168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  172182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  172185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172207 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  172210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172224 */     GIR_RootConstrainSelectedInstOperands,
     /*  172225 */     // GIR_Coverage, 7990,
     /*  172225 */     GIR_EraseRootFromParent_Done,
     /*  172226 */   // Label 3882: @172226
     /*  172226 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(172289), // Rule ID 7991 //
     /*  172231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  172245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  172248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  172263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172270 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  172273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172287 */     GIR_RootConstrainSelectedInstOperands,
     /*  172288 */     // GIR_Coverage, 7991,
     /*  172288 */     GIR_EraseRootFromParent_Done,
     /*  172289 */   // Label 3883: @172289
     /*  172289 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(172352), // Rule ID 7994 //
     /*  172294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  172308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  172311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172333 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  172336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172350 */     GIR_RootConstrainSelectedInstOperands,
     /*  172351 */     // GIR_Coverage, 7994,
     /*  172351 */     GIR_EraseRootFromParent_Done,
     /*  172352 */   // Label 3884: @172352
     /*  172352 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(172415), // Rule ID 7995 //
     /*  172357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  172371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  172374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  172389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  172399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172413 */     GIR_RootConstrainSelectedInstOperands,
     /*  172414 */     // GIR_Coverage, 7995,
     /*  172414 */     GIR_EraseRootFromParent_Done,
     /*  172415 */   // Label 3885: @172415
     /*  172415 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(172478), // Rule ID 7998 //
     /*  172420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  172423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  172431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  172434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  172437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  172459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172476 */     GIR_RootConstrainSelectedInstOperands,
     /*  172477 */     // GIR_Coverage, 7998,
     /*  172477 */     GIR_EraseRootFromParent_Done,
     /*  172478 */   // Label 3886: @172478
     /*  172478 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(172541), // Rule ID 7999 //
     /*  172483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  172486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  172494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  172497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  172500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  172515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  172522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  172525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  172539 */     GIR_RootConstrainSelectedInstOperands,
     /*  172540 */     // GIR_Coverage, 7999,
     /*  172540 */     GIR_EraseRootFromParent_Done,
     /*  172541 */   // Label 3887: @172541
     /*  172541 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(172604), // Rule ID 8002 //
     /*  172546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  172560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172585 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  172588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172602 */     GIR_RootConstrainSelectedInstOperands,
     /*  172603 */     // GIR_Coverage, 8002,
     /*  172603 */     GIR_EraseRootFromParent_Done,
     /*  172604 */   // Label 3888: @172604
     /*  172604 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(172667), // Rule ID 8003 //
     /*  172609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  172623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172648 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  172651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172665 */     GIR_RootConstrainSelectedInstOperands,
     /*  172666 */     // GIR_Coverage, 8003,
     /*  172666 */     GIR_EraseRootFromParent_Done,
     /*  172667 */   // Label 3889: @172667
     /*  172667 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(172730), // Rule ID 8006 //
     /*  172672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  172686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172711 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172728 */     GIR_RootConstrainSelectedInstOperands,
     /*  172729 */     // GIR_Coverage, 8006,
     /*  172729 */     GIR_EraseRootFromParent_Done,
     /*  172730 */   // Label 3890: @172730
     /*  172730 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(172793), // Rule ID 8007 //
     /*  172735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  172746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  172749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172774 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172791 */     GIR_RootConstrainSelectedInstOperands,
     /*  172792 */     // GIR_Coverage, 8007,
     /*  172792 */     GIR_EraseRootFromParent_Done,
     /*  172793 */   // Label 3891: @172793
     /*  172793 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(172856), // Rule ID 8010 //
     /*  172798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  172812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172837 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  172837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  172840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172854 */     GIR_RootConstrainSelectedInstOperands,
     /*  172855 */     // GIR_Coverage, 8010,
     /*  172855 */     GIR_EraseRootFromParent_Done,
     /*  172856 */   // Label 3892: @172856
     /*  172856 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(172919), // Rule ID 8011 //
     /*  172861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  172872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  172875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  172878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  172881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172900 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  172900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  172903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  172917 */     GIR_RootConstrainSelectedInstOperands,
     /*  172918 */     // GIR_Coverage, 8011,
     /*  172918 */     GIR_EraseRootFromParent_Done,
     /*  172919 */   // Label 3893: @172919
     /*  172919 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(172982), // Rule ID 8014 //
     /*  172924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  172927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  172938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  172941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  172944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  172952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  172963 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  172963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  172966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  172968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  172970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  172972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  172977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  172980 */     GIR_RootConstrainSelectedInstOperands,
     /*  172981 */     // GIR_Coverage, 8014,
     /*  172981 */     GIR_EraseRootFromParent_Done,
     /*  172982 */   // Label 3894: @172982
     /*  172982 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(173045), // Rule ID 8015 //
     /*  172987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  172990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  172995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  172998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  173001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173026 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  173026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  173029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173043 */     GIR_RootConstrainSelectedInstOperands,
     /*  173044 */     // GIR_Coverage, 8015,
     /*  173044 */     GIR_EraseRootFromParent_Done,
     /*  173045 */   // Label 3895: @173045
     /*  173045 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(173108), // Rule ID 8018 //
     /*  173050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  173064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173089 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  173089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173106 */     GIR_RootConstrainSelectedInstOperands,
     /*  173107 */     // GIR_Coverage, 8018,
     /*  173107 */     GIR_EraseRootFromParent_Done,
     /*  173108 */   // Label 3896: @173108
     /*  173108 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(173171), // Rule ID 8019 //
     /*  173113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  173127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173152 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  173152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173169 */     GIR_RootConstrainSelectedInstOperands,
     /*  173170 */     // GIR_Coverage, 8019,
     /*  173170 */     GIR_EraseRootFromParent_Done,
     /*  173171 */   // Label 3897: @173171
     /*  173171 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(173234), // Rule ID 8022 //
     /*  173176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  173190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  173215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173232 */     GIR_RootConstrainSelectedInstOperands,
     /*  173233 */     // GIR_Coverage, 8022,
     /*  173233 */     GIR_EraseRootFromParent_Done,
     /*  173234 */   // Label 3898: @173234
     /*  173234 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(173297), // Rule ID 8023 //
     /*  173239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  173253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  173278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  173281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173295 */     GIR_RootConstrainSelectedInstOperands,
     /*  173296 */     // GIR_Coverage, 8023,
     /*  173296 */     GIR_EraseRootFromParent_Done,
     /*  173297 */   // Label 3899: @173297
     /*  173297 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(173360), // Rule ID 8026 //
     /*  173302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  173313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  173316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173341 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173358 */     GIR_RootConstrainSelectedInstOperands,
     /*  173359 */     // GIR_Coverage, 8026,
     /*  173359 */     GIR_EraseRootFromParent_Done,
     /*  173360 */   // Label 3900: @173360
     /*  173360 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(173423), // Rule ID 8027 //
     /*  173365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  173376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  173379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  173404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173421 */     GIR_RootConstrainSelectedInstOperands,
     /*  173422 */     // GIR_Coverage, 8027,
     /*  173422 */     GIR_EraseRootFromParent_Done,
     /*  173423 */   // Label 3901: @173423
     /*  173423 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(173486), // Rule ID 8030 //
     /*  173428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  173439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  173442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  173467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173484 */     GIR_RootConstrainSelectedInstOperands,
     /*  173485 */     // GIR_Coverage, 8030,
     /*  173485 */     GIR_EraseRootFromParent_Done,
     /*  173486 */   // Label 3902: @173486
     /*  173486 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(173549), // Rule ID 8031 //
     /*  173491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  173502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  173505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  173530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  173547 */     GIR_RootConstrainSelectedInstOperands,
     /*  173548 */     // GIR_Coverage, 8031,
     /*  173548 */     GIR_EraseRootFromParent_Done,
     /*  173549 */   // Label 3903: @173549
     /*  173549 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(173612), // Rule ID 8034 //
     /*  173554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  173568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173593 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  173593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173610 */     GIR_RootConstrainSelectedInstOperands,
     /*  173611 */     // GIR_Coverage, 8034,
     /*  173611 */     GIR_EraseRootFromParent_Done,
     /*  173612 */   // Label 3904: @173612
     /*  173612 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(173675), // Rule ID 8035 //
     /*  173617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  173628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  173631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  173656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  173673 */     GIR_RootConstrainSelectedInstOperands,
     /*  173674 */     // GIR_Coverage, 8035,
     /*  173674 */     GIR_EraseRootFromParent_Done,
     /*  173675 */   // Label 3905: @173675
     /*  173675 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(173738), // Rule ID 8038 //
     /*  173680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  173683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  173694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173719 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  173719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173736 */     GIR_RootConstrainSelectedInstOperands,
     /*  173737 */     // GIR_Coverage, 8038,
     /*  173737 */     GIR_EraseRootFromParent_Done,
     /*  173738 */   // Label 3906: @173738
     /*  173738 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(173801), // Rule ID 8039 //
     /*  173743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  173746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  173754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  173757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  173782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  173785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  173799 */     GIR_RootConstrainSelectedInstOperands,
     /*  173800 */     // GIR_Coverage, 8039,
     /*  173800 */     GIR_EraseRootFromParent_Done,
     /*  173801 */   // Label 3907: @173801
     /*  173801 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(173864), // Rule ID 8042 //
     /*  173806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  173817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  173820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173845 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  173848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173862 */     GIR_RootConstrainSelectedInstOperands,
     /*  173863 */     // GIR_Coverage, 8042,
     /*  173863 */     GIR_EraseRootFromParent_Done,
     /*  173864 */   // Label 3908: @173864
     /*  173864 */   GIM_Try, /*On fail goto*//*Label 3909*/ GIMT_Encode4(173927), // Rule ID 8043 //
     /*  173869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  173880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  173883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  173886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  173889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  173897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  173908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  173911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173925 */     GIR_RootConstrainSelectedInstOperands,
     /*  173926 */     // GIR_Coverage, 8043,
     /*  173926 */     GIR_EraseRootFromParent_Done,
     /*  173927 */   // Label 3909: @173927
     /*  173927 */   GIM_Try, /*On fail goto*//*Label 3910*/ GIMT_Encode4(173990), // Rule ID 8046 //
     /*  173932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  173935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  173940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  173943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  173946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  173949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  173952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  173956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  173960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  173971 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  173971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  173974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  173976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  173978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  173980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  173985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  173988 */     GIR_RootConstrainSelectedInstOperands,
     /*  173989 */     // GIR_Coverage, 8046,
     /*  173989 */     GIR_EraseRootFromParent_Done,
     /*  173990 */   // Label 3910: @173990
     /*  173990 */   GIM_Try, /*On fail goto*//*Label 3911*/ GIMT_Encode4(174053), // Rule ID 8047 //
     /*  173995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  173998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  174006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  174009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174034 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  174034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174051 */     GIR_RootConstrainSelectedInstOperands,
     /*  174052 */     // GIR_Coverage, 8047,
     /*  174052 */     GIR_EraseRootFromParent_Done,
     /*  174053 */   // Label 3911: @174053
     /*  174053 */   GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(174116), // Rule ID 8050 //
     /*  174058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  174069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  174072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174097 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  174097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174114 */     GIR_RootConstrainSelectedInstOperands,
     /*  174115 */     // GIR_Coverage, 8050,
     /*  174115 */     GIR_EraseRootFromParent_Done,
     /*  174116 */   // Label 3912: @174116
     /*  174116 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(174179), // Rule ID 8051 //
     /*  174121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  174132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  174135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174160 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  174160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  174177 */     GIR_RootConstrainSelectedInstOperands,
     /*  174178 */     // GIR_Coverage, 8051,
     /*  174178 */     GIR_EraseRootFromParent_Done,
     /*  174179 */   // Label 3913: @174179
     /*  174179 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(174242), // Rule ID 8054 //
     /*  174184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  174198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174240 */     GIR_RootConstrainSelectedInstOperands,
     /*  174241 */     // GIR_Coverage, 8054,
     /*  174241 */     GIR_EraseRootFromParent_Done,
     /*  174242 */   // Label 3914: @174242
     /*  174242 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(174305), // Rule ID 8055 //
     /*  174247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  174261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174286 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174303 */     GIR_RootConstrainSelectedInstOperands,
     /*  174304 */     // GIR_Coverage, 8055,
     /*  174304 */     GIR_EraseRootFromParent_Done,
     /*  174305 */   // Label 3915: @174305
     /*  174305 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(174368), // Rule ID 8058 //
     /*  174310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  174324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174349 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174366 */     GIR_RootConstrainSelectedInstOperands,
     /*  174367 */     // GIR_Coverage, 8058,
     /*  174367 */     GIR_EraseRootFromParent_Done,
     /*  174368 */   // Label 3916: @174368
     /*  174368 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(174431), // Rule ID 8059 //
     /*  174373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  174387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174412 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174429 */     GIR_RootConstrainSelectedInstOperands,
     /*  174430 */     // GIR_Coverage, 8059,
     /*  174430 */     GIR_EraseRootFromParent_Done,
     /*  174431 */   // Label 3917: @174431
     /*  174431 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(174494), // Rule ID 8062 //
     /*  174436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  174447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  174450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174475 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  174475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174492 */     GIR_RootConstrainSelectedInstOperands,
     /*  174493 */     // GIR_Coverage, 8062,
     /*  174493 */     GIR_EraseRootFromParent_Done,
     /*  174494 */   // Label 3918: @174494
     /*  174494 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(174557), // Rule ID 8063 //
     /*  174499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  174510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  174513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174538 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  174538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  174555 */     GIR_RootConstrainSelectedInstOperands,
     /*  174556 */     // GIR_Coverage, 8063,
     /*  174556 */     GIR_EraseRootFromParent_Done,
     /*  174557 */   // Label 3919: @174557
     /*  174557 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(174620), // Rule ID 8066 //
     /*  174562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  174573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  174576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174601 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174618 */     GIR_RootConstrainSelectedInstOperands,
     /*  174619 */     // GIR_Coverage, 8066,
     /*  174619 */     GIR_EraseRootFromParent_Done,
     /*  174620 */   // Label 3920: @174620
     /*  174620 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(174683), // Rule ID 8067 //
     /*  174625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  174636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  174639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174681 */     GIR_RootConstrainSelectedInstOperands,
     /*  174682 */     // GIR_Coverage, 8067,
     /*  174682 */     GIR_EraseRootFromParent_Done,
     /*  174683 */   // Label 3921: @174683
     /*  174683 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(174746), // Rule ID 8070 //
     /*  174688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  174702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174727 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174744 */     GIR_RootConstrainSelectedInstOperands,
     /*  174745 */     // GIR_Coverage, 8070,
     /*  174745 */     GIR_EraseRootFromParent_Done,
     /*  174746 */   // Label 3922: @174746
     /*  174746 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(174809), // Rule ID 8071 //
     /*  174751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  174762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  174765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  174779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  174793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174807 */     GIR_RootConstrainSelectedInstOperands,
     /*  174808 */     // GIR_Coverage, 8071,
     /*  174808 */     GIR_EraseRootFromParent_Done,
     /*  174809 */   // Label 3923: @174809
     /*  174809 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(174872), // Rule ID 8074 //
     /*  174814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  174817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  174828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174853 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  174853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174870 */     GIR_RootConstrainSelectedInstOperands,
     /*  174871 */     // GIR_Coverage, 8074,
     /*  174871 */     GIR_EraseRootFromParent_Done,
     /*  174872 */   // Label 3924: @174872
     /*  174872 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(174935), // Rule ID 8075 //
     /*  174877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  174880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  174888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  174891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  174894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  174897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  174905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174916 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  174916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  174919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  174933 */     GIR_RootConstrainSelectedInstOperands,
     /*  174934 */     // GIR_Coverage, 8075,
     /*  174934 */     GIR_EraseRootFromParent_Done,
     /*  174935 */   // Label 3925: @174935
     /*  174935 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(174998), // Rule ID 8078 //
     /*  174940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  174943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  174948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  174951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  174954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  174957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  174960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  174964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  174968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  174979 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  174979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  174982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  174984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  174986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  174988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  174993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  174996 */     GIR_RootConstrainSelectedInstOperands,
     /*  174997 */     // GIR_Coverage, 8078,
     /*  174997 */     GIR_EraseRootFromParent_Done,
     /*  174998 */   // Label 3926: @174998
     /*  174998 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(175061), // Rule ID 8079 //
     /*  175003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  175006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  175017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  175031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  175045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175059 */     GIR_RootConstrainSelectedInstOperands,
     /*  175060 */     // GIR_Coverage, 8079,
     /*  175060 */     GIR_EraseRootFromParent_Done,
     /*  175061 */   // Label 3927: @175061
     /*  175061 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(175124), // Rule ID 8082 //
     /*  175066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  175069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  175080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  175083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  175094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175105 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  175105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  175108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175122 */     GIR_RootConstrainSelectedInstOperands,
     /*  175123 */     // GIR_Coverage, 8082,
     /*  175123 */     GIR_EraseRootFromParent_Done,
     /*  175124 */   // Label 3928: @175124
     /*  175124 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(175187), // Rule ID 8083 //
     /*  175129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  175132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  175143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  175157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11099:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  175171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175185 */     GIR_RootConstrainSelectedInstOperands,
     /*  175186 */     // GIR_Coverage, 8083,
     /*  175186 */     GIR_EraseRootFromParent_Done,
     /*  175187 */   // Label 3929: @175187
     /*  175187 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(175250), // Rule ID 8086 //
     /*  175192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  175195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  175203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  175206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  175209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175231 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  175231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  175234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175248 */     GIR_RootConstrainSelectedInstOperands,
     /*  175249 */     // GIR_Coverage, 8086,
     /*  175249 */     GIR_EraseRootFromParent_Done,
     /*  175250 */   // Label 3930: @175250
     /*  175250 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(175313), // Rule ID 8087 //
     /*  175255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  175258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  175263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  175266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  175269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  175272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  175283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175294 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11099:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  175294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  175297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  175311 */     GIR_RootConstrainSelectedInstOperands,
     /*  175312 */     // GIR_Coverage, 8087,
     /*  175312 */     GIR_EraseRootFromParent_Done,
     /*  175313 */   // Label 3931: @175313
     /*  175313 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(175376), // Rule ID 8178 //
     /*  175318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  175332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  175335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175357 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  175360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175374 */     GIR_RootConstrainSelectedInstOperands,
     /*  175375 */     // GIR_Coverage, 8178,
     /*  175375 */     GIR_EraseRootFromParent_Done,
     /*  175376 */   // Label 3932: @175376
     /*  175376 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(175439), // Rule ID 8179 //
     /*  175381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  175395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  175398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  175423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175437 */     GIR_RootConstrainSelectedInstOperands,
     /*  175438 */     // GIR_Coverage, 8179,
     /*  175438 */     GIR_EraseRootFromParent_Done,
     /*  175439 */   // Label 3933: @175439
     /*  175439 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(175502), // Rule ID 8182 //
     /*  175444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  175458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  175461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175483 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175500 */     GIR_RootConstrainSelectedInstOperands,
     /*  175501 */     // GIR_Coverage, 8182,
     /*  175501 */     GIR_EraseRootFromParent_Done,
     /*  175502 */   // Label 3934: @175502
     /*  175502 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(175565), // Rule ID 8183 //
     /*  175507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  175521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  175524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175546 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175563 */     GIR_RootConstrainSelectedInstOperands,
     /*  175564 */     // GIR_Coverage, 8183,
     /*  175564 */     GIR_EraseRootFromParent_Done,
     /*  175565 */   // Label 3935: @175565
     /*  175565 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(175628), // Rule ID 8186 //
     /*  175570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  175584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  175587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175609 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  175609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175626 */     GIR_RootConstrainSelectedInstOperands,
     /*  175627 */     // GIR_Coverage, 8186,
     /*  175627 */     GIR_EraseRootFromParent_Done,
     /*  175628 */   // Label 3936: @175628
     /*  175628 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(175691), // Rule ID 8187 //
     /*  175633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  175644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  175647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  175650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175672 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  175672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  175689 */     GIR_RootConstrainSelectedInstOperands,
     /*  175690 */     // GIR_Coverage, 8187,
     /*  175690 */     GIR_EraseRootFromParent_Done,
     /*  175691 */   // Label 3937: @175691
     /*  175691 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(175754), // Rule ID 8190 //
     /*  175696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  175710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  175713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175735 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  175735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175752 */     GIR_RootConstrainSelectedInstOperands,
     /*  175753 */     // GIR_Coverage, 8190,
     /*  175753 */     GIR_EraseRootFromParent_Done,
     /*  175754 */   // Label 3938: @175754
     /*  175754 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(175817), // Rule ID 8191 //
     /*  175759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  175773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  175776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175798 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  175798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  175801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175815 */     GIR_RootConstrainSelectedInstOperands,
     /*  175816 */     // GIR_Coverage, 8191,
     /*  175816 */     GIR_EraseRootFromParent_Done,
     /*  175817 */   // Label 3939: @175817
     /*  175817 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(175880), // Rule ID 8194 //
     /*  175822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  175836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  175839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175861 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  175861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175878 */     GIR_RootConstrainSelectedInstOperands,
     /*  175879 */     // GIR_Coverage, 8194,
     /*  175879 */     GIR_EraseRootFromParent_Done,
     /*  175880 */   // Label 3940: @175880
     /*  175880 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(175943), // Rule ID 8195 //
     /*  175885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  175888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  175896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  175899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  175902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  175905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  175924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  175938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  175941 */     GIR_RootConstrainSelectedInstOperands,
     /*  175942 */     // GIR_Coverage, 8195,
     /*  175942 */     GIR_EraseRootFromParent_Done,
     /*  175943 */   // Label 3941: @175943
     /*  175943 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(176006), // Rule ID 8198 //
     /*  175948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  175951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  175956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  175959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  175962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  175965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  175968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  175980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  175987 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  175987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  175990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  175992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  175994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  175996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176004 */     GIR_RootConstrainSelectedInstOperands,
     /*  176005 */     // GIR_Coverage, 8198,
     /*  176005 */     GIR_EraseRootFromParent_Done,
     /*  176006 */   // Label 3942: @176006
     /*  176006 */   GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(176069), // Rule ID 8199 //
     /*  176011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  176022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  176025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  176028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  176050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  176053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176067 */     GIR_RootConstrainSelectedInstOperands,
     /*  176068 */     // GIR_Coverage, 8199,
     /*  176068 */     GIR_EraseRootFromParent_Done,
     /*  176069 */   // Label 3943: @176069
     /*  176069 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(176132), // Rule ID 8202 //
     /*  176074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  176088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  176091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176130 */     GIR_RootConstrainSelectedInstOperands,
     /*  176131 */     // GIR_Coverage, 8202,
     /*  176131 */     GIR_EraseRootFromParent_Done,
     /*  176132 */   // Label 3944: @176132
     /*  176132 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(176195), // Rule ID 8203 //
     /*  176137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  176151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  176154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176193 */     GIR_RootConstrainSelectedInstOperands,
     /*  176194 */     // GIR_Coverage, 8203,
     /*  176194 */     GIR_EraseRootFromParent_Done,
     /*  176195 */   // Label 3945: @176195
     /*  176195 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(176258), // Rule ID 8206 //
     /*  176200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  176211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  176214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  176217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  176239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176256 */     GIR_RootConstrainSelectedInstOperands,
     /*  176257 */     // GIR_Coverage, 8206,
     /*  176257 */     GIR_EraseRootFromParent_Done,
     /*  176258 */   // Label 3946: @176258
     /*  176258 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(176321), // Rule ID 8207 //
     /*  176263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  176274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  176277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  176280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  176302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176319 */     GIR_RootConstrainSelectedInstOperands,
     /*  176320 */     // GIR_Coverage, 8207,
     /*  176320 */     GIR_EraseRootFromParent_Done,
     /*  176321 */   // Label 3947: @176321
     /*  176321 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(176384), // Rule ID 8210 //
     /*  176326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  176337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  176340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  176343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176365 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  176365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176382 */     GIR_RootConstrainSelectedInstOperands,
     /*  176383 */     // GIR_Coverage, 8210,
     /*  176383 */     GIR_EraseRootFromParent_Done,
     /*  176384 */   // Label 3948: @176384
     /*  176384 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(176447), // Rule ID 8211 //
     /*  176389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  176400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  176403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  176406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  176428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176445 */     GIR_RootConstrainSelectedInstOperands,
     /*  176446 */     // GIR_Coverage, 8211,
     /*  176446 */     GIR_EraseRootFromParent_Done,
     /*  176447 */   // Label 3949: @176447
     /*  176447 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(176510), // Rule ID 8214 //
     /*  176452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  176463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  176466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  176469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176491 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  176491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176508 */     GIR_RootConstrainSelectedInstOperands,
     /*  176509 */     // GIR_Coverage, 8214,
     /*  176509 */     GIR_EraseRootFromParent_Done,
     /*  176510 */   // Label 3950: @176510
     /*  176510 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(176573), // Rule ID 8215 //
     /*  176515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  176526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  176529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  176532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  176554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  176557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176571 */     GIR_RootConstrainSelectedInstOperands,
     /*  176572 */     // GIR_Coverage, 8215,
     /*  176572 */     GIR_EraseRootFromParent_Done,
     /*  176573 */   // Label 3951: @176573
     /*  176573 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(176636), // Rule ID 8218 //
     /*  176578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  176589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  176592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  176595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176617 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176634 */     GIR_RootConstrainSelectedInstOperands,
     /*  176635 */     // GIR_Coverage, 8218,
     /*  176635 */     GIR_EraseRootFromParent_Done,
     /*  176636 */   // Label 3952: @176636
     /*  176636 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(176699), // Rule ID 8219 //
     /*  176641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  176652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  176655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  176658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176697 */     GIR_RootConstrainSelectedInstOperands,
     /*  176698 */     // GIR_Coverage, 8219,
     /*  176698 */     GIR_EraseRootFromParent_Done,
     /*  176699 */   // Label 3953: @176699
     /*  176699 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(176762), // Rule ID 8222 //
     /*  176704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  176715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  176718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  176721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176743 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  176746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176760 */     GIR_RootConstrainSelectedInstOperands,
     /*  176761 */     // GIR_Coverage, 8222,
     /*  176761 */     GIR_EraseRootFromParent_Done,
     /*  176762 */   // Label 3954: @176762
     /*  176762 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(176825), // Rule ID 8223 //
     /*  176767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  176778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  176781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  176784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  176799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176806 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  176809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176823 */     GIR_RootConstrainSelectedInstOperands,
     /*  176824 */     // GIR_Coverage, 8223,
     /*  176824 */     GIR_EraseRootFromParent_Done,
     /*  176825 */   // Label 3955: @176825
     /*  176825 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(176888), // Rule ID 8226 //
     /*  176830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  176841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  176844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  176847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176869 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  176869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  176872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176886 */     GIR_RootConstrainSelectedInstOperands,
     /*  176887 */     // GIR_Coverage, 8226,
     /*  176887 */     GIR_EraseRootFromParent_Done,
     /*  176888 */   // Label 3956: @176888
     /*  176888 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(176951), // Rule ID 8227 //
     /*  176893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  176904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  176907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  176910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  176913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  176925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176932 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  176932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  176935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  176937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  176939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  176941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  176946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176949 */     GIR_RootConstrainSelectedInstOperands,
     /*  176950 */     // GIR_Coverage, 8227,
     /*  176950 */     GIR_EraseRootFromParent_Done,
     /*  176951 */   // Label 3957: @176951
     /*  176951 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(177014), // Rule ID 8230 //
     /*  176956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  176964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  176967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  176970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  176973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  176976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  176988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  176995 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  176995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  176998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177012 */     GIR_RootConstrainSelectedInstOperands,
     /*  177013 */     // GIR_Coverage, 8230,
     /*  177013 */     GIR_EraseRootFromParent_Done,
     /*  177014 */   // Label 3958: @177014
     /*  177014 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(177077), // Rule ID 8231 //
     /*  177019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  177033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  177036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177075 */     GIR_RootConstrainSelectedInstOperands,
     /*  177076 */     // GIR_Coverage, 8231,
     /*  177076 */     GIR_EraseRootFromParent_Done,
     /*  177077 */   // Label 3959: @177077
     /*  177077 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(177140), // Rule ID 8234 //
     /*  177082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  177096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  177099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177121 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  177121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177138 */     GIR_RootConstrainSelectedInstOperands,
     /*  177139 */     // GIR_Coverage, 8234,
     /*  177139 */     GIR_EraseRootFromParent_Done,
     /*  177140 */   // Label 3960: @177140
     /*  177140 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(177203), // Rule ID 8235 //
     /*  177145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  177159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  177162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177184 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177201 */     GIR_RootConstrainSelectedInstOperands,
     /*  177202 */     // GIR_Coverage, 8235,
     /*  177202 */     GIR_EraseRootFromParent_Done,
     /*  177203 */   // Label 3961: @177203
     /*  177203 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(177266), // Rule ID 8238 //
     /*  177208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  177219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  177222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  177225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177247 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  177247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177264 */     GIR_RootConstrainSelectedInstOperands,
     /*  177265 */     // GIR_Coverage, 8238,
     /*  177265 */     GIR_EraseRootFromParent_Done,
     /*  177266 */   // Label 3962: @177266
     /*  177266 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(177329), // Rule ID 8239 //
     /*  177271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  177282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  177285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  177288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177310 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  177310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177327 */     GIR_RootConstrainSelectedInstOperands,
     /*  177328 */     // GIR_Coverage, 8239,
     /*  177328 */     GIR_EraseRootFromParent_Done,
     /*  177329 */   // Label 3963: @177329
     /*  177329 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(177392), // Rule ID 8242 //
     /*  177334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  177348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  177351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177373 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177390 */     GIR_RootConstrainSelectedInstOperands,
     /*  177391 */     // GIR_Coverage, 8242,
     /*  177391 */     GIR_EraseRootFromParent_Done,
     /*  177392 */   // Label 3964: @177392
     /*  177392 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(177455), // Rule ID 8243 //
     /*  177397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  177411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  177414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177453 */     GIR_RootConstrainSelectedInstOperands,
     /*  177454 */     // GIR_Coverage, 8243,
     /*  177454 */     GIR_EraseRootFromParent_Done,
     /*  177455 */   // Label 3965: @177455
     /*  177455 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(177518), // Rule ID 8246 //
     /*  177460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  177474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  177477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177516 */     GIR_RootConstrainSelectedInstOperands,
     /*  177517 */     // GIR_Coverage, 8246,
     /*  177517 */     GIR_EraseRootFromParent_Done,
     /*  177518 */   // Label 3966: @177518
     /*  177518 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(177581), // Rule ID 8247 //
     /*  177523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  177537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  177540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177579 */     GIR_RootConstrainSelectedInstOperands,
     /*  177580 */     // GIR_Coverage, 8247,
     /*  177580 */     GIR_EraseRootFromParent_Done,
     /*  177581 */   // Label 3967: @177581
     /*  177581 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(177644), // Rule ID 8250 //
     /*  177586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  177600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  177603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177625 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  177625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177642 */     GIR_RootConstrainSelectedInstOperands,
     /*  177643 */     // GIR_Coverage, 8250,
     /*  177643 */     GIR_EraseRootFromParent_Done,
     /*  177644 */   // Label 3968: @177644
     /*  177644 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(177707), // Rule ID 8251 //
     /*  177649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  177660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  177663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  177666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  177688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  177691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177705 */     GIR_RootConstrainSelectedInstOperands,
     /*  177706 */     // GIR_Coverage, 8251,
     /*  177706 */     GIR_EraseRootFromParent_Done,
     /*  177707 */   // Label 3969: @177707
     /*  177707 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(177770), // Rule ID 8254 //
     /*  177712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  177723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  177726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  177729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  177751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177768 */     GIR_RootConstrainSelectedInstOperands,
     /*  177769 */     // GIR_Coverage, 8254,
     /*  177769 */     GIR_EraseRootFromParent_Done,
     /*  177770 */   // Label 3970: @177770
     /*  177770 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(177833), // Rule ID 8255 //
     /*  177775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  177786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  177789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  177792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  177814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  177817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177831 */     GIR_RootConstrainSelectedInstOperands,
     /*  177832 */     // GIR_Coverage, 8255,
     /*  177832 */     GIR_EraseRootFromParent_Done,
     /*  177833 */   // Label 3971: @177833
     /*  177833 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(177896), // Rule ID 8258 //
     /*  177838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  177852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  177855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177877 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  177877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177894 */     GIR_RootConstrainSelectedInstOperands,
     /*  177895 */     // GIR_Coverage, 8258,
     /*  177895 */     GIR_EraseRootFromParent_Done,
     /*  177896 */   // Label 3972: @177896
     /*  177896 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(177959), // Rule ID 8259 //
     /*  177901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  177912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  177915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  177918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  177921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  177933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  177940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  177940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  177943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  177945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  177947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  177949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  177954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177957 */     GIR_RootConstrainSelectedInstOperands,
     /*  177958 */     // GIR_Coverage, 8259,
     /*  177958 */     GIR_EraseRootFromParent_Done,
     /*  177959 */   // Label 3973: @177959
     /*  177959 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(178022), // Rule ID 8262 //
     /*  177964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  177972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  177975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  177978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  177981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  177984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  177996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178003 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  178003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  178006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178020 */     GIR_RootConstrainSelectedInstOperands,
     /*  178021 */     // GIR_Coverage, 8262,
     /*  178021 */     GIR_EraseRootFromParent_Done,
     /*  178022 */   // Label 3974: @178022
     /*  178022 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(178085), // Rule ID 8263 //
     /*  178027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  178030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  178041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  178044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178066 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  178066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  178069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178083 */     GIR_RootConstrainSelectedInstOperands,
     /*  178084 */     // GIR_Coverage, 8263,
     /*  178084 */     GIR_EraseRootFromParent_Done,
     /*  178085 */   // Label 3975: @178085
     /*  178085 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(178148), // Rule ID 8266 //
     /*  178090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  178104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  178132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178146 */     GIR_RootConstrainSelectedInstOperands,
     /*  178147 */     // GIR_Coverage, 8266,
     /*  178147 */     GIR_EraseRootFromParent_Done,
     /*  178148 */   // Label 3976: @178148
     /*  178148 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(178211), // Rule ID 8267 //
     /*  178153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  178167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  178195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178209 */     GIR_RootConstrainSelectedInstOperands,
     /*  178210 */     // GIR_Coverage, 8267,
     /*  178210 */     GIR_EraseRootFromParent_Done,
     /*  178211 */   // Label 3977: @178211
     /*  178211 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(178274), // Rule ID 8270 //
     /*  178216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  178230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178255 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178272 */     GIR_RootConstrainSelectedInstOperands,
     /*  178273 */     // GIR_Coverage, 8270,
     /*  178273 */     GIR_EraseRootFromParent_Done,
     /*  178274 */   // Label 3978: @178274
     /*  178274 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(178337), // Rule ID 8271 //
     /*  178279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  178293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178335 */     GIR_RootConstrainSelectedInstOperands,
     /*  178336 */     // GIR_Coverage, 8271,
     /*  178336 */     GIR_EraseRootFromParent_Done,
     /*  178337 */   // Label 3979: @178337
     /*  178337 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(178400), // Rule ID 8274 //
     /*  178342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  178356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178398 */     GIR_RootConstrainSelectedInstOperands,
     /*  178399 */     // GIR_Coverage, 8274,
     /*  178399 */     GIR_EraseRootFromParent_Done,
     /*  178400 */   // Label 3980: @178400
     /*  178400 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(178463), // Rule ID 8275 //
     /*  178405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  178419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178461 */     GIR_RootConstrainSelectedInstOperands,
     /*  178462 */     // GIR_Coverage, 8275,
     /*  178462 */     GIR_EraseRootFromParent_Done,
     /*  178463 */   // Label 3981: @178463
     /*  178463 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(178526), // Rule ID 8278 //
     /*  178468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  178482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178507 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  178507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178524 */     GIR_RootConstrainSelectedInstOperands,
     /*  178525 */     // GIR_Coverage, 8278,
     /*  178525 */     GIR_EraseRootFromParent_Done,
     /*  178526 */   // Label 3982: @178526
     /*  178526 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(178589), // Rule ID 8279 //
     /*  178531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  178545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178570 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  178570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  178573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178587 */     GIR_RootConstrainSelectedInstOperands,
     /*  178588 */     // GIR_Coverage, 8279,
     /*  178588 */     GIR_EraseRootFromParent_Done,
     /*  178589 */   // Label 3983: @178589
     /*  178589 */   GIM_Try, /*On fail goto*//*Label 3984*/ GIMT_Encode4(178652), // Rule ID 8282 //
     /*  178594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  178608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178633 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  178633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178650 */     GIR_RootConstrainSelectedInstOperands,
     /*  178651 */     // GIR_Coverage, 8282,
     /*  178651 */     GIR_EraseRootFromParent_Done,
     /*  178652 */   // Label 3984: @178652
     /*  178652 */   GIM_Try, /*On fail goto*//*Label 3985*/ GIMT_Encode4(178715), // Rule ID 8283 //
     /*  178657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  178668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  178671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178696 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  178696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178713 */     GIR_RootConstrainSelectedInstOperands,
     /*  178714 */     // GIR_Coverage, 8283,
     /*  178714 */     GIR_EraseRootFromParent_Done,
     /*  178715 */   // Label 3985: @178715
     /*  178715 */   GIM_Try, /*On fail goto*//*Label 3986*/ GIMT_Encode4(178778), // Rule ID 8286 //
     /*  178720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  178734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178759 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  178759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178776 */     GIR_RootConstrainSelectedInstOperands,
     /*  178777 */     // GIR_Coverage, 8286,
     /*  178777 */     GIR_EraseRootFromParent_Done,
     /*  178778 */   // Label 3986: @178778
     /*  178778 */   GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(178841), // Rule ID 8287 //
     /*  178783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  178794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  178797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178822 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  178822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  178825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178839 */     GIR_RootConstrainSelectedInstOperands,
     /*  178840 */     // GIR_Coverage, 8287,
     /*  178840 */     GIR_EraseRootFromParent_Done,
     /*  178841 */   // Label 3987: @178841
     /*  178841 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(178904), // Rule ID 8290 //
     /*  178846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  178860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178885 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  178885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  178888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178902 */     GIR_RootConstrainSelectedInstOperands,
     /*  178903 */     // GIR_Coverage, 8290,
     /*  178903 */     GIR_EraseRootFromParent_Done,
     /*  178904 */   // Label 3988: @178904
     /*  178904 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(178967), // Rule ID 8291 //
     /*  178909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  178920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  178923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  178926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  178929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  178948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  178948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  178951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  178953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  178955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  178957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  178962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178965 */     GIR_RootConstrainSelectedInstOperands,
     /*  178966 */     // GIR_Coverage, 8291,
     /*  178966 */     GIR_EraseRootFromParent_Done,
     /*  178967 */   // Label 3989: @178967
     /*  178967 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(179030), // Rule ID 8294 //
     /*  178972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  178980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  178983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  178986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  178989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  178992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179011 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179028 */     GIR_RootConstrainSelectedInstOperands,
     /*  179029 */     // GIR_Coverage, 8294,
     /*  179029 */     GIR_EraseRootFromParent_Done,
     /*  179030 */   // Label 3990: @179030
     /*  179030 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(179093), // Rule ID 8295 //
     /*  179035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  179046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  179049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179074 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179091 */     GIR_RootConstrainSelectedInstOperands,
     /*  179092 */     // GIR_Coverage, 8295,
     /*  179092 */     GIR_EraseRootFromParent_Done,
     /*  179093 */   // Label 3991: @179093
     /*  179093 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(179156), // Rule ID 8298 //
     /*  179098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  179109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  179112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179137 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  179137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179154 */     GIR_RootConstrainSelectedInstOperands,
     /*  179155 */     // GIR_Coverage, 8298,
     /*  179155 */     GIR_EraseRootFromParent_Done,
     /*  179156 */   // Label 3992: @179156
     /*  179156 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(179219), // Rule ID 8299 //
     /*  179161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  179172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  179175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  179200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179217 */     GIR_RootConstrainSelectedInstOperands,
     /*  179218 */     // GIR_Coverage, 8299,
     /*  179218 */     GIR_EraseRootFromParent_Done,
     /*  179219 */   // Label 3993: @179219
     /*  179219 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(179282), // Rule ID 8302 //
     /*  179224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  179227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  179235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  179238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179263 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  179263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179280 */     GIR_RootConstrainSelectedInstOperands,
     /*  179281 */     // GIR_Coverage, 8302,
     /*  179281 */     GIR_EraseRootFromParent_Done,
     /*  179282 */   // Label 3994: @179282
     /*  179282 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(179345), // Rule ID 8303 //
     /*  179287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  179290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  179298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  179301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179326 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  179326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  179329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  179343 */     GIR_RootConstrainSelectedInstOperands,
     /*  179344 */     // GIR_Coverage, 8303,
     /*  179344 */     GIR_EraseRootFromParent_Done,
     /*  179345 */   // Label 3995: @179345
     /*  179345 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(179408), // Rule ID 8306 //
     /*  179350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  179364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179389 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179406 */     GIR_RootConstrainSelectedInstOperands,
     /*  179407 */     // GIR_Coverage, 8306,
     /*  179407 */     GIR_EraseRootFromParent_Done,
     /*  179408 */   // Label 3996: @179408
     /*  179408 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(179471), // Rule ID 8307 //
     /*  179413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  179427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179452 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179469 */     GIR_RootConstrainSelectedInstOperands,
     /*  179470 */     // GIR_Coverage, 8307,
     /*  179470 */     GIR_EraseRootFromParent_Done,
     /*  179471 */   // Label 3997: @179471
     /*  179471 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(179534), // Rule ID 8310 //
     /*  179476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  179490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179515 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179532 */     GIR_RootConstrainSelectedInstOperands,
     /*  179533 */     // GIR_Coverage, 8310,
     /*  179533 */     GIR_EraseRootFromParent_Done,
     /*  179534 */   // Label 3998: @179534
     /*  179534 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(179597), // Rule ID 8311 //
     /*  179539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  179553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179578 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179595 */     GIR_RootConstrainSelectedInstOperands,
     /*  179596 */     // GIR_Coverage, 8311,
     /*  179596 */     GIR_EraseRootFromParent_Done,
     /*  179597 */   // Label 3999: @179597
     /*  179597 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(179660), // Rule ID 8314 //
     /*  179602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  179613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  179616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179641 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  179641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  179644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179658 */     GIR_RootConstrainSelectedInstOperands,
     /*  179659 */     // GIR_Coverage, 8314,
     /*  179659 */     GIR_EraseRootFromParent_Done,
     /*  179660 */   // Label 4000: @179660
     /*  179660 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(179723), // Rule ID 8315 //
     /*  179665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  179676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  179679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179704 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  179704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  179707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179721 */     GIR_RootConstrainSelectedInstOperands,
     /*  179722 */     // GIR_Coverage, 8315,
     /*  179722 */     GIR_EraseRootFromParent_Done,
     /*  179723 */   // Label 4001: @179723
     /*  179723 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(179786), // Rule ID 8318 //
     /*  179728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  179739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  179742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179767 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179784 */     GIR_RootConstrainSelectedInstOperands,
     /*  179785 */     // GIR_Coverage, 8318,
     /*  179785 */     GIR_EraseRootFromParent_Done,
     /*  179786 */   // Label 4002: @179786
     /*  179786 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(179849), // Rule ID 8319 //
     /*  179791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  179802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  179805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  179819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179830 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  179833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179847 */     GIR_RootConstrainSelectedInstOperands,
     /*  179848 */     // GIR_Coverage, 8319,
     /*  179848 */     GIR_EraseRootFromParent_Done,
     /*  179849 */   // Label 4003: @179849
     /*  179849 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(179912), // Rule ID 8322 //
     /*  179854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  179868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  179874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179893 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  179893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179910 */     GIR_RootConstrainSelectedInstOperands,
     /*  179911 */     // GIR_Coverage, 8322,
     /*  179911 */     GIR_EraseRootFromParent_Done,
     /*  179912 */   // Label 4004: @179912
     /*  179912 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(179975), // Rule ID 8323 //
     /*  179917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  179928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  179931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  179937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  179956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  179956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  179959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  179961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  179963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  179965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  179970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179973 */     GIR_RootConstrainSelectedInstOperands,
     /*  179974 */     // GIR_Coverage, 8323,
     /*  179974 */     GIR_EraseRootFromParent_Done,
     /*  179975 */   // Label 4005: @179975
     /*  179975 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(180038), // Rule ID 8326 //
     /*  179980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  179988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  179991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  179994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  179997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180019 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  180019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  180036 */     GIR_RootConstrainSelectedInstOperands,
     /*  180037 */     // GIR_Coverage, 8326,
     /*  180037 */     GIR_EraseRootFromParent_Done,
     /*  180038 */   // Label 4006: @180038
     /*  180038 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(180101), // Rule ID 8327 //
     /*  180043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  180054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  180057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180082 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  180082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  180099 */     GIR_RootConstrainSelectedInstOperands,
     /*  180100 */     // GIR_Coverage, 8327,
     /*  180100 */     GIR_EraseRootFromParent_Done,
     /*  180101 */   // Label 4007: @180101
     /*  180101 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(180164), // Rule ID 8330 //
     /*  180106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  180120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180145 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180162 */     GIR_RootConstrainSelectedInstOperands,
     /*  180163 */     // GIR_Coverage, 8330,
     /*  180163 */     GIR_EraseRootFromParent_Done,
     /*  180164 */   // Label 4008: @180164
     /*  180164 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(180227), // Rule ID 8331 //
     /*  180169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  180183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180208 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180225 */     GIR_RootConstrainSelectedInstOperands,
     /*  180226 */     // GIR_Coverage, 8331,
     /*  180226 */     GIR_EraseRootFromParent_Done,
     /*  180227 */   // Label 4009: @180227
     /*  180227 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(180290), // Rule ID 8334 //
     /*  180232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  180246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180271 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180288 */     GIR_RootConstrainSelectedInstOperands,
     /*  180289 */     // GIR_Coverage, 8334,
     /*  180289 */     GIR_EraseRootFromParent_Done,
     /*  180290 */   // Label 4010: @180290
     /*  180290 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(180353), // Rule ID 8335 //
     /*  180295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  180309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180351 */     GIR_RootConstrainSelectedInstOperands,
     /*  180352 */     // GIR_Coverage, 8335,
     /*  180352 */     GIR_EraseRootFromParent_Done,
     /*  180353 */   // Label 4011: @180353
     /*  180353 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(180416), // Rule ID 8338 //
     /*  180358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  180369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  180372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180397 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  180397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180414 */     GIR_RootConstrainSelectedInstOperands,
     /*  180415 */     // GIR_Coverage, 8338,
     /*  180415 */     GIR_EraseRootFromParent_Done,
     /*  180416 */   // Label 4012: @180416
     /*  180416 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(180479), // Rule ID 8339 //
     /*  180421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  180432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  180435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  180460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180477 */     GIR_RootConstrainSelectedInstOperands,
     /*  180478 */     // GIR_Coverage, 8339,
     /*  180478 */     GIR_EraseRootFromParent_Done,
     /*  180479 */   // Label 4013: @180479
     /*  180479 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(180542), // Rule ID 8342 //
     /*  180484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  180498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180523 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180540 */     GIR_RootConstrainSelectedInstOperands,
     /*  180541 */     // GIR_Coverage, 8342,
     /*  180541 */     GIR_EraseRootFromParent_Done,
     /*  180542 */   // Label 4014: @180542
     /*  180542 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(180605), // Rule ID 8343 //
     /*  180547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  180561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  180575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180586 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  180589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180603 */     GIR_RootConstrainSelectedInstOperands,
     /*  180604 */     // GIR_Coverage, 8343,
     /*  180604 */     GIR_EraseRootFromParent_Done,
     /*  180605 */   // Label 4015: @180605
     /*  180605 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(180668), // Rule ID 8346 //
     /*  180610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  180624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180666 */     GIR_RootConstrainSelectedInstOperands,
     /*  180667 */     // GIR_Coverage, 8346,
     /*  180667 */     GIR_EraseRootFromParent_Done,
     /*  180668 */   // Label 4016: @180668
     /*  180668 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(180731), // Rule ID 8347 //
     /*  180673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  180684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  180687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  180701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180712 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11097:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  180715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180729 */     GIR_RootConstrainSelectedInstOperands,
     /*  180730 */     // GIR_Coverage, 8347,
     /*  180730 */     GIR_EraseRootFromParent_Done,
     /*  180731 */   // Label 4017: @180731
     /*  180731 */   GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(180794), // Rule ID 8350 //
     /*  180736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  180739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  180750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  180753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180775 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  180775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180792 */     GIR_RootConstrainSelectedInstOperands,
     /*  180793 */     // GIR_Coverage, 8350,
     /*  180793 */     GIR_EraseRootFromParent_Done,
     /*  180794 */   // Label 4018: @180794
     /*  180794 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(180857), // Rule ID 8351 //
     /*  180799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  180802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  180807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  180810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  180813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  180816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  180827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11097:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  180838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  180841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180855 */     GIR_RootConstrainSelectedInstOperands,
     /*  180856 */     // GIR_Coverage, 8351,
     /*  180856 */     GIR_EraseRootFromParent_Done,
     /*  180857 */   // Label 4019: @180857
     /*  180857 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(180920), // Rule ID 8354 //
     /*  180862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  180873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  180876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  180879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  180882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180901 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  180901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  180904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  180918 */     GIR_RootConstrainSelectedInstOperands,
     /*  180919 */     // GIR_Coverage, 8354,
     /*  180919 */     GIR_EraseRootFromParent_Done,
     /*  180920 */   // Label 4020: @180920
     /*  180920 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(180983), // Rule ID 8355 //
     /*  180925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  180928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  180936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  180939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  180942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  180945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  180957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  180964 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  180964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  180967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  180969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  180971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  180973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  180978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  180981 */     GIR_RootConstrainSelectedInstOperands,
     /*  180982 */     // GIR_Coverage, 8355,
     /*  180982 */     GIR_EraseRootFromParent_Done,
     /*  180983 */   // Label 4021: @180983
     /*  180983 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(181046), // Rule ID 8358 //
     /*  180988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  180991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  180996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  180999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  181002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  181005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181027 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  181027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181044 */     GIR_RootConstrainSelectedInstOperands,
     /*  181045 */     // GIR_Coverage, 8358,
     /*  181045 */     GIR_EraseRootFromParent_Done,
     /*  181046 */   // Label 4022: @181046
     /*  181046 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(181109), // Rule ID 8359 //
     /*  181051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  181065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  181068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181107 */     GIR_RootConstrainSelectedInstOperands,
     /*  181108 */     // GIR_Coverage, 8359,
     /*  181108 */     GIR_EraseRootFromParent_Done,
     /*  181109 */   // Label 4023: @181109
     /*  181109 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(181172), // Rule ID 8362 //
     /*  181114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  181128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  181131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181153 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  181153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181170 */     GIR_RootConstrainSelectedInstOperands,
     /*  181171 */     // GIR_Coverage, 8362,
     /*  181171 */     GIR_EraseRootFromParent_Done,
     /*  181172 */   // Label 4024: @181172
     /*  181172 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(181235), // Rule ID 8363 //
     /*  181177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  181191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  181194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181216 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181233 */     GIR_RootConstrainSelectedInstOperands,
     /*  181234 */     // GIR_Coverage, 8363,
     /*  181234 */     GIR_EraseRootFromParent_Done,
     /*  181235 */   // Label 4025: @181235
     /*  181235 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(181298), // Rule ID 8366 //
     /*  181240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  181254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  181257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181279 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181296 */     GIR_RootConstrainSelectedInstOperands,
     /*  181297 */     // GIR_Coverage, 8366,
     /*  181297 */     GIR_EraseRootFromParent_Done,
     /*  181298 */   // Label 4026: @181298
     /*  181298 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(181361), // Rule ID 8367 //
     /*  181303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  181317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  181320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181342 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  181345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181359 */     GIR_RootConstrainSelectedInstOperands,
     /*  181360 */     // GIR_Coverage, 8367,
     /*  181360 */     GIR_EraseRootFromParent_Done,
     /*  181361 */   // Label 4027: @181361
     /*  181361 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(181424), // Rule ID 8370 //
     /*  181366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  181380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  181383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181405 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181422 */     GIR_RootConstrainSelectedInstOperands,
     /*  181423 */     // GIR_Coverage, 8370,
     /*  181423 */     GIR_EraseRootFromParent_Done,
     /*  181424 */   // Label 4028: @181424
     /*  181424 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(181487), // Rule ID 8371 //
     /*  181429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  181443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  181446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181468 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181485 */     GIR_RootConstrainSelectedInstOperands,
     /*  181486 */     // GIR_Coverage, 8371,
     /*  181486 */     GIR_EraseRootFromParent_Done,
     /*  181487 */   // Label 4029: @181487
     /*  181487 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(181550), // Rule ID 8374 //
     /*  181492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  181506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  181509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181531 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  181531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181548 */     GIR_RootConstrainSelectedInstOperands,
     /*  181549 */     // GIR_Coverage, 8374,
     /*  181549 */     GIR_EraseRootFromParent_Done,
     /*  181550 */   // Label 4030: @181550
     /*  181550 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(181613), // Rule ID 8375 //
     /*  181555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  181566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  181569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  181572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  181594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  181597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181611 */     GIR_RootConstrainSelectedInstOperands,
     /*  181612 */     // GIR_Coverage, 8375,
     /*  181612 */     GIR_EraseRootFromParent_Done,
     /*  181613 */   // Label 4031: @181613
     /*  181613 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(181676), // Rule ID 8378 //
     /*  181618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  181629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  181632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  181635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181657 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  181657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181674 */     GIR_RootConstrainSelectedInstOperands,
     /*  181675 */     // GIR_Coverage, 8378,
     /*  181675 */     GIR_EraseRootFromParent_Done,
     /*  181676 */   // Label 4032: @181676
     /*  181676 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(181739), // Rule ID 8379 //
     /*  181681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  181692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  181695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  181698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  181720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  181737 */     GIR_RootConstrainSelectedInstOperands,
     /*  181738 */     // GIR_Coverage, 8379,
     /*  181738 */     GIR_EraseRootFromParent_Done,
     /*  181739 */   // Label 4033: @181739
     /*  181739 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(181802), // Rule ID 8382 //
     /*  181744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  181758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  181761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181783 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  181783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181800 */     GIR_RootConstrainSelectedInstOperands,
     /*  181801 */     // GIR_Coverage, 8382,
     /*  181801 */     GIR_EraseRootFromParent_Done,
     /*  181802 */   // Label 4034: @181802
     /*  181802 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(181865), // Rule ID 8383 //
     /*  181807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  181818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  181821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  181824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  181846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181863 */     GIR_RootConstrainSelectedInstOperands,
     /*  181864 */     // GIR_Coverage, 8383,
     /*  181864 */     GIR_EraseRootFromParent_Done,
     /*  181865 */   // Label 4035: @181865
     /*  181865 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(181928), // Rule ID 8386 //
     /*  181870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  181873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  181884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  181887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  181890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181909 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  181909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181926 */     GIR_RootConstrainSelectedInstOperands,
     /*  181927 */     // GIR_Coverage, 8386,
     /*  181927 */     GIR_EraseRootFromParent_Done,
     /*  181928 */   // Label 4036: @181928
     /*  181928 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(181991), // Rule ID 8387 //
     /*  181933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  181936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  181941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  181944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  181947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  181950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  181953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  181965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  181972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  181972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  181975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  181977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  181979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  181981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  181986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  181989 */     GIR_RootConstrainSelectedInstOperands,
     /*  181990 */     // GIR_Coverage, 8387,
     /*  181990 */     GIR_EraseRootFromParent_Done,
     /*  181991 */   // Label 4037: @181991
     /*  181991 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(182054), // Rule ID 8390 //
     /*  181996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  181999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  182007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  182010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  182013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  182035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  182038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182052 */     GIR_RootConstrainSelectedInstOperands,
     /*  182053 */     // GIR_Coverage, 8390,
     /*  182053 */     GIR_EraseRootFromParent_Done,
     /*  182054 */   // Label 4038: @182054
     /*  182054 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(182117), // Rule ID 8391 //
     /*  182059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  182062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  182070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  182073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  182076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  182098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  182101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182115 */     GIR_RootConstrainSelectedInstOperands,
     /*  182116 */     // GIR_Coverage, 8391,
     /*  182116 */     GIR_EraseRootFromParent_Done,
     /*  182117 */   // Label 4039: @182117
     /*  182117 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(182180), // Rule ID 8394 //
     /*  182122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  182136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  182139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182161 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182178 */     GIR_RootConstrainSelectedInstOperands,
     /*  182179 */     // GIR_Coverage, 8394,
     /*  182179 */     GIR_EraseRootFromParent_Done,
     /*  182180 */   // Label 4040: @182180
     /*  182180 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(182243), // Rule ID 8395 //
     /*  182185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  182199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  182202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182241 */     GIR_RootConstrainSelectedInstOperands,
     /*  182242 */     // GIR_Coverage, 8395,
     /*  182242 */     GIR_EraseRootFromParent_Done,
     /*  182243 */   // Label 4041: @182243
     /*  182243 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(182306), // Rule ID 8398 //
     /*  182248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  182262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  182265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182287 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182304 */     GIR_RootConstrainSelectedInstOperands,
     /*  182305 */     // GIR_Coverage, 8398,
     /*  182305 */     GIR_EraseRootFromParent_Done,
     /*  182306 */   // Label 4042: @182306
     /*  182306 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(182369), // Rule ID 8399 //
     /*  182311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  182325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  182328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182350 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182367 */     GIR_RootConstrainSelectedInstOperands,
     /*  182368 */     // GIR_Coverage, 8399,
     /*  182368 */     GIR_EraseRootFromParent_Done,
     /*  182369 */   // Label 4043: @182369
     /*  182369 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(182432), // Rule ID 8402 //
     /*  182374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  182385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  182388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  182391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182413 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  182413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182430 */     GIR_RootConstrainSelectedInstOperands,
     /*  182431 */     // GIR_Coverage, 8402,
     /*  182431 */     GIR_EraseRootFromParent_Done,
     /*  182432 */   // Label 4044: @182432
     /*  182432 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(182495), // Rule ID 8403 //
     /*  182437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  182448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  182451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  182454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182476 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  182476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  182493 */     GIR_RootConstrainSelectedInstOperands,
     /*  182494 */     // GIR_Coverage, 8403,
     /*  182494 */     GIR_EraseRootFromParent_Done,
     /*  182495 */   // Label 4045: @182495
     /*  182495 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(182558), // Rule ID 8406 //
     /*  182500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  182511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  182514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  182517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182539 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182556 */     GIR_RootConstrainSelectedInstOperands,
     /*  182557 */     // GIR_Coverage, 8406,
     /*  182557 */     GIR_EraseRootFromParent_Done,
     /*  182558 */   // Label 4046: @182558
     /*  182558 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(182621), // Rule ID 8407 //
     /*  182563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  182574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  182577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  182580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182619 */     GIR_RootConstrainSelectedInstOperands,
     /*  182620 */     // GIR_Coverage, 8407,
     /*  182620 */     GIR_EraseRootFromParent_Done,
     /*  182621 */   // Label 4047: @182621
     /*  182621 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(182684), // Rule ID 8410 //
     /*  182626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  182640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  182643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182682 */     GIR_RootConstrainSelectedInstOperands,
     /*  182683 */     // GIR_Coverage, 8410,
     /*  182683 */     GIR_EraseRootFromParent_Done,
     /*  182684 */   // Label 4048: @182684
     /*  182684 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(182747), // Rule ID 8411 //
     /*  182689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  182700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  182703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  182706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  182721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  182731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182745 */     GIR_RootConstrainSelectedInstOperands,
     /*  182746 */     // GIR_Coverage, 8411,
     /*  182746 */     GIR_EraseRootFromParent_Done,
     /*  182747 */   // Label 4049: @182747
     /*  182747 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(182810), // Rule ID 8414 //
     /*  182752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  182766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  182769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182791 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  182791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182808 */     GIR_RootConstrainSelectedInstOperands,
     /*  182809 */     // GIR_Coverage, 8414,
     /*  182809 */     GIR_EraseRootFromParent_Done,
     /*  182810 */   // Label 4050: @182810
     /*  182810 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(182873), // Rule ID 8415 //
     /*  182815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  182826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  182829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  182832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  182847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  182854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  182857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182871 */     GIR_RootConstrainSelectedInstOperands,
     /*  182872 */     // GIR_Coverage, 8415,
     /*  182872 */     GIR_EraseRootFromParent_Done,
     /*  182873 */   // Label 4051: @182873
     /*  182873 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(182936), // Rule ID 8418 //
     /*  182878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  182881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  182889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  182892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  182895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  182898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182917 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  182917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182934 */     GIR_RootConstrainSelectedInstOperands,
     /*  182935 */     // GIR_Coverage, 8418,
     /*  182935 */     GIR_EraseRootFromParent_Done,
     /*  182936 */   // Label 4052: @182936
     /*  182936 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(182999), // Rule ID 8419 //
     /*  182941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  182944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  182949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  182952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  182955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  182958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  182961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  182965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  182973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  182980 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  182980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  182983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  182985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  182987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  182989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  182994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182997 */     GIR_RootConstrainSelectedInstOperands,
     /*  182998 */     // GIR_Coverage, 8419,
     /*  182998 */     GIR_EraseRootFromParent_Done,
     /*  182999 */   // Label 4053: @182999
     /*  182999 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(183062), // Rule ID 8422 //
     /*  183004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  183018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  183021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183043 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  183043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183060 */     GIR_RootConstrainSelectedInstOperands,
     /*  183061 */     // GIR_Coverage, 8422,
     /*  183061 */     GIR_EraseRootFromParent_Done,
     /*  183062 */   // Label 4054: @183062
     /*  183062 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(183125), // Rule ID 8423 //
     /*  183067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  183081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  183084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  183106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183123 */     GIR_RootConstrainSelectedInstOperands,
     /*  183124 */     // GIR_Coverage, 8423,
     /*  183124 */     GIR_EraseRootFromParent_Done,
     /*  183125 */   // Label 4055: @183125
     /*  183125 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(183188), // Rule ID 8426 //
     /*  183130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  183141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  183144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  183147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  183169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183186 */     GIR_RootConstrainSelectedInstOperands,
     /*  183187 */     // GIR_Coverage, 8426,
     /*  183187 */     GIR_EraseRootFromParent_Done,
     /*  183188 */   // Label 4056: @183188
     /*  183188 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(183251), // Rule ID 8427 //
     /*  183193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  183204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  183207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  183210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183232 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  183232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  183249 */     GIR_RootConstrainSelectedInstOperands,
     /*  183250 */     // GIR_Coverage, 8427,
     /*  183250 */     GIR_EraseRootFromParent_Done,
     /*  183251 */   // Label 4057: @183251
     /*  183251 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(183314), // Rule ID 8430 //
     /*  183256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  183270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  183273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183295 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  183298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183312 */     GIR_RootConstrainSelectedInstOperands,
     /*  183313 */     // GIR_Coverage, 8430,
     /*  183313 */     GIR_EraseRootFromParent_Done,
     /*  183314 */   // Label 4058: @183314
     /*  183314 */   GIM_Try, /*On fail goto*//*Label 4059*/ GIMT_Encode4(183377), // Rule ID 8431 //
     /*  183319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  183333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  183336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  183351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  183361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183375 */     GIR_RootConstrainSelectedInstOperands,
     /*  183376 */     // GIR_Coverage, 8431,
     /*  183376 */     GIR_EraseRootFromParent_Done,
     /*  183377 */   // Label 4059: @183377
     /*  183377 */   GIM_Try, /*On fail goto*//*Label 4060*/ GIMT_Encode4(183440), // Rule ID 8434 //
     /*  183382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  183396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  183399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183438 */     GIR_RootConstrainSelectedInstOperands,
     /*  183439 */     // GIR_Coverage, 8434,
     /*  183439 */     GIR_EraseRootFromParent_Done,
     /*  183440 */   // Label 4060: @183440
     /*  183440 */   GIM_Try, /*On fail goto*//*Label 4061*/ GIMT_Encode4(183503), // Rule ID 8435 //
     /*  183445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  183459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  183462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  183477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183484 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  183487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183501 */     GIR_RootConstrainSelectedInstOperands,
     /*  183502 */     // GIR_Coverage, 8435,
     /*  183502 */     GIR_EraseRootFromParent_Done,
     /*  183503 */   // Label 4061: @183503
     /*  183503 */   GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(183566), // Rule ID 8438 //
     /*  183508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  183511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  183522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  183525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  183547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183564 */     GIR_RootConstrainSelectedInstOperands,
     /*  183565 */     // GIR_Coverage, 8438,
     /*  183565 */     GIR_EraseRootFromParent_Done,
     /*  183566 */   // Label 4062: @183566
     /*  183566 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(183629), // Rule ID 8439 //
     /*  183571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  183574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  183582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  183585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  183588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  183603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  183610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  183613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  183627 */     GIR_RootConstrainSelectedInstOperands,
     /*  183628 */     // GIR_Coverage, 8439,
     /*  183628 */     GIR_EraseRootFromParent_Done,
     /*  183629 */   // Label 4063: @183629
     /*  183629 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(183692), // Rule ID 8442 //
     /*  183634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  183645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  183648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  183676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183690 */     GIR_RootConstrainSelectedInstOperands,
     /*  183691 */     // GIR_Coverage, 8442,
     /*  183691 */     GIR_EraseRootFromParent_Done,
     /*  183692 */   // Label 4064: @183692
     /*  183692 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(183755), // Rule ID 8443 //
     /*  183697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  183708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  183711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183736 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  183739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183753 */     GIR_RootConstrainSelectedInstOperands,
     /*  183754 */     // GIR_Coverage, 8443,
     /*  183754 */     GIR_EraseRootFromParent_Done,
     /*  183755 */   // Label 4065: @183755
     /*  183755 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(183818), // Rule ID 8446 //
     /*  183760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  183774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183799 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  183802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183816 */     GIR_RootConstrainSelectedInstOperands,
     /*  183817 */     // GIR_Coverage, 8446,
     /*  183817 */     GIR_EraseRootFromParent_Done,
     /*  183818 */   // Label 4066: @183818
     /*  183818 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(183881), // Rule ID 8447 //
     /*  183823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  183834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  183837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  183865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183879 */     GIR_RootConstrainSelectedInstOperands,
     /*  183880 */     // GIR_Coverage, 8447,
     /*  183880 */     GIR_EraseRootFromParent_Done,
     /*  183881 */   // Label 4067: @183881
     /*  183881 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(183944), // Rule ID 8450 //
     /*  183886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  183889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  183900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  183903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  183906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183925 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  183925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  183928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  183939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  183942 */     GIR_RootConstrainSelectedInstOperands,
     /*  183943 */     // GIR_Coverage, 8450,
     /*  183943 */     GIR_EraseRootFromParent_Done,
     /*  183944 */   // Label 4068: @183944
     /*  183944 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(184007), // Rule ID 8451 //
     /*  183949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  183952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  183957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  183960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  183963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  183966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  183969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  183977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  183988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  183988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  183991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  183993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  183995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  183997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184005 */     GIR_RootConstrainSelectedInstOperands,
     /*  184006 */     // GIR_Coverage, 8451,
     /*  184006 */     GIR_EraseRootFromParent_Done,
     /*  184007 */   // Label 4069: @184007
     /*  184007 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(184070), // Rule ID 8454 //
     /*  184012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  184026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184051 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  184054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184068 */     GIR_RootConstrainSelectedInstOperands,
     /*  184069 */     // GIR_Coverage, 8454,
     /*  184069 */     GIR_EraseRootFromParent_Done,
     /*  184070 */   // Label 4070: @184070
     /*  184070 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(184133), // Rule ID 8455 //
     /*  184075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  184089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  184117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184131 */     GIR_RootConstrainSelectedInstOperands,
     /*  184132 */     // GIR_Coverage, 8455,
     /*  184132 */     GIR_EraseRootFromParent_Done,
     /*  184133 */   // Label 4071: @184133
     /*  184133 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(184196), // Rule ID 8458 //
     /*  184138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  184152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184177 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184194 */     GIR_RootConstrainSelectedInstOperands,
     /*  184195 */     // GIR_Coverage, 8458,
     /*  184195 */     GIR_EraseRootFromParent_Done,
     /*  184196 */   // Label 4072: @184196
     /*  184196 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(184259), // Rule ID 8459 //
     /*  184201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  184215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184240 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184257 */     GIR_RootConstrainSelectedInstOperands,
     /*  184258 */     // GIR_Coverage, 8459,
     /*  184258 */     GIR_EraseRootFromParent_Done,
     /*  184259 */   // Label 4073: @184259
     /*  184259 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(184322), // Rule ID 8462 //
     /*  184264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  184278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184303 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  184303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184320 */     GIR_RootConstrainSelectedInstOperands,
     /*  184321 */     // GIR_Coverage, 8462,
     /*  184321 */     GIR_EraseRootFromParent_Done,
     /*  184322 */   // Label 4074: @184322
     /*  184322 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(184385), // Rule ID 8463 //
     /*  184327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  184341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  184366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  184369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184383 */     GIR_RootConstrainSelectedInstOperands,
     /*  184384 */     // GIR_Coverage, 8463,
     /*  184384 */     GIR_EraseRootFromParent_Done,
     /*  184385 */   // Label 4075: @184385
     /*  184385 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(184448), // Rule ID 8466 //
     /*  184390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  184401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  184404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  184429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184446 */     GIR_RootConstrainSelectedInstOperands,
     /*  184447 */     // GIR_Coverage, 8466,
     /*  184447 */     GIR_EraseRootFromParent_Done,
     /*  184448 */   // Label 4076: @184448
     /*  184448 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(184511), // Rule ID 8467 //
     /*  184453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  184464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  184467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  184492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184509 */     GIR_RootConstrainSelectedInstOperands,
     /*  184510 */     // GIR_Coverage, 8467,
     /*  184510 */     GIR_EraseRootFromParent_Done,
     /*  184511 */   // Label 4077: @184511
     /*  184511 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(184574), // Rule ID 8470 //
     /*  184516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  184527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  184530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184555 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  184555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184572 */     GIR_RootConstrainSelectedInstOperands,
     /*  184573 */     // GIR_Coverage, 8470,
     /*  184573 */     GIR_EraseRootFromParent_Done,
     /*  184574 */   // Label 4078: @184574
     /*  184574 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(184637), // Rule ID 8471 //
     /*  184579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  184590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  184593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  184618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  184635 */     GIR_RootConstrainSelectedInstOperands,
     /*  184636 */     // GIR_Coverage, 8471,
     /*  184636 */     GIR_EraseRootFromParent_Done,
     /*  184637 */   // Label 4079: @184637
     /*  184637 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(184700), // Rule ID 8474 //
     /*  184642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  184656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  184681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184698 */     GIR_RootConstrainSelectedInstOperands,
     /*  184699 */     // GIR_Coverage, 8474,
     /*  184699 */     GIR_EraseRootFromParent_Done,
     /*  184700 */   // Label 4080: @184700
     /*  184700 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(184763), // Rule ID 8475 //
     /*  184705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  184716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  184719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  184744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  184761 */     GIR_RootConstrainSelectedInstOperands,
     /*  184762 */     // GIR_Coverage, 8475,
     /*  184762 */     GIR_EraseRootFromParent_Done,
     /*  184763 */   // Label 4081: @184763
     /*  184763 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(184826), // Rule ID 8478 //
     /*  184768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  184771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  184782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184807 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  184807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  184824 */     GIR_RootConstrainSelectedInstOperands,
     /*  184825 */     // GIR_Coverage, 8478,
     /*  184825 */     GIR_EraseRootFromParent_Done,
     /*  184826 */   // Label 4082: @184826
     /*  184826 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(184889), // Rule ID 8479 //
     /*  184831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  184834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  184842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  184845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11095:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  184870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  184873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  184887 */     GIR_RootConstrainSelectedInstOperands,
     /*  184888 */     // GIR_Coverage, 8479,
     /*  184888 */     GIR_EraseRootFromParent_Done,
     /*  184889 */   // Label 4083: @184889
     /*  184889 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(184952), // Rule ID 8482 //
     /*  184894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  184897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  184905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  184908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  184911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  184914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  184922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184933 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  184933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  184936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  184938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  184940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  184942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  184947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  184950 */     GIR_RootConstrainSelectedInstOperands,
     /*  184951 */     // GIR_Coverage, 8482,
     /*  184951 */     GIR_EraseRootFromParent_Done,
     /*  184952 */   // Label 4084: @184952
     /*  184952 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(185015), // Rule ID 8483 //
     /*  184957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  184960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  184965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  184968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  184971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  184974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  184977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  184981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  184985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  184996 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  184996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  184999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185013 */     GIR_RootConstrainSelectedInstOperands,
     /*  185014 */     // GIR_Coverage, 8483,
     /*  185014 */     GIR_EraseRootFromParent_Done,
     /*  185015 */   // Label 4085: @185015
     /*  185015 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(185078), // Rule ID 8486 //
     /*  185020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  185034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185059 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  185059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185076 */     GIR_RootConstrainSelectedInstOperands,
     /*  185077 */     // GIR_Coverage, 8486,
     /*  185077 */     GIR_EraseRootFromParent_Done,
     /*  185078 */   // Label 4086: @185078
     /*  185078 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(185141), // Rule ID 8487 //
     /*  185083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  185097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185122 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  185122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185139 */     GIR_RootConstrainSelectedInstOperands,
     /*  185140 */     // GIR_Coverage, 8487,
     /*  185140 */     GIR_EraseRootFromParent_Done,
     /*  185141 */   // Label 4087: @185141
     /*  185141 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(185204), // Rule ID 8490 //
     /*  185146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  185157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  185160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185185 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  185185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185202 */     GIR_RootConstrainSelectedInstOperands,
     /*  185203 */     // GIR_Coverage, 8490,
     /*  185203 */     GIR_EraseRootFromParent_Done,
     /*  185204 */   // Label 4088: @185204
     /*  185204 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(185267), // Rule ID 8491 //
     /*  185209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  185220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  185223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185248 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  185248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  185265 */     GIR_RootConstrainSelectedInstOperands,
     /*  185266 */     // GIR_Coverage, 8491,
     /*  185266 */     GIR_EraseRootFromParent_Done,
     /*  185267 */   // Label 4089: @185267
     /*  185267 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(185330), // Rule ID 8494 //
     /*  185272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  185286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185311 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185328 */     GIR_RootConstrainSelectedInstOperands,
     /*  185329 */     // GIR_Coverage, 8494,
     /*  185329 */     GIR_EraseRootFromParent_Done,
     /*  185330 */   // Label 4090: @185330
     /*  185330 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(185393), // Rule ID 8495 //
     /*  185335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  185349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185374 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185391 */     GIR_RootConstrainSelectedInstOperands,
     /*  185392 */     // GIR_Coverage, 8495,
     /*  185392 */     GIR_EraseRootFromParent_Done,
     /*  185393 */   // Label 4091: @185393
     /*  185393 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(185456), // Rule ID 8498 //
     /*  185398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  185412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185437 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185454 */     GIR_RootConstrainSelectedInstOperands,
     /*  185455 */     // GIR_Coverage, 8498,
     /*  185455 */     GIR_EraseRootFromParent_Done,
     /*  185456 */   // Label 4092: @185456
     /*  185456 */   GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(185519), // Rule ID 8499 //
     /*  185461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  185475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185500 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185517 */     GIR_RootConstrainSelectedInstOperands,
     /*  185518 */     // GIR_Coverage, 8499,
     /*  185518 */     GIR_EraseRootFromParent_Done,
     /*  185519 */   // Label 4093: @185519
     /*  185519 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(185582), // Rule ID 8502 //
     /*  185524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  185538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185563 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  185563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185580 */     GIR_RootConstrainSelectedInstOperands,
     /*  185581 */     // GIR_Coverage, 8502,
     /*  185581 */     GIR_EraseRootFromParent_Done,
     /*  185582 */   // Label 4094: @185582
     /*  185582 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(185645), // Rule ID 8503 //
     /*  185587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  185598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  185601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185626 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  185626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  185643 */     GIR_RootConstrainSelectedInstOperands,
     /*  185644 */     // GIR_Coverage, 8503,
     /*  185644 */     GIR_EraseRootFromParent_Done,
     /*  185645 */   // Label 4095: @185645
     /*  185645 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(185708), // Rule ID 8506 //
     /*  185650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  185661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  185664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185689 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185706 */     GIR_RootConstrainSelectedInstOperands,
     /*  185707 */     // GIR_Coverage, 8506,
     /*  185707 */     GIR_EraseRootFromParent_Done,
     /*  185708 */   // Label 4096: @185708
     /*  185708 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(185771), // Rule ID 8507 //
     /*  185713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  185724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  185727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  185741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185752 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  185752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  185755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185769 */     GIR_RootConstrainSelectedInstOperands,
     /*  185770 */     // GIR_Coverage, 8507,
     /*  185770 */     GIR_EraseRootFromParent_Done,
     /*  185771 */   // Label 4097: @185771
     /*  185771 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(185834), // Rule ID 8510 //
     /*  185776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  185790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185832 */     GIR_RootConstrainSelectedInstOperands,
     /*  185833 */     // GIR_Coverage, 8510,
     /*  185833 */     GIR_EraseRootFromParent_Done,
     /*  185834 */   // Label 4098: @185834
     /*  185834 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(185897), // Rule ID 8511 //
     /*  185839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  185850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  185853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  185867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  185878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  185881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185895 */     GIR_RootConstrainSelectedInstOperands,
     /*  185896 */     // GIR_Coverage, 8511,
     /*  185896 */     GIR_EraseRootFromParent_Done,
     /*  185897 */   // Label 4099: @185897
     /*  185897 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(185960), // Rule ID 8514 //
     /*  185902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  185905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  185916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  185919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  185922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  185941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  185941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  185944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  185946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  185948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  185950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  185955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  185958 */     GIR_RootConstrainSelectedInstOperands,
     /*  185959 */     // GIR_Coverage, 8514,
     /*  185959 */     GIR_EraseRootFromParent_Done,
     /*  185960 */   // Label 4100: @185960
     /*  185960 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(186023), // Rule ID 8515 //
     /*  185965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  185968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  185973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  185976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  185979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  185982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  185985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  185989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  185993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186004 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  186004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  186007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  186021 */     GIR_RootConstrainSelectedInstOperands,
     /*  186022 */     // GIR_Coverage, 8515,
     /*  186022 */     GIR_EraseRootFromParent_Done,
     /*  186023 */   // Label 4101: @186023
     /*  186023 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(186086), // Rule ID 8518 //
     /*  186028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  186031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  186042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  186056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186067 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  186070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186084 */     GIR_RootConstrainSelectedInstOperands,
     /*  186085 */     // GIR_Coverage, 8518,
     /*  186085 */     GIR_EraseRootFromParent_Done,
     /*  186086 */   // Label 4102: @186086
     /*  186086 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(186149), // Rule ID 8519 //
     /*  186091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  186105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  186119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11095:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  186133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186147 */     GIR_RootConstrainSelectedInstOperands,
     /*  186148 */     // GIR_Coverage, 8519,
     /*  186148 */     GIR_EraseRootFromParent_Done,
     /*  186149 */   // Label 4103: @186149
     /*  186149 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(186212), // Rule ID 8522 //
     /*  186154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  186157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  186168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  186182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186193 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  186196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186210 */     GIR_RootConstrainSelectedInstOperands,
     /*  186211 */     // GIR_Coverage, 8522,
     /*  186211 */     GIR_EraseRootFromParent_Done,
     /*  186212 */   // Label 4104: @186212
     /*  186212 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(186275), // Rule ID 8523 //
     /*  186217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  186231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  186245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186256 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11095:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  186259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186273 */     GIR_RootConstrainSelectedInstOperands,
     /*  186274 */     // GIR_Coverage, 8523,
     /*  186274 */     GIR_EraseRootFromParent_Done,
     /*  186275 */   // Label 4105: @186275
     /*  186275 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(186338), // Rule ID 8526 //
     /*  186280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  186283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  186291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  186294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  186297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  186308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186319 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  186319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  186322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186336 */     GIR_RootConstrainSelectedInstOperands,
     /*  186337 */     // GIR_Coverage, 8526,
     /*  186337 */     GIR_EraseRootFromParent_Done,
     /*  186338 */   // Label 4106: @186338
     /*  186338 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(186401), // Rule ID 8527 //
     /*  186343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  186346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  186351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  186354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  186357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  186360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  186371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186382 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11095:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  186382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  186385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  186399 */     GIR_RootConstrainSelectedInstOperands,
     /*  186400 */     // GIR_Coverage, 8527,
     /*  186400 */     GIR_EraseRootFromParent_Done,
     /*  186401 */   // Label 4107: @186401
     /*  186401 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(186464), // Rule ID 8530 //
     /*  186406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  186420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  186423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186445 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  186448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186462 */     GIR_RootConstrainSelectedInstOperands,
     /*  186463 */     // GIR_Coverage, 8530,
     /*  186463 */     GIR_EraseRootFromParent_Done,
     /*  186464 */   // Label 4108: @186464
     /*  186464 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(186527), // Rule ID 8531 //
     /*  186469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  186483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  186486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  186511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186525 */     GIR_RootConstrainSelectedInstOperands,
     /*  186526 */     // GIR_Coverage, 8531,
     /*  186526 */     GIR_EraseRootFromParent_Done,
     /*  186527 */   // Label 4109: @186527
     /*  186527 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(186590), // Rule ID 8534 //
     /*  186532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  186546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  186549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186588 */     GIR_RootConstrainSelectedInstOperands,
     /*  186589 */     // GIR_Coverage, 8534,
     /*  186589 */     GIR_EraseRootFromParent_Done,
     /*  186590 */   // Label 4110: @186590
     /*  186590 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(186653), // Rule ID 8535 //
     /*  186595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  186609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  186612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186651 */     GIR_RootConstrainSelectedInstOperands,
     /*  186652 */     // GIR_Coverage, 8535,
     /*  186652 */     GIR_EraseRootFromParent_Done,
     /*  186653 */   // Label 4111: @186653
     /*  186653 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(186716), // Rule ID 8538 //
     /*  186658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  186672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  186675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  186697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186714 */     GIR_RootConstrainSelectedInstOperands,
     /*  186715 */     // GIR_Coverage, 8538,
     /*  186715 */     GIR_EraseRootFromParent_Done,
     /*  186716 */   // Label 4112: @186716
     /*  186716 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(186779), // Rule ID 8539 //
     /*  186721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  186732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  186735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  186738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  186760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  186777 */     GIR_RootConstrainSelectedInstOperands,
     /*  186778 */     // GIR_Coverage, 8539,
     /*  186778 */     GIR_EraseRootFromParent_Done,
     /*  186779 */   // Label 4113: @186779
     /*  186779 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(186842), // Rule ID 8542 //
     /*  186784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  186798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  186801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186823 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  186823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186840 */     GIR_RootConstrainSelectedInstOperands,
     /*  186841 */     // GIR_Coverage, 8542,
     /*  186841 */     GIR_EraseRootFromParent_Done,
     /*  186842 */   // Label 4114: @186842
     /*  186842 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(186905), // Rule ID 8543 //
     /*  186847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  186858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  186861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  186864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186886 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  186886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  186889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186903 */     GIR_RootConstrainSelectedInstOperands,
     /*  186904 */     // GIR_Coverage, 8543,
     /*  186904 */     GIR_EraseRootFromParent_Done,
     /*  186905 */   // Label 4115: @186905
     /*  186905 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(186968), // Rule ID 8546 //
     /*  186910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  186913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  186924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  186927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  186930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  186949 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  186949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  186952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  186954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  186956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  186958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  186963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  186966 */     GIR_RootConstrainSelectedInstOperands,
     /*  186967 */     // GIR_Coverage, 8546,
     /*  186967 */     GIR_EraseRootFromParent_Done,
     /*  186968 */   // Label 4116: @186968
     /*  186968 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(187031), // Rule ID 8547 //
     /*  186973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  186976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  186981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  186984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  186987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  186990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  186993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  186997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  187012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  187015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187029 */     GIR_RootConstrainSelectedInstOperands,
     /*  187030 */     // GIR_Coverage, 8547,
     /*  187030 */     GIR_EraseRootFromParent_Done,
     /*  187031 */   // Label 4117: @187031
     /*  187031 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(187094), // Rule ID 8550 //
     /*  187036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  187050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  187053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187075 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  187075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  187078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187092 */     GIR_RootConstrainSelectedInstOperands,
     /*  187093 */     // GIR_Coverage, 8550,
     /*  187093 */     GIR_EraseRootFromParent_Done,
     /*  187094 */   // Label 4118: @187094
     /*  187094 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(187157), // Rule ID 8551 //
     /*  187099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  187113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  187116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  187138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  187141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187155 */     GIR_RootConstrainSelectedInstOperands,
     /*  187156 */     // GIR_Coverage, 8551,
     /*  187156 */     GIR_EraseRootFromParent_Done,
     /*  187157 */   // Label 4119: @187157
     /*  187157 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(187220), // Rule ID 8554 //
     /*  187162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  187173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  187176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  187179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187218 */     GIR_RootConstrainSelectedInstOperands,
     /*  187219 */     // GIR_Coverage, 8554,
     /*  187219 */     GIR_EraseRootFromParent_Done,
     /*  187220 */   // Label 4120: @187220
     /*  187220 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(187283), // Rule ID 8555 //
     /*  187225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  187236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  187239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  187242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187281 */     GIR_RootConstrainSelectedInstOperands,
     /*  187282 */     // GIR_Coverage, 8555,
     /*  187282 */     GIR_EraseRootFromParent_Done,
     /*  187283 */   // Label 4121: @187283
     /*  187283 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(187346), // Rule ID 8558 //
     /*  187288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  187299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  187302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  187305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187327 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  187327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187344 */     GIR_RootConstrainSelectedInstOperands,
     /*  187345 */     // GIR_Coverage, 8558,
     /*  187345 */     GIR_EraseRootFromParent_Done,
     /*  187346 */   // Label 4122: @187346
     /*  187346 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(187409), // Rule ID 8559 //
     /*  187351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  187362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  187365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  187368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  187390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  187407 */     GIR_RootConstrainSelectedInstOperands,
     /*  187408 */     // GIR_Coverage, 8559,
     /*  187408 */     GIR_EraseRootFromParent_Done,
     /*  187409 */   // Label 4123: @187409
     /*  187409 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(187472), // Rule ID 8562 //
     /*  187414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  187425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  187428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  187431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187453 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  187453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187470 */     GIR_RootConstrainSelectedInstOperands,
     /*  187471 */     // GIR_Coverage, 8562,
     /*  187471 */     GIR_EraseRootFromParent_Done,
     /*  187472 */   // Label 4124: @187472
     /*  187472 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(187535), // Rule ID 8563 //
     /*  187477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  187488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  187491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  187494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  187516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  187533 */     GIR_RootConstrainSelectedInstOperands,
     /*  187534 */     // GIR_Coverage, 8563,
     /*  187534 */     GIR_EraseRootFromParent_Done,
     /*  187535 */   // Label 4125: @187535
     /*  187535 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(187598), // Rule ID 8566 //
     /*  187540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  187543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  187554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  187557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187579 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  187579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187596 */     GIR_RootConstrainSelectedInstOperands,
     /*  187597 */     // GIR_Coverage, 8566,
     /*  187597 */     GIR_EraseRootFromParent_Done,
     /*  187598 */   // Label 4126: @187598
     /*  187598 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(187661), // Rule ID 8567 //
     /*  187603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  187606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  187614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  187617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  187620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  187642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  187645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  187659 */     GIR_RootConstrainSelectedInstOperands,
     /*  187660 */     // GIR_Coverage, 8567,
     /*  187660 */     GIR_EraseRootFromParent_Done,
     /*  187661 */   // Label 4127: @187661
     /*  187661 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(187724), // Rule ID 8570 //
     /*  187666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  187677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  187680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  187683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187705 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  187708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187722 */     GIR_RootConstrainSelectedInstOperands,
     /*  187723 */     // GIR_Coverage, 8570,
     /*  187723 */     GIR_EraseRootFromParent_Done,
     /*  187724 */   // Label 4128: @187724
     /*  187724 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(187787), // Rule ID 8571 //
     /*  187729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  187740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  187743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  187746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  187761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  187771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187785 */     GIR_RootConstrainSelectedInstOperands,
     /*  187786 */     // GIR_Coverage, 8571,
     /*  187786 */     GIR_EraseRootFromParent_Done,
     /*  187787 */   // Label 4129: @187787
     /*  187787 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(187850), // Rule ID 8574 //
     /*  187792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  187803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  187806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  187809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187831 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  187834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187848 */     GIR_RootConstrainSelectedInstOperands,
     /*  187849 */     // GIR_Coverage, 8574,
     /*  187849 */     GIR_EraseRootFromParent_Done,
     /*  187850 */   // Label 4130: @187850
     /*  187850 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(187913), // Rule ID 8575 //
     /*  187855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  187866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  187869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  187872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  187875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  187887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187894 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  187894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  187897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187911 */     GIR_RootConstrainSelectedInstOperands,
     /*  187912 */     // GIR_Coverage, 8575,
     /*  187912 */     GIR_EraseRootFromParent_Done,
     /*  187913 */   // Label 4131: @187913
     /*  187913 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(187976), // Rule ID 8578 //
     /*  187918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  187921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  187929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  187932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  187935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  187938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  187942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  187950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  187957 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  187957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  187960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  187962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  187964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  187966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  187971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  187974 */     GIR_RootConstrainSelectedInstOperands,
     /*  187975 */     // GIR_Coverage, 8578,
     /*  187975 */     GIR_EraseRootFromParent_Done,
     /*  187976 */   // Label 4132: @187976
     /*  187976 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(188039), // Rule ID 8579 //
     /*  187981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  187984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  187989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  187992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  187995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  187998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188020 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  188020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  188037 */     GIR_RootConstrainSelectedInstOperands,
     /*  188038 */     // GIR_Coverage, 8579,
     /*  188038 */     GIR_EraseRootFromParent_Done,
     /*  188039 */   // Label 4133: @188039
     /*  188039 */   GIM_Try, /*On fail goto*//*Label 4134*/ GIMT_Encode4(188102), // Rule ID 8582 //
     /*  188044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  188058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  188061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188100 */     GIR_RootConstrainSelectedInstOperands,
     /*  188101 */     // GIR_Coverage, 8582,
     /*  188101 */     GIR_EraseRootFromParent_Done,
     /*  188102 */   // Label 4134: @188102
     /*  188102 */   GIM_Try, /*On fail goto*//*Label 4135*/ GIMT_Encode4(188165), // Rule ID 8583 //
     /*  188107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  188121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  188124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188163 */     GIR_RootConstrainSelectedInstOperands,
     /*  188164 */     // GIR_Coverage, 8583,
     /*  188164 */     GIR_EraseRootFromParent_Done,
     /*  188165 */   // Label 4135: @188165
     /*  188165 */   GIM_Try, /*On fail goto*//*Label 4136*/ GIMT_Encode4(188228), // Rule ID 8586 //
     /*  188170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  188184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  188187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188209 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188226 */     GIR_RootConstrainSelectedInstOperands,
     /*  188227 */     // GIR_Coverage, 8586,
     /*  188227 */     GIR_EraseRootFromParent_Done,
     /*  188228 */   // Label 4136: @188228
     /*  188228 */   GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(188291), // Rule ID 8587 //
     /*  188233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  188247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  188250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188272 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188289 */     GIR_RootConstrainSelectedInstOperands,
     /*  188290 */     // GIR_Coverage, 8587,
     /*  188290 */     GIR_EraseRootFromParent_Done,
     /*  188291 */   // Label 4137: @188291
     /*  188291 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(188354), // Rule ID 8590 //
     /*  188296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  188307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  188310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  188313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188335 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  188335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188352 */     GIR_RootConstrainSelectedInstOperands,
     /*  188353 */     // GIR_Coverage, 8590,
     /*  188353 */     GIR_EraseRootFromParent_Done,
     /*  188354 */   // Label 4138: @188354
     /*  188354 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(188417), // Rule ID 8591 //
     /*  188359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  188370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  188373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  188376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188398 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  188398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  188415 */     GIR_RootConstrainSelectedInstOperands,
     /*  188416 */     // GIR_Coverage, 8591,
     /*  188416 */     GIR_EraseRootFromParent_Done,
     /*  188417 */   // Label 4139: @188417
     /*  188417 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(188480), // Rule ID 8594 //
     /*  188422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  188436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  188439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188478 */     GIR_RootConstrainSelectedInstOperands,
     /*  188479 */     // GIR_Coverage, 8594,
     /*  188479 */     GIR_EraseRootFromParent_Done,
     /*  188480 */   // Label 4140: @188480
     /*  188480 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(188543), // Rule ID 8595 //
     /*  188485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  188499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  188502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188541 */     GIR_RootConstrainSelectedInstOperands,
     /*  188542 */     // GIR_Coverage, 8595,
     /*  188542 */     GIR_EraseRootFromParent_Done,
     /*  188543 */   // Label 4141: @188543
     /*  188543 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(188606), // Rule ID 8598 //
     /*  188548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  188562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  188565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188587 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188604 */     GIR_RootConstrainSelectedInstOperands,
     /*  188605 */     // GIR_Coverage, 8598,
     /*  188605 */     GIR_EraseRootFromParent_Done,
     /*  188606 */   // Label 4142: @188606
     /*  188606 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(188669), // Rule ID 8599 //
     /*  188611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  188622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  188625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  188628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188667 */     GIR_RootConstrainSelectedInstOperands,
     /*  188668 */     // GIR_Coverage, 8599,
     /*  188668 */     GIR_EraseRootFromParent_Done,
     /*  188669 */   // Label 4143: @188669
     /*  188669 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(188732), // Rule ID 8602 //
     /*  188674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  188677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  188688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  188691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188713 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  188713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188730 */     GIR_RootConstrainSelectedInstOperands,
     /*  188731 */     // GIR_Coverage, 8602,
     /*  188731 */     GIR_EraseRootFromParent_Done,
     /*  188732 */   // Label 4144: @188732
     /*  188732 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(188795), // Rule ID 8603 //
     /*  188737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  188740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  188748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  188751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  188754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  188769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188776 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  188776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  188779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  188793 */     GIR_RootConstrainSelectedInstOperands,
     /*  188794 */     // GIR_Coverage, 8603,
     /*  188794 */     GIR_EraseRootFromParent_Done,
     /*  188795 */   // Label 4145: @188795
     /*  188795 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(188858), // Rule ID 8606 //
     /*  188800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  188803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  188811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  188814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  188817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188839 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  188839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188856 */     GIR_RootConstrainSelectedInstOperands,
     /*  188857 */     // GIR_Coverage, 8606,
     /*  188857 */     GIR_EraseRootFromParent_Done,
     /*  188858 */   // Label 4146: @188858
     /*  188858 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(188921), // Rule ID 8607 //
     /*  188863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  188866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  188874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  188877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  188880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  188883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  188895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  188902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  188905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188919 */     GIR_RootConstrainSelectedInstOperands,
     /*  188920 */     // GIR_Coverage, 8607,
     /*  188920 */     GIR_EraseRootFromParent_Done,
     /*  188921 */   // Label 4147: @188921
     /*  188921 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(188984), // Rule ID 8610 //
     /*  188926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  188929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  188937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  188940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  188943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  188946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  188950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  188958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  188965 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  188965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  188968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  188970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  188972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  188974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  188979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  188982 */     GIR_RootConstrainSelectedInstOperands,
     /*  188983 */     // GIR_Coverage, 8610,
     /*  188983 */     GIR_EraseRootFromParent_Done,
     /*  188984 */   // Label 4148: @188984
     /*  188984 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(189047), // Rule ID 8611 //
     /*  188989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  188992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  188997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  189000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  189003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  189006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  189017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  189021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  189028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  189031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189045 */     GIR_RootConstrainSelectedInstOperands,
     /*  189046 */     // GIR_Coverage, 8611,
     /*  189046 */     GIR_EraseRootFromParent_Done,
     /*  189047 */   // Label 4149: @189047
     /*  189047 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(189110), // Rule ID 8614 //
     /*  189052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  189055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  189066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  189069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  189091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  189094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189108 */     GIR_RootConstrainSelectedInstOperands,
     /*  189109 */     // GIR_Coverage, 8614,
     /*  189109 */     GIR_EraseRootFromParent_Done,
     /*  189110 */   // Label 4150: @189110
     /*  189110 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(189173), // Rule ID 8615 //
     /*  189115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  189118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  189129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  189132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  189147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189154 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  189154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  189157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  189171 */     GIR_RootConstrainSelectedInstOperands,
     /*  189172 */     // GIR_Coverage, 8615,
     /*  189172 */     GIR_EraseRootFromParent_Done,
     /*  189173 */   // Label 4151: @189173
     /*  189173 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(189236), // Rule ID 8618 //
     /*  189178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  189192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189217 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  189220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189234 */     GIR_RootConstrainSelectedInstOperands,
     /*  189235 */     // GIR_Coverage, 8618,
     /*  189235 */     GIR_EraseRootFromParent_Done,
     /*  189236 */   // Label 4152: @189236
     /*  189236 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(189299), // Rule ID 8619 //
     /*  189241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  189255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189280 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  189283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189297 */     GIR_RootConstrainSelectedInstOperands,
     /*  189298 */     // GIR_Coverage, 8619,
     /*  189298 */     GIR_EraseRootFromParent_Done,
     /*  189299 */   // Label 4153: @189299
     /*  189299 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(189362), // Rule ID 8622 //
     /*  189304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  189318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189343 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189360 */     GIR_RootConstrainSelectedInstOperands,
     /*  189361 */     // GIR_Coverage, 8622,
     /*  189361 */     GIR_EraseRootFromParent_Done,
     /*  189362 */   // Label 4154: @189362
     /*  189362 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(189425), // Rule ID 8623 //
     /*  189367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  189381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189406 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189423 */     GIR_RootConstrainSelectedInstOperands,
     /*  189424 */     // GIR_Coverage, 8623,
     /*  189424 */     GIR_EraseRootFromParent_Done,
     /*  189425 */   // Label 4155: @189425
     /*  189425 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(189488), // Rule ID 8626 //
     /*  189430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  189441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  189444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189486 */     GIR_RootConstrainSelectedInstOperands,
     /*  189487 */     // GIR_Coverage, 8626,
     /*  189487 */     GIR_EraseRootFromParent_Done,
     /*  189488 */   // Label 4156: @189488
     /*  189488 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(189551), // Rule ID 8627 //
     /*  189493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  189504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  189507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189532 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  189532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189549 */     GIR_RootConstrainSelectedInstOperands,
     /*  189550 */     // GIR_Coverage, 8627,
     /*  189550 */     GIR_EraseRootFromParent_Done,
     /*  189551 */   // Label 4157: @189551
     /*  189551 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(189614), // Rule ID 8630 //
     /*  189556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  189570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  189595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189612 */     GIR_RootConstrainSelectedInstOperands,
     /*  189613 */     // GIR_Coverage, 8630,
     /*  189613 */     GIR_EraseRootFromParent_Done,
     /*  189614 */   // Label 4158: @189614
     /*  189614 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(189677), // Rule ID 8631 //
     /*  189619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  189633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  189658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  189661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189675 */     GIR_RootConstrainSelectedInstOperands,
     /*  189676 */     // GIR_Coverage, 8631,
     /*  189676 */     GIR_EraseRootFromParent_Done,
     /*  189677 */   // Label 4159: @189677
     /*  189677 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(189740), // Rule ID 8634 //
     /*  189682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  189696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189721 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  189721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189738 */     GIR_RootConstrainSelectedInstOperands,
     /*  189739 */     // GIR_Coverage, 8634,
     /*  189739 */     GIR_EraseRootFromParent_Done,
     /*  189740 */   // Label 4160: @189740
     /*  189740 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(189803), // Rule ID 8635 //
     /*  189745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  189756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  189759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  189784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  189801 */     GIR_RootConstrainSelectedInstOperands,
     /*  189802 */     // GIR_Coverage, 8635,
     /*  189802 */     GIR_EraseRootFromParent_Done,
     /*  189803 */   // Label 4161: @189803
     /*  189803 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(189866), // Rule ID 8638 //
     /*  189808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  189822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189847 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  189847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189864 */     GIR_RootConstrainSelectedInstOperands,
     /*  189865 */     // GIR_Coverage, 8638,
     /*  189865 */     GIR_EraseRootFromParent_Done,
     /*  189866 */   // Label 4162: @189866
     /*  189866 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(189929), // Rule ID 8639 //
     /*  189871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  189874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  189882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  189885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  189888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  189891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  189910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  189913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  189927 */     GIR_RootConstrainSelectedInstOperands,
     /*  189928 */     // GIR_Coverage, 8639,
     /*  189928 */     GIR_EraseRootFromParent_Done,
     /*  189929 */   // Label 4163: @189929
     /*  189929 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(189992), // Rule ID 8642 //
     /*  189934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  189937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  189942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  189945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  189948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  189951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  189954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  189962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  189973 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  189973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  189976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  189978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  189980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  189982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  189987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  189990 */     GIR_RootConstrainSelectedInstOperands,
     /*  189991 */     // GIR_Coverage, 8642,
     /*  189991 */     GIR_EraseRootFromParent_Done,
     /*  189992 */   // Label 4164: @189992
     /*  189992 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(190055), // Rule ID 8643 //
     /*  189997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  190008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  190011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190053 */     GIR_RootConstrainSelectedInstOperands,
     /*  190054 */     // GIR_Coverage, 8643,
     /*  190054 */     GIR_EraseRootFromParent_Done,
     /*  190055 */   // Label 4165: @190055
     /*  190055 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(190118), // Rule ID 8646 //
     /*  190060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  190071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  190074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190099 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190116 */     GIR_RootConstrainSelectedInstOperands,
     /*  190117 */     // GIR_Coverage, 8646,
     /*  190117 */     GIR_EraseRootFromParent_Done,
     /*  190118 */   // Label 4166: @190118
     /*  190118 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(190181), // Rule ID 8647 //
     /*  190123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  190134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  190137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  190162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190179 */     GIR_RootConstrainSelectedInstOperands,
     /*  190180 */     // GIR_Coverage, 8647,
     /*  190180 */     GIR_EraseRootFromParent_Done,
     /*  190181 */   // Label 4167: @190181
     /*  190181 */   GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(190244), // Rule ID 8650 //
     /*  190186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  190197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  190200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190225 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  190225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  190242 */     GIR_RootConstrainSelectedInstOperands,
     /*  190243 */     // GIR_Coverage, 8650,
     /*  190243 */     GIR_EraseRootFromParent_Done,
     /*  190244 */   // Label 4168: @190244
     /*  190244 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(190307), // Rule ID 8651 //
     /*  190249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  190260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  190263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  190288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  190305 */     GIR_RootConstrainSelectedInstOperands,
     /*  190306 */     // GIR_Coverage, 8651,
     /*  190306 */     GIR_EraseRootFromParent_Done,
     /*  190307 */   // Label 4169: @190307
     /*  190307 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(190370), // Rule ID 8654 //
     /*  190312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  190315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  190323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  190326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190351 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  190351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  190368 */     GIR_RootConstrainSelectedInstOperands,
     /*  190369 */     // GIR_Coverage, 8654,
     /*  190369 */     GIR_EraseRootFromParent_Done,
     /*  190370 */   // Label 4170: @190370
     /*  190370 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(190433), // Rule ID 8655 //
     /*  190375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  190378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  190386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  190389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11093:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  190414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  190417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  190431 */     GIR_RootConstrainSelectedInstOperands,
     /*  190432 */     // GIR_Coverage, 8655,
     /*  190432 */     GIR_EraseRootFromParent_Done,
     /*  190433 */   // Label 4171: @190433
     /*  190433 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(190496), // Rule ID 8658 //
     /*  190438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  190452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190477 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190494 */     GIR_RootConstrainSelectedInstOperands,
     /*  190495 */     // GIR_Coverage, 8658,
     /*  190495 */     GIR_EraseRootFromParent_Done,
     /*  190496 */   // Label 4172: @190496
     /*  190496 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(190559), // Rule ID 8659 //
     /*  190501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  190515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190540 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190557 */     GIR_RootConstrainSelectedInstOperands,
     /*  190558 */     // GIR_Coverage, 8659,
     /*  190558 */     GIR_EraseRootFromParent_Done,
     /*  190559 */   // Label 4173: @190559
     /*  190559 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(190622), // Rule ID 8662 //
     /*  190564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  190575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  190578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190603 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190620 */     GIR_RootConstrainSelectedInstOperands,
     /*  190621 */     // GIR_Coverage, 8662,
     /*  190621 */     GIR_EraseRootFromParent_Done,
     /*  190622 */   // Label 4174: @190622
     /*  190622 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(190685), // Rule ID 8663 //
     /*  190627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  190638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  190641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190683 */     GIR_RootConstrainSelectedInstOperands,
     /*  190684 */     // GIR_Coverage, 8663,
     /*  190684 */     GIR_EraseRootFromParent_Done,
     /*  190685 */   // Label 4175: @190685
     /*  190685 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(190748), // Rule ID 8666 //
     /*  190690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  190701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  190704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  190718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190729 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  190729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  190732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190746 */     GIR_RootConstrainSelectedInstOperands,
     /*  190747 */     // GIR_Coverage, 8666,
     /*  190747 */     GIR_EraseRootFromParent_Done,
     /*  190748 */   // Label 4176: @190748
     /*  190748 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(190811), // Rule ID 8667 //
     /*  190753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  190764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  190767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  190781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190792 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  190792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  190795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  190809 */     GIR_RootConstrainSelectedInstOperands,
     /*  190810 */     // GIR_Coverage, 8667,
     /*  190810 */     GIR_EraseRootFromParent_Done,
     /*  190811 */   // Label 4177: @190811
     /*  190811 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(190874), // Rule ID 8670 //
     /*  190816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  190827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  190830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190855 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190872 */     GIR_RootConstrainSelectedInstOperands,
     /*  190873 */     // GIR_Coverage, 8670,
     /*  190873 */     GIR_EraseRootFromParent_Done,
     /*  190874 */   // Label 4178: @190874
     /*  190874 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(190937), // Rule ID 8671 //
     /*  190879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  190882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  190890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  190893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  190896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  190899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  190907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  190918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  190921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190935 */     GIR_RootConstrainSelectedInstOperands,
     /*  190936 */     // GIR_Coverage, 8671,
     /*  190936 */     GIR_EraseRootFromParent_Done,
     /*  190937 */   // Label 4179: @190937
     /*  190937 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(191000), // Rule ID 8674 //
     /*  190942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  190945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  190950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  190953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  190956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  190959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  190962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  190966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  190970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  190981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  190981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  190984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  190986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  190988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  190990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  190995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  190998 */     GIR_RootConstrainSelectedInstOperands,
     /*  190999 */     // GIR_Coverage, 8674,
     /*  190999 */     GIR_EraseRootFromParent_Done,
     /*  191000 */   // Label 4180: @191000
     /*  191000 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(191063), // Rule ID 8675 //
     /*  191005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  191016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  191019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191044 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  191044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191061 */     GIR_RootConstrainSelectedInstOperands,
     /*  191062 */     // GIR_Coverage, 8675,
     /*  191062 */     GIR_EraseRootFromParent_Done,
     /*  191063 */   // Label 4181: @191063
     /*  191063 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(191126), // Rule ID 8678 //
     /*  191068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  191079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  191082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191107 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  191107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191124 */     GIR_RootConstrainSelectedInstOperands,
     /*  191125 */     // GIR_Coverage, 8678,
     /*  191125 */     GIR_EraseRootFromParent_Done,
     /*  191126 */   // Label 4182: @191126
     /*  191126 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(191189), // Rule ID 8679 //
     /*  191131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  191142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  191145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  191170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  191187 */     GIR_RootConstrainSelectedInstOperands,
     /*  191188 */     // GIR_Coverage, 8679,
     /*  191188 */     GIR_EraseRootFromParent_Done,
     /*  191189 */   // Label 4183: @191189
     /*  191189 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(191252), // Rule ID 8682 //
     /*  191194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  191208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191233 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191250 */     GIR_RootConstrainSelectedInstOperands,
     /*  191251 */     // GIR_Coverage, 8682,
     /*  191251 */     GIR_EraseRootFromParent_Done,
     /*  191252 */   // Label 4184: @191252
     /*  191252 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(191315), // Rule ID 8683 //
     /*  191257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  191271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191313 */     GIR_RootConstrainSelectedInstOperands,
     /*  191314 */     // GIR_Coverage, 8683,
     /*  191314 */     GIR_EraseRootFromParent_Done,
     /*  191315 */   // Label 4185: @191315
     /*  191315 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(191378), // Rule ID 8686 //
     /*  191320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  191334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191359 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191376 */     GIR_RootConstrainSelectedInstOperands,
     /*  191377 */     // GIR_Coverage, 8686,
     /*  191377 */     GIR_EraseRootFromParent_Done,
     /*  191378 */   // Label 4186: @191378
     /*  191378 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(191441), // Rule ID 8687 //
     /*  191383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  191397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191439 */     GIR_RootConstrainSelectedInstOperands,
     /*  191440 */     // GIR_Coverage, 8687,
     /*  191440 */     GIR_EraseRootFromParent_Done,
     /*  191441 */   // Label 4187: @191441
     /*  191441 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(191504), // Rule ID 8690 //
     /*  191446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  191457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  191460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191485 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  191485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191502 */     GIR_RootConstrainSelectedInstOperands,
     /*  191503 */     // GIR_Coverage, 8690,
     /*  191503 */     GIR_EraseRootFromParent_Done,
     /*  191504 */   // Label 4188: @191504
     /*  191504 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(191567), // Rule ID 8691 //
     /*  191509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  191512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  191520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  191523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  191548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  191565 */     GIR_RootConstrainSelectedInstOperands,
     /*  191566 */     // GIR_Coverage, 8691,
     /*  191566 */     GIR_EraseRootFromParent_Done,
     /*  191567 */   // Label 4189: @191567
     /*  191567 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(191630), // Rule ID 8694 //
     /*  191572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  191583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  191586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191611 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191628 */     GIR_RootConstrainSelectedInstOperands,
     /*  191629 */     // GIR_Coverage, 8694,
     /*  191629 */     GIR_EraseRootFromParent_Done,
     /*  191630 */   // Label 4190: @191630
     /*  191630 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(191693), // Rule ID 8695 //
     /*  191635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  191646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  191649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  191663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11093:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  191677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191691 */     GIR_RootConstrainSelectedInstOperands,
     /*  191692 */     // GIR_Coverage, 8695,
     /*  191692 */     GIR_EraseRootFromParent_Done,
     /*  191693 */   // Label 4191: @191693
     /*  191693 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(191756), // Rule ID 8698 //
     /*  191698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  191712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191737 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191754 */     GIR_RootConstrainSelectedInstOperands,
     /*  191755 */     // GIR_Coverage, 8698,
     /*  191755 */     GIR_EraseRootFromParent_Done,
     /*  191756 */   // Label 4192: @191756
     /*  191756 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(191819), // Rule ID 8699 //
     /*  191761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  191772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  191775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  191789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11093:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  191803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191817 */     GIR_RootConstrainSelectedInstOperands,
     /*  191818 */     // GIR_Coverage, 8699,
     /*  191818 */     GIR_EraseRootFromParent_Done,
     /*  191819 */   // Label 4193: @191819
     /*  191819 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(191882), // Rule ID 8702 //
     /*  191824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  191827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  191838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  191841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191863 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  191863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191880 */     GIR_RootConstrainSelectedInstOperands,
     /*  191881 */     // GIR_Coverage, 8702,
     /*  191881 */     GIR_EraseRootFromParent_Done,
     /*  191882 */   // Label 4194: @191882
     /*  191882 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(191945), // Rule ID 8703 //
     /*  191887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  191890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  191895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  191898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  191901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  191904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  191907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  191915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11093:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  191926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  191929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  191940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  191943 */     GIR_RootConstrainSelectedInstOperands,
     /*  191944 */     // GIR_Coverage, 8703,
     /*  191944 */     GIR_EraseRootFromParent_Done,
     /*  191945 */   // Label 4195: @191945
     /*  191945 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(192008), // Rule ID 8794 //
     /*  191950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  191953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  191958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  191961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  191964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  191967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  191970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  191982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  191989 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  191989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  191992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  191994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  191996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  191998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192006 */     GIR_RootConstrainSelectedInstOperands,
     /*  192007 */     // GIR_Coverage, 8794,
     /*  192007 */     GIR_EraseRootFromParent_Done,
     /*  192008 */   // Label 4196: @192008
     /*  192008 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(192071), // Rule ID 8795 //
     /*  192013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  192027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  192030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  192055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192069 */     GIR_RootConstrainSelectedInstOperands,
     /*  192070 */     // GIR_Coverage, 8795,
     /*  192070 */     GIR_EraseRootFromParent_Done,
     /*  192071 */   // Label 4197: @192071
     /*  192071 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(192134), // Rule ID 8798 //
     /*  192076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  192090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  192093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192132 */     GIR_RootConstrainSelectedInstOperands,
     /*  192133 */     // GIR_Coverage, 8798,
     /*  192133 */     GIR_EraseRootFromParent_Done,
     /*  192134 */   // Label 4198: @192134
     /*  192134 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(192197), // Rule ID 8799 //
     /*  192139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  192153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  192156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192195 */     GIR_RootConstrainSelectedInstOperands,
     /*  192196 */     // GIR_Coverage, 8799,
     /*  192196 */     GIR_EraseRootFromParent_Done,
     /*  192197 */   // Label 4199: @192197
     /*  192197 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(192260), // Rule ID 8802 //
     /*  192202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  192216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  192219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192241 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192258 */     GIR_RootConstrainSelectedInstOperands,
     /*  192259 */     // GIR_Coverage, 8802,
     /*  192259 */     GIR_EraseRootFromParent_Done,
     /*  192260 */   // Label 4200: @192260
     /*  192260 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(192323), // Rule ID 8803 //
     /*  192265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  192279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  192282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192321 */     GIR_RootConstrainSelectedInstOperands,
     /*  192322 */     // GIR_Coverage, 8803,
     /*  192322 */     GIR_EraseRootFromParent_Done,
     /*  192323 */   // Label 4201: @192323
     /*  192323 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(192386), // Rule ID 8806 //
     /*  192328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  192342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  192345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192367 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192384 */     GIR_RootConstrainSelectedInstOperands,
     /*  192385 */     // GIR_Coverage, 8806,
     /*  192385 */     GIR_EraseRootFromParent_Done,
     /*  192386 */   // Label 4202: @192386
     /*  192386 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(192449), // Rule ID 8807 //
     /*  192391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  192405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  192408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  192433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192447 */     GIR_RootConstrainSelectedInstOperands,
     /*  192448 */     // GIR_Coverage, 8807,
     /*  192448 */     GIR_EraseRootFromParent_Done,
     /*  192449 */   // Label 4203: @192449
     /*  192449 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(192512), // Rule ID 8810 //
     /*  192454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  192468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  192471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192510 */     GIR_RootConstrainSelectedInstOperands,
     /*  192511 */     // GIR_Coverage, 8810,
     /*  192511 */     GIR_EraseRootFromParent_Done,
     /*  192512 */   // Label 4204: @192512
     /*  192512 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(192575), // Rule ID 8811 //
     /*  192517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  192531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  192534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192556 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192573 */     GIR_RootConstrainSelectedInstOperands,
     /*  192574 */     // GIR_Coverage, 8811,
     /*  192574 */     GIR_EraseRootFromParent_Done,
     /*  192575 */   // Label 4205: @192575
     /*  192575 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(192638), // Rule ID 8814 //
     /*  192580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  192594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  192597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192619 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  192619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192636 */     GIR_RootConstrainSelectedInstOperands,
     /*  192637 */     // GIR_Coverage, 8814,
     /*  192637 */     GIR_EraseRootFromParent_Done,
     /*  192638 */   // Label 4206: @192638
     /*  192638 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(192701), // Rule ID 8815 //
     /*  192643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  192654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  192657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  192660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  192682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  192685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  192699 */     GIR_RootConstrainSelectedInstOperands,
     /*  192700 */     // GIR_Coverage, 8815,
     /*  192700 */     GIR_EraseRootFromParent_Done,
     /*  192701 */   // Label 4207: @192701
     /*  192701 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(192764), // Rule ID 8818 //
     /*  192706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  192717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  192720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  192723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  192745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192762 */     GIR_RootConstrainSelectedInstOperands,
     /*  192763 */     // GIR_Coverage, 8818,
     /*  192763 */     GIR_EraseRootFromParent_Done,
     /*  192764 */   // Label 4208: @192764
     /*  192764 */   GIM_Try, /*On fail goto*//*Label 4209*/ GIMT_Encode4(192827), // Rule ID 8819 //
     /*  192769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  192780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  192783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  192786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  192808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  192825 */     GIR_RootConstrainSelectedInstOperands,
     /*  192826 */     // GIR_Coverage, 8819,
     /*  192826 */     GIR_EraseRootFromParent_Done,
     /*  192827 */   // Label 4209: @192827
     /*  192827 */   GIM_Try, /*On fail goto*//*Label 4210*/ GIMT_Encode4(192890), // Rule ID 8822 //
     /*  192832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  192846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  192849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  192871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192888 */     GIR_RootConstrainSelectedInstOperands,
     /*  192889 */     // GIR_Coverage, 8822,
     /*  192889 */     GIR_EraseRootFromParent_Done,
     /*  192890 */   // Label 4210: @192890
     /*  192890 */   GIM_Try, /*On fail goto*//*Label 4211*/ GIMT_Encode4(192953), // Rule ID 8823 //
     /*  192895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  192898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  192906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  192909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  192912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  192915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  192934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  192937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  192939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  192941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  192943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  192948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  192951 */     GIR_RootConstrainSelectedInstOperands,
     /*  192952 */     // GIR_Coverage, 8823,
     /*  192952 */     GIR_EraseRootFromParent_Done,
     /*  192953 */   // Label 4211: @192953
     /*  192953 */   GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(193016), // Rule ID 8826 //
     /*  192958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  192961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  192966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  192969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  192972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  192975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  192978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  192990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  192997 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  192997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193014 */     GIR_RootConstrainSelectedInstOperands,
     /*  193015 */     // GIR_Coverage, 8826,
     /*  193015 */     GIR_EraseRootFromParent_Done,
     /*  193016 */   // Label 4212: @193016
     /*  193016 */   GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(193079), // Rule ID 8827 //
     /*  193021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  193032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  193035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  193038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  193060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193077 */     GIR_RootConstrainSelectedInstOperands,
     /*  193078 */     // GIR_Coverage, 8827,
     /*  193078 */     GIR_EraseRootFromParent_Done,
     /*  193079 */   // Label 4213: @193079
     /*  193079 */   GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(193142), // Rule ID 8830 //
     /*  193084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  193087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  193095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  193098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  193101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193123 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  193123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193140 */     GIR_RootConstrainSelectedInstOperands,
     /*  193141 */     // GIR_Coverage, 8830,
     /*  193141 */     GIR_EraseRootFromParent_Done,
     /*  193142 */   // Label 4214: @193142
     /*  193142 */   GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(193205), // Rule ID 8831 //
     /*  193147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  193150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  193158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  193161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  193164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  193186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  193189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193203 */     GIR_RootConstrainSelectedInstOperands,
     /*  193204 */     // GIR_Coverage, 8831,
     /*  193204 */     GIR_EraseRootFromParent_Done,
     /*  193205 */   // Label 4215: @193205
     /*  193205 */   GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(193268), // Rule ID 8834 //
     /*  193210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  193224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  193227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193249 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193266 */     GIR_RootConstrainSelectedInstOperands,
     /*  193267 */     // GIR_Coverage, 8834,
     /*  193267 */     GIR_EraseRootFromParent_Done,
     /*  193268 */   // Label 4216: @193268
     /*  193268 */   GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(193331), // Rule ID 8835 //
     /*  193273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  193287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  193290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193312 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193329 */     GIR_RootConstrainSelectedInstOperands,
     /*  193330 */     // GIR_Coverage, 8835,
     /*  193330 */     GIR_EraseRootFromParent_Done,
     /*  193331 */   // Label 4217: @193331
     /*  193331 */   GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(193394), // Rule ID 8838 //
     /*  193336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  193350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  193353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193375 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193392 */     GIR_RootConstrainSelectedInstOperands,
     /*  193393 */     // GIR_Coverage, 8838,
     /*  193393 */     GIR_EraseRootFromParent_Done,
     /*  193394 */   // Label 4218: @193394
     /*  193394 */   GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(193457), // Rule ID 8839 //
     /*  193399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  193413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  193416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193438 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193455 */     GIR_RootConstrainSelectedInstOperands,
     /*  193456 */     // GIR_Coverage, 8839,
     /*  193456 */     GIR_EraseRootFromParent_Done,
     /*  193457 */   // Label 4219: @193457
     /*  193457 */   GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(193520), // Rule ID 8842 //
     /*  193462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  193473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  193476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  193479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193501 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  193501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193518 */     GIR_RootConstrainSelectedInstOperands,
     /*  193519 */     // GIR_Coverage, 8842,
     /*  193519 */     GIR_EraseRootFromParent_Done,
     /*  193520 */   // Label 4220: @193520
     /*  193520 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(193583), // Rule ID 8843 //
     /*  193525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  193536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  193539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  193542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193564 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  193564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  193581 */     GIR_RootConstrainSelectedInstOperands,
     /*  193582 */     // GIR_Coverage, 8843,
     /*  193582 */     GIR_EraseRootFromParent_Done,
     /*  193583 */   // Label 4221: @193583
     /*  193583 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(193646), // Rule ID 8846 //
     /*  193588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  193599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  193602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  193605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193627 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193644 */     GIR_RootConstrainSelectedInstOperands,
     /*  193645 */     // GIR_Coverage, 8846,
     /*  193645 */     GIR_EraseRootFromParent_Done,
     /*  193646 */   // Label 4222: @193646
     /*  193646 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(193709), // Rule ID 8847 //
     /*  193651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  193662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  193665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  193668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193690 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  193693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193707 */     GIR_RootConstrainSelectedInstOperands,
     /*  193708 */     // GIR_Coverage, 8847,
     /*  193708 */     GIR_EraseRootFromParent_Done,
     /*  193709 */   // Label 4223: @193709
     /*  193709 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(193772), // Rule ID 8850 //
     /*  193714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  193728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  193731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193753 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193770 */     GIR_RootConstrainSelectedInstOperands,
     /*  193771 */     // GIR_Coverage, 8850,
     /*  193771 */     GIR_EraseRootFromParent_Done,
     /*  193772 */   // Label 4224: @193772
     /*  193772 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(193835), // Rule ID 8851 //
     /*  193777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  193788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  193791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  193794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  193809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193816 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  193819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193833 */     GIR_RootConstrainSelectedInstOperands,
     /*  193834 */     // GIR_Coverage, 8851,
     /*  193834 */     GIR_EraseRootFromParent_Done,
     /*  193835 */   // Label 4225: @193835
     /*  193835 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(193898), // Rule ID 8854 //
     /*  193840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  193854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  193857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193879 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  193879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193896 */     GIR_RootConstrainSelectedInstOperands,
     /*  193897 */     // GIR_Coverage, 8854,
     /*  193897 */     GIR_EraseRootFromParent_Done,
     /*  193898 */   // Label 4226: @193898
     /*  193898 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(193961), // Rule ID 8855 //
     /*  193903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  193906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  193914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  193917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  193920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  193923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  193935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  193942 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  193942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  193945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  193947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  193949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  193951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  193956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193959 */     GIR_RootConstrainSelectedInstOperands,
     /*  193960 */     // GIR_Coverage, 8855,
     /*  193960 */     GIR_EraseRootFromParent_Done,
     /*  193961 */   // Label 4227: @193961
     /*  193961 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(194024), // Rule ID 8858 //
     /*  193966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  193969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  193974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  193977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  193980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  193983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  193986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  193990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  193998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194005 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  194005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194022 */     GIR_RootConstrainSelectedInstOperands,
     /*  194023 */     // GIR_Coverage, 8858,
     /*  194023 */     GIR_EraseRootFromParent_Done,
     /*  194024 */   // Label 4228: @194024
     /*  194024 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(194087), // Rule ID 8859 //
     /*  194029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  194043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  194046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194068 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194085 */     GIR_RootConstrainSelectedInstOperands,
     /*  194086 */     // GIR_Coverage, 8859,
     /*  194086 */     GIR_EraseRootFromParent_Done,
     /*  194087 */   // Label 4229: @194087
     /*  194087 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(194150), // Rule ID 8862 //
     /*  194092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  194106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  194109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194131 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  194131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194148 */     GIR_RootConstrainSelectedInstOperands,
     /*  194149 */     // GIR_Coverage, 8862,
     /*  194149 */     GIR_EraseRootFromParent_Done,
     /*  194150 */   // Label 4230: @194150
     /*  194150 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(194213), // Rule ID 8863 //
     /*  194155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  194169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  194172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194211 */     GIR_RootConstrainSelectedInstOperands,
     /*  194212 */     // GIR_Coverage, 8863,
     /*  194212 */     GIR_EraseRootFromParent_Done,
     /*  194213 */   // Label 4231: @194213
     /*  194213 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(194276), // Rule ID 8866 //
     /*  194218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  194229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  194232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  194235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194257 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  194257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194274 */     GIR_RootConstrainSelectedInstOperands,
     /*  194275 */     // GIR_Coverage, 8866,
     /*  194275 */     GIR_EraseRootFromParent_Done,
     /*  194276 */   // Label 4232: @194276
     /*  194276 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(194339), // Rule ID 8867 //
     /*  194281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  194292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  194295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  194298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  194320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194337 */     GIR_RootConstrainSelectedInstOperands,
     /*  194338 */     // GIR_Coverage, 8867,
     /*  194338 */     GIR_EraseRootFromParent_Done,
     /*  194339 */   // Label 4233: @194339
     /*  194339 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(194402), // Rule ID 8870 //
     /*  194344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  194358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  194361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194383 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194400 */     GIR_RootConstrainSelectedInstOperands,
     /*  194401 */     // GIR_Coverage, 8870,
     /*  194401 */     GIR_EraseRootFromParent_Done,
     /*  194402 */   // Label 4234: @194402
     /*  194402 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(194465), // Rule ID 8871 //
     /*  194407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  194421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  194424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  194439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  194449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194463 */     GIR_RootConstrainSelectedInstOperands,
     /*  194464 */     // GIR_Coverage, 8871,
     /*  194464 */     GIR_EraseRootFromParent_Done,
     /*  194465 */   // Label 4235: @194465
     /*  194465 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(194528), // Rule ID 8874 //
     /*  194470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  194484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  194487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194526 */     GIR_RootConstrainSelectedInstOperands,
     /*  194527 */     // GIR_Coverage, 8874,
     /*  194527 */     GIR_EraseRootFromParent_Done,
     /*  194528 */   // Label 4236: @194528
     /*  194528 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(194591), // Rule ID 8875 //
     /*  194533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  194547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  194550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  194565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194572 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  194575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194589 */     GIR_RootConstrainSelectedInstOperands,
     /*  194590 */     // GIR_Coverage, 8875,
     /*  194590 */     GIR_EraseRootFromParent_Done,
     /*  194591 */   // Label 4237: @194591
     /*  194591 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(194654), // Rule ID 8878 //
     /*  194596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  194599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  194610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  194613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194635 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  194635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194652 */     GIR_RootConstrainSelectedInstOperands,
     /*  194653 */     // GIR_Coverage, 8878,
     /*  194653 */     GIR_EraseRootFromParent_Done,
     /*  194654 */   // Label 4238: @194654
     /*  194654 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(194717), // Rule ID 8879 //
     /*  194659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  194662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  194670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  194673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  194676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  194691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194698 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  194698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  194701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194715 */     GIR_RootConstrainSelectedInstOperands,
     /*  194716 */     // GIR_Coverage, 8879,
     /*  194716 */     GIR_EraseRootFromParent_Done,
     /*  194717 */   // Label 4239: @194717
     /*  194717 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(194780), // Rule ID 8882 //
     /*  194722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  194733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  194736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194761 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  194761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  194764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194778 */     GIR_RootConstrainSelectedInstOperands,
     /*  194779 */     // GIR_Coverage, 8882,
     /*  194779 */     GIR_EraseRootFromParent_Done,
     /*  194780 */   // Label 4240: @194780
     /*  194780 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(194843), // Rule ID 8883 //
     /*  194785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  194796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  194799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  194802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194824 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  194824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  194827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194841 */     GIR_RootConstrainSelectedInstOperands,
     /*  194842 */     // GIR_Coverage, 8883,
     /*  194842 */     GIR_EraseRootFromParent_Done,
     /*  194843 */   // Label 4241: @194843
     /*  194843 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(194906), // Rule ID 8886 //
     /*  194848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  194862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194887 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  194887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  194890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194904 */     GIR_RootConstrainSelectedInstOperands,
     /*  194905 */     // GIR_Coverage, 8886,
     /*  194905 */     GIR_EraseRootFromParent_Done,
     /*  194906 */   // Label 4242: @194906
     /*  194906 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(194969), // Rule ID 8887 //
     /*  194911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  194914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  194922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  194925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  194928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  194931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  194950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  194950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  194953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  194955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  194957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  194959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  194964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  194967 */     GIR_RootConstrainSelectedInstOperands,
     /*  194968 */     // GIR_Coverage, 8887,
     /*  194968 */     GIR_EraseRootFromParent_Done,
     /*  194969 */   // Label 4243: @194969
     /*  194969 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(195032), // Rule ID 8890 //
     /*  194974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  194977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  194982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  194985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  194988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  194991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  194994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  194998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195013 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  195013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195030 */     GIR_RootConstrainSelectedInstOperands,
     /*  195031 */     // GIR_Coverage, 8890,
     /*  195031 */     GIR_EraseRootFromParent_Done,
     /*  195032 */   // Label 4244: @195032
     /*  195032 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(195095), // Rule ID 8891 //
     /*  195037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  195051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  195076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195093 */     GIR_RootConstrainSelectedInstOperands,
     /*  195094 */     // GIR_Coverage, 8891,
     /*  195094 */     GIR_EraseRootFromParent_Done,
     /*  195095 */   // Label 4245: @195095
     /*  195095 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(195158), // Rule ID 8894 //
     /*  195100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  195114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  195142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195156 */     GIR_RootConstrainSelectedInstOperands,
     /*  195157 */     // GIR_Coverage, 8894,
     /*  195157 */     GIR_EraseRootFromParent_Done,
     /*  195158 */   // Label 4246: @195158
     /*  195158 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(195221), // Rule ID 8895 //
     /*  195163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  195177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  195205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195219 */     GIR_RootConstrainSelectedInstOperands,
     /*  195220 */     // GIR_Coverage, 8895,
     /*  195220 */     GIR_EraseRootFromParent_Done,
     /*  195221 */   // Label 4247: @195221
     /*  195221 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(195284), // Rule ID 8898 //
     /*  195226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  195240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195265 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195282 */     GIR_RootConstrainSelectedInstOperands,
     /*  195283 */     // GIR_Coverage, 8898,
     /*  195283 */     GIR_EraseRootFromParent_Done,
     /*  195284 */   // Label 4248: @195284
     /*  195284 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(195347), // Rule ID 8899 //
     /*  195289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  195303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195328 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195345 */     GIR_RootConstrainSelectedInstOperands,
     /*  195346 */     // GIR_Coverage, 8899,
     /*  195346 */     GIR_EraseRootFromParent_Done,
     /*  195347 */   // Label 4249: @195347
     /*  195347 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(195410), // Rule ID 8902 //
     /*  195352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  195366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195391 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  195391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195408 */     GIR_RootConstrainSelectedInstOperands,
     /*  195409 */     // GIR_Coverage, 8902,
     /*  195409 */     GIR_EraseRootFromParent_Done,
     /*  195410 */   // Label 4250: @195410
     /*  195410 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(195473), // Rule ID 8903 //
     /*  195415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  195429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  195454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  195457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195471 */     GIR_RootConstrainSelectedInstOperands,
     /*  195472 */     // GIR_Coverage, 8903,
     /*  195472 */     GIR_EraseRootFromParent_Done,
     /*  195473 */   // Label 4251: @195473
     /*  195473 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(195536), // Rule ID 8906 //
     /*  195478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  195489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  195492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195517 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  195517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195534 */     GIR_RootConstrainSelectedInstOperands,
     /*  195535 */     // GIR_Coverage, 8906,
     /*  195535 */     GIR_EraseRootFromParent_Done,
     /*  195536 */   // Label 4252: @195536
     /*  195536 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(195599), // Rule ID 8907 //
     /*  195541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  195552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  195555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  195580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  195597 */     GIR_RootConstrainSelectedInstOperands,
     /*  195598 */     // GIR_Coverage, 8907,
     /*  195598 */     GIR_EraseRootFromParent_Done,
     /*  195599 */   // Label 4253: @195599
     /*  195599 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(195662), // Rule ID 8910 //
     /*  195604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  195618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195643 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  195643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195660 */     GIR_RootConstrainSelectedInstOperands,
     /*  195661 */     // GIR_Coverage, 8910,
     /*  195661 */     GIR_EraseRootFromParent_Done,
     /*  195662 */   // Label 4254: @195662
     /*  195662 */   GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(195725), // Rule ID 8911 //
     /*  195667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  195678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  195681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  195706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  195723 */     GIR_RootConstrainSelectedInstOperands,
     /*  195724 */     // GIR_Coverage, 8911,
     /*  195724 */     GIR_EraseRootFromParent_Done,
     /*  195725 */   // Label 4255: @195725
     /*  195725 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(195788), // Rule ID 8914 //
     /*  195730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  195744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195769 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  195769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195786 */     GIR_RootConstrainSelectedInstOperands,
     /*  195787 */     // GIR_Coverage, 8914,
     /*  195787 */     GIR_EraseRootFromParent_Done,
     /*  195788 */   // Label 4256: @195788
     /*  195788 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(195851), // Rule ID 8915 //
     /*  195793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  195796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  195804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  195807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  195832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  195849 */     GIR_RootConstrainSelectedInstOperands,
     /*  195850 */     // GIR_Coverage, 8915,
     /*  195850 */     GIR_EraseRootFromParent_Done,
     /*  195851 */   // Label 4257: @195851
     /*  195851 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(195914), // Rule ID 8918 //
     /*  195856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  195859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  195870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  195876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195895 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  195895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  195912 */     GIR_RootConstrainSelectedInstOperands,
     /*  195913 */     // GIR_Coverage, 8918,
     /*  195913 */     GIR_EraseRootFromParent_Done,
     /*  195914 */   // Label 4258: @195914
     /*  195914 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(195977), // Rule ID 8919 //
     /*  195919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  195922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  195930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  195933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  195936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  195939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  195947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  195958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11091:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  195958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  195961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  195963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  195965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  195967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  195972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  195975 */     GIR_RootConstrainSelectedInstOperands,
     /*  195976 */     // GIR_Coverage, 8919,
     /*  195976 */     GIR_EraseRootFromParent_Done,
     /*  195977 */   // Label 4259: @195977
     /*  195977 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(196040), // Rule ID 8922 //
     /*  195982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  195985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  195990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  195993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  195996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  195999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196021 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  196021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196038 */     GIR_RootConstrainSelectedInstOperands,
     /*  196039 */     // GIR_Coverage, 8922,
     /*  196039 */     GIR_EraseRootFromParent_Done,
     /*  196040 */   // Label 4260: @196040
     /*  196040 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(196103), // Rule ID 8923 //
     /*  196045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  196059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196084 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196101 */     GIR_RootConstrainSelectedInstOperands,
     /*  196102 */     // GIR_Coverage, 8923,
     /*  196102 */     GIR_EraseRootFromParent_Done,
     /*  196103 */   // Label 4261: @196103
     /*  196103 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(196166), // Rule ID 8926 //
     /*  196108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  196122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196147 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  196147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196164 */     GIR_RootConstrainSelectedInstOperands,
     /*  196165 */     // GIR_Coverage, 8926,
     /*  196165 */     GIR_EraseRootFromParent_Done,
     /*  196166 */   // Label 4262: @196166
     /*  196166 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(196229), // Rule ID 8927 //
     /*  196171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  196185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196227 */     GIR_RootConstrainSelectedInstOperands,
     /*  196228 */     // GIR_Coverage, 8927,
     /*  196228 */     GIR_EraseRootFromParent_Done,
     /*  196229 */   // Label 4263: @196229
     /*  196229 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(196292), // Rule ID 8930 //
     /*  196234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  196245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  196248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196273 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  196273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196290 */     GIR_RootConstrainSelectedInstOperands,
     /*  196291 */     // GIR_Coverage, 8930,
     /*  196291 */     GIR_EraseRootFromParent_Done,
     /*  196292 */   // Label 4264: @196292
     /*  196292 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(196355), // Rule ID 8931 //
     /*  196297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  196308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  196311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196336 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  196336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  196353 */     GIR_RootConstrainSelectedInstOperands,
     /*  196354 */     // GIR_Coverage, 8931,
     /*  196354 */     GIR_EraseRootFromParent_Done,
     /*  196355 */   // Label 4265: @196355
     /*  196355 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(196418), // Rule ID 8934 //
     /*  196360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  196374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196399 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196416 */     GIR_RootConstrainSelectedInstOperands,
     /*  196417 */     // GIR_Coverage, 8934,
     /*  196417 */     GIR_EraseRootFromParent_Done,
     /*  196418 */   // Label 4266: @196418
     /*  196418 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(196481), // Rule ID 8935 //
     /*  196423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  196437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196479 */     GIR_RootConstrainSelectedInstOperands,
     /*  196480 */     // GIR_Coverage, 8935,
     /*  196480 */     GIR_EraseRootFromParent_Done,
     /*  196481 */   // Label 4267: @196481
     /*  196481 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(196544), // Rule ID 8938 //
     /*  196486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  196500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196525 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196542 */     GIR_RootConstrainSelectedInstOperands,
     /*  196543 */     // GIR_Coverage, 8938,
     /*  196543 */     GIR_EraseRootFromParent_Done,
     /*  196544 */   // Label 4268: @196544
     /*  196544 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(196607), // Rule ID 8939 //
     /*  196549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  196560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  196563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196605 */     GIR_RootConstrainSelectedInstOperands,
     /*  196606 */     // GIR_Coverage, 8939,
     /*  196606 */     GIR_EraseRootFromParent_Done,
     /*  196607 */   // Label 4269: @196607
     /*  196607 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(196670), // Rule ID 8942 //
     /*  196612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  196626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196651 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  196651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196668 */     GIR_RootConstrainSelectedInstOperands,
     /*  196669 */     // GIR_Coverage, 8942,
     /*  196669 */     GIR_EraseRootFromParent_Done,
     /*  196670 */   // Label 4270: @196670
     /*  196670 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(196733), // Rule ID 8943 //
     /*  196675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  196686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  196689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  196703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196714 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  196714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  196717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  196731 */     GIR_RootConstrainSelectedInstOperands,
     /*  196732 */     // GIR_Coverage, 8943,
     /*  196732 */     GIR_EraseRootFromParent_Done,
     /*  196733 */   // Label 4271: @196733
     /*  196733 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(196796), // Rule ID 8946 //
     /*  196738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  196749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  196752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196777 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  196777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196794 */     GIR_RootConstrainSelectedInstOperands,
     /*  196795 */     // GIR_Coverage, 8946,
     /*  196795 */     GIR_EraseRootFromParent_Done,
     /*  196796 */   // Label 4272: @196796
     /*  196796 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(196859), // Rule ID 8947 //
     /*  196801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  196812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  196815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  196829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196840 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  196840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  196843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196857 */     GIR_RootConstrainSelectedInstOperands,
     /*  196858 */     // GIR_Coverage, 8947,
     /*  196858 */     GIR_EraseRootFromParent_Done,
     /*  196859 */   // Label 4273: @196859
     /*  196859 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(196922), // Rule ID 8950 //
     /*  196864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  196878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  196881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  196884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  196903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196920 */     GIR_RootConstrainSelectedInstOperands,
     /*  196921 */     // GIR_Coverage, 8950,
     /*  196921 */     GIR_EraseRootFromParent_Done,
     /*  196922 */   // Label 4274: @196922
     /*  196922 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(196985), // Rule ID 8951 //
     /*  196927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  196930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  196938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  196941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  196944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  196947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  196951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  196955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  196966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  196966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  196969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  196971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  196973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  196975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  196980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  196983 */     GIR_RootConstrainSelectedInstOperands,
     /*  196984 */     // GIR_Coverage, 8951,
     /*  196984 */     GIR_EraseRootFromParent_Done,
     /*  196985 */   // Label 4275: @196985
     /*  196985 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(197048), // Rule ID 8954 //
     /*  196990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  196993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  196998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  197001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  197004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  197029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  197046 */     GIR_RootConstrainSelectedInstOperands,
     /*  197047 */     // GIR_Coverage, 8954,
     /*  197047 */     GIR_EraseRootFromParent_Done,
     /*  197048 */   // Label 4276: @197048
     /*  197048 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(197111), // Rule ID 8955 //
     /*  197053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  197064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  197067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  197092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  197109 */     GIR_RootConstrainSelectedInstOperands,
     /*  197110 */     // GIR_Coverage, 8955,
     /*  197110 */     GIR_EraseRootFromParent_Done,
     /*  197111 */   // Label 4277: @197111
     /*  197111 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(197174), // Rule ID 8958 //
     /*  197116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  197130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  197144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197155 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  197158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197172 */     GIR_RootConstrainSelectedInstOperands,
     /*  197173 */     // GIR_Coverage, 8958,
     /*  197173 */     GIR_EraseRootFromParent_Done,
     /*  197174 */   // Label 4278: @197174
     /*  197174 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(197237), // Rule ID 8959 //
     /*  197179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  197193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  197207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11091:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  197221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197235 */     GIR_RootConstrainSelectedInstOperands,
     /*  197236 */     // GIR_Coverage, 8959,
     /*  197236 */     GIR_EraseRootFromParent_Done,
     /*  197237 */   // Label 4279: @197237
     /*  197237 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(197300), // Rule ID 8962 //
     /*  197242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  197256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  197270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197281 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  197284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197298 */     GIR_RootConstrainSelectedInstOperands,
     /*  197299 */     // GIR_Coverage, 8962,
     /*  197299 */     GIR_EraseRootFromParent_Done,
     /*  197300 */   // Label 4280: @197300
     /*  197300 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(197363), // Rule ID 8963 //
     /*  197305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  197319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  197333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197344 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11091:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  197347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197361 */     GIR_RootConstrainSelectedInstOperands,
     /*  197362 */     // GIR_Coverage, 8963,
     /*  197362 */     GIR_EraseRootFromParent_Done,
     /*  197363 */   // Label 4281: @197363
     /*  197363 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(197426), // Rule ID 8966 //
     /*  197368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  197371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  197379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  197382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  197407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197424 */     GIR_RootConstrainSelectedInstOperands,
     /*  197425 */     // GIR_Coverage, 8966,
     /*  197425 */     GIR_EraseRootFromParent_Done,
     /*  197426 */   // Label 4282: @197426
     /*  197426 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(197489), // Rule ID 8967 //
     /*  197431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  197434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  197439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  197442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  197445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  197459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197470 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11091:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  197470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  197473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  197487 */     GIR_RootConstrainSelectedInstOperands,
     /*  197488 */     // GIR_Coverage, 8967,
     /*  197488 */     GIR_EraseRootFromParent_Done,
     /*  197489 */   // Label 4283: @197489
     /*  197489 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(197552), // Rule ID 9058 //
     /*  197494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  197508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197533 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  197536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197550 */     GIR_RootConstrainSelectedInstOperands,
     /*  197551 */     // GIR_Coverage, 9058,
     /*  197551 */     GIR_EraseRootFromParent_Done,
     /*  197552 */   // Label 4284: @197552
     /*  197552 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(197615), // Rule ID 9059 //
     /*  197557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  197571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197596 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  197599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197613 */     GIR_RootConstrainSelectedInstOperands,
     /*  197614 */     // GIR_Coverage, 9059,
     /*  197614 */     GIR_EraseRootFromParent_Done,
     /*  197615 */   // Label 4285: @197615
     /*  197615 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(197678), // Rule ID 9062 //
     /*  197620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  197634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197676 */     GIR_RootConstrainSelectedInstOperands,
     /*  197677 */     // GIR_Coverage, 9062,
     /*  197677 */     GIR_EraseRootFromParent_Done,
     /*  197678 */   // Label 4286: @197678
     /*  197678 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(197741), // Rule ID 9063 //
     /*  197683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  197694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  197697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197739 */     GIR_RootConstrainSelectedInstOperands,
     /*  197740 */     // GIR_Coverage, 9063,
     /*  197740 */     GIR_EraseRootFromParent_Done,
     /*  197741 */   // Label 4287: @197741
     /*  197741 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(197804), // Rule ID 9066 //
     /*  197746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  197760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197785 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  197785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  197788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197802 */     GIR_RootConstrainSelectedInstOperands,
     /*  197803 */     // GIR_Coverage, 9066,
     /*  197803 */     GIR_EraseRootFromParent_Done,
     /*  197804 */   // Label 4288: @197804
     /*  197804 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(197867), // Rule ID 9067 //
     /*  197809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  197820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  197823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197848 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  197848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  197851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  197865 */     GIR_RootConstrainSelectedInstOperands,
     /*  197866 */     // GIR_Coverage, 9067,
     /*  197866 */     GIR_EraseRootFromParent_Done,
     /*  197867 */   // Label 4289: @197867
     /*  197867 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(197930), // Rule ID 9070 //
     /*  197872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  197875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  197886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  197889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  197892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  197911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  197928 */     GIR_RootConstrainSelectedInstOperands,
     /*  197929 */     // GIR_Coverage, 9070,
     /*  197929 */     GIR_EraseRootFromParent_Done,
     /*  197930 */   // Label 4290: @197930
     /*  197930 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(197993), // Rule ID 9071 //
     /*  197935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  197938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  197943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  197946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  197949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  197952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  197955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  197963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  197974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  197974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  197977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  197979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  197981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  197983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  197988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  197991 */     GIR_RootConstrainSelectedInstOperands,
     /*  197992 */     // GIR_Coverage, 9071,
     /*  197992 */     GIR_EraseRootFromParent_Done,
     /*  197993 */   // Label 4291: @197993
     /*  197993 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(198056), // Rule ID 9074 //
     /*  197998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  198012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  198037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198054 */     GIR_RootConstrainSelectedInstOperands,
     /*  198055 */     // GIR_Coverage, 9074,
     /*  198055 */     GIR_EraseRootFromParent_Done,
     /*  198056 */   // Label 4292: @198056
     /*  198056 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(198119), // Rule ID 9075 //
     /*  198061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  198075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  198100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198117 */     GIR_RootConstrainSelectedInstOperands,
     /*  198118 */     // GIR_Coverage, 9075,
     /*  198118 */     GIR_EraseRootFromParent_Done,
     /*  198119 */   // Label 4293: @198119
     /*  198119 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(198182), // Rule ID 9078 //
     /*  198124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  198138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  198163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198180 */     GIR_RootConstrainSelectedInstOperands,
     /*  198181 */     // GIR_Coverage, 9078,
     /*  198181 */     GIR_EraseRootFromParent_Done,
     /*  198182 */   // Label 4294: @198182
     /*  198182 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(198245), // Rule ID 9079 //
     /*  198187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  198201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198226 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  198226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  198229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198243 */     GIR_RootConstrainSelectedInstOperands,
     /*  198244 */     // GIR_Coverage, 9079,
     /*  198244 */     GIR_EraseRootFromParent_Done,
     /*  198245 */   // Label 4295: @198245
     /*  198245 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(198308), // Rule ID 9082 //
     /*  198250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  198261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  198264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198289 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198306 */     GIR_RootConstrainSelectedInstOperands,
     /*  198307 */     // GIR_Coverage, 9082,
     /*  198307 */     GIR_EraseRootFromParent_Done,
     /*  198308 */   // Label 4296: @198308
     /*  198308 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(198371), // Rule ID 9083 //
     /*  198313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  198324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  198327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198369 */     GIR_RootConstrainSelectedInstOperands,
     /*  198370 */     // GIR_Coverage, 9083,
     /*  198370 */     GIR_EraseRootFromParent_Done,
     /*  198371 */   // Label 4297: @198371
     /*  198371 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(198434), // Rule ID 9086 //
     /*  198376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  198387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  198390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  198415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198432 */     GIR_RootConstrainSelectedInstOperands,
     /*  198433 */     // GIR_Coverage, 9086,
     /*  198433 */     GIR_EraseRootFromParent_Done,
     /*  198434 */   // Label 4298: @198434
     /*  198434 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(198497), // Rule ID 9087 //
     /*  198439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  198450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  198453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  198478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  198495 */     GIR_RootConstrainSelectedInstOperands,
     /*  198496 */     // GIR_Coverage, 9087,
     /*  198496 */     GIR_EraseRootFromParent_Done,
     /*  198497 */   // Label 4299: @198497
     /*  198497 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(198560), // Rule ID 9090 //
     /*  198502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  198516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  198541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198558 */     GIR_RootConstrainSelectedInstOperands,
     /*  198559 */     // GIR_Coverage, 9090,
     /*  198559 */     GIR_EraseRootFromParent_Done,
     /*  198560 */   // Label 4300: @198560
     /*  198560 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(198623), // Rule ID 9091 //
     /*  198565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  198576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  198579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  198604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  198621 */     GIR_RootConstrainSelectedInstOperands,
     /*  198622 */     // GIR_Coverage, 9091,
     /*  198622 */     GIR_EraseRootFromParent_Done,
     /*  198623 */   // Label 4301: @198623
     /*  198623 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(198686), // Rule ID 9094 //
     /*  198628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  198631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  198642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198667 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  198667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  198684 */     GIR_RootConstrainSelectedInstOperands,
     /*  198685 */     // GIR_Coverage, 9094,
     /*  198685 */     GIR_EraseRootFromParent_Done,
     /*  198686 */   // Label 4302: @198686
     /*  198686 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(198749), // Rule ID 9095 //
     /*  198691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  198694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  198702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  198705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198730 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  198730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  198733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  198747 */     GIR_RootConstrainSelectedInstOperands,
     /*  198748 */     // GIR_Coverage, 9095,
     /*  198748 */     GIR_EraseRootFromParent_Done,
     /*  198749 */   // Label 4303: @198749
     /*  198749 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(198812), // Rule ID 9098 //
     /*  198754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  198765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  198768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  198782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198793 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  198796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198810 */     GIR_RootConstrainSelectedInstOperands,
     /*  198811 */     // GIR_Coverage, 9098,
     /*  198811 */     GIR_EraseRootFromParent_Done,
     /*  198812 */   // Label 4304: @198812
     /*  198812 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(198875), // Rule ID 9099 //
     /*  198817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  198828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  198831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  198845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198856 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  198859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198873 */     GIR_RootConstrainSelectedInstOperands,
     /*  198874 */     // GIR_Coverage, 9099,
     /*  198874 */     GIR_EraseRootFromParent_Done,
     /*  198875 */   // Label 4305: @198875
     /*  198875 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(198938), // Rule ID 9102 //
     /*  198880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  198883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  198891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  198894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  198897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  198900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  198908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198919 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  198919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  198922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198936 */     GIR_RootConstrainSelectedInstOperands,
     /*  198937 */     // GIR_Coverage, 9102,
     /*  198937 */     GIR_EraseRootFromParent_Done,
     /*  198938 */   // Label 4306: @198938
     /*  198938 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(199001), // Rule ID 9103 //
     /*  198943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  198946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  198951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  198954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  198957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  198960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  198963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  198967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  198971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  198982 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  198982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  198985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  198987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  198989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  198991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  198996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  198999 */     GIR_RootConstrainSelectedInstOperands,
     /*  199000 */     // GIR_Coverage, 9103,
     /*  199000 */     GIR_EraseRootFromParent_Done,
     /*  199001 */   // Label 4307: @199001
     /*  199001 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(199064), // Rule ID 9106 //
     /*  199006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  199017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  199020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199045 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  199045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  199062 */     GIR_RootConstrainSelectedInstOperands,
     /*  199063 */     // GIR_Coverage, 9106,
     /*  199063 */     GIR_EraseRootFromParent_Done,
     /*  199064 */   // Label 4308: @199064
     /*  199064 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(199127), // Rule ID 9107 //
     /*  199069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  199080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  199083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199108 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  199108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  199125 */     GIR_RootConstrainSelectedInstOperands,
     /*  199126 */     // GIR_Coverage, 9107,
     /*  199126 */     GIR_EraseRootFromParent_Done,
     /*  199127 */   // Label 4309: @199127
     /*  199127 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(199190), // Rule ID 9110 //
     /*  199132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  199146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199188 */     GIR_RootConstrainSelectedInstOperands,
     /*  199189 */     // GIR_Coverage, 9110,
     /*  199189 */     GIR_EraseRootFromParent_Done,
     /*  199190 */   // Label 4310: @199190
     /*  199190 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(199253), // Rule ID 9111 //
     /*  199195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  199209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199251 */     GIR_RootConstrainSelectedInstOperands,
     /*  199252 */     // GIR_Coverage, 9111,
     /*  199252 */     GIR_EraseRootFromParent_Done,
     /*  199253 */   // Label 4311: @199253
     /*  199253 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(199316), // Rule ID 9114 //
     /*  199258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  199272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199314 */     GIR_RootConstrainSelectedInstOperands,
     /*  199315 */     // GIR_Coverage, 9114,
     /*  199315 */     GIR_EraseRootFromParent_Done,
     /*  199316 */   // Label 4312: @199316
     /*  199316 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(199379), // Rule ID 9115 //
     /*  199321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  199335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199377 */     GIR_RootConstrainSelectedInstOperands,
     /*  199378 */     // GIR_Coverage, 9115,
     /*  199378 */     GIR_EraseRootFromParent_Done,
     /*  199379 */   // Label 4313: @199379
     /*  199379 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(199442), // Rule ID 9118 //
     /*  199384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  199395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  199398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  199423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199440 */     GIR_RootConstrainSelectedInstOperands,
     /*  199441 */     // GIR_Coverage, 9118,
     /*  199441 */     GIR_EraseRootFromParent_Done,
     /*  199442 */   // Label 4314: @199442
     /*  199442 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(199505), // Rule ID 9119 //
     /*  199447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  199458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  199461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  199486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  199503 */     GIR_RootConstrainSelectedInstOperands,
     /*  199504 */     // GIR_Coverage, 9119,
     /*  199504 */     GIR_EraseRootFromParent_Done,
     /*  199505 */   // Label 4315: @199505
     /*  199505 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(199568), // Rule ID 9122 //
     /*  199510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  199521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  199524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199566 */     GIR_RootConstrainSelectedInstOperands,
     /*  199567 */     // GIR_Coverage, 9122,
     /*  199567 */     GIR_EraseRootFromParent_Done,
     /*  199568 */   // Label 4316: @199568
     /*  199568 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(199631), // Rule ID 9123 //
     /*  199573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  199584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  199587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199612 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199629 */     GIR_RootConstrainSelectedInstOperands,
     /*  199630 */     // GIR_Coverage, 9123,
     /*  199630 */     GIR_EraseRootFromParent_Done,
     /*  199631 */   // Label 4317: @199631
     /*  199631 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(199694), // Rule ID 9126 //
     /*  199636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  199650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199675 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199692 */     GIR_RootConstrainSelectedInstOperands,
     /*  199693 */     // GIR_Coverage, 9126,
     /*  199693 */     GIR_EraseRootFromParent_Done,
     /*  199694 */   // Label 4318: @199694
     /*  199694 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(199757), // Rule ID 9127 //
     /*  199699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  199710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  199713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  199727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  199741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199755 */     GIR_RootConstrainSelectedInstOperands,
     /*  199756 */     // GIR_Coverage, 9127,
     /*  199756 */     GIR_EraseRootFromParent_Done,
     /*  199757 */   // Label 4319: @199757
     /*  199757 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(199820), // Rule ID 9130 //
     /*  199762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  199765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  199776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  199801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199818 */     GIR_RootConstrainSelectedInstOperands,
     /*  199819 */     // GIR_Coverage, 9130,
     /*  199819 */     GIR_EraseRootFromParent_Done,
     /*  199820 */   // Label 4320: @199820
     /*  199820 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(199883), // Rule ID 9131 //
     /*  199825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  199828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  199836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  199839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  199853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199864 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  199864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  199867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  199881 */     GIR_RootConstrainSelectedInstOperands,
     /*  199882 */     // GIR_Coverage, 9131,
     /*  199882 */     GIR_EraseRootFromParent_Done,
     /*  199883 */   // Label 4321: @199883
     /*  199883 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(199946), // Rule ID 9134 //
     /*  199888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  199891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  199899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  199902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  199905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  199908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199927 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  199927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  199941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  199944 */     GIR_RootConstrainSelectedInstOperands,
     /*  199945 */     // GIR_Coverage, 9134,
     /*  199945 */     GIR_EraseRootFromParent_Done,
     /*  199946 */   // Label 4322: @199946
     /*  199946 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(200009), // Rule ID 9135 //
     /*  199951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  199954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  199959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  199962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  199965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  199968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  199971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  199975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  199979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  199990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  199990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  199993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  199995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  199997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  199999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200007 */     GIR_RootConstrainSelectedInstOperands,
     /*  200008 */     // GIR_Coverage, 9135,
     /*  200008 */     GIR_EraseRootFromParent_Done,
     /*  200009 */   // Label 4323: @200009
     /*  200009 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(200072), // Rule ID 9138 //
     /*  200014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  200017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  200028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  200042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  200053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  200056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200070 */     GIR_RootConstrainSelectedInstOperands,
     /*  200071 */     // GIR_Coverage, 9138,
     /*  200071 */     GIR_EraseRootFromParent_Done,
     /*  200072 */   // Label 4324: @200072
     /*  200072 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(200135), // Rule ID 9139 //
     /*  200077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  200080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  200091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  200105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  200116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  200119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200133 */     GIR_RootConstrainSelectedInstOperands,
     /*  200134 */     // GIR_Coverage, 9139,
     /*  200134 */     GIR_EraseRootFromParent_Done,
     /*  200135 */   // Label 4325: @200135
     /*  200135 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(200198), // Rule ID 9142 //
     /*  200140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  200143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  200151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  200154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  200168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  200179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  200182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200196 */     GIR_RootConstrainSelectedInstOperands,
     /*  200197 */     // GIR_Coverage, 9142,
     /*  200197 */     GIR_EraseRootFromParent_Done,
     /*  200198 */   // Label 4326: @200198
     /*  200198 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(200261), // Rule ID 9143 //
     /*  200203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  200206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  200211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  200214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  200217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  200231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  200242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  200245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  200259 */     GIR_RootConstrainSelectedInstOperands,
     /*  200260 */     // GIR_Coverage, 9143,
     /*  200260 */     GIR_EraseRootFromParent_Done,
     /*  200261 */   // Label 4327: @200261
     /*  200261 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(200324), // Rule ID 9234 //
     /*  200266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  200280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  200308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200322 */     GIR_RootConstrainSelectedInstOperands,
     /*  200323 */     // GIR_Coverage, 9234,
     /*  200323 */     GIR_EraseRootFromParent_Done,
     /*  200324 */   // Label 4328: @200324
     /*  200324 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(200387), // Rule ID 9235 //
     /*  200329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  200343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200368 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  200371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200385 */     GIR_RootConstrainSelectedInstOperands,
     /*  200386 */     // GIR_Coverage, 9235,
     /*  200386 */     GIR_EraseRootFromParent_Done,
     /*  200387 */   // Label 4329: @200387
     /*  200387 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(200450), // Rule ID 9238 //
     /*  200392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  200406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200448 */     GIR_RootConstrainSelectedInstOperands,
     /*  200449 */     // GIR_Coverage, 9238,
     /*  200449 */     GIR_EraseRootFromParent_Done,
     /*  200450 */   // Label 4330: @200450
     /*  200450 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(200513), // Rule ID 9239 //
     /*  200455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  200469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200494 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200511 */     GIR_RootConstrainSelectedInstOperands,
     /*  200512 */     // GIR_Coverage, 9239,
     /*  200512 */     GIR_EraseRootFromParent_Done,
     /*  200513 */   // Label 4331: @200513
     /*  200513 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(200576), // Rule ID 9242 //
     /*  200518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  200532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  200557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200574 */     GIR_RootConstrainSelectedInstOperands,
     /*  200575 */     // GIR_Coverage, 9242,
     /*  200575 */     GIR_EraseRootFromParent_Done,
     /*  200576 */   // Label 4332: @200576
     /*  200576 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(200639), // Rule ID 9243 //
     /*  200581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  200592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  200595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200620 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  200620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  200637 */     GIR_RootConstrainSelectedInstOperands,
     /*  200638 */     // GIR_Coverage, 9243,
     /*  200638 */     GIR_EraseRootFromParent_Done,
     /*  200639 */   // Label 4333: @200639
     /*  200639 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(200702), // Rule ID 9246 //
     /*  200644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  200658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200683 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  200683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200700 */     GIR_RootConstrainSelectedInstOperands,
     /*  200701 */     // GIR_Coverage, 9246,
     /*  200701 */     GIR_EraseRootFromParent_Done,
     /*  200702 */   // Label 4334: @200702
     /*  200702 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(200765), // Rule ID 9247 //
     /*  200707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  200721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  200746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  200749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200763 */     GIR_RootConstrainSelectedInstOperands,
     /*  200764 */     // GIR_Coverage, 9247,
     /*  200764 */     GIR_EraseRootFromParent_Done,
     /*  200765 */   // Label 4335: @200765
     /*  200765 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(200828), // Rule ID 9250 //
     /*  200770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  200784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  200809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200826 */     GIR_RootConstrainSelectedInstOperands,
     /*  200827 */     // GIR_Coverage, 9250,
     /*  200827 */     GIR_EraseRootFromParent_Done,
     /*  200828 */   // Label 4336: @200828
     /*  200828 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(200891), // Rule ID 9251 //
     /*  200833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  200844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  200847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200872 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  200872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  200889 */     GIR_RootConstrainSelectedInstOperands,
     /*  200890 */     // GIR_Coverage, 9251,
     /*  200890 */     GIR_EraseRootFromParent_Done,
     /*  200891 */   // Label 4337: @200891
     /*  200891 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(200954), // Rule ID 9254 //
     /*  200896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  200899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  200910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  200913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  200916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200935 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  200935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  200938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  200940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  200942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  200944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  200949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  200952 */     GIR_RootConstrainSelectedInstOperands,
     /*  200953 */     // GIR_Coverage, 9254,
     /*  200953 */     GIR_EraseRootFromParent_Done,
     /*  200954 */   // Label 4338: @200954
     /*  200954 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(201017), // Rule ID 9255 //
     /*  200959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  200962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  200967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  200970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  200973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  200976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  200979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  200987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  200998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  200998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  201001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  201015 */     GIR_RootConstrainSelectedInstOperands,
     /*  201016 */     // GIR_Coverage, 9255,
     /*  201016 */     GIR_EraseRootFromParent_Done,
     /*  201017 */   // Label 4339: @201017
     /*  201017 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(201080), // Rule ID 9258 //
     /*  201022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  201036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201061 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201078 */     GIR_RootConstrainSelectedInstOperands,
     /*  201079 */     // GIR_Coverage, 9258,
     /*  201079 */     GIR_EraseRootFromParent_Done,
     /*  201080 */   // Label 4340: @201080
     /*  201080 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(201143), // Rule ID 9259 //
     /*  201085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  201099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201141 */     GIR_RootConstrainSelectedInstOperands,
     /*  201142 */     // GIR_Coverage, 9259,
     /*  201142 */     GIR_EraseRootFromParent_Done,
     /*  201143 */   // Label 4341: @201143
     /*  201143 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(201206), // Rule ID 9262 //
     /*  201148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  201162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201187 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  201187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201204 */     GIR_RootConstrainSelectedInstOperands,
     /*  201205 */     // GIR_Coverage, 9262,
     /*  201205 */     GIR_EraseRootFromParent_Done,
     /*  201206 */   // Label 4342: @201206
     /*  201206 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(201269), // Rule ID 9263 //
     /*  201211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  201222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  201225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  201250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201267 */     GIR_RootConstrainSelectedInstOperands,
     /*  201268 */     // GIR_Coverage, 9263,
     /*  201268 */     GIR_EraseRootFromParent_Done,
     /*  201269 */   // Label 4343: @201269
     /*  201269 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(201332), // Rule ID 9266 //
     /*  201274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  201288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  201313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  201330 */     GIR_RootConstrainSelectedInstOperands,
     /*  201331 */     // GIR_Coverage, 9266,
     /*  201331 */     GIR_EraseRootFromParent_Done,
     /*  201332 */   // Label 4344: @201332
     /*  201332 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(201395), // Rule ID 9267 //
     /*  201337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  201348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  201351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  201376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  201393 */     GIR_RootConstrainSelectedInstOperands,
     /*  201394 */     // GIR_Coverage, 9267,
     /*  201394 */     GIR_EraseRootFromParent_Done,
     /*  201395 */   // Label 4345: @201395
     /*  201395 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(201458), // Rule ID 9270 //
     /*  201400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  201403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  201414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  201439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  201456 */     GIR_RootConstrainSelectedInstOperands,
     /*  201457 */     // GIR_Coverage, 9270,
     /*  201457 */     GIR_EraseRootFromParent_Done,
     /*  201458 */   // Label 4346: @201458
     /*  201458 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(201521), // Rule ID 9271 //
     /*  201463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  201466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  201474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  201477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  201502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  201505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  201519 */     GIR_RootConstrainSelectedInstOperands,
     /*  201520 */     // GIR_Coverage, 9271,
     /*  201520 */     GIR_EraseRootFromParent_Done,
     /*  201521 */   // Label 4347: @201521
     /*  201521 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(201584), // Rule ID 9274 //
     /*  201526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  201540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201565 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201582 */     GIR_RootConstrainSelectedInstOperands,
     /*  201583 */     // GIR_Coverage, 9274,
     /*  201583 */     GIR_EraseRootFromParent_Done,
     /*  201584 */   // Label 4348: @201584
     /*  201584 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(201647), // Rule ID 9275 //
     /*  201589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  201600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  201603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201645 */     GIR_RootConstrainSelectedInstOperands,
     /*  201646 */     // GIR_Coverage, 9275,
     /*  201646 */     GIR_EraseRootFromParent_Done,
     /*  201647 */   // Label 4349: @201647
     /*  201647 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(201710), // Rule ID 9278 //
     /*  201652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  201666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  201680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  201694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201708 */     GIR_RootConstrainSelectedInstOperands,
     /*  201709 */     // GIR_Coverage, 9278,
     /*  201709 */     GIR_EraseRootFromParent_Done,
     /*  201710 */   // Label 4350: @201710
     /*  201710 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(201773), // Rule ID 9279 //
     /*  201715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  201726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  201729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  201743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201754 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  201757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201771 */     GIR_RootConstrainSelectedInstOperands,
     /*  201772 */     // GIR_Coverage, 9279,
     /*  201772 */     GIR_EraseRootFromParent_Done,
     /*  201773 */   // Label 4351: @201773
     /*  201773 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(201836), // Rule ID 9282 //
     /*  201778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  201792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  201806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201817 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  201817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  201820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201834 */     GIR_RootConstrainSelectedInstOperands,
     /*  201835 */     // GIR_Coverage, 9282,
     /*  201835 */     GIR_EraseRootFromParent_Done,
     /*  201836 */   // Label 4352: @201836
     /*  201836 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(201899), // Rule ID 9283 //
     /*  201841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  201852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  201855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  201869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201880 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  201880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  201883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  201897 */     GIR_RootConstrainSelectedInstOperands,
     /*  201898 */     // GIR_Coverage, 9283,
     /*  201898 */     GIR_EraseRootFromParent_Done,
     /*  201899 */   // Label 4353: @201899
     /*  201899 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(201962), // Rule ID 9286 //
     /*  201904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  201907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  201918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  201921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  201924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  201943 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  201943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  201946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  201948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  201950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  201952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  201957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  201960 */     GIR_RootConstrainSelectedInstOperands,
     /*  201961 */     // GIR_Coverage, 9286,
     /*  201961 */     GIR_EraseRootFromParent_Done,
     /*  201962 */   // Label 4354: @201962
     /*  201962 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(202025), // Rule ID 9287 //
     /*  201967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  201970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  201975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  201978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  201981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  201984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  201987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  201991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  201995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202006 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  202006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202023 */     GIR_RootConstrainSelectedInstOperands,
     /*  202024 */     // GIR_Coverage, 9287,
     /*  202024 */     GIR_EraseRootFromParent_Done,
     /*  202025 */   // Label 4355: @202025
     /*  202025 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(202088), // Rule ID 9290 //
     /*  202030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  202044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  202069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202086 */     GIR_RootConstrainSelectedInstOperands,
     /*  202087 */     // GIR_Coverage, 9290,
     /*  202087 */     GIR_EraseRootFromParent_Done,
     /*  202088 */   // Label 4356: @202088
     /*  202088 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(202151), // Rule ID 9291 //
     /*  202093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  202107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202132 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  202132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202149 */     GIR_RootConstrainSelectedInstOperands,
     /*  202150 */     // GIR_Coverage, 9291,
     /*  202150 */     GIR_EraseRootFromParent_Done,
     /*  202151 */   // Label 4357: @202151
     /*  202151 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(202214), // Rule ID 9294 //
     /*  202156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  202167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  202170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202195 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  202195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202212 */     GIR_RootConstrainSelectedInstOperands,
     /*  202213 */     // GIR_Coverage, 9294,
     /*  202213 */     GIR_EraseRootFromParent_Done,
     /*  202214 */   // Label 4358: @202214
     /*  202214 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(202277), // Rule ID 9295 //
     /*  202219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  202230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  202233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202258 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  202258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  202275 */     GIR_RootConstrainSelectedInstOperands,
     /*  202276 */     // GIR_Coverage, 9295,
     /*  202276 */     GIR_EraseRootFromParent_Done,
     /*  202277 */   // Label 4359: @202277
     /*  202277 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(202340), // Rule ID 9298 //
     /*  202282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  202296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202321 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202338 */     GIR_RootConstrainSelectedInstOperands,
     /*  202339 */     // GIR_Coverage, 9298,
     /*  202339 */     GIR_EraseRootFromParent_Done,
     /*  202340 */   // Label 4360: @202340
     /*  202340 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(202403), // Rule ID 9299 //
     /*  202345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  202359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202384 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202401 */     GIR_RootConstrainSelectedInstOperands,
     /*  202402 */     // GIR_Coverage, 9299,
     /*  202402 */     GIR_EraseRootFromParent_Done,
     /*  202403 */   // Label 4361: @202403
     /*  202403 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(202466), // Rule ID 9302 //
     /*  202408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  202422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202464 */     GIR_RootConstrainSelectedInstOperands,
     /*  202465 */     // GIR_Coverage, 9302,
     /*  202465 */     GIR_EraseRootFromParent_Done,
     /*  202466 */   // Label 4362: @202466
     /*  202466 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(202529), // Rule ID 9303 //
     /*  202471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  202485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202510 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202527 */     GIR_RootConstrainSelectedInstOperands,
     /*  202528 */     // GIR_Coverage, 9303,
     /*  202528 */     GIR_EraseRootFromParent_Done,
     /*  202529 */   // Label 4363: @202529
     /*  202529 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(202592), // Rule ID 9306 //
     /*  202534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  202537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  202548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202573 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  202573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202590 */     GIR_RootConstrainSelectedInstOperands,
     /*  202591 */     // GIR_Coverage, 9306,
     /*  202591 */     GIR_EraseRootFromParent_Done,
     /*  202592 */   // Label 4364: @202592
     /*  202592 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(202655), // Rule ID 9307 //
     /*  202597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  202600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  202608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  202611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202636 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  202636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  202653 */     GIR_RootConstrainSelectedInstOperands,
     /*  202654 */     // GIR_Coverage, 9307,
     /*  202654 */     GIR_EraseRootFromParent_Done,
     /*  202655 */   // Label 4365: @202655
     /*  202655 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(202718), // Rule ID 9310 //
     /*  202660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  202671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  202674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202716 */     GIR_RootConstrainSelectedInstOperands,
     /*  202717 */     // GIR_Coverage, 9310,
     /*  202717 */     GIR_EraseRootFromParent_Done,
     /*  202718 */   // Label 4366: @202718
     /*  202718 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(202781), // Rule ID 9311 //
     /*  202723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  202734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  202737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  202751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  202762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  202765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202779 */     GIR_RootConstrainSelectedInstOperands,
     /*  202780 */     // GIR_Coverage, 9311,
     /*  202780 */     GIR_EraseRootFromParent_Done,
     /*  202781 */   // Label 4367: @202781
     /*  202781 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(202844), // Rule ID 9314 //
     /*  202786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  202800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202842 */     GIR_RootConstrainSelectedInstOperands,
     /*  202843 */     // GIR_Coverage, 9314,
     /*  202843 */     GIR_EraseRootFromParent_Done,
     /*  202844 */   // Label 4368: @202844
     /*  202844 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(202907), // Rule ID 9315 //
     /*  202849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  202860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  202863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  202877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  202888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  202891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202905 */     GIR_RootConstrainSelectedInstOperands,
     /*  202906 */     // GIR_Coverage, 9315,
     /*  202906 */     GIR_EraseRootFromParent_Done,
     /*  202907 */   // Label 4369: @202907
     /*  202907 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(202970), // Rule ID 9318 //
     /*  202912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  202915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  202926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  202929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  202932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  202940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  202951 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  202951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  202954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  202956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  202958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  202960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  202965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  202968 */     GIR_RootConstrainSelectedInstOperands,
     /*  202969 */     // GIR_Coverage, 9318,
     /*  202969 */     GIR_EraseRootFromParent_Done,
     /*  202970 */   // Label 4370: @202970
     /*  202970 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(203033), // Rule ID 9319 //
     /*  202975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  202978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  202983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  202986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  202989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  202992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  202995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  202999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  203003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203014 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  203014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  203017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  203021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  203023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  203031 */     GIR_RootConstrainSelectedInstOperands,
     /*  203032 */     // GIR_Coverage, 9319,
     /*  203032 */     GIR_EraseRootFromParent_Done,
     /*  203033 */   // Label 4371: @203033
     /*  203033 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(203096), // Rule ID 9410 //
     /*  203038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  203052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  203055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203077 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203094 */     GIR_RootConstrainSelectedInstOperands,
     /*  203095 */     // GIR_Coverage, 9410,
     /*  203095 */     GIR_EraseRootFromParent_Done,
     /*  203096 */   // Label 4372: @203096
     /*  203096 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(203159), // Rule ID 9411 //
     /*  203101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  203115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  203118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203157 */     GIR_RootConstrainSelectedInstOperands,
     /*  203158 */     // GIR_Coverage, 9411,
     /*  203158 */     GIR_EraseRootFromParent_Done,
     /*  203159 */   // Label 4373: @203159
     /*  203159 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(203222), // Rule ID 9414 //
     /*  203164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  203178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  203181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203220 */     GIR_RootConstrainSelectedInstOperands,
     /*  203221 */     // GIR_Coverage, 9414,
     /*  203221 */     GIR_EraseRootFromParent_Done,
     /*  203222 */   // Label 4374: @203222
     /*  203222 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(203285), // Rule ID 9415 //
     /*  203227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  203241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  203244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203283 */     GIR_RootConstrainSelectedInstOperands,
     /*  203284 */     // GIR_Coverage, 9415,
     /*  203284 */     GIR_EraseRootFromParent_Done,
     /*  203285 */   // Label 4375: @203285
     /*  203285 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(203348), // Rule ID 9418 //
     /*  203290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  203304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  203307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203329 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203346 */     GIR_RootConstrainSelectedInstOperands,
     /*  203347 */     // GIR_Coverage, 9418,
     /*  203347 */     GIR_EraseRootFromParent_Done,
     /*  203348 */   // Label 4376: @203348
     /*  203348 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(203411), // Rule ID 9419 //
     /*  203353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  203367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  203370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203392 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  203395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203409 */     GIR_RootConstrainSelectedInstOperands,
     /*  203410 */     // GIR_Coverage, 9419,
     /*  203410 */     GIR_EraseRootFromParent_Done,
     /*  203411 */   // Label 4377: @203411
     /*  203411 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(203474), // Rule ID 9422 //
     /*  203416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  203430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  203433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203455 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203472 */     GIR_RootConstrainSelectedInstOperands,
     /*  203473 */     // GIR_Coverage, 9422,
     /*  203473 */     GIR_EraseRootFromParent_Done,
     /*  203474 */   // Label 4378: @203474
     /*  203474 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(203537), // Rule ID 9423 //
     /*  203479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  203493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  203496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203535 */     GIR_RootConstrainSelectedInstOperands,
     /*  203536 */     // GIR_Coverage, 9423,
     /*  203536 */     GIR_EraseRootFromParent_Done,
     /*  203537 */   // Label 4379: @203537
     /*  203537 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(203600), // Rule ID 9426 //
     /*  203542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  203556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  203559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203581 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  203581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203598 */     GIR_RootConstrainSelectedInstOperands,
     /*  203599 */     // GIR_Coverage, 9426,
     /*  203599 */     GIR_EraseRootFromParent_Done,
     /*  203600 */   // Label 4380: @203600
     /*  203600 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(203663), // Rule ID 9427 //
     /*  203605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  203616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  203619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  203622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203644 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  203644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  203647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203661 */     GIR_RootConstrainSelectedInstOperands,
     /*  203662 */     // GIR_Coverage, 9427,
     /*  203662 */     GIR_EraseRootFromParent_Done,
     /*  203663 */   // Label 4381: @203663
     /*  203663 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(203726), // Rule ID 9430 //
     /*  203668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  203679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  203682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  203685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203707 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  203707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203724 */     GIR_RootConstrainSelectedInstOperands,
     /*  203725 */     // GIR_Coverage, 9430,
     /*  203725 */     GIR_EraseRootFromParent_Done,
     /*  203726 */   // Label 4382: @203726
     /*  203726 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(203789), // Rule ID 9431 //
     /*  203731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  203742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  203745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  203748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  203770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  203787 */     GIR_RootConstrainSelectedInstOperands,
     /*  203788 */     // GIR_Coverage, 9431,
     /*  203788 */     GIR_EraseRootFromParent_Done,
     /*  203789 */   // Label 4383: @203789
     /*  203789 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(203852), // Rule ID 9434 //
     /*  203794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  203808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  203811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203833 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  203833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203850 */     GIR_RootConstrainSelectedInstOperands,
     /*  203851 */     // GIR_Coverage, 9434,
     /*  203851 */     GIR_EraseRootFromParent_Done,
     /*  203852 */   // Label 4384: @203852
     /*  203852 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(203915), // Rule ID 9435 //
     /*  203857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  203868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  203871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  203874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  203877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203896 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  203896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  203913 */     GIR_RootConstrainSelectedInstOperands,
     /*  203914 */     // GIR_Coverage, 9435,
     /*  203914 */     GIR_EraseRootFromParent_Done,
     /*  203915 */   // Label 4385: @203915
     /*  203915 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(203978), // Rule ID 9438 //
     /*  203920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  203923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  203934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  203937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  203940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  203952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  203959 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  203959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  203962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  203964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  203966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  203968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  203973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  203976 */     GIR_RootConstrainSelectedInstOperands,
     /*  203977 */     // GIR_Coverage, 9438,
     /*  203977 */     GIR_EraseRootFromParent_Done,
     /*  203978 */   // Label 4386: @203978
     /*  203978 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(204041), // Rule ID 9439 //
     /*  203983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  203986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  203991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  203994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  203997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  204000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  204022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  204025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  204039 */     GIR_RootConstrainSelectedInstOperands,
     /*  204040 */     // GIR_Coverage, 9439,
     /*  204040 */     GIR_EraseRootFromParent_Done,
     /*  204041 */   // Label 4387: @204041
     /*  204041 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(204104), // Rule ID 9442 //
     /*  204046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  204049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  204060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  204063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  204085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  204088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  204102 */     GIR_RootConstrainSelectedInstOperands,
     /*  204103 */     // GIR_Coverage, 9442,
     /*  204103 */     GIR_EraseRootFromParent_Done,
     /*  204104 */   // Label 4388: @204104
     /*  204104 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(204167), // Rule ID 9443 //
     /*  204109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  204112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  204120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  204123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  204126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204148 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11087:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  204148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  204151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  204165 */     GIR_RootConstrainSelectedInstOperands,
     /*  204166 */     // GIR_Coverage, 9443,
     /*  204166 */     GIR_EraseRootFromParent_Done,
     /*  204167 */   // Label 4389: @204167
     /*  204167 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(204230), // Rule ID 9446 //
     /*  204172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  204186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  204189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204211 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204228 */     GIR_RootConstrainSelectedInstOperands,
     /*  204229 */     // GIR_Coverage, 9446,
     /*  204229 */     GIR_EraseRootFromParent_Done,
     /*  204230 */   // Label 4390: @204230
     /*  204230 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(204293), // Rule ID 9447 //
     /*  204235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  204249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  204252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204291 */     GIR_RootConstrainSelectedInstOperands,
     /*  204292 */     // GIR_Coverage, 9447,
     /*  204292 */     GIR_EraseRootFromParent_Done,
     /*  204293 */   // Label 4391: @204293
     /*  204293 */   GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(204356), // Rule ID 9450 //
     /*  204298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  204312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  204315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204337 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204354 */     GIR_RootConstrainSelectedInstOperands,
     /*  204355 */     // GIR_Coverage, 9450,
     /*  204355 */     GIR_EraseRootFromParent_Done,
     /*  204356 */   // Label 4392: @204356
     /*  204356 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(204419), // Rule ID 9451 //
     /*  204361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  204375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  204378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204400 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204417 */     GIR_RootConstrainSelectedInstOperands,
     /*  204418 */     // GIR_Coverage, 9451,
     /*  204418 */     GIR_EraseRootFromParent_Done,
     /*  204419 */   // Label 4393: @204419
     /*  204419 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(204482), // Rule ID 9454 //
     /*  204424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  204438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  204441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204463 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  204463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204480 */     GIR_RootConstrainSelectedInstOperands,
     /*  204481 */     // GIR_Coverage, 9454,
     /*  204481 */     GIR_EraseRootFromParent_Done,
     /*  204482 */   // Label 4394: @204482
     /*  204482 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(204545), // Rule ID 9455 //
     /*  204487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  204498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  204501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  204504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204526 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  204526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  204543 */     GIR_RootConstrainSelectedInstOperands,
     /*  204544 */     // GIR_Coverage, 9455,
     /*  204544 */     GIR_EraseRootFromParent_Done,
     /*  204545 */   // Label 4395: @204545
     /*  204545 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(204608), // Rule ID 9458 //
     /*  204550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  204564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  204567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204606 */     GIR_RootConstrainSelectedInstOperands,
     /*  204607 */     // GIR_Coverage, 9458,
     /*  204607 */     GIR_EraseRootFromParent_Done,
     /*  204608 */   // Label 4396: @204608
     /*  204608 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(204671), // Rule ID 9459 //
     /*  204613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  204624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  204627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  204630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204669 */     GIR_RootConstrainSelectedInstOperands,
     /*  204670 */     // GIR_Coverage, 9459,
     /*  204670 */     GIR_EraseRootFromParent_Done,
     /*  204671 */   // Label 4397: @204671
     /*  204671 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(204734), // Rule ID 9462 //
     /*  204676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  204690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  204693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204715 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204732 */     GIR_RootConstrainSelectedInstOperands,
     /*  204733 */     // GIR_Coverage, 9462,
     /*  204733 */     GIR_EraseRootFromParent_Done,
     /*  204734 */   // Label 4398: @204734
     /*  204734 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(204797), // Rule ID 9463 //
     /*  204739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  204750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  204753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  204756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  204771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  204781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204795 */     GIR_RootConstrainSelectedInstOperands,
     /*  204796 */     // GIR_Coverage, 9463,
     /*  204796 */     GIR_EraseRootFromParent_Done,
     /*  204797 */   // Label 4399: @204797
     /*  204797 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(204860), // Rule ID 9466 //
     /*  204802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  204816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  204819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204841 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  204841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204858 */     GIR_RootConstrainSelectedInstOperands,
     /*  204859 */     // GIR_Coverage, 9466,
     /*  204859 */     GIR_EraseRootFromParent_Done,
     /*  204860 */   // Label 4400: @204860
     /*  204860 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(204923), // Rule ID 9467 //
     /*  204865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  204876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  204879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  204882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  204885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  204897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204904 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  204904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  204907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  204921 */     GIR_RootConstrainSelectedInstOperands,
     /*  204922 */     // GIR_Coverage, 9467,
     /*  204922 */     GIR_EraseRootFromParent_Done,
     /*  204923 */   // Label 4401: @204923
     /*  204923 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(204986), // Rule ID 9470 //
     /*  204928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  204931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  204939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  204942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  204945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  204948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  204952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  204960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  204967 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  204967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  204970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  204972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  204974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  204976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  204981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  204984 */     GIR_RootConstrainSelectedInstOperands,
     /*  204985 */     // GIR_Coverage, 9470,
     /*  204985 */     GIR_EraseRootFromParent_Done,
     /*  204986 */   // Label 4402: @204986
     /*  204986 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(205049), // Rule ID 9471 //
     /*  204991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  204994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  204999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  205005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  205008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  205030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  205033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205047 */     GIR_RootConstrainSelectedInstOperands,
     /*  205048 */     // GIR_Coverage, 9471,
     /*  205048 */     GIR_EraseRootFromParent_Done,
     /*  205049 */   // Label 4403: @205049
     /*  205049 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(205112), // Rule ID 9474 //
     /*  205054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  205068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  205071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205093 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  205093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205110 */     GIR_RootConstrainSelectedInstOperands,
     /*  205111 */     // GIR_Coverage, 9474,
     /*  205111 */     GIR_EraseRootFromParent_Done,
     /*  205112 */   // Label 4404: @205112
     /*  205112 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(205175), // Rule ID 9475 //
     /*  205117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  205131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  205134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  205156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205173 */     GIR_RootConstrainSelectedInstOperands,
     /*  205174 */     // GIR_Coverage, 9475,
     /*  205174 */     GIR_EraseRootFromParent_Done,
     /*  205175 */   // Label 4405: @205175
     /*  205175 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(205238), // Rule ID 9478 //
     /*  205180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  205194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  205197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205219 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  205219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205236 */     GIR_RootConstrainSelectedInstOperands,
     /*  205237 */     // GIR_Coverage, 9478,
     /*  205237 */     GIR_EraseRootFromParent_Done,
     /*  205238 */   // Label 4406: @205238
     /*  205238 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(205301), // Rule ID 9479 //
     /*  205243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  205254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  205257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  205260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205282 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  205282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  205299 */     GIR_RootConstrainSelectedInstOperands,
     /*  205300 */     // GIR_Coverage, 9479,
     /*  205300 */     GIR_EraseRootFromParent_Done,
     /*  205301 */   // Label 4407: @205301
     /*  205301 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(205364), // Rule ID 9482 //
     /*  205306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  205320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  205323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205345 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  205348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205362 */     GIR_RootConstrainSelectedInstOperands,
     /*  205363 */     // GIR_Coverage, 9482,
     /*  205363 */     GIR_EraseRootFromParent_Done,
     /*  205364 */   // Label 4408: @205364
     /*  205364 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(205427), // Rule ID 9483 //
     /*  205369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  205383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  205386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  205401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11087:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  205411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205425 */     GIR_RootConstrainSelectedInstOperands,
     /*  205426 */     // GIR_Coverage, 9483,
     /*  205426 */     GIR_EraseRootFromParent_Done,
     /*  205427 */   // Label 4409: @205427
     /*  205427 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(205490), // Rule ID 9486 //
     /*  205432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  205446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  205449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205471 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205488 */     GIR_RootConstrainSelectedInstOperands,
     /*  205489 */     // GIR_Coverage, 9486,
     /*  205489 */     GIR_EraseRootFromParent_Done,
     /*  205490 */   // Label 4410: @205490
     /*  205490 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(205553), // Rule ID 9487 //
     /*  205495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  205509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  205512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  205527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205534 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11087:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  205537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205551 */     GIR_RootConstrainSelectedInstOperands,
     /*  205552 */     // GIR_Coverage, 9487,
     /*  205552 */     GIR_EraseRootFromParent_Done,
     /*  205553 */   // Label 4411: @205553
     /*  205553 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(205616), // Rule ID 9490 //
     /*  205558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  205561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  205572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  205575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205597 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  205597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205614 */     GIR_RootConstrainSelectedInstOperands,
     /*  205615 */     // GIR_Coverage, 9490,
     /*  205615 */     GIR_EraseRootFromParent_Done,
     /*  205616 */   // Label 4412: @205616
     /*  205616 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(205679), // Rule ID 9491 //
     /*  205621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  205624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  205629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  205632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  205635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  205638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  205653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205660 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11087:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  205660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  205663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  205677 */     GIR_RootConstrainSelectedInstOperands,
     /*  205678 */     // GIR_Coverage, 9491,
     /*  205678 */     GIR_EraseRootFromParent_Done,
     /*  205679 */   // Label 4413: @205679
     /*  205679 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(205742), // Rule ID 9494 //
     /*  205684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  205698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  205701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205723 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  205726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205740 */     GIR_RootConstrainSelectedInstOperands,
     /*  205741 */     // GIR_Coverage, 9494,
     /*  205741 */     GIR_EraseRootFromParent_Done,
     /*  205742 */   // Label 4414: @205742
     /*  205742 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(205805), // Rule ID 9495 //
     /*  205747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  205758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  205761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  205764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  205786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  205789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205803 */     GIR_RootConstrainSelectedInstOperands,
     /*  205804 */     // GIR_Coverage, 9495,
     /*  205804 */     GIR_EraseRootFromParent_Done,
     /*  205805 */   // Label 4415: @205805
     /*  205805 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(205868), // Rule ID 9498 //
     /*  205810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  205824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  205827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  205852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205866 */     GIR_RootConstrainSelectedInstOperands,
     /*  205867 */     // GIR_Coverage, 9498,
     /*  205867 */     GIR_EraseRootFromParent_Done,
     /*  205868 */   // Label 4416: @205868
     /*  205868 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(205931), // Rule ID 9499 //
     /*  205873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  205876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  205884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  205887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  205890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  205893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205912 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  205912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  205915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205929 */     GIR_RootConstrainSelectedInstOperands,
     /*  205930 */     // GIR_Coverage, 9499,
     /*  205930 */     GIR_EraseRootFromParent_Done,
     /*  205931 */   // Label 4417: @205931
     /*  205931 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(205994), // Rule ID 9502 //
     /*  205936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  205939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  205944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  205947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  205950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  205953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  205956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  205968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  205975 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  205975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  205978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  205980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  205982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  205984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  205989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  205992 */     GIR_RootConstrainSelectedInstOperands,
     /*  205993 */     // GIR_Coverage, 9502,
     /*  205993 */     GIR_EraseRootFromParent_Done,
     /*  205994 */   // Label 4418: @205994
     /*  205994 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(206057), // Rule ID 9503 //
     /*  205999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  206013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  206016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  206038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206055 */     GIR_RootConstrainSelectedInstOperands,
     /*  206056 */     // GIR_Coverage, 9503,
     /*  206056 */     GIR_EraseRootFromParent_Done,
     /*  206057 */   // Label 4419: @206057
     /*  206057 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(206120), // Rule ID 9506 //
     /*  206062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  206079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  206104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206118 */     GIR_RootConstrainSelectedInstOperands,
     /*  206119 */     // GIR_Coverage, 9506,
     /*  206119 */     GIR_EraseRootFromParent_Done,
     /*  206120 */   // Label 4420: @206120
     /*  206120 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(206183), // Rule ID 9507 //
     /*  206125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  206139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  206142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  206167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206181 */     GIR_RootConstrainSelectedInstOperands,
     /*  206182 */     // GIR_Coverage, 9507,
     /*  206182 */     GIR_EraseRootFromParent_Done,
     /*  206183 */   // Label 4421: @206183
     /*  206183 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(206246), // Rule ID 9510 //
     /*  206188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  206205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206244 */     GIR_RootConstrainSelectedInstOperands,
     /*  206245 */     // GIR_Coverage, 9510,
     /*  206245 */     GIR_EraseRootFromParent_Done,
     /*  206246 */   // Label 4422: @206246
     /*  206246 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(206309), // Rule ID 9511 //
     /*  206251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  206265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  206268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206307 */     GIR_RootConstrainSelectedInstOperands,
     /*  206308 */     // GIR_Coverage, 9511,
     /*  206308 */     GIR_EraseRootFromParent_Done,
     /*  206309 */   // Label 4423: @206309
     /*  206309 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(206372), // Rule ID 9514 //
     /*  206314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  206331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206353 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  206353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206370 */     GIR_RootConstrainSelectedInstOperands,
     /*  206371 */     // GIR_Coverage, 9514,
     /*  206371 */     GIR_EraseRootFromParent_Done,
     /*  206372 */   // Label 4424: @206372
     /*  206372 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(206435), // Rule ID 9515 //
     /*  206377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  206391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  206394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  206416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  206419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206433 */     GIR_RootConstrainSelectedInstOperands,
     /*  206434 */     // GIR_Coverage, 9515,
     /*  206434 */     GIR_EraseRootFromParent_Done,
     /*  206435 */   // Label 4425: @206435
     /*  206435 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(206498), // Rule ID 9518 //
     /*  206440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  206457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206479 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  206479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206496 */     GIR_RootConstrainSelectedInstOperands,
     /*  206497 */     // GIR_Coverage, 9518,
     /*  206497 */     GIR_EraseRootFromParent_Done,
     /*  206498 */   // Label 4426: @206498
     /*  206498 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(206561), // Rule ID 9519 //
     /*  206503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  206514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  206517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  206520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  206542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  206559 */     GIR_RootConstrainSelectedInstOperands,
     /*  206560 */     // GIR_Coverage, 9519,
     /*  206560 */     GIR_EraseRootFromParent_Done,
     /*  206561 */   // Label 4427: @206561
     /*  206561 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(206624), // Rule ID 9522 //
     /*  206566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  206583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206605 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  206605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206622 */     GIR_RootConstrainSelectedInstOperands,
     /*  206623 */     // GIR_Coverage, 9522,
     /*  206623 */     GIR_EraseRootFromParent_Done,
     /*  206624 */   // Label 4428: @206624
     /*  206624 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(206687), // Rule ID 9523 //
     /*  206629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  206640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  206643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  206646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206668 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  206668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  206685 */     GIR_RootConstrainSelectedInstOperands,
     /*  206686 */     // GIR_Coverage, 9523,
     /*  206686 */     GIR_EraseRootFromParent_Done,
     /*  206687 */   // Label 4429: @206687
     /*  206687 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(206750), // Rule ID 9526 //
     /*  206692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  206706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  206709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206731 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  206731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206748 */     GIR_RootConstrainSelectedInstOperands,
     /*  206749 */     // GIR_Coverage, 9526,
     /*  206749 */     GIR_EraseRootFromParent_Done,
     /*  206750 */   // Label 4430: @206750
     /*  206750 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(206813), // Rule ID 9527 //
     /*  206755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  206758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  206766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  206769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  206772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  206794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  206811 */     GIR_RootConstrainSelectedInstOperands,
     /*  206812 */     // GIR_Coverage, 9527,
     /*  206812 */     GIR_EraseRootFromParent_Done,
     /*  206813 */   // Label 4431: @206813
     /*  206813 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(206876), // Rule ID 9530 //
     /*  206818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  206821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  206832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  206835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206857 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  206857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  206874 */     GIR_RootConstrainSelectedInstOperands,
     /*  206875 */     // GIR_Coverage, 9530,
     /*  206875 */     GIR_EraseRootFromParent_Done,
     /*  206876 */   // Label 4432: @206876
     /*  206876 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(206939), // Rule ID 9531 //
     /*  206881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  206884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  206892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  206895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  206898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  206901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206920 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11085:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  206920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  206923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  206937 */     GIR_RootConstrainSelectedInstOperands,
     /*  206938 */     // GIR_Coverage, 9531,
     /*  206938 */     GIR_EraseRootFromParent_Done,
     /*  206939 */   // Label 4433: @206939
     /*  206939 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(207002), // Rule ID 9534 //
     /*  206944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  206947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  206952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  206955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  206958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  206961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  206964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  206968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  206972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  206976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  206983 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  206983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  206986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  206988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  206990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  206992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  206997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207000 */     GIR_RootConstrainSelectedInstOperands,
     /*  207001 */     // GIR_Coverage, 9534,
     /*  207001 */     GIR_EraseRootFromParent_Done,
     /*  207002 */   // Label 4434: @207002
     /*  207002 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(207065), // Rule ID 9535 //
     /*  207007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  207021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  207024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207046 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207063 */     GIR_RootConstrainSelectedInstOperands,
     /*  207064 */     // GIR_Coverage, 9535,
     /*  207064 */     GIR_EraseRootFromParent_Done,
     /*  207065 */   // Label 4435: @207065
     /*  207065 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(207128), // Rule ID 9538 //
     /*  207070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  207087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207109 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  207109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207126 */     GIR_RootConstrainSelectedInstOperands,
     /*  207127 */     // GIR_Coverage, 9538,
     /*  207127 */     GIR_EraseRootFromParent_Done,
     /*  207128 */   // Label 4436: @207128
     /*  207128 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(207191), // Rule ID 9539 //
     /*  207133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  207147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  207150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207189 */     GIR_RootConstrainSelectedInstOperands,
     /*  207190 */     // GIR_Coverage, 9539,
     /*  207190 */     GIR_EraseRootFromParent_Done,
     /*  207191 */   // Label 4437: @207191
     /*  207191 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(207254), // Rule ID 9542 //
     /*  207196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  207213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207235 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  207235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207252 */     GIR_RootConstrainSelectedInstOperands,
     /*  207253 */     // GIR_Coverage, 9542,
     /*  207253 */     GIR_EraseRootFromParent_Done,
     /*  207254 */   // Label 4438: @207254
     /*  207254 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(207317), // Rule ID 9543 //
     /*  207259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  207270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  207273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  207276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207298 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  207298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  207315 */     GIR_RootConstrainSelectedInstOperands,
     /*  207316 */     // GIR_Coverage, 9543,
     /*  207316 */     GIR_EraseRootFromParent_Done,
     /*  207317 */   // Label 4439: @207317
     /*  207317 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(207380), // Rule ID 9546 //
     /*  207322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  207339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207361 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207378 */     GIR_RootConstrainSelectedInstOperands,
     /*  207379 */     // GIR_Coverage, 9546,
     /*  207379 */     GIR_EraseRootFromParent_Done,
     /*  207380 */   // Label 4440: @207380
     /*  207380 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(207443), // Rule ID 9547 //
     /*  207385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  207399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  207402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207424 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207441 */     GIR_RootConstrainSelectedInstOperands,
     /*  207442 */     // GIR_Coverage, 9547,
     /*  207442 */     GIR_EraseRootFromParent_Done,
     /*  207443 */   // Label 4441: @207443
     /*  207443 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(207506), // Rule ID 9550 //
     /*  207448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  207465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207487 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207504 */     GIR_RootConstrainSelectedInstOperands,
     /*  207505 */     // GIR_Coverage, 9550,
     /*  207505 */     GIR_EraseRootFromParent_Done,
     /*  207506 */   // Label 4442: @207506
     /*  207506 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(207569), // Rule ID 9551 //
     /*  207511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  207525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  207528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207567 */     GIR_RootConstrainSelectedInstOperands,
     /*  207568 */     // GIR_Coverage, 9551,
     /*  207568 */     GIR_EraseRootFromParent_Done,
     /*  207569 */   // Label 4443: @207569
     /*  207569 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(207632), // Rule ID 9554 //
     /*  207574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  207591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  207613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207630 */     GIR_RootConstrainSelectedInstOperands,
     /*  207631 */     // GIR_Coverage, 9554,
     /*  207631 */     GIR_EraseRootFromParent_Done,
     /*  207632 */   // Label 4444: @207632
     /*  207632 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(207695), // Rule ID 9555 //
     /*  207637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  207648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  207651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  207654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207676 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  207676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  207693 */     GIR_RootConstrainSelectedInstOperands,
     /*  207694 */     // GIR_Coverage, 9555,
     /*  207694 */     GIR_EraseRootFromParent_Done,
     /*  207695 */   // Label 4445: @207695
     /*  207695 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(207758), // Rule ID 9558 //
     /*  207700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  207714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  207717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207739 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207756 */     GIR_RootConstrainSelectedInstOperands,
     /*  207757 */     // GIR_Coverage, 9558,
     /*  207757 */     GIR_EraseRootFromParent_Done,
     /*  207758 */   // Label 4446: @207758
     /*  207758 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(207821), // Rule ID 9559 //
     /*  207763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  207774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  207777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  207780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  207795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  207802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  207805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207819 */     GIR_RootConstrainSelectedInstOperands,
     /*  207820 */     // GIR_Coverage, 9559,
     /*  207820 */     GIR_EraseRootFromParent_Done,
     /*  207821 */   // Label 4447: @207821
     /*  207821 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(207884), // Rule ID 9562 //
     /*  207826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  207840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  207843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207865 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207882 */     GIR_RootConstrainSelectedInstOperands,
     /*  207883 */     // GIR_Coverage, 9562,
     /*  207883 */     GIR_EraseRootFromParent_Done,
     /*  207884 */   // Label 4448: @207884
     /*  207884 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(207947), // Rule ID 9563 //
     /*  207889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  207892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  207900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  207903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  207906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  207909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  207921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  207928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  207931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  207937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  207942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  207945 */     GIR_RootConstrainSelectedInstOperands,
     /*  207946 */     // GIR_Coverage, 9563,
     /*  207946 */     GIR_EraseRootFromParent_Done,
     /*  207947 */   // Label 4449: @207947
     /*  207947 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(208010), // Rule ID 9566 //
     /*  207952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  207955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  207960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  207963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  207966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  207969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  207972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  207976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  207984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  207991 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  207991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  207994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  207996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  207998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208008 */     GIR_RootConstrainSelectedInstOperands,
     /*  208009 */     // GIR_Coverage, 9566,
     /*  208009 */     GIR_EraseRootFromParent_Done,
     /*  208010 */   // Label 4450: @208010
     /*  208010 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(208073), // Rule ID 9567 //
     /*  208015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  208026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  208029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  208032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  208054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  208071 */     GIR_RootConstrainSelectedInstOperands,
     /*  208072 */     // GIR_Coverage, 9567,
     /*  208072 */     GIR_EraseRootFromParent_Done,
     /*  208073 */   // Label 4451: @208073
     /*  208073 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(208136), // Rule ID 9570 //
     /*  208078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  208095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208117 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  208120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208134 */     GIR_RootConstrainSelectedInstOperands,
     /*  208135 */     // GIR_Coverage, 9570,
     /*  208135 */     GIR_EraseRootFromParent_Done,
     /*  208136 */   // Label 4452: @208136
     /*  208136 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(208199), // Rule ID 9571 //
     /*  208141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  208155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  208158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  208173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11085:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  208183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208197 */     GIR_RootConstrainSelectedInstOperands,
     /*  208198 */     // GIR_Coverage, 9571,
     /*  208198 */     GIR_EraseRootFromParent_Done,
     /*  208199 */   // Label 4453: @208199
     /*  208199 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(208262), // Rule ID 9574 //
     /*  208204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  208221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  208246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208260 */     GIR_RootConstrainSelectedInstOperands,
     /*  208261 */     // GIR_Coverage, 9574,
     /*  208261 */     GIR_EraseRootFromParent_Done,
     /*  208262 */   // Label 4454: @208262
     /*  208262 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(208325), // Rule ID 9575 //
     /*  208267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  208281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  208284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  208299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208306 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11085:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  208309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208323 */     GIR_RootConstrainSelectedInstOperands,
     /*  208324 */     // GIR_Coverage, 9575,
     /*  208324 */     GIR_EraseRootFromParent_Done,
     /*  208325 */   // Label 4455: @208325
     /*  208325 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(208388), // Rule ID 9578 //
     /*  208330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  208333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  208347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  208369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208386 */     GIR_RootConstrainSelectedInstOperands,
     /*  208387 */     // GIR_Coverage, 9578,
     /*  208387 */     GIR_EraseRootFromParent_Done,
     /*  208388 */   // Label 4456: @208388
     /*  208388 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(208451), // Rule ID 9579 //
     /*  208393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  208396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  208401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  208404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  208407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  208410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  208425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11085:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  208432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  208435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  208449 */     GIR_RootConstrainSelectedInstOperands,
     /*  208450 */     // GIR_Coverage, 9579,
     /*  208450 */     GIR_EraseRootFromParent_Done,
     /*  208451 */   // Label 4457: @208451
     /*  208451 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(208514), // Rule ID 9582 //
     /*  208456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  208473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208495 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  208498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208512 */     GIR_RootConstrainSelectedInstOperands,
     /*  208513 */     // GIR_Coverage, 9582,
     /*  208513 */     GIR_EraseRootFromParent_Done,
     /*  208514 */   // Label 4458: @208514
     /*  208514 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(208577), // Rule ID 9583 //
     /*  208519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  208533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  208536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  208561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208575 */     GIR_RootConstrainSelectedInstOperands,
     /*  208576 */     // GIR_Coverage, 9583,
     /*  208576 */     GIR_EraseRootFromParent_Done,
     /*  208577 */   // Label 4459: @208577
     /*  208577 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(208640), // Rule ID 9586 //
     /*  208582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  208596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  208599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208638 */     GIR_RootConstrainSelectedInstOperands,
     /*  208639 */     // GIR_Coverage, 9586,
     /*  208639 */     GIR_EraseRootFromParent_Done,
     /*  208640 */   // Label 4460: @208640
     /*  208640 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(208703), // Rule ID 9587 //
     /*  208645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  208659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  208662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208701 */     GIR_RootConstrainSelectedInstOperands,
     /*  208702 */     // GIR_Coverage, 9587,
     /*  208702 */     GIR_EraseRootFromParent_Done,
     /*  208703 */   // Label 4461: @208703
     /*  208703 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(208766), // Rule ID 9590 //
     /*  208708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  208722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  208725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208747 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  208747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  208750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208764 */     GIR_RootConstrainSelectedInstOperands,
     /*  208765 */     // GIR_Coverage, 9590,
     /*  208765 */     GIR_EraseRootFromParent_Done,
     /*  208766 */   // Label 4462: @208766
     /*  208766 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(208829), // Rule ID 9591 //
     /*  208771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  208782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  208785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  208788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  208810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  208813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  208827 */     GIR_RootConstrainSelectedInstOperands,
     /*  208828 */     // GIR_Coverage, 9591,
     /*  208828 */     GIR_EraseRootFromParent_Done,
     /*  208829 */   // Label 4463: @208829
     /*  208829 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(208892), // Rule ID 9594 //
     /*  208834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  208848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  208851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  208873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  208890 */     GIR_RootConstrainSelectedInstOperands,
     /*  208891 */     // GIR_Coverage, 9594,
     /*  208891 */     GIR_EraseRootFromParent_Done,
     /*  208892 */   // Label 4464: @208892
     /*  208892 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(208955), // Rule ID 9595 //
     /*  208897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  208900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  208908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  208911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  208914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  208917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208936 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  208936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  208939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  208941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  208943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  208945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  208950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  208953 */     GIR_RootConstrainSelectedInstOperands,
     /*  208954 */     // GIR_Coverage, 9595,
     /*  208954 */     GIR_EraseRootFromParent_Done,
     /*  208955 */   // Label 4465: @208955
     /*  208955 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(209018), // Rule ID 9598 //
     /*  208960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  208963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  208968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  208971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  208974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  208977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  208980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  208992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  208999 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  208999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209016 */     GIR_RootConstrainSelectedInstOperands,
     /*  209017 */     // GIR_Coverage, 9598,
     /*  209017 */     GIR_EraseRootFromParent_Done,
     /*  209018 */   // Label 4466: @209018
     /*  209018 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(209081), // Rule ID 9599 //
     /*  209023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  209037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  209040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  209062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209079 */     GIR_RootConstrainSelectedInstOperands,
     /*  209080 */     // GIR_Coverage, 9599,
     /*  209080 */     GIR_EraseRootFromParent_Done,
     /*  209081 */   // Label 4467: @209081
     /*  209081 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(209144), // Rule ID 9602 //
     /*  209086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  209100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  209103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209125 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  209125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209142 */     GIR_RootConstrainSelectedInstOperands,
     /*  209143 */     // GIR_Coverage, 9602,
     /*  209143 */     GIR_EraseRootFromParent_Done,
     /*  209144 */   // Label 4468: @209144
     /*  209144 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(209207), // Rule ID 9603 //
     /*  209149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  209163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  209166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209188 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  209188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  209191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209205 */     GIR_RootConstrainSelectedInstOperands,
     /*  209206 */     // GIR_Coverage, 9603,
     /*  209206 */     GIR_EraseRootFromParent_Done,
     /*  209207 */   // Label 4469: @209207
     /*  209207 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(209270), // Rule ID 9606 //
     /*  209212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  209226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  209229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209251 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209268 */     GIR_RootConstrainSelectedInstOperands,
     /*  209269 */     // GIR_Coverage, 9606,
     /*  209269 */     GIR_EraseRootFromParent_Done,
     /*  209270 */   // Label 4470: @209270
     /*  209270 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(209333), // Rule ID 9607 //
     /*  209275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  209286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  209289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  209292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209331 */     GIR_RootConstrainSelectedInstOperands,
     /*  209332 */     // GIR_Coverage, 9607,
     /*  209332 */     GIR_EraseRootFromParent_Done,
     /*  209333 */   // Label 4471: @209333
     /*  209333 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(209396), // Rule ID 9610 //
     /*  209338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  209352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  209355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  209377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209394 */     GIR_RootConstrainSelectedInstOperands,
     /*  209395 */     // GIR_Coverage, 9610,
     /*  209395 */     GIR_EraseRootFromParent_Done,
     /*  209396 */   // Label 4472: @209396
     /*  209396 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(209459), // Rule ID 9611 //
     /*  209401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  209412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  209415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  209418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209440 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  209440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  209457 */     GIR_RootConstrainSelectedInstOperands,
     /*  209458 */     // GIR_Coverage, 9611,
     /*  209458 */     GIR_EraseRootFromParent_Done,
     /*  209459 */   // Label 4473: @209459
     /*  209459 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(209522), // Rule ID 9614 //
     /*  209464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  209478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  209481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  209503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209520 */     GIR_RootConstrainSelectedInstOperands,
     /*  209521 */     // GIR_Coverage, 9614,
     /*  209521 */     GIR_EraseRootFromParent_Done,
     /*  209522 */   // Label 4474: @209522
     /*  209522 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(209585), // Rule ID 9615 //
     /*  209527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  209538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  209541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  209544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  209566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  209583 */     GIR_RootConstrainSelectedInstOperands,
     /*  209584 */     // GIR_Coverage, 9615,
     /*  209584 */     GIR_EraseRootFromParent_Done,
     /*  209585 */   // Label 4475: @209585
     /*  209585 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(209648), // Rule ID 9618 //
     /*  209590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  209593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  209604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  209607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  209629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  209646 */     GIR_RootConstrainSelectedInstOperands,
     /*  209647 */     // GIR_Coverage, 9618,
     /*  209647 */     GIR_EraseRootFromParent_Done,
     /*  209648 */   // Label 4476: @209648
     /*  209648 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(209711), // Rule ID 9619 //
     /*  209653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  209656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  209664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  209667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  209670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11083:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  209692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  209695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  209709 */     GIR_RootConstrainSelectedInstOperands,
     /*  209710 */     // GIR_Coverage, 9619,
     /*  209710 */     GIR_EraseRootFromParent_Done,
     /*  209711 */   // Label 4477: @209711
     /*  209711 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(209774), // Rule ID 9622 //
     /*  209716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  209730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  209733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209755 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  209758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209772 */     GIR_RootConstrainSelectedInstOperands,
     /*  209773 */     // GIR_Coverage, 9622,
     /*  209773 */     GIR_EraseRootFromParent_Done,
     /*  209774 */   // Label 4478: @209774
     /*  209774 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(209837), // Rule ID 9623 //
     /*  209779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  209790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  209793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  209796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  209811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209818 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  209821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209835 */     GIR_RootConstrainSelectedInstOperands,
     /*  209836 */     // GIR_Coverage, 9623,
     /*  209836 */     GIR_EraseRootFromParent_Done,
     /*  209837 */   // Label 4479: @209837
     /*  209837 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(209900), // Rule ID 9626 //
     /*  209842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  209856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  209859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209881 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  209881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  209884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209898 */     GIR_RootConstrainSelectedInstOperands,
     /*  209899 */     // GIR_Coverage, 9626,
     /*  209899 */     GIR_EraseRootFromParent_Done,
     /*  209900 */   // Label 4480: @209900
     /*  209900 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(209963), // Rule ID 9627 //
     /*  209905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  209908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  209916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  209919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  209922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  209925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  209937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  209944 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  209944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  209947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  209949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  209951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  209953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  209958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  209961 */     GIR_RootConstrainSelectedInstOperands,
     /*  209962 */     // GIR_Coverage, 9627,
     /*  209962 */     GIR_EraseRootFromParent_Done,
     /*  209963 */   // Label 4481: @209963
     /*  209963 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(210026), // Rule ID 9630 //
     /*  209968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  209971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  209976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  209979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  209982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  209985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  209988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  209992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  209996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210007 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  210007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210024 */     GIR_RootConstrainSelectedInstOperands,
     /*  210025 */     // GIR_Coverage, 9630,
     /*  210025 */     GIR_EraseRootFromParent_Done,
     /*  210026 */   // Label 4482: @210026
     /*  210026 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(210089), // Rule ID 9631 //
     /*  210031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  210042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  210045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  210048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210070 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  210070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  210087 */     GIR_RootConstrainSelectedInstOperands,
     /*  210088 */     // GIR_Coverage, 9631,
     /*  210088 */     GIR_EraseRootFromParent_Done,
     /*  210089 */   // Label 4483: @210089
     /*  210089 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(210152), // Rule ID 9634 //
     /*  210094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  210108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  210111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210133 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210150 */     GIR_RootConstrainSelectedInstOperands,
     /*  210151 */     // GIR_Coverage, 9634,
     /*  210151 */     GIR_EraseRootFromParent_Done,
     /*  210152 */   // Label 4484: @210152
     /*  210152 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(210215), // Rule ID 9635 //
     /*  210157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  210171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  210174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210196 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210213 */     GIR_RootConstrainSelectedInstOperands,
     /*  210214 */     // GIR_Coverage, 9635,
     /*  210214 */     GIR_EraseRootFromParent_Done,
     /*  210215 */   // Label 4485: @210215
     /*  210215 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(210278), // Rule ID 9638 //
     /*  210220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  210234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  210237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210259 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210276 */     GIR_RootConstrainSelectedInstOperands,
     /*  210277 */     // GIR_Coverage, 9638,
     /*  210277 */     GIR_EraseRootFromParent_Done,
     /*  210278 */   // Label 4486: @210278
     /*  210278 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(210341), // Rule ID 9639 //
     /*  210283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  210297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  210300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210322 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210339 */     GIR_RootConstrainSelectedInstOperands,
     /*  210340 */     // GIR_Coverage, 9639,
     /*  210340 */     GIR_EraseRootFromParent_Done,
     /*  210341 */   // Label 4487: @210341
     /*  210341 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(210404), // Rule ID 9642 //
     /*  210346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  210360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  210363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210385 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  210385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210402 */     GIR_RootConstrainSelectedInstOperands,
     /*  210403 */     // GIR_Coverage, 9642,
     /*  210403 */     GIR_EraseRootFromParent_Done,
     /*  210404 */   // Label 4488: @210404
     /*  210404 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(210467), // Rule ID 9643 //
     /*  210409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  210420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  210423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  210426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210448 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  210448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  210465 */     GIR_RootConstrainSelectedInstOperands,
     /*  210466 */     // GIR_Coverage, 9643,
     /*  210466 */     GIR_EraseRootFromParent_Done,
     /*  210467 */   // Label 4489: @210467
     /*  210467 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(210530), // Rule ID 9646 //
     /*  210472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  210486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  210489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210511 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210528 */     GIR_RootConstrainSelectedInstOperands,
     /*  210529 */     // GIR_Coverage, 9646,
     /*  210529 */     GIR_EraseRootFromParent_Done,
     /*  210530 */   // Label 4490: @210530
     /*  210530 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(210593), // Rule ID 9647 //
     /*  210535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  210549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  210552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210591 */     GIR_RootConstrainSelectedInstOperands,
     /*  210592 */     // GIR_Coverage, 9647,
     /*  210592 */     GIR_EraseRootFromParent_Done,
     /*  210593 */   // Label 4491: @210593
     /*  210593 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(210656), // Rule ID 9650 //
     /*  210598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  210612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  210615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210637 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210654 */     GIR_RootConstrainSelectedInstOperands,
     /*  210655 */     // GIR_Coverage, 9650,
     /*  210655 */     GIR_EraseRootFromParent_Done,
     /*  210656 */   // Label 4492: @210656
     /*  210656 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(210719), // Rule ID 9651 //
     /*  210661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  210672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  210675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  210678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  210693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  210703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210717 */     GIR_RootConstrainSelectedInstOperands,
     /*  210718 */     // GIR_Coverage, 9651,
     /*  210718 */     GIR_EraseRootFromParent_Done,
     /*  210719 */   // Label 4493: @210719
     /*  210719 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(210782), // Rule ID 9654 //
     /*  210724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  210727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  210738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  210741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  210763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210780 */     GIR_RootConstrainSelectedInstOperands,
     /*  210781 */     // GIR_Coverage, 9654,
     /*  210781 */     GIR_EraseRootFromParent_Done,
     /*  210782 */   // Label 4494: @210782
     /*  210782 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(210845), // Rule ID 9655 //
     /*  210787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  210790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  210798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  210801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  210804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  210819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210826 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  210826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  210829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  210843 */     GIR_RootConstrainSelectedInstOperands,
     /*  210844 */     // GIR_Coverage, 9655,
     /*  210844 */     GIR_EraseRootFromParent_Done,
     /*  210845 */   // Label 4495: @210845
     /*  210845 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(210908), // Rule ID 9658 //
     /*  210850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  210853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  210864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  210867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  210889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  210906 */     GIR_RootConstrainSelectedInstOperands,
     /*  210907 */     // GIR_Coverage, 9658,
     /*  210907 */     GIR_EraseRootFromParent_Done,
     /*  210908 */   // Label 4496: @210908
     /*  210908 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(210971), // Rule ID 9659 //
     /*  210913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  210916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  210924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  210927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  210930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  210933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  210937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  210945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  210952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11083:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  210952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  210955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  210957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  210959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  210961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  210966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  210969 */     GIR_RootConstrainSelectedInstOperands,
     /*  210970 */     // GIR_Coverage, 9659,
     /*  210970 */     GIR_EraseRootFromParent_Done,
     /*  210971 */   // Label 4497: @210971
     /*  210971 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(211034), // Rule ID 9662 //
     /*  210976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  210979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  210984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  210987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  210990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  210993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  210996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211015 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  211015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  211018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211032 */     GIR_RootConstrainSelectedInstOperands,
     /*  211033 */     // GIR_Coverage, 9662,
     /*  211033 */     GIR_EraseRootFromParent_Done,
     /*  211034 */   // Label 4498: @211034
     /*  211034 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(211097), // Rule ID 9663 //
     /*  211039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  211053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  211056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  211071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11083:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  211078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  211081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211095 */     GIR_RootConstrainSelectedInstOperands,
     /*  211096 */     // GIR_Coverage, 9663,
     /*  211096 */     GIR_EraseRootFromParent_Done,
     /*  211097 */   // Label 4499: @211097
     /*  211097 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(211160), // Rule ID 9666 //
     /*  211102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  211105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  211116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  211119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  211141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  211144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211158 */     GIR_RootConstrainSelectedInstOperands,
     /*  211159 */     // GIR_Coverage, 9666,
     /*  211159 */     GIR_EraseRootFromParent_Done,
     /*  211160 */   // Label 4500: @211160
     /*  211160 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(211223), // Rule ID 9667 //
     /*  211165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  211168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  211173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  211179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  211182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  211197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11083:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  211204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  211207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  211221 */     GIR_RootConstrainSelectedInstOperands,
     /*  211222 */     // GIR_Coverage, 9667,
     /*  211222 */     GIR_EraseRootFromParent_Done,
     /*  211223 */   // Label 4501: @211223
     /*  211223 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(211286), // Rule ID 9670 //
     /*  211228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  211242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  211245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  211270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211284 */     GIR_RootConstrainSelectedInstOperands,
     /*  211285 */     // GIR_Coverage, 9670,
     /*  211285 */     GIR_EraseRootFromParent_Done,
     /*  211286 */   // Label 4502: @211286
     /*  211286 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(211349), // Rule ID 9671 //
     /*  211291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  211305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  211308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211330 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  211333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211347 */     GIR_RootConstrainSelectedInstOperands,
     /*  211348 */     // GIR_Coverage, 9671,
     /*  211348 */     GIR_EraseRootFromParent_Done,
     /*  211349 */   // Label 4503: @211349
     /*  211349 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(211412), // Rule ID 9674 //
     /*  211354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  211368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  211371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211410 */     GIR_RootConstrainSelectedInstOperands,
     /*  211411 */     // GIR_Coverage, 9674,
     /*  211411 */     GIR_EraseRootFromParent_Done,
     /*  211412 */   // Label 4504: @211412
     /*  211412 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(211475), // Rule ID 9675 //
     /*  211417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  211431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  211434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211456 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211473 */     GIR_RootConstrainSelectedInstOperands,
     /*  211474 */     // GIR_Coverage, 9675,
     /*  211474 */     GIR_EraseRootFromParent_Done,
     /*  211475 */   // Label 4505: @211475
     /*  211475 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(211538), // Rule ID 9678 //
     /*  211480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  211497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  211519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211536 */     GIR_RootConstrainSelectedInstOperands,
     /*  211537 */     // GIR_Coverage, 9678,
     /*  211537 */     GIR_EraseRootFromParent_Done,
     /*  211538 */   // Label 4506: @211538
     /*  211538 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(211601), // Rule ID 9679 //
     /*  211543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  211554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  211557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  211560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  211582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211599 */     GIR_RootConstrainSelectedInstOperands,
     /*  211600 */     // GIR_Coverage, 9679,
     /*  211600 */     GIR_EraseRootFromParent_Done,
     /*  211601 */   // Label 4507: @211601
     /*  211601 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(211664), // Rule ID 9682 //
     /*  211606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  211623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211645 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211662 */     GIR_RootConstrainSelectedInstOperands,
     /*  211663 */     // GIR_Coverage, 9682,
     /*  211663 */     GIR_EraseRootFromParent_Done,
     /*  211664 */   // Label 4508: @211664
     /*  211664 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(211727), // Rule ID 9683 //
     /*  211669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  211683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  211686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  211711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211725 */     GIR_RootConstrainSelectedInstOperands,
     /*  211726 */     // GIR_Coverage, 9683,
     /*  211726 */     GIR_EraseRootFromParent_Done,
     /*  211727 */   // Label 4509: @211727
     /*  211727 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(211790), // Rule ID 9686 //
     /*  211732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  211749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211771 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  211771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211788 */     GIR_RootConstrainSelectedInstOperands,
     /*  211789 */     // GIR_Coverage, 9686,
     /*  211789 */     GIR_EraseRootFromParent_Done,
     /*  211790 */   // Label 4510: @211790
     /*  211790 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(211853), // Rule ID 9687 //
     /*  211795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  211806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  211809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  211812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  211834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  211851 */     GIR_RootConstrainSelectedInstOperands,
     /*  211852 */     // GIR_Coverage, 9687,
     /*  211852 */     GIR_EraseRootFromParent_Done,
     /*  211853 */   // Label 4511: @211853
     /*  211853 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(211916), // Rule ID 9690 //
     /*  211858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  211875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  211878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211897 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  211897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211914 */     GIR_RootConstrainSelectedInstOperands,
     /*  211915 */     // GIR_Coverage, 9690,
     /*  211915 */     GIR_EraseRootFromParent_Done,
     /*  211916 */   // Label 4512: @211916
     /*  211916 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(211979), // Rule ID 9691 //
     /*  211921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  211924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  211932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  211935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  211938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  211941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  211953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  211960 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  211960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  211963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  211965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  211967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  211969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  211974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  211977 */     GIR_RootConstrainSelectedInstOperands,
     /*  211978 */     // GIR_Coverage, 9691,
     /*  211978 */     GIR_EraseRootFromParent_Done,
     /*  211979 */   // Label 4513: @211979
     /*  211979 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(212042), // Rule ID 9694 //
     /*  211984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  211987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  211992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  211995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  211998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  212001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212040 */     GIR_RootConstrainSelectedInstOperands,
     /*  212041 */     // GIR_Coverage, 9694,
     /*  212041 */     GIR_EraseRootFromParent_Done,
     /*  212042 */   // Label 4514: @212042
     /*  212042 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(212105), // Rule ID 9695 //
     /*  212047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  212061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  212064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212103 */     GIR_RootConstrainSelectedInstOperands,
     /*  212104 */     // GIR_Coverage, 9695,
     /*  212104 */     GIR_EraseRootFromParent_Done,
     /*  212105 */   // Label 4515: @212105
     /*  212105 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(212168), // Rule ID 9698 //
     /*  212110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  212127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  212149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212166 */     GIR_RootConstrainSelectedInstOperands,
     /*  212167 */     // GIR_Coverage, 9698,
     /*  212167 */     GIR_EraseRootFromParent_Done,
     /*  212168 */   // Label 4516: @212168
     /*  212168 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(212231), // Rule ID 9699 //
     /*  212173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  212187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  212190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  212212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212229 */     GIR_RootConstrainSelectedInstOperands,
     /*  212230 */     // GIR_Coverage, 9699,
     /*  212230 */     GIR_EraseRootFromParent_Done,
     /*  212231 */   // Label 4517: @212231
     /*  212231 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(212294), // Rule ID 9702 //
     /*  212236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  212250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  212253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  212275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212292 */     GIR_RootConstrainSelectedInstOperands,
     /*  212293 */     // GIR_Coverage, 9702,
     /*  212293 */     GIR_EraseRootFromParent_Done,
     /*  212294 */   // Label 4518: @212294
     /*  212294 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(212357), // Rule ID 9703 //
     /*  212299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  212313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  212316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  212338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  212355 */     GIR_RootConstrainSelectedInstOperands,
     /*  212356 */     // GIR_Coverage, 9703,
     /*  212356 */     GIR_EraseRootFromParent_Done,
     /*  212357 */   // Label 4519: @212357
     /*  212357 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(212420), // Rule ID 9706 //
     /*  212362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  212365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  212376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  212379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  212401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212418 */     GIR_RootConstrainSelectedInstOperands,
     /*  212419 */     // GIR_Coverage, 9706,
     /*  212419 */     GIR_EraseRootFromParent_Done,
     /*  212420 */   // Label 4520: @212420
     /*  212420 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(212483), // Rule ID 9707 //
     /*  212425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  212428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  212439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  212442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11081:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  212464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  212467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  212481 */     GIR_RootConstrainSelectedInstOperands,
     /*  212482 */     // GIR_Coverage, 9707,
     /*  212482 */     GIR_EraseRootFromParent_Done,
     /*  212483 */   // Label 4521: @212483
     /*  212483 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(212546), // Rule ID 9710 //
     /*  212488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  212502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  212505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212527 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212544 */     GIR_RootConstrainSelectedInstOperands,
     /*  212545 */     // GIR_Coverage, 9710,
     /*  212545 */     GIR_EraseRootFromParent_Done,
     /*  212546 */   // Label 4522: @212546
     /*  212546 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(212609), // Rule ID 9711 //
     /*  212551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  212565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  212568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212607 */     GIR_RootConstrainSelectedInstOperands,
     /*  212608 */     // GIR_Coverage, 9711,
     /*  212608 */     GIR_EraseRootFromParent_Done,
     /*  212609 */   // Label 4523: @212609
     /*  212609 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(212672), // Rule ID 9714 //
     /*  212614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  212631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212653 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  212656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212670 */     GIR_RootConstrainSelectedInstOperands,
     /*  212671 */     // GIR_Coverage, 9714,
     /*  212671 */     GIR_EraseRootFromParent_Done,
     /*  212672 */   // Label 4524: @212672
     /*  212672 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(212735), // Rule ID 9715 //
     /*  212677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  212691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  212694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  212709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212716 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  212719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212733 */     GIR_RootConstrainSelectedInstOperands,
     /*  212734 */     // GIR_Coverage, 9715,
     /*  212734 */     GIR_EraseRootFromParent_Done,
     /*  212735 */   // Label 4525: @212735
     /*  212735 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(212798), // Rule ID 9718 //
     /*  212740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  212757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212779 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  212779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  212782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212796 */     GIR_RootConstrainSelectedInstOperands,
     /*  212797 */     // GIR_Coverage, 9718,
     /*  212797 */     GIR_EraseRootFromParent_Done,
     /*  212798 */   // Label 4526: @212798
     /*  212798 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(212861), // Rule ID 9719 //
     /*  212803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  212817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  212820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  212835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212842 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  212842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  212845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212859 */     GIR_RootConstrainSelectedInstOperands,
     /*  212860 */     // GIR_Coverage, 9719,
     /*  212860 */     GIR_EraseRootFromParent_Done,
     /*  212861 */   // Label 4527: @212861
     /*  212861 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(212924), // Rule ID 9722 //
     /*  212866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  212883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  212886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212905 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  212905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212922 */     GIR_RootConstrainSelectedInstOperands,
     /*  212923 */     // GIR_Coverage, 9722,
     /*  212923 */     GIR_EraseRootFromParent_Done,
     /*  212924 */   // Label 4528: @212924
     /*  212924 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(212987), // Rule ID 9723 //
     /*  212929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  212932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  212937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  212943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  212946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  212949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  212961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212968 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  212968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  212971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  212975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  212977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  212985 */     GIR_RootConstrainSelectedInstOperands,
     /*  212986 */     // GIR_Coverage, 9723,
     /*  212986 */     GIR_EraseRootFromParent_Done,
     /*  212987 */   // Label 4529: @212987
     /*  212987 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(213050), // Rule ID 9726 //
     /*  212992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  212995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  213009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213031 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213048 */     GIR_RootConstrainSelectedInstOperands,
     /*  213049 */     // GIR_Coverage, 9726,
     /*  213049 */     GIR_EraseRootFromParent_Done,
     /*  213050 */   // Label 4530: @213050
     /*  213050 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(213113), // Rule ID 9727 //
     /*  213055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  213069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  213072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213094 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213111 */     GIR_RootConstrainSelectedInstOperands,
     /*  213112 */     // GIR_Coverage, 9727,
     /*  213112 */     GIR_EraseRootFromParent_Done,
     /*  213113 */   // Label 4531: @213113
     /*  213113 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(213176), // Rule ID 9730 //
     /*  213118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  213135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213157 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  213157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213174 */     GIR_RootConstrainSelectedInstOperands,
     /*  213175 */     // GIR_Coverage, 9730,
     /*  213175 */     GIR_EraseRootFromParent_Done,
     /*  213176 */   // Label 4532: @213176
     /*  213176 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(213239), // Rule ID 9731 //
     /*  213181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  213195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  213198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213220 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  213220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  213237 */     GIR_RootConstrainSelectedInstOperands,
     /*  213238 */     // GIR_Coverage, 9731,
     /*  213238 */     GIR_EraseRootFromParent_Done,
     /*  213239 */   // Label 4533: @213239
     /*  213239 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(213302), // Rule ID 9734 //
     /*  213244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  213261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213300 */     GIR_RootConstrainSelectedInstOperands,
     /*  213301 */     // GIR_Coverage, 9734,
     /*  213301 */     GIR_EraseRootFromParent_Done,
     /*  213302 */   // Label 4534: @213302
     /*  213302 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(213365), // Rule ID 9735 //
     /*  213307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  213321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  213324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213363 */     GIR_RootConstrainSelectedInstOperands,
     /*  213364 */     // GIR_Coverage, 9735,
     /*  213364 */     GIR_EraseRootFromParent_Done,
     /*  213365 */   // Label 4535: @213365
     /*  213365 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(213428), // Rule ID 9738 //
     /*  213370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  213384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  213387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213426 */     GIR_RootConstrainSelectedInstOperands,
     /*  213427 */     // GIR_Coverage, 9738,
     /*  213427 */     GIR_EraseRootFromParent_Done,
     /*  213428 */   // Label 4536: @213428
     /*  213428 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(213491), // Rule ID 9739 //
     /*  213433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  213447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  213450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213472 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213489 */     GIR_RootConstrainSelectedInstOperands,
     /*  213490 */     // GIR_Coverage, 9739,
     /*  213490 */     GIR_EraseRootFromParent_Done,
     /*  213491 */   // Label 4537: @213491
     /*  213491 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(213554), // Rule ID 9742 //
     /*  213496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  213510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  213513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213535 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  213535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213552 */     GIR_RootConstrainSelectedInstOperands,
     /*  213553 */     // GIR_Coverage, 9742,
     /*  213553 */     GIR_EraseRootFromParent_Done,
     /*  213554 */   // Label 4538: @213554
     /*  213554 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(213617), // Rule ID 9743 //
     /*  213559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  213573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  213576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  213598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  213615 */     GIR_RootConstrainSelectedInstOperands,
     /*  213616 */     // GIR_Coverage, 9743,
     /*  213616 */     GIR_EraseRootFromParent_Done,
     /*  213617 */   // Label 4539: @213617
     /*  213617 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(213680), // Rule ID 9746 //
     /*  213622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  213639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213661 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213678 */     GIR_RootConstrainSelectedInstOperands,
     /*  213679 */     // GIR_Coverage, 9746,
     /*  213679 */     GIR_EraseRootFromParent_Done,
     /*  213680 */   // Label 4540: @213680
     /*  213680 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(213743), // Rule ID 9747 //
     /*  213685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  213696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  213699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  213702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  213717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11081:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  213727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213741 */     GIR_RootConstrainSelectedInstOperands,
     /*  213742 */     // GIR_Coverage, 9747,
     /*  213742 */     GIR_EraseRootFromParent_Done,
     /*  213743 */   // Label 4541: @213743
     /*  213743 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(213806), // Rule ID 9750 //
     /*  213748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  213765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213787 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213804 */     GIR_RootConstrainSelectedInstOperands,
     /*  213805 */     // GIR_Coverage, 9750,
     /*  213805 */     GIR_EraseRootFromParent_Done,
     /*  213806 */   // Label 4542: @213806
     /*  213806 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(213869), // Rule ID 9751 //
     /*  213811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  213822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  213825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  213828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  213843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213850 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11081:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  213853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213867 */     GIR_RootConstrainSelectedInstOperands,
     /*  213868 */     // GIR_Coverage, 9751,
     /*  213868 */     GIR_EraseRootFromParent_Done,
     /*  213869 */   // Label 4543: @213869
     /*  213869 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(213932), // Rule ID 9754 //
     /*  213874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  213877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  213891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  213894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213913 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  213913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213930 */     GIR_RootConstrainSelectedInstOperands,
     /*  213931 */     // GIR_Coverage, 9754,
     /*  213931 */     GIR_EraseRootFromParent_Done,
     /*  213932 */   // Label 4544: @213932
     /*  213932 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(213995), // Rule ID 9755 //
     /*  213937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  213940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  213945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  213948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  213951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  213954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  213957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  213969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213976 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11081:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  213976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  213979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  213983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  213993 */     GIR_RootConstrainSelectedInstOperands,
     /*  213994 */     // GIR_Coverage, 9755,
     /*  213994 */     GIR_EraseRootFromParent_Done,
     /*  213995 */   // Label 4545: @213995
     /*  213995 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(214061), // Rule ID 13830 //
     /*  214000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  214011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  214014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  214017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214039 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  214042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214059 */     GIR_RootConstrainSelectedInstOperands,
     /*  214060 */     // GIR_Coverage, 13830,
     /*  214060 */     GIR_EraseRootFromParent_Done,
     /*  214061 */   // Label 4546: @214061
     /*  214061 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(214127), // Rule ID 13831 //
     /*  214066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  214077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  214080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  214083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214105 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  214108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214125 */     GIR_RootConstrainSelectedInstOperands,
     /*  214126 */     // GIR_Coverage, 13831,
     /*  214126 */     GIR_EraseRootFromParent_Done,
     /*  214127 */   // Label 4547: @214127
     /*  214127 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(214193), // Rule ID 13832 //
     /*  214132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  214143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  214149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214191 */     GIR_RootConstrainSelectedInstOperands,
     /*  214192 */     // GIR_Coverage, 13832,
     /*  214192 */     GIR_EraseRootFromParent_Done,
     /*  214193 */   // Label 4548: @214193
     /*  214193 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(214259), // Rule ID 13833 //
     /*  214198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  214209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  214212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  214215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214237 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214257 */     GIR_RootConstrainSelectedInstOperands,
     /*  214258 */     // GIR_Coverage, 13833,
     /*  214258 */     GIR_EraseRootFromParent_Done,
     /*  214259 */   // Label 4549: @214259
     /*  214259 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(214325), // Rule ID 13834 //
     /*  214264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  214275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  214281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214303 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214323 */     GIR_RootConstrainSelectedInstOperands,
     /*  214324 */     // GIR_Coverage, 13834,
     /*  214324 */     GIR_EraseRootFromParent_Done,
     /*  214325 */   // Label 4550: @214325
     /*  214325 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(214391), // Rule ID 13835 //
     /*  214330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  214341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  214344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  214347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214389 */     GIR_RootConstrainSelectedInstOperands,
     /*  214390 */     // GIR_Coverage, 13835,
     /*  214390 */     GIR_EraseRootFromParent_Done,
     /*  214391 */   // Label 4551: @214391
     /*  214391 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(214457), // Rule ID 13836 //
     /*  214396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  214407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  214413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214455 */     GIR_RootConstrainSelectedInstOperands,
     /*  214456 */     // GIR_Coverage, 13836,
     /*  214456 */     GIR_EraseRootFromParent_Done,
     /*  214457 */   // Label 4552: @214457
     /*  214457 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(214523), // Rule ID 13837 //
     /*  214462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  214473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  214476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  214479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  214504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214521 */     GIR_RootConstrainSelectedInstOperands,
     /*  214522 */     // GIR_Coverage, 13837,
     /*  214522 */     GIR_EraseRootFromParent_Done,
     /*  214523 */   // Label 4553: @214523
     /*  214523 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(214589), // Rule ID 13838 //
     /*  214528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  214539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  214542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  214545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214587 */     GIR_RootConstrainSelectedInstOperands,
     /*  214588 */     // GIR_Coverage, 13838,
     /*  214588 */     GIR_EraseRootFromParent_Done,
     /*  214589 */   // Label 4554: @214589
     /*  214589 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(214655), // Rule ID 13839 //
     /*  214594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  214605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  214608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  214611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214633 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  214633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214653 */     GIR_RootConstrainSelectedInstOperands,
     /*  214654 */     // GIR_Coverage, 13839,
     /*  214654 */     GIR_EraseRootFromParent_Done,
     /*  214655 */   // Label 4555: @214655
     /*  214655 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(214721), // Rule ID 13840 //
     /*  214660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  214671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  214674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  214677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  214699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214719 */     GIR_RootConstrainSelectedInstOperands,
     /*  214720 */     // GIR_Coverage, 13840,
     /*  214720 */     GIR_EraseRootFromParent_Done,
     /*  214721 */   // Label 4556: @214721
     /*  214721 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(214787), // Rule ID 13841 //
     /*  214726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  214737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  214740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  214743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214765 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  214765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  214768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  214782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214785 */     GIR_RootConstrainSelectedInstOperands,
     /*  214786 */     // GIR_Coverage, 13841,
     /*  214786 */     GIR_EraseRootFromParent_Done,
     /*  214787 */   // Label 4557: @214787
     /*  214787 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(214853), // Rule ID 13842 //
     /*  214792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  214803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  214806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  214809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214831 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  214831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214851 */     GIR_RootConstrainSelectedInstOperands,
     /*  214852 */     // GIR_Coverage, 13842,
     /*  214852 */     GIR_EraseRootFromParent_Done,
     /*  214853 */   // Label 4558: @214853
     /*  214853 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(214919), // Rule ID 13843 //
     /*  214858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  214869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  214872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  214875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  214878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214897 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11112:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  214897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  214914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214917 */     GIR_RootConstrainSelectedInstOperands,
     /*  214918 */     // GIR_Coverage, 13843,
     /*  214918 */     GIR_EraseRootFromParent_Done,
     /*  214919 */   // Label 4559: @214919
     /*  214919 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(214985), // Rule ID 13844 //
     /*  214924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  214927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  214935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  214938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  214941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  214944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  214963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  214966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  214970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  214972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  214980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214983 */     GIR_RootConstrainSelectedInstOperands,
     /*  214984 */     // GIR_Coverage, 13844,
     /*  214984 */     GIR_EraseRootFromParent_Done,
     /*  214985 */   // Label 4560: @214985
     /*  214985 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(215051), // Rule ID 13845 //
     /*  214990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  214993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  214998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  215001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  215004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  215007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215029 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  215029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215049 */     GIR_RootConstrainSelectedInstOperands,
     /*  215050 */     // GIR_Coverage, 13845,
     /*  215050 */     GIR_EraseRootFromParent_Done,
     /*  215051 */   // Label 4561: @215051
     /*  215051 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(215117), // Rule ID 13846 //
     /*  215056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  215067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  215073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  215095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215115 */     GIR_RootConstrainSelectedInstOperands,
     /*  215116 */     // GIR_Coverage, 13846,
     /*  215116 */     GIR_EraseRootFromParent_Done,
     /*  215117 */   // Label 4562: @215117
     /*  215117 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(215183), // Rule ID 13847 //
     /*  215122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  215133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  215136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  215139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215161 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  215161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  215178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215181 */     GIR_RootConstrainSelectedInstOperands,
     /*  215182 */     // GIR_Coverage, 13847,
     /*  215182 */     GIR_EraseRootFromParent_Done,
     /*  215183 */   // Label 4563: @215183
     /*  215183 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(215249), // Rule ID 13848 //
     /*  215188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  215191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  215199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  215205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  215227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215247 */     GIR_RootConstrainSelectedInstOperands,
     /*  215248 */     // GIR_Coverage, 13848,
     /*  215248 */     GIR_EraseRootFromParent_Done,
     /*  215249 */   // Label 4564: @215249
     /*  215249 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(215315), // Rule ID 13849 //
     /*  215254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  215257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  215265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  215268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  215271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215293 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  215293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  215296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  215310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215313 */     GIR_RootConstrainSelectedInstOperands,
     /*  215314 */     // GIR_Coverage, 13849,
     /*  215314 */     GIR_EraseRootFromParent_Done,
     /*  215315 */   // Label 4565: @215315
     /*  215315 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(215381), // Rule ID 13850 //
     /*  215320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  215331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  215337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215359 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215379 */     GIR_RootConstrainSelectedInstOperands,
     /*  215380 */     // GIR_Coverage, 13850,
     /*  215380 */     GIR_EraseRootFromParent_Done,
     /*  215381 */   // Label 4566: @215381
     /*  215381 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(215447), // Rule ID 13851 //
     /*  215386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  215397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  215400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  215403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215445 */     GIR_RootConstrainSelectedInstOperands,
     /*  215446 */     // GIR_Coverage, 13851,
     /*  215446 */     GIR_EraseRootFromParent_Done,
     /*  215447 */   // Label 4567: @215447
     /*  215447 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(215513), // Rule ID 13852 //
     /*  215452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  215463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  215466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  215469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215511 */     GIR_RootConstrainSelectedInstOperands,
     /*  215512 */     // GIR_Coverage, 13852,
     /*  215512 */     GIR_EraseRootFromParent_Done,
     /*  215513 */   // Label 4568: @215513
     /*  215513 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(215579), // Rule ID 13853 //
     /*  215518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  215529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  215532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  215535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215577 */     GIR_RootConstrainSelectedInstOperands,
     /*  215578 */     // GIR_Coverage, 13853,
     /*  215578 */     GIR_EraseRootFromParent_Done,
     /*  215579 */   // Label 4569: @215579
     /*  215579 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(215645), // Rule ID 13854 //
     /*  215584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  215595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  215598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  215601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215623 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  215623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  215626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215643 */     GIR_RootConstrainSelectedInstOperands,
     /*  215644 */     // GIR_Coverage, 13854,
     /*  215644 */     GIR_EraseRootFromParent_Done,
     /*  215645 */   // Label 4570: @215645
     /*  215645 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(215711), // Rule ID 13855 //
     /*  215650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  215661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  215664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  215667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  215682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215689 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  215689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  215692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  215706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215709 */     GIR_RootConstrainSelectedInstOperands,
     /*  215710 */     // GIR_Coverage, 13855,
     /*  215710 */     GIR_EraseRootFromParent_Done,
     /*  215711 */   // Label 4571: @215711
     /*  215711 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(215777), // Rule ID 13856 //
     /*  215716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  215727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  215730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  215733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  215755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215775 */     GIR_RootConstrainSelectedInstOperands,
     /*  215776 */     // GIR_Coverage, 13856,
     /*  215776 */     GIR_EraseRootFromParent_Done,
     /*  215777 */   // Label 4572: @215777
     /*  215777 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(215843), // Rule ID 13857 //
     /*  215782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  215793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  215796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  215799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  215814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  215821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  215824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215841 */     GIR_RootConstrainSelectedInstOperands,
     /*  215842 */     // GIR_Coverage, 13857,
     /*  215842 */     GIR_EraseRootFromParent_Done,
     /*  215843 */   // Label 4573: @215843
     /*  215843 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(215909), // Rule ID 13858 //
     /*  215848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  215859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  215862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  215865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  215868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215887 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  215887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215907 */     GIR_RootConstrainSelectedInstOperands,
     /*  215908 */     // GIR_Coverage, 13858,
     /*  215908 */     GIR_EraseRootFromParent_Done,
     /*  215909 */   // Label 4574: @215909
     /*  215909 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(215975), // Rule ID 13859 //
     /*  215914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  215917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  215925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  215928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  215931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  215934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  215946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  215953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  215956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  215960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  215962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  215970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215973 */     GIR_RootConstrainSelectedInstOperands,
     /*  215974 */     // GIR_Coverage, 13859,
     /*  215974 */     GIR_EraseRootFromParent_Done,
     /*  215975 */   // Label 4575: @215975
     /*  215975 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(216041), // Rule ID 13860 //
     /*  215980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  215983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  215988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  215991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  215994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  215997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  216019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216039 */     GIR_RootConstrainSelectedInstOperands,
     /*  216040 */     // GIR_Coverage, 13860,
     /*  216040 */     GIR_EraseRootFromParent_Done,
     /*  216041 */   // Label 4576: @216041
     /*  216041 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(216107), // Rule ID 13861 //
     /*  216046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  216057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  216060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  216063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  216085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216105 */     GIR_RootConstrainSelectedInstOperands,
     /*  216106 */     // GIR_Coverage, 13861,
     /*  216106 */     GIR_EraseRootFromParent_Done,
     /*  216107 */   // Label 4577: @216107
     /*  216107 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(216173), // Rule ID 13862 //
     /*  216112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  216123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  216129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216171 */     GIR_RootConstrainSelectedInstOperands,
     /*  216172 */     // GIR_Coverage, 13862,
     /*  216172 */     GIR_EraseRootFromParent_Done,
     /*  216173 */   // Label 4578: @216173
     /*  216173 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(216239), // Rule ID 13863 //
     /*  216178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  216189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  216192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  216195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216237 */     GIR_RootConstrainSelectedInstOperands,
     /*  216238 */     // GIR_Coverage, 13863,
     /*  216238 */     GIR_EraseRootFromParent_Done,
     /*  216239 */   // Label 4579: @216239
     /*  216239 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(216305), // Rule ID 13864 //
     /*  216244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  216255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  216261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216303 */     GIR_RootConstrainSelectedInstOperands,
     /*  216304 */     // GIR_Coverage, 13864,
     /*  216304 */     GIR_EraseRootFromParent_Done,
     /*  216305 */   // Label 4580: @216305
     /*  216305 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(216371), // Rule ID 13865 //
     /*  216310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  216321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  216324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  216327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216369 */     GIR_RootConstrainSelectedInstOperands,
     /*  216370 */     // GIR_Coverage, 13865,
     /*  216370 */     GIR_EraseRootFromParent_Done,
     /*  216371 */   // Label 4581: @216371
     /*  216371 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(216437), // Rule ID 13866 //
     /*  216376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  216379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  216387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  216390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  216393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  216415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216435 */     GIR_RootConstrainSelectedInstOperands,
     /*  216436 */     // GIR_Coverage, 13866,
     /*  216436 */     GIR_EraseRootFromParent_Done,
     /*  216437 */   // Label 4582: @216437
     /*  216437 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(216503), // Rule ID 13867 //
     /*  216442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  216445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  216453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  216456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  216459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216481 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  216481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  216498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216501 */     GIR_RootConstrainSelectedInstOperands,
     /*  216502 */     // GIR_Coverage, 13867,
     /*  216502 */     GIR_EraseRootFromParent_Done,
     /*  216503 */   // Label 4583: @216503
     /*  216503 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(216569), // Rule ID 13868 //
     /*  216508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  216519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  216522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  216525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216567 */     GIR_RootConstrainSelectedInstOperands,
     /*  216568 */     // GIR_Coverage, 13868,
     /*  216568 */     GIR_EraseRootFromParent_Done,
     /*  216569 */   // Label 4584: @216569
     /*  216569 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(216635), // Rule ID 13869 //
     /*  216574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  216585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  216588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  216591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  216606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  216616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216633 */     GIR_RootConstrainSelectedInstOperands,
     /*  216634 */     // GIR_Coverage, 13869,
     /*  216634 */     GIR_EraseRootFromParent_Done,
     /*  216635 */   // Label 4585: @216635
     /*  216635 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(216701), // Rule ID 13870 //
     /*  216640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  216651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  216654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  216657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216679 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216699 */     GIR_RootConstrainSelectedInstOperands,
     /*  216700 */     // GIR_Coverage, 13870,
     /*  216700 */     GIR_EraseRootFromParent_Done,
     /*  216701 */   // Label 4586: @216701
     /*  216701 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(216767), // Rule ID 13871 //
     /*  216706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  216717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  216720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  216723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  216738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216745 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  216748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216765 */     GIR_RootConstrainSelectedInstOperands,
     /*  216766 */     // GIR_Coverage, 13871,
     /*  216766 */     GIR_EraseRootFromParent_Done,
     /*  216767 */   // Label 4587: @216767
     /*  216767 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(216833), // Rule ID 13872 //
     /*  216772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  216775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  216783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  216789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  216811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216831 */     GIR_RootConstrainSelectedInstOperands,
     /*  216832 */     // GIR_Coverage, 13872,
     /*  216832 */     GIR_EraseRootFromParent_Done,
     /*  216833 */   // Label 4588: @216833
     /*  216833 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(216899), // Rule ID 13873 //
     /*  216838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  216841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  216849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  216852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  216855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  216870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216877 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  216877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  216880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  216894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216897 */     GIR_RootConstrainSelectedInstOperands,
     /*  216898 */     // GIR_Coverage, 13873,
     /*  216898 */     GIR_EraseRootFromParent_Done,
     /*  216899 */   // Label 4589: @216899
     /*  216899 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(216965), // Rule ID 13874 //
     /*  216904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  216907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  216915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  216921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  216924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216943 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  216943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  216946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  216950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  216952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  216960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216963 */     GIR_RootConstrainSelectedInstOperands,
     /*  216964 */     // GIR_Coverage, 13874,
     /*  216964 */     GIR_EraseRootFromParent_Done,
     /*  216965 */   // Label 4590: @216965
     /*  216965 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(217031), // Rule ID 13875 //
     /*  216970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  216973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  216978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  216981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  216984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  216987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  216990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217009 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  217012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217029 */     GIR_RootConstrainSelectedInstOperands,
     /*  217030 */     // GIR_Coverage, 13875,
     /*  217030 */     GIR_EraseRootFromParent_Done,
     /*  217031 */   // Label 4591: @217031
     /*  217031 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(217097), // Rule ID 13876 //
     /*  217036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  217053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217075 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217095 */     GIR_RootConstrainSelectedInstOperands,
     /*  217096 */     // GIR_Coverage, 13876,
     /*  217096 */     GIR_EraseRootFromParent_Done,
     /*  217097 */   // Label 4592: @217097
     /*  217097 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(217163), // Rule ID 13877 //
     /*  217102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  217119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217161 */     GIR_RootConstrainSelectedInstOperands,
     /*  217162 */     // GIR_Coverage, 13877,
     /*  217162 */     GIR_EraseRootFromParent_Done,
     /*  217163 */   // Label 4593: @217163
     /*  217163 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(217229), // Rule ID 13878 //
     /*  217168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  217171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  217185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217207 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217227 */     GIR_RootConstrainSelectedInstOperands,
     /*  217228 */     // GIR_Coverage, 13878,
     /*  217228 */     GIR_EraseRootFromParent_Done,
     /*  217229 */   // Label 4594: @217229
     /*  217229 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(217295), // Rule ID 13879 //
     /*  217234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  217237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  217251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217273 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  217276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217293 */     GIR_RootConstrainSelectedInstOperands,
     /*  217294 */     // GIR_Coverage, 13879,
     /*  217294 */     GIR_EraseRootFromParent_Done,
     /*  217295 */   // Label 4595: @217295
     /*  217295 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(217361), // Rule ID 13880 //
     /*  217300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  217317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217339 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217359 */     GIR_RootConstrainSelectedInstOperands,
     /*  217360 */     // GIR_Coverage, 13880,
     /*  217360 */     GIR_EraseRootFromParent_Done,
     /*  217361 */   // Label 4596: @217361
     /*  217361 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(217427), // Rule ID 13881 //
     /*  217366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  217377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  217380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  217383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217405 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11112:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217425 */     GIR_RootConstrainSelectedInstOperands,
     /*  217426 */     // GIR_Coverage, 13881,
     /*  217426 */     GIR_EraseRootFromParent_Done,
     /*  217427 */   // Label 4597: @217427
     /*  217427 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(217493), // Rule ID 13882 //
     /*  217432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  217435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  217449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217491 */     GIR_RootConstrainSelectedInstOperands,
     /*  217492 */     // GIR_Coverage, 13882,
     /*  217492 */     GIR_EraseRootFromParent_Done,
     /*  217493 */   // Label 4598: @217493
     /*  217493 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(217559), // Rule ID 13883 //
     /*  217498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  217501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  217509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  217512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  217515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217537 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11112:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217557 */     GIR_RootConstrainSelectedInstOperands,
     /*  217558 */     // GIR_Coverage, 13883,
     /*  217558 */     GIR_EraseRootFromParent_Done,
     /*  217559 */   // Label 4599: @217559
     /*  217559 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(217625), // Rule ID 13884 //
     /*  217564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  217567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  217581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217603 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  217603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217623 */     GIR_RootConstrainSelectedInstOperands,
     /*  217624 */     // GIR_Coverage, 13884,
     /*  217624 */     GIR_EraseRootFromParent_Done,
     /*  217625 */   // Label 4600: @217625
     /*  217625 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(217691), // Rule ID 13885 //
     /*  217630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  217633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  217641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  217644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  217647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217669 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11112:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  217669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  217672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  217686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217689 */     GIR_RootConstrainSelectedInstOperands,
     /*  217690 */     // GIR_Coverage, 13885,
     /*  217690 */     GIR_EraseRootFromParent_Done,
     /*  217691 */   // Label 4601: @217691
     /*  217691 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(217757), // Rule ID 13886 //
     /*  217696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  217707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  217713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217735 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  217738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217755 */     GIR_RootConstrainSelectedInstOperands,
     /*  217756 */     // GIR_Coverage, 13886,
     /*  217756 */     GIR_EraseRootFromParent_Done,
     /*  217757 */   // Label 4602: @217757
     /*  217757 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(217823), // Rule ID 13887 //
     /*  217762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  217773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  217776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  217779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  217794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217801 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  217804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217821 */     GIR_RootConstrainSelectedInstOperands,
     /*  217822 */     // GIR_Coverage, 13887,
     /*  217822 */     GIR_EraseRootFromParent_Done,
     /*  217823 */   // Label 4603: @217823
     /*  217823 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(217889), // Rule ID 13888 //
     /*  217828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  217839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  217845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217867 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  217870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217887 */     GIR_RootConstrainSelectedInstOperands,
     /*  217888 */     // GIR_Coverage, 13888,
     /*  217888 */     GIR_EraseRootFromParent_Done,
     /*  217889 */   // Label 4604: @217889
     /*  217889 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(217955), // Rule ID 13889 //
     /*  217894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  217897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  217905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  217908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  217911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  217914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  217926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217933 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  217936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  217942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217953 */     GIR_RootConstrainSelectedInstOperands,
     /*  217954 */     // GIR_Coverage, 13889,
     /*  217954 */     GIR_EraseRootFromParent_Done,
     /*  217955 */   // Label 4605: @217955
     /*  217955 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(218021), // Rule ID 13890 //
     /*  217960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  217963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  217968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  217971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  217974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  217977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  217980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  217992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217999 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218019 */     GIR_RootConstrainSelectedInstOperands,
     /*  218020 */     // GIR_Coverage, 13890,
     /*  218020 */     GIR_EraseRootFromParent_Done,
     /*  218021 */   // Label 4606: @218021
     /*  218021 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(218087), // Rule ID 13891 //
     /*  218026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  218029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  218037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  218040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  218043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218065 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218085 */     GIR_RootConstrainSelectedInstOperands,
     /*  218086 */     // GIR_Coverage, 13891,
     /*  218086 */     GIR_EraseRootFromParent_Done,
     /*  218087 */   // Label 4607: @218087
     /*  218087 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(218153), // Rule ID 13892 //
     /*  218092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  218109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218151 */     GIR_RootConstrainSelectedInstOperands,
     /*  218152 */     // GIR_Coverage, 13892,
     /*  218152 */     GIR_EraseRootFromParent_Done,
     /*  218153 */   // Label 4608: @218153
     /*  218153 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(218219), // Rule ID 13893 //
     /*  218158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  218169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  218172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  218175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218197 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218217 */     GIR_RootConstrainSelectedInstOperands,
     /*  218218 */     // GIR_Coverage, 13893,
     /*  218218 */     GIR_EraseRootFromParent_Done,
     /*  218219 */   // Label 4609: @218219
     /*  218219 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(218285), // Rule ID 13894 //
     /*  218224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  218241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218263 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218283 */     GIR_RootConstrainSelectedInstOperands,
     /*  218284 */     // GIR_Coverage, 13894,
     /*  218284 */     GIR_EraseRootFromParent_Done,
     /*  218285 */   // Label 4610: @218285
     /*  218285 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(218351), // Rule ID 13895 //
     /*  218290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  218301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  218304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  218307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218329 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218349 */     GIR_RootConstrainSelectedInstOperands,
     /*  218350 */     // GIR_Coverage, 13895,
     /*  218350 */     GIR_EraseRootFromParent_Done,
     /*  218351 */   // Label 4611: @218351
     /*  218351 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(218417), // Rule ID 13896 //
     /*  218356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  218359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  218373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218395 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218415 */     GIR_RootConstrainSelectedInstOperands,
     /*  218416 */     // GIR_Coverage, 13896,
     /*  218416 */     GIR_EraseRootFromParent_Done,
     /*  218417 */   // Label 4612: @218417
     /*  218417 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(218483), // Rule ID 13897 //
     /*  218422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  218425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  218433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  218436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  218439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218461 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218481 */     GIR_RootConstrainSelectedInstOperands,
     /*  218482 */     // GIR_Coverage, 13897,
     /*  218482 */     GIR_EraseRootFromParent_Done,
     /*  218483 */   // Label 4613: @218483
     /*  218483 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(218549), // Rule ID 13898 //
     /*  218488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  218505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218527 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218547 */     GIR_RootConstrainSelectedInstOperands,
     /*  218548 */     // GIR_Coverage, 13898,
     /*  218548 */     GIR_EraseRootFromParent_Done,
     /*  218549 */   // Label 4614: @218549
     /*  218549 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(218615), // Rule ID 13899 //
     /*  218554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  218565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  218568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  218571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218593 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11112:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  218596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218613 */     GIR_RootConstrainSelectedInstOperands,
     /*  218614 */     // GIR_Coverage, 13899,
     /*  218614 */     GIR_EraseRootFromParent_Done,
     /*  218615 */   // Label 4615: @218615
     /*  218615 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(218681), // Rule ID 13900 //
     /*  218620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  218637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218659 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218679 */     GIR_RootConstrainSelectedInstOperands,
     /*  218680 */     // GIR_Coverage, 13900,
     /*  218680 */     GIR_EraseRootFromParent_Done,
     /*  218681 */   // Label 4616: @218681
     /*  218681 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(218747), // Rule ID 13901 //
     /*  218686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  218697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  218700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  218703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218725 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11112:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  218728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218745 */     GIR_RootConstrainSelectedInstOperands,
     /*  218746 */     // GIR_Coverage, 13901,
     /*  218746 */     GIR_EraseRootFromParent_Done,
     /*  218747 */   // Label 4617: @218747
     /*  218747 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(218813), // Rule ID 13902 //
     /*  218752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  218755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  218763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  218769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218791 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218811 */     GIR_RootConstrainSelectedInstOperands,
     /*  218812 */     // GIR_Coverage, 13902,
     /*  218812 */     GIR_EraseRootFromParent_Done,
     /*  218813 */   // Label 4618: @218813
     /*  218813 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(218879), // Rule ID 13903 //
     /*  218818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  218821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  218826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  218829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  218832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  218835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218857 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11112:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  218860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  218866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218877 */     GIR_RootConstrainSelectedInstOperands,
     /*  218878 */     // GIR_Coverage, 13903,
     /*  218878 */     GIR_EraseRootFromParent_Done,
     /*  218879 */   // Label 4619: @218879
     /*  218879 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(218945), // Rule ID 18906 //
     /*  218884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  218887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  218892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  218895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  218901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  218904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  218926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  218932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218943 */     GIR_RootConstrainSelectedInstOperands,
     /*  218944 */     // GIR_Coverage, 18906,
     /*  218944 */     GIR_EraseRootFromParent_Done,
     /*  218945 */   // Label 4620: @218945
     /*  218945 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(219011), // Rule ID 18907 //
     /*  218950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  218953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  218958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  218961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  218964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  218967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  218970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218989 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  218992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  218998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219009 */     GIR_RootConstrainSelectedInstOperands,
     /*  219010 */     // GIR_Coverage, 18907,
     /*  219010 */     GIR_EraseRootFromParent_Done,
     /*  219011 */   // Label 4621: @219011
     /*  219011 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(219077), // Rule ID 18910 //
     /*  219016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  219019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  219027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  219033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219055 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  219058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219075 */     GIR_RootConstrainSelectedInstOperands,
     /*  219076 */     // GIR_Coverage, 18910,
     /*  219076 */     GIR_EraseRootFromParent_Done,
     /*  219077 */   // Label 4622: @219077
     /*  219077 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(219143), // Rule ID 18911 //
     /*  219082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  219085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  219093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  219096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  219099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219121 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  219124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219141 */     GIR_RootConstrainSelectedInstOperands,
     /*  219142 */     // GIR_Coverage, 18911,
     /*  219142 */     GIR_EraseRootFromParent_Done,
     /*  219143 */   // Label 4623: @219143
     /*  219143 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(219209), // Rule ID 18914 //
     /*  219148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  219159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  219165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  219190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219207 */     GIR_RootConstrainSelectedInstOperands,
     /*  219208 */     // GIR_Coverage, 18914,
     /*  219208 */     GIR_EraseRootFromParent_Done,
     /*  219209 */   // Label 4624: @219209
     /*  219209 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(219275), // Rule ID 18915 //
     /*  219214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  219225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  219228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  219231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10895:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  219256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219273 */     GIR_RootConstrainSelectedInstOperands,
     /*  219274 */     // GIR_Coverage, 18915,
     /*  219274 */     GIR_EraseRootFromParent_Done,
     /*  219275 */   // Label 4625: @219275
     /*  219275 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(219341), // Rule ID 18918 //
     /*  219280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  219283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  219291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  219294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  219297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219319 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  219322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219339 */     GIR_RootConstrainSelectedInstOperands,
     /*  219340 */     // GIR_Coverage, 18918,
     /*  219340 */     GIR_EraseRootFromParent_Done,
     /*  219341 */   // Label 4626: @219341
     /*  219341 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(219407), // Rule ID 18919 //
     /*  219346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  219349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  219357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  219360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  219363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219385 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10895:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  219388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219405 */     GIR_RootConstrainSelectedInstOperands,
     /*  219406 */     // GIR_Coverage, 18919,
     /*  219406 */     GIR_EraseRootFromParent_Done,
     /*  219407 */   // Label 4627: @219407
     /*  219407 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(219473), // Rule ID 18922 //
     /*  219412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  219415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  219423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  219426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  219429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219451 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  219454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219471 */     GIR_RootConstrainSelectedInstOperands,
     /*  219472 */     // GIR_Coverage, 18922,
     /*  219472 */     GIR_EraseRootFromParent_Done,
     /*  219473 */   // Label 4628: @219473
     /*  219473 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(219539), // Rule ID 18923 //
     /*  219478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  219481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  219489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  219492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  219495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  219510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219517 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10895:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  219520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219537 */     GIR_RootConstrainSelectedInstOperands,
     /*  219538 */     // GIR_Coverage, 18923,
     /*  219538 */     GIR_EraseRootFromParent_Done,
     /*  219539 */   // Label 4629: @219539
     /*  219539 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(219605), // Rule ID 18926 //
     /*  219544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  219555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  219561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219583 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  219586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219603 */     GIR_RootConstrainSelectedInstOperands,
     /*  219604 */     // GIR_Coverage, 18926,
     /*  219604 */     GIR_EraseRootFromParent_Done,
     /*  219605 */   // Label 4630: @219605
     /*  219605 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(219671), // Rule ID 18927 //
     /*  219610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  219621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  219624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  219627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219649 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  219652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219669 */     GIR_RootConstrainSelectedInstOperands,
     /*  219670 */     // GIR_Coverage, 18927,
     /*  219670 */     GIR_EraseRootFromParent_Done,
     /*  219671 */   // Label 4631: @219671
     /*  219671 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(219737), // Rule ID 18930 //
     /*  219676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  219687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  219693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  219718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219735 */     GIR_RootConstrainSelectedInstOperands,
     /*  219736 */     // GIR_Coverage, 18930,
     /*  219736 */     GIR_EraseRootFromParent_Done,
     /*  219737 */   // Label 4632: @219737
     /*  219737 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(219803), // Rule ID 18931 //
     /*  219742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  219753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  219756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  219759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219781 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  219784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219801 */     GIR_RootConstrainSelectedInstOperands,
     /*  219802 */     // GIR_Coverage, 18931,
     /*  219802 */     GIR_EraseRootFromParent_Done,
     /*  219803 */   // Label 4633: @219803
     /*  219803 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(219869), // Rule ID 18934 //
     /*  219808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  219811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  219825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219847 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  219850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219867 */     GIR_RootConstrainSelectedInstOperands,
     /*  219868 */     // GIR_Coverage, 18934,
     /*  219868 */     GIR_EraseRootFromParent_Done,
     /*  219869 */   // Label 4634: @219869
     /*  219869 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(219935), // Rule ID 18935 //
     /*  219874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  219877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  219891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  219894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219913 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  219916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219933 */     GIR_RootConstrainSelectedInstOperands,
     /*  219934 */     // GIR_Coverage, 18935,
     /*  219934 */     GIR_EraseRootFromParent_Done,
     /*  219935 */   // Label 4635: @219935
     /*  219935 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(220001), // Rule ID 18938 //
     /*  219940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  219943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  219948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  219951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  219957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  219960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219979 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  219982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219999 */     GIR_RootConstrainSelectedInstOperands,
     /*  220000 */     // GIR_Coverage, 18938,
     /*  220000 */     GIR_EraseRootFromParent_Done,
     /*  220001 */   // Label 4636: @220001
     /*  220001 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(220067), // Rule ID 18939 //
     /*  220006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  220009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  220017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  220020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  220023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220045 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  220048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220065 */     GIR_RootConstrainSelectedInstOperands,
     /*  220066 */     // GIR_Coverage, 18939,
     /*  220066 */     GIR_EraseRootFromParent_Done,
     /*  220067 */   // Label 4637: @220067
     /*  220067 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(220133), // Rule ID 18942 //
     /*  220072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  220083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  220089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220111 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  220111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  220114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220131 */     GIR_RootConstrainSelectedInstOperands,
     /*  220132 */     // GIR_Coverage, 18942,
     /*  220132 */     GIR_EraseRootFromParent_Done,
     /*  220133 */   // Label 4638: @220133
     /*  220133 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(220199), // Rule ID 18943 //
     /*  220138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  220141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  220149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  220152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  220155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  220180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220197 */     GIR_RootConstrainSelectedInstOperands,
     /*  220198 */     // GIR_Coverage, 18943,
     /*  220198 */     GIR_EraseRootFromParent_Done,
     /*  220199 */   // Label 4639: @220199
     /*  220199 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(220265), // Rule ID 18946 //
     /*  220204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  220215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  220221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220243 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  220243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  220246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220263 */     GIR_RootConstrainSelectedInstOperands,
     /*  220264 */     // GIR_Coverage, 18946,
     /*  220264 */     GIR_EraseRootFromParent_Done,
     /*  220265 */   // Label 4640: @220265
     /*  220265 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(220331), // Rule ID 18947 //
     /*  220270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  220273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  220281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  220284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  220287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220309 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  220309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  220312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  220326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220329 */     GIR_RootConstrainSelectedInstOperands,
     /*  220330 */     // GIR_Coverage, 18947,
     /*  220330 */     GIR_EraseRootFromParent_Done,
     /*  220331 */   // Label 4641: @220331
     /*  220331 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(220397), // Rule ID 18950 //
     /*  220336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  220347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  220353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220375 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  220378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220395 */     GIR_RootConstrainSelectedInstOperands,
     /*  220396 */     // GIR_Coverage, 18950,
     /*  220396 */     GIR_EraseRootFromParent_Done,
     /*  220397 */   // Label 4642: @220397
     /*  220397 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(220463), // Rule ID 18951 //
     /*  220402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  220413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  220416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  220419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  220434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220441 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10895:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  220444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220461 */     GIR_RootConstrainSelectedInstOperands,
     /*  220462 */     // GIR_Coverage, 18951,
     /*  220462 */     GIR_EraseRootFromParent_Done,
     /*  220463 */   // Label 4643: @220463
     /*  220463 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(220529), // Rule ID 18954 //
     /*  220468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  220479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  220485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220507 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  220510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220527 */     GIR_RootConstrainSelectedInstOperands,
     /*  220528 */     // GIR_Coverage, 18954,
     /*  220528 */     GIR_EraseRootFromParent_Done,
     /*  220529 */   // Label 4644: @220529
     /*  220529 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(220595), // Rule ID 18955 //
     /*  220534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  220545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  220548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  220551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  220566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220573 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10895:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  220576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220593 */     GIR_RootConstrainSelectedInstOperands,
     /*  220594 */     // GIR_Coverage, 18955,
     /*  220594 */     GIR_EraseRootFromParent_Done,
     /*  220595 */   // Label 4645: @220595
     /*  220595 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(220661), // Rule ID 18958 //
     /*  220600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  220603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  220611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  220617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220639 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  220639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  220642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220659 */     GIR_RootConstrainSelectedInstOperands,
     /*  220660 */     // GIR_Coverage, 18958,
     /*  220660 */     GIR_EraseRootFromParent_Done,
     /*  220661 */   // Label 4646: @220661
     /*  220661 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(220727), // Rule ID 18959 //
     /*  220666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  220669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  220674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  220677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  220680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  220683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  220698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220705 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10895:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  220705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  220708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  220712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  220722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  220725 */     GIR_RootConstrainSelectedInstOperands,
     /*  220726 */     // GIR_Coverage, 18959,
     /*  220726 */     GIR_EraseRootFromParent_Done,
     /*  220727 */   // Label 4647: @220727
     /*  220727 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(220790), // Rule ID 19622 //
     /*  220732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  220735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  220749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220771 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  220774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220788 */     GIR_RootConstrainSelectedInstOperands,
     /*  220789 */     // GIR_Coverage, 19622,
     /*  220789 */     GIR_EraseRootFromParent_Done,
     /*  220790 */   // Label 4648: @220790
     /*  220790 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(220853), // Rule ID 19623 //
     /*  220795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  220798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  220809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  220812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  220837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220851 */     GIR_RootConstrainSelectedInstOperands,
     /*  220852 */     // GIR_Coverage, 19623,
     /*  220852 */     GIR_EraseRootFromParent_Done,
     /*  220853 */   // Label 4649: @220853
     /*  220853 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(220916), // Rule ID 19626 //
     /*  220858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  220861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  220875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220897 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  220897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  220900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220914 */     GIR_RootConstrainSelectedInstOperands,
     /*  220915 */     // GIR_Coverage, 19626,
     /*  220915 */     GIR_EraseRootFromParent_Done,
     /*  220916 */   // Label 4650: @220916
     /*  220916 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(220979), // Rule ID 19627 //
     /*  220921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  220924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  220935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  220938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  220960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  220963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  220977 */     GIR_RootConstrainSelectedInstOperands,
     /*  220978 */     // GIR_Coverage, 19627,
     /*  220978 */     GIR_EraseRootFromParent_Done,
     /*  220979 */   // Label 4651: @220979
     /*  220979 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(221042), // Rule ID 19630 //
     /*  220984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  220987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  220992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  220998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  221001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221023 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  221026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221040 */     GIR_RootConstrainSelectedInstOperands,
     /*  221041 */     // GIR_Coverage, 19630,
     /*  221041 */     GIR_EraseRootFromParent_Done,
     /*  221042 */   // Label 4652: @221042
     /*  221042 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(221105), // Rule ID 19631 //
     /*  221047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  221064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  221089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221103 */     GIR_RootConstrainSelectedInstOperands,
     /*  221104 */     // GIR_Coverage, 19631,
     /*  221104 */     GIR_EraseRootFromParent_Done,
     /*  221105 */   // Label 4653: @221105
     /*  221105 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(221168), // Rule ID 19634 //
     /*  221110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  221127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221166 */     GIR_RootConstrainSelectedInstOperands,
     /*  221167 */     // GIR_Coverage, 19634,
     /*  221167 */     GIR_EraseRootFromParent_Done,
     /*  221168 */   // Label 4654: @221168
     /*  221168 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(221231), // Rule ID 19635 //
     /*  221173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  221190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221229 */     GIR_RootConstrainSelectedInstOperands,
     /*  221230 */     // GIR_Coverage, 19635,
     /*  221230 */     GIR_EraseRootFromParent_Done,
     /*  221231 */   // Label 4655: @221231
     /*  221231 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(221294), // Rule ID 19638 //
     /*  221236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  221253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221275 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221292 */     GIR_RootConstrainSelectedInstOperands,
     /*  221293 */     // GIR_Coverage, 19638,
     /*  221293 */     GIR_EraseRootFromParent_Done,
     /*  221294 */   // Label 4656: @221294
     /*  221294 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(221357), // Rule ID 19639 //
     /*  221299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  221313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  221316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221355 */     GIR_RootConstrainSelectedInstOperands,
     /*  221356 */     // GIR_Coverage, 19639,
     /*  221356 */     GIR_EraseRootFromParent_Done,
     /*  221357 */   // Label 4657: @221357
     /*  221357 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(221420), // Rule ID 19642 //
     /*  221362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  221365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  221379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  221401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221418 */     GIR_RootConstrainSelectedInstOperands,
     /*  221419 */     // GIR_Coverage, 19642,
     /*  221419 */     GIR_EraseRootFromParent_Done,
     /*  221420 */   // Label 4658: @221420
     /*  221420 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(221483), // Rule ID 19643 //
     /*  221425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  221428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  221439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  221442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  221464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  221467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  221481 */     GIR_RootConstrainSelectedInstOperands,
     /*  221482 */     // GIR_Coverage, 19643,
     /*  221482 */     GIR_EraseRootFromParent_Done,
     /*  221483 */   // Label 4659: @221483
     /*  221483 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(221546), // Rule ID 19646 //
     /*  221488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  221505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221527 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221544 */     GIR_RootConstrainSelectedInstOperands,
     /*  221545 */     // GIR_Coverage, 19646,
     /*  221545 */     GIR_EraseRootFromParent_Done,
     /*  221546 */   // Label 4660: @221546
     /*  221546 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(221609), // Rule ID 19647 //
     /*  221551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  221565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  221568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221607 */     GIR_RootConstrainSelectedInstOperands,
     /*  221608 */     // GIR_Coverage, 19647,
     /*  221608 */     GIR_EraseRootFromParent_Done,
     /*  221609 */   // Label 4661: @221609
     /*  221609 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(221672), // Rule ID 19650 //
     /*  221614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  221631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  221656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221670 */     GIR_RootConstrainSelectedInstOperands,
     /*  221671 */     // GIR_Coverage, 19650,
     /*  221671 */     GIR_EraseRootFromParent_Done,
     /*  221672 */   // Label 4662: @221672
     /*  221672 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(221735), // Rule ID 19651 //
     /*  221677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  221688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  221691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  221694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  221709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  221719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221733 */     GIR_RootConstrainSelectedInstOperands,
     /*  221734 */     // GIR_Coverage, 19651,
     /*  221734 */     GIR_EraseRootFromParent_Done,
     /*  221735 */   // Label 4663: @221735
     /*  221735 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(221798), // Rule ID 19654 //
     /*  221740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  221743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  221757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221779 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  221782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221796 */     GIR_RootConstrainSelectedInstOperands,
     /*  221797 */     // GIR_Coverage, 19654,
     /*  221797 */     GIR_EraseRootFromParent_Done,
     /*  221798 */   // Label 4664: @221798
     /*  221798 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(221861), // Rule ID 19655 //
     /*  221803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  221806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  221814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  221817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  221820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  221835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  221845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221859 */     GIR_RootConstrainSelectedInstOperands,
     /*  221860 */     // GIR_Coverage, 19655,
     /*  221860 */     GIR_EraseRootFromParent_Done,
     /*  221861 */   // Label 4665: @221861
     /*  221861 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(221924), // Rule ID 19658 //
     /*  221866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  221883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221905 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221922 */     GIR_RootConstrainSelectedInstOperands,
     /*  221923 */     // GIR_Coverage, 19658,
     /*  221923 */     GIR_EraseRootFromParent_Done,
     /*  221924 */   // Label 4666: @221924
     /*  221924 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(221987), // Rule ID 19659 //
     /*  221929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  221932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  221937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  221943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  221946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  221961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221968 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  221971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  221977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221985 */     GIR_RootConstrainSelectedInstOperands,
     /*  221986 */     // GIR_Coverage, 19659,
     /*  221986 */     GIR_EraseRootFromParent_Done,
     /*  221987 */   // Label 4667: @221987
     /*  221987 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(222050), // Rule ID 19662 //
     /*  221992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  221995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  222009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222048 */     GIR_RootConstrainSelectedInstOperands,
     /*  222049 */     // GIR_Coverage, 19662,
     /*  222049 */     GIR_EraseRootFromParent_Done,
     /*  222050 */   // Label 4668: @222050
     /*  222050 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(222113), // Rule ID 19663 //
     /*  222055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  222069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  222072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222111 */     GIR_RootConstrainSelectedInstOperands,
     /*  222112 */     // GIR_Coverage, 19663,
     /*  222112 */     GIR_EraseRootFromParent_Done,
     /*  222113 */   // Label 4669: @222113
     /*  222113 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(222176), // Rule ID 19666 //
     /*  222118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  222121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  222135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222174 */     GIR_RootConstrainSelectedInstOperands,
     /*  222175 */     // GIR_Coverage, 19666,
     /*  222175 */     GIR_EraseRootFromParent_Done,
     /*  222176 */   // Label 4670: @222176
     /*  222176 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(222239), // Rule ID 19667 //
     /*  222181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  222195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  222198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222237 */     GIR_RootConstrainSelectedInstOperands,
     /*  222238 */     // GIR_Coverage, 19667,
     /*  222238 */     GIR_EraseRootFromParent_Done,
     /*  222239 */   // Label 4671: @222239
     /*  222239 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(222302), // Rule ID 19670 //
     /*  222244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  222261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  222286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222300 */     GIR_RootConstrainSelectedInstOperands,
     /*  222301 */     // GIR_Coverage, 19670,
     /*  222301 */     GIR_EraseRootFromParent_Done,
     /*  222302 */   // Label 4672: @222302
     /*  222302 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(222365), // Rule ID 19671 //
     /*  222307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  222321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  222324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  222349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222363 */     GIR_RootConstrainSelectedInstOperands,
     /*  222364 */     // GIR_Coverage, 19671,
     /*  222364 */     GIR_EraseRootFromParent_Done,
     /*  222365 */   // Label 4673: @222365
     /*  222365 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(222428), // Rule ID 19674 //
     /*  222370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  222387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222409 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222426 */     GIR_RootConstrainSelectedInstOperands,
     /*  222427 */     // GIR_Coverage, 19674,
     /*  222427 */     GIR_EraseRootFromParent_Done,
     /*  222428 */   // Label 4674: @222428
     /*  222428 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(222491), // Rule ID 19675 //
     /*  222433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  222444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  222447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  222450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  222475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222489 */     GIR_RootConstrainSelectedInstOperands,
     /*  222490 */     // GIR_Coverage, 19675,
     /*  222490 */     GIR_EraseRootFromParent_Done,
     /*  222491 */   // Label 4675: @222491
     /*  222491 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(222554), // Rule ID 19678 //
     /*  222496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  222499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  222513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222552 */     GIR_RootConstrainSelectedInstOperands,
     /*  222553 */     // GIR_Coverage, 19678,
     /*  222553 */     GIR_EraseRootFromParent_Done,
     /*  222554 */   // Label 4676: @222554
     /*  222554 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(222617), // Rule ID 19679 //
     /*  222559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  222562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  222573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  222576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  222601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222615 */     GIR_RootConstrainSelectedInstOperands,
     /*  222616 */     // GIR_Coverage, 19679,
     /*  222616 */     GIR_EraseRootFromParent_Done,
     /*  222617 */   // Label 4677: @222617
     /*  222617 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(222680), // Rule ID 19682 //
     /*  222622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  222625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  222664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222678 */     GIR_RootConstrainSelectedInstOperands,
     /*  222679 */     // GIR_Coverage, 19682,
     /*  222679 */     GIR_EraseRootFromParent_Done,
     /*  222680 */   // Label 4678: @222680
     /*  222680 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(222743), // Rule ID 19683 //
     /*  222685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  222688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  222699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  222727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222741 */     GIR_RootConstrainSelectedInstOperands,
     /*  222742 */     // GIR_Coverage, 19683,
     /*  222742 */     GIR_EraseRootFromParent_Done,
     /*  222743 */   // Label 4679: @222743
     /*  222743 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(222806), // Rule ID 19686 //
     /*  222748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  222751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222787 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  222790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222804 */     GIR_RootConstrainSelectedInstOperands,
     /*  222805 */     // GIR_Coverage, 19686,
     /*  222805 */     GIR_EraseRootFromParent_Done,
     /*  222806 */   // Label 4680: @222806
     /*  222806 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(222869), // Rule ID 19687 //
     /*  222811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  222814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  222825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  222828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  222843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  222853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222867 */     GIR_RootConstrainSelectedInstOperands,
     /*  222868 */     // GIR_Coverage, 19687,
     /*  222868 */     GIR_EraseRootFromParent_Done,
     /*  222869 */   // Label 4681: @222869
     /*  222869 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(222932), // Rule ID 19690 //
     /*  222874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  222877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  222906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  222916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222930 */     GIR_RootConstrainSelectedInstOperands,
     /*  222931 */     // GIR_Coverage, 19690,
     /*  222931 */     GIR_EraseRootFromParent_Done,
     /*  222932 */   // Label 4682: @222932
     /*  222932 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(222995), // Rule ID 19691 //
     /*  222937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  222940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  222945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  222951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  222969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222976 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  222979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  222985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222993 */     GIR_RootConstrainSelectedInstOperands,
     /*  222994 */     // GIR_Coverage, 19691,
     /*  222994 */     GIR_EraseRootFromParent_Done,
     /*  222995 */   // Label 4683: @222995
     /*  222995 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(223058), // Rule ID 19694 //
     /*  223000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  223042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223056 */     GIR_RootConstrainSelectedInstOperands,
     /*  223057 */     // GIR_Coverage, 19694,
     /*  223057 */     GIR_EraseRootFromParent_Done,
     /*  223058 */   // Label 4684: @223058
     /*  223058 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(223121), // Rule ID 19695 //
     /*  223063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  223077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223102 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  223105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223119 */     GIR_RootConstrainSelectedInstOperands,
     /*  223120 */     // GIR_Coverage, 19695,
     /*  223120 */     GIR_EraseRootFromParent_Done,
     /*  223121 */   // Label 4685: @223121
     /*  223121 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(223184), // Rule ID 19698 //
     /*  223126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  223168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223182 */     GIR_RootConstrainSelectedInstOperands,
     /*  223183 */     // GIR_Coverage, 19698,
     /*  223183 */     GIR_EraseRootFromParent_Done,
     /*  223184 */   // Label 4686: @223184
     /*  223184 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(223247), // Rule ID 19699 //
     /*  223189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  223203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223228 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  223231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223245 */     GIR_RootConstrainSelectedInstOperands,
     /*  223246 */     // GIR_Coverage, 19699,
     /*  223246 */     GIR_EraseRootFromParent_Done,
     /*  223247 */   // Label 4687: @223247
     /*  223247 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(223310), // Rule ID 19702 //
     /*  223252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  223255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  223284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223291 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  223294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223308 */     GIR_RootConstrainSelectedInstOperands,
     /*  223309 */     // GIR_Coverage, 19702,
     /*  223309 */     GIR_EraseRootFromParent_Done,
     /*  223310 */   // Label 4688: @223310
     /*  223310 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(223373), // Rule ID 19703 //
     /*  223315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  223318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  223326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  223329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  223347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11054:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  223357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223371 */     GIR_RootConstrainSelectedInstOperands,
     /*  223372 */     // GIR_Coverage, 19703,
     /*  223372 */     GIR_EraseRootFromParent_Done,
     /*  223373 */   // Label 4689: @223373
     /*  223373 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(223436), // Rule ID 19706 //
     /*  223378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  223392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223417 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  223420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223434 */     GIR_RootConstrainSelectedInstOperands,
     /*  223435 */     // GIR_Coverage, 19706,
     /*  223435 */     GIR_EraseRootFromParent_Done,
     /*  223436 */   // Label 4690: @223436
     /*  223436 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(223499), // Rule ID 19707 //
     /*  223441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  223455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223480 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  223483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223497 */     GIR_RootConstrainSelectedInstOperands,
     /*  223498 */     // GIR_Coverage, 19707,
     /*  223498 */     GIR_EraseRootFromParent_Done,
     /*  223499 */   // Label 4691: @223499
     /*  223499 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(223562), // Rule ID 19710 //
     /*  223504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  223518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223543 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  223546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223560 */     GIR_RootConstrainSelectedInstOperands,
     /*  223561 */     // GIR_Coverage, 19710,
     /*  223561 */     GIR_EraseRootFromParent_Done,
     /*  223562 */   // Label 4692: @223562
     /*  223562 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(223625), // Rule ID 19711 //
     /*  223567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  223581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  223609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223623 */     GIR_RootConstrainSelectedInstOperands,
     /*  223624 */     // GIR_Coverage, 19711,
     /*  223624 */     GIR_EraseRootFromParent_Done,
     /*  223625 */   // Label 4693: @223625
     /*  223625 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(223688), // Rule ID 19714 //
     /*  223630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  223633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223669 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  223672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223686 */     GIR_RootConstrainSelectedInstOperands,
     /*  223687 */     // GIR_Coverage, 19714,
     /*  223687 */     GIR_EraseRootFromParent_Done,
     /*  223688 */   // Label 4694: @223688
     /*  223688 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(223751), // Rule ID 19715 //
     /*  223693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  223696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  223710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  223725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223732 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  223735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223749 */     GIR_RootConstrainSelectedInstOperands,
     /*  223750 */     // GIR_Coverage, 19715,
     /*  223750 */     GIR_EraseRootFromParent_Done,
     /*  223751 */   // Label 4695: @223751
     /*  223751 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(223814), // Rule ID 19718 //
     /*  223756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  223798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223812 */     GIR_RootConstrainSelectedInstOperands,
     /*  223813 */     // GIR_Coverage, 19718,
     /*  223813 */     GIR_EraseRootFromParent_Done,
     /*  223814 */   // Label 4696: @223814
     /*  223814 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(223877), // Rule ID 19719 //
     /*  223819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223858 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  223861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223875 */     GIR_RootConstrainSelectedInstOperands,
     /*  223876 */     // GIR_Coverage, 19719,
     /*  223876 */     GIR_EraseRootFromParent_Done,
     /*  223877 */   // Label 4697: @223877
     /*  223877 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(223940), // Rule ID 19722 //
     /*  223882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  223885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  223924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223938 */     GIR_RootConstrainSelectedInstOperands,
     /*  223939 */     // GIR_Coverage, 19722,
     /*  223939 */     GIR_EraseRootFromParent_Done,
     /*  223940 */   // Label 4698: @223940
     /*  223940 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(224003), // Rule ID 19723 //
     /*  223945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  223948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  223953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  223977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  223987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  223993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224001 */     GIR_RootConstrainSelectedInstOperands,
     /*  224002 */     // GIR_Coverage, 19723,
     /*  224002 */     GIR_EraseRootFromParent_Done,
     /*  224003 */   // Label 4699: @224003
     /*  224003 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(224066), // Rule ID 19726 //
     /*  224008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  224011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  224040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224047 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  224050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224064 */     GIR_RootConstrainSelectedInstOperands,
     /*  224065 */     // GIR_Coverage, 19726,
     /*  224065 */     GIR_EraseRootFromParent_Done,
     /*  224066 */   // Label 4700: @224066
     /*  224066 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(224129), // Rule ID 19727 //
     /*  224071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  224074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  224082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  224085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  224103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  224113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224127 */     GIR_RootConstrainSelectedInstOperands,
     /*  224128 */     // GIR_Coverage, 19727,
     /*  224128 */     GIR_EraseRootFromParent_Done,
     /*  224129 */   // Label 4701: @224129
     /*  224129 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(224192), // Rule ID 19730 //
     /*  224134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  224176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224190 */     GIR_RootConstrainSelectedInstOperands,
     /*  224191 */     // GIR_Coverage, 19730,
     /*  224191 */     GIR_EraseRootFromParent_Done,
     /*  224192 */   // Label 4702: @224192
     /*  224192 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(224255), // Rule ID 19731 //
     /*  224197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  224211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  224225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224236 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11054:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  224239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224253 */     GIR_RootConstrainSelectedInstOperands,
     /*  224254 */     // GIR_Coverage, 19731,
     /*  224254 */     GIR_EraseRootFromParent_Done,
     /*  224255 */   // Label 4703: @224255
     /*  224255 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(224318), // Rule ID 19734 //
     /*  224260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  224274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224299 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  224302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224316 */     GIR_RootConstrainSelectedInstOperands,
     /*  224317 */     // GIR_Coverage, 19734,
     /*  224317 */     GIR_EraseRootFromParent_Done,
     /*  224318 */   // Label 4704: @224318
     /*  224318 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(224381), // Rule ID 19735 //
     /*  224323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  224337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  224351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11054:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  224365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224379 */     GIR_RootConstrainSelectedInstOperands,
     /*  224380 */     // GIR_Coverage, 19735,
     /*  224380 */     GIR_EraseRootFromParent_Done,
     /*  224381 */   // Label 4705: @224381
     /*  224381 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(224444), // Rule ID 19738 //
     /*  224386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  224389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224425 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  224425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  224428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224442 */     GIR_RootConstrainSelectedInstOperands,
     /*  224443 */     // GIR_Coverage, 19738,
     /*  224443 */     GIR_EraseRootFromParent_Done,
     /*  224444 */   // Label 4706: @224444
     /*  224444 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(224507), // Rule ID 19739 //
     /*  224449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  224452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  224457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  224481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11054:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  224491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224505 */     GIR_RootConstrainSelectedInstOperands,
     /*  224506 */     // GIR_Coverage, 19739,
     /*  224506 */     GIR_EraseRootFromParent_Done,
     /*  224507 */   // Label 4707: @224507
     /*  224507 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(224570), // Rule ID 19742 //
     /*  224512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  224529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224551 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  224554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224568 */     GIR_RootConstrainSelectedInstOperands,
     /*  224569 */     // GIR_Coverage, 19742,
     /*  224569 */     GIR_EraseRootFromParent_Done,
     /*  224570 */   // Label 4708: @224570
     /*  224570 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(224633), // Rule ID 19743 //
     /*  224575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  224592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  224617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224631 */     GIR_RootConstrainSelectedInstOperands,
     /*  224632 */     // GIR_Coverage, 19743,
     /*  224632 */     GIR_EraseRootFromParent_Done,
     /*  224633 */   // Label 4709: @224633
     /*  224633 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(224696), // Rule ID 19746 //
     /*  224638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  224655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224677 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224694 */     GIR_RootConstrainSelectedInstOperands,
     /*  224695 */     // GIR_Coverage, 19746,
     /*  224695 */     GIR_EraseRootFromParent_Done,
     /*  224696 */   // Label 4710: @224696
     /*  224696 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(224759), // Rule ID 19747 //
     /*  224701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  224718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224757 */     GIR_RootConstrainSelectedInstOperands,
     /*  224758 */     // GIR_Coverage, 19747,
     /*  224758 */     GIR_EraseRootFromParent_Done,
     /*  224759 */   // Label 4711: @224759
     /*  224759 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(224822), // Rule ID 19750 //
     /*  224764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  224767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  224781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224820 */     GIR_RootConstrainSelectedInstOperands,
     /*  224821 */     // GIR_Coverage, 19750,
     /*  224821 */     GIR_EraseRootFromParent_Done,
     /*  224822 */   // Label 4712: @224822
     /*  224822 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(224885), // Rule ID 19751 //
     /*  224827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  224830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  224844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  224869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224883 */     GIR_RootConstrainSelectedInstOperands,
     /*  224884 */     // GIR_Coverage, 19751,
     /*  224884 */     GIR_EraseRootFromParent_Done,
     /*  224885 */   // Label 4713: @224885
     /*  224885 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(224948), // Rule ID 19754 //
     /*  224890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  224893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  224907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  224932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  224938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224946 */     GIR_RootConstrainSelectedInstOperands,
     /*  224947 */     // GIR_Coverage, 19754,
     /*  224947 */     GIR_EraseRootFromParent_Done,
     /*  224948 */   // Label 4714: @224948
     /*  224948 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(225011), // Rule ID 19755 //
     /*  224953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  224956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  224961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  224967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  224970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  224995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225009 */     GIR_RootConstrainSelectedInstOperands,
     /*  225010 */     // GIR_Coverage, 19755,
     /*  225010 */     GIR_EraseRootFromParent_Done,
     /*  225011 */   // Label 4715: @225011
     /*  225011 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(225074), // Rule ID 19758 //
     /*  225016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  225033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225055 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225072 */     GIR_RootConstrainSelectedInstOperands,
     /*  225073 */     // GIR_Coverage, 19758,
     /*  225073 */     GIR_EraseRootFromParent_Done,
     /*  225074 */   // Label 4716: @225074
     /*  225074 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(225137), // Rule ID 19759 //
     /*  225079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  225096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225118 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225135 */     GIR_RootConstrainSelectedInstOperands,
     /*  225136 */     // GIR_Coverage, 19759,
     /*  225136 */     GIR_EraseRootFromParent_Done,
     /*  225137 */   // Label 4717: @225137
     /*  225137 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(225200), // Rule ID 19762 //
     /*  225142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  225145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  225159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225198 */     GIR_RootConstrainSelectedInstOperands,
     /*  225199 */     // GIR_Coverage, 19762,
     /*  225199 */     GIR_EraseRootFromParent_Done,
     /*  225200 */   // Label 4718: @225200
     /*  225200 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(225263), // Rule ID 19763 //
     /*  225205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  225208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  225222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225244 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  225247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225261 */     GIR_RootConstrainSelectedInstOperands,
     /*  225262 */     // GIR_Coverage, 19763,
     /*  225262 */     GIR_EraseRootFromParent_Done,
     /*  225263 */   // Label 4719: @225263
     /*  225263 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(225326), // Rule ID 19766 //
     /*  225268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  225285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225307 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225324 */     GIR_RootConstrainSelectedInstOperands,
     /*  225325 */     // GIR_Coverage, 19766,
     /*  225325 */     GIR_EraseRootFromParent_Done,
     /*  225326 */   // Label 4720: @225326
     /*  225326 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(225389), // Rule ID 19767 //
     /*  225331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  225348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225387 */     GIR_RootConstrainSelectedInstOperands,
     /*  225388 */     // GIR_Coverage, 19767,
     /*  225388 */     GIR_EraseRootFromParent_Done,
     /*  225389 */   // Label 4721: @225389
     /*  225389 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(225452), // Rule ID 19770 //
     /*  225394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  225411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225450 */     GIR_RootConstrainSelectedInstOperands,
     /*  225451 */     // GIR_Coverage, 19770,
     /*  225451 */     GIR_EraseRootFromParent_Done,
     /*  225452 */   // Label 4722: @225452
     /*  225452 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(225515), // Rule ID 19771 //
     /*  225457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  225471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  225474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225496 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225513 */     GIR_RootConstrainSelectedInstOperands,
     /*  225514 */     // GIR_Coverage, 19771,
     /*  225514 */     GIR_EraseRootFromParent_Done,
     /*  225515 */   // Label 4723: @225515
     /*  225515 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(225578), // Rule ID 19774 //
     /*  225520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  225523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  225537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225559 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225576 */     GIR_RootConstrainSelectedInstOperands,
     /*  225577 */     // GIR_Coverage, 19774,
     /*  225577 */     GIR_EraseRootFromParent_Done,
     /*  225578 */   // Label 4724: @225578
     /*  225578 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(225641), // Rule ID 19775 //
     /*  225583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  225586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  225597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  225600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225622 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225639 */     GIR_RootConstrainSelectedInstOperands,
     /*  225640 */     // GIR_Coverage, 19775,
     /*  225640 */     GIR_EraseRootFromParent_Done,
     /*  225641 */   // Label 4725: @225641
     /*  225641 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(225704), // Rule ID 19778 //
     /*  225646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  225663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225685 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225702 */     GIR_RootConstrainSelectedInstOperands,
     /*  225703 */     // GIR_Coverage, 19778,
     /*  225703 */     GIR_EraseRootFromParent_Done,
     /*  225704 */   // Label 4726: @225704
     /*  225704 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(225767), // Rule ID 19779 //
     /*  225709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  225723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  225726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  225751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225765 */     GIR_RootConstrainSelectedInstOperands,
     /*  225766 */     // GIR_Coverage, 19779,
     /*  225766 */     GIR_EraseRootFromParent_Done,
     /*  225767 */   // Label 4727: @225767
     /*  225767 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(225830), // Rule ID 19782 //
     /*  225772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  225789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225828 */     GIR_RootConstrainSelectedInstOperands,
     /*  225829 */     // GIR_Coverage, 19782,
     /*  225829 */     GIR_EraseRootFromParent_Done,
     /*  225830 */   // Label 4728: @225830
     /*  225830 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(225893), // Rule ID 19783 //
     /*  225835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  225849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  225852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  225877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225891 */     GIR_RootConstrainSelectedInstOperands,
     /*  225892 */     // GIR_Coverage, 19783,
     /*  225892 */     GIR_EraseRootFromParent_Done,
     /*  225893 */   // Label 4729: @225893
     /*  225893 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(225956), // Rule ID 19786 //
     /*  225898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  225901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  225915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225937 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  225940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  225946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225954 */     GIR_RootConstrainSelectedInstOperands,
     /*  225955 */     // GIR_Coverage, 19786,
     /*  225955 */     GIR_EraseRootFromParent_Done,
     /*  225956 */   // Label 4730: @225956
     /*  225956 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(226019), // Rule ID 19787 //
     /*  225961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  225964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  225969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  225975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  225978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  226003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226017 */     GIR_RootConstrainSelectedInstOperands,
     /*  226018 */     // GIR_Coverage, 19787,
     /*  226018 */     GIR_EraseRootFromParent_Done,
     /*  226019 */   // Label 4731: @226019
     /*  226019 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(226082), // Rule ID 19790 //
     /*  226024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  226041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226063 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  226066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226080 */     GIR_RootConstrainSelectedInstOperands,
     /*  226081 */     // GIR_Coverage, 19790,
     /*  226081 */     GIR_EraseRootFromParent_Done,
     /*  226082 */   // Label 4732: @226082
     /*  226082 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(226145), // Rule ID 19791 //
     /*  226087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  226104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226126 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  226129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226143 */     GIR_RootConstrainSelectedInstOperands,
     /*  226144 */     // GIR_Coverage, 19791,
     /*  226144 */     GIR_EraseRootFromParent_Done,
     /*  226145 */   // Label 4733: @226145
     /*  226145 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(226208), // Rule ID 19794 //
     /*  226150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  226167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  226192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226206 */     GIR_RootConstrainSelectedInstOperands,
     /*  226207 */     // GIR_Coverage, 19794,
     /*  226207 */     GIR_EraseRootFromParent_Done,
     /*  226208 */   // Label 4734: @226208
     /*  226208 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(226271), // Rule ID 19795 //
     /*  226213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  226227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  226230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  226255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226269 */     GIR_RootConstrainSelectedInstOperands,
     /*  226270 */     // GIR_Coverage, 19795,
     /*  226270 */     GIR_EraseRootFromParent_Done,
     /*  226271 */   // Label 4735: @226271
     /*  226271 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(226334), // Rule ID 19798 //
     /*  226276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  226279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  226293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  226318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226332 */     GIR_RootConstrainSelectedInstOperands,
     /*  226333 */     // GIR_Coverage, 19798,
     /*  226333 */     GIR_EraseRootFromParent_Done,
     /*  226334 */   // Label 4736: @226334
     /*  226334 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(226397), // Rule ID 19799 //
     /*  226339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  226342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  226353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  226356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  226381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226395 */     GIR_RootConstrainSelectedInstOperands,
     /*  226396 */     // GIR_Coverage, 19799,
     /*  226396 */     GIR_EraseRootFromParent_Done,
     /*  226397 */   // Label 4737: @226397
     /*  226397 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(226460), // Rule ID 19802 //
     /*  226402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226441 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  226444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226458 */     GIR_RootConstrainSelectedInstOperands,
     /*  226459 */     // GIR_Coverage, 19802,
     /*  226459 */     GIR_EraseRootFromParent_Done,
     /*  226460 */   // Label 4738: @226460
     /*  226460 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(226523), // Rule ID 19803 //
     /*  226465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  226479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  226507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226521 */     GIR_RootConstrainSelectedInstOperands,
     /*  226522 */     // GIR_Coverage, 19803,
     /*  226522 */     GIR_EraseRootFromParent_Done,
     /*  226523 */   // Label 4739: @226523
     /*  226523 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(226586), // Rule ID 19806 //
     /*  226528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226567 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  226570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226584 */     GIR_RootConstrainSelectedInstOperands,
     /*  226585 */     // GIR_Coverage, 19806,
     /*  226585 */     GIR_EraseRootFromParent_Done,
     /*  226586 */   // Label 4740: @226586
     /*  226586 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(226649), // Rule ID 19807 //
     /*  226591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  226605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  226633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226647 */     GIR_RootConstrainSelectedInstOperands,
     /*  226648 */     // GIR_Coverage, 19807,
     /*  226648 */     GIR_EraseRootFromParent_Done,
     /*  226649 */   // Label 4741: @226649
     /*  226649 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(226712), // Rule ID 19810 //
     /*  226654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  226657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226693 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  226696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226710 */     GIR_RootConstrainSelectedInstOperands,
     /*  226711 */     // GIR_Coverage, 19810,
     /*  226711 */     GIR_EraseRootFromParent_Done,
     /*  226712 */   // Label 4742: @226712
     /*  226712 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(226775), // Rule ID 19811 //
     /*  226717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  226720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  226728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  226731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  226759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226773 */     GIR_RootConstrainSelectedInstOperands,
     /*  226774 */     // GIR_Coverage, 19811,
     /*  226774 */     GIR_EraseRootFromParent_Done,
     /*  226775 */   // Label 4743: @226775
     /*  226775 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(226838), // Rule ID 19814 //
     /*  226780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  226783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  226822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226836 */     GIR_RootConstrainSelectedInstOperands,
     /*  226837 */     // GIR_Coverage, 19814,
     /*  226837 */     GIR_EraseRootFromParent_Done,
     /*  226838 */   // Label 4744: @226838
     /*  226838 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(226901), // Rule ID 19815 //
     /*  226843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  226846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  226857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  226860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  226875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226882 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  226885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226899 */     GIR_RootConstrainSelectedInstOperands,
     /*  226900 */     // GIR_Coverage, 19815,
     /*  226900 */     GIR_EraseRootFromParent_Done,
     /*  226901 */   // Label 4745: @226901
     /*  226901 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(226964), // Rule ID 19818 //
     /*  226906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  226909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  226938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  226948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  226954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226962 */     GIR_RootConstrainSelectedInstOperands,
     /*  226963 */     // GIR_Coverage, 19818,
     /*  226963 */     GIR_EraseRootFromParent_Done,
     /*  226964 */   // Label 4746: @226964
     /*  226964 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(227027), // Rule ID 19819 //
     /*  226969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  226972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  226977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  226983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  227011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227025 */     GIR_RootConstrainSelectedInstOperands,
     /*  227026 */     // GIR_Coverage, 19819,
     /*  227026 */     GIR_EraseRootFromParent_Done,
     /*  227027 */   // Label 4747: @227027
     /*  227027 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(227090), // Rule ID 19822 //
     /*  227032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  227035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  227074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227088 */     GIR_RootConstrainSelectedInstOperands,
     /*  227089 */     // GIR_Coverage, 19822,
     /*  227089 */     GIR_EraseRootFromParent_Done,
     /*  227090 */   // Label 4748: @227090
     /*  227090 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(227153), // Rule ID 19823 //
     /*  227095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  227098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  227109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11060:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  227137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227151 */     GIR_RootConstrainSelectedInstOperands,
     /*  227152 */     // GIR_Coverage, 19823,
     /*  227152 */     GIR_EraseRootFromParent_Done,
     /*  227153 */   // Label 4749: @227153
     /*  227153 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(227216), // Rule ID 19826 //
     /*  227158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227197 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  227200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227214 */     GIR_RootConstrainSelectedInstOperands,
     /*  227215 */     // GIR_Coverage, 19826,
     /*  227215 */     GIR_EraseRootFromParent_Done,
     /*  227216 */   // Label 4750: @227216
     /*  227216 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(227279), // Rule ID 19827 //
     /*  227221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  227235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227260 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  227263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227277 */     GIR_RootConstrainSelectedInstOperands,
     /*  227278 */     // GIR_Coverage, 19827,
     /*  227278 */     GIR_EraseRootFromParent_Done,
     /*  227279 */   // Label 4751: @227279
     /*  227279 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(227342), // Rule ID 19830 //
     /*  227284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227323 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  227326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227340 */     GIR_RootConstrainSelectedInstOperands,
     /*  227341 */     // GIR_Coverage, 19830,
     /*  227341 */     GIR_EraseRootFromParent_Done,
     /*  227342 */   // Label 4752: @227342
     /*  227342 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(227405), // Rule ID 19831 //
     /*  227347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  227361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227386 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  227389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227403 */     GIR_RootConstrainSelectedInstOperands,
     /*  227404 */     // GIR_Coverage, 19831,
     /*  227404 */     GIR_EraseRootFromParent_Done,
     /*  227405 */   // Label 4753: @227405
     /*  227405 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(227468), // Rule ID 19834 //
     /*  227410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  227413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227449 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  227452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227466 */     GIR_RootConstrainSelectedInstOperands,
     /*  227467 */     // GIR_Coverage, 19834,
     /*  227467 */     GIR_EraseRootFromParent_Done,
     /*  227468 */   // Label 4754: @227468
     /*  227468 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(227531), // Rule ID 19835 //
     /*  227473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  227476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  227484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  227487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  227490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  227505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227512 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  227515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227529 */     GIR_RootConstrainSelectedInstOperands,
     /*  227530 */     // GIR_Coverage, 19835,
     /*  227530 */     GIR_EraseRootFromParent_Done,
     /*  227531 */   // Label 4755: @227531
     /*  227531 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(227594), // Rule ID 19838 //
     /*  227536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227575 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  227578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227592 */     GIR_RootConstrainSelectedInstOperands,
     /*  227593 */     // GIR_Coverage, 19838,
     /*  227593 */     GIR_EraseRootFromParent_Done,
     /*  227594 */   // Label 4756: @227594
     /*  227594 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(227657), // Rule ID 19839 //
     /*  227599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  227613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  227641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227655 */     GIR_RootConstrainSelectedInstOperands,
     /*  227656 */     // GIR_Coverage, 19839,
     /*  227656 */     GIR_EraseRootFromParent_Done,
     /*  227657 */   // Label 4757: @227657
     /*  227657 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(227720), // Rule ID 19842 //
     /*  227662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227701 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  227704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227718 */     GIR_RootConstrainSelectedInstOperands,
     /*  227719 */     // GIR_Coverage, 19842,
     /*  227719 */     GIR_EraseRootFromParent_Done,
     /*  227720 */   // Label 4758: @227720
     /*  227720 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(227783), // Rule ID 19843 //
     /*  227725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  227739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  227767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227781 */     GIR_RootConstrainSelectedInstOperands,
     /*  227782 */     // GIR_Coverage, 19843,
     /*  227782 */     GIR_EraseRootFromParent_Done,
     /*  227783 */   // Label 4759: @227783
     /*  227783 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(227846), // Rule ID 19846 //
     /*  227788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  227791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  227802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227827 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  227827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  227830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227844 */     GIR_RootConstrainSelectedInstOperands,
     /*  227845 */     // GIR_Coverage, 19846,
     /*  227845 */     GIR_EraseRootFromParent_Done,
     /*  227846 */   // Label 4760: @227846
     /*  227846 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(227909), // Rule ID 19847 //
     /*  227851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  227854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  227862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  227865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  227883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  227890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  227893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  227907 */     GIR_RootConstrainSelectedInstOperands,
     /*  227908 */     // GIR_Coverage, 19847,
     /*  227908 */     GIR_EraseRootFromParent_Done,
     /*  227909 */   // Label 4761: @227909
     /*  227909 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(227972), // Rule ID 19850 //
     /*  227914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  227917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  227928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  227942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  227946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  227956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  227962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227970 */     GIR_RootConstrainSelectedInstOperands,
     /*  227971 */     // GIR_Coverage, 19850,
     /*  227971 */     GIR_EraseRootFromParent_Done,
     /*  227972 */   // Label 4762: @227972
     /*  227972 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(228035), // Rule ID 19851 //
     /*  227977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  227980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  227985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  227991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228016 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11060:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  228019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228033 */     GIR_RootConstrainSelectedInstOperands,
     /*  228034 */     // GIR_Coverage, 19851,
     /*  228034 */     GIR_EraseRootFromParent_Done,
     /*  228035 */   // Label 4763: @228035
     /*  228035 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(228098), // Rule ID 19854 //
     /*  228040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  228082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228096 */     GIR_RootConstrainSelectedInstOperands,
     /*  228097 */     // GIR_Coverage, 19854,
     /*  228097 */     GIR_EraseRootFromParent_Done,
     /*  228098 */   // Label 4764: @228098
     /*  228098 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(228161), // Rule ID 19855 //
     /*  228103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  228117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11060:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  228145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228159 */     GIR_RootConstrainSelectedInstOperands,
     /*  228160 */     // GIR_Coverage, 19855,
     /*  228160 */     GIR_EraseRootFromParent_Done,
     /*  228161 */   // Label 4765: @228161
     /*  228161 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(228224), // Rule ID 19858 //
     /*  228166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228205 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  228208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228222 */     GIR_RootConstrainSelectedInstOperands,
     /*  228223 */     // GIR_Coverage, 19858,
     /*  228223 */     GIR_EraseRootFromParent_Done,
     /*  228224 */   // Label 4766: @228224
     /*  228224 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(228287), // Rule ID 19859 //
     /*  228229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  228237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  228243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  228257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  228261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11060:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  228271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228285 */     GIR_RootConstrainSelectedInstOperands,
     /*  228286 */     // GIR_Coverage, 19859,
     /*  228286 */     GIR_EraseRootFromParent_Done,
     /*  228287 */   // Label 4767: @228287
     /*  228287 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(228350), // Rule ID 19862 //
     /*  228292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  228306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  228309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228331 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  228334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228348 */     GIR_RootConstrainSelectedInstOperands,
     /*  228349 */     // GIR_Coverage, 19862,
     /*  228349 */     GIR_EraseRootFromParent_Done,
     /*  228350 */   // Label 4768: @228350
     /*  228350 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(228413), // Rule ID 19863 //
     /*  228355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  228369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  228372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228394 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  228397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228411 */     GIR_RootConstrainSelectedInstOperands,
     /*  228412 */     // GIR_Coverage, 19863,
     /*  228412 */     GIR_EraseRootFromParent_Done,
     /*  228413 */   // Label 4769: @228413
     /*  228413 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(228476), // Rule ID 19866 //
     /*  228418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  228432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  228435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228457 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228474 */     GIR_RootConstrainSelectedInstOperands,
     /*  228475 */     // GIR_Coverage, 19866,
     /*  228475 */     GIR_EraseRootFromParent_Done,
     /*  228476 */   // Label 4770: @228476
     /*  228476 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(228539), // Rule ID 19867 //
     /*  228481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  228495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  228498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228537 */     GIR_RootConstrainSelectedInstOperands,
     /*  228538 */     // GIR_Coverage, 19867,
     /*  228538 */     GIR_EraseRootFromParent_Done,
     /*  228539 */   // Label 4771: @228539
     /*  228539 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(228602), // Rule ID 19870 //
     /*  228544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  228547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  228561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228583 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228600 */     GIR_RootConstrainSelectedInstOperands,
     /*  228601 */     // GIR_Coverage, 19870,
     /*  228601 */     GIR_EraseRootFromParent_Done,
     /*  228602 */   // Label 4772: @228602
     /*  228602 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(228665), // Rule ID 19871 //
     /*  228607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  228610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  228624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228646 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  228649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228663 */     GIR_RootConstrainSelectedInstOperands,
     /*  228664 */     // GIR_Coverage, 19871,
     /*  228664 */     GIR_EraseRootFromParent_Done,
     /*  228665 */   // Label 4773: @228665
     /*  228665 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(228728), // Rule ID 19874 //
     /*  228670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  228673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  228687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228726 */     GIR_RootConstrainSelectedInstOperands,
     /*  228727 */     // GIR_Coverage, 19874,
     /*  228727 */     GIR_EraseRootFromParent_Done,
     /*  228728 */   // Label 4774: @228728
     /*  228728 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(228791), // Rule ID 19875 //
     /*  228733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  228736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  228750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228789 */     GIR_RootConstrainSelectedInstOperands,
     /*  228790 */     // GIR_Coverage, 19875,
     /*  228790 */     GIR_EraseRootFromParent_Done,
     /*  228791 */   // Label 4775: @228791
     /*  228791 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(228854), // Rule ID 19878 //
     /*  228796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  228799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  228813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228852 */     GIR_RootConstrainSelectedInstOperands,
     /*  228853 */     // GIR_Coverage, 19878,
     /*  228853 */     GIR_EraseRootFromParent_Done,
     /*  228854 */   // Label 4776: @228854
     /*  228854 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(228917), // Rule ID 19879 //
     /*  228859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  228862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  228876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228898 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228915 */     GIR_RootConstrainSelectedInstOperands,
     /*  228916 */     // GIR_Coverage, 19879,
     /*  228916 */     GIR_EraseRootFromParent_Done,
     /*  228917 */   // Label 4777: @228917
     /*  228917 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(228980), // Rule ID 19882 //
     /*  228922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  228925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  228939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  228964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  228970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228978 */     GIR_RootConstrainSelectedInstOperands,
     /*  228979 */     // GIR_Coverage, 19882,
     /*  228979 */     GIR_EraseRootFromParent_Done,
     /*  228980 */   // Label 4778: @228980
     /*  228980 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(229043), // Rule ID 19883 //
     /*  228985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  228988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  228993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  229002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229024 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  229027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229041 */     GIR_RootConstrainSelectedInstOperands,
     /*  229042 */     // GIR_Coverage, 19883,
     /*  229042 */     GIR_EraseRootFromParent_Done,
     /*  229043 */   // Label 4779: @229043
     /*  229043 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(229106), // Rule ID 19886 //
     /*  229048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  229065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229087 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229104 */     GIR_RootConstrainSelectedInstOperands,
     /*  229105 */     // GIR_Coverage, 19886,
     /*  229105 */     GIR_EraseRootFromParent_Done,
     /*  229106 */   // Label 4780: @229106
     /*  229106 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(229169), // Rule ID 19887 //
     /*  229111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  229128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229167 */     GIR_RootConstrainSelectedInstOperands,
     /*  229168 */     // GIR_Coverage, 19887,
     /*  229168 */     GIR_EraseRootFromParent_Done,
     /*  229169 */   // Label 4781: @229169
     /*  229169 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(229232), // Rule ID 19890 //
     /*  229174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  229191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229213 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229230 */     GIR_RootConstrainSelectedInstOperands,
     /*  229231 */     // GIR_Coverage, 19890,
     /*  229231 */     GIR_EraseRootFromParent_Done,
     /*  229232 */   // Label 4782: @229232
     /*  229232 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(229295), // Rule ID 19891 //
     /*  229237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  229254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229276 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229293 */     GIR_RootConstrainSelectedInstOperands,
     /*  229294 */     // GIR_Coverage, 19891,
     /*  229294 */     GIR_EraseRootFromParent_Done,
     /*  229295 */   // Label 4783: @229295
     /*  229295 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(229358), // Rule ID 19894 //
     /*  229300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  229303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  229317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229339 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229356 */     GIR_RootConstrainSelectedInstOperands,
     /*  229357 */     // GIR_Coverage, 19894,
     /*  229357 */     GIR_EraseRootFromParent_Done,
     /*  229358 */   // Label 4784: @229358
     /*  229358 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(229421), // Rule ID 19895 //
     /*  229363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  229366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  229380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229402 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229419 */     GIR_RootConstrainSelectedInstOperands,
     /*  229420 */     // GIR_Coverage, 19895,
     /*  229420 */     GIR_EraseRootFromParent_Done,
     /*  229421 */   // Label 4785: @229421
     /*  229421 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(229484), // Rule ID 19898 //
     /*  229426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  229443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229465 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229482 */     GIR_RootConstrainSelectedInstOperands,
     /*  229483 */     // GIR_Coverage, 19898,
     /*  229483 */     GIR_EraseRootFromParent_Done,
     /*  229484 */   // Label 4786: @229484
     /*  229484 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(229547), // Rule ID 19899 //
     /*  229489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  229506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229528 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229545 */     GIR_RootConstrainSelectedInstOperands,
     /*  229546 */     // GIR_Coverage, 19899,
     /*  229546 */     GIR_EraseRootFromParent_Done,
     /*  229547 */   // Label 4787: @229547
     /*  229547 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(229610), // Rule ID 19902 //
     /*  229552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  229569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229591 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229608 */     GIR_RootConstrainSelectedInstOperands,
     /*  229609 */     // GIR_Coverage, 19902,
     /*  229609 */     GIR_EraseRootFromParent_Done,
     /*  229610 */   // Label 4788: @229610
     /*  229610 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(229673), // Rule ID 19903 //
     /*  229615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  229632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229671 */     GIR_RootConstrainSelectedInstOperands,
     /*  229672 */     // GIR_Coverage, 19903,
     /*  229672 */     GIR_EraseRootFromParent_Done,
     /*  229673 */   // Label 4789: @229673
     /*  229673 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(229736), // Rule ID 19906 //
     /*  229678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  229681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  229695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229717 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229734 */     GIR_RootConstrainSelectedInstOperands,
     /*  229735 */     // GIR_Coverage, 19906,
     /*  229735 */     GIR_EraseRootFromParent_Done,
     /*  229736 */   // Label 4790: @229736
     /*  229736 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(229799), // Rule ID 19907 //
     /*  229741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  229744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  229758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  229783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229797 */     GIR_RootConstrainSelectedInstOperands,
     /*  229798 */     // GIR_Coverage, 19907,
     /*  229798 */     GIR_EraseRootFromParent_Done,
     /*  229799 */   // Label 4791: @229799
     /*  229799 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(229862), // Rule ID 19910 //
     /*  229804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  229807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  229821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229843 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229860 */     GIR_RootConstrainSelectedInstOperands,
     /*  229861 */     // GIR_Coverage, 19910,
     /*  229861 */     GIR_EraseRootFromParent_Done,
     /*  229862 */   // Label 4792: @229862
     /*  229862 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(229925), // Rule ID 19911 //
     /*  229867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  229870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  229878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  229881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  229884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  229906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  229909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229923 */     GIR_RootConstrainSelectedInstOperands,
     /*  229924 */     // GIR_Coverage, 19911,
     /*  229924 */     GIR_EraseRootFromParent_Done,
     /*  229925 */   // Label 4793: @229925
     /*  229925 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(229988), // Rule ID 19914 //
     /*  229930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  229933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  229938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  229944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  229947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229969 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  229969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  229972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  229978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  229986 */     GIR_RootConstrainSelectedInstOperands,
     /*  229987 */     // GIR_Coverage, 19914,
     /*  229987 */     GIR_EraseRootFromParent_Done,
     /*  229988 */   // Label 4794: @229988
     /*  229988 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(230051), // Rule ID 19915 //
     /*  229993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  229996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  230007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  230010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  230035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230049 */     GIR_RootConstrainSelectedInstOperands,
     /*  230050 */     // GIR_Coverage, 19915,
     /*  230050 */     GIR_EraseRootFromParent_Done,
     /*  230051 */   // Label 4795: @230051
     /*  230051 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(230114), // Rule ID 19918 //
     /*  230056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  230059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  230073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230095 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  230098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230112 */     GIR_RootConstrainSelectedInstOperands,
     /*  230113 */     // GIR_Coverage, 19918,
     /*  230113 */     GIR_EraseRootFromParent_Done,
     /*  230114 */   // Label 4796: @230114
     /*  230114 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(230177), // Rule ID 19919 //
     /*  230119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  230122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  230136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  230161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230175 */     GIR_RootConstrainSelectedInstOperands,
     /*  230176 */     // GIR_Coverage, 19919,
     /*  230176 */     GIR_EraseRootFromParent_Done,
     /*  230177 */   // Label 4797: @230177
     /*  230177 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(230240), // Rule ID 19922 //
     /*  230182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230221 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  230224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230238 */     GIR_RootConstrainSelectedInstOperands,
     /*  230239 */     // GIR_Coverage, 19922,
     /*  230239 */     GIR_EraseRootFromParent_Done,
     /*  230240 */   // Label 4798: @230240
     /*  230240 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(230303), // Rule ID 19923 //
     /*  230245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  230259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  230287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230301 */     GIR_RootConstrainSelectedInstOperands,
     /*  230302 */     // GIR_Coverage, 19923,
     /*  230302 */     GIR_EraseRootFromParent_Done,
     /*  230303 */   // Label 4799: @230303
     /*  230303 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(230366), // Rule ID 19926 //
     /*  230308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230347 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  230350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230364 */     GIR_RootConstrainSelectedInstOperands,
     /*  230365 */     // GIR_Coverage, 19926,
     /*  230365 */     GIR_EraseRootFromParent_Done,
     /*  230366 */   // Label 4800: @230366
     /*  230366 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(230429), // Rule ID 19927 //
     /*  230371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  230385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  230413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230427 */     GIR_RootConstrainSelectedInstOperands,
     /*  230428 */     // GIR_Coverage, 19927,
     /*  230428 */     GIR_EraseRootFromParent_Done,
     /*  230429 */   // Label 4801: @230429
     /*  230429 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(230492), // Rule ID 19930 //
     /*  230434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  230437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  230476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230490 */     GIR_RootConstrainSelectedInstOperands,
     /*  230491 */     // GIR_Coverage, 19930,
     /*  230491 */     GIR_EraseRootFromParent_Done,
     /*  230492 */   // Label 4802: @230492
     /*  230492 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(230555), // Rule ID 19931 //
     /*  230497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  230500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  230511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230536 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  230539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230553 */     GIR_RootConstrainSelectedInstOperands,
     /*  230554 */     // GIR_Coverage, 19931,
     /*  230554 */     GIR_EraseRootFromParent_Done,
     /*  230555 */   // Label 4803: @230555
     /*  230555 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(230618), // Rule ID 19934 //
     /*  230560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  230602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230616 */     GIR_RootConstrainSelectedInstOperands,
     /*  230617 */     // GIR_Coverage, 19934,
     /*  230617 */     GIR_EraseRootFromParent_Done,
     /*  230618 */   // Label 4804: @230618
     /*  230618 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(230681), // Rule ID 19935 //
     /*  230623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  230626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  230637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  230662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  230665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230679 */     GIR_RootConstrainSelectedInstOperands,
     /*  230680 */     // GIR_Coverage, 19935,
     /*  230680 */     GIR_EraseRootFromParent_Done,
     /*  230681 */   // Label 4805: @230681
     /*  230681 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(230744), // Rule ID 19938 //
     /*  230686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  230689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230725 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  230728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230742 */     GIR_RootConstrainSelectedInstOperands,
     /*  230743 */     // GIR_Coverage, 19938,
     /*  230743 */     GIR_EraseRootFromParent_Done,
     /*  230744 */   // Label 4806: @230744
     /*  230744 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(230807), // Rule ID 19939 //
     /*  230749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  230752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  230763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  230781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230788 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  230791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230805 */     GIR_RootConstrainSelectedInstOperands,
     /*  230806 */     // GIR_Coverage, 19939,
     /*  230806 */     GIR_EraseRootFromParent_Done,
     /*  230807 */   // Label 4807: @230807
     /*  230807 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(230870), // Rule ID 19942 //
     /*  230812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  230815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  230844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  230854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230868 */     GIR_RootConstrainSelectedInstOperands,
     /*  230869 */     // GIR_Coverage, 19942,
     /*  230869 */     GIR_EraseRootFromParent_Done,
     /*  230870 */   // Label 4808: @230870
     /*  230870 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(230933), // Rule ID 19943 //
     /*  230875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  230878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  230889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  230907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11062:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  230917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230931 */     GIR_RootConstrainSelectedInstOperands,
     /*  230932 */     // GIR_Coverage, 19943,
     /*  230932 */     GIR_EraseRootFromParent_Done,
     /*  230933 */   // Label 4809: @230933
     /*  230933 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(230996), // Rule ID 19946 //
     /*  230938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  230941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  230946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  230952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  230955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  230970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230977 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  230977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  230980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  230986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  230994 */     GIR_RootConstrainSelectedInstOperands,
     /*  230995 */     // GIR_Coverage, 19946,
     /*  230995 */     GIR_EraseRootFromParent_Done,
     /*  230996 */   // Label 4810: @230996
     /*  230996 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(231059), // Rule ID 19947 //
     /*  231001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  231004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  231015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231040 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  231043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231057 */     GIR_RootConstrainSelectedInstOperands,
     /*  231058 */     // GIR_Coverage, 19947,
     /*  231058 */     GIR_EraseRootFromParent_Done,
     /*  231059 */   // Label 4811: @231059
     /*  231059 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(231122), // Rule ID 19950 //
     /*  231064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  231067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231103 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  231106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231120 */     GIR_RootConstrainSelectedInstOperands,
     /*  231121 */     // GIR_Coverage, 19950,
     /*  231121 */     GIR_EraseRootFromParent_Done,
     /*  231122 */   // Label 4812: @231122
     /*  231122 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(231185), // Rule ID 19951 //
     /*  231127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  231130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  231141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231166 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  231169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231183 */     GIR_RootConstrainSelectedInstOperands,
     /*  231184 */     // GIR_Coverage, 19951,
     /*  231184 */     GIR_EraseRootFromParent_Done,
     /*  231185 */   // Label 4813: @231185
     /*  231185 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(231248), // Rule ID 19954 //
     /*  231190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  231193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231229 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  231232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231246 */     GIR_RootConstrainSelectedInstOperands,
     /*  231247 */     // GIR_Coverage, 19954,
     /*  231247 */     GIR_EraseRootFromParent_Done,
     /*  231248 */   // Label 4814: @231248
     /*  231248 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(231311), // Rule ID 19955 //
     /*  231253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  231256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  231264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  231267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  231270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  231285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231292 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  231295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231309 */     GIR_RootConstrainSelectedInstOperands,
     /*  231310 */     // GIR_Coverage, 19955,
     /*  231310 */     GIR_EraseRootFromParent_Done,
     /*  231311 */   // Label 4815: @231311
     /*  231311 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(231374), // Rule ID 19958 //
     /*  231316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231355 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  231358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231372 */     GIR_RootConstrainSelectedInstOperands,
     /*  231373 */     // GIR_Coverage, 19958,
     /*  231373 */     GIR_EraseRootFromParent_Done,
     /*  231374 */   // Label 4816: @231374
     /*  231374 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(231437), // Rule ID 19959 //
     /*  231379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  231393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  231421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231435 */     GIR_RootConstrainSelectedInstOperands,
     /*  231436 */     // GIR_Coverage, 19959,
     /*  231436 */     GIR_EraseRootFromParent_Done,
     /*  231437 */   // Label 4817: @231437
     /*  231437 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(231500), // Rule ID 19962 //
     /*  231442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231481 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  231484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231498 */     GIR_RootConstrainSelectedInstOperands,
     /*  231499 */     // GIR_Coverage, 19962,
     /*  231499 */     GIR_EraseRootFromParent_Done,
     /*  231500 */   // Label 4818: @231500
     /*  231500 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(231563), // Rule ID 19963 //
     /*  231505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  231519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  231547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231561 */     GIR_RootConstrainSelectedInstOperands,
     /*  231562 */     // GIR_Coverage, 19963,
     /*  231562 */     GIR_EraseRootFromParent_Done,
     /*  231563 */   // Label 4819: @231563
     /*  231563 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(231626), // Rule ID 19966 //
     /*  231568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  231571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231607 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  231610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231624 */     GIR_RootConstrainSelectedInstOperands,
     /*  231625 */     // GIR_Coverage, 19966,
     /*  231625 */     GIR_EraseRootFromParent_Done,
     /*  231626 */   // Label 4820: @231626
     /*  231626 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(231689), // Rule ID 19967 //
     /*  231631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  231634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  231642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  231645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  231663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  231673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231687 */     GIR_RootConstrainSelectedInstOperands,
     /*  231688 */     // GIR_Coverage, 19967,
     /*  231688 */     GIR_EraseRootFromParent_Done,
     /*  231689 */   // Label 4821: @231689
     /*  231689 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(231752), // Rule ID 19970 //
     /*  231694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231733 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  231736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231750 */     GIR_RootConstrainSelectedInstOperands,
     /*  231751 */     // GIR_Coverage, 19970,
     /*  231751 */     GIR_EraseRootFromParent_Done,
     /*  231752 */   // Label 4822: @231752
     /*  231752 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(231815), // Rule ID 19971 //
     /*  231757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  231760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  231771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  231785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231796 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11062:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  231799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231813 */     GIR_RootConstrainSelectedInstOperands,
     /*  231814 */     // GIR_Coverage, 19971,
     /*  231814 */     GIR_EraseRootFromParent_Done,
     /*  231815 */   // Label 4823: @231815
     /*  231815 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(231878), // Rule ID 19974 //
     /*  231820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231859 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  231862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231876 */     GIR_RootConstrainSelectedInstOperands,
     /*  231877 */     // GIR_Coverage, 19974,
     /*  231877 */     GIR_EraseRootFromParent_Done,
     /*  231878 */   // Label 4824: @231878
     /*  231878 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(231941), // Rule ID 19975 //
     /*  231883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  231886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  231897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  231911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11062:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  231922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  231925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231939 */     GIR_RootConstrainSelectedInstOperands,
     /*  231940 */     // GIR_Coverage, 19975,
     /*  231940 */     GIR_EraseRootFromParent_Done,
     /*  231941 */   // Label 4825: @231941
     /*  231941 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(232004), // Rule ID 19978 //
     /*  231946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  231949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  231954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  231960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  231974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  231978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231985 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  231988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  231994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232002 */     GIR_RootConstrainSelectedInstOperands,
     /*  232003 */     // GIR_Coverage, 19978,
     /*  232003 */     GIR_EraseRootFromParent_Done,
     /*  232004 */   // Label 4826: @232004
     /*  232004 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(232067), // Rule ID 19979 //
     /*  232009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  232012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  232017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  232023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  232041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11062:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  232051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232065 */     GIR_RootConstrainSelectedInstOperands,
     /*  232066 */     // GIR_Coverage, 19979,
     /*  232066 */     GIR_EraseRootFromParent_Done,
     /*  232067 */   // Label 4827: @232067
     /*  232067 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(232130), // Rule ID 19982 //
     /*  232072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232111 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  232114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232128 */     GIR_RootConstrainSelectedInstOperands,
     /*  232129 */     // GIR_Coverage, 19982,
     /*  232129 */     GIR_EraseRootFromParent_Done,
     /*  232130 */   // Label 4828: @232130
     /*  232130 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(232193), // Rule ID 19983 //
     /*  232135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  232149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  232152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  232177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232191 */     GIR_RootConstrainSelectedInstOperands,
     /*  232192 */     // GIR_Coverage, 19983,
     /*  232192 */     GIR_EraseRootFromParent_Done,
     /*  232193 */   // Label 4829: @232193
     /*  232193 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(232256), // Rule ID 19986 //
     /*  232198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  232215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232237 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232254 */     GIR_RootConstrainSelectedInstOperands,
     /*  232255 */     // GIR_Coverage, 19986,
     /*  232255 */     GIR_EraseRootFromParent_Done,
     /*  232256 */   // Label 4830: @232256
     /*  232256 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(232319), // Rule ID 19987 //
     /*  232261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  232275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  232278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232317 */     GIR_RootConstrainSelectedInstOperands,
     /*  232318 */     // GIR_Coverage, 19987,
     /*  232318 */     GIR_EraseRootFromParent_Done,
     /*  232319 */   // Label 4831: @232319
     /*  232319 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(232382), // Rule ID 19990 //
     /*  232324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  232327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  232341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232363 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232380 */     GIR_RootConstrainSelectedInstOperands,
     /*  232381 */     // GIR_Coverage, 19990,
     /*  232381 */     GIR_EraseRootFromParent_Done,
     /*  232382 */   // Label 4832: @232382
     /*  232382 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(232445), // Rule ID 19991 //
     /*  232387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  232390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  232401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  232404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232426 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  232429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232443 */     GIR_RootConstrainSelectedInstOperands,
     /*  232444 */     // GIR_Coverage, 19991,
     /*  232444 */     GIR_EraseRootFromParent_Done,
     /*  232445 */   // Label 4833: @232445
     /*  232445 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(232508), // Rule ID 19994 //
     /*  232450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  232467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232506 */     GIR_RootConstrainSelectedInstOperands,
     /*  232507 */     // GIR_Coverage, 19994,
     /*  232507 */     GIR_EraseRootFromParent_Done,
     /*  232508 */   // Label 4834: @232508
     /*  232508 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(232571), // Rule ID 19995 //
     /*  232513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  232527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  232530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232569 */     GIR_RootConstrainSelectedInstOperands,
     /*  232570 */     // GIR_Coverage, 19995,
     /*  232570 */     GIR_EraseRootFromParent_Done,
     /*  232571 */   // Label 4835: @232571
     /*  232571 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(232634), // Rule ID 19998 //
     /*  232576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  232579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  232590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  232593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232615 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232632 */     GIR_RootConstrainSelectedInstOperands,
     /*  232633 */     // GIR_Coverage, 19998,
     /*  232633 */     GIR_EraseRootFromParent_Done,
     /*  232634 */   // Label 4836: @232634
     /*  232634 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(232697), // Rule ID 19999 //
     /*  232639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  232642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  232650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  232653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  232656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  232678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  232695 */     GIR_RootConstrainSelectedInstOperands,
     /*  232696 */     // GIR_Coverage, 19999,
     /*  232696 */     GIR_EraseRootFromParent_Done,
     /*  232697 */   // Label 4837: @232697
     /*  232697 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(232760), // Rule ID 20002 //
     /*  232702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  232705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  232716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  232719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  232741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232758 */     GIR_RootConstrainSelectedInstOperands,
     /*  232759 */     // GIR_Coverage, 20002,
     /*  232759 */     GIR_EraseRootFromParent_Done,
     /*  232760 */   // Label 4838: @232760
     /*  232760 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(232823), // Rule ID 20003 //
     /*  232765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  232768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  232776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  232779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  232782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232804 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  232807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232821 */     GIR_RootConstrainSelectedInstOperands,
     /*  232822 */     // GIR_Coverage, 20003,
     /*  232822 */     GIR_EraseRootFromParent_Done,
     /*  232823 */   // Label 4839: @232823
     /*  232823 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(232886), // Rule ID 20006 //
     /*  232828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  232845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232867 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  232870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232884 */     GIR_RootConstrainSelectedInstOperands,
     /*  232885 */     // GIR_Coverage, 20006,
     /*  232885 */     GIR_EraseRootFromParent_Done,
     /*  232886 */   // Label 4840: @232886
     /*  232886 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(232949), // Rule ID 20007 //
     /*  232891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  232894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  232908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  232933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  232939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232947 */     GIR_RootConstrainSelectedInstOperands,
     /*  232948 */     // GIR_Coverage, 20007,
     /*  232948 */     GIR_EraseRootFromParent_Done,
     /*  232949 */   // Label 4841: @232949
     /*  232949 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(233012), // Rule ID 20010 //
     /*  232954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  232957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  232962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  232971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232993 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  232996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233010 */     GIR_RootConstrainSelectedInstOperands,
     /*  233011 */     // GIR_Coverage, 20010,
     /*  233011 */     GIR_EraseRootFromParent_Done,
     /*  233012 */   // Label 4842: @233012
     /*  233012 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(233075), // Rule ID 20011 //
     /*  233017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  233020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  233031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  233034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233056 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233073 */     GIR_RootConstrainSelectedInstOperands,
     /*  233074 */     // GIR_Coverage, 20011,
     /*  233074 */     GIR_EraseRootFromParent_Done,
     /*  233075 */   // Label 4843: @233075
     /*  233075 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(233138), // Rule ID 20014 //
     /*  233080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  233083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  233094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  233097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233119 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  233119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233136 */     GIR_RootConstrainSelectedInstOperands,
     /*  233137 */     // GIR_Coverage, 20014,
     /*  233137 */     GIR_EraseRootFromParent_Done,
     /*  233138 */   // Label 4844: @233138
     /*  233138 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(233201), // Rule ID 20015 //
     /*  233143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  233146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  233154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  233157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  233160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233182 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  233182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  233199 */     GIR_RootConstrainSelectedInstOperands,
     /*  233200 */     // GIR_Coverage, 20015,
     /*  233200 */     GIR_EraseRootFromParent_Done,
     /*  233201 */   // Label 4845: @233201
     /*  233201 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(233264), // Rule ID 20018 //
     /*  233206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  233223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233262 */     GIR_RootConstrainSelectedInstOperands,
     /*  233263 */     // GIR_Coverage, 20018,
     /*  233263 */     GIR_EraseRootFromParent_Done,
     /*  233264 */   // Label 4846: @233264
     /*  233264 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(233327), // Rule ID 20019 //
     /*  233269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  233286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233325 */     GIR_RootConstrainSelectedInstOperands,
     /*  233326 */     // GIR_Coverage, 20019,
     /*  233326 */     GIR_EraseRootFromParent_Done,
     /*  233327 */   // Label 4847: @233327
     /*  233327 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(233390), // Rule ID 20022 //
     /*  233332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  233349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233388 */     GIR_RootConstrainSelectedInstOperands,
     /*  233389 */     // GIR_Coverage, 20022,
     /*  233389 */     GIR_EraseRootFromParent_Done,
     /*  233390 */   // Label 4848: @233390
     /*  233390 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(233453), // Rule ID 20023 //
     /*  233395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  233412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233451 */     GIR_RootConstrainSelectedInstOperands,
     /*  233452 */     // GIR_Coverage, 20023,
     /*  233452 */     GIR_EraseRootFromParent_Done,
     /*  233453 */   // Label 4849: @233453
     /*  233453 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(233516), // Rule ID 20026 //
     /*  233458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  233461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  233475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233497 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233514 */     GIR_RootConstrainSelectedInstOperands,
     /*  233515 */     // GIR_Coverage, 20026,
     /*  233515 */     GIR_EraseRootFromParent_Done,
     /*  233516 */   // Label 4850: @233516
     /*  233516 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(233579), // Rule ID 20027 //
     /*  233521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  233524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  233538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233577 */     GIR_RootConstrainSelectedInstOperands,
     /*  233578 */     // GIR_Coverage, 20027,
     /*  233578 */     GIR_EraseRootFromParent_Done,
     /*  233579 */   // Label 4851: @233579
     /*  233579 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(233642), // Rule ID 20030 //
     /*  233584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  233601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233623 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233640 */     GIR_RootConstrainSelectedInstOperands,
     /*  233641 */     // GIR_Coverage, 20030,
     /*  233641 */     GIR_EraseRootFromParent_Done,
     /*  233642 */   // Label 4852: @233642
     /*  233642 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(233705), // Rule ID 20031 //
     /*  233647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  233664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233686 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  233689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233703 */     GIR_RootConstrainSelectedInstOperands,
     /*  233704 */     // GIR_Coverage, 20031,
     /*  233704 */     GIR_EraseRootFromParent_Done,
     /*  233705 */   // Label 4853: @233705
     /*  233705 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(233768), // Rule ID 20034 //
     /*  233710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  233727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233766 */     GIR_RootConstrainSelectedInstOperands,
     /*  233767 */     // GIR_Coverage, 20034,
     /*  233767 */     GIR_EraseRootFromParent_Done,
     /*  233768 */   // Label 4854: @233768
     /*  233768 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(233831), // Rule ID 20035 //
     /*  233773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  233790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  233815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233829 */     GIR_RootConstrainSelectedInstOperands,
     /*  233830 */     // GIR_Coverage, 20035,
     /*  233830 */     GIR_EraseRootFromParent_Done,
     /*  233831 */   // Label 4855: @233831
     /*  233831 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(233894), // Rule ID 20038 //
     /*  233836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  233839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  233853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233875 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233892 */     GIR_RootConstrainSelectedInstOperands,
     /*  233893 */     // GIR_Coverage, 20038,
     /*  233893 */     GIR_EraseRootFromParent_Done,
     /*  233894 */   // Label 4856: @233894
     /*  233894 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(233957), // Rule ID 20039 //
     /*  233899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  233902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  233916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  233941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  233947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233955 */     GIR_RootConstrainSelectedInstOperands,
     /*  233956 */     // GIR_Coverage, 20039,
     /*  233956 */     GIR_EraseRootFromParent_Done,
     /*  233957 */   // Label 4857: @233957
     /*  233957 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(234020), // Rule ID 20042 //
     /*  233962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  233965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  233970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  233976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  233979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  233994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234001 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  234004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234018 */     GIR_RootConstrainSelectedInstOperands,
     /*  234019 */     // GIR_Coverage, 20042,
     /*  234019 */     GIR_EraseRootFromParent_Done,
     /*  234020 */   // Label 4858: @234020
     /*  234020 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(234083), // Rule ID 20043 //
     /*  234025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234064 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  234067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234081 */     GIR_RootConstrainSelectedInstOperands,
     /*  234082 */     // GIR_Coverage, 20043,
     /*  234082 */     GIR_EraseRootFromParent_Done,
     /*  234083 */   // Label 4859: @234083
     /*  234083 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(234146), // Rule ID 20046 //
     /*  234088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234127 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  234130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234144 */     GIR_RootConstrainSelectedInstOperands,
     /*  234145 */     // GIR_Coverage, 20046,
     /*  234145 */     GIR_EraseRootFromParent_Done,
     /*  234146 */   // Label 4860: @234146
     /*  234146 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(234209), // Rule ID 20047 //
     /*  234151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  234193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234207 */     GIR_RootConstrainSelectedInstOperands,
     /*  234208 */     // GIR_Coverage, 20047,
     /*  234208 */     GIR_EraseRootFromParent_Done,
     /*  234209 */   // Label 4861: @234209
     /*  234209 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(234272), // Rule ID 20050 //
     /*  234214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  234217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234253 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  234256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234270 */     GIR_RootConstrainSelectedInstOperands,
     /*  234271 */     // GIR_Coverage, 20050,
     /*  234271 */     GIR_EraseRootFromParent_Done,
     /*  234272 */   // Label 4862: @234272
     /*  234272 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(234335), // Rule ID 20051 //
     /*  234277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  234280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234316 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  234319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234333 */     GIR_RootConstrainSelectedInstOperands,
     /*  234334 */     // GIR_Coverage, 20051,
     /*  234334 */     GIR_EraseRootFromParent_Done,
     /*  234335 */   // Label 4863: @234335
     /*  234335 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(234398), // Rule ID 20054 //
     /*  234340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  234382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234396 */     GIR_RootConstrainSelectedInstOperands,
     /*  234397 */     // GIR_Coverage, 20054,
     /*  234397 */     GIR_EraseRootFromParent_Done,
     /*  234398 */   // Label 4864: @234398
     /*  234398 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(234461), // Rule ID 20055 //
     /*  234403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  234445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234459 */     GIR_RootConstrainSelectedInstOperands,
     /*  234460 */     // GIR_Coverage, 20055,
     /*  234460 */     GIR_EraseRootFromParent_Done,
     /*  234461 */   // Label 4865: @234461
     /*  234461 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(234524), // Rule ID 20058 //
     /*  234466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  234469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234505 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  234508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234522 */     GIR_RootConstrainSelectedInstOperands,
     /*  234523 */     // GIR_Coverage, 20058,
     /*  234523 */     GIR_EraseRootFromParent_Done,
     /*  234524 */   // Label 4866: @234524
     /*  234524 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(234587), // Rule ID 20059 //
     /*  234529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  234532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  234543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  234561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234568 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  234571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234585 */     GIR_RootConstrainSelectedInstOperands,
     /*  234586 */     // GIR_Coverage, 20059,
     /*  234586 */     GIR_EraseRootFromParent_Done,
     /*  234587 */   // Label 4867: @234587
     /*  234587 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(234650), // Rule ID 20062 //
     /*  234592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  234595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  234624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  234631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  234634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234648 */     GIR_RootConstrainSelectedInstOperands,
     /*  234649 */     // GIR_Coverage, 20062,
     /*  234649 */     GIR_EraseRootFromParent_Done,
     /*  234650 */   // Label 4868: @234650
     /*  234650 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(234713), // Rule ID 20063 //
     /*  234655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  234658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  234669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  234687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11064:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  234694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  234697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  234711 */     GIR_RootConstrainSelectedInstOperands,
     /*  234712 */     // GIR_Coverage, 20063,
     /*  234712 */     GIR_EraseRootFromParent_Done,
     /*  234713 */   // Label 4869: @234713
     /*  234713 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(234776), // Rule ID 20066 //
     /*  234718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234757 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  234760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234774 */     GIR_RootConstrainSelectedInstOperands,
     /*  234775 */     // GIR_Coverage, 20066,
     /*  234775 */     GIR_EraseRootFromParent_Done,
     /*  234776 */   // Label 4870: @234776
     /*  234776 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(234839), // Rule ID 20067 //
     /*  234781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  234795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  234809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234820 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  234823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234837 */     GIR_RootConstrainSelectedInstOperands,
     /*  234838 */     // GIR_Coverage, 20067,
     /*  234838 */     GIR_EraseRootFromParent_Done,
     /*  234839 */   // Label 4871: @234839
     /*  234839 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(234902), // Rule ID 20070 //
     /*  234844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234883 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  234886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234900 */     GIR_RootConstrainSelectedInstOperands,
     /*  234901 */     // GIR_Coverage, 20070,
     /*  234901 */     GIR_EraseRootFromParent_Done,
     /*  234902 */   // Label 4872: @234902
     /*  234902 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(234965), // Rule ID 20071 //
     /*  234907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  234910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  234918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  234921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  234935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  234939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234946 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  234949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  234955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234963 */     GIR_RootConstrainSelectedInstOperands,
     /*  234964 */     // GIR_Coverage, 20071,
     /*  234964 */     GIR_EraseRootFromParent_Done,
     /*  234965 */   // Label 4873: @234965
     /*  234965 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(235028), // Rule ID 20074 //
     /*  234970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  234973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  234978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  234981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  234984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  234987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  234998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235009 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  235012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235026 */     GIR_RootConstrainSelectedInstOperands,
     /*  235027 */     // GIR_Coverage, 20074,
     /*  235027 */     GIR_EraseRootFromParent_Done,
     /*  235028 */   // Label 4874: @235028
     /*  235028 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(235091), // Rule ID 20075 //
     /*  235033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  235036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  235047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235072 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  235075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235089 */     GIR_RootConstrainSelectedInstOperands,
     /*  235090 */     // GIR_Coverage, 20075,
     /*  235090 */     GIR_EraseRootFromParent_Done,
     /*  235091 */   // Label 4875: @235091
     /*  235091 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(235154), // Rule ID 20078 //
     /*  235096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  235138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235152 */     GIR_RootConstrainSelectedInstOperands,
     /*  235153 */     // GIR_Coverage, 20078,
     /*  235153 */     GIR_EraseRootFromParent_Done,
     /*  235154 */   // Label 4876: @235154
     /*  235154 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(235217), // Rule ID 20079 //
     /*  235159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  235173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  235201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235215 */     GIR_RootConstrainSelectedInstOperands,
     /*  235216 */     // GIR_Coverage, 20079,
     /*  235216 */     GIR_EraseRootFromParent_Done,
     /*  235217 */   // Label 4877: @235217
     /*  235217 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(235280), // Rule ID 20082 //
     /*  235222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  235264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235278 */     GIR_RootConstrainSelectedInstOperands,
     /*  235279 */     // GIR_Coverage, 20082,
     /*  235279 */     GIR_EraseRootFromParent_Done,
     /*  235280 */   // Label 4878: @235280
     /*  235280 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(235343), // Rule ID 20083 //
     /*  235285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  235299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  235327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235341 */     GIR_RootConstrainSelectedInstOperands,
     /*  235342 */     // GIR_Coverage, 20083,
     /*  235342 */     GIR_EraseRootFromParent_Done,
     /*  235343 */   // Label 4879: @235343
     /*  235343 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(235406), // Rule ID 20086 //
     /*  235348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  235351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235387 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  235390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235404 */     GIR_RootConstrainSelectedInstOperands,
     /*  235405 */     // GIR_Coverage, 20086,
     /*  235405 */     GIR_EraseRootFromParent_Done,
     /*  235406 */   // Label 4880: @235406
     /*  235406 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(235469), // Rule ID 20087 //
     /*  235411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  235414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  235425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  235443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  235453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235467 */     GIR_RootConstrainSelectedInstOperands,
     /*  235468 */     // GIR_Coverage, 20087,
     /*  235468 */     GIR_EraseRootFromParent_Done,
     /*  235469 */   // Label 4881: @235469
     /*  235469 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(235532), // Rule ID 20090 //
     /*  235474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  235516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235530 */     GIR_RootConstrainSelectedInstOperands,
     /*  235531 */     // GIR_Coverage, 20090,
     /*  235531 */     GIR_EraseRootFromParent_Done,
     /*  235532 */   // Label 4882: @235532
     /*  235532 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(235595), // Rule ID 20091 //
     /*  235537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  235551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11064:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  235579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235593 */     GIR_RootConstrainSelectedInstOperands,
     /*  235594 */     // GIR_Coverage, 20091,
     /*  235594 */     GIR_EraseRootFromParent_Done,
     /*  235595 */   // Label 4883: @235595
     /*  235595 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(235658), // Rule ID 20094 //
     /*  235600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  235642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235656 */     GIR_RootConstrainSelectedInstOperands,
     /*  235657 */     // GIR_Coverage, 20094,
     /*  235657 */     GIR_EraseRootFromParent_Done,
     /*  235658 */   // Label 4884: @235658
     /*  235658 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(235721), // Rule ID 20095 //
     /*  235663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  235674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  235677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235702 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11064:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  235705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235719 */     GIR_RootConstrainSelectedInstOperands,
     /*  235720 */     // GIR_Coverage, 20095,
     /*  235720 */     GIR_EraseRootFromParent_Done,
     /*  235721 */   // Label 4885: @235721
     /*  235721 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(235784), // Rule ID 20098 //
     /*  235726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  235729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  235768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235782 */     GIR_RootConstrainSelectedInstOperands,
     /*  235783 */     // GIR_Coverage, 20098,
     /*  235783 */     GIR_EraseRootFromParent_Done,
     /*  235784 */   // Label 4886: @235784
     /*  235784 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(235847), // Rule ID 20099 //
     /*  235789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  235792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  235797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  235803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  235821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11064:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  235831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235845 */     GIR_RootConstrainSelectedInstOperands,
     /*  235846 */     // GIR_Coverage, 20099,
     /*  235846 */     GIR_EraseRootFromParent_Done,
     /*  235847 */   // Label 4887: @235847
     /*  235847 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(235910), // Rule ID 20102 //
     /*  235852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  235855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235891 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  235894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235908 */     GIR_RootConstrainSelectedInstOperands,
     /*  235909 */     // GIR_Coverage, 20102,
     /*  235909 */     GIR_EraseRootFromParent_Done,
     /*  235910 */   // Label 4888: @235910
     /*  235910 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(235973), // Rule ID 20103 //
     /*  235915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  235918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  235929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  235947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  235957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  235963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235971 */     GIR_RootConstrainSelectedInstOperands,
     /*  235972 */     // GIR_Coverage, 20103,
     /*  235972 */     GIR_EraseRootFromParent_Done,
     /*  235973 */   // Label 4889: @235973
     /*  235973 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(236036), // Rule ID 20106 //
     /*  235978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  235981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  235986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  235992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  235995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  236020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236034 */     GIR_RootConstrainSelectedInstOperands,
     /*  236035 */     // GIR_Coverage, 20106,
     /*  236035 */     GIR_EraseRootFromParent_Done,
     /*  236036 */   // Label 4890: @236036
     /*  236036 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(236099), // Rule ID 20107 //
     /*  236041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  236055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  236083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236097 */     GIR_RootConstrainSelectedInstOperands,
     /*  236098 */     // GIR_Coverage, 20107,
     /*  236098 */     GIR_EraseRootFromParent_Done,
     /*  236099 */   // Label 4891: @236099
     /*  236099 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(236162), // Rule ID 20110 //
     /*  236104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  236146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236160 */     GIR_RootConstrainSelectedInstOperands,
     /*  236161 */     // GIR_Coverage, 20110,
     /*  236161 */     GIR_EraseRootFromParent_Done,
     /*  236162 */   // Label 4892: @236162
     /*  236162 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(236225), // Rule ID 20111 //
     /*  236167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  236170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  236181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236206 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  236209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236223 */     GIR_RootConstrainSelectedInstOperands,
     /*  236224 */     // GIR_Coverage, 20111,
     /*  236224 */     GIR_EraseRootFromParent_Done,
     /*  236225 */   // Label 4893: @236225
     /*  236225 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(236288), // Rule ID 20114 //
     /*  236230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  236272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236286 */     GIR_RootConstrainSelectedInstOperands,
     /*  236287 */     // GIR_Coverage, 20114,
     /*  236287 */     GIR_EraseRootFromParent_Done,
     /*  236288 */   // Label 4894: @236288
     /*  236288 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(236351), // Rule ID 20115 //
     /*  236293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  236307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236332 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  236335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236349 */     GIR_RootConstrainSelectedInstOperands,
     /*  236350 */     // GIR_Coverage, 20115,
     /*  236350 */     GIR_EraseRootFromParent_Done,
     /*  236351 */   // Label 4895: @236351
     /*  236351 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(236414), // Rule ID 20118 //
     /*  236356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236395 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  236398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236412 */     GIR_RootConstrainSelectedInstOperands,
     /*  236413 */     // GIR_Coverage, 20118,
     /*  236413 */     GIR_EraseRootFromParent_Done,
     /*  236414 */   // Label 4896: @236414
     /*  236414 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(236477), // Rule ID 20119 //
     /*  236419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  236422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  236433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  236451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  236461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236475 */     GIR_RootConstrainSelectedInstOperands,
     /*  236476 */     // GIR_Coverage, 20119,
     /*  236476 */     GIR_EraseRootFromParent_Done,
     /*  236477 */   // Label 4897: @236477
     /*  236477 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(236540), // Rule ID 20122 //
     /*  236482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  236485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  236514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  236524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236538 */     GIR_RootConstrainSelectedInstOperands,
     /*  236539 */     // GIR_Coverage, 20122,
     /*  236539 */     GIR_EraseRootFromParent_Done,
     /*  236540 */   // Label 4898: @236540
     /*  236540 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(236603), // Rule ID 20123 //
     /*  236545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  236548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  236556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  236559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  236577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236584 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  236587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236601 */     GIR_RootConstrainSelectedInstOperands,
     /*  236602 */     // GIR_Coverage, 20123,
     /*  236602 */     GIR_EraseRootFromParent_Done,
     /*  236603 */   // Label 4899: @236603
     /*  236603 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(236666), // Rule ID 20126 //
     /*  236608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  236622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  236650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236664 */     GIR_RootConstrainSelectedInstOperands,
     /*  236665 */     // GIR_Coverage, 20126,
     /*  236665 */     GIR_EraseRootFromParent_Done,
     /*  236666 */   // Label 4900: @236666
     /*  236666 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(236729), // Rule ID 20127 //
     /*  236671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  236685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  236713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236727 */     GIR_RootConstrainSelectedInstOperands,
     /*  236728 */     // GIR_Coverage, 20127,
     /*  236728 */     GIR_EraseRootFromParent_Done,
     /*  236729 */   // Label 4901: @236729
     /*  236729 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(236792), // Rule ID 20130 //
     /*  236734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  236748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  236776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236790 */     GIR_RootConstrainSelectedInstOperands,
     /*  236791 */     // GIR_Coverage, 20130,
     /*  236791 */     GIR_EraseRootFromParent_Done,
     /*  236792 */   // Label 4902: @236792
     /*  236792 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(236855), // Rule ID 20131 //
     /*  236797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  236811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236836 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  236839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236853 */     GIR_RootConstrainSelectedInstOperands,
     /*  236854 */     // GIR_Coverage, 20131,
     /*  236854 */     GIR_EraseRootFromParent_Done,
     /*  236855 */   // Label 4903: @236855
     /*  236855 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(236918), // Rule ID 20134 //
     /*  236860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  236863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236899 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  236902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236916 */     GIR_RootConstrainSelectedInstOperands,
     /*  236917 */     // GIR_Coverage, 20134,
     /*  236917 */     GIR_EraseRootFromParent_Done,
     /*  236918 */   // Label 4904: @236918
     /*  236918 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(236981), // Rule ID 20135 //
     /*  236923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  236926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  236940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  236955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236962 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  236965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  236971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236979 */     GIR_RootConstrainSelectedInstOperands,
     /*  236980 */     // GIR_Coverage, 20135,
     /*  236980 */     GIR_EraseRootFromParent_Done,
     /*  236981 */   // Label 4905: @236981
     /*  236981 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(237044), // Rule ID 20138 //
     /*  236986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  236989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  236994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  237028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237042 */     GIR_RootConstrainSelectedInstOperands,
     /*  237043 */     // GIR_Coverage, 20138,
     /*  237043 */     GIR_EraseRootFromParent_Done,
     /*  237044 */   // Label 4906: @237044
     /*  237044 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(237107), // Rule ID 20139 //
     /*  237049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  237063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  237091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237105 */     GIR_RootConstrainSelectedInstOperands,
     /*  237106 */     // GIR_Coverage, 20139,
     /*  237106 */     GIR_EraseRootFromParent_Done,
     /*  237107 */   // Label 4907: @237107
     /*  237107 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(237170), // Rule ID 20142 //
     /*  237112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  237154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237168 */     GIR_RootConstrainSelectedInstOperands,
     /*  237169 */     // GIR_Coverage, 20142,
     /*  237169 */     GIR_EraseRootFromParent_Done,
     /*  237170 */   // Label 4908: @237170
     /*  237170 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(237233), // Rule ID 20143 //
     /*  237175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  237189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  237217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237231 */     GIR_RootConstrainSelectedInstOperands,
     /*  237232 */     // GIR_Coverage, 20143,
     /*  237232 */     GIR_EraseRootFromParent_Done,
     /*  237233 */   // Label 4909: @237233
     /*  237233 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(237296), // Rule ID 20146 //
     /*  237238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237277 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  237280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237294 */     GIR_RootConstrainSelectedInstOperands,
     /*  237295 */     // GIR_Coverage, 20146,
     /*  237295 */     GIR_EraseRootFromParent_Done,
     /*  237296 */   // Label 4910: @237296
     /*  237296 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(237359), // Rule ID 20147 //
     /*  237301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  237304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  237312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  237315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  237333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  237343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237357 */     GIR_RootConstrainSelectedInstOperands,
     /*  237358 */     // GIR_Coverage, 20147,
     /*  237358 */     GIR_EraseRootFromParent_Done,
     /*  237359 */   // Label 4911: @237359
     /*  237359 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(237422), // Rule ID 20150 //
     /*  237364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  237406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237420 */     GIR_RootConstrainSelectedInstOperands,
     /*  237421 */     // GIR_Coverage, 20150,
     /*  237421 */     GIR_EraseRootFromParent_Done,
     /*  237422 */   // Label 4912: @237422
     /*  237422 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(237485), // Rule ID 20151 //
     /*  237427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  237441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  237455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  237469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237483 */     GIR_RootConstrainSelectedInstOperands,
     /*  237484 */     // GIR_Coverage, 20151,
     /*  237484 */     GIR_EraseRootFromParent_Done,
     /*  237485 */   // Label 4913: @237485
     /*  237485 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(237548), // Rule ID 20154 //
     /*  237490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  237504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237529 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  237532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237546 */     GIR_RootConstrainSelectedInstOperands,
     /*  237547 */     // GIR_Coverage, 20154,
     /*  237547 */     GIR_EraseRootFromParent_Done,
     /*  237548 */   // Label 4914: @237548
     /*  237548 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(237611), // Rule ID 20155 //
     /*  237553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  237567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  237581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  237595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237609 */     GIR_RootConstrainSelectedInstOperands,
     /*  237610 */     // GIR_Coverage, 20155,
     /*  237610 */     GIR_EraseRootFromParent_Done,
     /*  237611 */   // Label 4915: @237611
     /*  237611 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(237674), // Rule ID 20158 //
     /*  237616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  237619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  237655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  237658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237672 */     GIR_RootConstrainSelectedInstOperands,
     /*  237673 */     // GIR_Coverage, 20158,
     /*  237673 */     GIR_EraseRootFromParent_Done,
     /*  237674 */   // Label 4916: @237674
     /*  237674 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(237737), // Rule ID 20159 //
     /*  237679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  237682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  237687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  237711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  237721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237735 */     GIR_RootConstrainSelectedInstOperands,
     /*  237736 */     // GIR_Coverage, 20159,
     /*  237736 */     GIR_EraseRootFromParent_Done,
     /*  237737 */   // Label 4917: @237737
     /*  237737 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(237800), // Rule ID 20162 //
     /*  237742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  237745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  237784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237798 */     GIR_RootConstrainSelectedInstOperands,
     /*  237799 */     // GIR_Coverage, 20162,
     /*  237799 */     GIR_EraseRootFromParent_Done,
     /*  237800 */   // Label 4918: @237800
     /*  237800 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(237863), // Rule ID 20163 //
     /*  237805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  237808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237844 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  237847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237861 */     GIR_RootConstrainSelectedInstOperands,
     /*  237862 */     // GIR_Coverage, 20163,
     /*  237862 */     GIR_EraseRootFromParent_Done,
     /*  237863 */   // Label 4919: @237863
     /*  237863 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(237926), // Rule ID 20166 //
     /*  237868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  237871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  237910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237924 */     GIR_RootConstrainSelectedInstOperands,
     /*  237925 */     // GIR_Coverage, 20166,
     /*  237925 */     GIR_EraseRootFromParent_Done,
     /*  237926 */   // Label 4920: @237926
     /*  237926 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(237989), // Rule ID 20167 //
     /*  237931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  237934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  237939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  237948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  237963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  237973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  237979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237987 */     GIR_RootConstrainSelectedInstOperands,
     /*  237988 */     // GIR_Coverage, 20167,
     /*  237988 */     GIR_EraseRootFromParent_Done,
     /*  237989 */   // Label 4921: @237989
     /*  237989 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(238052), // Rule ID 20170 //
     /*  237994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  237997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  238008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  238036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238050 */     GIR_RootConstrainSelectedInstOperands,
     /*  238051 */     // GIR_Coverage, 20170,
     /*  238051 */     GIR_EraseRootFromParent_Done,
     /*  238052 */   // Label 4922: @238052
     /*  238052 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(238115), // Rule ID 20171 //
     /*  238057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  238071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  238099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238113 */     GIR_RootConstrainSelectedInstOperands,
     /*  238114 */     // GIR_Coverage, 20171,
     /*  238114 */     GIR_EraseRootFromParent_Done,
     /*  238115 */   // Label 4923: @238115
     /*  238115 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(238178), // Rule ID 20174 //
     /*  238120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238159 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  238162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238176 */     GIR_RootConstrainSelectedInstOperands,
     /*  238177 */     // GIR_Coverage, 20174,
     /*  238177 */     GIR_EraseRootFromParent_Done,
     /*  238178 */   // Label 4924: @238178
     /*  238178 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(238241), // Rule ID 20175 //
     /*  238183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  238225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238239 */     GIR_RootConstrainSelectedInstOperands,
     /*  238240 */     // GIR_Coverage, 20175,
     /*  238240 */     GIR_EraseRootFromParent_Done,
     /*  238241 */   // Label 4925: @238241
     /*  238241 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(238304), // Rule ID 20178 //
     /*  238246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  238249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  238288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238302 */     GIR_RootConstrainSelectedInstOperands,
     /*  238303 */     // GIR_Coverage, 20178,
     /*  238303 */     GIR_EraseRootFromParent_Done,
     /*  238304 */   // Label 4926: @238304
     /*  238304 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(238367), // Rule ID 20179 //
     /*  238309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  238351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238365 */     GIR_RootConstrainSelectedInstOperands,
     /*  238366 */     // GIR_Coverage, 20179,
     /*  238366 */     GIR_EraseRootFromParent_Done,
     /*  238367 */   // Label 4927: @238367
     /*  238367 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(238430), // Rule ID 20182 //
     /*  238372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  238375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  238404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  238414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238428 */     GIR_RootConstrainSelectedInstOperands,
     /*  238429 */     // GIR_Coverage, 20182,
     /*  238429 */     GIR_EraseRootFromParent_Done,
     /*  238430 */   // Label 4928: @238430
     /*  238430 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(238493), // Rule ID 20183 //
     /*  238435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  238438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  238467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238474 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  238477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238491 */     GIR_RootConstrainSelectedInstOperands,
     /*  238492 */     // GIR_Coverage, 20183,
     /*  238492 */     GIR_EraseRootFromParent_Done,
     /*  238493 */   // Label 4929: @238493
     /*  238493 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(238556), // Rule ID 20186 //
     /*  238498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  238540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238554 */     GIR_RootConstrainSelectedInstOperands,
     /*  238555 */     // GIR_Coverage, 20186,
     /*  238555 */     GIR_EraseRootFromParent_Done,
     /*  238556 */   // Label 4930: @238556
     /*  238556 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(238619), // Rule ID 20187 //
     /*  238561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  238575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238600 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  238603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238617 */     GIR_RootConstrainSelectedInstOperands,
     /*  238618 */     // GIR_Coverage, 20187,
     /*  238618 */     GIR_EraseRootFromParent_Done,
     /*  238619 */   // Label 4931: @238619
     /*  238619 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(238682), // Rule ID 20190 //
     /*  238624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238663 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  238666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238680 */     GIR_RootConstrainSelectedInstOperands,
     /*  238681 */     // GIR_Coverage, 20190,
     /*  238681 */     GIR_EraseRootFromParent_Done,
     /*  238682 */   // Label 4932: @238682
     /*  238682 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(238745), // Rule ID 20191 //
     /*  238687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  238701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  238729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238743 */     GIR_RootConstrainSelectedInstOperands,
     /*  238744 */     // GIR_Coverage, 20191,
     /*  238744 */     GIR_EraseRootFromParent_Done,
     /*  238745 */   // Label 4933: @238745
     /*  238745 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(238808), // Rule ID 20194 //
     /*  238750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  238753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238789 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  238792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238806 */     GIR_RootConstrainSelectedInstOperands,
     /*  238807 */     // GIR_Coverage, 20194,
     /*  238807 */     GIR_EraseRootFromParent_Done,
     /*  238808 */   // Label 4934: @238808
     /*  238808 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(238871), // Rule ID 20195 //
     /*  238813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  238816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  238827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  238830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  238845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238852 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  238855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238869 */     GIR_RootConstrainSelectedInstOperands,
     /*  238870 */     // GIR_Coverage, 20195,
     /*  238870 */     GIR_EraseRootFromParent_Done,
     /*  238871 */   // Label 4935: @238871
     /*  238871 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(238934), // Rule ID 20198 //
     /*  238876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  238879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238915 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  238918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238932 */     GIR_RootConstrainSelectedInstOperands,
     /*  238933 */     // GIR_Coverage, 20198,
     /*  238933 */     GIR_EraseRootFromParent_Done,
     /*  238934 */   // Label 4936: @238934
     /*  238934 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(238997), // Rule ID 20199 //
     /*  238939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  238942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  238947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  238953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  238971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  238981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  238987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238995 */     GIR_RootConstrainSelectedInstOperands,
     /*  238996 */     // GIR_Coverage, 20199,
     /*  238996 */     GIR_EraseRootFromParent_Done,
     /*  238997 */   // Label 4937: @238997
     /*  238997 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(239060), // Rule ID 20202 //
     /*  239002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  239005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239041 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  239044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239058 */     GIR_RootConstrainSelectedInstOperands,
     /*  239059 */     // GIR_Coverage, 20202,
     /*  239059 */     GIR_EraseRootFromParent_Done,
     /*  239060 */   // Label 4938: @239060
     /*  239060 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(239123), // Rule ID 20203 //
     /*  239065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  239107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239121 */     GIR_RootConstrainSelectedInstOperands,
     /*  239122 */     // GIR_Coverage, 20203,
     /*  239122 */     GIR_EraseRootFromParent_Done,
     /*  239123 */   // Label 4939: @239123
     /*  239123 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(239186), // Rule ID 20206 //
     /*  239128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  239131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239167 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  239170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239184 */     GIR_RootConstrainSelectedInstOperands,
     /*  239185 */     // GIR_Coverage, 20206,
     /*  239185 */     GIR_EraseRootFromParent_Done,
     /*  239186 */   // Label 4940: @239186
     /*  239186 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(239249), // Rule ID 20207 //
     /*  239191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  239223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  239233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239247 */     GIR_RootConstrainSelectedInstOperands,
     /*  239248 */     // GIR_Coverage, 20207,
     /*  239248 */     GIR_EraseRootFromParent_Done,
     /*  239249 */   // Label 4941: @239249
     /*  239249 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(239312), // Rule ID 20210 //
     /*  239254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239293 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  239296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239310 */     GIR_RootConstrainSelectedInstOperands,
     /*  239311 */     // GIR_Coverage, 20210,
     /*  239311 */     GIR_EraseRootFromParent_Done,
     /*  239312 */   // Label 4942: @239312
     /*  239312 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(239375), // Rule ID 20211 //
     /*  239317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  239359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239373 */     GIR_RootConstrainSelectedInstOperands,
     /*  239374 */     // GIR_Coverage, 20211,
     /*  239374 */     GIR_EraseRootFromParent_Done,
     /*  239375 */   // Label 4943: @239375
     /*  239375 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(239438), // Rule ID 20214 //
     /*  239380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239419 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  239422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239436 */     GIR_RootConstrainSelectedInstOperands,
     /*  239437 */     // GIR_Coverage, 20214,
     /*  239437 */     GIR_EraseRootFromParent_Done,
     /*  239438 */   // Label 4944: @239438
     /*  239438 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(239501), // Rule ID 20215 //
     /*  239443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  239457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  239485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239499 */     GIR_RootConstrainSelectedInstOperands,
     /*  239500 */     // GIR_Coverage, 20215,
     /*  239500 */     GIR_EraseRootFromParent_Done,
     /*  239501 */   // Label 4945: @239501
     /*  239501 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(239564), // Rule ID 20218 //
     /*  239506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  239509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  239548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239562 */     GIR_RootConstrainSelectedInstOperands,
     /*  239563 */     // GIR_Coverage, 20218,
     /*  239563 */     GIR_EraseRootFromParent_Done,
     /*  239564 */   // Label 4946: @239564
     /*  239564 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(239627), // Rule ID 20219 //
     /*  239569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  239572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  239577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  239583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  239601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  239608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  239611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  239617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239625 */     GIR_RootConstrainSelectedInstOperands,
     /*  239626 */     // GIR_Coverage, 20219,
     /*  239626 */     GIR_EraseRootFromParent_Done,
     /*  239627 */   // Label 4947: @239627
     /*  239627 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(239690), // Rule ID 20222 //
     /*  239632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239671 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  239674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239688 */     GIR_RootConstrainSelectedInstOperands,
     /*  239689 */     // GIR_Coverage, 20222,
     /*  239689 */     GIR_EraseRootFromParent_Done,
     /*  239690 */   // Label 4948: @239690
     /*  239690 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(239753), // Rule ID 20223 //
     /*  239695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  239709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  239712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239734 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  239737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239751 */     GIR_RootConstrainSelectedInstOperands,
     /*  239752 */     // GIR_Coverage, 20223,
     /*  239752 */     GIR_EraseRootFromParent_Done,
     /*  239753 */   // Label 4949: @239753
     /*  239753 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(239816), // Rule ID 20226 //
     /*  239758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  239761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239814 */     GIR_RootConstrainSelectedInstOperands,
     /*  239815 */     // GIR_Coverage, 20226,
     /*  239815 */     GIR_EraseRootFromParent_Done,
     /*  239816 */   // Label 4950: @239816
     /*  239816 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(239879), // Rule ID 20227 //
     /*  239821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  239824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  239835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  239838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239877 */     GIR_RootConstrainSelectedInstOperands,
     /*  239878 */     // GIR_Coverage, 20227,
     /*  239878 */     GIR_EraseRootFromParent_Done,
     /*  239879 */   // Label 4951: @239879
     /*  239879 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(239942), // Rule ID 20230 //
     /*  239884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  239887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239940 */     GIR_RootConstrainSelectedInstOperands,
     /*  239941 */     // GIR_Coverage, 20230,
     /*  239941 */     GIR_EraseRootFromParent_Done,
     /*  239942 */   // Label 4952: @239942
     /*  239942 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(240005), // Rule ID 20231 //
     /*  239947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  239950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  239955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  239958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  239961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  239964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239986 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  239989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  239993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  239995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240003 */     GIR_RootConstrainSelectedInstOperands,
     /*  240004 */     // GIR_Coverage, 20231,
     /*  240004 */     GIR_EraseRootFromParent_Done,
     /*  240005 */   // Label 4953: @240005
     /*  240005 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(240068), // Rule ID 20234 //
     /*  240010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240066 */     GIR_RootConstrainSelectedInstOperands,
     /*  240067 */     // GIR_Coverage, 20234,
     /*  240067 */     GIR_EraseRootFromParent_Done,
     /*  240068 */   // Label 4954: @240068
     /*  240068 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(240131), // Rule ID 20235 //
     /*  240073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  240087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  240090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240112 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240129 */     GIR_RootConstrainSelectedInstOperands,
     /*  240130 */     // GIR_Coverage, 20235,
     /*  240130 */     GIR_EraseRootFromParent_Done,
     /*  240131 */   // Label 4955: @240131
     /*  240131 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(240194), // Rule ID 20238 //
     /*  240136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  240153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240192 */     GIR_RootConstrainSelectedInstOperands,
     /*  240193 */     // GIR_Coverage, 20238,
     /*  240193 */     GIR_EraseRootFromParent_Done,
     /*  240194 */   // Label 4956: @240194
     /*  240194 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(240257), // Rule ID 20239 //
     /*  240199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  240213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  240216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240238 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240255 */     GIR_RootConstrainSelectedInstOperands,
     /*  240256 */     // GIR_Coverage, 20239,
     /*  240256 */     GIR_EraseRootFromParent_Done,
     /*  240257 */   // Label 4957: @240257
     /*  240257 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(240320), // Rule ID 20242 //
     /*  240262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  240265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  240279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  240301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240318 */     GIR_RootConstrainSelectedInstOperands,
     /*  240319 */     // GIR_Coverage, 20242,
     /*  240319 */     GIR_EraseRootFromParent_Done,
     /*  240320 */   // Label 4958: @240320
     /*  240320 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(240383), // Rule ID 20243 //
     /*  240325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  240328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  240339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  240342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11058:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  240364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  240367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240381 */     GIR_RootConstrainSelectedInstOperands,
     /*  240382 */     // GIR_Coverage, 20243,
     /*  240382 */     GIR_EraseRootFromParent_Done,
     /*  240383 */   // Label 4959: @240383
     /*  240383 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(240446), // Rule ID 20246 //
     /*  240388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240444 */     GIR_RootConstrainSelectedInstOperands,
     /*  240445 */     // GIR_Coverage, 20246,
     /*  240445 */     GIR_EraseRootFromParent_Done,
     /*  240446 */   // Label 4960: @240446
     /*  240446 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(240509), // Rule ID 20247 //
     /*  240451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  240465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  240468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240507 */     GIR_RootConstrainSelectedInstOperands,
     /*  240508 */     // GIR_Coverage, 20247,
     /*  240508 */     GIR_EraseRootFromParent_Done,
     /*  240509 */   // Label 4961: @240509
     /*  240509 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(240572), // Rule ID 20250 //
     /*  240514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  240525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240553 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240570 */     GIR_RootConstrainSelectedInstOperands,
     /*  240571 */     // GIR_Coverage, 20250,
     /*  240571 */     GIR_EraseRootFromParent_Done,
     /*  240572 */   // Label 4962: @240572
     /*  240572 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(240635), // Rule ID 20251 //
     /*  240577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  240588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  240591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  240594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240633 */     GIR_RootConstrainSelectedInstOperands,
     /*  240634 */     // GIR_Coverage, 20251,
     /*  240634 */     GIR_EraseRootFromParent_Done,
     /*  240635 */   // Label 4963: @240635
     /*  240635 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(240698), // Rule ID 20254 //
     /*  240640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  240643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  240651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  240657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240679 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  240682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240696 */     GIR_RootConstrainSelectedInstOperands,
     /*  240697 */     // GIR_Coverage, 20254,
     /*  240697 */     GIR_EraseRootFromParent_Done,
     /*  240698 */   // Label 4964: @240698
     /*  240698 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(240761), // Rule ID 20255 //
     /*  240703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  240706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  240714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  240717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  240720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240742 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  240745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240759 */     GIR_RootConstrainSelectedInstOperands,
     /*  240760 */     // GIR_Coverage, 20255,
     /*  240760 */     GIR_EraseRootFromParent_Done,
     /*  240761 */   // Label 4965: @240761
     /*  240761 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(240824), // Rule ID 20258 //
     /*  240766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  240783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240822 */     GIR_RootConstrainSelectedInstOperands,
     /*  240823 */     // GIR_Coverage, 20258,
     /*  240823 */     GIR_EraseRootFromParent_Done,
     /*  240824 */   // Label 4966: @240824
     /*  240824 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(240887), // Rule ID 20259 //
     /*  240829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  240843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  240846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  240861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  240871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240885 */     GIR_RootConstrainSelectedInstOperands,
     /*  240886 */     // GIR_Coverage, 20259,
     /*  240886 */     GIR_EraseRootFromParent_Done,
     /*  240887 */   // Label 4967: @240887
     /*  240887 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(240950), // Rule ID 20262 //
     /*  240892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  240895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240931 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  240931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  240938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  240940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  240948 */     GIR_RootConstrainSelectedInstOperands,
     /*  240949 */     // GIR_Coverage, 20262,
     /*  240949 */     GIR_EraseRootFromParent_Done,
     /*  240950 */   // Label 4968: @240950
     /*  240950 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(241013), // Rule ID 20263 //
     /*  240955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  240958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  240963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  240969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  240972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240994 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  240994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  240997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241011 */     GIR_RootConstrainSelectedInstOperands,
     /*  241012 */     // GIR_Coverage, 20263,
     /*  241012 */     GIR_EraseRootFromParent_Done,
     /*  241013 */   // Label 4969: @241013
     /*  241013 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(241076), // Rule ID 20266 //
     /*  241018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  241021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  241035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241057 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241074 */     GIR_RootConstrainSelectedInstOperands,
     /*  241075 */     // GIR_Coverage, 20266,
     /*  241075 */     GIR_EraseRootFromParent_Done,
     /*  241076 */   // Label 4970: @241076
     /*  241076 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(241139), // Rule ID 20267 //
     /*  241081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  241084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  241095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  241098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241137 */     GIR_RootConstrainSelectedInstOperands,
     /*  241138 */     // GIR_Coverage, 20267,
     /*  241138 */     GIR_EraseRootFromParent_Done,
     /*  241139 */   // Label 4971: @241139
     /*  241139 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(241202), // Rule ID 20270 //
     /*  241144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  241161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241183 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  241186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241200 */     GIR_RootConstrainSelectedInstOperands,
     /*  241201 */     // GIR_Coverage, 20270,
     /*  241201 */     GIR_EraseRootFromParent_Done,
     /*  241202 */   // Label 4972: @241202
     /*  241202 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(241265), // Rule ID 20271 //
     /*  241207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  241221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  241224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11058:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  241249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241263 */     GIR_RootConstrainSelectedInstOperands,
     /*  241264 */     // GIR_Coverage, 20271,
     /*  241264 */     GIR_EraseRootFromParent_Done,
     /*  241265 */   // Label 4973: @241265
     /*  241265 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(241328), // Rule ID 20274 //
     /*  241270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  241287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  241312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241326 */     GIR_RootConstrainSelectedInstOperands,
     /*  241327 */     // GIR_Coverage, 20274,
     /*  241327 */     GIR_EraseRootFromParent_Done,
     /*  241328 */   // Label 4974: @241328
     /*  241328 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(241391), // Rule ID 20275 //
     /*  241333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  241347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  241350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11058:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  241375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241389 */     GIR_RootConstrainSelectedInstOperands,
     /*  241390 */     // GIR_Coverage, 20275,
     /*  241390 */     GIR_EraseRootFromParent_Done,
     /*  241391 */   // Label 4975: @241391
     /*  241391 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(241454), // Rule ID 20278 //
     /*  241396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  241399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  241413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241435 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241452 */     GIR_RootConstrainSelectedInstOperands,
     /*  241453 */     // GIR_Coverage, 20278,
     /*  241453 */     GIR_EraseRootFromParent_Done,
     /*  241454 */   // Label 4976: @241454
     /*  241454 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(241517), // Rule ID 20279 //
     /*  241459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  241462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  241467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  241473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  241476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  241491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11058:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  241501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241515 */     GIR_RootConstrainSelectedInstOperands,
     /*  241516 */     // GIR_Coverage, 20279,
     /*  241516 */     GIR_EraseRootFromParent_Done,
     /*  241517 */   // Label 4977: @241517
     /*  241517 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(241580), // Rule ID 20282 //
     /*  241522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241561 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  241564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241578 */     GIR_RootConstrainSelectedInstOperands,
     /*  241579 */     // GIR_Coverage, 20282,
     /*  241579 */     GIR_EraseRootFromParent_Done,
     /*  241580 */   // Label 4978: @241580
     /*  241580 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(241643), // Rule ID 20283 //
     /*  241585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  241599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  241602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  241627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241641 */     GIR_RootConstrainSelectedInstOperands,
     /*  241642 */     // GIR_Coverage, 20283,
     /*  241642 */     GIR_EraseRootFromParent_Done,
     /*  241643 */   // Label 4979: @241643
     /*  241643 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(241706), // Rule ID 20286 //
     /*  241648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241687 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241704 */     GIR_RootConstrainSelectedInstOperands,
     /*  241705 */     // GIR_Coverage, 20286,
     /*  241705 */     GIR_EraseRootFromParent_Done,
     /*  241706 */   // Label 4980: @241706
     /*  241706 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(241769), // Rule ID 20287 //
     /*  241711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  241728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241767 */     GIR_RootConstrainSelectedInstOperands,
     /*  241768 */     // GIR_Coverage, 20287,
     /*  241768 */     GIR_EraseRootFromParent_Done,
     /*  241769 */   // Label 4981: @241769
     /*  241769 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(241832), // Rule ID 20290 //
     /*  241774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  241777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241813 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241830 */     GIR_RootConstrainSelectedInstOperands,
     /*  241831 */     // GIR_Coverage, 20290,
     /*  241831 */     GIR_EraseRootFromParent_Done,
     /*  241832 */   // Label 4982: @241832
     /*  241832 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(241895), // Rule ID 20291 //
     /*  241837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  241840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  241854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241876 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  241879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241893 */     GIR_RootConstrainSelectedInstOperands,
     /*  241894 */     // GIR_Coverage, 20291,
     /*  241894 */     GIR_EraseRootFromParent_Done,
     /*  241895 */   // Label 4983: @241895
     /*  241895 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(241958), // Rule ID 20294 //
     /*  241900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  241903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241939 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  241942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  241946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  241948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241956 */     GIR_RootConstrainSelectedInstOperands,
     /*  241957 */     // GIR_Coverage, 20294,
     /*  241957 */     GIR_EraseRootFromParent_Done,
     /*  241958 */   // Label 4984: @241958
     /*  241958 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(242021), // Rule ID 20295 //
     /*  241963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  241966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  241971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  241980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242019 */     GIR_RootConstrainSelectedInstOperands,
     /*  242020 */     // GIR_Coverage, 20295,
     /*  242020 */     GIR_EraseRootFromParent_Done,
     /*  242021 */   // Label 4985: @242021
     /*  242021 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(242084), // Rule ID 20298 //
     /*  242026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242065 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242082 */     GIR_RootConstrainSelectedInstOperands,
     /*  242083 */     // GIR_Coverage, 20298,
     /*  242083 */     GIR_EraseRootFromParent_Done,
     /*  242084 */   // Label 4986: @242084
     /*  242084 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(242147), // Rule ID 20299 //
     /*  242089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  242100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  242103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  242106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242145 */     GIR_RootConstrainSelectedInstOperands,
     /*  242146 */     // GIR_Coverage, 20299,
     /*  242146 */     GIR_EraseRootFromParent_Done,
     /*  242147 */   // Label 4987: @242147
     /*  242147 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(242210), // Rule ID 20302 //
     /*  242152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  242155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  242163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  242169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  242191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242208 */     GIR_RootConstrainSelectedInstOperands,
     /*  242209 */     // GIR_Coverage, 20302,
     /*  242209 */     GIR_EraseRootFromParent_Done,
     /*  242210 */   // Label 4988: @242210
     /*  242210 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(242273), // Rule ID 20303 //
     /*  242215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  242218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  242226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  242229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  242232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242254 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11056:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  242254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  242257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  242271 */     GIR_RootConstrainSelectedInstOperands,
     /*  242272 */     // GIR_Coverage, 20303,
     /*  242272 */     GIR_EraseRootFromParent_Done,
     /*  242273 */   // Label 4989: @242273
     /*  242273 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(242336), // Rule ID 20306 //
     /*  242278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242317 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242334 */     GIR_RootConstrainSelectedInstOperands,
     /*  242335 */     // GIR_Coverage, 20306,
     /*  242335 */     GIR_EraseRootFromParent_Done,
     /*  242336 */   // Label 4990: @242336
     /*  242336 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(242399), // Rule ID 20307 //
     /*  242341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  242358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242380 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242397 */     GIR_RootConstrainSelectedInstOperands,
     /*  242398 */     // GIR_Coverage, 20307,
     /*  242398 */     GIR_EraseRootFromParent_Done,
     /*  242399 */   // Label 4991: @242399
     /*  242399 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(242462), // Rule ID 20310 //
     /*  242404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242443 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242460 */     GIR_RootConstrainSelectedInstOperands,
     /*  242461 */     // GIR_Coverage, 20310,
     /*  242461 */     GIR_EraseRootFromParent_Done,
     /*  242462 */   // Label 4992: @242462
     /*  242462 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(242525), // Rule ID 20311 //
     /*  242467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  242484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242506 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242523 */     GIR_RootConstrainSelectedInstOperands,
     /*  242524 */     // GIR_Coverage, 20311,
     /*  242524 */     GIR_EraseRootFromParent_Done,
     /*  242525 */   // Label 4993: @242525
     /*  242525 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(242588), // Rule ID 20314 //
     /*  242530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  242533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242569 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242586 */     GIR_RootConstrainSelectedInstOperands,
     /*  242587 */     // GIR_Coverage, 20314,
     /*  242587 */     GIR_EraseRootFromParent_Done,
     /*  242588 */   // Label 4994: @242588
     /*  242588 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(242651), // Rule ID 20315 //
     /*  242593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  242596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  242610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242632 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242649 */     GIR_RootConstrainSelectedInstOperands,
     /*  242650 */     // GIR_Coverage, 20315,
     /*  242650 */     GIR_EraseRootFromParent_Done,
     /*  242651 */   // Label 4995: @242651
     /*  242651 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(242714), // Rule ID 20318 //
     /*  242656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242695 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242712 */     GIR_RootConstrainSelectedInstOperands,
     /*  242713 */     // GIR_Coverage, 20318,
     /*  242713 */     GIR_EraseRootFromParent_Done,
     /*  242714 */   // Label 4996: @242714
     /*  242714 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(242777), // Rule ID 20319 //
     /*  242719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  242736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  242761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242775 */     GIR_RootConstrainSelectedInstOperands,
     /*  242776 */     // GIR_Coverage, 20319,
     /*  242776 */     GIR_EraseRootFromParent_Done,
     /*  242777 */   // Label 4997: @242777
     /*  242777 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(242840), // Rule ID 20322 //
     /*  242782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242821 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242838 */     GIR_RootConstrainSelectedInstOperands,
     /*  242839 */     // GIR_Coverage, 20322,
     /*  242839 */     GIR_EraseRootFromParent_Done,
     /*  242840 */   // Label 4998: @242840
     /*  242840 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(242903), // Rule ID 20323 //
     /*  242845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  242862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  242887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242901 */     GIR_RootConstrainSelectedInstOperands,
     /*  242902 */     // GIR_Coverage, 20323,
     /*  242902 */     GIR_EraseRootFromParent_Done,
     /*  242903 */   // Label 4999: @242903
     /*  242903 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(242966), // Rule ID 20326 //
     /*  242908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  242911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  242925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  242950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  242954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  242956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242964 */     GIR_RootConstrainSelectedInstOperands,
     /*  242965 */     // GIR_Coverage, 20326,
     /*  242965 */     GIR_EraseRootFromParent_Done,
     /*  242966 */   // Label 5000: @242966
     /*  242966 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(243029), // Rule ID 20327 //
     /*  242971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  242974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  242979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  242985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  242988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243010 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  243010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  243013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243027 */     GIR_RootConstrainSelectedInstOperands,
     /*  243028 */     // GIR_Coverage, 20327,
     /*  243028 */     GIR_EraseRootFromParent_Done,
     /*  243029 */   // Label 5001: @243029
     /*  243029 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(243092), // Rule ID 20330 //
     /*  243034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  243076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243090 */     GIR_RootConstrainSelectedInstOperands,
     /*  243091 */     // GIR_Coverage, 20330,
     /*  243091 */     GIR_EraseRootFromParent_Done,
     /*  243092 */   // Label 5002: @243092
     /*  243092 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(243155), // Rule ID 20331 //
     /*  243097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  243114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11056:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  243139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243153 */     GIR_RootConstrainSelectedInstOperands,
     /*  243154 */     // GIR_Coverage, 20331,
     /*  243154 */     GIR_EraseRootFromParent_Done,
     /*  243155 */   // Label 5003: @243155
     /*  243155 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(243218), // Rule ID 20334 //
     /*  243160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  243202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243216 */     GIR_RootConstrainSelectedInstOperands,
     /*  243217 */     // GIR_Coverage, 20334,
     /*  243217 */     GIR_EraseRootFromParent_Done,
     /*  243218 */   // Label 5004: @243218
     /*  243218 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(243281), // Rule ID 20335 //
     /*  243223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  243240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243262 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11056:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  243265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243279 */     GIR_RootConstrainSelectedInstOperands,
     /*  243280 */     // GIR_Coverage, 20335,
     /*  243280 */     GIR_EraseRootFromParent_Done,
     /*  243281 */   // Label 5005: @243281
     /*  243281 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(243344), // Rule ID 20338 //
     /*  243286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  243289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243325 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  243328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243342 */     GIR_RootConstrainSelectedInstOperands,
     /*  243343 */     // GIR_Coverage, 20338,
     /*  243343 */     GIR_EraseRootFromParent_Done,
     /*  243344 */   // Label 5006: @243344
     /*  243344 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(243407), // Rule ID 20339 //
     /*  243349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  243352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  243357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  243366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11056:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  243391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  243395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  243397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243405 */     GIR_RootConstrainSelectedInstOperands,
     /*  243406 */     // GIR_Coverage, 20339,
     /*  243406 */     GIR_EraseRootFromParent_Done,
     /*  243407 */   // Label 5007: @243407
     /*  243407 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(243473), // Rule ID 20342 //
     /*  243412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  243415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243471 */     GIR_RootConstrainSelectedInstOperands,
     /*  243472 */     // GIR_Coverage, 20342,
     /*  243472 */     GIR_EraseRootFromParent_Done,
     /*  243473 */   // Label 5008: @243473
     /*  243473 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(243539), // Rule ID 20343 //
     /*  243478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  243481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  243489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  243492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  243495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243517 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243537 */     GIR_RootConstrainSelectedInstOperands,
     /*  243538 */     // GIR_Coverage, 20343,
     /*  243538 */     GIR_EraseRootFromParent_Done,
     /*  243539 */   // Label 5009: @243539
     /*  243539 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(243605), // Rule ID 20346 //
     /*  243544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  243547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243603 */     GIR_RootConstrainSelectedInstOperands,
     /*  243604 */     // GIR_Coverage, 20346,
     /*  243604 */     GIR_EraseRootFromParent_Done,
     /*  243605 */   // Label 5010: @243605
     /*  243605 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(243671), // Rule ID 20347 //
     /*  243610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  243613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  243621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  243624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  243627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243649 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  243652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243669 */     GIR_RootConstrainSelectedInstOperands,
     /*  243670 */     // GIR_Coverage, 20347,
     /*  243670 */     GIR_EraseRootFromParent_Done,
     /*  243671 */   // Label 5011: @243671
     /*  243671 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(243737), // Rule ID 20350 //
     /*  243676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  243679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243735 */     GIR_RootConstrainSelectedInstOperands,
     /*  243736 */     // GIR_Coverage, 20350,
     /*  243736 */     GIR_EraseRootFromParent_Done,
     /*  243737 */   // Label 5012: @243737
     /*  243737 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(243803), // Rule ID 20351 //
     /*  243742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  243745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  243753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  243756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  243759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243781 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10821:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  243781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243801 */     GIR_RootConstrainSelectedInstOperands,
     /*  243802 */     // GIR_Coverage, 20351,
     /*  243802 */     GIR_EraseRootFromParent_Done,
     /*  243803 */   // Label 5013: @243803
     /*  243803 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(243869), // Rule ID 20354 //
     /*  243808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  243811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  243819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  243822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10821:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  243847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243867 */     GIR_RootConstrainSelectedInstOperands,
     /*  243868 */     // GIR_Coverage, 20354,
     /*  243868 */     GIR_EraseRootFromParent_Done,
     /*  243869 */   // Label 5014: @243869
     /*  243869 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(243935), // Rule ID 20355 //
     /*  243874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  243877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  243885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  243888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  243891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10821:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  243913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243933 */     GIR_RootConstrainSelectedInstOperands,
     /*  243934 */     // GIR_Coverage, 20355,
     /*  243934 */     GIR_EraseRootFromParent_Done,
     /*  243935 */   // Label 5015: @243935
     /*  243935 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(244001), // Rule ID 20358 //
     /*  243940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  243943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  243948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  243951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  243954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  243957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243979 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  243979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  243982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243999 */     GIR_RootConstrainSelectedInstOperands,
     /*  244000 */     // GIR_Coverage, 20358,
     /*  244000 */     GIR_EraseRootFromParent_Done,
     /*  244001 */   // Label 5016: @244001
     /*  244001 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(244067), // Rule ID 20359 //
     /*  244006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  244009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  244017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  244020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  244023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10821:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  244048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244065 */     GIR_RootConstrainSelectedInstOperands,
     /*  244066 */     // GIR_Coverage, 20359,
     /*  244066 */     GIR_EraseRootFromParent_Done,
     /*  244067 */   // Label 5017: @244067
     /*  244067 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(244133), // Rule ID 20362 //
     /*  244072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244111 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244131 */     GIR_RootConstrainSelectedInstOperands,
     /*  244132 */     // GIR_Coverage, 20362,
     /*  244132 */     GIR_EraseRootFromParent_Done,
     /*  244133 */   // Label 5018: @244133
     /*  244133 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(244199), // Rule ID 20363 //
     /*  244138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  244149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  244152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  244155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244177 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244197 */     GIR_RootConstrainSelectedInstOperands,
     /*  244198 */     // GIR_Coverage, 20363,
     /*  244198 */     GIR_EraseRootFromParent_Done,
     /*  244199 */   // Label 5019: @244199
     /*  244199 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(244265), // Rule ID 20366 //
     /*  244204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244263 */     GIR_RootConstrainSelectedInstOperands,
     /*  244264 */     // GIR_Coverage, 20366,
     /*  244264 */     GIR_EraseRootFromParent_Done,
     /*  244265 */   // Label 5020: @244265
     /*  244265 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(244331), // Rule ID 20367 //
     /*  244270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  244281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  244284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  244287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244329 */     GIR_RootConstrainSelectedInstOperands,
     /*  244330 */     // GIR_Coverage, 20367,
     /*  244330 */     GIR_EraseRootFromParent_Done,
     /*  244331 */   // Label 5021: @244331
     /*  244331 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(244397), // Rule ID 20370 //
     /*  244336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  244353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244375 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244395 */     GIR_RootConstrainSelectedInstOperands,
     /*  244396 */     // GIR_Coverage, 20370,
     /*  244396 */     GIR_EraseRootFromParent_Done,
     /*  244397 */   // Label 5022: @244397
     /*  244397 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(244463), // Rule ID 20371 //
     /*  244402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  244413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  244416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  244419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244441 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244461 */     GIR_RootConstrainSelectedInstOperands,
     /*  244462 */     // GIR_Coverage, 20371,
     /*  244462 */     GIR_EraseRootFromParent_Done,
     /*  244463 */   // Label 5023: @244463
     /*  244463 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(244529), // Rule ID 20374 //
     /*  244468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244527 */     GIR_RootConstrainSelectedInstOperands,
     /*  244528 */     // GIR_Coverage, 20374,
     /*  244528 */     GIR_EraseRootFromParent_Done,
     /*  244529 */   // Label 5024: @244529
     /*  244529 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(244595), // Rule ID 20375 //
     /*  244534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  244545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  244548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  244551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244593 */     GIR_RootConstrainSelectedInstOperands,
     /*  244594 */     // GIR_Coverage, 20375,
     /*  244594 */     GIR_EraseRootFromParent_Done,
     /*  244595 */   // Label 5025: @244595
     /*  244595 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(244661), // Rule ID 20378 //
     /*  244600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  244617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244659 */     GIR_RootConstrainSelectedInstOperands,
     /*  244660 */     // GIR_Coverage, 20378,
     /*  244660 */     GIR_EraseRootFromParent_Done,
     /*  244661 */   // Label 5026: @244661
     /*  244661 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(244727), // Rule ID 20379 //
     /*  244666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  244677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  244680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  244683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  244698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  244708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244725 */     GIR_RootConstrainSelectedInstOperands,
     /*  244726 */     // GIR_Coverage, 20379,
     /*  244726 */     GIR_EraseRootFromParent_Done,
     /*  244727 */   // Label 5027: @244727
     /*  244727 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(244793), // Rule ID 20382 //
     /*  244732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  244735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  244749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  244771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244791 */     GIR_RootConstrainSelectedInstOperands,
     /*  244792 */     // GIR_Coverage, 20382,
     /*  244792 */     GIR_EraseRootFromParent_Done,
     /*  244793 */   // Label 5028: @244793
     /*  244793 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(244859), // Rule ID 20383 //
     /*  244798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  244801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  244809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  244812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  244815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  244830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244837 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  244837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  244840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  244854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244857 */     GIR_RootConstrainSelectedInstOperands,
     /*  244858 */     // GIR_Coverage, 20383,
     /*  244858 */     GIR_EraseRootFromParent_Done,
     /*  244859 */   // Label 5029: @244859
     /*  244859 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(244925), // Rule ID 20386 //
     /*  244864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  244867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  244881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244903 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  244903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244923 */     GIR_RootConstrainSelectedInstOperands,
     /*  244924 */     // GIR_Coverage, 20386,
     /*  244924 */     GIR_EraseRootFromParent_Done,
     /*  244925 */   // Label 5030: @244925
     /*  244925 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(244991), // Rule ID 20387 //
     /*  244930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  244933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  244941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  244944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  244947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  244962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10821:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  244969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  244972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  244986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244989 */     GIR_RootConstrainSelectedInstOperands,
     /*  244990 */     // GIR_Coverage, 20387,
     /*  244990 */     GIR_EraseRootFromParent_Done,
     /*  244991 */   // Label 5031: @244991
     /*  244991 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(245057), // Rule ID 20390 //
     /*  244996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  244999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  245013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  245038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245055 */     GIR_RootConstrainSelectedInstOperands,
     /*  245056 */     // GIR_Coverage, 20390,
     /*  245056 */     GIR_EraseRootFromParent_Done,
     /*  245057 */   // Label 5032: @245057
     /*  245057 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(245123), // Rule ID 20391 //
     /*  245062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  245073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  245076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  245079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10821:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  245104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245121 */     GIR_RootConstrainSelectedInstOperands,
     /*  245122 */     // GIR_Coverage, 20391,
     /*  245122 */     GIR_EraseRootFromParent_Done,
     /*  245123 */   // Label 5033: @245123
     /*  245123 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(245189), // Rule ID 20394 //
     /*  245128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  245131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  245145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  245170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245187 */     GIR_RootConstrainSelectedInstOperands,
     /*  245188 */     // GIR_Coverage, 20394,
     /*  245188 */     GIR_EraseRootFromParent_Done,
     /*  245189 */   // Label 5034: @245189
     /*  245189 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(245255), // Rule ID 20395 //
     /*  245194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  245202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  245205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  245208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  245211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245233 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10821:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  245233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  245236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245253 */     GIR_RootConstrainSelectedInstOperands,
     /*  245254 */     // GIR_Coverage, 20395,
     /*  245254 */     GIR_EraseRootFromParent_Done,
     /*  245255 */   // Label 5035: @245255
     /*  245255 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(245321), // Rule ID 20720 //
     /*  245260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  245271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  245302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245319 */     GIR_RootConstrainSelectedInstOperands,
     /*  245320 */     // GIR_Coverage, 20720,
     /*  245320 */     GIR_EraseRootFromParent_Done,
     /*  245321 */   // Label 5036: @245321
     /*  245321 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(245387), // Rule ID 20721 //
     /*  245326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  245337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  245340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245365 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  245368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245385 */     GIR_RootConstrainSelectedInstOperands,
     /*  245386 */     // GIR_Coverage, 20721,
     /*  245386 */     GIR_EraseRootFromParent_Done,
     /*  245387 */   // Label 5037: @245387
     /*  245387 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(245453), // Rule ID 20724 //
     /*  245392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  245403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  245406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245431 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245451 */     GIR_RootConstrainSelectedInstOperands,
     /*  245452 */     // GIR_Coverage, 20724,
     /*  245452 */     GIR_EraseRootFromParent_Done,
     /*  245453 */   // Label 5038: @245453
     /*  245453 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(245519), // Rule ID 20725 //
     /*  245458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  245469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  245472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245517 */     GIR_RootConstrainSelectedInstOperands,
     /*  245518 */     // GIR_Coverage, 20725,
     /*  245518 */     GIR_EraseRootFromParent_Done,
     /*  245519 */   // Label 5039: @245519
     /*  245519 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(245585), // Rule ID 20728 //
     /*  245524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  245527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245583 */     GIR_RootConstrainSelectedInstOperands,
     /*  245584 */     // GIR_Coverage, 20728,
     /*  245584 */     GIR_EraseRootFromParent_Done,
     /*  245585 */   // Label 5040: @245585
     /*  245585 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(245651), // Rule ID 20729 //
     /*  245590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  245593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  245607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245629 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  245632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245649 */     GIR_RootConstrainSelectedInstOperands,
     /*  245650 */     // GIR_Coverage, 20729,
     /*  245650 */     GIR_EraseRootFromParent_Done,
     /*  245651 */   // Label 5041: @245651
     /*  245651 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(245717), // Rule ID 20732 //
     /*  245656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  245659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  245667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  245670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245715 */     GIR_RootConstrainSelectedInstOperands,
     /*  245716 */     // GIR_Coverage, 20732,
     /*  245716 */     GIR_EraseRootFromParent_Done,
     /*  245717 */   // Label 5042: @245717
     /*  245717 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(245783), // Rule ID 20733 //
     /*  245722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  245725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  245733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  245736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10829:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245781 */     GIR_RootConstrainSelectedInstOperands,
     /*  245782 */     // GIR_Coverage, 20733,
     /*  245782 */     GIR_EraseRootFromParent_Done,
     /*  245783 */   // Label 5043: @245783
     /*  245783 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(245849), // Rule ID 20736 //
     /*  245788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  245791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245847 */     GIR_RootConstrainSelectedInstOperands,
     /*  245848 */     // GIR_Coverage, 20736,
     /*  245848 */     GIR_EraseRootFromParent_Done,
     /*  245849 */   // Label 5044: @245849
     /*  245849 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(245915), // Rule ID 20737 //
     /*  245854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  245857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  245871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245893 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10829:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245913 */     GIR_RootConstrainSelectedInstOperands,
     /*  245914 */     // GIR_Coverage, 20737,
     /*  245914 */     GIR_EraseRootFromParent_Done,
     /*  245915 */   // Label 5045: @245915
     /*  245915 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(245981), // Rule ID 20740 //
     /*  245920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  245923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  245934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  245937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245959 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  245959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  245962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  245976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245979 */     GIR_RootConstrainSelectedInstOperands,
     /*  245980 */     // GIR_Coverage, 20740,
     /*  245980 */     GIR_EraseRootFromParent_Done,
     /*  245981 */   // Label 5046: @245981
     /*  245981 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(246047), // Rule ID 20741 //
     /*  245986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  245989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  245994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  245997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  246003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10829:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  246028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246045 */     GIR_RootConstrainSelectedInstOperands,
     /*  246046 */     // GIR_Coverage, 20741,
     /*  246046 */     GIR_EraseRootFromParent_Done,
     /*  246047 */   // Label 5047: @246047
     /*  246047 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(246113), // Rule ID 20744 //
     /*  246052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  246063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  246066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246111 */     GIR_RootConstrainSelectedInstOperands,
     /*  246112 */     // GIR_Coverage, 20744,
     /*  246112 */     GIR_EraseRootFromParent_Done,
     /*  246113 */   // Label 5048: @246113
     /*  246113 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(246179), // Rule ID 20745 //
     /*  246118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  246129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  246132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  246135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246177 */     GIR_RootConstrainSelectedInstOperands,
     /*  246178 */     // GIR_Coverage, 20745,
     /*  246178 */     GIR_EraseRootFromParent_Done,
     /*  246179 */   // Label 5049: @246179
     /*  246179 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(246245), // Rule ID 20748 //
     /*  246184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  246195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  246198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246223 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246243 */     GIR_RootConstrainSelectedInstOperands,
     /*  246244 */     // GIR_Coverage, 20748,
     /*  246244 */     GIR_EraseRootFromParent_Done,
     /*  246245 */   // Label 5050: @246245
     /*  246245 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(246311), // Rule ID 20749 //
     /*  246250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  246261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  246264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246289 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246309 */     GIR_RootConstrainSelectedInstOperands,
     /*  246310 */     // GIR_Coverage, 20749,
     /*  246310 */     GIR_EraseRootFromParent_Done,
     /*  246311 */   // Label 5051: @246311
     /*  246311 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(246377), // Rule ID 20752 //
     /*  246316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  246319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  246327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  246330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  246333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  246355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246375 */     GIR_RootConstrainSelectedInstOperands,
     /*  246376 */     // GIR_Coverage, 20752,
     /*  246376 */     GIR_EraseRootFromParent_Done,
     /*  246377 */   // Label 5052: @246377
     /*  246377 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(246443), // Rule ID 20753 //
     /*  246382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  246385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  246393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  246396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  246399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  246421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  246438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246441 */     GIR_RootConstrainSelectedInstOperands,
     /*  246442 */     // GIR_Coverage, 20753,
     /*  246442 */     GIR_EraseRootFromParent_Done,
     /*  246443 */   // Label 5053: @246443
     /*  246443 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(246509), // Rule ID 20756 //
     /*  246448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246507 */     GIR_RootConstrainSelectedInstOperands,
     /*  246508 */     // GIR_Coverage, 20756,
     /*  246508 */     GIR_EraseRootFromParent_Done,
     /*  246509 */   // Label 5054: @246509
     /*  246509 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(246575), // Rule ID 20757 //
     /*  246514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246573 */     GIR_RootConstrainSelectedInstOperands,
     /*  246574 */     // GIR_Coverage, 20757,
     /*  246574 */     GIR_EraseRootFromParent_Done,
     /*  246575 */   // Label 5055: @246575
     /*  246575 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(246641), // Rule ID 20760 //
     /*  246580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246639 */     GIR_RootConstrainSelectedInstOperands,
     /*  246640 */     // GIR_Coverage, 20760,
     /*  246640 */     GIR_EraseRootFromParent_Done,
     /*  246641 */   // Label 5056: @246641
     /*  246641 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(246707), // Rule ID 20761 //
     /*  246646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  246657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  246660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  246688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246705 */     GIR_RootConstrainSelectedInstOperands,
     /*  246706 */     // GIR_Coverage, 20761,
     /*  246706 */     GIR_EraseRootFromParent_Done,
     /*  246707 */   // Label 5057: @246707
     /*  246707 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(246773), // Rule ID 20764 //
     /*  246712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  246715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  246729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246771 */     GIR_RootConstrainSelectedInstOperands,
     /*  246772 */     // GIR_Coverage, 20764,
     /*  246772 */     GIR_EraseRootFromParent_Done,
     /*  246773 */   // Label 5058: @246773
     /*  246773 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(246839), // Rule ID 20765 //
     /*  246778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  246781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  246795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  246820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246837 */     GIR_RootConstrainSelectedInstOperands,
     /*  246838 */     // GIR_Coverage, 20765,
     /*  246838 */     GIR_EraseRootFromParent_Done,
     /*  246839 */   // Label 5059: @246839
     /*  246839 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(246905), // Rule ID 20768 //
     /*  246844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  246847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  246861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246903 */     GIR_RootConstrainSelectedInstOperands,
     /*  246904 */     // GIR_Coverage, 20768,
     /*  246904 */     GIR_EraseRootFromParent_Done,
     /*  246905 */   // Label 5060: @246905
     /*  246905 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(246971), // Rule ID 20769 //
     /*  246910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  246913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  246927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246949 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10829:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  246952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246969 */     GIR_RootConstrainSelectedInstOperands,
     /*  246970 */     // GIR_Coverage, 20769,
     /*  246970 */     GIR_EraseRootFromParent_Done,
     /*  246971 */   // Label 5061: @246971
     /*  246971 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(247037), // Rule ID 20772 //
     /*  246976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  246979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  246984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  246993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247015 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  247018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247035 */     GIR_RootConstrainSelectedInstOperands,
     /*  247036 */     // GIR_Coverage, 20772,
     /*  247036 */     GIR_EraseRootFromParent_Done,
     /*  247037 */   // Label 5062: @247037
     /*  247037 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(247103), // Rule ID 20773 //
     /*  247042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  247059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10829:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  247084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247101 */     GIR_RootConstrainSelectedInstOperands,
     /*  247102 */     // GIR_Coverage, 20773,
     /*  247102 */     GIR_EraseRootFromParent_Done,
     /*  247103 */   // Label 5063: @247103
     /*  247103 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(247169), // Rule ID 20776 //
     /*  247108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  247111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  247125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  247150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247167 */     GIR_RootConstrainSelectedInstOperands,
     /*  247168 */     // GIR_Coverage, 20776,
     /*  247168 */     GIR_EraseRootFromParent_Done,
     /*  247169 */   // Label 5064: @247169
     /*  247169 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(247235), // Rule ID 20777 //
     /*  247174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  247182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  247191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10829:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  247216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247233 */     GIR_RootConstrainSelectedInstOperands,
     /*  247234 */     // GIR_Coverage, 20777,
     /*  247234 */     GIR_EraseRootFromParent_Done,
     /*  247235 */   // Label 5065: @247235
     /*  247235 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(247301), // Rule ID 20780 //
     /*  247240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247279 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  247282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247299 */     GIR_RootConstrainSelectedInstOperands,
     /*  247300 */     // GIR_Coverage, 20780,
     /*  247300 */     GIR_EraseRootFromParent_Done,
     /*  247301 */   // Label 5066: @247301
     /*  247301 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(247367), // Rule ID 20781 //
     /*  247306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  247317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  247320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247345 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  247348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247365 */     GIR_RootConstrainSelectedInstOperands,
     /*  247366 */     // GIR_Coverage, 20781,
     /*  247366 */     GIR_EraseRootFromParent_Done,
     /*  247367 */   // Label 5067: @247367
     /*  247367 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(247433), // Rule ID 20784 //
     /*  247372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247431 */     GIR_RootConstrainSelectedInstOperands,
     /*  247432 */     // GIR_Coverage, 20784,
     /*  247432 */     GIR_EraseRootFromParent_Done,
     /*  247433 */   // Label 5068: @247433
     /*  247433 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(247499), // Rule ID 20785 //
     /*  247438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  247449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  247452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247477 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247497 */     GIR_RootConstrainSelectedInstOperands,
     /*  247498 */     // GIR_Coverage, 20785,
     /*  247498 */     GIR_EraseRootFromParent_Done,
     /*  247499 */   // Label 5069: @247499
     /*  247499 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(247565), // Rule ID 20788 //
     /*  247504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  247507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  247515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247543 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247563 */     GIR_RootConstrainSelectedInstOperands,
     /*  247564 */     // GIR_Coverage, 20788,
     /*  247564 */     GIR_EraseRootFromParent_Done,
     /*  247565 */   // Label 5070: @247565
     /*  247565 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(247631), // Rule ID 20789 //
     /*  247570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  247573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  247581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  247584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  247587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247609 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  247612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247629 */     GIR_RootConstrainSelectedInstOperands,
     /*  247630 */     // GIR_Coverage, 20789,
     /*  247630 */     GIR_EraseRootFromParent_Done,
     /*  247631 */   // Label 5071: @247631
     /*  247631 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(247697), // Rule ID 20792 //
     /*  247636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  247639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  247647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  247675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247695 */     GIR_RootConstrainSelectedInstOperands,
     /*  247696 */     // GIR_Coverage, 20792,
     /*  247696 */     GIR_EraseRootFromParent_Done,
     /*  247697 */   // Label 5072: @247697
     /*  247697 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(247763), // Rule ID 20793 //
     /*  247702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  247705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  247713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  247716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10827:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  247741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  247758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247761 */     GIR_RootConstrainSelectedInstOperands,
     /*  247762 */     // GIR_Coverage, 20793,
     /*  247762 */     GIR_EraseRootFromParent_Done,
     /*  247763 */   // Label 5073: @247763
     /*  247763 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(247829), // Rule ID 20796 //
     /*  247768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  247771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  247779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247827 */     GIR_RootConstrainSelectedInstOperands,
     /*  247828 */     // GIR_Coverage, 20796,
     /*  247828 */     GIR_EraseRootFromParent_Done,
     /*  247829 */   // Label 5074: @247829
     /*  247829 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(247895), // Rule ID 20797 //
     /*  247834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  247837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  247845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  247848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  247851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10827:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247893 */     GIR_RootConstrainSelectedInstOperands,
     /*  247894 */     // GIR_Coverage, 20797,
     /*  247894 */     GIR_EraseRootFromParent_Done,
     /*  247895 */   // Label 5075: @247895
     /*  247895 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(247961), // Rule ID 20800 //
     /*  247900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  247903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  247942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247959 */     GIR_RootConstrainSelectedInstOperands,
     /*  247960 */     // GIR_Coverage, 20800,
     /*  247960 */     GIR_EraseRootFromParent_Done,
     /*  247961 */   // Label 5076: @247961
     /*  247961 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(248027), // Rule ID 20801 //
     /*  247966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  247969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  247974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  247983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10827:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  248008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248025 */     GIR_RootConstrainSelectedInstOperands,
     /*  248026 */     // GIR_Coverage, 20801,
     /*  248026 */     GIR_EraseRootFromParent_Done,
     /*  248027 */   // Label 5077: @248027
     /*  248027 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(248093), // Rule ID 20804 //
     /*  248032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  248035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248091 */     GIR_RootConstrainSelectedInstOperands,
     /*  248092 */     // GIR_Coverage, 20804,
     /*  248092 */     GIR_EraseRootFromParent_Done,
     /*  248093 */   // Label 5078: @248093
     /*  248093 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(248159), // Rule ID 20805 //
     /*  248098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  248115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248157 */     GIR_RootConstrainSelectedInstOperands,
     /*  248158 */     // GIR_Coverage, 20805,
     /*  248158 */     GIR_EraseRootFromParent_Done,
     /*  248159 */   // Label 5079: @248159
     /*  248159 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(248225), // Rule ID 20808 //
     /*  248164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  248167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248223 */     GIR_RootConstrainSelectedInstOperands,
     /*  248224 */     // GIR_Coverage, 20808,
     /*  248224 */     GIR_EraseRootFromParent_Done,
     /*  248225 */   // Label 5080: @248225
     /*  248225 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(248291), // Rule ID 20809 //
     /*  248230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  248247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248289 */     GIR_RootConstrainSelectedInstOperands,
     /*  248290 */     // GIR_Coverage, 20809,
     /*  248290 */     GIR_EraseRootFromParent_Done,
     /*  248291 */   // Label 5081: @248291
     /*  248291 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(248357), // Rule ID 20812 //
     /*  248296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  248299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248355 */     GIR_RootConstrainSelectedInstOperands,
     /*  248356 */     // GIR_Coverage, 20812,
     /*  248356 */     GIR_EraseRootFromParent_Done,
     /*  248357 */   // Label 5082: @248357
     /*  248357 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(248423), // Rule ID 20813 //
     /*  248362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  248365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  248373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  248376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  248379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248421 */     GIR_RootConstrainSelectedInstOperands,
     /*  248422 */     // GIR_Coverage, 20813,
     /*  248422 */     GIR_EraseRootFromParent_Done,
     /*  248423 */   // Label 5083: @248423
     /*  248423 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(248489), // Rule ID 20816 //
     /*  248428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248487 */     GIR_RootConstrainSelectedInstOperands,
     /*  248488 */     // GIR_Coverage, 20816,
     /*  248488 */     GIR_EraseRootFromParent_Done,
     /*  248489 */   // Label 5084: @248489
     /*  248489 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(248555), // Rule ID 20817 //
     /*  248494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  248505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  248508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  248511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248553 */     GIR_RootConstrainSelectedInstOperands,
     /*  248554 */     // GIR_Coverage, 20817,
     /*  248554 */     GIR_EraseRootFromParent_Done,
     /*  248555 */   // Label 5085: @248555
     /*  248555 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(248621), // Rule ID 20820 //
     /*  248560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248619 */     GIR_RootConstrainSelectedInstOperands,
     /*  248620 */     // GIR_Coverage, 20820,
     /*  248620 */     GIR_EraseRootFromParent_Done,
     /*  248621 */   // Label 5086: @248621
     /*  248621 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(248687), // Rule ID 20821 //
     /*  248626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  248637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  248640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  248643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248685 */     GIR_RootConstrainSelectedInstOperands,
     /*  248686 */     // GIR_Coverage, 20821,
     /*  248686 */     GIR_EraseRootFromParent_Done,
     /*  248687 */   // Label 5087: @248687
     /*  248687 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(248753), // Rule ID 20824 //
     /*  248692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  248695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  248703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  248731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248751 */     GIR_RootConstrainSelectedInstOperands,
     /*  248752 */     // GIR_Coverage, 20824,
     /*  248752 */     GIR_EraseRootFromParent_Done,
     /*  248753 */   // Label 5088: @248753
     /*  248753 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(248819), // Rule ID 20825 //
     /*  248758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  248761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  248769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  248772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  248775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  248797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  248800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  248814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248817 */     GIR_RootConstrainSelectedInstOperands,
     /*  248818 */     // GIR_Coverage, 20825,
     /*  248818 */     GIR_EraseRootFromParent_Done,
     /*  248819 */   // Label 5089: @248819
     /*  248819 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(248885), // Rule ID 20828 //
     /*  248824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  248827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  248835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248883 */     GIR_RootConstrainSelectedInstOperands,
     /*  248884 */     // GIR_Coverage, 20828,
     /*  248884 */     GIR_EraseRootFromParent_Done,
     /*  248885 */   // Label 5090: @248885
     /*  248885 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(248951), // Rule ID 20829 //
     /*  248890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  248893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  248901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  248907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10827:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  248932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248949 */     GIR_RootConstrainSelectedInstOperands,
     /*  248950 */     // GIR_Coverage, 20829,
     /*  248950 */     GIR_EraseRootFromParent_Done,
     /*  248951 */   // Label 5091: @248951
     /*  248951 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(249017), // Rule ID 20832 //
     /*  248956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  248959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  248964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  248967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  248973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  248998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249015 */     GIR_RootConstrainSelectedInstOperands,
     /*  249016 */     // GIR_Coverage, 20832,
     /*  249016 */     GIR_EraseRootFromParent_Done,
     /*  249017 */   // Label 5092: @249017
     /*  249017 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(249083), // Rule ID 20833 //
     /*  249022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  249025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  249030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  249033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  249036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  249039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249061 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10827:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  249064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249081 */     GIR_RootConstrainSelectedInstOperands,
     /*  249082 */     // GIR_Coverage, 20833,
     /*  249082 */     GIR_EraseRootFromParent_Done,
     /*  249083 */   // Label 5093: @249083
     /*  249083 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(249149), // Rule ID 20836 //
     /*  249088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  249091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  249096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  249130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249147 */     GIR_RootConstrainSelectedInstOperands,
     /*  249148 */     // GIR_Coverage, 20836,
     /*  249148 */     GIR_EraseRootFromParent_Done,
     /*  249149 */   // Label 5094: @249149
     /*  249149 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(249215), // Rule ID 20837 //
     /*  249154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  249157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  249162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  249165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  249168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  249171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10827:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  249196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249213 */     GIR_RootConstrainSelectedInstOperands,
     /*  249214 */     // GIR_Coverage, 20837,
     /*  249214 */     GIR_EraseRootFromParent_Done,
     /*  249215 */   // Label 5095: @249215
     /*  249215 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(249281), // Rule ID 21104 //
     /*  249220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  249262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249279 */     GIR_RootConstrainSelectedInstOperands,
     /*  249280 */     // GIR_Coverage, 21104,
     /*  249280 */     GIR_EraseRootFromParent_Done,
     /*  249281 */   // Label 5096: @249281
     /*  249281 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(249347), // Rule ID 21105 //
     /*  249286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  249328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249345 */     GIR_RootConstrainSelectedInstOperands,
     /*  249346 */     // GIR_Coverage, 21105,
     /*  249346 */     GIR_EraseRootFromParent_Done,
     /*  249347 */   // Label 5097: @249347
     /*  249347 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(249413), // Rule ID 21108 //
     /*  249352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249391 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249411 */     GIR_RootConstrainSelectedInstOperands,
     /*  249412 */     // GIR_Coverage, 21108,
     /*  249412 */     GIR_EraseRootFromParent_Done,
     /*  249413 */   // Label 5098: @249413
     /*  249413 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(249479), // Rule ID 21109 //
     /*  249418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10925:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249477 */     GIR_RootConstrainSelectedInstOperands,
     /*  249478 */     // GIR_Coverage, 21109,
     /*  249478 */     GIR_EraseRootFromParent_Done,
     /*  249479 */   // Label 5099: @249479
     /*  249479 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(249545), // Rule ID 21112 //
     /*  249484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  249526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249543 */     GIR_RootConstrainSelectedInstOperands,
     /*  249544 */     // GIR_Coverage, 21112,
     /*  249544 */     GIR_EraseRootFromParent_Done,
     /*  249545 */   // Label 5100: @249545
     /*  249545 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(249611), // Rule ID 21113 //
     /*  249550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  249592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249609 */     GIR_RootConstrainSelectedInstOperands,
     /*  249610 */     // GIR_Coverage, 21113,
     /*  249610 */     GIR_EraseRootFromParent_Done,
     /*  249611 */   // Label 5101: @249611
     /*  249611 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(249677), // Rule ID 21116 //
     /*  249616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249655 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  249658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249675 */     GIR_RootConstrainSelectedInstOperands,
     /*  249676 */     // GIR_Coverage, 21116,
     /*  249676 */     GIR_EraseRootFromParent_Done,
     /*  249677 */   // Label 5102: @249677
     /*  249677 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(249743), // Rule ID 21117 //
     /*  249682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249721 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  249724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249741 */     GIR_RootConstrainSelectedInstOperands,
     /*  249742 */     // GIR_Coverage, 21117,
     /*  249742 */     GIR_EraseRootFromParent_Done,
     /*  249743 */   // Label 5103: @249743
     /*  249743 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(249809), // Rule ID 21120 //
     /*  249748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  249751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  249790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249807 */     GIR_RootConstrainSelectedInstOperands,
     /*  249808 */     // GIR_Coverage, 21120,
     /*  249808 */     GIR_EraseRootFromParent_Done,
     /*  249809 */   // Label 5104: @249809
     /*  249809 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(249875), // Rule ID 21121 //
     /*  249814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  249817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  249856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249873 */     GIR_RootConstrainSelectedInstOperands,
     /*  249874 */     // GIR_Coverage, 21121,
     /*  249874 */     GIR_EraseRootFromParent_Done,
     /*  249875 */   // Label 5105: @249875
     /*  249875 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(249941), // Rule ID 21124 //
     /*  249880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  249883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249939 */     GIR_RootConstrainSelectedInstOperands,
     /*  249940 */     // GIR_Coverage, 21124,
     /*  249940 */     GIR_EraseRootFromParent_Done,
     /*  249941 */   // Label 5106: @249941
     /*  249941 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(250007), // Rule ID 21125 //
     /*  249946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  249949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  249954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249985 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10925:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  249988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250005 */     GIR_RootConstrainSelectedInstOperands,
     /*  250006 */     // GIR_Coverage, 21125,
     /*  250006 */     GIR_EraseRootFromParent_Done,
     /*  250007 */   // Label 5107: @250007
     /*  250007 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(250073), // Rule ID 21128 //
     /*  250012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  250015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  250029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  250054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250071 */     GIR_RootConstrainSelectedInstOperands,
     /*  250072 */     // GIR_Coverage, 21128,
     /*  250072 */     GIR_EraseRootFromParent_Done,
     /*  250073 */   // Label 5108: @250073
     /*  250073 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(250139), // Rule ID 21129 //
     /*  250078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  250095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250117 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10925:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  250120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250137 */     GIR_RootConstrainSelectedInstOperands,
     /*  250138 */     // GIR_Coverage, 21129,
     /*  250138 */     GIR_EraseRootFromParent_Done,
     /*  250139 */   // Label 5109: @250139
     /*  250139 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(250205), // Rule ID 21132 //
     /*  250144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  250147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250183 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  250186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250203 */     GIR_RootConstrainSelectedInstOperands,
     /*  250204 */     // GIR_Coverage, 21132,
     /*  250204 */     GIR_EraseRootFromParent_Done,
     /*  250205 */   // Label 5110: @250205
     /*  250205 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(250271), // Rule ID 21133 //
     /*  250210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250249 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10925:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  250252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250269 */     GIR_RootConstrainSelectedInstOperands,
     /*  250270 */     // GIR_Coverage, 21133,
     /*  250270 */     GIR_EraseRootFromParent_Done,
     /*  250271 */   // Label 5111: @250271
     /*  250271 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(250337), // Rule ID 21136 //
     /*  250276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  250279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  250318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250335 */     GIR_RootConstrainSelectedInstOperands,
     /*  250336 */     // GIR_Coverage, 21136,
     /*  250336 */     GIR_EraseRootFromParent_Done,
     /*  250337 */   // Label 5112: @250337
     /*  250337 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(250403), // Rule ID 21137 //
     /*  250342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  250345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  250350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250381 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10925:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  250384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250401 */     GIR_RootConstrainSelectedInstOperands,
     /*  250402 */     // GIR_Coverage, 21137,
     /*  250402 */     GIR_EraseRootFromParent_Done,
     /*  250403 */   // Label 5113: @250403
     /*  250403 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(250469), // Rule ID 21140 //
     /*  250408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  250450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250467 */     GIR_RootConstrainSelectedInstOperands,
     /*  250468 */     // GIR_Coverage, 21140,
     /*  250468 */     GIR_EraseRootFromParent_Done,
     /*  250469 */   // Label 5114: @250469
     /*  250469 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(250535), // Rule ID 21141 //
     /*  250474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  250491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250513 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  250516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250533 */     GIR_RootConstrainSelectedInstOperands,
     /*  250534 */     // GIR_Coverage, 21141,
     /*  250534 */     GIR_EraseRootFromParent_Done,
     /*  250535 */   // Label 5115: @250535
     /*  250535 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(250601), // Rule ID 21144 //
     /*  250540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  250582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250599 */     GIR_RootConstrainSelectedInstOperands,
     /*  250600 */     // GIR_Coverage, 21144,
     /*  250600 */     GIR_EraseRootFromParent_Done,
     /*  250601 */   // Label 5116: @250601
     /*  250601 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(250667), // Rule ID 21145 //
     /*  250606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  250623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10923:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  250648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250665 */     GIR_RootConstrainSelectedInstOperands,
     /*  250666 */     // GIR_Coverage, 21145,
     /*  250666 */     GIR_EraseRootFromParent_Done,
     /*  250667 */   // Label 5117: @250667
     /*  250667 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(250733), // Rule ID 21148 //
     /*  250672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250711 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  250714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250731 */     GIR_RootConstrainSelectedInstOperands,
     /*  250732 */     // GIR_Coverage, 21148,
     /*  250732 */     GIR_EraseRootFromParent_Done,
     /*  250733 */   // Label 5118: @250733
     /*  250733 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(250799), // Rule ID 21149 //
     /*  250738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  250755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  250780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250797 */     GIR_RootConstrainSelectedInstOperands,
     /*  250798 */     // GIR_Coverage, 21149,
     /*  250798 */     GIR_EraseRootFromParent_Done,
     /*  250799 */   // Label 5119: @250799
     /*  250799 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(250865), // Rule ID 21152 //
     /*  250804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  250846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250863 */     GIR_RootConstrainSelectedInstOperands,
     /*  250864 */     // GIR_Coverage, 21152,
     /*  250864 */     GIR_EraseRootFromParent_Done,
     /*  250865 */   // Label 5120: @250865
     /*  250865 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(250931), // Rule ID 21153 //
     /*  250870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  250873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  250887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  250909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  250912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250929 */     GIR_RootConstrainSelectedInstOperands,
     /*  250930 */     // GIR_Coverage, 21153,
     /*  250930 */     GIR_EraseRootFromParent_Done,
     /*  250931 */   // Label 5121: @250931
     /*  250931 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(250997), // Rule ID 21156 //
     /*  250936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  250939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  250944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  250953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  250975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  250978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  250992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250995 */     GIR_RootConstrainSelectedInstOperands,
     /*  250996 */     // GIR_Coverage, 21156,
     /*  250996 */     GIR_EraseRootFromParent_Done,
     /*  250997 */   // Label 5122: @250997
     /*  250997 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(251063), // Rule ID 21157 //
     /*  251002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  251013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  251016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  251019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251041 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  251041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  251058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251061 */     GIR_RootConstrainSelectedInstOperands,
     /*  251062 */     // GIR_Coverage, 21157,
     /*  251062 */     GIR_EraseRootFromParent_Done,
     /*  251063 */   // Label 5123: @251063
     /*  251063 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(251129), // Rule ID 21160 //
     /*  251068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  251110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251127 */     GIR_RootConstrainSelectedInstOperands,
     /*  251128 */     // GIR_Coverage, 21160,
     /*  251128 */     GIR_EraseRootFromParent_Done,
     /*  251129 */   // Label 5124: @251129
     /*  251129 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(251195), // Rule ID 21161 //
     /*  251134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  251151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10923:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  251176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251193 */     GIR_RootConstrainSelectedInstOperands,
     /*  251194 */     // GIR_Coverage, 21161,
     /*  251194 */     GIR_EraseRootFromParent_Done,
     /*  251195 */   // Label 5125: @251195
     /*  251195 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(251261), // Rule ID 21164 //
     /*  251200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  251217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  251242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251259 */     GIR_RootConstrainSelectedInstOperands,
     /*  251260 */     // GIR_Coverage, 21164,
     /*  251260 */     GIR_EraseRootFromParent_Done,
     /*  251261 */   // Label 5126: @251261
     /*  251261 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(251327), // Rule ID 21165 //
     /*  251266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  251283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10923:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  251308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251325 */     GIR_RootConstrainSelectedInstOperands,
     /*  251326 */     // GIR_Coverage, 21165,
     /*  251326 */     GIR_EraseRootFromParent_Done,
     /*  251327 */   // Label 5127: @251327
     /*  251327 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(251393), // Rule ID 21168 //
     /*  251332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  251349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  251374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251391 */     GIR_RootConstrainSelectedInstOperands,
     /*  251392 */     // GIR_Coverage, 21168,
     /*  251392 */     GIR_EraseRootFromParent_Done,
     /*  251393 */   // Label 5128: @251393
     /*  251393 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(251459), // Rule ID 21169 //
     /*  251398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  251415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10923:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  251440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251457 */     GIR_RootConstrainSelectedInstOperands,
     /*  251458 */     // GIR_Coverage, 21169,
     /*  251458 */     GIR_EraseRootFromParent_Done,
     /*  251459 */   // Label 5129: @251459
     /*  251459 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(251525), // Rule ID 21172 //
     /*  251464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  251467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  251481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251503 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  251503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251523 */     GIR_RootConstrainSelectedInstOperands,
     /*  251524 */     // GIR_Coverage, 21172,
     /*  251524 */     GIR_EraseRootFromParent_Done,
     /*  251525 */   // Label 5130: @251525
     /*  251525 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(251591), // Rule ID 21173 //
     /*  251530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  251533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  251538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  251547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10923:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  251569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  251572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251589 */     GIR_RootConstrainSelectedInstOperands,
     /*  251590 */     // GIR_Coverage, 21173,
     /*  251590 */     GIR_EraseRootFromParent_Done,
     /*  251591 */   // Label 5131: @251591
     /*  251591 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(251657), // Rule ID 21176 //
     /*  251596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  251607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251635 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  251638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251655 */     GIR_RootConstrainSelectedInstOperands,
     /*  251656 */     // GIR_Coverage, 21176,
     /*  251656 */     GIR_EraseRootFromParent_Done,
     /*  251657 */   // Label 5132: @251657
     /*  251657 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(251723), // Rule ID 21177 //
     /*  251662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  251673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  251676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251701 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  251704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251721 */     GIR_RootConstrainSelectedInstOperands,
     /*  251722 */     // GIR_Coverage, 21177,
     /*  251722 */     GIR_EraseRootFromParent_Done,
     /*  251723 */   // Label 5133: @251723
     /*  251723 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(251789), // Rule ID 21180 //
     /*  251728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  251739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251767 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  251770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251787 */     GIR_RootConstrainSelectedInstOperands,
     /*  251788 */     // GIR_Coverage, 21180,
     /*  251788 */     GIR_EraseRootFromParent_Done,
     /*  251789 */   // Label 5134: @251789
     /*  251789 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(251855), // Rule ID 21181 //
     /*  251794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  251805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  251808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251833 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  251836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251853 */     GIR_RootConstrainSelectedInstOperands,
     /*  251854 */     // GIR_Coverage, 21181,
     /*  251854 */     GIR_EraseRootFromParent_Done,
     /*  251855 */   // Label 5135: @251855
     /*  251855 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(251921), // Rule ID 21184 //
     /*  251860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  251871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251899 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  251899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  251902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251919 */     GIR_RootConstrainSelectedInstOperands,
     /*  251920 */     // GIR_Coverage, 21184,
     /*  251920 */     GIR_EraseRootFromParent_Done,
     /*  251921 */   // Label 5136: @251921
     /*  251921 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(251987), // Rule ID 21185 //
     /*  251926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  251929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  251934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  251937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  251940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10921:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  251965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  251968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  251982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251985 */     GIR_RootConstrainSelectedInstOperands,
     /*  251986 */     // GIR_Coverage, 21185,
     /*  251986 */     GIR_EraseRootFromParent_Done,
     /*  251987 */   // Label 5137: @251987
     /*  251987 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(252053), // Rule ID 21188 //
     /*  251992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  251995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  252003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252031 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  252031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  252034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252051 */     GIR_RootConstrainSelectedInstOperands,
     /*  252052 */     // GIR_Coverage, 21188,
     /*  252052 */     GIR_EraseRootFromParent_Done,
     /*  252053 */   // Label 5138: @252053
     /*  252053 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(252119), // Rule ID 21189 //
     /*  252058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  252069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  252072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252097 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  252100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252117 */     GIR_RootConstrainSelectedInstOperands,
     /*  252118 */     // GIR_Coverage, 21189,
     /*  252118 */     GIR_EraseRootFromParent_Done,
     /*  252119 */   // Label 5139: @252119
     /*  252119 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(252185), // Rule ID 21192 //
     /*  252124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  252127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  252135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  252163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  252166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252183 */     GIR_RootConstrainSelectedInstOperands,
     /*  252184 */     // GIR_Coverage, 21192,
     /*  252184 */     GIR_EraseRootFromParent_Done,
     /*  252185 */   // Label 5140: @252185
     /*  252185 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(252251), // Rule ID 21193 //
     /*  252190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  252201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  252204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  252207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252229 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  252232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252249 */     GIR_RootConstrainSelectedInstOperands,
     /*  252250 */     // GIR_Coverage, 21193,
     /*  252250 */     GIR_EraseRootFromParent_Done,
     /*  252251 */   // Label 5141: @252251
     /*  252251 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(252317), // Rule ID 21196 //
     /*  252256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  252259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  252267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252295 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  252295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  252298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252315 */     GIR_RootConstrainSelectedInstOperands,
     /*  252316 */     // GIR_Coverage, 21196,
     /*  252316 */     GIR_EraseRootFromParent_Done,
     /*  252317 */   // Label 5142: @252317
     /*  252317 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(252383), // Rule ID 21197 //
     /*  252322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  252325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  252333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  252336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  252339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252361 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  252361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  252364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252381 */     GIR_RootConstrainSelectedInstOperands,
     /*  252382 */     // GIR_Coverage, 21197,
     /*  252382 */     GIR_EraseRootFromParent_Done,
     /*  252383 */   // Label 5143: @252383
     /*  252383 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(252449), // Rule ID 21200 //
     /*  252388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  252399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252427 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  252430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252447 */     GIR_RootConstrainSelectedInstOperands,
     /*  252448 */     // GIR_Coverage, 21200,
     /*  252448 */     GIR_EraseRootFromParent_Done,
     /*  252449 */   // Label 5144: @252449
     /*  252449 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(252515), // Rule ID 21201 //
     /*  252454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  252465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252493 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  252496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252513 */     GIR_RootConstrainSelectedInstOperands,
     /*  252514 */     // GIR_Coverage, 21201,
     /*  252514 */     GIR_EraseRootFromParent_Done,
     /*  252515 */   // Label 5145: @252515
     /*  252515 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(252581), // Rule ID 21204 //
     /*  252520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  252531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252559 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  252562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252579 */     GIR_RootConstrainSelectedInstOperands,
     /*  252580 */     // GIR_Coverage, 21204,
     /*  252580 */     GIR_EraseRootFromParent_Done,
     /*  252581 */   // Label 5146: @252581
     /*  252581 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(252647), // Rule ID 21205 //
     /*  252586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  252597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252625 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10921:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  252628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252645 */     GIR_RootConstrainSelectedInstOperands,
     /*  252646 */     // GIR_Coverage, 21205,
     /*  252646 */     GIR_EraseRootFromParent_Done,
     /*  252647 */   // Label 5147: @252647
     /*  252647 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(252713), // Rule ID 21208 //
     /*  252652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  252663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252691 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  252694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252711 */     GIR_RootConstrainSelectedInstOperands,
     /*  252712 */     // GIR_Coverage, 21208,
     /*  252712 */     GIR_EraseRootFromParent_Done,
     /*  252713 */   // Label 5148: @252713
     /*  252713 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(252779), // Rule ID 21209 //
     /*  252718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  252729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  252732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252757 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  252760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252777 */     GIR_RootConstrainSelectedInstOperands,
     /*  252778 */     // GIR_Coverage, 21209,
     /*  252778 */     GIR_EraseRootFromParent_Done,
     /*  252779 */   // Label 5149: @252779
     /*  252779 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(252845), // Rule ID 21212 //
     /*  252784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  252795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252823 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  252826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252843 */     GIR_RootConstrainSelectedInstOperands,
     /*  252844 */     // GIR_Coverage, 21212,
     /*  252844 */     GIR_EraseRootFromParent_Done,
     /*  252845 */   // Label 5150: @252845
     /*  252845 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(252911), // Rule ID 21213 //
     /*  252850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  252861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  252864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  252867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  252882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252889 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  252889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  252892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252909 */     GIR_RootConstrainSelectedInstOperands,
     /*  252910 */     // GIR_Coverage, 21213,
     /*  252910 */     GIR_EraseRootFromParent_Done,
     /*  252911 */   // Label 5151: @252911
     /*  252911 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(252977), // Rule ID 21216 //
     /*  252916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  252919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  252927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  252948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252955 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  252955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  252958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252975 */     GIR_RootConstrainSelectedInstOperands,
     /*  252976 */     // GIR_Coverage, 21216,
     /*  252976 */     GIR_EraseRootFromParent_Done,
     /*  252977 */   // Label 5152: @252977
     /*  252977 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(253043), // Rule ID 21217 //
     /*  252982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  252985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  252990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  252993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  252996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  252999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253021 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  253021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  253024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253041 */     GIR_RootConstrainSelectedInstOperands,
     /*  253042 */     // GIR_Coverage, 21217,
     /*  253042 */     GIR_EraseRootFromParent_Done,
     /*  253043 */   // Label 5153: @253043
     /*  253043 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(253109), // Rule ID 21220 //
     /*  253048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  253059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253087 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  253090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253107 */     GIR_RootConstrainSelectedInstOperands,
     /*  253108 */     // GIR_Coverage, 21220,
     /*  253108 */     GIR_EraseRootFromParent_Done,
     /*  253109 */   // Label 5154: @253109
     /*  253109 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(253175), // Rule ID 21221 //
     /*  253114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  253125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  253131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253153 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10921:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  253156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253173 */     GIR_RootConstrainSelectedInstOperands,
     /*  253174 */     // GIR_Coverage, 21221,
     /*  253174 */     GIR_EraseRootFromParent_Done,
     /*  253175 */   // Label 5155: @253175
     /*  253175 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(253241), // Rule ID 21224 //
     /*  253180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  253191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253219 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  253222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253239 */     GIR_RootConstrainSelectedInstOperands,
     /*  253240 */     // GIR_Coverage, 21224,
     /*  253240 */     GIR_EraseRootFromParent_Done,
     /*  253241 */   // Label 5156: @253241
     /*  253241 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(253307), // Rule ID 21225 //
     /*  253246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  253257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  253260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253285 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10921:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  253288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253305 */     GIR_RootConstrainSelectedInstOperands,
     /*  253306 */     // GIR_Coverage, 21225,
     /*  253306 */     GIR_EraseRootFromParent_Done,
     /*  253307 */   // Label 5157: @253307
     /*  253307 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(253373), // Rule ID 21228 //
     /*  253312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  253323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  253354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253371 */     GIR_RootConstrainSelectedInstOperands,
     /*  253372 */     // GIR_Coverage, 21228,
     /*  253372 */     GIR_EraseRootFromParent_Done,
     /*  253373 */   // Label 5158: @253373
     /*  253373 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(253439), // Rule ID 21229 //
     /*  253378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  253389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  253392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253417 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10921:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  253420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253437 */     GIR_RootConstrainSelectedInstOperands,
     /*  253438 */     // GIR_Coverage, 21229,
     /*  253438 */     GIR_EraseRootFromParent_Done,
     /*  253439 */   // Label 5159: @253439
     /*  253439 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(253505), // Rule ID 21232 //
     /*  253444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  253447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  253455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253483 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  253483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  253486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253503 */     GIR_RootConstrainSelectedInstOperands,
     /*  253504 */     // GIR_Coverage, 21232,
     /*  253504 */     GIR_EraseRootFromParent_Done,
     /*  253505 */   // Label 5160: @253505
     /*  253505 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(253571), // Rule ID 21233 //
     /*  253510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  253513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  253518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  253521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  253524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  253527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253549 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10921:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  253549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  253552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253569 */     GIR_RootConstrainSelectedInstOperands,
     /*  253570 */     // GIR_Coverage, 21233,
     /*  253570 */     GIR_EraseRootFromParent_Done,
     /*  253571 */   // Label 5161: @253571
     /*  253571 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(253637), // Rule ID 21236 //
     /*  253576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  253587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253615 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  253618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253635 */     GIR_RootConstrainSelectedInstOperands,
     /*  253636 */     // GIR_Coverage, 21236,
     /*  253636 */     GIR_EraseRootFromParent_Done,
     /*  253637 */   // Label 5162: @253637
     /*  253637 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(253703), // Rule ID 21237 //
     /*  253642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  253653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  253656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  253659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253681 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  253684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253701 */     GIR_RootConstrainSelectedInstOperands,
     /*  253702 */     // GIR_Coverage, 21237,
     /*  253702 */     GIR_EraseRootFromParent_Done,
     /*  253703 */   // Label 5163: @253703
     /*  253703 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(253769), // Rule ID 21240 //
     /*  253708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  253719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253747 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  253750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253767 */     GIR_RootConstrainSelectedInstOperands,
     /*  253768 */     // GIR_Coverage, 21240,
     /*  253768 */     GIR_EraseRootFromParent_Done,
     /*  253769 */   // Label 5164: @253769
     /*  253769 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(253835), // Rule ID 21241 //
     /*  253774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  253785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  253788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  253791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253813 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  253816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253833 */     GIR_RootConstrainSelectedInstOperands,
     /*  253834 */     // GIR_Coverage, 21241,
     /*  253834 */     GIR_EraseRootFromParent_Done,
     /*  253835 */   // Label 5165: @253835
     /*  253835 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(253901), // Rule ID 21244 //
     /*  253840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  253851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253879 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  253879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  253882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253899 */     GIR_RootConstrainSelectedInstOperands,
     /*  253900 */     // GIR_Coverage, 21244,
     /*  253900 */     GIR_EraseRootFromParent_Done,
     /*  253901 */   // Label 5166: @253901
     /*  253901 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(253967), // Rule ID 21245 //
     /*  253906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  253909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  253917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  253920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  253923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253945 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10919:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  253945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  253948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  253952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  253965 */     GIR_RootConstrainSelectedInstOperands,
     /*  253966 */     // GIR_Coverage, 21245,
     /*  253966 */     GIR_EraseRootFromParent_Done,
     /*  253967 */   // Label 5167: @253967
     /*  253967 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(254033), // Rule ID 21248 //
     /*  253972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  253975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  253980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  253983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  253989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254011 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  254011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  254014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254031 */     GIR_RootConstrainSelectedInstOperands,
     /*  254032 */     // GIR_Coverage, 21248,
     /*  254032 */     GIR_EraseRootFromParent_Done,
     /*  254033 */   // Label 5168: @254033
     /*  254033 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(254099), // Rule ID 21249 //
     /*  254038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  254049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  254052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  254055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254077 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  254080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254097 */     GIR_RootConstrainSelectedInstOperands,
     /*  254098 */     // GIR_Coverage, 21249,
     /*  254098 */     GIR_EraseRootFromParent_Done,
     /*  254099 */   // Label 5169: @254099
     /*  254099 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(254165), // Rule ID 21252 //
     /*  254104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  254107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  254115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254143 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  254143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  254146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254163 */     GIR_RootConstrainSelectedInstOperands,
     /*  254164 */     // GIR_Coverage, 21252,
     /*  254164 */     GIR_EraseRootFromParent_Done,
     /*  254165 */   // Label 5170: @254165
     /*  254165 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(254231), // Rule ID 21253 //
     /*  254170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  254181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  254184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  254187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254209 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  254212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254229 */     GIR_RootConstrainSelectedInstOperands,
     /*  254230 */     // GIR_Coverage, 21253,
     /*  254230 */     GIR_EraseRootFromParent_Done,
     /*  254231 */   // Label 5171: @254231
     /*  254231 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(254297), // Rule ID 21256 //
     /*  254236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  254239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  254247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254275 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  254275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  254278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254295 */     GIR_RootConstrainSelectedInstOperands,
     /*  254296 */     // GIR_Coverage, 21256,
     /*  254296 */     GIR_EraseRootFromParent_Done,
     /*  254297 */   // Label 5172: @254297
     /*  254297 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(254363), // Rule ID 21257 //
     /*  254302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  254305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  254313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  254316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  254319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254341 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  254341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  254344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254361 */     GIR_RootConstrainSelectedInstOperands,
     /*  254362 */     // GIR_Coverage, 21257,
     /*  254362 */     GIR_EraseRootFromParent_Done,
     /*  254363 */   // Label 5173: @254363
     /*  254363 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(254429), // Rule ID 21260 //
     /*  254368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  254379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  254385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254407 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  254410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254427 */     GIR_RootConstrainSelectedInstOperands,
     /*  254428 */     // GIR_Coverage, 21260,
     /*  254428 */     GIR_EraseRootFromParent_Done,
     /*  254429 */   // Label 5174: @254429
     /*  254429 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(254495), // Rule ID 21261 //
     /*  254434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  254445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  254448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  254451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254473 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  254476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254493 */     GIR_RootConstrainSelectedInstOperands,
     /*  254494 */     // GIR_Coverage, 21261,
     /*  254494 */     GIR_EraseRootFromParent_Done,
     /*  254495 */   // Label 5175: @254495
     /*  254495 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(254561), // Rule ID 21264 //
     /*  254500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  254511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  254517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254539 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  254542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254559 */     GIR_RootConstrainSelectedInstOperands,
     /*  254560 */     // GIR_Coverage, 21264,
     /*  254560 */     GIR_EraseRootFromParent_Done,
     /*  254561 */   // Label 5176: @254561
     /*  254561 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(254627), // Rule ID 21265 //
     /*  254566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  254577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  254580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  254583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254605 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10919:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  254608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254625 */     GIR_RootConstrainSelectedInstOperands,
     /*  254626 */     // GIR_Coverage, 21265,
     /*  254626 */     GIR_EraseRootFromParent_Done,
     /*  254627 */   // Label 5177: @254627
     /*  254627 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(254693), // Rule ID 21268 //
     /*  254632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  254643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254671 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  254674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254691 */     GIR_RootConstrainSelectedInstOperands,
     /*  254692 */     // GIR_Coverage, 21268,
     /*  254692 */     GIR_EraseRootFromParent_Done,
     /*  254693 */   // Label 5178: @254693
     /*  254693 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(254759), // Rule ID 21269 //
     /*  254698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  254709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  254715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254737 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  254740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254757 */     GIR_RootConstrainSelectedInstOperands,
     /*  254758 */     // GIR_Coverage, 21269,
     /*  254758 */     GIR_EraseRootFromParent_Done,
     /*  254759 */   // Label 5179: @254759
     /*  254759 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(254825), // Rule ID 21272 //
     /*  254764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  254775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254803 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  254806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254823 */     GIR_RootConstrainSelectedInstOperands,
     /*  254824 */     // GIR_Coverage, 21272,
     /*  254824 */     GIR_EraseRootFromParent_Done,
     /*  254825 */   // Label 5180: @254825
     /*  254825 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(254891), // Rule ID 21273 //
     /*  254830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  254841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  254847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254869 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  254869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  254872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254889 */     GIR_RootConstrainSelectedInstOperands,
     /*  254890 */     // GIR_Coverage, 21273,
     /*  254890 */     GIR_EraseRootFromParent_Done,
     /*  254891 */   // Label 5181: @254891
     /*  254891 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(254957), // Rule ID 21276 //
     /*  254896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  254899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  254907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  254935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  254938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  254942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  254952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  254955 */     GIR_RootConstrainSelectedInstOperands,
     /*  254956 */     // GIR_Coverage, 21276,
     /*  254956 */     GIR_EraseRootFromParent_Done,
     /*  254957 */   // Label 5182: @254957
     /*  254957 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(255023), // Rule ID 21277 //
     /*  254962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  254965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  254970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  254973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  254979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255001 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  255004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255021 */     GIR_RootConstrainSelectedInstOperands,
     /*  255022 */     // GIR_Coverage, 21277,
     /*  255022 */     GIR_EraseRootFromParent_Done,
     /*  255023 */   // Label 5183: @255023
     /*  255023 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(255089), // Rule ID 21280 //
     /*  255028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  255039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  255045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255067 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  255070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255087 */     GIR_RootConstrainSelectedInstOperands,
     /*  255088 */     // GIR_Coverage, 21280,
     /*  255088 */     GIR_EraseRootFromParent_Done,
     /*  255089 */   // Label 5184: @255089
     /*  255089 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(255155), // Rule ID 21281 //
     /*  255094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  255105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  255111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255133 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10919:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  255136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255153 */     GIR_RootConstrainSelectedInstOperands,
     /*  255154 */     // GIR_Coverage, 21281,
     /*  255154 */     GIR_EraseRootFromParent_Done,
     /*  255155 */   // Label 5185: @255155
     /*  255155 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(255221), // Rule ID 21284 //
     /*  255160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  255171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  255177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255199 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  255202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255219 */     GIR_RootConstrainSelectedInstOperands,
     /*  255220 */     // GIR_Coverage, 21284,
     /*  255220 */     GIR_EraseRootFromParent_Done,
     /*  255221 */   // Label 5186: @255221
     /*  255221 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(255287), // Rule ID 21285 //
     /*  255226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  255237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  255240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  255243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255265 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10919:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  255268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255285 */     GIR_RootConstrainSelectedInstOperands,
     /*  255286 */     // GIR_Coverage, 21285,
     /*  255286 */     GIR_EraseRootFromParent_Done,
     /*  255287 */   // Label 5187: @255287
     /*  255287 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(255353), // Rule ID 21288 //
     /*  255292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  255303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255331 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  255334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255351 */     GIR_RootConstrainSelectedInstOperands,
     /*  255352 */     // GIR_Coverage, 21288,
     /*  255352 */     GIR_EraseRootFromParent_Done,
     /*  255353 */   // Label 5188: @255353
     /*  255353 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(255419), // Rule ID 21289 //
     /*  255358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  255369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  255372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  255375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255397 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10919:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  255400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255417 */     GIR_RootConstrainSelectedInstOperands,
     /*  255418 */     // GIR_Coverage, 21289,
     /*  255418 */     GIR_EraseRootFromParent_Done,
     /*  255419 */   // Label 5189: @255419
     /*  255419 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(255485), // Rule ID 21292 //
     /*  255424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  255427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  255435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255463 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  255463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  255466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255483 */     GIR_RootConstrainSelectedInstOperands,
     /*  255484 */     // GIR_Coverage, 21292,
     /*  255484 */     GIR_EraseRootFromParent_Done,
     /*  255485 */   // Label 5190: @255485
     /*  255485 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(255551), // Rule ID 21293 //
     /*  255490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  255493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  255498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  255501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  255504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  255507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  255518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255529 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10919:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  255529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  255532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255549 */     GIR_RootConstrainSelectedInstOperands,
     /*  255550 */     // GIR_Coverage, 21293,
     /*  255550 */     GIR_EraseRootFromParent_Done,
     /*  255551 */   // Label 5191: @255551
     /*  255551 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(255617), // Rule ID 21296 //
     /*  255556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  255567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  255573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255595 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  255598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255615 */     GIR_RootConstrainSelectedInstOperands,
     /*  255616 */     // GIR_Coverage, 21296,
     /*  255616 */     GIR_EraseRootFromParent_Done,
     /*  255617 */   // Label 5192: @255617
     /*  255617 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(255683), // Rule ID 21297 //
     /*  255622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  255633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  255639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255661 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  255664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255681 */     GIR_RootConstrainSelectedInstOperands,
     /*  255682 */     // GIR_Coverage, 21297,
     /*  255682 */     GIR_EraseRootFromParent_Done,
     /*  255683 */   // Label 5193: @255683
     /*  255683 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(255749), // Rule ID 21300 //
     /*  255688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  255699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  255705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255727 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  255730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255747 */     GIR_RootConstrainSelectedInstOperands,
     /*  255748 */     // GIR_Coverage, 21300,
     /*  255748 */     GIR_EraseRootFromParent_Done,
     /*  255749 */   // Label 5194: @255749
     /*  255749 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(255815), // Rule ID 21301 //
     /*  255754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  255765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  255771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255793 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10917:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  255796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255813 */     GIR_RootConstrainSelectedInstOperands,
     /*  255814 */     // GIR_Coverage, 21301,
     /*  255814 */     GIR_EraseRootFromParent_Done,
     /*  255815 */   // Label 5195: @255815
     /*  255815 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(255881), // Rule ID 21304 //
     /*  255820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  255831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  255837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255859 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  255862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255879 */     GIR_RootConstrainSelectedInstOperands,
     /*  255880 */     // GIR_Coverage, 21304,
     /*  255880 */     GIR_EraseRootFromParent_Done,
     /*  255881 */   // Label 5196: @255881
     /*  255881 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(255947), // Rule ID 21305 //
     /*  255886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  255889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  255897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  255900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  255903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255925 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  255925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  255928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  255945 */     GIR_RootConstrainSelectedInstOperands,
     /*  255946 */     // GIR_Coverage, 21305,
     /*  255946 */     GIR_EraseRootFromParent_Done,
     /*  255947 */   // Label 5197: @255947
     /*  255947 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(256013), // Rule ID 21308 //
     /*  255952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  255955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  255960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  255963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  255966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  255969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  255980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  255984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255991 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  255991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  255994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  255998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256011 */     GIR_RootConstrainSelectedInstOperands,
     /*  256012 */     // GIR_Coverage, 21308,
     /*  256012 */     GIR_EraseRootFromParent_Done,
     /*  256013 */   // Label 5198: @256013
     /*  256013 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(256079), // Rule ID 21309 //
     /*  256018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  256021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  256029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  256035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256057 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  256057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  256060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256077 */     GIR_RootConstrainSelectedInstOperands,
     /*  256078 */     // GIR_Coverage, 21309,
     /*  256078 */     GIR_EraseRootFromParent_Done,
     /*  256079 */   // Label 5199: @256079
     /*  256079 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(256145), // Rule ID 21312 //
     /*  256084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  256087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  256095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  256101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  256123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  256126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256143 */     GIR_RootConstrainSelectedInstOperands,
     /*  256144 */     // GIR_Coverage, 21312,
     /*  256144 */     GIR_EraseRootFromParent_Done,
     /*  256145 */   // Label 5200: @256145
     /*  256145 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(256211), // Rule ID 21313 //
     /*  256150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  256153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  256161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  256167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256189 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  256189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  256192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256209 */     GIR_RootConstrainSelectedInstOperands,
     /*  256210 */     // GIR_Coverage, 21313,
     /*  256210 */     GIR_EraseRootFromParent_Done,
     /*  256211 */   // Label 5201: @256211
     /*  256211 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(256277), // Rule ID 21316 //
     /*  256216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  256227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  256233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256255 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  256258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256275 */     GIR_RootConstrainSelectedInstOperands,
     /*  256276 */     // GIR_Coverage, 21316,
     /*  256276 */     GIR_EraseRootFromParent_Done,
     /*  256277 */   // Label 5202: @256277
     /*  256277 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(256343), // Rule ID 21317 //
     /*  256282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  256293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  256296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  256299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256321 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10917:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  256324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256341 */     GIR_RootConstrainSelectedInstOperands,
     /*  256342 */     // GIR_Coverage, 21317,
     /*  256342 */     GIR_EraseRootFromParent_Done,
     /*  256343 */   // Label 5203: @256343
     /*  256343 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(256409), // Rule ID 21320 //
     /*  256348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  256359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  256365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256387 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  256390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256407 */     GIR_RootConstrainSelectedInstOperands,
     /*  256408 */     // GIR_Coverage, 21320,
     /*  256408 */     GIR_EraseRootFromParent_Done,
     /*  256409 */   // Label 5204: @256409
     /*  256409 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(256475), // Rule ID 21321 //
     /*  256414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  256425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  256428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  256431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256453 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10917:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  256456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256473 */     GIR_RootConstrainSelectedInstOperands,
     /*  256474 */     // GIR_Coverage, 21321,
     /*  256474 */     GIR_EraseRootFromParent_Done,
     /*  256475 */   // Label 5205: @256475
     /*  256475 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(256541), // Rule ID 21324 //
     /*  256480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  256491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  256497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256519 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  256522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256539 */     GIR_RootConstrainSelectedInstOperands,
     /*  256540 */     // GIR_Coverage, 21324,
     /*  256540 */     GIR_EraseRootFromParent_Done,
     /*  256541 */   // Label 5206: @256541
     /*  256541 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(256607), // Rule ID 21325 //
     /*  256546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  256557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  256560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  256563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256585 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10917:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  256588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256605 */     GIR_RootConstrainSelectedInstOperands,
     /*  256606 */     // GIR_Coverage, 21325,
     /*  256606 */     GIR_EraseRootFromParent_Done,
     /*  256607 */   // Label 5207: @256607
     /*  256607 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(256673), // Rule ID 21328 //
     /*  256612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  256615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  256623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  256629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256651 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  256651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  256654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256671 */     GIR_RootConstrainSelectedInstOperands,
     /*  256672 */     // GIR_Coverage, 21328,
     /*  256672 */     GIR_EraseRootFromParent_Done,
     /*  256673 */   // Label 5208: @256673
     /*  256673 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(256739), // Rule ID 21329 //
     /*  256678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  256681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  256686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  256689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  256692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  256695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256717 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10917:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  256717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  256720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256737 */     GIR_RootConstrainSelectedInstOperands,
     /*  256738 */     // GIR_Coverage, 21329,
     /*  256738 */     GIR_EraseRootFromParent_Done,
     /*  256739 */   // Label 5209: @256739
     /*  256739 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(256805), // Rule ID 21572 //
     /*  256744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  256747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  256755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256783 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  256783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  256786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256803 */     GIR_RootConstrainSelectedInstOperands,
     /*  256804 */     // GIR_Coverage, 21572,
     /*  256804 */     GIR_EraseRootFromParent_Done,
     /*  256805 */   // Label 5210: @256805
     /*  256805 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(256871), // Rule ID 21573 //
     /*  256810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  256813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  256821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  256824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  256827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  256849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  256852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256869 */     GIR_RootConstrainSelectedInstOperands,
     /*  256870 */     // GIR_Coverage, 21573,
     /*  256870 */     GIR_EraseRootFromParent_Done,
     /*  256871 */   // Label 5211: @256871
     /*  256871 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(256937), // Rule ID 21576 //
     /*  256876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  256879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  256887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  256893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  256915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  256918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  256935 */     GIR_RootConstrainSelectedInstOperands,
     /*  256936 */     // GIR_Coverage, 21576,
     /*  256936 */     GIR_EraseRootFromParent_Done,
     /*  256937 */   // Label 5212: @256937
     /*  256937 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(257003), // Rule ID 21577 //
     /*  256942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  256945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  256950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  256953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  256956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  256959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256981 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  256981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  256984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  256988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257001 */     GIR_RootConstrainSelectedInstOperands,
     /*  257002 */     // GIR_Coverage, 21577,
     /*  257002 */     GIR_EraseRootFromParent_Done,
     /*  257003 */   // Label 5213: @257003
     /*  257003 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(257069), // Rule ID 21580 //
     /*  257008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  257019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257067 */     GIR_RootConstrainSelectedInstOperands,
     /*  257068 */     // GIR_Coverage, 21580,
     /*  257068 */     GIR_EraseRootFromParent_Done,
     /*  257069 */   // Label 5214: @257069
     /*  257069 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(257135), // Rule ID 21581 //
     /*  257074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  257085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  257091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257113 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257133 */     GIR_RootConstrainSelectedInstOperands,
     /*  257134 */     // GIR_Coverage, 21581,
     /*  257134 */     GIR_EraseRootFromParent_Done,
     /*  257135 */   // Label 5215: @257135
     /*  257135 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(257201), // Rule ID 21584 //
     /*  257140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  257151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  257157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257179 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257199 */     GIR_RootConstrainSelectedInstOperands,
     /*  257200 */     // GIR_Coverage, 21584,
     /*  257200 */     GIR_EraseRootFromParent_Done,
     /*  257201 */   // Label 5216: @257201
     /*  257201 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(257267), // Rule ID 21585 //
     /*  257206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  257217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  257220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  257223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10867:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257265 */     GIR_RootConstrainSelectedInstOperands,
     /*  257266 */     // GIR_Coverage, 21585,
     /*  257266 */     GIR_EraseRootFromParent_Done,
     /*  257267 */   // Label 5217: @257267
     /*  257267 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(257333), // Rule ID 21588 //
     /*  257272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  257283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  257289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257331 */     GIR_RootConstrainSelectedInstOperands,
     /*  257332 */     // GIR_Coverage, 21588,
     /*  257332 */     GIR_EraseRootFromParent_Done,
     /*  257333 */   // Label 5218: @257333
     /*  257333 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(257399), // Rule ID 21589 //
     /*  257338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  257349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  257352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  257355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257397 */     GIR_RootConstrainSelectedInstOperands,
     /*  257398 */     // GIR_Coverage, 21589,
     /*  257398 */     GIR_EraseRootFromParent_Done,
     /*  257399 */   // Label 5219: @257399
     /*  257399 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(257465), // Rule ID 21592 //
     /*  257404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  257407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  257415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  257421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  257443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  257446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257463 */     GIR_RootConstrainSelectedInstOperands,
     /*  257464 */     // GIR_Coverage, 21592,
     /*  257464 */     GIR_EraseRootFromParent_Done,
     /*  257465 */   // Label 5220: @257465
     /*  257465 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(257531), // Rule ID 21593 //
     /*  257470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  257473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  257481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  257484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  257487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257509 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  257509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  257512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257529 */     GIR_RootConstrainSelectedInstOperands,
     /*  257530 */     // GIR_Coverage, 21593,
     /*  257530 */     GIR_EraseRootFromParent_Done,
     /*  257531 */   // Label 5221: @257531
     /*  257531 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(257597), // Rule ID 21596 //
     /*  257536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  257547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  257578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257595 */     GIR_RootConstrainSelectedInstOperands,
     /*  257596 */     // GIR_Coverage, 21596,
     /*  257596 */     GIR_EraseRootFromParent_Done,
     /*  257597 */   // Label 5222: @257597
     /*  257597 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(257663), // Rule ID 21597 //
     /*  257602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  257613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  257619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257641 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  257644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257661 */     GIR_RootConstrainSelectedInstOperands,
     /*  257662 */     // GIR_Coverage, 21597,
     /*  257662 */     GIR_EraseRootFromParent_Done,
     /*  257663 */   // Label 5223: @257663
     /*  257663 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(257729), // Rule ID 21600 //
     /*  257668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  257679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257727 */     GIR_RootConstrainSelectedInstOperands,
     /*  257728 */     // GIR_Coverage, 21600,
     /*  257728 */     GIR_EraseRootFromParent_Done,
     /*  257729 */   // Label 5224: @257729
     /*  257729 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(257795), // Rule ID 21601 //
     /*  257734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  257745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  257748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  257751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  257776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257793 */     GIR_RootConstrainSelectedInstOperands,
     /*  257794 */     // GIR_Coverage, 21601,
     /*  257794 */     GIR_EraseRootFromParent_Done,
     /*  257795 */   // Label 5225: @257795
     /*  257795 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(257861), // Rule ID 21604 //
     /*  257800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  257811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  257817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257839 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257859 */     GIR_RootConstrainSelectedInstOperands,
     /*  257860 */     // GIR_Coverage, 21604,
     /*  257860 */     GIR_EraseRootFromParent_Done,
     /*  257861 */   // Label 5226: @257861
     /*  257861 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(257927), // Rule ID 21605 //
     /*  257866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  257869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  257877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  257880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  257883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257905 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10867:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  257905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  257908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257925 */     GIR_RootConstrainSelectedInstOperands,
     /*  257926 */     // GIR_Coverage, 21605,
     /*  257926 */     GIR_EraseRootFromParent_Done,
     /*  257927 */   // Label 5227: @257927
     /*  257927 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(257993), // Rule ID 21608 //
     /*  257932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  257935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  257940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  257943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  257946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  257949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  257971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  257974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  257978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  257991 */     GIR_RootConstrainSelectedInstOperands,
     /*  257992 */     // GIR_Coverage, 21608,
     /*  257992 */     GIR_EraseRootFromParent_Done,
     /*  257993 */   // Label 5228: @257993
     /*  257993 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(258059), // Rule ID 21609 //
     /*  257998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  258001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  258009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  258012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  258015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  258037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258057 */     GIR_RootConstrainSelectedInstOperands,
     /*  258058 */     // GIR_Coverage, 21609,
     /*  258058 */     GIR_EraseRootFromParent_Done,
     /*  258059 */   // Label 5229: @258059
     /*  258059 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(258125), // Rule ID 21612 //
     /*  258064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  258067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  258075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  258103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258123 */     GIR_RootConstrainSelectedInstOperands,
     /*  258124 */     // GIR_Coverage, 21612,
     /*  258124 */     GIR_EraseRootFromParent_Done,
     /*  258125 */   // Label 5230: @258125
     /*  258125 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(258191), // Rule ID 21613 //
     /*  258130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  258133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  258141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  258144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  258147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  258169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258189 */     GIR_RootConstrainSelectedInstOperands,
     /*  258190 */     // GIR_Coverage, 21613,
     /*  258190 */     GIR_EraseRootFromParent_Done,
     /*  258191 */   // Label 5231: @258191
     /*  258191 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(258257), // Rule ID 21616 //
     /*  258196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  258207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  258238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258255 */     GIR_RootConstrainSelectedInstOperands,
     /*  258256 */     // GIR_Coverage, 21616,
     /*  258256 */     GIR_EraseRootFromParent_Done,
     /*  258257 */   // Label 5232: @258257
     /*  258257 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(258323), // Rule ID 21617 //
     /*  258262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  258273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  258304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258321 */     GIR_RootConstrainSelectedInstOperands,
     /*  258322 */     // GIR_Coverage, 21617,
     /*  258322 */     GIR_EraseRootFromParent_Done,
     /*  258323 */   // Label 5233: @258323
     /*  258323 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(258389), // Rule ID 21620 //
     /*  258328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  258339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  258370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258387 */     GIR_RootConstrainSelectedInstOperands,
     /*  258388 */     // GIR_Coverage, 21620,
     /*  258388 */     GIR_EraseRootFromParent_Done,
     /*  258389 */   // Label 5234: @258389
     /*  258389 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(258455), // Rule ID 21621 //
     /*  258394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  258405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  258411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10867:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  258436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258453 */     GIR_RootConstrainSelectedInstOperands,
     /*  258454 */     // GIR_Coverage, 21621,
     /*  258454 */     GIR_EraseRootFromParent_Done,
     /*  258455 */   // Label 5235: @258455
     /*  258455 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(258521), // Rule ID 21624 //
     /*  258460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  258471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  258477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258519 */     GIR_RootConstrainSelectedInstOperands,
     /*  258520 */     // GIR_Coverage, 21624,
     /*  258520 */     GIR_EraseRootFromParent_Done,
     /*  258521 */   // Label 5236: @258521
     /*  258521 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(258587), // Rule ID 21625 //
     /*  258526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  258537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  258540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  258543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10867:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  258568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258585 */     GIR_RootConstrainSelectedInstOperands,
     /*  258586 */     // GIR_Coverage, 21625,
     /*  258586 */     GIR_EraseRootFromParent_Done,
     /*  258587 */   // Label 5237: @258587
     /*  258587 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(258653), // Rule ID 21628 //
     /*  258592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  258595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  258603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  258609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  258631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258651 */     GIR_RootConstrainSelectedInstOperands,
     /*  258652 */     // GIR_Coverage, 21628,
     /*  258652 */     GIR_EraseRootFromParent_Done,
     /*  258653 */   // Label 5238: @258653
     /*  258653 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(258719), // Rule ID 21629 //
     /*  258658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  258661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  258666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  258669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  258672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  258675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  258690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10867:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  258697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  258700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258717 */     GIR_RootConstrainSelectedInstOperands,
     /*  258718 */     // GIR_Coverage, 21629,
     /*  258718 */     GIR_EraseRootFromParent_Done,
     /*  258719 */   // Label 5239: @258719
     /*  258719 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(258785), // Rule ID 21632 //
     /*  258724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  258735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  258738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  258763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  258766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258783 */     GIR_RootConstrainSelectedInstOperands,
     /*  258784 */     // GIR_Coverage, 21632,
     /*  258784 */     GIR_EraseRootFromParent_Done,
     /*  258785 */   // Label 5240: @258785
     /*  258785 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(258851), // Rule ID 21633 //
     /*  258790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  258793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  258801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  258804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  258807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258829 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  258829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  258832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258849 */     GIR_RootConstrainSelectedInstOperands,
     /*  258850 */     // GIR_Coverage, 21633,
     /*  258850 */     GIR_EraseRootFromParent_Done,
     /*  258851 */   // Label 5241: @258851
     /*  258851 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(258917), // Rule ID 21636 //
     /*  258856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  258867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258895 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  258895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  258898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258915 */     GIR_RootConstrainSelectedInstOperands,
     /*  258916 */     // GIR_Coverage, 21636,
     /*  258916 */     GIR_EraseRootFromParent_Done,
     /*  258917 */   // Label 5242: @258917
     /*  258917 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(258983), // Rule ID 21637 //
     /*  258922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  258925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  258933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  258936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  258961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  258964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  258968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  258981 */     GIR_RootConstrainSelectedInstOperands,
     /*  258982 */     // GIR_Coverage, 21637,
     /*  258982 */     GIR_EraseRootFromParent_Done,
     /*  258983 */   // Label 5243: @258983
     /*  258983 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(259049), // Rule ID 21640 //
     /*  258988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  258991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  258996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  258999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259047 */     GIR_RootConstrainSelectedInstOperands,
     /*  259048 */     // GIR_Coverage, 21640,
     /*  259048 */     GIR_EraseRootFromParent_Done,
     /*  259049 */   // Label 5244: @259049
     /*  259049 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(259115), // Rule ID 21641 //
     /*  259054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  259065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  259068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  259071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259093 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259113 */     GIR_RootConstrainSelectedInstOperands,
     /*  259114 */     // GIR_Coverage, 21641,
     /*  259114 */     GIR_EraseRootFromParent_Done,
     /*  259115 */   // Label 5245: @259115
     /*  259115 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(259181), // Rule ID 21644 //
     /*  259120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  259131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259159 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259179 */     GIR_RootConstrainSelectedInstOperands,
     /*  259180 */     // GIR_Coverage, 21644,
     /*  259180 */     GIR_EraseRootFromParent_Done,
     /*  259181 */   // Label 5246: @259181
     /*  259181 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(259247), // Rule ID 21645 //
     /*  259186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  259197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  259200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10865:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259245 */     GIR_RootConstrainSelectedInstOperands,
     /*  259246 */     // GIR_Coverage, 21645,
     /*  259246 */     GIR_EraseRootFromParent_Done,
     /*  259247 */   // Label 5247: @259247
     /*  259247 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(259313), // Rule ID 21648 //
     /*  259252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  259263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259311 */     GIR_RootConstrainSelectedInstOperands,
     /*  259312 */     // GIR_Coverage, 21648,
     /*  259312 */     GIR_EraseRootFromParent_Done,
     /*  259313 */   // Label 5248: @259313
     /*  259313 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(259379), // Rule ID 21649 //
     /*  259318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  259329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  259332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259357 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259377 */     GIR_RootConstrainSelectedInstOperands,
     /*  259378 */     // GIR_Coverage, 21649,
     /*  259378 */     GIR_EraseRootFromParent_Done,
     /*  259379 */   // Label 5249: @259379
     /*  259379 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(259445), // Rule ID 21652 //
     /*  259384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  259387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  259395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  259423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  259426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259443 */     GIR_RootConstrainSelectedInstOperands,
     /*  259444 */     // GIR_Coverage, 21652,
     /*  259444 */     GIR_EraseRootFromParent_Done,
     /*  259445 */   // Label 5250: @259445
     /*  259445 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(259511), // Rule ID 21653 //
     /*  259450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  259453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  259461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  259464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  259489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  259492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259509 */     GIR_RootConstrainSelectedInstOperands,
     /*  259510 */     // GIR_Coverage, 21653,
     /*  259510 */     GIR_EraseRootFromParent_Done,
     /*  259511 */   // Label 5251: @259511
     /*  259511 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(259577), // Rule ID 21656 //
     /*  259516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  259527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  259558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259575 */     GIR_RootConstrainSelectedInstOperands,
     /*  259576 */     // GIR_Coverage, 21656,
     /*  259576 */     GIR_EraseRootFromParent_Done,
     /*  259577 */   // Label 5252: @259577
     /*  259577 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(259643), // Rule ID 21657 //
     /*  259582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  259593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  259596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  259599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  259624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259641 */     GIR_RootConstrainSelectedInstOperands,
     /*  259642 */     // GIR_Coverage, 21657,
     /*  259642 */     GIR_EraseRootFromParent_Done,
     /*  259643 */   // Label 5253: @259643
     /*  259643 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(259709), // Rule ID 21660 //
     /*  259648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  259659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259707 */     GIR_RootConstrainSelectedInstOperands,
     /*  259708 */     // GIR_Coverage, 21660,
     /*  259708 */     GIR_EraseRootFromParent_Done,
     /*  259709 */   // Label 5254: @259709
     /*  259709 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(259775), // Rule ID 21661 //
     /*  259714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  259725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  259728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  259731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  259756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259773 */     GIR_RootConstrainSelectedInstOperands,
     /*  259774 */     // GIR_Coverage, 21661,
     /*  259774 */     GIR_EraseRootFromParent_Done,
     /*  259775 */   // Label 5255: @259775
     /*  259775 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(259841), // Rule ID 21664 //
     /*  259780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  259791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259839 */     GIR_RootConstrainSelectedInstOperands,
     /*  259840 */     // GIR_Coverage, 21664,
     /*  259840 */     GIR_EraseRootFromParent_Done,
     /*  259841 */   // Label 5256: @259841
     /*  259841 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(259907), // Rule ID 21665 //
     /*  259846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  259857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  259860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10865:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  259885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  259888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259905 */     GIR_RootConstrainSelectedInstOperands,
     /*  259906 */     // GIR_Coverage, 21665,
     /*  259906 */     GIR_EraseRootFromParent_Done,
     /*  259907 */   // Label 5257: @259907
     /*  259907 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(259973), // Rule ID 21668 //
     /*  259912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  259915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  259923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259951 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  259951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  259954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  259958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  259971 */     GIR_RootConstrainSelectedInstOperands,
     /*  259972 */     // GIR_Coverage, 21668,
     /*  259972 */     GIR_EraseRootFromParent_Done,
     /*  259973 */   // Label 5258: @259973
     /*  259973 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(260039), // Rule ID 21669 //
     /*  259978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  259981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  259986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  259989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260017 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  260020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260037 */     GIR_RootConstrainSelectedInstOperands,
     /*  260038 */     // GIR_Coverage, 21669,
     /*  260038 */     GIR_EraseRootFromParent_Done,
     /*  260039 */   // Label 5259: @260039
     /*  260039 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(260105), // Rule ID 21672 //
     /*  260044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  260047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  260055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260103 */     GIR_RootConstrainSelectedInstOperands,
     /*  260104 */     // GIR_Coverage, 21672,
     /*  260104 */     GIR_EraseRootFromParent_Done,
     /*  260105 */   // Label 5260: @260105
     /*  260105 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(260171), // Rule ID 21673 //
     /*  260110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  260113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  260121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  260124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  260127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260149 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260169 */     GIR_RootConstrainSelectedInstOperands,
     /*  260170 */     // GIR_Coverage, 21673,
     /*  260170 */     GIR_EraseRootFromParent_Done,
     /*  260171 */   // Label 5261: @260171
     /*  260171 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(260237), // Rule ID 21676 //
     /*  260176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  260187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  260193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260215 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  260218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260235 */     GIR_RootConstrainSelectedInstOperands,
     /*  260236 */     // GIR_Coverage, 21676,
     /*  260236 */     GIR_EraseRootFromParent_Done,
     /*  260237 */   // Label 5262: @260237
     /*  260237 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(260303), // Rule ID 21677 //
     /*  260242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  260253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  260259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  260284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260301 */     GIR_RootConstrainSelectedInstOperands,
     /*  260302 */     // GIR_Coverage, 21677,
     /*  260302 */     GIR_EraseRootFromParent_Done,
     /*  260303 */   // Label 5263: @260303
     /*  260303 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(260369), // Rule ID 21680 //
     /*  260308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  260319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  260350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260367 */     GIR_RootConstrainSelectedInstOperands,
     /*  260368 */     // GIR_Coverage, 21680,
     /*  260368 */     GIR_EraseRootFromParent_Done,
     /*  260369 */   // Label 5264: @260369
     /*  260369 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(260435), // Rule ID 21681 //
     /*  260374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  260385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  260388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  260391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260413 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10865:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  260416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260433 */     GIR_RootConstrainSelectedInstOperands,
     /*  260434 */     // GIR_Coverage, 21681,
     /*  260434 */     GIR_EraseRootFromParent_Done,
     /*  260435 */   // Label 5265: @260435
     /*  260435 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(260501), // Rule ID 21684 //
     /*  260440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  260451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  260482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260499 */     GIR_RootConstrainSelectedInstOperands,
     /*  260500 */     // GIR_Coverage, 21684,
     /*  260500 */     GIR_EraseRootFromParent_Done,
     /*  260501 */   // Label 5266: @260501
     /*  260501 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(260567), // Rule ID 21685 //
     /*  260506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  260517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  260520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  260534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10865:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  260548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260565 */     GIR_RootConstrainSelectedInstOperands,
     /*  260566 */     // GIR_Coverage, 21685,
     /*  260566 */     GIR_EraseRootFromParent_Done,
     /*  260567 */   // Label 5267: @260567
     /*  260567 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(260633), // Rule ID 21688 //
     /*  260572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  260575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  260583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  260611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260631 */     GIR_RootConstrainSelectedInstOperands,
     /*  260632 */     // GIR_Coverage, 21688,
     /*  260632 */     GIR_EraseRootFromParent_Done,
     /*  260633 */   // Label 5268: @260633
     /*  260633 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(260699), // Rule ID 21689 //
     /*  260638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  260641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  260646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  260649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  260652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10865:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  260677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  260680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260697 */     GIR_RootConstrainSelectedInstOperands,
     /*  260698 */     // GIR_Coverage, 21689,
     /*  260698 */     GIR_EraseRootFromParent_Done,
     /*  260699 */   // Label 5269: @260699
     /*  260699 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(260765), // Rule ID 21800 //
     /*  260704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  260715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  260721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260743 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  260746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260763 */     GIR_RootConstrainSelectedInstOperands,
     /*  260764 */     // GIR_Coverage, 21800,
     /*  260764 */     GIR_EraseRootFromParent_Done,
     /*  260765 */   // Label 5270: @260765
     /*  260765 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(260831), // Rule ID 21801 //
     /*  260770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  260773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  260781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  260787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260809 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  260812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260829 */     GIR_RootConstrainSelectedInstOperands,
     /*  260830 */     // GIR_Coverage, 21801,
     /*  260830 */     GIR_EraseRootFromParent_Done,
     /*  260831 */   // Label 5271: @260831
     /*  260831 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(260897), // Rule ID 21804 //
     /*  260836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  260847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  260853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260875 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  260875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  260878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260895 */     GIR_RootConstrainSelectedInstOperands,
     /*  260896 */     // GIR_Coverage, 21804,
     /*  260896 */     GIR_EraseRootFromParent_Done,
     /*  260897 */   // Label 5272: @260897
     /*  260897 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(260963), // Rule ID 21805 //
     /*  260902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  260905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  260913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  260919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260941 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  260941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  260944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  260948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  260961 */     GIR_RootConstrainSelectedInstOperands,
     /*  260962 */     // GIR_Coverage, 21805,
     /*  260962 */     GIR_EraseRootFromParent_Done,
     /*  260963 */   // Label 5273: @260963
     /*  260963 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(261029), // Rule ID 21808 //
     /*  260968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  260971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  260976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  260979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  260982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  260985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261007 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  261007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  261010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261027 */     GIR_RootConstrainSelectedInstOperands,
     /*  261028 */     // GIR_Coverage, 21808,
     /*  261028 */     GIR_EraseRootFromParent_Done,
     /*  261029 */   // Label 5274: @261029
     /*  261029 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(261095), // Rule ID 21809 //
     /*  261034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  261045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  261051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261073 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10863:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  261076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261093 */     GIR_RootConstrainSelectedInstOperands,
     /*  261094 */     // GIR_Coverage, 21809,
     /*  261094 */     GIR_EraseRootFromParent_Done,
     /*  261095 */   // Label 5275: @261095
     /*  261095 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(261161), // Rule ID 21812 //
     /*  261100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  261103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  261111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  261117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261139 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  261139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  261142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261159 */     GIR_RootConstrainSelectedInstOperands,
     /*  261160 */     // GIR_Coverage, 21812,
     /*  261160 */     GIR_EraseRootFromParent_Done,
     /*  261161 */   // Label 5276: @261161
     /*  261161 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(261227), // Rule ID 21813 //
     /*  261166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  261177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  261183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261205 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  261208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261225 */     GIR_RootConstrainSelectedInstOperands,
     /*  261226 */     // GIR_Coverage, 21813,
     /*  261226 */     GIR_EraseRootFromParent_Done,
     /*  261227 */   // Label 5277: @261227
     /*  261227 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(261293), // Rule ID 21816 //
     /*  261232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  261235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  261243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261271 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  261271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  261274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261291 */     GIR_RootConstrainSelectedInstOperands,
     /*  261292 */     // GIR_Coverage, 21816,
     /*  261292 */     GIR_EraseRootFromParent_Done,
     /*  261293 */   // Label 5278: @261293
     /*  261293 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(261359), // Rule ID 21817 //
     /*  261298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  261301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  261309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  261312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  261315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261337 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  261337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  261340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261357 */     GIR_RootConstrainSelectedInstOperands,
     /*  261358 */     // GIR_Coverage, 21817,
     /*  261358 */     GIR_EraseRootFromParent_Done,
     /*  261359 */   // Label 5279: @261359
     /*  261359 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(261425), // Rule ID 21820 //
     /*  261364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  261375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  261381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261403 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  261406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261423 */     GIR_RootConstrainSelectedInstOperands,
     /*  261424 */     // GIR_Coverage, 21820,
     /*  261424 */     GIR_EraseRootFromParent_Done,
     /*  261425 */   // Label 5280: @261425
     /*  261425 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(261491), // Rule ID 21821 //
     /*  261430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  261441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  261444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  261447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261469 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  261472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261489 */     GIR_RootConstrainSelectedInstOperands,
     /*  261490 */     // GIR_Coverage, 21821,
     /*  261490 */     GIR_EraseRootFromParent_Done,
     /*  261491 */   // Label 5281: @261491
     /*  261491 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(261557), // Rule ID 21824 //
     /*  261496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  261507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261535 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  261538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261555 */     GIR_RootConstrainSelectedInstOperands,
     /*  261556 */     // GIR_Coverage, 21824,
     /*  261556 */     GIR_EraseRootFromParent_Done,
     /*  261557 */   // Label 5282: @261557
     /*  261557 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(261623), // Rule ID 21825 //
     /*  261562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  261573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  261579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261601 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10863:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  261604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261621 */     GIR_RootConstrainSelectedInstOperands,
     /*  261622 */     // GIR_Coverage, 21825,
     /*  261622 */     GIR_EraseRootFromParent_Done,
     /*  261623 */   // Label 5283: @261623
     /*  261623 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(261689), // Rule ID 21828 //
     /*  261628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  261639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261667 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  261670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261687 */     GIR_RootConstrainSelectedInstOperands,
     /*  261688 */     // GIR_Coverage, 21828,
     /*  261688 */     GIR_EraseRootFromParent_Done,
     /*  261689 */   // Label 5284: @261689
     /*  261689 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(261755), // Rule ID 21829 //
     /*  261694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  261705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  261708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  261711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261733 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10863:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  261736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261753 */     GIR_RootConstrainSelectedInstOperands,
     /*  261754 */     // GIR_Coverage, 21829,
     /*  261754 */     GIR_EraseRootFromParent_Done,
     /*  261755 */   // Label 5285: @261755
     /*  261755 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(261821), // Rule ID 21832 //
     /*  261760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  261763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  261771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261799 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  261799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  261802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261819 */     GIR_RootConstrainSelectedInstOperands,
     /*  261820 */     // GIR_Coverage, 21832,
     /*  261820 */     GIR_EraseRootFromParent_Done,
     /*  261821 */   // Label 5286: @261821
     /*  261821 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(261887), // Rule ID 21833 //
     /*  261826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  261829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  261834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  261837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  261840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  261843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261865 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10863:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  261865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  261868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  261872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261885 */     GIR_RootConstrainSelectedInstOperands,
     /*  261886 */     // GIR_Coverage, 21833,
     /*  261886 */     GIR_EraseRootFromParent_Done,
     /*  261887 */   // Label 5287: @261887
     /*  261887 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(261950), // Rule ID 23004 //
     /*  261892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  261900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  261906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  261909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261931 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  261931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  261934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  261948 */     GIR_RootConstrainSelectedInstOperands,
     /*  261949 */     // GIR_Coverage, 23004,
     /*  261949 */     GIR_EraseRootFromParent_Done,
     /*  261950 */   // Label 5288: @261950
     /*  261950 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(262013), // Rule ID 23005 //
     /*  261955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  261963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  261969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  261972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  261994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  261997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262011 */     GIR_RootConstrainSelectedInstOperands,
     /*  262012 */     // GIR_Coverage, 23005,
     /*  262012 */     GIR_EraseRootFromParent_Done,
     /*  262013 */   // Label 5289: @262013
     /*  262013 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(262076), // Rule ID 23006 //
     /*  262018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  262060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262074 */     GIR_RootConstrainSelectedInstOperands,
     /*  262075 */     // GIR_Coverage, 23006,
     /*  262075 */     GIR_EraseRootFromParent_Done,
     /*  262076 */   // Label 5290: @262076
     /*  262076 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(262139), // Rule ID 23007 //
     /*  262081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262120 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  262123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262137 */     GIR_RootConstrainSelectedInstOperands,
     /*  262138 */     // GIR_Coverage, 23007,
     /*  262138 */     GIR_EraseRootFromParent_Done,
     /*  262139 */   // Label 5291: @262139
     /*  262139 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(262202), // Rule ID 23008 //
     /*  262144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  262158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  262161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262183 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  262186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262200 */     GIR_RootConstrainSelectedInstOperands,
     /*  262201 */     // GIR_Coverage, 23008,
     /*  262201 */     GIR_EraseRootFromParent_Done,
     /*  262202 */   // Label 5292: @262202
     /*  262202 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(262265), // Rule ID 23009 //
     /*  262207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  262221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  262224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262246 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  262249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262263 */     GIR_RootConstrainSelectedInstOperands,
     /*  262264 */     // GIR_Coverage, 23009,
     /*  262264 */     GIR_EraseRootFromParent_Done,
     /*  262265 */   // Label 5293: @262265
     /*  262265 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(262328), // Rule ID 23010 //
     /*  262270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  262284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  262287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  262312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262326 */     GIR_RootConstrainSelectedInstOperands,
     /*  262327 */     // GIR_Coverage, 23010,
     /*  262327 */     GIR_EraseRootFromParent_Done,
     /*  262328 */   // Label 5294: @262328
     /*  262328 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(262391), // Rule ID 23011 //
     /*  262333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  262347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  262350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262372 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  262375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262389 */     GIR_RootConstrainSelectedInstOperands,
     /*  262390 */     // GIR_Coverage, 23011,
     /*  262390 */     GIR_EraseRootFromParent_Done,
     /*  262391 */   // Label 5295: @262391
     /*  262391 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(262454), // Rule ID 23012 //
     /*  262396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  262410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  262413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262435 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  262438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262452 */     GIR_RootConstrainSelectedInstOperands,
     /*  262453 */     // GIR_Coverage, 23012,
     /*  262453 */     GIR_EraseRootFromParent_Done,
     /*  262454 */   // Label 5296: @262454
     /*  262454 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(262517), // Rule ID 23013 //
     /*  262459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  262473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  262476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262498 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  262501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262515 */     GIR_RootConstrainSelectedInstOperands,
     /*  262516 */     // GIR_Coverage, 23013,
     /*  262516 */     GIR_EraseRootFromParent_Done,
     /*  262517 */   // Label 5297: @262517
     /*  262517 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(262580), // Rule ID 23014 //
     /*  262522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  262536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  262539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262561 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  262564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262578 */     GIR_RootConstrainSelectedInstOperands,
     /*  262579 */     // GIR_Coverage, 23014,
     /*  262579 */     GIR_EraseRootFromParent_Done,
     /*  262580 */   // Label 5298: @262580
     /*  262580 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(262643), // Rule ID 23015 //
     /*  262585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  262593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  262596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  262599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  262602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262624 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11046:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  262627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262641 */     GIR_RootConstrainSelectedInstOperands,
     /*  262642 */     // GIR_Coverage, 23015,
     /*  262642 */     GIR_EraseRootFromParent_Done,
     /*  262643 */   // Label 5299: @262643
     /*  262643 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(262706), // Rule ID 23016 //
     /*  262648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  262662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  262665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  262690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262704 */     GIR_RootConstrainSelectedInstOperands,
     /*  262705 */     // GIR_Coverage, 23016,
     /*  262705 */     GIR_EraseRootFromParent_Done,
     /*  262706 */   // Label 5300: @262706
     /*  262706 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(262769), // Rule ID 23017 //
     /*  262711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  262722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  262725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  262728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262750 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  262753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262767 */     GIR_RootConstrainSelectedInstOperands,
     /*  262768 */     // GIR_Coverage, 23017,
     /*  262768 */     GIR_EraseRootFromParent_Done,
     /*  262769 */   // Label 5301: @262769
     /*  262769 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(262832), // Rule ID 23018 //
     /*  262774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  262788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  262791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  262816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262830 */     GIR_RootConstrainSelectedInstOperands,
     /*  262831 */     // GIR_Coverage, 23018,
     /*  262831 */     GIR_EraseRootFromParent_Done,
     /*  262832 */   // Label 5302: @262832
     /*  262832 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(262895), // Rule ID 23019 //
     /*  262837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  262851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  262854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262876 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  262876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  262879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262893 */     GIR_RootConstrainSelectedInstOperands,
     /*  262894 */     // GIR_Coverage, 23019,
     /*  262894 */     GIR_EraseRootFromParent_Done,
     /*  262895 */   // Label 5303: @262895
     /*  262895 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(262958), // Rule ID 23020 //
     /*  262900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262939 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  262939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  262942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  262956 */     GIR_RootConstrainSelectedInstOperands,
     /*  262957 */     // GIR_Coverage, 23020,
     /*  262957 */     GIR_EraseRootFromParent_Done,
     /*  262958 */   // Label 5304: @262958
     /*  262958 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(263021), // Rule ID 23021 //
     /*  262963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  262971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  262977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  262980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  263005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263019 */     GIR_RootConstrainSelectedInstOperands,
     /*  263020 */     // GIR_Coverage, 23021,
     /*  263020 */     GIR_EraseRootFromParent_Done,
     /*  263021 */   // Label 5305: @263021
     /*  263021 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(263084), // Rule ID 23022 //
     /*  263026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  263068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263082 */     GIR_RootConstrainSelectedInstOperands,
     /*  263083 */     // GIR_Coverage, 23022,
     /*  263083 */     GIR_EraseRootFromParent_Done,
     /*  263084 */   // Label 5306: @263084
     /*  263084 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(263147), // Rule ID 23023 //
     /*  263089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  263131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263145 */     GIR_RootConstrainSelectedInstOperands,
     /*  263146 */     // GIR_Coverage, 23023,
     /*  263146 */     GIR_EraseRootFromParent_Done,
     /*  263147 */   // Label 5307: @263147
     /*  263147 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(263210), // Rule ID 23024 //
     /*  263152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  263166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  263169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263191 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  263194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263208 */     GIR_RootConstrainSelectedInstOperands,
     /*  263209 */     // GIR_Coverage, 23024,
     /*  263209 */     GIR_EraseRootFromParent_Done,
     /*  263210 */   // Label 5308: @263210
     /*  263210 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(263273), // Rule ID 23025 //
     /*  263215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  263226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  263229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  263232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  263257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263271 */     GIR_RootConstrainSelectedInstOperands,
     /*  263272 */     // GIR_Coverage, 23025,
     /*  263272 */     GIR_EraseRootFromParent_Done,
     /*  263273 */   // Label 5309: @263273
     /*  263273 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(263336), // Rule ID 23026 //
     /*  263278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  263292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  263295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263317 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  263320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263334 */     GIR_RootConstrainSelectedInstOperands,
     /*  263335 */     // GIR_Coverage, 23026,
     /*  263335 */     GIR_EraseRootFromParent_Done,
     /*  263336 */   // Label 5310: @263336
     /*  263336 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(263399), // Rule ID 23027 //
     /*  263341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  263352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  263355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  263358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  263383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263397 */     GIR_RootConstrainSelectedInstOperands,
     /*  263398 */     // GIR_Coverage, 23027,
     /*  263398 */     GIR_EraseRootFromParent_Done,
     /*  263399 */   // Label 5311: @263399
     /*  263399 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(263462), // Rule ID 23028 //
     /*  263404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  263418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  263421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263443 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  263446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263460 */     GIR_RootConstrainSelectedInstOperands,
     /*  263461 */     // GIR_Coverage, 23028,
     /*  263461 */     GIR_EraseRootFromParent_Done,
     /*  263462 */   // Label 5312: @263462
     /*  263462 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(263525), // Rule ID 23029 //
     /*  263467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  263475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  263478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  263481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  263484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263506 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11070:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  263509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263523 */     GIR_RootConstrainSelectedInstOperands,
     /*  263524 */     // GIR_Coverage, 23029,
     /*  263524 */     GIR_EraseRootFromParent_Done,
     /*  263525 */   // Label 5313: @263525
     /*  263525 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(263588), // Rule ID 23030 //
     /*  263530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  263544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  263547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  263572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263586 */     GIR_RootConstrainSelectedInstOperands,
     /*  263587 */     // GIR_Coverage, 23030,
     /*  263587 */     GIR_EraseRootFromParent_Done,
     /*  263588 */   // Label 5314: @263588
     /*  263588 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(263651), // Rule ID 23031 //
     /*  263593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  263607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  263610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263632 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  263635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263649 */     GIR_RootConstrainSelectedInstOperands,
     /*  263650 */     // GIR_Coverage, 23031,
     /*  263650 */     GIR_EraseRootFromParent_Done,
     /*  263651 */   // Label 5315: @263651
     /*  263651 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(263714), // Rule ID 23032 //
     /*  263656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  263670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  263673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263695 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  263698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263712 */     GIR_RootConstrainSelectedInstOperands,
     /*  263713 */     // GIR_Coverage, 23032,
     /*  263713 */     GIR_EraseRootFromParent_Done,
     /*  263714 */   // Label 5316: @263714
     /*  263714 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(263777), // Rule ID 23033 //
     /*  263719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  263733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  263736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263758 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  263761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263775 */     GIR_RootConstrainSelectedInstOperands,
     /*  263776 */     // GIR_Coverage, 23033,
     /*  263776 */     GIR_EraseRootFromParent_Done,
     /*  263777 */   // Label 5317: @263777
     /*  263777 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(263840), // Rule ID 23034 //
     /*  263782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  263796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  263799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263821 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  263824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263838 */     GIR_RootConstrainSelectedInstOperands,
     /*  263839 */     // GIR_Coverage, 23034,
     /*  263839 */     GIR_EraseRootFromParent_Done,
     /*  263840 */   // Label 5318: @263840
     /*  263840 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(263903), // Rule ID 23035 //
     /*  263845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  263859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  263862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263884 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  263884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  263887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263901 */     GIR_RootConstrainSelectedInstOperands,
     /*  263902 */     // GIR_Coverage, 23035,
     /*  263902 */     GIR_EraseRootFromParent_Done,
     /*  263903 */   // Label 5319: @263903
     /*  263903 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(263966), // Rule ID 23036 //
     /*  263908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263947 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  263947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  263950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  263964 */     GIR_RootConstrainSelectedInstOperands,
     /*  263965 */     // GIR_Coverage, 23036,
     /*  263965 */     GIR_EraseRootFromParent_Done,
     /*  263966 */   // Label 5320: @263966
     /*  263966 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(264029), // Rule ID 23037 //
     /*  263971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  263979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  263985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  263988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  264013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264027 */     GIR_RootConstrainSelectedInstOperands,
     /*  264028 */     // GIR_Coverage, 23037,
     /*  264028 */     GIR_EraseRootFromParent_Done,
     /*  264029 */   // Label 5321: @264029
     /*  264029 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(264092), // Rule ID 23038 //
     /*  264034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264073 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  264076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264090 */     GIR_RootConstrainSelectedInstOperands,
     /*  264091 */     // GIR_Coverage, 23038,
     /*  264091 */     GIR_EraseRootFromParent_Done,
     /*  264092 */   // Label 5322: @264092
     /*  264092 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(264155), // Rule ID 23039 //
     /*  264097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264136 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  264139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264153 */     GIR_RootConstrainSelectedInstOperands,
     /*  264154 */     // GIR_Coverage, 23039,
     /*  264154 */     GIR_EraseRootFromParent_Done,
     /*  264155 */   // Label 5323: @264155
     /*  264155 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(264218), // Rule ID 23040 //
     /*  264160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  264174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  264177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264199 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  264202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264216 */     GIR_RootConstrainSelectedInstOperands,
     /*  264217 */     // GIR_Coverage, 23040,
     /*  264217 */     GIR_EraseRootFromParent_Done,
     /*  264218 */   // Label 5324: @264218
     /*  264218 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(264281), // Rule ID 23041 //
     /*  264223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  264237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  264240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264262 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  264265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264279 */     GIR_RootConstrainSelectedInstOperands,
     /*  264280 */     // GIR_Coverage, 23041,
     /*  264280 */     GIR_EraseRootFromParent_Done,
     /*  264281 */   // Label 5325: @264281
     /*  264281 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(264344), // Rule ID 23042 //
     /*  264286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  264300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  264303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264325 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  264328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264342 */     GIR_RootConstrainSelectedInstOperands,
     /*  264343 */     // GIR_Coverage, 23042,
     /*  264343 */     GIR_EraseRootFromParent_Done,
     /*  264344 */   // Label 5326: @264344
     /*  264344 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(264407), // Rule ID 23043 //
     /*  264349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  264357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  264363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  264366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264388 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11047:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  264391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264405 */     GIR_RootConstrainSelectedInstOperands,
     /*  264406 */     // GIR_Coverage, 23043,
     /*  264406 */     GIR_EraseRootFromParent_Done,
     /*  264407 */   // Label 5327: @264407
     /*  264407 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(264470), // Rule ID 23044 //
     /*  264412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  264426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  264429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264451 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  264454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264468 */     GIR_RootConstrainSelectedInstOperands,
     /*  264469 */     // GIR_Coverage, 23044,
     /*  264469 */     GIR_EraseRootFromParent_Done,
     /*  264470 */   // Label 5328: @264470
     /*  264470 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(264533), // Rule ID 23045 //
     /*  264475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  264489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  264492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264514 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  264517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264531 */     GIR_RootConstrainSelectedInstOperands,
     /*  264532 */     // GIR_Coverage, 23045,
     /*  264532 */     GIR_EraseRootFromParent_Done,
     /*  264533 */   // Label 5329: @264533
     /*  264533 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(264596), // Rule ID 23046 //
     /*  264538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  264552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  264555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264577 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  264580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264594 */     GIR_RootConstrainSelectedInstOperands,
     /*  264595 */     // GIR_Coverage, 23046,
     /*  264595 */     GIR_EraseRootFromParent_Done,
     /*  264596 */   // Label 5330: @264596
     /*  264596 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(264659), // Rule ID 23047 //
     /*  264601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  264612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  264615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  264618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264640 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  264643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264657 */     GIR_RootConstrainSelectedInstOperands,
     /*  264658 */     // GIR_Coverage, 23047,
     /*  264658 */     GIR_EraseRootFromParent_Done,
     /*  264659 */   // Label 5331: @264659
     /*  264659 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(264722), // Rule ID 23048 //
     /*  264664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  264678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  264681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  264706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264720 */     GIR_RootConstrainSelectedInstOperands,
     /*  264721 */     // GIR_Coverage, 23048,
     /*  264721 */     GIR_EraseRootFromParent_Done,
     /*  264722 */   // Label 5332: @264722
     /*  264722 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(264785), // Rule ID 23049 //
     /*  264727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  264741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  264744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264766 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  264769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264783 */     GIR_RootConstrainSelectedInstOperands,
     /*  264784 */     // GIR_Coverage, 23049,
     /*  264784 */     GIR_EraseRootFromParent_Done,
     /*  264785 */   // Label 5333: @264785
     /*  264785 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(264848), // Rule ID 23050 //
     /*  264790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  264804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  264807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264829 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  264832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264846 */     GIR_RootConstrainSelectedInstOperands,
     /*  264847 */     // GIR_Coverage, 23050,
     /*  264847 */     GIR_EraseRootFromParent_Done,
     /*  264848 */   // Label 5334: @264848
     /*  264848 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(264911), // Rule ID 23051 //
     /*  264853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  264867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  264870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  264892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  264895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264909 */     GIR_RootConstrainSelectedInstOperands,
     /*  264910 */     // GIR_Coverage, 23051,
     /*  264910 */     GIR_EraseRootFromParent_Done,
     /*  264911 */   // Label 5335: @264911
     /*  264911 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(264974), // Rule ID 23052 //
     /*  264916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264955 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  264955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  264958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  264972 */     GIR_RootConstrainSelectedInstOperands,
     /*  264973 */     // GIR_Coverage, 23052,
     /*  264973 */     GIR_EraseRootFromParent_Done,
     /*  264974 */   // Label 5336: @264974
     /*  264974 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(265037), // Rule ID 23053 //
     /*  264979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  264987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  264993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  264996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  265021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265035 */     GIR_RootConstrainSelectedInstOperands,
     /*  265036 */     // GIR_Coverage, 23053,
     /*  265036 */     GIR_EraseRootFromParent_Done,
     /*  265037 */   // Label 5337: @265037
     /*  265037 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(265100), // Rule ID 23054 //
     /*  265042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265081 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  265084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265098 */     GIR_RootConstrainSelectedInstOperands,
     /*  265099 */     // GIR_Coverage, 23054,
     /*  265099 */     GIR_EraseRootFromParent_Done,
     /*  265100 */   // Label 5338: @265100
     /*  265100 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(265163), // Rule ID 23055 //
     /*  265105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265144 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  265147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265161 */     GIR_RootConstrainSelectedInstOperands,
     /*  265162 */     // GIR_Coverage, 23055,
     /*  265162 */     GIR_EraseRootFromParent_Done,
     /*  265163 */   // Label 5339: @265163
     /*  265163 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(265226), // Rule ID 23056 //
     /*  265168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  265182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  265185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265207 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  265210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265224 */     GIR_RootConstrainSelectedInstOperands,
     /*  265225 */     // GIR_Coverage, 23056,
     /*  265225 */     GIR_EraseRootFromParent_Done,
     /*  265226 */   // Label 5340: @265226
     /*  265226 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(265289), // Rule ID 23057 //
     /*  265231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  265239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  265242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  265245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  265248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265270 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11116:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  265273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265287 */     GIR_RootConstrainSelectedInstOperands,
     /*  265288 */     // GIR_Coverage, 23057,
     /*  265288 */     GIR_EraseRootFromParent_Done,
     /*  265289 */   // Label 5341: @265289
     /*  265289 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(265352), // Rule ID 23058 //
     /*  265294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  265308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  265311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265333 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  265336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265350 */     GIR_RootConstrainSelectedInstOperands,
     /*  265351 */     // GIR_Coverage, 23058,
     /*  265351 */     GIR_EraseRootFromParent_Done,
     /*  265352 */   // Label 5342: @265352
     /*  265352 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(265415), // Rule ID 23059 //
     /*  265357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  265371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  265374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  265399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265413 */     GIR_RootConstrainSelectedInstOperands,
     /*  265414 */     // GIR_Coverage, 23059,
     /*  265414 */     GIR_EraseRootFromParent_Done,
     /*  265415 */   // Label 5343: @265415
     /*  265415 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(265478), // Rule ID 23060 //
     /*  265420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  265434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  265437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265459 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  265462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265476 */     GIR_RootConstrainSelectedInstOperands,
     /*  265477 */     // GIR_Coverage, 23060,
     /*  265477 */     GIR_EraseRootFromParent_Done,
     /*  265478 */   // Label 5344: @265478
     /*  265478 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(265541), // Rule ID 23061 //
     /*  265483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  265497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  265500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  265525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265539 */     GIR_RootConstrainSelectedInstOperands,
     /*  265540 */     // GIR_Coverage, 23061,
     /*  265540 */     GIR_EraseRootFromParent_Done,
     /*  265541 */   // Label 5345: @265541
     /*  265541 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(265604), // Rule ID 23062 //
     /*  265546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  265560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  265563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  265588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265602 */     GIR_RootConstrainSelectedInstOperands,
     /*  265603 */     // GIR_Coverage, 23062,
     /*  265603 */     GIR_EraseRootFromParent_Done,
     /*  265604 */   // Label 5346: @265604
     /*  265604 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(265667), // Rule ID 23063 //
     /*  265609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  265623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  265626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  265651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265665 */     GIR_RootConstrainSelectedInstOperands,
     /*  265666 */     // GIR_Coverage, 23063,
     /*  265666 */     GIR_EraseRootFromParent_Done,
     /*  265667 */   // Label 5347: @265667
     /*  265667 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(265730), // Rule ID 23064 //
     /*  265672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  265686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  265689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265711 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  265714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265728 */     GIR_RootConstrainSelectedInstOperands,
     /*  265729 */     // GIR_Coverage, 23064,
     /*  265729 */     GIR_EraseRootFromParent_Done,
     /*  265730 */   // Label 5348: @265730
     /*  265730 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(265793), // Rule ID 23065 //
     /*  265735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  265749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  265752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265774 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  265777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265791 */     GIR_RootConstrainSelectedInstOperands,
     /*  265792 */     // GIR_Coverage, 23065,
     /*  265792 */     GIR_EraseRootFromParent_Done,
     /*  265793 */   // Label 5349: @265793
     /*  265793 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(265856), // Rule ID 23066 //
     /*  265798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  265812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  265815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265837 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  265840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265854 */     GIR_RootConstrainSelectedInstOperands,
     /*  265855 */     // GIR_Coverage, 23066,
     /*  265855 */     GIR_EraseRootFromParent_Done,
     /*  265856 */   // Label 5350: @265856
     /*  265856 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(265919), // Rule ID 23067 //
     /*  265861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  265875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  265878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  265900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  265903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265917 */     GIR_RootConstrainSelectedInstOperands,
     /*  265918 */     // GIR_Coverage, 23067,
     /*  265918 */     GIR_EraseRootFromParent_Done,
     /*  265919 */   // Label 5351: @265919
     /*  265919 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(265982), // Rule ID 23068 //
     /*  265924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  265938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  265941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265963 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  265963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  265966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  265980 */     GIR_RootConstrainSelectedInstOperands,
     /*  265981 */     // GIR_Coverage, 23068,
     /*  265981 */     GIR_EraseRootFromParent_Done,
     /*  265982 */   // Label 5352: @265982
     /*  265982 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(266045), // Rule ID 23069 //
     /*  265987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  265995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  265998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  266001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  266004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266026 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  266029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266043 */     GIR_RootConstrainSelectedInstOperands,
     /*  266044 */     // GIR_Coverage, 23069,
     /*  266044 */     GIR_EraseRootFromParent_Done,
     /*  266045 */   // Label 5353: @266045
     /*  266045 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(266108), // Rule ID 23070 //
     /*  266050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  266058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266089 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  266092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266106 */     GIR_RootConstrainSelectedInstOperands,
     /*  266107 */     // GIR_Coverage, 23070,
     /*  266107 */     GIR_EraseRootFromParent_Done,
     /*  266108 */   // Label 5354: @266108
     /*  266108 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(266171), // Rule ID 23071 //
     /*  266113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  266121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266152 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11072:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  266155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266169 */     GIR_RootConstrainSelectedInstOperands,
     /*  266170 */     // GIR_Coverage, 23071,
     /*  266170 */     GIR_EraseRootFromParent_Done,
     /*  266171 */   // Label 5355: @266171
     /*  266171 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(266234), // Rule ID 23072 //
     /*  266176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  266190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  266193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266215 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  266218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266232 */     GIR_RootConstrainSelectedInstOperands,
     /*  266233 */     // GIR_Coverage, 23072,
     /*  266233 */     GIR_EraseRootFromParent_Done,
     /*  266234 */   // Label 5356: @266234
     /*  266234 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(266297), // Rule ID 23073 //
     /*  266239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  266253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  266256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  266281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266295 */     GIR_RootConstrainSelectedInstOperands,
     /*  266296 */     // GIR_Coverage, 23073,
     /*  266296 */     GIR_EraseRootFromParent_Done,
     /*  266297 */   // Label 5357: @266297
     /*  266297 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(266360), // Rule ID 23074 //
     /*  266302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  266316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  266319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  266344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266358 */     GIR_RootConstrainSelectedInstOperands,
     /*  266359 */     // GIR_Coverage, 23074,
     /*  266359 */     GIR_EraseRootFromParent_Done,
     /*  266360 */   // Label 5358: @266360
     /*  266360 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(266423), // Rule ID 23075 //
     /*  266365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  266379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  266382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266404 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  266407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266421 */     GIR_RootConstrainSelectedInstOperands,
     /*  266422 */     // GIR_Coverage, 23075,
     /*  266422 */     GIR_EraseRootFromParent_Done,
     /*  266423 */   // Label 5359: @266423
     /*  266423 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(266486), // Rule ID 23076 //
     /*  266428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  266442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  266445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  266470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266484 */     GIR_RootConstrainSelectedInstOperands,
     /*  266485 */     // GIR_Coverage, 23076,
     /*  266485 */     GIR_EraseRootFromParent_Done,
     /*  266486 */   // Label 5360: @266486
     /*  266486 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(266549), // Rule ID 23077 //
     /*  266491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  266505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  266508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  266533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266547 */     GIR_RootConstrainSelectedInstOperands,
     /*  266548 */     // GIR_Coverage, 23077,
     /*  266548 */     GIR_EraseRootFromParent_Done,
     /*  266549 */   // Label 5361: @266549
     /*  266549 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(266612), // Rule ID 23078 //
     /*  266554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  266568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  266571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266593 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  266596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266610 */     GIR_RootConstrainSelectedInstOperands,
     /*  266611 */     // GIR_Coverage, 23078,
     /*  266611 */     GIR_EraseRootFromParent_Done,
     /*  266612 */   // Label 5362: @266612
     /*  266612 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(266675), // Rule ID 23079 //
     /*  266617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  266631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  266634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266656 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  266659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266673 */     GIR_RootConstrainSelectedInstOperands,
     /*  266674 */     // GIR_Coverage, 23079,
     /*  266674 */     GIR_EraseRootFromParent_Done,
     /*  266675 */   // Label 5363: @266675
     /*  266675 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(266738), // Rule ID 23080 //
     /*  266680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  266694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  266697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  266722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266736 */     GIR_RootConstrainSelectedInstOperands,
     /*  266737 */     // GIR_Coverage, 23080,
     /*  266737 */     GIR_EraseRootFromParent_Done,
     /*  266738 */   // Label 5364: @266738
     /*  266738 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(266801), // Rule ID 23081 //
     /*  266743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  266757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  266760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266782 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  266785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266799 */     GIR_RootConstrainSelectedInstOperands,
     /*  266800 */     // GIR_Coverage, 23081,
     /*  266800 */     GIR_EraseRootFromParent_Done,
     /*  266801 */   // Label 5365: @266801
     /*  266801 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(266864), // Rule ID 23082 //
     /*  266806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  266820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  266823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266845 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  266848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266862 */     GIR_RootConstrainSelectedInstOperands,
     /*  266863 */     // GIR_Coverage, 23082,
     /*  266863 */     GIR_EraseRootFromParent_Done,
     /*  266864 */   // Label 5366: @266864
     /*  266864 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(266927), // Rule ID 23083 //
     /*  266869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  266880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  266883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  266886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266908 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  266908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  266911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266925 */     GIR_RootConstrainSelectedInstOperands,
     /*  266926 */     // GIR_Coverage, 23083,
     /*  266926 */     GIR_EraseRootFromParent_Done,
     /*  266927 */   // Label 5367: @266927
     /*  266927 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(266990), // Rule ID 23084 //
     /*  266932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  266940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  266943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  266946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  266949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266971 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  266971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  266974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  266988 */     GIR_RootConstrainSelectedInstOperands,
     /*  266989 */     // GIR_Coverage, 23084,
     /*  266989 */     GIR_EraseRootFromParent_Done,
     /*  266990 */   // Label 5368: @266990
     /*  266990 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(267053), // Rule ID 23085 //
     /*  266995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  267003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  267009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  267012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267034 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11071:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  267037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267051 */     GIR_RootConstrainSelectedInstOperands,
     /*  267052 */     // GIR_Coverage, 23085,
     /*  267052 */     GIR_EraseRootFromParent_Done,
     /*  267053 */   // Label 5369: @267053
     /*  267053 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(267116), // Rule ID 23086 //
     /*  267058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  267100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267114 */     GIR_RootConstrainSelectedInstOperands,
     /*  267115 */     // GIR_Coverage, 23086,
     /*  267115 */     GIR_EraseRootFromParent_Done,
     /*  267116 */   // Label 5370: @267116
     /*  267116 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(267179), // Rule ID 23087 //
     /*  267121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267160 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  267163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267177 */     GIR_RootConstrainSelectedInstOperands,
     /*  267178 */     // GIR_Coverage, 23087,
     /*  267178 */     GIR_EraseRootFromParent_Done,
     /*  267179 */   // Label 5371: @267179
     /*  267179 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(267242), // Rule ID 23088 //
     /*  267184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  267198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  267201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  267226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267240 */     GIR_RootConstrainSelectedInstOperands,
     /*  267241 */     // GIR_Coverage, 23088,
     /*  267241 */     GIR_EraseRootFromParent_Done,
     /*  267242 */   // Label 5372: @267242
     /*  267242 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(267305), // Rule ID 23089 //
     /*  267247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  267258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  267261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  267264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  267289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267303 */     GIR_RootConstrainSelectedInstOperands,
     /*  267304 */     // GIR_Coverage, 23089,
     /*  267304 */     GIR_EraseRootFromParent_Done,
     /*  267305 */   // Label 5373: @267305
     /*  267305 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(267368), // Rule ID 23090 //
     /*  267310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  267324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  267327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  267352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267366 */     GIR_RootConstrainSelectedInstOperands,
     /*  267367 */     // GIR_Coverage, 23090,
     /*  267367 */     GIR_EraseRootFromParent_Done,
     /*  267368 */   // Label 5374: @267368
     /*  267368 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(267431), // Rule ID 23091 //
     /*  267373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  267387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  267390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  267415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267429 */     GIR_RootConstrainSelectedInstOperands,
     /*  267430 */     // GIR_Coverage, 23091,
     /*  267430 */     GIR_EraseRootFromParent_Done,
     /*  267431 */   // Label 5375: @267431
     /*  267431 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(267494), // Rule ID 23092 //
     /*  267436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  267450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  267453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267475 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  267478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267492 */     GIR_RootConstrainSelectedInstOperands,
     /*  267493 */     // GIR_Coverage, 23092,
     /*  267493 */     GIR_EraseRootFromParent_Done,
     /*  267494 */   // Label 5376: @267494
     /*  267494 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(267557), // Rule ID 23093 //
     /*  267499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  267513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  267516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  267541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267555 */     GIR_RootConstrainSelectedInstOperands,
     /*  267556 */     // GIR_Coverage, 23093,
     /*  267556 */     GIR_EraseRootFromParent_Done,
     /*  267557 */   // Label 5377: @267557
     /*  267557 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(267620), // Rule ID 23094 //
     /*  267562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  267576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  267579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  267604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267618 */     GIR_RootConstrainSelectedInstOperands,
     /*  267619 */     // GIR_Coverage, 23094,
     /*  267619 */     GIR_EraseRootFromParent_Done,
     /*  267620 */   // Label 5378: @267620
     /*  267620 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(267683), // Rule ID 23095 //
     /*  267625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  267639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  267642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  267667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267681 */     GIR_RootConstrainSelectedInstOperands,
     /*  267682 */     // GIR_Coverage, 23095,
     /*  267682 */     GIR_EraseRootFromParent_Done,
     /*  267683 */   // Label 5379: @267683
     /*  267683 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(267746), // Rule ID 23096 //
     /*  267688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  267702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  267705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267727 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  267730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267744 */     GIR_RootConstrainSelectedInstOperands,
     /*  267745 */     // GIR_Coverage, 23096,
     /*  267745 */     GIR_EraseRootFromParent_Done,
     /*  267746 */   // Label 5380: @267746
     /*  267746 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(267809), // Rule ID 23097 //
     /*  267751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  267765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  267768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267790 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  267793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267807 */     GIR_RootConstrainSelectedInstOperands,
     /*  267808 */     // GIR_Coverage, 23097,
     /*  267808 */     GIR_EraseRootFromParent_Done,
     /*  267809 */   // Label 5381: @267809
     /*  267809 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(267872), // Rule ID 23098 //
     /*  267814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  267828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  267831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267853 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  267856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267870 */     GIR_RootConstrainSelectedInstOperands,
     /*  267871 */     // GIR_Coverage, 23098,
     /*  267871 */     GIR_EraseRootFromParent_Done,
     /*  267872 */   // Label 5382: @267872
     /*  267872 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(267935), // Rule ID 23099 //
     /*  267877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  267885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  267891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  267894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267916 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11073:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  267916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  267919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267933 */     GIR_RootConstrainSelectedInstOperands,
     /*  267934 */     // GIR_Coverage, 23099,
     /*  267934 */     GIR_EraseRootFromParent_Done,
     /*  267935 */   // Label 5383: @267935
     /*  267935 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(267998), // Rule ID 23100 //
     /*  267940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  267948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  267951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  267954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  267957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  267979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  267982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  267996 */     GIR_RootConstrainSelectedInstOperands,
     /*  267997 */     // GIR_Coverage, 23100,
     /*  267997 */     GIR_EraseRootFromParent_Done,
     /*  267998 */   // Label 5384: @267998
     /*  267998 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(268061), // Rule ID 23101 //
     /*  268003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  268017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  268020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268042 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  268045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268059 */     GIR_RootConstrainSelectedInstOperands,
     /*  268060 */     // GIR_Coverage, 23101,
     /*  268060 */     GIR_EraseRootFromParent_Done,
     /*  268061 */   // Label 5385: @268061
     /*  268061 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(268124), // Rule ID 23102 //
     /*  268066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268105 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  268108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268122 */     GIR_RootConstrainSelectedInstOperands,
     /*  268123 */     // GIR_Coverage, 23102,
     /*  268123 */     GIR_EraseRootFromParent_Done,
     /*  268124 */   // Label 5386: @268124
     /*  268124 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(268187), // Rule ID 23103 //
     /*  268129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  268171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268185 */     GIR_RootConstrainSelectedInstOperands,
     /*  268186 */     // GIR_Coverage, 23103,
     /*  268186 */     GIR_EraseRootFromParent_Done,
     /*  268187 */   // Label 5387: @268187
     /*  268187 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(268250), // Rule ID 23104 //
     /*  268192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268231 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  268234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268248 */     GIR_RootConstrainSelectedInstOperands,
     /*  268249 */     // GIR_Coverage, 23104,
     /*  268249 */     GIR_EraseRootFromParent_Done,
     /*  268250 */   // Label 5388: @268250
     /*  268250 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(268313), // Rule ID 23105 //
     /*  268255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  268272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  268297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268311 */     GIR_RootConstrainSelectedInstOperands,
     /*  268312 */     // GIR_Coverage, 23105,
     /*  268312 */     GIR_EraseRootFromParent_Done,
     /*  268313 */   // Label 5389: @268313
     /*  268313 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(268376), // Rule ID 23106 //
     /*  268318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  268332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  268335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268357 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  268360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268374 */     GIR_RootConstrainSelectedInstOperands,
     /*  268375 */     // GIR_Coverage, 23106,
     /*  268375 */     GIR_EraseRootFromParent_Done,
     /*  268376 */   // Label 5390: @268376
     /*  268376 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(268439), // Rule ID 23107 //
     /*  268381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  268395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  268398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268420 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  268423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268437 */     GIR_RootConstrainSelectedInstOperands,
     /*  268438 */     // GIR_Coverage, 23107,
     /*  268438 */     GIR_EraseRootFromParent_Done,
     /*  268439 */   // Label 5391: @268439
     /*  268439 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(268502), // Rule ID 23108 //
     /*  268444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  268458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  268461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  268486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268500 */     GIR_RootConstrainSelectedInstOperands,
     /*  268501 */     // GIR_Coverage, 23108,
     /*  268501 */     GIR_EraseRootFromParent_Done,
     /*  268502 */   // Label 5392: @268502
     /*  268502 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(268565), // Rule ID 23109 //
     /*  268507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  268521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  268524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  268549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268563 */     GIR_RootConstrainSelectedInstOperands,
     /*  268564 */     // GIR_Coverage, 23109,
     /*  268564 */     GIR_EraseRootFromParent_Done,
     /*  268565 */   // Label 5393: @268565
     /*  268565 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(268628), // Rule ID 23110 //
     /*  268570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  268584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  268587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268609 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  268612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268626 */     GIR_RootConstrainSelectedInstOperands,
     /*  268627 */     // GIR_Coverage, 23110,
     /*  268627 */     GIR_EraseRootFromParent_Done,
     /*  268628 */   // Label 5394: @268628
     /*  268628 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(268691), // Rule ID 23111 //
     /*  268633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  268644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  268647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  268650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268672 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  268675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268689 */     GIR_RootConstrainSelectedInstOperands,
     /*  268690 */     // GIR_Coverage, 23111,
     /*  268690 */     GIR_EraseRootFromParent_Done,
     /*  268691 */   // Label 5395: @268691
     /*  268691 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(268754), // Rule ID 23112 //
     /*  268696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  268710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  268713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268735 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  268738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268752 */     GIR_RootConstrainSelectedInstOperands,
     /*  268753 */     // GIR_Coverage, 23112,
     /*  268753 */     GIR_EraseRootFromParent_Done,
     /*  268754 */   // Label 5396: @268754
     /*  268754 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(268817), // Rule ID 23113 //
     /*  268759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  268767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  268770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  268773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  268776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268798 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11115:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  268801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268815 */     GIR_RootConstrainSelectedInstOperands,
     /*  268816 */     // GIR_Coverage, 23113,
     /*  268816 */     GIR_EraseRootFromParent_Done,
     /*  268817 */   // Label 5397: @268817
     /*  268817 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(268898), // Rule ID 23142 //
     /*  268822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  268825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  268833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  268854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268861 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  268861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  268865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  268871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  268875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  268878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  268888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268896 */     GIR_RootConstrainSelectedInstOperands,
     /*  268897 */     // GIR_Coverage, 23142,
     /*  268897 */     GIR_EraseRootFromParent_Done,
     /*  268898 */   // Label 5398: @268898
     /*  268898 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(268979), // Rule ID 23143 //
     /*  268903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  268906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  268914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  268917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  268920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  268935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268942 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  268942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  268946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  268952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  268956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  268959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  268969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  268977 */     GIR_RootConstrainSelectedInstOperands,
     /*  268978 */     // GIR_Coverage, 23143,
     /*  268978 */     GIR_EraseRootFromParent_Done,
     /*  268979 */   // Label 5399: @268979
     /*  268979 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(269060), // Rule ID 23146 //
     /*  268984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  268987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  268992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  268995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  268998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  269001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269023 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  269040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269058 */     GIR_RootConstrainSelectedInstOperands,
     /*  269059 */     // GIR_Coverage, 23146,
     /*  269059 */     GIR_EraseRootFromParent_Done,
     /*  269060 */   // Label 5400: @269060
     /*  269060 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(269141), // Rule ID 23147 //
     /*  269065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  269079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  269082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269104 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  269121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269139 */     GIR_RootConstrainSelectedInstOperands,
     /*  269140 */     // GIR_Coverage, 23147,
     /*  269140 */     GIR_EraseRootFromParent_Done,
     /*  269141 */   // Label 5401: @269141
     /*  269141 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(269222), // Rule ID 23150 //
     /*  269146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  269163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269185 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  269202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269220 */     GIR_RootConstrainSelectedInstOperands,
     /*  269221 */     // GIR_Coverage, 23150,
     /*  269221 */     GIR_EraseRootFromParent_Done,
     /*  269222 */   // Label 5402: @269222
     /*  269222 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(269303), // Rule ID 23151 //
     /*  269227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  269241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  269244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269266 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269270 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  269283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269287 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269301 */     GIR_RootConstrainSelectedInstOperands,
     /*  269302 */     // GIR_Coverage, 23151,
     /*  269302 */     GIR_EraseRootFromParent_Done,
     /*  269303 */   // Label 5403: @269303
     /*  269303 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(269384), // Rule ID 23154 //
     /*  269308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  269322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  269325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269347 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  269364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269382 */     GIR_RootConstrainSelectedInstOperands,
     /*  269383 */     // GIR_Coverage, 23154,
     /*  269383 */     GIR_EraseRootFromParent_Done,
     /*  269384 */   // Label 5404: @269384
     /*  269384 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(269465), // Rule ID 23155 //
     /*  269389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  269403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  269406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269428 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  269445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269463 */     GIR_RootConstrainSelectedInstOperands,
     /*  269464 */     // GIR_Coverage, 23155,
     /*  269464 */     GIR_EraseRootFromParent_Done,
     /*  269465 */   // Label 5405: @269465
     /*  269465 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(269546), // Rule ID 23158 //
     /*  269470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  269484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  269487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269509 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  269526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269544 */     GIR_RootConstrainSelectedInstOperands,
     /*  269545 */     // GIR_Coverage, 23158,
     /*  269545 */     GIR_EraseRootFromParent_Done,
     /*  269546 */   // Label 5406: @269546
     /*  269546 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(269627), // Rule ID 23159 //
     /*  269551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  269565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  269568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269590 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  269607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269625 */     GIR_RootConstrainSelectedInstOperands,
     /*  269626 */     // GIR_Coverage, 23159,
     /*  269626 */     GIR_EraseRootFromParent_Done,
     /*  269627 */   // Label 5407: @269627
     /*  269627 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(269708), // Rule ID 23162 //
     /*  269632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  269646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  269649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269671 */     // (intrinsic_wo_chain:{ *:[i64] } 10810:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  269688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269706 */     GIR_RootConstrainSelectedInstOperands,
     /*  269707 */     // GIR_Coverage, 23162,
     /*  269707 */     GIR_EraseRootFromParent_Done,
     /*  269708 */   // Label 5408: @269708
     /*  269708 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(269789), // Rule ID 23163 //
     /*  269713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  269721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  269727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  269730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269752 */     // (intrinsic_wo_chain:{ *:[i32] } 10810:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269756 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  269769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269787 */     GIR_RootConstrainSelectedInstOperands,
     /*  269788 */     // GIR_Coverage, 23163,
     /*  269788 */     GIR_EraseRootFromParent_Done,
     /*  269789 */   // Label 5409: @269789
     /*  269789 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(269870), // Rule ID 23166 //
     /*  269794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  269808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  269811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269833 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  269850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269868 */     GIR_RootConstrainSelectedInstOperands,
     /*  269869 */     // GIR_Coverage, 23166,
     /*  269869 */     GIR_EraseRootFromParent_Done,
     /*  269870 */   // Label 5410: @269870
     /*  269870 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(269951), // Rule ID 23167 //
     /*  269875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  269878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  269886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  269889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  269892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269914 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  269914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  269924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  269928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  269931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  269941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  269949 */     GIR_RootConstrainSelectedInstOperands,
     /*  269950 */     // GIR_Coverage, 23167,
     /*  269950 */     GIR_EraseRootFromParent_Done,
     /*  269951 */   // Label 5411: @269951
     /*  269951 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(270032), // Rule ID 23170 //
     /*  269956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  269959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  269964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  269967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  269970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  269973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  269980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  269988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269995 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  269995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  269999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  270012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270030 */     GIR_RootConstrainSelectedInstOperands,
     /*  270031 */     // GIR_Coverage, 23170,
     /*  270031 */     GIR_EraseRootFromParent_Done,
     /*  270032 */   // Label 5412: @270032
     /*  270032 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(270113), // Rule ID 23171 //
     /*  270037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  270051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270076 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  270093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270111 */     GIR_RootConstrainSelectedInstOperands,
     /*  270112 */     // GIR_Coverage, 23171,
     /*  270112 */     GIR_EraseRootFromParent_Done,
     /*  270113 */   // Label 5413: @270113
     /*  270113 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(270194), // Rule ID 23174 //
     /*  270118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  270132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  270135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270157 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270161 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  270174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270192 */     GIR_RootConstrainSelectedInstOperands,
     /*  270193 */     // GIR_Coverage, 23174,
     /*  270193 */     GIR_EraseRootFromParent_Done,
     /*  270194 */   // Label 5414: @270194
     /*  270194 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(270275), // Rule ID 23175 //
     /*  270199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  270213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  270216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270238 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  270255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270273 */     GIR_RootConstrainSelectedInstOperands,
     /*  270274 */     // GIR_Coverage, 23175,
     /*  270274 */     GIR_EraseRootFromParent_Done,
     /*  270275 */   // Label 5415: @270275
     /*  270275 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(270356), // Rule ID 23178 //
     /*  270280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  270294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  270297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270319 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  270336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270354 */     GIR_RootConstrainSelectedInstOperands,
     /*  270355 */     // GIR_Coverage, 23178,
     /*  270355 */     GIR_EraseRootFromParent_Done,
     /*  270356 */   // Label 5416: @270356
     /*  270356 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(270437), // Rule ID 23179 //
     /*  270361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  270375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  270378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270400 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  270417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270435 */     GIR_RootConstrainSelectedInstOperands,
     /*  270436 */     // GIR_Coverage, 23179,
     /*  270436 */     GIR_EraseRootFromParent_Done,
     /*  270437 */   // Label 5417: @270437
     /*  270437 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(270518), // Rule ID 23182 //
     /*  270442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  270456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  270459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270481 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  270498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270516 */     GIR_RootConstrainSelectedInstOperands,
     /*  270517 */     // GIR_Coverage, 23182,
     /*  270517 */     GIR_EraseRootFromParent_Done,
     /*  270518 */   // Label 5418: @270518
     /*  270518 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(270599), // Rule ID 23183 //
     /*  270523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  270537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  270540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270562 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270566 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  270579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270597 */     GIR_RootConstrainSelectedInstOperands,
     /*  270598 */     // GIR_Coverage, 23183,
     /*  270598 */     GIR_EraseRootFromParent_Done,
     /*  270599 */   // Label 5419: @270599
     /*  270599 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(270680), // Rule ID 23186 //
     /*  270604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  270618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  270621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270643 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  270660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270678 */     GIR_RootConstrainSelectedInstOperands,
     /*  270679 */     // GIR_Coverage, 23186,
     /*  270679 */     GIR_EraseRootFromParent_Done,
     /*  270680 */   // Label 5420: @270680
     /*  270680 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(270761), // Rule ID 23187 //
     /*  270685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  270699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  270702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270724 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  270741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270759 */     GIR_RootConstrainSelectedInstOperands,
     /*  270760 */     // GIR_Coverage, 23187,
     /*  270760 */     GIR_EraseRootFromParent_Done,
     /*  270761 */   // Label 5421: @270761
     /*  270761 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(270842), // Rule ID 23190 //
     /*  270766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  270769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  270777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  270780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  270783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270805 */     // (intrinsic_wo_chain:{ *:[i64] } 10838:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  270805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  270822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270840 */     GIR_RootConstrainSelectedInstOperands,
     /*  270841 */     // GIR_Coverage, 23190,
     /*  270841 */     GIR_EraseRootFromParent_Done,
     /*  270842 */   // Label 5422: @270842
     /*  270842 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(270923), // Rule ID 23191 //
     /*  270847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  270850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  270855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  270858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  270861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  270864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  270871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  270879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270886 */     // (intrinsic_wo_chain:{ *:[i32] } 10838:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  270886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  270890 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  270896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  270900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  270903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  270913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270921 */     GIR_RootConstrainSelectedInstOperands,
     /*  270922 */     // GIR_Coverage, 23191,
     /*  270922 */     GIR_EraseRootFromParent_Done,
     /*  270923 */   // Label 5423: @270923
     /*  270923 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(270989), // Rule ID 23272 //
     /*  270928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  270936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  270939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  270942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  270945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  270967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  270970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  270974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  270987 */     GIR_RootConstrainSelectedInstOperands,
     /*  270988 */     // GIR_Coverage, 23272,
     /*  270988 */     GIR_EraseRootFromParent_Done,
     /*  270989 */   // Label 5424: @270989
     /*  270989 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(271055), // Rule ID 23273 //
     /*  270994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  271005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271033 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  271036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271053 */     GIR_RootConstrainSelectedInstOperands,
     /*  271054 */     // GIR_Coverage, 23273,
     /*  271054 */     GIR_EraseRootFromParent_Done,
     /*  271055 */   // Label 5425: @271055
     /*  271055 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(271121), // Rule ID 23276 //
     /*  271060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  271071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271119 */     GIR_RootConstrainSelectedInstOperands,
     /*  271120 */     // GIR_Coverage, 23276,
     /*  271120 */     GIR_EraseRootFromParent_Done,
     /*  271121 */   // Label 5426: @271121
     /*  271121 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(271187), // Rule ID 23277 //
     /*  271126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  271137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271185 */     GIR_RootConstrainSelectedInstOperands,
     /*  271186 */     // GIR_Coverage, 23277,
     /*  271186 */     GIR_EraseRootFromParent_Done,
     /*  271187 */   // Label 5427: @271187
     /*  271187 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(271253), // Rule ID 23280 //
     /*  271192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  271203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271231 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  271231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  271234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271251 */     GIR_RootConstrainSelectedInstOperands,
     /*  271252 */     // GIR_Coverage, 23280,
     /*  271252 */     GIR_EraseRootFromParent_Done,
     /*  271253 */   // Label 5428: @271253
     /*  271253 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(271319), // Rule ID 23281 //
     /*  271258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  271269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  271297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  271300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271317 */     GIR_RootConstrainSelectedInstOperands,
     /*  271318 */     // GIR_Coverage, 23281,
     /*  271318 */     GIR_EraseRootFromParent_Done,
     /*  271319 */   // Label 5429: @271319
     /*  271319 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(271385), // Rule ID 23284 //
     /*  271324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  271335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  271363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271383 */     GIR_RootConstrainSelectedInstOperands,
     /*  271384 */     // GIR_Coverage, 23284,
     /*  271384 */     GIR_EraseRootFromParent_Done,
     /*  271385 */   // Label 5430: @271385
     /*  271385 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(271451), // Rule ID 23285 //
     /*  271390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  271401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271429 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  271429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271449 */     GIR_RootConstrainSelectedInstOperands,
     /*  271450 */     // GIR_Coverage, 23285,
     /*  271450 */     GIR_EraseRootFromParent_Done,
     /*  271451 */   // Label 5431: @271451
     /*  271451 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(271517), // Rule ID 23288 //
     /*  271456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  271467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  271495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271515 */     GIR_RootConstrainSelectedInstOperands,
     /*  271516 */     // GIR_Coverage, 23288,
     /*  271516 */     GIR_EraseRootFromParent_Done,
     /*  271517 */   // Label 5432: @271517
     /*  271517 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(271583), // Rule ID 23289 //
     /*  271522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  271533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  271539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  271561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  271564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271581 */     GIR_RootConstrainSelectedInstOperands,
     /*  271582 */     // GIR_Coverage, 23289,
     /*  271582 */     GIR_EraseRootFromParent_Done,
     /*  271583 */   // Label 5433: @271583
     /*  271583 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(271649), // Rule ID 23292 //
     /*  271588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  271599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  271605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271627 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  271627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271647 */     GIR_RootConstrainSelectedInstOperands,
     /*  271648 */     // GIR_Coverage, 23292,
     /*  271648 */     GIR_EraseRootFromParent_Done,
     /*  271649 */   // Label 5434: @271649
     /*  271649 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(271715), // Rule ID 23293 //
     /*  271654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  271665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  271671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271693 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10957:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  271693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271713 */     GIR_RootConstrainSelectedInstOperands,
     /*  271714 */     // GIR_Coverage, 23293,
     /*  271714 */     GIR_EraseRootFromParent_Done,
     /*  271715 */   // Label 5435: @271715
     /*  271715 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(271781), // Rule ID 23296 //
     /*  271720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  271731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  271759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271779 */     GIR_RootConstrainSelectedInstOperands,
     /*  271780 */     // GIR_Coverage, 23296,
     /*  271780 */     GIR_EraseRootFromParent_Done,
     /*  271781 */   // Label 5436: @271781
     /*  271781 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(271847), // Rule ID 23297 //
     /*  271786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  271797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  271800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  271803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10957:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  271825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271845 */     GIR_RootConstrainSelectedInstOperands,
     /*  271846 */     // GIR_Coverage, 23297,
     /*  271846 */     GIR_EraseRootFromParent_Done,
     /*  271847 */   // Label 5437: @271847
     /*  271847 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(271913), // Rule ID 23300 //
     /*  271852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  271863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  271891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271911 */     GIR_RootConstrainSelectedInstOperands,
     /*  271912 */     // GIR_Coverage, 23300,
     /*  271912 */     GIR_EraseRootFromParent_Done,
     /*  271913 */   // Label 5438: @271913
     /*  271913 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(271979), // Rule ID 23301 //
     /*  271918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  271929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  271932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  271935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10957:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  271957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  271960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  271964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  271977 */     GIR_RootConstrainSelectedInstOperands,
     /*  271978 */     // GIR_Coverage, 23301,
     /*  271978 */     GIR_EraseRootFromParent_Done,
     /*  271979 */   // Label 5439: @271979
     /*  271979 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(272045), // Rule ID 23304 //
     /*  271984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  271992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  271995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  271998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  272001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  272023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  272026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272043 */     GIR_RootConstrainSelectedInstOperands,
     /*  272044 */     // GIR_Coverage, 23304,
     /*  272044 */     GIR_EraseRootFromParent_Done,
     /*  272045 */   // Label 5440: @272045
     /*  272045 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(272111), // Rule ID 23305 //
     /*  272050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  272061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  272067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272089 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10957:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  272089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  272092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272109 */     GIR_RootConstrainSelectedInstOperands,
     /*  272110 */     // GIR_Coverage, 23305,
     /*  272110 */     GIR_EraseRootFromParent_Done,
     /*  272111 */   // Label 5441: @272111
     /*  272111 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(272177), // Rule ID 23308 //
     /*  272116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  272127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  272155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272175 */     GIR_RootConstrainSelectedInstOperands,
     /*  272176 */     // GIR_Coverage, 23308,
     /*  272176 */     GIR_EraseRootFromParent_Done,
     /*  272177 */   // Label 5442: @272177
     /*  272177 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(272243), // Rule ID 23309 //
     /*  272182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  272193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272221 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  272221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272241 */     GIR_RootConstrainSelectedInstOperands,
     /*  272242 */     // GIR_Coverage, 23309,
     /*  272242 */     GIR_EraseRootFromParent_Done,
     /*  272243 */   // Label 5443: @272243
     /*  272243 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(272309), // Rule ID 23312 //
     /*  272248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  272259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  272287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272307 */     GIR_RootConstrainSelectedInstOperands,
     /*  272308 */     // GIR_Coverage, 23312,
     /*  272308 */     GIR_EraseRootFromParent_Done,
     /*  272309 */   // Label 5444: @272309
     /*  272309 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(272375), // Rule ID 23313 //
     /*  272314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  272325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272353 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  272353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272373 */     GIR_RootConstrainSelectedInstOperands,
     /*  272374 */     // GIR_Coverage, 23313,
     /*  272374 */     GIR_EraseRootFromParent_Done,
     /*  272375 */   // Label 5445: @272375
     /*  272375 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(272441), // Rule ID 23316 //
     /*  272380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  272391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  272397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272419 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  272419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272439 */     GIR_RootConstrainSelectedInstOperands,
     /*  272440 */     // GIR_Coverage, 23316,
     /*  272440 */     GIR_EraseRootFromParent_Done,
     /*  272441 */   // Label 5446: @272441
     /*  272441 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(272507), // Rule ID 23317 //
     /*  272446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  272457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  272463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272485 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  272485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272505 */     GIR_RootConstrainSelectedInstOperands,
     /*  272506 */     // GIR_Coverage, 23317,
     /*  272506 */     GIR_EraseRootFromParent_Done,
     /*  272507 */   // Label 5447: @272507
     /*  272507 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(272573), // Rule ID 23320 //
     /*  272512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  272523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272551 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272571 */     GIR_RootConstrainSelectedInstOperands,
     /*  272572 */     // GIR_Coverage, 23320,
     /*  272572 */     GIR_EraseRootFromParent_Done,
     /*  272573 */   // Label 5448: @272573
     /*  272573 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(272639), // Rule ID 23321 //
     /*  272578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  272589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  272595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272637 */     GIR_RootConstrainSelectedInstOperands,
     /*  272638 */     // GIR_Coverage, 23321,
     /*  272638 */     GIR_EraseRootFromParent_Done,
     /*  272639 */   // Label 5449: @272639
     /*  272639 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(272705), // Rule ID 23324 //
     /*  272644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  272655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272683 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272703 */     GIR_RootConstrainSelectedInstOperands,
     /*  272704 */     // GIR_Coverage, 23324,
     /*  272704 */     GIR_EraseRootFromParent_Done,
     /*  272705 */   // Label 5450: @272705
     /*  272705 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(272771), // Rule ID 23325 //
     /*  272710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  272721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  272724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  272727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272749 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  272752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272769 */     GIR_RootConstrainSelectedInstOperands,
     /*  272770 */     // GIR_Coverage, 23325,
     /*  272770 */     GIR_EraseRootFromParent_Done,
     /*  272771 */   // Label 5451: @272771
     /*  272771 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(272837), // Rule ID 23328 //
     /*  272776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  272787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  272815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272835 */     GIR_RootConstrainSelectedInstOperands,
     /*  272836 */     // GIR_Coverage, 23328,
     /*  272836 */     GIR_EraseRootFromParent_Done,
     /*  272837 */   // Label 5452: @272837
     /*  272837 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(272903), // Rule ID 23329 //
     /*  272842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  272853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  272856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  272859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272881 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  272881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  272884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272901 */     GIR_RootConstrainSelectedInstOperands,
     /*  272902 */     // GIR_Coverage, 23329,
     /*  272902 */     GIR_EraseRootFromParent_Done,
     /*  272903 */   // Label 5453: @272903
     /*  272903 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(272969), // Rule ID 23332 //
     /*  272908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  272919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  272925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  272947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  272950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  272954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  272967 */     GIR_RootConstrainSelectedInstOperands,
     /*  272968 */     // GIR_Coverage, 23332,
     /*  272968 */     GIR_EraseRootFromParent_Done,
     /*  272969 */   // Label 5454: @272969
     /*  272969 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(273035), // Rule ID 23333 //
     /*  272974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  272982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  272985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  272988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  272991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  273013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  273016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273033 */     GIR_RootConstrainSelectedInstOperands,
     /*  273034 */     // GIR_Coverage, 23333,
     /*  273034 */     GIR_EraseRootFromParent_Done,
     /*  273035 */   // Label 5455: @273035
     /*  273035 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(273101), // Rule ID 23336 //
     /*  273040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  273051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  273079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  273082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273099 */     GIR_RootConstrainSelectedInstOperands,
     /*  273100 */     // GIR_Coverage, 23336,
     /*  273100 */     GIR_EraseRootFromParent_Done,
     /*  273101 */   // Label 5456: @273101
     /*  273101 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(273167), // Rule ID 23337 //
     /*  273106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  273117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273145 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  273145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  273148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273165 */     GIR_RootConstrainSelectedInstOperands,
     /*  273166 */     // GIR_Coverage, 23337,
     /*  273166 */     GIR_EraseRootFromParent_Done,
     /*  273167 */   // Label 5457: @273167
     /*  273167 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(273233), // Rule ID 23340 //
     /*  273172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  273183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  273189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  273211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273231 */     GIR_RootConstrainSelectedInstOperands,
     /*  273232 */     // GIR_Coverage, 23340,
     /*  273232 */     GIR_EraseRootFromParent_Done,
     /*  273233 */   // Label 5458: @273233
     /*  273233 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(273299), // Rule ID 23341 //
     /*  273238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  273249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  273255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273277 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  273277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273297 */     GIR_RootConstrainSelectedInstOperands,
     /*  273298 */     // GIR_Coverage, 23341,
     /*  273298 */     GIR_EraseRootFromParent_Done,
     /*  273299 */   // Label 5459: @273299
     /*  273299 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(273365), // Rule ID 23344 //
     /*  273304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  273315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  273321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273343 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  273343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  273346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273363 */     GIR_RootConstrainSelectedInstOperands,
     /*  273364 */     // GIR_Coverage, 23344,
     /*  273364 */     GIR_EraseRootFromParent_Done,
     /*  273365 */   // Label 5460: @273365
     /*  273365 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(273431), // Rule ID 23345 //
     /*  273370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  273381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  273387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273409 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10957:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  273409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  273412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273429 */     GIR_RootConstrainSelectedInstOperands,
     /*  273430 */     // GIR_Coverage, 23345,
     /*  273430 */     GIR_EraseRootFromParent_Done,
     /*  273431 */   // Label 5461: @273431
     /*  273431 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(273497), // Rule ID 23348 //
     /*  273436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  273447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  273453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  273475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  273478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273495 */     GIR_RootConstrainSelectedInstOperands,
     /*  273496 */     // GIR_Coverage, 23348,
     /*  273496 */     GIR_EraseRootFromParent_Done,
     /*  273497 */   // Label 5462: @273497
     /*  273497 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(273563), // Rule ID 23349 //
     /*  273502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  273513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  273519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273541 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10957:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  273541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  273544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273561 */     GIR_RootConstrainSelectedInstOperands,
     /*  273562 */     // GIR_Coverage, 23349,
     /*  273562 */     GIR_EraseRootFromParent_Done,
     /*  273563 */   // Label 5463: @273563
     /*  273563 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(273629), // Rule ID 23352 //
     /*  273568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  273579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  273607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273627 */     GIR_RootConstrainSelectedInstOperands,
     /*  273628 */     // GIR_Coverage, 23352,
     /*  273628 */     GIR_EraseRootFromParent_Done,
     /*  273629 */   // Label 5464: @273629
     /*  273629 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(273695), // Rule ID 23353 //
     /*  273634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  273642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  273645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  273651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10957:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  273673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  273676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273693 */     GIR_RootConstrainSelectedInstOperands,
     /*  273694 */     // GIR_Coverage, 23353,
     /*  273694 */     GIR_EraseRootFromParent_Done,
     /*  273695 */   // Label 5465: @273695
     /*  273695 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(273761), // Rule ID 59920 //
     /*  273700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  273711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  273739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  273742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273759 */     GIR_RootConstrainSelectedInstOperands,
     /*  273760 */     // GIR_Coverage, 59920,
     /*  273760 */     GIR_EraseRootFromParent_Done,
     /*  273761 */   // Label 5466: @273761
     /*  273761 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(273827), // Rule ID 59921 //
     /*  273766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  273777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  273780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  273783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273805 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  273805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  273808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273825 */     GIR_RootConstrainSelectedInstOperands,
     /*  273826 */     // GIR_Coverage, 59921,
     /*  273826 */     GIR_EraseRootFromParent_Done,
     /*  273827 */   // Label 5467: @273827
     /*  273827 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(273893), // Rule ID 59924 //
     /*  273832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  273843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273871 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  273871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273891 */     GIR_RootConstrainSelectedInstOperands,
     /*  273892 */     // GIR_Coverage, 59924,
     /*  273892 */     GIR_EraseRootFromParent_Done,
     /*  273893 */   // Label 5468: @273893
     /*  273893 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(273959), // Rule ID 59925 //
     /*  273898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  273901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  273909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  273912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  273915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273937 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  273937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  273940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  273944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  273954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  273957 */     GIR_RootConstrainSelectedInstOperands,
     /*  273958 */     // GIR_Coverage, 59925,
     /*  273958 */     GIR_EraseRootFromParent_Done,
     /*  273959 */   // Label 5469: @273959
     /*  273959 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(274025), // Rule ID 59928 //
     /*  273964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  273967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  273972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  273975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  273978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  273981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274023 */     GIR_RootConstrainSelectedInstOperands,
     /*  274024 */     // GIR_Coverage, 59928,
     /*  274024 */     GIR_EraseRootFromParent_Done,
     /*  274025 */   // Label 5470: @274025
     /*  274025 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(274091), // Rule ID 59929 //
     /*  274030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  274041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274089 */     GIR_RootConstrainSelectedInstOperands,
     /*  274090 */     // GIR_Coverage, 59929,
     /*  274090 */     GIR_EraseRootFromParent_Done,
     /*  274091 */   // Label 5471: @274091
     /*  274091 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(274157), // Rule ID 59932 //
     /*  274096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  274107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  274135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  274138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274155 */     GIR_RootConstrainSelectedInstOperands,
     /*  274156 */     // GIR_Coverage, 59932,
     /*  274156 */     GIR_EraseRootFromParent_Done,
     /*  274157 */   // Label 5472: @274157
     /*  274157 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(274223), // Rule ID 59933 //
     /*  274162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  274173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  274201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  274204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274221 */     GIR_RootConstrainSelectedInstOperands,
     /*  274222 */     // GIR_Coverage, 59933,
     /*  274222 */     GIR_EraseRootFromParent_Done,
     /*  274223 */   // Label 5473: @274223
     /*  274223 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(274289), // Rule ID 59936 //
     /*  274228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  274239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  274267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274287 */     GIR_RootConstrainSelectedInstOperands,
     /*  274288 */     // GIR_Coverage, 59936,
     /*  274288 */     GIR_EraseRootFromParent_Done,
     /*  274289 */   // Label 5474: @274289
     /*  274289 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(274355), // Rule ID 59937 //
     /*  274294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  274305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274333 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  274333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274353 */     GIR_RootConstrainSelectedInstOperands,
     /*  274354 */     // GIR_Coverage, 59937,
     /*  274354 */     GIR_EraseRootFromParent_Done,
     /*  274355 */   // Label 5475: @274355
     /*  274355 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(274421), // Rule ID 59940 //
     /*  274360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  274371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  274399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274419 */     GIR_RootConstrainSelectedInstOperands,
     /*  274420 */     // GIR_Coverage, 59940,
     /*  274420 */     GIR_EraseRootFromParent_Done,
     /*  274421 */   // Label 5476: @274421
     /*  274421 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(274487), // Rule ID 59941 //
     /*  274426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  274437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274465 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  274465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  274468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274485 */     GIR_RootConstrainSelectedInstOperands,
     /*  274486 */     // GIR_Coverage, 59941,
     /*  274486 */     GIR_EraseRootFromParent_Done,
     /*  274487 */   // Label 5477: @274487
     /*  274487 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(274553), // Rule ID 59944 //
     /*  274492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  274503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  274531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274551 */     GIR_RootConstrainSelectedInstOperands,
     /*  274552 */     // GIR_Coverage, 59944,
     /*  274552 */     GIR_EraseRootFromParent_Done,
     /*  274553 */   // Label 5478: @274553
     /*  274553 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(274619), // Rule ID 59945 //
     /*  274558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  274569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10798:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  274597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274617 */     GIR_RootConstrainSelectedInstOperands,
     /*  274618 */     // GIR_Coverage, 59945,
     /*  274618 */     GIR_EraseRootFromParent_Done,
     /*  274619 */   // Label 5479: @274619
     /*  274619 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(274685), // Rule ID 59948 //
     /*  274624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  274635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274663 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  274663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274683 */     GIR_RootConstrainSelectedInstOperands,
     /*  274684 */     // GIR_Coverage, 59948,
     /*  274684 */     GIR_EraseRootFromParent_Done,
     /*  274685 */   // Label 5480: @274685
     /*  274685 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(274751), // Rule ID 59949 //
     /*  274690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  274701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10798:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  274729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274749 */     GIR_RootConstrainSelectedInstOperands,
     /*  274750 */     // GIR_Coverage, 59949,
     /*  274750 */     GIR_EraseRootFromParent_Done,
     /*  274751 */   // Label 5481: @274751
     /*  274751 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(274817), // Rule ID 59952 //
     /*  274756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  274767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  274795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274815 */     GIR_RootConstrainSelectedInstOperands,
     /*  274816 */     // GIR_Coverage, 59952,
     /*  274816 */     GIR_EraseRootFromParent_Done,
     /*  274817 */   // Label 5482: @274817
     /*  274817 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(274883), // Rule ID 59953 //
     /*  274822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  274833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  274836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  274839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274861 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10798:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  274861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274881 */     GIR_RootConstrainSelectedInstOperands,
     /*  274882 */     // GIR_Coverage, 59953,
     /*  274882 */     GIR_EraseRootFromParent_Done,
     /*  274883 */   // Label 5483: @274883
     /*  274883 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(274949), // Rule ID 59956 //
     /*  274888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  274891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  274899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  274927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  274934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  274944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  274947 */     GIR_RootConstrainSelectedInstOperands,
     /*  274948 */     // GIR_Coverage, 59956,
     /*  274948 */     GIR_EraseRootFromParent_Done,
     /*  274949 */   // Label 5484: @274949
     /*  274949 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(275015), // Rule ID 59957 //
     /*  274954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  274957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  274962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  274965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  274968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  274971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10798:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  274993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  274996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275013 */     GIR_RootConstrainSelectedInstOperands,
     /*  275014 */     // GIR_Coverage, 59957,
     /*  275014 */     GIR_EraseRootFromParent_Done,
     /*  275015 */   // Label 5485: @275015
     /*  275015 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(275081), // Rule ID 59960 //
     /*  275020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  275031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  275059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275079 */     GIR_RootConstrainSelectedInstOperands,
     /*  275080 */     // GIR_Coverage, 59960,
     /*  275080 */     GIR_EraseRootFromParent_Done,
     /*  275081 */   // Label 5486: @275081
     /*  275081 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(275147), // Rule ID 59961 //
     /*  275086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  275097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  275125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275145 */     GIR_RootConstrainSelectedInstOperands,
     /*  275146 */     // GIR_Coverage, 59961,
     /*  275146 */     GIR_EraseRootFromParent_Done,
     /*  275147 */   // Label 5487: @275147
     /*  275147 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(275213), // Rule ID 59964 //
     /*  275152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  275163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  275191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275211 */     GIR_RootConstrainSelectedInstOperands,
     /*  275212 */     // GIR_Coverage, 59964,
     /*  275212 */     GIR_EraseRootFromParent_Done,
     /*  275213 */   // Label 5488: @275213
     /*  275213 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(275279), // Rule ID 59965 //
     /*  275218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  275229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275257 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  275257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275277 */     GIR_RootConstrainSelectedInstOperands,
     /*  275278 */     // GIR_Coverage, 59965,
     /*  275278 */     GIR_EraseRootFromParent_Done,
     /*  275279 */   // Label 5489: @275279
     /*  275279 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(275345), // Rule ID 59968 //
     /*  275284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  275295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  275323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275343 */     GIR_RootConstrainSelectedInstOperands,
     /*  275344 */     // GIR_Coverage, 59968,
     /*  275344 */     GIR_EraseRootFromParent_Done,
     /*  275345 */   // Label 5490: @275345
     /*  275345 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(275411), // Rule ID 59969 //
     /*  275350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  275361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275389 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  275389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275409 */     GIR_RootConstrainSelectedInstOperands,
     /*  275410 */     // GIR_Coverage, 59969,
     /*  275410 */     GIR_EraseRootFromParent_Done,
     /*  275411 */   // Label 5491: @275411
     /*  275411 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(275477), // Rule ID 59972 //
     /*  275416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  275427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275455 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  275455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275475 */     GIR_RootConstrainSelectedInstOperands,
     /*  275476 */     // GIR_Coverage, 59972,
     /*  275476 */     GIR_EraseRootFromParent_Done,
     /*  275477 */   // Label 5492: @275477
     /*  275477 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(275543), // Rule ID 59973 //
     /*  275482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  275493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275521 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275541 */     GIR_RootConstrainSelectedInstOperands,
     /*  275542 */     // GIR_Coverage, 59973,
     /*  275542 */     GIR_EraseRootFromParent_Done,
     /*  275543 */   // Label 5493: @275543
     /*  275543 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(275609), // Rule ID 59976 //
     /*  275548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  275559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  275587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275607 */     GIR_RootConstrainSelectedInstOperands,
     /*  275608 */     // GIR_Coverage, 59976,
     /*  275608 */     GIR_EraseRootFromParent_Done,
     /*  275609 */   // Label 5494: @275609
     /*  275609 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(275675), // Rule ID 59977 //
     /*  275614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  275625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275653 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275673 */     GIR_RootConstrainSelectedInstOperands,
     /*  275674 */     // GIR_Coverage, 59977,
     /*  275674 */     GIR_EraseRootFromParent_Done,
     /*  275675 */   // Label 5495: @275675
     /*  275675 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(275741), // Rule ID 59980 //
     /*  275680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  275691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  275719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275739 */     GIR_RootConstrainSelectedInstOperands,
     /*  275740 */     // GIR_Coverage, 59980,
     /*  275740 */     GIR_EraseRootFromParent_Done,
     /*  275741 */   // Label 5496: @275741
     /*  275741 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(275807), // Rule ID 59981 //
     /*  275746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  275757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275785 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  275785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  275788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275805 */     GIR_RootConstrainSelectedInstOperands,
     /*  275806 */     // GIR_Coverage, 59981,
     /*  275806 */     GIR_EraseRootFromParent_Done,
     /*  275807 */   // Label 5497: @275807
     /*  275807 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(275873), // Rule ID 59984 //
     /*  275812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  275823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  275851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275871 */     GIR_RootConstrainSelectedInstOperands,
     /*  275872 */     // GIR_Coverage, 59984,
     /*  275872 */     GIR_EraseRootFromParent_Done,
     /*  275873 */   // Label 5498: @275873
     /*  275873 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(275939), // Rule ID 59985 //
     /*  275878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  275881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  275889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  275892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  275895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  275917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  275920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  275937 */     GIR_RootConstrainSelectedInstOperands,
     /*  275938 */     // GIR_Coverage, 59985,
     /*  275938 */     GIR_EraseRootFromParent_Done,
     /*  275939 */   // Label 5499: @275939
     /*  275939 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(276005), // Rule ID 59988 //
     /*  275944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  275947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  275952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  275955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  275958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  275961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275983 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  275983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  275986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  275990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276003 */     GIR_RootConstrainSelectedInstOperands,
     /*  276004 */     // GIR_Coverage, 59988,
     /*  276004 */     GIR_EraseRootFromParent_Done,
     /*  276005 */   // Label 5500: @276005
     /*  276005 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(276071), // Rule ID 59989 //
     /*  276010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  276021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  276049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  276052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276069 */     GIR_RootConstrainSelectedInstOperands,
     /*  276070 */     // GIR_Coverage, 59989,
     /*  276070 */     GIR_EraseRootFromParent_Done,
     /*  276071 */   // Label 5501: @276071
     /*  276071 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(276137), // Rule ID 59992 //
     /*  276076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  276087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  276115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276135 */     GIR_RootConstrainSelectedInstOperands,
     /*  276136 */     // GIR_Coverage, 59992,
     /*  276136 */     GIR_EraseRootFromParent_Done,
     /*  276137 */   // Label 5502: @276137
     /*  276137 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(276203), // Rule ID 59993 //
     /*  276142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  276153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  276181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276201 */     GIR_RootConstrainSelectedInstOperands,
     /*  276202 */     // GIR_Coverage, 59993,
     /*  276202 */     GIR_EraseRootFromParent_Done,
     /*  276203 */   // Label 5503: @276203
     /*  276203 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(276269), // Rule ID 59996 //
     /*  276208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  276219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  276247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  276250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276267 */     GIR_RootConstrainSelectedInstOperands,
     /*  276268 */     // GIR_Coverage, 59996,
     /*  276268 */     GIR_EraseRootFromParent_Done,
     /*  276269 */   // Label 5504: @276269
     /*  276269 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(276335), // Rule ID 59997 //
     /*  276274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  276285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276313 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10798:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  276313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  276316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276333 */     GIR_RootConstrainSelectedInstOperands,
     /*  276334 */     // GIR_Coverage, 59997,
     /*  276334 */     GIR_EraseRootFromParent_Done,
     /*  276335 */   // Label 5505: @276335
     /*  276335 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(276401), // Rule ID 60000 //
     /*  276340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  276351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  276379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  276382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276399 */     GIR_RootConstrainSelectedInstOperands,
     /*  276400 */     // GIR_Coverage, 60000,
     /*  276400 */     GIR_EraseRootFromParent_Done,
     /*  276401 */   // Label 5506: @276401
     /*  276401 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(276467), // Rule ID 60001 //
     /*  276406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  276417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276445 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10798:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  276445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  276448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276465 */     GIR_RootConstrainSelectedInstOperands,
     /*  276466 */     // GIR_Coverage, 60001,
     /*  276466 */     GIR_EraseRootFromParent_Done,
     /*  276467 */   // Label 5507: @276467
     /*  276467 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(276533), // Rule ID 60004 //
     /*  276472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  276483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276511 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  276511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276531 */     GIR_RootConstrainSelectedInstOperands,
     /*  276532 */     // GIR_Coverage, 60004,
     /*  276532 */     GIR_EraseRootFromParent_Done,
     /*  276533 */   // Label 5508: @276533
     /*  276533 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(276599), // Rule ID 60005 //
     /*  276538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  276546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  276549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276577 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10798:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  276577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  276580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276597 */     GIR_RootConstrainSelectedInstOperands,
     /*  276598 */     // GIR_Coverage, 60005,
     /*  276598 */     GIR_EraseRootFromParent_Done,
     /*  276599 */   // Label 5509: @276599
     /*  276599 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(276665), // Rule ID 60008 //
     /*  276604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  276615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  276621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  276646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276663 */     GIR_RootConstrainSelectedInstOperands,
     /*  276664 */     // GIR_Coverage, 60008,
     /*  276664 */     GIR_EraseRootFromParent_Done,
     /*  276665 */   // Label 5510: @276665
     /*  276665 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(276731), // Rule ID 60009 //
     /*  276670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  276681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  276687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276709 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  276712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276729 */     GIR_RootConstrainSelectedInstOperands,
     /*  276730 */     // GIR_Coverage, 60009,
     /*  276730 */     GIR_EraseRootFromParent_Done,
     /*  276731 */   // Label 5511: @276731
     /*  276731 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(276797), // Rule ID 60012 //
     /*  276736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  276747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  276753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276795 */     GIR_RootConstrainSelectedInstOperands,
     /*  276796 */     // GIR_Coverage, 60012,
     /*  276796 */     GIR_EraseRootFromParent_Done,
     /*  276797 */   // Label 5512: @276797
     /*  276797 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(276863), // Rule ID 60013 //
     /*  276802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  276813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  276819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276841 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  276844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276861 */     GIR_RootConstrainSelectedInstOperands,
     /*  276862 */     // GIR_Coverage, 60013,
     /*  276862 */     GIR_EraseRootFromParent_Done,
     /*  276863 */   // Label 5513: @276863
     /*  276863 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(276929), // Rule ID 60016 //
     /*  276868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  276871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  276879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  276885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  276907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276927 */     GIR_RootConstrainSelectedInstOperands,
     /*  276928 */     // GIR_Coverage, 60016,
     /*  276928 */     GIR_EraseRootFromParent_Done,
     /*  276929 */   // Label 5514: @276929
     /*  276929 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(276995), // Rule ID 60017 //
     /*  276934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  276937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  276942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  276945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  276948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  276951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276973 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  276973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  276976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  276980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  276993 */     GIR_RootConstrainSelectedInstOperands,
     /*  276994 */     // GIR_Coverage, 60017,
     /*  276994 */     GIR_EraseRootFromParent_Done,
     /*  276995 */   // Label 5515: @276995
     /*  276995 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(277061), // Rule ID 60020 //
     /*  277000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  277011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  277017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277039 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  277042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277059 */     GIR_RootConstrainSelectedInstOperands,
     /*  277060 */     // GIR_Coverage, 60020,
     /*  277060 */     GIR_EraseRootFromParent_Done,
     /*  277061 */   // Label 5516: @277061
     /*  277061 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(277127), // Rule ID 60021 //
     /*  277066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  277077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  277083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  277105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  277108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277125 */     GIR_RootConstrainSelectedInstOperands,
     /*  277126 */     // GIR_Coverage, 60021,
     /*  277126 */     GIR_EraseRootFromParent_Done,
     /*  277127 */   // Label 5517: @277127
     /*  277127 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(277193), // Rule ID 60024 //
     /*  277132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  277143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  277149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  277174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277191 */     GIR_RootConstrainSelectedInstOperands,
     /*  277192 */     // GIR_Coverage, 60024,
     /*  277192 */     GIR_EraseRootFromParent_Done,
     /*  277193 */   // Label 5518: @277193
     /*  277193 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(277259), // Rule ID 60025 //
     /*  277198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  277209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  277215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277237 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  277237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  277240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277257 */     GIR_RootConstrainSelectedInstOperands,
     /*  277258 */     // GIR_Coverage, 60025,
     /*  277258 */     GIR_EraseRootFromParent_Done,
     /*  277259 */   // Label 5519: @277259
     /*  277259 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(277325), // Rule ID 60028 //
     /*  277264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  277275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  277281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  277303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  277306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277323 */     GIR_RootConstrainSelectedInstOperands,
     /*  277324 */     // GIR_Coverage, 60028,
     /*  277324 */     GIR_EraseRootFromParent_Done,
     /*  277325 */   // Label 5520: @277325
     /*  277325 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(277391), // Rule ID 60029 //
     /*  277330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  277341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  277347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  277369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  277372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277389 */     GIR_RootConstrainSelectedInstOperands,
     /*  277390 */     // GIR_Coverage, 60029,
     /*  277390 */     GIR_EraseRootFromParent_Done,
     /*  277391 */   // Label 5521: @277391
     /*  277391 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(277457), // Rule ID 60032 //
     /*  277396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  277407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  277413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  277435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277455 */     GIR_RootConstrainSelectedInstOperands,
     /*  277456 */     // GIR_Coverage, 60032,
     /*  277456 */     GIR_EraseRootFromParent_Done,
     /*  277457 */   // Label 5522: @277457
     /*  277457 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(277523), // Rule ID 60033 //
     /*  277462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  277473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  277479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10806:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  277501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277521 */     GIR_RootConstrainSelectedInstOperands,
     /*  277522 */     // GIR_Coverage, 60033,
     /*  277522 */     GIR_EraseRootFromParent_Done,
     /*  277523 */   // Label 5523: @277523
     /*  277523 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(277589), // Rule ID 60036 //
     /*  277528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  277539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  277545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  277567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277587 */     GIR_RootConstrainSelectedInstOperands,
     /*  277588 */     // GIR_Coverage, 60036,
     /*  277588 */     GIR_EraseRootFromParent_Done,
     /*  277589 */   // Label 5524: @277589
     /*  277589 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(277655), // Rule ID 60037 //
     /*  277594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  277605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  277611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10806:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  277633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277653 */     GIR_RootConstrainSelectedInstOperands,
     /*  277654 */     // GIR_Coverage, 60037,
     /*  277654 */     GIR_EraseRootFromParent_Done,
     /*  277655 */   // Label 5525: @277655
     /*  277655 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(277721), // Rule ID 60040 //
     /*  277660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  277671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  277677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277699 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  277699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277719 */     GIR_RootConstrainSelectedInstOperands,
     /*  277720 */     // GIR_Coverage, 60040,
     /*  277720 */     GIR_EraseRootFromParent_Done,
     /*  277721 */   // Label 5526: @277721
     /*  277721 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(277787), // Rule ID 60041 //
     /*  277726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  277737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  277743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277765 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10806:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  277765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277785 */     GIR_RootConstrainSelectedInstOperands,
     /*  277786 */     // GIR_Coverage, 60041,
     /*  277786 */     GIR_EraseRootFromParent_Done,
     /*  277787 */   // Label 5527: @277787
     /*  277787 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(277853), // Rule ID 60044 //
     /*  277792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  277803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  277809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  277831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277851 */     GIR_RootConstrainSelectedInstOperands,
     /*  277852 */     // GIR_Coverage, 60044,
     /*  277852 */     GIR_EraseRootFromParent_Done,
     /*  277853 */   // Label 5528: @277853
     /*  277853 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(277919), // Rule ID 60045 //
     /*  277858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  277869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  277875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10806:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  277897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  277900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277917 */     GIR_RootConstrainSelectedInstOperands,
     /*  277918 */     // GIR_Coverage, 60045,
     /*  277918 */     GIR_EraseRootFromParent_Done,
     /*  277919 */   // Label 5529: @277919
     /*  277919 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(277985), // Rule ID 60048 //
     /*  277924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  277927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  277935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  277938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  277941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  277956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277963 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  277963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  277966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  277970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  277983 */     GIR_RootConstrainSelectedInstOperands,
     /*  277984 */     // GIR_Coverage, 60048,
     /*  277984 */     GIR_EraseRootFromParent_Done,
     /*  277985 */   // Label 5530: @277985
     /*  277985 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(278051), // Rule ID 60049 //
     /*  277990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  277993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  277998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  278001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  278007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278029 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  278029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278049 */     GIR_RootConstrainSelectedInstOperands,
     /*  278050 */     // GIR_Coverage, 60049,
     /*  278050 */     GIR_EraseRootFromParent_Done,
     /*  278051 */   // Label 5531: @278051
     /*  278051 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(278117), // Rule ID 60052 //
     /*  278056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  278067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  278073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278095 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  278095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278115 */     GIR_RootConstrainSelectedInstOperands,
     /*  278116 */     // GIR_Coverage, 60052,
     /*  278116 */     GIR_EraseRootFromParent_Done,
     /*  278117 */   // Label 5532: @278117
     /*  278117 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(278183), // Rule ID 60053 //
     /*  278122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  278133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  278139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  278161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278181 */     GIR_RootConstrainSelectedInstOperands,
     /*  278182 */     // GIR_Coverage, 60053,
     /*  278182 */     GIR_EraseRootFromParent_Done,
     /*  278183 */   // Label 5533: @278183
     /*  278183 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(278249), // Rule ID 60056 //
     /*  278188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  278199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  278205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278227 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  278227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278247 */     GIR_RootConstrainSelectedInstOperands,
     /*  278248 */     // GIR_Coverage, 60056,
     /*  278248 */     GIR_EraseRootFromParent_Done,
     /*  278249 */   // Label 5534: @278249
     /*  278249 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(278315), // Rule ID 60057 //
     /*  278254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  278265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  278271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278293 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  278293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278313 */     GIR_RootConstrainSelectedInstOperands,
     /*  278314 */     // GIR_Coverage, 60057,
     /*  278314 */     GIR_EraseRootFromParent_Done,
     /*  278315 */   // Label 5535: @278315
     /*  278315 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(278381), // Rule ID 60060 //
     /*  278320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  278331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  278337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  278359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278379 */     GIR_RootConstrainSelectedInstOperands,
     /*  278380 */     // GIR_Coverage, 60060,
     /*  278380 */     GIR_EraseRootFromParent_Done,
     /*  278381 */   // Label 5536: @278381
     /*  278381 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(278447), // Rule ID 60061 //
     /*  278386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  278397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  278403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  278425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278445 */     GIR_RootConstrainSelectedInstOperands,
     /*  278446 */     // GIR_Coverage, 60061,
     /*  278446 */     GIR_EraseRootFromParent_Done,
     /*  278447 */   // Label 5537: @278447
     /*  278447 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(278513), // Rule ID 60064 //
     /*  278452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  278463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  278469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  278491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278511 */     GIR_RootConstrainSelectedInstOperands,
     /*  278512 */     // GIR_Coverage, 60064,
     /*  278512 */     GIR_EraseRootFromParent_Done,
     /*  278513 */   // Label 5538: @278513
     /*  278513 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(278579), // Rule ID 60065 //
     /*  278518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  278529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  278535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278557 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  278557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278577 */     GIR_RootConstrainSelectedInstOperands,
     /*  278578 */     // GIR_Coverage, 60065,
     /*  278578 */     GIR_EraseRootFromParent_Done,
     /*  278579 */   // Label 5539: @278579
     /*  278579 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(278645), // Rule ID 60068 //
     /*  278584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  278595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  278601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278623 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  278623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278643 */     GIR_RootConstrainSelectedInstOperands,
     /*  278644 */     // GIR_Coverage, 60068,
     /*  278644 */     GIR_EraseRootFromParent_Done,
     /*  278645 */   // Label 5540: @278645
     /*  278645 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(278711), // Rule ID 60069 //
     /*  278650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  278661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  278667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278689 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  278689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  278692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278709 */     GIR_RootConstrainSelectedInstOperands,
     /*  278710 */     // GIR_Coverage, 60069,
     /*  278710 */     GIR_EraseRootFromParent_Done,
     /*  278711 */   // Label 5541: @278711
     /*  278711 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(278777), // Rule ID 60072 //
     /*  278716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  278727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  278733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  278755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278775 */     GIR_RootConstrainSelectedInstOperands,
     /*  278776 */     // GIR_Coverage, 60072,
     /*  278776 */     GIR_EraseRootFromParent_Done,
     /*  278777 */   // Label 5542: @278777
     /*  278777 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(278843), // Rule ID 60073 //
     /*  278782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  278793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  278799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  278821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  278824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278841 */     GIR_RootConstrainSelectedInstOperands,
     /*  278842 */     // GIR_Coverage, 60073,
     /*  278842 */     GIR_EraseRootFromParent_Done,
     /*  278843 */   // Label 5543: @278843
     /*  278843 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(278909), // Rule ID 60076 //
     /*  278848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  278859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  278865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278887 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  278887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278907 */     GIR_RootConstrainSelectedInstOperands,
     /*  278908 */     // GIR_Coverage, 60076,
     /*  278908 */     GIR_EraseRootFromParent_Done,
     /*  278909 */   // Label 5544: @278909
     /*  278909 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(278975), // Rule ID 60077 //
     /*  278914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  278917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  278925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  278931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  278953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  278956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  278960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  278973 */     GIR_RootConstrainSelectedInstOperands,
     /*  278974 */     // GIR_Coverage, 60077,
     /*  278974 */     GIR_EraseRootFromParent_Done,
     /*  278975 */   // Label 5545: @278975
     /*  278975 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(279041), // Rule ID 60080 //
     /*  278980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  278983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  278988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  278991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  278994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  278997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  279019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  279022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279039 */     GIR_RootConstrainSelectedInstOperands,
     /*  279040 */     // GIR_Coverage, 60080,
     /*  279040 */     GIR_EraseRootFromParent_Done,
     /*  279041 */   // Label 5546: @279041
     /*  279041 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(279107), // Rule ID 60081 //
     /*  279046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  279057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  279063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  279085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  279088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279105 */     GIR_RootConstrainSelectedInstOperands,
     /*  279106 */     // GIR_Coverage, 60081,
     /*  279106 */     GIR_EraseRootFromParent_Done,
     /*  279107 */   // Label 5547: @279107
     /*  279107 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(279173), // Rule ID 60084 //
     /*  279112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  279123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  279129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279151 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  279151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  279154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279171 */     GIR_RootConstrainSelectedInstOperands,
     /*  279172 */     // GIR_Coverage, 60084,
     /*  279172 */     GIR_EraseRootFromParent_Done,
     /*  279173 */   // Label 5548: @279173
     /*  279173 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(279239), // Rule ID 60085 //
     /*  279178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  279189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  279195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279217 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10806:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  279217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  279220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279237 */     GIR_RootConstrainSelectedInstOperands,
     /*  279238 */     // GIR_Coverage, 60085,
     /*  279238 */     GIR_EraseRootFromParent_Done,
     /*  279239 */   // Label 5549: @279239
     /*  279239 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(279305), // Rule ID 60088 //
     /*  279244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  279255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  279261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  279283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  279286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279303 */     GIR_RootConstrainSelectedInstOperands,
     /*  279304 */     // GIR_Coverage, 60088,
     /*  279304 */     GIR_EraseRootFromParent_Done,
     /*  279305 */   // Label 5550: @279305
     /*  279305 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(279371), // Rule ID 60089 //
     /*  279310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  279321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  279327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279349 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10806:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  279349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  279352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279369 */     GIR_RootConstrainSelectedInstOperands,
     /*  279370 */     // GIR_Coverage, 60089,
     /*  279370 */     GIR_EraseRootFromParent_Done,
     /*  279371 */   // Label 5551: @279371
     /*  279371 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(279437), // Rule ID 60092 //
     /*  279376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  279387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  279393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  279415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  279418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279435 */     GIR_RootConstrainSelectedInstOperands,
     /*  279436 */     // GIR_Coverage, 60092,
     /*  279436 */     GIR_EraseRootFromParent_Done,
     /*  279437 */   // Label 5552: @279437
     /*  279437 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(279503), // Rule ID 60093 //
     /*  279442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  279450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  279453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  279459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279481 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10806:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  279481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  279484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279501 */     GIR_RootConstrainSelectedInstOperands,
     /*  279502 */     // GIR_Coverage, 60093,
     /*  279502 */     GIR_EraseRootFromParent_Done,
     /*  279503 */   // Label 5553: @279503
     /*  279503 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(279569), // Rule ID 60096 //
     /*  279508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  279519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  279550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279567 */     GIR_RootConstrainSelectedInstOperands,
     /*  279568 */     // GIR_Coverage, 60096,
     /*  279568 */     GIR_EraseRootFromParent_Done,
     /*  279569 */   // Label 5554: @279569
     /*  279569 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(279635), // Rule ID 60097 //
     /*  279574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  279585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279613 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  279616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279633 */     GIR_RootConstrainSelectedInstOperands,
     /*  279634 */     // GIR_Coverage, 60097,
     /*  279634 */     GIR_EraseRootFromParent_Done,
     /*  279635 */   // Label 5555: @279635
     /*  279635 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(279701), // Rule ID 60100 //
     /*  279640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  279651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279679 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279699 */     GIR_RootConstrainSelectedInstOperands,
     /*  279700 */     // GIR_Coverage, 60100,
     /*  279700 */     GIR_EraseRootFromParent_Done,
     /*  279701 */   // Label 5556: @279701
     /*  279701 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(279767), // Rule ID 60101 //
     /*  279706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  279717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279745 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279765 */     GIR_RootConstrainSelectedInstOperands,
     /*  279766 */     // GIR_Coverage, 60101,
     /*  279766 */     GIR_EraseRootFromParent_Done,
     /*  279767 */   // Label 5557: @279767
     /*  279767 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(279833), // Rule ID 60104 //
     /*  279772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  279783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  279811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279831 */     GIR_RootConstrainSelectedInstOperands,
     /*  279832 */     // GIR_Coverage, 60104,
     /*  279832 */     GIR_EraseRootFromParent_Done,
     /*  279833 */   // Label 5558: @279833
     /*  279833 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(279899), // Rule ID 60105 //
     /*  279838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  279849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279877 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  279877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  279880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279897 */     GIR_RootConstrainSelectedInstOperands,
     /*  279898 */     // GIR_Coverage, 60105,
     /*  279898 */     GIR_EraseRootFromParent_Done,
     /*  279899 */   // Label 5559: @279899
     /*  279899 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(279965), // Rule ID 60108 //
     /*  279904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  279907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  279915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279943 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  279943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  279946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  279950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  279963 */     GIR_RootConstrainSelectedInstOperands,
     /*  279964 */     // GIR_Coverage, 60108,
     /*  279964 */     GIR_EraseRootFromParent_Done,
     /*  279965 */   // Label 5560: @279965
     /*  279965 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(280031), // Rule ID 60109 //
     /*  279970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  279973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  279978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  279981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280009 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  280012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280029 */     GIR_RootConstrainSelectedInstOperands,
     /*  280030 */     // GIR_Coverage, 60109,
     /*  280030 */     GIR_EraseRootFromParent_Done,
     /*  280031 */   // Label 5561: @280031
     /*  280031 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(280097), // Rule ID 60112 //
     /*  280036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  280047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280075 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  280075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  280078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280095 */     GIR_RootConstrainSelectedInstOperands,
     /*  280096 */     // GIR_Coverage, 60112,
     /*  280096 */     GIR_EraseRootFromParent_Done,
     /*  280097 */   // Label 5562: @280097
     /*  280097 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(280163), // Rule ID 60113 //
     /*  280102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  280113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  280144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280161 */     GIR_RootConstrainSelectedInstOperands,
     /*  280162 */     // GIR_Coverage, 60113,
     /*  280162 */     GIR_EraseRootFromParent_Done,
     /*  280163 */   // Label 5563: @280163
     /*  280163 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(280229), // Rule ID 60116 //
     /*  280168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  280179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  280207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  280210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280227 */     GIR_RootConstrainSelectedInstOperands,
     /*  280228 */     // GIR_Coverage, 60116,
     /*  280228 */     GIR_EraseRootFromParent_Done,
     /*  280229 */   // Label 5564: @280229
     /*  280229 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(280295), // Rule ID 60117 //
     /*  280234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  280245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  280273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  280276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280293 */     GIR_RootConstrainSelectedInstOperands,
     /*  280294 */     // GIR_Coverage, 60117,
     /*  280294 */     GIR_EraseRootFromParent_Done,
     /*  280295 */   // Label 5565: @280295
     /*  280295 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(280361), // Rule ID 60120 //
     /*  280300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  280311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280339 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280359 */     GIR_RootConstrainSelectedInstOperands,
     /*  280360 */     // GIR_Coverage, 60120,
     /*  280360 */     GIR_EraseRootFromParent_Done,
     /*  280361 */   // Label 5566: @280361
     /*  280361 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(280427), // Rule ID 60121 //
     /*  280366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  280377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10813:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  280405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280425 */     GIR_RootConstrainSelectedInstOperands,
     /*  280426 */     // GIR_Coverage, 60121,
     /*  280426 */     GIR_EraseRootFromParent_Done,
     /*  280427 */   // Label 5567: @280427
     /*  280427 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(280493), // Rule ID 60124 //
     /*  280432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  280443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  280471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280491 */     GIR_RootConstrainSelectedInstOperands,
     /*  280492 */     // GIR_Coverage, 60124,
     /*  280492 */     GIR_EraseRootFromParent_Done,
     /*  280493 */   // Label 5568: @280493
     /*  280493 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(280559), // Rule ID 60125 //
     /*  280498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  280509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280537 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10813:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  280537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280557 */     GIR_RootConstrainSelectedInstOperands,
     /*  280558 */     // GIR_Coverage, 60125,
     /*  280558 */     GIR_EraseRootFromParent_Done,
     /*  280559 */   // Label 5569: @280559
     /*  280559 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(280625), // Rule ID 60128 //
     /*  280564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  280575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  280603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280623 */     GIR_RootConstrainSelectedInstOperands,
     /*  280624 */     // GIR_Coverage, 60128,
     /*  280624 */     GIR_EraseRootFromParent_Done,
     /*  280625 */   // Label 5570: @280625
     /*  280625 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(280691), // Rule ID 60129 //
     /*  280630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  280641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10813:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  280669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280689 */     GIR_RootConstrainSelectedInstOperands,
     /*  280690 */     // GIR_Coverage, 60129,
     /*  280690 */     GIR_EraseRootFromParent_Done,
     /*  280691 */   // Label 5571: @280691
     /*  280691 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(280757), // Rule ID 60132 //
     /*  280696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  280707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280735 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  280735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280755 */     GIR_RootConstrainSelectedInstOperands,
     /*  280756 */     // GIR_Coverage, 60132,
     /*  280756 */     GIR_EraseRootFromParent_Done,
     /*  280757 */   // Label 5572: @280757
     /*  280757 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(280823), // Rule ID 60133 //
     /*  280762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  280773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10813:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  280801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  280804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280821 */     GIR_RootConstrainSelectedInstOperands,
     /*  280822 */     // GIR_Coverage, 60133,
     /*  280822 */     GIR_EraseRootFromParent_Done,
     /*  280823 */   // Label 5573: @280823
     /*  280823 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(280889), // Rule ID 60136 //
     /*  280828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  280839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280867 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280887 */     GIR_RootConstrainSelectedInstOperands,
     /*  280888 */     // GIR_Coverage, 60136,
     /*  280888 */     GIR_EraseRootFromParent_Done,
     /*  280889 */   // Label 5574: @280889
     /*  280889 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(280955), // Rule ID 60137 //
     /*  280894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  280897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  280905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280933 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  280933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  280936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  280940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  280953 */     GIR_RootConstrainSelectedInstOperands,
     /*  280954 */     // GIR_Coverage, 60137,
     /*  280954 */     GIR_EraseRootFromParent_Done,
     /*  280955 */   // Label 5575: @280955
     /*  280955 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(281021), // Rule ID 60140 //
     /*  280960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  280963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  280968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  280971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  280999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281019 */     GIR_RootConstrainSelectedInstOperands,
     /*  281020 */     // GIR_Coverage, 60140,
     /*  281020 */     GIR_EraseRootFromParent_Done,
     /*  281021 */   // Label 5576: @281021
     /*  281021 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(281087), // Rule ID 60141 //
     /*  281026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  281037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281065 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  281065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281085 */     GIR_RootConstrainSelectedInstOperands,
     /*  281086 */     // GIR_Coverage, 60141,
     /*  281086 */     GIR_EraseRootFromParent_Done,
     /*  281087 */   // Label 5577: @281087
     /*  281087 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(281153), // Rule ID 60144 //
     /*  281092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  281103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281131 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  281131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281151 */     GIR_RootConstrainSelectedInstOperands,
     /*  281152 */     // GIR_Coverage, 60144,
     /*  281152 */     GIR_EraseRootFromParent_Done,
     /*  281153 */   // Label 5578: @281153
     /*  281153 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(281219), // Rule ID 60145 //
     /*  281158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  281169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  281197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281217 */     GIR_RootConstrainSelectedInstOperands,
     /*  281218 */     // GIR_Coverage, 60145,
     /*  281218 */     GIR_EraseRootFromParent_Done,
     /*  281219 */   // Label 5579: @281219
     /*  281219 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(281285), // Rule ID 60148 //
     /*  281224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  281235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281263 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  281263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281283 */     GIR_RootConstrainSelectedInstOperands,
     /*  281284 */     // GIR_Coverage, 60148,
     /*  281284 */     GIR_EraseRootFromParent_Done,
     /*  281285 */   // Label 5580: @281285
     /*  281285 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(281351), // Rule ID 60149 //
     /*  281290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  281301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281329 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  281329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281349 */     GIR_RootConstrainSelectedInstOperands,
     /*  281350 */     // GIR_Coverage, 60149,
     /*  281350 */     GIR_EraseRootFromParent_Done,
     /*  281351 */   // Label 5581: @281351
     /*  281351 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(281417), // Rule ID 60152 //
     /*  281356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  281367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  281395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281415 */     GIR_RootConstrainSelectedInstOperands,
     /*  281416 */     // GIR_Coverage, 60152,
     /*  281416 */     GIR_EraseRootFromParent_Done,
     /*  281417 */   // Label 5582: @281417
     /*  281417 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(281483), // Rule ID 60153 //
     /*  281422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  281433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  281461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281481 */     GIR_RootConstrainSelectedInstOperands,
     /*  281482 */     // GIR_Coverage, 60153,
     /*  281482 */     GIR_EraseRootFromParent_Done,
     /*  281483 */   // Label 5583: @281483
     /*  281483 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(281549), // Rule ID 60156 //
     /*  281488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  281499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281527 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  281527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281547 */     GIR_RootConstrainSelectedInstOperands,
     /*  281548 */     // GIR_Coverage, 60156,
     /*  281548 */     GIR_EraseRootFromParent_Done,
     /*  281549 */   // Label 5584: @281549
     /*  281549 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(281615), // Rule ID 60157 //
     /*  281554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  281565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281593 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  281593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281613 */     GIR_RootConstrainSelectedInstOperands,
     /*  281614 */     // GIR_Coverage, 60157,
     /*  281614 */     GIR_EraseRootFromParent_Done,
     /*  281615 */   // Label 5585: @281615
     /*  281615 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(281681), // Rule ID 60160 //
     /*  281620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  281631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281679 */     GIR_RootConstrainSelectedInstOperands,
     /*  281680 */     // GIR_Coverage, 60160,
     /*  281680 */     GIR_EraseRootFromParent_Done,
     /*  281681 */   // Label 5586: @281681
     /*  281681 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(281747), // Rule ID 60161 //
     /*  281686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  281697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  281728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281745 */     GIR_RootConstrainSelectedInstOperands,
     /*  281746 */     // GIR_Coverage, 60161,
     /*  281746 */     GIR_EraseRootFromParent_Done,
     /*  281747 */   // Label 5587: @281747
     /*  281747 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(281813), // Rule ID 60164 //
     /*  281752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  281763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281811 */     GIR_RootConstrainSelectedInstOperands,
     /*  281812 */     // GIR_Coverage, 60164,
     /*  281812 */     GIR_EraseRootFromParent_Done,
     /*  281813 */   // Label 5588: @281813
     /*  281813 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(281879), // Rule ID 60165 //
     /*  281818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  281829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  281860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281877 */     GIR_RootConstrainSelectedInstOperands,
     /*  281878 */     // GIR_Coverage, 60165,
     /*  281878 */     GIR_EraseRootFromParent_Done,
     /*  281879 */   // Label 5589: @281879
     /*  281879 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(281945), // Rule ID 60168 //
     /*  281884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  281887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  281895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  281923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  281943 */     GIR_RootConstrainSelectedInstOperands,
     /*  281944 */     // GIR_Coverage, 60168,
     /*  281944 */     GIR_EraseRootFromParent_Done,
     /*  281945 */   // Label 5590: @281945
     /*  281945 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(282011), // Rule ID 60169 //
     /*  281950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  281953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  281958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  281961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  281989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  281992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  281996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282009 */     GIR_RootConstrainSelectedInstOperands,
     /*  282010 */     // GIR_Coverage, 60169,
     /*  282010 */     GIR_EraseRootFromParent_Done,
     /*  282011 */   // Label 5591: @282011
     /*  282011 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(282077), // Rule ID 60172 //
     /*  282016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  282027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282055 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  282055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  282058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282075 */     GIR_RootConstrainSelectedInstOperands,
     /*  282076 */     // GIR_Coverage, 60172,
     /*  282076 */     GIR_EraseRootFromParent_Done,
     /*  282077 */   // Label 5592: @282077
     /*  282077 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(282143), // Rule ID 60173 //
     /*  282082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  282093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10813:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  282121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  282124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282141 */     GIR_RootConstrainSelectedInstOperands,
     /*  282142 */     // GIR_Coverage, 60173,
     /*  282142 */     GIR_EraseRootFromParent_Done,
     /*  282143 */   // Label 5593: @282143
     /*  282143 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(282209), // Rule ID 60176 //
     /*  282148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  282159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  282187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  282190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282207 */     GIR_RootConstrainSelectedInstOperands,
     /*  282208 */     // GIR_Coverage, 60176,
     /*  282208 */     GIR_EraseRootFromParent_Done,
     /*  282209 */   // Label 5594: @282209
     /*  282209 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(282275), // Rule ID 60177 //
     /*  282214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  282225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282253 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10813:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  282253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  282256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282273 */     GIR_RootConstrainSelectedInstOperands,
     /*  282274 */     // GIR_Coverage, 60177,
     /*  282274 */     GIR_EraseRootFromParent_Done,
     /*  282275 */   // Label 5595: @282275
     /*  282275 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(282341), // Rule ID 60180 //
     /*  282280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  282291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  282319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  282322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282339 */     GIR_RootConstrainSelectedInstOperands,
     /*  282340 */     // GIR_Coverage, 60180,
     /*  282340 */     GIR_EraseRootFromParent_Done,
     /*  282341 */   // Label 5596: @282341
     /*  282341 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(282407), // Rule ID 60181 //
     /*  282346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  282354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  282357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282385 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10813:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  282385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  282388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282405 */     GIR_RootConstrainSelectedInstOperands,
     /*  282406 */     // GIR_Coverage, 60181,
     /*  282406 */     GIR_EraseRootFromParent_Done,
     /*  282407 */   // Label 5597: @282407
     /*  282407 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(282473), // Rule ID 60184 //
     /*  282412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  282423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  282429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  282454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282471 */     GIR_RootConstrainSelectedInstOperands,
     /*  282472 */     // GIR_Coverage, 60184,
     /*  282472 */     GIR_EraseRootFromParent_Done,
     /*  282473 */   // Label 5598: @282473
     /*  282473 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(282539), // Rule ID 60185 //
     /*  282478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  282489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  282495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282517 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  282520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282537 */     GIR_RootConstrainSelectedInstOperands,
     /*  282538 */     // GIR_Coverage, 60185,
     /*  282538 */     GIR_EraseRootFromParent_Done,
     /*  282539 */   // Label 5599: @282539
     /*  282539 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(282605), // Rule ID 60188 //
     /*  282544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  282555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  282561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282583 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282603 */     GIR_RootConstrainSelectedInstOperands,
     /*  282604 */     // GIR_Coverage, 60188,
     /*  282604 */     GIR_EraseRootFromParent_Done,
     /*  282605 */   // Label 5600: @282605
     /*  282605 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(282671), // Rule ID 60189 //
     /*  282610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  282621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  282627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282669 */     GIR_RootConstrainSelectedInstOperands,
     /*  282670 */     // GIR_Coverage, 60189,
     /*  282670 */     GIR_EraseRootFromParent_Done,
     /*  282671 */   // Label 5601: @282671
     /*  282671 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(282737), // Rule ID 60192 //
     /*  282676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  282687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  282693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  282715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282735 */     GIR_RootConstrainSelectedInstOperands,
     /*  282736 */     // GIR_Coverage, 60192,
     /*  282736 */     GIR_EraseRootFromParent_Done,
     /*  282737 */   // Label 5602: @282737
     /*  282737 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(282803), // Rule ID 60193 //
     /*  282742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  282753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  282759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282781 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  282781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282801 */     GIR_RootConstrainSelectedInstOperands,
     /*  282802 */     // GIR_Coverage, 60193,
     /*  282802 */     GIR_EraseRootFromParent_Done,
     /*  282803 */   // Label 5603: @282803
     /*  282803 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(282869), // Rule ID 60196 //
     /*  282808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  282819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  282825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  282847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282867 */     GIR_RootConstrainSelectedInstOperands,
     /*  282868 */     // GIR_Coverage, 60196,
     /*  282868 */     GIR_EraseRootFromParent_Done,
     /*  282869 */   // Label 5604: @282869
     /*  282869 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(282935), // Rule ID 60197 //
     /*  282874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  282877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  282885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  282891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  282913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  282916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282933 */     GIR_RootConstrainSelectedInstOperands,
     /*  282934 */     // GIR_Coverage, 60197,
     /*  282934 */     GIR_EraseRootFromParent_Done,
     /*  282935 */   // Label 5605: @282935
     /*  282935 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(283001), // Rule ID 60200 //
     /*  282940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  282943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  282948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  282951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  282957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282979 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  282979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  282982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  282986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  282999 */     GIR_RootConstrainSelectedInstOperands,
     /*  283000 */     // GIR_Coverage, 60200,
     /*  283000 */     GIR_EraseRootFromParent_Done,
     /*  283001 */   // Label 5606: @283001
     /*  283001 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(283067), // Rule ID 60201 //
     /*  283006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  283017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  283020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  283023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283045 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  283045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  283048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283065 */     GIR_RootConstrainSelectedInstOperands,
     /*  283066 */     // GIR_Coverage, 60201,
     /*  283066 */     GIR_EraseRootFromParent_Done,
     /*  283067 */   // Label 5607: @283067
     /*  283067 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(283133), // Rule ID 60204 //
     /*  283072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  283083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  283089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  283111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  283114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283131 */     GIR_RootConstrainSelectedInstOperands,
     /*  283132 */     // GIR_Coverage, 60204,
     /*  283132 */     GIR_EraseRootFromParent_Done,
     /*  283133 */   // Label 5608: @283133
     /*  283133 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(283199), // Rule ID 60205 //
     /*  283138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  283149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  283155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  283177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  283180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283197 */     GIR_RootConstrainSelectedInstOperands,
     /*  283198 */     // GIR_Coverage, 60205,
     /*  283198 */     GIR_EraseRootFromParent_Done,
     /*  283199 */   // Label 5609: @283199
     /*  283199 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(283265), // Rule ID 60208 //
     /*  283204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  283215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  283221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283243 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283263 */     GIR_RootConstrainSelectedInstOperands,
     /*  283264 */     // GIR_Coverage, 60208,
     /*  283264 */     GIR_EraseRootFromParent_Done,
     /*  283265 */   // Label 5610: @283265
     /*  283265 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(283331), // Rule ID 60209 //
     /*  283270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  283281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  283287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283309 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10811:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283329 */     GIR_RootConstrainSelectedInstOperands,
     /*  283330 */     // GIR_Coverage, 60209,
     /*  283330 */     GIR_EraseRootFromParent_Done,
     /*  283331 */   // Label 5611: @283331
     /*  283331 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(283397), // Rule ID 60212 //
     /*  283336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  283347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  283353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  283375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283395 */     GIR_RootConstrainSelectedInstOperands,
     /*  283396 */     // GIR_Coverage, 60212,
     /*  283396 */     GIR_EraseRootFromParent_Done,
     /*  283397 */   // Label 5612: @283397
     /*  283397 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(283463), // Rule ID 60213 //
     /*  283402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  283413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  283419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283441 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10811:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  283441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283461 */     GIR_RootConstrainSelectedInstOperands,
     /*  283462 */     // GIR_Coverage, 60213,
     /*  283462 */     GIR_EraseRootFromParent_Done,
     /*  283463 */   // Label 5613: @283463
     /*  283463 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(283529), // Rule ID 60216 //
     /*  283468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  283479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  283485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  283507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283527 */     GIR_RootConstrainSelectedInstOperands,
     /*  283528 */     // GIR_Coverage, 60216,
     /*  283528 */     GIR_EraseRootFromParent_Done,
     /*  283529 */   // Label 5614: @283529
     /*  283529 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(283595), // Rule ID 60217 //
     /*  283534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  283545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  283551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10811:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  283573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283593 */     GIR_RootConstrainSelectedInstOperands,
     /*  283594 */     // GIR_Coverage, 60217,
     /*  283594 */     GIR_EraseRootFromParent_Done,
     /*  283595 */   // Label 5615: @283595
     /*  283595 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(283661), // Rule ID 60220 //
     /*  283600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  283611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  283617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283639 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  283639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283659 */     GIR_RootConstrainSelectedInstOperands,
     /*  283660 */     // GIR_Coverage, 60220,
     /*  283660 */     GIR_EraseRootFromParent_Done,
     /*  283661 */   // Label 5616: @283661
     /*  283661 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(283727), // Rule ID 60221 //
     /*  283666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  283677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  283683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283705 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10811:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  283705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  283708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283725 */     GIR_RootConstrainSelectedInstOperands,
     /*  283726 */     // GIR_Coverage, 60221,
     /*  283726 */     GIR_EraseRootFromParent_Done,
     /*  283727 */   // Label 5617: @283727
     /*  283727 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(283793), // Rule ID 60224 //
     /*  283732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  283743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  283749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283791 */     GIR_RootConstrainSelectedInstOperands,
     /*  283792 */     // GIR_Coverage, 60224,
     /*  283792 */     GIR_EraseRootFromParent_Done,
     /*  283793 */   // Label 5618: @283793
     /*  283793 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(283859), // Rule ID 60225 //
     /*  283798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  283809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  283815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283837 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  283840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283857 */     GIR_RootConstrainSelectedInstOperands,
     /*  283858 */     // GIR_Coverage, 60225,
     /*  283858 */     GIR_EraseRootFromParent_Done,
     /*  283859 */   // Label 5619: @283859
     /*  283859 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(283925), // Rule ID 60228 //
     /*  283864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  283875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  283881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283903 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  283903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283923 */     GIR_RootConstrainSelectedInstOperands,
     /*  283924 */     // GIR_Coverage, 60228,
     /*  283924 */     GIR_EraseRootFromParent_Done,
     /*  283925 */   // Label 5620: @283925
     /*  283925 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(283991), // Rule ID 60229 //
     /*  283930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  283933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  283938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  283941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  283947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  283969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  283972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  283976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  283989 */     GIR_RootConstrainSelectedInstOperands,
     /*  283990 */     // GIR_Coverage, 60229,
     /*  283990 */     GIR_EraseRootFromParent_Done,
     /*  283991 */   // Label 5621: @283991
     /*  283991 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(284057), // Rule ID 60232 //
     /*  283996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  283999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  284007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  284013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  284035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284055 */     GIR_RootConstrainSelectedInstOperands,
     /*  284056 */     // GIR_Coverage, 60232,
     /*  284056 */     GIR_EraseRootFromParent_Done,
     /*  284057 */   // Label 5622: @284057
     /*  284057 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(284123), // Rule ID 60233 //
     /*  284062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  284073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  284076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  284079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284101 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  284101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  284118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284121 */     GIR_RootConstrainSelectedInstOperands,
     /*  284122 */     // GIR_Coverage, 60233,
     /*  284122 */     GIR_EraseRootFromParent_Done,
     /*  284123 */   // Label 5623: @284123
     /*  284123 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(284189), // Rule ID 60236 //
     /*  284128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  284139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  284145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284167 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  284167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284187 */     GIR_RootConstrainSelectedInstOperands,
     /*  284188 */     // GIR_Coverage, 60236,
     /*  284188 */     GIR_EraseRootFromParent_Done,
     /*  284189 */   // Label 5624: @284189
     /*  284189 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(284255), // Rule ID 60237 //
     /*  284194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  284205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  284211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  284233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284253 */     GIR_RootConstrainSelectedInstOperands,
     /*  284254 */     // GIR_Coverage, 60237,
     /*  284254 */     GIR_EraseRootFromParent_Done,
     /*  284255 */   // Label 5625: @284255
     /*  284255 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(284321), // Rule ID 60240 //
     /*  284260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  284271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  284277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  284299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284319 */     GIR_RootConstrainSelectedInstOperands,
     /*  284320 */     // GIR_Coverage, 60240,
     /*  284320 */     GIR_EraseRootFromParent_Done,
     /*  284321 */   // Label 5626: @284321
     /*  284321 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(284387), // Rule ID 60241 //
     /*  284326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  284337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  284343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284365 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  284365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284385 */     GIR_RootConstrainSelectedInstOperands,
     /*  284386 */     // GIR_Coverage, 60241,
     /*  284386 */     GIR_EraseRootFromParent_Done,
     /*  284387 */   // Label 5627: @284387
     /*  284387 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(284453), // Rule ID 60244 //
     /*  284392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  284403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  284409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284431 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  284431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284451 */     GIR_RootConstrainSelectedInstOperands,
     /*  284452 */     // GIR_Coverage, 60244,
     /*  284452 */     GIR_EraseRootFromParent_Done,
     /*  284453 */   // Label 5628: @284453
     /*  284453 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(284519), // Rule ID 60245 //
     /*  284458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  284469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  284475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  284497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284517 */     GIR_RootConstrainSelectedInstOperands,
     /*  284518 */     // GIR_Coverage, 60245,
     /*  284518 */     GIR_EraseRootFromParent_Done,
     /*  284519 */   // Label 5629: @284519
     /*  284519 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(284585), // Rule ID 60248 //
     /*  284524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  284535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  284541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284583 */     GIR_RootConstrainSelectedInstOperands,
     /*  284584 */     // GIR_Coverage, 60248,
     /*  284584 */     GIR_EraseRootFromParent_Done,
     /*  284585 */   // Label 5630: @284585
     /*  284585 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(284651), // Rule ID 60249 //
     /*  284590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  284601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  284607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284629 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284649 */     GIR_RootConstrainSelectedInstOperands,
     /*  284650 */     // GIR_Coverage, 60249,
     /*  284650 */     GIR_EraseRootFromParent_Done,
     /*  284651 */   // Label 5631: @284651
     /*  284651 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(284717), // Rule ID 60252 //
     /*  284656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  284667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  284673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284715 */     GIR_RootConstrainSelectedInstOperands,
     /*  284716 */     // GIR_Coverage, 60252,
     /*  284716 */     GIR_EraseRootFromParent_Done,
     /*  284717 */   // Label 5632: @284717
     /*  284717 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(284783), // Rule ID 60253 //
     /*  284722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  284733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  284739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  284764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284781 */     GIR_RootConstrainSelectedInstOperands,
     /*  284782 */     // GIR_Coverage, 60253,
     /*  284782 */     GIR_EraseRootFromParent_Done,
     /*  284783 */   // Label 5633: @284783
     /*  284783 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(284849), // Rule ID 60256 //
     /*  284788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  284799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  284805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  284827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284847 */     GIR_RootConstrainSelectedInstOperands,
     /*  284848 */     // GIR_Coverage, 60256,
     /*  284848 */     GIR_EraseRootFromParent_Done,
     /*  284849 */   // Label 5634: @284849
     /*  284849 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(284915), // Rule ID 60257 //
     /*  284854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  284865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  284871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  284893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  284896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284913 */     GIR_RootConstrainSelectedInstOperands,
     /*  284914 */     // GIR_Coverage, 60257,
     /*  284914 */     GIR_EraseRootFromParent_Done,
     /*  284915 */   // Label 5635: @284915
     /*  284915 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(284981), // Rule ID 60260 //
     /*  284920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  284923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  284931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  284937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284959 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  284959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  284962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  284966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  284979 */     GIR_RootConstrainSelectedInstOperands,
     /*  284980 */     // GIR_Coverage, 60260,
     /*  284980 */     GIR_EraseRootFromParent_Done,
     /*  284981 */   // Label 5636: @284981
     /*  284981 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(285047), // Rule ID 60261 //
     /*  284986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  284989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  284994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  284997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  285000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  285003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  285018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285025 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10811:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  285025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  285028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285045 */     GIR_RootConstrainSelectedInstOperands,
     /*  285046 */     // GIR_Coverage, 60261,
     /*  285046 */     GIR_EraseRootFromParent_Done,
     /*  285047 */   // Label 5637: @285047
     /*  285047 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(285113), // Rule ID 60264 //
     /*  285052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  285055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  285060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  285063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  285069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  285091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  285094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285111 */     GIR_RootConstrainSelectedInstOperands,
     /*  285112 */     // GIR_Coverage, 60264,
     /*  285112 */     GIR_EraseRootFromParent_Done,
     /*  285113 */   // Label 5638: @285113
     /*  285113 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(285179), // Rule ID 60265 //
     /*  285118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  285121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  285126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  285129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  285132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  285135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  285150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10811:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  285157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  285160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285177 */     GIR_RootConstrainSelectedInstOperands,
     /*  285178 */     // GIR_Coverage, 60265,
     /*  285178 */     GIR_EraseRootFromParent_Done,
     /*  285179 */   // Label 5639: @285179
     /*  285179 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(285245), // Rule ID 60268 //
     /*  285184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  285187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  285192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  285195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  285201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285223 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  285223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  285226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285243 */     GIR_RootConstrainSelectedInstOperands,
     /*  285244 */     // GIR_Coverage, 60268,
     /*  285244 */     GIR_EraseRootFromParent_Done,
     /*  285245 */   // Label 5640: @285245
     /*  285245 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(285311), // Rule ID 60269 //
     /*  285250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  285253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  285258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  285261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  285267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285289 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10811:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  285289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  285292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285309 */     GIR_RootConstrainSelectedInstOperands,
     /*  285310 */     // GIR_Coverage, 60269,
     /*  285310 */     GIR_EraseRootFromParent_Done,
     /*  285311 */   // Label 5641: @285311
     /*  285311 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(285377), // Rule ID 60692 //
     /*  285316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  285327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  285355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  285358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285375 */     GIR_RootConstrainSelectedInstOperands,
     /*  285376 */     // GIR_Coverage, 60692,
     /*  285376 */     GIR_EraseRootFromParent_Done,
     /*  285377 */   // Label 5642: @285377
     /*  285377 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(285443), // Rule ID 60693 //
     /*  285382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  285393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285421 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  285424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285441 */     GIR_RootConstrainSelectedInstOperands,
     /*  285442 */     // GIR_Coverage, 60693,
     /*  285442 */     GIR_EraseRootFromParent_Done,
     /*  285443 */   // Label 5643: @285443
     /*  285443 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(285509), // Rule ID 60696 //
     /*  285448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  285459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285487 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  285487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285507 */     GIR_RootConstrainSelectedInstOperands,
     /*  285508 */     // GIR_Coverage, 60696,
     /*  285508 */     GIR_EraseRootFromParent_Done,
     /*  285509 */   // Label 5644: @285509
     /*  285509 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(285575), // Rule ID 60697 //
     /*  285514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  285525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285573 */     GIR_RootConstrainSelectedInstOperands,
     /*  285574 */     // GIR_Coverage, 60697,
     /*  285574 */     GIR_EraseRootFromParent_Done,
     /*  285575 */   // Label 5645: @285575
     /*  285575 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(285641), // Rule ID 60700 //
     /*  285580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  285591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285619 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  285619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285639 */     GIR_RootConstrainSelectedInstOperands,
     /*  285640 */     // GIR_Coverage, 60700,
     /*  285640 */     GIR_EraseRootFromParent_Done,
     /*  285641 */   // Label 5646: @285641
     /*  285641 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(285707), // Rule ID 60701 //
     /*  285646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  285657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285685 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  285685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285705 */     GIR_RootConstrainSelectedInstOperands,
     /*  285706 */     // GIR_Coverage, 60701,
     /*  285706 */     GIR_EraseRootFromParent_Done,
     /*  285707 */   // Label 5647: @285707
     /*  285707 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(285773), // Rule ID 60704 //
     /*  285712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  285723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  285751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285771 */     GIR_RootConstrainSelectedInstOperands,
     /*  285772 */     // GIR_Coverage, 60704,
     /*  285772 */     GIR_EraseRootFromParent_Done,
     /*  285773 */   // Label 5648: @285773
     /*  285773 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(285839), // Rule ID 60705 //
     /*  285778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  285789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  285817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  285820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285837 */     GIR_RootConstrainSelectedInstOperands,
     /*  285838 */     // GIR_Coverage, 60705,
     /*  285838 */     GIR_EraseRootFromParent_Done,
     /*  285839 */   // Label 5649: @285839
     /*  285839 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(285905), // Rule ID 60708 //
     /*  285844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  285855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  285883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285903 */     GIR_RootConstrainSelectedInstOperands,
     /*  285904 */     // GIR_Coverage, 60708,
     /*  285904 */     GIR_EraseRootFromParent_Done,
     /*  285905 */   // Label 5650: @285905
     /*  285905 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(285971), // Rule ID 60709 //
     /*  285910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  285913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  285921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285949 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  285949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  285952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  285956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  285969 */     GIR_RootConstrainSelectedInstOperands,
     /*  285970 */     // GIR_Coverage, 60709,
     /*  285970 */     GIR_EraseRootFromParent_Done,
     /*  285971 */   // Label 5651: @285971
     /*  285971 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(286037), // Rule ID 60712 //
     /*  285976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  285979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  285984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  285987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  286015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  286018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286035 */     GIR_RootConstrainSelectedInstOperands,
     /*  286036 */     // GIR_Coverage, 60712,
     /*  286036 */     GIR_EraseRootFromParent_Done,
     /*  286037 */   // Label 5652: @286037
     /*  286037 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(286103), // Rule ID 60713 //
     /*  286042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  286053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  286056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  286059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286081 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  286081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  286084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286101 */     GIR_RootConstrainSelectedInstOperands,
     /*  286102 */     // GIR_Coverage, 60713,
     /*  286102 */     GIR_EraseRootFromParent_Done,
     /*  286103 */   // Label 5653: @286103
     /*  286103 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(286169), // Rule ID 60716 //
     /*  286108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  286119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286167 */     GIR_RootConstrainSelectedInstOperands,
     /*  286168 */     // GIR_Coverage, 60716,
     /*  286168 */     GIR_EraseRootFromParent_Done,
     /*  286169 */   // Label 5654: @286169
     /*  286169 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(286235), // Rule ID 60717 //
     /*  286174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  286185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  286188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  286191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286213 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10800:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286233 */     GIR_RootConstrainSelectedInstOperands,
     /*  286234 */     // GIR_Coverage, 60717,
     /*  286234 */     GIR_EraseRootFromParent_Done,
     /*  286235 */   // Label 5655: @286235
     /*  286235 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(286301), // Rule ID 60720 //
     /*  286240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  286251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286279 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  286279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286299 */     GIR_RootConstrainSelectedInstOperands,
     /*  286300 */     // GIR_Coverage, 60720,
     /*  286300 */     GIR_EraseRootFromParent_Done,
     /*  286301 */   // Label 5656: @286301
     /*  286301 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(286367), // Rule ID 60721 //
     /*  286306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  286317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286345 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10800:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  286345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286365 */     GIR_RootConstrainSelectedInstOperands,
     /*  286366 */     // GIR_Coverage, 60721,
     /*  286366 */     GIR_EraseRootFromParent_Done,
     /*  286367 */   // Label 5657: @286367
     /*  286367 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(286433), // Rule ID 60724 //
     /*  286372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  286383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  286411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286431 */     GIR_RootConstrainSelectedInstOperands,
     /*  286432 */     // GIR_Coverage, 60724,
     /*  286432 */     GIR_EraseRootFromParent_Done,
     /*  286433 */   // Label 5658: @286433
     /*  286433 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(286499), // Rule ID 60725 //
     /*  286438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  286449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10800:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  286477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286497 */     GIR_RootConstrainSelectedInstOperands,
     /*  286498 */     // GIR_Coverage, 60725,
     /*  286498 */     GIR_EraseRootFromParent_Done,
     /*  286499 */   // Label 5659: @286499
     /*  286499 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(286565), // Rule ID 60728 //
     /*  286504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  286515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  286543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286563 */     GIR_RootConstrainSelectedInstOperands,
     /*  286564 */     // GIR_Coverage, 60728,
     /*  286564 */     GIR_EraseRootFromParent_Done,
     /*  286565 */   // Label 5660: @286565
     /*  286565 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(286631), // Rule ID 60729 //
     /*  286570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  286581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10800:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  286609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  286612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286629 */     GIR_RootConstrainSelectedInstOperands,
     /*  286630 */     // GIR_Coverage, 60729,
     /*  286630 */     GIR_EraseRootFromParent_Done,
     /*  286631 */   // Label 5661: @286631
     /*  286631 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(286697), // Rule ID 60732 //
     /*  286636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  286647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286695 */     GIR_RootConstrainSelectedInstOperands,
     /*  286696 */     // GIR_Coverage, 60732,
     /*  286696 */     GIR_EraseRootFromParent_Done,
     /*  286697 */   // Label 5662: @286697
     /*  286697 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(286763), // Rule ID 60733 //
     /*  286702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  286713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286741 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  286744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286761 */     GIR_RootConstrainSelectedInstOperands,
     /*  286762 */     // GIR_Coverage, 60733,
     /*  286762 */     GIR_EraseRootFromParent_Done,
     /*  286763 */   // Label 5663: @286763
     /*  286763 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(286829), // Rule ID 60736 //
     /*  286768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  286779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286827 */     GIR_RootConstrainSelectedInstOperands,
     /*  286828 */     // GIR_Coverage, 60736,
     /*  286828 */     GIR_EraseRootFromParent_Done,
     /*  286829 */   // Label 5664: @286829
     /*  286829 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(286895), // Rule ID 60737 //
     /*  286834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  286845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  286873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  286876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286893 */     GIR_RootConstrainSelectedInstOperands,
     /*  286894 */     // GIR_Coverage, 60737,
     /*  286894 */     GIR_EraseRootFromParent_Done,
     /*  286895 */   // Label 5665: @286895
     /*  286895 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(286961), // Rule ID 60740 //
     /*  286900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  286903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  286911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286939 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  286939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  286942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  286946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  286959 */     GIR_RootConstrainSelectedInstOperands,
     /*  286960 */     // GIR_Coverage, 60740,
     /*  286960 */     GIR_EraseRootFromParent_Done,
     /*  286961 */   // Label 5666: @286961
     /*  286961 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(287027), // Rule ID 60741 //
     /*  286966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  286969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  286974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  286977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287005 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  287005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287025 */     GIR_RootConstrainSelectedInstOperands,
     /*  287026 */     // GIR_Coverage, 60741,
     /*  287026 */     GIR_EraseRootFromParent_Done,
     /*  287027 */   // Label 5667: @287027
     /*  287027 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(287093), // Rule ID 60744 //
     /*  287032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  287043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  287071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287091 */     GIR_RootConstrainSelectedInstOperands,
     /*  287092 */     // GIR_Coverage, 60744,
     /*  287092 */     GIR_EraseRootFromParent_Done,
     /*  287093 */   // Label 5668: @287093
     /*  287093 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(287159), // Rule ID 60745 //
     /*  287098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  287109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  287112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  287115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  287137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287157 */     GIR_RootConstrainSelectedInstOperands,
     /*  287158 */     // GIR_Coverage, 60745,
     /*  287158 */     GIR_EraseRootFromParent_Done,
     /*  287159 */   // Label 5669: @287159
     /*  287159 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(287225), // Rule ID 60748 //
     /*  287164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  287175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  287203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287223 */     GIR_RootConstrainSelectedInstOperands,
     /*  287224 */     // GIR_Coverage, 60748,
     /*  287224 */     GIR_EraseRootFromParent_Done,
     /*  287225 */   // Label 5670: @287225
     /*  287225 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(287291), // Rule ID 60749 //
     /*  287230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  287241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  287244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  287247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  287269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287289 */     GIR_RootConstrainSelectedInstOperands,
     /*  287290 */     // GIR_Coverage, 60749,
     /*  287290 */     GIR_EraseRootFromParent_Done,
     /*  287291 */   // Label 5671: @287291
     /*  287291 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(287357), // Rule ID 60752 //
     /*  287296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  287307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  287335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287355 */     GIR_RootConstrainSelectedInstOperands,
     /*  287356 */     // GIR_Coverage, 60752,
     /*  287356 */     GIR_EraseRootFromParent_Done,
     /*  287357 */   // Label 5672: @287357
     /*  287357 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(287423), // Rule ID 60753 //
     /*  287362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  287373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  287401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287421 */     GIR_RootConstrainSelectedInstOperands,
     /*  287422 */     // GIR_Coverage, 60753,
     /*  287422 */     GIR_EraseRootFromParent_Done,
     /*  287423 */   // Label 5673: @287423
     /*  287423 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(287489), // Rule ID 60756 //
     /*  287428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  287439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  287467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287487 */     GIR_RootConstrainSelectedInstOperands,
     /*  287488 */     // GIR_Coverage, 60756,
     /*  287488 */     GIR_EraseRootFromParent_Done,
     /*  287489 */   // Label 5674: @287489
     /*  287489 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(287555), // Rule ID 60757 //
     /*  287494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  287505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287533 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287553 */     GIR_RootConstrainSelectedInstOperands,
     /*  287554 */     // GIR_Coverage, 60757,
     /*  287554 */     GIR_EraseRootFromParent_Done,
     /*  287555 */   // Label 5675: @287555
     /*  287555 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(287621), // Rule ID 60760 //
     /*  287560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  287571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  287599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287619 */     GIR_RootConstrainSelectedInstOperands,
     /*  287620 */     // GIR_Coverage, 60760,
     /*  287620 */     GIR_EraseRootFromParent_Done,
     /*  287621 */   // Label 5676: @287621
     /*  287621 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(287687), // Rule ID 60761 //
     /*  287626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  287637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287685 */     GIR_RootConstrainSelectedInstOperands,
     /*  287686 */     // GIR_Coverage, 60761,
     /*  287686 */     GIR_EraseRootFromParent_Done,
     /*  287687 */   // Label 5677: @287687
     /*  287687 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(287753), // Rule ID 60764 //
     /*  287692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  287703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287731 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  287731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287751 */     GIR_RootConstrainSelectedInstOperands,
     /*  287752 */     // GIR_Coverage, 60764,
     /*  287752 */     GIR_EraseRootFromParent_Done,
     /*  287753 */   // Label 5678: @287753
     /*  287753 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(287819), // Rule ID 60765 //
     /*  287758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  287769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  287797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  287800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287817 */     GIR_RootConstrainSelectedInstOperands,
     /*  287818 */     // GIR_Coverage, 60765,
     /*  287818 */     GIR_EraseRootFromParent_Done,
     /*  287819 */   // Label 5679: @287819
     /*  287819 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(287885), // Rule ID 60768 //
     /*  287824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  287835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  287863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287883 */     GIR_RootConstrainSelectedInstOperands,
     /*  287884 */     // GIR_Coverage, 60768,
     /*  287884 */     GIR_EraseRootFromParent_Done,
     /*  287885 */   // Label 5680: @287885
     /*  287885 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(287951), // Rule ID 60769 //
     /*  287890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  287893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  287901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287929 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10800:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  287929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  287932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  287936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  287949 */     GIR_RootConstrainSelectedInstOperands,
     /*  287950 */     // GIR_Coverage, 60769,
     /*  287950 */     GIR_EraseRootFromParent_Done,
     /*  287951 */   // Label 5681: @287951
     /*  287951 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(288017), // Rule ID 60772 //
     /*  287956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  287959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  287964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  287967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  287995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  287998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288015 */     GIR_RootConstrainSelectedInstOperands,
     /*  288016 */     // GIR_Coverage, 60772,
     /*  288016 */     GIR_EraseRootFromParent_Done,
     /*  288017 */   // Label 5682: @288017
     /*  288017 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(288083), // Rule ID 60773 //
     /*  288022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  288030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  288033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  288036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  288039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  288054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288061 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10800:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  288061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  288064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288081 */     GIR_RootConstrainSelectedInstOperands,
     /*  288082 */     // GIR_Coverage, 60773,
     /*  288082 */     GIR_EraseRootFromParent_Done,
     /*  288083 */   // Label 5683: @288083
     /*  288083 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(288149), // Rule ID 60776 //
     /*  288088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  288096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  288099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288127 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  288127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  288130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288147 */     GIR_RootConstrainSelectedInstOperands,
     /*  288148 */     // GIR_Coverage, 60776,
     /*  288148 */     GIR_EraseRootFromParent_Done,
     /*  288149 */   // Label 5684: @288149
     /*  288149 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(288215), // Rule ID 60777 //
     /*  288154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  288162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  288165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  288168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  288171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  288186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288193 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10800:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  288193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  288196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  288210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288213 */     GIR_RootConstrainSelectedInstOperands,
     /*  288214 */     // GIR_Coverage, 60777,
     /*  288214 */     GIR_EraseRootFromParent_Done,
     /*  288215 */   // Label 5685: @288215
     /*  288215 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(288281), // Rule ID 60780 //
     /*  288220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  288231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  288237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  288259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  288262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288279 */     GIR_RootConstrainSelectedInstOperands,
     /*  288280 */     // GIR_Coverage, 60780,
     /*  288280 */     GIR_EraseRootFromParent_Done,
     /*  288281 */   // Label 5686: @288281
     /*  288281 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(288347), // Rule ID 60781 //
     /*  288286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  288297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  288300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  288303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288325 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  288325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  288328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288345 */     GIR_RootConstrainSelectedInstOperands,
     /*  288346 */     // GIR_Coverage, 60781,
     /*  288346 */     GIR_EraseRootFromParent_Done,
     /*  288347 */   // Label 5687: @288347
     /*  288347 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(288413), // Rule ID 60784 //
     /*  288352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  288363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  288369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  288391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288411 */     GIR_RootConstrainSelectedInstOperands,
     /*  288412 */     // GIR_Coverage, 60784,
     /*  288412 */     GIR_EraseRootFromParent_Done,
     /*  288413 */   // Label 5688: @288413
     /*  288413 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(288479), // Rule ID 60785 //
     /*  288418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  288429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  288435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288457 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  288457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288477 */     GIR_RootConstrainSelectedInstOperands,
     /*  288478 */     // GIR_Coverage, 60785,
     /*  288478 */     GIR_EraseRootFromParent_Done,
     /*  288479 */   // Label 5689: @288479
     /*  288479 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(288545), // Rule ID 60788 //
     /*  288484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  288495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  288501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288523 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  288523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288543 */     GIR_RootConstrainSelectedInstOperands,
     /*  288544 */     // GIR_Coverage, 60788,
     /*  288544 */     GIR_EraseRootFromParent_Done,
     /*  288545 */   // Label 5690: @288545
     /*  288545 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(288611), // Rule ID 60789 //
     /*  288550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  288561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  288567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  288589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288609 */     GIR_RootConstrainSelectedInstOperands,
     /*  288610 */     // GIR_Coverage, 60789,
     /*  288610 */     GIR_EraseRootFromParent_Done,
     /*  288611 */   // Label 5691: @288611
     /*  288611 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(288677), // Rule ID 60792 //
     /*  288616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  288627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  288633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288655 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  288655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288675 */     GIR_RootConstrainSelectedInstOperands,
     /*  288676 */     // GIR_Coverage, 60792,
     /*  288676 */     GIR_EraseRootFromParent_Done,
     /*  288677 */   // Label 5692: @288677
     /*  288677 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(288743), // Rule ID 60793 //
     /*  288682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  288693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  288699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288721 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  288721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  288724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288741 */     GIR_RootConstrainSelectedInstOperands,
     /*  288742 */     // GIR_Coverage, 60793,
     /*  288742 */     GIR_EraseRootFromParent_Done,
     /*  288743 */   // Label 5693: @288743
     /*  288743 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(288809), // Rule ID 60796 //
     /*  288748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  288759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  288765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  288787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288807 */     GIR_RootConstrainSelectedInstOperands,
     /*  288808 */     // GIR_Coverage, 60796,
     /*  288808 */     GIR_EraseRootFromParent_Done,
     /*  288809 */   // Label 5694: @288809
     /*  288809 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(288875), // Rule ID 60797 //
     /*  288814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  288825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  288831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  288853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288873 */     GIR_RootConstrainSelectedInstOperands,
     /*  288874 */     // GIR_Coverage, 60797,
     /*  288874 */     GIR_EraseRootFromParent_Done,
     /*  288875 */   // Label 5695: @288875
     /*  288875 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(288941), // Rule ID 60800 //
     /*  288880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  288883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  288891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  288897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  288919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  288939 */     GIR_RootConstrainSelectedInstOperands,
     /*  288940 */     // GIR_Coverage, 60800,
     /*  288940 */     GIR_EraseRootFromParent_Done,
     /*  288941 */   // Label 5696: @288941
     /*  288941 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(289007), // Rule ID 60801 //
     /*  288946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  288949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  288954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  288957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  288963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288985 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  288985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  288988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  288992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289005 */     GIR_RootConstrainSelectedInstOperands,
     /*  289006 */     // GIR_Coverage, 60801,
     /*  289006 */     GIR_EraseRootFromParent_Done,
     /*  289007 */   // Label 5697: @289007
     /*  289007 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(289073), // Rule ID 60804 //
     /*  289012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  289023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  289029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289071 */     GIR_RootConstrainSelectedInstOperands,
     /*  289072 */     // GIR_Coverage, 60804,
     /*  289072 */     GIR_EraseRootFromParent_Done,
     /*  289073 */   // Label 5698: @289073
     /*  289073 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(289139), // Rule ID 60805 //
     /*  289078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  289089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  289092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  289095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11151:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289137 */     GIR_RootConstrainSelectedInstOperands,
     /*  289138 */     // GIR_Coverage, 60805,
     /*  289138 */     GIR_EraseRootFromParent_Done,
     /*  289139 */   // Label 5699: @289139
     /*  289139 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(289205), // Rule ID 60808 //
     /*  289144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  289155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  289161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289183 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  289183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289203 */     GIR_RootConstrainSelectedInstOperands,
     /*  289204 */     // GIR_Coverage, 60808,
     /*  289204 */     GIR_EraseRootFromParent_Done,
     /*  289205 */   // Label 5700: @289205
     /*  289205 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(289271), // Rule ID 60809 //
     /*  289210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  289221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  289224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  289227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289249 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11151:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  289249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289269 */     GIR_RootConstrainSelectedInstOperands,
     /*  289270 */     // GIR_Coverage, 60809,
     /*  289270 */     GIR_EraseRootFromParent_Done,
     /*  289271 */   // Label 5701: @289271
     /*  289271 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(289337), // Rule ID 60812 //
     /*  289276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  289287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  289293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  289315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289335 */     GIR_RootConstrainSelectedInstOperands,
     /*  289336 */     // GIR_Coverage, 60812,
     /*  289336 */     GIR_EraseRootFromParent_Done,
     /*  289337 */   // Label 5702: @289337
     /*  289337 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(289403), // Rule ID 60813 //
     /*  289342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  289353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  289356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  289359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289381 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  289381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289401 */     GIR_RootConstrainSelectedInstOperands,
     /*  289402 */     // GIR_Coverage, 60813,
     /*  289402 */     GIR_EraseRootFromParent_Done,
     /*  289403 */   // Label 5703: @289403
     /*  289403 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(289469), // Rule ID 60816 //
     /*  289408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  289419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  289425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  289447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289467 */     GIR_RootConstrainSelectedInstOperands,
     /*  289468 */     // GIR_Coverage, 60816,
     /*  289468 */     GIR_EraseRootFromParent_Done,
     /*  289469 */   // Label 5704: @289469
     /*  289469 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(289535), // Rule ID 60817 //
     /*  289474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  289485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  289491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289513 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  289513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  289516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289533 */     GIR_RootConstrainSelectedInstOperands,
     /*  289534 */     // GIR_Coverage, 60817,
     /*  289534 */     GIR_EraseRootFromParent_Done,
     /*  289535 */   // Label 5705: @289535
     /*  289535 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(289601), // Rule ID 60820 //
     /*  289540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  289551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  289557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289579 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289599 */     GIR_RootConstrainSelectedInstOperands,
     /*  289600 */     // GIR_Coverage, 60820,
     /*  289600 */     GIR_EraseRootFromParent_Done,
     /*  289601 */   // Label 5706: @289601
     /*  289601 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(289667), // Rule ID 60821 //
     /*  289606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  289617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  289623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289645 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289665 */     GIR_RootConstrainSelectedInstOperands,
     /*  289666 */     // GIR_Coverage, 60821,
     /*  289666 */     GIR_EraseRootFromParent_Done,
     /*  289667 */   // Label 5707: @289667
     /*  289667 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(289733), // Rule ID 60824 //
     /*  289672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  289683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  289689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289731 */     GIR_RootConstrainSelectedInstOperands,
     /*  289732 */     // GIR_Coverage, 60824,
     /*  289732 */     GIR_EraseRootFromParent_Done,
     /*  289733 */   // Label 5708: @289733
     /*  289733 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(289799), // Rule ID 60825 //
     /*  289738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  289749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  289755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  289780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289797 */     GIR_RootConstrainSelectedInstOperands,
     /*  289798 */     // GIR_Coverage, 60825,
     /*  289798 */     GIR_EraseRootFromParent_Done,
     /*  289799 */   // Label 5709: @289799
     /*  289799 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(289865), // Rule ID 60828 //
     /*  289804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  289815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  289821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  289843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289863 */     GIR_RootConstrainSelectedInstOperands,
     /*  289864 */     // GIR_Coverage, 60828,
     /*  289864 */     GIR_EraseRootFromParent_Done,
     /*  289865 */   // Label 5710: @289865
     /*  289865 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(289931), // Rule ID 60829 //
     /*  289870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  289873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  289881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  289887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289909 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  289909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  289912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289929 */     GIR_RootConstrainSelectedInstOperands,
     /*  289930 */     // GIR_Coverage, 60829,
     /*  289930 */     GIR_EraseRootFromParent_Done,
     /*  289931 */   // Label 5711: @289931
     /*  289931 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(289997), // Rule ID 60832 //
     /*  289936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  289939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  289944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  289947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  289953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289975 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  289975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  289978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  289982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  289995 */     GIR_RootConstrainSelectedInstOperands,
     /*  289996 */     // GIR_Coverage, 60832,
     /*  289996 */     GIR_EraseRootFromParent_Done,
     /*  289997 */   // Label 5712: @289997
     /*  289997 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(290063), // Rule ID 60833 //
     /*  290002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  290013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  290016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  290019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290041 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  290041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290061 */     GIR_RootConstrainSelectedInstOperands,
     /*  290062 */     // GIR_Coverage, 60833,
     /*  290062 */     GIR_EraseRootFromParent_Done,
     /*  290063 */   // Label 5713: @290063
     /*  290063 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(290129), // Rule ID 60836 //
     /*  290068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  290079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  290085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  290107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290127 */     GIR_RootConstrainSelectedInstOperands,
     /*  290128 */     // GIR_Coverage, 60836,
     /*  290128 */     GIR_EraseRootFromParent_Done,
     /*  290129 */   // Label 5714: @290129
     /*  290129 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(290195), // Rule ID 60837 //
     /*  290134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  290145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  290148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  290151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  290173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290193 */     GIR_RootConstrainSelectedInstOperands,
     /*  290194 */     // GIR_Coverage, 60837,
     /*  290194 */     GIR_EraseRootFromParent_Done,
     /*  290195 */   // Label 5715: @290195
     /*  290195 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(290261), // Rule ID 60840 //
     /*  290200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  290211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  290217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290239 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  290239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290259 */     GIR_RootConstrainSelectedInstOperands,
     /*  290260 */     // GIR_Coverage, 60840,
     /*  290260 */     GIR_EraseRootFromParent_Done,
     /*  290261 */   // Label 5716: @290261
     /*  290261 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(290327), // Rule ID 60841 //
     /*  290266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  290277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  290280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  290283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290305 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  290305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  290322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290325 */     GIR_RootConstrainSelectedInstOperands,
     /*  290326 */     // GIR_Coverage, 60841,
     /*  290326 */     GIR_EraseRootFromParent_Done,
     /*  290327 */   // Label 5717: @290327
     /*  290327 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(290393), // Rule ID 60844 //
     /*  290332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  290343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  290349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  290371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290391 */     GIR_RootConstrainSelectedInstOperands,
     /*  290392 */     // GIR_Coverage, 60844,
     /*  290392 */     GIR_EraseRootFromParent_Done,
     /*  290393 */   // Label 5718: @290393
     /*  290393 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(290459), // Rule ID 60845 //
     /*  290398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  290409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  290412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  290415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290437 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  290437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290457 */     GIR_RootConstrainSelectedInstOperands,
     /*  290458 */     // GIR_Coverage, 60845,
     /*  290458 */     GIR_EraseRootFromParent_Done,
     /*  290459 */   // Label 5719: @290459
     /*  290459 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(290525), // Rule ID 60848 //
     /*  290464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  290475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  290481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  290503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290523 */     GIR_RootConstrainSelectedInstOperands,
     /*  290524 */     // GIR_Coverage, 60848,
     /*  290524 */     GIR_EraseRootFromParent_Done,
     /*  290525 */   // Label 5720: @290525
     /*  290525 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(290591), // Rule ID 60849 //
     /*  290530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  290541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  290547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290569 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  290569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290589 */     GIR_RootConstrainSelectedInstOperands,
     /*  290590 */     // GIR_Coverage, 60849,
     /*  290590 */     GIR_EraseRootFromParent_Done,
     /*  290591 */   // Label 5721: @290591
     /*  290591 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(290657), // Rule ID 60852 //
     /*  290596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  290607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  290613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  290635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290655 */     GIR_RootConstrainSelectedInstOperands,
     /*  290656 */     // GIR_Coverage, 60852,
     /*  290656 */     GIR_EraseRootFromParent_Done,
     /*  290657 */   // Label 5722: @290657
     /*  290657 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(290723), // Rule ID 60853 //
     /*  290662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  290673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  290679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290701 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  290701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  290704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290721 */     GIR_RootConstrainSelectedInstOperands,
     /*  290722 */     // GIR_Coverage, 60853,
     /*  290722 */     GIR_EraseRootFromParent_Done,
     /*  290723 */   // Label 5723: @290723
     /*  290723 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(290789), // Rule ID 60856 //
     /*  290728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  290739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  290745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290767 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  290767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290787 */     GIR_RootConstrainSelectedInstOperands,
     /*  290788 */     // GIR_Coverage, 60856,
     /*  290788 */     GIR_EraseRootFromParent_Done,
     /*  290789 */   // Label 5724: @290789
     /*  290789 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(290855), // Rule ID 60857 //
     /*  290794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  290805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  290811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290833 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  290833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  290836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290853 */     GIR_RootConstrainSelectedInstOperands,
     /*  290854 */     // GIR_Coverage, 60857,
     /*  290854 */     GIR_EraseRootFromParent_Done,
     /*  290855 */   // Label 5725: @290855
     /*  290855 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(290921), // Rule ID 60860 //
     /*  290860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  290871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  290877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  290899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290919 */     GIR_RootConstrainSelectedInstOperands,
     /*  290920 */     // GIR_Coverage, 60860,
     /*  290920 */     GIR_EraseRootFromParent_Done,
     /*  290921 */   // Label 5726: @290921
     /*  290921 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(290987), // Rule ID 60861 //
     /*  290926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  290929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  290934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  290937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  290943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290965 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  290965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  290968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  290972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  290985 */     GIR_RootConstrainSelectedInstOperands,
     /*  290986 */     // GIR_Coverage, 60861,
     /*  290986 */     GIR_EraseRootFromParent_Done,
     /*  290987 */   // Label 5727: @290987
     /*  290987 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(291053), // Rule ID 60864 //
     /*  290992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  290995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  291000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  291003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  291009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  291031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  291034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  291038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  291051 */     GIR_RootConstrainSelectedInstOperands,
     /*  291052 */     // GIR_Coverage, 60864,
     /*  291052 */     GIR_EraseRootFromParent_Done,
     /*  291053 */   // Label 5728: @291053
     /*  291053 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(291119), // Rule ID 60865 //
     /*  291058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  291061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  291066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  291069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  291072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  291075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  291090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  291097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  291100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  291104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  291117 */     GIR_RootConstrainSelectedInstOperands,
     /*  291118 */     // GIR_Coverage, 60865,
     /*  291118 */     GIR_EraseRootFromParent_Done,
     /*  291119 */   // Label 5729: @291119
     /*  291119 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(291184), // Rule ID 63795 //
     /*  291124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  291132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291168 */     // MIs[1] Operand 1
     /*  291168 */     // No operand predicates
     /*  291168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291170 */     // (intrinsic_wo_chain:{ *:[i32] } 10618:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  291173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291182 */     GIR_RootConstrainSelectedInstOperands,
     /*  291183 */     // GIR_Coverage, 63795,
     /*  291183 */     GIR_EraseRootFromParent_Done,
     /*  291184 */   // Label 5730: @291184
     /*  291184 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(291249), // Rule ID 63822 //
     /*  291189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  291197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291233 */     // MIs[1] Operand 1
     /*  291233 */     // No operand predicates
     /*  291233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291235 */     // (intrinsic_wo_chain:{ *:[i32] } 10620:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  291238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291247 */     GIR_RootConstrainSelectedInstOperands,
     /*  291248 */     // GIR_Coverage, 63822,
     /*  291248 */     GIR_EraseRootFromParent_Done,
     /*  291249 */   // Label 5731: @291249
     /*  291249 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(291314), // Rule ID 63825 //
     /*  291254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  291262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291298 */     // MIs[1] Operand 1
     /*  291298 */     // No operand predicates
     /*  291298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291300 */     // (intrinsic_wo_chain:{ *:[i32] } 10619:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  291303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291312 */     GIR_RootConstrainSelectedInstOperands,
     /*  291313 */     // GIR_Coverage, 63825,
     /*  291313 */     GIR_EraseRootFromParent_Done,
     /*  291314 */   // Label 5732: @291314
     /*  291314 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(291379), // Rule ID 63828 //
     /*  291319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  291327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291363 */     // MIs[1] Operand 1
     /*  291363 */     // No operand predicates
     /*  291363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291365 */     // (intrinsic_wo_chain:{ *:[i32] } 10621:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  291368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291377 */     GIR_RootConstrainSelectedInstOperands,
     /*  291378 */     // GIR_Coverage, 63828,
     /*  291378 */     GIR_EraseRootFromParent_Done,
     /*  291379 */   // Label 5733: @291379
     /*  291379 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(291444), // Rule ID 63831 //
     /*  291384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  291392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291428 */     // MIs[1] Operand 1
     /*  291428 */     // No operand predicates
     /*  291428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291430 */     // (intrinsic_wo_chain:{ *:[i32] } 10624:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  291433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291442 */     GIR_RootConstrainSelectedInstOperands,
     /*  291443 */     // GIR_Coverage, 63831,
     /*  291443 */     GIR_EraseRootFromParent_Done,
     /*  291444 */   // Label 5734: @291444
     /*  291444 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(291509), // Rule ID 63834 //
     /*  291449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  291457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291493 */     // MIs[1] Operand 1
     /*  291493 */     // No operand predicates
     /*  291493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291495 */     // (intrinsic_wo_chain:{ *:[i32] } 10626:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  291498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291507 */     GIR_RootConstrainSelectedInstOperands,
     /*  291508 */     // GIR_Coverage, 63834,
     /*  291508 */     GIR_EraseRootFromParent_Done,
     /*  291509 */   // Label 5735: @291509
     /*  291509 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(291574), // Rule ID 63837 //
     /*  291514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  291522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291558 */     // MIs[1] Operand 1
     /*  291558 */     // No operand predicates
     /*  291558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291560 */     // (intrinsic_wo_chain:{ *:[i32] } 10625:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  291563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291572 */     GIR_RootConstrainSelectedInstOperands,
     /*  291573 */     // GIR_Coverage, 63837,
     /*  291573 */     GIR_EraseRootFromParent_Done,
     /*  291574 */   // Label 5736: @291574
     /*  291574 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(291639), // Rule ID 63840 //
     /*  291579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  291582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  291587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  291615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  291619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  291623 */     // MIs[1] Operand 1
     /*  291623 */     // No operand predicates
     /*  291623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  291625 */     // (intrinsic_wo_chain:{ *:[i32] } 10627:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  291625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  291628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  291637 */     GIR_RootConstrainSelectedInstOperands,
     /*  291638 */     // GIR_Coverage, 63840,
     /*  291638 */     GIR_EraseRootFromParent_Done,
     /*  291639 */   // Label 5737: @291639
     /*  291639 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(291694), // Rule ID 2505 //
     /*  291644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  291647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  291652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291673 */     // MIs[0] imm
     /*  291673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291681 */     // (intrinsic_wo_chain:{ *:[i32] } 10603:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  291684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291690 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291692 */     GIR_RootConstrainSelectedInstOperands,
     /*  291693 */     // GIR_Coverage, 2505,
     /*  291693 */     GIR_EraseRootFromParent_Done,
     /*  291694 */   // Label 5738: @291694
     /*  291694 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(291749), // Rule ID 2506 //
     /*  291699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  291702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  291707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291728 */     // MIs[0] imm
     /*  291728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291736 */     // (intrinsic_wo_chain:{ *:[i32] } 10604:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  291739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291745 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291747 */     GIR_RootConstrainSelectedInstOperands,
     /*  291748 */     // GIR_Coverage, 2506,
     /*  291748 */     GIR_EraseRootFromParent_Done,
     /*  291749 */   // Label 5739: @291749
     /*  291749 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(291804), // Rule ID 2512 //
     /*  291754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  291757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  291762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291783 */     // MIs[0] imm
     /*  291783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291786 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291791 */     // (intrinsic_wo_chain:{ *:[i32] } 10605:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  291794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291800 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291802 */     GIR_RootConstrainSelectedInstOperands,
     /*  291803 */     // GIR_Coverage, 2512,
     /*  291803 */     GIR_EraseRootFromParent_Done,
     /*  291804 */   // Label 5740: @291804
     /*  291804 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(291859), // Rule ID 2513 //
     /*  291809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  291812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  291817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291838 */     // MIs[0] imm
     /*  291838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291841 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  291846 */     // (intrinsic_wo_chain:{ *:[i32] } 10606:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  291846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  291849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291855 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  291857 */     GIR_RootConstrainSelectedInstOperands,
     /*  291858 */     // GIR_Coverage, 2513,
     /*  291858 */     GIR_EraseRootFromParent_Done,
     /*  291859 */   // Label 5741: @291859
     /*  291859 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(291914), // Rule ID 63851 //
     /*  291864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  291872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291893 */     // MIs[0] imm5
     /*  291893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291901 */     // (intrinsic_wo_chain:{ *:[i32] } 10651:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  291904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291910 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291912 */     GIR_RootConstrainSelectedInstOperands,
     /*  291913 */     // GIR_Coverage, 63851,
     /*  291913 */     GIR_EraseRootFromParent_Done,
     /*  291914 */   // Label 5742: @291914
     /*  291914 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(291969), // Rule ID 63852 //
     /*  291919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  291927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291948 */     // MIs[0] imm5
     /*  291948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  291951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  291956 */     // (intrinsic_wo_chain:{ *:[i32] } 10647:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  291956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  291959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291965 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  291967 */     GIR_RootConstrainSelectedInstOperands,
     /*  291968 */     // GIR_Coverage, 63852,
     /*  291968 */     GIR_EraseRootFromParent_Done,
     /*  291969 */   // Label 5743: @291969
     /*  291969 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(292024), // Rule ID 63853 //
     /*  291974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  291977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  291982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  291985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  291988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  291991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  291999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292003 */     // MIs[0] imm5
     /*  292003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292011 */     // (intrinsic_wo_chain:{ *:[i32] } 10649:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  292014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292020 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292022 */     GIR_RootConstrainSelectedInstOperands,
     /*  292023 */     // GIR_Coverage, 63853,
     /*  292023 */     GIR_EraseRootFromParent_Done,
     /*  292024 */   // Label 5744: @292024
     /*  292024 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(292079), // Rule ID 63854 //
     /*  292029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  292037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292058 */     // MIs[0] imm5
     /*  292058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292066 */     // (intrinsic_wo_chain:{ *:[i32] } 10645:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  292069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292075 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292077 */     GIR_RootConstrainSelectedInstOperands,
     /*  292078 */     // GIR_Coverage, 63854,
     /*  292078 */     GIR_EraseRootFromParent_Done,
     /*  292079 */   // Label 5745: @292079
     /*  292079 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(292134), // Rule ID 63855 //
     /*  292084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  292092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292113 */     // MIs[0] imm5
     /*  292113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292121 */     // (intrinsic_wo_chain:{ *:[i32] } 10652:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  292124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292130 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292132 */     GIR_RootConstrainSelectedInstOperands,
     /*  292133 */     // GIR_Coverage, 63855,
     /*  292133 */     GIR_EraseRootFromParent_Done,
     /*  292134 */   // Label 5746: @292134
     /*  292134 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(292189), // Rule ID 63856 //
     /*  292139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  292147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292168 */     // MIs[0] imm5
     /*  292168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292176 */     // (intrinsic_wo_chain:{ *:[i32] } 10648:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  292179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292185 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292187 */     GIR_RootConstrainSelectedInstOperands,
     /*  292188 */     // GIR_Coverage, 63856,
     /*  292188 */     GIR_EraseRootFromParent_Done,
     /*  292189 */   // Label 5747: @292189
     /*  292189 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(292244), // Rule ID 63857 //
     /*  292194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  292202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292223 */     // MIs[0] imm5
     /*  292223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292231 */     // (intrinsic_wo_chain:{ *:[i32] } 10650:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  292234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292240 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292242 */     GIR_RootConstrainSelectedInstOperands,
     /*  292243 */     // GIR_Coverage, 63857,
     /*  292243 */     GIR_EraseRootFromParent_Done,
     /*  292244 */   // Label 5748: @292244
     /*  292244 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(292299), // Rule ID 63858 //
     /*  292249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  292252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  292257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292278 */     // MIs[0] imm5
     /*  292278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  292281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  292286 */     // (intrinsic_wo_chain:{ *:[i32] } 10646:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  292286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  292289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292295 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  292297 */     GIR_RootConstrainSelectedInstOperands,
     /*  292298 */     // GIR_Coverage, 63858,
     /*  292298 */     GIR_EraseRootFromParent_Done,
     /*  292299 */   // Label 5749: @292299
     /*  292299 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(292353), // Rule ID 63793 //
     /*  292304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  292312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292340 */     // (intrinsic_wo_chain:{ *:[i32] } 10618:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  292343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292351 */     GIR_RootConstrainSelectedInstOperands,
     /*  292352 */     // GIR_Coverage, 63793,
     /*  292352 */     GIR_EraseRootFromParent_Done,
     /*  292353 */   // Label 5750: @292353
     /*  292353 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(292407), // Rule ID 63794 //
     /*  292358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  292366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292394 */     // (intrinsic_wo_chain:{ *:[i32] } 10618:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  292397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292405 */     GIR_RootConstrainSelectedInstOperands,
     /*  292406 */     // GIR_Coverage, 63794,
     /*  292406 */     GIR_EraseRootFromParent_Done,
     /*  292407 */   // Label 5751: @292407
     /*  292407 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(292461), // Rule ID 63820 //
     /*  292412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  292420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292448 */     // (intrinsic_wo_chain:{ *:[i32] } 10620:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  292451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292459 */     GIR_RootConstrainSelectedInstOperands,
     /*  292460 */     // GIR_Coverage, 63820,
     /*  292460 */     GIR_EraseRootFromParent_Done,
     /*  292461 */   // Label 5752: @292461
     /*  292461 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(292515), // Rule ID 63821 //
     /*  292466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  292474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292502 */     // (intrinsic_wo_chain:{ *:[i32] } 10620:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  292505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292513 */     GIR_RootConstrainSelectedInstOperands,
     /*  292514 */     // GIR_Coverage, 63821,
     /*  292514 */     GIR_EraseRootFromParent_Done,
     /*  292515 */   // Label 5753: @292515
     /*  292515 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(292569), // Rule ID 63823 //
     /*  292520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  292528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292556 */     // (intrinsic_wo_chain:{ *:[i32] } 10619:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  292559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292567 */     GIR_RootConstrainSelectedInstOperands,
     /*  292568 */     // GIR_Coverage, 63823,
     /*  292568 */     GIR_EraseRootFromParent_Done,
     /*  292569 */   // Label 5754: @292569
     /*  292569 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(292623), // Rule ID 63824 //
     /*  292574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  292582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292610 */     // (intrinsic_wo_chain:{ *:[i32] } 10619:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  292613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292621 */     GIR_RootConstrainSelectedInstOperands,
     /*  292622 */     // GIR_Coverage, 63824,
     /*  292622 */     GIR_EraseRootFromParent_Done,
     /*  292623 */   // Label 5755: @292623
     /*  292623 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(292677), // Rule ID 63826 //
     /*  292628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  292636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292664 */     // (intrinsic_wo_chain:{ *:[i32] } 10621:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  292667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292675 */     GIR_RootConstrainSelectedInstOperands,
     /*  292676 */     // GIR_Coverage, 63826,
     /*  292676 */     GIR_EraseRootFromParent_Done,
     /*  292677 */   // Label 5756: @292677
     /*  292677 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(292731), // Rule ID 63827 //
     /*  292682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  292690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292718 */     // (intrinsic_wo_chain:{ *:[i32] } 10621:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  292721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292729 */     GIR_RootConstrainSelectedInstOperands,
     /*  292730 */     // GIR_Coverage, 63827,
     /*  292730 */     GIR_EraseRootFromParent_Done,
     /*  292731 */   // Label 5757: @292731
     /*  292731 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(292785), // Rule ID 63829 //
     /*  292736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  292744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292772 */     // (intrinsic_wo_chain:{ *:[i32] } 10624:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  292775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292783 */     GIR_RootConstrainSelectedInstOperands,
     /*  292784 */     // GIR_Coverage, 63829,
     /*  292784 */     GIR_EraseRootFromParent_Done,
     /*  292785 */   // Label 5758: @292785
     /*  292785 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(292839), // Rule ID 63830 //
     /*  292790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  292798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292826 */     // (intrinsic_wo_chain:{ *:[i32] } 10624:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  292829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292837 */     GIR_RootConstrainSelectedInstOperands,
     /*  292838 */     // GIR_Coverage, 63830,
     /*  292838 */     GIR_EraseRootFromParent_Done,
     /*  292839 */   // Label 5759: @292839
     /*  292839 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(292893), // Rule ID 63832 //
     /*  292844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  292852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292880 */     // (intrinsic_wo_chain:{ *:[i32] } 10626:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  292883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292891 */     GIR_RootConstrainSelectedInstOperands,
     /*  292892 */     // GIR_Coverage, 63832,
     /*  292892 */     GIR_EraseRootFromParent_Done,
     /*  292893 */   // Label 5760: @292893
     /*  292893 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(292947), // Rule ID 63833 //
     /*  292898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  292901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  292906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292934 */     // (intrinsic_wo_chain:{ *:[i32] } 10626:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  292937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292945 */     GIR_RootConstrainSelectedInstOperands,
     /*  292946 */     // GIR_Coverage, 63833,
     /*  292946 */     GIR_EraseRootFromParent_Done,
     /*  292947 */   // Label 5761: @292947
     /*  292947 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(293001), // Rule ID 63835 //
     /*  292952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  292955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  292960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  292963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  292966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  292969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  292988 */     // (intrinsic_wo_chain:{ *:[i32] } 10625:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  292988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  292991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  292993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  292999 */     GIR_RootConstrainSelectedInstOperands,
     /*  293000 */     // GIR_Coverage, 63835,
     /*  293000 */     GIR_EraseRootFromParent_Done,
     /*  293001 */   // Label 5762: @293001
     /*  293001 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(293055), // Rule ID 63836 //
     /*  293006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  293009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  293014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293042 */     // (intrinsic_wo_chain:{ *:[i32] } 10625:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  293042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  293045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  293053 */     GIR_RootConstrainSelectedInstOperands,
     /*  293054 */     // GIR_Coverage, 63836,
     /*  293054 */     GIR_EraseRootFromParent_Done,
     /*  293055 */   // Label 5763: @293055
     /*  293055 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(293109), // Rule ID 63838 //
     /*  293060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  293063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  293068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293096 */     // (intrinsic_wo_chain:{ *:[i32] } 10627:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  293096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  293099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  293107 */     GIR_RootConstrainSelectedInstOperands,
     /*  293108 */     // GIR_Coverage, 63838,
     /*  293108 */     GIR_EraseRootFromParent_Done,
     /*  293109 */   // Label 5764: @293109
     /*  293109 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(293163), // Rule ID 63839 //
     /*  293114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  293117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  293122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293150 */     // (intrinsic_wo_chain:{ *:[i32] } 10627:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  293150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  293153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  293161 */     GIR_RootConstrainSelectedInstOperands,
     /*  293162 */     // GIR_Coverage, 63839,
     /*  293162 */     GIR_EraseRootFromParent_Done,
     /*  293163 */   // Label 5765: @293163
     /*  293163 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(293217), // Rule ID 63776 //
     /*  293168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  293171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  293176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293204 */     // (intrinsic_wo_chain:{ *:[i32] } 10634:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  293207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293215 */     GIR_RootConstrainSelectedInstOperands,
     /*  293216 */     // GIR_Coverage, 63776,
     /*  293216 */     GIR_EraseRootFromParent_Done,
     /*  293217 */   // Label 5766: @293217
     /*  293217 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(293271), // Rule ID 63777 //
     /*  293222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  293225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  293230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293258 */     // (intrinsic_wo_chain:{ *:[i32] } 10634:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  293261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293269 */     GIR_RootConstrainSelectedInstOperands,
     /*  293270 */     // GIR_Coverage, 63777,
     /*  293270 */     GIR_EraseRootFromParent_Done,
     /*  293271 */   // Label 5767: @293271
     /*  293271 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(293325), // Rule ID 63847 //
     /*  293276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  293279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  293284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293312 */     // (intrinsic_wo_chain:{ *:[i32] } 10635:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  293315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293323 */     GIR_RootConstrainSelectedInstOperands,
     /*  293324 */     // GIR_Coverage, 63847,
     /*  293324 */     GIR_EraseRootFromParent_Done,
     /*  293325 */   // Label 5768: @293325
     /*  293325 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(293379), // Rule ID 63848 //
     /*  293330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  293333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  293338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293366 */     // (intrinsic_wo_chain:{ *:[i32] } 10635:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  293369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293377 */     GIR_RootConstrainSelectedInstOperands,
     /*  293378 */     // GIR_Coverage, 63848,
     /*  293378 */     GIR_EraseRootFromParent_Done,
     /*  293379 */   // Label 5769: @293379
     /*  293379 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(293433), // Rule ID 63849 //
     /*  293384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  293387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  293392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293420 */     // (intrinsic_wo_chain:{ *:[i32] } 10644:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  293423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293431 */     GIR_RootConstrainSelectedInstOperands,
     /*  293432 */     // GIR_Coverage, 63849,
     /*  293432 */     GIR_EraseRootFromParent_Done,
     /*  293433 */   // Label 5770: @293433
     /*  293433 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(293487), // Rule ID 63850 //
     /*  293438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  293441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  293446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  293449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  293452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293474 */     // (intrinsic_wo_chain:{ *:[i32] } 10644:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  293474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  293477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  293479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  293481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293485 */     GIR_RootConstrainSelectedInstOperands,
     /*  293486 */     // GIR_Coverage, 63850,
     /*  293486 */     GIR_EraseRootFromParent_Done,
     /*  293487 */   // Label 5771: @293487
     /*  293487 */   GIM_Reject,
     /*  293488 */ // Label 3146: @293488
     /*  293488 */ GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(817773),
     /*  293493 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  293496 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(293571), // Rule ID 62177 //
     /*  293501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  293512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293519 */     // MIs[0] op1
     /*  293519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293527 */     // MIs[0] op2
     /*  293527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293535 */     // MIs[0] op3
     /*  293535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293550 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  293553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293569 */     GIR_RootConstrainSelectedInstOperands,
     /*  293570 */     // GIR_Coverage, 62177,
     /*  293570 */     GIR_EraseRootFromParent_Done,
     /*  293571 */   // Label 5773: @293571
     /*  293571 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(293646), // Rule ID 62178 //
     /*  293576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  293587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293594 */     // MIs[0] op1
     /*  293594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293602 */     // MIs[0] op2
     /*  293602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293610 */     // MIs[0] op3
     /*  293610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  293628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293644 */     GIR_RootConstrainSelectedInstOperands,
     /*  293645 */     // GIR_Coverage, 62178,
     /*  293645 */     GIR_EraseRootFromParent_Done,
     /*  293646 */   // Label 5774: @293646
     /*  293646 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(293721), // Rule ID 62209 //
     /*  293651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  293662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293669 */     // MIs[0] op1
     /*  293669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293677 */     // MIs[0] op2
     /*  293677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293685 */     // MIs[0] op3
     /*  293685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293700 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293719 */     GIR_RootConstrainSelectedInstOperands,
     /*  293720 */     // GIR_Coverage, 62209,
     /*  293720 */     GIR_EraseRootFromParent_Done,
     /*  293721 */   // Label 5775: @293721
     /*  293721 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(293796), // Rule ID 62210 //
     /*  293726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  293737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293744 */     // MIs[0] op1
     /*  293744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293752 */     // MIs[0] op2
     /*  293752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293760 */     // MIs[0] op3
     /*  293760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  293778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293794 */     GIR_RootConstrainSelectedInstOperands,
     /*  293795 */     // GIR_Coverage, 62210,
     /*  293795 */     GIR_EraseRootFromParent_Done,
     /*  293796 */   // Label 5776: @293796
     /*  293796 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(293871), // Rule ID 62253 //
     /*  293801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  293812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293819 */     // MIs[0] op1
     /*  293819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293827 */     // MIs[0] op2
     /*  293827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293835 */     // MIs[0] op3
     /*  293835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293869 */     GIR_RootConstrainSelectedInstOperands,
     /*  293870 */     // GIR_Coverage, 62253,
     /*  293870 */     GIR_EraseRootFromParent_Done,
     /*  293871 */   // Label 5777: @293871
     /*  293871 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(293946), // Rule ID 62254 //
     /*  293876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  293879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  293887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  293890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293894 */     // MIs[0] op1
     /*  293894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293902 */     // MIs[0] op2
     /*  293902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293910 */     // MIs[0] op3
     /*  293910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  293928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  293932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  293934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  293936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293944 */     GIR_RootConstrainSelectedInstOperands,
     /*  293945 */     // GIR_Coverage, 62254,
     /*  293945 */     GIR_EraseRootFromParent_Done,
     /*  293946 */   // Label 5778: @293946
     /*  293946 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(294021), // Rule ID 62297 //
     /*  293951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  293954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  293959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  293962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  293965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293969 */     // MIs[0] op1
     /*  293969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  293972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  293977 */     // MIs[0] op2
     /*  293977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  293980 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  293985 */     // MIs[0] op3
     /*  293985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  293988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  293993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  294003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294005 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294007 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294009 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294019 */     GIR_RootConstrainSelectedInstOperands,
     /*  294020 */     // GIR_Coverage, 62297,
     /*  294020 */     GIR_EraseRootFromParent_Done,
     /*  294021 */   // Label 5779: @294021
     /*  294021 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(294096), // Rule ID 62298 //
     /*  294026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  294037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294044 */     // MIs[0] op1
     /*  294044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294052 */     // MIs[0] op2
     /*  294052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294060 */     // MIs[0] op3
     /*  294060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  294078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294094 */     GIR_RootConstrainSelectedInstOperands,
     /*  294095 */     // GIR_Coverage, 62298,
     /*  294095 */     GIR_EraseRootFromParent_Done,
     /*  294096 */   // Label 5780: @294096
     /*  294096 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(294171), // Rule ID 62353 //
     /*  294101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  294112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294119 */     // MIs[0] op1
     /*  294119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294127 */     // MIs[0] op2
     /*  294127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294130 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294135 */     // MIs[0] op3
     /*  294135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294150 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  294153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294155 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294157 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294159 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294169 */     GIR_RootConstrainSelectedInstOperands,
     /*  294170 */     // GIR_Coverage, 62353,
     /*  294170 */     GIR_EraseRootFromParent_Done,
     /*  294171 */   // Label 5781: @294171
     /*  294171 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(294246), // Rule ID 62354 //
     /*  294176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  294187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294194 */     // MIs[0] op1
     /*  294194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294202 */     // MIs[0] op2
     /*  294202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294205 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294210 */     // MIs[0] op3
     /*  294210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294225 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  294228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294230 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294232 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294234 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294244 */     GIR_RootConstrainSelectedInstOperands,
     /*  294245 */     // GIR_Coverage, 62354,
     /*  294245 */     GIR_EraseRootFromParent_Done,
     /*  294246 */   // Label 5782: @294246
     /*  294246 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(294321), // Rule ID 62409 //
     /*  294251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  294262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294269 */     // MIs[0] op1
     /*  294269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294277 */     // MIs[0] op2
     /*  294277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294285 */     // MIs[0] op3
     /*  294285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  294303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294319 */     GIR_RootConstrainSelectedInstOperands,
     /*  294320 */     // GIR_Coverage, 62409,
     /*  294320 */     GIR_EraseRootFromParent_Done,
     /*  294321 */   // Label 5783: @294321
     /*  294321 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(294396), // Rule ID 62410 //
     /*  294326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  294337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294344 */     // MIs[0] op1
     /*  294344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294352 */     // MIs[0] op2
     /*  294352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294355 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294360 */     // MIs[0] op3
     /*  294360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294375 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  294378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294380 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294382 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294384 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294394 */     GIR_RootConstrainSelectedInstOperands,
     /*  294395 */     // GIR_Coverage, 62410,
     /*  294395 */     GIR_EraseRootFromParent_Done,
     /*  294396 */   // Label 5784: @294396
     /*  294396 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(294471), // Rule ID 62465 //
     /*  294401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  294412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294419 */     // MIs[0] op1
     /*  294419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294427 */     // MIs[0] op2
     /*  294427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294435 */     // MIs[0] op3
     /*  294435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294455 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294457 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294459 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294469 */     GIR_RootConstrainSelectedInstOperands,
     /*  294470 */     // GIR_Coverage, 62465,
     /*  294470 */     GIR_EraseRootFromParent_Done,
     /*  294471 */   // Label 5785: @294471
     /*  294471 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(294546), // Rule ID 62466 //
     /*  294476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  294487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294494 */     // MIs[0] op1
     /*  294494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294502 */     // MIs[0] op2
     /*  294502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294505 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294510 */     // MIs[0] op3
     /*  294510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294513 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294525 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294530 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294532 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294534 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294544 */     GIR_RootConstrainSelectedInstOperands,
     /*  294545 */     // GIR_Coverage, 62466,
     /*  294545 */     GIR_EraseRootFromParent_Done,
     /*  294546 */   // Label 5786: @294546
     /*  294546 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(294621), // Rule ID 62509 //
     /*  294551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  294562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294569 */     // MIs[0] op1
     /*  294569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294577 */     // MIs[0] op2
     /*  294577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294585 */     // MIs[0] op3
     /*  294585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294588 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294619 */     GIR_RootConstrainSelectedInstOperands,
     /*  294620 */     // GIR_Coverage, 62509,
     /*  294620 */     GIR_EraseRootFromParent_Done,
     /*  294621 */   // Label 5787: @294621
     /*  294621 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(294696), // Rule ID 62510 //
     /*  294626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  294637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294644 */     // MIs[0] op1
     /*  294644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294652 */     // MIs[0] op2
     /*  294652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294660 */     // MIs[0] op3
     /*  294660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294663 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294680 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294682 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294684 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294694 */     GIR_RootConstrainSelectedInstOperands,
     /*  294695 */     // GIR_Coverage, 62510,
     /*  294695 */     GIR_EraseRootFromParent_Done,
     /*  294696 */   // Label 5788: @294696
     /*  294696 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(294771), // Rule ID 62565 //
     /*  294701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  294712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294719 */     // MIs[0] op1
     /*  294719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294727 */     // MIs[0] op2
     /*  294727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294735 */     // MIs[0] op3
     /*  294735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294769 */     GIR_RootConstrainSelectedInstOperands,
     /*  294770 */     // GIR_Coverage, 62565,
     /*  294770 */     GIR_EraseRootFromParent_Done,
     /*  294771 */   // Label 5789: @294771
     /*  294771 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(294846), // Rule ID 62566 //
     /*  294776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  294787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294794 */     // MIs[0] op1
     /*  294794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294802 */     // MIs[0] op2
     /*  294802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294810 */     // MIs[0] op3
     /*  294810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294844 */     GIR_RootConstrainSelectedInstOperands,
     /*  294845 */     // GIR_Coverage, 62566,
     /*  294845 */     GIR_EraseRootFromParent_Done,
     /*  294846 */   // Label 5790: @294846
     /*  294846 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(294921), // Rule ID 62621 //
     /*  294851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  294854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  294862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  294865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294869 */     // MIs[0] op1
     /*  294869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294877 */     // MIs[0] op2
     /*  294877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294885 */     // MIs[0] op3
     /*  294885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294919 */     GIR_RootConstrainSelectedInstOperands,
     /*  294920 */     // GIR_Coverage, 62621,
     /*  294920 */     GIR_EraseRootFromParent_Done,
     /*  294921 */   // Label 5791: @294921
     /*  294921 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(294996), // Rule ID 62622 //
     /*  294926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  294929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  294934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  294937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  294940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294944 */     // MIs[0] op1
     /*  294944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  294947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  294952 */     // MIs[0] op2
     /*  294952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  294955 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  294960 */     // MIs[0] op3
     /*  294960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  294963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  294968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  294978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  294982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  294984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  294986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294994 */     GIR_RootConstrainSelectedInstOperands,
     /*  294995 */     // GIR_Coverage, 62622,
     /*  294995 */     GIR_EraseRootFromParent_Done,
     /*  294996 */   // Label 5792: @294996
     /*  294996 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(295071), // Rule ID 62677 //
     /*  295001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  295012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295019 */     // MIs[0] op1
     /*  295019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295027 */     // MIs[0] op2
     /*  295027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295035 */     // MIs[0] op3
     /*  295035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295055 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295057 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295059 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295069 */     GIR_RootConstrainSelectedInstOperands,
     /*  295070 */     // GIR_Coverage, 62677,
     /*  295070 */     GIR_EraseRootFromParent_Done,
     /*  295071 */   // Label 5793: @295071
     /*  295071 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(295146), // Rule ID 62678 //
     /*  295076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  295087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295094 */     // MIs[0] op1
     /*  295094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295102 */     // MIs[0] op2
     /*  295102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295110 */     // MIs[0] op3
     /*  295110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295144 */     GIR_RootConstrainSelectedInstOperands,
     /*  295145 */     // GIR_Coverage, 62678,
     /*  295145 */     GIR_EraseRootFromParent_Done,
     /*  295146 */   // Label 5794: @295146
     /*  295146 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(295221), // Rule ID 62721 //
     /*  295151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  295162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295169 */     // MIs[0] op1
     /*  295169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295177 */     // MIs[0] op2
     /*  295177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295185 */     // MIs[0] op3
     /*  295185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295200 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295205 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295207 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295209 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295219 */     GIR_RootConstrainSelectedInstOperands,
     /*  295220 */     // GIR_Coverage, 62721,
     /*  295220 */     GIR_EraseRootFromParent_Done,
     /*  295221 */   // Label 5795: @295221
     /*  295221 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(295296), // Rule ID 62722 //
     /*  295226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  295237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295244 */     // MIs[0] op1
     /*  295244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295252 */     // MIs[0] op2
     /*  295252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295255 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295260 */     // MIs[0] op3
     /*  295260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295280 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295282 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295284 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295294 */     GIR_RootConstrainSelectedInstOperands,
     /*  295295 */     // GIR_Coverage, 62722,
     /*  295295 */     GIR_EraseRootFromParent_Done,
     /*  295296 */   // Label 5796: @295296
     /*  295296 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(295371), // Rule ID 62765 //
     /*  295301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  295312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295319 */     // MIs[0] op1
     /*  295319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295327 */     // MIs[0] op2
     /*  295327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295335 */     // MIs[0] op3
     /*  295335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  295350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295369 */     GIR_RootConstrainSelectedInstOperands,
     /*  295370 */     // GIR_Coverage, 62765,
     /*  295370 */     GIR_EraseRootFromParent_Done,
     /*  295371 */   // Label 5797: @295371
     /*  295371 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(295446), // Rule ID 62766 //
     /*  295376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  295387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295394 */     // MIs[0] op1
     /*  295394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295402 */     // MIs[0] op2
     /*  295402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295405 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295410 */     // MIs[0] op3
     /*  295410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295425 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295430 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295432 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295434 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295444 */     GIR_RootConstrainSelectedInstOperands,
     /*  295445 */     // GIR_Coverage, 62766,
     /*  295445 */     GIR_EraseRootFromParent_Done,
     /*  295446 */   // Label 5798: @295446
     /*  295446 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(295521), // Rule ID 62809 //
     /*  295451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  295462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295469 */     // MIs[0] op1
     /*  295469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295477 */     // MIs[0] op2
     /*  295477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295485 */     // MIs[0] op3
     /*  295485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295488 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295505 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295507 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295509 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295519 */     GIR_RootConstrainSelectedInstOperands,
     /*  295520 */     // GIR_Coverage, 62809,
     /*  295520 */     GIR_EraseRootFromParent_Done,
     /*  295521 */   // Label 5799: @295521
     /*  295521 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(295596), // Rule ID 62810 //
     /*  295526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  295537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295544 */     // MIs[0] op1
     /*  295544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295552 */     // MIs[0] op2
     /*  295552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295560 */     // MIs[0] op3
     /*  295560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295594 */     GIR_RootConstrainSelectedInstOperands,
     /*  295595 */     // GIR_Coverage, 62810,
     /*  295595 */     GIR_EraseRootFromParent_Done,
     /*  295596 */   // Label 5800: @295596
     /*  295596 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(295671), // Rule ID 62865 //
     /*  295601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  295612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295619 */     // MIs[0] op1
     /*  295619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295627 */     // MIs[0] op2
     /*  295627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295635 */     // MIs[0] op3
     /*  295635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295650 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295669 */     GIR_RootConstrainSelectedInstOperands,
     /*  295670 */     // GIR_Coverage, 62865,
     /*  295670 */     GIR_EraseRootFromParent_Done,
     /*  295671 */   // Label 5801: @295671
     /*  295671 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(295746), // Rule ID 62866 //
     /*  295676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  295687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295694 */     // MIs[0] op1
     /*  295694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295702 */     // MIs[0] op2
     /*  295702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295710 */     // MIs[0] op3
     /*  295710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295725 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  295728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295730 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295732 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295734 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295744 */     GIR_RootConstrainSelectedInstOperands,
     /*  295745 */     // GIR_Coverage, 62866,
     /*  295745 */     GIR_EraseRootFromParent_Done,
     /*  295746 */   // Label 5802: @295746
     /*  295746 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(295821), // Rule ID 62921 //
     /*  295751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  295762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295769 */     // MIs[0] op1
     /*  295769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295777 */     // MIs[0] op2
     /*  295777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295785 */     // MIs[0] op3
     /*  295785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295819 */     GIR_RootConstrainSelectedInstOperands,
     /*  295820 */     // GIR_Coverage, 62921,
     /*  295820 */     GIR_EraseRootFromParent_Done,
     /*  295821 */   // Label 5803: @295821
     /*  295821 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(295896), // Rule ID 62922 //
     /*  295826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  295837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295844 */     // MIs[0] op1
     /*  295844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295852 */     // MIs[0] op2
     /*  295852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295860 */     // MIs[0] op3
     /*  295860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295863 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  295878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295880 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295882 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295884 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295894 */     GIR_RootConstrainSelectedInstOperands,
     /*  295895 */     // GIR_Coverage, 62922,
     /*  295895 */     GIR_EraseRootFromParent_Done,
     /*  295896 */   // Label 5804: @295896
     /*  295896 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(295971), // Rule ID 62977 //
     /*  295901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  295904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  295912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  295915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295919 */     // MIs[0] op1
     /*  295919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  295927 */     // MIs[0] op2
     /*  295927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  295930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  295935 */     // MIs[0] op3
     /*  295935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  295938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  295943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  295953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  295957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  295959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  295961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295969 */     GIR_RootConstrainSelectedInstOperands,
     /*  295970 */     // GIR_Coverage, 62977,
     /*  295970 */     GIR_EraseRootFromParent_Done,
     /*  295971 */   // Label 5805: @295971
     /*  295971 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(296046), // Rule ID 62978 //
     /*  295976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  295979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  295984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  295987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  295990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295994 */     // MIs[0] op1
     /*  295994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  295997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296002 */     // MIs[0] op2
     /*  296002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296010 */     // MIs[0] op3
     /*  296010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296013 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296025 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  296028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296030 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296032 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296034 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296044 */     GIR_RootConstrainSelectedInstOperands,
     /*  296045 */     // GIR_Coverage, 62978,
     /*  296045 */     GIR_EraseRootFromParent_Done,
     /*  296046 */   // Label 5806: @296046
     /*  296046 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(296121), // Rule ID 63033 //
     /*  296051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  296062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296069 */     // MIs[0] op1
     /*  296069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296077 */     // MIs[0] op2
     /*  296077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296085 */     // MIs[0] op3
     /*  296085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296100 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296119 */     GIR_RootConstrainSelectedInstOperands,
     /*  296120 */     // GIR_Coverage, 63033,
     /*  296120 */     GIR_EraseRootFromParent_Done,
     /*  296121 */   // Label 5807: @296121
     /*  296121 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(296196), // Rule ID 63034 //
     /*  296126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  296137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296144 */     // MIs[0] op1
     /*  296144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296152 */     // MIs[0] op2
     /*  296152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296160 */     // MIs[0] op3
     /*  296160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296180 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296182 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296184 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296194 */     GIR_RootConstrainSelectedInstOperands,
     /*  296195 */     // GIR_Coverage, 63034,
     /*  296195 */     GIR_EraseRootFromParent_Done,
     /*  296196 */   // Label 5808: @296196
     /*  296196 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(296271), // Rule ID 63089 //
     /*  296201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  296212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296219 */     // MIs[0] op1
     /*  296219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296227 */     // MIs[0] op2
     /*  296227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296230 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296235 */     // MIs[0] op3
     /*  296235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296238 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296255 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296257 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296259 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296269 */     GIR_RootConstrainSelectedInstOperands,
     /*  296270 */     // GIR_Coverage, 63089,
     /*  296270 */     GIR_EraseRootFromParent_Done,
     /*  296271 */   // Label 5809: @296271
     /*  296271 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(296346), // Rule ID 63090 //
     /*  296276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  296287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296294 */     // MIs[0] op1
     /*  296294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296302 */     // MIs[0] op2
     /*  296302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296310 */     // MIs[0] op3
     /*  296310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296344 */     GIR_RootConstrainSelectedInstOperands,
     /*  296345 */     // GIR_Coverage, 63090,
     /*  296345 */     GIR_EraseRootFromParent_Done,
     /*  296346 */   // Label 5810: @296346
     /*  296346 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(296421), // Rule ID 63145 //
     /*  296351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  296362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296369 */     // MIs[0] op1
     /*  296369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296377 */     // MIs[0] op2
     /*  296377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296385 */     // MIs[0] op3
     /*  296385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296388 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  296403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296405 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296407 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296409 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296419 */     GIR_RootConstrainSelectedInstOperands,
     /*  296420 */     // GIR_Coverage, 63145,
     /*  296420 */     GIR_EraseRootFromParent_Done,
     /*  296421 */   // Label 5811: @296421
     /*  296421 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(296496), // Rule ID 63146 //
     /*  296426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  296437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  296444 */     // MIs[0] op1
     /*  296444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296452 */     // MIs[0] op2
     /*  296452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296460 */     // MIs[0] op3
     /*  296460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  296478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296494 */     GIR_RootConstrainSelectedInstOperands,
     /*  296495 */     // GIR_Coverage, 63146,
     /*  296495 */     GIR_EraseRootFromParent_Done,
     /*  296496 */   // Label 5812: @296496
     /*  296496 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(296571), // Rule ID 63201 //
     /*  296501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  296512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296519 */     // MIs[0] op1
     /*  296519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296527 */     // MIs[0] op2
     /*  296527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296535 */     // MIs[0] op3
     /*  296535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296538 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296550 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296569 */     GIR_RootConstrainSelectedInstOperands,
     /*  296570 */     // GIR_Coverage, 63201,
     /*  296570 */     GIR_EraseRootFromParent_Done,
     /*  296571 */   // Label 5813: @296571
     /*  296571 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(296646), // Rule ID 63202 //
     /*  296576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  296587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296594 */     // MIs[0] op1
     /*  296594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296602 */     // MIs[0] op2
     /*  296602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296610 */     // MIs[0] op3
     /*  296610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  296628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296644 */     GIR_RootConstrainSelectedInstOperands,
     /*  296645 */     // GIR_Coverage, 63202,
     /*  296645 */     GIR_EraseRootFromParent_Done,
     /*  296646 */   // Label 5814: @296646
     /*  296646 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(296721), // Rule ID 63257 //
     /*  296651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  296662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296669 */     // MIs[0] op1
     /*  296669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296677 */     // MIs[0] op2
     /*  296677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296685 */     // MIs[0] op3
     /*  296685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296719 */     GIR_RootConstrainSelectedInstOperands,
     /*  296720 */     // GIR_Coverage, 63257,
     /*  296720 */     GIR_EraseRootFromParent_Done,
     /*  296721 */   // Label 5815: @296721
     /*  296721 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(296796), // Rule ID 63258 //
     /*  296726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  296734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  296737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296744 */     // MIs[0] op1
     /*  296744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296752 */     // MIs[0] op2
     /*  296752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296760 */     // MIs[0] op3
     /*  296760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  296763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  296768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10701:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  296778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296794 */     GIR_RootConstrainSelectedInstOperands,
     /*  296795 */     // GIR_Coverage, 63258,
     /*  296795 */     GIR_EraseRootFromParent_Done,
     /*  296796 */   // Label 5816: @296796
     /*  296796 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(296870), // Rule ID 62159 //
     /*  296801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  296812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296822 */     // MIs[0] op1
     /*  296822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296830 */     // MIs[0] op2
     /*  296830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296849 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  296852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296854 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296856 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296858 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296868 */     GIR_RootConstrainSelectedInstOperands,
     /*  296869 */     // GIR_Coverage, 62159,
     /*  296869 */     GIR_EraseRootFromParent_Done,
     /*  296870 */   // Label 5817: @296870
     /*  296870 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(296944), // Rule ID 62160 //
     /*  296875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  296878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  296886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  296892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296896 */     // MIs[0] op1
     /*  296896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296904 */     // MIs[0] op2
     /*  296904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296923 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  296926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  296930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  296932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  296934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296942 */     GIR_RootConstrainSelectedInstOperands,
     /*  296943 */     // GIR_Coverage, 62160,
     /*  296943 */     GIR_EraseRootFromParent_Done,
     /*  296944 */   // Label 5818: @296944
     /*  296944 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(297018), // Rule ID 62205 //
     /*  296949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  296952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  296957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  296960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  296966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296970 */     // MIs[0] op1
     /*  296970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  296973 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  296978 */     // MIs[0] op2
     /*  296978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  296981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  296986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  297000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297002 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297004 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297006 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297016 */     GIR_RootConstrainSelectedInstOperands,
     /*  297017 */     // GIR_Coverage, 62205,
     /*  297017 */     GIR_EraseRootFromParent_Done,
     /*  297018 */   // Label 5819: @297018
     /*  297018 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(297092), // Rule ID 62206 //
     /*  297023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  297034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297044 */     // MIs[0] op1
     /*  297044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297052 */     // MIs[0] op2
     /*  297052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  297074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297090 */     GIR_RootConstrainSelectedInstOperands,
     /*  297091 */     // GIR_Coverage, 62206,
     /*  297091 */     GIR_EraseRootFromParent_Done,
     /*  297092 */   // Label 5820: @297092
     /*  297092 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(297166), // Rule ID 62249 //
     /*  297097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  297108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297118 */     // MIs[0] op1
     /*  297118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297121 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297126 */     // MIs[0] op2
     /*  297126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297145 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297150 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297152 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297154 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297164 */     GIR_RootConstrainSelectedInstOperands,
     /*  297165 */     // GIR_Coverage, 62249,
     /*  297165 */     GIR_EraseRootFromParent_Done,
     /*  297166 */   // Label 5821: @297166
     /*  297166 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(297240), // Rule ID 62250 //
     /*  297171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  297182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297192 */     // MIs[0] op1
     /*  297192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297200 */     // MIs[0] op2
     /*  297200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297224 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297226 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297228 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297238 */     GIR_RootConstrainSelectedInstOperands,
     /*  297239 */     // GIR_Coverage, 62250,
     /*  297239 */     GIR_EraseRootFromParent_Done,
     /*  297240 */   // Label 5822: @297240
     /*  297240 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(297314), // Rule ID 62293 //
     /*  297245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  297256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297266 */     // MIs[0] op1
     /*  297266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297274 */     // MIs[0] op2
     /*  297274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297293 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  297296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297312 */     GIR_RootConstrainSelectedInstOperands,
     /*  297313 */     // GIR_Coverage, 62293,
     /*  297313 */     GIR_EraseRootFromParent_Done,
     /*  297314 */   // Label 5823: @297314
     /*  297314 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(297388), // Rule ID 62294 //
     /*  297319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  297330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297340 */     // MIs[0] op1
     /*  297340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297348 */     // MIs[0] op2
     /*  297348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  297370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297372 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297374 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297376 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297386 */     GIR_RootConstrainSelectedInstOperands,
     /*  297387 */     // GIR_Coverage, 62294,
     /*  297387 */     GIR_EraseRootFromParent_Done,
     /*  297388 */   // Label 5824: @297388
     /*  297388 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(297462), // Rule ID 62349 //
     /*  297393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  297404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297414 */     // MIs[0] op1
     /*  297414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297417 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297422 */     // MIs[0] op2
     /*  297422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297446 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297448 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297450 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297460 */     GIR_RootConstrainSelectedInstOperands,
     /*  297461 */     // GIR_Coverage, 62349,
     /*  297461 */     GIR_EraseRootFromParent_Done,
     /*  297462 */   // Label 5825: @297462
     /*  297462 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(297536), // Rule ID 62350 //
     /*  297467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  297478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297488 */     // MIs[0] op1
     /*  297488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297496 */     // MIs[0] op2
     /*  297496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297534 */     GIR_RootConstrainSelectedInstOperands,
     /*  297535 */     // GIR_Coverage, 62350,
     /*  297535 */     GIR_EraseRootFromParent_Done,
     /*  297536 */   // Label 5826: @297536
     /*  297536 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(297610), // Rule ID 62405 //
     /*  297541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  297552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297562 */     // MIs[0] op1
     /*  297562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297570 */     // MIs[0] op2
     /*  297570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297594 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297596 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297598 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297608 */     GIR_RootConstrainSelectedInstOperands,
     /*  297609 */     // GIR_Coverage, 62405,
     /*  297609 */     GIR_EraseRootFromParent_Done,
     /*  297610 */   // Label 5827: @297610
     /*  297610 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(297684), // Rule ID 62406 //
     /*  297615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  297626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297636 */     // MIs[0] op1
     /*  297636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297644 */     // MIs[0] op2
     /*  297644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297663 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  297666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297668 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297670 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297672 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297682 */     GIR_RootConstrainSelectedInstOperands,
     /*  297683 */     // GIR_Coverage, 62406,
     /*  297683 */     GIR_EraseRootFromParent_Done,
     /*  297684 */   // Label 5828: @297684
     /*  297684 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(297758), // Rule ID 62461 //
     /*  297689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  297700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297710 */     // MIs[0] op1
     /*  297710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297713 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297718 */     // MIs[0] op2
     /*  297718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297742 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297744 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297746 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297756 */     GIR_RootConstrainSelectedInstOperands,
     /*  297757 */     // GIR_Coverage, 62461,
     /*  297757 */     GIR_EraseRootFromParent_Done,
     /*  297758 */   // Label 5829: @297758
     /*  297758 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(297832), // Rule ID 62462 //
     /*  297763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  297774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297784 */     // MIs[0] op1
     /*  297784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297792 */     // MIs[0] op2
     /*  297792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297830 */     GIR_RootConstrainSelectedInstOperands,
     /*  297831 */     // GIR_Coverage, 62462,
     /*  297831 */     GIR_EraseRootFromParent_Done,
     /*  297832 */   // Label 5830: @297832
     /*  297832 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(297906), // Rule ID 62505 //
     /*  297837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  297848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  297854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297858 */     // MIs[0] op1
     /*  297858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297866 */     // MIs[0] op2
     /*  297866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297890 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297892 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297894 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297904 */     GIR_RootConstrainSelectedInstOperands,
     /*  297905 */     // GIR_Coverage, 62505,
     /*  297905 */     GIR_EraseRootFromParent_Done,
     /*  297906 */   // Label 5831: @297906
     /*  297906 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(297980), // Rule ID 62506 //
     /*  297911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  297914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  297922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  297928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297932 */     // MIs[0] op1
     /*  297932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  297935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  297940 */     // MIs[0] op2
     /*  297940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  297943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  297948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297959 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  297962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  297966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  297968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  297970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297978 */     GIR_RootConstrainSelectedInstOperands,
     /*  297979 */     // GIR_Coverage, 62506,
     /*  297979 */     GIR_EraseRootFromParent_Done,
     /*  297980 */   // Label 5832: @297980
     /*  297980 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(298054), // Rule ID 62561 //
     /*  297985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  297988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  297993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  297996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298006 */     // MIs[0] op1
     /*  298006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298009 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298014 */     // MIs[0] op2
     /*  298014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  298036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298038 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298040 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298042 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298052 */     GIR_RootConstrainSelectedInstOperands,
     /*  298053 */     // GIR_Coverage, 62561,
     /*  298053 */     GIR_EraseRootFromParent_Done,
     /*  298054 */   // Label 5833: @298054
     /*  298054 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(298128), // Rule ID 62562 //
     /*  298059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  298070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298080 */     // MIs[0] op1
     /*  298080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298088 */     // MIs[0] op2
     /*  298088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  298110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298126 */     GIR_RootConstrainSelectedInstOperands,
     /*  298127 */     // GIR_Coverage, 62562,
     /*  298127 */     GIR_EraseRootFromParent_Done,
     /*  298128 */   // Label 5834: @298128
     /*  298128 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(298202), // Rule ID 62617 //
     /*  298133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  298144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298154 */     // MIs[0] op1
     /*  298154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298162 */     // MIs[0] op2
     /*  298162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  298184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298200 */     GIR_RootConstrainSelectedInstOperands,
     /*  298201 */     // GIR_Coverage, 62617,
     /*  298201 */     GIR_EraseRootFromParent_Done,
     /*  298202 */   // Label 5835: @298202
     /*  298202 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(298276), // Rule ID 62618 //
     /*  298207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  298218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298228 */     // MIs[0] op1
     /*  298228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298236 */     // MIs[0] op2
     /*  298236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298255 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  298258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298274 */     GIR_RootConstrainSelectedInstOperands,
     /*  298275 */     // GIR_Coverage, 62618,
     /*  298275 */     GIR_EraseRootFromParent_Done,
     /*  298276 */   // Label 5836: @298276
     /*  298276 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(298350), // Rule ID 62673 //
     /*  298281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  298292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298302 */     // MIs[0] op1
     /*  298302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298305 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298310 */     // MIs[0] op2
     /*  298310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298329 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298348 */     GIR_RootConstrainSelectedInstOperands,
     /*  298349 */     // GIR_Coverage, 62673,
     /*  298349 */     GIR_EraseRootFromParent_Done,
     /*  298350 */   // Label 5837: @298350
     /*  298350 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(298424), // Rule ID 62674 //
     /*  298355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  298366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298376 */     // MIs[0] op1
     /*  298376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298384 */     // MIs[0] op2
     /*  298384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298422 */     GIR_RootConstrainSelectedInstOperands,
     /*  298423 */     // GIR_Coverage, 62674,
     /*  298423 */     GIR_EraseRootFromParent_Done,
     /*  298424 */   // Label 5838: @298424
     /*  298424 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(298498), // Rule ID 62717 //
     /*  298429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  298440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298450 */     // MIs[0] op1
     /*  298450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298458 */     // MIs[0] op2
     /*  298458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298482 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298484 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298486 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298496 */     GIR_RootConstrainSelectedInstOperands,
     /*  298497 */     // GIR_Coverage, 62717,
     /*  298497 */     GIR_EraseRootFromParent_Done,
     /*  298498 */   // Label 5839: @298498
     /*  298498 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(298572), // Rule ID 62718 //
     /*  298503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  298514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298524 */     // MIs[0] op1
     /*  298524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298532 */     // MIs[0] op2
     /*  298532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298570 */     GIR_RootConstrainSelectedInstOperands,
     /*  298571 */     // GIR_Coverage, 62718,
     /*  298571 */     GIR_EraseRootFromParent_Done,
     /*  298572 */   // Label 5840: @298572
     /*  298572 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(298646), // Rule ID 62761 //
     /*  298577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  298588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298598 */     // MIs[0] op1
     /*  298598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298606 */     // MIs[0] op2
     /*  298606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298625 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298644 */     GIR_RootConstrainSelectedInstOperands,
     /*  298645 */     // GIR_Coverage, 62761,
     /*  298645 */     GIR_EraseRootFromParent_Done,
     /*  298646 */   // Label 5841: @298646
     /*  298646 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(298720), // Rule ID 62762 //
     /*  298651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  298662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298672 */     // MIs[0] op1
     /*  298672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298680 */     // MIs[0] op2
     /*  298680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  298699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  298702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298704 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298706 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298708 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298718 */     GIR_RootConstrainSelectedInstOperands,
     /*  298719 */     // GIR_Coverage, 62762,
     /*  298719 */     GIR_EraseRootFromParent_Done,
     /*  298720 */   // Label 5842: @298720
     /*  298720 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(298794), // Rule ID 62805 //
     /*  298725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  298736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298746 */     // MIs[0] op1
     /*  298746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298749 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298754 */     // MIs[0] op2
     /*  298754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298773 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298778 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298780 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298782 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298792 */     GIR_RootConstrainSelectedInstOperands,
     /*  298793 */     // GIR_Coverage, 62805,
     /*  298793 */     GIR_EraseRootFromParent_Done,
     /*  298794 */   // Label 5843: @298794
     /*  298794 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(298868), // Rule ID 62806 //
     /*  298799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  298810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298820 */     // MIs[0] op1
     /*  298820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298828 */     // MIs[0] op2
     /*  298828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  298850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298866 */     GIR_RootConstrainSelectedInstOperands,
     /*  298867 */     // GIR_Coverage, 62806,
     /*  298867 */     GIR_EraseRootFromParent_Done,
     /*  298868 */   // Label 5844: @298868
     /*  298868 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(298942), // Rule ID 62861 //
     /*  298873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  298876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  298884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  298890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298894 */     // MIs[0] op1
     /*  298894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298902 */     // MIs[0] op2
     /*  298902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298921 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  298928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  298930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  298932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298940 */     GIR_RootConstrainSelectedInstOperands,
     /*  298941 */     // GIR_Coverage, 62861,
     /*  298941 */     GIR_EraseRootFromParent_Done,
     /*  298942 */   // Label 5845: @298942
     /*  298942 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(299016), // Rule ID 62862 //
     /*  298947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  298950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  298955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  298958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  298964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298968 */     // MIs[0] op1
     /*  298968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  298971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  298976 */     // MIs[0] op2
     /*  298976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  298979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  298984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  298998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299000 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299002 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299004 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299014 */     GIR_RootConstrainSelectedInstOperands,
     /*  299015 */     // GIR_Coverage, 62862,
     /*  299015 */     GIR_EraseRootFromParent_Done,
     /*  299016 */   // Label 5846: @299016
     /*  299016 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(299090), // Rule ID 62917 //
     /*  299021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  299032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299042 */     // MIs[0] op1
     /*  299042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299045 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299050 */     // MIs[0] op2
     /*  299050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299074 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299076 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299078 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299088 */     GIR_RootConstrainSelectedInstOperands,
     /*  299089 */     // GIR_Coverage, 62917,
     /*  299089 */     GIR_EraseRootFromParent_Done,
     /*  299090 */   // Label 5847: @299090
     /*  299090 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(299164), // Rule ID 62918 //
     /*  299095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  299106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299116 */     // MIs[0] op1
     /*  299116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299124 */     // MIs[0] op2
     /*  299124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299143 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299148 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299150 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299152 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299162 */     GIR_RootConstrainSelectedInstOperands,
     /*  299163 */     // GIR_Coverage, 62918,
     /*  299163 */     GIR_EraseRootFromParent_Done,
     /*  299164 */   // Label 5848: @299164
     /*  299164 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(299238), // Rule ID 62973 //
     /*  299169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  299180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299190 */     // MIs[0] op1
     /*  299190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299198 */     // MIs[0] op2
     /*  299198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299222 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299224 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299226 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299236 */     GIR_RootConstrainSelectedInstOperands,
     /*  299237 */     // GIR_Coverage, 62973,
     /*  299237 */     GIR_EraseRootFromParent_Done,
     /*  299238 */   // Label 5849: @299238
     /*  299238 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(299312), // Rule ID 62974 //
     /*  299243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  299254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299264 */     // MIs[0] op1
     /*  299264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299267 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299272 */     // MIs[0] op2
     /*  299272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299296 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299298 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299300 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299310 */     GIR_RootConstrainSelectedInstOperands,
     /*  299311 */     // GIR_Coverage, 62974,
     /*  299311 */     GIR_EraseRootFromParent_Done,
     /*  299312 */   // Label 5850: @299312
     /*  299312 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(299386), // Rule ID 63029 //
     /*  299317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  299328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299338 */     // MIs[0] op1
     /*  299338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299341 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299346 */     // MIs[0] op2
     /*  299346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299349 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299370 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299372 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299374 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299384 */     GIR_RootConstrainSelectedInstOperands,
     /*  299385 */     // GIR_Coverage, 63029,
     /*  299385 */     GIR_EraseRootFromParent_Done,
     /*  299386 */   // Label 5851: @299386
     /*  299386 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(299460), // Rule ID 63030 //
     /*  299391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  299402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299412 */     // MIs[0] op1
     /*  299412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299420 */     // MIs[0] op2
     /*  299420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299458 */     GIR_RootConstrainSelectedInstOperands,
     /*  299459 */     // GIR_Coverage, 63030,
     /*  299459 */     GIR_EraseRootFromParent_Done,
     /*  299460 */   // Label 5852: @299460
     /*  299460 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(299534), // Rule ID 63085 //
     /*  299465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  299476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299486 */     // MIs[0] op1
     /*  299486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299494 */     // MIs[0] op2
     /*  299494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299513 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299532 */     GIR_RootConstrainSelectedInstOperands,
     /*  299533 */     // GIR_Coverage, 63085,
     /*  299533 */     GIR_EraseRootFromParent_Done,
     /*  299534 */   // Label 5853: @299534
     /*  299534 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(299608), // Rule ID 63086 //
     /*  299539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  299550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299560 */     // MIs[0] op1
     /*  299560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299563 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299568 */     // MIs[0] op2
     /*  299568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299592 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299594 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299596 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299606 */     GIR_RootConstrainSelectedInstOperands,
     /*  299607 */     // GIR_Coverage, 63086,
     /*  299607 */     GIR_EraseRootFromParent_Done,
     /*  299608 */   // Label 5854: @299608
     /*  299608 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(299682), // Rule ID 63141 //
     /*  299613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  299624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299634 */     // MIs[0] op1
     /*  299634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299642 */     // MIs[0] op2
     /*  299642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299680 */     GIR_RootConstrainSelectedInstOperands,
     /*  299681 */     // GIR_Coverage, 63141,
     /*  299681 */     GIR_EraseRootFromParent_Done,
     /*  299682 */   // Label 5855: @299682
     /*  299682 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(299756), // Rule ID 63142 //
     /*  299687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  299698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  299708 */     // MIs[0] op1
     /*  299708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299716 */     // MIs[0] op2
     /*  299716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299735 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  299738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299740 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299742 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299744 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299754 */     GIR_RootConstrainSelectedInstOperands,
     /*  299755 */     // GIR_Coverage, 63142,
     /*  299755 */     GIR_EraseRootFromParent_Done,
     /*  299756 */   // Label 5856: @299756
     /*  299756 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(299830), // Rule ID 63197 //
     /*  299761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  299772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299782 */     // MIs[0] op1
     /*  299782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299790 */     // MIs[0] op2
     /*  299790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299828 */     GIR_RootConstrainSelectedInstOperands,
     /*  299829 */     // GIR_Coverage, 63197,
     /*  299829 */     GIR_EraseRootFromParent_Done,
     /*  299830 */   // Label 5857: @299830
     /*  299830 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(299904), // Rule ID 63198 //
     /*  299835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  299846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  299852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  299856 */     // MIs[0] op1
     /*  299856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299859 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299864 */     // MIs[0] op2
     /*  299864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  299883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  299886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299888 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299890 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299892 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299902 */     GIR_RootConstrainSelectedInstOperands,
     /*  299903 */     // GIR_Coverage, 63198,
     /*  299903 */     GIR_EraseRootFromParent_Done,
     /*  299904 */   // Label 5858: @299904
     /*  299904 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(299978), // Rule ID 63253 //
     /*  299909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  299912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  299920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  299926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  299930 */     // MIs[0] op1
     /*  299930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  299933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  299938 */     // MIs[0] op2
     /*  299938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  299941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  299946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299957 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  299957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  299960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  299964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  299966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  299968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  299976 */     GIR_RootConstrainSelectedInstOperands,
     /*  299977 */     // GIR_Coverage, 63253,
     /*  299977 */     GIR_EraseRootFromParent_Done,
     /*  299978 */   // Label 5859: @299978
     /*  299978 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(300052), // Rule ID 63254 //
     /*  299983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  299986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  299991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  299994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300004 */     // MIs[0] op1
     /*  300004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300012 */     // MIs[0] op2
     /*  300012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  300015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  300020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10715:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  300034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300036 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300038 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300040 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300050 */     GIR_RootConstrainSelectedInstOperands,
     /*  300051 */     // GIR_Coverage, 63254,
     /*  300051 */     GIR_EraseRootFromParent_Done,
     /*  300052 */   // Label 5860: @300052
     /*  300052 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(300126), // Rule ID 62183 //
     /*  300057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  300068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300078 */     // MIs[0] op1
     /*  300078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300090 */     // MIs[0] op3
     /*  300090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300093 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300105 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  300108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300124 */     GIR_RootConstrainSelectedInstOperands,
     /*  300125 */     // GIR_Coverage, 62183,
     /*  300125 */     GIR_EraseRootFromParent_Done,
     /*  300126 */   // Label 5861: @300126
     /*  300126 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(300200), // Rule ID 62184 //
     /*  300131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  300142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  300145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300152 */     // MIs[0] op1
     /*  300152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300155 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300164 */     // MIs[0] op3
     /*  300164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  300182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300184 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300186 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300188 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300198 */     GIR_RootConstrainSelectedInstOperands,
     /*  300199 */     // GIR_Coverage, 62184,
     /*  300199 */     GIR_EraseRootFromParent_Done,
     /*  300200 */   // Label 5862: @300200
     /*  300200 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(300274), // Rule ID 62221 //
     /*  300205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  300216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300226 */     // MIs[0] op1
     /*  300226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300238 */     // MIs[0] op3
     /*  300238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300253 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300258 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300260 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300262 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300272 */     GIR_RootConstrainSelectedInstOperands,
     /*  300273 */     // GIR_Coverage, 62221,
     /*  300273 */     GIR_EraseRootFromParent_Done,
     /*  300274 */   // Label 5863: @300274
     /*  300274 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(300348), // Rule ID 62222 //
     /*  300279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  300290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  300293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300300 */     // MIs[0] op1
     /*  300300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300312 */     // MIs[0] op3
     /*  300312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300346 */     GIR_RootConstrainSelectedInstOperands,
     /*  300347 */     // GIR_Coverage, 62222,
     /*  300347 */     GIR_EraseRootFromParent_Done,
     /*  300348 */   // Label 5864: @300348
     /*  300348 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(300422), // Rule ID 62265 //
     /*  300353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  300364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  300367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300374 */     // MIs[0] op1
     /*  300374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300386 */     // MIs[0] op3
     /*  300386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300401 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300406 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300408 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300410 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300420 */     GIR_RootConstrainSelectedInstOperands,
     /*  300421 */     // GIR_Coverage, 62265,
     /*  300421 */     GIR_EraseRootFromParent_Done,
     /*  300422 */   // Label 5865: @300422
     /*  300422 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(300496), // Rule ID 62266 //
     /*  300427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  300438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  300441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300448 */     // MIs[0] op1
     /*  300448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300451 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300460 */     // MIs[0] op3
     /*  300460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300494 */     GIR_RootConstrainSelectedInstOperands,
     /*  300495 */     // GIR_Coverage, 62266,
     /*  300495 */     GIR_EraseRootFromParent_Done,
     /*  300496 */   // Label 5866: @300496
     /*  300496 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(300570), // Rule ID 62309 //
     /*  300501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  300512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300522 */     // MIs[0] op1
     /*  300522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300534 */     // MIs[0] op3
     /*  300534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300537 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300568 */     GIR_RootConstrainSelectedInstOperands,
     /*  300569 */     // GIR_Coverage, 62309,
     /*  300569 */     GIR_EraseRootFromParent_Done,
     /*  300570 */   // Label 5867: @300570
     /*  300570 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(300644), // Rule ID 62310 //
     /*  300575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  300586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  300589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300596 */     // MIs[0] op1
     /*  300596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300608 */     // MIs[0] op3
     /*  300608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300611 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300623 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  300626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300628 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300630 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300632 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300642 */     GIR_RootConstrainSelectedInstOperands,
     /*  300643 */     // GIR_Coverage, 62310,
     /*  300643 */     GIR_EraseRootFromParent_Done,
     /*  300644 */   // Label 5868: @300644
     /*  300644 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(300718), // Rule ID 62365 //
     /*  300649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  300660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300670 */     // MIs[0] op1
     /*  300670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300682 */     // MIs[0] op3
     /*  300682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300685 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300716 */     GIR_RootConstrainSelectedInstOperands,
     /*  300717 */     // GIR_Coverage, 62365,
     /*  300717 */     GIR_EraseRootFromParent_Done,
     /*  300718 */   // Label 5869: @300718
     /*  300718 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(300792), // Rule ID 62366 //
     /*  300723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  300734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  300737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300744 */     // MIs[0] op1
     /*  300744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300756 */     // MIs[0] op3
     /*  300756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300790 */     GIR_RootConstrainSelectedInstOperands,
     /*  300791 */     // GIR_Coverage, 62366,
     /*  300791 */     GIR_EraseRootFromParent_Done,
     /*  300792 */   // Label 5870: @300792
     /*  300792 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(300866), // Rule ID 62421 //
     /*  300797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  300808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300818 */     // MIs[0] op1
     /*  300818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300830 */     // MIs[0] op3
     /*  300830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300833 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300864 */     GIR_RootConstrainSelectedInstOperands,
     /*  300865 */     // GIR_Coverage, 62421,
     /*  300865 */     GIR_EraseRootFromParent_Done,
     /*  300866 */   // Label 5871: @300866
     /*  300866 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(300940), // Rule ID 62422 //
     /*  300871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  300874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  300882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  300885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  300888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300892 */     // MIs[0] op1
     /*  300892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300904 */     // MIs[0] op3
     /*  300904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300907 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  300922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300924 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  300926 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  300928 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  300930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300938 */     GIR_RootConstrainSelectedInstOperands,
     /*  300939 */     // GIR_Coverage, 62422,
     /*  300939 */     GIR_EraseRootFromParent_Done,
     /*  300940 */   // Label 5872: @300940
     /*  300940 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(301014), // Rule ID 62477 //
     /*  300945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  300948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  300953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  300956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  300959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  300962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300966 */     // MIs[0] op1
     /*  300966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  300969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  300974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300978 */     // MIs[0] op3
     /*  300978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  300981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  300986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  300996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301012 */     GIR_RootConstrainSelectedInstOperands,
     /*  301013 */     // GIR_Coverage, 62477,
     /*  301013 */     GIR_EraseRootFromParent_Done,
     /*  301014 */   // Label 5873: @301014
     /*  301014 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(301088), // Rule ID 62478 //
     /*  301019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  301030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  301033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301040 */     // MIs[0] op1
     /*  301040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301043 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301052 */     // MIs[0] op3
     /*  301052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301086 */     GIR_RootConstrainSelectedInstOperands,
     /*  301087 */     // GIR_Coverage, 62478,
     /*  301087 */     GIR_EraseRootFromParent_Done,
     /*  301088 */   // Label 5874: @301088
     /*  301088 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(301162), // Rule ID 62521 //
     /*  301093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  301104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301114 */     // MIs[0] op1
     /*  301114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301126 */     // MIs[0] op3
     /*  301126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301141 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  301141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301160 */     GIR_RootConstrainSelectedInstOperands,
     /*  301161 */     // GIR_Coverage, 62521,
     /*  301161 */     GIR_EraseRootFromParent_Done,
     /*  301162 */   // Label 5875: @301162
     /*  301162 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(301236), // Rule ID 62522 //
     /*  301167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  301178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  301181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301188 */     // MIs[0] op1
     /*  301188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301191 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301200 */     // MIs[0] op3
     /*  301200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301203 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301215 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  301215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301220 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301222 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301224 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  301234 */     GIR_RootConstrainSelectedInstOperands,
     /*  301235 */     // GIR_Coverage, 62522,
     /*  301235 */     GIR_EraseRootFromParent_Done,
     /*  301236 */   // Label 5876: @301236
     /*  301236 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(301310), // Rule ID 62577 //
     /*  301241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  301252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301262 */     // MIs[0] op1
     /*  301262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301274 */     // MIs[0] op3
     /*  301274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301289 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301308 */     GIR_RootConstrainSelectedInstOperands,
     /*  301309 */     // GIR_Coverage, 62577,
     /*  301309 */     GIR_EraseRootFromParent_Done,
     /*  301310 */   // Label 5877: @301310
     /*  301310 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(301384), // Rule ID 62578 //
     /*  301315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  301326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  301329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301336 */     // MIs[0] op1
     /*  301336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301348 */     // MIs[0] op3
     /*  301348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301382 */     GIR_RootConstrainSelectedInstOperands,
     /*  301383 */     // GIR_Coverage, 62578,
     /*  301383 */     GIR_EraseRootFromParent_Done,
     /*  301384 */   // Label 5878: @301384
     /*  301384 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(301458), // Rule ID 62633 //
     /*  301389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  301400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301410 */     // MIs[0] op1
     /*  301410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301422 */     // MIs[0] op3
     /*  301422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301456 */     GIR_RootConstrainSelectedInstOperands,
     /*  301457 */     // GIR_Coverage, 62633,
     /*  301457 */     GIR_EraseRootFromParent_Done,
     /*  301458 */   // Label 5879: @301458
     /*  301458 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(301532), // Rule ID 62634 //
     /*  301463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  301474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  301477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301484 */     // MIs[0] op1
     /*  301484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301487 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301496 */     // MIs[0] op3
     /*  301496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  301514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301516 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301518 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301520 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301530 */     GIR_RootConstrainSelectedInstOperands,
     /*  301531 */     // GIR_Coverage, 62634,
     /*  301531 */     GIR_EraseRootFromParent_Done,
     /*  301532 */   // Label 5880: @301532
     /*  301532 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(301606), // Rule ID 62689 //
     /*  301537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  301548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301558 */     // MIs[0] op1
     /*  301558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301561 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301570 */     // MIs[0] op3
     /*  301570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301585 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301590 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301592 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301594 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301604 */     GIR_RootConstrainSelectedInstOperands,
     /*  301605 */     // GIR_Coverage, 62689,
     /*  301605 */     GIR_EraseRootFromParent_Done,
     /*  301606 */   // Label 5881: @301606
     /*  301606 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(301680), // Rule ID 62690 //
     /*  301611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  301622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  301625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301632 */     // MIs[0] op1
     /*  301632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301644 */     // MIs[0] op3
     /*  301644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  301662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301678 */     GIR_RootConstrainSelectedInstOperands,
     /*  301679 */     // GIR_Coverage, 62690,
     /*  301679 */     GIR_EraseRootFromParent_Done,
     /*  301680 */   // Label 5882: @301680
     /*  301680 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(301754), // Rule ID 62733 //
     /*  301685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  301696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301706 */     // MIs[0] op1
     /*  301706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301709 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301718 */     // MIs[0] op3
     /*  301718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301733 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301738 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301740 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301742 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301752 */     GIR_RootConstrainSelectedInstOperands,
     /*  301753 */     // GIR_Coverage, 62733,
     /*  301753 */     GIR_EraseRootFromParent_Done,
     /*  301754 */   // Label 5883: @301754
     /*  301754 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(301828), // Rule ID 62734 //
     /*  301759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  301770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  301773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301780 */     // MIs[0] op1
     /*  301780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301783 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301792 */     // MIs[0] op3
     /*  301792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301795 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  301810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301812 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301814 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301816 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301826 */     GIR_RootConstrainSelectedInstOperands,
     /*  301827 */     // GIR_Coverage, 62734,
     /*  301827 */     GIR_EraseRootFromParent_Done,
     /*  301828 */   // Label 5884: @301828
     /*  301828 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(301902), // Rule ID 62777 //
     /*  301833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  301844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301854 */     // MIs[0] op1
     /*  301854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301866 */     // MIs[0] op3
     /*  301866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301881 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301886 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301888 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301890 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301900 */     GIR_RootConstrainSelectedInstOperands,
     /*  301901 */     // GIR_Coverage, 62777,
     /*  301901 */     GIR_EraseRootFromParent_Done,
     /*  301902 */   // Label 5885: @301902
     /*  301902 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(301976), // Rule ID 62778 //
     /*  301907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  301910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  301918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  301921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  301924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301928 */     // MIs[0] op1
     /*  301928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  301931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  301936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301940 */     // MIs[0] op3
     /*  301940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  301943 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  301948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301955 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  301958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301960 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  301962 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  301964 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  301966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301974 */     GIR_RootConstrainSelectedInstOperands,
     /*  301975 */     // GIR_Coverage, 62778,
     /*  301975 */     GIR_EraseRootFromParent_Done,
     /*  301976 */   // Label 5886: @301976
     /*  301976 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(302050), // Rule ID 62821 //
     /*  301981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  301984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  301989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  301992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  301995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  301998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302002 */     // MIs[0] op1
     /*  302002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302014 */     // MIs[0] op3
     /*  302014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302034 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302036 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302038 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302048 */     GIR_RootConstrainSelectedInstOperands,
     /*  302049 */     // GIR_Coverage, 62821,
     /*  302049 */     GIR_EraseRootFromParent_Done,
     /*  302050 */   // Label 5887: @302050
     /*  302050 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(302124), // Rule ID 62822 //
     /*  302055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  302066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  302069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302076 */     // MIs[0] op1
     /*  302076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302088 */     // MIs[0] op3
     /*  302088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302122 */     GIR_RootConstrainSelectedInstOperands,
     /*  302123 */     // GIR_Coverage, 62822,
     /*  302123 */     GIR_EraseRootFromParent_Done,
     /*  302124 */   // Label 5888: @302124
     /*  302124 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(302198), // Rule ID 62877 //
     /*  302129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  302140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302150 */     // MIs[0] op1
     /*  302150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302162 */     // MIs[0] op3
     /*  302162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302182 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302184 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302186 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302196 */     GIR_RootConstrainSelectedInstOperands,
     /*  302197 */     // GIR_Coverage, 62877,
     /*  302197 */     GIR_EraseRootFromParent_Done,
     /*  302198 */   // Label 5889: @302198
     /*  302198 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(302272), // Rule ID 62878 //
     /*  302203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  302214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  302217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302224 */     // MIs[0] op1
     /*  302224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302236 */     // MIs[0] op3
     /*  302236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302270 */     GIR_RootConstrainSelectedInstOperands,
     /*  302271 */     // GIR_Coverage, 62878,
     /*  302271 */     GIR_EraseRootFromParent_Done,
     /*  302272 */   // Label 5890: @302272
     /*  302272 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(302346), // Rule ID 62933 //
     /*  302277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  302288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302298 */     // MIs[0] op1
     /*  302298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302301 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302310 */     // MIs[0] op3
     /*  302310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302325 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302330 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302332 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302334 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302344 */     GIR_RootConstrainSelectedInstOperands,
     /*  302345 */     // GIR_Coverage, 62933,
     /*  302345 */     GIR_EraseRootFromParent_Done,
     /*  302346 */   // Label 5891: @302346
     /*  302346 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(302420), // Rule ID 62934 //
     /*  302351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  302362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  302365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302372 */     // MIs[0] op1
     /*  302372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302384 */     // MIs[0] op3
     /*  302384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302399 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302418 */     GIR_RootConstrainSelectedInstOperands,
     /*  302419 */     // GIR_Coverage, 62934,
     /*  302419 */     GIR_EraseRootFromParent_Done,
     /*  302420 */   // Label 5892: @302420
     /*  302420 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(302494), // Rule ID 62989 //
     /*  302425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  302436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302446 */     // MIs[0] op1
     /*  302446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302449 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302458 */     // MIs[0] op3
     /*  302458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302473 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302492 */     GIR_RootConstrainSelectedInstOperands,
     /*  302493 */     // GIR_Coverage, 62989,
     /*  302493 */     GIR_EraseRootFromParent_Done,
     /*  302494 */   // Label 5893: @302494
     /*  302494 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(302568), // Rule ID 62990 //
     /*  302499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  302510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  302513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302520 */     // MIs[0] op1
     /*  302520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302532 */     // MIs[0] op3
     /*  302532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302535 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302552 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302554 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302556 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302566 */     GIR_RootConstrainSelectedInstOperands,
     /*  302567 */     // GIR_Coverage, 62990,
     /*  302567 */     GIR_EraseRootFromParent_Done,
     /*  302568 */   // Label 5894: @302568
     /*  302568 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(302642), // Rule ID 63045 //
     /*  302573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  302584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302594 */     // MIs[0] op1
     /*  302594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302606 */     // MIs[0] op3
     /*  302606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302621 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302640 */     GIR_RootConstrainSelectedInstOperands,
     /*  302641 */     // GIR_Coverage, 63045,
     /*  302641 */     GIR_EraseRootFromParent_Done,
     /*  302642 */   // Label 5895: @302642
     /*  302642 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(302716), // Rule ID 63046 //
     /*  302647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  302658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  302661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302668 */     // MIs[0] op1
     /*  302668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  302680 */     // MIs[0] op3
     /*  302680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302683 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  302698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302714 */     GIR_RootConstrainSelectedInstOperands,
     /*  302715 */     // GIR_Coverage, 63046,
     /*  302715 */     GIR_EraseRootFromParent_Done,
     /*  302716 */   // Label 5896: @302716
     /*  302716 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(302790), // Rule ID 63101 //
     /*  302721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  302732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302742 */     // MIs[0] op1
     /*  302742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302754 */     // MIs[0] op3
     /*  302754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302774 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302776 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302778 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302788 */     GIR_RootConstrainSelectedInstOperands,
     /*  302789 */     // GIR_Coverage, 63101,
     /*  302789 */     GIR_EraseRootFromParent_Done,
     /*  302790 */   // Label 5897: @302790
     /*  302790 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(302864), // Rule ID 63102 //
     /*  302795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  302806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  302809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302816 */     // MIs[0] op1
     /*  302816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  302828 */     // MIs[0] op3
     /*  302828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  302846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302862 */     GIR_RootConstrainSelectedInstOperands,
     /*  302863 */     // GIR_Coverage, 63102,
     /*  302863 */     GIR_EraseRootFromParent_Done,
     /*  302864 */   // Label 5898: @302864
     /*  302864 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(302938), // Rule ID 63157 //
     /*  302869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  302872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  302880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  302886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302890 */     // MIs[0] op1
     /*  302890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302902 */     // MIs[0] op3
     /*  302902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302922 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302924 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  302926 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  302928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302936 */     GIR_RootConstrainSelectedInstOperands,
     /*  302937 */     // GIR_Coverage, 63157,
     /*  302937 */     GIR_EraseRootFromParent_Done,
     /*  302938 */   // Label 5899: @302938
     /*  302938 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(303012), // Rule ID 63158 //
     /*  302943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  302946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  302951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  302954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  302957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  302960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302964 */     // MIs[0] op1
     /*  302964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  302967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  302972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302976 */     // MIs[0] op3
     /*  302976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  302979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  302984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  302994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  302998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  303000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  303002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303010 */     GIR_RootConstrainSelectedInstOperands,
     /*  303011 */     // GIR_Coverage, 63158,
     /*  303011 */     GIR_EraseRootFromParent_Done,
     /*  303012 */   // Label 5900: @303012
     /*  303012 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(303086), // Rule ID 63213 //
     /*  303017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  303020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  303025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  303028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303038 */     // MIs[0] op1
     /*  303038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  303041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  303046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303050 */     // MIs[0] op3
     /*  303050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  303053 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  303058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303065 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  303068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303070 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  303072 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  303074 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  303076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303084 */     GIR_RootConstrainSelectedInstOperands,
     /*  303085 */     // GIR_Coverage, 63213,
     /*  303085 */     GIR_EraseRootFromParent_Done,
     /*  303086 */   // Label 5901: @303086
     /*  303086 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(303160), // Rule ID 63214 //
     /*  303091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  303094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  303099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  303102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  303105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303112 */     // MIs[0] op1
     /*  303112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  303115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  303120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303124 */     // MIs[0] op3
     /*  303124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  303127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  303132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  303142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  303146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  303148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  303150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303158 */     GIR_RootConstrainSelectedInstOperands,
     /*  303159 */     // GIR_Coverage, 63214,
     /*  303159 */     GIR_EraseRootFromParent_Done,
     /*  303160 */   // Label 5902: @303160
     /*  303160 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(303234), // Rule ID 63269 //
     /*  303165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  303168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  303173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  303176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303186 */     // MIs[0] op1
     /*  303186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  303189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  303194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303198 */     // MIs[0] op3
     /*  303198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  303201 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  303206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  303213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  303216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  303220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  303222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  303224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303232 */     GIR_RootConstrainSelectedInstOperands,
     /*  303233 */     // GIR_Coverage, 63269,
     /*  303233 */     GIR_EraseRootFromParent_Done,
     /*  303234 */   // Label 5903: @303234
     /*  303234 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(303308), // Rule ID 63270 //
     /*  303239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  303242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  303247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  303250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  303253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303260 */     // MIs[0] op1
     /*  303260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  303263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  303268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303272 */     // MIs[0] op3
     /*  303272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  303275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  303280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10703:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  303287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  303290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303292 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  303294 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  303296 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  303298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  303306 */     GIR_RootConstrainSelectedInstOperands,
     /*  303307 */     // GIR_Coverage, 63270,
     /*  303307 */     GIR_EraseRootFromParent_Done,
     /*  303308 */   // Label 5904: @303308
     /*  303308 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(303383), // Rule ID 7206 //
     /*  303313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  303324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  303362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303381 */     GIR_RootConstrainSelectedInstOperands,
     /*  303382 */     // GIR_Coverage, 7206,
     /*  303382 */     GIR_EraseRootFromParent_Done,
     /*  303383 */   // Label 5905: @303383
     /*  303383 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(303458), // Rule ID 7207 //
     /*  303388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  303399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  303402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  303405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303423 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  303437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303456 */     GIR_RootConstrainSelectedInstOperands,
     /*  303457 */     // GIR_Coverage, 7207,
     /*  303457 */     GIR_EraseRootFromParent_Done,
     /*  303458 */   // Label 5906: @303458
     /*  303458 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(303533), // Rule ID 7210 //
     /*  303463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  303474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303531 */     GIR_RootConstrainSelectedInstOperands,
     /*  303532 */     // GIR_Coverage, 7210,
     /*  303532 */     GIR_EraseRootFromParent_Done,
     /*  303533 */   // Label 5907: @303533
     /*  303533 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(303608), // Rule ID 7211 //
     /*  303538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  303549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  303552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  303555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303573 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303606 */     GIR_RootConstrainSelectedInstOperands,
     /*  303607 */     // GIR_Coverage, 7211,
     /*  303607 */     GIR_EraseRootFromParent_Done,
     /*  303608 */   // Label 5908: @303608
     /*  303608 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(303683), // Rule ID 7214 //
     /*  303613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  303624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303648 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303659 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  303659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303681 */     GIR_RootConstrainSelectedInstOperands,
     /*  303682 */     // GIR_Coverage, 7214,
     /*  303682 */     GIR_EraseRootFromParent_Done,
     /*  303683 */   // Label 5909: @303683
     /*  303683 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(303758), // Rule ID 7215 //
     /*  303688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  303699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  303702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  303705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303723 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  303734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303756 */     GIR_RootConstrainSelectedInstOperands,
     /*  303757 */     // GIR_Coverage, 7215,
     /*  303757 */     GIR_EraseRootFromParent_Done,
     /*  303758 */   // Label 5910: @303758
     /*  303758 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(303833), // Rule ID 7218 //
     /*  303763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  303774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303798 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303809 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303831 */     GIR_RootConstrainSelectedInstOperands,
     /*  303832 */     // GIR_Coverage, 7218,
     /*  303832 */     GIR_EraseRootFromParent_Done,
     /*  303833 */   // Label 5911: @303833
     /*  303833 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(303908), // Rule ID 7219 //
     /*  303838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  303849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  303852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  303855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  303861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303873 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303884 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  303884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  303887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303906 */     GIR_RootConstrainSelectedInstOperands,
     /*  303907 */     // GIR_Coverage, 7219,
     /*  303907 */     GIR_EraseRootFromParent_Done,
     /*  303908 */   // Label 5912: @303908
     /*  303908 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(303983), // Rule ID 7222 //
     /*  303913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  303924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  303927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  303930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  303936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303948 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  303952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  303959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  303962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  303966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  303981 */     GIR_RootConstrainSelectedInstOperands,
     /*  303982 */     // GIR_Coverage, 7222,
     /*  303982 */     GIR_EraseRootFromParent_Done,
     /*  303983 */   // Label 5913: @303983
     /*  303983 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(304058), // Rule ID 7223 //
     /*  303988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  303996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  303999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304023 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  304037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304056 */     GIR_RootConstrainSelectedInstOperands,
     /*  304057 */     // GIR_Coverage, 7223,
     /*  304057 */     GIR_EraseRootFromParent_Done,
     /*  304058 */   // Label 5914: @304058
     /*  304058 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(304133), // Rule ID 7226 //
     /*  304063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  304074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304098 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  304109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  304112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304131 */     GIR_RootConstrainSelectedInstOperands,
     /*  304132 */     // GIR_Coverage, 7226,
     /*  304132 */     GIR_EraseRootFromParent_Done,
     /*  304133 */   // Label 5915: @304133
     /*  304133 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(304208), // Rule ID 7227 //
     /*  304138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  304149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  304152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  304155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304173 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304184 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  304184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  304187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304206 */     GIR_RootConstrainSelectedInstOperands,
     /*  304207 */     // GIR_Coverage, 7227,
     /*  304207 */     GIR_EraseRootFromParent_Done,
     /*  304208 */   // Label 5916: @304208
     /*  304208 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(304283), // Rule ID 7230 //
     /*  304213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  304224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  304259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304281 */     GIR_RootConstrainSelectedInstOperands,
     /*  304282 */     // GIR_Coverage, 7230,
     /*  304282 */     GIR_EraseRootFromParent_Done,
     /*  304283 */   // Label 5917: @304283
     /*  304283 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(304358), // Rule ID 7231 //
     /*  304288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  304299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  304302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  304305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304323 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304334 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  304334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304356 */     GIR_RootConstrainSelectedInstOperands,
     /*  304357 */     // GIR_Coverage, 7231,
     /*  304357 */     GIR_EraseRootFromParent_Done,
     /*  304358 */   // Label 5918: @304358
     /*  304358 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(304433), // Rule ID 7234 //
     /*  304363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  304374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  304409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304431 */     GIR_RootConstrainSelectedInstOperands,
     /*  304432 */     // GIR_Coverage, 7234,
     /*  304432 */     GIR_EraseRootFromParent_Done,
     /*  304433 */   // Label 5919: @304433
     /*  304433 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(304508), // Rule ID 7235 //
     /*  304438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  304449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  304452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  304455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304473 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  304484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304506 */     GIR_RootConstrainSelectedInstOperands,
     /*  304507 */     // GIR_Coverage, 7235,
     /*  304507 */     GIR_EraseRootFromParent_Done,
     /*  304508 */   // Label 5920: @304508
     /*  304508 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(304583), // Rule ID 7238 //
     /*  304513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  304524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304548 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304559 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  304559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304581 */     GIR_RootConstrainSelectedInstOperands,
     /*  304582 */     // GIR_Coverage, 7238,
     /*  304582 */     GIR_EraseRootFromParent_Done,
     /*  304583 */   // Label 5921: @304583
     /*  304583 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(304658), // Rule ID 7239 //
     /*  304588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  304599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  304602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  304605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304623 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  304634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  304653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304656 */     GIR_RootConstrainSelectedInstOperands,
     /*  304657 */     // GIR_Coverage, 7239,
     /*  304657 */     GIR_EraseRootFromParent_Done,
     /*  304658 */   // Label 5922: @304658
     /*  304658 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(304733), // Rule ID 7242 //
     /*  304663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  304674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304698 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304709 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  304709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304731 */     GIR_RootConstrainSelectedInstOperands,
     /*  304732 */     // GIR_Coverage, 7242,
     /*  304732 */     GIR_EraseRootFromParent_Done,
     /*  304733 */   // Label 5923: @304733
     /*  304733 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(304808), // Rule ID 7243 //
     /*  304738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  304749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  304752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  304755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304773 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  304784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  304787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304806 */     GIR_RootConstrainSelectedInstOperands,
     /*  304807 */     // GIR_Coverage, 7243,
     /*  304807 */     GIR_EraseRootFromParent_Done,
     /*  304808 */   // Label 5924: @304808
     /*  304808 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(304883), // Rule ID 7246 //
     /*  304813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  304824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304848 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  304859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304881 */     GIR_RootConstrainSelectedInstOperands,
     /*  304882 */     // GIR_Coverage, 7246,
     /*  304882 */     GIR_EraseRootFromParent_Done,
     /*  304883 */   // Label 5925: @304883
     /*  304883 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(304958), // Rule ID 7247 //
     /*  304888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  304899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  304902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  304905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  304911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304923 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  304927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  304934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  304937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  304941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  304956 */     GIR_RootConstrainSelectedInstOperands,
     /*  304957 */     // GIR_Coverage, 7247,
     /*  304957 */     GIR_EraseRootFromParent_Done,
     /*  304958 */   // Label 5926: @304958
     /*  304958 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(305033), // Rule ID 7250 //
     /*  304963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  304971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  304974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  304977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  304980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  304986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304998 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305009 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  305009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305031 */     GIR_RootConstrainSelectedInstOperands,
     /*  305032 */     // GIR_Coverage, 7250,
     /*  305032 */     GIR_EraseRootFromParent_Done,
     /*  305033 */   // Label 5927: @305033
     /*  305033 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(305108), // Rule ID 7251 //
     /*  305038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  305049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305073 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  305084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305106 */     GIR_RootConstrainSelectedInstOperands,
     /*  305107 */     // GIR_Coverage, 7251,
     /*  305107 */     GIR_EraseRootFromParent_Done,
     /*  305108 */   // Label 5928: @305108
     /*  305108 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(305183), // Rule ID 7254 //
     /*  305113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  305124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305148 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305159 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  305159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305181 */     GIR_RootConstrainSelectedInstOperands,
     /*  305182 */     // GIR_Coverage, 7254,
     /*  305182 */     GIR_EraseRootFromParent_Done,
     /*  305183 */   // Label 5929: @305183
     /*  305183 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(305258), // Rule ID 7255 //
     /*  305188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  305199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305223 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  305234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305256 */     GIR_RootConstrainSelectedInstOperands,
     /*  305257 */     // GIR_Coverage, 7255,
     /*  305257 */     GIR_EraseRootFromParent_Done,
     /*  305258 */   // Label 5930: @305258
     /*  305258 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(305333), // Rule ID 7258 //
     /*  305263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  305274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305298 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305309 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305331 */     GIR_RootConstrainSelectedInstOperands,
     /*  305332 */     // GIR_Coverage, 7258,
     /*  305332 */     GIR_EraseRootFromParent_Done,
     /*  305333 */   // Label 5931: @305333
     /*  305333 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(305408), // Rule ID 7259 //
     /*  305338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  305349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  305352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  305355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305373 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305384 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305406 */     GIR_RootConstrainSelectedInstOperands,
     /*  305407 */     // GIR_Coverage, 7259,
     /*  305407 */     GIR_EraseRootFromParent_Done,
     /*  305408 */   // Label 5932: @305408
     /*  305408 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(305483), // Rule ID 7262 //
     /*  305413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  305424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305448 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305481 */     GIR_RootConstrainSelectedInstOperands,
     /*  305482 */     // GIR_Coverage, 7262,
     /*  305482 */     GIR_EraseRootFromParent_Done,
     /*  305483 */   // Label 5933: @305483
     /*  305483 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(305558), // Rule ID 7263 //
     /*  305488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  305499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  305502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  305505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305523 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305556 */     GIR_RootConstrainSelectedInstOperands,
     /*  305557 */     // GIR_Coverage, 7263,
     /*  305557 */     GIR_EraseRootFromParent_Done,
     /*  305558 */   // Label 5934: @305558
     /*  305558 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(305633), // Rule ID 7266 //
     /*  305563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305598 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  305609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305631 */     GIR_RootConstrainSelectedInstOperands,
     /*  305632 */     // GIR_Coverage, 7266,
     /*  305632 */     GIR_EraseRootFromParent_Done,
     /*  305633 */   // Label 5935: @305633
     /*  305633 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(305708), // Rule ID 7267 //
     /*  305638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  305649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  305652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  305655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305684 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  305684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  305687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305706 */     GIR_RootConstrainSelectedInstOperands,
     /*  305707 */     // GIR_Coverage, 7267,
     /*  305707 */     GIR_EraseRootFromParent_Done,
     /*  305708 */   // Label 5936: @305708
     /*  305708 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(305783), // Rule ID 7270 //
     /*  305713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305748 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305759 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305781 */     GIR_RootConstrainSelectedInstOperands,
     /*  305782 */     // GIR_Coverage, 7270,
     /*  305782 */     GIR_EraseRootFromParent_Done,
     /*  305783 */   // Label 5937: @305783
     /*  305783 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(305858), // Rule ID 7271 //
     /*  305788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  305799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  305802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  305805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305823 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  305837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305856 */     GIR_RootConstrainSelectedInstOperands,
     /*  305857 */     // GIR_Coverage, 7271,
     /*  305857 */     GIR_EraseRootFromParent_Done,
     /*  305858 */   // Label 5938: @305858
     /*  305858 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(305933), // Rule ID 7274 //
     /*  305863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  305886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305898 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  305909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  305931 */     GIR_RootConstrainSelectedInstOperands,
     /*  305932 */     // GIR_Coverage, 7274,
     /*  305932 */     GIR_EraseRootFromParent_Done,
     /*  305933 */   // Label 5939: @305933
     /*  305933 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(306008), // Rule ID 7275 //
     /*  305938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  305946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  305949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  305952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  305955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  305961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305973 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  305977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  305984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  305987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  305991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306006 */     GIR_RootConstrainSelectedInstOperands,
     /*  306007 */     // GIR_Coverage, 7275,
     /*  306007 */     GIR_EraseRootFromParent_Done,
     /*  306008 */   // Label 5940: @306008
     /*  306008 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(306083), // Rule ID 7278 //
     /*  306013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  306024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306048 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306081 */     GIR_RootConstrainSelectedInstOperands,
     /*  306082 */     // GIR_Coverage, 7278,
     /*  306082 */     GIR_EraseRootFromParent_Done,
     /*  306083 */   // Label 5941: @306083
     /*  306083 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(306158), // Rule ID 7279 //
     /*  306088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  306099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306123 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306134 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  306134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306156 */     GIR_RootConstrainSelectedInstOperands,
     /*  306157 */     // GIR_Coverage, 7279,
     /*  306157 */     GIR_EraseRootFromParent_Done,
     /*  306158 */   // Label 5942: @306158
     /*  306158 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(306233), // Rule ID 7282 //
     /*  306163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  306174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306198 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306209 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  306212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306231 */     GIR_RootConstrainSelectedInstOperands,
     /*  306232 */     // GIR_Coverage, 7282,
     /*  306232 */     GIR_EraseRootFromParent_Done,
     /*  306233 */   // Label 5943: @306233
     /*  306233 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(306308), // Rule ID 7283 //
     /*  306238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  306249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  306287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306306 */     GIR_RootConstrainSelectedInstOperands,
     /*  306307 */     // GIR_Coverage, 7283,
     /*  306307 */     GIR_EraseRootFromParent_Done,
     /*  306308 */   // Label 5944: @306308
     /*  306308 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(306383), // Rule ID 7286 //
     /*  306313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  306324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306348 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  306362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306381 */     GIR_RootConstrainSelectedInstOperands,
     /*  306382 */     // GIR_Coverage, 7286,
     /*  306382 */     GIR_EraseRootFromParent_Done,
     /*  306383 */   // Label 5945: @306383
     /*  306383 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(306458), // Rule ID 7287 //
     /*  306388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  306399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306423 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  306437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306456 */     GIR_RootConstrainSelectedInstOperands,
     /*  306457 */     // GIR_Coverage, 7287,
     /*  306457 */     GIR_EraseRootFromParent_Done,
     /*  306458 */   // Label 5946: @306458
     /*  306458 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(306533), // Rule ID 7290 //
     /*  306463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  306474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306498 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  306509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306531 */     GIR_RootConstrainSelectedInstOperands,
     /*  306532 */     // GIR_Coverage, 7290,
     /*  306532 */     GIR_EraseRootFromParent_Done,
     /*  306533 */   // Label 5947: @306533
     /*  306533 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(306608), // Rule ID 7291 //
     /*  306538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  306546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  306549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  306552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  306555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306573 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  306577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  306584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  306587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306606 */     GIR_RootConstrainSelectedInstOperands,
     /*  306607 */     // GIR_Coverage, 7291,
     /*  306607 */     GIR_EraseRootFromParent_Done,
     /*  306608 */   // Label 5948: @306608
     /*  306608 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(306685), // Rule ID 2604 //
     /*  306613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  306616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306645 */     // MIs[0] Operand 4
     /*  306645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306663 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  306666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306683 */     GIR_RootConstrainSelectedInstOperands,
     /*  306684 */     // GIR_Coverage, 2604,
     /*  306684 */     GIR_EraseRootFromParent_Done,
     /*  306685 */   // Label 5949: @306685
     /*  306685 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(306762), // Rule ID 2605 //
     /*  306690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  306693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  306701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  306704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  306707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306722 */     // MIs[0] Operand 4
     /*  306722 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306740 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  306743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306760 */     GIR_RootConstrainSelectedInstOperands,
     /*  306761 */     // GIR_Coverage, 2605,
     /*  306761 */     GIR_EraseRootFromParent_Done,
     /*  306762 */   // Label 5950: @306762
     /*  306762 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(306839), // Rule ID 20488 //
     /*  306767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  306770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306799 */     // MIs[0] Operand 4
     /*  306799 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  306817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306837 */     GIR_RootConstrainSelectedInstOperands,
     /*  306838 */     // GIR_Coverage, 20488,
     /*  306838 */     GIR_EraseRootFromParent_Done,
     /*  306839 */   // Label 5951: @306839
     /*  306839 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(306916), // Rule ID 20489 //
     /*  306844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  306847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  306855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  306858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  306861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  306864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306876 */     // MIs[0] Operand 4
     /*  306876 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  306894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306914 */     GIR_RootConstrainSelectedInstOperands,
     /*  306915 */     // GIR_Coverage, 20489,
     /*  306915 */     GIR_EraseRootFromParent_Done,
     /*  306916 */   // Label 5952: @306916
     /*  306916 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(306993), // Rule ID 20492 //
     /*  306921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  306924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  306929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  306932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  306935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  306938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  306941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306953 */     // MIs[0] Operand 4
     /*  306953 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  306964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  306971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  306974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  306978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  306980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  306991 */     GIR_RootConstrainSelectedInstOperands,
     /*  306992 */     // GIR_Coverage, 20492,
     /*  306992 */     GIR_EraseRootFromParent_Done,
     /*  306993 */   // Label 5953: @306993
     /*  306993 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(307070), // Rule ID 20493 //
     /*  306998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  307001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  307009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307030 */     // MIs[0] Operand 4
     /*  307030 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  307051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307068 */     GIR_RootConstrainSelectedInstOperands,
     /*  307069 */     // GIR_Coverage, 20493,
     /*  307069 */     GIR_EraseRootFromParent_Done,
     /*  307070 */   // Label 5954: @307070
     /*  307070 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(307147), // Rule ID 20496 //
     /*  307075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  307086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307107 */     // MIs[0] Operand 4
     /*  307107 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307145 */     GIR_RootConstrainSelectedInstOperands,
     /*  307146 */     // GIR_Coverage, 20496,
     /*  307146 */     GIR_EraseRootFromParent_Done,
     /*  307147 */   // Label 5955: @307147
     /*  307147 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(307224), // Rule ID 20497 //
     /*  307152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  307163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  307166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  307169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307184 */     // MIs[0] Operand 4
     /*  307184 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307222 */     GIR_RootConstrainSelectedInstOperands,
     /*  307223 */     // GIR_Coverage, 20497,
     /*  307223 */     GIR_EraseRootFromParent_Done,
     /*  307224 */   // Label 5956: @307224
     /*  307224 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(307301), // Rule ID 20500 //
     /*  307229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  307232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  307240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307261 */     // MIs[0] Operand 4
     /*  307261 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307279 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  307279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307299 */     GIR_RootConstrainSelectedInstOperands,
     /*  307300 */     // GIR_Coverage, 20500,
     /*  307300 */     GIR_EraseRootFromParent_Done,
     /*  307301 */   // Label 5957: @307301
     /*  307301 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(307378), // Rule ID 20501 //
     /*  307306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  307309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  307317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  307320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  307323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307338 */     // MIs[0] Operand 4
     /*  307338 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  307356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307376 */     GIR_RootConstrainSelectedInstOperands,
     /*  307377 */     // GIR_Coverage, 20501,
     /*  307377 */     GIR_EraseRootFromParent_Done,
     /*  307378 */   // Label 5958: @307378
     /*  307378 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(307455), // Rule ID 20504 //
     /*  307383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  307386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  307394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307415 */     // MIs[0] Operand 4
     /*  307415 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  307433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307453 */     GIR_RootConstrainSelectedInstOperands,
     /*  307454 */     // GIR_Coverage, 20504,
     /*  307454 */     GIR_EraseRootFromParent_Done,
     /*  307455 */   // Label 5959: @307455
     /*  307455 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(307532), // Rule ID 20505 //
     /*  307460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  307463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  307471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  307474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  307477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307492 */     // MIs[0] Operand 4
     /*  307492 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  307510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  307513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307530 */     GIR_RootConstrainSelectedInstOperands,
     /*  307531 */     // GIR_Coverage, 20505,
     /*  307531 */     GIR_EraseRootFromParent_Done,
     /*  307532 */   // Label 5960: @307532
     /*  307532 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(307609), // Rule ID 20508 //
     /*  307537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307569 */     // MIs[0] Operand 4
     /*  307569 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307607 */     GIR_RootConstrainSelectedInstOperands,
     /*  307608 */     // GIR_Coverage, 20508,
     /*  307608 */     GIR_EraseRootFromParent_Done,
     /*  307609 */   // Label 5961: @307609
     /*  307609 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(307686), // Rule ID 20509 //
     /*  307614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  307625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  307628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  307631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  307646 */     // MIs[0] Operand 4
     /*  307646 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  307667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307684 */     GIR_RootConstrainSelectedInstOperands,
     /*  307685 */     // GIR_Coverage, 20509,
     /*  307685 */     GIR_EraseRootFromParent_Done,
     /*  307686 */   // Label 5962: @307686
     /*  307686 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(307763), // Rule ID 20512 //
     /*  307691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307723 */     // MIs[0] Operand 4
     /*  307723 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307741 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307761 */     GIR_RootConstrainSelectedInstOperands,
     /*  307762 */     // GIR_Coverage, 20512,
     /*  307762 */     GIR_EraseRootFromParent_Done,
     /*  307763 */   // Label 5963: @307763
     /*  307763 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(307840), // Rule ID 20513 //
     /*  307768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  307779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  307782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  307785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  307800 */     // MIs[0] Operand 4
     /*  307800 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  307821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307838 */     GIR_RootConstrainSelectedInstOperands,
     /*  307839 */     // GIR_Coverage, 20513,
     /*  307839 */     GIR_EraseRootFromParent_Done,
     /*  307840 */   // Label 5964: @307840
     /*  307840 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(307917), // Rule ID 20516 //
     /*  307845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  307848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  307865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307877 */     // MIs[0] Operand 4
     /*  307877 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  307895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307915 */     GIR_RootConstrainSelectedInstOperands,
     /*  307916 */     // GIR_Coverage, 20516,
     /*  307916 */     GIR_EraseRootFromParent_Done,
     /*  307917 */   // Label 5965: @307917
     /*  307917 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(307994), // Rule ID 20517 //
     /*  307922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  307925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  307930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  307933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  307936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  307939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  307942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307954 */     // MIs[0] Operand 4
     /*  307954 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  307965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307972 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  307972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  307975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  307979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  307981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  307992 */     GIR_RootConstrainSelectedInstOperands,
     /*  307993 */     // GIR_Coverage, 20517,
     /*  307993 */     GIR_EraseRootFromParent_Done,
     /*  307994 */   // Label 5966: @307994
     /*  307994 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(308071), // Rule ID 20520 //
     /*  307999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  308002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  308010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308031 */     // MIs[0] Operand 4
     /*  308031 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308069 */     GIR_RootConstrainSelectedInstOperands,
     /*  308070 */     // GIR_Coverage, 20520,
     /*  308070 */     GIR_EraseRootFromParent_Done,
     /*  308071 */   // Label 5967: @308071
     /*  308071 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(308148), // Rule ID 20521 //
     /*  308076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  308079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  308087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  308090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  308093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308108 */     // MIs[0] Operand 4
     /*  308108 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308146 */     GIR_RootConstrainSelectedInstOperands,
     /*  308147 */     // GIR_Coverage, 20521,
     /*  308147 */     GIR_EraseRootFromParent_Done,
     /*  308148 */   // Label 5968: @308148
     /*  308148 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(308225), // Rule ID 20524 //
     /*  308153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  308156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  308164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308185 */     // MIs[0] Operand 4
     /*  308185 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308223 */     GIR_RootConstrainSelectedInstOperands,
     /*  308224 */     // GIR_Coverage, 20524,
     /*  308224 */     GIR_EraseRootFromParent_Done,
     /*  308225 */   // Label 5969: @308225
     /*  308225 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(308302), // Rule ID 20525 //
     /*  308230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  308233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  308241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  308244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  308247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308262 */     // MIs[0] Operand 4
     /*  308262 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308300 */     GIR_RootConstrainSelectedInstOperands,
     /*  308301 */     // GIR_Coverage, 20525,
     /*  308301 */     GIR_EraseRootFromParent_Done,
     /*  308302 */   // Label 5970: @308302
     /*  308302 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(308379), // Rule ID 20528 //
     /*  308307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  308310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  308318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308339 */     // MIs[0] Operand 4
     /*  308339 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  308357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308377 */     GIR_RootConstrainSelectedInstOperands,
     /*  308378 */     // GIR_Coverage, 20528,
     /*  308378 */     GIR_EraseRootFromParent_Done,
     /*  308379 */   // Label 5971: @308379
     /*  308379 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(308456), // Rule ID 20529 //
     /*  308384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  308387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  308395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  308398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  308401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308416 */     // MIs[0] Operand 4
     /*  308416 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  308434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308454 */     GIR_RootConstrainSelectedInstOperands,
     /*  308455 */     // GIR_Coverage, 20529,
     /*  308455 */     GIR_EraseRootFromParent_Done,
     /*  308456 */   // Label 5972: @308456
     /*  308456 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(308533), // Rule ID 20532 //
     /*  308461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  308464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  308472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308493 */     // MIs[0] Operand 4
     /*  308493 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308531 */     GIR_RootConstrainSelectedInstOperands,
     /*  308532 */     // GIR_Coverage, 20532,
     /*  308532 */     GIR_EraseRootFromParent_Done,
     /*  308533 */   // Label 5973: @308533
     /*  308533 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(308610), // Rule ID 20533 //
     /*  308538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  308549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  308552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  308555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308570 */     // MIs[0] Operand 4
     /*  308570 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308588 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  308591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308608 */     GIR_RootConstrainSelectedInstOperands,
     /*  308609 */     // GIR_Coverage, 20533,
     /*  308609 */     GIR_EraseRootFromParent_Done,
     /*  308610 */   // Label 5974: @308610
     /*  308610 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(308687), // Rule ID 20536 //
     /*  308615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  308618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308647 */     // MIs[0] Operand 4
     /*  308647 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308665 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308685 */     GIR_RootConstrainSelectedInstOperands,
     /*  308686 */     // GIR_Coverage, 20536,
     /*  308686 */     GIR_EraseRootFromParent_Done,
     /*  308687 */   // Label 5975: @308687
     /*  308687 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(308764), // Rule ID 20537 //
     /*  308692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  308703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  308706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  308709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308724 */     // MIs[0] Operand 4
     /*  308724 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308742 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  308745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308762 */     GIR_RootConstrainSelectedInstOperands,
     /*  308763 */     // GIR_Coverage, 20537,
     /*  308763 */     GIR_EraseRootFromParent_Done,
     /*  308764 */   // Label 5976: @308764
     /*  308764 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(308841), // Rule ID 20540 //
     /*  308769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  308772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308801 */     // MIs[0] Operand 4
     /*  308801 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  308819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308839 */     GIR_RootConstrainSelectedInstOperands,
     /*  308840 */     // GIR_Coverage, 20540,
     /*  308840 */     GIR_EraseRootFromParent_Done,
     /*  308841 */   // Label 5977: @308841
     /*  308841 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(308918), // Rule ID 20541 //
     /*  308846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  308849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  308854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  308857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  308860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  308863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  308866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308878 */     // MIs[0] Operand 4
     /*  308878 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308896 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  308896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  308899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308916 */     GIR_RootConstrainSelectedInstOperands,
     /*  308917 */     // GIR_Coverage, 20541,
     /*  308917 */     GIR_EraseRootFromParent_Done,
     /*  308918 */   // Label 5978: @308918
     /*  308918 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(308995), // Rule ID 20544 //
     /*  308923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  308926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  308931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  308934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  308937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  308940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  308943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308955 */     // MIs[0] Operand 4
     /*  308955 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  308966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308973 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  308973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  308976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  308980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  308982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  308993 */     GIR_RootConstrainSelectedInstOperands,
     /*  308994 */     // GIR_Coverage, 20544,
     /*  308994 */     GIR_EraseRootFromParent_Done,
     /*  308995 */   // Label 5979: @308995
     /*  308995 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(309072), // Rule ID 20545 //
     /*  309000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  309011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  309014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  309017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309032 */     // MIs[0] Operand 4
     /*  309032 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  309053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309070 */     GIR_RootConstrainSelectedInstOperands,
     /*  309071 */     // GIR_Coverage, 20545,
     /*  309071 */     GIR_EraseRootFromParent_Done,
     /*  309072 */   // Label 5980: @309072
     /*  309072 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(309149), // Rule ID 20548 //
     /*  309077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309109 */     // MIs[0] Operand 4
     /*  309109 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309127 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  309130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309147 */     GIR_RootConstrainSelectedInstOperands,
     /*  309148 */     // GIR_Coverage, 20548,
     /*  309148 */     GIR_EraseRootFromParent_Done,
     /*  309149 */   // Label 5981: @309149
     /*  309149 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(309226), // Rule ID 20549 //
     /*  309154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  309165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  309168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  309171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309186 */     // MIs[0] Operand 4
     /*  309186 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  309207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309224 */     GIR_RootConstrainSelectedInstOperands,
     /*  309225 */     // GIR_Coverage, 20549,
     /*  309225 */     GIR_EraseRootFromParent_Done,
     /*  309226 */   // Label 5982: @309226
     /*  309226 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(309303), // Rule ID 20552 //
     /*  309231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  309234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309263 */     // MIs[0] Operand 4
     /*  309263 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  309284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309301 */     GIR_RootConstrainSelectedInstOperands,
     /*  309302 */     // GIR_Coverage, 20552,
     /*  309302 */     GIR_EraseRootFromParent_Done,
     /*  309303 */   // Label 5983: @309303
     /*  309303 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(309380), // Rule ID 20553 //
     /*  309308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  309311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  309319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  309322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  309325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309340 */     // MIs[0] Operand 4
     /*  309340 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  309361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309378 */     GIR_RootConstrainSelectedInstOperands,
     /*  309379 */     // GIR_Coverage, 20553,
     /*  309379 */     GIR_EraseRootFromParent_Done,
     /*  309380 */   // Label 5984: @309380
     /*  309380 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(309457), // Rule ID 20556 //
     /*  309385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309417 */     // MIs[0] Operand 4
     /*  309417 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309455 */     GIR_RootConstrainSelectedInstOperands,
     /*  309456 */     // GIR_Coverage, 20556,
     /*  309456 */     GIR_EraseRootFromParent_Done,
     /*  309457 */   // Label 5985: @309457
     /*  309457 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(309534), // Rule ID 20557 //
     /*  309462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  309473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  309476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  309479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309494 */     // MIs[0] Operand 4
     /*  309494 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309532 */     GIR_RootConstrainSelectedInstOperands,
     /*  309533 */     // GIR_Coverage, 20557,
     /*  309533 */     GIR_EraseRootFromParent_Done,
     /*  309534 */   // Label 5986: @309534
     /*  309534 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(309611), // Rule ID 20560 //
     /*  309539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  309542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309571 */     // MIs[0] Operand 4
     /*  309571 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  309589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309609 */     GIR_RootConstrainSelectedInstOperands,
     /*  309610 */     // GIR_Coverage, 20560,
     /*  309610 */     GIR_EraseRootFromParent_Done,
     /*  309611 */   // Label 5987: @309611
     /*  309611 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(309688), // Rule ID 20561 //
     /*  309616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  309619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  309627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  309630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  309633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309648 */     // MIs[0] Operand 4
     /*  309648 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  309666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309686 */     GIR_RootConstrainSelectedInstOperands,
     /*  309687 */     // GIR_Coverage, 20561,
     /*  309687 */     GIR_EraseRootFromParent_Done,
     /*  309688 */   // Label 5988: @309688
     /*  309688 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(309765), // Rule ID 20564 //
     /*  309693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  309696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309725 */     // MIs[0] Operand 4
     /*  309725 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309743 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  309743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309763 */     GIR_RootConstrainSelectedInstOperands,
     /*  309764 */     // GIR_Coverage, 20564,
     /*  309764 */     GIR_EraseRootFromParent_Done,
     /*  309765 */   // Label 5989: @309765
     /*  309765 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(309842), // Rule ID 20565 //
     /*  309770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  309773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  309781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  309784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  309787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309802 */     // MIs[0] Operand 4
     /*  309802 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309820 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  309820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  309823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309840 */     GIR_RootConstrainSelectedInstOperands,
     /*  309841 */     // GIR_Coverage, 20565,
     /*  309841 */     GIR_EraseRootFromParent_Done,
     /*  309842 */   // Label 5990: @309842
     /*  309842 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(309919), // Rule ID 20568 //
     /*  309847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  309850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  309867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309879 */     // MIs[0] Operand 4
     /*  309879 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  309897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309917 */     GIR_RootConstrainSelectedInstOperands,
     /*  309918 */     // GIR_Coverage, 20568,
     /*  309918 */     GIR_EraseRootFromParent_Done,
     /*  309919 */   // Label 5991: @309919
     /*  309919 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(309996), // Rule ID 20569 //
     /*  309924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  309927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  309932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  309935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  309938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  309941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  309944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309956 */     // MIs[0] Operand 4
     /*  309956 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  309967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309974 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  309974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  309977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  309981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  309983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  309994 */     GIR_RootConstrainSelectedInstOperands,
     /*  309995 */     // GIR_Coverage, 20569,
     /*  309995 */     GIR_EraseRootFromParent_Done,
     /*  309996 */   // Label 5992: @309996
     /*  309996 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(310073), // Rule ID 20572 //
     /*  310001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  310004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310033 */     // MIs[0] Operand 4
     /*  310033 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310071 */     GIR_RootConstrainSelectedInstOperands,
     /*  310072 */     // GIR_Coverage, 20572,
     /*  310072 */     GIR_EraseRootFromParent_Done,
     /*  310073 */   // Label 5993: @310073
     /*  310073 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(310150), // Rule ID 20573 //
     /*  310078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  310081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  310089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  310092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  310095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310110 */     // MIs[0] Operand 4
     /*  310110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310148 */     GIR_RootConstrainSelectedInstOperands,
     /*  310149 */     // GIR_Coverage, 20573,
     /*  310149 */     GIR_EraseRootFromParent_Done,
     /*  310150 */   // Label 5994: @310150
     /*  310150 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(310227), // Rule ID 20576 //
     /*  310155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  310158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310187 */     // MIs[0] Operand 4
     /*  310187 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310205 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  310205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310225 */     GIR_RootConstrainSelectedInstOperands,
     /*  310226 */     // GIR_Coverage, 20576,
     /*  310226 */     GIR_EraseRootFromParent_Done,
     /*  310227 */   // Label 5995: @310227
     /*  310227 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(310304), // Rule ID 20577 //
     /*  310232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  310235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  310243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  310246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  310249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310264 */     // MIs[0] Operand 4
     /*  310264 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310282 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  310282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310302 */     GIR_RootConstrainSelectedInstOperands,
     /*  310303 */     // GIR_Coverage, 20577,
     /*  310303 */     GIR_EraseRootFromParent_Done,
     /*  310304 */   // Label 5996: @310304
     /*  310304 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(310381), // Rule ID 20580 //
     /*  310309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  310312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310341 */     // MIs[0] Operand 4
     /*  310341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310359 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310379 */     GIR_RootConstrainSelectedInstOperands,
     /*  310380 */     // GIR_Coverage, 20580,
     /*  310380 */     GIR_EraseRootFromParent_Done,
     /*  310381 */   // Label 5997: @310381
     /*  310381 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(310458), // Rule ID 20581 //
     /*  310386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  310389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  310397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  310400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  310403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310418 */     // MIs[0] Operand 4
     /*  310418 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310456 */     GIR_RootConstrainSelectedInstOperands,
     /*  310457 */     // GIR_Coverage, 20581,
     /*  310457 */     GIR_EraseRootFromParent_Done,
     /*  310458 */   // Label 5998: @310458
     /*  310458 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(310535), // Rule ID 20584 //
     /*  310463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  310466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310495 */     // MIs[0] Operand 4
     /*  310495 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310533 */     GIR_RootConstrainSelectedInstOperands,
     /*  310534 */     // GIR_Coverage, 20584,
     /*  310534 */     GIR_EraseRootFromParent_Done,
     /*  310535 */   // Label 5999: @310535
     /*  310535 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(310612), // Rule ID 20585 //
     /*  310540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  310543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  310551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  310554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  310557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310572 */     // MIs[0] Operand 4
     /*  310572 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310610 */     GIR_RootConstrainSelectedInstOperands,
     /*  310611 */     // GIR_Coverage, 20585,
     /*  310611 */     GIR_EraseRootFromParent_Done,
     /*  310612 */   // Label 6000: @310612
     /*  310612 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(310689), // Rule ID 20588 //
     /*  310617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  310620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310649 */     // MIs[0] Operand 4
     /*  310649 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310667 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  310667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310687 */     GIR_RootConstrainSelectedInstOperands,
     /*  310688 */     // GIR_Coverage, 20588,
     /*  310688 */     GIR_EraseRootFromParent_Done,
     /*  310689 */   // Label 6001: @310689
     /*  310689 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(310766), // Rule ID 20589 //
     /*  310694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  310697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  310705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  310708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  310711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  310726 */     // MIs[0] Operand 4
     /*  310726 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  310744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  310747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310764 */     GIR_RootConstrainSelectedInstOperands,
     /*  310765 */     // GIR_Coverage, 20589,
     /*  310765 */     GIR_EraseRootFromParent_Done,
     /*  310766 */   // Label 6002: @310766
     /*  310766 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(310843), // Rule ID 20592 //
     /*  310771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  310774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310803 */     // MIs[0] Operand 4
     /*  310803 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310841 */     GIR_RootConstrainSelectedInstOperands,
     /*  310842 */     // GIR_Coverage, 20592,
     /*  310842 */     GIR_EraseRootFromParent_Done,
     /*  310843 */   // Label 6003: @310843
     /*  310843 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(310920), // Rule ID 20593 //
     /*  310848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  310851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  310859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  310862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  310865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  310868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  310880 */     // MIs[0] Operand 4
     /*  310880 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  310898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  310901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310918 */     GIR_RootConstrainSelectedInstOperands,
     /*  310919 */     // GIR_Coverage, 20593,
     /*  310919 */     GIR_EraseRootFromParent_Done,
     /*  310920 */   // Label 6004: @310920
     /*  310920 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(310997), // Rule ID 20596 //
     /*  310925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  310928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  310933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  310936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  310939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  310942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  310945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  310957 */     // MIs[0] Operand 4
     /*  310957 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  310968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310975 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  310975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  310978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  310982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  310984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  310992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  310995 */     GIR_RootConstrainSelectedInstOperands,
     /*  310996 */     // GIR_Coverage, 20596,
     /*  310996 */     GIR_EraseRootFromParent_Done,
     /*  310997 */   // Label 6005: @310997
     /*  310997 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(311074), // Rule ID 20597 //
     /*  311002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  311005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  311010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  311013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  311016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  311019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311034 */     // MIs[0] Operand 4
     /*  311034 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  311055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311072 */     GIR_RootConstrainSelectedInstOperands,
     /*  311073 */     // GIR_Coverage, 20597,
     /*  311073 */     GIR_EraseRootFromParent_Done,
     /*  311074 */   // Label 6006: @311074
     /*  311074 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(311151), // Rule ID 20600 //
     /*  311079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  311082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  311087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311111 */     // MIs[0] Operand 4
     /*  311111 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311129 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  311129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  311132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311149 */     GIR_RootConstrainSelectedInstOperands,
     /*  311150 */     // GIR_Coverage, 20600,
     /*  311150 */     GIR_EraseRootFromParent_Done,
     /*  311151 */   // Label 6007: @311151
     /*  311151 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(311228), // Rule ID 20601 //
     /*  311156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  311159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  311164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  311167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  311170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  311173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311188 */     // MIs[0] Operand 4
     /*  311188 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311206 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  311206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  311209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311226 */     GIR_RootConstrainSelectedInstOperands,
     /*  311227 */     // GIR_Coverage, 20601,
     /*  311227 */     GIR_EraseRootFromParent_Done,
     /*  311228 */   // Label 6008: @311228
     /*  311228 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(311305), // Rule ID 20960 //
     /*  311233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  311250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311265 */     // MIs[0] Operand 4
     /*  311265 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311283 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  311286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311303 */     GIR_RootConstrainSelectedInstOperands,
     /*  311304 */     // GIR_Coverage, 20960,
     /*  311304 */     GIR_EraseRootFromParent_Done,
     /*  311305 */   // Label 6009: @311305
     /*  311305 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(311382), // Rule ID 20961 //
     /*  311310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  311321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  311324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  311327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311342 */     // MIs[0] Operand 4
     /*  311342 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  311363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311380 */     GIR_RootConstrainSelectedInstOperands,
     /*  311381 */     // GIR_Coverage, 20961,
     /*  311381 */     GIR_EraseRootFromParent_Done,
     /*  311382 */   // Label 6010: @311382
     /*  311382 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(311459), // Rule ID 20964 //
     /*  311387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311419 */     // MIs[0] Operand 4
     /*  311419 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311437 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  311440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311457 */     GIR_RootConstrainSelectedInstOperands,
     /*  311458 */     // GIR_Coverage, 20964,
     /*  311458 */     GIR_EraseRootFromParent_Done,
     /*  311459 */   // Label 6011: @311459
     /*  311459 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(311536), // Rule ID 20965 //
     /*  311464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  311475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  311478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  311481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311496 */     // MIs[0] Operand 4
     /*  311496 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311514 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  311517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311534 */     GIR_RootConstrainSelectedInstOperands,
     /*  311535 */     // GIR_Coverage, 20965,
     /*  311535 */     GIR_EraseRootFromParent_Done,
     /*  311536 */   // Label 6012: @311536
     /*  311536 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(311613), // Rule ID 20968 //
     /*  311541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311573 */     // MIs[0] Operand 4
     /*  311573 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311611 */     GIR_RootConstrainSelectedInstOperands,
     /*  311612 */     // GIR_Coverage, 20968,
     /*  311612 */     GIR_EraseRootFromParent_Done,
     /*  311613 */   // Label 6013: @311613
     /*  311613 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(311690), // Rule ID 20969 //
     /*  311618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  311629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  311635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311650 */     // MIs[0] Operand 4
     /*  311650 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  311671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311688 */     GIR_RootConstrainSelectedInstOperands,
     /*  311689 */     // GIR_Coverage, 20969,
     /*  311689 */     GIR_EraseRootFromParent_Done,
     /*  311690 */   // Label 6014: @311690
     /*  311690 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(311767), // Rule ID 20972 //
     /*  311695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311727 */     // MIs[0] Operand 4
     /*  311727 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311745 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311765 */     GIR_RootConstrainSelectedInstOperands,
     /*  311766 */     // GIR_Coverage, 20972,
     /*  311766 */     GIR_EraseRootFromParent_Done,
     /*  311767 */   // Label 6015: @311767
     /*  311767 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(311844), // Rule ID 20973 //
     /*  311772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  311783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  311786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311804 */     // MIs[0] Operand 4
     /*  311804 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  311825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311842 */     GIR_RootConstrainSelectedInstOperands,
     /*  311843 */     // GIR_Coverage, 20973,
     /*  311843 */     GIR_EraseRootFromParent_Done,
     /*  311844 */   // Label 6016: @311844
     /*  311844 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(311921), // Rule ID 20976 //
     /*  311849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  311852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  311869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311881 */     // MIs[0] Operand 4
     /*  311881 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  311899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  311902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311919 */     GIR_RootConstrainSelectedInstOperands,
     /*  311920 */     // GIR_Coverage, 20976,
     /*  311920 */     GIR_EraseRootFromParent_Done,
     /*  311921 */   // Label 6017: @311921
     /*  311921 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(311998), // Rule ID 20977 //
     /*  311926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  311929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  311934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  311937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  311940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  311946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311958 */     // MIs[0] Operand 4
     /*  311958 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  311969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  311976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  311979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  311983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  311985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  311996 */     GIR_RootConstrainSelectedInstOperands,
     /*  311997 */     // GIR_Coverage, 20977,
     /*  311997 */     GIR_EraseRootFromParent_Done,
     /*  311998 */   // Label 6018: @311998
     /*  311998 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(312075), // Rule ID 20980 //
     /*  312003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  312006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312035 */     // MIs[0] Operand 4
     /*  312035 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  312056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312073 */     GIR_RootConstrainSelectedInstOperands,
     /*  312074 */     // GIR_Coverage, 20980,
     /*  312074 */     GIR_EraseRootFromParent_Done,
     /*  312075 */   // Label 6019: @312075
     /*  312075 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(312152), // Rule ID 20981 //
     /*  312080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  312091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  312094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  312097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312112 */     // MIs[0] Operand 4
     /*  312112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  312133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312150 */     GIR_RootConstrainSelectedInstOperands,
     /*  312151 */     // GIR_Coverage, 20981,
     /*  312151 */     GIR_EraseRootFromParent_Done,
     /*  312152 */   // Label 6020: @312152
     /*  312152 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(312229), // Rule ID 20984 //
     /*  312157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  312160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312189 */     // MIs[0] Operand 4
     /*  312189 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312207 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  312210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312227 */     GIR_RootConstrainSelectedInstOperands,
     /*  312228 */     // GIR_Coverage, 20984,
     /*  312228 */     GIR_EraseRootFromParent_Done,
     /*  312229 */   // Label 6021: @312229
     /*  312229 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(312306), // Rule ID 20985 //
     /*  312234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  312245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  312251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312266 */     // MIs[0] Operand 4
     /*  312266 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  312287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312304 */     GIR_RootConstrainSelectedInstOperands,
     /*  312305 */     // GIR_Coverage, 20985,
     /*  312305 */     GIR_EraseRootFromParent_Done,
     /*  312306 */   // Label 6022: @312306
     /*  312306 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(312383), // Rule ID 20988 //
     /*  312311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  312314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312343 */     // MIs[0] Operand 4
     /*  312343 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  312364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312381 */     GIR_RootConstrainSelectedInstOperands,
     /*  312382 */     // GIR_Coverage, 20988,
     /*  312382 */     GIR_EraseRootFromParent_Done,
     /*  312383 */   // Label 6023: @312383
     /*  312383 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(312460), // Rule ID 20989 //
     /*  312388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  312399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312420 */     // MIs[0] Operand 4
     /*  312420 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312438 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  312441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312458 */     GIR_RootConstrainSelectedInstOperands,
     /*  312459 */     // GIR_Coverage, 20989,
     /*  312459 */     GIR_EraseRootFromParent_Done,
     /*  312460 */   // Label 6024: @312460
     /*  312460 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(312537), // Rule ID 20992 //
     /*  312465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  312468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312497 */     // MIs[0] Operand 4
     /*  312497 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  312515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  312518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312535 */     GIR_RootConstrainSelectedInstOperands,
     /*  312536 */     // GIR_Coverage, 20992,
     /*  312536 */     GIR_EraseRootFromParent_Done,
     /*  312537 */   // Label 6025: @312537
     /*  312537 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(312614), // Rule ID 20993 //
     /*  312542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  312545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  312550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  312553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312574 */     // MIs[0] Operand 4
     /*  312574 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312592 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  312592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  312595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312612 */     GIR_RootConstrainSelectedInstOperands,
     /*  312613 */     // GIR_Coverage, 20993,
     /*  312613 */     GIR_EraseRootFromParent_Done,
     /*  312614 */   // Label 6026: @312614
     /*  312614 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(312691), // Rule ID 20996 //
     /*  312619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312651 */     // MIs[0] Operand 4
     /*  312651 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312669 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  312672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312689 */     GIR_RootConstrainSelectedInstOperands,
     /*  312690 */     // GIR_Coverage, 20996,
     /*  312690 */     GIR_EraseRootFromParent_Done,
     /*  312691 */   // Label 6027: @312691
     /*  312691 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(312768), // Rule ID 20997 //
     /*  312696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  312707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  312710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  312713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312728 */     // MIs[0] Operand 4
     /*  312728 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  312749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312766 */     GIR_RootConstrainSelectedInstOperands,
     /*  312767 */     // GIR_Coverage, 20997,
     /*  312767 */     GIR_EraseRootFromParent_Done,
     /*  312768 */   // Label 6028: @312768
     /*  312768 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(312845), // Rule ID 21000 //
     /*  312773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312805 */     // MIs[0] Operand 4
     /*  312805 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  312826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312843 */     GIR_RootConstrainSelectedInstOperands,
     /*  312844 */     // GIR_Coverage, 21000,
     /*  312844 */     GIR_EraseRootFromParent_Done,
     /*  312845 */   // Label 6029: @312845
     /*  312845 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(312922), // Rule ID 21001 //
     /*  312850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  312853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  312861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  312864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  312867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  312870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312882 */     // MIs[0] Operand 4
     /*  312882 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312900 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  312900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  312903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312920 */     GIR_RootConstrainSelectedInstOperands,
     /*  312921 */     // GIR_Coverage, 21001,
     /*  312921 */     GIR_EraseRootFromParent_Done,
     /*  312922 */   // Label 6030: @312922
     /*  312922 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(312999), // Rule ID 21004 //
     /*  312927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  312930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  312935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  312938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  312941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  312944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  312947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312959 */     // MIs[0] Operand 4
     /*  312959 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  312970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  312977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  312980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  312986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  312994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312997 */     GIR_RootConstrainSelectedInstOperands,
     /*  312998 */     // GIR_Coverage, 21004,
     /*  312998 */     GIR_EraseRootFromParent_Done,
     /*  312999 */   // Label 6031: @312999
     /*  312999 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(313076), // Rule ID 21005 //
     /*  313004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  313015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  313018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313036 */     // MIs[0] Operand 4
     /*  313036 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313054 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  313057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313074 */     GIR_RootConstrainSelectedInstOperands,
     /*  313075 */     // GIR_Coverage, 21005,
     /*  313075 */     GIR_EraseRootFromParent_Done,
     /*  313076 */   // Label 6032: @313076
     /*  313076 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(313153), // Rule ID 21008 //
     /*  313081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313113 */     // MIs[0] Operand 4
     /*  313113 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313151 */     GIR_RootConstrainSelectedInstOperands,
     /*  313152 */     // GIR_Coverage, 21008,
     /*  313152 */     GIR_EraseRootFromParent_Done,
     /*  313153 */   // Label 6033: @313153
     /*  313153 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(313230), // Rule ID 21009 //
     /*  313158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  313169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  313172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  313175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313190 */     // MIs[0] Operand 4
     /*  313190 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313208 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313228 */     GIR_RootConstrainSelectedInstOperands,
     /*  313229 */     // GIR_Coverage, 21009,
     /*  313229 */     GIR_EraseRootFromParent_Done,
     /*  313230 */   // Label 6034: @313230
     /*  313230 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(313307), // Rule ID 21012 //
     /*  313235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  313238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313267 */     // MIs[0] Operand 4
     /*  313267 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313285 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313305 */     GIR_RootConstrainSelectedInstOperands,
     /*  313306 */     // GIR_Coverage, 21012,
     /*  313306 */     GIR_EraseRootFromParent_Done,
     /*  313307 */   // Label 6035: @313307
     /*  313307 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(313384), // Rule ID 21013 //
     /*  313312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  313315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  313323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  313326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  313329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313344 */     // MIs[0] Operand 4
     /*  313344 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313382 */     GIR_RootConstrainSelectedInstOperands,
     /*  313383 */     // GIR_Coverage, 21013,
     /*  313383 */     GIR_EraseRootFromParent_Done,
     /*  313384 */   // Label 6036: @313384
     /*  313384 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(313461), // Rule ID 21016 //
     /*  313389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313421 */     // MIs[0] Operand 4
     /*  313421 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  313442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313459 */     GIR_RootConstrainSelectedInstOperands,
     /*  313460 */     // GIR_Coverage, 21016,
     /*  313460 */     GIR_EraseRootFromParent_Done,
     /*  313461 */   // Label 6037: @313461
     /*  313461 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(313538), // Rule ID 21017 //
     /*  313466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313498 */     // MIs[0] Operand 4
     /*  313498 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  313519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313536 */     GIR_RootConstrainSelectedInstOperands,
     /*  313537 */     // GIR_Coverage, 21017,
     /*  313537 */     GIR_EraseRootFromParent_Done,
     /*  313538 */   // Label 6038: @313538
     /*  313538 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(313615), // Rule ID 21020 //
     /*  313543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313575 */     // MIs[0] Operand 4
     /*  313575 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313593 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  313596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313613 */     GIR_RootConstrainSelectedInstOperands,
     /*  313614 */     // GIR_Coverage, 21020,
     /*  313614 */     GIR_EraseRootFromParent_Done,
     /*  313615 */   // Label 6039: @313615
     /*  313615 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(313692), // Rule ID 21021 //
     /*  313620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  313631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  313634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313652 */     // MIs[0] Operand 4
     /*  313652 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313670 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  313673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313690 */     GIR_RootConstrainSelectedInstOperands,
     /*  313691 */     // GIR_Coverage, 21021,
     /*  313691 */     GIR_EraseRootFromParent_Done,
     /*  313692 */   // Label 6040: @313692
     /*  313692 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(313769), // Rule ID 21024 //
     /*  313697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313729 */     // MIs[0] Operand 4
     /*  313729 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313767 */     GIR_RootConstrainSelectedInstOperands,
     /*  313768 */     // GIR_Coverage, 21024,
     /*  313768 */     GIR_EraseRootFromParent_Done,
     /*  313769 */   // Label 6041: @313769
     /*  313769 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(313846), // Rule ID 21025 //
     /*  313774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  313785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  313788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  313791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  313806 */     // MIs[0] Operand 4
     /*  313806 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  313827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313844 */     GIR_RootConstrainSelectedInstOperands,
     /*  313845 */     // GIR_Coverage, 21025,
     /*  313845 */     GIR_EraseRootFromParent_Done,
     /*  313846 */   // Label 6042: @313846
     /*  313846 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(313923), // Rule ID 21028 //
     /*  313851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  313854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  313871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313883 */     // MIs[0] Operand 4
     /*  313883 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313921 */     GIR_RootConstrainSelectedInstOperands,
     /*  313922 */     // GIR_Coverage, 21028,
     /*  313922 */     GIR_EraseRootFromParent_Done,
     /*  313923 */   // Label 6043: @313923
     /*  313923 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(314000), // Rule ID 21029 //
     /*  313928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  313931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  313936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  313939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  313942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  313945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  313948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  313956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  313960 */     // MIs[0] Operand 4
     /*  313960 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  313971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  313981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  313987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313998 */     GIR_RootConstrainSelectedInstOperands,
     /*  313999 */     // GIR_Coverage, 21029,
     /*  313999 */     GIR_EraseRootFromParent_Done,
     /*  314000 */   // Label 6044: @314000
     /*  314000 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(314077), // Rule ID 21332 //
     /*  314005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  314016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  314019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314037 */     // MIs[0] Operand 4
     /*  314037 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314055 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  314058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314075 */     GIR_RootConstrainSelectedInstOperands,
     /*  314076 */     // GIR_Coverage, 21332,
     /*  314076 */     GIR_EraseRootFromParent_Done,
     /*  314077 */   // Label 6045: @314077
     /*  314077 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(314154), // Rule ID 21333 //
     /*  314082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  314093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  314096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  314099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314114 */     // MIs[0] Operand 4
     /*  314114 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  314135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314152 */     GIR_RootConstrainSelectedInstOperands,
     /*  314153 */     // GIR_Coverage, 21333,
     /*  314153 */     GIR_EraseRootFromParent_Done,
     /*  314154 */   // Label 6046: @314154
     /*  314154 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(314231), // Rule ID 21336 //
     /*  314159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  314170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  314173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314191 */     // MIs[0] Operand 4
     /*  314191 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314209 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  314212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314229 */     GIR_RootConstrainSelectedInstOperands,
     /*  314230 */     // GIR_Coverage, 21336,
     /*  314230 */     GIR_EraseRootFromParent_Done,
     /*  314231 */   // Label 6047: @314231
     /*  314231 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(314308), // Rule ID 21337 //
     /*  314236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  314247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  314250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  314253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314268 */     // MIs[0] Operand 4
     /*  314268 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  314289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314306 */     GIR_RootConstrainSelectedInstOperands,
     /*  314307 */     // GIR_Coverage, 21337,
     /*  314307 */     GIR_EraseRootFromParent_Done,
     /*  314308 */   // Label 6048: @314308
     /*  314308 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(314385), // Rule ID 21340 //
     /*  314313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  314324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  314327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314345 */     // MIs[0] Operand 4
     /*  314345 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  314366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314383 */     GIR_RootConstrainSelectedInstOperands,
     /*  314384 */     // GIR_Coverage, 21340,
     /*  314384 */     GIR_EraseRootFromParent_Done,
     /*  314385 */   // Label 6049: @314385
     /*  314385 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(314462), // Rule ID 21341 //
     /*  314390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  314401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  314404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  314407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314422 */     // MIs[0] Operand 4
     /*  314422 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314440 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  314443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314460 */     GIR_RootConstrainSelectedInstOperands,
     /*  314461 */     // GIR_Coverage, 21341,
     /*  314461 */     GIR_EraseRootFromParent_Done,
     /*  314462 */   // Label 6050: @314462
     /*  314462 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(314539), // Rule ID 21344 //
     /*  314467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  314478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  314481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314499 */     // MIs[0] Operand 4
     /*  314499 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314537 */     GIR_RootConstrainSelectedInstOperands,
     /*  314538 */     // GIR_Coverage, 21344,
     /*  314538 */     GIR_EraseRootFromParent_Done,
     /*  314539 */   // Label 6051: @314539
     /*  314539 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(314616), // Rule ID 21345 //
     /*  314544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  314555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  314558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314576 */     // MIs[0] Operand 4
     /*  314576 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  314597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314614 */     GIR_RootConstrainSelectedInstOperands,
     /*  314615 */     // GIR_Coverage, 21345,
     /*  314615 */     GIR_EraseRootFromParent_Done,
     /*  314616 */   // Label 6052: @314616
     /*  314616 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(314693), // Rule ID 21348 //
     /*  314621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314653 */     // MIs[0] Operand 4
     /*  314653 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  314674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314691 */     GIR_RootConstrainSelectedInstOperands,
     /*  314692 */     // GIR_Coverage, 21348,
     /*  314692 */     GIR_EraseRootFromParent_Done,
     /*  314693 */   // Label 6053: @314693
     /*  314693 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(314770), // Rule ID 21349 //
     /*  314698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314730 */     // MIs[0] Operand 4
     /*  314730 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  314751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314768 */     GIR_RootConstrainSelectedInstOperands,
     /*  314769 */     // GIR_Coverage, 21349,
     /*  314769 */     GIR_EraseRootFromParent_Done,
     /*  314770 */   // Label 6054: @314770
     /*  314770 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(314847), // Rule ID 21352 //
     /*  314775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  314778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314807 */     // MIs[0] Operand 4
     /*  314807 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314825 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  314828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314845 */     GIR_RootConstrainSelectedInstOperands,
     /*  314846 */     // GIR_Coverage, 21352,
     /*  314846 */     GIR_EraseRootFromParent_Done,
     /*  314847 */   // Label 6055: @314847
     /*  314847 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(314924), // Rule ID 21353 //
     /*  314852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  314855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  314872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314884 */     // MIs[0] Operand 4
     /*  314884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  314905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314922 */     GIR_RootConstrainSelectedInstOperands,
     /*  314923 */     // GIR_Coverage, 21353,
     /*  314923 */     GIR_EraseRootFromParent_Done,
     /*  314924 */   // Label 6056: @314924
     /*  314924 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(315001), // Rule ID 21356 //
     /*  314929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  314932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  314937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  314940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  314943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  314946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  314949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  314961 */     // MIs[0] Operand 4
     /*  314961 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  314972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  314982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  314988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314999 */     GIR_RootConstrainSelectedInstOperands,
     /*  315000 */     // GIR_Coverage, 21356,
     /*  315000 */     GIR_EraseRootFromParent_Done,
     /*  315001 */   // Label 6057: @315001
     /*  315001 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(315078), // Rule ID 21357 //
     /*  315006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  315017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315038 */     // MIs[0] Operand 4
     /*  315038 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  315059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315076 */     GIR_RootConstrainSelectedInstOperands,
     /*  315077 */     // GIR_Coverage, 21357,
     /*  315077 */     GIR_EraseRootFromParent_Done,
     /*  315078 */   // Label 6058: @315078
     /*  315078 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(315155), // Rule ID 21360 //
     /*  315083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  315086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315115 */     // MIs[0] Operand 4
     /*  315115 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315133 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315153 */     GIR_RootConstrainSelectedInstOperands,
     /*  315154 */     // GIR_Coverage, 21360,
     /*  315154 */     GIR_EraseRootFromParent_Done,
     /*  315155 */   // Label 6059: @315155
     /*  315155 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(315232), // Rule ID 21361 //
     /*  315160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  315177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315192 */     // MIs[0] Operand 4
     /*  315192 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315230 */     GIR_RootConstrainSelectedInstOperands,
     /*  315231 */     // GIR_Coverage, 21361,
     /*  315231 */     GIR_EraseRootFromParent_Done,
     /*  315232 */   // Label 6060: @315232
     /*  315232 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(315309), // Rule ID 21364 //
     /*  315237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  315240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315269 */     // MIs[0] Operand 4
     /*  315269 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315307 */     GIR_RootConstrainSelectedInstOperands,
     /*  315308 */     // GIR_Coverage, 21364,
     /*  315308 */     GIR_EraseRootFromParent_Done,
     /*  315309 */   // Label 6061: @315309
     /*  315309 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(315386), // Rule ID 21365 //
     /*  315314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  315331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315346 */     // MIs[0] Operand 4
     /*  315346 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315364 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315384 */     GIR_RootConstrainSelectedInstOperands,
     /*  315385 */     // GIR_Coverage, 21365,
     /*  315385 */     GIR_EraseRootFromParent_Done,
     /*  315386 */   // Label 6062: @315386
     /*  315386 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(315463), // Rule ID 21368 //
     /*  315391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  315394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315423 */     // MIs[0] Operand 4
     /*  315423 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315441 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  315444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315461 */     GIR_RootConstrainSelectedInstOperands,
     /*  315462 */     // GIR_Coverage, 21368,
     /*  315462 */     GIR_EraseRootFromParent_Done,
     /*  315463 */   // Label 6063: @315463
     /*  315463 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(315540), // Rule ID 21369 //
     /*  315468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  315479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  315482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315500 */     // MIs[0] Operand 4
     /*  315500 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  315521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315538 */     GIR_RootConstrainSelectedInstOperands,
     /*  315539 */     // GIR_Coverage, 21369,
     /*  315539 */     GIR_EraseRootFromParent_Done,
     /*  315540 */   // Label 6064: @315540
     /*  315540 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(315617), // Rule ID 21372 //
     /*  315545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  315548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315577 */     // MIs[0] Operand 4
     /*  315577 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315615 */     GIR_RootConstrainSelectedInstOperands,
     /*  315616 */     // GIR_Coverage, 21372,
     /*  315616 */     GIR_EraseRootFromParent_Done,
     /*  315617 */   // Label 6065: @315617
     /*  315617 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(315694), // Rule ID 21373 //
     /*  315622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  315625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  315633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  315636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315654 */     // MIs[0] Operand 4
     /*  315654 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  315675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315692 */     GIR_RootConstrainSelectedInstOperands,
     /*  315693 */     // GIR_Coverage, 21373,
     /*  315693 */     GIR_EraseRootFromParent_Done,
     /*  315694 */   // Label 6066: @315694
     /*  315694 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(315771), // Rule ID 21376 //
     /*  315699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315731 */     // MIs[0] Operand 4
     /*  315731 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315749 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315769 */     GIR_RootConstrainSelectedInstOperands,
     /*  315770 */     // GIR_Coverage, 21376,
     /*  315770 */     GIR_EraseRootFromParent_Done,
     /*  315771 */   // Label 6067: @315771
     /*  315771 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(315848), // Rule ID 21377 //
     /*  315776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  315793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315808 */     // MIs[0] Operand 4
     /*  315808 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  315829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315846 */     GIR_RootConstrainSelectedInstOperands,
     /*  315847 */     // GIR_Coverage, 21377,
     /*  315847 */     GIR_EraseRootFromParent_Done,
     /*  315848 */   // Label 6068: @315848
     /*  315848 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(315925), // Rule ID 21380 //
     /*  315853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  315856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  315873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315885 */     // MIs[0] Operand 4
     /*  315885 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315923 */     GIR_RootConstrainSelectedInstOperands,
     /*  315924 */     // GIR_Coverage, 21380,
     /*  315924 */     GIR_EraseRootFromParent_Done,
     /*  315925 */   // Label 6069: @315925
     /*  315925 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(316002), // Rule ID 21381 //
     /*  315930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  315933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  315938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  315941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  315944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  315950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315962 */     // MIs[0] Operand 4
     /*  315962 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  315973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  315983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  315989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316000 */     GIR_RootConstrainSelectedInstOperands,
     /*  316001 */     // GIR_Coverage, 21381,
     /*  316001 */     GIR_EraseRootFromParent_Done,
     /*  316002 */   // Label 6070: @316002
     /*  316002 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(316079), // Rule ID 21384 //
     /*  316007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  316010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  316015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316039 */     // MIs[0] Operand 4
     /*  316039 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  316060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316077 */     GIR_RootConstrainSelectedInstOperands,
     /*  316078 */     // GIR_Coverage, 21384,
     /*  316078 */     GIR_EraseRootFromParent_Done,
     /*  316079 */   // Label 6071: @316079
     /*  316079 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(316156), // Rule ID 21385 //
     /*  316084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  316087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  316092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  316101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316116 */     // MIs[0] Operand 4
     /*  316116 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  316137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316154 */     GIR_RootConstrainSelectedInstOperands,
     /*  316155 */     // GIR_Coverage, 21385,
     /*  316155 */     GIR_EraseRootFromParent_Done,
     /*  316156 */   // Label 6072: @316156
     /*  316156 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(316233), // Rule ID 21388 //
     /*  316161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  316164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  316169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316193 */     // MIs[0] Operand 4
     /*  316193 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  316214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316231 */     GIR_RootConstrainSelectedInstOperands,
     /*  316232 */     // GIR_Coverage, 21388,
     /*  316232 */     GIR_EraseRootFromParent_Done,
     /*  316233 */   // Label 6073: @316233
     /*  316233 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(316310), // Rule ID 21389 //
     /*  316238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  316241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  316246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  316255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316270 */     // MIs[0] Operand 4
     /*  316270 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  316291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316308 */     GIR_RootConstrainSelectedInstOperands,
     /*  316309 */     // GIR_Coverage, 21389,
     /*  316309 */     GIR_EraseRootFromParent_Done,
     /*  316310 */   // Label 6074: @316310
     /*  316310 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(316387), // Rule ID 21392 //
     /*  316315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  316326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  316329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  316332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316347 */     // MIs[0] Operand 4
     /*  316347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316365 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  316368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316385 */     GIR_RootConstrainSelectedInstOperands,
     /*  316386 */     // GIR_Coverage, 21392,
     /*  316386 */     GIR_EraseRootFromParent_Done,
     /*  316387 */   // Label 6075: @316387
     /*  316387 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(316464), // Rule ID 21393 //
     /*  316392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  316403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  316406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  316409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316424 */     // MIs[0] Operand 4
     /*  316424 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316442 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  316445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316462 */     GIR_RootConstrainSelectedInstOperands,
     /*  316463 */     // GIR_Coverage, 21393,
     /*  316463 */     GIR_EraseRootFromParent_Done,
     /*  316464 */   // Label 6076: @316464
     /*  316464 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(316541), // Rule ID 21396 //
     /*  316469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  316480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  316483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316501 */     // MIs[0] Operand 4
     /*  316501 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316519 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316539 */     GIR_RootConstrainSelectedInstOperands,
     /*  316540 */     // GIR_Coverage, 21396,
     /*  316540 */     GIR_EraseRootFromParent_Done,
     /*  316541 */   // Label 6077: @316541
     /*  316541 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(316618), // Rule ID 21397 //
     /*  316546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  316557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  316560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  316563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316578 */     // MIs[0] Operand 4
     /*  316578 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316596 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  316599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316616 */     GIR_RootConstrainSelectedInstOperands,
     /*  316617 */     // GIR_Coverage, 21397,
     /*  316617 */     GIR_EraseRootFromParent_Done,
     /*  316618 */   // Label 6078: @316618
     /*  316618 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(316695), // Rule ID 21400 //
     /*  316623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  316634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  316637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316655 */     // MIs[0] Operand 4
     /*  316655 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316673 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  316676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316693 */     GIR_RootConstrainSelectedInstOperands,
     /*  316694 */     // GIR_Coverage, 21400,
     /*  316694 */     GIR_EraseRootFromParent_Done,
     /*  316695 */   // Label 6079: @316695
     /*  316695 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(316772), // Rule ID 21401 //
     /*  316700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  316711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  316714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316732 */     // MIs[0] Operand 4
     /*  316732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  316753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316770 */     GIR_RootConstrainSelectedInstOperands,
     /*  316771 */     // GIR_Coverage, 21401,
     /*  316771 */     GIR_EraseRootFromParent_Done,
     /*  316772 */   // Label 6080: @316772
     /*  316772 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(316849), // Rule ID 21404 //
     /*  316777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  316788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  316791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316809 */     // MIs[0] Operand 4
     /*  316809 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316827 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  316830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316847 */     GIR_RootConstrainSelectedInstOperands,
     /*  316848 */     // GIR_Coverage, 21404,
     /*  316848 */     GIR_EraseRootFromParent_Done,
     /*  316849 */   // Label 6081: @316849
     /*  316849 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(316926), // Rule ID 21405 //
     /*  316854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  316857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  316865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  316868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  316874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316886 */     // MIs[0] Operand 4
     /*  316886 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  316904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  316907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316924 */     GIR_RootConstrainSelectedInstOperands,
     /*  316925 */     // GIR_Coverage, 21405,
     /*  316925 */     GIR_EraseRootFromParent_Done,
     /*  316926 */   // Label 6082: @316926
     /*  316926 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(317003), // Rule ID 21408 //
     /*  316931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  316934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  316939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  316942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  316945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  316951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316963 */     // MIs[0] Operand 4
     /*  316963 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  316974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316981 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  316981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  316984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  316990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  316998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317001 */     GIR_RootConstrainSelectedInstOperands,
     /*  317002 */     // GIR_Coverage, 21408,
     /*  317002 */     GIR_EraseRootFromParent_Done,
     /*  317003 */   // Label 6083: @317003
     /*  317003 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(317080), // Rule ID 21409 //
     /*  317008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  317011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  317019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  317022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  317025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317040 */     // MIs[0] Operand 4
     /*  317040 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  317058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  317075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317078 */     GIR_RootConstrainSelectedInstOperands,
     /*  317079 */     // GIR_Coverage, 21409,
     /*  317079 */     GIR_EraseRootFromParent_Done,
     /*  317080 */   // Label 6084: @317080
     /*  317080 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(317157), // Rule ID 21412 //
     /*  317085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  317088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  317096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  317099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317117 */     // MIs[0] Operand 4
     /*  317117 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  317135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  317152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317155 */     GIR_RootConstrainSelectedInstOperands,
     /*  317156 */     // GIR_Coverage, 21412,
     /*  317156 */     GIR_EraseRootFromParent_Done,
     /*  317157 */   // Label 6085: @317157
     /*  317157 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(317234), // Rule ID 21413 //
     /*  317162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  317165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  317173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  317176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  317179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317194 */     // MIs[0] Operand 4
     /*  317194 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317212 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  317212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  317229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317232 */     GIR_RootConstrainSelectedInstOperands,
     /*  317233 */     // GIR_Coverage, 21413,
     /*  317233 */     GIR_EraseRootFromParent_Done,
     /*  317234 */   // Label 6086: @317234
     /*  317234 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(317311), // Rule ID 21416 //
     /*  317239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  317250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317271 */     // MIs[0] Operand 4
     /*  317271 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317289 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  317292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317309 */     GIR_RootConstrainSelectedInstOperands,
     /*  317310 */     // GIR_Coverage, 21416,
     /*  317310 */     GIR_EraseRootFromParent_Done,
     /*  317311 */   // Label 6087: @317311
     /*  317311 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(317388), // Rule ID 21417 //
     /*  317316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  317327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  317330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317348 */     // MIs[0] Operand 4
     /*  317348 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  317369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317386 */     GIR_RootConstrainSelectedInstOperands,
     /*  317387 */     // GIR_Coverage, 21417,
     /*  317387 */     GIR_EraseRootFromParent_Done,
     /*  317388 */   // Label 6088: @317388
     /*  317388 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(317465), // Rule ID 21420 //
     /*  317393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317425 */     // MIs[0] Operand 4
     /*  317425 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  317446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317463 */     GIR_RootConstrainSelectedInstOperands,
     /*  317464 */     // GIR_Coverage, 21420,
     /*  317464 */     GIR_EraseRootFromParent_Done,
     /*  317465 */   // Label 6089: @317465
     /*  317465 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(317542), // Rule ID 21421 //
     /*  317470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317502 */     // MIs[0] Operand 4
     /*  317502 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  317523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317540 */     GIR_RootConstrainSelectedInstOperands,
     /*  317541 */     // GIR_Coverage, 21421,
     /*  317541 */     GIR_EraseRootFromParent_Done,
     /*  317542 */   // Label 6090: @317542
     /*  317542 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(317619), // Rule ID 21424 //
     /*  317547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317579 */     // MIs[0] Operand 4
     /*  317579 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317617 */     GIR_RootConstrainSelectedInstOperands,
     /*  317618 */     // GIR_Coverage, 21424,
     /*  317618 */     GIR_EraseRootFromParent_Done,
     /*  317619 */   // Label 6091: @317619
     /*  317619 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(317696), // Rule ID 21425 //
     /*  317624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  317641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317656 */     // MIs[0] Operand 4
     /*  317656 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  317677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317694 */     GIR_RootConstrainSelectedInstOperands,
     /*  317695 */     // GIR_Coverage, 21425,
     /*  317695 */     GIR_EraseRootFromParent_Done,
     /*  317696 */   // Label 6092: @317696
     /*  317696 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(317773), // Rule ID 21428 //
     /*  317701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317733 */     // MIs[0] Operand 4
     /*  317733 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317771 */     GIR_RootConstrainSelectedInstOperands,
     /*  317772 */     // GIR_Coverage, 21428,
     /*  317772 */     GIR_EraseRootFromParent_Done,
     /*  317773 */   // Label 6093: @317773
     /*  317773 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(317850), // Rule ID 21429 //
     /*  317778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  317789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  317792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  317795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317810 */     // MIs[0] Operand 4
     /*  317810 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  317831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317848 */     GIR_RootConstrainSelectedInstOperands,
     /*  317849 */     // GIR_Coverage, 21429,
     /*  317849 */     GIR_EraseRootFromParent_Done,
     /*  317850 */   // Label 6094: @317850
     /*  317850 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(317927), // Rule ID 21432 //
     /*  317855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  317858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  317875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317887 */     // MIs[0] Operand 4
     /*  317887 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317905 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317925 */     GIR_RootConstrainSelectedInstOperands,
     /*  317926 */     // GIR_Coverage, 21432,
     /*  317926 */     GIR_EraseRootFromParent_Done,
     /*  317927 */   // Label 6095: @317927
     /*  317927 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(318004), // Rule ID 21433 //
     /*  317932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  317935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  317940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  317943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  317946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  317952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317964 */     // MIs[0] Operand 4
     /*  317964 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  317975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  317985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318002 */     GIR_RootConstrainSelectedInstOperands,
     /*  318003 */     // GIR_Coverage, 21433,
     /*  318003 */     GIR_EraseRootFromParent_Done,
     /*  318004 */   // Label 6096: @318004
     /*  318004 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(318081), // Rule ID 21436 //
     /*  318009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  318012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  318020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318041 */     // MIs[0] Operand 4
     /*  318041 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  318062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318079 */     GIR_RootConstrainSelectedInstOperands,
     /*  318080 */     // GIR_Coverage, 21436,
     /*  318080 */     GIR_EraseRootFromParent_Done,
     /*  318081 */   // Label 6097: @318081
     /*  318081 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(318158), // Rule ID 21437 //
     /*  318086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  318089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  318097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  318100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318118 */     // MIs[0] Operand 4
     /*  318118 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  318139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318156 */     GIR_RootConstrainSelectedInstOperands,
     /*  318157 */     // GIR_Coverage, 21437,
     /*  318157 */     GIR_EraseRootFromParent_Done,
     /*  318158 */   // Label 6098: @318158
     /*  318158 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(318235), // Rule ID 21440 //
     /*  318163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  318166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  318174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318195 */     // MIs[0] Operand 4
     /*  318195 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  318216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318233 */     GIR_RootConstrainSelectedInstOperands,
     /*  318234 */     // GIR_Coverage, 21440,
     /*  318234 */     GIR_EraseRootFromParent_Done,
     /*  318235 */   // Label 6099: @318235
     /*  318235 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(318312), // Rule ID 21441 //
     /*  318240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  318243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  318251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  318257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318272 */     // MIs[0] Operand 4
     /*  318272 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  318293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318310 */     GIR_RootConstrainSelectedInstOperands,
     /*  318311 */     // GIR_Coverage, 21441,
     /*  318311 */     GIR_EraseRootFromParent_Done,
     /*  318312 */   // Label 6100: @318312
     /*  318312 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(318389), // Rule ID 21444 //
     /*  318317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  318320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318349 */     // MIs[0] Operand 4
     /*  318349 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  318370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318387 */     GIR_RootConstrainSelectedInstOperands,
     /*  318388 */     // GIR_Coverage, 21444,
     /*  318388 */     GIR_EraseRootFromParent_Done,
     /*  318389 */   // Label 6101: @318389
     /*  318389 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(318466), // Rule ID 21445 //
     /*  318394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  318397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  318411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318426 */     // MIs[0] Operand 4
     /*  318426 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  318447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318464 */     GIR_RootConstrainSelectedInstOperands,
     /*  318465 */     // GIR_Coverage, 21445,
     /*  318465 */     GIR_EraseRootFromParent_Done,
     /*  318466 */   // Label 6102: @318466
     /*  318466 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(318543), // Rule ID 21448 //
     /*  318471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  318474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318503 */     // MIs[0] Operand 4
     /*  318503 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  318524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318541 */     GIR_RootConstrainSelectedInstOperands,
     /*  318542 */     // GIR_Coverage, 21448,
     /*  318542 */     GIR_EraseRootFromParent_Done,
     /*  318543 */   // Label 6103: @318543
     /*  318543 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(318620), // Rule ID 21449 //
     /*  318548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  318551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  318556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  318565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318580 */     // MIs[0] Operand 4
     /*  318580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  318591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  318601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318618 */     GIR_RootConstrainSelectedInstOperands,
     /*  318619 */     // GIR_Coverage, 21449,
     /*  318619 */     GIR_EraseRootFromParent_Done,
     /*  318620 */   // Label 6104: @318620
     /*  318620 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(318693), // Rule ID 62165 //
     /*  318625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318649 */     // MIs[0] op1
     /*  318649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318652 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  318675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318677 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318679 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318681 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318691 */     GIR_RootConstrainSelectedInstOperands,
     /*  318692 */     // GIR_Coverage, 62165,
     /*  318692 */     GIR_EraseRootFromParent_Done,
     /*  318693 */   // Label 6105: @318693
     /*  318693 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(318766), // Rule ID 62166 //
     /*  318698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318722 */     // MIs[0] op1
     /*  318722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318725 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318745 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  318748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318764 */     GIR_RootConstrainSelectedInstOperands,
     /*  318765 */     // GIR_Coverage, 62166,
     /*  318765 */     GIR_EraseRootFromParent_Done,
     /*  318766 */   // Label 6106: @318766
     /*  318766 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(318839), // Rule ID 62189 //
     /*  318771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  318788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318795 */     // MIs[0] op1
     /*  318795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318798 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318818 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  318821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318837 */     GIR_RootConstrainSelectedInstOperands,
     /*  318838 */     // GIR_Coverage, 62189,
     /*  318838 */     GIR_EraseRootFromParent_Done,
     /*  318839 */   // Label 6107: @318839
     /*  318839 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(318912), // Rule ID 62190 //
     /*  318844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  318852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  318855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  318858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  318861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  318864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318868 */     // MIs[0] op1
     /*  318868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318891 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  318891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  318894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318910 */     GIR_RootConstrainSelectedInstOperands,
     /*  318911 */     // GIR_Coverage, 62190,
     /*  318911 */     GIR_EraseRootFromParent_Done,
     /*  318912 */   // Label 6108: @318912
     /*  318912 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(318985), // Rule ID 62215 //
     /*  318917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  318920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  318928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  318931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  318937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318941 */     // MIs[0] op1
     /*  318941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  318944 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  318949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  318957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  318964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  318967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  318971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  318973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  318975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  318983 */     GIR_RootConstrainSelectedInstOperands,
     /*  318984 */     // GIR_Coverage, 62215,
     /*  318984 */     GIR_EraseRootFromParent_Done,
     /*  318985 */   // Label 6109: @318985
     /*  318985 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(319058), // Rule ID 62216 //
     /*  318990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  318993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  318998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  319001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  319004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319014 */     // MIs[0] op1
     /*  319014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  319037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  319040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319042 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319044 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319046 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319056 */     GIR_RootConstrainSelectedInstOperands,
     /*  319057 */     // GIR_Coverage, 62216,
     /*  319057 */     GIR_EraseRootFromParent_Done,
     /*  319058 */   // Label 6110: @319058
     /*  319058 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(319131), // Rule ID 62227 //
     /*  319063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  319074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  319077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  319080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319087 */     // MIs[0] op1
     /*  319087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319090 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  319110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319129 */     GIR_RootConstrainSelectedInstOperands,
     /*  319130 */     // GIR_Coverage, 62227,
     /*  319130 */     GIR_EraseRootFromParent_Done,
     /*  319131 */   // Label 6111: @319131
     /*  319131 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(319204), // Rule ID 62228 //
     /*  319136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  319147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  319150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  319153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319160 */     // MIs[0] op1
     /*  319160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  319183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319188 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319190 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319192 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319202 */     GIR_RootConstrainSelectedInstOperands,
     /*  319203 */     // GIR_Coverage, 62228,
     /*  319203 */     GIR_EraseRootFromParent_Done,
     /*  319204 */   // Label 6112: @319204
     /*  319204 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(319277), // Rule ID 62259 //
     /*  319209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  319220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  319223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319233 */     // MIs[0] op1
     /*  319233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  319256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319275 */     GIR_RootConstrainSelectedInstOperands,
     /*  319276 */     // GIR_Coverage, 62259,
     /*  319276 */     GIR_EraseRootFromParent_Done,
     /*  319277 */   // Label 6113: @319277
     /*  319277 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(319350), // Rule ID 62260 //
     /*  319282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  319293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  319296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319306 */     // MIs[0] op1
     /*  319306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  319329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319334 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319336 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319338 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319348 */     GIR_RootConstrainSelectedInstOperands,
     /*  319349 */     // GIR_Coverage, 62260,
     /*  319349 */     GIR_EraseRootFromParent_Done,
     /*  319350 */   // Label 6114: @319350
     /*  319350 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(319423), // Rule ID 62271 //
     /*  319355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  319366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  319369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  319372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319379 */     // MIs[0] op1
     /*  319379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319402 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  319402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  319405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319421 */     GIR_RootConstrainSelectedInstOperands,
     /*  319422 */     // GIR_Coverage, 62271,
     /*  319422 */     GIR_EraseRootFromParent_Done,
     /*  319423 */   // Label 6115: @319423
     /*  319423 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(319496), // Rule ID 62272 //
     /*  319428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  319439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  319442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  319445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319452 */     // MIs[0] op1
     /*  319452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319455 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  319475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  319478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319480 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319482 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319484 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  319494 */     GIR_RootConstrainSelectedInstOperands,
     /*  319495 */     // GIR_Coverage, 62272,
     /*  319495 */     GIR_EraseRootFromParent_Done,
     /*  319496 */   // Label 6116: @319496
     /*  319496 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(319569), // Rule ID 62303 //
     /*  319501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319525 */     // MIs[0] op1
     /*  319525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319548 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  319551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319553 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319555 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319557 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319567 */     GIR_RootConstrainSelectedInstOperands,
     /*  319568 */     // GIR_Coverage, 62303,
     /*  319568 */     GIR_EraseRootFromParent_Done,
     /*  319569 */   // Label 6117: @319569
     /*  319569 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(319642), // Rule ID 62304 //
     /*  319574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319598 */     // MIs[0] op1
     /*  319598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  319624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319640 */     GIR_RootConstrainSelectedInstOperands,
     /*  319641 */     // GIR_Coverage, 62304,
     /*  319641 */     GIR_EraseRootFromParent_Done,
     /*  319642 */   // Label 6118: @319642
     /*  319642 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(319715), // Rule ID 62315 //
     /*  319647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  319664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319671 */     // MIs[0] op1
     /*  319671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319694 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319699 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319701 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319703 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319713 */     GIR_RootConstrainSelectedInstOperands,
     /*  319714 */     // GIR_Coverage, 62315,
     /*  319714 */     GIR_EraseRootFromParent_Done,
     /*  319715 */   // Label 6119: @319715
     /*  319715 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(319788), // Rule ID 62316 //
     /*  319720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  319728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  319737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319744 */     // MIs[0] op1
     /*  319744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  319770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319772 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319774 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319776 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319786 */     GIR_RootConstrainSelectedInstOperands,
     /*  319787 */     // GIR_Coverage, 62316,
     /*  319787 */     GIR_EraseRootFromParent_Done,
     /*  319788 */   // Label 6120: @319788
     /*  319788 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(319861), // Rule ID 62339 //
     /*  319793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319817 */     // MIs[0] op1
     /*  319817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  319843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319845 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319847 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319849 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319859 */     GIR_RootConstrainSelectedInstOperands,
     /*  319860 */     // GIR_Coverage, 62339,
     /*  319860 */     GIR_EraseRootFromParent_Done,
     /*  319861 */   // Label 6121: @319861
     /*  319861 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(319934), // Rule ID 62340 //
     /*  319866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  319869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  319874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  319877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  319883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  319886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319890 */     // MIs[0] op1
     /*  319890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319893 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  319898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  319906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  319916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319918 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319920 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319922 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319932 */     GIR_RootConstrainSelectedInstOperands,
     /*  319933 */     // GIR_Coverage, 62340,
     /*  319933 */     GIR_EraseRootFromParent_Done,
     /*  319934 */   // Label 6122: @319934
     /*  319934 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(320007), // Rule ID 62359 //
     /*  319939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  319942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  319947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  319950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  319959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319963 */     // MIs[0] op1
     /*  319963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  319966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  319971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  319979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  319989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319991 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  319993 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  319995 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  319997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320005 */     GIR_RootConstrainSelectedInstOperands,
     /*  320006 */     // GIR_Coverage, 62359,
     /*  320006 */     GIR_EraseRootFromParent_Done,
     /*  320007 */   // Label 6123: @320007
     /*  320007 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(320080), // Rule ID 62360 //
     /*  320012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  320023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320036 */     // MIs[0] op1
     /*  320036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  320062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320078 */     GIR_RootConstrainSelectedInstOperands,
     /*  320079 */     // GIR_Coverage, 62360,
     /*  320079 */     GIR_EraseRootFromParent_Done,
     /*  320080 */   // Label 6124: @320080
     /*  320080 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(320153), // Rule ID 62371 //
     /*  320085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  320096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  320102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320109 */     // MIs[0] op1
     /*  320109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320112 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320151 */     GIR_RootConstrainSelectedInstOperands,
     /*  320152 */     // GIR_Coverage, 62371,
     /*  320152 */     GIR_EraseRootFromParent_Done,
     /*  320153 */   // Label 6125: @320153
     /*  320153 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(320226), // Rule ID 62372 //
     /*  320158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  320169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  320175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320182 */     // MIs[0] op1
     /*  320182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320185 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320205 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320224 */     GIR_RootConstrainSelectedInstOperands,
     /*  320225 */     // GIR_Coverage, 62372,
     /*  320225 */     GIR_EraseRootFromParent_Done,
     /*  320226 */   // Label 6126: @320226
     /*  320226 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(320299), // Rule ID 62395 //
     /*  320231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  320242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  320248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320255 */     // MIs[0] op1
     /*  320255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320258 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  320281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320297 */     GIR_RootConstrainSelectedInstOperands,
     /*  320298 */     // GIR_Coverage, 62395,
     /*  320298 */     GIR_EraseRootFromParent_Done,
     /*  320299 */   // Label 6127: @320299
     /*  320299 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(320372), // Rule ID 62396 //
     /*  320304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  320315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  320318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  320321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320328 */     // MIs[0] op1
     /*  320328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  320344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  320354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320370 */     GIR_RootConstrainSelectedInstOperands,
     /*  320371 */     // GIR_Coverage, 62396,
     /*  320371 */     GIR_EraseRootFromParent_Done,
     /*  320372 */   // Label 6128: @320372
     /*  320372 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(320445), // Rule ID 62415 //
     /*  320377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320401 */     // MIs[0] op1
     /*  320401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320424 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  320427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320443 */     GIR_RootConstrainSelectedInstOperands,
     /*  320444 */     // GIR_Coverage, 62415,
     /*  320444 */     GIR_EraseRootFromParent_Done,
     /*  320445 */   // Label 6129: @320445
     /*  320445 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(320518), // Rule ID 62416 //
     /*  320450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320474 */     // MIs[0] op1
     /*  320474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  320500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320516 */     GIR_RootConstrainSelectedInstOperands,
     /*  320517 */     // GIR_Coverage, 62416,
     /*  320517 */     GIR_EraseRootFromParent_Done,
     /*  320518 */   // Label 6130: @320518
     /*  320518 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(320591), // Rule ID 62427 //
     /*  320523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  320540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320547 */     // MIs[0] op1
     /*  320547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320589 */     GIR_RootConstrainSelectedInstOperands,
     /*  320590 */     // GIR_Coverage, 62427,
     /*  320590 */     GIR_EraseRootFromParent_Done,
     /*  320591 */   // Label 6131: @320591
     /*  320591 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(320664), // Rule ID 62428 //
     /*  320596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  320613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320620 */     // MIs[0] op1
     /*  320620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  320646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320648 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320650 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320652 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320662 */     GIR_RootConstrainSelectedInstOperands,
     /*  320663 */     // GIR_Coverage, 62428,
     /*  320663 */     GIR_EraseRootFromParent_Done,
     /*  320664 */   // Label 6132: @320664
     /*  320664 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(320737), // Rule ID 62451 //
     /*  320669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320693 */     // MIs[0] op1
     /*  320693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  320719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320735 */     GIR_RootConstrainSelectedInstOperands,
     /*  320736 */     // GIR_Coverage, 62451,
     /*  320736 */     GIR_EraseRootFromParent_Done,
     /*  320737 */   // Label 6133: @320737
     /*  320737 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(320810), // Rule ID 62452 //
     /*  320742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  320750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  320753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  320756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320766 */     // MIs[0] op1
     /*  320766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  320774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  320782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  320792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320794 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320796 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320798 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320808 */     GIR_RootConstrainSelectedInstOperands,
     /*  320809 */     // GIR_Coverage, 62452,
     /*  320809 */     GIR_EraseRootFromParent_Done,
     /*  320810 */   // Label 6134: @320810
     /*  320810 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(320883), // Rule ID 62471 //
     /*  320815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320839 */     // MIs[0] op1
     /*  320839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  320862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320881 */     GIR_RootConstrainSelectedInstOperands,
     /*  320882 */     // GIR_Coverage, 62471,
     /*  320882 */     GIR_EraseRootFromParent_Done,
     /*  320883 */   // Label 6135: @320883
     /*  320883 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(320956), // Rule ID 62472 //
     /*  320888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  320891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  320896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  320908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320912 */     // MIs[0] op1
     /*  320912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  320928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  320935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  320938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320940 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  320942 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  320944 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  320946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  320954 */     GIR_RootConstrainSelectedInstOperands,
     /*  320955 */     // GIR_Coverage, 62472,
     /*  320955 */     GIR_EraseRootFromParent_Done,
     /*  320956 */   // Label 6136: @320956
     /*  320956 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(321029), // Rule ID 62483 //
     /*  320961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  320964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  320969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  320972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  320975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  320978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  320981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320985 */     // MIs[0] op1
     /*  320985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  320988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  320993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  321008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321013 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321015 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321017 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  321027 */     GIR_RootConstrainSelectedInstOperands,
     /*  321028 */     // GIR_Coverage, 62483,
     /*  321028 */     GIR_EraseRootFromParent_Done,
     /*  321029 */   // Label 6137: @321029
     /*  321029 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(321102), // Rule ID 62484 //
     /*  321034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  321045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  321048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  321051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321058 */     // MIs[0] op1
     /*  321058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321061 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321081 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  321081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321086 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321088 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321090 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  321100 */     GIR_RootConstrainSelectedInstOperands,
     /*  321101 */     // GIR_Coverage, 62484,
     /*  321101 */     GIR_EraseRootFromParent_Done,
     /*  321102 */   // Label 6138: @321102
     /*  321102 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(321175), // Rule ID 62515 //
     /*  321107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321131 */     // MIs[0] op1
     /*  321131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321159 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321161 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321163 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321173 */     GIR_RootConstrainSelectedInstOperands,
     /*  321174 */     // GIR_Coverage, 62515,
     /*  321174 */     GIR_EraseRootFromParent_Done,
     /*  321175 */   // Label 6139: @321175
     /*  321175 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(321248), // Rule ID 62516 //
     /*  321180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321204 */     // MIs[0] op1
     /*  321204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321207 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321232 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321234 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321236 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321246 */     GIR_RootConstrainSelectedInstOperands,
     /*  321247 */     // GIR_Coverage, 62516,
     /*  321247 */     GIR_EraseRootFromParent_Done,
     /*  321248 */   // Label 6140: @321248
     /*  321248 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(321321), // Rule ID 62527 //
     /*  321253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  321270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321277 */     // MIs[0] op1
     /*  321277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321300 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321305 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321307 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321309 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321319 */     GIR_RootConstrainSelectedInstOperands,
     /*  321320 */     // GIR_Coverage, 62527,
     /*  321320 */     GIR_EraseRootFromParent_Done,
     /*  321321 */   // Label 6141: @321321
     /*  321321 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(321394), // Rule ID 62528 //
     /*  321326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  321343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321350 */     // MIs[0] op1
     /*  321350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321378 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321380 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321382 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321392 */     GIR_RootConstrainSelectedInstOperands,
     /*  321393 */     // GIR_Coverage, 62528,
     /*  321393 */     GIR_EraseRootFromParent_Done,
     /*  321394 */   // Label 6142: @321394
     /*  321394 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(321467), // Rule ID 62551 //
     /*  321399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  321416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321423 */     // MIs[0] op1
     /*  321423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321426 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  321449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321451 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321453 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321455 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321465 */     GIR_RootConstrainSelectedInstOperands,
     /*  321466 */     // GIR_Coverage, 62551,
     /*  321466 */     GIR_EraseRootFromParent_Done,
     /*  321467 */   // Label 6143: @321467
     /*  321467 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(321540), // Rule ID 62552 //
     /*  321472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  321483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  321486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  321489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321496 */     // MIs[0] op1
     /*  321496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321499 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  321522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321538 */     GIR_RootConstrainSelectedInstOperands,
     /*  321539 */     // GIR_Coverage, 62552,
     /*  321539 */     GIR_EraseRootFromParent_Done,
     /*  321540 */   // Label 6144: @321540
     /*  321540 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(321613), // Rule ID 62571 //
     /*  321545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321569 */     // MIs[0] op1
     /*  321569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321597 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321599 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321601 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321611 */     GIR_RootConstrainSelectedInstOperands,
     /*  321612 */     // GIR_Coverage, 62571,
     /*  321612 */     GIR_EraseRootFromParent_Done,
     /*  321613 */   // Label 6145: @321613
     /*  321613 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(321686), // Rule ID 62572 //
     /*  321618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321642 */     // MIs[0] op1
     /*  321642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321645 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  321658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  321668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321684 */     GIR_RootConstrainSelectedInstOperands,
     /*  321685 */     // GIR_Coverage, 62572,
     /*  321685 */     GIR_EraseRootFromParent_Done,
     /*  321686 */   // Label 6146: @321686
     /*  321686 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(321759), // Rule ID 62583 //
     /*  321691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  321708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321715 */     // MIs[0] op1
     /*  321715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321757 */     GIR_RootConstrainSelectedInstOperands,
     /*  321758 */     // GIR_Coverage, 62583,
     /*  321758 */     GIR_EraseRootFromParent_Done,
     /*  321759 */   // Label 6147: @321759
     /*  321759 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(321832), // Rule ID 62584 //
     /*  321764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  321772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  321781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321788 */     // MIs[0] op1
     /*  321788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321791 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  321796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  321814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321830 */     GIR_RootConstrainSelectedInstOperands,
     /*  321831 */     // GIR_Coverage, 62584,
     /*  321831 */     GIR_EraseRootFromParent_Done,
     /*  321832 */   // Label 6148: @321832
     /*  321832 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(321905), // Rule ID 62607 //
     /*  321837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  321857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321861 */     // MIs[0] op1
     /*  321861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  321887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321903 */     GIR_RootConstrainSelectedInstOperands,
     /*  321904 */     // GIR_Coverage, 62607,
     /*  321904 */     GIR_EraseRootFromParent_Done,
     /*  321905 */   // Label 6149: @321905
     /*  321905 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(321978), // Rule ID 62608 //
     /*  321910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  321913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  321918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  321921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  321924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  321930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321934 */     // MIs[0] op1
     /*  321934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  321937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  321942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  321960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  321964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  321966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  321968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321976 */     GIR_RootConstrainSelectedInstOperands,
     /*  321977 */     // GIR_Coverage, 62608,
     /*  321977 */     GIR_EraseRootFromParent_Done,
     /*  321978 */   // Label 6150: @321978
     /*  321978 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(322051), // Rule ID 62627 //
     /*  321983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  321986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  321991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  321994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  321997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322007 */     // MIs[0] op1
     /*  322007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  322033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322049 */     GIR_RootConstrainSelectedInstOperands,
     /*  322050 */     // GIR_Coverage, 62627,
     /*  322050 */     GIR_EraseRootFromParent_Done,
     /*  322051 */   // Label 6151: @322051
     /*  322051 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(322124), // Rule ID 62628 //
     /*  322056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  322067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322080 */     // MIs[0] op1
     /*  322080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  322106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322122 */     GIR_RootConstrainSelectedInstOperands,
     /*  322123 */     // GIR_Coverage, 62628,
     /*  322123 */     GIR_EraseRootFromParent_Done,
     /*  322124 */   // Label 6152: @322124
     /*  322124 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(322197), // Rule ID 62639 //
     /*  322129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  322140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  322146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322153 */     // MIs[0] op1
     /*  322153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  322179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322195 */     GIR_RootConstrainSelectedInstOperands,
     /*  322196 */     // GIR_Coverage, 62639,
     /*  322196 */     GIR_EraseRootFromParent_Done,
     /*  322197 */   // Label 6153: @322197
     /*  322197 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(322270), // Rule ID 62640 //
     /*  322202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  322213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  322219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322226 */     // MIs[0] op1
     /*  322226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322249 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  322252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322254 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322256 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322258 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322268 */     GIR_RootConstrainSelectedInstOperands,
     /*  322269 */     // GIR_Coverage, 62640,
     /*  322269 */     GIR_EraseRootFromParent_Done,
     /*  322270 */   // Label 6154: @322270
     /*  322270 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(322343), // Rule ID 62663 //
     /*  322275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  322283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  322286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322299 */     // MIs[0] op1
     /*  322299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  322307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  322325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322341 */     GIR_RootConstrainSelectedInstOperands,
     /*  322342 */     // GIR_Coverage, 62663,
     /*  322342 */     GIR_EraseRootFromParent_Done,
     /*  322343 */   // Label 6155: @322343
     /*  322343 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(322416), // Rule ID 62664 //
     /*  322348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  322356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  322359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  322362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322372 */     // MIs[0] op1
     /*  322372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  322380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  322398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322400 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322402 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322404 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322414 */     GIR_RootConstrainSelectedInstOperands,
     /*  322415 */     // GIR_Coverage, 62664,
     /*  322415 */     GIR_EraseRootFromParent_Done,
     /*  322416 */   // Label 6156: @322416
     /*  322416 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(322489), // Rule ID 62683 //
     /*  322421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322445 */     // MIs[0] op1
     /*  322445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  322471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322487 */     GIR_RootConstrainSelectedInstOperands,
     /*  322488 */     // GIR_Coverage, 62683,
     /*  322488 */     GIR_EraseRootFromParent_Done,
     /*  322489 */   // Label 6157: @322489
     /*  322489 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(322562), // Rule ID 62684 //
     /*  322494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322518 */     // MIs[0] op1
     /*  322518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322521 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322541 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  322544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322546 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322548 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322550 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322560 */     GIR_RootConstrainSelectedInstOperands,
     /*  322561 */     // GIR_Coverage, 62684,
     /*  322561 */     GIR_EraseRootFromParent_Done,
     /*  322562 */   // Label 6158: @322562
     /*  322562 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(322635), // Rule ID 62695 //
     /*  322567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  322584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322591 */     // MIs[0] op1
     /*  322591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322614 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  322617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322619 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322621 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322623 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322633 */     GIR_RootConstrainSelectedInstOperands,
     /*  322634 */     // GIR_Coverage, 62695,
     /*  322634 */     GIR_EraseRootFromParent_Done,
     /*  322635 */   // Label 6159: @322635
     /*  322635 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(322708), // Rule ID 62696 //
     /*  322640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  322651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  322654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  322657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322664 */     // MIs[0] op1
     /*  322664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  322690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322692 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322694 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322696 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322706 */     GIR_RootConstrainSelectedInstOperands,
     /*  322707 */     // GIR_Coverage, 62696,
     /*  322707 */     GIR_EraseRootFromParent_Done,
     /*  322708 */   // Label 6160: @322708
     /*  322708 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(322781), // Rule ID 62727 //
     /*  322713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322737 */     // MIs[0] op1
     /*  322737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  322763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322765 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322767 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322769 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322779 */     GIR_RootConstrainSelectedInstOperands,
     /*  322780 */     // GIR_Coverage, 62727,
     /*  322780 */     GIR_EraseRootFromParent_Done,
     /*  322781 */   // Label 6161: @322781
     /*  322781 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(322854), // Rule ID 62728 //
     /*  322786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  322794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322810 */     // MIs[0] op1
     /*  322810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  322826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322833 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  322836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322852 */     GIR_RootConstrainSelectedInstOperands,
     /*  322853 */     // GIR_Coverage, 62728,
     /*  322853 */     GIR_EraseRootFromParent_Done,
     /*  322854 */   // Label 6162: @322854
     /*  322854 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(322927), // Rule ID 62739 //
     /*  322859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  322862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  322876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  322879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322883 */     // MIs[0] op1
     /*  322883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322886 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  322906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  322909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322911 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322913 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322915 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322925 */     GIR_RootConstrainSelectedInstOperands,
     /*  322926 */     // GIR_Coverage, 62739,
     /*  322926 */     GIR_EraseRootFromParent_Done,
     /*  322927 */   // Label 6163: @322927
     /*  322927 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(323000), // Rule ID 62740 //
     /*  322932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  322935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  322940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  322943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  322946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  322949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  322952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322956 */     // MIs[0] op1
     /*  322956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  322959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  322964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  322979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  322982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322984 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  322986 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  322988 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  322990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  322998 */     GIR_RootConstrainSelectedInstOperands,
     /*  322999 */     // GIR_Coverage, 62740,
     /*  322999 */     GIR_EraseRootFromParent_Done,
     /*  323000 */   // Label 6164: @323000
     /*  323000 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(323073), // Rule ID 62771 //
     /*  323005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  323016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  323019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323029 */     // MIs[0] op1
     /*  323029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  323052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  323055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  323071 */     GIR_RootConstrainSelectedInstOperands,
     /*  323072 */     // GIR_Coverage, 62771,
     /*  323072 */     GIR_EraseRootFromParent_Done,
     /*  323073 */   // Label 6165: @323073
     /*  323073 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(323146), // Rule ID 62772 //
     /*  323078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  323089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  323092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323102 */     // MIs[0] op1
     /*  323102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323125 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  323125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  323128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  323144 */     GIR_RootConstrainSelectedInstOperands,
     /*  323145 */     // GIR_Coverage, 62772,
     /*  323145 */     GIR_EraseRootFromParent_Done,
     /*  323146 */   // Label 6166: @323146
     /*  323146 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(323219), // Rule ID 62783 //
     /*  323151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  323162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  323165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  323168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323175 */     // MIs[0] op1
     /*  323175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323198 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  323198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  323201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  323217 */     GIR_RootConstrainSelectedInstOperands,
     /*  323218 */     // GIR_Coverage, 62783,
     /*  323218 */     GIR_EraseRootFromParent_Done,
     /*  323219 */   // Label 6167: @323219
     /*  323219 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(323292), // Rule ID 62784 //
     /*  323224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  323235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  323238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  323241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323248 */     // MIs[0] op1
     /*  323248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323251 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  323271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  323274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  323290 */     GIR_RootConstrainSelectedInstOperands,
     /*  323291 */     // GIR_Coverage, 62784,
     /*  323291 */     GIR_EraseRootFromParent_Done,
     /*  323292 */   // Label 6168: @323292
     /*  323292 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(323365), // Rule ID 62815 //
     /*  323297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323321 */     // MIs[0] op1
     /*  323321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  323347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323349 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323351 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323353 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323363 */     GIR_RootConstrainSelectedInstOperands,
     /*  323364 */     // GIR_Coverage, 62815,
     /*  323364 */     GIR_EraseRootFromParent_Done,
     /*  323365 */   // Label 6169: @323365
     /*  323365 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(323438), // Rule ID 62816 //
     /*  323370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323394 */     // MIs[0] op1
     /*  323394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323417 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  323420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323436 */     GIR_RootConstrainSelectedInstOperands,
     /*  323437 */     // GIR_Coverage, 62816,
     /*  323437 */     GIR_EraseRootFromParent_Done,
     /*  323438 */   // Label 6170: @323438
     /*  323438 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(323511), // Rule ID 62827 //
     /*  323443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  323460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323467 */     // MIs[0] op1
     /*  323467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323470 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  323493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323509 */     GIR_RootConstrainSelectedInstOperands,
     /*  323510 */     // GIR_Coverage, 62827,
     /*  323510 */     GIR_EraseRootFromParent_Done,
     /*  323511 */   // Label 6171: @323511
     /*  323511 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(323584), // Rule ID 62828 //
     /*  323516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  323533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323540 */     // MIs[0] op1
     /*  323540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  323566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323582 */     GIR_RootConstrainSelectedInstOperands,
     /*  323583 */     // GIR_Coverage, 62828,
     /*  323583 */     GIR_EraseRootFromParent_Done,
     /*  323584 */   // Label 6172: @323584
     /*  323584 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(323657), // Rule ID 62851 //
     /*  323589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323613 */     // MIs[0] op1
     /*  323613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323616 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  323639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323655 */     GIR_RootConstrainSelectedInstOperands,
     /*  323656 */     // GIR_Coverage, 62851,
     /*  323656 */     GIR_EraseRootFromParent_Done,
     /*  323657 */   // Label 6173: @323657
     /*  323657 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(323730), // Rule ID 62852 //
     /*  323662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  323670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  323673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  323679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323686 */     // MIs[0] op1
     /*  323686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  323694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  323702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  323712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323728 */     GIR_RootConstrainSelectedInstOperands,
     /*  323729 */     // GIR_Coverage, 62852,
     /*  323729 */     GIR_EraseRootFromParent_Done,
     /*  323730 */   // Label 6174: @323730
     /*  323730 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(323803), // Rule ID 62871 //
     /*  323735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323759 */     // MIs[0] op1
     /*  323759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323762 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  323785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323801 */     GIR_RootConstrainSelectedInstOperands,
     /*  323802 */     // GIR_Coverage, 62871,
     /*  323802 */     GIR_EraseRootFromParent_Done,
     /*  323803 */   // Label 6175: @323803
     /*  323803 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(323876), // Rule ID 62872 //
     /*  323808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  323816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323832 */     // MIs[0] op1
     /*  323832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  323848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323855 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  323858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323860 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323862 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323864 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323874 */     GIR_RootConstrainSelectedInstOperands,
     /*  323875 */     // GIR_Coverage, 62872,
     /*  323875 */     GIR_EraseRootFromParent_Done,
     /*  323876 */   // Label 6176: @323876
     /*  323876 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(323949), // Rule ID 62883 //
     /*  323881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  323884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  323898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  323901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323905 */     // MIs[0] op1
     /*  323905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  323931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  323935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  323937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  323939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323947 */     GIR_RootConstrainSelectedInstOperands,
     /*  323948 */     // GIR_Coverage, 62883,
     /*  323948 */     GIR_EraseRootFromParent_Done,
     /*  323949 */   // Label 6177: @323949
     /*  323949 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(324022), // Rule ID 62884 //
     /*  323954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  323957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  323962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  323965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  323968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  323971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  323974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323978 */     // MIs[0] op1
     /*  323978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  323981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  323986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  324004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324006 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324008 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324010 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324020 */     GIR_RootConstrainSelectedInstOperands,
     /*  324021 */     // GIR_Coverage, 62884,
     /*  324021 */     GIR_EraseRootFromParent_Done,
     /*  324022 */   // Label 6178: @324022
     /*  324022 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(324095), // Rule ID 62907 //
     /*  324027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  324038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  324041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  324044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324051 */     // MIs[0] op1
     /*  324051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  324077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324093 */     GIR_RootConstrainSelectedInstOperands,
     /*  324094 */     // GIR_Coverage, 62907,
     /*  324094 */     GIR_EraseRootFromParent_Done,
     /*  324095 */   // Label 6179: @324095
     /*  324095 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(324168), // Rule ID 62908 //
     /*  324100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  324111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  324114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  324117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324124 */     // MIs[0] op1
     /*  324124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324127 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  324150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324152 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324154 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324156 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324166 */     GIR_RootConstrainSelectedInstOperands,
     /*  324167 */     // GIR_Coverage, 62908,
     /*  324167 */     GIR_EraseRootFromParent_Done,
     /*  324168 */   // Label 6180: @324168
     /*  324168 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(324241), // Rule ID 62927 //
     /*  324173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324197 */     // MIs[0] op1
     /*  324197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  324223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324225 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324227 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324229 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324239 */     GIR_RootConstrainSelectedInstOperands,
     /*  324240 */     // GIR_Coverage, 62927,
     /*  324240 */     GIR_EraseRootFromParent_Done,
     /*  324241 */   // Label 6181: @324241
     /*  324241 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(324314), // Rule ID 62928 //
     /*  324246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324270 */     // MIs[0] op1
     /*  324270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324293 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  324296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324298 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324300 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324302 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324312 */     GIR_RootConstrainSelectedInstOperands,
     /*  324313 */     // GIR_Coverage, 62928,
     /*  324313 */     GIR_EraseRootFromParent_Done,
     /*  324314 */   // Label 6182: @324314
     /*  324314 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(324387), // Rule ID 62939 //
     /*  324319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  324336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324343 */     // MIs[0] op1
     /*  324343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  324369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324371 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324373 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324375 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324385 */     GIR_RootConstrainSelectedInstOperands,
     /*  324386 */     // GIR_Coverage, 62939,
     /*  324386 */     GIR_EraseRootFromParent_Done,
     /*  324387 */   // Label 6183: @324387
     /*  324387 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(324460), // Rule ID 62940 //
     /*  324392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  324409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324416 */     // MIs[0] op1
     /*  324416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324439 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  324442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324458 */     GIR_RootConstrainSelectedInstOperands,
     /*  324459 */     // GIR_Coverage, 62940,
     /*  324459 */     GIR_EraseRootFromParent_Done,
     /*  324460 */   // Label 6184: @324460
     /*  324460 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(324533), // Rule ID 62963 //
     /*  324465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  324482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324489 */     // MIs[0] op1
     /*  324489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324492 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  324515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324517 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324519 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324521 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324531 */     GIR_RootConstrainSelectedInstOperands,
     /*  324532 */     // GIR_Coverage, 62963,
     /*  324532 */     GIR_EraseRootFromParent_Done,
     /*  324533 */   // Label 6185: @324533
     /*  324533 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(324606), // Rule ID 62964 //
     /*  324538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  324549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  324555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324562 */     // MIs[0] op1
     /*  324562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324565 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  324578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324585 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  324588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324590 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324592 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324594 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324604 */     GIR_RootConstrainSelectedInstOperands,
     /*  324605 */     // GIR_Coverage, 62964,
     /*  324605 */     GIR_EraseRootFromParent_Done,
     /*  324606 */   // Label 6186: @324606
     /*  324606 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(324679), // Rule ID 62983 //
     /*  324611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324635 */     // MIs[0] op1
     /*  324635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324638 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  324661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324663 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324665 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324667 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324677 */     GIR_RootConstrainSelectedInstOperands,
     /*  324678 */     // GIR_Coverage, 62983,
     /*  324678 */     GIR_EraseRootFromParent_Done,
     /*  324679 */   // Label 6187: @324679
     /*  324679 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(324752), // Rule ID 62984 //
     /*  324684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  324692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324708 */     // MIs[0] op1
     /*  324708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324711 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  324724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  324734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324750 */     GIR_RootConstrainSelectedInstOperands,
     /*  324751 */     // GIR_Coverage, 62984,
     /*  324751 */     GIR_EraseRootFromParent_Done,
     /*  324752 */   // Label 6188: @324752
     /*  324752 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(324825), // Rule ID 62995 //
     /*  324757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  324774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324781 */     // MIs[0] op1
     /*  324781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324784 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  324807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324809 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324811 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324813 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324823 */     GIR_RootConstrainSelectedInstOperands,
     /*  324824 */     // GIR_Coverage, 62995,
     /*  324824 */     GIR_EraseRootFromParent_Done,
     /*  324825 */   // Label 6189: @324825
     /*  324825 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(324898), // Rule ID 62996 //
     /*  324830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  324838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  324847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324854 */     // MIs[0] op1
     /*  324854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324857 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  324862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  324880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324896 */     GIR_RootConstrainSelectedInstOperands,
     /*  324897 */     // GIR_Coverage, 62996,
     /*  324897 */     GIR_EraseRootFromParent_Done,
     /*  324898 */   // Label 6190: @324898
     /*  324898 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(324971), // Rule ID 63019 //
     /*  324903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  324906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  324923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324927 */     // MIs[0] op1
     /*  324927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  324930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  324935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  324943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324950 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  324953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324955 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  324957 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  324959 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  324961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324969 */     GIR_RootConstrainSelectedInstOperands,
     /*  324970 */     // GIR_Coverage, 63019,
     /*  324970 */     GIR_EraseRootFromParent_Done,
     /*  324971 */   // Label 6191: @324971
     /*  324971 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(325044), // Rule ID 63020 //
     /*  324976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  324979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  324984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  324987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  324996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325000 */     // MIs[0] op1
     /*  325000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  325026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325042 */     GIR_RootConstrainSelectedInstOperands,
     /*  325043 */     // GIR_Coverage, 63020,
     /*  325043 */     GIR_EraseRootFromParent_Done,
     /*  325044 */   // Label 6192: @325044
     /*  325044 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(325117), // Rule ID 63039 //
     /*  325049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325073 */     // MIs[0] op1
     /*  325073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  325099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325115 */     GIR_RootConstrainSelectedInstOperands,
     /*  325116 */     // GIR_Coverage, 63039,
     /*  325116 */     GIR_EraseRootFromParent_Done,
     /*  325117 */   // Label 6193: @325117
     /*  325117 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(325190), // Rule ID 63040 //
     /*  325122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325146 */     // MIs[0] op1
     /*  325146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  325172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325188 */     GIR_RootConstrainSelectedInstOperands,
     /*  325189 */     // GIR_Coverage, 63040,
     /*  325189 */     GIR_EraseRootFromParent_Done,
     /*  325190 */   // Label 6194: @325190
     /*  325190 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(325263), // Rule ID 63051 //
     /*  325195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  325212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325219 */     // MIs[0] op1
     /*  325219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  325245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325261 */     GIR_RootConstrainSelectedInstOperands,
     /*  325262 */     // GIR_Coverage, 63051,
     /*  325262 */     GIR_EraseRootFromParent_Done,
     /*  325263 */   // Label 6195: @325263
     /*  325263 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(325336), // Rule ID 63052 //
     /*  325268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  325285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325292 */     // MIs[0] op1
     /*  325292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  325318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325320 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325322 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325324 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325334 */     GIR_RootConstrainSelectedInstOperands,
     /*  325335 */     // GIR_Coverage, 63052,
     /*  325335 */     GIR_EraseRootFromParent_Done,
     /*  325336 */   // Label 6196: @325336
     /*  325336 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(325409), // Rule ID 63075 //
     /*  325341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325365 */     // MIs[0] op1
     /*  325365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325388 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  325391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325407 */     GIR_RootConstrainSelectedInstOperands,
     /*  325408 */     // GIR_Coverage, 63075,
     /*  325408 */     GIR_EraseRootFromParent_Done,
     /*  325409 */   // Label 6197: @325409
     /*  325409 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(325482), // Rule ID 63076 //
     /*  325414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  325425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  325428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325438 */     // MIs[0] op1
     /*  325438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  325464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325466 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325468 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325470 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325480 */     GIR_RootConstrainSelectedInstOperands,
     /*  325481 */     // GIR_Coverage, 63076,
     /*  325481 */     GIR_EraseRootFromParent_Done,
     /*  325482 */   // Label 6198: @325482
     /*  325482 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(325555), // Rule ID 63095 //
     /*  325487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325511 */     // MIs[0] op1
     /*  325511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  325537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325553 */     GIR_RootConstrainSelectedInstOperands,
     /*  325554 */     // GIR_Coverage, 63095,
     /*  325554 */     GIR_EraseRootFromParent_Done,
     /*  325555 */   // Label 6199: @325555
     /*  325555 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(325628), // Rule ID 63096 //
     /*  325560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325584 */     // MIs[0] op1
     /*  325584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  325610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325612 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325614 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325616 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325626 */     GIR_RootConstrainSelectedInstOperands,
     /*  325627 */     // GIR_Coverage, 63096,
     /*  325627 */     GIR_EraseRootFromParent_Done,
     /*  325628 */   // Label 6200: @325628
     /*  325628 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(325701), // Rule ID 63107 //
     /*  325633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  325650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325657 */     // MIs[0] op1
     /*  325657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  325683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325685 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325687 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325689 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325699 */     GIR_RootConstrainSelectedInstOperands,
     /*  325700 */     // GIR_Coverage, 63107,
     /*  325700 */     GIR_EraseRootFromParent_Done,
     /*  325701 */   // Label 6201: @325701
     /*  325701 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(325774), // Rule ID 63108 //
     /*  325706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  325714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  325723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325730 */     // MIs[0] op1
     /*  325730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325733 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325753 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  325756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325758 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325760 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325762 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325772 */     GIR_RootConstrainSelectedInstOperands,
     /*  325773 */     // GIR_Coverage, 63108,
     /*  325773 */     GIR_EraseRootFromParent_Done,
     /*  325774 */   // Label 6202: @325774
     /*  325774 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(325847), // Rule ID 63131 //
     /*  325779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325803 */     // MIs[0] op1
     /*  325803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  325829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325831 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325833 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325835 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325845 */     GIR_RootConstrainSelectedInstOperands,
     /*  325846 */     // GIR_Coverage, 63131,
     /*  325846 */     GIR_EraseRootFromParent_Done,
     /*  325847 */   // Label 6203: @325847
     /*  325847 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(325920), // Rule ID 63132 //
     /*  325852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  325855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  325860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  325863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  325866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  325872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325876 */     // MIs[0] op1
     /*  325876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325879 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  325884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  325902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325904 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325906 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325908 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325918 */     GIR_RootConstrainSelectedInstOperands,
     /*  325919 */     // GIR_Coverage, 63132,
     /*  325919 */     GIR_EraseRootFromParent_Done,
     /*  325920 */   // Label 6204: @325920
     /*  325920 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(325993), // Rule ID 63151 //
     /*  325925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  325928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  325933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  325936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  325939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  325945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325949 */     // MIs[0] op1
     /*  325949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  325952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  325957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  325965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  325975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325977 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  325979 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  325981 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  325983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325991 */     GIR_RootConstrainSelectedInstOperands,
     /*  325992 */     // GIR_Coverage, 63151,
     /*  325992 */     GIR_EraseRootFromParent_Done,
     /*  325993 */   // Label 6205: @325993
     /*  325993 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(326066), // Rule ID 63152 //
     /*  325998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  326009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  326012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326022 */     // MIs[0] op1
     /*  326022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326025 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326045 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  326048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326050 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326052 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326054 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326064 */     GIR_RootConstrainSelectedInstOperands,
     /*  326065 */     // GIR_Coverage, 63152,
     /*  326065 */     GIR_EraseRootFromParent_Done,
     /*  326066 */   // Label 6206: @326066
     /*  326066 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(326139), // Rule ID 63163 //
     /*  326071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  326082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  326085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  326088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326095 */     // MIs[0] op1
     /*  326095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326118 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  326121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326123 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326125 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326127 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326137 */     GIR_RootConstrainSelectedInstOperands,
     /*  326138 */     // GIR_Coverage, 63163,
     /*  326138 */     GIR_EraseRootFromParent_Done,
     /*  326139 */   // Label 6207: @326139
     /*  326139 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(326212), // Rule ID 63164 //
     /*  326144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  326155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  326158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  326161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326168 */     // MIs[0] op1
     /*  326168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326171 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326191 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  326194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326210 */     GIR_RootConstrainSelectedInstOperands,
     /*  326211 */     // GIR_Coverage, 63164,
     /*  326211 */     GIR_EraseRootFromParent_Done,
     /*  326212 */   // Label 6208: @326212
     /*  326212 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(326285), // Rule ID 63187 //
     /*  326217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  326228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  326231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326241 */     // MIs[0] op1
     /*  326241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  326267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326269 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326271 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326273 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326283 */     GIR_RootConstrainSelectedInstOperands,
     /*  326284 */     // GIR_Coverage, 63187,
     /*  326284 */     GIR_EraseRootFromParent_Done,
     /*  326285 */   // Label 6209: @326285
     /*  326285 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(326358), // Rule ID 63188 //
     /*  326290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  326301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  326304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326314 */     // MIs[0] op1
     /*  326314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326317 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326337 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  326340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326356 */     GIR_RootConstrainSelectedInstOperands,
     /*  326357 */     // GIR_Coverage, 63188,
     /*  326357 */     GIR_EraseRootFromParent_Done,
     /*  326358 */   // Label 6210: @326358
     /*  326358 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(326431), // Rule ID 63207 //
     /*  326363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326387 */     // MIs[0] op1
     /*  326387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  326413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326429 */     GIR_RootConstrainSelectedInstOperands,
     /*  326430 */     // GIR_Coverage, 63207,
     /*  326430 */     GIR_EraseRootFromParent_Done,
     /*  326431 */   // Label 6211: @326431
     /*  326431 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(326504), // Rule ID 63208 //
     /*  326436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326460 */     // MIs[0] op1
     /*  326460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326463 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  326486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326502 */     GIR_RootConstrainSelectedInstOperands,
     /*  326503 */     // GIR_Coverage, 63208,
     /*  326503 */     GIR_EraseRootFromParent_Done,
     /*  326504 */   // Label 6212: @326504
     /*  326504 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(326577), // Rule ID 63219 //
     /*  326509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  326526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326533 */     // MIs[0] op1
     /*  326533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326536 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  326559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326561 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326563 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326565 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326575 */     GIR_RootConstrainSelectedInstOperands,
     /*  326576 */     // GIR_Coverage, 63219,
     /*  326576 */     GIR_EraseRootFromParent_Done,
     /*  326577 */   // Label 6213: @326577
     /*  326577 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(326650), // Rule ID 63220 //
     /*  326582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  326599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326606 */     // MIs[0] op1
     /*  326606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326629 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  326632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326648 */     GIR_RootConstrainSelectedInstOperands,
     /*  326649 */     // GIR_Coverage, 63220,
     /*  326649 */     GIR_EraseRootFromParent_Done,
     /*  326650 */   // Label 6214: @326650
     /*  326650 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(326723), // Rule ID 63243 //
     /*  326655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326679 */     // MIs[0] op1
     /*  326679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326682 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  326705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326721 */     GIR_RootConstrainSelectedInstOperands,
     /*  326722 */     // GIR_Coverage, 63243,
     /*  326722 */     GIR_EraseRootFromParent_Done,
     /*  326723 */   // Label 6215: @326723
     /*  326723 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(326796), // Rule ID 63244 //
     /*  326728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  326736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  326739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  326742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326752 */     // MIs[0] op1
     /*  326752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  326760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326775 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  326778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326794 */     GIR_RootConstrainSelectedInstOperands,
     /*  326795 */     // GIR_Coverage, 63244,
     /*  326795 */     GIR_EraseRootFromParent_Done,
     /*  326796 */   // Label 6216: @326796
     /*  326796 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(326869), // Rule ID 63263 //
     /*  326801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326825 */     // MIs[0] op1
     /*  326825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326828 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  326851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326867 */     GIR_RootConstrainSelectedInstOperands,
     /*  326868 */     // GIR_Coverage, 63263,
     /*  326868 */     GIR_EraseRootFromParent_Done,
     /*  326869 */   // Label 6217: @326869
     /*  326869 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(326942), // Rule ID 63264 //
     /*  326874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  326877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  326882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  326894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326898 */     // MIs[0] op1
     /*  326898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  326914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10717:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  326924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326926 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  326928 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  326930 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  326932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326940 */     GIR_RootConstrainSelectedInstOperands,
     /*  326941 */     // GIR_Coverage, 63264,
     /*  326941 */     GIR_EraseRootFromParent_Done,
     /*  326942 */   // Label 6218: @326942
     /*  326942 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(327015), // Rule ID 63275 //
     /*  326947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  326950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  326955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  326958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  326961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  326964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  326967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326971 */     // MIs[0] op1
     /*  326971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  326974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  326979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326994 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  326997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  327001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  327003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  327005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327013 */     GIR_RootConstrainSelectedInstOperands,
     /*  327014 */     // GIR_Coverage, 63275,
     /*  327014 */     GIR_EraseRootFromParent_Done,
     /*  327015 */   // Label 6219: @327015
     /*  327015 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(327088), // Rule ID 63276 //
     /*  327020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  327023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  327028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  327031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  327037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327044 */     // MIs[0] op1
     /*  327044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  327047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  327052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327067 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10709:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  327070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327072 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  327074 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  327076 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  327078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327086 */     GIR_RootConstrainSelectedInstOperands,
     /*  327087 */     // GIR_Coverage, 63276,
     /*  327087 */     GIR_EraseRootFromParent_Done,
     /*  327088 */   // Label 6220: @327088
     /*  327088 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(327161), // Rule ID 63299 //
     /*  327093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  327096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  327101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  327104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327117 */     // MIs[0] op1
     /*  327117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  327120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  327125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327140 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  327143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  327147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  327149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  327151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327159 */     GIR_RootConstrainSelectedInstOperands,
     /*  327160 */     // GIR_Coverage, 63299,
     /*  327160 */     GIR_EraseRootFromParent_Done,
     /*  327161 */   // Label 6221: @327161
     /*  327161 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(327234), // Rule ID 63300 //
     /*  327166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  327169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  327174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  327177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  327180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327190 */     // MIs[0] op1
     /*  327190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  327193 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  327198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  327202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  327206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327213 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10695:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  327216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327218 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  327220 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  327222 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  327224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327232 */     GIR_RootConstrainSelectedInstOperands,
     /*  327233 */     // GIR_Coverage, 63300,
     /*  327233 */     GIR_EraseRootFromParent_Done,
     /*  327234 */   // Label 6222: @327234
     /*  327234 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(327335), // Rule ID 5184 //
     /*  327239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  327253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327282 */     // MIs[1] Operand 1
     /*  327282 */     // No operand predicates
     /*  327282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327295 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  327295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  327312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327333 */     GIR_RootConstrainSelectedInstOperands,
     /*  327334 */     // GIR_Coverage, 5184,
     /*  327334 */     GIR_EraseRootFromParent_Done,
     /*  327335 */   // Label 6223: @327335
     /*  327335 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(327436), // Rule ID 5185 //
     /*  327340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  327354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327383 */     // MIs[1] Operand 1
     /*  327383 */     // No operand predicates
     /*  327383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327400 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  327413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327434 */     GIR_RootConstrainSelectedInstOperands,
     /*  327435 */     // GIR_Coverage, 5185,
     /*  327435 */     GIR_EraseRootFromParent_Done,
     /*  327436 */   // Label 6224: @327436
     /*  327436 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(327537), // Rule ID 5186 //
     /*  327441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  327455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  327461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327484 */     // MIs[1] Operand 1
     /*  327484 */     // No operand predicates
     /*  327484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327497 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  327497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327501 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327535 */     GIR_RootConstrainSelectedInstOperands,
     /*  327536 */     // GIR_Coverage, 5186,
     /*  327536 */     GIR_EraseRootFromParent_Done,
     /*  327537 */   // Label 6225: @327537
     /*  327537 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(327638), // Rule ID 5187 //
     /*  327542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  327556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  327562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327585 */     // MIs[1] Operand 1
     /*  327585 */     // No operand predicates
     /*  327585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327598 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327636 */     GIR_RootConstrainSelectedInstOperands,
     /*  327637 */     // GIR_Coverage, 5187,
     /*  327637 */     GIR_EraseRootFromParent_Done,
     /*  327638 */   // Label 6226: @327638
     /*  327638 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(327739), // Rule ID 5188 //
     /*  327643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  327657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  327663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327686 */     // MIs[1] Operand 1
     /*  327686 */     // No operand predicates
     /*  327686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  327699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327737 */     GIR_RootConstrainSelectedInstOperands,
     /*  327738 */     // GIR_Coverage, 5188,
     /*  327738 */     GIR_EraseRootFromParent_Done,
     /*  327739 */   // Label 6227: @327739
     /*  327739 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(327840), // Rule ID 5189 //
     /*  327744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  327758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  327764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327787 */     // MIs[1] Operand 1
     /*  327787 */     // No operand predicates
     /*  327787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  327800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  327817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  327838 */     GIR_RootConstrainSelectedInstOperands,
     /*  327839 */     // GIR_Coverage, 5189,
     /*  327839 */     GIR_EraseRootFromParent_Done,
     /*  327840 */   // Label 6228: @327840
     /*  327840 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(327941), // Rule ID 5190 //
     /*  327845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  327848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  327862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  327868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327888 */     // MIs[1] Operand 1
     /*  327888 */     // No operand predicates
     /*  327888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327901 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  327905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  327911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  327915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  327918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  327925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  327931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327939 */     GIR_RootConstrainSelectedInstOperands,
     /*  327940 */     // GIR_Coverage, 5190,
     /*  327940 */     GIR_EraseRootFromParent_Done,
     /*  327941 */   // Label 6229: @327941
     /*  327941 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(328042), // Rule ID 5191 //
     /*  327946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  327949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  327954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  327963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  327966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  327969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  327981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  327985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  327989 */     // MIs[1] Operand 1
     /*  327989 */     // No operand predicates
     /*  327989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  327993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  327995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  328019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328040 */     GIR_RootConstrainSelectedInstOperands,
     /*  328041 */     // GIR_Coverage, 5191,
     /*  328041 */     GIR_EraseRootFromParent_Done,
     /*  328042 */   // Label 6230: @328042
     /*  328042 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(328143), // Rule ID 5192 //
     /*  328047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328090 */     // MIs[1] Operand 1
     /*  328090 */     // No operand predicates
     /*  328090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328103 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  328120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328127 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328141 */     GIR_RootConstrainSelectedInstOperands,
     /*  328142 */     // GIR_Coverage, 5192,
     /*  328142 */     GIR_EraseRootFromParent_Done,
     /*  328143 */   // Label 6231: @328143
     /*  328143 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(328244), // Rule ID 5193 //
     /*  328148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328191 */     // MIs[1] Operand 1
     /*  328191 */     // No operand predicates
     /*  328191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328204 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  328221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328242 */     GIR_RootConstrainSelectedInstOperands,
     /*  328243 */     // GIR_Coverage, 5193,
     /*  328243 */     GIR_EraseRootFromParent_Done,
     /*  328244 */   // Label 6232: @328244
     /*  328244 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(328345), // Rule ID 5194 //
     /*  328249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  328269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328292 */     // MIs[1] Operand 1
     /*  328292 */     // No operand predicates
     /*  328292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328305 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  328322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328343 */     GIR_RootConstrainSelectedInstOperands,
     /*  328344 */     // GIR_Coverage, 5194,
     /*  328344 */     GIR_EraseRootFromParent_Done,
     /*  328345 */   // Label 6233: @328345
     /*  328345 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(328446), // Rule ID 5195 //
     /*  328350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  328364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  328370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328393 */     // MIs[1] Operand 1
     /*  328393 */     // No operand predicates
     /*  328393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328406 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328410 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  328423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328444 */     GIR_RootConstrainSelectedInstOperands,
     /*  328445 */     // GIR_Coverage, 5195,
     /*  328445 */     GIR_EraseRootFromParent_Done,
     /*  328446 */   // Label 6234: @328446
     /*  328446 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(328547), // Rule ID 5196 //
     /*  328451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  328465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  328471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328494 */     // MIs[1] Operand 1
     /*  328494 */     // No operand predicates
     /*  328494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  328507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328545 */     GIR_RootConstrainSelectedInstOperands,
     /*  328546 */     // GIR_Coverage, 5196,
     /*  328546 */     GIR_EraseRootFromParent_Done,
     /*  328547 */   // Label 6235: @328547
     /*  328547 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(328648), // Rule ID 5197 //
     /*  328552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  328566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  328572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328595 */     // MIs[1] Operand 1
     /*  328595 */     // No operand predicates
     /*  328595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  328608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  328646 */     GIR_RootConstrainSelectedInstOperands,
     /*  328647 */     // GIR_Coverage, 5197,
     /*  328647 */     GIR_EraseRootFromParent_Done,
     /*  328648 */   // Label 6236: @328648
     /*  328648 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(328749), // Rule ID 5198 //
     /*  328653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  328673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328696 */     // MIs[1] Operand 1
     /*  328696 */     // No operand predicates
     /*  328696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328747 */     GIR_RootConstrainSelectedInstOperands,
     /*  328748 */     // GIR_Coverage, 5198,
     /*  328748 */     GIR_EraseRootFromParent_Done,
     /*  328749 */   // Label 6237: @328749
     /*  328749 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(328850), // Rule ID 5199 //
     /*  328754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  328768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  328774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328797 */     // MIs[1] Operand 1
     /*  328797 */     // No operand predicates
     /*  328797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328848 */     GIR_RootConstrainSelectedInstOperands,
     /*  328849 */     // GIR_Coverage, 5199,
     /*  328849 */     GIR_EraseRootFromParent_Done,
     /*  328850 */   // Label 6238: @328850
     /*  328850 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(328951), // Rule ID 5200 //
     /*  328855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  328858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  328872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  328878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328898 */     // MIs[1] Operand 1
     /*  328898 */     // No operand predicates
     /*  328898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  328902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  328904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328911 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  328915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  328921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  328925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  328928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  328935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  328941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328949 */     GIR_RootConstrainSelectedInstOperands,
     /*  328950 */     // GIR_Coverage, 5200,
     /*  328950 */     GIR_EraseRootFromParent_Done,
     /*  328951 */   // Label 6239: @328951
     /*  328951 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(329052), // Rule ID 5201 //
     /*  328956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  328959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  328964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  328970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  328973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  328976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  328979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  328991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  328995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  328999 */     // MIs[1] Operand 1
     /*  328999 */     // No operand predicates
     /*  328999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  329029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329050 */     GIR_RootConstrainSelectedInstOperands,
     /*  329051 */     // GIR_Coverage, 5201,
     /*  329051 */     GIR_EraseRootFromParent_Done,
     /*  329052 */   // Label 6240: @329052
     /*  329052 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(329153), // Rule ID 5202 //
     /*  329057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  329060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  329077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329100 */     // MIs[1] Operand 1
     /*  329100 */     // No operand predicates
     /*  329100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  329130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329137 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329151 */     GIR_RootConstrainSelectedInstOperands,
     /*  329152 */     // GIR_Coverage, 5202,
     /*  329152 */     GIR_EraseRootFromParent_Done,
     /*  329153 */   // Label 6241: @329153
     /*  329153 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(329254), // Rule ID 5203 //
     /*  329158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  329161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  329178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329201 */     // MIs[1] Operand 1
     /*  329201 */     // No operand predicates
     /*  329201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  329231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329252 */     GIR_RootConstrainSelectedInstOperands,
     /*  329253 */     // GIR_Coverage, 5203,
     /*  329253 */     GIR_EraseRootFromParent_Done,
     /*  329254 */   // Label 6242: @329254
     /*  329254 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(329355), // Rule ID 5204 //
     /*  329259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  329273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329302 */     // MIs[1] Operand 1
     /*  329302 */     // No operand predicates
     /*  329302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329315 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  329315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329353 */     GIR_RootConstrainSelectedInstOperands,
     /*  329354 */     // GIR_Coverage, 5204,
     /*  329354 */     GIR_EraseRootFromParent_Done,
     /*  329355 */   // Label 6243: @329355
     /*  329355 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(329456), // Rule ID 5205 //
     /*  329360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  329374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  329380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329403 */     // MIs[1] Operand 1
     /*  329403 */     // No operand predicates
     /*  329403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329416 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  329416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329454 */     GIR_RootConstrainSelectedInstOperands,
     /*  329455 */     // GIR_Coverage, 5205,
     /*  329455 */     GIR_EraseRootFromParent_Done,
     /*  329456 */   // Label 6244: @329456
     /*  329456 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(329557), // Rule ID 5206 //
     /*  329461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  329475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  329481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329504 */     // MIs[1] Operand 1
     /*  329504 */     // No operand predicates
     /*  329504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329517 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  329517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329555 */     GIR_RootConstrainSelectedInstOperands,
     /*  329556 */     // GIR_Coverage, 5206,
     /*  329556 */     GIR_EraseRootFromParent_Done,
     /*  329557 */   // Label 6245: @329557
     /*  329557 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(329658), // Rule ID 5207 //
     /*  329562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  329576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  329582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329605 */     // MIs[1] Operand 1
     /*  329605 */     // No operand predicates
     /*  329605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329618 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  329618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  329635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329656 */     GIR_RootConstrainSelectedInstOperands,
     /*  329657 */     // GIR_Coverage, 5207,
     /*  329657 */     GIR_EraseRootFromParent_Done,
     /*  329658 */   // Label 6246: @329658
     /*  329658 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(329759), // Rule ID 5208 //
     /*  329663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  329674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  329677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  329683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329706 */     // MIs[1] Operand 1
     /*  329706 */     // No operand predicates
     /*  329706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329719 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  329719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329757 */     GIR_RootConstrainSelectedInstOperands,
     /*  329758 */     // GIR_Coverage, 5208,
     /*  329758 */     GIR_EraseRootFromParent_Done,
     /*  329759 */   // Label 6247: @329759
     /*  329759 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(329860), // Rule ID 5209 //
     /*  329764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  329775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  329778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  329784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329807 */     // MIs[1] Operand 1
     /*  329807 */     // No operand predicates
     /*  329807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329820 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  329820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329824 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  329837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  329858 */     GIR_RootConstrainSelectedInstOperands,
     /*  329859 */     // GIR_Coverage, 5209,
     /*  329859 */     GIR_EraseRootFromParent_Done,
     /*  329860 */   // Label 6248: @329860
     /*  329860 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(329961), // Rule ID 5210 //
     /*  329865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  329868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  329885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  329888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  329900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  329904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  329908 */     // MIs[1] Operand 1
     /*  329908 */     // No operand predicates
     /*  329908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  329912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  329914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329921 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  329925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  329931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  329935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  329938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  329945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  329951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329959 */     GIR_RootConstrainSelectedInstOperands,
     /*  329960 */     // GIR_Coverage, 5210,
     /*  329960 */     GIR_EraseRootFromParent_Done,
     /*  329961 */   // Label 6249: @329961
     /*  329961 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(330062), // Rule ID 5211 //
     /*  329966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  329969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  329974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  329986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  329989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330009 */     // MIs[1] Operand 1
     /*  330009 */     // No operand predicates
     /*  330009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330026 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  330039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330060 */     GIR_RootConstrainSelectedInstOperands,
     /*  330061 */     // GIR_Coverage, 5211,
     /*  330061 */     GIR_EraseRootFromParent_Done,
     /*  330062 */   // Label 6250: @330062
     /*  330062 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(330163), // Rule ID 5212 //
     /*  330067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  330070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  330087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330110 */     // MIs[1] Operand 1
     /*  330110 */     // No operand predicates
     /*  330110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330161 */     GIR_RootConstrainSelectedInstOperands,
     /*  330162 */     // GIR_Coverage, 5212,
     /*  330162 */     GIR_EraseRootFromParent_Done,
     /*  330163 */   // Label 6251: @330163
     /*  330163 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(330264), // Rule ID 5213 //
     /*  330168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  330171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  330182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  330188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330211 */     // MIs[1] Operand 1
     /*  330211 */     // No operand predicates
     /*  330211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330224 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330262 */     GIR_RootConstrainSelectedInstOperands,
     /*  330263 */     // GIR_Coverage, 5213,
     /*  330263 */     GIR_EraseRootFromParent_Done,
     /*  330264 */   // Label 6252: @330264
     /*  330264 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(330365), // Rule ID 5214 //
     /*  330269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  330272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  330289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330312 */     // MIs[1] Operand 1
     /*  330312 */     // No operand predicates
     /*  330312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330325 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  330342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330363 */     GIR_RootConstrainSelectedInstOperands,
     /*  330364 */     // GIR_Coverage, 5214,
     /*  330364 */     GIR_EraseRootFromParent_Done,
     /*  330365 */   // Label 6253: @330365
     /*  330365 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(330466), // Rule ID 5215 //
     /*  330370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  330373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  330381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  330384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  330390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330413 */     // MIs[1] Operand 1
     /*  330413 */     // No operand predicates
     /*  330413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330426 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  330443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330464 */     GIR_RootConstrainSelectedInstOperands,
     /*  330465 */     // GIR_Coverage, 5215,
     /*  330465 */     GIR_EraseRootFromParent_Done,
     /*  330466 */   // Label 6254: @330466
     /*  330466 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(330567), // Rule ID 5216 //
     /*  330471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  330474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  330491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330514 */     // MIs[1] Operand 1
     /*  330514 */     // No operand predicates
     /*  330514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  330544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330565 */     GIR_RootConstrainSelectedInstOperands,
     /*  330566 */     // GIR_Coverage, 5216,
     /*  330566 */     GIR_EraseRootFromParent_Done,
     /*  330567 */   // Label 6255: @330567
     /*  330567 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(330668), // Rule ID 5217 //
     /*  330572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  330575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  330592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330615 */     // MIs[1] Operand 1
     /*  330615 */     // No operand predicates
     /*  330615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  330645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330666 */     GIR_RootConstrainSelectedInstOperands,
     /*  330667 */     // GIR_Coverage, 5217,
     /*  330667 */     GIR_EraseRootFromParent_Done,
     /*  330668 */   // Label 6256: @330668
     /*  330668 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(330769), // Rule ID 5218 //
     /*  330673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  330676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  330693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330716 */     // MIs[1] Operand 1
     /*  330716 */     // No operand predicates
     /*  330716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330767 */     GIR_RootConstrainSelectedInstOperands,
     /*  330768 */     // GIR_Coverage, 5218,
     /*  330768 */     GIR_EraseRootFromParent_Done,
     /*  330769 */   // Label 6257: @330769
     /*  330769 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(330870), // Rule ID 5219 //
     /*  330774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  330777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  330794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330817 */     // MIs[1] Operand 1
     /*  330817 */     // No operand predicates
     /*  330817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330830 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  330847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330868 */     GIR_RootConstrainSelectedInstOperands,
     /*  330869 */     // GIR_Coverage, 5219,
     /*  330869 */     GIR_EraseRootFromParent_Done,
     /*  330870 */   // Label 6258: @330870
     /*  330870 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(330971), // Rule ID 5220 //
     /*  330875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  330878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  330895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  330898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  330910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  330914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  330918 */     // MIs[1] Operand 1
     /*  330918 */     // No operand predicates
     /*  330918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  330922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  330924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  330935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  330941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  330945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  330948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  330955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  330961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330969 */     GIR_RootConstrainSelectedInstOperands,
     /*  330970 */     // GIR_Coverage, 5220,
     /*  330970 */     GIR_EraseRootFromParent_Done,
     /*  330971 */   // Label 6259: @330971
     /*  330971 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(331072), // Rule ID 5221 //
     /*  330976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  330979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  330984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  330996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  330999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331019 */     // MIs[1] Operand 1
     /*  331019 */     // No operand predicates
     /*  331019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331032 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331036 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  331049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331070 */     GIR_RootConstrainSelectedInstOperands,
     /*  331071 */     // GIR_Coverage, 5221,
     /*  331071 */     GIR_EraseRootFromParent_Done,
     /*  331072 */   // Label 6260: @331072
     /*  331072 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(331173), // Rule ID 5222 //
     /*  331077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  331080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  331097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331120 */     // MIs[1] Operand 1
     /*  331120 */     // No operand predicates
     /*  331120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  331150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331171 */     GIR_RootConstrainSelectedInstOperands,
     /*  331172 */     // GIR_Coverage, 5222,
     /*  331172 */     GIR_EraseRootFromParent_Done,
     /*  331173 */   // Label 6261: @331173
     /*  331173 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(331274), // Rule ID 5223 //
     /*  331178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  331181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  331192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  331198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331221 */     // MIs[1] Operand 1
     /*  331221 */     // No operand predicates
     /*  331221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  331251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331272 */     GIR_RootConstrainSelectedInstOperands,
     /*  331273 */     // GIR_Coverage, 5223,
     /*  331273 */     GIR_EraseRootFromParent_Done,
     /*  331274 */   // Label 6262: @331274
     /*  331274 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(331375), // Rule ID 5224 //
     /*  331279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  331282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  331299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331322 */     // MIs[1] Operand 1
     /*  331322 */     // No operand predicates
     /*  331322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331335 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  331352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331373 */     GIR_RootConstrainSelectedInstOperands,
     /*  331374 */     // GIR_Coverage, 5224,
     /*  331374 */     GIR_EraseRootFromParent_Done,
     /*  331375 */   // Label 6263: @331375
     /*  331375 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(331476), // Rule ID 5225 //
     /*  331380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  331383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  331394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  331400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331423 */     // MIs[1] Operand 1
     /*  331423 */     // No operand predicates
     /*  331423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331436 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  331453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331474 */     GIR_RootConstrainSelectedInstOperands,
     /*  331475 */     // GIR_Coverage, 5225,
     /*  331475 */     GIR_EraseRootFromParent_Done,
     /*  331476 */   // Label 6264: @331476
     /*  331476 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(331577), // Rule ID 5226 //
     /*  331481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  331484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  331498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  331501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331524 */     // MIs[1] Operand 1
     /*  331524 */     // No operand predicates
     /*  331524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  331554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331575 */     GIR_RootConstrainSelectedInstOperands,
     /*  331576 */     // GIR_Coverage, 5226,
     /*  331576 */     GIR_EraseRootFromParent_Done,
     /*  331577 */   // Label 6265: @331577
     /*  331577 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(331678), // Rule ID 5227 //
     /*  331582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  331585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  331590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  331596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  331599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  331602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  331617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  331621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  331625 */     // MIs[1] Operand 1
     /*  331625 */     // No operand predicates
     /*  331625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  331629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  331631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331638 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  331642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  331648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  331652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  331655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  331662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  331668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331676 */     GIR_RootConstrainSelectedInstOperands,
     /*  331677 */     // GIR_Coverage, 5227,
     /*  331677 */     GIR_EraseRootFromParent_Done,
     /*  331678 */   // Label 6266: @331678
     /*  331678 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(331754), // Rule ID 59912 //
     /*  331683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  331686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331715 */     // MIs[0] rs2
     /*  331715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10787:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  331733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331752 */     GIR_RootConstrainSelectedInstOperands,
     /*  331753 */     // GIR_Coverage, 59912,
     /*  331753 */     GIR_EraseRootFromParent_Done,
     /*  331754 */   // Label 6267: @331754
     /*  331754 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(331830), // Rule ID 59913 //
     /*  331759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  331762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  331770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331791 */     // MIs[0] rs2
     /*  331791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331806 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10787:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  331809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331828 */     GIR_RootConstrainSelectedInstOperands,
     /*  331829 */     // GIR_Coverage, 59913,
     /*  331829 */     GIR_EraseRootFromParent_Done,
     /*  331830 */   // Label 6268: @331830
     /*  331830 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(331906), // Rule ID 61558 //
     /*  331835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  331838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  331855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331867 */     // MIs[0] rs2
     /*  331867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10787:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  331882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  331885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331904 */     GIR_RootConstrainSelectedInstOperands,
     /*  331905 */     // GIR_Coverage, 61558,
     /*  331905 */     GIR_EraseRootFromParent_Done,
     /*  331906 */   // Label 6269: @331906
     /*  331906 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(331982), // Rule ID 61559 //
     /*  331911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  331914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  331922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  331931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331943 */     // MIs[0] rs2
     /*  331943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  331946 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  331951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10787:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  331958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  331961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  331965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  331967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  331969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  331980 */     GIR_RootConstrainSelectedInstOperands,
     /*  331981 */     // GIR_Coverage, 61559,
     /*  331981 */     GIR_EraseRootFromParent_Done,
     /*  331982 */   // Label 6270: @331982
     /*  331982 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(332058), // Rule ID 61560 //
     /*  331987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  331990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  331995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  331998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332019 */     // MIs[0] rs2
     /*  332019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332034 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10787:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  332037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332056 */     GIR_RootConstrainSelectedInstOperands,
     /*  332057 */     // GIR_Coverage, 61560,
     /*  332057 */     GIR_EraseRootFromParent_Done,
     /*  332058 */   // Label 6271: @332058
     /*  332058 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(332134), // Rule ID 61561 //
     /*  332063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  332066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  332071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  332074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332095 */     // MIs[0] rs2
     /*  332095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332098 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10787:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  332113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332132 */     GIR_RootConstrainSelectedInstOperands,
     /*  332133 */     // GIR_Coverage, 61561,
     /*  332133 */     GIR_EraseRootFromParent_Done,
     /*  332134 */   // Label 6272: @332134
     /*  332134 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(332210), // Rule ID 61562 //
     /*  332139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  332142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  332147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332171 */     // MIs[0] rs2
     /*  332171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10787:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  332189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332208 */     GIR_RootConstrainSelectedInstOperands,
     /*  332209 */     // GIR_Coverage, 61562,
     /*  332209 */     GIR_EraseRootFromParent_Done,
     /*  332210 */   // Label 6273: @332210
     /*  332210 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(332286), // Rule ID 61563 //
     /*  332215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  332218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  332223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332247 */     // MIs[0] rs2
     /*  332247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10787:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  332265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332284 */     GIR_RootConstrainSelectedInstOperands,
     /*  332285 */     // GIR_Coverage, 61563,
     /*  332285 */     GIR_EraseRootFromParent_Done,
     /*  332286 */   // Label 6274: @332286
     /*  332286 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(332362), // Rule ID 61564 //
     /*  332291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  332294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  332299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  332302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332323 */     // MIs[0] rs2
     /*  332323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10787:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  332341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332360 */     GIR_RootConstrainSelectedInstOperands,
     /*  332361 */     // GIR_Coverage, 61564,
     /*  332361 */     GIR_EraseRootFromParent_Done,
     /*  332362 */   // Label 6275: @332362
     /*  332362 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(332438), // Rule ID 61565 //
     /*  332367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  332370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  332375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  332378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332399 */     // MIs[0] rs2
     /*  332399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332414 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10787:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  332417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332436 */     GIR_RootConstrainSelectedInstOperands,
     /*  332437 */     // GIR_Coverage, 61565,
     /*  332437 */     GIR_EraseRootFromParent_Done,
     /*  332438 */   // Label 6276: @332438
     /*  332438 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(332514), // Rule ID 61686 //
     /*  332443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  332446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  332454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332475 */     // MIs[0] rs2
     /*  332475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  332493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332512 */     GIR_RootConstrainSelectedInstOperands,
     /*  332513 */     // GIR_Coverage, 61686,
     /*  332513 */     GIR_EraseRootFromParent_Done,
     /*  332514 */   // Label 6277: @332514
     /*  332514 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(332590), // Rule ID 61687 //
     /*  332519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  332522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  332530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  332536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332551 */     // MIs[0] rs2
     /*  332551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332554 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  332569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332588 */     GIR_RootConstrainSelectedInstOperands,
     /*  332589 */     // GIR_Coverage, 61687,
     /*  332589 */     GIR_EraseRootFromParent_Done,
     /*  332590 */   // Label 6278: @332590
     /*  332590 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(332666), // Rule ID 61688 //
     /*  332595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  332598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  332606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  332612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332627 */     // MIs[0] rs2
     /*  332627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  332645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332664 */     GIR_RootConstrainSelectedInstOperands,
     /*  332665 */     // GIR_Coverage, 61688,
     /*  332665 */     GIR_EraseRootFromParent_Done,
     /*  332666 */   // Label 6279: @332666
     /*  332666 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(332742), // Rule ID 61689 //
     /*  332671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  332674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  332682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  332685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  332688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332703 */     // MIs[0] rs2
     /*  332703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  332721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332740 */     GIR_RootConstrainSelectedInstOperands,
     /*  332741 */     // GIR_Coverage, 61689,
     /*  332741 */     GIR_EraseRootFromParent_Done,
     /*  332742 */   // Label 6280: @332742
     /*  332742 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(332818), // Rule ID 61690 //
     /*  332747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  332750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  332758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332779 */     // MIs[0] rs2
     /*  332779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  332797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332816 */     GIR_RootConstrainSelectedInstOperands,
     /*  332817 */     // GIR_Coverage, 61690,
     /*  332817 */     GIR_EraseRootFromParent_Done,
     /*  332818 */   // Label 6281: @332818
     /*  332818 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(332894), // Rule ID 61691 //
     /*  332823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  332826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  332834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  332837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  332840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332855 */     // MIs[0] rs2
     /*  332855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332870 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  332870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  332873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332892 */     GIR_RootConstrainSelectedInstOperands,
     /*  332893 */     // GIR_Coverage, 61691,
     /*  332893 */     GIR_EraseRootFromParent_Done,
     /*  332894 */   // Label 6282: @332894
     /*  332894 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(332970), // Rule ID 61692 //
     /*  332899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  332902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  332919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332931 */     // MIs[0] rs2
     /*  332931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  332934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  332939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  332946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  332949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  332953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  332955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  332957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  332968 */     GIR_RootConstrainSelectedInstOperands,
     /*  332969 */     // GIR_Coverage, 61692,
     /*  332969 */     GIR_EraseRootFromParent_Done,
     /*  332970 */   // Label 6283: @332970
     /*  332970 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(333046), // Rule ID 61693 //
     /*  332975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  332978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  332983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  332986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  332995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333007 */     // MIs[0] rs2
     /*  333007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  333010 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  333015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  333022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  333025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  333033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333044 */     GIR_RootConstrainSelectedInstOperands,
     /*  333045 */     // GIR_Coverage, 61693,
     /*  333045 */     GIR_EraseRootFromParent_Done,
     /*  333046 */   // Label 6284: @333046
     /*  333046 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(333122), // Rule ID 61694 //
     /*  333051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  333054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  333059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  333062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  333068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333083 */     // MIs[0] rs2
     /*  333083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  333086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  333091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  333098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  333101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  333109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333120 */     GIR_RootConstrainSelectedInstOperands,
     /*  333121 */     // GIR_Coverage, 61694,
     /*  333121 */     GIR_EraseRootFromParent_Done,
     /*  333122 */   // Label 6285: @333122
     /*  333122 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(333198), // Rule ID 61695 //
     /*  333127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  333130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  333135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  333138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  333141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  333144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333159 */     // MIs[0] rs2
     /*  333159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  333162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  333167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  333174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  333177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  333185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333196 */     GIR_RootConstrainSelectedInstOperands,
     /*  333197 */     // GIR_Coverage, 61695,
     /*  333197 */     GIR_EraseRootFromParent_Done,
     /*  333198 */   // Label 6286: @333198
     /*  333198 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(333286), // Rule ID 2654 //
     /*  333203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  333214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  333217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  333220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333250 */     // MIs[1] Operand 1
     /*  333250 */     // No operand predicates
     /*  333250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333259 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  333262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333268 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333284 */     GIR_RootConstrainSelectedInstOperands,
     /*  333285 */     // GIR_Coverage, 2654,
     /*  333285 */     GIR_EraseRootFromParent_Done,
     /*  333286 */   // Label 6287: @333286
     /*  333286 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(333374), // Rule ID 2655 //
     /*  333291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  333302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  333305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  333308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333338 */     // MIs[1] Operand 1
     /*  333338 */     // No operand predicates
     /*  333338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  333350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333356 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333372 */     GIR_RootConstrainSelectedInstOperands,
     /*  333373 */     // GIR_Coverage, 2655,
     /*  333373 */     GIR_EraseRootFromParent_Done,
     /*  333374 */   // Label 6288: @333374
     /*  333374 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(333462), // Rule ID 2662 //
     /*  333379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  333390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  333393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  333396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333426 */     // MIs[1] Operand 1
     /*  333426 */     // No operand predicates
     /*  333426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333435 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  333438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333444 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333460 */     GIR_RootConstrainSelectedInstOperands,
     /*  333461 */     // GIR_Coverage, 2662,
     /*  333461 */     GIR_EraseRootFromParent_Done,
     /*  333462 */   // Label 6289: @333462
     /*  333462 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(333550), // Rule ID 2663 //
     /*  333467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  333478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  333481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  333484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333514 */     // MIs[1] Operand 1
     /*  333514 */     // No operand predicates
     /*  333514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  333526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333532 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333548 */     GIR_RootConstrainSelectedInstOperands,
     /*  333549 */     // GIR_Coverage, 2663,
     /*  333549 */     GIR_EraseRootFromParent_Done,
     /*  333550 */   // Label 6290: @333550
     /*  333550 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(333638), // Rule ID 2670 //
     /*  333555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  333566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  333569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  333572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333602 */     // MIs[1] Operand 1
     /*  333602 */     // No operand predicates
     /*  333602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  333611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  333614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333620 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333636 */     GIR_RootConstrainSelectedInstOperands,
     /*  333637 */     // GIR_Coverage, 2670,
     /*  333637 */     GIR_EraseRootFromParent_Done,
     /*  333638 */   // Label 6291: @333638
     /*  333638 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(333726), // Rule ID 2671 //
     /*  333643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  333654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  333657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  333660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333690 */     // MIs[1] Operand 1
     /*  333690 */     // No operand predicates
     /*  333690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  333699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  333702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333708 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  333721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333724 */     GIR_RootConstrainSelectedInstOperands,
     /*  333725 */     // GIR_Coverage, 2671,
     /*  333725 */     GIR_EraseRootFromParent_Done,
     /*  333726 */   // Label 6292: @333726
     /*  333726 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(333814), // Rule ID 2678 //
     /*  333731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  333742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333778 */     // MIs[1] Operand 1
     /*  333778 */     // No operand predicates
     /*  333778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  333790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333796 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333812 */     GIR_RootConstrainSelectedInstOperands,
     /*  333813 */     // GIR_Coverage, 2678,
     /*  333813 */     GIR_EraseRootFromParent_Done,
     /*  333814 */   // Label 6293: @333814
     /*  333814 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(333902), // Rule ID 2679 //
     /*  333819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  333830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  333833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  333836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  333842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333866 */     // MIs[1] Operand 1
     /*  333866 */     // No operand predicates
     /*  333866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  333875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  333878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333884 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333900 */     GIR_RootConstrainSelectedInstOperands,
     /*  333901 */     // GIR_Coverage, 2679,
     /*  333901 */     GIR_EraseRootFromParent_Done,
     /*  333902 */   // Label 6294: @333902
     /*  333902 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(333990), // Rule ID 2686 //
     /*  333907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  333910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  333915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  333918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  333921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  333924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  333930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  333946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  333950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  333954 */     // MIs[1] Operand 1
     /*  333954 */     // No operand predicates
     /*  333954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  333956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  333963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  333966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  333970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  333972 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  333977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  333988 */     GIR_RootConstrainSelectedInstOperands,
     /*  333989 */     // GIR_Coverage, 2686,
     /*  333989 */     GIR_EraseRootFromParent_Done,
     /*  333990 */   // Label 6295: @333990
     /*  333990 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(334078), // Rule ID 2687 //
     /*  333995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  333998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  334006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  334012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334042 */     // MIs[1] Operand 1
     /*  334042 */     // No operand predicates
     /*  334042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  334054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334060 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334076 */     GIR_RootConstrainSelectedInstOperands,
     /*  334077 */     // GIR_Coverage, 2687,
     /*  334077 */     GIR_EraseRootFromParent_Done,
     /*  334078 */   // Label 6296: @334078
     /*  334078 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(334166), // Rule ID 2694 //
     /*  334083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  334094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334130 */     // MIs[1] Operand 1
     /*  334130 */     // No operand predicates
     /*  334130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  334142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334148 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334164 */     GIR_RootConstrainSelectedInstOperands,
     /*  334165 */     // GIR_Coverage, 2694,
     /*  334165 */     GIR_EraseRootFromParent_Done,
     /*  334166 */   // Label 6297: @334166
     /*  334166 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(334254), // Rule ID 2695 //
     /*  334171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  334182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  334188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334218 */     // MIs[1] Operand 1
     /*  334218 */     // No operand predicates
     /*  334218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  334230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334236 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334252 */     GIR_RootConstrainSelectedInstOperands,
     /*  334253 */     // GIR_Coverage, 2695,
     /*  334253 */     GIR_EraseRootFromParent_Done,
     /*  334254 */   // Label 6298: @334254
     /*  334254 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(334342), // Rule ID 2702 //
     /*  334259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  334270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  334273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  334276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334306 */     // MIs[1] Operand 1
     /*  334306 */     // No operand predicates
     /*  334306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  334315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334324 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  334337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334340 */     GIR_RootConstrainSelectedInstOperands,
     /*  334341 */     // GIR_Coverage, 2702,
     /*  334341 */     GIR_EraseRootFromParent_Done,
     /*  334342 */   // Label 6299: @334342
     /*  334342 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(334430), // Rule ID 2703 //
     /*  334347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  334358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  334361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  334364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334394 */     // MIs[1] Operand 1
     /*  334394 */     // No operand predicates
     /*  334394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  334403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334412 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  334425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334428 */     GIR_RootConstrainSelectedInstOperands,
     /*  334429 */     // GIR_Coverage, 2703,
     /*  334429 */     GIR_EraseRootFromParent_Done,
     /*  334430 */   // Label 6300: @334430
     /*  334430 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(334518), // Rule ID 2710 //
     /*  334435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  334446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334482 */     // MIs[1] Operand 1
     /*  334482 */     // No operand predicates
     /*  334482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  334491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334500 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334516 */     GIR_RootConstrainSelectedInstOperands,
     /*  334517 */     // GIR_Coverage, 2710,
     /*  334517 */     GIR_EraseRootFromParent_Done,
     /*  334518 */   // Label 6301: @334518
     /*  334518 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(334606), // Rule ID 2711 //
     /*  334523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  334534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  334540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334570 */     // MIs[1] Operand 1
     /*  334570 */     // No operand predicates
     /*  334570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  334579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334588 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334604 */     GIR_RootConstrainSelectedInstOperands,
     /*  334605 */     // GIR_Coverage, 2711,
     /*  334605 */     GIR_EraseRootFromParent_Done,
     /*  334606 */   // Label 6302: @334606
     /*  334606 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(334694), // Rule ID 2718 //
     /*  334611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  334622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334658 */     // MIs[1] Operand 1
     /*  334658 */     // No operand predicates
     /*  334658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  334667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334676 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334692 */     GIR_RootConstrainSelectedInstOperands,
     /*  334693 */     // GIR_Coverage, 2718,
     /*  334693 */     GIR_EraseRootFromParent_Done,
     /*  334694 */   // Label 6303: @334694
     /*  334694 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(334782), // Rule ID 2719 //
     /*  334699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  334702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  334710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  334713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  334716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334746 */     // MIs[1] Operand 1
     /*  334746 */     // No operand predicates
     /*  334746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  334755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334764 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334780 */     GIR_RootConstrainSelectedInstOperands,
     /*  334781 */     // GIR_Coverage, 2719,
     /*  334781 */     GIR_EraseRootFromParent_Done,
     /*  334782 */   // Label 6304: @334782
     /*  334782 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(334870), // Rule ID 2726 //
     /*  334787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  334790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  334798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334834 */     // MIs[1] Operand 1
     /*  334834 */     // No operand predicates
     /*  334834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  334843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334852 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334868 */     GIR_RootConstrainSelectedInstOperands,
     /*  334869 */     // GIR_Coverage, 2726,
     /*  334869 */     GIR_EraseRootFromParent_Done,
     /*  334870 */   // Label 6305: @334870
     /*  334870 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(334958), // Rule ID 2727 //
     /*  334875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  334878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  334886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  334889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  334892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  334898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  334914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  334918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  334922 */     // MIs[1] Operand 1
     /*  334922 */     // No operand predicates
     /*  334922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  334924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334931 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  334931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  334934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  334938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  334940 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  334945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  334956 */     GIR_RootConstrainSelectedInstOperands,
     /*  334957 */     // GIR_Coverage, 2727,
     /*  334957 */     GIR_EraseRootFromParent_Done,
     /*  334958 */   // Label 6306: @334958
     /*  334958 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(335046), // Rule ID 2734 //
     /*  334963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  334966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  334971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  334974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  334977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  334980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  334986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335010 */     // MIs[1] Operand 1
     /*  335010 */     // No operand predicates
     /*  335010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335019 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  335019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335028 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335044 */     GIR_RootConstrainSelectedInstOperands,
     /*  335045 */     // GIR_Coverage, 2734,
     /*  335045 */     GIR_EraseRootFromParent_Done,
     /*  335046 */   // Label 6307: @335046
     /*  335046 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(335134), // Rule ID 2735 //
     /*  335051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  335062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  335065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  335068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335098 */     // MIs[1] Operand 1
     /*  335098 */     // No operand predicates
     /*  335098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  335107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335116 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335132 */     GIR_RootConstrainSelectedInstOperands,
     /*  335133 */     // GIR_Coverage, 2735,
     /*  335133 */     GIR_EraseRootFromParent_Done,
     /*  335134 */   // Label 6308: @335134
     /*  335134 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(335222), // Rule ID 2742 //
     /*  335139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  335150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  335153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  335156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335186 */     // MIs[1] Operand 1
     /*  335186 */     // No operand predicates
     /*  335186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335195 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  335195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335204 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335220 */     GIR_RootConstrainSelectedInstOperands,
     /*  335221 */     // GIR_Coverage, 2742,
     /*  335221 */     GIR_EraseRootFromParent_Done,
     /*  335222 */   // Label 6309: @335222
     /*  335222 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(335310), // Rule ID 2743 //
     /*  335227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  335238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  335241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  335244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335270 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335274 */     // MIs[1] Operand 1
     /*  335274 */     // No operand predicates
     /*  335274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335283 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  335283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335292 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335308 */     GIR_RootConstrainSelectedInstOperands,
     /*  335309 */     // GIR_Coverage, 2743,
     /*  335309 */     GIR_EraseRootFromParent_Done,
     /*  335310 */   // Label 6310: @335310
     /*  335310 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(335398), // Rule ID 2750 //
     /*  335315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  335326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  335329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  335332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335362 */     // MIs[1] Operand 1
     /*  335362 */     // No operand predicates
     /*  335362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  335371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335380 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335396 */     GIR_RootConstrainSelectedInstOperands,
     /*  335397 */     // GIR_Coverage, 2750,
     /*  335397 */     GIR_EraseRootFromParent_Done,
     /*  335398 */   // Label 6311: @335398
     /*  335398 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(335486), // Rule ID 2751 //
     /*  335403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  335414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  335417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  335420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335450 */     // MIs[1] Operand 1
     /*  335450 */     // No operand predicates
     /*  335450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  335459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335468 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  335481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335484 */     GIR_RootConstrainSelectedInstOperands,
     /*  335485 */     // GIR_Coverage, 2751,
     /*  335485 */     GIR_EraseRootFromParent_Done,
     /*  335486 */   // Label 6312: @335486
     /*  335486 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(335574), // Rule ID 2758 //
     /*  335491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  335502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335538 */     // MIs[1] Operand 1
     /*  335538 */     // No operand predicates
     /*  335538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335556 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335572 */     GIR_RootConstrainSelectedInstOperands,
     /*  335573 */     // GIR_Coverage, 2758,
     /*  335573 */     GIR_EraseRootFromParent_Done,
     /*  335574 */   // Label 6313: @335574
     /*  335574 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(335662), // Rule ID 2759 //
     /*  335579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  335590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  335596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335626 */     // MIs[1] Operand 1
     /*  335626 */     // No operand predicates
     /*  335626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  335638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335644 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335660 */     GIR_RootConstrainSelectedInstOperands,
     /*  335661 */     // GIR_Coverage, 2759,
     /*  335661 */     GIR_EraseRootFromParent_Done,
     /*  335662 */   // Label 6314: @335662
     /*  335662 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(335750), // Rule ID 2766 //
     /*  335667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  335678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335714 */     // MIs[1] Operand 1
     /*  335714 */     // No operand predicates
     /*  335714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335732 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335748 */     GIR_RootConstrainSelectedInstOperands,
     /*  335749 */     // GIR_Coverage, 2766,
     /*  335749 */     GIR_EraseRootFromParent_Done,
     /*  335750 */   // Label 6315: @335750
     /*  335750 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(335838), // Rule ID 2767 //
     /*  335755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  335766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  335772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335802 */     // MIs[1] Operand 1
     /*  335802 */     // No operand predicates
     /*  335802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  335814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335820 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335836 */     GIR_RootConstrainSelectedInstOperands,
     /*  335837 */     // GIR_Coverage, 2767,
     /*  335837 */     GIR_EraseRootFromParent_Done,
     /*  335838 */   // Label 6316: @335838
     /*  335838 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(335926), // Rule ID 2774 //
     /*  335843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  335846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  335854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  335866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335890 */     // MIs[1] Operand 1
     /*  335890 */     // No operand predicates
     /*  335890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  335899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335908 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  335913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  335924 */     GIR_RootConstrainSelectedInstOperands,
     /*  335925 */     // GIR_Coverage, 2774,
     /*  335925 */     GIR_EraseRootFromParent_Done,
     /*  335926 */   // Label 6317: @335926
     /*  335926 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(336014), // Rule ID 2775 //
     /*  335931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  335934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  335939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  335942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  335948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  335954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  335970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  335974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  335978 */     // MIs[1] Operand 1
     /*  335978 */     // No operand predicates
     /*  335978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  335980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  335987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  335990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  335994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  335996 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336012 */     GIR_RootConstrainSelectedInstOperands,
     /*  336013 */     // GIR_Coverage, 2775,
     /*  336013 */     GIR_EraseRootFromParent_Done,
     /*  336014 */   // Label 6318: @336014
     /*  336014 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(336102), // Rule ID 2782 //
     /*  336019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336066 */     // MIs[1] Operand 1
     /*  336066 */     // No operand predicates
     /*  336066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  336078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336084 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336100 */     GIR_RootConstrainSelectedInstOperands,
     /*  336101 */     // GIR_Coverage, 2782,
     /*  336101 */     GIR_EraseRootFromParent_Done,
     /*  336102 */   // Label 6319: @336102
     /*  336102 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(336190), // Rule ID 2783 //
     /*  336107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  336118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  336121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  336124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336154 */     // MIs[1] Operand 1
     /*  336154 */     // No operand predicates
     /*  336154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  336166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336172 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336188 */     GIR_RootConstrainSelectedInstOperands,
     /*  336189 */     // GIR_Coverage, 2783,
     /*  336189 */     GIR_EraseRootFromParent_Done,
     /*  336190 */   // Label 6320: @336190
     /*  336190 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(336278), // Rule ID 2790 //
     /*  336195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336242 */     // MIs[1] Operand 1
     /*  336242 */     // No operand predicates
     /*  336242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  336254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336260 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336276 */     GIR_RootConstrainSelectedInstOperands,
     /*  336277 */     // GIR_Coverage, 2790,
     /*  336277 */     GIR_EraseRootFromParent_Done,
     /*  336278 */   // Label 6321: @336278
     /*  336278 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(336366), // Rule ID 2791 //
     /*  336283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  336294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  336297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  336300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336330 */     // MIs[1] Operand 1
     /*  336330 */     // No operand predicates
     /*  336330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  336342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336348 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336364 */     GIR_RootConstrainSelectedInstOperands,
     /*  336365 */     // GIR_Coverage, 2791,
     /*  336365 */     GIR_EraseRootFromParent_Done,
     /*  336366 */   // Label 6322: @336366
     /*  336366 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(336454), // Rule ID 2798 //
     /*  336371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  336374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  336382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336418 */     // MIs[1] Operand 1
     /*  336418 */     // No operand predicates
     /*  336418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336427 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  336427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  336430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336436 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336452 */     GIR_RootConstrainSelectedInstOperands,
     /*  336453 */     // GIR_Coverage, 2798,
     /*  336453 */     GIR_EraseRootFromParent_Done,
     /*  336454 */   // Label 6323: @336454
     /*  336454 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(336542), // Rule ID 2799 //
     /*  336459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  336462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  336470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  336473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  336476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336506 */     // MIs[1] Operand 1
     /*  336506 */     // No operand predicates
     /*  336506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  336515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  336518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336524 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336540 */     GIR_RootConstrainSelectedInstOperands,
     /*  336541 */     // GIR_Coverage, 2799,
     /*  336541 */     GIR_EraseRootFromParent_Done,
     /*  336542 */   // Label 6324: @336542
     /*  336542 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(336630), // Rule ID 2806 //
     /*  336547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  336550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  336558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336594 */     // MIs[1] Operand 1
     /*  336594 */     // No operand predicates
     /*  336594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  336606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336612 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336628 */     GIR_RootConstrainSelectedInstOperands,
     /*  336629 */     // GIR_Coverage, 2806,
     /*  336629 */     GIR_EraseRootFromParent_Done,
     /*  336630 */   // Label 6325: @336630
     /*  336630 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(336718), // Rule ID 2807 //
     /*  336635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  336638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  336646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  336652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336682 */     // MIs[1] Operand 1
     /*  336682 */     // No operand predicates
     /*  336682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  336694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336700 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336716 */     GIR_RootConstrainSelectedInstOperands,
     /*  336717 */     // GIR_Coverage, 2807,
     /*  336717 */     GIR_EraseRootFromParent_Done,
     /*  336718 */   // Label 6326: @336718
     /*  336718 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(336806), // Rule ID 2814 //
     /*  336723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  336726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  336734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336770 */     // MIs[1] Operand 1
     /*  336770 */     // No operand predicates
     /*  336770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  336782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336788 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336804 */     GIR_RootConstrainSelectedInstOperands,
     /*  336805 */     // GIR_Coverage, 2814,
     /*  336805 */     GIR_EraseRootFromParent_Done,
     /*  336806 */   // Label 6327: @336806
     /*  336806 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(336894), // Rule ID 2815 //
     /*  336811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  336814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  336822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  336828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  336834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336858 */     // MIs[1] Operand 1
     /*  336858 */     // No operand predicates
     /*  336858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  336867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  336870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336876 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336892 */     GIR_RootConstrainSelectedInstOperands,
     /*  336893 */     // GIR_Coverage, 2815,
     /*  336893 */     GIR_EraseRootFromParent_Done,
     /*  336894 */   // Label 6328: @336894
     /*  336894 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(336982), // Rule ID 2822 //
     /*  336899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  336902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  336910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  336916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  336922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  336938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  336942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  336946 */     // MIs[1] Operand 1
     /*  336946 */     // No operand predicates
     /*  336946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  336948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  336955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  336958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  336962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  336964 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  336969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  336980 */     GIR_RootConstrainSelectedInstOperands,
     /*  336981 */     // GIR_Coverage, 2822,
     /*  336981 */     GIR_EraseRootFromParent_Done,
     /*  336982 */   // Label 6329: @336982
     /*  336982 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(337070), // Rule ID 2823 //
     /*  336987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  336990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  336995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  336998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  337001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  337004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  337034 */     // MIs[1] Operand 1
     /*  337034 */     // No operand predicates
     /*  337034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  337043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  337046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337052 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  337057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337068 */     GIR_RootConstrainSelectedInstOperands,
     /*  337069 */     // GIR_Coverage, 2823,
     /*  337069 */     GIR_EraseRootFromParent_Done,
     /*  337070 */   // Label 6330: @337070
     /*  337070 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(337156), // Rule ID 2998 //
     /*  337075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  337086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  337089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  337092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337122 */     // MIs[1] Operand 1
     /*  337122 */     // No operand predicates
     /*  337122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337131 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  337134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337154 */     GIR_RootConstrainSelectedInstOperands,
     /*  337155 */     // GIR_Coverage, 2998,
     /*  337155 */     GIR_EraseRootFromParent_Done,
     /*  337156 */   // Label 6331: @337156
     /*  337156 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(337242), // Rule ID 2999 //
     /*  337161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  337172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  337175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  337178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337208 */     // MIs[1] Operand 1
     /*  337208 */     // No operand predicates
     /*  337208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  337220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337240 */     GIR_RootConstrainSelectedInstOperands,
     /*  337241 */     // GIR_Coverage, 2999,
     /*  337241 */     GIR_EraseRootFromParent_Done,
     /*  337242 */   // Label 6332: @337242
     /*  337242 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(337328), // Rule ID 3002 //
     /*  337247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  337258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  337261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  337264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337294 */     // MIs[1] Operand 1
     /*  337294 */     // No operand predicates
     /*  337294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337303 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  337306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337326 */     GIR_RootConstrainSelectedInstOperands,
     /*  337327 */     // GIR_Coverage, 3002,
     /*  337327 */     GIR_EraseRootFromParent_Done,
     /*  337328 */   // Label 6333: @337328
     /*  337328 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(337414), // Rule ID 3003 //
     /*  337333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  337344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  337347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  337350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337380 */     // MIs[1] Operand 1
     /*  337380 */     // No operand predicates
     /*  337380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337389 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  337392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337398 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337412 */     GIR_RootConstrainSelectedInstOperands,
     /*  337413 */     // GIR_Coverage, 3003,
     /*  337413 */     GIR_EraseRootFromParent_Done,
     /*  337414 */   // Label 6334: @337414
     /*  337414 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(337500), // Rule ID 3006 //
     /*  337419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  337430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  337433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  337436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337466 */     // MIs[1] Operand 1
     /*  337466 */     // No operand predicates
     /*  337466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  337475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  337478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337498 */     GIR_RootConstrainSelectedInstOperands,
     /*  337499 */     // GIR_Coverage, 3006,
     /*  337499 */     GIR_EraseRootFromParent_Done,
     /*  337500 */   // Label 6335: @337500
     /*  337500 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(337586), // Rule ID 3007 //
     /*  337505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  337516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  337519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  337522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337552 */     // MIs[1] Operand 1
     /*  337552 */     // No operand predicates
     /*  337552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337561 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  337561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  337564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  337581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337584 */     GIR_RootConstrainSelectedInstOperands,
     /*  337585 */     // GIR_Coverage, 3007,
     /*  337585 */     GIR_EraseRootFromParent_Done,
     /*  337586 */   // Label 6336: @337586
     /*  337586 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(337672), // Rule ID 3010 //
     /*  337591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  337602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337638 */     // MIs[1] Operand 1
     /*  337638 */     // No operand predicates
     /*  337638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337647 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  337650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337670 */     GIR_RootConstrainSelectedInstOperands,
     /*  337671 */     // GIR_Coverage, 3010,
     /*  337671 */     GIR_EraseRootFromParent_Done,
     /*  337672 */   // Label 6337: @337672
     /*  337672 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(337758), // Rule ID 3011 //
     /*  337677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  337688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  337691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  337694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337724 */     // MIs[1] Operand 1
     /*  337724 */     // No operand predicates
     /*  337724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337733 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  337736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337756 */     GIR_RootConstrainSelectedInstOperands,
     /*  337757 */     // GIR_Coverage, 3011,
     /*  337757 */     GIR_EraseRootFromParent_Done,
     /*  337758 */   // Label 6338: @337758
     /*  337758 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(337844), // Rule ID 3014 //
     /*  337763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337810 */     // MIs[1] Operand 1
     /*  337810 */     // No operand predicates
     /*  337810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  337819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  337822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337842 */     GIR_RootConstrainSelectedInstOperands,
     /*  337843 */     // GIR_Coverage, 3014,
     /*  337843 */     GIR_EraseRootFromParent_Done,
     /*  337844 */   // Label 6339: @337844
     /*  337844 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(337930), // Rule ID 3015 //
     /*  337849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  337852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  337860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  337863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  337866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  337872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337896 */     // MIs[1] Operand 1
     /*  337896 */     // No operand predicates
     /*  337896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  337905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  337908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  337914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  337917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  337928 */     GIR_RootConstrainSelectedInstOperands,
     /*  337929 */     // GIR_Coverage, 3015,
     /*  337929 */     GIR_EraseRootFromParent_Done,
     /*  337930 */   // Label 6340: @337930
     /*  337930 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(338016), // Rule ID 3018 //
     /*  337935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  337938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  337943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  337946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  337949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  337952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  337958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  337974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  337978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  337982 */     // MIs[1] Operand 1
     /*  337982 */     // No operand predicates
     /*  337982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  337984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  337991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  337994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  337998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338014 */     GIR_RootConstrainSelectedInstOperands,
     /*  338015 */     // GIR_Coverage, 3018,
     /*  338015 */     GIR_EraseRootFromParent_Done,
     /*  338016 */   // Label 6341: @338016
     /*  338016 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(338102), // Rule ID 3019 //
     /*  338021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  338032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338068 */     // MIs[1] Operand 1
     /*  338068 */     // No operand predicates
     /*  338068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338077 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  338080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338100 */     GIR_RootConstrainSelectedInstOperands,
     /*  338101 */     // GIR_Coverage, 3019,
     /*  338101 */     GIR_EraseRootFromParent_Done,
     /*  338102 */   // Label 6342: @338102
     /*  338102 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(338188), // Rule ID 3022 //
     /*  338107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  338118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  338121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  338124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338154 */     // MIs[1] Operand 1
     /*  338154 */     // No operand predicates
     /*  338154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  338163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  338183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338186 */     GIR_RootConstrainSelectedInstOperands,
     /*  338187 */     // GIR_Coverage, 3022,
     /*  338187 */     GIR_EraseRootFromParent_Done,
     /*  338188 */   // Label 6343: @338188
     /*  338188 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(338274), // Rule ID 3023 //
     /*  338193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  338204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  338207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  338210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338240 */     // MIs[1] Operand 1
     /*  338240 */     // No operand predicates
     /*  338240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  338249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  338269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338272 */     GIR_RootConstrainSelectedInstOperands,
     /*  338273 */     // GIR_Coverage, 3023,
     /*  338273 */     GIR_EraseRootFromParent_Done,
     /*  338274 */   // Label 6344: @338274
     /*  338274 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(338360), // Rule ID 3026 //
     /*  338279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  338290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338326 */     // MIs[1] Operand 1
     /*  338326 */     // No operand predicates
     /*  338326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  338335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338358 */     GIR_RootConstrainSelectedInstOperands,
     /*  338359 */     // GIR_Coverage, 3026,
     /*  338359 */     GIR_EraseRootFromParent_Done,
     /*  338360 */   // Label 6345: @338360
     /*  338360 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(338446), // Rule ID 3027 //
     /*  338365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  338376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338412 */     // MIs[1] Operand 1
     /*  338412 */     // No operand predicates
     /*  338412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  338421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338430 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338444 */     GIR_RootConstrainSelectedInstOperands,
     /*  338445 */     // GIR_Coverage, 3027,
     /*  338445 */     GIR_EraseRootFromParent_Done,
     /*  338446 */   // Label 6346: @338446
     /*  338446 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(338532), // Rule ID 3030 //
     /*  338451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338498 */     // MIs[1] Operand 1
     /*  338498 */     // No operand predicates
     /*  338498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  338507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338530 */     GIR_RootConstrainSelectedInstOperands,
     /*  338531 */     // GIR_Coverage, 3030,
     /*  338531 */     GIR_EraseRootFromParent_Done,
     /*  338532 */   // Label 6347: @338532
     /*  338532 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(338618), // Rule ID 3031 //
     /*  338537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  338548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338584 */     // MIs[1] Operand 1
     /*  338584 */     // No operand predicates
     /*  338584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  338593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338616 */     GIR_RootConstrainSelectedInstOperands,
     /*  338617 */     // GIR_Coverage, 3031,
     /*  338617 */     GIR_EraseRootFromParent_Done,
     /*  338618 */   // Label 6348: @338618
     /*  338618 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(338704), // Rule ID 3034 //
     /*  338623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  338626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338670 */     // MIs[1] Operand 1
     /*  338670 */     // No operand predicates
     /*  338670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  338679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338702 */     GIR_RootConstrainSelectedInstOperands,
     /*  338703 */     // GIR_Coverage, 3034,
     /*  338703 */     GIR_EraseRootFromParent_Done,
     /*  338704 */   // Label 6349: @338704
     /*  338704 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(338790), // Rule ID 3035 //
     /*  338709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  338712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  338720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338756 */     // MIs[1] Operand 1
     /*  338756 */     // No operand predicates
     /*  338756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338765 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  338765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  338768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338788 */     GIR_RootConstrainSelectedInstOperands,
     /*  338789 */     // GIR_Coverage, 3035,
     /*  338789 */     GIR_EraseRootFromParent_Done,
     /*  338790 */   // Label 6350: @338790
     /*  338790 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(338876), // Rule ID 3038 //
     /*  338795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  338806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  338809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  338812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338842 */     // MIs[1] Operand 1
     /*  338842 */     // No operand predicates
     /*  338842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  338851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  338871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338874 */     GIR_RootConstrainSelectedInstOperands,
     /*  338875 */     // GIR_Coverage, 3038,
     /*  338875 */     GIR_EraseRootFromParent_Done,
     /*  338876 */   // Label 6351: @338876
     /*  338876 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(338962), // Rule ID 3039 //
     /*  338881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  338884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  338892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  338895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  338898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  338904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  338920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  338924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  338928 */     // MIs[1] Operand 1
     /*  338928 */     // No operand predicates
     /*  338928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  338930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338937 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  338937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  338940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  338944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  338949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  338957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  338960 */     GIR_RootConstrainSelectedInstOperands,
     /*  338961 */     // GIR_Coverage, 3039,
     /*  338961 */     GIR_EraseRootFromParent_Done,
     /*  338962 */   // Label 6352: @338962
     /*  338962 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(339048), // Rule ID 3042 //
     /*  338967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  338970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  338975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  338978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  338981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  338984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  338990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339014 */     // MIs[1] Operand 1
     /*  339014 */     // No operand predicates
     /*  339014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339023 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339046 */     GIR_RootConstrainSelectedInstOperands,
     /*  339047 */     // GIR_Coverage, 3042,
     /*  339047 */     GIR_EraseRootFromParent_Done,
     /*  339048 */   // Label 6353: @339048
     /*  339048 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(339134), // Rule ID 3043 //
     /*  339053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  339064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  339067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  339070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339100 */     // MIs[1] Operand 1
     /*  339100 */     // No operand predicates
     /*  339100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339109 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339132 */     GIR_RootConstrainSelectedInstOperands,
     /*  339133 */     // GIR_Coverage, 3043,
     /*  339133 */     GIR_EraseRootFromParent_Done,
     /*  339134 */   // Label 6354: @339134
     /*  339134 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(339220), // Rule ID 3046 //
     /*  339139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  339150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  339153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  339156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339186 */     // MIs[1] Operand 1
     /*  339186 */     // No operand predicates
     /*  339186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  339195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339218 */     GIR_RootConstrainSelectedInstOperands,
     /*  339219 */     // GIR_Coverage, 3046,
     /*  339219 */     GIR_EraseRootFromParent_Done,
     /*  339220 */   // Label 6355: @339220
     /*  339220 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(339306), // Rule ID 3047 //
     /*  339225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  339236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  339239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  339242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339272 */     // MIs[1] Operand 1
     /*  339272 */     // No operand predicates
     /*  339272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339281 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  339281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339290 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  339301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339304 */     GIR_RootConstrainSelectedInstOperands,
     /*  339305 */     // GIR_Coverage, 3047,
     /*  339305 */     GIR_EraseRootFromParent_Done,
     /*  339306 */   // Label 6356: @339306
     /*  339306 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(339392), // Rule ID 3050 //
     /*  339311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339358 */     // MIs[1] Operand 1
     /*  339358 */     // No operand predicates
     /*  339358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339367 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339390 */     GIR_RootConstrainSelectedInstOperands,
     /*  339391 */     // GIR_Coverage, 3050,
     /*  339391 */     GIR_EraseRootFromParent_Done,
     /*  339392 */   // Label 6357: @339392
     /*  339392 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(339478), // Rule ID 3051 //
     /*  339397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  339408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339444 */     // MIs[1] Operand 1
     /*  339444 */     // No operand predicates
     /*  339444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339453 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339476 */     GIR_RootConstrainSelectedInstOperands,
     /*  339477 */     // GIR_Coverage, 3051,
     /*  339477 */     GIR_EraseRootFromParent_Done,
     /*  339478 */   // Label 6358: @339478
     /*  339478 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(339564), // Rule ID 3054 //
     /*  339483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339530 */     // MIs[1] Operand 1
     /*  339530 */     // No operand predicates
     /*  339530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339562 */     GIR_RootConstrainSelectedInstOperands,
     /*  339563 */     // GIR_Coverage, 3054,
     /*  339563 */     GIR_EraseRootFromParent_Done,
     /*  339564 */   // Label 6359: @339564
     /*  339564 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(339650), // Rule ID 3055 //
     /*  339569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  339580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339616 */     // MIs[1] Operand 1
     /*  339616 */     // No operand predicates
     /*  339616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  339628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339648 */     GIR_RootConstrainSelectedInstOperands,
     /*  339649 */     // GIR_Coverage, 3055,
     /*  339649 */     GIR_EraseRootFromParent_Done,
     /*  339650 */   // Label 6360: @339650
     /*  339650 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(339736), // Rule ID 3058 //
     /*  339655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339702 */     // MIs[1] Operand 1
     /*  339702 */     // No operand predicates
     /*  339702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  339711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339734 */     GIR_RootConstrainSelectedInstOperands,
     /*  339735 */     // GIR_Coverage, 3058,
     /*  339735 */     GIR_EraseRootFromParent_Done,
     /*  339736 */   // Label 6361: @339736
     /*  339736 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(339822), // Rule ID 3059 //
     /*  339741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  339752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339788 */     // MIs[1] Operand 1
     /*  339788 */     // No operand predicates
     /*  339788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  339797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  339800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339820 */     GIR_RootConstrainSelectedInstOperands,
     /*  339821 */     // GIR_Coverage, 3059,
     /*  339821 */     GIR_EraseRootFromParent_Done,
     /*  339822 */   // Label 6362: @339822
     /*  339822 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(339908), // Rule ID 3062 //
     /*  339827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  339830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  339850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339874 */     // MIs[1] Operand 1
     /*  339874 */     // No operand predicates
     /*  339874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  339883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339906 */     GIR_RootConstrainSelectedInstOperands,
     /*  339907 */     // GIR_Coverage, 3062,
     /*  339907 */     GIR_EraseRootFromParent_Done,
     /*  339908 */   // Label 6363: @339908
     /*  339908 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(339994), // Rule ID 3063 //
     /*  339913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  339916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  339921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  339924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  339936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  339952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  339956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  339960 */     // MIs[1] Operand 1
     /*  339960 */     // No operand predicates
     /*  339960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  339962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  339969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  339972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  339976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  339981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  339992 */     GIR_RootConstrainSelectedInstOperands,
     /*  339993 */     // GIR_Coverage, 3063,
     /*  339993 */     GIR_EraseRootFromParent_Done,
     /*  339994 */   // Label 6364: @339994
     /*  339994 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(340080), // Rule ID 3066 //
     /*  339999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340046 */     // MIs[1] Operand 1
     /*  340046 */     // No operand predicates
     /*  340046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340055 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  340058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340078 */     GIR_RootConstrainSelectedInstOperands,
     /*  340079 */     // GIR_Coverage, 3066,
     /*  340079 */     GIR_EraseRootFromParent_Done,
     /*  340080 */   // Label 6365: @340080
     /*  340080 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(340166), // Rule ID 3067 //
     /*  340085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  340096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  340099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  340102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340132 */     // MIs[1] Operand 1
     /*  340132 */     // No operand predicates
     /*  340132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  340144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340164 */     GIR_RootConstrainSelectedInstOperands,
     /*  340165 */     // GIR_Coverage, 3067,
     /*  340165 */     GIR_EraseRootFromParent_Done,
     /*  340166 */   // Label 6366: @340166
     /*  340166 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(340252), // Rule ID 3070 //
     /*  340171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340218 */     // MIs[1] Operand 1
     /*  340218 */     // No operand predicates
     /*  340218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340227 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  340227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  340230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340250 */     GIR_RootConstrainSelectedInstOperands,
     /*  340251 */     // GIR_Coverage, 3070,
     /*  340251 */     GIR_EraseRootFromParent_Done,
     /*  340252 */   // Label 6367: @340252
     /*  340252 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(340338), // Rule ID 3071 //
     /*  340257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  340268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  340271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  340274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340300 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340304 */     // MIs[1] Operand 1
     /*  340304 */     // No operand predicates
     /*  340304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340313 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  340313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  340316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340336 */     GIR_RootConstrainSelectedInstOperands,
     /*  340337 */     // GIR_Coverage, 3071,
     /*  340337 */     GIR_EraseRootFromParent_Done,
     /*  340338 */   // Label 6368: @340338
     /*  340338 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(340424), // Rule ID 3074 //
     /*  340343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  340346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340390 */     // MIs[1] Operand 1
     /*  340390 */     // No operand predicates
     /*  340390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340399 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  340402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340422 */     GIR_RootConstrainSelectedInstOperands,
     /*  340423 */     // GIR_Coverage, 3074,
     /*  340423 */     GIR_EraseRootFromParent_Done,
     /*  340424 */   // Label 6369: @340424
     /*  340424 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(340510), // Rule ID 3075 //
     /*  340429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  340432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  340440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  340443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  340446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340476 */     // MIs[1] Operand 1
     /*  340476 */     // No operand predicates
     /*  340476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340485 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  340488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340508 */     GIR_RootConstrainSelectedInstOperands,
     /*  340509 */     // GIR_Coverage, 3075,
     /*  340509 */     GIR_EraseRootFromParent_Done,
     /*  340510 */   // Label 6370: @340510
     /*  340510 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(340596), // Rule ID 3078 //
     /*  340515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  340518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340562 */     // MIs[1] Operand 1
     /*  340562 */     // No operand predicates
     /*  340562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340571 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  340574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340594 */     GIR_RootConstrainSelectedInstOperands,
     /*  340595 */     // GIR_Coverage, 3078,
     /*  340595 */     GIR_EraseRootFromParent_Done,
     /*  340596 */   // Label 6371: @340596
     /*  340596 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(340682), // Rule ID 3079 //
     /*  340601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  340604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  340612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340648 */     // MIs[1] Operand 1
     /*  340648 */     // No operand predicates
     /*  340648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340657 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  340660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340680 */     GIR_RootConstrainSelectedInstOperands,
     /*  340681 */     // GIR_Coverage, 3079,
     /*  340681 */     GIR_EraseRootFromParent_Done,
     /*  340682 */   // Label 6372: @340682
     /*  340682 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(340768), // Rule ID 3082 //
     /*  340687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  340690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340734 */     // MIs[1] Operand 1
     /*  340734 */     // No operand predicates
     /*  340734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  340743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  340746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340766 */     GIR_RootConstrainSelectedInstOperands,
     /*  340767 */     // GIR_Coverage, 3082,
     /*  340767 */     GIR_EraseRootFromParent_Done,
     /*  340768 */   // Label 6373: @340768
     /*  340768 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(340854), // Rule ID 3083 //
     /*  340773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  340776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  340781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  340784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340820 */     // MIs[1] Operand 1
     /*  340820 */     // No operand predicates
     /*  340820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340829 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  340829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  340832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340852 */     GIR_RootConstrainSelectedInstOperands,
     /*  340853 */     // GIR_Coverage, 3083,
     /*  340853 */     GIR_EraseRootFromParent_Done,
     /*  340854 */   // Label 6374: @340854
     /*  340854 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(340940), // Rule ID 3350 //
     /*  340859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  340862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  340870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  340873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  340876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  340882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340906 */     // MIs[1] Operand 1
     /*  340906 */     // No operand predicates
     /*  340906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340915 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  340915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  340918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  340922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  340927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  340935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  340938 */     GIR_RootConstrainSelectedInstOperands,
     /*  340939 */     // GIR_Coverage, 3350,
     /*  340939 */     GIR_EraseRootFromParent_Done,
     /*  340940 */   // Label 6375: @340940
     /*  340940 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(341026), // Rule ID 3351 //
     /*  340945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  340948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  340953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  340956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  340959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  340962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  340968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  340984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  340988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  340992 */     // MIs[1] Operand 1
     /*  340992 */     // No operand predicates
     /*  340992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  340994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341001 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  341004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341024 */     GIR_RootConstrainSelectedInstOperands,
     /*  341025 */     // GIR_Coverage, 3351,
     /*  341025 */     GIR_EraseRootFromParent_Done,
     /*  341026 */   // Label 6376: @341026
     /*  341026 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(341112), // Rule ID 3354 //
     /*  341031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  341042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  341045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  341048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341078 */     // MIs[1] Operand 1
     /*  341078 */     // No operand predicates
     /*  341078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  341090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341110 */     GIR_RootConstrainSelectedInstOperands,
     /*  341111 */     // GIR_Coverage, 3354,
     /*  341111 */     GIR_EraseRootFromParent_Done,
     /*  341112 */   // Label 6377: @341112
     /*  341112 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(341198), // Rule ID 3355 //
     /*  341117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  341128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  341131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  341134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341164 */     // MIs[1] Operand 1
     /*  341164 */     // No operand predicates
     /*  341164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  341176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341196 */     GIR_RootConstrainSelectedInstOperands,
     /*  341197 */     // GIR_Coverage, 3355,
     /*  341197 */     GIR_EraseRootFromParent_Done,
     /*  341198 */   // Label 6378: @341198
     /*  341198 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(341284), // Rule ID 3358 //
     /*  341203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  341214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  341217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  341220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341250 */     // MIs[1] Operand 1
     /*  341250 */     // No operand predicates
     /*  341250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341282 */     GIR_RootConstrainSelectedInstOperands,
     /*  341283 */     // GIR_Coverage, 3358,
     /*  341283 */     GIR_EraseRootFromParent_Done,
     /*  341284 */   // Label 6379: @341284
     /*  341284 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(341370), // Rule ID 3359 //
     /*  341289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  341300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  341303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  341306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341336 */     // MIs[1] Operand 1
     /*  341336 */     // No operand predicates
     /*  341336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341345 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  341345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341368 */     GIR_RootConstrainSelectedInstOperands,
     /*  341369 */     // GIR_Coverage, 3359,
     /*  341369 */     GIR_EraseRootFromParent_Done,
     /*  341370 */   // Label 6380: @341370
     /*  341370 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(341456), // Rule ID 3362 //
     /*  341375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341422 */     // MIs[1] Operand 1
     /*  341422 */     // No operand predicates
     /*  341422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341431 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  341434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341440 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341454 */     GIR_RootConstrainSelectedInstOperands,
     /*  341455 */     // GIR_Coverage, 3362,
     /*  341455 */     GIR_EraseRootFromParent_Done,
     /*  341456 */   // Label 6381: @341456
     /*  341456 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(341542), // Rule ID 3363 //
     /*  341461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  341472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  341475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  341478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341508 */     // MIs[1] Operand 1
     /*  341508 */     // No operand predicates
     /*  341508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341517 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  341520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341540 */     GIR_RootConstrainSelectedInstOperands,
     /*  341541 */     // GIR_Coverage, 3363,
     /*  341541 */     GIR_EraseRootFromParent_Done,
     /*  341542 */   // Label 6382: @341542
     /*  341542 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(341628), // Rule ID 3366 //
     /*  341547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341594 */     // MIs[1] Operand 1
     /*  341594 */     // No operand predicates
     /*  341594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  341603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341626 */     GIR_RootConstrainSelectedInstOperands,
     /*  341627 */     // GIR_Coverage, 3366,
     /*  341627 */     GIR_EraseRootFromParent_Done,
     /*  341628 */   // Label 6383: @341628
     /*  341628 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(341714), // Rule ID 3367 //
     /*  341633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  341644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  341647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  341650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341680 */     // MIs[1] Operand 1
     /*  341680 */     // No operand predicates
     /*  341680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341689 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  341689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341698 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341712 */     GIR_RootConstrainSelectedInstOperands,
     /*  341713 */     // GIR_Coverage, 3367,
     /*  341713 */     GIR_EraseRootFromParent_Done,
     /*  341714 */   // Label 6384: @341714
     /*  341714 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(341800), // Rule ID 3370 //
     /*  341719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341766 */     // MIs[1] Operand 1
     /*  341766 */     // No operand predicates
     /*  341766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  341775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341798 */     GIR_RootConstrainSelectedInstOperands,
     /*  341799 */     // GIR_Coverage, 3370,
     /*  341799 */     GIR_EraseRootFromParent_Done,
     /*  341800 */   // Label 6385: @341800
     /*  341800 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(341886), // Rule ID 3371 //
     /*  341805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  341816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  341819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  341822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  341828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341852 */     // MIs[1] Operand 1
     /*  341852 */     // No operand predicates
     /*  341852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  341861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  341864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341884 */     GIR_RootConstrainSelectedInstOperands,
     /*  341885 */     // GIR_Coverage, 3371,
     /*  341885 */     GIR_EraseRootFromParent_Done,
     /*  341886 */   // Label 6386: @341886
     /*  341886 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(341972), // Rule ID 3374 //
     /*  341891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  341894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  341902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  341905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  341908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  341914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  341930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  341934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  341938 */     // MIs[1] Operand 1
     /*  341938 */     // No operand predicates
     /*  341938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  341940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  341947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  341950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  341954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  341959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  341967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  341970 */     GIR_RootConstrainSelectedInstOperands,
     /*  341971 */     // GIR_Coverage, 3374,
     /*  341971 */     GIR_EraseRootFromParent_Done,
     /*  341972 */   // Label 6387: @341972
     /*  341972 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(342058), // Rule ID 3375 //
     /*  341977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  341980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  341985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  341988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  341991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  341994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342020 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342024 */     // MIs[1] Operand 1
     /*  342024 */     // No operand predicates
     /*  342024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342033 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  342033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342056 */     GIR_RootConstrainSelectedInstOperands,
     /*  342057 */     // GIR_Coverage, 3375,
     /*  342057 */     GIR_EraseRootFromParent_Done,
     /*  342058 */   // Label 6388: @342058
     /*  342058 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(342144), // Rule ID 3378 //
     /*  342063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342110 */     // MIs[1] Operand 1
     /*  342110 */     // No operand predicates
     /*  342110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342142 */     GIR_RootConstrainSelectedInstOperands,
     /*  342143 */     // GIR_Coverage, 3378,
     /*  342143 */     GIR_EraseRootFromParent_Done,
     /*  342144 */   // Label 6389: @342144
     /*  342144 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(342230), // Rule ID 3379 //
     /*  342149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342196 */     // MIs[1] Operand 1
     /*  342196 */     // No operand predicates
     /*  342196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342205 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342228 */     GIR_RootConstrainSelectedInstOperands,
     /*  342229 */     // GIR_Coverage, 3379,
     /*  342229 */     GIR_EraseRootFromParent_Done,
     /*  342230 */   // Label 6390: @342230
     /*  342230 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(342316), // Rule ID 3382 //
     /*  342235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342282 */     // MIs[1] Operand 1
     /*  342282 */     // No operand predicates
     /*  342282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342314 */     GIR_RootConstrainSelectedInstOperands,
     /*  342315 */     // GIR_Coverage, 3382,
     /*  342315 */     GIR_EraseRootFromParent_Done,
     /*  342316 */   // Label 6391: @342316
     /*  342316 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(342402), // Rule ID 3383 //
     /*  342321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342368 */     // MIs[1] Operand 1
     /*  342368 */     // No operand predicates
     /*  342368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342400 */     GIR_RootConstrainSelectedInstOperands,
     /*  342401 */     // GIR_Coverage, 3383,
     /*  342401 */     GIR_EraseRootFromParent_Done,
     /*  342402 */   // Label 6392: @342402
     /*  342402 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(342488), // Rule ID 3386 //
     /*  342407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  342410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342454 */     // MIs[1] Operand 1
     /*  342454 */     // No operand predicates
     /*  342454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342486 */     GIR_RootConstrainSelectedInstOperands,
     /*  342487 */     // GIR_Coverage, 3386,
     /*  342487 */     GIR_EraseRootFromParent_Done,
     /*  342488 */   // Label 6393: @342488
     /*  342488 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(342574), // Rule ID 3387 //
     /*  342493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  342496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342540 */     // MIs[1] Operand 1
     /*  342540 */     // No operand predicates
     /*  342540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342549 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  342552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342572 */     GIR_RootConstrainSelectedInstOperands,
     /*  342573 */     // GIR_Coverage, 3387,
     /*  342573 */     GIR_EraseRootFromParent_Done,
     /*  342574 */   // Label 6394: @342574
     /*  342574 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(342660), // Rule ID 3390 //
     /*  342579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  342590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  342593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  342596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342626 */     // MIs[1] Operand 1
     /*  342626 */     // No operand predicates
     /*  342626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  342635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342658 */     GIR_RootConstrainSelectedInstOperands,
     /*  342659 */     // GIR_Coverage, 3390,
     /*  342659 */     GIR_EraseRootFromParent_Done,
     /*  342660 */   // Label 6395: @342660
     /*  342660 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(342746), // Rule ID 3391 //
     /*  342665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  342676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  342679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  342682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342712 */     // MIs[1] Operand 1
     /*  342712 */     // No operand predicates
     /*  342712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342721 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  342721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  342724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342744 */     GIR_RootConstrainSelectedInstOperands,
     /*  342745 */     // GIR_Coverage, 3391,
     /*  342745 */     GIR_EraseRootFromParent_Done,
     /*  342746 */   // Label 6396: @342746
     /*  342746 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(342832), // Rule ID 3394 //
     /*  342751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  342762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  342765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  342768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342798 */     // MIs[1] Operand 1
     /*  342798 */     // No operand predicates
     /*  342798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  342807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342830 */     GIR_RootConstrainSelectedInstOperands,
     /*  342831 */     // GIR_Coverage, 3394,
     /*  342831 */     GIR_EraseRootFromParent_Done,
     /*  342832 */   // Label 6397: @342832
     /*  342832 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(342918), // Rule ID 3395 //
     /*  342837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  342840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  342848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  342851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  342854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  342860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342884 */     // MIs[1] Operand 1
     /*  342884 */     // No operand predicates
     /*  342884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  342893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  342896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342916 */     GIR_RootConstrainSelectedInstOperands,
     /*  342917 */     // GIR_Coverage, 3395,
     /*  342917 */     GIR_EraseRootFromParent_Done,
     /*  342918 */   // Label 6398: @342918
     /*  342918 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(343004), // Rule ID 3398 //
     /*  342923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  342926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  342931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  342934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  342937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  342940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  342946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  342962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  342966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  342970 */     // MIs[1] Operand 1
     /*  342970 */     // No operand predicates
     /*  342970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  342972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342979 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  342979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  342982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  342991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  342999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343002 */     GIR_RootConstrainSelectedInstOperands,
     /*  343003 */     // GIR_Coverage, 3398,
     /*  343003 */     GIR_EraseRootFromParent_Done,
     /*  343004 */   // Label 6399: @343004
     /*  343004 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(343090), // Rule ID 3399 //
     /*  343009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  343020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  343023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  343026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343056 */     // MIs[1] Operand 1
     /*  343056 */     // No operand predicates
     /*  343056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  343065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  343068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  343085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343088 */     GIR_RootConstrainSelectedInstOperands,
     /*  343089 */     // GIR_Coverage, 3399,
     /*  343089 */     GIR_EraseRootFromParent_Done,
     /*  343090 */   // Label 6400: @343090
     /*  343090 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(343176), // Rule ID 3402 //
     /*  343095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  343106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  343109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343142 */     // MIs[1] Operand 1
     /*  343142 */     // No operand predicates
     /*  343142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  343154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343174 */     GIR_RootConstrainSelectedInstOperands,
     /*  343175 */     // GIR_Coverage, 3402,
     /*  343175 */     GIR_EraseRootFromParent_Done,
     /*  343176 */   // Label 6401: @343176
     /*  343176 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(343262), // Rule ID 3403 //
     /*  343181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  343192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  343195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  343198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343228 */     // MIs[1] Operand 1
     /*  343228 */     // No operand predicates
     /*  343228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  343240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343260 */     GIR_RootConstrainSelectedInstOperands,
     /*  343261 */     // GIR_Coverage, 3403,
     /*  343261 */     GIR_EraseRootFromParent_Done,
     /*  343262 */   // Label 6402: @343262
     /*  343262 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(343348), // Rule ID 3406 //
     /*  343267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  343278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  343281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343314 */     // MIs[1] Operand 1
     /*  343314 */     // No operand predicates
     /*  343314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343346 */     GIR_RootConstrainSelectedInstOperands,
     /*  343347 */     // GIR_Coverage, 3406,
     /*  343347 */     GIR_EraseRootFromParent_Done,
     /*  343348 */   // Label 6403: @343348
     /*  343348 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(343434), // Rule ID 3407 //
     /*  343353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  343364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  343367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  343370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343400 */     // MIs[1] Operand 1
     /*  343400 */     // No operand predicates
     /*  343400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343432 */     GIR_RootConstrainSelectedInstOperands,
     /*  343433 */     // GIR_Coverage, 3407,
     /*  343433 */     GIR_EraseRootFromParent_Done,
     /*  343434 */   // Label 6404: @343434
     /*  343434 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(343520), // Rule ID 3410 //
     /*  343439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  343450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  343453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  343456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343486 */     // MIs[1] Operand 1
     /*  343486 */     // No operand predicates
     /*  343486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  343498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343504 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343518 */     GIR_RootConstrainSelectedInstOperands,
     /*  343519 */     // GIR_Coverage, 3410,
     /*  343519 */     GIR_EraseRootFromParent_Done,
     /*  343520 */   // Label 6405: @343520
     /*  343520 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(343606), // Rule ID 3411 //
     /*  343525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  343536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  343539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  343542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343572 */     // MIs[1] Operand 1
     /*  343572 */     // No operand predicates
     /*  343572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343581 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  343584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343604 */     GIR_RootConstrainSelectedInstOperands,
     /*  343605 */     // GIR_Coverage, 3411,
     /*  343605 */     GIR_EraseRootFromParent_Done,
     /*  343606 */   // Label 6406: @343606
     /*  343606 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(343692), // Rule ID 3414 //
     /*  343611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343658 */     // MIs[1] Operand 1
     /*  343658 */     // No operand predicates
     /*  343658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  343670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343690 */     GIR_RootConstrainSelectedInstOperands,
     /*  343691 */     // GIR_Coverage, 3414,
     /*  343691 */     GIR_EraseRootFromParent_Done,
     /*  343692 */   // Label 6407: @343692
     /*  343692 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(343778), // Rule ID 3415 //
     /*  343697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343744 */     // MIs[1] Operand 1
     /*  343744 */     // No operand predicates
     /*  343744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  343756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343776 */     GIR_RootConstrainSelectedInstOperands,
     /*  343777 */     // GIR_Coverage, 3415,
     /*  343777 */     GIR_EraseRootFromParent_Done,
     /*  343778 */   // Label 6408: @343778
     /*  343778 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(343864), // Rule ID 3418 //
     /*  343783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343830 */     // MIs[1] Operand 1
     /*  343830 */     // No operand predicates
     /*  343830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343862 */     GIR_RootConstrainSelectedInstOperands,
     /*  343863 */     // GIR_Coverage, 3418,
     /*  343863 */     GIR_EraseRootFromParent_Done,
     /*  343864 */   // Label 6409: @343864
     /*  343864 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(343950), // Rule ID 3419 //
     /*  343869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  343872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  343892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  343916 */     // MIs[1] Operand 1
     /*  343916 */     // No operand predicates
     /*  343916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  343918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  343928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  343934 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  343937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343948 */     GIR_RootConstrainSelectedInstOperands,
     /*  343949 */     // GIR_Coverage, 3419,
     /*  343949 */     GIR_EraseRootFromParent_Done,
     /*  343950 */   // Label 6410: @343950
     /*  343950 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(344036), // Rule ID 3422 //
     /*  343955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  343958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  343963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  343978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  343994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  343998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344002 */     // MIs[1] Operand 1
     /*  344002 */     // No operand predicates
     /*  344002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  344014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344034 */     GIR_RootConstrainSelectedInstOperands,
     /*  344035 */     // GIR_Coverage, 3422,
     /*  344035 */     GIR_EraseRootFromParent_Done,
     /*  344036 */   // Label 6411: @344036
     /*  344036 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(344122), // Rule ID 3423 //
     /*  344041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  344052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  344055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  344058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344088 */     // MIs[1] Operand 1
     /*  344088 */     // No operand predicates
     /*  344088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  344100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344120 */     GIR_RootConstrainSelectedInstOperands,
     /*  344121 */     // GIR_Coverage, 3423,
     /*  344121 */     GIR_EraseRootFromParent_Done,
     /*  344122 */   // Label 6412: @344122
     /*  344122 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(344208), // Rule ID 3426 //
     /*  344127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  344130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  344144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344174 */     // MIs[1] Operand 1
     /*  344174 */     // No operand predicates
     /*  344174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  344186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344206 */     GIR_RootConstrainSelectedInstOperands,
     /*  344207 */     // GIR_Coverage, 3426,
     /*  344207 */     GIR_EraseRootFromParent_Done,
     /*  344208 */   // Label 6413: @344208
     /*  344208 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(344294), // Rule ID 3427 //
     /*  344213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  344216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  344224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  344227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  344230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344260 */     // MIs[1] Operand 1
     /*  344260 */     // No operand predicates
     /*  344260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  344272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344278 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344292 */     GIR_RootConstrainSelectedInstOperands,
     /*  344293 */     // GIR_Coverage, 3427,
     /*  344293 */     GIR_EraseRootFromParent_Done,
     /*  344294 */   // Label 6414: @344294
     /*  344294 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(344380), // Rule ID 3430 //
     /*  344299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  344302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  344316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344346 */     // MIs[1] Operand 1
     /*  344346 */     // No operand predicates
     /*  344346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  344358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344378 */     GIR_RootConstrainSelectedInstOperands,
     /*  344379 */     // GIR_Coverage, 3430,
     /*  344379 */     GIR_EraseRootFromParent_Done,
     /*  344380 */   // Label 6415: @344380
     /*  344380 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(344466), // Rule ID 3431 //
     /*  344385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  344388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  344396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  344399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  344402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344432 */     // MIs[1] Operand 1
     /*  344432 */     // No operand predicates
     /*  344432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344441 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  344444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344464 */     GIR_RootConstrainSelectedInstOperands,
     /*  344465 */     // GIR_Coverage, 3431,
     /*  344465 */     GIR_EraseRootFromParent_Done,
     /*  344466 */   // Label 6416: @344466
     /*  344466 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(344552), // Rule ID 3434 //
     /*  344471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  344474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  344488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344518 */     // MIs[1] Operand 1
     /*  344518 */     // No operand predicates
     /*  344518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  344530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344550 */     GIR_RootConstrainSelectedInstOperands,
     /*  344551 */     // GIR_Coverage, 3434,
     /*  344551 */     GIR_EraseRootFromParent_Done,
     /*  344552 */   // Label 6417: @344552
     /*  344552 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(344638), // Rule ID 3435 //
     /*  344557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  344560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  344565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  344568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  344571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  344574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  344592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344604 */     // MIs[1] Operand 1
     /*  344604 */     // No operand predicates
     /*  344604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344613 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  344616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344636 */     GIR_RootConstrainSelectedInstOperands,
     /*  344637 */     // GIR_Coverage, 3435,
     /*  344637 */     GIR_EraseRootFromParent_Done,
     /*  344638 */   // Label 6418: @344638
     /*  344638 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(344724), // Rule ID 5798 //
     /*  344643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  344654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  344657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  344660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344690 */     // MIs[1] Operand 1
     /*  344690 */     // No operand predicates
     /*  344690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344699 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  344702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344722 */     GIR_RootConstrainSelectedInstOperands,
     /*  344723 */     // GIR_Coverage, 5798,
     /*  344723 */     GIR_EraseRootFromParent_Done,
     /*  344724 */   // Label 6419: @344724
     /*  344724 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(344810), // Rule ID 5799 //
     /*  344729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  344740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  344743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  344746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344776 */     // MIs[1] Operand 1
     /*  344776 */     // No operand predicates
     /*  344776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344785 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  344788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344808 */     GIR_RootConstrainSelectedInstOperands,
     /*  344809 */     // GIR_Coverage, 5799,
     /*  344809 */     GIR_EraseRootFromParent_Done,
     /*  344810 */   // Label 6420: @344810
     /*  344810 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(344896), // Rule ID 5802 //
     /*  344815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  344826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  344829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  344832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  344838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344862 */     // MIs[1] Operand 1
     /*  344862 */     // No operand predicates
     /*  344862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344871 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  344871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  344874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344894 */     GIR_RootConstrainSelectedInstOperands,
     /*  344895 */     // GIR_Coverage, 5802,
     /*  344895 */     GIR_EraseRootFromParent_Done,
     /*  344896 */   // Label 6421: @344896
     /*  344896 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(344982), // Rule ID 5803 //
     /*  344901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  344904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  344912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  344915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  344918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  344924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  344940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  344944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  344948 */     // MIs[1] Operand 1
     /*  344948 */     // No operand predicates
     /*  344948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  344950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344957 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  344957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  344960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  344966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  344969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  344977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344980 */     GIR_RootConstrainSelectedInstOperands,
     /*  344981 */     // GIR_Coverage, 5803,
     /*  344981 */     GIR_EraseRootFromParent_Done,
     /*  344982 */   // Label 6422: @344982
     /*  344982 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(345068), // Rule ID 5806 //
     /*  344987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  344990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  344995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  344998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  345001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345034 */     // MIs[1] Operand 1
     /*  345034 */     // No operand predicates
     /*  345034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345043 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345066 */     GIR_RootConstrainSelectedInstOperands,
     /*  345067 */     // GIR_Coverage, 5806,
     /*  345067 */     GIR_EraseRootFromParent_Done,
     /*  345068 */   // Label 6423: @345068
     /*  345068 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(345154), // Rule ID 5807 //
     /*  345073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  345084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  345087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  345090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345120 */     // MIs[1] Operand 1
     /*  345120 */     // No operand predicates
     /*  345120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345129 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345152 */     GIR_RootConstrainSelectedInstOperands,
     /*  345153 */     // GIR_Coverage, 5807,
     /*  345153 */     GIR_EraseRootFromParent_Done,
     /*  345154 */   // Label 6424: @345154
     /*  345154 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(345240), // Rule ID 5810 //
     /*  345159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345206 */     // MIs[1] Operand 1
     /*  345206 */     // No operand predicates
     /*  345206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345215 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  345218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345238 */     GIR_RootConstrainSelectedInstOperands,
     /*  345239 */     // GIR_Coverage, 5810,
     /*  345239 */     GIR_EraseRootFromParent_Done,
     /*  345240 */   // Label 6425: @345240
     /*  345240 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(345326), // Rule ID 5811 //
     /*  345245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345292 */     // MIs[1] Operand 1
     /*  345292 */     // No operand predicates
     /*  345292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  345304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345324 */     GIR_RootConstrainSelectedInstOperands,
     /*  345325 */     // GIR_Coverage, 5811,
     /*  345325 */     GIR_EraseRootFromParent_Done,
     /*  345326 */   // Label 6426: @345326
     /*  345326 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(345412), // Rule ID 5814 //
     /*  345331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345378 */     // MIs[1] Operand 1
     /*  345378 */     // No operand predicates
     /*  345378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345410 */     GIR_RootConstrainSelectedInstOperands,
     /*  345411 */     // GIR_Coverage, 5814,
     /*  345411 */     GIR_EraseRootFromParent_Done,
     /*  345412 */   // Label 6427: @345412
     /*  345412 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(345498), // Rule ID 5815 //
     /*  345417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  345428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  345431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  345434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345464 */     // MIs[1] Operand 1
     /*  345464 */     // No operand predicates
     /*  345464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345496 */     GIR_RootConstrainSelectedInstOperands,
     /*  345497 */     // GIR_Coverage, 5815,
     /*  345497 */     GIR_EraseRootFromParent_Done,
     /*  345498 */   // Label 6428: @345498
     /*  345498 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(345584), // Rule ID 5818 //
     /*  345503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345550 */     // MIs[1] Operand 1
     /*  345550 */     // No operand predicates
     /*  345550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345559 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345582 */     GIR_RootConstrainSelectedInstOperands,
     /*  345583 */     // GIR_Coverage, 5818,
     /*  345583 */     GIR_EraseRootFromParent_Done,
     /*  345584 */   // Label 6429: @345584
     /*  345584 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(345670), // Rule ID 5819 //
     /*  345589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  345600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  345603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  345606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345636 */     // MIs[1] Operand 1
     /*  345636 */     // No operand predicates
     /*  345636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345645 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  345648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345668 */     GIR_RootConstrainSelectedInstOperands,
     /*  345669 */     // GIR_Coverage, 5819,
     /*  345669 */     GIR_EraseRootFromParent_Done,
     /*  345670 */   // Label 6430: @345670
     /*  345670 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(345756), // Rule ID 5822 //
     /*  345675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  345686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  345689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345722 */     // MIs[1] Operand 1
     /*  345722 */     // No operand predicates
     /*  345722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345731 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  345731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  345734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345754 */     GIR_RootConstrainSelectedInstOperands,
     /*  345755 */     // GIR_Coverage, 5822,
     /*  345755 */     GIR_EraseRootFromParent_Done,
     /*  345756 */   // Label 6431: @345756
     /*  345756 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(345842), // Rule ID 5823 //
     /*  345761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  345772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  345775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  345778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345808 */     // MIs[1] Operand 1
     /*  345808 */     // No operand predicates
     /*  345808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345817 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  345817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  345820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  345837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345840 */     GIR_RootConstrainSelectedInstOperands,
     /*  345841 */     // GIR_Coverage, 5823,
     /*  345841 */     GIR_EraseRootFromParent_Done,
     /*  345842 */   // Label 6432: @345842
     /*  345842 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(345928), // Rule ID 5826 //
     /*  345847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  345850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  345870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345894 */     // MIs[1] Operand 1
     /*  345894 */     // No operand predicates
     /*  345894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  345906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  345915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345926 */     GIR_RootConstrainSelectedInstOperands,
     /*  345927 */     // GIR_Coverage, 5826,
     /*  345927 */     GIR_EraseRootFromParent_Done,
     /*  345928 */   // Label 6433: @345928
     /*  345928 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(346014), // Rule ID 5827 //
     /*  345933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  345936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  345941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  345944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  345947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  345950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  345956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  345972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  345976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  345980 */     // MIs[1] Operand 1
     /*  345980 */     // No operand predicates
     /*  345980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  345982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  345992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  345998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346012 */     GIR_RootConstrainSelectedInstOperands,
     /*  346013 */     // GIR_Coverage, 5827,
     /*  346013 */     GIR_EraseRootFromParent_Done,
     /*  346014 */   // Label 6434: @346014
     /*  346014 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(346100), // Rule ID 5830 //
     /*  346019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346066 */     // MIs[1] Operand 1
     /*  346066 */     // No operand predicates
     /*  346066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  346078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346098 */     GIR_RootConstrainSelectedInstOperands,
     /*  346099 */     // GIR_Coverage, 5830,
     /*  346099 */     GIR_EraseRootFromParent_Done,
     /*  346100 */   // Label 6435: @346100
     /*  346100 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(346186), // Rule ID 5831 //
     /*  346105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346152 */     // MIs[1] Operand 1
     /*  346152 */     // No operand predicates
     /*  346152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346161 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  346164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346184 */     GIR_RootConstrainSelectedInstOperands,
     /*  346185 */     // GIR_Coverage, 5831,
     /*  346185 */     GIR_EraseRootFromParent_Done,
     /*  346186 */   // Label 6436: @346186
     /*  346186 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(346272), // Rule ID 5834 //
     /*  346191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  346194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346238 */     // MIs[1] Operand 1
     /*  346238 */     // No operand predicates
     /*  346238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  346250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346270 */     GIR_RootConstrainSelectedInstOperands,
     /*  346271 */     // GIR_Coverage, 5834,
     /*  346271 */     GIR_EraseRootFromParent_Done,
     /*  346272 */   // Label 6437: @346272
     /*  346272 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(346358), // Rule ID 5835 //
     /*  346277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  346280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346324 */     // MIs[1] Operand 1
     /*  346324 */     // No operand predicates
     /*  346324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346333 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  346336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346356 */     GIR_RootConstrainSelectedInstOperands,
     /*  346357 */     // GIR_Coverage, 5835,
     /*  346357 */     GIR_EraseRootFromParent_Done,
     /*  346358 */   // Label 6438: @346358
     /*  346358 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(346444), // Rule ID 5838 //
     /*  346363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  346374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  346377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346410 */     // MIs[1] Operand 1
     /*  346410 */     // No operand predicates
     /*  346410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346442 */     GIR_RootConstrainSelectedInstOperands,
     /*  346443 */     // GIR_Coverage, 5838,
     /*  346443 */     GIR_EraseRootFromParent_Done,
     /*  346444 */   // Label 6439: @346444
     /*  346444 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(346530), // Rule ID 5839 //
     /*  346449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  346460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  346463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  346466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346496 */     // MIs[1] Operand 1
     /*  346496 */     // No operand predicates
     /*  346496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346505 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346528 */     GIR_RootConstrainSelectedInstOperands,
     /*  346529 */     // GIR_Coverage, 5839,
     /*  346529 */     GIR_EraseRootFromParent_Done,
     /*  346530 */   // Label 6440: @346530
     /*  346530 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(346616), // Rule ID 5842 //
     /*  346535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  346546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  346549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346582 */     // MIs[1] Operand 1
     /*  346582 */     // No operand predicates
     /*  346582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346591 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346614 */     GIR_RootConstrainSelectedInstOperands,
     /*  346615 */     // GIR_Coverage, 5842,
     /*  346615 */     GIR_EraseRootFromParent_Done,
     /*  346616 */   // Label 6441: @346616
     /*  346616 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(346702), // Rule ID 5843 //
     /*  346621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  346632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  346635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  346638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346668 */     // MIs[1] Operand 1
     /*  346668 */     // No operand predicates
     /*  346668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346677 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  346680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346700 */     GIR_RootConstrainSelectedInstOperands,
     /*  346701 */     // GIR_Coverage, 5843,
     /*  346701 */     GIR_EraseRootFromParent_Done,
     /*  346702 */   // Label 6442: @346702
     /*  346702 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(346788), // Rule ID 5846 //
     /*  346707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  346718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  346721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  346724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346750 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346754 */     // MIs[1] Operand 1
     /*  346754 */     // No operand predicates
     /*  346754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  346763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  346766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346786 */     GIR_RootConstrainSelectedInstOperands,
     /*  346787 */     // GIR_Coverage, 5846,
     /*  346787 */     GIR_EraseRootFromParent_Done,
     /*  346788 */   // Label 6443: @346788
     /*  346788 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(346874), // Rule ID 5847 //
     /*  346793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  346804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  346807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  346810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346840 */     // MIs[1] Operand 1
     /*  346840 */     // No operand predicates
     /*  346840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346849 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  346849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  346852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  346869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346872 */     GIR_RootConstrainSelectedInstOperands,
     /*  346873 */     // GIR_Coverage, 5847,
     /*  346873 */     GIR_EraseRootFromParent_Done,
     /*  346874 */   // Label 6444: @346874
     /*  346874 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(346960), // Rule ID 5850 //
     /*  346879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  346882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  346902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  346918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  346922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  346926 */     // MIs[1] Operand 1
     /*  346926 */     // No operand predicates
     /*  346926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  346928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346935 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  346938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  346944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  346947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346958 */     GIR_RootConstrainSelectedInstOperands,
     /*  346959 */     // GIR_Coverage, 5850,
     /*  346959 */     GIR_EraseRootFromParent_Done,
     /*  346960 */   // Label 6445: @346960
     /*  346960 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(347046), // Rule ID 5851 //
     /*  346965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  346968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  346973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  346988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347012 */     // MIs[1] Operand 1
     /*  347012 */     // No operand predicates
     /*  347012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  347024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347044 */     GIR_RootConstrainSelectedInstOperands,
     /*  347045 */     // GIR_Coverage, 5851,
     /*  347045 */     GIR_EraseRootFromParent_Done,
     /*  347046 */   // Label 6446: @347046
     /*  347046 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(347132), // Rule ID 5854 //
     /*  347051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347098 */     // MIs[1] Operand 1
     /*  347098 */     // No operand predicates
     /*  347098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347107 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  347110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347130 */     GIR_RootConstrainSelectedInstOperands,
     /*  347131 */     // GIR_Coverage, 5854,
     /*  347131 */     GIR_EraseRootFromParent_Done,
     /*  347132 */   // Label 6447: @347132
     /*  347132 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(347218), // Rule ID 5855 //
     /*  347137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  347148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  347151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  347154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347184 */     // MIs[1] Operand 1
     /*  347184 */     // No operand predicates
     /*  347184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347193 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  347196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347216 */     GIR_RootConstrainSelectedInstOperands,
     /*  347217 */     // GIR_Coverage, 5855,
     /*  347217 */     GIR_EraseRootFromParent_Done,
     /*  347218 */   // Label 6448: @347218
     /*  347218 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(347304), // Rule ID 5858 //
     /*  347223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  347240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347270 */     // MIs[1] Operand 1
     /*  347270 */     // No operand predicates
     /*  347270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347302 */     GIR_RootConstrainSelectedInstOperands,
     /*  347303 */     // GIR_Coverage, 5858,
     /*  347303 */     GIR_EraseRootFromParent_Done,
     /*  347304 */   // Label 6449: @347304
     /*  347304 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(347390), // Rule ID 5859 //
     /*  347309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  347326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347356 */     // MIs[1] Operand 1
     /*  347356 */     // No operand predicates
     /*  347356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347365 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347388 */     GIR_RootConstrainSelectedInstOperands,
     /*  347389 */     // GIR_Coverage, 5859,
     /*  347389 */     GIR_EraseRootFromParent_Done,
     /*  347390 */   // Label 6450: @347390
     /*  347390 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(347476), // Rule ID 5862 //
     /*  347395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347442 */     // MIs[1] Operand 1
     /*  347442 */     // No operand predicates
     /*  347442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  347454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347474 */     GIR_RootConstrainSelectedInstOperands,
     /*  347475 */     // GIR_Coverage, 5862,
     /*  347475 */     GIR_EraseRootFromParent_Done,
     /*  347476 */   // Label 6451: @347476
     /*  347476 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(347562), // Rule ID 5863 //
     /*  347481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347528 */     // MIs[1] Operand 1
     /*  347528 */     // No operand predicates
     /*  347528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347537 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  347540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347560 */     GIR_RootConstrainSelectedInstOperands,
     /*  347561 */     // GIR_Coverage, 5863,
     /*  347561 */     GIR_EraseRootFromParent_Done,
     /*  347562 */   // Label 6452: @347562
     /*  347562 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(347648), // Rule ID 5866 //
     /*  347567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347614 */     // MIs[1] Operand 1
     /*  347614 */     // No operand predicates
     /*  347614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347623 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  347626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347646 */     GIR_RootConstrainSelectedInstOperands,
     /*  347647 */     // GIR_Coverage, 5866,
     /*  347647 */     GIR_EraseRootFromParent_Done,
     /*  347648 */   // Label 6453: @347648
     /*  347648 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(347734), // Rule ID 5867 //
     /*  347653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347700 */     // MIs[1] Operand 1
     /*  347700 */     // No operand predicates
     /*  347700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  347712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347732 */     GIR_RootConstrainSelectedInstOperands,
     /*  347733 */     // GIR_Coverage, 5867,
     /*  347733 */     GIR_EraseRootFromParent_Done,
     /*  347734 */   // Label 6454: @347734
     /*  347734 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(347820), // Rule ID 5870 //
     /*  347739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  347742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347786 */     // MIs[1] Operand 1
     /*  347786 */     // No operand predicates
     /*  347786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347818 */     GIR_RootConstrainSelectedInstOperands,
     /*  347819 */     // GIR_Coverage, 5870,
     /*  347819 */     GIR_EraseRootFromParent_Done,
     /*  347820 */   // Label 6455: @347820
     /*  347820 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(347906), // Rule ID 5871 //
     /*  347825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  347828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  347848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347872 */     // MIs[1] Operand 1
     /*  347872 */     // No operand predicates
     /*  347872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  347884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347890 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347904 */     GIR_RootConstrainSelectedInstOperands,
     /*  347905 */     // GIR_Coverage, 5871,
     /*  347905 */     GIR_EraseRootFromParent_Done,
     /*  347906 */   // Label 6456: @347906
     /*  347906 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(347992), // Rule ID 5874 //
     /*  347911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  347914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  347919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  347934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  347950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  347954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  347958 */     // MIs[1] Operand 1
     /*  347958 */     // No operand predicates
     /*  347958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  347960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  347970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  347976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  347979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347990 */     GIR_RootConstrainSelectedInstOperands,
     /*  347991 */     // GIR_Coverage, 5874,
     /*  347991 */     GIR_EraseRootFromParent_Done,
     /*  347992 */   // Label 6457: @347992
     /*  347992 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(348078), // Rule ID 5875 //
     /*  347997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  348000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  348005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  348014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348044 */     // MIs[1] Operand 1
     /*  348044 */     // No operand predicates
     /*  348044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348053 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  348053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  348056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348076 */     GIR_RootConstrainSelectedInstOperands,
     /*  348077 */     // GIR_Coverage, 5875,
     /*  348077 */     GIR_EraseRootFromParent_Done,
     /*  348078 */   // Label 6458: @348078
     /*  348078 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(348164), // Rule ID 5878 //
     /*  348083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  348086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  348091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  348100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348130 */     // MIs[1] Operand 1
     /*  348130 */     // No operand predicates
     /*  348130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  348139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  348142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348162 */     GIR_RootConstrainSelectedInstOperands,
     /*  348163 */     // GIR_Coverage, 5878,
     /*  348163 */     GIR_EraseRootFromParent_Done,
     /*  348164 */   // Label 6459: @348164
     /*  348164 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(348250), // Rule ID 5879 //
     /*  348169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  348172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  348177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  348186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348216 */     // MIs[1] Operand 1
     /*  348216 */     // No operand predicates
     /*  348216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348225 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  348225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  348228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348234 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348248 */     GIR_RootConstrainSelectedInstOperands,
     /*  348249 */     // GIR_Coverage, 5879,
     /*  348249 */     GIR_EraseRootFromParent_Done,
     /*  348250 */   // Label 6460: @348250
     /*  348250 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(348336), // Rule ID 5882 //
     /*  348255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  348258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  348263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  348272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348302 */     // MIs[1] Operand 1
     /*  348302 */     // No operand predicates
     /*  348302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348311 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  348311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  348314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348334 */     GIR_RootConstrainSelectedInstOperands,
     /*  348335 */     // GIR_Coverage, 5882,
     /*  348335 */     GIR_EraseRootFromParent_Done,
     /*  348336 */   // Label 6461: @348336
     /*  348336 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(348422), // Rule ID 5883 //
     /*  348341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  348344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  348349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  348358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348388 */     // MIs[1] Operand 1
     /*  348388 */     // No operand predicates
     /*  348388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  348397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  348400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  348417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348420 */     GIR_RootConstrainSelectedInstOperands,
     /*  348421 */     // GIR_Coverage, 5883,
     /*  348421 */     GIR_EraseRootFromParent_Done,
     /*  348422 */   // Label 6462: @348422
     /*  348422 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(348508), // Rule ID 6062 //
     /*  348427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  348438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  348441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  348444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348474 */     // MIs[1] Operand 1
     /*  348474 */     // No operand predicates
     /*  348474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348483 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  348486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348506 */     GIR_RootConstrainSelectedInstOperands,
     /*  348507 */     // GIR_Coverage, 6062,
     /*  348507 */     GIR_EraseRootFromParent_Done,
     /*  348508 */   // Label 6463: @348508
     /*  348508 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(348594), // Rule ID 6063 //
     /*  348513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  348524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  348527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  348530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348560 */     // MIs[1] Operand 1
     /*  348560 */     // No operand predicates
     /*  348560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348569 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  348572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348592 */     GIR_RootConstrainSelectedInstOperands,
     /*  348593 */     // GIR_Coverage, 6063,
     /*  348593 */     GIR_EraseRootFromParent_Done,
     /*  348594 */   // Label 6464: @348594
     /*  348594 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(348680), // Rule ID 6066 //
     /*  348599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  348610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  348613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  348616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348646 */     // MIs[1] Operand 1
     /*  348646 */     // No operand predicates
     /*  348646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348655 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  348658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348678 */     GIR_RootConstrainSelectedInstOperands,
     /*  348679 */     // GIR_Coverage, 6066,
     /*  348679 */     GIR_EraseRootFromParent_Done,
     /*  348680 */   // Label 6465: @348680
     /*  348680 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(348766), // Rule ID 6067 //
     /*  348685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  348696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  348699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  348702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348732 */     // MIs[1] Operand 1
     /*  348732 */     // No operand predicates
     /*  348732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348741 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  348744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348764 */     GIR_RootConstrainSelectedInstOperands,
     /*  348765 */     // GIR_Coverage, 6067,
     /*  348765 */     GIR_EraseRootFromParent_Done,
     /*  348766 */   // Label 6466: @348766
     /*  348766 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(348852), // Rule ID 6070 //
     /*  348771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  348782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  348785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  348788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348818 */     // MIs[1] Operand 1
     /*  348818 */     // No operand predicates
     /*  348818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348827 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  348827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  348830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348850 */     GIR_RootConstrainSelectedInstOperands,
     /*  348851 */     // GIR_Coverage, 6070,
     /*  348851 */     GIR_EraseRootFromParent_Done,
     /*  348852 */   // Label 6467: @348852
     /*  348852 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(348938), // Rule ID 6071 //
     /*  348857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  348860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  348868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  348871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  348874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  348880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348904 */     // MIs[1] Operand 1
     /*  348904 */     // No operand predicates
     /*  348904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348913 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  348913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  348916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  348922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  348925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  348933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348936 */     GIR_RootConstrainSelectedInstOperands,
     /*  348937 */     // GIR_Coverage, 6071,
     /*  348937 */     GIR_EraseRootFromParent_Done,
     /*  348938 */   // Label 6468: @348938
     /*  348938 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(349024), // Rule ID 6074 //
     /*  348943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  348946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  348951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  348954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  348957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  348960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  348966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  348982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  348986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  348990 */     // MIs[1] Operand 1
     /*  348990 */     // No operand predicates
     /*  348990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  348992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  349002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349008 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349022 */     GIR_RootConstrainSelectedInstOperands,
     /*  349023 */     // GIR_Coverage, 6074,
     /*  349023 */     GIR_EraseRootFromParent_Done,
     /*  349024 */   // Label 6469: @349024
     /*  349024 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(349110), // Rule ID 6075 //
     /*  349029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  349040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  349043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349076 */     // MIs[1] Operand 1
     /*  349076 */     // No operand predicates
     /*  349076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  349088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349108 */     GIR_RootConstrainSelectedInstOperands,
     /*  349109 */     // GIR_Coverage, 6075,
     /*  349109 */     GIR_EraseRootFromParent_Done,
     /*  349110 */   // Label 6470: @349110
     /*  349110 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(349196), // Rule ID 6078 //
     /*  349115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349162 */     // MIs[1] Operand 1
     /*  349162 */     // No operand predicates
     /*  349162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  349174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349194 */     GIR_RootConstrainSelectedInstOperands,
     /*  349195 */     // GIR_Coverage, 6078,
     /*  349195 */     GIR_EraseRootFromParent_Done,
     /*  349196 */   // Label 6471: @349196
     /*  349196 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(349282), // Rule ID 6079 //
     /*  349201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  349212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  349215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349248 */     // MIs[1] Operand 1
     /*  349248 */     // No operand predicates
     /*  349248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349257 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  349260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349280 */     GIR_RootConstrainSelectedInstOperands,
     /*  349281 */     // GIR_Coverage, 6079,
     /*  349281 */     GIR_EraseRootFromParent_Done,
     /*  349282 */   // Label 6472: @349282
     /*  349282 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(349368), // Rule ID 6082 //
     /*  349287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349334 */     // MIs[1] Operand 1
     /*  349334 */     // No operand predicates
     /*  349334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349343 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  349346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349366 */     GIR_RootConstrainSelectedInstOperands,
     /*  349367 */     // GIR_Coverage, 6082,
     /*  349367 */     GIR_EraseRootFromParent_Done,
     /*  349368 */   // Label 6473: @349368
     /*  349368 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(349454), // Rule ID 6083 //
     /*  349373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349420 */     // MIs[1] Operand 1
     /*  349420 */     // No operand predicates
     /*  349420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349429 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  349432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349452 */     GIR_RootConstrainSelectedInstOperands,
     /*  349453 */     // GIR_Coverage, 6083,
     /*  349453 */     GIR_EraseRootFromParent_Done,
     /*  349454 */   // Label 6474: @349454
     /*  349454 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(349540), // Rule ID 6086 //
     /*  349459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  349470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  349473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  349476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349506 */     // MIs[1] Operand 1
     /*  349506 */     // No operand predicates
     /*  349506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  349515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349538 */     GIR_RootConstrainSelectedInstOperands,
     /*  349539 */     // GIR_Coverage, 6086,
     /*  349539 */     GIR_EraseRootFromParent_Done,
     /*  349540 */   // Label 6475: @349540
     /*  349540 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(349626), // Rule ID 6087 //
     /*  349545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  349556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  349559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  349562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349592 */     // MIs[1] Operand 1
     /*  349592 */     // No operand predicates
     /*  349592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349601 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  349601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  349621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349624 */     GIR_RootConstrainSelectedInstOperands,
     /*  349625 */     // GIR_Coverage, 6087,
     /*  349625 */     GIR_EraseRootFromParent_Done,
     /*  349626 */   // Label 6476: @349626
     /*  349626 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(349712), // Rule ID 6090 //
     /*  349631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  349642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  349645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349678 */     // MIs[1] Operand 1
     /*  349678 */     // No operand predicates
     /*  349678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349710 */     GIR_RootConstrainSelectedInstOperands,
     /*  349711 */     // GIR_Coverage, 6090,
     /*  349711 */     GIR_EraseRootFromParent_Done,
     /*  349712 */   // Label 6477: @349712
     /*  349712 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(349798), // Rule ID 6091 //
     /*  349717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  349728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  349731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349764 */     // MIs[1] Operand 1
     /*  349764 */     // No operand predicates
     /*  349764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349773 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349796 */     GIR_RootConstrainSelectedInstOperands,
     /*  349797 */     // GIR_Coverage, 6091,
     /*  349797 */     GIR_EraseRootFromParent_Done,
     /*  349798 */   // Label 6478: @349798
     /*  349798 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(349884), // Rule ID 6094 //
     /*  349803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  349806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349850 */     // MIs[1] Operand 1
     /*  349850 */     // No operand predicates
     /*  349850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349882 */     GIR_RootConstrainSelectedInstOperands,
     /*  349883 */     // GIR_Coverage, 6094,
     /*  349883 */     GIR_EraseRootFromParent_Done,
     /*  349884 */   // Label 6479: @349884
     /*  349884 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(349970), // Rule ID 6095 //
     /*  349889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  349892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  349912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  349928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  349932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  349936 */     // MIs[1] Operand 1
     /*  349936 */     // No operand predicates
     /*  349936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  349938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349945 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  349948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  349954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  349957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349968 */     GIR_RootConstrainSelectedInstOperands,
     /*  349969 */     // GIR_Coverage, 6095,
     /*  349969 */     GIR_EraseRootFromParent_Done,
     /*  349970 */   // Label 6480: @349970
     /*  349970 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(350056), // Rule ID 6098 //
     /*  349975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  349978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  349983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  349992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  349998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350022 */     // MIs[1] Operand 1
     /*  350022 */     // No operand predicates
     /*  350022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350031 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  350031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  350034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350054 */     GIR_RootConstrainSelectedInstOperands,
     /*  350055 */     // GIR_Coverage, 6098,
     /*  350055 */     GIR_EraseRootFromParent_Done,
     /*  350056 */   // Label 6481: @350056
     /*  350056 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(350142), // Rule ID 6099 //
     /*  350061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  350064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  350072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  350075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  350078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350108 */     // MIs[1] Operand 1
     /*  350108 */     // No operand predicates
     /*  350108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  350117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  350120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  350137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350140 */     GIR_RootConstrainSelectedInstOperands,
     /*  350141 */     // GIR_Coverage, 6099,
     /*  350141 */     GIR_EraseRootFromParent_Done,
     /*  350142 */   // Label 6482: @350142
     /*  350142 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(350228), // Rule ID 6102 //
     /*  350147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350194 */     // MIs[1] Operand 1
     /*  350194 */     // No operand predicates
     /*  350194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350226 */     GIR_RootConstrainSelectedInstOperands,
     /*  350227 */     // GIR_Coverage, 6102,
     /*  350227 */     GIR_EraseRootFromParent_Done,
     /*  350228 */   // Label 6483: @350228
     /*  350228 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(350314), // Rule ID 6103 //
     /*  350233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  350244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  350247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350280 */     // MIs[1] Operand 1
     /*  350280 */     // No operand predicates
     /*  350280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350289 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350312 */     GIR_RootConstrainSelectedInstOperands,
     /*  350313 */     // GIR_Coverage, 6103,
     /*  350313 */     GIR_EraseRootFromParent_Done,
     /*  350314 */   // Label 6484: @350314
     /*  350314 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(350400), // Rule ID 6106 //
     /*  350319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350366 */     // MIs[1] Operand 1
     /*  350366 */     // No operand predicates
     /*  350366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350375 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350398 */     GIR_RootConstrainSelectedInstOperands,
     /*  350399 */     // GIR_Coverage, 6106,
     /*  350399 */     GIR_EraseRootFromParent_Done,
     /*  350400 */   // Label 6485: @350400
     /*  350400 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(350486), // Rule ID 6107 //
     /*  350405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  350416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  350419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350452 */     // MIs[1] Operand 1
     /*  350452 */     // No operand predicates
     /*  350452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350484 */     GIR_RootConstrainSelectedInstOperands,
     /*  350485 */     // GIR_Coverage, 6107,
     /*  350485 */     GIR_EraseRootFromParent_Done,
     /*  350486 */   // Label 6486: @350486
     /*  350486 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(350572), // Rule ID 6110 //
     /*  350491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  350502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  350505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  350508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350538 */     // MIs[1] Operand 1
     /*  350538 */     // No operand predicates
     /*  350538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350570 */     GIR_RootConstrainSelectedInstOperands,
     /*  350571 */     // GIR_Coverage, 6110,
     /*  350571 */     GIR_EraseRootFromParent_Done,
     /*  350572 */   // Label 6487: @350572
     /*  350572 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(350658), // Rule ID 6111 //
     /*  350577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  350588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  350591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  350594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350624 */     // MIs[1] Operand 1
     /*  350624 */     // No operand predicates
     /*  350624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  350636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350656 */     GIR_RootConstrainSelectedInstOperands,
     /*  350657 */     // GIR_Coverage, 6111,
     /*  350657 */     GIR_EraseRootFromParent_Done,
     /*  350658 */   // Label 6488: @350658
     /*  350658 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(350744), // Rule ID 6114 //
     /*  350663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350710 */     // MIs[1] Operand 1
     /*  350710 */     // No operand predicates
     /*  350710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350742 */     GIR_RootConstrainSelectedInstOperands,
     /*  350743 */     // GIR_Coverage, 6114,
     /*  350743 */     GIR_EraseRootFromParent_Done,
     /*  350744 */   // Label 6489: @350744
     /*  350744 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(350830), // Rule ID 6115 //
     /*  350749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  350766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350796 */     // MIs[1] Operand 1
     /*  350796 */     // No operand predicates
     /*  350796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  350808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350814 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350828 */     GIR_RootConstrainSelectedInstOperands,
     /*  350829 */     // GIR_Coverage, 6115,
     /*  350829 */     GIR_EraseRootFromParent_Done,
     /*  350830 */   // Label 6490: @350830
     /*  350830 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(350916), // Rule ID 6118 //
     /*  350835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  350838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  350858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350882 */     // MIs[1] Operand 1
     /*  350882 */     // No operand predicates
     /*  350882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  350891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350914 */     GIR_RootConstrainSelectedInstOperands,
     /*  350915 */     // GIR_Coverage, 6118,
     /*  350915 */     GIR_EraseRootFromParent_Done,
     /*  350916 */   // Label 6491: @350916
     /*  350916 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(351002), // Rule ID 6119 //
     /*  350921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  350924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  350929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  350938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  350944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  350960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  350964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  350968 */     // MIs[1] Operand 1
     /*  350968 */     // No operand predicates
     /*  350968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  350970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350977 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  350977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  350980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  350986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  350989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  350997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351000 */     GIR_RootConstrainSelectedInstOperands,
     /*  351001 */     // GIR_Coverage, 6119,
     /*  351001 */     GIR_EraseRootFromParent_Done,
     /*  351002 */   // Label 6492: @351002
     /*  351002 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(351088), // Rule ID 6122 //
     /*  351007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  351018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  351021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351054 */     // MIs[1] Operand 1
     /*  351054 */     // No operand predicates
     /*  351054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351063 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  351066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351086 */     GIR_RootConstrainSelectedInstOperands,
     /*  351087 */     // GIR_Coverage, 6122,
     /*  351087 */     GIR_EraseRootFromParent_Done,
     /*  351088 */   // Label 6493: @351088
     /*  351088 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(351174), // Rule ID 6123 //
     /*  351093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  351104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  351107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  351110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351140 */     // MIs[1] Operand 1
     /*  351140 */     // No operand predicates
     /*  351140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  351152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351172 */     GIR_RootConstrainSelectedInstOperands,
     /*  351173 */     // GIR_Coverage, 6123,
     /*  351173 */     GIR_EraseRootFromParent_Done,
     /*  351174 */   // Label 6494: @351174
     /*  351174 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(351260), // Rule ID 6126 //
     /*  351179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351226 */     // MIs[1] Operand 1
     /*  351226 */     // No operand predicates
     /*  351226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  351238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351258 */     GIR_RootConstrainSelectedInstOperands,
     /*  351259 */     // GIR_Coverage, 6126,
     /*  351259 */     GIR_EraseRootFromParent_Done,
     /*  351260 */   // Label 6495: @351260
     /*  351260 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(351346), // Rule ID 6127 //
     /*  351265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  351282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351312 */     // MIs[1] Operand 1
     /*  351312 */     // No operand predicates
     /*  351312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  351324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351344 */     GIR_RootConstrainSelectedInstOperands,
     /*  351345 */     // GIR_Coverage, 6127,
     /*  351345 */     GIR_EraseRootFromParent_Done,
     /*  351346 */   // Label 6496: @351346
     /*  351346 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(351432), // Rule ID 6130 //
     /*  351351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  351362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  351365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351398 */     // MIs[1] Operand 1
     /*  351398 */     // No operand predicates
     /*  351398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  351410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351430 */     GIR_RootConstrainSelectedInstOperands,
     /*  351431 */     // GIR_Coverage, 6130,
     /*  351431 */     GIR_EraseRootFromParent_Done,
     /*  351432 */   // Label 6497: @351432
     /*  351432 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(351518), // Rule ID 6131 //
     /*  351437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  351448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  351451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  351454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351484 */     // MIs[1] Operand 1
     /*  351484 */     // No operand predicates
     /*  351484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  351496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351516 */     GIR_RootConstrainSelectedInstOperands,
     /*  351517 */     // GIR_Coverage, 6131,
     /*  351517 */     GIR_EraseRootFromParent_Done,
     /*  351518 */   // Label 6498: @351518
     /*  351518 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(351604), // Rule ID 6134 //
     /*  351523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  351526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351570 */     // MIs[1] Operand 1
     /*  351570 */     // No operand predicates
     /*  351570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  351582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351602 */     GIR_RootConstrainSelectedInstOperands,
     /*  351603 */     // GIR_Coverage, 6134,
     /*  351603 */     GIR_EraseRootFromParent_Done,
     /*  351604 */   // Label 6499: @351604
     /*  351604 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(351690), // Rule ID 6135 //
     /*  351609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  351612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  351626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351656 */     // MIs[1] Operand 1
     /*  351656 */     // No operand predicates
     /*  351656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351665 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  351668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351688 */     GIR_RootConstrainSelectedInstOperands,
     /*  351689 */     // GIR_Coverage, 6135,
     /*  351689 */     GIR_EraseRootFromParent_Done,
     /*  351690 */   // Label 6500: @351690
     /*  351690 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(351776), // Rule ID 6138 //
     /*  351695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  351698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351742 */     // MIs[1] Operand 1
     /*  351742 */     // No operand predicates
     /*  351742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351751 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  351751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  351754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  351771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351774 */     GIR_RootConstrainSelectedInstOperands,
     /*  351775 */     // GIR_Coverage, 6138,
     /*  351775 */     GIR_EraseRootFromParent_Done,
     /*  351776 */   // Label 6501: @351776
     /*  351776 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(351862), // Rule ID 6139 //
     /*  351781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  351784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  351798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351828 */     // MIs[1] Operand 1
     /*  351828 */     // No operand predicates
     /*  351828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  351837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  351840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  351857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351860 */     GIR_RootConstrainSelectedInstOperands,
     /*  351861 */     // GIR_Coverage, 6139,
     /*  351861 */     GIR_EraseRootFromParent_Done,
     /*  351862 */   // Label 6502: @351862
     /*  351862 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(351948), // Rule ID 6142 //
     /*  351867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  351870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  351890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  351914 */     // MIs[1] Operand 1
     /*  351914 */     // No operand predicates
     /*  351914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  351916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  351923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  351926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  351932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  351935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  351943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351946 */     GIR_RootConstrainSelectedInstOperands,
     /*  351947 */     // GIR_Coverage, 6142,
     /*  351947 */     GIR_EraseRootFromParent_Done,
     /*  351948 */   // Label 6503: @351948
     /*  351948 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(352034), // Rule ID 6143 //
     /*  351953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  351956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  351961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  351964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  351967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  351970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  351976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  351992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  351996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352000 */     // MIs[1] Operand 1
     /*  352000 */     // No operand predicates
     /*  352000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352009 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  352009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  352012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  352029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352032 */     GIR_RootConstrainSelectedInstOperands,
     /*  352033 */     // GIR_Coverage, 6143,
     /*  352033 */     GIR_EraseRootFromParent_Done,
     /*  352034 */   // Label 6504: @352034
     /*  352034 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(352120), // Rule ID 6146 //
     /*  352039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  352042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  352047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  352050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  352053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352086 */     // MIs[1] Operand 1
     /*  352086 */     // No operand predicates
     /*  352086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352095 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  352095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  352098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  352115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352118 */     GIR_RootConstrainSelectedInstOperands,
     /*  352119 */     // GIR_Coverage, 6146,
     /*  352119 */     GIR_EraseRootFromParent_Done,
     /*  352120 */   // Label 6505: @352120
     /*  352120 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(352206), // Rule ID 6147 //
     /*  352125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  352128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  352133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  352136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  352139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  352142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352172 */     // MIs[1] Operand 1
     /*  352172 */     // No operand predicates
     /*  352172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352181 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  352181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  352184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  352201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352204 */     GIR_RootConstrainSelectedInstOperands,
     /*  352205 */     // GIR_Coverage, 6147,
     /*  352205 */     GIR_EraseRootFromParent_Done,
     /*  352206 */   // Label 6506: @352206
     /*  352206 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(352292), // Rule ID 6326 //
     /*  352211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  352228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352258 */     // MIs[1] Operand 1
     /*  352258 */     // No operand predicates
     /*  352258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  352270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352290 */     GIR_RootConstrainSelectedInstOperands,
     /*  352291 */     // GIR_Coverage, 6326,
     /*  352291 */     GIR_EraseRootFromParent_Done,
     /*  352292 */   // Label 6507: @352292
     /*  352292 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(352378), // Rule ID 6327 //
     /*  352297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  352308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  352311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  352314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352344 */     // MIs[1] Operand 1
     /*  352344 */     // No operand predicates
     /*  352344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352353 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  352356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352376 */     GIR_RootConstrainSelectedInstOperands,
     /*  352377 */     // GIR_Coverage, 6327,
     /*  352377 */     GIR_EraseRootFromParent_Done,
     /*  352378 */   // Label 6508: @352378
     /*  352378 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(352464), // Rule ID 6330 //
     /*  352383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  352400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352430 */     // MIs[1] Operand 1
     /*  352430 */     // No operand predicates
     /*  352430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352439 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  352442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352462 */     GIR_RootConstrainSelectedInstOperands,
     /*  352463 */     // GIR_Coverage, 6330,
     /*  352463 */     GIR_EraseRootFromParent_Done,
     /*  352464 */   // Label 6509: @352464
     /*  352464 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(352550), // Rule ID 6331 //
     /*  352469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  352480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  352483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  352486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352516 */     // MIs[1] Operand 1
     /*  352516 */     // No operand predicates
     /*  352516 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352525 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  352528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352534 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352548 */     GIR_RootConstrainSelectedInstOperands,
     /*  352549 */     // GIR_Coverage, 6331,
     /*  352549 */     GIR_EraseRootFromParent_Done,
     /*  352550 */   // Label 6510: @352550
     /*  352550 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(352636), // Rule ID 6334 //
     /*  352555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352602 */     // MIs[1] Operand 1
     /*  352602 */     // No operand predicates
     /*  352602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  352614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352634 */     GIR_RootConstrainSelectedInstOperands,
     /*  352635 */     // GIR_Coverage, 6334,
     /*  352635 */     GIR_EraseRootFromParent_Done,
     /*  352636 */   // Label 6511: @352636
     /*  352636 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(352722), // Rule ID 6335 //
     /*  352641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  352652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  352655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352688 */     // MIs[1] Operand 1
     /*  352688 */     // No operand predicates
     /*  352688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352697 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  352700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352720 */     GIR_RootConstrainSelectedInstOperands,
     /*  352721 */     // GIR_Coverage, 6335,
     /*  352721 */     GIR_EraseRootFromParent_Done,
     /*  352722 */   // Label 6512: @352722
     /*  352722 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(352808), // Rule ID 6338 //
     /*  352727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352774 */     // MIs[1] Operand 1
     /*  352774 */     // No operand predicates
     /*  352774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352783 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  352786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352806 */     GIR_RootConstrainSelectedInstOperands,
     /*  352807 */     // GIR_Coverage, 6338,
     /*  352807 */     GIR_EraseRootFromParent_Done,
     /*  352808 */   // Label 6513: @352808
     /*  352808 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(352894), // Rule ID 6339 //
     /*  352813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  352830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  352836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352860 */     // MIs[1] Operand 1
     /*  352860 */     // No operand predicates
     /*  352860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  352869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  352872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352892 */     GIR_RootConstrainSelectedInstOperands,
     /*  352893 */     // GIR_Coverage, 6339,
     /*  352893 */     GIR_EraseRootFromParent_Done,
     /*  352894 */   // Label 6514: @352894
     /*  352894 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(352980), // Rule ID 6342 //
     /*  352899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  352902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  352916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  352922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  352938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  352942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  352946 */     // MIs[1] Operand 1
     /*  352946 */     // No operand predicates
     /*  352946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  352948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  352955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  352958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  352964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  352967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  352975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352978 */     GIR_RootConstrainSelectedInstOperands,
     /*  352979 */     // GIR_Coverage, 6342,
     /*  352979 */     GIR_EraseRootFromParent_Done,
     /*  352980 */   // Label 6515: @352980
     /*  352980 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(353066), // Rule ID 6343 //
     /*  352985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  352988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  352993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353032 */     // MIs[1] Operand 1
     /*  353032 */     // No operand predicates
     /*  353032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353041 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  353044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353064 */     GIR_RootConstrainSelectedInstOperands,
     /*  353065 */     // GIR_Coverage, 6343,
     /*  353065 */     GIR_EraseRootFromParent_Done,
     /*  353066 */   // Label 6516: @353066
     /*  353066 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(353152), // Rule ID 6346 //
     /*  353071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353118 */     // MIs[1] Operand 1
     /*  353118 */     // No operand predicates
     /*  353118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  353130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353150 */     GIR_RootConstrainSelectedInstOperands,
     /*  353151 */     // GIR_Coverage, 6346,
     /*  353151 */     GIR_EraseRootFromParent_Done,
     /*  353152 */   // Label 6517: @353152
     /*  353152 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(353238), // Rule ID 6347 //
     /*  353157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353204 */     // MIs[1] Operand 1
     /*  353204 */     // No operand predicates
     /*  353204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353213 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  353216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353236 */     GIR_RootConstrainSelectedInstOperands,
     /*  353237 */     // GIR_Coverage, 6347,
     /*  353237 */     GIR_EraseRootFromParent_Done,
     /*  353238 */   // Label 6518: @353238
     /*  353238 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(353324), // Rule ID 6350 //
     /*  353243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  353260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353290 */     // MIs[1] Operand 1
     /*  353290 */     // No operand predicates
     /*  353290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353322 */     GIR_RootConstrainSelectedInstOperands,
     /*  353323 */     // GIR_Coverage, 6350,
     /*  353323 */     GIR_EraseRootFromParent_Done,
     /*  353324 */   // Label 6519: @353324
     /*  353324 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(353410), // Rule ID 6351 //
     /*  353329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  353340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  353343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  353346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353376 */     // MIs[1] Operand 1
     /*  353376 */     // No operand predicates
     /*  353376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353408 */     GIR_RootConstrainSelectedInstOperands,
     /*  353409 */     // GIR_Coverage, 6351,
     /*  353409 */     GIR_EraseRootFromParent_Done,
     /*  353410 */   // Label 6520: @353410
     /*  353410 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(353496), // Rule ID 6354 //
     /*  353415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353462 */     // MIs[1] Operand 1
     /*  353462 */     // No operand predicates
     /*  353462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353494 */     GIR_RootConstrainSelectedInstOperands,
     /*  353495 */     // GIR_Coverage, 6354,
     /*  353495 */     GIR_EraseRootFromParent_Done,
     /*  353496 */   // Label 6521: @353496
     /*  353496 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(353582), // Rule ID 6355 //
     /*  353501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  353512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  353515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353548 */     // MIs[1] Operand 1
     /*  353548 */     // No operand predicates
     /*  353548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353580 */     GIR_RootConstrainSelectedInstOperands,
     /*  353581 */     // GIR_Coverage, 6355,
     /*  353581 */     GIR_EraseRootFromParent_Done,
     /*  353582 */   // Label 6522: @353582
     /*  353582 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(353668), // Rule ID 6358 //
     /*  353587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353630 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353634 */     // MIs[1] Operand 1
     /*  353634 */     // No operand predicates
     /*  353634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353666 */     GIR_RootConstrainSelectedInstOperands,
     /*  353667 */     // GIR_Coverage, 6358,
     /*  353667 */     GIR_EraseRootFromParent_Done,
     /*  353668 */   // Label 6523: @353668
     /*  353668 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(353754), // Rule ID 6359 //
     /*  353673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  353676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353720 */     // MIs[1] Operand 1
     /*  353720 */     // No operand predicates
     /*  353720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353752 */     GIR_RootConstrainSelectedInstOperands,
     /*  353753 */     // GIR_Coverage, 6359,
     /*  353753 */     GIR_EraseRootFromParent_Done,
     /*  353754 */   // Label 6524: @353754
     /*  353754 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(353840), // Rule ID 6362 //
     /*  353759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  353762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353806 */     // MIs[1] Operand 1
     /*  353806 */     // No operand predicates
     /*  353806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  353815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  353835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353838 */     GIR_RootConstrainSelectedInstOperands,
     /*  353839 */     // GIR_Coverage, 6362,
     /*  353839 */     GIR_EraseRootFromParent_Done,
     /*  353840 */   // Label 6525: @353840
     /*  353840 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(353926), // Rule ID 6363 //
     /*  353845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  353848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  353862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  353868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353892 */     // MIs[1] Operand 1
     /*  353892 */     // No operand predicates
     /*  353892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  353901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  353904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  353921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353924 */     GIR_RootConstrainSelectedInstOperands,
     /*  353925 */     // GIR_Coverage, 6363,
     /*  353925 */     GIR_EraseRootFromParent_Done,
     /*  353926 */   // Label 6526: @353926
     /*  353926 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(354012), // Rule ID 6366 //
     /*  353931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  353934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  353939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  353942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  353945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  353948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  353954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  353970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  353974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  353978 */     // MIs[1] Operand 1
     /*  353978 */     // No operand predicates
     /*  353978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  353980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  353987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  353990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  353996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  353999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354010 */     GIR_RootConstrainSelectedInstOperands,
     /*  354011 */     // GIR_Coverage, 6366,
     /*  354011 */     GIR_EraseRootFromParent_Done,
     /*  354012 */   // Label 6527: @354012
     /*  354012 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(354098), // Rule ID 6367 //
     /*  354017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  354028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  354031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  354034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354064 */     // MIs[1] Operand 1
     /*  354064 */     // No operand predicates
     /*  354064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354073 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  354076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354096 */     GIR_RootConstrainSelectedInstOperands,
     /*  354097 */     // GIR_Coverage, 6367,
     /*  354097 */     GIR_EraseRootFromParent_Done,
     /*  354098 */   // Label 6528: @354098
     /*  354098 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(354184), // Rule ID 6370 //
     /*  354103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  354114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  354117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  354120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354150 */     // MIs[1] Operand 1
     /*  354150 */     // No operand predicates
     /*  354150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354159 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354182 */     GIR_RootConstrainSelectedInstOperands,
     /*  354183 */     // GIR_Coverage, 6370,
     /*  354183 */     GIR_EraseRootFromParent_Done,
     /*  354184 */   // Label 6529: @354184
     /*  354184 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(354270), // Rule ID 6371 //
     /*  354189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  354200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  354203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  354206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354236 */     // MIs[1] Operand 1
     /*  354236 */     // No operand predicates
     /*  354236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354245 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354268 */     GIR_RootConstrainSelectedInstOperands,
     /*  354269 */     // GIR_Coverage, 6371,
     /*  354269 */     GIR_EraseRootFromParent_Done,
     /*  354270 */   // Label 6530: @354270
     /*  354270 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(354356), // Rule ID 6374 //
     /*  354275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  354286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  354289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  354292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354322 */     // MIs[1] Operand 1
     /*  354322 */     // No operand predicates
     /*  354322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354331 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  354331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354354 */     GIR_RootConstrainSelectedInstOperands,
     /*  354355 */     // GIR_Coverage, 6374,
     /*  354355 */     GIR_EraseRootFromParent_Done,
     /*  354356 */   // Label 6531: @354356
     /*  354356 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(354442), // Rule ID 6375 //
     /*  354361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  354372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  354375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  354378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354408 */     // MIs[1] Operand 1
     /*  354408 */     // No operand predicates
     /*  354408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354417 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  354417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  354437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354440 */     GIR_RootConstrainSelectedInstOperands,
     /*  354441 */     // GIR_Coverage, 6375,
     /*  354441 */     GIR_EraseRootFromParent_Done,
     /*  354442 */   // Label 6532: @354442
     /*  354442 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(354528), // Rule ID 6378 //
     /*  354447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354494 */     // MIs[1] Operand 1
     /*  354494 */     // No operand predicates
     /*  354494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354503 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  354506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354526 */     GIR_RootConstrainSelectedInstOperands,
     /*  354527 */     // GIR_Coverage, 6378,
     /*  354527 */     GIR_EraseRootFromParent_Done,
     /*  354528 */   // Label 6533: @354528
     /*  354528 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(354614), // Rule ID 6379 //
     /*  354533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  354544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  354547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354580 */     // MIs[1] Operand 1
     /*  354580 */     // No operand predicates
     /*  354580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  354592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354612 */     GIR_RootConstrainSelectedInstOperands,
     /*  354613 */     // GIR_Coverage, 6379,
     /*  354613 */     GIR_EraseRootFromParent_Done,
     /*  354614 */   // Label 6534: @354614
     /*  354614 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(354700), // Rule ID 6382 //
     /*  354619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354666 */     // MIs[1] Operand 1
     /*  354666 */     // No operand predicates
     /*  354666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354698 */     GIR_RootConstrainSelectedInstOperands,
     /*  354699 */     // GIR_Coverage, 6382,
     /*  354699 */     GIR_EraseRootFromParent_Done,
     /*  354700 */   // Label 6535: @354700
     /*  354700 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(354786), // Rule ID 6383 //
     /*  354705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  354716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  354719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354752 */     // MIs[1] Operand 1
     /*  354752 */     // No operand predicates
     /*  354752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  354764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354770 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354784 */     GIR_RootConstrainSelectedInstOperands,
     /*  354785 */     // GIR_Coverage, 6383,
     /*  354785 */     GIR_EraseRootFromParent_Done,
     /*  354786 */   // Label 6536: @354786
     /*  354786 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(354872), // Rule ID 6386 //
     /*  354791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  354802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  354805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  354808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354838 */     // MIs[1] Operand 1
     /*  354838 */     // No operand predicates
     /*  354838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354870 */     GIR_RootConstrainSelectedInstOperands,
     /*  354871 */     // GIR_Coverage, 6386,
     /*  354871 */     GIR_EraseRootFromParent_Done,
     /*  354872 */   // Label 6537: @354872
     /*  354872 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(354958), // Rule ID 6387 //
     /*  354877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  354880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  354888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  354891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  354894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  354900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  354916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  354920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  354924 */     // MIs[1] Operand 1
     /*  354924 */     // No operand predicates
     /*  354924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  354926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354933 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  354936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  354942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  354945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354956 */     GIR_RootConstrainSelectedInstOperands,
     /*  354957 */     // GIR_Coverage, 6387,
     /*  354957 */     GIR_EraseRootFromParent_Done,
     /*  354958 */   // Label 6538: @354958
     /*  354958 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(355044), // Rule ID 6390 //
     /*  354963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  354966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  354971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  354986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355010 */     // MIs[1] Operand 1
     /*  355010 */     // No operand predicates
     /*  355010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  355022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355042 */     GIR_RootConstrainSelectedInstOperands,
     /*  355043 */     // GIR_Coverage, 6390,
     /*  355043 */     GIR_EraseRootFromParent_Done,
     /*  355044 */   // Label 6539: @355044
     /*  355044 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(355130), // Rule ID 6391 //
     /*  355049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  355060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  355063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355096 */     // MIs[1] Operand 1
     /*  355096 */     // No operand predicates
     /*  355096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355105 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  355108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355114 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355128 */     GIR_RootConstrainSelectedInstOperands,
     /*  355129 */     // GIR_Coverage, 6391,
     /*  355129 */     GIR_EraseRootFromParent_Done,
     /*  355130 */   // Label 6540: @355130
     /*  355130 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(355216), // Rule ID 6394 //
     /*  355135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355182 */     // MIs[1] Operand 1
     /*  355182 */     // No operand predicates
     /*  355182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  355194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355214 */     GIR_RootConstrainSelectedInstOperands,
     /*  355215 */     // GIR_Coverage, 6394,
     /*  355215 */     GIR_EraseRootFromParent_Done,
     /*  355216 */   // Label 6541: @355216
     /*  355216 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(355302), // Rule ID 6395 //
     /*  355221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  355232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  355235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355268 */     // MIs[1] Operand 1
     /*  355268 */     // No operand predicates
     /*  355268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  355280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355300 */     GIR_RootConstrainSelectedInstOperands,
     /*  355301 */     // GIR_Coverage, 6395,
     /*  355301 */     GIR_EraseRootFromParent_Done,
     /*  355302 */   // Label 6542: @355302
     /*  355302 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(355388), // Rule ID 6398 //
     /*  355307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  355318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  355321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355354 */     // MIs[1] Operand 1
     /*  355354 */     // No operand predicates
     /*  355354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  355366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355386 */     GIR_RootConstrainSelectedInstOperands,
     /*  355387 */     // GIR_Coverage, 6398,
     /*  355387 */     GIR_EraseRootFromParent_Done,
     /*  355388 */   // Label 6543: @355388
     /*  355388 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(355474), // Rule ID 6399 //
     /*  355393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  355396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  355404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  355407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  355410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355440 */     // MIs[1] Operand 1
     /*  355440 */     // No operand predicates
     /*  355440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  355452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355472 */     GIR_RootConstrainSelectedInstOperands,
     /*  355473 */     // GIR_Coverage, 6399,
     /*  355473 */     GIR_EraseRootFromParent_Done,
     /*  355474 */   // Label 6544: @355474
     /*  355474 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(355560), // Rule ID 6402 //
     /*  355479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  355482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  355490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  355493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355526 */     // MIs[1] Operand 1
     /*  355526 */     // No operand predicates
     /*  355526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  355535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  355538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355558 */     GIR_RootConstrainSelectedInstOperands,
     /*  355559 */     // GIR_Coverage, 6402,
     /*  355559 */     GIR_EraseRootFromParent_Done,
     /*  355560 */   // Label 6545: @355560
     /*  355560 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(355646), // Rule ID 6403 //
     /*  355565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  355568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  355576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  355579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  355582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355612 */     // MIs[1] Operand 1
     /*  355612 */     // No operand predicates
     /*  355612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  355621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  355624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355644 */     GIR_RootConstrainSelectedInstOperands,
     /*  355645 */     // GIR_Coverage, 6403,
     /*  355645 */     GIR_EraseRootFromParent_Done,
     /*  355646 */   // Label 6546: @355646
     /*  355646 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(355732), // Rule ID 6406 //
     /*  355651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  355654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  355662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  355665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355698 */     // MIs[1] Operand 1
     /*  355698 */     // No operand predicates
     /*  355698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  355707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  355710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355730 */     GIR_RootConstrainSelectedInstOperands,
     /*  355731 */     // GIR_Coverage, 6406,
     /*  355731 */     GIR_EraseRootFromParent_Done,
     /*  355732 */   // Label 6547: @355732
     /*  355732 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(355818), // Rule ID 6407 //
     /*  355737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  355740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  355748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  355751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  355754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355784 */     // MIs[1] Operand 1
     /*  355784 */     // No operand predicates
     /*  355784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355793 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  355793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  355796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355816 */     GIR_RootConstrainSelectedInstOperands,
     /*  355817 */     // GIR_Coverage, 6407,
     /*  355817 */     GIR_EraseRootFromParent_Done,
     /*  355818 */   // Label 6548: @355818
     /*  355818 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(355904), // Rule ID 6410 //
     /*  355823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  355826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  355834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  355837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  355846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355870 */     // MIs[1] Operand 1
     /*  355870 */     // No operand predicates
     /*  355870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355879 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  355879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  355882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355902 */     GIR_RootConstrainSelectedInstOperands,
     /*  355903 */     // GIR_Coverage, 6410,
     /*  355903 */     GIR_EraseRootFromParent_Done,
     /*  355904 */   // Label 6549: @355904
     /*  355904 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(355990), // Rule ID 6411 //
     /*  355909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  355912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  355917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  355920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  355923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  355926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  355932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  355948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  355952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  355956 */     // MIs[1] Operand 1
     /*  355956 */     // No operand predicates
     /*  355956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  355958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  355965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  355968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  355974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  355977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  355985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355988 */     GIR_RootConstrainSelectedInstOperands,
     /*  355989 */     // GIR_Coverage, 6411,
     /*  355989 */     GIR_EraseRootFromParent_Done,
     /*  355990 */   // Label 6550: @355990
     /*  355990 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(356076), // Rule ID 6590 //
     /*  355995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  355998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  356006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  356009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  356012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356042 */     // MIs[1] Operand 1
     /*  356042 */     // No operand predicates
     /*  356042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  356054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356074 */     GIR_RootConstrainSelectedInstOperands,
     /*  356075 */     // GIR_Coverage, 6590,
     /*  356075 */     GIR_EraseRootFromParent_Done,
     /*  356076 */   // Label 6551: @356076
     /*  356076 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(356162), // Rule ID 6591 //
     /*  356081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  356092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  356095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  356098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356128 */     // MIs[1] Operand 1
     /*  356128 */     // No operand predicates
     /*  356128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356137 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  356140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356160 */     GIR_RootConstrainSelectedInstOperands,
     /*  356161 */     // GIR_Coverage, 6591,
     /*  356161 */     GIR_EraseRootFromParent_Done,
     /*  356162 */   // Label 6552: @356162
     /*  356162 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(356248), // Rule ID 6594 //
     /*  356167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  356178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  356181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  356184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356214 */     // MIs[1] Operand 1
     /*  356214 */     // No operand predicates
     /*  356214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356223 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  356226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356246 */     GIR_RootConstrainSelectedInstOperands,
     /*  356247 */     // GIR_Coverage, 6594,
     /*  356247 */     GIR_EraseRootFromParent_Done,
     /*  356248 */   // Label 6553: @356248
     /*  356248 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(356334), // Rule ID 6595 //
     /*  356253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  356264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  356267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  356270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356300 */     // MIs[1] Operand 1
     /*  356300 */     // No operand predicates
     /*  356300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356309 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  356312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356332 */     GIR_RootConstrainSelectedInstOperands,
     /*  356333 */     // GIR_Coverage, 6595,
     /*  356333 */     GIR_EraseRootFromParent_Done,
     /*  356334 */   // Label 6554: @356334
     /*  356334 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(356420), // Rule ID 6598 //
     /*  356339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  356350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  356353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  356356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356386 */     // MIs[1] Operand 1
     /*  356386 */     // No operand predicates
     /*  356386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356395 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  356398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356418 */     GIR_RootConstrainSelectedInstOperands,
     /*  356419 */     // GIR_Coverage, 6598,
     /*  356419 */     GIR_EraseRootFromParent_Done,
     /*  356420 */   // Label 6555: @356420
     /*  356420 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(356506), // Rule ID 6599 //
     /*  356425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  356436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  356439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  356442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356472 */     // MIs[1] Operand 1
     /*  356472 */     // No operand predicates
     /*  356472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356481 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  356484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356504 */     GIR_RootConstrainSelectedInstOperands,
     /*  356505 */     // GIR_Coverage, 6599,
     /*  356505 */     GIR_EraseRootFromParent_Done,
     /*  356506 */   // Label 6556: @356506
     /*  356506 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(356592), // Rule ID 6602 //
     /*  356511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  356522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  356525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  356528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356558 */     // MIs[1] Operand 1
     /*  356558 */     // No operand predicates
     /*  356558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356567 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  356570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356590 */     GIR_RootConstrainSelectedInstOperands,
     /*  356591 */     // GIR_Coverage, 6602,
     /*  356591 */     GIR_EraseRootFromParent_Done,
     /*  356592 */   // Label 6557: @356592
     /*  356592 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(356678), // Rule ID 6603 //
     /*  356597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  356608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  356611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  356614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356644 */     // MIs[1] Operand 1
     /*  356644 */     // No operand predicates
     /*  356644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  356656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356676 */     GIR_RootConstrainSelectedInstOperands,
     /*  356677 */     // GIR_Coverage, 6603,
     /*  356677 */     GIR_EraseRootFromParent_Done,
     /*  356678 */   // Label 6558: @356678
     /*  356678 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(356764), // Rule ID 6606 //
     /*  356683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  356694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  356697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  356700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356730 */     // MIs[1] Operand 1
     /*  356730 */     // No operand predicates
     /*  356730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  356742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356762 */     GIR_RootConstrainSelectedInstOperands,
     /*  356763 */     // GIR_Coverage, 6606,
     /*  356763 */     GIR_EraseRootFromParent_Done,
     /*  356764 */   // Label 6559: @356764
     /*  356764 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(356850), // Rule ID 6607 //
     /*  356769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  356780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  356783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  356786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356816 */     // MIs[1] Operand 1
     /*  356816 */     // No operand predicates
     /*  356816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356825 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  356828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356848 */     GIR_RootConstrainSelectedInstOperands,
     /*  356849 */     // GIR_Coverage, 6607,
     /*  356849 */     GIR_EraseRootFromParent_Done,
     /*  356850 */   // Label 6560: @356850
     /*  356850 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(356936), // Rule ID 6610 //
     /*  356855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  356858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  356872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  356878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356902 */     // MIs[1] Operand 1
     /*  356902 */     // No operand predicates
     /*  356902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  356914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  356920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  356923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356934 */     GIR_RootConstrainSelectedInstOperands,
     /*  356935 */     // GIR_Coverage, 6610,
     /*  356935 */     GIR_EraseRootFromParent_Done,
     /*  356936 */   // Label 6561: @356936
     /*  356936 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(357022), // Rule ID 6611 //
     /*  356941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  356944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  356949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  356958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  356964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  356980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  356984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  356988 */     // MIs[1] Operand 1
     /*  356988 */     // No operand predicates
     /*  356988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  356990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  357000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357020 */     GIR_RootConstrainSelectedInstOperands,
     /*  357021 */     // GIR_Coverage, 6611,
     /*  357021 */     GIR_EraseRootFromParent_Done,
     /*  357022 */   // Label 6562: @357022
     /*  357022 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(357108), // Rule ID 6614 //
     /*  357027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  357044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357074 */     // MIs[1] Operand 1
     /*  357074 */     // No operand predicates
     /*  357074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357106 */     GIR_RootConstrainSelectedInstOperands,
     /*  357107 */     // GIR_Coverage, 6614,
     /*  357107 */     GIR_EraseRootFromParent_Done,
     /*  357108 */   // Label 6563: @357108
     /*  357108 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(357194), // Rule ID 6615 //
     /*  357113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  357130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357160 */     // MIs[1] Operand 1
     /*  357160 */     // No operand predicates
     /*  357160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357192 */     GIR_RootConstrainSelectedInstOperands,
     /*  357193 */     // GIR_Coverage, 6615,
     /*  357193 */     GIR_EraseRootFromParent_Done,
     /*  357194 */   // Label 6564: @357194
     /*  357194 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(357280), // Rule ID 6618 //
     /*  357199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  357210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  357213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357246 */     // MIs[1] Operand 1
     /*  357246 */     // No operand predicates
     /*  357246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  357255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357278 */     GIR_RootConstrainSelectedInstOperands,
     /*  357279 */     // GIR_Coverage, 6618,
     /*  357279 */     GIR_EraseRootFromParent_Done,
     /*  357280 */   // Label 6565: @357280
     /*  357280 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(357366), // Rule ID 6619 //
     /*  357285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  357296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  357299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357332 */     // MIs[1] Operand 1
     /*  357332 */     // No operand predicates
     /*  357332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  357341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  357361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357364 */     GIR_RootConstrainSelectedInstOperands,
     /*  357365 */     // GIR_Coverage, 6619,
     /*  357365 */     GIR_EraseRootFromParent_Done,
     /*  357366 */   // Label 6566: @357366
     /*  357366 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(357452), // Rule ID 6622 //
     /*  357371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  357382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  357385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357418 */     // MIs[1] Operand 1
     /*  357418 */     // No operand predicates
     /*  357418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357450 */     GIR_RootConstrainSelectedInstOperands,
     /*  357451 */     // GIR_Coverage, 6622,
     /*  357451 */     GIR_EraseRootFromParent_Done,
     /*  357452 */   // Label 6567: @357452
     /*  357452 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(357538), // Rule ID 6623 //
     /*  357457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  357468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  357471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  357474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357504 */     // MIs[1] Operand 1
     /*  357504 */     // No operand predicates
     /*  357504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357536 */     GIR_RootConstrainSelectedInstOperands,
     /*  357537 */     // GIR_Coverage, 6623,
     /*  357537 */     GIR_EraseRootFromParent_Done,
     /*  357538 */   // Label 6568: @357538
     /*  357538 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(357624), // Rule ID 6626 //
     /*  357543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  357546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  357554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  357557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  357560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357590 */     // MIs[1] Operand 1
     /*  357590 */     // No operand predicates
     /*  357590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357599 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  357599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  357619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357622 */     GIR_RootConstrainSelectedInstOperands,
     /*  357623 */     // GIR_Coverage, 6626,
     /*  357623 */     GIR_EraseRootFromParent_Done,
     /*  357624 */   // Label 6569: @357624
     /*  357624 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(357710), // Rule ID 6627 //
     /*  357629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  357632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  357640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  357643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  357646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357676 */     // MIs[1] Operand 1
     /*  357676 */     // No operand predicates
     /*  357676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  357685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  357688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  357705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357708 */     GIR_RootConstrainSelectedInstOperands,
     /*  357709 */     // GIR_Coverage, 6627,
     /*  357709 */     GIR_EraseRootFromParent_Done,
     /*  357710 */   // Label 6570: @357710
     /*  357710 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(357796), // Rule ID 6630 //
     /*  357715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  357732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357762 */     // MIs[1] Operand 1
     /*  357762 */     // No operand predicates
     /*  357762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  357774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357794 */     GIR_RootConstrainSelectedInstOperands,
     /*  357795 */     // GIR_Coverage, 6630,
     /*  357795 */     GIR_EraseRootFromParent_Done,
     /*  357796 */   // Label 6571: @357796
     /*  357796 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(357882), // Rule ID 6631 //
     /*  357801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  357818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357848 */     // MIs[1] Operand 1
     /*  357848 */     // No operand predicates
     /*  357848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357857 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  357860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357880 */     GIR_RootConstrainSelectedInstOperands,
     /*  357881 */     // GIR_Coverage, 6631,
     /*  357881 */     GIR_EraseRootFromParent_Done,
     /*  357882 */   // Label 6572: @357882
     /*  357882 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(357968), // Rule ID 6634 //
     /*  357887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  357890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  357904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  357910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  357926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  357930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  357934 */     // MIs[1] Operand 1
     /*  357934 */     // No operand predicates
     /*  357934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  357936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  357946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  357952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  357955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357966 */     GIR_RootConstrainSelectedInstOperands,
     /*  357967 */     // GIR_Coverage, 6634,
     /*  357967 */     GIR_EraseRootFromParent_Done,
     /*  357968 */   // Label 6573: @357968
     /*  357968 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(358054), // Rule ID 6635 //
     /*  357973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  357976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  357981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  357984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  357987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  357990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  357996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358020 */     // MIs[1] Operand 1
     /*  358020 */     // No operand predicates
     /*  358020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358029 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358052 */     GIR_RootConstrainSelectedInstOperands,
     /*  358053 */     // GIR_Coverage, 6635,
     /*  358053 */     GIR_EraseRootFromParent_Done,
     /*  358054 */   // Label 6574: @358054
     /*  358054 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(358140), // Rule ID 6638 //
     /*  358059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  358070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  358073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  358076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358106 */     // MIs[1] Operand 1
     /*  358106 */     // No operand predicates
     /*  358106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358115 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358138 */     GIR_RootConstrainSelectedInstOperands,
     /*  358139 */     // GIR_Coverage, 6638,
     /*  358139 */     GIR_EraseRootFromParent_Done,
     /*  358140 */   // Label 6575: @358140
     /*  358140 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(358226), // Rule ID 6639 //
     /*  358145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  358156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  358159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  358162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358192 */     // MIs[1] Operand 1
     /*  358192 */     // No operand predicates
     /*  358192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358201 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358224 */     GIR_RootConstrainSelectedInstOperands,
     /*  358225 */     // GIR_Coverage, 6639,
     /*  358225 */     GIR_EraseRootFromParent_Done,
     /*  358226 */   // Label 6576: @358226
     /*  358226 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(358312), // Rule ID 6642 //
     /*  358231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  358248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358278 */     // MIs[1] Operand 1
     /*  358278 */     // No operand predicates
     /*  358278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358310 */     GIR_RootConstrainSelectedInstOperands,
     /*  358311 */     // GIR_Coverage, 6642,
     /*  358311 */     GIR_EraseRootFromParent_Done,
     /*  358312 */   // Label 6577: @358312
     /*  358312 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(358398), // Rule ID 6643 //
     /*  358317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  358334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358364 */     // MIs[1] Operand 1
     /*  358364 */     // No operand predicates
     /*  358364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358373 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358396 */     GIR_RootConstrainSelectedInstOperands,
     /*  358397 */     // GIR_Coverage, 6643,
     /*  358397 */     GIR_EraseRootFromParent_Done,
     /*  358398 */   // Label 6578: @358398
     /*  358398 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(358484), // Rule ID 6646 //
     /*  358403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  358420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358450 */     // MIs[1] Operand 1
     /*  358450 */     // No operand predicates
     /*  358450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358482 */     GIR_RootConstrainSelectedInstOperands,
     /*  358483 */     // GIR_Coverage, 6646,
     /*  358483 */     GIR_EraseRootFromParent_Done,
     /*  358484 */   // Label 6579: @358484
     /*  358484 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(358570), // Rule ID 6647 //
     /*  358489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  358506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358536 */     // MIs[1] Operand 1
     /*  358536 */     // No operand predicates
     /*  358536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358545 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358568 */     GIR_RootConstrainSelectedInstOperands,
     /*  358569 */     // GIR_Coverage, 6647,
     /*  358569 */     GIR_EraseRootFromParent_Done,
     /*  358570 */   // Label 6580: @358570
     /*  358570 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(358656), // Rule ID 6650 //
     /*  358575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  358586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  358589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  358592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358622 */     // MIs[1] Operand 1
     /*  358622 */     // No operand predicates
     /*  358622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358631 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358654 */     GIR_RootConstrainSelectedInstOperands,
     /*  358655 */     // GIR_Coverage, 6650,
     /*  358655 */     GIR_EraseRootFromParent_Done,
     /*  358656 */   // Label 6581: @358656
     /*  358656 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(358742), // Rule ID 6651 //
     /*  358661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  358672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  358675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  358678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358708 */     // MIs[1] Operand 1
     /*  358708 */     // No operand predicates
     /*  358708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  358720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358740 */     GIR_RootConstrainSelectedInstOperands,
     /*  358741 */     // GIR_Coverage, 6651,
     /*  358741 */     GIR_EraseRootFromParent_Done,
     /*  358742 */   // Label 6582: @358742
     /*  358742 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(358828), // Rule ID 6654 //
     /*  358747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358794 */     // MIs[1] Operand 1
     /*  358794 */     // No operand predicates
     /*  358794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358826 */     GIR_RootConstrainSelectedInstOperands,
     /*  358827 */     // GIR_Coverage, 6654,
     /*  358827 */     GIR_EraseRootFromParent_Done,
     /*  358828 */   // Label 6583: @358828
     /*  358828 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(358914), // Rule ID 6655 //
     /*  358833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  358836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  358844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  358847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  358856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358880 */     // MIs[1] Operand 1
     /*  358880 */     // No operand predicates
     /*  358880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358889 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  358892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358912 */     GIR_RootConstrainSelectedInstOperands,
     /*  358913 */     // GIR_Coverage, 6655,
     /*  358913 */     GIR_EraseRootFromParent_Done,
     /*  358914 */   // Label 6584: @358914
     /*  358914 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(359000), // Rule ID 6658 //
     /*  358919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  358922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  358927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  358930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  358933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  358936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  358942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  358958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  358962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  358966 */     // MIs[1] Operand 1
     /*  358966 */     // No operand predicates
     /*  358966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  358968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  358978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  358984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  358987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358998 */     GIR_RootConstrainSelectedInstOperands,
     /*  358999 */     // GIR_Coverage, 6658,
     /*  358999 */     GIR_EraseRootFromParent_Done,
     /*  359000 */   // Label 6585: @359000
     /*  359000 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(359086), // Rule ID 6659 //
     /*  359005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359052 */     // MIs[1] Operand 1
     /*  359052 */     // No operand predicates
     /*  359052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  359064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359084 */     GIR_RootConstrainSelectedInstOperands,
     /*  359085 */     // GIR_Coverage, 6659,
     /*  359085 */     GIR_EraseRootFromParent_Done,
     /*  359086 */   // Label 6586: @359086
     /*  359086 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(359172), // Rule ID 6662 //
     /*  359091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  359102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  359105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359138 */     // MIs[1] Operand 1
     /*  359138 */     // No operand predicates
     /*  359138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  359150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359170 */     GIR_RootConstrainSelectedInstOperands,
     /*  359171 */     // GIR_Coverage, 6662,
     /*  359171 */     GIR_EraseRootFromParent_Done,
     /*  359172 */   // Label 6587: @359172
     /*  359172 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(359258), // Rule ID 6663 //
     /*  359177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  359188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  359191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359224 */     // MIs[1] Operand 1
     /*  359224 */     // No operand predicates
     /*  359224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359233 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  359236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359256 */     GIR_RootConstrainSelectedInstOperands,
     /*  359257 */     // GIR_Coverage, 6663,
     /*  359257 */     GIR_EraseRootFromParent_Done,
     /*  359258 */   // Label 6588: @359258
     /*  359258 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(359344), // Rule ID 6666 //
     /*  359263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  359266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  359274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  359277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359310 */     // MIs[1] Operand 1
     /*  359310 */     // No operand predicates
     /*  359310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  359319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  359322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359342 */     GIR_RootConstrainSelectedInstOperands,
     /*  359343 */     // GIR_Coverage, 6666,
     /*  359343 */     GIR_EraseRootFromParent_Done,
     /*  359344 */   // Label 6589: @359344
     /*  359344 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(359430), // Rule ID 6667 //
     /*  359349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  359352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  359360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  359363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359396 */     // MIs[1] Operand 1
     /*  359396 */     // No operand predicates
     /*  359396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  359405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  359408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359428 */     GIR_RootConstrainSelectedInstOperands,
     /*  359429 */     // GIR_Coverage, 6667,
     /*  359429 */     GIR_EraseRootFromParent_Done,
     /*  359430 */   // Label 6590: @359430
     /*  359430 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(359516), // Rule ID 6670 //
     /*  359435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  359438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  359446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  359449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359482 */     // MIs[1] Operand 1
     /*  359482 */     // No operand predicates
     /*  359482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  359491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  359494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359514 */     GIR_RootConstrainSelectedInstOperands,
     /*  359515 */     // GIR_Coverage, 6670,
     /*  359515 */     GIR_EraseRootFromParent_Done,
     /*  359516 */   // Label 6591: @359516
     /*  359516 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(359602), // Rule ID 6671 //
     /*  359521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  359524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  359532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  359535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359568 */     // MIs[1] Operand 1
     /*  359568 */     // No operand predicates
     /*  359568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359577 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  359577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  359580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359600 */     GIR_RootConstrainSelectedInstOperands,
     /*  359601 */     // GIR_Coverage, 6671,
     /*  359601 */     GIR_EraseRootFromParent_Done,
     /*  359602 */   // Label 6592: @359602
     /*  359602 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(359688), // Rule ID 6674 //
     /*  359607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  359610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  359618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  359621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359654 */     // MIs[1] Operand 1
     /*  359654 */     // No operand predicates
     /*  359654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359663 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  359663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  359666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359686 */     GIR_RootConstrainSelectedInstOperands,
     /*  359687 */     // GIR_Coverage, 6674,
     /*  359687 */     GIR_EraseRootFromParent_Done,
     /*  359688 */   // Label 6593: @359688
     /*  359688 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(359774), // Rule ID 6675 //
     /*  359693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  359696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  359701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  359704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  359707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359740 */     // MIs[1] Operand 1
     /*  359740 */     // No operand predicates
     /*  359740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359749 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  359749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  359752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  359769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359772 */     GIR_RootConstrainSelectedInstOperands,
     /*  359773 */     // GIR_Coverage, 6675,
     /*  359773 */     GIR_EraseRootFromParent_Done,
     /*  359774 */   // Label 6594: @359774
     /*  359774 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(359860), // Rule ID 6854 //
     /*  359779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  359790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  359793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  359796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359826 */     // MIs[1] Operand 1
     /*  359826 */     // No operand predicates
     /*  359826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359835 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  359835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  359838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359858 */     GIR_RootConstrainSelectedInstOperands,
     /*  359859 */     // GIR_Coverage, 6854,
     /*  359859 */     GIR_EraseRootFromParent_Done,
     /*  359860 */   // Label 6595: @359860
     /*  359860 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(359946), // Rule ID 6855 //
     /*  359865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  359868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  359876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  359879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  359882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  359888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359912 */     // MIs[1] Operand 1
     /*  359912 */     // No operand predicates
     /*  359912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  359914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359921 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  359921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  359924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  359930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  359933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  359941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359944 */     GIR_RootConstrainSelectedInstOperands,
     /*  359945 */     // GIR_Coverage, 6855,
     /*  359945 */     GIR_EraseRootFromParent_Done,
     /*  359946 */   // Label 6596: @359946
     /*  359946 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(360032), // Rule ID 6858 //
     /*  359951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  359954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  359959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  359962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  359965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  359968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  359974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  359990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  359994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  359998 */     // MIs[1] Operand 1
     /*  359998 */     // No operand predicates
     /*  359998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360007 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  360010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360030 */     GIR_RootConstrainSelectedInstOperands,
     /*  360031 */     // GIR_Coverage, 6858,
     /*  360031 */     GIR_EraseRootFromParent_Done,
     /*  360032 */   // Label 6597: @360032
     /*  360032 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(360118), // Rule ID 6859 //
     /*  360037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  360048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  360051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  360054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360084 */     // MIs[1] Operand 1
     /*  360084 */     // No operand predicates
     /*  360084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360093 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  360096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360116 */     GIR_RootConstrainSelectedInstOperands,
     /*  360117 */     // GIR_Coverage, 6859,
     /*  360117 */     GIR_EraseRootFromParent_Done,
     /*  360118 */   // Label 6598: @360118
     /*  360118 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(360204), // Rule ID 6862 //
     /*  360123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  360134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  360137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  360140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360170 */     // MIs[1] Operand 1
     /*  360170 */     // No operand predicates
     /*  360170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360179 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360202 */     GIR_RootConstrainSelectedInstOperands,
     /*  360203 */     // GIR_Coverage, 6862,
     /*  360203 */     GIR_EraseRootFromParent_Done,
     /*  360204 */   // Label 6599: @360204
     /*  360204 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(360290), // Rule ID 6863 //
     /*  360209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  360220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  360223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  360226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360256 */     // MIs[1] Operand 1
     /*  360256 */     // No operand predicates
     /*  360256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360265 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360288 */     GIR_RootConstrainSelectedInstOperands,
     /*  360289 */     // GIR_Coverage, 6863,
     /*  360289 */     GIR_EraseRootFromParent_Done,
     /*  360290 */   // Label 6600: @360290
     /*  360290 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(360376), // Rule ID 6866 //
     /*  360295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  360306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  360309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  360312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360342 */     // MIs[1] Operand 1
     /*  360342 */     // No operand predicates
     /*  360342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360351 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  360351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  360354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360374 */     GIR_RootConstrainSelectedInstOperands,
     /*  360375 */     // GIR_Coverage, 6866,
     /*  360375 */     GIR_EraseRootFromParent_Done,
     /*  360376 */   // Label 6601: @360376
     /*  360376 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(360462), // Rule ID 6867 //
     /*  360381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  360392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  360395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  360398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360428 */     // MIs[1] Operand 1
     /*  360428 */     // No operand predicates
     /*  360428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  360437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  360440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360460 */     GIR_RootConstrainSelectedInstOperands,
     /*  360461 */     // GIR_Coverage, 6867,
     /*  360461 */     GIR_EraseRootFromParent_Done,
     /*  360462 */   // Label 6602: @360462
     /*  360462 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(360548), // Rule ID 6870 //
     /*  360467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  360478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  360481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  360484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360514 */     // MIs[1] Operand 1
     /*  360514 */     // No operand predicates
     /*  360514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  360523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360546 */     GIR_RootConstrainSelectedInstOperands,
     /*  360547 */     // GIR_Coverage, 6870,
     /*  360547 */     GIR_EraseRootFromParent_Done,
     /*  360548 */   // Label 6603: @360548
     /*  360548 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(360634), // Rule ID 6871 //
     /*  360553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  360564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  360567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  360570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360600 */     // MIs[1] Operand 1
     /*  360600 */     // No operand predicates
     /*  360600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  360609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360632 */     GIR_RootConstrainSelectedInstOperands,
     /*  360633 */     // GIR_Coverage, 6871,
     /*  360633 */     GIR_EraseRootFromParent_Done,
     /*  360634 */   // Label 6604: @360634
     /*  360634 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(360720), // Rule ID 6874 //
     /*  360639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  360650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  360653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  360656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360686 */     // MIs[1] Operand 1
     /*  360686 */     // No operand predicates
     /*  360686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360718 */     GIR_RootConstrainSelectedInstOperands,
     /*  360719 */     // GIR_Coverage, 6874,
     /*  360719 */     GIR_EraseRootFromParent_Done,
     /*  360720 */   // Label 6605: @360720
     /*  360720 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(360806), // Rule ID 6875 //
     /*  360725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  360736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  360739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  360742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360772 */     // MIs[1] Operand 1
     /*  360772 */     // No operand predicates
     /*  360772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360781 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  360784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360804 */     GIR_RootConstrainSelectedInstOperands,
     /*  360805 */     // GIR_Coverage, 6875,
     /*  360805 */     GIR_EraseRootFromParent_Done,
     /*  360806 */   // Label 6606: @360806
     /*  360806 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(360892), // Rule ID 6878 //
     /*  360811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  360822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  360825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  360828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  360834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360858 */     // MIs[1] Operand 1
     /*  360858 */     // No operand predicates
     /*  360858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360867 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  360867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  360870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360890 */     GIR_RootConstrainSelectedInstOperands,
     /*  360891 */     // GIR_Coverage, 6878,
     /*  360891 */     GIR_EraseRootFromParent_Done,
     /*  360892 */   // Label 6607: @360892
     /*  360892 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(360978), // Rule ID 6879 //
     /*  360897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  360908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  360911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  360914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  360920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  360936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  360940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  360944 */     // MIs[1] Operand 1
     /*  360944 */     // No operand predicates
     /*  360944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  360946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  360953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  360956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  360962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  360965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  360973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360976 */     GIR_RootConstrainSelectedInstOperands,
     /*  360977 */     // GIR_Coverage, 6879,
     /*  360977 */     GIR_EraseRootFromParent_Done,
     /*  360978 */   // Label 6608: @360978
     /*  360978 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(361064), // Rule ID 6882 //
     /*  360983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  360991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  360994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  360997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  361000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361030 */     // MIs[1] Operand 1
     /*  361030 */     // No operand predicates
     /*  361030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  361039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361062 */     GIR_RootConstrainSelectedInstOperands,
     /*  361063 */     // GIR_Coverage, 6882,
     /*  361063 */     GIR_EraseRootFromParent_Done,
     /*  361064 */   // Label 6609: @361064
     /*  361064 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(361150), // Rule ID 6883 //
     /*  361069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  361080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  361083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  361086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361116 */     // MIs[1] Operand 1
     /*  361116 */     // No operand predicates
     /*  361116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361125 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  361125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  361145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361148 */     GIR_RootConstrainSelectedInstOperands,
     /*  361149 */     // GIR_Coverage, 6883,
     /*  361149 */     GIR_EraseRootFromParent_Done,
     /*  361150 */   // Label 6610: @361150
     /*  361150 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(361236), // Rule ID 6886 //
     /*  361155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  361166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  361169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  361172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361202 */     // MIs[1] Operand 1
     /*  361202 */     // No operand predicates
     /*  361202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  361211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361234 */     GIR_RootConstrainSelectedInstOperands,
     /*  361235 */     // GIR_Coverage, 6886,
     /*  361235 */     GIR_EraseRootFromParent_Done,
     /*  361236 */   // Label 6611: @361236
     /*  361236 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(361322), // Rule ID 6887 //
     /*  361241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  361252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  361255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  361258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361288 */     // MIs[1] Operand 1
     /*  361288 */     // No operand predicates
     /*  361288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  361297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  361317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361320 */     GIR_RootConstrainSelectedInstOperands,
     /*  361321 */     // GIR_Coverage, 6887,
     /*  361321 */     GIR_EraseRootFromParent_Done,
     /*  361322 */   // Label 6612: @361322
     /*  361322 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(361408), // Rule ID 6890 //
     /*  361327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  361330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  361338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  361341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  361344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361374 */     // MIs[1] Operand 1
     /*  361374 */     // No operand predicates
     /*  361374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  361383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361406 */     GIR_RootConstrainSelectedInstOperands,
     /*  361407 */     // GIR_Coverage, 6890,
     /*  361407 */     GIR_EraseRootFromParent_Done,
     /*  361408 */   // Label 6613: @361408
     /*  361408 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(361494), // Rule ID 6891 //
     /*  361413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  361416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  361424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  361427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  361430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361460 */     // MIs[1] Operand 1
     /*  361460 */     // No operand predicates
     /*  361460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  361469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  361472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  361489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361492 */     GIR_RootConstrainSelectedInstOperands,
     /*  361493 */     // GIR_Coverage, 6891,
     /*  361493 */     GIR_EraseRootFromParent_Done,
     /*  361494 */   // Label 6614: @361494
     /*  361494 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(361580), // Rule ID 6894 //
     /*  361499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  361510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  361513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  361516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361546 */     // MIs[1] Operand 1
     /*  361546 */     // No operand predicates
     /*  361546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361555 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  361555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361578 */     GIR_RootConstrainSelectedInstOperands,
     /*  361579 */     // GIR_Coverage, 6894,
     /*  361579 */     GIR_EraseRootFromParent_Done,
     /*  361580 */   // Label 6615: @361580
     /*  361580 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(361666), // Rule ID 6895 //
     /*  361585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  361596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  361599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  361602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  361620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361632 */     // MIs[1] Operand 1
     /*  361632 */     // No operand predicates
     /*  361632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361641 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  361641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  361644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361664 */     GIR_RootConstrainSelectedInstOperands,
     /*  361665 */     // GIR_Coverage, 6895,
     /*  361665 */     GIR_EraseRootFromParent_Done,
     /*  361666 */   // Label 6616: @361666
     /*  361666 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(361752), // Rule ID 6898 //
     /*  361671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  361682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  361685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  361688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361718 */     // MIs[1] Operand 1
     /*  361718 */     // No operand predicates
     /*  361718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  361727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361750 */     GIR_RootConstrainSelectedInstOperands,
     /*  361751 */     // GIR_Coverage, 6898,
     /*  361751 */     GIR_EraseRootFromParent_Done,
     /*  361752 */   // Label 6617: @361752
     /*  361752 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(361838), // Rule ID 6899 //
     /*  361757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  361768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  361771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  361774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  361792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361804 */     // MIs[1] Operand 1
     /*  361804 */     // No operand predicates
     /*  361804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361813 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  361813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  361816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361836 */     GIR_RootConstrainSelectedInstOperands,
     /*  361837 */     // GIR_Coverage, 6899,
     /*  361837 */     GIR_EraseRootFromParent_Done,
     /*  361838 */   // Label 6618: @361838
     /*  361838 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(361924), // Rule ID 6902 //
     /*  361843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  361854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  361857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  361860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  361866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361890 */     // MIs[1] Operand 1
     /*  361890 */     // No operand predicates
     /*  361890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  361899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  361919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361922 */     GIR_RootConstrainSelectedInstOperands,
     /*  361923 */     // GIR_Coverage, 6902,
     /*  361923 */     GIR_EraseRootFromParent_Done,
     /*  361924 */   // Label 6619: @361924
     /*  361924 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(362010), // Rule ID 6903 //
     /*  361929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  361937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  361940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  361943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  361946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  361952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  361964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  361968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  361972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  361976 */     // MIs[1] Operand 1
     /*  361976 */     // No operand predicates
     /*  361976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  361978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361985 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  361985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  361988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  361992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  361994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  361997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  362005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362008 */     GIR_RootConstrainSelectedInstOperands,
     /*  362009 */     // GIR_Coverage, 6903,
     /*  362009 */     GIR_EraseRootFromParent_Done,
     /*  362010 */   // Label 6620: @362010
     /*  362010 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(362096), // Rule ID 6906 //
     /*  362015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  362026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  362029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  362032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362062 */     // MIs[1] Operand 1
     /*  362062 */     // No operand predicates
     /*  362062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362071 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  362074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362094 */     GIR_RootConstrainSelectedInstOperands,
     /*  362095 */     // GIR_Coverage, 6906,
     /*  362095 */     GIR_EraseRootFromParent_Done,
     /*  362096 */   // Label 6621: @362096
     /*  362096 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(362182), // Rule ID 6907 //
     /*  362101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  362112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  362115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  362118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362148 */     // MIs[1] Operand 1
     /*  362148 */     // No operand predicates
     /*  362148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  362160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362180 */     GIR_RootConstrainSelectedInstOperands,
     /*  362181 */     // GIR_Coverage, 6907,
     /*  362181 */     GIR_EraseRootFromParent_Done,
     /*  362182 */   // Label 6622: @362182
     /*  362182 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(362268), // Rule ID 6910 //
     /*  362187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  362198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  362201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  362204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362234 */     // MIs[1] Operand 1
     /*  362234 */     // No operand predicates
     /*  362234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362243 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  362246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362266 */     GIR_RootConstrainSelectedInstOperands,
     /*  362267 */     // GIR_Coverage, 6910,
     /*  362267 */     GIR_EraseRootFromParent_Done,
     /*  362268 */   // Label 6623: @362268
     /*  362268 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(362354), // Rule ID 6911 //
     /*  362273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  362284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  362287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  362290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362320 */     // MIs[1] Operand 1
     /*  362320 */     // No operand predicates
     /*  362320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  362332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362352 */     GIR_RootConstrainSelectedInstOperands,
     /*  362353 */     // GIR_Coverage, 6911,
     /*  362353 */     GIR_EraseRootFromParent_Done,
     /*  362354 */   // Label 6624: @362354
     /*  362354 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(362440), // Rule ID 6914 //
     /*  362359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  362370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  362373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  362376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362406 */     // MIs[1] Operand 1
     /*  362406 */     // No operand predicates
     /*  362406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362415 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  362415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  362418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362438 */     GIR_RootConstrainSelectedInstOperands,
     /*  362439 */     // GIR_Coverage, 6914,
     /*  362439 */     GIR_EraseRootFromParent_Done,
     /*  362440 */   // Label 6625: @362440
     /*  362440 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(362526), // Rule ID 6915 //
     /*  362445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  362456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  362459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  362462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362492 */     // MIs[1] Operand 1
     /*  362492 */     // No operand predicates
     /*  362492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  362501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  362504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  362521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362524 */     GIR_RootConstrainSelectedInstOperands,
     /*  362525 */     // GIR_Coverage, 6915,
     /*  362525 */     GIR_EraseRootFromParent_Done,
     /*  362526 */   // Label 6626: @362526
     /*  362526 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(362612), // Rule ID 6918 //
     /*  362531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  362542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  362545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  362548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362578 */     // MIs[1] Operand 1
     /*  362578 */     // No operand predicates
     /*  362578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  362587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  362590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362610 */     GIR_RootConstrainSelectedInstOperands,
     /*  362611 */     // GIR_Coverage, 6918,
     /*  362611 */     GIR_EraseRootFromParent_Done,
     /*  362612 */   // Label 6627: @362612
     /*  362612 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(362698), // Rule ID 6919 //
     /*  362617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  362628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  362631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  362634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  362652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362664 */     // MIs[1] Operand 1
     /*  362664 */     // No operand predicates
     /*  362664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  362673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  362676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362696 */     GIR_RootConstrainSelectedInstOperands,
     /*  362697 */     // GIR_Coverage, 6919,
     /*  362697 */     GIR_EraseRootFromParent_Done,
     /*  362698 */   // Label 6628: @362698
     /*  362698 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(362784), // Rule ID 6922 //
     /*  362703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  362714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  362717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  362720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362750 */     // MIs[1] Operand 1
     /*  362750 */     // No operand predicates
     /*  362750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362759 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  362759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  362762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362782 */     GIR_RootConstrainSelectedInstOperands,
     /*  362783 */     // GIR_Coverage, 6922,
     /*  362783 */     GIR_EraseRootFromParent_Done,
     /*  362784 */   // Label 6629: @362784
     /*  362784 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(362870), // Rule ID 6923 //
     /*  362789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  362800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  362803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  362806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  362824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362836 */     // MIs[1] Operand 1
     /*  362836 */     // No operand predicates
     /*  362836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  362845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  362848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362868 */     GIR_RootConstrainSelectedInstOperands,
     /*  362869 */     // GIR_Coverage, 6923,
     /*  362869 */     GIR_EraseRootFromParent_Done,
     /*  362870 */   // Label 6630: @362870
     /*  362870 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(362956), // Rule ID 6926 //
     /*  362875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  362886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  362889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  362892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  362898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  362914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  362918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  362922 */     // MIs[1] Operand 1
     /*  362922 */     // No operand predicates
     /*  362922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  362924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362931 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  362931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  362934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  362938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  362940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  362943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  362951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362954 */     GIR_RootConstrainSelectedInstOperands,
     /*  362955 */     // GIR_Coverage, 6926,
     /*  362955 */     GIR_EraseRootFromParent_Done,
     /*  362956 */   // Label 6631: @362956
     /*  362956 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(363042), // Rule ID 6927 //
     /*  362961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  362969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  362972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  362975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  362978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  362984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  362996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363008 */     // MIs[1] Operand 1
     /*  363008 */     // No operand predicates
     /*  363008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  363017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  363020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  363037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363040 */     GIR_RootConstrainSelectedInstOperands,
     /*  363041 */     // GIR_Coverage, 6927,
     /*  363041 */     GIR_EraseRootFromParent_Done,
     /*  363042 */   // Label 6632: @363042
     /*  363042 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(363128), // Rule ID 6930 //
     /*  363047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  363050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  363058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  363061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  363064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363094 */     // MIs[1] Operand 1
     /*  363094 */     // No operand predicates
     /*  363094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  363106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363126 */     GIR_RootConstrainSelectedInstOperands,
     /*  363127 */     // GIR_Coverage, 6930,
     /*  363127 */     GIR_EraseRootFromParent_Done,
     /*  363128 */   // Label 6633: @363128
     /*  363128 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(363214), // Rule ID 6931 //
     /*  363133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  363136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  363144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  363147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  363150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  363168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363180 */     // MIs[1] Operand 1
     /*  363180 */     // No operand predicates
     /*  363180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363189 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  363192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363212 */     GIR_RootConstrainSelectedInstOperands,
     /*  363213 */     // GIR_Coverage, 6931,
     /*  363213 */     GIR_EraseRootFromParent_Done,
     /*  363214 */   // Label 6634: @363214
     /*  363214 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(363300), // Rule ID 6934 //
     /*  363219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  363222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  363230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  363233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  363236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363266 */     // MIs[1] Operand 1
     /*  363266 */     // No operand predicates
     /*  363266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  363278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363298 */     GIR_RootConstrainSelectedInstOperands,
     /*  363299 */     // GIR_Coverage, 6934,
     /*  363299 */     GIR_EraseRootFromParent_Done,
     /*  363300 */   // Label 6635: @363300
     /*  363300 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(363386), // Rule ID 6935 //
     /*  363305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  363308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  363316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  363319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  363322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  363340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363352 */     // MIs[1] Operand 1
     /*  363352 */     // No operand predicates
     /*  363352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363361 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  363364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363384 */     GIR_RootConstrainSelectedInstOperands,
     /*  363385 */     // GIR_Coverage, 6935,
     /*  363385 */     GIR_EraseRootFromParent_Done,
     /*  363386 */   // Label 6636: @363386
     /*  363386 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(363472), // Rule ID 6938 //
     /*  363391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  363394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  363402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  363405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  363408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363438 */     // MIs[1] Operand 1
     /*  363438 */     // No operand predicates
     /*  363438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363447 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  363447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  363450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363470 */     GIR_RootConstrainSelectedInstOperands,
     /*  363471 */     // GIR_Coverage, 6938,
     /*  363471 */     GIR_EraseRootFromParent_Done,
     /*  363472 */   // Label 6637: @363472
     /*  363472 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(363558), // Rule ID 6939 //
     /*  363477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  363480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  363485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  363488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  363491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  363494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  363512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363524 */     // MIs[1] Operand 1
     /*  363524 */     // No operand predicates
     /*  363524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  363533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  363536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  363553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363556 */     GIR_RootConstrainSelectedInstOperands,
     /*  363557 */     // GIR_Coverage, 6939,
     /*  363557 */     GIR_EraseRootFromParent_Done,
     /*  363558 */   // Label 6638: @363558
     /*  363558 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(363644), // Rule ID 7118 //
     /*  363563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  363574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  363577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  363580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363610 */     // MIs[1] Operand 1
     /*  363610 */     // No operand predicates
     /*  363610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363619 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  363622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363642 */     GIR_RootConstrainSelectedInstOperands,
     /*  363643 */     // GIR_Coverage, 7118,
     /*  363643 */     GIR_EraseRootFromParent_Done,
     /*  363644 */   // Label 6639: @363644
     /*  363644 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(363730), // Rule ID 7119 //
     /*  363649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  363660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  363663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  363666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363696 */     // MIs[1] Operand 1
     /*  363696 */     // No operand predicates
     /*  363696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363705 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  363708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363728 */     GIR_RootConstrainSelectedInstOperands,
     /*  363729 */     // GIR_Coverage, 7119,
     /*  363729 */     GIR_EraseRootFromParent_Done,
     /*  363730 */   // Label 6640: @363730
     /*  363730 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(363816), // Rule ID 7122 //
     /*  363735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  363752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363782 */     // MIs[1] Operand 1
     /*  363782 */     // No operand predicates
     /*  363782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  363794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363814 */     GIR_RootConstrainSelectedInstOperands,
     /*  363815 */     // GIR_Coverage, 7122,
     /*  363815 */     GIR_EraseRootFromParent_Done,
     /*  363816 */   // Label 6641: @363816
     /*  363816 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(363902), // Rule ID 7123 //
     /*  363821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  363832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  363835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  363838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  363844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363868 */     // MIs[1] Operand 1
     /*  363868 */     // No operand predicates
     /*  363868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363877 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  363877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  363880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363900 */     GIR_RootConstrainSelectedInstOperands,
     /*  363901 */     // GIR_Coverage, 7123,
     /*  363901 */     GIR_EraseRootFromParent_Done,
     /*  363902 */   // Label 6642: @363902
     /*  363902 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(363988), // Rule ID 7126 //
     /*  363907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  363915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  363918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  363921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  363924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  363930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  363946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  363950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  363954 */     // MIs[1] Operand 1
     /*  363954 */     // No operand predicates
     /*  363954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  363956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  363963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  363966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  363970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  363972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  363975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  363983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363986 */     GIR_RootConstrainSelectedInstOperands,
     /*  363987 */     // GIR_Coverage, 7126,
     /*  363987 */     GIR_EraseRootFromParent_Done,
     /*  363988 */   // Label 6643: @363988
     /*  363988 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(364074), // Rule ID 7127 //
     /*  363993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  364004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  364007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  364010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364040 */     // MIs[1] Operand 1
     /*  364040 */     // No operand predicates
     /*  364040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  364052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364072 */     GIR_RootConstrainSelectedInstOperands,
     /*  364073 */     // GIR_Coverage, 7127,
     /*  364073 */     GIR_EraseRootFromParent_Done,
     /*  364074 */   // Label 6644: @364074
     /*  364074 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(364160), // Rule ID 7130 //
     /*  364079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  364096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364126 */     // MIs[1] Operand 1
     /*  364126 */     // No operand predicates
     /*  364126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  364138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364158 */     GIR_RootConstrainSelectedInstOperands,
     /*  364159 */     // GIR_Coverage, 7130,
     /*  364159 */     GIR_EraseRootFromParent_Done,
     /*  364160 */   // Label 6645: @364160
     /*  364160 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(364246), // Rule ID 7131 //
     /*  364165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  364176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  364179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  364182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364212 */     // MIs[1] Operand 1
     /*  364212 */     // No operand predicates
     /*  364212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364221 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  364224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364244 */     GIR_RootConstrainSelectedInstOperands,
     /*  364245 */     // GIR_Coverage, 7131,
     /*  364245 */     GIR_EraseRootFromParent_Done,
     /*  364246 */   // Label 6646: @364246
     /*  364246 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(364332), // Rule ID 7134 //
     /*  364251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  364268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364298 */     // MIs[1] Operand 1
     /*  364298 */     // No operand predicates
     /*  364298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  364310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364330 */     GIR_RootConstrainSelectedInstOperands,
     /*  364331 */     // GIR_Coverage, 7134,
     /*  364331 */     GIR_EraseRootFromParent_Done,
     /*  364332 */   // Label 6647: @364332
     /*  364332 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(364418), // Rule ID 7135 //
     /*  364337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  364348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  364351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  364354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364384 */     // MIs[1] Operand 1
     /*  364384 */     // No operand predicates
     /*  364384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364393 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  364396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364416 */     GIR_RootConstrainSelectedInstOperands,
     /*  364417 */     // GIR_Coverage, 7135,
     /*  364417 */     GIR_EraseRootFromParent_Done,
     /*  364418 */   // Label 6648: @364418
     /*  364418 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(364504), // Rule ID 7138 //
     /*  364423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  364440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364470 */     // MIs[1] Operand 1
     /*  364470 */     // No operand predicates
     /*  364470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364479 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  364482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364502 */     GIR_RootConstrainSelectedInstOperands,
     /*  364503 */     // GIR_Coverage, 7138,
     /*  364503 */     GIR_EraseRootFromParent_Done,
     /*  364504 */   // Label 6649: @364504
     /*  364504 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(364590), // Rule ID 7139 //
     /*  364509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  364520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  364523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  364526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364556 */     // MIs[1] Operand 1
     /*  364556 */     // No operand predicates
     /*  364556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364565 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  364565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  364568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  364585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364588 */     GIR_RootConstrainSelectedInstOperands,
     /*  364589 */     // GIR_Coverage, 7139,
     /*  364589 */     GIR_EraseRootFromParent_Done,
     /*  364590 */   // Label 6650: @364590
     /*  364590 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(364676), // Rule ID 7142 //
     /*  364595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  364612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364642 */     // MIs[1] Operand 1
     /*  364642 */     // No operand predicates
     /*  364642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  364651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  364654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364674 */     GIR_RootConstrainSelectedInstOperands,
     /*  364675 */     // GIR_Coverage, 7142,
     /*  364675 */     GIR_EraseRootFromParent_Done,
     /*  364676 */   // Label 6651: @364676
     /*  364676 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(364762), // Rule ID 7143 //
     /*  364681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  364692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  364695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  364698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364728 */     // MIs[1] Operand 1
     /*  364728 */     // No operand predicates
     /*  364728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  364737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  364740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  364757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364760 */     GIR_RootConstrainSelectedInstOperands,
     /*  364761 */     // GIR_Coverage, 7143,
     /*  364761 */     GIR_EraseRootFromParent_Done,
     /*  364762 */   // Label 6652: @364762
     /*  364762 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(364848), // Rule ID 7146 //
     /*  364767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  364784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364814 */     // MIs[1] Operand 1
     /*  364814 */     // No operand predicates
     /*  364814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  364823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  364826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364846 */     GIR_RootConstrainSelectedInstOperands,
     /*  364847 */     // GIR_Coverage, 7146,
     /*  364847 */     GIR_EraseRootFromParent_Done,
     /*  364848 */   // Label 6653: @364848
     /*  364848 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(364934), // Rule ID 7147 //
     /*  364853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  364864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  364867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  364870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  364876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364900 */     // MIs[1] Operand 1
     /*  364900 */     // No operand predicates
     /*  364900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364909 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  364909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  364912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  364916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  364918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  364921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  364929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364932 */     GIR_RootConstrainSelectedInstOperands,
     /*  364933 */     // GIR_Coverage, 7147,
     /*  364933 */     GIR_EraseRootFromParent_Done,
     /*  364934 */   // Label 6654: @364934
     /*  364934 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(365020), // Rule ID 7150 //
     /*  364939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  364947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  364950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  364953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  364956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  364962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  364978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  364982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  364986 */     // MIs[1] Operand 1
     /*  364986 */     // No operand predicates
     /*  364986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  364988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  364995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  364998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365018 */     GIR_RootConstrainSelectedInstOperands,
     /*  365019 */     // GIR_Coverage, 7150,
     /*  365019 */     GIR_EraseRootFromParent_Done,
     /*  365020 */   // Label 6655: @365020
     /*  365020 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(365106), // Rule ID 7151 //
     /*  365025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  365036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  365039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  365042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365072 */     // MIs[1] Operand 1
     /*  365072 */     // No operand predicates
     /*  365072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365081 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  365081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  365084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  365101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365104 */     GIR_RootConstrainSelectedInstOperands,
     /*  365105 */     // GIR_Coverage, 7151,
     /*  365105 */     GIR_EraseRootFromParent_Done,
     /*  365106 */   // Label 6656: @365106
     /*  365106 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(365192), // Rule ID 7154 //
     /*  365111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  365114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  365128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365158 */     // MIs[1] Operand 1
     /*  365158 */     // No operand predicates
     /*  365158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365167 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  365167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  365170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365190 */     GIR_RootConstrainSelectedInstOperands,
     /*  365191 */     // GIR_Coverage, 7154,
     /*  365191 */     GIR_EraseRootFromParent_Done,
     /*  365192 */   // Label 6657: @365192
     /*  365192 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(365278), // Rule ID 7155 //
     /*  365197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  365200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  365208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  365211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  365214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365244 */     // MIs[1] Operand 1
     /*  365244 */     // No operand predicates
     /*  365244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365253 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  365253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  365256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  365273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365276 */     GIR_RootConstrainSelectedInstOperands,
     /*  365277 */     // GIR_Coverage, 7155,
     /*  365277 */     GIR_EraseRootFromParent_Done,
     /*  365278 */   // Label 6658: @365278
     /*  365278 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(365364), // Rule ID 7158 //
     /*  365283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  365300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365330 */     // MIs[1] Operand 1
     /*  365330 */     // No operand predicates
     /*  365330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365339 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365362 */     GIR_RootConstrainSelectedInstOperands,
     /*  365363 */     // GIR_Coverage, 7158,
     /*  365363 */     GIR_EraseRootFromParent_Done,
     /*  365364 */   // Label 6659: @365364
     /*  365364 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(365450), // Rule ID 7159 //
     /*  365369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  365380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  365383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  365386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365416 */     // MIs[1] Operand 1
     /*  365416 */     // No operand predicates
     /*  365416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365448 */     GIR_RootConstrainSelectedInstOperands,
     /*  365449 */     // GIR_Coverage, 7159,
     /*  365449 */     GIR_EraseRootFromParent_Done,
     /*  365450 */   // Label 6660: @365450
     /*  365450 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(365536), // Rule ID 7162 //
     /*  365455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  365472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365502 */     // MIs[1] Operand 1
     /*  365502 */     // No operand predicates
     /*  365502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365511 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365534 */     GIR_RootConstrainSelectedInstOperands,
     /*  365535 */     // GIR_Coverage, 7162,
     /*  365535 */     GIR_EraseRootFromParent_Done,
     /*  365536 */   // Label 6661: @365536
     /*  365536 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(365622), // Rule ID 7163 //
     /*  365541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  365552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  365555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  365558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365588 */     // MIs[1] Operand 1
     /*  365588 */     // No operand predicates
     /*  365588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  365600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365620 */     GIR_RootConstrainSelectedInstOperands,
     /*  365621 */     // GIR_Coverage, 7163,
     /*  365621 */     GIR_EraseRootFromParent_Done,
     /*  365622 */   // Label 6662: @365622
     /*  365622 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(365708), // Rule ID 7166 //
     /*  365627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  365644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365674 */     // MIs[1] Operand 1
     /*  365674 */     // No operand predicates
     /*  365674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  365683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  365686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365706 */     GIR_RootConstrainSelectedInstOperands,
     /*  365707 */     // GIR_Coverage, 7166,
     /*  365707 */     GIR_EraseRootFromParent_Done,
     /*  365708 */   // Label 6663: @365708
     /*  365708 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(365794), // Rule ID 7167 //
     /*  365713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  365724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  365727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  365730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  365748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365760 */     // MIs[1] Operand 1
     /*  365760 */     // No operand predicates
     /*  365760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365769 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  365769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  365772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  365789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365792 */     GIR_RootConstrainSelectedInstOperands,
     /*  365793 */     // GIR_Coverage, 7167,
     /*  365793 */     GIR_EraseRootFromParent_Done,
     /*  365794 */   // Label 6664: @365794
     /*  365794 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(365880), // Rule ID 7170 //
     /*  365799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  365816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365846 */     // MIs[1] Operand 1
     /*  365846 */     // No operand predicates
     /*  365846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  365855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365878 */     GIR_RootConstrainSelectedInstOperands,
     /*  365879 */     // GIR_Coverage, 7170,
     /*  365879 */     GIR_EraseRootFromParent_Done,
     /*  365880 */   // Label 6665: @365880
     /*  365880 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(365966), // Rule ID 7171 //
     /*  365885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  365896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  365899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  365902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  365908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  365920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  365924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  365928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  365932 */     // MIs[1] Operand 1
     /*  365932 */     // No operand predicates
     /*  365932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  365934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  365941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  365944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  365948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  365950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  365953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  365961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365964 */     GIR_RootConstrainSelectedInstOperands,
     /*  365965 */     // GIR_Coverage, 7171,
     /*  365965 */     GIR_EraseRootFromParent_Done,
     /*  365966 */   // Label 6666: @365966
     /*  365966 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(366052), // Rule ID 7174 //
     /*  365971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  365979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  365982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  365985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  365988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  365994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  365998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366018 */     // MIs[1] Operand 1
     /*  366018 */     // No operand predicates
     /*  366018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  366030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366050 */     GIR_RootConstrainSelectedInstOperands,
     /*  366051 */     // GIR_Coverage, 7174,
     /*  366051 */     GIR_EraseRootFromParent_Done,
     /*  366052 */   // Label 6667: @366052
     /*  366052 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(366138), // Rule ID 7175 //
     /*  366057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  366068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  366071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  366074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366104 */     // MIs[1] Operand 1
     /*  366104 */     // No operand predicates
     /*  366104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  366116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366136 */     GIR_RootConstrainSelectedInstOperands,
     /*  366137 */     // GIR_Coverage, 7175,
     /*  366137 */     GIR_EraseRootFromParent_Done,
     /*  366138 */   // Label 6668: @366138
     /*  366138 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(366224), // Rule ID 7178 //
     /*  366143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  366160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366190 */     // MIs[1] Operand 1
     /*  366190 */     // No operand predicates
     /*  366190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366199 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  366199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  366202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366222 */     GIR_RootConstrainSelectedInstOperands,
     /*  366223 */     // GIR_Coverage, 7178,
     /*  366223 */     GIR_EraseRootFromParent_Done,
     /*  366224 */   // Label 6669: @366224
     /*  366224 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(366310), // Rule ID 7179 //
     /*  366229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  366240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  366243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  366246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366276 */     // MIs[1] Operand 1
     /*  366276 */     // No operand predicates
     /*  366276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366285 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  366285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  366288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  366305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366308 */     GIR_RootConstrainSelectedInstOperands,
     /*  366309 */     // GIR_Coverage, 7179,
     /*  366309 */     GIR_EraseRootFromParent_Done,
     /*  366310 */   // Label 6670: @366310
     /*  366310 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(366396), // Rule ID 7182 //
     /*  366315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  366332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366362 */     // MIs[1] Operand 1
     /*  366362 */     // No operand predicates
     /*  366362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  366374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366394 */     GIR_RootConstrainSelectedInstOperands,
     /*  366395 */     // GIR_Coverage, 7182,
     /*  366395 */     GIR_EraseRootFromParent_Done,
     /*  366396 */   // Label 6671: @366396
     /*  366396 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(366482), // Rule ID 7183 //
     /*  366401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  366412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  366415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  366418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366448 */     // MIs[1] Operand 1
     /*  366448 */     // No operand predicates
     /*  366448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366457 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  366460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366480 */     GIR_RootConstrainSelectedInstOperands,
     /*  366481 */     // GIR_Coverage, 7183,
     /*  366481 */     GIR_EraseRootFromParent_Done,
     /*  366482 */   // Label 6672: @366482
     /*  366482 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(366568), // Rule ID 7186 //
     /*  366487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  366504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366534 */     // MIs[1] Operand 1
     /*  366534 */     // No operand predicates
     /*  366534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  366546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366566 */     GIR_RootConstrainSelectedInstOperands,
     /*  366567 */     // GIR_Coverage, 7186,
     /*  366567 */     GIR_EraseRootFromParent_Done,
     /*  366568 */   // Label 6673: @366568
     /*  366568 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(366654), // Rule ID 7187 //
     /*  366573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  366584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  366587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  366590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  366608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366620 */     // MIs[1] Operand 1
     /*  366620 */     // No operand predicates
     /*  366620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  366632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366652 */     GIR_RootConstrainSelectedInstOperands,
     /*  366653 */     // GIR_Coverage, 7187,
     /*  366653 */     GIR_EraseRootFromParent_Done,
     /*  366654 */   // Label 6674: @366654
     /*  366654 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(366740), // Rule ID 7190 //
     /*  366659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  366676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366706 */     // MIs[1] Operand 1
     /*  366706 */     // No operand predicates
     /*  366706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  366715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  366718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366738 */     GIR_RootConstrainSelectedInstOperands,
     /*  366739 */     // GIR_Coverage, 7190,
     /*  366739 */     GIR_EraseRootFromParent_Done,
     /*  366740 */   // Label 6675: @366740
     /*  366740 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(366826), // Rule ID 7191 //
     /*  366745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  366756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  366759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  366762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  366780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366792 */     // MIs[1] Operand 1
     /*  366792 */     // No operand predicates
     /*  366792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  366801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  366804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  366821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366824 */     GIR_RootConstrainSelectedInstOperands,
     /*  366825 */     // GIR_Coverage, 7191,
     /*  366825 */     GIR_EraseRootFromParent_Done,
     /*  366826 */   // Label 6676: @366826
     /*  366826 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(366912), // Rule ID 7194 //
     /*  366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  366834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  366848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  366854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366878 */     // MIs[1] Operand 1
     /*  366878 */     // No operand predicates
     /*  366878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  366887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  366890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366910 */     GIR_RootConstrainSelectedInstOperands,
     /*  366911 */     // GIR_Coverage, 7194,
     /*  366911 */     GIR_EraseRootFromParent_Done,
     /*  366912 */   // Label 6677: @366912
     /*  366912 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(366998), // Rule ID 7195 //
     /*  366917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  366920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  366925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  366928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  366931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  366934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  366940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  366952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  366956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  366960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  366964 */     // MIs[1] Operand 1
     /*  366964 */     // No operand predicates
     /*  366964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  366966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366973 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  366973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  366976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  366980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  366982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  366985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  366993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366996 */     GIR_RootConstrainSelectedInstOperands,
     /*  366997 */     // GIR_Coverage, 7195,
     /*  366997 */     GIR_EraseRootFromParent_Done,
     /*  366998 */   // Label 6678: @366998
     /*  366998 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(367084), // Rule ID 7198 //
     /*  367003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  367006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  367011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  367014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  367017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  367020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367050 */     // MIs[1] Operand 1
     /*  367050 */     // No operand predicates
     /*  367050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  367062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367082 */     GIR_RootConstrainSelectedInstOperands,
     /*  367083 */     // GIR_Coverage, 7198,
     /*  367083 */     GIR_EraseRootFromParent_Done,
     /*  367084 */   // Label 6679: @367084
     /*  367084 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(367170), // Rule ID 7199 //
     /*  367089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  367097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  367100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  367103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  367106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  367124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367136 */     // MIs[1] Operand 1
     /*  367136 */     // No operand predicates
     /*  367136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367145 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  367148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367168 */     GIR_RootConstrainSelectedInstOperands,
     /*  367169 */     // GIR_Coverage, 7199,
     /*  367169 */     GIR_EraseRootFromParent_Done,
     /*  367170 */   // Label 6680: @367170
     /*  367170 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(367256), // Rule ID 7202 //
     /*  367175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  367178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  367183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  367192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367222 */     // MIs[1] Operand 1
     /*  367222 */     // No operand predicates
     /*  367222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  367231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  367234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367254 */     GIR_RootConstrainSelectedInstOperands,
     /*  367255 */     // GIR_Coverage, 7202,
     /*  367255 */     GIR_EraseRootFromParent_Done,
     /*  367256 */   // Label 6681: @367256
     /*  367256 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(367342), // Rule ID 7203 //
     /*  367261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  367264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  367269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  367272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  367275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  367278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  367296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367308 */     // MIs[1] Operand 1
     /*  367308 */     // No operand predicates
     /*  367308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367317 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  367317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  367320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  367337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367340 */     GIR_RootConstrainSelectedInstOperands,
     /*  367341 */     // GIR_Coverage, 7203,
     /*  367341 */     GIR_EraseRootFromParent_Done,
     /*  367342 */   // Label 6682: @367342
     /*  367342 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(367428), // Rule ID 7414 //
     /*  367347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367394 */     // MIs[1] Operand 1
     /*  367394 */     // No operand predicates
     /*  367394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  367406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367426 */     GIR_RootConstrainSelectedInstOperands,
     /*  367427 */     // GIR_Coverage, 7414,
     /*  367427 */     GIR_EraseRootFromParent_Done,
     /*  367428 */   // Label 6683: @367428
     /*  367428 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(367514), // Rule ID 7415 //
     /*  367433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  367444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  367447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  367450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367480 */     // MIs[1] Operand 1
     /*  367480 */     // No operand predicates
     /*  367480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  367492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367512 */     GIR_RootConstrainSelectedInstOperands,
     /*  367513 */     // GIR_Coverage, 7415,
     /*  367513 */     GIR_EraseRootFromParent_Done,
     /*  367514 */   // Label 6684: @367514
     /*  367514 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(367600), // Rule ID 7418 //
     /*  367519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367566 */     // MIs[1] Operand 1
     /*  367566 */     // No operand predicates
     /*  367566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367575 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  367578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367598 */     GIR_RootConstrainSelectedInstOperands,
     /*  367599 */     // GIR_Coverage, 7418,
     /*  367599 */     GIR_EraseRootFromParent_Done,
     /*  367600 */   // Label 6685: @367600
     /*  367600 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(367686), // Rule ID 7419 //
     /*  367605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  367616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  367619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  367622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367652 */     // MIs[1] Operand 1
     /*  367652 */     // No operand predicates
     /*  367652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  367664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367684 */     GIR_RootConstrainSelectedInstOperands,
     /*  367685 */     // GIR_Coverage, 7419,
     /*  367685 */     GIR_EraseRootFromParent_Done,
     /*  367686 */   // Label 6686: @367686
     /*  367686 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(367772), // Rule ID 7422 //
     /*  367691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367738 */     // MIs[1] Operand 1
     /*  367738 */     // No operand predicates
     /*  367738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  367750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367770 */     GIR_RootConstrainSelectedInstOperands,
     /*  367771 */     // GIR_Coverage, 7422,
     /*  367771 */     GIR_EraseRootFromParent_Done,
     /*  367772 */   // Label 6687: @367772
     /*  367772 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(367858), // Rule ID 7423 //
     /*  367777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  367788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  367791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  367794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367824 */     // MIs[1] Operand 1
     /*  367824 */     // No operand predicates
     /*  367824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367833 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  367833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  367836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367856 */     GIR_RootConstrainSelectedInstOperands,
     /*  367857 */     // GIR_Coverage, 7423,
     /*  367857 */     GIR_EraseRootFromParent_Done,
     /*  367858 */   // Label 6688: @367858
     /*  367858 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(367944), // Rule ID 7426 //
     /*  367863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  367880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  367886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367910 */     // MIs[1] Operand 1
     /*  367910 */     // No operand predicates
     /*  367910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  367919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  367922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  367926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  367928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  367931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  367939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367942 */     GIR_RootConstrainSelectedInstOperands,
     /*  367943 */     // GIR_Coverage, 7426,
     /*  367943 */     GIR_EraseRootFromParent_Done,
     /*  367944 */   // Label 6689: @367944
     /*  367944 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(368030), // Rule ID 7427 //
     /*  367949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  367957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  367960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  367963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  367966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  367972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  367984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  367988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  367992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  367996 */     // MIs[1] Operand 1
     /*  367996 */     // No operand predicates
     /*  367996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  367998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  368008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368028 */     GIR_RootConstrainSelectedInstOperands,
     /*  368029 */     // GIR_Coverage, 7427,
     /*  368029 */     GIR_EraseRootFromParent_Done,
     /*  368030 */   // Label 6690: @368030
     /*  368030 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(368116), // Rule ID 7430 //
     /*  368035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368082 */     // MIs[1] Operand 1
     /*  368082 */     // No operand predicates
     /*  368082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  368094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368114 */     GIR_RootConstrainSelectedInstOperands,
     /*  368115 */     // GIR_Coverage, 7430,
     /*  368115 */     GIR_EraseRootFromParent_Done,
     /*  368116 */   // Label 6691: @368116
     /*  368116 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(368202), // Rule ID 7431 //
     /*  368121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  368132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  368135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  368138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368168 */     // MIs[1] Operand 1
     /*  368168 */     // No operand predicates
     /*  368168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368177 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  368180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368200 */     GIR_RootConstrainSelectedInstOperands,
     /*  368201 */     // GIR_Coverage, 7431,
     /*  368201 */     GIR_EraseRootFromParent_Done,
     /*  368202 */   // Label 6692: @368202
     /*  368202 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(368288), // Rule ID 7434 //
     /*  368207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368254 */     // MIs[1] Operand 1
     /*  368254 */     // No operand predicates
     /*  368254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368263 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  368263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  368266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368286 */     GIR_RootConstrainSelectedInstOperands,
     /*  368287 */     // GIR_Coverage, 7434,
     /*  368287 */     GIR_EraseRootFromParent_Done,
     /*  368288 */   // Label 6693: @368288
     /*  368288 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(368374), // Rule ID 7435 //
     /*  368293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  368304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  368307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  368310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  368328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368340 */     // MIs[1] Operand 1
     /*  368340 */     // No operand predicates
     /*  368340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368349 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  368349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  368352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  368369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368372 */     GIR_RootConstrainSelectedInstOperands,
     /*  368373 */     // GIR_Coverage, 7435,
     /*  368373 */     GIR_EraseRootFromParent_Done,
     /*  368374 */   // Label 6694: @368374
     /*  368374 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(368460), // Rule ID 7438 //
     /*  368379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  368396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368426 */     // MIs[1] Operand 1
     /*  368426 */     // No operand predicates
     /*  368426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  368438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368458 */     GIR_RootConstrainSelectedInstOperands,
     /*  368459 */     // GIR_Coverage, 7438,
     /*  368459 */     GIR_EraseRootFromParent_Done,
     /*  368460 */   // Label 6695: @368460
     /*  368460 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(368546), // Rule ID 7439 //
     /*  368465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  368476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  368479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  368482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368512 */     // MIs[1] Operand 1
     /*  368512 */     // No operand predicates
     /*  368512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368521 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  368524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368544 */     GIR_RootConstrainSelectedInstOperands,
     /*  368545 */     // GIR_Coverage, 7439,
     /*  368545 */     GIR_EraseRootFromParent_Done,
     /*  368546 */   // Label 6696: @368546
     /*  368546 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(368632), // Rule ID 7442 //
     /*  368551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368598 */     // MIs[1] Operand 1
     /*  368598 */     // No operand predicates
     /*  368598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  368610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368630 */     GIR_RootConstrainSelectedInstOperands,
     /*  368631 */     // GIR_Coverage, 7442,
     /*  368631 */     GIR_EraseRootFromParent_Done,
     /*  368632 */   // Label 6697: @368632
     /*  368632 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(368718), // Rule ID 7443 //
     /*  368637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  368648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  368651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  368654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368684 */     // MIs[1] Operand 1
     /*  368684 */     // No operand predicates
     /*  368684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368693 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  368696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368716 */     GIR_RootConstrainSelectedInstOperands,
     /*  368717 */     // GIR_Coverage, 7443,
     /*  368717 */     GIR_EraseRootFromParent_Done,
     /*  368718 */   // Label 6698: @368718
     /*  368718 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(368804), // Rule ID 7446 //
     /*  368723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368770 */     // MIs[1] Operand 1
     /*  368770 */     // No operand predicates
     /*  368770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  368782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368802 */     GIR_RootConstrainSelectedInstOperands,
     /*  368803 */     // GIR_Coverage, 7446,
     /*  368803 */     GIR_EraseRootFromParent_Done,
     /*  368804 */   // Label 6699: @368804
     /*  368804 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(368890), // Rule ID 7447 //
     /*  368809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  368820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  368823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  368826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  368832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368856 */     // MIs[1] Operand 1
     /*  368856 */     // No operand predicates
     /*  368856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  368865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  368868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368888 */     GIR_RootConstrainSelectedInstOperands,
     /*  368889 */     // GIR_Coverage, 7447,
     /*  368889 */     GIR_EraseRootFromParent_Done,
     /*  368890 */   // Label 6700: @368890
     /*  368890 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(368976), // Rule ID 7450 //
     /*  368895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  368898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  368918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  368926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  368930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  368934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  368938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  368942 */     // MIs[1] Operand 1
     /*  368942 */     // No operand predicates
     /*  368942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  368944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368951 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  368951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  368954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  368958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  368960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  368963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  368971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368974 */     GIR_RootConstrainSelectedInstOperands,
     /*  368975 */     // GIR_Coverage, 7450,
     /*  368975 */     GIR_EraseRootFromParent_Done,
     /*  368976 */   // Label 6701: @368976
     /*  368976 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(369062), // Rule ID 7451 //
     /*  368981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  368984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  368989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  368992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  368995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  368998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369028 */     // MIs[1] Operand 1
     /*  369028 */     // No operand predicates
     /*  369028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  369040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369060 */     GIR_RootConstrainSelectedInstOperands,
     /*  369061 */     // GIR_Coverage, 7451,
     /*  369061 */     GIR_EraseRootFromParent_Done,
     /*  369062 */   // Label 6702: @369062
     /*  369062 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(369148), // Rule ID 7454 //
     /*  369067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  369078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  369081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369114 */     // MIs[1] Operand 1
     /*  369114 */     // No operand predicates
     /*  369114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  369126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369146 */     GIR_RootConstrainSelectedInstOperands,
     /*  369147 */     // GIR_Coverage, 7454,
     /*  369147 */     GIR_EraseRootFromParent_Done,
     /*  369148 */   // Label 6703: @369148
     /*  369148 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(369234), // Rule ID 7455 //
     /*  369153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  369164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  369167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  369170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369200 */     // MIs[1] Operand 1
     /*  369200 */     // No operand predicates
     /*  369200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  369212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369232 */     GIR_RootConstrainSelectedInstOperands,
     /*  369233 */     // GIR_Coverage, 7455,
     /*  369233 */     GIR_EraseRootFromParent_Done,
     /*  369234 */   // Label 6704: @369234
     /*  369234 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(369320), // Rule ID 7458 //
     /*  369239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  369242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  369256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369286 */     // MIs[1] Operand 1
     /*  369286 */     // No operand predicates
     /*  369286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369295 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  369298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369318 */     GIR_RootConstrainSelectedInstOperands,
     /*  369319 */     // GIR_Coverage, 7458,
     /*  369319 */     GIR_EraseRootFromParent_Done,
     /*  369320 */   // Label 6705: @369320
     /*  369320 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(369406), // Rule ID 7459 //
     /*  369325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  369328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  369342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369372 */     // MIs[1] Operand 1
     /*  369372 */     // No operand predicates
     /*  369372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369381 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  369384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369404 */     GIR_RootConstrainSelectedInstOperands,
     /*  369405 */     // GIR_Coverage, 7459,
     /*  369405 */     GIR_EraseRootFromParent_Done,
     /*  369406 */   // Label 6706: @369406
     /*  369406 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(369492), // Rule ID 7462 //
     /*  369411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  369414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369458 */     // MIs[1] Operand 1
     /*  369458 */     // No operand predicates
     /*  369458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  369470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369490 */     GIR_RootConstrainSelectedInstOperands,
     /*  369491 */     // GIR_Coverage, 7462,
     /*  369491 */     GIR_EraseRootFromParent_Done,
     /*  369492 */   // Label 6707: @369492
     /*  369492 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(369578), // Rule ID 7463 //
     /*  369497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  369500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  369508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  369511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  369514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369540 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369544 */     // MIs[1] Operand 1
     /*  369544 */     // No operand predicates
     /*  369544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  369556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369576 */     GIR_RootConstrainSelectedInstOperands,
     /*  369577 */     // GIR_Coverage, 7463,
     /*  369577 */     GIR_EraseRootFromParent_Done,
     /*  369578 */   // Label 6708: @369578
     /*  369578 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(369664), // Rule ID 7466 //
     /*  369583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  369586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369630 */     // MIs[1] Operand 1
     /*  369630 */     // No operand predicates
     /*  369630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369639 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  369642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369662 */     GIR_RootConstrainSelectedInstOperands,
     /*  369663 */     // GIR_Coverage, 7466,
     /*  369663 */     GIR_EraseRootFromParent_Done,
     /*  369664 */   // Label 6709: @369664
     /*  369664 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(369750), // Rule ID 7467 //
     /*  369669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  369672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  369680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  369683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  369686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  369700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369716 */     // MIs[1] Operand 1
     /*  369716 */     // No operand predicates
     /*  369716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  369728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369748 */     GIR_RootConstrainSelectedInstOperands,
     /*  369749 */     // GIR_Coverage, 7467,
     /*  369749 */     GIR_EraseRootFromParent_Done,
     /*  369750 */   // Label 6710: @369750
     /*  369750 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(369836), // Rule ID 7470 //
     /*  369755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  369758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369802 */     // MIs[1] Operand 1
     /*  369802 */     // No operand predicates
     /*  369802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  369814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369834 */     GIR_RootConstrainSelectedInstOperands,
     /*  369835 */     // GIR_Coverage, 7470,
     /*  369835 */     GIR_EraseRootFromParent_Done,
     /*  369836 */   // Label 6711: @369836
     /*  369836 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(369922), // Rule ID 7471 //
     /*  369841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  369844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  369849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  369852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  369855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  369858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  369864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  369872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  369876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369888 */     // MIs[1] Operand 1
     /*  369888 */     // No operand predicates
     /*  369888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  369900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369920 */     GIR_RootConstrainSelectedInstOperands,
     /*  369921 */     // GIR_Coverage, 7471,
     /*  369921 */     GIR_EraseRootFromParent_Done,
     /*  369922 */   // Label 6712: @369922
     /*  369922 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(370008), // Rule ID 7594 //
     /*  369927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  369935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  369938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  369941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  369944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  369950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  369966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  369970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  369974 */     // MIs[1] Operand 1
     /*  369974 */     // No operand predicates
     /*  369974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  369976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369983 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  369986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  369992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  369995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370006 */     GIR_RootConstrainSelectedInstOperands,
     /*  370007 */     // GIR_Coverage, 7594,
     /*  370007 */     GIR_EraseRootFromParent_Done,
     /*  370008 */   // Label 6713: @370008
     /*  370008 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(370094), // Rule ID 7595 //
     /*  370013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  370024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  370027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  370030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370060 */     // MIs[1] Operand 1
     /*  370060 */     // No operand predicates
     /*  370060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  370072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370092 */     GIR_RootConstrainSelectedInstOperands,
     /*  370093 */     // GIR_Coverage, 7595,
     /*  370093 */     GIR_EraseRootFromParent_Done,
     /*  370094 */   // Label 6714: @370094
     /*  370094 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(370180), // Rule ID 7598 //
     /*  370099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370146 */     // MIs[1] Operand 1
     /*  370146 */     // No operand predicates
     /*  370146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  370158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370178 */     GIR_RootConstrainSelectedInstOperands,
     /*  370179 */     // GIR_Coverage, 7598,
     /*  370179 */     GIR_EraseRootFromParent_Done,
     /*  370180 */   // Label 6715: @370180
     /*  370180 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(370266), // Rule ID 7599 //
     /*  370185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  370196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  370199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  370202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370232 */     // MIs[1] Operand 1
     /*  370232 */     // No operand predicates
     /*  370232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370241 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  370244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370264 */     GIR_RootConstrainSelectedInstOperands,
     /*  370265 */     // GIR_Coverage, 7599,
     /*  370265 */     GIR_EraseRootFromParent_Done,
     /*  370266 */   // Label 6716: @370266
     /*  370266 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(370352), // Rule ID 7602 //
     /*  370271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370318 */     // MIs[1] Operand 1
     /*  370318 */     // No operand predicates
     /*  370318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  370330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370350 */     GIR_RootConstrainSelectedInstOperands,
     /*  370351 */     // GIR_Coverage, 7602,
     /*  370351 */     GIR_EraseRootFromParent_Done,
     /*  370352 */   // Label 6717: @370352
     /*  370352 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(370438), // Rule ID 7603 //
     /*  370357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  370368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  370371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  370374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370404 */     // MIs[1] Operand 1
     /*  370404 */     // No operand predicates
     /*  370404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  370416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370436 */     GIR_RootConstrainSelectedInstOperands,
     /*  370437 */     // GIR_Coverage, 7603,
     /*  370437 */     GIR_EraseRootFromParent_Done,
     /*  370438 */   // Label 6718: @370438
     /*  370438 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(370524), // Rule ID 7606 //
     /*  370443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  370460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370490 */     // MIs[1] Operand 1
     /*  370490 */     // No operand predicates
     /*  370490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370522 */     GIR_RootConstrainSelectedInstOperands,
     /*  370523 */     // GIR_Coverage, 7606,
     /*  370523 */     GIR_EraseRootFromParent_Done,
     /*  370524 */   // Label 6719: @370524
     /*  370524 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(370610), // Rule ID 7607 //
     /*  370529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  370540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  370543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  370546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370576 */     // MIs[1] Operand 1
     /*  370576 */     // No operand predicates
     /*  370576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370585 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  370588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370608 */     GIR_RootConstrainSelectedInstOperands,
     /*  370609 */     // GIR_Coverage, 7607,
     /*  370609 */     GIR_EraseRootFromParent_Done,
     /*  370610 */   // Label 6720: @370610
     /*  370610 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(370696), // Rule ID 7610 //
     /*  370615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  370632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370662 */     // MIs[1] Operand 1
     /*  370662 */     // No operand predicates
     /*  370662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370671 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  370674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370694 */     GIR_RootConstrainSelectedInstOperands,
     /*  370695 */     // GIR_Coverage, 7610,
     /*  370695 */     GIR_EraseRootFromParent_Done,
     /*  370696 */   // Label 6721: @370696
     /*  370696 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(370782), // Rule ID 7611 //
     /*  370701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  370718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370748 */     // MIs[1] Operand 1
     /*  370748 */     // No operand predicates
     /*  370748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370757 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  370760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370780 */     GIR_RootConstrainSelectedInstOperands,
     /*  370781 */     // GIR_Coverage, 7611,
     /*  370781 */     GIR_EraseRootFromParent_Done,
     /*  370782 */   // Label 6722: @370782
     /*  370782 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(370868), // Rule ID 7614 //
     /*  370787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  370804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370834 */     // MIs[1] Operand 1
     /*  370834 */     // No operand predicates
     /*  370834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370843 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  370846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370866 */     GIR_RootConstrainSelectedInstOperands,
     /*  370867 */     // GIR_Coverage, 7614,
     /*  370867 */     GIR_EraseRootFromParent_Done,
     /*  370868 */   // Label 6723: @370868
     /*  370868 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(370954), // Rule ID 7615 //
     /*  370873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  370890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  370896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  370916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  370920 */     // MIs[1] Operand 1
     /*  370920 */     // No operand predicates
     /*  370920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  370922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370929 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  370932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  370938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  370941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370952 */     GIR_RootConstrainSelectedInstOperands,
     /*  370953 */     // GIR_Coverage, 7615,
     /*  370953 */     GIR_EraseRootFromParent_Done,
     /*  370954 */   // Label 6724: @370954
     /*  370954 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(371040), // Rule ID 7618 //
     /*  370959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  370967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  370970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  370973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  370976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  370982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  370998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371006 */     // MIs[1] Operand 1
     /*  371006 */     // No operand predicates
     /*  371006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371015 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  371018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371024 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371038 */     GIR_RootConstrainSelectedInstOperands,
     /*  371039 */     // GIR_Coverage, 7618,
     /*  371039 */     GIR_EraseRootFromParent_Done,
     /*  371040 */   // Label 6725: @371040
     /*  371040 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(371126), // Rule ID 7619 //
     /*  371045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  371056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  371059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  371062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371092 */     // MIs[1] Operand 1
     /*  371092 */     // No operand predicates
     /*  371092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  371104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371124 */     GIR_RootConstrainSelectedInstOperands,
     /*  371125 */     // GIR_Coverage, 7619,
     /*  371125 */     GIR_EraseRootFromParent_Done,
     /*  371126 */   // Label 6726: @371126
     /*  371126 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(371212), // Rule ID 7622 //
     /*  371131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371178 */     // MIs[1] Operand 1
     /*  371178 */     // No operand predicates
     /*  371178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  371190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371210 */     GIR_RootConstrainSelectedInstOperands,
     /*  371211 */     // GIR_Coverage, 7622,
     /*  371211 */     GIR_EraseRootFromParent_Done,
     /*  371212 */   // Label 6727: @371212
     /*  371212 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(371298), // Rule ID 7623 //
     /*  371217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  371228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  371231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  371234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371264 */     // MIs[1] Operand 1
     /*  371264 */     // No operand predicates
     /*  371264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371273 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  371276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371296 */     GIR_RootConstrainSelectedInstOperands,
     /*  371297 */     // GIR_Coverage, 7623,
     /*  371297 */     GIR_EraseRootFromParent_Done,
     /*  371298 */   // Label 6728: @371298
     /*  371298 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(371384), // Rule ID 7626 //
     /*  371303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  371314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  371317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371350 */     // MIs[1] Operand 1
     /*  371350 */     // No operand predicates
     /*  371350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371359 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  371362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371382 */     GIR_RootConstrainSelectedInstOperands,
     /*  371383 */     // GIR_Coverage, 7626,
     /*  371383 */     GIR_EraseRootFromParent_Done,
     /*  371384 */   // Label 6729: @371384
     /*  371384 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(371470), // Rule ID 7627 //
     /*  371389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  371400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  371403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  371406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371436 */     // MIs[1] Operand 1
     /*  371436 */     // No operand predicates
     /*  371436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  371448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371454 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371468 */     GIR_RootConstrainSelectedInstOperands,
     /*  371469 */     // GIR_Coverage, 7627,
     /*  371469 */     GIR_EraseRootFromParent_Done,
     /*  371470 */   // Label 6730: @371470
     /*  371470 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(371556), // Rule ID 7630 //
     /*  371475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371522 */     // MIs[1] Operand 1
     /*  371522 */     // No operand predicates
     /*  371522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  371534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371554 */     GIR_RootConstrainSelectedInstOperands,
     /*  371555 */     // GIR_Coverage, 7630,
     /*  371555 */     GIR_EraseRootFromParent_Done,
     /*  371556 */   // Label 6731: @371556
     /*  371556 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(371642), // Rule ID 7631 //
     /*  371561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  371572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  371575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  371578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371608 */     // MIs[1] Operand 1
     /*  371608 */     // No operand predicates
     /*  371608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371617 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  371620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371640 */     GIR_RootConstrainSelectedInstOperands,
     /*  371641 */     // GIR_Coverage, 7631,
     /*  371641 */     GIR_EraseRootFromParent_Done,
     /*  371642 */   // Label 6732: @371642
     /*  371642 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(371728), // Rule ID 7634 //
     /*  371647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371694 */     // MIs[1] Operand 1
     /*  371694 */     // No operand predicates
     /*  371694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  371706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371726 */     GIR_RootConstrainSelectedInstOperands,
     /*  371727 */     // GIR_Coverage, 7634,
     /*  371727 */     GIR_EraseRootFromParent_Done,
     /*  371728 */   // Label 6733: @371728
     /*  371728 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(371814), // Rule ID 7635 //
     /*  371733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  371744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  371747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  371750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371780 */     // MIs[1] Operand 1
     /*  371780 */     // No operand predicates
     /*  371780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  371792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371812 */     GIR_RootConstrainSelectedInstOperands,
     /*  371813 */     // GIR_Coverage, 7635,
     /*  371813 */     GIR_EraseRootFromParent_Done,
     /*  371814 */   // Label 6734: @371814
     /*  371814 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(371900), // Rule ID 7638 //
     /*  371819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  371822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  371842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371866 */     // MIs[1] Operand 1
     /*  371866 */     // No operand predicates
     /*  371866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  371878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371898 */     GIR_RootConstrainSelectedInstOperands,
     /*  371899 */     // GIR_Coverage, 7638,
     /*  371899 */     GIR_EraseRootFromParent_Done,
     /*  371900 */   // Label 6735: @371900
     /*  371900 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(371986), // Rule ID 7639 //
     /*  371905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  371908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  371916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  371919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  371922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  371928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  371944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  371948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  371952 */     // MIs[1] Operand 1
     /*  371952 */     // No operand predicates
     /*  371952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  371954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  371964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  371970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  371973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371984 */     GIR_RootConstrainSelectedInstOperands,
     /*  371985 */     // GIR_Coverage, 7639,
     /*  371985 */     GIR_EraseRootFromParent_Done,
     /*  371986 */   // Label 6736: @371986
     /*  371986 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(372072), // Rule ID 7642 //
     /*  371991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  371994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  371999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372038 */     // MIs[1] Operand 1
     /*  372038 */     // No operand predicates
     /*  372038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  372050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372070 */     GIR_RootConstrainSelectedInstOperands,
     /*  372071 */     // GIR_Coverage, 7642,
     /*  372071 */     GIR_EraseRootFromParent_Done,
     /*  372072 */   // Label 6737: @372072
     /*  372072 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(372158), // Rule ID 7643 //
     /*  372077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  372080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  372085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  372094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372124 */     // MIs[1] Operand 1
     /*  372124 */     // No operand predicates
     /*  372124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  372136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372156 */     GIR_RootConstrainSelectedInstOperands,
     /*  372157 */     // GIR_Coverage, 7643,
     /*  372157 */     GIR_EraseRootFromParent_Done,
     /*  372158 */   // Label 6738: @372158
     /*  372158 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(372244), // Rule ID 7646 //
     /*  372163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  372166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  372171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372210 */     // MIs[1] Operand 1
     /*  372210 */     // No operand predicates
     /*  372210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  372222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372242 */     GIR_RootConstrainSelectedInstOperands,
     /*  372243 */     // GIR_Coverage, 7646,
     /*  372243 */     GIR_EraseRootFromParent_Done,
     /*  372244 */   // Label 6739: @372244
     /*  372244 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(372330), // Rule ID 7647 //
     /*  372249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  372252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  372257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  372260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  372263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  372266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  372280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372296 */     // MIs[1] Operand 1
     /*  372296 */     // No operand predicates
     /*  372296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372305 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  372308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372328 */     GIR_RootConstrainSelectedInstOperands,
     /*  372329 */     // GIR_Coverage, 7647,
     /*  372329 */     GIR_EraseRootFromParent_Done,
     /*  372330 */   // Label 6740: @372330
     /*  372330 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(372416), // Rule ID 7650 //
     /*  372335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  372338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  372343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372382 */     // MIs[1] Operand 1
     /*  372382 */     // No operand predicates
     /*  372382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  372394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372414 */     GIR_RootConstrainSelectedInstOperands,
     /*  372415 */     // GIR_Coverage, 7650,
     /*  372415 */     GIR_EraseRootFromParent_Done,
     /*  372416 */   // Label 6741: @372416
     /*  372416 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(372502), // Rule ID 7651 //
     /*  372421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  372424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  372429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  372432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  372435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  372438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  372452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  372456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  372468 */     // MIs[1] Operand 1
     /*  372468 */     // No operand predicates
     /*  372468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  372480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372500 */     GIR_RootConstrainSelectedInstOperands,
     /*  372501 */     // GIR_Coverage, 7651,
     /*  372501 */     GIR_EraseRootFromParent_Done,
     /*  372502 */   // Label 6742: @372502
     /*  372502 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(372591), // Rule ID 14080 //
     /*  372507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372554 */     // MIs[1] Operand 1
     /*  372554 */     // No operand predicates
     /*  372554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  372566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372589 */     GIR_RootConstrainSelectedInstOperands,
     /*  372590 */     // GIR_Coverage, 14080,
     /*  372590 */     GIR_EraseRootFromParent_Done,
     /*  372591 */   // Label 6743: @372591
     /*  372591 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(372680), // Rule ID 14081 //
     /*  372596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  372607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  372610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  372613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372643 */     // MIs[1] Operand 1
     /*  372643 */     // No operand predicates
     /*  372643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  372655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372678 */     GIR_RootConstrainSelectedInstOperands,
     /*  372679 */     // GIR_Coverage, 14081,
     /*  372679 */     GIR_EraseRootFromParent_Done,
     /*  372680 */   // Label 6744: @372680
     /*  372680 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(372769), // Rule ID 14084 //
     /*  372685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372732 */     // MIs[1] Operand 1
     /*  372732 */     // No operand predicates
     /*  372732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372741 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  372744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372767 */     GIR_RootConstrainSelectedInstOperands,
     /*  372768 */     // GIR_Coverage, 14084,
     /*  372768 */     GIR_EraseRootFromParent_Done,
     /*  372769 */   // Label 6745: @372769
     /*  372769 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(372858), // Rule ID 14085 //
     /*  372774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372821 */     // MIs[1] Operand 1
     /*  372821 */     // No operand predicates
     /*  372821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372830 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  372833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372856 */     GIR_RootConstrainSelectedInstOperands,
     /*  372857 */     // GIR_Coverage, 14085,
     /*  372857 */     GIR_EraseRootFromParent_Done,
     /*  372858 */   // Label 6746: @372858
     /*  372858 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(372947), // Rule ID 14088 //
     /*  372863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  372866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  372886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372910 */     // MIs[1] Operand 1
     /*  372910 */     // No operand predicates
     /*  372910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  372912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372919 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  372922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  372928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  372931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  372945 */     GIR_RootConstrainSelectedInstOperands,
     /*  372946 */     // GIR_Coverage, 14088,
     /*  372946 */     GIR_EraseRootFromParent_Done,
     /*  372947 */   // Label 6747: @372947
     /*  372947 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(373036), // Rule ID 14089 //
     /*  372952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  372955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  372960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  372975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  372991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  372995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  372999 */     // MIs[1] Operand 1
     /*  372999 */     // No operand predicates
     /*  372999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  373011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373034 */     GIR_RootConstrainSelectedInstOperands,
     /*  373035 */     // GIR_Coverage, 14089,
     /*  373035 */     GIR_EraseRootFromParent_Done,
     /*  373036 */   // Label 6748: @373036
     /*  373036 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(373125), // Rule ID 14092 //
     /*  373041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373088 */     // MIs[1] Operand 1
     /*  373088 */     // No operand predicates
     /*  373088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  373100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373123 */     GIR_RootConstrainSelectedInstOperands,
     /*  373124 */     // GIR_Coverage, 14092,
     /*  373124 */     GIR_EraseRootFromParent_Done,
     /*  373125 */   // Label 6749: @373125
     /*  373125 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(373214), // Rule ID 14093 //
     /*  373130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  373141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  373144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  373147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373177 */     // MIs[1] Operand 1
     /*  373177 */     // No operand predicates
     /*  373177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  373189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373212 */     GIR_RootConstrainSelectedInstOperands,
     /*  373213 */     // GIR_Coverage, 14093,
     /*  373213 */     GIR_EraseRootFromParent_Done,
     /*  373214 */   // Label 6750: @373214
     /*  373214 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(373303), // Rule ID 14096 //
     /*  373219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373266 */     // MIs[1] Operand 1
     /*  373266 */     // No operand predicates
     /*  373266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  373278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373301 */     GIR_RootConstrainSelectedInstOperands,
     /*  373302 */     // GIR_Coverage, 14096,
     /*  373302 */     GIR_EraseRootFromParent_Done,
     /*  373303 */   // Label 6751: @373303
     /*  373303 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(373392), // Rule ID 14097 //
     /*  373308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  373319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  373322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  373325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373355 */     // MIs[1] Operand 1
     /*  373355 */     // No operand predicates
     /*  373355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  373367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373390 */     GIR_RootConstrainSelectedInstOperands,
     /*  373391 */     // GIR_Coverage, 14097,
     /*  373391 */     GIR_EraseRootFromParent_Done,
     /*  373392 */   // Label 6752: @373392
     /*  373392 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(373481), // Rule ID 14100 //
     /*  373397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373444 */     // MIs[1] Operand 1
     /*  373444 */     // No operand predicates
     /*  373444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373453 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  373456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373479 */     GIR_RootConstrainSelectedInstOperands,
     /*  373480 */     // GIR_Coverage, 14100,
     /*  373480 */     GIR_EraseRootFromParent_Done,
     /*  373481 */   // Label 6753: @373481
     /*  373481 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(373570), // Rule ID 14101 //
     /*  373486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  373497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  373500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  373503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373533 */     // MIs[1] Operand 1
     /*  373533 */     // No operand predicates
     /*  373533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  373545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373568 */     GIR_RootConstrainSelectedInstOperands,
     /*  373569 */     // GIR_Coverage, 14101,
     /*  373569 */     GIR_EraseRootFromParent_Done,
     /*  373570 */   // Label 6754: @373570
     /*  373570 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(373659), // Rule ID 14104 //
     /*  373575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373622 */     // MIs[1] Operand 1
     /*  373622 */     // No operand predicates
     /*  373622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  373634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373657 */     GIR_RootConstrainSelectedInstOperands,
     /*  373658 */     // GIR_Coverage, 14104,
     /*  373658 */     GIR_EraseRootFromParent_Done,
     /*  373659 */   // Label 6755: @373659
     /*  373659 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(373748), // Rule ID 14105 //
     /*  373664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  373675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  373678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  373681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373711 */     // MIs[1] Operand 1
     /*  373711 */     // No operand predicates
     /*  373711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373720 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  373723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373746 */     GIR_RootConstrainSelectedInstOperands,
     /*  373747 */     // GIR_Coverage, 14105,
     /*  373747 */     GIR_EraseRootFromParent_Done,
     /*  373748 */   // Label 6756: @373748
     /*  373748 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(373837), // Rule ID 14108 //
     /*  373753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373800 */     // MIs[1] Operand 1
     /*  373800 */     // No operand predicates
     /*  373800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  373812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373835 */     GIR_RootConstrainSelectedInstOperands,
     /*  373836 */     // GIR_Coverage, 14108,
     /*  373836 */     GIR_EraseRootFromParent_Done,
     /*  373837 */   // Label 6757: @373837
     /*  373837 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(373926), // Rule ID 14109 //
     /*  373842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  373845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  373853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  373856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  373859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  373865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373889 */     // MIs[1] Operand 1
     /*  373889 */     // No operand predicates
     /*  373889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  373901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  373924 */     GIR_RootConstrainSelectedInstOperands,
     /*  373925 */     // GIR_Coverage, 14109,
     /*  373925 */     GIR_EraseRootFromParent_Done,
     /*  373926 */   // Label 6758: @373926
     /*  373926 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(374015), // Rule ID 14112 //
     /*  373931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  373934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  373939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  373954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  373970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  373974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  373978 */     // MIs[1] Operand 1
     /*  373978 */     // No operand predicates
     /*  373978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  373980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  373990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  373996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  373999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374013 */     GIR_RootConstrainSelectedInstOperands,
     /*  374014 */     // GIR_Coverage, 14112,
     /*  374014 */     GIR_EraseRootFromParent_Done,
     /*  374015 */   // Label 6759: @374015
     /*  374015 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(374104), // Rule ID 14113 //
     /*  374020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  374031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  374034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  374037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374067 */     // MIs[1] Operand 1
     /*  374067 */     // No operand predicates
     /*  374067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  374079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374102 */     GIR_RootConstrainSelectedInstOperands,
     /*  374103 */     // GIR_Coverage, 14113,
     /*  374103 */     GIR_EraseRootFromParent_Done,
     /*  374104 */   // Label 6760: @374104
     /*  374104 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(374193), // Rule ID 14116 //
     /*  374109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  374112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374156 */     // MIs[1] Operand 1
     /*  374156 */     // No operand predicates
     /*  374156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  374168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374174 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374191 */     GIR_RootConstrainSelectedInstOperands,
     /*  374192 */     // GIR_Coverage, 14116,
     /*  374192 */     GIR_EraseRootFromParent_Done,
     /*  374193 */   // Label 6761: @374193
     /*  374193 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(374282), // Rule ID 14117 //
     /*  374198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  374201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  374209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  374212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  374215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374245 */     // MIs[1] Operand 1
     /*  374245 */     // No operand predicates
     /*  374245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  374257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374280 */     GIR_RootConstrainSelectedInstOperands,
     /*  374281 */     // GIR_Coverage, 14117,
     /*  374281 */     GIR_EraseRootFromParent_Done,
     /*  374282 */   // Label 6762: @374282
     /*  374282 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(374371), // Rule ID 14120 //
     /*  374287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374334 */     // MIs[1] Operand 1
     /*  374334 */     // No operand predicates
     /*  374334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374369 */     GIR_RootConstrainSelectedInstOperands,
     /*  374370 */     // GIR_Coverage, 14120,
     /*  374370 */     GIR_EraseRootFromParent_Done,
     /*  374371 */   // Label 6763: @374371
     /*  374371 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(374460), // Rule ID 14121 //
     /*  374376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  374387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  374390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  374393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374423 */     // MIs[1] Operand 1
     /*  374423 */     // No operand predicates
     /*  374423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374432 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374458 */     GIR_RootConstrainSelectedInstOperands,
     /*  374459 */     // GIR_Coverage, 14121,
     /*  374459 */     GIR_EraseRootFromParent_Done,
     /*  374460 */   // Label 6764: @374460
     /*  374460 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(374549), // Rule ID 14124 //
     /*  374465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374512 */     // MIs[1] Operand 1
     /*  374512 */     // No operand predicates
     /*  374512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374521 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374547 */     GIR_RootConstrainSelectedInstOperands,
     /*  374548 */     // GIR_Coverage, 14124,
     /*  374548 */     GIR_EraseRootFromParent_Done,
     /*  374549 */   // Label 6765: @374549
     /*  374549 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(374638), // Rule ID 14125 //
     /*  374554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  374565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  374568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  374571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374601 */     // MIs[1] Operand 1
     /*  374601 */     // No operand predicates
     /*  374601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  374613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374636 */     GIR_RootConstrainSelectedInstOperands,
     /*  374637 */     // GIR_Coverage, 14125,
     /*  374637 */     GIR_EraseRootFromParent_Done,
     /*  374638 */   // Label 6766: @374638
     /*  374638 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(374727), // Rule ID 14128 //
     /*  374643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374690 */     // MIs[1] Operand 1
     /*  374690 */     // No operand predicates
     /*  374690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  374702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374725 */     GIR_RootConstrainSelectedInstOperands,
     /*  374726 */     // GIR_Coverage, 14128,
     /*  374726 */     GIR_EraseRootFromParent_Done,
     /*  374727 */   // Label 6767: @374727
     /*  374727 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(374816), // Rule ID 14129 //
     /*  374732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  374743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  374746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  374749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374779 */     // MIs[1] Operand 1
     /*  374779 */     // No operand predicates
     /*  374779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  374791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374814 */     GIR_RootConstrainSelectedInstOperands,
     /*  374815 */     // GIR_Coverage, 14129,
     /*  374815 */     GIR_EraseRootFromParent_Done,
     /*  374816 */   // Label 6768: @374816
     /*  374816 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(374905), // Rule ID 14132 //
     /*  374821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  374824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  374844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374868 */     // MIs[1] Operand 1
     /*  374868 */     // No operand predicates
     /*  374868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374877 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  374877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374903 */     GIR_RootConstrainSelectedInstOperands,
     /*  374904 */     // GIR_Coverage, 14132,
     /*  374904 */     GIR_EraseRootFromParent_Done,
     /*  374905 */   // Label 6769: @374905
     /*  374905 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(374994), // Rule ID 14133 //
     /*  374910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  374913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  374918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  374921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  374924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  374927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  374933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  374949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  374953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  374957 */     // MIs[1] Operand 1
     /*  374957 */     // No operand predicates
     /*  374957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  374959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  374966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  374969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  374975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  374978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  374992 */     GIR_RootConstrainSelectedInstOperands,
     /*  374993 */     // GIR_Coverage, 14133,
     /*  374993 */     GIR_EraseRootFromParent_Done,
     /*  374994 */   // Label 6770: @374994
     /*  374994 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375083), // Rule ID 14136 //
     /*  374999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  375010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  375013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  375016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375046 */     // MIs[1] Operand 1
     /*  375046 */     // No operand predicates
     /*  375046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  375058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375081 */     GIR_RootConstrainSelectedInstOperands,
     /*  375082 */     // GIR_Coverage, 14136,
     /*  375082 */     GIR_EraseRootFromParent_Done,
     /*  375083 */   // Label 6771: @375083
     /*  375083 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(375172), // Rule ID 14137 //
     /*  375088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  375099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  375102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  375105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375135 */     // MIs[1] Operand 1
     /*  375135 */     // No operand predicates
     /*  375135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  375147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375170 */     GIR_RootConstrainSelectedInstOperands,
     /*  375171 */     // GIR_Coverage, 14137,
     /*  375171 */     GIR_EraseRootFromParent_Done,
     /*  375172 */   // Label 6772: @375172
     /*  375172 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(375261), // Rule ID 14140 //
     /*  375177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  375188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  375191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  375194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375224 */     // MIs[1] Operand 1
     /*  375224 */     // No operand predicates
     /*  375224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375233 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375259 */     GIR_RootConstrainSelectedInstOperands,
     /*  375260 */     // GIR_Coverage, 14140,
     /*  375260 */     GIR_EraseRootFromParent_Done,
     /*  375261 */   // Label 6773: @375261
     /*  375261 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(375350), // Rule ID 14141 //
     /*  375266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  375277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  375280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  375283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375313 */     // MIs[1] Operand 1
     /*  375313 */     // No operand predicates
     /*  375313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375348 */     GIR_RootConstrainSelectedInstOperands,
     /*  375349 */     // GIR_Coverage, 14141,
     /*  375349 */     GIR_EraseRootFromParent_Done,
     /*  375350 */   // Label 6774: @375350
     /*  375350 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(375439), // Rule ID 14144 //
     /*  375355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375402 */     // MIs[1] Operand 1
     /*  375402 */     // No operand predicates
     /*  375402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  375414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375437 */     GIR_RootConstrainSelectedInstOperands,
     /*  375438 */     // GIR_Coverage, 14144,
     /*  375438 */     GIR_EraseRootFromParent_Done,
     /*  375439 */   // Label 6775: @375439
     /*  375439 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(375528), // Rule ID 14145 //
     /*  375444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  375455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  375458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  375461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375491 */     // MIs[1] Operand 1
     /*  375491 */     // No operand predicates
     /*  375491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  375503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375526 */     GIR_RootConstrainSelectedInstOperands,
     /*  375527 */     // GIR_Coverage, 14145,
     /*  375527 */     GIR_EraseRootFromParent_Done,
     /*  375528 */   // Label 6776: @375528
     /*  375528 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(375617), // Rule ID 14148 //
     /*  375533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375580 */     // MIs[1] Operand 1
     /*  375580 */     // No operand predicates
     /*  375580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  375592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375615 */     GIR_RootConstrainSelectedInstOperands,
     /*  375616 */     // GIR_Coverage, 14148,
     /*  375616 */     GIR_EraseRootFromParent_Done,
     /*  375617 */   // Label 6777: @375617
     /*  375617 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(375706), // Rule ID 14149 //
     /*  375622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  375633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  375636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  375639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  375657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375669 */     // MIs[1] Operand 1
     /*  375669 */     // No operand predicates
     /*  375669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375678 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  375681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375704 */     GIR_RootConstrainSelectedInstOperands,
     /*  375705 */     // GIR_Coverage, 14149,
     /*  375705 */     GIR_EraseRootFromParent_Done,
     /*  375706 */   // Label 6778: @375706
     /*  375706 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(375795), // Rule ID 14152 //
     /*  375711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  375714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375758 */     // MIs[1] Operand 1
     /*  375758 */     // No operand predicates
     /*  375758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375793 */     GIR_RootConstrainSelectedInstOperands,
     /*  375794 */     // GIR_Coverage, 14152,
     /*  375794 */     GIR_EraseRootFromParent_Done,
     /*  375795 */   // Label 6779: @375795
     /*  375795 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(375884), // Rule ID 14153 //
     /*  375800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  375803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  375811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  375814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  375817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  375823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  375835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375847 */     // MIs[1] Operand 1
     /*  375847 */     // No operand predicates
     /*  375847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  375859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375882 */     GIR_RootConstrainSelectedInstOperands,
     /*  375883 */     // GIR_Coverage, 14153,
     /*  375883 */     GIR_EraseRootFromParent_Done,
     /*  375884 */   // Label 6780: @375884
     /*  375884 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(375973), // Rule ID 14156 //
     /*  375889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  375892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  375912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  375924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  375928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  375932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  375936 */     // MIs[1] Operand 1
     /*  375936 */     // No operand predicates
     /*  375936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  375938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  375945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  375948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  375954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  375957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  375965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  375971 */     GIR_RootConstrainSelectedInstOperands,
     /*  375972 */     // GIR_Coverage, 14156,
     /*  375972 */     GIR_EraseRootFromParent_Done,
     /*  375973 */   // Label 6781: @375973
     /*  375973 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376062), // Rule ID 14157 //
     /*  375978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  375981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  375986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  375989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  375992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  375995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376025 */     // MIs[1] Operand 1
     /*  376025 */     // No operand predicates
     /*  376025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  376037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376060 */     GIR_RootConstrainSelectedInstOperands,
     /*  376061 */     // GIR_Coverage, 14157,
     /*  376061 */     GIR_EraseRootFromParent_Done,
     /*  376062 */   // Label 6782: @376062
     /*  376062 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376151), // Rule ID 14160 //
     /*  376067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  376070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  376075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376114 */     // MIs[1] Operand 1
     /*  376114 */     // No operand predicates
     /*  376114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  376126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376149 */     GIR_RootConstrainSelectedInstOperands,
     /*  376150 */     // GIR_Coverage, 14160,
     /*  376150 */     GIR_EraseRootFromParent_Done,
     /*  376151 */   // Label 6783: @376151
     /*  376151 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376240), // Rule ID 14161 //
     /*  376156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  376159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  376164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  376167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  376170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  376173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376203 */     // MIs[1] Operand 1
     /*  376203 */     // No operand predicates
     /*  376203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  376215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376238 */     GIR_RootConstrainSelectedInstOperands,
     /*  376239 */     // GIR_Coverage, 14161,
     /*  376239 */     GIR_EraseRootFromParent_Done,
     /*  376240 */   // Label 6784: @376240
     /*  376240 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376329), // Rule ID 14164 //
     /*  376245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  376248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  376253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376292 */     // MIs[1] Operand 1
     /*  376292 */     // No operand predicates
     /*  376292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  376304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376327 */     GIR_RootConstrainSelectedInstOperands,
     /*  376328 */     // GIR_Coverage, 14164,
     /*  376328 */     GIR_EraseRootFromParent_Done,
     /*  376329 */   // Label 6785: @376329
     /*  376329 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376418), // Rule ID 14165 //
     /*  376334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  376337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  376342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  376345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  376348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  376351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376381 */     // MIs[1] Operand 1
     /*  376381 */     // No operand predicates
     /*  376381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376390 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  376393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376416 */     GIR_RootConstrainSelectedInstOperands,
     /*  376417 */     // GIR_Coverage, 14165,
     /*  376417 */     GIR_EraseRootFromParent_Done,
     /*  376418 */   // Label 6786: @376418
     /*  376418 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(376507), // Rule ID 14344 //
     /*  376423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  376434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  376437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  376440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376470 */     // MIs[1] Operand 1
     /*  376470 */     // No operand predicates
     /*  376470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376479 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  376482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376505 */     GIR_RootConstrainSelectedInstOperands,
     /*  376506 */     // GIR_Coverage, 14344,
     /*  376506 */     GIR_EraseRootFromParent_Done,
     /*  376507 */   // Label 6787: @376507
     /*  376507 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(376596), // Rule ID 14345 //
     /*  376512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  376523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  376526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  376529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376559 */     // MIs[1] Operand 1
     /*  376559 */     // No operand predicates
     /*  376559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  376571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376594 */     GIR_RootConstrainSelectedInstOperands,
     /*  376595 */     // GIR_Coverage, 14345,
     /*  376595 */     GIR_EraseRootFromParent_Done,
     /*  376596 */   // Label 6788: @376596
     /*  376596 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(376685), // Rule ID 14348 //
     /*  376601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  376612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  376615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  376618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376648 */     // MIs[1] Operand 1
     /*  376648 */     // No operand predicates
     /*  376648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376657 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  376660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376683 */     GIR_RootConstrainSelectedInstOperands,
     /*  376684 */     // GIR_Coverage, 14348,
     /*  376684 */     GIR_EraseRootFromParent_Done,
     /*  376685 */   // Label 6789: @376685
     /*  376685 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(376774), // Rule ID 14349 //
     /*  376690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  376701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  376704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  376707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376737 */     // MIs[1] Operand 1
     /*  376737 */     // No operand predicates
     /*  376737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  376749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376772 */     GIR_RootConstrainSelectedInstOperands,
     /*  376773 */     // GIR_Coverage, 14349,
     /*  376773 */     GIR_EraseRootFromParent_Done,
     /*  376774 */   // Label 6790: @376774
     /*  376774 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(376863), // Rule ID 14352 //
     /*  376779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376826 */     // MIs[1] Operand 1
     /*  376826 */     // No operand predicates
     /*  376826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376835 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  376838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376861 */     GIR_RootConstrainSelectedInstOperands,
     /*  376862 */     // GIR_Coverage, 14352,
     /*  376862 */     GIR_EraseRootFromParent_Done,
     /*  376863 */   // Label 6791: @376863
     /*  376863 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(376952), // Rule ID 14353 //
     /*  376868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  376871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  376879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  376882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  376885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  376891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  376911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  376915 */     // MIs[1] Operand 1
     /*  376915 */     // No operand predicates
     /*  376915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  376917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  376927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  376933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  376936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  376950 */     GIR_RootConstrainSelectedInstOperands,
     /*  376951 */     // GIR_Coverage, 14353,
     /*  376951 */     GIR_EraseRootFromParent_Done,
     /*  376952 */   // Label 6792: @376952
     /*  376952 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377041), // Rule ID 14356 //
     /*  376957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  376960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  376965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  376968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  376971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  376974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  376980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  376996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377004 */     // MIs[1] Operand 1
     /*  377004 */     // No operand predicates
     /*  377004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377013 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  377016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377039 */     GIR_RootConstrainSelectedInstOperands,
     /*  377040 */     // GIR_Coverage, 14356,
     /*  377040 */     GIR_EraseRootFromParent_Done,
     /*  377041 */   // Label 6793: @377041
     /*  377041 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377130), // Rule ID 14357 //
     /*  377046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  377057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  377060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  377063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377093 */     // MIs[1] Operand 1
     /*  377093 */     // No operand predicates
     /*  377093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  377105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377128 */     GIR_RootConstrainSelectedInstOperands,
     /*  377129 */     // GIR_Coverage, 14357,
     /*  377129 */     GIR_EraseRootFromParent_Done,
     /*  377130 */   // Label 6794: @377130
     /*  377130 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377219), // Rule ID 14360 //
     /*  377135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377182 */     // MIs[1] Operand 1
     /*  377182 */     // No operand predicates
     /*  377182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  377194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377217 */     GIR_RootConstrainSelectedInstOperands,
     /*  377218 */     // GIR_Coverage, 14360,
     /*  377218 */     GIR_EraseRootFromParent_Done,
     /*  377219 */   // Label 6795: @377219
     /*  377219 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377308), // Rule ID 14361 //
     /*  377224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  377235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  377238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  377241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377271 */     // MIs[1] Operand 1
     /*  377271 */     // No operand predicates
     /*  377271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  377283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377306 */     GIR_RootConstrainSelectedInstOperands,
     /*  377307 */     // GIR_Coverage, 14361,
     /*  377307 */     GIR_EraseRootFromParent_Done,
     /*  377308 */   // Label 6796: @377308
     /*  377308 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377397), // Rule ID 14364 //
     /*  377313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377360 */     // MIs[1] Operand 1
     /*  377360 */     // No operand predicates
     /*  377360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377369 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  377372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377395 */     GIR_RootConstrainSelectedInstOperands,
     /*  377396 */     // GIR_Coverage, 14364,
     /*  377396 */     GIR_EraseRootFromParent_Done,
     /*  377397 */   // Label 6797: @377397
     /*  377397 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377486), // Rule ID 14365 //
     /*  377402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  377413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  377416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  377419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377449 */     // MIs[1] Operand 1
     /*  377449 */     // No operand predicates
     /*  377449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  377461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377484 */     GIR_RootConstrainSelectedInstOperands,
     /*  377485 */     // GIR_Coverage, 14365,
     /*  377485 */     GIR_EraseRootFromParent_Done,
     /*  377486 */   // Label 6798: @377486
     /*  377486 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377575), // Rule ID 14368 //
     /*  377491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377538 */     // MIs[1] Operand 1
     /*  377538 */     // No operand predicates
     /*  377538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377573 */     GIR_RootConstrainSelectedInstOperands,
     /*  377574 */     // GIR_Coverage, 14368,
     /*  377574 */     GIR_EraseRootFromParent_Done,
     /*  377575 */   // Label 6799: @377575
     /*  377575 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377664), // Rule ID 14369 //
     /*  377580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  377591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  377594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  377597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377627 */     // MIs[1] Operand 1
     /*  377627 */     // No operand predicates
     /*  377627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377662 */     GIR_RootConstrainSelectedInstOperands,
     /*  377663 */     // GIR_Coverage, 14369,
     /*  377663 */     GIR_EraseRootFromParent_Done,
     /*  377664 */   // Label 6800: @377664
     /*  377664 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377753), // Rule ID 14372 //
     /*  377669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  377686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377716 */     // MIs[1] Operand 1
     /*  377716 */     // No operand predicates
     /*  377716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377725 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  377725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377751 */     GIR_RootConstrainSelectedInstOperands,
     /*  377752 */     // GIR_Coverage, 14372,
     /*  377752 */     GIR_EraseRootFromParent_Done,
     /*  377753 */   // Label 6801: @377753
     /*  377753 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(377842), // Rule ID 14373 //
     /*  377758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  377769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  377772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  377775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377805 */     // MIs[1] Operand 1
     /*  377805 */     // No operand predicates
     /*  377805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  377814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  377834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377840 */     GIR_RootConstrainSelectedInstOperands,
     /*  377841 */     // GIR_Coverage, 14373,
     /*  377841 */     GIR_EraseRootFromParent_Done,
     /*  377842 */   // Label 6802: @377842
     /*  377842 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(377931), // Rule ID 14376 //
     /*  377847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  377850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  377858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  377861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  377864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  377870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377894 */     // MIs[1] Operand 1
     /*  377894 */     // No operand predicates
     /*  377894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  377912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  377915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  377929 */     GIR_RootConstrainSelectedInstOperands,
     /*  377930 */     // GIR_Coverage, 14376,
     /*  377930 */     GIR_EraseRootFromParent_Done,
     /*  377931 */   // Label 6803: @377931
     /*  377931 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378020), // Rule ID 14377 //
     /*  377936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  377939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  377944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  377947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  377950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  377953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  377959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  377975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  377979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  377983 */     // MIs[1] Operand 1
     /*  377983 */     // No operand predicates
     /*  377983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  377985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  377995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378018 */     GIR_RootConstrainSelectedInstOperands,
     /*  378019 */     // GIR_Coverage, 14377,
     /*  378019 */     GIR_EraseRootFromParent_Done,
     /*  378020 */   // Label 6804: @378020
     /*  378020 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378109), // Rule ID 14380 //
     /*  378025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  378028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378072 */     // MIs[1] Operand 1
     /*  378072 */     // No operand predicates
     /*  378072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378081 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  378084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378107 */     GIR_RootConstrainSelectedInstOperands,
     /*  378108 */     // GIR_Coverage, 14380,
     /*  378108 */     GIR_EraseRootFromParent_Done,
     /*  378109 */   // Label 6805: @378109
     /*  378109 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378198), // Rule ID 14381 //
     /*  378114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  378117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378161 */     // MIs[1] Operand 1
     /*  378161 */     // No operand predicates
     /*  378161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  378170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  378173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378196 */     GIR_RootConstrainSelectedInstOperands,
     /*  378197 */     // GIR_Coverage, 14381,
     /*  378197 */     GIR_EraseRootFromParent_Done,
     /*  378198 */   // Label 6806: @378198
     /*  378198 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378287), // Rule ID 14384 //
     /*  378203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378250 */     // MIs[1] Operand 1
     /*  378250 */     // No operand predicates
     /*  378250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378285 */     GIR_RootConstrainSelectedInstOperands,
     /*  378286 */     // GIR_Coverage, 14384,
     /*  378286 */     GIR_EraseRootFromParent_Done,
     /*  378287 */   // Label 6807: @378287
     /*  378287 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378376), // Rule ID 14385 //
     /*  378292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  378303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  378306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  378309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378339 */     // MIs[1] Operand 1
     /*  378339 */     // No operand predicates
     /*  378339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378374 */     GIR_RootConstrainSelectedInstOperands,
     /*  378375 */     // GIR_Coverage, 14385,
     /*  378375 */     GIR_EraseRootFromParent_Done,
     /*  378376 */   // Label 6808: @378376
     /*  378376 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378465), // Rule ID 14388 //
     /*  378381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378428 */     // MIs[1] Operand 1
     /*  378428 */     // No operand predicates
     /*  378428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378437 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378463 */     GIR_RootConstrainSelectedInstOperands,
     /*  378464 */     // GIR_Coverage, 14388,
     /*  378464 */     GIR_EraseRootFromParent_Done,
     /*  378465 */   // Label 6809: @378465
     /*  378465 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378554), // Rule ID 14389 //
     /*  378470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  378481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  378484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  378487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378517 */     // MIs[1] Operand 1
     /*  378517 */     // No operand predicates
     /*  378517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378552 */     GIR_RootConstrainSelectedInstOperands,
     /*  378553 */     // GIR_Coverage, 14389,
     /*  378553 */     GIR_EraseRootFromParent_Done,
     /*  378554 */   // Label 6810: @378554
     /*  378554 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378643), // Rule ID 14392 //
     /*  378559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378606 */     // MIs[1] Operand 1
     /*  378606 */     // No operand predicates
     /*  378606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378615 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  378618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378641 */     GIR_RootConstrainSelectedInstOperands,
     /*  378642 */     // GIR_Coverage, 14392,
     /*  378642 */     GIR_EraseRootFromParent_Done,
     /*  378643 */   // Label 6811: @378643
     /*  378643 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378732), // Rule ID 14393 //
     /*  378648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  378659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  378662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  378665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  378683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378695 */     // MIs[1] Operand 1
     /*  378695 */     // No operand predicates
     /*  378695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  378707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378730 */     GIR_RootConstrainSelectedInstOperands,
     /*  378731 */     // GIR_Coverage, 14393,
     /*  378731 */     GIR_EraseRootFromParent_Done,
     /*  378732 */   // Label 6812: @378732
     /*  378732 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378821), // Rule ID 14396 //
     /*  378737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378784 */     // MIs[1] Operand 1
     /*  378784 */     // No operand predicates
     /*  378784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378819 */     GIR_RootConstrainSelectedInstOperands,
     /*  378820 */     // GIR_Coverage, 14396,
     /*  378820 */     GIR_EraseRootFromParent_Done,
     /*  378821 */   // Label 6813: @378821
     /*  378821 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378910), // Rule ID 14397 //
     /*  378826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  378829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  378837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  378840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  378843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  378849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  378861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378873 */     // MIs[1] Operand 1
     /*  378873 */     // No operand predicates
     /*  378873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  378885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378908 */     GIR_RootConstrainSelectedInstOperands,
     /*  378909 */     // GIR_Coverage, 14397,
     /*  378909 */     GIR_EraseRootFromParent_Done,
     /*  378910 */   // Label 6814: @378910
     /*  378910 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378999), // Rule ID 14400 //
     /*  378915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  378918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  378923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  378926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  378929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  378932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  378938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  378950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  378954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  378958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  378962 */     // MIs[1] Operand 1
     /*  378962 */     // No operand predicates
     /*  378962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  378964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  378974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  378980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  378983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  378997 */     GIR_RootConstrainSelectedInstOperands,
     /*  378998 */     // GIR_Coverage, 14400,
     /*  378998 */     GIR_EraseRootFromParent_Done,
     /*  378999 */   // Label 6815: @378999
     /*  378999 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(379088), // Rule ID 14401 //
     /*  379004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  379015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  379018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  379021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379051 */     // MIs[1] Operand 1
     /*  379051 */     // No operand predicates
     /*  379051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  379063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379086 */     GIR_RootConstrainSelectedInstOperands,
     /*  379087 */     // GIR_Coverage, 14401,
     /*  379087 */     GIR_EraseRootFromParent_Done,
     /*  379088 */   // Label 6816: @379088
     /*  379088 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(379177), // Rule ID 14404 //
     /*  379093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379140 */     // MIs[1] Operand 1
     /*  379140 */     // No operand predicates
     /*  379140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  379152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379158 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379175 */     GIR_RootConstrainSelectedInstOperands,
     /*  379176 */     // GIR_Coverage, 14404,
     /*  379176 */     GIR_EraseRootFromParent_Done,
     /*  379177 */   // Label 6817: @379177
     /*  379177 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(379266), // Rule ID 14405 //
     /*  379182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379229 */     // MIs[1] Operand 1
     /*  379229 */     // No operand predicates
     /*  379229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379238 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  379241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379264 */     GIR_RootConstrainSelectedInstOperands,
     /*  379265 */     // GIR_Coverage, 14405,
     /*  379265 */     GIR_EraseRootFromParent_Done,
     /*  379266 */   // Label 6818: @379266
     /*  379266 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379355), // Rule ID 14408 //
     /*  379271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379318 */     // MIs[1] Operand 1
     /*  379318 */     // No operand predicates
     /*  379318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379327 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  379330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379353 */     GIR_RootConstrainSelectedInstOperands,
     /*  379354 */     // GIR_Coverage, 14408,
     /*  379354 */     GIR_EraseRootFromParent_Done,
     /*  379355 */   // Label 6819: @379355
     /*  379355 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379444), // Rule ID 14409 //
     /*  379360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379407 */     // MIs[1] Operand 1
     /*  379407 */     // No operand predicates
     /*  379407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  379419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379442 */     GIR_RootConstrainSelectedInstOperands,
     /*  379443 */     // GIR_Coverage, 14409,
     /*  379443 */     GIR_EraseRootFromParent_Done,
     /*  379444 */   // Label 6820: @379444
     /*  379444 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379533), // Rule ID 14412 //
     /*  379449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379496 */     // MIs[1] Operand 1
     /*  379496 */     // No operand predicates
     /*  379496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  379508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379531 */     GIR_RootConstrainSelectedInstOperands,
     /*  379532 */     // GIR_Coverage, 14412,
     /*  379532 */     GIR_EraseRootFromParent_Done,
     /*  379533 */   // Label 6821: @379533
     /*  379533 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379622), // Rule ID 14413 //
     /*  379538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379585 */     // MIs[1] Operand 1
     /*  379585 */     // No operand predicates
     /*  379585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  379597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379620 */     GIR_RootConstrainSelectedInstOperands,
     /*  379621 */     // GIR_Coverage, 14413,
     /*  379621 */     GIR_EraseRootFromParent_Done,
     /*  379622 */   // Label 6822: @379622
     /*  379622 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379711), // Rule ID 14416 //
     /*  379627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  379630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379674 */     // MIs[1] Operand 1
     /*  379674 */     // No operand predicates
     /*  379674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  379686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379709 */     GIR_RootConstrainSelectedInstOperands,
     /*  379710 */     // GIR_Coverage, 14416,
     /*  379710 */     GIR_EraseRootFromParent_Done,
     /*  379711 */   // Label 6823: @379711
     /*  379711 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379800), // Rule ID 14417 //
     /*  379716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  379719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  379727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  379730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  379733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379763 */     // MIs[1] Operand 1
     /*  379763 */     // No operand predicates
     /*  379763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  379775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379798 */     GIR_RootConstrainSelectedInstOperands,
     /*  379799 */     // GIR_Coverage, 14417,
     /*  379799 */     GIR_EraseRootFromParent_Done,
     /*  379800 */   // Label 6824: @379800
     /*  379800 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379889), // Rule ID 14420 //
     /*  379805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  379808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  379828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379852 */     // MIs[1] Operand 1
     /*  379852 */     // No operand predicates
     /*  379852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  379861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  379864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379887 */     GIR_RootConstrainSelectedInstOperands,
     /*  379888 */     // GIR_Coverage, 14420,
     /*  379888 */     GIR_EraseRootFromParent_Done,
     /*  379889 */   // Label 6825: @379889
     /*  379889 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379978), // Rule ID 14421 //
     /*  379894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  379897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  379905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  379908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  379911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  379917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  379933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  379937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  379941 */     // MIs[1] Operand 1
     /*  379941 */     // No operand predicates
     /*  379941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  379943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  379953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  379959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  379962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  379976 */     GIR_RootConstrainSelectedInstOperands,
     /*  379977 */     // GIR_Coverage, 14421,
     /*  379977 */     GIR_EraseRootFromParent_Done,
     /*  379978 */   // Label 6826: @379978
     /*  379978 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(380067), // Rule ID 14424 //
     /*  379983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  379986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  379991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  379994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  379997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  380030 */     // MIs[1] Operand 1
     /*  380030 */     // No operand predicates
     /*  380030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380039 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  380042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  380065 */     GIR_RootConstrainSelectedInstOperands,
     /*  380066 */     // GIR_Coverage, 14424,
     /*  380066 */     GIR_EraseRootFromParent_Done,
     /*  380067 */   // Label 6827: @380067
     /*  380067 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(380156), // Rule ID 14425 //
     /*  380072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  380075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  380080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  380119 */     // MIs[1] Operand 1
     /*  380119 */     // No operand predicates
     /*  380119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  380131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  380154 */     GIR_RootConstrainSelectedInstOperands,
     /*  380155 */     // GIR_Coverage, 14425,
     /*  380155 */     GIR_EraseRootFromParent_Done,
     /*  380156 */   // Label 6828: @380156
     /*  380156 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(380245), // Rule ID 14428 //
     /*  380161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  380164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  380169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  380208 */     // MIs[1] Operand 1
     /*  380208 */     // No operand predicates
     /*  380208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380217 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  380220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  380243 */     GIR_RootConstrainSelectedInstOperands,
     /*  380244 */     // GIR_Coverage, 14428,
     /*  380244 */     GIR_EraseRootFromParent_Done,
     /*  380245 */   // Label 6829: @380245
     /*  380245 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(380334), // Rule ID 14429 //
     /*  380250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  380253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  380258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  380297 */     // MIs[1] Operand 1
     /*  380297 */     // No operand predicates
     /*  380297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  380309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  380332 */     GIR_RootConstrainSelectedInstOperands,
     /*  380333 */     // GIR_Coverage, 14429,
     /*  380333 */     GIR_EraseRootFromParent_Done,
     /*  380334 */   // Label 6830: @380334
     /*  380334 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(380420), // Rule ID 24524 //
     /*  380339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380386 */     // MIs[1] Operand 1
     /*  380386 */     // No operand predicates
     /*  380386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380395 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  380398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380418 */     GIR_RootConstrainSelectedInstOperands,
     /*  380419 */     // GIR_Coverage, 24524,
     /*  380419 */     GIR_EraseRootFromParent_Done,
     /*  380420 */   // Label 6831: @380420
     /*  380420 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(380506), // Rule ID 24525 //
     /*  380425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380472 */     // MIs[1] Operand 1
     /*  380472 */     // No operand predicates
     /*  380472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380481 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  380484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380504 */     GIR_RootConstrainSelectedInstOperands,
     /*  380505 */     // GIR_Coverage, 24525,
     /*  380505 */     GIR_EraseRootFromParent_Done,
     /*  380506 */   // Label 6832: @380506
     /*  380506 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(380592), // Rule ID 24528 //
     /*  380511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380558 */     // MIs[1] Operand 1
     /*  380558 */     // No operand predicates
     /*  380558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  380570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380590 */     GIR_RootConstrainSelectedInstOperands,
     /*  380591 */     // GIR_Coverage, 24528,
     /*  380591 */     GIR_EraseRootFromParent_Done,
     /*  380592 */   // Label 6833: @380592
     /*  380592 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380678), // Rule ID 24529 //
     /*  380597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380644 */     // MIs[1] Operand 1
     /*  380644 */     // No operand predicates
     /*  380644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380653 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  380656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380676 */     GIR_RootConstrainSelectedInstOperands,
     /*  380677 */     // GIR_Coverage, 24529,
     /*  380677 */     GIR_EraseRootFromParent_Done,
     /*  380678 */   // Label 6834: @380678
     /*  380678 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380764), // Rule ID 24532 //
     /*  380683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380730 */     // MIs[1] Operand 1
     /*  380730 */     // No operand predicates
     /*  380730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  380742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380762 */     GIR_RootConstrainSelectedInstOperands,
     /*  380763 */     // GIR_Coverage, 24532,
     /*  380763 */     GIR_EraseRootFromParent_Done,
     /*  380764 */   // Label 6835: @380764
     /*  380764 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380850), // Rule ID 24533 //
     /*  380769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380816 */     // MIs[1] Operand 1
     /*  380816 */     // No operand predicates
     /*  380816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  380828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380848 */     GIR_RootConstrainSelectedInstOperands,
     /*  380849 */     // GIR_Coverage, 24533,
     /*  380849 */     GIR_EraseRootFromParent_Done,
     /*  380850 */   // Label 6836: @380850
     /*  380850 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380936), // Rule ID 24536 //
     /*  380855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  380858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  380878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380902 */     // MIs[1] Operand 1
     /*  380902 */     // No operand predicates
     /*  380902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  380911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  380914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  380920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  380923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  380931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380934 */     GIR_RootConstrainSelectedInstOperands,
     /*  380935 */     // GIR_Coverage, 24536,
     /*  380935 */     GIR_EraseRootFromParent_Done,
     /*  380936 */   // Label 6837: @380936
     /*  380936 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(381022), // Rule ID 24537 //
     /*  380941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  380944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  380949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  380952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  380955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  380958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  380964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  380980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  380984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  380988 */     // MIs[1] Operand 1
     /*  380988 */     // No operand predicates
     /*  380988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  380990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  380997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  381000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381020 */     GIR_RootConstrainSelectedInstOperands,
     /*  381021 */     // GIR_Coverage, 24537,
     /*  381021 */     GIR_EraseRootFromParent_Done,
     /*  381022 */   // Label 6838: @381022
     /*  381022 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(381108), // Rule ID 24540 //
     /*  381027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381074 */     // MIs[1] Operand 1
     /*  381074 */     // No operand predicates
     /*  381074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  381086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381106 */     GIR_RootConstrainSelectedInstOperands,
     /*  381107 */     // GIR_Coverage, 24540,
     /*  381107 */     GIR_EraseRootFromParent_Done,
     /*  381108 */   // Label 6839: @381108
     /*  381108 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(381194), // Rule ID 24541 //
     /*  381113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381160 */     // MIs[1] Operand 1
     /*  381160 */     // No operand predicates
     /*  381160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  381172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381192 */     GIR_RootConstrainSelectedInstOperands,
     /*  381193 */     // GIR_Coverage, 24541,
     /*  381193 */     GIR_EraseRootFromParent_Done,
     /*  381194 */   // Label 6840: @381194
     /*  381194 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(381280), // Rule ID 24544 //
     /*  381199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381246 */     // MIs[1] Operand 1
     /*  381246 */     // No operand predicates
     /*  381246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381255 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  381258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381278 */     GIR_RootConstrainSelectedInstOperands,
     /*  381279 */     // GIR_Coverage, 24544,
     /*  381279 */     GIR_EraseRootFromParent_Done,
     /*  381280 */   // Label 6841: @381280
     /*  381280 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(381366), // Rule ID 24545 //
     /*  381285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381332 */     // MIs[1] Operand 1
     /*  381332 */     // No operand predicates
     /*  381332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  381344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381364 */     GIR_RootConstrainSelectedInstOperands,
     /*  381365 */     // GIR_Coverage, 24545,
     /*  381365 */     GIR_EraseRootFromParent_Done,
     /*  381366 */   // Label 6842: @381366
     /*  381366 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(381452), // Rule ID 24548 //
     /*  381371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381418 */     // MIs[1] Operand 1
     /*  381418 */     // No operand predicates
     /*  381418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381450 */     GIR_RootConstrainSelectedInstOperands,
     /*  381451 */     // GIR_Coverage, 24548,
     /*  381451 */     GIR_EraseRootFromParent_Done,
     /*  381452 */   // Label 6843: @381452
     /*  381452 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(381538), // Rule ID 24549 //
     /*  381457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381504 */     // MIs[1] Operand 1
     /*  381504 */     // No operand predicates
     /*  381504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381513 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381536 */     GIR_RootConstrainSelectedInstOperands,
     /*  381537 */     // GIR_Coverage, 24549,
     /*  381537 */     GIR_EraseRootFromParent_Done,
     /*  381538 */   // Label 6844: @381538
     /*  381538 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(381624), // Rule ID 24552 //
     /*  381543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381590 */     // MIs[1] Operand 1
     /*  381590 */     // No operand predicates
     /*  381590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381599 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381608 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381622 */     GIR_RootConstrainSelectedInstOperands,
     /*  381623 */     // GIR_Coverage, 24552,
     /*  381623 */     GIR_EraseRootFromParent_Done,
     /*  381624 */   // Label 6845: @381624
     /*  381624 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(381710), // Rule ID 24553 //
     /*  381629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381676 */     // MIs[1] Operand 1
     /*  381676 */     // No operand predicates
     /*  381676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381685 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381694 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381708 */     GIR_RootConstrainSelectedInstOperands,
     /*  381709 */     // GIR_Coverage, 24553,
     /*  381709 */     GIR_EraseRootFromParent_Done,
     /*  381710 */   // Label 6846: @381710
     /*  381710 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(381796), // Rule ID 24556 //
     /*  381715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  381718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381762 */     // MIs[1] Operand 1
     /*  381762 */     // No operand predicates
     /*  381762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381794 */     GIR_RootConstrainSelectedInstOperands,
     /*  381795 */     // GIR_Coverage, 24556,
     /*  381795 */     GIR_EraseRootFromParent_Done,
     /*  381796 */   // Label 6847: @381796
     /*  381796 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(381882), // Rule ID 24557 //
     /*  381801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  381804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381848 */     // MIs[1] Operand 1
     /*  381848 */     // No operand predicates
     /*  381848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381880 */     GIR_RootConstrainSelectedInstOperands,
     /*  381881 */     // GIR_Coverage, 24557,
     /*  381881 */     GIR_EraseRootFromParent_Done,
     /*  381882 */   // Label 6848: @381882
     /*  381882 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381968), // Rule ID 24560 //
     /*  381887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  381890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  381910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  381926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  381930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  381934 */     // MIs[1] Operand 1
     /*  381934 */     // No operand predicates
     /*  381934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  381936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  381946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  381952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  381955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381966 */     GIR_RootConstrainSelectedInstOperands,
     /*  381967 */     // GIR_Coverage, 24560,
     /*  381967 */     GIR_EraseRootFromParent_Done,
     /*  381968 */   // Label 6849: @381968
     /*  381968 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(382054), // Rule ID 24561 //
     /*  381973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  381976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  381981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  381996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  382008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382020 */     // MIs[1] Operand 1
     /*  382020 */     // No operand predicates
     /*  382020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  382029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  382032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  382049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382052 */     GIR_RootConstrainSelectedInstOperands,
     /*  382053 */     // GIR_Coverage, 24561,
     /*  382053 */     GIR_EraseRootFromParent_Done,
     /*  382054 */   // Label 6850: @382054
     /*  382054 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(382140), // Rule ID 24564 //
     /*  382059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382106 */     // MIs[1] Operand 1
     /*  382106 */     // No operand predicates
     /*  382106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382138 */     GIR_RootConstrainSelectedInstOperands,
     /*  382139 */     // GIR_Coverage, 24564,
     /*  382139 */     GIR_EraseRootFromParent_Done,
     /*  382140 */   // Label 6851: @382140
     /*  382140 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(382226), // Rule ID 24565 //
     /*  382145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382192 */     // MIs[1] Operand 1
     /*  382192 */     // No operand predicates
     /*  382192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382201 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382224 */     GIR_RootConstrainSelectedInstOperands,
     /*  382225 */     // GIR_Coverage, 24565,
     /*  382225 */     GIR_EraseRootFromParent_Done,
     /*  382226 */   // Label 6852: @382226
     /*  382226 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(382312), // Rule ID 24568 //
     /*  382231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382278 */     // MIs[1] Operand 1
     /*  382278 */     // No operand predicates
     /*  382278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382310 */     GIR_RootConstrainSelectedInstOperands,
     /*  382311 */     // GIR_Coverage, 24568,
     /*  382311 */     GIR_EraseRootFromParent_Done,
     /*  382312 */   // Label 6853: @382312
     /*  382312 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(382398), // Rule ID 24569 //
     /*  382317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382364 */     // MIs[1] Operand 1
     /*  382364 */     // No operand predicates
     /*  382364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382373 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382396 */     GIR_RootConstrainSelectedInstOperands,
     /*  382397 */     // GIR_Coverage, 24569,
     /*  382397 */     GIR_EraseRootFromParent_Done,
     /*  382398 */   // Label 6854: @382398
     /*  382398 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(382484), // Rule ID 24572 //
     /*  382403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382450 */     // MIs[1] Operand 1
     /*  382450 */     // No operand predicates
     /*  382450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382482 */     GIR_RootConstrainSelectedInstOperands,
     /*  382483 */     // GIR_Coverage, 24572,
     /*  382483 */     GIR_EraseRootFromParent_Done,
     /*  382484 */   // Label 6855: @382484
     /*  382484 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(382570), // Rule ID 24573 //
     /*  382489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382536 */     // MIs[1] Operand 1
     /*  382536 */     // No operand predicates
     /*  382536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382545 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382568 */     GIR_RootConstrainSelectedInstOperands,
     /*  382569 */     // GIR_Coverage, 24573,
     /*  382569 */     GIR_EraseRootFromParent_Done,
     /*  382570 */   // Label 6856: @382570
     /*  382570 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(382656), // Rule ID 24576 //
     /*  382575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382622 */     // MIs[1] Operand 1
     /*  382622 */     // No operand predicates
     /*  382622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382631 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382654 */     GIR_RootConstrainSelectedInstOperands,
     /*  382655 */     // GIR_Coverage, 24576,
     /*  382655 */     GIR_EraseRootFromParent_Done,
     /*  382656 */   // Label 6857: @382656
     /*  382656 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(382742), // Rule ID 24577 //
     /*  382661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382708 */     // MIs[1] Operand 1
     /*  382708 */     // No operand predicates
     /*  382708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382717 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  382720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382740 */     GIR_RootConstrainSelectedInstOperands,
     /*  382741 */     // GIR_Coverage, 24577,
     /*  382741 */     GIR_EraseRootFromParent_Done,
     /*  382742 */   // Label 6858: @382742
     /*  382742 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(382828), // Rule ID 24580 //
     /*  382747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382794 */     // MIs[1] Operand 1
     /*  382794 */     // No operand predicates
     /*  382794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382826 */     GIR_RootConstrainSelectedInstOperands,
     /*  382827 */     // GIR_Coverage, 24580,
     /*  382827 */     GIR_EraseRootFromParent_Done,
     /*  382828 */   // Label 6859: @382828
     /*  382828 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(382914), // Rule ID 24581 //
     /*  382833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  382836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  382856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382880 */     // MIs[1] Operand 1
     /*  382880 */     // No operand predicates
     /*  382880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  382892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382912 */     GIR_RootConstrainSelectedInstOperands,
     /*  382913 */     // GIR_Coverage, 24581,
     /*  382913 */     GIR_EraseRootFromParent_Done,
     /*  382914 */   // Label 6860: @382914
     /*  382914 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(383000), // Rule ID 24584 //
     /*  382919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  382922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  382927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  382942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  382958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  382962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  382966 */     // MIs[1] Operand 1
     /*  382966 */     // No operand predicates
     /*  382966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  382968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  382978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  382984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  382987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382998 */     GIR_RootConstrainSelectedInstOperands,
     /*  382999 */     // GIR_Coverage, 24584,
     /*  382999 */     GIR_EraseRootFromParent_Done,
     /*  383000 */   // Label 6861: @383000
     /*  383000 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(383086), // Rule ID 24585 //
     /*  383005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  383008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  383016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  383019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  383022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383052 */     // MIs[1] Operand 1
     /*  383052 */     // No operand predicates
     /*  383052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  383061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  383064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383070 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383084 */     GIR_RootConstrainSelectedInstOperands,
     /*  383085 */     // GIR_Coverage, 24585,
     /*  383085 */     GIR_EraseRootFromParent_Done,
     /*  383086 */   // Label 6862: @383086
     /*  383086 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(383172), // Rule ID 24588 //
     /*  383091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  383094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383138 */     // MIs[1] Operand 1
     /*  383138 */     // No operand predicates
     /*  383138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383170 */     GIR_RootConstrainSelectedInstOperands,
     /*  383171 */     // GIR_Coverage, 24588,
     /*  383171 */     GIR_EraseRootFromParent_Done,
     /*  383172 */   // Label 6863: @383172
     /*  383172 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(383258), // Rule ID 24589 //
     /*  383177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  383180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  383188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  383191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  383194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383224 */     // MIs[1] Operand 1
     /*  383224 */     // No operand predicates
     /*  383224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383256 */     GIR_RootConstrainSelectedInstOperands,
     /*  383257 */     // GIR_Coverage, 24589,
     /*  383257 */     GIR_EraseRootFromParent_Done,
     /*  383258 */   // Label 6864: @383258
     /*  383258 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(383344), // Rule ID 24592 //
     /*  383263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  383266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383310 */     // MIs[1] Operand 1
     /*  383310 */     // No operand predicates
     /*  383310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383342 */     GIR_RootConstrainSelectedInstOperands,
     /*  383343 */     // GIR_Coverage, 24592,
     /*  383343 */     GIR_EraseRootFromParent_Done,
     /*  383344 */   // Label 6865: @383344
     /*  383344 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(383430), // Rule ID 24593 //
     /*  383349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  383352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  383360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  383363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  383366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383396 */     // MIs[1] Operand 1
     /*  383396 */     // No operand predicates
     /*  383396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383414 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383428 */     GIR_RootConstrainSelectedInstOperands,
     /*  383429 */     // GIR_Coverage, 24593,
     /*  383429 */     GIR_EraseRootFromParent_Done,
     /*  383430 */   // Label 6866: @383430
     /*  383430 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(383516), // Rule ID 24596 //
     /*  383435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  383438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383482 */     // MIs[1] Operand 1
     /*  383482 */     // No operand predicates
     /*  383482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  383494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383514 */     GIR_RootConstrainSelectedInstOperands,
     /*  383515 */     // GIR_Coverage, 24596,
     /*  383515 */     GIR_EraseRootFromParent_Done,
     /*  383516 */   // Label 6867: @383516
     /*  383516 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(383602), // Rule ID 24597 //
     /*  383521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  383524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383568 */     // MIs[1] Operand 1
     /*  383568 */     // No operand predicates
     /*  383568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383577 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  383580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383600 */     GIR_RootConstrainSelectedInstOperands,
     /*  383601 */     // GIR_Coverage, 24597,
     /*  383601 */     GIR_EraseRootFromParent_Done,
     /*  383602 */   // Label 6868: @383602
     /*  383602 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(383688), // Rule ID 24600 //
     /*  383607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  383610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383654 */     // MIs[1] Operand 1
     /*  383654 */     // No operand predicates
     /*  383654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383663 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383686 */     GIR_RootConstrainSelectedInstOperands,
     /*  383687 */     // GIR_Coverage, 24600,
     /*  383687 */     GIR_EraseRootFromParent_Done,
     /*  383688 */   // Label 6869: @383688
     /*  383688 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(383774), // Rule ID 24601 //
     /*  383693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  383696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383740 */     // MIs[1] Operand 1
     /*  383740 */     // No operand predicates
     /*  383740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  383752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383772 */     GIR_RootConstrainSelectedInstOperands,
     /*  383773 */     // GIR_Coverage, 24601,
     /*  383773 */     GIR_EraseRootFromParent_Done,
     /*  383774 */   // Label 6870: @383774
     /*  383774 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(383860), // Rule ID 24604 //
     /*  383779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  383782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383826 */     // MIs[1] Operand 1
     /*  383826 */     // No operand predicates
     /*  383826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383858 */     GIR_RootConstrainSelectedInstOperands,
     /*  383859 */     // GIR_Coverage, 24604,
     /*  383859 */     GIR_EraseRootFromParent_Done,
     /*  383860 */   // Label 6871: @383860
     /*  383860 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(383946), // Rule ID 24605 //
     /*  383865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  383868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  383888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383912 */     // MIs[1] Operand 1
     /*  383912 */     // No operand predicates
     /*  383912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  383914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383921 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  383924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  383930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  383933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383944 */     GIR_RootConstrainSelectedInstOperands,
     /*  383945 */     // GIR_Coverage, 24605,
     /*  383945 */     GIR_EraseRootFromParent_Done,
     /*  383946 */   // Label 6872: @383946
     /*  383946 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(384032), // Rule ID 24608 //
     /*  383951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  383954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  383959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  383965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  383974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  383990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  383994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  383998 */     // MIs[1] Operand 1
     /*  383998 */     // No operand predicates
     /*  383998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384007 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  384010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384030 */     GIR_RootConstrainSelectedInstOperands,
     /*  384031 */     // GIR_Coverage, 24608,
     /*  384031 */     GIR_EraseRootFromParent_Done,
     /*  384032 */   // Label 6873: @384032
     /*  384032 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(384118), // Rule ID 24609 //
     /*  384037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  384040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  384048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  384051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  384054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  384072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384084 */     // MIs[1] Operand 1
     /*  384084 */     // No operand predicates
     /*  384084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  384096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384116 */     GIR_RootConstrainSelectedInstOperands,
     /*  384117 */     // GIR_Coverage, 24609,
     /*  384117 */     GIR_EraseRootFromParent_Done,
     /*  384118 */   // Label 6874: @384118
     /*  384118 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(384204), // Rule ID 24768 //
     /*  384123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  384126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  384137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  384140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384170 */     // MIs[1] Operand 1
     /*  384170 */     // No operand predicates
     /*  384170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384179 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  384182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384202 */     GIR_RootConstrainSelectedInstOperands,
     /*  384203 */     // GIR_Coverage, 24768,
     /*  384203 */     GIR_EraseRootFromParent_Done,
     /*  384204 */   // Label 6875: @384204
     /*  384204 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(384290), // Rule ID 24769 //
     /*  384209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  384212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  384223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  384226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384256 */     // MIs[1] Operand 1
     /*  384256 */     // No operand predicates
     /*  384256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384265 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  384268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384288 */     GIR_RootConstrainSelectedInstOperands,
     /*  384289 */     // GIR_Coverage, 24769,
     /*  384289 */     GIR_EraseRootFromParent_Done,
     /*  384290 */   // Label 6876: @384290
     /*  384290 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(384376), // Rule ID 24772 //
     /*  384295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  384298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384342 */     // MIs[1] Operand 1
     /*  384342 */     // No operand predicates
     /*  384342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384351 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384374 */     GIR_RootConstrainSelectedInstOperands,
     /*  384375 */     // GIR_Coverage, 24772,
     /*  384375 */     GIR_EraseRootFromParent_Done,
     /*  384376 */   // Label 6877: @384376
     /*  384376 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(384462), // Rule ID 24773 //
     /*  384381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  384384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384428 */     // MIs[1] Operand 1
     /*  384428 */     // No operand predicates
     /*  384428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384437 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384460 */     GIR_RootConstrainSelectedInstOperands,
     /*  384461 */     // GIR_Coverage, 24773,
     /*  384461 */     GIR_EraseRootFromParent_Done,
     /*  384462 */   // Label 6878: @384462
     /*  384462 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(384548), // Rule ID 24776 //
     /*  384467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  384470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384510 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384514 */     // MIs[1] Operand 1
     /*  384514 */     // No operand predicates
     /*  384514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384546 */     GIR_RootConstrainSelectedInstOperands,
     /*  384547 */     // GIR_Coverage, 24776,
     /*  384547 */     GIR_EraseRootFromParent_Done,
     /*  384548 */   // Label 6879: @384548
     /*  384548 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(384634), // Rule ID 24777 //
     /*  384553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  384556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384600 */     // MIs[1] Operand 1
     /*  384600 */     // No operand predicates
     /*  384600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  384612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384632 */     GIR_RootConstrainSelectedInstOperands,
     /*  384633 */     // GIR_Coverage, 24777,
     /*  384633 */     GIR_EraseRootFromParent_Done,
     /*  384634 */   // Label 6880: @384634
     /*  384634 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(384720), // Rule ID 24780 //
     /*  384639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  384642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  384650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  384653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  384656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384686 */     // MIs[1] Operand 1
     /*  384686 */     // No operand predicates
     /*  384686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384695 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  384698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384718 */     GIR_RootConstrainSelectedInstOperands,
     /*  384719 */     // GIR_Coverage, 24780,
     /*  384719 */     GIR_EraseRootFromParent_Done,
     /*  384720 */   // Label 6881: @384720
     /*  384720 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(384806), // Rule ID 24781 //
     /*  384725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  384728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  384736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  384739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  384742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384772 */     // MIs[1] Operand 1
     /*  384772 */     // No operand predicates
     /*  384772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384781 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  384784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384804 */     GIR_RootConstrainSelectedInstOperands,
     /*  384805 */     // GIR_Coverage, 24781,
     /*  384805 */     GIR_EraseRootFromParent_Done,
     /*  384806 */   // Label 6882: @384806
     /*  384806 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(384892), // Rule ID 24784 //
     /*  384811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  384814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  384822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  384825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  384828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  384834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384858 */     // MIs[1] Operand 1
     /*  384858 */     // No operand predicates
     /*  384858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384867 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  384870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384890 */     GIR_RootConstrainSelectedInstOperands,
     /*  384891 */     // GIR_Coverage, 24784,
     /*  384891 */     GIR_EraseRootFromParent_Done,
     /*  384892 */   // Label 6883: @384892
     /*  384892 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(384978), // Rule ID 24785 //
     /*  384897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  384900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  384908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  384911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  384914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  384920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  384932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  384936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  384940 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  384944 */     // MIs[1] Operand 1
     /*  384944 */     // No operand predicates
     /*  384944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  384946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  384956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  384962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  384965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384976 */     GIR_RootConstrainSelectedInstOperands,
     /*  384977 */     // GIR_Coverage, 24785,
     /*  384977 */     GIR_EraseRootFromParent_Done,
     /*  384978 */   // Label 6884: @384978
     /*  384978 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(385064), // Rule ID 24788 //
     /*  384983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  384986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  384991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  384994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  384997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385030 */     // MIs[1] Operand 1
     /*  385030 */     // No operand predicates
     /*  385030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385039 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385062 */     GIR_RootConstrainSelectedInstOperands,
     /*  385063 */     // GIR_Coverage, 24788,
     /*  385063 */     GIR_EraseRootFromParent_Done,
     /*  385064 */   // Label 6885: @385064
     /*  385064 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(385150), // Rule ID 24789 //
     /*  385069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  385072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385116 */     // MIs[1] Operand 1
     /*  385116 */     // No operand predicates
     /*  385116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385148 */     GIR_RootConstrainSelectedInstOperands,
     /*  385149 */     // GIR_Coverage, 24789,
     /*  385149 */     GIR_EraseRootFromParent_Done,
     /*  385150 */   // Label 6886: @385150
     /*  385150 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(385236), // Rule ID 24792 //
     /*  385155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  385158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385202 */     // MIs[1] Operand 1
     /*  385202 */     // No operand predicates
     /*  385202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385211 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  385214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385234 */     GIR_RootConstrainSelectedInstOperands,
     /*  385235 */     // GIR_Coverage, 24792,
     /*  385235 */     GIR_EraseRootFromParent_Done,
     /*  385236 */   // Label 6887: @385236
     /*  385236 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(385322), // Rule ID 24793 //
     /*  385241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  385244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  385252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  385255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  385258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385288 */     // MIs[1] Operand 1
     /*  385288 */     // No operand predicates
     /*  385288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385297 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  385300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385320 */     GIR_RootConstrainSelectedInstOperands,
     /*  385321 */     // GIR_Coverage, 24793,
     /*  385321 */     GIR_EraseRootFromParent_Done,
     /*  385322 */   // Label 6888: @385322
     /*  385322 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(385408), // Rule ID 24796 //
     /*  385327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  385330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385374 */     // MIs[1] Operand 1
     /*  385374 */     // No operand predicates
     /*  385374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385383 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  385386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385406 */     GIR_RootConstrainSelectedInstOperands,
     /*  385407 */     // GIR_Coverage, 24796,
     /*  385407 */     GIR_EraseRootFromParent_Done,
     /*  385408 */   // Label 6889: @385408
     /*  385408 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(385494), // Rule ID 24797 //
     /*  385413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  385416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  385424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  385427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  385430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385460 */     // MIs[1] Operand 1
     /*  385460 */     // No operand predicates
     /*  385460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385469 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  385472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385492 */     GIR_RootConstrainSelectedInstOperands,
     /*  385493 */     // GIR_Coverage, 24797,
     /*  385493 */     GIR_EraseRootFromParent_Done,
     /*  385494 */   // Label 6890: @385494
     /*  385494 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(385580), // Rule ID 24800 //
     /*  385499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  385502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385546 */     // MIs[1] Operand 1
     /*  385546 */     // No operand predicates
     /*  385546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385555 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  385555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385578 */     GIR_RootConstrainSelectedInstOperands,
     /*  385579 */     // GIR_Coverage, 24800,
     /*  385579 */     GIR_EraseRootFromParent_Done,
     /*  385580 */   // Label 6891: @385580
     /*  385580 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(385666), // Rule ID 24801 //
     /*  385585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  385588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  385596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  385599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  385602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385632 */     // MIs[1] Operand 1
     /*  385632 */     // No operand predicates
     /*  385632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385641 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  385641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  385644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  385661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385664 */     GIR_RootConstrainSelectedInstOperands,
     /*  385665 */     // GIR_Coverage, 24801,
     /*  385665 */     GIR_EraseRootFromParent_Done,
     /*  385666 */   // Label 6892: @385666
     /*  385666 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(385752), // Rule ID 24852 //
     /*  385671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  385674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  385685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  385688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385718 */     // MIs[1] Operand 1
     /*  385718 */     // No operand predicates
     /*  385718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385727 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  385730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385750 */     GIR_RootConstrainSelectedInstOperands,
     /*  385751 */     // GIR_Coverage, 24852,
     /*  385751 */     GIR_EraseRootFromParent_Done,
     /*  385752 */   // Label 6893: @385752
     /*  385752 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(385838), // Rule ID 24853 //
     /*  385757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  385760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  385768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  385771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  385774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385804 */     // MIs[1] Operand 1
     /*  385804 */     // No operand predicates
     /*  385804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385813 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  385816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385836 */     GIR_RootConstrainSelectedInstOperands,
     /*  385837 */     // GIR_Coverage, 24853,
     /*  385837 */     GIR_EraseRootFromParent_Done,
     /*  385838 */   // Label 6894: @385838
     /*  385838 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(385924), // Rule ID 24856 //
     /*  385843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  385846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  385857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  385860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  385866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385890 */     // MIs[1] Operand 1
     /*  385890 */     // No operand predicates
     /*  385890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385899 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  385902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385922 */     GIR_RootConstrainSelectedInstOperands,
     /*  385923 */     // GIR_Coverage, 24856,
     /*  385923 */     GIR_EraseRootFromParent_Done,
     /*  385924 */   // Label 6895: @385924
     /*  385924 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(386010), // Rule ID 24857 //
     /*  385929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  385932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  385937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  385940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  385943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  385946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  385952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  385964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  385968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  385972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  385976 */     // MIs[1] Operand 1
     /*  385976 */     // No operand predicates
     /*  385976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  385978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385985 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  385988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  385994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  385997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386008 */     GIR_RootConstrainSelectedInstOperands,
     /*  386009 */     // GIR_Coverage, 24857,
     /*  386009 */     GIR_EraseRootFromParent_Done,
     /*  386010 */   // Label 6896: @386010
     /*  386010 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(386096), // Rule ID 24860 //
     /*  386015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  386018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386062 */     // MIs[1] Operand 1
     /*  386062 */     // No operand predicates
     /*  386062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386071 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  386074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386094 */     GIR_RootConstrainSelectedInstOperands,
     /*  386095 */     // GIR_Coverage, 24860,
     /*  386095 */     GIR_EraseRootFromParent_Done,
     /*  386096 */   // Label 6897: @386096
     /*  386096 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(386182), // Rule ID 24861 //
     /*  386101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  386104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  386112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  386115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  386118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386148 */     // MIs[1] Operand 1
     /*  386148 */     // No operand predicates
     /*  386148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  386160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386180 */     GIR_RootConstrainSelectedInstOperands,
     /*  386181 */     // GIR_Coverage, 24861,
     /*  386181 */     GIR_EraseRootFromParent_Done,
     /*  386182 */   // Label 6898: @386182
     /*  386182 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(386268), // Rule ID 24864 //
     /*  386187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  386190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  386198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  386201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  386204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386234 */     // MIs[1] Operand 1
     /*  386234 */     // No operand predicates
     /*  386234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  386246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386266 */     GIR_RootConstrainSelectedInstOperands,
     /*  386267 */     // GIR_Coverage, 24864,
     /*  386267 */     GIR_EraseRootFromParent_Done,
     /*  386268 */   // Label 6899: @386268
     /*  386268 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(386354), // Rule ID 24865 //
     /*  386273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  386276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  386284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  386287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  386290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386320 */     // MIs[1] Operand 1
     /*  386320 */     // No operand predicates
     /*  386320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386329 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  386332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386338 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386352 */     GIR_RootConstrainSelectedInstOperands,
     /*  386353 */     // GIR_Coverage, 24865,
     /*  386353 */     GIR_EraseRootFromParent_Done,
     /*  386354 */   // Label 6900: @386354
     /*  386354 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(386440), // Rule ID 24868 //
     /*  386359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  386362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  386370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  386373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  386376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386406 */     // MIs[1] Operand 1
     /*  386406 */     // No operand predicates
     /*  386406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386415 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  386418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386438 */     GIR_RootConstrainSelectedInstOperands,
     /*  386439 */     // GIR_Coverage, 24868,
     /*  386439 */     GIR_EraseRootFromParent_Done,
     /*  386440 */   // Label 6901: @386440
     /*  386440 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(386526), // Rule ID 24869 //
     /*  386445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  386448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  386456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  386459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  386462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386492 */     // MIs[1] Operand 1
     /*  386492 */     // No operand predicates
     /*  386492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386501 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  386504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386524 */     GIR_RootConstrainSelectedInstOperands,
     /*  386525 */     // GIR_Coverage, 24869,
     /*  386525 */     GIR_EraseRootFromParent_Done,
     /*  386526 */   // Label 6902: @386526
     /*  386526 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(386612), // Rule ID 24872 //
     /*  386531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  386534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  386545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  386548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386578 */     // MIs[1] Operand 1
     /*  386578 */     // No operand predicates
     /*  386578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386587 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  386590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386610 */     GIR_RootConstrainSelectedInstOperands,
     /*  386611 */     // GIR_Coverage, 24872,
     /*  386611 */     GIR_EraseRootFromParent_Done,
     /*  386612 */   // Label 6903: @386612
     /*  386612 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(386698), // Rule ID 24873 //
     /*  386617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  386620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  386625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  386628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  386631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  386634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386660 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386664 */     // MIs[1] Operand 1
     /*  386664 */     // No operand predicates
     /*  386664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386673 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  386676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386696 */     GIR_RootConstrainSelectedInstOperands,
     /*  386697 */     // GIR_Coverage, 24873,
     /*  386697 */     GIR_EraseRootFromParent_Done,
     /*  386698 */   // Label 6904: @386698
     /*  386698 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(386784), // Rule ID 60336 //
     /*  386703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  386720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386750 */     // MIs[1] Operand 1
     /*  386750 */     // No operand predicates
     /*  386750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386759 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  386762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386782 */     GIR_RootConstrainSelectedInstOperands,
     /*  386783 */     // GIR_Coverage, 60336,
     /*  386783 */     GIR_EraseRootFromParent_Done,
     /*  386784 */   // Label 6905: @386784
     /*  386784 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(386870), // Rule ID 60337 //
     /*  386789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  386806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386836 */     // MIs[1] Operand 1
     /*  386836 */     // No operand predicates
     /*  386836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386845 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  386848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386868 */     GIR_RootConstrainSelectedInstOperands,
     /*  386869 */     // GIR_Coverage, 60337,
     /*  386869 */     GIR_EraseRootFromParent_Done,
     /*  386870 */   // Label 6906: @386870
     /*  386870 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(386956), // Rule ID 60344 //
     /*  386875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  386878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  386898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  386914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  386918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  386922 */     // MIs[1] Operand 1
     /*  386922 */     // No operand predicates
     /*  386922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  386924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  386934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  386940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  386943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386954 */     GIR_RootConstrainSelectedInstOperands,
     /*  386955 */     // GIR_Coverage, 60344,
     /*  386955 */     GIR_EraseRootFromParent_Done,
     /*  386956 */   // Label 6907: @386956
     /*  386956 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(387042), // Rule ID 60345 //
     /*  386961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  386964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  386969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  386984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387008 */     // MIs[1] Operand 1
     /*  387008 */     // No operand predicates
     /*  387008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  387020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387040 */     GIR_RootConstrainSelectedInstOperands,
     /*  387041 */     // GIR_Coverage, 60345,
     /*  387041 */     GIR_EraseRootFromParent_Done,
     /*  387042 */   // Label 6908: @387042
     /*  387042 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(387128), // Rule ID 60352 //
     /*  387047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  387061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  387064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387094 */     // MIs[1] Operand 1
     /*  387094 */     // No operand predicates
     /*  387094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  387106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387126 */     GIR_RootConstrainSelectedInstOperands,
     /*  387127 */     // GIR_Coverage, 60352,
     /*  387127 */     GIR_EraseRootFromParent_Done,
     /*  387128 */   // Label 6909: @387128
     /*  387128 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(387214), // Rule ID 60353 //
     /*  387133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  387147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  387150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387180 */     // MIs[1] Operand 1
     /*  387180 */     // No operand predicates
     /*  387180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  387192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387212 */     GIR_RootConstrainSelectedInstOperands,
     /*  387213 */     // GIR_Coverage, 60353,
     /*  387213 */     GIR_EraseRootFromParent_Done,
     /*  387214 */   // Label 6910: @387214
     /*  387214 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(387300), // Rule ID 60360 //
     /*  387219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  387236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387266 */     // MIs[1] Operand 1
     /*  387266 */     // No operand predicates
     /*  387266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387275 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  387278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387298 */     GIR_RootConstrainSelectedInstOperands,
     /*  387299 */     // GIR_Coverage, 60360,
     /*  387299 */     GIR_EraseRootFromParent_Done,
     /*  387300 */   // Label 6911: @387300
     /*  387300 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(387386), // Rule ID 60361 //
     /*  387305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  387316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  387319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  387322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387352 */     // MIs[1] Operand 1
     /*  387352 */     // No operand predicates
     /*  387352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  387364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387384 */     GIR_RootConstrainSelectedInstOperands,
     /*  387385 */     // GIR_Coverage, 60361,
     /*  387385 */     GIR_EraseRootFromParent_Done,
     /*  387386 */   // Label 6912: @387386
     /*  387386 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(387472), // Rule ID 60368 //
     /*  387391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387438 */     // MIs[1] Operand 1
     /*  387438 */     // No operand predicates
     /*  387438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387470 */     GIR_RootConstrainSelectedInstOperands,
     /*  387471 */     // GIR_Coverage, 60368,
     /*  387471 */     GIR_EraseRootFromParent_Done,
     /*  387472 */   // Label 6913: @387472
     /*  387472 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(387558), // Rule ID 60369 //
     /*  387477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  387488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  387491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387524 */     // MIs[1] Operand 1
     /*  387524 */     // No operand predicates
     /*  387524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387533 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  387536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387556 */     GIR_RootConstrainSelectedInstOperands,
     /*  387557 */     // GIR_Coverage, 60369,
     /*  387557 */     GIR_EraseRootFromParent_Done,
     /*  387558 */   // Label 6914: @387558
     /*  387558 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(387644), // Rule ID 60376 //
     /*  387563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  387577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387610 */     // MIs[1] Operand 1
     /*  387610 */     // No operand predicates
     /*  387610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387619 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387642 */     GIR_RootConstrainSelectedInstOperands,
     /*  387643 */     // GIR_Coverage, 60376,
     /*  387643 */     GIR_EraseRootFromParent_Done,
     /*  387644 */   // Label 6915: @387644
     /*  387644 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(387730), // Rule ID 60377 //
     /*  387649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  387660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  387663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  387680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387696 */     // MIs[1] Operand 1
     /*  387696 */     // No operand predicates
     /*  387696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  387708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387728 */     GIR_RootConstrainSelectedInstOperands,
     /*  387729 */     // GIR_Coverage, 60377,
     /*  387729 */     GIR_EraseRootFromParent_Done,
     /*  387730 */   // Label 6916: @387730
     /*  387730 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(387816), // Rule ID 60384 //
     /*  387735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  387749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  387752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387782 */     // MIs[1] Operand 1
     /*  387782 */     // No operand predicates
     /*  387782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  387794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387814 */     GIR_RootConstrainSelectedInstOperands,
     /*  387815 */     // GIR_Coverage, 60384,
     /*  387815 */     GIR_EraseRootFromParent_Done,
     /*  387816 */   // Label 6917: @387816
     /*  387816 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(387902), // Rule ID 60385 //
     /*  387821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  387835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  387838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  387844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387868 */     // MIs[1] Operand 1
     /*  387868 */     // No operand predicates
     /*  387868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387877 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  387880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387900 */     GIR_RootConstrainSelectedInstOperands,
     /*  387901 */     // GIR_Coverage, 60385,
     /*  387901 */     GIR_EraseRootFromParent_Done,
     /*  387902 */   // Label 6918: @387902
     /*  387902 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(387988), // Rule ID 60392 //
     /*  387907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  387910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  387915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  387921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  387924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  387930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  387946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  387950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  387954 */     // MIs[1] Operand 1
     /*  387954 */     // No operand predicates
     /*  387954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  387956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  387966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  387972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  387975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387986 */     GIR_RootConstrainSelectedInstOperands,
     /*  387987 */     // GIR_Coverage, 60392,
     /*  387987 */     GIR_EraseRootFromParent_Done,
     /*  387988 */   // Label 6919: @387988
     /*  387988 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(388074), // Rule ID 60393 //
     /*  387993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  387996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  388004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  388007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  388010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388040 */     // MIs[1] Operand 1
     /*  388040 */     // No operand predicates
     /*  388040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  388052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388072 */     GIR_RootConstrainSelectedInstOperands,
     /*  388073 */     // GIR_Coverage, 60393,
     /*  388073 */     GIR_EraseRootFromParent_Done,
     /*  388074 */   // Label 6920: @388074
     /*  388074 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(388160), // Rule ID 60400 //
     /*  388079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  388096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388126 */     // MIs[1] Operand 1
     /*  388126 */     // No operand predicates
     /*  388126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388135 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  388138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388144 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388158 */     GIR_RootConstrainSelectedInstOperands,
     /*  388159 */     // GIR_Coverage, 60400,
     /*  388159 */     GIR_EraseRootFromParent_Done,
     /*  388160 */   // Label 6921: @388160
     /*  388160 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(388246), // Rule ID 60401 //
     /*  388165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  388168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  388182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388212 */     // MIs[1] Operand 1
     /*  388212 */     // No operand predicates
     /*  388212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388221 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  388224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388244 */     GIR_RootConstrainSelectedInstOperands,
     /*  388245 */     // GIR_Coverage, 60401,
     /*  388245 */     GIR_EraseRootFromParent_Done,
     /*  388246 */   // Label 6922: @388246
     /*  388246 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(388332), // Rule ID 60408 //
     /*  388251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  388268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388298 */     // MIs[1] Operand 1
     /*  388298 */     // No operand predicates
     /*  388298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  388310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388330 */     GIR_RootConstrainSelectedInstOperands,
     /*  388331 */     // GIR_Coverage, 60408,
     /*  388331 */     GIR_EraseRootFromParent_Done,
     /*  388332 */   // Label 6923: @388332
     /*  388332 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(388418), // Rule ID 60409 //
     /*  388337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  388340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  388354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388384 */     // MIs[1] Operand 1
     /*  388384 */     // No operand predicates
     /*  388384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388393 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  388396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388416 */     GIR_RootConstrainSelectedInstOperands,
     /*  388417 */     // GIR_Coverage, 60409,
     /*  388417 */     GIR_EraseRootFromParent_Done,
     /*  388418 */   // Label 6924: @388418
     /*  388418 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(388504), // Rule ID 60416 //
     /*  388423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  388440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388470 */     // MIs[1] Operand 1
     /*  388470 */     // No operand predicates
     /*  388470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  388482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388502 */     GIR_RootConstrainSelectedInstOperands,
     /*  388503 */     // GIR_Coverage, 60416,
     /*  388503 */     GIR_EraseRootFromParent_Done,
     /*  388504 */   // Label 6925: @388504
     /*  388504 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(388590), // Rule ID 60417 //
     /*  388509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  388512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  388526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388556 */     // MIs[1] Operand 1
     /*  388556 */     // No operand predicates
     /*  388556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  388568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388588 */     GIR_RootConstrainSelectedInstOperands,
     /*  388589 */     // GIR_Coverage, 60417,
     /*  388589 */     GIR_EraseRootFromParent_Done,
     /*  388590 */   // Label 6926: @388590
     /*  388590 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(388676), // Rule ID 60424 //
     /*  388595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  388609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  388612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388642 */     // MIs[1] Operand 1
     /*  388642 */     // No operand predicates
     /*  388642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  388654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388674 */     GIR_RootConstrainSelectedInstOperands,
     /*  388675 */     // GIR_Coverage, 60424,
     /*  388675 */     GIR_EraseRootFromParent_Done,
     /*  388676 */   // Label 6927: @388676
     /*  388676 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(388762), // Rule ID 60425 //
     /*  388681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  388684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  388692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  388695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  388698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388728 */     // MIs[1] Operand 1
     /*  388728 */     // No operand predicates
     /*  388728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  388740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388760 */     GIR_RootConstrainSelectedInstOperands,
     /*  388761 */     // GIR_Coverage, 60425,
     /*  388761 */     GIR_EraseRootFromParent_Done,
     /*  388762 */   // Label 6928: @388762
     /*  388762 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(388848), // Rule ID 60432 //
     /*  388767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  388784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388814 */     // MIs[1] Operand 1
     /*  388814 */     // No operand predicates
     /*  388814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388823 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  388826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388846 */     GIR_RootConstrainSelectedInstOperands,
     /*  388847 */     // GIR_Coverage, 60432,
     /*  388847 */     GIR_EraseRootFromParent_Done,
     /*  388848 */   // Label 6929: @388848
     /*  388848 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(388934), // Rule ID 60433 //
     /*  388853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  388856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  388870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  388876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  388888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388900 */     // MIs[1] Operand 1
     /*  388900 */     // No operand predicates
     /*  388900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388909 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  388912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  388918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  388921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388932 */     GIR_RootConstrainSelectedInstOperands,
     /*  388933 */     // GIR_Coverage, 60433,
     /*  388933 */     GIR_EraseRootFromParent_Done,
     /*  388934 */   // Label 6930: @388934
     /*  388934 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(389020), // Rule ID 60440 //
     /*  388939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  388942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  388947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  388950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  388953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  388956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  388962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  388978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  388982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  388986 */     // MIs[1] Operand 1
     /*  388986 */     // No operand predicates
     /*  388986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  388988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388995 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  388998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389018 */     GIR_RootConstrainSelectedInstOperands,
     /*  389019 */     // GIR_Coverage, 60440,
     /*  389019 */     GIR_EraseRootFromParent_Done,
     /*  389020 */   // Label 6931: @389020
     /*  389020 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(389106), // Rule ID 60441 //
     /*  389025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  389028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  389033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  389039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  389042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389072 */     // MIs[1] Operand 1
     /*  389072 */     // No operand predicates
     /*  389072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389081 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  389081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  389084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389104 */     GIR_RootConstrainSelectedInstOperands,
     /*  389105 */     // GIR_Coverage, 60441,
     /*  389105 */     GIR_EraseRootFromParent_Done,
     /*  389106 */   // Label 6932: @389106
     /*  389106 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(389192), // Rule ID 60448 //
     /*  389111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  389114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  389119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  389125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  389128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389158 */     // MIs[1] Operand 1
     /*  389158 */     // No operand predicates
     /*  389158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389167 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  389167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  389170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389190 */     GIR_RootConstrainSelectedInstOperands,
     /*  389191 */     // GIR_Coverage, 60448,
     /*  389191 */     GIR_EraseRootFromParent_Done,
     /*  389192 */   // Label 6933: @389192
     /*  389192 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(389278), // Rule ID 60449 //
     /*  389197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  389200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  389205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  389211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  389214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389244 */     // MIs[1] Operand 1
     /*  389244 */     // No operand predicates
     /*  389244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  389253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  389256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  389273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389276 */     GIR_RootConstrainSelectedInstOperands,
     /*  389277 */     // GIR_Coverage, 60449,
     /*  389277 */     GIR_EraseRootFromParent_Done,
     /*  389278 */   // Label 6934: @389278
     /*  389278 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(389364), // Rule ID 61304 //
     /*  389283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  389297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  389300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389330 */     // MIs[1] Operand 1
     /*  389330 */     // No operand predicates
     /*  389330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389339 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  389342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389362 */     GIR_RootConstrainSelectedInstOperands,
     /*  389363 */     // GIR_Coverage, 61304,
     /*  389363 */     GIR_EraseRootFromParent_Done,
     /*  389364 */   // Label 6935: @389364
     /*  389364 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(389450), // Rule ID 61305 //
     /*  389369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  389380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  389383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  389386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389416 */     // MIs[1] Operand 1
     /*  389416 */     // No operand predicates
     /*  389416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389425 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  389425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  389428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389448 */     GIR_RootConstrainSelectedInstOperands,
     /*  389449 */     // GIR_Coverage, 61305,
     /*  389449 */     GIR_EraseRootFromParent_Done,
     /*  389450 */   // Label 6936: @389450
     /*  389450 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(389536), // Rule ID 61308 //
     /*  389455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  389466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  389469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  389472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389502 */     // MIs[1] Operand 1
     /*  389502 */     // No operand predicates
     /*  389502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389511 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  389514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389534 */     GIR_RootConstrainSelectedInstOperands,
     /*  389535 */     // GIR_Coverage, 61308,
     /*  389535 */     GIR_EraseRootFromParent_Done,
     /*  389536 */   // Label 6937: @389536
     /*  389536 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(389622), // Rule ID 61309 //
     /*  389541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  389552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  389555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  389558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389588 */     // MIs[1] Operand 1
     /*  389588 */     // No operand predicates
     /*  389588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  389597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  389600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389620 */     GIR_RootConstrainSelectedInstOperands,
     /*  389621 */     // GIR_Coverage, 61309,
     /*  389621 */     GIR_EraseRootFromParent_Done,
     /*  389622 */   // Label 6938: @389622
     /*  389622 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(389708), // Rule ID 61312 //
     /*  389627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  389638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  389641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  389644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389674 */     // MIs[1] Operand 1
     /*  389674 */     // No operand predicates
     /*  389674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  389683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  389686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389706 */     GIR_RootConstrainSelectedInstOperands,
     /*  389707 */     // GIR_Coverage, 61312,
     /*  389707 */     GIR_EraseRootFromParent_Done,
     /*  389708 */   // Label 6939: @389708
     /*  389708 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(389794), // Rule ID 61313 //
     /*  389713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  389724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  389727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  389730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389760 */     // MIs[1] Operand 1
     /*  389760 */     // No operand predicates
     /*  389760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389769 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  389769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  389772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  389789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389792 */     GIR_RootConstrainSelectedInstOperands,
     /*  389793 */     // GIR_Coverage, 61313,
     /*  389793 */     GIR_EraseRootFromParent_Done,
     /*  389794 */   // Label 6940: @389794
     /*  389794 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(389880), // Rule ID 61316 //
     /*  389799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  389810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  389813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  389816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389846 */     // MIs[1] Operand 1
     /*  389846 */     // No operand predicates
     /*  389846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389855 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  389855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  389858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389878 */     GIR_RootConstrainSelectedInstOperands,
     /*  389879 */     // GIR_Coverage, 61316,
     /*  389879 */     GIR_EraseRootFromParent_Done,
     /*  389880 */   // Label 6941: @389880
     /*  389880 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(389966), // Rule ID 61317 //
     /*  389885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  389896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  389899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  389902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  389908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  389932 */     // MIs[1] Operand 1
     /*  389932 */     // No operand predicates
     /*  389932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  389941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  389944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  389950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  389953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  389961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389964 */     GIR_RootConstrainSelectedInstOperands,
     /*  389965 */     // GIR_Coverage, 61317,
     /*  389965 */     GIR_EraseRootFromParent_Done,
     /*  389966 */   // Label 6942: @389966
     /*  389966 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(390052), // Rule ID 61320 //
     /*  389971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  389979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  389982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  389985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  389988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  389994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  389998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390018 */     // MIs[1] Operand 1
     /*  390018 */     // No operand predicates
     /*  390018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390027 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  390030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390050 */     GIR_RootConstrainSelectedInstOperands,
     /*  390051 */     // GIR_Coverage, 61320,
     /*  390051 */     GIR_EraseRootFromParent_Done,
     /*  390052 */   // Label 6943: @390052
     /*  390052 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(390138), // Rule ID 61321 //
     /*  390057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  390068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  390071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  390074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390104 */     // MIs[1] Operand 1
     /*  390104 */     // No operand predicates
     /*  390104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  390116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390136 */     GIR_RootConstrainSelectedInstOperands,
     /*  390137 */     // GIR_Coverage, 61321,
     /*  390137 */     GIR_EraseRootFromParent_Done,
     /*  390138 */   // Label 6944: @390138
     /*  390138 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(390224), // Rule ID 61324 //
     /*  390143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  390157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  390160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390190 */     // MIs[1] Operand 1
     /*  390190 */     // No operand predicates
     /*  390190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390199 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  390199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  390202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390222 */     GIR_RootConstrainSelectedInstOperands,
     /*  390223 */     // GIR_Coverage, 61324,
     /*  390223 */     GIR_EraseRootFromParent_Done,
     /*  390224 */   // Label 6945: @390224
     /*  390224 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(390310), // Rule ID 61325 //
     /*  390229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  390240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  390243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  390246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390276 */     // MIs[1] Operand 1
     /*  390276 */     // No operand predicates
     /*  390276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  390285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  390288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390294 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390308 */     GIR_RootConstrainSelectedInstOperands,
     /*  390309 */     // GIR_Coverage, 61325,
     /*  390309 */     GIR_EraseRootFromParent_Done,
     /*  390310 */   // Label 6946: @390310
     /*  390310 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(390396), // Rule ID 61328 //
     /*  390315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  390329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  390332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390362 */     // MIs[1] Operand 1
     /*  390362 */     // No operand predicates
     /*  390362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390371 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  390371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390394 */     GIR_RootConstrainSelectedInstOperands,
     /*  390395 */     // GIR_Coverage, 61328,
     /*  390395 */     GIR_EraseRootFromParent_Done,
     /*  390396 */   // Label 6947: @390396
     /*  390396 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(390482), // Rule ID 61329 //
     /*  390401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  390412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  390415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  390418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390448 */     // MIs[1] Operand 1
     /*  390448 */     // No operand predicates
     /*  390448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  390457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  390477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390480 */     GIR_RootConstrainSelectedInstOperands,
     /*  390481 */     // GIR_Coverage, 61329,
     /*  390481 */     GIR_EraseRootFromParent_Done,
     /*  390482 */   // Label 6948: @390482
     /*  390482 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(390568), // Rule ID 61332 //
     /*  390487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  390501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  390504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390534 */     // MIs[1] Operand 1
     /*  390534 */     // No operand predicates
     /*  390534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390543 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  390543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390566 */     GIR_RootConstrainSelectedInstOperands,
     /*  390567 */     // GIR_Coverage, 61332,
     /*  390567 */     GIR_EraseRootFromParent_Done,
     /*  390568 */   // Label 6949: @390568
     /*  390568 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(390654), // Rule ID 61333 //
     /*  390573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  390584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  390587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  390590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390620 */     // MIs[1] Operand 1
     /*  390620 */     // No operand predicates
     /*  390620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390629 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  390629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  390649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390652 */     GIR_RootConstrainSelectedInstOperands,
     /*  390653 */     // GIR_Coverage, 61333,
     /*  390653 */     GIR_EraseRootFromParent_Done,
     /*  390654 */   // Label 6950: @390654
     /*  390654 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(390740), // Rule ID 61336 //
     /*  390659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  390670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  390673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  390676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390706 */     // MIs[1] Operand 1
     /*  390706 */     // No operand predicates
     /*  390706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  390715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390738 */     GIR_RootConstrainSelectedInstOperands,
     /*  390739 */     // GIR_Coverage, 61336,
     /*  390739 */     GIR_EraseRootFromParent_Done,
     /*  390740 */   // Label 6951: @390740
     /*  390740 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(390826), // Rule ID 61337 //
     /*  390745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  390756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  390759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  390762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390792 */     // MIs[1] Operand 1
     /*  390792 */     // No operand predicates
     /*  390792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  390801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  390821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390824 */     GIR_RootConstrainSelectedInstOperands,
     /*  390825 */     // GIR_Coverage, 61337,
     /*  390825 */     GIR_EraseRootFromParent_Done,
     /*  390826 */   // Label 6952: @390826
     /*  390826 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(390912), // Rule ID 61340 //
     /*  390831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  390834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  390842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  390845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  390848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  390851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  390854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390878 */     // MIs[1] Operand 1
     /*  390878 */     // No operand predicates
     /*  390878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  390887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390910 */     GIR_RootConstrainSelectedInstOperands,
     /*  390911 */     // GIR_Coverage, 61340,
     /*  390911 */     GIR_EraseRootFromParent_Done,
     /*  390912 */   // Label 6953: @390912
     /*  390912 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(390998), // Rule ID 61341 //
     /*  390917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  390920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  390925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  390928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  390931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  390934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  390940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  390952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  390956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  390960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  390964 */     // MIs[1] Operand 1
     /*  390964 */     // No operand predicates
     /*  390964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  390966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  390973 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  390973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  390976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  390980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  390982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  390985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  390990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  390993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  390996 */     GIR_RootConstrainSelectedInstOperands,
     /*  390997 */     // GIR_Coverage, 61341,
     /*  390997 */     GIR_EraseRootFromParent_Done,
     /*  390998 */   // Label 6954: @390998
     /*  390998 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(391084), // Rule ID 61344 //
     /*  391003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  391017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  391020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391050 */     // MIs[1] Operand 1
     /*  391050 */     // No operand predicates
     /*  391050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  391059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391082 */     GIR_RootConstrainSelectedInstOperands,
     /*  391083 */     // GIR_Coverage, 61344,
     /*  391083 */     GIR_EraseRootFromParent_Done,
     /*  391084 */   // Label 6955: @391084
     /*  391084 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(391170), // Rule ID 61345 //
     /*  391089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  391100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  391103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  391106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391136 */     // MIs[1] Operand 1
     /*  391136 */     // No operand predicates
     /*  391136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391145 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  391145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391168 */     GIR_RootConstrainSelectedInstOperands,
     /*  391169 */     // GIR_Coverage, 61345,
     /*  391169 */     GIR_EraseRootFromParent_Done,
     /*  391170 */   // Label 6956: @391170
     /*  391170 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(391256), // Rule ID 61348 //
     /*  391175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  391189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  391192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391222 */     // MIs[1] Operand 1
     /*  391222 */     // No operand predicates
     /*  391222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391231 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  391231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391254 */     GIR_RootConstrainSelectedInstOperands,
     /*  391255 */     // GIR_Coverage, 61348,
     /*  391255 */     GIR_EraseRootFromParent_Done,
     /*  391256 */   // Label 6957: @391256
     /*  391256 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(391342), // Rule ID 61349 //
     /*  391261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  391272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  391275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  391278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391308 */     // MIs[1] Operand 1
     /*  391308 */     // No operand predicates
     /*  391308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391317 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  391317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391340 */     GIR_RootConstrainSelectedInstOperands,
     /*  391341 */     // GIR_Coverage, 61349,
     /*  391341 */     GIR_EraseRootFromParent_Done,
     /*  391342 */   // Label 6958: @391342
     /*  391342 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(391428), // Rule ID 61352 //
     /*  391347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  391361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  391364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391390 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391394 */     // MIs[1] Operand 1
     /*  391394 */     // No operand predicates
     /*  391394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391403 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  391403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391426 */     GIR_RootConstrainSelectedInstOperands,
     /*  391427 */     // GIR_Coverage, 61352,
     /*  391427 */     GIR_EraseRootFromParent_Done,
     /*  391428 */   // Label 6959: @391428
     /*  391428 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(391514), // Rule ID 61353 //
     /*  391433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  391444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  391447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  391450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391480 */     // MIs[1] Operand 1
     /*  391480 */     // No operand predicates
     /*  391480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391489 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  391489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391512 */     GIR_RootConstrainSelectedInstOperands,
     /*  391513 */     // GIR_Coverage, 61353,
     /*  391513 */     GIR_EraseRootFromParent_Done,
     /*  391514 */   // Label 6960: @391514
     /*  391514 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(391600), // Rule ID 61356 //
     /*  391519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  391533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  391536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391566 */     // MIs[1] Operand 1
     /*  391566 */     // No operand predicates
     /*  391566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  391575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391598 */     GIR_RootConstrainSelectedInstOperands,
     /*  391599 */     // GIR_Coverage, 61356,
     /*  391599 */     GIR_EraseRootFromParent_Done,
     /*  391600 */   // Label 6961: @391600
     /*  391600 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(391686), // Rule ID 61357 //
     /*  391605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  391616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  391619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  391622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  391640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391652 */     // MIs[1] Operand 1
     /*  391652 */     // No operand predicates
     /*  391652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  391661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  391664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391684 */     GIR_RootConstrainSelectedInstOperands,
     /*  391685 */     // GIR_Coverage, 61357,
     /*  391685 */     GIR_EraseRootFromParent_Done,
     /*  391686 */   // Label 6962: @391686
     /*  391686 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(391772), // Rule ID 61360 //
     /*  391691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  391705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  391708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391738 */     // MIs[1] Operand 1
     /*  391738 */     // No operand predicates
     /*  391738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  391747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391770 */     GIR_RootConstrainSelectedInstOperands,
     /*  391771 */     // GIR_Coverage, 61360,
     /*  391771 */     GIR_EraseRootFromParent_Done,
     /*  391772 */   // Label 6963: @391772
     /*  391772 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(391858), // Rule ID 61361 //
     /*  391777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  391788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  391791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  391794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  391812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391824 */     // MIs[1] Operand 1
     /*  391824 */     // No operand predicates
     /*  391824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  391833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  391836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391856 */     GIR_RootConstrainSelectedInstOperands,
     /*  391857 */     // GIR_Coverage, 61361,
     /*  391857 */     GIR_EraseRootFromParent_Done,
     /*  391858 */   // Label 6964: @391858
     /*  391858 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(391944), // Rule ID 61364 //
     /*  391863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  391866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  391874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  391877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  391880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  391883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391910 */     // MIs[1] Operand 1
     /*  391910 */     // No operand predicates
     /*  391910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391919 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  391919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  391922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  391926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  391928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  391931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  391939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  391942 */     GIR_RootConstrainSelectedInstOperands,
     /*  391943 */     // GIR_Coverage, 61364,
     /*  391943 */     GIR_EraseRootFromParent_Done,
     /*  391944 */   // Label 6965: @391944
     /*  391944 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(392030), // Rule ID 61365 //
     /*  391949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  391952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  391957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  391960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  391963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  391966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  391984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  391988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  391992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  391996 */     // MIs[1] Operand 1
     /*  391996 */     // No operand predicates
     /*  391996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  391998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392005 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  392005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  392008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392028 */     GIR_RootConstrainSelectedInstOperands,
     /*  392029 */     // GIR_Coverage, 61365,
     /*  392029 */     GIR_EraseRootFromParent_Done,
     /*  392030 */   // Label 6966: @392030
     /*  392030 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(392116), // Rule ID 61368 //
     /*  392035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  392049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  392052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392082 */     // MIs[1] Operand 1
     /*  392082 */     // No operand predicates
     /*  392082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  392091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  392094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392114 */     GIR_RootConstrainSelectedInstOperands,
     /*  392115 */     // GIR_Coverage, 61368,
     /*  392115 */     GIR_EraseRootFromParent_Done,
     /*  392116 */   // Label 6967: @392116
     /*  392116 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(392202), // Rule ID 61369 //
     /*  392121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  392132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  392135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  392138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392168 */     // MIs[1] Operand 1
     /*  392168 */     // No operand predicates
     /*  392168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392177 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  392177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  392180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392200 */     GIR_RootConstrainSelectedInstOperands,
     /*  392201 */     // GIR_Coverage, 61369,
     /*  392201 */     GIR_EraseRootFromParent_Done,
     /*  392202 */   // Label 6968: @392202
     /*  392202 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(392288), // Rule ID 61372 //
     /*  392207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  392221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  392224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392254 */     // MIs[1] Operand 1
     /*  392254 */     // No operand predicates
     /*  392254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392263 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  392263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  392266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392286 */     GIR_RootConstrainSelectedInstOperands,
     /*  392287 */     // GIR_Coverage, 61372,
     /*  392287 */     GIR_EraseRootFromParent_Done,
     /*  392288 */   // Label 6969: @392288
     /*  392288 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(392374), // Rule ID 61373 //
     /*  392293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  392304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  392307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  392310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392340 */     // MIs[1] Operand 1
     /*  392340 */     // No operand predicates
     /*  392340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  392349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  392352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392372 */     GIR_RootConstrainSelectedInstOperands,
     /*  392373 */     // GIR_Coverage, 61373,
     /*  392373 */     GIR_EraseRootFromParent_Done,
     /*  392374 */   // Label 6970: @392374
     /*  392374 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(392460), // Rule ID 61376 //
     /*  392379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  392393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  392396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392426 */     // MIs[1] Operand 1
     /*  392426 */     // No operand predicates
     /*  392426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  392435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  392438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392458 */     GIR_RootConstrainSelectedInstOperands,
     /*  392459 */     // GIR_Coverage, 61376,
     /*  392459 */     GIR_EraseRootFromParent_Done,
     /*  392460 */   // Label 6971: @392460
     /*  392460 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(392546), // Rule ID 61377 //
     /*  392465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  392476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  392479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  392482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392512 */     // MIs[1] Operand 1
     /*  392512 */     // No operand predicates
     /*  392512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392521 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  392521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  392524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392530 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392544 */     GIR_RootConstrainSelectedInstOperands,
     /*  392545 */     // GIR_Coverage, 61377,
     /*  392545 */     GIR_EraseRootFromParent_Done,
     /*  392546 */   // Label 6972: @392546
     /*  392546 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(392632), // Rule ID 61380 //
     /*  392551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  392565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  392568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392598 */     // MIs[1] Operand 1
     /*  392598 */     // No operand predicates
     /*  392598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392607 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  392607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  392610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392630 */     GIR_RootConstrainSelectedInstOperands,
     /*  392631 */     // GIR_Coverage, 61380,
     /*  392631 */     GIR_EraseRootFromParent_Done,
     /*  392632 */   // Label 6973: @392632
     /*  392632 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(392718), // Rule ID 61381 //
     /*  392637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  392648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  392651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  392654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  392672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392684 */     // MIs[1] Operand 1
     /*  392684 */     // No operand predicates
     /*  392684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  392693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  392696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392716 */     GIR_RootConstrainSelectedInstOperands,
     /*  392717 */     // GIR_Coverage, 61381,
     /*  392717 */     GIR_EraseRootFromParent_Done,
     /*  392718 */   // Label 6974: @392718
     /*  392718 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(392804), // Rule ID 61384 //
     /*  392723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  392737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  392740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392770 */     // MIs[1] Operand 1
     /*  392770 */     // No operand predicates
     /*  392770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  392779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  392782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392802 */     GIR_RootConstrainSelectedInstOperands,
     /*  392803 */     // GIR_Coverage, 61384,
     /*  392803 */     GIR_EraseRootFromParent_Done,
     /*  392804 */   // Label 6975: @392804
     /*  392804 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(392890), // Rule ID 61385 //
     /*  392809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  392820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  392823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  392826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  392829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  392844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392856 */     // MIs[1] Operand 1
     /*  392856 */     // No operand predicates
     /*  392856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392865 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  392865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  392868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392874 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392888 */     GIR_RootConstrainSelectedInstOperands,
     /*  392889 */     // GIR_Coverage, 61385,
     /*  392889 */     GIR_EraseRootFromParent_Done,
     /*  392890 */   // Label 6976: @392890
     /*  392890 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(392976), // Rule ID 61388 //
     /*  392895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  392898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  392909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  392912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  392915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  392930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  392934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  392938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  392942 */     // MIs[1] Operand 1
     /*  392942 */     // No operand predicates
     /*  392942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  392944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392951 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  392951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  392954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  392958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  392960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  392963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  392971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  392974 */     GIR_RootConstrainSelectedInstOperands,
     /*  392975 */     // GIR_Coverage, 61388,
     /*  392975 */     GIR_EraseRootFromParent_Done,
     /*  392976 */   // Label 6977: @392976
     /*  392976 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(393062), // Rule ID 61389 //
     /*  392981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  392984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  392989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  392992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  392995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  392998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  393001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  393020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  393024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  393028 */     // MIs[1] Operand 1
     /*  393028 */     // No operand predicates
     /*  393028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  393037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  393040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  393044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  393049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  393060 */     GIR_RootConstrainSelectedInstOperands,
     /*  393061 */     // GIR_Coverage, 61389,
     /*  393061 */     GIR_EraseRootFromParent_Done,
     /*  393062 */   // Label 6978: @393062
     /*  393062 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(393141), // Rule ID 2610 //
     /*  393067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  393081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  393087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  393122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393139 */     GIR_RootConstrainSelectedInstOperands,
     /*  393140 */     // GIR_Coverage, 2610,
     /*  393140 */     GIR_EraseRootFromParent_Done,
     /*  393141 */   // Label 6979: @393141
     /*  393141 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(393220), // Rule ID 2611 //
     /*  393146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  393157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  393160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  393163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  393166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393198 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  393201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393218 */     GIR_RootConstrainSelectedInstOperands,
     /*  393219 */     // GIR_Coverage, 2611,
     /*  393219 */     GIR_EraseRootFromParent_Done,
     /*  393220 */   // Label 6980: @393220
     /*  393220 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(393299), // Rule ID 3918 //
     /*  393225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  393239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  393245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  393280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393297 */     GIR_RootConstrainSelectedInstOperands,
     /*  393298 */     // GIR_Coverage, 3918,
     /*  393298 */     GIR_EraseRootFromParent_Done,
     /*  393299 */   // Label 6981: @393299
     /*  393299 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(393378), // Rule ID 3919 //
     /*  393304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  393315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  393318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  393321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  393324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  393359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393376 */     GIR_RootConstrainSelectedInstOperands,
     /*  393377 */     // GIR_Coverage, 3919,
     /*  393377 */     GIR_EraseRootFromParent_Done,
     /*  393378 */   // Label 6982: @393378
     /*  393378 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(393457), // Rule ID 3928 //
     /*  393383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  393394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  393397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  393400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  393403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  393438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393455 */     GIR_RootConstrainSelectedInstOperands,
     /*  393456 */     // GIR_Coverage, 3928,
     /*  393456 */     GIR_EraseRootFromParent_Done,
     /*  393457 */   // Label 6983: @393457
     /*  393457 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(393536), // Rule ID 3929 //
     /*  393462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  393473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  393476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  393479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  393482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  393517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393534 */     GIR_RootConstrainSelectedInstOperands,
     /*  393535 */     // GIR_Coverage, 3929,
     /*  393535 */     GIR_EraseRootFromParent_Done,
     /*  393536 */   // Label 6984: @393536
     /*  393536 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(393615), // Rule ID 3938 //
     /*  393541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  393555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  393558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  393561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393613 */     GIR_RootConstrainSelectedInstOperands,
     /*  393614 */     // GIR_Coverage, 3938,
     /*  393614 */     GIR_EraseRootFromParent_Done,
     /*  393615 */   // Label 6985: @393615
     /*  393615 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(393694), // Rule ID 3939 //
     /*  393620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  393634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  393637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  393640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393672 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  393675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393692 */     GIR_RootConstrainSelectedInstOperands,
     /*  393693 */     // GIR_Coverage, 3939,
     /*  393693 */     GIR_EraseRootFromParent_Done,
     /*  393694 */   // Label 6986: @393694
     /*  393694 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(393773), // Rule ID 3948 //
     /*  393699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  393713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  393716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  393719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393771 */     GIR_RootConstrainSelectedInstOperands,
     /*  393772 */     // GIR_Coverage, 3948,
     /*  393772 */     GIR_EraseRootFromParent_Done,
     /*  393773 */   // Label 6987: @393773
     /*  393773 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(393852), // Rule ID 3949 //
     /*  393778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  393792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  393795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  393798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  393833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393850 */     GIR_RootConstrainSelectedInstOperands,
     /*  393851 */     // GIR_Coverage, 3949,
     /*  393851 */     GIR_EraseRootFromParent_Done,
     /*  393852 */   // Label 6988: @393852
     /*  393852 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(393931), // Rule ID 3958 //
     /*  393857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  393860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  393871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  393874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  393877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393909 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  393909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  393912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  393929 */     GIR_RootConstrainSelectedInstOperands,
     /*  393930 */     // GIR_Coverage, 3958,
     /*  393930 */     GIR_EraseRootFromParent_Done,
     /*  393931 */   // Label 6989: @393931
     /*  393931 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(394010), // Rule ID 3959 //
     /*  393936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  393939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  393944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  393950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  393953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  393956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  393967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  393971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  393981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393988 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  393988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  393991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  393995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  393997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  394005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394008 */     GIR_RootConstrainSelectedInstOperands,
     /*  394009 */     // GIR_Coverage, 3959,
     /*  394009 */     GIR_EraseRootFromParent_Done,
     /*  394010 */   // Label 6990: @394010
     /*  394010 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(394089), // Rule ID 3968 //
     /*  394015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  394029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  394035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  394067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  394070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394087 */     GIR_RootConstrainSelectedInstOperands,
     /*  394088 */     // GIR_Coverage, 3968,
     /*  394088 */     GIR_EraseRootFromParent_Done,
     /*  394089 */   // Label 6991: @394089
     /*  394089 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(394168), // Rule ID 3969 //
     /*  394094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  394105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  394108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  394111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  394114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  394146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  394149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394166 */     GIR_RootConstrainSelectedInstOperands,
     /*  394167 */     // GIR_Coverage, 3969,
     /*  394167 */     GIR_EraseRootFromParent_Done,
     /*  394168 */   // Label 6992: @394168
     /*  394168 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(394247), // Rule ID 3978 //
     /*  394173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  394187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  394193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394216 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  394225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  394228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394245 */     GIR_RootConstrainSelectedInstOperands,
     /*  394246 */     // GIR_Coverage, 3978,
     /*  394246 */     GIR_EraseRootFromParent_Done,
     /*  394247 */   // Label 6993: @394247
     /*  394247 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(394326), // Rule ID 3979 //
     /*  394252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  394263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  394266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  394269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  394272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394304 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  394304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  394307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394324 */     GIR_RootConstrainSelectedInstOperands,
     /*  394325 */     // GIR_Coverage, 3979,
     /*  394325 */     GIR_EraseRootFromParent_Done,
     /*  394326 */   // Label 6994: @394326
     /*  394326 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(394405), // Rule ID 3988 //
     /*  394331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  394345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  394348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  394351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394383 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  394383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  394386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394403 */     GIR_RootConstrainSelectedInstOperands,
     /*  394404 */     // GIR_Coverage, 3988,
     /*  394404 */     GIR_EraseRootFromParent_Done,
     /*  394405 */   // Label 6995: @394405
     /*  394405 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(394484), // Rule ID 3989 //
     /*  394410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  394424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  394427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  394430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394462 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  394462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  394465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394482 */     GIR_RootConstrainSelectedInstOperands,
     /*  394483 */     // GIR_Coverage, 3989,
     /*  394483 */     GIR_EraseRootFromParent_Done,
     /*  394484 */   // Label 6996: @394484
     /*  394484 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(394563), // Rule ID 3998 //
     /*  394489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  394503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  394506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  394509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  394541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  394544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394561 */     GIR_RootConstrainSelectedInstOperands,
     /*  394562 */     // GIR_Coverage, 3998,
     /*  394562 */     GIR_EraseRootFromParent_Done,
     /*  394563 */   // Label 6997: @394563
     /*  394563 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(394642), // Rule ID 3999 //
     /*  394568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  394582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  394585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  394588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  394620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  394623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394640 */     GIR_RootConstrainSelectedInstOperands,
     /*  394641 */     // GIR_Coverage, 3999,
     /*  394641 */     GIR_EraseRootFromParent_Done,
     /*  394642 */   // Label 6998: @394642
     /*  394642 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(394721), // Rule ID 4008 //
     /*  394647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  394650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  394661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  394664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  394667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  394699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  394702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394719 */     GIR_RootConstrainSelectedInstOperands,
     /*  394720 */     // GIR_Coverage, 4008,
     /*  394720 */     GIR_EraseRootFromParent_Done,
     /*  394721 */   // Label 6999: @394721
     /*  394721 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(394800), // Rule ID 4009 //
     /*  394726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  394729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  394740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  394743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  394746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  394778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  394781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394798 */     GIR_RootConstrainSelectedInstOperands,
     /*  394799 */     // GIR_Coverage, 4009,
     /*  394799 */     GIR_EraseRootFromParent_Done,
     /*  394800 */   // Label 7000: @394800
     /*  394800 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(394879), // Rule ID 4018 //
     /*  394805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  394808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  394819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  394825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  394857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  394860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394877 */     GIR_RootConstrainSelectedInstOperands,
     /*  394878 */     // GIR_Coverage, 4018,
     /*  394878 */     GIR_EraseRootFromParent_Done,
     /*  394879 */   // Label 7001: @394879
     /*  394879 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(394958), // Rule ID 4019 //
     /*  394884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  394887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  394895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  394898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  394901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  394904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  394927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  394929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  394936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  394939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  394943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  394945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  394956 */     GIR_RootConstrainSelectedInstOperands,
     /*  394957 */     // GIR_Coverage, 4019,
     /*  394957 */     GIR_EraseRootFromParent_Done,
     /*  394958 */   // Label 7002: @394958
     /*  394958 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(395037), // Rule ID 4028 //
     /*  394963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  394966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  394971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  394977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  394980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  394983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  394994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  394998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  395015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  395018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395035 */     GIR_RootConstrainSelectedInstOperands,
     /*  395036 */     // GIR_Coverage, 4028,
     /*  395036 */     GIR_EraseRootFromParent_Done,
     /*  395037 */   // Label 7003: @395037
     /*  395037 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(395116), // Rule ID 4029 //
     /*  395042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  395045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  395050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  395053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  395056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  395059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  395062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  395094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  395097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395114 */     GIR_RootConstrainSelectedInstOperands,
     /*  395115 */     // GIR_Coverage, 4029,
     /*  395115 */     GIR_EraseRootFromParent_Done,
     /*  395116 */   // Label 7004: @395116
     /*  395116 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(395195), // Rule ID 4038 //
     /*  395121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  395124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  395129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  395132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  395135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  395138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  395141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395173 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  395173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  395176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395193 */     GIR_RootConstrainSelectedInstOperands,
     /*  395194 */     // GIR_Coverage, 4038,
     /*  395194 */     GIR_EraseRootFromParent_Done,
     /*  395195 */   // Label 7005: @395195
     /*  395195 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(395274), // Rule ID 4039 //
     /*  395200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  395203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  395208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  395211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  395214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  395217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  395220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  395252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  395255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395272 */     GIR_RootConstrainSelectedInstOperands,
     /*  395273 */     // GIR_Coverage, 4039,
     /*  395273 */     GIR_EraseRootFromParent_Done,
     /*  395274 */   // Label 7006: @395274
     /*  395274 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(395353), // Rule ID 4048 //
     /*  395279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  395282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  395287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  395290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  395293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  395296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  395299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  395331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  395334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395351 */     GIR_RootConstrainSelectedInstOperands,
     /*  395352 */     // GIR_Coverage, 4048,
     /*  395352 */     GIR_EraseRootFromParent_Done,
     /*  395353 */   // Label 7007: @395353
     /*  395353 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(395432), // Rule ID 4049 //
     /*  395358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  395361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  395366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  395369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  395372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  395375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  395378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  395397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  395401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  395410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  395413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395430 */     GIR_RootConstrainSelectedInstOperands,
     /*  395431 */     // GIR_Coverage, 4049,
     /*  395431 */     GIR_EraseRootFromParent_Done,
     /*  395432 */   // Label 7008: @395432
     /*  395432 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(395511), // Rule ID 4118 //
     /*  395437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  395451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  395454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  395457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395489 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  395489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  395492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395509 */     GIR_RootConstrainSelectedInstOperands,
     /*  395510 */     // GIR_Coverage, 4118,
     /*  395510 */     GIR_EraseRootFromParent_Done,
     /*  395511 */   // Label 7009: @395511
     /*  395511 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(395590), // Rule ID 4119 //
     /*  395516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  395530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  395533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  395536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395568 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  395568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  395571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395588 */     GIR_RootConstrainSelectedInstOperands,
     /*  395589 */     // GIR_Coverage, 4119,
     /*  395589 */     GIR_EraseRootFromParent_Done,
     /*  395590 */   // Label 7010: @395590
     /*  395590 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(395669), // Rule ID 4128 //
     /*  395595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  395609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  395612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  395615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  395647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  395650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395667 */     GIR_RootConstrainSelectedInstOperands,
     /*  395668 */     // GIR_Coverage, 4128,
     /*  395668 */     GIR_EraseRootFromParent_Done,
     /*  395669 */   // Label 7011: @395669
     /*  395669 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(395748), // Rule ID 4129 //
     /*  395674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  395688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  395691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  395694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  395726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  395729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395746 */     GIR_RootConstrainSelectedInstOperands,
     /*  395747 */     // GIR_Coverage, 4129,
     /*  395747 */     GIR_EraseRootFromParent_Done,
     /*  395748 */   // Label 7012: @395748
     /*  395748 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(395827), // Rule ID 4138 //
     /*  395753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  395767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  395770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  395773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395805 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  395805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  395808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395825 */     GIR_RootConstrainSelectedInstOperands,
     /*  395826 */     // GIR_Coverage, 4138,
     /*  395826 */     GIR_EraseRootFromParent_Done,
     /*  395827 */   // Label 7013: @395827
     /*  395827 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(395906), // Rule ID 4139 //
     /*  395832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  395843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  395846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  395849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  395852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  395884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  395887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395904 */     GIR_RootConstrainSelectedInstOperands,
     /*  395905 */     // GIR_Coverage, 4139,
     /*  395905 */     GIR_EraseRootFromParent_Done,
     /*  395906 */   // Label 7014: @395906
     /*  395906 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(395985), // Rule ID 4148 //
     /*  395911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  395914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  395922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  395925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  395928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  395931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  395942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  395946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  395950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  395956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395963 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  395963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  395966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  395970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  395972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  395983 */     GIR_RootConstrainSelectedInstOperands,
     /*  395984 */     // GIR_Coverage, 4148,
     /*  395984 */     GIR_EraseRootFromParent_Done,
     /*  395985 */   // Label 7015: @395985
     /*  395985 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(396064), // Rule ID 4149 //
     /*  395990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  395993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  395998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  396004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  396007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  396010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  396045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396062 */     GIR_RootConstrainSelectedInstOperands,
     /*  396063 */     // GIR_Coverage, 4149,
     /*  396063 */     GIR_EraseRootFromParent_Done,
     /*  396064 */   // Label 7016: @396064
     /*  396064 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(396143), // Rule ID 4158 //
     /*  396069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  396083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  396086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  396089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396121 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  396121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396141 */     GIR_RootConstrainSelectedInstOperands,
     /*  396142 */     // GIR_Coverage, 4158,
     /*  396142 */     GIR_EraseRootFromParent_Done,
     /*  396143 */   // Label 7017: @396143
     /*  396143 */   GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(396222), // Rule ID 4159 //
     /*  396148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  396159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  396162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  396165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  396168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396200 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396220 */     GIR_RootConstrainSelectedInstOperands,
     /*  396221 */     // GIR_Coverage, 4159,
     /*  396221 */     GIR_EraseRootFromParent_Done,
     /*  396222 */   // Label 7018: @396222
     /*  396222 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(396301), // Rule ID 4168 //
     /*  396227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  396241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  396244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  396247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  396279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  396282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396299 */     GIR_RootConstrainSelectedInstOperands,
     /*  396300 */     // GIR_Coverage, 4168,
     /*  396300 */     GIR_EraseRootFromParent_Done,
     /*  396301 */   // Label 7019: @396301
     /*  396301 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(396380), // Rule ID 4169 //
     /*  396306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  396317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  396320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  396323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  396326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  396358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  396361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396378 */     GIR_RootConstrainSelectedInstOperands,
     /*  396379 */     // GIR_Coverage, 4169,
     /*  396379 */     GIR_EraseRootFromParent_Done,
     /*  396380 */   // Label 7020: @396380
     /*  396380 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(396459), // Rule ID 4178 //
     /*  396385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  396396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  396399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  396402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  396405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  396437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  396440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396457 */     GIR_RootConstrainSelectedInstOperands,
     /*  396458 */     // GIR_Coverage, 4178,
     /*  396458 */     GIR_EraseRootFromParent_Done,
     /*  396459 */   // Label 7021: @396459
     /*  396459 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(396538), // Rule ID 4179 //
     /*  396464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  396475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  396478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  396481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  396484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  396516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  396519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396536 */     GIR_RootConstrainSelectedInstOperands,
     /*  396537 */     // GIR_Coverage, 4179,
     /*  396537 */     GIR_EraseRootFromParent_Done,
     /*  396538 */   // Label 7022: @396538
     /*  396538 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(396617), // Rule ID 4188 //
     /*  396543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  396563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  396595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  396598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396615 */     GIR_RootConstrainSelectedInstOperands,
     /*  396616 */     // GIR_Coverage, 4188,
     /*  396616 */     GIR_EraseRootFromParent_Done,
     /*  396617 */   // Label 7023: @396617
     /*  396617 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(396696), // Rule ID 4189 //
     /*  396622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  396636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  396639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  396642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  396674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  396677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396694 */     GIR_RootConstrainSelectedInstOperands,
     /*  396695 */     // GIR_Coverage, 4189,
     /*  396695 */     GIR_EraseRootFromParent_Done,
     /*  396696 */   // Label 7024: @396696
     /*  396696 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(396775), // Rule ID 4198 //
     /*  396701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  396715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  396718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  396721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  396753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  396756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396773 */     GIR_RootConstrainSelectedInstOperands,
     /*  396774 */     // GIR_Coverage, 4198,
     /*  396774 */     GIR_EraseRootFromParent_Done,
     /*  396775 */   // Label 7025: @396775
     /*  396775 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(396854), // Rule ID 4199 //
     /*  396780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  396791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  396794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  396797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  396800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396832 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  396832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  396835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396852 */     GIR_RootConstrainSelectedInstOperands,
     /*  396853 */     // GIR_Coverage, 4199,
     /*  396853 */     GIR_EraseRootFromParent_Done,
     /*  396854 */   // Label 7026: @396854
     /*  396854 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(396933), // Rule ID 4208 //
     /*  396859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  396862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  396873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  396879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396911 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  396911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  396931 */     GIR_RootConstrainSelectedInstOperands,
     /*  396932 */     // GIR_Coverage, 4208,
     /*  396932 */     GIR_EraseRootFromParent_Done,
     /*  396933 */   // Label 7027: @396933
     /*  396933 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(397012), // Rule ID 4209 //
     /*  396938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  396941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  396946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  396949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  396952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  396955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  396958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  396969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  396973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  396983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396990 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  396990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  396993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  396997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  396999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397010 */     GIR_RootConstrainSelectedInstOperands,
     /*  397011 */     // GIR_Coverage, 4209,
     /*  397011 */     GIR_EraseRootFromParent_Done,
     /*  397012 */   // Label 7028: @397012
     /*  397012 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(397091), // Rule ID 4218 //
     /*  397017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  397037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  397069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  397072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397089 */     GIR_RootConstrainSelectedInstOperands,
     /*  397090 */     // GIR_Coverage, 4218,
     /*  397090 */     GIR_EraseRootFromParent_Done,
     /*  397091 */   // Label 7029: @397091
     /*  397091 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(397170), // Rule ID 4219 //
     /*  397096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  397110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  397113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  397116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  397148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  397151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397168 */     GIR_RootConstrainSelectedInstOperands,
     /*  397169 */     // GIR_Coverage, 4219,
     /*  397169 */     GIR_EraseRootFromParent_Done,
     /*  397170 */   // Label 7030: @397170
     /*  397170 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(397249), // Rule ID 4228 //
     /*  397175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  397178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  397195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  397227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  397230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397247 */     GIR_RootConstrainSelectedInstOperands,
     /*  397248 */     // GIR_Coverage, 4228,
     /*  397248 */     GIR_EraseRootFromParent_Done,
     /*  397249 */   // Label 7031: @397249
     /*  397249 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(397328), // Rule ID 4229 //
     /*  397254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  397257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  397265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  397268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  397271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  397274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  397306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  397309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397326 */     GIR_RootConstrainSelectedInstOperands,
     /*  397327 */     // GIR_Coverage, 4229,
     /*  397327 */     GIR_EraseRootFromParent_Done,
     /*  397328 */   // Label 7032: @397328
     /*  397328 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(397407), // Rule ID 4238 //
     /*  397333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  397336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  397350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  397353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  397385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  397388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397405 */     GIR_RootConstrainSelectedInstOperands,
     /*  397406 */     // GIR_Coverage, 4238,
     /*  397406 */     GIR_EraseRootFromParent_Done,
     /*  397407 */   // Label 7033: @397407
     /*  397407 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(397486), // Rule ID 4239 //
     /*  397412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  397415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  397426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  397429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  397432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  397464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  397467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397484 */     GIR_RootConstrainSelectedInstOperands,
     /*  397485 */     // GIR_Coverage, 4239,
     /*  397485 */     GIR_EraseRootFromParent_Done,
     /*  397486 */   // Label 7034: @397486
     /*  397486 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(397565), // Rule ID 4248 //
     /*  397491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  397494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  397505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  397508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  397511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397543 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  397543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  397546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397563 */     GIR_RootConstrainSelectedInstOperands,
     /*  397564 */     // GIR_Coverage, 4248,
     /*  397564 */     GIR_EraseRootFromParent_Done,
     /*  397565 */   // Label 7035: @397565
     /*  397565 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(397644), // Rule ID 4249 //
     /*  397570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  397573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  397584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  397587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  397590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  397622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  397625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397642 */     GIR_RootConstrainSelectedInstOperands,
     /*  397643 */     // GIR_Coverage, 4249,
     /*  397643 */     GIR_EraseRootFromParent_Done,
     /*  397644 */   // Label 7036: @397644
     /*  397644 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(397723), // Rule ID 4258 //
     /*  397649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  397652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  397663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  397666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  397669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  397701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  397704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397721 */     GIR_RootConstrainSelectedInstOperands,
     /*  397722 */     // GIR_Coverage, 4258,
     /*  397722 */     GIR_EraseRootFromParent_Done,
     /*  397723 */   // Label 7037: @397723
     /*  397723 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(397802), // Rule ID 4259 //
     /*  397728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  397731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  397736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  397739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  397742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  397745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  397748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  397780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  397783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397800 */     GIR_RootConstrainSelectedInstOperands,
     /*  397801 */     // GIR_Coverage, 4259,
     /*  397801 */     GIR_EraseRootFromParent_Done,
     /*  397802 */   // Label 7038: @397802
     /*  397802 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(397881), // Rule ID 4328 //
     /*  397807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  397827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  397859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  397862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397879 */     GIR_RootConstrainSelectedInstOperands,
     /*  397880 */     // GIR_Coverage, 4328,
     /*  397880 */     GIR_EraseRootFromParent_Done,
     /*  397881 */   // Label 7039: @397881
     /*  397881 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(397960), // Rule ID 4329 //
     /*  397886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  397889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  397897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  397900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  397903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  397906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  397921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  397931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  397938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  397941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  397945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  397947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  397955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  397958 */     GIR_RootConstrainSelectedInstOperands,
     /*  397959 */     // GIR_Coverage, 4329,
     /*  397959 */     GIR_EraseRootFromParent_Done,
     /*  397960 */   // Label 7040: @397960
     /*  397960 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(398039), // Rule ID 4338 //
     /*  397965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  397968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  397973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  397976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  397979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  397982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  397985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  397992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  397996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398017 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  398020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398037 */     GIR_RootConstrainSelectedInstOperands,
     /*  398038 */     // GIR_Coverage, 4338,
     /*  398038 */     GIR_EraseRootFromParent_Done,
     /*  398039 */   // Label 7041: @398039
     /*  398039 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(398118), // Rule ID 4339 //
     /*  398044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  398058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  398064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398096 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  398096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  398099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398116 */     GIR_RootConstrainSelectedInstOperands,
     /*  398117 */     // GIR_Coverage, 4339,
     /*  398117 */     GIR_EraseRootFromParent_Done,
     /*  398118 */   // Label 7042: @398118
     /*  398118 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(398197), // Rule ID 4348 //
     /*  398123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  398143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398175 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  398178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398195 */     GIR_RootConstrainSelectedInstOperands,
     /*  398196 */     // GIR_Coverage, 4348,
     /*  398196 */     GIR_EraseRootFromParent_Done,
     /*  398197 */   // Label 7043: @398197
     /*  398197 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(398276), // Rule ID 4349 //
     /*  398202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  398213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  398216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  398219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  398222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  398254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  398257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398274 */     GIR_RootConstrainSelectedInstOperands,
     /*  398275 */     // GIR_Coverage, 4349,
     /*  398275 */     GIR_EraseRootFromParent_Done,
     /*  398276 */   // Label 7044: @398276
     /*  398276 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(398355), // Rule ID 4358 //
     /*  398281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  398301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398333 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  398336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398353 */     GIR_RootConstrainSelectedInstOperands,
     /*  398354 */     // GIR_Coverage, 4358,
     /*  398354 */     GIR_EraseRootFromParent_Done,
     /*  398355 */   // Label 7045: @398355
     /*  398355 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(398434), // Rule ID 4359 //
     /*  398360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  398371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  398374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  398377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  398380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  398412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  398415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398432 */     GIR_RootConstrainSelectedInstOperands,
     /*  398433 */     // GIR_Coverage, 4359,
     /*  398433 */     GIR_EraseRootFromParent_Done,
     /*  398434 */   // Label 7046: @398434
     /*  398434 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(398513), // Rule ID 4368 //
     /*  398439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  398459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  398494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398511 */     GIR_RootConstrainSelectedInstOperands,
     /*  398512 */     // GIR_Coverage, 4368,
     /*  398512 */     GIR_EraseRootFromParent_Done,
     /*  398513 */   // Label 7047: @398513
     /*  398513 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(398592), // Rule ID 4369 //
     /*  398518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  398529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  398532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  398535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  398538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  398561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398570 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  398570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  398573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398590 */     GIR_RootConstrainSelectedInstOperands,
     /*  398591 */     // GIR_Coverage, 4369,
     /*  398591 */     GIR_EraseRootFromParent_Done,
     /*  398592 */   // Label 7048: @398592
     /*  398592 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(398671), // Rule ID 4378 //
     /*  398597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  398617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398649 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  398649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398669 */     GIR_RootConstrainSelectedInstOperands,
     /*  398670 */     // GIR_Coverage, 4378,
     /*  398670 */     GIR_EraseRootFromParent_Done,
     /*  398671 */   // Label 7049: @398671
     /*  398671 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(398750), // Rule ID 4379 //
     /*  398676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  398687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  398690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  398693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  398696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398728 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  398728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  398731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398748 */     GIR_RootConstrainSelectedInstOperands,
     /*  398749 */     // GIR_Coverage, 4379,
     /*  398749 */     GIR_EraseRootFromParent_Done,
     /*  398750 */   // Label 7050: @398750
     /*  398750 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(398829), // Rule ID 4388 //
     /*  398755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  398775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  398807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  398810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398827 */     GIR_RootConstrainSelectedInstOperands,
     /*  398828 */     // GIR_Coverage, 4388,
     /*  398828 */     GIR_EraseRootFromParent_Done,
     /*  398829 */   // Label 7051: @398829
     /*  398829 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(398908), // Rule ID 4389 //
     /*  398834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  398845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  398848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  398851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  398854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398886 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  398886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  398889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398906 */     GIR_RootConstrainSelectedInstOperands,
     /*  398907 */     // GIR_Coverage, 4389,
     /*  398907 */     GIR_EraseRootFromParent_Done,
     /*  398908 */   // Label 7052: @398908
     /*  398908 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(398987), // Rule ID 4398 //
     /*  398913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  398916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  398921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  398924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  398927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  398930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  398933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  398944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  398948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  398958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  398965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  398968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  398972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  398974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  398985 */     GIR_RootConstrainSelectedInstOperands,
     /*  398986 */     // GIR_Coverage, 4398,
     /*  398986 */     GIR_EraseRootFromParent_Done,
     /*  398987 */   // Label 7053: @398987
     /*  398987 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(399066), // Rule ID 4399 //
     /*  398992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  398995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  399006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  399012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  399044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  399047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399064 */     GIR_RootConstrainSelectedInstOperands,
     /*  399065 */     // GIR_Coverage, 4399,
     /*  399065 */     GIR_EraseRootFromParent_Done,
     /*  399066 */   // Label 7054: @399066
     /*  399066 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(399145), // Rule ID 4408 //
     /*  399071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  399091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  399123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  399126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399143 */     GIR_RootConstrainSelectedInstOperands,
     /*  399144 */     // GIR_Coverage, 4408,
     /*  399144 */     GIR_EraseRootFromParent_Done,
     /*  399145 */   // Label 7055: @399145
     /*  399145 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(399224), // Rule ID 4409 //
     /*  399150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  399161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  399164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  399167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  399170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  399202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  399205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399222 */     GIR_RootConstrainSelectedInstOperands,
     /*  399223 */     // GIR_Coverage, 4409,
     /*  399223 */     GIR_EraseRootFromParent_Done,
     /*  399224 */   // Label 7056: @399224
     /*  399224 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(399303), // Rule ID 4418 //
     /*  399229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  399249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  399281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  399284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399301 */     GIR_RootConstrainSelectedInstOperands,
     /*  399302 */     // GIR_Coverage, 4418,
     /*  399302 */     GIR_EraseRootFromParent_Done,
     /*  399303 */   // Label 7057: @399303
     /*  399303 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(399382), // Rule ID 4419 //
     /*  399308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  399319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  399322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  399325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  399328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399360 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  399360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  399363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399380 */     GIR_RootConstrainSelectedInstOperands,
     /*  399381 */     // GIR_Coverage, 4419,
     /*  399381 */     GIR_EraseRootFromParent_Done,
     /*  399382 */   // Label 7058: @399382
     /*  399382 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(399461), // Rule ID 4428 //
     /*  399387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  399390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  399407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399439 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  399439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  399442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399459 */     GIR_RootConstrainSelectedInstOperands,
     /*  399460 */     // GIR_Coverage, 4428,
     /*  399460 */     GIR_EraseRootFromParent_Done,
     /*  399461 */   // Label 7059: @399461
     /*  399461 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(399540), // Rule ID 4429 //
     /*  399466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  399469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  399477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  399480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  399483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  399486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  399505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  399518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  399521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399538 */     GIR_RootConstrainSelectedInstOperands,
     /*  399539 */     // GIR_Coverage, 4429,
     /*  399539 */     GIR_EraseRootFromParent_Done,
     /*  399540 */   // Label 7060: @399540
     /*  399540 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(399619), // Rule ID 4438 //
     /*  399545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  399548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  399565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399597 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  399597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  399600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399617 */     GIR_RootConstrainSelectedInstOperands,
     /*  399618 */     // GIR_Coverage, 4438,
     /*  399618 */     GIR_EraseRootFromParent_Done,
     /*  399619 */   // Label 7061: @399619
     /*  399619 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(399698), // Rule ID 4439 //
     /*  399624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  399627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  399638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  399644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  399676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  399679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399696 */     GIR_RootConstrainSelectedInstOperands,
     /*  399697 */     // GIR_Coverage, 4439,
     /*  399697 */     GIR_EraseRootFromParent_Done,
     /*  399698 */   // Label 7062: @399698
     /*  399698 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(399777), // Rule ID 4448 //
     /*  399703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  399706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  399723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  399755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  399758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399775 */     GIR_RootConstrainSelectedInstOperands,
     /*  399776 */     // GIR_Coverage, 4448,
     /*  399776 */     GIR_EraseRootFromParent_Done,
     /*  399777 */   // Label 7063: @399777
     /*  399777 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(399856), // Rule ID 4449 //
     /*  399782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  399785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  399793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  399796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  399799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  399802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  399834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  399837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399854 */     GIR_RootConstrainSelectedInstOperands,
     /*  399855 */     // GIR_Coverage, 4449,
     /*  399855 */     GIR_EraseRootFromParent_Done,
     /*  399856 */   // Label 7064: @399856
     /*  399856 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(399935), // Rule ID 4458 //
     /*  399861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  399864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  399881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399913 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  399913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  399916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  399922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  399933 */     GIR_RootConstrainSelectedInstOperands,
     /*  399934 */     // GIR_Coverage, 4458,
     /*  399934 */     GIR_EraseRootFromParent_Done,
     /*  399935 */   // Label 7065: @399935
     /*  399935 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(400014), // Rule ID 4459 //
     /*  399940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  399943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  399948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  399951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  399954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  399957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  399960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  399971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  399975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  399985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399992 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  399992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  399995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  399999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400012 */     GIR_RootConstrainSelectedInstOperands,
     /*  400013 */     // GIR_Coverage, 4459,
     /*  400013 */     GIR_EraseRootFromParent_Done,
     /*  400014 */   // Label 7066: @400014
     /*  400014 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(400093), // Rule ID 4468 //
     /*  400019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  400022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  400027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  400039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400071 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  400071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  400074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400091 */     GIR_RootConstrainSelectedInstOperands,
     /*  400092 */     // GIR_Coverage, 4468,
     /*  400092 */     GIR_EraseRootFromParent_Done,
     /*  400093 */   // Label 7067: @400093
     /*  400093 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(400172), // Rule ID 4469 //
     /*  400098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  400101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  400106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  400109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  400112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  400115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  400118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  400150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  400153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400170 */     GIR_RootConstrainSelectedInstOperands,
     /*  400171 */     // GIR_Coverage, 4469,
     /*  400171 */     GIR_EraseRootFromParent_Done,
     /*  400172 */   // Label 7068: @400172
     /*  400172 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(400251), // Rule ID 4538 //
     /*  400177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  400197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  400229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  400232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400249 */     GIR_RootConstrainSelectedInstOperands,
     /*  400250 */     // GIR_Coverage, 4538,
     /*  400250 */     GIR_EraseRootFromParent_Done,
     /*  400251 */   // Label 7069: @400251
     /*  400251 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(400330), // Rule ID 4539 //
     /*  400256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  400267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  400270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  400273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  400276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  400308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  400311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400328 */     GIR_RootConstrainSelectedInstOperands,
     /*  400329 */     // GIR_Coverage, 4539,
     /*  400329 */     GIR_EraseRootFromParent_Done,
     /*  400330 */   // Label 7070: @400330
     /*  400330 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(400409), // Rule ID 4548 //
     /*  400335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  400355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  400387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  400390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400407 */     GIR_RootConstrainSelectedInstOperands,
     /*  400408 */     // GIR_Coverage, 4548,
     /*  400408 */     GIR_EraseRootFromParent_Done,
     /*  400409 */   // Label 7071: @400409
     /*  400409 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(400488), // Rule ID 4549 //
     /*  400414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  400425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  400428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  400431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  400434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  400466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  400469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400486 */     GIR_RootConstrainSelectedInstOperands,
     /*  400487 */     // GIR_Coverage, 4549,
     /*  400487 */     GIR_EraseRootFromParent_Done,
     /*  400488 */   // Label 7072: @400488
     /*  400488 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(400567), // Rule ID 4558 //
     /*  400493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  400513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400545 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  400545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400565 */     GIR_RootConstrainSelectedInstOperands,
     /*  400566 */     // GIR_Coverage, 4558,
     /*  400566 */     GIR_EraseRootFromParent_Done,
     /*  400567 */   // Label 7073: @400567
     /*  400567 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(400646), // Rule ID 4559 //
     /*  400572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  400583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  400586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  400589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  400592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400624 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  400624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  400627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400644 */     GIR_RootConstrainSelectedInstOperands,
     /*  400645 */     // GIR_Coverage, 4559,
     /*  400645 */     GIR_EraseRootFromParent_Done,
     /*  400646 */   // Label 7074: @400646
     /*  400646 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(400725), // Rule ID 4568 //
     /*  400651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  400671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  400703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400723 */     GIR_RootConstrainSelectedInstOperands,
     /*  400724 */     // GIR_Coverage, 4568,
     /*  400724 */     GIR_EraseRootFromParent_Done,
     /*  400725 */   // Label 7075: @400725
     /*  400725 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(400804), // Rule ID 4569 //
     /*  400730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  400744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  400750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  400773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  400782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  400785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400802 */     GIR_RootConstrainSelectedInstOperands,
     /*  400803 */     // GIR_Coverage, 4569,
     /*  400803 */     GIR_EraseRootFromParent_Done,
     /*  400804 */   // Label 7076: @400804
     /*  400804 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(400883), // Rule ID 4578 //
     /*  400809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  400829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  400861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  400864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400881 */     GIR_RootConstrainSelectedInstOperands,
     /*  400882 */     // GIR_Coverage, 4578,
     /*  400882 */     GIR_EraseRootFromParent_Done,
     /*  400883 */   // Label 7077: @400883
     /*  400883 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(400962), // Rule ID 4579 //
     /*  400888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  400891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  400902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  400908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  400923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  400933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  400940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  400943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  400947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  400949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  400960 */     GIR_RootConstrainSelectedInstOperands,
     /*  400961 */     // GIR_Coverage, 4579,
     /*  400961 */     GIR_EraseRootFromParent_Done,
     /*  400962 */   // Label 7078: @400962
     /*  400962 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(401041), // Rule ID 4588 //
     /*  400967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  400970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  400975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  400981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  400987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  400998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  401019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401039 */     GIR_RootConstrainSelectedInstOperands,
     /*  401040 */     // GIR_Coverage, 4588,
     /*  401040 */     GIR_EraseRootFromParent_Done,
     /*  401041 */   // Label 7079: @401041
     /*  401041 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(401120), // Rule ID 4589 //
     /*  401046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  401057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  401060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  401063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  401066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  401098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401118 */     GIR_RootConstrainSelectedInstOperands,
     /*  401119 */     // GIR_Coverage, 4589,
     /*  401119 */     GIR_EraseRootFromParent_Done,
     /*  401120 */   // Label 7080: @401120
     /*  401120 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(401199), // Rule ID 4598 //
     /*  401125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  401145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  401177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  401180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401197 */     GIR_RootConstrainSelectedInstOperands,
     /*  401198 */     // GIR_Coverage, 4598,
     /*  401198 */     GIR_EraseRootFromParent_Done,
     /*  401199 */   // Label 7081: @401199
     /*  401199 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(401278), // Rule ID 4599 //
     /*  401204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  401215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  401218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  401221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  401224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  401256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  401259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401276 */     GIR_RootConstrainSelectedInstOperands,
     /*  401277 */     // GIR_Coverage, 4599,
     /*  401277 */     GIR_EraseRootFromParent_Done,
     /*  401278 */   // Label 7082: @401278
     /*  401278 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(401357), // Rule ID 4608 //
     /*  401283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  401303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  401335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  401338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401355 */     GIR_RootConstrainSelectedInstOperands,
     /*  401356 */     // GIR_Coverage, 4608,
     /*  401356 */     GIR_EraseRootFromParent_Done,
     /*  401357 */   // Label 7083: @401357
     /*  401357 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(401436), // Rule ID 4609 //
     /*  401362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  401373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  401376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  401379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  401382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401414 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  401414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  401417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401434 */     GIR_RootConstrainSelectedInstOperands,
     /*  401435 */     // GIR_Coverage, 4609,
     /*  401435 */     GIR_EraseRootFromParent_Done,
     /*  401436 */   // Label 7084: @401436
     /*  401436 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(401515), // Rule ID 4618 //
     /*  401441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  401461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  401493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  401496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401513 */     GIR_RootConstrainSelectedInstOperands,
     /*  401514 */     // GIR_Coverage, 4618,
     /*  401514 */     GIR_EraseRootFromParent_Done,
     /*  401515 */   // Label 7085: @401515
     /*  401515 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(401594), // Rule ID 4619 //
     /*  401520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  401531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  401534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  401537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  401540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  401572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  401575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401592 */     GIR_RootConstrainSelectedInstOperands,
     /*  401593 */     // GIR_Coverage, 4619,
     /*  401593 */     GIR_EraseRootFromParent_Done,
     /*  401594 */   // Label 7086: @401594
     /*  401594 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(401673), // Rule ID 4628 //
     /*  401599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  401619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  401651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  401654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401671 */     GIR_RootConstrainSelectedInstOperands,
     /*  401672 */     // GIR_Coverage, 4628,
     /*  401672 */     GIR_EraseRootFromParent_Done,
     /*  401673 */   // Label 7087: @401673
     /*  401673 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(401752), // Rule ID 4629 //
     /*  401678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  401689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  401692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  401695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  401698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  401730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  401733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401750 */     GIR_RootConstrainSelectedInstOperands,
     /*  401751 */     // GIR_Coverage, 4629,
     /*  401751 */     GIR_EraseRootFromParent_Done,
     /*  401752 */   // Label 7088: @401752
     /*  401752 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(401831), // Rule ID 4638 //
     /*  401757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  401777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  401809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401829 */     GIR_RootConstrainSelectedInstOperands,
     /*  401830 */     // GIR_Coverage, 4638,
     /*  401830 */     GIR_EraseRootFromParent_Done,
     /*  401831 */   // Label 7089: @401831
     /*  401831 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(401910), // Rule ID 4639 //
     /*  401836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  401850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  401856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  401888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  401891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  401905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401908 */     GIR_RootConstrainSelectedInstOperands,
     /*  401909 */     // GIR_Coverage, 4639,
     /*  401909 */     GIR_EraseRootFromParent_Done,
     /*  401910 */   // Label 7090: @401910
     /*  401910 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(401989), // Rule ID 4648 //
     /*  401915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  401918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  401923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  401926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  401929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  401932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  401935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  401946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  401950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  401960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  401967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  401970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  401976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  401987 */     GIR_RootConstrainSelectedInstOperands,
     /*  401988 */     // GIR_Coverage, 4648,
     /*  401988 */     GIR_EraseRootFromParent_Done,
     /*  401989 */   // Label 7091: @401989
     /*  401989 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(402068), // Rule ID 4649 //
     /*  401994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  401997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  402014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  402046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  402049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402066 */     GIR_RootConstrainSelectedInstOperands,
     /*  402067 */     // GIR_Coverage, 4649,
     /*  402067 */     GIR_EraseRootFromParent_Done,
     /*  402068 */   // Label 7092: @402068
     /*  402068 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(402147), // Rule ID 4658 //
     /*  402073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  402076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  402093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402125 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  402125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  402128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402145 */     GIR_RootConstrainSelectedInstOperands,
     /*  402146 */     // GIR_Coverage, 4658,
     /*  402146 */     GIR_EraseRootFromParent_Done,
     /*  402147 */   // Label 7093: @402147
     /*  402147 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(402226), // Rule ID 4659 //
     /*  402152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  402155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  402163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  402166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  402169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  402172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402204 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  402204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  402207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402224 */     GIR_RootConstrainSelectedInstOperands,
     /*  402225 */     // GIR_Coverage, 4659,
     /*  402225 */     GIR_EraseRootFromParent_Done,
     /*  402226 */   // Label 7094: @402226
     /*  402226 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(402305), // Rule ID 4668 //
     /*  402231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  402234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  402251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  402283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  402286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402303 */     GIR_RootConstrainSelectedInstOperands,
     /*  402304 */     // GIR_Coverage, 4668,
     /*  402304 */     GIR_EraseRootFromParent_Done,
     /*  402305 */   // Label 7095: @402305
     /*  402305 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(402384), // Rule ID 4669 //
     /*  402310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  402313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  402321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  402324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  402327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  402330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  402353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  402362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  402365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402382 */     GIR_RootConstrainSelectedInstOperands,
     /*  402383 */     // GIR_Coverage, 4669,
     /*  402383 */     GIR_EraseRootFromParent_Done,
     /*  402384 */   // Label 7096: @402384
     /*  402384 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(402463), // Rule ID 4678 //
     /*  402389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  402392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  402409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402441 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  402441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  402444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402461 */     GIR_RootConstrainSelectedInstOperands,
     /*  402462 */     // GIR_Coverage, 4678,
     /*  402462 */     GIR_EraseRootFromParent_Done,
     /*  402463 */   // Label 7097: @402463
     /*  402463 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(402542), // Rule ID 4679 //
     /*  402468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  402471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  402476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  402479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  402482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  402485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  402488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  402499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  402503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  402507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  402511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  402513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  402520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  402523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  402529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  402540 */     GIR_RootConstrainSelectedInstOperands,
     /*  402541 */     // GIR_Coverage, 4679,
     /*  402541 */     GIR_EraseRootFromParent_Done,
     /*  402542 */   // Label 7098: @402542
     /*  402542 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(402628), // Rule ID 2570 //
     /*  402547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  402558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  402561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  402564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402579 */     // MIs[0] policy
     /*  402579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402589 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  402593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  402599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  402603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  402606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  402616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402624 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402626 */     GIR_RootConstrainSelectedInstOperands,
     /*  402627 */     // GIR_Coverage, 2570,
     /*  402627 */     GIR_EraseRootFromParent_Done,
     /*  402628 */   // Label 7099: @402628
     /*  402628 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(402714), // Rule ID 2571 //
     /*  402633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  402644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  402647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  402650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402665 */     // MIs[0] policy
     /*  402665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  402679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  402685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  402689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  402692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  402702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402710 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402712 */     GIR_RootConstrainSelectedInstOperands,
     /*  402713 */     // GIR_Coverage, 2571,
     /*  402713 */     GIR_EraseRootFromParent_Done,
     /*  402714 */   // Label 7100: @402714
     /*  402714 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(402800), // Rule ID 23358 //
     /*  402719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  402730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  402733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  402736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402751 */     // MIs[0] policy
     /*  402751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402761 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  402765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  402771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  402775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  402778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  402788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402796 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402798 */     GIR_RootConstrainSelectedInstOperands,
     /*  402799 */     // GIR_Coverage, 23358,
     /*  402799 */     GIR_EraseRootFromParent_Done,
     /*  402800 */   // Label 7101: @402800
     /*  402800 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(402886), // Rule ID 23359 //
     /*  402805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  402816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  402819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  402822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402837 */     // MIs[0] policy
     /*  402837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  402847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  402851 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  402857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  402861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  402864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  402874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402882 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402884 */     GIR_RootConstrainSelectedInstOperands,
     /*  402885 */     // GIR_Coverage, 23359,
     /*  402885 */     GIR_EraseRootFromParent_Done,
     /*  402886 */   // Label 7102: @402886
     /*  402886 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(402972), // Rule ID 23362 //
     /*  402891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  402902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  402905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  402908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  402915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  402923 */     // MIs[0] policy
     /*  402923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  402926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402933 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  402933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  402937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  402943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  402947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  402950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  402960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402968 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  402970 */     GIR_RootConstrainSelectedInstOperands,
     /*  402971 */     // GIR_Coverage, 23362,
     /*  402971 */     GIR_EraseRootFromParent_Done,
     /*  402972 */   // Label 7103: @402972
     /*  402972 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(403058), // Rule ID 23363 //
     /*  402977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  402985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  402988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  402991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  402994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403009 */     // MIs[0] policy
     /*  403009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403019 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  403036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403054 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403056 */     GIR_RootConstrainSelectedInstOperands,
     /*  403057 */     // GIR_Coverage, 23363,
     /*  403057 */     GIR_EraseRootFromParent_Done,
     /*  403058 */   // Label 7104: @403058
     /*  403058 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(403144), // Rule ID 23366 //
     /*  403063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  403074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  403077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  403080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403095 */     // MIs[0] policy
     /*  403095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403105 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  403122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403140 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403142 */     GIR_RootConstrainSelectedInstOperands,
     /*  403143 */     // GIR_Coverage, 23366,
     /*  403143 */     GIR_EraseRootFromParent_Done,
     /*  403144 */   // Label 7105: @403144
     /*  403144 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(403230), // Rule ID 23367 //
     /*  403149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  403160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  403163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  403166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403181 */     // MIs[0] policy
     /*  403181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  403208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403226 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403228 */     GIR_RootConstrainSelectedInstOperands,
     /*  403229 */     // GIR_Coverage, 23367,
     /*  403229 */     GIR_EraseRootFromParent_Done,
     /*  403230 */   // Label 7106: @403230
     /*  403230 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(403316), // Rule ID 23370 //
     /*  403235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  403246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  403249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  403252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403267 */     // MIs[0] policy
     /*  403267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  403294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403312 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403314 */     GIR_RootConstrainSelectedInstOperands,
     /*  403315 */     // GIR_Coverage, 23370,
     /*  403315 */     GIR_EraseRootFromParent_Done,
     /*  403316 */   // Label 7107: @403316
     /*  403316 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(403402), // Rule ID 23371 //
     /*  403321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  403332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  403335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  403338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403353 */     // MIs[0] policy
     /*  403353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  403380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403398 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403400 */     GIR_RootConstrainSelectedInstOperands,
     /*  403401 */     // GIR_Coverage, 23371,
     /*  403401 */     GIR_EraseRootFromParent_Done,
     /*  403402 */   // Label 7108: @403402
     /*  403402 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(403488), // Rule ID 23374 //
     /*  403407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  403418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  403421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  403424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403439 */     // MIs[0] policy
     /*  403439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  403466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403484 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403486 */     GIR_RootConstrainSelectedInstOperands,
     /*  403487 */     // GIR_Coverage, 23374,
     /*  403487 */     GIR_EraseRootFromParent_Done,
     /*  403488 */   // Label 7109: @403488
     /*  403488 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(403574), // Rule ID 23375 //
     /*  403493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  403504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  403507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  403510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403525 */     // MIs[0] policy
     /*  403525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  403552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403570 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403572 */     GIR_RootConstrainSelectedInstOperands,
     /*  403573 */     // GIR_Coverage, 23375,
     /*  403573 */     GIR_EraseRootFromParent_Done,
     /*  403574 */   // Label 7110: @403574
     /*  403574 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(403660), // Rule ID 23378 //
     /*  403579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  403590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  403593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403611 */     // MIs[0] policy
     /*  403611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  403638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403656 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403658 */     GIR_RootConstrainSelectedInstOperands,
     /*  403659 */     // GIR_Coverage, 23378,
     /*  403659 */     GIR_EraseRootFromParent_Done,
     /*  403660 */   // Label 7111: @403660
     /*  403660 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(403746), // Rule ID 23379 //
     /*  403665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  403676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  403679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  403682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403697 */     // MIs[0] policy
     /*  403697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10956:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  403724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403742 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403744 */     GIR_RootConstrainSelectedInstOperands,
     /*  403745 */     // GIR_Coverage, 23379,
     /*  403745 */     GIR_EraseRootFromParent_Done,
     /*  403746 */   // Label 7112: @403746
     /*  403746 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(403832), // Rule ID 23382 //
     /*  403751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  403762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  403765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  403768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403783 */     // MIs[0] policy
     /*  403783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  403810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403828 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403830 */     GIR_RootConstrainSelectedInstOperands,
     /*  403831 */     // GIR_Coverage, 23382,
     /*  403831 */     GIR_EraseRootFromParent_Done,
     /*  403832 */   // Label 7113: @403832
     /*  403832 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(403918), // Rule ID 23383 //
     /*  403837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  403848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  403851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  403854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403869 */     // MIs[0] policy
     /*  403869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403879 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10956:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  403879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  403896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403914 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  403916 */     GIR_RootConstrainSelectedInstOperands,
     /*  403917 */     // GIR_Coverage, 23383,
     /*  403917 */     GIR_EraseRootFromParent_Done,
     /*  403918 */   // Label 7114: @403918
     /*  403918 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(404004), // Rule ID 23386 //
     /*  403923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  403931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  403934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  403937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  403940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  403947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  403951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  403955 */     // MIs[0] policy
     /*  403955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  403958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403965 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  403965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  403969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  403975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  403979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  403982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  403992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404000 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404002 */     GIR_RootConstrainSelectedInstOperands,
     /*  404003 */     // GIR_Coverage, 23386,
     /*  404003 */     GIR_EraseRootFromParent_Done,
     /*  404004 */   // Label 7115: @404004
     /*  404004 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(404090), // Rule ID 23387 //
     /*  404009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  404020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  404023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  404026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  404033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404041 */     // MIs[0] policy
     /*  404041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10956:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  404068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404072 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404086 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404088 */     GIR_RootConstrainSelectedInstOperands,
     /*  404089 */     // GIR_Coverage, 23387,
     /*  404089 */     GIR_EraseRootFromParent_Done,
     /*  404090 */   // Label 7116: @404090
     /*  404090 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(404176), // Rule ID 23390 //
     /*  404095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  404106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  404109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  404112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  404119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404127 */     // MIs[0] policy
     /*  404127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404137 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404141 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404147 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  404154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404172 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404174 */     GIR_RootConstrainSelectedInstOperands,
     /*  404175 */     // GIR_Coverage, 23390,
     /*  404175 */     GIR_EraseRootFromParent_Done,
     /*  404176 */   // Label 7117: @404176
     /*  404176 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(404262), // Rule ID 23391 //
     /*  404181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  404192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  404195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  404198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  404205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404213 */     // MIs[0] policy
     /*  404213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404223 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10956:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  404240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404258 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404260 */     GIR_RootConstrainSelectedInstOperands,
     /*  404261 */     // GIR_Coverage, 23391,
     /*  404261 */     GIR_EraseRootFromParent_Done,
     /*  404262 */   // Label 7118: @404262
     /*  404262 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(404348), // Rule ID 23394 //
     /*  404267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  404278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  404281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  404284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  404291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404299 */     // MIs[0] policy
     /*  404299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404309 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  404326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404344 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404346 */     GIR_RootConstrainSelectedInstOperands,
     /*  404347 */     // GIR_Coverage, 23394,
     /*  404347 */     GIR_EraseRootFromParent_Done,
     /*  404348 */   // Label 7119: @404348
     /*  404348 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(404434), // Rule ID 23395 //
     /*  404353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  404364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  404367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  404370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  404377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404385 */     // MIs[0] policy
     /*  404385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  404412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404430 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404432 */     GIR_RootConstrainSelectedInstOperands,
     /*  404433 */     // GIR_Coverage, 23395,
     /*  404433 */     GIR_EraseRootFromParent_Done,
     /*  404434 */   // Label 7120: @404434
     /*  404434 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(404520), // Rule ID 23398 //
     /*  404439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  404450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  404453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  404456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  404463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404471 */     // MIs[0] policy
     /*  404471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404481 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  404498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404516 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404518 */     GIR_RootConstrainSelectedInstOperands,
     /*  404519 */     // GIR_Coverage, 23398,
     /*  404519 */     GIR_EraseRootFromParent_Done,
     /*  404520 */   // Label 7121: @404520
     /*  404520 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(404606), // Rule ID 23399 //
     /*  404525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  404536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  404539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  404542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  404549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404557 */     // MIs[0] policy
     /*  404557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404567 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  404584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404602 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404604 */     GIR_RootConstrainSelectedInstOperands,
     /*  404605 */     // GIR_Coverage, 23399,
     /*  404605 */     GIR_EraseRootFromParent_Done,
     /*  404606 */   // Label 7122: @404606
     /*  404606 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(404692), // Rule ID 23402 //
     /*  404611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  404622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  404625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  404628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  404635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404643 */     // MIs[0] policy
     /*  404643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  404670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404688 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404690 */     GIR_RootConstrainSelectedInstOperands,
     /*  404691 */     // GIR_Coverage, 23402,
     /*  404691 */     GIR_EraseRootFromParent_Done,
     /*  404692 */   // Label 7123: @404692
     /*  404692 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(404778), // Rule ID 23403 //
     /*  404697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  404708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  404711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  404714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  404721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404729 */     // MIs[0] policy
     /*  404729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404739 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  404756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  404774 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404776 */     GIR_RootConstrainSelectedInstOperands,
     /*  404777 */     // GIR_Coverage, 23403,
     /*  404777 */     GIR_EraseRootFromParent_Done,
     /*  404778 */   // Label 7124: @404778
     /*  404778 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(404864), // Rule ID 23406 //
     /*  404783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  404794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  404797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  404800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  404807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404815 */     // MIs[0] policy
     /*  404815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404825 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  404842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404860 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404862 */     GIR_RootConstrainSelectedInstOperands,
     /*  404863 */     // GIR_Coverage, 23406,
     /*  404863 */     GIR_EraseRootFromParent_Done,
     /*  404864 */   // Label 7125: @404864
     /*  404864 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(404950), // Rule ID 23407 //
     /*  404869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  404880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  404883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  404886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  404893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404901 */     // MIs[0] policy
     /*  404901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  404911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  404915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  404921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  404925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  404928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  404938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404946 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  404948 */     GIR_RootConstrainSelectedInstOperands,
     /*  404949 */     // GIR_Coverage, 23407,
     /*  404949 */     GIR_EraseRootFromParent_Done,
     /*  404950 */   // Label 7126: @404950
     /*  404950 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(405036), // Rule ID 23410 //
     /*  404955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  404963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  404966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  404969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  404972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  404979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  404987 */     // MIs[0] policy
     /*  404987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  404990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  404997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  405014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405032 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405034 */     GIR_RootConstrainSelectedInstOperands,
     /*  405035 */     // GIR_Coverage, 23410,
     /*  405035 */     GIR_EraseRootFromParent_Done,
     /*  405036 */   // Label 7127: @405036
     /*  405036 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(405122), // Rule ID 23411 //
     /*  405041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  405044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  405058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  405065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405073 */     // MIs[0] policy
     /*  405073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  405100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405118 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405120 */     GIR_RootConstrainSelectedInstOperands,
     /*  405121 */     // GIR_Coverage, 23411,
     /*  405121 */     GIR_EraseRootFromParent_Done,
     /*  405122 */   // Label 7128: @405122
     /*  405122 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(405208), // Rule ID 23414 //
     /*  405127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  405130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  405144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  405151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405159 */     // MIs[0] policy
     /*  405159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  405186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405204 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405206 */     GIR_RootConstrainSelectedInstOperands,
     /*  405207 */     // GIR_Coverage, 23414,
     /*  405207 */     GIR_EraseRootFromParent_Done,
     /*  405208 */   // Label 7129: @405208
     /*  405208 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(405294), // Rule ID 23415 //
     /*  405213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  405216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  405224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  405227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  405230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  405237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405245 */     // MIs[0] policy
     /*  405245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  405272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405290 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405292 */     GIR_RootConstrainSelectedInstOperands,
     /*  405293 */     // GIR_Coverage, 23415,
     /*  405293 */     GIR_EraseRootFromParent_Done,
     /*  405294 */   // Label 7130: @405294
     /*  405294 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(405380), // Rule ID 23418 //
     /*  405299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  405302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  405316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  405323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405331 */     // MIs[0] policy
     /*  405331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  405358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405376 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405378 */     GIR_RootConstrainSelectedInstOperands,
     /*  405379 */     // GIR_Coverage, 23418,
     /*  405379 */     GIR_EraseRootFromParent_Done,
     /*  405380 */   // Label 7131: @405380
     /*  405380 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(405466), // Rule ID 23419 //
     /*  405385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  405388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  405396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  405399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  405402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  405409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405417 */     // MIs[0] policy
     /*  405417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  405444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405462 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405464 */     GIR_RootConstrainSelectedInstOperands,
     /*  405465 */     // GIR_Coverage, 23419,
     /*  405465 */     GIR_EraseRootFromParent_Done,
     /*  405466 */   // Label 7132: @405466
     /*  405466 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(405552), // Rule ID 23422 //
     /*  405471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  405474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  405488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  405495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405503 */     // MIs[0] policy
     /*  405503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405513 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  405530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405548 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405550 */     GIR_RootConstrainSelectedInstOperands,
     /*  405551 */     // GIR_Coverage, 23422,
     /*  405551 */     GIR_EraseRootFromParent_Done,
     /*  405552 */   // Label 7133: @405552
     /*  405552 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(405638), // Rule ID 23423 //
     /*  405557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  405560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  405568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  405571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  405574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  405581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405589 */     // MIs[0] policy
     /*  405589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405599 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  405616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405634 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405636 */     GIR_RootConstrainSelectedInstOperands,
     /*  405637 */     // GIR_Coverage, 23423,
     /*  405637 */     GIR_EraseRootFromParent_Done,
     /*  405638 */   // Label 7134: @405638
     /*  405638 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(405724), // Rule ID 23426 //
     /*  405643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  405646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  405660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  405667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405675 */     // MIs[0] policy
     /*  405675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  405702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405720 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405722 */     GIR_RootConstrainSelectedInstOperands,
     /*  405723 */     // GIR_Coverage, 23426,
     /*  405723 */     GIR_EraseRootFromParent_Done,
     /*  405724 */   // Label 7135: @405724
     /*  405724 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(405810), // Rule ID 23427 //
     /*  405729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  405732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  405740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  405743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  405746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  405753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  405757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405761 */     // MIs[0] policy
     /*  405761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  405788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405806 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405808 */     GIR_RootConstrainSelectedInstOperands,
     /*  405809 */     // GIR_Coverage, 23427,
     /*  405809 */     GIR_EraseRootFromParent_Done,
     /*  405810 */   // Label 7136: @405810
     /*  405810 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(405896), // Rule ID 23430 //
     /*  405815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  405818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  405832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  405835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  405839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405847 */     // MIs[0] policy
     /*  405847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405857 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  405857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405861 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  405874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405892 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405894 */     GIR_RootConstrainSelectedInstOperands,
     /*  405895 */     // GIR_Coverage, 23430,
     /*  405895 */     GIR_EraseRootFromParent_Done,
     /*  405896 */   // Label 7137: @405896
     /*  405896 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(405982), // Rule ID 23431 //
     /*  405901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  405904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  405912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  405915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  405918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  405921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  405925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  405933 */     // MIs[0] policy
     /*  405933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  405936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10956:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  405943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  405947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  405953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  405957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  405960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  405970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405978 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  405980 */     GIR_RootConstrainSelectedInstOperands,
     /*  405981 */     // GIR_Coverage, 23431,
     /*  405981 */     GIR_EraseRootFromParent_Done,
     /*  405982 */   // Label 7138: @405982
     /*  405982 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(406068), // Rule ID 23434 //
     /*  405987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  405990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  405995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  405998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  406004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  406011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  406019 */     // MIs[0] policy
     /*  406019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406029 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  406033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  406039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  406043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  406046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  406056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406064 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406066 */     GIR_RootConstrainSelectedInstOperands,
     /*  406067 */     // GIR_Coverage, 23434,
     /*  406067 */     GIR_EraseRootFromParent_Done,
     /*  406068 */   // Label 7139: @406068
     /*  406068 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(406154), // Rule ID 23435 //
     /*  406073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  406076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  406081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  406090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  406097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  406105 */     // MIs[0] policy
     /*  406105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10956:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  406119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  406125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  406129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  406132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  406142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406150 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406152 */     GIR_RootConstrainSelectedInstOperands,
     /*  406153 */     // GIR_Coverage, 23435,
     /*  406153 */     GIR_EraseRootFromParent_Done,
     /*  406154 */   // Label 7140: @406154
     /*  406154 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(406240), // Rule ID 23438 //
     /*  406159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  406162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  406167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  406176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  406183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  406191 */     // MIs[0] policy
     /*  406191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  406205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  406211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  406215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  406218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  406228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406236 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406238 */     GIR_RootConstrainSelectedInstOperands,
     /*  406239 */     // GIR_Coverage, 23438,
     /*  406239 */     GIR_EraseRootFromParent_Done,
     /*  406240 */   // Label 7141: @406240
     /*  406240 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(406326), // Rule ID 23439 //
     /*  406245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  406248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  406253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  406262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  406269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  406277 */     // MIs[0] policy
     /*  406277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10956:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  406291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  406297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // V0
     /*  406301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  406304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  406314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406322 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406324 */     GIR_RootConstrainSelectedInstOperands,
     /*  406325 */     // GIR_Coverage, 23439,
     /*  406325 */     GIR_EraseRootFromParent_Done,
     /*  406326 */   // Label 7142: @406326
     /*  406326 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(406394), // Rule ID 59904 //
     /*  406331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  406334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406363 */     // MIs[0] policy
     /*  406363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10954:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  406376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406390 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406392 */     GIR_RootConstrainSelectedInstOperands,
     /*  406393 */     // GIR_Coverage, 59904,
     /*  406393 */     GIR_EraseRootFromParent_Done,
     /*  406394 */   // Label 7143: @406394
     /*  406394 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(406462), // Rule ID 59905 //
     /*  406399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  406402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406431 */     // MIs[0] policy
     /*  406431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10954:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  406444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406458 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406460 */     GIR_RootConstrainSelectedInstOperands,
     /*  406461 */     // GIR_Coverage, 59905,
     /*  406461 */     GIR_EraseRootFromParent_Done,
     /*  406462 */   // Label 7144: @406462
     /*  406462 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(406530), // Rule ID 59906 //
     /*  406467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  406470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406499 */     // MIs[0] policy
     /*  406499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  406512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406526 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406528 */     GIR_RootConstrainSelectedInstOperands,
     /*  406529 */     // GIR_Coverage, 59906,
     /*  406529 */     GIR_EraseRootFromParent_Done,
     /*  406530 */   // Label 7145: @406530
     /*  406530 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(406598), // Rule ID 59907 //
     /*  406535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  406538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  406543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  406546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  406549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  406552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406567 */     // MIs[0] policy
     /*  406567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  406580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406594 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406596 */     GIR_RootConstrainSelectedInstOperands,
     /*  406597 */     // GIR_Coverage, 59907,
     /*  406597 */     GIR_EraseRootFromParent_Done,
     /*  406598 */   // Label 7146: @406598
     /*  406598 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(406666), // Rule ID 61400 //
     /*  406603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  406606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406635 */     // MIs[0] policy
     /*  406635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406645 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10954:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  406648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406662 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406664 */     GIR_RootConstrainSelectedInstOperands,
     /*  406665 */     // GIR_Coverage, 61400,
     /*  406665 */     GIR_EraseRootFromParent_Done,
     /*  406666 */   // Label 7147: @406666
     /*  406666 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(406734), // Rule ID 61401 //
     /*  406671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  406674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  406682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  406685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  406688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  406703 */     // MIs[0] policy
     /*  406703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10954:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  406716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406730 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406732 */     GIR_RootConstrainSelectedInstOperands,
     /*  406733 */     // GIR_Coverage, 61401,
     /*  406733 */     GIR_EraseRootFromParent_Done,
     /*  406734 */   // Label 7148: @406734
     /*  406734 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(406802), // Rule ID 61402 //
     /*  406739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  406742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406771 */     // MIs[0] policy
     /*  406771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10954:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  406784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406798 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406800 */     GIR_RootConstrainSelectedInstOperands,
     /*  406801 */     // GIR_Coverage, 61402,
     /*  406801 */     GIR_EraseRootFromParent_Done,
     /*  406802 */   // Label 7149: @406802
     /*  406802 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(406870), // Rule ID 61403 //
     /*  406807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  406810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406839 */     // MIs[0] policy
     /*  406839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10954:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  406852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406866 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406868 */     GIR_RootConstrainSelectedInstOperands,
     /*  406869 */     // GIR_Coverage, 61403,
     /*  406869 */     GIR_EraseRootFromParent_Done,
     /*  406870 */   // Label 7150: @406870
     /*  406870 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(406938), // Rule ID 61404 //
     /*  406875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  406878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  406895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406907 */     // MIs[0] policy
     /*  406907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10954:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  406917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  406920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406934 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  406936 */     GIR_RootConstrainSelectedInstOperands,
     /*  406937 */     // GIR_Coverage, 61404,
     /*  406937 */     GIR_EraseRootFromParent_Done,
     /*  406938 */   // Label 7151: @406938
     /*  406938 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(407006), // Rule ID 61405 //
     /*  406943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  406946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  406951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  406963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406975 */     // MIs[0] policy
     /*  406975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  406978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406985 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10954:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  406985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  406988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  406990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  406992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407002 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407004 */     GIR_RootConstrainSelectedInstOperands,
     /*  407005 */     // GIR_Coverage, 61405,
     /*  407005 */     GIR_EraseRootFromParent_Done,
     /*  407006 */   // Label 7152: @407006
     /*  407006 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(407074), // Rule ID 61406 //
     /*  407011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  407014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  407019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407043 */     // MIs[0] policy
     /*  407043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10954:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  407056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407070 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407072 */     GIR_RootConstrainSelectedInstOperands,
     /*  407073 */     // GIR_Coverage, 61406,
     /*  407073 */     GIR_EraseRootFromParent_Done,
     /*  407074 */   // Label 7153: @407074
     /*  407074 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(407142), // Rule ID 61407 //
     /*  407079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  407082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  407087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407111 */     // MIs[0] policy
     /*  407111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407121 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10954:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  407124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407138 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407140 */     GIR_RootConstrainSelectedInstOperands,
     /*  407141 */     // GIR_Coverage, 61407,
     /*  407141 */     GIR_EraseRootFromParent_Done,
     /*  407142 */   // Label 7154: @407142
     /*  407142 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(407210), // Rule ID 61408 //
     /*  407147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407179 */     // MIs[0] policy
     /*  407179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407189 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  407192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407206 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407208 */     GIR_RootConstrainSelectedInstOperands,
     /*  407209 */     // GIR_Coverage, 61408,
     /*  407209 */     GIR_EraseRootFromParent_Done,
     /*  407210 */   // Label 7155: @407210
     /*  407210 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(407278), // Rule ID 61409 //
     /*  407215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407247 */     // MIs[0] policy
     /*  407247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  407260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407274 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407276 */     GIR_RootConstrainSelectedInstOperands,
     /*  407277 */     // GIR_Coverage, 61409,
     /*  407277 */     GIR_EraseRootFromParent_Done,
     /*  407278 */   // Label 7156: @407278
     /*  407278 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(407346), // Rule ID 61410 //
     /*  407283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407315 */     // MIs[0] policy
     /*  407315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  407328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407342 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407344 */     GIR_RootConstrainSelectedInstOperands,
     /*  407345 */     // GIR_Coverage, 61410,
     /*  407345 */     GIR_EraseRootFromParent_Done,
     /*  407346 */   // Label 7157: @407346
     /*  407346 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(407414), // Rule ID 61411 //
     /*  407351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407383 */     // MIs[0] policy
     /*  407383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10780:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  407396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407410 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407412 */     GIR_RootConstrainSelectedInstOperands,
     /*  407413 */     // GIR_Coverage, 61411,
     /*  407413 */     GIR_EraseRootFromParent_Done,
     /*  407414 */   // Label 7158: @407414
     /*  407414 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(407482), // Rule ID 61412 //
     /*  407419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407451 */     // MIs[0] policy
     /*  407451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  407464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407478 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407480 */     GIR_RootConstrainSelectedInstOperands,
     /*  407481 */     // GIR_Coverage, 61412,
     /*  407481 */     GIR_EraseRootFromParent_Done,
     /*  407482 */   // Label 7159: @407482
     /*  407482 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(407550), // Rule ID 61413 //
     /*  407487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  407498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  407501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  407504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  407519 */     // MIs[0] policy
     /*  407519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10780:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  407532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407546 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407548 */     GIR_RootConstrainSelectedInstOperands,
     /*  407549 */     // GIR_Coverage, 61413,
     /*  407549 */     GIR_EraseRootFromParent_Done,
     /*  407550 */   // Label 7160: @407550
     /*  407550 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(407618), // Rule ID 61414 //
     /*  407555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407587 */     // MIs[0] policy
     /*  407587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  407600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407614 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407616 */     GIR_RootConstrainSelectedInstOperands,
     /*  407617 */     // GIR_Coverage, 61414,
     /*  407617 */     GIR_EraseRootFromParent_Done,
     /*  407618 */   // Label 7161: @407618
     /*  407618 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(407686), // Rule ID 61415 //
     /*  407623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  407634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  407637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  407640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  407655 */     // MIs[0] policy
     /*  407655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10780:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  407668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407682 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407684 */     GIR_RootConstrainSelectedInstOperands,
     /*  407685 */     // GIR_Coverage, 61415,
     /*  407685 */     GIR_EraseRootFromParent_Done,
     /*  407686 */   // Label 7162: @407686
     /*  407686 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(407754), // Rule ID 61416 //
     /*  407691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407723 */     // MIs[0] policy
     /*  407723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  407736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407750 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407752 */     GIR_RootConstrainSelectedInstOperands,
     /*  407753 */     // GIR_Coverage, 61416,
     /*  407753 */     GIR_EraseRootFromParent_Done,
     /*  407754 */   // Label 7163: @407754
     /*  407754 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(407822), // Rule ID 61417 //
     /*  407759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  407767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  407770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  407773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  407776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407791 */     // MIs[0] policy
     /*  407791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10780:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  407804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407818 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407820 */     GIR_RootConstrainSelectedInstOperands,
     /*  407821 */     // GIR_Coverage, 61417,
     /*  407821 */     GIR_EraseRootFromParent_Done,
     /*  407822 */   // Label 7164: @407822
     /*  407822 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(407890), // Rule ID 61418 //
     /*  407827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407859 */     // MIs[0] policy
     /*  407859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  407869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  407872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407886 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407888 */     GIR_RootConstrainSelectedInstOperands,
     /*  407889 */     // GIR_Coverage, 61418,
     /*  407889 */     GIR_EraseRootFromParent_Done,
     /*  407890 */   // Label 7165: @407890
     /*  407890 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(407958), // Rule ID 61419 //
     /*  407895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  407898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  407915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407927 */     // MIs[0] policy
     /*  407927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407937 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  407937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  407940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  407942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  407944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407954 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  407956 */     GIR_RootConstrainSelectedInstOperands,
     /*  407957 */     // GIR_Coverage, 61419,
     /*  407957 */     GIR_EraseRootFromParent_Done,
     /*  407958 */   // Label 7166: @407958
     /*  407958 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(408026), // Rule ID 61420 //
     /*  407963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  407966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  407971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  407983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407995 */     // MIs[0] policy
     /*  407995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  407998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408005 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  408008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408022 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408024 */     GIR_RootConstrainSelectedInstOperands,
     /*  408025 */     // GIR_Coverage, 61420,
     /*  408025 */     GIR_EraseRootFromParent_Done,
     /*  408026 */   // Label 7167: @408026
     /*  408026 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(408094), // Rule ID 61421 //
     /*  408031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  408042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  408045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408063 */     // MIs[0] policy
     /*  408063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408073 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10779:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  408076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408090 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408092 */     GIR_RootConstrainSelectedInstOperands,
     /*  408093 */     // GIR_Coverage, 61421,
     /*  408093 */     GIR_EraseRootFromParent_Done,
     /*  408094 */   // Label 7168: @408094
     /*  408094 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(408162), // Rule ID 61422 //
     /*  408099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408131 */     // MIs[0] policy
     /*  408131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  408144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408158 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408160 */     GIR_RootConstrainSelectedInstOperands,
     /*  408161 */     // GIR_Coverage, 61422,
     /*  408161 */     GIR_EraseRootFromParent_Done,
     /*  408162 */   // Label 7169: @408162
     /*  408162 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(408230), // Rule ID 61423 //
     /*  408167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408199 */     // MIs[0] policy
     /*  408199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408209 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  408212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408226 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408228 */     GIR_RootConstrainSelectedInstOperands,
     /*  408229 */     // GIR_Coverage, 61423,
     /*  408229 */     GIR_EraseRootFromParent_Done,
     /*  408230 */   // Label 7170: @408230
     /*  408230 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(408298), // Rule ID 61424 //
     /*  408235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408267 */     // MIs[0] policy
     /*  408267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  408280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408294 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408296 */     GIR_RootConstrainSelectedInstOperands,
     /*  408297 */     // GIR_Coverage, 61424,
     /*  408297 */     GIR_EraseRootFromParent_Done,
     /*  408298 */   // Label 7171: @408298
     /*  408298 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(408366), // Rule ID 61425 //
     /*  408303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408335 */     // MIs[0] policy
     /*  408335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  408348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408362 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408364 */     GIR_RootConstrainSelectedInstOperands,
     /*  408365 */     // GIR_Coverage, 61425,
     /*  408365 */     GIR_EraseRootFromParent_Done,
     /*  408366 */   // Label 7172: @408366
     /*  408366 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(408434), // Rule ID 61426 //
     /*  408371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408403 */     // MIs[0] policy
     /*  408403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408413 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  408416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408430 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408432 */     GIR_RootConstrainSelectedInstOperands,
     /*  408433 */     // GIR_Coverage, 61426,
     /*  408433 */     GIR_EraseRootFromParent_Done,
     /*  408434 */   // Label 7173: @408434
     /*  408434 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(408502), // Rule ID 61427 //
     /*  408439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408471 */     // MIs[0] policy
     /*  408471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408481 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10779:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  408484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408498 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408500 */     GIR_RootConstrainSelectedInstOperands,
     /*  408501 */     // GIR_Coverage, 61427,
     /*  408501 */     GIR_EraseRootFromParent_Done,
     /*  408502 */   // Label 7174: @408502
     /*  408502 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(408570), // Rule ID 61428 //
     /*  408507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408539 */     // MIs[0] policy
     /*  408539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408549 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  408552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408566 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408568 */     GIR_RootConstrainSelectedInstOperands,
     /*  408569 */     // GIR_Coverage, 61428,
     /*  408569 */     GIR_EraseRootFromParent_Done,
     /*  408570 */   // Label 7175: @408570
     /*  408570 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(408638), // Rule ID 61429 //
     /*  408575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  408592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408607 */     // MIs[0] policy
     /*  408607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408617 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  408620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408634 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408636 */     GIR_RootConstrainSelectedInstOperands,
     /*  408637 */     // GIR_Coverage, 61429,
     /*  408637 */     GIR_EraseRootFromParent_Done,
     /*  408638 */   // Label 7176: @408638
     /*  408638 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(408706), // Rule ID 61430 //
     /*  408643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408675 */     // MIs[0] policy
     /*  408675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  408688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408702 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408704 */     GIR_RootConstrainSelectedInstOperands,
     /*  408705 */     // GIR_Coverage, 61430,
     /*  408705 */     GIR_EraseRootFromParent_Done,
     /*  408706 */   // Label 7177: @408706
     /*  408706 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(408774), // Rule ID 61431 //
     /*  408711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  408728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408743 */     // MIs[0] policy
     /*  408743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  408756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408770 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408772 */     GIR_RootConstrainSelectedInstOperands,
     /*  408773 */     // GIR_Coverage, 61431,
     /*  408773 */     GIR_EraseRootFromParent_Done,
     /*  408774 */   // Label 7178: @408774
     /*  408774 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(408842), // Rule ID 61432 //
     /*  408779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408811 */     // MIs[0] policy
     /*  408811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408821 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  408824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408838 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408840 */     GIR_RootConstrainSelectedInstOperands,
     /*  408841 */     // GIR_Coverage, 61432,
     /*  408841 */     GIR_EraseRootFromParent_Done,
     /*  408842 */   // Label 7179: @408842
     /*  408842 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(408910), // Rule ID 61433 //
     /*  408847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  408867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408879 */     // MIs[0] policy
     /*  408879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  408889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  408892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408906 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408908 */     GIR_RootConstrainSelectedInstOperands,
     /*  408909 */     // GIR_Coverage, 61433,
     /*  408909 */     GIR_EraseRootFromParent_Done,
     /*  408910 */   // Label 7180: @408910
     /*  408910 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(408978), // Rule ID 61434 //
     /*  408915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  408918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  408935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408947 */     // MIs[0] policy
     /*  408947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  408950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408957 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  408957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  408960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  408962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  408964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408974 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  408976 */     GIR_RootConstrainSelectedInstOperands,
     /*  408977 */     // GIR_Coverage, 61434,
     /*  408977 */     GIR_EraseRootFromParent_Done,
     /*  408978 */   // Label 7181: @408978
     /*  408978 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(409046), // Rule ID 61435 //
     /*  408983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  408986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  408991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409015 */     // MIs[0] policy
     /*  409015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10779:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  409028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409042 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409044 */     GIR_RootConstrainSelectedInstOperands,
     /*  409045 */     // GIR_Coverage, 61435,
     /*  409045 */     GIR_EraseRootFromParent_Done,
     /*  409046 */   // Label 7182: @409046
     /*  409046 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(409114), // Rule ID 61436 //
     /*  409051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409083 */     // MIs[0] policy
     /*  409083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  409096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409110 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409112 */     GIR_RootConstrainSelectedInstOperands,
     /*  409113 */     // GIR_Coverage, 61436,
     /*  409113 */     GIR_EraseRootFromParent_Done,
     /*  409114 */   // Label 7183: @409114
     /*  409114 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(409182), // Rule ID 61437 //
     /*  409119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409151 */     // MIs[0] policy
     /*  409151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  409164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409178 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409180 */     GIR_RootConstrainSelectedInstOperands,
     /*  409181 */     // GIR_Coverage, 61437,
     /*  409181 */     GIR_EraseRootFromParent_Done,
     /*  409182 */   // Label 7184: @409182
     /*  409182 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(409250), // Rule ID 61438 //
     /*  409187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409219 */     // MIs[0] policy
     /*  409219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409229 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  409232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409246 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409248 */     GIR_RootConstrainSelectedInstOperands,
     /*  409249 */     // GIR_Coverage, 61438,
     /*  409249 */     GIR_EraseRootFromParent_Done,
     /*  409250 */   // Label 7185: @409250
     /*  409250 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(409318), // Rule ID 61439 //
     /*  409255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409287 */     // MIs[0] policy
     /*  409287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  409300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409314 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409316 */     GIR_RootConstrainSelectedInstOperands,
     /*  409317 */     // GIR_Coverage, 61439,
     /*  409317 */     GIR_EraseRootFromParent_Done,
     /*  409318 */   // Label 7186: @409318
     /*  409318 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(409386), // Rule ID 61440 //
     /*  409323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409355 */     // MIs[0] policy
     /*  409355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  409368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409382 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409384 */     GIR_RootConstrainSelectedInstOperands,
     /*  409385 */     // GIR_Coverage, 61440,
     /*  409385 */     GIR_EraseRootFromParent_Done,
     /*  409386 */   // Label 7187: @409386
     /*  409386 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(409454), // Rule ID 61441 //
     /*  409391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409423 */     // MIs[0] policy
     /*  409423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  409436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409450 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409452 */     GIR_RootConstrainSelectedInstOperands,
     /*  409453 */     // GIR_Coverage, 61441,
     /*  409453 */     GIR_EraseRootFromParent_Done,
     /*  409454 */   // Label 7188: @409454
     /*  409454 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(409522), // Rule ID 61442 //
     /*  409459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409491 */     // MIs[0] policy
     /*  409491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  409504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409518 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409520 */     GIR_RootConstrainSelectedInstOperands,
     /*  409521 */     // GIR_Coverage, 61442,
     /*  409521 */     GIR_EraseRootFromParent_Done,
     /*  409522 */   // Label 7189: @409522
     /*  409522 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(409590), // Rule ID 61443 //
     /*  409527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  409535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  409538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  409541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  409544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409559 */     // MIs[0] policy
     /*  409559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10779:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  409572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409586 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409588 */     GIR_RootConstrainSelectedInstOperands,
     /*  409589 */     // GIR_Coverage, 61443,
     /*  409589 */     GIR_EraseRootFromParent_Done,
     /*  409590 */   // Label 7190: @409590
     /*  409590 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(409658), // Rule ID 61444 //
     /*  409595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409627 */     // MIs[0] policy
     /*  409627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  409640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409654 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409656 */     GIR_RootConstrainSelectedInstOperands,
     /*  409657 */     // GIR_Coverage, 61444,
     /*  409657 */     GIR_EraseRootFromParent_Done,
     /*  409658 */   // Label 7191: @409658
     /*  409658 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(409726), // Rule ID 61445 //
     /*  409663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  409680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409695 */     // MIs[0] policy
     /*  409695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  409708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409722 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409724 */     GIR_RootConstrainSelectedInstOperands,
     /*  409725 */     // GIR_Coverage, 61445,
     /*  409725 */     GIR_EraseRootFromParent_Done,
     /*  409726 */   // Label 7192: @409726
     /*  409726 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(409794), // Rule ID 61446 //
     /*  409731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409763 */     // MIs[0] policy
     /*  409763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  409776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409790 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409792 */     GIR_RootConstrainSelectedInstOperands,
     /*  409793 */     // GIR_Coverage, 61446,
     /*  409793 */     GIR_EraseRootFromParent_Done,
     /*  409794 */   // Label 7193: @409794
     /*  409794 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(409862), // Rule ID 61447 //
     /*  409799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  409816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409831 */     // MIs[0] policy
     /*  409831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10782:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  409844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409858 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409860 */     GIR_RootConstrainSelectedInstOperands,
     /*  409861 */     // GIR_Coverage, 61447,
     /*  409861 */     GIR_EraseRootFromParent_Done,
     /*  409862 */   // Label 7194: @409862
     /*  409862 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(409930), // Rule ID 61448 //
     /*  409867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  409870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  409887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409899 */     // MIs[0] policy
     /*  409899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  409909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  409912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409926 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409928 */     GIR_RootConstrainSelectedInstOperands,
     /*  409929 */     // GIR_Coverage, 61448,
     /*  409929 */     GIR_EraseRootFromParent_Done,
     /*  409930 */   // Label 7195: @409930
     /*  409930 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(409998), // Rule ID 61449 //
     /*  409935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  409938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  409943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  409952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  409955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409967 */     // MIs[0] policy
     /*  409967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  409970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10782:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  409977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  409980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  409982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  409984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  409994 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  409996 */     GIR_RootConstrainSelectedInstOperands,
     /*  409997 */     // GIR_Coverage, 61449,
     /*  409997 */     GIR_EraseRootFromParent_Done,
     /*  409998 */   // Label 7196: @409998
     /*  409998 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(410066), // Rule ID 61450 //
     /*  410003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  410011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410035 */     // MIs[0] policy
     /*  410035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  410048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410062 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410064 */     GIR_RootConstrainSelectedInstOperands,
     /*  410065 */     // GIR_Coverage, 61450,
     /*  410065 */     GIR_EraseRootFromParent_Done,
     /*  410066 */   // Label 7197: @410066
     /*  410066 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(410134), // Rule ID 61451 //
     /*  410071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  410079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  410082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  410085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410103 */     // MIs[0] policy
     /*  410103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10782:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  410116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410130 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410132 */     GIR_RootConstrainSelectedInstOperands,
     /*  410133 */     // GIR_Coverage, 61451,
     /*  410133 */     GIR_EraseRootFromParent_Done,
     /*  410134 */   // Label 7198: @410134
     /*  410134 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(410202), // Rule ID 61452 //
     /*  410139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  410147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410171 */     // MIs[0] policy
     /*  410171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  410184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410198 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410200 */     GIR_RootConstrainSelectedInstOperands,
     /*  410201 */     // GIR_Coverage, 61452,
     /*  410201 */     GIR_EraseRootFromParent_Done,
     /*  410202 */   // Label 7199: @410202
     /*  410202 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(410270), // Rule ID 61453 //
     /*  410207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  410215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  410224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410239 */     // MIs[0] policy
     /*  410239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410249 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10782:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  410252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410266 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410268 */     GIR_RootConstrainSelectedInstOperands,
     /*  410269 */     // GIR_Coverage, 61453,
     /*  410269 */     GIR_EraseRootFromParent_Done,
     /*  410270 */   // Label 7200: @410270
     /*  410270 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(410338), // Rule ID 61454 //
     /*  410275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410307 */     // MIs[0] policy
     /*  410307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  410320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410334 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410336 */     GIR_RootConstrainSelectedInstOperands,
     /*  410337 */     // GIR_Coverage, 61454,
     /*  410337 */     GIR_EraseRootFromParent_Done,
     /*  410338 */   // Label 7201: @410338
     /*  410338 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(410406), // Rule ID 61455 //
     /*  410343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410375 */     // MIs[0] policy
     /*  410375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410385 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  410388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410402 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410404 */     GIR_RootConstrainSelectedInstOperands,
     /*  410405 */     // GIR_Coverage, 61455,
     /*  410405 */     GIR_EraseRootFromParent_Done,
     /*  410406 */   // Label 7202: @410406
     /*  410406 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(410474), // Rule ID 61456 //
     /*  410411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410443 */     // MIs[0] policy
     /*  410443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  410456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410470 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410472 */     GIR_RootConstrainSelectedInstOperands,
     /*  410473 */     // GIR_Coverage, 61456,
     /*  410473 */     GIR_EraseRootFromParent_Done,
     /*  410474 */   // Label 7203: @410474
     /*  410474 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(410542), // Rule ID 61457 //
     /*  410479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410511 */     // MIs[0] policy
     /*  410511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  410524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410538 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410540 */     GIR_RootConstrainSelectedInstOperands,
     /*  410541 */     // GIR_Coverage, 61457,
     /*  410541 */     GIR_EraseRootFromParent_Done,
     /*  410542 */   // Label 7204: @410542
     /*  410542 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(410610), // Rule ID 61458 //
     /*  410547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410579 */     // MIs[0] policy
     /*  410579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  410592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410606 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410608 */     GIR_RootConstrainSelectedInstOperands,
     /*  410609 */     // GIR_Coverage, 61458,
     /*  410609 */     GIR_EraseRootFromParent_Done,
     /*  410610 */   // Label 7205: @410610
     /*  410610 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(410678), // Rule ID 61459 //
     /*  410615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410647 */     // MIs[0] policy
     /*  410647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10781:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  410660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410674 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410676 */     GIR_RootConstrainSelectedInstOperands,
     /*  410677 */     // GIR_Coverage, 61459,
     /*  410677 */     GIR_EraseRootFromParent_Done,
     /*  410678 */   // Label 7206: @410678
     /*  410678 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(410746), // Rule ID 61460 //
     /*  410683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410715 */     // MIs[0] policy
     /*  410715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  410728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410742 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410744 */     GIR_RootConstrainSelectedInstOperands,
     /*  410745 */     // GIR_Coverage, 61460,
     /*  410745 */     GIR_EraseRootFromParent_Done,
     /*  410746 */   // Label 7207: @410746
     /*  410746 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(410814), // Rule ID 61461 //
     /*  410751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410783 */     // MIs[0] policy
     /*  410783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  410796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410810 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410812 */     GIR_RootConstrainSelectedInstOperands,
     /*  410813 */     // GIR_Coverage, 61461,
     /*  410813 */     GIR_EraseRootFromParent_Done,
     /*  410814 */   // Label 7208: @410814
     /*  410814 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(410882), // Rule ID 61462 //
     /*  410819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410851 */     // MIs[0] policy
     /*  410851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  410864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410878 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410880 */     GIR_RootConstrainSelectedInstOperands,
     /*  410881 */     // GIR_Coverage, 61462,
     /*  410881 */     GIR_EraseRootFromParent_Done,
     /*  410882 */   // Label 7209: @410882
     /*  410882 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(410950), // Rule ID 61463 //
     /*  410887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  410890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  410907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410919 */     // MIs[0] policy
     /*  410919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410929 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  410929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  410932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  410934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  410936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410946 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  410948 */     GIR_RootConstrainSelectedInstOperands,
     /*  410949 */     // GIR_Coverage, 61463,
     /*  410949 */     GIR_EraseRootFromParent_Done,
     /*  410950 */   // Label 7210: @410950
     /*  410950 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(411018), // Rule ID 61464 //
     /*  410955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  410958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  410963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  410966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  410969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  410975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410987 */     // MIs[0] policy
     /*  410987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  410990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  410997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  411000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411014 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411016 */     GIR_RootConstrainSelectedInstOperands,
     /*  411017 */     // GIR_Coverage, 61464,
     /*  411017 */     GIR_EraseRootFromParent_Done,
     /*  411018 */   // Label 7211: @411018
     /*  411018 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(411086), // Rule ID 61465 //
     /*  411023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411055 */     // MIs[0] policy
     /*  411055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10781:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  411068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411082 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411084 */     GIR_RootConstrainSelectedInstOperands,
     /*  411085 */     // GIR_Coverage, 61465,
     /*  411085 */     GIR_EraseRootFromParent_Done,
     /*  411086 */   // Label 7212: @411086
     /*  411086 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(411154), // Rule ID 61466 //
     /*  411091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411123 */     // MIs[0] policy
     /*  411123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411133 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  411136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411150 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411152 */     GIR_RootConstrainSelectedInstOperands,
     /*  411153 */     // GIR_Coverage, 61466,
     /*  411153 */     GIR_EraseRootFromParent_Done,
     /*  411154 */   // Label 7213: @411154
     /*  411154 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(411222), // Rule ID 61467 //
     /*  411159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411191 */     // MIs[0] policy
     /*  411191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  411204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411218 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411220 */     GIR_RootConstrainSelectedInstOperands,
     /*  411221 */     // GIR_Coverage, 61467,
     /*  411221 */     GIR_EraseRootFromParent_Done,
     /*  411222 */   // Label 7214: @411222
     /*  411222 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(411290), // Rule ID 61468 //
     /*  411227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411259 */     // MIs[0] policy
     /*  411259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  411272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411286 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411288 */     GIR_RootConstrainSelectedInstOperands,
     /*  411289 */     // GIR_Coverage, 61468,
     /*  411289 */     GIR_EraseRootFromParent_Done,
     /*  411290 */   // Label 7215: @411290
     /*  411290 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(411358), // Rule ID 61469 //
     /*  411295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411327 */     // MIs[0] policy
     /*  411327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411337 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  411340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411354 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411356 */     GIR_RootConstrainSelectedInstOperands,
     /*  411357 */     // GIR_Coverage, 61469,
     /*  411357 */     GIR_EraseRootFromParent_Done,
     /*  411358 */   // Label 7216: @411358
     /*  411358 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(411426), // Rule ID 61470 //
     /*  411363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411395 */     // MIs[0] policy
     /*  411395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411405 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  411408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411422 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411424 */     GIR_RootConstrainSelectedInstOperands,
     /*  411425 */     // GIR_Coverage, 61470,
     /*  411425 */     GIR_EraseRootFromParent_Done,
     /*  411426 */   // Label 7217: @411426
     /*  411426 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(411494), // Rule ID 61471 //
     /*  411431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411463 */     // MIs[0] policy
     /*  411463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  411476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411490 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411492 */     GIR_RootConstrainSelectedInstOperands,
     /*  411493 */     // GIR_Coverage, 61471,
     /*  411493 */     GIR_EraseRootFromParent_Done,
     /*  411494 */   // Label 7218: @411494
     /*  411494 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(411562), // Rule ID 61472 //
     /*  411499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411531 */     // MIs[0] policy
     /*  411531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  411544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411558 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411560 */     GIR_RootConstrainSelectedInstOperands,
     /*  411561 */     // GIR_Coverage, 61472,
     /*  411561 */     GIR_EraseRootFromParent_Done,
     /*  411562 */   // Label 7219: @411562
     /*  411562 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(411630), // Rule ID 61473 //
     /*  411567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  411584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411599 */     // MIs[0] policy
     /*  411599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411609 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10781:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  411612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411626 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411628 */     GIR_RootConstrainSelectedInstOperands,
     /*  411629 */     // GIR_Coverage, 61473,
     /*  411629 */     GIR_EraseRootFromParent_Done,
     /*  411630 */   // Label 7220: @411630
     /*  411630 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(411698), // Rule ID 61474 //
     /*  411635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411667 */     // MIs[0] policy
     /*  411667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  411680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411694 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411696 */     GIR_RootConstrainSelectedInstOperands,
     /*  411697 */     // GIR_Coverage, 61474,
     /*  411697 */     GIR_EraseRootFromParent_Done,
     /*  411698 */   // Label 7221: @411698
     /*  411698 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(411766), // Rule ID 61475 //
     /*  411703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411735 */     // MIs[0] policy
     /*  411735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411745 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  411748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411762 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411764 */     GIR_RootConstrainSelectedInstOperands,
     /*  411765 */     // GIR_Coverage, 61475,
     /*  411765 */     GIR_EraseRootFromParent_Done,
     /*  411766 */   // Label 7222: @411766
     /*  411766 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(411834), // Rule ID 61476 //
     /*  411771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411803 */     // MIs[0] policy
     /*  411803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411813 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  411816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411830 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411832 */     GIR_RootConstrainSelectedInstOperands,
     /*  411833 */     // GIR_Coverage, 61476,
     /*  411833 */     GIR_EraseRootFromParent_Done,
     /*  411834 */   // Label 7223: @411834
     /*  411834 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(411902), // Rule ID 61477 //
     /*  411839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411871 */     // MIs[0] policy
     /*  411871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411881 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  411881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  411884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411898 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411900 */     GIR_RootConstrainSelectedInstOperands,
     /*  411901 */     // GIR_Coverage, 61477,
     /*  411901 */     GIR_EraseRootFromParent_Done,
     /*  411902 */   // Label 7224: @411902
     /*  411902 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(411970), // Rule ID 61478 //
     /*  411907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  411910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  411927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411939 */     // MIs[0] policy
     /*  411939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  411942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  411949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  411952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  411954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  411956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411966 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  411968 */     GIR_RootConstrainSelectedInstOperands,
     /*  411969 */     // GIR_Coverage, 61478,
     /*  411969 */     GIR_EraseRootFromParent_Done,
     /*  411970 */   // Label 7225: @411970
     /*  411970 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(412038), // Rule ID 61479 //
     /*  411975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  411978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  411983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  411995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412007 */     // MIs[0] policy
     /*  412007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  412020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412034 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412036 */     GIR_RootConstrainSelectedInstOperands,
     /*  412037 */     // GIR_Coverage, 61479,
     /*  412037 */     GIR_EraseRootFromParent_Done,
     /*  412038 */   // Label 7226: @412038
     /*  412038 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(412106), // Rule ID 61480 //
     /*  412043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  412051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412075 */     // MIs[0] policy
     /*  412075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412085 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  412088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412102 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412104 */     GIR_RootConstrainSelectedInstOperands,
     /*  412105 */     // GIR_Coverage, 61480,
     /*  412105 */     GIR_EraseRootFromParent_Done,
     /*  412106 */   // Label 7227: @412106
     /*  412106 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(412174), // Rule ID 61481 //
     /*  412111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  412119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412143 */     // MIs[0] policy
     /*  412143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10781:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  412156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412170 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412172 */     GIR_RootConstrainSelectedInstOperands,
     /*  412173 */     // GIR_Coverage, 61481,
     /*  412173 */     GIR_EraseRootFromParent_Done,
     /*  412174 */   // Label 7228: @412174
     /*  412174 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(412242), // Rule ID 61482 //
     /*  412179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412211 */     // MIs[0] policy
     /*  412211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412221 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  412224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412238 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412240 */     GIR_RootConstrainSelectedInstOperands,
     /*  412241 */     // GIR_Coverage, 61482,
     /*  412241 */     GIR_EraseRootFromParent_Done,
     /*  412242 */   // Label 7229: @412242
     /*  412242 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(412310), // Rule ID 61483 //
     /*  412247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412279 */     // MIs[0] policy
     /*  412279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  412292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412306 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412308 */     GIR_RootConstrainSelectedInstOperands,
     /*  412309 */     // GIR_Coverage, 61483,
     /*  412309 */     GIR_EraseRootFromParent_Done,
     /*  412310 */   // Label 7230: @412310
     /*  412310 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(412378), // Rule ID 61484 //
     /*  412315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412347 */     // MIs[0] policy
     /*  412347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  412360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412374 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412376 */     GIR_RootConstrainSelectedInstOperands,
     /*  412377 */     // GIR_Coverage, 61484,
     /*  412377 */     GIR_EraseRootFromParent_Done,
     /*  412378 */   // Label 7231: @412378
     /*  412378 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(412446), // Rule ID 61485 //
     /*  412383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  412394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  412397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  412400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412415 */     // MIs[0] policy
     /*  412415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10784:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  412428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412442 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412444 */     GIR_RootConstrainSelectedInstOperands,
     /*  412445 */     // GIR_Coverage, 61485,
     /*  412445 */     GIR_EraseRootFromParent_Done,
     /*  412446 */   // Label 7232: @412446
     /*  412446 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(412514), // Rule ID 61486 //
     /*  412451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  412465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412483 */     // MIs[0] policy
     /*  412483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412493 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  412496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412510 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412512 */     GIR_RootConstrainSelectedInstOperands,
     /*  412513 */     // GIR_Coverage, 61486,
     /*  412513 */     GIR_EraseRootFromParent_Done,
     /*  412514 */   // Label 7233: @412514
     /*  412514 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(412582), // Rule ID 61487 //
     /*  412519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  412530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  412533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412551 */     // MIs[0] policy
     /*  412551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412561 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10784:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  412564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412578 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412580 */     GIR_RootConstrainSelectedInstOperands,
     /*  412581 */     // GIR_Coverage, 61487,
     /*  412581 */     GIR_EraseRootFromParent_Done,
     /*  412582 */   // Label 7234: @412582
     /*  412582 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(412650), // Rule ID 61488 //
     /*  412587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412619 */     // MIs[0] policy
     /*  412619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412629 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  412632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412646 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412648 */     GIR_RootConstrainSelectedInstOperands,
     /*  412649 */     // GIR_Coverage, 61488,
     /*  412649 */     GIR_EraseRootFromParent_Done,
     /*  412650 */   // Label 7235: @412650
     /*  412650 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(412718), // Rule ID 61489 //
     /*  412655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  412666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  412669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412687 */     // MIs[0] policy
     /*  412687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10784:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  412700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412714 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412716 */     GIR_RootConstrainSelectedInstOperands,
     /*  412717 */     // GIR_Coverage, 61489,
     /*  412717 */     GIR_EraseRootFromParent_Done,
     /*  412718 */   // Label 7236: @412718
     /*  412718 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(412786), // Rule ID 61490 //
     /*  412723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412755 */     // MIs[0] policy
     /*  412755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412765 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  412768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412782 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412784 */     GIR_RootConstrainSelectedInstOperands,
     /*  412785 */     // GIR_Coverage, 61490,
     /*  412785 */     GIR_EraseRootFromParent_Done,
     /*  412786 */   // Label 7237: @412786
     /*  412786 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(412854), // Rule ID 61491 //
     /*  412791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  412799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  412802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  412805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  412808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412823 */     // MIs[0] policy
     /*  412823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412833 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10784:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  412836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412850 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412852 */     GIR_RootConstrainSelectedInstOperands,
     /*  412853 */     // GIR_Coverage, 61491,
     /*  412853 */     GIR_EraseRootFromParent_Done,
     /*  412854 */   // Label 7238: @412854
     /*  412854 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(412922), // Rule ID 61492 //
     /*  412859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  412879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412891 */     // MIs[0] policy
     /*  412891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  412901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  412904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412918 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412920 */     GIR_RootConstrainSelectedInstOperands,
     /*  412921 */     // GIR_Coverage, 61492,
     /*  412921 */     GIR_EraseRootFromParent_Done,
     /*  412922 */   // Label 7239: @412922
     /*  412922 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(412990), // Rule ID 61493 //
     /*  412927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  412930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  412935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  412938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  412941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  412944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  412947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412959 */     // MIs[0] policy
     /*  412959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  412962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  412969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  412972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  412974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  412976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412986 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  412988 */     GIR_RootConstrainSelectedInstOperands,
     /*  412989 */     // GIR_Coverage, 61493,
     /*  412989 */     GIR_EraseRootFromParent_Done,
     /*  412990 */   // Label 7240: @412990
     /*  412990 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(413058), // Rule ID 61494 //
     /*  412995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  412998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413027 */     // MIs[0] policy
     /*  413027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413037 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  413040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413054 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413056 */     GIR_RootConstrainSelectedInstOperands,
     /*  413057 */     // GIR_Coverage, 61494,
     /*  413057 */     GIR_EraseRootFromParent_Done,
     /*  413058 */   // Label 7241: @413058
     /*  413058 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(413126), // Rule ID 61495 //
     /*  413063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413095 */     // MIs[0] policy
     /*  413095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  413108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413122 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413124 */     GIR_RootConstrainSelectedInstOperands,
     /*  413125 */     // GIR_Coverage, 61495,
     /*  413125 */     GIR_EraseRootFromParent_Done,
     /*  413126 */   // Label 7242: @413126
     /*  413126 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(413194), // Rule ID 61496 //
     /*  413131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413163 */     // MIs[0] policy
     /*  413163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413173 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  413176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413190 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413192 */     GIR_RootConstrainSelectedInstOperands,
     /*  413193 */     // GIR_Coverage, 61496,
     /*  413193 */     GIR_EraseRootFromParent_Done,
     /*  413194 */   // Label 7243: @413194
     /*  413194 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(413262), // Rule ID 61497 //
     /*  413199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  413210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  413213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413231 */     // MIs[0] policy
     /*  413231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10783:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  413244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413258 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413260 */     GIR_RootConstrainSelectedInstOperands,
     /*  413261 */     // GIR_Coverage, 61497,
     /*  413261 */     GIR_EraseRootFromParent_Done,
     /*  413262 */   // Label 7244: @413262
     /*  413262 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(413330), // Rule ID 61498 //
     /*  413267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413299 */     // MIs[0] policy
     /*  413299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413309 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  413312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413326 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413328 */     GIR_RootConstrainSelectedInstOperands,
     /*  413329 */     // GIR_Coverage, 61498,
     /*  413329 */     GIR_EraseRootFromParent_Done,
     /*  413330 */   // Label 7245: @413330
     /*  413330 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(413398), // Rule ID 61499 //
     /*  413335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413367 */     // MIs[0] policy
     /*  413367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  413380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413394 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413396 */     GIR_RootConstrainSelectedInstOperands,
     /*  413397 */     // GIR_Coverage, 61499,
     /*  413397 */     GIR_EraseRootFromParent_Done,
     /*  413398 */   // Label 7246: @413398
     /*  413398 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(413466), // Rule ID 61500 //
     /*  413403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413435 */     // MIs[0] policy
     /*  413435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  413448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413462 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413464 */     GIR_RootConstrainSelectedInstOperands,
     /*  413465 */     // GIR_Coverage, 61500,
     /*  413465 */     GIR_EraseRootFromParent_Done,
     /*  413466 */   // Label 7247: @413466
     /*  413466 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(413534), // Rule ID 61501 //
     /*  413471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413503 */     // MIs[0] policy
     /*  413503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  413516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413530 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413532 */     GIR_RootConstrainSelectedInstOperands,
     /*  413533 */     // GIR_Coverage, 61501,
     /*  413533 */     GIR_EraseRootFromParent_Done,
     /*  413534 */   // Label 7248: @413534
     /*  413534 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(413602), // Rule ID 61502 //
     /*  413539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413571 */     // MIs[0] policy
     /*  413571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413581 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  413584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413598 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413600 */     GIR_RootConstrainSelectedInstOperands,
     /*  413601 */     // GIR_Coverage, 61502,
     /*  413601 */     GIR_EraseRootFromParent_Done,
     /*  413602 */   // Label 7249: @413602
     /*  413602 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(413670), // Rule ID 61503 //
     /*  413607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  413618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  413621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413639 */     // MIs[0] policy
     /*  413639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10783:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  413652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413666 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413668 */     GIR_RootConstrainSelectedInstOperands,
     /*  413669 */     // GIR_Coverage, 61503,
     /*  413669 */     GIR_EraseRootFromParent_Done,
     /*  413670 */   // Label 7250: @413670
     /*  413670 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(413738), // Rule ID 61504 //
     /*  413675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413707 */     // MIs[0] policy
     /*  413707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  413720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413734 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413736 */     GIR_RootConstrainSelectedInstOperands,
     /*  413737 */     // GIR_Coverage, 61504,
     /*  413737 */     GIR_EraseRootFromParent_Done,
     /*  413738 */   // Label 7251: @413738
     /*  413738 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(413806), // Rule ID 61505 //
     /*  413743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413775 */     // MIs[0] policy
     /*  413775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413785 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  413788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413802 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413804 */     GIR_RootConstrainSelectedInstOperands,
     /*  413805 */     // GIR_Coverage, 61505,
     /*  413805 */     GIR_EraseRootFromParent_Done,
     /*  413806 */   // Label 7252: @413806
     /*  413806 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(413874), // Rule ID 61506 //
     /*  413811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413843 */     // MIs[0] policy
     /*  413843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413853 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  413856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413870 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413872 */     GIR_RootConstrainSelectedInstOperands,
     /*  413873 */     // GIR_Coverage, 61506,
     /*  413873 */     GIR_EraseRootFromParent_Done,
     /*  413874 */   // Label 7253: @413874
     /*  413874 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(413942), // Rule ID 61507 //
     /*  413879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  413882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  413899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413911 */     // MIs[0] policy
     /*  413911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413921 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  413921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  413924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413938 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  413940 */     GIR_RootConstrainSelectedInstOperands,
     /*  413941 */     // GIR_Coverage, 61507,
     /*  413941 */     GIR_EraseRootFromParent_Done,
     /*  413942 */   // Label 7254: @413942
     /*  413942 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(414010), // Rule ID 61508 //
     /*  413947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  413950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  413955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  413958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  413961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  413967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413979 */     // MIs[0] policy
     /*  413979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  413982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  413989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  413992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  413994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  413996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414006 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414008 */     GIR_RootConstrainSelectedInstOperands,
     /*  414009 */     // GIR_Coverage, 61508,
     /*  414009 */     GIR_EraseRootFromParent_Done,
     /*  414010 */   // Label 7255: @414010
     /*  414010 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(414078), // Rule ID 61509 //
     /*  414015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414047 */     // MIs[0] policy
     /*  414047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  414060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414074 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414076 */     GIR_RootConstrainSelectedInstOperands,
     /*  414077 */     // GIR_Coverage, 61509,
     /*  414077 */     GIR_EraseRootFromParent_Done,
     /*  414078 */   // Label 7256: @414078
     /*  414078 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(414146), // Rule ID 61510 //
     /*  414083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414115 */     // MIs[0] policy
     /*  414115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  414128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414142 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414144 */     GIR_RootConstrainSelectedInstOperands,
     /*  414145 */     // GIR_Coverage, 61510,
     /*  414145 */     GIR_EraseRootFromParent_Done,
     /*  414146 */   // Label 7257: @414146
     /*  414146 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(414214), // Rule ID 61511 //
     /*  414151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414183 */     // MIs[0] policy
     /*  414183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10783:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  414196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414210 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414212 */     GIR_RootConstrainSelectedInstOperands,
     /*  414213 */     // GIR_Coverage, 61511,
     /*  414213 */     GIR_EraseRootFromParent_Done,
     /*  414214 */   // Label 7258: @414214
     /*  414214 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(414282), // Rule ID 61512 //
     /*  414219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414251 */     // MIs[0] policy
     /*  414251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414261 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  414264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414278 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414280 */     GIR_RootConstrainSelectedInstOperands,
     /*  414281 */     // GIR_Coverage, 61512,
     /*  414281 */     GIR_EraseRootFromParent_Done,
     /*  414282 */   // Label 7259: @414282
     /*  414282 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(414350), // Rule ID 61513 //
     /*  414287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414319 */     // MIs[0] policy
     /*  414319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  414332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414346 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414348 */     GIR_RootConstrainSelectedInstOperands,
     /*  414349 */     // GIR_Coverage, 61513,
     /*  414349 */     GIR_EraseRootFromParent_Done,
     /*  414350 */   // Label 7260: @414350
     /*  414350 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(414418), // Rule ID 61514 //
     /*  414355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414387 */     // MIs[0] policy
     /*  414387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  414400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414414 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414416 */     GIR_RootConstrainSelectedInstOperands,
     /*  414417 */     // GIR_Coverage, 61514,
     /*  414417 */     GIR_EraseRootFromParent_Done,
     /*  414418 */   // Label 7261: @414418
     /*  414418 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(414486), // Rule ID 61515 //
     /*  414423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414455 */     // MIs[0] policy
     /*  414455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  414468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414482 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414484 */     GIR_RootConstrainSelectedInstOperands,
     /*  414485 */     // GIR_Coverage, 61515,
     /*  414485 */     GIR_EraseRootFromParent_Done,
     /*  414486 */   // Label 7262: @414486
     /*  414486 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(414554), // Rule ID 61516 //
     /*  414491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414523 */     // MIs[0] policy
     /*  414523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414533 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  414536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414550 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414552 */     GIR_RootConstrainSelectedInstOperands,
     /*  414553 */     // GIR_Coverage, 61516,
     /*  414553 */     GIR_EraseRootFromParent_Done,
     /*  414554 */   // Label 7263: @414554
     /*  414554 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(414622), // Rule ID 61517 //
     /*  414559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  414576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414591 */     // MIs[0] policy
     /*  414591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  414604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414618 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414620 */     GIR_RootConstrainSelectedInstOperands,
     /*  414621 */     // GIR_Coverage, 61517,
     /*  414621 */     GIR_EraseRootFromParent_Done,
     /*  414622 */   // Label 7264: @414622
     /*  414622 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(414690), // Rule ID 61518 //
     /*  414627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414659 */     // MIs[0] policy
     /*  414659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414669 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  414672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414686 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414688 */     GIR_RootConstrainSelectedInstOperands,
     /*  414689 */     // GIR_Coverage, 61518,
     /*  414689 */     GIR_EraseRootFromParent_Done,
     /*  414690 */   // Label 7265: @414690
     /*  414690 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(414758), // Rule ID 61519 //
     /*  414695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  414703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  414706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  414709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  414712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414727 */     // MIs[0] policy
     /*  414727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414737 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10783:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  414740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414754 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414756 */     GIR_RootConstrainSelectedInstOperands,
     /*  414757 */     // GIR_Coverage, 61519,
     /*  414757 */     GIR_EraseRootFromParent_Done,
     /*  414758 */   // Label 7266: @414758
     /*  414758 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(414826), // Rule ID 61520 //
     /*  414763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  414771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  414777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414795 */     // MIs[0] policy
     /*  414795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414805 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  414808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414822 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414824 */     GIR_RootConstrainSelectedInstOperands,
     /*  414825 */     // GIR_Coverage, 61520,
     /*  414825 */     GIR_EraseRootFromParent_Done,
     /*  414826 */   // Label 7267: @414826
     /*  414826 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(414894), // Rule ID 61521 //
     /*  414831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  414839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  414842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  414845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  414848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414863 */     // MIs[0] policy
     /*  414863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414873 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  414873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  414876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414890 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414892 */     GIR_RootConstrainSelectedInstOperands,
     /*  414893 */     // GIR_Coverage, 61521,
     /*  414893 */     GIR_EraseRootFromParent_Done,
     /*  414894 */   // Label 7268: @414894
     /*  414894 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(414962), // Rule ID 61522 //
     /*  414899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  414902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  414907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  414913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  414919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414931 */     // MIs[0] policy
     /*  414931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  414934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414941 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  414941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  414944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  414946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  414948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414958 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  414960 */     GIR_RootConstrainSelectedInstOperands,
     /*  414961 */     // GIR_Coverage, 61522,
     /*  414961 */     GIR_EraseRootFromParent_Done,
     /*  414962 */   // Label 7269: @414962
     /*  414962 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(415030), // Rule ID 61523 //
     /*  414967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  414970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  414975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  414981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  414984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  414987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414999 */     // MIs[0] policy
     /*  414999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10786:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  415012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415026 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415028 */     GIR_RootConstrainSelectedInstOperands,
     /*  415029 */     // GIR_Coverage, 61523,
     /*  415029 */     GIR_EraseRootFromParent_Done,
     /*  415030 */   // Label 7270: @415030
     /*  415030 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(415098), // Rule ID 61524 //
     /*  415035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415067 */     // MIs[0] policy
     /*  415067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415077 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10786:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  415080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415094 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415096 */     GIR_RootConstrainSelectedInstOperands,
     /*  415097 */     // GIR_Coverage, 61524,
     /*  415097 */     GIR_EraseRootFromParent_Done,
     /*  415098 */   // Label 7271: @415098
     /*  415098 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(415166), // Rule ID 61525 //
     /*  415103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415135 */     // MIs[0] policy
     /*  415135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415145 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10786:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  415148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415162 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415164 */     GIR_RootConstrainSelectedInstOperands,
     /*  415165 */     // GIR_Coverage, 61525,
     /*  415165 */     GIR_EraseRootFromParent_Done,
     /*  415166 */   // Label 7272: @415166
     /*  415166 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(415234), // Rule ID 61526 //
     /*  415171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  415182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  415185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415203 */     // MIs[0] policy
     /*  415203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415213 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10786:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  415216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415230 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415232 */     GIR_RootConstrainSelectedInstOperands,
     /*  415233 */     // GIR_Coverage, 61526,
     /*  415233 */     GIR_EraseRootFromParent_Done,
     /*  415234 */   // Label 7273: @415234
     /*  415234 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(415302), // Rule ID 61527 //
     /*  415239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  415250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  415253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415271 */     // MIs[0] policy
     /*  415271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415281 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10786:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  415284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415298 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415300 */     GIR_RootConstrainSelectedInstOperands,
     /*  415301 */     // GIR_Coverage, 61527,
     /*  415301 */     GIR_EraseRootFromParent_Done,
     /*  415302 */   // Label 7274: @415302
     /*  415302 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(415370), // Rule ID 61528 //
     /*  415307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  415318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415339 */     // MIs[0] policy
     /*  415339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10786:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  415352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415366 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415368 */     GIR_RootConstrainSelectedInstOperands,
     /*  415369 */     // GIR_Coverage, 61528,
     /*  415369 */     GIR_EraseRootFromParent_Done,
     /*  415370 */   // Label 7275: @415370
     /*  415370 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(415438), // Rule ID 61529 //
     /*  415375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  415383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  415386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  415389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  415392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415407 */     // MIs[0] policy
     /*  415407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415417 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10786:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  415420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415434 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415436 */     GIR_RootConstrainSelectedInstOperands,
     /*  415437 */     // GIR_Coverage, 61529,
     /*  415437 */     GIR_EraseRootFromParent_Done,
     /*  415438 */   // Label 7276: @415438
     /*  415438 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(415506), // Rule ID 61530 //
     /*  415443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415475 */     // MIs[0] policy
     /*  415475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  415488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415502 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415504 */     GIR_RootConstrainSelectedInstOperands,
     /*  415505 */     // GIR_Coverage, 61530,
     /*  415505 */     GIR_EraseRootFromParent_Done,
     /*  415506 */   // Label 7277: @415506
     /*  415506 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(415574), // Rule ID 61531 //
     /*  415511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  415522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  415525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415543 */     // MIs[0] policy
     /*  415543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415553 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  415556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415570 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415572 */     GIR_RootConstrainSelectedInstOperands,
     /*  415573 */     // GIR_Coverage, 61531,
     /*  415573 */     GIR_EraseRootFromParent_Done,
     /*  415574 */   // Label 7278: @415574
     /*  415574 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(415642), // Rule ID 61532 //
     /*  415579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415611 */     // MIs[0] policy
     /*  415611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  415624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415638 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415640 */     GIR_RootConstrainSelectedInstOperands,
     /*  415641 */     // GIR_Coverage, 61532,
     /*  415641 */     GIR_EraseRootFromParent_Done,
     /*  415642 */   // Label 7279: @415642
     /*  415642 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(415710), // Rule ID 61533 //
     /*  415647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415679 */     // MIs[0] policy
     /*  415679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  415692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415706 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415708 */     GIR_RootConstrainSelectedInstOperands,
     /*  415709 */     // GIR_Coverage, 61533,
     /*  415709 */     GIR_EraseRootFromParent_Done,
     /*  415710 */   // Label 7280: @415710
     /*  415710 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(415778), // Rule ID 61534 //
     /*  415715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415747 */     // MIs[0] policy
     /*  415747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  415760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415774 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415776 */     GIR_RootConstrainSelectedInstOperands,
     /*  415777 */     // GIR_Coverage, 61534,
     /*  415777 */     GIR_EraseRootFromParent_Done,
     /*  415778 */   // Label 7281: @415778
     /*  415778 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(415846), // Rule ID 61535 //
     /*  415783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  415794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  415797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415815 */     // MIs[0] policy
     /*  415815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415825 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10785:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  415828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415842 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415844 */     GIR_RootConstrainSelectedInstOperands,
     /*  415845 */     // GIR_Coverage, 61535,
     /*  415845 */     GIR_EraseRootFromParent_Done,
     /*  415846 */   // Label 7282: @415846
     /*  415846 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(415914), // Rule ID 61536 //
     /*  415851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  415871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415883 */     // MIs[0] policy
     /*  415883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  415893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  415896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415910 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415912 */     GIR_RootConstrainSelectedInstOperands,
     /*  415913 */     // GIR_Coverage, 61536,
     /*  415913 */     GIR_EraseRootFromParent_Done,
     /*  415914 */   // Label 7283: @415914
     /*  415914 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(415982), // Rule ID 61537 //
     /*  415919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  415922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  415933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  415939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415951 */     // MIs[0] policy
     /*  415951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  415954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415961 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  415961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  415964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  415966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  415968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  415978 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  415980 */     GIR_RootConstrainSelectedInstOperands,
     /*  415981 */     // GIR_Coverage, 61537,
     /*  415981 */     GIR_EraseRootFromParent_Done,
     /*  415982 */   // Label 7284: @415982
     /*  415982 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(416050), // Rule ID 61538 //
     /*  415987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  415990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  415995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  415998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416019 */     // MIs[0] policy
     /*  416019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416029 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  416032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416046 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416048 */     GIR_RootConstrainSelectedInstOperands,
     /*  416049 */     // GIR_Coverage, 61538,
     /*  416049 */     GIR_EraseRootFromParent_Done,
     /*  416050 */   // Label 7285: @416050
     /*  416050 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(416118), // Rule ID 61539 //
     /*  416055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416087 */     // MIs[0] policy
     /*  416087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  416100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416114 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416116 */     GIR_RootConstrainSelectedInstOperands,
     /*  416117 */     // GIR_Coverage, 61539,
     /*  416117 */     GIR_EraseRootFromParent_Done,
     /*  416118 */   // Label 7286: @416118
     /*  416118 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(416186), // Rule ID 61540 //
     /*  416123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416155 */     // MIs[0] policy
     /*  416155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416165 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  416168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416182 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416184 */     GIR_RootConstrainSelectedInstOperands,
     /*  416185 */     // GIR_Coverage, 61540,
     /*  416185 */     GIR_EraseRootFromParent_Done,
     /*  416186 */   // Label 7287: @416186
     /*  416186 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(416254), // Rule ID 61541 //
     /*  416191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416223 */     // MIs[0] policy
     /*  416223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416233 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10785:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  416236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416250 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416252 */     GIR_RootConstrainSelectedInstOperands,
     /*  416253 */     // GIR_Coverage, 61541,
     /*  416253 */     GIR_EraseRootFromParent_Done,
     /*  416254 */   // Label 7288: @416254
     /*  416254 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(416322), // Rule ID 61542 //
     /*  416259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416291 */     // MIs[0] policy
     /*  416291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  416304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416318 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416320 */     GIR_RootConstrainSelectedInstOperands,
     /*  416321 */     // GIR_Coverage, 61542,
     /*  416321 */     GIR_EraseRootFromParent_Done,
     /*  416322 */   // Label 7289: @416322
     /*  416322 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(416390), // Rule ID 61543 //
     /*  416327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416359 */     // MIs[0] policy
     /*  416359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416369 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  416372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416386 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416388 */     GIR_RootConstrainSelectedInstOperands,
     /*  416389 */     // GIR_Coverage, 61543,
     /*  416389 */     GIR_EraseRootFromParent_Done,
     /*  416390 */   // Label 7290: @416390
     /*  416390 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(416458), // Rule ID 61544 //
     /*  416395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416427 */     // MIs[0] policy
     /*  416427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416437 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  416440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416454 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416456 */     GIR_RootConstrainSelectedInstOperands,
     /*  416457 */     // GIR_Coverage, 61544,
     /*  416457 */     GIR_EraseRootFromParent_Done,
     /*  416458 */   // Label 7291: @416458
     /*  416458 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(416526), // Rule ID 61545 //
     /*  416463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416495 */     // MIs[0] policy
     /*  416495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416505 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  416508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416522 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416524 */     GIR_RootConstrainSelectedInstOperands,
     /*  416525 */     // GIR_Coverage, 61545,
     /*  416525 */     GIR_EraseRootFromParent_Done,
     /*  416526 */   // Label 7292: @416526
     /*  416526 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(416594), // Rule ID 61546 //
     /*  416531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416563 */     // MIs[0] policy
     /*  416563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  416576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416590 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416592 */     GIR_RootConstrainSelectedInstOperands,
     /*  416593 */     // GIR_Coverage, 61546,
     /*  416593 */     GIR_EraseRootFromParent_Done,
     /*  416594 */   // Label 7293: @416594
     /*  416594 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(416662), // Rule ID 61547 //
     /*  416599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  416616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416631 */     // MIs[0] policy
     /*  416631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  416644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416658 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416660 */     GIR_RootConstrainSelectedInstOperands,
     /*  416661 */     // GIR_Coverage, 61547,
     /*  416661 */     GIR_EraseRootFromParent_Done,
     /*  416662 */   // Label 7294: @416662
     /*  416662 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(416730), // Rule ID 61548 //
     /*  416667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416699 */     // MIs[0] policy
     /*  416699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  416712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416726 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416728 */     GIR_RootConstrainSelectedInstOperands,
     /*  416729 */     // GIR_Coverage, 61548,
     /*  416729 */     GIR_EraseRootFromParent_Done,
     /*  416730 */   // Label 7295: @416730
     /*  416730 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(416798), // Rule ID 61549 //
     /*  416735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416767 */     // MIs[0] policy
     /*  416767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10785:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  416780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416794 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416796 */     GIR_RootConstrainSelectedInstOperands,
     /*  416797 */     // GIR_Coverage, 61549,
     /*  416797 */     GIR_EraseRootFromParent_Done,
     /*  416798 */   // Label 7296: @416798
     /*  416798 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(416866), // Rule ID 61550 //
     /*  416803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416835 */     // MIs[0] policy
     /*  416835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416845 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  416848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416862 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416864 */     GIR_RootConstrainSelectedInstOperands,
     /*  416865 */     // GIR_Coverage, 61550,
     /*  416865 */     GIR_EraseRootFromParent_Done,
     /*  416866 */   // Label 7297: @416866
     /*  416866 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(416934), // Rule ID 61551 //
     /*  416871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  416874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  416888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416903 */     // MIs[0] policy
     /*  416903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416913 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  416913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  416916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416930 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  416932 */     GIR_RootConstrainSelectedInstOperands,
     /*  416933 */     // GIR_Coverage, 61551,
     /*  416933 */     GIR_EraseRootFromParent_Done,
     /*  416934 */   // Label 7298: @416934
     /*  416934 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(417002), // Rule ID 61552 //
     /*  416939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  416942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  416947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  416950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  416953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  416956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416971 */     // MIs[0] policy
     /*  416971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  416974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416981 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  416981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  416984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  416986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  416988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416998 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417000 */     GIR_RootConstrainSelectedInstOperands,
     /*  417001 */     // GIR_Coverage, 61552,
     /*  417001 */     GIR_EraseRootFromParent_Done,
     /*  417002 */   // Label 7299: @417002
     /*  417002 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(417070), // Rule ID 61553 //
     /*  417007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  417015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417039 */     // MIs[0] policy
     /*  417039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  417052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417066 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417068 */     GIR_RootConstrainSelectedInstOperands,
     /*  417069 */     // GIR_Coverage, 61553,
     /*  417069 */     GIR_EraseRootFromParent_Done,
     /*  417070 */   // Label 7300: @417070
     /*  417070 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(417138), // Rule ID 61554 //
     /*  417075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  417083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417107 */     // MIs[0] policy
     /*  417107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417117 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  417120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417134 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417136 */     GIR_RootConstrainSelectedInstOperands,
     /*  417137 */     // GIR_Coverage, 61554,
     /*  417137 */     GIR_EraseRootFromParent_Done,
     /*  417138 */   // Label 7301: @417138
     /*  417138 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(417206), // Rule ID 61555 //
     /*  417143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  417151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  417160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417175 */     // MIs[0] policy
     /*  417175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  417188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417202 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417204 */     GIR_RootConstrainSelectedInstOperands,
     /*  417205 */     // GIR_Coverage, 61555,
     /*  417205 */     GIR_EraseRootFromParent_Done,
     /*  417206 */   // Label 7302: @417206
     /*  417206 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(417274), // Rule ID 61556 //
     /*  417211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  417219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417243 */     // MIs[0] policy
     /*  417243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417253 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  417256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417270 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417272 */     GIR_RootConstrainSelectedInstOperands,
     /*  417273 */     // GIR_Coverage, 61556,
     /*  417273 */     GIR_EraseRootFromParent_Done,
     /*  417274 */   // Label 7303: @417274
     /*  417274 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(417342), // Rule ID 61557 //
     /*  417279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  417287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  417290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  417293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  417296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  417307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  417311 */     // MIs[0] policy
     /*  417311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417321 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10785:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  417324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417338 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417340 */     GIR_RootConstrainSelectedInstOperands,
     /*  417341 */     // GIR_Coverage, 61557,
     /*  417341 */     GIR_EraseRootFromParent_Done,
     /*  417342 */   // Label 7304: @417342
     /*  417342 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(417410), // Rule ID 61574 //
     /*  417347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417379 */     // MIs[0] policy
     /*  417379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  417392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417406 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417408 */     GIR_RootConstrainSelectedInstOperands,
     /*  417409 */     // GIR_Coverage, 61574,
     /*  417409 */     GIR_EraseRootFromParent_Done,
     /*  417410 */   // Label 7305: @417410
     /*  417410 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(417478), // Rule ID 61575 //
     /*  417415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  417426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  417429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417447 */     // MIs[0] policy
     /*  417447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  417460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417474 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417476 */     GIR_RootConstrainSelectedInstOperands,
     /*  417477 */     // GIR_Coverage, 61575,
     /*  417477 */     GIR_EraseRootFromParent_Done,
     /*  417478 */   // Label 7306: @417478
     /*  417478 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(417546), // Rule ID 61576 //
     /*  417483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417515 */     // MIs[0] policy
     /*  417515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  417528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417542 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417544 */     GIR_RootConstrainSelectedInstOperands,
     /*  417545 */     // GIR_Coverage, 61576,
     /*  417545 */     GIR_EraseRootFromParent_Done,
     /*  417546 */   // Label 7307: @417546
     /*  417546 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(417614), // Rule ID 61577 //
     /*  417551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417583 */     // MIs[0] policy
     /*  417583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  417596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417610 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417612 */     GIR_RootConstrainSelectedInstOperands,
     /*  417613 */     // GIR_Coverage, 61577,
     /*  417613 */     GIR_EraseRootFromParent_Done,
     /*  417614 */   // Label 7308: @417614
     /*  417614 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(417682), // Rule ID 61578 //
     /*  417619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417651 */     // MIs[0] policy
     /*  417651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417661 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  417664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417678 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417680 */     GIR_RootConstrainSelectedInstOperands,
     /*  417681 */     // GIR_Coverage, 61578,
     /*  417681 */     GIR_EraseRootFromParent_Done,
     /*  417682 */   // Label 7309: @417682
     /*  417682 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(417750), // Rule ID 61579 //
     /*  417687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  417698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  417701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417719 */     // MIs[0] policy
     /*  417719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417729 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10789:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  417732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417746 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417748 */     GIR_RootConstrainSelectedInstOperands,
     /*  417749 */     // GIR_Coverage, 61579,
     /*  417749 */     GIR_EraseRootFromParent_Done,
     /*  417750 */   // Label 7310: @417750
     /*  417750 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(417818), // Rule ID 61580 //
     /*  417755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417787 */     // MIs[0] policy
     /*  417787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  417800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417814 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417816 */     GIR_RootConstrainSelectedInstOperands,
     /*  417817 */     // GIR_Coverage, 61580,
     /*  417817 */     GIR_EraseRootFromParent_Done,
     /*  417818 */   // Label 7311: @417818
     /*  417818 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(417886), // Rule ID 61581 //
     /*  417823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  417840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417855 */     // MIs[0] policy
     /*  417855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417865 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  417865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  417868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417882 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417884 */     GIR_RootConstrainSelectedInstOperands,
     /*  417885 */     // GIR_Coverage, 61581,
     /*  417885 */     GIR_EraseRootFromParent_Done,
     /*  417886 */   // Label 7312: @417886
     /*  417886 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(417954), // Rule ID 61582 //
     /*  417891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  417894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417923 */     // MIs[0] policy
     /*  417923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  417933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  417936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  417938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  417940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  417942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  417950 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  417952 */     GIR_RootConstrainSelectedInstOperands,
     /*  417953 */     // GIR_Coverage, 61582,
     /*  417953 */     GIR_EraseRootFromParent_Done,
     /*  417954 */   // Label 7313: @417954
     /*  417954 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(418022), // Rule ID 61583 //
     /*  417959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  417962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  417967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  417970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  417973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  417976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  417987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417991 */     // MIs[0] policy
     /*  417991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  417994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418001 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  418004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418018 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418020 */     GIR_RootConstrainSelectedInstOperands,
     /*  418021 */     // GIR_Coverage, 61583,
     /*  418021 */     GIR_EraseRootFromParent_Done,
     /*  418022 */   // Label 7314: @418022
     /*  418022 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(418090), // Rule ID 61584 //
     /*  418027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418059 */     // MIs[0] policy
     /*  418059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418069 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  418072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418086 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418088 */     GIR_RootConstrainSelectedInstOperands,
     /*  418089 */     // GIR_Coverage, 61584,
     /*  418089 */     GIR_EraseRootFromParent_Done,
     /*  418090 */   // Label 7315: @418090
     /*  418090 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(418158), // Rule ID 61585 //
     /*  418095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  418106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  418109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418127 */     // MIs[0] policy
     /*  418127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10789:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  418140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418154 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418156 */     GIR_RootConstrainSelectedInstOperands,
     /*  418157 */     // GIR_Coverage, 61585,
     /*  418157 */     GIR_EraseRootFromParent_Done,
     /*  418158 */   // Label 7316: @418158
     /*  418158 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(418226), // Rule ID 61586 //
     /*  418163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418195 */     // MIs[0] policy
     /*  418195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  418208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418222 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418224 */     GIR_RootConstrainSelectedInstOperands,
     /*  418225 */     // GIR_Coverage, 61586,
     /*  418225 */     GIR_EraseRootFromParent_Done,
     /*  418226 */   // Label 7317: @418226
     /*  418226 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(418294), // Rule ID 61587 //
     /*  418231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418263 */     // MIs[0] policy
     /*  418263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418273 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  418276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418290 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418292 */     GIR_RootConstrainSelectedInstOperands,
     /*  418293 */     // GIR_Coverage, 61587,
     /*  418293 */     GIR_EraseRootFromParent_Done,
     /*  418294 */   // Label 7318: @418294
     /*  418294 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(418362), // Rule ID 61588 //
     /*  418299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418331 */     // MIs[0] policy
     /*  418331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  418344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418358 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418360 */     GIR_RootConstrainSelectedInstOperands,
     /*  418361 */     // GIR_Coverage, 61588,
     /*  418361 */     GIR_EraseRootFromParent_Done,
     /*  418362 */   // Label 7319: @418362
     /*  418362 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(418430), // Rule ID 61589 //
     /*  418367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418399 */     // MIs[0] policy
     /*  418399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418409 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  418412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418426 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418428 */     GIR_RootConstrainSelectedInstOperands,
     /*  418429 */     // GIR_Coverage, 61589,
     /*  418429 */     GIR_EraseRootFromParent_Done,
     /*  418430 */   // Label 7320: @418430
     /*  418430 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(418498), // Rule ID 61590 //
     /*  418435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418467 */     // MIs[0] policy
     /*  418467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418477 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  418480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418494 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418496 */     GIR_RootConstrainSelectedInstOperands,
     /*  418497 */     // GIR_Coverage, 61590,
     /*  418497 */     GIR_EraseRootFromParent_Done,
     /*  418498 */   // Label 7321: @418498
     /*  418498 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(418566), // Rule ID 61591 //
     /*  418503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  418535 */     // MIs[0] policy
     /*  418535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  418548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418562 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418564 */     GIR_RootConstrainSelectedInstOperands,
     /*  418565 */     // GIR_Coverage, 61591,
     /*  418565 */     GIR_EraseRootFromParent_Done,
     /*  418566 */   // Label 7322: @418566
     /*  418566 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(418634), // Rule ID 61592 //
     /*  418571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418603 */     // MIs[0] policy
     /*  418603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  418616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418630 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418632 */     GIR_RootConstrainSelectedInstOperands,
     /*  418633 */     // GIR_Coverage, 61592,
     /*  418633 */     GIR_EraseRootFromParent_Done,
     /*  418634 */   // Label 7323: @418634
     /*  418634 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(418702), // Rule ID 61593 //
     /*  418639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  418650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  418653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  418656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  418671 */     // MIs[0] policy
     /*  418671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418681 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10789:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  418684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418698 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418700 */     GIR_RootConstrainSelectedInstOperands,
     /*  418701 */     // GIR_Coverage, 61593,
     /*  418701 */     GIR_EraseRootFromParent_Done,
     /*  418702 */   // Label 7324: @418702
     /*  418702 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(418770), // Rule ID 61594 //
     /*  418707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418739 */     // MIs[0] policy
     /*  418739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418749 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  418752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418766 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418768 */     GIR_RootConstrainSelectedInstOperands,
     /*  418769 */     // GIR_Coverage, 61594,
     /*  418769 */     GIR_EraseRootFromParent_Done,
     /*  418770 */   // Label 7325: @418770
     /*  418770 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(418838), // Rule ID 61595 //
     /*  418775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418807 */     // MIs[0] policy
     /*  418807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  418820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418834 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418836 */     GIR_RootConstrainSelectedInstOperands,
     /*  418837 */     // GIR_Coverage, 61595,
     /*  418837 */     GIR_EraseRootFromParent_Done,
     /*  418838 */   // Label 7326: @418838
     /*  418838 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(418906), // Rule ID 61596 //
     /*  418843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418875 */     // MIs[0] policy
     /*  418875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418885 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  418885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  418888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418902 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418904 */     GIR_RootConstrainSelectedInstOperands,
     /*  418905 */     // GIR_Coverage, 61596,
     /*  418905 */     GIR_EraseRootFromParent_Done,
     /*  418906 */   // Label 7327: @418906
     /*  418906 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(418974), // Rule ID 61597 //
     /*  418911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  418914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  418928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  418939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418943 */     // MIs[0] policy
     /*  418943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  418946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  418953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  418956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  418958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  418960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  418962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418970 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  418972 */     GIR_RootConstrainSelectedInstOperands,
     /*  418973 */     // GIR_Coverage, 61597,
     /*  418973 */     GIR_EraseRootFromParent_Done,
     /*  418974 */   // Label 7328: @418974
     /*  418974 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(419042), // Rule ID 61598 //
     /*  418979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  418982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  418987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  418990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  418993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  418996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419011 */     // MIs[0] policy
     /*  419011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419021 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  419024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419038 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419040 */     GIR_RootConstrainSelectedInstOperands,
     /*  419041 */     // GIR_Coverage, 61598,
     /*  419041 */     GIR_EraseRootFromParent_Done,
     /*  419042 */   // Label 7329: @419042
     /*  419042 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(419110), // Rule ID 61599 //
     /*  419047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  419050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  419055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419079 */     // MIs[0] policy
     /*  419079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  419092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419106 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419108 */     GIR_RootConstrainSelectedInstOperands,
     /*  419109 */     // GIR_Coverage, 61599,
     /*  419109 */     GIR_EraseRootFromParent_Done,
     /*  419110 */   // Label 7330: @419110
     /*  419110 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(419178), // Rule ID 61600 //
     /*  419115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  419118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  419123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419147 */     // MIs[0] policy
     /*  419147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419157 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  419160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419174 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419176 */     GIR_RootConstrainSelectedInstOperands,
     /*  419177 */     // GIR_Coverage, 61600,
     /*  419177 */     GIR_EraseRootFromParent_Done,
     /*  419178 */   // Label 7331: @419178
     /*  419178 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(419246), // Rule ID 61601 //
     /*  419183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  419186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  419191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419215 */     // MIs[0] policy
     /*  419215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10789:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  419228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419242 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419244 */     GIR_RootConstrainSelectedInstOperands,
     /*  419245 */     // GIR_Coverage, 61601,
     /*  419245 */     GIR_EraseRootFromParent_Done,
     /*  419246 */   // Label 7332: @419246
     /*  419246 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(419314), // Rule ID 61696 //
     /*  419251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  419262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  419265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  419268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419283 */     // MIs[0] policy
     /*  419283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  419296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419310 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419312 */     GIR_RootConstrainSelectedInstOperands,
     /*  419313 */     // GIR_Coverage, 61696,
     /*  419313 */     GIR_EraseRootFromParent_Done,
     /*  419314 */   // Label 7333: @419314
     /*  419314 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(419382), // Rule ID 61697 //
     /*  419319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  419330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  419333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  419336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419351 */     // MIs[0] policy
     /*  419351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419361 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  419364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419378 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419380 */     GIR_RootConstrainSelectedInstOperands,
     /*  419381 */     // GIR_Coverage, 61697,
     /*  419381 */     GIR_EraseRootFromParent_Done,
     /*  419382 */   // Label 7334: @419382
     /*  419382 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(419450), // Rule ID 61698 //
     /*  419387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  419401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419419 */     // MIs[0] policy
     /*  419419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419429 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  419432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419446 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419448 */     GIR_RootConstrainSelectedInstOperands,
     /*  419449 */     // GIR_Coverage, 61698,
     /*  419449 */     GIR_EraseRootFromParent_Done,
     /*  419450 */   // Label 7335: @419450
     /*  419450 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(419518), // Rule ID 61699 //
     /*  419455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  419469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419487 */     // MIs[0] policy
     /*  419487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  419500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419514 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419516 */     GIR_RootConstrainSelectedInstOperands,
     /*  419517 */     // GIR_Coverage, 61699,
     /*  419517 */     GIR_EraseRootFromParent_Done,
     /*  419518 */   // Label 7336: @419518
     /*  419518 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(419586), // Rule ID 61700 //
     /*  419523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  419534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  419537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419555 */     // MIs[0] policy
     /*  419555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  419568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419582 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419584 */     GIR_RootConstrainSelectedInstOperands,
     /*  419585 */     // GIR_Coverage, 61700,
     /*  419585 */     GIR_EraseRootFromParent_Done,
     /*  419586 */   // Label 7337: @419586
     /*  419586 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(419654), // Rule ID 61701 //
     /*  419591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  419602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  419605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  419608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  419623 */     // MIs[0] policy
     /*  419623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  419636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419650 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419652 */     GIR_RootConstrainSelectedInstOperands,
     /*  419653 */     // GIR_Coverage, 61701,
     /*  419653 */     GIR_EraseRootFromParent_Done,
     /*  419654 */   // Label 7338: @419654
     /*  419654 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(419722), // Rule ID 61702 //
     /*  419659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419691 */     // MIs[0] policy
     /*  419691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  419704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419718 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419720 */     GIR_RootConstrainSelectedInstOperands,
     /*  419721 */     // GIR_Coverage, 61702,
     /*  419721 */     GIR_EraseRootFromParent_Done,
     /*  419722 */   // Label 7339: @419722
     /*  419722 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(419790), // Rule ID 61703 //
     /*  419727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  419738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  419741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  419744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  419759 */     // MIs[0] policy
     /*  419759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  419772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419786 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419788 */     GIR_RootConstrainSelectedInstOperands,
     /*  419789 */     // GIR_Coverage, 61703,
     /*  419789 */     GIR_EraseRootFromParent_Done,
     /*  419790 */   // Label 7340: @419790
     /*  419790 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(419858), // Rule ID 61704 //
     /*  419795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419827 */     // MIs[0] policy
     /*  419827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419837 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  419840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419854 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419856 */     GIR_RootConstrainSelectedInstOperands,
     /*  419857 */     // GIR_Coverage, 61704,
     /*  419857 */     GIR_EraseRootFromParent_Done,
     /*  419858 */   // Label 7341: @419858
     /*  419858 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(419926), // Rule ID 61705 //
     /*  419863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  419866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  419871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  419874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  419877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  419880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  419895 */     // MIs[0] policy
     /*  419895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  419905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  419908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419922 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419924 */     GIR_RootConstrainSelectedInstOperands,
     /*  419925 */     // GIR_Coverage, 61705,
     /*  419925 */     GIR_EraseRootFromParent_Done,
     /*  419926 */   // Label 7342: @419926
     /*  419926 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(419994), // Rule ID 61706 //
     /*  419931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  419934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  419939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  419942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  419945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  419948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419963 */     // MIs[0] policy
     /*  419963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  419966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419973 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  419973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  419976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  419978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  419980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  419982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419990 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  419992 */     GIR_RootConstrainSelectedInstOperands,
     /*  419993 */     // GIR_Coverage, 61706,
     /*  419993 */     GIR_EraseRootFromParent_Done,
     /*  419994 */   // Label 7343: @419994
     /*  419994 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(420062), // Rule ID 61707 //
     /*  419999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  420010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  420013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420031 */     // MIs[0] policy
     /*  420031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420041 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  420044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420058 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420060 */     GIR_RootConstrainSelectedInstOperands,
     /*  420061 */     // GIR_Coverage, 61707,
     /*  420061 */     GIR_EraseRootFromParent_Done,
     /*  420062 */   // Label 7344: @420062
     /*  420062 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(420130), // Rule ID 61708 //
     /*  420067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420099 */     // MIs[0] policy
     /*  420099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  420112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420126 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420128 */     GIR_RootConstrainSelectedInstOperands,
     /*  420129 */     // GIR_Coverage, 61708,
     /*  420129 */     GIR_EraseRootFromParent_Done,
     /*  420130 */   // Label 7345: @420130
     /*  420130 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(420198), // Rule ID 61709 //
     /*  420135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420167 */     // MIs[0] policy
     /*  420167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420177 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  420180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420194 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420196 */     GIR_RootConstrainSelectedInstOperands,
     /*  420197 */     // GIR_Coverage, 61709,
     /*  420197 */     GIR_EraseRootFromParent_Done,
     /*  420198 */   // Label 7346: @420198
     /*  420198 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(420266), // Rule ID 61710 //
     /*  420203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420235 */     // MIs[0] policy
     /*  420235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  420248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420262 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420264 */     GIR_RootConstrainSelectedInstOperands,
     /*  420265 */     // GIR_Coverage, 61710,
     /*  420265 */     GIR_EraseRootFromParent_Done,
     /*  420266 */   // Label 7347: @420266
     /*  420266 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(420334), // Rule ID 61711 //
     /*  420271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  420285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420303 */     // MIs[0] policy
     /*  420303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  420316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420330 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420332 */     GIR_RootConstrainSelectedInstOperands,
     /*  420333 */     // GIR_Coverage, 61711,
     /*  420333 */     GIR_EraseRootFromParent_Done,
     /*  420334 */   // Label 7348: @420334
     /*  420334 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(420402), // Rule ID 61712 //
     /*  420339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420371 */     // MIs[0] policy
     /*  420371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  420384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420398 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420400 */     GIR_RootConstrainSelectedInstOperands,
     /*  420401 */     // GIR_Coverage, 61712,
     /*  420401 */     GIR_EraseRootFromParent_Done,
     /*  420402 */   // Label 7349: @420402
     /*  420402 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(420470), // Rule ID 61713 //
     /*  420407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420439 */     // MIs[0] policy
     /*  420439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  420452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420466 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420468 */     GIR_RootConstrainSelectedInstOperands,
     /*  420469 */     // GIR_Coverage, 61713,
     /*  420469 */     GIR_EraseRootFromParent_Done,
     /*  420470 */   // Label 7350: @420470
     /*  420470 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(420538), // Rule ID 61714 //
     /*  420475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420507 */     // MIs[0] policy
     /*  420507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  420520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420534 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420536 */     GIR_RootConstrainSelectedInstOperands,
     /*  420537 */     // GIR_Coverage, 61714,
     /*  420537 */     GIR_EraseRootFromParent_Done,
     /*  420538 */   // Label 7351: @420538
     /*  420538 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(420606), // Rule ID 61715 //
     /*  420543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420575 */     // MIs[0] policy
     /*  420575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420585 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  420588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420602 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420604 */     GIR_RootConstrainSelectedInstOperands,
     /*  420605 */     // GIR_Coverage, 61715,
     /*  420605 */     GIR_EraseRootFromParent_Done,
     /*  420606 */   // Label 7352: @420606
     /*  420606 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(420674), // Rule ID 61716 //
     /*  420611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  420628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420643 */     // MIs[0] policy
     /*  420643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  420656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420670 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420672 */     GIR_RootConstrainSelectedInstOperands,
     /*  420673 */     // GIR_Coverage, 61716,
     /*  420673 */     GIR_EraseRootFromParent_Done,
     /*  420674 */   // Label 7353: @420674
     /*  420674 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(420742), // Rule ID 61717 //
     /*  420679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  420690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  420693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  420696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420711 */     // MIs[0] policy
     /*  420711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420721 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  420724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420738 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420740 */     GIR_RootConstrainSelectedInstOperands,
     /*  420741 */     // GIR_Coverage, 61717,
     /*  420741 */     GIR_EraseRootFromParent_Done,
     /*  420742 */   // Label 7354: @420742
     /*  420742 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(420810), // Rule ID 61718 //
     /*  420747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  420758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  420761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420779 */     // MIs[0] policy
     /*  420779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420789 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  420792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420806 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420808 */     GIR_RootConstrainSelectedInstOperands,
     /*  420809 */     // GIR_Coverage, 61718,
     /*  420809 */     GIR_EraseRootFromParent_Done,
     /*  420810 */   // Label 7355: @420810
     /*  420810 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(420878), // Rule ID 61719 //
     /*  420815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  420826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  420829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  420832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420847 */     // MIs[0] policy
     /*  420847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420857 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  420860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420874 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420876 */     GIR_RootConstrainSelectedInstOperands,
     /*  420877 */     // GIR_Coverage, 61719,
     /*  420877 */     GIR_EraseRootFromParent_Done,
     /*  420878 */   // Label 7356: @420878
     /*  420878 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(420946), // Rule ID 61720 //
     /*  420883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  420886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  420894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  420897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420915 */     // MIs[0] policy
     /*  420915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420925 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  420925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  420928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  420932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  420934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420942 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  420944 */     GIR_RootConstrainSelectedInstOperands,
     /*  420945 */     // GIR_Coverage, 61720,
     /*  420945 */     GIR_EraseRootFromParent_Done,
     /*  420946 */   // Label 7357: @420946
     /*  420946 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(421014), // Rule ID 61721 //
     /*  420951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  420954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  420959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  420962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  420965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420983 */     // MIs[0] policy
     /*  420983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  420986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420993 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  420993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  420996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  420998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421010 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421012 */     GIR_RootConstrainSelectedInstOperands,
     /*  421013 */     // GIR_Coverage, 61721,
     /*  421013 */     GIR_EraseRootFromParent_Done,
     /*  421014 */   // Label 7358: @421014
     /*  421014 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(421082), // Rule ID 61722 //
     /*  421019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421051 */     // MIs[0] policy
     /*  421051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  421064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421078 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421080 */     GIR_RootConstrainSelectedInstOperands,
     /*  421081 */     // GIR_Coverage, 61722,
     /*  421081 */     GIR_EraseRootFromParent_Done,
     /*  421082 */   // Label 7359: @421082
     /*  421082 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(421150), // Rule ID 61723 //
     /*  421087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421119 */     // MIs[0] policy
     /*  421119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421129 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  421132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421146 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421148 */     GIR_RootConstrainSelectedInstOperands,
     /*  421149 */     // GIR_Coverage, 61723,
     /*  421149 */     GIR_EraseRootFromParent_Done,
     /*  421150 */   // Label 7360: @421150
     /*  421150 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(421218), // Rule ID 61724 //
     /*  421155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421187 */     // MIs[0] policy
     /*  421187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  421200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421214 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421216 */     GIR_RootConstrainSelectedInstOperands,
     /*  421217 */     // GIR_Coverage, 61724,
     /*  421217 */     GIR_EraseRootFromParent_Done,
     /*  421218 */   // Label 7361: @421218
     /*  421218 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(421286), // Rule ID 61725 //
     /*  421223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  421234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  421237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421255 */     // MIs[0] policy
     /*  421255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421265 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  421268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421282 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421284 */     GIR_RootConstrainSelectedInstOperands,
     /*  421285 */     // GIR_Coverage, 61725,
     /*  421285 */     GIR_EraseRootFromParent_Done,
     /*  421286 */   // Label 7362: @421286
     /*  421286 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(421354), // Rule ID 61726 //
     /*  421291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  421308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421323 */     // MIs[0] policy
     /*  421323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421333 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  421336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421350 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421352 */     GIR_RootConstrainSelectedInstOperands,
     /*  421353 */     // GIR_Coverage, 61726,
     /*  421353 */     GIR_EraseRootFromParent_Done,
     /*  421354 */   // Label 7363: @421354
     /*  421354 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(421422), // Rule ID 61727 //
     /*  421359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  421376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421391 */     // MIs[0] policy
     /*  421391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421401 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  421404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421418 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421420 */     GIR_RootConstrainSelectedInstOperands,
     /*  421421 */     // GIR_Coverage, 61727,
     /*  421421 */     GIR_EraseRootFromParent_Done,
     /*  421422 */   // Label 7364: @421422
     /*  421422 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(421490), // Rule ID 61728 //
     /*  421427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  421444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421459 */     // MIs[0] policy
     /*  421459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  421472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421486 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421488 */     GIR_RootConstrainSelectedInstOperands,
     /*  421489 */     // GIR_Coverage, 61728,
     /*  421489 */     GIR_EraseRootFromParent_Done,
     /*  421490 */   // Label 7365: @421490
     /*  421490 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(421558), // Rule ID 61729 //
     /*  421495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  421512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421527 */     // MIs[0] policy
     /*  421527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  421540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421554 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421556 */     GIR_RootConstrainSelectedInstOperands,
     /*  421557 */     // GIR_Coverage, 61729,
     /*  421557 */     GIR_EraseRootFromParent_Done,
     /*  421558 */   // Label 7366: @421558
     /*  421558 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(421626), // Rule ID 61730 //
     /*  421563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421595 */     // MIs[0] policy
     /*  421595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421605 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  421608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421622 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421624 */     GIR_RootConstrainSelectedInstOperands,
     /*  421625 */     // GIR_Coverage, 61730,
     /*  421625 */     GIR_EraseRootFromParent_Done,
     /*  421626 */   // Label 7367: @421626
     /*  421626 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(421694), // Rule ID 61731 //
     /*  421631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  421648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421663 */     // MIs[0] policy
     /*  421663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421673 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  421676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421690 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421692 */     GIR_RootConstrainSelectedInstOperands,
     /*  421693 */     // GIR_Coverage, 61731,
     /*  421693 */     GIR_EraseRootFromParent_Done,
     /*  421694 */   // Label 7368: @421694
     /*  421694 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(421762), // Rule ID 61732 //
     /*  421699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  421702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421731 */     // MIs[0] policy
     /*  421731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421741 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  421741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  421744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421758 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421760 */     GIR_RootConstrainSelectedInstOperands,
     /*  421761 */     // GIR_Coverage, 61732,
     /*  421761 */     GIR_EraseRootFromParent_Done,
     /*  421762 */   // Label 7369: @421762
     /*  421762 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(421830), // Rule ID 61733 //
     /*  421767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  421770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  421775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  421778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  421781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  421784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421799 */     // MIs[0] policy
     /*  421799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  421802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421809 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  421809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  421812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  421814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  421816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  421826 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  421828 */     GIR_RootConstrainSelectedInstOperands,
     /*  421829 */     // GIR_Coverage, 61733,
     /*  421829 */     GIR_EraseRootFromParent_Done,
     /*  421830 */   // Label 7370: @421830
     /*  421830 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(421901), // Rule ID 2564 //
     /*  421835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  421838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  421846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  421852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421867 */     // MIs[0] round
     /*  421867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421877 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  421877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  421880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421886 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421899 */     GIR_RootConstrainSelectedInstOperands,
     /*  421900 */     // GIR_Coverage, 2564,
     /*  421900 */     GIR_EraseRootFromParent_Done,
     /*  421901 */   // Label 7371: @421901
     /*  421901 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(421972), // Rule ID 2565 //
     /*  421906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  421909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  421914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  421917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  421923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  421938 */     // MIs[0] round
     /*  421938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  421941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421948 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  421948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  421951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  421955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  421957 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  421959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  421970 */     GIR_RootConstrainSelectedInstOperands,
     /*  421971 */     // GIR_Coverage, 2565,
     /*  421971 */     GIR_EraseRootFromParent_Done,
     /*  421972 */   // Label 7372: @421972
     /*  421972 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(422043), // Rule ID 2600 //
     /*  421977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  421980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  421985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  421988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  421991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  421994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422009 */     // MIs[0] round
     /*  422009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  422022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422028 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422041 */     GIR_RootConstrainSelectedInstOperands,
     /*  422042 */     // GIR_Coverage, 2600,
     /*  422042 */     GIR_EraseRootFromParent_Done,
     /*  422043 */   // Label 7373: @422043
     /*  422043 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(422114), // Rule ID 2601 //
     /*  422048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  422051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  422056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  422059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  422062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  422065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422080 */     // MIs[0] round
     /*  422080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  422093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422099 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422112 */     GIR_RootConstrainSelectedInstOperands,
     /*  422113 */     // GIR_Coverage, 2601,
     /*  422113 */     GIR_EraseRootFromParent_Done,
     /*  422114 */   // Label 7374: @422114
     /*  422114 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(422185), // Rule ID 18850 //
     /*  422119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  422130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  422133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  422136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422151 */     // MIs[0] round
     /*  422151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422161 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  422164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422170 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422183 */     GIR_RootConstrainSelectedInstOperands,
     /*  422184 */     // GIR_Coverage, 18850,
     /*  422184 */     GIR_EraseRootFromParent_Done,
     /*  422185 */   // Label 7375: @422185
     /*  422185 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(422256), // Rule ID 18851 //
     /*  422190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  422201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  422204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  422207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422222 */     // MIs[0] round
     /*  422222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422232 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  422235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422241 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422254 */     GIR_RootConstrainSelectedInstOperands,
     /*  422255 */     // GIR_Coverage, 18851,
     /*  422255 */     GIR_EraseRootFromParent_Done,
     /*  422256 */   // Label 7376: @422256
     /*  422256 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(422327), // Rule ID 18854 //
     /*  422261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  422264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422293 */     // MIs[0] round
     /*  422293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422303 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  422306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422312 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422325 */     GIR_RootConstrainSelectedInstOperands,
     /*  422326 */     // GIR_Coverage, 18854,
     /*  422326 */     GIR_EraseRootFromParent_Done,
     /*  422327 */   // Label 7377: @422327
     /*  422327 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(422398), // Rule ID 18855 //
     /*  422332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  422335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  422343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  422346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  422349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422364 */     // MIs[0] round
     /*  422364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422374 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  422377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422383 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422396 */     GIR_RootConstrainSelectedInstOperands,
     /*  422397 */     // GIR_Coverage, 18855,
     /*  422397 */     GIR_EraseRootFromParent_Done,
     /*  422398 */   // Label 7378: @422398
     /*  422398 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(422469), // Rule ID 18858 //
     /*  422403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  422414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  422420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422435 */     // MIs[0] round
     /*  422435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422445 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  422448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422454 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422467 */     GIR_RootConstrainSelectedInstOperands,
     /*  422468 */     // GIR_Coverage, 18858,
     /*  422468 */     GIR_EraseRootFromParent_Done,
     /*  422469 */   // Label 7379: @422469
     /*  422469 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(422540), // Rule ID 18859 //
     /*  422474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  422485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  422488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  422491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422506 */     // MIs[0] round
     /*  422506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10909:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  422519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422525 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422538 */     GIR_RootConstrainSelectedInstOperands,
     /*  422539 */     // GIR_Coverage, 18859,
     /*  422539 */     GIR_EraseRootFromParent_Done,
     /*  422540 */   // Label 7380: @422540
     /*  422540 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(422611), // Rule ID 18862 //
     /*  422545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  422548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422577 */     // MIs[0] round
     /*  422577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  422587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  422590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422596 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422609 */     GIR_RootConstrainSelectedInstOperands,
     /*  422610 */     // GIR_Coverage, 18862,
     /*  422610 */     GIR_EraseRootFromParent_Done,
     /*  422611 */   // Label 7381: @422611
     /*  422611 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(422682), // Rule ID 18863 //
     /*  422616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  422619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  422627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  422630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  422633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422648 */     // MIs[0] round
     /*  422648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422658 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10909:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  422658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  422661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422667 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422680 */     GIR_RootConstrainSelectedInstOperands,
     /*  422681 */     // GIR_Coverage, 18863,
     /*  422681 */     GIR_EraseRootFromParent_Done,
     /*  422682 */   // Label 7382: @422682
     /*  422682 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(422753), // Rule ID 18866 //
     /*  422687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  422690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  422698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  422704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422719 */     // MIs[0] round
     /*  422719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422729 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  422729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  422732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422738 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422751 */     GIR_RootConstrainSelectedInstOperands,
     /*  422752 */     // GIR_Coverage, 18866,
     /*  422752 */     GIR_EraseRootFromParent_Done,
     /*  422753 */   // Label 7383: @422753
     /*  422753 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(422824), // Rule ID 18867 //
     /*  422758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  422761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  422769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  422772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  422775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  422790 */     // MIs[0] round
     /*  422790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10909:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  422800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  422803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422809 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  422819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422822 */     GIR_RootConstrainSelectedInstOperands,
     /*  422823 */     // GIR_Coverage, 18867,
     /*  422823 */     GIR_EraseRootFromParent_Done,
     /*  422824 */   // Label 7384: @422824
     /*  422824 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(422895), // Rule ID 18870 //
     /*  422829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  422840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  422846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422861 */     // MIs[0] round
     /*  422861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  422871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  422874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422880 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422893 */     GIR_RootConstrainSelectedInstOperands,
     /*  422894 */     // GIR_Coverage, 18870,
     /*  422894 */     GIR_EraseRootFromParent_Done,
     /*  422895 */   // Label 7385: @422895
     /*  422895 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(422966), // Rule ID 18871 //
     /*  422900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  422903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  422911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  422914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  422917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422932 */     // MIs[0] round
     /*  422932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  422935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422942 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  422942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  422945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  422949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  422951 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  422953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  422964 */     GIR_RootConstrainSelectedInstOperands,
     /*  422965 */     // GIR_Coverage, 18871,
     /*  422965 */     GIR_EraseRootFromParent_Done,
     /*  422966 */   // Label 7386: @422966
     /*  422966 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(423037), // Rule ID 18874 //
     /*  422971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  422974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  422979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  422985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423003 */     // MIs[0] round
     /*  423003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423013 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  423013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  423016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423022 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423035 */     GIR_RootConstrainSelectedInstOperands,
     /*  423036 */     // GIR_Coverage, 18874,
     /*  423036 */     GIR_EraseRootFromParent_Done,
     /*  423037 */   // Label 7387: @423037
     /*  423037 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(423108), // Rule ID 18875 //
     /*  423042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  423045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  423053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  423056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  423059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423074 */     // MIs[0] round
     /*  423074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423084 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  423084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  423087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423093 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423106 */     GIR_RootConstrainSelectedInstOperands,
     /*  423107 */     // GIR_Coverage, 18875,
     /*  423107 */     GIR_EraseRootFromParent_Done,
     /*  423108 */   // Label 7388: @423108
     /*  423108 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(423179), // Rule ID 18878 //
     /*  423113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  423116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  423124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  423130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423145 */     // MIs[0] round
     /*  423145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  423155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  423158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423164 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423177 */     GIR_RootConstrainSelectedInstOperands,
     /*  423178 */     // GIR_Coverage, 18878,
     /*  423178 */     GIR_EraseRootFromParent_Done,
     /*  423179 */   // Label 7389: @423179
     /*  423179 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(423250), // Rule ID 18879 //
     /*  423184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  423187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  423195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  423198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  423201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423216 */     // MIs[0] round
     /*  423216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423226 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  423226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  423229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423235 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  423245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423248 */     GIR_RootConstrainSelectedInstOperands,
     /*  423249 */     // GIR_Coverage, 18879,
     /*  423249 */     GIR_EraseRootFromParent_Done,
     /*  423250 */   // Label 7390: @423250
     /*  423250 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(423321), // Rule ID 18882 //
     /*  423255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423287 */     // MIs[0] round
     /*  423287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423297 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  423300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423306 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423319 */     GIR_RootConstrainSelectedInstOperands,
     /*  423320 */     // GIR_Coverage, 18882,
     /*  423320 */     GIR_EraseRootFromParent_Done,
     /*  423321 */   // Label 7391: @423321
     /*  423321 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(423392), // Rule ID 18883 //
     /*  423326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  423340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423358 */     // MIs[0] round
     /*  423358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  423371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423377 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423390 */     GIR_RootConstrainSelectedInstOperands,
     /*  423391 */     // GIR_Coverage, 18883,
     /*  423391 */     GIR_EraseRootFromParent_Done,
     /*  423392 */   // Label 7392: @423392
     /*  423392 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(423463), // Rule ID 18886 //
     /*  423397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423429 */     // MIs[0] round
     /*  423429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423439 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  423442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423448 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423461 */     GIR_RootConstrainSelectedInstOperands,
     /*  423462 */     // GIR_Coverage, 18886,
     /*  423462 */     GIR_EraseRootFromParent_Done,
     /*  423463 */   // Label 7393: @423463
     /*  423463 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(423534), // Rule ID 18887 //
     /*  423468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  423482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423500 */     // MIs[0] round
     /*  423500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423510 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  423513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423519 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423532 */     GIR_RootConstrainSelectedInstOperands,
     /*  423533 */     // GIR_Coverage, 18887,
     /*  423533 */     GIR_EraseRootFromParent_Done,
     /*  423534 */   // Label 7394: @423534
     /*  423534 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(423605), // Rule ID 18890 //
     /*  423539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  423542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423571 */     // MIs[0] round
     /*  423571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423581 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  423581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  423584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423590 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423603 */     GIR_RootConstrainSelectedInstOperands,
     /*  423604 */     // GIR_Coverage, 18890,
     /*  423604 */     GIR_EraseRootFromParent_Done,
     /*  423605 */   // Label 7395: @423605
     /*  423605 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(423676), // Rule ID 18891 //
     /*  423610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  423613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  423624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423642 */     // MIs[0] round
     /*  423642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  423652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  423655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423661 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423674 */     GIR_RootConstrainSelectedInstOperands,
     /*  423675 */     // GIR_Coverage, 18891,
     /*  423675 */     GIR_EraseRootFromParent_Done,
     /*  423676 */   // Label 7396: @423676
     /*  423676 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(423747), // Rule ID 18894 //
     /*  423681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  423684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423713 */     // MIs[0] round
     /*  423713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423723 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  423726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423732 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423745 */     GIR_RootConstrainSelectedInstOperands,
     /*  423746 */     // GIR_Coverage, 18894,
     /*  423746 */     GIR_EraseRootFromParent_Done,
     /*  423747 */   // Label 7397: @423747
     /*  423747 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(423818), // Rule ID 18895 //
     /*  423752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  423755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  423763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  423766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  423769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423784 */     // MIs[0] round
     /*  423784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423794 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10909:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  423797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423803 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423816 */     GIR_RootConstrainSelectedInstOperands,
     /*  423817 */     // GIR_Coverage, 18895,
     /*  423817 */     GIR_EraseRootFromParent_Done,
     /*  423818 */   // Label 7398: @423818
     /*  423818 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(423889), // Rule ID 18898 //
     /*  423823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  423826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423855 */     // MIs[0] round
     /*  423855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423865 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  423865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  423868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423874 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423887 */     GIR_RootConstrainSelectedInstOperands,
     /*  423888 */     // GIR_Coverage, 18898,
     /*  423888 */     GIR_EraseRootFromParent_Done,
     /*  423889 */   // Label 7399: @423889
     /*  423889 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(423960), // Rule ID 18899 //
     /*  423894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  423897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  423905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  423908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  423911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423926 */     // MIs[0] round
     /*  423926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  423929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423936 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10909:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  423936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  423939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  423943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  423945 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  423947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  423955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  423958 */     GIR_RootConstrainSelectedInstOperands,
     /*  423959 */     // GIR_Coverage, 18899,
     /*  423959 */     GIR_EraseRootFromParent_Done,
     /*  423960 */   // Label 7400: @423960
     /*  423960 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(424031), // Rule ID 18902 //
     /*  423965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  423968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  423973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  423976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  423979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  423982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423997 */     // MIs[0] round
     /*  423997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424007 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  424007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  424010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424016 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424029 */     GIR_RootConstrainSelectedInstOperands,
     /*  424030 */     // GIR_Coverage, 18902,
     /*  424030 */     GIR_EraseRootFromParent_Done,
     /*  424031 */   // Label 7401: @424031
     /*  424031 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(424102), // Rule ID 18903 //
     /*  424036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  424039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  424044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  424047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  424050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  424053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424068 */     // MIs[0] round
     /*  424068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424078 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10909:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  424078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  424081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424087 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424100 */     GIR_RootConstrainSelectedInstOperands,
     /*  424101 */     // GIR_Coverage, 18903,
     /*  424101 */     GIR_EraseRootFromParent_Done,
     /*  424102 */   // Label 7402: @424102
     /*  424102 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(424173), // Rule ID 18962 //
     /*  424107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  424110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  424118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  424121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  424124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424139 */     // MIs[0] round
     /*  424139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424149 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  424152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424158 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424171 */     GIR_RootConstrainSelectedInstOperands,
     /*  424172 */     // GIR_Coverage, 18962,
     /*  424172 */     GIR_EraseRootFromParent_Done,
     /*  424173 */   // Label 7403: @424173
     /*  424173 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(424244), // Rule ID 18963 //
     /*  424178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  424181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  424189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  424192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  424195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424210 */     // MIs[0] round
     /*  424210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424220 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  424223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424229 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424242 */     GIR_RootConstrainSelectedInstOperands,
     /*  424243 */     // GIR_Coverage, 18963,
     /*  424243 */     GIR_EraseRootFromParent_Done,
     /*  424244 */   // Label 7404: @424244
     /*  424244 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(424315), // Rule ID 18966 //
     /*  424249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  424252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424281 */     // MIs[0] round
     /*  424281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424291 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  424294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424300 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424313 */     GIR_RootConstrainSelectedInstOperands,
     /*  424314 */     // GIR_Coverage, 18966,
     /*  424314 */     GIR_EraseRootFromParent_Done,
     /*  424315 */   // Label 7405: @424315
     /*  424315 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(424386), // Rule ID 18967 //
     /*  424320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  424323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  424331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  424334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  424337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424352 */     // MIs[0] round
     /*  424352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424362 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  424365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424371 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424384 */     GIR_RootConstrainSelectedInstOperands,
     /*  424385 */     // GIR_Coverage, 18967,
     /*  424385 */     GIR_EraseRootFromParent_Done,
     /*  424386 */   // Label 7406: @424386
     /*  424386 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(424457), // Rule ID 18970 //
     /*  424391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  424394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424423 */     // MIs[0] round
     /*  424423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424433 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  424436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424442 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424455 */     GIR_RootConstrainSelectedInstOperands,
     /*  424456 */     // GIR_Coverage, 18970,
     /*  424456 */     GIR_EraseRootFromParent_Done,
     /*  424457 */   // Label 7407: @424457
     /*  424457 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(424528), // Rule ID 18971 //
     /*  424462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  424465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  424473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  424476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  424479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424494 */     // MIs[0] round
     /*  424494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424504 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  424507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424513 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424526 */     GIR_RootConstrainSelectedInstOperands,
     /*  424527 */     // GIR_Coverage, 18971,
     /*  424527 */     GIR_EraseRootFromParent_Done,
     /*  424528 */   // Label 7408: @424528
     /*  424528 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(424599), // Rule ID 18974 //
     /*  424533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  424536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424565 */     // MIs[0] round
     /*  424565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424575 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  424575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  424578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424584 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424597 */     GIR_RootConstrainSelectedInstOperands,
     /*  424598 */     // GIR_Coverage, 18974,
     /*  424598 */     GIR_EraseRootFromParent_Done,
     /*  424599 */   // Label 7409: @424599
     /*  424599 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(424670), // Rule ID 18975 //
     /*  424604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  424607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  424615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  424618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  424621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424636 */     // MIs[0] round
     /*  424636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424646 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10885:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  424646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  424649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424655 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  424665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424668 */     GIR_RootConstrainSelectedInstOperands,
     /*  424669 */     // GIR_Coverage, 18975,
     /*  424669 */     GIR_EraseRootFromParent_Done,
     /*  424670 */   // Label 7410: @424670
     /*  424670 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(424741), // Rule ID 18978 //
     /*  424675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  424678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424707 */     // MIs[0] round
     /*  424707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424717 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  424717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  424720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424726 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424739 */     GIR_RootConstrainSelectedInstOperands,
     /*  424740 */     // GIR_Coverage, 18978,
     /*  424740 */     GIR_EraseRootFromParent_Done,
     /*  424741 */   // Label 7411: @424741
     /*  424741 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(424812), // Rule ID 18979 //
     /*  424746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  424749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  424757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  424760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  424763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424778 */     // MIs[0] round
     /*  424778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424788 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10885:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  424788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  424791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424797 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424810 */     GIR_RootConstrainSelectedInstOperands,
     /*  424811 */     // GIR_Coverage, 18979,
     /*  424811 */     GIR_EraseRootFromParent_Done,
     /*  424812 */   // Label 7412: @424812
     /*  424812 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(424883), // Rule ID 18982 //
     /*  424817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  424820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424849 */     // MIs[0] round
     /*  424849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  424859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  424862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424868 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424881 */     GIR_RootConstrainSelectedInstOperands,
     /*  424882 */     // GIR_Coverage, 18982,
     /*  424882 */     GIR_EraseRootFromParent_Done,
     /*  424883 */   // Label 7413: @424883
     /*  424883 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(424954), // Rule ID 18983 //
     /*  424888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  424891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  424899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  424902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  424905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  424920 */     // MIs[0] round
     /*  424920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10885:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  424930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  424933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  424937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  424939 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  424941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  424952 */     GIR_RootConstrainSelectedInstOperands,
     /*  424953 */     // GIR_Coverage, 18983,
     /*  424953 */     GIR_EraseRootFromParent_Done,
     /*  424954 */   // Label 7414: @424954
     /*  424954 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(425025), // Rule ID 18986 //
     /*  424959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  424962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  424967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  424970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  424973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  424976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424991 */     // MIs[0] round
     /*  424991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  424994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425001 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  425004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425010 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425023 */     GIR_RootConstrainSelectedInstOperands,
     /*  425024 */     // GIR_Coverage, 18986,
     /*  425024 */     GIR_EraseRootFromParent_Done,
     /*  425025 */   // Label 7415: @425025
     /*  425025 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(425096), // Rule ID 18987 //
     /*  425030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  425033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  425041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  425044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  425047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425062 */     // MIs[0] round
     /*  425062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425072 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  425075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425081 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425094 */     GIR_RootConstrainSelectedInstOperands,
     /*  425095 */     // GIR_Coverage, 18987,
     /*  425095 */     GIR_EraseRootFromParent_Done,
     /*  425096 */   // Label 7416: @425096
     /*  425096 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(425167), // Rule ID 18990 //
     /*  425101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  425104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425133 */     // MIs[0] round
     /*  425133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425143 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  425146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425152 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425165 */     GIR_RootConstrainSelectedInstOperands,
     /*  425166 */     // GIR_Coverage, 18990,
     /*  425166 */     GIR_EraseRootFromParent_Done,
     /*  425167 */   // Label 7417: @425167
     /*  425167 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(425238), // Rule ID 18991 //
     /*  425172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  425175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  425183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  425186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  425189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425204 */     // MIs[0] round
     /*  425204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425214 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  425217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425223 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425236 */     GIR_RootConstrainSelectedInstOperands,
     /*  425237 */     // GIR_Coverage, 18991,
     /*  425237 */     GIR_EraseRootFromParent_Done,
     /*  425238 */   // Label 7418: @425238
     /*  425238 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(425309), // Rule ID 18994 //
     /*  425243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  425246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425275 */     // MIs[0] round
     /*  425275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425285 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  425285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  425288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425294 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425307 */     GIR_RootConstrainSelectedInstOperands,
     /*  425308 */     // GIR_Coverage, 18994,
     /*  425308 */     GIR_EraseRootFromParent_Done,
     /*  425309 */   // Label 7419: @425309
     /*  425309 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(425380), // Rule ID 18995 //
     /*  425314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  425317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  425325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  425328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  425331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425346 */     // MIs[0] round
     /*  425346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425356 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  425356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  425359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425365 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  425375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425378 */     GIR_RootConstrainSelectedInstOperands,
     /*  425379 */     // GIR_Coverage, 18995,
     /*  425379 */     GIR_EraseRootFromParent_Done,
     /*  425380 */   // Label 7420: @425380
     /*  425380 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(425451), // Rule ID 18998 //
     /*  425385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  425388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425417 */     // MIs[0] round
     /*  425417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425427 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  425430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425436 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425449 */     GIR_RootConstrainSelectedInstOperands,
     /*  425450 */     // GIR_Coverage, 18998,
     /*  425450 */     GIR_EraseRootFromParent_Done,
     /*  425451 */   // Label 7421: @425451
     /*  425451 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(425522), // Rule ID 18999 //
     /*  425456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  425459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  425467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  425470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  425473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425488 */     // MIs[0] round
     /*  425488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425498 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  425501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425507 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425520 */     GIR_RootConstrainSelectedInstOperands,
     /*  425521 */     // GIR_Coverage, 18999,
     /*  425521 */     GIR_EraseRootFromParent_Done,
     /*  425522 */   // Label 7422: @425522
     /*  425522 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(425593), // Rule ID 19002 //
     /*  425527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  425530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425559 */     // MIs[0] round
     /*  425559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425569 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  425572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425578 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425591 */     GIR_RootConstrainSelectedInstOperands,
     /*  425592 */     // GIR_Coverage, 19002,
     /*  425592 */     GIR_EraseRootFromParent_Done,
     /*  425593 */   // Label 7423: @425593
     /*  425593 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(425664), // Rule ID 19003 //
     /*  425598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  425601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  425609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  425612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  425615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425630 */     // MIs[0] round
     /*  425630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425640 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  425643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425649 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425662 */     GIR_RootConstrainSelectedInstOperands,
     /*  425663 */     // GIR_Coverage, 19003,
     /*  425663 */     GIR_EraseRootFromParent_Done,
     /*  425664 */   // Label 7424: @425664
     /*  425664 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(425735), // Rule ID 19006 //
     /*  425669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  425672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425701 */     // MIs[0] round
     /*  425701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425711 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  425711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  425714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425720 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425733 */     GIR_RootConstrainSelectedInstOperands,
     /*  425734 */     // GIR_Coverage, 19006,
     /*  425734 */     GIR_EraseRootFromParent_Done,
     /*  425735 */   // Label 7425: @425735
     /*  425735 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(425806), // Rule ID 19007 //
     /*  425740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  425743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  425751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  425754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  425757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425772 */     // MIs[0] round
     /*  425772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425782 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  425782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  425785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425791 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  425801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425804 */     GIR_RootConstrainSelectedInstOperands,
     /*  425805 */     // GIR_Coverage, 19007,
     /*  425805 */     GIR_EraseRootFromParent_Done,
     /*  425806 */   // Label 7426: @425806
     /*  425806 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(425877), // Rule ID 19010 //
     /*  425811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  425814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  425822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  425825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  425828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425843 */     // MIs[0] round
     /*  425843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425853 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  425853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  425856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425862 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425875 */     GIR_RootConstrainSelectedInstOperands,
     /*  425876 */     // GIR_Coverage, 19010,
     /*  425876 */     GIR_EraseRootFromParent_Done,
     /*  425877 */   // Label 7427: @425877
     /*  425877 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(425948), // Rule ID 19011 //
     /*  425882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  425885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  425893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  425896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  425899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  425914 */     // MIs[0] round
     /*  425914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425924 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10885:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  425924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  425927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  425931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  425933 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  425935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  425946 */     GIR_RootConstrainSelectedInstOperands,
     /*  425947 */     // GIR_Coverage, 19011,
     /*  425947 */     GIR_EraseRootFromParent_Done,
     /*  425948 */   // Label 7428: @425948
     /*  425948 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(426019), // Rule ID 19014 //
     /*  425953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  425956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  425961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  425964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  425967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  425970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  425985 */     // MIs[0] round
     /*  425985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  425988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425995 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  425995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  425998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426004 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426017 */     GIR_RootConstrainSelectedInstOperands,
     /*  426018 */     // GIR_Coverage, 19014,
     /*  426018 */     GIR_EraseRootFromParent_Done,
     /*  426019 */   // Label 7429: @426019
     /*  426019 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(426090), // Rule ID 19015 //
     /*  426024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  426027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  426032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  426035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  426038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  426041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  426056 */     // MIs[0] round
     /*  426056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426066 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10885:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  426069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426075 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426088 */     GIR_RootConstrainSelectedInstOperands,
     /*  426089 */     // GIR_Coverage, 19015,
     /*  426089 */     GIR_EraseRootFromParent_Done,
     /*  426090 */   // Label 7430: @426090
     /*  426090 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(426161), // Rule ID 19018 //
     /*  426095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  426098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  426103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  426106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  426109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  426112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426127 */     // MIs[0] round
     /*  426127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  426140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426146 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426159 */     GIR_RootConstrainSelectedInstOperands,
     /*  426160 */     // GIR_Coverage, 19018,
     /*  426160 */     GIR_EraseRootFromParent_Done,
     /*  426161 */   // Label 7431: @426161
     /*  426161 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(426232), // Rule ID 19019 //
     /*  426166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  426169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  426174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  426177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  426180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  426183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  426198 */     // MIs[0] round
     /*  426198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426208 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10885:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  426211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426217 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426230 */     GIR_RootConstrainSelectedInstOperands,
     /*  426231 */     // GIR_Coverage, 19019,
     /*  426231 */     GIR_EraseRootFromParent_Done,
     /*  426232 */   // Label 7432: @426232
     /*  426232 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(426303), // Rule ID 20604 //
     /*  426237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426269 */     // MIs[0] round
     /*  426269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  426282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426288 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426301 */     GIR_RootConstrainSelectedInstOperands,
     /*  426302 */     // GIR_Coverage, 20604,
     /*  426302 */     GIR_EraseRootFromParent_Done,
     /*  426303 */   // Label 7433: @426303
     /*  426303 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(426374), // Rule ID 20605 //
     /*  426308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  426311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  426319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  426325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426340 */     // MIs[0] round
     /*  426340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  426353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426359 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426372 */     GIR_RootConstrainSelectedInstOperands,
     /*  426373 */     // GIR_Coverage, 20605,
     /*  426373 */     GIR_EraseRootFromParent_Done,
     /*  426374 */   // Label 7434: @426374
     /*  426374 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(426445), // Rule ID 20608 //
     /*  426379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  426382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426411 */     // MIs[0] round
     /*  426411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  426424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426430 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426443 */     GIR_RootConstrainSelectedInstOperands,
     /*  426444 */     // GIR_Coverage, 20608,
     /*  426444 */     GIR_EraseRootFromParent_Done,
     /*  426445 */   // Label 7435: @426445
     /*  426445 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(426516), // Rule ID 20609 //
     /*  426450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  426453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  426461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  426467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426482 */     // MIs[0] round
     /*  426482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  426495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426501 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426514 */     GIR_RootConstrainSelectedInstOperands,
     /*  426515 */     // GIR_Coverage, 20609,
     /*  426515 */     GIR_EraseRootFromParent_Done,
     /*  426516 */   // Label 7436: @426516
     /*  426516 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(426587), // Rule ID 20612 //
     /*  426521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426553 */     // MIs[0] round
     /*  426553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426572 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426585 */     GIR_RootConstrainSelectedInstOperands,
     /*  426586 */     // GIR_Coverage, 20612,
     /*  426586 */     GIR_EraseRootFromParent_Done,
     /*  426587 */   // Label 7437: @426587
     /*  426587 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(426658), // Rule ID 20613 //
     /*  426592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  426595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  426603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  426609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426624 */     // MIs[0] round
     /*  426624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10831:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  426634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426643 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426656 */     GIR_RootConstrainSelectedInstOperands,
     /*  426657 */     // GIR_Coverage, 20613,
     /*  426657 */     GIR_EraseRootFromParent_Done,
     /*  426658 */   // Label 7438: @426658
     /*  426658 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(426729), // Rule ID 20616 //
     /*  426663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  426666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426695 */     // MIs[0] round
     /*  426695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426705 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  426705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426714 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426727 */     GIR_RootConstrainSelectedInstOperands,
     /*  426728 */     // GIR_Coverage, 20616,
     /*  426728 */     GIR_EraseRootFromParent_Done,
     /*  426729 */   // Label 7439: @426729
     /*  426729 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(426800), // Rule ID 20617 //
     /*  426734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  426737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  426745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  426751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426766 */     // MIs[0] round
     /*  426766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426776 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10831:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  426776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426785 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426798 */     GIR_RootConstrainSelectedInstOperands,
     /*  426799 */     // GIR_Coverage, 20617,
     /*  426799 */     GIR_EraseRootFromParent_Done,
     /*  426800 */   // Label 7440: @426800
     /*  426800 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(426871), // Rule ID 20620 //
     /*  426805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  426808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426837 */     // MIs[0] round
     /*  426837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  426847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426856 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426869 */     GIR_RootConstrainSelectedInstOperands,
     /*  426870 */     // GIR_Coverage, 20620,
     /*  426870 */     GIR_EraseRootFromParent_Done,
     /*  426871 */   // Label 7441: @426871
     /*  426871 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(426942), // Rule ID 20621 //
     /*  426876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  426879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  426887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  426893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426908 */     // MIs[0] round
     /*  426908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10831:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  426918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  426921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426927 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  426929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  426937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  426940 */     GIR_RootConstrainSelectedInstOperands,
     /*  426941 */     // GIR_Coverage, 20621,
     /*  426941 */     GIR_EraseRootFromParent_Done,
     /*  426942 */   // Label 7442: @426942
     /*  426942 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(427013), // Rule ID 20624 //
     /*  426947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  426950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  426955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  426958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  426961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  426964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  426979 */     // MIs[0] round
     /*  426979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  426982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426989 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  426989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  426992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  426996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  426998 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427011 */     GIR_RootConstrainSelectedInstOperands,
     /*  427012 */     // GIR_Coverage, 20624,
     /*  427012 */     GIR_EraseRootFromParent_Done,
     /*  427013 */   // Label 7443: @427013
     /*  427013 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(427084), // Rule ID 20625 //
     /*  427018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  427029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  427035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427050 */     // MIs[0] round
     /*  427050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  427063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427069 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427082 */     GIR_RootConstrainSelectedInstOperands,
     /*  427083 */     // GIR_Coverage, 20625,
     /*  427083 */     GIR_EraseRootFromParent_Done,
     /*  427084 */   // Label 7444: @427084
     /*  427084 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(427155), // Rule ID 20628 //
     /*  427089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  427092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427121 */     // MIs[0] round
     /*  427121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  427134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427140 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427153 */     GIR_RootConstrainSelectedInstOperands,
     /*  427154 */     // GIR_Coverage, 20628,
     /*  427154 */     GIR_EraseRootFromParent_Done,
     /*  427155 */   // Label 7445: @427155
     /*  427155 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(427226), // Rule ID 20629 //
     /*  427160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  427171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  427177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427192 */     // MIs[0] round
     /*  427192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  427205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427211 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427224 */     GIR_RootConstrainSelectedInstOperands,
     /*  427225 */     // GIR_Coverage, 20629,
     /*  427225 */     GIR_EraseRootFromParent_Done,
     /*  427226 */   // Label 7446: @427226
     /*  427226 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(427297), // Rule ID 20632 //
     /*  427231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  427234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  427242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  427248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427263 */     // MIs[0] round
     /*  427263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427273 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  427273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  427276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427282 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427295 */     GIR_RootConstrainSelectedInstOperands,
     /*  427296 */     // GIR_Coverage, 20632,
     /*  427296 */     GIR_EraseRootFromParent_Done,
     /*  427297 */   // Label 7447: @427297
     /*  427297 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(427368), // Rule ID 20633 //
     /*  427302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  427305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  427313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  427319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427334 */     // MIs[0] round
     /*  427334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  427344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  427347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427353 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427366 */     GIR_RootConstrainSelectedInstOperands,
     /*  427367 */     // GIR_Coverage, 20633,
     /*  427367 */     GIR_EraseRootFromParent_Done,
     /*  427368 */   // Label 7448: @427368
     /*  427368 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(427439), // Rule ID 20636 //
     /*  427373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  427384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  427390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427405 */     // MIs[0] round
     /*  427405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  427418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427424 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427437 */     GIR_RootConstrainSelectedInstOperands,
     /*  427438 */     // GIR_Coverage, 20636,
     /*  427438 */     GIR_EraseRootFromParent_Done,
     /*  427439 */   // Label 7449: @427439
     /*  427439 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(427510), // Rule ID 20637 //
     /*  427444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  427455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  427458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  427461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427476 */     // MIs[0] round
     /*  427476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  427489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427495 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427508 */     GIR_RootConstrainSelectedInstOperands,
     /*  427509 */     // GIR_Coverage, 20637,
     /*  427509 */     GIR_EraseRootFromParent_Done,
     /*  427510 */   // Label 7450: @427510
     /*  427510 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(427581), // Rule ID 20640 //
     /*  427515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427547 */     // MIs[0] round
     /*  427547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427557 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  427560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427566 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427579 */     GIR_RootConstrainSelectedInstOperands,
     /*  427580 */     // GIR_Coverage, 20640,
     /*  427580 */     GIR_EraseRootFromParent_Done,
     /*  427581 */   // Label 7451: @427581
     /*  427581 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(427652), // Rule ID 20641 //
     /*  427586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  427597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  427600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  427603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427618 */     // MIs[0] round
     /*  427618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  427631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427637 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427650 */     GIR_RootConstrainSelectedInstOperands,
     /*  427651 */     // GIR_Coverage, 20641,
     /*  427651 */     GIR_EraseRootFromParent_Done,
     /*  427652 */   // Label 7452: @427652
     /*  427652 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(427723), // Rule ID 20644 //
     /*  427657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  427660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427689 */     // MIs[0] round
     /*  427689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  427699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  427702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427708 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427721 */     GIR_RootConstrainSelectedInstOperands,
     /*  427722 */     // GIR_Coverage, 20644,
     /*  427722 */     GIR_EraseRootFromParent_Done,
     /*  427723 */   // Label 7453: @427723
     /*  427723 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(427794), // Rule ID 20645 //
     /*  427728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  427731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  427739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  427742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  427745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427760 */     // MIs[0] round
     /*  427760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  427770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  427773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427779 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  427789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427792 */     GIR_RootConstrainSelectedInstOperands,
     /*  427793 */     // GIR_Coverage, 20645,
     /*  427793 */     GIR_EraseRootFromParent_Done,
     /*  427794 */   // Label 7454: @427794
     /*  427794 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(427865), // Rule ID 20648 //
     /*  427799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  427802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427831 */     // MIs[0] round
     /*  427831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  427844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427850 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427863 */     GIR_RootConstrainSelectedInstOperands,
     /*  427864 */     // GIR_Coverage, 20648,
     /*  427864 */     GIR_EraseRootFromParent_Done,
     /*  427865 */   // Label 7455: @427865
     /*  427865 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(427936), // Rule ID 20649 //
     /*  427870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  427873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  427881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  427884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  427887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427902 */     // MIs[0] round
     /*  427902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10831:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  427912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  427915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427921 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  427934 */     GIR_RootConstrainSelectedInstOperands,
     /*  427935 */     // GIR_Coverage, 20649,
     /*  427935 */     GIR_EraseRootFromParent_Done,
     /*  427936 */   // Label 7456: @427936
     /*  427936 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(428007), // Rule ID 20652 //
     /*  427941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  427944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  427949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  427952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  427955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  427958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427973 */     // MIs[0] round
     /*  427973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  427976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  427983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  427986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  427990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  427992 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  427994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428005 */     GIR_RootConstrainSelectedInstOperands,
     /*  428006 */     // GIR_Coverage, 20652,
     /*  428006 */     GIR_EraseRootFromParent_Done,
     /*  428007 */   // Label 7457: @428007
     /*  428007 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(428078), // Rule ID 20653 //
     /*  428012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  428015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  428020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  428023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  428029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428044 */     // MIs[0] round
     /*  428044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10831:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  428057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428063 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428076 */     GIR_RootConstrainSelectedInstOperands,
     /*  428077 */     // GIR_Coverage, 20653,
     /*  428077 */     GIR_EraseRootFromParent_Done,
     /*  428078 */   // Label 7458: @428078
     /*  428078 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(428149), // Rule ID 20656 //
     /*  428083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  428086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  428091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  428094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  428100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428115 */     // MIs[0] round
     /*  428115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428125 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  428128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428134 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428147 */     GIR_RootConstrainSelectedInstOperands,
     /*  428148 */     // GIR_Coverage, 20656,
     /*  428148 */     GIR_EraseRootFromParent_Done,
     /*  428149 */   // Label 7459: @428149
     /*  428149 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(428220), // Rule ID 20657 //
     /*  428154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  428157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  428162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  428165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  428171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428186 */     // MIs[0] round
     /*  428186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428196 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10831:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  428196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  428199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428205 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428218 */     GIR_RootConstrainSelectedInstOperands,
     /*  428219 */     // GIR_Coverage, 20657,
     /*  428219 */     GIR_EraseRootFromParent_Done,
     /*  428220 */   // Label 7460: @428220
     /*  428220 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(428291), // Rule ID 20660 //
     /*  428225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428257 */     // MIs[0] round
     /*  428257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  428270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428276 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428289 */     GIR_RootConstrainSelectedInstOperands,
     /*  428290 */     // GIR_Coverage, 20660,
     /*  428290 */     GIR_EraseRootFromParent_Done,
     /*  428291 */   // Label 7461: @428291
     /*  428291 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(428362), // Rule ID 20661 //
     /*  428296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  428307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  428310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  428313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428328 */     // MIs[0] round
     /*  428328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428338 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  428341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428347 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428360 */     GIR_RootConstrainSelectedInstOperands,
     /*  428361 */     // GIR_Coverage, 20661,
     /*  428361 */     GIR_EraseRootFromParent_Done,
     /*  428362 */   // Label 7462: @428362
     /*  428362 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(428433), // Rule ID 20664 //
     /*  428367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428399 */     // MIs[0] round
     /*  428399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  428412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428418 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428431 */     GIR_RootConstrainSelectedInstOperands,
     /*  428432 */     // GIR_Coverage, 20664,
     /*  428432 */     GIR_EraseRootFromParent_Done,
     /*  428433 */   // Label 7463: @428433
     /*  428433 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(428504), // Rule ID 20665 //
     /*  428438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  428449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  428452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  428455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428470 */     // MIs[0] round
     /*  428470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428480 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  428483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428489 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428502 */     GIR_RootConstrainSelectedInstOperands,
     /*  428503 */     // GIR_Coverage, 20665,
     /*  428503 */     GIR_EraseRootFromParent_Done,
     /*  428504 */   // Label 7464: @428504
     /*  428504 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(428575), // Rule ID 20668 //
     /*  428509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  428512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428541 */     // MIs[0] round
     /*  428541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  428554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428560 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428573 */     GIR_RootConstrainSelectedInstOperands,
     /*  428574 */     // GIR_Coverage, 20668,
     /*  428574 */     GIR_EraseRootFromParent_Done,
     /*  428575 */   // Label 7465: @428575
     /*  428575 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(428646), // Rule ID 20669 //
     /*  428580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  428583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  428591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  428594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  428597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428612 */     // MIs[0] round
     /*  428612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  428625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428631 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428644 */     GIR_RootConstrainSelectedInstOperands,
     /*  428645 */     // GIR_Coverage, 20669,
     /*  428645 */     GIR_EraseRootFromParent_Done,
     /*  428646 */   // Label 7466: @428646
     /*  428646 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(428717), // Rule ID 20672 //
     /*  428651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  428654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428683 */     // MIs[0] round
     /*  428683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  428693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  428696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428702 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428715 */     GIR_RootConstrainSelectedInstOperands,
     /*  428716 */     // GIR_Coverage, 20672,
     /*  428716 */     GIR_EraseRootFromParent_Done,
     /*  428717 */   // Label 7467: @428717
     /*  428717 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(428788), // Rule ID 20673 //
     /*  428722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  428725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  428733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  428736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  428739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428754 */     // MIs[0] round
     /*  428754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10833:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  428764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  428767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428773 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428786 */     GIR_RootConstrainSelectedInstOperands,
     /*  428787 */     // GIR_Coverage, 20673,
     /*  428787 */     GIR_EraseRootFromParent_Done,
     /*  428788 */   // Label 7468: @428788
     /*  428788 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(428859), // Rule ID 20676 //
     /*  428793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  428796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428825 */     // MIs[0] round
     /*  428825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  428835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  428838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428844 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428857 */     GIR_RootConstrainSelectedInstOperands,
     /*  428858 */     // GIR_Coverage, 20676,
     /*  428858 */     GIR_EraseRootFromParent_Done,
     /*  428859 */   // Label 7469: @428859
     /*  428859 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(428930), // Rule ID 20677 //
     /*  428864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  428867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  428875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  428878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  428881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428896 */     // MIs[0] round
     /*  428896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10833:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  428906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  428909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428915 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428928 */     GIR_RootConstrainSelectedInstOperands,
     /*  428929 */     // GIR_Coverage, 20677,
     /*  428929 */     GIR_EraseRootFromParent_Done,
     /*  428930 */   // Label 7470: @428930
     /*  428930 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(429001), // Rule ID 20680 //
     /*  428935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  428938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  428943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  428946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  428949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  428952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428967 */     // MIs[0] round
     /*  428967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  428970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428977 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  428977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  428980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  428984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  428986 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  428988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  428999 */     GIR_RootConstrainSelectedInstOperands,
     /*  429000 */     // GIR_Coverage, 20680,
     /*  429000 */     GIR_EraseRootFromParent_Done,
     /*  429001 */   // Label 7471: @429001
     /*  429001 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(429072), // Rule ID 20681 //
     /*  429006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  429009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  429017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  429020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  429023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429038 */     // MIs[0] round
     /*  429038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429048 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10833:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  429048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  429051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429057 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429070 */     GIR_RootConstrainSelectedInstOperands,
     /*  429071 */     // GIR_Coverage, 20681,
     /*  429071 */     GIR_EraseRootFromParent_Done,
     /*  429072 */   // Label 7472: @429072
     /*  429072 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(429143), // Rule ID 20684 //
     /*  429077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429109 */     // MIs[0] round
     /*  429109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  429122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429128 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429141 */     GIR_RootConstrainSelectedInstOperands,
     /*  429142 */     // GIR_Coverage, 20684,
     /*  429142 */     GIR_EraseRootFromParent_Done,
     /*  429143 */   // Label 7473: @429143
     /*  429143 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(429214), // Rule ID 20685 //
     /*  429148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  429159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  429162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  429165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429180 */     // MIs[0] round
     /*  429180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  429193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429199 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429212 */     GIR_RootConstrainSelectedInstOperands,
     /*  429213 */     // GIR_Coverage, 20685,
     /*  429213 */     GIR_EraseRootFromParent_Done,
     /*  429214 */   // Label 7474: @429214
     /*  429214 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(429285), // Rule ID 20688 //
     /*  429219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429251 */     // MIs[0] round
     /*  429251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429261 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  429264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429270 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429283 */     GIR_RootConstrainSelectedInstOperands,
     /*  429284 */     // GIR_Coverage, 20688,
     /*  429284 */     GIR_EraseRootFromParent_Done,
     /*  429285 */   // Label 7475: @429285
     /*  429285 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(429356), // Rule ID 20689 //
     /*  429290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  429301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  429304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  429307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429322 */     // MIs[0] round
     /*  429322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429332 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  429335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429341 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429354 */     GIR_RootConstrainSelectedInstOperands,
     /*  429355 */     // GIR_Coverage, 20689,
     /*  429355 */     GIR_EraseRootFromParent_Done,
     /*  429356 */   // Label 7476: @429356
     /*  429356 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(429427), // Rule ID 20692 //
     /*  429361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  429364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429393 */     // MIs[0] round
     /*  429393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  429403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  429406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429412 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429425 */     GIR_RootConstrainSelectedInstOperands,
     /*  429426 */     // GIR_Coverage, 20692,
     /*  429426 */     GIR_EraseRootFromParent_Done,
     /*  429427 */   // Label 7477: @429427
     /*  429427 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(429498), // Rule ID 20693 //
     /*  429432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  429435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  429443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  429446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  429449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429464 */     // MIs[0] round
     /*  429464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  429474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  429477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429483 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  429493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429496 */     GIR_RootConstrainSelectedInstOperands,
     /*  429497 */     // GIR_Coverage, 20693,
     /*  429497 */     GIR_EraseRootFromParent_Done,
     /*  429498 */   // Label 7478: @429498
     /*  429498 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(429569), // Rule ID 20696 //
     /*  429503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429535 */     // MIs[0] round
     /*  429535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  429548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429554 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429567 */     GIR_RootConstrainSelectedInstOperands,
     /*  429568 */     // GIR_Coverage, 20696,
     /*  429568 */     GIR_EraseRootFromParent_Done,
     /*  429569 */   // Label 7479: @429569
     /*  429569 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(429640), // Rule ID 20697 //
     /*  429574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429606 */     // MIs[0] round
     /*  429606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  429619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429625 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429638 */     GIR_RootConstrainSelectedInstOperands,
     /*  429639 */     // GIR_Coverage, 20697,
     /*  429639 */     GIR_EraseRootFromParent_Done,
     /*  429640 */   // Label 7480: @429640
     /*  429640 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(429711), // Rule ID 20700 //
     /*  429645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429677 */     // MIs[0] round
     /*  429677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  429690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429696 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429709 */     GIR_RootConstrainSelectedInstOperands,
     /*  429710 */     // GIR_Coverage, 20700,
     /*  429710 */     GIR_EraseRootFromParent_Done,
     /*  429711 */   // Label 7481: @429711
     /*  429711 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(429782), // Rule ID 20701 //
     /*  429716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429748 */     // MIs[0] round
     /*  429748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  429761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429767 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429780 */     GIR_RootConstrainSelectedInstOperands,
     /*  429781 */     // GIR_Coverage, 20701,
     /*  429781 */     GIR_EraseRootFromParent_Done,
     /*  429782 */   // Label 7482: @429782
     /*  429782 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(429853), // Rule ID 20704 //
     /*  429787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  429790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429819 */     // MIs[0] round
     /*  429819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  429832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429838 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429851 */     GIR_RootConstrainSelectedInstOperands,
     /*  429852 */     // GIR_Coverage, 20704,
     /*  429852 */     GIR_EraseRootFromParent_Done,
     /*  429853 */   // Label 7483: @429853
     /*  429853 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(429924), // Rule ID 20705 //
     /*  429858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  429861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429890 */     // MIs[0] round
     /*  429890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  429903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429909 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429922 */     GIR_RootConstrainSelectedInstOperands,
     /*  429923 */     // GIR_Coverage, 20705,
     /*  429923 */     GIR_EraseRootFromParent_Done,
     /*  429924 */   // Label 7484: @429924
     /*  429924 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(429995), // Rule ID 20708 //
     /*  429929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  429932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  429937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  429940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  429943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  429946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429961 */     // MIs[0] round
     /*  429961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  429971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  429974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  429980 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  429982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429993 */     GIR_RootConstrainSelectedInstOperands,
     /*  429994 */     // GIR_Coverage, 20708,
     /*  429994 */     GIR_EraseRootFromParent_Done,
     /*  429995 */   // Label 7485: @429995
     /*  429995 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(430066), // Rule ID 20709 //
     /*  430000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  430008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  430011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  430014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  430017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430032 */     // MIs[0] round
     /*  430032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10833:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  430045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430051 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430064 */     GIR_RootConstrainSelectedInstOperands,
     /*  430065 */     // GIR_Coverage, 20709,
     /*  430065 */     GIR_EraseRootFromParent_Done,
     /*  430066 */   // Label 7486: @430066
     /*  430066 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(430137), // Rule ID 20712 //
     /*  430071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  430074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  430079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430103 */     // MIs[0] round
     /*  430103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430113 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  430116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430122 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430135 */     GIR_RootConstrainSelectedInstOperands,
     /*  430136 */     // GIR_Coverage, 20712,
     /*  430136 */     GIR_EraseRootFromParent_Done,
     /*  430137 */   // Label 7487: @430137
     /*  430137 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(430208), // Rule ID 20713 //
     /*  430142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  430150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  430153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  430156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  430159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430174 */     // MIs[0] round
     /*  430174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10833:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  430187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430193 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430206 */     GIR_RootConstrainSelectedInstOperands,
     /*  430207 */     // GIR_Coverage, 20713,
     /*  430207 */     GIR_EraseRootFromParent_Done,
     /*  430208 */   // Label 7488: @430208
     /*  430208 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(430279), // Rule ID 20716 //
     /*  430213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  430216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  430221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430245 */     // MIs[0] round
     /*  430245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  430255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  430258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430264 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430277 */     GIR_RootConstrainSelectedInstOperands,
     /*  430278 */     // GIR_Coverage, 20716,
     /*  430278 */     GIR_EraseRootFromParent_Done,
     /*  430279 */   // Label 7489: @430279
     /*  430279 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(430350), // Rule ID 20717 //
     /*  430284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  430287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  430292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  430295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  430298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  430301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430316 */     // MIs[0] round
     /*  430316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430326 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10833:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  430326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  430329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430335 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  430345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430348 */     GIR_RootConstrainSelectedInstOperands,
     /*  430349 */     // GIR_Coverage, 20717,
     /*  430349 */     GIR_EraseRootFromParent_Done,
     /*  430350 */   // Label 7490: @430350
     /*  430350 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(430421), // Rule ID 20840 //
     /*  430355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430387 */     // MIs[0] round
     /*  430387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430397 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  430400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430406 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430419 */     GIR_RootConstrainSelectedInstOperands,
     /*  430420 */     // GIR_Coverage, 20840,
     /*  430420 */     GIR_EraseRootFromParent_Done,
     /*  430421 */   // Label 7491: @430421
     /*  430421 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(430492), // Rule ID 20841 //
     /*  430426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  430437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  430440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  430443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430458 */     // MIs[0] round
     /*  430458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430468 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  430471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430477 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430490 */     GIR_RootConstrainSelectedInstOperands,
     /*  430491 */     // GIR_Coverage, 20841,
     /*  430491 */     GIR_EraseRootFromParent_Done,
     /*  430492 */   // Label 7492: @430492
     /*  430492 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(430563), // Rule ID 20844 //
     /*  430497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430529 */     // MIs[0] round
     /*  430529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430539 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  430542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430548 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430561 */     GIR_RootConstrainSelectedInstOperands,
     /*  430562 */     // GIR_Coverage, 20844,
     /*  430562 */     GIR_EraseRootFromParent_Done,
     /*  430563 */   // Label 7493: @430563
     /*  430563 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(430634), // Rule ID 20845 //
     /*  430568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  430579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  430582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  430585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430600 */     // MIs[0] round
     /*  430600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  430613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430619 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430632 */     GIR_RootConstrainSelectedInstOperands,
     /*  430633 */     // GIR_Coverage, 20845,
     /*  430633 */     GIR_EraseRootFromParent_Done,
     /*  430634 */   // Label 7494: @430634
     /*  430634 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(430705), // Rule ID 20848 //
     /*  430639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  430642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430671 */     // MIs[0] round
     /*  430671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430681 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  430684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430690 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430703 */     GIR_RootConstrainSelectedInstOperands,
     /*  430704 */     // GIR_Coverage, 20848,
     /*  430704 */     GIR_EraseRootFromParent_Done,
     /*  430705 */   // Label 7495: @430705
     /*  430705 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(430776), // Rule ID 20849 //
     /*  430710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  430713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  430721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  430724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  430727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430742 */     // MIs[0] round
     /*  430742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430752 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  430755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430761 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430774 */     GIR_RootConstrainSelectedInstOperands,
     /*  430775 */     // GIR_Coverage, 20849,
     /*  430775 */     GIR_EraseRootFromParent_Done,
     /*  430776 */   // Label 7496: @430776
     /*  430776 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(430847), // Rule ID 20852 //
     /*  430781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  430784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430813 */     // MIs[0] round
     /*  430813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430823 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  430823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  430826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430832 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430845 */     GIR_RootConstrainSelectedInstOperands,
     /*  430846 */     // GIR_Coverage, 20852,
     /*  430846 */     GIR_EraseRootFromParent_Done,
     /*  430847 */   // Label 7497: @430847
     /*  430847 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(430918), // Rule ID 20853 //
     /*  430852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  430855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  430863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  430866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  430869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430884 */     // MIs[0] round
     /*  430884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430894 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10823:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  430894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  430897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430903 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  430913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430916 */     GIR_RootConstrainSelectedInstOperands,
     /*  430917 */     // GIR_Coverage, 20853,
     /*  430917 */     GIR_EraseRootFromParent_Done,
     /*  430918 */   // Label 7498: @430918
     /*  430918 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(430989), // Rule ID 20856 //
     /*  430923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  430926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  430931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430955 */     // MIs[0] round
     /*  430955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430965 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10823:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  430968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  430974 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  430976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430987 */     GIR_RootConstrainSelectedInstOperands,
     /*  430988 */     // GIR_Coverage, 20856,
     /*  430988 */     GIR_EraseRootFromParent_Done,
     /*  430989 */   // Label 7499: @430989
     /*  430989 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(431060), // Rule ID 20857 //
     /*  430994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  430997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  431005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  431008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  431011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431026 */     // MIs[0] round
     /*  431026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431036 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10823:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  431039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431045 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431058 */     GIR_RootConstrainSelectedInstOperands,
     /*  431059 */     // GIR_Coverage, 20857,
     /*  431059 */     GIR_EraseRootFromParent_Done,
     /*  431060 */   // Label 7500: @431060
     /*  431060 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(431131), // Rule ID 20860 //
     /*  431065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  431068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431097 */     // MIs[0] round
     /*  431097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431107 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  431107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  431110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431116 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431129 */     GIR_RootConstrainSelectedInstOperands,
     /*  431130 */     // GIR_Coverage, 20860,
     /*  431130 */     GIR_EraseRootFromParent_Done,
     /*  431131 */   // Label 7501: @431131
     /*  431131 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(431202), // Rule ID 20861 //
     /*  431136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  431139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  431147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  431150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  431153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431168 */     // MIs[0] round
     /*  431168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431178 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10823:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  431178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  431181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431187 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  431197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431200 */     GIR_RootConstrainSelectedInstOperands,
     /*  431201 */     // GIR_Coverage, 20861,
     /*  431201 */     GIR_EraseRootFromParent_Done,
     /*  431202 */   // Label 7502: @431202
     /*  431202 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(431273), // Rule ID 20864 //
     /*  431207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431239 */     // MIs[0] round
     /*  431239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431249 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  431252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431258 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431271 */     GIR_RootConstrainSelectedInstOperands,
     /*  431272 */     // GIR_Coverage, 20864,
     /*  431272 */     GIR_EraseRootFromParent_Done,
     /*  431273 */   // Label 7503: @431273
     /*  431273 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(431344), // Rule ID 20865 //
     /*  431278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  431289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  431292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  431295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431310 */     // MIs[0] round
     /*  431310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431320 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  431323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431329 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431342 */     GIR_RootConstrainSelectedInstOperands,
     /*  431343 */     // GIR_Coverage, 20865,
     /*  431343 */     GIR_EraseRootFromParent_Done,
     /*  431344 */   // Label 7504: @431344
     /*  431344 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(431415), // Rule ID 20868 //
     /*  431349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431381 */     // MIs[0] round
     /*  431381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431391 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  431394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431400 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431413 */     GIR_RootConstrainSelectedInstOperands,
     /*  431414 */     // GIR_Coverage, 20868,
     /*  431414 */     GIR_EraseRootFromParent_Done,
     /*  431415 */   // Label 7505: @431415
     /*  431415 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(431486), // Rule ID 20869 //
     /*  431420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  431431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  431434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  431437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431452 */     // MIs[0] round
     /*  431452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431462 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  431465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431471 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431484 */     GIR_RootConstrainSelectedInstOperands,
     /*  431485 */     // GIR_Coverage, 20869,
     /*  431485 */     GIR_EraseRootFromParent_Done,
     /*  431486 */   // Label 7506: @431486
     /*  431486 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(431557), // Rule ID 20872 //
     /*  431491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  431494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431523 */     // MIs[0] round
     /*  431523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431533 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  431536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431542 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431555 */     GIR_RootConstrainSelectedInstOperands,
     /*  431556 */     // GIR_Coverage, 20872,
     /*  431556 */     GIR_EraseRootFromParent_Done,
     /*  431557 */   // Label 7507: @431557
     /*  431557 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(431628), // Rule ID 20873 //
     /*  431562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  431565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  431573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  431576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  431579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431594 */     // MIs[0] round
     /*  431594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431604 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  431607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431613 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431626 */     GIR_RootConstrainSelectedInstOperands,
     /*  431627 */     // GIR_Coverage, 20873,
     /*  431627 */     GIR_EraseRootFromParent_Done,
     /*  431628 */   // Label 7508: @431628
     /*  431628 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(431699), // Rule ID 20876 //
     /*  431633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  431644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  431647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  431650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431665 */     // MIs[0] round
     /*  431665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431675 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  431678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431684 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431697 */     GIR_RootConstrainSelectedInstOperands,
     /*  431698 */     // GIR_Coverage, 20876,
     /*  431698 */     GIR_EraseRootFromParent_Done,
     /*  431699 */   // Label 7509: @431699
     /*  431699 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(431770), // Rule ID 20877 //
     /*  431704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  431715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  431718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  431721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  431736 */     // MIs[0] round
     /*  431736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431746 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  431749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431755 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431768 */     GIR_RootConstrainSelectedInstOperands,
     /*  431769 */     // GIR_Coverage, 20877,
     /*  431769 */     GIR_EraseRootFromParent_Done,
     /*  431770 */   // Label 7510: @431770
     /*  431770 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(431841), // Rule ID 20880 //
     /*  431775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  431786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  431789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  431792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431807 */     // MIs[0] round
     /*  431807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  431820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431826 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431839 */     GIR_RootConstrainSelectedInstOperands,
     /*  431840 */     // GIR_Coverage, 20880,
     /*  431840 */     GIR_EraseRootFromParent_Done,
     /*  431841 */   // Label 7511: @431841
     /*  431841 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(431912), // Rule ID 20881 //
     /*  431846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  431857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  431860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  431863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  431878 */     // MIs[0] round
     /*  431878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  431891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431897 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431910 */     GIR_RootConstrainSelectedInstOperands,
     /*  431911 */     // GIR_Coverage, 20881,
     /*  431911 */     GIR_EraseRootFromParent_Done,
     /*  431912 */   // Label 7512: @431912
     /*  431912 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(431983), // Rule ID 20884 //
     /*  431917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  431920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  431928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  431931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  431934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  431949 */     // MIs[0] round
     /*  431949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  431952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431959 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  431962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  431968 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  431970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431981 */     GIR_RootConstrainSelectedInstOperands,
     /*  431982 */     // GIR_Coverage, 20884,
     /*  431982 */     GIR_EraseRootFromParent_Done,
     /*  431983 */   // Label 7513: @431983
     /*  431983 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(432054), // Rule ID 20885 //
     /*  431988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  431991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  431996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  431999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  432002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  432005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432020 */     // MIs[0] round
     /*  432020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  432033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432039 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432052 */     GIR_RootConstrainSelectedInstOperands,
     /*  432053 */     // GIR_Coverage, 20885,
     /*  432053 */     GIR_EraseRootFromParent_Done,
     /*  432054 */   // Label 7514: @432054
     /*  432054 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(432125), // Rule ID 20888 //
     /*  432059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432091 */     // MIs[0] round
     /*  432091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432101 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  432104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432110 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432123 */     GIR_RootConstrainSelectedInstOperands,
     /*  432124 */     // GIR_Coverage, 20888,
     /*  432124 */     GIR_EraseRootFromParent_Done,
     /*  432125 */   // Label 7515: @432125
     /*  432125 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(432196), // Rule ID 20889 //
     /*  432130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  432141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  432144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  432147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432162 */     // MIs[0] round
     /*  432162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432172 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10823:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  432175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432181 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432194 */     GIR_RootConstrainSelectedInstOperands,
     /*  432195 */     // GIR_Coverage, 20889,
     /*  432195 */     GIR_EraseRootFromParent_Done,
     /*  432196 */   // Label 7516: @432196
     /*  432196 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(432267), // Rule ID 20892 //
     /*  432201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432233 */     // MIs[0] round
     /*  432233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432243 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  432246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432252 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432265 */     GIR_RootConstrainSelectedInstOperands,
     /*  432266 */     // GIR_Coverage, 20892,
     /*  432266 */     GIR_EraseRootFromParent_Done,
     /*  432267 */   // Label 7517: @432267
     /*  432267 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(432338), // Rule ID 20893 //
     /*  432272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  432283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  432286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  432289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432304 */     // MIs[0] round
     /*  432304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432314 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10823:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  432317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432323 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432336 */     GIR_RootConstrainSelectedInstOperands,
     /*  432337 */     // GIR_Coverage, 20893,
     /*  432337 */     GIR_EraseRootFromParent_Done,
     /*  432338 */   // Label 7518: @432338
     /*  432338 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(432409), // Rule ID 20896 //
     /*  432343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  432346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432375 */     // MIs[0] round
     /*  432375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432385 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  432388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432394 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432407 */     GIR_RootConstrainSelectedInstOperands,
     /*  432408 */     // GIR_Coverage, 20896,
     /*  432408 */     GIR_EraseRootFromParent_Done,
     /*  432409 */   // Label 7519: @432409
     /*  432409 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(432480), // Rule ID 20897 //
     /*  432414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  432417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  432422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  432425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  432428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  432431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432446 */     // MIs[0] round
     /*  432446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10823:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  432459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432465 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432478 */     GIR_RootConstrainSelectedInstOperands,
     /*  432479 */     // GIR_Coverage, 20897,
     /*  432479 */     GIR_EraseRootFromParent_Done,
     /*  432480 */   // Label 7520: @432480
     /*  432480 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(432551), // Rule ID 20900 //
     /*  432485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  432496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  432499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432517 */     // MIs[0] round
     /*  432517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432527 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  432530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432536 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432549 */     GIR_RootConstrainSelectedInstOperands,
     /*  432550 */     // GIR_Coverage, 20900,
     /*  432550 */     GIR_EraseRootFromParent_Done,
     /*  432551 */   // Label 7521: @432551
     /*  432551 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(432622), // Rule ID 20901 //
     /*  432556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  432567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  432570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  432573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432588 */     // MIs[0] round
     /*  432588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432598 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  432601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432607 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432620 */     GIR_RootConstrainSelectedInstOperands,
     /*  432621 */     // GIR_Coverage, 20901,
     /*  432621 */     GIR_EraseRootFromParent_Done,
     /*  432622 */   // Label 7522: @432622
     /*  432622 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(432693), // Rule ID 20904 //
     /*  432627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  432638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  432641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432659 */     // MIs[0] round
     /*  432659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432669 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  432672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432678 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432691 */     GIR_RootConstrainSelectedInstOperands,
     /*  432692 */     // GIR_Coverage, 20904,
     /*  432692 */     GIR_EraseRootFromParent_Done,
     /*  432693 */   // Label 7523: @432693
     /*  432693 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(432764), // Rule ID 20905 //
     /*  432698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  432709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  432712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  432715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432730 */     // MIs[0] round
     /*  432730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432740 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  432740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  432743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432749 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432762 */     GIR_RootConstrainSelectedInstOperands,
     /*  432763 */     // GIR_Coverage, 20905,
     /*  432763 */     GIR_EraseRootFromParent_Done,
     /*  432764 */   // Label 7524: @432764
     /*  432764 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(432835), // Rule ID 20908 //
     /*  432769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  432772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  432786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432801 */     // MIs[0] round
     /*  432801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432811 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  432814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432820 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432833 */     GIR_RootConstrainSelectedInstOperands,
     /*  432834 */     // GIR_Coverage, 20908,
     /*  432834 */     GIR_EraseRootFromParent_Done,
     /*  432835 */   // Label 7525: @432835
     /*  432835 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(432906), // Rule ID 20909 //
     /*  432840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  432843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  432851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  432854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  432857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432872 */     // MIs[0] round
     /*  432872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432882 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  432885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432891 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432904 */     GIR_RootConstrainSelectedInstOperands,
     /*  432905 */     // GIR_Coverage, 20909,
     /*  432905 */     GIR_EraseRootFromParent_Done,
     /*  432906 */   // Label 7526: @432906
     /*  432906 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(432977), // Rule ID 20912 //
     /*  432911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  432914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  432922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  432925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432943 */     // MIs[0] round
     /*  432943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  432946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432953 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  432956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  432962 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  432964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432975 */     GIR_RootConstrainSelectedInstOperands,
     /*  432976 */     // GIR_Coverage, 20912,
     /*  432976 */     GIR_EraseRootFromParent_Done,
     /*  432977 */   // Label 7527: @432977
     /*  432977 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(433048), // Rule ID 20913 //
     /*  432982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  432985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  432990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  432993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  432996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  432999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433014 */     // MIs[0] round
     /*  433014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433024 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10825:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  433027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433033 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433046 */     GIR_RootConstrainSelectedInstOperands,
     /*  433047 */     // GIR_Coverage, 20913,
     /*  433047 */     GIR_EraseRootFromParent_Done,
     /*  433048 */   // Label 7528: @433048
     /*  433048 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(433119), // Rule ID 20916 //
     /*  433053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  433056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  433064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  433067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433085 */     // MIs[0] round
     /*  433085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433095 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  433098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433104 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433117 */     GIR_RootConstrainSelectedInstOperands,
     /*  433118 */     // GIR_Coverage, 20916,
     /*  433118 */     GIR_EraseRootFromParent_Done,
     /*  433119 */   // Label 7529: @433119
     /*  433119 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(433190), // Rule ID 20917 //
     /*  433124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  433127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  433135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  433138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  433141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433156 */     // MIs[0] round
     /*  433156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433166 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10825:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  433169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433175 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433188 */     GIR_RootConstrainSelectedInstOperands,
     /*  433189 */     // GIR_Coverage, 20917,
     /*  433189 */     GIR_EraseRootFromParent_Done,
     /*  433190 */   // Label 7530: @433190
     /*  433190 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(433261), // Rule ID 20920 //
     /*  433195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  433198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  433212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433227 */     // MIs[0] round
     /*  433227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433237 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  433237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  433240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433246 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433259 */     GIR_RootConstrainSelectedInstOperands,
     /*  433260 */     // GIR_Coverage, 20920,
     /*  433260 */     GIR_EraseRootFromParent_Done,
     /*  433261 */   // Label 7531: @433261
     /*  433261 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(433332), // Rule ID 20921 //
     /*  433266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  433269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  433277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  433280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  433283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  433298 */     // MIs[0] round
     /*  433298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10825:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  433308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  433311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433317 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  433327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433330 */     GIR_RootConstrainSelectedInstOperands,
     /*  433331 */     // GIR_Coverage, 20921,
     /*  433331 */     GIR_EraseRootFromParent_Done,
     /*  433332 */   // Label 7532: @433332
     /*  433332 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(433403), // Rule ID 20924 //
     /*  433337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  433348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  433351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433369 */     // MIs[0] round
     /*  433369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433379 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  433382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433388 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433401 */     GIR_RootConstrainSelectedInstOperands,
     /*  433402 */     // GIR_Coverage, 20924,
     /*  433402 */     GIR_EraseRootFromParent_Done,
     /*  433403 */   // Label 7533: @433403
     /*  433403 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(433474), // Rule ID 20925 //
     /*  433408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  433419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  433422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433440 */     // MIs[0] round
     /*  433440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  433453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433459 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433472 */     GIR_RootConstrainSelectedInstOperands,
     /*  433473 */     // GIR_Coverage, 20925,
     /*  433473 */     GIR_EraseRootFromParent_Done,
     /*  433474 */   // Label 7534: @433474
     /*  433474 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(433545), // Rule ID 20928 //
     /*  433479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433511 */     // MIs[0] round
     /*  433511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433521 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  433524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433530 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433543 */     GIR_RootConstrainSelectedInstOperands,
     /*  433544 */     // GIR_Coverage, 20928,
     /*  433544 */     GIR_EraseRootFromParent_Done,
     /*  433545 */   // Label 7535: @433545
     /*  433545 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(433616), // Rule ID 20929 //
     /*  433550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433582 */     // MIs[0] round
     /*  433582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  433595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433601 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433614 */     GIR_RootConstrainSelectedInstOperands,
     /*  433615 */     // GIR_Coverage, 20929,
     /*  433615 */     GIR_EraseRootFromParent_Done,
     /*  433616 */   // Label 7536: @433616
     /*  433616 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(433687), // Rule ID 20932 //
     /*  433621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  433624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433653 */     // MIs[0] round
     /*  433653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433663 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  433666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433672 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433685 */     GIR_RootConstrainSelectedInstOperands,
     /*  433686 */     // GIR_Coverage, 20932,
     /*  433686 */     GIR_EraseRootFromParent_Done,
     /*  433687 */   // Label 7537: @433687
     /*  433687 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(433758), // Rule ID 20933 //
     /*  433692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  433695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433724 */     // MIs[0] round
     /*  433724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  433737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433743 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433756 */     GIR_RootConstrainSelectedInstOperands,
     /*  433757 */     // GIR_Coverage, 20933,
     /*  433757 */     GIR_EraseRootFromParent_Done,
     /*  433758 */   // Label 7538: @433758
     /*  433758 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(433829), // Rule ID 20936 //
     /*  433763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  433766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433795 */     // MIs[0] round
     /*  433795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433805 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  433808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433814 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433827 */     GIR_RootConstrainSelectedInstOperands,
     /*  433828 */     // GIR_Coverage, 20936,
     /*  433828 */     GIR_EraseRootFromParent_Done,
     /*  433829 */   // Label 7539: @433829
     /*  433829 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(433900), // Rule ID 20937 //
     /*  433834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  433837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433866 */     // MIs[0] round
     /*  433866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433876 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  433879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433885 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433898 */     GIR_RootConstrainSelectedInstOperands,
     /*  433899 */     // GIR_Coverage, 20937,
     /*  433899 */     GIR_EraseRootFromParent_Done,
     /*  433900 */   // Label 7540: @433900
     /*  433900 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(433971), // Rule ID 20940 //
     /*  433905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  433908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433937 */     // MIs[0] round
     /*  433937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  433940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433947 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  433950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  433956 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  433958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433969 */     GIR_RootConstrainSelectedInstOperands,
     /*  433970 */     // GIR_Coverage, 20940,
     /*  433970 */     GIR_EraseRootFromParent_Done,
     /*  433971 */   // Label 7541: @433971
     /*  433971 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(434042), // Rule ID 20941 //
     /*  433976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  433979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  433984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434008 */     // MIs[0] round
     /*  434008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434018 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  434021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434027 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434040 */     GIR_RootConstrainSelectedInstOperands,
     /*  434041 */     // GIR_Coverage, 20941,
     /*  434041 */     GIR_EraseRootFromParent_Done,
     /*  434042 */   // Label 7542: @434042
     /*  434042 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(434113), // Rule ID 20944 //
     /*  434047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  434050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  434064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434079 */     // MIs[0] round
     /*  434079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434089 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  434089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  434092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434098 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434111 */     GIR_RootConstrainSelectedInstOperands,
     /*  434112 */     // GIR_Coverage, 20944,
     /*  434112 */     GIR_EraseRootFromParent_Done,
     /*  434113 */   // Label 7543: @434113
     /*  434113 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(434184), // Rule ID 20945 //
     /*  434118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  434121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  434129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  434132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  434135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434150 */     // MIs[0] round
     /*  434150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434160 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  434160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  434163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434169 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  434179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434182 */     GIR_RootConstrainSelectedInstOperands,
     /*  434183 */     // GIR_Coverage, 20945,
     /*  434183 */     GIR_EraseRootFromParent_Done,
     /*  434184 */   // Label 7544: @434184
     /*  434184 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(434255), // Rule ID 20948 //
     /*  434189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  434192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  434206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434221 */     // MIs[0] round
     /*  434221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434231 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  434234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434240 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434253 */     GIR_RootConstrainSelectedInstOperands,
     /*  434254 */     // GIR_Coverage, 20948,
     /*  434254 */     GIR_EraseRootFromParent_Done,
     /*  434255 */   // Label 7545: @434255
     /*  434255 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(434326), // Rule ID 20949 //
     /*  434260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  434263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  434277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434292 */     // MIs[0] round
     /*  434292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434302 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10825:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  434305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434311 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434324 */     GIR_RootConstrainSelectedInstOperands,
     /*  434325 */     // GIR_Coverage, 20949,
     /*  434325 */     GIR_EraseRootFromParent_Done,
     /*  434326 */   // Label 7546: @434326
     /*  434326 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(434397), // Rule ID 20952 //
     /*  434331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  434334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434363 */     // MIs[0] round
     /*  434363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434373 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  434376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434382 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434395 */     GIR_RootConstrainSelectedInstOperands,
     /*  434396 */     // GIR_Coverage, 20952,
     /*  434396 */     GIR_EraseRootFromParent_Done,
     /*  434397 */   // Label 7547: @434397
     /*  434397 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(434468), // Rule ID 20953 //
     /*  434402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  434405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434434 */     // MIs[0] round
     /*  434434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434444 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10825:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  434447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434453 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434466 */     GIR_RootConstrainSelectedInstOperands,
     /*  434467 */     // GIR_Coverage, 20953,
     /*  434467 */     GIR_EraseRootFromParent_Done,
     /*  434468 */   // Label 7548: @434468
     /*  434468 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(434539), // Rule ID 20956 //
     /*  434473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  434476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434505 */     // MIs[0] round
     /*  434505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  434518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434524 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434537 */     GIR_RootConstrainSelectedInstOperands,
     /*  434538 */     // GIR_Coverage, 20956,
     /*  434538 */     GIR_EraseRootFromParent_Done,
     /*  434539 */   // Label 7549: @434539
     /*  434539 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(434610), // Rule ID 20957 //
     /*  434544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  434547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  434552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434576 */     // MIs[0] round
     /*  434576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434586 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10825:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  434589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434595 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434608 */     GIR_RootConstrainSelectedInstOperands,
     /*  434609 */     // GIR_Coverage, 20957,
     /*  434609 */     GIR_EraseRootFromParent_Done,
     /*  434610 */   // Label 7550: @434610
     /*  434610 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(434681), // Rule ID 21032 //
     /*  434615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434647 */     // MIs[0] round
     /*  434647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  434660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434666 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434679 */     GIR_RootConstrainSelectedInstOperands,
     /*  434680 */     // GIR_Coverage, 21032,
     /*  434680 */     GIR_EraseRootFromParent_Done,
     /*  434681 */   // Label 7551: @434681
     /*  434681 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(434752), // Rule ID 21033 //
     /*  434686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  434697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  434700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  434703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434718 */     // MIs[0] round
     /*  434718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  434731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434737 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434750 */     GIR_RootConstrainSelectedInstOperands,
     /*  434751 */     // GIR_Coverage, 21033,
     /*  434751 */     GIR_EraseRootFromParent_Done,
     /*  434752 */   // Label 7552: @434752
     /*  434752 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(434823), // Rule ID 21036 //
     /*  434757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434789 */     // MIs[0] round
     /*  434789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434799 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  434802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434808 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434821 */     GIR_RootConstrainSelectedInstOperands,
     /*  434822 */     // GIR_Coverage, 21036,
     /*  434822 */     GIR_EraseRootFromParent_Done,
     /*  434823 */   // Label 7553: @434823
     /*  434823 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(434894), // Rule ID 21037 //
     /*  434828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  434839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  434842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  434845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434860 */     // MIs[0] round
     /*  434860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10929:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  434870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  434873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434879 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434892 */     GIR_RootConstrainSelectedInstOperands,
     /*  434893 */     // GIR_Coverage, 21037,
     /*  434893 */     GIR_EraseRootFromParent_Done,
     /*  434894 */   // Label 7554: @434894
     /*  434894 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(434965), // Rule ID 21040 //
     /*  434899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  434902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434931 */     // MIs[0] round
     /*  434931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  434934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  434941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  434944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  434950 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  434952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  434960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434963 */     GIR_RootConstrainSelectedInstOperands,
     /*  434964 */     // GIR_Coverage, 21040,
     /*  434964 */     GIR_EraseRootFromParent_Done,
     /*  434965 */   // Label 7555: @434965
     /*  434965 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(435036), // Rule ID 21041 //
     /*  434970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  434973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  434978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  434981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  434984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  434987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435002 */     // MIs[0] round
     /*  435002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  435015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435021 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435034 */     GIR_RootConstrainSelectedInstOperands,
     /*  435035 */     // GIR_Coverage, 21041,
     /*  435035 */     GIR_EraseRootFromParent_Done,
     /*  435036 */   // Label 7556: @435036
     /*  435036 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(435107), // Rule ID 21044 //
     /*  435041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  435052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  435055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435073 */     // MIs[0] round
     /*  435073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  435086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435092 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435105 */     GIR_RootConstrainSelectedInstOperands,
     /*  435106 */     // GIR_Coverage, 21044,
     /*  435106 */     GIR_EraseRootFromParent_Done,
     /*  435107 */   // Label 7557: @435107
     /*  435107 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(435178), // Rule ID 21045 //
     /*  435112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  435123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  435126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  435129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435144 */     // MIs[0] round
     /*  435144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  435157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435163 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435176 */     GIR_RootConstrainSelectedInstOperands,
     /*  435177 */     // GIR_Coverage, 21045,
     /*  435177 */     GIR_EraseRootFromParent_Done,
     /*  435178 */   // Label 7558: @435178
     /*  435178 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(435249), // Rule ID 21048 //
     /*  435183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  435194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  435197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435215 */     // MIs[0] round
     /*  435215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435225 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  435228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435234 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435247 */     GIR_RootConstrainSelectedInstOperands,
     /*  435248 */     // GIR_Coverage, 21048,
     /*  435248 */     GIR_EraseRootFromParent_Done,
     /*  435249 */   // Label 7559: @435249
     /*  435249 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(435320), // Rule ID 21049 //
     /*  435254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  435265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  435268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  435271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435286 */     // MIs[0] round
     /*  435286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435296 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  435299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435305 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435318 */     GIR_RootConstrainSelectedInstOperands,
     /*  435319 */     // GIR_Coverage, 21049,
     /*  435319 */     GIR_EraseRootFromParent_Done,
     /*  435320 */   // Label 7560: @435320
     /*  435320 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(435391), // Rule ID 21052 //
     /*  435325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  435328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435357 */     // MIs[0] round
     /*  435357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  435370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435376 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435389 */     GIR_RootConstrainSelectedInstOperands,
     /*  435390 */     // GIR_Coverage, 21052,
     /*  435390 */     GIR_EraseRootFromParent_Done,
     /*  435391 */   // Label 7561: @435391
     /*  435391 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(435462), // Rule ID 21053 //
     /*  435396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  435399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  435407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  435410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435428 */     // MIs[0] round
     /*  435428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10929:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  435441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435447 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435460 */     GIR_RootConstrainSelectedInstOperands,
     /*  435461 */     // GIR_Coverage, 21053,
     /*  435461 */     GIR_EraseRootFromParent_Done,
     /*  435462 */   // Label 7562: @435462
     /*  435462 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(435533), // Rule ID 21056 //
     /*  435467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  435470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  435478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  435481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435499 */     // MIs[0] round
     /*  435499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  435512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435518 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435531 */     GIR_RootConstrainSelectedInstOperands,
     /*  435532 */     // GIR_Coverage, 21056,
     /*  435532 */     GIR_EraseRootFromParent_Done,
     /*  435533 */   // Label 7563: @435533
     /*  435533 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(435604), // Rule ID 21057 //
     /*  435538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  435541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  435549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  435552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435570 */     // MIs[0] round
     /*  435570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10929:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  435583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435589 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435602 */     GIR_RootConstrainSelectedInstOperands,
     /*  435603 */     // GIR_Coverage, 21057,
     /*  435603 */     GIR_EraseRootFromParent_Done,
     /*  435604 */   // Label 7564: @435604
     /*  435604 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(435675), // Rule ID 21060 //
     /*  435609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  435612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  435620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  435623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435641 */     // MIs[0] round
     /*  435641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  435654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435660 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435673 */     GIR_RootConstrainSelectedInstOperands,
     /*  435674 */     // GIR_Coverage, 21060,
     /*  435674 */     GIR_EraseRootFromParent_Done,
     /*  435675 */   // Label 7565: @435675
     /*  435675 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(435746), // Rule ID 21061 //
     /*  435680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  435683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  435691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  435694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  435697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  435712 */     // MIs[0] round
     /*  435712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10929:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  435725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435731 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435744 */     GIR_RootConstrainSelectedInstOperands,
     /*  435745 */     // GIR_Coverage, 21061,
     /*  435745 */     GIR_EraseRootFromParent_Done,
     /*  435746 */   // Label 7566: @435746
     /*  435746 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(435817), // Rule ID 21064 //
     /*  435751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  435754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  435762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  435765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  435768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435783 */     // MIs[0] round
     /*  435783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435793 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  435796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435802 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435815 */     GIR_RootConstrainSelectedInstOperands,
     /*  435816 */     // GIR_Coverage, 21064,
     /*  435816 */     GIR_EraseRootFromParent_Done,
     /*  435817 */   // Label 7567: @435817
     /*  435817 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(435888), // Rule ID 21065 //
     /*  435822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  435825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  435830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  435833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  435836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  435839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  435850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  435854 */     // MIs[0] round
     /*  435854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10929:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  435867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435873 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435886 */     GIR_RootConstrainSelectedInstOperands,
     /*  435887 */     // GIR_Coverage, 21065,
     /*  435887 */     GIR_EraseRootFromParent_Done,
     /*  435888 */   // Label 7568: @435888
     /*  435888 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(435959), // Rule ID 21068 //
     /*  435893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  435896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  435901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435925 */     // MIs[0] round
     /*  435925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435935 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  435938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  435944 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  435946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435957 */     GIR_RootConstrainSelectedInstOperands,
     /*  435958 */     // GIR_Coverage, 21068,
     /*  435958 */     GIR_EraseRootFromParent_Done,
     /*  435959 */   // Label 7569: @435959
     /*  435959 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(436030), // Rule ID 21069 //
     /*  435964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  435967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  435972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435996 */     // MIs[0] round
     /*  435996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  435999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  436009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436015 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436028 */     GIR_RootConstrainSelectedInstOperands,
     /*  436029 */     // GIR_Coverage, 21069,
     /*  436029 */     GIR_EraseRootFromParent_Done,
     /*  436030 */   // Label 7570: @436030
     /*  436030 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(436101), // Rule ID 21072 //
     /*  436035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  436038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  436052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436067 */     // MIs[0] round
     /*  436067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436077 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  436080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436086 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436099 */     GIR_RootConstrainSelectedInstOperands,
     /*  436100 */     // GIR_Coverage, 21072,
     /*  436100 */     GIR_EraseRootFromParent_Done,
     /*  436101 */   // Label 7571: @436101
     /*  436101 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(436172), // Rule ID 21073 //
     /*  436106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  436109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  436117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  436120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  436123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436138 */     // MIs[0] round
     /*  436138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10927:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  436151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436157 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436170 */     GIR_RootConstrainSelectedInstOperands,
     /*  436171 */     // GIR_Coverage, 21073,
     /*  436171 */     GIR_EraseRootFromParent_Done,
     /*  436172 */   // Label 7572: @436172
     /*  436172 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(436243), // Rule ID 21076 //
     /*  436177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  436180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  436194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436209 */     // MIs[0] round
     /*  436209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  436222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436228 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436241 */     GIR_RootConstrainSelectedInstOperands,
     /*  436242 */     // GIR_Coverage, 21076,
     /*  436242 */     GIR_EraseRootFromParent_Done,
     /*  436243 */   // Label 7573: @436243
     /*  436243 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(436314), // Rule ID 21077 //
     /*  436248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  436251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  436259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  436262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  436265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436280 */     // MIs[0] round
     /*  436280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  436293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436299 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436312 */     GIR_RootConstrainSelectedInstOperands,
     /*  436313 */     // GIR_Coverage, 21077,
     /*  436313 */     GIR_EraseRootFromParent_Done,
     /*  436314 */   // Label 7574: @436314
     /*  436314 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(436385), // Rule ID 21080 //
     /*  436319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  436322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436351 */     // MIs[0] round
     /*  436351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  436364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436370 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436383 */     GIR_RootConstrainSelectedInstOperands,
     /*  436384 */     // GIR_Coverage, 21080,
     /*  436384 */     GIR_EraseRootFromParent_Done,
     /*  436385 */   // Label 7575: @436385
     /*  436385 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(436456), // Rule ID 21081 //
     /*  436390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  436393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  436401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  436404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436422 */     // MIs[0] round
     /*  436422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  436435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436441 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436454 */     GIR_RootConstrainSelectedInstOperands,
     /*  436455 */     // GIR_Coverage, 21081,
     /*  436455 */     GIR_EraseRootFromParent_Done,
     /*  436456 */   // Label 7576: @436456
     /*  436456 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(436527), // Rule ID 21084 //
     /*  436461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  436464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436493 */     // MIs[0] round
     /*  436493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  436506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436512 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436525 */     GIR_RootConstrainSelectedInstOperands,
     /*  436526 */     // GIR_Coverage, 21084,
     /*  436526 */     GIR_EraseRootFromParent_Done,
     /*  436527 */   // Label 7577: @436527
     /*  436527 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(436598), // Rule ID 21085 //
     /*  436532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  436535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  436543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  436546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436564 */     // MIs[0] round
     /*  436564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  436577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436583 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436596 */     GIR_RootConstrainSelectedInstOperands,
     /*  436597 */     // GIR_Coverage, 21085,
     /*  436597 */     GIR_EraseRootFromParent_Done,
     /*  436598 */   // Label 7578: @436598
     /*  436598 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(436669), // Rule ID 21088 //
     /*  436603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  436606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  436620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436635 */     // MIs[0] round
     /*  436635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436645 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  436648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436654 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436667 */     GIR_RootConstrainSelectedInstOperands,
     /*  436668 */     // GIR_Coverage, 21088,
     /*  436668 */     GIR_EraseRootFromParent_Done,
     /*  436669 */   // Label 7579: @436669
     /*  436669 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(436740), // Rule ID 21089 //
     /*  436674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  436677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  436691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436706 */     // MIs[0] round
     /*  436706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10927:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  436719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436725 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436738 */     GIR_RootConstrainSelectedInstOperands,
     /*  436739 */     // GIR_Coverage, 21089,
     /*  436739 */     GIR_EraseRootFromParent_Done,
     /*  436740 */   // Label 7580: @436740
     /*  436740 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(436811), // Rule ID 21092 //
     /*  436745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  436748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436777 */     // MIs[0] round
     /*  436777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  436790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436796 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436809 */     GIR_RootConstrainSelectedInstOperands,
     /*  436810 */     // GIR_Coverage, 21092,
     /*  436810 */     GIR_EraseRootFromParent_Done,
     /*  436811 */   // Label 7581: @436811
     /*  436811 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(436882), // Rule ID 21093 //
     /*  436816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  436819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  436827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  436830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  436833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436848 */     // MIs[0] round
     /*  436848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436858 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10927:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  436861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436867 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436880 */     GIR_RootConstrainSelectedInstOperands,
     /*  436881 */     // GIR_Coverage, 21093,
     /*  436881 */     GIR_EraseRootFromParent_Done,
     /*  436882 */   // Label 7582: @436882
     /*  436882 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(436953), // Rule ID 21096 //
     /*  436887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  436890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436919 */     // MIs[0] round
     /*  436919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436929 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  436929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  436932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  436938 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  436940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436951 */     GIR_RootConstrainSelectedInstOperands,
     /*  436952 */     // GIR_Coverage, 21096,
     /*  436952 */     GIR_EraseRootFromParent_Done,
     /*  436953 */   // Label 7583: @436953
     /*  436953 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(437024), // Rule ID 21097 //
     /*  436958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  436961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  436966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  436969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  436972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  436975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436990 */     // MIs[0] round
     /*  436990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  436993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437000 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10927:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  437003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437009 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437022 */     GIR_RootConstrainSelectedInstOperands,
     /*  437023 */     // GIR_Coverage, 21097,
     /*  437023 */     GIR_EraseRootFromParent_Done,
     /*  437024 */   // Label 7584: @437024
     /*  437024 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(437095), // Rule ID 21100 //
     /*  437029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  437032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  437037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437061 */     // MIs[0] round
     /*  437061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437071 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  437074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437080 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437093 */     GIR_RootConstrainSelectedInstOperands,
     /*  437094 */     // GIR_Coverage, 21100,
     /*  437094 */     GIR_EraseRootFromParent_Done,
     /*  437095 */   // Label 7585: @437095
     /*  437095 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(437166), // Rule ID 21101 //
     /*  437100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  437103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  437108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  437111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  437114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437132 */     // MIs[0] round
     /*  437132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437142 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10927:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  437145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437151 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437164 */     GIR_RootConstrainSelectedInstOperands,
     /*  437165 */     // GIR_Coverage, 21101,
     /*  437165 */     GIR_EraseRootFromParent_Done,
     /*  437166 */   // Label 7586: @437166
     /*  437166 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(437237), // Rule ID 21452 //
     /*  437171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437203 */     // MIs[0] round
     /*  437203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437213 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  437216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437222 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437235 */     GIR_RootConstrainSelectedInstOperands,
     /*  437236 */     // GIR_Coverage, 21452,
     /*  437236 */     GIR_EraseRootFromParent_Done,
     /*  437237 */   // Label 7587: @437237
     /*  437237 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(437308), // Rule ID 21453 //
     /*  437242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  437253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  437256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  437259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437274 */     // MIs[0] round
     /*  437274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437284 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  437287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437293 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437306 */     GIR_RootConstrainSelectedInstOperands,
     /*  437307 */     // GIR_Coverage, 21453,
     /*  437307 */     GIR_EraseRootFromParent_Done,
     /*  437308 */   // Label 7588: @437308
     /*  437308 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(437379), // Rule ID 21456 //
     /*  437313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437345 */     // MIs[0] round
     /*  437345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437355 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  437358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437364 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437377 */     GIR_RootConstrainSelectedInstOperands,
     /*  437378 */     // GIR_Coverage, 21456,
     /*  437378 */     GIR_EraseRootFromParent_Done,
     /*  437379 */   // Label 7589: @437379
     /*  437379 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(437450), // Rule ID 21457 //
     /*  437384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  437395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  437398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  437401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437416 */     // MIs[0] round
     /*  437416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437426 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  437429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437435 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437448 */     GIR_RootConstrainSelectedInstOperands,
     /*  437449 */     // GIR_Coverage, 21457,
     /*  437449 */     GIR_EraseRootFromParent_Done,
     /*  437450 */   // Label 7590: @437450
     /*  437450 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(437521), // Rule ID 21460 //
     /*  437455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  437472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437487 */     // MIs[0] round
     /*  437487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437497 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  437500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437506 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437519 */     GIR_RootConstrainSelectedInstOperands,
     /*  437520 */     // GIR_Coverage, 21460,
     /*  437520 */     GIR_EraseRootFromParent_Done,
     /*  437521 */   // Label 7591: @437521
     /*  437521 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(437592), // Rule ID 21461 //
     /*  437526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  437537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  437540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  437543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437558 */     // MIs[0] round
     /*  437558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437568 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  437571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437577 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437590 */     GIR_RootConstrainSelectedInstOperands,
     /*  437591 */     // GIR_Coverage, 21461,
     /*  437591 */     GIR_EraseRootFromParent_Done,
     /*  437592 */   // Label 7592: @437592
     /*  437592 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(437663), // Rule ID 21464 //
     /*  437597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437629 */     // MIs[0] round
     /*  437629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  437642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437648 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437661 */     GIR_RootConstrainSelectedInstOperands,
     /*  437662 */     // GIR_Coverage, 21464,
     /*  437662 */     GIR_EraseRootFromParent_Done,
     /*  437663 */   // Label 7593: @437663
     /*  437663 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(437734), // Rule ID 21465 //
     /*  437668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  437679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  437682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  437685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  437696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437700 */     // MIs[0] round
     /*  437700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10871:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  437713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437719 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437732 */     GIR_RootConstrainSelectedInstOperands,
     /*  437733 */     // GIR_Coverage, 21465,
     /*  437733 */     GIR_EraseRootFromParent_Done,
     /*  437734 */   // Label 7594: @437734
     /*  437734 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(437805), // Rule ID 21468 //
     /*  437739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437771 */     // MIs[0] round
     /*  437771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437781 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  437784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437790 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437803 */     GIR_RootConstrainSelectedInstOperands,
     /*  437804 */     // GIR_Coverage, 21468,
     /*  437804 */     GIR_EraseRootFromParent_Done,
     /*  437805 */   // Label 7595: @437805
     /*  437805 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(437876), // Rule ID 21469 //
     /*  437810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  437821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  437824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437842 */     // MIs[0] round
     /*  437842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  437855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437861 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437874 */     GIR_RootConstrainSelectedInstOperands,
     /*  437875 */     // GIR_Coverage, 21469,
     /*  437875 */     GIR_EraseRootFromParent_Done,
     /*  437876 */   // Label 7596: @437876
     /*  437876 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(437947), // Rule ID 21472 //
     /*  437881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  437884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  437892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  437895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437913 */     // MIs[0] round
     /*  437913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437923 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  437923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  437926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  437932 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  437934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  437942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437945 */     GIR_RootConstrainSelectedInstOperands,
     /*  437946 */     // GIR_Coverage, 21472,
     /*  437946 */     GIR_EraseRootFromParent_Done,
     /*  437947 */   // Label 7597: @437947
     /*  437947 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(438018), // Rule ID 21473 //
     /*  437952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  437955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  437960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  437963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  437966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437984 */     // MIs[0] round
     /*  437984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  437987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437994 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  437994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  437997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438003 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438016 */     GIR_RootConstrainSelectedInstOperands,
     /*  438017 */     // GIR_Coverage, 21473,
     /*  438017 */     GIR_EraseRootFromParent_Done,
     /*  438018 */   // Label 7598: @438018
     /*  438018 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(438089), // Rule ID 21476 //
     /*  438023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438055 */     // MIs[0] round
     /*  438055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438065 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  438068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438074 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438087 */     GIR_RootConstrainSelectedInstOperands,
     /*  438088 */     // GIR_Coverage, 21476,
     /*  438088 */     GIR_EraseRootFromParent_Done,
     /*  438089 */   // Label 7599: @438089
     /*  438089 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(438160), // Rule ID 21477 //
     /*  438094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  438111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438126 */     // MIs[0] round
     /*  438126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438136 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  438139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438145 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438158 */     GIR_RootConstrainSelectedInstOperands,
     /*  438159 */     // GIR_Coverage, 21477,
     /*  438159 */     GIR_EraseRootFromParent_Done,
     /*  438160 */   // Label 7600: @438160
     /*  438160 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(438231), // Rule ID 21480 //
     /*  438165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438197 */     // MIs[0] round
     /*  438197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  438210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438216 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438229 */     GIR_RootConstrainSelectedInstOperands,
     /*  438230 */     // GIR_Coverage, 21480,
     /*  438230 */     GIR_EraseRootFromParent_Done,
     /*  438231 */   // Label 7601: @438231
     /*  438231 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(438302), // Rule ID 21481 //
     /*  438236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  438253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438268 */     // MIs[0] round
     /*  438268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  438281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438287 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438300 */     GIR_RootConstrainSelectedInstOperands,
     /*  438301 */     // GIR_Coverage, 21481,
     /*  438301 */     GIR_EraseRootFromParent_Done,
     /*  438302 */   // Label 7602: @438302
     /*  438302 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(438373), // Rule ID 21484 //
     /*  438307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438339 */     // MIs[0] round
     /*  438339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  438352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438358 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438371 */     GIR_RootConstrainSelectedInstOperands,
     /*  438372 */     // GIR_Coverage, 21484,
     /*  438372 */     GIR_EraseRootFromParent_Done,
     /*  438373 */   // Label 7603: @438373
     /*  438373 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(438444), // Rule ID 21485 //
     /*  438378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  438389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  438392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  438395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438410 */     // MIs[0] round
     /*  438410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438420 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10871:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  438423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438429 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438442 */     GIR_RootConstrainSelectedInstOperands,
     /*  438443 */     // GIR_Coverage, 21485,
     /*  438443 */     GIR_EraseRootFromParent_Done,
     /*  438444 */   // Label 7604: @438444
     /*  438444 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(438515), // Rule ID 21488 //
     /*  438449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  438460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  438463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438481 */     // MIs[0] round
     /*  438481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  438494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438500 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438513 */     GIR_RootConstrainSelectedInstOperands,
     /*  438514 */     // GIR_Coverage, 21488,
     /*  438514 */     GIR_EraseRootFromParent_Done,
     /*  438515 */   // Label 7605: @438515
     /*  438515 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(438586), // Rule ID 21489 //
     /*  438520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  438531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  438534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  438537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438552 */     // MIs[0] round
     /*  438552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  438565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438571 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438584 */     GIR_RootConstrainSelectedInstOperands,
     /*  438585 */     // GIR_Coverage, 21489,
     /*  438585 */     GIR_EraseRootFromParent_Done,
     /*  438586 */   // Label 7606: @438586
     /*  438586 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(438657), // Rule ID 21492 //
     /*  438591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  438594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438623 */     // MIs[0] round
     /*  438623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438633 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  438636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438642 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438655 */     GIR_RootConstrainSelectedInstOperands,
     /*  438656 */     // GIR_Coverage, 21492,
     /*  438656 */     GIR_EraseRootFromParent_Done,
     /*  438657 */   // Label 7607: @438657
     /*  438657 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(438728), // Rule ID 21493 //
     /*  438662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  438665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  438673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  438676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  438679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438694 */     // MIs[0] round
     /*  438694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  438707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438713 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438726 */     GIR_RootConstrainSelectedInstOperands,
     /*  438727 */     // GIR_Coverage, 21493,
     /*  438727 */     GIR_EraseRootFromParent_Done,
     /*  438728 */   // Label 7608: @438728
     /*  438728 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(438799), // Rule ID 21496 //
     /*  438733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  438736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438765 */     // MIs[0] round
     /*  438765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438775 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  438778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438784 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438797 */     GIR_RootConstrainSelectedInstOperands,
     /*  438798 */     // GIR_Coverage, 21496,
     /*  438798 */     GIR_EraseRootFromParent_Done,
     /*  438799 */   // Label 7609: @438799
     /*  438799 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(438870), // Rule ID 21497 //
     /*  438804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  438807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  438815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  438818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  438821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438836 */     // MIs[0] round
     /*  438836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  438849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438855 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438868 */     GIR_RootConstrainSelectedInstOperands,
     /*  438869 */     // GIR_Coverage, 21497,
     /*  438869 */     GIR_EraseRootFromParent_Done,
     /*  438870 */   // Label 7610: @438870
     /*  438870 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(438941), // Rule ID 21500 //
     /*  438875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  438878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438907 */     // MIs[0] round
     /*  438907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438917 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  438917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  438920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438926 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  438936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438939 */     GIR_RootConstrainSelectedInstOperands,
     /*  438940 */     // GIR_Coverage, 21500,
     /*  438940 */     GIR_EraseRootFromParent_Done,
     /*  438941 */   // Label 7611: @438941
     /*  438941 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(439012), // Rule ID 21501 //
     /*  438946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  438949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  438954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  438957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  438960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  438963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  438978 */     // MIs[0] round
     /*  438978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  438981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10871:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  438988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  438991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  438997 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  438999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439010 */     GIR_RootConstrainSelectedInstOperands,
     /*  439011 */     // GIR_Coverage, 21501,
     /*  439011 */     GIR_EraseRootFromParent_Done,
     /*  439012 */   // Label 7612: @439012
     /*  439012 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(439083), // Rule ID 21504 //
     /*  439017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  439020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  439025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439049 */     // MIs[0] round
     /*  439049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  439062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439068 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439081 */     GIR_RootConstrainSelectedInstOperands,
     /*  439082 */     // GIR_Coverage, 21504,
     /*  439082 */     GIR_EraseRootFromParent_Done,
     /*  439083 */   // Label 7613: @439083
     /*  439083 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(439154), // Rule ID 21505 //
     /*  439088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  439091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  439096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  439099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  439102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  439105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439120 */     // MIs[0] round
     /*  439120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10871:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  439133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439139 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439152 */     GIR_RootConstrainSelectedInstOperands,
     /*  439153 */     // GIR_Coverage, 21505,
     /*  439153 */     GIR_EraseRootFromParent_Done,
     /*  439154 */   // Label 7614: @439154
     /*  439154 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(439225), // Rule ID 21508 //
     /*  439159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  439162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  439167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439191 */     // MIs[0] round
     /*  439191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  439204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439210 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439223 */     GIR_RootConstrainSelectedInstOperands,
     /*  439224 */     // GIR_Coverage, 21508,
     /*  439224 */     GIR_EraseRootFromParent_Done,
     /*  439225 */   // Label 7615: @439225
     /*  439225 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(439296), // Rule ID 21509 //
     /*  439230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  439233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  439238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  439241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  439244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  439247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  439262 */     // MIs[0] round
     /*  439262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10871:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  439275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439281 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439294 */     GIR_RootConstrainSelectedInstOperands,
     /*  439295 */     // GIR_Coverage, 21509,
     /*  439295 */     GIR_EraseRootFromParent_Done,
     /*  439296 */   // Label 7616: @439296
     /*  439296 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(439367), // Rule ID 21512 //
     /*  439301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  439312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  439315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  439318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439333 */     // MIs[0] round
     /*  439333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439343 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  439346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439352 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439365 */     GIR_RootConstrainSelectedInstOperands,
     /*  439366 */     // GIR_Coverage, 21512,
     /*  439366 */     GIR_EraseRootFromParent_Done,
     /*  439367 */   // Label 7617: @439367
     /*  439367 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(439438), // Rule ID 21513 //
     /*  439372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  439383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  439386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  439389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439404 */     // MIs[0] round
     /*  439404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439414 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  439417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439423 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439436 */     GIR_RootConstrainSelectedInstOperands,
     /*  439437 */     // GIR_Coverage, 21513,
     /*  439437 */     GIR_EraseRootFromParent_Done,
     /*  439438 */   // Label 7618: @439438
     /*  439438 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(439509), // Rule ID 21516 //
     /*  439443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  439454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  439457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  439460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439475 */     // MIs[0] round
     /*  439475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  439488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439494 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439507 */     GIR_RootConstrainSelectedInstOperands,
     /*  439508 */     // GIR_Coverage, 21516,
     /*  439508 */     GIR_EraseRootFromParent_Done,
     /*  439509 */   // Label 7619: @439509
     /*  439509 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(439580), // Rule ID 21517 //
     /*  439514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  439525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  439528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  439531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439546 */     // MIs[0] round
     /*  439546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  439559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439565 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439578 */     GIR_RootConstrainSelectedInstOperands,
     /*  439579 */     // GIR_Coverage, 21517,
     /*  439579 */     GIR_EraseRootFromParent_Done,
     /*  439580 */   // Label 7620: @439580
     /*  439580 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(439651), // Rule ID 21520 //
     /*  439585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  439596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  439599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439617 */     // MIs[0] round
     /*  439617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439627 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  439630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439636 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439649 */     GIR_RootConstrainSelectedInstOperands,
     /*  439650 */     // GIR_Coverage, 21520,
     /*  439650 */     GIR_EraseRootFromParent_Done,
     /*  439651 */   // Label 7621: @439651
     /*  439651 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(439722), // Rule ID 21521 //
     /*  439656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  439667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  439670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439688 */     // MIs[0] round
     /*  439688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  439701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439707 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439720 */     GIR_RootConstrainSelectedInstOperands,
     /*  439721 */     // GIR_Coverage, 21521,
     /*  439721 */     GIR_EraseRootFromParent_Done,
     /*  439722 */   // Label 7622: @439722
     /*  439722 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(439793), // Rule ID 21524 //
     /*  439727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439759 */     // MIs[0] round
     /*  439759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  439772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439778 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439791 */     GIR_RootConstrainSelectedInstOperands,
     /*  439792 */     // GIR_Coverage, 21524,
     /*  439792 */     GIR_EraseRootFromParent_Done,
     /*  439793 */   // Label 7623: @439793
     /*  439793 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(439864), // Rule ID 21525 //
     /*  439798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  439815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439830 */     // MIs[0] round
     /*  439830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439840 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10869:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  439843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439849 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439862 */     GIR_RootConstrainSelectedInstOperands,
     /*  439863 */     // GIR_Coverage, 21525,
     /*  439863 */     GIR_EraseRootFromParent_Done,
     /*  439864 */   // Label 7624: @439864
     /*  439864 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(439935), // Rule ID 21528 //
     /*  439869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  439872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439901 */     // MIs[0] round
     /*  439901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  439914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439920 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439933 */     GIR_RootConstrainSelectedInstOperands,
     /*  439934 */     // GIR_Coverage, 21528,
     /*  439934 */     GIR_EraseRootFromParent_Done,
     /*  439935 */   // Label 7625: @439935
     /*  439935 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(440006), // Rule ID 21529 //
     /*  439940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  439943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  439948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  439951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  439954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  439957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  439968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  439972 */     // MIs[0] round
     /*  439972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  439975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  439985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  439991 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  439993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440004 */     GIR_RootConstrainSelectedInstOperands,
     /*  440005 */     // GIR_Coverage, 21529,
     /*  440005 */     GIR_EraseRootFromParent_Done,
     /*  440006 */   // Label 7626: @440006
     /*  440006 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(440077), // Rule ID 21532 //
     /*  440011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  440014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440043 */     // MIs[0] round
     /*  440043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  440056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440062 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440075 */     GIR_RootConstrainSelectedInstOperands,
     /*  440076 */     // GIR_Coverage, 21532,
     /*  440076 */     GIR_EraseRootFromParent_Done,
     /*  440077 */   // Label 7627: @440077
     /*  440077 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(440148), // Rule ID 21533 //
     /*  440082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  440085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440114 */     // MIs[0] round
     /*  440114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440124 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  440127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440133 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440146 */     GIR_RootConstrainSelectedInstOperands,
     /*  440147 */     // GIR_Coverage, 21533,
     /*  440147 */     GIR_EraseRootFromParent_Done,
     /*  440148 */   // Label 7628: @440148
     /*  440148 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(440219), // Rule ID 21536 //
     /*  440153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  440156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  440164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  440167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440185 */     // MIs[0] round
     /*  440185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  440198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440204 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440217 */     GIR_RootConstrainSelectedInstOperands,
     /*  440218 */     // GIR_Coverage, 21536,
     /*  440218 */     GIR_EraseRootFromParent_Done,
     /*  440219 */   // Label 7629: @440219
     /*  440219 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(440290), // Rule ID 21537 //
     /*  440224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  440227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  440235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  440238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  440241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440256 */     // MIs[0] round
     /*  440256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  440269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440275 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440288 */     GIR_RootConstrainSelectedInstOperands,
     /*  440289 */     // GIR_Coverage, 21537,
     /*  440289 */     GIR_EraseRootFromParent_Done,
     /*  440290 */   // Label 7630: @440290
     /*  440290 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(440361), // Rule ID 21540 //
     /*  440295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  440298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440327 */     // MIs[0] round
     /*  440327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440337 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  440340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440346 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440359 */     GIR_RootConstrainSelectedInstOperands,
     /*  440360 */     // GIR_Coverage, 21540,
     /*  440360 */     GIR_EraseRootFromParent_Done,
     /*  440361 */   // Label 7631: @440361
     /*  440361 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(440432), // Rule ID 21541 //
     /*  440366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  440369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  440377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  440380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  440383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440398 */     // MIs[0] round
     /*  440398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  440411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440417 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440430 */     GIR_RootConstrainSelectedInstOperands,
     /*  440431 */     // GIR_Coverage, 21541,
     /*  440431 */     GIR_EraseRootFromParent_Done,
     /*  440432 */   // Label 7632: @440432
     /*  440432 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(440503), // Rule ID 21544 //
     /*  440437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  440440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440469 */     // MIs[0] round
     /*  440469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440479 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  440482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440488 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440501 */     GIR_RootConstrainSelectedInstOperands,
     /*  440502 */     // GIR_Coverage, 21544,
     /*  440502 */     GIR_EraseRootFromParent_Done,
     /*  440503 */   // Label 7633: @440503
     /*  440503 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(440574), // Rule ID 21545 //
     /*  440508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  440511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  440519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  440522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  440525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440540 */     // MIs[0] round
     /*  440540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10869:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  440553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440559 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440572 */     GIR_RootConstrainSelectedInstOperands,
     /*  440573 */     // GIR_Coverage, 21545,
     /*  440573 */     GIR_EraseRootFromParent_Done,
     /*  440574 */   // Label 7634: @440574
     /*  440574 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(440645), // Rule ID 21548 //
     /*  440579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  440582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440611 */     // MIs[0] round
     /*  440611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440621 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  440624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440630 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440643 */     GIR_RootConstrainSelectedInstOperands,
     /*  440644 */     // GIR_Coverage, 21548,
     /*  440644 */     GIR_EraseRootFromParent_Done,
     /*  440645 */   // Label 7635: @440645
     /*  440645 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(440716), // Rule ID 21549 //
     /*  440650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  440653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  440667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440682 */     // MIs[0] round
     /*  440682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  440695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440701 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440714 */     GIR_RootConstrainSelectedInstOperands,
     /*  440715 */     // GIR_Coverage, 21549,
     /*  440715 */     GIR_EraseRootFromParent_Done,
     /*  440716 */   // Label 7636: @440716
     /*  440716 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(440787), // Rule ID 21552 //
     /*  440721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  440724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440753 */     // MIs[0] round
     /*  440753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  440766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440772 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440785 */     GIR_RootConstrainSelectedInstOperands,
     /*  440786 */     // GIR_Coverage, 21552,
     /*  440786 */     GIR_EraseRootFromParent_Done,
     /*  440787 */   // Label 7637: @440787
     /*  440787 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(440858), // Rule ID 21553 //
     /*  440792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  440795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  440809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440824 */     // MIs[0] round
     /*  440824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  440837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440843 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440856 */     GIR_RootConstrainSelectedInstOperands,
     /*  440857 */     // GIR_Coverage, 21553,
     /*  440857 */     GIR_EraseRootFromParent_Done,
     /*  440858 */   // Label 7638: @440858
     /*  440858 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(440929), // Rule ID 21556 //
     /*  440863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  440866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440895 */     // MIs[0] round
     /*  440895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  440905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  440908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440914 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440927 */     GIR_RootConstrainSelectedInstOperands,
     /*  440928 */     // GIR_Coverage, 21556,
     /*  440928 */     GIR_EraseRootFromParent_Done,
     /*  440929 */   // Label 7639: @440929
     /*  440929 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(441000), // Rule ID 21557 //
     /*  440934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  440937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  440942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  440945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  440948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  440951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  440966 */     // MIs[0] round
     /*  440966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  440969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  440976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  440979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  440985 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  440987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  440995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440998 */     GIR_RootConstrainSelectedInstOperands,
     /*  440999 */     // GIR_Coverage, 21557,
     /*  440999 */     GIR_EraseRootFromParent_Done,
     /*  441000 */   // Label 7640: @441000
     /*  441000 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(441071), // Rule ID 21560 //
     /*  441005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  441008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  441016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  441019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441037 */     // MIs[0] round
     /*  441037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  441050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441056 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441069 */     GIR_RootConstrainSelectedInstOperands,
     /*  441070 */     // GIR_Coverage, 21560,
     /*  441070 */     GIR_EraseRootFromParent_Done,
     /*  441071 */   // Label 7641: @441071
     /*  441071 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(441142), // Rule ID 21561 //
     /*  441076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  441079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  441087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  441090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441108 */     // MIs[0] round
     /*  441108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10869:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  441121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441127 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441140 */     GIR_RootConstrainSelectedInstOperands,
     /*  441141 */     // GIR_Coverage, 21561,
     /*  441141 */     GIR_EraseRootFromParent_Done,
     /*  441142 */   // Label 7642: @441142
     /*  441142 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(441213), // Rule ID 21564 //
     /*  441147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  441150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441179 */     // MIs[0] round
     /*  441179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441189 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  441192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441198 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441211 */     GIR_RootConstrainSelectedInstOperands,
     /*  441212 */     // GIR_Coverage, 21564,
     /*  441212 */     GIR_EraseRootFromParent_Done,
     /*  441213 */   // Label 7643: @441213
     /*  441213 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(441284), // Rule ID 21565 //
     /*  441218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  441221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441250 */     // MIs[0] round
     /*  441250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10869:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  441263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441269 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441282 */     GIR_RootConstrainSelectedInstOperands,
     /*  441283 */     // GIR_Coverage, 21565,
     /*  441283 */     GIR_EraseRootFromParent_Done,
     /*  441284 */   // Label 7644: @441284
     /*  441284 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(441355), // Rule ID 21568 //
     /*  441289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  441292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441321 */     // MIs[0] round
     /*  441321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  441334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441340 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441353 */     GIR_RootConstrainSelectedInstOperands,
     /*  441354 */     // GIR_Coverage, 21568,
     /*  441354 */     GIR_EraseRootFromParent_Done,
     /*  441355 */   // Label 7645: @441355
     /*  441355 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(441426), // Rule ID 21569 //
     /*  441360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  441363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  441368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441392 */     // MIs[0] round
     /*  441392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10869:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  441405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441411 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441424 */     GIR_RootConstrainSelectedInstOperands,
     /*  441425 */     // GIR_Coverage, 21569,
     /*  441425 */     GIR_EraseRootFromParent_Done,
     /*  441426 */   // Label 7646: @441426
     /*  441426 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(441497), // Rule ID 21692 //
     /*  441431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441463 */     // MIs[0] round
     /*  441463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441473 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  441476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441482 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441495 */     GIR_RootConstrainSelectedInstOperands,
     /*  441496 */     // GIR_Coverage, 21692,
     /*  441496 */     GIR_EraseRootFromParent_Done,
     /*  441497 */   // Label 7647: @441497
     /*  441497 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(441568), // Rule ID 21693 //
     /*  441502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  441513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  441516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  441519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441534 */     // MIs[0] round
     /*  441534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441544 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  441547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441553 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441566 */     GIR_RootConstrainSelectedInstOperands,
     /*  441567 */     // GIR_Coverage, 21693,
     /*  441567 */     GIR_EraseRootFromParent_Done,
     /*  441568 */   // Label 7648: @441568
     /*  441568 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(441639), // Rule ID 21696 //
     /*  441573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  441590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441605 */     // MIs[0] round
     /*  441605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441615 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  441618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441624 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441637 */     GIR_RootConstrainSelectedInstOperands,
     /*  441638 */     // GIR_Coverage, 21696,
     /*  441638 */     GIR_EraseRootFromParent_Done,
     /*  441639 */   // Label 7649: @441639
     /*  441639 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(441710), // Rule ID 21697 //
     /*  441644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  441655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  441658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  441661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441676 */     // MIs[0] round
     /*  441676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441686 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  441689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441695 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441708 */     GIR_RootConstrainSelectedInstOperands,
     /*  441709 */     // GIR_Coverage, 21697,
     /*  441709 */     GIR_EraseRootFromParent_Done,
     /*  441710 */   // Label 7650: @441710
     /*  441710 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(441781), // Rule ID 21700 //
     /*  441715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441747 */     // MIs[0] round
     /*  441747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441757 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  441760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441766 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441779 */     GIR_RootConstrainSelectedInstOperands,
     /*  441780 */     // GIR_Coverage, 21700,
     /*  441780 */     GIR_EraseRootFromParent_Done,
     /*  441781 */   // Label 7651: @441781
     /*  441781 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(441852), // Rule ID 21701 //
     /*  441786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  441797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  441800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  441814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441818 */     // MIs[0] round
     /*  441818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10861:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  441831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441837 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441850 */     GIR_RootConstrainSelectedInstOperands,
     /*  441851 */     // GIR_Coverage, 21701,
     /*  441851 */     GIR_EraseRootFromParent_Done,
     /*  441852 */   // Label 7652: @441852
     /*  441852 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(441923), // Rule ID 21704 //
     /*  441857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  441860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441889 */     // MIs[0] round
     /*  441889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441899 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  441899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  441902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441908 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441921 */     GIR_RootConstrainSelectedInstOperands,
     /*  441922 */     // GIR_Coverage, 21704,
     /*  441922 */     GIR_EraseRootFromParent_Done,
     /*  441923 */   // Label 7653: @441923
     /*  441923 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(441994), // Rule ID 21705 //
     /*  441928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  441931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  441936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  441939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  441942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441960 */     // MIs[0] round
     /*  441960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  441963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  441970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  441973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  441979 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  441981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441992 */     GIR_RootConstrainSelectedInstOperands,
     /*  441993 */     // GIR_Coverage, 21705,
     /*  441993 */     GIR_EraseRootFromParent_Done,
     /*  441994 */   // Label 7654: @441994
     /*  441994 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(442065), // Rule ID 21708 //
     /*  441999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  442002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  442010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  442013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  442016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442031 */     // MIs[0] round
     /*  442031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442041 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  442044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442050 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442063 */     GIR_RootConstrainSelectedInstOperands,
     /*  442064 */     // GIR_Coverage, 21708,
     /*  442064 */     GIR_EraseRootFromParent_Done,
     /*  442065 */   // Label 7655: @442065
     /*  442065 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(442136), // Rule ID 21709 //
     /*  442070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  442073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  442081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  442084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  442087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442102 */     // MIs[0] round
     /*  442102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442112 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  442115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442121 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442134 */     GIR_RootConstrainSelectedInstOperands,
     /*  442135 */     // GIR_Coverage, 21709,
     /*  442135 */     GIR_EraseRootFromParent_Done,
     /*  442136 */   // Label 7656: @442136
     /*  442136 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(442207), // Rule ID 21712 //
     /*  442141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  442144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442173 */     // MIs[0] round
     /*  442173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442183 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  442186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442192 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442205 */     GIR_RootConstrainSelectedInstOperands,
     /*  442206 */     // GIR_Coverage, 21712,
     /*  442206 */     GIR_EraseRootFromParent_Done,
     /*  442207 */   // Label 7657: @442207
     /*  442207 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(442278), // Rule ID 21713 //
     /*  442212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  442215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  442229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442244 */     // MIs[0] round
     /*  442244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442254 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  442257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442263 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442276 */     GIR_RootConstrainSelectedInstOperands,
     /*  442277 */     // GIR_Coverage, 21713,
     /*  442277 */     GIR_EraseRootFromParent_Done,
     /*  442278 */   // Label 7658: @442278
     /*  442278 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(442349), // Rule ID 21716 //
     /*  442283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  442286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442315 */     // MIs[0] round
     /*  442315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442325 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  442328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442334 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442347 */     GIR_RootConstrainSelectedInstOperands,
     /*  442348 */     // GIR_Coverage, 21716,
     /*  442348 */     GIR_EraseRootFromParent_Done,
     /*  442349 */   // Label 7659: @442349
     /*  442349 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(442420), // Rule ID 21717 //
     /*  442354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  442357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  442365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  442368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  442371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442386 */     // MIs[0] round
     /*  442386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442396 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10861:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  442399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442405 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442418 */     GIR_RootConstrainSelectedInstOperands,
     /*  442419 */     // GIR_Coverage, 21717,
     /*  442419 */     GIR_EraseRootFromParent_Done,
     /*  442420 */   // Label 7660: @442420
     /*  442420 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(442491), // Rule ID 21720 //
     /*  442425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  442428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442457 */     // MIs[0] round
     /*  442457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  442470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442476 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442489 */     GIR_RootConstrainSelectedInstOperands,
     /*  442490 */     // GIR_Coverage, 21720,
     /*  442490 */     GIR_EraseRootFromParent_Done,
     /*  442491 */   // Label 7661: @442491
     /*  442491 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(442562), // Rule ID 21721 //
     /*  442496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  442499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  442507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  442510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  442513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  442524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442528 */     // MIs[0] round
     /*  442528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10861:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  442541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442547 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442560 */     GIR_RootConstrainSelectedInstOperands,
     /*  442561 */     // GIR_Coverage, 21721,
     /*  442561 */     GIR_EraseRootFromParent_Done,
     /*  442562 */   // Label 7662: @442562
     /*  442562 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(442633), // Rule ID 21724 //
     /*  442567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  442570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442599 */     // MIs[0] round
     /*  442599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  442612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442618 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442631 */     GIR_RootConstrainSelectedInstOperands,
     /*  442632 */     // GIR_Coverage, 21724,
     /*  442632 */     GIR_EraseRootFromParent_Done,
     /*  442633 */   // Label 7663: @442633
     /*  442633 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(442704), // Rule ID 21725 //
     /*  442638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  442641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  442646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  442649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  442652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  442655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  442666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442670 */     // MIs[0] round
     /*  442670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10861:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  442680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  442683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442689 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442702 */     GIR_RootConstrainSelectedInstOperands,
     /*  442703 */     // GIR_Coverage, 21725,
     /*  442703 */     GIR_EraseRootFromParent_Done,
     /*  442704 */   // Label 7664: @442704
     /*  442704 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(442775), // Rule ID 21728 //
     /*  442709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  442712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  442717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442741 */     // MIs[0] round
     /*  442741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442751 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  442754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442760 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442773 */     GIR_RootConstrainSelectedInstOperands,
     /*  442774 */     // GIR_Coverage, 21728,
     /*  442774 */     GIR_EraseRootFromParent_Done,
     /*  442775 */   // Label 7665: @442775
     /*  442775 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(442846), // Rule ID 21729 //
     /*  442780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  442783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  442788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442812 */     // MIs[0] round
     /*  442812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  442825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442831 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442844 */     GIR_RootConstrainSelectedInstOperands,
     /*  442845 */     // GIR_Coverage, 21729,
     /*  442845 */     GIR_EraseRootFromParent_Done,
     /*  442846 */   // Label 7666: @442846
     /*  442846 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(442917), // Rule ID 21732 //
     /*  442851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  442854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  442859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442883 */     // MIs[0] round
     /*  442883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442893 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  442896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442902 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442915 */     GIR_RootConstrainSelectedInstOperands,
     /*  442916 */     // GIR_Coverage, 21732,
     /*  442916 */     GIR_EraseRootFromParent_Done,
     /*  442917 */   // Label 7667: @442917
     /*  442917 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(442988), // Rule ID 21733 //
     /*  442922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  442925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  442930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  442939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442954 */     // MIs[0] round
     /*  442954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  442957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442964 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  442967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  442973 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  442975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442986 */     GIR_RootConstrainSelectedInstOperands,
     /*  442987 */     // GIR_Coverage, 21733,
     /*  442987 */     GIR_EraseRootFromParent_Done,
     /*  442988 */   // Label 7668: @442988
     /*  442988 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(443059), // Rule ID 21736 //
     /*  442993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  442996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443025 */     // MIs[0] round
     /*  443025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443035 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  443038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443044 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443057 */     GIR_RootConstrainSelectedInstOperands,
     /*  443058 */     // GIR_Coverage, 21736,
     /*  443058 */     GIR_EraseRootFromParent_Done,
     /*  443059 */   // Label 7669: @443059
     /*  443059 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(443130), // Rule ID 21737 //
     /*  443064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  443067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  443081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443096 */     // MIs[0] round
     /*  443096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443106 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10859:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  443109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443115 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443128 */     GIR_RootConstrainSelectedInstOperands,
     /*  443129 */     // GIR_Coverage, 21737,
     /*  443129 */     GIR_EraseRootFromParent_Done,
     /*  443130 */   // Label 7670: @443130
     /*  443130 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(443201), // Rule ID 21740 //
     /*  443135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  443138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443167 */     // MIs[0] round
     /*  443167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443177 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  443180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443186 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443199 */     GIR_RootConstrainSelectedInstOperands,
     /*  443200 */     // GIR_Coverage, 21740,
     /*  443200 */     GIR_EraseRootFromParent_Done,
     /*  443201 */   // Label 7671: @443201
     /*  443201 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(443272), // Rule ID 21741 //
     /*  443206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  443209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  443217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  443220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  443223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443238 */     // MIs[0] round
     /*  443238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443248 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  443251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443257 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443270 */     GIR_RootConstrainSelectedInstOperands,
     /*  443271 */     // GIR_Coverage, 21741,
     /*  443271 */     GIR_EraseRootFromParent_Done,
     /*  443272 */   // Label 7672: @443272
     /*  443272 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(443343), // Rule ID 21744 //
     /*  443277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  443280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443309 */     // MIs[0] round
     /*  443309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443319 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  443322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443328 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443341 */     GIR_RootConstrainSelectedInstOperands,
     /*  443342 */     // GIR_Coverage, 21744,
     /*  443342 */     GIR_EraseRootFromParent_Done,
     /*  443343 */   // Label 7673: @443343
     /*  443343 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(443414), // Rule ID 21745 //
     /*  443348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  443351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  443359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  443362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  443365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443380 */     // MIs[0] round
     /*  443380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443390 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  443393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443399 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443412 */     GIR_RootConstrainSelectedInstOperands,
     /*  443413 */     // GIR_Coverage, 21745,
     /*  443413 */     GIR_EraseRootFromParent_Done,
     /*  443414 */   // Label 7674: @443414
     /*  443414 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(443485), // Rule ID 21748 //
     /*  443419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  443422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  443433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443451 */     // MIs[0] round
     /*  443451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443461 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  443464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443470 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443483 */     GIR_RootConstrainSelectedInstOperands,
     /*  443484 */     // GIR_Coverage, 21748,
     /*  443484 */     GIR_EraseRootFromParent_Done,
     /*  443485 */   // Label 7675: @443485
     /*  443485 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(443556), // Rule ID 21749 //
     /*  443490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  443493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  443504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443522 */     // MIs[0] round
     /*  443522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443532 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  443535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443541 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443554 */     GIR_RootConstrainSelectedInstOperands,
     /*  443555 */     // GIR_Coverage, 21749,
     /*  443555 */     GIR_EraseRootFromParent_Done,
     /*  443556 */   // Label 7676: @443556
     /*  443556 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(443627), // Rule ID 21752 //
     /*  443561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  443564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443593 */     // MIs[0] round
     /*  443593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  443606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443612 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443625 */     GIR_RootConstrainSelectedInstOperands,
     /*  443626 */     // GIR_Coverage, 21752,
     /*  443626 */     GIR_EraseRootFromParent_Done,
     /*  443627 */   // Label 7677: @443627
     /*  443627 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(443698), // Rule ID 21753 //
     /*  443632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  443635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  443649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443664 */     // MIs[0] round
     /*  443664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10859:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  443677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443683 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443696 */     GIR_RootConstrainSelectedInstOperands,
     /*  443697 */     // GIR_Coverage, 21753,
     /*  443697 */     GIR_EraseRootFromParent_Done,
     /*  443698 */   // Label 7678: @443698
     /*  443698 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(443769), // Rule ID 21756 //
     /*  443703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  443706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  443720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443735 */     // MIs[0] round
     /*  443735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443745 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  443748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443754 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443767 */     GIR_RootConstrainSelectedInstOperands,
     /*  443768 */     // GIR_Coverage, 21756,
     /*  443768 */     GIR_EraseRootFromParent_Done,
     /*  443769 */   // Label 7679: @443769
     /*  443769 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(443840), // Rule ID 21757 //
     /*  443774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  443777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  443785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  443788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  443791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443806 */     // MIs[0] round
     /*  443806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443816 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10859:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  443819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443825 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443838 */     GIR_RootConstrainSelectedInstOperands,
     /*  443839 */     // GIR_Coverage, 21757,
     /*  443839 */     GIR_EraseRootFromParent_Done,
     /*  443840 */   // Label 7680: @443840
     /*  443840 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(443911), // Rule ID 21760 //
     /*  443845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  443848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  443862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443877 */     // MIs[0] round
     /*  443877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443887 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  443890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443896 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443909 */     GIR_RootConstrainSelectedInstOperands,
     /*  443910 */     // GIR_Coverage, 21760,
     /*  443910 */     GIR_EraseRootFromParent_Done,
     /*  443911 */   // Label 7681: @443911
     /*  443911 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(443982), // Rule ID 21761 //
     /*  443916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  443919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  443924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  443927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  443930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  443933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  443948 */     // MIs[0] round
     /*  443948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  443951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443958 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10859:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  443961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  443967 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  443969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443980 */     GIR_RootConstrainSelectedInstOperands,
     /*  443981 */     // GIR_Coverage, 21761,
     /*  443981 */     GIR_EraseRootFromParent_Done,
     /*  443982 */   // Label 7682: @443982
     /*  443982 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(444053), // Rule ID 21764 //
     /*  443987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  443990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  443995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  444004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444019 */     // MIs[0] round
     /*  444019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444029 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  444032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444038 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444051 */     GIR_RootConstrainSelectedInstOperands,
     /*  444052 */     // GIR_Coverage, 21764,
     /*  444052 */     GIR_EraseRootFromParent_Done,
     /*  444053 */   // Label 7683: @444053
     /*  444053 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(444124), // Rule ID 21765 //
     /*  444058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  444061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  444069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  444072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  444075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444090 */     // MIs[0] round
     /*  444090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444100 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  444103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444109 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444122 */     GIR_RootConstrainSelectedInstOperands,
     /*  444123 */     // GIR_Coverage, 21765,
     /*  444123 */     GIR_EraseRootFromParent_Done,
     /*  444124 */   // Label 7684: @444124
     /*  444124 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(444195), // Rule ID 21768 //
     /*  444129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  444132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444161 */     // MIs[0] round
     /*  444161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444171 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  444174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444180 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444193 */     GIR_RootConstrainSelectedInstOperands,
     /*  444194 */     // GIR_Coverage, 21768,
     /*  444194 */     GIR_EraseRootFromParent_Done,
     /*  444195 */   // Label 7685: @444195
     /*  444195 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(444266), // Rule ID 21769 //
     /*  444200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  444203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  444211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  444214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  444217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444232 */     // MIs[0] round
     /*  444232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444242 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  444245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444251 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444264 */     GIR_RootConstrainSelectedInstOperands,
     /*  444265 */     // GIR_Coverage, 21769,
     /*  444265 */     GIR_EraseRootFromParent_Done,
     /*  444266 */   // Label 7686: @444266
     /*  444266 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(444337), // Rule ID 21772 //
     /*  444271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  444274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444303 */     // MIs[0] round
     /*  444303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444313 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  444316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444322 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444335 */     GIR_RootConstrainSelectedInstOperands,
     /*  444336 */     // GIR_Coverage, 21772,
     /*  444336 */     GIR_EraseRootFromParent_Done,
     /*  444337 */   // Label 7687: @444337
     /*  444337 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(444408), // Rule ID 21773 //
     /*  444342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  444345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  444359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444374 */     // MIs[0] round
     /*  444374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444384 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  444387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444393 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444406 */     GIR_RootConstrainSelectedInstOperands,
     /*  444407 */     // GIR_Coverage, 21773,
     /*  444407 */     GIR_EraseRootFromParent_Done,
     /*  444408 */   // Label 7688: @444408
     /*  444408 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(444479), // Rule ID 21776 //
     /*  444413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  444416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444445 */     // MIs[0] round
     /*  444445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  444458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444464 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444477 */     GIR_RootConstrainSelectedInstOperands,
     /*  444478 */     // GIR_Coverage, 21776,
     /*  444478 */     GIR_EraseRootFromParent_Done,
     /*  444479 */   // Label 7689: @444479
     /*  444479 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(444550), // Rule ID 21777 //
     /*  444484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  444487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  444501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444516 */     // MIs[0] round
     /*  444516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444526 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  444529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444535 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444548 */     GIR_RootConstrainSelectedInstOperands,
     /*  444549 */     // GIR_Coverage, 21777,
     /*  444549 */     GIR_EraseRootFromParent_Done,
     /*  444550 */   // Label 7690: @444550
     /*  444550 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(444621), // Rule ID 21780 //
     /*  444555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  444558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  444566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  444569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  444572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444587 */     // MIs[0] round
     /*  444587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444597 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  444600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444606 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444619 */     GIR_RootConstrainSelectedInstOperands,
     /*  444620 */     // GIR_Coverage, 21780,
     /*  444620 */     GIR_EraseRootFromParent_Done,
     /*  444621 */   // Label 7691: @444621
     /*  444621 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(444692), // Rule ID 21781 //
     /*  444626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  444629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  444637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  444640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  444643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444658 */     // MIs[0] round
     /*  444658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444668 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  444671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444677 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444690 */     GIR_RootConstrainSelectedInstOperands,
     /*  444691 */     // GIR_Coverage, 21781,
     /*  444691 */     GIR_EraseRootFromParent_Done,
     /*  444692 */   // Label 7692: @444692
     /*  444692 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(444763), // Rule ID 21784 //
     /*  444697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  444700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  444708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  444711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  444714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444729 */     // MIs[0] round
     /*  444729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444739 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  444742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444748 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444761 */     GIR_RootConstrainSelectedInstOperands,
     /*  444762 */     // GIR_Coverage, 21784,
     /*  444762 */     GIR_EraseRootFromParent_Done,
     /*  444763 */   // Label 7693: @444763
     /*  444763 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(444834), // Rule ID 21785 //
     /*  444768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  444771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  444779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  444782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  444785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444800 */     // MIs[0] round
     /*  444800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444810 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  444813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444819 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444832 */     GIR_RootConstrainSelectedInstOperands,
     /*  444833 */     // GIR_Coverage, 21785,
     /*  444833 */     GIR_EraseRootFromParent_Done,
     /*  444834 */   // Label 7694: @444834
     /*  444834 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(444905), // Rule ID 21788 //
     /*  444839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  444842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  444850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  444853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444871 */     // MIs[0] round
     /*  444871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444881 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  444884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444890 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444903 */     GIR_RootConstrainSelectedInstOperands,
     /*  444904 */     // GIR_Coverage, 21788,
     /*  444904 */     GIR_EraseRootFromParent_Done,
     /*  444905 */   // Label 7695: @444905
     /*  444905 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(444976), // Rule ID 21789 //
     /*  444910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  444913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  444921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  444924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  444938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444942 */     // MIs[0] round
     /*  444942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  444945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10857:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  444955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  444961 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  444963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444974 */     GIR_RootConstrainSelectedInstOperands,
     /*  444975 */     // GIR_Coverage, 21789,
     /*  444975 */     GIR_EraseRootFromParent_Done,
     /*  444976 */   // Label 7696: @444976
     /*  444976 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(445047), // Rule ID 21792 //
     /*  444981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  444984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  444989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  444998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445013 */     // MIs[0] round
     /*  445013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  445016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445023 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  445026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  445032 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  445034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445045 */     GIR_RootConstrainSelectedInstOperands,
     /*  445046 */     // GIR_Coverage, 21792,
     /*  445046 */     GIR_EraseRootFromParent_Done,
     /*  445047 */   // Label 7697: @445047
     /*  445047 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(445118), // Rule ID 21793 //
     /*  445052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  445055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  445060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  445069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445084 */     // MIs[0] round
     /*  445084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  445087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445094 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10857:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  445097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  445103 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  445105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445116 */     GIR_RootConstrainSelectedInstOperands,
     /*  445117 */     // GIR_Coverage, 21793,
     /*  445117 */     GIR_EraseRootFromParent_Done,
     /*  445118 */   // Label 7698: @445118
     /*  445118 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(445189), // Rule ID 21796 //
     /*  445123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  445126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  445131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445155 */     // MIs[0] round
     /*  445155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  445158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445165 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  445165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  445168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  445174 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  445176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445187 */     GIR_RootConstrainSelectedInstOperands,
     /*  445188 */     // GIR_Coverage, 21796,
     /*  445188 */     GIR_EraseRootFromParent_Done,
     /*  445189 */   // Label 7699: @445189
     /*  445189 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(445260), // Rule ID 21797 //
     /*  445194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  445197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  445202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445226 */     // MIs[0] round
     /*  445226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  445229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445236 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10857:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  445236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  445239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  445245 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  445247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  445255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445258 */     GIR_RootConstrainSelectedInstOperands,
     /*  445259 */     // GIR_Coverage, 21797,
     /*  445259 */     GIR_EraseRootFromParent_Done,
     /*  445260 */   // Label 7700: @445260
     /*  445260 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(445331), // Rule ID 2614 //
     /*  445265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  445282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445293 */     // MIs[0] passthru
     /*  445293 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  445312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445329 */     GIR_RootConstrainSelectedInstOperands,
     /*  445330 */     // GIR_Coverage, 2614,
     /*  445330 */     GIR_EraseRootFromParent_Done,
     /*  445331 */   // Label 7701: @445331
     /*  445331 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(445402), // Rule ID 2615 //
     /*  445336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  445347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  445350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  445353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445364 */     // MIs[0] passthru
     /*  445364 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  445383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445400 */     GIR_RootConstrainSelectedInstOperands,
     /*  445401 */     // GIR_Coverage, 2615,
     /*  445401 */     GIR_EraseRootFromParent_Done,
     /*  445402 */   // Label 7702: @445402
     /*  445402 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(445473), // Rule ID 3922 //
     /*  445407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  445424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445435 */     // MIs[0] passthru
     /*  445435 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  445454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445471 */     GIR_RootConstrainSelectedInstOperands,
     /*  445472 */     // GIR_Coverage, 3922,
     /*  445472 */     GIR_EraseRootFromParent_Done,
     /*  445473 */   // Label 7703: @445473
     /*  445473 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(445544), // Rule ID 3923 //
     /*  445478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  445489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  445492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  445495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445506 */     // MIs[0] passthru
     /*  445506 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  445525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445542 */     GIR_RootConstrainSelectedInstOperands,
     /*  445543 */     // GIR_Coverage, 3923,
     /*  445543 */     GIR_EraseRootFromParent_Done,
     /*  445544 */   // Label 7704: @445544
     /*  445544 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(445615), // Rule ID 3932 //
     /*  445549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  445566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445577 */     // MIs[0] passthru
     /*  445577 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  445596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445613 */     GIR_RootConstrainSelectedInstOperands,
     /*  445614 */     // GIR_Coverage, 3932,
     /*  445614 */     GIR_EraseRootFromParent_Done,
     /*  445615 */   // Label 7705: @445615
     /*  445615 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(445686), // Rule ID 3933 //
     /*  445620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  445631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  445634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  445637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445648 */     // MIs[0] passthru
     /*  445648 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445664 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  445667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445684 */     GIR_RootConstrainSelectedInstOperands,
     /*  445685 */     // GIR_Coverage, 3933,
     /*  445685 */     GIR_EraseRootFromParent_Done,
     /*  445686 */   // Label 7706: @445686
     /*  445686 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(445757), // Rule ID 3942 //
     /*  445691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  445708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445719 */     // MIs[0] passthru
     /*  445719 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445735 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  445738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445755 */     GIR_RootConstrainSelectedInstOperands,
     /*  445756 */     // GIR_Coverage, 3942,
     /*  445756 */     GIR_EraseRootFromParent_Done,
     /*  445757 */   // Label 7707: @445757
     /*  445757 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(445828), // Rule ID 3943 //
     /*  445762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  445773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  445776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  445779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445790 */     // MIs[0] passthru
     /*  445790 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445806 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  445809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445826 */     GIR_RootConstrainSelectedInstOperands,
     /*  445827 */     // GIR_Coverage, 3943,
     /*  445827 */     GIR_EraseRootFromParent_Done,
     /*  445828 */   // Label 7708: @445828
     /*  445828 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(445899), // Rule ID 3952 //
     /*  445833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  445850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445861 */     // MIs[0] passthru
     /*  445861 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445877 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  445880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445897 */     GIR_RootConstrainSelectedInstOperands,
     /*  445898 */     // GIR_Coverage, 3952,
     /*  445898 */     GIR_EraseRootFromParent_Done,
     /*  445899 */   // Label 7709: @445899
     /*  445899 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(445970), // Rule ID 3953 //
     /*  445904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  445915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  445918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  445921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445932 */     // MIs[0] passthru
     /*  445932 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  445937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445948 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  445951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  445957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445968 */     GIR_RootConstrainSelectedInstOperands,
     /*  445969 */     // GIR_Coverage, 3953,
     /*  445969 */     GIR_EraseRootFromParent_Done,
     /*  445970 */   // Label 7710: @445970
     /*  445970 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(446041), // Rule ID 3962 //
     /*  445975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  445983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  445986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  445989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  445992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446003 */     // MIs[0] passthru
     /*  446003 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  446022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446039 */     GIR_RootConstrainSelectedInstOperands,
     /*  446040 */     // GIR_Coverage, 3962,
     /*  446040 */     GIR_EraseRootFromParent_Done,
     /*  446041 */   // Label 7711: @446041
     /*  446041 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(446112), // Rule ID 3963 //
     /*  446046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  446057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  446060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  446063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446074 */     // MIs[0] passthru
     /*  446074 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  446093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446110 */     GIR_RootConstrainSelectedInstOperands,
     /*  446111 */     // GIR_Coverage, 3963,
     /*  446111 */     GIR_EraseRootFromParent_Done,
     /*  446112 */   // Label 7712: @446112
     /*  446112 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(446183), // Rule ID 3972 //
     /*  446117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  446134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446145 */     // MIs[0] passthru
     /*  446145 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  446164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446181 */     GIR_RootConstrainSelectedInstOperands,
     /*  446182 */     // GIR_Coverage, 3972,
     /*  446182 */     GIR_EraseRootFromParent_Done,
     /*  446183 */   // Label 7713: @446183
     /*  446183 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(446254), // Rule ID 3973 //
     /*  446188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  446205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446216 */     // MIs[0] passthru
     /*  446216 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  446235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446252 */     GIR_RootConstrainSelectedInstOperands,
     /*  446253 */     // GIR_Coverage, 3973,
     /*  446253 */     GIR_EraseRootFromParent_Done,
     /*  446254 */   // Label 7714: @446254
     /*  446254 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(446325), // Rule ID 3982 //
     /*  446259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  446276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446287 */     // MIs[0] passthru
     /*  446287 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  446306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446323 */     GIR_RootConstrainSelectedInstOperands,
     /*  446324 */     // GIR_Coverage, 3982,
     /*  446324 */     GIR_EraseRootFromParent_Done,
     /*  446325 */   // Label 7715: @446325
     /*  446325 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(446396), // Rule ID 3983 //
     /*  446330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  446341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  446344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  446347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446358 */     // MIs[0] passthru
     /*  446358 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  446377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446394 */     GIR_RootConstrainSelectedInstOperands,
     /*  446395 */     // GIR_Coverage, 3983,
     /*  446395 */     GIR_EraseRootFromParent_Done,
     /*  446396 */   // Label 7716: @446396
     /*  446396 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(446467), // Rule ID 3992 //
     /*  446401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  446412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  446415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  446418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446429 */     // MIs[0] passthru
     /*  446429 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  446448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446465 */     GIR_RootConstrainSelectedInstOperands,
     /*  446466 */     // GIR_Coverage, 3992,
     /*  446466 */     GIR_EraseRootFromParent_Done,
     /*  446467 */   // Label 7717: @446467
     /*  446467 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(446538), // Rule ID 3993 //
     /*  446472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  446483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  446486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  446489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446500 */     // MIs[0] passthru
     /*  446500 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446516 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  446519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446536 */     GIR_RootConstrainSelectedInstOperands,
     /*  446537 */     // GIR_Coverage, 3993,
     /*  446537 */     GIR_EraseRootFromParent_Done,
     /*  446538 */   // Label 7718: @446538
     /*  446538 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(446609), // Rule ID 4002 //
     /*  446543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  446560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446571 */     // MIs[0] passthru
     /*  446571 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  446590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446607 */     GIR_RootConstrainSelectedInstOperands,
     /*  446608 */     // GIR_Coverage, 4002,
     /*  446608 */     GIR_EraseRootFromParent_Done,
     /*  446609 */   // Label 7719: @446609
     /*  446609 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(446680), // Rule ID 4003 //
     /*  446614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  446625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  446628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  446631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446642 */     // MIs[0] passthru
     /*  446642 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446658 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  446661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446678 */     GIR_RootConstrainSelectedInstOperands,
     /*  446679 */     // GIR_Coverage, 4003,
     /*  446679 */     GIR_EraseRootFromParent_Done,
     /*  446680 */   // Label 7720: @446680
     /*  446680 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(446751), // Rule ID 4012 //
     /*  446685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  446702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446713 */     // MIs[0] passthru
     /*  446713 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  446732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446749 */     GIR_RootConstrainSelectedInstOperands,
     /*  446750 */     // GIR_Coverage, 4012,
     /*  446750 */     GIR_EraseRootFromParent_Done,
     /*  446751 */   // Label 7721: @446751
     /*  446751 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(446822), // Rule ID 4013 //
     /*  446756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  446767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  446770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  446773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  446784 */     // MIs[0] passthru
     /*  446784 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  446793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  446803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446820 */     GIR_RootConstrainSelectedInstOperands,
     /*  446821 */     // GIR_Coverage, 4013,
     /*  446821 */     GIR_EraseRootFromParent_Done,
     /*  446822 */   // Label 7722: @446822
     /*  446822 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(446893), // Rule ID 4022 //
     /*  446827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  446830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  446844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446855 */     // MIs[0] passthru
     /*  446855 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  446874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446891 */     GIR_RootConstrainSelectedInstOperands,
     /*  446892 */     // GIR_Coverage, 4022,
     /*  446892 */     GIR_EraseRootFromParent_Done,
     /*  446893 */   // Label 7723: @446893
     /*  446893 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(446964), // Rule ID 4023 //
     /*  446898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  446901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  446909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  446912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  446915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446926 */     // MIs[0] passthru
     /*  446926 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  446931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  446945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  446951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446962 */     GIR_RootConstrainSelectedInstOperands,
     /*  446963 */     // GIR_Coverage, 4023,
     /*  446963 */     GIR_EraseRootFromParent_Done,
     /*  446964 */   // Label 7724: @446964
     /*  446964 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(447035), // Rule ID 4032 //
     /*  446969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  446972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  446977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  446980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  446983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  446986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  446997 */     // MIs[0] passthru
     /*  446997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447013 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  447016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447033 */     GIR_RootConstrainSelectedInstOperands,
     /*  447034 */     // GIR_Coverage, 4032,
     /*  447034 */     GIR_EraseRootFromParent_Done,
     /*  447035 */   // Label 7725: @447035
     /*  447035 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(447106), // Rule ID 4033 //
     /*  447040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  447048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  447051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  447054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  447057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447068 */     // MIs[0] passthru
     /*  447068 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  447087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447104 */     GIR_RootConstrainSelectedInstOperands,
     /*  447105 */     // GIR_Coverage, 4033,
     /*  447105 */     GIR_EraseRootFromParent_Done,
     /*  447106 */   // Label 7726: @447106
     /*  447106 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(447177), // Rule ID 4042 //
     /*  447111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  447114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  447119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  447128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447139 */     // MIs[0] passthru
     /*  447139 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  447158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447175 */     GIR_RootConstrainSelectedInstOperands,
     /*  447176 */     // GIR_Coverage, 4042,
     /*  447176 */     GIR_EraseRootFromParent_Done,
     /*  447177 */   // Label 7727: @447177
     /*  447177 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(447248), // Rule ID 4043 //
     /*  447182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  447190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  447193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  447196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  447199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447210 */     // MIs[0] passthru
     /*  447210 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  447229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447246 */     GIR_RootConstrainSelectedInstOperands,
     /*  447247 */     // GIR_Coverage, 4043,
     /*  447247 */     GIR_EraseRootFromParent_Done,
     /*  447248 */   // Label 7728: @447248
     /*  447248 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(447319), // Rule ID 4052 //
     /*  447253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  447256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  447261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  447264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  447267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  447270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447281 */     // MIs[0] passthru
     /*  447281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  447300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447317 */     GIR_RootConstrainSelectedInstOperands,
     /*  447318 */     // GIR_Coverage, 4052,
     /*  447318 */     GIR_EraseRootFromParent_Done,
     /*  447319 */   // Label 7729: @447319
     /*  447319 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(447390), // Rule ID 4053 //
     /*  447324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  447327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  447332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  447335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  447338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  447341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447352 */     // MIs[0] passthru
     /*  447352 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  447371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447388 */     GIR_RootConstrainSelectedInstOperands,
     /*  447389 */     // GIR_Coverage, 4053,
     /*  447389 */     GIR_EraseRootFromParent_Done,
     /*  447390 */   // Label 7730: @447390
     /*  447390 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(447461), // Rule ID 4122 //
     /*  447395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  447412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447423 */     // MIs[0] passthru
     /*  447423 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  447442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447459 */     GIR_RootConstrainSelectedInstOperands,
     /*  447460 */     // GIR_Coverage, 4122,
     /*  447460 */     GIR_EraseRootFromParent_Done,
     /*  447461 */   // Label 7731: @447461
     /*  447461 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(447532), // Rule ID 4123 //
     /*  447466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  447477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  447480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  447483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447494 */     // MIs[0] passthru
     /*  447494 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  447513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447530 */     GIR_RootConstrainSelectedInstOperands,
     /*  447531 */     // GIR_Coverage, 4123,
     /*  447531 */     GIR_EraseRootFromParent_Done,
     /*  447532 */   // Label 7732: @447532
     /*  447532 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(447603), // Rule ID 4132 //
     /*  447537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  447554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447565 */     // MIs[0] passthru
     /*  447565 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447581 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  447584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447601 */     GIR_RootConstrainSelectedInstOperands,
     /*  447602 */     // GIR_Coverage, 4132,
     /*  447602 */     GIR_EraseRootFromParent_Done,
     /*  447603 */   // Label 7733: @447603
     /*  447603 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(447674), // Rule ID 4133 //
     /*  447608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  447619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  447622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  447625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447636 */     // MIs[0] passthru
     /*  447636 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  447655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447672 */     GIR_RootConstrainSelectedInstOperands,
     /*  447673 */     // GIR_Coverage, 4133,
     /*  447673 */     GIR_EraseRootFromParent_Done,
     /*  447674 */   // Label 7734: @447674
     /*  447674 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(447745), // Rule ID 4142 //
     /*  447679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  447696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447707 */     // MIs[0] passthru
     /*  447707 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  447726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447743 */     GIR_RootConstrainSelectedInstOperands,
     /*  447744 */     // GIR_Coverage, 4142,
     /*  447744 */     GIR_EraseRootFromParent_Done,
     /*  447745 */   // Label 7735: @447745
     /*  447745 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(447816), // Rule ID 4143 //
     /*  447750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  447767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447778 */     // MIs[0] passthru
     /*  447778 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  447797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447814 */     GIR_RootConstrainSelectedInstOperands,
     /*  447815 */     // GIR_Coverage, 4143,
     /*  447815 */     GIR_EraseRootFromParent_Done,
     /*  447816 */   // Label 7736: @447816
     /*  447816 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(447887), // Rule ID 4152 //
     /*  447821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  447838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447849 */     // MIs[0] passthru
     /*  447849 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  447868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447885 */     GIR_RootConstrainSelectedInstOperands,
     /*  447886 */     // GIR_Coverage, 4152,
     /*  447886 */     GIR_EraseRootFromParent_Done,
     /*  447887 */   // Label 7737: @447887
     /*  447887 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(447958), // Rule ID 4153 //
     /*  447892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  447903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  447906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  447909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447920 */     // MIs[0] passthru
     /*  447920 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  447939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  447945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447956 */     GIR_RootConstrainSelectedInstOperands,
     /*  447957 */     // GIR_Coverage, 4153,
     /*  447957 */     GIR_EraseRootFromParent_Done,
     /*  447958 */   // Label 7738: @447958
     /*  447958 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(448029), // Rule ID 4162 //
     /*  447963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  447971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  447974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  447977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  447980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447991 */     // MIs[0] passthru
     /*  447991 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  447996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  448010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448027 */     GIR_RootConstrainSelectedInstOperands,
     /*  448028 */     // GIR_Coverage, 4162,
     /*  448028 */     GIR_EraseRootFromParent_Done,
     /*  448029 */   // Label 7739: @448029
     /*  448029 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(448100), // Rule ID 4163 //
     /*  448034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  448051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448062 */     // MIs[0] passthru
     /*  448062 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  448081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448098 */     GIR_RootConstrainSelectedInstOperands,
     /*  448099 */     // GIR_Coverage, 4163,
     /*  448099 */     GIR_EraseRootFromParent_Done,
     /*  448100 */   // Label 7740: @448100
     /*  448100 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(448171), // Rule ID 4172 //
     /*  448105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  448122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448133 */     // MIs[0] passthru
     /*  448133 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448149 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  448149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  448152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448169 */     GIR_RootConstrainSelectedInstOperands,
     /*  448170 */     // GIR_Coverage, 4172,
     /*  448170 */     GIR_EraseRootFromParent_Done,
     /*  448171 */   // Label 7741: @448171
     /*  448171 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(448242), // Rule ID 4173 //
     /*  448176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  448193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448204 */     // MIs[0] passthru
     /*  448204 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448220 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  448223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448240 */     GIR_RootConstrainSelectedInstOperands,
     /*  448241 */     // GIR_Coverage, 4173,
     /*  448241 */     GIR_EraseRootFromParent_Done,
     /*  448242 */   // Label 7742: @448242
     /*  448242 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(448313), // Rule ID 4182 //
     /*  448247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  448258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  448261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  448264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448275 */     // MIs[0] passthru
     /*  448275 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  448294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448311 */     GIR_RootConstrainSelectedInstOperands,
     /*  448312 */     // GIR_Coverage, 4182,
     /*  448312 */     GIR_EraseRootFromParent_Done,
     /*  448313 */   // Label 7743: @448313
     /*  448313 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(448384), // Rule ID 4183 //
     /*  448318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  448329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  448332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  448335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448346 */     // MIs[0] passthru
     /*  448346 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  448365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448382 */     GIR_RootConstrainSelectedInstOperands,
     /*  448383 */     // GIR_Coverage, 4183,
     /*  448383 */     GIR_EraseRootFromParent_Done,
     /*  448384 */   // Label 7744: @448384
     /*  448384 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(448455), // Rule ID 4192 //
     /*  448389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  448406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448417 */     // MIs[0] passthru
     /*  448417 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448433 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  448436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448453 */     GIR_RootConstrainSelectedInstOperands,
     /*  448454 */     // GIR_Coverage, 4192,
     /*  448454 */     GIR_EraseRootFromParent_Done,
     /*  448455 */   // Label 7745: @448455
     /*  448455 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(448526), // Rule ID 4193 //
     /*  448460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  448471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  448474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  448477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448488 */     // MIs[0] passthru
     /*  448488 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  448507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448524 */     GIR_RootConstrainSelectedInstOperands,
     /*  448525 */     // GIR_Coverage, 4193,
     /*  448525 */     GIR_EraseRootFromParent_Done,
     /*  448526 */   // Label 7746: @448526
     /*  448526 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(448597), // Rule ID 4202 //
     /*  448531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  448548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448559 */     // MIs[0] passthru
     /*  448559 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  448578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448595 */     GIR_RootConstrainSelectedInstOperands,
     /*  448596 */     // GIR_Coverage, 4202,
     /*  448596 */     GIR_EraseRootFromParent_Done,
     /*  448597 */   // Label 7747: @448597
     /*  448597 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(448668), // Rule ID 4203 //
     /*  448602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  448619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448630 */     // MIs[0] passthru
     /*  448630 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  448649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448666 */     GIR_RootConstrainSelectedInstOperands,
     /*  448667 */     // GIR_Coverage, 4203,
     /*  448667 */     GIR_EraseRootFromParent_Done,
     /*  448668 */   // Label 7748: @448668
     /*  448668 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(448739), // Rule ID 4212 //
     /*  448673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  448690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448701 */     // MIs[0] passthru
     /*  448701 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448717 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  448720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448737 */     GIR_RootConstrainSelectedInstOperands,
     /*  448738 */     // GIR_Coverage, 4212,
     /*  448738 */     GIR_EraseRootFromParent_Done,
     /*  448739 */   // Label 7749: @448739
     /*  448739 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(448810), // Rule ID 4213 //
     /*  448744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  448761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448772 */     // MIs[0] passthru
     /*  448772 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  448791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448808 */     GIR_RootConstrainSelectedInstOperands,
     /*  448809 */     // GIR_Coverage, 4213,
     /*  448809 */     GIR_EraseRootFromParent_Done,
     /*  448810 */   // Label 7750: @448810
     /*  448810 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(448881), // Rule ID 4222 //
     /*  448815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  448832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448843 */     // MIs[0] passthru
     /*  448843 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  448862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448879 */     GIR_RootConstrainSelectedInstOperands,
     /*  448880 */     // GIR_Coverage, 4222,
     /*  448880 */     GIR_EraseRootFromParent_Done,
     /*  448881 */   // Label 7751: @448881
     /*  448881 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(448952), // Rule ID 4223 //
     /*  448886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  448903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448914 */     // MIs[0] passthru
     /*  448914 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  448933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  448939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448950 */     GIR_RootConstrainSelectedInstOperands,
     /*  448951 */     // GIR_Coverage, 4223,
     /*  448951 */     GIR_EraseRootFromParent_Done,
     /*  448952 */   // Label 7752: @448952
     /*  448952 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(449023), // Rule ID 4232 //
     /*  448957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  448960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  448965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  448968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  448971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  448974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448985 */     // MIs[0] passthru
     /*  448985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  448990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  448994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  449004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449021 */     GIR_RootConstrainSelectedInstOperands,
     /*  449022 */     // GIR_Coverage, 4232,
     /*  449022 */     GIR_EraseRootFromParent_Done,
     /*  449023 */   // Label 7753: @449023
     /*  449023 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(449094), // Rule ID 4233 //
     /*  449028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  449039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  449042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  449045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449056 */     // MIs[0] passthru
     /*  449056 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  449075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449092 */     GIR_RootConstrainSelectedInstOperands,
     /*  449093 */     // GIR_Coverage, 4233,
     /*  449093 */     GIR_EraseRootFromParent_Done,
     /*  449094 */   // Label 7754: @449094
     /*  449094 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(449165), // Rule ID 4242 //
     /*  449099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  449116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449127 */     // MIs[0] passthru
     /*  449127 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449143 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  449146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449163 */     GIR_RootConstrainSelectedInstOperands,
     /*  449164 */     // GIR_Coverage, 4242,
     /*  449164 */     GIR_EraseRootFromParent_Done,
     /*  449165 */   // Label 7755: @449165
     /*  449165 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(449236), // Rule ID 4243 //
     /*  449170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  449187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449198 */     // MIs[0] passthru
     /*  449198 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449214 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  449217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449234 */     GIR_RootConstrainSelectedInstOperands,
     /*  449235 */     // GIR_Coverage, 4243,
     /*  449235 */     GIR_EraseRootFromParent_Done,
     /*  449236 */   // Label 7756: @449236
     /*  449236 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(449307), // Rule ID 4252 //
     /*  449241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  449258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449269 */     // MIs[0] passthru
     /*  449269 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449285 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  449288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449305 */     GIR_RootConstrainSelectedInstOperands,
     /*  449306 */     // GIR_Coverage, 4252,
     /*  449306 */     GIR_EraseRootFromParent_Done,
     /*  449307 */   // Label 7757: @449307
     /*  449307 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(449378), // Rule ID 4253 //
     /*  449312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  449329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449340 */     // MIs[0] passthru
     /*  449340 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  449359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449376 */     GIR_RootConstrainSelectedInstOperands,
     /*  449377 */     // GIR_Coverage, 4253,
     /*  449377 */     GIR_EraseRootFromParent_Done,
     /*  449378 */   // Label 7758: @449378
     /*  449378 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(449449), // Rule ID 4262 //
     /*  449383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  449386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  449400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449411 */     // MIs[0] passthru
     /*  449411 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449427 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  449427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  449430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449447 */     GIR_RootConstrainSelectedInstOperands,
     /*  449448 */     // GIR_Coverage, 4262,
     /*  449448 */     GIR_EraseRootFromParent_Done,
     /*  449449 */   // Label 7759: @449449
     /*  449449 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(449520), // Rule ID 4263 //
     /*  449454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  449457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  449462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  449471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449482 */     // MIs[0] passthru
     /*  449482 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  449501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449518 */     GIR_RootConstrainSelectedInstOperands,
     /*  449519 */     // GIR_Coverage, 4263,
     /*  449519 */     GIR_EraseRootFromParent_Done,
     /*  449520 */   // Label 7760: @449520
     /*  449520 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(449591), // Rule ID 4332 //
     /*  449525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  449542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449553 */     // MIs[0] passthru
     /*  449553 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  449572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449589 */     GIR_RootConstrainSelectedInstOperands,
     /*  449590 */     // GIR_Coverage, 4332,
     /*  449590 */     GIR_EraseRootFromParent_Done,
     /*  449591 */   // Label 7761: @449591
     /*  449591 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(449662), // Rule ID 4333 //
     /*  449596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  449607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  449610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  449613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449624 */     // MIs[0] passthru
     /*  449624 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  449643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449660 */     GIR_RootConstrainSelectedInstOperands,
     /*  449661 */     // GIR_Coverage, 4333,
     /*  449661 */     GIR_EraseRootFromParent_Done,
     /*  449662 */   // Label 7762: @449662
     /*  449662 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(449733), // Rule ID 4342 //
     /*  449667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  449684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449695 */     // MIs[0] passthru
     /*  449695 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  449714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449731 */     GIR_RootConstrainSelectedInstOperands,
     /*  449732 */     // GIR_Coverage, 4342,
     /*  449732 */     GIR_EraseRootFromParent_Done,
     /*  449733 */   // Label 7763: @449733
     /*  449733 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(449804), // Rule ID 4343 //
     /*  449738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  449749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  449752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  449755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449766 */     // MIs[0] passthru
     /*  449766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  449785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449802 */     GIR_RootConstrainSelectedInstOperands,
     /*  449803 */     // GIR_Coverage, 4343,
     /*  449803 */     GIR_EraseRootFromParent_Done,
     /*  449804 */   // Label 7764: @449804
     /*  449804 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(449875), // Rule ID 4352 //
     /*  449809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  449826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449837 */     // MIs[0] passthru
     /*  449837 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  449856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449873 */     GIR_RootConstrainSelectedInstOperands,
     /*  449874 */     // GIR_Coverage, 4352,
     /*  449874 */     GIR_EraseRootFromParent_Done,
     /*  449875 */   // Label 7765: @449875
     /*  449875 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(449946), // Rule ID 4353 //
     /*  449880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  449891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  449894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  449897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449908 */     // MIs[0] passthru
     /*  449908 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  449927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  449933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449944 */     GIR_RootConstrainSelectedInstOperands,
     /*  449945 */     // GIR_Coverage, 4353,
     /*  449945 */     GIR_EraseRootFromParent_Done,
     /*  449946 */   // Label 7766: @449946
     /*  449946 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(450017), // Rule ID 4362 //
     /*  449951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  449959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  449962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  449965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  449968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449979 */     // MIs[0] passthru
     /*  449979 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  449984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  449998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450015 */     GIR_RootConstrainSelectedInstOperands,
     /*  450016 */     // GIR_Coverage, 4362,
     /*  450016 */     GIR_EraseRootFromParent_Done,
     /*  450017 */   // Label 7767: @450017
     /*  450017 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(450088), // Rule ID 4363 //
     /*  450022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  450033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  450036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  450039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450050 */     // MIs[0] passthru
     /*  450050 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  450069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450086 */     GIR_RootConstrainSelectedInstOperands,
     /*  450087 */     // GIR_Coverage, 4363,
     /*  450087 */     GIR_EraseRootFromParent_Done,
     /*  450088 */   // Label 7768: @450088
     /*  450088 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(450159), // Rule ID 4372 //
     /*  450093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  450110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450121 */     // MIs[0] passthru
     /*  450121 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450137 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  450140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450157 */     GIR_RootConstrainSelectedInstOperands,
     /*  450158 */     // GIR_Coverage, 4372,
     /*  450158 */     GIR_EraseRootFromParent_Done,
     /*  450159 */   // Label 7769: @450159
     /*  450159 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(450230), // Rule ID 4373 //
     /*  450164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  450175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  450178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  450181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450192 */     // MIs[0] passthru
     /*  450192 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  450211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450228 */     GIR_RootConstrainSelectedInstOperands,
     /*  450229 */     // GIR_Coverage, 4373,
     /*  450229 */     GIR_EraseRootFromParent_Done,
     /*  450230 */   // Label 7770: @450230
     /*  450230 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(450301), // Rule ID 4382 //
     /*  450235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  450252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450263 */     // MIs[0] passthru
     /*  450263 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450279 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  450282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450299 */     GIR_RootConstrainSelectedInstOperands,
     /*  450300 */     // GIR_Coverage, 4382,
     /*  450300 */     GIR_EraseRootFromParent_Done,
     /*  450301 */   // Label 7771: @450301
     /*  450301 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(450372), // Rule ID 4383 //
     /*  450306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  450317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  450320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  450323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450334 */     // MIs[0] passthru
     /*  450334 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  450353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450370 */     GIR_RootConstrainSelectedInstOperands,
     /*  450371 */     // GIR_Coverage, 4383,
     /*  450371 */     GIR_EraseRootFromParent_Done,
     /*  450372 */   // Label 7772: @450372
     /*  450372 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(450443), // Rule ID 4392 //
     /*  450377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  450394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450405 */     // MIs[0] passthru
     /*  450405 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450421 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  450424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450441 */     GIR_RootConstrainSelectedInstOperands,
     /*  450442 */     // GIR_Coverage, 4392,
     /*  450442 */     GIR_EraseRootFromParent_Done,
     /*  450443 */   // Label 7773: @450443
     /*  450443 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(450514), // Rule ID 4393 //
     /*  450448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  450465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450476 */     // MIs[0] passthru
     /*  450476 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  450495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450512 */     GIR_RootConstrainSelectedInstOperands,
     /*  450513 */     // GIR_Coverage, 4393,
     /*  450513 */     GIR_EraseRootFromParent_Done,
     /*  450514 */   // Label 7774: @450514
     /*  450514 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(450585), // Rule ID 4402 //
     /*  450519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  450536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450547 */     // MIs[0] passthru
     /*  450547 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  450566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450583 */     GIR_RootConstrainSelectedInstOperands,
     /*  450584 */     // GIR_Coverage, 4402,
     /*  450584 */     GIR_EraseRootFromParent_Done,
     /*  450585 */   // Label 7775: @450585
     /*  450585 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(450656), // Rule ID 4403 //
     /*  450590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  450601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  450604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  450607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450618 */     // MIs[0] passthru
     /*  450618 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  450637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450654 */     GIR_RootConstrainSelectedInstOperands,
     /*  450655 */     // GIR_Coverage, 4403,
     /*  450655 */     GIR_EraseRootFromParent_Done,
     /*  450656 */   // Label 7776: @450656
     /*  450656 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(450727), // Rule ID 4412 //
     /*  450661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  450678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450689 */     // MIs[0] passthru
     /*  450689 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450705 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  450708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450725 */     GIR_RootConstrainSelectedInstOperands,
     /*  450726 */     // GIR_Coverage, 4412,
     /*  450726 */     GIR_EraseRootFromParent_Done,
     /*  450727 */   // Label 7777: @450727
     /*  450727 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(450798), // Rule ID 4413 //
     /*  450732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  450743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  450746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  450749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450760 */     // MIs[0] passthru
     /*  450760 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  450779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450796 */     GIR_RootConstrainSelectedInstOperands,
     /*  450797 */     // GIR_Coverage, 4413,
     /*  450797 */     GIR_EraseRootFromParent_Done,
     /*  450798 */   // Label 7778: @450798
     /*  450798 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(450869), // Rule ID 4422 //
     /*  450803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  450814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  450817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  450820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450831 */     // MIs[0] passthru
     /*  450831 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  450850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450867 */     GIR_RootConstrainSelectedInstOperands,
     /*  450868 */     // GIR_Coverage, 4422,
     /*  450868 */     GIR_EraseRootFromParent_Done,
     /*  450869 */   // Label 7779: @450869
     /*  450869 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(450940), // Rule ID 4423 //
     /*  450874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  450885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  450888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  450891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450902 */     // MIs[0] passthru
     /*  450902 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  450911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  450921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450938 */     GIR_RootConstrainSelectedInstOperands,
     /*  450939 */     // GIR_Coverage, 4423,
     /*  450939 */     GIR_EraseRootFromParent_Done,
     /*  450940 */   // Label 7780: @450940
     /*  450940 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(451011), // Rule ID 4432 //
     /*  450945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  450953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  450956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  450959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  450962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  450973 */     // MIs[0] passthru
     /*  450973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  450978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  450982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450989 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  450992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  450998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451009 */     GIR_RootConstrainSelectedInstOperands,
     /*  451010 */     // GIR_Coverage, 4432,
     /*  451010 */     GIR_EraseRootFromParent_Done,
     /*  451011 */   // Label 7781: @451011
     /*  451011 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(451082), // Rule ID 4433 //
     /*  451016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  451027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  451030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  451033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451044 */     // MIs[0] passthru
     /*  451044 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  451060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  451063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451080 */     GIR_RootConstrainSelectedInstOperands,
     /*  451081 */     // GIR_Coverage, 4433,
     /*  451081 */     GIR_EraseRootFromParent_Done,
     /*  451082 */   // Label 7782: @451082
     /*  451082 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(451153), // Rule ID 4442 //
     /*  451087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  451104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451115 */     // MIs[0] passthru
     /*  451115 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  451134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451151 */     GIR_RootConstrainSelectedInstOperands,
     /*  451152 */     // GIR_Coverage, 4442,
     /*  451152 */     GIR_EraseRootFromParent_Done,
     /*  451153 */   // Label 7783: @451153
     /*  451153 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(451224), // Rule ID 4443 //
     /*  451158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  451175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451186 */     // MIs[0] passthru
     /*  451186 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  451205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451222 */     GIR_RootConstrainSelectedInstOperands,
     /*  451223 */     // GIR_Coverage, 4443,
     /*  451223 */     GIR_EraseRootFromParent_Done,
     /*  451224 */   // Label 7784: @451224
     /*  451224 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(451295), // Rule ID 4452 //
     /*  451229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  451246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451257 */     // MIs[0] passthru
     /*  451257 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  451276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451293 */     GIR_RootConstrainSelectedInstOperands,
     /*  451294 */     // GIR_Coverage, 4452,
     /*  451294 */     GIR_EraseRootFromParent_Done,
     /*  451295 */   // Label 7785: @451295
     /*  451295 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(451366), // Rule ID 4453 //
     /*  451300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  451311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  451314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  451317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451328 */     // MIs[0] passthru
     /*  451328 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  451347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451364 */     GIR_RootConstrainSelectedInstOperands,
     /*  451365 */     // GIR_Coverage, 4453,
     /*  451365 */     GIR_EraseRootFromParent_Done,
     /*  451366 */   // Label 7786: @451366
     /*  451366 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(451437), // Rule ID 4462 //
     /*  451371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  451388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451399 */     // MIs[0] passthru
     /*  451399 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451415 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  451418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451435 */     GIR_RootConstrainSelectedInstOperands,
     /*  451436 */     // GIR_Coverage, 4462,
     /*  451436 */     GIR_EraseRootFromParent_Done,
     /*  451437 */   // Label 7787: @451437
     /*  451437 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(451508), // Rule ID 4463 //
     /*  451442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  451453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  451456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  451459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451470 */     // MIs[0] passthru
     /*  451470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  451489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451506 */     GIR_RootConstrainSelectedInstOperands,
     /*  451507 */     // GIR_Coverage, 4463,
     /*  451507 */     GIR_EraseRootFromParent_Done,
     /*  451508 */   // Label 7788: @451508
     /*  451508 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(451579), // Rule ID 4472 //
     /*  451513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  451516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  451530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451541 */     // MIs[0] passthru
     /*  451541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  451560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451577 */     GIR_RootConstrainSelectedInstOperands,
     /*  451578 */     // GIR_Coverage, 4472,
     /*  451578 */     GIR_EraseRootFromParent_Done,
     /*  451579 */   // Label 7789: @451579
     /*  451579 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(451650), // Rule ID 4473 //
     /*  451584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  451587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  451592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  451595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  451598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  451601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451612 */     // MIs[0] passthru
     /*  451612 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  451631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451648 */     GIR_RootConstrainSelectedInstOperands,
     /*  451649 */     // GIR_Coverage, 4473,
     /*  451649 */     GIR_EraseRootFromParent_Done,
     /*  451650 */   // Label 7790: @451650
     /*  451650 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(451721), // Rule ID 4542 //
     /*  451655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  451666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  451669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  451672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451683 */     // MIs[0] passthru
     /*  451683 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  451702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451719 */     GIR_RootConstrainSelectedInstOperands,
     /*  451720 */     // GIR_Coverage, 4542,
     /*  451720 */     GIR_EraseRootFromParent_Done,
     /*  451721 */   // Label 7791: @451721
     /*  451721 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(451792), // Rule ID 4543 //
     /*  451726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  451737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  451740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  451743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451754 */     // MIs[0] passthru
     /*  451754 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451770 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  451773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451790 */     GIR_RootConstrainSelectedInstOperands,
     /*  451791 */     // GIR_Coverage, 4543,
     /*  451791 */     GIR_EraseRootFromParent_Done,
     /*  451792 */   // Label 7792: @451792
     /*  451792 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(451863), // Rule ID 4552 //
     /*  451797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  451808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  451811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  451814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451825 */     // MIs[0] passthru
     /*  451825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  451844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451861 */     GIR_RootConstrainSelectedInstOperands,
     /*  451862 */     // GIR_Coverage, 4552,
     /*  451862 */     GIR_EraseRootFromParent_Done,
     /*  451863 */   // Label 7793: @451863
     /*  451863 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(451934), // Rule ID 4553 //
     /*  451868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  451879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  451882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  451885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451896 */     // MIs[0] passthru
     /*  451896 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  451915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451932 */     GIR_RootConstrainSelectedInstOperands,
     /*  451933 */     // GIR_Coverage, 4553,
     /*  451933 */     GIR_EraseRootFromParent_Done,
     /*  451934 */   // Label 7794: @451934
     /*  451934 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(452005), // Rule ID 4562 //
     /*  451939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  451947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  451950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  451953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  451956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451967 */     // MIs[0] passthru
     /*  451967 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  451972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451983 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  451986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  451992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452003 */     GIR_RootConstrainSelectedInstOperands,
     /*  452004 */     // GIR_Coverage, 4562,
     /*  452004 */     GIR_EraseRootFromParent_Done,
     /*  452005 */   // Label 7795: @452005
     /*  452005 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(452076), // Rule ID 4563 //
     /*  452010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  452021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  452024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  452027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452038 */     // MIs[0] passthru
     /*  452038 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  452057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452074 */     GIR_RootConstrainSelectedInstOperands,
     /*  452075 */     // GIR_Coverage, 4563,
     /*  452075 */     GIR_EraseRootFromParent_Done,
     /*  452076 */   // Label 7796: @452076
     /*  452076 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(452147), // Rule ID 4572 //
     /*  452081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  452092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  452095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  452098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452109 */     // MIs[0] passthru
     /*  452109 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452125 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  452128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452145 */     GIR_RootConstrainSelectedInstOperands,
     /*  452146 */     // GIR_Coverage, 4572,
     /*  452146 */     GIR_EraseRootFromParent_Done,
     /*  452147 */   // Label 7797: @452147
     /*  452147 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(452218), // Rule ID 4573 //
     /*  452152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  452163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  452166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  452169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452180 */     // MIs[0] passthru
     /*  452180 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452196 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  452199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452216 */     GIR_RootConstrainSelectedInstOperands,
     /*  452217 */     // GIR_Coverage, 4573,
     /*  452217 */     GIR_EraseRootFromParent_Done,
     /*  452218 */   // Label 7798: @452218
     /*  452218 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(452289), // Rule ID 4582 //
     /*  452223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  452240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452251 */     // MIs[0] passthru
     /*  452251 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  452270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452287 */     GIR_RootConstrainSelectedInstOperands,
     /*  452288 */     // GIR_Coverage, 4582,
     /*  452288 */     GIR_EraseRootFromParent_Done,
     /*  452289 */   // Label 7799: @452289
     /*  452289 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(452360), // Rule ID 4583 //
     /*  452294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  452311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452322 */     // MIs[0] passthru
     /*  452322 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  452341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452358 */     GIR_RootConstrainSelectedInstOperands,
     /*  452359 */     // GIR_Coverage, 4583,
     /*  452359 */     GIR_EraseRootFromParent_Done,
     /*  452360 */   // Label 7800: @452360
     /*  452360 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(452431), // Rule ID 4592 //
     /*  452365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  452382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452393 */     // MIs[0] passthru
     /*  452393 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452409 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  452409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  452412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452429 */     GIR_RootConstrainSelectedInstOperands,
     /*  452430 */     // GIR_Coverage, 4592,
     /*  452430 */     GIR_EraseRootFromParent_Done,
     /*  452431 */   // Label 7801: @452431
     /*  452431 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(452502), // Rule ID 4593 //
     /*  452436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  452453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452464 */     // MIs[0] passthru
     /*  452464 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  452480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  452483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  452497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452500 */     GIR_RootConstrainSelectedInstOperands,
     /*  452501 */     // GIR_Coverage, 4593,
     /*  452501 */     GIR_EraseRootFromParent_Done,
     /*  452502 */   // Label 7802: @452502
     /*  452502 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(452573), // Rule ID 4602 //
     /*  452507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  452524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452535 */     // MIs[0] passthru
     /*  452535 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452551 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  452554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452571 */     GIR_RootConstrainSelectedInstOperands,
     /*  452572 */     // GIR_Coverage, 4602,
     /*  452572 */     GIR_EraseRootFromParent_Done,
     /*  452573 */   // Label 7803: @452573
     /*  452573 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(452644), // Rule ID 4603 //
     /*  452578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  452589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  452592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  452595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452606 */     // MIs[0] passthru
     /*  452606 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  452625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452642 */     GIR_RootConstrainSelectedInstOperands,
     /*  452643 */     // GIR_Coverage, 4603,
     /*  452643 */     GIR_EraseRootFromParent_Done,
     /*  452644 */   // Label 7804: @452644
     /*  452644 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(452715), // Rule ID 4612 //
     /*  452649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  452660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  452663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  452666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452677 */     // MIs[0] passthru
     /*  452677 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  452696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452713 */     GIR_RootConstrainSelectedInstOperands,
     /*  452714 */     // GIR_Coverage, 4612,
     /*  452714 */     GIR_EraseRootFromParent_Done,
     /*  452715 */   // Label 7805: @452715
     /*  452715 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(452786), // Rule ID 4613 //
     /*  452720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  452731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  452734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  452737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452748 */     // MIs[0] passthru
     /*  452748 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  452767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452784 */     GIR_RootConstrainSelectedInstOperands,
     /*  452785 */     // GIR_Coverage, 4613,
     /*  452785 */     GIR_EraseRootFromParent_Done,
     /*  452786 */   // Label 7806: @452786
     /*  452786 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(452857), // Rule ID 4622 //
     /*  452791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  452808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452819 */     // MIs[0] passthru
     /*  452819 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  452838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452855 */     GIR_RootConstrainSelectedInstOperands,
     /*  452856 */     // GIR_Coverage, 4622,
     /*  452856 */     GIR_EraseRootFromParent_Done,
     /*  452857 */   // Label 7807: @452857
     /*  452857 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(452928), // Rule ID 4623 //
     /*  452862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  452879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452890 */     // MIs[0] passthru
     /*  452890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  452899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  452909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452926 */     GIR_RootConstrainSelectedInstOperands,
     /*  452927 */     // GIR_Coverage, 4623,
     /*  452927 */     GIR_EraseRootFromParent_Done,
     /*  452928 */   // Label 7808: @452928
     /*  452928 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(452999), // Rule ID 4632 //
     /*  452933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  452941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  452950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452961 */     // MIs[0] passthru
     /*  452961 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  452966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  452980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  452986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452997 */     GIR_RootConstrainSelectedInstOperands,
     /*  452998 */     // GIR_Coverage, 4632,
     /*  452998 */     GIR_EraseRootFromParent_Done,
     /*  452999 */   // Label 7809: @452999
     /*  452999 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(453070), // Rule ID 4633 //
     /*  453004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  453015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  453018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  453021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453032 */     // MIs[0] passthru
     /*  453032 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453048 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  453051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453068 */     GIR_RootConstrainSelectedInstOperands,
     /*  453069 */     // GIR_Coverage, 4633,
     /*  453069 */     GIR_EraseRootFromParent_Done,
     /*  453070 */   // Label 7810: @453070
     /*  453070 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(453141), // Rule ID 4642 //
     /*  453075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  453086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  453089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  453092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453103 */     // MIs[0] passthru
     /*  453103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  453122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453139 */     GIR_RootConstrainSelectedInstOperands,
     /*  453140 */     // GIR_Coverage, 4642,
     /*  453140 */     GIR_EraseRootFromParent_Done,
     /*  453141 */   // Label 7811: @453141
     /*  453141 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(453212), // Rule ID 4643 //
     /*  453146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  453157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  453160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  453163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453174 */     // MIs[0] passthru
     /*  453174 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  453190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  453193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  453207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453210 */     GIR_RootConstrainSelectedInstOperands,
     /*  453211 */     // GIR_Coverage, 4643,
     /*  453211 */     GIR_EraseRootFromParent_Done,
     /*  453212 */   // Label 7812: @453212
     /*  453212 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(453283), // Rule ID 4652 //
     /*  453217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  453220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  453234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453245 */     // MIs[0] passthru
     /*  453245 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  453264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453281 */     GIR_RootConstrainSelectedInstOperands,
     /*  453282 */     // GIR_Coverage, 4652,
     /*  453282 */     GIR_EraseRootFromParent_Done,
     /*  453283 */   // Label 7813: @453283
     /*  453283 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(453354), // Rule ID 4653 //
     /*  453288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  453291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  453299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  453302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  453305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453316 */     // MIs[0] passthru
     /*  453316 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  453335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453352 */     GIR_RootConstrainSelectedInstOperands,
     /*  453353 */     // GIR_Coverage, 4653,
     /*  453353 */     GIR_EraseRootFromParent_Done,
     /*  453354 */   // Label 7814: @453354
     /*  453354 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(453425), // Rule ID 4662 //
     /*  453359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  453362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  453370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  453373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  453376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453387 */     // MIs[0] passthru
     /*  453387 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  453406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453423 */     GIR_RootConstrainSelectedInstOperands,
     /*  453424 */     // GIR_Coverage, 4662,
     /*  453424 */     GIR_EraseRootFromParent_Done,
     /*  453425 */   // Label 7815: @453425
     /*  453425 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(453496), // Rule ID 4663 //
     /*  453430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  453433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  453441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  453444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  453447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453458 */     // MIs[0] passthru
     /*  453458 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453474 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  453477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453494 */     GIR_RootConstrainSelectedInstOperands,
     /*  453495 */     // GIR_Coverage, 4663,
     /*  453495 */     GIR_EraseRootFromParent_Done,
     /*  453496 */   // Label 7816: @453496
     /*  453496 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(453567), // Rule ID 4672 //
     /*  453501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  453504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  453518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453529 */     // MIs[0] passthru
     /*  453529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453545 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  453548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453565 */     GIR_RootConstrainSelectedInstOperands,
     /*  453566 */     // GIR_Coverage, 4672,
     /*  453566 */     GIR_EraseRootFromParent_Done,
     /*  453567 */   // Label 7817: @453567
     /*  453567 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(453638), // Rule ID 4673 //
     /*  453572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  453575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  453589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453600 */     // MIs[0] passthru
     /*  453600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  453619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453636 */     GIR_RootConstrainSelectedInstOperands,
     /*  453637 */     // GIR_Coverage, 4673,
     /*  453637 */     GIR_EraseRootFromParent_Done,
     /*  453638 */   // Label 7818: @453638
     /*  453638 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(453709), // Rule ID 4682 //
     /*  453643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  453646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  453660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453671 */     // MIs[0] passthru
     /*  453671 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  453687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  453690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453707 */     GIR_RootConstrainSelectedInstOperands,
     /*  453708 */     // GIR_Coverage, 4682,
     /*  453708 */     GIR_EraseRootFromParent_Done,
     /*  453709 */   // Label 7819: @453709
     /*  453709 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(453780), // Rule ID 4683 //
     /*  453714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  453717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  453722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  453731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453742 */     // MIs[0] passthru
     /*  453742 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  453747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  453758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  453761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  453775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453778 */     GIR_RootConstrainSelectedInstOperands,
     /*  453779 */     // GIR_Coverage, 4683,
     /*  453779 */     GIR_EraseRootFromParent_Done,
     /*  453780 */   // Label 7820: @453780
     /*  453780 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(453852), // Rule ID 2546 //
     /*  453785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  453793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  453805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  453831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  453834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453850 */     GIR_RootConstrainSelectedInstOperands,
     /*  453851 */     // GIR_Coverage, 2546,
     /*  453851 */     GIR_EraseRootFromParent_Done,
     /*  453852 */   // Label 7821: @453852
     /*  453852 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(453924), // Rule ID 2547 //
     /*  453857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  453865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  453877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453903 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  453903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  453906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  453914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453922 */     GIR_RootConstrainSelectedInstOperands,
     /*  453923 */     // GIR_Coverage, 2547,
     /*  453923 */     GIR_EraseRootFromParent_Done,
     /*  453924 */   // Label 7822: @453924
     /*  453924 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(454017), // Rule ID 2550 //
     /*  453929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  453932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  453937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  453940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  453943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  453946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  453949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  453956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  453968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453975 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  453975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  453979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  453985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  453989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  453992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  453998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  454004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454015 */     GIR_RootConstrainSelectedInstOperands,
     /*  454016 */     // GIR_Coverage, 2550,
     /*  454016 */     GIR_EraseRootFromParent_Done,
     /*  454017 */   // Label 7823: @454017
     /*  454017 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(454110), // Rule ID 2551 //
     /*  454022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  454025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  454030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  454033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  454036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  454039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  454042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  454049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  454061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  454068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  454072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  454078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  454082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  454085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  454097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454108 */     GIR_RootConstrainSelectedInstOperands,
     /*  454109 */     // GIR_Coverage, 2551,
     /*  454109 */     GIR_EraseRootFromParent_Done,
     /*  454110 */   // Label 7824: @454110
     /*  454110 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(454185), // Rule ID 2578 //
     /*  454115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  454123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454161 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  454164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454183 */     GIR_RootConstrainSelectedInstOperands,
     /*  454184 */     // GIR_Coverage, 2578,
     /*  454184 */     GIR_EraseRootFromParent_Done,
     /*  454185 */   // Label 7825: @454185
     /*  454185 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(454260), // Rule ID 2579 //
     /*  454190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  454198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  454239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454258 */     GIR_RootConstrainSelectedInstOperands,
     /*  454259 */     // GIR_Coverage, 2579,
     /*  454259 */     GIR_EraseRootFromParent_Done,
     /*  454260 */   // Label 7826: @454260
     /*  454260 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(454350), // Rule ID 2592 //
     /*  454265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  454273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  454276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  454285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  454304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454311 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  454311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  454315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  454321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  454325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  454328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  454332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  454340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454348 */     GIR_RootConstrainSelectedInstOperands,
     /*  454349 */     // GIR_Coverage, 2592,
     /*  454349 */     GIR_EraseRootFromParent_Done,
     /*  454350 */   // Label 7827: @454350
     /*  454350 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(454440), // Rule ID 2593 //
     /*  454355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  454363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  454366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  454375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  454394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  454401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  454405 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  454411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  454415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  454418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  454422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  454430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454438 */     GIR_RootConstrainSelectedInstOperands,
     /*  454439 */     // GIR_Coverage, 2593,
     /*  454439 */     GIR_EraseRootFromParent_Done,
     /*  454440 */   // Label 7828: @454440
     /*  454440 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(454515), // Rule ID 2612 //
     /*  454445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  454453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  454456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  454459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  454462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  454494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454513 */     GIR_RootConstrainSelectedInstOperands,
     /*  454514 */     // GIR_Coverage, 2612,
     /*  454514 */     GIR_EraseRootFromParent_Done,
     /*  454515 */   // Label 7829: @454515
     /*  454515 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(454590), // Rule ID 2613 //
     /*  454520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  454528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  454531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  454534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  454537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454566 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  454569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454588 */     GIR_RootConstrainSelectedInstOperands,
     /*  454589 */     // GIR_Coverage, 2613,
     /*  454589 */     GIR_EraseRootFromParent_Done,
     /*  454590 */   // Label 7830: @454590
     /*  454590 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(454665), // Rule ID 2638 //
     /*  454595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  454603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  454615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454641 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  454644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  454648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454663 */     GIR_RootConstrainSelectedInstOperands,
     /*  454664 */     // GIR_Coverage, 2638,
     /*  454664 */     GIR_EraseRootFromParent_Done,
     /*  454665 */   // Label 7831: @454665
     /*  454665 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(454740), // Rule ID 2639 //
     /*  454670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  454678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  454690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  454719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  454723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  454727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454738 */     GIR_RootConstrainSelectedInstOperands,
     /*  454739 */     // GIR_Coverage, 2639,
     /*  454739 */     GIR_EraseRootFromParent_Done,
     /*  454740 */   // Label 7832: @454740
     /*  454740 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(454815), // Rule ID 2650 //
     /*  454745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454791 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  454794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454813 */     GIR_RootConstrainSelectedInstOperands,
     /*  454814 */     // GIR_Coverage, 2650,
     /*  454814 */     GIR_EraseRootFromParent_Done,
     /*  454815 */   // Label 7833: @454815
     /*  454815 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(454890), // Rule ID 2651 //
     /*  454820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  454831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  454834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  454837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  454840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  454869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454888 */     GIR_RootConstrainSelectedInstOperands,
     /*  454889 */     // GIR_Coverage, 2651,
     /*  454889 */     GIR_EraseRootFromParent_Done,
     /*  454890 */   // Label 7834: @454890
     /*  454890 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(454965), // Rule ID 2658 //
     /*  454895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  454906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  454909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  454912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  454915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454941 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  454944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  454950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  454952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454963 */     GIR_RootConstrainSelectedInstOperands,
     /*  454964 */     // GIR_Coverage, 2658,
     /*  454964 */     GIR_EraseRootFromParent_Done,
     /*  454965 */   // Label 7835: @454965
     /*  454965 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(455040), // Rule ID 2659 //
     /*  454970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  454978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  454981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  454984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  454987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  454990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  455019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455038 */     GIR_RootConstrainSelectedInstOperands,
     /*  455039 */     // GIR_Coverage, 2659,
     /*  455039 */     GIR_EraseRootFromParent_Done,
     /*  455040 */   // Label 7836: @455040
     /*  455040 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(455115), // Rule ID 2666 //
     /*  455045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  455056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  455059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  455062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  455065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455113 */     GIR_RootConstrainSelectedInstOperands,
     /*  455114 */     // GIR_Coverage, 2666,
     /*  455114 */     GIR_EraseRootFromParent_Done,
     /*  455115 */   // Label 7837: @455115
     /*  455115 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(455190), // Rule ID 2667 //
     /*  455120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  455131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  455134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  455137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  455140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455166 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455188 */     GIR_RootConstrainSelectedInstOperands,
     /*  455189 */     // GIR_Coverage, 2667,
     /*  455189 */     GIR_EraseRootFromParent_Done,
     /*  455190 */   // Label 7838: @455190
     /*  455190 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(455265), // Rule ID 2674 //
     /*  455195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  455206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  455209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  455212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  455215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455241 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  455244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455263 */     GIR_RootConstrainSelectedInstOperands,
     /*  455264 */     // GIR_Coverage, 2674,
     /*  455264 */     GIR_EraseRootFromParent_Done,
     /*  455265 */   // Label 7839: @455265
     /*  455265 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(455340), // Rule ID 2675 //
     /*  455270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  455281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  455284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  455287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  455290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455316 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  455319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455338 */     GIR_RootConstrainSelectedInstOperands,
     /*  455339 */     // GIR_Coverage, 2675,
     /*  455339 */     GIR_EraseRootFromParent_Done,
     /*  455340 */   // Label 7840: @455340
     /*  455340 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(455415), // Rule ID 2682 //
     /*  455345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  455356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  455359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  455362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  455365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455391 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455413 */     GIR_RootConstrainSelectedInstOperands,
     /*  455414 */     // GIR_Coverage, 2682,
     /*  455414 */     GIR_EraseRootFromParent_Done,
     /*  455415 */   // Label 7841: @455415
     /*  455415 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(455490), // Rule ID 2683 //
     /*  455420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  455431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  455434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  455437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  455440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455488 */     GIR_RootConstrainSelectedInstOperands,
     /*  455489 */     // GIR_Coverage, 2683,
     /*  455489 */     GIR_EraseRootFromParent_Done,
     /*  455490 */   // Label 7842: @455490
     /*  455490 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(455565), // Rule ID 2690 //
     /*  455495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  455512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  455515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455541 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455563 */     GIR_RootConstrainSelectedInstOperands,
     /*  455564 */     // GIR_Coverage, 2690,
     /*  455564 */     GIR_EraseRootFromParent_Done,
     /*  455565 */   // Label 7843: @455565
     /*  455565 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(455640), // Rule ID 2691 //
     /*  455570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  455581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  455584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  455587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  455590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  455616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  455619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  455635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455638 */     GIR_RootConstrainSelectedInstOperands,
     /*  455639 */     // GIR_Coverage, 2691,
     /*  455639 */     GIR_EraseRootFromParent_Done,
     /*  455640 */   // Label 7844: @455640
     /*  455640 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(455715), // Rule ID 2698 //
     /*  455645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  455656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  455659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  455662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  455665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  455694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455713 */     GIR_RootConstrainSelectedInstOperands,
     /*  455714 */     // GIR_Coverage, 2698,
     /*  455714 */     GIR_EraseRootFromParent_Done,
     /*  455715 */   // Label 7845: @455715
     /*  455715 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(455790), // Rule ID 2699 //
     /*  455720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  455731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  455734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  455737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  455740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455766 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  455769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455788 */     GIR_RootConstrainSelectedInstOperands,
     /*  455789 */     // GIR_Coverage, 2699,
     /*  455789 */     GIR_EraseRootFromParent_Done,
     /*  455790 */   // Label 7846: @455790
     /*  455790 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(455865), // Rule ID 2706 //
     /*  455795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  455806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  455809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  455812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  455815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  455844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455863 */     GIR_RootConstrainSelectedInstOperands,
     /*  455864 */     // GIR_Coverage, 2706,
     /*  455864 */     GIR_EraseRootFromParent_Done,
     /*  455865 */   // Label 7847: @455865
     /*  455865 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(455940), // Rule ID 2707 //
     /*  455870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  455881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  455884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  455887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  455890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  455919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  455925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  455927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455938 */     GIR_RootConstrainSelectedInstOperands,
     /*  455939 */     // GIR_Coverage, 2707,
     /*  455939 */     GIR_EraseRootFromParent_Done,
     /*  455940 */   // Label 7848: @455940
     /*  455940 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(456015), // Rule ID 2714 //
     /*  455945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  455953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  455956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  455959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  455962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  455965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  455991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  455994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456013 */     GIR_RootConstrainSelectedInstOperands,
     /*  456014 */     // GIR_Coverage, 2714,
     /*  456014 */     GIR_EraseRootFromParent_Done,
     /*  456015 */   // Label 7849: @456015
     /*  456015 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(456090), // Rule ID 2715 //
     /*  456020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  456031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  456034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  456037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  456040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  456069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456088 */     GIR_RootConstrainSelectedInstOperands,
     /*  456089 */     // GIR_Coverage, 2715,
     /*  456089 */     GIR_EraseRootFromParent_Done,
     /*  456090 */   // Label 7850: @456090
     /*  456090 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(456165), // Rule ID 2722 //
     /*  456095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  456106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  456109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  456112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  456115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456141 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  456144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456163 */     GIR_RootConstrainSelectedInstOperands,
     /*  456164 */     // GIR_Coverage, 2722,
     /*  456164 */     GIR_EraseRootFromParent_Done,
     /*  456165 */   // Label 7851: @456165
     /*  456165 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(456240), // Rule ID 2723 //
     /*  456170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  456181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  456184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  456187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  456190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  456209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  456219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456238 */     GIR_RootConstrainSelectedInstOperands,
     /*  456239 */     // GIR_Coverage, 2723,
     /*  456239 */     GIR_EraseRootFromParent_Done,
     /*  456240 */   // Label 7852: @456240
     /*  456240 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(456315), // Rule ID 2730 //
     /*  456245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  456262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  456265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  456294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456313 */     GIR_RootConstrainSelectedInstOperands,
     /*  456314 */     // GIR_Coverage, 2730,
     /*  456314 */     GIR_EraseRootFromParent_Done,
     /*  456315 */   // Label 7853: @456315
     /*  456315 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(456390), // Rule ID 2731 //
     /*  456320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  456331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  456334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  456337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  456340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  456369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456388 */     GIR_RootConstrainSelectedInstOperands,
     /*  456389 */     // GIR_Coverage, 2731,
     /*  456389 */     GIR_EraseRootFromParent_Done,
     /*  456390 */   // Label 7854: @456390
     /*  456390 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(456465), // Rule ID 2738 //
     /*  456395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  456406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  456409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  456412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  456415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  456444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456463 */     GIR_RootConstrainSelectedInstOperands,
     /*  456464 */     // GIR_Coverage, 2738,
     /*  456464 */     GIR_EraseRootFromParent_Done,
     /*  456465 */   // Label 7855: @456465
     /*  456465 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(456540), // Rule ID 2739 //
     /*  456470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  456481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  456484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  456487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  456490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  456519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456538 */     GIR_RootConstrainSelectedInstOperands,
     /*  456539 */     // GIR_Coverage, 2739,
     /*  456539 */     GIR_EraseRootFromParent_Done,
     /*  456540 */   // Label 7856: @456540
     /*  456540 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(456615), // Rule ID 2746 //
     /*  456545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  456556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  456559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  456562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  456565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456591 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  456591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  456594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456613 */     GIR_RootConstrainSelectedInstOperands,
     /*  456614 */     // GIR_Coverage, 2746,
     /*  456614 */     GIR_EraseRootFromParent_Done,
     /*  456615 */   // Label 7857: @456615
     /*  456615 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(456690), // Rule ID 2747 //
     /*  456620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  456631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  456634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  456637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  456640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456666 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  456666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  456669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  456685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456688 */     GIR_RootConstrainSelectedInstOperands,
     /*  456689 */     // GIR_Coverage, 2747,
     /*  456689 */     GIR_EraseRootFromParent_Done,
     /*  456690 */   // Label 7858: @456690
     /*  456690 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(456765), // Rule ID 2754 //
     /*  456695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  456706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  456709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  456715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  456744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456763 */     GIR_RootConstrainSelectedInstOperands,
     /*  456764 */     // GIR_Coverage, 2754,
     /*  456764 */     GIR_EraseRootFromParent_Done,
     /*  456765 */   // Label 7859: @456765
     /*  456765 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(456840), // Rule ID 2755 //
     /*  456770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  456781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  456784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  456787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  456790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  456819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456838 */     GIR_RootConstrainSelectedInstOperands,
     /*  456839 */     // GIR_Coverage, 2755,
     /*  456839 */     GIR_EraseRootFromParent_Done,
     /*  456840 */   // Label 7860: @456840
     /*  456840 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(456915), // Rule ID 2762 //
     /*  456845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  456856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  456859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  456862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  456865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  456894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456913 */     GIR_RootConstrainSelectedInstOperands,
     /*  456914 */     // GIR_Coverage, 2762,
     /*  456914 */     GIR_EraseRootFromParent_Done,
     /*  456915 */   // Label 7861: @456915
     /*  456915 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(456990), // Rule ID 2763 //
     /*  456920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  456928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  456931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  456934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  456937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  456940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  456969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  456975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  456977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456988 */     GIR_RootConstrainSelectedInstOperands,
     /*  456989 */     // GIR_Coverage, 2763,
     /*  456989 */     GIR_EraseRootFromParent_Done,
     /*  456990 */   // Label 7862: @456990
     /*  456990 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(457065), // Rule ID 2770 //
     /*  456995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  457006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  457009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  457015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  457044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457063 */     GIR_RootConstrainSelectedInstOperands,
     /*  457064 */     // GIR_Coverage, 2770,
     /*  457064 */     GIR_EraseRootFromParent_Done,
     /*  457065 */   // Label 7863: @457065
     /*  457065 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(457140), // Rule ID 2771 //
     /*  457070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  457081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  457084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  457087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  457090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  457119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457138 */     GIR_RootConstrainSelectedInstOperands,
     /*  457139 */     // GIR_Coverage, 2771,
     /*  457139 */     GIR_EraseRootFromParent_Done,
     /*  457140 */   // Label 7864: @457140
     /*  457140 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(457215), // Rule ID 2778 //
     /*  457145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  457156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  457159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  457165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  457194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457213 */     GIR_RootConstrainSelectedInstOperands,
     /*  457214 */     // GIR_Coverage, 2778,
     /*  457214 */     GIR_EraseRootFromParent_Done,
     /*  457215 */   // Label 7865: @457215
     /*  457215 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(457290), // Rule ID 2779 //
     /*  457220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  457231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  457234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  457237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  457240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  457269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457288 */     GIR_RootConstrainSelectedInstOperands,
     /*  457289 */     // GIR_Coverage, 2779,
     /*  457289 */     GIR_EraseRootFromParent_Done,
     /*  457290 */   // Label 7866: @457290
     /*  457290 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(457365), // Rule ID 2786 //
     /*  457295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  457306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  457309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  457315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457341 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  457344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457363 */     GIR_RootConstrainSelectedInstOperands,
     /*  457364 */     // GIR_Coverage, 2786,
     /*  457364 */     GIR_EraseRootFromParent_Done,
     /*  457365 */   // Label 7867: @457365
     /*  457365 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(457440), // Rule ID 2787 //
     /*  457370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  457381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  457384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  457387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  457390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457416 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  457419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457438 */     GIR_RootConstrainSelectedInstOperands,
     /*  457439 */     // GIR_Coverage, 2787,
     /*  457439 */     GIR_EraseRootFromParent_Done,
     /*  457440 */   // Label 7868: @457440
     /*  457440 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(457515), // Rule ID 2794 //
     /*  457445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  457456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  457459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  457465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  457491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  457494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457513 */     GIR_RootConstrainSelectedInstOperands,
     /*  457514 */     // GIR_Coverage, 2794,
     /*  457514 */     GIR_EraseRootFromParent_Done,
     /*  457515 */   // Label 7869: @457515
     /*  457515 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(457590), // Rule ID 2795 //
     /*  457520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  457531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  457534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  457537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  457540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  457566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  457569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  457585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457588 */     GIR_RootConstrainSelectedInstOperands,
     /*  457589 */     // GIR_Coverage, 2795,
     /*  457589 */     GIR_EraseRootFromParent_Done,
     /*  457590 */   // Label 7870: @457590
     /*  457590 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(457665), // Rule ID 2802 //
     /*  457595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  457606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  457609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  457612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  457615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  457644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457663 */     GIR_RootConstrainSelectedInstOperands,
     /*  457664 */     // GIR_Coverage, 2802,
     /*  457664 */     GIR_EraseRootFromParent_Done,
     /*  457665 */   // Label 7871: @457665
     /*  457665 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(457740), // Rule ID 2803 //
     /*  457670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  457681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  457684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  457687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  457690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  457709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457716 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  457719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457738 */     GIR_RootConstrainSelectedInstOperands,
     /*  457739 */     // GIR_Coverage, 2803,
     /*  457739 */     GIR_EraseRootFromParent_Done,
     /*  457740 */   // Label 7872: @457740
     /*  457740 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(457815), // Rule ID 2810 //
     /*  457745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  457756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  457759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  457762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  457765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457791 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  457794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457813 */     GIR_RootConstrainSelectedInstOperands,
     /*  457814 */     // GIR_Coverage, 2810,
     /*  457814 */     GIR_EraseRootFromParent_Done,
     /*  457815 */   // Label 7873: @457815
     /*  457815 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(457890), // Rule ID 2811 //
     /*  457820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  457831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  457834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  457837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  457840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  457859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  457869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457888 */     GIR_RootConstrainSelectedInstOperands,
     /*  457889 */     // GIR_Coverage, 2811,
     /*  457889 */     GIR_EraseRootFromParent_Done,
     /*  457890 */   // Label 7874: @457890
     /*  457890 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(457965), // Rule ID 2818 //
     /*  457895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  457906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  457909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  457912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  457915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457941 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  457944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  457950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  457952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457963 */     GIR_RootConstrainSelectedInstOperands,
     /*  457964 */     // GIR_Coverage, 2818,
     /*  457964 */     GIR_EraseRootFromParent_Done,
     /*  457965 */   // Label 7875: @457965
     /*  457965 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(458040), // Rule ID 2819 //
     /*  457970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  457978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  457981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  457984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  457987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  457990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  458009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458016 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  458019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  458025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  458027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458038 */     GIR_RootConstrainSelectedInstOperands,
     /*  458039 */     // GIR_Coverage, 2819,
     /*  458039 */     GIR_EraseRootFromParent_Done,
     /*  458040 */   // Label 7876: @458040
     /*  458040 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(458115), // Rule ID 2826 //
     /*  458045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  458056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  458059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  458062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  458065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458091 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  458094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458113 */     GIR_RootConstrainSelectedInstOperands,
     /*  458114 */     // GIR_Coverage, 2826,
     /*  458114 */     GIR_EraseRootFromParent_Done,
     /*  458115 */   // Label 7877: @458115
     /*  458115 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(458190), // Rule ID 2827 //
     /*  458120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  458131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  458134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  458137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  458140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  458169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458188 */     GIR_RootConstrainSelectedInstOperands,
     /*  458189 */     // GIR_Coverage, 2827,
     /*  458189 */     GIR_EraseRootFromParent_Done,
     /*  458190 */   // Label 7878: @458190
     /*  458190 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(458265), // Rule ID 2830 //
     /*  458195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  458206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  458209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  458212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  458215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458241 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458263 */     GIR_RootConstrainSelectedInstOperands,
     /*  458264 */     // GIR_Coverage, 2830,
     /*  458264 */     GIR_EraseRootFromParent_Done,
     /*  458265 */   // Label 7879: @458265
     /*  458265 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(458340), // Rule ID 2831 //
     /*  458270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  458281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  458284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  458287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  458290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458316 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458338 */     GIR_RootConstrainSelectedInstOperands,
     /*  458339 */     // GIR_Coverage, 2831,
     /*  458339 */     GIR_EraseRootFromParent_Done,
     /*  458340 */   // Label 7880: @458340
     /*  458340 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(458415), // Rule ID 2834 //
     /*  458345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  458356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  458359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  458362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  458365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458391 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  458394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458413 */     GIR_RootConstrainSelectedInstOperands,
     /*  458414 */     // GIR_Coverage, 2834,
     /*  458414 */     GIR_EraseRootFromParent_Done,
     /*  458415 */   // Label 7881: @458415
     /*  458415 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(458490), // Rule ID 2835 //
     /*  458420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  458431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  458434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  458437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  458440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  458469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458488 */     GIR_RootConstrainSelectedInstOperands,
     /*  458489 */     // GIR_Coverage, 2835,
     /*  458489 */     GIR_EraseRootFromParent_Done,
     /*  458490 */   // Label 7882: @458490
     /*  458490 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(458565), // Rule ID 2838 //
     /*  458495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  458506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  458509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  458512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  458515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458541 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458563 */     GIR_RootConstrainSelectedInstOperands,
     /*  458564 */     // GIR_Coverage, 2838,
     /*  458564 */     GIR_EraseRootFromParent_Done,
     /*  458565 */   // Label 7883: @458565
     /*  458565 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(458640), // Rule ID 2839 //
     /*  458570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  458581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  458584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  458587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  458590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458638 */     GIR_RootConstrainSelectedInstOperands,
     /*  458639 */     // GIR_Coverage, 2839,
     /*  458639 */     GIR_EraseRootFromParent_Done,
     /*  458640 */   // Label 7884: @458640
     /*  458640 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(458715), // Rule ID 2842 //
     /*  458645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  458662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  458665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458713 */     GIR_RootConstrainSelectedInstOperands,
     /*  458714 */     // GIR_Coverage, 2842,
     /*  458714 */     GIR_EraseRootFromParent_Done,
     /*  458715 */   // Label 7885: @458715
     /*  458715 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(458790), // Rule ID 2843 //
     /*  458720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  458737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  458740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  458769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458788 */     GIR_RootConstrainSelectedInstOperands,
     /*  458789 */     // GIR_Coverage, 2843,
     /*  458789 */     GIR_EraseRootFromParent_Done,
     /*  458790 */   // Label 7886: @458790
     /*  458790 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(458865), // Rule ID 2846 //
     /*  458795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  458812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  458815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  458844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458863 */     GIR_RootConstrainSelectedInstOperands,
     /*  458864 */     // GIR_Coverage, 2846,
     /*  458864 */     GIR_EraseRootFromParent_Done,
     /*  458865 */   // Label 7887: @458865
     /*  458865 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(458940), // Rule ID 2847 //
     /*  458870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  458887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  458890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  458919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  458927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458938 */     GIR_RootConstrainSelectedInstOperands,
     /*  458939 */     // GIR_Coverage, 2847,
     /*  458939 */     GIR_EraseRootFromParent_Done,
     /*  458940 */   // Label 7888: @458940
     /*  458940 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(459015), // Rule ID 2850 //
     /*  458945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  458953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  458965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  458994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459013 */     GIR_RootConstrainSelectedInstOperands,
     /*  459014 */     // GIR_Coverage, 2850,
     /*  459014 */     GIR_EraseRootFromParent_Done,
     /*  459015 */   // Label 7889: @459015
     /*  459015 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(459090), // Rule ID 2851 //
     /*  459020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  459031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  459034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  459037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  459040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  459069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459088 */     GIR_RootConstrainSelectedInstOperands,
     /*  459089 */     // GIR_Coverage, 2851,
     /*  459089 */     GIR_EraseRootFromParent_Done,
     /*  459090 */   // Label 7890: @459090
     /*  459090 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(459165), // Rule ID 2854 //
     /*  459095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  459106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  459109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  459112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  459115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  459141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  459144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459163 */     GIR_RootConstrainSelectedInstOperands,
     /*  459164 */     // GIR_Coverage, 2854,
     /*  459164 */     GIR_EraseRootFromParent_Done,
     /*  459165 */   // Label 7891: @459165
     /*  459165 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(459240), // Rule ID 2855 //
     /*  459170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  459181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  459184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  459187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  459190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  459216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  459219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  459235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459238 */     GIR_RootConstrainSelectedInstOperands,
     /*  459239 */     // GIR_Coverage, 2855,
     /*  459239 */     GIR_EraseRootFromParent_Done,
     /*  459240 */   // Label 7892: @459240
     /*  459240 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(459315), // Rule ID 2858 //
     /*  459245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  459248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  459256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  459259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  459262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  459265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  459291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  459294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459313 */     GIR_RootConstrainSelectedInstOperands,
     /*  459314 */     // GIR_Coverage, 2858,
     /*  459314 */     GIR_EraseRootFromParent_Done,
     /*  459315 */   // Label 7893: @459315
     /*  459315 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(459390), // Rule ID 2859 //
     /*  459320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  459323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  459331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  459334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  459337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  459340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  459359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  459366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  459369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  459385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459388 */     GIR_RootConstrainSelectedInstOperands,
     /*  459389 */     // GIR_Coverage, 2859,
     /*  459389 */     GIR_EraseRootFromParent_Done,
     /*  459390 */   // Label 7894: @459390
     /*  459390 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(459465), // Rule ID 2862 //
     /*  459395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  459406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  459409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  459412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  459415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459441 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  459444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459463 */     GIR_RootConstrainSelectedInstOperands,
     /*  459464 */     // GIR_Coverage, 2862,
     /*  459464 */     GIR_EraseRootFromParent_Done,
     /*  459465 */   // Label 7895: @459465
     /*  459465 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(459540), // Rule ID 2863 //
     /*  459470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  459481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  459484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  459487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  459490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459516 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  459519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459538 */     GIR_RootConstrainSelectedInstOperands,
     /*  459539 */     // GIR_Coverage, 2863,
     /*  459539 */     GIR_EraseRootFromParent_Done,
     /*  459540 */   // Label 7896: @459540
     /*  459540 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(459615), // Rule ID 2866 //
     /*  459545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  459562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  459565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459591 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  459594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459613 */     GIR_RootConstrainSelectedInstOperands,
     /*  459614 */     // GIR_Coverage, 2866,
     /*  459614 */     GIR_EraseRootFromParent_Done,
     /*  459615 */   // Label 7897: @459615
     /*  459615 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(459690), // Rule ID 2867 //
     /*  459620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  459637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  459640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459666 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  459669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459688 */     GIR_RootConstrainSelectedInstOperands,
     /*  459689 */     // GIR_Coverage, 2867,
     /*  459689 */     GIR_EraseRootFromParent_Done,
     /*  459690 */   // Label 7898: @459690
     /*  459690 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(459765), // Rule ID 2870 //
     /*  459695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  459706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  459709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  459712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  459715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459741 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  459744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459763 */     GIR_RootConstrainSelectedInstOperands,
     /*  459764 */     // GIR_Coverage, 2870,
     /*  459764 */     GIR_EraseRootFromParent_Done,
     /*  459765 */   // Label 7899: @459765
     /*  459765 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(459840), // Rule ID 2871 //
     /*  459770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  459781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  459784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  459787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  459790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459816 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  459819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459838 */     GIR_RootConstrainSelectedInstOperands,
     /*  459839 */     // GIR_Coverage, 2871,
     /*  459839 */     GIR_EraseRootFromParent_Done,
     /*  459840 */   // Label 7900: @459840
     /*  459840 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(459915), // Rule ID 2874 //
     /*  459845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  459865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  459894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459913 */     GIR_RootConstrainSelectedInstOperands,
     /*  459914 */     // GIR_Coverage, 2874,
     /*  459914 */     GIR_EraseRootFromParent_Done,
     /*  459915 */   // Label 7901: @459915
     /*  459915 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(459990), // Rule ID 2875 //
     /*  459920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  459928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  459940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  459969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  459977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459988 */     GIR_RootConstrainSelectedInstOperands,
     /*  459989 */     // GIR_Coverage, 2875,
     /*  459989 */     GIR_EraseRootFromParent_Done,
     /*  459990 */   // Label 7902: @459990
     /*  459990 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(460065), // Rule ID 2878 //
     /*  459995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  460006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  460009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  460015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  460044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460063 */     GIR_RootConstrainSelectedInstOperands,
     /*  460064 */     // GIR_Coverage, 2878,
     /*  460064 */     GIR_EraseRootFromParent_Done,
     /*  460065 */   // Label 7903: @460065
     /*  460065 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(460140), // Rule ID 2879 //
     /*  460070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  460081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  460084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  460087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  460090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  460119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460138 */     GIR_RootConstrainSelectedInstOperands,
     /*  460139 */     // GIR_Coverage, 2879,
     /*  460139 */     GIR_EraseRootFromParent_Done,
     /*  460140 */   // Label 7904: @460140
     /*  460140 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(460215), // Rule ID 2882 //
     /*  460145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  460156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  460159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  460165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  460191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  460194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460213 */     GIR_RootConstrainSelectedInstOperands,
     /*  460214 */     // GIR_Coverage, 2882,
     /*  460214 */     GIR_EraseRootFromParent_Done,
     /*  460215 */   // Label 7905: @460215
     /*  460215 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(460290), // Rule ID 2883 //
     /*  460220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  460231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  460234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  460237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  460240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  460266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  460269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  460285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460288 */     GIR_RootConstrainSelectedInstOperands,
     /*  460289 */     // GIR_Coverage, 2883,
     /*  460289 */     GIR_EraseRootFromParent_Done,
     /*  460290 */   // Label 7906: @460290
     /*  460290 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(460365), // Rule ID 2886 //
     /*  460295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  460306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  460309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  460315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460341 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  460344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460363 */     GIR_RootConstrainSelectedInstOperands,
     /*  460364 */     // GIR_Coverage, 2886,
     /*  460364 */     GIR_EraseRootFromParent_Done,
     /*  460365 */   // Label 7907: @460365
     /*  460365 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(460440), // Rule ID 2887 //
     /*  460370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  460381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  460384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  460390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  460419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460438 */     GIR_RootConstrainSelectedInstOperands,
     /*  460439 */     // GIR_Coverage, 2887,
     /*  460439 */     GIR_EraseRootFromParent_Done,
     /*  460440 */   // Label 7908: @460440
     /*  460440 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(460515), // Rule ID 2890 //
     /*  460445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  460462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  460465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460491 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  460494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460513 */     GIR_RootConstrainSelectedInstOperands,
     /*  460514 */     // GIR_Coverage, 2890,
     /*  460514 */     GIR_EraseRootFromParent_Done,
     /*  460515 */   // Label 7909: @460515
     /*  460515 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(460590), // Rule ID 2891 //
     /*  460520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  460537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  460540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460566 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  460569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460588 */     GIR_RootConstrainSelectedInstOperands,
     /*  460589 */     // GIR_Coverage, 2891,
     /*  460589 */     GIR_EraseRootFromParent_Done,
     /*  460590 */   // Label 7910: @460590
     /*  460590 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(460665), // Rule ID 2894 //
     /*  460595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  460606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  460609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  460615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460641 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  460644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460663 */     GIR_RootConstrainSelectedInstOperands,
     /*  460664 */     // GIR_Coverage, 2894,
     /*  460664 */     GIR_EraseRootFromParent_Done,
     /*  460665 */   // Label 7911: @460665
     /*  460665 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(460740), // Rule ID 2895 //
     /*  460670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  460681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  460684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  460690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  460719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460738 */     GIR_RootConstrainSelectedInstOperands,
     /*  460739 */     // GIR_Coverage, 2895,
     /*  460739 */     GIR_EraseRootFromParent_Done,
     /*  460740 */   // Label 7912: @460740
     /*  460740 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(460815), // Rule ID 2898 //
     /*  460745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  460765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460791 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  460794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460813 */     GIR_RootConstrainSelectedInstOperands,
     /*  460814 */     // GIR_Coverage, 2898,
     /*  460814 */     GIR_EraseRootFromParent_Done,
     /*  460815 */   // Label 7913: @460815
     /*  460815 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(460890), // Rule ID 2899 //
     /*  460820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  460840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  460869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460888 */     GIR_RootConstrainSelectedInstOperands,
     /*  460889 */     // GIR_Coverage, 2899,
     /*  460889 */     GIR_EraseRootFromParent_Done,
     /*  460890 */   // Label 7914: @460890
     /*  460890 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(460965), // Rule ID 2902 //
     /*  460895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  460915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460941 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  460944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  460952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460963 */     GIR_RootConstrainSelectedInstOperands,
     /*  460964 */     // GIR_Coverage, 2902,
     /*  460964 */     GIR_EraseRootFromParent_Done,
     /*  460965 */   // Label 7915: @460965
     /*  460965 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(461040), // Rule ID 2903 //
     /*  460970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  460978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  460990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  461009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461016 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  461016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  461019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  461035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461038 */     GIR_RootConstrainSelectedInstOperands,
     /*  461039 */     // GIR_Coverage, 2903,
     /*  461039 */     GIR_EraseRootFromParent_Done,
     /*  461040 */   // Label 7916: @461040
     /*  461040 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(461115), // Rule ID 2906 //
     /*  461045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  461048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  461056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  461059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  461062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  461065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  461091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  461094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  461110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461113 */     GIR_RootConstrainSelectedInstOperands,
     /*  461114 */     // GIR_Coverage, 2906,
     /*  461114 */     GIR_EraseRootFromParent_Done,
     /*  461115 */   // Label 7917: @461115
     /*  461115 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(461190), // Rule ID 2907 //
     /*  461120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  461123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  461131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  461134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  461137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  461140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  461159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  461166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  461169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  461185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461188 */     GIR_RootConstrainSelectedInstOperands,
     /*  461189 */     // GIR_Coverage, 2907,
     /*  461189 */     GIR_EraseRootFromParent_Done,
     /*  461190 */   // Label 7918: @461190
     /*  461190 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(461265), // Rule ID 2910 //
     /*  461195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  461206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  461209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  461212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461241 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  461244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461263 */     GIR_RootConstrainSelectedInstOperands,
     /*  461264 */     // GIR_Coverage, 2910,
     /*  461264 */     GIR_EraseRootFromParent_Done,
     /*  461265 */   // Label 7919: @461265
     /*  461265 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(461340), // Rule ID 2911 //
     /*  461270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  461281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  461284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  461287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  461319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461338 */     GIR_RootConstrainSelectedInstOperands,
     /*  461339 */     // GIR_Coverage, 2911,
     /*  461339 */     GIR_EraseRootFromParent_Done,
     /*  461340 */   // Label 7920: @461340
     /*  461340 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(461415), // Rule ID 2914 //
     /*  461345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  461362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461391 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  461394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461413 */     GIR_RootConstrainSelectedInstOperands,
     /*  461414 */     // GIR_Coverage, 2914,
     /*  461414 */     GIR_EraseRootFromParent_Done,
     /*  461415 */   // Label 7921: @461415
     /*  461415 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(461490), // Rule ID 2915 //
     /*  461420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  461437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461466 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  461469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461488 */     GIR_RootConstrainSelectedInstOperands,
     /*  461489 */     // GIR_Coverage, 2915,
     /*  461489 */     GIR_EraseRootFromParent_Done,
     /*  461490 */   // Label 7922: @461490
     /*  461490 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(461565), // Rule ID 2918 //
     /*  461495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  461512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461541 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  461544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461563 */     GIR_RootConstrainSelectedInstOperands,
     /*  461564 */     // GIR_Coverage, 2918,
     /*  461564 */     GIR_EraseRootFromParent_Done,
     /*  461565 */   // Label 7923: @461565
     /*  461565 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(461640), // Rule ID 2919 //
     /*  461570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  461587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461616 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  461619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461638 */     GIR_RootConstrainSelectedInstOperands,
     /*  461639 */     // GIR_Coverage, 2919,
     /*  461639 */     GIR_EraseRootFromParent_Done,
     /*  461640 */   // Label 7924: @461640
     /*  461640 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(461715), // Rule ID 2922 //
     /*  461645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  461694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461713 */     GIR_RootConstrainSelectedInstOperands,
     /*  461714 */     // GIR_Coverage, 2922,
     /*  461714 */     GIR_EraseRootFromParent_Done,
     /*  461715 */   // Label 7925: @461715
     /*  461715 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(461790), // Rule ID 2923 //
     /*  461720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  461769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461788 */     GIR_RootConstrainSelectedInstOperands,
     /*  461789 */     // GIR_Coverage, 2923,
     /*  461789 */     GIR_EraseRootFromParent_Done,
     /*  461790 */   // Label 7926: @461790
     /*  461790 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(461865), // Rule ID 2926 //
     /*  461795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  461844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461863 */     GIR_RootConstrainSelectedInstOperands,
     /*  461864 */     // GIR_Coverage, 2926,
     /*  461864 */     GIR_EraseRootFromParent_Done,
     /*  461865 */   // Label 7927: @461865
     /*  461865 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(461940), // Rule ID 2927 //
     /*  461870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  461919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  461927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461938 */     GIR_RootConstrainSelectedInstOperands,
     /*  461939 */     // GIR_Coverage, 2927,
     /*  461939 */     GIR_EraseRootFromParent_Done,
     /*  461940 */   // Label 7928: @461940
     /*  461940 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(462015), // Rule ID 2930 //
     /*  461945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  461953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  461984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461991 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  461994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462013 */     GIR_RootConstrainSelectedInstOperands,
     /*  462014 */     // GIR_Coverage, 2930,
     /*  462014 */     GIR_EraseRootFromParent_Done,
     /*  462015 */   // Label 7929: @462015
     /*  462015 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(462090), // Rule ID 2931 //
     /*  462020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  462031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  462034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  462037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  462069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462088 */     GIR_RootConstrainSelectedInstOperands,
     /*  462089 */     // GIR_Coverage, 2931,
     /*  462089 */     GIR_EraseRootFromParent_Done,
     /*  462090 */   // Label 7930: @462090
     /*  462090 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(462165), // Rule ID 2934 //
     /*  462095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  462112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462141 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462163 */     GIR_RootConstrainSelectedInstOperands,
     /*  462164 */     // GIR_Coverage, 2934,
     /*  462164 */     GIR_EraseRootFromParent_Done,
     /*  462165 */   // Label 7931: @462165
     /*  462165 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(462240), // Rule ID 2935 //
     /*  462170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  462187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10777:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462238 */     GIR_RootConstrainSelectedInstOperands,
     /*  462239 */     // GIR_Coverage, 2935,
     /*  462239 */     GIR_EraseRootFromParent_Done,
     /*  462240 */   // Label 7932: @462240
     /*  462240 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(462315), // Rule ID 2938 //
     /*  462245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462313 */     GIR_RootConstrainSelectedInstOperands,
     /*  462314 */     // GIR_Coverage, 2938,
     /*  462314 */     GIR_EraseRootFromParent_Done,
     /*  462315 */   // Label 7933: @462315
     /*  462315 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(462390), // Rule ID 2939 //
     /*  462320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10777:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462388 */     GIR_RootConstrainSelectedInstOperands,
     /*  462389 */     // GIR_Coverage, 2939,
     /*  462389 */     GIR_EraseRootFromParent_Done,
     /*  462390 */   // Label 7934: @462390
     /*  462390 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(462465), // Rule ID 2942 //
     /*  462395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462463 */     GIR_RootConstrainSelectedInstOperands,
     /*  462464 */     // GIR_Coverage, 2942,
     /*  462464 */     GIR_EraseRootFromParent_Done,
     /*  462465 */   // Label 7935: @462465
     /*  462465 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(462540), // Rule ID 2943 //
     /*  462470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10777:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462538 */     GIR_RootConstrainSelectedInstOperands,
     /*  462539 */     // GIR_Coverage, 2943,
     /*  462539 */     GIR_EraseRootFromParent_Done,
     /*  462540 */   // Label 7936: @462540
     /*  462540 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(462615), // Rule ID 2946 //
     /*  462545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462613 */     GIR_RootConstrainSelectedInstOperands,
     /*  462614 */     // GIR_Coverage, 2946,
     /*  462614 */     GIR_EraseRootFromParent_Done,
     /*  462615 */   // Label 7937: @462615
     /*  462615 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(462690), // Rule ID 2947 //
     /*  462620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10777:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  462669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462688 */     GIR_RootConstrainSelectedInstOperands,
     /*  462689 */     // GIR_Coverage, 2947,
     /*  462689 */     GIR_EraseRootFromParent_Done,
     /*  462690 */   // Label 7938: @462690
     /*  462690 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(462765), // Rule ID 2950 //
     /*  462695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462741 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  462744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462763 */     GIR_RootConstrainSelectedInstOperands,
     /*  462764 */     // GIR_Coverage, 2950,
     /*  462764 */     GIR_EraseRootFromParent_Done,
     /*  462765 */   // Label 7939: @462765
     /*  462765 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(462840), // Rule ID 2951 //
     /*  462770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462816 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  462819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462838 */     GIR_RootConstrainSelectedInstOperands,
     /*  462839 */     // GIR_Coverage, 2951,
     /*  462839 */     GIR_EraseRootFromParent_Done,
     /*  462840 */   // Label 7940: @462840
     /*  462840 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(462915), // Rule ID 2954 //
     /*  462845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462891 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  462894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462913 */     GIR_RootConstrainSelectedInstOperands,
     /*  462914 */     // GIR_Coverage, 2954,
     /*  462914 */     GIR_EraseRootFromParent_Done,
     /*  462915 */   // Label 7941: @462915
     /*  462915 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(462990), // Rule ID 2955 //
     /*  462920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  462928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  462959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462966 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  462969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  462977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462988 */     GIR_RootConstrainSelectedInstOperands,
     /*  462989 */     // GIR_Coverage, 2955,
     /*  462989 */     GIR_EraseRootFromParent_Done,
     /*  462990 */   // Label 7942: @462990
     /*  462990 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(463065), // Rule ID 2958 //
     /*  462995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  463006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  463009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  463012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463041 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  463044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463063 */     GIR_RootConstrainSelectedInstOperands,
     /*  463064 */     // GIR_Coverage, 2958,
     /*  463064 */     GIR_EraseRootFromParent_Done,
     /*  463065 */   // Label 7943: @463065
     /*  463065 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(463140), // Rule ID 2959 //
     /*  463070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  463081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  463084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  463087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  463119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463138 */     GIR_RootConstrainSelectedInstOperands,
     /*  463139 */     // GIR_Coverage, 2959,
     /*  463139 */     GIR_EraseRootFromParent_Done,
     /*  463140 */   // Label 7944: @463140
     /*  463140 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(463215), // Rule ID 2962 //
     /*  463145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463191 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  463194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463213 */     GIR_RootConstrainSelectedInstOperands,
     /*  463214 */     // GIR_Coverage, 2962,
     /*  463214 */     GIR_EraseRootFromParent_Done,
     /*  463215 */   // Label 7945: @463215
     /*  463215 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(463290), // Rule ID 2963 //
     /*  463220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  463269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463288 */     GIR_RootConstrainSelectedInstOperands,
     /*  463289 */     // GIR_Coverage, 2963,
     /*  463289 */     GIR_EraseRootFromParent_Done,
     /*  463290 */   // Label 7946: @463290
     /*  463290 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(463365), // Rule ID 2966 //
     /*  463295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463341 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  463344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463363 */     GIR_RootConstrainSelectedInstOperands,
     /*  463364 */     // GIR_Coverage, 2966,
     /*  463364 */     GIR_EraseRootFromParent_Done,
     /*  463365 */   // Label 7947: @463365
     /*  463365 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(463440), // Rule ID 2967 //
     /*  463370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463416 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  463419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463438 */     GIR_RootConstrainSelectedInstOperands,
     /*  463439 */     // GIR_Coverage, 2967,
     /*  463439 */     GIR_EraseRootFromParent_Done,
     /*  463440 */   // Label 7948: @463440
     /*  463440 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(463515), // Rule ID 2970 //
     /*  463445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  463494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463513 */     GIR_RootConstrainSelectedInstOperands,
     /*  463514 */     // GIR_Coverage, 2970,
     /*  463514 */     GIR_EraseRootFromParent_Done,
     /*  463515 */   // Label 7949: @463515
     /*  463515 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(463590), // Rule ID 2971 //
     /*  463520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  463569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463588 */     GIR_RootConstrainSelectedInstOperands,
     /*  463589 */     // GIR_Coverage, 2971,
     /*  463589 */     GIR_EraseRootFromParent_Done,
     /*  463590 */   // Label 7950: @463590
     /*  463590 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(463665), // Rule ID 2974 //
     /*  463595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  463644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463663 */     GIR_RootConstrainSelectedInstOperands,
     /*  463664 */     // GIR_Coverage, 2974,
     /*  463664 */     GIR_EraseRootFromParent_Done,
     /*  463665 */   // Label 7951: @463665
     /*  463665 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(463740), // Rule ID 2975 //
     /*  463670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  463719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463738 */     GIR_RootConstrainSelectedInstOperands,
     /*  463739 */     // GIR_Coverage, 2975,
     /*  463739 */     GIR_EraseRootFromParent_Done,
     /*  463740 */   // Label 7952: @463740
     /*  463740 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(463815), // Rule ID 2978 //
     /*  463745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  463794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463813 */     GIR_RootConstrainSelectedInstOperands,
     /*  463814 */     // GIR_Coverage, 2978,
     /*  463814 */     GIR_EraseRootFromParent_Done,
     /*  463815 */   // Label 7953: @463815
     /*  463815 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(463890), // Rule ID 2979 //
     /*  463820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  463869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463888 */     GIR_RootConstrainSelectedInstOperands,
     /*  463889 */     // GIR_Coverage, 2979,
     /*  463889 */     GIR_EraseRootFromParent_Done,
     /*  463890 */   // Label 7954: @463890
     /*  463890 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(463965), // Rule ID 2982 //
     /*  463895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  463934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  463944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  463952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463963 */     GIR_RootConstrainSelectedInstOperands,
     /*  463964 */     // GIR_Coverage, 2982,
     /*  463964 */     GIR_EraseRootFromParent_Done,
     /*  463965 */   // Label 7955: @463965
     /*  463965 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(464040), // Rule ID 2983 //
     /*  463970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  463978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  463981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  463984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  463987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  464019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464038 */     GIR_RootConstrainSelectedInstOperands,
     /*  464039 */     // GIR_Coverage, 2983,
     /*  464039 */     GIR_EraseRootFromParent_Done,
     /*  464040 */   // Label 7956: @464040
     /*  464040 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(464115), // Rule ID 2986 //
     /*  464045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  464056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  464059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  464094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464113 */     GIR_RootConstrainSelectedInstOperands,
     /*  464114 */     // GIR_Coverage, 2986,
     /*  464114 */     GIR_EraseRootFromParent_Done,
     /*  464115 */   // Label 7957: @464115
     /*  464115 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(464190), // Rule ID 2987 //
     /*  464120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  464131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  464134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10777:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  464169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464188 */     GIR_RootConstrainSelectedInstOperands,
     /*  464189 */     // GIR_Coverage, 2987,
     /*  464189 */     GIR_EraseRootFromParent_Done,
     /*  464190 */   // Label 7958: @464190
     /*  464190 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(464265), // Rule ID 2990 //
     /*  464195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  464206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  464209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  464244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464263 */     GIR_RootConstrainSelectedInstOperands,
     /*  464264 */     // GIR_Coverage, 2990,
     /*  464264 */     GIR_EraseRootFromParent_Done,
     /*  464265 */   // Label 7959: @464265
     /*  464265 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(464340), // Rule ID 2991 //
     /*  464270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  464281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  464284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10777:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  464319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464338 */     GIR_RootConstrainSelectedInstOperands,
     /*  464339 */     // GIR_Coverage, 2991,
     /*  464339 */     GIR_EraseRootFromParent_Done,
     /*  464340 */   // Label 7960: @464340
     /*  464340 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(464415), // Rule ID 2994 //
     /*  464345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  464394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464413 */     GIR_RootConstrainSelectedInstOperands,
     /*  464414 */     // GIR_Coverage, 2994,
     /*  464414 */     GIR_EraseRootFromParent_Done,
     /*  464415 */   // Label 7961: @464415
     /*  464415 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(464490), // Rule ID 2995 //
     /*  464420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  464428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  464459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10777:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  464469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464488 */     GIR_RootConstrainSelectedInstOperands,
     /*  464489 */     // GIR_Coverage, 2995,
     /*  464489 */     GIR_EraseRootFromParent_Done,
     /*  464490 */   // Label 7962: @464490
     /*  464490 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(464565), // Rule ID 3086 //
     /*  464495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  464515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464541 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  464544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464563 */     GIR_RootConstrainSelectedInstOperands,
     /*  464564 */     // GIR_Coverage, 3086,
     /*  464564 */     GIR_EraseRootFromParent_Done,
     /*  464565 */   // Label 7963: @464565
     /*  464565 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(464640), // Rule ID 3087 //
     /*  464570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  464587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  464590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464616 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  464619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464638 */     GIR_RootConstrainSelectedInstOperands,
     /*  464639 */     // GIR_Coverage, 3087,
     /*  464639 */     GIR_EraseRootFromParent_Done,
     /*  464640 */   // Label 7964: @464640
     /*  464640 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(464715), // Rule ID 3090 //
     /*  464645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  464665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464691 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  464694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464713 */     GIR_RootConstrainSelectedInstOperands,
     /*  464714 */     // GIR_Coverage, 3090,
     /*  464714 */     GIR_EraseRootFromParent_Done,
     /*  464715 */   // Label 7965: @464715
     /*  464715 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(464790), // Rule ID 3091 //
     /*  464720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  464737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  464740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464766 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  464769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464788 */     GIR_RootConstrainSelectedInstOperands,
     /*  464789 */     // GIR_Coverage, 3091,
     /*  464789 */     GIR_EraseRootFromParent_Done,
     /*  464790 */   // Label 7966: @464790
     /*  464790 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(464865), // Rule ID 3094 //
     /*  464795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  464812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  464815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  464844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464863 */     GIR_RootConstrainSelectedInstOperands,
     /*  464864 */     // GIR_Coverage, 3094,
     /*  464864 */     GIR_EraseRootFromParent_Done,
     /*  464865 */   // Label 7967: @464865
     /*  464865 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(464940), // Rule ID 3095 //
     /*  464870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  464881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  464884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  464887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  464890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464916 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  464919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  464927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464938 */     GIR_RootConstrainSelectedInstOperands,
     /*  464939 */     // GIR_Coverage, 3095,
     /*  464939 */     GIR_EraseRootFromParent_Done,
     /*  464940 */   // Label 7968: @464940
     /*  464940 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(465015), // Rule ID 3098 //
     /*  464945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  464953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  464956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  464959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  464965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  464991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  464994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465013 */     GIR_RootConstrainSelectedInstOperands,
     /*  465014 */     // GIR_Coverage, 3098,
     /*  465014 */     GIR_EraseRootFromParent_Done,
     /*  465015 */   // Label 7969: @465015
     /*  465015 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(465090), // Rule ID 3099 //
     /*  465020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  465037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  465040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  465069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465088 */     GIR_RootConstrainSelectedInstOperands,
     /*  465089 */     // GIR_Coverage, 3099,
     /*  465089 */     GIR_EraseRootFromParent_Done,
     /*  465090 */   // Label 7970: @465090
     /*  465090 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(465165), // Rule ID 3102 //
     /*  465095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  465115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465141 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  465144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465163 */     GIR_RootConstrainSelectedInstOperands,
     /*  465164 */     // GIR_Coverage, 3102,
     /*  465164 */     GIR_EraseRootFromParent_Done,
     /*  465165 */   // Label 7971: @465165
     /*  465165 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(465240), // Rule ID 3103 //
     /*  465170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  465190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  465219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465238 */     GIR_RootConstrainSelectedInstOperands,
     /*  465239 */     // GIR_Coverage, 3103,
     /*  465239 */     GIR_EraseRootFromParent_Done,
     /*  465240 */   // Label 7972: @465240
     /*  465240 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(465315), // Rule ID 3106 //
     /*  465245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  465265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  465294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465313 */     GIR_RootConstrainSelectedInstOperands,
     /*  465314 */     // GIR_Coverage, 3106,
     /*  465314 */     GIR_EraseRootFromParent_Done,
     /*  465315 */   // Label 7973: @465315
     /*  465315 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(465390), // Rule ID 3107 //
     /*  465320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  465331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  465334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  465340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  465369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465388 */     GIR_RootConstrainSelectedInstOperands,
     /*  465389 */     // GIR_Coverage, 3107,
     /*  465389 */     GIR_EraseRootFromParent_Done,
     /*  465390 */   // Label 7974: @465390
     /*  465390 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(465465), // Rule ID 3110 //
     /*  465395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  465415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465463 */     GIR_RootConstrainSelectedInstOperands,
     /*  465464 */     // GIR_Coverage, 3110,
     /*  465464 */     GIR_EraseRootFromParent_Done,
     /*  465465 */   // Label 7975: @465465
     /*  465465 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(465540), // Rule ID 3111 //
     /*  465470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  465487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  465490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465538 */     GIR_RootConstrainSelectedInstOperands,
     /*  465539 */     // GIR_Coverage, 3111,
     /*  465539 */     GIR_EraseRootFromParent_Done,
     /*  465540 */   // Label 7976: @465540
     /*  465540 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(465615), // Rule ID 3114 //
     /*  465545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  465565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465613 */     GIR_RootConstrainSelectedInstOperands,
     /*  465614 */     // GIR_Coverage, 3114,
     /*  465614 */     GIR_EraseRootFromParent_Done,
     /*  465615 */   // Label 7977: @465615
     /*  465615 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(465690), // Rule ID 3115 //
     /*  465620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  465631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  465634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  465640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465688 */     GIR_RootConstrainSelectedInstOperands,
     /*  465689 */     // GIR_Coverage, 3115,
     /*  465689 */     GIR_EraseRootFromParent_Done,
     /*  465690 */   // Label 7978: @465690
     /*  465690 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(465765), // Rule ID 3118 //
     /*  465695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  465706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  465709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  465715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  465741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465763 */     GIR_RootConstrainSelectedInstOperands,
     /*  465764 */     // GIR_Coverage, 3118,
     /*  465764 */     GIR_EraseRootFromParent_Done,
     /*  465765 */   // Label 7979: @465765
     /*  465765 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(465840), // Rule ID 3119 //
     /*  465770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  465781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  465784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  465790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  465816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  465835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465838 */     GIR_RootConstrainSelectedInstOperands,
     /*  465839 */     // GIR_Coverage, 3119,
     /*  465839 */     GIR_EraseRootFromParent_Done,
     /*  465840 */   // Label 7980: @465840
     /*  465840 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(465915), // Rule ID 3122 //
     /*  465845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  465848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  465856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  465859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  465865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  465891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465913 */     GIR_RootConstrainSelectedInstOperands,
     /*  465914 */     // GIR_Coverage, 3122,
     /*  465914 */     GIR_EraseRootFromParent_Done,
     /*  465915 */   // Label 7981: @465915
     /*  465915 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(465990), // Rule ID 3123 //
     /*  465920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  465923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  465928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  465931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  465934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  465937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  465940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  465966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  465969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  465977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  465985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465988 */     GIR_RootConstrainSelectedInstOperands,
     /*  465989 */     // GIR_Coverage, 3123,
     /*  465989 */     GIR_EraseRootFromParent_Done,
     /*  465990 */   // Label 7982: @465990
     /*  465990 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(466065), // Rule ID 3126 //
     /*  465995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  466015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466041 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  466044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466063 */     GIR_RootConstrainSelectedInstOperands,
     /*  466064 */     // GIR_Coverage, 3126,
     /*  466064 */     GIR_EraseRootFromParent_Done,
     /*  466065 */   // Label 7983: @466065
     /*  466065 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(466140), // Rule ID 3127 //
     /*  466070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  466081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  466084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  466087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  466090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  466119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466138 */     GIR_RootConstrainSelectedInstOperands,
     /*  466139 */     // GIR_Coverage, 3127,
     /*  466139 */     GIR_EraseRootFromParent_Done,
     /*  466140 */   // Label 7984: @466140
     /*  466140 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(466215), // Rule ID 3130 //
     /*  466145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  466165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  466194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466213 */     GIR_RootConstrainSelectedInstOperands,
     /*  466214 */     // GIR_Coverage, 3130,
     /*  466214 */     GIR_EraseRootFromParent_Done,
     /*  466215 */   // Label 7985: @466215
     /*  466215 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(466290), // Rule ID 3131 //
     /*  466220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  466231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  466234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  466237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  466240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  466269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466288 */     GIR_RootConstrainSelectedInstOperands,
     /*  466289 */     // GIR_Coverage, 3131,
     /*  466289 */     GIR_EraseRootFromParent_Done,
     /*  466290 */   // Label 7986: @466290
     /*  466290 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(466365), // Rule ID 3134 //
     /*  466295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  466315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466341 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  466341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  466344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466363 */     GIR_RootConstrainSelectedInstOperands,
     /*  466364 */     // GIR_Coverage, 3134,
     /*  466364 */     GIR_EraseRootFromParent_Done,
     /*  466365 */   // Label 7987: @466365
     /*  466365 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(466440), // Rule ID 3135 //
     /*  466370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  466381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  466384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  466387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  466390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466416 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  466416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  466419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  466435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466438 */     GIR_RootConstrainSelectedInstOperands,
     /*  466439 */     // GIR_Coverage, 3135,
     /*  466439 */     GIR_EraseRootFromParent_Done,
     /*  466440 */   // Label 7988: @466440
     /*  466440 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(466515), // Rule ID 3138 //
     /*  466445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  466456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  466459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  466462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  466465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  466494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466513 */     GIR_RootConstrainSelectedInstOperands,
     /*  466514 */     // GIR_Coverage, 3138,
     /*  466514 */     GIR_EraseRootFromParent_Done,
     /*  466515 */   // Label 7989: @466515
     /*  466515 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(466590), // Rule ID 3139 //
     /*  466520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  466531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  466534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  466537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  466540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  466569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466588 */     GIR_RootConstrainSelectedInstOperands,
     /*  466589 */     // GIR_Coverage, 3139,
     /*  466589 */     GIR_EraseRootFromParent_Done,
     /*  466590 */   // Label 7990: @466590
     /*  466590 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(466665), // Rule ID 3142 //
     /*  466595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  466612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  466615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  466644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466663 */     GIR_RootConstrainSelectedInstOperands,
     /*  466664 */     // GIR_Coverage, 3142,
     /*  466664 */     GIR_EraseRootFromParent_Done,
     /*  466665 */   // Label 7991: @466665
     /*  466665 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(466740), // Rule ID 3143 //
     /*  466670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  466687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  466690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  466719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466738 */     GIR_RootConstrainSelectedInstOperands,
     /*  466739 */     // GIR_Coverage, 3143,
     /*  466739 */     GIR_EraseRootFromParent_Done,
     /*  466740 */   // Label 7992: @466740
     /*  466740 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(466815), // Rule ID 3146 //
     /*  466745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  466756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  466759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  466762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  466765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  466794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466813 */     GIR_RootConstrainSelectedInstOperands,
     /*  466814 */     // GIR_Coverage, 3146,
     /*  466814 */     GIR_EraseRootFromParent_Done,
     /*  466815 */   // Label 7993: @466815
     /*  466815 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(466890), // Rule ID 3147 //
     /*  466820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  466831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  466834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  466837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  466840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  466869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466888 */     GIR_RootConstrainSelectedInstOperands,
     /*  466889 */     // GIR_Coverage, 3147,
     /*  466889 */     GIR_EraseRootFromParent_Done,
     /*  466890 */   // Label 7994: @466890
     /*  466890 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(466965), // Rule ID 3150 //
     /*  466895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  466915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466941 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  466944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  466952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466963 */     GIR_RootConstrainSelectedInstOperands,
     /*  466964 */     // GIR_Coverage, 3150,
     /*  466964 */     GIR_EraseRootFromParent_Done,
     /*  466965 */   // Label 7995: @466965
     /*  466965 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(467040), // Rule ID 3151 //
     /*  466970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  466978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  466981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  466984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  466990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  467019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467038 */     GIR_RootConstrainSelectedInstOperands,
     /*  467039 */     // GIR_Coverage, 3151,
     /*  467039 */     GIR_EraseRootFromParent_Done,
     /*  467040 */   // Label 7996: @467040
     /*  467040 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(467115), // Rule ID 3154 //
     /*  467045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  467065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  467094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467113 */     GIR_RootConstrainSelectedInstOperands,
     /*  467114 */     // GIR_Coverage, 3154,
     /*  467114 */     GIR_EraseRootFromParent_Done,
     /*  467115 */   // Label 7997: @467115
     /*  467115 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(467190), // Rule ID 3155 //
     /*  467120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  467137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  467140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  467169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467188 */     GIR_RootConstrainSelectedInstOperands,
     /*  467189 */     // GIR_Coverage, 3155,
     /*  467189 */     GIR_EraseRootFromParent_Done,
     /*  467190 */   // Label 7998: @467190
     /*  467190 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(467265), // Rule ID 3158 //
     /*  467195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  467206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  467209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  467212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  467215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  467244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467263 */     GIR_RootConstrainSelectedInstOperands,
     /*  467264 */     // GIR_Coverage, 3158,
     /*  467264 */     GIR_EraseRootFromParent_Done,
     /*  467265 */   // Label 7999: @467265
     /*  467265 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(467340), // Rule ID 3159 //
     /*  467270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  467281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  467284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  467287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  467290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467316 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  467319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467338 */     GIR_RootConstrainSelectedInstOperands,
     /*  467339 */     // GIR_Coverage, 3159,
     /*  467339 */     GIR_EraseRootFromParent_Done,
     /*  467340 */   // Label 8000: @467340
     /*  467340 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(467415), // Rule ID 3162 //
     /*  467345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  467356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  467359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  467362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  467365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  467394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467413 */     GIR_RootConstrainSelectedInstOperands,
     /*  467414 */     // GIR_Coverage, 3162,
     /*  467414 */     GIR_EraseRootFromParent_Done,
     /*  467415 */   // Label 8001: @467415
     /*  467415 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(467490), // Rule ID 3163 //
     /*  467420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  467431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  467434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  467437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  467440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  467469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467488 */     GIR_RootConstrainSelectedInstOperands,
     /*  467489 */     // GIR_Coverage, 3163,
     /*  467489 */     GIR_EraseRootFromParent_Done,
     /*  467490 */   // Label 8002: @467490
     /*  467490 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(467565), // Rule ID 3166 //
     /*  467495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  467506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  467509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  467515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467541 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  467544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467563 */     GIR_RootConstrainSelectedInstOperands,
     /*  467564 */     // GIR_Coverage, 3166,
     /*  467564 */     GIR_EraseRootFromParent_Done,
     /*  467565 */   // Label 8003: @467565
     /*  467565 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(467640), // Rule ID 3167 //
     /*  467570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  467581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  467584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  467590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  467619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467638 */     GIR_RootConstrainSelectedInstOperands,
     /*  467639 */     // GIR_Coverage, 3167,
     /*  467639 */     GIR_EraseRootFromParent_Done,
     /*  467640 */   // Label 8004: @467640
     /*  467640 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(467715), // Rule ID 3170 //
     /*  467645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  467648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  467656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  467659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  467665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467691 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  467691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  467694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467713 */     GIR_RootConstrainSelectedInstOperands,
     /*  467714 */     // GIR_Coverage, 3170,
     /*  467714 */     GIR_EraseRootFromParent_Done,
     /*  467715 */   // Label 8005: @467715
     /*  467715 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(467790), // Rule ID 3171 //
     /*  467720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  467723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  467731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  467734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  467740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467766 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  467766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  467769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  467785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467788 */     GIR_RootConstrainSelectedInstOperands,
     /*  467789 */     // GIR_Coverage, 3171,
     /*  467789 */     GIR_EraseRootFromParent_Done,
     /*  467790 */   // Label 8006: @467790
     /*  467790 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(467865), // Rule ID 3174 //
     /*  467795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  467812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  467844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467863 */     GIR_RootConstrainSelectedInstOperands,
     /*  467864 */     // GIR_Coverage, 3174,
     /*  467864 */     GIR_EraseRootFromParent_Done,
     /*  467865 */   // Label 8007: @467865
     /*  467865 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(467940), // Rule ID 3175 //
     /*  467870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  467887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467916 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  467919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  467927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467938 */     GIR_RootConstrainSelectedInstOperands,
     /*  467939 */     // GIR_Coverage, 3175,
     /*  467939 */     GIR_EraseRootFromParent_Done,
     /*  467940 */   // Label 8008: @467940
     /*  467940 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(468015), // Rule ID 3178 //
     /*  467945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  467953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  467962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  467984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467991 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  467994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468013 */     GIR_RootConstrainSelectedInstOperands,
     /*  468014 */     // GIR_Coverage, 3178,
     /*  468014 */     GIR_EraseRootFromParent_Done,
     /*  468015 */   // Label 8009: @468015
     /*  468015 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(468090), // Rule ID 3179 //
     /*  468020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  468031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  468034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  468037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468066 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  468069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468088 */     GIR_RootConstrainSelectedInstOperands,
     /*  468089 */     // GIR_Coverage, 3179,
     /*  468089 */     GIR_EraseRootFromParent_Done,
     /*  468090 */   // Label 8010: @468090
     /*  468090 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(468165), // Rule ID 3182 //
     /*  468095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  468106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  468109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  468112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468141 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468163 */     GIR_RootConstrainSelectedInstOperands,
     /*  468164 */     // GIR_Coverage, 3182,
     /*  468164 */     GIR_EraseRootFromParent_Done,
     /*  468165 */   // Label 8011: @468165
     /*  468165 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(468240), // Rule ID 3183 //
     /*  468170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  468181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  468184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  468187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468216 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468238 */     GIR_RootConstrainSelectedInstOperands,
     /*  468239 */     // GIR_Coverage, 3183,
     /*  468239 */     GIR_EraseRootFromParent_Done,
     /*  468240 */   // Label 8012: @468240
     /*  468240 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(468315), // Rule ID 3186 //
     /*  468245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  468256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  468262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  468294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468313 */     GIR_RootConstrainSelectedInstOperands,
     /*  468314 */     // GIR_Coverage, 3186,
     /*  468314 */     GIR_EraseRootFromParent_Done,
     /*  468315 */   // Label 8013: @468315
     /*  468315 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(468390), // Rule ID 3187 //
     /*  468320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  468331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  468337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  468369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468388 */     GIR_RootConstrainSelectedInstOperands,
     /*  468389 */     // GIR_Coverage, 3187,
     /*  468389 */     GIR_EraseRootFromParent_Done,
     /*  468390 */   // Label 8014: @468390
     /*  468390 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(468465), // Rule ID 3190 //
     /*  468395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  468412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468463 */     GIR_RootConstrainSelectedInstOperands,
     /*  468464 */     // GIR_Coverage, 3190,
     /*  468464 */     GIR_EraseRootFromParent_Done,
     /*  468465 */   // Label 8015: @468465
     /*  468465 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(468540), // Rule ID 3191 //
     /*  468470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  468487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468538 */     GIR_RootConstrainSelectedInstOperands,
     /*  468539 */     // GIR_Coverage, 3191,
     /*  468539 */     GIR_EraseRootFromParent_Done,
     /*  468540 */   // Label 8016: @468540
     /*  468540 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(468615), // Rule ID 3194 //
     /*  468545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  468591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468613 */     GIR_RootConstrainSelectedInstOperands,
     /*  468614 */     // GIR_Coverage, 3194,
     /*  468614 */     GIR_EraseRootFromParent_Done,
     /*  468615 */   // Label 8017: @468615
     /*  468615 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(468690), // Rule ID 3195 //
     /*  468620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  468631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  468634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  468666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  468669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  468685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468688 */     GIR_RootConstrainSelectedInstOperands,
     /*  468689 */     // GIR_Coverage, 3195,
     /*  468689 */     GIR_EraseRootFromParent_Done,
     /*  468690 */   // Label 8018: @468690
     /*  468690 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(468765), // Rule ID 3198 //
     /*  468695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  468706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  468709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  468712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468741 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  468744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468763 */     GIR_RootConstrainSelectedInstOperands,
     /*  468764 */     // GIR_Coverage, 3198,
     /*  468764 */     GIR_EraseRootFromParent_Done,
     /*  468765 */   // Label 8019: @468765
     /*  468765 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(468840), // Rule ID 3199 //
     /*  468770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  468781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  468784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  468787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468816 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11255:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  468819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468838 */     GIR_RootConstrainSelectedInstOperands,
     /*  468839 */     // GIR_Coverage, 3199,
     /*  468839 */     GIR_EraseRootFromParent_Done,
     /*  468840 */   // Label 8020: @468840
     /*  468840 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(468915), // Rule ID 3202 //
     /*  468845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  468862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  468894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468913 */     GIR_RootConstrainSelectedInstOperands,
     /*  468914 */     // GIR_Coverage, 3202,
     /*  468914 */     GIR_EraseRootFromParent_Done,
     /*  468915 */   // Label 8021: @468915
     /*  468915 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(468990), // Rule ID 3203 //
     /*  468920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  468928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  468937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  468959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  468969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  468977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468988 */     GIR_RootConstrainSelectedInstOperands,
     /*  468989 */     // GIR_Coverage, 3203,
     /*  468989 */     GIR_EraseRootFromParent_Done,
     /*  468990 */   // Label 8022: @468990
     /*  468990 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(469065), // Rule ID 3206 //
     /*  468995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  469006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  469009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  469012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  469044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469063 */     GIR_RootConstrainSelectedInstOperands,
     /*  469064 */     // GIR_Coverage, 3206,
     /*  469064 */     GIR_EraseRootFromParent_Done,
     /*  469065 */   // Label 8023: @469065
     /*  469065 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(469140), // Rule ID 3207 //
     /*  469070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  469081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  469084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  469087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  469119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469138 */     GIR_RootConstrainSelectedInstOperands,
     /*  469139 */     // GIR_Coverage, 3207,
     /*  469139 */     GIR_EraseRootFromParent_Done,
     /*  469140 */   // Label 8024: @469140
     /*  469140 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(469215), // Rule ID 3210 //
     /*  469145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  469148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  469156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  469159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  469162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469191 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  469191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  469194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469213 */     GIR_RootConstrainSelectedInstOperands,
     /*  469214 */     // GIR_Coverage, 3210,
     /*  469214 */     GIR_EraseRootFromParent_Done,
     /*  469215 */   // Label 8025: @469215
     /*  469215 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(469290), // Rule ID 3211 //
     /*  469220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  469223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  469231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  469234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  469237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  469266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  469269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  469285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469288 */     GIR_RootConstrainSelectedInstOperands,
     /*  469289 */     // GIR_Coverage, 3211,
     /*  469289 */     GIR_EraseRootFromParent_Done,
     /*  469290 */   // Label 8026: @469290
     /*  469290 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(469365), // Rule ID 3214 //
     /*  469295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  469306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  469309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  469312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469341 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  469344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469363 */     GIR_RootConstrainSelectedInstOperands,
     /*  469364 */     // GIR_Coverage, 3214,
     /*  469364 */     GIR_EraseRootFromParent_Done,
     /*  469365 */   // Label 8027: @469365
     /*  469365 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(469440), // Rule ID 3215 //
     /*  469370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  469381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  469384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  469387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469416 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  469419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469438 */     GIR_RootConstrainSelectedInstOperands,
     /*  469439 */     // GIR_Coverage, 3215,
     /*  469439 */     GIR_EraseRootFromParent_Done,
     /*  469440 */   // Label 8028: @469440
     /*  469440 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(469515), // Rule ID 3218 //
     /*  469445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  469456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  469459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  469462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  469494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469513 */     GIR_RootConstrainSelectedInstOperands,
     /*  469514 */     // GIR_Coverage, 3218,
     /*  469514 */     GIR_EraseRootFromParent_Done,
     /*  469515 */   // Label 8029: @469515
     /*  469515 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(469590), // Rule ID 3219 //
     /*  469520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  469531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  469534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  469537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469566 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  469569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469588 */     GIR_RootConstrainSelectedInstOperands,
     /*  469589 */     // GIR_Coverage, 3219,
     /*  469589 */     GIR_EraseRootFromParent_Done,
     /*  469590 */   // Label 8030: @469590
     /*  469590 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(469665), // Rule ID 3222 //
     /*  469595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  469606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  469609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  469612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469641 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  469644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469663 */     GIR_RootConstrainSelectedInstOperands,
     /*  469664 */     // GIR_Coverage, 3222,
     /*  469664 */     GIR_EraseRootFromParent_Done,
     /*  469665 */   // Label 8031: @469665
     /*  469665 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(469740), // Rule ID 3223 //
     /*  469670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  469681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  469684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  469687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469716 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  469716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  469719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  469735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469738 */     GIR_RootConstrainSelectedInstOperands,
     /*  469739 */     // GIR_Coverage, 3223,
     /*  469739 */     GIR_EraseRootFromParent_Done,
     /*  469740 */   // Label 8032: @469740
     /*  469740 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(469815), // Rule ID 3226 //
     /*  469745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  469756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  469759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  469762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469791 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  469794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469813 */     GIR_RootConstrainSelectedInstOperands,
     /*  469814 */     // GIR_Coverage, 3226,
     /*  469814 */     GIR_EraseRootFromParent_Done,
     /*  469815 */   // Label 8033: @469815
     /*  469815 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(469890), // Rule ID 3227 //
     /*  469820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  469831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  469834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  469837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  469869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469888 */     GIR_RootConstrainSelectedInstOperands,
     /*  469889 */     // GIR_Coverage, 3227,
     /*  469889 */     GIR_EraseRootFromParent_Done,
     /*  469890 */   // Label 8034: @469890
     /*  469890 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(469965), // Rule ID 3230 //
     /*  469895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  469934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  469944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  469952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469963 */     GIR_RootConstrainSelectedInstOperands,
     /*  469964 */     // GIR_Coverage, 3230,
     /*  469964 */     GIR_EraseRootFromParent_Done,
     /*  469965 */   // Label 8035: @469965
     /*  469965 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(470040), // Rule ID 3231 //
     /*  469970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  469978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  469987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470016 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  470019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470038 */     GIR_RootConstrainSelectedInstOperands,
     /*  470039 */     // GIR_Coverage, 3231,
     /*  470039 */     GIR_EraseRootFromParent_Done,
     /*  470040 */   // Label 8036: @470040
     /*  470040 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(470115), // Rule ID 3234 //
     /*  470045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  470056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  470059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  470062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470091 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  470094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470113 */     GIR_RootConstrainSelectedInstOperands,
     /*  470114 */     // GIR_Coverage, 3234,
     /*  470114 */     GIR_EraseRootFromParent_Done,
     /*  470115 */   // Label 8037: @470115
     /*  470115 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(470190), // Rule ID 3235 //
     /*  470120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  470131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  470134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  470137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470166 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  470169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470188 */     GIR_RootConstrainSelectedInstOperands,
     /*  470189 */     // GIR_Coverage, 3235,
     /*  470189 */     GIR_EraseRootFromParent_Done,
     /*  470190 */   // Label 8038: @470190
     /*  470190 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(470265), // Rule ID 3238 //
     /*  470195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  470244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470263 */     GIR_RootConstrainSelectedInstOperands,
     /*  470264 */     // GIR_Coverage, 3238,
     /*  470264 */     GIR_EraseRootFromParent_Done,
     /*  470265 */   // Label 8039: @470265
     /*  470265 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(470340), // Rule ID 3239 //
     /*  470270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  470281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  470284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  470287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  470319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470338 */     GIR_RootConstrainSelectedInstOperands,
     /*  470339 */     // GIR_Coverage, 3239,
     /*  470339 */     GIR_EraseRootFromParent_Done,
     /*  470340 */   // Label 8040: @470340
     /*  470340 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(470415), // Rule ID 3242 //
     /*  470345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  470356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  470359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  470362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  470394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470413 */     GIR_RootConstrainSelectedInstOperands,
     /*  470414 */     // GIR_Coverage, 3242,
     /*  470414 */     GIR_EraseRootFromParent_Done,
     /*  470415 */   // Label 8041: @470415
     /*  470415 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(470490), // Rule ID 3243 //
     /*  470420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  470431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  470434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  470437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  470469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470488 */     GIR_RootConstrainSelectedInstOperands,
     /*  470489 */     // GIR_Coverage, 3243,
     /*  470489 */     GIR_EraseRootFromParent_Done,
     /*  470490 */   // Label 8042: @470490
     /*  470490 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(470565), // Rule ID 3246 //
     /*  470495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  470506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  470509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  470512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  470544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470563 */     GIR_RootConstrainSelectedInstOperands,
     /*  470564 */     // GIR_Coverage, 3246,
     /*  470564 */     GIR_EraseRootFromParent_Done,
     /*  470565 */   // Label 8043: @470565
     /*  470565 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(470640), // Rule ID 3247 //
     /*  470570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  470581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  470584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  470587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  470619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470638 */     GIR_RootConstrainSelectedInstOperands,
     /*  470639 */     // GIR_Coverage, 3247,
     /*  470639 */     GIR_EraseRootFromParent_Done,
     /*  470640 */   // Label 8044: @470640
     /*  470640 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(470715), // Rule ID 3250 //
     /*  470645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  470656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  470659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  470662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  470694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470713 */     GIR_RootConstrainSelectedInstOperands,
     /*  470714 */     // GIR_Coverage, 3250,
     /*  470714 */     GIR_EraseRootFromParent_Done,
     /*  470715 */   // Label 8045: @470715
     /*  470715 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(470790), // Rule ID 3251 //
     /*  470720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  470731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  470734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  470737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  470755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11255:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  470769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470788 */     GIR_RootConstrainSelectedInstOperands,
     /*  470789 */     // GIR_Coverage, 3251,
     /*  470789 */     GIR_EraseRootFromParent_Done,
     /*  470790 */   // Label 8046: @470790
     /*  470790 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(470865), // Rule ID 3254 //
     /*  470795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  470806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  470809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  470812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470841 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  470844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470863 */     GIR_RootConstrainSelectedInstOperands,
     /*  470864 */     // GIR_Coverage, 3254,
     /*  470864 */     GIR_EraseRootFromParent_Done,
     /*  470865 */   // Label 8047: @470865
     /*  470865 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(470940), // Rule ID 3255 //
     /*  470870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  470873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  470881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  470884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  470887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  470905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11255:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  470916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  470919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  470927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  470935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470938 */     GIR_RootConstrainSelectedInstOperands,
     /*  470939 */     // GIR_Coverage, 3255,
     /*  470939 */     GIR_EraseRootFromParent_Done,
     /*  470940 */   // Label 8048: @470940
     /*  470940 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(471015), // Rule ID 3258 //
     /*  470945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  470948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  470953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  470956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  470959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  470962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  470980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  470984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470991 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  470991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  470994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471013 */     GIR_RootConstrainSelectedInstOperands,
     /*  471014 */     // GIR_Coverage, 3258,
     /*  471014 */     GIR_EraseRootFromParent_Done,
     /*  471015 */   // Label 8049: @471015
     /*  471015 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(471090), // Rule ID 3259 //
     /*  471020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  471028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  471031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  471034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  471037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  471055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11255:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  471069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471088 */     GIR_RootConstrainSelectedInstOperands,
     /*  471089 */     // GIR_Coverage, 3259,
     /*  471089 */     GIR_EraseRootFromParent_Done,
     /*  471090 */   // Label 8050: @471090
     /*  471090 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(471165), // Rule ID 3262 //
     /*  471095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  471106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  471109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  471112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  471144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471163 */     GIR_RootConstrainSelectedInstOperands,
     /*  471164 */     // GIR_Coverage, 3262,
     /*  471164 */     GIR_EraseRootFromParent_Done,
     /*  471165 */   // Label 8051: @471165
     /*  471165 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(471240), // Rule ID 3263 //
     /*  471170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  471181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  471184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  471187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471216 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  471219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471238 */     GIR_RootConstrainSelectedInstOperands,
     /*  471239 */     // GIR_Coverage, 3263,
     /*  471239 */     GIR_EraseRootFromParent_Done,
     /*  471240 */   // Label 8052: @471240
     /*  471240 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(471315), // Rule ID 3266 //
     /*  471245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  471256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  471259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  471262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471291 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  471294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471313 */     GIR_RootConstrainSelectedInstOperands,
     /*  471314 */     // GIR_Coverage, 3266,
     /*  471314 */     GIR_EraseRootFromParent_Done,
     /*  471315 */   // Label 8053: @471315
     /*  471315 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(471390), // Rule ID 3267 //
     /*  471320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  471331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  471334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  471337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  471369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471388 */     GIR_RootConstrainSelectedInstOperands,
     /*  471389 */     // GIR_Coverage, 3267,
     /*  471389 */     GIR_EraseRootFromParent_Done,
     /*  471390 */   // Label 8054: @471390
     /*  471390 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(471465), // Rule ID 3270 //
     /*  471395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  471406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  471409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  471412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471463 */     GIR_RootConstrainSelectedInstOperands,
     /*  471464 */     // GIR_Coverage, 3270,
     /*  471464 */     GIR_EraseRootFromParent_Done,
     /*  471465 */   // Label 8055: @471465
     /*  471465 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(471540), // Rule ID 3271 //
     /*  471470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  471481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  471484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  471487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471538 */     GIR_RootConstrainSelectedInstOperands,
     /*  471539 */     // GIR_Coverage, 3271,
     /*  471539 */     GIR_EraseRootFromParent_Done,
     /*  471540 */   // Label 8056: @471540
     /*  471540 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(471615), // Rule ID 3274 //
     /*  471545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  471556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  471559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  471562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471591 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  471594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471613 */     GIR_RootConstrainSelectedInstOperands,
     /*  471614 */     // GIR_Coverage, 3274,
     /*  471614 */     GIR_EraseRootFromParent_Done,
     /*  471615 */   // Label 8057: @471615
     /*  471615 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(471690), // Rule ID 3275 //
     /*  471620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  471631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  471634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  471637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  471669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471688 */     GIR_RootConstrainSelectedInstOperands,
     /*  471689 */     // GIR_Coverage, 3275,
     /*  471689 */     GIR_EraseRootFromParent_Done,
     /*  471690 */   // Label 8058: @471690
     /*  471690 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(471765), // Rule ID 3278 //
     /*  471695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  471706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  471709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  471712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471741 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471763 */     GIR_RootConstrainSelectedInstOperands,
     /*  471764 */     // GIR_Coverage, 3278,
     /*  471764 */     GIR_EraseRootFromParent_Done,
     /*  471765 */   // Label 8059: @471765
     /*  471765 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(471840), // Rule ID 3279 //
     /*  471770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  471781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  471784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  471787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471816 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471838 */     GIR_RootConstrainSelectedInstOperands,
     /*  471839 */     // GIR_Coverage, 3279,
     /*  471839 */     GIR_EraseRootFromParent_Done,
     /*  471840 */   // Label 8060: @471840
     /*  471840 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(471915), // Rule ID 3282 //
     /*  471845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  471856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  471859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  471862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471913 */     GIR_RootConstrainSelectedInstOperands,
     /*  471914 */     // GIR_Coverage, 3282,
     /*  471914 */     GIR_EraseRootFromParent_Done,
     /*  471915 */   // Label 8061: @471915
     /*  471915 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(471990), // Rule ID 3283 //
     /*  471920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  471928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  471931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  471934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  471937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  471959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  471969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  471977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471988 */     GIR_RootConstrainSelectedInstOperands,
     /*  471989 */     // GIR_Coverage, 3283,
     /*  471989 */     GIR_EraseRootFromParent_Done,
     /*  471990 */   // Label 8062: @471990
     /*  471990 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(472065), // Rule ID 3286 //
     /*  471995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  472006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  472009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472041 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472063 */     GIR_RootConstrainSelectedInstOperands,
     /*  472064 */     // GIR_Coverage, 3286,
     /*  472064 */     GIR_EraseRootFromParent_Done,
     /*  472065 */   // Label 8063: @472065
     /*  472065 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(472140), // Rule ID 3287 //
     /*  472070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  472081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  472084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  472087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472138 */     GIR_RootConstrainSelectedInstOperands,
     /*  472139 */     // GIR_Coverage, 3287,
     /*  472139 */     GIR_EraseRootFromParent_Done,
     /*  472140 */   // Label 8064: @472140
     /*  472140 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(472215), // Rule ID 3290 //
     /*  472145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472191 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472213 */     GIR_RootConstrainSelectedInstOperands,
     /*  472214 */     // GIR_Coverage, 3290,
     /*  472214 */     GIR_EraseRootFromParent_Done,
     /*  472215 */   // Label 8065: @472215
     /*  472215 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(472290), // Rule ID 3291 //
     /*  472220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  472231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  472234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  472237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472288 */     GIR_RootConstrainSelectedInstOperands,
     /*  472289 */     // GIR_Coverage, 3291,
     /*  472289 */     GIR_EraseRootFromParent_Done,
     /*  472290 */   // Label 8066: @472290
     /*  472290 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(472365), // Rule ID 3294 //
     /*  472295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  472306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  472309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  472312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472363 */     GIR_RootConstrainSelectedInstOperands,
     /*  472364 */     // GIR_Coverage, 3294,
     /*  472364 */     GIR_EraseRootFromParent_Done,
     /*  472365 */   // Label 8067: @472365
     /*  472365 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(472440), // Rule ID 3295 //
     /*  472370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  472381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  472384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  472387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472438 */     GIR_RootConstrainSelectedInstOperands,
     /*  472439 */     // GIR_Coverage, 3295,
     /*  472439 */     GIR_EraseRootFromParent_Done,
     /*  472440 */   // Label 8068: @472440
     /*  472440 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(472515), // Rule ID 3298 //
     /*  472445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  472448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  472456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  472459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  472462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472491 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  472491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472513 */     GIR_RootConstrainSelectedInstOperands,
     /*  472514 */     // GIR_Coverage, 3298,
     /*  472514 */     GIR_EraseRootFromParent_Done,
     /*  472515 */   // Label 8069: @472515
     /*  472515 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(472590), // Rule ID 3299 //
     /*  472520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  472523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  472531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  472534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  472537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  472555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  472566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  472569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  472585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472588 */     GIR_RootConstrainSelectedInstOperands,
     /*  472589 */     // GIR_Coverage, 3299,
     /*  472589 */     GIR_EraseRootFromParent_Done,
     /*  472590 */   // Label 8070: @472590
     /*  472590 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(472665), // Rule ID 3302 //
     /*  472595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  472606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  472609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  472612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472641 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  472644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472663 */     GIR_RootConstrainSelectedInstOperands,
     /*  472664 */     // GIR_Coverage, 3302,
     /*  472664 */     GIR_EraseRootFromParent_Done,
     /*  472665 */   // Label 8071: @472665
     /*  472665 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(472740), // Rule ID 3303 //
     /*  472670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  472681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  472684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  472687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  472719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472738 */     GIR_RootConstrainSelectedInstOperands,
     /*  472739 */     // GIR_Coverage, 3303,
     /*  472739 */     GIR_EraseRootFromParent_Done,
     /*  472740 */   // Label 8072: @472740
     /*  472740 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(472815), // Rule ID 3306 //
     /*  472745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  472756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  472759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  472762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472791 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  472794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472813 */     GIR_RootConstrainSelectedInstOperands,
     /*  472814 */     // GIR_Coverage, 3306,
     /*  472814 */     GIR_EraseRootFromParent_Done,
     /*  472815 */   // Label 8073: @472815
     /*  472815 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(472890), // Rule ID 3307 //
     /*  472820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  472831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  472834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  472837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  472869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472888 */     GIR_RootConstrainSelectedInstOperands,
     /*  472889 */     // GIR_Coverage, 3307,
     /*  472889 */     GIR_EraseRootFromParent_Done,
     /*  472890 */   // Label 8074: @472890
     /*  472890 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(472965), // Rule ID 3310 //
     /*  472895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  472906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  472909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  472912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  472934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  472944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  472952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472963 */     GIR_RootConstrainSelectedInstOperands,
     /*  472964 */     // GIR_Coverage, 3310,
     /*  472964 */     GIR_EraseRootFromParent_Done,
     /*  472965 */   // Label 8075: @472965
     /*  472965 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(473040), // Rule ID 3311 //
     /*  472970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  472978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  472981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  472984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  472987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  473019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473038 */     GIR_RootConstrainSelectedInstOperands,
     /*  473039 */     // GIR_Coverage, 3311,
     /*  473039 */     GIR_EraseRootFromParent_Done,
     /*  473040 */   // Label 8076: @473040
     /*  473040 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(473115), // Rule ID 3314 //
     /*  473045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  473094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473113 */     GIR_RootConstrainSelectedInstOperands,
     /*  473114 */     // GIR_Coverage, 3314,
     /*  473114 */     GIR_EraseRootFromParent_Done,
     /*  473115 */   // Label 8077: @473115
     /*  473115 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(473190), // Rule ID 3315 //
     /*  473120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  473131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  473134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  473137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473166 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  473169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473188 */     GIR_RootConstrainSelectedInstOperands,
     /*  473189 */     // GIR_Coverage, 3315,
     /*  473189 */     GIR_EraseRootFromParent_Done,
     /*  473190 */   // Label 8078: @473190
     /*  473190 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(473265), // Rule ID 3318 //
     /*  473195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473241 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  473244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473263 */     GIR_RootConstrainSelectedInstOperands,
     /*  473264 */     // GIR_Coverage, 3318,
     /*  473264 */     GIR_EraseRootFromParent_Done,
     /*  473265 */   // Label 8079: @473265
     /*  473265 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(473340), // Rule ID 3319 //
     /*  473270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  473281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  473284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  473287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  473319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473338 */     GIR_RootConstrainSelectedInstOperands,
     /*  473339 */     // GIR_Coverage, 3319,
     /*  473339 */     GIR_EraseRootFromParent_Done,
     /*  473340 */   // Label 8080: @473340
     /*  473340 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(473415), // Rule ID 3322 //
     /*  473345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  473362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473391 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  473391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  473394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473413 */     GIR_RootConstrainSelectedInstOperands,
     /*  473414 */     // GIR_Coverage, 3322,
     /*  473414 */     GIR_EraseRootFromParent_Done,
     /*  473415 */   // Label 8081: @473415
     /*  473415 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(473490), // Rule ID 3323 //
     /*  473420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  473431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  473434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  473437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  473466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  473469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  473485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473488 */     GIR_RootConstrainSelectedInstOperands,
     /*  473489 */     // GIR_Coverage, 3323,
     /*  473489 */     GIR_EraseRootFromParent_Done,
     /*  473490 */   // Label 8082: @473490
     /*  473490 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(473565), // Rule ID 3326 //
     /*  473495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  473506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  473509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  473512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  473544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473563 */     GIR_RootConstrainSelectedInstOperands,
     /*  473564 */     // GIR_Coverage, 3326,
     /*  473564 */     GIR_EraseRootFromParent_Done,
     /*  473565 */   // Label 8083: @473565
     /*  473565 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(473640), // Rule ID 3327 //
     /*  473570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  473581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  473584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  473587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  473619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473638 */     GIR_RootConstrainSelectedInstOperands,
     /*  473639 */     // GIR_Coverage, 3327,
     /*  473639 */     GIR_EraseRootFromParent_Done,
     /*  473640 */   // Label 8084: @473640
     /*  473640 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(473715), // Rule ID 3330 //
     /*  473645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  473656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  473659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  473662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  473694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473713 */     GIR_RootConstrainSelectedInstOperands,
     /*  473714 */     // GIR_Coverage, 3330,
     /*  473714 */     GIR_EraseRootFromParent_Done,
     /*  473715 */   // Label 8085: @473715
     /*  473715 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(473790), // Rule ID 3331 //
     /*  473720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  473731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  473734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  473737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  473769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473788 */     GIR_RootConstrainSelectedInstOperands,
     /*  473789 */     // GIR_Coverage, 3331,
     /*  473789 */     GIR_EraseRootFromParent_Done,
     /*  473790 */   // Label 8086: @473790
     /*  473790 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(473865), // Rule ID 3334 //
     /*  473795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  473812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473841 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  473844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473863 */     GIR_RootConstrainSelectedInstOperands,
     /*  473864 */     // GIR_Coverage, 3334,
     /*  473864 */     GIR_EraseRootFromParent_Done,
     /*  473865 */   // Label 8087: @473865
     /*  473865 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(473940), // Rule ID 3335 //
     /*  473870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  473887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473916 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  473919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  473927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473938 */     GIR_RootConstrainSelectedInstOperands,
     /*  473939 */     // GIR_Coverage, 3335,
     /*  473939 */     GIR_EraseRootFromParent_Done,
     /*  473940 */   // Label 8088: @473940
     /*  473940 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(474015), // Rule ID 3338 //
     /*  473945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  473953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  473956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  473959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  473962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  473984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  473994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474013 */     GIR_RootConstrainSelectedInstOperands,
     /*  474014 */     // GIR_Coverage, 3338,
     /*  474014 */     GIR_EraseRootFromParent_Done,
     /*  474015 */   // Label 8089: @474015
     /*  474015 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(474090), // Rule ID 3339 //
     /*  474020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  474028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  474031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  474034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  474037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  474069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474088 */     GIR_RootConstrainSelectedInstOperands,
     /*  474089 */     // GIR_Coverage, 3339,
     /*  474089 */     GIR_EraseRootFromParent_Done,
     /*  474090 */   // Label 8090: @474090
     /*  474090 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(474165), // Rule ID 3342 //
     /*  474095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  474103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  474112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  474144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474163 */     GIR_RootConstrainSelectedInstOperands,
     /*  474164 */     // GIR_Coverage, 3342,
     /*  474164 */     GIR_EraseRootFromParent_Done,
     /*  474165 */   // Label 8091: @474165
     /*  474165 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(474240), // Rule ID 3343 //
     /*  474170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  474178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  474181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  474184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  474187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  474205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  474219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474238 */     GIR_RootConstrainSelectedInstOperands,
     /*  474239 */     // GIR_Coverage, 3343,
     /*  474239 */     GIR_EraseRootFromParent_Done,
     /*  474240 */   // Label 8092: @474240
     /*  474240 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(474315), // Rule ID 3346 //
     /*  474245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  474248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  474253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  474256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  474259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  474262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  474291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  474294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474313 */     GIR_RootConstrainSelectedInstOperands,
     /*  474314 */     // GIR_Coverage, 3346,
     /*  474314 */     GIR_EraseRootFromParent_Done,
     /*  474315 */   // Label 8093: @474315
     /*  474315 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(474390), // Rule ID 3347 //
     /*  474320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  474323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  474328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  474331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  474334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  474337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  474355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  474359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  474366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  474369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  474385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474388 */     GIR_RootConstrainSelectedInstOperands,
     /*  474389 */     // GIR_Coverage, 3347,
     /*  474389 */     GIR_EraseRootFromParent_Done,
     /*  474390 */   // Label 8094: @474390
     /*  474390 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(474465), // Rule ID 3438 //
     /*  474395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  474412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  474415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  474444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474463 */     GIR_RootConstrainSelectedInstOperands,
     /*  474464 */     // GIR_Coverage, 3438,
     /*  474464 */     GIR_EraseRootFromParent_Done,
     /*  474465 */   // Label 8095: @474465
     /*  474465 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(474540), // Rule ID 3439 //
     /*  474470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  474487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  474490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  474519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474538 */     GIR_RootConstrainSelectedInstOperands,
     /*  474539 */     // GIR_Coverage, 3439,
     /*  474539 */     GIR_EraseRootFromParent_Done,
     /*  474540 */   // Label 8096: @474540
     /*  474540 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(474615), // Rule ID 3442 //
     /*  474545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  474565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  474594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474613 */     GIR_RootConstrainSelectedInstOperands,
     /*  474614 */     // GIR_Coverage, 3442,
     /*  474614 */     GIR_EraseRootFromParent_Done,
     /*  474615 */   // Label 8097: @474615
     /*  474615 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(474690), // Rule ID 3443 //
     /*  474620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  474640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  474669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474688 */     GIR_RootConstrainSelectedInstOperands,
     /*  474689 */     // GIR_Coverage, 3443,
     /*  474689 */     GIR_EraseRootFromParent_Done,
     /*  474690 */   // Label 8098: @474690
     /*  474690 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(474765), // Rule ID 3446 //
     /*  474695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  474715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  474744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474763 */     GIR_RootConstrainSelectedInstOperands,
     /*  474764 */     // GIR_Coverage, 3446,
     /*  474764 */     GIR_EraseRootFromParent_Done,
     /*  474765 */   // Label 8099: @474765
     /*  474765 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(474840), // Rule ID 3447 //
     /*  474770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  474781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  474784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  474790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  474819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474838 */     GIR_RootConstrainSelectedInstOperands,
     /*  474839 */     // GIR_Coverage, 3447,
     /*  474839 */     GIR_EraseRootFromParent_Done,
     /*  474840 */   // Label 8100: @474840
     /*  474840 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(474915), // Rule ID 3450 //
     /*  474845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  474865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  474894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474913 */     GIR_RootConstrainSelectedInstOperands,
     /*  474914 */     // GIR_Coverage, 3450,
     /*  474914 */     GIR_EraseRootFromParent_Done,
     /*  474915 */   // Label 8101: @474915
     /*  474915 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(474990), // Rule ID 3451 //
     /*  474920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  474928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  474931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  474934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  474940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  474951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  474969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  474977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474988 */     GIR_RootConstrainSelectedInstOperands,
     /*  474989 */     // GIR_Coverage, 3451,
     /*  474989 */     GIR_EraseRootFromParent_Done,
     /*  474990 */   // Label 8102: @474990
     /*  474990 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(475065), // Rule ID 3454 //
     /*  474995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  475015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  475044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475063 */     GIR_RootConstrainSelectedInstOperands,
     /*  475064 */     // GIR_Coverage, 3454,
     /*  475064 */     GIR_EraseRootFromParent_Done,
     /*  475065 */   // Label 8103: @475065
     /*  475065 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(475140), // Rule ID 3455 //
     /*  475070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  475081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  475084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  475090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  475119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475138 */     GIR_RootConstrainSelectedInstOperands,
     /*  475139 */     // GIR_Coverage, 3455,
     /*  475139 */     GIR_EraseRootFromParent_Done,
     /*  475140 */   // Label 8104: @475140
     /*  475140 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(475215), // Rule ID 3458 //
     /*  475145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  475165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  475194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475213 */     GIR_RootConstrainSelectedInstOperands,
     /*  475214 */     // GIR_Coverage, 3458,
     /*  475214 */     GIR_EraseRootFromParent_Done,
     /*  475215 */   // Label 8105: @475215
     /*  475215 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(475290), // Rule ID 3459 //
     /*  475220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  475231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  475234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  475240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  475269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475288 */     GIR_RootConstrainSelectedInstOperands,
     /*  475289 */     // GIR_Coverage, 3459,
     /*  475289 */     GIR_EraseRootFromParent_Done,
     /*  475290 */   // Label 8106: @475290
     /*  475290 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(475365), // Rule ID 3462 //
     /*  475295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  475312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  475315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  475344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475363 */     GIR_RootConstrainSelectedInstOperands,
     /*  475364 */     // GIR_Coverage, 3462,
     /*  475364 */     GIR_EraseRootFromParent_Done,
     /*  475365 */   // Label 8107: @475365
     /*  475365 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(475440), // Rule ID 3463 //
     /*  475370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  475381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  475384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  475387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  475390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  475419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475438 */     GIR_RootConstrainSelectedInstOperands,
     /*  475439 */     // GIR_Coverage, 3463,
     /*  475439 */     GIR_EraseRootFromParent_Done,
     /*  475440 */   // Label 8108: @475440
     /*  475440 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(475515), // Rule ID 3466 //
     /*  475445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  475462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  475465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  475494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475513 */     GIR_RootConstrainSelectedInstOperands,
     /*  475514 */     // GIR_Coverage, 3466,
     /*  475514 */     GIR_EraseRootFromParent_Done,
     /*  475515 */   // Label 8109: @475515
     /*  475515 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(475590), // Rule ID 3467 //
     /*  475520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  475537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  475540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  475569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475588 */     GIR_RootConstrainSelectedInstOperands,
     /*  475589 */     // GIR_Coverage, 3467,
     /*  475589 */     GIR_EraseRootFromParent_Done,
     /*  475590 */   // Label 8110: @475590
     /*  475590 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(475665), // Rule ID 3470 //
     /*  475595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  475615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  475644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475663 */     GIR_RootConstrainSelectedInstOperands,
     /*  475664 */     // GIR_Coverage, 3470,
     /*  475664 */     GIR_EraseRootFromParent_Done,
     /*  475665 */   // Label 8111: @475665
     /*  475665 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(475740), // Rule ID 3471 //
     /*  475670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  475681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  475684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  475690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  475719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475738 */     GIR_RootConstrainSelectedInstOperands,
     /*  475739 */     // GIR_Coverage, 3471,
     /*  475739 */     GIR_EraseRootFromParent_Done,
     /*  475740 */   // Label 8112: @475740
     /*  475740 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(475815), // Rule ID 3474 //
     /*  475745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  475765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  475794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475813 */     GIR_RootConstrainSelectedInstOperands,
     /*  475814 */     // GIR_Coverage, 3474,
     /*  475814 */     GIR_EraseRootFromParent_Done,
     /*  475815 */   // Label 8113: @475815
     /*  475815 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(475890), // Rule ID 3475 //
     /*  475820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  475831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  475834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  475837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  475840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  475869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475888 */     GIR_RootConstrainSelectedInstOperands,
     /*  475889 */     // GIR_Coverage, 3475,
     /*  475889 */     GIR_EraseRootFromParent_Done,
     /*  475890 */   // Label 8114: @475890
     /*  475890 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(475965), // Rule ID 3478 //
     /*  475895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  475915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  475944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  475952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475963 */     GIR_RootConstrainSelectedInstOperands,
     /*  475964 */     // GIR_Coverage, 3478,
     /*  475964 */     GIR_EraseRootFromParent_Done,
     /*  475965 */   // Label 8115: @475965
     /*  475965 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(476040), // Rule ID 3479 //
     /*  475970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  475978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  475981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  475984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  475987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  475990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  475997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  476019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476038 */     GIR_RootConstrainSelectedInstOperands,
     /*  476039 */     // GIR_Coverage, 3479,
     /*  476039 */     GIR_EraseRootFromParent_Done,
     /*  476040 */   // Label 8116: @476040
     /*  476040 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(476115), // Rule ID 3482 //
     /*  476045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  476065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  476094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476113 */     GIR_RootConstrainSelectedInstOperands,
     /*  476114 */     // GIR_Coverage, 3482,
     /*  476114 */     GIR_EraseRootFromParent_Done,
     /*  476115 */   // Label 8117: @476115
     /*  476115 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(476190), // Rule ID 3483 //
     /*  476120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  476131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  476134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  476137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  476140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  476169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476188 */     GIR_RootConstrainSelectedInstOperands,
     /*  476189 */     // GIR_Coverage, 3483,
     /*  476189 */     GIR_EraseRootFromParent_Done,
     /*  476190 */   // Label 8118: @476190
     /*  476190 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(476265), // Rule ID 3486 //
     /*  476195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  476215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  476244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476263 */     GIR_RootConstrainSelectedInstOperands,
     /*  476264 */     // GIR_Coverage, 3486,
     /*  476264 */     GIR_EraseRootFromParent_Done,
     /*  476265 */   // Label 8119: @476265
     /*  476265 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(476340), // Rule ID 3487 //
     /*  476270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  476281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  476284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  476287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  476290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476316 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  476319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476338 */     GIR_RootConstrainSelectedInstOperands,
     /*  476339 */     // GIR_Coverage, 3487,
     /*  476339 */     GIR_EraseRootFromParent_Done,
     /*  476340 */   // Label 8120: @476340
     /*  476340 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(476415), // Rule ID 3490 //
     /*  476345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  476365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476391 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  476394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476413 */     GIR_RootConstrainSelectedInstOperands,
     /*  476414 */     // GIR_Coverage, 3490,
     /*  476414 */     GIR_EraseRootFromParent_Done,
     /*  476415 */   // Label 8121: @476415
     /*  476415 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(476490), // Rule ID 3491 //
     /*  476420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  476431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  476434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  476440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  476469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476488 */     GIR_RootConstrainSelectedInstOperands,
     /*  476489 */     // GIR_Coverage, 3491,
     /*  476489 */     GIR_EraseRootFromParent_Done,
     /*  476490 */   // Label 8122: @476490
     /*  476490 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(476565), // Rule ID 3494 //
     /*  476495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  476498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  476515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  476544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476563 */     GIR_RootConstrainSelectedInstOperands,
     /*  476564 */     // GIR_Coverage, 3494,
     /*  476564 */     GIR_EraseRootFromParent_Done,
     /*  476565 */   // Label 8123: @476565
     /*  476565 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(476640), // Rule ID 3495 //
     /*  476570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  476573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  476581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  476584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  476590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  476619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476638 */     GIR_RootConstrainSelectedInstOperands,
     /*  476639 */     // GIR_Coverage, 3495,
     /*  476639 */     GIR_EraseRootFromParent_Done,
     /*  476640 */   // Label 8124: @476640
     /*  476640 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(476715), // Rule ID 3498 //
     /*  476645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  476662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  476694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476713 */     GIR_RootConstrainSelectedInstOperands,
     /*  476714 */     // GIR_Coverage, 3498,
     /*  476714 */     GIR_EraseRootFromParent_Done,
     /*  476715 */   // Label 8125: @476715
     /*  476715 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(476790), // Rule ID 3499 //
     /*  476720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  476731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  476734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  476737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  476769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476788 */     GIR_RootConstrainSelectedInstOperands,
     /*  476789 */     // GIR_Coverage, 3499,
     /*  476789 */     GIR_EraseRootFromParent_Done,
     /*  476790 */   // Label 8126: @476790
     /*  476790 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(476865), // Rule ID 3502 //
     /*  476795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  476812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  476844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476863 */     GIR_RootConstrainSelectedInstOperands,
     /*  476864 */     // GIR_Coverage, 3502,
     /*  476864 */     GIR_EraseRootFromParent_Done,
     /*  476865 */   // Label 8127: @476865
     /*  476865 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(476940), // Rule ID 3503 //
     /*  476870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  476881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  476884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  476887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  476919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  476927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476938 */     GIR_RootConstrainSelectedInstOperands,
     /*  476939 */     // GIR_Coverage, 3503,
     /*  476939 */     GIR_EraseRootFromParent_Done,
     /*  476940 */   // Label 8128: @476940
     /*  476940 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(477015), // Rule ID 3506 //
     /*  476945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  476953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  476956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  476959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  476962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  476980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  476984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  476994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477013 */     GIR_RootConstrainSelectedInstOperands,
     /*  477014 */     // GIR_Coverage, 3506,
     /*  477014 */     GIR_EraseRootFromParent_Done,
     /*  477015 */   // Label 8129: @477015
     /*  477015 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(477090), // Rule ID 3507 //
     /*  477020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  477031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  477034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  477037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  477069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477088 */     GIR_RootConstrainSelectedInstOperands,
     /*  477089 */     // GIR_Coverage, 3507,
     /*  477089 */     GIR_EraseRootFromParent_Done,
     /*  477090 */   // Label 8130: @477090
     /*  477090 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(477165), // Rule ID 3510 //
     /*  477095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  477112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  477144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477163 */     GIR_RootConstrainSelectedInstOperands,
     /*  477164 */     // GIR_Coverage, 3510,
     /*  477164 */     GIR_EraseRootFromParent_Done,
     /*  477165 */   // Label 8131: @477165
     /*  477165 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(477240), // Rule ID 3511 //
     /*  477170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  477181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  477184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  477187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  477219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477238 */     GIR_RootConstrainSelectedInstOperands,
     /*  477239 */     // GIR_Coverage, 3511,
     /*  477239 */     GIR_EraseRootFromParent_Done,
     /*  477240 */   // Label 8132: @477240
     /*  477240 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(477315), // Rule ID 3514 //
     /*  477245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  477294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477313 */     GIR_RootConstrainSelectedInstOperands,
     /*  477314 */     // GIR_Coverage, 3514,
     /*  477314 */     GIR_EraseRootFromParent_Done,
     /*  477315 */   // Label 8133: @477315
     /*  477315 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(477390), // Rule ID 3515 //
     /*  477320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  477331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  477334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  477337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  477369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477388 */     GIR_RootConstrainSelectedInstOperands,
     /*  477389 */     // GIR_Coverage, 3515,
     /*  477389 */     GIR_EraseRootFromParent_Done,
     /*  477390 */   // Label 8134: @477390
     /*  477390 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(477465), // Rule ID 3518 //
     /*  477395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477441 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  477444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477463 */     GIR_RootConstrainSelectedInstOperands,
     /*  477464 */     // GIR_Coverage, 3518,
     /*  477464 */     GIR_EraseRootFromParent_Done,
     /*  477465 */   // Label 8135: @477465
     /*  477465 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(477540), // Rule ID 3519 //
     /*  477470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  477481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  477484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  477487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  477519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477538 */     GIR_RootConstrainSelectedInstOperands,
     /*  477539 */     // GIR_Coverage, 3519,
     /*  477539 */     GIR_EraseRootFromParent_Done,
     /*  477540 */   // Label 8136: @477540
     /*  477540 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(477615), // Rule ID 3522 //
     /*  477545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  477594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477613 */     GIR_RootConstrainSelectedInstOperands,
     /*  477614 */     // GIR_Coverage, 3522,
     /*  477614 */     GIR_EraseRootFromParent_Done,
     /*  477615 */   // Label 8137: @477615
     /*  477615 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(477690), // Rule ID 3523 //
     /*  477620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  477631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  477634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  477637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  477669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477688 */     GIR_RootConstrainSelectedInstOperands,
     /*  477689 */     // GIR_Coverage, 3523,
     /*  477689 */     GIR_EraseRootFromParent_Done,
     /*  477690 */   // Label 8138: @477690
     /*  477690 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(477765), // Rule ID 3526 //
     /*  477695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  477706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  477709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  477744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477763 */     GIR_RootConstrainSelectedInstOperands,
     /*  477764 */     // GIR_Coverage, 3526,
     /*  477764 */     GIR_EraseRootFromParent_Done,
     /*  477765 */   // Label 8139: @477765
     /*  477765 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(477840), // Rule ID 3527 //
     /*  477770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  477781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  477784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  477787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  477819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477838 */     GIR_RootConstrainSelectedInstOperands,
     /*  477839 */     // GIR_Coverage, 3527,
     /*  477839 */     GIR_EraseRootFromParent_Done,
     /*  477840 */   // Label 8140: @477840
     /*  477840 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(477915), // Rule ID 3530 //
     /*  477845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  477891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  477894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477913 */     GIR_RootConstrainSelectedInstOperands,
     /*  477914 */     // GIR_Coverage, 3530,
     /*  477914 */     GIR_EraseRootFromParent_Done,
     /*  477915 */   // Label 8141: @477915
     /*  477915 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(477990), // Rule ID 3531 //
     /*  477920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  477928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  477931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  477934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  477937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  477959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  477966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  477969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  477977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  477985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477988 */     GIR_RootConstrainSelectedInstOperands,
     /*  477989 */     // GIR_Coverage, 3531,
     /*  477989 */     GIR_EraseRootFromParent_Done,
     /*  477990 */   // Label 8142: @477990
     /*  477990 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(478065), // Rule ID 3534 //
     /*  477995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  478044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478063 */     GIR_RootConstrainSelectedInstOperands,
     /*  478064 */     // GIR_Coverage, 3534,
     /*  478064 */     GIR_EraseRootFromParent_Done,
     /*  478065 */   // Label 8143: @478065
     /*  478065 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(478140), // Rule ID 3535 //
     /*  478070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  478081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  478084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  478087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  478119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478138 */     GIR_RootConstrainSelectedInstOperands,
     /*  478139 */     // GIR_Coverage, 3535,
     /*  478139 */     GIR_EraseRootFromParent_Done,
     /*  478140 */   // Label 8144: @478140
     /*  478140 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(478215), // Rule ID 3538 //
     /*  478145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  478194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478213 */     GIR_RootConstrainSelectedInstOperands,
     /*  478214 */     // GIR_Coverage, 3538,
     /*  478214 */     GIR_EraseRootFromParent_Done,
     /*  478215 */   // Label 8145: @478215
     /*  478215 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(478290), // Rule ID 3539 //
     /*  478220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  478231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  478234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  478237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  478269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478288 */     GIR_RootConstrainSelectedInstOperands,
     /*  478289 */     // GIR_Coverage, 3539,
     /*  478289 */     GIR_EraseRootFromParent_Done,
     /*  478290 */   // Label 8146: @478290
     /*  478290 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(478365), // Rule ID 3542 //
     /*  478295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  478344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478363 */     GIR_RootConstrainSelectedInstOperands,
     /*  478364 */     // GIR_Coverage, 3542,
     /*  478364 */     GIR_EraseRootFromParent_Done,
     /*  478365 */   // Label 8147: @478365
     /*  478365 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(478440), // Rule ID 3543 //
     /*  478370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  478381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  478384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  478419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478438 */     GIR_RootConstrainSelectedInstOperands,
     /*  478439 */     // GIR_Coverage, 3543,
     /*  478439 */     GIR_EraseRootFromParent_Done,
     /*  478440 */   // Label 8148: @478440
     /*  478440 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(478515), // Rule ID 3546 //
     /*  478445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  478494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478513 */     GIR_RootConstrainSelectedInstOperands,
     /*  478514 */     // GIR_Coverage, 3546,
     /*  478514 */     GIR_EraseRootFromParent_Done,
     /*  478515 */   // Label 8149: @478515
     /*  478515 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(478590), // Rule ID 3547 //
     /*  478520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  478531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  478534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  478537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  478569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478588 */     GIR_RootConstrainSelectedInstOperands,
     /*  478589 */     // GIR_Coverage, 3547,
     /*  478589 */     GIR_EraseRootFromParent_Done,
     /*  478590 */   // Label 8150: @478590
     /*  478590 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(478665), // Rule ID 3550 //
     /*  478595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  478644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478663 */     GIR_RootConstrainSelectedInstOperands,
     /*  478664 */     // GIR_Coverage, 3550,
     /*  478664 */     GIR_EraseRootFromParent_Done,
     /*  478665 */   // Label 8151: @478665
     /*  478665 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(478740), // Rule ID 3551 //
     /*  478670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  478681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  478684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  478687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  478705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  478719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478738 */     GIR_RootConstrainSelectedInstOperands,
     /*  478739 */     // GIR_Coverage, 3551,
     /*  478739 */     GIR_EraseRootFromParent_Done,
     /*  478740 */   // Label 8152: @478740
     /*  478740 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(478815), // Rule ID 3554 //
     /*  478745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  478748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  478794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478813 */     GIR_RootConstrainSelectedInstOperands,
     /*  478814 */     // GIR_Coverage, 3554,
     /*  478814 */     GIR_EraseRootFromParent_Done,
     /*  478815 */   // Label 8153: @478815
     /*  478815 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(478890), // Rule ID 3555 //
     /*  478820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  478823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  478828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  478831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  478834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  478837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  478851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  478855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  478859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  478869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478888 */     GIR_RootConstrainSelectedInstOperands,
     /*  478889 */     // GIR_Coverage, 3555,
     /*  478889 */     GIR_EraseRootFromParent_Done,
     /*  478890 */   // Label 8154: @478890
     /*  478890 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(478965), // Rule ID 3558 //
     /*  478895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  478912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  478915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  478944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  478952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478963 */     GIR_RootConstrainSelectedInstOperands,
     /*  478964 */     // GIR_Coverage, 3558,
     /*  478964 */     GIR_EraseRootFromParent_Done,
     /*  478965 */   // Label 8155: @478965
     /*  478965 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(479040), // Rule ID 3559 //
     /*  478970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  478978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  478987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  478990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  479019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479038 */     GIR_RootConstrainSelectedInstOperands,
     /*  479039 */     // GIR_Coverage, 3559,
     /*  479039 */     GIR_EraseRootFromParent_Done,
     /*  479040 */   // Label 8156: @479040
     /*  479040 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(479115), // Rule ID 3562 //
     /*  479045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  479065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  479094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479113 */     GIR_RootConstrainSelectedInstOperands,
     /*  479114 */     // GIR_Coverage, 3562,
     /*  479114 */     GIR_EraseRootFromParent_Done,
     /*  479115 */   // Label 8157: @479115
     /*  479115 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(479190), // Rule ID 3563 //
     /*  479120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  479131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  479134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  479137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  479140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  479169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479188 */     GIR_RootConstrainSelectedInstOperands,
     /*  479189 */     // GIR_Coverage, 3563,
     /*  479189 */     GIR_EraseRootFromParent_Done,
     /*  479190 */   // Label 8158: @479190
     /*  479190 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(479265), // Rule ID 3566 //
     /*  479195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  479215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  479244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479263 */     GIR_RootConstrainSelectedInstOperands,
     /*  479264 */     // GIR_Coverage, 3566,
     /*  479264 */     GIR_EraseRootFromParent_Done,
     /*  479265 */   // Label 8159: @479265
     /*  479265 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(479340), // Rule ID 3567 //
     /*  479270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  479287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  479290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  479319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479338 */     GIR_RootConstrainSelectedInstOperands,
     /*  479339 */     // GIR_Coverage, 3567,
     /*  479339 */     GIR_EraseRootFromParent_Done,
     /*  479340 */   // Label 8160: @479340
     /*  479340 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(479415), // Rule ID 3570 //
     /*  479345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  479365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  479394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479413 */     GIR_RootConstrainSelectedInstOperands,
     /*  479414 */     // GIR_Coverage, 3570,
     /*  479414 */     GIR_EraseRootFromParent_Done,
     /*  479415 */   // Label 8161: @479415
     /*  479415 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(479490), // Rule ID 3571 //
     /*  479420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  479431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  479434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  479437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  479440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  479469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479488 */     GIR_RootConstrainSelectedInstOperands,
     /*  479489 */     // GIR_Coverage, 3571,
     /*  479489 */     GIR_EraseRootFromParent_Done,
     /*  479490 */   // Label 8162: @479490
     /*  479490 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(479565), // Rule ID 3574 //
     /*  479495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  479515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  479544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479563 */     GIR_RootConstrainSelectedInstOperands,
     /*  479564 */     // GIR_Coverage, 3574,
     /*  479564 */     GIR_EraseRootFromParent_Done,
     /*  479565 */   // Label 8163: @479565
     /*  479565 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(479640), // Rule ID 3575 //
     /*  479570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  479581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  479584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  479590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  479619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479638 */     GIR_RootConstrainSelectedInstOperands,
     /*  479639 */     // GIR_Coverage, 3575,
     /*  479639 */     GIR_EraseRootFromParent_Done,
     /*  479640 */   // Label 8164: @479640
     /*  479640 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(479715), // Rule ID 3578 //
     /*  479645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  479665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  479694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479713 */     GIR_RootConstrainSelectedInstOperands,
     /*  479714 */     // GIR_Coverage, 3578,
     /*  479714 */     GIR_EraseRootFromParent_Done,
     /*  479715 */   // Label 8165: @479715
     /*  479715 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(479790), // Rule ID 3579 //
     /*  479720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  479731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  479734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  479740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  479769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479788 */     GIR_RootConstrainSelectedInstOperands,
     /*  479789 */     // GIR_Coverage, 3579,
     /*  479789 */     GIR_EraseRootFromParent_Done,
     /*  479790 */   // Label 8166: @479790
     /*  479790 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(479865), // Rule ID 3582 //
     /*  479795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  479815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  479844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479863 */     GIR_RootConstrainSelectedInstOperands,
     /*  479864 */     // GIR_Coverage, 3582,
     /*  479864 */     GIR_EraseRootFromParent_Done,
     /*  479865 */   // Label 8167: @479865
     /*  479865 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(479940), // Rule ID 3583 //
     /*  479870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  479881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  479884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  479887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  479890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  479919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  479927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479938 */     GIR_RootConstrainSelectedInstOperands,
     /*  479939 */     // GIR_Coverage, 3583,
     /*  479939 */     GIR_EraseRootFromParent_Done,
     /*  479940 */   // Label 8168: @479940
     /*  479940 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(480015), // Rule ID 3586 //
     /*  479945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  479953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  479956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  479959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  479962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  479965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  479994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480013 */     GIR_RootConstrainSelectedInstOperands,
     /*  480014 */     // GIR_Coverage, 3586,
     /*  480014 */     GIR_EraseRootFromParent_Done,
     /*  480015 */   // Label 8169: @480015
     /*  480015 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(480090), // Rule ID 3587 //
     /*  480020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  480031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  480034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  480037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  480040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  480069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480088 */     GIR_RootConstrainSelectedInstOperands,
     /*  480089 */     // GIR_Coverage, 3587,
     /*  480089 */     GIR_EraseRootFromParent_Done,
     /*  480090 */   // Label 8170: @480090
     /*  480090 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(480165), // Rule ID 3590 //
     /*  480095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  480115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  480144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480163 */     GIR_RootConstrainSelectedInstOperands,
     /*  480164 */     // GIR_Coverage, 3590,
     /*  480164 */     GIR_EraseRootFromParent_Done,
     /*  480165 */   // Label 8171: @480165
     /*  480165 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(480240), // Rule ID 3591 //
     /*  480170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  480187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  480190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  480219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480238 */     GIR_RootConstrainSelectedInstOperands,
     /*  480239 */     // GIR_Coverage, 3591,
     /*  480239 */     GIR_EraseRootFromParent_Done,
     /*  480240 */   // Label 8172: @480240
     /*  480240 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(480315), // Rule ID 3594 //
     /*  480245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  480265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  480294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480313 */     GIR_RootConstrainSelectedInstOperands,
     /*  480314 */     // GIR_Coverage, 3594,
     /*  480314 */     GIR_EraseRootFromParent_Done,
     /*  480315 */   // Label 8173: @480315
     /*  480315 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(480390), // Rule ID 3595 //
     /*  480320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  480340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  480369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480388 */     GIR_RootConstrainSelectedInstOperands,
     /*  480389 */     // GIR_Coverage, 3595,
     /*  480389 */     GIR_EraseRootFromParent_Done,
     /*  480390 */   // Label 8174: @480390
     /*  480390 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(480465), // Rule ID 3598 //
     /*  480395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  480415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  480444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480463 */     GIR_RootConstrainSelectedInstOperands,
     /*  480464 */     // GIR_Coverage, 3598,
     /*  480464 */     GIR_EraseRootFromParent_Done,
     /*  480465 */   // Label 8175: @480465
     /*  480465 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(480540), // Rule ID 3599 //
     /*  480470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  480490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480516 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  480519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480538 */     GIR_RootConstrainSelectedInstOperands,
     /*  480539 */     // GIR_Coverage, 3599,
     /*  480539 */     GIR_EraseRootFromParent_Done,
     /*  480540 */   // Label 8176: @480540
     /*  480540 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(480615), // Rule ID 3602 //
     /*  480545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  480565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  480594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480613 */     GIR_RootConstrainSelectedInstOperands,
     /*  480614 */     // GIR_Coverage, 3602,
     /*  480614 */     GIR_EraseRootFromParent_Done,
     /*  480615 */   // Label 8177: @480615
     /*  480615 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(480690), // Rule ID 3603 //
     /*  480620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  480623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  480631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  480634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  480637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  480640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  480669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480688 */     GIR_RootConstrainSelectedInstOperands,
     /*  480689 */     // GIR_Coverage, 3603,
     /*  480689 */     GIR_EraseRootFromParent_Done,
     /*  480690 */   // Label 8178: @480690
     /*  480690 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(480765), // Rule ID 3606 //
     /*  480695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  480715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  480744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480763 */     GIR_RootConstrainSelectedInstOperands,
     /*  480764 */     // GIR_Coverage, 3606,
     /*  480764 */     GIR_EraseRootFromParent_Done,
     /*  480765 */   // Label 8179: @480765
     /*  480765 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(480840), // Rule ID 3607 //
     /*  480770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  480773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  480781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  480784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  480787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  480790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  480809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  480819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480838 */     GIR_RootConstrainSelectedInstOperands,
     /*  480839 */     // GIR_Coverage, 3607,
     /*  480839 */     GIR_EraseRootFromParent_Done,
     /*  480840 */   // Label 8180: @480840
     /*  480840 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(480915), // Rule ID 3610 //
     /*  480845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  480865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  480894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480913 */     GIR_RootConstrainSelectedInstOperands,
     /*  480914 */     // GIR_Coverage, 3610,
     /*  480914 */     GIR_EraseRootFromParent_Done,
     /*  480915 */   // Label 8181: @480915
     /*  480915 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(480990), // Rule ID 3611 //
     /*  480920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  480923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  480928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  480931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  480934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  480940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480966 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  480969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  480977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480988 */     GIR_RootConstrainSelectedInstOperands,
     /*  480989 */     // GIR_Coverage, 3611,
     /*  480989 */     GIR_EraseRootFromParent_Done,
     /*  480990 */   // Label 8182: @480990
     /*  480990 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(481065), // Rule ID 3614 //
     /*  480995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  480998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  481015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  481044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481063 */     GIR_RootConstrainSelectedInstOperands,
     /*  481064 */     // GIR_Coverage, 3614,
     /*  481064 */     GIR_EraseRootFromParent_Done,
     /*  481065 */   // Label 8183: @481065
     /*  481065 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(481140), // Rule ID 3615 //
     /*  481070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  481073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  481087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  481090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  481116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  481119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481138 */     GIR_RootConstrainSelectedInstOperands,
     /*  481139 */     // GIR_Coverage, 3615,
     /*  481139 */     GIR_EraseRootFromParent_Done,
     /*  481140 */   // Label 8184: @481140
     /*  481140 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(481215), // Rule ID 3618 //
     /*  481145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  481194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481213 */     GIR_RootConstrainSelectedInstOperands,
     /*  481214 */     // GIR_Coverage, 3618,
     /*  481214 */     GIR_EraseRootFromParent_Done,
     /*  481215 */   // Label 8185: @481215
     /*  481215 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(481290), // Rule ID 3619 //
     /*  481220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  481237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  481269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481288 */     GIR_RootConstrainSelectedInstOperands,
     /*  481289 */     // GIR_Coverage, 3619,
     /*  481289 */     GIR_EraseRootFromParent_Done,
     /*  481290 */   // Label 8186: @481290
     /*  481290 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(481365), // Rule ID 3622 //
     /*  481295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481341 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  481344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481363 */     GIR_RootConstrainSelectedInstOperands,
     /*  481364 */     // GIR_Coverage, 3622,
     /*  481364 */     GIR_EraseRootFromParent_Done,
     /*  481365 */   // Label 8187: @481365
     /*  481365 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(481440), // Rule ID 3623 //
     /*  481370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  481387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  481419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481438 */     GIR_RootConstrainSelectedInstOperands,
     /*  481439 */     // GIR_Coverage, 3623,
     /*  481439 */     GIR_EraseRootFromParent_Done,
     /*  481440 */   // Label 8188: @481440
     /*  481440 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(481515), // Rule ID 3626 //
     /*  481445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  481494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481513 */     GIR_RootConstrainSelectedInstOperands,
     /*  481514 */     // GIR_Coverage, 3626,
     /*  481514 */     GIR_EraseRootFromParent_Done,
     /*  481515 */   // Label 8189: @481515
     /*  481515 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(481590), // Rule ID 3627 //
     /*  481520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  481531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  481534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  481537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11305:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  481569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481588 */     GIR_RootConstrainSelectedInstOperands,
     /*  481589 */     // GIR_Coverage, 3627,
     /*  481589 */     GIR_EraseRootFromParent_Done,
     /*  481590 */   // Label 8190: @481590
     /*  481590 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(481665), // Rule ID 3630 //
     /*  481595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  481606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  481609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481641 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  481644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481663 */     GIR_RootConstrainSelectedInstOperands,
     /*  481664 */     // GIR_Coverage, 3630,
     /*  481664 */     GIR_EraseRootFromParent_Done,
     /*  481665 */   // Label 8191: @481665
     /*  481665 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(481740), // Rule ID 3631 //
     /*  481670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  481681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  481684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  481687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  481719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481738 */     GIR_RootConstrainSelectedInstOperands,
     /*  481739 */     // GIR_Coverage, 3631,
     /*  481739 */     GIR_EraseRootFromParent_Done,
     /*  481740 */   // Label 8192: @481740
     /*  481740 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(481815), // Rule ID 3634 //
     /*  481745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  481756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  481759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  481762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481791 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  481794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481813 */     GIR_RootConstrainSelectedInstOperands,
     /*  481814 */     // GIR_Coverage, 3634,
     /*  481814 */     GIR_EraseRootFromParent_Done,
     /*  481815 */   // Label 8193: @481815
     /*  481815 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(481890), // Rule ID 3635 //
     /*  481820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  481831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  481834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  481837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  481866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  481869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481888 */     GIR_RootConstrainSelectedInstOperands,
     /*  481889 */     // GIR_Coverage, 3635,
     /*  481889 */     GIR_EraseRootFromParent_Done,
     /*  481890 */   // Label 8194: @481890
     /*  481890 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(481965), // Rule ID 3638 //
     /*  481895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  481898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  481906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  481909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  481912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  481934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  481941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  481944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  481952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  481960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481963 */     GIR_RootConstrainSelectedInstOperands,
     /*  481964 */     // GIR_Coverage, 3638,
     /*  481964 */     GIR_EraseRootFromParent_Done,
     /*  481965 */   // Label 8195: @481965
     /*  481965 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(482040), // Rule ID 3639 //
     /*  481970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  481973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  481978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  481981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  481984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  481987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  482016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  482019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  482035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482038 */     GIR_RootConstrainSelectedInstOperands,
     /*  482039 */     // GIR_Coverage, 3639,
     /*  482039 */     GIR_EraseRootFromParent_Done,
     /*  482040 */   // Label 8196: @482040
     /*  482040 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(482115), // Rule ID 3642 //
     /*  482045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  482094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482113 */     GIR_RootConstrainSelectedInstOperands,
     /*  482114 */     // GIR_Coverage, 3642,
     /*  482114 */     GIR_EraseRootFromParent_Done,
     /*  482115 */   // Label 8197: @482115
     /*  482115 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(482190), // Rule ID 3643 //
     /*  482120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  482131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  482134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  482137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  482169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482188 */     GIR_RootConstrainSelectedInstOperands,
     /*  482189 */     // GIR_Coverage, 3643,
     /*  482189 */     GIR_EraseRootFromParent_Done,
     /*  482190 */   // Label 8198: @482190
     /*  482190 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(482265), // Rule ID 3646 //
     /*  482195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  482244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482263 */     GIR_RootConstrainSelectedInstOperands,
     /*  482264 */     // GIR_Coverage, 3646,
     /*  482264 */     GIR_EraseRootFromParent_Done,
     /*  482265 */   // Label 8199: @482265
     /*  482265 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(482340), // Rule ID 3647 //
     /*  482270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  482287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  482319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482338 */     GIR_RootConstrainSelectedInstOperands,
     /*  482339 */     // GIR_Coverage, 3647,
     /*  482339 */     GIR_EraseRootFromParent_Done,
     /*  482340 */   // Label 8200: @482340
     /*  482340 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(482415), // Rule ID 3650 //
     /*  482345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  482359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  482394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482413 */     GIR_RootConstrainSelectedInstOperands,
     /*  482414 */     // GIR_Coverage, 3650,
     /*  482414 */     GIR_EraseRootFromParent_Done,
     /*  482415 */   // Label 8201: @482415
     /*  482415 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(482490), // Rule ID 3651 //
     /*  482420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  482431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  482434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  482469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482488 */     GIR_RootConstrainSelectedInstOperands,
     /*  482489 */     // GIR_Coverage, 3651,
     /*  482489 */     GIR_EraseRootFromParent_Done,
     /*  482490 */   // Label 8202: @482490
     /*  482490 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(482565), // Rule ID 3654 //
     /*  482495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  482506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  482509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  482544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482563 */     GIR_RootConstrainSelectedInstOperands,
     /*  482564 */     // GIR_Coverage, 3654,
     /*  482564 */     GIR_EraseRootFromParent_Done,
     /*  482565 */   // Label 8203: @482565
     /*  482565 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(482640), // Rule ID 3655 //
     /*  482570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  482581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  482584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  482619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482638 */     GIR_RootConstrainSelectedInstOperands,
     /*  482639 */     // GIR_Coverage, 3655,
     /*  482639 */     GIR_EraseRootFromParent_Done,
     /*  482640 */   // Label 8204: @482640
     /*  482640 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(482715), // Rule ID 3658 //
     /*  482645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  482648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  482656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  482659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  482694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482713 */     GIR_RootConstrainSelectedInstOperands,
     /*  482714 */     // GIR_Coverage, 3658,
     /*  482714 */     GIR_EraseRootFromParent_Done,
     /*  482715 */   // Label 8205: @482715
     /*  482715 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(482790), // Rule ID 3659 //
     /*  482720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  482723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  482731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  482734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  482769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482788 */     GIR_RootConstrainSelectedInstOperands,
     /*  482789 */     // GIR_Coverage, 3659,
     /*  482789 */     GIR_EraseRootFromParent_Done,
     /*  482790 */   // Label 8206: @482790
     /*  482790 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(482865), // Rule ID 3662 //
     /*  482795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  482798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  482844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482863 */     GIR_RootConstrainSelectedInstOperands,
     /*  482864 */     // GIR_Coverage, 3662,
     /*  482864 */     GIR_EraseRootFromParent_Done,
     /*  482865 */   // Label 8207: @482865
     /*  482865 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(482940), // Rule ID 3663 //
     /*  482870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  482873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  482887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  482919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  482927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482938 */     GIR_RootConstrainSelectedInstOperands,
     /*  482939 */     // GIR_Coverage, 3663,
     /*  482939 */     GIR_EraseRootFromParent_Done,
     /*  482940 */   // Label 8208: @482940
     /*  482940 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(483015), // Rule ID 3666 //
     /*  482945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  482948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  482953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  482956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  482959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  482984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  482994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483013 */     GIR_RootConstrainSelectedInstOperands,
     /*  483014 */     // GIR_Coverage, 3666,
     /*  483014 */     GIR_EraseRootFromParent_Done,
     /*  483015 */   // Label 8209: @483015
     /*  483015 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(483090), // Rule ID 3667 //
     /*  483020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  483028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  483037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  483069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483088 */     GIR_RootConstrainSelectedInstOperands,
     /*  483089 */     // GIR_Coverage, 3667,
     /*  483089 */     GIR_EraseRootFromParent_Done,
     /*  483090 */   // Label 8210: @483090
     /*  483090 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(483165), // Rule ID 3670 //
     /*  483095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  483103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  483144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483163 */     GIR_RootConstrainSelectedInstOperands,
     /*  483164 */     // GIR_Coverage, 3670,
     /*  483164 */     GIR_EraseRootFromParent_Done,
     /*  483165 */   // Label 8211: @483165
     /*  483165 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(483240), // Rule ID 3671 //
     /*  483170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  483178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  483219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483238 */     GIR_RootConstrainSelectedInstOperands,
     /*  483239 */     // GIR_Coverage, 3671,
     /*  483239 */     GIR_EraseRootFromParent_Done,
     /*  483240 */   // Label 8212: @483240
     /*  483240 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(483315), // Rule ID 3674 //
     /*  483245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  483248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  483253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  483294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483313 */     GIR_RootConstrainSelectedInstOperands,
     /*  483314 */     // GIR_Coverage, 3674,
     /*  483314 */     GIR_EraseRootFromParent_Done,
     /*  483315 */   // Label 8213: @483315
     /*  483315 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(483390), // Rule ID 3675 //
     /*  483320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  483323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  483328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  483359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  483369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483388 */     GIR_RootConstrainSelectedInstOperands,
     /*  483389 */     // GIR_Coverage, 3675,
     /*  483389 */     GIR_EraseRootFromParent_Done,
     /*  483390 */   // Label 8214: @483390
     /*  483390 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(483465), // Rule ID 3678 //
     /*  483395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  483415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483441 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  483444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483463 */     GIR_RootConstrainSelectedInstOperands,
     /*  483464 */     // GIR_Coverage, 3678,
     /*  483464 */     GIR_EraseRootFromParent_Done,
     /*  483465 */   // Label 8215: @483465
     /*  483465 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(483540), // Rule ID 3679 //
     /*  483470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  483481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  483484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  483487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  483490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483516 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  483519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483538 */     GIR_RootConstrainSelectedInstOperands,
     /*  483539 */     // GIR_Coverage, 3679,
     /*  483539 */     GIR_EraseRootFromParent_Done,
     /*  483540 */   // Label 8216: @483540
     /*  483540 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(483615), // Rule ID 3682 //
     /*  483545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  483565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  483594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483613 */     GIR_RootConstrainSelectedInstOperands,
     /*  483614 */     // GIR_Coverage, 3682,
     /*  483614 */     GIR_EraseRootFromParent_Done,
     /*  483615 */   // Label 8217: @483615
     /*  483615 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(483690), // Rule ID 3683 //
     /*  483620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  483631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  483634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  483637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  483640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  483669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483688 */     GIR_RootConstrainSelectedInstOperands,
     /*  483689 */     // GIR_Coverage, 3683,
     /*  483689 */     GIR_EraseRootFromParent_Done,
     /*  483690 */   // Label 8218: @483690
     /*  483690 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(483765), // Rule ID 3686 //
     /*  483695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  483715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483741 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  483744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483763 */     GIR_RootConstrainSelectedInstOperands,
     /*  483764 */     // GIR_Coverage, 3686,
     /*  483764 */     GIR_EraseRootFromParent_Done,
     /*  483765 */   // Label 8219: @483765
     /*  483765 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(483840), // Rule ID 3687 //
     /*  483770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  483781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  483784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  483787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  483790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  483819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483838 */     GIR_RootConstrainSelectedInstOperands,
     /*  483839 */     // GIR_Coverage, 3687,
     /*  483839 */     GIR_EraseRootFromParent_Done,
     /*  483840 */   // Label 8220: @483840
     /*  483840 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(483915), // Rule ID 3690 //
     /*  483845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  483865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  483891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  483894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483913 */     GIR_RootConstrainSelectedInstOperands,
     /*  483914 */     // GIR_Coverage, 3690,
     /*  483914 */     GIR_EraseRootFromParent_Done,
     /*  483915 */   // Label 8221: @483915
     /*  483915 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(483990), // Rule ID 3691 //
     /*  483920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  483923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  483928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  483931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  483934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  483937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  483940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  483959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  483966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  483969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  483977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  483985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483988 */     GIR_RootConstrainSelectedInstOperands,
     /*  483989 */     // GIR_Coverage, 3691,
     /*  483989 */     GIR_EraseRootFromParent_Done,
     /*  483990 */   // Label 8222: @483990
     /*  483990 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(484065), // Rule ID 3694 //
     /*  483995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  483998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  484044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484063 */     GIR_RootConstrainSelectedInstOperands,
     /*  484064 */     // GIR_Coverage, 3694,
     /*  484064 */     GIR_EraseRootFromParent_Done,
     /*  484065 */   // Label 8223: @484065
     /*  484065 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(484140), // Rule ID 3695 //
     /*  484070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  484090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  484119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484138 */     GIR_RootConstrainSelectedInstOperands,
     /*  484139 */     // GIR_Coverage, 3695,
     /*  484139 */     GIR_EraseRootFromParent_Done,
     /*  484140 */   // Label 8224: @484140
     /*  484140 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(484215), // Rule ID 3698 //
     /*  484145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484191 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  484194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484213 */     GIR_RootConstrainSelectedInstOperands,
     /*  484214 */     // GIR_Coverage, 3698,
     /*  484214 */     GIR_EraseRootFromParent_Done,
     /*  484215 */   // Label 8225: @484215
     /*  484215 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(484290), // Rule ID 3699 //
     /*  484220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  484240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484266 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  484269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484288 */     GIR_RootConstrainSelectedInstOperands,
     /*  484289 */     // GIR_Coverage, 3699,
     /*  484289 */     GIR_EraseRootFromParent_Done,
     /*  484290 */   // Label 8226: @484290
     /*  484290 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(484365), // Rule ID 3702 //
     /*  484295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  484315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484341 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  484344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484363 */     GIR_RootConstrainSelectedInstOperands,
     /*  484364 */     // GIR_Coverage, 3702,
     /*  484364 */     GIR_EraseRootFromParent_Done,
     /*  484365 */   // Label 8227: @484365
     /*  484365 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(484440), // Rule ID 3703 //
     /*  484370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  484381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  484384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  484387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  484390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  484419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484438 */     GIR_RootConstrainSelectedInstOperands,
     /*  484439 */     // GIR_Coverage, 3703,
     /*  484439 */     GIR_EraseRootFromParent_Done,
     /*  484440 */   // Label 8228: @484440
     /*  484440 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(484515), // Rule ID 3706 //
     /*  484445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  484465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  484494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484513 */     GIR_RootConstrainSelectedInstOperands,
     /*  484514 */     // GIR_Coverage, 3706,
     /*  484514 */     GIR_EraseRootFromParent_Done,
     /*  484515 */   // Label 8229: @484515
     /*  484515 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(484590), // Rule ID 3707 //
     /*  484520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  484531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  484534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  484537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  484540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  484569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484588 */     GIR_RootConstrainSelectedInstOperands,
     /*  484589 */     // GIR_Coverage, 3707,
     /*  484589 */     GIR_EraseRootFromParent_Done,
     /*  484590 */   // Label 8230: @484590
     /*  484590 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(484665), // Rule ID 3710 //
     /*  484595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  484615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484641 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  484644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484663 */     GIR_RootConstrainSelectedInstOperands,
     /*  484664 */     // GIR_Coverage, 3710,
     /*  484664 */     GIR_EraseRootFromParent_Done,
     /*  484665 */   // Label 8231: @484665
     /*  484665 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(484740), // Rule ID 3711 //
     /*  484670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  484681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  484684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  484687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  484690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  484719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484738 */     GIR_RootConstrainSelectedInstOperands,
     /*  484739 */     // GIR_Coverage, 3711,
     /*  484739 */     GIR_EraseRootFromParent_Done,
     /*  484740 */   // Label 8232: @484740
     /*  484740 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(484815), // Rule ID 3714 //
     /*  484745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  484765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484791 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  484794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484813 */     GIR_RootConstrainSelectedInstOperands,
     /*  484814 */     // GIR_Coverage, 3714,
     /*  484814 */     GIR_EraseRootFromParent_Done,
     /*  484815 */   // Label 8233: @484815
     /*  484815 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(484890), // Rule ID 3715 //
     /*  484820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  484831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  484834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  484837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  484840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  484866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  484869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484888 */     GIR_RootConstrainSelectedInstOperands,
     /*  484889 */     // GIR_Coverage, 3715,
     /*  484889 */     GIR_EraseRootFromParent_Done,
     /*  484890 */   // Label 8234: @484890
     /*  484890 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(484965), // Rule ID 3718 //
     /*  484895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  484898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  484915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484941 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  484941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  484944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  484952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  484960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484963 */     GIR_RootConstrainSelectedInstOperands,
     /*  484964 */     // GIR_Coverage, 3718,
     /*  484964 */     GIR_EraseRootFromParent_Done,
     /*  484965 */   // Label 8235: @484965
     /*  484965 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(485040), // Rule ID 3719 //
     /*  484970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  484973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  484978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  484981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  484984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  484987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  484990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485016 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  485019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485038 */     GIR_RootConstrainSelectedInstOperands,
     /*  485039 */     // GIR_Coverage, 3719,
     /*  485039 */     GIR_EraseRootFromParent_Done,
     /*  485040 */   // Label 8236: @485040
     /*  485040 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(485115), // Rule ID 3722 //
     /*  485045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  485094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485113 */     GIR_RootConstrainSelectedInstOperands,
     /*  485114 */     // GIR_Coverage, 3722,
     /*  485114 */     GIR_EraseRootFromParent_Done,
     /*  485115 */   // Label 8237: @485115
     /*  485115 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(485190), // Rule ID 3723 //
     /*  485120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  485131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  485134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  485137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  485140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  485169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485188 */     GIR_RootConstrainSelectedInstOperands,
     /*  485189 */     // GIR_Coverage, 3723,
     /*  485189 */     GIR_EraseRootFromParent_Done,
     /*  485190 */   // Label 8238: @485190
     /*  485190 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(485265), // Rule ID 3726 //
     /*  485195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  485215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485241 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  485244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485263 */     GIR_RootConstrainSelectedInstOperands,
     /*  485264 */     // GIR_Coverage, 3726,
     /*  485264 */     GIR_EraseRootFromParent_Done,
     /*  485265 */   // Label 8239: @485265
     /*  485265 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(485340), // Rule ID 3727 //
     /*  485270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  485281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  485284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  485287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  485290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485316 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  485319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485338 */     GIR_RootConstrainSelectedInstOperands,
     /*  485339 */     // GIR_Coverage, 3727,
     /*  485339 */     GIR_EraseRootFromParent_Done,
     /*  485340 */   // Label 8240: @485340
     /*  485340 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(485415), // Rule ID 3730 //
     /*  485345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  485365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485391 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  485394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485413 */     GIR_RootConstrainSelectedInstOperands,
     /*  485414 */     // GIR_Coverage, 3730,
     /*  485414 */     GIR_EraseRootFromParent_Done,
     /*  485415 */   // Label 8241: @485415
     /*  485415 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(485490), // Rule ID 3731 //
     /*  485420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  485431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  485434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  485437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  485440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485466 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  485469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485488 */     GIR_RootConstrainSelectedInstOperands,
     /*  485489 */     // GIR_Coverage, 3731,
     /*  485489 */     GIR_EraseRootFromParent_Done,
     /*  485490 */   // Label 8242: @485490
     /*  485490 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(485565), // Rule ID 3734 //
     /*  485495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  485498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  485515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  485541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  485544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485563 */     GIR_RootConstrainSelectedInstOperands,
     /*  485564 */     // GIR_Coverage, 3734,
     /*  485564 */     GIR_EraseRootFromParent_Done,
     /*  485565 */   // Label 8243: @485565
     /*  485565 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(485640), // Rule ID 3735 //
     /*  485570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  485573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  485581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  485584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  485587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  485590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485616 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  485616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  485619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  485635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485638 */     GIR_RootConstrainSelectedInstOperands,
     /*  485639 */     // GIR_Coverage, 3735,
     /*  485639 */     GIR_EraseRootFromParent_Done,
     /*  485640 */   // Label 8244: @485640
     /*  485640 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(485715), // Rule ID 3738 //
     /*  485645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  485662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  485694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485713 */     GIR_RootConstrainSelectedInstOperands,
     /*  485714 */     // GIR_Coverage, 3738,
     /*  485714 */     GIR_EraseRootFromParent_Done,
     /*  485715 */   // Label 8245: @485715
     /*  485715 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(485790), // Rule ID 3739 //
     /*  485720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  485731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  485734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  485737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485766 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  485766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  485769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485788 */     GIR_RootConstrainSelectedInstOperands,
     /*  485789 */     // GIR_Coverage, 3739,
     /*  485789 */     GIR_EraseRootFromParent_Done,
     /*  485790 */   // Label 8246: @485790
     /*  485790 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(485865), // Rule ID 3742 //
     /*  485795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  485812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485841 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  485844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485863 */     GIR_RootConstrainSelectedInstOperands,
     /*  485864 */     // GIR_Coverage, 3742,
     /*  485864 */     GIR_EraseRootFromParent_Done,
     /*  485865 */   // Label 8247: @485865
     /*  485865 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(485940), // Rule ID 3743 //
     /*  485870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  485873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  485881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  485884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  485887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  485916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  485919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  485927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485938 */     GIR_RootConstrainSelectedInstOperands,
     /*  485939 */     // GIR_Coverage, 3743,
     /*  485939 */     GIR_EraseRootFromParent_Done,
     /*  485940 */   // Label 8248: @485940
     /*  485940 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(486015), // Rule ID 3746 //
     /*  485945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  485948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  485953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  485956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  485959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  485962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  485984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  485994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486013 */     GIR_RootConstrainSelectedInstOperands,
     /*  486014 */     // GIR_Coverage, 3746,
     /*  486014 */     GIR_EraseRootFromParent_Done,
     /*  486015 */   // Label 8249: @486015
     /*  486015 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(486090), // Rule ID 3747 //
     /*  486020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  486031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  486034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  486037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  486069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486088 */     GIR_RootConstrainSelectedInstOperands,
     /*  486089 */     // GIR_Coverage, 3747,
     /*  486089 */     GIR_EraseRootFromParent_Done,
     /*  486090 */   // Label 8250: @486090
     /*  486090 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(486165), // Rule ID 3750 //
     /*  486095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  486112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486141 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  486144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486163 */     GIR_RootConstrainSelectedInstOperands,
     /*  486164 */     // GIR_Coverage, 3750,
     /*  486164 */     GIR_EraseRootFromParent_Done,
     /*  486165 */   // Label 8251: @486165
     /*  486165 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(486240), // Rule ID 3751 //
     /*  486170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  486181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  486184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  486187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  486219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486238 */     GIR_RootConstrainSelectedInstOperands,
     /*  486239 */     // GIR_Coverage, 3751,
     /*  486239 */     GIR_EraseRootFromParent_Done,
     /*  486240 */   // Label 8252: @486240
     /*  486240 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(486315), // Rule ID 3754 //
     /*  486245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  486262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  486294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486313 */     GIR_RootConstrainSelectedInstOperands,
     /*  486314 */     // GIR_Coverage, 3754,
     /*  486314 */     GIR_EraseRootFromParent_Done,
     /*  486315 */   // Label 8253: @486315
     /*  486315 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(486390), // Rule ID 3755 //
     /*  486320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  486331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  486334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  486337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  486369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486388 */     GIR_RootConstrainSelectedInstOperands,
     /*  486389 */     // GIR_Coverage, 3755,
     /*  486389 */     GIR_EraseRootFromParent_Done,
     /*  486390 */   // Label 8254: @486390
     /*  486390 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(486465), // Rule ID 3758 //
     /*  486395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  486412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486441 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  486444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486463 */     GIR_RootConstrainSelectedInstOperands,
     /*  486464 */     // GIR_Coverage, 3758,
     /*  486464 */     GIR_EraseRootFromParent_Done,
     /*  486465 */   // Label 8255: @486465
     /*  486465 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(486540), // Rule ID 3759 //
     /*  486470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  486481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  486484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  486487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  486519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486538 */     GIR_RootConstrainSelectedInstOperands,
     /*  486539 */     // GIR_Coverage, 3759,
     /*  486539 */     GIR_EraseRootFromParent_Done,
     /*  486540 */   // Label 8256: @486540
     /*  486540 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(486615), // Rule ID 3762 //
     /*  486545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486591 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  486594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486613 */     GIR_RootConstrainSelectedInstOperands,
     /*  486614 */     // GIR_Coverage, 3762,
     /*  486614 */     GIR_EraseRootFromParent_Done,
     /*  486615 */   // Label 8257: @486615
     /*  486615 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(486690), // Rule ID 3763 //
     /*  486620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  486631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  486634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  486637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  486669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486688 */     GIR_RootConstrainSelectedInstOperands,
     /*  486689 */     // GIR_Coverage, 3763,
     /*  486689 */     GIR_EraseRootFromParent_Done,
     /*  486690 */   // Label 8258: @486690
     /*  486690 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(486765), // Rule ID 3766 //
     /*  486695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  486744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486763 */     GIR_RootConstrainSelectedInstOperands,
     /*  486764 */     // GIR_Coverage, 3766,
     /*  486764 */     GIR_EraseRootFromParent_Done,
     /*  486765 */   // Label 8259: @486765
     /*  486765 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(486840), // Rule ID 3767 //
     /*  486770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  486781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  486784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  486787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  486819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486838 */     GIR_RootConstrainSelectedInstOperands,
     /*  486839 */     // GIR_Coverage, 3767,
     /*  486839 */     GIR_EraseRootFromParent_Done,
     /*  486840 */   // Label 8260: @486840
     /*  486840 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(486915), // Rule ID 3770 //
     /*  486845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  486891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  486894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486913 */     GIR_RootConstrainSelectedInstOperands,
     /*  486914 */     // GIR_Coverage, 3770,
     /*  486914 */     GIR_EraseRootFromParent_Done,
     /*  486915 */   // Label 8261: @486915
     /*  486915 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(486990), // Rule ID 3771 //
     /*  486920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  486923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  486928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  486931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  486934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  486937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  486959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  486966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  486969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  486977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486988 */     GIR_RootConstrainSelectedInstOperands,
     /*  486989 */     // GIR_Coverage, 3771,
     /*  486989 */     GIR_EraseRootFromParent_Done,
     /*  486990 */   // Label 8262: @486990
     /*  486990 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(487065), // Rule ID 3774 //
     /*  486995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  486998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  487012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487041 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  487044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487063 */     GIR_RootConstrainSelectedInstOperands,
     /*  487064 */     // GIR_Coverage, 3774,
     /*  487064 */     GIR_EraseRootFromParent_Done,
     /*  487065 */   // Label 8263: @487065
     /*  487065 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(487140), // Rule ID 3775 //
     /*  487070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  487081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  487084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  487087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487116 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  487119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487138 */     GIR_RootConstrainSelectedInstOperands,
     /*  487139 */     // GIR_Coverage, 3775,
     /*  487139 */     GIR_EraseRootFromParent_Done,
     /*  487140 */   // Label 8264: @487140
     /*  487140 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(487215), // Rule ID 3778 //
     /*  487145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  487194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487213 */     GIR_RootConstrainSelectedInstOperands,
     /*  487214 */     // GIR_Coverage, 3778,
     /*  487214 */     GIR_EraseRootFromParent_Done,
     /*  487215 */   // Label 8265: @487215
     /*  487215 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(487290), // Rule ID 3779 //
     /*  487220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  487231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  487234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  487237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487266 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  487269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487288 */     GIR_RootConstrainSelectedInstOperands,
     /*  487289 */     // GIR_Coverage, 3779,
     /*  487289 */     GIR_EraseRootFromParent_Done,
     /*  487290 */   // Label 8266: @487290
     /*  487290 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(487365), // Rule ID 3782 //
     /*  487295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  487344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487363 */     GIR_RootConstrainSelectedInstOperands,
     /*  487364 */     // GIR_Coverage, 3782,
     /*  487364 */     GIR_EraseRootFromParent_Done,
     /*  487365 */   // Label 8267: @487365
     /*  487365 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(487440), // Rule ID 3783 //
     /*  487370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  487381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  487384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487416 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  487419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487438 */     GIR_RootConstrainSelectedInstOperands,
     /*  487439 */     // GIR_Coverage, 3783,
     /*  487439 */     GIR_EraseRootFromParent_Done,
     /*  487440 */   // Label 8268: @487440
     /*  487440 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(487515), // Rule ID 3786 //
     /*  487445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  487494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487513 */     GIR_RootConstrainSelectedInstOperands,
     /*  487514 */     // GIR_Coverage, 3786,
     /*  487514 */     GIR_EraseRootFromParent_Done,
     /*  487515 */   // Label 8269: @487515
     /*  487515 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(487590), // Rule ID 3787 //
     /*  487520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  487531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  487534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  487537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  487569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487588 */     GIR_RootConstrainSelectedInstOperands,
     /*  487589 */     // GIR_Coverage, 3787,
     /*  487589 */     GIR_EraseRootFromParent_Done,
     /*  487590 */   // Label 8270: @487590
     /*  487590 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(487665), // Rule ID 3790 //
     /*  487595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487641 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  487644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487663 */     GIR_RootConstrainSelectedInstOperands,
     /*  487664 */     // GIR_Coverage, 3790,
     /*  487664 */     GIR_EraseRootFromParent_Done,
     /*  487665 */   // Label 8271: @487665
     /*  487665 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(487740), // Rule ID 3791 //
     /*  487670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  487681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  487684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  487687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  487705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  487719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487738 */     GIR_RootConstrainSelectedInstOperands,
     /*  487739 */     // GIR_Coverage, 3791,
     /*  487739 */     GIR_EraseRootFromParent_Done,
     /*  487740 */   // Label 8272: @487740
     /*  487740 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(487815), // Rule ID 3794 //
     /*  487745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  487748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  487794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487813 */     GIR_RootConstrainSelectedInstOperands,
     /*  487814 */     // GIR_Coverage, 3794,
     /*  487814 */     GIR_EraseRootFromParent_Done,
     /*  487815 */   // Label 8273: @487815
     /*  487815 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(487890), // Rule ID 3795 //
     /*  487820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  487823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  487828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  487831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  487834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  487837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  487851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  487855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  487859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  487869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487888 */     GIR_RootConstrainSelectedInstOperands,
     /*  487889 */     // GIR_Coverage, 3795,
     /*  487889 */     GIR_EraseRootFromParent_Done,
     /*  487890 */   // Label 8274: @487890
     /*  487890 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(487965), // Rule ID 3798 //
     /*  487895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  487898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  487912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487941 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  487944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  487952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487963 */     GIR_RootConstrainSelectedInstOperands,
     /*  487964 */     // GIR_Coverage, 3798,
     /*  487964 */     GIR_EraseRootFromParent_Done,
     /*  487965 */   // Label 8275: @487965
     /*  487965 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(488040), // Rule ID 3799 //
     /*  487970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  487973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  487978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  487987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  487990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  488019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488038 */     GIR_RootConstrainSelectedInstOperands,
     /*  488039 */     // GIR_Coverage, 3799,
     /*  488039 */     GIR_EraseRootFromParent_Done,
     /*  488040 */   // Label 8276: @488040
     /*  488040 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(488115), // Rule ID 3802 //
     /*  488045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  488062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  488094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488113 */     GIR_RootConstrainSelectedInstOperands,
     /*  488114 */     // GIR_Coverage, 3802,
     /*  488114 */     GIR_EraseRootFromParent_Done,
     /*  488115 */   // Label 8277: @488115
     /*  488115 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(488190), // Rule ID 3803 //
     /*  488120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  488131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  488134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  488137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  488140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  488169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488188 */     GIR_RootConstrainSelectedInstOperands,
     /*  488189 */     // GIR_Coverage, 3803,
     /*  488189 */     GIR_EraseRootFromParent_Done,
     /*  488190 */   // Label 8278: @488190
     /*  488190 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(488265), // Rule ID 3806 //
     /*  488195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  488212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488241 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  488244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488263 */     GIR_RootConstrainSelectedInstOperands,
     /*  488264 */     // GIR_Coverage, 3806,
     /*  488264 */     GIR_EraseRootFromParent_Done,
     /*  488265 */   // Label 8279: @488265
     /*  488265 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(488340), // Rule ID 3807 //
     /*  488270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  488287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  488290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488316 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  488319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488338 */     GIR_RootConstrainSelectedInstOperands,
     /*  488339 */     // GIR_Coverage, 3807,
     /*  488339 */     GIR_EraseRootFromParent_Done,
     /*  488340 */   // Label 8280: @488340
     /*  488340 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(488415), // Rule ID 3810 //
     /*  488345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  488362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  488394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488413 */     GIR_RootConstrainSelectedInstOperands,
     /*  488414 */     // GIR_Coverage, 3810,
     /*  488414 */     GIR_EraseRootFromParent_Done,
     /*  488415 */   // Label 8281: @488415
     /*  488415 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(488490), // Rule ID 3811 //
     /*  488420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  488437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  488440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  488469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488488 */     GIR_RootConstrainSelectedInstOperands,
     /*  488489 */     // GIR_Coverage, 3811,
     /*  488489 */     GIR_EraseRootFromParent_Done,
     /*  488490 */   // Label 8282: @488490
     /*  488490 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(488565), // Rule ID 3814 //
     /*  488495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  488544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488563 */     GIR_RootConstrainSelectedInstOperands,
     /*  488564 */     // GIR_Coverage, 3814,
     /*  488564 */     GIR_EraseRootFromParent_Done,
     /*  488565 */   // Label 8283: @488565
     /*  488565 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(488640), // Rule ID 3815 //
     /*  488570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  488581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  488584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  488590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  488619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488638 */     GIR_RootConstrainSelectedInstOperands,
     /*  488639 */     // GIR_Coverage, 3815,
     /*  488639 */     GIR_EraseRootFromParent_Done,
     /*  488640 */   // Label 8284: @488640
     /*  488640 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(488715), // Rule ID 3818 //
     /*  488645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488691 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  488694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488713 */     GIR_RootConstrainSelectedInstOperands,
     /*  488714 */     // GIR_Coverage, 3818,
     /*  488714 */     GIR_EraseRootFromParent_Done,
     /*  488715 */   // Label 8285: @488715
     /*  488715 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(488790), // Rule ID 3819 //
     /*  488720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  488731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  488734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  488740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488766 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  488769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488788 */     GIR_RootConstrainSelectedInstOperands,
     /*  488789 */     // GIR_Coverage, 3819,
     /*  488789 */     GIR_EraseRootFromParent_Done,
     /*  488790 */   // Label 8286: @488790
     /*  488790 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(488865), // Rule ID 3822 //
     /*  488795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488841 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  488844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488863 */     GIR_RootConstrainSelectedInstOperands,
     /*  488864 */     // GIR_Coverage, 3822,
     /*  488864 */     GIR_EraseRootFromParent_Done,
     /*  488865 */   // Label 8287: @488865
     /*  488865 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(488940), // Rule ID 3823 //
     /*  488870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  488873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  488881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  488884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  488887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  488890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  488919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  488927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488938 */     GIR_RootConstrainSelectedInstOperands,
     /*  488939 */     // GIR_Coverage, 3823,
     /*  488939 */     GIR_EraseRootFromParent_Done,
     /*  488940 */   // Label 8288: @488940
     /*  488940 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(489015), // Rule ID 3826 //
     /*  488945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  488948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  488953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  488962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  488965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488991 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  488994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489013 */     GIR_RootConstrainSelectedInstOperands,
     /*  489014 */     // GIR_Coverage, 3826,
     /*  489014 */     GIR_EraseRootFromParent_Done,
     /*  489015 */   // Label 8289: @489015
     /*  489015 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(489090), // Rule ID 3827 //
     /*  489020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  489031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  489034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  489037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  489040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  489069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489088 */     GIR_RootConstrainSelectedInstOperands,
     /*  489089 */     // GIR_Coverage, 3827,
     /*  489089 */     GIR_EraseRootFromParent_Done,
     /*  489090 */   // Label 8290: @489090
     /*  489090 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(489165), // Rule ID 3830 //
     /*  489095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  489144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489163 */     GIR_RootConstrainSelectedInstOperands,
     /*  489164 */     // GIR_Coverage, 3830,
     /*  489164 */     GIR_EraseRootFromParent_Done,
     /*  489165 */   // Label 8291: @489165
     /*  489165 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(489240), // Rule ID 3831 //
     /*  489170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  489187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  489190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489216 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  489219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489238 */     GIR_RootConstrainSelectedInstOperands,
     /*  489239 */     // GIR_Coverage, 3831,
     /*  489239 */     GIR_EraseRootFromParent_Done,
     /*  489240 */   // Label 8292: @489240
     /*  489240 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(489315), // Rule ID 3834 //
     /*  489245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  489294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489313 */     GIR_RootConstrainSelectedInstOperands,
     /*  489314 */     // GIR_Coverage, 3834,
     /*  489314 */     GIR_EraseRootFromParent_Done,
     /*  489315 */   // Label 8293: @489315
     /*  489315 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(489390), // Rule ID 3835 //
     /*  489320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  489340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  489369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489388 */     GIR_RootConstrainSelectedInstOperands,
     /*  489389 */     // GIR_Coverage, 3835,
     /*  489389 */     GIR_EraseRootFromParent_Done,
     /*  489390 */   // Label 8294: @489390
     /*  489390 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(489465), // Rule ID 3838 //
     /*  489395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  489398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489441 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  489444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489463 */     GIR_RootConstrainSelectedInstOperands,
     /*  489464 */     // GIR_Coverage, 3838,
     /*  489464 */     GIR_EraseRootFromParent_Done,
     /*  489465 */   // Label 8295: @489465
     /*  489465 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(489540), // Rule ID 3839 //
     /*  489470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  489473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  489490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489516 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  489519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489538 */     GIR_RootConstrainSelectedInstOperands,
     /*  489539 */     // GIR_Coverage, 3839,
     /*  489539 */     GIR_EraseRootFromParent_Done,
     /*  489540 */   // Label 8296: @489540
     /*  489540 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(489615), // Rule ID 3842 //
     /*  489545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489591 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  489594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489613 */     GIR_RootConstrainSelectedInstOperands,
     /*  489614 */     // GIR_Coverage, 3842,
     /*  489614 */     GIR_EraseRootFromParent_Done,
     /*  489615 */   // Label 8297: @489615
     /*  489615 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(489690), // Rule ID 3843 //
     /*  489620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  489631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  489634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  489637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  489640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489666 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  489669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489688 */     GIR_RootConstrainSelectedInstOperands,
     /*  489689 */     // GIR_Coverage, 3843,
     /*  489689 */     GIR_EraseRootFromParent_Done,
     /*  489690 */   // Label 8298: @489690
     /*  489690 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(489765), // Rule ID 3846 //
     /*  489695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489741 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  489744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489763 */     GIR_RootConstrainSelectedInstOperands,
     /*  489764 */     // GIR_Coverage, 3846,
     /*  489764 */     GIR_EraseRootFromParent_Done,
     /*  489765 */   // Label 8299: @489765
     /*  489765 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(489840), // Rule ID 3847 //
     /*  489770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  489787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  489790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  489809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  489819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489838 */     GIR_RootConstrainSelectedInstOperands,
     /*  489839 */     // GIR_Coverage, 3847,
     /*  489839 */     GIR_EraseRootFromParent_Done,
     /*  489840 */   // Label 8300: @489840
     /*  489840 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(489915), // Rule ID 3850 //
     /*  489845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  489894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489913 */     GIR_RootConstrainSelectedInstOperands,
     /*  489914 */     // GIR_Coverage, 3850,
     /*  489914 */     GIR_EraseRootFromParent_Done,
     /*  489915 */   // Label 8301: @489915
     /*  489915 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(489990), // Rule ID 3851 //
     /*  489920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  489923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  489928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  489931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  489934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  489940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489966 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  489969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  489977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489988 */     GIR_RootConstrainSelectedInstOperands,
     /*  489989 */     // GIR_Coverage, 3851,
     /*  489989 */     GIR_EraseRootFromParent_Done,
     /*  489990 */   // Label 8302: @489990
     /*  489990 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(490065), // Rule ID 3854 //
     /*  489995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  489998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490041 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  490041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  490044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490063 */     GIR_RootConstrainSelectedInstOperands,
     /*  490064 */     // GIR_Coverage, 3854,
     /*  490064 */     GIR_EraseRootFromParent_Done,
     /*  490065 */   // Label 8303: @490065
     /*  490065 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(490140), // Rule ID 3855 //
     /*  490070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  490073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  490087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  490090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  490116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  490119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  490135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490138 */     GIR_RootConstrainSelectedInstOperands,
     /*  490139 */     // GIR_Coverage, 3855,
     /*  490139 */     GIR_EraseRootFromParent_Done,
     /*  490140 */   // Label 8304: @490140
     /*  490140 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(490215), // Rule ID 3858 //
     /*  490145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  490162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490191 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  490194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490213 */     GIR_RootConstrainSelectedInstOperands,
     /*  490214 */     // GIR_Coverage, 3858,
     /*  490214 */     GIR_EraseRootFromParent_Done,
     /*  490215 */   // Label 8305: @490215
     /*  490215 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(490290), // Rule ID 3859 //
     /*  490220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  490237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  490269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490288 */     GIR_RootConstrainSelectedInstOperands,
     /*  490289 */     // GIR_Coverage, 3859,
     /*  490289 */     GIR_EraseRootFromParent_Done,
     /*  490290 */   // Label 8306: @490290
     /*  490290 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(490365), // Rule ID 3862 //
     /*  490295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  490312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490341 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  490344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490363 */     GIR_RootConstrainSelectedInstOperands,
     /*  490364 */     // GIR_Coverage, 3862,
     /*  490364 */     GIR_EraseRootFromParent_Done,
     /*  490365 */   // Label 8307: @490365
     /*  490365 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(490440), // Rule ID 3863 //
     /*  490370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  490387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  490419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490438 */     GIR_RootConstrainSelectedInstOperands,
     /*  490439 */     // GIR_Coverage, 3863,
     /*  490439 */     GIR_EraseRootFromParent_Done,
     /*  490440 */   // Label 8308: @490440
     /*  490440 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(490515), // Rule ID 3866 //
     /*  490445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  490462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  490494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490513 */     GIR_RootConstrainSelectedInstOperands,
     /*  490514 */     // GIR_Coverage, 3866,
     /*  490514 */     GIR_EraseRootFromParent_Done,
     /*  490515 */   // Label 8309: @490515
     /*  490515 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(490590), // Rule ID 3867 //
     /*  490520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  490537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11301:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  490569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490588 */     GIR_RootConstrainSelectedInstOperands,
     /*  490589 */     // GIR_Coverage, 3867,
     /*  490589 */     GIR_EraseRootFromParent_Done,
     /*  490590 */   // Label 8310: @490590
     /*  490590 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(490665), // Rule ID 3870 //
     /*  490595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  490612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490641 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  490644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490663 */     GIR_RootConstrainSelectedInstOperands,
     /*  490664 */     // GIR_Coverage, 3870,
     /*  490664 */     GIR_EraseRootFromParent_Done,
     /*  490665 */   // Label 8311: @490665
     /*  490665 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(490740), // Rule ID 3871 //
     /*  490670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  490687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  490719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490738 */     GIR_RootConstrainSelectedInstOperands,
     /*  490739 */     // GIR_Coverage, 3871,
     /*  490739 */     GIR_EraseRootFromParent_Done,
     /*  490740 */   // Label 8312: @490740
     /*  490740 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(490815), // Rule ID 3874 //
     /*  490745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  490762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490791 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  490794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490813 */     GIR_RootConstrainSelectedInstOperands,
     /*  490814 */     // GIR_Coverage, 3874,
     /*  490814 */     GIR_EraseRootFromParent_Done,
     /*  490815 */   // Label 8313: @490815
     /*  490815 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(490890), // Rule ID 3875 //
     /*  490820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  490831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  490834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  490837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  490866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  490869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490888 */     GIR_RootConstrainSelectedInstOperands,
     /*  490889 */     // GIR_Coverage, 3875,
     /*  490889 */     GIR_EraseRootFromParent_Done,
     /*  490890 */   // Label 8314: @490890
     /*  490890 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(490965), // Rule ID 3878 //
     /*  490895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  490912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  490934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  490941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  490944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490963 */     GIR_RootConstrainSelectedInstOperands,
     /*  490964 */     // GIR_Coverage, 3878,
     /*  490964 */     GIR_EraseRootFromParent_Done,
     /*  490965 */   // Label 8315: @490965
     /*  490965 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(491040), // Rule ID 3879 //
     /*  490970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  490978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  490981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  490984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  490987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491016 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  491016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  491019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491038 */     GIR_RootConstrainSelectedInstOperands,
     /*  491039 */     // GIR_Coverage, 3879,
     /*  491039 */     GIR_EraseRootFromParent_Done,
     /*  491040 */   // Label 8316: @491040
     /*  491040 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(491115), // Rule ID 3882 //
     /*  491045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  491094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491113 */     GIR_RootConstrainSelectedInstOperands,
     /*  491114 */     // GIR_Coverage, 3882,
     /*  491114 */     GIR_EraseRootFromParent_Done,
     /*  491115 */   // Label 8317: @491115
     /*  491115 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(491190), // Rule ID 3883 //
     /*  491120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  491137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  491169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491188 */     GIR_RootConstrainSelectedInstOperands,
     /*  491189 */     // GIR_Coverage, 3883,
     /*  491189 */     GIR_EraseRootFromParent_Done,
     /*  491190 */   // Label 8318: @491190
     /*  491190 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(491265), // Rule ID 3886 //
     /*  491195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  491244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491263 */     GIR_RootConstrainSelectedInstOperands,
     /*  491264 */     // GIR_Coverage, 3886,
     /*  491264 */     GIR_EraseRootFromParent_Done,
     /*  491265 */   // Label 8319: @491265
     /*  491265 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(491340), // Rule ID 3887 //
     /*  491270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  491287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11301:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  491319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491338 */     GIR_RootConstrainSelectedInstOperands,
     /*  491339 */     // GIR_Coverage, 3887,
     /*  491339 */     GIR_EraseRootFromParent_Done,
     /*  491340 */   // Label 8320: @491340
     /*  491340 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(491415), // Rule ID 3890 //
     /*  491345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  491394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491413 */     GIR_RootConstrainSelectedInstOperands,
     /*  491414 */     // GIR_Coverage, 3890,
     /*  491414 */     GIR_EraseRootFromParent_Done,
     /*  491415 */   // Label 8321: @491415
     /*  491415 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(491490), // Rule ID 3891 //
     /*  491420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  491437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  491469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491488 */     GIR_RootConstrainSelectedInstOperands,
     /*  491489 */     // GIR_Coverage, 3891,
     /*  491489 */     GIR_EraseRootFromParent_Done,
     /*  491490 */   // Label 8322: @491490
     /*  491490 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(491565), // Rule ID 3894 //
     /*  491495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  491544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491563 */     GIR_RootConstrainSelectedInstOperands,
     /*  491564 */     // GIR_Coverage, 3894,
     /*  491564 */     GIR_EraseRootFromParent_Done,
     /*  491565 */   // Label 8323: @491565
     /*  491565 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(491640), // Rule ID 3895 //
     /*  491570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491616 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  491619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491638 */     GIR_RootConstrainSelectedInstOperands,
     /*  491639 */     // GIR_Coverage, 3895,
     /*  491639 */     GIR_EraseRootFromParent_Done,
     /*  491640 */   // Label 8324: @491640
     /*  491640 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(491715), // Rule ID 3898 //
     /*  491645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  491691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  491694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491713 */     GIR_RootConstrainSelectedInstOperands,
     /*  491714 */     // GIR_Coverage, 3898,
     /*  491714 */     GIR_EraseRootFromParent_Done,
     /*  491715 */   // Label 8325: @491715
     /*  491715 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(491790), // Rule ID 3899 //
     /*  491720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  491731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  491734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  491766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  491769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491788 */     GIR_RootConstrainSelectedInstOperands,
     /*  491789 */     // GIR_Coverage, 3899,
     /*  491789 */     GIR_EraseRootFromParent_Done,
     /*  491790 */   // Label 8326: @491790
     /*  491790 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(491865), // Rule ID 3902 //
     /*  491795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  491841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  491844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491863 */     GIR_RootConstrainSelectedInstOperands,
     /*  491864 */     // GIR_Coverage, 3902,
     /*  491864 */     GIR_EraseRootFromParent_Done,
     /*  491865 */   // Label 8327: @491865
     /*  491865 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(491940), // Rule ID 3903 //
     /*  491870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  491873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  491881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  491884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  491890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491916 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11301:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  491916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  491919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  491935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  491938 */     GIR_RootConstrainSelectedInstOperands,
     /*  491939 */     // GIR_Coverage, 3903,
     /*  491939 */     GIR_EraseRootFromParent_Done,
     /*  491940 */   // Label 8328: @491940
     /*  491940 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(492015), // Rule ID 3906 //
     /*  491945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  491948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  491953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  491956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  491959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  491965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  491984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  491991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  491994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  491998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492013 */     GIR_RootConstrainSelectedInstOperands,
     /*  492014 */     // GIR_Coverage, 3906,
     /*  492014 */     GIR_EraseRootFromParent_Done,
     /*  492015 */   // Label 8329: @492015
     /*  492015 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(492090), // Rule ID 3907 //
     /*  492020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  492028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  492037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11301:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  492069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492088 */     GIR_RootConstrainSelectedInstOperands,
     /*  492089 */     // GIR_Coverage, 3907,
     /*  492089 */     GIR_EraseRootFromParent_Done,
     /*  492090 */   // Label 8330: @492090
     /*  492090 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(492165), // Rule ID 3910 //
     /*  492095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  492103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492141 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  492141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  492144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492163 */     GIR_RootConstrainSelectedInstOperands,
     /*  492164 */     // GIR_Coverage, 3910,
     /*  492164 */     GIR_EraseRootFromParent_Done,
     /*  492165 */   // Label 8331: @492165
     /*  492165 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(492240), // Rule ID 3911 //
     /*  492170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  492178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  492187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11301:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  492219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492238 */     GIR_RootConstrainSelectedInstOperands,
     /*  492239 */     // GIR_Coverage, 3911,
     /*  492239 */     GIR_EraseRootFromParent_Done,
     /*  492240 */   // Label 8332: @492240
     /*  492240 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(492315), // Rule ID 3914 //
     /*  492245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  492253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  492265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  492291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  492294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492313 */     GIR_RootConstrainSelectedInstOperands,
     /*  492314 */     // GIR_Coverage, 3914,
     /*  492314 */     GIR_EraseRootFromParent_Done,
     /*  492315 */   // Label 8333: @492315
     /*  492315 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(492390), // Rule ID 3915 //
     /*  492320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  492328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  492340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  492359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492366 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11301:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  492366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  492369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492388 */     GIR_RootConstrainSelectedInstOperands,
     /*  492389 */     // GIR_Coverage, 3915,
     /*  492389 */     GIR_EraseRootFromParent_Done,
     /*  492390 */   // Label 8334: @492390
     /*  492390 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(492465), // Rule ID 3920 //
     /*  492395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  492444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492463 */     GIR_RootConstrainSelectedInstOperands,
     /*  492464 */     // GIR_Coverage, 3920,
     /*  492464 */     GIR_EraseRootFromParent_Done,
     /*  492465 */   // Label 8335: @492465
     /*  492465 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(492540), // Rule ID 3921 //
     /*  492470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  492481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  492484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  492487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  492490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  492519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492538 */     GIR_RootConstrainSelectedInstOperands,
     /*  492539 */     // GIR_Coverage, 3921,
     /*  492539 */     GIR_EraseRootFromParent_Done,
     /*  492540 */   // Label 8336: @492540
     /*  492540 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(492615), // Rule ID 3930 //
     /*  492545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  492594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492613 */     GIR_RootConstrainSelectedInstOperands,
     /*  492614 */     // GIR_Coverage, 3930,
     /*  492614 */     GIR_EraseRootFromParent_Done,
     /*  492615 */   // Label 8337: @492615
     /*  492615 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(492690), // Rule ID 3931 //
     /*  492620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  492631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  492634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  492637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  492640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  492669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492688 */     GIR_RootConstrainSelectedInstOperands,
     /*  492689 */     // GIR_Coverage, 3931,
     /*  492689 */     GIR_EraseRootFromParent_Done,
     /*  492690 */   // Label 8338: @492690
     /*  492690 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(492765), // Rule ID 3940 //
     /*  492695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  492744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492763 */     GIR_RootConstrainSelectedInstOperands,
     /*  492764 */     // GIR_Coverage, 3940,
     /*  492764 */     GIR_EraseRootFromParent_Done,
     /*  492765 */   // Label 8339: @492765
     /*  492765 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(492840), // Rule ID 3941 //
     /*  492770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  492781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  492784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  492787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  492790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  492819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492838 */     GIR_RootConstrainSelectedInstOperands,
     /*  492839 */     // GIR_Coverage, 3941,
     /*  492839 */     GIR_EraseRootFromParent_Done,
     /*  492840 */   // Label 8340: @492840
     /*  492840 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(492915), // Rule ID 3950 //
     /*  492845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  492865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  492891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  492894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492913 */     GIR_RootConstrainSelectedInstOperands,
     /*  492914 */     // GIR_Coverage, 3950,
     /*  492914 */     GIR_EraseRootFromParent_Done,
     /*  492915 */   // Label 8341: @492915
     /*  492915 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(492990), // Rule ID 3951 //
     /*  492920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  492931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  492934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  492937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  492940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  492966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  492969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  492973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  492988 */     GIR_RootConstrainSelectedInstOperands,
     /*  492989 */     // GIR_Coverage, 3951,
     /*  492989 */     GIR_EraseRootFromParent_Done,
     /*  492990 */   // Label 8342: @492990
     /*  492990 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(493065), // Rule ID 3960 //
     /*  492995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  493041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  493044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493063 */     GIR_RootConstrainSelectedInstOperands,
     /*  493064 */     // GIR_Coverage, 3960,
     /*  493064 */     GIR_EraseRootFromParent_Done,
     /*  493065 */   // Label 8343: @493065
     /*  493065 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(493140), // Rule ID 3961 //
     /*  493070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  493116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  493119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493138 */     GIR_RootConstrainSelectedInstOperands,
     /*  493139 */     // GIR_Coverage, 3961,
     /*  493139 */     GIR_EraseRootFromParent_Done,
     /*  493140 */   // Label 8344: @493140
     /*  493140 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(493215), // Rule ID 3970 //
     /*  493145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  493194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493213 */     GIR_RootConstrainSelectedInstOperands,
     /*  493214 */     // GIR_Coverage, 3970,
     /*  493214 */     GIR_EraseRootFromParent_Done,
     /*  493215 */   // Label 8345: @493215
     /*  493215 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(493290), // Rule ID 3971 //
     /*  493220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  493269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493288 */     GIR_RootConstrainSelectedInstOperands,
     /*  493289 */     // GIR_Coverage, 3971,
     /*  493289 */     GIR_EraseRootFromParent_Done,
     /*  493290 */   // Label 8346: @493290
     /*  493290 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(493365), // Rule ID 3980 //
     /*  493295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  493344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493363 */     GIR_RootConstrainSelectedInstOperands,
     /*  493364 */     // GIR_Coverage, 3980,
     /*  493364 */     GIR_EraseRootFromParent_Done,
     /*  493365 */   // Label 8347: @493365
     /*  493365 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(493440), // Rule ID 3981 //
     /*  493370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  493419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493438 */     GIR_RootConstrainSelectedInstOperands,
     /*  493439 */     // GIR_Coverage, 3981,
     /*  493439 */     GIR_EraseRootFromParent_Done,
     /*  493440 */   // Label 8348: @493440
     /*  493440 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(493515), // Rule ID 3990 //
     /*  493445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  493494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493513 */     GIR_RootConstrainSelectedInstOperands,
     /*  493514 */     // GIR_Coverage, 3990,
     /*  493514 */     GIR_EraseRootFromParent_Done,
     /*  493515 */   // Label 8349: @493515
     /*  493515 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(493590), // Rule ID 3991 //
     /*  493520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  493531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  493534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  493537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  493540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  493569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493588 */     GIR_RootConstrainSelectedInstOperands,
     /*  493589 */     // GIR_Coverage, 3991,
     /*  493589 */     GIR_EraseRootFromParent_Done,
     /*  493590 */   // Label 8350: @493590
     /*  493590 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(493665), // Rule ID 4000 //
     /*  493595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  493644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493663 */     GIR_RootConstrainSelectedInstOperands,
     /*  493664 */     // GIR_Coverage, 4000,
     /*  493664 */     GIR_EraseRootFromParent_Done,
     /*  493665 */   // Label 8351: @493665
     /*  493665 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(493740), // Rule ID 4001 //
     /*  493670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  493681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  493684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  493687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  493690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  493719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493738 */     GIR_RootConstrainSelectedInstOperands,
     /*  493739 */     // GIR_Coverage, 4001,
     /*  493739 */     GIR_EraseRootFromParent_Done,
     /*  493740 */   // Label 8352: @493740
     /*  493740 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(493815), // Rule ID 4010 //
     /*  493745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  493791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  493794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493813 */     GIR_RootConstrainSelectedInstOperands,
     /*  493814 */     // GIR_Coverage, 4010,
     /*  493814 */     GIR_EraseRootFromParent_Done,
     /*  493815 */   // Label 8353: @493815
     /*  493815 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(493890), // Rule ID 4011 //
     /*  493820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  493831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  493834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  493837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  493840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  493866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  493869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493888 */     GIR_RootConstrainSelectedInstOperands,
     /*  493889 */     // GIR_Coverage, 4011,
     /*  493889 */     GIR_EraseRootFromParent_Done,
     /*  493890 */   // Label 8354: @493890
     /*  493890 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(493965), // Rule ID 4020 //
     /*  493895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  493898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  493906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  493909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  493912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  493915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  493941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  493944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  493948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  493960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  493963 */     GIR_RootConstrainSelectedInstOperands,
     /*  493964 */     // GIR_Coverage, 4020,
     /*  493964 */     GIR_EraseRootFromParent_Done,
     /*  493965 */   // Label 8355: @493965
     /*  493965 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(494040), // Rule ID 4021 //
     /*  493970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  493973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  493978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  493981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  493984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  493987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  493990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  494019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494038 */     GIR_RootConstrainSelectedInstOperands,
     /*  494039 */     // GIR_Coverage, 4021,
     /*  494039 */     GIR_EraseRootFromParent_Done,
     /*  494040 */   // Label 8356: @494040
     /*  494040 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(494115), // Rule ID 4030 //
     /*  494045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  494094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494113 */     GIR_RootConstrainSelectedInstOperands,
     /*  494114 */     // GIR_Coverage, 4030,
     /*  494114 */     GIR_EraseRootFromParent_Done,
     /*  494115 */   // Label 8357: @494115
     /*  494115 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(494190), // Rule ID 4031 //
     /*  494120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  494169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494188 */     GIR_RootConstrainSelectedInstOperands,
     /*  494189 */     // GIR_Coverage, 4031,
     /*  494189 */     GIR_EraseRootFromParent_Done,
     /*  494190 */   // Label 8358: @494190
     /*  494190 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(494265), // Rule ID 4040 //
     /*  494195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  494244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494263 */     GIR_RootConstrainSelectedInstOperands,
     /*  494264 */     // GIR_Coverage, 4040,
     /*  494264 */     GIR_EraseRootFromParent_Done,
     /*  494265 */   // Label 8359: @494265
     /*  494265 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(494340), // Rule ID 4041 //
     /*  494270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  494319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494338 */     GIR_RootConstrainSelectedInstOperands,
     /*  494339 */     // GIR_Coverage, 4041,
     /*  494339 */     GIR_EraseRootFromParent_Done,
     /*  494340 */   // Label 8360: @494340
     /*  494340 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(494415), // Rule ID 4050 //
     /*  494345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  494391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  494394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494413 */     GIR_RootConstrainSelectedInstOperands,
     /*  494414 */     // GIR_Coverage, 4050,
     /*  494414 */     GIR_EraseRootFromParent_Done,
     /*  494415 */   // Label 8361: @494415
     /*  494415 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(494490), // Rule ID 4051 //
     /*  494420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  494431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  494434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  494437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  494440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  494466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  494469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494488 */     GIR_RootConstrainSelectedInstOperands,
     /*  494489 */     // GIR_Coverage, 4051,
     /*  494489 */     GIR_EraseRootFromParent_Done,
     /*  494490 */   // Label 8362: @494490
     /*  494490 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(494565), // Rule ID 4058 //
     /*  494495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  494544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494563 */     GIR_RootConstrainSelectedInstOperands,
     /*  494564 */     // GIR_Coverage, 4058,
     /*  494564 */     GIR_EraseRootFromParent_Done,
     /*  494565 */   // Label 8363: @494565
     /*  494565 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(494640), // Rule ID 4059 //
     /*  494570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  494581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  494584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  494587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  494616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  494619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494638 */     GIR_RootConstrainSelectedInstOperands,
     /*  494639 */     // GIR_Coverage, 4059,
     /*  494639 */     GIR_EraseRootFromParent_Done,
     /*  494640 */   // Label 8364: @494640
     /*  494640 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(494715), // Rule ID 4062 //
     /*  494645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  494694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494713 */     GIR_RootConstrainSelectedInstOperands,
     /*  494714 */     // GIR_Coverage, 4062,
     /*  494714 */     GIR_EraseRootFromParent_Done,
     /*  494715 */   // Label 8365: @494715
     /*  494715 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(494790), // Rule ID 4063 //
     /*  494720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  494731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  494734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  494737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  494766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  494769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494788 */     GIR_RootConstrainSelectedInstOperands,
     /*  494789 */     // GIR_Coverage, 4063,
     /*  494789 */     GIR_EraseRootFromParent_Done,
     /*  494790 */   // Label 8366: @494790
     /*  494790 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(494865), // Rule ID 4066 //
     /*  494795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  494844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494863 */     GIR_RootConstrainSelectedInstOperands,
     /*  494864 */     // GIR_Coverage, 4066,
     /*  494864 */     GIR_EraseRootFromParent_Done,
     /*  494865 */   // Label 8367: @494865
     /*  494865 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(494940), // Rule ID 4067 //
     /*  494870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  494881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  494884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  494887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  494890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11279:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  494916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  494919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  494935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  494938 */     GIR_RootConstrainSelectedInstOperands,
     /*  494939 */     // GIR_Coverage, 4067,
     /*  494939 */     GIR_EraseRootFromParent_Done,
     /*  494940 */   // Label 8368: @494940
     /*  494940 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(495015), // Rule ID 4070 //
     /*  494945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  494953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  494956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  494959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  494962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  494965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  494984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  494991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  494994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  494998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495013 */     GIR_RootConstrainSelectedInstOperands,
     /*  495014 */     // GIR_Coverage, 4070,
     /*  495014 */     GIR_EraseRootFromParent_Done,
     /*  495015 */   // Label 8369: @495015
     /*  495015 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(495090), // Rule ID 4071 //
     /*  495020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  495069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495088 */     GIR_RootConstrainSelectedInstOperands,
     /*  495089 */     // GIR_Coverage, 4071,
     /*  495089 */     GIR_EraseRootFromParent_Done,
     /*  495090 */   // Label 8370: @495090
     /*  495090 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(495165), // Rule ID 4074 //
     /*  495095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  495141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  495144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495163 */     GIR_RootConstrainSelectedInstOperands,
     /*  495164 */     // GIR_Coverage, 4074,
     /*  495164 */     GIR_EraseRootFromParent_Done,
     /*  495165 */   // Label 8371: @495165
     /*  495165 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(495240), // Rule ID 4075 //
     /*  495170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  495219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495238 */     GIR_RootConstrainSelectedInstOperands,
     /*  495239 */     // GIR_Coverage, 4075,
     /*  495239 */     GIR_EraseRootFromParent_Done,
     /*  495240 */   // Label 8372: @495240
     /*  495240 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(495315), // Rule ID 4078 //
     /*  495245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  495291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  495294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495313 */     GIR_RootConstrainSelectedInstOperands,
     /*  495314 */     // GIR_Coverage, 4078,
     /*  495314 */     GIR_EraseRootFromParent_Done,
     /*  495315 */   // Label 8373: @495315
     /*  495315 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(495390), // Rule ID 4079 //
     /*  495320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  495331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  495334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  495337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  495366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  495369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495388 */     GIR_RootConstrainSelectedInstOperands,
     /*  495389 */     // GIR_Coverage, 4079,
     /*  495389 */     GIR_EraseRootFromParent_Done,
     /*  495390 */   // Label 8374: @495390
     /*  495390 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(495465), // Rule ID 4082 //
     /*  495395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  495444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495463 */     GIR_RootConstrainSelectedInstOperands,
     /*  495464 */     // GIR_Coverage, 4082,
     /*  495464 */     GIR_EraseRootFromParent_Done,
     /*  495465 */   // Label 8375: @495465
     /*  495465 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(495540), // Rule ID 4083 //
     /*  495470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  495481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  495484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  495487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  495519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495538 */     GIR_RootConstrainSelectedInstOperands,
     /*  495539 */     // GIR_Coverage, 4083,
     /*  495539 */     GIR_EraseRootFromParent_Done,
     /*  495540 */   // Label 8376: @495540
     /*  495540 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(495615), // Rule ID 4086 //
     /*  495545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  495594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495613 */     GIR_RootConstrainSelectedInstOperands,
     /*  495614 */     // GIR_Coverage, 4086,
     /*  495614 */     GIR_EraseRootFromParent_Done,
     /*  495615 */   // Label 8377: @495615
     /*  495615 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(495690), // Rule ID 4087 //
     /*  495620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  495631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  495634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  495637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  495669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495688 */     GIR_RootConstrainSelectedInstOperands,
     /*  495689 */     // GIR_Coverage, 4087,
     /*  495689 */     GIR_EraseRootFromParent_Done,
     /*  495690 */   // Label 8378: @495690
     /*  495690 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(495765), // Rule ID 4090 //
     /*  495695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  495744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495763 */     GIR_RootConstrainSelectedInstOperands,
     /*  495764 */     // GIR_Coverage, 4090,
     /*  495764 */     GIR_EraseRootFromParent_Done,
     /*  495765 */   // Label 8379: @495765
     /*  495765 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(495840), // Rule ID 4091 //
     /*  495770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  495781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  495784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  495787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  495819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495838 */     GIR_RootConstrainSelectedInstOperands,
     /*  495839 */     // GIR_Coverage, 4091,
     /*  495839 */     GIR_EraseRootFromParent_Done,
     /*  495840 */   // Label 8380: @495840
     /*  495840 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(495915), // Rule ID 4094 //
     /*  495845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  495865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  495891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  495894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495913 */     GIR_RootConstrainSelectedInstOperands,
     /*  495914 */     // GIR_Coverage, 4094,
     /*  495914 */     GIR_EraseRootFromParent_Done,
     /*  495915 */   // Label 8381: @495915
     /*  495915 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(495990), // Rule ID 4095 //
     /*  495920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  495928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  495931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  495934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  495937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  495940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  495959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  495966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  495969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  495973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  495985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  495988 */     GIR_RootConstrainSelectedInstOperands,
     /*  495989 */     // GIR_Coverage, 4095,
     /*  495989 */     GIR_EraseRootFromParent_Done,
     /*  495990 */   // Label 8382: @495990
     /*  495990 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(496065), // Rule ID 4098 //
     /*  495995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496041 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  496041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  496044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496063 */     GIR_RootConstrainSelectedInstOperands,
     /*  496064 */     // GIR_Coverage, 4098,
     /*  496064 */     GIR_EraseRootFromParent_Done,
     /*  496065 */   // Label 8383: @496065
     /*  496065 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(496140), // Rule ID 4099 //
     /*  496070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  496116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  496119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496138 */     GIR_RootConstrainSelectedInstOperands,
     /*  496139 */     // GIR_Coverage, 4099,
     /*  496139 */     GIR_EraseRootFromParent_Done,
     /*  496140 */   // Label 8384: @496140
     /*  496140 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(496215), // Rule ID 4102 //
     /*  496145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496191 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  496194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496213 */     GIR_RootConstrainSelectedInstOperands,
     /*  496214 */     // GIR_Coverage, 4102,
     /*  496214 */     GIR_EraseRootFromParent_Done,
     /*  496215 */   // Label 8385: @496215
     /*  496215 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(496290), // Rule ID 4103 //
     /*  496220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  496269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496288 */     GIR_RootConstrainSelectedInstOperands,
     /*  496289 */     // GIR_Coverage, 4103,
     /*  496289 */     GIR_EraseRootFromParent_Done,
     /*  496290 */   // Label 8386: @496290
     /*  496290 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(496365), // Rule ID 4106 //
     /*  496295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  496344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496363 */     GIR_RootConstrainSelectedInstOperands,
     /*  496364 */     // GIR_Coverage, 4106,
     /*  496364 */     GIR_EraseRootFromParent_Done,
     /*  496365 */   // Label 8387: @496365
     /*  496365 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(496440), // Rule ID 4107 //
     /*  496370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  496381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  496384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  496387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  496419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496438 */     GIR_RootConstrainSelectedInstOperands,
     /*  496439 */     // GIR_Coverage, 4107,
     /*  496439 */     GIR_EraseRootFromParent_Done,
     /*  496440 */   // Label 8388: @496440
     /*  496440 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(496515), // Rule ID 4110 //
     /*  496445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  496494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496513 */     GIR_RootConstrainSelectedInstOperands,
     /*  496514 */     // GIR_Coverage, 4110,
     /*  496514 */     GIR_EraseRootFromParent_Done,
     /*  496515 */   // Label 8389: @496515
     /*  496515 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(496590), // Rule ID 4111 //
     /*  496520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  496531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  496534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  496537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  496569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496588 */     GIR_RootConstrainSelectedInstOperands,
     /*  496589 */     // GIR_Coverage, 4111,
     /*  496589 */     GIR_EraseRootFromParent_Done,
     /*  496590 */   // Label 8390: @496590
     /*  496590 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(496665), // Rule ID 4114 //
     /*  496595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  496615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  496641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  496644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496663 */     GIR_RootConstrainSelectedInstOperands,
     /*  496664 */     // GIR_Coverage, 4114,
     /*  496664 */     GIR_EraseRootFromParent_Done,
     /*  496665 */   // Label 8391: @496665
     /*  496665 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(496740), // Rule ID 4115 //
     /*  496670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  496673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  496678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  496681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  496684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  496687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  496690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  496709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496716 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  496716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  496719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  496735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496738 */     GIR_RootConstrainSelectedInstOperands,
     /*  496739 */     // GIR_Coverage, 4115,
     /*  496739 */     GIR_EraseRootFromParent_Done,
     /*  496740 */   // Label 8392: @496740
     /*  496740 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(496815), // Rule ID 4120 //
     /*  496745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  496762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  496765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496791 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  496791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  496794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496813 */     GIR_RootConstrainSelectedInstOperands,
     /*  496814 */     // GIR_Coverage, 4120,
     /*  496814 */     GIR_EraseRootFromParent_Done,
     /*  496815 */   // Label 8393: @496815
     /*  496815 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(496890), // Rule ID 4121 //
     /*  496820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  496831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  496834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  496837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  496840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  496866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  496869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496888 */     GIR_RootConstrainSelectedInstOperands,
     /*  496889 */     // GIR_Coverage, 4121,
     /*  496889 */     GIR_EraseRootFromParent_Done,
     /*  496890 */   // Label 8394: @496890
     /*  496890 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(496965), // Rule ID 4130 //
     /*  496895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  496906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  496909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  496912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  496915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496941 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  496941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  496944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  496948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  496963 */     GIR_RootConstrainSelectedInstOperands,
     /*  496964 */     // GIR_Coverage, 4130,
     /*  496964 */     GIR_EraseRootFromParent_Done,
     /*  496965 */   // Label 8395: @496965
     /*  496965 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(497040), // Rule ID 4131 //
     /*  496970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  496978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  496981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  496984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  496987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  496990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  497019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497038 */     GIR_RootConstrainSelectedInstOperands,
     /*  497039 */     // GIR_Coverage, 4131,
     /*  497039 */     GIR_EraseRootFromParent_Done,
     /*  497040 */   // Label 8396: @497040
     /*  497040 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(497115), // Rule ID 4140 //
     /*  497045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  497094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497113 */     GIR_RootConstrainSelectedInstOperands,
     /*  497114 */     // GIR_Coverage, 4140,
     /*  497114 */     GIR_EraseRootFromParent_Done,
     /*  497115 */   // Label 8397: @497115
     /*  497115 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(497190), // Rule ID 4141 //
     /*  497120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  497169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497188 */     GIR_RootConstrainSelectedInstOperands,
     /*  497189 */     // GIR_Coverage, 4141,
     /*  497189 */     GIR_EraseRootFromParent_Done,
     /*  497190 */   // Label 8398: @497190
     /*  497190 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(497265), // Rule ID 4150 //
     /*  497195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  497244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497263 */     GIR_RootConstrainSelectedInstOperands,
     /*  497264 */     // GIR_Coverage, 4150,
     /*  497264 */     GIR_EraseRootFromParent_Done,
     /*  497265 */   // Label 8399: @497265
     /*  497265 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(497340), // Rule ID 4151 //
     /*  497270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  497281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  497284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  497287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  497290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  497319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497338 */     GIR_RootConstrainSelectedInstOperands,
     /*  497339 */     // GIR_Coverage, 4151,
     /*  497339 */     GIR_EraseRootFromParent_Done,
     /*  497340 */   // Label 8400: @497340
     /*  497340 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(497415), // Rule ID 4160 //
     /*  497345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  497394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497413 */     GIR_RootConstrainSelectedInstOperands,
     /*  497414 */     // GIR_Coverage, 4160,
     /*  497414 */     GIR_EraseRootFromParent_Done,
     /*  497415 */   // Label 8401: @497415
     /*  497415 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(497490), // Rule ID 4161 //
     /*  497420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  497431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  497434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  497437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  497440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  497469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497488 */     GIR_RootConstrainSelectedInstOperands,
     /*  497489 */     // GIR_Coverage, 4161,
     /*  497489 */     GIR_EraseRootFromParent_Done,
     /*  497490 */   // Label 8402: @497490
     /*  497490 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(497565), // Rule ID 4170 //
     /*  497495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  497515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  497541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  497544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497563 */     GIR_RootConstrainSelectedInstOperands,
     /*  497564 */     // GIR_Coverage, 4170,
     /*  497564 */     GIR_EraseRootFromParent_Done,
     /*  497565 */   // Label 8403: @497565
     /*  497565 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(497640), // Rule ID 4171 //
     /*  497570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  497581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  497584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  497587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  497590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497616 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  497616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  497619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497638 */     GIR_RootConstrainSelectedInstOperands,
     /*  497639 */     // GIR_Coverage, 4171,
     /*  497639 */     GIR_EraseRootFromParent_Done,
     /*  497640 */   // Label 8404: @497640
     /*  497640 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(497715), // Rule ID 4180 //
     /*  497645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  497665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  497691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  497694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497713 */     GIR_RootConstrainSelectedInstOperands,
     /*  497714 */     // GIR_Coverage, 4180,
     /*  497714 */     GIR_EraseRootFromParent_Done,
     /*  497715 */   // Label 8405: @497715
     /*  497715 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(497790), // Rule ID 4181 //
     /*  497720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  497731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  497734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  497737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  497740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  497766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  497769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497788 */     GIR_RootConstrainSelectedInstOperands,
     /*  497789 */     // GIR_Coverage, 4181,
     /*  497789 */     GIR_EraseRootFromParent_Done,
     /*  497790 */   // Label 8406: @497790
     /*  497790 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(497865), // Rule ID 4190 //
     /*  497795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  497815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  497841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  497844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497863 */     GIR_RootConstrainSelectedInstOperands,
     /*  497864 */     // GIR_Coverage, 4190,
     /*  497864 */     GIR_EraseRootFromParent_Done,
     /*  497865 */   // Label 8407: @497865
     /*  497865 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(497940), // Rule ID 4191 //
     /*  497870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  497881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  497884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  497887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  497890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  497916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  497919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  497935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  497938 */     GIR_RootConstrainSelectedInstOperands,
     /*  497939 */     // GIR_Coverage, 4191,
     /*  497939 */     GIR_EraseRootFromParent_Done,
     /*  497940 */   // Label 8408: @497940
     /*  497940 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(498015), // Rule ID 4200 //
     /*  497945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  497953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  497956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  497959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  497962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  497965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  497991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  497994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  497998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498013 */     GIR_RootConstrainSelectedInstOperands,
     /*  498014 */     // GIR_Coverage, 4200,
     /*  498014 */     GIR_EraseRootFromParent_Done,
     /*  498015 */   // Label 8409: @498015
     /*  498015 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(498090), // Rule ID 4201 //
     /*  498020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  498069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498088 */     GIR_RootConstrainSelectedInstOperands,
     /*  498089 */     // GIR_Coverage, 4201,
     /*  498089 */     GIR_EraseRootFromParent_Done,
     /*  498090 */   // Label 8410: @498090
     /*  498090 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(498165), // Rule ID 4210 //
     /*  498095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  498141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  498144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498163 */     GIR_RootConstrainSelectedInstOperands,
     /*  498164 */     // GIR_Coverage, 4210,
     /*  498164 */     GIR_EraseRootFromParent_Done,
     /*  498165 */   // Label 8411: @498165
     /*  498165 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(498240), // Rule ID 4211 //
     /*  498170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  498181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  498184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  498187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  498190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  498219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498238 */     GIR_RootConstrainSelectedInstOperands,
     /*  498239 */     // GIR_Coverage, 4211,
     /*  498239 */     GIR_EraseRootFromParent_Done,
     /*  498240 */   // Label 8412: @498240
     /*  498240 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(498315), // Rule ID 4220 //
     /*  498245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  498291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  498294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498313 */     GIR_RootConstrainSelectedInstOperands,
     /*  498314 */     // GIR_Coverage, 4220,
     /*  498314 */     GIR_EraseRootFromParent_Done,
     /*  498315 */   // Label 8413: @498315
     /*  498315 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(498390), // Rule ID 4221 //
     /*  498320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  498331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  498334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  498337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  498340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  498366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  498369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498388 */     GIR_RootConstrainSelectedInstOperands,
     /*  498389 */     // GIR_Coverage, 4221,
     /*  498389 */     GIR_EraseRootFromParent_Done,
     /*  498390 */   // Label 8414: @498390
     /*  498390 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(498465), // Rule ID 4230 //
     /*  498395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  498444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498463 */     GIR_RootConstrainSelectedInstOperands,
     /*  498464 */     // GIR_Coverage, 4230,
     /*  498464 */     GIR_EraseRootFromParent_Done,
     /*  498465 */   // Label 8415: @498465
     /*  498465 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(498540), // Rule ID 4231 //
     /*  498470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  498481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  498484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  498487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  498490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  498519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498538 */     GIR_RootConstrainSelectedInstOperands,
     /*  498539 */     // GIR_Coverage, 4231,
     /*  498539 */     GIR_EraseRootFromParent_Done,
     /*  498540 */   // Label 8416: @498540
     /*  498540 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(498615), // Rule ID 4240 //
     /*  498545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  498565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498591 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  498594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498613 */     GIR_RootConstrainSelectedInstOperands,
     /*  498614 */     // GIR_Coverage, 4240,
     /*  498614 */     GIR_EraseRootFromParent_Done,
     /*  498615 */   // Label 8417: @498615
     /*  498615 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(498690), // Rule ID 4241 //
     /*  498620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  498631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  498634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  498637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  498640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  498669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498688 */     GIR_RootConstrainSelectedInstOperands,
     /*  498689 */     // GIR_Coverage, 4241,
     /*  498689 */     GIR_EraseRootFromParent_Done,
     /*  498690 */   // Label 8418: @498690
     /*  498690 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(498765), // Rule ID 4250 //
     /*  498695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  498712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  498715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498741 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  498744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498763 */     GIR_RootConstrainSelectedInstOperands,
     /*  498764 */     // GIR_Coverage, 4250,
     /*  498764 */     GIR_EraseRootFromParent_Done,
     /*  498765 */   // Label 8419: @498765
     /*  498765 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(498840), // Rule ID 4251 //
     /*  498770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  498781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  498784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  498787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  498790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  498819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498838 */     GIR_RootConstrainSelectedInstOperands,
     /*  498839 */     // GIR_Coverage, 4251,
     /*  498839 */     GIR_EraseRootFromParent_Done,
     /*  498840 */   // Label 8420: @498840
     /*  498840 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(498915), // Rule ID 4260 //
     /*  498845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  498848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  498862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  498865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  498891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  498894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498913 */     GIR_RootConstrainSelectedInstOperands,
     /*  498914 */     // GIR_Coverage, 4260,
     /*  498914 */     GIR_EraseRootFromParent_Done,
     /*  498915 */   // Label 8421: @498915
     /*  498915 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(498990), // Rule ID 4261 //
     /*  498920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  498923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  498928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  498931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  498934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  498937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  498940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  498966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  498969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  498973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  498985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  498988 */     GIR_RootConstrainSelectedInstOperands,
     /*  498989 */     // GIR_Coverage, 4261,
     /*  498989 */     GIR_EraseRootFromParent_Done,
     /*  498990 */   // Label 8422: @498990
     /*  498990 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(499065), // Rule ID 4268 //
     /*  498995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  499012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499041 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  499044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499063 */     GIR_RootConstrainSelectedInstOperands,
     /*  499064 */     // GIR_Coverage, 4268,
     /*  499064 */     GIR_EraseRootFromParent_Done,
     /*  499065 */   // Label 8423: @499065
     /*  499065 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(499140), // Rule ID 4269 //
     /*  499070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  499081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  499084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  499087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  499119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499138 */     GIR_RootConstrainSelectedInstOperands,
     /*  499139 */     // GIR_Coverage, 4269,
     /*  499139 */     GIR_EraseRootFromParent_Done,
     /*  499140 */   // Label 8424: @499140
     /*  499140 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(499215), // Rule ID 4272 //
     /*  499145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  499162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  499194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499213 */     GIR_RootConstrainSelectedInstOperands,
     /*  499214 */     // GIR_Coverage, 4272,
     /*  499214 */     GIR_EraseRootFromParent_Done,
     /*  499215 */   // Label 8425: @499215
     /*  499215 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(499290), // Rule ID 4273 //
     /*  499220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  499231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  499234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  499237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  499269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499288 */     GIR_RootConstrainSelectedInstOperands,
     /*  499289 */     // GIR_Coverage, 4273,
     /*  499289 */     GIR_EraseRootFromParent_Done,
     /*  499290 */   // Label 8426: @499290
     /*  499290 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(499365), // Rule ID 4276 //
     /*  499295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  499306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  499309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  499312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  499344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499363 */     GIR_RootConstrainSelectedInstOperands,
     /*  499364 */     // GIR_Coverage, 4276,
     /*  499364 */     GIR_EraseRootFromParent_Done,
     /*  499365 */   // Label 8427: @499365
     /*  499365 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(499440), // Rule ID 4277 //
     /*  499370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  499381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  499384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  499387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11307:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  499419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499438 */     GIR_RootConstrainSelectedInstOperands,
     /*  499439 */     // GIR_Coverage, 4277,
     /*  499439 */     GIR_EraseRootFromParent_Done,
     /*  499440 */   // Label 8428: @499440
     /*  499440 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(499515), // Rule ID 4280 //
     /*  499445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  499456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  499459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  499462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  499494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499513 */     GIR_RootConstrainSelectedInstOperands,
     /*  499514 */     // GIR_Coverage, 4280,
     /*  499514 */     GIR_EraseRootFromParent_Done,
     /*  499515 */   // Label 8429: @499515
     /*  499515 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(499590), // Rule ID 4281 //
     /*  499520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  499531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  499534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  499537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  499569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499588 */     GIR_RootConstrainSelectedInstOperands,
     /*  499589 */     // GIR_Coverage, 4281,
     /*  499589 */     GIR_EraseRootFromParent_Done,
     /*  499590 */   // Label 8430: @499590
     /*  499590 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(499665), // Rule ID 4284 //
     /*  499595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  499606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  499609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  499612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  499644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499663 */     GIR_RootConstrainSelectedInstOperands,
     /*  499664 */     // GIR_Coverage, 4284,
     /*  499664 */     GIR_EraseRootFromParent_Done,
     /*  499665 */   // Label 8431: @499665
     /*  499665 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(499740), // Rule ID 4285 //
     /*  499670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  499681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  499684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  499687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  499719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499738 */     GIR_RootConstrainSelectedInstOperands,
     /*  499739 */     // GIR_Coverage, 4285,
     /*  499739 */     GIR_EraseRootFromParent_Done,
     /*  499740 */   // Label 8432: @499740
     /*  499740 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(499815), // Rule ID 4288 //
     /*  499745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  499756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  499759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  499762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  499791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  499794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499813 */     GIR_RootConstrainSelectedInstOperands,
     /*  499814 */     // GIR_Coverage, 4288,
     /*  499814 */     GIR_EraseRootFromParent_Done,
     /*  499815 */   // Label 8433: @499815
     /*  499815 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(499890), // Rule ID 4289 //
     /*  499820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  499831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  499834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  499837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  499866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  499869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  499885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499888 */     GIR_RootConstrainSelectedInstOperands,
     /*  499889 */     // GIR_Coverage, 4289,
     /*  499889 */     GIR_EraseRootFromParent_Done,
     /*  499890 */   // Label 8434: @499890
     /*  499890 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(499965), // Rule ID 4292 //
     /*  499895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  499934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  499941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  499944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  499948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  499963 */     GIR_RootConstrainSelectedInstOperands,
     /*  499964 */     // GIR_Coverage, 4292,
     /*  499964 */     GIR_EraseRootFromParent_Done,
     /*  499965 */   // Label 8435: @499965
     /*  499965 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(500040), // Rule ID 4293 //
     /*  499970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  499978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  499981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  499984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  499987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  499990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  500019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500038 */     GIR_RootConstrainSelectedInstOperands,
     /*  500039 */     // GIR_Coverage, 4293,
     /*  500039 */     GIR_EraseRootFromParent_Done,
     /*  500040 */   // Label 8436: @500040
     /*  500040 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(500115), // Rule ID 4296 //
     /*  500045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  500094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500113 */     GIR_RootConstrainSelectedInstOperands,
     /*  500114 */     // GIR_Coverage, 4296,
     /*  500114 */     GIR_EraseRootFromParent_Done,
     /*  500115 */   // Label 8437: @500115
     /*  500115 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(500190), // Rule ID 4297 //
     /*  500120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  500131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  500134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  500137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  500169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500188 */     GIR_RootConstrainSelectedInstOperands,
     /*  500189 */     // GIR_Coverage, 4297,
     /*  500189 */     GIR_EraseRootFromParent_Done,
     /*  500190 */   // Label 8438: @500190
     /*  500190 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(500265), // Rule ID 4300 //
     /*  500195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  500244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500263 */     GIR_RootConstrainSelectedInstOperands,
     /*  500264 */     // GIR_Coverage, 4300,
     /*  500264 */     GIR_EraseRootFromParent_Done,
     /*  500265 */   // Label 8439: @500265
     /*  500265 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(500340), // Rule ID 4301 //
     /*  500270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  500281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  500284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  500287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  500319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500338 */     GIR_RootConstrainSelectedInstOperands,
     /*  500339 */     // GIR_Coverage, 4301,
     /*  500339 */     GIR_EraseRootFromParent_Done,
     /*  500340 */   // Label 8440: @500340
     /*  500340 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(500415), // Rule ID 4304 //
     /*  500345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  500394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500413 */     GIR_RootConstrainSelectedInstOperands,
     /*  500414 */     // GIR_Coverage, 4304,
     /*  500414 */     GIR_EraseRootFromParent_Done,
     /*  500415 */   // Label 8441: @500415
     /*  500415 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(500490), // Rule ID 4305 //
     /*  500420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  500431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  500434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  500437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  500469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500488 */     GIR_RootConstrainSelectedInstOperands,
     /*  500489 */     // GIR_Coverage, 4305,
     /*  500489 */     GIR_EraseRootFromParent_Done,
     /*  500490 */   // Label 8442: @500490
     /*  500490 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(500565), // Rule ID 4308 //
     /*  500495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  500541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  500544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500563 */     GIR_RootConstrainSelectedInstOperands,
     /*  500564 */     // GIR_Coverage, 4308,
     /*  500564 */     GIR_EraseRootFromParent_Done,
     /*  500565 */   // Label 8443: @500565
     /*  500565 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(500640), // Rule ID 4309 //
     /*  500570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  500581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  500584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  500587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  500605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  500616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  500619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500638 */     GIR_RootConstrainSelectedInstOperands,
     /*  500639 */     // GIR_Coverage, 4309,
     /*  500639 */     GIR_EraseRootFromParent_Done,
     /*  500640 */   // Label 8444: @500640
     /*  500640 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(500715), // Rule ID 4312 //
     /*  500645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  500648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  500662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  500691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  500694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500713 */     GIR_RootConstrainSelectedInstOperands,
     /*  500714 */     // GIR_Coverage, 4312,
     /*  500714 */     GIR_EraseRootFromParent_Done,
     /*  500715 */   // Label 8445: @500715
     /*  500715 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(500790), // Rule ID 4313 //
     /*  500720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  500723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  500731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  500734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  500737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  500766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  500769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500788 */     GIR_RootConstrainSelectedInstOperands,
     /*  500789 */     // GIR_Coverage, 4313,
     /*  500789 */     GIR_EraseRootFromParent_Done,
     /*  500790 */   // Label 8446: @500790
     /*  500790 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(500865), // Rule ID 4316 //
     /*  500795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  500798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  500806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  500809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  500812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  500841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  500844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500863 */     GIR_RootConstrainSelectedInstOperands,
     /*  500864 */     // GIR_Coverage, 4316,
     /*  500864 */     GIR_EraseRootFromParent_Done,
     /*  500865 */   // Label 8447: @500865
     /*  500865 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(500940), // Rule ID 4317 //
     /*  500870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  500873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  500881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  500884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  500887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  500893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  500905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  500916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  500919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  500925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  500927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  500938 */     GIR_RootConstrainSelectedInstOperands,
     /*  500939 */     // GIR_Coverage, 4317,
     /*  500939 */     GIR_EraseRootFromParent_Done,
     /*  500940 */   // Label 8448: @500940
     /*  500940 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(501015), // Rule ID 4320 //
     /*  500945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  500948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  500953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  500956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  500959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  500962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  500968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  500980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  500984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  500991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  500994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501013 */     GIR_RootConstrainSelectedInstOperands,
     /*  501014 */     // GIR_Coverage, 4320,
     /*  501014 */     GIR_EraseRootFromParent_Done,
     /*  501015 */   // Label 8449: @501015
     /*  501015 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(501090), // Rule ID 4321 //
     /*  501020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  501023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  501028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  501031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  501034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  501037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  501066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  501069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501088 */     GIR_RootConstrainSelectedInstOperands,
     /*  501089 */     // GIR_Coverage, 4321,
     /*  501089 */     GIR_EraseRootFromParent_Done,
     /*  501090 */   // Label 8450: @501090
     /*  501090 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(501165), // Rule ID 4324 //
     /*  501095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  501098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  501103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  501106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  501109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  501112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  501141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  501144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501163 */     GIR_RootConstrainSelectedInstOperands,
     /*  501164 */     // GIR_Coverage, 4324,
     /*  501164 */     GIR_EraseRootFromParent_Done,
     /*  501165 */   // Label 8451: @501165
     /*  501165 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(501240), // Rule ID 4325 //
     /*  501170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  501173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  501178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  501181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  501184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  501187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  501209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  501216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  501219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501238 */     GIR_RootConstrainSelectedInstOperands,
     /*  501239 */     // GIR_Coverage, 4325,
     /*  501239 */     GIR_EraseRootFromParent_Done,
     /*  501240 */   // Label 8452: @501240
     /*  501240 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(501315), // Rule ID 4330 //
     /*  501245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  501256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  501259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  501262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  501265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501291 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  501294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501313 */     GIR_RootConstrainSelectedInstOperands,
     /*  501314 */     // GIR_Coverage, 4330,
     /*  501314 */     GIR_EraseRootFromParent_Done,
     /*  501315 */   // Label 8453: @501315
     /*  501315 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(501390), // Rule ID 4331 //
     /*  501320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  501331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  501334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  501337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  501340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  501369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501388 */     GIR_RootConstrainSelectedInstOperands,
     /*  501389 */     // GIR_Coverage, 4331,
     /*  501389 */     GIR_EraseRootFromParent_Done,
     /*  501390 */   // Label 8454: @501390
     /*  501390 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(501465), // Rule ID 4340 //
     /*  501395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  501406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  501409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  501412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  501415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501441 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  501444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501463 */     GIR_RootConstrainSelectedInstOperands,
     /*  501464 */     // GIR_Coverage, 4340,
     /*  501464 */     GIR_EraseRootFromParent_Done,
     /*  501465 */   // Label 8455: @501465
     /*  501465 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(501540), // Rule ID 4341 //
     /*  501470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  501481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  501484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  501487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  501490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  501519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501538 */     GIR_RootConstrainSelectedInstOperands,
     /*  501539 */     // GIR_Coverage, 4341,
     /*  501539 */     GIR_EraseRootFromParent_Done,
     /*  501540 */   // Label 8456: @501540
     /*  501540 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(501615), // Rule ID 4350 //
     /*  501545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  501556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  501559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  501562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  501565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501591 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  501594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501613 */     GIR_RootConstrainSelectedInstOperands,
     /*  501614 */     // GIR_Coverage, 4350,
     /*  501614 */     GIR_EraseRootFromParent_Done,
     /*  501615 */   // Label 8457: @501615
     /*  501615 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(501690), // Rule ID 4351 //
     /*  501620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  501631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  501634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  501637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  501640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  501669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501688 */     GIR_RootConstrainSelectedInstOperands,
     /*  501689 */     // GIR_Coverage, 4351,
     /*  501689 */     GIR_EraseRootFromParent_Done,
     /*  501690 */   // Label 8458: @501690
     /*  501690 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(501765), // Rule ID 4360 //
     /*  501695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  501712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  501715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501741 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  501744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501763 */     GIR_RootConstrainSelectedInstOperands,
     /*  501764 */     // GIR_Coverage, 4360,
     /*  501764 */     GIR_EraseRootFromParent_Done,
     /*  501765 */   // Label 8459: @501765
     /*  501765 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(501840), // Rule ID 4361 //
     /*  501770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  501787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  501790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501816 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  501819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501838 */     GIR_RootConstrainSelectedInstOperands,
     /*  501839 */     // GIR_Coverage, 4361,
     /*  501839 */     GIR_EraseRootFromParent_Done,
     /*  501840 */   // Label 8460: @501840
     /*  501840 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(501915), // Rule ID 4370 //
     /*  501845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  501862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  501865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  501868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  501891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  501894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501913 */     GIR_RootConstrainSelectedInstOperands,
     /*  501914 */     // GIR_Coverage, 4370,
     /*  501914 */     GIR_EraseRootFromParent_Done,
     /*  501915 */   // Label 8461: @501915
     /*  501915 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(501990), // Rule ID 4371 //
     /*  501920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  501928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  501937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  501940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  501943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  501966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  501969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  501975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  501977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  501988 */     GIR_RootConstrainSelectedInstOperands,
     /*  501989 */     // GIR_Coverage, 4371,
     /*  501989 */     GIR_EraseRootFromParent_Done,
     /*  501990 */   // Label 8462: @501990
     /*  501990 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(502065), // Rule ID 4380 //
     /*  501995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  502012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  502015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502041 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  502041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  502044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502063 */     GIR_RootConstrainSelectedInstOperands,
     /*  502064 */     // GIR_Coverage, 4380,
     /*  502064 */     GIR_EraseRootFromParent_Done,
     /*  502065 */   // Label 8463: @502065
     /*  502065 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(502140), // Rule ID 4381 //
     /*  502070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  502087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  502090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502116 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  502116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  502119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  502135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502138 */     GIR_RootConstrainSelectedInstOperands,
     /*  502139 */     // GIR_Coverage, 4381,
     /*  502139 */     GIR_EraseRootFromParent_Done,
     /*  502140 */   // Label 8464: @502140
     /*  502140 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(502215), // Rule ID 4390 //
     /*  502145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  502165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  502194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502213 */     GIR_RootConstrainSelectedInstOperands,
     /*  502214 */     // GIR_Coverage, 4390,
     /*  502214 */     GIR_EraseRootFromParent_Done,
     /*  502215 */   // Label 8465: @502215
     /*  502215 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(502290), // Rule ID 4391 //
     /*  502220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  502240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  502269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502288 */     GIR_RootConstrainSelectedInstOperands,
     /*  502289 */     // GIR_Coverage, 4391,
     /*  502289 */     GIR_EraseRootFromParent_Done,
     /*  502290 */   // Label 8466: @502290
     /*  502290 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(502365), // Rule ID 4400 //
     /*  502295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  502315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  502344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502363 */     GIR_RootConstrainSelectedInstOperands,
     /*  502364 */     // GIR_Coverage, 4400,
     /*  502364 */     GIR_EraseRootFromParent_Done,
     /*  502365 */   // Label 8467: @502365
     /*  502365 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(502440), // Rule ID 4401 //
     /*  502370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  502381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  502384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  502387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  502390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  502419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502438 */     GIR_RootConstrainSelectedInstOperands,
     /*  502439 */     // GIR_Coverage, 4401,
     /*  502439 */     GIR_EraseRootFromParent_Done,
     /*  502440 */   // Label 8468: @502440
     /*  502440 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(502515), // Rule ID 4410 //
     /*  502445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  502465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  502494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502513 */     GIR_RootConstrainSelectedInstOperands,
     /*  502514 */     // GIR_Coverage, 4410,
     /*  502514 */     GIR_EraseRootFromParent_Done,
     /*  502515 */   // Label 8469: @502515
     /*  502515 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(502590), // Rule ID 4411 //
     /*  502520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  502537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  502540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  502569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502588 */     GIR_RootConstrainSelectedInstOperands,
     /*  502589 */     // GIR_Coverage, 4411,
     /*  502589 */     GIR_EraseRootFromParent_Done,
     /*  502590 */   // Label 8470: @502590
     /*  502590 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(502665), // Rule ID 4420 //
     /*  502595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  502615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502641 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  502644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502663 */     GIR_RootConstrainSelectedInstOperands,
     /*  502664 */     // GIR_Coverage, 4420,
     /*  502664 */     GIR_EraseRootFromParent_Done,
     /*  502665 */   // Label 8471: @502665
     /*  502665 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(502740), // Rule ID 4421 //
     /*  502670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  502687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  502690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  502719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502738 */     GIR_RootConstrainSelectedInstOperands,
     /*  502739 */     // GIR_Coverage, 4421,
     /*  502739 */     GIR_EraseRootFromParent_Done,
     /*  502740 */   // Label 8472: @502740
     /*  502740 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(502815), // Rule ID 4430 //
     /*  502745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  502765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  502791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  502794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502813 */     GIR_RootConstrainSelectedInstOperands,
     /*  502814 */     // GIR_Coverage, 4430,
     /*  502814 */     GIR_EraseRootFromParent_Done,
     /*  502815 */   // Label 8473: @502815
     /*  502815 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(502890), // Rule ID 4431 //
     /*  502820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  502837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  502840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  502866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  502869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502888 */     GIR_RootConstrainSelectedInstOperands,
     /*  502889 */     // GIR_Coverage, 4431,
     /*  502889 */     GIR_EraseRootFromParent_Done,
     /*  502890 */   // Label 8474: @502890
     /*  502890 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(502965), // Rule ID 4440 //
     /*  502895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  502898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  502906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  502909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  502912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  502915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  502918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  502941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  502944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  502950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  502952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  502963 */     GIR_RootConstrainSelectedInstOperands,
     /*  502964 */     // GIR_Coverage, 4440,
     /*  502964 */     GIR_EraseRootFromParent_Done,
     /*  502965 */   // Label 8475: @502965
     /*  502965 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(503040), // Rule ID 4441 //
     /*  502970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  502973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  502978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  502981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  502984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  502987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  502990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  502993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  503019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503038 */     GIR_RootConstrainSelectedInstOperands,
     /*  503039 */     // GIR_Coverage, 4441,
     /*  503039 */     GIR_EraseRootFromParent_Done,
     /*  503040 */   // Label 8476: @503040
     /*  503040 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(503115), // Rule ID 4450 //
     /*  503045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  503056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  503059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  503062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  503065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  503094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503113 */     GIR_RootConstrainSelectedInstOperands,
     /*  503114 */     // GIR_Coverage, 4450,
     /*  503114 */     GIR_EraseRootFromParent_Done,
     /*  503115 */   // Label 8477: @503115
     /*  503115 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(503190), // Rule ID 4451 //
     /*  503120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  503131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  503134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  503137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  503140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  503169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503188 */     GIR_RootConstrainSelectedInstOperands,
     /*  503189 */     // GIR_Coverage, 4451,
     /*  503189 */     GIR_EraseRootFromParent_Done,
     /*  503190 */   // Label 8478: @503190
     /*  503190 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(503265), // Rule ID 4460 //
     /*  503195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  503206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  503209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  503212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  503215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  503244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503263 */     GIR_RootConstrainSelectedInstOperands,
     /*  503264 */     // GIR_Coverage, 4460,
     /*  503264 */     GIR_EraseRootFromParent_Done,
     /*  503265 */   // Label 8479: @503265
     /*  503265 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(503340), // Rule ID 4461 //
     /*  503270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  503281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  503284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  503287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  503290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  503319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503338 */     GIR_RootConstrainSelectedInstOperands,
     /*  503339 */     // GIR_Coverage, 4461,
     /*  503339 */     GIR_EraseRootFromParent_Done,
     /*  503340 */   // Label 8480: @503340
     /*  503340 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(503415), // Rule ID 4470 //
     /*  503345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  503348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  503356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  503359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  503362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  503365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  503391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  503394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503413 */     GIR_RootConstrainSelectedInstOperands,
     /*  503414 */     // GIR_Coverage, 4470,
     /*  503414 */     GIR_EraseRootFromParent_Done,
     /*  503415 */   // Label 8481: @503415
     /*  503415 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(503490), // Rule ID 4471 //
     /*  503420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  503423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  503431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  503434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  503437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  503440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  503466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  503469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503488 */     GIR_RootConstrainSelectedInstOperands,
     /*  503489 */     // GIR_Coverage, 4471,
     /*  503489 */     GIR_EraseRootFromParent_Done,
     /*  503490 */   // Label 8482: @503490
     /*  503490 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(503565), // Rule ID 4478 //
     /*  503495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  503506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  503509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  503512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503541 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  503544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503563 */     GIR_RootConstrainSelectedInstOperands,
     /*  503564 */     // GIR_Coverage, 4478,
     /*  503564 */     GIR_EraseRootFromParent_Done,
     /*  503565 */   // Label 8483: @503565
     /*  503565 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(503640), // Rule ID 4479 //
     /*  503570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  503581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  503584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  503587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  503616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  503619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503638 */     GIR_RootConstrainSelectedInstOperands,
     /*  503639 */     // GIR_Coverage, 4479,
     /*  503639 */     GIR_EraseRootFromParent_Done,
     /*  503640 */   // Label 8484: @503640
     /*  503640 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(503715), // Rule ID 4482 //
     /*  503645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  503656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  503659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  503662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  503694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503713 */     GIR_RootConstrainSelectedInstOperands,
     /*  503714 */     // GIR_Coverage, 4482,
     /*  503714 */     GIR_EraseRootFromParent_Done,
     /*  503715 */   // Label 8485: @503715
     /*  503715 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(503790), // Rule ID 4483 //
     /*  503720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  503731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  503734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  503737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  503766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  503769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503788 */     GIR_RootConstrainSelectedInstOperands,
     /*  503789 */     // GIR_Coverage, 4483,
     /*  503789 */     GIR_EraseRootFromParent_Done,
     /*  503790 */   // Label 8486: @503790
     /*  503790 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(503865), // Rule ID 4486 //
     /*  503795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  503806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  503809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  503812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503841 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  503844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503863 */     GIR_RootConstrainSelectedInstOperands,
     /*  503864 */     // GIR_Coverage, 4486,
     /*  503864 */     GIR_EraseRootFromParent_Done,
     /*  503865 */   // Label 8487: @503865
     /*  503865 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(503940), // Rule ID 4487 //
     /*  503870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  503873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  503881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  503884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  503887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  503893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503916 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  503916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  503919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  503925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  503927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  503935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  503938 */     GIR_RootConstrainSelectedInstOperands,
     /*  503939 */     // GIR_Coverage, 4487,
     /*  503939 */     GIR_EraseRootFromParent_Done,
     /*  503940 */   // Label 8488: @503940
     /*  503940 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(504015), // Rule ID 4490 //
     /*  503945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  503948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  503953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  503956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  503959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  503962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  503968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  503984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  503991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  503994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  503996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  503998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504013 */     GIR_RootConstrainSelectedInstOperands,
     /*  504014 */     // GIR_Coverage, 4490,
     /*  504014 */     GIR_EraseRootFromParent_Done,
     /*  504015 */   // Label 8489: @504015
     /*  504015 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(504090), // Rule ID 4491 //
     /*  504020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  504031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  504034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  504037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  504069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504088 */     GIR_RootConstrainSelectedInstOperands,
     /*  504089 */     // GIR_Coverage, 4491,
     /*  504089 */     GIR_EraseRootFromParent_Done,
     /*  504090 */   // Label 8490: @504090
     /*  504090 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(504165), // Rule ID 4494 //
     /*  504095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  504106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  504109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  504112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504141 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  504141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  504144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504163 */     GIR_RootConstrainSelectedInstOperands,
     /*  504164 */     // GIR_Coverage, 4494,
     /*  504164 */     GIR_EraseRootFromParent_Done,
     /*  504165 */   // Label 8491: @504165
     /*  504165 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(504240), // Rule ID 4495 //
     /*  504170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  504181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  504184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  504187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504216 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  504219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504238 */     GIR_RootConstrainSelectedInstOperands,
     /*  504239 */     // GIR_Coverage, 4495,
     /*  504239 */     GIR_EraseRootFromParent_Done,
     /*  504240 */   // Label 8492: @504240
     /*  504240 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(504315), // Rule ID 4498 //
     /*  504245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  504256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  504259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  504262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  504291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  504294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504313 */     GIR_RootConstrainSelectedInstOperands,
     /*  504314 */     // GIR_Coverage, 4498,
     /*  504314 */     GIR_EraseRootFromParent_Done,
     /*  504315 */   // Label 8493: @504315
     /*  504315 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(504390), // Rule ID 4499 //
     /*  504320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  504331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  504334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  504337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504366 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  504366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  504369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  504385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504388 */     GIR_RootConstrainSelectedInstOperands,
     /*  504389 */     // GIR_Coverage, 4499,
     /*  504389 */     GIR_EraseRootFromParent_Done,
     /*  504390 */   // Label 8494: @504390
     /*  504390 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(504465), // Rule ID 4502 //
     /*  504395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504441 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  504444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504463 */     GIR_RootConstrainSelectedInstOperands,
     /*  504464 */     // GIR_Coverage, 4502,
     /*  504464 */     GIR_EraseRootFromParent_Done,
     /*  504465 */   // Label 8495: @504465
     /*  504465 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(504540), // Rule ID 4503 //
     /*  504470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  504481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  504484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504516 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  504519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504538 */     GIR_RootConstrainSelectedInstOperands,
     /*  504539 */     // GIR_Coverage, 4503,
     /*  504539 */     GIR_EraseRootFromParent_Done,
     /*  504540 */   // Label 8496: @504540
     /*  504540 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(504615), // Rule ID 4506 //
     /*  504545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  504594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504613 */     GIR_RootConstrainSelectedInstOperands,
     /*  504614 */     // GIR_Coverage, 4506,
     /*  504614 */     GIR_EraseRootFromParent_Done,
     /*  504615 */   // Label 8497: @504615
     /*  504615 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(504690), // Rule ID 4507 //
     /*  504620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  504669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504688 */     GIR_RootConstrainSelectedInstOperands,
     /*  504689 */     // GIR_Coverage, 4507,
     /*  504689 */     GIR_EraseRootFromParent_Done,
     /*  504690 */   // Label 8498: @504690
     /*  504690 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(504765), // Rule ID 4510 //
     /*  504695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504741 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  504744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504763 */     GIR_RootConstrainSelectedInstOperands,
     /*  504764 */     // GIR_Coverage, 4510,
     /*  504764 */     GIR_EraseRootFromParent_Done,
     /*  504765 */   // Label 8499: @504765
     /*  504765 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(504840), // Rule ID 4511 //
     /*  504770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  504819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504838 */     GIR_RootConstrainSelectedInstOperands,
     /*  504839 */     // GIR_Coverage, 4511,
     /*  504839 */     GIR_EraseRootFromParent_Done,
     /*  504840 */   // Label 8500: @504840
     /*  504840 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(504915), // Rule ID 4514 //
     /*  504845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  504868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  504891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  504894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504913 */     GIR_RootConstrainSelectedInstOperands,
     /*  504914 */     // GIR_Coverage, 4514,
     /*  504914 */     GIR_EraseRootFromParent_Done,
     /*  504915 */   // Label 8501: @504915
     /*  504915 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(504990), // Rule ID 4515 //
     /*  504920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  504923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  504928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  504943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  504959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  504966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  504969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  504971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  504973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  504975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  504977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  504985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  504988 */     GIR_RootConstrainSelectedInstOperands,
     /*  504989 */     // GIR_Coverage, 4515,
     /*  504989 */     GIR_EraseRootFromParent_Done,
     /*  504990 */   // Label 8502: @504990
     /*  504990 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(505065), // Rule ID 4518 //
     /*  504995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  504998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505041 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  505041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  505044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505063 */     GIR_RootConstrainSelectedInstOperands,
     /*  505064 */     // GIR_Coverage, 4518,
     /*  505064 */     GIR_EraseRootFromParent_Done,
     /*  505065 */   // Label 8503: @505065
     /*  505065 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(505140), // Rule ID 4519 //
     /*  505070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  505087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  505116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  505119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  505135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505138 */     GIR_RootConstrainSelectedInstOperands,
     /*  505139 */     // GIR_Coverage, 4519,
     /*  505139 */     GIR_EraseRootFromParent_Done,
     /*  505140 */   // Label 8504: @505140
     /*  505140 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(505215), // Rule ID 4522 //
     /*  505145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  505156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  505159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  505162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505191 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  505194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505213 */     GIR_RootConstrainSelectedInstOperands,
     /*  505214 */     // GIR_Coverage, 4522,
     /*  505214 */     GIR_EraseRootFromParent_Done,
     /*  505215 */   // Label 8505: @505215
     /*  505215 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(505290), // Rule ID 4523 //
     /*  505220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  505231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  505234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  505237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  505269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505288 */     GIR_RootConstrainSelectedInstOperands,
     /*  505289 */     // GIR_Coverage, 4523,
     /*  505289 */     GIR_EraseRootFromParent_Done,
     /*  505290 */   // Label 8506: @505290
     /*  505290 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(505365), // Rule ID 4526 //
     /*  505295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  505306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  505309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  505312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  505344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505363 */     GIR_RootConstrainSelectedInstOperands,
     /*  505364 */     // GIR_Coverage, 4526,
     /*  505364 */     GIR_EraseRootFromParent_Done,
     /*  505365 */   // Label 8507: @505365
     /*  505365 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(505440), // Rule ID 4527 //
     /*  505370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  505381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  505384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  505387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  505419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505438 */     GIR_RootConstrainSelectedInstOperands,
     /*  505439 */     // GIR_Coverage, 4527,
     /*  505439 */     GIR_EraseRootFromParent_Done,
     /*  505440 */   // Label 8508: @505440
     /*  505440 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(505515), // Rule ID 4530 //
     /*  505445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  505456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  505459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  505462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  505494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505513 */     GIR_RootConstrainSelectedInstOperands,
     /*  505514 */     // GIR_Coverage, 4530,
     /*  505514 */     GIR_EraseRootFromParent_Done,
     /*  505515 */   // Label 8509: @505515
     /*  505515 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(505590), // Rule ID 4531 //
     /*  505520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  505531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  505534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  505537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505566 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  505569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505588 */     GIR_RootConstrainSelectedInstOperands,
     /*  505589 */     // GIR_Coverage, 4531,
     /*  505589 */     GIR_EraseRootFromParent_Done,
     /*  505590 */   // Label 8510: @505590
     /*  505590 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(505665), // Rule ID 4534 //
     /*  505595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  505598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  505606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  505609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  505612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  505641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  505644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505663 */     GIR_RootConstrainSelectedInstOperands,
     /*  505664 */     // GIR_Coverage, 4534,
     /*  505664 */     GIR_EraseRootFromParent_Done,
     /*  505665 */   // Label 8511: @505665
     /*  505665 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(505740), // Rule ID 4535 //
     /*  505670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  505673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  505678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  505681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  505684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  505687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  505709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505716 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  505716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  505719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505738 */     GIR_RootConstrainSelectedInstOperands,
     /*  505739 */     // GIR_Coverage, 4535,
     /*  505739 */     GIR_EraseRootFromParent_Done,
     /*  505740 */   // Label 8512: @505740
     /*  505740 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(505815), // Rule ID 4540 //
     /*  505745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  505748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  505756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  505759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  505762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  505765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505791 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  505791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  505794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  505810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505813 */     GIR_RootConstrainSelectedInstOperands,
     /*  505814 */     // GIR_Coverage, 4540,
     /*  505814 */     GIR_EraseRootFromParent_Done,
     /*  505815 */   // Label 8513: @505815
     /*  505815 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(505890), // Rule ID 4541 //
     /*  505820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  505831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  505834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  505837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  505840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505866 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  505866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  505869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  505885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505888 */     GIR_RootConstrainSelectedInstOperands,
     /*  505889 */     // GIR_Coverage, 4541,
     /*  505889 */     GIR_EraseRootFromParent_Done,
     /*  505890 */   // Label 8514: @505890
     /*  505890 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(505965), // Rule ID 4550 //
     /*  505895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  505898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  505906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  505909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  505912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  505915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  505918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505941 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  505941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  505944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  505946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  505948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  505950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  505952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  505960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  505963 */     GIR_RootConstrainSelectedInstOperands,
     /*  505964 */     // GIR_Coverage, 4550,
     /*  505964 */     GIR_EraseRootFromParent_Done,
     /*  505965 */   // Label 8515: @505965
     /*  505965 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(506040), // Rule ID 4551 //
     /*  505970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  505973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  505978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  505981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  505984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  505987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  505990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  505993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  506019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506038 */     GIR_RootConstrainSelectedInstOperands,
     /*  506039 */     // GIR_Coverage, 4551,
     /*  506039 */     GIR_EraseRootFromParent_Done,
     /*  506040 */   // Label 8516: @506040
     /*  506040 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(506115), // Rule ID 4560 //
     /*  506045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  506056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  506059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  506062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  506065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  506094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506113 */     GIR_RootConstrainSelectedInstOperands,
     /*  506114 */     // GIR_Coverage, 4560,
     /*  506114 */     GIR_EraseRootFromParent_Done,
     /*  506115 */   // Label 8517: @506115
     /*  506115 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(506190), // Rule ID 4561 //
     /*  506120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  506131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  506134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  506137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  506140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  506169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506188 */     GIR_RootConstrainSelectedInstOperands,
     /*  506189 */     // GIR_Coverage, 4561,
     /*  506189 */     GIR_EraseRootFromParent_Done,
     /*  506190 */   // Label 8518: @506190
     /*  506190 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(506265), // Rule ID 4570 //
     /*  506195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  506206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  506209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  506212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  506215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  506244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506263 */     GIR_RootConstrainSelectedInstOperands,
     /*  506264 */     // GIR_Coverage, 4570,
     /*  506264 */     GIR_EraseRootFromParent_Done,
     /*  506265 */   // Label 8519: @506265
     /*  506265 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(506340), // Rule ID 4571 //
     /*  506270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  506281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  506284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  506287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  506290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  506319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506338 */     GIR_RootConstrainSelectedInstOperands,
     /*  506339 */     // GIR_Coverage, 4571,
     /*  506339 */     GIR_EraseRootFromParent_Done,
     /*  506340 */   // Label 8520: @506340
     /*  506340 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(506415), // Rule ID 4580 //
     /*  506345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  506356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  506359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  506362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  506365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506391 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  506394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506413 */     GIR_RootConstrainSelectedInstOperands,
     /*  506414 */     // GIR_Coverage, 4580,
     /*  506414 */     GIR_EraseRootFromParent_Done,
     /*  506415 */   // Label 8521: @506415
     /*  506415 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(506490), // Rule ID 4581 //
     /*  506420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  506431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  506434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  506437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  506440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506488 */     GIR_RootConstrainSelectedInstOperands,
     /*  506489 */     // GIR_Coverage, 4581,
     /*  506489 */     GIR_EraseRootFromParent_Done,
     /*  506490 */   // Label 8522: @506490
     /*  506490 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(506565), // Rule ID 4590 //
     /*  506495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  506506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  506509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  506512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  506515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  506541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  506544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506563 */     GIR_RootConstrainSelectedInstOperands,
     /*  506564 */     // GIR_Coverage, 4590,
     /*  506564 */     GIR_EraseRootFromParent_Done,
     /*  506565 */   // Label 8523: @506565
     /*  506565 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(506640), // Rule ID 4591 //
     /*  506570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  506581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  506584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  506587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  506590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506616 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  506616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  506619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  506635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506638 */     GIR_RootConstrainSelectedInstOperands,
     /*  506639 */     // GIR_Coverage, 4591,
     /*  506639 */     GIR_EraseRootFromParent_Done,
     /*  506640 */   // Label 8524: @506640
     /*  506640 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(506715), // Rule ID 4600 //
     /*  506645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  506665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  506691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  506694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506713 */     GIR_RootConstrainSelectedInstOperands,
     /*  506714 */     // GIR_Coverage, 4600,
     /*  506714 */     GIR_EraseRootFromParent_Done,
     /*  506715 */   // Label 8525: @506715
     /*  506715 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(506790), // Rule ID 4601 //
     /*  506720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  506740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506766 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  506766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  506769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506788 */     GIR_RootConstrainSelectedInstOperands,
     /*  506789 */     // GIR_Coverage, 4601,
     /*  506789 */     GIR_EraseRootFromParent_Done,
     /*  506790 */   // Label 8526: @506790
     /*  506790 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(506865), // Rule ID 4610 //
     /*  506795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  506815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506841 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  506841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  506844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506863 */     GIR_RootConstrainSelectedInstOperands,
     /*  506864 */     // GIR_Coverage, 4610,
     /*  506864 */     GIR_EraseRootFromParent_Done,
     /*  506865 */   // Label 8527: @506865
     /*  506865 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(506940), // Rule ID 4611 //
     /*  506870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  506873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  506890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  506893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506916 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  506916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  506919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  506925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  506927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  506935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  506938 */     GIR_RootConstrainSelectedInstOperands,
     /*  506939 */     // GIR_Coverage, 4611,
     /*  506939 */     GIR_EraseRootFromParent_Done,
     /*  506940 */   // Label 8528: @506940
     /*  506940 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(507015), // Rule ID 4620 //
     /*  506945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  506948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  506953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  506965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  506968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  506991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  506994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  506996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  506998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507013 */     GIR_RootConstrainSelectedInstOperands,
     /*  507014 */     // GIR_Coverage, 4620,
     /*  507014 */     GIR_EraseRootFromParent_Done,
     /*  507015 */   // Label 8529: @507015
     /*  507015 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(507090), // Rule ID 4621 //
     /*  507020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  507040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  507069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507088 */     GIR_RootConstrainSelectedInstOperands,
     /*  507089 */     // GIR_Coverage, 4621,
     /*  507089 */     GIR_EraseRootFromParent_Done,
     /*  507090 */   // Label 8530: @507090
     /*  507090 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(507165), // Rule ID 4630 //
     /*  507095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  507115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  507144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507163 */     GIR_RootConstrainSelectedInstOperands,
     /*  507164 */     // GIR_Coverage, 4630,
     /*  507164 */     GIR_EraseRootFromParent_Done,
     /*  507165 */   // Label 8531: @507165
     /*  507165 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(507240), // Rule ID 4631 //
     /*  507170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  507187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  507190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  507219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507238 */     GIR_RootConstrainSelectedInstOperands,
     /*  507239 */     // GIR_Coverage, 4631,
     /*  507239 */     GIR_EraseRootFromParent_Done,
     /*  507240 */   // Label 8532: @507240
     /*  507240 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(507315), // Rule ID 4640 //
     /*  507245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  507265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  507291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  507294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507313 */     GIR_RootConstrainSelectedInstOperands,
     /*  507314 */     // GIR_Coverage, 4640,
     /*  507314 */     GIR_EraseRootFromParent_Done,
     /*  507315 */   // Label 8533: @507315
     /*  507315 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(507390), // Rule ID 4641 //
     /*  507320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  507323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  507331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  507334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  507337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  507340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  507366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  507369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  507385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507388 */     GIR_RootConstrainSelectedInstOperands,
     /*  507389 */     // GIR_Coverage, 4641,
     /*  507389 */     GIR_EraseRootFromParent_Done,
     /*  507390 */   // Label 8534: @507390
     /*  507390 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(507465), // Rule ID 4650 //
     /*  507395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  507406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  507409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  507412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  507415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507441 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  507444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507463 */     GIR_RootConstrainSelectedInstOperands,
     /*  507464 */     // GIR_Coverage, 4650,
     /*  507464 */     GIR_EraseRootFromParent_Done,
     /*  507465 */   // Label 8535: @507465
     /*  507465 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(507540), // Rule ID 4651 //
     /*  507470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  507481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  507484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  507487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  507490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507516 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  507519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507538 */     GIR_RootConstrainSelectedInstOperands,
     /*  507539 */     // GIR_Coverage, 4651,
     /*  507539 */     GIR_EraseRootFromParent_Done,
     /*  507540 */   // Label 8536: @507540
     /*  507540 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(507615), // Rule ID 4660 //
     /*  507545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  507556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  507559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  507562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  507565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507591 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  507594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507613 */     GIR_RootConstrainSelectedInstOperands,
     /*  507614 */     // GIR_Coverage, 4660,
     /*  507614 */     GIR_EraseRootFromParent_Done,
     /*  507615 */   // Label 8537: @507615
     /*  507615 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(507690), // Rule ID 4661 //
     /*  507620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  507631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  507634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  507637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  507640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  507669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507688 */     GIR_RootConstrainSelectedInstOperands,
     /*  507689 */     // GIR_Coverage, 4661,
     /*  507689 */     GIR_EraseRootFromParent_Done,
     /*  507690 */   // Label 8538: @507690
     /*  507690 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(507765), // Rule ID 4670 //
     /*  507695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  507706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  507709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  507712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  507715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507741 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  507744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507763 */     GIR_RootConstrainSelectedInstOperands,
     /*  507764 */     // GIR_Coverage, 4670,
     /*  507764 */     GIR_EraseRootFromParent_Done,
     /*  507765 */   // Label 8539: @507765
     /*  507765 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(507840), // Rule ID 4671 //
     /*  507770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  507781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  507784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  507787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  507790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  507819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507838 */     GIR_RootConstrainSelectedInstOperands,
     /*  507839 */     // GIR_Coverage, 4671,
     /*  507839 */     GIR_EraseRootFromParent_Done,
     /*  507840 */   // Label 8540: @507840
     /*  507840 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(507915), // Rule ID 4680 //
     /*  507845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  507848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  507856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  507859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  507862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  507865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  507868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  507891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  507894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507913 */     GIR_RootConstrainSelectedInstOperands,
     /*  507914 */     // GIR_Coverage, 4680,
     /*  507914 */     GIR_EraseRootFromParent_Done,
     /*  507915 */   // Label 8541: @507915
     /*  507915 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(507990), // Rule ID 4681 //
     /*  507920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  507923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  507928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  507931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  507934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  507937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  507940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  507943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  507955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507966 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  507966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  507969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  507971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  507973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  507975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  507977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  507988 */     GIR_RootConstrainSelectedInstOperands,
     /*  507989 */     // GIR_Coverage, 4681,
     /*  507989 */     GIR_EraseRootFromParent_Done,
     /*  507990 */   // Label 8542: @507990
     /*  507990 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(508065), // Rule ID 4688 //
     /*  507995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  507998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  508006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  508009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  508012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508041 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  508044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508063 */     GIR_RootConstrainSelectedInstOperands,
     /*  508064 */     // GIR_Coverage, 4688,
     /*  508064 */     GIR_EraseRootFromParent_Done,
     /*  508065 */   // Label 8543: @508065
     /*  508065 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(508140), // Rule ID 4689 //
     /*  508070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  508081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  508084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  508087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  508119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508138 */     GIR_RootConstrainSelectedInstOperands,
     /*  508139 */     // GIR_Coverage, 4689,
     /*  508139 */     GIR_EraseRootFromParent_Done,
     /*  508140 */   // Label 8544: @508140
     /*  508140 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(508215), // Rule ID 4692 //
     /*  508145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  508156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  508159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  508162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508191 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  508194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508213 */     GIR_RootConstrainSelectedInstOperands,
     /*  508214 */     // GIR_Coverage, 4692,
     /*  508214 */     GIR_EraseRootFromParent_Done,
     /*  508215 */   // Label 8545: @508215
     /*  508215 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(508290), // Rule ID 4693 //
     /*  508220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  508231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  508234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  508237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  508269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508288 */     GIR_RootConstrainSelectedInstOperands,
     /*  508289 */     // GIR_Coverage, 4693,
     /*  508289 */     GIR_EraseRootFromParent_Done,
     /*  508290 */   // Label 8546: @508290
     /*  508290 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(508365), // Rule ID 4696 //
     /*  508295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  508306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  508309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  508312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  508344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508363 */     GIR_RootConstrainSelectedInstOperands,
     /*  508364 */     // GIR_Coverage, 4696,
     /*  508364 */     GIR_EraseRootFromParent_Done,
     /*  508365 */   // Label 8547: @508365
     /*  508365 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(508440), // Rule ID 4697 //
     /*  508370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  508381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  508384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  508387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11303:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  508419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508438 */     GIR_RootConstrainSelectedInstOperands,
     /*  508439 */     // GIR_Coverage, 4697,
     /*  508439 */     GIR_EraseRootFromParent_Done,
     /*  508440 */   // Label 8548: @508440
     /*  508440 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(508515), // Rule ID 4700 //
     /*  508445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  508456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  508459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  508462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508491 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  508494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508513 */     GIR_RootConstrainSelectedInstOperands,
     /*  508514 */     // GIR_Coverage, 4700,
     /*  508514 */     GIR_EraseRootFromParent_Done,
     /*  508515 */   // Label 8549: @508515
     /*  508515 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(508590), // Rule ID 4701 //
     /*  508520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  508531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  508534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  508537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  508569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508588 */     GIR_RootConstrainSelectedInstOperands,
     /*  508589 */     // GIR_Coverage, 4701,
     /*  508589 */     GIR_EraseRootFromParent_Done,
     /*  508590 */   // Label 8550: @508590
     /*  508590 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(508665), // Rule ID 4704 //
     /*  508595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  508606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  508609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  508612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508641 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  508644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508663 */     GIR_RootConstrainSelectedInstOperands,
     /*  508664 */     // GIR_Coverage, 4704,
     /*  508664 */     GIR_EraseRootFromParent_Done,
     /*  508665 */   // Label 8551: @508665
     /*  508665 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(508740), // Rule ID 4705 //
     /*  508670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  508681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  508684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  508687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508716 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  508719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508738 */     GIR_RootConstrainSelectedInstOperands,
     /*  508739 */     // GIR_Coverage, 4705,
     /*  508739 */     GIR_EraseRootFromParent_Done,
     /*  508740 */   // Label 8552: @508740
     /*  508740 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(508815), // Rule ID 4708 //
     /*  508745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  508756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  508759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  508762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  508791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  508794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508813 */     GIR_RootConstrainSelectedInstOperands,
     /*  508814 */     // GIR_Coverage, 4708,
     /*  508814 */     GIR_EraseRootFromParent_Done,
     /*  508815 */   // Label 8553: @508815
     /*  508815 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(508890), // Rule ID 4709 //
     /*  508820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  508831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  508834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  508837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  508866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  508869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  508885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508888 */     GIR_RootConstrainSelectedInstOperands,
     /*  508889 */     // GIR_Coverage, 4709,
     /*  508889 */     GIR_EraseRootFromParent_Done,
     /*  508890 */   // Label 8554: @508890
     /*  508890 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(508965), // Rule ID 4712 //
     /*  508895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  508898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  508918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  508934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508941 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  508941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  508944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  508946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  508948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  508950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  508952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  508960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  508963 */     GIR_RootConstrainSelectedInstOperands,
     /*  508964 */     // GIR_Coverage, 4712,
     /*  508964 */     GIR_EraseRootFromParent_Done,
     /*  508965 */   // Label 8555: @508965
     /*  508965 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(509040), // Rule ID 4713 //
     /*  508970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  508973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  508978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  508993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  509019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509038 */     GIR_RootConstrainSelectedInstOperands,
     /*  509039 */     // GIR_Coverage, 4713,
     /*  509039 */     GIR_EraseRootFromParent_Done,
     /*  509040 */   // Label 8556: @509040
     /*  509040 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(509115), // Rule ID 4716 //
     /*  509045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  509094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509113 */     GIR_RootConstrainSelectedInstOperands,
     /*  509114 */     // GIR_Coverage, 4716,
     /*  509114 */     GIR_EraseRootFromParent_Done,
     /*  509115 */   // Label 8557: @509115
     /*  509115 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(509190), // Rule ID 4717 //
     /*  509120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  509169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509188 */     GIR_RootConstrainSelectedInstOperands,
     /*  509189 */     // GIR_Coverage, 4717,
     /*  509189 */     GIR_EraseRootFromParent_Done,
     /*  509190 */   // Label 8558: @509190
     /*  509190 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(509265), // Rule ID 4720 //
     /*  509195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  509244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509263 */     GIR_RootConstrainSelectedInstOperands,
     /*  509264 */     // GIR_Coverage, 4720,
     /*  509264 */     GIR_EraseRootFromParent_Done,
     /*  509265 */   // Label 8559: @509265
     /*  509265 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(509340), // Rule ID 4721 //
     /*  509270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509316 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  509319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509338 */     GIR_RootConstrainSelectedInstOperands,
     /*  509339 */     // GIR_Coverage, 4721,
     /*  509339 */     GIR_EraseRootFromParent_Done,
     /*  509340 */   // Label 8560: @509340
     /*  509340 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(509415), // Rule ID 4724 //
     /*  509345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  509394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509413 */     GIR_RootConstrainSelectedInstOperands,
     /*  509414 */     // GIR_Coverage, 4724,
     /*  509414 */     GIR_EraseRootFromParent_Done,
     /*  509415 */   // Label 8561: @509415
     /*  509415 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(509490), // Rule ID 4725 //
     /*  509420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  509469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509488 */     GIR_RootConstrainSelectedInstOperands,
     /*  509489 */     // GIR_Coverage, 4725,
     /*  509489 */     GIR_EraseRootFromParent_Done,
     /*  509490 */   // Label 8562: @509490
     /*  509490 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(509565), // Rule ID 4728 //
     /*  509495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  509498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509541 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  509541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  509544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509563 */     GIR_RootConstrainSelectedInstOperands,
     /*  509564 */     // GIR_Coverage, 4728,
     /*  509564 */     GIR_EraseRootFromParent_Done,
     /*  509565 */   // Label 8563: @509565
     /*  509565 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(509640), // Rule ID 4729 //
     /*  509570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  509573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  509616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  509619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  509635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509638 */     GIR_RootConstrainSelectedInstOperands,
     /*  509639 */     // GIR_Coverage, 4729,
     /*  509639 */     GIR_EraseRootFromParent_Done,
     /*  509640 */   // Label 8564: @509640
     /*  509640 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(509715), // Rule ID 4732 //
     /*  509645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  509648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  509656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  509659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  509662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  509691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  509694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509713 */     GIR_RootConstrainSelectedInstOperands,
     /*  509714 */     // GIR_Coverage, 4732,
     /*  509714 */     GIR_EraseRootFromParent_Done,
     /*  509715 */   // Label 8565: @509715
     /*  509715 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(509790), // Rule ID 4733 //
     /*  509720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  509723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  509731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  509734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  509737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  509766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  509769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509788 */     GIR_RootConstrainSelectedInstOperands,
     /*  509789 */     // GIR_Coverage, 4733,
     /*  509789 */     GIR_EraseRootFromParent_Done,
     /*  509790 */   // Label 8566: @509790
     /*  509790 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(509865), // Rule ID 4736 //
     /*  509795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  509798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  509806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  509809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  509812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509841 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  509841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  509844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509863 */     GIR_RootConstrainSelectedInstOperands,
     /*  509864 */     // GIR_Coverage, 4736,
     /*  509864 */     GIR_EraseRootFromParent_Done,
     /*  509865 */   // Label 8567: @509865
     /*  509865 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(509940), // Rule ID 4737 //
     /*  509870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  509873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  509881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  509884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  509887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  509893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  509916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  509919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  509925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  509927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  509938 */     GIR_RootConstrainSelectedInstOperands,
     /*  509939 */     // GIR_Coverage, 4737,
     /*  509939 */     GIR_EraseRootFromParent_Done,
     /*  509940 */   // Label 8568: @509940
     /*  509940 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(510015), // Rule ID 4740 //
     /*  509945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  509948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  509953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  509956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  509959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  509962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  509968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  509984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  509991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  509994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  509996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  509998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  510000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  510002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510013 */     GIR_RootConstrainSelectedInstOperands,
     /*  510014 */     // GIR_Coverage, 4740,
     /*  510014 */     GIR_EraseRootFromParent_Done,
     /*  510015 */   // Label 8569: @510015
     /*  510015 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(510090), // Rule ID 4741 //
     /*  510020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  510023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  510028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  510031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  510034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  510037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  510059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  510066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  510069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  510075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  510077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510088 */     GIR_RootConstrainSelectedInstOperands,
     /*  510089 */     // GIR_Coverage, 4741,
     /*  510089 */     GIR_EraseRootFromParent_Done,
     /*  510090 */   // Label 8570: @510090
     /*  510090 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(510165), // Rule ID 4744 //
     /*  510095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  510098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  510103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  510106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  510109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  510112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  510134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510141 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  510141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  510144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  510150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  510152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510163 */     GIR_RootConstrainSelectedInstOperands,
     /*  510164 */     // GIR_Coverage, 4744,
     /*  510164 */     GIR_EraseRootFromParent_Done,
     /*  510165 */   // Label 8571: @510165
     /*  510165 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(510240), // Rule ID 4745 //
     /*  510170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  510173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  510178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  510181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  510184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  510187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  510209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510216 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  510216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  510219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  510223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  510225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  510227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  510238 */     GIR_RootConstrainSelectedInstOperands,
     /*  510239 */     // GIR_Coverage, 4745,
     /*  510239 */     GIR_EraseRootFromParent_Done,
     /*  510240 */   // Label 8572: @510240
     /*  510240 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(510330), // Rule ID 5098 //
     /*  510245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  510259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  510262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510291 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  510291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  510308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  510328 */     GIR_RootConstrainSelectedInstOperands,
     /*  510329 */     // GIR_Coverage, 5098,
     /*  510329 */     GIR_EraseRootFromParent_Done,
     /*  510330 */   // Label 8573: @510330
     /*  510330 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(510420), // Rule ID 5099 //
     /*  510335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  510349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  510352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510381 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  510381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  510398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  510418 */     GIR_RootConstrainSelectedInstOperands,
     /*  510419 */     // GIR_Coverage, 5099,
     /*  510419 */     GIR_EraseRootFromParent_Done,
     /*  510420 */   // Label 8574: @510420
     /*  510420 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(510510), // Rule ID 5100 //
     /*  510425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  510439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  510442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510471 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  510471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  510488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  510508 */     GIR_RootConstrainSelectedInstOperands,
     /*  510509 */     // GIR_Coverage, 5100,
     /*  510509 */     GIR_EraseRootFromParent_Done,
     /*  510510 */   // Label 8575: @510510
     /*  510510 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(510600), // Rule ID 5101 //
     /*  510515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  510526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  510529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  510532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  510535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  510561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  510578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  510598 */     GIR_RootConstrainSelectedInstOperands,
     /*  510599 */     // GIR_Coverage, 5101,
     /*  510599 */     GIR_EraseRootFromParent_Done,
     /*  510600 */   // Label 8576: @510600
     /*  510600 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(510690), // Rule ID 5102 //
     /*  510605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  510616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  510619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  510622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  510625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510651 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  510651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  510668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510688 */     GIR_RootConstrainSelectedInstOperands,
     /*  510689 */     // GIR_Coverage, 5102,
     /*  510689 */     GIR_EraseRootFromParent_Done,
     /*  510690 */   // Label 8577: @510690
     /*  510690 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(510780), // Rule ID 5103 //
     /*  510695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  510706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  510709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  510712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  510715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  510741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  510758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510778 */     GIR_RootConstrainSelectedInstOperands,
     /*  510779 */     // GIR_Coverage, 5103,
     /*  510779 */     GIR_EraseRootFromParent_Done,
     /*  510780 */   // Label 8578: @510780
     /*  510780 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(510870), // Rule ID 5104 //
     /*  510785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  510799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  510802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510831 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  510831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  510848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510868 */     GIR_RootConstrainSelectedInstOperands,
     /*  510869 */     // GIR_Coverage, 5104,
     /*  510869 */     GIR_EraseRootFromParent_Done,
     /*  510870 */   // Label 8579: @510870
     /*  510870 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(510960), // Rule ID 5105 //
     /*  510875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  510878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  510886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  510889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  510892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  510895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  510898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  510914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510921 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  510921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  510925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  510931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  510935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  510938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  510940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  510942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  510950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  510958 */     GIR_RootConstrainSelectedInstOperands,
     /*  510959 */     // GIR_Coverage, 5105,
     /*  510959 */     GIR_EraseRootFromParent_Done,
     /*  510960 */   // Label 8580: @510960
     /*  510960 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(511050), // Rule ID 5106 //
     /*  510965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  510968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  510973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  510976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  510979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  510985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  510988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511011 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  511011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  511028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511048 */     GIR_RootConstrainSelectedInstOperands,
     /*  511049 */     // GIR_Coverage, 5106,
     /*  511049 */     GIR_EraseRootFromParent_Done,
     /*  511050 */   // Label 8581: @511050
     /*  511050 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(511140), // Rule ID 5107 //
     /*  511055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511101 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  511101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  511118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511138 */     GIR_RootConstrainSelectedInstOperands,
     /*  511139 */     // GIR_Coverage, 5107,
     /*  511139 */     GIR_EraseRootFromParent_Done,
     /*  511140 */   // Label 8582: @511140
     /*  511140 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(511230), // Rule ID 5108 //
     /*  511145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  511156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  511159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  511162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  511165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511191 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  511191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511228 */     GIR_RootConstrainSelectedInstOperands,
     /*  511229 */     // GIR_Coverage, 5108,
     /*  511229 */     GIR_EraseRootFromParent_Done,
     /*  511230 */   // Label 8583: @511230
     /*  511230 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(511320), // Rule ID 5109 //
     /*  511235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  511246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  511249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  511252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  511255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511281 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  511281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511318 */     GIR_RootConstrainSelectedInstOperands,
     /*  511319 */     // GIR_Coverage, 5109,
     /*  511319 */     GIR_EraseRootFromParent_Done,
     /*  511320 */   // Label 8584: @511320
     /*  511320 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(511410), // Rule ID 5110 //
     /*  511325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  511336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  511339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  511342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  511345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511371 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  511371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511408 */     GIR_RootConstrainSelectedInstOperands,
     /*  511409 */     // GIR_Coverage, 5110,
     /*  511409 */     GIR_EraseRootFromParent_Done,
     /*  511410 */   // Label 8585: @511410
     /*  511410 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(511500), // Rule ID 5111 //
     /*  511415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  511426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  511429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  511432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  511435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511461 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  511461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  511498 */     GIR_RootConstrainSelectedInstOperands,
     /*  511499 */     // GIR_Coverage, 5111,
     /*  511499 */     GIR_EraseRootFromParent_Done,
     /*  511500 */   // Label 8586: @511500
     /*  511500 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(511590), // Rule ID 5112 //
     /*  511505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511551 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  511551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511588 */     GIR_RootConstrainSelectedInstOperands,
     /*  511589 */     // GIR_Coverage, 5112,
     /*  511589 */     GIR_EraseRootFromParent_Done,
     /*  511590 */   // Label 8587: @511590
     /*  511590 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(511680), // Rule ID 5113 //
     /*  511595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  511606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  511615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511641 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  511641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511678 */     GIR_RootConstrainSelectedInstOperands,
     /*  511679 */     // GIR_Coverage, 5113,
     /*  511679 */     GIR_EraseRootFromParent_Done,
     /*  511680 */   // Label 8588: @511680
     /*  511680 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(511770), // Rule ID 5114 //
     /*  511685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  511688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  511699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  511702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  511731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511768 */     GIR_RootConstrainSelectedInstOperands,
     /*  511769 */     // GIR_Coverage, 5114,
     /*  511769 */     GIR_EraseRootFromParent_Done,
     /*  511770 */   // Label 8589: @511770
     /*  511770 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(511860), // Rule ID 5115 //
     /*  511775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  511778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  511786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  511789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  511792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  511795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511821 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  511821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  511838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  511858 */     GIR_RootConstrainSelectedInstOperands,
     /*  511859 */     // GIR_Coverage, 5115,
     /*  511859 */     GIR_EraseRootFromParent_Done,
     /*  511860 */   // Label 8590: @511860
     /*  511860 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(511950), // Rule ID 5116 //
     /*  511865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  511868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  511876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  511879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  511882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  511885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  511888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511911 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  511911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  511915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  511921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  511925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  511928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  511930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  511932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  511940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  511948 */     GIR_RootConstrainSelectedInstOperands,
     /*  511949 */     // GIR_Coverage, 5116,
     /*  511949 */     GIR_EraseRootFromParent_Done,
     /*  511950 */   // Label 8591: @511950
     /*  511950 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(512040), // Rule ID 5117 //
     /*  511955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  511958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  511963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  511966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  511969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  511972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  511975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  511978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  511994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512001 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  512018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512038 */     GIR_RootConstrainSelectedInstOperands,
     /*  512039 */     // GIR_Coverage, 5117,
     /*  512039 */     GIR_EraseRootFromParent_Done,
     /*  512040 */   // Label 8592: @512040
     /*  512040 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(512130), // Rule ID 5118 //
     /*  512045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  512059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  512062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512091 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  512108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512128 */     GIR_RootConstrainSelectedInstOperands,
     /*  512129 */     // GIR_Coverage, 5118,
     /*  512129 */     GIR_EraseRootFromParent_Done,
     /*  512130 */   // Label 8593: @512130
     /*  512130 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(512220), // Rule ID 5119 //
     /*  512135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  512149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  512152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512181 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  512198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512218 */     GIR_RootConstrainSelectedInstOperands,
     /*  512219 */     // GIR_Coverage, 5119,
     /*  512219 */     GIR_EraseRootFromParent_Done,
     /*  512220 */   // Label 8594: @512220
     /*  512220 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(512310), // Rule ID 5120 //
     /*  512225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  512236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  512239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  512242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  512245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512271 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  512271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  512288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512308 */     GIR_RootConstrainSelectedInstOperands,
     /*  512309 */     // GIR_Coverage, 5120,
     /*  512309 */     GIR_EraseRootFromParent_Done,
     /*  512310 */   // Label 8595: @512310
     /*  512310 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(512400), // Rule ID 5121 //
     /*  512315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  512326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  512329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  512332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  512335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512361 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  512361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  512378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  512398 */     GIR_RootConstrainSelectedInstOperands,
     /*  512399 */     // GIR_Coverage, 5121,
     /*  512399 */     GIR_EraseRootFromParent_Done,
     /*  512400 */   // Label 8596: @512400
     /*  512400 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(512490), // Rule ID 5122 //
     /*  512405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  512416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  512419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  512422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  512425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512451 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  512451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  512468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512488 */     GIR_RootConstrainSelectedInstOperands,
     /*  512489 */     // GIR_Coverage, 5122,
     /*  512489 */     GIR_EraseRootFromParent_Done,
     /*  512490 */   // Label 8597: @512490
     /*  512490 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(512580), // Rule ID 5123 //
     /*  512495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  512506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  512509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  512512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  512515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  512541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  512558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512578 */     GIR_RootConstrainSelectedInstOperands,
     /*  512579 */     // GIR_Coverage, 5123,
     /*  512579 */     GIR_EraseRootFromParent_Done,
     /*  512580 */   // Label 8598: @512580
     /*  512580 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(512670), // Rule ID 5124 //
     /*  512585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  512596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  512599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  512602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  512605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512631 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  512631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  512648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512668 */     GIR_RootConstrainSelectedInstOperands,
     /*  512669 */     // GIR_Coverage, 5124,
     /*  512669 */     GIR_EraseRootFromParent_Done,
     /*  512670 */   // Label 8599: @512670
     /*  512670 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(512760), // Rule ID 5125 //
     /*  512675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  512686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  512689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  512692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  512695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  512721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  512738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512758 */     GIR_RootConstrainSelectedInstOperands,
     /*  512759 */     // GIR_Coverage, 5125,
     /*  512759 */     GIR_EraseRootFromParent_Done,
     /*  512760 */   // Label 8600: @512760
     /*  512760 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(512850), // Rule ID 5126 //
     /*  512765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  512779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  512782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512811 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  512811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  512828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512848 */     GIR_RootConstrainSelectedInstOperands,
     /*  512849 */     // GIR_Coverage, 5126,
     /*  512849 */     GIR_EraseRootFromParent_Done,
     /*  512850 */   // Label 8601: @512850
     /*  512850 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(512940), // Rule ID 5127 //
     /*  512855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  512858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  512866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  512869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  512872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  512875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  512878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512901 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  512901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  512911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  512915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  512918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  512920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  512922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  512930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  512938 */     GIR_RootConstrainSelectedInstOperands,
     /*  512939 */     // GIR_Coverage, 5127,
     /*  512939 */     GIR_EraseRootFromParent_Done,
     /*  512940 */   // Label 8602: @512940
     /*  512940 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(513030), // Rule ID 5128 //
     /*  512945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  512948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  512953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  512956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  512965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  512968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  512984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512991 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  512991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  512995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  513008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513028 */     GIR_RootConstrainSelectedInstOperands,
     /*  513029 */     // GIR_Coverage, 5128,
     /*  513029 */     GIR_EraseRootFromParent_Done,
     /*  513030 */   // Label 8603: @513030
     /*  513030 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(513120), // Rule ID 5129 //
     /*  513035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  513046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  513049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  513055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513081 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  513098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513118 */     GIR_RootConstrainSelectedInstOperands,
     /*  513119 */     // GIR_Coverage, 5129,
     /*  513119 */     GIR_EraseRootFromParent_Done,
     /*  513120 */   // Label 8604: @513120
     /*  513120 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(513210), // Rule ID 5130 //
     /*  513125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  513171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  513188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513208 */     GIR_RootConstrainSelectedInstOperands,
     /*  513209 */     // GIR_Coverage, 5130,
     /*  513209 */     GIR_EraseRootFromParent_Done,
     /*  513210 */   // Label 8605: @513210
     /*  513210 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(513300), // Rule ID 5131 //
     /*  513215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  513278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513298 */     GIR_RootConstrainSelectedInstOperands,
     /*  513299 */     // GIR_Coverage, 5131,
     /*  513299 */     GIR_EraseRootFromParent_Done,
     /*  513300 */   // Label 8606: @513300
     /*  513300 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(513390), // Rule ID 5132 //
     /*  513305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  513308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513351 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  513351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  513368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513388 */     GIR_RootConstrainSelectedInstOperands,
     /*  513389 */     // GIR_Coverage, 5132,
     /*  513389 */     GIR_EraseRootFromParent_Done,
     /*  513390 */   // Label 8607: @513390
     /*  513390 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(513480), // Rule ID 5133 //
     /*  513395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  513398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  513406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  513412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  513415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513441 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  513441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  513458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513478 */     GIR_RootConstrainSelectedInstOperands,
     /*  513479 */     // GIR_Coverage, 5133,
     /*  513479 */     GIR_EraseRootFromParent_Done,
     /*  513480 */   // Label 8608: @513480
     /*  513480 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(513570), // Rule ID 5134 //
     /*  513485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  513488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  513496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  513505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513531 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  513531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  513548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513568 */     GIR_RootConstrainSelectedInstOperands,
     /*  513569 */     // GIR_Coverage, 5134,
     /*  513569 */     GIR_EraseRootFromParent_Done,
     /*  513570 */   // Label 8609: @513570
     /*  513570 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(513660), // Rule ID 5135 //
     /*  513575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  513578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  513586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  513589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  513592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  513595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513621 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  513621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  513638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513658 */     GIR_RootConstrainSelectedInstOperands,
     /*  513659 */     // GIR_Coverage, 5135,
     /*  513659 */     GIR_EraseRootFromParent_Done,
     /*  513660 */   // Label 8610: @513660
     /*  513660 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(513750), // Rule ID 5136 //
     /*  513665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  513668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  513676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  513679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  513682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  513685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513711 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  513711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  513728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513748 */     GIR_RootConstrainSelectedInstOperands,
     /*  513749 */     // GIR_Coverage, 5136,
     /*  513749 */     GIR_EraseRootFromParent_Done,
     /*  513750 */   // Label 8611: @513750
     /*  513750 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(513840), // Rule ID 5137 //
     /*  513755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  513758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  513766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  513769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  513772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  513775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513801 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  513801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513805 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  513818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513838 */     GIR_RootConstrainSelectedInstOperands,
     /*  513839 */     // GIR_Coverage, 5137,
     /*  513839 */     GIR_EraseRootFromParent_Done,
     /*  513840 */   // Label 8612: @513840
     /*  513840 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(513930), // Rule ID 5138 //
     /*  513845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  513848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  513859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  513862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  513868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  513891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  513908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  513910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  513912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  513920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  513928 */     GIR_RootConstrainSelectedInstOperands,
     /*  513929 */     // GIR_Coverage, 5138,
     /*  513929 */     GIR_EraseRootFromParent_Done,
     /*  513930 */   // Label 8613: @513930
     /*  513930 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(514020), // Rule ID 5139 //
     /*  513935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  513938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  513943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  513946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  513949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  513952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  513955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  513958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  513974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513981 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  513981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  513985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  513991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  513995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  513998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  514018 */     GIR_RootConstrainSelectedInstOperands,
     /*  514019 */     // GIR_Coverage, 5139,
     /*  514019 */     GIR_EraseRootFromParent_Done,
     /*  514020 */   // Label 8614: @514020
     /*  514020 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(514110), // Rule ID 5140 //
     /*  514025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  514039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  514088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514108 */     GIR_RootConstrainSelectedInstOperands,
     /*  514109 */     // GIR_Coverage, 5140,
     /*  514109 */     GIR_EraseRootFromParent_Done,
     /*  514110 */   // Label 8615: @514110
     /*  514110 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(514200), // Rule ID 5141 //
     /*  514115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  514129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514161 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  514178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514198 */     GIR_RootConstrainSelectedInstOperands,
     /*  514199 */     // GIR_Coverage, 5141,
     /*  514199 */     GIR_EraseRootFromParent_Done,
     /*  514200 */   // Label 8616: @514200
     /*  514200 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(514290), // Rule ID 5142 //
     /*  514205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  514219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  514268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514288 */     GIR_RootConstrainSelectedInstOperands,
     /*  514289 */     // GIR_Coverage, 5142,
     /*  514289 */     GIR_EraseRootFromParent_Done,
     /*  514290 */   // Label 8617: @514290
     /*  514290 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(514380), // Rule ID 5143 //
     /*  514295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  514309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514341 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  514358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514378 */     GIR_RootConstrainSelectedInstOperands,
     /*  514379 */     // GIR_Coverage, 5143,
     /*  514379 */     GIR_EraseRootFromParent_Done,
     /*  514380 */   // Label 8618: @514380
     /*  514380 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(514470), // Rule ID 5144 //
     /*  514385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  514399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  514431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  514448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514468 */     GIR_RootConstrainSelectedInstOperands,
     /*  514469 */     // GIR_Coverage, 5144,
     /*  514469 */     GIR_EraseRootFromParent_Done,
     /*  514470 */   // Label 8619: @514470
     /*  514470 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(514560), // Rule ID 5145 //
     /*  514475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  514486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  514489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  514495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514521 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  514521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  514538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  514558 */     GIR_RootConstrainSelectedInstOperands,
     /*  514559 */     // GIR_Coverage, 5145,
     /*  514559 */     GIR_EraseRootFromParent_Done,
     /*  514560 */   // Label 8620: @514560
     /*  514560 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(514650), // Rule ID 5146 //
     /*  514565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  514611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  514628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514648 */     GIR_RootConstrainSelectedInstOperands,
     /*  514649 */     // GIR_Coverage, 5146,
     /*  514649 */     GIR_EraseRootFromParent_Done,
     /*  514650 */   // Label 8621: @514650
     /*  514650 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(514740), // Rule ID 5147 //
     /*  514655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  514669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  514701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  514718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514738 */     GIR_RootConstrainSelectedInstOperands,
     /*  514739 */     // GIR_Coverage, 5147,
     /*  514739 */     GIR_EraseRootFromParent_Done,
     /*  514740 */   // Label 8622: @514740
     /*  514740 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(514830), // Rule ID 5148 //
     /*  514745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514791 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  514791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  514808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514828 */     GIR_RootConstrainSelectedInstOperands,
     /*  514829 */     // GIR_Coverage, 5148,
     /*  514829 */     GIR_EraseRootFromParent_Done,
     /*  514830 */   // Label 8623: @514830
     /*  514830 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(514920), // Rule ID 5149 //
     /*  514835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  514838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  514846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  514849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  514852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  514855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  514858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514881 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  514881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  514898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  514910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  514918 */     GIR_RootConstrainSelectedInstOperands,
     /*  514919 */     // GIR_Coverage, 5149,
     /*  514919 */     GIR_EraseRootFromParent_Done,
     /*  514920 */   // Label 8624: @514920
     /*  514920 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(515010), // Rule ID 5150 //
     /*  514925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  514928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  514933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  514936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  514942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  514945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  514948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  514960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  514964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514971 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  514971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  514975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  514981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  514985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  514988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  514990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  514992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515008 */     GIR_RootConstrainSelectedInstOperands,
     /*  515009 */     // GIR_Coverage, 5150,
     /*  515009 */     GIR_EraseRootFromParent_Done,
     /*  515010 */   // Label 8625: @515010
     /*  515010 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(515100), // Rule ID 5151 //
     /*  515015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515061 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  515061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  515078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515098 */     GIR_RootConstrainSelectedInstOperands,
     /*  515099 */     // GIR_Coverage, 5151,
     /*  515099 */     GIR_EraseRootFromParent_Done,
     /*  515100 */   // Label 8626: @515100
     /*  515100 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(515190), // Rule ID 5152 //
     /*  515105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  515116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  515119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  515122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  515125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  515151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515188 */     GIR_RootConstrainSelectedInstOperands,
     /*  515189 */     // GIR_Coverage, 5152,
     /*  515189 */     GIR_EraseRootFromParent_Done,
     /*  515190 */   // Label 8627: @515190
     /*  515190 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(515280), // Rule ID 5153 //
     /*  515195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  515206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  515209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  515215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515241 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  515241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515278 */     GIR_RootConstrainSelectedInstOperands,
     /*  515279 */     // GIR_Coverage, 5153,
     /*  515279 */     GIR_EraseRootFromParent_Done,
     /*  515280 */   // Label 8628: @515280
     /*  515280 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(515370), // Rule ID 5154 //
     /*  515285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  515296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  515302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  515305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515331 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  515331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515368 */     GIR_RootConstrainSelectedInstOperands,
     /*  515369 */     // GIR_Coverage, 5154,
     /*  515369 */     GIR_EraseRootFromParent_Done,
     /*  515370 */   // Label 8629: @515370
     /*  515370 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(515460), // Rule ID 5155 //
     /*  515375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  515386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  515389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  515395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  515421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  515458 */     GIR_RootConstrainSelectedInstOperands,
     /*  515459 */     // GIR_Coverage, 5155,
     /*  515459 */     GIR_EraseRootFromParent_Done,
     /*  515460 */   // Label 8630: @515460
     /*  515460 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(515550), // Rule ID 5156 //
     /*  515465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  515476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  515482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  515485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515511 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  515511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515548 */     GIR_RootConstrainSelectedInstOperands,
     /*  515549 */     // GIR_Coverage, 5156,
     /*  515549 */     GIR_EraseRootFromParent_Done,
     /*  515550 */   // Label 8631: @515550
     /*  515550 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(515640), // Rule ID 5157 //
     /*  515555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  515566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  515569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  515575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  515601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515638 */     GIR_RootConstrainSelectedInstOperands,
     /*  515639 */     // GIR_Coverage, 5157,
     /*  515639 */     GIR_EraseRootFromParent_Done,
     /*  515640 */   // Label 8632: @515640
     /*  515640 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(515730), // Rule ID 5158 //
     /*  515645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  515648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  515662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515691 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  515691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515728 */     GIR_RootConstrainSelectedInstOperands,
     /*  515729 */     // GIR_Coverage, 5158,
     /*  515729 */     GIR_EraseRootFromParent_Done,
     /*  515730 */   // Label 8633: @515730
     /*  515730 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(515820), // Rule ID 5159 //
     /*  515735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  515738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  515746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  515749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  515755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11043:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  515781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  515798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  515818 */     GIR_RootConstrainSelectedInstOperands,
     /*  515819 */     // GIR_Coverage, 5159,
     /*  515819 */     GIR_EraseRootFromParent_Done,
     /*  515820 */   // Label 8634: @515820
     /*  515820 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(515910), // Rule ID 5160 //
     /*  515825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  515828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  515836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  515839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  515842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  515845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  515848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515871 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  515871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  515888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515908 */     GIR_RootConstrainSelectedInstOperands,
     /*  515909 */     // GIR_Coverage, 5160,
     /*  515909 */     GIR_EraseRootFromParent_Done,
     /*  515910 */   // Label 8635: @515910
     /*  515910 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(516000), // Rule ID 5161 //
     /*  515915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  515918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  515923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  515926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  515929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  515932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  515935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  515938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  515950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  515954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515961 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  515961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  515965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  515971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  515975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  515978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  515980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  515982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  515990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  515998 */     GIR_RootConstrainSelectedInstOperands,
     /*  515999 */     // GIR_Coverage, 5161,
     /*  515999 */     GIR_EraseRootFromParent_Done,
     /*  516000 */   // Label 8636: @516000
     /*  516000 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(516090), // Rule ID 5162 //
     /*  516005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  516019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516051 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  516051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  516068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516088 */     GIR_RootConstrainSelectedInstOperands,
     /*  516089 */     // GIR_Coverage, 5162,
     /*  516089 */     GIR_EraseRootFromParent_Done,
     /*  516090 */   // Label 8637: @516090
     /*  516090 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(516180), // Rule ID 5163 //
     /*  516095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  516109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  516112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516141 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  516141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  516158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516178 */     GIR_RootConstrainSelectedInstOperands,
     /*  516179 */     // GIR_Coverage, 5163,
     /*  516179 */     GIR_EraseRootFromParent_Done,
     /*  516180 */   // Label 8638: @516180
     /*  516180 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(516270), // Rule ID 5164 //
     /*  516185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  516196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  516199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  516205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516231 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  516231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  516248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516268 */     GIR_RootConstrainSelectedInstOperands,
     /*  516269 */     // GIR_Coverage, 5164,
     /*  516269 */     GIR_EraseRootFromParent_Done,
     /*  516270 */   // Label 8639: @516270
     /*  516270 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(516360), // Rule ID 5165 //
     /*  516275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  516286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  516289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  516292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  516295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516321 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  516321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  516338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  516358 */     GIR_RootConstrainSelectedInstOperands,
     /*  516359 */     // GIR_Coverage, 5165,
     /*  516359 */     GIR_EraseRootFromParent_Done,
     /*  516360 */   // Label 8640: @516360
     /*  516360 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(516450), // Rule ID 5166 //
     /*  516365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516411 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  516428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516448 */     GIR_RootConstrainSelectedInstOperands,
     /*  516449 */     // GIR_Coverage, 5166,
     /*  516449 */     GIR_EraseRootFromParent_Done,
     /*  516450 */   // Label 8641: @516450
     /*  516450 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(516540), // Rule ID 5167 //
     /*  516455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  516466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  516469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  516472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  516475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516501 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  516518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516538 */     GIR_RootConstrainSelectedInstOperands,
     /*  516539 */     // GIR_Coverage, 5167,
     /*  516539 */     GIR_EraseRootFromParent_Done,
     /*  516540 */   // Label 8642: @516540
     /*  516540 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(516630), // Rule ID 5168 //
     /*  516545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516591 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  516608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516628 */     GIR_RootConstrainSelectedInstOperands,
     /*  516629 */     // GIR_Coverage, 5168,
     /*  516629 */     GIR_EraseRootFromParent_Done,
     /*  516630 */   // Label 8643: @516630
     /*  516630 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(516720), // Rule ID 5169 //
     /*  516635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  516646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  516649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  516652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  516655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  516698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516718 */     GIR_RootConstrainSelectedInstOperands,
     /*  516719 */     // GIR_Coverage, 5169,
     /*  516719 */     GIR_EraseRootFromParent_Done,
     /*  516720 */   // Label 8644: @516720
     /*  516720 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(516810), // Rule ID 5170 //
     /*  516725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516771 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  516771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  516788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516808 */     GIR_RootConstrainSelectedInstOperands,
     /*  516809 */     // GIR_Coverage, 5170,
     /*  516809 */     GIR_EraseRootFromParent_Done,
     /*  516810 */   // Label 8645: @516810
     /*  516810 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(516900), // Rule ID 5171 //
     /*  516815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  516826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  516829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  516832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  516835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  516838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516861 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  516861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  516878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  516898 */     GIR_RootConstrainSelectedInstOperands,
     /*  516899 */     // GIR_Coverage, 5171,
     /*  516899 */     GIR_EraseRootFromParent_Done,
     /*  516900 */   // Label 8646: @516900
     /*  516900 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(516990), // Rule ID 5172 //
     /*  516905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  516908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  516913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  516916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  516922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  516925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  516928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  516940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  516944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516951 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  516951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  516955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  516961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  516965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  516968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  516970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  516972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  516980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516988 */     GIR_RootConstrainSelectedInstOperands,
     /*  516989 */     // GIR_Coverage, 5172,
     /*  516989 */     GIR_EraseRootFromParent_Done,
     /*  516990 */   // Label 8647: @516990
     /*  516990 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(517080), // Rule ID 5173 //
     /*  516995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  516998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517041 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  517041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  517058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517078 */     GIR_RootConstrainSelectedInstOperands,
     /*  517079 */     // GIR_Coverage, 5173,
     /*  517079 */     GIR_EraseRootFromParent_Done,
     /*  517080 */   // Label 8648: @517080
     /*  517080 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(517170), // Rule ID 5174 //
     /*  517085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517131 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  517131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  517148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517168 */     GIR_RootConstrainSelectedInstOperands,
     /*  517169 */     // GIR_Coverage, 5174,
     /*  517169 */     GIR_EraseRootFromParent_Done,
     /*  517170 */   // Label 8649: @517170
     /*  517170 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(517260), // Rule ID 5175 //
     /*  517175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  517221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  517238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517258 */     GIR_RootConstrainSelectedInstOperands,
     /*  517259 */     // GIR_Coverage, 5175,
     /*  517259 */     GIR_EraseRootFromParent_Done,
     /*  517260 */   // Label 8650: @517260
     /*  517260 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(517350), // Rule ID 5176 //
     /*  517265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  517276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  517285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517311 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  517311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  517328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517348 */     GIR_RootConstrainSelectedInstOperands,
     /*  517349 */     // GIR_Coverage, 5176,
     /*  517349 */     GIR_EraseRootFromParent_Done,
     /*  517350 */   // Label 8651: @517350
     /*  517350 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(517440), // Rule ID 5177 //
     /*  517355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  517358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  517366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  517375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517401 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  517401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517405 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  517418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517438 */     GIR_RootConstrainSelectedInstOperands,
     /*  517439 */     // GIR_Coverage, 5177,
     /*  517439 */     GIR_EraseRootFromParent_Done,
     /*  517440 */   // Label 8652: @517440
     /*  517440 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(517530), // Rule ID 5178 //
     /*  517445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  517508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517528 */     GIR_RootConstrainSelectedInstOperands,
     /*  517529 */     // GIR_Coverage, 5178,
     /*  517529 */     GIR_EraseRootFromParent_Done,
     /*  517530 */   // Label 8653: @517530
     /*  517530 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(517620), // Rule ID 5179 //
     /*  517535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  517546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  517549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  517555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517581 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11043:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517585 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  517598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517618 */     GIR_RootConstrainSelectedInstOperands,
     /*  517619 */     // GIR_Coverage, 5179,
     /*  517619 */     GIR_EraseRootFromParent_Done,
     /*  517620 */   // Label 8654: @517620
     /*  517620 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(517710), // Rule ID 5180 //
     /*  517625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517671 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  517688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517708 */     GIR_RootConstrainSelectedInstOperands,
     /*  517709 */     // GIR_Coverage, 5180,
     /*  517709 */     GIR_EraseRootFromParent_Done,
     /*  517710 */   // Label 8655: @517710
     /*  517710 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(517800), // Rule ID 5181 //
     /*  517715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  517726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  517729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  517735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517761 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11043:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  517778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517798 */     GIR_RootConstrainSelectedInstOperands,
     /*  517799 */     // GIR_Coverage, 5181,
     /*  517799 */     GIR_EraseRootFromParent_Done,
     /*  517800 */   // Label 8656: @517800
     /*  517800 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(517890), // Rule ID 5182 //
     /*  517805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  517808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  517822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  517828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517851 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  517851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  517868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517888 */     GIR_RootConstrainSelectedInstOperands,
     /*  517889 */     // GIR_Coverage, 5182,
     /*  517889 */     GIR_EraseRootFromParent_Done,
     /*  517890 */   // Label 8657: @517890
     /*  517890 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(517980), // Rule ID 5183 //
     /*  517895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  517898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  517903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  517906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  517909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  517912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  517915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  517918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  517930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  517934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11043:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  517941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  517945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  517951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  517955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  517958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  517960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  517962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  517970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  517978 */     GIR_RootConstrainSelectedInstOperands,
     /*  517979 */     // GIR_Coverage, 5183,
     /*  517979 */     GIR_EraseRootFromParent_Done,
     /*  517980 */   // Label 8658: @517980
     /*  517980 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(518070), // Rule ID 5446 //
     /*  517985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  517988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  517993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  517996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  517999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  518002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  518031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  518048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518068 */     GIR_RootConstrainSelectedInstOperands,
     /*  518069 */     // GIR_Coverage, 5446,
     /*  518069 */     GIR_EraseRootFromParent_Done,
     /*  518070 */   // Label 8659: @518070
     /*  518070 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(518160), // Rule ID 5447 //
     /*  518075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  518089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  518092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518121 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  518121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  518138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518158 */     GIR_RootConstrainSelectedInstOperands,
     /*  518159 */     // GIR_Coverage, 5447,
     /*  518159 */     GIR_EraseRootFromParent_Done,
     /*  518160 */   // Label 8660: @518160
     /*  518160 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(518250), // Rule ID 5448 //
     /*  518165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  518179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  518182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  518211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  518228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518248 */     GIR_RootConstrainSelectedInstOperands,
     /*  518249 */     // GIR_Coverage, 5448,
     /*  518249 */     GIR_EraseRootFromParent_Done,
     /*  518250 */   // Label 8661: @518250
     /*  518250 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(518340), // Rule ID 5449 //
     /*  518255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  518269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  518272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  518301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  518318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518338 */     GIR_RootConstrainSelectedInstOperands,
     /*  518339 */     // GIR_Coverage, 5449,
     /*  518339 */     GIR_EraseRootFromParent_Done,
     /*  518340 */   // Label 8662: @518340
     /*  518340 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(518430), // Rule ID 5450 //
     /*  518345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  518356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  518359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  518362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  518365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  518391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  518408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518428 */     GIR_RootConstrainSelectedInstOperands,
     /*  518429 */     // GIR_Coverage, 5450,
     /*  518429 */     GIR_EraseRootFromParent_Done,
     /*  518430 */   // Label 8663: @518430
     /*  518430 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(518520), // Rule ID 5451 //
     /*  518435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  518446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  518449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  518452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  518455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518481 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  518481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  518498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  518518 */     GIR_RootConstrainSelectedInstOperands,
     /*  518519 */     // GIR_Coverage, 5451,
     /*  518519 */     GIR_EraseRootFromParent_Done,
     /*  518520 */   // Label 8664: @518520
     /*  518520 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(518610), // Rule ID 5452 //
     /*  518525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518571 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  518571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  518588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518608 */     GIR_RootConstrainSelectedInstOperands,
     /*  518609 */     // GIR_Coverage, 5452,
     /*  518609 */     GIR_EraseRootFromParent_Done,
     /*  518610 */   // Label 8665: @518610
     /*  518610 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(518700), // Rule ID 5453 //
     /*  518615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518661 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  518661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  518678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518698 */     GIR_RootConstrainSelectedInstOperands,
     /*  518699 */     // GIR_Coverage, 5453,
     /*  518699 */     GIR_EraseRootFromParent_Done,
     /*  518700 */   // Label 8666: @518700
     /*  518700 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(518790), // Rule ID 5454 //
     /*  518705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518751 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  518751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  518768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518788 */     GIR_RootConstrainSelectedInstOperands,
     /*  518789 */     // GIR_Coverage, 5454,
     /*  518789 */     GIR_EraseRootFromParent_Done,
     /*  518790 */   // Label 8667: @518790
     /*  518790 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(518880), // Rule ID 5455 //
     /*  518795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  518806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  518815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518841 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  518841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  518858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518878 */     GIR_RootConstrainSelectedInstOperands,
     /*  518879 */     // GIR_Coverage, 5455,
     /*  518879 */     GIR_EraseRootFromParent_Done,
     /*  518880 */   // Label 8668: @518880
     /*  518880 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(518970), // Rule ID 5456 //
     /*  518885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  518888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  518924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  518931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  518935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  518941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  518945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  518948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  518952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  518960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518968 */     GIR_RootConstrainSelectedInstOperands,
     /*  518969 */     // GIR_Coverage, 5456,
     /*  518969 */     GIR_EraseRootFromParent_Done,
     /*  518970 */   // Label 8669: @518970
     /*  518970 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(519060), // Rule ID 5457 //
     /*  518975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  518978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  518983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  518986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  518995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519021 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  519021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  519038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519058 */     GIR_RootConstrainSelectedInstOperands,
     /*  519059 */     // GIR_Coverage, 5457,
     /*  519059 */     GIR_EraseRootFromParent_Done,
     /*  519060 */   // Label 8670: @519060
     /*  519060 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(519150), // Rule ID 5458 //
     /*  519065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  519079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  519082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  519111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519148 */     GIR_RootConstrainSelectedInstOperands,
     /*  519149 */     // GIR_Coverage, 5458,
     /*  519149 */     GIR_EraseRootFromParent_Done,
     /*  519150 */   // Label 8671: @519150
     /*  519150 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(519240), // Rule ID 5459 //
     /*  519155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  519166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  519169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  519172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  519175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  519201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519238 */     GIR_RootConstrainSelectedInstOperands,
     /*  519239 */     // GIR_Coverage, 5459,
     /*  519239 */     GIR_EraseRootFromParent_Done,
     /*  519240 */   // Label 8672: @519240
     /*  519240 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(519330), // Rule ID 5460 //
     /*  519245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  519256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  519259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  519262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  519265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519291 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  519291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519328 */     GIR_RootConstrainSelectedInstOperands,
     /*  519329 */     // GIR_Coverage, 5460,
     /*  519329 */     GIR_EraseRootFromParent_Done,
     /*  519330 */   // Label 8673: @519330
     /*  519330 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(519420), // Rule ID 5461 //
     /*  519335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  519346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  519349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  519352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  519355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519381 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  519381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519418 */     GIR_RootConstrainSelectedInstOperands,
     /*  519419 */     // GIR_Coverage, 5461,
     /*  519419 */     GIR_EraseRootFromParent_Done,
     /*  519420 */   // Label 8674: @519420
     /*  519420 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(519510), // Rule ID 5462 //
     /*  519425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  519436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  519445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  519471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519508 */     GIR_RootConstrainSelectedInstOperands,
     /*  519509 */     // GIR_Coverage, 5462,
     /*  519509 */     GIR_EraseRootFromParent_Done,
     /*  519510 */   // Label 8675: @519510
     /*  519510 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(519600), // Rule ID 5463 //
     /*  519515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  519526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  519535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  519561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519598 */     GIR_RootConstrainSelectedInstOperands,
     /*  519599 */     // GIR_Coverage, 5463,
     /*  519599 */     GIR_EraseRootFromParent_Done,
     /*  519600 */   // Label 8676: @519600
     /*  519600 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(519690), // Rule ID 5464 //
     /*  519605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  519608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  519616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  519625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519651 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  519651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519688 */     GIR_RootConstrainSelectedInstOperands,
     /*  519689 */     // GIR_Coverage, 5464,
     /*  519689 */     GIR_EraseRootFromParent_Done,
     /*  519690 */   // Label 8677: @519690
     /*  519690 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(519780), // Rule ID 5465 //
     /*  519695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  519698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  519706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  519715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  519741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  519758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519778 */     GIR_RootConstrainSelectedInstOperands,
     /*  519779 */     // GIR_Coverage, 5465,
     /*  519779 */     GIR_EraseRootFromParent_Done,
     /*  519780 */   // Label 8678: @519780
     /*  519780 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(519870), // Rule ID 5466 //
     /*  519785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  519796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  519799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  519802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  519805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519831 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  519831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  519848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519868 */     GIR_RootConstrainSelectedInstOperands,
     /*  519869 */     // GIR_Coverage, 5466,
     /*  519869 */     GIR_EraseRootFromParent_Done,
     /*  519870 */   // Label 8679: @519870
     /*  519870 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(519960), // Rule ID 5467 //
     /*  519875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  519878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  519886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  519889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  519892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  519895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  519914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519921 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  519921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  519925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  519931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  519935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  519938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  519942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  519950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  519958 */     GIR_RootConstrainSelectedInstOperands,
     /*  519959 */     // GIR_Coverage, 5467,
     /*  519959 */     GIR_EraseRootFromParent_Done,
     /*  519960 */   // Label 8680: @519960
     /*  519960 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(520050), // Rule ID 5468 //
     /*  519965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  519968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  519973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  519976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  519979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  519982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  519985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520011 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  520011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  520028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520048 */     GIR_RootConstrainSelectedInstOperands,
     /*  520049 */     // GIR_Coverage, 5468,
     /*  520049 */     GIR_EraseRootFromParent_Done,
     /*  520050 */   // Label 8681: @520050
     /*  520050 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(520140), // Rule ID 5469 //
     /*  520055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  520066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  520069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  520072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  520075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520101 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  520101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  520118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520138 */     GIR_RootConstrainSelectedInstOperands,
     /*  520139 */     // GIR_Coverage, 5469,
     /*  520139 */     GIR_EraseRootFromParent_Done,
     /*  520140 */   // Label 8682: @520140
     /*  520140 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(520230), // Rule ID 5470 //
     /*  520145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  520156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  520159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  520162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  520165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520191 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  520191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  520208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520228 */     GIR_RootConstrainSelectedInstOperands,
     /*  520229 */     // GIR_Coverage, 5470,
     /*  520229 */     GIR_EraseRootFromParent_Done,
     /*  520230 */   // Label 8683: @520230
     /*  520230 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(520320), // Rule ID 5471 //
     /*  520235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  520246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  520249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  520252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  520255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520281 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  520281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  520298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  520318 */     GIR_RootConstrainSelectedInstOperands,
     /*  520319 */     // GIR_Coverage, 5471,
     /*  520319 */     GIR_EraseRootFromParent_Done,
     /*  520320 */   // Label 8684: @520320
     /*  520320 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(520410), // Rule ID 5472 //
     /*  520325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  520336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  520345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520371 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  520371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  520388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520408 */     GIR_RootConstrainSelectedInstOperands,
     /*  520409 */     // GIR_Coverage, 5472,
     /*  520409 */     GIR_EraseRootFromParent_Done,
     /*  520410 */   // Label 8685: @520410
     /*  520410 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(520500), // Rule ID 5473 //
     /*  520415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  520426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  520429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  520432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  520435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520461 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  520461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  520478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520498 */     GIR_RootConstrainSelectedInstOperands,
     /*  520499 */     // GIR_Coverage, 5473,
     /*  520499 */     GIR_EraseRootFromParent_Done,
     /*  520500 */   // Label 8686: @520500
     /*  520500 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(520590), // Rule ID 5474 //
     /*  520505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  520516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  520525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520551 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  520551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  520568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520588 */     GIR_RootConstrainSelectedInstOperands,
     /*  520589 */     // GIR_Coverage, 5474,
     /*  520589 */     GIR_EraseRootFromParent_Done,
     /*  520590 */   // Label 8687: @520590
     /*  520590 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(520680), // Rule ID 5475 //
     /*  520595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  520606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  520609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  520612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  520615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520641 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  520641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  520658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520678 */     GIR_RootConstrainSelectedInstOperands,
     /*  520679 */     // GIR_Coverage, 5475,
     /*  520679 */     GIR_EraseRootFromParent_Done,
     /*  520680 */   // Label 8688: @520680
     /*  520680 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(520770), // Rule ID 5476 //
     /*  520685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  520696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  520705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520731 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  520731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  520748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520768 */     GIR_RootConstrainSelectedInstOperands,
     /*  520769 */     // GIR_Coverage, 5476,
     /*  520769 */     GIR_EraseRootFromParent_Done,
     /*  520770 */   // Label 8689: @520770
     /*  520770 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(520860), // Rule ID 5477 //
     /*  520775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  520786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  520789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  520792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  520795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520821 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  520821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  520838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520858 */     GIR_RootConstrainSelectedInstOperands,
     /*  520859 */     // GIR_Coverage, 5477,
     /*  520859 */     GIR_EraseRootFromParent_Done,
     /*  520860 */   // Label 8690: @520860
     /*  520860 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(520950), // Rule ID 5478 //
     /*  520865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  520868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  520876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  520885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520911 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  520911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  520915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  520921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  520925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  520928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  520932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  520940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520948 */     GIR_RootConstrainSelectedInstOperands,
     /*  520949 */     // GIR_Coverage, 5478,
     /*  520949 */     GIR_EraseRootFromParent_Done,
     /*  520950 */   // Label 8691: @520950
     /*  520950 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(521040), // Rule ID 5479 //
     /*  520955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  520958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  520963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  520966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  520969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  520972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  520975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  520994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  521001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  521018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521038 */     GIR_RootConstrainSelectedInstOperands,
     /*  521039 */     // GIR_Coverage, 5479,
     /*  521039 */     GIR_EraseRootFromParent_Done,
     /*  521040 */   // Label 8692: @521040
     /*  521040 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(521130), // Rule ID 5480 //
     /*  521045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  521056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  521065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521091 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  521091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  521108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521128 */     GIR_RootConstrainSelectedInstOperands,
     /*  521129 */     // GIR_Coverage, 5480,
     /*  521129 */     GIR_EraseRootFromParent_Done,
     /*  521130 */   // Label 8693: @521130
     /*  521130 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(521220), // Rule ID 5481 //
     /*  521135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  521146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  521149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  521152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  521155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521181 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  521181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  521198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521218 */     GIR_RootConstrainSelectedInstOperands,
     /*  521219 */     // GIR_Coverage, 5481,
     /*  521219 */     GIR_EraseRootFromParent_Done,
     /*  521220 */   // Label 8694: @521220
     /*  521220 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(521310), // Rule ID 5482 //
     /*  521225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  521236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  521245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521271 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  521271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  521288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521308 */     GIR_RootConstrainSelectedInstOperands,
     /*  521309 */     // GIR_Coverage, 5482,
     /*  521309 */     GIR_EraseRootFromParent_Done,
     /*  521310 */   // Label 8695: @521310
     /*  521310 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(521400), // Rule ID 5483 //
     /*  521315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  521318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  521326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  521329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  521332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  521335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521361 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  521361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  521378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521398 */     GIR_RootConstrainSelectedInstOperands,
     /*  521399 */     // GIR_Coverage, 5483,
     /*  521399 */     GIR_EraseRootFromParent_Done,
     /*  521400 */   // Label 8696: @521400
     /*  521400 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(521490), // Rule ID 5484 //
     /*  521405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  521408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  521416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  521425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  521451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  521468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521488 */     GIR_RootConstrainSelectedInstOperands,
     /*  521489 */     // GIR_Coverage, 5484,
     /*  521489 */     GIR_EraseRootFromParent_Done,
     /*  521490 */   // Label 8697: @521490
     /*  521490 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(521580), // Rule ID 5485 //
     /*  521495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  521498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  521506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  521509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  521512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  521515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521541 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  521541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  521558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521578 */     GIR_RootConstrainSelectedInstOperands,
     /*  521579 */     // GIR_Coverage, 5485,
     /*  521579 */     GIR_EraseRootFromParent_Done,
     /*  521580 */   // Label 8698: @521580
     /*  521580 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(521670), // Rule ID 5486 //
     /*  521585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  521588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  521596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  521605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521631 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  521631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  521648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521668 */     GIR_RootConstrainSelectedInstOperands,
     /*  521669 */     // GIR_Coverage, 5486,
     /*  521669 */     GIR_EraseRootFromParent_Done,
     /*  521670 */   // Label 8699: @521670
     /*  521670 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(521760), // Rule ID 5487 //
     /*  521675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  521678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  521686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  521689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  521692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  521695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521721 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  521721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  521738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521758 */     GIR_RootConstrainSelectedInstOperands,
     /*  521759 */     // GIR_Coverage, 5487,
     /*  521759 */     GIR_EraseRootFromParent_Done,
     /*  521760 */   // Label 8700: @521760
     /*  521760 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(521850), // Rule ID 5488 //
     /*  521765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  521768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  521776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  521785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521811 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  521811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  521828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521848 */     GIR_RootConstrainSelectedInstOperands,
     /*  521849 */     // GIR_Coverage, 5488,
     /*  521849 */     GIR_EraseRootFromParent_Done,
     /*  521850 */   // Label 8701: @521850
     /*  521850 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(521940), // Rule ID 5489 //
     /*  521855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  521858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  521866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  521869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  521872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  521875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521901 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  521901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  521911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  521915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  521918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  521922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  521930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521938 */     GIR_RootConstrainSelectedInstOperands,
     /*  521939 */     // GIR_Coverage, 5489,
     /*  521939 */     GIR_EraseRootFromParent_Done,
     /*  521940 */   // Label 8702: @521940
     /*  521940 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(522030), // Rule ID 5490 //
     /*  521945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  521948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  521953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  521956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  521959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  521962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  521965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  521980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  521984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521991 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  521991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  521995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  522008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522028 */     GIR_RootConstrainSelectedInstOperands,
     /*  522029 */     // GIR_Coverage, 5490,
     /*  522029 */     GIR_EraseRootFromParent_Done,
     /*  522030 */   // Label 8703: @522030
     /*  522030 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(522120), // Rule ID 5491 //
     /*  522035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  522046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  522049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  522055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522081 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  522081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  522098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522118 */     GIR_RootConstrainSelectedInstOperands,
     /*  522119 */     // GIR_Coverage, 5491,
     /*  522119 */     GIR_EraseRootFromParent_Done,
     /*  522120 */   // Label 8704: @522120
     /*  522120 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(522210), // Rule ID 5492 //
     /*  522125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  522136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  522139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  522142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  522145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  522171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  522188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522208 */     GIR_RootConstrainSelectedInstOperands,
     /*  522209 */     // GIR_Coverage, 5492,
     /*  522209 */     GIR_EraseRootFromParent_Done,
     /*  522210 */   // Label 8705: @522210
     /*  522210 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(522300), // Rule ID 5493 //
     /*  522215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  522226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  522229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  522235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522261 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  522261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  522278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522298 */     GIR_RootConstrainSelectedInstOperands,
     /*  522299 */     // GIR_Coverage, 5493,
     /*  522299 */     GIR_EraseRootFromParent_Done,
     /*  522300 */   // Label 8706: @522300
     /*  522300 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(522390), // Rule ID 5494 //
     /*  522305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  522316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  522319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  522322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  522325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522351 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  522351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522388 */     GIR_RootConstrainSelectedInstOperands,
     /*  522389 */     // GIR_Coverage, 5494,
     /*  522389 */     GIR_EraseRootFromParent_Done,
     /*  522390 */   // Label 8707: @522390
     /*  522390 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(522480), // Rule ID 5495 //
     /*  522395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  522406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  522409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  522415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522441 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  522441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  522478 */     GIR_RootConstrainSelectedInstOperands,
     /*  522479 */     // GIR_Coverage, 5495,
     /*  522479 */     GIR_EraseRootFromParent_Done,
     /*  522480 */   // Label 8708: @522480
     /*  522480 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(522570), // Rule ID 5496 //
     /*  522485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  522496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  522502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  522505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522531 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  522531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  522548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522568 */     GIR_RootConstrainSelectedInstOperands,
     /*  522569 */     // GIR_Coverage, 5496,
     /*  522569 */     GIR_EraseRootFromParent_Done,
     /*  522570 */   // Label 8709: @522570
     /*  522570 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(522660), // Rule ID 5497 //
     /*  522575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  522586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  522589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  522595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522621 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  522621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  522638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522658 */     GIR_RootConstrainSelectedInstOperands,
     /*  522659 */     // GIR_Coverage, 5497,
     /*  522659 */     GIR_EraseRootFromParent_Done,
     /*  522660 */   // Label 8710: @522660
     /*  522660 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(522750), // Rule ID 5498 //
     /*  522665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  522676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  522682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  522685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522711 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  522711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522748 */     GIR_RootConstrainSelectedInstOperands,
     /*  522749 */     // GIR_Coverage, 5498,
     /*  522749 */     GIR_EraseRootFromParent_Done,
     /*  522750 */   // Label 8711: @522750
     /*  522750 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(522840), // Rule ID 5499 //
     /*  522755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  522766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  522775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522801 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  522801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522805 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522838 */     GIR_RootConstrainSelectedInstOperands,
     /*  522839 */     // GIR_Coverage, 5499,
     /*  522839 */     GIR_EraseRootFromParent_Done,
     /*  522840 */   // Label 8712: @522840
     /*  522840 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(522930), // Rule ID 5500 //
     /*  522845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  522848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  522856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  522862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  522865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522891 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  522891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  522912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  522920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522928 */     GIR_RootConstrainSelectedInstOperands,
     /*  522929 */     // GIR_Coverage, 5500,
     /*  522929 */     GIR_EraseRootFromParent_Done,
     /*  522930 */   // Label 8713: @522930
     /*  522930 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(523020), // Rule ID 5501 //
     /*  522935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  522938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  522943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  522946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  522949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  522952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  522955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  522970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  522974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522981 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  522981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  522985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  522991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  522995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  522998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523018 */     GIR_RootConstrainSelectedInstOperands,
     /*  523019 */     // GIR_Coverage, 5501,
     /*  523019 */     GIR_EraseRootFromParent_Done,
     /*  523020 */   // Label 8714: @523020
     /*  523020 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(523110), // Rule ID 5502 //
     /*  523025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  523036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  523039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  523045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523071 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  523071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523108 */     GIR_RootConstrainSelectedInstOperands,
     /*  523109 */     // GIR_Coverage, 5502,
     /*  523109 */     GIR_EraseRootFromParent_Done,
     /*  523110 */   // Label 8715: @523110
     /*  523110 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(523200), // Rule ID 5503 //
     /*  523115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  523126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  523129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  523132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  523135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523161 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  523161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523198 */     GIR_RootConstrainSelectedInstOperands,
     /*  523199 */     // GIR_Coverage, 5503,
     /*  523199 */     GIR_EraseRootFromParent_Done,
     /*  523200 */   // Label 8716: @523200
     /*  523200 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(523290), // Rule ID 5504 //
     /*  523205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  523216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  523225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  523251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523288 */     GIR_RootConstrainSelectedInstOperands,
     /*  523289 */     // GIR_Coverage, 5504,
     /*  523289 */     GIR_EraseRootFromParent_Done,
     /*  523290 */   // Label 8717: @523290
     /*  523290 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(523380), // Rule ID 5505 //
     /*  523295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  523306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  523312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  523315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  523341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523378 */     GIR_RootConstrainSelectedInstOperands,
     /*  523379 */     // GIR_Coverage, 5505,
     /*  523379 */     GIR_EraseRootFromParent_Done,
     /*  523380 */   // Label 8718: @523380
     /*  523380 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(523470), // Rule ID 5506 //
     /*  523385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  523396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  523405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523431 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  523431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523468 */     GIR_RootConstrainSelectedInstOperands,
     /*  523469 */     // GIR_Coverage, 5506,
     /*  523469 */     GIR_EraseRootFromParent_Done,
     /*  523470 */   // Label 8719: @523470
     /*  523470 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(523560), // Rule ID 5507 //
     /*  523475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  523486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  523492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  523495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523521 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  523521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523558 */     GIR_RootConstrainSelectedInstOperands,
     /*  523559 */     // GIR_Coverage, 5507,
     /*  523559 */     GIR_EraseRootFromParent_Done,
     /*  523560 */   // Label 8720: @523560
     /*  523560 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(523650), // Rule ID 5508 //
     /*  523565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  523568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  523576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  523585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523611 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  523611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523648 */     GIR_RootConstrainSelectedInstOperands,
     /*  523649 */     // GIR_Coverage, 5508,
     /*  523649 */     GIR_EraseRootFromParent_Done,
     /*  523650 */   // Label 8721: @523650
     /*  523650 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(523740), // Rule ID 5509 //
     /*  523655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  523658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  523666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  523672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  523675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11075:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  523701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  523718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523738 */     GIR_RootConstrainSelectedInstOperands,
     /*  523739 */     // GIR_Coverage, 5509,
     /*  523739 */     GIR_EraseRootFromParent_Done,
     /*  523740 */   // Label 8722: @523740
     /*  523740 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(523830), // Rule ID 5510 //
     /*  523745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  523756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  523759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  523765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523791 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  523791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  523808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523828 */     GIR_RootConstrainSelectedInstOperands,
     /*  523829 */     // GIR_Coverage, 5510,
     /*  523829 */     GIR_EraseRootFromParent_Done,
     /*  523830 */   // Label 8723: @523830
     /*  523830 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(523920), // Rule ID 5511 //
     /*  523835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  523838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  523846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  523849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  523852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  523855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523881 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  523881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  523898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  523910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  523918 */     GIR_RootConstrainSelectedInstOperands,
     /*  523919 */     // GIR_Coverage, 5511,
     /*  523919 */     GIR_EraseRootFromParent_Done,
     /*  523920 */   // Label 8724: @523920
     /*  523920 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(524010), // Rule ID 5512 //
     /*  523925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  523928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  523933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  523936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  523939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  523942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  523945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  523960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  523964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523971 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  523971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  523975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  523981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  523985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  523988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  523992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524008 */     GIR_RootConstrainSelectedInstOperands,
     /*  524009 */     // GIR_Coverage, 5512,
     /*  524009 */     GIR_EraseRootFromParent_Done,
     /*  524010 */   // Label 8725: @524010
     /*  524010 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(524100), // Rule ID 5513 //
     /*  524015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  524026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  524029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  524035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524061 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  524061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  524078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524098 */     GIR_RootConstrainSelectedInstOperands,
     /*  524099 */     // GIR_Coverage, 5513,
     /*  524099 */     GIR_EraseRootFromParent_Done,
     /*  524100 */   // Label 8726: @524100
     /*  524100 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(524190), // Rule ID 5514 //
     /*  524105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  524116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  524119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  524122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  524125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524151 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  524151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  524168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524188 */     GIR_RootConstrainSelectedInstOperands,
     /*  524189 */     // GIR_Coverage, 5514,
     /*  524189 */     GIR_EraseRootFromParent_Done,
     /*  524190 */   // Label 8727: @524190
     /*  524190 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(524280), // Rule ID 5515 //
     /*  524195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  524206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  524209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  524215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524241 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  524241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  524258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  524278 */     GIR_RootConstrainSelectedInstOperands,
     /*  524279 */     // GIR_Coverage, 5515,
     /*  524279 */     GIR_EraseRootFromParent_Done,
     /*  524280 */   // Label 8728: @524280
     /*  524280 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(524370), // Rule ID 5516 //
     /*  524285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  524296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  524302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  524305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  524331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  524348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524368 */     GIR_RootConstrainSelectedInstOperands,
     /*  524369 */     // GIR_Coverage, 5516,
     /*  524369 */     GIR_EraseRootFromParent_Done,
     /*  524370 */   // Label 8729: @524370
     /*  524370 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(524460), // Rule ID 5517 //
     /*  524375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  524386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  524389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  524395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524421 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  524421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  524438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524458 */     GIR_RootConstrainSelectedInstOperands,
     /*  524459 */     // GIR_Coverage, 5517,
     /*  524459 */     GIR_EraseRootFromParent_Done,
     /*  524460 */   // Label 8730: @524460
     /*  524460 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(524550), // Rule ID 5518 //
     /*  524465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  524476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  524482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  524485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524511 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  524511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  524528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524548 */     GIR_RootConstrainSelectedInstOperands,
     /*  524549 */     // GIR_Coverage, 5518,
     /*  524549 */     GIR_EraseRootFromParent_Done,
     /*  524550 */   // Label 8731: @524550
     /*  524550 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(524640), // Rule ID 5519 //
     /*  524555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  524566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  524569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  524575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524601 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  524601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  524618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524638 */     GIR_RootConstrainSelectedInstOperands,
     /*  524639 */     // GIR_Coverage, 5519,
     /*  524639 */     GIR_EraseRootFromParent_Done,
     /*  524640 */   // Label 8732: @524640
     /*  524640 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(524730), // Rule ID 5520 //
     /*  524645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  524656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  524659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  524662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  524665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524691 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  524691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  524708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524728 */     GIR_RootConstrainSelectedInstOperands,
     /*  524729 */     // GIR_Coverage, 5520,
     /*  524729 */     GIR_EraseRootFromParent_Done,
     /*  524730 */   // Label 8733: @524730
     /*  524730 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(524820), // Rule ID 5521 //
     /*  524735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  524746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  524749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  524755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524781 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  524781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  524798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524818 */     GIR_RootConstrainSelectedInstOperands,
     /*  524819 */     // GIR_Coverage, 5521,
     /*  524819 */     GIR_EraseRootFromParent_Done,
     /*  524820 */   // Label 8734: @524820
     /*  524820 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(524910), // Rule ID 5522 //
     /*  524825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  524828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  524836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  524842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  524845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524871 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  524871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  524888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524908 */     GIR_RootConstrainSelectedInstOperands,
     /*  524909 */     // GIR_Coverage, 5522,
     /*  524909 */     GIR_EraseRootFromParent_Done,
     /*  524910 */   // Label 8735: @524910
     /*  524910 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(525000), // Rule ID 5523 //
     /*  524915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  524918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  524923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  524926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  524932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  524935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  524950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  524954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524961 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  524961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  524965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  524971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  524975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  524978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  524982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  524990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524998 */     GIR_RootConstrainSelectedInstOperands,
     /*  524999 */     // GIR_Coverage, 5523,
     /*  524999 */     GIR_EraseRootFromParent_Done,
     /*  525000 */   // Label 8736: @525000
     /*  525000 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(525090), // Rule ID 5524 //
     /*  525005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  525016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  525022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  525025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  525051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  525068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525088 */     GIR_RootConstrainSelectedInstOperands,
     /*  525089 */     // GIR_Coverage, 5524,
     /*  525089 */     GIR_EraseRootFromParent_Done,
     /*  525090 */   // Label 8737: @525090
     /*  525090 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(525180), // Rule ID 5525 //
     /*  525095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  525106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  525109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  525112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  525115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  525141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  525158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525178 */     GIR_RootConstrainSelectedInstOperands,
     /*  525179 */     // GIR_Coverage, 5525,
     /*  525179 */     GIR_EraseRootFromParent_Done,
     /*  525180 */   // Label 8738: @525180
     /*  525180 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(525270), // Rule ID 5526 //
     /*  525185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  525196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  525202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  525205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525231 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  525231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  525248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525268 */     GIR_RootConstrainSelectedInstOperands,
     /*  525269 */     // GIR_Coverage, 5526,
     /*  525269 */     GIR_EraseRootFromParent_Done,
     /*  525270 */   // Label 8739: @525270
     /*  525270 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(525360), // Rule ID 5527 //
     /*  525275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  525286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  525289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  525292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  525295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525321 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  525321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  525338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525358 */     GIR_RootConstrainSelectedInstOperands,
     /*  525359 */     // GIR_Coverage, 5527,
     /*  525359 */     GIR_EraseRootFromParent_Done,
     /*  525360 */   // Label 8740: @525360
     /*  525360 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(525450), // Rule ID 5528 //
     /*  525365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  525368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  525376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  525382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  525385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525411 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  525411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  525428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525448 */     GIR_RootConstrainSelectedInstOperands,
     /*  525449 */     // GIR_Coverage, 5528,
     /*  525449 */     GIR_EraseRootFromParent_Done,
     /*  525450 */   // Label 8741: @525450
     /*  525450 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(525540), // Rule ID 5529 //
     /*  525455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  525458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  525466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  525469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  525472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  525475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525501 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11075:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  525501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  525518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525538 */     GIR_RootConstrainSelectedInstOperands,
     /*  525539 */     // GIR_Coverage, 5529,
     /*  525539 */     GIR_EraseRootFromParent_Done,
     /*  525540 */   // Label 8742: @525540
     /*  525540 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(525630), // Rule ID 5530 //
     /*  525545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  525548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  525556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  525562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  525565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525591 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  525591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  525608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525628 */     GIR_RootConstrainSelectedInstOperands,
     /*  525629 */     // GIR_Coverage, 5530,
     /*  525629 */     GIR_EraseRootFromParent_Done,
     /*  525630 */   // Label 8743: @525630
     /*  525630 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(525720), // Rule ID 5531 //
     /*  525635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  525638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  525646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  525649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  525652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  525655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525681 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11075:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  525681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  525698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525718 */     GIR_RootConstrainSelectedInstOperands,
     /*  525719 */     // GIR_Coverage, 5531,
     /*  525719 */     GIR_EraseRootFromParent_Done,
     /*  525720 */   // Label 8744: @525720
     /*  525720 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(525810), // Rule ID 5532 //
     /*  525725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  525728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  525736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  525742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  525745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  525771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  525788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525808 */     GIR_RootConstrainSelectedInstOperands,
     /*  525809 */     // GIR_Coverage, 5532,
     /*  525809 */     GIR_EraseRootFromParent_Done,
     /*  525810 */   // Label 8745: @525810
     /*  525810 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(525900), // Rule ID 5533 //
     /*  525815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  525818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  525823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  525826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  525829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  525832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  525835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  525846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  525850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  525854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11075:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  525861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  525865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  525871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  525875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  525878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  525882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  525890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525898 */     GIR_RootConstrainSelectedInstOperands,
     /*  525899 */     // GIR_Coverage, 5533,
     /*  525899 */     GIR_EraseRootFromParent_Done,
     /*  525900 */   // Label 8746: @525900
     /*  525900 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(525975), // Rule ID 5622 //
     /*  525905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  525908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  525916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  525919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  525922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  525925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  525951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  525954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  525960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  525962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  525970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525973 */     GIR_RootConstrainSelectedInstOperands,
     /*  525974 */     // GIR_Coverage, 5622,
     /*  525974 */     GIR_EraseRootFromParent_Done,
     /*  525975 */   // Label 8747: @525975
     /*  525975 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(526050), // Rule ID 5623 //
     /*  525980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  525983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  525988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  525991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  525994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  525997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  526000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  526026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  526029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526048 */     GIR_RootConstrainSelectedInstOperands,
     /*  526049 */     // GIR_Coverage, 5623,
     /*  526049 */     GIR_EraseRootFromParent_Done,
     /*  526050 */   // Label 8748: @526050
     /*  526050 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(526125), // Rule ID 5626 //
     /*  526055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  526066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  526069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  526072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  526075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  526101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  526104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526123 */     GIR_RootConstrainSelectedInstOperands,
     /*  526124 */     // GIR_Coverage, 5626,
     /*  526124 */     GIR_EraseRootFromParent_Done,
     /*  526125 */   // Label 8749: @526125
     /*  526125 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(526200), // Rule ID 5627 //
     /*  526130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  526141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  526144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  526147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  526150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  526176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  526179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526198 */     GIR_RootConstrainSelectedInstOperands,
     /*  526199 */     // GIR_Coverage, 5627,
     /*  526199 */     GIR_EraseRootFromParent_Done,
     /*  526200 */   // Label 8750: @526200
     /*  526200 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(526275), // Rule ID 5630 //
     /*  526205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  526216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  526219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  526222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  526225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  526251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526273 */     GIR_RootConstrainSelectedInstOperands,
     /*  526274 */     // GIR_Coverage, 5630,
     /*  526274 */     GIR_EraseRootFromParent_Done,
     /*  526275 */   // Label 8751: @526275
     /*  526275 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(526350), // Rule ID 5631 //
     /*  526280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  526291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  526294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  526297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  526300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  526326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526348 */     GIR_RootConstrainSelectedInstOperands,
     /*  526349 */     // GIR_Coverage, 5631,
     /*  526349 */     GIR_EraseRootFromParent_Done,
     /*  526350 */   // Label 8752: @526350
     /*  526350 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(526425), // Rule ID 5634 //
     /*  526355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  526375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526401 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  526404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526423 */     GIR_RootConstrainSelectedInstOperands,
     /*  526424 */     // GIR_Coverage, 5634,
     /*  526424 */     GIR_EraseRootFromParent_Done,
     /*  526425 */   // Label 8753: @526425
     /*  526425 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(526500), // Rule ID 5635 //
     /*  526430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  526450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  526479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526498 */     GIR_RootConstrainSelectedInstOperands,
     /*  526499 */     // GIR_Coverage, 5635,
     /*  526499 */     GIR_EraseRootFromParent_Done,
     /*  526500 */   // Label 8754: @526500
     /*  526500 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(526575), // Rule ID 5638 //
     /*  526505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  526525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526573 */     GIR_RootConstrainSelectedInstOperands,
     /*  526574 */     // GIR_Coverage, 5638,
     /*  526574 */     GIR_EraseRootFromParent_Done,
     /*  526575 */   // Label 8755: @526575
     /*  526575 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(526650), // Rule ID 5639 //
     /*  526580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  526591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  526594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  526597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  526600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526648 */     GIR_RootConstrainSelectedInstOperands,
     /*  526649 */     // GIR_Coverage, 5639,
     /*  526649 */     GIR_EraseRootFromParent_Done,
     /*  526650 */   // Label 8756: @526650
     /*  526650 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(526725), // Rule ID 5642 //
     /*  526655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  526675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526723 */     GIR_RootConstrainSelectedInstOperands,
     /*  526724 */     // GIR_Coverage, 5642,
     /*  526724 */     GIR_EraseRootFromParent_Done,
     /*  526725 */   // Label 8757: @526725
     /*  526725 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(526800), // Rule ID 5643 //
     /*  526730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  526741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  526744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  526747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  526750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  526779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526798 */     GIR_RootConstrainSelectedInstOperands,
     /*  526799 */     // GIR_Coverage, 5643,
     /*  526799 */     GIR_EraseRootFromParent_Done,
     /*  526800 */   // Label 8758: @526800
     /*  526800 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(526875), // Rule ID 5646 //
     /*  526805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  526816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  526819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  526822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  526825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  526851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  526854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526873 */     GIR_RootConstrainSelectedInstOperands,
     /*  526874 */     // GIR_Coverage, 5646,
     /*  526874 */     GIR_EraseRootFromParent_Done,
     /*  526875 */   // Label 8759: @526875
     /*  526875 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(526950), // Rule ID 5647 //
     /*  526880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  526883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  526891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  526894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  526897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  526900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526926 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  526926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  526929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  526935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  526937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  526945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526948 */     GIR_RootConstrainSelectedInstOperands,
     /*  526949 */     // GIR_Coverage, 5647,
     /*  526949 */     GIR_EraseRootFromParent_Done,
     /*  526950 */   // Label 8760: @526950
     /*  526950 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(527025), // Rule ID 5650 //
     /*  526955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  526958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  526963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  526966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  526969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  526972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  526975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  526994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527023 */     GIR_RootConstrainSelectedInstOperands,
     /*  527024 */     // GIR_Coverage, 5650,
     /*  527024 */     GIR_EraseRootFromParent_Done,
     /*  527025 */   // Label 8761: @527025
     /*  527025 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(527100), // Rule ID 5651 //
     /*  527030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  527050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527098 */     GIR_RootConstrainSelectedInstOperands,
     /*  527099 */     // GIR_Coverage, 5651,
     /*  527099 */     GIR_EraseRootFromParent_Done,
     /*  527100 */   // Label 8762: @527100
     /*  527100 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(527175), // Rule ID 5654 //
     /*  527105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  527125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527173 */     GIR_RootConstrainSelectedInstOperands,
     /*  527174 */     // GIR_Coverage, 5654,
     /*  527174 */     GIR_EraseRootFromParent_Done,
     /*  527175 */   // Label 8763: @527175
     /*  527175 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(527250), // Rule ID 5655 //
     /*  527180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  527200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527248 */     GIR_RootConstrainSelectedInstOperands,
     /*  527249 */     // GIR_Coverage, 5655,
     /*  527249 */     GIR_EraseRootFromParent_Done,
     /*  527250 */   // Label 8764: @527250
     /*  527250 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(527325), // Rule ID 5658 //
     /*  527255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  527258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  527275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  527301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527323 */     GIR_RootConstrainSelectedInstOperands,
     /*  527324 */     // GIR_Coverage, 5658,
     /*  527324 */     GIR_EraseRootFromParent_Done,
     /*  527325 */   // Label 8765: @527325
     /*  527325 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(527400), // Rule ID 5659 //
     /*  527330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  527333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  527350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  527379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527398 */     GIR_RootConstrainSelectedInstOperands,
     /*  527399 */     // GIR_Coverage, 5659,
     /*  527399 */     GIR_EraseRootFromParent_Done,
     /*  527400 */   // Label 8766: @527400
     /*  527400 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(527475), // Rule ID 5662 //
     /*  527405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  527416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  527419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  527422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  527425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  527454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527473 */     GIR_RootConstrainSelectedInstOperands,
     /*  527474 */     // GIR_Coverage, 5662,
     /*  527474 */     GIR_EraseRootFromParent_Done,
     /*  527475 */   // Label 8767: @527475
     /*  527475 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(527550), // Rule ID 5663 //
     /*  527480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  527491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  527494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  527497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  527500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  527529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527548 */     GIR_RootConstrainSelectedInstOperands,
     /*  527549 */     // GIR_Coverage, 5663,
     /*  527549 */     GIR_EraseRootFromParent_Done,
     /*  527550 */   // Label 8768: @527550
     /*  527550 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(527625), // Rule ID 5666 //
     /*  527555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  527566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  527569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  527572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  527575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  527604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527623 */     GIR_RootConstrainSelectedInstOperands,
     /*  527624 */     // GIR_Coverage, 5666,
     /*  527624 */     GIR_EraseRootFromParent_Done,
     /*  527625 */   // Label 8769: @527625
     /*  527625 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(527700), // Rule ID 5667 //
     /*  527630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  527641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  527644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  527647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  527650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  527679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527698 */     GIR_RootConstrainSelectedInstOperands,
     /*  527699 */     // GIR_Coverage, 5667,
     /*  527699 */     GIR_EraseRootFromParent_Done,
     /*  527700 */   // Label 8770: @527700
     /*  527700 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(527775), // Rule ID 5670 //
     /*  527705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  527716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  527719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  527722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  527725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  527751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  527754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527773 */     GIR_RootConstrainSelectedInstOperands,
     /*  527774 */     // GIR_Coverage, 5670,
     /*  527774 */     GIR_EraseRootFromParent_Done,
     /*  527775 */   // Label 8771: @527775
     /*  527775 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(527850), // Rule ID 5671 //
     /*  527780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  527791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  527794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  527797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  527800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  527819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  527826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  527829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  527845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527848 */     GIR_RootConstrainSelectedInstOperands,
     /*  527849 */     // GIR_Coverage, 5671,
     /*  527849 */     GIR_EraseRootFromParent_Done,
     /*  527850 */   // Label 8772: @527850
     /*  527850 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(527925), // Rule ID 5674 //
     /*  527855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  527858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  527875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  527904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527923 */     GIR_RootConstrainSelectedInstOperands,
     /*  527924 */     // GIR_Coverage, 5674,
     /*  527924 */     GIR_EraseRootFromParent_Done,
     /*  527925 */   // Label 8773: @527925
     /*  527925 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(528000), // Rule ID 5675 //
     /*  527930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  527933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  527938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  527950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  527979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  527985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  527987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527998 */     GIR_RootConstrainSelectedInstOperands,
     /*  527999 */     // GIR_Coverage, 5675,
     /*  527999 */     GIR_EraseRootFromParent_Done,
     /*  528000 */   // Label 8774: @528000
     /*  528000 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(528075), // Rule ID 5678 //
     /*  528005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  528025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  528054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528073 */     GIR_RootConstrainSelectedInstOperands,
     /*  528074 */     // GIR_Coverage, 5678,
     /*  528074 */     GIR_EraseRootFromParent_Done,
     /*  528075 */   // Label 8775: @528075
     /*  528075 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(528150), // Rule ID 5679 //
     /*  528080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  528100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  528129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528148 */     GIR_RootConstrainSelectedInstOperands,
     /*  528149 */     // GIR_Coverage, 5679,
     /*  528149 */     GIR_EraseRootFromParent_Done,
     /*  528150 */   // Label 8776: @528150
     /*  528150 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(528225), // Rule ID 5682 //
     /*  528155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  528166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  528169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  528175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  528204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528223 */     GIR_RootConstrainSelectedInstOperands,
     /*  528224 */     // GIR_Coverage, 5682,
     /*  528224 */     GIR_EraseRootFromParent_Done,
     /*  528225 */   // Label 8777: @528225
     /*  528225 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(528300), // Rule ID 5683 //
     /*  528230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  528241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  528244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  528250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  528279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528298 */     GIR_RootConstrainSelectedInstOperands,
     /*  528299 */     // GIR_Coverage, 5683,
     /*  528299 */     GIR_EraseRootFromParent_Done,
     /*  528300 */   // Label 8778: @528300
     /*  528300 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(528375), // Rule ID 5686 //
     /*  528305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  528325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  528354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528373 */     GIR_RootConstrainSelectedInstOperands,
     /*  528374 */     // GIR_Coverage, 5686,
     /*  528374 */     GIR_EraseRootFromParent_Done,
     /*  528375 */   // Label 8779: @528375
     /*  528375 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(528450), // Rule ID 5687 //
     /*  528380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  528400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  528429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528448 */     GIR_RootConstrainSelectedInstOperands,
     /*  528449 */     // GIR_Coverage, 5687,
     /*  528449 */     GIR_EraseRootFromParent_Done,
     /*  528450 */   // Label 8780: @528450
     /*  528450 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(528525), // Rule ID 5690 //
     /*  528455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  528475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  528504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528523 */     GIR_RootConstrainSelectedInstOperands,
     /*  528524 */     // GIR_Coverage, 5690,
     /*  528524 */     GIR_EraseRootFromParent_Done,
     /*  528525 */   // Label 8781: @528525
     /*  528525 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(528600), // Rule ID 5691 //
     /*  528530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  528550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  528579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528598 */     GIR_RootConstrainSelectedInstOperands,
     /*  528599 */     // GIR_Coverage, 5691,
     /*  528599 */     GIR_EraseRootFromParent_Done,
     /*  528600 */   // Label 8782: @528600
     /*  528600 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(528675), // Rule ID 5694 //
     /*  528605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  528608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  528625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  528654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528673 */     GIR_RootConstrainSelectedInstOperands,
     /*  528674 */     // GIR_Coverage, 5694,
     /*  528674 */     GIR_EraseRootFromParent_Done,
     /*  528675 */   // Label 8783: @528675
     /*  528675 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(528750), // Rule ID 5695 //
     /*  528680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  528683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  528700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  528729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528748 */     GIR_RootConstrainSelectedInstOperands,
     /*  528749 */     // GIR_Coverage, 5695,
     /*  528749 */     GIR_EraseRootFromParent_Done,
     /*  528750 */   // Label 8784: @528750
     /*  528750 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(528825), // Rule ID 5698 //
     /*  528755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  528758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  528775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  528804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528823 */     GIR_RootConstrainSelectedInstOperands,
     /*  528824 */     // GIR_Coverage, 5698,
     /*  528824 */     GIR_EraseRootFromParent_Done,
     /*  528825 */   // Label 8785: @528825
     /*  528825 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(528900), // Rule ID 5699 //
     /*  528830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  528833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  528850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  528879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528898 */     GIR_RootConstrainSelectedInstOperands,
     /*  528899 */     // GIR_Coverage, 5699,
     /*  528899 */     GIR_EraseRootFromParent_Done,
     /*  528900 */   // Label 8786: @528900
     /*  528900 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(528975), // Rule ID 5702 //
     /*  528905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  528908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  528925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  528954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  528960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  528962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528973 */     GIR_RootConstrainSelectedInstOperands,
     /*  528974 */     // GIR_Coverage, 5702,
     /*  528974 */     GIR_EraseRootFromParent_Done,
     /*  528975 */   // Label 8787: @528975
     /*  528975 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(529050), // Rule ID 5703 //
     /*  528980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  528983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  528988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  529000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  529019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  529029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529048 */     GIR_RootConstrainSelectedInstOperands,
     /*  529049 */     // GIR_Coverage, 5703,
     /*  529049 */     GIR_EraseRootFromParent_Done,
     /*  529050 */   // Label 8788: @529050
     /*  529050 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(529125), // Rule ID 5706 //
     /*  529055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  529058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  529066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  529069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  529075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  529101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  529104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529123 */     GIR_RootConstrainSelectedInstOperands,
     /*  529124 */     // GIR_Coverage, 5706,
     /*  529124 */     GIR_EraseRootFromParent_Done,
     /*  529125 */   // Label 8789: @529125
     /*  529125 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(529200), // Rule ID 5707 //
     /*  529130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  529133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  529141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  529144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  529150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  529179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529198 */     GIR_RootConstrainSelectedInstOperands,
     /*  529199 */     // GIR_Coverage, 5707,
     /*  529199 */     GIR_EraseRootFromParent_Done,
     /*  529200 */   // Label 8790: @529200
     /*  529200 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(529275), // Rule ID 5710 //
     /*  529205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  529222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  529254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529273 */     GIR_RootConstrainSelectedInstOperands,
     /*  529274 */     // GIR_Coverage, 5710,
     /*  529274 */     GIR_EraseRootFromParent_Done,
     /*  529275 */   // Label 8791: @529275
     /*  529275 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(529350), // Rule ID 5711 //
     /*  529280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  529291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  529294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  529297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  529300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  529329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529348 */     GIR_RootConstrainSelectedInstOperands,
     /*  529349 */     // GIR_Coverage, 5711,
     /*  529349 */     GIR_EraseRootFromParent_Done,
     /*  529350 */   // Label 8792: @529350
     /*  529350 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(529425), // Rule ID 5714 //
     /*  529355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  529372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  529404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529423 */     GIR_RootConstrainSelectedInstOperands,
     /*  529424 */     // GIR_Coverage, 5714,
     /*  529424 */     GIR_EraseRootFromParent_Done,
     /*  529425 */   // Label 8793: @529425
     /*  529425 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(529500), // Rule ID 5715 //
     /*  529430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  529441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  529444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  529447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  529450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  529479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529498 */     GIR_RootConstrainSelectedInstOperands,
     /*  529499 */     // GIR_Coverage, 5715,
     /*  529499 */     GIR_EraseRootFromParent_Done,
     /*  529500 */   // Label 8794: @529500
     /*  529500 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(529575), // Rule ID 5718 //
     /*  529505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  529522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  529551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  529554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529573 */     GIR_RootConstrainSelectedInstOperands,
     /*  529574 */     // GIR_Coverage, 5718,
     /*  529574 */     GIR_EraseRootFromParent_Done,
     /*  529575 */   // Label 8795: @529575
     /*  529575 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(529650), // Rule ID 5719 //
     /*  529580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  529591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  529594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  529597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  529600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  529626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  529629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  529645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529648 */     GIR_RootConstrainSelectedInstOperands,
     /*  529649 */     // GIR_Coverage, 5719,
     /*  529649 */     GIR_EraseRootFromParent_Done,
     /*  529650 */   // Label 8796: @529650
     /*  529650 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(529725), // Rule ID 5722 //
     /*  529655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  529704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529723 */     GIR_RootConstrainSelectedInstOperands,
     /*  529724 */     // GIR_Coverage, 5722,
     /*  529724 */     GIR_EraseRootFromParent_Done,
     /*  529725 */   // Label 8797: @529725
     /*  529725 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(529800), // Rule ID 5723 //
     /*  529730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  529750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  529779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529798 */     GIR_RootConstrainSelectedInstOperands,
     /*  529799 */     // GIR_Coverage, 5723,
     /*  529799 */     GIR_EraseRootFromParent_Done,
     /*  529800 */   // Label 8798: @529800
     /*  529800 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(529875), // Rule ID 5726 //
     /*  529805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  529854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529873 */     GIR_RootConstrainSelectedInstOperands,
     /*  529874 */     // GIR_Coverage, 5726,
     /*  529874 */     GIR_EraseRootFromParent_Done,
     /*  529875 */   // Label 8799: @529875
     /*  529875 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(529950), // Rule ID 5727 //
     /*  529880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  529883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  529900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  529929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  529935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  529937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529948 */     GIR_RootConstrainSelectedInstOperands,
     /*  529949 */     // GIR_Coverage, 5727,
     /*  529949 */     GIR_EraseRootFromParent_Done,
     /*  529950 */   // Label 8800: @529950
     /*  529950 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(530025), // Rule ID 5730 //
     /*  529955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  529958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  529963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  529975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  529994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  530004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530023 */     GIR_RootConstrainSelectedInstOperands,
     /*  530024 */     // GIR_Coverage, 5730,
     /*  530024 */     GIR_EraseRootFromParent_Done,
     /*  530025 */   // Label 8801: @530025
     /*  530025 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(530100), // Rule ID 5731 //
     /*  530030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  530041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  530044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  530047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  530079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530098 */     GIR_RootConstrainSelectedInstOperands,
     /*  530099 */     // GIR_Coverage, 5731,
     /*  530099 */     GIR_EraseRootFromParent_Done,
     /*  530100 */   // Label 8802: @530100
     /*  530100 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(530175), // Rule ID 5734 //
     /*  530105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  530116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  530119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  530122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530173 */     GIR_RootConstrainSelectedInstOperands,
     /*  530174 */     // GIR_Coverage, 5734,
     /*  530174 */     GIR_EraseRootFromParent_Done,
     /*  530175 */   // Label 8803: @530175
     /*  530175 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(530250), // Rule ID 5735 //
     /*  530180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  530191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  530194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  530197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10790:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530248 */     GIR_RootConstrainSelectedInstOperands,
     /*  530249 */     // GIR_Coverage, 5735,
     /*  530249 */     GIR_EraseRootFromParent_Done,
     /*  530250 */   // Label 8804: @530250
     /*  530250 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(530325), // Rule ID 5738 //
     /*  530255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  530272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530323 */     GIR_RootConstrainSelectedInstOperands,
     /*  530324 */     // GIR_Coverage, 5738,
     /*  530324 */     GIR_EraseRootFromParent_Done,
     /*  530325 */   // Label 8805: @530325
     /*  530325 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(530400), // Rule ID 5739 //
     /*  530330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  530341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  530344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  530347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10790:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530398 */     GIR_RootConstrainSelectedInstOperands,
     /*  530399 */     // GIR_Coverage, 5739,
     /*  530399 */     GIR_EraseRootFromParent_Done,
     /*  530400 */   // Label 8806: @530400
     /*  530400 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(530475), // Rule ID 5742 //
     /*  530405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530473 */     GIR_RootConstrainSelectedInstOperands,
     /*  530474 */     // GIR_Coverage, 5742,
     /*  530474 */     GIR_EraseRootFromParent_Done,
     /*  530475 */   // Label 8807: @530475
     /*  530475 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(530550), // Rule ID 5743 //
     /*  530480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  530491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  530494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  530497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10790:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530548 */     GIR_RootConstrainSelectedInstOperands,
     /*  530549 */     // GIR_Coverage, 5743,
     /*  530549 */     GIR_EraseRootFromParent_Done,
     /*  530550 */   // Label 8808: @530550
     /*  530550 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(530625), // Rule ID 5746 //
     /*  530555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  530558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  530566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  530569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530623 */     GIR_RootConstrainSelectedInstOperands,
     /*  530624 */     // GIR_Coverage, 5746,
     /*  530624 */     GIR_EraseRootFromParent_Done,
     /*  530625 */   // Label 8809: @530625
     /*  530625 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(530700), // Rule ID 5747 //
     /*  530630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  530633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  530641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  530644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  530647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  530665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10790:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  530679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530698 */     GIR_RootConstrainSelectedInstOperands,
     /*  530699 */     // GIR_Coverage, 5747,
     /*  530699 */     GIR_EraseRootFromParent_Done,
     /*  530700 */   // Label 8810: @530700
     /*  530700 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(530775), // Rule ID 5750 //
     /*  530705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  530722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  530754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530773 */     GIR_RootConstrainSelectedInstOperands,
     /*  530774 */     // GIR_Coverage, 5750,
     /*  530774 */     GIR_EraseRootFromParent_Done,
     /*  530775 */   // Label 8811: @530775
     /*  530775 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(530850), // Rule ID 5751 //
     /*  530780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  530791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  530794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  530797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  530829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530848 */     GIR_RootConstrainSelectedInstOperands,
     /*  530849 */     // GIR_Coverage, 5751,
     /*  530849 */     GIR_EraseRootFromParent_Done,
     /*  530850 */   // Label 8812: @530850
     /*  530850 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(530925), // Rule ID 5754 //
     /*  530855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  530858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  530872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  530875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  530901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  530904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530923 */     GIR_RootConstrainSelectedInstOperands,
     /*  530924 */     // GIR_Coverage, 5754,
     /*  530924 */     GIR_EraseRootFromParent_Done,
     /*  530925 */   // Label 8813: @530925
     /*  530925 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(531000), // Rule ID 5755 //
     /*  530930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  530933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  530938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  530941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  530944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  530947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  530950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  530969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  530976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  530979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  530985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  530987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  530995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530998 */     GIR_RootConstrainSelectedInstOperands,
     /*  530999 */     // GIR_Coverage, 5755,
     /*  530999 */     GIR_EraseRootFromParent_Done,
     /*  531000 */   // Label 8814: @531000
     /*  531000 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(531075), // Rule ID 5758 //
     /*  531005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  531016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  531019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  531022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  531051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  531054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531073 */     GIR_RootConstrainSelectedInstOperands,
     /*  531074 */     // GIR_Coverage, 5758,
     /*  531074 */     GIR_EraseRootFromParent_Done,
     /*  531075 */   // Label 8815: @531075
     /*  531075 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(531150), // Rule ID 5759 //
     /*  531080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  531091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  531094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  531097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  531126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  531129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  531145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531148 */     GIR_RootConstrainSelectedInstOperands,
     /*  531149 */     // GIR_Coverage, 5759,
     /*  531149 */     GIR_EraseRootFromParent_Done,
     /*  531150 */   // Label 8816: @531150
     /*  531150 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(531225), // Rule ID 5762 //
     /*  531155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  531204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531223 */     GIR_RootConstrainSelectedInstOperands,
     /*  531224 */     // GIR_Coverage, 5762,
     /*  531224 */     GIR_EraseRootFromParent_Done,
     /*  531225 */   // Label 8817: @531225
     /*  531225 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(531300), // Rule ID 5763 //
     /*  531230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  531241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  531244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  531279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531298 */     GIR_RootConstrainSelectedInstOperands,
     /*  531299 */     // GIR_Coverage, 5763,
     /*  531299 */     GIR_EraseRootFromParent_Done,
     /*  531300 */   // Label 8818: @531300
     /*  531300 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(531375), // Rule ID 5766 //
     /*  531305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  531354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531373 */     GIR_RootConstrainSelectedInstOperands,
     /*  531374 */     // GIR_Coverage, 5766,
     /*  531374 */     GIR_EraseRootFromParent_Done,
     /*  531375 */   // Label 8819: @531375
     /*  531375 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(531450), // Rule ID 5767 //
     /*  531380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  531391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  531394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  531429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531448 */     GIR_RootConstrainSelectedInstOperands,
     /*  531449 */     // GIR_Coverage, 5767,
     /*  531449 */     GIR_EraseRootFromParent_Done,
     /*  531450 */   // Label 8820: @531450
     /*  531450 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(531525), // Rule ID 5770 //
     /*  531455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  531466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  531469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  531504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531523 */     GIR_RootConstrainSelectedInstOperands,
     /*  531524 */     // GIR_Coverage, 5770,
     /*  531524 */     GIR_EraseRootFromParent_Done,
     /*  531525 */   // Label 8821: @531525
     /*  531525 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(531600), // Rule ID 5771 //
     /*  531530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  531541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  531544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  531547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  531579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531598 */     GIR_RootConstrainSelectedInstOperands,
     /*  531599 */     // GIR_Coverage, 5771,
     /*  531599 */     GIR_EraseRootFromParent_Done,
     /*  531600 */   // Label 8822: @531600
     /*  531600 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(531675), // Rule ID 5774 //
     /*  531605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  531654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531673 */     GIR_RootConstrainSelectedInstOperands,
     /*  531674 */     // GIR_Coverage, 5774,
     /*  531674 */     GIR_EraseRootFromParent_Done,
     /*  531675 */   // Label 8823: @531675
     /*  531675 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(531750), // Rule ID 5775 //
     /*  531680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  531697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  531729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531748 */     GIR_RootConstrainSelectedInstOperands,
     /*  531749 */     // GIR_Coverage, 5775,
     /*  531749 */     GIR_EraseRootFromParent_Done,
     /*  531750 */   // Label 8824: @531750
     /*  531750 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(531825), // Rule ID 5778 //
     /*  531755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  531804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531823 */     GIR_RootConstrainSelectedInstOperands,
     /*  531824 */     // GIR_Coverage, 5778,
     /*  531824 */     GIR_EraseRootFromParent_Done,
     /*  531825 */   // Label 8825: @531825
     /*  531825 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(531900), // Rule ID 5779 //
     /*  531830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  531847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  531850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  531876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  531879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531898 */     GIR_RootConstrainSelectedInstOperands,
     /*  531899 */     // GIR_Coverage, 5779,
     /*  531899 */     GIR_EraseRootFromParent_Done,
     /*  531900 */   // Label 8826: @531900
     /*  531900 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(531975), // Rule ID 5782 //
     /*  531905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  531908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  531922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  531925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  531944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  531954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  531960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  531962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  531970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531973 */     GIR_RootConstrainSelectedInstOperands,
     /*  531974 */     // GIR_Coverage, 5782,
     /*  531974 */     GIR_EraseRootFromParent_Done,
     /*  531975 */   // Label 8827: @531975
     /*  531975 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(532050), // Rule ID 5783 //
     /*  531980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  531983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  531988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  531997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  532029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532048 */     GIR_RootConstrainSelectedInstOperands,
     /*  532049 */     // GIR_Coverage, 5783,
     /*  532049 */     GIR_EraseRootFromParent_Done,
     /*  532050 */   // Label 8828: @532050
     /*  532050 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(532125), // Rule ID 5786 //
     /*  532055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  532058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  532101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  532104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532123 */     GIR_RootConstrainSelectedInstOperands,
     /*  532124 */     // GIR_Coverage, 5786,
     /*  532124 */     GIR_EraseRootFromParent_Done,
     /*  532125 */   // Label 8829: @532125
     /*  532125 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(532200), // Rule ID 5787 //
     /*  532130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  532133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  532147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10790:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  532176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  532179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532198 */     GIR_RootConstrainSelectedInstOperands,
     /*  532199 */     // GIR_Coverage, 5787,
     /*  532199 */     GIR_EraseRootFromParent_Done,
     /*  532200 */   // Label 8830: @532200
     /*  532200 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(532275), // Rule ID 5790 //
     /*  532205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  532208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  532251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  532254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532273 */     GIR_RootConstrainSelectedInstOperands,
     /*  532274 */     // GIR_Coverage, 5790,
     /*  532274 */     GIR_EraseRootFromParent_Done,
     /*  532275 */   // Label 8831: @532275
     /*  532275 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(532350), // Rule ID 5791 //
     /*  532280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  532283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  532297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10790:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  532326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  532329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532348 */     GIR_RootConstrainSelectedInstOperands,
     /*  532349 */     // GIR_Coverage, 5791,
     /*  532349 */     GIR_EraseRootFromParent_Done,
     /*  532350 */   // Label 8832: @532350
     /*  532350 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(532425), // Rule ID 5794 //
     /*  532355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  532358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  532375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  532401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  532404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532423 */     GIR_RootConstrainSelectedInstOperands,
     /*  532424 */     // GIR_Coverage, 5794,
     /*  532424 */     GIR_EraseRootFromParent_Done,
     /*  532425 */   // Label 8833: @532425
     /*  532425 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(532500), // Rule ID 5795 //
     /*  532430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  532433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  532438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  532447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  532450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  532469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10790:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  532476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  532479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  532495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532498 */     GIR_RootConstrainSelectedInstOperands,
     /*  532499 */     // GIR_Coverage, 5795,
     /*  532499 */     GIR_EraseRootFromParent_Done,
     /*  532500 */   // Label 8834: @532500
     /*  532500 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(532575), // Rule ID 5886 //
     /*  532505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  532516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  532519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  532522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  532525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  532554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532573 */     GIR_RootConstrainSelectedInstOperands,
     /*  532574 */     // GIR_Coverage, 5886,
     /*  532574 */     GIR_EraseRootFromParent_Done,
     /*  532575 */   // Label 8835: @532575
     /*  532575 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(532650), // Rule ID 5887 //
     /*  532580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  532591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  532594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  532597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  532600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  532629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532648 */     GIR_RootConstrainSelectedInstOperands,
     /*  532649 */     // GIR_Coverage, 5887,
     /*  532649 */     GIR_EraseRootFromParent_Done,
     /*  532650 */   // Label 8836: @532650
     /*  532650 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(532725), // Rule ID 5890 //
     /*  532655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  532666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  532669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  532672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  532675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  532704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532723 */     GIR_RootConstrainSelectedInstOperands,
     /*  532724 */     // GIR_Coverage, 5890,
     /*  532724 */     GIR_EraseRootFromParent_Done,
     /*  532725 */   // Label 8837: @532725
     /*  532725 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(532800), // Rule ID 5891 //
     /*  532730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  532741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  532744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  532747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  532750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  532779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532798 */     GIR_RootConstrainSelectedInstOperands,
     /*  532799 */     // GIR_Coverage, 5891,
     /*  532799 */     GIR_EraseRootFromParent_Done,
     /*  532800 */   // Label 8838: @532800
     /*  532800 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(532875), // Rule ID 5894 //
     /*  532805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  532816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  532819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  532822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  532825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  532851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  532854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532873 */     GIR_RootConstrainSelectedInstOperands,
     /*  532874 */     // GIR_Coverage, 5894,
     /*  532874 */     GIR_EraseRootFromParent_Done,
     /*  532875 */   // Label 8839: @532875
     /*  532875 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(532950), // Rule ID 5895 //
     /*  532880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  532883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  532891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  532894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  532897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  532900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  532926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  532929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  532935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  532937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  532945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532948 */     GIR_RootConstrainSelectedInstOperands,
     /*  532949 */     // GIR_Coverage, 5895,
     /*  532949 */     GIR_EraseRootFromParent_Done,
     /*  532950 */   // Label 8840: @532950
     /*  532950 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(533025), // Rule ID 5898 //
     /*  532955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  532958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  532963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  532966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  532969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  532972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  532975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  533004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533023 */     GIR_RootConstrainSelectedInstOperands,
     /*  533024 */     // GIR_Coverage, 5898,
     /*  533024 */     GIR_EraseRootFromParent_Done,
     /*  533025 */   // Label 8841: @533025
     /*  533025 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(533100), // Rule ID 5899 //
     /*  533030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  533041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  533044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  533050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  533079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533098 */     GIR_RootConstrainSelectedInstOperands,
     /*  533099 */     // GIR_Coverage, 5899,
     /*  533099 */     GIR_EraseRootFromParent_Done,
     /*  533100 */   // Label 8842: @533100
     /*  533100 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(533175), // Rule ID 5902 //
     /*  533105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  533125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  533154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533173 */     GIR_RootConstrainSelectedInstOperands,
     /*  533174 */     // GIR_Coverage, 5902,
     /*  533174 */     GIR_EraseRootFromParent_Done,
     /*  533175 */   // Label 8843: @533175
     /*  533175 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(533250), // Rule ID 5903 //
     /*  533180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  533191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  533194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  533200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  533229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533248 */     GIR_RootConstrainSelectedInstOperands,
     /*  533249 */     // GIR_Coverage, 5903,
     /*  533249 */     GIR_EraseRootFromParent_Done,
     /*  533250 */   // Label 8844: @533250
     /*  533250 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(533325), // Rule ID 5906 //
     /*  533255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  533275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  533304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533323 */     GIR_RootConstrainSelectedInstOperands,
     /*  533324 */     // GIR_Coverage, 5906,
     /*  533324 */     GIR_EraseRootFromParent_Done,
     /*  533325 */   // Label 8845: @533325
     /*  533325 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(533400), // Rule ID 5907 //
     /*  533330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  533341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  533344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  533350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  533379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533398 */     GIR_RootConstrainSelectedInstOperands,
     /*  533399 */     // GIR_Coverage, 5907,
     /*  533399 */     GIR_EraseRootFromParent_Done,
     /*  533400 */   // Label 8846: @533400
     /*  533400 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(533475), // Rule ID 5910 //
     /*  533405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  533422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  533425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533473 */     GIR_RootConstrainSelectedInstOperands,
     /*  533474 */     // GIR_Coverage, 5910,
     /*  533474 */     GIR_EraseRootFromParent_Done,
     /*  533475 */   // Label 8847: @533475
     /*  533475 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(533550), // Rule ID 5911 //
     /*  533480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  533491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  533494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  533497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  533500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533548 */     GIR_RootConstrainSelectedInstOperands,
     /*  533549 */     // GIR_Coverage, 5911,
     /*  533549 */     GIR_EraseRootFromParent_Done,
     /*  533550 */   // Label 8848: @533550
     /*  533550 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(533625), // Rule ID 5914 //
     /*  533555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  533575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533623 */     GIR_RootConstrainSelectedInstOperands,
     /*  533624 */     // GIR_Coverage, 5914,
     /*  533624 */     GIR_EraseRootFromParent_Done,
     /*  533625 */   // Label 8849: @533625
     /*  533625 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(533700), // Rule ID 5915 //
     /*  533630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  533641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  533644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  533647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  533650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533698 */     GIR_RootConstrainSelectedInstOperands,
     /*  533699 */     // GIR_Coverage, 5915,
     /*  533699 */     GIR_EraseRootFromParent_Done,
     /*  533700 */   // Label 8850: @533700
     /*  533700 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(533775), // Rule ID 5918 //
     /*  533705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  533708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  533725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533773 */     GIR_RootConstrainSelectedInstOperands,
     /*  533774 */     // GIR_Coverage, 5918,
     /*  533774 */     GIR_EraseRootFromParent_Done,
     /*  533775 */   // Label 8851: @533775
     /*  533775 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(533850), // Rule ID 5919 //
     /*  533780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  533783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  533791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  533794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  533800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533848 */     GIR_RootConstrainSelectedInstOperands,
     /*  533849 */     // GIR_Coverage, 5919,
     /*  533849 */     GIR_EraseRootFromParent_Done,
     /*  533850 */   // Label 8852: @533850
     /*  533850 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(533925), // Rule ID 5922 //
     /*  533855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  533858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  533866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  533869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  533875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  533901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533923 */     GIR_RootConstrainSelectedInstOperands,
     /*  533924 */     // GIR_Coverage, 5922,
     /*  533924 */     GIR_EraseRootFromParent_Done,
     /*  533925 */   // Label 8853: @533925
     /*  533925 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(534000), // Rule ID 5923 //
     /*  533930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  533933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  533938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  533941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  533944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  533947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  533950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  533976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  533979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  533985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  533987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  533995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533998 */     GIR_RootConstrainSelectedInstOperands,
     /*  533999 */     // GIR_Coverage, 5923,
     /*  533999 */     GIR_EraseRootFromParent_Done,
     /*  534000 */   // Label 8854: @534000
     /*  534000 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(534075), // Rule ID 5926 //
     /*  534005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  534016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  534019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  534022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  534025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  534054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534073 */     GIR_RootConstrainSelectedInstOperands,
     /*  534074 */     // GIR_Coverage, 5926,
     /*  534074 */     GIR_EraseRootFromParent_Done,
     /*  534075 */   // Label 8855: @534075
     /*  534075 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(534150), // Rule ID 5927 //
     /*  534080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  534091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  534094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  534097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  534100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534126 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  534129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534148 */     GIR_RootConstrainSelectedInstOperands,
     /*  534149 */     // GIR_Coverage, 5927,
     /*  534149 */     GIR_EraseRootFromParent_Done,
     /*  534150 */   // Label 8856: @534150
     /*  534150 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(534225), // Rule ID 5930 //
     /*  534155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  534172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  534175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  534204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534223 */     GIR_RootConstrainSelectedInstOperands,
     /*  534224 */     // GIR_Coverage, 5930,
     /*  534224 */     GIR_EraseRootFromParent_Done,
     /*  534225 */   // Label 8857: @534225
     /*  534225 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(534300), // Rule ID 5931 //
     /*  534230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  534247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  534250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  534279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534298 */     GIR_RootConstrainSelectedInstOperands,
     /*  534299 */     // GIR_Coverage, 5931,
     /*  534299 */     GIR_EraseRootFromParent_Done,
     /*  534300 */   // Label 8858: @534300
     /*  534300 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(534375), // Rule ID 5934 //
     /*  534305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  534316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  534319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  534322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  534325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  534354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534373 */     GIR_RootConstrainSelectedInstOperands,
     /*  534374 */     // GIR_Coverage, 5934,
     /*  534374 */     GIR_EraseRootFromParent_Done,
     /*  534375 */   // Label 8859: @534375
     /*  534375 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(534450), // Rule ID 5935 //
     /*  534380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  534391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  534394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  534397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  534400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  534429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534448 */     GIR_RootConstrainSelectedInstOperands,
     /*  534449 */     // GIR_Coverage, 5935,
     /*  534449 */     GIR_EraseRootFromParent_Done,
     /*  534450 */   // Label 8860: @534450
     /*  534450 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(534525), // Rule ID 5938 //
     /*  534455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  534472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  534475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  534504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534523 */     GIR_RootConstrainSelectedInstOperands,
     /*  534524 */     // GIR_Coverage, 5938,
     /*  534524 */     GIR_EraseRootFromParent_Done,
     /*  534525 */   // Label 8861: @534525
     /*  534525 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(534600), // Rule ID 5939 //
     /*  534530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  534541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  534544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  534547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  534550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  534579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534598 */     GIR_RootConstrainSelectedInstOperands,
     /*  534599 */     // GIR_Coverage, 5939,
     /*  534599 */     GIR_EraseRootFromParent_Done,
     /*  534600 */   // Label 8862: @534600
     /*  534600 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(534675), // Rule ID 5942 //
     /*  534605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  534622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  534625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  534654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534673 */     GIR_RootConstrainSelectedInstOperands,
     /*  534674 */     // GIR_Coverage, 5942,
     /*  534674 */     GIR_EraseRootFromParent_Done,
     /*  534675 */   // Label 8863: @534675
     /*  534675 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(534750), // Rule ID 5943 //
     /*  534680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  534691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  534694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  534697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  534700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  534729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534748 */     GIR_RootConstrainSelectedInstOperands,
     /*  534749 */     // GIR_Coverage, 5943,
     /*  534749 */     GIR_EraseRootFromParent_Done,
     /*  534750 */   // Label 8864: @534750
     /*  534750 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(534825), // Rule ID 5946 //
     /*  534755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  534766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  534769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  534775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  534804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534823 */     GIR_RootConstrainSelectedInstOperands,
     /*  534824 */     // GIR_Coverage, 5946,
     /*  534824 */     GIR_EraseRootFromParent_Done,
     /*  534825 */   // Label 8865: @534825
     /*  534825 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(534900), // Rule ID 5947 //
     /*  534830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  534841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  534844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  534850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  534879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534898 */     GIR_RootConstrainSelectedInstOperands,
     /*  534899 */     // GIR_Coverage, 5947,
     /*  534899 */     GIR_EraseRootFromParent_Done,
     /*  534900 */   // Label 8866: @534900
     /*  534900 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(534975), // Rule ID 5950 //
     /*  534905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  534908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  534925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  534951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  534954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  534960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  534962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  534970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534973 */     GIR_RootConstrainSelectedInstOperands,
     /*  534974 */     // GIR_Coverage, 5950,
     /*  534974 */     GIR_EraseRootFromParent_Done,
     /*  534975 */   // Label 8867: @534975
     /*  534975 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(535050), // Rule ID 5951 //
     /*  534980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  534983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  534988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  534991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  534994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  535000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  535029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535048 */     GIR_RootConstrainSelectedInstOperands,
     /*  535049 */     // GIR_Coverage, 5951,
     /*  535049 */     GIR_EraseRootFromParent_Done,
     /*  535050 */   // Label 8868: @535050
     /*  535050 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(535125), // Rule ID 5954 //
     /*  535055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  535075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  535104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535123 */     GIR_RootConstrainSelectedInstOperands,
     /*  535124 */     // GIR_Coverage, 5954,
     /*  535124 */     GIR_EraseRootFromParent_Done,
     /*  535125 */   // Label 8869: @535125
     /*  535125 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(535200), // Rule ID 5955 //
     /*  535130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  535150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  535179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535198 */     GIR_RootConstrainSelectedInstOperands,
     /*  535199 */     // GIR_Coverage, 5955,
     /*  535199 */     GIR_EraseRootFromParent_Done,
     /*  535200 */   // Label 8870: @535200
     /*  535200 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(535275), // Rule ID 5958 //
     /*  535205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  535216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  535219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  535225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  535254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535273 */     GIR_RootConstrainSelectedInstOperands,
     /*  535274 */     // GIR_Coverage, 5958,
     /*  535274 */     GIR_EraseRootFromParent_Done,
     /*  535275 */   // Label 8871: @535275
     /*  535275 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(535350), // Rule ID 5959 //
     /*  535280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  535291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  535294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  535300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  535329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535348 */     GIR_RootConstrainSelectedInstOperands,
     /*  535349 */     // GIR_Coverage, 5959,
     /*  535349 */     GIR_EraseRootFromParent_Done,
     /*  535350 */   // Label 8872: @535350
     /*  535350 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(535425), // Rule ID 5962 //
     /*  535355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  535358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  535366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  535369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  535375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  535401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  535404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535423 */     GIR_RootConstrainSelectedInstOperands,
     /*  535424 */     // GIR_Coverage, 5962,
     /*  535424 */     GIR_EraseRootFromParent_Done,
     /*  535425 */   // Label 8873: @535425
     /*  535425 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(535500), // Rule ID 5963 //
     /*  535430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  535433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  535441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  535444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  535450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  535476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  535479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535498 */     GIR_RootConstrainSelectedInstOperands,
     /*  535499 */     // GIR_Coverage, 5963,
     /*  535499 */     GIR_EraseRootFromParent_Done,
     /*  535500 */   // Label 8874: @535500
     /*  535500 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(535575), // Rule ID 5966 //
     /*  535505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  535508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  535516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  535519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  535525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  535551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  535554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535573 */     GIR_RootConstrainSelectedInstOperands,
     /*  535574 */     // GIR_Coverage, 5966,
     /*  535574 */     GIR_EraseRootFromParent_Done,
     /*  535575 */   // Label 8875: @535575
     /*  535575 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(535650), // Rule ID 5967 //
     /*  535580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  535583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  535591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  535594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  535600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  535626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  535629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535648 */     GIR_RootConstrainSelectedInstOperands,
     /*  535649 */     // GIR_Coverage, 5967,
     /*  535649 */     GIR_EraseRootFromParent_Done,
     /*  535650 */   // Label 8876: @535650
     /*  535650 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(535725), // Rule ID 5970 //
     /*  535655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  535658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  535666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  535669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  535675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  535701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  535704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535723 */     GIR_RootConstrainSelectedInstOperands,
     /*  535724 */     // GIR_Coverage, 5970,
     /*  535724 */     GIR_EraseRootFromParent_Done,
     /*  535725 */   // Label 8877: @535725
     /*  535725 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(535800), // Rule ID 5971 //
     /*  535730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  535733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  535741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  535744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  535750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  535776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  535779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  535795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535798 */     GIR_RootConstrainSelectedInstOperands,
     /*  535799 */     // GIR_Coverage, 5971,
     /*  535799 */     GIR_EraseRootFromParent_Done,
     /*  535800 */   // Label 8878: @535800
     /*  535800 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(535875), // Rule ID 5974 //
     /*  535805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  535822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  535825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  535844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  535854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535873 */     GIR_RootConstrainSelectedInstOperands,
     /*  535874 */     // GIR_Coverage, 5974,
     /*  535874 */     GIR_EraseRootFromParent_Done,
     /*  535875 */   // Label 8879: @535875
     /*  535875 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(535950), // Rule ID 5975 //
     /*  535880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  535883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  535897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  535900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  535919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  535926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  535929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  535935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  535937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535948 */     GIR_RootConstrainSelectedInstOperands,
     /*  535949 */     // GIR_Coverage, 5975,
     /*  535949 */     GIR_EraseRootFromParent_Done,
     /*  535950 */   // Label 8880: @535950
     /*  535950 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(536025), // Rule ID 5978 //
     /*  535955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  535958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  535963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  535966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  535969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  535972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  535975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  535994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  536004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536023 */     GIR_RootConstrainSelectedInstOperands,
     /*  536024 */     // GIR_Coverage, 5978,
     /*  536024 */     GIR_EraseRootFromParent_Done,
     /*  536025 */   // Label 8881: @536025
     /*  536025 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(536100), // Rule ID 5979 //
     /*  536030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  536041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  536044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  536047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  536079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536098 */     GIR_RootConstrainSelectedInstOperands,
     /*  536099 */     // GIR_Coverage, 5979,
     /*  536099 */     GIR_EraseRootFromParent_Done,
     /*  536100 */   // Label 8882: @536100
     /*  536100 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(536175), // Rule ID 5982 //
     /*  536105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  536116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  536119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  536122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536173 */     GIR_RootConstrainSelectedInstOperands,
     /*  536174 */     // GIR_Coverage, 5982,
     /*  536174 */     GIR_EraseRootFromParent_Done,
     /*  536175 */   // Label 8883: @536175
     /*  536175 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(536250), // Rule ID 5983 //
     /*  536180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  536191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  536194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  536197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536248 */     GIR_RootConstrainSelectedInstOperands,
     /*  536249 */     // GIR_Coverage, 5983,
     /*  536249 */     GIR_EraseRootFromParent_Done,
     /*  536250 */   // Label 8884: @536250
     /*  536250 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(536325), // Rule ID 5986 //
     /*  536255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  536272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  536304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536323 */     GIR_RootConstrainSelectedInstOperands,
     /*  536324 */     // GIR_Coverage, 5986,
     /*  536324 */     GIR_EraseRootFromParent_Done,
     /*  536325 */   // Label 8885: @536325
     /*  536325 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(536400), // Rule ID 5987 //
     /*  536330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  536347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  536379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536398 */     GIR_RootConstrainSelectedInstOperands,
     /*  536399 */     // GIR_Coverage, 5987,
     /*  536399 */     GIR_EraseRootFromParent_Done,
     /*  536400 */   // Label 8886: @536400
     /*  536400 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(536475), // Rule ID 5990 //
     /*  536405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  536422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536473 */     GIR_RootConstrainSelectedInstOperands,
     /*  536474 */     // GIR_Coverage, 5990,
     /*  536474 */     GIR_EraseRootFromParent_Done,
     /*  536475 */   // Label 8887: @536475
     /*  536475 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(536550), // Rule ID 5991 //
     /*  536480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  536497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536548 */     GIR_RootConstrainSelectedInstOperands,
     /*  536549 */     // GIR_Coverage, 5991,
     /*  536549 */     GIR_EraseRootFromParent_Done,
     /*  536550 */   // Label 8888: @536550
     /*  536550 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(536625), // Rule ID 5994 //
     /*  536555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  536601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536623 */     GIR_RootConstrainSelectedInstOperands,
     /*  536624 */     // GIR_Coverage, 5994,
     /*  536624 */     GIR_EraseRootFromParent_Done,
     /*  536625 */   // Label 8889: @536625
     /*  536625 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(536700), // Rule ID 5995 //
     /*  536630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  536641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  536644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  536676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  536679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  536695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536698 */     GIR_RootConstrainSelectedInstOperands,
     /*  536699 */     // GIR_Coverage, 5995,
     /*  536699 */     GIR_EraseRootFromParent_Done,
     /*  536700 */   // Label 8890: @536700
     /*  536700 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(536775), // Rule ID 5998 //
     /*  536705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  536716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  536719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  536722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  536754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536773 */     GIR_RootConstrainSelectedInstOperands,
     /*  536774 */     // GIR_Coverage, 5998,
     /*  536774 */     GIR_EraseRootFromParent_Done,
     /*  536775 */   // Label 8891: @536775
     /*  536775 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(536850), // Rule ID 5999 //
     /*  536780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  536791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  536794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  536797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11129:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  536829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536848 */     GIR_RootConstrainSelectedInstOperands,
     /*  536849 */     // GIR_Coverage, 5999,
     /*  536849 */     GIR_EraseRootFromParent_Done,
     /*  536850 */   // Label 8892: @536850
     /*  536850 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(536925), // Rule ID 6002 //
     /*  536855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  536858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  536872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  536875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  536904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536923 */     GIR_RootConstrainSelectedInstOperands,
     /*  536924 */     // GIR_Coverage, 6002,
     /*  536924 */     GIR_EraseRootFromParent_Done,
     /*  536925 */   // Label 8893: @536925
     /*  536925 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(537000), // Rule ID 6003 //
     /*  536930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  536933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  536938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  536941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  536944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  536947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  536950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  536969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11129:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  536979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  536985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  536987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536998 */     GIR_RootConstrainSelectedInstOperands,
     /*  536999 */     // GIR_Coverage, 6003,
     /*  536999 */     GIR_EraseRootFromParent_Done,
     /*  537000 */   // Label 8894: @537000
     /*  537000 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(537075), // Rule ID 6006 //
     /*  537005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  537054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537073 */     GIR_RootConstrainSelectedInstOperands,
     /*  537074 */     // GIR_Coverage, 6006,
     /*  537074 */     GIR_EraseRootFromParent_Done,
     /*  537075 */   // Label 8895: @537075
     /*  537075 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(537150), // Rule ID 6007 //
     /*  537080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  537129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537148 */     GIR_RootConstrainSelectedInstOperands,
     /*  537149 */     // GIR_Coverage, 6007,
     /*  537149 */     GIR_EraseRootFromParent_Done,
     /*  537150 */   // Label 8896: @537150
     /*  537150 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(537225), // Rule ID 6010 //
     /*  537155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  537158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  537166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  537169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  537201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  537204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  537220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537223 */     GIR_RootConstrainSelectedInstOperands,
     /*  537224 */     // GIR_Coverage, 6010,
     /*  537224 */     GIR_EraseRootFromParent_Done,
     /*  537225 */   // Label 8897: @537225
     /*  537225 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(537300), // Rule ID 6011 //
     /*  537230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  537233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  537241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  537244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  537276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  537279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  537295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537298 */     GIR_RootConstrainSelectedInstOperands,
     /*  537299 */     // GIR_Coverage, 6011,
     /*  537299 */     GIR_EraseRootFromParent_Done,
     /*  537300 */   // Label 8898: @537300
     /*  537300 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(537375), // Rule ID 6014 //
     /*  537305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  537316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  537319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  537322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  537354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537373 */     GIR_RootConstrainSelectedInstOperands,
     /*  537374 */     // GIR_Coverage, 6014,
     /*  537374 */     GIR_EraseRootFromParent_Done,
     /*  537375 */   // Label 8899: @537375
     /*  537375 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(537450), // Rule ID 6015 //
     /*  537380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  537391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  537394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  537397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  537429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537448 */     GIR_RootConstrainSelectedInstOperands,
     /*  537449 */     // GIR_Coverage, 6015,
     /*  537449 */     GIR_EraseRootFromParent_Done,
     /*  537450 */   // Label 8900: @537450
     /*  537450 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(537525), // Rule ID 6018 //
     /*  537455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  537466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  537469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  537472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  537504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537523 */     GIR_RootConstrainSelectedInstOperands,
     /*  537524 */     // GIR_Coverage, 6018,
     /*  537524 */     GIR_EraseRootFromParent_Done,
     /*  537525 */   // Label 8901: @537525
     /*  537525 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(537600), // Rule ID 6019 //
     /*  537530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  537541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  537544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  537547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  537579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537598 */     GIR_RootConstrainSelectedInstOperands,
     /*  537599 */     // GIR_Coverage, 6019,
     /*  537599 */     GIR_EraseRootFromParent_Done,
     /*  537600 */   // Label 8902: @537600
     /*  537600 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(537675), // Rule ID 6022 //
     /*  537605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  537616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  537619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  537622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  537651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  537654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537673 */     GIR_RootConstrainSelectedInstOperands,
     /*  537674 */     // GIR_Coverage, 6022,
     /*  537674 */     GIR_EraseRootFromParent_Done,
     /*  537675 */   // Label 8903: @537675
     /*  537675 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(537750), // Rule ID 6023 //
     /*  537680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  537691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  537694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  537697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  537726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  537729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  537745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537748 */     GIR_RootConstrainSelectedInstOperands,
     /*  537749 */     // GIR_Coverage, 6023,
     /*  537749 */     GIR_EraseRootFromParent_Done,
     /*  537750 */   // Label 8904: @537750
     /*  537750 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(537825), // Rule ID 6026 //
     /*  537755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  537772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  537804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537823 */     GIR_RootConstrainSelectedInstOperands,
     /*  537824 */     // GIR_Coverage, 6026,
     /*  537824 */     GIR_EraseRootFromParent_Done,
     /*  537825 */   // Label 8905: @537825
     /*  537825 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(537900), // Rule ID 6027 //
     /*  537830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  537847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  537850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  537879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537898 */     GIR_RootConstrainSelectedInstOperands,
     /*  537899 */     // GIR_Coverage, 6027,
     /*  537899 */     GIR_EraseRootFromParent_Done,
     /*  537900 */   // Label 8906: @537900
     /*  537900 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(537975), // Rule ID 6030 //
     /*  537905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  537908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  537922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  537925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  537944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  537954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  537960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  537962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537973 */     GIR_RootConstrainSelectedInstOperands,
     /*  537974 */     // GIR_Coverage, 6030,
     /*  537974 */     GIR_EraseRootFromParent_Done,
     /*  537975 */   // Label 8907: @537975
     /*  537975 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(538050), // Rule ID 6031 //
     /*  537980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  537983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  537988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  537997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  538029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538048 */     GIR_RootConstrainSelectedInstOperands,
     /*  538049 */     // GIR_Coverage, 6031,
     /*  538049 */     GIR_EraseRootFromParent_Done,
     /*  538050 */   // Label 8908: @538050
     /*  538050 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(538125), // Rule ID 6034 //
     /*  538055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  538072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  538104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538123 */     GIR_RootConstrainSelectedInstOperands,
     /*  538124 */     // GIR_Coverage, 6034,
     /*  538124 */     GIR_EraseRootFromParent_Done,
     /*  538125 */   // Label 8909: @538125
     /*  538125 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(538200), // Rule ID 6035 //
     /*  538130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  538141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  538144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  538147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  538179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538198 */     GIR_RootConstrainSelectedInstOperands,
     /*  538199 */     // GIR_Coverage, 6035,
     /*  538199 */     GIR_EraseRootFromParent_Done,
     /*  538200 */   // Label 8910: @538200
     /*  538200 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(538275), // Rule ID 6038 //
     /*  538205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  538222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  538254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538273 */     GIR_RootConstrainSelectedInstOperands,
     /*  538274 */     // GIR_Coverage, 6038,
     /*  538274 */     GIR_EraseRootFromParent_Done,
     /*  538275 */   // Label 8911: @538275
     /*  538275 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(538350), // Rule ID 6039 //
     /*  538280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  538291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  538294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  538297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  538329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538348 */     GIR_RootConstrainSelectedInstOperands,
     /*  538349 */     // GIR_Coverage, 6039,
     /*  538349 */     GIR_EraseRootFromParent_Done,
     /*  538350 */   // Label 8912: @538350
     /*  538350 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(538425), // Rule ID 6042 //
     /*  538355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  538404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538423 */     GIR_RootConstrainSelectedInstOperands,
     /*  538424 */     // GIR_Coverage, 6042,
     /*  538424 */     GIR_EraseRootFromParent_Done,
     /*  538425 */   // Label 8913: @538425
     /*  538425 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(538500), // Rule ID 6043 //
     /*  538430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  538441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  538444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  538479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538498 */     GIR_RootConstrainSelectedInstOperands,
     /*  538499 */     // GIR_Coverage, 6043,
     /*  538499 */     GIR_EraseRootFromParent_Done,
     /*  538500 */   // Label 8914: @538500
     /*  538500 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(538575), // Rule ID 6046 //
     /*  538505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  538508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  538554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538573 */     GIR_RootConstrainSelectedInstOperands,
     /*  538574 */     // GIR_Coverage, 6046,
     /*  538574 */     GIR_EraseRootFromParent_Done,
     /*  538575 */   // Label 8915: @538575
     /*  538575 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(538650), // Rule ID 6047 //
     /*  538580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  538583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  538591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  538594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  538629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538648 */     GIR_RootConstrainSelectedInstOperands,
     /*  538649 */     // GIR_Coverage, 6047,
     /*  538649 */     GIR_EraseRootFromParent_Done,
     /*  538650 */   // Label 8916: @538650
     /*  538650 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(538725), // Rule ID 6050 //
     /*  538655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  538658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  538701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  538704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538723 */     GIR_RootConstrainSelectedInstOperands,
     /*  538724 */     // GIR_Coverage, 6050,
     /*  538724 */     GIR_EraseRootFromParent_Done,
     /*  538725 */   // Label 8917: @538725
     /*  538725 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(538800), // Rule ID 6051 //
     /*  538730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  538733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  538741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  538744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  538776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  538779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538798 */     GIR_RootConstrainSelectedInstOperands,
     /*  538799 */     // GIR_Coverage, 6051,
     /*  538799 */     GIR_EraseRootFromParent_Done,
     /*  538800 */   // Label 8918: @538800
     /*  538800 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(538875), // Rule ID 6054 //
     /*  538805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  538808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  538851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  538854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538873 */     GIR_RootConstrainSelectedInstOperands,
     /*  538874 */     // GIR_Coverage, 6054,
     /*  538874 */     GIR_EraseRootFromParent_Done,
     /*  538875 */   // Label 8919: @538875
     /*  538875 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(538950), // Rule ID 6055 //
     /*  538880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  538883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  538891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  538894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  538897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  538900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  538926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  538929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  538935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  538937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  538945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538948 */     GIR_RootConstrainSelectedInstOperands,
     /*  538949 */     // GIR_Coverage, 6055,
     /*  538949 */     GIR_EraseRootFromParent_Done,
     /*  538950 */   // Label 8920: @538950
     /*  538950 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(539025), // Rule ID 6058 //
     /*  538955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  538958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  538963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  538966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  538969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  538975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  538994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  539001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  539004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  539020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539023 */     GIR_RootConstrainSelectedInstOperands,
     /*  539024 */     // GIR_Coverage, 6058,
     /*  539024 */     GIR_EraseRootFromParent_Done,
     /*  539025 */   // Label 8921: @539025
     /*  539025 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(539100), // Rule ID 6059 //
     /*  539030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  539033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  539038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  539041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  539044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  539047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  539050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  539069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  539076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  539079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  539095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539098 */     GIR_RootConstrainSelectedInstOperands,
     /*  539099 */     // GIR_Coverage, 6059,
     /*  539099 */     GIR_EraseRootFromParent_Done,
     /*  539100 */   // Label 8922: @539100
     /*  539100 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(539175), // Rule ID 6150 //
     /*  539105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  539154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539173 */     GIR_RootConstrainSelectedInstOperands,
     /*  539174 */     // GIR_Coverage, 6150,
     /*  539174 */     GIR_EraseRootFromParent_Done,
     /*  539175 */   // Label 8923: @539175
     /*  539175 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(539250), // Rule ID 6151 //
     /*  539180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  539191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  539194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  539197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  539200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  539229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539248 */     GIR_RootConstrainSelectedInstOperands,
     /*  539249 */     // GIR_Coverage, 6151,
     /*  539249 */     GIR_EraseRootFromParent_Done,
     /*  539250 */   // Label 8924: @539250
     /*  539250 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(539325), // Rule ID 6154 //
     /*  539255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  539266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  539269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  539272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  539304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539323 */     GIR_RootConstrainSelectedInstOperands,
     /*  539324 */     // GIR_Coverage, 6154,
     /*  539324 */     GIR_EraseRootFromParent_Done,
     /*  539325 */   // Label 8925: @539325
     /*  539325 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(539400), // Rule ID 6155 //
     /*  539330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  539341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  539344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  539347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  539350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  539379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539398 */     GIR_RootConstrainSelectedInstOperands,
     /*  539399 */     // GIR_Coverage, 6155,
     /*  539399 */     GIR_EraseRootFromParent_Done,
     /*  539400 */   // Label 8926: @539400
     /*  539400 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(539475), // Rule ID 6158 //
     /*  539405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  539416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  539419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  539422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  539451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539473 */     GIR_RootConstrainSelectedInstOperands,
     /*  539474 */     // GIR_Coverage, 6158,
     /*  539474 */     GIR_EraseRootFromParent_Done,
     /*  539475 */   // Label 8927: @539475
     /*  539475 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(539550), // Rule ID 6159 //
     /*  539480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  539491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  539494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  539497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  539500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  539526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  539545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539548 */     GIR_RootConstrainSelectedInstOperands,
     /*  539549 */     // GIR_Coverage, 6159,
     /*  539549 */     GIR_EraseRootFromParent_Done,
     /*  539550 */   // Label 8928: @539550
     /*  539550 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(539625), // Rule ID 6162 //
     /*  539555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  539572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  539604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539623 */     GIR_RootConstrainSelectedInstOperands,
     /*  539624 */     // GIR_Coverage, 6162,
     /*  539624 */     GIR_EraseRootFromParent_Done,
     /*  539625 */   // Label 8929: @539625
     /*  539625 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(539700), // Rule ID 6163 //
     /*  539630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  539647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  539650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  539679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539698 */     GIR_RootConstrainSelectedInstOperands,
     /*  539699 */     // GIR_Coverage, 6163,
     /*  539699 */     GIR_EraseRootFromParent_Done,
     /*  539700 */   // Label 8930: @539700
     /*  539700 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(539775), // Rule ID 6166 //
     /*  539705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  539722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539773 */     GIR_RootConstrainSelectedInstOperands,
     /*  539774 */     // GIR_Coverage, 6166,
     /*  539774 */     GIR_EraseRootFromParent_Done,
     /*  539775 */   // Label 8931: @539775
     /*  539775 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(539850), // Rule ID 6167 //
     /*  539780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  539797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  539800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539848 */     GIR_RootConstrainSelectedInstOperands,
     /*  539849 */     // GIR_Coverage, 6167,
     /*  539849 */     GIR_EraseRootFromParent_Done,
     /*  539850 */   // Label 8932: @539850
     /*  539850 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(539925), // Rule ID 6170 //
     /*  539855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  539858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  539872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539923 */     GIR_RootConstrainSelectedInstOperands,
     /*  539924 */     // GIR_Coverage, 6170,
     /*  539924 */     GIR_EraseRootFromParent_Done,
     /*  539925 */   // Label 8933: @539925
     /*  539925 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(540000), // Rule ID 6171 //
     /*  539930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  539933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  539938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  539941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  539944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  539947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  539950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  539979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  539985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  539987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539998 */     GIR_RootConstrainSelectedInstOperands,
     /*  539999 */     // GIR_Coverage, 6171,
     /*  539999 */     GIR_EraseRootFromParent_Done,
     /*  540000 */   // Label 8934: @540000
     /*  540000 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(540075), // Rule ID 6174 //
     /*  540005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  540016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  540019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  540022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540073 */     GIR_RootConstrainSelectedInstOperands,
     /*  540074 */     // GIR_Coverage, 6174,
     /*  540074 */     GIR_EraseRootFromParent_Done,
     /*  540075 */   // Label 8935: @540075
     /*  540075 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(540150), // Rule ID 6175 //
     /*  540080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  540091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  540094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  540097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  540100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540148 */     GIR_RootConstrainSelectedInstOperands,
     /*  540149 */     // GIR_Coverage, 6175,
     /*  540149 */     GIR_EraseRootFromParent_Done,
     /*  540150 */   // Label 8936: @540150
     /*  540150 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(540225), // Rule ID 6178 //
     /*  540155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  540172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540223 */     GIR_RootConstrainSelectedInstOperands,
     /*  540224 */     // GIR_Coverage, 6178,
     /*  540224 */     GIR_EraseRootFromParent_Done,
     /*  540225 */   // Label 8937: @540225
     /*  540225 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(540300), // Rule ID 6179 //
     /*  540230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  540247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  540250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540298 */     GIR_RootConstrainSelectedInstOperands,
     /*  540299 */     // GIR_Coverage, 6179,
     /*  540299 */     GIR_EraseRootFromParent_Done,
     /*  540300 */   // Label 8938: @540300
     /*  540300 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(540375), // Rule ID 6182 //
     /*  540305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540373 */     GIR_RootConstrainSelectedInstOperands,
     /*  540374 */     // GIR_Coverage, 6182,
     /*  540374 */     GIR_EraseRootFromParent_Done,
     /*  540375 */   // Label 8939: @540375
     /*  540375 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(540450), // Rule ID 6183 //
     /*  540380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  540400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540448 */     GIR_RootConstrainSelectedInstOperands,
     /*  540449 */     // GIR_Coverage, 6183,
     /*  540449 */     GIR_EraseRootFromParent_Done,
     /*  540450 */   // Label 8940: @540450
     /*  540450 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(540525), // Rule ID 6186 //
     /*  540455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  540458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  540475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  540501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540523 */     GIR_RootConstrainSelectedInstOperands,
     /*  540524 */     // GIR_Coverage, 6186,
     /*  540524 */     GIR_EraseRootFromParent_Done,
     /*  540525 */   // Label 8941: @540525
     /*  540525 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(540600), // Rule ID 6187 //
     /*  540530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  540533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  540541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  540544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  540550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  540576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  540579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  540595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540598 */     GIR_RootConstrainSelectedInstOperands,
     /*  540599 */     // GIR_Coverage, 6187,
     /*  540599 */     GIR_EraseRootFromParent_Done,
     /*  540600 */   // Label 8942: @540600
     /*  540600 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(540675), // Rule ID 6190 //
     /*  540605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  540616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  540619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  540622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  540654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540673 */     GIR_RootConstrainSelectedInstOperands,
     /*  540674 */     // GIR_Coverage, 6190,
     /*  540674 */     GIR_EraseRootFromParent_Done,
     /*  540675 */   // Label 8943: @540675
     /*  540675 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(540750), // Rule ID 6191 //
     /*  540680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  540691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  540694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  540697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  540700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  540729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540748 */     GIR_RootConstrainSelectedInstOperands,
     /*  540749 */     // GIR_Coverage, 6191,
     /*  540749 */     GIR_EraseRootFromParent_Done,
     /*  540750 */   // Label 8944: @540750
     /*  540750 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(540825), // Rule ID 6194 //
     /*  540755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  540766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  540769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  540772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  540804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540823 */     GIR_RootConstrainSelectedInstOperands,
     /*  540824 */     // GIR_Coverage, 6194,
     /*  540824 */     GIR_EraseRootFromParent_Done,
     /*  540825 */   // Label 8945: @540825
     /*  540825 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(540900), // Rule ID 6195 //
     /*  540830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  540841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  540844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  540847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  540850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  540876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  540879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540898 */     GIR_RootConstrainSelectedInstOperands,
     /*  540899 */     // GIR_Coverage, 6195,
     /*  540899 */     GIR_EraseRootFromParent_Done,
     /*  540900 */   // Label 8946: @540900
     /*  540900 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(540975), // Rule ID 6198 //
     /*  540905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  540908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  540916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  540919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  540922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  540925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  540951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  540954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  540960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  540962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  540970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540973 */     GIR_RootConstrainSelectedInstOperands,
     /*  540974 */     // GIR_Coverage, 6198,
     /*  540974 */     GIR_EraseRootFromParent_Done,
     /*  540975 */   // Label 8947: @540975
     /*  540975 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(541050), // Rule ID 6199 //
     /*  540980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  540983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  540988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  540991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  540994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  540997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  541000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  541026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  541029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541048 */     GIR_RootConstrainSelectedInstOperands,
     /*  541049 */     // GIR_Coverage, 6199,
     /*  541049 */     GIR_EraseRootFromParent_Done,
     /*  541050 */   // Label 8948: @541050
     /*  541050 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(541125), // Rule ID 6202 //
     /*  541055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  541072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  541075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  541104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541123 */     GIR_RootConstrainSelectedInstOperands,
     /*  541124 */     // GIR_Coverage, 6202,
     /*  541124 */     GIR_EraseRootFromParent_Done,
     /*  541125 */   // Label 8949: @541125
     /*  541125 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(541200), // Rule ID 6203 //
     /*  541130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  541147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  541150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  541179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541198 */     GIR_RootConstrainSelectedInstOperands,
     /*  541199 */     // GIR_Coverage, 6203,
     /*  541199 */     GIR_EraseRootFromParent_Done,
     /*  541200 */   // Label 8950: @541200
     /*  541200 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(541275), // Rule ID 6206 //
     /*  541205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  541222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  541254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541273 */     GIR_RootConstrainSelectedInstOperands,
     /*  541274 */     // GIR_Coverage, 6206,
     /*  541274 */     GIR_EraseRootFromParent_Done,
     /*  541275 */   // Label 8951: @541275
     /*  541275 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(541350), // Rule ID 6207 //
     /*  541280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  541297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  541300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  541329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541348 */     GIR_RootConstrainSelectedInstOperands,
     /*  541349 */     // GIR_Coverage, 6207,
     /*  541349 */     GIR_EraseRootFromParent_Done,
     /*  541350 */   // Label 8952: @541350
     /*  541350 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(541425), // Rule ID 6210 //
     /*  541355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  541372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  541375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  541404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541423 */     GIR_RootConstrainSelectedInstOperands,
     /*  541424 */     // GIR_Coverage, 6210,
     /*  541424 */     GIR_EraseRootFromParent_Done,
     /*  541425 */   // Label 8953: @541425
     /*  541425 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(541500), // Rule ID 6211 //
     /*  541430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  541441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  541444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  541447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  541450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  541479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541498 */     GIR_RootConstrainSelectedInstOperands,
     /*  541499 */     // GIR_Coverage, 6211,
     /*  541499 */     GIR_EraseRootFromParent_Done,
     /*  541500 */   // Label 8954: @541500
     /*  541500 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(541575), // Rule ID 6214 //
     /*  541505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  541516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  541522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  541554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541573 */     GIR_RootConstrainSelectedInstOperands,
     /*  541574 */     // GIR_Coverage, 6214,
     /*  541574 */     GIR_EraseRootFromParent_Done,
     /*  541575 */   // Label 8955: @541575
     /*  541575 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(541650), // Rule ID 6215 //
     /*  541580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  541591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  541597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  541600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  541629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541648 */     GIR_RootConstrainSelectedInstOperands,
     /*  541649 */     // GIR_Coverage, 6215,
     /*  541649 */     GIR_EraseRootFromParent_Done,
     /*  541650 */   // Label 8956: @541650
     /*  541650 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(541725), // Rule ID 6218 //
     /*  541655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  541704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541723 */     GIR_RootConstrainSelectedInstOperands,
     /*  541724 */     // GIR_Coverage, 6218,
     /*  541724 */     GIR_EraseRootFromParent_Done,
     /*  541725 */   // Label 8957: @541725
     /*  541725 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(541800), // Rule ID 6219 //
     /*  541730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  541750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  541779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541798 */     GIR_RootConstrainSelectedInstOperands,
     /*  541799 */     // GIR_Coverage, 6219,
     /*  541799 */     GIR_EraseRootFromParent_Done,
     /*  541800 */   // Label 8958: @541800
     /*  541800 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(541875), // Rule ID 6222 //
     /*  541805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  541825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  541854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541873 */     GIR_RootConstrainSelectedInstOperands,
     /*  541874 */     // GIR_Coverage, 6222,
     /*  541874 */     GIR_EraseRootFromParent_Done,
     /*  541875 */   // Label 8959: @541875
     /*  541875 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(541950), // Rule ID 6223 //
     /*  541880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  541891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  541894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  541900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  541929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  541935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541948 */     GIR_RootConstrainSelectedInstOperands,
     /*  541949 */     // GIR_Coverage, 6223,
     /*  541949 */     GIR_EraseRootFromParent_Done,
     /*  541950 */   // Label 8960: @541950
     /*  541950 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(542025), // Rule ID 6226 //
     /*  541955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  541958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  541963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  541966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  541969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  541972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  541975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  542001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  542004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542023 */     GIR_RootConstrainSelectedInstOperands,
     /*  542024 */     // GIR_Coverage, 6226,
     /*  542024 */     GIR_EraseRootFromParent_Done,
     /*  542025 */   // Label 8961: @542025
     /*  542025 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(542100), // Rule ID 6227 //
     /*  542030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  542033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  542041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  542044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  542047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  542050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  542076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  542079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542098 */     GIR_RootConstrainSelectedInstOperands,
     /*  542099 */     // GIR_Coverage, 6227,
     /*  542099 */     GIR_EraseRootFromParent_Done,
     /*  542100 */   // Label 8962: @542100
     /*  542100 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(542175), // Rule ID 6230 //
     /*  542105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  542108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  542122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  542125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  542151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  542154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542173 */     GIR_RootConstrainSelectedInstOperands,
     /*  542174 */     // GIR_Coverage, 6230,
     /*  542174 */     GIR_EraseRootFromParent_Done,
     /*  542175 */   // Label 8963: @542175
     /*  542175 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(542250), // Rule ID 6231 //
     /*  542180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  542183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  542191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  542194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  542197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  542200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  542226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  542229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542248 */     GIR_RootConstrainSelectedInstOperands,
     /*  542249 */     // GIR_Coverage, 6231,
     /*  542249 */     GIR_EraseRootFromParent_Done,
     /*  542250 */   // Label 8964: @542250
     /*  542250 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(542325), // Rule ID 6234 //
     /*  542255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  542258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  542269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  542272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  542275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  542301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  542304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542323 */     GIR_RootConstrainSelectedInstOperands,
     /*  542324 */     // GIR_Coverage, 6234,
     /*  542324 */     GIR_EraseRootFromParent_Done,
     /*  542325 */   // Label 8965: @542325
     /*  542325 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(542400), // Rule ID 6235 //
     /*  542330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  542333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  542341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  542344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  542347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  542350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  542376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  542379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  542395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542398 */     GIR_RootConstrainSelectedInstOperands,
     /*  542399 */     // GIR_Coverage, 6235,
     /*  542399 */     GIR_EraseRootFromParent_Done,
     /*  542400 */   // Label 8966: @542400
     /*  542400 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(542475), // Rule ID 6238 //
     /*  542405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  542416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  542419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  542422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  542425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  542454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542473 */     GIR_RootConstrainSelectedInstOperands,
     /*  542474 */     // GIR_Coverage, 6238,
     /*  542474 */     GIR_EraseRootFromParent_Done,
     /*  542475 */   // Label 8967: @542475
     /*  542475 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(542550), // Rule ID 6239 //
     /*  542480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  542491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  542494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  542497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  542500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  542529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542548 */     GIR_RootConstrainSelectedInstOperands,
     /*  542549 */     // GIR_Coverage, 6239,
     /*  542549 */     GIR_EraseRootFromParent_Done,
     /*  542550 */   // Label 8968: @542550
     /*  542550 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(542625), // Rule ID 6242 //
     /*  542555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  542566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  542569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  542572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  542575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542601 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  542604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542623 */     GIR_RootConstrainSelectedInstOperands,
     /*  542624 */     // GIR_Coverage, 6242,
     /*  542624 */     GIR_EraseRootFromParent_Done,
     /*  542625 */   // Label 8969: @542625
     /*  542625 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(542700), // Rule ID 6243 //
     /*  542630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  542641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  542644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  542647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  542650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  542679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542698 */     GIR_RootConstrainSelectedInstOperands,
     /*  542699 */     // GIR_Coverage, 6243,
     /*  542699 */     GIR_EraseRootFromParent_Done,
     /*  542700 */   // Label 8970: @542700
     /*  542700 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(542775), // Rule ID 6246 //
     /*  542705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  542716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  542719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  542722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  542725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  542754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542773 */     GIR_RootConstrainSelectedInstOperands,
     /*  542774 */     // GIR_Coverage, 6246,
     /*  542774 */     GIR_EraseRootFromParent_Done,
     /*  542775 */   // Label 8971: @542775
     /*  542775 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(542850), // Rule ID 6247 //
     /*  542780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  542791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  542794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  542797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  542800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  542829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542848 */     GIR_RootConstrainSelectedInstOperands,
     /*  542849 */     // GIR_Coverage, 6247,
     /*  542849 */     GIR_EraseRootFromParent_Done,
     /*  542850 */   // Label 8972: @542850
     /*  542850 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(542925), // Rule ID 6250 //
     /*  542855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  542866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  542869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  542872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  542875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  542904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542923 */     GIR_RootConstrainSelectedInstOperands,
     /*  542924 */     // GIR_Coverage, 6250,
     /*  542924 */     GIR_EraseRootFromParent_Done,
     /*  542925 */   // Label 8973: @542925
     /*  542925 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(543000), // Rule ID 6251 //
     /*  542930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  542938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  542941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  542944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  542947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  542950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  542969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  542979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  542985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542998 */     GIR_RootConstrainSelectedInstOperands,
     /*  542999 */     // GIR_Coverage, 6251,
     /*  542999 */     GIR_EraseRootFromParent_Done,
     /*  543000 */   // Label 8974: @543000
     /*  543000 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(543075), // Rule ID 6254 //
     /*  543005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  543022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  543054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543073 */     GIR_RootConstrainSelectedInstOperands,
     /*  543074 */     // GIR_Coverage, 6254,
     /*  543074 */     GIR_EraseRootFromParent_Done,
     /*  543075 */   // Label 8975: @543075
     /*  543075 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(543150), // Rule ID 6255 //
     /*  543080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  543091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  543094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  543097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  543129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543148 */     GIR_RootConstrainSelectedInstOperands,
     /*  543149 */     // GIR_Coverage, 6255,
     /*  543149 */     GIR_EraseRootFromParent_Done,
     /*  543150 */   // Label 8976: @543150
     /*  543150 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(543225), // Rule ID 6258 //
     /*  543155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  543172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  543204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543223 */     GIR_RootConstrainSelectedInstOperands,
     /*  543224 */     // GIR_Coverage, 6258,
     /*  543224 */     GIR_EraseRootFromParent_Done,
     /*  543225 */   // Label 8977: @543225
     /*  543225 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(543300), // Rule ID 6259 //
     /*  543230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  543241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  543244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  543247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  543279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543298 */     GIR_RootConstrainSelectedInstOperands,
     /*  543299 */     // GIR_Coverage, 6259,
     /*  543299 */     GIR_EraseRootFromParent_Done,
     /*  543300 */   // Label 8978: @543300
     /*  543300 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(543375), // Rule ID 6262 //
     /*  543305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  543316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  543319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  543322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543373 */     GIR_RootConstrainSelectedInstOperands,
     /*  543374 */     // GIR_Coverage, 6262,
     /*  543374 */     GIR_EraseRootFromParent_Done,
     /*  543375 */   // Label 8979: @543375
     /*  543375 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(543450), // Rule ID 6263 //
     /*  543380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  543391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  543394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  543397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11309:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  543426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543448 */     GIR_RootConstrainSelectedInstOperands,
     /*  543449 */     // GIR_Coverage, 6263,
     /*  543449 */     GIR_EraseRootFromParent_Done,
     /*  543450 */   // Label 8980: @543450
     /*  543450 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(543525), // Rule ID 6266 //
     /*  543455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  543472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543523 */     GIR_RootConstrainSelectedInstOperands,
     /*  543524 */     // GIR_Coverage, 6266,
     /*  543524 */     GIR_EraseRootFromParent_Done,
     /*  543525 */   // Label 8981: @543525
     /*  543525 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(543600), // Rule ID 6267 //
     /*  543530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  543541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  543544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  543547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11309:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543598 */     GIR_RootConstrainSelectedInstOperands,
     /*  543599 */     // GIR_Coverage, 6267,
     /*  543599 */     GIR_EraseRootFromParent_Done,
     /*  543600 */   // Label 8982: @543600
     /*  543600 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(543675), // Rule ID 6270 //
     /*  543605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  543616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  543619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  543622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543673 */     GIR_RootConstrainSelectedInstOperands,
     /*  543674 */     // GIR_Coverage, 6270,
     /*  543674 */     GIR_EraseRootFromParent_Done,
     /*  543675 */   // Label 8983: @543675
     /*  543675 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(543750), // Rule ID 6271 //
     /*  543680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  543691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  543694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  543697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543748 */     GIR_RootConstrainSelectedInstOperands,
     /*  543749 */     // GIR_Coverage, 6271,
     /*  543749 */     GIR_EraseRootFromParent_Done,
     /*  543750 */   // Label 8984: @543750
     /*  543750 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(543825), // Rule ID 6274 //
     /*  543755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  543758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  543772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  543801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543823 */     GIR_RootConstrainSelectedInstOperands,
     /*  543824 */     // GIR_Coverage, 6274,
     /*  543824 */     GIR_EraseRootFromParent_Done,
     /*  543825 */   // Label 8985: @543825
     /*  543825 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(543900), // Rule ID 6275 //
     /*  543830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  543833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  543847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  543850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  543876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  543879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  543895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543898 */     GIR_RootConstrainSelectedInstOperands,
     /*  543899 */     // GIR_Coverage, 6275,
     /*  543899 */     GIR_EraseRootFromParent_Done,
     /*  543900 */   // Label 8986: @543900
     /*  543900 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(543975), // Rule ID 6278 //
     /*  543905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  543916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  543919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  543922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  543925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  543944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  543951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  543954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  543960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  543970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543973 */     GIR_RootConstrainSelectedInstOperands,
     /*  543974 */     // GIR_Coverage, 6278,
     /*  543974 */     GIR_EraseRootFromParent_Done,
     /*  543975 */   // Label 8987: @543975
     /*  543975 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(544050), // Rule ID 6279 //
     /*  543980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  543988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  543991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  543994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  543997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  544029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544048 */     GIR_RootConstrainSelectedInstOperands,
     /*  544049 */     // GIR_Coverage, 6279,
     /*  544049 */     GIR_EraseRootFromParent_Done,
     /*  544050 */   // Label 8988: @544050
     /*  544050 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(544125), // Rule ID 6282 //
     /*  544055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  544066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  544069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  544072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  544104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544123 */     GIR_RootConstrainSelectedInstOperands,
     /*  544124 */     // GIR_Coverage, 6282,
     /*  544124 */     GIR_EraseRootFromParent_Done,
     /*  544125 */   // Label 8989: @544125
     /*  544125 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(544200), // Rule ID 6283 //
     /*  544130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  544141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  544144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  544147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  544179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544198 */     GIR_RootConstrainSelectedInstOperands,
     /*  544199 */     // GIR_Coverage, 6283,
     /*  544199 */     GIR_EraseRootFromParent_Done,
     /*  544200 */   // Label 8990: @544200
     /*  544200 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(544275), // Rule ID 6286 //
     /*  544205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  544216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  544219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  544222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  544254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544273 */     GIR_RootConstrainSelectedInstOperands,
     /*  544274 */     // GIR_Coverage, 6286,
     /*  544274 */     GIR_EraseRootFromParent_Done,
     /*  544275 */   // Label 8991: @544275
     /*  544275 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(544350), // Rule ID 6287 //
     /*  544280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  544291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  544294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  544297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  544329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544348 */     GIR_RootConstrainSelectedInstOperands,
     /*  544349 */     // GIR_Coverage, 6287,
     /*  544349 */     GIR_EraseRootFromParent_Done,
     /*  544350 */   // Label 8992: @544350
     /*  544350 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(544425), // Rule ID 6290 //
     /*  544355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  544372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  544404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544423 */     GIR_RootConstrainSelectedInstOperands,
     /*  544424 */     // GIR_Coverage, 6290,
     /*  544424 */     GIR_EraseRootFromParent_Done,
     /*  544425 */   // Label 8993: @544425
     /*  544425 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(544500), // Rule ID 6291 //
     /*  544430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  544447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  544479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544498 */     GIR_RootConstrainSelectedInstOperands,
     /*  544499 */     // GIR_Coverage, 6291,
     /*  544499 */     GIR_EraseRootFromParent_Done,
     /*  544500 */   // Label 8994: @544500
     /*  544500 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(544575), // Rule ID 6294 //
     /*  544505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  544522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  544554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544573 */     GIR_RootConstrainSelectedInstOperands,
     /*  544574 */     // GIR_Coverage, 6294,
     /*  544574 */     GIR_EraseRootFromParent_Done,
     /*  544575 */   // Label 8995: @544575
     /*  544575 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(544650), // Rule ID 6295 //
     /*  544580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  544597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  544629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544648 */     GIR_RootConstrainSelectedInstOperands,
     /*  544649 */     // GIR_Coverage, 6295,
     /*  544649 */     GIR_EraseRootFromParent_Done,
     /*  544650 */   // Label 8996: @544650
     /*  544650 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(544725), // Rule ID 6298 //
     /*  544655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  544672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  544704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544723 */     GIR_RootConstrainSelectedInstOperands,
     /*  544724 */     // GIR_Coverage, 6298,
     /*  544724 */     GIR_EraseRootFromParent_Done,
     /*  544725 */   // Label 8997: @544725
     /*  544725 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(544800), // Rule ID 6299 //
     /*  544730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  544747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  544779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544798 */     GIR_RootConstrainSelectedInstOperands,
     /*  544799 */     // GIR_Coverage, 6299,
     /*  544799 */     GIR_EraseRootFromParent_Done,
     /*  544800 */   // Label 8998: @544800
     /*  544800 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(544875), // Rule ID 6302 //
     /*  544805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  544822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  544851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  544854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544873 */     GIR_RootConstrainSelectedInstOperands,
     /*  544874 */     // GIR_Coverage, 6302,
     /*  544874 */     GIR_EraseRootFromParent_Done,
     /*  544875 */   // Label 8999: @544875
     /*  544875 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(544950), // Rule ID 6303 //
     /*  544880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  544891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  544894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  544897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  544900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  544926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  544929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  544935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544948 */     GIR_RootConstrainSelectedInstOperands,
     /*  544949 */     // GIR_Coverage, 6303,
     /*  544949 */     GIR_EraseRootFromParent_Done,
     /*  544950 */   // Label 9000: @544950
     /*  544950 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(545025), // Rule ID 6306 //
     /*  544955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  544963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  544966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  544969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  544972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  544975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  544994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  545004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545023 */     GIR_RootConstrainSelectedInstOperands,
     /*  545024 */     // GIR_Coverage, 6306,
     /*  545024 */     GIR_EraseRootFromParent_Done,
     /*  545025 */   // Label 9001: @545025
     /*  545025 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(545100), // Rule ID 6307 //
     /*  545030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  545047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  545079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545098 */     GIR_RootConstrainSelectedInstOperands,
     /*  545099 */     // GIR_Coverage, 6307,
     /*  545099 */     GIR_EraseRootFromParent_Done,
     /*  545100 */   // Label 9002: @545100
     /*  545100 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(545175), // Rule ID 6310 //
     /*  545105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  545122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  545154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545173 */     GIR_RootConstrainSelectedInstOperands,
     /*  545174 */     // GIR_Coverage, 6310,
     /*  545174 */     GIR_EraseRootFromParent_Done,
     /*  545175 */   // Label 9003: @545175
     /*  545175 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(545250), // Rule ID 6311 //
     /*  545180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  545197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  545229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545248 */     GIR_RootConstrainSelectedInstOperands,
     /*  545249 */     // GIR_Coverage, 6311,
     /*  545249 */     GIR_EraseRootFromParent_Done,
     /*  545250 */   // Label 9004: @545250
     /*  545250 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(545325), // Rule ID 6314 //
     /*  545255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  545258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  545272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  545301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  545304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545323 */     GIR_RootConstrainSelectedInstOperands,
     /*  545324 */     // GIR_Coverage, 6314,
     /*  545324 */     GIR_EraseRootFromParent_Done,
     /*  545325 */   // Label 9005: @545325
     /*  545325 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(545400), // Rule ID 6315 //
     /*  545330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  545333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  545347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  545376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  545379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545398 */     GIR_RootConstrainSelectedInstOperands,
     /*  545399 */     // GIR_Coverage, 6315,
     /*  545399 */     GIR_EraseRootFromParent_Done,
     /*  545400 */   // Label 9006: @545400
     /*  545400 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(545475), // Rule ID 6318 //
     /*  545405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  545408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  545422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  545451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  545454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545473 */     GIR_RootConstrainSelectedInstOperands,
     /*  545474 */     // GIR_Coverage, 6318,
     /*  545474 */     GIR_EraseRootFromParent_Done,
     /*  545475 */   // Label 9007: @545475
     /*  545475 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(545550), // Rule ID 6319 //
     /*  545480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  545483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  545497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  545526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  545529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545548 */     GIR_RootConstrainSelectedInstOperands,
     /*  545549 */     // GIR_Coverage, 6319,
     /*  545549 */     GIR_EraseRootFromParent_Done,
     /*  545550 */   // Label 9008: @545550
     /*  545550 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(545625), // Rule ID 6322 //
     /*  545555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  545558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  545572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  545575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  545601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  545604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545623 */     GIR_RootConstrainSelectedInstOperands,
     /*  545624 */     // GIR_Coverage, 6322,
     /*  545624 */     GIR_EraseRootFromParent_Done,
     /*  545625 */   // Label 9009: @545625
     /*  545625 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(545700), // Rule ID 6323 //
     /*  545630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  545633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  545638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  545641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  545644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  545647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  545650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  545669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  545676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  545679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  545695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545698 */     GIR_RootConstrainSelectedInstOperands,
     /*  545699 */     // GIR_Coverage, 6323,
     /*  545699 */     GIR_EraseRootFromParent_Done,
     /*  545700 */   // Label 9010: @545700
     /*  545700 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(545775), // Rule ID 6414 //
     /*  545705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545751 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  545754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545773 */     GIR_RootConstrainSelectedInstOperands,
     /*  545774 */     // GIR_Coverage, 6414,
     /*  545774 */     GIR_EraseRootFromParent_Done,
     /*  545775 */   // Label 9011: @545775
     /*  545775 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(545850), // Rule ID 6415 //
     /*  545780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  545791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  545794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  545797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  545800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  545829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545848 */     GIR_RootConstrainSelectedInstOperands,
     /*  545849 */     // GIR_Coverage, 6415,
     /*  545849 */     GIR_EraseRootFromParent_Done,
     /*  545850 */   // Label 9012: @545850
     /*  545850 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(545925), // Rule ID 6418 //
     /*  545855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  545866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  545869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  545872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  545901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  545904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545923 */     GIR_RootConstrainSelectedInstOperands,
     /*  545924 */     // GIR_Coverage, 6418,
     /*  545924 */     GIR_EraseRootFromParent_Done,
     /*  545925 */   // Label 9013: @545925
     /*  545925 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(546000), // Rule ID 6419 //
     /*  545930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  545938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  545941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  545944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  545947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  545950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  545976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  545979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  545985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  545995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545998 */     GIR_RootConstrainSelectedInstOperands,
     /*  545999 */     // GIR_Coverage, 6419,
     /*  545999 */     GIR_EraseRootFromParent_Done,
     /*  546000 */   // Label 9014: @546000
     /*  546000 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(546075), // Rule ID 6422 //
     /*  546005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546073 */     GIR_RootConstrainSelectedInstOperands,
     /*  546074 */     // GIR_Coverage, 6422,
     /*  546074 */     GIR_EraseRootFromParent_Done,
     /*  546075 */   // Label 9015: @546075
     /*  546075 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(546150), // Rule ID 6423 //
     /*  546080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  546091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  546094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  546097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546126 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546148 */     GIR_RootConstrainSelectedInstOperands,
     /*  546149 */     // GIR_Coverage, 6423,
     /*  546149 */     GIR_EraseRootFromParent_Done,
     /*  546150 */   // Label 9016: @546150
     /*  546150 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(546225), // Rule ID 6426 //
     /*  546155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  546204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546223 */     GIR_RootConstrainSelectedInstOperands,
     /*  546224 */     // GIR_Coverage, 6426,
     /*  546224 */     GIR_EraseRootFromParent_Done,
     /*  546225 */   // Label 9017: @546225
     /*  546225 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(546300), // Rule ID 6427 //
     /*  546230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  546247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  546250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  546279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546298 */     GIR_RootConstrainSelectedInstOperands,
     /*  546299 */     // GIR_Coverage, 6427,
     /*  546299 */     GIR_EraseRootFromParent_Done,
     /*  546300 */   // Label 9018: @546300
     /*  546300 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(546375), // Rule ID 6430 //
     /*  546305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546373 */     GIR_RootConstrainSelectedInstOperands,
     /*  546374 */     // GIR_Coverage, 6430,
     /*  546374 */     GIR_EraseRootFromParent_Done,
     /*  546375 */   // Label 9019: @546375
     /*  546375 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(546450), // Rule ID 6431 //
     /*  546380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  546397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  546400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546448 */     GIR_RootConstrainSelectedInstOperands,
     /*  546449 */     // GIR_Coverage, 6431,
     /*  546449 */     GIR_EraseRootFromParent_Done,
     /*  546450 */   // Label 9020: @546450
     /*  546450 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(546525), // Rule ID 6434 //
     /*  546455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546523 */     GIR_RootConstrainSelectedInstOperands,
     /*  546524 */     // GIR_Coverage, 6434,
     /*  546524 */     GIR_EraseRootFromParent_Done,
     /*  546525 */   // Label 9021: @546525
     /*  546525 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(546600), // Rule ID 6435 //
     /*  546530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  546541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  546544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  546547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  546550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  546579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546598 */     GIR_RootConstrainSelectedInstOperands,
     /*  546599 */     // GIR_Coverage, 6435,
     /*  546599 */     GIR_EraseRootFromParent_Done,
     /*  546600 */   // Label 9022: @546600
     /*  546600 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(546675), // Rule ID 6438 //
     /*  546605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  546622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  546654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546673 */     GIR_RootConstrainSelectedInstOperands,
     /*  546674 */     // GIR_Coverage, 6438,
     /*  546674 */     GIR_EraseRootFromParent_Done,
     /*  546675 */   // Label 9023: @546675
     /*  546675 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(546750), // Rule ID 6439 //
     /*  546680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  546691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  546694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  546697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  546729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546748 */     GIR_RootConstrainSelectedInstOperands,
     /*  546749 */     // GIR_Coverage, 6439,
     /*  546749 */     GIR_EraseRootFromParent_Done,
     /*  546750 */   // Label 9024: @546750
     /*  546750 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(546825), // Rule ID 6442 //
     /*  546755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  546766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  546769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  546772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  546801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  546804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546823 */     GIR_RootConstrainSelectedInstOperands,
     /*  546824 */     // GIR_Coverage, 6442,
     /*  546824 */     GIR_EraseRootFromParent_Done,
     /*  546825 */   // Label 9025: @546825
     /*  546825 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(546900), // Rule ID 6443 //
     /*  546830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  546841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  546844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  546847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  546850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  546876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  546879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  546895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546898 */     GIR_RootConstrainSelectedInstOperands,
     /*  546899 */     // GIR_Coverage, 6443,
     /*  546899 */     GIR_EraseRootFromParent_Done,
     /*  546900 */   // Label 9026: @546900
     /*  546900 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(546975), // Rule ID 6446 //
     /*  546905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  546922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  546925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  546954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  546960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546973 */     GIR_RootConstrainSelectedInstOperands,
     /*  546974 */     // GIR_Coverage, 6446,
     /*  546974 */     GIR_EraseRootFromParent_Done,
     /*  546975 */   // Label 9027: @546975
     /*  546975 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(547050), // Rule ID 6447 //
     /*  546980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  546988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  546991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  546994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  546997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  547029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547048 */     GIR_RootConstrainSelectedInstOperands,
     /*  547049 */     // GIR_Coverage, 6447,
     /*  547049 */     GIR_EraseRootFromParent_Done,
     /*  547050 */   // Label 9028: @547050
     /*  547050 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(547125), // Rule ID 6450 //
     /*  547055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  547058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  547101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  547104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547123 */     GIR_RootConstrainSelectedInstOperands,
     /*  547124 */     // GIR_Coverage, 6450,
     /*  547124 */     GIR_EraseRootFromParent_Done,
     /*  547125 */   // Label 9029: @547125
     /*  547125 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(547200), // Rule ID 6451 //
     /*  547130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  547133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  547147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  547150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  547176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  547179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  547195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547198 */     GIR_RootConstrainSelectedInstOperands,
     /*  547199 */     // GIR_Coverage, 6451,
     /*  547199 */     GIR_EraseRootFromParent_Done,
     /*  547200 */   // Label 9030: @547200
     /*  547200 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(547275), // Rule ID 6454 //
     /*  547205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  547254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547273 */     GIR_RootConstrainSelectedInstOperands,
     /*  547274 */     // GIR_Coverage, 6454,
     /*  547274 */     GIR_EraseRootFromParent_Done,
     /*  547275 */   // Label 9031: @547275
     /*  547275 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(547350), // Rule ID 6455 //
     /*  547280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  547291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  547294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  547297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  547300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  547329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547348 */     GIR_RootConstrainSelectedInstOperands,
     /*  547349 */     // GIR_Coverage, 6455,
     /*  547349 */     GIR_EraseRootFromParent_Done,
     /*  547350 */   // Label 9032: @547350
     /*  547350 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(547425), // Rule ID 6458 //
     /*  547355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547401 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  547404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547423 */     GIR_RootConstrainSelectedInstOperands,
     /*  547424 */     // GIR_Coverage, 6458,
     /*  547424 */     GIR_EraseRootFromParent_Done,
     /*  547425 */   // Label 9033: @547425
     /*  547425 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(547500), // Rule ID 6459 //
     /*  547430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  547441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  547444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  547447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  547450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547476 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  547479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547498 */     GIR_RootConstrainSelectedInstOperands,
     /*  547499 */     // GIR_Coverage, 6459,
     /*  547499 */     GIR_EraseRootFromParent_Done,
     /*  547500 */   // Label 9034: @547500
     /*  547500 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(547575), // Rule ID 6462 //
     /*  547505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  547551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  547554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547573 */     GIR_RootConstrainSelectedInstOperands,
     /*  547574 */     // GIR_Coverage, 6462,
     /*  547574 */     GIR_EraseRootFromParent_Done,
     /*  547575 */   // Label 9035: @547575
     /*  547575 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(547650), // Rule ID 6463 //
     /*  547580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  547591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  547594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  547597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  547600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  547626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  547629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  547645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547648 */     GIR_RootConstrainSelectedInstOperands,
     /*  547649 */     // GIR_Coverage, 6463,
     /*  547649 */     GIR_EraseRootFromParent_Done,
     /*  547650 */   // Label 9036: @547650
     /*  547650 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(547725), // Rule ID 6466 //
     /*  547655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  547666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  547669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  547672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  547704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547723 */     GIR_RootConstrainSelectedInstOperands,
     /*  547724 */     // GIR_Coverage, 6466,
     /*  547724 */     GIR_EraseRootFromParent_Done,
     /*  547725 */   // Label 9037: @547725
     /*  547725 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(547800), // Rule ID 6467 //
     /*  547730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  547741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  547744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  547747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  547779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547798 */     GIR_RootConstrainSelectedInstOperands,
     /*  547799 */     // GIR_Coverage, 6467,
     /*  547799 */     GIR_EraseRootFromParent_Done,
     /*  547800 */   // Label 9038: @547800
     /*  547800 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(547875), // Rule ID 6470 //
     /*  547805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  547816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  547819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  547822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  547854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547873 */     GIR_RootConstrainSelectedInstOperands,
     /*  547874 */     // GIR_Coverage, 6470,
     /*  547874 */     GIR_EraseRootFromParent_Done,
     /*  547875 */   // Label 9039: @547875
     /*  547875 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(547950), // Rule ID 6471 //
     /*  547880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  547891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  547894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  547897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  547929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  547935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547948 */     GIR_RootConstrainSelectedInstOperands,
     /*  547949 */     // GIR_Coverage, 6471,
     /*  547949 */     GIR_EraseRootFromParent_Done,
     /*  547950 */   // Label 9040: @547950
     /*  547950 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(548025), // Rule ID 6474 //
     /*  547955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  547963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  547966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  547969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  547972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  547975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  548001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548023 */     GIR_RootConstrainSelectedInstOperands,
     /*  548024 */     // GIR_Coverage, 6474,
     /*  548024 */     GIR_EraseRootFromParent_Done,
     /*  548025 */   // Label 9041: @548025
     /*  548025 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(548100), // Rule ID 6475 //
     /*  548030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  548041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  548044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  548047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  548050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  548076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  548095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548098 */     GIR_RootConstrainSelectedInstOperands,
     /*  548099 */     // GIR_Coverage, 6475,
     /*  548099 */     GIR_EraseRootFromParent_Done,
     /*  548100 */   // Label 9042: @548100
     /*  548100 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(548175), // Rule ID 6478 //
     /*  548105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  548154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548173 */     GIR_RootConstrainSelectedInstOperands,
     /*  548174 */     // GIR_Coverage, 6478,
     /*  548174 */     GIR_EraseRootFromParent_Done,
     /*  548175 */   // Label 9043: @548175
     /*  548175 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(548250), // Rule ID 6479 //
     /*  548180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  548191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  548194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  548197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  548229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548248 */     GIR_RootConstrainSelectedInstOperands,
     /*  548249 */     // GIR_Coverage, 6479,
     /*  548249 */     GIR_EraseRootFromParent_Done,
     /*  548250 */   // Label 9044: @548250
     /*  548250 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(548325), // Rule ID 6482 //
     /*  548255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  548304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548323 */     GIR_RootConstrainSelectedInstOperands,
     /*  548324 */     // GIR_Coverage, 6482,
     /*  548324 */     GIR_EraseRootFromParent_Done,
     /*  548325 */   // Label 9045: @548325
     /*  548325 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(548400), // Rule ID 6483 //
     /*  548330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  548341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  548344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  548347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  548379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548398 */     GIR_RootConstrainSelectedInstOperands,
     /*  548399 */     // GIR_Coverage, 6483,
     /*  548399 */     GIR_EraseRootFromParent_Done,
     /*  548400 */   // Label 9046: @548400
     /*  548400 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(548475), // Rule ID 6486 //
     /*  548405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548473 */     GIR_RootConstrainSelectedInstOperands,
     /*  548474 */     // GIR_Coverage, 6486,
     /*  548474 */     GIR_EraseRootFromParent_Done,
     /*  548475 */   // Label 9047: @548475
     /*  548475 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(548550), // Rule ID 6487 //
     /*  548480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  548491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  548494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  548497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  548500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548548 */     GIR_RootConstrainSelectedInstOperands,
     /*  548549 */     // GIR_Coverage, 6487,
     /*  548549 */     GIR_EraseRootFromParent_Done,
     /*  548550 */   // Label 9048: @548550
     /*  548550 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(548625), // Rule ID 6490 //
     /*  548555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  548566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  548569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  548572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  548575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  548604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548623 */     GIR_RootConstrainSelectedInstOperands,
     /*  548624 */     // GIR_Coverage, 6490,
     /*  548624 */     GIR_EraseRootFromParent_Done,
     /*  548625 */   // Label 9049: @548625
     /*  548625 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(548700), // Rule ID 6491 //
     /*  548630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  548641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  548644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  548647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  548650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  548679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548698 */     GIR_RootConstrainSelectedInstOperands,
     /*  548699 */     // GIR_Coverage, 6491,
     /*  548699 */     GIR_EraseRootFromParent_Done,
     /*  548700 */   // Label 9050: @548700
     /*  548700 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(548775), // Rule ID 6494 //
     /*  548705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  548716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  548719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  548722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  548725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  548754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548773 */     GIR_RootConstrainSelectedInstOperands,
     /*  548774 */     // GIR_Coverage, 6494,
     /*  548774 */     GIR_EraseRootFromParent_Done,
     /*  548775 */   // Label 9051: @548775
     /*  548775 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(548850), // Rule ID 6495 //
     /*  548780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  548791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  548794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  548797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  548800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  548829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548848 */     GIR_RootConstrainSelectedInstOperands,
     /*  548849 */     // GIR_Coverage, 6495,
     /*  548849 */     GIR_EraseRootFromParent_Done,
     /*  548850 */   // Label 9052: @548850
     /*  548850 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(548925), // Rule ID 6498 //
     /*  548855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  548858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  548866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  548869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  548872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  548875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  548901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548923 */     GIR_RootConstrainSelectedInstOperands,
     /*  548924 */     // GIR_Coverage, 6498,
     /*  548924 */     GIR_EraseRootFromParent_Done,
     /*  548925 */   // Label 9053: @548925
     /*  548925 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(549000), // Rule ID 6499 //
     /*  548930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  548933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  548938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  548941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  548944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  548947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  548950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  548976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  548979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  548985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  548995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548998 */     GIR_RootConstrainSelectedInstOperands,
     /*  548999 */     // GIR_Coverage, 6499,
     /*  548999 */     GIR_EraseRootFromParent_Done,
     /*  549000 */   // Label 9054: @549000
     /*  549000 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(549075), // Rule ID 6502 //
     /*  549005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  549054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549073 */     GIR_RootConstrainSelectedInstOperands,
     /*  549074 */     // GIR_Coverage, 6502,
     /*  549074 */     GIR_EraseRootFromParent_Done,
     /*  549075 */   // Label 9055: @549075
     /*  549075 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(549150), // Rule ID 6503 //
     /*  549080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  549091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  549094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  549097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  549129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549148 */     GIR_RootConstrainSelectedInstOperands,
     /*  549149 */     // GIR_Coverage, 6503,
     /*  549149 */     GIR_EraseRootFromParent_Done,
     /*  549150 */   // Label 9056: @549150
     /*  549150 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(549225), // Rule ID 6506 //
     /*  549155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  549204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549223 */     GIR_RootConstrainSelectedInstOperands,
     /*  549224 */     // GIR_Coverage, 6506,
     /*  549224 */     GIR_EraseRootFromParent_Done,
     /*  549225 */   // Label 9057: @549225
     /*  549225 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(549300), // Rule ID 6507 //
     /*  549230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  549241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  549244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  549247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  549279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549298 */     GIR_RootConstrainSelectedInstOperands,
     /*  549299 */     // GIR_Coverage, 6507,
     /*  549299 */     GIR_EraseRootFromParent_Done,
     /*  549300 */   // Label 9058: @549300
     /*  549300 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(549375), // Rule ID 6510 //
     /*  549305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549373 */     GIR_RootConstrainSelectedInstOperands,
     /*  549374 */     // GIR_Coverage, 6510,
     /*  549374 */     GIR_EraseRootFromParent_Done,
     /*  549375 */   // Label 9059: @549375
     /*  549375 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(549450), // Rule ID 6511 //
     /*  549380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  549391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  549394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  549397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549448 */     GIR_RootConstrainSelectedInstOperands,
     /*  549449 */     // GIR_Coverage, 6511,
     /*  549449 */     GIR_EraseRootFromParent_Done,
     /*  549450 */   // Label 9060: @549450
     /*  549450 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(549525), // Rule ID 6514 //
     /*  549455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  549504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549523 */     GIR_RootConstrainSelectedInstOperands,
     /*  549524 */     // GIR_Coverage, 6514,
     /*  549524 */     GIR_EraseRootFromParent_Done,
     /*  549525 */   // Label 9061: @549525
     /*  549525 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(549600), // Rule ID 6515 //
     /*  549530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  549541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  549544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  549547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  549579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549598 */     GIR_RootConstrainSelectedInstOperands,
     /*  549599 */     // GIR_Coverage, 6515,
     /*  549599 */     GIR_EraseRootFromParent_Done,
     /*  549600 */   // Label 9062: @549600
     /*  549600 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(549675), // Rule ID 6518 //
     /*  549605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549673 */     GIR_RootConstrainSelectedInstOperands,
     /*  549674 */     // GIR_Coverage, 6518,
     /*  549674 */     GIR_EraseRootFromParent_Done,
     /*  549675 */   // Label 9063: @549675
     /*  549675 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(549750), // Rule ID 6519 //
     /*  549680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  549691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  549694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  549697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549748 */     GIR_RootConstrainSelectedInstOperands,
     /*  549749 */     // GIR_Coverage, 6519,
     /*  549749 */     GIR_EraseRootFromParent_Done,
     /*  549750 */   // Label 9064: @549750
     /*  549750 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(549825), // Rule ID 6522 //
     /*  549755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  549772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549823 */     GIR_RootConstrainSelectedInstOperands,
     /*  549824 */     // GIR_Coverage, 6522,
     /*  549824 */     GIR_EraseRootFromParent_Done,
     /*  549825 */   // Label 9065: @549825
     /*  549825 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(549900), // Rule ID 6523 //
     /*  549830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  549847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  549850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  549879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549898 */     GIR_RootConstrainSelectedInstOperands,
     /*  549899 */     // GIR_Coverage, 6523,
     /*  549899 */     GIR_EraseRootFromParent_Done,
     /*  549900 */   // Label 9066: @549900
     /*  549900 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(549975), // Rule ID 6526 //
     /*  549905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  549916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  549919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  549922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  549925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  549944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  549954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  549960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549973 */     GIR_RootConstrainSelectedInstOperands,
     /*  549974 */     // GIR_Coverage, 6526,
     /*  549974 */     GIR_EraseRootFromParent_Done,
     /*  549975 */   // Label 9067: @549975
     /*  549975 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(550050), // Rule ID 6527 //
     /*  549980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  549988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  549991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  549994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  549997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11187:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550048 */     GIR_RootConstrainSelectedInstOperands,
     /*  550049 */     // GIR_Coverage, 6527,
     /*  550049 */     GIR_EraseRootFromParent_Done,
     /*  550050 */   // Label 9068: @550050
     /*  550050 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(550125), // Rule ID 6530 //
     /*  550055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  550101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550123 */     GIR_RootConstrainSelectedInstOperands,
     /*  550124 */     // GIR_Coverage, 6530,
     /*  550124 */     GIR_EraseRootFromParent_Done,
     /*  550125 */   // Label 9069: @550125
     /*  550125 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(550200), // Rule ID 6531 //
     /*  550130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  550141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  550144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  550147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  550176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  550195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550198 */     GIR_RootConstrainSelectedInstOperands,
     /*  550199 */     // GIR_Coverage, 6531,
     /*  550199 */     GIR_EraseRootFromParent_Done,
     /*  550200 */   // Label 9070: @550200
     /*  550200 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(550275), // Rule ID 6534 //
     /*  550205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550273 */     GIR_RootConstrainSelectedInstOperands,
     /*  550274 */     // GIR_Coverage, 6534,
     /*  550274 */     GIR_EraseRootFromParent_Done,
     /*  550275 */   // Label 9071: @550275
     /*  550275 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(550350), // Rule ID 6535 //
     /*  550280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  550291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  550294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  550297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550348 */     GIR_RootConstrainSelectedInstOperands,
     /*  550349 */     // GIR_Coverage, 6535,
     /*  550349 */     GIR_EraseRootFromParent_Done,
     /*  550350 */   // Label 9072: @550350
     /*  550350 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(550425), // Rule ID 6538 //
     /*  550355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  550358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  550401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550423 */     GIR_RootConstrainSelectedInstOperands,
     /*  550424 */     // GIR_Coverage, 6538,
     /*  550424 */     GIR_EraseRootFromParent_Done,
     /*  550425 */   // Label 9073: @550425
     /*  550425 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(550500), // Rule ID 6539 //
     /*  550430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  550433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  550441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  550444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  550447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  550476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  550479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  550495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550498 */     GIR_RootConstrainSelectedInstOperands,
     /*  550499 */     // GIR_Coverage, 6539,
     /*  550499 */     GIR_EraseRootFromParent_Done,
     /*  550500 */   // Label 9074: @550500
     /*  550500 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(550575), // Rule ID 6542 //
     /*  550505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  550554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550573 */     GIR_RootConstrainSelectedInstOperands,
     /*  550574 */     // GIR_Coverage, 6542,
     /*  550574 */     GIR_EraseRootFromParent_Done,
     /*  550575 */   // Label 9075: @550575
     /*  550575 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(550650), // Rule ID 6543 //
     /*  550580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  550591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  550594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  550597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  550629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550648 */     GIR_RootConstrainSelectedInstOperands,
     /*  550649 */     // GIR_Coverage, 6543,
     /*  550649 */     GIR_EraseRootFromParent_Done,
     /*  550650 */   // Label 9076: @550650
     /*  550650 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(550725), // Rule ID 6546 //
     /*  550655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550701 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  550704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550723 */     GIR_RootConstrainSelectedInstOperands,
     /*  550724 */     // GIR_Coverage, 6546,
     /*  550724 */     GIR_EraseRootFromParent_Done,
     /*  550725 */   // Label 9077: @550725
     /*  550725 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(550800), // Rule ID 6547 //
     /*  550730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  550741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  550744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  550747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  550779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550798 */     GIR_RootConstrainSelectedInstOperands,
     /*  550799 */     // GIR_Coverage, 6547,
     /*  550799 */     GIR_EraseRootFromParent_Done,
     /*  550800 */   // Label 9078: @550800
     /*  550800 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(550875), // Rule ID 6550 //
     /*  550805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  550816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  550819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  550822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  550854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550873 */     GIR_RootConstrainSelectedInstOperands,
     /*  550874 */     // GIR_Coverage, 6550,
     /*  550874 */     GIR_EraseRootFromParent_Done,
     /*  550875 */   // Label 9079: @550875
     /*  550875 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(550950), // Rule ID 6551 //
     /*  550880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  550891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  550894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  550897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  550900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550926 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  550929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550948 */     GIR_RootConstrainSelectedInstOperands,
     /*  550949 */     // GIR_Coverage, 6551,
     /*  550949 */     GIR_EraseRootFromParent_Done,
     /*  550950 */   // Label 9080: @550950
     /*  550950 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(551025), // Rule ID 6554 //
     /*  550955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  550963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  550966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  550969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  550972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  550975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  550994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551023 */     GIR_RootConstrainSelectedInstOperands,
     /*  551024 */     // GIR_Coverage, 6554,
     /*  551024 */     GIR_EraseRootFromParent_Done,
     /*  551025 */   // Label 9081: @551025
     /*  551025 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(551100), // Rule ID 6555 //
     /*  551030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  551041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  551044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  551047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551098 */     GIR_RootConstrainSelectedInstOperands,
     /*  551099 */     // GIR_Coverage, 6555,
     /*  551099 */     GIR_EraseRootFromParent_Done,
     /*  551100 */   // Label 9082: @551100
     /*  551100 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(551175), // Rule ID 6558 //
     /*  551105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  551154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551173 */     GIR_RootConstrainSelectedInstOperands,
     /*  551174 */     // GIR_Coverage, 6558,
     /*  551174 */     GIR_EraseRootFromParent_Done,
     /*  551175 */   // Label 9083: @551175
     /*  551175 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(551250), // Rule ID 6559 //
     /*  551180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  551191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  551194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  551197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  551229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551248 */     GIR_RootConstrainSelectedInstOperands,
     /*  551249 */     // GIR_Coverage, 6559,
     /*  551249 */     GIR_EraseRootFromParent_Done,
     /*  551250 */   // Label 9084: @551250
     /*  551250 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(551325), // Rule ID 6562 //
     /*  551255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  551304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551323 */     GIR_RootConstrainSelectedInstOperands,
     /*  551324 */     // GIR_Coverage, 6562,
     /*  551324 */     GIR_EraseRootFromParent_Done,
     /*  551325 */   // Label 9085: @551325
     /*  551325 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(551400), // Rule ID 6563 //
     /*  551330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  551341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  551344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  551347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  551379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551398 */     GIR_RootConstrainSelectedInstOperands,
     /*  551399 */     // GIR_Coverage, 6563,
     /*  551399 */     GIR_EraseRootFromParent_Done,
     /*  551400 */   // Label 9086: @551400
     /*  551400 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(551475), // Rule ID 6566 //
     /*  551405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551473 */     GIR_RootConstrainSelectedInstOperands,
     /*  551474 */     // GIR_Coverage, 6566,
     /*  551474 */     GIR_EraseRootFromParent_Done,
     /*  551475 */   // Label 9087: @551475
     /*  551475 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(551550), // Rule ID 6567 //
     /*  551480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  551491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  551494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  551497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551548 */     GIR_RootConstrainSelectedInstOperands,
     /*  551549 */     // GIR_Coverage, 6567,
     /*  551549 */     GIR_EraseRootFromParent_Done,
     /*  551550 */   // Label 9088: @551550
     /*  551550 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(551625), // Rule ID 6570 //
     /*  551555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  551604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551623 */     GIR_RootConstrainSelectedInstOperands,
     /*  551624 */     // GIR_Coverage, 6570,
     /*  551624 */     GIR_EraseRootFromParent_Done,
     /*  551625 */   // Label 9089: @551625
     /*  551625 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(551700), // Rule ID 6571 //
     /*  551630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  551641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  551644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  551647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  551665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  551679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551698 */     GIR_RootConstrainSelectedInstOperands,
     /*  551699 */     // GIR_Coverage, 6571,
     /*  551699 */     GIR_EraseRootFromParent_Done,
     /*  551700 */   // Label 9090: @551700
     /*  551700 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(551775), // Rule ID 6574 //
     /*  551705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  551716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  551719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  551722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  551751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  551754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551773 */     GIR_RootConstrainSelectedInstOperands,
     /*  551774 */     // GIR_Coverage, 6574,
     /*  551774 */     GIR_EraseRootFromParent_Done,
     /*  551775 */   // Label 9091: @551775
     /*  551775 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(551850), // Rule ID 6575 //
     /*  551780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  551791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  551794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  551797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  551815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  551826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  551829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  551845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551848 */     GIR_RootConstrainSelectedInstOperands,
     /*  551849 */     // GIR_Coverage, 6575,
     /*  551849 */     GIR_EraseRootFromParent_Done,
     /*  551850 */   // Label 9092: @551850
     /*  551850 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(551925), // Rule ID 6578 //
     /*  551855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  551858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  551866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  551869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  551872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  551875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  551901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551923 */     GIR_RootConstrainSelectedInstOperands,
     /*  551924 */     // GIR_Coverage, 6578,
     /*  551924 */     GIR_EraseRootFromParent_Done,
     /*  551925 */   // Label 9093: @551925
     /*  551925 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(552000), // Rule ID 6579 //
     /*  551930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  551933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  551938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  551941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  551944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  551947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  551950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  551965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  551969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  551976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  551979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  551995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551998 */     GIR_RootConstrainSelectedInstOperands,
     /*  551999 */     // GIR_Coverage, 6579,
     /*  551999 */     GIR_EraseRootFromParent_Done,
     /*  552000 */   // Label 9094: @552000
     /*  552000 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(552075), // Rule ID 6582 //
     /*  552005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  552013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  552054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552073 */     GIR_RootConstrainSelectedInstOperands,
     /*  552074 */     // GIR_Coverage, 6582,
     /*  552074 */     GIR_EraseRootFromParent_Done,
     /*  552075 */   // Label 9095: @552075
     /*  552075 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(552150), // Rule ID 6583 //
     /*  552080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  552088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  552091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  552094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  552097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  552129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552148 */     GIR_RootConstrainSelectedInstOperands,
     /*  552149 */     // GIR_Coverage, 6583,
     /*  552149 */     GIR_EraseRootFromParent_Done,
     /*  552150 */   // Label 9096: @552150
     /*  552150 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(552225), // Rule ID 6586 //
     /*  552155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  552163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  552175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  552204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552223 */     GIR_RootConstrainSelectedInstOperands,
     /*  552224 */     // GIR_Coverage, 6586,
     /*  552224 */     GIR_EraseRootFromParent_Done,
     /*  552225 */   // Label 9097: @552225
     /*  552225 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(552300), // Rule ID 6587 //
     /*  552230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  552238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  552241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  552244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  552247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  552250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  552265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  552269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  552279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552298 */     GIR_RootConstrainSelectedInstOperands,
     /*  552299 */     // GIR_Coverage, 6587,
     /*  552299 */     GIR_EraseRootFromParent_Done,
     /*  552300 */   // Label 9098: @552300
     /*  552300 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(552375), // Rule ID 6678 //
     /*  552305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  552325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  552354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552373 */     GIR_RootConstrainSelectedInstOperands,
     /*  552374 */     // GIR_Coverage, 6678,
     /*  552374 */     GIR_EraseRootFromParent_Done,
     /*  552375 */   // Label 9099: @552375
     /*  552375 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(552450), // Rule ID 6679 //
     /*  552380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  552391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  552394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  552397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  552400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  552429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552448 */     GIR_RootConstrainSelectedInstOperands,
     /*  552449 */     // GIR_Coverage, 6679,
     /*  552449 */     GIR_EraseRootFromParent_Done,
     /*  552450 */   // Label 9100: @552450
     /*  552450 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(552525), // Rule ID 6682 //
     /*  552455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  552475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  552504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552523 */     GIR_RootConstrainSelectedInstOperands,
     /*  552524 */     // GIR_Coverage, 6682,
     /*  552524 */     GIR_EraseRootFromParent_Done,
     /*  552525 */   // Label 9101: @552525
     /*  552525 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(552600), // Rule ID 6683 //
     /*  552530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  552541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  552544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  552547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  552550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  552579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552598 */     GIR_RootConstrainSelectedInstOperands,
     /*  552599 */     // GIR_Coverage, 6683,
     /*  552599 */     GIR_EraseRootFromParent_Done,
     /*  552600 */   // Label 9102: @552600
     /*  552600 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(552675), // Rule ID 6686 //
     /*  552605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  552625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  552654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552673 */     GIR_RootConstrainSelectedInstOperands,
     /*  552674 */     // GIR_Coverage, 6686,
     /*  552674 */     GIR_EraseRootFromParent_Done,
     /*  552675 */   // Label 9103: @552675
     /*  552675 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(552750), // Rule ID 6687 //
     /*  552680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  552691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  552694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  552697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  552700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  552729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552748 */     GIR_RootConstrainSelectedInstOperands,
     /*  552749 */     // GIR_Coverage, 6687,
     /*  552749 */     GIR_EraseRootFromParent_Done,
     /*  552750 */   // Label 9104: @552750
     /*  552750 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(552825), // Rule ID 6690 //
     /*  552755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  552766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  552769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  552772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  552775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  552804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552823 */     GIR_RootConstrainSelectedInstOperands,
     /*  552824 */     // GIR_Coverage, 6690,
     /*  552824 */     GIR_EraseRootFromParent_Done,
     /*  552825 */   // Label 9105: @552825
     /*  552825 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(552900), // Rule ID 6691 //
     /*  552830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  552841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  552844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  552847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  552850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  552879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552898 */     GIR_RootConstrainSelectedInstOperands,
     /*  552899 */     // GIR_Coverage, 6691,
     /*  552899 */     GIR_EraseRootFromParent_Done,
     /*  552900 */   // Label 9106: @552900
     /*  552900 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(552975), // Rule ID 6694 //
     /*  552905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  552916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  552919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  552922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  552925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  552954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  552960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  552962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552973 */     GIR_RootConstrainSelectedInstOperands,
     /*  552974 */     // GIR_Coverage, 6694,
     /*  552974 */     GIR_EraseRootFromParent_Done,
     /*  552975 */   // Label 9107: @552975
     /*  552975 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(553050), // Rule ID 6695 //
     /*  552980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  552988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  552991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  552994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  552997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  553000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  553029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553048 */     GIR_RootConstrainSelectedInstOperands,
     /*  553049 */     // GIR_Coverage, 6695,
     /*  553049 */     GIR_EraseRootFromParent_Done,
     /*  553050 */   // Label 9108: @553050
     /*  553050 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(553125), // Rule ID 6698 //
     /*  553055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  553075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  553104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553123 */     GIR_RootConstrainSelectedInstOperands,
     /*  553124 */     // GIR_Coverage, 6698,
     /*  553124 */     GIR_EraseRootFromParent_Done,
     /*  553125 */   // Label 9109: @553125
     /*  553125 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(553200), // Rule ID 6699 //
     /*  553130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  553141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  553144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  553147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  553150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  553179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553198 */     GIR_RootConstrainSelectedInstOperands,
     /*  553199 */     // GIR_Coverage, 6699,
     /*  553199 */     GIR_EraseRootFromParent_Done,
     /*  553200 */   // Label 9110: @553200
     /*  553200 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(553275), // Rule ID 6702 //
     /*  553205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  553225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553273 */     GIR_RootConstrainSelectedInstOperands,
     /*  553274 */     // GIR_Coverage, 6702,
     /*  553274 */     GIR_EraseRootFromParent_Done,
     /*  553275 */   // Label 9111: @553275
     /*  553275 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(553350), // Rule ID 6703 //
     /*  553280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  553291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  553294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  553297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  553300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553348 */     GIR_RootConstrainSelectedInstOperands,
     /*  553349 */     // GIR_Coverage, 6703,
     /*  553349 */     GIR_EraseRootFromParent_Done,
     /*  553350 */   // Label 9112: @553350
     /*  553350 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(553425), // Rule ID 6706 //
     /*  553355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  553375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553423 */     GIR_RootConstrainSelectedInstOperands,
     /*  553424 */     // GIR_Coverage, 6706,
     /*  553424 */     GIR_EraseRootFromParent_Done,
     /*  553425 */   // Label 9113: @553425
     /*  553425 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(553500), // Rule ID 6707 //
     /*  553430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  553441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  553444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  553447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  553450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553498 */     GIR_RootConstrainSelectedInstOperands,
     /*  553499 */     // GIR_Coverage, 6707,
     /*  553499 */     GIR_EraseRootFromParent_Done,
     /*  553500 */   // Label 9114: @553500
     /*  553500 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(553575), // Rule ID 6710 //
     /*  553505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  553525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553573 */     GIR_RootConstrainSelectedInstOperands,
     /*  553574 */     // GIR_Coverage, 6710,
     /*  553574 */     GIR_EraseRootFromParent_Done,
     /*  553575 */   // Label 9115: @553575
     /*  553575 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(553650), // Rule ID 6711 //
     /*  553580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  553591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  553594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  553597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  553600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553648 */     GIR_RootConstrainSelectedInstOperands,
     /*  553649 */     // GIR_Coverage, 6711,
     /*  553649 */     GIR_EraseRootFromParent_Done,
     /*  553650 */   // Label 9116: @553650
     /*  553650 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(553725), // Rule ID 6714 //
     /*  553655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  553658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  553675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  553701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553723 */     GIR_RootConstrainSelectedInstOperands,
     /*  553724 */     // GIR_Coverage, 6714,
     /*  553724 */     GIR_EraseRootFromParent_Done,
     /*  553725 */   // Label 9117: @553725
     /*  553725 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(553800), // Rule ID 6715 //
     /*  553730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  553733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  553741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  553744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  553747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  553750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  553769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  553776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  553779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  553795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553798 */     GIR_RootConstrainSelectedInstOperands,
     /*  553799 */     // GIR_Coverage, 6715,
     /*  553799 */     GIR_EraseRootFromParent_Done,
     /*  553800 */   // Label 9118: @553800
     /*  553800 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(553875), // Rule ID 6718 //
     /*  553805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  553816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  553819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  553822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  553825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  553854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553873 */     GIR_RootConstrainSelectedInstOperands,
     /*  553874 */     // GIR_Coverage, 6718,
     /*  553874 */     GIR_EraseRootFromParent_Done,
     /*  553875 */   // Label 9119: @553875
     /*  553875 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(553950), // Rule ID 6719 //
     /*  553880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  553891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  553894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  553897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  553900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  553929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  553935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  553937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553948 */     GIR_RootConstrainSelectedInstOperands,
     /*  553949 */     // GIR_Coverage, 6719,
     /*  553949 */     GIR_EraseRootFromParent_Done,
     /*  553950 */   // Label 9120: @553950
     /*  553950 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(554025), // Rule ID 6722 //
     /*  553955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  553963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  553966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  553969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  553972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  553975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554023 */     GIR_RootConstrainSelectedInstOperands,
     /*  554024 */     // GIR_Coverage, 6722,
     /*  554024 */     GIR_EraseRootFromParent_Done,
     /*  554025 */   // Label 9121: @554025
     /*  554025 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(554100), // Rule ID 6723 //
     /*  554030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  554041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  554044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  554047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  554050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554098 */     GIR_RootConstrainSelectedInstOperands,
     /*  554099 */     // GIR_Coverage, 6723,
     /*  554099 */     GIR_EraseRootFromParent_Done,
     /*  554100 */   // Label 9122: @554100
     /*  554100 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(554175), // Rule ID 6726 //
     /*  554105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  554125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554151 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  554154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554173 */     GIR_RootConstrainSelectedInstOperands,
     /*  554174 */     // GIR_Coverage, 6726,
     /*  554174 */     GIR_EraseRootFromParent_Done,
     /*  554175 */   // Label 9123: @554175
     /*  554175 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(554250), // Rule ID 6727 //
     /*  554180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  554191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  554194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  554197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  554200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  554229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554248 */     GIR_RootConstrainSelectedInstOperands,
     /*  554249 */     // GIR_Coverage, 6727,
     /*  554249 */     GIR_EraseRootFromParent_Done,
     /*  554250 */   // Label 9124: @554250
     /*  554250 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(554325), // Rule ID 6730 //
     /*  554255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  554275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  554304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554323 */     GIR_RootConstrainSelectedInstOperands,
     /*  554324 */     // GIR_Coverage, 6730,
     /*  554324 */     GIR_EraseRootFromParent_Done,
     /*  554325 */   // Label 9125: @554325
     /*  554325 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(554400), // Rule ID 6731 //
     /*  554330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  554341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  554344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  554347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  554350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  554379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554398 */     GIR_RootConstrainSelectedInstOperands,
     /*  554399 */     // GIR_Coverage, 6731,
     /*  554399 */     GIR_EraseRootFromParent_Done,
     /*  554400 */   // Label 9126: @554400
     /*  554400 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(554475), // Rule ID 6734 //
     /*  554405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  554425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554473 */     GIR_RootConstrainSelectedInstOperands,
     /*  554474 */     // GIR_Coverage, 6734,
     /*  554474 */     GIR_EraseRootFromParent_Done,
     /*  554475 */   // Label 9127: @554475
     /*  554475 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(554550), // Rule ID 6735 //
     /*  554480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  554491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  554494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  554497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  554500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554548 */     GIR_RootConstrainSelectedInstOperands,
     /*  554549 */     // GIR_Coverage, 6735,
     /*  554549 */     GIR_EraseRootFromParent_Done,
     /*  554550 */   // Label 9128: @554550
     /*  554550 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(554625), // Rule ID 6738 //
     /*  554555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  554575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  554604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554623 */     GIR_RootConstrainSelectedInstOperands,
     /*  554624 */     // GIR_Coverage, 6738,
     /*  554624 */     GIR_EraseRootFromParent_Done,
     /*  554625 */   // Label 9129: @554625
     /*  554625 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(554700), // Rule ID 6739 //
     /*  554630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  554641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  554644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  554647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  554650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  554676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  554679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554698 */     GIR_RootConstrainSelectedInstOperands,
     /*  554699 */     // GIR_Coverage, 6739,
     /*  554699 */     GIR_EraseRootFromParent_Done,
     /*  554700 */   // Label 9130: @554700
     /*  554700 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(554775), // Rule ID 6742 //
     /*  554705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  554716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  554719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  554722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  554725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  554754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554773 */     GIR_RootConstrainSelectedInstOperands,
     /*  554774 */     // GIR_Coverage, 6742,
     /*  554774 */     GIR_EraseRootFromParent_Done,
     /*  554775 */   // Label 9131: @554775
     /*  554775 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(554850), // Rule ID 6743 //
     /*  554780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  554791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  554794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  554797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  554800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  554829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554848 */     GIR_RootConstrainSelectedInstOperands,
     /*  554849 */     // GIR_Coverage, 6743,
     /*  554849 */     GIR_EraseRootFromParent_Done,
     /*  554850 */   // Label 9132: @554850
     /*  554850 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(554925), // Rule ID 6746 //
     /*  554855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  554866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  554869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  554872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  554875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554923 */     GIR_RootConstrainSelectedInstOperands,
     /*  554924 */     // GIR_Coverage, 6746,
     /*  554924 */     GIR_EraseRootFromParent_Done,
     /*  554925 */   // Label 9133: @554925
     /*  554925 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(555000), // Rule ID 6747 //
     /*  554930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  554938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  554941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  554944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  554947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  554950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  554979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554998 */     GIR_RootConstrainSelectedInstOperands,
     /*  554999 */     // GIR_Coverage, 6747,
     /*  554999 */     GIR_EraseRootFromParent_Done,
     /*  555000 */   // Label 9134: @555000
     /*  555000 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(555075), // Rule ID 6750 //
     /*  555005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  555025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  555054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555073 */     GIR_RootConstrainSelectedInstOperands,
     /*  555074 */     // GIR_Coverage, 6750,
     /*  555074 */     GIR_EraseRootFromParent_Done,
     /*  555075 */   // Label 9135: @555075
     /*  555075 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(555150), // Rule ID 6751 //
     /*  555080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  555091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  555094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  555097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  555100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  555129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555148 */     GIR_RootConstrainSelectedInstOperands,
     /*  555149 */     // GIR_Coverage, 6751,
     /*  555149 */     GIR_EraseRootFromParent_Done,
     /*  555150 */   // Label 9136: @555150
     /*  555150 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(555225), // Rule ID 6754 //
     /*  555155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  555175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  555204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555223 */     GIR_RootConstrainSelectedInstOperands,
     /*  555224 */     // GIR_Coverage, 6754,
     /*  555224 */     GIR_EraseRootFromParent_Done,
     /*  555225 */   // Label 9137: @555225
     /*  555225 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(555300), // Rule ID 6755 //
     /*  555230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  555241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  555244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  555247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  555250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  555279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555298 */     GIR_RootConstrainSelectedInstOperands,
     /*  555299 */     // GIR_Coverage, 6755,
     /*  555299 */     GIR_EraseRootFromParent_Done,
     /*  555300 */   // Label 9138: @555300
     /*  555300 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(555375), // Rule ID 6758 //
     /*  555305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  555325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  555354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555373 */     GIR_RootConstrainSelectedInstOperands,
     /*  555374 */     // GIR_Coverage, 6758,
     /*  555374 */     GIR_EraseRootFromParent_Done,
     /*  555375 */   // Label 9139: @555375
     /*  555375 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(555450), // Rule ID 6759 //
     /*  555380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  555391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  555394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  555397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  555400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  555419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  555429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555448 */     GIR_RootConstrainSelectedInstOperands,
     /*  555449 */     // GIR_Coverage, 6759,
     /*  555449 */     GIR_EraseRootFromParent_Done,
     /*  555450 */   // Label 9140: @555450
     /*  555450 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(555525), // Rule ID 6762 //
     /*  555455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  555475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  555504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555523 */     GIR_RootConstrainSelectedInstOperands,
     /*  555524 */     // GIR_Coverage, 6762,
     /*  555524 */     GIR_EraseRootFromParent_Done,
     /*  555525 */   // Label 9141: @555525
     /*  555525 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(555600), // Rule ID 6763 //
     /*  555530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  555541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  555544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  555547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  555550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  555569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  555579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555598 */     GIR_RootConstrainSelectedInstOperands,
     /*  555599 */     // GIR_Coverage, 6763,
     /*  555599 */     GIR_EraseRootFromParent_Done,
     /*  555600 */   // Label 9142: @555600
     /*  555600 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(555675), // Rule ID 6766 //
     /*  555605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  555654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555673 */     GIR_RootConstrainSelectedInstOperands,
     /*  555674 */     // GIR_Coverage, 6766,
     /*  555674 */     GIR_EraseRootFromParent_Done,
     /*  555675 */   // Label 9143: @555675
     /*  555675 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(555750), // Rule ID 6767 //
     /*  555680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  555691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  555694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  555697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  555729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555748 */     GIR_RootConstrainSelectedInstOperands,
     /*  555749 */     // GIR_Coverage, 6767,
     /*  555749 */     GIR_EraseRootFromParent_Done,
     /*  555750 */   // Label 9144: @555750
     /*  555750 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(555825), // Rule ID 6770 //
     /*  555755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  555766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  555769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  555772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  555804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555823 */     GIR_RootConstrainSelectedInstOperands,
     /*  555824 */     // GIR_Coverage, 6770,
     /*  555824 */     GIR_EraseRootFromParent_Done,
     /*  555825 */   // Label 9145: @555825
     /*  555825 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(555900), // Rule ID 6771 //
     /*  555830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  555841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  555844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  555847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  555850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  555879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555898 */     GIR_RootConstrainSelectedInstOperands,
     /*  555899 */     // GIR_Coverage, 6771,
     /*  555899 */     GIR_EraseRootFromParent_Done,
     /*  555900 */   // Label 9146: @555900
     /*  555900 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(555975), // Rule ID 6774 //
     /*  555905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  555916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  555919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  555922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  555925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  555944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  555954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555973 */     GIR_RootConstrainSelectedInstOperands,
     /*  555974 */     // GIR_Coverage, 6774,
     /*  555974 */     GIR_EraseRootFromParent_Done,
     /*  555975 */   // Label 9147: @555975
     /*  555975 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(556050), // Rule ID 6775 //
     /*  555980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  555988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  555991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  555994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  555997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  556029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556048 */     GIR_RootConstrainSelectedInstOperands,
     /*  556049 */     // GIR_Coverage, 6775,
     /*  556049 */     GIR_EraseRootFromParent_Done,
     /*  556050 */   // Label 9148: @556050
     /*  556050 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(556125), // Rule ID 6778 //
     /*  556055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  556104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556123 */     GIR_RootConstrainSelectedInstOperands,
     /*  556124 */     // GIR_Coverage, 6778,
     /*  556124 */     GIR_EraseRootFromParent_Done,
     /*  556125 */   // Label 9149: @556125
     /*  556125 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(556200), // Rule ID 6779 //
     /*  556130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  556141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  556144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  556147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  556179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556198 */     GIR_RootConstrainSelectedInstOperands,
     /*  556199 */     // GIR_Coverage, 6779,
     /*  556199 */     GIR_EraseRootFromParent_Done,
     /*  556200 */   // Label 9150: @556200
     /*  556200 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(556275), // Rule ID 6782 //
     /*  556205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  556254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556273 */     GIR_RootConstrainSelectedInstOperands,
     /*  556274 */     // GIR_Coverage, 6782,
     /*  556274 */     GIR_EraseRootFromParent_Done,
     /*  556275 */   // Label 9151: @556275
     /*  556275 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(556350), // Rule ID 6783 //
     /*  556280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  556291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  556294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  556297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  556329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556348 */     GIR_RootConstrainSelectedInstOperands,
     /*  556349 */     // GIR_Coverage, 6783,
     /*  556349 */     GIR_EraseRootFromParent_Done,
     /*  556350 */   // Label 9152: @556350
     /*  556350 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(556425), // Rule ID 6786 //
     /*  556355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  556404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556423 */     GIR_RootConstrainSelectedInstOperands,
     /*  556424 */     // GIR_Coverage, 6786,
     /*  556424 */     GIR_EraseRootFromParent_Done,
     /*  556425 */   // Label 9153: @556425
     /*  556425 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(556500), // Rule ID 6787 //
     /*  556430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  556441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  556444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  556447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  556479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556498 */     GIR_RootConstrainSelectedInstOperands,
     /*  556499 */     // GIR_Coverage, 6787,
     /*  556499 */     GIR_EraseRootFromParent_Done,
     /*  556500 */   // Label 9154: @556500
     /*  556500 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(556575), // Rule ID 6790 //
     /*  556505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556573 */     GIR_RootConstrainSelectedInstOperands,
     /*  556574 */     // GIR_Coverage, 6790,
     /*  556574 */     GIR_EraseRootFromParent_Done,
     /*  556575 */   // Label 9155: @556575
     /*  556575 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(556650), // Rule ID 6791 //
     /*  556580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  556591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  556594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  556597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11215:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556648 */     GIR_RootConstrainSelectedInstOperands,
     /*  556649 */     // GIR_Coverage, 6791,
     /*  556649 */     GIR_EraseRootFromParent_Done,
     /*  556650 */   // Label 9156: @556650
     /*  556650 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(556725), // Rule ID 6794 //
     /*  556655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556723 */     GIR_RootConstrainSelectedInstOperands,
     /*  556724 */     // GIR_Coverage, 6794,
     /*  556724 */     GIR_EraseRootFromParent_Done,
     /*  556725 */   // Label 9157: @556725
     /*  556725 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(556800), // Rule ID 6795 //
     /*  556730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  556741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  556744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  556747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556798 */     GIR_RootConstrainSelectedInstOperands,
     /*  556799 */     // GIR_Coverage, 6795,
     /*  556799 */     GIR_EraseRootFromParent_Done,
     /*  556800 */   // Label 9158: @556800
     /*  556800 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(556875), // Rule ID 6798 //
     /*  556805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  556816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  556819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  556822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556873 */     GIR_RootConstrainSelectedInstOperands,
     /*  556874 */     // GIR_Coverage, 6798,
     /*  556874 */     GIR_EraseRootFromParent_Done,
     /*  556875 */   // Label 9159: @556875
     /*  556875 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(556950), // Rule ID 6799 //
     /*  556880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  556891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  556894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  556897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  556900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  556929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556948 */     GIR_RootConstrainSelectedInstOperands,
     /*  556949 */     // GIR_Coverage, 6799,
     /*  556949 */     GIR_EraseRootFromParent_Done,
     /*  556950 */   // Label 9160: @556950
     /*  556950 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(557025), // Rule ID 6802 //
     /*  556955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  556958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  556963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  556966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  556969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  556972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  556975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  556990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  556994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  557004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557023 */     GIR_RootConstrainSelectedInstOperands,
     /*  557024 */     // GIR_Coverage, 6802,
     /*  557024 */     GIR_EraseRootFromParent_Done,
     /*  557025 */   // Label 9161: @557025
     /*  557025 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(557100), // Rule ID 6803 //
     /*  557030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  557041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  557044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  557047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  557079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557098 */     GIR_RootConstrainSelectedInstOperands,
     /*  557099 */     // GIR_Coverage, 6803,
     /*  557099 */     GIR_EraseRootFromParent_Done,
     /*  557100 */   // Label 9162: @557100
     /*  557100 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(557175), // Rule ID 6806 //
     /*  557105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557151 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  557154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557173 */     GIR_RootConstrainSelectedInstOperands,
     /*  557174 */     // GIR_Coverage, 6806,
     /*  557174 */     GIR_EraseRootFromParent_Done,
     /*  557175 */   // Label 9163: @557175
     /*  557175 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(557250), // Rule ID 6807 //
     /*  557180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  557191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  557194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  557197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  557229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557248 */     GIR_RootConstrainSelectedInstOperands,
     /*  557249 */     // GIR_Coverage, 6807,
     /*  557249 */     GIR_EraseRootFromParent_Done,
     /*  557250 */   // Label 9164: @557250
     /*  557250 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(557325), // Rule ID 6810 //
     /*  557255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  557304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557323 */     GIR_RootConstrainSelectedInstOperands,
     /*  557324 */     // GIR_Coverage, 6810,
     /*  557324 */     GIR_EraseRootFromParent_Done,
     /*  557325 */   // Label 9165: @557325
     /*  557325 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(557400), // Rule ID 6811 //
     /*  557330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  557341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  557344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  557347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  557379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557398 */     GIR_RootConstrainSelectedInstOperands,
     /*  557399 */     // GIR_Coverage, 6811,
     /*  557399 */     GIR_EraseRootFromParent_Done,
     /*  557400 */   // Label 9166: @557400
     /*  557400 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(557475), // Rule ID 6814 //
     /*  557405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557451 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  557454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557473 */     GIR_RootConstrainSelectedInstOperands,
     /*  557474 */     // GIR_Coverage, 6814,
     /*  557474 */     GIR_EraseRootFromParent_Done,
     /*  557475 */   // Label 9167: @557475
     /*  557475 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(557550), // Rule ID 6815 //
     /*  557480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  557491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  557494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  557497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557526 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  557529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557548 */     GIR_RootConstrainSelectedInstOperands,
     /*  557549 */     // GIR_Coverage, 6815,
     /*  557549 */     GIR_EraseRootFromParent_Done,
     /*  557550 */   // Label 9168: @557550
     /*  557550 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(557625), // Rule ID 6818 //
     /*  557555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  557604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557623 */     GIR_RootConstrainSelectedInstOperands,
     /*  557624 */     // GIR_Coverage, 6818,
     /*  557624 */     GIR_EraseRootFromParent_Done,
     /*  557625 */   // Label 9169: @557625
     /*  557625 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(557700), // Rule ID 6819 //
     /*  557630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  557641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  557644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  557647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557676 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  557679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557698 */     GIR_RootConstrainSelectedInstOperands,
     /*  557699 */     // GIR_Coverage, 6819,
     /*  557699 */     GIR_EraseRootFromParent_Done,
     /*  557700 */   // Label 9170: @557700
     /*  557700 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(557775), // Rule ID 6822 //
     /*  557705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  557716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  557719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  557722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  557754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557773 */     GIR_RootConstrainSelectedInstOperands,
     /*  557774 */     // GIR_Coverage, 6822,
     /*  557774 */     GIR_EraseRootFromParent_Done,
     /*  557775 */   // Label 9171: @557775
     /*  557775 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(557850), // Rule ID 6823 //
     /*  557780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  557791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  557794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  557797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  557829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557848 */     GIR_RootConstrainSelectedInstOperands,
     /*  557849 */     // GIR_Coverage, 6823,
     /*  557849 */     GIR_EraseRootFromParent_Done,
     /*  557850 */   // Label 9172: @557850
     /*  557850 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(557925), // Rule ID 6826 //
     /*  557855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  557866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  557869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  557872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  557901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  557904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557923 */     GIR_RootConstrainSelectedInstOperands,
     /*  557924 */     // GIR_Coverage, 6826,
     /*  557924 */     GIR_EraseRootFromParent_Done,
     /*  557925 */   // Label 9173: @557925
     /*  557925 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(558000), // Rule ID 6827 //
     /*  557930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  557938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  557941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  557944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  557947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  557976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  557979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  557995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557998 */     GIR_RootConstrainSelectedInstOperands,
     /*  557999 */     // GIR_Coverage, 6827,
     /*  557999 */     GIR_EraseRootFromParent_Done,
     /*  558000 */   // Label 9174: @558000
     /*  558000 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(558075), // Rule ID 6830 //
     /*  558005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  558054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558073 */     GIR_RootConstrainSelectedInstOperands,
     /*  558074 */     // GIR_Coverage, 6830,
     /*  558074 */     GIR_EraseRootFromParent_Done,
     /*  558075 */   // Label 9175: @558075
     /*  558075 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(558150), // Rule ID 6831 //
     /*  558080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  558091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  558094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  558097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  558129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558148 */     GIR_RootConstrainSelectedInstOperands,
     /*  558149 */     // GIR_Coverage, 6831,
     /*  558149 */     GIR_EraseRootFromParent_Done,
     /*  558150 */   // Label 9176: @558150
     /*  558150 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(558225), // Rule ID 6834 //
     /*  558155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  558204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558223 */     GIR_RootConstrainSelectedInstOperands,
     /*  558224 */     // GIR_Coverage, 6834,
     /*  558224 */     GIR_EraseRootFromParent_Done,
     /*  558225 */   // Label 9177: @558225
     /*  558225 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(558300), // Rule ID 6835 //
     /*  558230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  558241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  558244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  558247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  558279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558298 */     GIR_RootConstrainSelectedInstOperands,
     /*  558299 */     // GIR_Coverage, 6835,
     /*  558299 */     GIR_EraseRootFromParent_Done,
     /*  558300 */   // Label 9178: @558300
     /*  558300 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(558375), // Rule ID 6838 //
     /*  558305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  558354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558373 */     GIR_RootConstrainSelectedInstOperands,
     /*  558374 */     // GIR_Coverage, 6838,
     /*  558374 */     GIR_EraseRootFromParent_Done,
     /*  558375 */   // Label 9179: @558375
     /*  558375 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(558450), // Rule ID 6839 //
     /*  558380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  558391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  558394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  558397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  558429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558448 */     GIR_RootConstrainSelectedInstOperands,
     /*  558449 */     // GIR_Coverage, 6839,
     /*  558449 */     GIR_EraseRootFromParent_Done,
     /*  558450 */   // Label 9180: @558450
     /*  558450 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(558525), // Rule ID 6842 //
     /*  558455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  558504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558523 */     GIR_RootConstrainSelectedInstOperands,
     /*  558524 */     // GIR_Coverage, 6842,
     /*  558524 */     GIR_EraseRootFromParent_Done,
     /*  558525 */   // Label 9181: @558525
     /*  558525 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(558600), // Rule ID 6843 //
     /*  558530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  558541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  558544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  558547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  558565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  558579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558598 */     GIR_RootConstrainSelectedInstOperands,
     /*  558599 */     // GIR_Coverage, 6843,
     /*  558599 */     GIR_EraseRootFromParent_Done,
     /*  558600 */   // Label 9182: @558600
     /*  558600 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(558675), // Rule ID 6846 //
     /*  558605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  558654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558673 */     GIR_RootConstrainSelectedInstOperands,
     /*  558674 */     // GIR_Coverage, 6846,
     /*  558674 */     GIR_EraseRootFromParent_Done,
     /*  558675 */   // Label 9183: @558675
     /*  558675 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(558750), // Rule ID 6847 //
     /*  558680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  558691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  558694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  558697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  558715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  558729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558748 */     GIR_RootConstrainSelectedInstOperands,
     /*  558749 */     // GIR_Coverage, 6847,
     /*  558749 */     GIR_EraseRootFromParent_Done,
     /*  558750 */   // Label 9184: @558750
     /*  558750 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(558825), // Rule ID 6850 //
     /*  558755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  558758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  558766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  558769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  558772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  558801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  558804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558823 */     GIR_RootConstrainSelectedInstOperands,
     /*  558824 */     // GIR_Coverage, 6850,
     /*  558824 */     GIR_EraseRootFromParent_Done,
     /*  558825 */   // Label 9185: @558825
     /*  558825 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(558900), // Rule ID 6851 //
     /*  558830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  558833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  558838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  558841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  558844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  558847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  558865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  558876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  558879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  558895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558898 */     GIR_RootConstrainSelectedInstOperands,
     /*  558899 */     // GIR_Coverage, 6851,
     /*  558899 */     GIR_EraseRootFromParent_Done,
     /*  558900 */   // Label 9186: @558900
     /*  558900 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(558975), // Rule ID 6942 //
     /*  558905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  558916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  558919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  558922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  558925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  558954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558973 */     GIR_RootConstrainSelectedInstOperands,
     /*  558974 */     // GIR_Coverage, 6942,
     /*  558974 */     GIR_EraseRootFromParent_Done,
     /*  558975 */   // Label 9187: @558975
     /*  558975 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(559050), // Rule ID 6943 //
     /*  558980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  558988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  558991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  558994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  558997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  559000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  559029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559048 */     GIR_RootConstrainSelectedInstOperands,
     /*  559049 */     // GIR_Coverage, 6943,
     /*  559049 */     GIR_EraseRootFromParent_Done,
     /*  559050 */   // Label 9188: @559050
     /*  559050 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(559125), // Rule ID 6946 //
     /*  559055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  559075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  559104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559123 */     GIR_RootConstrainSelectedInstOperands,
     /*  559124 */     // GIR_Coverage, 6946,
     /*  559124 */     GIR_EraseRootFromParent_Done,
     /*  559125 */   // Label 9189: @559125
     /*  559125 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(559200), // Rule ID 6947 //
     /*  559130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  559141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  559144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  559147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  559150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  559179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559198 */     GIR_RootConstrainSelectedInstOperands,
     /*  559199 */     // GIR_Coverage, 6947,
     /*  559199 */     GIR_EraseRootFromParent_Done,
     /*  559200 */   // Label 9190: @559200
     /*  559200 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(559275), // Rule ID 6950 //
     /*  559205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  559225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559273 */     GIR_RootConstrainSelectedInstOperands,
     /*  559274 */     // GIR_Coverage, 6950,
     /*  559274 */     GIR_EraseRootFromParent_Done,
     /*  559275 */   // Label 9191: @559275
     /*  559275 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(559350), // Rule ID 6951 //
     /*  559280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  559291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  559294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  559297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  559300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559348 */     GIR_RootConstrainSelectedInstOperands,
     /*  559349 */     // GIR_Coverage, 6951,
     /*  559349 */     GIR_EraseRootFromParent_Done,
     /*  559350 */   // Label 9192: @559350
     /*  559350 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(559425), // Rule ID 6954 //
     /*  559355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  559375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559401 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  559404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559423 */     GIR_RootConstrainSelectedInstOperands,
     /*  559424 */     // GIR_Coverage, 6954,
     /*  559424 */     GIR_EraseRootFromParent_Done,
     /*  559425 */   // Label 9193: @559425
     /*  559425 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(559500), // Rule ID 6955 //
     /*  559430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  559441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  559444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  559447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  559450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  559479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559498 */     GIR_RootConstrainSelectedInstOperands,
     /*  559499 */     // GIR_Coverage, 6955,
     /*  559499 */     GIR_EraseRootFromParent_Done,
     /*  559500 */   // Label 9194: @559500
     /*  559500 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(559575), // Rule ID 6958 //
     /*  559505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  559525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559573 */     GIR_RootConstrainSelectedInstOperands,
     /*  559574 */     // GIR_Coverage, 6958,
     /*  559574 */     GIR_EraseRootFromParent_Done,
     /*  559575 */   // Label 9195: @559575
     /*  559575 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(559650), // Rule ID 6959 //
     /*  559580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  559591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  559594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  559597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  559600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559648 */     GIR_RootConstrainSelectedInstOperands,
     /*  559649 */     // GIR_Coverage, 6959,
     /*  559649 */     GIR_EraseRootFromParent_Done,
     /*  559650 */   // Label 9196: @559650
     /*  559650 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(559725), // Rule ID 6962 //
     /*  559655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  559675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  559701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559723 */     GIR_RootConstrainSelectedInstOperands,
     /*  559724 */     // GIR_Coverage, 6962,
     /*  559724 */     GIR_EraseRootFromParent_Done,
     /*  559725 */   // Label 9197: @559725
     /*  559725 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(559800), // Rule ID 6963 //
     /*  559730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  559741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  559744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  559747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  559750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  559779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559798 */     GIR_RootConstrainSelectedInstOperands,
     /*  559799 */     // GIR_Coverage, 6963,
     /*  559799 */     GIR_EraseRootFromParent_Done,
     /*  559800 */   // Label 9198: @559800
     /*  559800 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(559875), // Rule ID 6966 //
     /*  559805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  559816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  559819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  559822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  559825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  559854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559873 */     GIR_RootConstrainSelectedInstOperands,
     /*  559874 */     // GIR_Coverage, 6966,
     /*  559874 */     GIR_EraseRootFromParent_Done,
     /*  559875 */   // Label 9199: @559875
     /*  559875 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(559950), // Rule ID 6967 //
     /*  559880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  559891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  559894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  559897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  559900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559926 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  559929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559948 */     GIR_RootConstrainSelectedInstOperands,
     /*  559949 */     // GIR_Coverage, 6967,
     /*  559949 */     GIR_EraseRootFromParent_Done,
     /*  559950 */   // Label 9200: @559950
     /*  559950 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(560025), // Rule ID 6970 //
     /*  559955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  559963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  559966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  559969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  559972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  559975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560023 */     GIR_RootConstrainSelectedInstOperands,
     /*  560024 */     // GIR_Coverage, 6970,
     /*  560024 */     GIR_EraseRootFromParent_Done,
     /*  560025 */   // Label 9201: @560025
     /*  560025 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(560100), // Rule ID 6971 //
     /*  560030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  560041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  560044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  560047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  560050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560098 */     GIR_RootConstrainSelectedInstOperands,
     /*  560099 */     // GIR_Coverage, 6971,
     /*  560099 */     GIR_EraseRootFromParent_Done,
     /*  560100 */   // Label 9202: @560100
     /*  560100 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(560175), // Rule ID 6974 //
     /*  560105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  560125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560173 */     GIR_RootConstrainSelectedInstOperands,
     /*  560174 */     // GIR_Coverage, 6974,
     /*  560174 */     GIR_EraseRootFromParent_Done,
     /*  560175 */   // Label 9203: @560175
     /*  560175 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(560250), // Rule ID 6975 //
     /*  560180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  560191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  560194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  560197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  560200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560248 */     GIR_RootConstrainSelectedInstOperands,
     /*  560249 */     // GIR_Coverage, 6975,
     /*  560249 */     GIR_EraseRootFromParent_Done,
     /*  560250 */   // Label 9204: @560250
     /*  560250 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(560325), // Rule ID 6978 //
     /*  560255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  560275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560323 */     GIR_RootConstrainSelectedInstOperands,
     /*  560324 */     // GIR_Coverage, 6978,
     /*  560324 */     GIR_EraseRootFromParent_Done,
     /*  560325 */   // Label 9205: @560325
     /*  560325 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(560400), // Rule ID 6979 //
     /*  560330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  560341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  560344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  560347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  560350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  560369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  560379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560398 */     GIR_RootConstrainSelectedInstOperands,
     /*  560399 */     // GIR_Coverage, 6979,
     /*  560399 */     GIR_EraseRootFromParent_Done,
     /*  560400 */   // Label 9206: @560400
     /*  560400 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(560475), // Rule ID 6982 //
     /*  560405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  560454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560473 */     GIR_RootConstrainSelectedInstOperands,
     /*  560474 */     // GIR_Coverage, 6982,
     /*  560474 */     GIR_EraseRootFromParent_Done,
     /*  560475 */   // Label 9207: @560475
     /*  560475 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(560550), // Rule ID 6983 //
     /*  560480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  560491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  560494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  560497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  560500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  560529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560548 */     GIR_RootConstrainSelectedInstOperands,
     /*  560549 */     // GIR_Coverage, 6983,
     /*  560549 */     GIR_EraseRootFromParent_Done,
     /*  560550 */   // Label 9208: @560550
     /*  560550 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(560625), // Rule ID 6986 //
     /*  560555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  560575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  560604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560623 */     GIR_RootConstrainSelectedInstOperands,
     /*  560624 */     // GIR_Coverage, 6986,
     /*  560624 */     GIR_EraseRootFromParent_Done,
     /*  560625 */   // Label 9209: @560625
     /*  560625 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(560700), // Rule ID 6987 //
     /*  560630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  560641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  560644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  560647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  560650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  560679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560698 */     GIR_RootConstrainSelectedInstOperands,
     /*  560699 */     // GIR_Coverage, 6987,
     /*  560699 */     GIR_EraseRootFromParent_Done,
     /*  560700 */   // Label 9210: @560700
     /*  560700 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(560775), // Rule ID 6990 //
     /*  560705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  560716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  560719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  560722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  560725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  560751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  560754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560773 */     GIR_RootConstrainSelectedInstOperands,
     /*  560774 */     // GIR_Coverage, 6990,
     /*  560774 */     GIR_EraseRootFromParent_Done,
     /*  560775 */   // Label 9211: @560775
     /*  560775 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(560850), // Rule ID 6991 //
     /*  560780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  560791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  560794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  560797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  560800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  560826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  560829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  560845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560848 */     GIR_RootConstrainSelectedInstOperands,
     /*  560849 */     // GIR_Coverage, 6991,
     /*  560849 */     GIR_EraseRootFromParent_Done,
     /*  560850 */   // Label 9212: @560850
     /*  560850 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(560925), // Rule ID 6994 //
     /*  560855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  560866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  560869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  560872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  560875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  560904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560923 */     GIR_RootConstrainSelectedInstOperands,
     /*  560924 */     // GIR_Coverage, 6994,
     /*  560924 */     GIR_EraseRootFromParent_Done,
     /*  560925 */   // Label 9213: @560925
     /*  560925 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(561000), // Rule ID 6995 //
     /*  560930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  560938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  560941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  560944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  560947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  560950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  560979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560998 */     GIR_RootConstrainSelectedInstOperands,
     /*  560999 */     // GIR_Coverage, 6995,
     /*  560999 */     GIR_EraseRootFromParent_Done,
     /*  561000 */   // Label 9214: @561000
     /*  561000 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(561075), // Rule ID 6998 //
     /*  561005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  561054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561073 */     GIR_RootConstrainSelectedInstOperands,
     /*  561074 */     // GIR_Coverage, 6998,
     /*  561074 */     GIR_EraseRootFromParent_Done,
     /*  561075 */   // Label 9215: @561075
     /*  561075 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(561150), // Rule ID 6999 //
     /*  561080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  561091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  561094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  561097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  561100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  561129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561148 */     GIR_RootConstrainSelectedInstOperands,
     /*  561149 */     // GIR_Coverage, 6999,
     /*  561149 */     GIR_EraseRootFromParent_Done,
     /*  561150 */   // Label 9216: @561150
     /*  561150 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(561225), // Rule ID 7002 //
     /*  561155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  561175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  561204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561223 */     GIR_RootConstrainSelectedInstOperands,
     /*  561224 */     // GIR_Coverage, 7002,
     /*  561224 */     GIR_EraseRootFromParent_Done,
     /*  561225 */   // Label 9217: @561225
     /*  561225 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(561300), // Rule ID 7003 //
     /*  561230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  561241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  561244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  561247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  561250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  561279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561298 */     GIR_RootConstrainSelectedInstOperands,
     /*  561299 */     // GIR_Coverage, 7003,
     /*  561299 */     GIR_EraseRootFromParent_Done,
     /*  561300 */   // Label 9218: @561300
     /*  561300 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(561375), // Rule ID 7006 //
     /*  561305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  561325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  561354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561373 */     GIR_RootConstrainSelectedInstOperands,
     /*  561374 */     // GIR_Coverage, 7006,
     /*  561374 */     GIR_EraseRootFromParent_Done,
     /*  561375 */   // Label 9219: @561375
     /*  561375 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(561450), // Rule ID 7007 //
     /*  561380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  561391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  561394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  561397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  561400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  561429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561448 */     GIR_RootConstrainSelectedInstOperands,
     /*  561449 */     // GIR_Coverage, 7007,
     /*  561449 */     GIR_EraseRootFromParent_Done,
     /*  561450 */   // Label 9220: @561450
     /*  561450 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(561525), // Rule ID 7010 //
     /*  561455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  561475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  561504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561523 */     GIR_RootConstrainSelectedInstOperands,
     /*  561524 */     // GIR_Coverage, 7010,
     /*  561524 */     GIR_EraseRootFromParent_Done,
     /*  561525 */   // Label 9221: @561525
     /*  561525 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(561600), // Rule ID 7011 //
     /*  561530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  561541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  561544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  561547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  561550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  561579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561598 */     GIR_RootConstrainSelectedInstOperands,
     /*  561599 */     // GIR_Coverage, 7011,
     /*  561599 */     GIR_EraseRootFromParent_Done,
     /*  561600 */   // Label 9222: @561600
     /*  561600 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(561675), // Rule ID 7014 //
     /*  561605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  561625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  561654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561673 */     GIR_RootConstrainSelectedInstOperands,
     /*  561674 */     // GIR_Coverage, 7014,
     /*  561674 */     GIR_EraseRootFromParent_Done,
     /*  561675 */   // Label 9223: @561675
     /*  561675 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(561750), // Rule ID 7015 //
     /*  561680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  561691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  561694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  561697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  561700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  561729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561748 */     GIR_RootConstrainSelectedInstOperands,
     /*  561749 */     // GIR_Coverage, 7015,
     /*  561749 */     GIR_EraseRootFromParent_Done,
     /*  561750 */   // Label 9224: @561750
     /*  561750 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(561825), // Rule ID 7018 //
     /*  561755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  561772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  561775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  561804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561823 */     GIR_RootConstrainSelectedInstOperands,
     /*  561824 */     // GIR_Coverage, 7018,
     /*  561824 */     GIR_EraseRootFromParent_Done,
     /*  561825 */   // Label 9225: @561825
     /*  561825 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(561900), // Rule ID 7019 //
     /*  561830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  561833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  561841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  561844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  561847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  561850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  561869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  561879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561898 */     GIR_RootConstrainSelectedInstOperands,
     /*  561899 */     // GIR_Coverage, 7019,
     /*  561899 */     GIR_EraseRootFromParent_Done,
     /*  561900 */   // Label 9226: @561900
     /*  561900 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(561975), // Rule ID 7022 //
     /*  561905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  561908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  561916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  561919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  561922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  561925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  561944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  561951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  561954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561973 */     GIR_RootConstrainSelectedInstOperands,
     /*  561974 */     // GIR_Coverage, 7022,
     /*  561974 */     GIR_EraseRootFromParent_Done,
     /*  561975 */   // Label 9227: @561975
     /*  561975 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(562050), // Rule ID 7023 //
     /*  561980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  561983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  561988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  561991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  561994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  561997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  562000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  562029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562048 */     GIR_RootConstrainSelectedInstOperands,
     /*  562049 */     // GIR_Coverage, 7023,
     /*  562049 */     GIR_EraseRootFromParent_Done,
     /*  562050 */   // Label 9228: @562050
     /*  562050 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(562125), // Rule ID 7026 //
     /*  562055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  562075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  562104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562123 */     GIR_RootConstrainSelectedInstOperands,
     /*  562124 */     // GIR_Coverage, 7026,
     /*  562124 */     GIR_EraseRootFromParent_Done,
     /*  562125 */   // Label 9229: @562125
     /*  562125 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(562200), // Rule ID 7027 //
     /*  562130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  562141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  562144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  562147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  562150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  562179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562198 */     GIR_RootConstrainSelectedInstOperands,
     /*  562199 */     // GIR_Coverage, 7027,
     /*  562199 */     GIR_EraseRootFromParent_Done,
     /*  562200 */   // Label 9230: @562200
     /*  562200 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(562275), // Rule ID 7030 //
     /*  562205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  562254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562273 */     GIR_RootConstrainSelectedInstOperands,
     /*  562274 */     // GIR_Coverage, 7030,
     /*  562274 */     GIR_EraseRootFromParent_Done,
     /*  562275 */   // Label 9231: @562275
     /*  562275 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(562350), // Rule ID 7031 //
     /*  562280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  562291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  562294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  562297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  562329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562348 */     GIR_RootConstrainSelectedInstOperands,
     /*  562349 */     // GIR_Coverage, 7031,
     /*  562349 */     GIR_EraseRootFromParent_Done,
     /*  562350 */   // Label 9232: @562350
     /*  562350 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(562425), // Rule ID 7034 //
     /*  562355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  562404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562423 */     GIR_RootConstrainSelectedInstOperands,
     /*  562424 */     // GIR_Coverage, 7034,
     /*  562424 */     GIR_EraseRootFromParent_Done,
     /*  562425 */   // Label 9233: @562425
     /*  562425 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(562500), // Rule ID 7035 //
     /*  562430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  562441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  562444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  562447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  562479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562498 */     GIR_RootConstrainSelectedInstOperands,
     /*  562499 */     // GIR_Coverage, 7035,
     /*  562499 */     GIR_EraseRootFromParent_Done,
     /*  562500 */   // Label 9234: @562500
     /*  562500 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(562575), // Rule ID 7038 //
     /*  562505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  562554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562573 */     GIR_RootConstrainSelectedInstOperands,
     /*  562574 */     // GIR_Coverage, 7038,
     /*  562574 */     GIR_EraseRootFromParent_Done,
     /*  562575 */   // Label 9235: @562575
     /*  562575 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(562650), // Rule ID 7039 //
     /*  562580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  562591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  562594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  562597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  562629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562648 */     GIR_RootConstrainSelectedInstOperands,
     /*  562649 */     // GIR_Coverage, 7039,
     /*  562649 */     GIR_EraseRootFromParent_Done,
     /*  562650 */   // Label 9236: @562650
     /*  562650 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(562725), // Rule ID 7042 //
     /*  562655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  562704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562723 */     GIR_RootConstrainSelectedInstOperands,
     /*  562724 */     // GIR_Coverage, 7042,
     /*  562724 */     GIR_EraseRootFromParent_Done,
     /*  562725 */   // Label 9237: @562725
     /*  562725 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(562800), // Rule ID 7043 //
     /*  562730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  562741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  562744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  562747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  562779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562798 */     GIR_RootConstrainSelectedInstOperands,
     /*  562799 */     // GIR_Coverage, 7043,
     /*  562799 */     GIR_EraseRootFromParent_Done,
     /*  562800 */   // Label 9238: @562800
     /*  562800 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(562875), // Rule ID 7046 //
     /*  562805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  562816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  562819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  562822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  562854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562873 */     GIR_RootConstrainSelectedInstOperands,
     /*  562874 */     // GIR_Coverage, 7046,
     /*  562874 */     GIR_EraseRootFromParent_Done,
     /*  562875 */   // Label 9239: @562875
     /*  562875 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(562950), // Rule ID 7047 //
     /*  562880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  562891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  562894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  562897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  562900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  562929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562948 */     GIR_RootConstrainSelectedInstOperands,
     /*  562949 */     // GIR_Coverage, 7047,
     /*  562949 */     GIR_EraseRootFromParent_Done,
     /*  562950 */   // Label 9240: @562950
     /*  562950 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(563025), // Rule ID 7050 //
     /*  562955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  562963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  562966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  562969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  562972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  562975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  562994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  563004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563023 */     GIR_RootConstrainSelectedInstOperands,
     /*  563024 */     // GIR_Coverage, 7050,
     /*  563024 */     GIR_EraseRootFromParent_Done,
     /*  563025 */   // Label 9241: @563025
     /*  563025 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(563100), // Rule ID 7051 //
     /*  563030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  563041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  563044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  563047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  563079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563098 */     GIR_RootConstrainSelectedInstOperands,
     /*  563099 */     // GIR_Coverage, 7051,
     /*  563099 */     GIR_EraseRootFromParent_Done,
     /*  563100 */   // Label 9242: @563100
     /*  563100 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(563175), // Rule ID 7054 //
     /*  563105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563173 */     GIR_RootConstrainSelectedInstOperands,
     /*  563174 */     // GIR_Coverage, 7054,
     /*  563174 */     GIR_EraseRootFromParent_Done,
     /*  563175 */   // Label 9243: @563175
     /*  563175 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(563250), // Rule ID 7055 //
     /*  563180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  563191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  563194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  563197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11213:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563248 */     GIR_RootConstrainSelectedInstOperands,
     /*  563249 */     // GIR_Coverage, 7055,
     /*  563249 */     GIR_EraseRootFromParent_Done,
     /*  563250 */   // Label 9244: @563250
     /*  563250 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(563325), // Rule ID 7058 //
     /*  563255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563323 */     GIR_RootConstrainSelectedInstOperands,
     /*  563324 */     // GIR_Coverage, 7058,
     /*  563324 */     GIR_EraseRootFromParent_Done,
     /*  563325 */   // Label 9245: @563325
     /*  563325 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(563400), // Rule ID 7059 //
     /*  563330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  563341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  563344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  563347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563398 */     GIR_RootConstrainSelectedInstOperands,
     /*  563399 */     // GIR_Coverage, 7059,
     /*  563399 */     GIR_EraseRootFromParent_Done,
     /*  563400 */   // Label 9246: @563400
     /*  563400 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(563475), // Rule ID 7062 //
     /*  563405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563473 */     GIR_RootConstrainSelectedInstOperands,
     /*  563474 */     // GIR_Coverage, 7062,
     /*  563474 */     GIR_EraseRootFromParent_Done,
     /*  563475 */   // Label 9247: @563475
     /*  563475 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(563550), // Rule ID 7063 //
     /*  563480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  563491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  563494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  563497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563548 */     GIR_RootConstrainSelectedInstOperands,
     /*  563549 */     // GIR_Coverage, 7063,
     /*  563549 */     GIR_EraseRootFromParent_Done,
     /*  563550 */   // Label 9248: @563550
     /*  563550 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(563625), // Rule ID 7066 //
     /*  563555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563623 */     GIR_RootConstrainSelectedInstOperands,
     /*  563624 */     // GIR_Coverage, 7066,
     /*  563624 */     GIR_EraseRootFromParent_Done,
     /*  563625 */   // Label 9249: @563625
     /*  563625 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(563700), // Rule ID 7067 //
     /*  563630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  563641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  563644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  563647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  563665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  563676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  563679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563698 */     GIR_RootConstrainSelectedInstOperands,
     /*  563699 */     // GIR_Coverage, 7067,
     /*  563699 */     GIR_EraseRootFromParent_Done,
     /*  563700 */   // Label 9250: @563700
     /*  563700 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(563775), // Rule ID 7070 //
     /*  563705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  563722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  563754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563773 */     GIR_RootConstrainSelectedInstOperands,
     /*  563774 */     // GIR_Coverage, 7070,
     /*  563774 */     GIR_EraseRootFromParent_Done,
     /*  563775 */   // Label 9251: @563775
     /*  563775 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(563850), // Rule ID 7071 //
     /*  563780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  563791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  563794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  563797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  563829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563848 */     GIR_RootConstrainSelectedInstOperands,
     /*  563849 */     // GIR_Coverage, 7071,
     /*  563849 */     GIR_EraseRootFromParent_Done,
     /*  563850 */   // Label 9252: @563850
     /*  563850 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(563925), // Rule ID 7074 //
     /*  563855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  563866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  563869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  563872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  563875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  563901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  563904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563923 */     GIR_RootConstrainSelectedInstOperands,
     /*  563924 */     // GIR_Coverage, 7074,
     /*  563924 */     GIR_EraseRootFromParent_Done,
     /*  563925 */   // Label 9253: @563925
     /*  563925 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(564000), // Rule ID 7075 //
     /*  563930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  563938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  563941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  563944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  563947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  563950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  563969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  563976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  563979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  563995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563998 */     GIR_RootConstrainSelectedInstOperands,
     /*  563999 */     // GIR_Coverage, 7075,
     /*  563999 */     GIR_EraseRootFromParent_Done,
     /*  564000 */   // Label 9254: @564000
     /*  564000 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(564075), // Rule ID 7078 //
     /*  564005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  564054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564073 */     GIR_RootConstrainSelectedInstOperands,
     /*  564074 */     // GIR_Coverage, 7078,
     /*  564074 */     GIR_EraseRootFromParent_Done,
     /*  564075 */   // Label 9255: @564075
     /*  564075 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(564150), // Rule ID 7079 //
     /*  564080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  564091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  564094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  564097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  564129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564148 */     GIR_RootConstrainSelectedInstOperands,
     /*  564149 */     // GIR_Coverage, 7079,
     /*  564149 */     GIR_EraseRootFromParent_Done,
     /*  564150 */   // Label 9256: @564150
     /*  564150 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(564225), // Rule ID 7082 //
     /*  564155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  564204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564223 */     GIR_RootConstrainSelectedInstOperands,
     /*  564224 */     // GIR_Coverage, 7082,
     /*  564224 */     GIR_EraseRootFromParent_Done,
     /*  564225 */   // Label 9257: @564225
     /*  564225 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(564300), // Rule ID 7083 //
     /*  564230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  564241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  564244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  564247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  564279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564298 */     GIR_RootConstrainSelectedInstOperands,
     /*  564299 */     // GIR_Coverage, 7083,
     /*  564299 */     GIR_EraseRootFromParent_Done,
     /*  564300 */   // Label 9258: @564300
     /*  564300 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(564375), // Rule ID 7086 //
     /*  564305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  564354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564373 */     GIR_RootConstrainSelectedInstOperands,
     /*  564374 */     // GIR_Coverage, 7086,
     /*  564374 */     GIR_EraseRootFromParent_Done,
     /*  564375 */   // Label 9259: @564375
     /*  564375 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(564450), // Rule ID 7087 //
     /*  564380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  564391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  564394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  564397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  564429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564448 */     GIR_RootConstrainSelectedInstOperands,
     /*  564449 */     // GIR_Coverage, 7087,
     /*  564449 */     GIR_EraseRootFromParent_Done,
     /*  564450 */   // Label 9260: @564450
     /*  564450 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(564525), // Rule ID 7090 //
     /*  564455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  564504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564523 */     GIR_RootConstrainSelectedInstOperands,
     /*  564524 */     // GIR_Coverage, 7090,
     /*  564524 */     GIR_EraseRootFromParent_Done,
     /*  564525 */   // Label 9261: @564525
     /*  564525 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(564600), // Rule ID 7091 //
     /*  564530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  564541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  564544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  564547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  564579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564598 */     GIR_RootConstrainSelectedInstOperands,
     /*  564599 */     // GIR_Coverage, 7091,
     /*  564599 */     GIR_EraseRootFromParent_Done,
     /*  564600 */   // Label 9262: @564600
     /*  564600 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(564675), // Rule ID 7094 //
     /*  564605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  564654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564673 */     GIR_RootConstrainSelectedInstOperands,
     /*  564674 */     // GIR_Coverage, 7094,
     /*  564674 */     GIR_EraseRootFromParent_Done,
     /*  564675 */   // Label 9263: @564675
     /*  564675 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(564750), // Rule ID 7095 //
     /*  564680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  564691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  564694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  564697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  564729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564748 */     GIR_RootConstrainSelectedInstOperands,
     /*  564749 */     // GIR_Coverage, 7095,
     /*  564749 */     GIR_EraseRootFromParent_Done,
     /*  564750 */   // Label 9264: @564750
     /*  564750 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(564825), // Rule ID 7098 //
     /*  564755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  564804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564823 */     GIR_RootConstrainSelectedInstOperands,
     /*  564824 */     // GIR_Coverage, 7098,
     /*  564824 */     GIR_EraseRootFromParent_Done,
     /*  564825 */   // Label 9265: @564825
     /*  564825 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(564900), // Rule ID 7099 //
     /*  564830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  564841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  564844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  564847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  564876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  564879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564898 */     GIR_RootConstrainSelectedInstOperands,
     /*  564899 */     // GIR_Coverage, 7099,
     /*  564899 */     GIR_EraseRootFromParent_Done,
     /*  564900 */   // Label 9266: @564900
     /*  564900 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(564975), // Rule ID 7102 //
     /*  564905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  564916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  564919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  564922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  564951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  564954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  564970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564973 */     GIR_RootConstrainSelectedInstOperands,
     /*  564974 */     // GIR_Coverage, 7102,
     /*  564974 */     GIR_EraseRootFromParent_Done,
     /*  564975 */   // Label 9267: @564975
     /*  564975 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(565050), // Rule ID 7103 //
     /*  564980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  564988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  564991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  564994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  564997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  565029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565048 */     GIR_RootConstrainSelectedInstOperands,
     /*  565049 */     // GIR_Coverage, 7103,
     /*  565049 */     GIR_EraseRootFromParent_Done,
     /*  565050 */   // Label 9268: @565050
     /*  565050 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(565125), // Rule ID 7106 //
     /*  565055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  565104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565123 */     GIR_RootConstrainSelectedInstOperands,
     /*  565124 */     // GIR_Coverage, 7106,
     /*  565124 */     GIR_EraseRootFromParent_Done,
     /*  565125 */   // Label 9269: @565125
     /*  565125 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(565200), // Rule ID 7107 //
     /*  565130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  565141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  565144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  565147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  565179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565198 */     GIR_RootConstrainSelectedInstOperands,
     /*  565199 */     // GIR_Coverage, 7107,
     /*  565199 */     GIR_EraseRootFromParent_Done,
     /*  565200 */   // Label 9270: @565200
     /*  565200 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(565275), // Rule ID 7110 //
     /*  565205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  565254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565273 */     GIR_RootConstrainSelectedInstOperands,
     /*  565274 */     // GIR_Coverage, 7110,
     /*  565274 */     GIR_EraseRootFromParent_Done,
     /*  565275 */   // Label 9271: @565275
     /*  565275 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(565350), // Rule ID 7111 //
     /*  565280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  565291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  565294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  565297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  565315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  565329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565348 */     GIR_RootConstrainSelectedInstOperands,
     /*  565349 */     // GIR_Coverage, 7111,
     /*  565349 */     GIR_EraseRootFromParent_Done,
     /*  565350 */   // Label 9272: @565350
     /*  565350 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(565425), // Rule ID 7114 //
     /*  565355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  565404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565423 */     GIR_RootConstrainSelectedInstOperands,
     /*  565424 */     // GIR_Coverage, 7114,
     /*  565424 */     GIR_EraseRootFromParent_Done,
     /*  565425 */   // Label 9273: @565425
     /*  565425 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(565500), // Rule ID 7115 //
     /*  565430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  565438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  565441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  565444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  565447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  565465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  565479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565498 */     GIR_RootConstrainSelectedInstOperands,
     /*  565499 */     // GIR_Coverage, 7115,
     /*  565499 */     GIR_EraseRootFromParent_Done,
     /*  565500 */   // Label 9274: @565500
     /*  565500 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(565575), // Rule ID 7294 //
     /*  565505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  565516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  565519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  565554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565573 */     GIR_RootConstrainSelectedInstOperands,
     /*  565574 */     // GIR_Coverage, 7294,
     /*  565574 */     GIR_EraseRootFromParent_Done,
     /*  565575 */   // Label 9275: @565575
     /*  565575 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(565650), // Rule ID 7295 //
     /*  565580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  565591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  565594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  565597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  565600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  565629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565648 */     GIR_RootConstrainSelectedInstOperands,
     /*  565649 */     // GIR_Coverage, 7295,
     /*  565649 */     GIR_EraseRootFromParent_Done,
     /*  565650 */   // Label 9276: @565650
     /*  565650 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(565725), // Rule ID 7298 //
     /*  565655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  565666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  565669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  565704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565723 */     GIR_RootConstrainSelectedInstOperands,
     /*  565724 */     // GIR_Coverage, 7298,
     /*  565724 */     GIR_EraseRootFromParent_Done,
     /*  565725 */   // Label 9277: @565725
     /*  565725 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(565800), // Rule ID 7299 //
     /*  565730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  565741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  565744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  565750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  565779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565798 */     GIR_RootConstrainSelectedInstOperands,
     /*  565799 */     // GIR_Coverage, 7299,
     /*  565799 */     GIR_EraseRootFromParent_Done,
     /*  565800 */   // Label 9278: @565800
     /*  565800 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(565875), // Rule ID 7302 //
     /*  565805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  565816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  565819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  565825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  565854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565873 */     GIR_RootConstrainSelectedInstOperands,
     /*  565874 */     // GIR_Coverage, 7302,
     /*  565874 */     GIR_EraseRootFromParent_Done,
     /*  565875 */   // Label 9279: @565875
     /*  565875 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(565950), // Rule ID 7303 //
     /*  565880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  565891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  565894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  565900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  565929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565948 */     GIR_RootConstrainSelectedInstOperands,
     /*  565949 */     // GIR_Coverage, 7303,
     /*  565949 */     GIR_EraseRootFromParent_Done,
     /*  565950 */   // Label 9280: @565950
     /*  565950 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(566025), // Rule ID 7306 //
     /*  565955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  565963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  565966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  565969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  565972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  565975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566001 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  566004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566023 */     GIR_RootConstrainSelectedInstOperands,
     /*  566024 */     // GIR_Coverage, 7306,
     /*  566024 */     GIR_EraseRootFromParent_Done,
     /*  566025 */   // Label 9281: @566025
     /*  566025 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(566100), // Rule ID 7307 //
     /*  566030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  566041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  566044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  566047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  566050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  566079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566098 */     GIR_RootConstrainSelectedInstOperands,
     /*  566099 */     // GIR_Coverage, 7307,
     /*  566099 */     GIR_EraseRootFromParent_Done,
     /*  566100 */   // Label 9282: @566100
     /*  566100 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(566175), // Rule ID 7310 //
     /*  566105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  566116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  566119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566151 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  566154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566173 */     GIR_RootConstrainSelectedInstOperands,
     /*  566174 */     // GIR_Coverage, 7310,
     /*  566174 */     GIR_EraseRootFromParent_Done,
     /*  566175 */   // Label 9283: @566175
     /*  566175 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(566250), // Rule ID 7311 //
     /*  566180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  566191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  566194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  566200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  566229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566248 */     GIR_RootConstrainSelectedInstOperands,
     /*  566249 */     // GIR_Coverage, 7311,
     /*  566249 */     GIR_EraseRootFromParent_Done,
     /*  566250 */   // Label 9284: @566250
     /*  566250 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(566325), // Rule ID 7314 //
     /*  566255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  566266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  566269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  566304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566323 */     GIR_RootConstrainSelectedInstOperands,
     /*  566324 */     // GIR_Coverage, 7314,
     /*  566324 */     GIR_EraseRootFromParent_Done,
     /*  566325 */   // Label 9285: @566325
     /*  566325 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(566400), // Rule ID 7315 //
     /*  566330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  566341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  566344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  566350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  566379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566398 */     GIR_RootConstrainSelectedInstOperands,
     /*  566399 */     // GIR_Coverage, 7315,
     /*  566399 */     GIR_EraseRootFromParent_Done,
     /*  566400 */   // Label 9286: @566400
     /*  566400 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(566475), // Rule ID 7318 //
     /*  566405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  566422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  566454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566473 */     GIR_RootConstrainSelectedInstOperands,
     /*  566474 */     // GIR_Coverage, 7318,
     /*  566474 */     GIR_EraseRootFromParent_Done,
     /*  566475 */   // Label 9287: @566475
     /*  566475 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(566550), // Rule ID 7319 //
     /*  566480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  566491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  566494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  566497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  566500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  566529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566548 */     GIR_RootConstrainSelectedInstOperands,
     /*  566549 */     // GIR_Coverage, 7319,
     /*  566549 */     GIR_EraseRootFromParent_Done,
     /*  566550 */   // Label 9288: @566550
     /*  566550 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(566625), // Rule ID 7322 //
     /*  566555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566601 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  566604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566623 */     GIR_RootConstrainSelectedInstOperands,
     /*  566624 */     // GIR_Coverage, 7322,
     /*  566624 */     GIR_EraseRootFromParent_Done,
     /*  566625 */   // Label 9289: @566625
     /*  566625 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(566700), // Rule ID 7323 //
     /*  566630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  566641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  566644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  566647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  566650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566676 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  566679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566698 */     GIR_RootConstrainSelectedInstOperands,
     /*  566699 */     // GIR_Coverage, 7323,
     /*  566699 */     GIR_EraseRootFromParent_Done,
     /*  566700 */   // Label 9290: @566700
     /*  566700 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(566775), // Rule ID 7326 //
     /*  566705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  566754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566773 */     GIR_RootConstrainSelectedInstOperands,
     /*  566774 */     // GIR_Coverage, 7326,
     /*  566774 */     GIR_EraseRootFromParent_Done,
     /*  566775 */   // Label 9291: @566775
     /*  566775 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(566850), // Rule ID 7327 //
     /*  566780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  566791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  566794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  566800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  566819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  566829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566848 */     GIR_RootConstrainSelectedInstOperands,
     /*  566849 */     // GIR_Coverage, 7327,
     /*  566849 */     GIR_EraseRootFromParent_Done,
     /*  566850 */   // Label 9292: @566850
     /*  566850 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(566925), // Rule ID 7330 //
     /*  566855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  566875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  566904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566923 */     GIR_RootConstrainSelectedInstOperands,
     /*  566924 */     // GIR_Coverage, 7330,
     /*  566924 */     GIR_EraseRootFromParent_Done,
     /*  566925 */   // Label 9293: @566925
     /*  566925 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(567000), // Rule ID 7331 //
     /*  566930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  566938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  566950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  566979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566998 */     GIR_RootConstrainSelectedInstOperands,
     /*  566999 */     // GIR_Coverage, 7331,
     /*  566999 */     GIR_EraseRootFromParent_Done,
     /*  567000 */   // Label 9294: @567000
     /*  567000 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(567075), // Rule ID 7334 //
     /*  567005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  567022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  567051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  567054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567073 */     GIR_RootConstrainSelectedInstOperands,
     /*  567074 */     // GIR_Coverage, 7334,
     /*  567074 */     GIR_EraseRootFromParent_Done,
     /*  567075 */   // Label 9295: @567075
     /*  567075 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(567150), // Rule ID 7335 //
     /*  567080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  567091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  567094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  567097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  567100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  567126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  567129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  567145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567148 */     GIR_RootConstrainSelectedInstOperands,
     /*  567149 */     // GIR_Coverage, 7335,
     /*  567149 */     GIR_EraseRootFromParent_Done,
     /*  567150 */   // Label 9296: @567150
     /*  567150 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(567225), // Rule ID 7338 //
     /*  567155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  567172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  567204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567223 */     GIR_RootConstrainSelectedInstOperands,
     /*  567224 */     // GIR_Coverage, 7338,
     /*  567224 */     GIR_EraseRootFromParent_Done,
     /*  567225 */   // Label 9297: @567225
     /*  567225 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(567300), // Rule ID 7339 //
     /*  567230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  567241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  567244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  567247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  567250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  567279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567298 */     GIR_RootConstrainSelectedInstOperands,
     /*  567299 */     // GIR_Coverage, 7339,
     /*  567299 */     GIR_EraseRootFromParent_Done,
     /*  567300 */   // Label 9298: @567300
     /*  567300 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(567375), // Rule ID 7342 //
     /*  567305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  567322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  567354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567373 */     GIR_RootConstrainSelectedInstOperands,
     /*  567374 */     // GIR_Coverage, 7342,
     /*  567374 */     GIR_EraseRootFromParent_Done,
     /*  567375 */   // Label 9299: @567375
     /*  567375 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(567450), // Rule ID 7343 //
     /*  567380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  567391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  567394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  567397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  567400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  567429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567448 */     GIR_RootConstrainSelectedInstOperands,
     /*  567449 */     // GIR_Coverage, 7343,
     /*  567449 */     GIR_EraseRootFromParent_Done,
     /*  567450 */   // Label 9300: @567450
     /*  567450 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(567525), // Rule ID 7346 //
     /*  567455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  567472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  567504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567523 */     GIR_RootConstrainSelectedInstOperands,
     /*  567524 */     // GIR_Coverage, 7346,
     /*  567524 */     GIR_EraseRootFromParent_Done,
     /*  567525 */   // Label 9301: @567525
     /*  567525 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(567600), // Rule ID 7347 //
     /*  567530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  567541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  567544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  567547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  567550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  567579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567598 */     GIR_RootConstrainSelectedInstOperands,
     /*  567599 */     // GIR_Coverage, 7347,
     /*  567599 */     GIR_EraseRootFromParent_Done,
     /*  567600 */   // Label 9302: @567600
     /*  567600 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(567675), // Rule ID 7350 //
     /*  567605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  567608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  567654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567673 */     GIR_RootConstrainSelectedInstOperands,
     /*  567674 */     // GIR_Coverage, 7350,
     /*  567674 */     GIR_EraseRootFromParent_Done,
     /*  567675 */   // Label 9303: @567675
     /*  567675 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(567750), // Rule ID 7351 //
     /*  567680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  567683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  567691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  567694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  567700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  567729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567748 */     GIR_RootConstrainSelectedInstOperands,
     /*  567749 */     // GIR_Coverage, 7351,
     /*  567749 */     GIR_EraseRootFromParent_Done,
     /*  567750 */   // Label 9304: @567750
     /*  567750 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(567825), // Rule ID 7354 //
     /*  567755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567801 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  567804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567823 */     GIR_RootConstrainSelectedInstOperands,
     /*  567824 */     // GIR_Coverage, 7354,
     /*  567824 */     GIR_EraseRootFromParent_Done,
     /*  567825 */   // Label 9305: @567825
     /*  567825 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(567900), // Rule ID 7355 //
     /*  567830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  567847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567876 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  567879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567898 */     GIR_RootConstrainSelectedInstOperands,
     /*  567899 */     // GIR_Coverage, 7355,
     /*  567899 */     GIR_EraseRootFromParent_Done,
     /*  567900 */   // Label 9306: @567900
     /*  567900 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(567975), // Rule ID 7358 //
     /*  567905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567951 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  567954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567973 */     GIR_RootConstrainSelectedInstOperands,
     /*  567974 */     // GIR_Coverage, 7358,
     /*  567974 */     GIR_EraseRootFromParent_Done,
     /*  567975 */   // Label 9307: @567975
     /*  567975 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(568050), // Rule ID 7359 //
     /*  567980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  567988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  567997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  568029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568048 */     GIR_RootConstrainSelectedInstOperands,
     /*  568049 */     // GIR_Coverage, 7359,
     /*  568049 */     GIR_EraseRootFromParent_Done,
     /*  568050 */   // Label 9308: @568050
     /*  568050 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(568125), // Rule ID 7362 //
     /*  568055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  568066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  568069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568101 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  568104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568123 */     GIR_RootConstrainSelectedInstOperands,
     /*  568124 */     // GIR_Coverage, 7362,
     /*  568124 */     GIR_EraseRootFromParent_Done,
     /*  568125 */   // Label 9309: @568125
     /*  568125 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(568200), // Rule ID 7363 //
     /*  568130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  568141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  568144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568176 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  568179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568198 */     GIR_RootConstrainSelectedInstOperands,
     /*  568199 */     // GIR_Coverage, 7363,
     /*  568199 */     GIR_EraseRootFromParent_Done,
     /*  568200 */   // Label 9310: @568200
     /*  568200 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(568275), // Rule ID 7366 //
     /*  568205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  568254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568273 */     GIR_RootConstrainSelectedInstOperands,
     /*  568274 */     // GIR_Coverage, 7366,
     /*  568274 */     GIR_EraseRootFromParent_Done,
     /*  568275 */   // Label 9311: @568275
     /*  568275 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(568350), // Rule ID 7367 //
     /*  568280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  568297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11127:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  568329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568348 */     GIR_RootConstrainSelectedInstOperands,
     /*  568349 */     // GIR_Coverage, 7367,
     /*  568349 */     GIR_EraseRootFromParent_Done,
     /*  568350 */   // Label 9312: @568350
     /*  568350 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(568425), // Rule ID 7370 //
     /*  568355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568401 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  568404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568423 */     GIR_RootConstrainSelectedInstOperands,
     /*  568424 */     // GIR_Coverage, 7370,
     /*  568424 */     GIR_EraseRootFromParent_Done,
     /*  568425 */   // Label 9313: @568425
     /*  568425 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(568500), // Rule ID 7371 //
     /*  568430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  568441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  568444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  568447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  568479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568498 */     GIR_RootConstrainSelectedInstOperands,
     /*  568499 */     // GIR_Coverage, 7371,
     /*  568499 */     GIR_EraseRootFromParent_Done,
     /*  568500 */   // Label 9314: @568500
     /*  568500 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(568575), // Rule ID 7374 //
     /*  568505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  568522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  568554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568573 */     GIR_RootConstrainSelectedInstOperands,
     /*  568574 */     // GIR_Coverage, 7374,
     /*  568574 */     GIR_EraseRootFromParent_Done,
     /*  568575 */   // Label 9315: @568575
     /*  568575 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(568650), // Rule ID 7375 //
     /*  568580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  568591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  568594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  568597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  568611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  568615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568626 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  568629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568648 */     GIR_RootConstrainSelectedInstOperands,
     /*  568649 */     // GIR_Coverage, 7375,
     /*  568649 */     GIR_EraseRootFromParent_Done,
     /*  568650 */   // Label 9316: @568650
     /*  568650 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(568725), // Rule ID 7378 //
     /*  568655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  568704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568723 */     GIR_RootConstrainSelectedInstOperands,
     /*  568724 */     // GIR_Coverage, 7378,
     /*  568724 */     GIR_EraseRootFromParent_Done,
     /*  568725 */   // Label 9317: @568725
     /*  568725 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(568800), // Rule ID 7379 //
     /*  568730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  568779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568798 */     GIR_RootConstrainSelectedInstOperands,
     /*  568799 */     // GIR_Coverage, 7379,
     /*  568799 */     GIR_EraseRootFromParent_Done,
     /*  568800 */   // Label 9318: @568800
     /*  568800 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(568875), // Rule ID 7382 //
     /*  568805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  568854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568873 */     GIR_RootConstrainSelectedInstOperands,
     /*  568874 */     // GIR_Coverage, 7382,
     /*  568874 */     GIR_EraseRootFromParent_Done,
     /*  568875 */   // Label 9319: @568875
     /*  568875 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(568950), // Rule ID 7383 //
     /*  568880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  568929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568948 */     GIR_RootConstrainSelectedInstOperands,
     /*  568949 */     // GIR_Coverage, 7383,
     /*  568949 */     GIR_EraseRootFromParent_Done,
     /*  568950 */   // Label 9320: @568950
     /*  568950 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(569025), // Rule ID 7386 //
     /*  568955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  568963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  568972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  568990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  569004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569023 */     GIR_RootConstrainSelectedInstOperands,
     /*  569024 */     // GIR_Coverage, 7386,
     /*  569024 */     GIR_EraseRootFromParent_Done,
     /*  569025 */   // Label 9321: @569025
     /*  569025 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(569100), // Rule ID 7387 //
     /*  569030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  569041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  569044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  569047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11127:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  569079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569098 */     GIR_RootConstrainSelectedInstOperands,
     /*  569099 */     // GIR_Coverage, 7387,
     /*  569099 */     GIR_EraseRootFromParent_Done,
     /*  569100 */   // Label 9322: @569100
     /*  569100 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(569175), // Rule ID 7390 //
     /*  569105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  569154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569173 */     GIR_RootConstrainSelectedInstOperands,
     /*  569174 */     // GIR_Coverage, 7390,
     /*  569174 */     GIR_EraseRootFromParent_Done,
     /*  569175 */   // Label 9323: @569175
     /*  569175 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(569250), // Rule ID 7391 //
     /*  569180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  569197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  569229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569248 */     GIR_RootConstrainSelectedInstOperands,
     /*  569249 */     // GIR_Coverage, 7391,
     /*  569249 */     GIR_EraseRootFromParent_Done,
     /*  569250 */   // Label 9324: @569250
     /*  569250 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(569325), // Rule ID 7394 //
     /*  569255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  569304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569323 */     GIR_RootConstrainSelectedInstOperands,
     /*  569324 */     // GIR_Coverage, 7394,
     /*  569324 */     GIR_EraseRootFromParent_Done,
     /*  569325 */   // Label 9325: @569325
     /*  569325 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(569400), // Rule ID 7395 //
     /*  569330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  569347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  569379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569398 */     GIR_RootConstrainSelectedInstOperands,
     /*  569399 */     // GIR_Coverage, 7395,
     /*  569399 */     GIR_EraseRootFromParent_Done,
     /*  569400 */   // Label 9326: @569400
     /*  569400 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(569475), // Rule ID 7398 //
     /*  569405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  569422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  569454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569473 */     GIR_RootConstrainSelectedInstOperands,
     /*  569474 */     // GIR_Coverage, 7398,
     /*  569474 */     GIR_EraseRootFromParent_Done,
     /*  569475 */   // Label 9327: @569475
     /*  569475 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(569550), // Rule ID 7399 //
     /*  569480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  569491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  569494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  569497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  569529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569548 */     GIR_RootConstrainSelectedInstOperands,
     /*  569549 */     // GIR_Coverage, 7399,
     /*  569549 */     GIR_EraseRootFromParent_Done,
     /*  569550 */   // Label 9328: @569550
     /*  569550 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(569625), // Rule ID 7402 //
     /*  569555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  569572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  569604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569623 */     GIR_RootConstrainSelectedInstOperands,
     /*  569624 */     // GIR_Coverage, 7402,
     /*  569624 */     GIR_EraseRootFromParent_Done,
     /*  569625 */   // Label 9329: @569625
     /*  569625 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(569700), // Rule ID 7403 //
     /*  569630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  569641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  569644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  569647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  569679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569698 */     GIR_RootConstrainSelectedInstOperands,
     /*  569699 */     // GIR_Coverage, 7403,
     /*  569699 */     GIR_EraseRootFromParent_Done,
     /*  569700 */   // Label 9330: @569700
     /*  569700 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(569775), // Rule ID 7406 //
     /*  569705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  569722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  569754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569773 */     GIR_RootConstrainSelectedInstOperands,
     /*  569774 */     // GIR_Coverage, 7406,
     /*  569774 */     GIR_EraseRootFromParent_Done,
     /*  569775 */   // Label 9331: @569775
     /*  569775 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(569850), // Rule ID 7407 //
     /*  569780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  569791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  569794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  569797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  569829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569848 */     GIR_RootConstrainSelectedInstOperands,
     /*  569849 */     // GIR_Coverage, 7407,
     /*  569849 */     GIR_EraseRootFromParent_Done,
     /*  569850 */   // Label 9332: @569850
     /*  569850 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(569925), // Rule ID 7410 //
     /*  569855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  569858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  569872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  569901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  569904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569923 */     GIR_RootConstrainSelectedInstOperands,
     /*  569924 */     // GIR_Coverage, 7410,
     /*  569924 */     GIR_EraseRootFromParent_Done,
     /*  569925 */   // Label 9333: @569925
     /*  569925 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(570000), // Rule ID 7411 //
     /*  569930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  569933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  569938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  569941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  569944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  569947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  569976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  569979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  569995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569998 */     GIR_RootConstrainSelectedInstOperands,
     /*  569999 */     // GIR_Coverage, 7411,
     /*  569999 */     GIR_EraseRootFromParent_Done,
     /*  570000 */   // Label 9334: @570000
     /*  570000 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(570075), // Rule ID 7474 //
     /*  570005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  570016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  570019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  570022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  570054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570073 */     GIR_RootConstrainSelectedInstOperands,
     /*  570074 */     // GIR_Coverage, 7474,
     /*  570074 */     GIR_EraseRootFromParent_Done,
     /*  570075 */   // Label 9335: @570075
     /*  570075 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(570150), // Rule ID 7475 //
     /*  570080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  570091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  570094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  570097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  570129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570148 */     GIR_RootConstrainSelectedInstOperands,
     /*  570149 */     // GIR_Coverage, 7475,
     /*  570149 */     GIR_EraseRootFromParent_Done,
     /*  570150 */   // Label 9336: @570150
     /*  570150 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(570225), // Rule ID 7478 //
     /*  570155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  570166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  570169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  570204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570223 */     GIR_RootConstrainSelectedInstOperands,
     /*  570224 */     // GIR_Coverage, 7478,
     /*  570224 */     GIR_EraseRootFromParent_Done,
     /*  570225 */   // Label 9337: @570225
     /*  570225 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(570300), // Rule ID 7479 //
     /*  570230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  570241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  570244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  570247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  570250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  570279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570298 */     GIR_RootConstrainSelectedInstOperands,
     /*  570299 */     // GIR_Coverage, 7479,
     /*  570299 */     GIR_EraseRootFromParent_Done,
     /*  570300 */   // Label 9338: @570300
     /*  570300 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(570375), // Rule ID 7482 //
     /*  570305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  570316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  570319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  570354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570373 */     GIR_RootConstrainSelectedInstOperands,
     /*  570374 */     // GIR_Coverage, 7482,
     /*  570374 */     GIR_EraseRootFromParent_Done,
     /*  570375 */   // Label 9339: @570375
     /*  570375 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(570450), // Rule ID 7483 //
     /*  570380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  570391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  570394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  570397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  570400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  570429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570448 */     GIR_RootConstrainSelectedInstOperands,
     /*  570449 */     // GIR_Coverage, 7483,
     /*  570449 */     GIR_EraseRootFromParent_Done,
     /*  570450 */   // Label 9340: @570450
     /*  570450 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(570525), // Rule ID 7486 //
     /*  570455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  570466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  570469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  570504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570523 */     GIR_RootConstrainSelectedInstOperands,
     /*  570524 */     // GIR_Coverage, 7486,
     /*  570524 */     GIR_EraseRootFromParent_Done,
     /*  570525 */   // Label 9341: @570525
     /*  570525 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(570600), // Rule ID 7487 //
     /*  570530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  570541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  570544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  570547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  570550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570576 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  570579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570598 */     GIR_RootConstrainSelectedInstOperands,
     /*  570599 */     // GIR_Coverage, 7487,
     /*  570599 */     GIR_EraseRootFromParent_Done,
     /*  570600 */   // Label 9342: @570600
     /*  570600 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(570675), // Rule ID 7490 //
     /*  570605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  570616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  570619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  570654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570673 */     GIR_RootConstrainSelectedInstOperands,
     /*  570674 */     // GIR_Coverage, 7490,
     /*  570674 */     GIR_EraseRootFromParent_Done,
     /*  570675 */   // Label 9343: @570675
     /*  570675 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(570750), // Rule ID 7491 //
     /*  570680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  570691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  570694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  570697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  570700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  570729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570748 */     GIR_RootConstrainSelectedInstOperands,
     /*  570749 */     // GIR_Coverage, 7491,
     /*  570749 */     GIR_EraseRootFromParent_Done,
     /*  570750 */   // Label 9344: @570750
     /*  570750 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(570825), // Rule ID 7494 //
     /*  570755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  570766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  570769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  570772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  570804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570823 */     GIR_RootConstrainSelectedInstOperands,
     /*  570824 */     // GIR_Coverage, 7494,
     /*  570824 */     GIR_EraseRootFromParent_Done,
     /*  570825 */   // Label 9345: @570825
     /*  570825 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(570900), // Rule ID 7495 //
     /*  570830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  570841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  570844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  570847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  570850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  570876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  570879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  570895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570898 */     GIR_RootConstrainSelectedInstOperands,
     /*  570899 */     // GIR_Coverage, 7495,
     /*  570899 */     GIR_EraseRootFromParent_Done,
     /*  570900 */   // Label 9346: @570900
     /*  570900 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(570975), // Rule ID 7498 //
     /*  570905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  570925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570951 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  570951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  570954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570973 */     GIR_RootConstrainSelectedInstOperands,
     /*  570974 */     // GIR_Coverage, 7498,
     /*  570974 */     GIR_EraseRootFromParent_Done,
     /*  570975 */   // Label 9347: @570975
     /*  570975 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(571050), // Rule ID 7499 //
     /*  570980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  570988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  570997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  571029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571048 */     GIR_RootConstrainSelectedInstOperands,
     /*  571049 */     // GIR_Coverage, 7499,
     /*  571049 */     GIR_EraseRootFromParent_Done,
     /*  571050 */   // Label 9348: @571050
     /*  571050 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(571125), // Rule ID 7502 //
     /*  571055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  571072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571101 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  571104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571123 */     GIR_RootConstrainSelectedInstOperands,
     /*  571124 */     // GIR_Coverage, 7502,
     /*  571124 */     GIR_EraseRootFromParent_Done,
     /*  571125 */   // Label 9349: @571125
     /*  571125 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(571200), // Rule ID 7503 //
     /*  571130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  571147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  571150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571176 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  571179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571198 */     GIR_RootConstrainSelectedInstOperands,
     /*  571199 */     // GIR_Coverage, 7503,
     /*  571199 */     GIR_EraseRootFromParent_Done,
     /*  571200 */   // Label 9350: @571200
     /*  571200 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(571275), // Rule ID 7506 //
     /*  571205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  571254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571273 */     GIR_RootConstrainSelectedInstOperands,
     /*  571274 */     // GIR_Coverage, 7506,
     /*  571274 */     GIR_EraseRootFromParent_Done,
     /*  571275 */   // Label 9351: @571275
     /*  571275 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(571350), // Rule ID 7507 //
     /*  571280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  571297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  571300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  571329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571348 */     GIR_RootConstrainSelectedInstOperands,
     /*  571349 */     // GIR_Coverage, 7507,
     /*  571349 */     GIR_EraseRootFromParent_Done,
     /*  571350 */   // Label 9352: @571350
     /*  571350 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(571425), // Rule ID 7510 //
     /*  571355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  571404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571423 */     GIR_RootConstrainSelectedInstOperands,
     /*  571424 */     // GIR_Coverage, 7510,
     /*  571424 */     GIR_EraseRootFromParent_Done,
     /*  571425 */   // Label 9353: @571425
     /*  571425 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(571500), // Rule ID 7511 //
     /*  571430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  571447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  571450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  571479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571498 */     GIR_RootConstrainSelectedInstOperands,
     /*  571499 */     // GIR_Coverage, 7511,
     /*  571499 */     GIR_EraseRootFromParent_Done,
     /*  571500 */   // Label 9354: @571500
     /*  571500 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(571575), // Rule ID 7514 //
     /*  571505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  571522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  571554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571573 */     GIR_RootConstrainSelectedInstOperands,
     /*  571574 */     // GIR_Coverage, 7514,
     /*  571574 */     GIR_EraseRootFromParent_Done,
     /*  571575 */   // Label 9355: @571575
     /*  571575 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(571650), // Rule ID 7515 //
     /*  571580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  571597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  571600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  571629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571648 */     GIR_RootConstrainSelectedInstOperands,
     /*  571649 */     // GIR_Coverage, 7515,
     /*  571649 */     GIR_EraseRootFromParent_Done,
     /*  571650 */   // Label 9356: @571650
     /*  571650 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(571725), // Rule ID 7518 //
     /*  571655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  571672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  571704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571723 */     GIR_RootConstrainSelectedInstOperands,
     /*  571724 */     // GIR_Coverage, 7518,
     /*  571724 */     GIR_EraseRootFromParent_Done,
     /*  571725 */   // Label 9357: @571725
     /*  571725 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(571800), // Rule ID 7519 //
     /*  571730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  571747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  571750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  571779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571798 */     GIR_RootConstrainSelectedInstOperands,
     /*  571799 */     // GIR_Coverage, 7519,
     /*  571799 */     GIR_EraseRootFromParent_Done,
     /*  571800 */   // Label 9358: @571800
     /*  571800 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(571875), // Rule ID 7522 //
     /*  571805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  571822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  571825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  571851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  571854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571873 */     GIR_RootConstrainSelectedInstOperands,
     /*  571874 */     // GIR_Coverage, 7522,
     /*  571874 */     GIR_EraseRootFromParent_Done,
     /*  571875 */   // Label 9359: @571875
     /*  571875 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(571950), // Rule ID 7523 //
     /*  571880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  571883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  571891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  571894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  571897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  571900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  571926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  571929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  571945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571948 */     GIR_RootConstrainSelectedInstOperands,
     /*  571949 */     // GIR_Coverage, 7523,
     /*  571949 */     GIR_EraseRootFromParent_Done,
     /*  571950 */   // Label 9360: @571950
     /*  571950 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(572025), // Rule ID 7526 //
     /*  571955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  571958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  571963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  571966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  571969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  571972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  571975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572001 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  572004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572023 */     GIR_RootConstrainSelectedInstOperands,
     /*  572024 */     // GIR_Coverage, 7526,
     /*  572024 */     GIR_EraseRootFromParent_Done,
     /*  572025 */   // Label 9361: @572025
     /*  572025 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(572100), // Rule ID 7527 //
     /*  572030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  572047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  572079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572098 */     GIR_RootConstrainSelectedInstOperands,
     /*  572099 */     // GIR_Coverage, 7527,
     /*  572099 */     GIR_EraseRootFromParent_Done,
     /*  572100 */   // Label 9362: @572100
     /*  572100 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(572175), // Rule ID 7530 //
     /*  572105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  572122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  572154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572173 */     GIR_RootConstrainSelectedInstOperands,
     /*  572174 */     // GIR_Coverage, 7530,
     /*  572174 */     GIR_EraseRootFromParent_Done,
     /*  572175 */   // Label 9363: @572175
     /*  572175 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(572250), // Rule ID 7531 //
     /*  572180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  572197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  572200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  572229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572248 */     GIR_RootConstrainSelectedInstOperands,
     /*  572249 */     // GIR_Coverage, 7531,
     /*  572249 */     GIR_EraseRootFromParent_Done,
     /*  572250 */   // Label 9364: @572250
     /*  572250 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(572325), // Rule ID 7534 //
     /*  572255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  572266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  572269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572301 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  572304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572323 */     GIR_RootConstrainSelectedInstOperands,
     /*  572324 */     // GIR_Coverage, 7534,
     /*  572324 */     GIR_EraseRootFromParent_Done,
     /*  572325 */   // Label 9365: @572325
     /*  572325 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(572400), // Rule ID 7535 //
     /*  572330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  572341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  572344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  572347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  572379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572398 */     GIR_RootConstrainSelectedInstOperands,
     /*  572399 */     // GIR_Coverage, 7535,
     /*  572399 */     GIR_EraseRootFromParent_Done,
     /*  572400 */   // Label 9366: @572400
     /*  572400 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(572475), // Rule ID 7538 //
     /*  572405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  572416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  572419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572451 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  572454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572473 */     GIR_RootConstrainSelectedInstOperands,
     /*  572474 */     // GIR_Coverage, 7538,
     /*  572474 */     GIR_EraseRootFromParent_Done,
     /*  572475 */   // Label 9367: @572475
     /*  572475 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(572550), // Rule ID 7539 //
     /*  572480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  572491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  572494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572526 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  572529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572548 */     GIR_RootConstrainSelectedInstOperands,
     /*  572549 */     // GIR_Coverage, 7539,
     /*  572549 */     GIR_EraseRootFromParent_Done,
     /*  572550 */   // Label 9368: @572550
     /*  572550 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(572625), // Rule ID 7542 //
     /*  572555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  572566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  572569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572601 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  572604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572623 */     GIR_RootConstrainSelectedInstOperands,
     /*  572624 */     // GIR_Coverage, 7542,
     /*  572624 */     GIR_EraseRootFromParent_Done,
     /*  572625 */   // Label 9369: @572625
     /*  572625 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(572700), // Rule ID 7543 //
     /*  572630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  572641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  572644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  572679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572698 */     GIR_RootConstrainSelectedInstOperands,
     /*  572699 */     // GIR_Coverage, 7543,
     /*  572699 */     GIR_EraseRootFromParent_Done,
     /*  572700 */   // Label 9370: @572700
     /*  572700 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(572775), // Rule ID 7546 //
     /*  572705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  572716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  572719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  572754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572773 */     GIR_RootConstrainSelectedInstOperands,
     /*  572774 */     // GIR_Coverage, 7546,
     /*  572774 */     GIR_EraseRootFromParent_Done,
     /*  572775 */   // Label 9371: @572775
     /*  572775 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(572850), // Rule ID 7547 //
     /*  572780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  572791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  572794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11125:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  572829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572848 */     GIR_RootConstrainSelectedInstOperands,
     /*  572849 */     // GIR_Coverage, 7547,
     /*  572849 */     GIR_EraseRootFromParent_Done,
     /*  572850 */   // Label 9372: @572850
     /*  572850 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(572925), // Rule ID 7550 //
     /*  572855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  572866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  572869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  572875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572901 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  572901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  572904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572923 */     GIR_RootConstrainSelectedInstOperands,
     /*  572924 */     // GIR_Coverage, 7550,
     /*  572924 */     GIR_EraseRootFromParent_Done,
     /*  572925 */   // Label 9373: @572925
     /*  572925 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(573000), // Rule ID 7551 //
     /*  572930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  572938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  572941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  572944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  572950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  572969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  572976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  572979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  572995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572998 */     GIR_RootConstrainSelectedInstOperands,
     /*  572999 */     // GIR_Coverage, 7551,
     /*  572999 */     GIR_EraseRootFromParent_Done,
     /*  573000 */   // Label 9374: @573000
     /*  573000 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(573075), // Rule ID 7554 //
     /*  573005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  573016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  573019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  573022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  573054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573073 */     GIR_RootConstrainSelectedInstOperands,
     /*  573074 */     // GIR_Coverage, 7554,
     /*  573074 */     GIR_EraseRootFromParent_Done,
     /*  573075 */   // Label 9375: @573075
     /*  573075 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(573150), // Rule ID 7555 //
     /*  573080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  573091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  573094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  573097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  573129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573148 */     GIR_RootConstrainSelectedInstOperands,
     /*  573149 */     // GIR_Coverage, 7555,
     /*  573149 */     GIR_EraseRootFromParent_Done,
     /*  573150 */   // Label 9376: @573150
     /*  573150 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(573225), // Rule ID 7558 //
     /*  573155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  573172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  573204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573223 */     GIR_RootConstrainSelectedInstOperands,
     /*  573224 */     // GIR_Coverage, 7558,
     /*  573224 */     GIR_EraseRootFromParent_Done,
     /*  573225 */   // Label 9377: @573225
     /*  573225 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(573300), // Rule ID 7559 //
     /*  573230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  573247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  573279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573298 */     GIR_RootConstrainSelectedInstOperands,
     /*  573299 */     // GIR_Coverage, 7559,
     /*  573299 */     GIR_EraseRootFromParent_Done,
     /*  573300 */   // Label 9378: @573300
     /*  573300 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(573375), // Rule ID 7562 //
     /*  573305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  573354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573373 */     GIR_RootConstrainSelectedInstOperands,
     /*  573374 */     // GIR_Coverage, 7562,
     /*  573374 */     GIR_EraseRootFromParent_Done,
     /*  573375 */   // Label 9379: @573375
     /*  573375 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(573450), // Rule ID 7563 //
     /*  573380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  573397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  573429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573448 */     GIR_RootConstrainSelectedInstOperands,
     /*  573449 */     // GIR_Coverage, 7563,
     /*  573449 */     GIR_EraseRootFromParent_Done,
     /*  573450 */   // Label 9380: @573450
     /*  573450 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(573525), // Rule ID 7566 //
     /*  573455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  573504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573523 */     GIR_RootConstrainSelectedInstOperands,
     /*  573524 */     // GIR_Coverage, 7566,
     /*  573524 */     GIR_EraseRootFromParent_Done,
     /*  573525 */   // Label 9381: @573525
     /*  573525 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(573600), // Rule ID 7567 //
     /*  573530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  573547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11125:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  573579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573598 */     GIR_RootConstrainSelectedInstOperands,
     /*  573599 */     // GIR_Coverage, 7567,
     /*  573599 */     GIR_EraseRootFromParent_Done,
     /*  573600 */   // Label 9382: @573600
     /*  573600 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(573675), // Rule ID 7570 //
     /*  573605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  573654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573673 */     GIR_RootConstrainSelectedInstOperands,
     /*  573674 */     // GIR_Coverage, 7570,
     /*  573674 */     GIR_EraseRootFromParent_Done,
     /*  573675 */   // Label 9383: @573675
     /*  573675 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(573750), // Rule ID 7571 //
     /*  573680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573726 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  573729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573748 */     GIR_RootConstrainSelectedInstOperands,
     /*  573749 */     // GIR_Coverage, 7571,
     /*  573749 */     GIR_EraseRootFromParent_Done,
     /*  573750 */   // Label 9384: @573750
     /*  573750 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(573825), // Rule ID 7574 //
     /*  573755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  573772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  573801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  573804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573823 */     GIR_RootConstrainSelectedInstOperands,
     /*  573824 */     // GIR_Coverage, 7574,
     /*  573824 */     GIR_EraseRootFromParent_Done,
     /*  573825 */   // Label 9385: @573825
     /*  573825 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(573900), // Rule ID 7575 //
     /*  573830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  573847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  573876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  573879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  573895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573898 */     GIR_RootConstrainSelectedInstOperands,
     /*  573899 */     // GIR_Coverage, 7575,
     /*  573899 */     GIR_EraseRootFromParent_Done,
     /*  573900 */   // Label 9386: @573900
     /*  573900 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(573975), // Rule ID 7578 //
     /*  573905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  573922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573951 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  573954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573973 */     GIR_RootConstrainSelectedInstOperands,
     /*  573974 */     // GIR_Coverage, 7578,
     /*  573974 */     GIR_EraseRootFromParent_Done,
     /*  573975 */   // Label 9387: @573975
     /*  573975 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(574050), // Rule ID 7579 //
     /*  573980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  573988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  573991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  573994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  573997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  574029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574048 */     GIR_RootConstrainSelectedInstOperands,
     /*  574049 */     // GIR_Coverage, 7579,
     /*  574049 */     GIR_EraseRootFromParent_Done,
     /*  574050 */   // Label 9388: @574050
     /*  574050 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(574125), // Rule ID 7582 //
     /*  574055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  574072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574101 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  574104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574123 */     GIR_RootConstrainSelectedInstOperands,
     /*  574124 */     // GIR_Coverage, 7582,
     /*  574124 */     GIR_EraseRootFromParent_Done,
     /*  574125 */   // Label 9389: @574125
     /*  574125 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(574200), // Rule ID 7583 //
     /*  574130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  574147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11125:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  574179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574198 */     GIR_RootConstrainSelectedInstOperands,
     /*  574199 */     // GIR_Coverage, 7583,
     /*  574199 */     GIR_EraseRootFromParent_Done,
     /*  574200 */   // Label 9390: @574200
     /*  574200 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(574275), // Rule ID 7586 //
     /*  574205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  574222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  574254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574273 */     GIR_RootConstrainSelectedInstOperands,
     /*  574274 */     // GIR_Coverage, 7586,
     /*  574274 */     GIR_EraseRootFromParent_Done,
     /*  574275 */   // Label 9391: @574275
     /*  574275 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(574350), // Rule ID 7587 //
     /*  574280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  574297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11125:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  574329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574348 */     GIR_RootConstrainSelectedInstOperands,
     /*  574349 */     // GIR_Coverage, 7587,
     /*  574349 */     GIR_EraseRootFromParent_Done,
     /*  574350 */   // Label 9392: @574350
     /*  574350 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(574425), // Rule ID 7590 //
     /*  574355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  574372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  574404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574423 */     GIR_RootConstrainSelectedInstOperands,
     /*  574424 */     // GIR_Coverage, 7590,
     /*  574424 */     GIR_EraseRootFromParent_Done,
     /*  574425 */   // Label 9393: @574425
     /*  574425 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(574500), // Rule ID 7591 //
     /*  574430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  574438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  574447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11125:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  574479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574498 */     GIR_RootConstrainSelectedInstOperands,
     /*  574499 */     // GIR_Coverage, 7591,
     /*  574499 */     GIR_EraseRootFromParent_Done,
     /*  574500 */   // Label 9394: @574500
     /*  574500 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(574575), // Rule ID 10106 //
     /*  574505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  574516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  574519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  574554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574573 */     GIR_RootConstrainSelectedInstOperands,
     /*  574574 */     // GIR_Coverage, 10106,
     /*  574574 */     GIR_EraseRootFromParent_Done,
     /*  574575 */   // Label 9395: @574575
     /*  574575 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(574650), // Rule ID 10107 //
     /*  574580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  574591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  574594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  574597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  574600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  574629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574648 */     GIR_RootConstrainSelectedInstOperands,
     /*  574649 */     // GIR_Coverage, 10107,
     /*  574649 */     GIR_EraseRootFromParent_Done,
     /*  574650 */   // Label 9396: @574650
     /*  574650 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(574725), // Rule ID 10110 //
     /*  574655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  574666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  574669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  574704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574723 */     GIR_RootConstrainSelectedInstOperands,
     /*  574724 */     // GIR_Coverage, 10110,
     /*  574724 */     GIR_EraseRootFromParent_Done,
     /*  574725 */   // Label 9397: @574725
     /*  574725 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(574800), // Rule ID 10111 //
     /*  574730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  574741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  574744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  574747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  574750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  574779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574798 */     GIR_RootConstrainSelectedInstOperands,
     /*  574799 */     // GIR_Coverage, 10111,
     /*  574799 */     GIR_EraseRootFromParent_Done,
     /*  574800 */   // Label 9398: @574800
     /*  574800 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(574875), // Rule ID 10114 //
     /*  574805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  574816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  574819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  574822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  574825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  574851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  574854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574873 */     GIR_RootConstrainSelectedInstOperands,
     /*  574874 */     // GIR_Coverage, 10114,
     /*  574874 */     GIR_EraseRootFromParent_Done,
     /*  574875 */   // Label 9399: @574875
     /*  574875 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(574950), // Rule ID 10115 //
     /*  574880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  574891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  574894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  574897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  574900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  574929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574948 */     GIR_RootConstrainSelectedInstOperands,
     /*  574949 */     // GIR_Coverage, 10115,
     /*  574949 */     GIR_EraseRootFromParent_Done,
     /*  574950 */   // Label 9400: @574950
     /*  574950 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(575025), // Rule ID 10118 //
     /*  574955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  574963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  574966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  574969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  574975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  575004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575023 */     GIR_RootConstrainSelectedInstOperands,
     /*  575024 */     // GIR_Coverage, 10118,
     /*  575024 */     GIR_EraseRootFromParent_Done,
     /*  575025 */   // Label 9401: @575025
     /*  575025 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(575100), // Rule ID 10119 //
     /*  575030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  575047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  575050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  575079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575098 */     GIR_RootConstrainSelectedInstOperands,
     /*  575099 */     // GIR_Coverage, 10119,
     /*  575099 */     GIR_EraseRootFromParent_Done,
     /*  575100 */   // Label 9402: @575100
     /*  575100 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(575175), // Rule ID 10122 //
     /*  575105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  575154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575173 */     GIR_RootConstrainSelectedInstOperands,
     /*  575174 */     // GIR_Coverage, 10122,
     /*  575174 */     GIR_EraseRootFromParent_Done,
     /*  575175 */   // Label 9403: @575175
     /*  575175 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(575250), // Rule ID 10123 //
     /*  575180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  575197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  575200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  575229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575248 */     GIR_RootConstrainSelectedInstOperands,
     /*  575249 */     // GIR_Coverage, 10123,
     /*  575249 */     GIR_EraseRootFromParent_Done,
     /*  575250 */   // Label 9404: @575250
     /*  575250 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(575325), // Rule ID 10126 //
     /*  575255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  575275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  575304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575323 */     GIR_RootConstrainSelectedInstOperands,
     /*  575324 */     // GIR_Coverage, 10126,
     /*  575324 */     GIR_EraseRootFromParent_Done,
     /*  575325 */   // Label 9405: @575325
     /*  575325 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(575400), // Rule ID 10127 //
     /*  575330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  575341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  575344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  575347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  575350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  575379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575398 */     GIR_RootConstrainSelectedInstOperands,
     /*  575399 */     // GIR_Coverage, 10127,
     /*  575399 */     GIR_EraseRootFromParent_Done,
     /*  575400 */   // Label 9406: @575400
     /*  575400 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(575475), // Rule ID 10130 //
     /*  575405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  575416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  575419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575473 */     GIR_RootConstrainSelectedInstOperands,
     /*  575474 */     // GIR_Coverage, 10130,
     /*  575474 */     GIR_EraseRootFromParent_Done,
     /*  575475 */   // Label 9407: @575475
     /*  575475 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(575550), // Rule ID 10131 //
     /*  575480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  575491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  575494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575548 */     GIR_RootConstrainSelectedInstOperands,
     /*  575549 */     // GIR_Coverage, 10131,
     /*  575549 */     GIR_EraseRootFromParent_Done,
     /*  575550 */   // Label 9408: @575550
     /*  575550 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(575625), // Rule ID 10134 //
     /*  575555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  575601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575623 */     GIR_RootConstrainSelectedInstOperands,
     /*  575624 */     // GIR_Coverage, 10134,
     /*  575624 */     GIR_EraseRootFromParent_Done,
     /*  575625 */   // Label 9409: @575625
     /*  575625 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(575700), // Rule ID 10135 //
     /*  575630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  575647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  575650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  575676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  575695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575698 */     GIR_RootConstrainSelectedInstOperands,
     /*  575699 */     // GIR_Coverage, 10135,
     /*  575699 */     GIR_EraseRootFromParent_Done,
     /*  575700 */   // Label 9410: @575700
     /*  575700 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(575775), // Rule ID 10138 //
     /*  575705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575773 */     GIR_RootConstrainSelectedInstOperands,
     /*  575774 */     // GIR_Coverage, 10138,
     /*  575774 */     GIR_EraseRootFromParent_Done,
     /*  575775 */   // Label 9411: @575775
     /*  575775 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(575850), // Rule ID 10139 //
     /*  575780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  575791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  575794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  575800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575848 */     GIR_RootConstrainSelectedInstOperands,
     /*  575849 */     // GIR_Coverage, 10139,
     /*  575849 */     GIR_EraseRootFromParent_Done,
     /*  575850 */   // Label 9412: @575850
     /*  575850 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(575925), // Rule ID 10142 //
     /*  575855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  575858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  575872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  575875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  575901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575923 */     GIR_RootConstrainSelectedInstOperands,
     /*  575924 */     // GIR_Coverage, 10142,
     /*  575924 */     GIR_EraseRootFromParent_Done,
     /*  575925 */   // Label 9413: @575925
     /*  575925 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(576000), // Rule ID 10143 //
     /*  575930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  575933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  575938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  575941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  575944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  575947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  575950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  575976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  575979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  575995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575998 */     GIR_RootConstrainSelectedInstOperands,
     /*  575999 */     // GIR_Coverage, 10143,
     /*  575999 */     GIR_EraseRootFromParent_Done,
     /*  576000 */   // Label 9414: @576000
     /*  576000 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(576075), // Rule ID 10146 //
     /*  576005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  576016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  576019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  576054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576073 */     GIR_RootConstrainSelectedInstOperands,
     /*  576074 */     // GIR_Coverage, 10146,
     /*  576074 */     GIR_EraseRootFromParent_Done,
     /*  576075 */   // Label 9415: @576075
     /*  576075 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(576150), // Rule ID 10147 //
     /*  576080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  576091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  576094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576126 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  576129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576148 */     GIR_RootConstrainSelectedInstOperands,
     /*  576149 */     // GIR_Coverage, 10147,
     /*  576149 */     GIR_EraseRootFromParent_Done,
     /*  576150 */   // Label 9416: @576150
     /*  576150 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(576225), // Rule ID 10150 //
     /*  576155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  576166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  576169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  576204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576223 */     GIR_RootConstrainSelectedInstOperands,
     /*  576224 */     // GIR_Coverage, 10150,
     /*  576224 */     GIR_EraseRootFromParent_Done,
     /*  576225 */   // Label 9417: @576225
     /*  576225 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(576300), // Rule ID 10151 //
     /*  576230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  576241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  576244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  576279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576298 */     GIR_RootConstrainSelectedInstOperands,
     /*  576299 */     // GIR_Coverage, 10151,
     /*  576299 */     GIR_EraseRootFromParent_Done,
     /*  576300 */   // Label 9418: @576300
     /*  576300 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(576375), // Rule ID 10154 //
     /*  576305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  576316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  576319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  576322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  576325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  576354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576373 */     GIR_RootConstrainSelectedInstOperands,
     /*  576374 */     // GIR_Coverage, 10154,
     /*  576374 */     GIR_EraseRootFromParent_Done,
     /*  576375 */   // Label 9419: @576375
     /*  576375 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(576450), // Rule ID 10155 //
     /*  576380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  576391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  576394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  576397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  576400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  576429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576448 */     GIR_RootConstrainSelectedInstOperands,
     /*  576449 */     // GIR_Coverage, 10155,
     /*  576449 */     GIR_EraseRootFromParent_Done,
     /*  576450 */   // Label 9420: @576450
     /*  576450 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(576525), // Rule ID 10158 //
     /*  576455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  576504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576523 */     GIR_RootConstrainSelectedInstOperands,
     /*  576524 */     // GIR_Coverage, 10158,
     /*  576524 */     GIR_EraseRootFromParent_Done,
     /*  576525 */   // Label 9421: @576525
     /*  576525 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(576600), // Rule ID 10159 //
     /*  576530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  576541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  576544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  576579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576598 */     GIR_RootConstrainSelectedInstOperands,
     /*  576599 */     // GIR_Coverage, 10159,
     /*  576599 */     GIR_EraseRootFromParent_Done,
     /*  576600 */   // Label 9422: @576600
     /*  576600 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(576675), // Rule ID 10162 //
     /*  576605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  576654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576673 */     GIR_RootConstrainSelectedInstOperands,
     /*  576674 */     // GIR_Coverage, 10162,
     /*  576674 */     GIR_EraseRootFromParent_Done,
     /*  576675 */   // Label 9423: @576675
     /*  576675 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(576750), // Rule ID 10163 //
     /*  576680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  576729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576748 */     GIR_RootConstrainSelectedInstOperands,
     /*  576749 */     // GIR_Coverage, 10163,
     /*  576749 */     GIR_EraseRootFromParent_Done,
     /*  576750 */   // Label 9424: @576750
     /*  576750 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(576825), // Rule ID 10166 //
     /*  576755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  576772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  576775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  576804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576823 */     GIR_RootConstrainSelectedInstOperands,
     /*  576824 */     // GIR_Coverage, 10166,
     /*  576824 */     GIR_EraseRootFromParent_Done,
     /*  576825 */   // Label 9425: @576825
     /*  576825 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(576900), // Rule ID 10167 //
     /*  576830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  576847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  576850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  576879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576898 */     GIR_RootConstrainSelectedInstOperands,
     /*  576899 */     // GIR_Coverage, 10167,
     /*  576899 */     GIR_EraseRootFromParent_Done,
     /*  576900 */   // Label 9426: @576900
     /*  576900 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(576975), // Rule ID 10170 //
     /*  576905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  576925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  576951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  576954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  576970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576973 */     GIR_RootConstrainSelectedInstOperands,
     /*  576974 */     // GIR_Coverage, 10170,
     /*  576974 */     GIR_EraseRootFromParent_Done,
     /*  576975 */   // Label 9427: @576975
     /*  576975 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(577050), // Rule ID 10171 //
     /*  576980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  576988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  576997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  577029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577048 */     GIR_RootConstrainSelectedInstOperands,
     /*  577049 */     // GIR_Coverage, 10171,
     /*  577049 */     GIR_EraseRootFromParent_Done,
     /*  577050 */   // Label 9428: @577050
     /*  577050 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(577125), // Rule ID 10174 //
     /*  577055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  577104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577123 */     GIR_RootConstrainSelectedInstOperands,
     /*  577124 */     // GIR_Coverage, 10174,
     /*  577124 */     GIR_EraseRootFromParent_Done,
     /*  577125 */   // Label 9429: @577125
     /*  577125 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(577200), // Rule ID 10175 //
     /*  577130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  577141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  577144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  577179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577198 */     GIR_RootConstrainSelectedInstOperands,
     /*  577199 */     // GIR_Coverage, 10175,
     /*  577199 */     GIR_EraseRootFromParent_Done,
     /*  577200 */   // Label 9430: @577200
     /*  577200 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(577275), // Rule ID 10178 //
     /*  577205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  577222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  577225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  577254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577273 */     GIR_RootConstrainSelectedInstOperands,
     /*  577274 */     // GIR_Coverage, 10178,
     /*  577274 */     GIR_EraseRootFromParent_Done,
     /*  577275 */   // Label 9431: @577275
     /*  577275 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(577350), // Rule ID 10179 //
     /*  577280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  577297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  577300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  577329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577348 */     GIR_RootConstrainSelectedInstOperands,
     /*  577349 */     // GIR_Coverage, 10179,
     /*  577349 */     GIR_EraseRootFromParent_Done,
     /*  577350 */   // Label 9432: @577350
     /*  577350 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(577425), // Rule ID 10182 //
     /*  577355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  577358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  577372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  577375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  577401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  577404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577423 */     GIR_RootConstrainSelectedInstOperands,
     /*  577424 */     // GIR_Coverage, 10182,
     /*  577424 */     GIR_EraseRootFromParent_Done,
     /*  577425 */   // Label 9433: @577425
     /*  577425 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(577500), // Rule ID 10183 //
     /*  577430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  577433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  577447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  577450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  577476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  577479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577498 */     GIR_RootConstrainSelectedInstOperands,
     /*  577499 */     // GIR_Coverage, 10183,
     /*  577499 */     GIR_EraseRootFromParent_Done,
     /*  577500 */   // Label 9434: @577500
     /*  577500 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(577575), // Rule ID 10186 //
     /*  577505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  577508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  577522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  577525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  577551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  577554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577573 */     GIR_RootConstrainSelectedInstOperands,
     /*  577574 */     // GIR_Coverage, 10186,
     /*  577574 */     GIR_EraseRootFromParent_Done,
     /*  577575 */   // Label 9435: @577575
     /*  577575 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(577650), // Rule ID 10187 //
     /*  577580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  577583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  577597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  577600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  577626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  577629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577648 */     GIR_RootConstrainSelectedInstOperands,
     /*  577649 */     // GIR_Coverage, 10187,
     /*  577649 */     GIR_EraseRootFromParent_Done,
     /*  577650 */   // Label 9436: @577650
     /*  577650 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(577725), // Rule ID 10190 //
     /*  577655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  577658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  577672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  577675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  577701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  577704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577723 */     GIR_RootConstrainSelectedInstOperands,
     /*  577724 */     // GIR_Coverage, 10190,
     /*  577724 */     GIR_EraseRootFromParent_Done,
     /*  577725 */   // Label 9437: @577725
     /*  577725 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(577800), // Rule ID 10191 //
     /*  577730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  577733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  577747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  577750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  577776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  577779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  577795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577798 */     GIR_RootConstrainSelectedInstOperands,
     /*  577799 */     // GIR_Coverage, 10191,
     /*  577799 */     GIR_EraseRootFromParent_Done,
     /*  577800 */   // Label 9438: @577800
     /*  577800 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(577875), // Rule ID 10194 //
     /*  577805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  577816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  577819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  577854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577873 */     GIR_RootConstrainSelectedInstOperands,
     /*  577874 */     // GIR_Coverage, 10194,
     /*  577874 */     GIR_EraseRootFromParent_Done,
     /*  577875 */   // Label 9439: @577875
     /*  577875 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(577950), // Rule ID 10195 //
     /*  577880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  577891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  577894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  577929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577948 */     GIR_RootConstrainSelectedInstOperands,
     /*  577949 */     // GIR_Coverage, 10195,
     /*  577949 */     GIR_EraseRootFromParent_Done,
     /*  577950 */   // Label 9440: @577950
     /*  577950 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(578025), // Rule ID 10198 //
     /*  577955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  577963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  577966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  577969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  578004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578023 */     GIR_RootConstrainSelectedInstOperands,
     /*  578024 */     // GIR_Coverage, 10198,
     /*  578024 */     GIR_EraseRootFromParent_Done,
     /*  578025 */   // Label 9441: @578025
     /*  578025 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(578100), // Rule ID 10199 //
     /*  578030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  578041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  578044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  578047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  578079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578098 */     GIR_RootConstrainSelectedInstOperands,
     /*  578099 */     // GIR_Coverage, 10199,
     /*  578099 */     GIR_EraseRootFromParent_Done,
     /*  578100 */   // Label 9442: @578100
     /*  578100 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(578175), // Rule ID 10202 //
     /*  578105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  578116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  578119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578173 */     GIR_RootConstrainSelectedInstOperands,
     /*  578174 */     // GIR_Coverage, 10202,
     /*  578174 */     GIR_EraseRootFromParent_Done,
     /*  578175 */   // Label 9443: @578175
     /*  578175 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(578250), // Rule ID 10203 //
     /*  578180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  578191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  578194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578248 */     GIR_RootConstrainSelectedInstOperands,
     /*  578249 */     // GIR_Coverage, 10203,
     /*  578249 */     GIR_EraseRootFromParent_Done,
     /*  578250 */   // Label 9444: @578250
     /*  578250 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(578325), // Rule ID 10206 //
     /*  578255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  578266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  578269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  578304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578323 */     GIR_RootConstrainSelectedInstOperands,
     /*  578324 */     // GIR_Coverage, 10206,
     /*  578324 */     GIR_EraseRootFromParent_Done,
     /*  578325 */   // Label 9445: @578325
     /*  578325 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(578400), // Rule ID 10207 //
     /*  578330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  578341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  578344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  578379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578398 */     GIR_RootConstrainSelectedInstOperands,
     /*  578399 */     // GIR_Coverage, 10207,
     /*  578399 */     GIR_EraseRootFromParent_Done,
     /*  578400 */   // Label 9446: @578400
     /*  578400 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(578475), // Rule ID 10210 //
     /*  578405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578473 */     GIR_RootConstrainSelectedInstOperands,
     /*  578474 */     // GIR_Coverage, 10210,
     /*  578474 */     GIR_EraseRootFromParent_Done,
     /*  578475 */   // Label 9447: @578475
     /*  578475 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(578550), // Rule ID 10211 //
     /*  578480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  578491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  578494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578548 */     GIR_RootConstrainSelectedInstOperands,
     /*  578549 */     // GIR_Coverage, 10211,
     /*  578549 */     GIR_EraseRootFromParent_Done,
     /*  578550 */   // Label 9448: @578550
     /*  578550 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(578625), // Rule ID 10214 //
     /*  578555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  578601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578623 */     GIR_RootConstrainSelectedInstOperands,
     /*  578624 */     // GIR_Coverage, 10214,
     /*  578624 */     GIR_EraseRootFromParent_Done,
     /*  578625 */   // Label 9449: @578625
     /*  578625 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(578700), // Rule ID 10215 //
     /*  578630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  578647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  578676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  578679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  578695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578698 */     GIR_RootConstrainSelectedInstOperands,
     /*  578699 */     // GIR_Coverage, 10215,
     /*  578699 */     GIR_EraseRootFromParent_Done,
     /*  578700 */   // Label 9450: @578700
     /*  578700 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(578775), // Rule ID 10218 //
     /*  578705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  578716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  578719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  578754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578773 */     GIR_RootConstrainSelectedInstOperands,
     /*  578774 */     // GIR_Coverage, 10218,
     /*  578774 */     GIR_EraseRootFromParent_Done,
     /*  578775 */   // Label 9451: @578775
     /*  578775 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(578850), // Rule ID 10219 //
     /*  578780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  578791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  578794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11068:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  578829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578848 */     GIR_RootConstrainSelectedInstOperands,
     /*  578849 */     // GIR_Coverage, 10219,
     /*  578849 */     GIR_EraseRootFromParent_Done,
     /*  578850 */   // Label 9452: @578850
     /*  578850 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(578925), // Rule ID 10222 //
     /*  578855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  578904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578923 */     GIR_RootConstrainSelectedInstOperands,
     /*  578924 */     // GIR_Coverage, 10222,
     /*  578924 */     GIR_EraseRootFromParent_Done,
     /*  578925 */   // Label 9453: @578925
     /*  578925 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(579000), // Rule ID 10223 //
     /*  578930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  578938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11068:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  578979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578998 */     GIR_RootConstrainSelectedInstOperands,
     /*  578999 */     // GIR_Coverage, 10223,
     /*  578999 */     GIR_EraseRootFromParent_Done,
     /*  579000 */   // Label 9454: @579000
     /*  579000 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(579075), // Rule ID 10226 //
     /*  579005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  579054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579073 */     GIR_RootConstrainSelectedInstOperands,
     /*  579074 */     // GIR_Coverage, 10226,
     /*  579074 */     GIR_EraseRootFromParent_Done,
     /*  579075 */   // Label 9455: @579075
     /*  579075 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(579150), // Rule ID 10227 //
     /*  579080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  579091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  579094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11068:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  579129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579148 */     GIR_RootConstrainSelectedInstOperands,
     /*  579149 */     // GIR_Coverage, 10227,
     /*  579149 */     GIR_EraseRootFromParent_Done,
     /*  579150 */   // Label 9456: @579150
     /*  579150 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(579225), // Rule ID 10230 //
     /*  579155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  579158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  579172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  579201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  579204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  579220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579223 */     GIR_RootConstrainSelectedInstOperands,
     /*  579224 */     // GIR_Coverage, 10230,
     /*  579224 */     GIR_EraseRootFromParent_Done,
     /*  579225 */   // Label 9457: @579225
     /*  579225 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(579300), // Rule ID 10231 //
     /*  579230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  579233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  579247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11068:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  579276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  579279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  579295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579298 */     GIR_RootConstrainSelectedInstOperands,
     /*  579299 */     // GIR_Coverage, 10231,
     /*  579299 */     GIR_EraseRootFromParent_Done,
     /*  579300 */   // Label 9458: @579300
     /*  579300 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(579375), // Rule ID 10234 //
     /*  579305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  579316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  579319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  579354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579373 */     GIR_RootConstrainSelectedInstOperands,
     /*  579374 */     // GIR_Coverage, 10234,
     /*  579374 */     GIR_EraseRootFromParent_Done,
     /*  579375 */   // Label 9459: @579375
     /*  579375 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(579450), // Rule ID 10235 //
     /*  579380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  579391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  579394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  579397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  579429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579448 */     GIR_RootConstrainSelectedInstOperands,
     /*  579449 */     // GIR_Coverage, 10235,
     /*  579449 */     GIR_EraseRootFromParent_Done,
     /*  579450 */   // Label 9460: @579450
     /*  579450 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(579525), // Rule ID 10238 //
     /*  579455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  579466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  579469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  579472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  579504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579523 */     GIR_RootConstrainSelectedInstOperands,
     /*  579524 */     // GIR_Coverage, 10238,
     /*  579524 */     GIR_EraseRootFromParent_Done,
     /*  579525 */   // Label 9461: @579525
     /*  579525 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(579600), // Rule ID 10239 //
     /*  579530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  579541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  579544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  579547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  579579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579598 */     GIR_RootConstrainSelectedInstOperands,
     /*  579599 */     // GIR_Coverage, 10239,
     /*  579599 */     GIR_EraseRootFromParent_Done,
     /*  579600 */   // Label 9462: @579600
     /*  579600 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(579675), // Rule ID 10242 //
     /*  579605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  579616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  579619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  579622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  579654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579673 */     GIR_RootConstrainSelectedInstOperands,
     /*  579674 */     // GIR_Coverage, 10242,
     /*  579674 */     GIR_EraseRootFromParent_Done,
     /*  579675 */   // Label 9463: @579675
     /*  579675 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(579750), // Rule ID 10243 //
     /*  579680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  579691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  579694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  579697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  579726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  579729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  579745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579748 */     GIR_RootConstrainSelectedInstOperands,
     /*  579749 */     // GIR_Coverage, 10243,
     /*  579749 */     GIR_EraseRootFromParent_Done,
     /*  579750 */   // Label 9464: @579750
     /*  579750 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(579825), // Rule ID 10246 //
     /*  579755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  579804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579823 */     GIR_RootConstrainSelectedInstOperands,
     /*  579824 */     // GIR_Coverage, 10246,
     /*  579824 */     GIR_EraseRootFromParent_Done,
     /*  579825 */   // Label 9465: @579825
     /*  579825 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(579900), // Rule ID 10247 //
     /*  579830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  579841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  579844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  579879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579898 */     GIR_RootConstrainSelectedInstOperands,
     /*  579899 */     // GIR_Coverage, 10247,
     /*  579899 */     GIR_EraseRootFromParent_Done,
     /*  579900 */   // Label 9466: @579900
     /*  579900 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(579975), // Rule ID 10250 //
     /*  579905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  579954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579973 */     GIR_RootConstrainSelectedInstOperands,
     /*  579974 */     // GIR_Coverage, 10250,
     /*  579974 */     GIR_EraseRootFromParent_Done,
     /*  579975 */   // Label 9467: @579975
     /*  579975 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(580050), // Rule ID 10251 //
     /*  579980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  579988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  579991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  579994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  580029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580048 */     GIR_RootConstrainSelectedInstOperands,
     /*  580049 */     // GIR_Coverage, 10251,
     /*  580049 */     GIR_EraseRootFromParent_Done,
     /*  580050 */   // Label 9468: @580050
     /*  580050 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(580125), // Rule ID 10254 //
     /*  580055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  580072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  580104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580123 */     GIR_RootConstrainSelectedInstOperands,
     /*  580124 */     // GIR_Coverage, 10254,
     /*  580124 */     GIR_EraseRootFromParent_Done,
     /*  580125 */   // Label 9469: @580125
     /*  580125 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(580200), // Rule ID 10255 //
     /*  580130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  580147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  580179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580198 */     GIR_RootConstrainSelectedInstOperands,
     /*  580199 */     // GIR_Coverage, 10255,
     /*  580199 */     GIR_EraseRootFromParent_Done,
     /*  580200 */   // Label 9470: @580200
     /*  580200 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(580275), // Rule ID 10258 //
     /*  580205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  580222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  580254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580273 */     GIR_RootConstrainSelectedInstOperands,
     /*  580274 */     // GIR_Coverage, 10258,
     /*  580274 */     GIR_EraseRootFromParent_Done,
     /*  580275 */   // Label 9471: @580275
     /*  580275 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(580350), // Rule ID 10259 //
     /*  580280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  580291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  580294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  580297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  580329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580348 */     GIR_RootConstrainSelectedInstOperands,
     /*  580349 */     // GIR_Coverage, 10259,
     /*  580349 */     GIR_EraseRootFromParent_Done,
     /*  580350 */   // Label 9472: @580350
     /*  580350 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(580425), // Rule ID 10262 //
     /*  580355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  580404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580423 */     GIR_RootConstrainSelectedInstOperands,
     /*  580424 */     // GIR_Coverage, 10262,
     /*  580424 */     GIR_EraseRootFromParent_Done,
     /*  580425 */   // Label 9473: @580425
     /*  580425 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(580500), // Rule ID 10263 //
     /*  580430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  580441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  580444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  580447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  580479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580498 */     GIR_RootConstrainSelectedInstOperands,
     /*  580499 */     // GIR_Coverage, 10263,
     /*  580499 */     GIR_EraseRootFromParent_Done,
     /*  580500 */   // Label 9474: @580500
     /*  580500 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(580575), // Rule ID 10266 //
     /*  580505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  580522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  580551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  580554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580573 */     GIR_RootConstrainSelectedInstOperands,
     /*  580574 */     // GIR_Coverage, 10266,
     /*  580574 */     GIR_EraseRootFromParent_Done,
     /*  580575 */   // Label 9475: @580575
     /*  580575 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(580650), // Rule ID 10267 //
     /*  580580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  580591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  580594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  580597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  580626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  580629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  580645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580648 */     GIR_RootConstrainSelectedInstOperands,
     /*  580649 */     // GIR_Coverage, 10267,
     /*  580649 */     GIR_EraseRootFromParent_Done,
     /*  580650 */   // Label 9476: @580650
     /*  580650 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(580725), // Rule ID 10270 //
     /*  580655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  580658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  580666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  580669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  580672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  580701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  580704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580723 */     GIR_RootConstrainSelectedInstOperands,
     /*  580724 */     // GIR_Coverage, 10270,
     /*  580724 */     GIR_EraseRootFromParent_Done,
     /*  580725 */   // Label 9477: @580725
     /*  580725 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(580800), // Rule ID 10271 //
     /*  580730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  580733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  580741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  580744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  580747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11068:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  580776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  580779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580798 */     GIR_RootConstrainSelectedInstOperands,
     /*  580799 */     // GIR_Coverage, 10271,
     /*  580799 */     GIR_EraseRootFromParent_Done,
     /*  580800 */   // Label 9478: @580800
     /*  580800 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(580875), // Rule ID 10274 //
     /*  580805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  580808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  580816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  580819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  580822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  580851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  580854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580873 */     GIR_RootConstrainSelectedInstOperands,
     /*  580874 */     // GIR_Coverage, 10274,
     /*  580874 */     GIR_EraseRootFromParent_Done,
     /*  580875 */   // Label 9479: @580875
     /*  580875 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(580950), // Rule ID 10275 //
     /*  580880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  580883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  580891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  580894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  580897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  580900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11068:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  580926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  580929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  580945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580948 */     GIR_RootConstrainSelectedInstOperands,
     /*  580949 */     // GIR_Coverage, 10275,
     /*  580949 */     GIR_EraseRootFromParent_Done,
     /*  580950 */   // Label 9480: @580950
     /*  580950 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(581025), // Rule ID 10278 //
     /*  580955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  580958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  580963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  580966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  580969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  580972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  580975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  580994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  581001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  581004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  581020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581023 */     GIR_RootConstrainSelectedInstOperands,
     /*  581024 */     // GIR_Coverage, 10278,
     /*  581024 */     GIR_EraseRootFromParent_Done,
     /*  581025 */   // Label 9481: @581025
     /*  581025 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(581100), // Rule ID 10279 //
     /*  581030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  581033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  581038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  581041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  581044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  581047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  581050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  581069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11068:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  581076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  581079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  581095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581098 */     GIR_RootConstrainSelectedInstOperands,
     /*  581099 */     // GIR_Coverage, 10279,
     /*  581099 */     GIR_EraseRootFromParent_Done,
     /*  581100 */   // Label 9482: @581100
     /*  581100 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(581175), // Rule ID 10282 //
     /*  581105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  581116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  581119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  581125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  581154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581173 */     GIR_RootConstrainSelectedInstOperands,
     /*  581174 */     // GIR_Coverage, 10282,
     /*  581174 */     GIR_EraseRootFromParent_Done,
     /*  581175 */   // Label 9483: @581175
     /*  581175 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(581250), // Rule ID 10283 //
     /*  581180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  581191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  581194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  581197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  581200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  581229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581248 */     GIR_RootConstrainSelectedInstOperands,
     /*  581249 */     // GIR_Coverage, 10283,
     /*  581249 */     GIR_EraseRootFromParent_Done,
     /*  581250 */   // Label 9484: @581250
     /*  581250 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(581325), // Rule ID 10286 //
     /*  581255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  581266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  581269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  581275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  581304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581323 */     GIR_RootConstrainSelectedInstOperands,
     /*  581324 */     // GIR_Coverage, 10286,
     /*  581324 */     GIR_EraseRootFromParent_Done,
     /*  581325 */   // Label 9485: @581325
     /*  581325 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(581400), // Rule ID 10287 //
     /*  581330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  581341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  581344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  581347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  581350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  581379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581398 */     GIR_RootConstrainSelectedInstOperands,
     /*  581399 */     // GIR_Coverage, 10287,
     /*  581399 */     GIR_EraseRootFromParent_Done,
     /*  581400 */   // Label 9486: @581400
     /*  581400 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(581475), // Rule ID 10290 //
     /*  581405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  581416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  581419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  581425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  581451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581473 */     GIR_RootConstrainSelectedInstOperands,
     /*  581474 */     // GIR_Coverage, 10290,
     /*  581474 */     GIR_EraseRootFromParent_Done,
     /*  581475 */   // Label 9487: @581475
     /*  581475 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(581550), // Rule ID 10291 //
     /*  581480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  581491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  581494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  581497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  581500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  581526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  581545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581548 */     GIR_RootConstrainSelectedInstOperands,
     /*  581549 */     // GIR_Coverage, 10291,
     /*  581549 */     GIR_EraseRootFromParent_Done,
     /*  581550 */   // Label 9488: @581550
     /*  581550 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(581625), // Rule ID 10294 //
     /*  581555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  581575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  581604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581623 */     GIR_RootConstrainSelectedInstOperands,
     /*  581624 */     // GIR_Coverage, 10294,
     /*  581624 */     GIR_EraseRootFromParent_Done,
     /*  581625 */   // Label 9489: @581625
     /*  581625 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(581700), // Rule ID 10295 //
     /*  581630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  581641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  581644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  581647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  581650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  581679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581698 */     GIR_RootConstrainSelectedInstOperands,
     /*  581699 */     // GIR_Coverage, 10295,
     /*  581699 */     GIR_EraseRootFromParent_Done,
     /*  581700 */   // Label 9490: @581700
     /*  581700 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(581775), // Rule ID 10298 //
     /*  581705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581773 */     GIR_RootConstrainSelectedInstOperands,
     /*  581774 */     // GIR_Coverage, 10298,
     /*  581774 */     GIR_EraseRootFromParent_Done,
     /*  581775 */   // Label 9491: @581775
     /*  581775 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(581850), // Rule ID 10299 //
     /*  581780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  581791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  581794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581848 */     GIR_RootConstrainSelectedInstOperands,
     /*  581849 */     // GIR_Coverage, 10299,
     /*  581849 */     GIR_EraseRootFromParent_Done,
     /*  581850 */   // Label 9492: @581850
     /*  581850 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(581925), // Rule ID 10302 //
     /*  581855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581923 */     GIR_RootConstrainSelectedInstOperands,
     /*  581924 */     // GIR_Coverage, 10302,
     /*  581924 */     GIR_EraseRootFromParent_Done,
     /*  581925 */   // Label 9493: @581925
     /*  581925 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(582000), // Rule ID 10303 //
     /*  581930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  581938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  581941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  581944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  581979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581998 */     GIR_RootConstrainSelectedInstOperands,
     /*  581999 */     // GIR_Coverage, 10303,
     /*  581999 */     GIR_EraseRootFromParent_Done,
     /*  582000 */   // Label 9494: @582000
     /*  582000 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(582075), // Rule ID 10306 //
     /*  582005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  582016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  582019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582073 */     GIR_RootConstrainSelectedInstOperands,
     /*  582074 */     // GIR_Coverage, 10306,
     /*  582074 */     GIR_EraseRootFromParent_Done,
     /*  582075 */   // Label 9495: @582075
     /*  582075 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(582150), // Rule ID 10307 //
     /*  582080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  582091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  582094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  582100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582148 */     GIR_RootConstrainSelectedInstOperands,
     /*  582149 */     // GIR_Coverage, 10307,
     /*  582149 */     GIR_EraseRootFromParent_Done,
     /*  582150 */   // Label 9496: @582150
     /*  582150 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(582225), // Rule ID 10310 //
     /*  582155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  582175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  582201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582223 */     GIR_RootConstrainSelectedInstOperands,
     /*  582224 */     // GIR_Coverage, 10310,
     /*  582224 */     GIR_EraseRootFromParent_Done,
     /*  582225 */   // Label 9497: @582225
     /*  582225 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(582300), // Rule ID 10311 //
     /*  582230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  582247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  582250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  582276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  582295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582298 */     GIR_RootConstrainSelectedInstOperands,
     /*  582299 */     // GIR_Coverage, 10311,
     /*  582299 */     GIR_EraseRootFromParent_Done,
     /*  582300 */   // Label 9498: @582300
     /*  582300 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(582375), // Rule ID 10314 //
     /*  582305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  582325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582373 */     GIR_RootConstrainSelectedInstOperands,
     /*  582374 */     // GIR_Coverage, 10314,
     /*  582374 */     GIR_EraseRootFromParent_Done,
     /*  582375 */   // Label 9499: @582375
     /*  582375 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(582450), // Rule ID 10315 //
     /*  582380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  582391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  582394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  582397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  582400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582448 */     GIR_RootConstrainSelectedInstOperands,
     /*  582449 */     // GIR_Coverage, 10315,
     /*  582449 */     GIR_EraseRootFromParent_Done,
     /*  582450 */   // Label 9500: @582450
     /*  582450 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(582525), // Rule ID 10318 //
     /*  582455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  582458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  582466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  582469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  582472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  582475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  582501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582523 */     GIR_RootConstrainSelectedInstOperands,
     /*  582524 */     // GIR_Coverage, 10318,
     /*  582524 */     GIR_EraseRootFromParent_Done,
     /*  582525 */   // Label 9501: @582525
     /*  582525 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(582600), // Rule ID 10319 //
     /*  582530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  582533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  582541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  582544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  582547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  582550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  582576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  582579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  582595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582598 */     GIR_RootConstrainSelectedInstOperands,
     /*  582599 */     // GIR_Coverage, 10319,
     /*  582599 */     GIR_EraseRootFromParent_Done,
     /*  582600 */   // Label 9502: @582600
     /*  582600 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(582675), // Rule ID 10322 //
     /*  582605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  582616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  582619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  582625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  582654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582673 */     GIR_RootConstrainSelectedInstOperands,
     /*  582674 */     // GIR_Coverage, 10322,
     /*  582674 */     GIR_EraseRootFromParent_Done,
     /*  582675 */   // Label 9503: @582675
     /*  582675 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(582750), // Rule ID 10323 //
     /*  582680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  582691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  582694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  582700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  582729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582748 */     GIR_RootConstrainSelectedInstOperands,
     /*  582749 */     // GIR_Coverage, 10323,
     /*  582749 */     GIR_EraseRootFromParent_Done,
     /*  582750 */   // Label 9504: @582750
     /*  582750 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(582825), // Rule ID 10326 //
     /*  582755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  582766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  582769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  582775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  582804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582823 */     GIR_RootConstrainSelectedInstOperands,
     /*  582824 */     // GIR_Coverage, 10326,
     /*  582824 */     GIR_EraseRootFromParent_Done,
     /*  582825 */   // Label 9505: @582825
     /*  582825 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(582900), // Rule ID 10327 //
     /*  582830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  582841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  582844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  582850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  582879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582898 */     GIR_RootConstrainSelectedInstOperands,
     /*  582899 */     // GIR_Coverage, 10327,
     /*  582899 */     GIR_EraseRootFromParent_Done,
     /*  582900 */   // Label 9506: @582900
     /*  582900 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(582975), // Rule ID 10330 //
     /*  582905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  582916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  582919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  582922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  582925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  582954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582973 */     GIR_RootConstrainSelectedInstOperands,
     /*  582974 */     // GIR_Coverage, 10330,
     /*  582974 */     GIR_EraseRootFromParent_Done,
     /*  582975 */   // Label 9507: @582975
     /*  582975 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(583050), // Rule ID 10331 //
     /*  582980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  582988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  582991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  582994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  582997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  583000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  583029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583048 */     GIR_RootConstrainSelectedInstOperands,
     /*  583049 */     // GIR_Coverage, 10331,
     /*  583049 */     GIR_EraseRootFromParent_Done,
     /*  583050 */   // Label 9508: @583050
     /*  583050 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(583125), // Rule ID 10334 //
     /*  583055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  583066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  583069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  583104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583123 */     GIR_RootConstrainSelectedInstOperands,
     /*  583124 */     // GIR_Coverage, 10334,
     /*  583124 */     GIR_EraseRootFromParent_Done,
     /*  583125 */   // Label 9509: @583125
     /*  583125 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(583200), // Rule ID 10335 //
     /*  583130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  583141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  583144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  583150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  583179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583198 */     GIR_RootConstrainSelectedInstOperands,
     /*  583199 */     // GIR_Coverage, 10335,
     /*  583199 */     GIR_EraseRootFromParent_Done,
     /*  583200 */   // Label 9510: @583200
     /*  583200 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(583275), // Rule ID 10338 //
     /*  583205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  583216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  583219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  583254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583273 */     GIR_RootConstrainSelectedInstOperands,
     /*  583274 */     // GIR_Coverage, 10338,
     /*  583274 */     GIR_EraseRootFromParent_Done,
     /*  583275 */   // Label 9511: @583275
     /*  583275 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(583350), // Rule ID 10339 //
     /*  583280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  583291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  583294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  583300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  583329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583348 */     GIR_RootConstrainSelectedInstOperands,
     /*  583349 */     // GIR_Coverage, 10339,
     /*  583349 */     GIR_EraseRootFromParent_Done,
     /*  583350 */   // Label 9512: @583350
     /*  583350 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(583425), // Rule ID 10342 //
     /*  583355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  583372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  583375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  583404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583423 */     GIR_RootConstrainSelectedInstOperands,
     /*  583424 */     // GIR_Coverage, 10342,
     /*  583424 */     GIR_EraseRootFromParent_Done,
     /*  583425 */   // Label 9513: @583425
     /*  583425 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(583500), // Rule ID 10343 //
     /*  583430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  583447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  583450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  583479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583498 */     GIR_RootConstrainSelectedInstOperands,
     /*  583499 */     // GIR_Coverage, 10343,
     /*  583499 */     GIR_EraseRootFromParent_Done,
     /*  583500 */   // Label 9514: @583500
     /*  583500 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(583575), // Rule ID 10346 //
     /*  583505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  583525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  583554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583573 */     GIR_RootConstrainSelectedInstOperands,
     /*  583574 */     // GIR_Coverage, 10346,
     /*  583574 */     GIR_EraseRootFromParent_Done,
     /*  583575 */   // Label 9515: @583575
     /*  583575 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(583650), // Rule ID 10347 //
     /*  583580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  583597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  583600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  583629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583648 */     GIR_RootConstrainSelectedInstOperands,
     /*  583649 */     // GIR_Coverage, 10347,
     /*  583649 */     GIR_EraseRootFromParent_Done,
     /*  583650 */   // Label 9516: @583650
     /*  583650 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(583725), // Rule ID 10350 //
     /*  583655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  583675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  583704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583723 */     GIR_RootConstrainSelectedInstOperands,
     /*  583724 */     // GIR_Coverage, 10350,
     /*  583724 */     GIR_EraseRootFromParent_Done,
     /*  583725 */   // Label 9517: @583725
     /*  583725 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(583800), // Rule ID 10351 //
     /*  583730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  583747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  583750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  583779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583798 */     GIR_RootConstrainSelectedInstOperands,
     /*  583799 */     // GIR_Coverage, 10351,
     /*  583799 */     GIR_EraseRootFromParent_Done,
     /*  583800 */   // Label 9518: @583800
     /*  583800 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(583875), // Rule ID 10354 //
     /*  583805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  583825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  583854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583873 */     GIR_RootConstrainSelectedInstOperands,
     /*  583874 */     // GIR_Coverage, 10354,
     /*  583874 */     GIR_EraseRootFromParent_Done,
     /*  583875 */   // Label 9519: @583875
     /*  583875 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(583950), // Rule ID 10355 //
     /*  583880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  583897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  583900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  583929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583948 */     GIR_RootConstrainSelectedInstOperands,
     /*  583949 */     // GIR_Coverage, 10355,
     /*  583949 */     GIR_EraseRootFromParent_Done,
     /*  583950 */   // Label 9520: @583950
     /*  583950 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(584025), // Rule ID 10358 //
     /*  583955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  583958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  583963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  583966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  583969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  583972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  583975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  584001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  584004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584023 */     GIR_RootConstrainSelectedInstOperands,
     /*  584024 */     // GIR_Coverage, 10358,
     /*  584024 */     GIR_EraseRootFromParent_Done,
     /*  584025 */   // Label 9521: @584025
     /*  584025 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(584100), // Rule ID 10359 //
     /*  584030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  584033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  584047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  584050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  584076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  584079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584098 */     GIR_RootConstrainSelectedInstOperands,
     /*  584099 */     // GIR_Coverage, 10359,
     /*  584099 */     GIR_EraseRootFromParent_Done,
     /*  584100 */   // Label 9522: @584100
     /*  584100 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(584175), // Rule ID 10362 //
     /*  584105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  584108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  584125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  584151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  584154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584173 */     GIR_RootConstrainSelectedInstOperands,
     /*  584174 */     // GIR_Coverage, 10362,
     /*  584174 */     GIR_EraseRootFromParent_Done,
     /*  584175 */   // Label 9523: @584175
     /*  584175 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(584250), // Rule ID 10363 //
     /*  584180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  584183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  584197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  584200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  584226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  584229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584248 */     GIR_RootConstrainSelectedInstOperands,
     /*  584249 */     // GIR_Coverage, 10363,
     /*  584249 */     GIR_EraseRootFromParent_Done,
     /*  584250 */   // Label 9524: @584250
     /*  584250 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(584325), // Rule ID 10366 //
     /*  584255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  584258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  584275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  584301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  584304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584323 */     GIR_RootConstrainSelectedInstOperands,
     /*  584324 */     // GIR_Coverage, 10366,
     /*  584324 */     GIR_EraseRootFromParent_Done,
     /*  584325 */   // Label 9525: @584325
     /*  584325 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(584400), // Rule ID 10367 //
     /*  584330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  584333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  584347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  584350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  584376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  584379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  584395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584398 */     GIR_RootConstrainSelectedInstOperands,
     /*  584399 */     // GIR_Coverage, 10367,
     /*  584399 */     GIR_EraseRootFromParent_Done,
     /*  584400 */   // Label 9526: @584400
     /*  584400 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(584475), // Rule ID 10370 //
     /*  584405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  584416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  584419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  584422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  584454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584473 */     GIR_RootConstrainSelectedInstOperands,
     /*  584474 */     // GIR_Coverage, 10370,
     /*  584474 */     GIR_EraseRootFromParent_Done,
     /*  584475 */   // Label 9527: @584475
     /*  584475 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(584550), // Rule ID 10371 //
     /*  584480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  584491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  584494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  584497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  584529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584548 */     GIR_RootConstrainSelectedInstOperands,
     /*  584549 */     // GIR_Coverage, 10371,
     /*  584549 */     GIR_EraseRootFromParent_Done,
     /*  584550 */   // Label 9528: @584550
     /*  584550 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(584625), // Rule ID 10374 //
     /*  584555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  584566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  584569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584601 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  584604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584623 */     GIR_RootConstrainSelectedInstOperands,
     /*  584624 */     // GIR_Coverage, 10374,
     /*  584624 */     GIR_EraseRootFromParent_Done,
     /*  584625 */   // Label 9529: @584625
     /*  584625 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(584700), // Rule ID 10375 //
     /*  584630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  584641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  584644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  584679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584698 */     GIR_RootConstrainSelectedInstOperands,
     /*  584699 */     // GIR_Coverage, 10375,
     /*  584699 */     GIR_EraseRootFromParent_Done,
     /*  584700 */   // Label 9530: @584700
     /*  584700 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(584775), // Rule ID 10378 //
     /*  584705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  584716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  584719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  584754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584773 */     GIR_RootConstrainSelectedInstOperands,
     /*  584774 */     // GIR_Coverage, 10378,
     /*  584774 */     GIR_EraseRootFromParent_Done,
     /*  584775 */   // Label 9531: @584775
     /*  584775 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(584850), // Rule ID 10379 //
     /*  584780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  584791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  584794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  584829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584848 */     GIR_RootConstrainSelectedInstOperands,
     /*  584849 */     // GIR_Coverage, 10379,
     /*  584849 */     GIR_EraseRootFromParent_Done,
     /*  584850 */   // Label 9532: @584850
     /*  584850 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(584925), // Rule ID 10382 //
     /*  584855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  584901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  584904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584923 */     GIR_RootConstrainSelectedInstOperands,
     /*  584924 */     // GIR_Coverage, 10382,
     /*  584924 */     GIR_EraseRootFromParent_Done,
     /*  584925 */   // Label 9533: @584925
     /*  584925 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(585000), // Rule ID 10383 //
     /*  584930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  584938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  584947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  584976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  584979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  584995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584998 */     GIR_RootConstrainSelectedInstOperands,
     /*  584999 */     // GIR_Coverage, 10383,
     /*  584999 */     GIR_EraseRootFromParent_Done,
     /*  585000 */   // Label 9534: @585000
     /*  585000 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(585075), // Rule ID 10386 //
     /*  585005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  585016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  585019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  585054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585073 */     GIR_RootConstrainSelectedInstOperands,
     /*  585074 */     // GIR_Coverage, 10386,
     /*  585074 */     GIR_EraseRootFromParent_Done,
     /*  585075 */   // Label 9535: @585075
     /*  585075 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(585150), // Rule ID 10387 //
     /*  585080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  585091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  585094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  585129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585148 */     GIR_RootConstrainSelectedInstOperands,
     /*  585149 */     // GIR_Coverage, 10387,
     /*  585149 */     GIR_EraseRootFromParent_Done,
     /*  585150 */   // Label 9536: @585150
     /*  585150 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(585225), // Rule ID 10390 //
     /*  585155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  585204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585223 */     GIR_RootConstrainSelectedInstOperands,
     /*  585224 */     // GIR_Coverage, 10390,
     /*  585224 */     GIR_EraseRootFromParent_Done,
     /*  585225 */   // Label 9537: @585225
     /*  585225 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(585300), // Rule ID 10391 //
     /*  585230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  585247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  585279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585298 */     GIR_RootConstrainSelectedInstOperands,
     /*  585299 */     // GIR_Coverage, 10391,
     /*  585299 */     GIR_EraseRootFromParent_Done,
     /*  585300 */   // Label 9538: @585300
     /*  585300 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(585375), // Rule ID 10394 //
     /*  585305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  585316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  585319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  585322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585373 */     GIR_RootConstrainSelectedInstOperands,
     /*  585374 */     // GIR_Coverage, 10394,
     /*  585374 */     GIR_EraseRootFromParent_Done,
     /*  585375 */   // Label 9539: @585375
     /*  585375 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(585450), // Rule ID 10395 //
     /*  585380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  585391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  585394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  585397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11066:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585448 */     GIR_RootConstrainSelectedInstOperands,
     /*  585449 */     // GIR_Coverage, 10395,
     /*  585449 */     GIR_EraseRootFromParent_Done,
     /*  585450 */   // Label 9540: @585450
     /*  585450 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(585525), // Rule ID 10398 //
     /*  585455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  585466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  585469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585523 */     GIR_RootConstrainSelectedInstOperands,
     /*  585524 */     // GIR_Coverage, 10398,
     /*  585524 */     GIR_EraseRootFromParent_Done,
     /*  585525 */   // Label 9541: @585525
     /*  585525 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(585600), // Rule ID 10399 //
     /*  585530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  585541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  585544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11066:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585598 */     GIR_RootConstrainSelectedInstOperands,
     /*  585599 */     // GIR_Coverage, 10399,
     /*  585599 */     GIR_EraseRootFromParent_Done,
     /*  585600 */   // Label 9542: @585600
     /*  585600 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(585675), // Rule ID 10402 //
     /*  585605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  585651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585673 */     GIR_RootConstrainSelectedInstOperands,
     /*  585674 */     // GIR_Coverage, 10402,
     /*  585674 */     GIR_EraseRootFromParent_Done,
     /*  585675 */   // Label 9543: @585675
     /*  585675 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(585750), // Rule ID 10403 //
     /*  585680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  585697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11066:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  585726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  585745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585748 */     GIR_RootConstrainSelectedInstOperands,
     /*  585749 */     // GIR_Coverage, 10403,
     /*  585749 */     GIR_EraseRootFromParent_Done,
     /*  585750 */   // Label 9544: @585750
     /*  585750 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(585825), // Rule ID 10406 //
     /*  585755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  585758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  585801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585823 */     GIR_RootConstrainSelectedInstOperands,
     /*  585824 */     // GIR_Coverage, 10406,
     /*  585824 */     GIR_EraseRootFromParent_Done,
     /*  585825 */   // Label 9545: @585825
     /*  585825 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(585900), // Rule ID 10407 //
     /*  585830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  585833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  585841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  585844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  585847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  585850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11066:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  585876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  585879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  585895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585898 */     GIR_RootConstrainSelectedInstOperands,
     /*  585899 */     // GIR_Coverage, 10407,
     /*  585899 */     GIR_EraseRootFromParent_Done,
     /*  585900 */   // Label 9546: @585900
     /*  585900 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(585975), // Rule ID 10410 //
     /*  585905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  585916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  585919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  585922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  585925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  585944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  585954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585973 */     GIR_RootConstrainSelectedInstOperands,
     /*  585974 */     // GIR_Coverage, 10410,
     /*  585974 */     GIR_EraseRootFromParent_Done,
     /*  585975 */   // Label 9547: @585975
     /*  585975 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(586050), // Rule ID 10411 //
     /*  585980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  585988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  585991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  585994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  585997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  586029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586048 */     GIR_RootConstrainSelectedInstOperands,
     /*  586049 */     // GIR_Coverage, 10411,
     /*  586049 */     GIR_EraseRootFromParent_Done,
     /*  586050 */   // Label 9548: @586050
     /*  586050 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(586125), // Rule ID 10414 //
     /*  586055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  586066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  586069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  586072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  586104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586123 */     GIR_RootConstrainSelectedInstOperands,
     /*  586124 */     // GIR_Coverage, 10414,
     /*  586124 */     GIR_EraseRootFromParent_Done,
     /*  586125 */   // Label 9549: @586125
     /*  586125 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(586200), // Rule ID 10415 //
     /*  586130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  586141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  586144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  586147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  586179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586198 */     GIR_RootConstrainSelectedInstOperands,
     /*  586199 */     // GIR_Coverage, 10415,
     /*  586199 */     GIR_EraseRootFromParent_Done,
     /*  586200 */   // Label 9550: @586200
     /*  586200 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(586275), // Rule ID 10418 //
     /*  586205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  586216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  586219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  586222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  586254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586273 */     GIR_RootConstrainSelectedInstOperands,
     /*  586274 */     // GIR_Coverage, 10418,
     /*  586274 */     GIR_EraseRootFromParent_Done,
     /*  586275 */   // Label 9551: @586275
     /*  586275 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(586350), // Rule ID 10419 //
     /*  586280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  586291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  586294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  586297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  586329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586348 */     GIR_RootConstrainSelectedInstOperands,
     /*  586349 */     // GIR_Coverage, 10419,
     /*  586349 */     GIR_EraseRootFromParent_Done,
     /*  586350 */   // Label 9552: @586350
     /*  586350 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(586425), // Rule ID 10422 //
     /*  586355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  586404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586423 */     GIR_RootConstrainSelectedInstOperands,
     /*  586424 */     // GIR_Coverage, 10422,
     /*  586424 */     GIR_EraseRootFromParent_Done,
     /*  586425 */   // Label 9553: @586425
     /*  586425 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(586500), // Rule ID 10423 //
     /*  586430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  586441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  586444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  586447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  586479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586498 */     GIR_RootConstrainSelectedInstOperands,
     /*  586499 */     // GIR_Coverage, 10423,
     /*  586499 */     GIR_EraseRootFromParent_Done,
     /*  586500 */   // Label 9554: @586500
     /*  586500 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(586575), // Rule ID 10426 //
     /*  586505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  586554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586573 */     GIR_RootConstrainSelectedInstOperands,
     /*  586574 */     // GIR_Coverage, 10426,
     /*  586574 */     GIR_EraseRootFromParent_Done,
     /*  586575 */   // Label 9555: @586575
     /*  586575 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(586650), // Rule ID 10427 //
     /*  586580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  586591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  586594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  586629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586648 */     GIR_RootConstrainSelectedInstOperands,
     /*  586649 */     // GIR_Coverage, 10427,
     /*  586649 */     GIR_EraseRootFromParent_Done,
     /*  586650 */   // Label 9556: @586650
     /*  586650 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(586725), // Rule ID 10430 //
     /*  586655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  586701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  586704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586723 */     GIR_RootConstrainSelectedInstOperands,
     /*  586724 */     // GIR_Coverage, 10430,
     /*  586724 */     GIR_EraseRootFromParent_Done,
     /*  586725 */   // Label 9557: @586725
     /*  586725 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(586800), // Rule ID 10431 //
     /*  586730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  586741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  586744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  586747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  586779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586798 */     GIR_RootConstrainSelectedInstOperands,
     /*  586799 */     // GIR_Coverage, 10431,
     /*  586799 */     GIR_EraseRootFromParent_Done,
     /*  586800 */   // Label 9558: @586800
     /*  586800 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(586875), // Rule ID 10434 //
     /*  586805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  586816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  586819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  586854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586873 */     GIR_RootConstrainSelectedInstOperands,
     /*  586874 */     // GIR_Coverage, 10434,
     /*  586874 */     GIR_EraseRootFromParent_Done,
     /*  586875 */   // Label 9559: @586875
     /*  586875 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(586950), // Rule ID 10435 //
     /*  586880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  586891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  586894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  586929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586948 */     GIR_RootConstrainSelectedInstOperands,
     /*  586949 */     // GIR_Coverage, 10435,
     /*  586949 */     GIR_EraseRootFromParent_Done,
     /*  586950 */   // Label 9560: @586950
     /*  586950 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(587025), // Rule ID 10438 //
     /*  586955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  586963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  586966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  586969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  587004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587023 */     GIR_RootConstrainSelectedInstOperands,
     /*  587024 */     // GIR_Coverage, 10438,
     /*  587024 */     GIR_EraseRootFromParent_Done,
     /*  587025 */   // Label 9561: @587025
     /*  587025 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(587100), // Rule ID 10439 //
     /*  587030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  587041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  587044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  587047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  587079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587098 */     GIR_RootConstrainSelectedInstOperands,
     /*  587099 */     // GIR_Coverage, 10439,
     /*  587099 */     GIR_EraseRootFromParent_Done,
     /*  587100 */   // Label 9562: @587100
     /*  587100 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(587175), // Rule ID 10442 //
     /*  587105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  587151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  587154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587173 */     GIR_RootConstrainSelectedInstOperands,
     /*  587174 */     // GIR_Coverage, 10442,
     /*  587174 */     GIR_EraseRootFromParent_Done,
     /*  587175 */   // Label 9563: @587175
     /*  587175 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(587250), // Rule ID 10443 //
     /*  587180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  587191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  587194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  587197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  587226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  587229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  587245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587248 */     GIR_RootConstrainSelectedInstOperands,
     /*  587249 */     // GIR_Coverage, 10443,
     /*  587249 */     GIR_EraseRootFromParent_Done,
     /*  587250 */   // Label 9564: @587250
     /*  587250 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(587325), // Rule ID 10446 //
     /*  587255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  587258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  587301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  587304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587323 */     GIR_RootConstrainSelectedInstOperands,
     /*  587324 */     // GIR_Coverage, 10446,
     /*  587324 */     GIR_EraseRootFromParent_Done,
     /*  587325 */   // Label 9565: @587325
     /*  587325 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(587400), // Rule ID 10447 //
     /*  587330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  587333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  587341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  587344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  587347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11066:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  587376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  587379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587398 */     GIR_RootConstrainSelectedInstOperands,
     /*  587399 */     // GIR_Coverage, 10447,
     /*  587399 */     GIR_EraseRootFromParent_Done,
     /*  587400 */   // Label 9566: @587400
     /*  587400 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(587475), // Rule ID 10450 //
     /*  587405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  587408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  587451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  587454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587473 */     GIR_RootConstrainSelectedInstOperands,
     /*  587474 */     // GIR_Coverage, 10450,
     /*  587474 */     GIR_EraseRootFromParent_Done,
     /*  587475 */   // Label 9567: @587475
     /*  587475 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(587550), // Rule ID 10451 //
     /*  587480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  587483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  587491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  587494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  587497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11066:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  587526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  587529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587548 */     GIR_RootConstrainSelectedInstOperands,
     /*  587549 */     // GIR_Coverage, 10451,
     /*  587549 */     GIR_EraseRootFromParent_Done,
     /*  587550 */   // Label 9568: @587550
     /*  587550 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(587625), // Rule ID 10454 //
     /*  587555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  587558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  587566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  587569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  587572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  587601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  587604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587623 */     GIR_RootConstrainSelectedInstOperands,
     /*  587624 */     // GIR_Coverage, 10454,
     /*  587624 */     GIR_EraseRootFromParent_Done,
     /*  587625 */   // Label 9569: @587625
     /*  587625 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(587700), // Rule ID 10455 //
     /*  587630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  587633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  587638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  587641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  587644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  587647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11066:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  587676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  587679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  587695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587698 */     GIR_RootConstrainSelectedInstOperands,
     /*  587699 */     // GIR_Coverage, 10455,
     /*  587699 */     GIR_EraseRootFromParent_Done,
     /*  587700 */   // Label 9570: @587700
     /*  587700 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(587775), // Rule ID 10458 //
     /*  587705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  587716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  587719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  587722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  587725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587751 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  587754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587773 */     GIR_RootConstrainSelectedInstOperands,
     /*  587774 */     // GIR_Coverage, 10458,
     /*  587774 */     GIR_EraseRootFromParent_Done,
     /*  587775 */   // Label 9571: @587775
     /*  587775 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(587850), // Rule ID 10459 //
     /*  587780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  587791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  587794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  587797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  587800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587826 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  587829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587848 */     GIR_RootConstrainSelectedInstOperands,
     /*  587849 */     // GIR_Coverage, 10459,
     /*  587849 */     GIR_EraseRootFromParent_Done,
     /*  587850 */   // Label 9572: @587850
     /*  587850 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(587925), // Rule ID 10462 //
     /*  587855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  587866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  587869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  587872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  587875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  587904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587923 */     GIR_RootConstrainSelectedInstOperands,
     /*  587924 */     // GIR_Coverage, 10462,
     /*  587924 */     GIR_EraseRootFromParent_Done,
     /*  587925 */   // Label 9573: @587925
     /*  587925 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(588000), // Rule ID 10463 //
     /*  587930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  587938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  587941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  587944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  587947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  587950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  587979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587998 */     GIR_RootConstrainSelectedInstOperands,
     /*  587999 */     // GIR_Coverage, 10463,
     /*  587999 */     GIR_EraseRootFromParent_Done,
     /*  588000 */   // Label 9574: @588000
     /*  588000 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(588075), // Rule ID 10466 //
     /*  588005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  588016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  588019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  588022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588051 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588073 */     GIR_RootConstrainSelectedInstOperands,
     /*  588074 */     // GIR_Coverage, 10466,
     /*  588074 */     GIR_EraseRootFromParent_Done,
     /*  588075 */   // Label 9575: @588075
     /*  588075 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(588150), // Rule ID 10467 //
     /*  588080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  588091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  588094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  588097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  588100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588126 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588148 */     GIR_RootConstrainSelectedInstOperands,
     /*  588149 */     // GIR_Coverage, 10467,
     /*  588149 */     GIR_EraseRootFromParent_Done,
     /*  588150 */   // Label 9576: @588150
     /*  588150 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(588225), // Rule ID 10470 //
     /*  588155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  588175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  588204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588223 */     GIR_RootConstrainSelectedInstOperands,
     /*  588224 */     // GIR_Coverage, 10470,
     /*  588224 */     GIR_EraseRootFromParent_Done,
     /*  588225 */   // Label 9577: @588225
     /*  588225 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(588300), // Rule ID 10471 //
     /*  588230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  588241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  588244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  588247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  588250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  588279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588298 */     GIR_RootConstrainSelectedInstOperands,
     /*  588299 */     // GIR_Coverage, 10471,
     /*  588299 */     GIR_EraseRootFromParent_Done,
     /*  588300 */   // Label 9578: @588300
     /*  588300 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(588375), // Rule ID 10474 //
     /*  588305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  588325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588351 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588373 */     GIR_RootConstrainSelectedInstOperands,
     /*  588374 */     // GIR_Coverage, 10474,
     /*  588374 */     GIR_EraseRootFromParent_Done,
     /*  588375 */   // Label 9579: @588375
     /*  588375 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(588450), // Rule ID 10475 //
     /*  588380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  588400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588448 */     GIR_RootConstrainSelectedInstOperands,
     /*  588449 */     // GIR_Coverage, 10475,
     /*  588449 */     GIR_EraseRootFromParent_Done,
     /*  588450 */   // Label 9580: @588450
     /*  588450 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(588525), // Rule ID 10478 //
     /*  588455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  588466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  588469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588523 */     GIR_RootConstrainSelectedInstOperands,
     /*  588524 */     // GIR_Coverage, 10478,
     /*  588524 */     GIR_EraseRootFromParent_Done,
     /*  588525 */   // Label 9581: @588525
     /*  588525 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(588600), // Rule ID 10479 //
     /*  588530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  588541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  588544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  588550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  588579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588598 */     GIR_RootConstrainSelectedInstOperands,
     /*  588599 */     // GIR_Coverage, 10479,
     /*  588599 */     GIR_EraseRootFromParent_Done,
     /*  588600 */   // Label 9582: @588600
     /*  588600 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(588675), // Rule ID 10482 //
     /*  588605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  588616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  588619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  588622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  588654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588673 */     GIR_RootConstrainSelectedInstOperands,
     /*  588674 */     // GIR_Coverage, 10482,
     /*  588674 */     GIR_EraseRootFromParent_Done,
     /*  588675 */   // Label 9583: @588675
     /*  588675 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(588750), // Rule ID 10483 //
     /*  588680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  588691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  588694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  588697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  588700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  588726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  588729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  588745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588748 */     GIR_RootConstrainSelectedInstOperands,
     /*  588749 */     // GIR_Coverage, 10483,
     /*  588749 */     GIR_EraseRootFromParent_Done,
     /*  588750 */   // Label 9584: @588750
     /*  588750 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(588825), // Rule ID 10486 //
     /*  588755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  588775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  588804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588823 */     GIR_RootConstrainSelectedInstOperands,
     /*  588824 */     // GIR_Coverage, 10486,
     /*  588824 */     GIR_EraseRootFromParent_Done,
     /*  588825 */   // Label 9585: @588825
     /*  588825 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(588900), // Rule ID 10487 //
     /*  588830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  588841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  588844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  588847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  588850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  588879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588898 */     GIR_RootConstrainSelectedInstOperands,
     /*  588899 */     // GIR_Coverage, 10487,
     /*  588899 */     GIR_EraseRootFromParent_Done,
     /*  588900 */   // Label 9586: @588900
     /*  588900 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(588975), // Rule ID 10490 //
     /*  588905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  588916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  588919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  588925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588951 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  588954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588973 */     GIR_RootConstrainSelectedInstOperands,
     /*  588974 */     // GIR_Coverage, 10490,
     /*  588974 */     GIR_EraseRootFromParent_Done,
     /*  588975 */   // Label 9587: @588975
     /*  588975 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(589050), // Rule ID 10491 //
     /*  588980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  588988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  588991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  588994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  589000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  589026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  589029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  589045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589048 */     GIR_RootConstrainSelectedInstOperands,
     /*  589049 */     // GIR_Coverage, 10491,
     /*  589049 */     GIR_EraseRootFromParent_Done,
     /*  589050 */   // Label 9588: @589050
     /*  589050 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(589125), // Rule ID 10494 //
     /*  589055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  589058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  589075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  589101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  589104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  589120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589123 */     GIR_RootConstrainSelectedInstOperands,
     /*  589124 */     // GIR_Coverage, 10494,
     /*  589124 */     GIR_EraseRootFromParent_Done,
     /*  589125 */   // Label 9589: @589125
     /*  589125 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(589200), // Rule ID 10495 //
     /*  589130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  589133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  589141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  589144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  589147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  589150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  589176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  589179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  589195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589198 */     GIR_RootConstrainSelectedInstOperands,
     /*  589199 */     // GIR_Coverage, 10495,
     /*  589199 */     GIR_EraseRootFromParent_Done,
     /*  589200 */   // Label 9590: @589200
     /*  589200 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(589275), // Rule ID 10498 //
     /*  589205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  589216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  589219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  589222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  589254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589273 */     GIR_RootConstrainSelectedInstOperands,
     /*  589274 */     // GIR_Coverage, 10498,
     /*  589274 */     GIR_EraseRootFromParent_Done,
     /*  589275 */   // Label 9591: @589275
     /*  589275 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(589350), // Rule ID 10499 //
     /*  589280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  589291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  589294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  589297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589326 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  589329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589348 */     GIR_RootConstrainSelectedInstOperands,
     /*  589349 */     // GIR_Coverage, 10499,
     /*  589349 */     GIR_EraseRootFromParent_Done,
     /*  589350 */   // Label 9592: @589350
     /*  589350 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(589425), // Rule ID 10502 //
     /*  589355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  589366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  589369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  589372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589401 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  589404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589423 */     GIR_RootConstrainSelectedInstOperands,
     /*  589424 */     // GIR_Coverage, 10502,
     /*  589424 */     GIR_EraseRootFromParent_Done,
     /*  589425 */   // Label 9593: @589425
     /*  589425 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(589500), // Rule ID 10503 //
     /*  589430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  589441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  589444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  589447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589476 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  589479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589498 */     GIR_RootConstrainSelectedInstOperands,
     /*  589499 */     // GIR_Coverage, 10503,
     /*  589499 */     GIR_EraseRootFromParent_Done,
     /*  589500 */   // Label 9594: @589500
     /*  589500 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(589575), // Rule ID 10506 //
     /*  589505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  589516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  589519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  589522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  589525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  589554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589573 */     GIR_RootConstrainSelectedInstOperands,
     /*  589574 */     // GIR_Coverage, 10506,
     /*  589574 */     GIR_EraseRootFromParent_Done,
     /*  589575 */   // Label 9595: @589575
     /*  589575 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(589650), // Rule ID 10507 //
     /*  589580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  589591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  589594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  589597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  589600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  589629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589648 */     GIR_RootConstrainSelectedInstOperands,
     /*  589649 */     // GIR_Coverage, 10507,
     /*  589649 */     GIR_EraseRootFromParent_Done,
     /*  589650 */   // Label 9596: @589650
     /*  589650 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(589725), // Rule ID 10510 //
     /*  589655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  589704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589723 */     GIR_RootConstrainSelectedInstOperands,
     /*  589724 */     // GIR_Coverage, 10510,
     /*  589724 */     GIR_EraseRootFromParent_Done,
     /*  589725 */   // Label 9597: @589725
     /*  589725 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(589800), // Rule ID 10511 //
     /*  589730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  589750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  589779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589798 */     GIR_RootConstrainSelectedInstOperands,
     /*  589799 */     // GIR_Coverage, 10511,
     /*  589799 */     GIR_EraseRootFromParent_Done,
     /*  589800 */   // Label 9598: @589800
     /*  589800 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(589875), // Rule ID 10514 //
     /*  589805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  589854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589873 */     GIR_RootConstrainSelectedInstOperands,
     /*  589874 */     // GIR_Coverage, 10514,
     /*  589874 */     GIR_EraseRootFromParent_Done,
     /*  589875 */   // Label 9599: @589875
     /*  589875 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(589950), // Rule ID 10515 //
     /*  589880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  589900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  589929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589948 */     GIR_RootConstrainSelectedInstOperands,
     /*  589949 */     // GIR_Coverage, 10515,
     /*  589949 */     GIR_EraseRootFromParent_Done,
     /*  589950 */   // Label 9600: @589950
     /*  589950 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(590025), // Rule ID 10518 //
     /*  589955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  589963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  589975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590023 */     GIR_RootConstrainSelectedInstOperands,
     /*  590024 */     // GIR_Coverage, 10518,
     /*  590024 */     GIR_EraseRootFromParent_Done,
     /*  590025 */   // Label 9601: @590025
     /*  590025 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(590100), // Rule ID 10519 //
     /*  590030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  590041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  590044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  590047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  590050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590098 */     GIR_RootConstrainSelectedInstOperands,
     /*  590099 */     // GIR_Coverage, 10519,
     /*  590099 */     GIR_EraseRootFromParent_Done,
     /*  590100 */   // Label 9602: @590100
     /*  590100 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(590175), // Rule ID 10522 //
     /*  590105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  590154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590173 */     GIR_RootConstrainSelectedInstOperands,
     /*  590174 */     // GIR_Coverage, 10522,
     /*  590174 */     GIR_EraseRootFromParent_Done,
     /*  590175 */   // Label 9603: @590175
     /*  590175 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(590250), // Rule ID 10523 //
     /*  590180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  590229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590248 */     GIR_RootConstrainSelectedInstOperands,
     /*  590249 */     // GIR_Coverage, 10523,
     /*  590249 */     GIR_EraseRootFromParent_Done,
     /*  590250 */   // Label 9604: @590250
     /*  590250 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(590325), // Rule ID 10526 //
     /*  590255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590301 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  590304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590323 */     GIR_RootConstrainSelectedInstOperands,
     /*  590324 */     // GIR_Coverage, 10526,
     /*  590324 */     GIR_EraseRootFromParent_Done,
     /*  590325 */   // Label 9605: @590325
     /*  590325 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(590400), // Rule ID 10527 //
     /*  590330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  590379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590398 */     GIR_RootConstrainSelectedInstOperands,
     /*  590399 */     // GIR_Coverage, 10527,
     /*  590399 */     GIR_EraseRootFromParent_Done,
     /*  590400 */   // Label 9606: @590400
     /*  590400 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(590475), // Rule ID 10530 //
     /*  590405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  590425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590473 */     GIR_RootConstrainSelectedInstOperands,
     /*  590474 */     // GIR_Coverage, 10530,
     /*  590474 */     GIR_EraseRootFromParent_Done,
     /*  590475 */   // Label 9607: @590475
     /*  590475 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(590550), // Rule ID 10531 //
     /*  590480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  590500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590548 */     GIR_RootConstrainSelectedInstOperands,
     /*  590549 */     // GIR_Coverage, 10531,
     /*  590549 */     GIR_EraseRootFromParent_Done,
     /*  590550 */   // Label 9608: @590550
     /*  590550 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(590625), // Rule ID 10534 //
     /*  590555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  590558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  590575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590601 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  590601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  590604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590623 */     GIR_RootConstrainSelectedInstOperands,
     /*  590624 */     // GIR_Coverage, 10534,
     /*  590624 */     GIR_EraseRootFromParent_Done,
     /*  590625 */   // Label 9609: @590625
     /*  590625 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(590700), // Rule ID 10535 //
     /*  590630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  590633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  590650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  590676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  590679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590698 */     GIR_RootConstrainSelectedInstOperands,
     /*  590699 */     // GIR_Coverage, 10535,
     /*  590699 */     GIR_EraseRootFromParent_Done,
     /*  590700 */   // Label 9610: @590700
     /*  590700 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(590775), // Rule ID 10538 //
     /*  590705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  590708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  590725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  590751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  590754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590773 */     GIR_RootConstrainSelectedInstOperands,
     /*  590774 */     // GIR_Coverage, 10538,
     /*  590774 */     GIR_EraseRootFromParent_Done,
     /*  590775 */   // Label 9611: @590775
     /*  590775 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(590850), // Rule ID 10539 //
     /*  590780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  590783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  590800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  590826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  590829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590848 */     GIR_RootConstrainSelectedInstOperands,
     /*  590849 */     // GIR_Coverage, 10539,
     /*  590849 */     GIR_EraseRootFromParent_Done,
     /*  590850 */   // Label 9612: @590850
     /*  590850 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(590925), // Rule ID 10542 //
     /*  590855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  590858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  590875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  590901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590923 */     GIR_RootConstrainSelectedInstOperands,
     /*  590924 */     // GIR_Coverage, 10542,
     /*  590924 */     GIR_EraseRootFromParent_Done,
     /*  590925 */   // Label 9613: @590925
     /*  590925 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(591000), // Rule ID 10543 //
     /*  590930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  590933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  590938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  590950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  590976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  590979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  590995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590998 */     GIR_RootConstrainSelectedInstOperands,
     /*  590999 */     // GIR_Coverage, 10543,
     /*  590999 */     GIR_EraseRootFromParent_Done,
     /*  591000 */   // Label 9614: @591000
     /*  591000 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(591075), // Rule ID 10546 //
     /*  591005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  591016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  591019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  591022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  591054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591073 */     GIR_RootConstrainSelectedInstOperands,
     /*  591074 */     // GIR_Coverage, 10546,
     /*  591074 */     GIR_EraseRootFromParent_Done,
     /*  591075 */   // Label 9615: @591075
     /*  591075 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(591150), // Rule ID 10547 //
     /*  591080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  591091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  591094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  591097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  591129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591148 */     GIR_RootConstrainSelectedInstOperands,
     /*  591149 */     // GIR_Coverage, 10547,
     /*  591149 */     GIR_EraseRootFromParent_Done,
     /*  591150 */   // Label 9616: @591150
     /*  591150 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(591225), // Rule ID 10550 //
     /*  591155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  591166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  591169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  591172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  591204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591223 */     GIR_RootConstrainSelectedInstOperands,
     /*  591224 */     // GIR_Coverage, 10550,
     /*  591224 */     GIR_EraseRootFromParent_Done,
     /*  591225 */   // Label 9617: @591225
     /*  591225 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(591300), // Rule ID 10551 //
     /*  591230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  591241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  591244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  591247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  591279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591298 */     GIR_RootConstrainSelectedInstOperands,
     /*  591299 */     // GIR_Coverage, 10551,
     /*  591299 */     GIR_EraseRootFromParent_Done,
     /*  591300 */   // Label 9618: @591300
     /*  591300 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(591375), // Rule ID 10554 //
     /*  591305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  591316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  591319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  591322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591373 */     GIR_RootConstrainSelectedInstOperands,
     /*  591374 */     // GIR_Coverage, 10554,
     /*  591374 */     GIR_EraseRootFromParent_Done,
     /*  591375 */   // Label 9619: @591375
     /*  591375 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(591450), // Rule ID 10555 //
     /*  591380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  591391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  591394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  591397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591448 */     GIR_RootConstrainSelectedInstOperands,
     /*  591449 */     // GIR_Coverage, 10555,
     /*  591449 */     GIR_EraseRootFromParent_Done,
     /*  591450 */   // Label 9620: @591450
     /*  591450 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(591525), // Rule ID 10558 //
     /*  591455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  591504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591523 */     GIR_RootConstrainSelectedInstOperands,
     /*  591524 */     // GIR_Coverage, 10558,
     /*  591524 */     GIR_EraseRootFromParent_Done,
     /*  591525 */   // Label 9621: @591525
     /*  591525 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(591600), // Rule ID 10559 //
     /*  591530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  591579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591598 */     GIR_RootConstrainSelectedInstOperands,
     /*  591599 */     // GIR_Coverage, 10559,
     /*  591599 */     GIR_EraseRootFromParent_Done,
     /*  591600 */   // Label 9622: @591600
     /*  591600 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(591675), // Rule ID 10562 //
     /*  591605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591673 */     GIR_RootConstrainSelectedInstOperands,
     /*  591674 */     // GIR_Coverage, 10562,
     /*  591674 */     GIR_EraseRootFromParent_Done,
     /*  591675 */   // Label 9623: @591675
     /*  591675 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(591750), // Rule ID 10563 //
     /*  591680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  591726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  591745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591748 */     GIR_RootConstrainSelectedInstOperands,
     /*  591749 */     // GIR_Coverage, 10563,
     /*  591749 */     GIR_EraseRootFromParent_Done,
     /*  591750 */   // Label 9624: @591750
     /*  591750 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(591825), // Rule ID 10566 //
     /*  591755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  591801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591823 */     GIR_RootConstrainSelectedInstOperands,
     /*  591824 */     // GIR_Coverage, 10566,
     /*  591824 */     GIR_EraseRootFromParent_Done,
     /*  591825 */   // Label 9625: @591825
     /*  591825 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(591900), // Rule ID 10567 //
     /*  591830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  591879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591898 */     GIR_RootConstrainSelectedInstOperands,
     /*  591899 */     // GIR_Coverage, 10567,
     /*  591899 */     GIR_EraseRootFromParent_Done,
     /*  591900 */   // Label 9626: @591900
     /*  591900 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(591975), // Rule ID 10570 //
     /*  591905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  591916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  591919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  591922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  591954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591973 */     GIR_RootConstrainSelectedInstOperands,
     /*  591974 */     // GIR_Coverage, 10570,
     /*  591974 */     GIR_EraseRootFromParent_Done,
     /*  591975 */   // Label 9627: @591975
     /*  591975 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(592050), // Rule ID 10571 //
     /*  591980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  591988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  591991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  591994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  591997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11050:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592048 */     GIR_RootConstrainSelectedInstOperands,
     /*  592049 */     // GIR_Coverage, 10571,
     /*  592049 */     GIR_EraseRootFromParent_Done,
     /*  592050 */   // Label 9628: @592050
     /*  592050 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(592125), // Rule ID 10574 //
     /*  592055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592123 */     GIR_RootConstrainSelectedInstOperands,
     /*  592124 */     // GIR_Coverage, 10574,
     /*  592124 */     GIR_EraseRootFromParent_Done,
     /*  592125 */   // Label 9629: @592125
     /*  592125 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(592200), // Rule ID 10575 //
     /*  592130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  592141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  592144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  592147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11050:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592198 */     GIR_RootConstrainSelectedInstOperands,
     /*  592199 */     // GIR_Coverage, 10575,
     /*  592199 */     GIR_EraseRootFromParent_Done,
     /*  592200 */   // Label 9630: @592200
     /*  592200 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(592275), // Rule ID 10578 //
     /*  592205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592273 */     GIR_RootConstrainSelectedInstOperands,
     /*  592274 */     // GIR_Coverage, 10578,
     /*  592274 */     GIR_EraseRootFromParent_Done,
     /*  592275 */   // Label 9631: @592275
     /*  592275 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(592350), // Rule ID 10579 //
     /*  592280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11050:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592348 */     GIR_RootConstrainSelectedInstOperands,
     /*  592349 */     // GIR_Coverage, 10579,
     /*  592349 */     GIR_EraseRootFromParent_Done,
     /*  592350 */   // Label 9632: @592350
     /*  592350 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(592425), // Rule ID 10582 //
     /*  592355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  592358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  592401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592423 */     GIR_RootConstrainSelectedInstOperands,
     /*  592424 */     // GIR_Coverage, 10582,
     /*  592424 */     GIR_EraseRootFromParent_Done,
     /*  592425 */   // Label 9633: @592425
     /*  592425 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(592500), // Rule ID 10583 //
     /*  592430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  592433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11050:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  592476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  592479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  592495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592498 */     GIR_RootConstrainSelectedInstOperands,
     /*  592499 */     // GIR_Coverage, 10583,
     /*  592499 */     GIR_EraseRootFromParent_Done,
     /*  592500 */   // Label 9634: @592500
     /*  592500 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(592575), // Rule ID 10586 //
     /*  592505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  592516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  592519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  592522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  592554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592573 */     GIR_RootConstrainSelectedInstOperands,
     /*  592574 */     // GIR_Coverage, 10586,
     /*  592574 */     GIR_EraseRootFromParent_Done,
     /*  592575 */   // Label 9635: @592575
     /*  592575 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(592650), // Rule ID 10587 //
     /*  592580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  592591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  592594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  592597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  592629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592648 */     GIR_RootConstrainSelectedInstOperands,
     /*  592649 */     // GIR_Coverage, 10587,
     /*  592649 */     GIR_EraseRootFromParent_Done,
     /*  592650 */   // Label 9636: @592650
     /*  592650 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(592725), // Rule ID 10590 //
     /*  592655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  592666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  592669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  592672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592701 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  592704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592723 */     GIR_RootConstrainSelectedInstOperands,
     /*  592724 */     // GIR_Coverage, 10590,
     /*  592724 */     GIR_EraseRootFromParent_Done,
     /*  592725 */   // Label 9637: @592725
     /*  592725 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(592800), // Rule ID 10591 //
     /*  592730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  592741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  592744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  592747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  592779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592798 */     GIR_RootConstrainSelectedInstOperands,
     /*  592799 */     // GIR_Coverage, 10591,
     /*  592799 */     GIR_EraseRootFromParent_Done,
     /*  592800 */   // Label 9638: @592800
     /*  592800 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(592875), // Rule ID 10594 //
     /*  592805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  592816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  592819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  592822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  592851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  592854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592873 */     GIR_RootConstrainSelectedInstOperands,
     /*  592874 */     // GIR_Coverage, 10594,
     /*  592874 */     GIR_EraseRootFromParent_Done,
     /*  592875 */   // Label 9639: @592875
     /*  592875 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(592950), // Rule ID 10595 //
     /*  592880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  592891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  592894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  592897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592926 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  592926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  592929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  592945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592948 */     GIR_RootConstrainSelectedInstOperands,
     /*  592949 */     // GIR_Coverage, 10595,
     /*  592949 */     GIR_EraseRootFromParent_Done,
     /*  592950 */   // Label 9640: @592950
     /*  592950 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(593025), // Rule ID 10598 //
     /*  592955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  592963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  592966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  592969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  592972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593001 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593023 */     GIR_RootConstrainSelectedInstOperands,
     /*  593024 */     // GIR_Coverage, 10598,
     /*  593024 */     GIR_EraseRootFromParent_Done,
     /*  593025 */   // Label 9641: @593025
     /*  593025 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(593100), // Rule ID 10599 //
     /*  593030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593098 */     GIR_RootConstrainSelectedInstOperands,
     /*  593099 */     // GIR_Coverage, 10599,
     /*  593099 */     GIR_EraseRootFromParent_Done,
     /*  593100 */   // Label 9642: @593100
     /*  593100 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(593175), // Rule ID 10602 //
     /*  593105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  593154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593173 */     GIR_RootConstrainSelectedInstOperands,
     /*  593174 */     // GIR_Coverage, 10602,
     /*  593174 */     GIR_EraseRootFromParent_Done,
     /*  593175 */   // Label 9643: @593175
     /*  593175 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(593250), // Rule ID 10603 //
     /*  593180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  593229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593248 */     GIR_RootConstrainSelectedInstOperands,
     /*  593249 */     // GIR_Coverage, 10603,
     /*  593249 */     GIR_EraseRootFromParent_Done,
     /*  593250 */   // Label 9644: @593250
     /*  593250 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(593325), // Rule ID 10606 //
     /*  593255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  593301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  593304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593323 */     GIR_RootConstrainSelectedInstOperands,
     /*  593324 */     // GIR_Coverage, 10606,
     /*  593324 */     GIR_EraseRootFromParent_Done,
     /*  593325 */   // Label 9645: @593325
     /*  593325 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(593400), // Rule ID 10607 //
     /*  593330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  593341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  593344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  593347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  593376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  593379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  593395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593398 */     GIR_RootConstrainSelectedInstOperands,
     /*  593399 */     // GIR_Coverage, 10607,
     /*  593399 */     GIR_EraseRootFromParent_Done,
     /*  593400 */   // Label 9646: @593400
     /*  593400 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(593475), // Rule ID 10610 //
     /*  593405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593473 */     GIR_RootConstrainSelectedInstOperands,
     /*  593474 */     // GIR_Coverage, 10610,
     /*  593474 */     GIR_EraseRootFromParent_Done,
     /*  593475 */   // Label 9647: @593475
     /*  593475 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(593550), // Rule ID 10611 //
     /*  593480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  593491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  593494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  593497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593548 */     GIR_RootConstrainSelectedInstOperands,
     /*  593549 */     // GIR_Coverage, 10611,
     /*  593549 */     GIR_EraseRootFromParent_Done,
     /*  593550 */   // Label 9648: @593550
     /*  593550 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(593625), // Rule ID 10614 //
     /*  593555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  593604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593623 */     GIR_RootConstrainSelectedInstOperands,
     /*  593624 */     // GIR_Coverage, 10614,
     /*  593624 */     GIR_EraseRootFromParent_Done,
     /*  593625 */   // Label 9649: @593625
     /*  593625 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(593700), // Rule ID 10615 //
     /*  593630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  593641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  593644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  593647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  593679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593698 */     GIR_RootConstrainSelectedInstOperands,
     /*  593699 */     // GIR_Coverage, 10615,
     /*  593699 */     GIR_EraseRootFromParent_Done,
     /*  593700 */   // Label 9650: @593700
     /*  593700 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(593775), // Rule ID 10618 //
     /*  593705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  593716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  593719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  593722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  593754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593773 */     GIR_RootConstrainSelectedInstOperands,
     /*  593774 */     // GIR_Coverage, 10618,
     /*  593774 */     GIR_EraseRootFromParent_Done,
     /*  593775 */   // Label 9651: @593775
     /*  593775 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(593850), // Rule ID 10619 //
     /*  593780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  593791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  593794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  593797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  593829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593848 */     GIR_RootConstrainSelectedInstOperands,
     /*  593849 */     // GIR_Coverage, 10619,
     /*  593849 */     GIR_EraseRootFromParent_Done,
     /*  593850 */   // Label 9652: @593850
     /*  593850 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(593925), // Rule ID 10622 //
     /*  593855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  593858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  593901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  593920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593923 */     GIR_RootConstrainSelectedInstOperands,
     /*  593924 */     // GIR_Coverage, 10622,
     /*  593924 */     GIR_EraseRootFromParent_Done,
     /*  593925 */   // Label 9653: @593925
     /*  593925 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(594000), // Rule ID 10623 //
     /*  593930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  593933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  593938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  593941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  593944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  593947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11050:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  593976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  593979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  593995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593998 */     GIR_RootConstrainSelectedInstOperands,
     /*  593999 */     // GIR_Coverage, 10623,
     /*  593999 */     GIR_EraseRootFromParent_Done,
     /*  594000 */   // Label 9654: @594000
     /*  594000 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(594075), // Rule ID 10626 //
     /*  594005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  594008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  594013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  594051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  594054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  594070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594073 */     GIR_RootConstrainSelectedInstOperands,
     /*  594074 */     // GIR_Coverage, 10626,
     /*  594074 */     GIR_EraseRootFromParent_Done,
     /*  594075 */   // Label 9655: @594075
     /*  594075 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(594150), // Rule ID 10627 //
     /*  594080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  594083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  594088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  594091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  594094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  594097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11050:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  594126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  594129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  594145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594148 */     GIR_RootConstrainSelectedInstOperands,
     /*  594149 */     // GIR_Coverage, 10627,
     /*  594149 */     GIR_EraseRootFromParent_Done,
     /*  594150 */   // Label 9656: @594150
     /*  594150 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(594225), // Rule ID 10630 //
     /*  594155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  594158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  594163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  594175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  594201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  594204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  594220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594223 */     GIR_RootConstrainSelectedInstOperands,
     /*  594224 */     // GIR_Coverage, 10630,
     /*  594224 */     GIR_EraseRootFromParent_Done,
     /*  594225 */   // Label 9657: @594225
     /*  594225 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(594300), // Rule ID 10631 //
     /*  594230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  594233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  594238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  594241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  594244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  594247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  594250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  594269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11050:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  594276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  594279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  594295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594298 */     GIR_RootConstrainSelectedInstOperands,
     /*  594299 */     // GIR_Coverage, 10631,
     /*  594299 */     GIR_EraseRootFromParent_Done,
     /*  594300 */   // Label 9658: @594300
     /*  594300 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(594375), // Rule ID 10634 //
     /*  594305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  594316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  594319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  594322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  594325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  594354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594373 */     GIR_RootConstrainSelectedInstOperands,
     /*  594374 */     // GIR_Coverage, 10634,
     /*  594374 */     GIR_EraseRootFromParent_Done,
     /*  594375 */   // Label 9659: @594375
     /*  594375 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(594450), // Rule ID 10635 //
     /*  594380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  594391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  594394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  594397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  594400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  594429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594448 */     GIR_RootConstrainSelectedInstOperands,
     /*  594449 */     // GIR_Coverage, 10635,
     /*  594449 */     GIR_EraseRootFromParent_Done,
     /*  594450 */   // Label 9660: @594450
     /*  594450 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(594525), // Rule ID 10638 //
     /*  594455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  594466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  594469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  594472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  594475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  594504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594523 */     GIR_RootConstrainSelectedInstOperands,
     /*  594524 */     // GIR_Coverage, 10638,
     /*  594524 */     GIR_EraseRootFromParent_Done,
     /*  594525 */   // Label 9661: @594525
     /*  594525 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(594600), // Rule ID 10639 //
     /*  594530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  594541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  594544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  594547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  594550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  594579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594598 */     GIR_RootConstrainSelectedInstOperands,
     /*  594599 */     // GIR_Coverage, 10639,
     /*  594599 */     GIR_EraseRootFromParent_Done,
     /*  594600 */   // Label 9662: @594600
     /*  594600 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(594675), // Rule ID 10642 //
     /*  594605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  594616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  594619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  594622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  594625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  594654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594673 */     GIR_RootConstrainSelectedInstOperands,
     /*  594674 */     // GIR_Coverage, 10642,
     /*  594674 */     GIR_EraseRootFromParent_Done,
     /*  594675 */   // Label 9663: @594675
     /*  594675 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(594750), // Rule ID 10643 //
     /*  594680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  594691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  594694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  594697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  594700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  594729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594748 */     GIR_RootConstrainSelectedInstOperands,
     /*  594749 */     // GIR_Coverage, 10643,
     /*  594749 */     GIR_EraseRootFromParent_Done,
     /*  594750 */   // Label 9664: @594750
     /*  594750 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(594825), // Rule ID 10646 //
     /*  594755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  594804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594823 */     GIR_RootConstrainSelectedInstOperands,
     /*  594824 */     // GIR_Coverage, 10646,
     /*  594824 */     GIR_EraseRootFromParent_Done,
     /*  594825 */   // Label 9665: @594825
     /*  594825 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(594900), // Rule ID 10647 //
     /*  594830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  594841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  594844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  594847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  594879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594898 */     GIR_RootConstrainSelectedInstOperands,
     /*  594899 */     // GIR_Coverage, 10647,
     /*  594899 */     GIR_EraseRootFromParent_Done,
     /*  594900 */   // Label 9666: @594900
     /*  594900 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(594975), // Rule ID 10650 //
     /*  594905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  594916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  594919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  594922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  594954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594973 */     GIR_RootConstrainSelectedInstOperands,
     /*  594974 */     // GIR_Coverage, 10650,
     /*  594974 */     GIR_EraseRootFromParent_Done,
     /*  594975 */   // Label 9667: @594975
     /*  594975 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(595050), // Rule ID 10651 //
     /*  594980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  594988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  594991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  594994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  594997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  595000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  595029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595048 */     GIR_RootConstrainSelectedInstOperands,
     /*  595049 */     // GIR_Coverage, 10651,
     /*  595049 */     GIR_EraseRootFromParent_Done,
     /*  595050 */   // Label 9668: @595050
     /*  595050 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(595125), // Rule ID 10654 //
     /*  595055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  595075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  595104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595123 */     GIR_RootConstrainSelectedInstOperands,
     /*  595124 */     // GIR_Coverage, 10654,
     /*  595124 */     GIR_EraseRootFromParent_Done,
     /*  595125 */   // Label 9669: @595125
     /*  595125 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(595200), // Rule ID 10655 //
     /*  595130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  595141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  595144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  595147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  595150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  595179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595198 */     GIR_RootConstrainSelectedInstOperands,
     /*  595199 */     // GIR_Coverage, 10655,
     /*  595199 */     GIR_EraseRootFromParent_Done,
     /*  595200 */   // Label 9670: @595200
     /*  595200 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(595275), // Rule ID 10658 //
     /*  595205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  595216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  595219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  595222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  595225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595273 */     GIR_RootConstrainSelectedInstOperands,
     /*  595274 */     // GIR_Coverage, 10658,
     /*  595274 */     GIR_EraseRootFromParent_Done,
     /*  595275 */   // Label 9671: @595275
     /*  595275 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(595350), // Rule ID 10659 //
     /*  595280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  595291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  595294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  595297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  595300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595348 */     GIR_RootConstrainSelectedInstOperands,
     /*  595349 */     // GIR_Coverage, 10659,
     /*  595349 */     GIR_EraseRootFromParent_Done,
     /*  595350 */   // Label 9672: @595350
     /*  595350 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(595425), // Rule ID 10662 //
     /*  595355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  595375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  595401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595423 */     GIR_RootConstrainSelectedInstOperands,
     /*  595424 */     // GIR_Coverage, 10662,
     /*  595424 */     GIR_EraseRootFromParent_Done,
     /*  595425 */   // Label 9673: @595425
     /*  595425 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(595500), // Rule ID 10663 //
     /*  595430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  595450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  595476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  595495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595498 */     GIR_RootConstrainSelectedInstOperands,
     /*  595499 */     // GIR_Coverage, 10663,
     /*  595499 */     GIR_EraseRootFromParent_Done,
     /*  595500 */   // Label 9674: @595500
     /*  595500 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(595575), // Rule ID 10666 //
     /*  595505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595573 */     GIR_RootConstrainSelectedInstOperands,
     /*  595574 */     // GIR_Coverage, 10666,
     /*  595574 */     GIR_EraseRootFromParent_Done,
     /*  595575 */   // Label 9675: @595575
     /*  595575 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(595650), // Rule ID 10667 //
     /*  595580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  595591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  595594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  595597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595648 */     GIR_RootConstrainSelectedInstOperands,
     /*  595649 */     // GIR_Coverage, 10667,
     /*  595649 */     GIR_EraseRootFromParent_Done,
     /*  595650 */   // Label 9676: @595650
     /*  595650 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(595725), // Rule ID 10670 //
     /*  595655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  595658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  595675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  595701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595723 */     GIR_RootConstrainSelectedInstOperands,
     /*  595724 */     // GIR_Coverage, 10670,
     /*  595724 */     GIR_EraseRootFromParent_Done,
     /*  595725 */   // Label 9677: @595725
     /*  595725 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(595800), // Rule ID 10671 //
     /*  595730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  595733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  595750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  595776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  595779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  595795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595798 */     GIR_RootConstrainSelectedInstOperands,
     /*  595799 */     // GIR_Coverage, 10671,
     /*  595799 */     GIR_EraseRootFromParent_Done,
     /*  595800 */   // Label 9678: @595800
     /*  595800 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(595875), // Rule ID 10674 //
     /*  595805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  595816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  595819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  595822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  595825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  595854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595873 */     GIR_RootConstrainSelectedInstOperands,
     /*  595874 */     // GIR_Coverage, 10674,
     /*  595874 */     GIR_EraseRootFromParent_Done,
     /*  595875 */   // Label 9679: @595875
     /*  595875 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(595950), // Rule ID 10675 //
     /*  595880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  595891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  595894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  595897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  595900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  595929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595948 */     GIR_RootConstrainSelectedInstOperands,
     /*  595949 */     // GIR_Coverage, 10675,
     /*  595949 */     GIR_EraseRootFromParent_Done,
     /*  595950 */   // Label 9680: @595950
     /*  595950 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(596025), // Rule ID 10678 //
     /*  595955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  595963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  595966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  595969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  595972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  595975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596023 */     GIR_RootConstrainSelectedInstOperands,
     /*  596024 */     // GIR_Coverage, 10678,
     /*  596024 */     GIR_EraseRootFromParent_Done,
     /*  596025 */   // Label 9681: @596025
     /*  596025 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(596100), // Rule ID 10679 //
     /*  596030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  596041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  596044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  596047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  596050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596098 */     GIR_RootConstrainSelectedInstOperands,
     /*  596099 */     // GIR_Coverage, 10679,
     /*  596099 */     GIR_EraseRootFromParent_Done,
     /*  596100 */   // Label 9682: @596100
     /*  596100 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(596175), // Rule ID 10682 //
     /*  596105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  596116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  596119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  596122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  596125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596151 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  596154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596173 */     GIR_RootConstrainSelectedInstOperands,
     /*  596174 */     // GIR_Coverage, 10682,
     /*  596174 */     GIR_EraseRootFromParent_Done,
     /*  596175 */   // Label 9683: @596175
     /*  596175 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(596250), // Rule ID 10683 //
     /*  596180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  596191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  596194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  596197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  596200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  596229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596248 */     GIR_RootConstrainSelectedInstOperands,
     /*  596249 */     // GIR_Coverage, 10683,
     /*  596249 */     GIR_EraseRootFromParent_Done,
     /*  596250 */   // Label 9684: @596250
     /*  596250 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(596325), // Rule ID 10686 //
     /*  596255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  596275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  596304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596323 */     GIR_RootConstrainSelectedInstOperands,
     /*  596324 */     // GIR_Coverage, 10686,
     /*  596324 */     GIR_EraseRootFromParent_Done,
     /*  596325 */   // Label 9685: @596325
     /*  596325 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(596400), // Rule ID 10687 //
     /*  596330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  596350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  596379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596398 */     GIR_RootConstrainSelectedInstOperands,
     /*  596399 */     // GIR_Coverage, 10687,
     /*  596399 */     GIR_EraseRootFromParent_Done,
     /*  596400 */   // Label 9686: @596400
     /*  596400 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(596475), // Rule ID 10690 //
     /*  596405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  596425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596473 */     GIR_RootConstrainSelectedInstOperands,
     /*  596474 */     // GIR_Coverage, 10690,
     /*  596474 */     GIR_EraseRootFromParent_Done,
     /*  596475 */   // Label 9687: @596475
     /*  596475 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(596550), // Rule ID 10691 //
     /*  596480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  596500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596548 */     GIR_RootConstrainSelectedInstOperands,
     /*  596549 */     // GIR_Coverage, 10691,
     /*  596549 */     GIR_EraseRootFromParent_Done,
     /*  596550 */   // Label 9688: @596550
     /*  596550 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(596625), // Rule ID 10694 //
     /*  596555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  596575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  596604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596623 */     GIR_RootConstrainSelectedInstOperands,
     /*  596624 */     // GIR_Coverage, 10694,
     /*  596624 */     GIR_EraseRootFromParent_Done,
     /*  596625 */   // Label 9689: @596625
     /*  596625 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(596700), // Rule ID 10695 //
     /*  596630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  596650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  596679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596698 */     GIR_RootConstrainSelectedInstOperands,
     /*  596699 */     // GIR_Coverage, 10695,
     /*  596699 */     GIR_EraseRootFromParent_Done,
     /*  596700 */   // Label 9690: @596700
     /*  596700 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(596775), // Rule ID 10698 //
     /*  596705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  596725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  596754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596773 */     GIR_RootConstrainSelectedInstOperands,
     /*  596774 */     // GIR_Coverage, 10698,
     /*  596774 */     GIR_EraseRootFromParent_Done,
     /*  596775 */   // Label 9691: @596775
     /*  596775 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(596850), // Rule ID 10699 //
     /*  596780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  596800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  596829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596848 */     GIR_RootConstrainSelectedInstOperands,
     /*  596849 */     // GIR_Coverage, 10699,
     /*  596849 */     GIR_EraseRootFromParent_Done,
     /*  596850 */   // Label 9692: @596850
     /*  596850 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(596925), // Rule ID 10702 //
     /*  596855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  596875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  596901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596923 */     GIR_RootConstrainSelectedInstOperands,
     /*  596924 */     // GIR_Coverage, 10702,
     /*  596924 */     GIR_EraseRootFromParent_Done,
     /*  596925 */   // Label 9693: @596925
     /*  596925 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(597000), // Rule ID 10703 //
     /*  596930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  596938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  596950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  596976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  596979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  596995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596998 */     GIR_RootConstrainSelectedInstOperands,
     /*  596999 */     // GIR_Coverage, 10703,
     /*  596999 */     GIR_EraseRootFromParent_Done,
     /*  597000 */   // Label 9694: @597000
     /*  597000 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(597075), // Rule ID 10706 //
     /*  597005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  597025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  597054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597073 */     GIR_RootConstrainSelectedInstOperands,
     /*  597074 */     // GIR_Coverage, 10706,
     /*  597074 */     GIR_EraseRootFromParent_Done,
     /*  597075 */   // Label 9695: @597075
     /*  597075 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(597150), // Rule ID 10707 //
     /*  597080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  597100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  597129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597148 */     GIR_RootConstrainSelectedInstOperands,
     /*  597149 */     // GIR_Coverage, 10707,
     /*  597149 */     GIR_EraseRootFromParent_Done,
     /*  597150 */   // Label 9696: @597150
     /*  597150 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(597225), // Rule ID 10710 //
     /*  597155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  597158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  597175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  597201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  597204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597223 */     GIR_RootConstrainSelectedInstOperands,
     /*  597224 */     // GIR_Coverage, 10710,
     /*  597224 */     GIR_EraseRootFromParent_Done,
     /*  597225 */   // Label 9697: @597225
     /*  597225 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(597300), // Rule ID 10711 //
     /*  597230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  597233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  597250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  597276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  597279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597298 */     GIR_RootConstrainSelectedInstOperands,
     /*  597299 */     // GIR_Coverage, 10711,
     /*  597299 */     GIR_EraseRootFromParent_Done,
     /*  597300 */   // Label 9698: @597300
     /*  597300 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(597375), // Rule ID 10714 //
     /*  597305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  597308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  597325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  597351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  597354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597373 */     GIR_RootConstrainSelectedInstOperands,
     /*  597374 */     // GIR_Coverage, 10714,
     /*  597374 */     GIR_EraseRootFromParent_Done,
     /*  597375 */   // Label 9699: @597375
     /*  597375 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(597450), // Rule ID 10715 //
     /*  597380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  597383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  597400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  597426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  597429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597448 */     GIR_RootConstrainSelectedInstOperands,
     /*  597449 */     // GIR_Coverage, 10715,
     /*  597449 */     GIR_EraseRootFromParent_Done,
     /*  597450 */   // Label 9700: @597450
     /*  597450 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(597525), // Rule ID 10718 //
     /*  597455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  597458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  597475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  597501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  597504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597523 */     GIR_RootConstrainSelectedInstOperands,
     /*  597524 */     // GIR_Coverage, 10718,
     /*  597524 */     GIR_EraseRootFromParent_Done,
     /*  597525 */   // Label 9701: @597525
     /*  597525 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(597600), // Rule ID 10719 //
     /*  597530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  597533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  597550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  597576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  597579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  597595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597598 */     GIR_RootConstrainSelectedInstOperands,
     /*  597599 */     // GIR_Coverage, 10719,
     /*  597599 */     GIR_EraseRootFromParent_Done,
     /*  597600 */   // Label 9702: @597600
     /*  597600 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(597675), // Rule ID 10722 //
     /*  597605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  597616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  597619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  597622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  597654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597673 */     GIR_RootConstrainSelectedInstOperands,
     /*  597674 */     // GIR_Coverage, 10722,
     /*  597674 */     GIR_EraseRootFromParent_Done,
     /*  597675 */   // Label 9703: @597675
     /*  597675 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(597750), // Rule ID 10723 //
     /*  597680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  597691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  597694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  597697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  597729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597748 */     GIR_RootConstrainSelectedInstOperands,
     /*  597749 */     // GIR_Coverage, 10723,
     /*  597749 */     GIR_EraseRootFromParent_Done,
     /*  597750 */   // Label 9704: @597750
     /*  597750 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(597825), // Rule ID 10726 //
     /*  597755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  597766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  597769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  597772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  597804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597823 */     GIR_RootConstrainSelectedInstOperands,
     /*  597824 */     // GIR_Coverage, 10726,
     /*  597824 */     GIR_EraseRootFromParent_Done,
     /*  597825 */   // Label 9705: @597825
     /*  597825 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(597900), // Rule ID 10727 //
     /*  597830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  597841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  597844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  597847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  597879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597898 */     GIR_RootConstrainSelectedInstOperands,
     /*  597899 */     // GIR_Coverage, 10727,
     /*  597899 */     GIR_EraseRootFromParent_Done,
     /*  597900 */   // Label 9706: @597900
     /*  597900 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(597975), // Rule ID 10730 //
     /*  597905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  597916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  597919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  597922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  597954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597973 */     GIR_RootConstrainSelectedInstOperands,
     /*  597974 */     // GIR_Coverage, 10730,
     /*  597974 */     GIR_EraseRootFromParent_Done,
     /*  597975 */   // Label 9707: @597975
     /*  597975 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(598050), // Rule ID 10731 //
     /*  597980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  597988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  597991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  597994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  597997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  598029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598048 */     GIR_RootConstrainSelectedInstOperands,
     /*  598049 */     // GIR_Coverage, 10731,
     /*  598049 */     GIR_EraseRootFromParent_Done,
     /*  598050 */   // Label 9708: @598050
     /*  598050 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(598125), // Rule ID 10734 //
     /*  598055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  598104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598123 */     GIR_RootConstrainSelectedInstOperands,
     /*  598124 */     // GIR_Coverage, 10734,
     /*  598124 */     GIR_EraseRootFromParent_Done,
     /*  598125 */   // Label 9709: @598125
     /*  598125 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(598200), // Rule ID 10735 //
     /*  598130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  598141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  598144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  598147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  598179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598198 */     GIR_RootConstrainSelectedInstOperands,
     /*  598199 */     // GIR_Coverage, 10735,
     /*  598199 */     GIR_EraseRootFromParent_Done,
     /*  598200 */   // Label 9710: @598200
     /*  598200 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(598275), // Rule ID 10738 //
     /*  598205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  598254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598273 */     GIR_RootConstrainSelectedInstOperands,
     /*  598274 */     // GIR_Coverage, 10738,
     /*  598274 */     GIR_EraseRootFromParent_Done,
     /*  598275 */   // Label 9711: @598275
     /*  598275 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(598350), // Rule ID 10739 //
     /*  598280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  598329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598348 */     GIR_RootConstrainSelectedInstOperands,
     /*  598349 */     // GIR_Coverage, 10739,
     /*  598349 */     GIR_EraseRootFromParent_Done,
     /*  598350 */   // Label 9712: @598350
     /*  598350 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(598425), // Rule ID 10742 //
     /*  598355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  598404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598423 */     GIR_RootConstrainSelectedInstOperands,
     /*  598424 */     // GIR_Coverage, 10742,
     /*  598424 */     GIR_EraseRootFromParent_Done,
     /*  598425 */   // Label 9713: @598425
     /*  598425 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(598500), // Rule ID 10743 //
     /*  598430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  598479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598498 */     GIR_RootConstrainSelectedInstOperands,
     /*  598499 */     // GIR_Coverage, 10743,
     /*  598499 */     GIR_EraseRootFromParent_Done,
     /*  598500 */   // Label 9714: @598500
     /*  598500 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(598575), // Rule ID 10746 //
     /*  598505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  598516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  598519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  598522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598573 */     GIR_RootConstrainSelectedInstOperands,
     /*  598574 */     // GIR_Coverage, 10746,
     /*  598574 */     GIR_EraseRootFromParent_Done,
     /*  598575 */   // Label 9715: @598575
     /*  598575 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(598650), // Rule ID 10747 //
     /*  598580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  598591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  598594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  598597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11048:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598648 */     GIR_RootConstrainSelectedInstOperands,
     /*  598649 */     // GIR_Coverage, 10747,
     /*  598649 */     GIR_EraseRootFromParent_Done,
     /*  598650 */   // Label 9716: @598650
     /*  598650 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(598725), // Rule ID 10750 //
     /*  598655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598723 */     GIR_RootConstrainSelectedInstOperands,
     /*  598724 */     // GIR_Coverage, 10750,
     /*  598724 */     GIR_EraseRootFromParent_Done,
     /*  598725 */   // Label 9717: @598725
     /*  598725 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(598800), // Rule ID 10751 //
     /*  598730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11048:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598798 */     GIR_RootConstrainSelectedInstOperands,
     /*  598799 */     // GIR_Coverage, 10751,
     /*  598799 */     GIR_EraseRootFromParent_Done,
     /*  598800 */   // Label 9718: @598800
     /*  598800 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(598875), // Rule ID 10754 //
     /*  598805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  598851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598873 */     GIR_RootConstrainSelectedInstOperands,
     /*  598874 */     // GIR_Coverage, 10754,
     /*  598874 */     GIR_EraseRootFromParent_Done,
     /*  598875 */   // Label 9719: @598875
     /*  598875 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(598950), // Rule ID 10755 //
     /*  598880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  598900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11048:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  598926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  598929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  598945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598948 */     GIR_RootConstrainSelectedInstOperands,
     /*  598949 */     // GIR_Coverage, 10755,
     /*  598949 */     GIR_EraseRootFromParent_Done,
     /*  598950 */   // Label 9720: @598950
     /*  598950 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(599025), // Rule ID 10758 //
     /*  598955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  598958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  598963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  598966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  598969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  598972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  598975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  598994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  599001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  599004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  599020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599023 */     GIR_RootConstrainSelectedInstOperands,
     /*  599024 */     // GIR_Coverage, 10758,
     /*  599024 */     GIR_EraseRootFromParent_Done,
     /*  599025 */   // Label 9721: @599025
     /*  599025 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(599100), // Rule ID 10759 //
     /*  599030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  599033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11048:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  599076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  599079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  599095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599098 */     GIR_RootConstrainSelectedInstOperands,
     /*  599099 */     // GIR_Coverage, 10759,
     /*  599099 */     GIR_EraseRootFromParent_Done,
     /*  599100 */   // Label 9722: @599100
     /*  599100 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(599175), // Rule ID 10762 //
     /*  599105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  599116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  599119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  599122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599151 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  599154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599173 */     GIR_RootConstrainSelectedInstOperands,
     /*  599174 */     // GIR_Coverage, 10762,
     /*  599174 */     GIR_EraseRootFromParent_Done,
     /*  599175 */   // Label 9723: @599175
     /*  599175 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(599250), // Rule ID 10763 //
     /*  599180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  599191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  599194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  599197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  599229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599248 */     GIR_RootConstrainSelectedInstOperands,
     /*  599249 */     // GIR_Coverage, 10763,
     /*  599249 */     GIR_EraseRootFromParent_Done,
     /*  599250 */   // Label 9724: @599250
     /*  599250 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(599325), // Rule ID 10766 //
     /*  599255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  599266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  599269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  599272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  599304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599323 */     GIR_RootConstrainSelectedInstOperands,
     /*  599324 */     // GIR_Coverage, 10766,
     /*  599324 */     GIR_EraseRootFromParent_Done,
     /*  599325 */   // Label 9725: @599325
     /*  599325 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(599400), // Rule ID 10767 //
     /*  599330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  599341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  599344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  599347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  599379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599398 */     GIR_RootConstrainSelectedInstOperands,
     /*  599399 */     // GIR_Coverage, 10767,
     /*  599399 */     GIR_EraseRootFromParent_Done,
     /*  599400 */   // Label 9726: @599400
     /*  599400 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(599475), // Rule ID 10770 //
     /*  599405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  599416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  599419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  599422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599451 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  599451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  599454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599473 */     GIR_RootConstrainSelectedInstOperands,
     /*  599474 */     // GIR_Coverage, 10770,
     /*  599474 */     GIR_EraseRootFromParent_Done,
     /*  599475 */   // Label 9727: @599475
     /*  599475 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(599550), // Rule ID 10771 //
     /*  599480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  599491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  599494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  599497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599526 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  599526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  599529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  599545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599548 */     GIR_RootConstrainSelectedInstOperands,
     /*  599549 */     // GIR_Coverage, 10771,
     /*  599549 */     GIR_EraseRootFromParent_Done,
     /*  599550 */   // Label 9728: @599550
     /*  599550 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(599625), // Rule ID 10774 //
     /*  599555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  599604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599623 */     GIR_RootConstrainSelectedInstOperands,
     /*  599624 */     // GIR_Coverage, 10774,
     /*  599624 */     GIR_EraseRootFromParent_Done,
     /*  599625 */   // Label 9729: @599625
     /*  599625 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(599700), // Rule ID 10775 //
     /*  599630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  599641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  599644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  599647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599676 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  599679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599698 */     GIR_RootConstrainSelectedInstOperands,
     /*  599699 */     // GIR_Coverage, 10775,
     /*  599699 */     GIR_EraseRootFromParent_Done,
     /*  599700 */   // Label 9730: @599700
     /*  599700 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(599775), // Rule ID 10778 //
     /*  599705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  599754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599773 */     GIR_RootConstrainSelectedInstOperands,
     /*  599774 */     // GIR_Coverage, 10778,
     /*  599774 */     GIR_EraseRootFromParent_Done,
     /*  599775 */   // Label 9731: @599775
     /*  599775 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(599850), // Rule ID 10779 //
     /*  599780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  599791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  599794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  599797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  599829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599848 */     GIR_RootConstrainSelectedInstOperands,
     /*  599849 */     // GIR_Coverage, 10779,
     /*  599849 */     GIR_EraseRootFromParent_Done,
     /*  599850 */   // Label 9732: @599850
     /*  599850 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(599925), // Rule ID 10782 //
     /*  599855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  599866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  599869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  599872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  599875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  599904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599923 */     GIR_RootConstrainSelectedInstOperands,
     /*  599924 */     // GIR_Coverage, 10782,
     /*  599924 */     GIR_EraseRootFromParent_Done,
     /*  599925 */   // Label 9733: @599925
     /*  599925 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(600000), // Rule ID 10783 //
     /*  599930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  599938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  599941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  599944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  599947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  599950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  599969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  599979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599998 */     GIR_RootConstrainSelectedInstOperands,
     /*  599999 */     // GIR_Coverage, 10783,
     /*  599999 */     GIR_EraseRootFromParent_Done,
     /*  600000 */   // Label 9734: @600000
     /*  600000 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(600075), // Rule ID 10786 //
     /*  600005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  600054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600073 */     GIR_RootConstrainSelectedInstOperands,
     /*  600074 */     // GIR_Coverage, 10786,
     /*  600074 */     GIR_EraseRootFromParent_Done,
     /*  600075 */   // Label 9735: @600075
     /*  600075 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(600150), // Rule ID 10787 //
     /*  600080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  600091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  600094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  600097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  600129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600148 */     GIR_RootConstrainSelectedInstOperands,
     /*  600149 */     // GIR_Coverage, 10787,
     /*  600149 */     GIR_EraseRootFromParent_Done,
     /*  600150 */   // Label 9736: @600150
     /*  600150 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(600225), // Rule ID 10790 //
     /*  600155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  600204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600223 */     GIR_RootConstrainSelectedInstOperands,
     /*  600224 */     // GIR_Coverage, 10790,
     /*  600224 */     GIR_EraseRootFromParent_Done,
     /*  600225 */   // Label 9737: @600225
     /*  600225 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(600300), // Rule ID 10791 //
     /*  600230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  600241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  600244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  600247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  600279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600298 */     GIR_RootConstrainSelectedInstOperands,
     /*  600299 */     // GIR_Coverage, 10791,
     /*  600299 */     GIR_EraseRootFromParent_Done,
     /*  600300 */   // Label 9738: @600300
     /*  600300 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(600375), // Rule ID 10794 //
     /*  600305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  600351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  600354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600373 */     GIR_RootConstrainSelectedInstOperands,
     /*  600374 */     // GIR_Coverage, 10794,
     /*  600374 */     GIR_EraseRootFromParent_Done,
     /*  600375 */   // Label 9739: @600375
     /*  600375 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(600450), // Rule ID 10795 //
     /*  600380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  600391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  600394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  600397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  600429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600448 */     GIR_RootConstrainSelectedInstOperands,
     /*  600449 */     // GIR_Coverage, 10795,
     /*  600449 */     GIR_EraseRootFromParent_Done,
     /*  600450 */   // Label 9740: @600450
     /*  600450 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(600525), // Rule ID 10798 //
     /*  600455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  600458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  600466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  600469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  600472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  600501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  600504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600523 */     GIR_RootConstrainSelectedInstOperands,
     /*  600524 */     // GIR_Coverage, 10798,
     /*  600524 */     GIR_EraseRootFromParent_Done,
     /*  600525 */   // Label 9741: @600525
     /*  600525 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(600600), // Rule ID 10799 //
     /*  600530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  600533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  600541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  600544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  600547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11048:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  600576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  600579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600598 */     GIR_RootConstrainSelectedInstOperands,
     /*  600599 */     // GIR_Coverage, 10799,
     /*  600599 */     GIR_EraseRootFromParent_Done,
     /*  600600 */   // Label 9742: @600600
     /*  600600 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(600675), // Rule ID 10802 //
     /*  600605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  600608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  600651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  600654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600673 */     GIR_RootConstrainSelectedInstOperands,
     /*  600674 */     // GIR_Coverage, 10802,
     /*  600674 */     GIR_EraseRootFromParent_Done,
     /*  600675 */   // Label 9743: @600675
     /*  600675 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(600750), // Rule ID 10803 //
     /*  600680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  600683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  600691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  600694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  600697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11048:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  600726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  600729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600748 */     GIR_RootConstrainSelectedInstOperands,
     /*  600749 */     // GIR_Coverage, 10803,
     /*  600749 */     GIR_EraseRootFromParent_Done,
     /*  600750 */   // Label 9744: @600750
     /*  600750 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(600825), // Rule ID 10806 //
     /*  600755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  600758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  600801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  600804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600823 */     GIR_RootConstrainSelectedInstOperands,
     /*  600824 */     // GIR_Coverage, 10806,
     /*  600824 */     GIR_EraseRootFromParent_Done,
     /*  600825 */   // Label 9745: @600825
     /*  600825 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(600900), // Rule ID 10807 //
     /*  600830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  600833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  600838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  600841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  600844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  600847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11048:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  600876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  600879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  600895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600898 */     GIR_RootConstrainSelectedInstOperands,
     /*  600899 */     // GIR_Coverage, 10807,
     /*  600899 */     GIR_EraseRootFromParent_Done,
     /*  600900 */   // Label 9746: @600900
     /*  600900 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(600975), // Rule ID 10810 //
     /*  600905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  600916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  600919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  600922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  600925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  600954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600973 */     GIR_RootConstrainSelectedInstOperands,
     /*  600974 */     // GIR_Coverage, 10810,
     /*  600974 */     GIR_EraseRootFromParent_Done,
     /*  600975 */   // Label 9747: @600975
     /*  600975 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(601050), // Rule ID 10811 //
     /*  600980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  600988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  600991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  600994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  600997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  601000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  601029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601048 */     GIR_RootConstrainSelectedInstOperands,
     /*  601049 */     // GIR_Coverage, 10811,
     /*  601049 */     GIR_EraseRootFromParent_Done,
     /*  601050 */   // Label 9748: @601050
     /*  601050 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(601125), // Rule ID 10814 //
     /*  601055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  601066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  601075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  601104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601123 */     GIR_RootConstrainSelectedInstOperands,
     /*  601124 */     // GIR_Coverage, 10814,
     /*  601124 */     GIR_EraseRootFromParent_Done,
     /*  601125 */   // Label 9749: @601125
     /*  601125 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(601200), // Rule ID 10815 //
     /*  601130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  601141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  601144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  601147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  601150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  601179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601198 */     GIR_RootConstrainSelectedInstOperands,
     /*  601199 */     // GIR_Coverage, 10815,
     /*  601199 */     GIR_EraseRootFromParent_Done,
     /*  601200 */   // Label 9750: @601200
     /*  601200 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(601275), // Rule ID 10818 //
     /*  601205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  601216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  601225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601273 */     GIR_RootConstrainSelectedInstOperands,
     /*  601274 */     // GIR_Coverage, 10818,
     /*  601274 */     GIR_EraseRootFromParent_Done,
     /*  601275 */   // Label 9751: @601275
     /*  601275 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(601350), // Rule ID 10819 //
     /*  601280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  601291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  601294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  601297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  601300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601348 */     GIR_RootConstrainSelectedInstOperands,
     /*  601349 */     // GIR_Coverage, 10819,
     /*  601349 */     GIR_EraseRootFromParent_Done,
     /*  601350 */   // Label 9752: @601350
     /*  601350 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(601425), // Rule ID 10822 //
     /*  601355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  601375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601401 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  601404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601423 */     GIR_RootConstrainSelectedInstOperands,
     /*  601424 */     // GIR_Coverage, 10822,
     /*  601424 */     GIR_EraseRootFromParent_Done,
     /*  601425 */   // Label 9753: @601425
     /*  601425 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(601500), // Rule ID 10823 //
     /*  601430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  601441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  601444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  601447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  601450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  601479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601498 */     GIR_RootConstrainSelectedInstOperands,
     /*  601499 */     // GIR_Coverage, 10823,
     /*  601499 */     GIR_EraseRootFromParent_Done,
     /*  601500 */   // Label 9754: @601500
     /*  601500 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(601575), // Rule ID 10826 //
     /*  601505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  601516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  601525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601573 */     GIR_RootConstrainSelectedInstOperands,
     /*  601574 */     // GIR_Coverage, 10826,
     /*  601574 */     GIR_EraseRootFromParent_Done,
     /*  601575 */   // Label 9755: @601575
     /*  601575 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(601650), // Rule ID 10827 //
     /*  601580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  601591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  601594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  601597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  601600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601648 */     GIR_RootConstrainSelectedInstOperands,
     /*  601649 */     // GIR_Coverage, 10827,
     /*  601649 */     GIR_EraseRootFromParent_Done,
     /*  601650 */   // Label 9756: @601650
     /*  601650 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(601725), // Rule ID 10830 //
     /*  601655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  601666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  601669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  601672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  601675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601723 */     GIR_RootConstrainSelectedInstOperands,
     /*  601724 */     // GIR_Coverage, 10830,
     /*  601724 */     GIR_EraseRootFromParent_Done,
     /*  601725 */   // Label 9757: @601725
     /*  601725 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(601800), // Rule ID 10831 //
     /*  601730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  601741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  601744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  601747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  601750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  601779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601798 */     GIR_RootConstrainSelectedInstOperands,
     /*  601799 */     // GIR_Coverage, 10831,
     /*  601799 */     GIR_EraseRootFromParent_Done,
     /*  601800 */   // Label 9758: @601800
     /*  601800 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(601875), // Rule ID 10834 //
     /*  601805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  601816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  601819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  601822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  601825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  601851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  601854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601873 */     GIR_RootConstrainSelectedInstOperands,
     /*  601874 */     // GIR_Coverage, 10834,
     /*  601874 */     GIR_EraseRootFromParent_Done,
     /*  601875 */   // Label 9759: @601875
     /*  601875 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(601950), // Rule ID 10835 //
     /*  601880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  601891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  601894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  601897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  601900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601926 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  601926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  601929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  601945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601948 */     GIR_RootConstrainSelectedInstOperands,
     /*  601949 */     // GIR_Coverage, 10835,
     /*  601949 */     GIR_EraseRootFromParent_Done,
     /*  601950 */   // Label 9760: @601950
     /*  601950 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(602025), // Rule ID 10838 //
     /*  601955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  601963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  601966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  601969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  601972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  601975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602023 */     GIR_RootConstrainSelectedInstOperands,
     /*  602024 */     // GIR_Coverage, 10838,
     /*  602024 */     GIR_EraseRootFromParent_Done,
     /*  602025 */   // Label 9761: @602025
     /*  602025 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(602100), // Rule ID 10839 //
     /*  602030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  602050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602098 */     GIR_RootConstrainSelectedInstOperands,
     /*  602099 */     // GIR_Coverage, 10839,
     /*  602099 */     GIR_EraseRootFromParent_Done,
     /*  602100 */   // Label 9762: @602100
     /*  602100 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(602175), // Rule ID 10842 //
     /*  602105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  602125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602173 */     GIR_RootConstrainSelectedInstOperands,
     /*  602174 */     // GIR_Coverage, 10842,
     /*  602174 */     GIR_EraseRootFromParent_Done,
     /*  602175 */   // Label 9763: @602175
     /*  602175 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(602250), // Rule ID 10843 //
     /*  602180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  602191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  602194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  602197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  602200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602248 */     GIR_RootConstrainSelectedInstOperands,
     /*  602249 */     // GIR_Coverage, 10843,
     /*  602249 */     GIR_EraseRootFromParent_Done,
     /*  602250 */   // Label 9764: @602250
     /*  602250 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(602325), // Rule ID 10846 //
     /*  602255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  602258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  602266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  602275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  602301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602323 */     GIR_RootConstrainSelectedInstOperands,
     /*  602324 */     // GIR_Coverage, 10846,
     /*  602324 */     GIR_EraseRootFromParent_Done,
     /*  602325 */   // Label 9765: @602325
     /*  602325 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(602400), // Rule ID 10847 //
     /*  602330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  602333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  602341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  602344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  602347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  602350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  602376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  602379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  602395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602398 */     GIR_RootConstrainSelectedInstOperands,
     /*  602399 */     // GIR_Coverage, 10847,
     /*  602399 */     GIR_EraseRootFromParent_Done,
     /*  602400 */   // Label 9766: @602400
     /*  602400 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(602475), // Rule ID 10850 //
     /*  602405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  602416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  602454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602473 */     GIR_RootConstrainSelectedInstOperands,
     /*  602474 */     // GIR_Coverage, 10850,
     /*  602474 */     GIR_EraseRootFromParent_Done,
     /*  602475 */   // Label 9767: @602475
     /*  602475 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(602550), // Rule ID 10851 //
     /*  602480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  602491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  602494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  602497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  602529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602548 */     GIR_RootConstrainSelectedInstOperands,
     /*  602549 */     // GIR_Coverage, 10851,
     /*  602549 */     GIR_EraseRootFromParent_Done,
     /*  602550 */   // Label 9768: @602550
     /*  602550 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(602625), // Rule ID 10854 //
     /*  602555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  602566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  602569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  602572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  602604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602623 */     GIR_RootConstrainSelectedInstOperands,
     /*  602624 */     // GIR_Coverage, 10854,
     /*  602624 */     GIR_EraseRootFromParent_Done,
     /*  602625 */   // Label 9769: @602625
     /*  602625 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(602700), // Rule ID 10855 //
     /*  602630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  602641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  602644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  602647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  602650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  602679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602698 */     GIR_RootConstrainSelectedInstOperands,
     /*  602699 */     // GIR_Coverage, 10855,
     /*  602699 */     GIR_EraseRootFromParent_Done,
     /*  602700 */   // Label 9770: @602700
     /*  602700 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(602775), // Rule ID 10858 //
     /*  602705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  602716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  602719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  602722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  602725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  602754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602773 */     GIR_RootConstrainSelectedInstOperands,
     /*  602774 */     // GIR_Coverage, 10858,
     /*  602774 */     GIR_EraseRootFromParent_Done,
     /*  602775 */   // Label 9771: @602775
     /*  602775 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(602850), // Rule ID 10859 //
     /*  602780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  602791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  602794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  602797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  602800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  602829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602848 */     GIR_RootConstrainSelectedInstOperands,
     /*  602849 */     // GIR_Coverage, 10859,
     /*  602849 */     GIR_EraseRootFromParent_Done,
     /*  602850 */   // Label 9772: @602850
     /*  602850 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(602925), // Rule ID 10862 //
     /*  602855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  602875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  602901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  602904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602923 */     GIR_RootConstrainSelectedInstOperands,
     /*  602924 */     // GIR_Coverage, 10862,
     /*  602924 */     GIR_EraseRootFromParent_Done,
     /*  602925 */   // Label 9773: @602925
     /*  602925 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(603000), // Rule ID 10863 //
     /*  602930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  602938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  602950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  602976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  602979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  602995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602998 */     GIR_RootConstrainSelectedInstOperands,
     /*  602999 */     // GIR_Coverage, 10863,
     /*  602999 */     GIR_EraseRootFromParent_Done,
     /*  603000 */   // Label 9774: @603000
     /*  603000 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(603075), // Rule ID 10866 //
     /*  603005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  603016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  603054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603073 */     GIR_RootConstrainSelectedInstOperands,
     /*  603074 */     // GIR_Coverage, 10866,
     /*  603074 */     GIR_EraseRootFromParent_Done,
     /*  603075 */   // Label 9775: @603075
     /*  603075 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(603150), // Rule ID 10867 //
     /*  603080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  603091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  603094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  603097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  603129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603148 */     GIR_RootConstrainSelectedInstOperands,
     /*  603149 */     // GIR_Coverage, 10867,
     /*  603149 */     GIR_EraseRootFromParent_Done,
     /*  603150 */   // Label 9776: @603150
     /*  603150 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(603225), // Rule ID 10870 //
     /*  603155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  603166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  603175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  603204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603223 */     GIR_RootConstrainSelectedInstOperands,
     /*  603224 */     // GIR_Coverage, 10870,
     /*  603224 */     GIR_EraseRootFromParent_Done,
     /*  603225 */   // Label 9777: @603225
     /*  603225 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(603300), // Rule ID 10871 //
     /*  603230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  603241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  603250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  603279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603298 */     GIR_RootConstrainSelectedInstOperands,
     /*  603299 */     // GIR_Coverage, 10871,
     /*  603299 */     GIR_EraseRootFromParent_Done,
     /*  603300 */   // Label 9778: @603300
     /*  603300 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(603375), // Rule ID 10874 //
     /*  603305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  603354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603373 */     GIR_RootConstrainSelectedInstOperands,
     /*  603374 */     // GIR_Coverage, 10874,
     /*  603374 */     GIR_EraseRootFromParent_Done,
     /*  603375 */   // Label 9779: @603375
     /*  603375 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(603450), // Rule ID 10875 //
     /*  603380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  603400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  603429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603448 */     GIR_RootConstrainSelectedInstOperands,
     /*  603449 */     // GIR_Coverage, 10875,
     /*  603449 */     GIR_EraseRootFromParent_Done,
     /*  603450 */   // Label 9780: @603450
     /*  603450 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(603525), // Rule ID 10878 //
     /*  603455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  603475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  603504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603523 */     GIR_RootConstrainSelectedInstOperands,
     /*  603524 */     // GIR_Coverage, 10878,
     /*  603524 */     GIR_EraseRootFromParent_Done,
     /*  603525 */   // Label 9781: @603525
     /*  603525 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(603600), // Rule ID 10879 //
     /*  603530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  603550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  603579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603598 */     GIR_RootConstrainSelectedInstOperands,
     /*  603599 */     // GIR_Coverage, 10879,
     /*  603599 */     GIR_EraseRootFromParent_Done,
     /*  603600 */   // Label 9782: @603600
     /*  603600 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(603675), // Rule ID 10882 //
     /*  603605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  603625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  603654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603673 */     GIR_RootConstrainSelectedInstOperands,
     /*  603674 */     // GIR_Coverage, 10882,
     /*  603674 */     GIR_EraseRootFromParent_Done,
     /*  603675 */   // Label 9783: @603675
     /*  603675 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(603750), // Rule ID 10883 //
     /*  603680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  603700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  603726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  603729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  603745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603748 */     GIR_RootConstrainSelectedInstOperands,
     /*  603749 */     // GIR_Coverage, 10883,
     /*  603749 */     GIR_EraseRootFromParent_Done,
     /*  603750 */   // Label 9784: @603750
     /*  603750 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(603825), // Rule ID 10886 //
     /*  603755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  603775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  603801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  603804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603823 */     GIR_RootConstrainSelectedInstOperands,
     /*  603824 */     // GIR_Coverage, 10886,
     /*  603824 */     GIR_EraseRootFromParent_Done,
     /*  603825 */   // Label 9785: @603825
     /*  603825 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(603900), // Rule ID 10887 //
     /*  603830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  603841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  603844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  603847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  603850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  603876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  603879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603898 */     GIR_RootConstrainSelectedInstOperands,
     /*  603899 */     // GIR_Coverage, 10887,
     /*  603899 */     GIR_EraseRootFromParent_Done,
     /*  603900 */   // Label 9786: @603900
     /*  603900 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(603975), // Rule ID 10890 //
     /*  603905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  603908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  603925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  603951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  603954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  603970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603973 */     GIR_RootConstrainSelectedInstOperands,
     /*  603974 */     // GIR_Coverage, 10890,
     /*  603974 */     GIR_EraseRootFromParent_Done,
     /*  603975 */   // Label 9787: @603975
     /*  603975 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(604050), // Rule ID 10891 //
     /*  603980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  603983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  603988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  603991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  603994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  603997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  604000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  604026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  604029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604048 */     GIR_RootConstrainSelectedInstOperands,
     /*  604049 */     // GIR_Coverage, 10891,
     /*  604049 */     GIR_EraseRootFromParent_Done,
     /*  604050 */   // Label 9788: @604050
     /*  604050 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(604125), // Rule ID 10894 //
     /*  604055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  604058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  604066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  604075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  604101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  604104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604123 */     GIR_RootConstrainSelectedInstOperands,
     /*  604124 */     // GIR_Coverage, 10894,
     /*  604124 */     GIR_EraseRootFromParent_Done,
     /*  604125 */   // Label 9789: @604125
     /*  604125 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(604200), // Rule ID 10895 //
     /*  604130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  604133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  604141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  604150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  604176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  604179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  604195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604198 */     GIR_RootConstrainSelectedInstOperands,
     /*  604199 */     // GIR_Coverage, 10895,
     /*  604199 */     GIR_EraseRootFromParent_Done,
     /*  604200 */   // Label 9790: @604200
     /*  604200 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(604275), // Rule ID 10898 //
     /*  604205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  604216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  604222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  604254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604273 */     GIR_RootConstrainSelectedInstOperands,
     /*  604274 */     // GIR_Coverage, 10898,
     /*  604274 */     GIR_EraseRootFromParent_Done,
     /*  604275 */   // Label 9791: @604275
     /*  604275 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(604350), // Rule ID 10899 //
     /*  604280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  604291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  604294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  604297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  604329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604348 */     GIR_RootConstrainSelectedInstOperands,
     /*  604349 */     // GIR_Coverage, 10899,
     /*  604349 */     GIR_EraseRootFromParent_Done,
     /*  604350 */   // Label 9792: @604350
     /*  604350 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(604425), // Rule ID 10902 //
     /*  604355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  604366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  604372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  604404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604423 */     GIR_RootConstrainSelectedInstOperands,
     /*  604424 */     // GIR_Coverage, 10902,
     /*  604424 */     GIR_EraseRootFromParent_Done,
     /*  604425 */   // Label 9793: @604425
     /*  604425 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(604500), // Rule ID 10903 //
     /*  604430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  604441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  604444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  604447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  604479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604498 */     GIR_RootConstrainSelectedInstOperands,
     /*  604499 */     // GIR_Coverage, 10903,
     /*  604499 */     GIR_EraseRootFromParent_Done,
     /*  604500 */   // Label 9794: @604500
     /*  604500 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(604575), // Rule ID 10906 //
     /*  604505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  604516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  604522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  604554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604573 */     GIR_RootConstrainSelectedInstOperands,
     /*  604574 */     // GIR_Coverage, 10906,
     /*  604574 */     GIR_EraseRootFromParent_Done,
     /*  604575 */   // Label 9795: @604575
     /*  604575 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(604650), // Rule ID 10907 //
     /*  604580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  604591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  604594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  604597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  604629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604648 */     GIR_RootConstrainSelectedInstOperands,
     /*  604649 */     // GIR_Coverage, 10907,
     /*  604649 */     GIR_EraseRootFromParent_Done,
     /*  604650 */   // Label 9796: @604650
     /*  604650 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(604725), // Rule ID 10910 //
     /*  604655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  604704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604723 */     GIR_RootConstrainSelectedInstOperands,
     /*  604724 */     // GIR_Coverage, 10910,
     /*  604724 */     GIR_EraseRootFromParent_Done,
     /*  604725 */   // Label 9797: @604725
     /*  604725 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(604800), // Rule ID 10911 //
     /*  604730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  604779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604798 */     GIR_RootConstrainSelectedInstOperands,
     /*  604799 */     // GIR_Coverage, 10911,
     /*  604799 */     GIR_EraseRootFromParent_Done,
     /*  604800 */   // Label 9798: @604800
     /*  604800 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(604875), // Rule ID 10914 //
     /*  604805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  604851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  604854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604873 */     GIR_RootConstrainSelectedInstOperands,
     /*  604874 */     // GIR_Coverage, 10914,
     /*  604874 */     GIR_EraseRootFromParent_Done,
     /*  604875 */   // Label 9799: @604875
     /*  604875 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(604950), // Rule ID 10915 //
     /*  604880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  604926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  604929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  604945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604948 */     GIR_RootConstrainSelectedInstOperands,
     /*  604949 */     // GIR_Coverage, 10915,
     /*  604949 */     GIR_EraseRootFromParent_Done,
     /*  604950 */   // Label 9800: @604950
     /*  604950 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(605025), // Rule ID 10918 //
     /*  604955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  604963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  604966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  604969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  604972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  605004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605023 */     GIR_RootConstrainSelectedInstOperands,
     /*  605024 */     // GIR_Coverage, 10918,
     /*  605024 */     GIR_EraseRootFromParent_Done,
     /*  605025 */   // Label 9801: @605025
     /*  605025 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(605100), // Rule ID 10919 //
     /*  605030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  605079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605098 */     GIR_RootConstrainSelectedInstOperands,
     /*  605099 */     // GIR_Coverage, 10919,
     /*  605099 */     GIR_EraseRootFromParent_Done,
     /*  605100 */   // Label 9802: @605100
     /*  605100 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(605175), // Rule ID 10922 //
     /*  605105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  605116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  605122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605173 */     GIR_RootConstrainSelectedInstOperands,
     /*  605174 */     // GIR_Coverage, 10922,
     /*  605174 */     GIR_EraseRootFromParent_Done,
     /*  605175 */   // Label 9803: @605175
     /*  605175 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(605250), // Rule ID 10923 //
     /*  605180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  605191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  605194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  605197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11103:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605248 */     GIR_RootConstrainSelectedInstOperands,
     /*  605249 */     // GIR_Coverage, 10923,
     /*  605249 */     GIR_EraseRootFromParent_Done,
     /*  605250 */   // Label 9804: @605250
     /*  605250 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(605325), // Rule ID 10926 //
     /*  605255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  605266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  605272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605323 */     GIR_RootConstrainSelectedInstOperands,
     /*  605324 */     // GIR_Coverage, 10926,
     /*  605324 */     GIR_EraseRootFromParent_Done,
     /*  605325 */   // Label 9805: @605325
     /*  605325 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(605400), // Rule ID 10927 //
     /*  605330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  605341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  605344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  605347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11103:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605398 */     GIR_RootConstrainSelectedInstOperands,
     /*  605399 */     // GIR_Coverage, 10927,
     /*  605399 */     GIR_EraseRootFromParent_Done,
     /*  605400 */   // Label 9806: @605400
     /*  605400 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(605475), // Rule ID 10930 //
     /*  605405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  605451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605473 */     GIR_RootConstrainSelectedInstOperands,
     /*  605474 */     // GIR_Coverage, 10930,
     /*  605474 */     GIR_EraseRootFromParent_Done,
     /*  605475 */   // Label 9807: @605475
     /*  605475 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(605550), // Rule ID 10931 //
     /*  605480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  605526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  605545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605548 */     GIR_RootConstrainSelectedInstOperands,
     /*  605549 */     // GIR_Coverage, 10931,
     /*  605549 */     GIR_EraseRootFromParent_Done,
     /*  605550 */   // Label 9808: @605550
     /*  605550 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(605625), // Rule ID 10934 //
     /*  605555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  605558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  605601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605623 */     GIR_RootConstrainSelectedInstOperands,
     /*  605624 */     // GIR_Coverage, 10934,
     /*  605624 */     GIR_EraseRootFromParent_Done,
     /*  605625 */   // Label 9809: @605625
     /*  605625 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(605700), // Rule ID 10935 //
     /*  605630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  605633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  605641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  605644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  605647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11103:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  605676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  605679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  605695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605698 */     GIR_RootConstrainSelectedInstOperands,
     /*  605699 */     // GIR_Coverage, 10935,
     /*  605699 */     GIR_EraseRootFromParent_Done,
     /*  605700 */   // Label 9810: @605700
     /*  605700 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(605775), // Rule ID 10938 //
     /*  605705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  605716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  605719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  605722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  605754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605773 */     GIR_RootConstrainSelectedInstOperands,
     /*  605774 */     // GIR_Coverage, 10938,
     /*  605774 */     GIR_EraseRootFromParent_Done,
     /*  605775 */   // Label 9811: @605775
     /*  605775 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(605850), // Rule ID 10939 //
     /*  605780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  605791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  605794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  605797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  605829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605848 */     GIR_RootConstrainSelectedInstOperands,
     /*  605849 */     // GIR_Coverage, 10939,
     /*  605849 */     GIR_EraseRootFromParent_Done,
     /*  605850 */   // Label 9812: @605850
     /*  605850 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(605925), // Rule ID 10942 //
     /*  605855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  605866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  605869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  605872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  605904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605923 */     GIR_RootConstrainSelectedInstOperands,
     /*  605924 */     // GIR_Coverage, 10942,
     /*  605924 */     GIR_EraseRootFromParent_Done,
     /*  605925 */   // Label 9813: @605925
     /*  605925 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606000), // Rule ID 10943 //
     /*  605930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  605938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  605941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  605944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  605947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  605979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605998 */     GIR_RootConstrainSelectedInstOperands,
     /*  605999 */     // GIR_Coverage, 10943,
     /*  605999 */     GIR_EraseRootFromParent_Done,
     /*  606000 */   // Label 9814: @606000
     /*  606000 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(606075), // Rule ID 10946 //
     /*  606005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  606016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  606022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  606051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  606054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606073 */     GIR_RootConstrainSelectedInstOperands,
     /*  606074 */     // GIR_Coverage, 10946,
     /*  606074 */     GIR_EraseRootFromParent_Done,
     /*  606075 */   // Label 9815: @606075
     /*  606075 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(606150), // Rule ID 10947 //
     /*  606080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  606091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  606094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  606097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  606126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  606129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606148 */     GIR_RootConstrainSelectedInstOperands,
     /*  606149 */     // GIR_Coverage, 10947,
     /*  606149 */     GIR_EraseRootFromParent_Done,
     /*  606150 */   // Label 9816: @606150
     /*  606150 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(606225), // Rule ID 10950 //
     /*  606155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  606166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  606172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  606204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606223 */     GIR_RootConstrainSelectedInstOperands,
     /*  606224 */     // GIR_Coverage, 10950,
     /*  606224 */     GIR_EraseRootFromParent_Done,
     /*  606225 */   // Label 9817: @606225
     /*  606225 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(606300), // Rule ID 10951 //
     /*  606230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  606241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  606244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  606247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  606279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606298 */     GIR_RootConstrainSelectedInstOperands,
     /*  606299 */     // GIR_Coverage, 10951,
     /*  606299 */     GIR_EraseRootFromParent_Done,
     /*  606300 */   // Label 9818: @606300
     /*  606300 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(606375), // Rule ID 10954 //
     /*  606305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  606316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  606322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  606354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606373 */     GIR_RootConstrainSelectedInstOperands,
     /*  606374 */     // GIR_Coverage, 10954,
     /*  606374 */     GIR_EraseRootFromParent_Done,
     /*  606375 */   // Label 9819: @606375
     /*  606375 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(606450), // Rule ID 10955 //
     /*  606380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  606391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  606394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  606397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  606429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606448 */     GIR_RootConstrainSelectedInstOperands,
     /*  606449 */     // GIR_Coverage, 10955,
     /*  606449 */     GIR_EraseRootFromParent_Done,
     /*  606450 */   // Label 9820: @606450
     /*  606450 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(606525), // Rule ID 10958 //
     /*  606455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  606466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  606472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  606504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606523 */     GIR_RootConstrainSelectedInstOperands,
     /*  606524 */     // GIR_Coverage, 10958,
     /*  606524 */     GIR_EraseRootFromParent_Done,
     /*  606525 */   // Label 9821: @606525
     /*  606525 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(606600), // Rule ID 10959 //
     /*  606530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  606541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  606544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  606547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  606579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606598 */     GIR_RootConstrainSelectedInstOperands,
     /*  606599 */     // GIR_Coverage, 10959,
     /*  606599 */     GIR_EraseRootFromParent_Done,
     /*  606600 */   // Label 9822: @606600
     /*  606600 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(606675), // Rule ID 10962 //
     /*  606605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  606616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  606622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  606654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606673 */     GIR_RootConstrainSelectedInstOperands,
     /*  606674 */     // GIR_Coverage, 10962,
     /*  606674 */     GIR_EraseRootFromParent_Done,
     /*  606675 */   // Label 9823: @606675
     /*  606675 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(606750), // Rule ID 10963 //
     /*  606680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  606691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  606694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  606697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  606729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606748 */     GIR_RootConstrainSelectedInstOperands,
     /*  606749 */     // GIR_Coverage, 10963,
     /*  606749 */     GIR_EraseRootFromParent_Done,
     /*  606750 */   // Label 9824: @606750
     /*  606750 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(606825), // Rule ID 10966 //
     /*  606755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  606766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  606769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  606772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  606804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606823 */     GIR_RootConstrainSelectedInstOperands,
     /*  606824 */     // GIR_Coverage, 10966,
     /*  606824 */     GIR_EraseRootFromParent_Done,
     /*  606825 */   // Label 9825: @606825
     /*  606825 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(606900), // Rule ID 10967 //
     /*  606830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  606841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  606844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  606847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  606879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606898 */     GIR_RootConstrainSelectedInstOperands,
     /*  606899 */     // GIR_Coverage, 10967,
     /*  606899 */     GIR_EraseRootFromParent_Done,
     /*  606900 */   // Label 9826: @606900
     /*  606900 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(606975), // Rule ID 10970 //
     /*  606905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  606916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  606919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  606922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  606954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606973 */     GIR_RootConstrainSelectedInstOperands,
     /*  606974 */     // GIR_Coverage, 10970,
     /*  606974 */     GIR_EraseRootFromParent_Done,
     /*  606975 */   // Label 9827: @606975
     /*  606975 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607050), // Rule ID 10971 //
     /*  606980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  606988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  606991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  606994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  606997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  607026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  607029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607048 */     GIR_RootConstrainSelectedInstOperands,
     /*  607049 */     // GIR_Coverage, 10971,
     /*  607049 */     GIR_EraseRootFromParent_Done,
     /*  607050 */   // Label 9828: @607050
     /*  607050 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(607125), // Rule ID 10974 //
     /*  607055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  607066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  607072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  607101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  607104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607123 */     GIR_RootConstrainSelectedInstOperands,
     /*  607124 */     // GIR_Coverage, 10974,
     /*  607124 */     GIR_EraseRootFromParent_Done,
     /*  607125 */   // Label 9829: @607125
     /*  607125 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(607200), // Rule ID 10975 //
     /*  607130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  607141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  607144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  607147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  607165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  607176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  607179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607198 */     GIR_RootConstrainSelectedInstOperands,
     /*  607199 */     // GIR_Coverage, 10975,
     /*  607199 */     GIR_EraseRootFromParent_Done,
     /*  607200 */   // Label 9830: @607200
     /*  607200 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(607275), // Rule ID 10978 //
     /*  607205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  607216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  607222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  607251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  607254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607273 */     GIR_RootConstrainSelectedInstOperands,
     /*  607274 */     // GIR_Coverage, 10978,
     /*  607274 */     GIR_EraseRootFromParent_Done,
     /*  607275 */   // Label 9831: @607275
     /*  607275 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(607350), // Rule ID 10979 //
     /*  607280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  607291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  607294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  607297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  607315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  607326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  607329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607348 */     GIR_RootConstrainSelectedInstOperands,
     /*  607349 */     // GIR_Coverage, 10979,
     /*  607349 */     GIR_EraseRootFromParent_Done,
     /*  607350 */   // Label 9832: @607350
     /*  607350 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(607425), // Rule ID 10982 //
     /*  607355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  607366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  607372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  607375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  607401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  607404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607423 */     GIR_RootConstrainSelectedInstOperands,
     /*  607424 */     // GIR_Coverage, 10982,
     /*  607424 */     GIR_EraseRootFromParent_Done,
     /*  607425 */   // Label 9833: @607425
     /*  607425 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(607500), // Rule ID 10983 //
     /*  607430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  607433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  607438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  607441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  607444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  607447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  607450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  607465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  607469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  607476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  607479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  607495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607498 */     GIR_RootConstrainSelectedInstOperands,
     /*  607499 */     // GIR_Coverage, 10983,
     /*  607499 */     GIR_EraseRootFromParent_Done,
     /*  607500 */   // Label 9834: @607500
     /*  607500 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(607575), // Rule ID 10986 //
     /*  607505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  607516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  607525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  607554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607573 */     GIR_RootConstrainSelectedInstOperands,
     /*  607574 */     // GIR_Coverage, 10986,
     /*  607574 */     GIR_EraseRootFromParent_Done,
     /*  607575 */   // Label 9835: @607575
     /*  607575 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(607650), // Rule ID 10987 //
     /*  607580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  607591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  607594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  607597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  607600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  607626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  607629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607648 */     GIR_RootConstrainSelectedInstOperands,
     /*  607649 */     // GIR_Coverage, 10987,
     /*  607649 */     GIR_EraseRootFromParent_Done,
     /*  607650 */   // Label 9836: @607650
     /*  607650 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(607725), // Rule ID 10990 //
     /*  607655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  607666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  607675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  607704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607723 */     GIR_RootConstrainSelectedInstOperands,
     /*  607724 */     // GIR_Coverage, 10990,
     /*  607724 */     GIR_EraseRootFromParent_Done,
     /*  607725 */   // Label 9837: @607725
     /*  607725 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(607800), // Rule ID 10991 //
     /*  607730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  607741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  607744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  607747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  607750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  607776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  607779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607798 */     GIR_RootConstrainSelectedInstOperands,
     /*  607799 */     // GIR_Coverage, 10991,
     /*  607799 */     GIR_EraseRootFromParent_Done,
     /*  607800 */   // Label 9838: @607800
     /*  607800 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(607875), // Rule ID 10994 //
     /*  607805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  607816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  607819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  607822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  607825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  607851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  607854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607873 */     GIR_RootConstrainSelectedInstOperands,
     /*  607874 */     // GIR_Coverage, 10994,
     /*  607874 */     GIR_EraseRootFromParent_Done,
     /*  607875 */   // Label 9839: @607875
     /*  607875 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(607950), // Rule ID 10995 //
     /*  607880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  607891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  607894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  607897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  607900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  607926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  607929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  607933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  607935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  607937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  607948 */     GIR_RootConstrainSelectedInstOperands,
     /*  607949 */     // GIR_Coverage, 10995,
     /*  607949 */     GIR_EraseRootFromParent_Done,
     /*  607950 */   // Label 9840: @607950
     /*  607950 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608025), // Rule ID 10998 //
     /*  607955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  607963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  607966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  607969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  607972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  607975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  608004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608023 */     GIR_RootConstrainSelectedInstOperands,
     /*  608024 */     // GIR_Coverage, 10998,
     /*  608024 */     GIR_EraseRootFromParent_Done,
     /*  608025 */   // Label 9841: @608025
     /*  608025 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608100), // Rule ID 10999 //
     /*  608030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  608041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  608044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  608047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  608050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  608079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608098 */     GIR_RootConstrainSelectedInstOperands,
     /*  608099 */     // GIR_Coverage, 10999,
     /*  608099 */     GIR_EraseRootFromParent_Done,
     /*  608100 */   // Label 9842: @608100
     /*  608100 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(608175), // Rule ID 11002 //
     /*  608105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  608154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608173 */     GIR_RootConstrainSelectedInstOperands,
     /*  608174 */     // GIR_Coverage, 11002,
     /*  608174 */     GIR_EraseRootFromParent_Done,
     /*  608175 */   // Label 9843: @608175
     /*  608175 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(608250), // Rule ID 11003 //
     /*  608180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  608191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  608194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  608197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  608200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  608229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608248 */     GIR_RootConstrainSelectedInstOperands,
     /*  608249 */     // GIR_Coverage, 11003,
     /*  608249 */     GIR_EraseRootFromParent_Done,
     /*  608250 */   // Label 9844: @608250
     /*  608250 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(608325), // Rule ID 11006 //
     /*  608255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  608301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  608304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608323 */     GIR_RootConstrainSelectedInstOperands,
     /*  608324 */     // GIR_Coverage, 11006,
     /*  608324 */     GIR_EraseRootFromParent_Done,
     /*  608325 */   // Label 9845: @608325
     /*  608325 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(608400), // Rule ID 11007 //
     /*  608330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  608341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  608344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  608347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  608350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  608376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  608379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608398 */     GIR_RootConstrainSelectedInstOperands,
     /*  608399 */     // GIR_Coverage, 11007,
     /*  608399 */     GIR_EraseRootFromParent_Done,
     /*  608400 */   // Label 9846: @608400
     /*  608400 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(608475), // Rule ID 11010 //
     /*  608405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  608416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  608425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608473 */     GIR_RootConstrainSelectedInstOperands,
     /*  608474 */     // GIR_Coverage, 11010,
     /*  608474 */     GIR_EraseRootFromParent_Done,
     /*  608475 */   // Label 9847: @608475
     /*  608475 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(608550), // Rule ID 11011 //
     /*  608480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  608491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  608494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  608497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  608500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608548 */     GIR_RootConstrainSelectedInstOperands,
     /*  608549 */     // GIR_Coverage, 11011,
     /*  608549 */     GIR_EraseRootFromParent_Done,
     /*  608550 */   // Label 9848: @608550
     /*  608550 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(608625), // Rule ID 11014 //
     /*  608555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  608566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  608575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  608601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608623 */     GIR_RootConstrainSelectedInstOperands,
     /*  608624 */     // GIR_Coverage, 11014,
     /*  608624 */     GIR_EraseRootFromParent_Done,
     /*  608625 */   // Label 9849: @608625
     /*  608625 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(608700), // Rule ID 11015 //
     /*  608630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  608641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  608644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  608647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  608650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  608676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608698 */     GIR_RootConstrainSelectedInstOperands,
     /*  608699 */     // GIR_Coverage, 11015,
     /*  608699 */     GIR_EraseRootFromParent_Done,
     /*  608700 */   // Label 9850: @608700
     /*  608700 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(608775), // Rule ID 11018 //
     /*  608705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  608716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  608725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  608751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608773 */     GIR_RootConstrainSelectedInstOperands,
     /*  608774 */     // GIR_Coverage, 11018,
     /*  608774 */     GIR_EraseRootFromParent_Done,
     /*  608775 */   // Label 9851: @608775
     /*  608775 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(608850), // Rule ID 11019 //
     /*  608780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  608791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  608794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  608797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  608800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  608826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  608829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  608845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608848 */     GIR_RootConstrainSelectedInstOperands,
     /*  608849 */     // GIR_Coverage, 11019,
     /*  608849 */     GIR_EraseRootFromParent_Done,
     /*  608850 */   // Label 9852: @608850
     /*  608850 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(608925), // Rule ID 11022 //
     /*  608855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  608866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  608875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608901 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  608901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  608904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608923 */     GIR_RootConstrainSelectedInstOperands,
     /*  608924 */     // GIR_Coverage, 11022,
     /*  608924 */     GIR_EraseRootFromParent_Done,
     /*  608925 */   // Label 9853: @608925
     /*  608925 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609000), // Rule ID 11023 //
     /*  608930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  608938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  608941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  608950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  608976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  608979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  608983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  608985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  608987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  608998 */     GIR_RootConstrainSelectedInstOperands,
     /*  608999 */     // GIR_Coverage, 11023,
     /*  608999 */     GIR_EraseRootFromParent_Done,
     /*  609000 */   // Label 9854: @609000
     /*  609000 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609075), // Rule ID 11026 //
     /*  609005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  609054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609073 */     GIR_RootConstrainSelectedInstOperands,
     /*  609074 */     // GIR_Coverage, 11026,
     /*  609074 */     GIR_EraseRootFromParent_Done,
     /*  609075 */   // Label 9855: @609075
     /*  609075 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609150), // Rule ID 11027 //
     /*  609080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  609091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  609094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  609097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  609100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609126 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  609129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609148 */     GIR_RootConstrainSelectedInstOperands,
     /*  609149 */     // GIR_Coverage, 11027,
     /*  609149 */     GIR_EraseRootFromParent_Done,
     /*  609150 */   // Label 9856: @609150
     /*  609150 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(609225), // Rule ID 11030 //
     /*  609155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  609166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  609175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609201 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  609201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  609204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609223 */     GIR_RootConstrainSelectedInstOperands,
     /*  609224 */     // GIR_Coverage, 11030,
     /*  609224 */     GIR_EraseRootFromParent_Done,
     /*  609225 */   // Label 9857: @609225
     /*  609225 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(609300), // Rule ID 11031 //
     /*  609230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  609241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  609244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  609247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  609250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609276 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  609276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  609279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609298 */     GIR_RootConstrainSelectedInstOperands,
     /*  609299 */     // GIR_Coverage, 11031,
     /*  609299 */     GIR_EraseRootFromParent_Done,
     /*  609300 */   // Label 9858: @609300
     /*  609300 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(609375), // Rule ID 11034 //
     /*  609305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  609316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  609325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  609354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609373 */     GIR_RootConstrainSelectedInstOperands,
     /*  609374 */     // GIR_Coverage, 11034,
     /*  609374 */     GIR_EraseRootFromParent_Done,
     /*  609375 */   // Label 9859: @609375
     /*  609375 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(609450), // Rule ID 11035 //
     /*  609380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  609391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  609394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  609397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  609400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609426 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  609429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609448 */     GIR_RootConstrainSelectedInstOperands,
     /*  609449 */     // GIR_Coverage, 11035,
     /*  609449 */     GIR_EraseRootFromParent_Done,
     /*  609450 */   // Label 9860: @609450
     /*  609450 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(609525), // Rule ID 11038 //
     /*  609455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  609466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  609475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609501 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  609504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609523 */     GIR_RootConstrainSelectedInstOperands,
     /*  609524 */     // GIR_Coverage, 11038,
     /*  609524 */     GIR_EraseRootFromParent_Done,
     /*  609525 */   // Label 9861: @609525
     /*  609525 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(609600), // Rule ID 11039 //
     /*  609530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  609541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  609544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  609547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  609550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  609579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609598 */     GIR_RootConstrainSelectedInstOperands,
     /*  609599 */     // GIR_Coverage, 11039,
     /*  609599 */     GIR_EraseRootFromParent_Done,
     /*  609600 */   // Label 9862: @609600
     /*  609600 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(609675), // Rule ID 11042 //
     /*  609605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  609616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  609625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  609651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  609654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609673 */     GIR_RootConstrainSelectedInstOperands,
     /*  609674 */     // GIR_Coverage, 11042,
     /*  609674 */     GIR_EraseRootFromParent_Done,
     /*  609675 */   // Label 9863: @609675
     /*  609675 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(609750), // Rule ID 11043 //
     /*  609680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  609691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  609694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  609697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  609700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609726 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  609726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  609729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  609745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609748 */     GIR_RootConstrainSelectedInstOperands,
     /*  609749 */     // GIR_Coverage, 11043,
     /*  609749 */     GIR_EraseRootFromParent_Done,
     /*  609750 */   // Label 9864: @609750
     /*  609750 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(609825), // Rule ID 11046 //
     /*  609755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  609766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  609769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  609772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  609775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609801 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  609801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  609804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609823 */     GIR_RootConstrainSelectedInstOperands,
     /*  609824 */     // GIR_Coverage, 11046,
     /*  609824 */     GIR_EraseRootFromParent_Done,
     /*  609825 */   // Label 9865: @609825
     /*  609825 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(609900), // Rule ID 11047 //
     /*  609830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  609841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  609844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  609847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  609850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609876 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  609876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  609879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609898 */     GIR_RootConstrainSelectedInstOperands,
     /*  609899 */     // GIR_Coverage, 11047,
     /*  609899 */     GIR_EraseRootFromParent_Done,
     /*  609900 */   // Label 9866: @609900
     /*  609900 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(609975), // Rule ID 11050 //
     /*  609905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  609916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  609919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  609922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  609925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609951 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  609951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  609954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  609958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  609960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  609962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  609973 */     GIR_RootConstrainSelectedInstOperands,
     /*  609974 */     // GIR_Coverage, 11050,
     /*  609974 */     GIR_EraseRootFromParent_Done,
     /*  609975 */   // Label 9867: @609975
     /*  609975 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610050), // Rule ID 11051 //
     /*  609980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  609988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  609991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  609994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  609997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  610000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  610019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  610029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610048 */     GIR_RootConstrainSelectedInstOperands,
     /*  610049 */     // GIR_Coverage, 11051,
     /*  610049 */     GIR_EraseRootFromParent_Done,
     /*  610050 */   // Label 9868: @610050
     /*  610050 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610125), // Rule ID 11054 //
     /*  610055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610101 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  610101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  610104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610123 */     GIR_RootConstrainSelectedInstOperands,
     /*  610124 */     // GIR_Coverage, 11054,
     /*  610124 */     GIR_EraseRootFromParent_Done,
     /*  610125 */   // Label 9869: @610125
     /*  610125 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(610200), // Rule ID 11055 //
     /*  610130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  610141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  610144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  610147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  610150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  610169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610176 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  610176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  610179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610198 */     GIR_RootConstrainSelectedInstOperands,
     /*  610199 */     // GIR_Coverage, 11055,
     /*  610199 */     GIR_EraseRootFromParent_Done,
     /*  610200 */   // Label 9870: @610200
     /*  610200 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(610275), // Rule ID 11058 //
     /*  610205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  610216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  610222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  610254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610273 */     GIR_RootConstrainSelectedInstOperands,
     /*  610274 */     // GIR_Coverage, 11058,
     /*  610274 */     GIR_EraseRootFromParent_Done,
     /*  610275 */   // Label 9871: @610275
     /*  610275 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(610350), // Rule ID 11059 //
     /*  610280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  610291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  610294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  610297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  610329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610348 */     GIR_RootConstrainSelectedInstOperands,
     /*  610349 */     // GIR_Coverage, 11059,
     /*  610349 */     GIR_EraseRootFromParent_Done,
     /*  610350 */   // Label 9872: @610350
     /*  610350 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(610425), // Rule ID 11062 //
     /*  610355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  610366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  610369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  610372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  610404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610423 */     GIR_RootConstrainSelectedInstOperands,
     /*  610424 */     // GIR_Coverage, 11062,
     /*  610424 */     GIR_EraseRootFromParent_Done,
     /*  610425 */   // Label 9873: @610425
     /*  610425 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(610500), // Rule ID 11063 //
     /*  610430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  610441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  610444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  610447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  610479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610498 */     GIR_RootConstrainSelectedInstOperands,
     /*  610499 */     // GIR_Coverage, 11063,
     /*  610499 */     GIR_EraseRootFromParent_Done,
     /*  610500 */   // Label 9874: @610500
     /*  610500 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(610575), // Rule ID 11066 //
     /*  610505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  610516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  610522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  610551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  610554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610573 */     GIR_RootConstrainSelectedInstOperands,
     /*  610574 */     // GIR_Coverage, 11066,
     /*  610574 */     GIR_EraseRootFromParent_Done,
     /*  610575 */   // Label 9875: @610575
     /*  610575 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(610650), // Rule ID 11067 //
     /*  610580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  610591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  610597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  610626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  610629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610648 */     GIR_RootConstrainSelectedInstOperands,
     /*  610649 */     // GIR_Coverage, 11067,
     /*  610649 */     GIR_EraseRootFromParent_Done,
     /*  610650 */   // Label 9876: @610650
     /*  610650 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(610725), // Rule ID 11070 //
     /*  610655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  610666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  610672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  610704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610723 */     GIR_RootConstrainSelectedInstOperands,
     /*  610724 */     // GIR_Coverage, 11070,
     /*  610724 */     GIR_EraseRootFromParent_Done,
     /*  610725 */   // Label 9877: @610725
     /*  610725 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(610800), // Rule ID 11071 //
     /*  610730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  610741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  610747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  610779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610798 */     GIR_RootConstrainSelectedInstOperands,
     /*  610799 */     // GIR_Coverage, 11071,
     /*  610799 */     GIR_EraseRootFromParent_Done,
     /*  610800 */   // Label 9878: @610800
     /*  610800 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(610875), // Rule ID 11074 //
     /*  610805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  610816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  610822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  610851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  610854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610873 */     GIR_RootConstrainSelectedInstOperands,
     /*  610874 */     // GIR_Coverage, 11074,
     /*  610874 */     GIR_EraseRootFromParent_Done,
     /*  610875 */   // Label 9879: @610875
     /*  610875 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(610950), // Rule ID 11075 //
     /*  610880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  610891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  610897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  610900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  610926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  610929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  610933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  610935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  610937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  610948 */     GIR_RootConstrainSelectedInstOperands,
     /*  610949 */     // GIR_Coverage, 11075,
     /*  610949 */     GIR_EraseRootFromParent_Done,
     /*  610950 */   // Label 9880: @610950
     /*  610950 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611025), // Rule ID 11078 //
     /*  610955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  610963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  610966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  610972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  610975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  611001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  611004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611023 */     GIR_RootConstrainSelectedInstOperands,
     /*  611024 */     // GIR_Coverage, 11078,
     /*  611024 */     GIR_EraseRootFromParent_Done,
     /*  611025 */   // Label 9881: @611025
     /*  611025 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611100), // Rule ID 11079 //
     /*  611030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  611041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  611044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  611047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  611076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  611079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611098 */     GIR_RootConstrainSelectedInstOperands,
     /*  611099 */     // GIR_Coverage, 11079,
     /*  611099 */     GIR_EraseRootFromParent_Done,
     /*  611100 */   // Label 9882: @611100
     /*  611100 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611175), // Rule ID 11082 //
     /*  611105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  611116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  611122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611173 */     GIR_RootConstrainSelectedInstOperands,
     /*  611174 */     // GIR_Coverage, 11082,
     /*  611174 */     GIR_EraseRootFromParent_Done,
     /*  611175 */   // Label 9883: @611175
     /*  611175 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(611250), // Rule ID 11083 //
     /*  611180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  611191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  611194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  611197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11105:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611248 */     GIR_RootConstrainSelectedInstOperands,
     /*  611249 */     // GIR_Coverage, 11083,
     /*  611249 */     GIR_EraseRootFromParent_Done,
     /*  611250 */   // Label 9884: @611250
     /*  611250 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(611325), // Rule ID 11086 //
     /*  611255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  611266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  611272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  611301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611323 */     GIR_RootConstrainSelectedInstOperands,
     /*  611324 */     // GIR_Coverage, 11086,
     /*  611324 */     GIR_EraseRootFromParent_Done,
     /*  611325 */   // Label 9885: @611325
     /*  611325 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(611400), // Rule ID 11087 //
     /*  611330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  611341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  611344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  611347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11105:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  611376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611398 */     GIR_RootConstrainSelectedInstOperands,
     /*  611399 */     // GIR_Coverage, 11087,
     /*  611399 */     GIR_EraseRootFromParent_Done,
     /*  611400 */   // Label 9886: @611400
     /*  611400 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(611475), // Rule ID 11090 //
     /*  611405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  611416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  611419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  611422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  611451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611473 */     GIR_RootConstrainSelectedInstOperands,
     /*  611474 */     // GIR_Coverage, 11090,
     /*  611474 */     GIR_EraseRootFromParent_Done,
     /*  611475 */   // Label 9887: @611475
     /*  611475 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(611550), // Rule ID 11091 //
     /*  611480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  611491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  611494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  611497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  611526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  611529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611548 */     GIR_RootConstrainSelectedInstOperands,
     /*  611549 */     // GIR_Coverage, 11091,
     /*  611549 */     GIR_EraseRootFromParent_Done,
     /*  611550 */   // Label 9888: @611550
     /*  611550 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(611625), // Rule ID 11094 //
     /*  611555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  611566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  611572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611601 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  611604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611623 */     GIR_RootConstrainSelectedInstOperands,
     /*  611624 */     // GIR_Coverage, 11094,
     /*  611624 */     GIR_EraseRootFromParent_Done,
     /*  611625 */   // Label 9889: @611625
     /*  611625 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(611700), // Rule ID 11095 //
     /*  611630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  611641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  611647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  611679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611698 */     GIR_RootConstrainSelectedInstOperands,
     /*  611699 */     // GIR_Coverage, 11095,
     /*  611699 */     GIR_EraseRootFromParent_Done,
     /*  611700 */   // Label 9890: @611700
     /*  611700 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(611775), // Rule ID 11098 //
     /*  611705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  611716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  611722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611751 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  611754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611773 */     GIR_RootConstrainSelectedInstOperands,
     /*  611774 */     // GIR_Coverage, 11098,
     /*  611774 */     GIR_EraseRootFromParent_Done,
     /*  611775 */   // Label 9891: @611775
     /*  611775 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(611850), // Rule ID 11099 //
     /*  611780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  611791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  611797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  611829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611848 */     GIR_RootConstrainSelectedInstOperands,
     /*  611849 */     // GIR_Coverage, 11099,
     /*  611849 */     GIR_EraseRootFromParent_Done,
     /*  611850 */   // Label 9892: @611850
     /*  611850 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(611925), // Rule ID 11102 //
     /*  611855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  611866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  611872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  611875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611901 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  611901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  611904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611923 */     GIR_RootConstrainSelectedInstOperands,
     /*  611924 */     // GIR_Coverage, 11102,
     /*  611924 */     GIR_EraseRootFromParent_Done,
     /*  611925 */   // Label 9893: @611925
     /*  611925 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612000), // Rule ID 11103 //
     /*  611930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  611938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  611941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  611947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  611950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  611976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  611979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  611983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  611985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  611987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  611998 */     GIR_RootConstrainSelectedInstOperands,
     /*  611999 */     // GIR_Coverage, 11103,
     /*  611999 */     GIR_EraseRootFromParent_Done,
     /*  612000 */   // Label 9894: @612000
     /*  612000 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612075), // Rule ID 11106 //
     /*  612005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  612016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  612022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  612054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612073 */     GIR_RootConstrainSelectedInstOperands,
     /*  612074 */     // GIR_Coverage, 11106,
     /*  612074 */     GIR_EraseRootFromParent_Done,
     /*  612075 */   // Label 9895: @612075
     /*  612075 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612150), // Rule ID 11107 //
     /*  612080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  612091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  612094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  612097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  612129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612148 */     GIR_RootConstrainSelectedInstOperands,
     /*  612149 */     // GIR_Coverage, 11107,
     /*  612149 */     GIR_EraseRootFromParent_Done,
     /*  612150 */   // Label 9896: @612150
     /*  612150 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612225), // Rule ID 11110 //
     /*  612155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  612166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  612172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612201 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  612204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612223 */     GIR_RootConstrainSelectedInstOperands,
     /*  612224 */     // GIR_Coverage, 11110,
     /*  612224 */     GIR_EraseRootFromParent_Done,
     /*  612225 */   // Label 9897: @612225
     /*  612225 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(612300), // Rule ID 11111 //
     /*  612230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  612241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  612244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  612247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  612279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612298 */     GIR_RootConstrainSelectedInstOperands,
     /*  612299 */     // GIR_Coverage, 11111,
     /*  612299 */     GIR_EraseRootFromParent_Done,
     /*  612300 */   // Label 9898: @612300
     /*  612300 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(612375), // Rule ID 11114 //
     /*  612305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  612316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  612319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  612322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  612351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  612354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612373 */     GIR_RootConstrainSelectedInstOperands,
     /*  612374 */     // GIR_Coverage, 11114,
     /*  612374 */     GIR_EraseRootFromParent_Done,
     /*  612375 */   // Label 9899: @612375
     /*  612375 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(612450), // Rule ID 11115 //
     /*  612380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  612391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  612394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  612397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  612426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  612429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612448 */     GIR_RootConstrainSelectedInstOperands,
     /*  612449 */     // GIR_Coverage, 11115,
     /*  612449 */     GIR_EraseRootFromParent_Done,
     /*  612450 */   // Label 9900: @612450
     /*  612450 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(612525), // Rule ID 11118 //
     /*  612455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  612466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  612472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612501 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  612504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612523 */     GIR_RootConstrainSelectedInstOperands,
     /*  612524 */     // GIR_Coverage, 11118,
     /*  612524 */     GIR_EraseRootFromParent_Done,
     /*  612525 */   // Label 9901: @612525
     /*  612525 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(612600), // Rule ID 11119 //
     /*  612530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  612541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  612547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  612579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612598 */     GIR_RootConstrainSelectedInstOperands,
     /*  612599 */     // GIR_Coverage, 11119,
     /*  612599 */     GIR_EraseRootFromParent_Done,
     /*  612600 */   // Label 9902: @612600
     /*  612600 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(612675), // Rule ID 11122 //
     /*  612605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  612616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  612622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  612654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612673 */     GIR_RootConstrainSelectedInstOperands,
     /*  612674 */     // GIR_Coverage, 11122,
     /*  612674 */     GIR_EraseRootFromParent_Done,
     /*  612675 */   // Label 9903: @612675
     /*  612675 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(612750), // Rule ID 11123 //
     /*  612680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  612691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  612697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612726 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  612729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612748 */     GIR_RootConstrainSelectedInstOperands,
     /*  612749 */     // GIR_Coverage, 11123,
     /*  612749 */     GIR_EraseRootFromParent_Done,
     /*  612750 */   // Label 9904: @612750
     /*  612750 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(612825), // Rule ID 11126 //
     /*  612755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  612766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  612772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  612775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612801 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  612801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  612804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612823 */     GIR_RootConstrainSelectedInstOperands,
     /*  612824 */     // GIR_Coverage, 11126,
     /*  612824 */     GIR_EraseRootFromParent_Done,
     /*  612825 */   // Label 9905: @612825
     /*  612825 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(612900), // Rule ID 11127 //
     /*  612830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  612838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  612841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  612847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  612850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  612876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  612879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612898 */     GIR_RootConstrainSelectedInstOperands,
     /*  612899 */     // GIR_Coverage, 11127,
     /*  612899 */     GIR_EraseRootFromParent_Done,
     /*  612900 */   // Label 9906: @612900
     /*  612900 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(612975), // Rule ID 11130 //
     /*  612905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  612916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  612925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  612951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  612954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  612958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  612960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  612962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  612970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  612973 */     GIR_RootConstrainSelectedInstOperands,
     /*  612974 */     // GIR_Coverage, 11130,
     /*  612974 */     GIR_EraseRootFromParent_Done,
     /*  612975 */   // Label 9907: @612975
     /*  612975 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613050), // Rule ID 11131 //
     /*  612980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  612988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  612991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  612994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  612997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  613000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  613029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613048 */     GIR_RootConstrainSelectedInstOperands,
     /*  613049 */     // GIR_Coverage, 11131,
     /*  613049 */     GIR_EraseRootFromParent_Done,
     /*  613050 */   // Label 9908: @613050
     /*  613050 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613125), // Rule ID 11134 //
     /*  613055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  613104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613123 */     GIR_RootConstrainSelectedInstOperands,
     /*  613124 */     // GIR_Coverage, 11134,
     /*  613124 */     GIR_EraseRootFromParent_Done,
     /*  613125 */   // Label 9909: @613125
     /*  613125 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613200), // Rule ID 11135 //
     /*  613130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  613141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  613150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  613179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613198 */     GIR_RootConstrainSelectedInstOperands,
     /*  613199 */     // GIR_Coverage, 11135,
     /*  613199 */     GIR_EraseRootFromParent_Done,
     /*  613200 */   // Label 9910: @613200
     /*  613200 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613275), // Rule ID 11138 //
     /*  613205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613273 */     GIR_RootConstrainSelectedInstOperands,
     /*  613274 */     // GIR_Coverage, 11138,
     /*  613274 */     GIR_EraseRootFromParent_Done,
     /*  613275 */   // Label 9911: @613275
     /*  613275 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(613350), // Rule ID 11139 //
     /*  613280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  613291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  613300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613348 */     GIR_RootConstrainSelectedInstOperands,
     /*  613349 */     // GIR_Coverage, 11139,
     /*  613349 */     GIR_EraseRootFromParent_Done,
     /*  613350 */   // Label 9912: @613350
     /*  613350 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(613425), // Rule ID 11142 //
     /*  613355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613401 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  613404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613423 */     GIR_RootConstrainSelectedInstOperands,
     /*  613424 */     // GIR_Coverage, 11142,
     /*  613424 */     GIR_EraseRootFromParent_Done,
     /*  613425 */   // Label 9913: @613425
     /*  613425 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(613500), // Rule ID 11143 //
     /*  613430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  613441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  613450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  613479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613498 */     GIR_RootConstrainSelectedInstOperands,
     /*  613499 */     // GIR_Coverage, 11143,
     /*  613499 */     GIR_EraseRootFromParent_Done,
     /*  613500 */   // Label 9914: @613500
     /*  613500 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(613575), // Rule ID 11146 //
     /*  613505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  613551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613573 */     GIR_RootConstrainSelectedInstOperands,
     /*  613574 */     // GIR_Coverage, 11146,
     /*  613574 */     GIR_EraseRootFromParent_Done,
     /*  613575 */   // Label 9915: @613575
     /*  613575 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(613650), // Rule ID 11147 //
     /*  613580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  613591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  613600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  613626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613648 */     GIR_RootConstrainSelectedInstOperands,
     /*  613649 */     // GIR_Coverage, 11147,
     /*  613649 */     GIR_EraseRootFromParent_Done,
     /*  613650 */   // Label 9916: @613650
     /*  613650 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(613725), // Rule ID 11150 //
     /*  613655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  613701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613723 */     GIR_RootConstrainSelectedInstOperands,
     /*  613724 */     // GIR_Coverage, 11150,
     /*  613724 */     GIR_EraseRootFromParent_Done,
     /*  613725 */   // Label 9917: @613725
     /*  613725 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(613800), // Rule ID 11151 //
     /*  613730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  613741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  613750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  613776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  613779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613798 */     GIR_RootConstrainSelectedInstOperands,
     /*  613799 */     // GIR_Coverage, 11151,
     /*  613799 */     GIR_EraseRootFromParent_Done,
     /*  613800 */   // Label 9918: @613800
     /*  613800 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(613875), // Rule ID 11154 //
     /*  613805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  613825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  613851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  613854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613873 */     GIR_RootConstrainSelectedInstOperands,
     /*  613874 */     // GIR_Coverage, 11154,
     /*  613874 */     GIR_EraseRootFromParent_Done,
     /*  613875 */   // Label 9919: @613875
     /*  613875 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(613950), // Rule ID 11155 //
     /*  613880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  613891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  613900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613926 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  613926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  613929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  613933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  613935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  613937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  613948 */     GIR_RootConstrainSelectedInstOperands,
     /*  613949 */     // GIR_Coverage, 11155,
     /*  613949 */     GIR_EraseRootFromParent_Done,
     /*  613950 */   // Label 9920: @613950
     /*  613950 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614025), // Rule ID 11158 //
     /*  613955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  613963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  613966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  613969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  613972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  613975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  614004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614023 */     GIR_RootConstrainSelectedInstOperands,
     /*  614024 */     // GIR_Coverage, 11158,
     /*  614024 */     GIR_EraseRootFromParent_Done,
     /*  614025 */   // Label 9921: @614025
     /*  614025 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614100), // Rule ID 11159 //
     /*  614030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  614041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  614050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  614079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614098 */     GIR_RootConstrainSelectedInstOperands,
     /*  614099 */     // GIR_Coverage, 11159,
     /*  614099 */     GIR_EraseRootFromParent_Done,
     /*  614100 */   // Label 9922: @614100
     /*  614100 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614175), // Rule ID 11162 //
     /*  614105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  614151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  614154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614173 */     GIR_RootConstrainSelectedInstOperands,
     /*  614174 */     // GIR_Coverage, 11162,
     /*  614174 */     GIR_EraseRootFromParent_Done,
     /*  614175 */   // Label 9923: @614175
     /*  614175 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614250), // Rule ID 11163 //
     /*  614180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  614191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  614200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  614226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  614229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614248 */     GIR_RootConstrainSelectedInstOperands,
     /*  614249 */     // GIR_Coverage, 11163,
     /*  614249 */     GIR_EraseRootFromParent_Done,
     /*  614250 */   // Label 9924: @614250
     /*  614250 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614325), // Rule ID 11166 //
     /*  614255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614301 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  614304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614323 */     GIR_RootConstrainSelectedInstOperands,
     /*  614324 */     // GIR_Coverage, 11166,
     /*  614324 */     GIR_EraseRootFromParent_Done,
     /*  614325 */   // Label 9925: @614325
     /*  614325 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(614400), // Rule ID 11167 //
     /*  614330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  614341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  614350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614376 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  614379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614398 */     GIR_RootConstrainSelectedInstOperands,
     /*  614399 */     // GIR_Coverage, 11167,
     /*  614399 */     GIR_EraseRootFromParent_Done,
     /*  614400 */   // Label 9926: @614400
     /*  614400 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(614475), // Rule ID 11170 //
     /*  614405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614451 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  614454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614473 */     GIR_RootConstrainSelectedInstOperands,
     /*  614474 */     // GIR_Coverage, 11170,
     /*  614474 */     GIR_EraseRootFromParent_Done,
     /*  614475 */   // Label 9927: @614475
     /*  614475 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(614550), // Rule ID 11171 //
     /*  614480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  614491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  614500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  614529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614548 */     GIR_RootConstrainSelectedInstOperands,
     /*  614549 */     // GIR_Coverage, 11171,
     /*  614549 */     GIR_EraseRootFromParent_Done,
     /*  614550 */   // Label 9928: @614550
     /*  614550 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(614625), // Rule ID 11174 //
     /*  614555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614601 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  614601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  614604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614623 */     GIR_RootConstrainSelectedInstOperands,
     /*  614624 */     // GIR_Coverage, 11174,
     /*  614624 */     GIR_EraseRootFromParent_Done,
     /*  614625 */   // Label 9929: @614625
     /*  614625 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(614700), // Rule ID 11175 //
     /*  614630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  614641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  614650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  614676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  614679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614698 */     GIR_RootConstrainSelectedInstOperands,
     /*  614699 */     // GIR_Coverage, 11175,
     /*  614699 */     GIR_EraseRootFromParent_Done,
     /*  614700 */   // Label 9930: @614700
     /*  614700 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(614775), // Rule ID 11178 //
     /*  614705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614751 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  614754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614773 */     GIR_RootConstrainSelectedInstOperands,
     /*  614774 */     // GIR_Coverage, 11178,
     /*  614774 */     GIR_EraseRootFromParent_Done,
     /*  614775 */   // Label 9931: @614775
     /*  614775 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(614850), // Rule ID 11179 //
     /*  614780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  614791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  614800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  614829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614848 */     GIR_RootConstrainSelectedInstOperands,
     /*  614849 */     // GIR_Coverage, 11179,
     /*  614849 */     GIR_EraseRootFromParent_Done,
     /*  614850 */   // Label 9932: @614850
     /*  614850 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(614925), // Rule ID 11182 //
     /*  614855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  614866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  614875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614901 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  614901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  614904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614923 */     GIR_RootConstrainSelectedInstOperands,
     /*  614924 */     // GIR_Coverage, 11182,
     /*  614924 */     GIR_EraseRootFromParent_Done,
     /*  614925 */   // Label 9933: @614925
     /*  614925 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615000), // Rule ID 11183 //
     /*  614930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  614938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  614941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  614944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  614947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  614950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  614976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  614979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  614983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  614985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  614987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  614998 */     GIR_RootConstrainSelectedInstOperands,
     /*  614999 */     // GIR_Coverage, 11183,
     /*  614999 */     GIR_EraseRootFromParent_Done,
     /*  615000 */   // Label 9934: @615000
     /*  615000 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615075), // Rule ID 11186 //
     /*  615005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  615051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  615054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615073 */     GIR_RootConstrainSelectedInstOperands,
     /*  615074 */     // GIR_Coverage, 11186,
     /*  615074 */     GIR_EraseRootFromParent_Done,
     /*  615075 */   // Label 9935: @615075
     /*  615075 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615150), // Rule ID 11187 //
     /*  615080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  615091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  615100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  615126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  615129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615148 */     GIR_RootConstrainSelectedInstOperands,
     /*  615149 */     // GIR_Coverage, 11187,
     /*  615149 */     GIR_EraseRootFromParent_Done,
     /*  615150 */   // Label 9936: @615150
     /*  615150 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615225), // Rule ID 11190 //
     /*  615155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  615204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615223 */     GIR_RootConstrainSelectedInstOperands,
     /*  615224 */     // GIR_Coverage, 11190,
     /*  615224 */     GIR_EraseRootFromParent_Done,
     /*  615225 */   // Label 9937: @615225
     /*  615225 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615300), // Rule ID 11191 //
     /*  615230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  615241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  615250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  615279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615298 */     GIR_RootConstrainSelectedInstOperands,
     /*  615299 */     // GIR_Coverage, 11191,
     /*  615299 */     GIR_EraseRootFromParent_Done,
     /*  615300 */   // Label 9938: @615300
     /*  615300 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615375), // Rule ID 11194 //
     /*  615305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  615354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615373 */     GIR_RootConstrainSelectedInstOperands,
     /*  615374 */     // GIR_Coverage, 11194,
     /*  615374 */     GIR_EraseRootFromParent_Done,
     /*  615375 */   // Label 9939: @615375
     /*  615375 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(615450), // Rule ID 11195 //
     /*  615380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  615391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  615400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  615429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615448 */     GIR_RootConstrainSelectedInstOperands,
     /*  615449 */     // GIR_Coverage, 11195,
     /*  615449 */     GIR_EraseRootFromParent_Done,
     /*  615450 */   // Label 9940: @615450
     /*  615450 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(615525), // Rule ID 11198 //
     /*  615455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  615501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  615504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615523 */     GIR_RootConstrainSelectedInstOperands,
     /*  615524 */     // GIR_Coverage, 11198,
     /*  615524 */     GIR_EraseRootFromParent_Done,
     /*  615525 */   // Label 9941: @615525
     /*  615525 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(615600), // Rule ID 11199 //
     /*  615530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  615541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  615550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  615576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  615579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615598 */     GIR_RootConstrainSelectedInstOperands,
     /*  615599 */     // GIR_Coverage, 11199,
     /*  615599 */     GIR_EraseRootFromParent_Done,
     /*  615600 */   // Label 9942: @615600
     /*  615600 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(615675), // Rule ID 11202 //
     /*  615605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  615625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  615654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615673 */     GIR_RootConstrainSelectedInstOperands,
     /*  615674 */     // GIR_Coverage, 11202,
     /*  615674 */     GIR_EraseRootFromParent_Done,
     /*  615675 */   // Label 9943: @615675
     /*  615675 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(615750), // Rule ID 11203 //
     /*  615680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  615691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  615694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  615697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  615700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  615729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615748 */     GIR_RootConstrainSelectedInstOperands,
     /*  615749 */     // GIR_Coverage, 11203,
     /*  615749 */     GIR_EraseRootFromParent_Done,
     /*  615750 */   // Label 9944: @615750
     /*  615750 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(615825), // Rule ID 11206 //
     /*  615755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  615775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  615804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615823 */     GIR_RootConstrainSelectedInstOperands,
     /*  615824 */     // GIR_Coverage, 11206,
     /*  615824 */     GIR_EraseRootFromParent_Done,
     /*  615825 */   // Label 9945: @615825
     /*  615825 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(615900), // Rule ID 11207 //
     /*  615830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  615841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  615844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  615847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  615850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  615876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  615879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615898 */     GIR_RootConstrainSelectedInstOperands,
     /*  615899 */     // GIR_Coverage, 11207,
     /*  615899 */     GIR_EraseRootFromParent_Done,
     /*  615900 */   // Label 9946: @615900
     /*  615900 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(615975), // Rule ID 11210 //
     /*  615905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  615925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  615944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  615951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  615954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  615958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  615960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  615962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  615970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  615973 */     GIR_RootConstrainSelectedInstOperands,
     /*  615974 */     // GIR_Coverage, 11210,
     /*  615974 */     GIR_EraseRootFromParent_Done,
     /*  615975 */   // Label 9947: @615975
     /*  615975 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616050), // Rule ID 11211 //
     /*  615980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  615988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  615991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  615994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  615997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  616029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616048 */     GIR_RootConstrainSelectedInstOperands,
     /*  616049 */     // GIR_Coverage, 11211,
     /*  616049 */     GIR_EraseRootFromParent_Done,
     /*  616050 */   // Label 9948: @616050
     /*  616050 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616125), // Rule ID 11214 //
     /*  616055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  616104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616123 */     GIR_RootConstrainSelectedInstOperands,
     /*  616124 */     // GIR_Coverage, 11214,
     /*  616124 */     GIR_EraseRootFromParent_Done,
     /*  616125 */   // Label 9949: @616125
     /*  616125 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616200), // Rule ID 11215 //
     /*  616130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  616141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  616147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  616179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616198 */     GIR_RootConstrainSelectedInstOperands,
     /*  616199 */     // GIR_Coverage, 11215,
     /*  616199 */     GIR_EraseRootFromParent_Done,
     /*  616200 */   // Label 9950: @616200
     /*  616200 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616275), // Rule ID 11218 //
     /*  616205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  616254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616273 */     GIR_RootConstrainSelectedInstOperands,
     /*  616274 */     // GIR_Coverage, 11218,
     /*  616274 */     GIR_EraseRootFromParent_Done,
     /*  616275 */   // Label 9951: @616275
     /*  616275 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616350), // Rule ID 11219 //
     /*  616280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  616291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  616297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  616329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616348 */     GIR_RootConstrainSelectedInstOperands,
     /*  616349 */     // GIR_Coverage, 11219,
     /*  616349 */     GIR_EraseRootFromParent_Done,
     /*  616350 */   // Label 9952: @616350
     /*  616350 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(616425), // Rule ID 11222 //
     /*  616355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  616372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  616404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616423 */     GIR_RootConstrainSelectedInstOperands,
     /*  616424 */     // GIR_Coverage, 11222,
     /*  616424 */     GIR_EraseRootFromParent_Done,
     /*  616425 */   // Label 9953: @616425
     /*  616425 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(616500), // Rule ID 11223 //
     /*  616430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  616441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  616447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  616479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616498 */     GIR_RootConstrainSelectedInstOperands,
     /*  616499 */     // GIR_Coverage, 11223,
     /*  616499 */     GIR_EraseRootFromParent_Done,
     /*  616500 */   // Label 9954: @616500
     /*  616500 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(616575), // Rule ID 11226 //
     /*  616505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  616551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616573 */     GIR_RootConstrainSelectedInstOperands,
     /*  616574 */     // GIR_Coverage, 11226,
     /*  616574 */     GIR_EraseRootFromParent_Done,
     /*  616575 */   // Label 9955: @616575
     /*  616575 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(616650), // Rule ID 11227 //
     /*  616580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  616591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  616594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  616597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11109:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  616626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616648 */     GIR_RootConstrainSelectedInstOperands,
     /*  616649 */     // GIR_Coverage, 11227,
     /*  616649 */     GIR_EraseRootFromParent_Done,
     /*  616650 */   // Label 9956: @616650
     /*  616650 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(616725), // Rule ID 11230 //
     /*  616655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  616701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616723 */     GIR_RootConstrainSelectedInstOperands,
     /*  616724 */     // GIR_Coverage, 11230,
     /*  616724 */     GIR_EraseRootFromParent_Done,
     /*  616725 */   // Label 9957: @616725
     /*  616725 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(616800), // Rule ID 11231 //
     /*  616730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  616741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  616744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  616747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11109:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  616776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616798 */     GIR_RootConstrainSelectedInstOperands,
     /*  616799 */     // GIR_Coverage, 11231,
     /*  616799 */     GIR_EraseRootFromParent_Done,
     /*  616800 */   // Label 9958: @616800
     /*  616800 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(616875), // Rule ID 11234 //
     /*  616805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  616851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616873 */     GIR_RootConstrainSelectedInstOperands,
     /*  616874 */     // GIR_Coverage, 11234,
     /*  616874 */     GIR_EraseRootFromParent_Done,
     /*  616875 */   // Label 9959: @616875
     /*  616875 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(616950), // Rule ID 11235 //
     /*  616880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  616891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  616894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  616897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  616900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11109:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  616926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  616929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  616933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  616935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  616937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  616948 */     GIR_RootConstrainSelectedInstOperands,
     /*  616949 */     // GIR_Coverage, 11235,
     /*  616949 */     GIR_EraseRootFromParent_Done,
     /*  616950 */   // Label 9960: @616950
     /*  616950 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617025), // Rule ID 11238 //
     /*  616955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  616963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  616966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  616969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  616972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  616975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  616990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617001 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617023 */     GIR_RootConstrainSelectedInstOperands,
     /*  617024 */     // GIR_Coverage, 11238,
     /*  617024 */     GIR_EraseRootFromParent_Done,
     /*  617025 */   // Label 9961: @617025
     /*  617025 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617100), // Rule ID 11239 //
     /*  617030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  617041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  617047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617076 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617098 */     GIR_RootConstrainSelectedInstOperands,
     /*  617099 */     // GIR_Coverage, 11239,
     /*  617099 */     GIR_EraseRootFromParent_Done,
     /*  617100 */   // Label 9962: @617100
     /*  617100 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617175), // Rule ID 11242 //
     /*  617105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  617154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617173 */     GIR_RootConstrainSelectedInstOperands,
     /*  617174 */     // GIR_Coverage, 11242,
     /*  617174 */     GIR_EraseRootFromParent_Done,
     /*  617175 */   // Label 9963: @617175
     /*  617175 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617250), // Rule ID 11243 //
     /*  617180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  617191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  617197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  617229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617248 */     GIR_RootConstrainSelectedInstOperands,
     /*  617249 */     // GIR_Coverage, 11243,
     /*  617249 */     GIR_EraseRootFromParent_Done,
     /*  617250 */   // Label 9964: @617250
     /*  617250 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617325), // Rule ID 11246 //
     /*  617255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617301 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  617301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  617304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617323 */     GIR_RootConstrainSelectedInstOperands,
     /*  617324 */     // GIR_Coverage, 11246,
     /*  617324 */     GIR_EraseRootFromParent_Done,
     /*  617325 */   // Label 9965: @617325
     /*  617325 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(617400), // Rule ID 11247 //
     /*  617330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  617341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  617347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617376 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  617376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  617379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617398 */     GIR_RootConstrainSelectedInstOperands,
     /*  617399 */     // GIR_Coverage, 11247,
     /*  617399 */     GIR_EraseRootFromParent_Done,
     /*  617400 */   // Label 9966: @617400
     /*  617400 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(617475), // Rule ID 11250 //
     /*  617405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617473 */     GIR_RootConstrainSelectedInstOperands,
     /*  617474 */     // GIR_Coverage, 11250,
     /*  617474 */     GIR_EraseRootFromParent_Done,
     /*  617475 */   // Label 9967: @617475
     /*  617475 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(617550), // Rule ID 11251 //
     /*  617480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  617491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  617494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  617497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617548 */     GIR_RootConstrainSelectedInstOperands,
     /*  617549 */     // GIR_Coverage, 11251,
     /*  617549 */     GIR_EraseRootFromParent_Done,
     /*  617550 */   // Label 9968: @617550
     /*  617550 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(617625), // Rule ID 11254 //
     /*  617555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  617604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617623 */     GIR_RootConstrainSelectedInstOperands,
     /*  617624 */     // GIR_Coverage, 11254,
     /*  617624 */     GIR_EraseRootFromParent_Done,
     /*  617625 */   // Label 9969: @617625
     /*  617625 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(617700), // Rule ID 11255 //
     /*  617630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  617641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  617644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  617647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  617679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617698 */     GIR_RootConstrainSelectedInstOperands,
     /*  617699 */     // GIR_Coverage, 11255,
     /*  617699 */     GIR_EraseRootFromParent_Done,
     /*  617700 */   // Label 9970: @617700
     /*  617700 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(617775), // Rule ID 11258 //
     /*  617705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  617751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  617754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617773 */     GIR_RootConstrainSelectedInstOperands,
     /*  617774 */     // GIR_Coverage, 11258,
     /*  617774 */     GIR_EraseRootFromParent_Done,
     /*  617775 */   // Label 9971: @617775
     /*  617775 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(617850), // Rule ID 11259 //
     /*  617780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  617791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  617794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  617797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  617826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  617829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617848 */     GIR_RootConstrainSelectedInstOperands,
     /*  617849 */     // GIR_Coverage, 11259,
     /*  617849 */     GIR_EraseRootFromParent_Done,
     /*  617850 */   // Label 9972: @617850
     /*  617850 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(617925), // Rule ID 11262 //
     /*  617855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  617875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617901 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  617901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617923 */     GIR_RootConstrainSelectedInstOperands,
     /*  617924 */     // GIR_Coverage, 11262,
     /*  617924 */     GIR_EraseRootFromParent_Done,
     /*  617925 */   // Label 9973: @617925
     /*  617925 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618000), // Rule ID 11263 //
     /*  617930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  617938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  617941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  617944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  617947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  617950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  617976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  617979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  617983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  617985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  617987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  617998 */     GIR_RootConstrainSelectedInstOperands,
     /*  617999 */     // GIR_Coverage, 11263,
     /*  617999 */     GIR_EraseRootFromParent_Done,
     /*  618000 */   // Label 9974: @618000
     /*  618000 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618075), // Rule ID 11266 //
     /*  618005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  618013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618051 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  618054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618073 */     GIR_RootConstrainSelectedInstOperands,
     /*  618074 */     // GIR_Coverage, 11266,
     /*  618074 */     GIR_EraseRootFromParent_Done,
     /*  618075 */   // Label 9975: @618075
     /*  618075 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618150), // Rule ID 11267 //
     /*  618080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  618088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  618091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  618097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  618129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618148 */     GIR_RootConstrainSelectedInstOperands,
     /*  618149 */     // GIR_Coverage, 11267,
     /*  618149 */     GIR_EraseRootFromParent_Done,
     /*  618150 */   // Label 9976: @618150
     /*  618150 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618225), // Rule ID 11270 //
     /*  618155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  618163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  618175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618201 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  618201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  618204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618223 */     GIR_RootConstrainSelectedInstOperands,
     /*  618224 */     // GIR_Coverage, 11270,
     /*  618224 */     GIR_EraseRootFromParent_Done,
     /*  618225 */   // Label 9977: @618225
     /*  618225 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618300), // Rule ID 11271 //
     /*  618230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  618238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  618241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  618247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  618250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  618276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  618279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618298 */     GIR_RootConstrainSelectedInstOperands,
     /*  618299 */     // GIR_Coverage, 11271,
     /*  618299 */     GIR_EraseRootFromParent_Done,
     /*  618300 */   // Label 9978: @618300
     /*  618300 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618375), // Rule ID 11274 //
     /*  618305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  618354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618373 */     GIR_RootConstrainSelectedInstOperands,
     /*  618374 */     // GIR_Coverage, 11274,
     /*  618374 */     GIR_EraseRootFromParent_Done,
     /*  618375 */   // Label 9979: @618375
     /*  618375 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(618450), // Rule ID 11275 //
     /*  618380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  618391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  618394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  618397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  618400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  618429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618448 */     GIR_RootConstrainSelectedInstOperands,
     /*  618449 */     // GIR_Coverage, 11275,
     /*  618449 */     GIR_EraseRootFromParent_Done,
     /*  618450 */   // Label 9980: @618450
     /*  618450 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(618525), // Rule ID 11278 //
     /*  618455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  618475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  618504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618523 */     GIR_RootConstrainSelectedInstOperands,
     /*  618524 */     // GIR_Coverage, 11278,
     /*  618524 */     GIR_EraseRootFromParent_Done,
     /*  618525 */   // Label 9981: @618525
     /*  618525 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(618600), // Rule ID 11279 //
     /*  618530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  618541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  618544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  618547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  618550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  618579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618598 */     GIR_RootConstrainSelectedInstOperands,
     /*  618599 */     // GIR_Coverage, 11279,
     /*  618599 */     GIR_EraseRootFromParent_Done,
     /*  618600 */   // Label 9982: @618600
     /*  618600 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(618675), // Rule ID 11282 //
     /*  618605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  618625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  618651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  618654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618673 */     GIR_RootConstrainSelectedInstOperands,
     /*  618674 */     // GIR_Coverage, 11282,
     /*  618674 */     GIR_EraseRootFromParent_Done,
     /*  618675 */   // Label 9983: @618675
     /*  618675 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(618750), // Rule ID 11283 //
     /*  618680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  618691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  618694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  618697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  618700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  618726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  618729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618748 */     GIR_RootConstrainSelectedInstOperands,
     /*  618749 */     // GIR_Coverage, 11283,
     /*  618749 */     GIR_EraseRootFromParent_Done,
     /*  618750 */   // Label 9984: @618750
     /*  618750 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(618825), // Rule ID 11286 //
     /*  618755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  618775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  618804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618823 */     GIR_RootConstrainSelectedInstOperands,
     /*  618824 */     // GIR_Coverage, 11286,
     /*  618824 */     GIR_EraseRootFromParent_Done,
     /*  618825 */   // Label 9985: @618825
     /*  618825 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(618900), // Rule ID 11287 //
     /*  618830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  618841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  618844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  618847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  618850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  618876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  618879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618898 */     GIR_RootConstrainSelectedInstOperands,
     /*  618899 */     // GIR_Coverage, 11287,
     /*  618899 */     GIR_EraseRootFromParent_Done,
     /*  618900 */   // Label 9986: @618900
     /*  618900 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(618975), // Rule ID 11290 //
     /*  618905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  618925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  618951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  618954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  618958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  618960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  618962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  618973 */     GIR_RootConstrainSelectedInstOperands,
     /*  618974 */     // GIR_Coverage, 11290,
     /*  618974 */     GIR_EraseRootFromParent_Done,
     /*  618975 */   // Label 9987: @618975
     /*  618975 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619050), // Rule ID 11291 //
     /*  618980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  618988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  618991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  618994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  618997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  619029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619048 */     GIR_RootConstrainSelectedInstOperands,
     /*  619049 */     // GIR_Coverage, 11291,
     /*  619049 */     GIR_EraseRootFromParent_Done,
     /*  619050 */   // Label 9988: @619050
     /*  619050 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619125), // Rule ID 11294 //
     /*  619055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  619104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619123 */     GIR_RootConstrainSelectedInstOperands,
     /*  619124 */     // GIR_Coverage, 11294,
     /*  619124 */     GIR_EraseRootFromParent_Done,
     /*  619125 */   // Label 9989: @619125
     /*  619125 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619200), // Rule ID 11295 //
     /*  619130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  619141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  619144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  619147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  619150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  619179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619198 */     GIR_RootConstrainSelectedInstOperands,
     /*  619199 */     // GIR_Coverage, 11295,
     /*  619199 */     GIR_EraseRootFromParent_Done,
     /*  619200 */   // Label 9990: @619200
     /*  619200 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619275), // Rule ID 11298 //
     /*  619205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619273 */     GIR_RootConstrainSelectedInstOperands,
     /*  619274 */     // GIR_Coverage, 11298,
     /*  619274 */     GIR_EraseRootFromParent_Done,
     /*  619275 */   // Label 9991: @619275
     /*  619275 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619350), // Rule ID 11299 //
     /*  619280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  619291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  619294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  619297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  619300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619348 */     GIR_RootConstrainSelectedInstOperands,
     /*  619349 */     // GIR_Coverage, 11299,
     /*  619349 */     GIR_EraseRootFromParent_Done,
     /*  619350 */   // Label 9992: @619350
     /*  619350 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(619425), // Rule ID 11302 //
     /*  619355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619423 */     GIR_RootConstrainSelectedInstOperands,
     /*  619424 */     // GIR_Coverage, 11302,
     /*  619424 */     GIR_EraseRootFromParent_Done,
     /*  619425 */   // Label 9993: @619425
     /*  619425 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(619500), // Rule ID 11303 //
     /*  619430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  619441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  619444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  619447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  619450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619498 */     GIR_RootConstrainSelectedInstOperands,
     /*  619499 */     // GIR_Coverage, 11303,
     /*  619499 */     GIR_EraseRootFromParent_Done,
     /*  619500 */   // Label 9994: @619500
     /*  619500 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(619575), // Rule ID 11306 //
     /*  619505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  619525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  619551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619573 */     GIR_RootConstrainSelectedInstOperands,
     /*  619574 */     // GIR_Coverage, 11306,
     /*  619574 */     GIR_EraseRootFromParent_Done,
     /*  619575 */   // Label 9995: @619575
     /*  619575 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(619650), // Rule ID 11307 //
     /*  619580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  619591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  619594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  619597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  619600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  619626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  619629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  619645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619648 */     GIR_RootConstrainSelectedInstOperands,
     /*  619649 */     // GIR_Coverage, 11307,
     /*  619649 */     GIR_EraseRootFromParent_Done,
     /*  619650 */   // Label 9996: @619650
     /*  619650 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(619725), // Rule ID 11310 //
     /*  619655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  619675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619701 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  619704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619723 */     GIR_RootConstrainSelectedInstOperands,
     /*  619724 */     // GIR_Coverage, 11310,
     /*  619724 */     GIR_EraseRootFromParent_Done,
     /*  619725 */   // Label 9997: @619725
     /*  619725 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(619800), // Rule ID 11311 //
     /*  619730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  619741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  619744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  619747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  619750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  619769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619776 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  619779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619798 */     GIR_RootConstrainSelectedInstOperands,
     /*  619799 */     // GIR_Coverage, 11311,
     /*  619799 */     GIR_EraseRootFromParent_Done,
     /*  619800 */   // Label 9998: @619800
     /*  619800 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(619875), // Rule ID 11314 //
     /*  619805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  619825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  619854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619873 */     GIR_RootConstrainSelectedInstOperands,
     /*  619874 */     // GIR_Coverage, 11314,
     /*  619874 */     GIR_EraseRootFromParent_Done,
     /*  619875 */   // Label 9999: @619875
     /*  619875 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(619950), // Rule ID 11315 //
     /*  619880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  619891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  619894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  619897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  619900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619926 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  619929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619948 */     GIR_RootConstrainSelectedInstOperands,
     /*  619949 */     // GIR_Coverage, 11315,
     /*  619949 */     GIR_EraseRootFromParent_Done,
     /*  619950 */   // Label 10000: @619950
     /*  619950 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(620025), // Rule ID 11318 //
     /*  619955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  619963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  619966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  619969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  619972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  619975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620001 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620023 */     GIR_RootConstrainSelectedInstOperands,
     /*  620024 */     // GIR_Coverage, 11318,
     /*  620024 */     GIR_EraseRootFromParent_Done,
     /*  620025 */   // Label 10001: @620025
     /*  620025 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620100), // Rule ID 11319 //
     /*  620030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  620041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  620044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  620047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  620050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620098 */     GIR_RootConstrainSelectedInstOperands,
     /*  620099 */     // GIR_Coverage, 11319,
     /*  620099 */     GIR_EraseRootFromParent_Done,
     /*  620100 */   // Label 10002: @620100
     /*  620100 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620175), // Rule ID 11322 //
     /*  620105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  620154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620173 */     GIR_RootConstrainSelectedInstOperands,
     /*  620174 */     // GIR_Coverage, 11322,
     /*  620174 */     GIR_EraseRootFromParent_Done,
     /*  620175 */   // Label 10003: @620175
     /*  620175 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620250), // Rule ID 11323 //
     /*  620180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  620191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  620194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  620197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  620200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  620229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620248 */     GIR_RootConstrainSelectedInstOperands,
     /*  620249 */     // GIR_Coverage, 11323,
     /*  620249 */     GIR_EraseRootFromParent_Done,
     /*  620250 */   // Label 10004: @620250
     /*  620250 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620325), // Rule ID 11326 //
     /*  620255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  620275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620301 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  620304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620323 */     GIR_RootConstrainSelectedInstOperands,
     /*  620324 */     // GIR_Coverage, 11326,
     /*  620324 */     GIR_EraseRootFromParent_Done,
     /*  620325 */   // Label 10005: @620325
     /*  620325 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(620400), // Rule ID 11327 //
     /*  620330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  620341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  620344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  620347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  620350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  620379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620398 */     GIR_RootConstrainSelectedInstOperands,
     /*  620399 */     // GIR_Coverage, 11327,
     /*  620399 */     GIR_EraseRootFromParent_Done,
     /*  620400 */   // Label 10006: @620400
     /*  620400 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(620475), // Rule ID 11330 //
     /*  620405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  620425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620451 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620473 */     GIR_RootConstrainSelectedInstOperands,
     /*  620474 */     // GIR_Coverage, 11330,
     /*  620474 */     GIR_EraseRootFromParent_Done,
     /*  620475 */   // Label 10007: @620475
     /*  620475 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(620550), // Rule ID 11331 //
     /*  620480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  620491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  620494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  620497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  620500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620526 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620548 */     GIR_RootConstrainSelectedInstOperands,
     /*  620549 */     // GIR_Coverage, 11331,
     /*  620549 */     GIR_EraseRootFromParent_Done,
     /*  620550 */   // Label 10008: @620550
     /*  620550 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(620625), // Rule ID 11334 //
     /*  620555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  620575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  620604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620623 */     GIR_RootConstrainSelectedInstOperands,
     /*  620624 */     // GIR_Coverage, 11334,
     /*  620624 */     GIR_EraseRootFromParent_Done,
     /*  620625 */   // Label 10009: @620625
     /*  620625 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(620700), // Rule ID 11335 //
     /*  620630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  620641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  620644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  620647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  620650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  620679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620698 */     GIR_RootConstrainSelectedInstOperands,
     /*  620699 */     // GIR_Coverage, 11335,
     /*  620699 */     GIR_EraseRootFromParent_Done,
     /*  620700 */   // Label 10010: @620700
     /*  620700 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(620775), // Rule ID 11338 //
     /*  620705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  620725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  620754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620773 */     GIR_RootConstrainSelectedInstOperands,
     /*  620774 */     // GIR_Coverage, 11338,
     /*  620774 */     GIR_EraseRootFromParent_Done,
     /*  620775 */   // Label 10011: @620775
     /*  620775 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(620850), // Rule ID 11339 //
     /*  620780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  620791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  620794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  620797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  620800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  620819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  620829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620848 */     GIR_RootConstrainSelectedInstOperands,
     /*  620849 */     // GIR_Coverage, 11339,
     /*  620849 */     GIR_EraseRootFromParent_Done,
     /*  620850 */   // Label 10012: @620850
     /*  620850 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(620925), // Rule ID 11342 //
     /*  620855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  620875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620923 */     GIR_RootConstrainSelectedInstOperands,
     /*  620924 */     // GIR_Coverage, 11342,
     /*  620924 */     GIR_EraseRootFromParent_Done,
     /*  620925 */   // Label 10013: @620925
     /*  620925 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(621000), // Rule ID 11343 //
     /*  620930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  620938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  620941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  620944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  620947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  620950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  620969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620976 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  620979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620998 */     GIR_RootConstrainSelectedInstOperands,
     /*  620999 */     // GIR_Coverage, 11343,
     /*  620999 */     GIR_EraseRootFromParent_Done,
     /*  621000 */   // Label 10014: @621000
     /*  621000 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621075), // Rule ID 11346 //
     /*  621005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  621054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621073 */     GIR_RootConstrainSelectedInstOperands,
     /*  621074 */     // GIR_Coverage, 11346,
     /*  621074 */     GIR_EraseRootFromParent_Done,
     /*  621075 */   // Label 10015: @621075
     /*  621075 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621150), // Rule ID 11347 //
     /*  621080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  621091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  621094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  621097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621126 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  621129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621148 */     GIR_RootConstrainSelectedInstOperands,
     /*  621149 */     // GIR_Coverage, 11347,
     /*  621149 */     GIR_EraseRootFromParent_Done,
     /*  621150 */   // Label 10016: @621150
     /*  621150 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621225), // Rule ID 11350 //
     /*  621155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621201 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  621204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621223 */     GIR_RootConstrainSelectedInstOperands,
     /*  621224 */     // GIR_Coverage, 11350,
     /*  621224 */     GIR_EraseRootFromParent_Done,
     /*  621225 */   // Label 10017: @621225
     /*  621225 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621300), // Rule ID 11351 //
     /*  621230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  621241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  621244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  621247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621276 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  621279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621298 */     GIR_RootConstrainSelectedInstOperands,
     /*  621299 */     // GIR_Coverage, 11351,
     /*  621299 */     GIR_EraseRootFromParent_Done,
     /*  621300 */   // Label 10018: @621300
     /*  621300 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621375), // Rule ID 11354 //
     /*  621305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621373 */     GIR_RootConstrainSelectedInstOperands,
     /*  621374 */     // GIR_Coverage, 11354,
     /*  621374 */     GIR_EraseRootFromParent_Done,
     /*  621375 */   // Label 10019: @621375
     /*  621375 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(621450), // Rule ID 11355 //
     /*  621380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  621391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  621394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  621397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621448 */     GIR_RootConstrainSelectedInstOperands,
     /*  621449 */     // GIR_Coverage, 11355,
     /*  621449 */     GIR_EraseRootFromParent_Done,
     /*  621450 */   // Label 10020: @621450
     /*  621450 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(621525), // Rule ID 11358 //
     /*  621455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  621504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621523 */     GIR_RootConstrainSelectedInstOperands,
     /*  621524 */     // GIR_Coverage, 11358,
     /*  621524 */     GIR_EraseRootFromParent_Done,
     /*  621525 */   // Label 10021: @621525
     /*  621525 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(621600), // Rule ID 11359 //
     /*  621530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  621541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  621544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  621547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  621579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621598 */     GIR_RootConstrainSelectedInstOperands,
     /*  621599 */     // GIR_Coverage, 11359,
     /*  621599 */     GIR_EraseRootFromParent_Done,
     /*  621600 */   // Label 10022: @621600
     /*  621600 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(621675), // Rule ID 11362 //
     /*  621605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621673 */     GIR_RootConstrainSelectedInstOperands,
     /*  621674 */     // GIR_Coverage, 11362,
     /*  621674 */     GIR_EraseRootFromParent_Done,
     /*  621675 */   // Label 10023: @621675
     /*  621675 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(621750), // Rule ID 11363 //
     /*  621680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  621691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  621694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  621697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621748 */     GIR_RootConstrainSelectedInstOperands,
     /*  621749 */     // GIR_Coverage, 11363,
     /*  621749 */     GIR_EraseRootFromParent_Done,
     /*  621750 */   // Label 10024: @621750
     /*  621750 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(621825), // Rule ID 11366 //
     /*  621755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621801 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621823 */     GIR_RootConstrainSelectedInstOperands,
     /*  621824 */     // GIR_Coverage, 11366,
     /*  621824 */     GIR_EraseRootFromParent_Done,
     /*  621825 */   // Label 10025: @621825
     /*  621825 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(621900), // Rule ID 11367 //
     /*  621830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  621841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  621844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  621847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  621850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621876 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  621879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621898 */     GIR_RootConstrainSelectedInstOperands,
     /*  621899 */     // GIR_Coverage, 11367,
     /*  621899 */     GIR_EraseRootFromParent_Done,
     /*  621900 */   // Label 10026: @621900
     /*  621900 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(621975), // Rule ID 11370 //
     /*  621905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  621925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  621940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  621944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621951 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  621954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621973 */     GIR_RootConstrainSelectedInstOperands,
     /*  621974 */     // GIR_Coverage, 11370,
     /*  621974 */     GIR_EraseRootFromParent_Done,
     /*  621975 */   // Label 10027: @621975
     /*  621975 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622050), // Rule ID 11371 //
     /*  621980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  621988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  621991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  621994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  621997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11107:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  622029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622048 */     GIR_RootConstrainSelectedInstOperands,
     /*  622049 */     // GIR_Coverage, 11371,
     /*  622049 */     GIR_EraseRootFromParent_Done,
     /*  622050 */   // Label 10028: @622050
     /*  622050 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622125), // Rule ID 11374 //
     /*  622055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  622104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622123 */     GIR_RootConstrainSelectedInstOperands,
     /*  622124 */     // GIR_Coverage, 11374,
     /*  622124 */     GIR_EraseRootFromParent_Done,
     /*  622125 */   // Label 10029: @622125
     /*  622125 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622200), // Rule ID 11375 //
     /*  622130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  622141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  622144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  622147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622176 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11107:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  622179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622198 */     GIR_RootConstrainSelectedInstOperands,
     /*  622199 */     // GIR_Coverage, 11375,
     /*  622199 */     GIR_EraseRootFromParent_Done,
     /*  622200 */   // Label 10030: @622200
     /*  622200 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622275), // Rule ID 11378 //
     /*  622205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  622254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622273 */     GIR_RootConstrainSelectedInstOperands,
     /*  622274 */     // GIR_Coverage, 11378,
     /*  622274 */     GIR_EraseRootFromParent_Done,
     /*  622275 */   // Label 10031: @622275
     /*  622275 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622350), // Rule ID 11379 //
     /*  622280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  622291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  622294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  622297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622326 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  622329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622348 */     GIR_RootConstrainSelectedInstOperands,
     /*  622349 */     // GIR_Coverage, 11379,
     /*  622349 */     GIR_EraseRootFromParent_Done,
     /*  622350 */   // Label 10032: @622350
     /*  622350 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(622425), // Rule ID 11382 //
     /*  622355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622401 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  622404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622423 */     GIR_RootConstrainSelectedInstOperands,
     /*  622424 */     // GIR_Coverage, 11382,
     /*  622424 */     GIR_EraseRootFromParent_Done,
     /*  622425 */   // Label 10033: @622425
     /*  622425 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(622500), // Rule ID 11383 //
     /*  622430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  622441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  622444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  622447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  622479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622498 */     GIR_RootConstrainSelectedInstOperands,
     /*  622499 */     // GIR_Coverage, 11383,
     /*  622499 */     GIR_EraseRootFromParent_Done,
     /*  622500 */   // Label 10034: @622500
     /*  622500 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(622575), // Rule ID 11386 //
     /*  622505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  622554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622573 */     GIR_RootConstrainSelectedInstOperands,
     /*  622574 */     // GIR_Coverage, 11386,
     /*  622574 */     GIR_EraseRootFromParent_Done,
     /*  622575 */   // Label 10035: @622575
     /*  622575 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(622650), // Rule ID 11387 //
     /*  622580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  622591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  622594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  622597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622626 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  622629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622648 */     GIR_RootConstrainSelectedInstOperands,
     /*  622649 */     // GIR_Coverage, 11387,
     /*  622649 */     GIR_EraseRootFromParent_Done,
     /*  622650 */   // Label 10036: @622650
     /*  622650 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(622725), // Rule ID 11390 //
     /*  622655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622701 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  622704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622723 */     GIR_RootConstrainSelectedInstOperands,
     /*  622724 */     // GIR_Coverage, 11390,
     /*  622724 */     GIR_EraseRootFromParent_Done,
     /*  622725 */   // Label 10037: @622725
     /*  622725 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(622800), // Rule ID 11391 //
     /*  622730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  622741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  622744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  622747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622776 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  622779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622798 */     GIR_RootConstrainSelectedInstOperands,
     /*  622799 */     // GIR_Coverage, 11391,
     /*  622799 */     GIR_EraseRootFromParent_Done,
     /*  622800 */   // Label 10038: @622800
     /*  622800 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(622875), // Rule ID 11394 //
     /*  622805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622851 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  622851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  622854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622873 */     GIR_RootConstrainSelectedInstOperands,
     /*  622874 */     // GIR_Coverage, 11394,
     /*  622874 */     GIR_EraseRootFromParent_Done,
     /*  622875 */   // Label 10039: @622875
     /*  622875 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(622950), // Rule ID 11395 //
     /*  622880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  622891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  622894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  622897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622926 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  622926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  622929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  622945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622948 */     GIR_RootConstrainSelectedInstOperands,
     /*  622949 */     // GIR_Coverage, 11395,
     /*  622949 */     GIR_EraseRootFromParent_Done,
     /*  622950 */   // Label 10040: @622950
     /*  622950 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(623025), // Rule ID 11398 //
     /*  622955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  622963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  622966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  622969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  622972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  623004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623023 */     GIR_RootConstrainSelectedInstOperands,
     /*  623024 */     // GIR_Coverage, 11398,
     /*  623024 */     GIR_EraseRootFromParent_Done,
     /*  623025 */   // Label 10041: @623025
     /*  623025 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623100), // Rule ID 11399 //
     /*  623030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  623041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  623044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  623047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  623079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623098 */     GIR_RootConstrainSelectedInstOperands,
     /*  623099 */     // GIR_Coverage, 11399,
     /*  623099 */     GIR_EraseRootFromParent_Done,
     /*  623100 */   // Label 10042: @623100
     /*  623100 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623175), // Rule ID 11402 //
     /*  623105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623151 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  623154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623173 */     GIR_RootConstrainSelectedInstOperands,
     /*  623174 */     // GIR_Coverage, 11402,
     /*  623174 */     GIR_EraseRootFromParent_Done,
     /*  623175 */   // Label 10043: @623175
     /*  623175 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623250), // Rule ID 11403 //
     /*  623180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  623191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  623194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  623197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  623229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623248 */     GIR_RootConstrainSelectedInstOperands,
     /*  623249 */     // GIR_Coverage, 11403,
     /*  623249 */     GIR_EraseRootFromParent_Done,
     /*  623250 */   // Label 10044: @623250
     /*  623250 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623325), // Rule ID 11406 //
     /*  623255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623301 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  623304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623323 */     GIR_RootConstrainSelectedInstOperands,
     /*  623324 */     // GIR_Coverage, 11406,
     /*  623324 */     GIR_EraseRootFromParent_Done,
     /*  623325 */   // Label 10045: @623325
     /*  623325 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(623400), // Rule ID 11407 //
     /*  623330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  623341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  623344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  623347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  623379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623398 */     GIR_RootConstrainSelectedInstOperands,
     /*  623399 */     // GIR_Coverage, 11407,
     /*  623399 */     GIR_EraseRootFromParent_Done,
     /*  623400 */   // Label 10046: @623400
     /*  623400 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(623475), // Rule ID 11410 //
     /*  623405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  623454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623473 */     GIR_RootConstrainSelectedInstOperands,
     /*  623474 */     // GIR_Coverage, 11410,
     /*  623474 */     GIR_EraseRootFromParent_Done,
     /*  623475 */   // Label 10047: @623475
     /*  623475 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(623550), // Rule ID 11411 //
     /*  623480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  623491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  623494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  623497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  623515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623526 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  623529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623548 */     GIR_RootConstrainSelectedInstOperands,
     /*  623549 */     // GIR_Coverage, 11411,
     /*  623549 */     GIR_EraseRootFromParent_Done,
     /*  623550 */   // Label 10048: @623550
     /*  623550 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(623625), // Rule ID 11414 //
     /*  623555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623601 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  623604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623623 */     GIR_RootConstrainSelectedInstOperands,
     /*  623624 */     // GIR_Coverage, 11414,
     /*  623624 */     GIR_EraseRootFromParent_Done,
     /*  623625 */   // Label 10049: @623625
     /*  623625 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(623700), // Rule ID 11415 //
     /*  623630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  623638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  623641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  623644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  623647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  623665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623676 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  623679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623698 */     GIR_RootConstrainSelectedInstOperands,
     /*  623699 */     // GIR_Coverage, 11415,
     /*  623699 */     GIR_EraseRootFromParent_Done,
     /*  623700 */   // Label 10050: @623700
     /*  623700 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(623775), // Rule ID 11418 //
     /*  623705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  623708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  623713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  623754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623773 */     GIR_RootConstrainSelectedInstOperands,
     /*  623774 */     // GIR_Coverage, 11418,
     /*  623774 */     GIR_EraseRootFromParent_Done,
     /*  623775 */   // Label 10051: @623775
     /*  623775 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(623850), // Rule ID 11419 //
     /*  623780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  623783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  623788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  623800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  623829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623848 */     GIR_RootConstrainSelectedInstOperands,
     /*  623849 */     // GIR_Coverage, 11419,
     /*  623849 */     GIR_EraseRootFromParent_Done,
     /*  623850 */   // Label 10052: @623850
     /*  623850 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(623925), // Rule ID 11422 //
     /*  623855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  623858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  623863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  623901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  623904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623923 */     GIR_RootConstrainSelectedInstOperands,
     /*  623924 */     // GIR_Coverage, 11422,
     /*  623924 */     GIR_EraseRootFromParent_Done,
     /*  623925 */   // Label 10053: @623925
     /*  623925 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(624000), // Rule ID 11423 //
     /*  623930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  623933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  623938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  623941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  623944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  623947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  623950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  623969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  623976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  623979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  623995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623998 */     GIR_RootConstrainSelectedInstOperands,
     /*  623999 */     // GIR_Coverage, 11423,
     /*  623999 */     GIR_EraseRootFromParent_Done,
     /*  624000 */   // Label 10054: @624000
     /*  624000 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624075), // Rule ID 11426 //
     /*  624005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  624054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624073 */     GIR_RootConstrainSelectedInstOperands,
     /*  624074 */     // GIR_Coverage, 11426,
     /*  624074 */     GIR_EraseRootFromParent_Done,
     /*  624075 */   // Label 10055: @624075
     /*  624075 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624150), // Rule ID 11427 //
     /*  624080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  624100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  624129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624148 */     GIR_RootConstrainSelectedInstOperands,
     /*  624149 */     // GIR_Coverage, 11427,
     /*  624149 */     GIR_EraseRootFromParent_Done,
     /*  624150 */   // Label 10056: @624150
     /*  624150 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624225), // Rule ID 11430 //
     /*  624155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  624204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624223 */     GIR_RootConstrainSelectedInstOperands,
     /*  624224 */     // GIR_Coverage, 11430,
     /*  624224 */     GIR_EraseRootFromParent_Done,
     /*  624225 */   // Label 10057: @624225
     /*  624225 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624300), // Rule ID 11431 //
     /*  624230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  624250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  624279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624298 */     GIR_RootConstrainSelectedInstOperands,
     /*  624299 */     // GIR_Coverage, 11431,
     /*  624299 */     GIR_EraseRootFromParent_Done,
     /*  624300 */   // Label 10058: @624300
     /*  624300 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624375), // Rule ID 11434 //
     /*  624305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  624354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624373 */     GIR_RootConstrainSelectedInstOperands,
     /*  624374 */     // GIR_Coverage, 11434,
     /*  624374 */     GIR_EraseRootFromParent_Done,
     /*  624375 */   // Label 10059: @624375
     /*  624375 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(624450), // Rule ID 11435 //
     /*  624380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11105:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  624429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624448 */     GIR_RootConstrainSelectedInstOperands,
     /*  624449 */     // GIR_Coverage, 11435,
     /*  624449 */     GIR_EraseRootFromParent_Done,
     /*  624450 */   // Label 10060: @624450
     /*  624450 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(624525), // Rule ID 11438 //
     /*  624455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  624504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624523 */     GIR_RootConstrainSelectedInstOperands,
     /*  624524 */     // GIR_Coverage, 11438,
     /*  624524 */     GIR_EraseRootFromParent_Done,
     /*  624525 */   // Label 10061: @624525
     /*  624525 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(624600), // Rule ID 11439 //
     /*  624530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  624541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  624544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  624547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  624579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624598 */     GIR_RootConstrainSelectedInstOperands,
     /*  624599 */     // GIR_Coverage, 11439,
     /*  624599 */     GIR_EraseRootFromParent_Done,
     /*  624600 */   // Label 10062: @624600
     /*  624600 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(624675), // Rule ID 11442 //
     /*  624605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  624654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624673 */     GIR_RootConstrainSelectedInstOperands,
     /*  624674 */     // GIR_Coverage, 11442,
     /*  624674 */     GIR_EraseRootFromParent_Done,
     /*  624675 */   // Label 10063: @624675
     /*  624675 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(624750), // Rule ID 11443 //
     /*  624680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  624691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  624694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  624697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  624729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624748 */     GIR_RootConstrainSelectedInstOperands,
     /*  624749 */     // GIR_Coverage, 11443,
     /*  624749 */     GIR_EraseRootFromParent_Done,
     /*  624750 */   // Label 10064: @624750
     /*  624750 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(624825), // Rule ID 11446 //
     /*  624755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  624804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624823 */     GIR_RootConstrainSelectedInstOperands,
     /*  624824 */     // GIR_Coverage, 11446,
     /*  624824 */     GIR_EraseRootFromParent_Done,
     /*  624825 */   // Label 10065: @624825
     /*  624825 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(624900), // Rule ID 11447 //
     /*  624830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  624838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  624841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  624844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  624847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  624879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624898 */     GIR_RootConstrainSelectedInstOperands,
     /*  624899 */     // GIR_Coverage, 11447,
     /*  624899 */     GIR_EraseRootFromParent_Done,
     /*  624900 */   // Label 10066: @624900
     /*  624900 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(624975), // Rule ID 11450 //
     /*  624905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  624908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  624913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  624925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  624954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624973 */     GIR_RootConstrainSelectedInstOperands,
     /*  624974 */     // GIR_Coverage, 11450,
     /*  624974 */     GIR_EraseRootFromParent_Done,
     /*  624975 */   // Label 10067: @624975
     /*  624975 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625050), // Rule ID 11451 //
     /*  624980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  624983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  624988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  625000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  625029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625048 */     GIR_RootConstrainSelectedInstOperands,
     /*  625049 */     // GIR_Coverage, 11451,
     /*  625049 */     GIR_EraseRootFromParent_Done,
     /*  625050 */   // Label 10068: @625050
     /*  625050 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625125), // Rule ID 11454 //
     /*  625055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  625075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  625104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625123 */     GIR_RootConstrainSelectedInstOperands,
     /*  625124 */     // GIR_Coverage, 11454,
     /*  625124 */     GIR_EraseRootFromParent_Done,
     /*  625125 */   // Label 10069: @625125
     /*  625125 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625200), // Rule ID 11455 //
     /*  625130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  625150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  625179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625198 */     GIR_RootConstrainSelectedInstOperands,
     /*  625199 */     // GIR_Coverage, 11455,
     /*  625199 */     GIR_EraseRootFromParent_Done,
     /*  625200 */   // Label 10070: @625200
     /*  625200 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625275), // Rule ID 11458 //
     /*  625205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  625225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  625254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625273 */     GIR_RootConstrainSelectedInstOperands,
     /*  625274 */     // GIR_Coverage, 11458,
     /*  625274 */     GIR_EraseRootFromParent_Done,
     /*  625275 */   // Label 10071: @625275
     /*  625275 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625350), // Rule ID 11459 //
     /*  625280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  625300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  625329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625348 */     GIR_RootConstrainSelectedInstOperands,
     /*  625349 */     // GIR_Coverage, 11459,
     /*  625349 */     GIR_EraseRootFromParent_Done,
     /*  625350 */   // Label 10072: @625350
     /*  625350 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(625425), // Rule ID 11462 //
     /*  625355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  625375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  625404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625423 */     GIR_RootConstrainSelectedInstOperands,
     /*  625424 */     // GIR_Coverage, 11462,
     /*  625424 */     GIR_EraseRootFromParent_Done,
     /*  625425 */   // Label 10073: @625425
     /*  625425 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(625500), // Rule ID 11463 //
     /*  625430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  625450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  625479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625498 */     GIR_RootConstrainSelectedInstOperands,
     /*  625499 */     // GIR_Coverage, 11463,
     /*  625499 */     GIR_EraseRootFromParent_Done,
     /*  625500 */   // Label 10074: @625500
     /*  625500 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(625575), // Rule ID 11466 //
     /*  625505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625551 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  625554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625573 */     GIR_RootConstrainSelectedInstOperands,
     /*  625574 */     // GIR_Coverage, 11466,
     /*  625574 */     GIR_EraseRootFromParent_Done,
     /*  625575 */   // Label 10075: @625575
     /*  625575 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(625650), // Rule ID 11467 //
     /*  625580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  625591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  625594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  625597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11109:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  625629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625648 */     GIR_RootConstrainSelectedInstOperands,
     /*  625649 */     // GIR_Coverage, 11467,
     /*  625649 */     GIR_EraseRootFromParent_Done,
     /*  625650 */   // Label 10076: @625650
     /*  625650 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(625725), // Rule ID 11470 //
     /*  625655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  625704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625723 */     GIR_RootConstrainSelectedInstOperands,
     /*  625724 */     // GIR_Coverage, 11470,
     /*  625724 */     GIR_EraseRootFromParent_Done,
     /*  625725 */   // Label 10077: @625725
     /*  625725 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(625800), // Rule ID 11471 //
     /*  625730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11109:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  625779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625798 */     GIR_RootConstrainSelectedInstOperands,
     /*  625799 */     // GIR_Coverage, 11471,
     /*  625799 */     GIR_EraseRootFromParent_Done,
     /*  625800 */   // Label 10078: @625800
     /*  625800 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(625875), // Rule ID 11474 //
     /*  625805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  625854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625873 */     GIR_RootConstrainSelectedInstOperands,
     /*  625874 */     // GIR_Coverage, 11474,
     /*  625874 */     GIR_EraseRootFromParent_Done,
     /*  625875 */   // Label 10079: @625875
     /*  625875 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(625950), // Rule ID 11475 //
     /*  625880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  625883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11109:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  625929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625948 */     GIR_RootConstrainSelectedInstOperands,
     /*  625949 */     // GIR_Coverage, 11475,
     /*  625949 */     GIR_EraseRootFromParent_Done,
     /*  625950 */   // Label 10080: @625950
     /*  625950 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(626025), // Rule ID 11478 //
     /*  625955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  625958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  625963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  626004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626023 */     GIR_RootConstrainSelectedInstOperands,
     /*  626024 */     // GIR_Coverage, 11478,
     /*  626024 */     GIR_EraseRootFromParent_Done,
     /*  626025 */   // Label 10081: @626025
     /*  626025 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626100), // Rule ID 11479 //
     /*  626030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  626038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  626041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  626044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  626047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11109:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  626079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626098 */     GIR_RootConstrainSelectedInstOperands,
     /*  626099 */     // GIR_Coverage, 11479,
     /*  626099 */     GIR_EraseRootFromParent_Done,
     /*  626100 */   // Label 10082: @626100
     /*  626100 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626175), // Rule ID 11482 //
     /*  626105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626151 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  626154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626173 */     GIR_RootConstrainSelectedInstOperands,
     /*  626174 */     // GIR_Coverage, 11482,
     /*  626174 */     GIR_EraseRootFromParent_Done,
     /*  626175 */   // Label 10083: @626175
     /*  626175 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626250), // Rule ID 11483 //
     /*  626180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  626200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  626229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626248 */     GIR_RootConstrainSelectedInstOperands,
     /*  626249 */     // GIR_Coverage, 11483,
     /*  626249 */     GIR_EraseRootFromParent_Done,
     /*  626250 */   // Label 10084: @626250
     /*  626250 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626325), // Rule ID 11486 //
     /*  626255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  626275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  626304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626323 */     GIR_RootConstrainSelectedInstOperands,
     /*  626324 */     // GIR_Coverage, 11486,
     /*  626324 */     GIR_EraseRootFromParent_Done,
     /*  626325 */   // Label 10085: @626325
     /*  626325 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(626400), // Rule ID 11487 //
     /*  626330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  626350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  626379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626398 */     GIR_RootConstrainSelectedInstOperands,
     /*  626399 */     // GIR_Coverage, 11487,
     /*  626399 */     GIR_EraseRootFromParent_Done,
     /*  626400 */   // Label 10086: @626400
     /*  626400 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(626475), // Rule ID 11490 //
     /*  626405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  626416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  626419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  626422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  626425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  626454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626473 */     GIR_RootConstrainSelectedInstOperands,
     /*  626474 */     // GIR_Coverage, 11490,
     /*  626474 */     GIR_EraseRootFromParent_Done,
     /*  626475 */   // Label 10087: @626475
     /*  626475 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(626550), // Rule ID 11491 //
     /*  626480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  626491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  626494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  626497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  626500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  626519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  626529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626548 */     GIR_RootConstrainSelectedInstOperands,
     /*  626549 */     // GIR_Coverage, 11491,
     /*  626549 */     GIR_EraseRootFromParent_Done,
     /*  626550 */   // Label 10088: @626550
     /*  626550 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(626625), // Rule ID 11494 //
     /*  626555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  626566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  626569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  626572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  626575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  626604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626623 */     GIR_RootConstrainSelectedInstOperands,
     /*  626624 */     // GIR_Coverage, 11494,
     /*  626624 */     GIR_EraseRootFromParent_Done,
     /*  626625 */   // Label 10089: @626625
     /*  626625 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(626700), // Rule ID 11495 //
     /*  626630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  626641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  626644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  626647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  626650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  626669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  626679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626698 */     GIR_RootConstrainSelectedInstOperands,
     /*  626699 */     // GIR_Coverage, 11495,
     /*  626699 */     GIR_EraseRootFromParent_Done,
     /*  626700 */   // Label 10090: @626700
     /*  626700 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(626775), // Rule ID 11498 //
     /*  626705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  626754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626773 */     GIR_RootConstrainSelectedInstOperands,
     /*  626774 */     // GIR_Coverage, 11498,
     /*  626774 */     GIR_EraseRootFromParent_Done,
     /*  626775 */   // Label 10091: @626775
     /*  626775 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(626850), // Rule ID 11499 //
     /*  626780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  626791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  626794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  626797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11107:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  626829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626848 */     GIR_RootConstrainSelectedInstOperands,
     /*  626849 */     // GIR_Coverage, 11499,
     /*  626849 */     GIR_EraseRootFromParent_Done,
     /*  626850 */   // Label 10092: @626850
     /*  626850 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(626925), // Rule ID 11502 //
     /*  626855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  626858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  626875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626901 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  626901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  626904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626923 */     GIR_RootConstrainSelectedInstOperands,
     /*  626924 */     // GIR_Coverage, 11502,
     /*  626924 */     GIR_EraseRootFromParent_Done,
     /*  626925 */   // Label 10093: @626925
     /*  626925 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(627000), // Rule ID 11503 //
     /*  626930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  626933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  626938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  626941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  626944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  626947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  626950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  626965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  626969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  626976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  626979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  626995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626998 */     GIR_RootConstrainSelectedInstOperands,
     /*  626999 */     // GIR_Coverage, 11503,
     /*  626999 */     GIR_EraseRootFromParent_Done,
     /*  627000 */   // Label 10094: @627000
     /*  627000 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627075), // Rule ID 11506 //
     /*  627005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  627008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  627013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  627054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627073 */     GIR_RootConstrainSelectedInstOperands,
     /*  627074 */     // GIR_Coverage, 11506,
     /*  627074 */     GIR_EraseRootFromParent_Done,
     /*  627075 */   // Label 10095: @627075
     /*  627075 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627150), // Rule ID 11507 //
     /*  627080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  627083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  627088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  627091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  627094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  627097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627126 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  627129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627148 */     GIR_RootConstrainSelectedInstOperands,
     /*  627149 */     // GIR_Coverage, 11507,
     /*  627149 */     GIR_EraseRootFromParent_Done,
     /*  627150 */   // Label 10096: @627150
     /*  627150 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627225), // Rule ID 11510 //
     /*  627155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  627158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  627163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  627175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  627204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627223 */     GIR_RootConstrainSelectedInstOperands,
     /*  627224 */     // GIR_Coverage, 11510,
     /*  627224 */     GIR_EraseRootFromParent_Done,
     /*  627225 */   // Label 10097: @627225
     /*  627225 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627300), // Rule ID 11511 //
     /*  627230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  627233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  627238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  627241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  627244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  627247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  627250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  627269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  627279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627298 */     GIR_RootConstrainSelectedInstOperands,
     /*  627299 */     // GIR_Coverage, 11511,
     /*  627299 */     GIR_EraseRootFromParent_Done,
     /*  627300 */   // Label 10098: @627300
     /*  627300 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627375), // Rule ID 11514 //
     /*  627305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  627354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627373 */     GIR_RootConstrainSelectedInstOperands,
     /*  627374 */     // GIR_Coverage, 11514,
     /*  627374 */     GIR_EraseRootFromParent_Done,
     /*  627375 */   // Label 10099: @627375
     /*  627375 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(627450), // Rule ID 11515 //
     /*  627380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  627391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  627394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  627397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  627400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  627429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627448 */     GIR_RootConstrainSelectedInstOperands,
     /*  627449 */     // GIR_Coverage, 11515,
     /*  627449 */     GIR_EraseRootFromParent_Done,
     /*  627450 */   // Label 10100: @627450
     /*  627450 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(627525), // Rule ID 11518 //
     /*  627455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627501 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  627504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627523 */     GIR_RootConstrainSelectedInstOperands,
     /*  627524 */     // GIR_Coverage, 11518,
     /*  627524 */     GIR_EraseRootFromParent_Done,
     /*  627525 */   // Label 10101: @627525
     /*  627525 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(627600), // Rule ID 11519 //
     /*  627530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  627541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  627544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  627547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  627550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627576 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  627579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627598 */     GIR_RootConstrainSelectedInstOperands,
     /*  627599 */     // GIR_Coverage, 11519,
     /*  627599 */     GIR_EraseRootFromParent_Done,
     /*  627600 */   // Label 10102: @627600
     /*  627600 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(627675), // Rule ID 11522 //
     /*  627605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  627654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627673 */     GIR_RootConstrainSelectedInstOperands,
     /*  627674 */     // GIR_Coverage, 11522,
     /*  627674 */     GIR_EraseRootFromParent_Done,
     /*  627675 */   // Label 10103: @627675
     /*  627675 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(627750), // Rule ID 11523 //
     /*  627680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  627691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  627694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  627697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  627700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627726 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  627729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627748 */     GIR_RootConstrainSelectedInstOperands,
     /*  627749 */     // GIR_Coverage, 11523,
     /*  627749 */     GIR_EraseRootFromParent_Done,
     /*  627750 */   // Label 10104: @627750
     /*  627750 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(627825), // Rule ID 11526 //
     /*  627755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  627804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627823 */     GIR_RootConstrainSelectedInstOperands,
     /*  627824 */     // GIR_Coverage, 11526,
     /*  627824 */     GIR_EraseRootFromParent_Done,
     /*  627825 */   // Label 10105: @627825
     /*  627825 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(627900), // Rule ID 11527 //
     /*  627830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  627841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  627844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  627847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  627850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  627879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627898 */     GIR_RootConstrainSelectedInstOperands,
     /*  627899 */     // GIR_Coverage, 11527,
     /*  627899 */     GIR_EraseRootFromParent_Done,
     /*  627900 */   // Label 10106: @627900
     /*  627900 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(627975), // Rule ID 11530 //
     /*  627905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  627925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  627954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627973 */     GIR_RootConstrainSelectedInstOperands,
     /*  627974 */     // GIR_Coverage, 11530,
     /*  627974 */     GIR_EraseRootFromParent_Done,
     /*  627975 */   // Label 10107: @627975
     /*  627975 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628050), // Rule ID 11531 //
     /*  627980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  627988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  627991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  627994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  627997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  628000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  628029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628048 */     GIR_RootConstrainSelectedInstOperands,
     /*  628049 */     // GIR_Coverage, 11531,
     /*  628049 */     GIR_EraseRootFromParent_Done,
     /*  628050 */   // Label 10108: @628050
     /*  628050 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628125), // Rule ID 11534 //
     /*  628055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628101 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  628104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628123 */     GIR_RootConstrainSelectedInstOperands,
     /*  628124 */     // GIR_Coverage, 11534,
     /*  628124 */     GIR_EraseRootFromParent_Done,
     /*  628125 */   // Label 10109: @628125
     /*  628125 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628200), // Rule ID 11535 //
     /*  628130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  628141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  628144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  628147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  628150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  628179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628198 */     GIR_RootConstrainSelectedInstOperands,
     /*  628199 */     // GIR_Coverage, 11535,
     /*  628199 */     GIR_EraseRootFromParent_Done,
     /*  628200 */   // Label 10110: @628200
     /*  628200 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628275), // Rule ID 11538 //
     /*  628205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  628254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628273 */     GIR_RootConstrainSelectedInstOperands,
     /*  628274 */     // GIR_Coverage, 11538,
     /*  628274 */     GIR_EraseRootFromParent_Done,
     /*  628275 */   // Label 10111: @628275
     /*  628275 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628350), // Rule ID 11539 //
     /*  628280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  628291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  628294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  628297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  628300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  628329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628348 */     GIR_RootConstrainSelectedInstOperands,
     /*  628349 */     // GIR_Coverage, 11539,
     /*  628349 */     GIR_EraseRootFromParent_Done,
     /*  628350 */   // Label 10112: @628350
     /*  628350 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(628425), // Rule ID 11542 //
     /*  628355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  628404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628423 */     GIR_RootConstrainSelectedInstOperands,
     /*  628424 */     // GIR_Coverage, 11542,
     /*  628424 */     GIR_EraseRootFromParent_Done,
     /*  628425 */   // Label 10113: @628425
     /*  628425 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(628500), // Rule ID 11543 //
     /*  628430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  628441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  628444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  628447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  628450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628476 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  628479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628498 */     GIR_RootConstrainSelectedInstOperands,
     /*  628499 */     // GIR_Coverage, 11543,
     /*  628499 */     GIR_EraseRootFromParent_Done,
     /*  628500 */   // Label 10114: @628500
     /*  628500 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(628575), // Rule ID 11546 //
     /*  628505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  628554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628573 */     GIR_RootConstrainSelectedInstOperands,
     /*  628574 */     // GIR_Coverage, 11546,
     /*  628574 */     GIR_EraseRootFromParent_Done,
     /*  628575 */   // Label 10115: @628575
     /*  628575 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(628650), // Rule ID 11547 //
     /*  628580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  628591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  628594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  628597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  628600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  628629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628648 */     GIR_RootConstrainSelectedInstOperands,
     /*  628649 */     // GIR_Coverage, 11547,
     /*  628649 */     GIR_EraseRootFromParent_Done,
     /*  628650 */   // Label 10116: @628650
     /*  628650 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(628725), // Rule ID 11550 //
     /*  628655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628701 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  628704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628723 */     GIR_RootConstrainSelectedInstOperands,
     /*  628724 */     // GIR_Coverage, 11550,
     /*  628724 */     GIR_EraseRootFromParent_Done,
     /*  628725 */   // Label 10117: @628725
     /*  628725 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(628800), // Rule ID 11551 //
     /*  628730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  628741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  628744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  628747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  628750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  628769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  628779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628798 */     GIR_RootConstrainSelectedInstOperands,
     /*  628799 */     // GIR_Coverage, 11551,
     /*  628799 */     GIR_EraseRootFromParent_Done,
     /*  628800 */   // Label 10118: @628800
     /*  628800 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(628875), // Rule ID 11554 //
     /*  628805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628851 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  628851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  628854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628873 */     GIR_RootConstrainSelectedInstOperands,
     /*  628874 */     // GIR_Coverage, 11554,
     /*  628874 */     GIR_EraseRootFromParent_Done,
     /*  628875 */   // Label 10119: @628875
     /*  628875 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(628950), // Rule ID 11555 //
     /*  628880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  628891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  628894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  628897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  628900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628926 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  628926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  628929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  628945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628948 */     GIR_RootConstrainSelectedInstOperands,
     /*  628949 */     // GIR_Coverage, 11555,
     /*  628949 */     GIR_EraseRootFromParent_Done,
     /*  628950 */   // Label 10120: @628950
     /*  628950 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(629025), // Rule ID 11558 //
     /*  628955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  628963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  628966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  628969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  628972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  628975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629001 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  629004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629023 */     GIR_RootConstrainSelectedInstOperands,
     /*  629024 */     // GIR_Coverage, 11558,
     /*  629024 */     GIR_EraseRootFromParent_Done,
     /*  629025 */   // Label 10121: @629025
     /*  629025 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629100), // Rule ID 11559 //
     /*  629030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  629041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  629044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  629047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  629050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  629079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629098 */     GIR_RootConstrainSelectedInstOperands,
     /*  629099 */     // GIR_Coverage, 11559,
     /*  629099 */     GIR_EraseRootFromParent_Done,
     /*  629100 */   // Label 10122: @629100
     /*  629100 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629175), // Rule ID 11562 //
     /*  629105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629151 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  629154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629173 */     GIR_RootConstrainSelectedInstOperands,
     /*  629174 */     // GIR_Coverage, 11562,
     /*  629174 */     GIR_EraseRootFromParent_Done,
     /*  629175 */   // Label 10123: @629175
     /*  629175 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629250), // Rule ID 11563 //
     /*  629180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  629191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  629194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  629197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  629200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629226 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  629229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629248 */     GIR_RootConstrainSelectedInstOperands,
     /*  629249 */     // GIR_Coverage, 11563,
     /*  629249 */     GIR_EraseRootFromParent_Done,
     /*  629250 */   // Label 10124: @629250
     /*  629250 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629325), // Rule ID 11566 //
     /*  629255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  629304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629323 */     GIR_RootConstrainSelectedInstOperands,
     /*  629324 */     // GIR_Coverage, 11566,
     /*  629324 */     GIR_EraseRootFromParent_Done,
     /*  629325 */   // Label 10125: @629325
     /*  629325 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(629400), // Rule ID 11567 //
     /*  629330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  629341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  629344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  629347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  629350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  629379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629398 */     GIR_RootConstrainSelectedInstOperands,
     /*  629399 */     // GIR_Coverage, 11567,
     /*  629399 */     GIR_EraseRootFromParent_Done,
     /*  629400 */   // Label 10126: @629400
     /*  629400 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(629475), // Rule ID 11570 //
     /*  629405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  629454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629473 */     GIR_RootConstrainSelectedInstOperands,
     /*  629474 */     // GIR_Coverage, 11570,
     /*  629474 */     GIR_EraseRootFromParent_Done,
     /*  629475 */   // Label 10127: @629475
     /*  629475 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(629550), // Rule ID 11571 //
     /*  629480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  629491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  629494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  629497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  629500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  629529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629548 */     GIR_RootConstrainSelectedInstOperands,
     /*  629549 */     // GIR_Coverage, 11571,
     /*  629549 */     GIR_EraseRootFromParent_Done,
     /*  629550 */   // Label 10128: @629550
     /*  629550 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(629625), // Rule ID 11574 //
     /*  629555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  629604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629623 */     GIR_RootConstrainSelectedInstOperands,
     /*  629624 */     // GIR_Coverage, 11574,
     /*  629624 */     GIR_EraseRootFromParent_Done,
     /*  629625 */   // Label 10129: @629625
     /*  629625 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(629700), // Rule ID 11575 //
     /*  629630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  629641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  629644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  629647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  629650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629676 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  629679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629698 */     GIR_RootConstrainSelectedInstOperands,
     /*  629699 */     // GIR_Coverage, 11575,
     /*  629699 */     GIR_EraseRootFromParent_Done,
     /*  629700 */   // Label 10130: @629700
     /*  629700 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(629775), // Rule ID 11578 //
     /*  629705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  629754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629773 */     GIR_RootConstrainSelectedInstOperands,
     /*  629774 */     // GIR_Coverage, 11578,
     /*  629774 */     GIR_EraseRootFromParent_Done,
     /*  629775 */   // Label 10131: @629775
     /*  629775 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(629850), // Rule ID 11579 //
     /*  629780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  629791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  629794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  629797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  629800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  629819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629826 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  629829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629848 */     GIR_RootConstrainSelectedInstOperands,
     /*  629849 */     // GIR_Coverage, 11579,
     /*  629849 */     GIR_EraseRootFromParent_Done,
     /*  629850 */   // Label 10132: @629850
     /*  629850 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(629925), // Rule ID 11582 //
     /*  629855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629901 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  629901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  629904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629923 */     GIR_RootConstrainSelectedInstOperands,
     /*  629924 */     // GIR_Coverage, 11582,
     /*  629924 */     GIR_EraseRootFromParent_Done,
     /*  629925 */   // Label 10133: @629925
     /*  629925 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(630000), // Rule ID 11583 //
     /*  629930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  629938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  629941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  629944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  629947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  629950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  629976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  629979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  629995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629998 */     GIR_RootConstrainSelectedInstOperands,
     /*  629999 */     // GIR_Coverage, 11583,
     /*  629999 */     GIR_EraseRootFromParent_Done,
     /*  630000 */   // Label 10134: @630000
     /*  630000 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630075), // Rule ID 11586 //
     /*  630005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  630054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630073 */     GIR_RootConstrainSelectedInstOperands,
     /*  630074 */     // GIR_Coverage, 11586,
     /*  630074 */     GIR_EraseRootFromParent_Done,
     /*  630075 */   // Label 10135: @630075
     /*  630075 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630150), // Rule ID 11587 //
     /*  630080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  630091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  630094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  630097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  630100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  630129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630148 */     GIR_RootConstrainSelectedInstOperands,
     /*  630149 */     // GIR_Coverage, 11587,
     /*  630149 */     GIR_EraseRootFromParent_Done,
     /*  630150 */   // Label 10136: @630150
     /*  630150 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630225), // Rule ID 11590 //
     /*  630155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630201 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  630204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630223 */     GIR_RootConstrainSelectedInstOperands,
     /*  630224 */     // GIR_Coverage, 11590,
     /*  630224 */     GIR_EraseRootFromParent_Done,
     /*  630225 */   // Label 10137: @630225
     /*  630225 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630300), // Rule ID 11591 //
     /*  630230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  630241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  630244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  630247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  630250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630276 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  630279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630298 */     GIR_RootConstrainSelectedInstOperands,
     /*  630299 */     // GIR_Coverage, 11591,
     /*  630299 */     GIR_EraseRootFromParent_Done,
     /*  630300 */   // Label 10138: @630300
     /*  630300 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630375), // Rule ID 11594 //
     /*  630305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  630354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630373 */     GIR_RootConstrainSelectedInstOperands,
     /*  630374 */     // GIR_Coverage, 11594,
     /*  630374 */     GIR_EraseRootFromParent_Done,
     /*  630375 */   // Label 10139: @630375
     /*  630375 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(630450), // Rule ID 11595 //
     /*  630380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  630391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  630394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  630397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  630400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  630429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630448 */     GIR_RootConstrainSelectedInstOperands,
     /*  630449 */     // GIR_Coverage, 11595,
     /*  630449 */     GIR_EraseRootFromParent_Done,
     /*  630450 */   // Label 10140: @630450
     /*  630450 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(630525), // Rule ID 11598 //
     /*  630455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630501 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  630504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630523 */     GIR_RootConstrainSelectedInstOperands,
     /*  630524 */     // GIR_Coverage, 11598,
     /*  630524 */     GIR_EraseRootFromParent_Done,
     /*  630525 */   // Label 10141: @630525
     /*  630525 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(630600), // Rule ID 11599 //
     /*  630530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  630541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  630544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  630547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  630550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  630569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  630579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630598 */     GIR_RootConstrainSelectedInstOperands,
     /*  630599 */     // GIR_Coverage, 11599,
     /*  630599 */     GIR_EraseRootFromParent_Done,
     /*  630600 */   // Label 10142: @630600
     /*  630600 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(630675), // Rule ID 11602 //
     /*  630605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  630654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630673 */     GIR_RootConstrainSelectedInstOperands,
     /*  630674 */     // GIR_Coverage, 11602,
     /*  630674 */     GIR_EraseRootFromParent_Done,
     /*  630675 */   // Label 10143: @630675
     /*  630675 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(630750), // Rule ID 11603 //
     /*  630680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  630691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  630694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  630697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  630729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630748 */     GIR_RootConstrainSelectedInstOperands,
     /*  630749 */     // GIR_Coverage, 11603,
     /*  630749 */     GIR_EraseRootFromParent_Done,
     /*  630750 */   // Label 10144: @630750
     /*  630750 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(630825), // Rule ID 11606 //
     /*  630755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630801 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  630804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630823 */     GIR_RootConstrainSelectedInstOperands,
     /*  630824 */     // GIR_Coverage, 11606,
     /*  630824 */     GIR_EraseRootFromParent_Done,
     /*  630825 */   // Label 10145: @630825
     /*  630825 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(630900), // Rule ID 11607 //
     /*  630830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  630841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  630844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  630847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  630879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630898 */     GIR_RootConstrainSelectedInstOperands,
     /*  630899 */     // GIR_Coverage, 11607,
     /*  630899 */     GIR_EraseRootFromParent_Done,
     /*  630900 */   // Label 10146: @630900
     /*  630900 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(630975), // Rule ID 11610 //
     /*  630905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  630954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630973 */     GIR_RootConstrainSelectedInstOperands,
     /*  630974 */     // GIR_Coverage, 11610,
     /*  630974 */     GIR_EraseRootFromParent_Done,
     /*  630975 */   // Label 10147: @630975
     /*  630975 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631050), // Rule ID 11611 //
     /*  630980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  630988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  630991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  630994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  630997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  631029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631048 */     GIR_RootConstrainSelectedInstOperands,
     /*  631049 */     // GIR_Coverage, 11611,
     /*  631049 */     GIR_EraseRootFromParent_Done,
     /*  631050 */   // Label 10148: @631050
     /*  631050 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631125), // Rule ID 11614 //
     /*  631055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631101 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  631104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631123 */     GIR_RootConstrainSelectedInstOperands,
     /*  631124 */     // GIR_Coverage, 11614,
     /*  631124 */     GIR_EraseRootFromParent_Done,
     /*  631125 */   // Label 10149: @631125
     /*  631125 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631200), // Rule ID 11615 //
     /*  631130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  631141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  631144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  631147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  631179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631198 */     GIR_RootConstrainSelectedInstOperands,
     /*  631199 */     // GIR_Coverage, 11615,
     /*  631199 */     GIR_EraseRootFromParent_Done,
     /*  631200 */   // Label 10150: @631200
     /*  631200 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631275), // Rule ID 11618 //
     /*  631205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  631254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631273 */     GIR_RootConstrainSelectedInstOperands,
     /*  631274 */     // GIR_Coverage, 11618,
     /*  631274 */     GIR_EraseRootFromParent_Done,
     /*  631275 */   // Label 10151: @631275
     /*  631275 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631350), // Rule ID 11619 //
     /*  631280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  631291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  631294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  631297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  631329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631348 */     GIR_RootConstrainSelectedInstOperands,
     /*  631349 */     // GIR_Coverage, 11619,
     /*  631349 */     GIR_EraseRootFromParent_Done,
     /*  631350 */   // Label 10152: @631350
     /*  631350 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(631425), // Rule ID 11622 //
     /*  631355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  631404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631423 */     GIR_RootConstrainSelectedInstOperands,
     /*  631424 */     // GIR_Coverage, 11622,
     /*  631424 */     GIR_EraseRootFromParent_Done,
     /*  631425 */   // Label 10153: @631425
     /*  631425 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(631500), // Rule ID 11623 //
     /*  631430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  631441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  631444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  631447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  631479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631498 */     GIR_RootConstrainSelectedInstOperands,
     /*  631499 */     // GIR_Coverage, 11623,
     /*  631499 */     GIR_EraseRootFromParent_Done,
     /*  631500 */   // Label 10154: @631500
     /*  631500 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(631575), // Rule ID 11626 //
     /*  631505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  631554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631573 */     GIR_RootConstrainSelectedInstOperands,
     /*  631574 */     // GIR_Coverage, 11626,
     /*  631574 */     GIR_EraseRootFromParent_Done,
     /*  631575 */   // Label 10155: @631575
     /*  631575 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(631650), // Rule ID 11627 //
     /*  631580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  631591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  631594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  631597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10817:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  631629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631648 */     GIR_RootConstrainSelectedInstOperands,
     /*  631649 */     // GIR_Coverage, 11627,
     /*  631649 */     GIR_EraseRootFromParent_Done,
     /*  631650 */   // Label 10156: @631650
     /*  631650 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(631725), // Rule ID 11630 //
     /*  631655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631701 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  631704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631723 */     GIR_RootConstrainSelectedInstOperands,
     /*  631724 */     // GIR_Coverage, 11630,
     /*  631724 */     GIR_EraseRootFromParent_Done,
     /*  631725 */   // Label 10157: @631725
     /*  631725 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(631800), // Rule ID 11631 //
     /*  631730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  631741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  631744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  631747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10817:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  631779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631798 */     GIR_RootConstrainSelectedInstOperands,
     /*  631799 */     // GIR_Coverage, 11631,
     /*  631799 */     GIR_EraseRootFromParent_Done,
     /*  631800 */   // Label 10158: @631800
     /*  631800 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(631875), // Rule ID 11634 //
     /*  631805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  631854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631873 */     GIR_RootConstrainSelectedInstOperands,
     /*  631874 */     // GIR_Coverage, 11634,
     /*  631874 */     GIR_EraseRootFromParent_Done,
     /*  631875 */   // Label 10159: @631875
     /*  631875 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(631950), // Rule ID 11635 //
     /*  631880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  631891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  631894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  631897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10817:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  631929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631948 */     GIR_RootConstrainSelectedInstOperands,
     /*  631949 */     // GIR_Coverage, 11635,
     /*  631949 */     GIR_EraseRootFromParent_Done,
     /*  631950 */   // Label 10160: @631950
     /*  631950 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(632025), // Rule ID 11638 //
     /*  631955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  631958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  631963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  631966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  631969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  631972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  631990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  632004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632023 */     GIR_RootConstrainSelectedInstOperands,
     /*  632024 */     // GIR_Coverage, 11638,
     /*  632024 */     GIR_EraseRootFromParent_Done,
     /*  632025 */   // Label 10161: @632025
     /*  632025 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632100), // Rule ID 11639 //
     /*  632030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  632041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  632044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  632047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10817:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  632079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632098 */     GIR_RootConstrainSelectedInstOperands,
     /*  632099 */     // GIR_Coverage, 11639,
     /*  632099 */     GIR_EraseRootFromParent_Done,
     /*  632100 */   // Label 10162: @632100
     /*  632100 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632175), // Rule ID 11642 //
     /*  632105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632151 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  632154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632173 */     GIR_RootConstrainSelectedInstOperands,
     /*  632174 */     // GIR_Coverage, 11642,
     /*  632174 */     GIR_EraseRootFromParent_Done,
     /*  632175 */   // Label 10163: @632175
     /*  632175 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632250), // Rule ID 11643 //
     /*  632180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  632191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  632194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  632197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  632229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632248 */     GIR_RootConstrainSelectedInstOperands,
     /*  632249 */     // GIR_Coverage, 11643,
     /*  632249 */     GIR_EraseRootFromParent_Done,
     /*  632250 */   // Label 10164: @632250
     /*  632250 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632325), // Rule ID 11646 //
     /*  632255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632301 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  632304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632323 */     GIR_RootConstrainSelectedInstOperands,
     /*  632324 */     // GIR_Coverage, 11646,
     /*  632324 */     GIR_EraseRootFromParent_Done,
     /*  632325 */   // Label 10165: @632325
     /*  632325 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(632400), // Rule ID 11647 //
     /*  632330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  632341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  632344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  632347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  632379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632398 */     GIR_RootConstrainSelectedInstOperands,
     /*  632399 */     // GIR_Coverage, 11647,
     /*  632399 */     GIR_EraseRootFromParent_Done,
     /*  632400 */   // Label 10166: @632400
     /*  632400 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(632475), // Rule ID 11650 //
     /*  632405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632451 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  632454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632473 */     GIR_RootConstrainSelectedInstOperands,
     /*  632474 */     // GIR_Coverage, 11650,
     /*  632474 */     GIR_EraseRootFromParent_Done,
     /*  632475 */   // Label 10167: @632475
     /*  632475 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(632550), // Rule ID 11651 //
     /*  632480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  632491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  632494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  632497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632526 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  632529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632548 */     GIR_RootConstrainSelectedInstOperands,
     /*  632549 */     // GIR_Coverage, 11651,
     /*  632549 */     GIR_EraseRootFromParent_Done,
     /*  632550 */   // Label 10168: @632550
     /*  632550 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(632625), // Rule ID 11654 //
     /*  632555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632601 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  632604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632623 */     GIR_RootConstrainSelectedInstOperands,
     /*  632624 */     // GIR_Coverage, 11654,
     /*  632624 */     GIR_EraseRootFromParent_Done,
     /*  632625 */   // Label 10169: @632625
     /*  632625 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(632700), // Rule ID 11655 //
     /*  632630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  632641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  632644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  632647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632676 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  632679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632698 */     GIR_RootConstrainSelectedInstOperands,
     /*  632699 */     // GIR_Coverage, 11655,
     /*  632699 */     GIR_EraseRootFromParent_Done,
     /*  632700 */   // Label 10170: @632700
     /*  632700 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(632775), // Rule ID 11658 //
     /*  632705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632751 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  632754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632773 */     GIR_RootConstrainSelectedInstOperands,
     /*  632774 */     // GIR_Coverage, 11658,
     /*  632774 */     GIR_EraseRootFromParent_Done,
     /*  632775 */   // Label 10171: @632775
     /*  632775 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(632850), // Rule ID 11659 //
     /*  632780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  632791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  632794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  632797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  632829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632848 */     GIR_RootConstrainSelectedInstOperands,
     /*  632849 */     // GIR_Coverage, 11659,
     /*  632849 */     GIR_EraseRootFromParent_Done,
     /*  632850 */   // Label 10172: @632850
     /*  632850 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(632925), // Rule ID 11662 //
     /*  632855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632901 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  632901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  632904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632923 */     GIR_RootConstrainSelectedInstOperands,
     /*  632924 */     // GIR_Coverage, 11662,
     /*  632924 */     GIR_EraseRootFromParent_Done,
     /*  632925 */   // Label 10173: @632925
     /*  632925 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(633000), // Rule ID 11663 //
     /*  632930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  632938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  632941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  632944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  632947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  632976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  632979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  632995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632998 */     GIR_RootConstrainSelectedInstOperands,
     /*  632999 */     // GIR_Coverage, 11663,
     /*  632999 */     GIR_EraseRootFromParent_Done,
     /*  633000 */   // Label 10174: @633000
     /*  633000 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633075), // Rule ID 11666 //
     /*  633005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  633054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633073 */     GIR_RootConstrainSelectedInstOperands,
     /*  633074 */     // GIR_Coverage, 11666,
     /*  633074 */     GIR_EraseRootFromParent_Done,
     /*  633075 */   // Label 10175: @633075
     /*  633075 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633150), // Rule ID 11667 //
     /*  633080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  633091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  633094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  633097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  633129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633148 */     GIR_RootConstrainSelectedInstOperands,
     /*  633149 */     // GIR_Coverage, 11667,
     /*  633149 */     GIR_EraseRootFromParent_Done,
     /*  633150 */   // Label 10176: @633150
     /*  633150 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633225), // Rule ID 11670 //
     /*  633155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  633204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633223 */     GIR_RootConstrainSelectedInstOperands,
     /*  633224 */     // GIR_Coverage, 11670,
     /*  633224 */     GIR_EraseRootFromParent_Done,
     /*  633225 */   // Label 10177: @633225
     /*  633225 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633300), // Rule ID 11671 //
     /*  633230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  633241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  633244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  633247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  633279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633298 */     GIR_RootConstrainSelectedInstOperands,
     /*  633299 */     // GIR_Coverage, 11671,
     /*  633299 */     GIR_EraseRootFromParent_Done,
     /*  633300 */   // Label 10178: @633300
     /*  633300 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633375), // Rule ID 11674 //
     /*  633305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  633354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633373 */     GIR_RootConstrainSelectedInstOperands,
     /*  633374 */     // GIR_Coverage, 11674,
     /*  633374 */     GIR_EraseRootFromParent_Done,
     /*  633375 */   // Label 10179: @633375
     /*  633375 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(633450), // Rule ID 11675 //
     /*  633380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  633391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  633394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  633397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  633429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633448 */     GIR_RootConstrainSelectedInstOperands,
     /*  633449 */     // GIR_Coverage, 11675,
     /*  633449 */     GIR_EraseRootFromParent_Done,
     /*  633450 */   // Label 10180: @633450
     /*  633450 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(633525), // Rule ID 11678 //
     /*  633455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633501 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  633504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633523 */     GIR_RootConstrainSelectedInstOperands,
     /*  633524 */     // GIR_Coverage, 11678,
     /*  633524 */     GIR_EraseRootFromParent_Done,
     /*  633525 */   // Label 10181: @633525
     /*  633525 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(633600), // Rule ID 11679 //
     /*  633530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  633541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  633544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  633547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  633565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10817:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  633579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633598 */     GIR_RootConstrainSelectedInstOperands,
     /*  633599 */     // GIR_Coverage, 11679,
     /*  633599 */     GIR_EraseRootFromParent_Done,
     /*  633600 */   // Label 10182: @633600
     /*  633600 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(633675), // Rule ID 11682 //
     /*  633605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  633654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633673 */     GIR_RootConstrainSelectedInstOperands,
     /*  633674 */     // GIR_Coverage, 11682,
     /*  633674 */     GIR_EraseRootFromParent_Done,
     /*  633675 */   // Label 10183: @633675
     /*  633675 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(633750), // Rule ID 11683 //
     /*  633680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  633691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  633694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  633697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  633715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10817:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  633729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633748 */     GIR_RootConstrainSelectedInstOperands,
     /*  633749 */     // GIR_Coverage, 11683,
     /*  633749 */     GIR_EraseRootFromParent_Done,
     /*  633750 */   // Label 10184: @633750
     /*  633750 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(633825), // Rule ID 11686 //
     /*  633755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  633775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  633804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633823 */     GIR_RootConstrainSelectedInstOperands,
     /*  633824 */     // GIR_Coverage, 11686,
     /*  633824 */     GIR_EraseRootFromParent_Done,
     /*  633825 */   // Label 10185: @633825
     /*  633825 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(633900), // Rule ID 11687 //
     /*  633830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  633838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  633841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  633844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  633847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  633850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  633865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  633869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633876 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10817:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  633879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633898 */     GIR_RootConstrainSelectedInstOperands,
     /*  633899 */     // GIR_Coverage, 11687,
     /*  633899 */     GIR_EraseRootFromParent_Done,
     /*  633900 */   // Label 10186: @633900
     /*  633900 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(633975), // Rule ID 11690 //
     /*  633905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  633925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  633954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633973 */     GIR_RootConstrainSelectedInstOperands,
     /*  633974 */     // GIR_Coverage, 11690,
     /*  633974 */     GIR_EraseRootFromParent_Done,
     /*  633975 */   // Label 10187: @633975
     /*  633975 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634050), // Rule ID 11691 //
     /*  633980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  633988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  633991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  633994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  633997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  634000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  634029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634048 */     GIR_RootConstrainSelectedInstOperands,
     /*  634049 */     // GIR_Coverage, 11691,
     /*  634049 */     GIR_EraseRootFromParent_Done,
     /*  634050 */   // Label 10188: @634050
     /*  634050 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634125), // Rule ID 11694 //
     /*  634055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634101 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  634104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634123 */     GIR_RootConstrainSelectedInstOperands,
     /*  634124 */     // GIR_Coverage, 11694,
     /*  634124 */     GIR_EraseRootFromParent_Done,
     /*  634125 */   // Label 10189: @634125
     /*  634125 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634200), // Rule ID 11695 //
     /*  634130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  634141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  634144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  634147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  634150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  634179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634198 */     GIR_RootConstrainSelectedInstOperands,
     /*  634199 */     // GIR_Coverage, 11695,
     /*  634199 */     GIR_EraseRootFromParent_Done,
     /*  634200 */   // Label 10190: @634200
     /*  634200 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634275), // Rule ID 11698 //
     /*  634205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634251 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  634254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634273 */     GIR_RootConstrainSelectedInstOperands,
     /*  634274 */     // GIR_Coverage, 11698,
     /*  634274 */     GIR_EraseRootFromParent_Done,
     /*  634275 */   // Label 10191: @634275
     /*  634275 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634350), // Rule ID 11699 //
     /*  634280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  634291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  634294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  634297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  634300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634326 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  634329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634348 */     GIR_RootConstrainSelectedInstOperands,
     /*  634349 */     // GIR_Coverage, 11699,
     /*  634349 */     GIR_EraseRootFromParent_Done,
     /*  634350 */   // Label 10192: @634350
     /*  634350 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(634425), // Rule ID 11702 //
     /*  634355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634401 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  634404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634423 */     GIR_RootConstrainSelectedInstOperands,
     /*  634424 */     // GIR_Coverage, 11702,
     /*  634424 */     GIR_EraseRootFromParent_Done,
     /*  634425 */   // Label 10193: @634425
     /*  634425 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(634500), // Rule ID 11703 //
     /*  634430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  634441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  634444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  634447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  634450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634476 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  634479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634498 */     GIR_RootConstrainSelectedInstOperands,
     /*  634499 */     // GIR_Coverage, 11703,
     /*  634499 */     GIR_EraseRootFromParent_Done,
     /*  634500 */   // Label 10194: @634500
     /*  634500 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(634575), // Rule ID 11706 //
     /*  634505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  634554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634573 */     GIR_RootConstrainSelectedInstOperands,
     /*  634574 */     // GIR_Coverage, 11706,
     /*  634574 */     GIR_EraseRootFromParent_Done,
     /*  634575 */   // Label 10195: @634575
     /*  634575 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(634650), // Rule ID 11707 //
     /*  634580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  634591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  634594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  634597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  634600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  634629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634648 */     GIR_RootConstrainSelectedInstOperands,
     /*  634649 */     // GIR_Coverage, 11707,
     /*  634649 */     GIR_EraseRootFromParent_Done,
     /*  634650 */   // Label 10196: @634650
     /*  634650 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(634725), // Rule ID 11710 //
     /*  634655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  634704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634723 */     GIR_RootConstrainSelectedInstOperands,
     /*  634724 */     // GIR_Coverage, 11710,
     /*  634724 */     GIR_EraseRootFromParent_Done,
     /*  634725 */   // Label 10197: @634725
     /*  634725 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(634800), // Rule ID 11711 //
     /*  634730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  634741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  634744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  634747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  634750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  634776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  634779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634798 */     GIR_RootConstrainSelectedInstOperands,
     /*  634799 */     // GIR_Coverage, 11711,
     /*  634799 */     GIR_EraseRootFromParent_Done,
     /*  634800 */   // Label 10198: @634800
     /*  634800 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(634875), // Rule ID 11714 //
     /*  634805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  634854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634873 */     GIR_RootConstrainSelectedInstOperands,
     /*  634874 */     // GIR_Coverage, 11714,
     /*  634874 */     GIR_EraseRootFromParent_Done,
     /*  634875 */   // Label 10199: @634875
     /*  634875 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(634950), // Rule ID 11715 //
     /*  634880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  634891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  634894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  634897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  634900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634926 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  634929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634948 */     GIR_RootConstrainSelectedInstOperands,
     /*  634949 */     // GIR_Coverage, 11715,
     /*  634949 */     GIR_EraseRootFromParent_Done,
     /*  634950 */   // Label 10200: @634950
     /*  634950 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(635025), // Rule ID 11718 //
     /*  634955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  634963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  634966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  634969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  634972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  634975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  634994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635001 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  635004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635023 */     GIR_RootConstrainSelectedInstOperands,
     /*  635024 */     // GIR_Coverage, 11718,
     /*  635024 */     GIR_EraseRootFromParent_Done,
     /*  635025 */   // Label 10201: @635025
     /*  635025 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635100), // Rule ID 11719 //
     /*  635030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  635041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  635044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  635047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  635050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635076 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  635079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635098 */     GIR_RootConstrainSelectedInstOperands,
     /*  635099 */     // GIR_Coverage, 11719,
     /*  635099 */     GIR_EraseRootFromParent_Done,
     /*  635100 */   // Label 10202: @635100
     /*  635100 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635175), // Rule ID 11722 //
     /*  635105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  635154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635173 */     GIR_RootConstrainSelectedInstOperands,
     /*  635174 */     // GIR_Coverage, 11722,
     /*  635174 */     GIR_EraseRootFromParent_Done,
     /*  635175 */   // Label 10203: @635175
     /*  635175 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635250), // Rule ID 11723 //
     /*  635180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  635191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  635194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  635197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  635200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  635229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635248 */     GIR_RootConstrainSelectedInstOperands,
     /*  635249 */     // GIR_Coverage, 11723,
     /*  635249 */     GIR_EraseRootFromParent_Done,
     /*  635250 */   // Label 10204: @635250
     /*  635250 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635325), // Rule ID 11726 //
     /*  635255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635301 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  635304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635323 */     GIR_RootConstrainSelectedInstOperands,
     /*  635324 */     // GIR_Coverage, 11726,
     /*  635324 */     GIR_EraseRootFromParent_Done,
     /*  635325 */   // Label 10205: @635325
     /*  635325 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(635400), // Rule ID 11727 //
     /*  635330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  635341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  635344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  635347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  635350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  635379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635398 */     GIR_RootConstrainSelectedInstOperands,
     /*  635399 */     // GIR_Coverage, 11727,
     /*  635399 */     GIR_EraseRootFromParent_Done,
     /*  635400 */   // Label 10206: @635400
     /*  635400 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(635475), // Rule ID 11730 //
     /*  635405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  635454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635473 */     GIR_RootConstrainSelectedInstOperands,
     /*  635474 */     // GIR_Coverage, 11730,
     /*  635474 */     GIR_EraseRootFromParent_Done,
     /*  635475 */   // Label 10207: @635475
     /*  635475 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(635550), // Rule ID 11731 //
     /*  635480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  635491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  635494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  635497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  635500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  635529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635548 */     GIR_RootConstrainSelectedInstOperands,
     /*  635549 */     // GIR_Coverage, 11731,
     /*  635549 */     GIR_EraseRootFromParent_Done,
     /*  635550 */   // Label 10208: @635550
     /*  635550 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(635625), // Rule ID 11734 //
     /*  635555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  635604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635623 */     GIR_RootConstrainSelectedInstOperands,
     /*  635624 */     // GIR_Coverage, 11734,
     /*  635624 */     GIR_EraseRootFromParent_Done,
     /*  635625 */   // Label 10209: @635625
     /*  635625 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(635700), // Rule ID 11735 //
     /*  635630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  635641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  635644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  635647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  635650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  635679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635698 */     GIR_RootConstrainSelectedInstOperands,
     /*  635699 */     // GIR_Coverage, 11735,
     /*  635699 */     GIR_EraseRootFromParent_Done,
     /*  635700 */   // Label 10210: @635700
     /*  635700 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(635775), // Rule ID 11738 //
     /*  635705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  635754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635773 */     GIR_RootConstrainSelectedInstOperands,
     /*  635774 */     // GIR_Coverage, 11738,
     /*  635774 */     GIR_EraseRootFromParent_Done,
     /*  635775 */   // Label 10211: @635775
     /*  635775 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(635850), // Rule ID 11739 //
     /*  635780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  635791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  635794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  635797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  635800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635826 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  635829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635848 */     GIR_RootConstrainSelectedInstOperands,
     /*  635849 */     // GIR_Coverage, 11739,
     /*  635849 */     GIR_EraseRootFromParent_Done,
     /*  635850 */   // Label 10212: @635850
     /*  635850 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(635925), // Rule ID 11742 //
     /*  635855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  635901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  635904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635923 */     GIR_RootConstrainSelectedInstOperands,
     /*  635924 */     // GIR_Coverage, 11742,
     /*  635924 */     GIR_EraseRootFromParent_Done,
     /*  635925 */   // Label 10213: @635925
     /*  635925 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(636000), // Rule ID 11743 //
     /*  635930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  635938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  635941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  635944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  635947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  635950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635976 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  635976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  635979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  635995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635998 */     GIR_RootConstrainSelectedInstOperands,
     /*  635999 */     // GIR_Coverage, 11743,
     /*  635999 */     GIR_EraseRootFromParent_Done,
     /*  636000 */   // Label 10214: @636000
     /*  636000 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636075), // Rule ID 11746 //
     /*  636005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  636054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636073 */     GIR_RootConstrainSelectedInstOperands,
     /*  636074 */     // GIR_Coverage, 11746,
     /*  636074 */     GIR_EraseRootFromParent_Done,
     /*  636075 */   // Label 10215: @636075
     /*  636075 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636150), // Rule ID 11747 //
     /*  636080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  636091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  636094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  636097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  636100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  636129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636148 */     GIR_RootConstrainSelectedInstOperands,
     /*  636149 */     // GIR_Coverage, 11747,
     /*  636149 */     GIR_EraseRootFromParent_Done,
     /*  636150 */   // Label 10216: @636150
     /*  636150 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636225), // Rule ID 11750 //
     /*  636155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636201 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  636204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636223 */     GIR_RootConstrainSelectedInstOperands,
     /*  636224 */     // GIR_Coverage, 11750,
     /*  636224 */     GIR_EraseRootFromParent_Done,
     /*  636225 */   // Label 10217: @636225
     /*  636225 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636300), // Rule ID 11751 //
     /*  636230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  636241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  636244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  636247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  636250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636276 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  636279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636298 */     GIR_RootConstrainSelectedInstOperands,
     /*  636299 */     // GIR_Coverage, 11751,
     /*  636299 */     GIR_EraseRootFromParent_Done,
     /*  636300 */   // Label 10218: @636300
     /*  636300 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636375), // Rule ID 11754 //
     /*  636305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636351 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  636354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636373 */     GIR_RootConstrainSelectedInstOperands,
     /*  636374 */     // GIR_Coverage, 11754,
     /*  636374 */     GIR_EraseRootFromParent_Done,
     /*  636375 */   // Label 10219: @636375
     /*  636375 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(636450), // Rule ID 11755 //
     /*  636380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  636391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  636394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  636397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  636400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  636429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636448 */     GIR_RootConstrainSelectedInstOperands,
     /*  636449 */     // GIR_Coverage, 11755,
     /*  636449 */     GIR_EraseRootFromParent_Done,
     /*  636450 */   // Label 10220: @636450
     /*  636450 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(636525), // Rule ID 11758 //
     /*  636455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  636504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636523 */     GIR_RootConstrainSelectedInstOperands,
     /*  636524 */     // GIR_Coverage, 11758,
     /*  636524 */     GIR_EraseRootFromParent_Done,
     /*  636525 */   // Label 10221: @636525
     /*  636525 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(636600), // Rule ID 11759 //
     /*  636530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  636541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  636544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  636547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  636550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636576 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  636579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636598 */     GIR_RootConstrainSelectedInstOperands,
     /*  636599 */     // GIR_Coverage, 11759,
     /*  636599 */     GIR_EraseRootFromParent_Done,
     /*  636600 */   // Label 10222: @636600
     /*  636600 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(636675), // Rule ID 11762 //
     /*  636605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  636654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636673 */     GIR_RootConstrainSelectedInstOperands,
     /*  636674 */     // GIR_Coverage, 11762,
     /*  636674 */     GIR_EraseRootFromParent_Done,
     /*  636675 */   // Label 10223: @636675
     /*  636675 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(636750), // Rule ID 11763 //
     /*  636680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  636691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  636694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  636697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  636700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  636719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636726 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  636729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636748 */     GIR_RootConstrainSelectedInstOperands,
     /*  636749 */     // GIR_Coverage, 11763,
     /*  636749 */     GIR_EraseRootFromParent_Done,
     /*  636750 */   // Label 10224: @636750
     /*  636750 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(636825), // Rule ID 11766 //
     /*  636755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  636804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636823 */     GIR_RootConstrainSelectedInstOperands,
     /*  636824 */     // GIR_Coverage, 11766,
     /*  636824 */     GIR_EraseRootFromParent_Done,
     /*  636825 */   // Label 10225: @636825
     /*  636825 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(636900), // Rule ID 11767 //
     /*  636830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  636841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  636844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  636847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  636850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  636869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  636876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  636879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636898 */     GIR_RootConstrainSelectedInstOperands,
     /*  636899 */     // GIR_Coverage, 11767,
     /*  636899 */     GIR_EraseRootFromParent_Done,
     /*  636900 */   // Label 10226: @636900
     /*  636900 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(636975), // Rule ID 11770 //
     /*  636905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  636908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  636925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  636944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  636951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  636954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  636970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636973 */     GIR_RootConstrainSelectedInstOperands,
     /*  636974 */     // GIR_Coverage, 11770,
     /*  636974 */     GIR_EraseRootFromParent_Done,
     /*  636975 */   // Label 10227: @636975
     /*  636975 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637050), // Rule ID 11771 //
     /*  636980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  636983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  636988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  636991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  636994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  636997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  637000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  637029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637048 */     GIR_RootConstrainSelectedInstOperands,
     /*  637049 */     // GIR_Coverage, 11771,
     /*  637049 */     GIR_EraseRootFromParent_Done,
     /*  637050 */   // Label 10228: @637050
     /*  637050 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637125), // Rule ID 11774 //
     /*  637055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  637104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637123 */     GIR_RootConstrainSelectedInstOperands,
     /*  637124 */     // GIR_Coverage, 11774,
     /*  637124 */     GIR_EraseRootFromParent_Done,
     /*  637125 */   // Label 10229: @637125
     /*  637125 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637200), // Rule ID 11775 //
     /*  637130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  637141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  637144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  637147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  637150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  637179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637198 */     GIR_RootConstrainSelectedInstOperands,
     /*  637199 */     // GIR_Coverage, 11775,
     /*  637199 */     GIR_EraseRootFromParent_Done,
     /*  637200 */   // Label 10230: @637200
     /*  637200 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637275), // Rule ID 11778 //
     /*  637205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  637254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637273 */     GIR_RootConstrainSelectedInstOperands,
     /*  637274 */     // GIR_Coverage, 11778,
     /*  637274 */     GIR_EraseRootFromParent_Done,
     /*  637275 */   // Label 10231: @637275
     /*  637275 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637350), // Rule ID 11779 //
     /*  637280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  637291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  637294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  637297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  637329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637348 */     GIR_RootConstrainSelectedInstOperands,
     /*  637349 */     // GIR_Coverage, 11779,
     /*  637349 */     GIR_EraseRootFromParent_Done,
     /*  637350 */   // Label 10232: @637350
     /*  637350 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(637425), // Rule ID 11782 //
     /*  637355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637401 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  637404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637423 */     GIR_RootConstrainSelectedInstOperands,
     /*  637424 */     // GIR_Coverage, 11782,
     /*  637424 */     GIR_EraseRootFromParent_Done,
     /*  637425 */   // Label 10233: @637425
     /*  637425 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(637500), // Rule ID 11783 //
     /*  637430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  637441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  637444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  637447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  637479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637498 */     GIR_RootConstrainSelectedInstOperands,
     /*  637499 */     // GIR_Coverage, 11783,
     /*  637499 */     GIR_EraseRootFromParent_Done,
     /*  637500 */   // Label 10234: @637500
     /*  637500 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(637575), // Rule ID 11786 //
     /*  637505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  637554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637573 */     GIR_RootConstrainSelectedInstOperands,
     /*  637574 */     // GIR_Coverage, 11786,
     /*  637574 */     GIR_EraseRootFromParent_Done,
     /*  637575 */   // Label 10235: @637575
     /*  637575 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(637650), // Rule ID 11787 //
     /*  637580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  637591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  637594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  637597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637626 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  637629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637648 */     GIR_RootConstrainSelectedInstOperands,
     /*  637649 */     // GIR_Coverage, 11787,
     /*  637649 */     GIR_EraseRootFromParent_Done,
     /*  637650 */   // Label 10236: @637650
     /*  637650 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(637725), // Rule ID 11790 //
     /*  637655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637701 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  637704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637723 */     GIR_RootConstrainSelectedInstOperands,
     /*  637724 */     // GIR_Coverage, 11790,
     /*  637724 */     GIR_EraseRootFromParent_Done,
     /*  637725 */   // Label 10237: @637725
     /*  637725 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(637800), // Rule ID 11791 //
     /*  637730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  637741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  637744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  637747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  637779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637798 */     GIR_RootConstrainSelectedInstOperands,
     /*  637799 */     // GIR_Coverage, 11791,
     /*  637799 */     GIR_EraseRootFromParent_Done,
     /*  637800 */   // Label 10238: @637800
     /*  637800 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(637875), // Rule ID 11794 //
     /*  637805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  637854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637873 */     GIR_RootConstrainSelectedInstOperands,
     /*  637874 */     // GIR_Coverage, 11794,
     /*  637874 */     GIR_EraseRootFromParent_Done,
     /*  637875 */   // Label 10239: @637875
     /*  637875 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(637950), // Rule ID 11795 //
     /*  637880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  637891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  637894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  637897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  637929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637948 */     GIR_RootConstrainSelectedInstOperands,
     /*  637949 */     // GIR_Coverage, 11795,
     /*  637949 */     GIR_EraseRootFromParent_Done,
     /*  637950 */   // Label 10240: @637950
     /*  637950 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(638025), // Rule ID 11798 //
     /*  637955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  637963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  637966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  637969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  637972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638001 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  638004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638023 */     GIR_RootConstrainSelectedInstOperands,
     /*  638024 */     // GIR_Coverage, 11798,
     /*  638024 */     GIR_EraseRootFromParent_Done,
     /*  638025 */   // Label 10241: @638025
     /*  638025 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638100), // Rule ID 11799 //
     /*  638030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  638041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  638044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  638047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  638079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638098 */     GIR_RootConstrainSelectedInstOperands,
     /*  638099 */     // GIR_Coverage, 11799,
     /*  638099 */     GIR_EraseRootFromParent_Done,
     /*  638100 */   // Label 10242: @638100
     /*  638100 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638175), // Rule ID 11802 //
     /*  638105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638151 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  638154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638173 */     GIR_RootConstrainSelectedInstOperands,
     /*  638174 */     // GIR_Coverage, 11802,
     /*  638174 */     GIR_EraseRootFromParent_Done,
     /*  638175 */   // Label 10243: @638175
     /*  638175 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638250), // Rule ID 11803 //
     /*  638180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  638191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  638194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  638197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10815:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  638229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638248 */     GIR_RootConstrainSelectedInstOperands,
     /*  638249 */     // GIR_Coverage, 11803,
     /*  638249 */     GIR_EraseRootFromParent_Done,
     /*  638250 */   // Label 10244: @638250
     /*  638250 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638325), // Rule ID 11806 //
     /*  638255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  638304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638323 */     GIR_RootConstrainSelectedInstOperands,
     /*  638324 */     // GIR_Coverage, 11806,
     /*  638324 */     GIR_EraseRootFromParent_Done,
     /*  638325 */   // Label 10245: @638325
     /*  638325 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(638400), // Rule ID 11807 //
     /*  638330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  638341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  638344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  638347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10815:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  638379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638398 */     GIR_RootConstrainSelectedInstOperands,
     /*  638399 */     // GIR_Coverage, 11807,
     /*  638399 */     GIR_EraseRootFromParent_Done,
     /*  638400 */   // Label 10246: @638400
     /*  638400 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(638475), // Rule ID 11810 //
     /*  638405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  638454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638473 */     GIR_RootConstrainSelectedInstOperands,
     /*  638474 */     // GIR_Coverage, 11810,
     /*  638474 */     GIR_EraseRootFromParent_Done,
     /*  638475 */   // Label 10247: @638475
     /*  638475 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(638550), // Rule ID 11811 //
     /*  638480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  638491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  638494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  638497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10815:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  638529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638548 */     GIR_RootConstrainSelectedInstOperands,
     /*  638549 */     // GIR_Coverage, 11811,
     /*  638549 */     GIR_EraseRootFromParent_Done,
     /*  638550 */   // Label 10248: @638550
     /*  638550 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(638625), // Rule ID 11814 //
     /*  638555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638601 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  638604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638623 */     GIR_RootConstrainSelectedInstOperands,
     /*  638624 */     // GIR_Coverage, 11814,
     /*  638624 */     GIR_EraseRootFromParent_Done,
     /*  638625 */   // Label 10249: @638625
     /*  638625 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(638700), // Rule ID 11815 //
     /*  638630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  638641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  638644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  638647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  638665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10815:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  638679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638698 */     GIR_RootConstrainSelectedInstOperands,
     /*  638699 */     // GIR_Coverage, 11815,
     /*  638699 */     GIR_EraseRootFromParent_Done,
     /*  638700 */   // Label 10250: @638700
     /*  638700 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(638775), // Rule ID 11818 //
     /*  638705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  638754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638773 */     GIR_RootConstrainSelectedInstOperands,
     /*  638774 */     // GIR_Coverage, 11818,
     /*  638774 */     GIR_EraseRootFromParent_Done,
     /*  638775 */   // Label 10251: @638775
     /*  638775 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(638850), // Rule ID 11819 //
     /*  638780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  638791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  638794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  638797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  638829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638848 */     GIR_RootConstrainSelectedInstOperands,
     /*  638849 */     // GIR_Coverage, 11819,
     /*  638849 */     GIR_EraseRootFromParent_Done,
     /*  638850 */   // Label 10252: @638850
     /*  638850 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(638925), // Rule ID 11822 //
     /*  638855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638901 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  638901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  638904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638923 */     GIR_RootConstrainSelectedInstOperands,
     /*  638924 */     // GIR_Coverage, 11822,
     /*  638924 */     GIR_EraseRootFromParent_Done,
     /*  638925 */   // Label 10253: @638925
     /*  638925 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(639000), // Rule ID 11823 //
     /*  638930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  638938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  638941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  638944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  638947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  638976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  638979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  638995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638998 */     GIR_RootConstrainSelectedInstOperands,
     /*  638999 */     // GIR_Coverage, 11823,
     /*  638999 */     GIR_EraseRootFromParent_Done,
     /*  639000 */   // Label 10254: @639000
     /*  639000 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639075), // Rule ID 11826 //
     /*  639005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  639054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639073 */     GIR_RootConstrainSelectedInstOperands,
     /*  639074 */     // GIR_Coverage, 11826,
     /*  639074 */     GIR_EraseRootFromParent_Done,
     /*  639075 */   // Label 10255: @639075
     /*  639075 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639150), // Rule ID 11827 //
     /*  639080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  639091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  639094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  639097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639126 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  639129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639148 */     GIR_RootConstrainSelectedInstOperands,
     /*  639149 */     // GIR_Coverage, 11827,
     /*  639149 */     GIR_EraseRootFromParent_Done,
     /*  639150 */   // Label 10256: @639150
     /*  639150 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639225), // Rule ID 11830 //
     /*  639155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  639204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639223 */     GIR_RootConstrainSelectedInstOperands,
     /*  639224 */     // GIR_Coverage, 11830,
     /*  639224 */     GIR_EraseRootFromParent_Done,
     /*  639225 */   // Label 10257: @639225
     /*  639225 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639300), // Rule ID 11831 //
     /*  639230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  639241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  639244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  639247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  639279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639298 */     GIR_RootConstrainSelectedInstOperands,
     /*  639299 */     // GIR_Coverage, 11831,
     /*  639299 */     GIR_EraseRootFromParent_Done,
     /*  639300 */   // Label 10258: @639300
     /*  639300 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639375), // Rule ID 11834 //
     /*  639305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  639354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639373 */     GIR_RootConstrainSelectedInstOperands,
     /*  639374 */     // GIR_Coverage, 11834,
     /*  639374 */     GIR_EraseRootFromParent_Done,
     /*  639375 */   // Label 10259: @639375
     /*  639375 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(639450), // Rule ID 11835 //
     /*  639380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  639391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  639394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  639397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  639429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639448 */     GIR_RootConstrainSelectedInstOperands,
     /*  639449 */     // GIR_Coverage, 11835,
     /*  639449 */     GIR_EraseRootFromParent_Done,
     /*  639450 */   // Label 10260: @639450
     /*  639450 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(639525), // Rule ID 11838 //
     /*  639455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  639504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639523 */     GIR_RootConstrainSelectedInstOperands,
     /*  639524 */     // GIR_Coverage, 11838,
     /*  639524 */     GIR_EraseRootFromParent_Done,
     /*  639525 */   // Label 10261: @639525
     /*  639525 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(639600), // Rule ID 11839 //
     /*  639530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  639541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  639544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  639547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  639579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639598 */     GIR_RootConstrainSelectedInstOperands,
     /*  639599 */     // GIR_Coverage, 11839,
     /*  639599 */     GIR_EraseRootFromParent_Done,
     /*  639600 */   // Label 10262: @639600
     /*  639600 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(639675), // Rule ID 11842 //
     /*  639605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  639654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639673 */     GIR_RootConstrainSelectedInstOperands,
     /*  639674 */     // GIR_Coverage, 11842,
     /*  639674 */     GIR_EraseRootFromParent_Done,
     /*  639675 */   // Label 10263: @639675
     /*  639675 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(639750), // Rule ID 11843 //
     /*  639680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  639691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  639694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  639697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  639715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  639729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639748 */     GIR_RootConstrainSelectedInstOperands,
     /*  639749 */     // GIR_Coverage, 11843,
     /*  639749 */     GIR_EraseRootFromParent_Done,
     /*  639750 */   // Label 10264: @639750
     /*  639750 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(639825), // Rule ID 11846 //
     /*  639755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  639804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639823 */     GIR_RootConstrainSelectedInstOperands,
     /*  639824 */     // GIR_Coverage, 11846,
     /*  639824 */     GIR_EraseRootFromParent_Done,
     /*  639825 */   // Label 10265: @639825
     /*  639825 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(639900), // Rule ID 11847 //
     /*  639830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  639841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  639844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  639847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  639865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  639879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639898 */     GIR_RootConstrainSelectedInstOperands,
     /*  639899 */     // GIR_Coverage, 11847,
     /*  639899 */     GIR_EraseRootFromParent_Done,
     /*  639900 */   // Label 10266: @639900
     /*  639900 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(639975), // Rule ID 11850 //
     /*  639905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  639925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  639954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639973 */     GIR_RootConstrainSelectedInstOperands,
     /*  639974 */     // GIR_Coverage, 11850,
     /*  639974 */     GIR_EraseRootFromParent_Done,
     /*  639975 */   // Label 10267: @639975
     /*  639975 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640050), // Rule ID 11851 //
     /*  639980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  639988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  639991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  639994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  639997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  640029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640048 */     GIR_RootConstrainSelectedInstOperands,
     /*  640049 */     // GIR_Coverage, 11851,
     /*  640049 */     GIR_EraseRootFromParent_Done,
     /*  640050 */   // Label 10268: @640050
     /*  640050 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640125), // Rule ID 11854 //
     /*  640055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  640104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640123 */     GIR_RootConstrainSelectedInstOperands,
     /*  640124 */     // GIR_Coverage, 11854,
     /*  640124 */     GIR_EraseRootFromParent_Done,
     /*  640125 */   // Label 10269: @640125
     /*  640125 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640200), // Rule ID 11855 //
     /*  640130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  640141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  640144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  640147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640176 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10815:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  640179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640198 */     GIR_RootConstrainSelectedInstOperands,
     /*  640199 */     // GIR_Coverage, 11855,
     /*  640199 */     GIR_EraseRootFromParent_Done,
     /*  640200 */   // Label 10270: @640200
     /*  640200 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640275), // Rule ID 11858 //
     /*  640205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  640254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640273 */     GIR_RootConstrainSelectedInstOperands,
     /*  640274 */     // GIR_Coverage, 11858,
     /*  640274 */     GIR_EraseRootFromParent_Done,
     /*  640275 */   // Label 10271: @640275
     /*  640275 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640350), // Rule ID 11859 //
     /*  640280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  640291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  640294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  640297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10815:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  640329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640348 */     GIR_RootConstrainSelectedInstOperands,
     /*  640349 */     // GIR_Coverage, 11859,
     /*  640349 */     GIR_EraseRootFromParent_Done,
     /*  640350 */   // Label 10272: @640350
     /*  640350 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(640425), // Rule ID 11862 //
     /*  640355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  640375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  640404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640423 */     GIR_RootConstrainSelectedInstOperands,
     /*  640424 */     // GIR_Coverage, 11862,
     /*  640424 */     GIR_EraseRootFromParent_Done,
     /*  640425 */   // Label 10273: @640425
     /*  640425 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(640500), // Rule ID 11863 //
     /*  640430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  640438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  640441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  640444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  640447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  640450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  640469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640476 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10815:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  640479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640498 */     GIR_RootConstrainSelectedInstOperands,
     /*  640499 */     // GIR_Coverage, 11863,
     /*  640499 */     GIR_EraseRootFromParent_Done,
     /*  640500 */   // Label 10274: @640500
     /*  640500 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(640575), // Rule ID 11866 //
     /*  640505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  640554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640573 */     GIR_RootConstrainSelectedInstOperands,
     /*  640574 */     // GIR_Coverage, 11866,
     /*  640574 */     GIR_EraseRootFromParent_Done,
     /*  640575 */   // Label 10275: @640575
     /*  640575 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(640650), // Rule ID 11867 //
     /*  640580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  640591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  640594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  640597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  640600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  640629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640648 */     GIR_RootConstrainSelectedInstOperands,
     /*  640649 */     // GIR_Coverage, 11867,
     /*  640649 */     GIR_EraseRootFromParent_Done,
     /*  640650 */   // Label 10276: @640650
     /*  640650 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(640725), // Rule ID 11870 //
     /*  640655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640701 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  640704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640723 */     GIR_RootConstrainSelectedInstOperands,
     /*  640724 */     // GIR_Coverage, 11870,
     /*  640724 */     GIR_EraseRootFromParent_Done,
     /*  640725 */   // Label 10277: @640725
     /*  640725 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(640800), // Rule ID 11871 //
     /*  640730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  640741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  640744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  640747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  640750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  640779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640798 */     GIR_RootConstrainSelectedInstOperands,
     /*  640799 */     // GIR_Coverage, 11871,
     /*  640799 */     GIR_EraseRootFromParent_Done,
     /*  640800 */   // Label 10278: @640800
     /*  640800 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(640875), // Rule ID 11874 //
     /*  640805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  640854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640873 */     GIR_RootConstrainSelectedInstOperands,
     /*  640874 */     // GIR_Coverage, 11874,
     /*  640874 */     GIR_EraseRootFromParent_Done,
     /*  640875 */   // Label 10279: @640875
     /*  640875 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(640950), // Rule ID 11875 //
     /*  640880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  640891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  640894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  640897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  640900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  640929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640948 */     GIR_RootConstrainSelectedInstOperands,
     /*  640949 */     // GIR_Coverage, 11875,
     /*  640949 */     GIR_EraseRootFromParent_Done,
     /*  640950 */   // Label 10280: @640950
     /*  640950 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(641025), // Rule ID 11878 //
     /*  640955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  640963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  640966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  640969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  640972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  640975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  641004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641023 */     GIR_RootConstrainSelectedInstOperands,
     /*  641024 */     // GIR_Coverage, 11878,
     /*  641024 */     GIR_EraseRootFromParent_Done,
     /*  641025 */   // Label 10281: @641025
     /*  641025 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641100), // Rule ID 11879 //
     /*  641030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  641041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  641044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  641047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  641050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  641079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641098 */     GIR_RootConstrainSelectedInstOperands,
     /*  641099 */     // GIR_Coverage, 11879,
     /*  641099 */     GIR_EraseRootFromParent_Done,
     /*  641100 */   // Label 10282: @641100
     /*  641100 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641175), // Rule ID 11882 //
     /*  641105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  641154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641173 */     GIR_RootConstrainSelectedInstOperands,
     /*  641174 */     // GIR_Coverage, 11882,
     /*  641174 */     GIR_EraseRootFromParent_Done,
     /*  641175 */   // Label 10283: @641175
     /*  641175 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641250), // Rule ID 11883 //
     /*  641180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  641191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  641194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  641197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  641200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  641229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641248 */     GIR_RootConstrainSelectedInstOperands,
     /*  641249 */     // GIR_Coverage, 11883,
     /*  641249 */     GIR_EraseRootFromParent_Done,
     /*  641250 */   // Label 10284: @641250
     /*  641250 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641325), // Rule ID 11886 //
     /*  641255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  641304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641323 */     GIR_RootConstrainSelectedInstOperands,
     /*  641324 */     // GIR_Coverage, 11886,
     /*  641324 */     GIR_EraseRootFromParent_Done,
     /*  641325 */   // Label 10285: @641325
     /*  641325 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(641400), // Rule ID 11887 //
     /*  641330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  641341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  641344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  641347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  641350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  641379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641398 */     GIR_RootConstrainSelectedInstOperands,
     /*  641399 */     // GIR_Coverage, 11887,
     /*  641399 */     GIR_EraseRootFromParent_Done,
     /*  641400 */   // Label 10286: @641400
     /*  641400 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(641475), // Rule ID 11890 //
     /*  641405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  641451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  641454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641473 */     GIR_RootConstrainSelectedInstOperands,
     /*  641474 */     // GIR_Coverage, 11890,
     /*  641474 */     GIR_EraseRootFromParent_Done,
     /*  641475 */   // Label 10287: @641475
     /*  641475 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(641550), // Rule ID 11891 //
     /*  641480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  641491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  641494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  641497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  641500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  641529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641548 */     GIR_RootConstrainSelectedInstOperands,
     /*  641549 */     // GIR_Coverage, 11891,
     /*  641549 */     GIR_EraseRootFromParent_Done,
     /*  641550 */   // Label 10288: @641550
     /*  641550 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(641625), // Rule ID 11894 //
     /*  641555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  641604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641623 */     GIR_RootConstrainSelectedInstOperands,
     /*  641624 */     // GIR_Coverage, 11894,
     /*  641624 */     GIR_EraseRootFromParent_Done,
     /*  641625 */   // Label 10289: @641625
     /*  641625 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(641700), // Rule ID 11895 //
     /*  641630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  641641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  641644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  641647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  641650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641676 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  641679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641698 */     GIR_RootConstrainSelectedInstOperands,
     /*  641699 */     // GIR_Coverage, 11895,
     /*  641699 */     GIR_EraseRootFromParent_Done,
     /*  641700 */   // Label 10290: @641700
     /*  641700 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(641775), // Rule ID 11898 //
     /*  641705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641751 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  641754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641773 */     GIR_RootConstrainSelectedInstOperands,
     /*  641774 */     // GIR_Coverage, 11898,
     /*  641774 */     GIR_EraseRootFromParent_Done,
     /*  641775 */   // Label 10291: @641775
     /*  641775 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(641850), // Rule ID 11899 //
     /*  641780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  641791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  641794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  641797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  641800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  641829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641848 */     GIR_RootConstrainSelectedInstOperands,
     /*  641849 */     // GIR_Coverage, 11899,
     /*  641849 */     GIR_EraseRootFromParent_Done,
     /*  641850 */   // Label 10292: @641850
     /*  641850 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(641925), // Rule ID 11902 //
     /*  641855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  641901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  641904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641923 */     GIR_RootConstrainSelectedInstOperands,
     /*  641924 */     // GIR_Coverage, 11902,
     /*  641924 */     GIR_EraseRootFromParent_Done,
     /*  641925 */   // Label 10293: @641925
     /*  641925 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(642000), // Rule ID 11903 //
     /*  641930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  641933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  641938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  641941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  641944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  641947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  641950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  641969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  641976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  641979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  641995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641998 */     GIR_RootConstrainSelectedInstOperands,
     /*  641999 */     // GIR_Coverage, 11903,
     /*  641999 */     GIR_EraseRootFromParent_Done,
     /*  642000 */   // Label 10294: @642000
     /*  642000 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642075), // Rule ID 11906 //
     /*  642005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  642054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642073 */     GIR_RootConstrainSelectedInstOperands,
     /*  642074 */     // GIR_Coverage, 11906,
     /*  642074 */     GIR_EraseRootFromParent_Done,
     /*  642075 */   // Label 10295: @642075
     /*  642075 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642150), // Rule ID 11907 //
     /*  642080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  642091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  642094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  642097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  642100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642126 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  642129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642148 */     GIR_RootConstrainSelectedInstOperands,
     /*  642149 */     // GIR_Coverage, 11907,
     /*  642149 */     GIR_EraseRootFromParent_Done,
     /*  642150 */   // Label 10296: @642150
     /*  642150 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642225), // Rule ID 11910 //
     /*  642155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  642204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642223 */     GIR_RootConstrainSelectedInstOperands,
     /*  642224 */     // GIR_Coverage, 11910,
     /*  642224 */     GIR_EraseRootFromParent_Done,
     /*  642225 */   // Label 10297: @642225
     /*  642225 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642300), // Rule ID 11911 //
     /*  642230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  642241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  642244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  642247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  642250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  642279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642298 */     GIR_RootConstrainSelectedInstOperands,
     /*  642299 */     // GIR_Coverage, 11911,
     /*  642299 */     GIR_EraseRootFromParent_Done,
     /*  642300 */   // Label 10298: @642300
     /*  642300 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642375), // Rule ID 11914 //
     /*  642305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  642354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642373 */     GIR_RootConstrainSelectedInstOperands,
     /*  642374 */     // GIR_Coverage, 11914,
     /*  642374 */     GIR_EraseRootFromParent_Done,
     /*  642375 */   // Label 10299: @642375
     /*  642375 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(642450), // Rule ID 11915 //
     /*  642380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  642391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  642394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  642397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  642400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  642429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642448 */     GIR_RootConstrainSelectedInstOperands,
     /*  642449 */     // GIR_Coverage, 11915,
     /*  642449 */     GIR_EraseRootFromParent_Done,
     /*  642450 */   // Label 10300: @642450
     /*  642450 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(642525), // Rule ID 11918 //
     /*  642455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642501 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  642504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642523 */     GIR_RootConstrainSelectedInstOperands,
     /*  642524 */     // GIR_Coverage, 11918,
     /*  642524 */     GIR_EraseRootFromParent_Done,
     /*  642525 */   // Label 10301: @642525
     /*  642525 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(642600), // Rule ID 11919 //
     /*  642530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  642541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  642544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  642547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  642550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642576 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  642579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642598 */     GIR_RootConstrainSelectedInstOperands,
     /*  642599 */     // GIR_Coverage, 11919,
     /*  642599 */     GIR_EraseRootFromParent_Done,
     /*  642600 */   // Label 10302: @642600
     /*  642600 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(642675), // Rule ID 11922 //
     /*  642605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  642654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642673 */     GIR_RootConstrainSelectedInstOperands,
     /*  642674 */     // GIR_Coverage, 11922,
     /*  642674 */     GIR_EraseRootFromParent_Done,
     /*  642675 */   // Label 10303: @642675
     /*  642675 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(642750), // Rule ID 11923 //
     /*  642680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  642691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  642694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  642697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  642700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642726 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  642729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642748 */     GIR_RootConstrainSelectedInstOperands,
     /*  642749 */     // GIR_Coverage, 11923,
     /*  642749 */     GIR_EraseRootFromParent_Done,
     /*  642750 */   // Label 10304: @642750
     /*  642750 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(642825), // Rule ID 11926 //
     /*  642755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642801 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  642804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642823 */     GIR_RootConstrainSelectedInstOperands,
     /*  642824 */     // GIR_Coverage, 11926,
     /*  642824 */     GIR_EraseRootFromParent_Done,
     /*  642825 */   // Label 10305: @642825
     /*  642825 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(642900), // Rule ID 11927 //
     /*  642830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  642841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  642844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  642847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  642850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  642879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642898 */     GIR_RootConstrainSelectedInstOperands,
     /*  642899 */     // GIR_Coverage, 11927,
     /*  642899 */     GIR_EraseRootFromParent_Done,
     /*  642900 */   // Label 10306: @642900
     /*  642900 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(642975), // Rule ID 11930 //
     /*  642905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  642925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  642951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  642954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  642970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642973 */     GIR_RootConstrainSelectedInstOperands,
     /*  642974 */     // GIR_Coverage, 11930,
     /*  642974 */     GIR_EraseRootFromParent_Done,
     /*  642975 */   // Label 10307: @642975
     /*  642975 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643050), // Rule ID 11931 //
     /*  642980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  642988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  642991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  642994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  642997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  643000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  643029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643048 */     GIR_RootConstrainSelectedInstOperands,
     /*  643049 */     // GIR_Coverage, 11931,
     /*  643049 */     GIR_EraseRootFromParent_Done,
     /*  643050 */   // Label 10308: @643050
     /*  643050 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643125), // Rule ID 11934 //
     /*  643055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  643104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643123 */     GIR_RootConstrainSelectedInstOperands,
     /*  643124 */     // GIR_Coverage, 11934,
     /*  643124 */     GIR_EraseRootFromParent_Done,
     /*  643125 */   // Label 10309: @643125
     /*  643125 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643200), // Rule ID 11935 //
     /*  643130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  643141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  643144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  643147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  643150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  643179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643198 */     GIR_RootConstrainSelectedInstOperands,
     /*  643199 */     // GIR_Coverage, 11935,
     /*  643199 */     GIR_EraseRootFromParent_Done,
     /*  643200 */   // Label 10310: @643200
     /*  643200 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643275), // Rule ID 11938 //
     /*  643205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  643254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643273 */     GIR_RootConstrainSelectedInstOperands,
     /*  643274 */     // GIR_Coverage, 11938,
     /*  643274 */     GIR_EraseRootFromParent_Done,
     /*  643275 */   // Label 10311: @643275
     /*  643275 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643350), // Rule ID 11939 //
     /*  643280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  643291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  643294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  643297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  643300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  643329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643348 */     GIR_RootConstrainSelectedInstOperands,
     /*  643349 */     // GIR_Coverage, 11939,
     /*  643349 */     GIR_EraseRootFromParent_Done,
     /*  643350 */   // Label 10312: @643350
     /*  643350 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(643425), // Rule ID 11942 //
     /*  643355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643401 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  643404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643423 */     GIR_RootConstrainSelectedInstOperands,
     /*  643424 */     // GIR_Coverage, 11942,
     /*  643424 */     GIR_EraseRootFromParent_Done,
     /*  643425 */   // Label 10313: @643425
     /*  643425 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(643500), // Rule ID 11943 //
     /*  643430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  643441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  643444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  643447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  643450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643476 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  643479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643498 */     GIR_RootConstrainSelectedInstOperands,
     /*  643499 */     // GIR_Coverage, 11943,
     /*  643499 */     GIR_EraseRootFromParent_Done,
     /*  643500 */   // Label 10314: @643500
     /*  643500 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(643575), // Rule ID 11946 //
     /*  643505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  643554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643573 */     GIR_RootConstrainSelectedInstOperands,
     /*  643574 */     // GIR_Coverage, 11946,
     /*  643574 */     GIR_EraseRootFromParent_Done,
     /*  643575 */   // Label 10315: @643575
     /*  643575 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(643650), // Rule ID 11947 //
     /*  643580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  643591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  643594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  643597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  643600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  643619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  643629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643648 */     GIR_RootConstrainSelectedInstOperands,
     /*  643649 */     // GIR_Coverage, 11947,
     /*  643649 */     GIR_EraseRootFromParent_Done,
     /*  643650 */   // Label 10316: @643650
     /*  643650 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(643725), // Rule ID 11950 //
     /*  643655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643701 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  643704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643723 */     GIR_RootConstrainSelectedInstOperands,
     /*  643724 */     // GIR_Coverage, 11950,
     /*  643724 */     GIR_EraseRootFromParent_Done,
     /*  643725 */   // Label 10317: @643725
     /*  643725 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(643800), // Rule ID 11951 //
     /*  643730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  643741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  643744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  643747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  643750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  643769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643776 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  643779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643798 */     GIR_RootConstrainSelectedInstOperands,
     /*  643799 */     // GIR_Coverage, 11951,
     /*  643799 */     GIR_EraseRootFromParent_Done,
     /*  643800 */   // Label 10318: @643800
     /*  643800 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(643875), // Rule ID 11954 //
     /*  643805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  643854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643873 */     GIR_RootConstrainSelectedInstOperands,
     /*  643874 */     // GIR_Coverage, 11954,
     /*  643874 */     GIR_EraseRootFromParent_Done,
     /*  643875 */   // Label 10319: @643875
     /*  643875 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(643950), // Rule ID 11955 //
     /*  643880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  643891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  643894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  643897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  643929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643948 */     GIR_RootConstrainSelectedInstOperands,
     /*  643949 */     // GIR_Coverage, 11955,
     /*  643949 */     GIR_EraseRootFromParent_Done,
     /*  643950 */   // Label 10320: @643950
     /*  643950 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(644025), // Rule ID 11958 //
     /*  643955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  643963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  643966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  643969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  643972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644001 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  644004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644023 */     GIR_RootConstrainSelectedInstOperands,
     /*  644024 */     // GIR_Coverage, 11958,
     /*  644024 */     GIR_EraseRootFromParent_Done,
     /*  644025 */   // Label 10321: @644025
     /*  644025 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644100), // Rule ID 11959 //
     /*  644030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  644041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  644044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  644047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644076 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  644079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644098 */     GIR_RootConstrainSelectedInstOperands,
     /*  644099 */     // GIR_Coverage, 11959,
     /*  644099 */     GIR_EraseRootFromParent_Done,
     /*  644100 */   // Label 10322: @644100
     /*  644100 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644175), // Rule ID 11962 //
     /*  644105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  644154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644173 */     GIR_RootConstrainSelectedInstOperands,
     /*  644174 */     // GIR_Coverage, 11962,
     /*  644174 */     GIR_EraseRootFromParent_Done,
     /*  644175 */   // Label 10323: @644175
     /*  644175 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644250), // Rule ID 11963 //
     /*  644180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  644191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  644194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  644197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644226 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  644229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644248 */     GIR_RootConstrainSelectedInstOperands,
     /*  644249 */     // GIR_Coverage, 11963,
     /*  644249 */     GIR_EraseRootFromParent_Done,
     /*  644250 */   // Label 10324: @644250
     /*  644250 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644325), // Rule ID 11966 //
     /*  644255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  644304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644323 */     GIR_RootConstrainSelectedInstOperands,
     /*  644324 */     // GIR_Coverage, 11966,
     /*  644324 */     GIR_EraseRootFromParent_Done,
     /*  644325 */   // Label 10325: @644325
     /*  644325 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(644400), // Rule ID 11967 //
     /*  644330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  644341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  644344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  644347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644376 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  644379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644398 */     GIR_RootConstrainSelectedInstOperands,
     /*  644399 */     // GIR_Coverage, 11967,
     /*  644399 */     GIR_EraseRootFromParent_Done,
     /*  644400 */   // Label 10326: @644400
     /*  644400 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(644475), // Rule ID 11970 //
     /*  644405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644451 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  644454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644473 */     GIR_RootConstrainSelectedInstOperands,
     /*  644474 */     // GIR_Coverage, 11970,
     /*  644474 */     GIR_EraseRootFromParent_Done,
     /*  644475 */   // Label 10327: @644475
     /*  644475 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(644550), // Rule ID 11971 //
     /*  644480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  644491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  644494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  644497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644526 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  644529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644548 */     GIR_RootConstrainSelectedInstOperands,
     /*  644549 */     // GIR_Coverage, 11971,
     /*  644549 */     GIR_EraseRootFromParent_Done,
     /*  644550 */   // Label 10328: @644550
     /*  644550 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(644625), // Rule ID 11974 //
     /*  644555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  644604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644623 */     GIR_RootConstrainSelectedInstOperands,
     /*  644624 */     // GIR_Coverage, 11974,
     /*  644624 */     GIR_EraseRootFromParent_Done,
     /*  644625 */   // Label 10329: @644625
     /*  644625 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(644700), // Rule ID 11975 //
     /*  644630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  644641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  644644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  644647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644676 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  644679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644698 */     GIR_RootConstrainSelectedInstOperands,
     /*  644699 */     // GIR_Coverage, 11975,
     /*  644699 */     GIR_EraseRootFromParent_Done,
     /*  644700 */   // Label 10330: @644700
     /*  644700 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(644775), // Rule ID 11978 //
     /*  644705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  644754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644773 */     GIR_RootConstrainSelectedInstOperands,
     /*  644774 */     // GIR_Coverage, 11978,
     /*  644774 */     GIR_EraseRootFromParent_Done,
     /*  644775 */   // Label 10331: @644775
     /*  644775 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(644850), // Rule ID 11979 //
     /*  644780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  644791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  644794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  644797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11149:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  644829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644848 */     GIR_RootConstrainSelectedInstOperands,
     /*  644849 */     // GIR_Coverage, 11979,
     /*  644849 */     GIR_EraseRootFromParent_Done,
     /*  644850 */   // Label 10332: @644850
     /*  644850 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(644925), // Rule ID 11982 //
     /*  644855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  644904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644923 */     GIR_RootConstrainSelectedInstOperands,
     /*  644924 */     // GIR_Coverage, 11982,
     /*  644924 */     GIR_EraseRootFromParent_Done,
     /*  644925 */   // Label 10333: @644925
     /*  644925 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(645000), // Rule ID 11983 //
     /*  644930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  644938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  644941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  644944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  644947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  644965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644976 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11149:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  644979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644998 */     GIR_RootConstrainSelectedInstOperands,
     /*  644999 */     // GIR_Coverage, 11983,
     /*  644999 */     GIR_EraseRootFromParent_Done,
     /*  645000 */   // Label 10334: @645000
     /*  645000 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645075), // Rule ID 11986 //
     /*  645005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  645054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645073 */     GIR_RootConstrainSelectedInstOperands,
     /*  645074 */     // GIR_Coverage, 11986,
     /*  645074 */     GIR_EraseRootFromParent_Done,
     /*  645075 */   // Label 10335: @645075
     /*  645075 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645150), // Rule ID 11987 //
     /*  645080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  645091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  645094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  645097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  645129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645148 */     GIR_RootConstrainSelectedInstOperands,
     /*  645149 */     // GIR_Coverage, 11987,
     /*  645149 */     GIR_EraseRootFromParent_Done,
     /*  645150 */   // Label 10336: @645150
     /*  645150 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645225), // Rule ID 11990 //
     /*  645155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  645204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645223 */     GIR_RootConstrainSelectedInstOperands,
     /*  645224 */     // GIR_Coverage, 11990,
     /*  645224 */     GIR_EraseRootFromParent_Done,
     /*  645225 */   // Label 10337: @645225
     /*  645225 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645300), // Rule ID 11991 //
     /*  645230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  645241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  645244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  645247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645276 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  645279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645298 */     GIR_RootConstrainSelectedInstOperands,
     /*  645299 */     // GIR_Coverage, 11991,
     /*  645299 */     GIR_EraseRootFromParent_Done,
     /*  645300 */   // Label 10338: @645300
     /*  645300 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645375), // Rule ID 11994 //
     /*  645305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645351 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  645354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645373 */     GIR_RootConstrainSelectedInstOperands,
     /*  645374 */     // GIR_Coverage, 11994,
     /*  645374 */     GIR_EraseRootFromParent_Done,
     /*  645375 */   // Label 10339: @645375
     /*  645375 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(645450), // Rule ID 11995 //
     /*  645380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  645391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  645394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  645397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645426 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  645429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645448 */     GIR_RootConstrainSelectedInstOperands,
     /*  645449 */     // GIR_Coverage, 11995,
     /*  645449 */     GIR_EraseRootFromParent_Done,
     /*  645450 */   // Label 10340: @645450
     /*  645450 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(645525), // Rule ID 11998 //
     /*  645455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645501 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  645504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645523 */     GIR_RootConstrainSelectedInstOperands,
     /*  645524 */     // GIR_Coverage, 11998,
     /*  645524 */     GIR_EraseRootFromParent_Done,
     /*  645525 */   // Label 10341: @645525
     /*  645525 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(645600), // Rule ID 11999 //
     /*  645530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  645541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  645544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  645547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  645579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645598 */     GIR_RootConstrainSelectedInstOperands,
     /*  645599 */     // GIR_Coverage, 11999,
     /*  645599 */     GIR_EraseRootFromParent_Done,
     /*  645600 */   // Label 10342: @645600
     /*  645600 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(645675), // Rule ID 12002 //
     /*  645605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  645654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645673 */     GIR_RootConstrainSelectedInstOperands,
     /*  645674 */     // GIR_Coverage, 12002,
     /*  645674 */     GIR_EraseRootFromParent_Done,
     /*  645675 */   // Label 10343: @645675
     /*  645675 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(645750), // Rule ID 12003 //
     /*  645680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  645691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  645694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  645697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  645729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645748 */     GIR_RootConstrainSelectedInstOperands,
     /*  645749 */     // GIR_Coverage, 12003,
     /*  645749 */     GIR_EraseRootFromParent_Done,
     /*  645750 */   // Label 10344: @645750
     /*  645750 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(645825), // Rule ID 12006 //
     /*  645755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645801 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  645804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645823 */     GIR_RootConstrainSelectedInstOperands,
     /*  645824 */     // GIR_Coverage, 12006,
     /*  645824 */     GIR_EraseRootFromParent_Done,
     /*  645825 */   // Label 10345: @645825
     /*  645825 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(645900), // Rule ID 12007 //
     /*  645830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  645841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  645844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  645847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  645876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  645879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645898 */     GIR_RootConstrainSelectedInstOperands,
     /*  645899 */     // GIR_Coverage, 12007,
     /*  645899 */     GIR_EraseRootFromParent_Done,
     /*  645900 */   // Label 10346: @645900
     /*  645900 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(645975), // Rule ID 12010 //
     /*  645905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  645951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  645954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  645970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645973 */     GIR_RootConstrainSelectedInstOperands,
     /*  645974 */     // GIR_Coverage, 12010,
     /*  645974 */     GIR_EraseRootFromParent_Done,
     /*  645975 */   // Label 10347: @645975
     /*  645975 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646050), // Rule ID 12011 //
     /*  645980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  645988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  645991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  645994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  645997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646026 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  646029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646048 */     GIR_RootConstrainSelectedInstOperands,
     /*  646049 */     // GIR_Coverage, 12011,
     /*  646049 */     GIR_EraseRootFromParent_Done,
     /*  646050 */   // Label 10348: @646050
     /*  646050 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646125), // Rule ID 12014 //
     /*  646055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  646104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646123 */     GIR_RootConstrainSelectedInstOperands,
     /*  646124 */     // GIR_Coverage, 12014,
     /*  646124 */     GIR_EraseRootFromParent_Done,
     /*  646125 */   // Label 10349: @646125
     /*  646125 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646200), // Rule ID 12015 //
     /*  646130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  646141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  646144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  646147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646176 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  646179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646198 */     GIR_RootConstrainSelectedInstOperands,
     /*  646199 */     // GIR_Coverage, 12015,
     /*  646199 */     GIR_EraseRootFromParent_Done,
     /*  646200 */   // Label 10350: @646200
     /*  646200 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646275), // Rule ID 12018 //
     /*  646205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646251 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  646254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646273 */     GIR_RootConstrainSelectedInstOperands,
     /*  646274 */     // GIR_Coverage, 12018,
     /*  646274 */     GIR_EraseRootFromParent_Done,
     /*  646275 */   // Label 10351: @646275
     /*  646275 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646350), // Rule ID 12019 //
     /*  646280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  646291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  646294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  646297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646326 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  646329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646348 */     GIR_RootConstrainSelectedInstOperands,
     /*  646349 */     // GIR_Coverage, 12019,
     /*  646349 */     GIR_EraseRootFromParent_Done,
     /*  646350 */   // Label 10352: @646350
     /*  646350 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(646425), // Rule ID 12022 //
     /*  646355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  646404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646423 */     GIR_RootConstrainSelectedInstOperands,
     /*  646424 */     // GIR_Coverage, 12022,
     /*  646424 */     GIR_EraseRootFromParent_Done,
     /*  646425 */   // Label 10353: @646425
     /*  646425 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(646500), // Rule ID 12023 //
     /*  646430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  646441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  646444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  646447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646476 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  646479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646498 */     GIR_RootConstrainSelectedInstOperands,
     /*  646499 */     // GIR_Coverage, 12023,
     /*  646499 */     GIR_EraseRootFromParent_Done,
     /*  646500 */   // Label 10354: @646500
     /*  646500 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(646575), // Rule ID 12026 //
     /*  646505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  646554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646573 */     GIR_RootConstrainSelectedInstOperands,
     /*  646574 */     // GIR_Coverage, 12026,
     /*  646574 */     GIR_EraseRootFromParent_Done,
     /*  646575 */   // Label 10355: @646575
     /*  646575 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(646650), // Rule ID 12027 //
     /*  646580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  646591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  646594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  646597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646626 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  646629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646648 */     GIR_RootConstrainSelectedInstOperands,
     /*  646649 */     // GIR_Coverage, 12027,
     /*  646649 */     GIR_EraseRootFromParent_Done,
     /*  646650 */   // Label 10356: @646650
     /*  646650 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(646725), // Rule ID 12030 //
     /*  646655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646701 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  646704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646723 */     GIR_RootConstrainSelectedInstOperands,
     /*  646724 */     // GIR_Coverage, 12030,
     /*  646724 */     GIR_EraseRootFromParent_Done,
     /*  646725 */   // Label 10357: @646725
     /*  646725 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(646800), // Rule ID 12031 //
     /*  646730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  646741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  646744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  646747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  646765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  646779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646798 */     GIR_RootConstrainSelectedInstOperands,
     /*  646799 */     // GIR_Coverage, 12031,
     /*  646799 */     GIR_EraseRootFromParent_Done,
     /*  646800 */   // Label 10358: @646800
     /*  646800 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(646875), // Rule ID 12034 //
     /*  646805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  646851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  646854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646873 */     GIR_RootConstrainSelectedInstOperands,
     /*  646874 */     // GIR_Coverage, 12034,
     /*  646874 */     GIR_EraseRootFromParent_Done,
     /*  646875 */   // Label 10359: @646875
     /*  646875 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(646950), // Rule ID 12035 //
     /*  646880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  646883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  646891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  646894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  646897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  646900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  646915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  646926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  646929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  646945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646948 */     GIR_RootConstrainSelectedInstOperands,
     /*  646949 */     // GIR_Coverage, 12035,
     /*  646949 */     GIR_EraseRootFromParent_Done,
     /*  646950 */   // Label 10360: @646950
     /*  646950 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(647025), // Rule ID 12038 //
     /*  646955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  646958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  646963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  646966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  646969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  646972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  646975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  646990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  646994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647001 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  647004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647023 */     GIR_RootConstrainSelectedInstOperands,
     /*  647024 */     // GIR_Coverage, 12038,
     /*  647024 */     GIR_EraseRootFromParent_Done,
     /*  647025 */   // Label 10361: @647025
     /*  647025 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647100), // Rule ID 12039 //
     /*  647030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  647038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  647041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  647044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  647047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  647050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  647069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  647079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647098 */     GIR_RootConstrainSelectedInstOperands,
     /*  647099 */     // GIR_Coverage, 12039,
     /*  647099 */     GIR_EraseRootFromParent_Done,
     /*  647100 */   // Label 10362: @647100
     /*  647100 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647175), // Rule ID 12042 //
     /*  647105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647151 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  647154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647173 */     GIR_RootConstrainSelectedInstOperands,
     /*  647174 */     // GIR_Coverage, 12042,
     /*  647174 */     GIR_EraseRootFromParent_Done,
     /*  647175 */   // Label 10363: @647175
     /*  647175 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647250), // Rule ID 12043 //
     /*  647180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  647191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  647194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  647197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  647200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647226 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  647229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647248 */     GIR_RootConstrainSelectedInstOperands,
     /*  647249 */     // GIR_Coverage, 12043,
     /*  647249 */     GIR_EraseRootFromParent_Done,
     /*  647250 */   // Label 10364: @647250
     /*  647250 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647325), // Rule ID 12046 //
     /*  647255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647301 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  647304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647323 */     GIR_RootConstrainSelectedInstOperands,
     /*  647324 */     // GIR_Coverage, 12046,
     /*  647324 */     GIR_EraseRootFromParent_Done,
     /*  647325 */   // Label 10365: @647325
     /*  647325 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(647400), // Rule ID 12047 //
     /*  647330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  647341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  647344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  647347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  647350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647376 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  647379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647398 */     GIR_RootConstrainSelectedInstOperands,
     /*  647399 */     // GIR_Coverage, 12047,
     /*  647399 */     GIR_EraseRootFromParent_Done,
     /*  647400 */   // Label 10366: @647400
     /*  647400 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(647475), // Rule ID 12050 //
     /*  647405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  647454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647473 */     GIR_RootConstrainSelectedInstOperands,
     /*  647474 */     // GIR_Coverage, 12050,
     /*  647474 */     GIR_EraseRootFromParent_Done,
     /*  647475 */   // Label 10367: @647475
     /*  647475 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(647550), // Rule ID 12051 //
     /*  647480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  647491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  647494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  647497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  647500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  647529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647548 */     GIR_RootConstrainSelectedInstOperands,
     /*  647549 */     // GIR_Coverage, 12051,
     /*  647549 */     GIR_EraseRootFromParent_Done,
     /*  647550 */   // Label 10368: @647550
     /*  647550 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(647625), // Rule ID 12054 //
     /*  647555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647601 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  647604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647623 */     GIR_RootConstrainSelectedInstOperands,
     /*  647624 */     // GIR_Coverage, 12054,
     /*  647624 */     GIR_EraseRootFromParent_Done,
     /*  647625 */   // Label 10369: @647625
     /*  647625 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(647700), // Rule ID 12055 //
     /*  647630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  647641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  647644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  647647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  647650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647676 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  647679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647698 */     GIR_RootConstrainSelectedInstOperands,
     /*  647699 */     // GIR_Coverage, 12055,
     /*  647699 */     GIR_EraseRootFromParent_Done,
     /*  647700 */   // Label 10370: @647700
     /*  647700 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(647775), // Rule ID 12058 //
     /*  647705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  647754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647773 */     GIR_RootConstrainSelectedInstOperands,
     /*  647774 */     // GIR_Coverage, 12058,
     /*  647774 */     GIR_EraseRootFromParent_Done,
     /*  647775 */   // Label 10371: @647775
     /*  647775 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(647850), // Rule ID 12059 //
     /*  647780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  647791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  647794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  647797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  647800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  647829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647848 */     GIR_RootConstrainSelectedInstOperands,
     /*  647849 */     // GIR_Coverage, 12059,
     /*  647849 */     GIR_EraseRootFromParent_Done,
     /*  647850 */   // Label 10372: @647850
     /*  647850 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(647925), // Rule ID 12062 //
     /*  647855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  647901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  647904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647923 */     GIR_RootConstrainSelectedInstOperands,
     /*  647924 */     // GIR_Coverage, 12062,
     /*  647924 */     GIR_EraseRootFromParent_Done,
     /*  647925 */   // Label 10373: @647925
     /*  647925 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(648000), // Rule ID 12063 //
     /*  647930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  647938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  647941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  647944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  647947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  647950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  647979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647998 */     GIR_RootConstrainSelectedInstOperands,
     /*  647999 */     // GIR_Coverage, 12063,
     /*  647999 */     GIR_EraseRootFromParent_Done,
     /*  648000 */   // Label 10374: @648000
     /*  648000 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648075), // Rule ID 12066 //
     /*  648005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  648054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648073 */     GIR_RootConstrainSelectedInstOperands,
     /*  648074 */     // GIR_Coverage, 12066,
     /*  648074 */     GIR_EraseRootFromParent_Done,
     /*  648075 */   // Label 10375: @648075
     /*  648075 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648150), // Rule ID 12067 //
     /*  648080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  648091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  648094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  648097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  648100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  648129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648148 */     GIR_RootConstrainSelectedInstOperands,
     /*  648149 */     // GIR_Coverage, 12067,
     /*  648149 */     GIR_EraseRootFromParent_Done,
     /*  648150 */   // Label 10376: @648150
     /*  648150 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648225), // Rule ID 12070 //
     /*  648155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648201 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  648204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648223 */     GIR_RootConstrainSelectedInstOperands,
     /*  648224 */     // GIR_Coverage, 12070,
     /*  648224 */     GIR_EraseRootFromParent_Done,
     /*  648225 */   // Label 10377: @648225
     /*  648225 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648300), // Rule ID 12071 //
     /*  648230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  648241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  648244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  648247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  648250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  648279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648298 */     GIR_RootConstrainSelectedInstOperands,
     /*  648299 */     // GIR_Coverage, 12071,
     /*  648299 */     GIR_EraseRootFromParent_Done,
     /*  648300 */   // Label 10378: @648300
     /*  648300 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648375), // Rule ID 12074 //
     /*  648305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648351 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  648354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648373 */     GIR_RootConstrainSelectedInstOperands,
     /*  648374 */     // GIR_Coverage, 12074,
     /*  648374 */     GIR_EraseRootFromParent_Done,
     /*  648375 */   // Label 10379: @648375
     /*  648375 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(648450), // Rule ID 12075 //
     /*  648380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  648391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  648394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  648397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  648400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  648429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648448 */     GIR_RootConstrainSelectedInstOperands,
     /*  648449 */     // GIR_Coverage, 12075,
     /*  648449 */     GIR_EraseRootFromParent_Done,
     /*  648450 */   // Label 10380: @648450
     /*  648450 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(648525), // Rule ID 12078 //
     /*  648455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  648504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648523 */     GIR_RootConstrainSelectedInstOperands,
     /*  648524 */     // GIR_Coverage, 12078,
     /*  648524 */     GIR_EraseRootFromParent_Done,
     /*  648525 */   // Label 10381: @648525
     /*  648525 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(648600), // Rule ID 12079 //
     /*  648530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  648541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  648544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  648547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  648550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  648569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648576 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  648579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648598 */     GIR_RootConstrainSelectedInstOperands,
     /*  648599 */     // GIR_Coverage, 12079,
     /*  648599 */     GIR_EraseRootFromParent_Done,
     /*  648600 */   // Label 10382: @648600
     /*  648600 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(648675), // Rule ID 12082 //
     /*  648605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648651 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  648654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648673 */     GIR_RootConstrainSelectedInstOperands,
     /*  648674 */     // GIR_Coverage, 12082,
     /*  648674 */     GIR_EraseRootFromParent_Done,
     /*  648675 */   // Label 10383: @648675
     /*  648675 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(648750), // Rule ID 12083 //
     /*  648680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  648691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  648694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  648697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  648700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648726 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  648729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648748 */     GIR_RootConstrainSelectedInstOperands,
     /*  648749 */     // GIR_Coverage, 12083,
     /*  648749 */     GIR_EraseRootFromParent_Done,
     /*  648750 */   // Label 10384: @648750
     /*  648750 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(648825), // Rule ID 12086 //
     /*  648755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648801 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  648804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648823 */     GIR_RootConstrainSelectedInstOperands,
     /*  648824 */     // GIR_Coverage, 12086,
     /*  648824 */     GIR_EraseRootFromParent_Done,
     /*  648825 */   // Label 10385: @648825
     /*  648825 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(648900), // Rule ID 12087 //
     /*  648830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  648841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  648844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  648847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  648850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648876 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  648876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  648879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648898 */     GIR_RootConstrainSelectedInstOperands,
     /*  648899 */     // GIR_Coverage, 12087,
     /*  648899 */     GIR_EraseRootFromParent_Done,
     /*  648900 */   // Label 10386: @648900
     /*  648900 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(648975), // Rule ID 12090 //
     /*  648905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  648925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648951 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  648951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  648954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  648970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648973 */     GIR_RootConstrainSelectedInstOperands,
     /*  648974 */     // GIR_Coverage, 12090,
     /*  648974 */     GIR_EraseRootFromParent_Done,
     /*  648975 */   // Label 10387: @648975
     /*  648975 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649050), // Rule ID 12091 //
     /*  648980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  648988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  648991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  648994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  648997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  649000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  649029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649048 */     GIR_RootConstrainSelectedInstOperands,
     /*  649049 */     // GIR_Coverage, 12091,
     /*  649049 */     GIR_EraseRootFromParent_Done,
     /*  649050 */   // Label 10388: @649050
     /*  649050 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649125), // Rule ID 12094 //
     /*  649055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649101 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  649104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649123 */     GIR_RootConstrainSelectedInstOperands,
     /*  649124 */     // GIR_Coverage, 12094,
     /*  649124 */     GIR_EraseRootFromParent_Done,
     /*  649125 */   // Label 10389: @649125
     /*  649125 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649200), // Rule ID 12095 //
     /*  649130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  649141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  649144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  649147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  649150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  649179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649198 */     GIR_RootConstrainSelectedInstOperands,
     /*  649199 */     // GIR_Coverage, 12095,
     /*  649199 */     GIR_EraseRootFromParent_Done,
     /*  649200 */   // Label 10390: @649200
     /*  649200 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649275), // Rule ID 12098 //
     /*  649205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  649254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649273 */     GIR_RootConstrainSelectedInstOperands,
     /*  649274 */     // GIR_Coverage, 12098,
     /*  649274 */     GIR_EraseRootFromParent_Done,
     /*  649275 */   // Label 10391: @649275
     /*  649275 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649350), // Rule ID 12099 //
     /*  649280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  649291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  649294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  649297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  649300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649326 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  649329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649348 */     GIR_RootConstrainSelectedInstOperands,
     /*  649349 */     // GIR_Coverage, 12099,
     /*  649349 */     GIR_EraseRootFromParent_Done,
     /*  649350 */   // Label 10392: @649350
     /*  649350 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(649425), // Rule ID 12102 //
     /*  649355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649401 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  649404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649423 */     GIR_RootConstrainSelectedInstOperands,
     /*  649424 */     // GIR_Coverage, 12102,
     /*  649424 */     GIR_EraseRootFromParent_Done,
     /*  649425 */   // Label 10393: @649425
     /*  649425 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(649500), // Rule ID 12103 //
     /*  649430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  649441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  649444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  649447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  649450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  649479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649498 */     GIR_RootConstrainSelectedInstOperands,
     /*  649499 */     // GIR_Coverage, 12103,
     /*  649499 */     GIR_EraseRootFromParent_Done,
     /*  649500 */   // Label 10394: @649500
     /*  649500 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(649575), // Rule ID 12106 //
     /*  649505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  649554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649573 */     GIR_RootConstrainSelectedInstOperands,
     /*  649574 */     // GIR_Coverage, 12106,
     /*  649574 */     GIR_EraseRootFromParent_Done,
     /*  649575 */   // Label 10395: @649575
     /*  649575 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(649650), // Rule ID 12107 //
     /*  649580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  649591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  649594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  649597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  649600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  649629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649648 */     GIR_RootConstrainSelectedInstOperands,
     /*  649649 */     // GIR_Coverage, 12107,
     /*  649649 */     GIR_EraseRootFromParent_Done,
     /*  649650 */   // Label 10396: @649650
     /*  649650 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(649725), // Rule ID 12110 //
     /*  649655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  649704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649723 */     GIR_RootConstrainSelectedInstOperands,
     /*  649724 */     // GIR_Coverage, 12110,
     /*  649724 */     GIR_EraseRootFromParent_Done,
     /*  649725 */   // Label 10397: @649725
     /*  649725 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(649800), // Rule ID 12111 //
     /*  649730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  649741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  649744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  649747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  649750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  649769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  649779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649798 */     GIR_RootConstrainSelectedInstOperands,
     /*  649799 */     // GIR_Coverage, 12111,
     /*  649799 */     GIR_EraseRootFromParent_Done,
     /*  649800 */   // Label 10398: @649800
     /*  649800 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(649875), // Rule ID 12114 //
     /*  649805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  649854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649873 */     GIR_RootConstrainSelectedInstOperands,
     /*  649874 */     // GIR_Coverage, 12114,
     /*  649874 */     GIR_EraseRootFromParent_Done,
     /*  649875 */   // Label 10399: @649875
     /*  649875 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(649950), // Rule ID 12115 //
     /*  649880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  649891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  649894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  649897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  649900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  649919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  649929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649948 */     GIR_RootConstrainSelectedInstOperands,
     /*  649949 */     // GIR_Coverage, 12115,
     /*  649949 */     GIR_EraseRootFromParent_Done,
     /*  649950 */   // Label 10400: @649950
     /*  649950 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(650025), // Rule ID 12118 //
     /*  649955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  649958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  649963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  649966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  649969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  649972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  649975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  649994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650001 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  650004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650023 */     GIR_RootConstrainSelectedInstOperands,
     /*  650024 */     // GIR_Coverage, 12118,
     /*  650024 */     GIR_EraseRootFromParent_Done,
     /*  650025 */   // Label 10401: @650025
     /*  650025 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650100), // Rule ID 12119 //
     /*  650030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  650041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  650044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  650047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  650050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650076 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  650079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650098 */     GIR_RootConstrainSelectedInstOperands,
     /*  650099 */     // GIR_Coverage, 12119,
     /*  650099 */     GIR_EraseRootFromParent_Done,
     /*  650100 */   // Label 10402: @650100
     /*  650100 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650175), // Rule ID 12122 //
     /*  650105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  650154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650173 */     GIR_RootConstrainSelectedInstOperands,
     /*  650174 */     // GIR_Coverage, 12122,
     /*  650174 */     GIR_EraseRootFromParent_Done,
     /*  650175 */   // Label 10403: @650175
     /*  650175 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650250), // Rule ID 12123 //
     /*  650180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  650191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  650194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  650197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  650200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  650229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650248 */     GIR_RootConstrainSelectedInstOperands,
     /*  650249 */     // GIR_Coverage, 12123,
     /*  650249 */     GIR_EraseRootFromParent_Done,
     /*  650250 */   // Label 10404: @650250
     /*  650250 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650325), // Rule ID 12126 //
     /*  650255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  650304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650323 */     GIR_RootConstrainSelectedInstOperands,
     /*  650324 */     // GIR_Coverage, 12126,
     /*  650324 */     GIR_EraseRootFromParent_Done,
     /*  650325 */   // Label 10405: @650325
     /*  650325 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(650400), // Rule ID 12127 //
     /*  650330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  650341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  650344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  650347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  650350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650376 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  650379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650398 */     GIR_RootConstrainSelectedInstOperands,
     /*  650399 */     // GIR_Coverage, 12127,
     /*  650399 */     GIR_EraseRootFromParent_Done,
     /*  650400 */   // Label 10406: @650400
     /*  650400 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(650475), // Rule ID 12130 //
     /*  650405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650451 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  650454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650473 */     GIR_RootConstrainSelectedInstOperands,
     /*  650474 */     // GIR_Coverage, 12130,
     /*  650474 */     GIR_EraseRootFromParent_Done,
     /*  650475 */   // Label 10407: @650475
     /*  650475 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(650550), // Rule ID 12131 //
     /*  650480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  650491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  650494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  650497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  650529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650548 */     GIR_RootConstrainSelectedInstOperands,
     /*  650549 */     // GIR_Coverage, 12131,
     /*  650549 */     GIR_EraseRootFromParent_Done,
     /*  650550 */   // Label 10408: @650550
     /*  650550 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(650625), // Rule ID 12134 //
     /*  650555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650601 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  650604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650623 */     GIR_RootConstrainSelectedInstOperands,
     /*  650624 */     // GIR_Coverage, 12134,
     /*  650624 */     GIR_EraseRootFromParent_Done,
     /*  650625 */   // Label 10409: @650625
     /*  650625 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(650700), // Rule ID 12135 //
     /*  650630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  650641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  650644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  650647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  650679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650698 */     GIR_RootConstrainSelectedInstOperands,
     /*  650699 */     // GIR_Coverage, 12135,
     /*  650699 */     GIR_EraseRootFromParent_Done,
     /*  650700 */   // Label 10410: @650700
     /*  650700 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(650775), // Rule ID 12138 //
     /*  650705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  650754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650773 */     GIR_RootConstrainSelectedInstOperands,
     /*  650774 */     // GIR_Coverage, 12138,
     /*  650774 */     GIR_EraseRootFromParent_Done,
     /*  650775 */   // Label 10411: @650775
     /*  650775 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(650850), // Rule ID 12139 //
     /*  650780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  650791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  650794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  650797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  650829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650848 */     GIR_RootConstrainSelectedInstOperands,
     /*  650849 */     // GIR_Coverage, 12139,
     /*  650849 */     GIR_EraseRootFromParent_Done,
     /*  650850 */   // Label 10412: @650850
     /*  650850 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(650925), // Rule ID 12142 //
     /*  650855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650901 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  650904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650923 */     GIR_RootConstrainSelectedInstOperands,
     /*  650924 */     // GIR_Coverage, 12142,
     /*  650924 */     GIR_EraseRootFromParent_Done,
     /*  650925 */   // Label 10413: @650925
     /*  650925 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(651000), // Rule ID 12143 //
     /*  650930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  650938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  650941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  650944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  650947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  650979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650998 */     GIR_RootConstrainSelectedInstOperands,
     /*  650999 */     // GIR_Coverage, 12143,
     /*  650999 */     GIR_EraseRootFromParent_Done,
     /*  651000 */   // Label 10414: @651000
     /*  651000 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651075), // Rule ID 12146 //
     /*  651005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  651054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651073 */     GIR_RootConstrainSelectedInstOperands,
     /*  651074 */     // GIR_Coverage, 12146,
     /*  651074 */     GIR_EraseRootFromParent_Done,
     /*  651075 */   // Label 10415: @651075
     /*  651075 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651150), // Rule ID 12147 //
     /*  651080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  651091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  651094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  651097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  651129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651148 */     GIR_RootConstrainSelectedInstOperands,
     /*  651149 */     // GIR_Coverage, 12147,
     /*  651149 */     GIR_EraseRootFromParent_Done,
     /*  651150 */   // Label 10416: @651150
     /*  651150 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651225), // Rule ID 12150 //
     /*  651155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651201 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  651204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651223 */     GIR_RootConstrainSelectedInstOperands,
     /*  651224 */     // GIR_Coverage, 12150,
     /*  651224 */     GIR_EraseRootFromParent_Done,
     /*  651225 */   // Label 10417: @651225
     /*  651225 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651300), // Rule ID 12151 //
     /*  651230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  651241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  651244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  651247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  651279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651298 */     GIR_RootConstrainSelectedInstOperands,
     /*  651299 */     // GIR_Coverage, 12151,
     /*  651299 */     GIR_EraseRootFromParent_Done,
     /*  651300 */   // Label 10418: @651300
     /*  651300 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651375), // Rule ID 12154 //
     /*  651305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  651354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651373 */     GIR_RootConstrainSelectedInstOperands,
     /*  651374 */     // GIR_Coverage, 12154,
     /*  651374 */     GIR_EraseRootFromParent_Done,
     /*  651375 */   // Label 10419: @651375
     /*  651375 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(651450), // Rule ID 12155 //
     /*  651380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  651391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  651394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  651397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651426 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11147:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  651426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  651429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651448 */     GIR_RootConstrainSelectedInstOperands,
     /*  651449 */     // GIR_Coverage, 12155,
     /*  651449 */     GIR_EraseRootFromParent_Done,
     /*  651450 */   // Label 10420: @651450
     /*  651450 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(651525), // Rule ID 12158 //
     /*  651455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651501 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  651504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651523 */     GIR_RootConstrainSelectedInstOperands,
     /*  651524 */     // GIR_Coverage, 12158,
     /*  651524 */     GIR_EraseRootFromParent_Done,
     /*  651525 */   // Label 10421: @651525
     /*  651525 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(651600), // Rule ID 12159 //
     /*  651530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  651541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  651544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  651547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11147:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  651579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651598 */     GIR_RootConstrainSelectedInstOperands,
     /*  651599 */     // GIR_Coverage, 12159,
     /*  651599 */     GIR_EraseRootFromParent_Done,
     /*  651600 */   // Label 10422: @651600
     /*  651600 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(651675), // Rule ID 12162 //
     /*  651605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  651654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651673 */     GIR_RootConstrainSelectedInstOperands,
     /*  651674 */     // GIR_Coverage, 12162,
     /*  651674 */     GIR_EraseRootFromParent_Done,
     /*  651675 */   // Label 10423: @651675
     /*  651675 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(651750), // Rule ID 12163 //
     /*  651680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  651691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  651694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  651697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  651729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651748 */     GIR_RootConstrainSelectedInstOperands,
     /*  651749 */     // GIR_Coverage, 12163,
     /*  651749 */     GIR_EraseRootFromParent_Done,
     /*  651750 */   // Label 10424: @651750
     /*  651750 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(651825), // Rule ID 12166 //
     /*  651755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651801 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  651804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651823 */     GIR_RootConstrainSelectedInstOperands,
     /*  651824 */     // GIR_Coverage, 12166,
     /*  651824 */     GIR_EraseRootFromParent_Done,
     /*  651825 */   // Label 10425: @651825
     /*  651825 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(651900), // Rule ID 12167 //
     /*  651830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  651841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  651844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  651847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  651865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651876 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  651879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651898 */     GIR_RootConstrainSelectedInstOperands,
     /*  651899 */     // GIR_Coverage, 12167,
     /*  651899 */     GIR_EraseRootFromParent_Done,
     /*  651900 */   // Label 10426: @651900
     /*  651900 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(651975), // Rule ID 12170 //
     /*  651905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  651951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  651954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  651970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651973 */     GIR_RootConstrainSelectedInstOperands,
     /*  651974 */     // GIR_Coverage, 12170,
     /*  651974 */     GIR_EraseRootFromParent_Done,
     /*  651975 */   // Label 10427: @651975
     /*  651975 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652050), // Rule ID 12171 //
     /*  651980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  651988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  651991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  651994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  651997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652026 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  652029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652048 */     GIR_RootConstrainSelectedInstOperands,
     /*  652049 */     // GIR_Coverage, 12171,
     /*  652049 */     GIR_EraseRootFromParent_Done,
     /*  652050 */   // Label 10428: @652050
     /*  652050 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652125), // Rule ID 12174 //
     /*  652055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  652104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652123 */     GIR_RootConstrainSelectedInstOperands,
     /*  652124 */     // GIR_Coverage, 12174,
     /*  652124 */     GIR_EraseRootFromParent_Done,
     /*  652125 */   // Label 10429: @652125
     /*  652125 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652200), // Rule ID 12175 //
     /*  652130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  652141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  652144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  652147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  652179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652198 */     GIR_RootConstrainSelectedInstOperands,
     /*  652199 */     // GIR_Coverage, 12175,
     /*  652199 */     GIR_EraseRootFromParent_Done,
     /*  652200 */   // Label 10430: @652200
     /*  652200 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652275), // Rule ID 12178 //
     /*  652205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  652254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652273 */     GIR_RootConstrainSelectedInstOperands,
     /*  652274 */     // GIR_Coverage, 12178,
     /*  652274 */     GIR_EraseRootFromParent_Done,
     /*  652275 */   // Label 10431: @652275
     /*  652275 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652350), // Rule ID 12179 //
     /*  652280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  652291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  652294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  652297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  652329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652348 */     GIR_RootConstrainSelectedInstOperands,
     /*  652349 */     // GIR_Coverage, 12179,
     /*  652349 */     GIR_EraseRootFromParent_Done,
     /*  652350 */   // Label 10432: @652350
     /*  652350 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(652425), // Rule ID 12182 //
     /*  652355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652401 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  652404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652423 */     GIR_RootConstrainSelectedInstOperands,
     /*  652424 */     // GIR_Coverage, 12182,
     /*  652424 */     GIR_EraseRootFromParent_Done,
     /*  652425 */   // Label 10433: @652425
     /*  652425 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(652500), // Rule ID 12183 //
     /*  652430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  652441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  652444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  652447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  652479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652498 */     GIR_RootConstrainSelectedInstOperands,
     /*  652499 */     // GIR_Coverage, 12183,
     /*  652499 */     GIR_EraseRootFromParent_Done,
     /*  652500 */   // Label 10434: @652500
     /*  652500 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(652575), // Rule ID 12186 //
     /*  652505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  652554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652573 */     GIR_RootConstrainSelectedInstOperands,
     /*  652574 */     // GIR_Coverage, 12186,
     /*  652574 */     GIR_EraseRootFromParent_Done,
     /*  652575 */   // Label 10435: @652575
     /*  652575 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(652650), // Rule ID 12187 //
     /*  652580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  652591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  652594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  652597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  652629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652648 */     GIR_RootConstrainSelectedInstOperands,
     /*  652649 */     // GIR_Coverage, 12187,
     /*  652649 */     GIR_EraseRootFromParent_Done,
     /*  652650 */   // Label 10436: @652650
     /*  652650 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(652725), // Rule ID 12190 //
     /*  652655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652701 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  652704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652723 */     GIR_RootConstrainSelectedInstOperands,
     /*  652724 */     // GIR_Coverage, 12190,
     /*  652724 */     GIR_EraseRootFromParent_Done,
     /*  652725 */   // Label 10437: @652725
     /*  652725 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(652800), // Rule ID 12191 //
     /*  652730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  652741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  652744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  652747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652776 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  652779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652798 */     GIR_RootConstrainSelectedInstOperands,
     /*  652799 */     // GIR_Coverage, 12191,
     /*  652799 */     GIR_EraseRootFromParent_Done,
     /*  652800 */   // Label 10438: @652800
     /*  652800 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(652875), // Rule ID 12194 //
     /*  652805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  652851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  652854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652873 */     GIR_RootConstrainSelectedInstOperands,
     /*  652874 */     // GIR_Coverage, 12194,
     /*  652874 */     GIR_EraseRootFromParent_Done,
     /*  652875 */   // Label 10439: @652875
     /*  652875 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(652950), // Rule ID 12195 //
     /*  652880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  652891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  652894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  652897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  652915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  652926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  652929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  652945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652948 */     GIR_RootConstrainSelectedInstOperands,
     /*  652949 */     // GIR_Coverage, 12195,
     /*  652949 */     GIR_EraseRootFromParent_Done,
     /*  652950 */   // Label 10440: @652950
     /*  652950 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(653025), // Rule ID 12198 //
     /*  652955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  652963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  652966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  652969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  652972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653001 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  653004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653023 */     GIR_RootConstrainSelectedInstOperands,
     /*  653024 */     // GIR_Coverage, 12198,
     /*  653024 */     GIR_EraseRootFromParent_Done,
     /*  653025 */   // Label 10441: @653025
     /*  653025 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653100), // Rule ID 12199 //
     /*  653030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  653041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  653044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  653047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  653079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653098 */     GIR_RootConstrainSelectedInstOperands,
     /*  653099 */     // GIR_Coverage, 12199,
     /*  653099 */     GIR_EraseRootFromParent_Done,
     /*  653100 */   // Label 10442: @653100
     /*  653100 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653175), // Rule ID 12202 //
     /*  653105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  653154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653173 */     GIR_RootConstrainSelectedInstOperands,
     /*  653174 */     // GIR_Coverage, 12202,
     /*  653174 */     GIR_EraseRootFromParent_Done,
     /*  653175 */   // Label 10443: @653175
     /*  653175 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653250), // Rule ID 12203 //
     /*  653180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  653191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  653194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  653197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  653229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653248 */     GIR_RootConstrainSelectedInstOperands,
     /*  653249 */     // GIR_Coverage, 12203,
     /*  653249 */     GIR_EraseRootFromParent_Done,
     /*  653250 */   // Label 10444: @653250
     /*  653250 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653325), // Rule ID 12206 //
     /*  653255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  653304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653323 */     GIR_RootConstrainSelectedInstOperands,
     /*  653324 */     // GIR_Coverage, 12206,
     /*  653324 */     GIR_EraseRootFromParent_Done,
     /*  653325 */   // Label 10445: @653325
     /*  653325 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(653400), // Rule ID 12207 //
     /*  653330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  653341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  653344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  653347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  653379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653398 */     GIR_RootConstrainSelectedInstOperands,
     /*  653399 */     // GIR_Coverage, 12207,
     /*  653399 */     GIR_EraseRootFromParent_Done,
     /*  653400 */   // Label 10446: @653400
     /*  653400 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(653475), // Rule ID 12210 //
     /*  653405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  653454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653473 */     GIR_RootConstrainSelectedInstOperands,
     /*  653474 */     // GIR_Coverage, 12210,
     /*  653474 */     GIR_EraseRootFromParent_Done,
     /*  653475 */   // Label 10447: @653475
     /*  653475 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(653550), // Rule ID 12211 //
     /*  653480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  653491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  653494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  653497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  653515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  653529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653548 */     GIR_RootConstrainSelectedInstOperands,
     /*  653549 */     // GIR_Coverage, 12211,
     /*  653549 */     GIR_EraseRootFromParent_Done,
     /*  653550 */   // Label 10448: @653550
     /*  653550 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(653625), // Rule ID 12214 //
     /*  653555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  653575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  653604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653623 */     GIR_RootConstrainSelectedInstOperands,
     /*  653624 */     // GIR_Coverage, 12214,
     /*  653624 */     GIR_EraseRootFromParent_Done,
     /*  653625 */   // Label 10449: @653625
     /*  653625 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(653700), // Rule ID 12215 //
     /*  653630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  653638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  653641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  653644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  653647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  653650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  653665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  653669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  653679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653698 */     GIR_RootConstrainSelectedInstOperands,
     /*  653699 */     // GIR_Coverage, 12215,
     /*  653699 */     GIR_EraseRootFromParent_Done,
     /*  653700 */   // Label 10450: @653700
     /*  653700 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(653775), // Rule ID 12218 //
     /*  653705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  653713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  653722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  653754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653773 */     GIR_RootConstrainSelectedInstOperands,
     /*  653774 */     // GIR_Coverage, 12218,
     /*  653774 */     GIR_EraseRootFromParent_Done,
     /*  653775 */   // Label 10451: @653775
     /*  653775 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(653850), // Rule ID 12219 //
     /*  653780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  653788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  653791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  653794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  653797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  653800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  653829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653848 */     GIR_RootConstrainSelectedInstOperands,
     /*  653849 */     // GIR_Coverage, 12219,
     /*  653849 */     GIR_EraseRootFromParent_Done,
     /*  653850 */   // Label 10452: @653850
     /*  653850 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(653925), // Rule ID 12222 //
     /*  653855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  653863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  653872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  653904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653923 */     GIR_RootConstrainSelectedInstOperands,
     /*  653924 */     // GIR_Coverage, 12222,
     /*  653924 */     GIR_EraseRootFromParent_Done,
     /*  653925 */   // Label 10453: @653925
     /*  653925 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(654000), // Rule ID 12223 //
     /*  653930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  653938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  653947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  653950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  653979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653998 */     GIR_RootConstrainSelectedInstOperands,
     /*  653999 */     // GIR_Coverage, 12223,
     /*  653999 */     GIR_EraseRootFromParent_Done,
     /*  654000 */   // Label 10454: @654000
     /*  654000 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654075), // Rule ID 12226 //
     /*  654005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  654022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  654054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654073 */     GIR_RootConstrainSelectedInstOperands,
     /*  654074 */     // GIR_Coverage, 12226,
     /*  654074 */     GIR_EraseRootFromParent_Done,
     /*  654075 */   // Label 10455: @654075
     /*  654075 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654150), // Rule ID 12227 //
     /*  654080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  654091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  654094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  654097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  654100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  654129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654148 */     GIR_RootConstrainSelectedInstOperands,
     /*  654149 */     // GIR_Coverage, 12227,
     /*  654149 */     GIR_EraseRootFromParent_Done,
     /*  654150 */   // Label 10456: @654150
     /*  654150 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654225), // Rule ID 12230 //
     /*  654155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  654166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  654169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  654172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  654204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654223 */     GIR_RootConstrainSelectedInstOperands,
     /*  654224 */     // GIR_Coverage, 12230,
     /*  654224 */     GIR_EraseRootFromParent_Done,
     /*  654225 */   // Label 10457: @654225
     /*  654225 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654300), // Rule ID 12231 //
     /*  654230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  654241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  654244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  654247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  654250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  654279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654298 */     GIR_RootConstrainSelectedInstOperands,
     /*  654299 */     // GIR_Coverage, 12231,
     /*  654299 */     GIR_EraseRootFromParent_Done,
     /*  654300 */   // Label 10458: @654300
     /*  654300 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654375), // Rule ID 12234 //
     /*  654305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  654322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  654354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654373 */     GIR_RootConstrainSelectedInstOperands,
     /*  654374 */     // GIR_Coverage, 12234,
     /*  654374 */     GIR_EraseRootFromParent_Done,
     /*  654375 */   // Label 10459: @654375
     /*  654375 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(654450), // Rule ID 12235 //
     /*  654380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  654397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  654400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  654429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654448 */     GIR_RootConstrainSelectedInstOperands,
     /*  654449 */     // GIR_Coverage, 12235,
     /*  654449 */     GIR_EraseRootFromParent_Done,
     /*  654450 */   // Label 10460: @654450
     /*  654450 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(654525), // Rule ID 12238 //
     /*  654455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  654472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  654504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654523 */     GIR_RootConstrainSelectedInstOperands,
     /*  654524 */     // GIR_Coverage, 12238,
     /*  654524 */     GIR_EraseRootFromParent_Done,
     /*  654525 */   // Label 10461: @654525
     /*  654525 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(654600), // Rule ID 12239 //
     /*  654530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  654547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  654579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654598 */     GIR_RootConstrainSelectedInstOperands,
     /*  654599 */     // GIR_Coverage, 12239,
     /*  654599 */     GIR_EraseRootFromParent_Done,
     /*  654600 */   // Label 10462: @654600
     /*  654600 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(654675), // Rule ID 12242 //
     /*  654605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  654616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  654619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  654654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654673 */     GIR_RootConstrainSelectedInstOperands,
     /*  654674 */     // GIR_Coverage, 12242,
     /*  654674 */     GIR_EraseRootFromParent_Done,
     /*  654675 */   // Label 10463: @654675
     /*  654675 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(654750), // Rule ID 12243 //
     /*  654680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  654691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  654694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  654697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  654700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  654729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654748 */     GIR_RootConstrainSelectedInstOperands,
     /*  654749 */     // GIR_Coverage, 12243,
     /*  654749 */     GIR_EraseRootFromParent_Done,
     /*  654750 */   // Label 10464: @654750
     /*  654750 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(654825), // Rule ID 12246 //
     /*  654755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  654804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654823 */     GIR_RootConstrainSelectedInstOperands,
     /*  654824 */     // GIR_Coverage, 12246,
     /*  654824 */     GIR_EraseRootFromParent_Done,
     /*  654825 */   // Label 10465: @654825
     /*  654825 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(654900), // Rule ID 12247 //
     /*  654830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  654841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  654844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  654847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  654850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  654879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654898 */     GIR_RootConstrainSelectedInstOperands,
     /*  654899 */     // GIR_Coverage, 12247,
     /*  654899 */     GIR_EraseRootFromParent_Done,
     /*  654900 */   // Label 10466: @654900
     /*  654900 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(654975), // Rule ID 12250 //
     /*  654905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  654925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  654944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  654954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654973 */     GIR_RootConstrainSelectedInstOperands,
     /*  654974 */     // GIR_Coverage, 12250,
     /*  654974 */     GIR_EraseRootFromParent_Done,
     /*  654975 */   // Label 10467: @654975
     /*  654975 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655050), // Rule ID 12251 //
     /*  654980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  654988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  654997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  655000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  655029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655048 */     GIR_RootConstrainSelectedInstOperands,
     /*  655049 */     // GIR_Coverage, 12251,
     /*  655049 */     GIR_EraseRootFromParent_Done,
     /*  655050 */   // Label 10468: @655050
     /*  655050 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655125), // Rule ID 12254 //
     /*  655055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  655104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655123 */     GIR_RootConstrainSelectedInstOperands,
     /*  655124 */     // GIR_Coverage, 12254,
     /*  655124 */     GIR_EraseRootFromParent_Done,
     /*  655125 */   // Label 10469: @655125
     /*  655125 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655200), // Rule ID 12255 //
     /*  655130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  655141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  655144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  655147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  655150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  655179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655198 */     GIR_RootConstrainSelectedInstOperands,
     /*  655199 */     // GIR_Coverage, 12255,
     /*  655199 */     GIR_EraseRootFromParent_Done,
     /*  655200 */   // Label 10470: @655200
     /*  655200 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655275), // Rule ID 12258 //
     /*  655205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  655216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  655219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  655251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  655254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655273 */     GIR_RootConstrainSelectedInstOperands,
     /*  655274 */     // GIR_Coverage, 12258,
     /*  655274 */     GIR_EraseRootFromParent_Done,
     /*  655275 */   // Label 10471: @655275
     /*  655275 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655350), // Rule ID 12259 //
     /*  655280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  655291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  655294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  655297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  655300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  655326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  655329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  655345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655348 */     GIR_RootConstrainSelectedInstOperands,
     /*  655349 */     // GIR_Coverage, 12259,
     /*  655349 */     GIR_EraseRootFromParent_Done,
     /*  655350 */   // Label 10472: @655350
     /*  655350 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(655425), // Rule ID 12262 //
     /*  655355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  655366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  655369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  655404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655423 */     GIR_RootConstrainSelectedInstOperands,
     /*  655424 */     // GIR_Coverage, 12262,
     /*  655424 */     GIR_EraseRootFromParent_Done,
     /*  655425 */   // Label 10473: @655425
     /*  655425 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(655500), // Rule ID 12263 //
     /*  655430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  655441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  655444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  655447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  655450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  655479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655498 */     GIR_RootConstrainSelectedInstOperands,
     /*  655499 */     // GIR_Coverage, 12263,
     /*  655499 */     GIR_EraseRootFromParent_Done,
     /*  655500 */   // Label 10474: @655500
     /*  655500 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(655575), // Rule ID 12266 //
     /*  655505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  655516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  655519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  655554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655573 */     GIR_RootConstrainSelectedInstOperands,
     /*  655574 */     // GIR_Coverage, 12266,
     /*  655574 */     GIR_EraseRootFromParent_Done,
     /*  655575 */   // Label 10475: @655575
     /*  655575 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(655650), // Rule ID 12267 //
     /*  655580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  655591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  655594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  655597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  655600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  655629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655648 */     GIR_RootConstrainSelectedInstOperands,
     /*  655649 */     // GIR_Coverage, 12267,
     /*  655649 */     GIR_EraseRootFromParent_Done,
     /*  655650 */   // Label 10476: @655650
     /*  655650 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(655725), // Rule ID 12270 //
     /*  655655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  655666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  655669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  655704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655723 */     GIR_RootConstrainSelectedInstOperands,
     /*  655724 */     // GIR_Coverage, 12270,
     /*  655724 */     GIR_EraseRootFromParent_Done,
     /*  655725 */   // Label 10477: @655725
     /*  655725 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(655800), // Rule ID 12271 //
     /*  655730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  655741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  655744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  655747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  655750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  655779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655798 */     GIR_RootConstrainSelectedInstOperands,
     /*  655799 */     // GIR_Coverage, 12271,
     /*  655799 */     GIR_EraseRootFromParent_Done,
     /*  655800 */   // Label 10478: @655800
     /*  655800 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(655875), // Rule ID 12274 //
     /*  655805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  655808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  655854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655873 */     GIR_RootConstrainSelectedInstOperands,
     /*  655874 */     // GIR_Coverage, 12274,
     /*  655874 */     GIR_EraseRootFromParent_Done,
     /*  655875 */   // Label 10479: @655875
     /*  655875 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(655950), // Rule ID 12275 //
     /*  655880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  655883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  655897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  655900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  655929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655948 */     GIR_RootConstrainSelectedInstOperands,
     /*  655949 */     // GIR_Coverage, 12275,
     /*  655949 */     GIR_EraseRootFromParent_Done,
     /*  655950 */   // Label 10480: @655950
     /*  655950 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(656025), // Rule ID 12278 //
     /*  655955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  655963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  655966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  655969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  656004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656023 */     GIR_RootConstrainSelectedInstOperands,
     /*  656024 */     // GIR_Coverage, 12278,
     /*  656024 */     GIR_EraseRootFromParent_Done,
     /*  656025 */   // Label 10481: @656025
     /*  656025 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656100), // Rule ID 12279 //
     /*  656030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  656047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  656079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656098 */     GIR_RootConstrainSelectedInstOperands,
     /*  656099 */     // GIR_Coverage, 12279,
     /*  656099 */     GIR_EraseRootFromParent_Done,
     /*  656100 */   // Label 10482: @656100
     /*  656100 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656175), // Rule ID 12282 //
     /*  656105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  656116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  656119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  656122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  656154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656173 */     GIR_RootConstrainSelectedInstOperands,
     /*  656174 */     // GIR_Coverage, 12282,
     /*  656174 */     GIR_EraseRootFromParent_Done,
     /*  656175 */   // Label 10483: @656175
     /*  656175 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656250), // Rule ID 12283 //
     /*  656180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  656191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  656194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  656197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  656229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656248 */     GIR_RootConstrainSelectedInstOperands,
     /*  656249 */     // GIR_Coverage, 12283,
     /*  656249 */     GIR_EraseRootFromParent_Done,
     /*  656250 */   // Label 10484: @656250
     /*  656250 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656325), // Rule ID 12286 //
     /*  656255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  656272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  656304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656323 */     GIR_RootConstrainSelectedInstOperands,
     /*  656324 */     // GIR_Coverage, 12286,
     /*  656324 */     GIR_EraseRootFromParent_Done,
     /*  656325 */   // Label 10485: @656325
     /*  656325 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(656400), // Rule ID 12287 //
     /*  656330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  656347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11289:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  656379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656398 */     GIR_RootConstrainSelectedInstOperands,
     /*  656399 */     // GIR_Coverage, 12287,
     /*  656399 */     GIR_EraseRootFromParent_Done,
     /*  656400 */   // Label 10486: @656400
     /*  656400 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(656475), // Rule ID 12290 //
     /*  656405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  656454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656473 */     GIR_RootConstrainSelectedInstOperands,
     /*  656474 */     // GIR_Coverage, 12290,
     /*  656474 */     GIR_EraseRootFromParent_Done,
     /*  656475 */   // Label 10487: @656475
     /*  656475 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(656550), // Rule ID 12291 //
     /*  656480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  656491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  656494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  656529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656548 */     GIR_RootConstrainSelectedInstOperands,
     /*  656549 */     // GIR_Coverage, 12291,
     /*  656549 */     GIR_EraseRootFromParent_Done,
     /*  656550 */   // Label 10488: @656550
     /*  656550 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(656625), // Rule ID 12294 //
     /*  656555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  656604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656623 */     GIR_RootConstrainSelectedInstOperands,
     /*  656624 */     // GIR_Coverage, 12294,
     /*  656624 */     GIR_EraseRootFromParent_Done,
     /*  656625 */   // Label 10489: @656625
     /*  656625 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(656700), // Rule ID 12295 //
     /*  656630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  656641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  656644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  656647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  656665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  656679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656698 */     GIR_RootConstrainSelectedInstOperands,
     /*  656699 */     // GIR_Coverage, 12295,
     /*  656699 */     GIR_EraseRootFromParent_Done,
     /*  656700 */   // Label 10490: @656700
     /*  656700 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(656775), // Rule ID 12298 //
     /*  656705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  656716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  656719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  656754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656773 */     GIR_RootConstrainSelectedInstOperands,
     /*  656774 */     // GIR_Coverage, 12298,
     /*  656774 */     GIR_EraseRootFromParent_Done,
     /*  656775 */   // Label 10491: @656775
     /*  656775 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(656850), // Rule ID 12299 //
     /*  656780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  656791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  656794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  656797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  656811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  656815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  656829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656848 */     GIR_RootConstrainSelectedInstOperands,
     /*  656849 */     // GIR_Coverage, 12299,
     /*  656849 */     GIR_EraseRootFromParent_Done,
     /*  656850 */   // Label 10492: @656850
     /*  656850 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(656925), // Rule ID 12302 //
     /*  656855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  656904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656923 */     GIR_RootConstrainSelectedInstOperands,
     /*  656924 */     // GIR_Coverage, 12302,
     /*  656924 */     GIR_EraseRootFromParent_Done,
     /*  656925 */   // Label 10493: @656925
     /*  656925 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(657000), // Rule ID 12303 //
     /*  656930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  656938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  656979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656998 */     GIR_RootConstrainSelectedInstOperands,
     /*  656999 */     // GIR_Coverage, 12303,
     /*  656999 */     GIR_EraseRootFromParent_Done,
     /*  657000 */   // Label 10494: @657000
     /*  657000 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657075), // Rule ID 12306 //
     /*  657005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  657054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657073 */     GIR_RootConstrainSelectedInstOperands,
     /*  657074 */     // GIR_Coverage, 12306,
     /*  657074 */     GIR_EraseRootFromParent_Done,
     /*  657075 */   // Label 10495: @657075
     /*  657075 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657150), // Rule ID 12307 //
     /*  657080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  657091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  657094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  657097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  657129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657148 */     GIR_RootConstrainSelectedInstOperands,
     /*  657149 */     // GIR_Coverage, 12307,
     /*  657149 */     GIR_EraseRootFromParent_Done,
     /*  657150 */   // Label 10496: @657150
     /*  657150 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657225), // Rule ID 12310 //
     /*  657155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  657204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657223 */     GIR_RootConstrainSelectedInstOperands,
     /*  657224 */     // GIR_Coverage, 12310,
     /*  657224 */     GIR_EraseRootFromParent_Done,
     /*  657225 */   // Label 10497: @657225
     /*  657225 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657300), // Rule ID 12311 //
     /*  657230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  657241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  657244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  657247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  657279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657298 */     GIR_RootConstrainSelectedInstOperands,
     /*  657299 */     // GIR_Coverage, 12311,
     /*  657299 */     GIR_EraseRootFromParent_Done,
     /*  657300 */   // Label 10498: @657300
     /*  657300 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657375), // Rule ID 12314 //
     /*  657305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  657354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657373 */     GIR_RootConstrainSelectedInstOperands,
     /*  657374 */     // GIR_Coverage, 12314,
     /*  657374 */     GIR_EraseRootFromParent_Done,
     /*  657375 */   // Label 10499: @657375
     /*  657375 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(657450), // Rule ID 12315 //
     /*  657380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  657391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  657394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  657429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657448 */     GIR_RootConstrainSelectedInstOperands,
     /*  657449 */     // GIR_Coverage, 12315,
     /*  657449 */     GIR_EraseRootFromParent_Done,
     /*  657450 */   // Label 10500: @657450
     /*  657450 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(657525), // Rule ID 12318 //
     /*  657455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  657504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657523 */     GIR_RootConstrainSelectedInstOperands,
     /*  657524 */     // GIR_Coverage, 12318,
     /*  657524 */     GIR_EraseRootFromParent_Done,
     /*  657525 */   // Label 10501: @657525
     /*  657525 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(657600), // Rule ID 12319 //
     /*  657530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  657541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  657544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  657579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657598 */     GIR_RootConstrainSelectedInstOperands,
     /*  657599 */     // GIR_Coverage, 12319,
     /*  657599 */     GIR_EraseRootFromParent_Done,
     /*  657600 */   // Label 10502: @657600
     /*  657600 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(657675), // Rule ID 12322 //
     /*  657605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  657616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  657619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  657654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657673 */     GIR_RootConstrainSelectedInstOperands,
     /*  657674 */     // GIR_Coverage, 12322,
     /*  657674 */     GIR_EraseRootFromParent_Done,
     /*  657675 */   // Label 10503: @657675
     /*  657675 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(657750), // Rule ID 12323 //
     /*  657680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  657691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  657694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  657697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  657729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657748 */     GIR_RootConstrainSelectedInstOperands,
     /*  657749 */     // GIR_Coverage, 12323,
     /*  657749 */     GIR_EraseRootFromParent_Done,
     /*  657750 */   // Label 10504: @657750
     /*  657750 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(657825), // Rule ID 12326 //
     /*  657755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  657766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  657769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  657804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657823 */     GIR_RootConstrainSelectedInstOperands,
     /*  657824 */     // GIR_Coverage, 12326,
     /*  657824 */     GIR_EraseRootFromParent_Done,
     /*  657825 */   // Label 10505: @657825
     /*  657825 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(657900), // Rule ID 12327 //
     /*  657830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  657841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  657844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  657847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  657876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  657879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657898 */     GIR_RootConstrainSelectedInstOperands,
     /*  657899 */     // GIR_Coverage, 12327,
     /*  657899 */     GIR_EraseRootFromParent_Done,
     /*  657900 */   // Label 10506: @657900
     /*  657900 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(657975), // Rule ID 12330 //
     /*  657905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  657908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  657916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  657919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  657951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  657954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  657970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657973 */     GIR_RootConstrainSelectedInstOperands,
     /*  657974 */     // GIR_Coverage, 12330,
     /*  657974 */     GIR_EraseRootFromParent_Done,
     /*  657975 */   // Label 10507: @657975
     /*  657975 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658050), // Rule ID 12331 //
     /*  657980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  657983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  657988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  657991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  657994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  657997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  658029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658048 */     GIR_RootConstrainSelectedInstOperands,
     /*  658049 */     // GIR_Coverage, 12331,
     /*  658049 */     GIR_EraseRootFromParent_Done,
     /*  658050 */   // Label 10508: @658050
     /*  658050 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658125), // Rule ID 12334 //
     /*  658055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  658058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  658063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  658104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658123 */     GIR_RootConstrainSelectedInstOperands,
     /*  658124 */     // GIR_Coverage, 12334,
     /*  658124 */     GIR_EraseRootFromParent_Done,
     /*  658125 */   // Label 10509: @658125
     /*  658125 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658200), // Rule ID 12335 //
     /*  658130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  658133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  658138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  658179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658198 */     GIR_RootConstrainSelectedInstOperands,
     /*  658199 */     // GIR_Coverage, 12335,
     /*  658199 */     GIR_EraseRootFromParent_Done,
     /*  658200 */   // Label 10510: @658200
     /*  658200 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658275), // Rule ID 12338 //
     /*  658205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  658216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  658219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  658222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  658254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658273 */     GIR_RootConstrainSelectedInstOperands,
     /*  658274 */     // GIR_Coverage, 12338,
     /*  658274 */     GIR_EraseRootFromParent_Done,
     /*  658275 */   // Label 10511: @658275
     /*  658275 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658350), // Rule ID 12339 //
     /*  658280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  658291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  658294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  658297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658326 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  658329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658348 */     GIR_RootConstrainSelectedInstOperands,
     /*  658349 */     // GIR_Coverage, 12339,
     /*  658349 */     GIR_EraseRootFromParent_Done,
     /*  658350 */   // Label 10512: @658350
     /*  658350 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(658425), // Rule ID 12342 //
     /*  658355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  658372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658401 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  658404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658423 */     GIR_RootConstrainSelectedInstOperands,
     /*  658424 */     // GIR_Coverage, 12342,
     /*  658424 */     GIR_EraseRootFromParent_Done,
     /*  658425 */   // Label 10513: @658425
     /*  658425 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(658500), // Rule ID 12343 //
     /*  658430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  658441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  658444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  658447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  658450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  658479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658498 */     GIR_RootConstrainSelectedInstOperands,
     /*  658499 */     // GIR_Coverage, 12343,
     /*  658499 */     GIR_EraseRootFromParent_Done,
     /*  658500 */   // Label 10514: @658500
     /*  658500 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(658575), // Rule ID 12346 //
     /*  658505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  658522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  658554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658573 */     GIR_RootConstrainSelectedInstOperands,
     /*  658574 */     // GIR_Coverage, 12346,
     /*  658574 */     GIR_EraseRootFromParent_Done,
     /*  658575 */   // Label 10515: @658575
     /*  658575 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(658650), // Rule ID 12347 //
     /*  658580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  658591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  658594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  658597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  658600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  658629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658648 */     GIR_RootConstrainSelectedInstOperands,
     /*  658649 */     // GIR_Coverage, 12347,
     /*  658649 */     GIR_EraseRootFromParent_Done,
     /*  658650 */   // Label 10516: @658650
     /*  658650 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(658725), // Rule ID 12350 //
     /*  658655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  658672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658701 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  658704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658723 */     GIR_RootConstrainSelectedInstOperands,
     /*  658724 */     // GIR_Coverage, 12350,
     /*  658724 */     GIR_EraseRootFromParent_Done,
     /*  658725 */   // Label 10517: @658725
     /*  658725 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(658800), // Rule ID 12351 //
     /*  658730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  658741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  658744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  658747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  658750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  658779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658798 */     GIR_RootConstrainSelectedInstOperands,
     /*  658799 */     // GIR_Coverage, 12351,
     /*  658799 */     GIR_EraseRootFromParent_Done,
     /*  658800 */   // Label 10518: @658800
     /*  658800 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(658875), // Rule ID 12354 //
     /*  658805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658851 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  658854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658873 */     GIR_RootConstrainSelectedInstOperands,
     /*  658874 */     // GIR_Coverage, 12354,
     /*  658874 */     GIR_EraseRootFromParent_Done,
     /*  658875 */   // Label 10519: @658875
     /*  658875 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(658950), // Rule ID 12355 //
     /*  658880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  658891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  658894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  658897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  658900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658926 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  658926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  658929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658948 */     GIR_RootConstrainSelectedInstOperands,
     /*  658949 */     // GIR_Coverage, 12355,
     /*  658949 */     GIR_EraseRootFromParent_Done,
     /*  658950 */   // Label 10520: @658950
     /*  658950 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(659025), // Rule ID 12358 //
     /*  658955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  658963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  658966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  658969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  658972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  658975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659001 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  659004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659023 */     GIR_RootConstrainSelectedInstOperands,
     /*  659024 */     // GIR_Coverage, 12358,
     /*  659024 */     GIR_EraseRootFromParent_Done,
     /*  659025 */   // Label 10521: @659025
     /*  659025 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659100), // Rule ID 12359 //
     /*  659030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  659041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  659044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  659047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659076 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  659079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659098 */     GIR_RootConstrainSelectedInstOperands,
     /*  659099 */     // GIR_Coverage, 12359,
     /*  659099 */     GIR_EraseRootFromParent_Done,
     /*  659100 */   // Label 10522: @659100
     /*  659100 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659175), // Rule ID 12362 //
     /*  659105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  659154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659173 */     GIR_RootConstrainSelectedInstOperands,
     /*  659174 */     // GIR_Coverage, 12362,
     /*  659174 */     GIR_EraseRootFromParent_Done,
     /*  659175 */   // Label 10523: @659175
     /*  659175 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659250), // Rule ID 12363 //
     /*  659180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  659191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  659194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  659229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659248 */     GIR_RootConstrainSelectedInstOperands,
     /*  659249 */     // GIR_Coverage, 12363,
     /*  659249 */     GIR_EraseRootFromParent_Done,
     /*  659250 */   // Label 10524: @659250
     /*  659250 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659325), // Rule ID 12366 //
     /*  659255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  659266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  659269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  659304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659323 */     GIR_RootConstrainSelectedInstOperands,
     /*  659324 */     // GIR_Coverage, 12366,
     /*  659324 */     GIR_EraseRootFromParent_Done,
     /*  659325 */   // Label 10525: @659325
     /*  659325 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(659400), // Rule ID 12367 //
     /*  659330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  659341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  659344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659376 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  659379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659398 */     GIR_RootConstrainSelectedInstOperands,
     /*  659399 */     // GIR_Coverage, 12367,
     /*  659399 */     GIR_EraseRootFromParent_Done,
     /*  659400 */   // Label 10526: @659400
     /*  659400 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(659475), // Rule ID 12370 //
     /*  659405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  659416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  659454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659473 */     GIR_RootConstrainSelectedInstOperands,
     /*  659474 */     // GIR_Coverage, 12370,
     /*  659474 */     GIR_EraseRootFromParent_Done,
     /*  659475 */   // Label 10527: @659475
     /*  659475 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(659550), // Rule ID 12371 //
     /*  659480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  659491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  659494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  659500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  659529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659548 */     GIR_RootConstrainSelectedInstOperands,
     /*  659549 */     // GIR_Coverage, 12371,
     /*  659549 */     GIR_EraseRootFromParent_Done,
     /*  659550 */   // Label 10528: @659550
     /*  659550 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(659625), // Rule ID 12374 //
     /*  659555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659601 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  659604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659623 */     GIR_RootConstrainSelectedInstOperands,
     /*  659624 */     // GIR_Coverage, 12374,
     /*  659624 */     GIR_EraseRootFromParent_Done,
     /*  659625 */   // Label 10529: @659625
     /*  659625 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(659700), // Rule ID 12375 //
     /*  659630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  659641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  659644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  659650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659676 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  659679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659698 */     GIR_RootConstrainSelectedInstOperands,
     /*  659699 */     // GIR_Coverage, 12375,
     /*  659699 */     GIR_EraseRootFromParent_Done,
     /*  659700 */   // Label 10530: @659700
     /*  659700 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(659775), // Rule ID 12378 //
     /*  659705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  659716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  659719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  659754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659773 */     GIR_RootConstrainSelectedInstOperands,
     /*  659774 */     // GIR_Coverage, 12378,
     /*  659774 */     GIR_EraseRootFromParent_Done,
     /*  659775 */   // Label 10531: @659775
     /*  659775 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(659850), // Rule ID 12379 //
     /*  659780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  659791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  659794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  659800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  659829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659848 */     GIR_RootConstrainSelectedInstOperands,
     /*  659849 */     // GIR_Coverage, 12379,
     /*  659849 */     GIR_EraseRootFromParent_Done,
     /*  659850 */   // Label 10532: @659850
     /*  659850 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(659925), // Rule ID 12382 //
     /*  659855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  659858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  659866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  659869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  659901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  659904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659923 */     GIR_RootConstrainSelectedInstOperands,
     /*  659924 */     // GIR_Coverage, 12382,
     /*  659924 */     GIR_EraseRootFromParent_Done,
     /*  659925 */   // Label 10533: @659925
     /*  659925 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(660000), // Rule ID 12383 //
     /*  659930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  659933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  659938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  659941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  659944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  659950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659976 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  659976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  659979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  659995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659998 */     GIR_RootConstrainSelectedInstOperands,
     /*  659999 */     // GIR_Coverage, 12383,
     /*  659999 */     GIR_EraseRootFromParent_Done,
     /*  660000 */   // Label 10534: @660000
     /*  660000 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660075), // Rule ID 12386 //
     /*  660005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  660016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  660019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  660054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660073 */     GIR_RootConstrainSelectedInstOperands,
     /*  660074 */     // GIR_Coverage, 12386,
     /*  660074 */     GIR_EraseRootFromParent_Done,
     /*  660075 */   // Label 10535: @660075
     /*  660075 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660150), // Rule ID 12387 //
     /*  660080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  660091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  660094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  660129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660148 */     GIR_RootConstrainSelectedInstOperands,
     /*  660149 */     // GIR_Coverage, 12387,
     /*  660149 */     GIR_EraseRootFromParent_Done,
     /*  660150 */   // Label 10536: @660150
     /*  660150 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660225), // Rule ID 12390 //
     /*  660155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  660166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  660169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660201 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  660204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660223 */     GIR_RootConstrainSelectedInstOperands,
     /*  660224 */     // GIR_Coverage, 12390,
     /*  660224 */     GIR_EraseRootFromParent_Done,
     /*  660225 */   // Label 10537: @660225
     /*  660225 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660300), // Rule ID 12391 //
     /*  660230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  660241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  660244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  660279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660298 */     GIR_RootConstrainSelectedInstOperands,
     /*  660299 */     // GIR_Coverage, 12391,
     /*  660299 */     GIR_EraseRootFromParent_Done,
     /*  660300 */   // Label 10538: @660300
     /*  660300 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660375), // Rule ID 12394 //
     /*  660305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  660316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  660319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  660354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660373 */     GIR_RootConstrainSelectedInstOperands,
     /*  660374 */     // GIR_Coverage, 12394,
     /*  660374 */     GIR_EraseRootFromParent_Done,
     /*  660375 */   // Label 10539: @660375
     /*  660375 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(660450), // Rule ID 12395 //
     /*  660380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  660391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  660394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  660400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  660429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660448 */     GIR_RootConstrainSelectedInstOperands,
     /*  660449 */     // GIR_Coverage, 12395,
     /*  660449 */     GIR_EraseRootFromParent_Done,
     /*  660450 */   // Label 10540: @660450
     /*  660450 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(660525), // Rule ID 12398 //
     /*  660455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  660472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660501 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  660504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660523 */     GIR_RootConstrainSelectedInstOperands,
     /*  660524 */     // GIR_Coverage, 12398,
     /*  660524 */     GIR_EraseRootFromParent_Done,
     /*  660525 */   // Label 10541: @660525
     /*  660525 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(660600), // Rule ID 12399 //
     /*  660530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  660541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  660544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  660547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  660579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660598 */     GIR_RootConstrainSelectedInstOperands,
     /*  660599 */     // GIR_Coverage, 12399,
     /*  660599 */     GIR_EraseRootFromParent_Done,
     /*  660600 */   // Label 10542: @660600
     /*  660600 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(660675), // Rule ID 12402 //
     /*  660605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  660622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  660654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660673 */     GIR_RootConstrainSelectedInstOperands,
     /*  660674 */     // GIR_Coverage, 12402,
     /*  660674 */     GIR_EraseRootFromParent_Done,
     /*  660675 */   // Label 10543: @660675
     /*  660675 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(660750), // Rule ID 12403 //
     /*  660680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  660697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  660729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660748 */     GIR_RootConstrainSelectedInstOperands,
     /*  660749 */     // GIR_Coverage, 12403,
     /*  660749 */     GIR_EraseRootFromParent_Done,
     /*  660750 */   // Label 10544: @660750
     /*  660750 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(660825), // Rule ID 12406 //
     /*  660755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  660772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660801 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  660804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660823 */     GIR_RootConstrainSelectedInstOperands,
     /*  660824 */     // GIR_Coverage, 12406,
     /*  660824 */     GIR_EraseRootFromParent_Done,
     /*  660825 */   // Label 10545: @660825
     /*  660825 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(660900), // Rule ID 12407 //
     /*  660830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  660847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  660850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11293:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  660876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  660879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660898 */     GIR_RootConstrainSelectedInstOperands,
     /*  660899 */     // GIR_Coverage, 12407,
     /*  660899 */     GIR_EraseRootFromParent_Done,
     /*  660900 */   // Label 10546: @660900
     /*  660900 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(660975), // Rule ID 12410 //
     /*  660905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  660922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  660925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  660944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660951 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  660951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  660954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  660970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660973 */     GIR_RootConstrainSelectedInstOperands,
     /*  660974 */     // GIR_Coverage, 12410,
     /*  660974 */     GIR_EraseRootFromParent_Done,
     /*  660975 */   // Label 10547: @660975
     /*  660975 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661050), // Rule ID 12411 //
     /*  660980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  660988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  660997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  661029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661048 */     GIR_RootConstrainSelectedInstOperands,
     /*  661049 */     // GIR_Coverage, 12411,
     /*  661049 */     GIR_EraseRootFromParent_Done,
     /*  661050 */   // Label 10548: @661050
     /*  661050 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661125), // Rule ID 12414 //
     /*  661055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  661066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  661069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  661072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661101 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  661104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661123 */     GIR_RootConstrainSelectedInstOperands,
     /*  661124 */     // GIR_Coverage, 12414,
     /*  661124 */     GIR_EraseRootFromParent_Done,
     /*  661125 */   // Label 10549: @661125
     /*  661125 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661200), // Rule ID 12415 //
     /*  661130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  661141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  661144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  661147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661176 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  661179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661198 */     GIR_RootConstrainSelectedInstOperands,
     /*  661199 */     // GIR_Coverage, 12415,
     /*  661199 */     GIR_EraseRootFromParent_Done,
     /*  661200 */   // Label 10550: @661200
     /*  661200 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661275), // Rule ID 12418 //
     /*  661205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  661216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  661219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  661222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661251 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  661254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661273 */     GIR_RootConstrainSelectedInstOperands,
     /*  661274 */     // GIR_Coverage, 12418,
     /*  661274 */     GIR_EraseRootFromParent_Done,
     /*  661275 */   // Label 10551: @661275
     /*  661275 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661350), // Rule ID 12419 //
     /*  661280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  661291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  661294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  661297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  661329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661348 */     GIR_RootConstrainSelectedInstOperands,
     /*  661349 */     // GIR_Coverage, 12419,
     /*  661349 */     GIR_EraseRootFromParent_Done,
     /*  661350 */   // Label 10552: @661350
     /*  661350 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(661425), // Rule ID 12422 //
     /*  661355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  661366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  661369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  661404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661423 */     GIR_RootConstrainSelectedInstOperands,
     /*  661424 */     // GIR_Coverage, 12422,
     /*  661424 */     GIR_EraseRootFromParent_Done,
     /*  661425 */   // Label 10553: @661425
     /*  661425 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(661500), // Rule ID 12423 //
     /*  661430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  661441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  661444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  661479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661498 */     GIR_RootConstrainSelectedInstOperands,
     /*  661499 */     // GIR_Coverage, 12423,
     /*  661499 */     GIR_EraseRootFromParent_Done,
     /*  661500 */   // Label 10554: @661500
     /*  661500 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(661575), // Rule ID 12426 //
     /*  661505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  661554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661573 */     GIR_RootConstrainSelectedInstOperands,
     /*  661574 */     // GIR_Coverage, 12426,
     /*  661574 */     GIR_EraseRootFromParent_Done,
     /*  661575 */   // Label 10555: @661575
     /*  661575 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(661650), // Rule ID 12427 //
     /*  661580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  661591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  661594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  661629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661648 */     GIR_RootConstrainSelectedInstOperands,
     /*  661649 */     // GIR_Coverage, 12427,
     /*  661649 */     GIR_EraseRootFromParent_Done,
     /*  661650 */   // Label 10556: @661650
     /*  661650 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(661725), // Rule ID 12430 //
     /*  661655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  661704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661723 */     GIR_RootConstrainSelectedInstOperands,
     /*  661724 */     // GIR_Coverage, 12430,
     /*  661724 */     GIR_EraseRootFromParent_Done,
     /*  661725 */   // Label 10557: @661725
     /*  661725 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(661800), // Rule ID 12431 //
     /*  661730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  661741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  661744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661776 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  661779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661798 */     GIR_RootConstrainSelectedInstOperands,
     /*  661799 */     // GIR_Coverage, 12431,
     /*  661799 */     GIR_EraseRootFromParent_Done,
     /*  661800 */   // Label 10558: @661800
     /*  661800 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(661875), // Rule ID 12434 //
     /*  661805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  661851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  661854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661873 */     GIR_RootConstrainSelectedInstOperands,
     /*  661874 */     // GIR_Coverage, 12434,
     /*  661874 */     GIR_EraseRootFromParent_Done,
     /*  661875 */   // Label 10559: @661875
     /*  661875 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(661950), // Rule ID 12435 //
     /*  661880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  661926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  661929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  661945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661948 */     GIR_RootConstrainSelectedInstOperands,
     /*  661949 */     // GIR_Coverage, 12435,
     /*  661949 */     GIR_EraseRootFromParent_Done,
     /*  661950 */   // Label 10560: @661950
     /*  661950 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(662025), // Rule ID 12438 //
     /*  661955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  661963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  661966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  661969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  662004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662023 */     GIR_RootConstrainSelectedInstOperands,
     /*  662024 */     // GIR_Coverage, 12438,
     /*  662024 */     GIR_EraseRootFromParent_Done,
     /*  662025 */   // Label 10561: @662025
     /*  662025 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662100), // Rule ID 12439 //
     /*  662030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  662041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  662044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  662047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662076 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  662079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662098 */     GIR_RootConstrainSelectedInstOperands,
     /*  662099 */     // GIR_Coverage, 12439,
     /*  662099 */     GIR_EraseRootFromParent_Done,
     /*  662100 */   // Label 10562: @662100
     /*  662100 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662175), // Rule ID 12442 //
     /*  662105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  662116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  662119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662151 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  662154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662173 */     GIR_RootConstrainSelectedInstOperands,
     /*  662174 */     // GIR_Coverage, 12442,
     /*  662174 */     GIR_EraseRootFromParent_Done,
     /*  662175 */   // Label 10563: @662175
     /*  662175 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662250), // Rule ID 12443 //
     /*  662180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  662191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  662194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  662229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662248 */     GIR_RootConstrainSelectedInstOperands,
     /*  662249 */     // GIR_Coverage, 12443,
     /*  662249 */     GIR_EraseRootFromParent_Done,
     /*  662250 */   // Label 10564: @662250
     /*  662250 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662325), // Rule ID 12446 //
     /*  662255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  662266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  662269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662301 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  662304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662323 */     GIR_RootConstrainSelectedInstOperands,
     /*  662324 */     // GIR_Coverage, 12446,
     /*  662324 */     GIR_EraseRootFromParent_Done,
     /*  662325 */   // Label 10565: @662325
     /*  662325 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(662400), // Rule ID 12447 //
     /*  662330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  662341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  662344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  662379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662398 */     GIR_RootConstrainSelectedInstOperands,
     /*  662399 */     // GIR_Coverage, 12447,
     /*  662399 */     GIR_EraseRootFromParent_Done,
     /*  662400 */   // Label 10566: @662400
     /*  662400 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(662475), // Rule ID 12450 //
     /*  662405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  662416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  662419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  662454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662473 */     GIR_RootConstrainSelectedInstOperands,
     /*  662474 */     // GIR_Coverage, 12450,
     /*  662474 */     GIR_EraseRootFromParent_Done,
     /*  662475 */   // Label 10567: @662475
     /*  662475 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(662550), // Rule ID 12451 //
     /*  662480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  662491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  662494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  662529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662548 */     GIR_RootConstrainSelectedInstOperands,
     /*  662549 */     // GIR_Coverage, 12451,
     /*  662549 */     GIR_EraseRootFromParent_Done,
     /*  662550 */   // Label 10568: @662550
     /*  662550 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(662625), // Rule ID 12454 //
     /*  662555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  662566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  662569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  662604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662623 */     GIR_RootConstrainSelectedInstOperands,
     /*  662624 */     // GIR_Coverage, 12454,
     /*  662624 */     GIR_EraseRootFromParent_Done,
     /*  662625 */   // Label 10569: @662625
     /*  662625 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(662700), // Rule ID 12455 //
     /*  662630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  662638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  662641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  662644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  662679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662698 */     GIR_RootConstrainSelectedInstOperands,
     /*  662699 */     // GIR_Coverage, 12455,
     /*  662699 */     GIR_EraseRootFromParent_Done,
     /*  662700 */   // Label 10570: @662700
     /*  662700 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(662775), // Rule ID 12458 //
     /*  662705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  662713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662751 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  662754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662773 */     GIR_RootConstrainSelectedInstOperands,
     /*  662774 */     // GIR_Coverage, 12458,
     /*  662774 */     GIR_EraseRootFromParent_Done,
     /*  662775 */   // Label 10571: @662775
     /*  662775 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(662850), // Rule ID 12459 //
     /*  662780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  662788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  662797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  662800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  662829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662848 */     GIR_RootConstrainSelectedInstOperands,
     /*  662849 */     // GIR_Coverage, 12459,
     /*  662849 */     GIR_EraseRootFromParent_Done,
     /*  662850 */   // Label 10572: @662850
     /*  662850 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(662925), // Rule ID 12462 //
     /*  662855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  662863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662901 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  662901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  662904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662923 */     GIR_RootConstrainSelectedInstOperands,
     /*  662924 */     // GIR_Coverage, 12462,
     /*  662924 */     GIR_EraseRootFromParent_Done,
     /*  662925 */   // Label 10573: @662925
     /*  662925 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(663000), // Rule ID 12463 //
     /*  662930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  662938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  662947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  662950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  662979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662998 */     GIR_RootConstrainSelectedInstOperands,
     /*  662999 */     // GIR_Coverage, 12463,
     /*  662999 */     GIR_EraseRootFromParent_Done,
     /*  663000 */   // Label 10574: @663000
     /*  663000 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663075), // Rule ID 12466 //
     /*  663005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  663054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663073 */     GIR_RootConstrainSelectedInstOperands,
     /*  663074 */     // GIR_Coverage, 12466,
     /*  663074 */     GIR_EraseRootFromParent_Done,
     /*  663075 */   // Label 10575: @663075
     /*  663075 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663150), // Rule ID 12467 //
     /*  663080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  663091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  663094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  663097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  663129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663148 */     GIR_RootConstrainSelectedInstOperands,
     /*  663149 */     // GIR_Coverage, 12467,
     /*  663149 */     GIR_EraseRootFromParent_Done,
     /*  663150 */   // Label 10576: @663150
     /*  663150 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663225), // Rule ID 12470 //
     /*  663155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  663166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  663169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  663204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663223 */     GIR_RootConstrainSelectedInstOperands,
     /*  663224 */     // GIR_Coverage, 12470,
     /*  663224 */     GIR_EraseRootFromParent_Done,
     /*  663225 */   // Label 10577: @663225
     /*  663225 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663300), // Rule ID 12471 //
     /*  663230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  663241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  663244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  663247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663276 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  663279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663298 */     GIR_RootConstrainSelectedInstOperands,
     /*  663299 */     // GIR_Coverage, 12471,
     /*  663299 */     GIR_EraseRootFromParent_Done,
     /*  663300 */   // Label 10578: @663300
     /*  663300 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663375), // Rule ID 12474 //
     /*  663305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  663322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  663354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663373 */     GIR_RootConstrainSelectedInstOperands,
     /*  663374 */     // GIR_Coverage, 12474,
     /*  663374 */     GIR_EraseRootFromParent_Done,
     /*  663375 */   // Label 10579: @663375
     /*  663375 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(663450), // Rule ID 12475 //
     /*  663380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  663391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  663394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  663397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  663400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  663429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663448 */     GIR_RootConstrainSelectedInstOperands,
     /*  663449 */     // GIR_Coverage, 12475,
     /*  663449 */     GIR_EraseRootFromParent_Done,
     /*  663450 */   // Label 10580: @663450
     /*  663450 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(663525), // Rule ID 12478 //
     /*  663455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  663466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  663469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  663504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663523 */     GIR_RootConstrainSelectedInstOperands,
     /*  663524 */     // GIR_Coverage, 12478,
     /*  663524 */     GIR_EraseRootFromParent_Done,
     /*  663525 */   // Label 10581: @663525
     /*  663525 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(663600), // Rule ID 12479 //
     /*  663530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  663541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  663544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  663547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  663550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663576 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  663579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663598 */     GIR_RootConstrainSelectedInstOperands,
     /*  663599 */     // GIR_Coverage, 12479,
     /*  663599 */     GIR_EraseRootFromParent_Done,
     /*  663600 */   // Label 10582: @663600
     /*  663600 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(663675), // Rule ID 12482 //
     /*  663605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663651 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  663654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663673 */     GIR_RootConstrainSelectedInstOperands,
     /*  663674 */     // GIR_Coverage, 12482,
     /*  663674 */     GIR_EraseRootFromParent_Done,
     /*  663675 */   // Label 10583: @663675
     /*  663675 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(663750), // Rule ID 12483 //
     /*  663680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  663691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  663694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  663700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  663729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663748 */     GIR_RootConstrainSelectedInstOperands,
     /*  663749 */     // GIR_Coverage, 12483,
     /*  663749 */     GIR_EraseRootFromParent_Done,
     /*  663750 */   // Label 10584: @663750
     /*  663750 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(663825), // Rule ID 12486 //
     /*  663755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  663804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663823 */     GIR_RootConstrainSelectedInstOperands,
     /*  663824 */     // GIR_Coverage, 12486,
     /*  663824 */     GIR_EraseRootFromParent_Done,
     /*  663825 */   // Label 10585: @663825
     /*  663825 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(663900), // Rule ID 12487 //
     /*  663830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  663850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  663876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  663879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663898 */     GIR_RootConstrainSelectedInstOperands,
     /*  663899 */     // GIR_Coverage, 12487,
     /*  663899 */     GIR_EraseRootFromParent_Done,
     /*  663900 */   // Label 10586: @663900
     /*  663900 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(663975), // Rule ID 12490 //
     /*  663905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  663925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  663951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  663954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  663970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663973 */     GIR_RootConstrainSelectedInstOperands,
     /*  663974 */     // GIR_Coverage, 12490,
     /*  663974 */     GIR_EraseRootFromParent_Done,
     /*  663975 */   // Label 10587: @663975
     /*  663975 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664050), // Rule ID 12491 //
     /*  663980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  663988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664026 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  664029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664048 */     GIR_RootConstrainSelectedInstOperands,
     /*  664049 */     // GIR_Coverage, 12491,
     /*  664049 */     GIR_EraseRootFromParent_Done,
     /*  664050 */   // Label 10588: @664050
     /*  664050 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664125), // Rule ID 12494 //
     /*  664055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664101 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  664104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664123 */     GIR_RootConstrainSelectedInstOperands,
     /*  664124 */     // GIR_Coverage, 12494,
     /*  664124 */     GIR_EraseRootFromParent_Done,
     /*  664125 */   // Label 10589: @664125
     /*  664125 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664200), // Rule ID 12495 //
     /*  664130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  664141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  664144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  664147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  664179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664198 */     GIR_RootConstrainSelectedInstOperands,
     /*  664199 */     // GIR_Coverage, 12495,
     /*  664199 */     GIR_EraseRootFromParent_Done,
     /*  664200 */   // Label 10590: @664200
     /*  664200 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664275), // Rule ID 12498 //
     /*  664205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  664254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664273 */     GIR_RootConstrainSelectedInstOperands,
     /*  664274 */     // GIR_Coverage, 12498,
     /*  664274 */     GIR_EraseRootFromParent_Done,
     /*  664275 */   // Label 10591: @664275
     /*  664275 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664350), // Rule ID 12499 //
     /*  664280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  664291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  664294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  664329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664348 */     GIR_RootConstrainSelectedInstOperands,
     /*  664349 */     // GIR_Coverage, 12499,
     /*  664349 */     GIR_EraseRootFromParent_Done,
     /*  664350 */   // Label 10592: @664350
     /*  664350 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(664425), // Rule ID 12502 //
     /*  664355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664401 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  664404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664423 */     GIR_RootConstrainSelectedInstOperands,
     /*  664424 */     // GIR_Coverage, 12502,
     /*  664424 */     GIR_EraseRootFromParent_Done,
     /*  664425 */   // Label 10593: @664425
     /*  664425 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(664500), // Rule ID 12503 //
     /*  664430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  664441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  664444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  664450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664476 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  664479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664498 */     GIR_RootConstrainSelectedInstOperands,
     /*  664499 */     // GIR_Coverage, 12503,
     /*  664499 */     GIR_EraseRootFromParent_Done,
     /*  664500 */   // Label 10594: @664500
     /*  664500 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(664575), // Rule ID 12506 //
     /*  664505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664551 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  664554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664573 */     GIR_RootConstrainSelectedInstOperands,
     /*  664574 */     // GIR_Coverage, 12506,
     /*  664574 */     GIR_EraseRootFromParent_Done,
     /*  664575 */   // Label 10595: @664575
     /*  664575 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(664650), // Rule ID 12507 //
     /*  664580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  664591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  664594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  664600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  664629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664648 */     GIR_RootConstrainSelectedInstOperands,
     /*  664649 */     // GIR_Coverage, 12507,
     /*  664649 */     GIR_EraseRootFromParent_Done,
     /*  664650 */   // Label 10596: @664650
     /*  664650 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(664725), // Rule ID 12510 //
     /*  664655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  664666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  664669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664701 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  664704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664723 */     GIR_RootConstrainSelectedInstOperands,
     /*  664724 */     // GIR_Coverage, 12510,
     /*  664724 */     GIR_EraseRootFromParent_Done,
     /*  664725 */   // Label 10597: @664725
     /*  664725 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(664800), // Rule ID 12511 //
     /*  664730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  664741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  664744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  664750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  664779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664798 */     GIR_RootConstrainSelectedInstOperands,
     /*  664799 */     // GIR_Coverage, 12511,
     /*  664799 */     GIR_EraseRootFromParent_Done,
     /*  664800 */   // Label 10598: @664800
     /*  664800 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(664875), // Rule ID 12514 //
     /*  664805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  664808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  664816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  664819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  664851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  664854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664873 */     GIR_RootConstrainSelectedInstOperands,
     /*  664874 */     // GIR_Coverage, 12514,
     /*  664874 */     GIR_EraseRootFromParent_Done,
     /*  664875 */   // Label 10599: @664875
     /*  664875 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(664950), // Rule ID 12515 //
     /*  664880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  664883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  664891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  664894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  664900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664926 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  664926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  664929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  664945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664948 */     GIR_RootConstrainSelectedInstOperands,
     /*  664949 */     // GIR_Coverage, 12515,
     /*  664949 */     GIR_EraseRootFromParent_Done,
     /*  664950 */   // Label 10600: @664950
     /*  664950 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(665025), // Rule ID 12518 //
     /*  664955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  664963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  664966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  664969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  664972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  664975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  664994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665001 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  665004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665023 */     GIR_RootConstrainSelectedInstOperands,
     /*  665024 */     // GIR_Coverage, 12518,
     /*  665024 */     GIR_EraseRootFromParent_Done,
     /*  665025 */   // Label 10601: @665025
     /*  665025 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665100), // Rule ID 12519 //
     /*  665030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  665041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  665044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  665047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665076 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  665079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665098 */     GIR_RootConstrainSelectedInstOperands,
     /*  665099 */     // GIR_Coverage, 12519,
     /*  665099 */     GIR_EraseRootFromParent_Done,
     /*  665100 */   // Label 10602: @665100
     /*  665100 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665175), // Rule ID 12522 //
     /*  665105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  665116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  665119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  665122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665151 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  665154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665173 */     GIR_RootConstrainSelectedInstOperands,
     /*  665174 */     // GIR_Coverage, 12522,
     /*  665174 */     GIR_EraseRootFromParent_Done,
     /*  665175 */   // Label 10603: @665175
     /*  665175 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665250), // Rule ID 12523 //
     /*  665180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  665191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  665194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  665197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  665229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665248 */     GIR_RootConstrainSelectedInstOperands,
     /*  665249 */     // GIR_Coverage, 12523,
     /*  665249 */     GIR_EraseRootFromParent_Done,
     /*  665250 */   // Label 10604: @665250
     /*  665250 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665325), // Rule ID 12526 //
     /*  665255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  665266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  665269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  665304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665323 */     GIR_RootConstrainSelectedInstOperands,
     /*  665324 */     // GIR_Coverage, 12526,
     /*  665324 */     GIR_EraseRootFromParent_Done,
     /*  665325 */   // Label 10605: @665325
     /*  665325 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(665400), // Rule ID 12527 //
     /*  665330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  665341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  665344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  665347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11291:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  665379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665398 */     GIR_RootConstrainSelectedInstOperands,
     /*  665399 */     // GIR_Coverage, 12527,
     /*  665399 */     GIR_EraseRootFromParent_Done,
     /*  665400 */   // Label 10606: @665400
     /*  665400 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(665475), // Rule ID 12530 //
     /*  665405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  665422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  665454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665473 */     GIR_RootConstrainSelectedInstOperands,
     /*  665474 */     // GIR_Coverage, 12530,
     /*  665474 */     GIR_EraseRootFromParent_Done,
     /*  665475 */   // Label 10607: @665475
     /*  665475 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(665550), // Rule ID 12531 //
     /*  665480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  665491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  665494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  665497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  665529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665548 */     GIR_RootConstrainSelectedInstOperands,
     /*  665549 */     // GIR_Coverage, 12531,
     /*  665549 */     GIR_EraseRootFromParent_Done,
     /*  665550 */   // Label 10608: @665550
     /*  665550 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(665625), // Rule ID 12534 //
     /*  665555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  665572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665601 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  665604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665623 */     GIR_RootConstrainSelectedInstOperands,
     /*  665624 */     // GIR_Coverage, 12534,
     /*  665624 */     GIR_EraseRootFromParent_Done,
     /*  665625 */   // Label 10609: @665625
     /*  665625 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(665700), // Rule ID 12535 //
     /*  665630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  665647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  665679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665698 */     GIR_RootConstrainSelectedInstOperands,
     /*  665699 */     // GIR_Coverage, 12535,
     /*  665699 */     GIR_EraseRootFromParent_Done,
     /*  665700 */   // Label 10610: @665700
     /*  665700 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(665775), // Rule ID 12538 //
     /*  665705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  665754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665773 */     GIR_RootConstrainSelectedInstOperands,
     /*  665774 */     // GIR_Coverage, 12538,
     /*  665774 */     GIR_EraseRootFromParent_Done,
     /*  665775 */   // Label 10611: @665775
     /*  665775 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(665850), // Rule ID 12539 //
     /*  665780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  665791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  665794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  665797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665826 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  665829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665848 */     GIR_RootConstrainSelectedInstOperands,
     /*  665849 */     // GIR_Coverage, 12539,
     /*  665849 */     GIR_EraseRootFromParent_Done,
     /*  665850 */   // Label 10612: @665850
     /*  665850 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(665925), // Rule ID 12542 //
     /*  665855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665901 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  665901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  665904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665923 */     GIR_RootConstrainSelectedInstOperands,
     /*  665924 */     // GIR_Coverage, 12542,
     /*  665924 */     GIR_EraseRootFromParent_Done,
     /*  665925 */   // Label 10613: @665925
     /*  665925 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(666000), // Rule ID 12543 //
     /*  665930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  665938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  665979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665998 */     GIR_RootConstrainSelectedInstOperands,
     /*  665999 */     // GIR_Coverage, 12543,
     /*  665999 */     GIR_EraseRootFromParent_Done,
     /*  666000 */   // Label 10614: @666000
     /*  666000 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666075), // Rule ID 12546 //
     /*  666005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  666054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666073 */     GIR_RootConstrainSelectedInstOperands,
     /*  666074 */     // GIR_Coverage, 12546,
     /*  666074 */     GIR_EraseRootFromParent_Done,
     /*  666075 */   // Label 10615: @666075
     /*  666075 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666150), // Rule ID 12547 //
     /*  666080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  666091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  666094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  666097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  666129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666148 */     GIR_RootConstrainSelectedInstOperands,
     /*  666149 */     // GIR_Coverage, 12547,
     /*  666149 */     GIR_EraseRootFromParent_Done,
     /*  666150 */   // Label 10616: @666150
     /*  666150 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666225), // Rule ID 12550 //
     /*  666155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  666166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  666169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  666172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666201 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  666204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666223 */     GIR_RootConstrainSelectedInstOperands,
     /*  666224 */     // GIR_Coverage, 12550,
     /*  666224 */     GIR_EraseRootFromParent_Done,
     /*  666225 */   // Label 10617: @666225
     /*  666225 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666300), // Rule ID 12551 //
     /*  666230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  666241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  666244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  666247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  666279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666298 */     GIR_RootConstrainSelectedInstOperands,
     /*  666299 */     // GIR_Coverage, 12551,
     /*  666299 */     GIR_EraseRootFromParent_Done,
     /*  666300 */   // Label 10618: @666300
     /*  666300 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666375), // Rule ID 12554 //
     /*  666305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  666316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  666319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666351 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  666354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666373 */     GIR_RootConstrainSelectedInstOperands,
     /*  666374 */     // GIR_Coverage, 12554,
     /*  666374 */     GIR_EraseRootFromParent_Done,
     /*  666375 */   // Label 10619: @666375
     /*  666375 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(666450), // Rule ID 12555 //
     /*  666380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  666391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  666394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  666429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666448 */     GIR_RootConstrainSelectedInstOperands,
     /*  666449 */     // GIR_Coverage, 12555,
     /*  666449 */     GIR_EraseRootFromParent_Done,
     /*  666450 */   // Label 10620: @666450
     /*  666450 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(666525), // Rule ID 12558 //
     /*  666455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666501 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  666504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666523 */     GIR_RootConstrainSelectedInstOperands,
     /*  666524 */     // GIR_Coverage, 12558,
     /*  666524 */     GIR_EraseRootFromParent_Done,
     /*  666525 */   // Label 10621: @666525
     /*  666525 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(666600), // Rule ID 12559 //
     /*  666530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  666541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  666544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  666579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666598 */     GIR_RootConstrainSelectedInstOperands,
     /*  666599 */     // GIR_Coverage, 12559,
     /*  666599 */     GIR_EraseRootFromParent_Done,
     /*  666600 */   // Label 10622: @666600
     /*  666600 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(666675), // Rule ID 12562 //
     /*  666605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  666654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666673 */     GIR_RootConstrainSelectedInstOperands,
     /*  666674 */     // GIR_Coverage, 12562,
     /*  666674 */     GIR_EraseRootFromParent_Done,
     /*  666675 */   // Label 10623: @666675
     /*  666675 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(666750), // Rule ID 12563 //
     /*  666680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  666691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  666694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  666729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666748 */     GIR_RootConstrainSelectedInstOperands,
     /*  666749 */     // GIR_Coverage, 12563,
     /*  666749 */     GIR_EraseRootFromParent_Done,
     /*  666750 */   // Label 10624: @666750
     /*  666750 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(666825), // Rule ID 12566 //
     /*  666755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666801 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  666804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666823 */     GIR_RootConstrainSelectedInstOperands,
     /*  666824 */     // GIR_Coverage, 12566,
     /*  666824 */     GIR_EraseRootFromParent_Done,
     /*  666825 */   // Label 10625: @666825
     /*  666825 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(666900), // Rule ID 12567 //
     /*  666830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  666841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  666844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666876 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  666876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  666879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666898 */     GIR_RootConstrainSelectedInstOperands,
     /*  666899 */     // GIR_Coverage, 12567,
     /*  666899 */     GIR_EraseRootFromParent_Done,
     /*  666900 */   // Label 10626: @666900
     /*  666900 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(666975), // Rule ID 12570 //
     /*  666905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  666908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  666951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  666954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  666970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666973 */     GIR_RootConstrainSelectedInstOperands,
     /*  666974 */     // GIR_Coverage, 12570,
     /*  666974 */     GIR_EraseRootFromParent_Done,
     /*  666975 */   // Label 10627: @666975
     /*  666975 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667050), // Rule ID 12571 //
     /*  666980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  666983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  666988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  666991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  666994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667026 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  667029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667048 */     GIR_RootConstrainSelectedInstOperands,
     /*  667049 */     // GIR_Coverage, 12571,
     /*  667049 */     GIR_EraseRootFromParent_Done,
     /*  667050 */   // Label 10628: @667050
     /*  667050 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667125), // Rule ID 12574 //
     /*  667055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  667063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  667066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  667069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667101 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  667104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667123 */     GIR_RootConstrainSelectedInstOperands,
     /*  667124 */     // GIR_Coverage, 12574,
     /*  667124 */     GIR_EraseRootFromParent_Done,
     /*  667125 */   // Label 10629: @667125
     /*  667125 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667200), // Rule ID 12575 //
     /*  667130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  667138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  667141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  667144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  667179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667198 */     GIR_RootConstrainSelectedInstOperands,
     /*  667199 */     // GIR_Coverage, 12575,
     /*  667199 */     GIR_EraseRootFromParent_Done,
     /*  667200 */   // Label 10630: @667200
     /*  667200 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667278), // Rule ID 13904 //
     /*  667205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  667254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667276 */     GIR_RootConstrainSelectedInstOperands,
     /*  667277 */     // GIR_Coverage, 13904,
     /*  667277 */     GIR_EraseRootFromParent_Done,
     /*  667278 */   // Label 10631: @667278
     /*  667278 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667356), // Rule ID 13905 //
     /*  667283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667329 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  667332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667354 */     GIR_RootConstrainSelectedInstOperands,
     /*  667355 */     // GIR_Coverage, 13905,
     /*  667355 */     GIR_EraseRootFromParent_Done,
     /*  667356 */   // Label 10632: @667356
     /*  667356 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(667434), // Rule ID 13908 //
     /*  667361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667407 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  667410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667432 */     GIR_RootConstrainSelectedInstOperands,
     /*  667433 */     // GIR_Coverage, 13908,
     /*  667433 */     GIR_EraseRootFromParent_Done,
     /*  667434 */   // Label 10633: @667434
     /*  667434 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(667512), // Rule ID 13909 //
     /*  667439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  667450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  667453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  667456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  667459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667485 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  667488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667510 */     GIR_RootConstrainSelectedInstOperands,
     /*  667511 */     // GIR_Coverage, 13909,
     /*  667511 */     GIR_EraseRootFromParent_Done,
     /*  667512 */   // Label 10634: @667512
     /*  667512 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(667590), // Rule ID 13912 //
     /*  667517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667563 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  667566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667588 */     GIR_RootConstrainSelectedInstOperands,
     /*  667589 */     // GIR_Coverage, 13912,
     /*  667589 */     GIR_EraseRootFromParent_Done,
     /*  667590 */   // Label 10635: @667590
     /*  667590 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(667668), // Rule ID 13913 //
     /*  667595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  667606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  667609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  667612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  667615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667641 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  667641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  667644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667666 */     GIR_RootConstrainSelectedInstOperands,
     /*  667667 */     // GIR_Coverage, 13913,
     /*  667667 */     GIR_EraseRootFromParent_Done,
     /*  667668 */   // Label 10636: @667668
     /*  667668 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(667746), // Rule ID 13916 //
     /*  667673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667719 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  667722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667744 */     GIR_RootConstrainSelectedInstOperands,
     /*  667745 */     // GIR_Coverage, 13916,
     /*  667745 */     GIR_EraseRootFromParent_Done,
     /*  667746 */   // Label 10637: @667746
     /*  667746 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(667824), // Rule ID 13917 //
     /*  667751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  667762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  667765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  667768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  667771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  667800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667822 */     GIR_RootConstrainSelectedInstOperands,
     /*  667823 */     // GIR_Coverage, 13917,
     /*  667823 */     GIR_EraseRootFromParent_Done,
     /*  667824 */   // Label 10638: @667824
     /*  667824 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(667902), // Rule ID 13920 //
     /*  667829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  667849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  667878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667900 */     GIR_RootConstrainSelectedInstOperands,
     /*  667901 */     // GIR_Coverage, 13920,
     /*  667901 */     GIR_EraseRootFromParent_Done,
     /*  667902 */   // Label 10639: @667902
     /*  667902 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(667980), // Rule ID 13921 //
     /*  667907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  667918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  667921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  667924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  667927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667953 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  667956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  667978 */     GIR_RootConstrainSelectedInstOperands,
     /*  667979 */     // GIR_Coverage, 13921,
     /*  667979 */     GIR_EraseRootFromParent_Done,
     /*  667980 */   // Label 10640: @667980
     /*  667980 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(668058), // Rule ID 13924 //
     /*  667985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  667993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668031 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  668034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668056 */     GIR_RootConstrainSelectedInstOperands,
     /*  668057 */     // GIR_Coverage, 13924,
     /*  668057 */     GIR_EraseRootFromParent_Done,
     /*  668058 */   // Label 10641: @668058
     /*  668058 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668136), // Rule ID 13925 //
     /*  668063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  668112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668134 */     GIR_RootConstrainSelectedInstOperands,
     /*  668135 */     // GIR_Coverage, 13925,
     /*  668135 */     GIR_EraseRootFromParent_Done,
     /*  668136 */   // Label 10642: @668136
     /*  668136 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668214), // Rule ID 13928 //
     /*  668141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668212 */     GIR_RootConstrainSelectedInstOperands,
     /*  668213 */     // GIR_Coverage, 13928,
     /*  668213 */     GIR_EraseRootFromParent_Done,
     /*  668214 */   // Label 10643: @668214
     /*  668214 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668292), // Rule ID 13929 //
     /*  668219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668290 */     GIR_RootConstrainSelectedInstOperands,
     /*  668291 */     // GIR_Coverage, 13929,
     /*  668291 */     GIR_EraseRootFromParent_Done,
     /*  668292 */   // Label 10644: @668292
     /*  668292 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668370), // Rule ID 13932 //
     /*  668297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668368 */     GIR_RootConstrainSelectedInstOperands,
     /*  668369 */     // GIR_Coverage, 13932,
     /*  668369 */     GIR_EraseRootFromParent_Done,
     /*  668370 */   // Label 10645: @668370
     /*  668370 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(668448), // Rule ID 13933 //
     /*  668375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668421 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668446 */     GIR_RootConstrainSelectedInstOperands,
     /*  668447 */     // GIR_Coverage, 13933,
     /*  668447 */     GIR_EraseRootFromParent_Done,
     /*  668448 */   // Label 10646: @668448
     /*  668448 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(668526), // Rule ID 13936 //
     /*  668453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668524 */     GIR_RootConstrainSelectedInstOperands,
     /*  668525 */     // GIR_Coverage, 13936,
     /*  668525 */     GIR_EraseRootFromParent_Done,
     /*  668526 */   // Label 10647: @668526
     /*  668526 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(668604), // Rule ID 13937 //
     /*  668531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  668542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  668545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  668548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  668551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668599 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668602 */     GIR_RootConstrainSelectedInstOperands,
     /*  668603 */     // GIR_Coverage, 13937,
     /*  668603 */     GIR_EraseRootFromParent_Done,
     /*  668604 */   // Label 10648: @668604
     /*  668604 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(668682), // Rule ID 13940 //
     /*  668609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  668612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  668655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668677 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668680 */     GIR_RootConstrainSelectedInstOperands,
     /*  668681 */     // GIR_Coverage, 13940,
     /*  668681 */     GIR_EraseRootFromParent_Done,
     /*  668682 */   // Label 10649: @668682
     /*  668682 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(668760), // Rule ID 13941 //
     /*  668687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  668690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  668698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  668701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  668704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  668707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  668733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  668736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  668752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668758 */     GIR_RootConstrainSelectedInstOperands,
     /*  668759 */     // GIR_Coverage, 13941,
     /*  668759 */     GIR_EraseRootFromParent_Done,
     /*  668760 */   // Label 10650: @668760
     /*  668760 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(668838), // Rule ID 13944 //
     /*  668765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  668785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668811 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  668814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668836 */     GIR_RootConstrainSelectedInstOperands,
     /*  668837 */     // GIR_Coverage, 13944,
     /*  668837 */     GIR_EraseRootFromParent_Done,
     /*  668838 */   // Label 10651: @668838
     /*  668838 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(668916), // Rule ID 13945 //
     /*  668843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  668854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  668857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  668860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  668863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  668882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668889 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  668892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668914 */     GIR_RootConstrainSelectedInstOperands,
     /*  668915 */     // GIR_Coverage, 13945,
     /*  668915 */     GIR_EraseRootFromParent_Done,
     /*  668916 */   // Label 10652: @668916
     /*  668916 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(668994), // Rule ID 13948 //
     /*  668921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  668929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  668932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  668935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  668938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  668941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  668960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  668970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  668992 */     GIR_RootConstrainSelectedInstOperands,
     /*  668993 */     // GIR_Coverage, 13948,
     /*  668993 */     GIR_EraseRootFromParent_Done,
     /*  668994 */   // Label 10653: @668994
     /*  668994 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(669072), // Rule ID 13949 //
     /*  668999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669045 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  669048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669070 */     GIR_RootConstrainSelectedInstOperands,
     /*  669071 */     // GIR_Coverage, 13949,
     /*  669071 */     GIR_EraseRootFromParent_Done,
     /*  669072 */   // Label 10654: @669072
     /*  669072 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669150), // Rule ID 13952 //
     /*  669077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  669126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669148 */     GIR_RootConstrainSelectedInstOperands,
     /*  669149 */     // GIR_Coverage, 13952,
     /*  669149 */     GIR_EraseRootFromParent_Done,
     /*  669150 */   // Label 10655: @669150
     /*  669150 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669228), // Rule ID 13953 //
     /*  669155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669201 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  669204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669226 */     GIR_RootConstrainSelectedInstOperands,
     /*  669227 */     // GIR_Coverage, 13953,
     /*  669227 */     GIR_EraseRootFromParent_Done,
     /*  669228 */   // Label 10656: @669228
     /*  669228 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669306), // Rule ID 13956 //
     /*  669233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669279 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  669282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669304 */     GIR_RootConstrainSelectedInstOperands,
     /*  669305 */     // GIR_Coverage, 13956,
     /*  669305 */     GIR_EraseRootFromParent_Done,
     /*  669306 */   // Label 10657: @669306
     /*  669306 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669384), // Rule ID 13957 //
     /*  669311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669357 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  669360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669382 */     GIR_RootConstrainSelectedInstOperands,
     /*  669383 */     // GIR_Coverage, 13957,
     /*  669383 */     GIR_EraseRootFromParent_Done,
     /*  669384 */   // Label 10658: @669384
     /*  669384 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669462), // Rule ID 13960 //
     /*  669389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  669438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669460 */     GIR_RootConstrainSelectedInstOperands,
     /*  669461 */     // GIR_Coverage, 13960,
     /*  669461 */     GIR_EraseRootFromParent_Done,
     /*  669462 */   // Label 10659: @669462
     /*  669462 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(669540), // Rule ID 13961 //
     /*  669467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  669478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  669481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  669484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  669487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669513 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  669516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669538 */     GIR_RootConstrainSelectedInstOperands,
     /*  669539 */     // GIR_Coverage, 13961,
     /*  669539 */     GIR_EraseRootFromParent_Done,
     /*  669540 */   // Label 10660: @669540
     /*  669540 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(669618), // Rule ID 13964 //
     /*  669545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669591 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  669594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669616 */     GIR_RootConstrainSelectedInstOperands,
     /*  669617 */     // GIR_Coverage, 13964,
     /*  669617 */     GIR_EraseRootFromParent_Done,
     /*  669618 */   // Label 10661: @669618
     /*  669618 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(669696), // Rule ID 13965 //
     /*  669623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  669634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  669637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  669640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  669643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  669672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669694 */     GIR_RootConstrainSelectedInstOperands,
     /*  669695 */     // GIR_Coverage, 13965,
     /*  669695 */     GIR_EraseRootFromParent_Done,
     /*  669696 */   // Label 10662: @669696
     /*  669696 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(669774), // Rule ID 13968 //
     /*  669701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  669750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669772 */     GIR_RootConstrainSelectedInstOperands,
     /*  669773 */     // GIR_Coverage, 13968,
     /*  669773 */     GIR_EraseRootFromParent_Done,
     /*  669774 */   // Label 10663: @669774
     /*  669774 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(669852), // Rule ID 13969 //
     /*  669779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  669790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  669793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  669796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  669799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669825 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  669828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669850 */     GIR_RootConstrainSelectedInstOperands,
     /*  669851 */     // GIR_Coverage, 13969,
     /*  669851 */     GIR_EraseRootFromParent_Done,
     /*  669852 */   // Label 10664: @669852
     /*  669852 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(669930), // Rule ID 13972 //
     /*  669857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  669877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669903 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  669906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  669928 */     GIR_RootConstrainSelectedInstOperands,
     /*  669929 */     // GIR_Coverage, 13972,
     /*  669929 */     GIR_EraseRootFromParent_Done,
     /*  669930 */   // Label 10665: @669930
     /*  669930 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(670008), // Rule ID 13973 //
     /*  669935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  669943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  669946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  669949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  669952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  669955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  669984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670006 */     GIR_RootConstrainSelectedInstOperands,
     /*  670007 */     // GIR_Coverage, 13973,
     /*  670007 */     GIR_EraseRootFromParent_Done,
     /*  670008 */   // Label 10666: @670008
     /*  670008 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(670086), // Rule ID 13976 //
     /*  670013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  670062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670081 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670084 */     GIR_RootConstrainSelectedInstOperands,
     /*  670085 */     // GIR_Coverage, 13976,
     /*  670085 */     GIR_EraseRootFromParent_Done,
     /*  670086 */   // Label 10667: @670086
     /*  670086 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670164), // Rule ID 13977 //
     /*  670091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670137 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  670140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670162 */     GIR_RootConstrainSelectedInstOperands,
     /*  670163 */     // GIR_Coverage, 13977,
     /*  670163 */     GIR_EraseRootFromParent_Done,
     /*  670164 */   // Label 10668: @670164
     /*  670164 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670242), // Rule ID 13980 //
     /*  670169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670215 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  670218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670240 */     GIR_RootConstrainSelectedInstOperands,
     /*  670241 */     // GIR_Coverage, 13980,
     /*  670241 */     GIR_EraseRootFromParent_Done,
     /*  670242 */   // Label 10669: @670242
     /*  670242 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670320), // Rule ID 13981 //
     /*  670247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670293 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  670296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670318 */     GIR_RootConstrainSelectedInstOperands,
     /*  670319 */     // GIR_Coverage, 13981,
     /*  670319 */     GIR_EraseRootFromParent_Done,
     /*  670320 */   // Label 10670: @670320
     /*  670320 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670398), // Rule ID 13984 //
     /*  670325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  670374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670396 */     GIR_RootConstrainSelectedInstOperands,
     /*  670397 */     // GIR_Coverage, 13984,
     /*  670397 */     GIR_EraseRootFromParent_Done,
     /*  670398 */   // Label 10671: @670398
     /*  670398 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670476), // Rule ID 13985 //
     /*  670403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670449 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  670452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670474 */     GIR_RootConstrainSelectedInstOperands,
     /*  670475 */     // GIR_Coverage, 13985,
     /*  670475 */     GIR_EraseRootFromParent_Done,
     /*  670476 */   // Label 10672: @670476
     /*  670476 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(670554), // Rule ID 13988 //
     /*  670481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  670530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670552 */     GIR_RootConstrainSelectedInstOperands,
     /*  670553 */     // GIR_Coverage, 13988,
     /*  670553 */     GIR_EraseRootFromParent_Done,
     /*  670554 */   // Label 10673: @670554
     /*  670554 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(670632), // Rule ID 13989 //
     /*  670559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  670570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  670573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  670576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  670579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670605 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  670608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670630 */     GIR_RootConstrainSelectedInstOperands,
     /*  670631 */     // GIR_Coverage, 13989,
     /*  670631 */     GIR_EraseRootFromParent_Done,
     /*  670632 */   // Label 10674: @670632
     /*  670632 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(670710), // Rule ID 13992 //
     /*  670637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  670686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670708 */     GIR_RootConstrainSelectedInstOperands,
     /*  670709 */     // GIR_Coverage, 13992,
     /*  670709 */     GIR_EraseRootFromParent_Done,
     /*  670710 */   // Label 10675: @670710
     /*  670710 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(670788), // Rule ID 13993 //
     /*  670715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  670726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  670729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  670732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670761 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  670764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670786 */     GIR_RootConstrainSelectedInstOperands,
     /*  670787 */     // GIR_Coverage, 13993,
     /*  670787 */     GIR_EraseRootFromParent_Done,
     /*  670788 */   // Label 10676: @670788
     /*  670788 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(670866), // Rule ID 13996 //
     /*  670793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  670842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670864 */     GIR_RootConstrainSelectedInstOperands,
     /*  670865 */     // GIR_Coverage, 13996,
     /*  670865 */     GIR_EraseRootFromParent_Done,
     /*  670866 */   // Label 10677: @670866
     /*  670866 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(670944), // Rule ID 13997 //
     /*  670871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  670882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  670885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  670888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  670891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670917 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  670917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  670920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  670936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670939 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  670942 */     GIR_RootConstrainSelectedInstOperands,
     /*  670943 */     // GIR_Coverage, 13997,
     /*  670943 */     GIR_EraseRootFromParent_Done,
     /*  670944 */   // Label 10678: @670944
     /*  670944 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(671022), // Rule ID 14000 //
     /*  670949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  670957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  670960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  670963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  670966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  670969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  670984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  670988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670995 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  670995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  670998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671020 */     GIR_RootConstrainSelectedInstOperands,
     /*  671021 */     // GIR_Coverage, 14000,
     /*  671021 */     GIR_EraseRootFromParent_Done,
     /*  671022 */   // Label 10679: @671022
     /*  671022 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(671100), // Rule ID 14001 //
     /*  671027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671073 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  671076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671098 */     GIR_RootConstrainSelectedInstOperands,
     /*  671099 */     // GIR_Coverage, 14001,
     /*  671099 */     GIR_EraseRootFromParent_Done,
     /*  671100 */   // Label 10680: @671100
     /*  671100 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(671178), // Rule ID 14004 //
     /*  671105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671151 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  671154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671176 */     GIR_RootConstrainSelectedInstOperands,
     /*  671177 */     // GIR_Coverage, 14004,
     /*  671177 */     GIR_EraseRootFromParent_Done,
     /*  671178 */   // Label 10681: @671178
     /*  671178 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671256), // Rule ID 14005 //
     /*  671183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671229 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  671232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671254 */     GIR_RootConstrainSelectedInstOperands,
     /*  671255 */     // GIR_Coverage, 14005,
     /*  671255 */     GIR_EraseRootFromParent_Done,
     /*  671256 */   // Label 10682: @671256
     /*  671256 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671334), // Rule ID 14008 //
     /*  671261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  671310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671332 */     GIR_RootConstrainSelectedInstOperands,
     /*  671333 */     // GIR_Coverage, 14008,
     /*  671333 */     GIR_EraseRootFromParent_Done,
     /*  671334 */   // Label 10683: @671334
     /*  671334 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671412), // Rule ID 14009 //
     /*  671339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  671388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671410 */     GIR_RootConstrainSelectedInstOperands,
     /*  671411 */     // GIR_Coverage, 14009,
     /*  671411 */     GIR_EraseRootFromParent_Done,
     /*  671412 */   // Label 10684: @671412
     /*  671412 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671490), // Rule ID 14012 //
     /*  671417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  671466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671488 */     GIR_RootConstrainSelectedInstOperands,
     /*  671489 */     // GIR_Coverage, 14012,
     /*  671489 */     GIR_EraseRootFromParent_Done,
     /*  671490 */   // Label 10685: @671490
     /*  671490 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(671568), // Rule ID 14013 //
     /*  671495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671541 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  671541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  671544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671566 */     GIR_RootConstrainSelectedInstOperands,
     /*  671567 */     // GIR_Coverage, 14013,
     /*  671567 */     GIR_EraseRootFromParent_Done,
     /*  671568 */   // Label 10686: @671568
     /*  671568 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(671646), // Rule ID 14016 //
     /*  671573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671619 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  671622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671644 */     GIR_RootConstrainSelectedInstOperands,
     /*  671645 */     // GIR_Coverage, 14016,
     /*  671645 */     GIR_EraseRootFromParent_Done,
     /*  671646 */   // Label 10687: @671646
     /*  671646 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(671724), // Rule ID 14017 //
     /*  671651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  671662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  671665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  671668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671697 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  671700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671722 */     GIR_RootConstrainSelectedInstOperands,
     /*  671723 */     // GIR_Coverage, 14017,
     /*  671723 */     GIR_EraseRootFromParent_Done,
     /*  671724 */   // Label 10688: @671724
     /*  671724 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(671802), // Rule ID 14020 //
     /*  671729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  671778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671797 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671800 */     GIR_RootConstrainSelectedInstOperands,
     /*  671801 */     // GIR_Coverage, 14020,
     /*  671801 */     GIR_EraseRootFromParent_Done,
     /*  671802 */   // Label 10689: @671802
     /*  671802 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(671880), // Rule ID 14021 //
     /*  671807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  671818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  671821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  671824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  671856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671875 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671878 */     GIR_RootConstrainSelectedInstOperands,
     /*  671879 */     // GIR_Coverage, 14021,
     /*  671879 */     GIR_EraseRootFromParent_Done,
     /*  671880 */   // Label 10690: @671880
     /*  671880 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(671958), // Rule ID 14024 //
     /*  671885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  671931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  671934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  671950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  671956 */     GIR_RootConstrainSelectedInstOperands,
     /*  671957 */     // GIR_Coverage, 14024,
     /*  671957 */     GIR_EraseRootFromParent_Done,
     /*  671958 */   // Label 10691: @671958
     /*  671958 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(672036), // Rule ID 14025 //
     /*  671963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  671971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  671974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  671977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  671980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672009 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  672012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672034 */     GIR_RootConstrainSelectedInstOperands,
     /*  672035 */     // GIR_Coverage, 14025,
     /*  672035 */     GIR_EraseRootFromParent_Done,
     /*  672036 */   // Label 10692: @672036
     /*  672036 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(672114), // Rule ID 14028 //
     /*  672041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  672090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672112 */     GIR_RootConstrainSelectedInstOperands,
     /*  672113 */     // GIR_Coverage, 14028,
     /*  672113 */     GIR_EraseRootFromParent_Done,
     /*  672114 */   // Label 10693: @672114
     /*  672114 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(672192), // Rule ID 14029 //
     /*  672119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  672168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672190 */     GIR_RootConstrainSelectedInstOperands,
     /*  672191 */     // GIR_Coverage, 14029,
     /*  672191 */     GIR_EraseRootFromParent_Done,
     /*  672192 */   // Label 10694: @672192
     /*  672192 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672270), // Rule ID 14032 //
     /*  672197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672243 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  672246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672268 */     GIR_RootConstrainSelectedInstOperands,
     /*  672269 */     // GIR_Coverage, 14032,
     /*  672269 */     GIR_EraseRootFromParent_Done,
     /*  672270 */   // Label 10695: @672270
     /*  672270 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672348), // Rule ID 14033 //
     /*  672275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  672324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672346 */     GIR_RootConstrainSelectedInstOperands,
     /*  672347 */     // GIR_Coverage, 14033,
     /*  672347 */     GIR_EraseRootFromParent_Done,
     /*  672348 */   // Label 10696: @672348
     /*  672348 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672426), // Rule ID 14036 //
     /*  672353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672399 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  672402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672424 */     GIR_RootConstrainSelectedInstOperands,
     /*  672425 */     // GIR_Coverage, 14036,
     /*  672425 */     GIR_EraseRootFromParent_Done,
     /*  672426 */   // Label 10697: @672426
     /*  672426 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672504), // Rule ID 14037 //
     /*  672431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672477 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  672480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672499 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672502 */     GIR_RootConstrainSelectedInstOperands,
     /*  672503 */     // GIR_Coverage, 14037,
     /*  672503 */     GIR_EraseRootFromParent_Done,
     /*  672504 */   // Label 10698: @672504
     /*  672504 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672582), // Rule ID 14040 //
     /*  672509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672555 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  672558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672580 */     GIR_RootConstrainSelectedInstOperands,
     /*  672581 */     // GIR_Coverage, 14040,
     /*  672581 */     GIR_EraseRootFromParent_Done,
     /*  672582 */   // Label 10699: @672582
     /*  672582 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(672660), // Rule ID 14041 //
     /*  672587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  672598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  672601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  672604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  672622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  672636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672658 */     GIR_RootConstrainSelectedInstOperands,
     /*  672659 */     // GIR_Coverage, 14041,
     /*  672659 */     GIR_EraseRootFromParent_Done,
     /*  672660 */   // Label 10700: @672660
     /*  672660 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(672738), // Rule ID 14044 //
     /*  672665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  672714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672733 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672736 */     GIR_RootConstrainSelectedInstOperands,
     /*  672737 */     // GIR_Coverage, 14044,
     /*  672737 */     GIR_EraseRootFromParent_Done,
     /*  672738 */   // Label 10701: @672738
     /*  672738 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(672816), // Rule ID 14045 //
     /*  672743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  672754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  672757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  672760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  672792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672814 */     GIR_RootConstrainSelectedInstOperands,
     /*  672815 */     // GIR_Coverage, 14045,
     /*  672815 */     GIR_EraseRootFromParent_Done,
     /*  672816 */   // Label 10702: @672816
     /*  672816 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(672894), // Rule ID 14048 //
     /*  672821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  672870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672892 */     GIR_RootConstrainSelectedInstOperands,
     /*  672893 */     // GIR_Coverage, 14048,
     /*  672893 */     GIR_EraseRootFromParent_Done,
     /*  672894 */   // Label 10703: @672894
     /*  672894 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(672972), // Rule ID 14049 //
     /*  672899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  672910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  672913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  672916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672945 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  672948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  672970 */     GIR_RootConstrainSelectedInstOperands,
     /*  672971 */     // GIR_Coverage, 14049,
     /*  672971 */     GIR_EraseRootFromParent_Done,
     /*  672972 */   // Label 10704: @672972
     /*  672972 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(673050), // Rule ID 14052 //
     /*  672977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  672985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  672988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  672991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  672994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673023 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  673026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673048 */     GIR_RootConstrainSelectedInstOperands,
     /*  673049 */     // GIR_Coverage, 14052,
     /*  673049 */     GIR_EraseRootFromParent_Done,
     /*  673050 */   // Label 10705: @673050
     /*  673050 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(673128), // Rule ID 14053 //
     /*  673055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  673104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673126 */     GIR_RootConstrainSelectedInstOperands,
     /*  673127 */     // GIR_Coverage, 14053,
     /*  673127 */     GIR_EraseRootFromParent_Done,
     /*  673128 */   // Label 10706: @673128
     /*  673128 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(673206), // Rule ID 14056 //
     /*  673133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  673182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673204 */     GIR_RootConstrainSelectedInstOperands,
     /*  673205 */     // GIR_Coverage, 14056,
     /*  673205 */     GIR_EraseRootFromParent_Done,
     /*  673206 */   // Label 10707: @673206
     /*  673206 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673284), // Rule ID 14057 //
     /*  673211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673257 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  673260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673282 */     GIR_RootConstrainSelectedInstOperands,
     /*  673283 */     // GIR_Coverage, 14057,
     /*  673283 */     GIR_EraseRootFromParent_Done,
     /*  673284 */   // Label 10708: @673284
     /*  673284 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673362), // Rule ID 14060 //
     /*  673289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673335 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  673338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673360 */     GIR_RootConstrainSelectedInstOperands,
     /*  673361 */     // GIR_Coverage, 14060,
     /*  673361 */     GIR_EraseRootFromParent_Done,
     /*  673362 */   // Label 10709: @673362
     /*  673362 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673440), // Rule ID 14061 //
     /*  673367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  673416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673438 */     GIR_RootConstrainSelectedInstOperands,
     /*  673439 */     // GIR_Coverage, 14061,
     /*  673439 */     GIR_EraseRootFromParent_Done,
     /*  673440 */   // Label 10710: @673440
     /*  673440 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673518), // Rule ID 14064 //
     /*  673445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  673494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673516 */     GIR_RootConstrainSelectedInstOperands,
     /*  673517 */     // GIR_Coverage, 14064,
     /*  673517 */     GIR_EraseRootFromParent_Done,
     /*  673518 */   // Label 10711: @673518
     /*  673518 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673596), // Rule ID 14065 //
     /*  673523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  673572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673594 */     GIR_RootConstrainSelectedInstOperands,
     /*  673595 */     // GIR_Coverage, 14065,
     /*  673595 */     GIR_EraseRootFromParent_Done,
     /*  673596 */   // Label 10712: @673596
     /*  673596 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(673674), // Rule ID 14068 //
     /*  673601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673647 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  673650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673672 */     GIR_RootConstrainSelectedInstOperands,
     /*  673673 */     // GIR_Coverage, 14068,
     /*  673673 */     GIR_EraseRootFromParent_Done,
     /*  673674 */   // Label 10713: @673674
     /*  673674 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(673752), // Rule ID 14069 //
     /*  673679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  673690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  673693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  673696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673725 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  673728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673750 */     GIR_RootConstrainSelectedInstOperands,
     /*  673751 */     // GIR_Coverage, 14069,
     /*  673751 */     GIR_EraseRootFromParent_Done,
     /*  673752 */   // Label 10714: @673752
     /*  673752 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(673830), // Rule ID 14072 //
     /*  673757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  673806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673828 */     GIR_RootConstrainSelectedInstOperands,
     /*  673829 */     // GIR_Coverage, 14072,
     /*  673829 */     GIR_EraseRootFromParent_Done,
     /*  673830 */   // Label 10715: @673830
     /*  673830 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(673908), // Rule ID 14073 //
     /*  673835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  673846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  673849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  673852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673881 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  673881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  673884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673906 */     GIR_RootConstrainSelectedInstOperands,
     /*  673907 */     // GIR_Coverage, 14073,
     /*  673907 */     GIR_EraseRootFromParent_Done,
     /*  673908 */   // Label 10716: @673908
     /*  673908 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(673986), // Rule ID 14076 //
     /*  673913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  673916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  673924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  673927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  673930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673959 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  673959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  673962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  673978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  673984 */     GIR_RootConstrainSelectedInstOperands,
     /*  673985 */     // GIR_Coverage, 14076,
     /*  673985 */     GIR_EraseRootFromParent_Done,
     /*  673986 */   // Label 10717: @673986
     /*  673986 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(674064), // Rule ID 14077 //
     /*  673991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  673994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  673999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  674002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  674005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  674008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  674040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674062 */     GIR_RootConstrainSelectedInstOperands,
     /*  674063 */     // GIR_Coverage, 14077,
     /*  674063 */     GIR_EraseRootFromParent_Done,
     /*  674064 */   // Label 10718: @674064
     /*  674064 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(674142), // Rule ID 14168 //
     /*  674069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  674118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674140 */     GIR_RootConstrainSelectedInstOperands,
     /*  674141 */     // GIR_Coverage, 14168,
     /*  674141 */     GIR_EraseRootFromParent_Done,
     /*  674142 */   // Label 10719: @674142
     /*  674142 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(674220), // Rule ID 14169 //
     /*  674147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674193 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  674196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674218 */     GIR_RootConstrainSelectedInstOperands,
     /*  674219 */     // GIR_Coverage, 14169,
     /*  674219 */     GIR_EraseRootFromParent_Done,
     /*  674220 */   // Label 10720: @674220
     /*  674220 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(674298), // Rule ID 14172 //
     /*  674225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674271 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  674274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674296 */     GIR_RootConstrainSelectedInstOperands,
     /*  674297 */     // GIR_Coverage, 14172,
     /*  674297 */     GIR_EraseRootFromParent_Done,
     /*  674298 */   // Label 10721: @674298
     /*  674298 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674376), // Rule ID 14173 //
     /*  674303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  674352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674374 */     GIR_RootConstrainSelectedInstOperands,
     /*  674375 */     // GIR_Coverage, 14173,
     /*  674375 */     GIR_EraseRootFromParent_Done,
     /*  674376 */   // Label 10722: @674376
     /*  674376 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674454), // Rule ID 14176 //
     /*  674381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674452 */     GIR_RootConstrainSelectedInstOperands,
     /*  674453 */     // GIR_Coverage, 14176,
     /*  674453 */     GIR_EraseRootFromParent_Done,
     /*  674454 */   // Label 10723: @674454
     /*  674454 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674532), // Rule ID 14177 //
     /*  674459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674505 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674530 */     GIR_RootConstrainSelectedInstOperands,
     /*  674531 */     // GIR_Coverage, 14177,
     /*  674531 */     GIR_EraseRootFromParent_Done,
     /*  674532 */   // Label 10724: @674532
     /*  674532 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674610), // Rule ID 14180 //
     /*  674537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  674586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674608 */     GIR_RootConstrainSelectedInstOperands,
     /*  674609 */     // GIR_Coverage, 14180,
     /*  674609 */     GIR_EraseRootFromParent_Done,
     /*  674610 */   // Label 10725: @674610
     /*  674610 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(674688), // Rule ID 14181 //
     /*  674615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  674664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674686 */     GIR_RootConstrainSelectedInstOperands,
     /*  674687 */     // GIR_Coverage, 14181,
     /*  674687 */     GIR_EraseRootFromParent_Done,
     /*  674688 */   // Label 10726: @674688
     /*  674688 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(674766), // Rule ID 14184 //
     /*  674693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  674739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674764 */     GIR_RootConstrainSelectedInstOperands,
     /*  674765 */     // GIR_Coverage, 14184,
     /*  674765 */     GIR_EraseRootFromParent_Done,
     /*  674766 */   // Label 10727: @674766
     /*  674766 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(674844), // Rule ID 14185 //
     /*  674771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  674782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  674785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  674788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  674791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674817 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  674817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  674836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674842 */     GIR_RootConstrainSelectedInstOperands,
     /*  674843 */     // GIR_Coverage, 14185,
     /*  674843 */     GIR_EraseRootFromParent_Done,
     /*  674844 */   // Label 10728: @674844
     /*  674844 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(674922), // Rule ID 14188 //
     /*  674849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  674895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674920 */     GIR_RootConstrainSelectedInstOperands,
     /*  674921 */     // GIR_Coverage, 14188,
     /*  674921 */     GIR_EraseRootFromParent_Done,
     /*  674922 */   // Label 10729: @674922
     /*  674922 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(675000), // Rule ID 14189 //
     /*  674927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  674935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  674938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  674941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  674944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  674947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674973 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  674976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  674998 */     GIR_RootConstrainSelectedInstOperands,
     /*  674999 */     // GIR_Coverage, 14189,
     /*  674999 */     GIR_EraseRootFromParent_Done,
     /*  675000 */   // Label 10730: @675000
     /*  675000 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(675078), // Rule ID 14192 //
     /*  675005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675076 */     GIR_RootConstrainSelectedInstOperands,
     /*  675077 */     // GIR_Coverage, 14192,
     /*  675077 */     GIR_EraseRootFromParent_Done,
     /*  675078 */   // Label 10731: @675078
     /*  675078 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(675156), // Rule ID 14193 //
     /*  675083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675129 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675154 */     GIR_RootConstrainSelectedInstOperands,
     /*  675155 */     // GIR_Coverage, 14193,
     /*  675155 */     GIR_EraseRootFromParent_Done,
     /*  675156 */   // Label 10732: @675156
     /*  675156 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(675234), // Rule ID 14196 //
     /*  675161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675232 */     GIR_RootConstrainSelectedInstOperands,
     /*  675233 */     // GIR_Coverage, 14196,
     /*  675233 */     GIR_EraseRootFromParent_Done,
     /*  675234 */   // Label 10733: @675234
     /*  675234 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(675312), // Rule ID 14197 //
     /*  675239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675310 */     GIR_RootConstrainSelectedInstOperands,
     /*  675311 */     // GIR_Coverage, 14197,
     /*  675311 */     GIR_EraseRootFromParent_Done,
     /*  675312 */   // Label 10734: @675312
     /*  675312 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675390), // Rule ID 14200 //
     /*  675317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675388 */     GIR_RootConstrainSelectedInstOperands,
     /*  675389 */     // GIR_Coverage, 14200,
     /*  675389 */     GIR_EraseRootFromParent_Done,
     /*  675390 */   // Label 10735: @675390
     /*  675390 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675468), // Rule ID 14201 //
     /*  675395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675466 */     GIR_RootConstrainSelectedInstOperands,
     /*  675467 */     // GIR_Coverage, 14201,
     /*  675467 */     GIR_EraseRootFromParent_Done,
     /*  675468 */   // Label 10736: @675468
     /*  675468 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675546), // Rule ID 14204 //
     /*  675473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675541 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675544 */     GIR_RootConstrainSelectedInstOperands,
     /*  675545 */     // GIR_Coverage, 14204,
     /*  675545 */     GIR_EraseRootFromParent_Done,
     /*  675546 */   // Label 10737: @675546
     /*  675546 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675624), // Rule ID 14205 //
     /*  675551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675597 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  675600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675622 */     GIR_RootConstrainSelectedInstOperands,
     /*  675623 */     // GIR_Coverage, 14205,
     /*  675623 */     GIR_EraseRootFromParent_Done,
     /*  675624 */   // Label 10738: @675624
     /*  675624 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675702), // Rule ID 14208 //
     /*  675629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  675678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675700 */     GIR_RootConstrainSelectedInstOperands,
     /*  675701 */     // GIR_Coverage, 14208,
     /*  675701 */     GIR_EraseRootFromParent_Done,
     /*  675702 */   // Label 10739: @675702
     /*  675702 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(675780), // Rule ID 14209 //
     /*  675707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  675718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  675721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  675724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  675727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  675746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  675756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675778 */     GIR_RootConstrainSelectedInstOperands,
     /*  675779 */     // GIR_Coverage, 14209,
     /*  675779 */     GIR_EraseRootFromParent_Done,
     /*  675780 */   // Label 10740: @675780
     /*  675780 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(675858), // Rule ID 14212 //
     /*  675785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675831 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  675834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675856 */     GIR_RootConstrainSelectedInstOperands,
     /*  675857 */     // GIR_Coverage, 14212,
     /*  675857 */     GIR_EraseRootFromParent_Done,
     /*  675858 */   // Label 10741: @675858
     /*  675858 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(675936), // Rule ID 14213 //
     /*  675863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  675874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  675877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  675880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  675883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  675902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  675912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  675934 */     GIR_RootConstrainSelectedInstOperands,
     /*  675935 */     // GIR_Coverage, 14213,
     /*  675935 */     GIR_EraseRootFromParent_Done,
     /*  675936 */   // Label 10742: @675936
     /*  675936 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(676014), // Rule ID 14216 //
     /*  675941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  675949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  675952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  675955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  675958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  675961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  675980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675987 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  675990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676012 */     GIR_RootConstrainSelectedInstOperands,
     /*  676013 */     // GIR_Coverage, 14216,
     /*  676013 */     GIR_EraseRootFromParent_Done,
     /*  676014 */   // Label 10743: @676014
     /*  676014 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(676092), // Rule ID 14217 //
     /*  676019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  676030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  676033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  676036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  676039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676065 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  676068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676087 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676090 */     GIR_RootConstrainSelectedInstOperands,
     /*  676091 */     // GIR_Coverage, 14217,
     /*  676091 */     GIR_EraseRootFromParent_Done,
     /*  676092 */   // Label 10744: @676092
     /*  676092 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(676170), // Rule ID 14220 //
     /*  676097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  676146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676168 */     GIR_RootConstrainSelectedInstOperands,
     /*  676169 */     // GIR_Coverage, 14220,
     /*  676169 */     GIR_EraseRootFromParent_Done,
     /*  676170 */   // Label 10745: @676170
     /*  676170 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(676248), // Rule ID 14221 //
     /*  676175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  676224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676246 */     GIR_RootConstrainSelectedInstOperands,
     /*  676247 */     // GIR_Coverage, 14221,
     /*  676247 */     GIR_EraseRootFromParent_Done,
     /*  676248 */   // Label 10746: @676248
     /*  676248 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(676326), // Rule ID 14224 //
     /*  676253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  676302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676324 */     GIR_RootConstrainSelectedInstOperands,
     /*  676325 */     // GIR_Coverage, 14224,
     /*  676325 */     GIR_EraseRootFromParent_Done,
     /*  676326 */   // Label 10747: @676326
     /*  676326 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676404), // Rule ID 14225 //
     /*  676331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676377 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  676380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676402 */     GIR_RootConstrainSelectedInstOperands,
     /*  676403 */     // GIR_Coverage, 14225,
     /*  676403 */     GIR_EraseRootFromParent_Done,
     /*  676404 */   // Label 10748: @676404
     /*  676404 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676482), // Rule ID 14228 //
     /*  676409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676455 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  676458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676480 */     GIR_RootConstrainSelectedInstOperands,
     /*  676481 */     // GIR_Coverage, 14228,
     /*  676481 */     GIR_EraseRootFromParent_Done,
     /*  676482 */   // Label 10749: @676482
     /*  676482 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676560), // Rule ID 14229 //
     /*  676487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676533 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  676536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676558 */     GIR_RootConstrainSelectedInstOperands,
     /*  676559 */     // GIR_Coverage, 14229,
     /*  676559 */     GIR_EraseRootFromParent_Done,
     /*  676560 */   // Label 10750: @676560
     /*  676560 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676638), // Rule ID 14232 //
     /*  676565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  676614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676636 */     GIR_RootConstrainSelectedInstOperands,
     /*  676637 */     // GIR_Coverage, 14232,
     /*  676637 */     GIR_EraseRootFromParent_Done,
     /*  676638 */   // Label 10751: @676638
     /*  676638 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676716), // Rule ID 14233 //
     /*  676643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  676692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676714 */     GIR_RootConstrainSelectedInstOperands,
     /*  676715 */     // GIR_Coverage, 14233,
     /*  676715 */     GIR_EraseRootFromParent_Done,
     /*  676716 */   // Label 10752: @676716
     /*  676716 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(676794), // Rule ID 14236 //
     /*  676721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  676770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676792 */     GIR_RootConstrainSelectedInstOperands,
     /*  676793 */     // GIR_Coverage, 14236,
     /*  676793 */     GIR_EraseRootFromParent_Done,
     /*  676794 */   // Label 10753: @676794
     /*  676794 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(676872), // Rule ID 14237 //
     /*  676799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  676810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  676813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  676816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  676819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  676845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  676848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676870 */     GIR_RootConstrainSelectedInstOperands,
     /*  676871 */     // GIR_Coverage, 14237,
     /*  676871 */     GIR_EraseRootFromParent_Done,
     /*  676872 */   // Label 10754: @676872
     /*  676872 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(676950), // Rule ID 14240 //
     /*  676877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  676926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  676948 */     GIR_RootConstrainSelectedInstOperands,
     /*  676949 */     // GIR_Coverage, 14240,
     /*  676949 */     GIR_EraseRootFromParent_Done,
     /*  676950 */   // Label 10755: @676950
     /*  676950 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(677028), // Rule ID 14241 //
     /*  676955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  676963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  676966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  676969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  676972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  676975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677001 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  677004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677026 */     GIR_RootConstrainSelectedInstOperands,
     /*  677027 */     // GIR_Coverage, 14241,
     /*  677027 */     GIR_EraseRootFromParent_Done,
     /*  677028 */   // Label 10756: @677028
     /*  677028 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(677106), // Rule ID 14244 //
     /*  677033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677079 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  677082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677104 */     GIR_RootConstrainSelectedInstOperands,
     /*  677105 */     // GIR_Coverage, 14244,
     /*  677105 */     GIR_EraseRootFromParent_Done,
     /*  677106 */   // Label 10757: @677106
     /*  677106 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(677184), // Rule ID 14245 //
     /*  677111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  677160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677182 */     GIR_RootConstrainSelectedInstOperands,
     /*  677183 */     // GIR_Coverage, 14245,
     /*  677183 */     GIR_EraseRootFromParent_Done,
     /*  677184 */   // Label 10758: @677184
     /*  677184 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(677262), // Rule ID 14248 //
     /*  677189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  677238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677260 */     GIR_RootConstrainSelectedInstOperands,
     /*  677261 */     // GIR_Coverage, 14248,
     /*  677261 */     GIR_EraseRootFromParent_Done,
     /*  677262 */   // Label 10759: @677262
     /*  677262 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(677340), // Rule ID 14249 //
     /*  677267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677313 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  677316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677335 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677338 */     GIR_RootConstrainSelectedInstOperands,
     /*  677339 */     // GIR_Coverage, 14249,
     /*  677339 */     GIR_EraseRootFromParent_Done,
     /*  677340 */   // Label 10760: @677340
     /*  677340 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(677418), // Rule ID 14252 //
     /*  677345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677391 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  677394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677416 */     GIR_RootConstrainSelectedInstOperands,
     /*  677417 */     // GIR_Coverage, 14252,
     /*  677417 */     GIR_EraseRootFromParent_Done,
     /*  677418 */   // Label 10761: @677418
     /*  677418 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677496), // Rule ID 14253 //
     /*  677423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  677472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677494 */     GIR_RootConstrainSelectedInstOperands,
     /*  677495 */     // GIR_Coverage, 14253,
     /*  677495 */     GIR_EraseRootFromParent_Done,
     /*  677496 */   // Label 10762: @677496
     /*  677496 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677574), // Rule ID 14256 //
     /*  677501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  677550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677572 */     GIR_RootConstrainSelectedInstOperands,
     /*  677573 */     // GIR_Coverage, 14256,
     /*  677573 */     GIR_EraseRootFromParent_Done,
     /*  677574 */   // Label 10763: @677574
     /*  677574 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677652), // Rule ID 14257 //
     /*  677579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  677628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677650 */     GIR_RootConstrainSelectedInstOperands,
     /*  677651 */     // GIR_Coverage, 14257,
     /*  677651 */     GIR_EraseRootFromParent_Done,
     /*  677652 */   // Label 10764: @677652
     /*  677652 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677730), // Rule ID 14260 //
     /*  677657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677703 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  677706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677725 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677728 */     GIR_RootConstrainSelectedInstOperands,
     /*  677729 */     // GIR_Coverage, 14260,
     /*  677729 */     GIR_EraseRootFromParent_Done,
     /*  677730 */   // Label 10765: @677730
     /*  677730 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(677808), // Rule ID 14261 //
     /*  677735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677781 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  677784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677806 */     GIR_RootConstrainSelectedInstOperands,
     /*  677807 */     // GIR_Coverage, 14261,
     /*  677807 */     GIR_EraseRootFromParent_Done,
     /*  677808 */   // Label 10766: @677808
     /*  677808 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(677886), // Rule ID 14264 //
     /*  677813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  677862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677884 */     GIR_RootConstrainSelectedInstOperands,
     /*  677885 */     // GIR_Coverage, 14264,
     /*  677885 */     GIR_EraseRootFromParent_Done,
     /*  677886 */   // Label 10767: @677886
     /*  677886 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(677964), // Rule ID 14265 //
     /*  677891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  677902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  677905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  677908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677937 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  677940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  677962 */     GIR_RootConstrainSelectedInstOperands,
     /*  677963 */     // GIR_Coverage, 14265,
     /*  677963 */     GIR_EraseRootFromParent_Done,
     /*  677964 */   // Label 10768: @677964
     /*  677964 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(678042), // Rule ID 14268 //
     /*  677969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  677977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  677980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  677983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  677986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678015 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  678018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678040 */     GIR_RootConstrainSelectedInstOperands,
     /*  678041 */     // GIR_Coverage, 14268,
     /*  678041 */     GIR_EraseRootFromParent_Done,
     /*  678042 */   // Label 10769: @678042
     /*  678042 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(678120), // Rule ID 14269 //
     /*  678047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  678058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  678061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  678064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  678096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678118 */     GIR_RootConstrainSelectedInstOperands,
     /*  678119 */     // GIR_Coverage, 14269,
     /*  678119 */     GIR_EraseRootFromParent_Done,
     /*  678120 */   // Label 10770: @678120
     /*  678120 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(678198), // Rule ID 14272 //
     /*  678125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  678174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678196 */     GIR_RootConstrainSelectedInstOperands,
     /*  678197 */     // GIR_Coverage, 14272,
     /*  678197 */     GIR_EraseRootFromParent_Done,
     /*  678198 */   // Label 10771: @678198
     /*  678198 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(678276), // Rule ID 14273 //
     /*  678203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  678252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678274 */     GIR_RootConstrainSelectedInstOperands,
     /*  678275 */     // GIR_Coverage, 14273,
     /*  678275 */     GIR_EraseRootFromParent_Done,
     /*  678276 */   // Label 10772: @678276
     /*  678276 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(678354), // Rule ID 14276 //
     /*  678281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  678330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678352 */     GIR_RootConstrainSelectedInstOperands,
     /*  678353 */     // GIR_Coverage, 14276,
     /*  678353 */     GIR_EraseRootFromParent_Done,
     /*  678354 */   // Label 10773: @678354
     /*  678354 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(678432), // Rule ID 14277 //
     /*  678359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  678408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678430 */     GIR_RootConstrainSelectedInstOperands,
     /*  678431 */     // GIR_Coverage, 14277,
     /*  678431 */     GIR_EraseRootFromParent_Done,
     /*  678432 */   // Label 10774: @678432
     /*  678432 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678510), // Rule ID 14280 //
     /*  678437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678508 */     GIR_RootConstrainSelectedInstOperands,
     /*  678509 */     // GIR_Coverage, 14280,
     /*  678509 */     GIR_EraseRootFromParent_Done,
     /*  678510 */   // Label 10775: @678510
     /*  678510 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678588), // Rule ID 14281 //
     /*  678515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678561 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678583 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678586 */     GIR_RootConstrainSelectedInstOperands,
     /*  678587 */     // GIR_Coverage, 14281,
     /*  678587 */     GIR_EraseRootFromParent_Done,
     /*  678588 */   // Label 10776: @678588
     /*  678588 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678666), // Rule ID 14284 //
     /*  678593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678639 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678661 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678664 */     GIR_RootConstrainSelectedInstOperands,
     /*  678665 */     // GIR_Coverage, 14284,
     /*  678665 */     GIR_EraseRootFromParent_Done,
     /*  678666 */   // Label 10777: @678666
     /*  678666 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678744), // Rule ID 14285 //
     /*  678671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678717 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678742 */     GIR_RootConstrainSelectedInstOperands,
     /*  678743 */     // GIR_Coverage, 14285,
     /*  678743 */     GIR_EraseRootFromParent_Done,
     /*  678744 */   // Label 10778: @678744
     /*  678744 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678822), // Rule ID 14288 //
     /*  678749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678820 */     GIR_RootConstrainSelectedInstOperands,
     /*  678821 */     // GIR_Coverage, 14288,
     /*  678821 */     GIR_EraseRootFromParent_Done,
     /*  678822 */   // Label 10779: @678822
     /*  678822 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(678900), // Rule ID 14289 //
     /*  678827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  678838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  678841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  678844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678898 */     GIR_RootConstrainSelectedInstOperands,
     /*  678899 */     // GIR_Coverage, 14289,
     /*  678899 */     GIR_EraseRootFromParent_Done,
     /*  678900 */   // Label 10780: @678900
     /*  678900 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(678978), // Rule ID 14292 //
     /*  678905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  678908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  678922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678951 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  678951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  678954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  678970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  678976 */     GIR_RootConstrainSelectedInstOperands,
     /*  678977 */     // GIR_Coverage, 14292,
     /*  678977 */     GIR_EraseRootFromParent_Done,
     /*  678978 */   // Label 10781: @678978
     /*  678978 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(679056), // Rule ID 14293 //
     /*  678983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  678986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  678991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  678994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  678997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  679000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  679032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679054 */     GIR_RootConstrainSelectedInstOperands,
     /*  679055 */     // GIR_Coverage, 14293,
     /*  679055 */     GIR_EraseRootFromParent_Done,
     /*  679056 */   // Label 10782: @679056
     /*  679056 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(679134), // Rule ID 14296 //
     /*  679061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679107 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  679110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679132 */     GIR_RootConstrainSelectedInstOperands,
     /*  679133 */     // GIR_Coverage, 14296,
     /*  679133 */     GIR_EraseRootFromParent_Done,
     /*  679134 */   // Label 10783: @679134
     /*  679134 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(679212), // Rule ID 14297 //
     /*  679139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679185 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  679188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679210 */     GIR_RootConstrainSelectedInstOperands,
     /*  679211 */     // GIR_Coverage, 14297,
     /*  679211 */     GIR_EraseRootFromParent_Done,
     /*  679212 */   // Label 10784: @679212
     /*  679212 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(679290), // Rule ID 14300 //
     /*  679217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679263 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  679266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679288 */     GIR_RootConstrainSelectedInstOperands,
     /*  679289 */     // GIR_Coverage, 14300,
     /*  679289 */     GIR_EraseRootFromParent_Done,
     /*  679290 */   // Label 10785: @679290
     /*  679290 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(679368), // Rule ID 14301 //
     /*  679295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679341 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  679344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679366 */     GIR_RootConstrainSelectedInstOperands,
     /*  679367 */     // GIR_Coverage, 14301,
     /*  679367 */     GIR_EraseRootFromParent_Done,
     /*  679368 */   // Label 10786: @679368
     /*  679368 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(679446), // Rule ID 14304 //
     /*  679373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679419 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  679422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679444 */     GIR_RootConstrainSelectedInstOperands,
     /*  679445 */     // GIR_Coverage, 14304,
     /*  679445 */     GIR_EraseRootFromParent_Done,
     /*  679446 */   // Label 10787: @679446
     /*  679446 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679524), // Rule ID 14305 //
     /*  679451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  679500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679522 */     GIR_RootConstrainSelectedInstOperands,
     /*  679523 */     // GIR_Coverage, 14305,
     /*  679523 */     GIR_EraseRootFromParent_Done,
     /*  679524 */   // Label 10788: @679524
     /*  679524 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679602), // Rule ID 14308 //
     /*  679529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679575 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  679578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679600 */     GIR_RootConstrainSelectedInstOperands,
     /*  679601 */     // GIR_Coverage, 14308,
     /*  679601 */     GIR_EraseRootFromParent_Done,
     /*  679602 */   // Label 10789: @679602
     /*  679602 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679680), // Rule ID 14309 //
     /*  679607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679653 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  679656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679678 */     GIR_RootConstrainSelectedInstOperands,
     /*  679679 */     // GIR_Coverage, 14309,
     /*  679679 */     GIR_EraseRootFromParent_Done,
     /*  679680 */   // Label 10790: @679680
     /*  679680 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679758), // Rule ID 14312 //
     /*  679685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  679734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679756 */     GIR_RootConstrainSelectedInstOperands,
     /*  679757 */     // GIR_Coverage, 14312,
     /*  679757 */     GIR_EraseRootFromParent_Done,
     /*  679758 */   // Label 10791: @679758
     /*  679758 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679836), // Rule ID 14313 //
     /*  679763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679809 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  679812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679834 */     GIR_RootConstrainSelectedInstOperands,
     /*  679835 */     // GIR_Coverage, 14313,
     /*  679835 */     GIR_EraseRootFromParent_Done,
     /*  679836 */   // Label 10792: @679836
     /*  679836 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(679914), // Rule ID 14316 //
     /*  679841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  679890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679912 */     GIR_RootConstrainSelectedInstOperands,
     /*  679913 */     // GIR_Coverage, 14316,
     /*  679913 */     GIR_EraseRootFromParent_Done,
     /*  679914 */   // Label 10793: @679914
     /*  679914 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(679992), // Rule ID 14317 //
     /*  679919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  679927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  679930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  679933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  679936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679965 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  679968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  679990 */     GIR_RootConstrainSelectedInstOperands,
     /*  679991 */     // GIR_Coverage, 14317,
     /*  679991 */     GIR_EraseRootFromParent_Done,
     /*  679992 */   // Label 10794: @679992
     /*  679992 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(680070), // Rule ID 14320 //
     /*  679997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  680046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680068 */     GIR_RootConstrainSelectedInstOperands,
     /*  680069 */     // GIR_Coverage, 14320,
     /*  680069 */     GIR_EraseRootFromParent_Done,
     /*  680070 */   // Label 10795: @680070
     /*  680070 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(680148), // Rule ID 14321 //
     /*  680075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680121 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  680124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680146 */     GIR_RootConstrainSelectedInstOperands,
     /*  680147 */     // GIR_Coverage, 14321,
     /*  680147 */     GIR_EraseRootFromParent_Done,
     /*  680148 */   // Label 10796: @680148
     /*  680148 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(680226), // Rule ID 14324 //
     /*  680153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680199 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  680202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680224 */     GIR_RootConstrainSelectedInstOperands,
     /*  680225 */     // GIR_Coverage, 14324,
     /*  680225 */     GIR_EraseRootFromParent_Done,
     /*  680226 */   // Label 10797: @680226
     /*  680226 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(680304), // Rule ID 14325 //
     /*  680231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  680280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680302 */     GIR_RootConstrainSelectedInstOperands,
     /*  680303 */     // GIR_Coverage, 14325,
     /*  680303 */     GIR_EraseRootFromParent_Done,
     /*  680304 */   // Label 10798: @680304
     /*  680304 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(680382), // Rule ID 14328 //
     /*  680309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  680358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680380 */     GIR_RootConstrainSelectedInstOperands,
     /*  680381 */     // GIR_Coverage, 14328,
     /*  680381 */     GIR_EraseRootFromParent_Done,
     /*  680382 */   // Label 10799: @680382
     /*  680382 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(680460), // Rule ID 14329 //
     /*  680387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  680436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680458 */     GIR_RootConstrainSelectedInstOperands,
     /*  680459 */     // GIR_Coverage, 14329,
     /*  680459 */     GIR_EraseRootFromParent_Done,
     /*  680460 */   // Label 10800: @680460
     /*  680460 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(680538), // Rule ID 14332 //
     /*  680465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  680514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680536 */     GIR_RootConstrainSelectedInstOperands,
     /*  680537 */     // GIR_Coverage, 14332,
     /*  680537 */     GIR_EraseRootFromParent_Done,
     /*  680538 */   // Label 10801: @680538
     /*  680538 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680616), // Rule ID 14333 //
     /*  680543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  680592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680614 */     GIR_RootConstrainSelectedInstOperands,
     /*  680615 */     // GIR_Coverage, 14333,
     /*  680615 */     GIR_EraseRootFromParent_Done,
     /*  680616 */   // Label 10802: @680616
     /*  680616 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680694), // Rule ID 14336 //
     /*  680621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  680670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680692 */     GIR_RootConstrainSelectedInstOperands,
     /*  680693 */     // GIR_Coverage, 14336,
     /*  680693 */     GIR_EraseRootFromParent_Done,
     /*  680694 */   // Label 10803: @680694
     /*  680694 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680772), // Rule ID 14337 //
     /*  680699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680745 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  680748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680770 */     GIR_RootConstrainSelectedInstOperands,
     /*  680771 */     // GIR_Coverage, 14337,
     /*  680771 */     GIR_EraseRootFromParent_Done,
     /*  680772 */   // Label 10804: @680772
     /*  680772 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680850), // Rule ID 14340 //
     /*  680777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  680826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680848 */     GIR_RootConstrainSelectedInstOperands,
     /*  680849 */     // GIR_Coverage, 14340,
     /*  680849 */     GIR_EraseRootFromParent_Done,
     /*  680850 */   // Label 10805: @680850
     /*  680850 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(680928), // Rule ID 14341 //
     /*  680855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  680863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680901 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  680904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  680926 */     GIR_RootConstrainSelectedInstOperands,
     /*  680927 */     // GIR_Coverage, 14341,
     /*  680927 */     GIR_EraseRootFromParent_Done,
     /*  680928 */   // Label 10806: @680928
     /*  680928 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(681006), // Rule ID 14432 //
     /*  680933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  680941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  680944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  680947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  680950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  680953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  680972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680979 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  680979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  680982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  680998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681004 */     GIR_RootConstrainSelectedInstOperands,
     /*  681005 */     // GIR_Coverage, 14432,
     /*  681005 */     GIR_EraseRootFromParent_Done,
     /*  681006 */   // Label 10807: @681006
     /*  681006 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(681084), // Rule ID 14433 //
     /*  681011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  681022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  681025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  681028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  681031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681057 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  681060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681082 */     GIR_RootConstrainSelectedInstOperands,
     /*  681083 */     // GIR_Coverage, 14433,
     /*  681083 */     GIR_EraseRootFromParent_Done,
     /*  681084 */   // Label 10808: @681084
     /*  681084 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(681162), // Rule ID 14436 //
     /*  681089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  681138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681157 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681160 */     GIR_RootConstrainSelectedInstOperands,
     /*  681161 */     // GIR_Coverage, 14436,
     /*  681161 */     GIR_EraseRootFromParent_Done,
     /*  681162 */   // Label 10809: @681162
     /*  681162 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(681240), // Rule ID 14437 //
     /*  681167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681213 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  681216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681238 */     GIR_RootConstrainSelectedInstOperands,
     /*  681239 */     // GIR_Coverage, 14437,
     /*  681239 */     GIR_EraseRootFromParent_Done,
     /*  681240 */   // Label 10810: @681240
     /*  681240 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(681318), // Rule ID 14440 //
     /*  681245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681316 */     GIR_RootConstrainSelectedInstOperands,
     /*  681317 */     // GIR_Coverage, 14440,
     /*  681317 */     GIR_EraseRootFromParent_Done,
     /*  681318 */   // Label 10811: @681318
     /*  681318 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(681396), // Rule ID 14441 //
     /*  681323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681369 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681394 */     GIR_RootConstrainSelectedInstOperands,
     /*  681395 */     // GIR_Coverage, 14441,
     /*  681395 */     GIR_EraseRootFromParent_Done,
     /*  681396 */   // Label 10812: @681396
     /*  681396 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(681474), // Rule ID 14444 //
     /*  681401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  681450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681472 */     GIR_RootConstrainSelectedInstOperands,
     /*  681473 */     // GIR_Coverage, 14444,
     /*  681473 */     GIR_EraseRootFromParent_Done,
     /*  681474 */   // Label 10813: @681474
     /*  681474 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(681552), // Rule ID 14445 //
     /*  681479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681525 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  681528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681550 */     GIR_RootConstrainSelectedInstOperands,
     /*  681551 */     // GIR_Coverage, 14445,
     /*  681551 */     GIR_EraseRootFromParent_Done,
     /*  681552 */   // Label 10814: @681552
     /*  681552 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681630), // Rule ID 14448 //
     /*  681557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681603 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681628 */     GIR_RootConstrainSelectedInstOperands,
     /*  681629 */     // GIR_Coverage, 14448,
     /*  681629 */     GIR_EraseRootFromParent_Done,
     /*  681630 */   // Label 10815: @681630
     /*  681630 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681708), // Rule ID 14449 //
     /*  681635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681681 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681706 */     GIR_RootConstrainSelectedInstOperands,
     /*  681707 */     // GIR_Coverage, 14449,
     /*  681707 */     GIR_EraseRootFromParent_Done,
     /*  681708 */   // Label 10816: @681708
     /*  681708 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681786), // Rule ID 14452 //
     /*  681713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681784 */     GIR_RootConstrainSelectedInstOperands,
     /*  681785 */     // GIR_Coverage, 14452,
     /*  681785 */     GIR_EraseRootFromParent_Done,
     /*  681786 */   // Label 10817: @681786
     /*  681786 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681864), // Rule ID 14453 //
     /*  681791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  681840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681862 */     GIR_RootConstrainSelectedInstOperands,
     /*  681863 */     // GIR_Coverage, 14453,
     /*  681863 */     GIR_EraseRootFromParent_Done,
     /*  681864 */   // Label 10818: @681864
     /*  681864 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681942), // Rule ID 14456 //
     /*  681869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681915 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  681918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  681940 */     GIR_RootConstrainSelectedInstOperands,
     /*  681941 */     // GIR_Coverage, 14456,
     /*  681941 */     GIR_EraseRootFromParent_Done,
     /*  681942 */   // Label 10819: @681942
     /*  681942 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(682020), // Rule ID 14457 //
     /*  681947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  681955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  681958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  681961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  681964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  681967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681993 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  681996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682018 */     GIR_RootConstrainSelectedInstOperands,
     /*  682019 */     // GIR_Coverage, 14457,
     /*  682019 */     GIR_EraseRootFromParent_Done,
     /*  682020 */   // Label 10820: @682020
     /*  682020 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(682098), // Rule ID 14460 //
     /*  682025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682096 */     GIR_RootConstrainSelectedInstOperands,
     /*  682097 */     // GIR_Coverage, 14460,
     /*  682097 */     GIR_EraseRootFromParent_Done,
     /*  682098 */   // Label 10821: @682098
     /*  682098 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(682176), // Rule ID 14461 //
     /*  682103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682149 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682174 */     GIR_RootConstrainSelectedInstOperands,
     /*  682175 */     // GIR_Coverage, 14461,
     /*  682175 */     GIR_EraseRootFromParent_Done,
     /*  682176 */   // Label 10822: @682176
     /*  682176 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(682254), // Rule ID 14464 //
     /*  682181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682227 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682252 */     GIR_RootConstrainSelectedInstOperands,
     /*  682253 */     // GIR_Coverage, 14464,
     /*  682253 */     GIR_EraseRootFromParent_Done,
     /*  682254 */   // Label 10823: @682254
     /*  682254 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(682332), // Rule ID 14465 //
     /*  682259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682305 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682330 */     GIR_RootConstrainSelectedInstOperands,
     /*  682331 */     // GIR_Coverage, 14465,
     /*  682331 */     GIR_EraseRootFromParent_Done,
     /*  682332 */   // Label 10824: @682332
     /*  682332 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(682410), // Rule ID 14468 //
     /*  682337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682383 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682408 */     GIR_RootConstrainSelectedInstOperands,
     /*  682409 */     // GIR_Coverage, 14468,
     /*  682409 */     GIR_EraseRootFromParent_Done,
     /*  682410 */   // Label 10825: @682410
     /*  682410 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(682488), // Rule ID 14469 //
     /*  682415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  682464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682483 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682486 */     GIR_RootConstrainSelectedInstOperands,
     /*  682487 */     // GIR_Coverage, 14469,
     /*  682487 */     GIR_EraseRootFromParent_Done,
     /*  682488 */   // Label 10826: @682488
     /*  682488 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(682566), // Rule ID 14472 //
     /*  682493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682539 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  682542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682564 */     GIR_RootConstrainSelectedInstOperands,
     /*  682565 */     // GIR_Coverage, 14472,
     /*  682565 */     GIR_EraseRootFromParent_Done,
     /*  682566 */   // Label 10827: @682566
     /*  682566 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682644), // Rule ID 14473 //
     /*  682571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  682620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682642 */     GIR_RootConstrainSelectedInstOperands,
     /*  682643 */     // GIR_Coverage, 14473,
     /*  682643 */     GIR_EraseRootFromParent_Done,
     /*  682644 */   // Label 10828: @682644
     /*  682644 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682722), // Rule ID 14476 //
     /*  682649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  682698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682720 */     GIR_RootConstrainSelectedInstOperands,
     /*  682721 */     // GIR_Coverage, 14476,
     /*  682721 */     GIR_EraseRootFromParent_Done,
     /*  682722 */   // Label 10829: @682722
     /*  682722 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682800), // Rule ID 14477 //
     /*  682727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682773 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  682776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682798 */     GIR_RootConstrainSelectedInstOperands,
     /*  682799 */     // GIR_Coverage, 14477,
     /*  682799 */     GIR_EraseRootFromParent_Done,
     /*  682800 */   // Label 10830: @682800
     /*  682800 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682878), // Rule ID 14480 //
     /*  682805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  682854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682876 */     GIR_RootConstrainSelectedInstOperands,
     /*  682877 */     // GIR_Coverage, 14480,
     /*  682877 */     GIR_EraseRootFromParent_Done,
     /*  682878 */   // Label 10831: @682878
     /*  682878 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682956), // Rule ID 14481 //
     /*  682883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  682932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  682954 */     GIR_RootConstrainSelectedInstOperands,
     /*  682955 */     // GIR_Coverage, 14481,
     /*  682955 */     GIR_EraseRootFromParent_Done,
     /*  682956 */   // Label 10832: @682956
     /*  682956 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(683034), // Rule ID 14484 //
     /*  682961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  682969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  682972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  682975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  682978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  682981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  683010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683032 */     GIR_RootConstrainSelectedInstOperands,
     /*  683033 */     // GIR_Coverage, 14484,
     /*  683033 */     GIR_EraseRootFromParent_Done,
     /*  683034 */   // Label 10833: @683034
     /*  683034 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(683112), // Rule ID 14485 //
     /*  683039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  683050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  683053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  683056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  683059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683085 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  683088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683110 */     GIR_RootConstrainSelectedInstOperands,
     /*  683111 */     // GIR_Coverage, 14485,
     /*  683111 */     GIR_EraseRootFromParent_Done,
     /*  683112 */   // Label 10834: @683112
     /*  683112 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(683190), // Rule ID 14488 //
     /*  683117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  683166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683188 */     GIR_RootConstrainSelectedInstOperands,
     /*  683189 */     // GIR_Coverage, 14488,
     /*  683189 */     GIR_EraseRootFromParent_Done,
     /*  683190 */   // Label 10835: @683190
     /*  683190 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(683268), // Rule ID 14489 //
     /*  683195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683241 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  683244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683266 */     GIR_RootConstrainSelectedInstOperands,
     /*  683267 */     // GIR_Coverage, 14489,
     /*  683267 */     GIR_EraseRootFromParent_Done,
     /*  683268 */   // Label 10836: @683268
     /*  683268 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(683346), // Rule ID 14492 //
     /*  683273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  683322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683344 */     GIR_RootConstrainSelectedInstOperands,
     /*  683345 */     // GIR_Coverage, 14492,
     /*  683345 */     GIR_EraseRootFromParent_Done,
     /*  683346 */   // Label 10837: @683346
     /*  683346 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(683424), // Rule ID 14493 //
     /*  683351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  683400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683422 */     GIR_RootConstrainSelectedInstOperands,
     /*  683423 */     // GIR_Coverage, 14493,
     /*  683423 */     GIR_EraseRootFromParent_Done,
     /*  683424 */   // Label 10838: @683424
     /*  683424 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(683502), // Rule ID 14496 //
     /*  683429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683475 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  683478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683500 */     GIR_RootConstrainSelectedInstOperands,
     /*  683501 */     // GIR_Coverage, 14496,
     /*  683501 */     GIR_EraseRootFromParent_Done,
     /*  683502 */   // Label 10839: @683502
     /*  683502 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(683580), // Rule ID 14497 //
     /*  683507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  683556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683578 */     GIR_RootConstrainSelectedInstOperands,
     /*  683579 */     // GIR_Coverage, 14497,
     /*  683579 */     GIR_EraseRootFromParent_Done,
     /*  683580 */   // Label 10840: @683580
     /*  683580 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(683658), // Rule ID 14500 //
     /*  683585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  683634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683656 */     GIR_RootConstrainSelectedInstOperands,
     /*  683657 */     // GIR_Coverage, 14500,
     /*  683657 */     GIR_EraseRootFromParent_Done,
     /*  683658 */   // Label 10841: @683658
     /*  683658 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683736), // Rule ID 14501 //
     /*  683663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  683712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683734 */     GIR_RootConstrainSelectedInstOperands,
     /*  683735 */     // GIR_Coverage, 14501,
     /*  683735 */     GIR_EraseRootFromParent_Done,
     /*  683736 */   // Label 10842: @683736
     /*  683736 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683814), // Rule ID 14504 //
     /*  683741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  683790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683812 */     GIR_RootConstrainSelectedInstOperands,
     /*  683813 */     // GIR_Coverage, 14504,
     /*  683813 */     GIR_EraseRootFromParent_Done,
     /*  683814 */   // Label 10843: @683814
     /*  683814 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683892), // Rule ID 14505 //
     /*  683819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683865 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  683868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683887 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683890 */     GIR_RootConstrainSelectedInstOperands,
     /*  683891 */     // GIR_Coverage, 14505,
     /*  683891 */     GIR_EraseRootFromParent_Done,
     /*  683892 */   // Label 10844: @683892
     /*  683892 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683970), // Rule ID 14508 //
     /*  683897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683943 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  683943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  683946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  683962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  683968 */     GIR_RootConstrainSelectedInstOperands,
     /*  683969 */     // GIR_Coverage, 14508,
     /*  683969 */     GIR_EraseRootFromParent_Done,
     /*  683970 */   // Label 10845: @683970
     /*  683970 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(684048), // Rule ID 14509 //
     /*  683975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  683978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  683983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684021 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  684024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684046 */     GIR_RootConstrainSelectedInstOperands,
     /*  684047 */     // GIR_Coverage, 14509,
     /*  684047 */     GIR_EraseRootFromParent_Done,
     /*  684048 */   // Label 10846: @684048
     /*  684048 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(684126), // Rule ID 14512 //
     /*  684053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  684102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684124 */     GIR_RootConstrainSelectedInstOperands,
     /*  684125 */     // GIR_Coverage, 14512,
     /*  684125 */     GIR_EraseRootFromParent_Done,
     /*  684126 */   // Label 10847: @684126
     /*  684126 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(684204), // Rule ID 14513 //
     /*  684131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  684180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684199 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684202 */     GIR_RootConstrainSelectedInstOperands,
     /*  684203 */     // GIR_Coverage, 14513,
     /*  684203 */     GIR_EraseRootFromParent_Done,
     /*  684204 */   // Label 10848: @684204
     /*  684204 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(684282), // Rule ID 14516 //
     /*  684209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  684258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684280 */     GIR_RootConstrainSelectedInstOperands,
     /*  684281 */     // GIR_Coverage, 14516,
     /*  684281 */     GIR_EraseRootFromParent_Done,
     /*  684282 */   // Label 10849: @684282
     /*  684282 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(684360), // Rule ID 14517 //
     /*  684287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  684336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684358 */     GIR_RootConstrainSelectedInstOperands,
     /*  684359 */     // GIR_Coverage, 14517,
     /*  684359 */     GIR_EraseRootFromParent_Done,
     /*  684360 */   // Label 10850: @684360
     /*  684360 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(684438), // Rule ID 14520 //
     /*  684365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  684414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684436 */     GIR_RootConstrainSelectedInstOperands,
     /*  684437 */     // GIR_Coverage, 14520,
     /*  684437 */     GIR_EraseRootFromParent_Done,
     /*  684438 */   // Label 10851: @684438
     /*  684438 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(684516), // Rule ID 14521 //
     /*  684443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  684492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684514 */     GIR_RootConstrainSelectedInstOperands,
     /*  684515 */     // GIR_Coverage, 14521,
     /*  684515 */     GIR_EraseRootFromParent_Done,
     /*  684516 */   // Label 10852: @684516
     /*  684516 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(684594), // Rule ID 14524 //
     /*  684521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  684570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684592 */     GIR_RootConstrainSelectedInstOperands,
     /*  684593 */     // GIR_Coverage, 14524,
     /*  684593 */     GIR_EraseRootFromParent_Done,
     /*  684594 */   // Label 10853: @684594
     /*  684594 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(684672), // Rule ID 14525 //
     /*  684599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684645 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  684648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684670 */     GIR_RootConstrainSelectedInstOperands,
     /*  684671 */     // GIR_Coverage, 14525,
     /*  684671 */     GIR_EraseRootFromParent_Done,
     /*  684672 */   // Label 10854: @684672
     /*  684672 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684750), // Rule ID 14528 //
     /*  684677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  684726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684748 */     GIR_RootConstrainSelectedInstOperands,
     /*  684749 */     // GIR_Coverage, 14528,
     /*  684749 */     GIR_EraseRootFromParent_Done,
     /*  684750 */   // Label 10855: @684750
     /*  684750 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684828), // Rule ID 14529 //
     /*  684755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684801 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  684804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684826 */     GIR_RootConstrainSelectedInstOperands,
     /*  684827 */     // GIR_Coverage, 14529,
     /*  684827 */     GIR_EraseRootFromParent_Done,
     /*  684828 */   // Label 10856: @684828
     /*  684828 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684906), // Rule ID 14532 //
     /*  684833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  684882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684904 */     GIR_RootConstrainSelectedInstOperands,
     /*  684905 */     // GIR_Coverage, 14532,
     /*  684905 */     GIR_EraseRootFromParent_Done,
     /*  684906 */   // Label 10857: @684906
     /*  684906 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684984), // Rule ID 14533 //
     /*  684911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  684960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  684982 */     GIR_RootConstrainSelectedInstOperands,
     /*  684983 */     // GIR_Coverage, 14533,
     /*  684983 */     GIR_EraseRootFromParent_Done,
     /*  684984 */   // Label 10858: @684984
     /*  684984 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(685062), // Rule ID 14536 //
     /*  684989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  684997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  685038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685060 */     GIR_RootConstrainSelectedInstOperands,
     /*  685061 */     // GIR_Coverage, 14536,
     /*  685061 */     GIR_EraseRootFromParent_Done,
     /*  685062 */   // Label 10859: @685062
     /*  685062 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(685140), // Rule ID 14537 //
     /*  685067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  685116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685138 */     GIR_RootConstrainSelectedInstOperands,
     /*  685139 */     // GIR_Coverage, 14537,
     /*  685139 */     GIR_EraseRootFromParent_Done,
     /*  685140 */   // Label 10860: @685140
     /*  685140 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(685218), // Rule ID 14540 //
     /*  685145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  685194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685216 */     GIR_RootConstrainSelectedInstOperands,
     /*  685217 */     // GIR_Coverage, 14540,
     /*  685217 */     GIR_EraseRootFromParent_Done,
     /*  685218 */   // Label 10861: @685218
     /*  685218 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(685296), // Rule ID 14541 //
     /*  685223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685269 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  685272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685294 */     GIR_RootConstrainSelectedInstOperands,
     /*  685295 */     // GIR_Coverage, 14541,
     /*  685295 */     GIR_EraseRootFromParent_Done,
     /*  685296 */   // Label 10862: @685296
     /*  685296 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(685374), // Rule ID 14544 //
     /*  685301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685372 */     GIR_RootConstrainSelectedInstOperands,
     /*  685373 */     // GIR_Coverage, 14544,
     /*  685373 */     GIR_EraseRootFromParent_Done,
     /*  685374 */   // Label 10863: @685374
     /*  685374 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(685452), // Rule ID 14545 //
     /*  685379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685425 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11253:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685450 */     GIR_RootConstrainSelectedInstOperands,
     /*  685451 */     // GIR_Coverage, 14545,
     /*  685451 */     GIR_EraseRootFromParent_Done,
     /*  685452 */   // Label 10864: @685452
     /*  685452 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(685530), // Rule ID 14548 //
     /*  685457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685528 */     GIR_RootConstrainSelectedInstOperands,
     /*  685529 */     // GIR_Coverage, 14548,
     /*  685529 */     GIR_EraseRootFromParent_Done,
     /*  685530 */   // Label 10865: @685530
     /*  685530 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(685608), // Rule ID 14549 //
     /*  685535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685606 */     GIR_RootConstrainSelectedInstOperands,
     /*  685607 */     // GIR_Coverage, 14549,
     /*  685607 */     GIR_EraseRootFromParent_Done,
     /*  685608 */   // Label 10866: @685608
     /*  685608 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(685686), // Rule ID 14552 //
     /*  685613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685684 */     GIR_RootConstrainSelectedInstOperands,
     /*  685685 */     // GIR_Coverage, 14552,
     /*  685685 */     GIR_EraseRootFromParent_Done,
     /*  685686 */   // Label 10867: @685686
     /*  685686 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685764), // Rule ID 14553 //
     /*  685691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685762 */     GIR_RootConstrainSelectedInstOperands,
     /*  685763 */     // GIR_Coverage, 14553,
     /*  685763 */     GIR_EraseRootFromParent_Done,
     /*  685764 */   // Label 10868: @685764
     /*  685764 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685842), // Rule ID 14556 //
     /*  685769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685840 */     GIR_RootConstrainSelectedInstOperands,
     /*  685841 */     // GIR_Coverage, 14556,
     /*  685841 */     GIR_EraseRootFromParent_Done,
     /*  685842 */   // Label 10869: @685842
     /*  685842 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685920), // Rule ID 14557 //
     /*  685847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685893 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  685896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685918 */     GIR_RootConstrainSelectedInstOperands,
     /*  685919 */     // GIR_Coverage, 14557,
     /*  685919 */     GIR_EraseRootFromParent_Done,
     /*  685920 */   // Label 10870: @685920
     /*  685920 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685998), // Rule ID 14560 //
     /*  685925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  685933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685971 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  685974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  685996 */     GIR_RootConstrainSelectedInstOperands,
     /*  685997 */     // GIR_Coverage, 14560,
     /*  685997 */     GIR_EraseRootFromParent_Done,
     /*  685998 */   // Label 10871: @685998
     /*  685998 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(686076), // Rule ID 14561 //
     /*  686003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  686014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  686017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  686020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686049 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  686052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686074 */     GIR_RootConstrainSelectedInstOperands,
     /*  686075 */     // GIR_Coverage, 14561,
     /*  686075 */     GIR_EraseRootFromParent_Done,
     /*  686076 */   // Label 10872: @686076
     /*  686076 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(686154), // Rule ID 14564 //
     /*  686081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  686130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686149 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686152 */     GIR_RootConstrainSelectedInstOperands,
     /*  686153 */     // GIR_Coverage, 14564,
     /*  686153 */     GIR_EraseRootFromParent_Done,
     /*  686154 */   // Label 10873: @686154
     /*  686154 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(686232), // Rule ID 14565 //
     /*  686159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  686208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686230 */     GIR_RootConstrainSelectedInstOperands,
     /*  686231 */     // GIR_Coverage, 14565,
     /*  686231 */     GIR_EraseRootFromParent_Done,
     /*  686232 */   // Label 10874: @686232
     /*  686232 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(686310), // Rule ID 14568 //
     /*  686237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686283 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  686286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686308 */     GIR_RootConstrainSelectedInstOperands,
     /*  686309 */     // GIR_Coverage, 14568,
     /*  686309 */     GIR_EraseRootFromParent_Done,
     /*  686310 */   // Label 10875: @686310
     /*  686310 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(686388), // Rule ID 14569 //
     /*  686315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686361 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  686364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686386 */     GIR_RootConstrainSelectedInstOperands,
     /*  686387 */     // GIR_Coverage, 14569,
     /*  686387 */     GIR_EraseRootFromParent_Done,
     /*  686388 */   // Label 10876: @686388
     /*  686388 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(686466), // Rule ID 14572 //
     /*  686393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  686442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686464 */     GIR_RootConstrainSelectedInstOperands,
     /*  686465 */     // GIR_Coverage, 14572,
     /*  686465 */     GIR_EraseRootFromParent_Done,
     /*  686466 */   // Label 10877: @686466
     /*  686466 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(686544), // Rule ID 14573 //
     /*  686471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686517 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  686520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686542 */     GIR_RootConstrainSelectedInstOperands,
     /*  686543 */     // GIR_Coverage, 14573,
     /*  686543 */     GIR_EraseRootFromParent_Done,
     /*  686544 */   // Label 10878: @686544
     /*  686544 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(686622), // Rule ID 14576 //
     /*  686549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686595 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  686598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686620 */     GIR_RootConstrainSelectedInstOperands,
     /*  686621 */     // GIR_Coverage, 14576,
     /*  686621 */     GIR_EraseRootFromParent_Done,
     /*  686622 */   // Label 10879: @686622
     /*  686622 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(686700), // Rule ID 14577 //
     /*  686627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686673 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  686676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686698 */     GIR_RootConstrainSelectedInstOperands,
     /*  686699 */     // GIR_Coverage, 14577,
     /*  686699 */     GIR_EraseRootFromParent_Done,
     /*  686700 */   // Label 10880: @686700
     /*  686700 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(686778), // Rule ID 14580 //
     /*  686705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  686754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686776 */     GIR_RootConstrainSelectedInstOperands,
     /*  686777 */     // GIR_Coverage, 14580,
     /*  686777 */     GIR_EraseRootFromParent_Done,
     /*  686778 */   // Label 10881: @686778
     /*  686778 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686856), // Rule ID 14581 //
     /*  686783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686829 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  686832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686854 */     GIR_RootConstrainSelectedInstOperands,
     /*  686855 */     // GIR_Coverage, 14581,
     /*  686855 */     GIR_EraseRootFromParent_Done,
     /*  686856 */   // Label 10882: @686856
     /*  686856 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686934), // Rule ID 14584 //
     /*  686861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686907 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  686910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  686932 */     GIR_RootConstrainSelectedInstOperands,
     /*  686933 */     // GIR_Coverage, 14584,
     /*  686933 */     GIR_EraseRootFromParent_Done,
     /*  686934 */   // Label 10883: @686934
     /*  686934 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(687012), // Rule ID 14585 //
     /*  686939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  686947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  686988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687010 */     GIR_RootConstrainSelectedInstOperands,
     /*  687011 */     // GIR_Coverage, 14585,
     /*  687011 */     GIR_EraseRootFromParent_Done,
     /*  687012 */   // Label 10884: @687012
     /*  687012 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(687090), // Rule ID 14588 //
     /*  687017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  687028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  687031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  687034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687063 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  687066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687088 */     GIR_RootConstrainSelectedInstOperands,
     /*  687089 */     // GIR_Coverage, 14588,
     /*  687089 */     GIR_EraseRootFromParent_Done,
     /*  687090 */   // Label 10885: @687090
     /*  687090 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(687168), // Rule ID 14589 //
     /*  687095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  687106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  687109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  687112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  687144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687166 */     GIR_RootConstrainSelectedInstOperands,
     /*  687167 */     // GIR_Coverage, 14589,
     /*  687167 */     GIR_EraseRootFromParent_Done,
     /*  687168 */   // Label 10886: @687168
     /*  687168 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(687246), // Rule ID 14592 //
     /*  687173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  687222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687244 */     GIR_RootConstrainSelectedInstOperands,
     /*  687245 */     // GIR_Coverage, 14592,
     /*  687245 */     GIR_EraseRootFromParent_Done,
     /*  687246 */   // Label 10887: @687246
     /*  687246 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(687324), // Rule ID 14593 //
     /*  687251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  687300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687322 */     GIR_RootConstrainSelectedInstOperands,
     /*  687323 */     // GIR_Coverage, 14593,
     /*  687323 */     GIR_EraseRootFromParent_Done,
     /*  687324 */   // Label 10888: @687324
     /*  687324 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(687402), // Rule ID 14596 //
     /*  687329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  687378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687400 */     GIR_RootConstrainSelectedInstOperands,
     /*  687401 */     // GIR_Coverage, 14596,
     /*  687401 */     GIR_EraseRootFromParent_Done,
     /*  687402 */   // Label 10889: @687402
     /*  687402 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(687480), // Rule ID 14597 //
     /*  687407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687453 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11253:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  687456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687478 */     GIR_RootConstrainSelectedInstOperands,
     /*  687479 */     // GIR_Coverage, 14597,
     /*  687479 */     GIR_EraseRootFromParent_Done,
     /*  687480 */   // Label 10890: @687480
     /*  687480 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(687558), // Rule ID 14600 //
     /*  687485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  687534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687556 */     GIR_RootConstrainSelectedInstOperands,
     /*  687557 */     // GIR_Coverage, 14600,
     /*  687557 */     GIR_EraseRootFromParent_Done,
     /*  687558 */   // Label 10891: @687558
     /*  687558 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(687636), // Rule ID 14601 //
     /*  687563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687609 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11253:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  687612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687634 */     GIR_RootConstrainSelectedInstOperands,
     /*  687635 */     // GIR_Coverage, 14601,
     /*  687635 */     GIR_EraseRootFromParent_Done,
     /*  687636 */   // Label 10892: @687636
     /*  687636 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(687714), // Rule ID 14604 //
     /*  687641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  687690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687712 */     GIR_RootConstrainSelectedInstOperands,
     /*  687713 */     // GIR_Coverage, 14604,
     /*  687713 */     GIR_EraseRootFromParent_Done,
     /*  687714 */   // Label 10893: @687714
     /*  687714 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(687792), // Rule ID 14605 //
     /*  687719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  687727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11253:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  687768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687790 */     GIR_RootConstrainSelectedInstOperands,
     /*  687791 */     // GIR_Coverage, 14605,
     /*  687791 */     GIR_EraseRootFromParent_Done,
     /*  687792 */   // Label 10894: @687792
     /*  687792 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687870), // Rule ID 14608 //
     /*  687797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687843 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  687846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687868 */     GIR_RootConstrainSelectedInstOperands,
     /*  687869 */     // GIR_Coverage, 14608,
     /*  687869 */     GIR_EraseRootFromParent_Done,
     /*  687870 */   // Label 10895: @687870
     /*  687870 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687948), // Rule ID 14609 //
     /*  687875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687921 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  687924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687943 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  687946 */     GIR_RootConstrainSelectedInstOperands,
     /*  687947 */     // GIR_Coverage, 14609,
     /*  687947 */     GIR_EraseRootFromParent_Done,
     /*  687948 */   // Label 10896: @687948
     /*  687948 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(688026), // Rule ID 14612 //
     /*  687953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  687961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687999 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  688002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688024 */     GIR_RootConstrainSelectedInstOperands,
     /*  688025 */     // GIR_Coverage, 14612,
     /*  688025 */     GIR_EraseRootFromParent_Done,
     /*  688026 */   // Label 10897: @688026
     /*  688026 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(688104), // Rule ID 14613 //
     /*  688031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  688042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  688045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  688048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  688051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688077 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  688080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688102 */     GIR_RootConstrainSelectedInstOperands,
     /*  688103 */     // GIR_Coverage, 14613,
     /*  688103 */     GIR_EraseRootFromParent_Done,
     /*  688104 */   // Label 10898: @688104
     /*  688104 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(688182), // Rule ID 14616 //
     /*  688109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688180 */     GIR_RootConstrainSelectedInstOperands,
     /*  688181 */     // GIR_Coverage, 14616,
     /*  688181 */     GIR_EraseRootFromParent_Done,
     /*  688182 */   // Label 10899: @688182
     /*  688182 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(688260), // Rule ID 14617 //
     /*  688187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688233 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688258 */     GIR_RootConstrainSelectedInstOperands,
     /*  688259 */     // GIR_Coverage, 14617,
     /*  688259 */     GIR_EraseRootFromParent_Done,
     /*  688260 */   // Label 10900: @688260
     /*  688260 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(688338), // Rule ID 14620 //
     /*  688265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  688314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688336 */     GIR_RootConstrainSelectedInstOperands,
     /*  688337 */     // GIR_Coverage, 14620,
     /*  688337 */     GIR_EraseRootFromParent_Done,
     /*  688338 */   // Label 10901: @688338
     /*  688338 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(688416), // Rule ID 14621 //
     /*  688343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688389 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  688392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688414 */     GIR_RootConstrainSelectedInstOperands,
     /*  688415 */     // GIR_Coverage, 14621,
     /*  688415 */     GIR_EraseRootFromParent_Done,
     /*  688416 */   // Label 10902: @688416
     /*  688416 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(688494), // Rule ID 14624 //
     /*  688421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688467 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688492 */     GIR_RootConstrainSelectedInstOperands,
     /*  688493 */     // GIR_Coverage, 14624,
     /*  688493 */     GIR_EraseRootFromParent_Done,
     /*  688494 */   // Label 10903: @688494
     /*  688494 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(688572), // Rule ID 14625 //
     /*  688499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688545 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688570 */     GIR_RootConstrainSelectedInstOperands,
     /*  688571 */     // GIR_Coverage, 14625,
     /*  688571 */     GIR_EraseRootFromParent_Done,
     /*  688572 */   // Label 10904: @688572
     /*  688572 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(688650), // Rule ID 14628 //
     /*  688577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688623 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688648 */     GIR_RootConstrainSelectedInstOperands,
     /*  688649 */     // GIR_Coverage, 14628,
     /*  688649 */     GIR_EraseRootFromParent_Done,
     /*  688650 */   // Label 10905: @688650
     /*  688650 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(688728), // Rule ID 14629 //
     /*  688655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  688704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688726 */     GIR_RootConstrainSelectedInstOperands,
     /*  688727 */     // GIR_Coverage, 14629,
     /*  688727 */     GIR_EraseRootFromParent_Done,
     /*  688728 */   // Label 10906: @688728
     /*  688728 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(688806), // Rule ID 14632 //
     /*  688733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  688782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688804 */     GIR_RootConstrainSelectedInstOperands,
     /*  688805 */     // GIR_Coverage, 14632,
     /*  688805 */     GIR_EraseRootFromParent_Done,
     /*  688806 */   // Label 10907: @688806
     /*  688806 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688884), // Rule ID 14633 //
     /*  688811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  688860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688882 */     GIR_RootConstrainSelectedInstOperands,
     /*  688883 */     // GIR_Coverage, 14633,
     /*  688883 */     GIR_EraseRootFromParent_Done,
     /*  688884 */   // Label 10908: @688884
     /*  688884 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688962), // Rule ID 14636 //
     /*  688889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  688938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  688960 */     GIR_RootConstrainSelectedInstOperands,
     /*  688961 */     // GIR_Coverage, 14636,
     /*  688961 */     GIR_EraseRootFromParent_Done,
     /*  688962 */   // Label 10909: @688962
     /*  688962 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(689040), // Rule ID 14637 //
     /*  688967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  688975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689013 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  689016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689038 */     GIR_RootConstrainSelectedInstOperands,
     /*  689039 */     // GIR_Coverage, 14637,
     /*  689039 */     GIR_EraseRootFromParent_Done,
     /*  689040 */   // Label 10910: @689040
     /*  689040 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(689118), // Rule ID 14640 //
     /*  689045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  689091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  689094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689113 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689116 */     GIR_RootConstrainSelectedInstOperands,
     /*  689117 */     // GIR_Coverage, 14640,
     /*  689117 */     GIR_EraseRootFromParent_Done,
     /*  689118 */   // Label 10911: @689118
     /*  689118 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(689196), // Rule ID 14641 //
     /*  689123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  689172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689194 */     GIR_RootConstrainSelectedInstOperands,
     /*  689195 */     // GIR_Coverage, 14641,
     /*  689195 */     GIR_EraseRootFromParent_Done,
     /*  689196 */   // Label 10912: @689196
     /*  689196 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(689274), // Rule ID 14644 //
     /*  689201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  689250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689272 */     GIR_RootConstrainSelectedInstOperands,
     /*  689273 */     // GIR_Coverage, 14644,
     /*  689273 */     GIR_EraseRootFromParent_Done,
     /*  689274 */   // Label 10913: @689274
     /*  689274 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(689352), // Rule ID 14645 //
     /*  689279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689325 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  689328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689350 */     GIR_RootConstrainSelectedInstOperands,
     /*  689351 */     // GIR_Coverage, 14645,
     /*  689351 */     GIR_EraseRootFromParent_Done,
     /*  689352 */   // Label 10914: @689352
     /*  689352 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(689430), // Rule ID 14648 //
     /*  689357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  689406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689428 */     GIR_RootConstrainSelectedInstOperands,
     /*  689429 */     // GIR_Coverage, 14648,
     /*  689429 */     GIR_EraseRootFromParent_Done,
     /*  689430 */   // Label 10915: @689430
     /*  689430 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(689508), // Rule ID 14649 //
     /*  689435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689481 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  689484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689503 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689506 */     GIR_RootConstrainSelectedInstOperands,
     /*  689507 */     // GIR_Coverage, 14649,
     /*  689507 */     GIR_EraseRootFromParent_Done,
     /*  689508 */   // Label 10916: @689508
     /*  689508 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(689586), // Rule ID 14652 //
     /*  689513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689559 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  689562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689584 */     GIR_RootConstrainSelectedInstOperands,
     /*  689585 */     // GIR_Coverage, 14652,
     /*  689585 */     GIR_EraseRootFromParent_Done,
     /*  689586 */   // Label 10917: @689586
     /*  689586 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(689664), // Rule ID 14653 //
     /*  689591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  689640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689662 */     GIR_RootConstrainSelectedInstOperands,
     /*  689663 */     // GIR_Coverage, 14653,
     /*  689663 */     GIR_EraseRootFromParent_Done,
     /*  689664 */   // Label 10918: @689664
     /*  689664 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(689742), // Rule ID 14656 //
     /*  689669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689715 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  689718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689740 */     GIR_RootConstrainSelectedInstOperands,
     /*  689741 */     // GIR_Coverage, 14656,
     /*  689741 */     GIR_EraseRootFromParent_Done,
     /*  689742 */   // Label 10919: @689742
     /*  689742 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(689820), // Rule ID 14657 //
     /*  689747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689793 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  689796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689818 */     GIR_RootConstrainSelectedInstOperands,
     /*  689819 */     // GIR_Coverage, 14657,
     /*  689819 */     GIR_EraseRootFromParent_Done,
     /*  689820 */   // Label 10920: @689820
     /*  689820 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(689898), // Rule ID 14660 //
     /*  689825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689871 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  689874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689896 */     GIR_RootConstrainSelectedInstOperands,
     /*  689897 */     // GIR_Coverage, 14660,
     /*  689897 */     GIR_EraseRootFromParent_Done,
     /*  689898 */   // Label 10921: @689898
     /*  689898 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689976), // Rule ID 14661 //
     /*  689903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  689952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  689974 */     GIR_RootConstrainSelectedInstOperands,
     /*  689975 */     // GIR_Coverage, 14661,
     /*  689975 */     GIR_EraseRootFromParent_Done,
     /*  689976 */   // Label 10922: @689976
     /*  689976 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(690054), // Rule ID 14664 //
     /*  689981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  689989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  690001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  690030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690052 */     GIR_RootConstrainSelectedInstOperands,
     /*  690053 */     // GIR_Coverage, 14664,
     /*  690053 */     GIR_EraseRootFromParent_Done,
     /*  690054 */   // Label 10923: @690054
     /*  690054 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(690132), // Rule ID 14665 //
     /*  690059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  690070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  690073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  690076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  690079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690105 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  690108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690130 */     GIR_RootConstrainSelectedInstOperands,
     /*  690131 */     // GIR_Coverage, 14665,
     /*  690131 */     GIR_EraseRootFromParent_Done,
     /*  690132 */   // Label 10924: @690132
     /*  690132 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(690210), // Rule ID 14668 //
     /*  690137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690183 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  690186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690208 */     GIR_RootConstrainSelectedInstOperands,
     /*  690209 */     // GIR_Coverage, 14668,
     /*  690209 */     GIR_EraseRootFromParent_Done,
     /*  690210 */   // Label 10925: @690210
     /*  690210 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(690288), // Rule ID 14669 //
     /*  690215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690261 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  690264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690286 */     GIR_RootConstrainSelectedInstOperands,
     /*  690287 */     // GIR_Coverage, 14669,
     /*  690287 */     GIR_EraseRootFromParent_Done,
     /*  690288 */   // Label 10926: @690288
     /*  690288 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(690366), // Rule ID 14672 //
     /*  690293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  690342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690364 */     GIR_RootConstrainSelectedInstOperands,
     /*  690365 */     // GIR_Coverage, 14672,
     /*  690365 */     GIR_EraseRootFromParent_Done,
     /*  690366 */   // Label 10927: @690366
     /*  690366 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(690444), // Rule ID 14673 //
     /*  690371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  690420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690442 */     GIR_RootConstrainSelectedInstOperands,
     /*  690443 */     // GIR_Coverage, 14673,
     /*  690443 */     GIR_EraseRootFromParent_Done,
     /*  690444 */   // Label 10928: @690444
     /*  690444 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(690522), // Rule ID 14676 //
     /*  690449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690495 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  690498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690520 */     GIR_RootConstrainSelectedInstOperands,
     /*  690521 */     // GIR_Coverage, 14676,
     /*  690521 */     GIR_EraseRootFromParent_Done,
     /*  690522 */   // Label 10929: @690522
     /*  690522 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(690600), // Rule ID 14677 //
     /*  690527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690573 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  690576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690598 */     GIR_RootConstrainSelectedInstOperands,
     /*  690599 */     // GIR_Coverage, 14677,
     /*  690599 */     GIR_EraseRootFromParent_Done,
     /*  690600 */   // Label 10930: @690600
     /*  690600 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(690678), // Rule ID 14680 //
     /*  690605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  690654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690676 */     GIR_RootConstrainSelectedInstOperands,
     /*  690677 */     // GIR_Coverage, 14680,
     /*  690677 */     GIR_EraseRootFromParent_Done,
     /*  690678 */   // Label 10931: @690678
     /*  690678 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(690756), // Rule ID 14681 //
     /*  690683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  690732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690754 */     GIR_RootConstrainSelectedInstOperands,
     /*  690755 */     // GIR_Coverage, 14681,
     /*  690755 */     GIR_EraseRootFromParent_Done,
     /*  690756 */   // Label 10932: @690756
     /*  690756 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(690834), // Rule ID 14684 //
     /*  690761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690807 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  690810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690832 */     GIR_RootConstrainSelectedInstOperands,
     /*  690833 */     // GIR_Coverage, 14684,
     /*  690833 */     GIR_EraseRootFromParent_Done,
     /*  690834 */   // Label 10933: @690834
     /*  690834 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(690912), // Rule ID 14685 //
     /*  690839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690885 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  690888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690907 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690910 */     GIR_RootConstrainSelectedInstOperands,
     /*  690911 */     // GIR_Coverage, 14685,
     /*  690911 */     GIR_EraseRootFromParent_Done,
     /*  690912 */   // Label 10934: @690912
     /*  690912 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690990), // Rule ID 14688 //
     /*  690917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  690925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  690966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  690988 */     GIR_RootConstrainSelectedInstOperands,
     /*  690989 */     // GIR_Coverage, 14688,
     /*  690989 */     GIR_EraseRootFromParent_Done,
     /*  690990 */   // Label 10935: @690990
     /*  690990 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(691068), // Rule ID 14689 //
     /*  690995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  691006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  691009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  691012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  691015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  691034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  691044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691066 */     GIR_RootConstrainSelectedInstOperands,
     /*  691067 */     // GIR_Coverage, 14689,
     /*  691067 */     GIR_EraseRootFromParent_Done,
     /*  691068 */   // Label 10936: @691068
     /*  691068 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(691146), // Rule ID 14692 //
     /*  691073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  691076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691119 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  691119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  691122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691144 */     GIR_RootConstrainSelectedInstOperands,
     /*  691145 */     // GIR_Coverage, 14692,
     /*  691145 */     GIR_EraseRootFromParent_Done,
     /*  691146 */   // Label 10937: @691146
     /*  691146 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(691224), // Rule ID 14693 //
     /*  691151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  691154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  691162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  691165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  691168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  691171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  691190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  691197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  691200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691222 */     GIR_RootConstrainSelectedInstOperands,
     /*  691223 */     // GIR_Coverage, 14693,
     /*  691223 */     GIR_EraseRootFromParent_Done,
     /*  691224 */   // Label 10938: @691224
     /*  691224 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(691302), // Rule ID 14696 //
     /*  691229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691275 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  691278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691300 */     GIR_RootConstrainSelectedInstOperands,
     /*  691301 */     // GIR_Coverage, 14696,
     /*  691301 */     GIR_EraseRootFromParent_Done,
     /*  691302 */   // Label 10939: @691302
     /*  691302 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(691380), // Rule ID 14697 //
     /*  691307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691353 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  691356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691378 */     GIR_RootConstrainSelectedInstOperands,
     /*  691379 */     // GIR_Coverage, 14697,
     /*  691379 */     GIR_EraseRootFromParent_Done,
     /*  691380 */   // Label 10940: @691380
     /*  691380 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(691458), // Rule ID 14700 //
     /*  691385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  691434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691456 */     GIR_RootConstrainSelectedInstOperands,
     /*  691457 */     // GIR_Coverage, 14700,
     /*  691457 */     GIR_EraseRootFromParent_Done,
     /*  691458 */   // Label 10941: @691458
     /*  691458 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(691536), // Rule ID 14701 //
     /*  691463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  691512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691534 */     GIR_RootConstrainSelectedInstOperands,
     /*  691535 */     // GIR_Coverage, 14701,
     /*  691535 */     GIR_EraseRootFromParent_Done,
     /*  691536 */   // Label 10942: @691536
     /*  691536 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(691614), // Rule ID 14704 //
     /*  691541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  691590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691612 */     GIR_RootConstrainSelectedInstOperands,
     /*  691613 */     // GIR_Coverage, 14704,
     /*  691613 */     GIR_EraseRootFromParent_Done,
     /*  691614 */   // Label 10943: @691614
     /*  691614 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(691692), // Rule ID 14705 //
     /*  691619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691665 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  691668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691690 */     GIR_RootConstrainSelectedInstOperands,
     /*  691691 */     // GIR_Coverage, 14705,
     /*  691691 */     GIR_EraseRootFromParent_Done,
     /*  691692 */   // Label 10944: @691692
     /*  691692 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(691770), // Rule ID 14708 //
     /*  691697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691743 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  691746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691768 */     GIR_RootConstrainSelectedInstOperands,
     /*  691769 */     // GIR_Coverage, 14708,
     /*  691769 */     GIR_EraseRootFromParent_Done,
     /*  691770 */   // Label 10945: @691770
     /*  691770 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(691848), // Rule ID 14709 //
     /*  691775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  691824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691846 */     GIR_RootConstrainSelectedInstOperands,
     /*  691847 */     // GIR_Coverage, 14709,
     /*  691847 */     GIR_EraseRootFromParent_Done,
     /*  691848 */   // Label 10946: @691848
     /*  691848 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(691926), // Rule ID 14712 //
     /*  691853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  691902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  691924 */     GIR_RootConstrainSelectedInstOperands,
     /*  691925 */     // GIR_Coverage, 14712,
     /*  691925 */     GIR_EraseRootFromParent_Done,
     /*  691926 */   // Label 10947: @691926
     /*  691926 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(692004), // Rule ID 14713 //
     /*  691931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  691939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  691980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692002 */     GIR_RootConstrainSelectedInstOperands,
     /*  692003 */     // GIR_Coverage, 14713,
     /*  692003 */     GIR_EraseRootFromParent_Done,
     /*  692004 */   // Label 10948: @692004
     /*  692004 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(692082), // Rule ID 14716 //
     /*  692009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  692020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  692023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  692026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692055 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  692058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692080 */     GIR_RootConstrainSelectedInstOperands,
     /*  692081 */     // GIR_Coverage, 14716,
     /*  692081 */     GIR_EraseRootFromParent_Done,
     /*  692082 */   // Label 10949: @692082
     /*  692082 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(692160), // Rule ID 14717 //
     /*  692087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  692098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  692101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  692104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692133 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  692136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692158 */     GIR_RootConstrainSelectedInstOperands,
     /*  692159 */     // GIR_Coverage, 14717,
     /*  692159 */     GIR_EraseRootFromParent_Done,
     /*  692160 */   // Label 10950: @692160
     /*  692160 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(692238), // Rule ID 14720 //
     /*  692165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  692176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  692179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  692182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692236 */     GIR_RootConstrainSelectedInstOperands,
     /*  692237 */     // GIR_Coverage, 14720,
     /*  692237 */     GIR_EraseRootFromParent_Done,
     /*  692238 */   // Label 10951: @692238
     /*  692238 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(692316), // Rule ID 14721 //
     /*  692243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  692254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  692257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  692260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11251:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692314 */     GIR_RootConstrainSelectedInstOperands,
     /*  692315 */     // GIR_Coverage, 14721,
     /*  692315 */     GIR_EraseRootFromParent_Done,
     /*  692316 */   // Label 10952: @692316
     /*  692316 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(692394), // Rule ID 14724 //
     /*  692321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692367 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692392 */     GIR_RootConstrainSelectedInstOperands,
     /*  692393 */     // GIR_Coverage, 14724,
     /*  692393 */     GIR_EraseRootFromParent_Done,
     /*  692394 */   // Label 10953: @692394
     /*  692394 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(692472), // Rule ID 14725 //
     /*  692399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692445 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692470 */     GIR_RootConstrainSelectedInstOperands,
     /*  692471 */     // GIR_Coverage, 14725,
     /*  692471 */     GIR_EraseRootFromParent_Done,
     /*  692472 */   // Label 10954: @692472
     /*  692472 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(692550), // Rule ID 14728 //
     /*  692477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692548 */     GIR_RootConstrainSelectedInstOperands,
     /*  692549 */     // GIR_Coverage, 14728,
     /*  692549 */     GIR_EraseRootFromParent_Done,
     /*  692550 */   // Label 10955: @692550
     /*  692550 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(692628), // Rule ID 14729 //
     /*  692555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692626 */     GIR_RootConstrainSelectedInstOperands,
     /*  692627 */     // GIR_Coverage, 14729,
     /*  692627 */     GIR_EraseRootFromParent_Done,
     /*  692628 */   // Label 10956: @692628
     /*  692628 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(692706), // Rule ID 14732 //
     /*  692633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692704 */     GIR_RootConstrainSelectedInstOperands,
     /*  692705 */     // GIR_Coverage, 14732,
     /*  692705 */     GIR_EraseRootFromParent_Done,
     /*  692706 */   // Label 10957: @692706
     /*  692706 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(692784), // Rule ID 14733 //
     /*  692711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  692760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692782 */     GIR_RootConstrainSelectedInstOperands,
     /*  692783 */     // GIR_Coverage, 14733,
     /*  692783 */     GIR_EraseRootFromParent_Done,
     /*  692784 */   // Label 10958: @692784
     /*  692784 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(692862), // Rule ID 14736 //
     /*  692789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  692838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692860 */     GIR_RootConstrainSelectedInstOperands,
     /*  692861 */     // GIR_Coverage, 14736,
     /*  692861 */     GIR_EraseRootFromParent_Done,
     /*  692862 */   // Label 10959: @692862
     /*  692862 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(692940), // Rule ID 14737 //
     /*  692867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692913 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  692916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692935 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  692938 */     GIR_RootConstrainSelectedInstOperands,
     /*  692939 */     // GIR_Coverage, 14737,
     /*  692939 */     GIR_EraseRootFromParent_Done,
     /*  692940 */   // Label 10960: @692940
     /*  692940 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(693018), // Rule ID 14740 //
     /*  692945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  692953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692991 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  692994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693016 */     GIR_RootConstrainSelectedInstOperands,
     /*  693017 */     // GIR_Coverage, 14740,
     /*  693017 */     GIR_EraseRootFromParent_Done,
     /*  693018 */   // Label 10961: @693018
     /*  693018 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(693096), // Rule ID 14741 //
     /*  693023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  693034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  693037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  693040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  693072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693094 */     GIR_RootConstrainSelectedInstOperands,
     /*  693095 */     // GIR_Coverage, 14741,
     /*  693095 */     GIR_EraseRootFromParent_Done,
     /*  693096 */   // Label 10962: @693096
     /*  693096 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(693174), // Rule ID 14744 //
     /*  693101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  693112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  693115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  693118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  693147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  693150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693172 */     GIR_RootConstrainSelectedInstOperands,
     /*  693173 */     // GIR_Coverage, 14744,
     /*  693173 */     GIR_EraseRootFromParent_Done,
     /*  693174 */   // Label 10963: @693174
     /*  693174 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(693252), // Rule ID 14745 //
     /*  693179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  693190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  693193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  693196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  693225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  693228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  693244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693250 */     GIR_RootConstrainSelectedInstOperands,
     /*  693251 */     // GIR_Coverage, 14745,
     /*  693251 */     GIR_EraseRootFromParent_Done,
     /*  693252 */   // Label 10964: @693252
     /*  693252 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(693330), // Rule ID 14748 //
     /*  693257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  693268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  693271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  693274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693303 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  693306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693328 */     GIR_RootConstrainSelectedInstOperands,
     /*  693329 */     // GIR_Coverage, 14748,
     /*  693329 */     GIR_EraseRootFromParent_Done,
     /*  693330 */   // Label 10965: @693330
     /*  693330 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(693408), // Rule ID 14749 //
     /*  693335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  693346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  693349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  693352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693381 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  693384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693406 */     GIR_RootConstrainSelectedInstOperands,
     /*  693407 */     // GIR_Coverage, 14749,
     /*  693407 */     GIR_EraseRootFromParent_Done,
     /*  693408 */   // Label 10966: @693408
     /*  693408 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(693486), // Rule ID 14752 //
     /*  693413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  693462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693484 */     GIR_RootConstrainSelectedInstOperands,
     /*  693485 */     // GIR_Coverage, 14752,
     /*  693485 */     GIR_EraseRootFromParent_Done,
     /*  693486 */   // Label 10967: @693486
     /*  693486 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(693564), // Rule ID 14753 //
     /*  693491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693537 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  693540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693562 */     GIR_RootConstrainSelectedInstOperands,
     /*  693563 */     // GIR_Coverage, 14753,
     /*  693563 */     GIR_EraseRootFromParent_Done,
     /*  693564 */   // Label 10968: @693564
     /*  693564 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(693642), // Rule ID 14756 //
     /*  693569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  693618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693640 */     GIR_RootConstrainSelectedInstOperands,
     /*  693641 */     // GIR_Coverage, 14756,
     /*  693641 */     GIR_EraseRootFromParent_Done,
     /*  693642 */   // Label 10969: @693642
     /*  693642 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(693720), // Rule ID 14757 //
     /*  693647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  693696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693718 */     GIR_RootConstrainSelectedInstOperands,
     /*  693719 */     // GIR_Coverage, 14757,
     /*  693719 */     GIR_EraseRootFromParent_Done,
     /*  693720 */   // Label 10970: @693720
     /*  693720 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(693798), // Rule ID 14760 //
     /*  693725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  693774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693796 */     GIR_RootConstrainSelectedInstOperands,
     /*  693797 */     // GIR_Coverage, 14760,
     /*  693797 */     GIR_EraseRootFromParent_Done,
     /*  693798 */   // Label 10971: @693798
     /*  693798 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(693876), // Rule ID 14761 //
     /*  693803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  693852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693874 */     GIR_RootConstrainSelectedInstOperands,
     /*  693875 */     // GIR_Coverage, 14761,
     /*  693875 */     GIR_EraseRootFromParent_Done,
     /*  693876 */   // Label 10972: @693876
     /*  693876 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(693954), // Rule ID 14764 //
     /*  693881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  693930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  693952 */     GIR_RootConstrainSelectedInstOperands,
     /*  693953 */     // GIR_Coverage, 14764,
     /*  693953 */     GIR_EraseRootFromParent_Done,
     /*  693954 */   // Label 10973: @693954
     /*  693954 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(694032), // Rule ID 14765 //
     /*  693959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  693967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  694008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694030 */     GIR_RootConstrainSelectedInstOperands,
     /*  694031 */     // GIR_Coverage, 14765,
     /*  694031 */     GIR_EraseRootFromParent_Done,
     /*  694032 */   // Label 10974: @694032
     /*  694032 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(694110), // Rule ID 14768 //
     /*  694037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  694048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  694051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  694054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  694083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  694086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694108 */     GIR_RootConstrainSelectedInstOperands,
     /*  694109 */     // GIR_Coverage, 14768,
     /*  694109 */     GIR_EraseRootFromParent_Done,
     /*  694110 */   // Label 10975: @694110
     /*  694110 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(694188), // Rule ID 14769 //
     /*  694115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  694126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  694129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  694132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  694161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  694164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  694180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694186 */     GIR_RootConstrainSelectedInstOperands,
     /*  694187 */     // GIR_Coverage, 14769,
     /*  694187 */     GIR_EraseRootFromParent_Done,
     /*  694188 */   // Label 10976: @694188
     /*  694188 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(694266), // Rule ID 14772 //
     /*  694193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  694204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  694207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  694210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  694242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694264 */     GIR_RootConstrainSelectedInstOperands,
     /*  694265 */     // GIR_Coverage, 14772,
     /*  694265 */     GIR_EraseRootFromParent_Done,
     /*  694266 */   // Label 10977: @694266
     /*  694266 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(694344), // Rule ID 14773 //
     /*  694271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  694282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  694285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  694288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  694306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  694320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694342 */     GIR_RootConstrainSelectedInstOperands,
     /*  694343 */     // GIR_Coverage, 14773,
     /*  694343 */     GIR_EraseRootFromParent_Done,
     /*  694344 */   // Label 10978: @694344
     /*  694344 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(694422), // Rule ID 14776 //
     /*  694349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694395 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  694398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694420 */     GIR_RootConstrainSelectedInstOperands,
     /*  694421 */     // GIR_Coverage, 14776,
     /*  694421 */     GIR_EraseRootFromParent_Done,
     /*  694422 */   // Label 10979: @694422
     /*  694422 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(694500), // Rule ID 14777 //
     /*  694427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  694476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694498 */     GIR_RootConstrainSelectedInstOperands,
     /*  694499 */     // GIR_Coverage, 14777,
     /*  694499 */     GIR_EraseRootFromParent_Done,
     /*  694500 */   // Label 10980: @694500
     /*  694500 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(694578), // Rule ID 14780 //
     /*  694505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694551 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  694554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694576 */     GIR_RootConstrainSelectedInstOperands,
     /*  694577 */     // GIR_Coverage, 14780,
     /*  694577 */     GIR_EraseRootFromParent_Done,
     /*  694578 */   // Label 10981: @694578
     /*  694578 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(694656), // Rule ID 14781 //
     /*  694583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  694591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  694632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  694654 */     GIR_RootConstrainSelectedInstOperands,
     /*  694655 */     // GIR_Coverage, 14781,
     /*  694655 */     GIR_EraseRootFromParent_Done,
     /*  694656 */   // Label 10982: @694656
     /*  694656 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(694731), // Rule ID 19022 //
     /*  694661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  694669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  694710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694729 */     GIR_RootConstrainSelectedInstOperands,
     /*  694730 */     // GIR_Coverage, 19022,
     /*  694730 */     GIR_EraseRootFromParent_Done,
     /*  694731 */   // Label 10983: @694731
     /*  694731 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(694806), // Rule ID 19023 //
     /*  694736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  694744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694782 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  694785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694804 */     GIR_RootConstrainSelectedInstOperands,
     /*  694805 */     // GIR_Coverage, 19023,
     /*  694805 */     GIR_EraseRootFromParent_Done,
     /*  694806 */   // Label 10984: @694806
     /*  694806 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(694881), // Rule ID 19026 //
     /*  694811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  694814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  694819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694857 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  694860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694879 */     GIR_RootConstrainSelectedInstOperands,
     /*  694880 */     // GIR_Coverage, 19026,
     /*  694880 */     GIR_EraseRootFromParent_Done,
     /*  694881 */   // Label 10985: @694881
     /*  694881 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(694956), // Rule ID 19027 //
     /*  694886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  694889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  694894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  694935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694954 */     GIR_RootConstrainSelectedInstOperands,
     /*  694955 */     // GIR_Coverage, 19027,
     /*  694955 */     GIR_EraseRootFromParent_Done,
     /*  694956 */   // Label 10986: @694956
     /*  694956 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(695031), // Rule ID 19030 //
     /*  694961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  694964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  694969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  694972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  694975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  694978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  694981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695007 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  695010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695029 */     GIR_RootConstrainSelectedInstOperands,
     /*  695030 */     // GIR_Coverage, 19030,
     /*  695030 */     GIR_EraseRootFromParent_Done,
     /*  695031 */   // Label 10987: @695031
     /*  695031 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(695106), // Rule ID 19031 //
     /*  695036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  695039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695082 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  695085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695104 */     GIR_RootConstrainSelectedInstOperands,
     /*  695105 */     // GIR_Coverage, 19031,
     /*  695105 */     GIR_EraseRootFromParent_Done,
     /*  695106 */   // Label 10988: @695106
     /*  695106 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(695181), // Rule ID 19034 //
     /*  695111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  695114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  695160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695179 */     GIR_RootConstrainSelectedInstOperands,
     /*  695180 */     // GIR_Coverage, 19034,
     /*  695180 */     GIR_EraseRootFromParent_Done,
     /*  695181 */   // Label 10989: @695181
     /*  695181 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(695256), // Rule ID 19035 //
     /*  695186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  695189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  695235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695254 */     GIR_RootConstrainSelectedInstOperands,
     /*  695255 */     // GIR_Coverage, 19035,
     /*  695255 */     GIR_EraseRootFromParent_Done,
     /*  695256 */   // Label 10990: @695256
     /*  695256 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(695331), // Rule ID 19038 //
     /*  695261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  695264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  695310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695329 */     GIR_RootConstrainSelectedInstOperands,
     /*  695330 */     // GIR_Coverage, 19038,
     /*  695330 */     GIR_EraseRootFromParent_Done,
     /*  695331 */   // Label 10991: @695331
     /*  695331 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(695406), // Rule ID 19039 //
     /*  695336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  695339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695382 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  695385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695404 */     GIR_RootConstrainSelectedInstOperands,
     /*  695405 */     // GIR_Coverage, 19039,
     /*  695405 */     GIR_EraseRootFromParent_Done,
     /*  695406 */   // Label 10992: @695406
     /*  695406 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(695481), // Rule ID 19042 //
     /*  695411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  695414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  695460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695479 */     GIR_RootConstrainSelectedInstOperands,
     /*  695480 */     // GIR_Coverage, 19042,
     /*  695480 */     GIR_EraseRootFromParent_Done,
     /*  695481 */   // Label 10993: @695481
     /*  695481 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(695556), // Rule ID 19043 //
     /*  695486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  695489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  695535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695554 */     GIR_RootConstrainSelectedInstOperands,
     /*  695555 */     // GIR_Coverage, 19043,
     /*  695555 */     GIR_EraseRootFromParent_Done,
     /*  695556 */   // Label 10994: @695556
     /*  695556 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(695631), // Rule ID 19046 //
     /*  695561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  695564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  695610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695629 */     GIR_RootConstrainSelectedInstOperands,
     /*  695630 */     // GIR_Coverage, 19046,
     /*  695630 */     GIR_EraseRootFromParent_Done,
     /*  695631 */   // Label 10995: @695631
     /*  695631 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(695706), // Rule ID 19047 //
     /*  695636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  695639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  695647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  695650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  695653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  695656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695682 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  695685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695704 */     GIR_RootConstrainSelectedInstOperands,
     /*  695705 */     // GIR_Coverage, 19047,
     /*  695705 */     GIR_EraseRootFromParent_Done,
     /*  695706 */   // Label 10996: @695706
     /*  695706 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(695781), // Rule ID 19050 //
     /*  695711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  695714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695757 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  695760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695779 */     GIR_RootConstrainSelectedInstOperands,
     /*  695780 */     // GIR_Coverage, 19050,
     /*  695780 */     GIR_EraseRootFromParent_Done,
     /*  695781 */   // Label 10997: @695781
     /*  695781 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(695856), // Rule ID 19051 //
     /*  695786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  695789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  695797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  695800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  695803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  695806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  695825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  695835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695854 */     GIR_RootConstrainSelectedInstOperands,
     /*  695855 */     // GIR_Coverage, 19051,
     /*  695855 */     GIR_EraseRootFromParent_Done,
     /*  695856 */   // Label 10998: @695856
     /*  695856 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(695931), // Rule ID 19054 //
     /*  695861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  695864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  695910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695929 */     GIR_RootConstrainSelectedInstOperands,
     /*  695930 */     // GIR_Coverage, 19054,
     /*  695930 */     GIR_EraseRootFromParent_Done,
     /*  695931 */   // Label 10999: @695931
     /*  695931 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(696006), // Rule ID 19055 //
     /*  695936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  695939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  695944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  695947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  695950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  695953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  695956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  695975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  695985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696004 */     GIR_RootConstrainSelectedInstOperands,
     /*  696005 */     // GIR_Coverage, 19055,
     /*  696005 */     GIR_EraseRootFromParent_Done,
     /*  696006 */   // Label 11000: @696006
     /*  696006 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(696081), // Rule ID 19058 //
     /*  696011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  696014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  696060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696079 */     GIR_RootConstrainSelectedInstOperands,
     /*  696080 */     // GIR_Coverage, 19058,
     /*  696080 */     GIR_EraseRootFromParent_Done,
     /*  696081 */   // Label 11001: @696081
     /*  696081 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(696156), // Rule ID 19059 //
     /*  696086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  696089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  696135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696154 */     GIR_RootConstrainSelectedInstOperands,
     /*  696155 */     // GIR_Coverage, 19059,
     /*  696155 */     GIR_EraseRootFromParent_Done,
     /*  696156 */   // Label 11002: @696156
     /*  696156 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(696231), // Rule ID 19062 //
     /*  696161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  696164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696207 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  696210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696229 */     GIR_RootConstrainSelectedInstOperands,
     /*  696230 */     // GIR_Coverage, 19062,
     /*  696230 */     GIR_EraseRootFromParent_Done,
     /*  696231 */   // Label 11003: @696231
     /*  696231 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(696306), // Rule ID 19063 //
     /*  696236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  696239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  696285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696304 */     GIR_RootConstrainSelectedInstOperands,
     /*  696305 */     // GIR_Coverage, 19063,
     /*  696305 */     GIR_EraseRootFromParent_Done,
     /*  696306 */   // Label 11004: @696306
     /*  696306 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(696381), // Rule ID 19066 //
     /*  696311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  696314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696357 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  696360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696379 */     GIR_RootConstrainSelectedInstOperands,
     /*  696380 */     // GIR_Coverage, 19066,
     /*  696380 */     GIR_EraseRootFromParent_Done,
     /*  696381 */   // Label 11005: @696381
     /*  696381 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(696456), // Rule ID 19067 //
     /*  696386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  696389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  696397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  696400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  696403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  696406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  696435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696454 */     GIR_RootConstrainSelectedInstOperands,
     /*  696455 */     // GIR_Coverage, 19067,
     /*  696455 */     GIR_EraseRootFromParent_Done,
     /*  696456 */   // Label 11006: @696456
     /*  696456 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(696531), // Rule ID 19070 //
     /*  696461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  696464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696507 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  696510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696529 */     GIR_RootConstrainSelectedInstOperands,
     /*  696530 */     // GIR_Coverage, 19070,
     /*  696530 */     GIR_EraseRootFromParent_Done,
     /*  696531 */   // Label 11007: @696531
     /*  696531 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(696606), // Rule ID 19071 //
     /*  696536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  696539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  696547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  696550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  696553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  696556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  696585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696604 */     GIR_RootConstrainSelectedInstOperands,
     /*  696605 */     // GIR_Coverage, 19071,
     /*  696605 */     GIR_EraseRootFromParent_Done,
     /*  696606 */   // Label 11008: @696606
     /*  696606 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(696681), // Rule ID 19074 //
     /*  696611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  696614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696657 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  696660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696679 */     GIR_RootConstrainSelectedInstOperands,
     /*  696680 */     // GIR_Coverage, 19074,
     /*  696680 */     GIR_EraseRootFromParent_Done,
     /*  696681 */   // Label 11009: @696681
     /*  696681 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(696756), // Rule ID 19075 //
     /*  696686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  696689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  696697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  696700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  696703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  696706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  696735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696754 */     GIR_RootConstrainSelectedInstOperands,
     /*  696755 */     // GIR_Coverage, 19075,
     /*  696755 */     GIR_EraseRootFromParent_Done,
     /*  696756 */   // Label 11010: @696756
     /*  696756 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(696831), // Rule ID 19078 //
     /*  696761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  696764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  696781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696807 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  696807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  696810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696829 */     GIR_RootConstrainSelectedInstOperands,
     /*  696830 */     // GIR_Coverage, 19078,
     /*  696830 */     GIR_EraseRootFromParent_Done,
     /*  696831 */   // Label 11011: @696831
     /*  696831 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(696906), // Rule ID 19079 //
     /*  696836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  696839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  696847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  696850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  696853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  696856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696882 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  696882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  696885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  696901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696904 */     GIR_RootConstrainSelectedInstOperands,
     /*  696905 */     // GIR_Coverage, 19079,
     /*  696905 */     GIR_EraseRootFromParent_Done,
     /*  696906 */   // Label 11012: @696906
     /*  696906 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(696981), // Rule ID 19082 //
     /*  696911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  696914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  696925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  696928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  696931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  696946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  696950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696957 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  696960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696979 */     GIR_RootConstrainSelectedInstOperands,
     /*  696980 */     // GIR_Coverage, 19082,
     /*  696980 */     GIR_EraseRootFromParent_Done,
     /*  696981 */   // Label 11013: @696981
     /*  696981 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(697056), // Rule ID 19083 //
     /*  696986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  696989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  696994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  696997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  697000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  697003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  697035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697054 */     GIR_RootConstrainSelectedInstOperands,
     /*  697055 */     // GIR_Coverage, 19083,
     /*  697055 */     GIR_EraseRootFromParent_Done,
     /*  697056 */   // Label 11014: @697056
     /*  697056 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(697131), // Rule ID 19086 //
     /*  697061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  697110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697129 */     GIR_RootConstrainSelectedInstOperands,
     /*  697130 */     // GIR_Coverage, 19086,
     /*  697130 */     GIR_EraseRootFromParent_Done,
     /*  697131 */   // Label 11015: @697131
     /*  697131 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(697206), // Rule ID 19087 //
     /*  697136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  697147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  697150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  697153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697182 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  697185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697204 */     GIR_RootConstrainSelectedInstOperands,
     /*  697205 */     // GIR_Coverage, 19087,
     /*  697205 */     GIR_EraseRootFromParent_Done,
     /*  697206 */   // Label 11016: @697206
     /*  697206 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(697281), // Rule ID 19090 //
     /*  697211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  697214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  697260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697279 */     GIR_RootConstrainSelectedInstOperands,
     /*  697280 */     // GIR_Coverage, 19090,
     /*  697280 */     GIR_EraseRootFromParent_Done,
     /*  697281 */   // Label 11017: @697281
     /*  697281 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(697356), // Rule ID 19091 //
     /*  697286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  697289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  697297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  697300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  697303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  697335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697354 */     GIR_RootConstrainSelectedInstOperands,
     /*  697355 */     // GIR_Coverage, 19091,
     /*  697355 */     GIR_EraseRootFromParent_Done,
     /*  697356 */   // Label 11018: @697356
     /*  697356 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(697431), // Rule ID 19094 //
     /*  697361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  697410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697429 */     GIR_RootConstrainSelectedInstOperands,
     /*  697430 */     // GIR_Coverage, 19094,
     /*  697430 */     GIR_EraseRootFromParent_Done,
     /*  697431 */   // Label 11019: @697431
     /*  697431 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(697506), // Rule ID 19095 //
     /*  697436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  697447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  697450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  697453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697482 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10846:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  697485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697504 */     GIR_RootConstrainSelectedInstOperands,
     /*  697505 */     // GIR_Coverage, 19095,
     /*  697505 */     GIR_EraseRootFromParent_Done,
     /*  697506 */   // Label 11020: @697506
     /*  697506 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(697581), // Rule ID 19098 //
     /*  697511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  697514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697557 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  697560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697579 */     GIR_RootConstrainSelectedInstOperands,
     /*  697580 */     // GIR_Coverage, 19098,
     /*  697580 */     GIR_EraseRootFromParent_Done,
     /*  697581 */   // Label 11021: @697581
     /*  697581 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(697656), // Rule ID 19099 //
     /*  697586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  697589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  697597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  697600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  697603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  697625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10846:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  697635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697654 */     GIR_RootConstrainSelectedInstOperands,
     /*  697655 */     // GIR_Coverage, 19099,
     /*  697655 */     GIR_EraseRootFromParent_Done,
     /*  697656 */   // Label 11022: @697656
     /*  697656 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(697731), // Rule ID 19102 //
     /*  697661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  697664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  697672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  697675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  697678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  697700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  697710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697729 */     GIR_RootConstrainSelectedInstOperands,
     /*  697730 */     // GIR_Coverage, 19102,
     /*  697730 */     GIR_EraseRootFromParent_Done,
     /*  697731 */   // Label 11023: @697731
     /*  697731 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(697806), // Rule ID 19103 //
     /*  697736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  697739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  697747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  697750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  697753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  697775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697782 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10846:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  697782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  697785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697804 */     GIR_RootConstrainSelectedInstOperands,
     /*  697805 */     // GIR_Coverage, 19103,
     /*  697805 */     GIR_EraseRootFromParent_Done,
     /*  697806 */   // Label 11024: @697806
     /*  697806 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(697881), // Rule ID 19106 //
     /*  697811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  697857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  697860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697879 */     GIR_RootConstrainSelectedInstOperands,
     /*  697880 */     // GIR_Coverage, 19106,
     /*  697880 */     GIR_EraseRootFromParent_Done,
     /*  697881 */   // Label 11025: @697881
     /*  697881 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(697956), // Rule ID 19107 //
     /*  697886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  697889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  697897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  697900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  697903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  697925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  697932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  697935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  697951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697954 */     GIR_RootConstrainSelectedInstOperands,
     /*  697955 */     // GIR_Coverage, 19107,
     /*  697955 */     GIR_EraseRootFromParent_Done,
     /*  697956 */   // Label 11026: @697956
     /*  697956 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(698031), // Rule ID 19110 //
     /*  697961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  697964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  697969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  697972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  697975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  697978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  697981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  698000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698007 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  698010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698029 */     GIR_RootConstrainSelectedInstOperands,
     /*  698030 */     // GIR_Coverage, 19110,
     /*  698030 */     GIR_EraseRootFromParent_Done,
     /*  698031 */   // Label 11027: @698031
     /*  698031 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(698106), // Rule ID 19111 //
     /*  698036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  698039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  698047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  698050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  698053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  698056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  698075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  698085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698104 */     GIR_RootConstrainSelectedInstOperands,
     /*  698105 */     // GIR_Coverage, 19111,
     /*  698105 */     GIR_EraseRootFromParent_Done,
     /*  698106 */   // Label 11028: @698106
     /*  698106 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(698181), // Rule ID 19114 //
     /*  698111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  698114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  698131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  698150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698157 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  698160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698179 */     GIR_RootConstrainSelectedInstOperands,
     /*  698180 */     // GIR_Coverage, 19114,
     /*  698180 */     GIR_EraseRootFromParent_Done,
     /*  698181 */   // Label 11029: @698181
     /*  698181 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(698256), // Rule ID 19115 //
     /*  698186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  698189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  698197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  698200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  698203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  698206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  698225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  698235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698254 */     GIR_RootConstrainSelectedInstOperands,
     /*  698255 */     // GIR_Coverage, 19115,
     /*  698255 */     GIR_EraseRootFromParent_Done,
     /*  698256 */   // Label 11030: @698256
     /*  698256 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(698331), // Rule ID 19118 //
     /*  698261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  698264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  698310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698329 */     GIR_RootConstrainSelectedInstOperands,
     /*  698330 */     // GIR_Coverage, 19118,
     /*  698330 */     GIR_EraseRootFromParent_Done,
     /*  698331 */   // Label 11031: @698331
     /*  698331 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(698406), // Rule ID 19119 //
     /*  698336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  698339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  698347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  698350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  698353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  698385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698404 */     GIR_RootConstrainSelectedInstOperands,
     /*  698405 */     // GIR_Coverage, 19119,
     /*  698405 */     GIR_EraseRootFromParent_Done,
     /*  698406 */   // Label 11032: @698406
     /*  698406 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(698481), // Rule ID 19122 //
     /*  698411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  698414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  698460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698479 */     GIR_RootConstrainSelectedInstOperands,
     /*  698480 */     // GIR_Coverage, 19122,
     /*  698480 */     GIR_EraseRootFromParent_Done,
     /*  698481 */   // Label 11033: @698481
     /*  698481 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(698556), // Rule ID 19123 //
     /*  698486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  698489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  698497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  698500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  698503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  698535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698554 */     GIR_RootConstrainSelectedInstOperands,
     /*  698555 */     // GIR_Coverage, 19123,
     /*  698555 */     GIR_EraseRootFromParent_Done,
     /*  698556 */   // Label 11034: @698556
     /*  698556 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(698631), // Rule ID 19126 //
     /*  698561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  698564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698607 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  698610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698629 */     GIR_RootConstrainSelectedInstOperands,
     /*  698630 */     // GIR_Coverage, 19126,
     /*  698630 */     GIR_EraseRootFromParent_Done,
     /*  698631 */   // Label 11035: @698631
     /*  698631 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(698706), // Rule ID 19127 //
     /*  698636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  698639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  698647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  698650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  698653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  698671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  698675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  698685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698704 */     GIR_RootConstrainSelectedInstOperands,
     /*  698705 */     // GIR_Coverage, 19127,
     /*  698705 */     GIR_EraseRootFromParent_Done,
     /*  698706 */   // Label 11036: @698706
     /*  698706 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(698781), // Rule ID 19130 //
     /*  698711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  698714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  698722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  698725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  698728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  698760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698779 */     GIR_RootConstrainSelectedInstOperands,
     /*  698780 */     // GIR_Coverage, 19130,
     /*  698780 */     GIR_EraseRootFromParent_Done,
     /*  698781 */   // Label 11037: @698781
     /*  698781 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(698856), // Rule ID 19131 //
     /*  698786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  698789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  698797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  698800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  698803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  698821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10846:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  698835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698854 */     GIR_RootConstrainSelectedInstOperands,
     /*  698855 */     // GIR_Coverage, 19131,
     /*  698855 */     GIR_EraseRootFromParent_Done,
     /*  698856 */   // Label 11038: @698856
     /*  698856 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(698931), // Rule ID 19134 //
     /*  698861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  698864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  698872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  698875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  698878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  698907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  698910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  698926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698929 */     GIR_RootConstrainSelectedInstOperands,
     /*  698930 */     // GIR_Coverage, 19134,
     /*  698930 */     GIR_EraseRootFromParent_Done,
     /*  698931 */   // Label 11039: @698931
     /*  698931 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(699006), // Rule ID 19135 //
     /*  698936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  698939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  698944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  698947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  698950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  698953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  698971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  698975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10846:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  698982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  698985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699004 */     GIR_RootConstrainSelectedInstOperands,
     /*  699005 */     // GIR_Coverage, 19135,
     /*  699005 */     GIR_EraseRootFromParent_Done,
     /*  699006 */   // Label 11040: @699006
     /*  699006 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(699081), // Rule ID 19138 //
     /*  699011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  699014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  699019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  699022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  699025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  699028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  699050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  699060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699079 */     GIR_RootConstrainSelectedInstOperands,
     /*  699080 */     // GIR_Coverage, 19138,
     /*  699080 */     GIR_EraseRootFromParent_Done,
     /*  699081 */   // Label 11041: @699081
     /*  699081 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(699156), // Rule ID 19139 //
     /*  699086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  699089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  699094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  699097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  699100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  699103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  699125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10846:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  699132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  699135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699154 */     GIR_RootConstrainSelectedInstOperands,
     /*  699155 */     // GIR_Coverage, 19139,
     /*  699155 */     GIR_EraseRootFromParent_Done,
     /*  699156 */   // Label 11042: @699156
     /*  699156 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(699231), // Rule ID 19142 //
     /*  699161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  699181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699207 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  699210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699229 */     GIR_RootConstrainSelectedInstOperands,
     /*  699230 */     // GIR_Coverage, 19142,
     /*  699230 */     GIR_EraseRootFromParent_Done,
     /*  699231 */   // Label 11043: @699231
     /*  699231 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(699306), // Rule ID 19143 //
     /*  699236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  699247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  699250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  699253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  699256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  699285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699304 */     GIR_RootConstrainSelectedInstOperands,
     /*  699305 */     // GIR_Coverage, 19143,
     /*  699305 */     GIR_EraseRootFromParent_Done,
     /*  699306 */   // Label 11044: @699306
     /*  699306 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(699381), // Rule ID 19146 //
     /*  699311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  699331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699357 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  699360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699379 */     GIR_RootConstrainSelectedInstOperands,
     /*  699380 */     // GIR_Coverage, 19146,
     /*  699380 */     GIR_EraseRootFromParent_Done,
     /*  699381 */   // Label 11045: @699381
     /*  699381 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(699456), // Rule ID 19147 //
     /*  699386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  699397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  699400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  699403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  699406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  699435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699454 */     GIR_RootConstrainSelectedInstOperands,
     /*  699455 */     // GIR_Coverage, 19147,
     /*  699455 */     GIR_EraseRootFromParent_Done,
     /*  699456 */   // Label 11046: @699456
     /*  699456 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(699531), // Rule ID 19150 //
     /*  699461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  699464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  699481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  699510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699529 */     GIR_RootConstrainSelectedInstOperands,
     /*  699530 */     // GIR_Coverage, 19150,
     /*  699530 */     GIR_EraseRootFromParent_Done,
     /*  699531 */   // Label 11047: @699531
     /*  699531 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(699606), // Rule ID 19151 //
     /*  699536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  699539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  699547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  699550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  699553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  699556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  699585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699604 */     GIR_RootConstrainSelectedInstOperands,
     /*  699605 */     // GIR_Coverage, 19151,
     /*  699605 */     GIR_EraseRootFromParent_Done,
     /*  699606 */   // Label 11048: @699606
     /*  699606 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(699681), // Rule ID 19154 //
     /*  699611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  699614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  699631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  699660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699679 */     GIR_RootConstrainSelectedInstOperands,
     /*  699680 */     // GIR_Coverage, 19154,
     /*  699680 */     GIR_EraseRootFromParent_Done,
     /*  699681 */   // Label 11049: @699681
     /*  699681 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(699756), // Rule ID 19155 //
     /*  699686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  699689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  699697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  699700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  699703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  699706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  699735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699754 */     GIR_RootConstrainSelectedInstOperands,
     /*  699755 */     // GIR_Coverage, 19155,
     /*  699755 */     GIR_EraseRootFromParent_Done,
     /*  699756 */   // Label 11050: @699756
     /*  699756 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(699831), // Rule ID 19158 //
     /*  699761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  699764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  699781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  699807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  699810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699829 */     GIR_RootConstrainSelectedInstOperands,
     /*  699830 */     // GIR_Coverage, 19158,
     /*  699830 */     GIR_EraseRootFromParent_Done,
     /*  699831 */   // Label 11051: @699831
     /*  699831 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(699906), // Rule ID 19159 //
     /*  699836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  699839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  699847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  699850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  699853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  699856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  699882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  699885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  699901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699904 */     GIR_RootConstrainSelectedInstOperands,
     /*  699905 */     // GIR_Coverage, 19159,
     /*  699905 */     GIR_EraseRootFromParent_Done,
     /*  699906 */   // Label 11052: @699906
     /*  699906 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(699981), // Rule ID 19162 //
     /*  699911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  699914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  699922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  699925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  699928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  699931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  699960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699979 */     GIR_RootConstrainSelectedInstOperands,
     /*  699980 */     // GIR_Coverage, 19162,
     /*  699980 */     GIR_EraseRootFromParent_Done,
     /*  699981 */   // Label 11053: @699981
     /*  699981 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(700056), // Rule ID 19163 //
     /*  699986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  699989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  699994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  699997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  700000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  700003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  700006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700032 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  700035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700054 */     GIR_RootConstrainSelectedInstOperands,
     /*  700055 */     // GIR_Coverage, 19163,
     /*  700055 */     GIR_EraseRootFromParent_Done,
     /*  700056 */   // Label 11054: @700056
     /*  700056 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(700131), // Rule ID 19166 //
     /*  700061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  700064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  700081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700107 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  700110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700129 */     GIR_RootConstrainSelectedInstOperands,
     /*  700130 */     // GIR_Coverage, 19166,
     /*  700130 */     GIR_EraseRootFromParent_Done,
     /*  700131 */   // Label 11055: @700131
     /*  700131 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(700206), // Rule ID 19167 //
     /*  700136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  700139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  700147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  700150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  700153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  700156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700182 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  700185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700204 */     GIR_RootConstrainSelectedInstOperands,
     /*  700205 */     // GIR_Coverage, 19167,
     /*  700205 */     GIR_EraseRootFromParent_Done,
     /*  700206 */   // Label 11056: @700206
     /*  700206 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(700281), // Rule ID 19170 //
     /*  700211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  700214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  700231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700257 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  700260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700279 */     GIR_RootConstrainSelectedInstOperands,
     /*  700280 */     // GIR_Coverage, 19170,
     /*  700280 */     GIR_EraseRootFromParent_Done,
     /*  700281 */   // Label 11057: @700281
     /*  700281 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(700356), // Rule ID 19171 //
     /*  700286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  700289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  700297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  700300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  700303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  700306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700332 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  700335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700354 */     GIR_RootConstrainSelectedInstOperands,
     /*  700355 */     // GIR_Coverage, 19171,
     /*  700355 */     GIR_EraseRootFromParent_Done,
     /*  700356 */   // Label 11058: @700356
     /*  700356 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(700431), // Rule ID 19174 //
     /*  700361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  700364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  700381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700407 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  700407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  700410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700429 */     GIR_RootConstrainSelectedInstOperands,
     /*  700430 */     // GIR_Coverage, 19174,
     /*  700430 */     GIR_EraseRootFromParent_Done,
     /*  700431 */   // Label 11059: @700431
     /*  700431 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(700506), // Rule ID 19175 //
     /*  700436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  700439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  700447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  700450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  700453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  700456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700482 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  700482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  700485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700504 */     GIR_RootConstrainSelectedInstOperands,
     /*  700505 */     // GIR_Coverage, 19175,
     /*  700505 */     GIR_EraseRootFromParent_Done,
     /*  700506 */   // Label 11060: @700506
     /*  700506 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(700581), // Rule ID 19178 //
     /*  700511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  700514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  700531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700557 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  700560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700579 */     GIR_RootConstrainSelectedInstOperands,
     /*  700580 */     // GIR_Coverage, 19178,
     /*  700580 */     GIR_EraseRootFromParent_Done,
     /*  700581 */   // Label 11061: @700581
     /*  700581 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(700656), // Rule ID 19179 //
     /*  700586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  700589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  700606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700632 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  700635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700654 */     GIR_RootConstrainSelectedInstOperands,
     /*  700655 */     // GIR_Coverage, 19179,
     /*  700655 */     GIR_EraseRootFromParent_Done,
     /*  700656 */   // Label 11062: @700656
     /*  700656 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(700731), // Rule ID 19182 //
     /*  700661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  700664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  700681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  700710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700729 */     GIR_RootConstrainSelectedInstOperands,
     /*  700730 */     // GIR_Coverage, 19182,
     /*  700730 */     GIR_EraseRootFromParent_Done,
     /*  700731 */   // Label 11063: @700731
     /*  700731 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(700806), // Rule ID 19183 //
     /*  700736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  700739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  700756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  700785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700804 */     GIR_RootConstrainSelectedInstOperands,
     /*  700805 */     // GIR_Coverage, 19183,
     /*  700805 */     GIR_EraseRootFromParent_Done,
     /*  700806 */   // Label 11064: @700806
     /*  700806 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(700881), // Rule ID 19186 //
     /*  700811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  700814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  700831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700857 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  700860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700879 */     GIR_RootConstrainSelectedInstOperands,
     /*  700880 */     // GIR_Coverage, 19186,
     /*  700880 */     GIR_EraseRootFromParent_Done,
     /*  700881 */   // Label 11065: @700881
     /*  700881 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(700956), // Rule ID 19187 //
     /*  700886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  700889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  700906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700932 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  700935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700954 */     GIR_RootConstrainSelectedInstOperands,
     /*  700955 */     // GIR_Coverage, 19187,
     /*  700955 */     GIR_EraseRootFromParent_Done,
     /*  700956 */   // Label 11066: @700956
     /*  700956 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(701031), // Rule ID 19190 //
     /*  700961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  700964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  700969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  700981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701007 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  701007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  701010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701029 */     GIR_RootConstrainSelectedInstOperands,
     /*  701030 */     // GIR_Coverage, 19190,
     /*  701030 */     GIR_EraseRootFromParent_Done,
     /*  701031 */   // Label 11067: @701031
     /*  701031 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(701106), // Rule ID 19191 //
     /*  701036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  701039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  701047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  701050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  701053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  701056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  701075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701082 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  701082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  701085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701104 */     GIR_RootConstrainSelectedInstOperands,
     /*  701105 */     // GIR_Coverage, 19191,
     /*  701105 */     GIR_EraseRootFromParent_Done,
     /*  701106 */   // Label 11068: @701106
     /*  701106 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(701181), // Rule ID 19194 //
     /*  701111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  701114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  701122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  701125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  701128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  701131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701157 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  701157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  701160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701179 */     GIR_RootConstrainSelectedInstOperands,
     /*  701180 */     // GIR_Coverage, 19194,
     /*  701180 */     GIR_EraseRootFromParent_Done,
     /*  701181 */   // Label 11069: @701181
     /*  701181 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(701256), // Rule ID 19195 //
     /*  701186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  701189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  701197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  701200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  701203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  701206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  701225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701232 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  701232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  701235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701254 */     GIR_RootConstrainSelectedInstOperands,
     /*  701255 */     // GIR_Coverage, 19195,
     /*  701255 */     GIR_EraseRootFromParent_Done,
     /*  701256 */   // Label 11070: @701256
     /*  701256 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(701331), // Rule ID 19198 //
     /*  701261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  701264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  701272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  701275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  701278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  701281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701307 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  701307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  701310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701329 */     GIR_RootConstrainSelectedInstOperands,
     /*  701330 */     // GIR_Coverage, 19198,
     /*  701330 */     GIR_EraseRootFromParent_Done,
     /*  701331 */   // Label 11071: @701331
     /*  701331 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(701406), // Rule ID 19199 //
     /*  701336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  701339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  701347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  701350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  701353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  701356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  701375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  701382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  701385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  701401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701404 */     GIR_RootConstrainSelectedInstOperands,
     /*  701405 */     // GIR_Coverage, 19199,
     /*  701405 */     GIR_EraseRootFromParent_Done,
     /*  701406 */   // Label 11072: @701406
     /*  701406 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(701481), // Rule ID 19202 //
     /*  701411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  701460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701479 */     GIR_RootConstrainSelectedInstOperands,
     /*  701480 */     // GIR_Coverage, 19202,
     /*  701480 */     GIR_EraseRootFromParent_Done,
     /*  701481 */   // Label 11073: @701481
     /*  701481 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(701556), // Rule ID 19203 //
     /*  701486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701532 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  701535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701554 */     GIR_RootConstrainSelectedInstOperands,
     /*  701555 */     // GIR_Coverage, 19203,
     /*  701555 */     GIR_EraseRootFromParent_Done,
     /*  701556 */   // Label 11074: @701556
     /*  701556 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(701631), // Rule ID 19206 //
     /*  701561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701607 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  701610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701629 */     GIR_RootConstrainSelectedInstOperands,
     /*  701630 */     // GIR_Coverage, 19206,
     /*  701630 */     GIR_EraseRootFromParent_Done,
     /*  701631 */   // Label 11075: @701631
     /*  701631 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(701706), // Rule ID 19207 //
     /*  701636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701682 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  701685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701704 */     GIR_RootConstrainSelectedInstOperands,
     /*  701705 */     // GIR_Coverage, 19207,
     /*  701705 */     GIR_EraseRootFromParent_Done,
     /*  701706 */   // Label 11076: @701706
     /*  701706 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(701781), // Rule ID 19210 //
     /*  701711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  701714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  701750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701757 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  701760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701779 */     GIR_RootConstrainSelectedInstOperands,
     /*  701780 */     // GIR_Coverage, 19210,
     /*  701780 */     GIR_EraseRootFromParent_Done,
     /*  701781 */   // Label 11077: @701781
     /*  701781 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(701856), // Rule ID 19211 //
     /*  701786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  701789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  701806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  701825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701832 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  701835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701854 */     GIR_RootConstrainSelectedInstOperands,
     /*  701855 */     // GIR_Coverage, 19211,
     /*  701855 */     GIR_EraseRootFromParent_Done,
     /*  701856 */   // Label 11078: @701856
     /*  701856 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(701931), // Rule ID 19214 //
     /*  701861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  701864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  701910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701929 */     GIR_RootConstrainSelectedInstOperands,
     /*  701930 */     // GIR_Coverage, 19214,
     /*  701930 */     GIR_EraseRootFromParent_Done,
     /*  701931 */   // Label 11079: @701931
     /*  701931 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(702006), // Rule ID 19215 //
     /*  701936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  701939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  701944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  701956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  701975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701982 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10843:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  701985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702004 */     GIR_RootConstrainSelectedInstOperands,
     /*  702005 */     // GIR_Coverage, 19215,
     /*  702005 */     GIR_EraseRootFromParent_Done,
     /*  702006 */   // Label 11080: @702006
     /*  702006 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(702081), // Rule ID 19218 //
     /*  702011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  702014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  702060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702079 */     GIR_RootConstrainSelectedInstOperands,
     /*  702080 */     // GIR_Coverage, 19218,
     /*  702080 */     GIR_EraseRootFromParent_Done,
     /*  702081 */   // Label 11081: @702081
     /*  702081 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(702156), // Rule ID 19219 //
     /*  702086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10843:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  702135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702154 */     GIR_RootConstrainSelectedInstOperands,
     /*  702155 */     // GIR_Coverage, 19219,
     /*  702155 */     GIR_EraseRootFromParent_Done,
     /*  702156 */   // Label 11082: @702156
     /*  702156 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(702231), // Rule ID 19222 //
     /*  702161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  702164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  702172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  702175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  702178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702207 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  702207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  702210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702229 */     GIR_RootConstrainSelectedInstOperands,
     /*  702230 */     // GIR_Coverage, 19222,
     /*  702230 */     GIR_EraseRootFromParent_Done,
     /*  702231 */   // Label 11083: @702231
     /*  702231 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(702306), // Rule ID 19223 //
     /*  702236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  702239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  702247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  702250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  702253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  702256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  702275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10843:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  702282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  702285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  702301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702304 */     GIR_RootConstrainSelectedInstOperands,
     /*  702305 */     // GIR_Coverage, 19223,
     /*  702305 */     GIR_EraseRootFromParent_Done,
     /*  702306 */   // Label 11084: @702306
     /*  702306 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(702381), // Rule ID 19226 //
     /*  702311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  702314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702357 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  702360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702379 */     GIR_RootConstrainSelectedInstOperands,
     /*  702380 */     // GIR_Coverage, 19226,
     /*  702380 */     GIR_EraseRootFromParent_Done,
     /*  702381 */   // Label 11085: @702381
     /*  702381 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(702456), // Rule ID 19227 //
     /*  702386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  702389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  702435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702454 */     GIR_RootConstrainSelectedInstOperands,
     /*  702455 */     // GIR_Coverage, 19227,
     /*  702455 */     GIR_EraseRootFromParent_Done,
     /*  702456 */   // Label 11086: @702456
     /*  702456 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(702531), // Rule ID 19230 //
     /*  702461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  702464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702507 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  702510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702529 */     GIR_RootConstrainSelectedInstOperands,
     /*  702530 */     // GIR_Coverage, 19230,
     /*  702530 */     GIR_EraseRootFromParent_Done,
     /*  702531 */   // Label 11087: @702531
     /*  702531 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(702606), // Rule ID 19231 //
     /*  702536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  702539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702582 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  702585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702604 */     GIR_RootConstrainSelectedInstOperands,
     /*  702605 */     // GIR_Coverage, 19231,
     /*  702605 */     GIR_EraseRootFromParent_Done,
     /*  702606 */   // Label 11088: @702606
     /*  702606 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(702681), // Rule ID 19234 //
     /*  702611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  702614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702657 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  702660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702679 */     GIR_RootConstrainSelectedInstOperands,
     /*  702680 */     // GIR_Coverage, 19234,
     /*  702680 */     GIR_EraseRootFromParent_Done,
     /*  702681 */   // Label 11089: @702681
     /*  702681 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(702756), // Rule ID 19235 //
     /*  702686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  702689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  702697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  702700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  702703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  702706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  702725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  702735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702754 */     GIR_RootConstrainSelectedInstOperands,
     /*  702755 */     // GIR_Coverage, 19235,
     /*  702755 */     GIR_EraseRootFromParent_Done,
     /*  702756 */   // Label 11090: @702756
     /*  702756 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(702831), // Rule ID 19238 //
     /*  702761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  702764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702807 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  702810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702829 */     GIR_RootConstrainSelectedInstOperands,
     /*  702830 */     // GIR_Coverage, 19238,
     /*  702830 */     GIR_EraseRootFromParent_Done,
     /*  702831 */   // Label 11091: @702831
     /*  702831 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(702906), // Rule ID 19239 //
     /*  702836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  702847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  702850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  702853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702882 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  702885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702904 */     GIR_RootConstrainSelectedInstOperands,
     /*  702905 */     // GIR_Coverage, 19239,
     /*  702905 */     GIR_EraseRootFromParent_Done,
     /*  702906 */   // Label 11092: @702906
     /*  702906 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(702981), // Rule ID 19242 //
     /*  702911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  702914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  702925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  702928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  702931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  702950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702957 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  702960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702979 */     GIR_RootConstrainSelectedInstOperands,
     /*  702980 */     // GIR_Coverage, 19242,
     /*  702980 */     GIR_EraseRootFromParent_Done,
     /*  702981 */   // Label 11093: @702981
     /*  702981 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(703056), // Rule ID 19243 //
     /*  702986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  702989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  702994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  702997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  703025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703032 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  703035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703054 */     GIR_RootConstrainSelectedInstOperands,
     /*  703055 */     // GIR_Coverage, 19243,
     /*  703055 */     GIR_EraseRootFromParent_Done,
     /*  703056 */   // Label 11094: @703056
     /*  703056 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(703131), // Rule ID 19246 //
     /*  703061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  703064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  703100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  703110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703129 */     GIR_RootConstrainSelectedInstOperands,
     /*  703130 */     // GIR_Coverage, 19246,
     /*  703130 */     GIR_EraseRootFromParent_Done,
     /*  703131 */   // Label 11095: @703131
     /*  703131 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(703206), // Rule ID 19247 //
     /*  703136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  703139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  703175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703182 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  703185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703204 */     GIR_RootConstrainSelectedInstOperands,
     /*  703205 */     // GIR_Coverage, 19247,
     /*  703205 */     GIR_EraseRootFromParent_Done,
     /*  703206 */   // Label 11096: @703206
     /*  703206 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(703281), // Rule ID 19250 //
     /*  703211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  703214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  703222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  703225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  703228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703257 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  703257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  703260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703279 */     GIR_RootConstrainSelectedInstOperands,
     /*  703280 */     // GIR_Coverage, 19250,
     /*  703280 */     GIR_EraseRootFromParent_Done,
     /*  703281 */   // Label 11097: @703281
     /*  703281 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(703356), // Rule ID 19251 //
     /*  703286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  703289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  703297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  703300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  703303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10843:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  703332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  703335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703354 */     GIR_RootConstrainSelectedInstOperands,
     /*  703355 */     // GIR_Coverage, 19251,
     /*  703355 */     GIR_EraseRootFromParent_Done,
     /*  703356 */   // Label 11098: @703356
     /*  703356 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(703431), // Rule ID 19254 //
     /*  703361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  703364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  703372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  703375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  703378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703407 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  703407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  703410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703429 */     GIR_RootConstrainSelectedInstOperands,
     /*  703430 */     // GIR_Coverage, 19254,
     /*  703430 */     GIR_EraseRootFromParent_Done,
     /*  703431 */   // Label 11099: @703431
     /*  703431 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(703506), // Rule ID 19255 //
     /*  703436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  703439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  703447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  703450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  703453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10843:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  703482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  703485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703504 */     GIR_RootConstrainSelectedInstOperands,
     /*  703505 */     // GIR_Coverage, 19255,
     /*  703505 */     GIR_EraseRootFromParent_Done,
     /*  703506 */   // Label 11100: @703506
     /*  703506 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(703581), // Rule ID 19258 //
     /*  703511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  703514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  703522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  703525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  703528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  703557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  703560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703579 */     GIR_RootConstrainSelectedInstOperands,
     /*  703580 */     // GIR_Coverage, 19258,
     /*  703580 */     GIR_EraseRootFromParent_Done,
     /*  703581 */   // Label 11101: @703581
     /*  703581 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(703656), // Rule ID 19259 //
     /*  703586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  703589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  703594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  703597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  703600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  703603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  703625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10843:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  703632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  703635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  703651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703654 */     GIR_RootConstrainSelectedInstOperands,
     /*  703655 */     // GIR_Coverage, 19259,
     /*  703655 */     GIR_EraseRootFromParent_Done,
     /*  703656 */   // Label 11102: @703656
     /*  703656 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(703731), // Rule ID 19262 //
     /*  703661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  703669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  703681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  703710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703729 */     GIR_RootConstrainSelectedInstOperands,
     /*  703730 */     // GIR_Coverage, 19262,
     /*  703730 */     GIR_EraseRootFromParent_Done,
     /*  703731 */   // Label 11103: @703731
     /*  703731 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(703806), // Rule ID 19263 //
     /*  703736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  703744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  703747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  703750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  703753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  703756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703782 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  703785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703804 */     GIR_RootConstrainSelectedInstOperands,
     /*  703805 */     // GIR_Coverage, 19263,
     /*  703805 */     GIR_EraseRootFromParent_Done,
     /*  703806 */   // Label 11104: @703806
     /*  703806 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(703881), // Rule ID 19266 //
     /*  703811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  703814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  703819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  703831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703857 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  703860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703879 */     GIR_RootConstrainSelectedInstOperands,
     /*  703880 */     // GIR_Coverage, 19266,
     /*  703880 */     GIR_EraseRootFromParent_Done,
     /*  703881 */   // Label 11105: @703881
     /*  703881 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(703956), // Rule ID 19267 //
     /*  703886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  703889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  703894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  703897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  703900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  703903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  703906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  703935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703954 */     GIR_RootConstrainSelectedInstOperands,
     /*  703955 */     // GIR_Coverage, 19267,
     /*  703955 */     GIR_EraseRootFromParent_Done,
     /*  703956 */   // Label 11106: @703956
     /*  703956 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(704031), // Rule ID 19270 //
     /*  703961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  703964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  703969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  703972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  703975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  703978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  703981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704007 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  704010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704029 */     GIR_RootConstrainSelectedInstOperands,
     /*  704030 */     // GIR_Coverage, 19270,
     /*  704030 */     GIR_EraseRootFromParent_Done,
     /*  704031 */   // Label 11107: @704031
     /*  704031 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(704106), // Rule ID 19271 //
     /*  704036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  704039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  704056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704082 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  704085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704104 */     GIR_RootConstrainSelectedInstOperands,
     /*  704105 */     // GIR_Coverage, 19271,
     /*  704105 */     GIR_EraseRootFromParent_Done,
     /*  704106 */   // Label 11108: @704106
     /*  704106 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(704181), // Rule ID 19274 //
     /*  704111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  704114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  704131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  704160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704179 */     GIR_RootConstrainSelectedInstOperands,
     /*  704180 */     // GIR_Coverage, 19274,
     /*  704180 */     GIR_EraseRootFromParent_Done,
     /*  704181 */   // Label 11109: @704181
     /*  704181 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(704256), // Rule ID 19275 //
     /*  704186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  704189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  704206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  704235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704254 */     GIR_RootConstrainSelectedInstOperands,
     /*  704255 */     // GIR_Coverage, 19275,
     /*  704255 */     GIR_EraseRootFromParent_Done,
     /*  704256 */   // Label 11110: @704256
     /*  704256 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(704331), // Rule ID 19278 //
     /*  704261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  704264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  704281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  704310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704329 */     GIR_RootConstrainSelectedInstOperands,
     /*  704330 */     // GIR_Coverage, 19278,
     /*  704330 */     GIR_EraseRootFromParent_Done,
     /*  704331 */   // Label 11111: @704331
     /*  704331 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(704406), // Rule ID 19279 //
     /*  704336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  704339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  704356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704382 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  704385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704404 */     GIR_RootConstrainSelectedInstOperands,
     /*  704405 */     // GIR_Coverage, 19279,
     /*  704405 */     GIR_EraseRootFromParent_Done,
     /*  704406 */   // Label 11112: @704406
     /*  704406 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(704481), // Rule ID 19282 //
     /*  704411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  704414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  704422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  704425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  704428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  704431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  704457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  704460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704479 */     GIR_RootConstrainSelectedInstOperands,
     /*  704480 */     // GIR_Coverage, 19282,
     /*  704480 */     GIR_EraseRootFromParent_Done,
     /*  704481 */   // Label 11113: @704481
     /*  704481 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(704556), // Rule ID 19283 //
     /*  704486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  704489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  704497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  704500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  704503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  704506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  704532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  704535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  704551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704554 */     GIR_RootConstrainSelectedInstOperands,
     /*  704555 */     // GIR_Coverage, 19283,
     /*  704555 */     GIR_EraseRootFromParent_Done,
     /*  704556 */   // Label 11114: @704556
     /*  704556 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(704631), // Rule ID 19286 //
     /*  704561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  704564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  704581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  704610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704629 */     GIR_RootConstrainSelectedInstOperands,
     /*  704630 */     // GIR_Coverage, 19286,
     /*  704630 */     GIR_EraseRootFromParent_Done,
     /*  704631 */   // Label 11115: @704631
     /*  704631 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(704706), // Rule ID 19287 //
     /*  704636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  704639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  704647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  704650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  704653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  704656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  704675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704682 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  704685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704704 */     GIR_RootConstrainSelectedInstOperands,
     /*  704705 */     // GIR_Coverage, 19287,
     /*  704705 */     GIR_EraseRootFromParent_Done,
     /*  704706 */   // Label 11116: @704706
     /*  704706 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(704781), // Rule ID 19290 //
     /*  704711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  704714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  704731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704757 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  704760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704779 */     GIR_RootConstrainSelectedInstOperands,
     /*  704780 */     // GIR_Coverage, 19290,
     /*  704780 */     GIR_EraseRootFromParent_Done,
     /*  704781 */   // Label 11117: @704781
     /*  704781 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(704856), // Rule ID 19291 //
     /*  704786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  704789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  704797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  704800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  704803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  704806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  704825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  704835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704854 */     GIR_RootConstrainSelectedInstOperands,
     /*  704855 */     // GIR_Coverage, 19291,
     /*  704855 */     GIR_EraseRootFromParent_Done,
     /*  704856 */   // Label 11118: @704856
     /*  704856 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(704931), // Rule ID 19294 //
     /*  704861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  704864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  704910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704929 */     GIR_RootConstrainSelectedInstOperands,
     /*  704930 */     // GIR_Coverage, 19294,
     /*  704930 */     GIR_EraseRootFromParent_Done,
     /*  704931 */   // Label 11119: @704931
     /*  704931 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(705006), // Rule ID 19295 //
     /*  704936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  704939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  704944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  704947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  704950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  704953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  704956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  704975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  704985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705004 */     GIR_RootConstrainSelectedInstOperands,
     /*  705005 */     // GIR_Coverage, 19295,
     /*  705005 */     GIR_EraseRootFromParent_Done,
     /*  705006 */   // Label 11120: @705006
     /*  705006 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(705081), // Rule ID 19298 //
     /*  705011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  705014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  705031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  705060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705079 */     GIR_RootConstrainSelectedInstOperands,
     /*  705080 */     // GIR_Coverage, 19298,
     /*  705080 */     GIR_EraseRootFromParent_Done,
     /*  705081 */   // Label 11121: @705081
     /*  705081 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(705156), // Rule ID 19299 //
     /*  705086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  705089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  705106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  705135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705154 */     GIR_RootConstrainSelectedInstOperands,
     /*  705155 */     // GIR_Coverage, 19299,
     /*  705155 */     GIR_EraseRootFromParent_Done,
     /*  705156 */   // Label 11122: @705156
     /*  705156 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(705231), // Rule ID 19302 //
     /*  705161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  705164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  705181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705207 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  705210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705229 */     GIR_RootConstrainSelectedInstOperands,
     /*  705230 */     // GIR_Coverage, 19302,
     /*  705230 */     GIR_EraseRootFromParent_Done,
     /*  705231 */   // Label 11123: @705231
     /*  705231 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(705306), // Rule ID 19303 //
     /*  705236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  705239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  705247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  705250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  705253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  705256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  705285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705304 */     GIR_RootConstrainSelectedInstOperands,
     /*  705305 */     // GIR_Coverage, 19303,
     /*  705305 */     GIR_EraseRootFromParent_Done,
     /*  705306 */   // Label 11124: @705306
     /*  705306 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(705381), // Rule ID 19306 //
     /*  705311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  705314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  705331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705357 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  705360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705379 */     GIR_RootConstrainSelectedInstOperands,
     /*  705380 */     // GIR_Coverage, 19306,
     /*  705380 */     GIR_EraseRootFromParent_Done,
     /*  705381 */   // Label 11125: @705381
     /*  705381 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(705456), // Rule ID 19307 //
     /*  705386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  705389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  705397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  705400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  705403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  705406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  705435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705454 */     GIR_RootConstrainSelectedInstOperands,
     /*  705455 */     // GIR_Coverage, 19307,
     /*  705455 */     GIR_EraseRootFromParent_Done,
     /*  705456 */   // Label 11126: @705456
     /*  705456 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(705531), // Rule ID 19310 //
     /*  705461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  705464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  705472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  705475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  705478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  705481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705507 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  705510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705529 */     GIR_RootConstrainSelectedInstOperands,
     /*  705530 */     // GIR_Coverage, 19310,
     /*  705530 */     GIR_EraseRootFromParent_Done,
     /*  705531 */   // Label 11127: @705531
     /*  705531 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(705606), // Rule ID 19311 //
     /*  705536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  705539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  705547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  705550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  705553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  705556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  705582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  705585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705604 */     GIR_RootConstrainSelectedInstOperands,
     /*  705605 */     // GIR_Coverage, 19311,
     /*  705605 */     GIR_EraseRootFromParent_Done,
     /*  705606 */   // Label 11128: @705606
     /*  705606 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(705681), // Rule ID 19314 //
     /*  705611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  705614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  705622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  705625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  705628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  705631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705657 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  705660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705679 */     GIR_RootConstrainSelectedInstOperands,
     /*  705680 */     // GIR_Coverage, 19314,
     /*  705680 */     GIR_EraseRootFromParent_Done,
     /*  705681 */   // Label 11129: @705681
     /*  705681 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(705756), // Rule ID 19315 //
     /*  705686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  705689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  705697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  705700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  705703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  705706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  705732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  705735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705754 */     GIR_RootConstrainSelectedInstOperands,
     /*  705755 */     // GIR_Coverage, 19315,
     /*  705755 */     GIR_EraseRootFromParent_Done,
     /*  705756 */   // Label 11130: @705756
     /*  705756 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(705831), // Rule ID 19318 //
     /*  705761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  705764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  705772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  705775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  705778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  705781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705807 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  705807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  705810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705829 */     GIR_RootConstrainSelectedInstOperands,
     /*  705830 */     // GIR_Coverage, 19318,
     /*  705830 */     GIR_EraseRootFromParent_Done,
     /*  705831 */   // Label 11131: @705831
     /*  705831 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(705906), // Rule ID 19319 //
     /*  705836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  705839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  705847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  705850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  705853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  705856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705882 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  705882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  705885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  705901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705904 */     GIR_RootConstrainSelectedInstOperands,
     /*  705905 */     // GIR_Coverage, 19319,
     /*  705905 */     GIR_EraseRootFromParent_Done,
     /*  705906 */   // Label 11132: @705906
     /*  705906 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(705981), // Rule ID 19322 //
     /*  705911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  705914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  705925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  705928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  705931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  705946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  705950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705957 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  705960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705979 */     GIR_RootConstrainSelectedInstOperands,
     /*  705980 */     // GIR_Coverage, 19322,
     /*  705980 */     GIR_EraseRootFromParent_Done,
     /*  705981 */   // Label 11133: @705981
     /*  705981 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(706056), // Rule ID 19323 //
     /*  705986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  705989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  705994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  705997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  706035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706054 */     GIR_RootConstrainSelectedInstOperands,
     /*  706055 */     // GIR_Coverage, 19323,
     /*  706055 */     GIR_EraseRootFromParent_Done,
     /*  706056 */   // Label 11134: @706056
     /*  706056 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(706131), // Rule ID 19326 //
     /*  706061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  706110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706129 */     GIR_RootConstrainSelectedInstOperands,
     /*  706130 */     // GIR_Coverage, 19326,
     /*  706130 */     GIR_EraseRootFromParent_Done,
     /*  706131 */   // Label 11135: @706131
     /*  706131 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(706206), // Rule ID 19327 //
     /*  706136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706182 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  706185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706204 */     GIR_RootConstrainSelectedInstOperands,
     /*  706205 */     // GIR_Coverage, 19327,
     /*  706205 */     GIR_EraseRootFromParent_Done,
     /*  706206 */   // Label 11136: @706206
     /*  706206 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(706281), // Rule ID 19330 //
     /*  706211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  706214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  706260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706279 */     GIR_RootConstrainSelectedInstOperands,
     /*  706280 */     // GIR_Coverage, 19330,
     /*  706280 */     GIR_EraseRootFromParent_Done,
     /*  706281 */   // Label 11137: @706281
     /*  706281 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(706356), // Rule ID 19331 //
     /*  706286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  706289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  706297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  706300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  706303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  706335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706354 */     GIR_RootConstrainSelectedInstOperands,
     /*  706355 */     // GIR_Coverage, 19331,
     /*  706355 */     GIR_EraseRootFromParent_Done,
     /*  706356 */   // Label 11138: @706356
     /*  706356 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(706431), // Rule ID 19334 //
     /*  706361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  706410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706429 */     GIR_RootConstrainSelectedInstOperands,
     /*  706430 */     // GIR_Coverage, 19334,
     /*  706430 */     GIR_EraseRootFromParent_Done,
     /*  706431 */   // Label 11139: @706431
     /*  706431 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(706506), // Rule ID 19335 //
     /*  706436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  706447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  706450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  706453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706482 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10899:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  706485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706504 */     GIR_RootConstrainSelectedInstOperands,
     /*  706505 */     // GIR_Coverage, 19335,
     /*  706505 */     GIR_EraseRootFromParent_Done,
     /*  706506 */   // Label 11140: @706506
     /*  706506 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(706581), // Rule ID 19338 //
     /*  706511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  706514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706557 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  706560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706579 */     GIR_RootConstrainSelectedInstOperands,
     /*  706580 */     // GIR_Coverage, 19338,
     /*  706580 */     GIR_EraseRootFromParent_Done,
     /*  706581 */   // Label 11141: @706581
     /*  706581 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(706656), // Rule ID 19339 //
     /*  706586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  706589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  706597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  706600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  706603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  706625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10899:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  706635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706654 */     GIR_RootConstrainSelectedInstOperands,
     /*  706655 */     // GIR_Coverage, 19339,
     /*  706655 */     GIR_EraseRootFromParent_Done,
     /*  706656 */   // Label 11142: @706656
     /*  706656 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(706731), // Rule ID 19342 //
     /*  706661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  706664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  706672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  706675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  706678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  706700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  706707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  706710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706729 */     GIR_RootConstrainSelectedInstOperands,
     /*  706730 */     // GIR_Coverage, 19342,
     /*  706730 */     GIR_EraseRootFromParent_Done,
     /*  706731 */   // Label 11143: @706731
     /*  706731 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(706806), // Rule ID 19343 //
     /*  706736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  706739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  706747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  706750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  706753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  706775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706782 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10899:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  706782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  706785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  706801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706804 */     GIR_RootConstrainSelectedInstOperands,
     /*  706805 */     // GIR_Coverage, 19343,
     /*  706805 */     GIR_EraseRootFromParent_Done,
     /*  706806 */   // Label 11144: @706806
     /*  706806 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(706881), // Rule ID 19346 //
     /*  706811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  706860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706879 */     GIR_RootConstrainSelectedInstOperands,
     /*  706880 */     // GIR_Coverage, 19346,
     /*  706880 */     GIR_EraseRootFromParent_Done,
     /*  706881 */   // Label 11145: @706881
     /*  706881 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(706956), // Rule ID 19347 //
     /*  706886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  706889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  706897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  706900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  706903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  706921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  706925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  706935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706954 */     GIR_RootConstrainSelectedInstOperands,
     /*  706955 */     // GIR_Coverage, 19347,
     /*  706955 */     GIR_EraseRootFromParent_Done,
     /*  706956 */   // Label 11146: @706956
     /*  706956 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(707031), // Rule ID 19350 //
     /*  706961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  706964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  706969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  706972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  706975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  706978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  706981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  707000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707007 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  707010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707029 */     GIR_RootConstrainSelectedInstOperands,
     /*  707030 */     // GIR_Coverage, 19350,
     /*  707030 */     GIR_EraseRootFromParent_Done,
     /*  707031 */   // Label 11147: @707031
     /*  707031 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(707106), // Rule ID 19351 //
     /*  707036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  707039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  707047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  707050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  707053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  707056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  707075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  707085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707104 */     GIR_RootConstrainSelectedInstOperands,
     /*  707105 */     // GIR_Coverage, 19351,
     /*  707105 */     GIR_EraseRootFromParent_Done,
     /*  707106 */   // Label 11148: @707106
     /*  707106 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(707181), // Rule ID 19354 //
     /*  707111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  707114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  707131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  707150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707157 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  707160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707179 */     GIR_RootConstrainSelectedInstOperands,
     /*  707180 */     // GIR_Coverage, 19354,
     /*  707180 */     GIR_EraseRootFromParent_Done,
     /*  707181 */   // Label 11149: @707181
     /*  707181 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(707256), // Rule ID 19355 //
     /*  707186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  707189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  707197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  707200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  707203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  707206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  707225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  707235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707254 */     GIR_RootConstrainSelectedInstOperands,
     /*  707255 */     // GIR_Coverage, 19355,
     /*  707255 */     GIR_EraseRootFromParent_Done,
     /*  707256 */   // Label 11150: @707256
     /*  707256 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(707331), // Rule ID 19358 //
     /*  707261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  707264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  707310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707329 */     GIR_RootConstrainSelectedInstOperands,
     /*  707330 */     // GIR_Coverage, 19358,
     /*  707330 */     GIR_EraseRootFromParent_Done,
     /*  707331 */   // Label 11151: @707331
     /*  707331 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(707406), // Rule ID 19359 //
     /*  707336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  707339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  707347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  707350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  707353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  707385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707404 */     GIR_RootConstrainSelectedInstOperands,
     /*  707405 */     // GIR_Coverage, 19359,
     /*  707405 */     GIR_EraseRootFromParent_Done,
     /*  707406 */   // Label 11152: @707406
     /*  707406 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(707481), // Rule ID 19362 //
     /*  707411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  707414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  707460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707479 */     GIR_RootConstrainSelectedInstOperands,
     /*  707480 */     // GIR_Coverage, 19362,
     /*  707480 */     GIR_EraseRootFromParent_Done,
     /*  707481 */   // Label 11153: @707481
     /*  707481 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(707556), // Rule ID 19363 //
     /*  707486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  707489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  707497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  707500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  707503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  707535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707554 */     GIR_RootConstrainSelectedInstOperands,
     /*  707555 */     // GIR_Coverage, 19363,
     /*  707555 */     GIR_EraseRootFromParent_Done,
     /*  707556 */   // Label 11154: @707556
     /*  707556 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(707631), // Rule ID 19366 //
     /*  707561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  707564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707607 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  707610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707629 */     GIR_RootConstrainSelectedInstOperands,
     /*  707630 */     // GIR_Coverage, 19366,
     /*  707630 */     GIR_EraseRootFromParent_Done,
     /*  707631 */   // Label 11155: @707631
     /*  707631 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(707706), // Rule ID 19367 //
     /*  707636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  707639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  707647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  707650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  707653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  707656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  707671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  707675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  707685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707704 */     GIR_RootConstrainSelectedInstOperands,
     /*  707705 */     // GIR_Coverage, 19367,
     /*  707705 */     GIR_EraseRootFromParent_Done,
     /*  707706 */   // Label 11156: @707706
     /*  707706 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(707781), // Rule ID 19370 //
     /*  707711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  707714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  707760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707779 */     GIR_RootConstrainSelectedInstOperands,
     /*  707780 */     // GIR_Coverage, 19370,
     /*  707780 */     GIR_EraseRootFromParent_Done,
     /*  707781 */   // Label 11157: @707781
     /*  707781 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(707856), // Rule ID 19371 //
     /*  707786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  707789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  707797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  707800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  707803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10899:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  707835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707854 */     GIR_RootConstrainSelectedInstOperands,
     /*  707855 */     // GIR_Coverage, 19371,
     /*  707855 */     GIR_EraseRootFromParent_Done,
     /*  707856 */   // Label 11158: @707856
     /*  707856 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(707931), // Rule ID 19374 //
     /*  707861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  707864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  707907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  707910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  707926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707929 */     GIR_RootConstrainSelectedInstOperands,
     /*  707930 */     // GIR_Coverage, 19374,
     /*  707930 */     GIR_EraseRootFromParent_Done,
     /*  707931 */   // Label 11159: @707931
     /*  707931 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(708006), // Rule ID 19375 //
     /*  707936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  707939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  707944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  707947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  707950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  707953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  707956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  707975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10899:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  707982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  707985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708004 */     GIR_RootConstrainSelectedInstOperands,
     /*  708005 */     // GIR_Coverage, 19375,
     /*  708005 */     GIR_EraseRootFromParent_Done,
     /*  708006 */   // Label 11160: @708006
     /*  708006 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(708081), // Rule ID 19378 //
     /*  708011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  708014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  708019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  708050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  708060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708079 */     GIR_RootConstrainSelectedInstOperands,
     /*  708080 */     // GIR_Coverage, 19378,
     /*  708080 */     GIR_EraseRootFromParent_Done,
     /*  708081 */   // Label 11161: @708081
     /*  708081 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(708156), // Rule ID 19379 //
     /*  708086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  708089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  708094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  708097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  708100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  708103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  708106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  708125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10899:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  708132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  708135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708154 */     GIR_RootConstrainSelectedInstOperands,
     /*  708155 */     // GIR_Coverage, 19379,
     /*  708155 */     GIR_EraseRootFromParent_Done,
     /*  708156 */   // Label 11162: @708156
     /*  708156 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(708231), // Rule ID 19382 //
     /*  708161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  708181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708207 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  708210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708229 */     GIR_RootConstrainSelectedInstOperands,
     /*  708230 */     // GIR_Coverage, 19382,
     /*  708230 */     GIR_EraseRootFromParent_Done,
     /*  708231 */   // Label 11163: @708231
     /*  708231 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(708306), // Rule ID 19383 //
     /*  708236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  708247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  708250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  708253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  708256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  708285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708304 */     GIR_RootConstrainSelectedInstOperands,
     /*  708305 */     // GIR_Coverage, 19383,
     /*  708305 */     GIR_EraseRootFromParent_Done,
     /*  708306 */   // Label 11164: @708306
     /*  708306 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(708381), // Rule ID 19386 //
     /*  708311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  708331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708357 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  708360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708379 */     GIR_RootConstrainSelectedInstOperands,
     /*  708380 */     // GIR_Coverage, 19386,
     /*  708380 */     GIR_EraseRootFromParent_Done,
     /*  708381 */   // Label 11165: @708381
     /*  708381 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(708456), // Rule ID 19387 //
     /*  708386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  708397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  708400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  708403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  708406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  708435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708454 */     GIR_RootConstrainSelectedInstOperands,
     /*  708455 */     // GIR_Coverage, 19387,
     /*  708455 */     GIR_EraseRootFromParent_Done,
     /*  708456 */   // Label 11166: @708456
     /*  708456 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(708531), // Rule ID 19390 //
     /*  708461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  708464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  708481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  708510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708529 */     GIR_RootConstrainSelectedInstOperands,
     /*  708530 */     // GIR_Coverage, 19390,
     /*  708530 */     GIR_EraseRootFromParent_Done,
     /*  708531 */   // Label 11167: @708531
     /*  708531 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(708606), // Rule ID 19391 //
     /*  708536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  708539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  708547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  708550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  708553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  708556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708582 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  708585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708604 */     GIR_RootConstrainSelectedInstOperands,
     /*  708605 */     // GIR_Coverage, 19391,
     /*  708605 */     GIR_EraseRootFromParent_Done,
     /*  708606 */   // Label 11168: @708606
     /*  708606 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(708681), // Rule ID 19394 //
     /*  708611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  708614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708657 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  708660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708679 */     GIR_RootConstrainSelectedInstOperands,
     /*  708680 */     // GIR_Coverage, 19394,
     /*  708680 */     GIR_EraseRootFromParent_Done,
     /*  708681 */   // Label 11169: @708681
     /*  708681 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(708756), // Rule ID 19395 //
     /*  708686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  708689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  708697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  708700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  708703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  708706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708732 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  708735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708754 */     GIR_RootConstrainSelectedInstOperands,
     /*  708755 */     // GIR_Coverage, 19395,
     /*  708755 */     GIR_EraseRootFromParent_Done,
     /*  708756 */   // Label 11170: @708756
     /*  708756 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(708831), // Rule ID 19398 //
     /*  708761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  708764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708807 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  708810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708829 */     GIR_RootConstrainSelectedInstOperands,
     /*  708830 */     // GIR_Coverage, 19398,
     /*  708830 */     GIR_EraseRootFromParent_Done,
     /*  708831 */   // Label 11171: @708831
     /*  708831 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(708906), // Rule ID 19399 //
     /*  708836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  708839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  708847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  708850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  708853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  708856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  708885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708904 */     GIR_RootConstrainSelectedInstOperands,
     /*  708905 */     // GIR_Coverage, 19399,
     /*  708905 */     GIR_EraseRootFromParent_Done,
     /*  708906 */   // Label 11172: @708906
     /*  708906 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(708981), // Rule ID 19402 //
     /*  708911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  708914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  708925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  708928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  708931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  708950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  708957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  708960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  708976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708979 */     GIR_RootConstrainSelectedInstOperands,
     /*  708980 */     // GIR_Coverage, 19402,
     /*  708980 */     GIR_EraseRootFromParent_Done,
     /*  708981 */   // Label 11173: @708981
     /*  708981 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(709056), // Rule ID 19403 //
     /*  708986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  708989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  708994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  708997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  709000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  709003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  709006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709032 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  709032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  709035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  709051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709054 */     GIR_RootConstrainSelectedInstOperands,
     /*  709055 */     // GIR_Coverage, 19403,
     /*  709055 */     GIR_EraseRootFromParent_Done,
     /*  709056 */   // Label 11174: @709056
     /*  709056 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(709131), // Rule ID 19406 //
     /*  709061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  709064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  709081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709107 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  709110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709129 */     GIR_RootConstrainSelectedInstOperands,
     /*  709130 */     // GIR_Coverage, 19406,
     /*  709130 */     GIR_EraseRootFromParent_Done,
     /*  709131 */   // Label 11175: @709131
     /*  709131 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(709206), // Rule ID 19407 //
     /*  709136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  709139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  709147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  709150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  709153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  709156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709182 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  709185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709204 */     GIR_RootConstrainSelectedInstOperands,
     /*  709205 */     // GIR_Coverage, 19407,
     /*  709205 */     GIR_EraseRootFromParent_Done,
     /*  709206 */   // Label 11176: @709206
     /*  709206 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(709281), // Rule ID 19410 //
     /*  709211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  709214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  709225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  709228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  709231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709257 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  709260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709279 */     GIR_RootConstrainSelectedInstOperands,
     /*  709280 */     // GIR_Coverage, 19410,
     /*  709280 */     GIR_EraseRootFromParent_Done,
     /*  709281 */   // Label 11177: @709281
     /*  709281 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(709356), // Rule ID 19411 //
     /*  709286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  709289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  709297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  709300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  709303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  709306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709332 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  709335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709354 */     GIR_RootConstrainSelectedInstOperands,
     /*  709355 */     // GIR_Coverage, 19411,
     /*  709355 */     GIR_EraseRootFromParent_Done,
     /*  709356 */   // Label 11178: @709356
     /*  709356 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(709431), // Rule ID 19414 //
     /*  709361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  709364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709407 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  709410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709429 */     GIR_RootConstrainSelectedInstOperands,
     /*  709430 */     // GIR_Coverage, 19414,
     /*  709430 */     GIR_EraseRootFromParent_Done,
     /*  709431 */   // Label 11179: @709431
     /*  709431 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(709506), // Rule ID 19415 //
     /*  709436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  709439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  709447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  709450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  709453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  709456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709482 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  709485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709504 */     GIR_RootConstrainSelectedInstOperands,
     /*  709505 */     // GIR_Coverage, 19415,
     /*  709505 */     GIR_EraseRootFromParent_Done,
     /*  709506 */   // Label 11180: @709506
     /*  709506 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(709581), // Rule ID 19418 //
     /*  709511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  709514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709557 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  709560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709579 */     GIR_RootConstrainSelectedInstOperands,
     /*  709580 */     // GIR_Coverage, 19418,
     /*  709580 */     GIR_EraseRootFromParent_Done,
     /*  709581 */   // Label 11181: @709581
     /*  709581 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(709656), // Rule ID 19419 //
     /*  709586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  709589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  709597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  709600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  709603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  709606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709632 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  709635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709654 */     GIR_RootConstrainSelectedInstOperands,
     /*  709655 */     // GIR_Coverage, 19419,
     /*  709655 */     GIR_EraseRootFromParent_Done,
     /*  709656 */   // Label 11182: @709656
     /*  709656 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(709731), // Rule ID 19422 //
     /*  709661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  709664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709707 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  709710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709729 */     GIR_RootConstrainSelectedInstOperands,
     /*  709730 */     // GIR_Coverage, 19422,
     /*  709730 */     GIR_EraseRootFromParent_Done,
     /*  709731 */   // Label 11183: @709731
     /*  709731 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(709806), // Rule ID 19423 //
     /*  709736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  709739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  709747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  709750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  709753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  709756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  709775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  709785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709804 */     GIR_RootConstrainSelectedInstOperands,
     /*  709805 */     // GIR_Coverage, 19423,
     /*  709805 */     GIR_EraseRootFromParent_Done,
     /*  709806 */   // Label 11184: @709806
     /*  709806 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(709881), // Rule ID 19426 //
     /*  709811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  709814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709857 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  709860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709879 */     GIR_RootConstrainSelectedInstOperands,
     /*  709880 */     // GIR_Coverage, 19426,
     /*  709880 */     GIR_EraseRootFromParent_Done,
     /*  709881 */   // Label 11185: @709881
     /*  709881 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(709956), // Rule ID 19427 //
     /*  709886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  709889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  709897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  709900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  709903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  709906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  709925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709932 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  709935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709954 */     GIR_RootConstrainSelectedInstOperands,
     /*  709955 */     // GIR_Coverage, 19427,
     /*  709955 */     GIR_EraseRootFromParent_Done,
     /*  709956 */   // Label 11186: @709956
     /*  709956 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(710031), // Rule ID 19430 //
     /*  709961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  709964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  709969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  709972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  709975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  709978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  709981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  709996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710007 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  710010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710029 */     GIR_RootConstrainSelectedInstOperands,
     /*  710030 */     // GIR_Coverage, 19430,
     /*  710030 */     GIR_EraseRootFromParent_Done,
     /*  710031 */   // Label 11187: @710031
     /*  710031 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(710106), // Rule ID 19431 //
     /*  710036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  710039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  710047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  710050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  710053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  710056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710082 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  710085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710104 */     GIR_RootConstrainSelectedInstOperands,
     /*  710105 */     // GIR_Coverage, 19431,
     /*  710105 */     GIR_EraseRootFromParent_Done,
     /*  710106 */   // Label 11188: @710106
     /*  710106 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(710181), // Rule ID 19434 //
     /*  710111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  710114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  710122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  710125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  710128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  710131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710157 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  710160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710179 */     GIR_RootConstrainSelectedInstOperands,
     /*  710180 */     // GIR_Coverage, 19434,
     /*  710180 */     GIR_EraseRootFromParent_Done,
     /*  710181 */   // Label 11189: @710181
     /*  710181 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(710256), // Rule ID 19435 //
     /*  710186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  710189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  710197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  710200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  710203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  710206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710232 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  710235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710254 */     GIR_RootConstrainSelectedInstOperands,
     /*  710255 */     // GIR_Coverage, 19435,
     /*  710255 */     GIR_EraseRootFromParent_Done,
     /*  710256 */   // Label 11190: @710256
     /*  710256 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(710331), // Rule ID 19438 //
     /*  710261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  710264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  710272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  710275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  710278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  710281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710307 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  710307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  710310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710329 */     GIR_RootConstrainSelectedInstOperands,
     /*  710330 */     // GIR_Coverage, 19438,
     /*  710330 */     GIR_EraseRootFromParent_Done,
     /*  710331 */   // Label 11191: @710331
     /*  710331 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(710406), // Rule ID 19439 //
     /*  710336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  710339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  710347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  710350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  710353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  710356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  710382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  710385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  710401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710404 */     GIR_RootConstrainSelectedInstOperands,
     /*  710405 */     // GIR_Coverage, 19439,
     /*  710405 */     GIR_EraseRootFromParent_Done,
     /*  710406 */   // Label 11192: @710406
     /*  710406 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(710481), // Rule ID 19442 //
     /*  710411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  710460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710479 */     GIR_RootConstrainSelectedInstOperands,
     /*  710480 */     // GIR_Coverage, 19442,
     /*  710480 */     GIR_EraseRootFromParent_Done,
     /*  710481 */   // Label 11193: @710481
     /*  710481 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(710556), // Rule ID 19443 //
     /*  710486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  710497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  710500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  710503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710532 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  710535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710554 */     GIR_RootConstrainSelectedInstOperands,
     /*  710555 */     // GIR_Coverage, 19443,
     /*  710555 */     GIR_EraseRootFromParent_Done,
     /*  710556 */   // Label 11194: @710556
     /*  710556 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(710631), // Rule ID 19446 //
     /*  710561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710607 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  710610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710629 */     GIR_RootConstrainSelectedInstOperands,
     /*  710630 */     // GIR_Coverage, 19446,
     /*  710630 */     GIR_EraseRootFromParent_Done,
     /*  710631 */   // Label 11195: @710631
     /*  710631 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(710706), // Rule ID 19447 //
     /*  710636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  710647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  710650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  710653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710682 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  710685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710704 */     GIR_RootConstrainSelectedInstOperands,
     /*  710705 */     // GIR_Coverage, 19447,
     /*  710705 */     GIR_EraseRootFromParent_Done,
     /*  710706 */   // Label 11196: @710706
     /*  710706 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(710781), // Rule ID 19450 //
     /*  710711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  710714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  710750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710757 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  710760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710779 */     GIR_RootConstrainSelectedInstOperands,
     /*  710780 */     // GIR_Coverage, 19450,
     /*  710780 */     GIR_EraseRootFromParent_Done,
     /*  710781 */   // Label 11197: @710781
     /*  710781 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(710856), // Rule ID 19451 //
     /*  710786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  710789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  710797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  710800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  710803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  710825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710832 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  710835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710854 */     GIR_RootConstrainSelectedInstOperands,
     /*  710855 */     // GIR_Coverage, 19451,
     /*  710855 */     GIR_EraseRootFromParent_Done,
     /*  710856 */   // Label 11198: @710856
     /*  710856 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(710931), // Rule ID 19454 //
     /*  710861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  710864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  710910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710929 */     GIR_RootConstrainSelectedInstOperands,
     /*  710930 */     // GIR_Coverage, 19454,
     /*  710930 */     GIR_EraseRootFromParent_Done,
     /*  710931 */   // Label 11199: @710931
     /*  710931 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(711006), // Rule ID 19455 //
     /*  710936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  710939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  710944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  710956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  710975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710982 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10901:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  710985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711004 */     GIR_RootConstrainSelectedInstOperands,
     /*  711005 */     // GIR_Coverage, 19455,
     /*  711005 */     GIR_EraseRootFromParent_Done,
     /*  711006 */   // Label 11200: @711006
     /*  711006 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(711081), // Rule ID 19458 //
     /*  711011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  711014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  711022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  711025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  711028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  711060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711079 */     GIR_RootConstrainSelectedInstOperands,
     /*  711080 */     // GIR_Coverage, 19458,
     /*  711080 */     GIR_EraseRootFromParent_Done,
     /*  711081 */   // Label 11201: @711081
     /*  711081 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(711156), // Rule ID 19459 //
     /*  711086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  711097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  711100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  711103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711132 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10901:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  711135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711154 */     GIR_RootConstrainSelectedInstOperands,
     /*  711155 */     // GIR_Coverage, 19459,
     /*  711155 */     GIR_EraseRootFromParent_Done,
     /*  711156 */   // Label 11202: @711156
     /*  711156 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(711231), // Rule ID 19462 //
     /*  711161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  711164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711207 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  711207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  711210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711229 */     GIR_RootConstrainSelectedInstOperands,
     /*  711230 */     // GIR_Coverage, 19462,
     /*  711230 */     GIR_EraseRootFromParent_Done,
     /*  711231 */   // Label 11203: @711231
     /*  711231 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(711306), // Rule ID 19463 //
     /*  711236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  711239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  711247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  711250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  711253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  711275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10901:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  711282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  711285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  711301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711304 */     GIR_RootConstrainSelectedInstOperands,
     /*  711305 */     // GIR_Coverage, 19463,
     /*  711305 */     GIR_EraseRootFromParent_Done,
     /*  711306 */   // Label 11204: @711306
     /*  711306 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(711381), // Rule ID 19466 //
     /*  711311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  711314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711357 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  711360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711379 */     GIR_RootConstrainSelectedInstOperands,
     /*  711380 */     // GIR_Coverage, 19466,
     /*  711380 */     GIR_EraseRootFromParent_Done,
     /*  711381 */   // Label 11205: @711381
     /*  711381 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(711456), // Rule ID 19467 //
     /*  711386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  711389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  711397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  711400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  711403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711432 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  711435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711454 */     GIR_RootConstrainSelectedInstOperands,
     /*  711455 */     // GIR_Coverage, 19467,
     /*  711455 */     GIR_EraseRootFromParent_Done,
     /*  711456 */   // Label 11206: @711456
     /*  711456 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(711531), // Rule ID 19470 //
     /*  711461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  711464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711507 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  711510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711529 */     GIR_RootConstrainSelectedInstOperands,
     /*  711530 */     // GIR_Coverage, 19470,
     /*  711530 */     GIR_EraseRootFromParent_Done,
     /*  711531 */   // Label 11207: @711531
     /*  711531 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(711606), // Rule ID 19471 //
     /*  711536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  711539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711582 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  711585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711604 */     GIR_RootConstrainSelectedInstOperands,
     /*  711605 */     // GIR_Coverage, 19471,
     /*  711605 */     GIR_EraseRootFromParent_Done,
     /*  711606 */   // Label 11208: @711606
     /*  711606 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(711681), // Rule ID 19474 //
     /*  711611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  711614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711657 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  711660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711679 */     GIR_RootConstrainSelectedInstOperands,
     /*  711680 */     // GIR_Coverage, 19474,
     /*  711680 */     GIR_EraseRootFromParent_Done,
     /*  711681 */   // Label 11209: @711681
     /*  711681 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(711756), // Rule ID 19475 //
     /*  711686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  711689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  711706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  711725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  711735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711754 */     GIR_RootConstrainSelectedInstOperands,
     /*  711755 */     // GIR_Coverage, 19475,
     /*  711755 */     GIR_EraseRootFromParent_Done,
     /*  711756 */   // Label 11210: @711756
     /*  711756 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(711831), // Rule ID 19478 //
     /*  711761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  711764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711807 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  711810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711829 */     GIR_RootConstrainSelectedInstOperands,
     /*  711830 */     // GIR_Coverage, 19478,
     /*  711830 */     GIR_EraseRootFromParent_Done,
     /*  711831 */   // Label 11211: @711831
     /*  711831 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(711906), // Rule ID 19479 //
     /*  711836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711882 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  711885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711904 */     GIR_RootConstrainSelectedInstOperands,
     /*  711905 */     // GIR_Coverage, 19479,
     /*  711905 */     GIR_EraseRootFromParent_Done,
     /*  711906 */   // Label 11212: @711906
     /*  711906 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(711981), // Rule ID 19482 //
     /*  711911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  711914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  711950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711957 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  711960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711979 */     GIR_RootConstrainSelectedInstOperands,
     /*  711980 */     // GIR_Coverage, 19482,
     /*  711980 */     GIR_EraseRootFromParent_Done,
     /*  711981 */   // Label 11213: @711981
     /*  711981 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(712056), // Rule ID 19483 //
     /*  711986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  711989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  711994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  712000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  712003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  712025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712032 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  712035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712054 */     GIR_RootConstrainSelectedInstOperands,
     /*  712055 */     // GIR_Coverage, 19483,
     /*  712055 */     GIR_EraseRootFromParent_Done,
     /*  712056 */   // Label 11214: @712056
     /*  712056 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(712131), // Rule ID 19486 //
     /*  712061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  712064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  712100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712107 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  712110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712129 */     GIR_RootConstrainSelectedInstOperands,
     /*  712130 */     // GIR_Coverage, 19486,
     /*  712130 */     GIR_EraseRootFromParent_Done,
     /*  712131 */   // Label 11215: @712131
     /*  712131 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(712206), // Rule ID 19487 //
     /*  712136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  712139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  712147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  712150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  712153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  712156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  712175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712182 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  712185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712204 */     GIR_RootConstrainSelectedInstOperands,
     /*  712205 */     // GIR_Coverage, 19487,
     /*  712205 */     GIR_EraseRootFromParent_Done,
     /*  712206 */   // Label 11216: @712206
     /*  712206 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(712281), // Rule ID 19490 //
     /*  712211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  712214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712257 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  712260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712279 */     GIR_RootConstrainSelectedInstOperands,
     /*  712280 */     // GIR_Coverage, 19490,
     /*  712280 */     GIR_EraseRootFromParent_Done,
     /*  712281 */   // Label 11217: @712281
     /*  712281 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(712356), // Rule ID 19491 //
     /*  712286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  712289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  712297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  712300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  712303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  712321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10901:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  712335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712354 */     GIR_RootConstrainSelectedInstOperands,
     /*  712355 */     // GIR_Coverage, 19491,
     /*  712355 */     GIR_EraseRootFromParent_Done,
     /*  712356 */   // Label 11218: @712356
     /*  712356 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(712431), // Rule ID 19494 //
     /*  712361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  712364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712407 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  712410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712429 */     GIR_RootConstrainSelectedInstOperands,
     /*  712430 */     // GIR_Coverage, 19494,
     /*  712430 */     GIR_EraseRootFromParent_Done,
     /*  712431 */   // Label 11219: @712431
     /*  712431 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(712506), // Rule ID 19495 //
     /*  712436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  712439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  712447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  712450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  712453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  712471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712482 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10901:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  712485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712504 */     GIR_RootConstrainSelectedInstOperands,
     /*  712505 */     // GIR_Coverage, 19495,
     /*  712505 */     GIR_EraseRootFromParent_Done,
     /*  712506 */   // Label 11220: @712506
     /*  712506 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(712581), // Rule ID 19498 //
     /*  712511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  712514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712557 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  712557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  712560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712579 */     GIR_RootConstrainSelectedInstOperands,
     /*  712580 */     // GIR_Coverage, 19498,
     /*  712580 */     GIR_EraseRootFromParent_Done,
     /*  712581 */   // Label 11221: @712581
     /*  712581 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(712656), // Rule ID 19499 //
     /*  712586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  712589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  712594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  712597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  712600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  712603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  712606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  712621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  712625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10901:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  712632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  712635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  712651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712654 */     GIR_RootConstrainSelectedInstOperands,
     /*  712655 */     // GIR_Coverage, 19499,
     /*  712655 */     GIR_EraseRootFromParent_Done,
     /*  712656 */   // Label 11222: @712656
     /*  712656 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(712731), // Rule ID 19502 //
     /*  712661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  712664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  712669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  712672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  712675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  712681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  712710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712729 */     GIR_RootConstrainSelectedInstOperands,
     /*  712730 */     // GIR_Coverage, 19502,
     /*  712730 */     GIR_EraseRootFromParent_Done,
     /*  712731 */   // Label 11223: @712731
     /*  712731 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(712806), // Rule ID 19503 //
     /*  712736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  712739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  712744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  712747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  712750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  712756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712782 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  712785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712804 */     GIR_RootConstrainSelectedInstOperands,
     /*  712805 */     // GIR_Coverage, 19503,
     /*  712805 */     GIR_EraseRootFromParent_Done,
     /*  712806 */   // Label 11224: @712806
     /*  712806 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(712881), // Rule ID 19506 //
     /*  712811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  712814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  712819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  712822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  712825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  712831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712857 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  712860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712879 */     GIR_RootConstrainSelectedInstOperands,
     /*  712880 */     // GIR_Coverage, 19506,
     /*  712880 */     GIR_EraseRootFromParent_Done,
     /*  712881 */   // Label 11225: @712881
     /*  712881 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(712956), // Rule ID 19507 //
     /*  712886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  712889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  712894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  712897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  712900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  712906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712932 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  712935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712954 */     GIR_RootConstrainSelectedInstOperands,
     /*  712955 */     // GIR_Coverage, 19507,
     /*  712955 */     GIR_EraseRootFromParent_Done,
     /*  712956 */   // Label 11226: @712956
     /*  712956 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(713031), // Rule ID 19510 //
     /*  712961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  712964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  712969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  712972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  712975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  712981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713007 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  713010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713029 */     GIR_RootConstrainSelectedInstOperands,
     /*  713030 */     // GIR_Coverage, 19510,
     /*  713030 */     GIR_EraseRootFromParent_Done,
     /*  713031 */   // Label 11227: @713031
     /*  713031 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(713106), // Rule ID 19511 //
     /*  713036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  713039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  713047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  713050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  713053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  713056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713082 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  713085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713104 */     GIR_RootConstrainSelectedInstOperands,
     /*  713105 */     // GIR_Coverage, 19511,
     /*  713105 */     GIR_EraseRootFromParent_Done,
     /*  713106 */   // Label 11228: @713106
     /*  713106 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(713181), // Rule ID 19514 //
     /*  713111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  713114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  713128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  713160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713179 */     GIR_RootConstrainSelectedInstOperands,
     /*  713180 */     // GIR_Coverage, 19514,
     /*  713180 */     GIR_EraseRootFromParent_Done,
     /*  713181 */   // Label 11229: @713181
     /*  713181 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(713256), // Rule ID 19515 //
     /*  713186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  713189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  713197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  713200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  713203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  713206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  713235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713254 */     GIR_RootConstrainSelectedInstOperands,
     /*  713255 */     // GIR_Coverage, 19515,
     /*  713255 */     GIR_EraseRootFromParent_Done,
     /*  713256 */   // Label 11230: @713256
     /*  713256 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(713331), // Rule ID 19518 //
     /*  713261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  713264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  713272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  713275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  713278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  713281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  713307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  713310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713329 */     GIR_RootConstrainSelectedInstOperands,
     /*  713330 */     // GIR_Coverage, 19518,
     /*  713330 */     GIR_EraseRootFromParent_Done,
     /*  713331 */   // Label 11231: @713331
     /*  713331 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(713406), // Rule ID 19519 //
     /*  713336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  713339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  713347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  713350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  713353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  713356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713382 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  713385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713404 */     GIR_RootConstrainSelectedInstOperands,
     /*  713405 */     // GIR_Coverage, 19519,
     /*  713405 */     GIR_EraseRootFromParent_Done,
     /*  713406 */   // Label 11232: @713406
     /*  713406 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(713481), // Rule ID 19522 //
     /*  713411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  713414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  713457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  713460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713479 */     GIR_RootConstrainSelectedInstOperands,
     /*  713480 */     // GIR_Coverage, 19522,
     /*  713480 */     GIR_EraseRootFromParent_Done,
     /*  713481 */   // Label 11233: @713481
     /*  713481 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(713556), // Rule ID 19523 //
     /*  713486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  713489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  713497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  713500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  713503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  713506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713532 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  713532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  713535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  713551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713554 */     GIR_RootConstrainSelectedInstOperands,
     /*  713555 */     // GIR_Coverage, 19523,
     /*  713555 */     GIR_EraseRootFromParent_Done,
     /*  713556 */   // Label 11234: @713556
     /*  713556 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(713631), // Rule ID 19526 //
     /*  713561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  713564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713607 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  713610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713629 */     GIR_RootConstrainSelectedInstOperands,
     /*  713630 */     // GIR_Coverage, 19526,
     /*  713630 */     GIR_EraseRootFromParent_Done,
     /*  713631 */   // Label 11235: @713631
     /*  713631 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(713706), // Rule ID 19527 //
     /*  713636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  713639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713682 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  713685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713704 */     GIR_RootConstrainSelectedInstOperands,
     /*  713705 */     // GIR_Coverage, 19527,
     /*  713705 */     GIR_EraseRootFromParent_Done,
     /*  713706 */   // Label 11236: @713706
     /*  713706 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(713781), // Rule ID 19530 //
     /*  713711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  713714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713757 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  713760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713779 */     GIR_RootConstrainSelectedInstOperands,
     /*  713780 */     // GIR_Coverage, 19530,
     /*  713780 */     GIR_EraseRootFromParent_Done,
     /*  713781 */   // Label 11237: @713781
     /*  713781 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(713856), // Rule ID 19531 //
     /*  713786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  713789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  713835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713854 */     GIR_RootConstrainSelectedInstOperands,
     /*  713855 */     // GIR_Coverage, 19531,
     /*  713855 */     GIR_EraseRootFromParent_Done,
     /*  713856 */   // Label 11238: @713856
     /*  713856 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(713931), // Rule ID 19534 //
     /*  713861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  713864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  713910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713929 */     GIR_RootConstrainSelectedInstOperands,
     /*  713930 */     // GIR_Coverage, 19534,
     /*  713930 */     GIR_EraseRootFromParent_Done,
     /*  713931 */   // Label 11239: @713931
     /*  713931 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(714006), // Rule ID 19535 //
     /*  713936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  713939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  713944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713982 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  713985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714004 */     GIR_RootConstrainSelectedInstOperands,
     /*  714005 */     // GIR_Coverage, 19535,
     /*  714005 */     GIR_EraseRootFromParent_Done,
     /*  714006 */   // Label 11240: @714006
     /*  714006 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(714081), // Rule ID 19538 //
     /*  714011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  714014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  714022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  714025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  714028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  714031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714057 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  714060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714079 */     GIR_RootConstrainSelectedInstOperands,
     /*  714080 */     // GIR_Coverage, 19538,
     /*  714080 */     GIR_EraseRootFromParent_Done,
     /*  714081 */   // Label 11241: @714081
     /*  714081 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(714156), // Rule ID 19539 //
     /*  714086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  714089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  714097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  714100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  714103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  714106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  714135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714154 */     GIR_RootConstrainSelectedInstOperands,
     /*  714155 */     // GIR_Coverage, 19539,
     /*  714155 */     GIR_EraseRootFromParent_Done,
     /*  714156 */   // Label 11242: @714156
     /*  714156 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(714231), // Rule ID 19542 //
     /*  714161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  714164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  714172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  714175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  714181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714207 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  714210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714229 */     GIR_RootConstrainSelectedInstOperands,
     /*  714230 */     // GIR_Coverage, 19542,
     /*  714230 */     GIR_EraseRootFromParent_Done,
     /*  714231 */   // Label 11243: @714231
     /*  714231 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(714306), // Rule ID 19543 //
     /*  714236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  714239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  714247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  714250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  714256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714282 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  714285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714304 */     GIR_RootConstrainSelectedInstOperands,
     /*  714305 */     // GIR_Coverage, 19543,
     /*  714305 */     GIR_EraseRootFromParent_Done,
     /*  714306 */   // Label 11244: @714306
     /*  714306 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(714381), // Rule ID 19546 //
     /*  714311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  714314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  714322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  714325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  714331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714357 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  714360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714379 */     GIR_RootConstrainSelectedInstOperands,
     /*  714380 */     // GIR_Coverage, 19546,
     /*  714380 */     GIR_EraseRootFromParent_Done,
     /*  714381 */   // Label 11245: @714381
     /*  714381 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(714456), // Rule ID 19547 //
     /*  714386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  714389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  714397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  714400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  714406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  714435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714454 */     GIR_RootConstrainSelectedInstOperands,
     /*  714455 */     // GIR_Coverage, 19547,
     /*  714455 */     GIR_EraseRootFromParent_Done,
     /*  714456 */   // Label 11246: @714456
     /*  714456 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(714531), // Rule ID 19550 //
     /*  714461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  714464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714507 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  714510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714529 */     GIR_RootConstrainSelectedInstOperands,
     /*  714530 */     // GIR_Coverage, 19550,
     /*  714530 */     GIR_EraseRootFromParent_Done,
     /*  714531 */   // Label 11247: @714531
     /*  714531 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(714606), // Rule ID 19551 //
     /*  714536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  714539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  714547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  714550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  714553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  714556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  714585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714604 */     GIR_RootConstrainSelectedInstOperands,
     /*  714605 */     // GIR_Coverage, 19551,
     /*  714605 */     GIR_EraseRootFromParent_Done,
     /*  714606 */   // Label 11248: @714606
     /*  714606 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(714681), // Rule ID 19554 //
     /*  714611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  714614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714657 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  714660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714679 */     GIR_RootConstrainSelectedInstOperands,
     /*  714680 */     // GIR_Coverage, 19554,
     /*  714680 */     GIR_EraseRootFromParent_Done,
     /*  714681 */   // Label 11249: @714681
     /*  714681 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(714756), // Rule ID 19555 //
     /*  714686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  714689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  714697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  714700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  714703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  714706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  714735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714754 */     GIR_RootConstrainSelectedInstOperands,
     /*  714755 */     // GIR_Coverage, 19555,
     /*  714755 */     GIR_EraseRootFromParent_Done,
     /*  714756 */   // Label 11250: @714756
     /*  714756 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(714831), // Rule ID 19558 //
     /*  714761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  714764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714807 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  714807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  714810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714829 */     GIR_RootConstrainSelectedInstOperands,
     /*  714830 */     // GIR_Coverage, 19558,
     /*  714830 */     GIR_EraseRootFromParent_Done,
     /*  714831 */   // Label 11251: @714831
     /*  714831 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(714906), // Rule ID 19559 //
     /*  714836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  714839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  714847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  714850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  714853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  714856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714882 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  714882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  714885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  714901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714904 */     GIR_RootConstrainSelectedInstOperands,
     /*  714905 */     // GIR_Coverage, 19559,
     /*  714905 */     GIR_EraseRootFromParent_Done,
     /*  714906 */   // Label 11252: @714906
     /*  714906 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(714981), // Rule ID 19562 //
     /*  714911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  714914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  714931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  714950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714957 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  714960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714979 */     GIR_RootConstrainSelectedInstOperands,
     /*  714980 */     // GIR_Coverage, 19562,
     /*  714980 */     GIR_EraseRootFromParent_Done,
     /*  714981 */   // Label 11253: @714981
     /*  714981 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(715056), // Rule ID 19563 //
     /*  714986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  714989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  714994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  715000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  715003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  715035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715054 */     GIR_RootConstrainSelectedInstOperands,
     /*  715055 */     // GIR_Coverage, 19563,
     /*  715055 */     GIR_EraseRootFromParent_Done,
     /*  715056 */   // Label 11254: @715056
     /*  715056 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(715131), // Rule ID 19566 //
     /*  715061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  715064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  715072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  715075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  715110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715129 */     GIR_RootConstrainSelectedInstOperands,
     /*  715130 */     // GIR_Coverage, 19566,
     /*  715130 */     GIR_EraseRootFromParent_Done,
     /*  715131 */   // Label 11255: @715131
     /*  715131 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(715206), // Rule ID 19567 //
     /*  715136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  715139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  715147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  715150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715182 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  715185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715204 */     GIR_RootConstrainSelectedInstOperands,
     /*  715205 */     // GIR_Coverage, 19567,
     /*  715205 */     GIR_EraseRootFromParent_Done,
     /*  715206 */   // Label 11256: @715206
     /*  715206 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(715281), // Rule ID 19570 //
     /*  715211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  715214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  715250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715257 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  715260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715279 */     GIR_RootConstrainSelectedInstOperands,
     /*  715280 */     // GIR_Coverage, 19570,
     /*  715280 */     GIR_EraseRootFromParent_Done,
     /*  715281 */   // Label 11257: @715281
     /*  715281 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(715356), // Rule ID 19571 //
     /*  715286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  715289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  715325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715332 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  715335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715354 */     GIR_RootConstrainSelectedInstOperands,
     /*  715355 */     // GIR_Coverage, 19571,
     /*  715355 */     GIR_EraseRootFromParent_Done,
     /*  715356 */   // Label 11258: @715356
     /*  715356 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(715431), // Rule ID 19574 //
     /*  715361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  715364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715407 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  715410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715429 */     GIR_RootConstrainSelectedInstOperands,
     /*  715430 */     // GIR_Coverage, 19574,
     /*  715430 */     GIR_EraseRootFromParent_Done,
     /*  715431 */   // Label 11259: @715431
     /*  715431 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(715506), // Rule ID 19575 //
     /*  715436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  715439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715482 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10903:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  715485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715504 */     GIR_RootConstrainSelectedInstOperands,
     /*  715505 */     // GIR_Coverage, 19575,
     /*  715505 */     GIR_EraseRootFromParent_Done,
     /*  715506 */   // Label 11260: @715506
     /*  715506 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(715581), // Rule ID 19578 //
     /*  715511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  715514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  715550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715557 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  715560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715579 */     GIR_RootConstrainSelectedInstOperands,
     /*  715580 */     // GIR_Coverage, 19578,
     /*  715580 */     GIR_EraseRootFromParent_Done,
     /*  715581 */   // Label 11261: @715581
     /*  715581 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(715656), // Rule ID 19579 //
     /*  715586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  715589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  715625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715632 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10903:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  715635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715654 */     GIR_RootConstrainSelectedInstOperands,
     /*  715655 */     // GIR_Coverage, 19579,
     /*  715655 */     GIR_EraseRootFromParent_Done,
     /*  715656 */   // Label 11262: @715656
     /*  715656 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(715731), // Rule ID 19582 //
     /*  715661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  715664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  715700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715707 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  715707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  715710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715729 */     GIR_RootConstrainSelectedInstOperands,
     /*  715730 */     // GIR_Coverage, 19582,
     /*  715730 */     GIR_EraseRootFromParent_Done,
     /*  715731 */   // Label 11263: @715731
     /*  715731 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(715806), // Rule ID 19583 //
     /*  715736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  715739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  715747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  715750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  715753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  715775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715782 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10903:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  715782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  715785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  715801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715804 */     GIR_RootConstrainSelectedInstOperands,
     /*  715805 */     // GIR_Coverage, 19583,
     /*  715805 */     GIR_EraseRootFromParent_Done,
     /*  715806 */   // Label 11264: @715806
     /*  715806 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(715881), // Rule ID 19586 //
     /*  715811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  715814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715857 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  715860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715879 */     GIR_RootConstrainSelectedInstOperands,
     /*  715880 */     // GIR_Coverage, 19586,
     /*  715880 */     GIR_EraseRootFromParent_Done,
     /*  715881 */   // Label 11265: @715881
     /*  715881 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(715956), // Rule ID 19587 //
     /*  715886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  715889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  715897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  715900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  715903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  715925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  715935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715954 */     GIR_RootConstrainSelectedInstOperands,
     /*  715955 */     // GIR_Coverage, 19587,
     /*  715955 */     GIR_EraseRootFromParent_Done,
     /*  715956 */   // Label 11266: @715956
     /*  715956 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(716031), // Rule ID 19590 //
     /*  715961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  715964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  715969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  715972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  715975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  715978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  715981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  716000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716007 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  716010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716029 */     GIR_RootConstrainSelectedInstOperands,
     /*  716030 */     // GIR_Coverage, 19590,
     /*  716030 */     GIR_EraseRootFromParent_Done,
     /*  716031 */   // Label 11267: @716031
     /*  716031 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(716106), // Rule ID 19591 //
     /*  716036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  716039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  716047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  716050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  716053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  716056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  716075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  716085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716104 */     GIR_RootConstrainSelectedInstOperands,
     /*  716105 */     // GIR_Coverage, 19591,
     /*  716105 */     GIR_EraseRootFromParent_Done,
     /*  716106 */   // Label 11268: @716106
     /*  716106 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(716181), // Rule ID 19594 //
     /*  716111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  716114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  716131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  716150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716157 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  716160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716179 */     GIR_RootConstrainSelectedInstOperands,
     /*  716180 */     // GIR_Coverage, 19594,
     /*  716180 */     GIR_EraseRootFromParent_Done,
     /*  716181 */   // Label 11269: @716181
     /*  716181 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(716256), // Rule ID 19595 //
     /*  716186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  716189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  716206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  716225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  716235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716254 */     GIR_RootConstrainSelectedInstOperands,
     /*  716255 */     // GIR_Coverage, 19595,
     /*  716255 */     GIR_EraseRootFromParent_Done,
     /*  716256 */   // Label 11270: @716256
     /*  716256 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(716331), // Rule ID 19598 //
     /*  716261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  716264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  716310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716329 */     GIR_RootConstrainSelectedInstOperands,
     /*  716330 */     // GIR_Coverage, 19598,
     /*  716330 */     GIR_EraseRootFromParent_Done,
     /*  716331 */   // Label 11271: @716331
     /*  716331 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(716406), // Rule ID 19599 //
     /*  716336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  716339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  716385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716404 */     GIR_RootConstrainSelectedInstOperands,
     /*  716405 */     // GIR_Coverage, 19599,
     /*  716405 */     GIR_EraseRootFromParent_Done,
     /*  716406 */   // Label 11272: @716406
     /*  716406 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(716481), // Rule ID 19602 //
     /*  716411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  716414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  716460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716479 */     GIR_RootConstrainSelectedInstOperands,
     /*  716480 */     // GIR_Coverage, 19602,
     /*  716480 */     GIR_EraseRootFromParent_Done,
     /*  716481 */   // Label 11273: @716481
     /*  716481 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(716556), // Rule ID 19603 //
     /*  716486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  716489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  716535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716554 */     GIR_RootConstrainSelectedInstOperands,
     /*  716555 */     // GIR_Coverage, 19603,
     /*  716555 */     GIR_EraseRootFromParent_Done,
     /*  716556 */   // Label 11274: @716556
     /*  716556 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(716631), // Rule ID 19606 //
     /*  716561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  716564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716607 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  716610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716629 */     GIR_RootConstrainSelectedInstOperands,
     /*  716630 */     // GIR_Coverage, 19606,
     /*  716630 */     GIR_EraseRootFromParent_Done,
     /*  716631 */   // Label 11275: @716631
     /*  716631 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(716706), // Rule ID 19607 //
     /*  716636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  716639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  716675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  716685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716704 */     GIR_RootConstrainSelectedInstOperands,
     /*  716705 */     // GIR_Coverage, 19607,
     /*  716705 */     GIR_EraseRootFromParent_Done,
     /*  716706 */   // Label 11276: @716706
     /*  716706 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(716781), // Rule ID 19610 //
     /*  716711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  716714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  716750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  716760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716779 */     GIR_RootConstrainSelectedInstOperands,
     /*  716780 */     // GIR_Coverage, 19610,
     /*  716780 */     GIR_EraseRootFromParent_Done,
     /*  716781 */   // Label 11277: @716781
     /*  716781 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(716856), // Rule ID 19611 //
     /*  716786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  716789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  716797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  716800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  716803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  716825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10903:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  716835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716854 */     GIR_RootConstrainSelectedInstOperands,
     /*  716855 */     // GIR_Coverage, 19611,
     /*  716855 */     GIR_EraseRootFromParent_Done,
     /*  716856 */   // Label 11278: @716856
     /*  716856 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(716931), // Rule ID 19614 //
     /*  716861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  716864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  716900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  716907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  716910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  716926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716929 */     GIR_RootConstrainSelectedInstOperands,
     /*  716930 */     // GIR_Coverage, 19614,
     /*  716930 */     GIR_EraseRootFromParent_Done,
     /*  716931 */   // Label 11279: @716931
     /*  716931 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(717006), // Rule ID 19615 //
     /*  716936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  716939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  716944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  716947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  716950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  716953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  716975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10903:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  716982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  716985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717004 */     GIR_RootConstrainSelectedInstOperands,
     /*  717005 */     // GIR_Coverage, 19615,
     /*  717005 */     GIR_EraseRootFromParent_Done,
     /*  717006 */   // Label 11280: @717006
     /*  717006 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(717081), // Rule ID 19618 //
     /*  717011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  717014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  717019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  717050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717057 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  717060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717079 */     GIR_RootConstrainSelectedInstOperands,
     /*  717080 */     // GIR_Coverage, 19618,
     /*  717080 */     GIR_EraseRootFromParent_Done,
     /*  717081 */   // Label 11281: @717081
     /*  717081 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(717156), // Rule ID 19619 //
     /*  717086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  717089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  717094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  717125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717132 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10903:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  717135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717154 */     GIR_RootConstrainSelectedInstOperands,
     /*  717155 */     // GIR_Coverage, 19619,
     /*  717155 */     GIR_EraseRootFromParent_Done,
     /*  717156 */   // Label 11282: @717156
     /*  717156 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(717231), // Rule ID 21836 //
     /*  717161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  717178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  717210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717229 */     GIR_RootConstrainSelectedInstOperands,
     /*  717230 */     // GIR_Coverage, 21836,
     /*  717230 */     GIR_EraseRootFromParent_Done,
     /*  717231 */   // Label 11283: @717231
     /*  717231 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(717306), // Rule ID 21837 //
     /*  717236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  717253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  717285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717304 */     GIR_RootConstrainSelectedInstOperands,
     /*  717305 */     // GIR_Coverage, 21837,
     /*  717305 */     GIR_EraseRootFromParent_Done,
     /*  717306 */   // Label 11284: @717306
     /*  717306 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(717381), // Rule ID 21840 //
     /*  717311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  717328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  717360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717379 */     GIR_RootConstrainSelectedInstOperands,
     /*  717380 */     // GIR_Coverage, 21840,
     /*  717380 */     GIR_EraseRootFromParent_Done,
     /*  717381 */   // Label 11285: @717381
     /*  717381 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(717456), // Rule ID 21841 //
     /*  717386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  717403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  717432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  717435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717454 */     GIR_RootConstrainSelectedInstOperands,
     /*  717455 */     // GIR_Coverage, 21841,
     /*  717455 */     GIR_EraseRootFromParent_Done,
     /*  717456 */   // Label 11286: @717456
     /*  717456 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(717531), // Rule ID 21844 //
     /*  717461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  717478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  717510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717529 */     GIR_RootConstrainSelectedInstOperands,
     /*  717530 */     // GIR_Coverage, 21844,
     /*  717530 */     GIR_EraseRootFromParent_Done,
     /*  717531 */   // Label 11287: @717531
     /*  717531 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(717606), // Rule ID 21845 //
     /*  717536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  717553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  717585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717604 */     GIR_RootConstrainSelectedInstOperands,
     /*  717605 */     // GIR_Coverage, 21845,
     /*  717605 */     GIR_EraseRootFromParent_Done,
     /*  717606 */   // Label 11288: @717606
     /*  717606 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(717681), // Rule ID 21848 //
     /*  717611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  717628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  717657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  717660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717679 */     GIR_RootConstrainSelectedInstOperands,
     /*  717680 */     // GIR_Coverage, 21848,
     /*  717680 */     GIR_EraseRootFromParent_Done,
     /*  717681 */   // Label 11289: @717681
     /*  717681 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(717756), // Rule ID 21849 //
     /*  717686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  717697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  717700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  717703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  717706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  717732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  717735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  717751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717754 */     GIR_RootConstrainSelectedInstOperands,
     /*  717755 */     // GIR_Coverage, 21849,
     /*  717755 */     GIR_EraseRootFromParent_Done,
     /*  717756 */   // Label 11290: @717756
     /*  717756 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(717831), // Rule ID 21852 //
     /*  717761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  717778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  717810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717829 */     GIR_RootConstrainSelectedInstOperands,
     /*  717830 */     // GIR_Coverage, 21852,
     /*  717830 */     GIR_EraseRootFromParent_Done,
     /*  717831 */   // Label 11291: @717831
     /*  717831 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(717906), // Rule ID 21853 //
     /*  717836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  717847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  717850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  717853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  717856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  717885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717904 */     GIR_RootConstrainSelectedInstOperands,
     /*  717905 */     // GIR_Coverage, 21853,
     /*  717905 */     GIR_EraseRootFromParent_Done,
     /*  717906 */   // Label 11292: @717906
     /*  717906 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(717981), // Rule ID 21856 //
     /*  717911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  717914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  717925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  717928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  717931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  717957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  717960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  717964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  717976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717979 */     GIR_RootConstrainSelectedInstOperands,
     /*  717980 */     // GIR_Coverage, 21856,
     /*  717980 */     GIR_EraseRootFromParent_Done,
     /*  717981 */   // Label 11293: @717981
     /*  717981 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(718056), // Rule ID 21857 //
     /*  717986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  717994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  717997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  718003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  718035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718054 */     GIR_RootConstrainSelectedInstOperands,
     /*  718055 */     // GIR_Coverage, 21857,
     /*  718055 */     GIR_EraseRootFromParent_Done,
     /*  718056 */   // Label 11294: @718056
     /*  718056 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(718131), // Rule ID 21860 //
     /*  718061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  718078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  718107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  718110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718129 */     GIR_RootConstrainSelectedInstOperands,
     /*  718130 */     // GIR_Coverage, 21860,
     /*  718130 */     GIR_EraseRootFromParent_Done,
     /*  718131 */   // Label 11295: @718131
     /*  718131 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(718206), // Rule ID 21861 //
     /*  718136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  718153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  718182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  718185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  718201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718204 */     GIR_RootConstrainSelectedInstOperands,
     /*  718205 */     // GIR_Coverage, 21861,
     /*  718205 */     GIR_EraseRootFromParent_Done,
     /*  718206 */   // Label 11296: @718206
     /*  718206 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(718281), // Rule ID 21864 //
     /*  718211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  718222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  718225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  718228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  718231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  718257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  718260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718279 */     GIR_RootConstrainSelectedInstOperands,
     /*  718280 */     // GIR_Coverage, 21864,
     /*  718280 */     GIR_EraseRootFromParent_Done,
     /*  718281 */   // Label 11297: @718281
     /*  718281 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(718356), // Rule ID 21865 //
     /*  718286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  718297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  718300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  718303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  718306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  718332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  718335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  718351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718354 */     GIR_RootConstrainSelectedInstOperands,
     /*  718355 */     // GIR_Coverage, 21865,
     /*  718355 */     GIR_EraseRootFromParent_Done,
     /*  718356 */   // Label 11298: @718356
     /*  718356 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(718431), // Rule ID 21868 //
     /*  718361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  718364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  718410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718429 */     GIR_RootConstrainSelectedInstOperands,
     /*  718430 */     // GIR_Coverage, 21868,
     /*  718430 */     GIR_EraseRootFromParent_Done,
     /*  718431 */   // Label 11299: @718431
     /*  718431 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(718506), // Rule ID 21869 //
     /*  718436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  718439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  718485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718504 */     GIR_RootConstrainSelectedInstOperands,
     /*  718505 */     // GIR_Coverage, 21869,
     /*  718505 */     GIR_EraseRootFromParent_Done,
     /*  718506 */   // Label 11300: @718506
     /*  718506 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(718581), // Rule ID 21872 //
     /*  718511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  718528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  718560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718579 */     GIR_RootConstrainSelectedInstOperands,
     /*  718580 */     // GIR_Coverage, 21872,
     /*  718580 */     GIR_EraseRootFromParent_Done,
     /*  718581 */   // Label 11301: @718581
     /*  718581 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(718656), // Rule ID 21873 //
     /*  718586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  718603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  718635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718654 */     GIR_RootConstrainSelectedInstOperands,
     /*  718655 */     // GIR_Coverage, 21873,
     /*  718655 */     GIR_EraseRootFromParent_Done,
     /*  718656 */   // Label 11302: @718656
     /*  718656 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(718731), // Rule ID 21876 //
     /*  718661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  718678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  718710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718729 */     GIR_RootConstrainSelectedInstOperands,
     /*  718730 */     // GIR_Coverage, 21876,
     /*  718730 */     GIR_EraseRootFromParent_Done,
     /*  718731 */   // Label 11303: @718731
     /*  718731 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(718806), // Rule ID 21877 //
     /*  718736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  718753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  718785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718804 */     GIR_RootConstrainSelectedInstOperands,
     /*  718805 */     // GIR_Coverage, 21877,
     /*  718805 */     GIR_EraseRootFromParent_Done,
     /*  718806 */   // Label 11304: @718806
     /*  718806 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(718881), // Rule ID 21880 //
     /*  718811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  718828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  718857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  718860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718879 */     GIR_RootConstrainSelectedInstOperands,
     /*  718880 */     // GIR_Coverage, 21880,
     /*  718880 */     GIR_EraseRootFromParent_Done,
     /*  718881 */   // Label 11305: @718881
     /*  718881 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(718956), // Rule ID 21881 //
     /*  718886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  718889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  718897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  718900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  718903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  718906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  718932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  718935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  718939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  718951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718954 */     GIR_RootConstrainSelectedInstOperands,
     /*  718955 */     // GIR_Coverage, 21881,
     /*  718955 */     GIR_EraseRootFromParent_Done,
     /*  718956 */   // Label 11306: @718956
     /*  718956 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(719031), // Rule ID 21884 //
     /*  718961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  718964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  718969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  718972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  718975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  718978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  718981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  719010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719029 */     GIR_RootConstrainSelectedInstOperands,
     /*  719030 */     // GIR_Coverage, 21884,
     /*  719030 */     GIR_EraseRootFromParent_Done,
     /*  719031 */   // Label 11307: @719031
     /*  719031 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(719106), // Rule ID 21885 //
     /*  719036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  719053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  719085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719104 */     GIR_RootConstrainSelectedInstOperands,
     /*  719105 */     // GIR_Coverage, 21885,
     /*  719105 */     GIR_EraseRootFromParent_Done,
     /*  719106 */   // Label 11308: @719106
     /*  719106 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(719181), // Rule ID 21888 //
     /*  719111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  719128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  719160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719179 */     GIR_RootConstrainSelectedInstOperands,
     /*  719180 */     // GIR_Coverage, 21888,
     /*  719180 */     GIR_EraseRootFromParent_Done,
     /*  719181 */   // Label 11309: @719181
     /*  719181 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(719256), // Rule ID 21889 //
     /*  719186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  719203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  719235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719254 */     GIR_RootConstrainSelectedInstOperands,
     /*  719255 */     // GIR_Coverage, 21889,
     /*  719255 */     GIR_EraseRootFromParent_Done,
     /*  719256 */   // Label 11310: @719256
     /*  719256 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(719331), // Rule ID 21892 //
     /*  719261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  719278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  719307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  719310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719329 */     GIR_RootConstrainSelectedInstOperands,
     /*  719330 */     // GIR_Coverage, 21892,
     /*  719330 */     GIR_EraseRootFromParent_Done,
     /*  719331 */   // Label 11311: @719331
     /*  719331 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(719406), // Rule ID 21893 //
     /*  719336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  719347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  719350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  719353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  719356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  719382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  719385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  719401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719404 */     GIR_RootConstrainSelectedInstOperands,
     /*  719405 */     // GIR_Coverage, 21893,
     /*  719405 */     GIR_EraseRootFromParent_Done,
     /*  719406 */   // Label 11312: @719406
     /*  719406 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(719481), // Rule ID 21896 //
     /*  719411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  719428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  719460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719479 */     GIR_RootConstrainSelectedInstOperands,
     /*  719480 */     // GIR_Coverage, 21896,
     /*  719480 */     GIR_EraseRootFromParent_Done,
     /*  719481 */   // Label 11313: @719481
     /*  719481 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(719556), // Rule ID 21897 //
     /*  719486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  719503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  719535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719554 */     GIR_RootConstrainSelectedInstOperands,
     /*  719555 */     // GIR_Coverage, 21897,
     /*  719555 */     GIR_EraseRootFromParent_Done,
     /*  719556 */   // Label 11314: @719556
     /*  719556 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(719631), // Rule ID 21900 //
     /*  719561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  719578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  719610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719629 */     GIR_RootConstrainSelectedInstOperands,
     /*  719630 */     // GIR_Coverage, 21900,
     /*  719630 */     GIR_EraseRootFromParent_Done,
     /*  719631 */   // Label 11315: @719631
     /*  719631 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(719706), // Rule ID 21901 //
     /*  719636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  719653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  719685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719704 */     GIR_RootConstrainSelectedInstOperands,
     /*  719705 */     // GIR_Coverage, 21901,
     /*  719705 */     GIR_EraseRootFromParent_Done,
     /*  719706 */   // Label 11316: @719706
     /*  719706 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(719781), // Rule ID 21904 //
     /*  719711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  719714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  719728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  719757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  719760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719779 */     GIR_RootConstrainSelectedInstOperands,
     /*  719780 */     // GIR_Coverage, 21904,
     /*  719780 */     GIR_EraseRootFromParent_Done,
     /*  719781 */   // Label 11317: @719781
     /*  719781 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(719856), // Rule ID 21905 //
     /*  719786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  719789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  719797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  719800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  719803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  719806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  719832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  719835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  719851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719854 */     GIR_RootConstrainSelectedInstOperands,
     /*  719855 */     // GIR_Coverage, 21905,
     /*  719855 */     GIR_EraseRootFromParent_Done,
     /*  719856 */   // Label 11318: @719856
     /*  719856 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(719931), // Rule ID 21908 //
     /*  719861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  719864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  719910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719929 */     GIR_RootConstrainSelectedInstOperands,
     /*  719930 */     // GIR_Coverage, 21908,
     /*  719930 */     GIR_EraseRootFromParent_Done,
     /*  719931 */   // Label 11319: @719931
     /*  719931 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(720006), // Rule ID 21909 //
     /*  719936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  719939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  719944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  719985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  719989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720004 */     GIR_RootConstrainSelectedInstOperands,
     /*  720005 */     // GIR_Coverage, 21909,
     /*  720005 */     GIR_EraseRootFromParent_Done,
     /*  720006 */   // Label 11320: @720006
     /*  720006 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(720081), // Rule ID 21912 //
     /*  720011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  720019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  720031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720057 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  720060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720079 */     GIR_RootConstrainSelectedInstOperands,
     /*  720080 */     // GIR_Coverage, 21912,
     /*  720080 */     GIR_EraseRootFromParent_Done,
     /*  720081 */   // Label 11321: @720081
     /*  720081 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(720156), // Rule ID 21913 //
     /*  720086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  720094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  720106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  720135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720154 */     GIR_RootConstrainSelectedInstOperands,
     /*  720155 */     // GIR_Coverage, 21913,
     /*  720155 */     GIR_EraseRootFromParent_Done,
     /*  720156 */   // Label 11322: @720156
     /*  720156 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(720231), // Rule ID 21916 //
     /*  720161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  720164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  720169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  720181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  720210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720229 */     GIR_RootConstrainSelectedInstOperands,
     /*  720230 */     // GIR_Coverage, 21916,
     /*  720230 */     GIR_EraseRootFromParent_Done,
     /*  720231 */   // Label 11323: @720231
     /*  720231 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(720306), // Rule ID 21917 //
     /*  720236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  720239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  720244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  720256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  720285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720304 */     GIR_RootConstrainSelectedInstOperands,
     /*  720305 */     // GIR_Coverage, 21917,
     /*  720305 */     GIR_EraseRootFromParent_Done,
     /*  720306 */   // Label 11324: @720306
     /*  720306 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(720381), // Rule ID 21920 //
     /*  720311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  720360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720379 */     GIR_RootConstrainSelectedInstOperands,
     /*  720380 */     // GIR_Coverage, 21920,
     /*  720380 */     GIR_EraseRootFromParent_Done,
     /*  720381 */   // Label 11325: @720381
     /*  720381 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(720456), // Rule ID 21921 //
     /*  720386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  720435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720454 */     GIR_RootConstrainSelectedInstOperands,
     /*  720455 */     // GIR_Coverage, 21921,
     /*  720455 */     GIR_EraseRootFromParent_Done,
     /*  720456 */   // Label 11326: @720456
     /*  720456 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(720531), // Rule ID 21924 //
     /*  720461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  720510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720529 */     GIR_RootConstrainSelectedInstOperands,
     /*  720530 */     // GIR_Coverage, 21924,
     /*  720530 */     GIR_EraseRootFromParent_Done,
     /*  720531 */   // Label 11327: @720531
     /*  720531 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(720606), // Rule ID 21925 //
     /*  720536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  720585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720604 */     GIR_RootConstrainSelectedInstOperands,
     /*  720605 */     // GIR_Coverage, 21925,
     /*  720605 */     GIR_EraseRootFromParent_Done,
     /*  720606 */   // Label 11328: @720606
     /*  720606 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(720681), // Rule ID 21928 //
     /*  720611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  720660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720679 */     GIR_RootConstrainSelectedInstOperands,
     /*  720680 */     // GIR_Coverage, 21928,
     /*  720680 */     GIR_EraseRootFromParent_Done,
     /*  720681 */   // Label 11329: @720681
     /*  720681 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(720756), // Rule ID 21929 //
     /*  720686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  720697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  720700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  720703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  720706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  720735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720754 */     GIR_RootConstrainSelectedInstOperands,
     /*  720755 */     // GIR_Coverage, 21929,
     /*  720755 */     GIR_EraseRootFromParent_Done,
     /*  720756 */   // Label 11330: @720756
     /*  720756 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(720831), // Rule ID 21932 //
     /*  720761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  720810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720829 */     GIR_RootConstrainSelectedInstOperands,
     /*  720830 */     // GIR_Coverage, 21932,
     /*  720830 */     GIR_EraseRootFromParent_Done,
     /*  720831 */   // Label 11331: @720831
     /*  720831 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(720906), // Rule ID 21933 //
     /*  720836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  720853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  720882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  720885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720904 */     GIR_RootConstrainSelectedInstOperands,
     /*  720905 */     // GIR_Coverage, 21933,
     /*  720905 */     GIR_EraseRootFromParent_Done,
     /*  720906 */   // Label 11332: @720906
     /*  720906 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(720981), // Rule ID 21936 //
     /*  720911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  720925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  720928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  720931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  720957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  720960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  720964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  720976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720979 */     GIR_RootConstrainSelectedInstOperands,
     /*  720980 */     // GIR_Coverage, 21936,
     /*  720980 */     GIR_EraseRootFromParent_Done,
     /*  720981 */   // Label 11333: @720981
     /*  720981 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(721056), // Rule ID 21937 //
     /*  720986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  720994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  720997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  721003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  721035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721054 */     GIR_RootConstrainSelectedInstOperands,
     /*  721055 */     // GIR_Coverage, 21937,
     /*  721055 */     GIR_EraseRootFromParent_Done,
     /*  721056 */   // Label 11334: @721056
     /*  721056 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(721131), // Rule ID 21940 //
     /*  721061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  721110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721129 */     GIR_RootConstrainSelectedInstOperands,
     /*  721130 */     // GIR_Coverage, 21940,
     /*  721130 */     GIR_EraseRootFromParent_Done,
     /*  721131 */   // Label 11335: @721131
     /*  721131 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(721206), // Rule ID 21941 //
     /*  721136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  721185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721204 */     GIR_RootConstrainSelectedInstOperands,
     /*  721205 */     // GIR_Coverage, 21941,
     /*  721205 */     GIR_EraseRootFromParent_Done,
     /*  721206 */   // Label 11336: @721206
     /*  721206 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(721281), // Rule ID 21944 //
     /*  721211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  721260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721279 */     GIR_RootConstrainSelectedInstOperands,
     /*  721280 */     // GIR_Coverage, 21944,
     /*  721280 */     GIR_EraseRootFromParent_Done,
     /*  721281 */   // Label 11337: @721281
     /*  721281 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(721356), // Rule ID 21945 //
     /*  721286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  721335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721354 */     GIR_RootConstrainSelectedInstOperands,
     /*  721355 */     // GIR_Coverage, 21945,
     /*  721355 */     GIR_EraseRootFromParent_Done,
     /*  721356 */   // Label 11338: @721356
     /*  721356 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(721431), // Rule ID 21948 //
     /*  721361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  721410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721429 */     GIR_RootConstrainSelectedInstOperands,
     /*  721430 */     // GIR_Coverage, 21948,
     /*  721430 */     GIR_EraseRootFromParent_Done,
     /*  721431 */   // Label 11339: @721431
     /*  721431 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(721506), // Rule ID 21949 //
     /*  721436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  721485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721504 */     GIR_RootConstrainSelectedInstOperands,
     /*  721505 */     // GIR_Coverage, 21949,
     /*  721505 */     GIR_EraseRootFromParent_Done,
     /*  721506 */   // Label 11340: @721506
     /*  721506 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(721581), // Rule ID 21952 //
     /*  721511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  721560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721579 */     GIR_RootConstrainSelectedInstOperands,
     /*  721580 */     // GIR_Coverage, 21952,
     /*  721580 */     GIR_EraseRootFromParent_Done,
     /*  721581 */   // Label 11341: @721581
     /*  721581 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(721656), // Rule ID 21953 //
     /*  721586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  721635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721654 */     GIR_RootConstrainSelectedInstOperands,
     /*  721655 */     // GIR_Coverage, 21953,
     /*  721655 */     GIR_EraseRootFromParent_Done,
     /*  721656 */   // Label 11342: @721656
     /*  721656 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(721731), // Rule ID 21956 //
     /*  721661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  721664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  721707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  721710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721729 */     GIR_RootConstrainSelectedInstOperands,
     /*  721730 */     // GIR_Coverage, 21956,
     /*  721730 */     GIR_EraseRootFromParent_Done,
     /*  721731 */   // Label 11343: @721731
     /*  721731 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(721806), // Rule ID 21957 //
     /*  721736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  721739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  721747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  721750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  721753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  721756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  721782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  721785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  721801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721804 */     GIR_RootConstrainSelectedInstOperands,
     /*  721805 */     // GIR_Coverage, 21957,
     /*  721805 */     GIR_EraseRootFromParent_Done,
     /*  721806 */   // Label 11344: @721806
     /*  721806 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(721881), // Rule ID 21960 //
     /*  721811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  721860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721879 */     GIR_RootConstrainSelectedInstOperands,
     /*  721880 */     // GIR_Coverage, 21960,
     /*  721880 */     GIR_EraseRootFromParent_Done,
     /*  721881 */   // Label 11345: @721881
     /*  721881 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(721956), // Rule ID 21961 //
     /*  721886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  721903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  721921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  721935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  721939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721954 */     GIR_RootConstrainSelectedInstOperands,
     /*  721955 */     // GIR_Coverage, 21961,
     /*  721955 */     GIR_EraseRootFromParent_Done,
     /*  721956 */   // Label 11346: @721956
     /*  721956 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(722031), // Rule ID 21964 //
     /*  721961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  721969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  721978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  721996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  722010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722029 */     GIR_RootConstrainSelectedInstOperands,
     /*  722030 */     // GIR_Coverage, 21964,
     /*  722030 */     GIR_EraseRootFromParent_Done,
     /*  722031 */   // Label 11347: @722031
     /*  722031 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(722106), // Rule ID 21965 //
     /*  722036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  722053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  722085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722104 */     GIR_RootConstrainSelectedInstOperands,
     /*  722105 */     // GIR_Coverage, 21965,
     /*  722105 */     GIR_EraseRootFromParent_Done,
     /*  722106 */   // Label 11348: @722106
     /*  722106 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(722181), // Rule ID 21968 //
     /*  722111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  722160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722179 */     GIR_RootConstrainSelectedInstOperands,
     /*  722180 */     // GIR_Coverage, 21968,
     /*  722180 */     GIR_EraseRootFromParent_Done,
     /*  722181 */   // Label 11349: @722181
     /*  722181 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(722256), // Rule ID 21969 //
     /*  722186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  722197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  722200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  722206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11131:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  722235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722254 */     GIR_RootConstrainSelectedInstOperands,
     /*  722255 */     // GIR_Coverage, 21969,
     /*  722255 */     GIR_EraseRootFromParent_Done,
     /*  722256 */   // Label 11350: @722256
     /*  722256 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(722331), // Rule ID 21972 //
     /*  722261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  722310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722329 */     GIR_RootConstrainSelectedInstOperands,
     /*  722330 */     // GIR_Coverage, 21972,
     /*  722330 */     GIR_EraseRootFromParent_Done,
     /*  722331 */   // Label 11351: @722331
     /*  722331 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(722406), // Rule ID 21973 //
     /*  722336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  722385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722404 */     GIR_RootConstrainSelectedInstOperands,
     /*  722405 */     // GIR_Coverage, 21973,
     /*  722405 */     GIR_EraseRootFromParent_Done,
     /*  722406 */   // Label 11352: @722406
     /*  722406 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(722481), // Rule ID 21976 //
     /*  722411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  722460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722479 */     GIR_RootConstrainSelectedInstOperands,
     /*  722480 */     // GIR_Coverage, 21976,
     /*  722480 */     GIR_EraseRootFromParent_Done,
     /*  722481 */   // Label 11353: @722481
     /*  722481 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(722556), // Rule ID 21977 //
     /*  722486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  722535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722554 */     GIR_RootConstrainSelectedInstOperands,
     /*  722555 */     // GIR_Coverage, 21977,
     /*  722555 */     GIR_EraseRootFromParent_Done,
     /*  722556 */   // Label 11354: @722556
     /*  722556 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(722631), // Rule ID 21980 //
     /*  722561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  722610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722629 */     GIR_RootConstrainSelectedInstOperands,
     /*  722630 */     // GIR_Coverage, 21980,
     /*  722630 */     GIR_EraseRootFromParent_Done,
     /*  722631 */   // Label 11355: @722631
     /*  722631 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(722706), // Rule ID 21981 //
     /*  722636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  722647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  722650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  722656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11131:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  722685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722704 */     GIR_RootConstrainSelectedInstOperands,
     /*  722705 */     // GIR_Coverage, 21981,
     /*  722705 */     GIR_EraseRootFromParent_Done,
     /*  722706 */   // Label 11356: @722706
     /*  722706 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(722781), // Rule ID 21984 //
     /*  722711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  722760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722779 */     GIR_RootConstrainSelectedInstOperands,
     /*  722780 */     // GIR_Coverage, 21984,
     /*  722780 */     GIR_EraseRootFromParent_Done,
     /*  722781 */   // Label 11357: @722781
     /*  722781 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(722856), // Rule ID 21985 //
     /*  722786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  722803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  722835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722854 */     GIR_RootConstrainSelectedInstOperands,
     /*  722855 */     // GIR_Coverage, 21985,
     /*  722855 */     GIR_EraseRootFromParent_Done,
     /*  722856 */   // Label 11358: @722856
     /*  722856 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(722931), // Rule ID 21988 //
     /*  722861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  722907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  722910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722929 */     GIR_RootConstrainSelectedInstOperands,
     /*  722930 */     // GIR_Coverage, 21988,
     /*  722930 */     GIR_EraseRootFromParent_Done,
     /*  722931 */   // Label 11359: @722931
     /*  722931 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(723006), // Rule ID 21989 //
     /*  722936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  722944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  722953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  722985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  722989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723004 */     GIR_RootConstrainSelectedInstOperands,
     /*  723005 */     // GIR_Coverage, 21989,
     /*  723005 */     GIR_EraseRootFromParent_Done,
     /*  723006 */   // Label 11360: @723006
     /*  723006 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(723081), // Rule ID 21992 //
     /*  723011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  723060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723079 */     GIR_RootConstrainSelectedInstOperands,
     /*  723080 */     // GIR_Coverage, 21992,
     /*  723080 */     GIR_EraseRootFromParent_Done,
     /*  723081 */   // Label 11361: @723081
     /*  723081 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(723156), // Rule ID 21993 //
     /*  723086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  723097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  723100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  723106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  723135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723154 */     GIR_RootConstrainSelectedInstOperands,
     /*  723155 */     // GIR_Coverage, 21993,
     /*  723155 */     GIR_EraseRootFromParent_Done,
     /*  723156 */   // Label 11362: @723156
     /*  723156 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(723231), // Rule ID 21996 //
     /*  723161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  723210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723229 */     GIR_RootConstrainSelectedInstOperands,
     /*  723230 */     // GIR_Coverage, 21996,
     /*  723230 */     GIR_EraseRootFromParent_Done,
     /*  723231 */   // Label 11363: @723231
     /*  723231 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(723306), // Rule ID 21997 //
     /*  723236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  723285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723304 */     GIR_RootConstrainSelectedInstOperands,
     /*  723305 */     // GIR_Coverage, 21997,
     /*  723305 */     GIR_EraseRootFromParent_Done,
     /*  723306 */   // Label 11364: @723306
     /*  723306 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(723381), // Rule ID 22000 //
     /*  723311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  723360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723379 */     GIR_RootConstrainSelectedInstOperands,
     /*  723380 */     // GIR_Coverage, 22000,
     /*  723380 */     GIR_EraseRootFromParent_Done,
     /*  723381 */   // Label 11365: @723381
     /*  723381 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(723456), // Rule ID 22001 //
     /*  723386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  723435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723454 */     GIR_RootConstrainSelectedInstOperands,
     /*  723455 */     // GIR_Coverage, 22001,
     /*  723455 */     GIR_EraseRootFromParent_Done,
     /*  723456 */   // Label 11366: @723456
     /*  723456 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(723531), // Rule ID 22004 //
     /*  723461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  723510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723529 */     GIR_RootConstrainSelectedInstOperands,
     /*  723530 */     // GIR_Coverage, 22004,
     /*  723530 */     GIR_EraseRootFromParent_Done,
     /*  723531 */   // Label 11367: @723531
     /*  723531 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(723606), // Rule ID 22005 //
     /*  723536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  723544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  723547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  723550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  723556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  723585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723604 */     GIR_RootConstrainSelectedInstOperands,
     /*  723605 */     // GIR_Coverage, 22005,
     /*  723605 */     GIR_EraseRootFromParent_Done,
     /*  723606 */   // Label 11368: @723606
     /*  723606 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(723681), // Rule ID 22008 //
     /*  723611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  723660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723679 */     GIR_RootConstrainSelectedInstOperands,
     /*  723680 */     // GIR_Coverage, 22008,
     /*  723680 */     GIR_EraseRootFromParent_Done,
     /*  723681 */   // Label 11369: @723681
     /*  723681 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(723756), // Rule ID 22009 //
     /*  723686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  723703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  723735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723754 */     GIR_RootConstrainSelectedInstOperands,
     /*  723755 */     // GIR_Coverage, 22009,
     /*  723755 */     GIR_EraseRootFromParent_Done,
     /*  723756 */   // Label 11370: @723756
     /*  723756 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(723831), // Rule ID 22012 //
     /*  723761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  723810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723829 */     GIR_RootConstrainSelectedInstOperands,
     /*  723830 */     // GIR_Coverage, 22012,
     /*  723830 */     GIR_EraseRootFromParent_Done,
     /*  723831 */   // Label 11371: @723831
     /*  723831 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(723906), // Rule ID 22013 //
     /*  723836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  723853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  723882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  723885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723904 */     GIR_RootConstrainSelectedInstOperands,
     /*  723905 */     // GIR_Coverage, 22013,
     /*  723905 */     GIR_EraseRootFromParent_Done,
     /*  723906 */   // Label 11372: @723906
     /*  723906 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(723981), // Rule ID 22016 //
     /*  723911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  723925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  723928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  723931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  723950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  723957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  723960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  723964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  723976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723979 */     GIR_RootConstrainSelectedInstOperands,
     /*  723980 */     // GIR_Coverage, 22016,
     /*  723980 */     GIR_EraseRootFromParent_Done,
     /*  723981 */   // Label 11373: @723981
     /*  723981 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(724056), // Rule ID 22017 //
     /*  723986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  723994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  723997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  724003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  724035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724054 */     GIR_RootConstrainSelectedInstOperands,
     /*  724055 */     // GIR_Coverage, 22017,
     /*  724055 */     GIR_EraseRootFromParent_Done,
     /*  724056 */   // Label 11374: @724056
     /*  724056 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(724131), // Rule ID 22020 //
     /*  724061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  724110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724129 */     GIR_RootConstrainSelectedInstOperands,
     /*  724130 */     // GIR_Coverage, 22020,
     /*  724130 */     GIR_EraseRootFromParent_Done,
     /*  724131 */   // Label 11375: @724131
     /*  724131 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(724206), // Rule ID 22021 //
     /*  724136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  724185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724204 */     GIR_RootConstrainSelectedInstOperands,
     /*  724205 */     // GIR_Coverage, 22021,
     /*  724205 */     GIR_EraseRootFromParent_Done,
     /*  724206 */   // Label 11376: @724206
     /*  724206 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(724281), // Rule ID 22024 //
     /*  724211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  724260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724279 */     GIR_RootConstrainSelectedInstOperands,
     /*  724280 */     // GIR_Coverage, 22024,
     /*  724280 */     GIR_EraseRootFromParent_Done,
     /*  724281 */   // Label 11377: @724281
     /*  724281 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(724356), // Rule ID 22025 //
     /*  724286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  724335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724354 */     GIR_RootConstrainSelectedInstOperands,
     /*  724355 */     // GIR_Coverage, 22025,
     /*  724355 */     GIR_EraseRootFromParent_Done,
     /*  724356 */   // Label 11378: @724356
     /*  724356 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(724431), // Rule ID 22028 //
     /*  724361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  724410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724429 */     GIR_RootConstrainSelectedInstOperands,
     /*  724430 */     // GIR_Coverage, 22028,
     /*  724430 */     GIR_EraseRootFromParent_Done,
     /*  724431 */   // Label 11379: @724431
     /*  724431 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(724506), // Rule ID 22029 //
     /*  724436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  724485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724504 */     GIR_RootConstrainSelectedInstOperands,
     /*  724505 */     // GIR_Coverage, 22029,
     /*  724505 */     GIR_EraseRootFromParent_Done,
     /*  724506 */   // Label 11380: @724506
     /*  724506 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(724581), // Rule ID 22032 //
     /*  724511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  724560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724579 */     GIR_RootConstrainSelectedInstOperands,
     /*  724580 */     // GIR_Coverage, 22032,
     /*  724580 */     GIR_EraseRootFromParent_Done,
     /*  724581 */   // Label 11381: @724581
     /*  724581 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(724656), // Rule ID 22033 //
     /*  724586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  724606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  724635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724654 */     GIR_RootConstrainSelectedInstOperands,
     /*  724655 */     // GIR_Coverage, 22033,
     /*  724655 */     GIR_EraseRootFromParent_Done,
     /*  724656 */   // Label 11382: @724656
     /*  724656 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(724731), // Rule ID 22036 //
     /*  724661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  724710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724729 */     GIR_RootConstrainSelectedInstOperands,
     /*  724730 */     // GIR_Coverage, 22036,
     /*  724730 */     GIR_EraseRootFromParent_Done,
     /*  724731 */   // Label 11383: @724731
     /*  724731 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(724806), // Rule ID 22037 //
     /*  724736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  724747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  724750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  724753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  724756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  724785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724804 */     GIR_RootConstrainSelectedInstOperands,
     /*  724805 */     // GIR_Coverage, 22037,
     /*  724805 */     GIR_EraseRootFromParent_Done,
     /*  724806 */   // Label 11384: @724806
     /*  724806 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(724881), // Rule ID 22040 //
     /*  724811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  724860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724879 */     GIR_RootConstrainSelectedInstOperands,
     /*  724880 */     // GIR_Coverage, 22040,
     /*  724880 */     GIR_EraseRootFromParent_Done,
     /*  724881 */   // Label 11385: @724881
     /*  724881 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(724956), // Rule ID 22041 //
     /*  724886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  724897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  724900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  724903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  724906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  724935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  724939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724954 */     GIR_RootConstrainSelectedInstOperands,
     /*  724955 */     // GIR_Coverage, 22041,
     /*  724955 */     GIR_EraseRootFromParent_Done,
     /*  724956 */   // Label 11386: @724956
     /*  724956 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(725031), // Rule ID 22044 //
     /*  724961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  724964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  724969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  724972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  724975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  724978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  724981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  725010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725029 */     GIR_RootConstrainSelectedInstOperands,
     /*  725030 */     // GIR_Coverage, 22044,
     /*  725030 */     GIR_EraseRootFromParent_Done,
     /*  725031 */   // Label 11387: @725031
     /*  725031 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(725106), // Rule ID 22045 //
     /*  725036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  725047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  725050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  725053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  725056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  725085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725104 */     GIR_RootConstrainSelectedInstOperands,
     /*  725105 */     // GIR_Coverage, 22045,
     /*  725105 */     GIR_EraseRootFromParent_Done,
     /*  725106 */   // Label 11388: @725106
     /*  725106 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(725181), // Rule ID 22048 //
     /*  725111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  725160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725179 */     GIR_RootConstrainSelectedInstOperands,
     /*  725180 */     // GIR_Coverage, 22048,
     /*  725180 */     GIR_EraseRootFromParent_Done,
     /*  725181 */   // Label 11389: @725181
     /*  725181 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(725256), // Rule ID 22049 //
     /*  725186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  725235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725254 */     GIR_RootConstrainSelectedInstOperands,
     /*  725255 */     // GIR_Coverage, 22049,
     /*  725255 */     GIR_EraseRootFromParent_Done,
     /*  725256 */   // Label 11390: @725256
     /*  725256 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(725331), // Rule ID 22052 //
     /*  725261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  725310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725329 */     GIR_RootConstrainSelectedInstOperands,
     /*  725330 */     // GIR_Coverage, 22052,
     /*  725330 */     GIR_EraseRootFromParent_Done,
     /*  725331 */   // Label 11391: @725331
     /*  725331 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(725406), // Rule ID 22053 //
     /*  725336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  725385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725404 */     GIR_RootConstrainSelectedInstOperands,
     /*  725405 */     // GIR_Coverage, 22053,
     /*  725405 */     GIR_EraseRootFromParent_Done,
     /*  725406 */   // Label 11392: @725406
     /*  725406 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(725481), // Rule ID 22056 //
     /*  725411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  725460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725479 */     GIR_RootConstrainSelectedInstOperands,
     /*  725480 */     // GIR_Coverage, 22056,
     /*  725480 */     GIR_EraseRootFromParent_Done,
     /*  725481 */   // Label 11393: @725481
     /*  725481 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(725556), // Rule ID 22057 //
     /*  725486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  725506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  725535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725554 */     GIR_RootConstrainSelectedInstOperands,
     /*  725555 */     // GIR_Coverage, 22057,
     /*  725555 */     GIR_EraseRootFromParent_Done,
     /*  725556 */   // Label 11394: @725556
     /*  725556 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(725631), // Rule ID 22060 //
     /*  725561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  725610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725629 */     GIR_RootConstrainSelectedInstOperands,
     /*  725630 */     // GIR_Coverage, 22060,
     /*  725630 */     GIR_EraseRootFromParent_Done,
     /*  725631 */   // Label 11395: @725631
     /*  725631 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(725706), // Rule ID 22061 //
     /*  725636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  725685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725704 */     GIR_RootConstrainSelectedInstOperands,
     /*  725705 */     // GIR_Coverage, 22061,
     /*  725705 */     GIR_EraseRootFromParent_Done,
     /*  725706 */   // Label 11396: @725706
     /*  725706 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(725781), // Rule ID 22064 //
     /*  725711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  725760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725779 */     GIR_RootConstrainSelectedInstOperands,
     /*  725780 */     // GIR_Coverage, 22064,
     /*  725780 */     GIR_EraseRootFromParent_Done,
     /*  725781 */   // Label 11397: @725781
     /*  725781 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(725856), // Rule ID 22065 //
     /*  725786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  725803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  725835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725854 */     GIR_RootConstrainSelectedInstOperands,
     /*  725855 */     // GIR_Coverage, 22065,
     /*  725855 */     GIR_EraseRootFromParent_Done,
     /*  725856 */   // Label 11398: @725856
     /*  725856 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(725931), // Rule ID 22068 //
     /*  725861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  725910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725929 */     GIR_RootConstrainSelectedInstOperands,
     /*  725930 */     // GIR_Coverage, 22068,
     /*  725930 */     GIR_EraseRootFromParent_Done,
     /*  725931 */   // Label 11399: @725931
     /*  725931 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(726006), // Rule ID 22069 //
     /*  725936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  725944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  725953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  725956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  725985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  725989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726004 */     GIR_RootConstrainSelectedInstOperands,
     /*  726005 */     // GIR_Coverage, 22069,
     /*  726005 */     GIR_EraseRootFromParent_Done,
     /*  726006 */   // Label 11400: @726006
     /*  726006 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(726081), // Rule ID 22072 //
     /*  726011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  726060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726079 */     GIR_RootConstrainSelectedInstOperands,
     /*  726080 */     // GIR_Coverage, 22072,
     /*  726080 */     GIR_EraseRootFromParent_Done,
     /*  726081 */   // Label 11401: @726081
     /*  726081 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(726156), // Rule ID 22073 //
     /*  726086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  726135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726154 */     GIR_RootConstrainSelectedInstOperands,
     /*  726155 */     // GIR_Coverage, 22073,
     /*  726155 */     GIR_EraseRootFromParent_Done,
     /*  726156 */   // Label 11402: @726156
     /*  726156 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(726231), // Rule ID 22076 //
     /*  726161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  726210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726229 */     GIR_RootConstrainSelectedInstOperands,
     /*  726230 */     // GIR_Coverage, 22076,
     /*  726230 */     GIR_EraseRootFromParent_Done,
     /*  726231 */   // Label 11403: @726231
     /*  726231 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(726306), // Rule ID 22077 //
     /*  726236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  726285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726304 */     GIR_RootConstrainSelectedInstOperands,
     /*  726305 */     // GIR_Coverage, 22077,
     /*  726305 */     GIR_EraseRootFromParent_Done,
     /*  726306 */   // Label 11404: @726306
     /*  726306 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(726381), // Rule ID 22080 //
     /*  726311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  726360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726379 */     GIR_RootConstrainSelectedInstOperands,
     /*  726380 */     // GIR_Coverage, 22080,
     /*  726380 */     GIR_EraseRootFromParent_Done,
     /*  726381 */   // Label 11405: @726381
     /*  726381 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(726456), // Rule ID 22081 //
     /*  726386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  726397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  726400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  726406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  726435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726454 */     GIR_RootConstrainSelectedInstOperands,
     /*  726455 */     // GIR_Coverage, 22081,
     /*  726455 */     GIR_EraseRootFromParent_Done,
     /*  726456 */   // Label 11406: @726456
     /*  726456 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(726531), // Rule ID 22084 //
     /*  726461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  726510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726529 */     GIR_RootConstrainSelectedInstOperands,
     /*  726530 */     // GIR_Coverage, 22084,
     /*  726530 */     GIR_EraseRootFromParent_Done,
     /*  726531 */   // Label 11407: @726531
     /*  726531 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(726606), // Rule ID 22085 //
     /*  726536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  726585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726604 */     GIR_RootConstrainSelectedInstOperands,
     /*  726605 */     // GIR_Coverage, 22085,
     /*  726605 */     GIR_EraseRootFromParent_Done,
     /*  726606 */   // Label 11408: @726606
     /*  726606 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(726681), // Rule ID 22088 //
     /*  726611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  726660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726679 */     GIR_RootConstrainSelectedInstOperands,
     /*  726680 */     // GIR_Coverage, 22088,
     /*  726680 */     GIR_EraseRootFromParent_Done,
     /*  726681 */   // Label 11409: @726681
     /*  726681 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(726756), // Rule ID 22089 //
     /*  726686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  726703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  726735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726754 */     GIR_RootConstrainSelectedInstOperands,
     /*  726755 */     // GIR_Coverage, 22089,
     /*  726755 */     GIR_EraseRootFromParent_Done,
     /*  726756 */   // Label 11410: @726756
     /*  726756 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(726831), // Rule ID 22092 //
     /*  726761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  726810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726829 */     GIR_RootConstrainSelectedInstOperands,
     /*  726830 */     // GIR_Coverage, 22092,
     /*  726830 */     GIR_EraseRootFromParent_Done,
     /*  726831 */   // Label 11411: @726831
     /*  726831 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(726906), // Rule ID 22093 //
     /*  726836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  726844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  726847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  726850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  726853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  726856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  726885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726904 */     GIR_RootConstrainSelectedInstOperands,
     /*  726905 */     // GIR_Coverage, 22093,
     /*  726905 */     GIR_EraseRootFromParent_Done,
     /*  726906 */   // Label 11412: @726906
     /*  726906 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(726981), // Rule ID 22096 //
     /*  726911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  726919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  726925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  726928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  726931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  726950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  726957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  726960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  726964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  726976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726979 */     GIR_RootConstrainSelectedInstOperands,
     /*  726980 */     // GIR_Coverage, 22096,
     /*  726980 */     GIR_EraseRootFromParent_Done,
     /*  726981 */   // Label 11413: @726981
     /*  726981 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(727056), // Rule ID 22097 //
     /*  726986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  726994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  726997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  727003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  727035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727054 */     GIR_RootConstrainSelectedInstOperands,
     /*  727055 */     // GIR_Coverage, 22097,
     /*  727055 */     GIR_EraseRootFromParent_Done,
     /*  727056 */   // Label 11414: @727056
     /*  727056 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(727131), // Rule ID 22100 //
     /*  727061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  727110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727129 */     GIR_RootConstrainSelectedInstOperands,
     /*  727130 */     // GIR_Coverage, 22100,
     /*  727130 */     GIR_EraseRootFromParent_Done,
     /*  727131 */   // Label 11415: @727131
     /*  727131 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(727206), // Rule ID 22101 //
     /*  727136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  727185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727204 */     GIR_RootConstrainSelectedInstOperands,
     /*  727205 */     // GIR_Coverage, 22101,
     /*  727205 */     GIR_EraseRootFromParent_Done,
     /*  727206 */   // Label 11416: @727206
     /*  727206 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(727281), // Rule ID 22104 //
     /*  727211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  727260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727279 */     GIR_RootConstrainSelectedInstOperands,
     /*  727280 */     // GIR_Coverage, 22104,
     /*  727280 */     GIR_EraseRootFromParent_Done,
     /*  727281 */   // Label 11417: @727281
     /*  727281 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(727356), // Rule ID 22105 //
     /*  727286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  727335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727354 */     GIR_RootConstrainSelectedInstOperands,
     /*  727355 */     // GIR_Coverage, 22105,
     /*  727355 */     GIR_EraseRootFromParent_Done,
     /*  727356 */   // Label 11418: @727356
     /*  727356 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(727431), // Rule ID 22108 //
     /*  727361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  727410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727429 */     GIR_RootConstrainSelectedInstOperands,
     /*  727430 */     // GIR_Coverage, 22108,
     /*  727430 */     GIR_EraseRootFromParent_Done,
     /*  727431 */   // Label 11419: @727431
     /*  727431 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(727506), // Rule ID 22109 //
     /*  727436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  727485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727504 */     GIR_RootConstrainSelectedInstOperands,
     /*  727505 */     // GIR_Coverage, 22109,
     /*  727505 */     GIR_EraseRootFromParent_Done,
     /*  727506 */   // Label 11420: @727506
     /*  727506 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(727581), // Rule ID 22112 //
     /*  727511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727557 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  727560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727579 */     GIR_RootConstrainSelectedInstOperands,
     /*  727580 */     // GIR_Coverage, 22112,
     /*  727580 */     GIR_EraseRootFromParent_Done,
     /*  727581 */   // Label 11421: @727581
     /*  727581 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(727656), // Rule ID 22113 //
     /*  727586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  727635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727654 */     GIR_RootConstrainSelectedInstOperands,
     /*  727655 */     // GIR_Coverage, 22113,
     /*  727655 */     GIR_EraseRootFromParent_Done,
     /*  727656 */   // Label 11422: @727656
     /*  727656 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(727731), // Rule ID 22116 //
     /*  727661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  727707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  727710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727729 */     GIR_RootConstrainSelectedInstOperands,
     /*  727730 */     // GIR_Coverage, 22116,
     /*  727730 */     GIR_EraseRootFromParent_Done,
     /*  727731 */   // Label 11423: @727731
     /*  727731 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(727806), // Rule ID 22117 //
     /*  727736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  727747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  727750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  727753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  727756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  727782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  727785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  727801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727804 */     GIR_RootConstrainSelectedInstOperands,
     /*  727805 */     // GIR_Coverage, 22117,
     /*  727805 */     GIR_EraseRootFromParent_Done,
     /*  727806 */   // Label 11424: @727806
     /*  727806 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(727881), // Rule ID 22120 //
     /*  727811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  727860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727879 */     GIR_RootConstrainSelectedInstOperands,
     /*  727880 */     // GIR_Coverage, 22120,
     /*  727880 */     GIR_EraseRootFromParent_Done,
     /*  727881 */   // Label 11425: @727881
     /*  727881 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(727956), // Rule ID 22121 //
     /*  727886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  727897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  727900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  727903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  727906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  727935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  727939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727954 */     GIR_RootConstrainSelectedInstOperands,
     /*  727955 */     // GIR_Coverage, 22121,
     /*  727955 */     GIR_EraseRootFromParent_Done,
     /*  727956 */   // Label 11426: @727956
     /*  727956 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(728031), // Rule ID 22124 //
     /*  727961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  727969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  727972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  727975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  727978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  727981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  728010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728029 */     GIR_RootConstrainSelectedInstOperands,
     /*  728030 */     // GIR_Coverage, 22124,
     /*  728030 */     GIR_EraseRootFromParent_Done,
     /*  728031 */   // Label 11427: @728031
     /*  728031 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(728106), // Rule ID 22125 //
     /*  728036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  728053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  728085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728104 */     GIR_RootConstrainSelectedInstOperands,
     /*  728105 */     // GIR_Coverage, 22125,
     /*  728105 */     GIR_EraseRootFromParent_Done,
     /*  728106 */   // Label 11428: @728106
     /*  728106 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(728181), // Rule ID 22128 //
     /*  728111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  728160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728179 */     GIR_RootConstrainSelectedInstOperands,
     /*  728180 */     // GIR_Coverage, 22128,
     /*  728180 */     GIR_EraseRootFromParent_Done,
     /*  728181 */   // Label 11429: @728181
     /*  728181 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(728256), // Rule ID 22129 //
     /*  728186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  728235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728254 */     GIR_RootConstrainSelectedInstOperands,
     /*  728255 */     // GIR_Coverage, 22129,
     /*  728255 */     GIR_EraseRootFromParent_Done,
     /*  728256 */   // Label 11430: @728256
     /*  728256 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(728331), // Rule ID 22132 //
     /*  728261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  728310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728329 */     GIR_RootConstrainSelectedInstOperands,
     /*  728330 */     // GIR_Coverage, 22132,
     /*  728330 */     GIR_EraseRootFromParent_Done,
     /*  728331 */   // Label 11431: @728331
     /*  728331 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(728406), // Rule ID 22133 //
     /*  728336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  728385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728404 */     GIR_RootConstrainSelectedInstOperands,
     /*  728405 */     // GIR_Coverage, 22133,
     /*  728405 */     GIR_EraseRootFromParent_Done,
     /*  728406 */   // Label 11432: @728406
     /*  728406 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(728481), // Rule ID 22136 //
     /*  728411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  728460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728479 */     GIR_RootConstrainSelectedInstOperands,
     /*  728480 */     // GIR_Coverage, 22136,
     /*  728480 */     GIR_EraseRootFromParent_Done,
     /*  728481 */   // Label 11433: @728481
     /*  728481 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(728556), // Rule ID 22137 //
     /*  728486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  728535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728554 */     GIR_RootConstrainSelectedInstOperands,
     /*  728555 */     // GIR_Coverage, 22137,
     /*  728555 */     GIR_EraseRootFromParent_Done,
     /*  728556 */   // Label 11434: @728556
     /*  728556 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(728631), // Rule ID 22140 //
     /*  728561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728607 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  728610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728629 */     GIR_RootConstrainSelectedInstOperands,
     /*  728630 */     // GIR_Coverage, 22140,
     /*  728630 */     GIR_EraseRootFromParent_Done,
     /*  728631 */   // Label 11435: @728631
     /*  728631 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(728706), // Rule ID 22141 //
     /*  728636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  728671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728682 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  728685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728704 */     GIR_RootConstrainSelectedInstOperands,
     /*  728705 */     // GIR_Coverage, 22141,
     /*  728705 */     GIR_EraseRootFromParent_Done,
     /*  728706 */   // Label 11436: @728706
     /*  728706 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(728781), // Rule ID 22144 //
     /*  728711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  728760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728779 */     GIR_RootConstrainSelectedInstOperands,
     /*  728780 */     // GIR_Coverage, 22144,
     /*  728780 */     GIR_EraseRootFromParent_Done,
     /*  728781 */   // Label 11437: @728781
     /*  728781 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(728856), // Rule ID 22145 //
     /*  728786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  728803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  728821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11145:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  728835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728854 */     GIR_RootConstrainSelectedInstOperands,
     /*  728855 */     // GIR_Coverage, 22145,
     /*  728855 */     GIR_EraseRootFromParent_Done,
     /*  728856 */   // Label 11438: @728856
     /*  728856 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(728931), // Rule ID 22148 //
     /*  728861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  728910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728929 */     GIR_RootConstrainSelectedInstOperands,
     /*  728930 */     // GIR_Coverage, 22148,
     /*  728930 */     GIR_EraseRootFromParent_Done,
     /*  728931 */   // Label 11439: @728931
     /*  728931 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(729006), // Rule ID 22149 //
     /*  728936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  728944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  728953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  728985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  728989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729004 */     GIR_RootConstrainSelectedInstOperands,
     /*  729005 */     // GIR_Coverage, 22149,
     /*  729005 */     GIR_EraseRootFromParent_Done,
     /*  729006 */   // Label 11440: @729006
     /*  729006 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(729081), // Rule ID 22152 //
     /*  729011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  729060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729079 */     GIR_RootConstrainSelectedInstOperands,
     /*  729080 */     // GIR_Coverage, 22152,
     /*  729080 */     GIR_EraseRootFromParent_Done,
     /*  729081 */   // Label 11441: @729081
     /*  729081 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(729156), // Rule ID 22153 //
     /*  729086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  729135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729154 */     GIR_RootConstrainSelectedInstOperands,
     /*  729155 */     // GIR_Coverage, 22153,
     /*  729155 */     GIR_EraseRootFromParent_Done,
     /*  729156 */   // Label 11442: @729156
     /*  729156 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(729231), // Rule ID 22156 //
     /*  729161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  729210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729229 */     GIR_RootConstrainSelectedInstOperands,
     /*  729230 */     // GIR_Coverage, 22156,
     /*  729230 */     GIR_EraseRootFromParent_Done,
     /*  729231 */   // Label 11443: @729231
     /*  729231 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(729306), // Rule ID 22157 //
     /*  729236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  729247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  729250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  729256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11145:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  729285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729304 */     GIR_RootConstrainSelectedInstOperands,
     /*  729305 */     // GIR_Coverage, 22157,
     /*  729305 */     GIR_EraseRootFromParent_Done,
     /*  729306 */   // Label 11444: @729306
     /*  729306 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(729381), // Rule ID 22160 //
     /*  729311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  729360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729379 */     GIR_RootConstrainSelectedInstOperands,
     /*  729380 */     // GIR_Coverage, 22160,
     /*  729380 */     GIR_EraseRootFromParent_Done,
     /*  729381 */   // Label 11445: @729381
     /*  729381 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(729456), // Rule ID 22161 //
     /*  729386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  729435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729454 */     GIR_RootConstrainSelectedInstOperands,
     /*  729455 */     // GIR_Coverage, 22161,
     /*  729455 */     GIR_EraseRootFromParent_Done,
     /*  729456 */   // Label 11446: @729456
     /*  729456 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(729531), // Rule ID 22164 //
     /*  729461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  729510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729529 */     GIR_RootConstrainSelectedInstOperands,
     /*  729530 */     // GIR_Coverage, 22164,
     /*  729530 */     GIR_EraseRootFromParent_Done,
     /*  729531 */   // Label 11447: @729531
     /*  729531 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(729606), // Rule ID 22165 //
     /*  729536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  729585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729604 */     GIR_RootConstrainSelectedInstOperands,
     /*  729605 */     // GIR_Coverage, 22165,
     /*  729605 */     GIR_EraseRootFromParent_Done,
     /*  729606 */   // Label 11448: @729606
     /*  729606 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(729681), // Rule ID 22168 //
     /*  729611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  729660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729679 */     GIR_RootConstrainSelectedInstOperands,
     /*  729680 */     // GIR_Coverage, 22168,
     /*  729680 */     GIR_EraseRootFromParent_Done,
     /*  729681 */   // Label 11449: @729681
     /*  729681 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(729756), // Rule ID 22169 //
     /*  729686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  729697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  729700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  729703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  729706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  729735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729754 */     GIR_RootConstrainSelectedInstOperands,
     /*  729755 */     // GIR_Coverage, 22169,
     /*  729755 */     GIR_EraseRootFromParent_Done,
     /*  729756 */   // Label 11450: @729756
     /*  729756 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(729831), // Rule ID 22172 //
     /*  729761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  729775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  729781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  729810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729829 */     GIR_RootConstrainSelectedInstOperands,
     /*  729830 */     // GIR_Coverage, 22172,
     /*  729830 */     GIR_EraseRootFromParent_Done,
     /*  729831 */   // Label 11451: @729831
     /*  729831 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(729906), // Rule ID 22173 //
     /*  729836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  729850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  729853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  729856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  729882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  729885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729904 */     GIR_RootConstrainSelectedInstOperands,
     /*  729905 */     // GIR_Coverage, 22173,
     /*  729905 */     GIR_EraseRootFromParent_Done,
     /*  729906 */   // Label 11452: @729906
     /*  729906 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(729981), // Rule ID 22176 //
     /*  729911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  729914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  729925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  729928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  729931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  729950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  729957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  729960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  729964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  729976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729979 */     GIR_RootConstrainSelectedInstOperands,
     /*  729980 */     // GIR_Coverage, 22176,
     /*  729980 */     GIR_EraseRootFromParent_Done,
     /*  729981 */   // Label 11453: @729981
     /*  729981 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(730056), // Rule ID 22177 //
     /*  729986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  729989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  729994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  729997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  730003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  730035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730054 */     GIR_RootConstrainSelectedInstOperands,
     /*  730055 */     // GIR_Coverage, 22177,
     /*  730055 */     GIR_EraseRootFromParent_Done,
     /*  730056 */   // Label 11454: @730056
     /*  730056 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(730131), // Rule ID 22180 //
     /*  730061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  730069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  730110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730129 */     GIR_RootConstrainSelectedInstOperands,
     /*  730130 */     // GIR_Coverage, 22180,
     /*  730130 */     GIR_EraseRootFromParent_Done,
     /*  730131 */   // Label 11455: @730131
     /*  730131 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(730206), // Rule ID 22181 //
     /*  730136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  730144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  730147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  730150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  730156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  730185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730204 */     GIR_RootConstrainSelectedInstOperands,
     /*  730205 */     // GIR_Coverage, 22181,
     /*  730205 */     GIR_EraseRootFromParent_Done,
     /*  730206 */   // Label 11456: @730206
     /*  730206 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(730281), // Rule ID 22184 //
     /*  730211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730257 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  730260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730279 */     GIR_RootConstrainSelectedInstOperands,
     /*  730280 */     // GIR_Coverage, 22184,
     /*  730280 */     GIR_EraseRootFromParent_Done,
     /*  730281 */   // Label 11457: @730281
     /*  730281 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(730356), // Rule ID 22185 //
     /*  730286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  730335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730354 */     GIR_RootConstrainSelectedInstOperands,
     /*  730355 */     // GIR_Coverage, 22185,
     /*  730355 */     GIR_EraseRootFromParent_Done,
     /*  730356 */   // Label 11458: @730356
     /*  730356 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(730431), // Rule ID 22188 //
     /*  730361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  730410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730429 */     GIR_RootConstrainSelectedInstOperands,
     /*  730430 */     // GIR_Coverage, 22188,
     /*  730430 */     GIR_EraseRootFromParent_Done,
     /*  730431 */   // Label 11459: @730431
     /*  730431 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(730506), // Rule ID 22189 //
     /*  730436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730482 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  730485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730504 */     GIR_RootConstrainSelectedInstOperands,
     /*  730505 */     // GIR_Coverage, 22189,
     /*  730505 */     GIR_EraseRootFromParent_Done,
     /*  730506 */   // Label 11460: @730506
     /*  730506 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(730581), // Rule ID 22192 //
     /*  730511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  730560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730579 */     GIR_RootConstrainSelectedInstOperands,
     /*  730580 */     // GIR_Coverage, 22192,
     /*  730580 */     GIR_EraseRootFromParent_Done,
     /*  730581 */   // Label 11461: @730581
     /*  730581 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(730656), // Rule ID 22193 //
     /*  730586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  730597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  730600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  730606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  730635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730654 */     GIR_RootConstrainSelectedInstOperands,
     /*  730655 */     // GIR_Coverage, 22193,
     /*  730655 */     GIR_EraseRootFromParent_Done,
     /*  730656 */   // Label 11462: @730656
     /*  730656 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(730731), // Rule ID 22196 //
     /*  730661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  730710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730729 */     GIR_RootConstrainSelectedInstOperands,
     /*  730730 */     // GIR_Coverage, 22196,
     /*  730730 */     GIR_EraseRootFromParent_Done,
     /*  730731 */   // Label 11463: @730731
     /*  730731 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(730806), // Rule ID 22197 //
     /*  730736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  730753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  730785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730804 */     GIR_RootConstrainSelectedInstOperands,
     /*  730805 */     // GIR_Coverage, 22197,
     /*  730805 */     GIR_EraseRootFromParent_Done,
     /*  730806 */   // Label 11464: @730806
     /*  730806 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(730881), // Rule ID 22200 //
     /*  730811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730857 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  730857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  730860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730879 */     GIR_RootConstrainSelectedInstOperands,
     /*  730880 */     // GIR_Coverage, 22200,
     /*  730880 */     GIR_EraseRootFromParent_Done,
     /*  730881 */   // Label 11465: @730881
     /*  730881 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(730956), // Rule ID 22201 //
     /*  730886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  730897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  730900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  730903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  730906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  730932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  730935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  730939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  730951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730954 */     GIR_RootConstrainSelectedInstOperands,
     /*  730955 */     // GIR_Coverage, 22201,
     /*  730955 */     GIR_EraseRootFromParent_Done,
     /*  730956 */   // Label 11466: @730956
     /*  730956 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(731031), // Rule ID 22204 //
     /*  730961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  730969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  730972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  730975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  730978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  730981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731007 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  731010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731029 */     GIR_RootConstrainSelectedInstOperands,
     /*  731030 */     // GIR_Coverage, 22204,
     /*  731030 */     GIR_EraseRootFromParent_Done,
     /*  731031 */   // Label 11467: @731031
     /*  731031 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(731106), // Rule ID 22205 //
     /*  731036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  731053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  731056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  731085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731104 */     GIR_RootConstrainSelectedInstOperands,
     /*  731105 */     // GIR_Coverage, 22205,
     /*  731105 */     GIR_EraseRootFromParent_Done,
     /*  731106 */   // Label 11468: @731106
     /*  731106 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(731181), // Rule ID 22208 //
     /*  731111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  731160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731179 */     GIR_RootConstrainSelectedInstOperands,
     /*  731180 */     // GIR_Coverage, 22208,
     /*  731180 */     GIR_EraseRootFromParent_Done,
     /*  731181 */   // Label 11469: @731181
     /*  731181 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(731256), // Rule ID 22209 //
     /*  731186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  731235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731254 */     GIR_RootConstrainSelectedInstOperands,
     /*  731255 */     // GIR_Coverage, 22209,
     /*  731255 */     GIR_EraseRootFromParent_Done,
     /*  731256 */   // Label 11470: @731256
     /*  731256 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(731331), // Rule ID 22212 //
     /*  731261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  731281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  731310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731329 */     GIR_RootConstrainSelectedInstOperands,
     /*  731330 */     // GIR_Coverage, 22212,
     /*  731330 */     GIR_EraseRootFromParent_Done,
     /*  731331 */   // Label 11471: @731331
     /*  731331 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(731406), // Rule ID 22213 //
     /*  731336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  731356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  731385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731404 */     GIR_RootConstrainSelectedInstOperands,
     /*  731405 */     // GIR_Coverage, 22213,
     /*  731405 */     GIR_EraseRootFromParent_Done,
     /*  731406 */   // Label 11472: @731406
     /*  731406 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(731481), // Rule ID 22216 //
     /*  731411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  731431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731457 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  731460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731479 */     GIR_RootConstrainSelectedInstOperands,
     /*  731480 */     // GIR_Coverage, 22216,
     /*  731480 */     GIR_EraseRootFromParent_Done,
     /*  731481 */   // Label 11473: @731481
     /*  731481 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(731556), // Rule ID 22217 //
     /*  731486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  731506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  731535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731554 */     GIR_RootConstrainSelectedInstOperands,
     /*  731555 */     // GIR_Coverage, 22217,
     /*  731555 */     GIR_EraseRootFromParent_Done,
     /*  731556 */   // Label 11474: @731556
     /*  731556 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(731631), // Rule ID 22220 //
     /*  731561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731607 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  731607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  731610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731629 */     GIR_RootConstrainSelectedInstOperands,
     /*  731630 */     // GIR_Coverage, 22220,
     /*  731630 */     GIR_EraseRootFromParent_Done,
     /*  731631 */   // Label 11475: @731631
     /*  731631 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(731706), // Rule ID 22221 //
     /*  731636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  731639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  731656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  731682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  731685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  731701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731704 */     GIR_RootConstrainSelectedInstOperands,
     /*  731705 */     // GIR_Coverage, 22221,
     /*  731705 */     GIR_EraseRootFromParent_Done,
     /*  731706 */   // Label 11476: @731706
     /*  731706 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(731781), // Rule ID 22224 //
     /*  731711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  731760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731779 */     GIR_RootConstrainSelectedInstOperands,
     /*  731780 */     // GIR_Coverage, 22224,
     /*  731780 */     GIR_EraseRootFromParent_Done,
     /*  731781 */   // Label 11477: @731781
     /*  731781 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(731856), // Rule ID 22225 //
     /*  731786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  731803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  731821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  731835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731854 */     GIR_RootConstrainSelectedInstOperands,
     /*  731855 */     // GIR_Coverage, 22225,
     /*  731855 */     GIR_EraseRootFromParent_Done,
     /*  731856 */   // Label 11478: @731856
     /*  731856 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(731931), // Rule ID 22228 //
     /*  731861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  731910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731929 */     GIR_RootConstrainSelectedInstOperands,
     /*  731930 */     // GIR_Coverage, 22228,
     /*  731930 */     GIR_EraseRootFromParent_Done,
     /*  731931 */   // Label 11479: @731931
     /*  731931 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(732006), // Rule ID 22229 //
     /*  731936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  731944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  731953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  731956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  731971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731982 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  731985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  731989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732004 */     GIR_RootConstrainSelectedInstOperands,
     /*  732005 */     // GIR_Coverage, 22229,
     /*  732005 */     GIR_EraseRootFromParent_Done,
     /*  732006 */   // Label 11480: @732006
     /*  732006 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(732081), // Rule ID 22232 //
     /*  732011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  732031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  732060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732079 */     GIR_RootConstrainSelectedInstOperands,
     /*  732080 */     // GIR_Coverage, 22232,
     /*  732080 */     GIR_EraseRootFromParent_Done,
     /*  732081 */   // Label 11481: @732081
     /*  732081 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(732156), // Rule ID 22233 //
     /*  732086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  732097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  732100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  732106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  732135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732154 */     GIR_RootConstrainSelectedInstOperands,
     /*  732155 */     // GIR_Coverage, 22233,
     /*  732155 */     GIR_EraseRootFromParent_Done,
     /*  732156 */   // Label 11482: @732156
     /*  732156 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(732231), // Rule ID 22236 //
     /*  732161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  732210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732229 */     GIR_RootConstrainSelectedInstOperands,
     /*  732230 */     // GIR_Coverage, 22236,
     /*  732230 */     GIR_EraseRootFromParent_Done,
     /*  732231 */   // Label 11483: @732231
     /*  732231 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(732306), // Rule ID 22237 //
     /*  732236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  732285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732304 */     GIR_RootConstrainSelectedInstOperands,
     /*  732305 */     // GIR_Coverage, 22237,
     /*  732305 */     GIR_EraseRootFromParent_Done,
     /*  732306 */   // Label 11484: @732306
     /*  732306 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(732381), // Rule ID 22240 //
     /*  732311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  732360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732379 */     GIR_RootConstrainSelectedInstOperands,
     /*  732380 */     // GIR_Coverage, 22240,
     /*  732380 */     GIR_EraseRootFromParent_Done,
     /*  732381 */   // Label 11485: @732381
     /*  732381 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(732456), // Rule ID 22241 //
     /*  732386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  732435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732454 */     GIR_RootConstrainSelectedInstOperands,
     /*  732455 */     // GIR_Coverage, 22241,
     /*  732455 */     GIR_EraseRootFromParent_Done,
     /*  732456 */   // Label 11486: @732456
     /*  732456 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(732531), // Rule ID 22244 //
     /*  732461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  732510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732529 */     GIR_RootConstrainSelectedInstOperands,
     /*  732530 */     // GIR_Coverage, 22244,
     /*  732530 */     GIR_EraseRootFromParent_Done,
     /*  732531 */   // Label 11487: @732531
     /*  732531 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(732606), // Rule ID 22245 //
     /*  732536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  732547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  732550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  732556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  732585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732604 */     GIR_RootConstrainSelectedInstOperands,
     /*  732605 */     // GIR_Coverage, 22245,
     /*  732605 */     GIR_EraseRootFromParent_Done,
     /*  732606 */   // Label 11488: @732606
     /*  732606 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(732681), // Rule ID 22248 //
     /*  732611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  732660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732679 */     GIR_RootConstrainSelectedInstOperands,
     /*  732680 */     // GIR_Coverage, 22248,
     /*  732680 */     GIR_EraseRootFromParent_Done,
     /*  732681 */   // Label 11489: @732681
     /*  732681 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(732756), // Rule ID 22249 //
     /*  732686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  732703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  732735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732754 */     GIR_RootConstrainSelectedInstOperands,
     /*  732755 */     // GIR_Coverage, 22249,
     /*  732755 */     GIR_EraseRootFromParent_Done,
     /*  732756 */   // Label 11490: @732756
     /*  732756 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(732831), // Rule ID 22252 //
     /*  732761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  732810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732829 */     GIR_RootConstrainSelectedInstOperands,
     /*  732830 */     // GIR_Coverage, 22252,
     /*  732830 */     GIR_EraseRootFromParent_Done,
     /*  732831 */   // Label 11491: @732831
     /*  732831 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(732906), // Rule ID 22253 //
     /*  732836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  732853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732882 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  732882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  732885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732904 */     GIR_RootConstrainSelectedInstOperands,
     /*  732905 */     // GIR_Coverage, 22253,
     /*  732905 */     GIR_EraseRootFromParent_Done,
     /*  732906 */   // Label 11492: @732906
     /*  732906 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(732981), // Rule ID 22256 //
     /*  732911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  732925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  732928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  732931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  732957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  732960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  732964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  732976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732979 */     GIR_RootConstrainSelectedInstOperands,
     /*  732980 */     // GIR_Coverage, 22256,
     /*  732980 */     GIR_EraseRootFromParent_Done,
     /*  732981 */   // Label 11493: @732981
     /*  732981 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(733056), // Rule ID 22257 //
     /*  732986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  732994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  732997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  733000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  733003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  733006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  733035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733054 */     GIR_RootConstrainSelectedInstOperands,
     /*  733055 */     // GIR_Coverage, 22257,
     /*  733055 */     GIR_EraseRootFromParent_Done,
     /*  733056 */   // Label 11494: @733056
     /*  733056 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(733131), // Rule ID 22260 //
     /*  733061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  733110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733129 */     GIR_RootConstrainSelectedInstOperands,
     /*  733130 */     // GIR_Coverage, 22260,
     /*  733130 */     GIR_EraseRootFromParent_Done,
     /*  733131 */   // Label 11495: @733131
     /*  733131 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(733206), // Rule ID 22261 //
     /*  733136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  733185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733204 */     GIR_RootConstrainSelectedInstOperands,
     /*  733205 */     // GIR_Coverage, 22261,
     /*  733205 */     GIR_EraseRootFromParent_Done,
     /*  733206 */   // Label 11496: @733206
     /*  733206 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(733281), // Rule ID 22264 //
     /*  733211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733257 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  733260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733279 */     GIR_RootConstrainSelectedInstOperands,
     /*  733280 */     // GIR_Coverage, 22264,
     /*  733280 */     GIR_EraseRootFromParent_Done,
     /*  733281 */   // Label 11497: @733281
     /*  733281 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(733356), // Rule ID 22265 //
     /*  733286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  733335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733354 */     GIR_RootConstrainSelectedInstOperands,
     /*  733355 */     // GIR_Coverage, 22265,
     /*  733355 */     GIR_EraseRootFromParent_Done,
     /*  733356 */   // Label 11498: @733356
     /*  733356 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(733431), // Rule ID 22268 //
     /*  733361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  733410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733429 */     GIR_RootConstrainSelectedInstOperands,
     /*  733430 */     // GIR_Coverage, 22268,
     /*  733430 */     GIR_EraseRootFromParent_Done,
     /*  733431 */   // Label 11499: @733431
     /*  733431 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(733506), // Rule ID 22269 //
     /*  733436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  733444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  733447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  733450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  733456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  733485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733504 */     GIR_RootConstrainSelectedInstOperands,
     /*  733505 */     // GIR_Coverage, 22269,
     /*  733505 */     GIR_EraseRootFromParent_Done,
     /*  733506 */   // Label 11500: @733506
     /*  733506 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(733581), // Rule ID 22272 //
     /*  733511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  733560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733579 */     GIR_RootConstrainSelectedInstOperands,
     /*  733580 */     // GIR_Coverage, 22272,
     /*  733580 */     GIR_EraseRootFromParent_Done,
     /*  733581 */   // Label 11501: @733581
     /*  733581 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(733656), // Rule ID 22273 //
     /*  733586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  733635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733654 */     GIR_RootConstrainSelectedInstOperands,
     /*  733655 */     // GIR_Coverage, 22273,
     /*  733655 */     GIR_EraseRootFromParent_Done,
     /*  733656 */   // Label 11502: @733656
     /*  733656 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(733731), // Rule ID 22276 //
     /*  733661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733707 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  733710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733729 */     GIR_RootConstrainSelectedInstOperands,
     /*  733730 */     // GIR_Coverage, 22276,
     /*  733730 */     GIR_EraseRootFromParent_Done,
     /*  733731 */   // Label 11503: @733731
     /*  733731 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(733806), // Rule ID 22277 //
     /*  733736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  733753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  733785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733804 */     GIR_RootConstrainSelectedInstOperands,
     /*  733805 */     // GIR_Coverage, 22277,
     /*  733805 */     GIR_EraseRootFromParent_Done,
     /*  733806 */   // Label 11504: @733806
     /*  733806 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(733881), // Rule ID 22280 //
     /*  733811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  733860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733879 */     GIR_RootConstrainSelectedInstOperands,
     /*  733880 */     // GIR_Coverage, 22280,
     /*  733880 */     GIR_EraseRootFromParent_Done,
     /*  733881 */   // Label 11505: @733881
     /*  733881 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(733956), // Rule ID 22281 //
     /*  733886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  733897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  733900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  733903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  733906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  733932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  733935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  733939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733954 */     GIR_RootConstrainSelectedInstOperands,
     /*  733955 */     // GIR_Coverage, 22281,
     /*  733955 */     GIR_EraseRootFromParent_Done,
     /*  733956 */   // Label 11506: @733956
     /*  733956 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(734031), // Rule ID 22284 //
     /*  733961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  733969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  733972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  733975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  733978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  733981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  734010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734029 */     GIR_RootConstrainSelectedInstOperands,
     /*  734030 */     // GIR_Coverage, 22284,
     /*  734030 */     GIR_EraseRootFromParent_Done,
     /*  734031 */   // Label 11507: @734031
     /*  734031 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(734106), // Rule ID 22285 //
     /*  734036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  734053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  734085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734104 */     GIR_RootConstrainSelectedInstOperands,
     /*  734105 */     // GIR_Coverage, 22285,
     /*  734105 */     GIR_EraseRootFromParent_Done,
     /*  734106 */   // Label 11508: @734106
     /*  734106 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(734181), // Rule ID 22288 //
     /*  734111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  734160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734179 */     GIR_RootConstrainSelectedInstOperands,
     /*  734180 */     // GIR_Coverage, 22288,
     /*  734180 */     GIR_EraseRootFromParent_Done,
     /*  734181 */   // Label 11509: @734181
     /*  734181 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(734256), // Rule ID 22289 //
     /*  734186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  734235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734254 */     GIR_RootConstrainSelectedInstOperands,
     /*  734255 */     // GIR_Coverage, 22289,
     /*  734255 */     GIR_EraseRootFromParent_Done,
     /*  734256 */   // Label 11510: @734256
     /*  734256 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(734331), // Rule ID 22292 //
     /*  734261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  734310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734329 */     GIR_RootConstrainSelectedInstOperands,
     /*  734330 */     // GIR_Coverage, 22292,
     /*  734330 */     GIR_EraseRootFromParent_Done,
     /*  734331 */   // Label 11511: @734331
     /*  734331 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(734406), // Rule ID 22293 //
     /*  734336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  734385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734404 */     GIR_RootConstrainSelectedInstOperands,
     /*  734405 */     // GIR_Coverage, 22293,
     /*  734405 */     GIR_EraseRootFromParent_Done,
     /*  734406 */   // Label 11512: @734406
     /*  734406 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(734481), // Rule ID 22296 //
     /*  734411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  734460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734479 */     GIR_RootConstrainSelectedInstOperands,
     /*  734480 */     // GIR_Coverage, 22296,
     /*  734480 */     GIR_EraseRootFromParent_Done,
     /*  734481 */   // Label 11513: @734481
     /*  734481 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(734556), // Rule ID 22297 //
     /*  734486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  734535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734554 */     GIR_RootConstrainSelectedInstOperands,
     /*  734555 */     // GIR_Coverage, 22297,
     /*  734555 */     GIR_EraseRootFromParent_Done,
     /*  734556 */   // Label 11514: @734556
     /*  734556 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(734631), // Rule ID 22300 //
     /*  734561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  734610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734629 */     GIR_RootConstrainSelectedInstOperands,
     /*  734630 */     // GIR_Coverage, 22300,
     /*  734630 */     GIR_EraseRootFromParent_Done,
     /*  734631 */   // Label 11515: @734631
     /*  734631 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(734706), // Rule ID 22301 //
     /*  734636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  734685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734704 */     GIR_RootConstrainSelectedInstOperands,
     /*  734705 */     // GIR_Coverage, 22301,
     /*  734705 */     GIR_EraseRootFromParent_Done,
     /*  734706 */   // Label 11516: @734706
     /*  734706 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(734781), // Rule ID 22304 //
     /*  734711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  734760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734779 */     GIR_RootConstrainSelectedInstOperands,
     /*  734780 */     // GIR_Coverage, 22304,
     /*  734780 */     GIR_EraseRootFromParent_Done,
     /*  734781 */   // Label 11517: @734781
     /*  734781 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(734856), // Rule ID 22305 //
     /*  734786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  734797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  734800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  734803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  734806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  734835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734854 */     GIR_RootConstrainSelectedInstOperands,
     /*  734855 */     // GIR_Coverage, 22305,
     /*  734855 */     GIR_EraseRootFromParent_Done,
     /*  734856 */   // Label 11518: @734856
     /*  734856 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(734931), // Rule ID 22308 //
     /*  734861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  734864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  734907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  734910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  734926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734929 */     GIR_RootConstrainSelectedInstOperands,
     /*  734930 */     // GIR_Coverage, 22308,
     /*  734930 */     GIR_EraseRootFromParent_Done,
     /*  734931 */   // Label 11519: @734931
     /*  734931 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(735006), // Rule ID 22309 //
     /*  734936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  734939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  734944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  734947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  734950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  734953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  734956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  734982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  734985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  734989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735004 */     GIR_RootConstrainSelectedInstOperands,
     /*  735005 */     // GIR_Coverage, 22309,
     /*  735005 */     GIR_EraseRootFromParent_Done,
     /*  735006 */   // Label 11520: @735006
     /*  735006 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(735081), // Rule ID 22312 //
     /*  735011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  735060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735079 */     GIR_RootConstrainSelectedInstOperands,
     /*  735080 */     // GIR_Coverage, 22312,
     /*  735080 */     GIR_EraseRootFromParent_Done,
     /*  735081 */   // Label 11521: @735081
     /*  735081 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(735156), // Rule ID 22313 //
     /*  735086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  735135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735154 */     GIR_RootConstrainSelectedInstOperands,
     /*  735155 */     // GIR_Coverage, 22313,
     /*  735155 */     GIR_EraseRootFromParent_Done,
     /*  735156 */   // Label 11522: @735156
     /*  735156 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(735231), // Rule ID 22316 //
     /*  735161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735207 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  735210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735229 */     GIR_RootConstrainSelectedInstOperands,
     /*  735230 */     // GIR_Coverage, 22316,
     /*  735230 */     GIR_EraseRootFromParent_Done,
     /*  735231 */   // Label 11523: @735231
     /*  735231 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(735306), // Rule ID 22317 //
     /*  735236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  735285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735304 */     GIR_RootConstrainSelectedInstOperands,
     /*  735305 */     // GIR_Coverage, 22317,
     /*  735305 */     GIR_EraseRootFromParent_Done,
     /*  735306 */   // Label 11524: @735306
     /*  735306 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(735381), // Rule ID 22320 //
     /*  735311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  735360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735379 */     GIR_RootConstrainSelectedInstOperands,
     /*  735380 */     // GIR_Coverage, 22320,
     /*  735380 */     GIR_EraseRootFromParent_Done,
     /*  735381 */   // Label 11525: @735381
     /*  735381 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(735456), // Rule ID 22321 //
     /*  735386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  735397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  735400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  735406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11137:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  735435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735454 */     GIR_RootConstrainSelectedInstOperands,
     /*  735455 */     // GIR_Coverage, 22321,
     /*  735455 */     GIR_EraseRootFromParent_Done,
     /*  735456 */   // Label 11526: @735456
     /*  735456 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(735531), // Rule ID 22324 //
     /*  735461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  735510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735529 */     GIR_RootConstrainSelectedInstOperands,
     /*  735530 */     // GIR_Coverage, 22324,
     /*  735530 */     GIR_EraseRootFromParent_Done,
     /*  735531 */   // Label 11527: @735531
     /*  735531 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(735606), // Rule ID 22325 //
     /*  735536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  735585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735604 */     GIR_RootConstrainSelectedInstOperands,
     /*  735605 */     // GIR_Coverage, 22325,
     /*  735605 */     GIR_EraseRootFromParent_Done,
     /*  735606 */   // Label 11528: @735606
     /*  735606 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(735681), // Rule ID 22328 //
     /*  735611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  735660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735679 */     GIR_RootConstrainSelectedInstOperands,
     /*  735680 */     // GIR_Coverage, 22328,
     /*  735680 */     GIR_EraseRootFromParent_Done,
     /*  735681 */   // Label 11529: @735681
     /*  735681 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(735756), // Rule ID 22329 //
     /*  735686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  735703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  735735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735754 */     GIR_RootConstrainSelectedInstOperands,
     /*  735755 */     // GIR_Coverage, 22329,
     /*  735755 */     GIR_EraseRootFromParent_Done,
     /*  735756 */   // Label 11530: @735756
     /*  735756 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(735831), // Rule ID 22332 //
     /*  735761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  735810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735829 */     GIR_RootConstrainSelectedInstOperands,
     /*  735830 */     // GIR_Coverage, 22332,
     /*  735830 */     GIR_EraseRootFromParent_Done,
     /*  735831 */   // Label 11531: @735831
     /*  735831 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(735906), // Rule ID 22333 //
     /*  735836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  735853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11137:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  735885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735904 */     GIR_RootConstrainSelectedInstOperands,
     /*  735905 */     // GIR_Coverage, 22333,
     /*  735905 */     GIR_EraseRootFromParent_Done,
     /*  735906 */   // Label 11532: @735906
     /*  735906 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(735981), // Rule ID 22336 //
     /*  735911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  735928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  735960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  735964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735979 */     GIR_RootConstrainSelectedInstOperands,
     /*  735980 */     // GIR_Coverage, 22336,
     /*  735980 */     GIR_EraseRootFromParent_Done,
     /*  735981 */   // Label 11533: @735981
     /*  735981 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(736056), // Rule ID 22337 //
     /*  735986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  735994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  736003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  736035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736054 */     GIR_RootConstrainSelectedInstOperands,
     /*  736055 */     // GIR_Coverage, 22337,
     /*  736055 */     GIR_EraseRootFromParent_Done,
     /*  736056 */   // Label 11534: @736056
     /*  736056 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(736131), // Rule ID 22340 //
     /*  736061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  736110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736129 */     GIR_RootConstrainSelectedInstOperands,
     /*  736130 */     // GIR_Coverage, 22340,
     /*  736130 */     GIR_EraseRootFromParent_Done,
     /*  736131 */   // Label 11535: @736131
     /*  736131 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(736206), // Rule ID 22341 //
     /*  736136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  736185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736204 */     GIR_RootConstrainSelectedInstOperands,
     /*  736205 */     // GIR_Coverage, 22341,
     /*  736205 */     GIR_EraseRootFromParent_Done,
     /*  736206 */   // Label 11536: @736206
     /*  736206 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(736281), // Rule ID 22344 //
     /*  736211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  736260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736279 */     GIR_RootConstrainSelectedInstOperands,
     /*  736280 */     // GIR_Coverage, 22344,
     /*  736280 */     GIR_EraseRootFromParent_Done,
     /*  736281 */   // Label 11537: @736281
     /*  736281 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(736356), // Rule ID 22345 //
     /*  736286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  736297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  736300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  736306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11137:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  736335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736354 */     GIR_RootConstrainSelectedInstOperands,
     /*  736355 */     // GIR_Coverage, 22345,
     /*  736355 */     GIR_EraseRootFromParent_Done,
     /*  736356 */   // Label 11538: @736356
     /*  736356 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(736431), // Rule ID 22348 //
     /*  736361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  736410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736429 */     GIR_RootConstrainSelectedInstOperands,
     /*  736430 */     // GIR_Coverage, 22348,
     /*  736430 */     GIR_EraseRootFromParent_Done,
     /*  736431 */   // Label 11539: @736431
     /*  736431 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(736506), // Rule ID 22349 //
     /*  736436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  736485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736504 */     GIR_RootConstrainSelectedInstOperands,
     /*  736505 */     // GIR_Coverage, 22349,
     /*  736505 */     GIR_EraseRootFromParent_Done,
     /*  736506 */   // Label 11540: @736506
     /*  736506 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(736581), // Rule ID 22352 //
     /*  736511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  736560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736579 */     GIR_RootConstrainSelectedInstOperands,
     /*  736580 */     // GIR_Coverage, 22352,
     /*  736580 */     GIR_EraseRootFromParent_Done,
     /*  736581 */   // Label 11541: @736581
     /*  736581 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(736656), // Rule ID 22353 //
     /*  736586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  736635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736654 */     GIR_RootConstrainSelectedInstOperands,
     /*  736655 */     // GIR_Coverage, 22353,
     /*  736655 */     GIR_EraseRootFromParent_Done,
     /*  736656 */   // Label 11542: @736656
     /*  736656 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(736731), // Rule ID 22356 //
     /*  736661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  736710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736729 */     GIR_RootConstrainSelectedInstOperands,
     /*  736730 */     // GIR_Coverage, 22356,
     /*  736730 */     GIR_EraseRootFromParent_Done,
     /*  736731 */   // Label 11543: @736731
     /*  736731 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(736806), // Rule ID 22357 //
     /*  736736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  736744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  736747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  736750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  736753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  736756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11137:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  736785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736804 */     GIR_RootConstrainSelectedInstOperands,
     /*  736805 */     // GIR_Coverage, 22357,
     /*  736805 */     GIR_EraseRootFromParent_Done,
     /*  736806 */   // Label 11544: @736806
     /*  736806 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(736881), // Rule ID 22360 //
     /*  736811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  736819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  736857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  736860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736879 */     GIR_RootConstrainSelectedInstOperands,
     /*  736880 */     // GIR_Coverage, 22360,
     /*  736880 */     GIR_EraseRootFromParent_Done,
     /*  736881 */   // Label 11545: @736881
     /*  736881 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(736956), // Rule ID 22361 //
     /*  736886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  736894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  736903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  736932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  736935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  736939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  736951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736954 */     GIR_RootConstrainSelectedInstOperands,
     /*  736955 */     // GIR_Coverage, 22361,
     /*  736955 */     GIR_EraseRootFromParent_Done,
     /*  736956 */   // Label 11546: @736956
     /*  736956 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(737031), // Rule ID 22364 //
     /*  736961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  736969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  736972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  736975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  736978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  736981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  736996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  737010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737029 */     GIR_RootConstrainSelectedInstOperands,
     /*  737030 */     // GIR_Coverage, 22364,
     /*  737030 */     GIR_EraseRootFromParent_Done,
     /*  737031 */   // Label 11547: @737031
     /*  737031 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(737106), // Rule ID 22365 //
     /*  737036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  737053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737082 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  737085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737104 */     GIR_RootConstrainSelectedInstOperands,
     /*  737105 */     // GIR_Coverage, 22365,
     /*  737105 */     GIR_EraseRootFromParent_Done,
     /*  737106 */   // Label 11548: @737106
     /*  737106 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(737181), // Rule ID 22368 //
     /*  737111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  737160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737179 */     GIR_RootConstrainSelectedInstOperands,
     /*  737180 */     // GIR_Coverage, 22368,
     /*  737180 */     GIR_EraseRootFromParent_Done,
     /*  737181 */   // Label 11549: @737181
     /*  737181 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(737256), // Rule ID 22369 //
     /*  737186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  737235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737254 */     GIR_RootConstrainSelectedInstOperands,
     /*  737255 */     // GIR_Coverage, 22369,
     /*  737255 */     GIR_EraseRootFromParent_Done,
     /*  737256 */   // Label 11550: @737256
     /*  737256 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(737331), // Rule ID 22372 //
     /*  737261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  737310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737329 */     GIR_RootConstrainSelectedInstOperands,
     /*  737330 */     // GIR_Coverage, 22372,
     /*  737330 */     GIR_EraseRootFromParent_Done,
     /*  737331 */   // Label 11551: @737331
     /*  737331 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(737406), // Rule ID 22373 //
     /*  737336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  737385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737404 */     GIR_RootConstrainSelectedInstOperands,
     /*  737405 */     // GIR_Coverage, 22373,
     /*  737405 */     GIR_EraseRootFromParent_Done,
     /*  737406 */   // Label 11552: @737406
     /*  737406 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(737481), // Rule ID 22376 //
     /*  737411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  737460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737479 */     GIR_RootConstrainSelectedInstOperands,
     /*  737480 */     // GIR_Coverage, 22376,
     /*  737480 */     GIR_EraseRootFromParent_Done,
     /*  737481 */   // Label 11553: @737481
     /*  737481 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(737556), // Rule ID 22377 //
     /*  737486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  737535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737554 */     GIR_RootConstrainSelectedInstOperands,
     /*  737555 */     // GIR_Coverage, 22377,
     /*  737555 */     GIR_EraseRootFromParent_Done,
     /*  737556 */   // Label 11554: @737556
     /*  737556 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(737631), // Rule ID 22380 //
     /*  737561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  737607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  737610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737629 */     GIR_RootConstrainSelectedInstOperands,
     /*  737630 */     // GIR_Coverage, 22380,
     /*  737630 */     GIR_EraseRootFromParent_Done,
     /*  737631 */   // Label 11555: @737631
     /*  737631 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(737706), // Rule ID 22381 //
     /*  737636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  737647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  737650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  737656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  737682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  737685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  737701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737704 */     GIR_RootConstrainSelectedInstOperands,
     /*  737705 */     // GIR_Coverage, 22381,
     /*  737705 */     GIR_EraseRootFromParent_Done,
     /*  737706 */   // Label 11556: @737706
     /*  737706 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(737781), // Rule ID 22384 //
     /*  737711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  737760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737779 */     GIR_RootConstrainSelectedInstOperands,
     /*  737780 */     // GIR_Coverage, 22384,
     /*  737780 */     GIR_EraseRootFromParent_Done,
     /*  737781 */   // Label 11557: @737781
     /*  737781 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(737856), // Rule ID 22385 //
     /*  737786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  737797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  737800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  737803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  737806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  737835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737854 */     GIR_RootConstrainSelectedInstOperands,
     /*  737855 */     // GIR_Coverage, 22385,
     /*  737855 */     GIR_EraseRootFromParent_Done,
     /*  737856 */   // Label 11558: @737856
     /*  737856 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(737931), // Rule ID 22388 //
     /*  737861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  737910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737929 */     GIR_RootConstrainSelectedInstOperands,
     /*  737930 */     // GIR_Coverage, 22388,
     /*  737930 */     GIR_EraseRootFromParent_Done,
     /*  737931 */   // Label 11559: @737931
     /*  737931 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(738006), // Rule ID 22389 //
     /*  737936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  737944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  737947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  737950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  737953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  737956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  737985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  737989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738004 */     GIR_RootConstrainSelectedInstOperands,
     /*  738005 */     // GIR_Coverage, 22389,
     /*  738005 */     GIR_EraseRootFromParent_Done,
     /*  738006 */   // Label 11560: @738006
     /*  738006 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(738081), // Rule ID 22392 //
     /*  738011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  738060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738079 */     GIR_RootConstrainSelectedInstOperands,
     /*  738080 */     // GIR_Coverage, 22392,
     /*  738080 */     GIR_EraseRootFromParent_Done,
     /*  738081 */   // Label 11561: @738081
     /*  738081 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(738156), // Rule ID 22393 //
     /*  738086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  738106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  738135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738154 */     GIR_RootConstrainSelectedInstOperands,
     /*  738155 */     // GIR_Coverage, 22393,
     /*  738155 */     GIR_EraseRootFromParent_Done,
     /*  738156 */   // Label 11562: @738156
     /*  738156 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(738231), // Rule ID 22396 //
     /*  738161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  738181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  738210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738229 */     GIR_RootConstrainSelectedInstOperands,
     /*  738230 */     // GIR_Coverage, 22396,
     /*  738230 */     GIR_EraseRootFromParent_Done,
     /*  738231 */   // Label 11563: @738231
     /*  738231 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(738306), // Rule ID 22397 //
     /*  738236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  738256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  738285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738304 */     GIR_RootConstrainSelectedInstOperands,
     /*  738305 */     // GIR_Coverage, 22397,
     /*  738305 */     GIR_EraseRootFromParent_Done,
     /*  738306 */   // Label 11564: @738306
     /*  738306 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(738381), // Rule ID 22400 //
     /*  738311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  738360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738379 */     GIR_RootConstrainSelectedInstOperands,
     /*  738380 */     // GIR_Coverage, 22400,
     /*  738380 */     GIR_EraseRootFromParent_Done,
     /*  738381 */   // Label 11565: @738381
     /*  738381 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(738456), // Rule ID 22401 //
     /*  738386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738432 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  738435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738454 */     GIR_RootConstrainSelectedInstOperands,
     /*  738455 */     // GIR_Coverage, 22401,
     /*  738455 */     GIR_EraseRootFromParent_Done,
     /*  738456 */   // Label 11566: @738456
     /*  738456 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(738531), // Rule ID 22404 //
     /*  738461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738507 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  738510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738529 */     GIR_RootConstrainSelectedInstOperands,
     /*  738530 */     // GIR_Coverage, 22404,
     /*  738530 */     GIR_EraseRootFromParent_Done,
     /*  738531 */   // Label 11567: @738531
     /*  738531 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(738606), // Rule ID 22405 //
     /*  738536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  738585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738604 */     GIR_RootConstrainSelectedInstOperands,
     /*  738605 */     // GIR_Coverage, 22405,
     /*  738605 */     GIR_EraseRootFromParent_Done,
     /*  738606 */   // Label 11568: @738606
     /*  738606 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(738681), // Rule ID 22408 //
     /*  738611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  738660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738679 */     GIR_RootConstrainSelectedInstOperands,
     /*  738680 */     // GIR_Coverage, 22408,
     /*  738680 */     GIR_EraseRootFromParent_Done,
     /*  738681 */   // Label 11569: @738681
     /*  738681 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(738756), // Rule ID 22409 //
     /*  738686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  738703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  738706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  738721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11135:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  738735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738754 */     GIR_RootConstrainSelectedInstOperands,
     /*  738755 */     // GIR_Coverage, 22409,
     /*  738755 */     GIR_EraseRootFromParent_Done,
     /*  738756 */   // Label 11570: @738756
     /*  738756 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(738831), // Rule ID 22412 //
     /*  738761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  738810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738829 */     GIR_RootConstrainSelectedInstOperands,
     /*  738830 */     // GIR_Coverage, 22412,
     /*  738830 */     GIR_EraseRootFromParent_Done,
     /*  738831 */   // Label 11571: @738831
     /*  738831 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(738906), // Rule ID 22413 //
     /*  738836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  738853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  738885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738904 */     GIR_RootConstrainSelectedInstOperands,
     /*  738905 */     // GIR_Coverage, 22413,
     /*  738905 */     GIR_EraseRootFromParent_Done,
     /*  738906 */   // Label 11572: @738906
     /*  738906 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(738981), // Rule ID 22416 //
     /*  738911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  738928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  738931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  738960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  738964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738979 */     GIR_RootConstrainSelectedInstOperands,
     /*  738980 */     // GIR_Coverage, 22416,
     /*  738980 */     GIR_EraseRootFromParent_Done,
     /*  738981 */   // Label 11573: @738981
     /*  738981 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(739056), // Rule ID 22417 //
     /*  738986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  738994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  739035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739054 */     GIR_RootConstrainSelectedInstOperands,
     /*  739055 */     // GIR_Coverage, 22417,
     /*  739055 */     GIR_EraseRootFromParent_Done,
     /*  739056 */   // Label 11574: @739056
     /*  739056 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(739131), // Rule ID 22420 //
     /*  739061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  739110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739129 */     GIR_RootConstrainSelectedInstOperands,
     /*  739130 */     // GIR_Coverage, 22420,
     /*  739130 */     GIR_EraseRootFromParent_Done,
     /*  739131 */   // Label 11575: @739131
     /*  739131 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(739206), // Rule ID 22421 //
     /*  739136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  739147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  739150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  739156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11135:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  739185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739204 */     GIR_RootConstrainSelectedInstOperands,
     /*  739205 */     // GIR_Coverage, 22421,
     /*  739205 */     GIR_EraseRootFromParent_Done,
     /*  739206 */   // Label 11576: @739206
     /*  739206 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(739281), // Rule ID 22424 //
     /*  739211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  739260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739279 */     GIR_RootConstrainSelectedInstOperands,
     /*  739280 */     // GIR_Coverage, 22424,
     /*  739280 */     GIR_EraseRootFromParent_Done,
     /*  739281 */   // Label 11577: @739281
     /*  739281 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(739356), // Rule ID 22425 //
     /*  739286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  739335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739354 */     GIR_RootConstrainSelectedInstOperands,
     /*  739355 */     // GIR_Coverage, 22425,
     /*  739355 */     GIR_EraseRootFromParent_Done,
     /*  739356 */   // Label 11578: @739356
     /*  739356 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(739431), // Rule ID 22428 //
     /*  739361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  739410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739429 */     GIR_RootConstrainSelectedInstOperands,
     /*  739430 */     // GIR_Coverage, 22428,
     /*  739430 */     GIR_EraseRootFromParent_Done,
     /*  739431 */   // Label 11579: @739431
     /*  739431 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(739506), // Rule ID 22429 //
     /*  739436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  739485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739504 */     GIR_RootConstrainSelectedInstOperands,
     /*  739505 */     // GIR_Coverage, 22429,
     /*  739505 */     GIR_EraseRootFromParent_Done,
     /*  739506 */   // Label 11580: @739506
     /*  739506 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(739581), // Rule ID 22432 //
     /*  739511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  739560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739579 */     GIR_RootConstrainSelectedInstOperands,
     /*  739580 */     // GIR_Coverage, 22432,
     /*  739580 */     GIR_EraseRootFromParent_Done,
     /*  739581 */   // Label 11581: @739581
     /*  739581 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(739656), // Rule ID 22433 //
     /*  739586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  739597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  739600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  739606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11135:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  739635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739654 */     GIR_RootConstrainSelectedInstOperands,
     /*  739655 */     // GIR_Coverage, 22433,
     /*  739655 */     GIR_EraseRootFromParent_Done,
     /*  739656 */   // Label 11582: @739656
     /*  739656 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(739731), // Rule ID 22436 //
     /*  739661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  739710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739729 */     GIR_RootConstrainSelectedInstOperands,
     /*  739730 */     // GIR_Coverage, 22436,
     /*  739730 */     GIR_EraseRootFromParent_Done,
     /*  739731 */   // Label 11583: @739731
     /*  739731 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(739806), // Rule ID 22437 //
     /*  739736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  739753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  739785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739804 */     GIR_RootConstrainSelectedInstOperands,
     /*  739805 */     // GIR_Coverage, 22437,
     /*  739805 */     GIR_EraseRootFromParent_Done,
     /*  739806 */   // Label 11584: @739806
     /*  739806 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(739881), // Rule ID 22440 //
     /*  739811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  739857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  739860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739879 */     GIR_RootConstrainSelectedInstOperands,
     /*  739880 */     // GIR_Coverage, 22440,
     /*  739880 */     GIR_EraseRootFromParent_Done,
     /*  739881 */   // Label 11585: @739881
     /*  739881 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(739956), // Rule ID 22441 //
     /*  739886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  739889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  739903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  739932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  739935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  739939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  739951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739954 */     GIR_RootConstrainSelectedInstOperands,
     /*  739955 */     // GIR_Coverage, 22441,
     /*  739955 */     GIR_EraseRootFromParent_Done,
     /*  739956 */   // Label 11586: @739956
     /*  739956 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(740031), // Rule ID 22444 //
     /*  739961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  739964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  739969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  739972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  739975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  739978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  739981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  739992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  740010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740029 */     GIR_RootConstrainSelectedInstOperands,
     /*  740030 */     // GIR_Coverage, 22444,
     /*  740030 */     GIR_EraseRootFromParent_Done,
     /*  740031 */   // Label 11587: @740031
     /*  740031 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(740106), // Rule ID 22445 //
     /*  740036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  740044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  740047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  740050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  740053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  740056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11135:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  740085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740104 */     GIR_RootConstrainSelectedInstOperands,
     /*  740105 */     // GIR_Coverage, 22445,
     /*  740105 */     GIR_EraseRootFromParent_Done,
     /*  740106 */   // Label 11588: @740106
     /*  740106 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(740181), // Rule ID 22448 //
     /*  740111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  740160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740179 */     GIR_RootConstrainSelectedInstOperands,
     /*  740180 */     // GIR_Coverage, 22448,
     /*  740180 */     GIR_EraseRootFromParent_Done,
     /*  740181 */   // Label 11589: @740181
     /*  740181 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(740256), // Rule ID 22449 //
     /*  740186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740232 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  740235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740254 */     GIR_RootConstrainSelectedInstOperands,
     /*  740255 */     // GIR_Coverage, 22449,
     /*  740255 */     GIR_EraseRootFromParent_Done,
     /*  740256 */   // Label 11590: @740256
     /*  740256 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(740331), // Rule ID 22452 //
     /*  740261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  740310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740329 */     GIR_RootConstrainSelectedInstOperands,
     /*  740330 */     // GIR_Coverage, 22452,
     /*  740330 */     GIR_EraseRootFromParent_Done,
     /*  740331 */   // Label 11591: @740331
     /*  740331 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(740406), // Rule ID 22453 //
     /*  740336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  740385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740404 */     GIR_RootConstrainSelectedInstOperands,
     /*  740405 */     // GIR_Coverage, 22453,
     /*  740405 */     GIR_EraseRootFromParent_Done,
     /*  740406 */   // Label 11592: @740406
     /*  740406 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(740481), // Rule ID 22456 //
     /*  740411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740457 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  740460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740479 */     GIR_RootConstrainSelectedInstOperands,
     /*  740480 */     // GIR_Coverage, 22456,
     /*  740480 */     GIR_EraseRootFromParent_Done,
     /*  740481 */   // Label 11593: @740481
     /*  740481 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(740556), // Rule ID 22457 //
     /*  740486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  740497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  740500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  740506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740532 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  740535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740554 */     GIR_RootConstrainSelectedInstOperands,
     /*  740555 */     // GIR_Coverage, 22457,
     /*  740555 */     GIR_EraseRootFromParent_Done,
     /*  740556 */   // Label 11594: @740556
     /*  740556 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(740631), // Rule ID 22460 //
     /*  740561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  740610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740629 */     GIR_RootConstrainSelectedInstOperands,
     /*  740630 */     // GIR_Coverage, 22460,
     /*  740630 */     GIR_EraseRootFromParent_Done,
     /*  740631 */   // Label 11595: @740631
     /*  740631 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(740706), // Rule ID 22461 //
     /*  740636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  740685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740704 */     GIR_RootConstrainSelectedInstOperands,
     /*  740705 */     // GIR_Coverage, 22461,
     /*  740705 */     GIR_EraseRootFromParent_Done,
     /*  740706 */   // Label 11596: @740706
     /*  740706 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(740781), // Rule ID 22464 //
     /*  740711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  740757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  740760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740779 */     GIR_RootConstrainSelectedInstOperands,
     /*  740780 */     // GIR_Coverage, 22464,
     /*  740780 */     GIR_EraseRootFromParent_Done,
     /*  740781 */   // Label 11597: @740781
     /*  740781 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(740856), // Rule ID 22465 //
     /*  740786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  740797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  740800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  740803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  740806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  740832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  740835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  740851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740854 */     GIR_RootConstrainSelectedInstOperands,
     /*  740855 */     // GIR_Coverage, 22465,
     /*  740855 */     GIR_EraseRootFromParent_Done,
     /*  740856 */   // Label 11598: @740856
     /*  740856 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(740931), // Rule ID 22468 //
     /*  740861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  740907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  740910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740929 */     GIR_RootConstrainSelectedInstOperands,
     /*  740930 */     // GIR_Coverage, 22468,
     /*  740930 */     GIR_EraseRootFromParent_Done,
     /*  740931 */   // Label 11599: @740931
     /*  740931 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(741006), // Rule ID 22469 //
     /*  740936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  740944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  740947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  740950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  740953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  740956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  740985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  740989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741004 */     GIR_RootConstrainSelectedInstOperands,
     /*  741005 */     // GIR_Coverage, 22469,
     /*  741005 */     GIR_EraseRootFromParent_Done,
     /*  741006 */   // Label 11600: @741006
     /*  741006 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(741081), // Rule ID 22472 //
     /*  741011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  741060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741079 */     GIR_RootConstrainSelectedInstOperands,
     /*  741080 */     // GIR_Coverage, 22472,
     /*  741080 */     GIR_EraseRootFromParent_Done,
     /*  741081 */   // Label 11601: @741081
     /*  741081 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(741156), // Rule ID 22473 //
     /*  741086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  741135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741154 */     GIR_RootConstrainSelectedInstOperands,
     /*  741155 */     // GIR_Coverage, 22473,
     /*  741155 */     GIR_EraseRootFromParent_Done,
     /*  741156 */   // Label 11602: @741156
     /*  741156 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(741231), // Rule ID 22476 //
     /*  741161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741207 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  741210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741229 */     GIR_RootConstrainSelectedInstOperands,
     /*  741230 */     // GIR_Coverage, 22476,
     /*  741230 */     GIR_EraseRootFromParent_Done,
     /*  741231 */   // Label 11603: @741231
     /*  741231 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(741306), // Rule ID 22477 //
     /*  741236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  741285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741304 */     GIR_RootConstrainSelectedInstOperands,
     /*  741305 */     // GIR_Coverage, 22477,
     /*  741305 */     GIR_EraseRootFromParent_Done,
     /*  741306 */   // Label 11604: @741306
     /*  741306 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(741381), // Rule ID 22480 //
     /*  741311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741357 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  741360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741379 */     GIR_RootConstrainSelectedInstOperands,
     /*  741380 */     // GIR_Coverage, 22480,
     /*  741380 */     GIR_EraseRootFromParent_Done,
     /*  741381 */   // Label 11605: @741381
     /*  741381 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(741456), // Rule ID 22481 //
     /*  741386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741432 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  741435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741454 */     GIR_RootConstrainSelectedInstOperands,
     /*  741455 */     // GIR_Coverage, 22481,
     /*  741455 */     GIR_EraseRootFromParent_Done,
     /*  741456 */   // Label 11606: @741456
     /*  741456 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(741531), // Rule ID 22484 //
     /*  741461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741507 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  741510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741529 */     GIR_RootConstrainSelectedInstOperands,
     /*  741530 */     // GIR_Coverage, 22484,
     /*  741530 */     GIR_EraseRootFromParent_Done,
     /*  741531 */   // Label 11607: @741531
     /*  741531 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(741606), // Rule ID 22485 //
     /*  741536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  741585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741604 */     GIR_RootConstrainSelectedInstOperands,
     /*  741605 */     // GIR_Coverage, 22485,
     /*  741605 */     GIR_EraseRootFromParent_Done,
     /*  741606 */   // Label 11608: @741606
     /*  741606 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(741681), // Rule ID 22488 //
     /*  741611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741657 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  741660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741679 */     GIR_RootConstrainSelectedInstOperands,
     /*  741680 */     // GIR_Coverage, 22488,
     /*  741680 */     GIR_EraseRootFromParent_Done,
     /*  741681 */   // Label 11609: @741681
     /*  741681 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(741756), // Rule ID 22489 //
     /*  741686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  741703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  741721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  741735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741754 */     GIR_RootConstrainSelectedInstOperands,
     /*  741755 */     // GIR_Coverage, 22489,
     /*  741755 */     GIR_EraseRootFromParent_Done,
     /*  741756 */   // Label 11610: @741756
     /*  741756 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(741831), // Rule ID 22492 //
     /*  741761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  741810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741829 */     GIR_RootConstrainSelectedInstOperands,
     /*  741830 */     // GIR_Coverage, 22492,
     /*  741830 */     GIR_EraseRootFromParent_Done,
     /*  741831 */   // Label 11611: @741831
     /*  741831 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(741906), // Rule ID 22493 //
     /*  741836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  741853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  741871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741882 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  741885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741904 */     GIR_RootConstrainSelectedInstOperands,
     /*  741905 */     // GIR_Coverage, 22493,
     /*  741905 */     GIR_EraseRootFromParent_Done,
     /*  741906 */   // Label 11612: @741906
     /*  741906 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(741981), // Rule ID 22496 //
     /*  741911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  741928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  741946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  741960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  741964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741979 */     GIR_RootConstrainSelectedInstOperands,
     /*  741980 */     // GIR_Coverage, 22496,
     /*  741980 */     GIR_EraseRootFromParent_Done,
     /*  741981 */   // Label 11613: @741981
     /*  741981 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(742056), // Rule ID 22497 //
     /*  741986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  741994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  742000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  742003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  742006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742032 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11133:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  742035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742054 */     GIR_RootConstrainSelectedInstOperands,
     /*  742055 */     // GIR_Coverage, 22497,
     /*  742055 */     GIR_EraseRootFromParent_Done,
     /*  742056 */   // Label 11614: @742056
     /*  742056 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(742131), // Rule ID 22500 //
     /*  742061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  742110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742129 */     GIR_RootConstrainSelectedInstOperands,
     /*  742130 */     // GIR_Coverage, 22500,
     /*  742130 */     GIR_EraseRootFromParent_Done,
     /*  742131 */   // Label 11615: @742131
     /*  742131 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(742206), // Rule ID 22501 //
     /*  742136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  742185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742204 */     GIR_RootConstrainSelectedInstOperands,
     /*  742205 */     // GIR_Coverage, 22501,
     /*  742205 */     GIR_EraseRootFromParent_Done,
     /*  742206 */   // Label 11616: @742206
     /*  742206 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(742281), // Rule ID 22504 //
     /*  742211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742257 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  742260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742279 */     GIR_RootConstrainSelectedInstOperands,
     /*  742280 */     // GIR_Coverage, 22504,
     /*  742280 */     GIR_EraseRootFromParent_Done,
     /*  742281 */   // Label 11617: @742281
     /*  742281 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(742356), // Rule ID 22505 //
     /*  742286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742332 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  742335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742354 */     GIR_RootConstrainSelectedInstOperands,
     /*  742355 */     // GIR_Coverage, 22505,
     /*  742355 */     GIR_EraseRootFromParent_Done,
     /*  742356 */   // Label 11618: @742356
     /*  742356 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(742431), // Rule ID 22508 //
     /*  742361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742407 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  742410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742429 */     GIR_RootConstrainSelectedInstOperands,
     /*  742430 */     // GIR_Coverage, 22508,
     /*  742430 */     GIR_EraseRootFromParent_Done,
     /*  742431 */   // Label 11619: @742431
     /*  742431 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(742506), // Rule ID 22509 //
     /*  742436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  742447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  742450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  742456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11133:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  742485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742504 */     GIR_RootConstrainSelectedInstOperands,
     /*  742505 */     // GIR_Coverage, 22509,
     /*  742505 */     GIR_EraseRootFromParent_Done,
     /*  742506 */   // Label 11620: @742506
     /*  742506 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(742581), // Rule ID 22512 //
     /*  742511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  742560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742579 */     GIR_RootConstrainSelectedInstOperands,
     /*  742580 */     // GIR_Coverage, 22512,
     /*  742580 */     GIR_EraseRootFromParent_Done,
     /*  742581 */   // Label 11621: @742581
     /*  742581 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(742656), // Rule ID 22513 //
     /*  742586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  742635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742654 */     GIR_RootConstrainSelectedInstOperands,
     /*  742655 */     // GIR_Coverage, 22513,
     /*  742655 */     GIR_EraseRootFromParent_Done,
     /*  742656 */   // Label 11622: @742656
     /*  742656 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(742731), // Rule ID 22516 //
     /*  742661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  742710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742729 */     GIR_RootConstrainSelectedInstOperands,
     /*  742730 */     // GIR_Coverage, 22516,
     /*  742730 */     GIR_EraseRootFromParent_Done,
     /*  742731 */   // Label 11623: @742731
     /*  742731 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(742806), // Rule ID 22517 //
     /*  742736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  742753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  742785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742804 */     GIR_RootConstrainSelectedInstOperands,
     /*  742805 */     // GIR_Coverage, 22517,
     /*  742805 */     GIR_EraseRootFromParent_Done,
     /*  742806 */   // Label 11624: @742806
     /*  742806 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(742881), // Rule ID 22520 //
     /*  742811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742857 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  742860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742879 */     GIR_RootConstrainSelectedInstOperands,
     /*  742880 */     // GIR_Coverage, 22520,
     /*  742880 */     GIR_EraseRootFromParent_Done,
     /*  742881 */   // Label 11625: @742881
     /*  742881 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(742956), // Rule ID 22521 //
     /*  742886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  742897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  742900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  742903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  742906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742932 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  742932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  742935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  742939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742954 */     GIR_RootConstrainSelectedInstOperands,
     /*  742955 */     // GIR_Coverage, 22521,
     /*  742955 */     GIR_EraseRootFromParent_Done,
     /*  742956 */   // Label 11626: @742956
     /*  742956 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(743031), // Rule ID 22524 //
     /*  742961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  742964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  742969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  742972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  742975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  742978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  742981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  742992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  743010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743029 */     GIR_RootConstrainSelectedInstOperands,
     /*  743030 */     // GIR_Coverage, 22524,
     /*  743030 */     GIR_EraseRootFromParent_Done,
     /*  743031 */   // Label 11627: @743031
     /*  743031 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(743106), // Rule ID 22525 //
     /*  743036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  743044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  743053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  743085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743104 */     GIR_RootConstrainSelectedInstOperands,
     /*  743105 */     // GIR_Coverage, 22525,
     /*  743105 */     GIR_EraseRootFromParent_Done,
     /*  743106 */   // Label 11628: @743106
     /*  743106 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(743181), // Rule ID 22528 //
     /*  743111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  743119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743157 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  743160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743179 */     GIR_RootConstrainSelectedInstOperands,
     /*  743180 */     // GIR_Coverage, 22528,
     /*  743180 */     GIR_EraseRootFromParent_Done,
     /*  743181 */   // Label 11629: @743181
     /*  743181 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(743256), // Rule ID 22529 //
     /*  743186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  743194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  743235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743254 */     GIR_RootConstrainSelectedInstOperands,
     /*  743255 */     // GIR_Coverage, 22529,
     /*  743255 */     GIR_EraseRootFromParent_Done,
     /*  743256 */   // Label 11630: @743256
     /*  743256 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(743331), // Rule ID 22532 //
     /*  743261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  743269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  743310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743329 */     GIR_RootConstrainSelectedInstOperands,
     /*  743330 */     // GIR_Coverage, 22532,
     /*  743330 */     GIR_EraseRootFromParent_Done,
     /*  743331 */   // Label 11631: @743331
     /*  743331 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(743406), // Rule ID 22533 //
     /*  743336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  743344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  743347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  743350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  743356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743382 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  743385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743404 */     GIR_RootConstrainSelectedInstOperands,
     /*  743405 */     // GIR_Coverage, 22533,
     /*  743405 */     GIR_EraseRootFromParent_Done,
     /*  743406 */   // Label 11632: @743406
     /*  743406 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(743481), // Rule ID 22536 //
     /*  743411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  743460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743479 */     GIR_RootConstrainSelectedInstOperands,
     /*  743480 */     // GIR_Coverage, 22536,
     /*  743480 */     GIR_EraseRootFromParent_Done,
     /*  743481 */   // Label 11633: @743481
     /*  743481 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(743556), // Rule ID 22537 //
     /*  743486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  743535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743554 */     GIR_RootConstrainSelectedInstOperands,
     /*  743555 */     // GIR_Coverage, 22537,
     /*  743555 */     GIR_EraseRootFromParent_Done,
     /*  743556 */   // Label 11634: @743556
     /*  743556 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(743631), // Rule ID 22540 //
     /*  743561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  743610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743629 */     GIR_RootConstrainSelectedInstOperands,
     /*  743630 */     // GIR_Coverage, 22540,
     /*  743630 */     GIR_EraseRootFromParent_Done,
     /*  743631 */   // Label 11635: @743631
     /*  743631 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(743706), // Rule ID 22541 //
     /*  743636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743682 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  743685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743704 */     GIR_RootConstrainSelectedInstOperands,
     /*  743705 */     // GIR_Coverage, 22541,
     /*  743705 */     GIR_EraseRootFromParent_Done,
     /*  743706 */   // Label 11636: @743706
     /*  743706 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(743781), // Rule ID 22544 //
     /*  743711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743757 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  743760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743779 */     GIR_RootConstrainSelectedInstOperands,
     /*  743780 */     // GIR_Coverage, 22544,
     /*  743780 */     GIR_EraseRootFromParent_Done,
     /*  743781 */   // Label 11637: @743781
     /*  743781 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(743856), // Rule ID 22545 //
     /*  743786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  743797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  743800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  743803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  743806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  743835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743854 */     GIR_RootConstrainSelectedInstOperands,
     /*  743855 */     // GIR_Coverage, 22545,
     /*  743855 */     GIR_EraseRootFromParent_Done,
     /*  743856 */   // Label 11638: @743856
     /*  743856 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(743931), // Rule ID 22548 //
     /*  743861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  743907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  743910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  743926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743929 */     GIR_RootConstrainSelectedInstOperands,
     /*  743930 */     // GIR_Coverage, 22548,
     /*  743930 */     GIR_EraseRootFromParent_Done,
     /*  743931 */   // Label 11639: @743931
     /*  743931 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(744006), // Rule ID 22549 //
     /*  743936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  743944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  743947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  743950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  743953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  743956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  743982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  743985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  743989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744004 */     GIR_RootConstrainSelectedInstOperands,
     /*  744005 */     // GIR_Coverage, 22549,
     /*  744005 */     GIR_EraseRootFromParent_Done,
     /*  744006 */   // Label 11640: @744006
     /*  744006 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(744081), // Rule ID 22552 //
     /*  744011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744057 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  744060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744079 */     GIR_RootConstrainSelectedInstOperands,
     /*  744080 */     // GIR_Coverage, 22552,
     /*  744080 */     GIR_EraseRootFromParent_Done,
     /*  744081 */   // Label 11641: @744081
     /*  744081 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(744156), // Rule ID 22553 //
     /*  744086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  744135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744154 */     GIR_RootConstrainSelectedInstOperands,
     /*  744155 */     // GIR_Coverage, 22553,
     /*  744155 */     GIR_EraseRootFromParent_Done,
     /*  744156 */   // Label 11642: @744156
     /*  744156 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(744231), // Rule ID 22556 //
     /*  744161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  744210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744229 */     GIR_RootConstrainSelectedInstOperands,
     /*  744230 */     // GIR_Coverage, 22556,
     /*  744230 */     GIR_EraseRootFromParent_Done,
     /*  744231 */   // Label 11643: @744231
     /*  744231 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(744306), // Rule ID 22557 //
     /*  744236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744282 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  744285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744304 */     GIR_RootConstrainSelectedInstOperands,
     /*  744305 */     // GIR_Coverage, 22557,
     /*  744305 */     GIR_EraseRootFromParent_Done,
     /*  744306 */   // Label 11644: @744306
     /*  744306 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(744381), // Rule ID 22560 //
     /*  744311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744357 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  744360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744379 */     GIR_RootConstrainSelectedInstOperands,
     /*  744380 */     // GIR_Coverage, 22560,
     /*  744380 */     GIR_EraseRootFromParent_Done,
     /*  744381 */   // Label 11645: @744381
     /*  744381 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(744456), // Rule ID 22561 //
     /*  744386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744432 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  744435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744454 */     GIR_RootConstrainSelectedInstOperands,
     /*  744455 */     // GIR_Coverage, 22561,
     /*  744455 */     GIR_EraseRootFromParent_Done,
     /*  744456 */   // Label 11646: @744456
     /*  744456 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(744531), // Rule ID 22564 //
     /*  744461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  744510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744529 */     GIR_RootConstrainSelectedInstOperands,
     /*  744530 */     // GIR_Coverage, 22564,
     /*  744530 */     GIR_EraseRootFromParent_Done,
     /*  744531 */   // Label 11647: @744531
     /*  744531 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(744606), // Rule ID 22565 //
     /*  744536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  744547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  744550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  744556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  744585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744604 */     GIR_RootConstrainSelectedInstOperands,
     /*  744605 */     // GIR_Coverage, 22565,
     /*  744605 */     GIR_EraseRootFromParent_Done,
     /*  744606 */   // Label 11648: @744606
     /*  744606 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(744681), // Rule ID 22568 //
     /*  744611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744657 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  744660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744679 */     GIR_RootConstrainSelectedInstOperands,
     /*  744680 */     // GIR_Coverage, 22568,
     /*  744680 */     GIR_EraseRootFromParent_Done,
     /*  744681 */   // Label 11649: @744681
     /*  744681 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(744756), // Rule ID 22569 //
     /*  744686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  744697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  744700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  744703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  744706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  744735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744754 */     GIR_RootConstrainSelectedInstOperands,
     /*  744755 */     // GIR_Coverage, 22569,
     /*  744755 */     GIR_EraseRootFromParent_Done,
     /*  744756 */   // Label 11650: @744756
     /*  744756 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(744831), // Rule ID 22572 //
     /*  744761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  744810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744829 */     GIR_RootConstrainSelectedInstOperands,
     /*  744830 */     // GIR_Coverage, 22572,
     /*  744830 */     GIR_EraseRootFromParent_Done,
     /*  744831 */   // Label 11651: @744831
     /*  744831 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(744906), // Rule ID 22573 //
     /*  744836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  744853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  744871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  744885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744904 */     GIR_RootConstrainSelectedInstOperands,
     /*  744905 */     // GIR_Coverage, 22573,
     /*  744905 */     GIR_EraseRootFromParent_Done,
     /*  744906 */   // Label 11652: @744906
     /*  744906 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(744981), // Rule ID 22576 //
     /*  744911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  744928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  744931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  744946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744957 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  744960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  744964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744979 */     GIR_RootConstrainSelectedInstOperands,
     /*  744980 */     // GIR_Coverage, 22576,
     /*  744980 */     GIR_EraseRootFromParent_Done,
     /*  744981 */   // Label 11653: @744981
     /*  744981 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(745056), // Rule ID 22577 //
     /*  744986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  744994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  745035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745054 */     GIR_RootConstrainSelectedInstOperands,
     /*  745055 */     // GIR_Coverage, 22577,
     /*  745055 */     GIR_EraseRootFromParent_Done,
     /*  745056 */   // Label 11654: @745056
     /*  745056 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(745131), // Rule ID 22580 //
     /*  745061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  745110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745129 */     GIR_RootConstrainSelectedInstOperands,
     /*  745130 */     // GIR_Coverage, 22580,
     /*  745130 */     GIR_EraseRootFromParent_Done,
     /*  745131 */   // Label 11655: @745131
     /*  745131 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(745206), // Rule ID 22581 //
     /*  745136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  745147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  745150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  745156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11297:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  745185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745204 */     GIR_RootConstrainSelectedInstOperands,
     /*  745205 */     // GIR_Coverage, 22581,
     /*  745205 */     GIR_EraseRootFromParent_Done,
     /*  745206 */   // Label 11656: @745206
     /*  745206 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(745281), // Rule ID 22584 //
     /*  745211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  745260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745279 */     GIR_RootConstrainSelectedInstOperands,
     /*  745280 */     // GIR_Coverage, 22584,
     /*  745280 */     GIR_EraseRootFromParent_Done,
     /*  745281 */   // Label 11657: @745281
     /*  745281 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(745356), // Rule ID 22585 //
     /*  745286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  745335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745354 */     GIR_RootConstrainSelectedInstOperands,
     /*  745355 */     // GIR_Coverage, 22585,
     /*  745355 */     GIR_EraseRootFromParent_Done,
     /*  745356 */   // Label 11658: @745356
     /*  745356 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(745431), // Rule ID 22588 //
     /*  745361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745407 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  745410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745429 */     GIR_RootConstrainSelectedInstOperands,
     /*  745430 */     // GIR_Coverage, 22588,
     /*  745430 */     GIR_EraseRootFromParent_Done,
     /*  745431 */   // Label 11659: @745431
     /*  745431 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(745506), // Rule ID 22589 //
     /*  745436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745482 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  745485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745504 */     GIR_RootConstrainSelectedInstOperands,
     /*  745505 */     // GIR_Coverage, 22589,
     /*  745505 */     GIR_EraseRootFromParent_Done,
     /*  745506 */   // Label 11660: @745506
     /*  745506 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(745581), // Rule ID 22592 //
     /*  745511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  745560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745579 */     GIR_RootConstrainSelectedInstOperands,
     /*  745580 */     // GIR_Coverage, 22592,
     /*  745580 */     GIR_EraseRootFromParent_Done,
     /*  745581 */   // Label 11661: @745581
     /*  745581 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(745656), // Rule ID 22593 //
     /*  745586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  745603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  745606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11297:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  745635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745654 */     GIR_RootConstrainSelectedInstOperands,
     /*  745655 */     // GIR_Coverage, 22593,
     /*  745655 */     GIR_EraseRootFromParent_Done,
     /*  745656 */   // Label 11662: @745656
     /*  745656 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(745731), // Rule ID 22596 //
     /*  745661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  745710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745729 */     GIR_RootConstrainSelectedInstOperands,
     /*  745730 */     // GIR_Coverage, 22596,
     /*  745730 */     GIR_EraseRootFromParent_Done,
     /*  745731 */   // Label 11663: @745731
     /*  745731 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(745806), // Rule ID 22597 //
     /*  745736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  745753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  745785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745804 */     GIR_RootConstrainSelectedInstOperands,
     /*  745805 */     // GIR_Coverage, 22597,
     /*  745805 */     GIR_EraseRootFromParent_Done,
     /*  745806 */   // Label 11664: @745806
     /*  745806 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(745881), // Rule ID 22600 //
     /*  745811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  745860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745879 */     GIR_RootConstrainSelectedInstOperands,
     /*  745880 */     // GIR_Coverage, 22600,
     /*  745880 */     GIR_EraseRootFromParent_Done,
     /*  745881 */   // Label 11665: @745881
     /*  745881 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(745956), // Rule ID 22601 //
     /*  745886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  745903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  745935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  745939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745954 */     GIR_RootConstrainSelectedInstOperands,
     /*  745955 */     // GIR_Coverage, 22601,
     /*  745955 */     GIR_EraseRootFromParent_Done,
     /*  745956 */   // Label 11666: @745956
     /*  745956 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(746031), // Rule ID 22604 //
     /*  745961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  745969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  745978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  745981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  746010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746029 */     GIR_RootConstrainSelectedInstOperands,
     /*  746030 */     // GIR_Coverage, 22604,
     /*  746030 */     GIR_EraseRootFromParent_Done,
     /*  746031 */   // Label 11667: @746031
     /*  746031 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(746106), // Rule ID 22605 //
     /*  746036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  746044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  746053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  746056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746082 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11297:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  746085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746104 */     GIR_RootConstrainSelectedInstOperands,
     /*  746105 */     // GIR_Coverage, 22605,
     /*  746105 */     GIR_EraseRootFromParent_Done,
     /*  746106 */   // Label 11668: @746106
     /*  746106 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(746181), // Rule ID 22608 //
     /*  746111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  746160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746179 */     GIR_RootConstrainSelectedInstOperands,
     /*  746180 */     // GIR_Coverage, 22608,
     /*  746180 */     GIR_EraseRootFromParent_Done,
     /*  746181 */   // Label 11669: @746181
     /*  746181 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(746256), // Rule ID 22609 //
     /*  746186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  746203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  746235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746254 */     GIR_RootConstrainSelectedInstOperands,
     /*  746255 */     // GIR_Coverage, 22609,
     /*  746255 */     GIR_EraseRootFromParent_Done,
     /*  746256 */   // Label 11670: @746256
     /*  746256 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(746331), // Rule ID 22612 //
     /*  746261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  746310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746329 */     GIR_RootConstrainSelectedInstOperands,
     /*  746330 */     // GIR_Coverage, 22612,
     /*  746330 */     GIR_EraseRootFromParent_Done,
     /*  746331 */   // Label 11671: @746331
     /*  746331 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(746406), // Rule ID 22613 //
     /*  746336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  746353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  746385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746404 */     GIR_RootConstrainSelectedInstOperands,
     /*  746405 */     // GIR_Coverage, 22613,
     /*  746405 */     GIR_EraseRootFromParent_Done,
     /*  746406 */   // Label 11672: @746406
     /*  746406 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(746481), // Rule ID 22616 //
     /*  746411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746457 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  746457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  746460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746479 */     GIR_RootConstrainSelectedInstOperands,
     /*  746480 */     // GIR_Coverage, 22616,
     /*  746480 */     GIR_EraseRootFromParent_Done,
     /*  746481 */   // Label 11673: @746481
     /*  746481 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(746556), // Rule ID 22617 //
     /*  746486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  746497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  746500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  746503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  746506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  746532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  746535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  746551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746554 */     GIR_RootConstrainSelectedInstOperands,
     /*  746555 */     // GIR_Coverage, 22617,
     /*  746555 */     GIR_EraseRootFromParent_Done,
     /*  746556 */   // Label 11674: @746556
     /*  746556 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(746631), // Rule ID 22620 //
     /*  746561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  746610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746629 */     GIR_RootConstrainSelectedInstOperands,
     /*  746630 */     // GIR_Coverage, 22620,
     /*  746630 */     GIR_EraseRootFromParent_Done,
     /*  746631 */   // Label 11675: @746631
     /*  746631 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(746706), // Rule ID 22621 //
     /*  746636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  746653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  746685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746704 */     GIR_RootConstrainSelectedInstOperands,
     /*  746705 */     // GIR_Coverage, 22621,
     /*  746705 */     GIR_EraseRootFromParent_Done,
     /*  746706 */   // Label 11676: @746706
     /*  746706 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(746781), // Rule ID 22624 //
     /*  746711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  746760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746779 */     GIR_RootConstrainSelectedInstOperands,
     /*  746780 */     // GIR_Coverage, 22624,
     /*  746780 */     GIR_EraseRootFromParent_Done,
     /*  746781 */   // Label 11677: @746781
     /*  746781 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(746856), // Rule ID 22625 //
     /*  746786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  746797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  746800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  746803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  746806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  746835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746854 */     GIR_RootConstrainSelectedInstOperands,
     /*  746855 */     // GIR_Coverage, 22625,
     /*  746855 */     GIR_EraseRootFromParent_Done,
     /*  746856 */   // Label 11678: @746856
     /*  746856 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(746931), // Rule ID 22628 //
     /*  746861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  746881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746907 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  746910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746929 */     GIR_RootConstrainSelectedInstOperands,
     /*  746930 */     // GIR_Coverage, 22628,
     /*  746930 */     GIR_EraseRootFromParent_Done,
     /*  746931 */   // Label 11679: @746931
     /*  746931 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(747006), // Rule ID 22629 //
     /*  746936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  746944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  746947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  746950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  746953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  746956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  746975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  746985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  746989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747004 */     GIR_RootConstrainSelectedInstOperands,
     /*  747005 */     // GIR_Coverage, 22629,
     /*  747005 */     GIR_EraseRootFromParent_Done,
     /*  747006 */   // Label 11680: @747006
     /*  747006 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(747081), // Rule ID 22632 //
     /*  747011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  747060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747079 */     GIR_RootConstrainSelectedInstOperands,
     /*  747080 */     // GIR_Coverage, 22632,
     /*  747080 */     GIR_EraseRootFromParent_Done,
     /*  747081 */   // Label 11681: @747081
     /*  747081 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(747156), // Rule ID 22633 //
     /*  747086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747132 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  747135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747154 */     GIR_RootConstrainSelectedInstOperands,
     /*  747155 */     // GIR_Coverage, 22633,
     /*  747155 */     GIR_EraseRootFromParent_Done,
     /*  747156 */   // Label 11682: @747156
     /*  747156 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(747231), // Rule ID 22636 //
     /*  747161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  747210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747229 */     GIR_RootConstrainSelectedInstOperands,
     /*  747230 */     // GIR_Coverage, 22636,
     /*  747230 */     GIR_EraseRootFromParent_Done,
     /*  747231 */   // Label 11683: @747231
     /*  747231 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(747306), // Rule ID 22637 //
     /*  747236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  747253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  747282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  747285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747304 */     GIR_RootConstrainSelectedInstOperands,
     /*  747305 */     // GIR_Coverage, 22637,
     /*  747305 */     GIR_EraseRootFromParent_Done,
     /*  747306 */   // Label 11684: @747306
     /*  747306 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(747381), // Rule ID 22640 //
     /*  747311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  747328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  747357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  747360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747379 */     GIR_RootConstrainSelectedInstOperands,
     /*  747380 */     // GIR_Coverage, 22640,
     /*  747380 */     GIR_EraseRootFromParent_Done,
     /*  747381 */   // Label 11685: @747381
     /*  747381 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(747456), // Rule ID 22641 //
     /*  747386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  747397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  747400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  747403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  747406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  747432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  747435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  747451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747454 */     GIR_RootConstrainSelectedInstOperands,
     /*  747455 */     // GIR_Coverage, 22641,
     /*  747455 */     GIR_EraseRootFromParent_Done,
     /*  747456 */   // Label 11686: @747456
     /*  747456 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(747531), // Rule ID 22644 //
     /*  747461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  747510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747529 */     GIR_RootConstrainSelectedInstOperands,
     /*  747530 */     // GIR_Coverage, 22644,
     /*  747530 */     GIR_EraseRootFromParent_Done,
     /*  747531 */   // Label 11687: @747531
     /*  747531 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(747606), // Rule ID 22645 //
     /*  747536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  747585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747604 */     GIR_RootConstrainSelectedInstOperands,
     /*  747605 */     // GIR_Coverage, 22645,
     /*  747605 */     GIR_EraseRootFromParent_Done,
     /*  747606 */   // Label 11688: @747606
     /*  747606 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(747681), // Rule ID 22648 //
     /*  747611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  747660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747679 */     GIR_RootConstrainSelectedInstOperands,
     /*  747680 */     // GIR_Coverage, 22648,
     /*  747680 */     GIR_EraseRootFromParent_Done,
     /*  747681 */   // Label 11689: @747681
     /*  747681 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(747756), // Rule ID 22649 //
     /*  747686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747732 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  747735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747754 */     GIR_RootConstrainSelectedInstOperands,
     /*  747755 */     // GIR_Coverage, 22649,
     /*  747755 */     GIR_EraseRootFromParent_Done,
     /*  747756 */   // Label 11690: @747756
     /*  747756 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(747831), // Rule ID 22652 //
     /*  747761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  747778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747807 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  747810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747829 */     GIR_RootConstrainSelectedInstOperands,
     /*  747830 */     // GIR_Coverage, 22652,
     /*  747830 */     GIR_EraseRootFromParent_Done,
     /*  747831 */   // Label 11691: @747831
     /*  747831 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(747906), // Rule ID 22653 //
     /*  747836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  747853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  747856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11295:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  747885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747904 */     GIR_RootConstrainSelectedInstOperands,
     /*  747905 */     // GIR_Coverage, 22653,
     /*  747905 */     GIR_EraseRootFromParent_Done,
     /*  747906 */   // Label 11692: @747906
     /*  747906 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(747981), // Rule ID 22656 //
     /*  747911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  747925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  747928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  747931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747957 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  747957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  747960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  747964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  747976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747979 */     GIR_RootConstrainSelectedInstOperands,
     /*  747980 */     // GIR_Coverage, 22656,
     /*  747980 */     GIR_EraseRootFromParent_Done,
     /*  747981 */   // Label 11693: @747981
     /*  747981 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(748056), // Rule ID 22657 //
     /*  747986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  747994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  747997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  748035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748054 */     GIR_RootConstrainSelectedInstOperands,
     /*  748055 */     // GIR_Coverage, 22657,
     /*  748055 */     GIR_EraseRootFromParent_Done,
     /*  748056 */   // Label 11694: @748056
     /*  748056 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(748131), // Rule ID 22660 //
     /*  748061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  748110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748129 */     GIR_RootConstrainSelectedInstOperands,
     /*  748130 */     // GIR_Coverage, 22660,
     /*  748130 */     GIR_EraseRootFromParent_Done,
     /*  748131 */   // Label 11695: @748131
     /*  748131 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(748206), // Rule ID 22661 //
     /*  748136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748182 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  748185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748204 */     GIR_RootConstrainSelectedInstOperands,
     /*  748205 */     // GIR_Coverage, 22661,
     /*  748205 */     GIR_EraseRootFromParent_Done,
     /*  748206 */   // Label 11696: @748206
     /*  748206 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(748281), // Rule ID 22664 //
     /*  748211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  748228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748257 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  748260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748279 */     GIR_RootConstrainSelectedInstOperands,
     /*  748280 */     // GIR_Coverage, 22664,
     /*  748280 */     GIR_EraseRootFromParent_Done,
     /*  748281 */   // Label 11697: @748281
     /*  748281 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(748356), // Rule ID 22665 //
     /*  748286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  748303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748332 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  748335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748354 */     GIR_RootConstrainSelectedInstOperands,
     /*  748355 */     // GIR_Coverage, 22665,
     /*  748355 */     GIR_EraseRootFromParent_Done,
     /*  748356 */   // Label 11698: @748356
     /*  748356 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(748431), // Rule ID 22668 //
     /*  748361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  748410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748429 */     GIR_RootConstrainSelectedInstOperands,
     /*  748430 */     // GIR_Coverage, 22668,
     /*  748430 */     GIR_EraseRootFromParent_Done,
     /*  748431 */   // Label 11699: @748431
     /*  748431 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(748506), // Rule ID 22669 //
     /*  748436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  748453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  748485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748504 */     GIR_RootConstrainSelectedInstOperands,
     /*  748505 */     // GIR_Coverage, 22669,
     /*  748505 */     GIR_EraseRootFromParent_Done,
     /*  748506 */   // Label 11700: @748506
     /*  748506 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(748581), // Rule ID 22672 //
     /*  748511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748557 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  748560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748579 */     GIR_RootConstrainSelectedInstOperands,
     /*  748580 */     // GIR_Coverage, 22672,
     /*  748580 */     GIR_EraseRootFromParent_Done,
     /*  748581 */   // Label 11701: @748581
     /*  748581 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(748656), // Rule ID 22673 //
     /*  748586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  748603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  748635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748654 */     GIR_RootConstrainSelectedInstOperands,
     /*  748655 */     // GIR_Coverage, 22673,
     /*  748655 */     GIR_EraseRootFromParent_Done,
     /*  748656 */   // Label 11702: @748656
     /*  748656 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(748731), // Rule ID 22676 //
     /*  748661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  748678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  748710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748729 */     GIR_RootConstrainSelectedInstOperands,
     /*  748730 */     // GIR_Coverage, 22676,
     /*  748730 */     GIR_EraseRootFromParent_Done,
     /*  748731 */   // Label 11703: @748731
     /*  748731 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(748806), // Rule ID 22677 //
     /*  748736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  748744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  748753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  748756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748782 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  748785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748804 */     GIR_RootConstrainSelectedInstOperands,
     /*  748805 */     // GIR_Coverage, 22677,
     /*  748805 */     GIR_EraseRootFromParent_Done,
     /*  748806 */   // Label 11704: @748806
     /*  748806 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(748881), // Rule ID 22796 //
     /*  748811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  748814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  748819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748857 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  748860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748879 */     GIR_RootConstrainSelectedInstOperands,
     /*  748880 */     // GIR_Coverage, 22796,
     /*  748880 */     GIR_EraseRootFromParent_Done,
     /*  748881 */   // Label 11705: @748881
     /*  748881 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(748956), // Rule ID 22797 //
     /*  748886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  748889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  748894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748932 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  748935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  748939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748954 */     GIR_RootConstrainSelectedInstOperands,
     /*  748955 */     // GIR_Coverage, 22797,
     /*  748955 */     GIR_EraseRootFromParent_Done,
     /*  748956 */   // Label 11706: @748956
     /*  748956 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(749031), // Rule ID 22800 //
     /*  748961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  748964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  748969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  748972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  748975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749007 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  749010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749029 */     GIR_RootConstrainSelectedInstOperands,
     /*  749030 */     // GIR_Coverage, 22800,
     /*  749030 */     GIR_EraseRootFromParent_Done,
     /*  749031 */   // Label 11707: @749031
     /*  749031 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(749106), // Rule ID 22801 //
     /*  749036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  749039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  749053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  749085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749104 */     GIR_RootConstrainSelectedInstOperands,
     /*  749105 */     // GIR_Coverage, 22801,
     /*  749105 */     GIR_EraseRootFromParent_Done,
     /*  749106 */   // Label 11708: @749106
     /*  749106 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(749181), // Rule ID 22804 //
     /*  749111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  749114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749157 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  749160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749179 */     GIR_RootConstrainSelectedInstOperands,
     /*  749180 */     // GIR_Coverage, 22804,
     /*  749180 */     GIR_EraseRootFromParent_Done,
     /*  749181 */   // Label 11709: @749181
     /*  749181 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(749256), // Rule ID 22805 //
     /*  749186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  749189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  749203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  749235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749254 */     GIR_RootConstrainSelectedInstOperands,
     /*  749255 */     // GIR_Coverage, 22805,
     /*  749255 */     GIR_EraseRootFromParent_Done,
     /*  749256 */   // Label 11710: @749256
     /*  749256 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(749331), // Rule ID 22808 //
     /*  749261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  749264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749307 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  749310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749329 */     GIR_RootConstrainSelectedInstOperands,
     /*  749330 */     // GIR_Coverage, 22808,
     /*  749330 */     GIR_EraseRootFromParent_Done,
     /*  749331 */   // Label 11711: @749331
     /*  749331 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(749406), // Rule ID 22809 //
     /*  749336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  749339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  749353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  749385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749404 */     GIR_RootConstrainSelectedInstOperands,
     /*  749405 */     // GIR_Coverage, 22809,
     /*  749405 */     GIR_EraseRootFromParent_Done,
     /*  749406 */   // Label 11712: @749406
     /*  749406 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(749481), // Rule ID 22812 //
     /*  749411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  749414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  749460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749479 */     GIR_RootConstrainSelectedInstOperands,
     /*  749480 */     // GIR_Coverage, 22812,
     /*  749480 */     GIR_EraseRootFromParent_Done,
     /*  749481 */   // Label 11713: @749481
     /*  749481 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(749556), // Rule ID 22813 //
     /*  749486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  749489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  749497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  749500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  749535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749554 */     GIR_RootConstrainSelectedInstOperands,
     /*  749555 */     // GIR_Coverage, 22813,
     /*  749555 */     GIR_EraseRootFromParent_Done,
     /*  749556 */   // Label 11714: @749556
     /*  749556 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(749631), // Rule ID 22816 //
     /*  749561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  749564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  749578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  749581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749607 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  749607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  749610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  749626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749629 */     GIR_RootConstrainSelectedInstOperands,
     /*  749630 */     // GIR_Coverage, 22816,
     /*  749630 */     GIR_EraseRootFromParent_Done,
     /*  749631 */   // Label 11715: @749631
     /*  749631 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(749706), // Rule ID 22817 //
     /*  749636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  749639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  749647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  749650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  749653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  749656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749682 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  749682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  749685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  749701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749704 */     GIR_RootConstrainSelectedInstOperands,
     /*  749705 */     // GIR_Coverage, 22817,
     /*  749705 */     GIR_EraseRootFromParent_Done,
     /*  749706 */   // Label 11716: @749706
     /*  749706 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(749781), // Rule ID 22820 //
     /*  749711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  749714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  749728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749757 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  749760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749779 */     GIR_RootConstrainSelectedInstOperands,
     /*  749780 */     // GIR_Coverage, 22820,
     /*  749780 */     GIR_EraseRootFromParent_Done,
     /*  749781 */   // Label 11717: @749781
     /*  749781 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(749856), // Rule ID 22821 //
     /*  749786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  749789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  749803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749832 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  749835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749854 */     GIR_RootConstrainSelectedInstOperands,
     /*  749855 */     // GIR_Coverage, 22821,
     /*  749855 */     GIR_EraseRootFromParent_Done,
     /*  749856 */   // Label 11718: @749856
     /*  749856 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(749931), // Rule ID 22824 //
     /*  749861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  749864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  749878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  749907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  749910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  749926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749929 */     GIR_RootConstrainSelectedInstOperands,
     /*  749930 */     // GIR_Coverage, 22824,
     /*  749930 */     GIR_EraseRootFromParent_Done,
     /*  749931 */   // Label 11719: @749931
     /*  749931 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(750006), // Rule ID 22825 //
     /*  749936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  749939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  749944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  749953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  749956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749982 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  749982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  749985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  749989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750004 */     GIR_RootConstrainSelectedInstOperands,
     /*  750005 */     // GIR_Coverage, 22825,
     /*  750005 */     GIR_EraseRootFromParent_Done,
     /*  750006 */   // Label 11720: @750006
     /*  750006 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(750081), // Rule ID 22828 //
     /*  750011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  750014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  750028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750057 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  750060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750079 */     GIR_RootConstrainSelectedInstOperands,
     /*  750080 */     // GIR_Coverage, 22828,
     /*  750080 */     GIR_EraseRootFromParent_Done,
     /*  750081 */   // Label 11721: @750081
     /*  750081 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(750156), // Rule ID 22829 //
     /*  750086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  750089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  750097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  750100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  750103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  750106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10889:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  750135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750154 */     GIR_RootConstrainSelectedInstOperands,
     /*  750155 */     // GIR_Coverage, 22829,
     /*  750155 */     GIR_EraseRootFromParent_Done,
     /*  750156 */   // Label 11722: @750156
     /*  750156 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(750231), // Rule ID 22832 //
     /*  750161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  750164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750207 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  750210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750229 */     GIR_RootConstrainSelectedInstOperands,
     /*  750230 */     // GIR_Coverage, 22832,
     /*  750230 */     GIR_EraseRootFromParent_Done,
     /*  750231 */   // Label 11723: @750231
     /*  750231 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(750306), // Rule ID 22833 //
     /*  750236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  750239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  750253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750282 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  750285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750304 */     GIR_RootConstrainSelectedInstOperands,
     /*  750305 */     // GIR_Coverage, 22833,
     /*  750305 */     GIR_EraseRootFromParent_Done,
     /*  750306 */   // Label 11724: @750306
     /*  750306 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(750381), // Rule ID 22836 //
     /*  750311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  750314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750357 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  750360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750379 */     GIR_RootConstrainSelectedInstOperands,
     /*  750380 */     // GIR_Coverage, 22836,
     /*  750380 */     GIR_EraseRootFromParent_Done,
     /*  750381 */   // Label 11725: @750381
     /*  750381 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(750456), // Rule ID 22837 //
     /*  750386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  750389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  750403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750432 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  750435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750454 */     GIR_RootConstrainSelectedInstOperands,
     /*  750455 */     // GIR_Coverage, 22837,
     /*  750455 */     GIR_EraseRootFromParent_Done,
     /*  750456 */   // Label 11726: @750456
     /*  750456 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(750531), // Rule ID 22840 //
     /*  750461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  750464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  750478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750507 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  750507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  750510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750529 */     GIR_RootConstrainSelectedInstOperands,
     /*  750530 */     // GIR_Coverage, 22840,
     /*  750530 */     GIR_EraseRootFromParent_Done,
     /*  750531 */   // Label 11727: @750531
     /*  750531 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(750606), // Rule ID 22841 //
     /*  750536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  750539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  750553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  750556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10889:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  750582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  750585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  750601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750604 */     GIR_RootConstrainSelectedInstOperands,
     /*  750605 */     // GIR_Coverage, 22841,
     /*  750605 */     GIR_EraseRootFromParent_Done,
     /*  750606 */   // Label 11728: @750606
     /*  750606 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(750681), // Rule ID 22844 //
     /*  750611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  750614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  750628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750657 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  750657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  750660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750679 */     GIR_RootConstrainSelectedInstOperands,
     /*  750680 */     // GIR_Coverage, 22844,
     /*  750680 */     GIR_EraseRootFromParent_Done,
     /*  750681 */   // Label 11729: @750681
     /*  750681 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(750756), // Rule ID 22845 //
     /*  750686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  750689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  750703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  750732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  750735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750754 */     GIR_RootConstrainSelectedInstOperands,
     /*  750755 */     // GIR_Coverage, 22845,
     /*  750755 */     GIR_EraseRootFromParent_Done,
     /*  750756 */   // Label 11730: @750756
     /*  750756 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(750831), // Rule ID 22848 //
     /*  750761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  750764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  750778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  750807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  750810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750829 */     GIR_RootConstrainSelectedInstOperands,
     /*  750830 */     // GIR_Coverage, 22848,
     /*  750830 */     GIR_EraseRootFromParent_Done,
     /*  750831 */   // Label 11731: @750831
     /*  750831 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(750906), // Rule ID 22849 //
     /*  750836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  750839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  750853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  750882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  750885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750904 */     GIR_RootConstrainSelectedInstOperands,
     /*  750905 */     // GIR_Coverage, 22849,
     /*  750905 */     GIR_EraseRootFromParent_Done,
     /*  750906 */   // Label 11732: @750906
     /*  750906 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(750981), // Rule ID 22852 //
     /*  750911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  750914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  750925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  750928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  750931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750957 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  750957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  750960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  750964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  750976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750979 */     GIR_RootConstrainSelectedInstOperands,
     /*  750980 */     // GIR_Coverage, 22852,
     /*  750980 */     GIR_EraseRootFromParent_Done,
     /*  750981 */   // Label 11733: @750981
     /*  750981 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(751056), // Rule ID 22853 //
     /*  750986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  750989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  750994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  750997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  751003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  751006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751032 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10889:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  751032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  751035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  751051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751054 */     GIR_RootConstrainSelectedInstOperands,
     /*  751055 */     // GIR_Coverage, 22853,
     /*  751055 */     GIR_EraseRootFromParent_Done,
     /*  751056 */   // Label 11734: @751056
     /*  751056 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(751131), // Rule ID 22856 //
     /*  751061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  751064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  751110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751129 */     GIR_RootConstrainSelectedInstOperands,
     /*  751130 */     // GIR_Coverage, 22856,
     /*  751130 */     GIR_EraseRootFromParent_Done,
     /*  751131 */   // Label 11735: @751131
     /*  751131 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(751206), // Rule ID 22857 //
     /*  751136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  751139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  751153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751182 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  751185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751204 */     GIR_RootConstrainSelectedInstOperands,
     /*  751205 */     // GIR_Coverage, 22857,
     /*  751205 */     GIR_EraseRootFromParent_Done,
     /*  751206 */   // Label 11736: @751206
     /*  751206 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(751281), // Rule ID 22860 //
     /*  751211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  751214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751257 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  751260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751279 */     GIR_RootConstrainSelectedInstOperands,
     /*  751280 */     // GIR_Coverage, 22860,
     /*  751280 */     GIR_EraseRootFromParent_Done,
     /*  751281 */   // Label 11737: @751281
     /*  751281 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(751356), // Rule ID 22861 //
     /*  751286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  751289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  751303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751332 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  751335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751354 */     GIR_RootConstrainSelectedInstOperands,
     /*  751355 */     // GIR_Coverage, 22861,
     /*  751355 */     GIR_EraseRootFromParent_Done,
     /*  751356 */   // Label 11738: @751356
     /*  751356 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(751431), // Rule ID 22864 //
     /*  751361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  751364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751407 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  751410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751429 */     GIR_RootConstrainSelectedInstOperands,
     /*  751430 */     // GIR_Coverage, 22864,
     /*  751430 */     GIR_EraseRootFromParent_Done,
     /*  751431 */   // Label 11739: @751431
     /*  751431 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(751506), // Rule ID 22865 //
     /*  751436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  751439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751482 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  751485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751504 */     GIR_RootConstrainSelectedInstOperands,
     /*  751505 */     // GIR_Coverage, 22865,
     /*  751505 */     GIR_EraseRootFromParent_Done,
     /*  751506 */   // Label 11740: @751506
     /*  751506 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(751581), // Rule ID 22868 //
     /*  751511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  751514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  751528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751557 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  751557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  751560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751579 */     GIR_RootConstrainSelectedInstOperands,
     /*  751580 */     // GIR_Coverage, 22868,
     /*  751580 */     GIR_EraseRootFromParent_Done,
     /*  751581 */   // Label 11741: @751581
     /*  751581 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(751656), // Rule ID 22869 //
     /*  751586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  751589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  751603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751632 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  751632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  751635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751654 */     GIR_RootConstrainSelectedInstOperands,
     /*  751655 */     // GIR_Coverage, 22869,
     /*  751655 */     GIR_EraseRootFromParent_Done,
     /*  751656 */   // Label 11742: @751656
     /*  751656 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(751731), // Rule ID 22872 //
     /*  751661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  751664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  751710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751729 */     GIR_RootConstrainSelectedInstOperands,
     /*  751730 */     // GIR_Coverage, 22872,
     /*  751730 */     GIR_EraseRootFromParent_Done,
     /*  751731 */   // Label 11743: @751731
     /*  751731 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(751806), // Rule ID 22873 //
     /*  751736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  751739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  751747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  751750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  751756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751782 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  751785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751804 */     GIR_RootConstrainSelectedInstOperands,
     /*  751805 */     // GIR_Coverage, 22873,
     /*  751805 */     GIR_EraseRootFromParent_Done,
     /*  751806 */   // Label 11744: @751806
     /*  751806 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(751881), // Rule ID 22876 //
     /*  751811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  751814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  751828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  751831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751857 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  751857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  751860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  751876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751879 */     GIR_RootConstrainSelectedInstOperands,
     /*  751880 */     // GIR_Coverage, 22876,
     /*  751880 */     GIR_EraseRootFromParent_Done,
     /*  751881 */   // Label 11745: @751881
     /*  751881 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(751956), // Rule ID 22877 //
     /*  751886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  751889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  751903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  751906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  751932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  751935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  751939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  751951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751954 */     GIR_RootConstrainSelectedInstOperands,
     /*  751955 */     // GIR_Coverage, 22877,
     /*  751955 */     GIR_EraseRootFromParent_Done,
     /*  751956 */   // Label 11746: @751956
     /*  751956 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(752031), // Rule ID 22880 //
     /*  751961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  751964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  751969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  751978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  751981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752007 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  752010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752029 */     GIR_RootConstrainSelectedInstOperands,
     /*  752030 */     // GIR_Coverage, 22880,
     /*  752030 */     GIR_EraseRootFromParent_Done,
     /*  752031 */   // Label 11747: @752031
     /*  752031 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(752106), // Rule ID 22881 //
     /*  752036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  752039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  752085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752104 */     GIR_RootConstrainSelectedInstOperands,
     /*  752105 */     // GIR_Coverage, 22881,
     /*  752105 */     GIR_EraseRootFromParent_Done,
     /*  752106 */   // Label 11748: @752106
     /*  752106 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(752181), // Rule ID 22884 //
     /*  752111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  752114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752157 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  752160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752179 */     GIR_RootConstrainSelectedInstOperands,
     /*  752180 */     // GIR_Coverage, 22884,
     /*  752180 */     GIR_EraseRootFromParent_Done,
     /*  752181 */   // Label 11749: @752181
     /*  752181 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(752256), // Rule ID 22885 //
     /*  752186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  752189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  752203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752232 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  752235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752254 */     GIR_RootConstrainSelectedInstOperands,
     /*  752255 */     // GIR_Coverage, 22885,
     /*  752255 */     GIR_EraseRootFromParent_Done,
     /*  752256 */   // Label 11750: @752256
     /*  752256 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(752331), // Rule ID 22888 //
     /*  752261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  752264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  752278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752307 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  752310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752329 */     GIR_RootConstrainSelectedInstOperands,
     /*  752330 */     // GIR_Coverage, 22888,
     /*  752330 */     GIR_EraseRootFromParent_Done,
     /*  752331 */   // Label 11751: @752331
     /*  752331 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(752406), // Rule ID 22889 //
     /*  752336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  752339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  752353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10887:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  752385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752404 */     GIR_RootConstrainSelectedInstOperands,
     /*  752405 */     // GIR_Coverage, 22889,
     /*  752405 */     GIR_EraseRootFromParent_Done,
     /*  752406 */   // Label 11752: @752406
     /*  752406 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(752481), // Rule ID 22892 //
     /*  752411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  752414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  752460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752479 */     GIR_RootConstrainSelectedInstOperands,
     /*  752480 */     // GIR_Coverage, 22892,
     /*  752480 */     GIR_EraseRootFromParent_Done,
     /*  752481 */   // Label 11753: @752481
     /*  752481 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(752556), // Rule ID 22893 //
     /*  752486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  752489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  752503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  752535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752554 */     GIR_RootConstrainSelectedInstOperands,
     /*  752555 */     // GIR_Coverage, 22893,
     /*  752555 */     GIR_EraseRootFromParent_Done,
     /*  752556 */   // Label 11754: @752556
     /*  752556 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(752631), // Rule ID 22896 //
     /*  752561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  752564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  752578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752607 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  752610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752629 */     GIR_RootConstrainSelectedInstOperands,
     /*  752630 */     // GIR_Coverage, 22896,
     /*  752630 */     GIR_EraseRootFromParent_Done,
     /*  752631 */   // Label 11755: @752631
     /*  752631 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(752706), // Rule ID 22897 //
     /*  752636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  752639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  752653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752682 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  752685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752704 */     GIR_RootConstrainSelectedInstOperands,
     /*  752705 */     // GIR_Coverage, 22897,
     /*  752705 */     GIR_EraseRootFromParent_Done,
     /*  752706 */   // Label 11756: @752706
     /*  752706 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(752781), // Rule ID 22900 //
     /*  752711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  752714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  752728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752757 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  752757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  752760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752779 */     GIR_RootConstrainSelectedInstOperands,
     /*  752780 */     // GIR_Coverage, 22900,
     /*  752780 */     GIR_EraseRootFromParent_Done,
     /*  752781 */   // Label 11757: @752781
     /*  752781 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(752856), // Rule ID 22901 //
     /*  752786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  752789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  752803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  752806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752832 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10887:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  752832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  752835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  752851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752854 */     GIR_RootConstrainSelectedInstOperands,
     /*  752855 */     // GIR_Coverage, 22901,
     /*  752855 */     GIR_EraseRootFromParent_Done,
     /*  752856 */   // Label 11758: @752856
     /*  752856 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(752931), // Rule ID 22904 //
     /*  752861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  752864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  752878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  752881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752907 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  752907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  752910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  752926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752929 */     GIR_RootConstrainSelectedInstOperands,
     /*  752930 */     // GIR_Coverage, 22904,
     /*  752930 */     GIR_EraseRootFromParent_Done,
     /*  752931 */   // Label 11759: @752931
     /*  752931 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(753006), // Rule ID 22905 //
     /*  752936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  752939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  752944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  752947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  752950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  752953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  752956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752982 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  752982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  752985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  752989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753004 */     GIR_RootConstrainSelectedInstOperands,
     /*  753005 */     // GIR_Coverage, 22905,
     /*  753005 */     GIR_EraseRootFromParent_Done,
     /*  753006 */   // Label 11760: @753006
     /*  753006 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(753081), // Rule ID 22908 //
     /*  753011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  753014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  753019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  753028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  753031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  753057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  753060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  753064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753079 */     GIR_RootConstrainSelectedInstOperands,
     /*  753080 */     // GIR_Coverage, 22908,
     /*  753080 */     GIR_EraseRootFromParent_Done,
     /*  753081 */   // Label 11761: @753081
     /*  753081 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(753156), // Rule ID 22909 //
     /*  753086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  753089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  753094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  753103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  753106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753132 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  753132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  753135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  753139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753154 */     GIR_RootConstrainSelectedInstOperands,
     /*  753155 */     // GIR_Coverage, 22909,
     /*  753155 */     GIR_EraseRootFromParent_Done,
     /*  753156 */   // Label 11762: @753156
     /*  753156 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(753231), // Rule ID 22912 //
     /*  753161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  753164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  753169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  753178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  753181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753207 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  753207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  753210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  753214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753229 */     GIR_RootConstrainSelectedInstOperands,
     /*  753230 */     // GIR_Coverage, 22912,
     /*  753230 */     GIR_EraseRootFromParent_Done,
     /*  753231 */   // Label 11763: @753231
     /*  753231 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(753306), // Rule ID 22913 //
     /*  753236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  753239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  753244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  753253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  753256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753282 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10887:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  753282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  753285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  753289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  753301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753304 */     GIR_RootConstrainSelectedInstOperands,
     /*  753305 */     // GIR_Coverage, 22913,
     /*  753305 */     GIR_EraseRootFromParent_Done,
     /*  753306 */   // Label 11764: @753306
     /*  753306 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(753399), // Rule ID 23194 //
     /*  753311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  753314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  753322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  753325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  753328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  753331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753357 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  753357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  753374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753397 */     GIR_RootConstrainSelectedInstOperands,
     /*  753398 */     // GIR_Coverage, 23194,
     /*  753398 */     GIR_EraseRootFromParent_Done,
     /*  753399 */   // Label 11765: @753399
     /*  753399 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(753492), // Rule ID 23195 //
     /*  753404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  753407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  753415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  753418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  753421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  753424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  753450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  753467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753490 */     GIR_RootConstrainSelectedInstOperands,
     /*  753491 */     // GIR_Coverage, 23195,
     /*  753491 */     GIR_EraseRootFromParent_Done,
     /*  753492 */   // Label 11766: @753492
     /*  753492 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(753585), // Rule ID 23198 //
     /*  753497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  753500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  753508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  753511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  753514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  753517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753543 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  753543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  753560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753583 */     GIR_RootConstrainSelectedInstOperands,
     /*  753584 */     // GIR_Coverage, 23198,
     /*  753584 */     GIR_EraseRootFromParent_Done,
     /*  753585 */   // Label 11767: @753585
     /*  753585 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(753678), // Rule ID 23199 //
     /*  753590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  753593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  753601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  753604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  753607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  753610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753636 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  753636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753640 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  753653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753676 */     GIR_RootConstrainSelectedInstOperands,
     /*  753677 */     // GIR_Coverage, 23199,
     /*  753677 */     GIR_EraseRootFromParent_Done,
     /*  753678 */   // Label 11768: @753678
     /*  753678 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(753771), // Rule ID 23202 //
     /*  753683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  753686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  753694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  753697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  753700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  753703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  753729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  753746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753769 */     GIR_RootConstrainSelectedInstOperands,
     /*  753770 */     // GIR_Coverage, 23202,
     /*  753770 */     GIR_EraseRootFromParent_Done,
     /*  753771 */   // Label 11769: @753771
     /*  753771 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(753864), // Rule ID 23203 //
     /*  753776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  753779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  753787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  753790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  753793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  753796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  753822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  753839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753862 */     GIR_RootConstrainSelectedInstOperands,
     /*  753863 */     // GIR_Coverage, 23203,
     /*  753863 */     GIR_EraseRootFromParent_Done,
     /*  753864 */   // Label 11770: @753864
     /*  753864 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(753957), // Rule ID 23206 //
     /*  753869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  753872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  753880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  753883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  753886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  753889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  753908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753915 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  753915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  753919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  753925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  753929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  753932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  753938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  753944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753955 */     GIR_RootConstrainSelectedInstOperands,
     /*  753956 */     // GIR_Coverage, 23206,
     /*  753956 */     GIR_EraseRootFromParent_Done,
     /*  753957 */   // Label 11771: @753957
     /*  753957 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(754050), // Rule ID 23207 //
     /*  753962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  753965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  753970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  753973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  753976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  753979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  753982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  753989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754008 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  754025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754048 */     GIR_RootConstrainSelectedInstOperands,
     /*  754049 */     // GIR_Coverage, 23207,
     /*  754049 */     GIR_EraseRootFromParent_Done,
     /*  754050 */   // Label 11772: @754050
     /*  754050 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(754143), // Rule ID 23210 //
     /*  754055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  754063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  754066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  754069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  754072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  754075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754101 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  754101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  754118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754141 */     GIR_RootConstrainSelectedInstOperands,
     /*  754142 */     // GIR_Coverage, 23210,
     /*  754142 */     GIR_EraseRootFromParent_Done,
     /*  754143 */   // Label 11773: @754143
     /*  754143 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(754236), // Rule ID 23211 //
     /*  754148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  754151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  754156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  754159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  754162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  754165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  754168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754194 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  754211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754217 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754234 */     GIR_RootConstrainSelectedInstOperands,
     /*  754235 */     // GIR_Coverage, 23211,
     /*  754235 */     GIR_EraseRootFromParent_Done,
     /*  754236 */   // Label 11774: @754236
     /*  754236 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(754329), // Rule ID 23214 //
     /*  754241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  754249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  754252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  754255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  754258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  754261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754287 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  754287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  754304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754327 */     GIR_RootConstrainSelectedInstOperands,
     /*  754328 */     // GIR_Coverage, 23214,
     /*  754328 */     GIR_EraseRootFromParent_Done,
     /*  754329 */   // Label 11775: @754329
     /*  754329 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(754422), // Rule ID 23215 //
     /*  754334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  754337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  754342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  754345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  754348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  754351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  754354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754380 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11077:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  754397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754420 */     GIR_RootConstrainSelectedInstOperands,
     /*  754421 */     // GIR_Coverage, 23215,
     /*  754421 */     GIR_EraseRootFromParent_Done,
     /*  754422 */   // Label 11776: @754422
     /*  754422 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(754515), // Rule ID 23218 //
     /*  754427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  754438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  754441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  754444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  754447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  754473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  754490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754513 */     GIR_RootConstrainSelectedInstOperands,
     /*  754514 */     // GIR_Coverage, 23218,
     /*  754514 */     GIR_EraseRootFromParent_Done,
     /*  754515 */   // Label 11777: @754515
     /*  754515 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(754608), // Rule ID 23219 //
     /*  754520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  754523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  754531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  754534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  754537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  754540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754566 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  754583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754606 */     GIR_RootConstrainSelectedInstOperands,
     /*  754607 */     // GIR_Coverage, 23219,
     /*  754607 */     GIR_EraseRootFromParent_Done,
     /*  754608 */   // Label 11778: @754608
     /*  754608 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(754701), // Rule ID 23222 //
     /*  754613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  754624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  754627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  754630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  754633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754659 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  754659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  754676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754699 */     GIR_RootConstrainSelectedInstOperands,
     /*  754700 */     // GIR_Coverage, 23222,
     /*  754700 */     GIR_EraseRootFromParent_Done,
     /*  754701 */   // Label 11779: @754701
     /*  754701 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(754794), // Rule ID 23223 //
     /*  754706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  754709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  754717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  754720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  754723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  754726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754752 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754756 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  754769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754792 */     GIR_RootConstrainSelectedInstOperands,
     /*  754793 */     // GIR_Coverage, 23223,
     /*  754793 */     GIR_EraseRootFromParent_Done,
     /*  754794 */   // Label 11780: @754794
     /*  754794 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(754887), // Rule ID 23226 //
     /*  754799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  754810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  754813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  754816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  754819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  754845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  754862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754885 */     GIR_RootConstrainSelectedInstOperands,
     /*  754886 */     // GIR_Coverage, 23226,
     /*  754886 */     GIR_EraseRootFromParent_Done,
     /*  754887 */   // Label 11781: @754887
     /*  754887 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(754980), // Rule ID 23227 //
     /*  754892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  754895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  754903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  754906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  754909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  754912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  754919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  754931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  754938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  754942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  754948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  754952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  754955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  754961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  754967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754978 */     GIR_RootConstrainSelectedInstOperands,
     /*  754979 */     // GIR_Coverage, 23227,
     /*  754979 */     GIR_EraseRootFromParent_Done,
     /*  754980 */   // Label 11782: @754980
     /*  754980 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(755073), // Rule ID 23230 //
     /*  754985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  754988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  754993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  754996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  754999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  755002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  755005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755031 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  755048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755071 */     GIR_RootConstrainSelectedInstOperands,
     /*  755072 */     // GIR_Coverage, 23230,
     /*  755072 */     GIR_EraseRootFromParent_Done,
     /*  755073 */   // Label 11783: @755073
     /*  755073 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(755166), // Rule ID 23231 //
     /*  755078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  755081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  755089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  755092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  755095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  755098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  755124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  755141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755164 */     GIR_RootConstrainSelectedInstOperands,
     /*  755165 */     // GIR_Coverage, 23231,
     /*  755165 */     GIR_EraseRootFromParent_Done,
     /*  755166 */   // Label 11784: @755166
     /*  755166 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(755259), // Rule ID 23234 //
     /*  755171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  755174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  755182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  755185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  755188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  755191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  755234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755257 */     GIR_RootConstrainSelectedInstOperands,
     /*  755258 */     // GIR_Coverage, 23234,
     /*  755258 */     GIR_EraseRootFromParent_Done,
     /*  755259 */   // Label 11785: @755259
     /*  755259 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(755352), // Rule ID 23235 //
     /*  755264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  755267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  755275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  755278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  755281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  755284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  755310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  755327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755350 */     GIR_RootConstrainSelectedInstOperands,
     /*  755351 */     // GIR_Coverage, 23235,
     /*  755351 */     GIR_EraseRootFromParent_Done,
     /*  755352 */   // Label 11786: @755352
     /*  755352 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(755445), // Rule ID 23238 //
     /*  755357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  755360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  755368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  755371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  755374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  755377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755403 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  755420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755443 */     GIR_RootConstrainSelectedInstOperands,
     /*  755444 */     // GIR_Coverage, 23238,
     /*  755444 */     GIR_EraseRootFromParent_Done,
     /*  755445 */   // Label 11787: @755445
     /*  755445 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(755538), // Rule ID 23239 //
     /*  755450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  755453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  755461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  755464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  755467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  755470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755496 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  755496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  755513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755536 */     GIR_RootConstrainSelectedInstOperands,
     /*  755537 */     // GIR_Coverage, 23239,
     /*  755537 */     GIR_EraseRootFromParent_Done,
     /*  755538 */   // Label 11788: @755538
     /*  755538 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(755631), // Rule ID 23242 //
     /*  755543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  755546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  755554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  755557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  755560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  755563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  755606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755629 */     GIR_RootConstrainSelectedInstOperands,
     /*  755630 */     // GIR_Coverage, 23242,
     /*  755630 */     GIR_EraseRootFromParent_Done,
     /*  755631 */   // Label 11789: @755631
     /*  755631 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(755724), // Rule ID 23243 //
     /*  755636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  755639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  755644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  755647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  755650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  755653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  755656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755682 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11090:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  755682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755686 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  755699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755722 */     GIR_RootConstrainSelectedInstOperands,
     /*  755723 */     // GIR_Coverage, 23243,
     /*  755723 */     GIR_EraseRootFromParent_Done,
     /*  755724 */   // Label 11790: @755724
     /*  755724 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(755817), // Rule ID 23246 //
     /*  755729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  755732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  755737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  755740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  755743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  755746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  755749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  755792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755815 */     GIR_RootConstrainSelectedInstOperands,
     /*  755816 */     // GIR_Coverage, 23246,
     /*  755816 */     GIR_EraseRootFromParent_Done,
     /*  755817 */   // Label 11791: @755817
     /*  755817 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(755910), // Rule ID 23247 //
     /*  755822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  755825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  755830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  755833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  755836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  755839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  755842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  755868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  755885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755908 */     GIR_RootConstrainSelectedInstOperands,
     /*  755909 */     // GIR_Coverage, 23247,
     /*  755909 */     GIR_EraseRootFromParent_Done,
     /*  755910 */   // Label 11792: @755910
     /*  755910 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(756003), // Rule ID 23250 //
     /*  755915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  755918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  755923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  755926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  755929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  755932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  755935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  755942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  755954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755961 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  755961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  755965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  755971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  755975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  755978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  755984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  755990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756001 */     GIR_RootConstrainSelectedInstOperands,
     /*  756002 */     // GIR_Coverage, 23250,
     /*  756002 */     GIR_EraseRootFromParent_Done,
     /*  756003 */   // Label 11793: @756003
     /*  756003 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(756096), // Rule ID 23251 //
     /*  756008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  756019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  756022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  756025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  756028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756054 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  756071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756077 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756094 */     GIR_RootConstrainSelectedInstOperands,
     /*  756095 */     // GIR_Coverage, 23251,
     /*  756095 */     GIR_EraseRootFromParent_Done,
     /*  756096 */   // Label 11794: @756096
     /*  756096 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(756189), // Rule ID 23254 //
     /*  756101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  756104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  756112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  756115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  756118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  756121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756147 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  756147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  756164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756187 */     GIR_RootConstrainSelectedInstOperands,
     /*  756188 */     // GIR_Coverage, 23254,
     /*  756188 */     GIR_EraseRootFromParent_Done,
     /*  756189 */   // Label 11795: @756189
     /*  756189 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(756282), // Rule ID 23255 //
     /*  756194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  756205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  756208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  756211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  756214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  756257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756280 */     GIR_RootConstrainSelectedInstOperands,
     /*  756281 */     // GIR_Coverage, 23255,
     /*  756281 */     GIR_EraseRootFromParent_Done,
     /*  756282 */   // Label 11796: @756282
     /*  756282 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(756375), // Rule ID 23258 //
     /*  756287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  756290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  756298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  756301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  756304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  756307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  756333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  756350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756373 */     GIR_RootConstrainSelectedInstOperands,
     /*  756374 */     // GIR_Coverage, 23258,
     /*  756374 */     GIR_EraseRootFromParent_Done,
     /*  756375 */   // Label 11797: @756375
     /*  756375 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(756468), // Rule ID 23259 //
     /*  756380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  756391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  756394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  756397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  756400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  756443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756466 */     GIR_RootConstrainSelectedInstOperands,
     /*  756467 */     // GIR_Coverage, 23259,
     /*  756467 */     GIR_EraseRootFromParent_Done,
     /*  756468 */   // Label 11798: @756468
     /*  756468 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(756561), // Rule ID 23262 //
     /*  756473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  756476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  756484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  756487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  756490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  756493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756519 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  756519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  756536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756559 */     GIR_RootConstrainSelectedInstOperands,
     /*  756560 */     // GIR_Coverage, 23262,
     /*  756560 */     GIR_EraseRootFromParent_Done,
     /*  756561 */   // Label 11799: @756561
     /*  756561 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(756654), // Rule ID 23263 //
     /*  756566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  756577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  756580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  756583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  756586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  756629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756652 */     GIR_RootConstrainSelectedInstOperands,
     /*  756653 */     // GIR_Coverage, 23263,
     /*  756653 */     GIR_EraseRootFromParent_Done,
     /*  756654 */   // Label 11800: @756654
     /*  756654 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(756747), // Rule ID 23266 //
     /*  756659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  756662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  756670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  756673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  756676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  756679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756705 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  756705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  756722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756745 */     GIR_RootConstrainSelectedInstOperands,
     /*  756746 */     // GIR_Coverage, 23266,
     /*  756746 */     GIR_EraseRootFromParent_Done,
     /*  756747 */   // Label 11801: @756747
     /*  756747 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(756840), // Rule ID 23267 //
     /*  756752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  756763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  756766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  756769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  756772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756798 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  756815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756821 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756838 */     GIR_RootConstrainSelectedInstOperands,
     /*  756839 */     // GIR_Coverage, 23267,
     /*  756839 */     GIR_EraseRootFromParent_Done,
     /*  756840 */   // Label 11802: @756840
     /*  756840 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(756933), // Rule ID 23270 //
     /*  756845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  756848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  756856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  756859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  756862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  756865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756891 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 0:{ *:[i64] })
     /*  756891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  756908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  756914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  756920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756931 */     GIR_RootConstrainSelectedInstOperands,
     /*  756932 */     // GIR_Coverage, 23270,
     /*  756932 */     GIR_EraseRootFromParent_Done,
     /*  756933 */   // Label 11803: @756933
     /*  756933 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(757026), // Rule ID 23271 //
     /*  756938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  756941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  756946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  756949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  756952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  756955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  756958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  756965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  756977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756984 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11102:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 0:{ *:[i32] })
     /*  756984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  756988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  756994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  756998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  757001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  757007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  757013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757024 */     GIR_RootConstrainSelectedInstOperands,
     /*  757025 */     // GIR_Coverage, 23271,
     /*  757025 */     GIR_EraseRootFromParent_Done,
     /*  757026 */   // Label 11804: @757026
     /*  757026 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(757101), // Rule ID 23812 //
     /*  757031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  757042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  757045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  757080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757099 */     GIR_RootConstrainSelectedInstOperands,
     /*  757100 */     // GIR_Coverage, 23812,
     /*  757100 */     GIR_EraseRootFromParent_Done,
     /*  757101 */   // Label 11805: @757101
     /*  757101 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(757176), // Rule ID 23813 //
     /*  757106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  757117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  757120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  757123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757152 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  757155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757174 */     GIR_RootConstrainSelectedInstOperands,
     /*  757175 */     // GIR_Coverage, 23813,
     /*  757175 */     GIR_EraseRootFromParent_Done,
     /*  757176 */   // Label 11806: @757176
     /*  757176 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(757251), // Rule ID 23816 //
     /*  757181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  757192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  757195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757227 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  757230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757249 */     GIR_RootConstrainSelectedInstOperands,
     /*  757250 */     // GIR_Coverage, 23816,
     /*  757250 */     GIR_EraseRootFromParent_Done,
     /*  757251 */   // Label 11807: @757251
     /*  757251 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(757326), // Rule ID 23817 //
     /*  757256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  757267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  757270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  757273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757302 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  757305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757324 */     GIR_RootConstrainSelectedInstOperands,
     /*  757325 */     // GIR_Coverage, 23817,
     /*  757325 */     GIR_EraseRootFromParent_Done,
     /*  757326 */   // Label 11808: @757326
     /*  757326 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(757401), // Rule ID 23820 //
     /*  757331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  757342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  757345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  757348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757377 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757399 */     GIR_RootConstrainSelectedInstOperands,
     /*  757400 */     // GIR_Coverage, 23820,
     /*  757400 */     GIR_EraseRootFromParent_Done,
     /*  757401 */   // Label 11809: @757401
     /*  757401 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(757476), // Rule ID 23821 //
     /*  757406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  757417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  757420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  757423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  757452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757474 */     GIR_RootConstrainSelectedInstOperands,
     /*  757475 */     // GIR_Coverage, 23821,
     /*  757475 */     GIR_EraseRootFromParent_Done,
     /*  757476 */   // Label 11810: @757476
     /*  757476 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(757551), // Rule ID 23824 //
     /*  757481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  757530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757549 */     GIR_RootConstrainSelectedInstOperands,
     /*  757550 */     // GIR_Coverage, 23824,
     /*  757550 */     GIR_EraseRootFromParent_Done,
     /*  757551 */   // Label 11811: @757551
     /*  757551 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(757626), // Rule ID 23825 //
     /*  757556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  757567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  757570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  757605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757624 */     GIR_RootConstrainSelectedInstOperands,
     /*  757625 */     // GIR_Coverage, 23825,
     /*  757625 */     GIR_EraseRootFromParent_Done,
     /*  757626 */   // Label 11812: @757626
     /*  757626 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(757701), // Rule ID 23828 //
     /*  757631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757677 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757699 */     GIR_RootConstrainSelectedInstOperands,
     /*  757700 */     // GIR_Coverage, 23828,
     /*  757700 */     GIR_EraseRootFromParent_Done,
     /*  757701 */   // Label 11813: @757701
     /*  757701 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(757776), // Rule ID 23829 //
     /*  757706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  757717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  757720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757752 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757774 */     GIR_RootConstrainSelectedInstOperands,
     /*  757775 */     // GIR_Coverage, 23829,
     /*  757775 */     GIR_EraseRootFromParent_Done,
     /*  757776 */   // Label 11814: @757776
     /*  757776 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(757851), // Rule ID 23832 //
     /*  757781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757827 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757849 */     GIR_RootConstrainSelectedInstOperands,
     /*  757850 */     // GIR_Coverage, 23832,
     /*  757850 */     GIR_EraseRootFromParent_Done,
     /*  757851 */   // Label 11815: @757851
     /*  757851 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(757926), // Rule ID 23833 //
     /*  757856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  757876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757902 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  757905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757924 */     GIR_RootConstrainSelectedInstOperands,
     /*  757925 */     // GIR_Coverage, 23833,
     /*  757925 */     GIR_EraseRootFromParent_Done,
     /*  757926 */   // Label 11816: @757926
     /*  757926 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(758001), // Rule ID 23836 //
     /*  757931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  757939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  757942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  757945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  757948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  757951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  757970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757977 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  757977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  757980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757999 */     GIR_RootConstrainSelectedInstOperands,
     /*  758000 */     // GIR_Coverage, 23836,
     /*  758000 */     GIR_EraseRootFromParent_Done,
     /*  758001 */   // Label 11817: @758001
     /*  758001 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(758076), // Rule ID 23837 //
     /*  758006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  758017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  758020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758074 */     GIR_RootConstrainSelectedInstOperands,
     /*  758075 */     // GIR_Coverage, 23837,
     /*  758075 */     GIR_EraseRootFromParent_Done,
     /*  758076 */   // Label 11818: @758076
     /*  758076 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(758151), // Rule ID 23840 //
     /*  758081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  758127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758149 */     GIR_RootConstrainSelectedInstOperands,
     /*  758150 */     // GIR_Coverage, 23840,
     /*  758150 */     GIR_EraseRootFromParent_Done,
     /*  758151 */   // Label 11819: @758151
     /*  758151 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(758226), // Rule ID 23841 //
     /*  758156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  758173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  758202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  758221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758224 */     GIR_RootConstrainSelectedInstOperands,
     /*  758225 */     // GIR_Coverage, 23841,
     /*  758225 */     GIR_EraseRootFromParent_Done,
     /*  758226 */   // Label 11820: @758226
     /*  758226 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(758301), // Rule ID 23844 //
     /*  758231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758277 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758299 */     GIR_RootConstrainSelectedInstOperands,
     /*  758300 */     // GIR_Coverage, 23844,
     /*  758300 */     GIR_EraseRootFromParent_Done,
     /*  758301 */   // Label 11821: @758301
     /*  758301 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(758376), // Rule ID 23845 //
     /*  758306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  758317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  758320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758374 */     GIR_RootConstrainSelectedInstOperands,
     /*  758375 */     // GIR_Coverage, 23845,
     /*  758375 */     GIR_EraseRootFromParent_Done,
     /*  758376 */   // Label 11822: @758376
     /*  758376 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(758451), // Rule ID 23848 //
     /*  758381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  758384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  758392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  758395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  758398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  758427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758449 */     GIR_RootConstrainSelectedInstOperands,
     /*  758450 */     // GIR_Coverage, 23848,
     /*  758450 */     GIR_EraseRootFromParent_Done,
     /*  758451 */   // Label 11823: @758451
     /*  758451 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(758526), // Rule ID 23849 //
     /*  758456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  758459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  758467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  758470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  758473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  758502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  758505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  758521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758524 */     GIR_RootConstrainSelectedInstOperands,
     /*  758525 */     // GIR_Coverage, 23849,
     /*  758525 */     GIR_EraseRootFromParent_Done,
     /*  758526 */   // Label 11824: @758526
     /*  758526 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(758601), // Rule ID 23852 //
     /*  758531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  758542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  758545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758577 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  758580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758599 */     GIR_RootConstrainSelectedInstOperands,
     /*  758600 */     // GIR_Coverage, 23852,
     /*  758600 */     GIR_EraseRootFromParent_Done,
     /*  758601 */   // Label 11825: @758601
     /*  758601 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(758676), // Rule ID 23853 //
     /*  758606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  758617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  758620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758652 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  758655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758674 */     GIR_RootConstrainSelectedInstOperands,
     /*  758675 */     // GIR_Coverage, 23853,
     /*  758675 */     GIR_EraseRootFromParent_Done,
     /*  758676 */   // Label 11826: @758676
     /*  758676 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(758751), // Rule ID 23856 //
     /*  758681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  758730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758749 */     GIR_RootConstrainSelectedInstOperands,
     /*  758750 */     // GIR_Coverage, 23856,
     /*  758750 */     GIR_EraseRootFromParent_Done,
     /*  758751 */   // Label 11827: @758751
     /*  758751 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(758826), // Rule ID 23857 //
     /*  758756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  758767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  758770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  758773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758802 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  758805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758824 */     GIR_RootConstrainSelectedInstOperands,
     /*  758825 */     // GIR_Coverage, 23857,
     /*  758825 */     GIR_EraseRootFromParent_Done,
     /*  758826 */   // Label 11828: @758826
     /*  758826 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(758901), // Rule ID 23860 //
     /*  758831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758877 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  758880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758899 */     GIR_RootConstrainSelectedInstOperands,
     /*  758900 */     // GIR_Coverage, 23860,
     /*  758900 */     GIR_EraseRootFromParent_Done,
     /*  758901 */   // Label 11829: @758901
     /*  758901 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(758976), // Rule ID 23861 //
     /*  758906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  758917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  758920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  758923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758952 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  758955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758974 */     GIR_RootConstrainSelectedInstOperands,
     /*  758975 */     // GIR_Coverage, 23861,
     /*  758975 */     GIR_EraseRootFromParent_Done,
     /*  758976 */   // Label 11830: @758976
     /*  758976 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(759051), // Rule ID 23864 //
     /*  758981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  758989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  758998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  759030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759049 */     GIR_RootConstrainSelectedInstOperands,
     /*  759050 */     // GIR_Coverage, 23864,
     /*  759050 */     GIR_EraseRootFromParent_Done,
     /*  759051 */   // Label 11831: @759051
     /*  759051 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(759126), // Rule ID 23865 //
     /*  759056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  759067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  759070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  759105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759124 */     GIR_RootConstrainSelectedInstOperands,
     /*  759125 */     // GIR_Coverage, 23865,
     /*  759125 */     GIR_EraseRootFromParent_Done,
     /*  759126 */   // Label 11832: @759126
     /*  759126 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(759201), // Rule ID 23868 //
     /*  759131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  759142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  759145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  759180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759199 */     GIR_RootConstrainSelectedInstOperands,
     /*  759200 */     // GIR_Coverage, 23868,
     /*  759200 */     GIR_EraseRootFromParent_Done,
     /*  759201 */   // Label 11833: @759201
     /*  759201 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(759276), // Rule ID 23869 //
     /*  759206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  759217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  759220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  759255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759274 */     GIR_RootConstrainSelectedInstOperands,
     /*  759275 */     // GIR_Coverage, 23869,
     /*  759275 */     GIR_EraseRootFromParent_Done,
     /*  759276 */   // Label 11834: @759276
     /*  759276 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(759351), // Rule ID 23872 //
     /*  759281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  759292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  759295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  759298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  759330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759349 */     GIR_RootConstrainSelectedInstOperands,
     /*  759350 */     // GIR_Coverage, 23872,
     /*  759350 */     GIR_EraseRootFromParent_Done,
     /*  759351 */   // Label 11835: @759351
     /*  759351 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(759426), // Rule ID 23873 //
     /*  759356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  759367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  759370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  759373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  759405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759424 */     GIR_RootConstrainSelectedInstOperands,
     /*  759425 */     // GIR_Coverage, 23873,
     /*  759425 */     GIR_EraseRootFromParent_Done,
     /*  759426 */   // Label 11836: @759426
     /*  759426 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(759501), // Rule ID 23876 //
     /*  759431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  759480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759499 */     GIR_RootConstrainSelectedInstOperands,
     /*  759500 */     // GIR_Coverage, 23876,
     /*  759500 */     GIR_EraseRootFromParent_Done,
     /*  759501 */   // Label 11837: @759501
     /*  759501 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(759576), // Rule ID 23877 //
     /*  759506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  759523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  759555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759574 */     GIR_RootConstrainSelectedInstOperands,
     /*  759575 */     // GIR_Coverage, 23877,
     /*  759575 */     GIR_EraseRootFromParent_Done,
     /*  759576 */   // Label 11838: @759576
     /*  759576 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(759651), // Rule ID 23880 //
     /*  759581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  759630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759649 */     GIR_RootConstrainSelectedInstOperands,
     /*  759650 */     // GIR_Coverage, 23880,
     /*  759650 */     GIR_EraseRootFromParent_Done,
     /*  759651 */   // Label 11839: @759651
     /*  759651 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(759726), // Rule ID 23881 //
     /*  759656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  759673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759702 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  759705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759724 */     GIR_RootConstrainSelectedInstOperands,
     /*  759725 */     // GIR_Coverage, 23881,
     /*  759725 */     GIR_EraseRootFromParent_Done,
     /*  759726 */   // Label 11840: @759726
     /*  759726 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(759801), // Rule ID 23884 //
     /*  759731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759777 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  759777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  759780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759799 */     GIR_RootConstrainSelectedInstOperands,
     /*  759800 */     // GIR_Coverage, 23884,
     /*  759800 */     GIR_EraseRootFromParent_Done,
     /*  759801 */   // Label 11841: @759801
     /*  759801 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(759876), // Rule ID 23885 //
     /*  759806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  759823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  759852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  759855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  759871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759874 */     GIR_RootConstrainSelectedInstOperands,
     /*  759875 */     // GIR_Coverage, 23885,
     /*  759875 */     GIR_EraseRootFromParent_Done,
     /*  759876 */   // Label 11842: @759876
     /*  759876 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(759951), // Rule ID 23888 //
     /*  759881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  759884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  759927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  759930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  759946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759949 */     GIR_RootConstrainSelectedInstOperands,
     /*  759950 */     // GIR_Coverage, 23888,
     /*  759950 */     GIR_EraseRootFromParent_Done,
     /*  759951 */   // Label 11843: @759951
     /*  759951 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(760026), // Rule ID 23889 //
     /*  759956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  759959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  759964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  759967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  759970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  759973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760002 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  760005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760024 */     GIR_RootConstrainSelectedInstOperands,
     /*  760025 */     // GIR_Coverage, 23889,
     /*  760025 */     GIR_EraseRootFromParent_Done,
     /*  760026 */   // Label 11844: @760026
     /*  760026 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(760101), // Rule ID 23892 //
     /*  760031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  760039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  760048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  760080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760099 */     GIR_RootConstrainSelectedInstOperands,
     /*  760100 */     // GIR_Coverage, 23892,
     /*  760100 */     GIR_EraseRootFromParent_Done,
     /*  760101 */   // Label 11845: @760101
     /*  760101 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(760176), // Rule ID 23893 //
     /*  760106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  760114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  760123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760152 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  760155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760174 */     GIR_RootConstrainSelectedInstOperands,
     /*  760175 */     // GIR_Coverage, 23893,
     /*  760175 */     GIR_EraseRootFromParent_Done,
     /*  760176 */   // Label 11846: @760176
     /*  760176 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(760251), // Rule ID 23896 //
     /*  760181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  760184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  760189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  760198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  760227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  760230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760249 */     GIR_RootConstrainSelectedInstOperands,
     /*  760250 */     // GIR_Coverage, 23896,
     /*  760250 */     GIR_EraseRootFromParent_Done,
     /*  760251 */   // Label 11847: @760251
     /*  760251 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(760326), // Rule ID 23897 //
     /*  760256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  760259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  760264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  760273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760302 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  760302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  760305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  760321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760324 */     GIR_RootConstrainSelectedInstOperands,
     /*  760325 */     // GIR_Coverage, 23897,
     /*  760325 */     GIR_EraseRootFromParent_Done,
     /*  760326 */   // Label 11848: @760326
     /*  760326 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(760401), // Rule ID 23900 //
     /*  760331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760377 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  760380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760399 */     GIR_RootConstrainSelectedInstOperands,
     /*  760400 */     // GIR_Coverage, 23900,
     /*  760400 */     GIR_EraseRootFromParent_Done,
     /*  760401 */   // Label 11849: @760401
     /*  760401 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(760476), // Rule ID 23901 //
     /*  760406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  760455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760474 */     GIR_RootConstrainSelectedInstOperands,
     /*  760475 */     // GIR_Coverage, 23901,
     /*  760475 */     GIR_EraseRootFromParent_Done,
     /*  760476 */   // Label 11850: @760476
     /*  760476 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(760551), // Rule ID 23904 //
     /*  760481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  760530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760549 */     GIR_RootConstrainSelectedInstOperands,
     /*  760550 */     // GIR_Coverage, 23904,
     /*  760550 */     GIR_EraseRootFromParent_Done,
     /*  760551 */   // Label 11851: @760551
     /*  760551 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(760626), // Rule ID 23905 //
     /*  760556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  760605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760624 */     GIR_RootConstrainSelectedInstOperands,
     /*  760625 */     // GIR_Coverage, 23905,
     /*  760625 */     GIR_EraseRootFromParent_Done,
     /*  760626 */   // Label 11852: @760626
     /*  760626 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(760701), // Rule ID 23908 //
     /*  760631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  760680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760699 */     GIR_RootConstrainSelectedInstOperands,
     /*  760700 */     // GIR_Coverage, 23908,
     /*  760700 */     GIR_EraseRootFromParent_Done,
     /*  760701 */   // Label 11853: @760701
     /*  760701 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(760776), // Rule ID 23909 //
     /*  760706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760752 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  760755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760774 */     GIR_RootConstrainSelectedInstOperands,
     /*  760775 */     // GIR_Coverage, 23909,
     /*  760775 */     GIR_EraseRootFromParent_Done,
     /*  760776 */   // Label 11854: @760776
     /*  760776 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(760851), // Rule ID 23912 //
     /*  760781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  760830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760849 */     GIR_RootConstrainSelectedInstOperands,
     /*  760850 */     // GIR_Coverage, 23912,
     /*  760850 */     GIR_EraseRootFromParent_Done,
     /*  760851 */   // Label 11855: @760851
     /*  760851 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(760926), // Rule ID 23913 //
     /*  760856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  760867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  760870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  760873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760902 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  760902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  760905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760924 */     GIR_RootConstrainSelectedInstOperands,
     /*  760925 */     // GIR_Coverage, 23913,
     /*  760925 */     GIR_EraseRootFromParent_Done,
     /*  760926 */   // Label 11856: @760926
     /*  760926 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(761001), // Rule ID 23916 //
     /*  760931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  760939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  760942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  760945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  760948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760977 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  760977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  760980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760999 */     GIR_RootConstrainSelectedInstOperands,
     /*  761000 */     // GIR_Coverage, 23916,
     /*  761000 */     GIR_EraseRootFromParent_Done,
     /*  761001 */   // Label 11857: @761001
     /*  761001 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(761076), // Rule ID 23917 //
     /*  761006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  761017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  761020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  761023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  761055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761074 */     GIR_RootConstrainSelectedInstOperands,
     /*  761075 */     // GIR_Coverage, 23917,
     /*  761075 */     GIR_EraseRootFromParent_Done,
     /*  761076 */   // Label 11858: @761076
     /*  761076 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(761151), // Rule ID 23920 //
     /*  761081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  761130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761149 */     GIR_RootConstrainSelectedInstOperands,
     /*  761150 */     // GIR_Coverage, 23920,
     /*  761150 */     GIR_EraseRootFromParent_Done,
     /*  761151 */   // Label 11859: @761151
     /*  761151 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(761226), // Rule ID 23921 //
     /*  761156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  761205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761224 */     GIR_RootConstrainSelectedInstOperands,
     /*  761225 */     // GIR_Coverage, 23921,
     /*  761225 */     GIR_EraseRootFromParent_Done,
     /*  761226 */   // Label 11860: @761226
     /*  761226 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(761301), // Rule ID 23924 //
     /*  761231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761277 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761299 */     GIR_RootConstrainSelectedInstOperands,
     /*  761300 */     // GIR_Coverage, 23924,
     /*  761300 */     GIR_EraseRootFromParent_Done,
     /*  761301 */   // Label 11861: @761301
     /*  761301 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(761376), // Rule ID 23925 //
     /*  761306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761352 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761374 */     GIR_RootConstrainSelectedInstOperands,
     /*  761375 */     // GIR_Coverage, 23925,
     /*  761375 */     GIR_EraseRootFromParent_Done,
     /*  761376 */   // Label 11862: @761376
     /*  761376 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(761451), // Rule ID 23928 //
     /*  761381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761449 */     GIR_RootConstrainSelectedInstOperands,
     /*  761450 */     // GIR_Coverage, 23928,
     /*  761450 */     GIR_EraseRootFromParent_Done,
     /*  761451 */   // Label 11863: @761451
     /*  761451 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(761526), // Rule ID 23929 //
     /*  761456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761524 */     GIR_RootConstrainSelectedInstOperands,
     /*  761525 */     // GIR_Coverage, 23929,
     /*  761525 */     GIR_EraseRootFromParent_Done,
     /*  761526 */   // Label 11864: @761526
     /*  761526 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(761601), // Rule ID 23932 //
     /*  761531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761599 */     GIR_RootConstrainSelectedInstOperands,
     /*  761600 */     // GIR_Coverage, 23932,
     /*  761600 */     GIR_EraseRootFromParent_Done,
     /*  761601 */   // Label 11865: @761601
     /*  761601 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(761676), // Rule ID 23933 //
     /*  761606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761652 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761674 */     GIR_RootConstrainSelectedInstOperands,
     /*  761675 */     // GIR_Coverage, 23933,
     /*  761675 */     GIR_EraseRootFromParent_Done,
     /*  761676 */   // Label 11866: @761676
     /*  761676 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(761751), // Rule ID 23936 //
     /*  761681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  761684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761727 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  761727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761749 */     GIR_RootConstrainSelectedInstOperands,
     /*  761750 */     // GIR_Coverage, 23936,
     /*  761750 */     GIR_EraseRootFromParent_Done,
     /*  761751 */   // Label 11867: @761751
     /*  761751 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(761826), // Rule ID 23937 //
     /*  761756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  761759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  761767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  761770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  761773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  761802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  761805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  761821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761824 */     GIR_RootConstrainSelectedInstOperands,
     /*  761825 */     // GIR_Coverage, 23937,
     /*  761825 */     GIR_EraseRootFromParent_Done,
     /*  761826 */   // Label 11868: @761826
     /*  761826 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(761901), // Rule ID 23940 //
     /*  761831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  761851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761877 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  761880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761899 */     GIR_RootConstrainSelectedInstOperands,
     /*  761900 */     // GIR_Coverage, 23940,
     /*  761900 */     GIR_EraseRootFromParent_Done,
     /*  761901 */   // Label 11869: @761901
     /*  761901 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(761976), // Rule ID 23941 //
     /*  761906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  761917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  761920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  761923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  761926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  761941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  761945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  761955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761974 */     GIR_RootConstrainSelectedInstOperands,
     /*  761975 */     // GIR_Coverage, 23941,
     /*  761975 */     GIR_EraseRootFromParent_Done,
     /*  761976 */   // Label 11870: @761976
     /*  761976 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(762051), // Rule ID 23944 //
     /*  761981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  761989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  761992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  761995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  761998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  762030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762049 */     GIR_RootConstrainSelectedInstOperands,
     /*  762050 */     // GIR_Coverage, 23944,
     /*  762050 */     GIR_EraseRootFromParent_Done,
     /*  762051 */   // Label 11871: @762051
     /*  762051 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(762126), // Rule ID 23945 //
     /*  762056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  762067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  762070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  762073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762102 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  762105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762124 */     GIR_RootConstrainSelectedInstOperands,
     /*  762125 */     // GIR_Coverage, 23945,
     /*  762125 */     GIR_EraseRootFromParent_Done,
     /*  762126 */   // Label 11872: @762126
     /*  762126 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(762201), // Rule ID 23948 //
     /*  762131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762177 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  762180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762199 */     GIR_RootConstrainSelectedInstOperands,
     /*  762200 */     // GIR_Coverage, 23948,
     /*  762200 */     GIR_EraseRootFromParent_Done,
     /*  762201 */   // Label 11873: @762201
     /*  762201 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(762276), // Rule ID 23949 //
     /*  762206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762252 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  762255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762274 */     GIR_RootConstrainSelectedInstOperands,
     /*  762275 */     // GIR_Coverage, 23949,
     /*  762275 */     GIR_EraseRootFromParent_Done,
     /*  762276 */   // Label 11874: @762276
     /*  762276 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(762351), // Rule ID 23952 //
     /*  762281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762327 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  762330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762349 */     GIR_RootConstrainSelectedInstOperands,
     /*  762350 */     // GIR_Coverage, 23952,
     /*  762350 */     GIR_EraseRootFromParent_Done,
     /*  762351 */   // Label 11875: @762351
     /*  762351 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(762426), // Rule ID 23953 //
     /*  762356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762402 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  762405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762424 */     GIR_RootConstrainSelectedInstOperands,
     /*  762425 */     // GIR_Coverage, 23953,
     /*  762425 */     GIR_EraseRootFromParent_Done,
     /*  762426 */   // Label 11876: @762426
     /*  762426 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(762501), // Rule ID 23956 //
     /*  762431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  762480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762499 */     GIR_RootConstrainSelectedInstOperands,
     /*  762500 */     // GIR_Coverage, 23956,
     /*  762500 */     GIR_EraseRootFromParent_Done,
     /*  762501 */   // Label 11877: @762501
     /*  762501 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(762576), // Rule ID 23957 //
     /*  762506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  762555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762574 */     GIR_RootConstrainSelectedInstOperands,
     /*  762575 */     // GIR_Coverage, 23957,
     /*  762575 */     GIR_EraseRootFromParent_Done,
     /*  762576 */   // Label 11878: @762576
     /*  762576 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(762651), // Rule ID 23960 //
     /*  762581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  762630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762649 */     GIR_RootConstrainSelectedInstOperands,
     /*  762650 */     // GIR_Coverage, 23960,
     /*  762650 */     GIR_EraseRootFromParent_Done,
     /*  762651 */   // Label 11879: @762651
     /*  762651 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(762726), // Rule ID 23961 //
     /*  762656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  762705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762724 */     GIR_RootConstrainSelectedInstOperands,
     /*  762725 */     // GIR_Coverage, 23961,
     /*  762725 */     GIR_EraseRootFromParent_Done,
     /*  762726 */   // Label 11880: @762726
     /*  762726 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(762801), // Rule ID 23964 //
     /*  762731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762777 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  762780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762799 */     GIR_RootConstrainSelectedInstOperands,
     /*  762800 */     // GIR_Coverage, 23964,
     /*  762800 */     GIR_EraseRootFromParent_Done,
     /*  762801 */   // Label 11881: @762801
     /*  762801 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(762876), // Rule ID 23965 //
     /*  762806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  762817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  762820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  762823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  762852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  762855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762874 */     GIR_RootConstrainSelectedInstOperands,
     /*  762875 */     // GIR_Coverage, 23965,
     /*  762875 */     GIR_EraseRootFromParent_Done,
     /*  762876 */   // Label 11882: @762876
     /*  762876 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(762951), // Rule ID 23968 //
     /*  762881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  762901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  762927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  762930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762949 */     GIR_RootConstrainSelectedInstOperands,
     /*  762950 */     // GIR_Coverage, 23968,
     /*  762950 */     GIR_EraseRootFromParent_Done,
     /*  762951 */   // Label 11883: @762951
     /*  762951 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(763026), // Rule ID 23969 //
     /*  762956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  762964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  762967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  762970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  762973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  762976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  762995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  763005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763024 */     GIR_RootConstrainSelectedInstOperands,
     /*  763025 */     // GIR_Coverage, 23969,
     /*  763025 */     GIR_EraseRootFromParent_Done,
     /*  763026 */   // Label 11884: @763026
     /*  763026 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(763101), // Rule ID 23972 //
     /*  763031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  763080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763099 */     GIR_RootConstrainSelectedInstOperands,
     /*  763100 */     // GIR_Coverage, 23972,
     /*  763100 */     GIR_EraseRootFromParent_Done,
     /*  763101 */   // Label 11885: @763101
     /*  763101 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(763176), // Rule ID 23973 //
     /*  763106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763152 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  763155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763174 */     GIR_RootConstrainSelectedInstOperands,
     /*  763175 */     // GIR_Coverage, 23973,
     /*  763175 */     GIR_EraseRootFromParent_Done,
     /*  763176 */   // Label 11886: @763176
     /*  763176 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(763251), // Rule ID 23976 //
     /*  763181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  763230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763249 */     GIR_RootConstrainSelectedInstOperands,
     /*  763250 */     // GIR_Coverage, 23976,
     /*  763250 */     GIR_EraseRootFromParent_Done,
     /*  763251 */   // Label 11887: @763251
     /*  763251 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(763326), // Rule ID 23977 //
     /*  763256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  763305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763324 */     GIR_RootConstrainSelectedInstOperands,
     /*  763325 */     // GIR_Coverage, 23977,
     /*  763325 */     GIR_EraseRootFromParent_Done,
     /*  763326 */   // Label 11888: @763326
     /*  763326 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(763401), // Rule ID 23980 //
     /*  763331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763377 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  763380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763399 */     GIR_RootConstrainSelectedInstOperands,
     /*  763400 */     // GIR_Coverage, 23980,
     /*  763400 */     GIR_EraseRootFromParent_Done,
     /*  763401 */   // Label 11889: @763401
     /*  763401 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(763476), // Rule ID 23981 //
     /*  763406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763452 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  763455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763474 */     GIR_RootConstrainSelectedInstOperands,
     /*  763475 */     // GIR_Coverage, 23981,
     /*  763475 */     GIR_EraseRootFromParent_Done,
     /*  763476 */   // Label 11890: @763476
     /*  763476 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(763551), // Rule ID 23984 //
     /*  763481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  763501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763527 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  763530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763549 */     GIR_RootConstrainSelectedInstOperands,
     /*  763550 */     // GIR_Coverage, 23984,
     /*  763550 */     GIR_EraseRootFromParent_Done,
     /*  763551 */   // Label 11891: @763551
     /*  763551 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(763626), // Rule ID 23985 //
     /*  763556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  763564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  763595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763602 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  763605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763624 */     GIR_RootConstrainSelectedInstOperands,
     /*  763625 */     // GIR_Coverage, 23985,
     /*  763625 */     GIR_EraseRootFromParent_Done,
     /*  763626 */   // Label 11892: @763626
     /*  763626 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(763701), // Rule ID 24228 //
     /*  763631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  763634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  763639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  763651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  763670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763677 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  763680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763699 */     GIR_RootConstrainSelectedInstOperands,
     /*  763700 */     // GIR_Coverage, 24228,
     /*  763700 */     GIR_EraseRootFromParent_Done,
     /*  763701 */   // Label 11893: @763701
     /*  763701 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(763776), // Rule ID 24229 //
     /*  763706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  763709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  763714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  763717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  763720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  763723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  763726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  763745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763752 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  763755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763774 */     GIR_RootConstrainSelectedInstOperands,
     /*  763775 */     // GIR_Coverage, 24229,
     /*  763775 */     GIR_EraseRootFromParent_Done,
     /*  763776 */   // Label 11894: @763776
     /*  763776 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(763851), // Rule ID 24232 //
     /*  763781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  763784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  763789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  763801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  763820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763827 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  763830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763849 */     GIR_RootConstrainSelectedInstOperands,
     /*  763850 */     // GIR_Coverage, 24232,
     /*  763850 */     GIR_EraseRootFromParent_Done,
     /*  763851 */   // Label 11895: @763851
     /*  763851 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(763926), // Rule ID 24233 //
     /*  763856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  763859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  763864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  763867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  763870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  763873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  763876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  763895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763902 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  763905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763924 */     GIR_RootConstrainSelectedInstOperands,
     /*  763925 */     // GIR_Coverage, 24233,
     /*  763925 */     GIR_EraseRootFromParent_Done,
     /*  763926 */   // Label 11896: @763926
     /*  763926 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(764001), // Rule ID 24236 //
     /*  763931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  763934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  763939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  763942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  763945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  763948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  763951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  763966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  763970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763977 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  763980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763999 */     GIR_RootConstrainSelectedInstOperands,
     /*  764000 */     // GIR_Coverage, 24236,
     /*  764000 */     GIR_EraseRootFromParent_Done,
     /*  764001 */   // Label 11897: @764001
     /*  764001 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(764076), // Rule ID 24237 //
     /*  764006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  764009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  764045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764052 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  764055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764074 */     GIR_RootConstrainSelectedInstOperands,
     /*  764075 */     // GIR_Coverage, 24237,
     /*  764075 */     GIR_EraseRootFromParent_Done,
     /*  764076 */   // Label 11898: @764076
     /*  764076 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(764151), // Rule ID 24240 //
     /*  764081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  764084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764127 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  764130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764149 */     GIR_RootConstrainSelectedInstOperands,
     /*  764150 */     // GIR_Coverage, 24240,
     /*  764150 */     GIR_EraseRootFromParent_Done,
     /*  764151 */   // Label 11899: @764151
     /*  764151 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(764226), // Rule ID 24241 //
     /*  764156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  764159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  764167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  764170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  764173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764202 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10907:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  764205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764224 */     GIR_RootConstrainSelectedInstOperands,
     /*  764225 */     // GIR_Coverage, 24241,
     /*  764225 */     GIR_EraseRootFromParent_Done,
     /*  764226 */   // Label 11900: @764226
     /*  764226 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(764301), // Rule ID 24244 //
     /*  764231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  764234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  764270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764277 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  764280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764299 */     GIR_RootConstrainSelectedInstOperands,
     /*  764300 */     // GIR_Coverage, 24244,
     /*  764300 */     GIR_EraseRootFromParent_Done,
     /*  764301 */   // Label 11901: @764301
     /*  764301 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(764376), // Rule ID 24245 //
     /*  764306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  764309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  764317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  764320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  764323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  764345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764352 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10907:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  764355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764374 */     GIR_RootConstrainSelectedInstOperands,
     /*  764375 */     // GIR_Coverage, 24245,
     /*  764375 */     GIR_EraseRootFromParent_Done,
     /*  764376 */   // Label 11902: @764376
     /*  764376 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(764451), // Rule ID 24248 //
     /*  764381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  764384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  764420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  764427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  764430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764449 */     GIR_RootConstrainSelectedInstOperands,
     /*  764450 */     // GIR_Coverage, 24248,
     /*  764450 */     GIR_EraseRootFromParent_Done,
     /*  764451 */   // Label 11903: @764451
     /*  764451 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(764526), // Rule ID 24249 //
     /*  764456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  764459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  764467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  764470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  764473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  764495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10907:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  764505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764524 */     GIR_RootConstrainSelectedInstOperands,
     /*  764525 */     // GIR_Coverage, 24249,
     /*  764525 */     GIR_EraseRootFromParent_Done,
     /*  764526 */   // Label 11904: @764526
     /*  764526 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(764601), // Rule ID 24252 //
     /*  764531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  764534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764577 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  764580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764599 */     GIR_RootConstrainSelectedInstOperands,
     /*  764600 */     // GIR_Coverage, 24252,
     /*  764600 */     GIR_EraseRootFromParent_Done,
     /*  764601 */   // Label 11905: @764601
     /*  764601 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(764676), // Rule ID 24253 //
     /*  764606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  764609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  764617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  764620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  764623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  764641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764652 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  764655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764674 */     GIR_RootConstrainSelectedInstOperands,
     /*  764675 */     // GIR_Coverage, 24253,
     /*  764675 */     GIR_EraseRootFromParent_Done,
     /*  764676 */   // Label 11906: @764676
     /*  764676 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(764751), // Rule ID 24256 //
     /*  764681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  764684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764727 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  764730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764749 */     GIR_RootConstrainSelectedInstOperands,
     /*  764750 */     // GIR_Coverage, 24256,
     /*  764750 */     GIR_EraseRootFromParent_Done,
     /*  764751 */   // Label 11907: @764751
     /*  764751 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(764826), // Rule ID 24257 //
     /*  764756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  764759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  764767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  764770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  764773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  764791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764802 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  764805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764824 */     GIR_RootConstrainSelectedInstOperands,
     /*  764825 */     // GIR_Coverage, 24257,
     /*  764825 */     GIR_EraseRootFromParent_Done,
     /*  764826 */   // Label 11908: @764826
     /*  764826 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(764901), // Rule ID 24260 //
     /*  764831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  764834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764877 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  764880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764899 */     GIR_RootConstrainSelectedInstOperands,
     /*  764900 */     // GIR_Coverage, 24260,
     /*  764900 */     GIR_EraseRootFromParent_Done,
     /*  764901 */   // Label 11909: @764901
     /*  764901 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(764976), // Rule ID 24261 //
     /*  764906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  764909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  764917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  764920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  764923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  764926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  764945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764952 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  764955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764974 */     GIR_RootConstrainSelectedInstOperands,
     /*  764975 */     // GIR_Coverage, 24261,
     /*  764975 */     GIR_EraseRootFromParent_Done,
     /*  764976 */   // Label 11910: @764976
     /*  764976 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(765051), // Rule ID 24264 //
     /*  764981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  764984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  764989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  764992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  764995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  764998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765027 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  765030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765049 */     GIR_RootConstrainSelectedInstOperands,
     /*  765050 */     // GIR_Coverage, 24264,
     /*  765050 */     GIR_EraseRootFromParent_Done,
     /*  765051 */   // Label 11911: @765051
     /*  765051 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(765126), // Rule ID 24265 //
     /*  765056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  765059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  765067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  765070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  765073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765102 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  765105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765124 */     GIR_RootConstrainSelectedInstOperands,
     /*  765125 */     // GIR_Coverage, 24265,
     /*  765125 */     GIR_EraseRootFromParent_Done,
     /*  765126 */   // Label 11912: @765126
     /*  765126 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(765201), // Rule ID 24268 //
     /*  765131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  765134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765177 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  765180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765199 */     GIR_RootConstrainSelectedInstOperands,
     /*  765200 */     // GIR_Coverage, 24268,
     /*  765200 */     GIR_EraseRootFromParent_Done,
     /*  765201 */   // Label 11913: @765201
     /*  765201 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(765276), // Rule ID 24269 //
     /*  765206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  765209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  765217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  765220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  765223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765252 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  765255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765274 */     GIR_RootConstrainSelectedInstOperands,
     /*  765275 */     // GIR_Coverage, 24269,
     /*  765275 */     GIR_EraseRootFromParent_Done,
     /*  765276 */   // Label 11914: @765276
     /*  765276 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(765351), // Rule ID 24272 //
     /*  765281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  765284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765327 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  765330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765349 */     GIR_RootConstrainSelectedInstOperands,
     /*  765350 */     // GIR_Coverage, 24272,
     /*  765350 */     GIR_EraseRootFromParent_Done,
     /*  765351 */   // Label 11915: @765351
     /*  765351 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(765426), // Rule ID 24273 //
     /*  765356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  765359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  765367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  765370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  765373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  765395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765402 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  765405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765424 */     GIR_RootConstrainSelectedInstOperands,
     /*  765425 */     // GIR_Coverage, 24273,
     /*  765425 */     GIR_EraseRootFromParent_Done,
     /*  765426 */   // Label 11916: @765426
     /*  765426 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(765501), // Rule ID 24276 //
     /*  765431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  765434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765477 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  765480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765499 */     GIR_RootConstrainSelectedInstOperands,
     /*  765500 */     // GIR_Coverage, 24276,
     /*  765500 */     GIR_EraseRootFromParent_Done,
     /*  765501 */   // Label 11917: @765501
     /*  765501 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(765576), // Rule ID 24277 //
     /*  765506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  765509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  765517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  765520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  765523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765552 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10907:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  765555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765574 */     GIR_RootConstrainSelectedInstOperands,
     /*  765575 */     // GIR_Coverage, 24277,
     /*  765575 */     GIR_EraseRootFromParent_Done,
     /*  765576 */   // Label 11918: @765576
     /*  765576 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(765651), // Rule ID 24280 //
     /*  765581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  765584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  765630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765649 */     GIR_RootConstrainSelectedInstOperands,
     /*  765650 */     // GIR_Coverage, 24280,
     /*  765650 */     GIR_EraseRootFromParent_Done,
     /*  765651 */   // Label 11919: @765651
     /*  765651 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(765726), // Rule ID 24281 //
     /*  765656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  765659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  765667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  765670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  765673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765702 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10907:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  765705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765724 */     GIR_RootConstrainSelectedInstOperands,
     /*  765725 */     // GIR_Coverage, 24281,
     /*  765725 */     GIR_EraseRootFromParent_Done,
     /*  765726 */   // Label 11920: @765726
     /*  765726 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(765801), // Rule ID 24284 //
     /*  765731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  765734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765777 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  765780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765799 */     GIR_RootConstrainSelectedInstOperands,
     /*  765800 */     // GIR_Coverage, 24284,
     /*  765800 */     GIR_EraseRootFromParent_Done,
     /*  765801 */   // Label 11921: @765801
     /*  765801 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(765876), // Rule ID 24285 //
     /*  765806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  765809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  765814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  765817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  765820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  765823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  765845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765852 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10907:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  765855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765874 */     GIR_RootConstrainSelectedInstOperands,
     /*  765875 */     // GIR_Coverage, 24285,
     /*  765875 */     GIR_EraseRootFromParent_Done,
     /*  765876 */   // Label 11922: @765876
     /*  765876 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(765951), // Rule ID 24288 //
     /*  765881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  765884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  765889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  765892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  765895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  765898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  765901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  765920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765927 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  765930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765949 */     GIR_RootConstrainSelectedInstOperands,
     /*  765950 */     // GIR_Coverage, 24288,
     /*  765950 */     GIR_EraseRootFromParent_Done,
     /*  765951 */   // Label 11923: @765951
     /*  765951 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(766026), // Rule ID 24289 //
     /*  765956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  765959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  765964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  765967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  765970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  765973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  765976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  765995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766002 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  766005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766024 */     GIR_RootConstrainSelectedInstOperands,
     /*  766025 */     // GIR_Coverage, 24289,
     /*  766025 */     GIR_EraseRootFromParent_Done,
     /*  766026 */   // Label 11924: @766026
     /*  766026 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(766101), // Rule ID 24292 //
     /*  766031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  766034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766077 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  766080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766099 */     GIR_RootConstrainSelectedInstOperands,
     /*  766100 */     // GIR_Coverage, 24292,
     /*  766100 */     GIR_EraseRootFromParent_Done,
     /*  766101 */   // Label 11925: @766101
     /*  766101 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(766176), // Rule ID 24293 //
     /*  766106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  766109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  766117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  766120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  766123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766152 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  766155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766174 */     GIR_RootConstrainSelectedInstOperands,
     /*  766175 */     // GIR_Coverage, 24293,
     /*  766175 */     GIR_EraseRootFromParent_Done,
     /*  766176 */   // Label 11926: @766176
     /*  766176 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(766251), // Rule ID 24296 //
     /*  766181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  766184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  766220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  766230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766249 */     GIR_RootConstrainSelectedInstOperands,
     /*  766250 */     // GIR_Coverage, 24296,
     /*  766250 */     GIR_EraseRootFromParent_Done,
     /*  766251 */   // Label 11927: @766251
     /*  766251 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(766326), // Rule ID 24297 //
     /*  766256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  766259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  766267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  766270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  766273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  766295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766302 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  766305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766324 */     GIR_RootConstrainSelectedInstOperands,
     /*  766325 */     // GIR_Coverage, 24297,
     /*  766325 */     GIR_EraseRootFromParent_Done,
     /*  766326 */   // Label 11928: @766326
     /*  766326 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(766401), // Rule ID 24300 //
     /*  766331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  766334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766377 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  766380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766399 */     GIR_RootConstrainSelectedInstOperands,
     /*  766400 */     // GIR_Coverage, 24300,
     /*  766400 */     GIR_EraseRootFromParent_Done,
     /*  766401 */   // Label 11929: @766401
     /*  766401 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(766476), // Rule ID 24301 //
     /*  766406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  766409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  766417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  766420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  766423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10905:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  766455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766474 */     GIR_RootConstrainSelectedInstOperands,
     /*  766475 */     // GIR_Coverage, 24301,
     /*  766475 */     GIR_EraseRootFromParent_Done,
     /*  766476 */   // Label 11930: @766476
     /*  766476 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(766551), // Rule ID 24304 //
     /*  766481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  766484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  766520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  766530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766549 */     GIR_RootConstrainSelectedInstOperands,
     /*  766550 */     // GIR_Coverage, 24304,
     /*  766550 */     GIR_EraseRootFromParent_Done,
     /*  766551 */   // Label 11931: @766551
     /*  766551 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(766626), // Rule ID 24305 //
     /*  766556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  766559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  766567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  766570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  766573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  766595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766602 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10905:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  766605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766624 */     GIR_RootConstrainSelectedInstOperands,
     /*  766625 */     // GIR_Coverage, 24305,
     /*  766625 */     GIR_EraseRootFromParent_Done,
     /*  766626 */   // Label 11932: @766626
     /*  766626 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(766701), // Rule ID 24308 //
     /*  766631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  766634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  766642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  766645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  766648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  766670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766677 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  766677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  766680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766699 */     GIR_RootConstrainSelectedInstOperands,
     /*  766700 */     // GIR_Coverage, 24308,
     /*  766700 */     GIR_EraseRootFromParent_Done,
     /*  766701 */   // Label 11933: @766701
     /*  766701 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(766776), // Rule ID 24309 //
     /*  766706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  766709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  766717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  766720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  766723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  766741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  766745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10905:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  766752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  766755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  766771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766774 */     GIR_RootConstrainSelectedInstOperands,
     /*  766775 */     // GIR_Coverage, 24309,
     /*  766775 */     GIR_EraseRootFromParent_Done,
     /*  766776 */   // Label 11934: @766776
     /*  766776 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(766851), // Rule ID 24312 //
     /*  766781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  766784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  766830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766849 */     GIR_RootConstrainSelectedInstOperands,
     /*  766850 */     // GIR_Coverage, 24312,
     /*  766850 */     GIR_EraseRootFromParent_Done,
     /*  766851 */   // Label 11935: @766851
     /*  766851 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(766926), // Rule ID 24313 //
     /*  766856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  766859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766902 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  766905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766924 */     GIR_RootConstrainSelectedInstOperands,
     /*  766925 */     // GIR_Coverage, 24313,
     /*  766925 */     GIR_EraseRootFromParent_Done,
     /*  766926 */   // Label 11936: @766926
     /*  766926 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(767001), // Rule ID 24316 //
     /*  766931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  766934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  766939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  766942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  766945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  766948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  766951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  766970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766977 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  766980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766999 */     GIR_RootConstrainSelectedInstOperands,
     /*  767000 */     // GIR_Coverage, 24316,
     /*  767000 */     GIR_EraseRootFromParent_Done,
     /*  767001 */   // Label 11937: @767001
     /*  767001 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(767076), // Rule ID 24317 //
     /*  767006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  767009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  767017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  767020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  767023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  767026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  767045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  767055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767074 */     GIR_RootConstrainSelectedInstOperands,
     /*  767075 */     // GIR_Coverage, 24317,
     /*  767075 */     GIR_EraseRootFromParent_Done,
     /*  767076 */   // Label 11938: @767076
     /*  767076 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(767151), // Rule ID 24320 //
     /*  767081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  767084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  767092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  767095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  767098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  767101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  767120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767127 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  767127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  767130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767149 */     GIR_RootConstrainSelectedInstOperands,
     /*  767150 */     // GIR_Coverage, 24320,
     /*  767150 */     GIR_EraseRootFromParent_Done,
     /*  767151 */   // Label 11939: @767151
     /*  767151 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(767226), // Rule ID 24321 //
     /*  767156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  767159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  767167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  767170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  767173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  767176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  767195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767202 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  767202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  767205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  767221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767224 */     GIR_RootConstrainSelectedInstOperands,
     /*  767225 */     // GIR_Coverage, 24321,
     /*  767225 */     GIR_EraseRootFromParent_Done,
     /*  767226 */   // Label 11940: @767226
     /*  767226 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(767301), // Rule ID 24324 //
     /*  767231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  767234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  767242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  767245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  767248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767277 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  767280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767299 */     GIR_RootConstrainSelectedInstOperands,
     /*  767300 */     // GIR_Coverage, 24324,
     /*  767300 */     GIR_EraseRootFromParent_Done,
     /*  767301 */   // Label 11941: @767301
     /*  767301 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(767376), // Rule ID 24325 //
     /*  767306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  767309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  767317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  767320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  767323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767352 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  767355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767374 */     GIR_RootConstrainSelectedInstOperands,
     /*  767375 */     // GIR_Coverage, 24325,
     /*  767375 */     GIR_EraseRootFromParent_Done,
     /*  767376 */   // Label 11942: @767376
     /*  767376 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(767451), // Rule ID 24328 //
     /*  767381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  767384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  767392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  767395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  767398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767427 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  767430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767449 */     GIR_RootConstrainSelectedInstOperands,
     /*  767450 */     // GIR_Coverage, 24328,
     /*  767450 */     GIR_EraseRootFromParent_Done,
     /*  767451 */   // Label 11943: @767451
     /*  767451 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(767526), // Rule ID 24329 //
     /*  767456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  767459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  767467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  767470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  767473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767502 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  767505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767524 */     GIR_RootConstrainSelectedInstOperands,
     /*  767525 */     // GIR_Coverage, 24329,
     /*  767525 */     GIR_EraseRootFromParent_Done,
     /*  767526 */   // Label 11944: @767526
     /*  767526 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(767601), // Rule ID 24332 //
     /*  767531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  767534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  767542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  767545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  767548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767577 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  767577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  767580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767599 */     GIR_RootConstrainSelectedInstOperands,
     /*  767600 */     // GIR_Coverage, 24332,
     /*  767600 */     GIR_EraseRootFromParent_Done,
     /*  767601 */   // Label 11945: @767601
     /*  767601 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(767676), // Rule ID 24333 //
     /*  767606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  767609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  767617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  767620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  767623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  767645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  767652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  767655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767674 */     GIR_RootConstrainSelectedInstOperands,
     /*  767675 */     // GIR_Coverage, 24333,
     /*  767675 */     GIR_EraseRootFromParent_Done,
     /*  767676 */   // Label 11946: @767676
     /*  767676 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(767751), // Rule ID 24336 //
     /*  767681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  767684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  767720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767727 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  767730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767749 */     GIR_RootConstrainSelectedInstOperands,
     /*  767750 */     // GIR_Coverage, 24336,
     /*  767750 */     GIR_EraseRootFromParent_Done,
     /*  767751 */   // Label 11947: @767751
     /*  767751 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(767826), // Rule ID 24337 //
     /*  767756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  767759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  767795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767802 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10905:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  767805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767824 */     GIR_RootConstrainSelectedInstOperands,
     /*  767825 */     // GIR_Coverage, 24337,
     /*  767825 */     GIR_EraseRootFromParent_Done,
     /*  767826 */   // Label 11948: @767826
     /*  767826 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(767901), // Rule ID 24340 //
     /*  767831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  767834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  767870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767877 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  767880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767899 */     GIR_RootConstrainSelectedInstOperands,
     /*  767900 */     // GIR_Coverage, 24340,
     /*  767900 */     GIR_EraseRootFromParent_Done,
     /*  767901 */   // Label 11949: @767901
     /*  767901 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(767976), // Rule ID 24341 //
     /*  767906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  767909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  767945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767952 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10905:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  767955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767974 */     GIR_RootConstrainSelectedInstOperands,
     /*  767975 */     // GIR_Coverage, 24341,
     /*  767975 */     GIR_EraseRootFromParent_Done,
     /*  767976 */   // Label 11950: @767976
     /*  767976 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(768051), // Rule ID 24344 //
     /*  767981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  767984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  767989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  767992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  767995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  767998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  768020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768027 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  768030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768049 */     GIR_RootConstrainSelectedInstOperands,
     /*  768050 */     // GIR_Coverage, 24344,
     /*  768050 */     GIR_EraseRootFromParent_Done,
     /*  768051 */   // Label 11951: @768051
     /*  768051 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(768126), // Rule ID 24345 //
     /*  768056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  768059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  768064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  768067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  768070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  768073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  768076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  768091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  768095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768102 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10905:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  768102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  768105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768124 */     GIR_RootConstrainSelectedInstOperands,
     /*  768125 */     // GIR_Coverage, 24345,
     /*  768125 */     GIR_EraseRootFromParent_Done,
     /*  768126 */   // Label 11952: @768126
     /*  768126 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(768201), // Rule ID 24348 //
     /*  768131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  768142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  768145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  768148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  768151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768177 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  768180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768199 */     GIR_RootConstrainSelectedInstOperands,
     /*  768200 */     // GIR_Coverage, 24348,
     /*  768200 */     GIR_EraseRootFromParent_Done,
     /*  768201 */   // Label 11953: @768201
     /*  768201 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(768276), // Rule ID 24349 //
     /*  768206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  768217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  768220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  768223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  768226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  768255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768274 */     GIR_RootConstrainSelectedInstOperands,
     /*  768275 */     // GIR_Coverage, 24349,
     /*  768275 */     GIR_EraseRootFromParent_Done,
     /*  768276 */   // Label 11954: @768276
     /*  768276 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(768351), // Rule ID 24352 //
     /*  768281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  768301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768327 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  768330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768349 */     GIR_RootConstrainSelectedInstOperands,
     /*  768350 */     // GIR_Coverage, 24352,
     /*  768350 */     GIR_EraseRootFromParent_Done,
     /*  768351 */   // Label 11955: @768351
     /*  768351 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(768426), // Rule ID 24353 //
     /*  768356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  768367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  768370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  768373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  768376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  768405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768424 */     GIR_RootConstrainSelectedInstOperands,
     /*  768425 */     // GIR_Coverage, 24353,
     /*  768425 */     GIR_EraseRootFromParent_Done,
     /*  768426 */   // Label 11956: @768426
     /*  768426 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(768501), // Rule ID 24356 //
     /*  768431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  768442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  768445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  768448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  768451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768477 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  768480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768499 */     GIR_RootConstrainSelectedInstOperands,
     /*  768500 */     // GIR_Coverage, 24356,
     /*  768500 */     GIR_EraseRootFromParent_Done,
     /*  768501 */   // Label 11957: @768501
     /*  768501 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(768576), // Rule ID 24357 //
     /*  768506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  768517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  768520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  768523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  768526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768552 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  768555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768574 */     GIR_RootConstrainSelectedInstOperands,
     /*  768575 */     // GIR_Coverage, 24357,
     /*  768575 */     GIR_EraseRootFromParent_Done,
     /*  768576 */   // Label 11958: @768576
     /*  768576 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(768651), // Rule ID 24360 //
     /*  768581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  768592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  768595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  768598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768627 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  768630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768649 */     GIR_RootConstrainSelectedInstOperands,
     /*  768650 */     // GIR_Coverage, 24360,
     /*  768650 */     GIR_EraseRootFromParent_Done,
     /*  768651 */   // Label 11959: @768651
     /*  768651 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(768726), // Rule ID 24361 //
     /*  768656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  768667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  768670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  768673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  768705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768724 */     GIR_RootConstrainSelectedInstOperands,
     /*  768725 */     // GIR_Coverage, 24361,
     /*  768725 */     GIR_EraseRootFromParent_Done,
     /*  768726 */   // Label 11960: @768726
     /*  768726 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(768801), // Rule ID 24364 //
     /*  768731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768777 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  768780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768799 */     GIR_RootConstrainSelectedInstOperands,
     /*  768800 */     // GIR_Coverage, 24364,
     /*  768800 */     GIR_EraseRootFromParent_Done,
     /*  768801 */   // Label 11961: @768801
     /*  768801 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(768876), // Rule ID 24365 //
     /*  768806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768852 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  768855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768874 */     GIR_RootConstrainSelectedInstOperands,
     /*  768875 */     // GIR_Coverage, 24365,
     /*  768875 */     GIR_EraseRootFromParent_Done,
     /*  768876 */   // Label 11962: @768876
     /*  768876 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(768951), // Rule ID 24368 //
     /*  768881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768927 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  768930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768949 */     GIR_RootConstrainSelectedInstOperands,
     /*  768950 */     // GIR_Coverage, 24368,
     /*  768950 */     GIR_EraseRootFromParent_Done,
     /*  768951 */   // Label 11963: @768951
     /*  768951 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(769026), // Rule ID 24369 //
     /*  768956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  768964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  769005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769024 */     GIR_RootConstrainSelectedInstOperands,
     /*  769025 */     // GIR_Coverage, 24369,
     /*  769025 */     GIR_EraseRootFromParent_Done,
     /*  769026 */   // Label 11964: @769026
     /*  769026 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(769101), // Rule ID 24372 //
     /*  769031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  769042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  769045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  769048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  769051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769077 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  769080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769099 */     GIR_RootConstrainSelectedInstOperands,
     /*  769100 */     // GIR_Coverage, 24372,
     /*  769100 */     GIR_EraseRootFromParent_Done,
     /*  769101 */   // Label 11965: @769101
     /*  769101 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(769176), // Rule ID 24373 //
     /*  769106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  769117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  769120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  769123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  769126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11153:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  769155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769174 */     GIR_RootConstrainSelectedInstOperands,
     /*  769175 */     // GIR_Coverage, 24373,
     /*  769175 */     GIR_EraseRootFromParent_Done,
     /*  769176 */   // Label 11966: @769176
     /*  769176 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(769251), // Rule ID 24376 //
     /*  769181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  769192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  769195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  769198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769227 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  769230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769249 */     GIR_RootConstrainSelectedInstOperands,
     /*  769250 */     // GIR_Coverage, 24376,
     /*  769250 */     GIR_EraseRootFromParent_Done,
     /*  769251 */   // Label 11967: @769251
     /*  769251 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(769326), // Rule ID 24377 //
     /*  769256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  769267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  769270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  769273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  769276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769302 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  769305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769324 */     GIR_RootConstrainSelectedInstOperands,
     /*  769325 */     // GIR_Coverage, 24377,
     /*  769325 */     GIR_EraseRootFromParent_Done,
     /*  769326 */   // Label 11968: @769326
     /*  769326 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(769401), // Rule ID 24380 //
     /*  769331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  769342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  769345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  769348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  769351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769377 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  769377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  769380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769399 */     GIR_RootConstrainSelectedInstOperands,
     /*  769400 */     // GIR_Coverage, 24380,
     /*  769400 */     GIR_EraseRootFromParent_Done,
     /*  769401 */   // Label 11969: @769401
     /*  769401 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(769476), // Rule ID 24381 //
     /*  769406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  769417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  769420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  769423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  769426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769452 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  769452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  769455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  769471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769474 */     GIR_RootConstrainSelectedInstOperands,
     /*  769475 */     // GIR_Coverage, 24381,
     /*  769475 */     GIR_EraseRootFromParent_Done,
     /*  769476 */   // Label 11970: @769476
     /*  769476 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(769551), // Rule ID 24384 //
     /*  769481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  769484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  769492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  769495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  769498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  769501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769527 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  769527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  769530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769549 */     GIR_RootConstrainSelectedInstOperands,
     /*  769550 */     // GIR_Coverage, 24384,
     /*  769550 */     GIR_EraseRootFromParent_Done,
     /*  769551 */   // Label 11971: @769551
     /*  769551 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(769626), // Rule ID 24385 //
     /*  769556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  769559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  769567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  769570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  769573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  769576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  769605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769624 */     GIR_RootConstrainSelectedInstOperands,
     /*  769625 */     // GIR_Coverage, 24385,
     /*  769625 */     GIR_EraseRootFromParent_Done,
     /*  769626 */   // Label 11972: @769626
     /*  769626 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(769701), // Rule ID 24388 //
     /*  769631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  769680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769699 */     GIR_RootConstrainSelectedInstOperands,
     /*  769700 */     // GIR_Coverage, 24388,
     /*  769700 */     GIR_EraseRootFromParent_Done,
     /*  769701 */   // Label 11973: @769701
     /*  769701 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(769776), // Rule ID 24389 //
     /*  769706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  769755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769774 */     GIR_RootConstrainSelectedInstOperands,
     /*  769775 */     // GIR_Coverage, 24389,
     /*  769775 */     GIR_EraseRootFromParent_Done,
     /*  769776 */   // Label 11974: @769776
     /*  769776 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(769851), // Rule ID 24392 //
     /*  769781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  769830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769849 */     GIR_RootConstrainSelectedInstOperands,
     /*  769850 */     // GIR_Coverage, 24392,
     /*  769850 */     GIR_EraseRootFromParent_Done,
     /*  769851 */   // Label 11975: @769851
     /*  769851 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(769926), // Rule ID 24393 //
     /*  769856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769902 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  769905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769924 */     GIR_RootConstrainSelectedInstOperands,
     /*  769925 */     // GIR_Coverage, 24393,
     /*  769925 */     GIR_EraseRootFromParent_Done,
     /*  769926 */   // Label 11976: @769926
     /*  769926 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(770001), // Rule ID 24396 //
     /*  769931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  769939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  769942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  769945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  769948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  769951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769977 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  769980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769999 */     GIR_RootConstrainSelectedInstOperands,
     /*  770000 */     // GIR_Coverage, 24396,
     /*  770000 */     GIR_EraseRootFromParent_Done,
     /*  770001 */   // Label 11977: @770001
     /*  770001 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(770076), // Rule ID 24397 //
     /*  770006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  770017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  770020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  770023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  770026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  770052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  770055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770074 */     GIR_RootConstrainSelectedInstOperands,
     /*  770075 */     // GIR_Coverage, 24397,
     /*  770075 */     GIR_EraseRootFromParent_Done,
     /*  770076 */   // Label 11978: @770076
     /*  770076 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(770151), // Rule ID 24400 //
     /*  770081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  770092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  770095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  770098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  770101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  770130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770149 */     GIR_RootConstrainSelectedInstOperands,
     /*  770150 */     // GIR_Coverage, 24400,
     /*  770150 */     GIR_EraseRootFromParent_Done,
     /*  770151 */   // Label 11979: @770151
     /*  770151 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(770226), // Rule ID 24401 //
     /*  770156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  770167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  770170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  770173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  770176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  770205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770224 */     GIR_RootConstrainSelectedInstOperands,
     /*  770225 */     // GIR_Coverage, 24401,
     /*  770225 */     GIR_EraseRootFromParent_Done,
     /*  770226 */   // Label 11980: @770226
     /*  770226 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(770301), // Rule ID 24404 //
     /*  770231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770277 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  770280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770299 */     GIR_RootConstrainSelectedInstOperands,
     /*  770300 */     // GIR_Coverage, 24404,
     /*  770300 */     GIR_EraseRootFromParent_Done,
     /*  770301 */   // Label 11981: @770301
     /*  770301 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(770376), // Rule ID 24405 //
     /*  770306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  770317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  770320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  770323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  770326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770352 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  770355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770374 */     GIR_RootConstrainSelectedInstOperands,
     /*  770375 */     // GIR_Coverage, 24405,
     /*  770375 */     GIR_EraseRootFromParent_Done,
     /*  770376 */   // Label 11982: @770376
     /*  770376 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(770451), // Rule ID 24408 //
     /*  770381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770427 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  770427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  770430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770449 */     GIR_RootConstrainSelectedInstOperands,
     /*  770450 */     // GIR_Coverage, 24408,
     /*  770450 */     GIR_EraseRootFromParent_Done,
     /*  770451 */   // Label 11983: @770451
     /*  770451 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(770526), // Rule ID 24409 //
     /*  770456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  770467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  770470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  770473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  770476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  770502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  770505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  770521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770524 */     GIR_RootConstrainSelectedInstOperands,
     /*  770525 */     // GIR_Coverage, 24409,
     /*  770525 */     GIR_EraseRootFromParent_Done,
     /*  770526 */   // Label 11984: @770526
     /*  770526 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(770601), // Rule ID 24412 //
     /*  770531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770577 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  770580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770599 */     GIR_RootConstrainSelectedInstOperands,
     /*  770600 */     // GIR_Coverage, 24412,
     /*  770600 */     GIR_EraseRootFromParent_Done,
     /*  770601 */   // Label 11985: @770601
     /*  770601 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(770676), // Rule ID 24413 //
     /*  770606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  770655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770674 */     GIR_RootConstrainSelectedInstOperands,
     /*  770675 */     // GIR_Coverage, 24413,
     /*  770675 */     GIR_EraseRootFromParent_Done,
     /*  770676 */   // Label 11986: @770676
     /*  770676 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(770751), // Rule ID 24416 //
     /*  770681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  770730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770749 */     GIR_RootConstrainSelectedInstOperands,
     /*  770750 */     // GIR_Coverage, 24416,
     /*  770750 */     GIR_EraseRootFromParent_Done,
     /*  770751 */   // Label 11987: @770751
     /*  770751 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(770826), // Rule ID 24417 //
     /*  770756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  770805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770824 */     GIR_RootConstrainSelectedInstOperands,
     /*  770825 */     // GIR_Coverage, 24417,
     /*  770825 */     GIR_EraseRootFromParent_Done,
     /*  770826 */   // Label 11988: @770826
     /*  770826 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(770901), // Rule ID 24420 //
     /*  770831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  770880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770899 */     GIR_RootConstrainSelectedInstOperands,
     /*  770900 */     // GIR_Coverage, 24420,
     /*  770900 */     GIR_EraseRootFromParent_Done,
     /*  770901 */   // Label 11989: @770901
     /*  770901 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(770976), // Rule ID 24421 //
     /*  770906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  770955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770974 */     GIR_RootConstrainSelectedInstOperands,
     /*  770975 */     // GIR_Coverage, 24421,
     /*  770975 */     GIR_EraseRootFromParent_Done,
     /*  770976 */   // Label 11990: @770976
     /*  770976 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(771051), // Rule ID 24424 //
     /*  770981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  770989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  771001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  771030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771049 */     GIR_RootConstrainSelectedInstOperands,
     /*  771050 */     // GIR_Coverage, 24424,
     /*  771050 */     GIR_EraseRootFromParent_Done,
     /*  771051 */   // Label 11991: @771051
     /*  771051 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(771126), // Rule ID 24425 //
     /*  771056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  771067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  771070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  771073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  771076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  771095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771102 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  771105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771124 */     GIR_RootConstrainSelectedInstOperands,
     /*  771125 */     // GIR_Coverage, 24425,
     /*  771125 */     GIR_EraseRootFromParent_Done,
     /*  771126 */   // Label 11992: @771126
     /*  771126 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(771201), // Rule ID 24428 //
     /*  771131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  771151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771177 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  771180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771199 */     GIR_RootConstrainSelectedInstOperands,
     /*  771200 */     // GIR_Coverage, 24428,
     /*  771200 */     GIR_EraseRootFromParent_Done,
     /*  771201 */   // Label 11993: @771201
     /*  771201 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(771276), // Rule ID 24429 //
     /*  771206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  771217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  771220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  771223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  771226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  771245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  771255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771274 */     GIR_RootConstrainSelectedInstOperands,
     /*  771275 */     // GIR_Coverage, 24429,
     /*  771275 */     GIR_EraseRootFromParent_Done,
     /*  771276 */   // Label 11994: @771276
     /*  771276 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(771351), // Rule ID 24432 //
     /*  771281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  771284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  771301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  771327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  771330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771349 */     GIR_RootConstrainSelectedInstOperands,
     /*  771350 */     // GIR_Coverage, 24432,
     /*  771350 */     GIR_EraseRootFromParent_Done,
     /*  771351 */   // Label 11995: @771351
     /*  771351 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(771426), // Rule ID 24433 //
     /*  771356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  771359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  771364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  771367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  771370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  771373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  771376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  771395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  771402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  771405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  771421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771424 */     GIR_RootConstrainSelectedInstOperands,
     /*  771425 */     // GIR_Coverage, 24433,
     /*  771425 */     GIR_EraseRootFromParent_Done,
     /*  771426 */   // Label 11996: @771426
     /*  771426 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(771501), // Rule ID 24436 //
     /*  771431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  771442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  771445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  771448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771477 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  771480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771499 */     GIR_RootConstrainSelectedInstOperands,
     /*  771500 */     // GIR_Coverage, 24436,
     /*  771500 */     GIR_EraseRootFromParent_Done,
     /*  771501 */   // Label 11997: @771501
     /*  771501 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(771576), // Rule ID 24437 //
     /*  771506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  771517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  771520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  771523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771552 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  771555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771574 */     GIR_RootConstrainSelectedInstOperands,
     /*  771575 */     // GIR_Coverage, 24437,
     /*  771575 */     GIR_EraseRootFromParent_Done,
     /*  771576 */   // Label 11998: @771576
     /*  771576 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(771651), // Rule ID 24440 //
     /*  771581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  771630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771649 */     GIR_RootConstrainSelectedInstOperands,
     /*  771650 */     // GIR_Coverage, 24440,
     /*  771650 */     GIR_EraseRootFromParent_Done,
     /*  771651 */   // Label 11999: @771651
     /*  771651 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(771726), // Rule ID 24441 //
     /*  771656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  771705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771724 */     GIR_RootConstrainSelectedInstOperands,
     /*  771725 */     // GIR_Coverage, 24441,
     /*  771725 */     GIR_EraseRootFromParent_Done,
     /*  771726 */   // Label 12000: @771726
     /*  771726 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(771801), // Rule ID 24444 //
     /*  771731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  771780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771799 */     GIR_RootConstrainSelectedInstOperands,
     /*  771800 */     // GIR_Coverage, 24444,
     /*  771800 */     GIR_EraseRootFromParent_Done,
     /*  771801 */   // Label 12001: @771801
     /*  771801 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(771876), // Rule ID 24445 //
     /*  771806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  771855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771874 */     GIR_RootConstrainSelectedInstOperands,
     /*  771875 */     // GIR_Coverage, 24445,
     /*  771875 */     GIR_EraseRootFromParent_Done,
     /*  771876 */   // Label 12002: @771876
     /*  771876 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(771951), // Rule ID 24448 //
     /*  771881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  771930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771949 */     GIR_RootConstrainSelectedInstOperands,
     /*  771950 */     // GIR_Coverage, 24448,
     /*  771950 */     GIR_EraseRootFromParent_Done,
     /*  771951 */   // Label 12003: @771951
     /*  771951 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(772026), // Rule ID 24449 //
     /*  771956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  771964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772002 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  772005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772024 */     GIR_RootConstrainSelectedInstOperands,
     /*  772025 */     // GIR_Coverage, 24449,
     /*  772025 */     GIR_EraseRootFromParent_Done,
     /*  772026 */   // Label 12004: @772026
     /*  772026 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(772101), // Rule ID 24452 //
     /*  772031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  772042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  772045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  772048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  772080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772099 */     GIR_RootConstrainSelectedInstOperands,
     /*  772100 */     // GIR_Coverage, 24452,
     /*  772100 */     GIR_EraseRootFromParent_Done,
     /*  772101 */   // Label 12005: @772101
     /*  772101 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(772176), // Rule ID 24453 //
     /*  772106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  772117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  772120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  772123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772152 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  772155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772174 */     GIR_RootConstrainSelectedInstOperands,
     /*  772175 */     // GIR_Coverage, 24453,
     /*  772175 */     GIR_EraseRootFromParent_Done,
     /*  772176 */   // Label 12006: @772176
     /*  772176 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(772251), // Rule ID 24456 //
     /*  772181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  772192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  772195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  772198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  772230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772249 */     GIR_RootConstrainSelectedInstOperands,
     /*  772250 */     // GIR_Coverage, 24456,
     /*  772250 */     GIR_EraseRootFromParent_Done,
     /*  772251 */   // Label 12007: @772251
     /*  772251 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(772326), // Rule ID 24457 //
     /*  772256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  772267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  772270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  772273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772302 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  772305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772324 */     GIR_RootConstrainSelectedInstOperands,
     /*  772325 */     // GIR_Coverage, 24457,
     /*  772325 */     GIR_EraseRootFromParent_Done,
     /*  772326 */   // Label 12008: @772326
     /*  772326 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(772401), // Rule ID 24460 //
     /*  772331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  772342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  772345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  772348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772377 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772399 */     GIR_RootConstrainSelectedInstOperands,
     /*  772400 */     // GIR_Coverage, 24460,
     /*  772400 */     GIR_EraseRootFromParent_Done,
     /*  772401 */   // Label 12009: @772401
     /*  772401 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(772476), // Rule ID 24461 //
     /*  772406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  772417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  772420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  772423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11155:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772474 */     GIR_RootConstrainSelectedInstOperands,
     /*  772475 */     // GIR_Coverage, 24461,
     /*  772475 */     GIR_EraseRootFromParent_Done,
     /*  772476 */   // Label 12010: @772476
     /*  772476 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(772551), // Rule ID 24464 //
     /*  772481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772549 */     GIR_RootConstrainSelectedInstOperands,
     /*  772550 */     // GIR_Coverage, 24464,
     /*  772550 */     GIR_EraseRootFromParent_Done,
     /*  772551 */   // Label 12011: @772551
     /*  772551 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(772626), // Rule ID 24465 //
     /*  772556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772624 */     GIR_RootConstrainSelectedInstOperands,
     /*  772625 */     // GIR_Coverage, 24465,
     /*  772625 */     GIR_EraseRootFromParent_Done,
     /*  772626 */   // Label 12012: @772626
     /*  772626 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(772701), // Rule ID 24468 //
     /*  772631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772699 */     GIR_RootConstrainSelectedInstOperands,
     /*  772700 */     // GIR_Coverage, 24468,
     /*  772700 */     GIR_EraseRootFromParent_Done,
     /*  772701 */   // Label 12013: @772701
     /*  772701 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(772776), // Rule ID 24469 //
     /*  772706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772774 */     GIR_RootConstrainSelectedInstOperands,
     /*  772775 */     // GIR_Coverage, 24469,
     /*  772775 */     GIR_EraseRootFromParent_Done,
     /*  772776 */   // Label 12014: @772776
     /*  772776 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(772851), // Rule ID 24472 //
     /*  772781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772849 */     GIR_RootConstrainSelectedInstOperands,
     /*  772850 */     // GIR_Coverage, 24472,
     /*  772850 */     GIR_EraseRootFromParent_Done,
     /*  772851 */   // Label 12015: @772851
     /*  772851 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(772926), // Rule ID 24473 //
     /*  772856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772902 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  772905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772924 */     GIR_RootConstrainSelectedInstOperands,
     /*  772925 */     // GIR_Coverage, 24473,
     /*  772925 */     GIR_EraseRootFromParent_Done,
     /*  772926 */   // Label 12016: @772926
     /*  772926 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(773001), // Rule ID 24476 //
     /*  772931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  772939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772977 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  772980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772999 */     GIR_RootConstrainSelectedInstOperands,
     /*  773000 */     // GIR_Coverage, 24476,
     /*  773000 */     GIR_EraseRootFromParent_Done,
     /*  773001 */   // Label 12017: @773001
     /*  773001 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(773076), // Rule ID 24477 //
     /*  773006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  773017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  773020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  773023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773074 */     GIR_RootConstrainSelectedInstOperands,
     /*  773075 */     // GIR_Coverage, 24477,
     /*  773075 */     GIR_EraseRootFromParent_Done,
     /*  773076 */   // Label 12018: @773076
     /*  773076 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(773151), // Rule ID 24480 //
     /*  773081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  773092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  773095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  773098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773149 */     GIR_RootConstrainSelectedInstOperands,
     /*  773150 */     // GIR_Coverage, 24480,
     /*  773150 */     GIR_EraseRootFromParent_Done,
     /*  773151 */   // Label 12019: @773151
     /*  773151 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(773226), // Rule ID 24481 //
     /*  773156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  773167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  773170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  773173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773202 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773224 */     GIR_RootConstrainSelectedInstOperands,
     /*  773225 */     // GIR_Coverage, 24481,
     /*  773225 */     GIR_EraseRootFromParent_Done,
     /*  773226 */   // Label 12020: @773226
     /*  773226 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(773301), // Rule ID 24484 //
     /*  773231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  773242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  773245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  773248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773277 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  773277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  773280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773299 */     GIR_RootConstrainSelectedInstOperands,
     /*  773300 */     // GIR_Coverage, 24484,
     /*  773300 */     GIR_EraseRootFromParent_Done,
     /*  773301 */   // Label 12021: @773301
     /*  773301 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(773376), // Rule ID 24485 //
     /*  773306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  773317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  773320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  773323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  773352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  773355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  773371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773374 */     GIR_RootConstrainSelectedInstOperands,
     /*  773375 */     // GIR_Coverage, 24485,
     /*  773375 */     GIR_EraseRootFromParent_Done,
     /*  773376 */   // Label 12022: @773376
     /*  773376 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(773451), // Rule ID 24488 //
     /*  773381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  773392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  773395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  773398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773449 */     GIR_RootConstrainSelectedInstOperands,
     /*  773450 */     // GIR_Coverage, 24488,
     /*  773450 */     GIR_EraseRootFromParent_Done,
     /*  773451 */   // Label 12023: @773451
     /*  773451 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(773526), // Rule ID 24489 //
     /*  773456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  773467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  773470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  773473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773524 */     GIR_RootConstrainSelectedInstOperands,
     /*  773525 */     // GIR_Coverage, 24489,
     /*  773525 */     GIR_EraseRootFromParent_Done,
     /*  773526 */   // Label 12024: @773526
     /*  773526 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(773601), // Rule ID 24492 //
     /*  773531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773577 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773599 */     GIR_RootConstrainSelectedInstOperands,
     /*  773600 */     // GIR_Coverage, 24492,
     /*  773600 */     GIR_EraseRootFromParent_Done,
     /*  773601 */   // Label 12025: @773601
     /*  773601 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(773676), // Rule ID 24493 //
     /*  773606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773652 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  773655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773674 */     GIR_RootConstrainSelectedInstOperands,
     /*  773675 */     // GIR_Coverage, 24493,
     /*  773675 */     GIR_EraseRootFromParent_Done,
     /*  773676 */   // Label 12026: @773676
     /*  773676 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(773751), // Rule ID 24496 //
     /*  773681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773727 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  773730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773749 */     GIR_RootConstrainSelectedInstOperands,
     /*  773750 */     // GIR_Coverage, 24496,
     /*  773750 */     GIR_EraseRootFromParent_Done,
     /*  773751 */   // Label 12027: @773751
     /*  773751 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(773826), // Rule ID 24497 //
     /*  773756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  773805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773824 */     GIR_RootConstrainSelectedInstOperands,
     /*  773825 */     // GIR_Coverage, 24497,
     /*  773825 */     GIR_EraseRootFromParent_Done,
     /*  773826 */   // Label 12028: @773826
     /*  773826 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(773901), // Rule ID 24500 //
     /*  773831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773899 */     GIR_RootConstrainSelectedInstOperands,
     /*  773900 */     // GIR_Coverage, 24500,
     /*  773900 */     GIR_EraseRootFromParent_Done,
     /*  773901 */   // Label 12029: @773901
     /*  773901 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(773976), // Rule ID 24501 //
     /*  773906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  773955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773974 */     GIR_RootConstrainSelectedInstOperands,
     /*  773975 */     // GIR_Coverage, 24501,
     /*  773975 */     GIR_EraseRootFromParent_Done,
     /*  773976 */   // Label 12030: @773976
     /*  773976 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(774051), // Rule ID 24504 //
     /*  773981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  773989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774049 */     GIR_RootConstrainSelectedInstOperands,
     /*  774050 */     // GIR_Coverage, 24504,
     /*  774050 */     GIR_EraseRootFromParent_Done,
     /*  774051 */   // Label 12031: @774051
     /*  774051 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(774126), // Rule ID 24505 //
     /*  774056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  774067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  774070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  774073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774124 */     GIR_RootConstrainSelectedInstOperands,
     /*  774125 */     // GIR_Coverage, 24505,
     /*  774125 */     GIR_EraseRootFromParent_Done,
     /*  774126 */   // Label 12032: @774126
     /*  774126 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(774201), // Rule ID 24508 //
     /*  774131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  774142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  774145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  774148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774177 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  774177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774199 */     GIR_RootConstrainSelectedInstOperands,
     /*  774200 */     // GIR_Coverage, 24508,
     /*  774200 */     GIR_EraseRootFromParent_Done,
     /*  774201 */   // Label 12033: @774201
     /*  774201 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(774276), // Rule ID 24509 //
     /*  774206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  774217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  774220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  774223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  774252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  774271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774274 */     GIR_RootConstrainSelectedInstOperands,
     /*  774275 */     // GIR_Coverage, 24509,
     /*  774275 */     GIR_EraseRootFromParent_Done,
     /*  774276 */   // Label 12034: @774276
     /*  774276 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(774351), // Rule ID 24512 //
     /*  774281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  774330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774349 */     GIR_RootConstrainSelectedInstOperands,
     /*  774350 */     // GIR_Coverage, 24512,
     /*  774350 */     GIR_EraseRootFromParent_Done,
     /*  774351 */   // Label 12035: @774351
     /*  774351 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(774426), // Rule ID 24513 //
     /*  774356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  774367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  774370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  774373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  774391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774402 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  774405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774424 */     GIR_RootConstrainSelectedInstOperands,
     /*  774425 */     // GIR_Coverage, 24513,
     /*  774425 */     GIR_EraseRootFromParent_Done,
     /*  774426 */   // Label 12036: @774426
     /*  774426 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(774501), // Rule ID 24516 //
     /*  774431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774477 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774499 */     GIR_RootConstrainSelectedInstOperands,
     /*  774500 */     // GIR_Coverage, 24516,
     /*  774500 */     GIR_EraseRootFromParent_Done,
     /*  774501 */   // Label 12037: @774501
     /*  774501 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(774576), // Rule ID 24517 //
     /*  774506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774552 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  774555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774574 */     GIR_RootConstrainSelectedInstOperands,
     /*  774575 */     // GIR_Coverage, 24517,
     /*  774575 */     GIR_EraseRootFromParent_Done,
     /*  774576 */   // Label 12038: @774576
     /*  774576 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(774651), // Rule ID 24520 //
     /*  774581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774649 */     GIR_RootConstrainSelectedInstOperands,
     /*  774650 */     // GIR_Coverage, 24520,
     /*  774650 */     GIR_EraseRootFromParent_Done,
     /*  774651 */   // Label 12039: @774651
     /*  774651 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(774726), // Rule ID 24521 //
     /*  774656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  774664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  774705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774724 */     GIR_RootConstrainSelectedInstOperands,
     /*  774725 */     // GIR_Coverage, 24521,
     /*  774725 */     GIR_EraseRootFromParent_Done,
     /*  774726 */   // Label 12040: @774726
     /*  774726 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(774801), // Rule ID 24612 //
     /*  774731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  774739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  774780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774799 */     GIR_RootConstrainSelectedInstOperands,
     /*  774800 */     // GIR_Coverage, 24612,
     /*  774800 */     GIR_EraseRootFromParent_Done,
     /*  774801 */   // Label 12041: @774801
     /*  774801 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(774876), // Rule ID 24613 //
     /*  774806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  774814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  774855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774874 */     GIR_RootConstrainSelectedInstOperands,
     /*  774875 */     // GIR_Coverage, 24613,
     /*  774875 */     GIR_EraseRootFromParent_Done,
     /*  774876 */   // Label 12042: @774876
     /*  774876 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(774951), // Rule ID 24616 //
     /*  774881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  774889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774927 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  774930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774949 */     GIR_RootConstrainSelectedInstOperands,
     /*  774950 */     // GIR_Coverage, 24616,
     /*  774950 */     GIR_EraseRootFromParent_Done,
     /*  774951 */   // Label 12043: @774951
     /*  774951 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(775026), // Rule ID 24617 //
     /*  774956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  774964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  775005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775024 */     GIR_RootConstrainSelectedInstOperands,
     /*  775025 */     // GIR_Coverage, 24617,
     /*  775025 */     GIR_EraseRootFromParent_Done,
     /*  775026 */   // Label 12044: @775026
     /*  775026 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(775101), // Rule ID 24620 //
     /*  775031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  775042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  775045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  775048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775077 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  775080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775099 */     GIR_RootConstrainSelectedInstOperands,
     /*  775100 */     // GIR_Coverage, 24620,
     /*  775100 */     GIR_EraseRootFromParent_Done,
     /*  775101 */   // Label 12045: @775101
     /*  775101 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(775176), // Rule ID 24621 //
     /*  775106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  775117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  775120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  775123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775152 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  775155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775174 */     GIR_RootConstrainSelectedInstOperands,
     /*  775175 */     // GIR_Coverage, 24621,
     /*  775175 */     GIR_EraseRootFromParent_Done,
     /*  775176 */   // Label 12046: @775176
     /*  775176 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(775251), // Rule ID 24624 //
     /*  775181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  775230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775249 */     GIR_RootConstrainSelectedInstOperands,
     /*  775250 */     // GIR_Coverage, 24624,
     /*  775250 */     GIR_EraseRootFromParent_Done,
     /*  775251 */   // Label 12047: @775251
     /*  775251 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(775326), // Rule ID 24625 //
     /*  775256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  775267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  775270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  775273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775302 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  775305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775324 */     GIR_RootConstrainSelectedInstOperands,
     /*  775325 */     // GIR_Coverage, 24625,
     /*  775325 */     GIR_EraseRootFromParent_Done,
     /*  775326 */   // Label 12048: @775326
     /*  775326 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(775401), // Rule ID 24628 //
     /*  775331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775377 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  775380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775399 */     GIR_RootConstrainSelectedInstOperands,
     /*  775400 */     // GIR_Coverage, 24628,
     /*  775400 */     GIR_EraseRootFromParent_Done,
     /*  775401 */   // Label 12049: @775401
     /*  775401 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(775476), // Rule ID 24629 //
     /*  775406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775452 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  775455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775474 */     GIR_RootConstrainSelectedInstOperands,
     /*  775475 */     // GIR_Coverage, 24629,
     /*  775475 */     GIR_EraseRootFromParent_Done,
     /*  775476 */   // Label 12050: @775476
     /*  775476 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(775551), // Rule ID 24632 //
     /*  775481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775527 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  775530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775549 */     GIR_RootConstrainSelectedInstOperands,
     /*  775550 */     // GIR_Coverage, 24632,
     /*  775550 */     GIR_EraseRootFromParent_Done,
     /*  775551 */   // Label 12051: @775551
     /*  775551 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(775626), // Rule ID 24633 //
     /*  775556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  775576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  775605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775624 */     GIR_RootConstrainSelectedInstOperands,
     /*  775625 */     // GIR_Coverage, 24633,
     /*  775625 */     GIR_EraseRootFromParent_Done,
     /*  775626 */   // Label 12052: @775626
     /*  775626 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(775701), // Rule ID 24636 //
     /*  775631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775677 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  775680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775699 */     GIR_RootConstrainSelectedInstOperands,
     /*  775700 */     // GIR_Coverage, 24636,
     /*  775700 */     GIR_EraseRootFromParent_Done,
     /*  775701 */   // Label 12053: @775701
     /*  775701 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(775776), // Rule ID 24637 //
     /*  775706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  775726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  775755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775774 */     GIR_RootConstrainSelectedInstOperands,
     /*  775775 */     // GIR_Coverage, 24637,
     /*  775775 */     GIR_EraseRootFromParent_Done,
     /*  775776 */   // Label 12054: @775776
     /*  775776 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(775851), // Rule ID 24640 //
     /*  775781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  775830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775849 */     GIR_RootConstrainSelectedInstOperands,
     /*  775850 */     // GIR_Coverage, 24640,
     /*  775850 */     GIR_EraseRootFromParent_Done,
     /*  775851 */   // Label 12055: @775851
     /*  775851 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(775926), // Rule ID 24641 //
     /*  775856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  775905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775924 */     GIR_RootConstrainSelectedInstOperands,
     /*  775925 */     // GIR_Coverage, 24641,
     /*  775925 */     GIR_EraseRootFromParent_Done,
     /*  775926 */   // Label 12056: @775926
     /*  775926 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(776001), // Rule ID 24644 //
     /*  775931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  775939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  775980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775999 */     GIR_RootConstrainSelectedInstOperands,
     /*  776000 */     // GIR_Coverage, 24644,
     /*  776000 */     GIR_EraseRootFromParent_Done,
     /*  776001 */   // Label 12057: @776001
     /*  776001 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(776076), // Rule ID 24645 //
     /*  776006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  776017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  776020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  776023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  776026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  776055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776074 */     GIR_RootConstrainSelectedInstOperands,
     /*  776075 */     // GIR_Coverage, 24645,
     /*  776075 */     GIR_EraseRootFromParent_Done,
     /*  776076 */   // Label 12058: @776076
     /*  776076 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(776151), // Rule ID 24648 //
     /*  776081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  776084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  776092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  776095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  776098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  776127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  776130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776149 */     GIR_RootConstrainSelectedInstOperands,
     /*  776150 */     // GIR_Coverage, 24648,
     /*  776150 */     GIR_EraseRootFromParent_Done,
     /*  776151 */   // Label 12059: @776151
     /*  776151 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(776226), // Rule ID 24649 //
     /*  776156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  776159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  776167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  776170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  776173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  776176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  776195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  776202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  776205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  776221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776224 */     GIR_RootConstrainSelectedInstOperands,
     /*  776225 */     // GIR_Coverage, 24649,
     /*  776225 */     GIR_EraseRootFromParent_Done,
     /*  776226 */   // Label 12060: @776226
     /*  776226 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(776301), // Rule ID 24652 //
     /*  776231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  776242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  776245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  776248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  776280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776299 */     GIR_RootConstrainSelectedInstOperands,
     /*  776300 */     // GIR_Coverage, 24652,
     /*  776300 */     GIR_EraseRootFromParent_Done,
     /*  776301 */   // Label 12061: @776301
     /*  776301 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(776376), // Rule ID 24653 //
     /*  776306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  776317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  776320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  776323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776352 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  776355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776374 */     GIR_RootConstrainSelectedInstOperands,
     /*  776375 */     // GIR_Coverage, 24653,
     /*  776375 */     GIR_EraseRootFromParent_Done,
     /*  776376 */   // Label 12062: @776376
     /*  776376 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(776451), // Rule ID 24656 //
     /*  776381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776427 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  776430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776449 */     GIR_RootConstrainSelectedInstOperands,
     /*  776450 */     // GIR_Coverage, 24656,
     /*  776450 */     GIR_EraseRootFromParent_Done,
     /*  776451 */   // Label 12063: @776451
     /*  776451 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(776526), // Rule ID 24657 //
     /*  776456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  776505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776524 */     GIR_RootConstrainSelectedInstOperands,
     /*  776525 */     // GIR_Coverage, 24657,
     /*  776525 */     GIR_EraseRootFromParent_Done,
     /*  776526 */   // Label 12064: @776526
     /*  776526 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(776601), // Rule ID 24660 //
     /*  776531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  776580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776599 */     GIR_RootConstrainSelectedInstOperands,
     /*  776600 */     // GIR_Coverage, 24660,
     /*  776600 */     GIR_EraseRootFromParent_Done,
     /*  776601 */   // Label 12065: @776601
     /*  776601 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(776676), // Rule ID 24661 //
     /*  776606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776652 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  776655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776674 */     GIR_RootConstrainSelectedInstOperands,
     /*  776675 */     // GIR_Coverage, 24661,
     /*  776675 */     GIR_EraseRootFromParent_Done,
     /*  776676 */   // Label 12066: @776676
     /*  776676 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(776751), // Rule ID 24664 //
     /*  776681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  776730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776749 */     GIR_RootConstrainSelectedInstOperands,
     /*  776750 */     // GIR_Coverage, 24664,
     /*  776750 */     GIR_EraseRootFromParent_Done,
     /*  776751 */   // Label 12067: @776751
     /*  776751 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(776826), // Rule ID 24665 //
     /*  776756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776802 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  776805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776824 */     GIR_RootConstrainSelectedInstOperands,
     /*  776825 */     // GIR_Coverage, 24665,
     /*  776825 */     GIR_EraseRootFromParent_Done,
     /*  776826 */   // Label 12068: @776826
     /*  776826 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(776901), // Rule ID 24668 //
     /*  776831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  776880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776899 */     GIR_RootConstrainSelectedInstOperands,
     /*  776900 */     // GIR_Coverage, 24668,
     /*  776900 */     GIR_EraseRootFromParent_Done,
     /*  776901 */   // Label 12069: @776901
     /*  776901 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(776976), // Rule ID 24669 //
     /*  776906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  776955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776974 */     GIR_RootConstrainSelectedInstOperands,
     /*  776975 */     // GIR_Coverage, 24669,
     /*  776975 */     GIR_EraseRootFromParent_Done,
     /*  776976 */   // Label 12070: @776976
     /*  776976 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(777051), // Rule ID 24672 //
     /*  776981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  776989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  777030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777049 */     GIR_RootConstrainSelectedInstOperands,
     /*  777050 */     // GIR_Coverage, 24672,
     /*  777050 */     GIR_EraseRootFromParent_Done,
     /*  777051 */   // Label 12071: @777051
     /*  777051 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(777126), // Rule ID 24673 //
     /*  777056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  777067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  777070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  777073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  777105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777124 */     GIR_RootConstrainSelectedInstOperands,
     /*  777125 */     // GIR_Coverage, 24673,
     /*  777125 */     GIR_EraseRootFromParent_Done,
     /*  777126 */   // Label 12072: @777126
     /*  777126 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(777201), // Rule ID 24676 //
     /*  777131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777177 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  777180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777199 */     GIR_RootConstrainSelectedInstOperands,
     /*  777200 */     // GIR_Coverage, 24676,
     /*  777200 */     GIR_EraseRootFromParent_Done,
     /*  777201 */   // Label 12073: @777201
     /*  777201 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(777276), // Rule ID 24677 //
     /*  777206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777252 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  777255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777274 */     GIR_RootConstrainSelectedInstOperands,
     /*  777275 */     // GIR_Coverage, 24677,
     /*  777275 */     GIR_EraseRootFromParent_Done,
     /*  777276 */   // Label 12074: @777276
     /*  777276 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(777351), // Rule ID 24680 //
     /*  777281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  777330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777349 */     GIR_RootConstrainSelectedInstOperands,
     /*  777350 */     // GIR_Coverage, 24680,
     /*  777350 */     GIR_EraseRootFromParent_Done,
     /*  777351 */   // Label 12075: @777351
     /*  777351 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(777426), // Rule ID 24681 //
     /*  777356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  777376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777402 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  777405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777424 */     GIR_RootConstrainSelectedInstOperands,
     /*  777425 */     // GIR_Coverage, 24681,
     /*  777425 */     GIR_EraseRootFromParent_Done,
     /*  777426 */   // Label 12076: @777426
     /*  777426 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(777501), // Rule ID 24684 //
     /*  777431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  777434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  777480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777499 */     GIR_RootConstrainSelectedInstOperands,
     /*  777500 */     // GIR_Coverage, 24684,
     /*  777500 */     GIR_EraseRootFromParent_Done,
     /*  777501 */   // Label 12077: @777501
     /*  777501 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(777576), // Rule ID 24685 //
     /*  777506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  777509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  777526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  777555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777574 */     GIR_RootConstrainSelectedInstOperands,
     /*  777575 */     // GIR_Coverage, 24685,
     /*  777575 */     GIR_EraseRootFromParent_Done,
     /*  777576 */   // Label 12078: @777576
     /*  777576 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(777651), // Rule ID 24688 //
     /*  777581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  777584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  777630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777649 */     GIR_RootConstrainSelectedInstOperands,
     /*  777650 */     // GIR_Coverage, 24688,
     /*  777650 */     GIR_EraseRootFromParent_Done,
     /*  777651 */   // Label 12079: @777651
     /*  777651 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(777726), // Rule ID 24689 //
     /*  777656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  777659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  777676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  777705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777724 */     GIR_RootConstrainSelectedInstOperands,
     /*  777725 */     // GIR_Coverage, 24689,
     /*  777725 */     GIR_EraseRootFromParent_Done,
     /*  777726 */   // Label 12080: @777726
     /*  777726 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(777801), // Rule ID 24692 //
     /*  777731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  777734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777777 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  777780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777799 */     GIR_RootConstrainSelectedInstOperands,
     /*  777800 */     // GIR_Coverage, 24692,
     /*  777800 */     GIR_EraseRootFromParent_Done,
     /*  777801 */   // Label 12081: @777801
     /*  777801 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(777876), // Rule ID 24693 //
     /*  777806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  777809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  777814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  777826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777852 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  777855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777874 */     GIR_RootConstrainSelectedInstOperands,
     /*  777875 */     // GIR_Coverage, 24693,
     /*  777875 */     GIR_EraseRootFromParent_Done,
     /*  777876 */   // Label 12082: @777876
     /*  777876 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(777951), // Rule ID 24696 //
     /*  777881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  777884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  777889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  777930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777949 */     GIR_RootConstrainSelectedInstOperands,
     /*  777950 */     // GIR_Coverage, 24696,
     /*  777950 */     GIR_EraseRootFromParent_Done,
     /*  777951 */   // Label 12083: @777951
     /*  777951 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(778026), // Rule ID 24697 //
     /*  777956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  777959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  777964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  777967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  777970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  777973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  777976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778002 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  778005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778024 */     GIR_RootConstrainSelectedInstOperands,
     /*  778025 */     // GIR_Coverage, 24697,
     /*  778025 */     GIR_EraseRootFromParent_Done,
     /*  778026 */   // Label 12084: @778026
     /*  778026 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(778101), // Rule ID 24700 //
     /*  778031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  778051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778077 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  778080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778099 */     GIR_RootConstrainSelectedInstOperands,
     /*  778100 */     // GIR_Coverage, 24700,
     /*  778100 */     GIR_EraseRootFromParent_Done,
     /*  778101 */   // Label 12085: @778101
     /*  778101 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(778176), // Rule ID 24701 //
     /*  778106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  778117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  778120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  778123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  778126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778152 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  778155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778174 */     GIR_RootConstrainSelectedInstOperands,
     /*  778175 */     // GIR_Coverage, 24701,
     /*  778175 */     GIR_EraseRootFromParent_Done,
     /*  778176 */   // Label 12086: @778176
     /*  778176 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(778251), // Rule ID 24704 //
     /*  778181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  778184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  778201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  778230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778249 */     GIR_RootConstrainSelectedInstOperands,
     /*  778250 */     // GIR_Coverage, 24704,
     /*  778250 */     GIR_EraseRootFromParent_Done,
     /*  778251 */   // Label 12087: @778251
     /*  778251 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(778326), // Rule ID 24705 //
     /*  778256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  778259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  778267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  778270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  778273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  778276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778302 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  778305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778324 */     GIR_RootConstrainSelectedInstOperands,
     /*  778325 */     // GIR_Coverage, 24705,
     /*  778325 */     GIR_EraseRootFromParent_Done,
     /*  778326 */   // Label 12088: @778326
     /*  778326 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(778401), // Rule ID 24708 //
     /*  778331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778377 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  778380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778399 */     GIR_RootConstrainSelectedInstOperands,
     /*  778400 */     // GIR_Coverage, 24708,
     /*  778400 */     GIR_EraseRootFromParent_Done,
     /*  778401 */   // Label 12089: @778401
     /*  778401 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(778476), // Rule ID 24709 //
     /*  778406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  778417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  778420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  778423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  778426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778452 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  778455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778474 */     GIR_RootConstrainSelectedInstOperands,
     /*  778475 */     // GIR_Coverage, 24709,
     /*  778475 */     GIR_EraseRootFromParent_Done,
     /*  778476 */   // Label 12090: @778476
     /*  778476 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(778551), // Rule ID 24712 //
     /*  778481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  778530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778549 */     GIR_RootConstrainSelectedInstOperands,
     /*  778550 */     // GIR_Coverage, 24712,
     /*  778550 */     GIR_EraseRootFromParent_Done,
     /*  778551 */   // Label 12091: @778551
     /*  778551 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(778626), // Rule ID 24713 //
     /*  778556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  778567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  778570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  778573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  778576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778602 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  778605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778624 */     GIR_RootConstrainSelectedInstOperands,
     /*  778625 */     // GIR_Coverage, 24713,
     /*  778625 */     GIR_EraseRootFromParent_Done,
     /*  778626 */   // Label 12092: @778626
     /*  778626 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(778701), // Rule ID 24716 //
     /*  778631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  778634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778677 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  778680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778699 */     GIR_RootConstrainSelectedInstOperands,
     /*  778700 */     // GIR_Coverage, 24716,
     /*  778700 */     GIR_EraseRootFromParent_Done,
     /*  778701 */   // Label 12093: @778701
     /*  778701 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(778776), // Rule ID 24717 //
     /*  778706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  778709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  778717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  778720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  778723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  778726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  778745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778752 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  778755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778774 */     GIR_RootConstrainSelectedInstOperands,
     /*  778775 */     // GIR_Coverage, 24717,
     /*  778775 */     GIR_EraseRootFromParent_Done,
     /*  778776 */   // Label 12094: @778776
     /*  778776 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(778851), // Rule ID 24720 //
     /*  778781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  778784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778827 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  778830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778849 */     GIR_RootConstrainSelectedInstOperands,
     /*  778850 */     // GIR_Coverage, 24720,
     /*  778850 */     GIR_EraseRootFromParent_Done,
     /*  778851 */   // Label 12095: @778851
     /*  778851 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(778926), // Rule ID 24721 //
     /*  778856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  778859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  778867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  778870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  778873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  778876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  778895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778902 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  778902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  778905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778924 */     GIR_RootConstrainSelectedInstOperands,
     /*  778925 */     // GIR_Coverage, 24721,
     /*  778925 */     GIR_EraseRootFromParent_Done,
     /*  778926 */   // Label 12096: @778926
     /*  778926 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(779001), // Rule ID 24724 //
     /*  778931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  778934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  778939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  778942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  778945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  778948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  778951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  778970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778977 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  778977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  778980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  778996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778999 */     GIR_RootConstrainSelectedInstOperands,
     /*  779000 */     // GIR_Coverage, 24724,
     /*  779000 */     GIR_EraseRootFromParent_Done,
     /*  779001 */   // Label 12097: @779001
     /*  779001 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(779076), // Rule ID 24725 //
     /*  779006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  779009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  779014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  779017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  779020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  779023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  779026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779052 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  779055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779074 */     GIR_RootConstrainSelectedInstOperands,
     /*  779075 */     // GIR_Coverage, 24725,
     /*  779075 */     GIR_EraseRootFromParent_Done,
     /*  779076 */   // Label 12098: @779076
     /*  779076 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(779151), // Rule ID 24728 //
     /*  779081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  779084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  779089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779127 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  779130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779149 */     GIR_RootConstrainSelectedInstOperands,
     /*  779150 */     // GIR_Coverage, 24728,
     /*  779150 */     GIR_EraseRootFromParent_Done,
     /*  779151 */   // Label 12099: @779151
     /*  779151 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(779226), // Rule ID 24729 //
     /*  779156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  779159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  779164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  779167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  779170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  779173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  779176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779202 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  779205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779224 */     GIR_RootConstrainSelectedInstOperands,
     /*  779225 */     // GIR_Coverage, 24729,
     /*  779225 */     GIR_EraseRootFromParent_Done,
     /*  779226 */   // Label 12100: @779226
     /*  779226 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(779301), // Rule ID 24732 //
     /*  779231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779277 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  779280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779299 */     GIR_RootConstrainSelectedInstOperands,
     /*  779300 */     // GIR_Coverage, 24732,
     /*  779300 */     GIR_EraseRootFromParent_Done,
     /*  779301 */   // Label 12101: @779301
     /*  779301 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(779376), // Rule ID 24733 //
     /*  779306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  779317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  779320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  779323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779352 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  779355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779374 */     GIR_RootConstrainSelectedInstOperands,
     /*  779375 */     // GIR_Coverage, 24733,
     /*  779375 */     GIR_EraseRootFromParent_Done,
     /*  779376 */   // Label 12102: @779376
     /*  779376 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(779451), // Rule ID 24736 //
     /*  779381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  779430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779449 */     GIR_RootConstrainSelectedInstOperands,
     /*  779450 */     // GIR_Coverage, 24736,
     /*  779450 */     GIR_EraseRootFromParent_Done,
     /*  779451 */   // Label 12103: @779451
     /*  779451 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(779526), // Rule ID 24737 //
     /*  779456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  779505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779524 */     GIR_RootConstrainSelectedInstOperands,
     /*  779525 */     // GIR_Coverage, 24737,
     /*  779525 */     GIR_EraseRootFromParent_Done,
     /*  779526 */   // Label 12104: @779526
     /*  779526 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(779601), // Rule ID 24740 //
     /*  779531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  779534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779577 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  779580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779599 */     GIR_RootConstrainSelectedInstOperands,
     /*  779600 */     // GIR_Coverage, 24740,
     /*  779600 */     GIR_EraseRootFromParent_Done,
     /*  779601 */   // Label 12105: @779601
     /*  779601 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(779676), // Rule ID 24741 //
     /*  779606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  779609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779652 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  779655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779674 */     GIR_RootConstrainSelectedInstOperands,
     /*  779675 */     // GIR_Coverage, 24741,
     /*  779675 */     GIR_EraseRootFromParent_Done,
     /*  779676 */   // Label 12106: @779676
     /*  779676 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(779751), // Rule ID 24744 //
     /*  779681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779727 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  779730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779749 */     GIR_RootConstrainSelectedInstOperands,
     /*  779750 */     // GIR_Coverage, 24744,
     /*  779750 */     GIR_EraseRootFromParent_Done,
     /*  779751 */   // Label 12107: @779751
     /*  779751 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(779826), // Rule ID 24745 //
     /*  779756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  779767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  779770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  779773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779802 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  779805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779824 */     GIR_RootConstrainSelectedInstOperands,
     /*  779825 */     // GIR_Coverage, 24745,
     /*  779825 */     GIR_EraseRootFromParent_Done,
     /*  779826 */   // Label 12108: @779826
     /*  779826 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(779901), // Rule ID 24748 //
     /*  779831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779877 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  779880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779899 */     GIR_RootConstrainSelectedInstOperands,
     /*  779900 */     // GIR_Coverage, 24748,
     /*  779900 */     GIR_EraseRootFromParent_Done,
     /*  779901 */   // Label 12109: @779901
     /*  779901 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(779976), // Rule ID 24749 //
     /*  779906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  779909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  779917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  779920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  779923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779952 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  779955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779974 */     GIR_RootConstrainSelectedInstOperands,
     /*  779975 */     // GIR_Coverage, 24749,
     /*  779975 */     GIR_EraseRootFromParent_Done,
     /*  779976 */   // Label 12110: @779976
     /*  779976 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(780051), // Rule ID 24752 //
     /*  779981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  779984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  779989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  779992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  779995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  779998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  780030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780049 */     GIR_RootConstrainSelectedInstOperands,
     /*  780050 */     // GIR_Coverage, 24752,
     /*  780050 */     GIR_EraseRootFromParent_Done,
     /*  780051 */   // Label 12111: @780051
     /*  780051 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(780126), // Rule ID 24753 //
     /*  780056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  780059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780102 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  780105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780124 */     GIR_RootConstrainSelectedInstOperands,
     /*  780125 */     // GIR_Coverage, 24753,
     /*  780125 */     GIR_EraseRootFromParent_Done,
     /*  780126 */   // Label 12112: @780126
     /*  780126 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(780201), // Rule ID 24756 //
     /*  780131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  780134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780177 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  780180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780199 */     GIR_RootConstrainSelectedInstOperands,
     /*  780200 */     // GIR_Coverage, 24756,
     /*  780200 */     GIR_EraseRootFromParent_Done,
     /*  780201 */   // Label 12113: @780201
     /*  780201 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(780276), // Rule ID 24757 //
     /*  780206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  780209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  780255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780274 */     GIR_RootConstrainSelectedInstOperands,
     /*  780275 */     // GIR_Coverage, 24757,
     /*  780275 */     GIR_EraseRootFromParent_Done,
     /*  780276 */   // Label 12114: @780276
     /*  780276 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(780351), // Rule ID 24760 //
     /*  780281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  780284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780327 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  780330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780349 */     GIR_RootConstrainSelectedInstOperands,
     /*  780350 */     // GIR_Coverage, 24760,
     /*  780350 */     GIR_EraseRootFromParent_Done,
     /*  780351 */   // Label 12115: @780351
     /*  780351 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(780426), // Rule ID 24761 //
     /*  780356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  780359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  780405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780424 */     GIR_RootConstrainSelectedInstOperands,
     /*  780425 */     // GIR_Coverage, 24761,
     /*  780425 */     GIR_EraseRootFromParent_Done,
     /*  780426 */   // Label 12116: @780426
     /*  780426 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(780501), // Rule ID 24764 //
     /*  780431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  780434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780477 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  780480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780499 */     GIR_RootConstrainSelectedInstOperands,
     /*  780500 */     // GIR_Coverage, 24764,
     /*  780500 */     GIR_EraseRootFromParent_Done,
     /*  780501 */   // Label 12117: @780501
     /*  780501 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(780576), // Rule ID 24765 //
     /*  780506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  780509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  780514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  780517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  780520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  780523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780552 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  780555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780574 */     GIR_RootConstrainSelectedInstOperands,
     /*  780575 */     // GIR_Coverage, 24765,
     /*  780575 */     GIR_EraseRootFromParent_Done,
     /*  780576 */   // Label 12118: @780576
     /*  780576 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(780651), // Rule ID 24804 //
     /*  780581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  780584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  780601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780627 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  780630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780649 */     GIR_RootConstrainSelectedInstOperands,
     /*  780650 */     // GIR_Coverage, 24804,
     /*  780650 */     GIR_EraseRootFromParent_Done,
     /*  780651 */   // Label 12119: @780651
     /*  780651 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(780726), // Rule ID 24805 //
     /*  780656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  780659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  780667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  780670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  780673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  780676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780702 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  780705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780724 */     GIR_RootConstrainSelectedInstOperands,
     /*  780725 */     // GIR_Coverage, 24805,
     /*  780725 */     GIR_EraseRootFromParent_Done,
     /*  780726 */   // Label 12120: @780726
     /*  780726 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(780801), // Rule ID 24808 //
     /*  780731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  780734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  780751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780777 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  780780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780799 */     GIR_RootConstrainSelectedInstOperands,
     /*  780800 */     // GIR_Coverage, 24808,
     /*  780800 */     GIR_EraseRootFromParent_Done,
     /*  780801 */   // Label 12121: @780801
     /*  780801 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(780876), // Rule ID 24809 //
     /*  780806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  780809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  780817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  780820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  780823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  780826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780852 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  780855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780874 */     GIR_RootConstrainSelectedInstOperands,
     /*  780875 */     // GIR_Coverage, 24809,
     /*  780875 */     GIR_EraseRootFromParent_Done,
     /*  780876 */   // Label 12122: @780876
     /*  780876 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(780951), // Rule ID 24812 //
     /*  780881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  780884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  780901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  780930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780949 */     GIR_RootConstrainSelectedInstOperands,
     /*  780950 */     // GIR_Coverage, 24812,
     /*  780950 */     GIR_EraseRootFromParent_Done,
     /*  780951 */   // Label 12123: @780951
     /*  780951 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(781026), // Rule ID 24813 //
     /*  780956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  780959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  780964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  780967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  780970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  780973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  780976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  780995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781002 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11153:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  781005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781024 */     GIR_RootConstrainSelectedInstOperands,
     /*  781025 */     // GIR_Coverage, 24813,
     /*  781025 */     GIR_EraseRootFromParent_Done,
     /*  781026 */   // Label 12124: @781026
     /*  781026 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(781101), // Rule ID 24816 //
     /*  781031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  781051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781077 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  781080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781099 */     GIR_RootConstrainSelectedInstOperands,
     /*  781100 */     // GIR_Coverage, 24816,
     /*  781100 */     GIR_EraseRootFromParent_Done,
     /*  781101 */   // Label 12125: @781101
     /*  781101 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(781176), // Rule ID 24817 //
     /*  781106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  781126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781152 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  781155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781174 */     GIR_RootConstrainSelectedInstOperands,
     /*  781175 */     // GIR_Coverage, 24817,
     /*  781175 */     GIR_EraseRootFromParent_Done,
     /*  781176 */   // Label 12126: @781176
     /*  781176 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(781251), // Rule ID 24820 //
     /*  781181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  781201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781227 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  781230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781249 */     GIR_RootConstrainSelectedInstOperands,
     /*  781250 */     // GIR_Coverage, 24820,
     /*  781250 */     GIR_EraseRootFromParent_Done,
     /*  781251 */   // Label 12127: @781251
     /*  781251 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(781326), // Rule ID 24821 //
     /*  781256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  781267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  781270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  781273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  781276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781302 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  781305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781324 */     GIR_RootConstrainSelectedInstOperands,
     /*  781325 */     // GIR_Coverage, 24821,
     /*  781325 */     GIR_EraseRootFromParent_Done,
     /*  781326 */   // Label 12128: @781326
     /*  781326 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(781401), // Rule ID 24824 //
     /*  781331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  781351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781377 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  781380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781399 */     GIR_RootConstrainSelectedInstOperands,
     /*  781400 */     // GIR_Coverage, 24824,
     /*  781400 */     GIR_EraseRootFromParent_Done,
     /*  781401 */   // Label 12129: @781401
     /*  781401 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(781476), // Rule ID 24825 //
     /*  781406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  781414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  781417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  781420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  781423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  781426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781452 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  781455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781474 */     GIR_RootConstrainSelectedInstOperands,
     /*  781475 */     // GIR_Coverage, 24825,
     /*  781475 */     GIR_EraseRootFromParent_Done,
     /*  781476 */   // Label 12130: @781476
     /*  781476 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(781551), // Rule ID 24828 //
     /*  781481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781527 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  781530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781549 */     GIR_RootConstrainSelectedInstOperands,
     /*  781550 */     // GIR_Coverage, 24828,
     /*  781550 */     GIR_EraseRootFromParent_Done,
     /*  781551 */   // Label 12131: @781551
     /*  781551 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(781626), // Rule ID 24829 //
     /*  781556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  781605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781624 */     GIR_RootConstrainSelectedInstOperands,
     /*  781625 */     // GIR_Coverage, 24829,
     /*  781625 */     GIR_EraseRootFromParent_Done,
     /*  781626 */   // Label 12132: @781626
     /*  781626 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(781701), // Rule ID 24832 //
     /*  781631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781677 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  781680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781699 */     GIR_RootConstrainSelectedInstOperands,
     /*  781700 */     // GIR_Coverage, 24832,
     /*  781700 */     GIR_EraseRootFromParent_Done,
     /*  781701 */   // Label 12133: @781701
     /*  781701 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(781776), // Rule ID 24833 //
     /*  781706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  781755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781774 */     GIR_RootConstrainSelectedInstOperands,
     /*  781775 */     // GIR_Coverage, 24833,
     /*  781775 */     GIR_EraseRootFromParent_Done,
     /*  781776 */   // Label 12134: @781776
     /*  781776 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(781851), // Rule ID 24836 //
     /*  781781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781827 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  781830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781849 */     GIR_RootConstrainSelectedInstOperands,
     /*  781850 */     // GIR_Coverage, 24836,
     /*  781850 */     GIR_EraseRootFromParent_Done,
     /*  781851 */   // Label 12135: @781851
     /*  781851 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(781926), // Rule ID 24837 //
     /*  781856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  781859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  781867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  781870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  781873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781902 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11155:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  781905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781924 */     GIR_RootConstrainSelectedInstOperands,
     /*  781925 */     // GIR_Coverage, 24837,
     /*  781925 */     GIR_EraseRootFromParent_Done,
     /*  781926 */   // Label 12136: @781926
     /*  781926 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(782001), // Rule ID 24840 //
     /*  781931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  781934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  781939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  781942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  781945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  781948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  781966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781977 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  781980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781999 */     GIR_RootConstrainSelectedInstOperands,
     /*  782000 */     // GIR_Coverage, 24840,
     /*  782000 */     GIR_EraseRootFromParent_Done,
     /*  782001 */   // Label 12137: @782001
     /*  782001 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(782076), // Rule ID 24841 //
     /*  782006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  782009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  782014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  782017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  782020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  782023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782052 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  782055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782074 */     GIR_RootConstrainSelectedInstOperands,
     /*  782075 */     // GIR_Coverage, 24841,
     /*  782075 */     GIR_EraseRootFromParent_Done,
     /*  782076 */   // Label 12138: @782076
     /*  782076 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(782151), // Rule ID 24844 //
     /*  782081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  782084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  782089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  782130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782149 */     GIR_RootConstrainSelectedInstOperands,
     /*  782150 */     // GIR_Coverage, 24844,
     /*  782150 */     GIR_EraseRootFromParent_Done,
     /*  782151 */   // Label 12139: @782151
     /*  782151 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(782226), // Rule ID 24845 //
     /*  782156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  782159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  782164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  782167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  782170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  782173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  782205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782224 */     GIR_RootConstrainSelectedInstOperands,
     /*  782225 */     // GIR_Coverage, 24845,
     /*  782225 */     GIR_EraseRootFromParent_Done,
     /*  782226 */   // Label 12140: @782226
     /*  782226 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(782301), // Rule ID 24848 //
     /*  782231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  782234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  782239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  782251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782277 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  782280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782299 */     GIR_RootConstrainSelectedInstOperands,
     /*  782300 */     // GIR_Coverage, 24848,
     /*  782300 */     GIR_EraseRootFromParent_Done,
     /*  782301 */   // Label 12141: @782301
     /*  782301 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(782376), // Rule ID 24849 //
     /*  782306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  782309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  782314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  782317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  782320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  782323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  782326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  782341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  782345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782352 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  782355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782374 */     GIR_RootConstrainSelectedInstOperands,
     /*  782375 */     // GIR_Coverage, 24849,
     /*  782375 */     GIR_EraseRootFromParent_Done,
     /*  782376 */   // Label 12142: @782376
     /*  782376 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(782451), // Rule ID 24876 //
     /*  782381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  782384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782427 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  782430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782449 */     GIR_RootConstrainSelectedInstOperands,
     /*  782450 */     // GIR_Coverage, 24876,
     /*  782450 */     GIR_EraseRootFromParent_Done,
     /*  782451 */   // Label 12143: @782451
     /*  782451 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(782526), // Rule ID 24877 //
     /*  782456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  782459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  782467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  782470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  782473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782502 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  782505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782524 */     GIR_RootConstrainSelectedInstOperands,
     /*  782525 */     // GIR_Coverage, 24877,
     /*  782525 */     GIR_EraseRootFromParent_Done,
     /*  782526 */   // Label 12144: @782526
     /*  782526 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(782601), // Rule ID 24880 //
     /*  782531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  782534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  782542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  782545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  782548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  782551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782577 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  782580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782599 */     GIR_RootConstrainSelectedInstOperands,
     /*  782600 */     // GIR_Coverage, 24880,
     /*  782600 */     GIR_EraseRootFromParent_Done,
     /*  782601 */   // Label 12145: @782601
     /*  782601 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(782676), // Rule ID 24881 //
     /*  782606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  782609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  782617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  782620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  782623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  782626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  782655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782674 */     GIR_RootConstrainSelectedInstOperands,
     /*  782675 */     // GIR_Coverage, 24881,
     /*  782675 */     GIR_EraseRootFromParent_Done,
     /*  782676 */   // Label 12146: @782676
     /*  782676 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(782751), // Rule ID 24884 //
     /*  782681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  782684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  782692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  782695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  782698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782727 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  782730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782749 */     GIR_RootConstrainSelectedInstOperands,
     /*  782750 */     // GIR_Coverage, 24884,
     /*  782750 */     GIR_EraseRootFromParent_Done,
     /*  782751 */   // Label 12147: @782751
     /*  782751 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(782826), // Rule ID 24885 //
     /*  782756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  782759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  782767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  782770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  782773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  782776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782802 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  782805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782824 */     GIR_RootConstrainSelectedInstOperands,
     /*  782825 */     // GIR_Coverage, 24885,
     /*  782825 */     GIR_EraseRootFromParent_Done,
     /*  782826 */   // Label 12148: @782826
     /*  782826 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(782901), // Rule ID 24888 //
     /*  782831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  782834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782877 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  782880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782899 */     GIR_RootConstrainSelectedInstOperands,
     /*  782900 */     // GIR_Coverage, 24888,
     /*  782900 */     GIR_EraseRootFromParent_Done,
     /*  782901 */   // Label 12149: @782901
     /*  782901 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(782976), // Rule ID 24889 //
     /*  782906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  782909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782952 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  782955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782974 */     GIR_RootConstrainSelectedInstOperands,
     /*  782975 */     // GIR_Coverage, 24889,
     /*  782975 */     GIR_EraseRootFromParent_Done,
     /*  782976 */   // Label 12150: @782976
     /*  782976 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(783051), // Rule ID 24892 //
     /*  782981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  782984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  782989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783027 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  783030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783049 */     GIR_RootConstrainSelectedInstOperands,
     /*  783050 */     // GIR_Coverage, 24892,
     /*  783050 */     GIR_EraseRootFromParent_Done,
     /*  783051 */   // Label 12151: @783051
     /*  783051 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(783126), // Rule ID 24893 //
     /*  783056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  783059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  783067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  783070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  783073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  783076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  783105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783124 */     GIR_RootConstrainSelectedInstOperands,
     /*  783125 */     // GIR_Coverage, 24893,
     /*  783125 */     GIR_EraseRootFromParent_Done,
     /*  783126 */   // Label 12152: @783126
     /*  783126 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(783201), // Rule ID 24896 //
     /*  783131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  783134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783177 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  783177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  783180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783199 */     GIR_RootConstrainSelectedInstOperands,
     /*  783200 */     // GIR_Coverage, 24896,
     /*  783200 */     GIR_EraseRootFromParent_Done,
     /*  783201 */   // Label 12153: @783201
     /*  783201 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(783276), // Rule ID 24897 //
     /*  783206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  783209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  783217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  783220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  783223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  783226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783252 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  783252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  783255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  783271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783274 */     GIR_RootConstrainSelectedInstOperands,
     /*  783275 */     // GIR_Coverage, 24897,
     /*  783275 */     GIR_EraseRootFromParent_Done,
     /*  783276 */   // Label 12154: @783276
     /*  783276 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(783351), // Rule ID 24900 //
     /*  783281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  783284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783327 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  783330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783349 */     GIR_RootConstrainSelectedInstOperands,
     /*  783350 */     // GIR_Coverage, 24900,
     /*  783350 */     GIR_EraseRootFromParent_Done,
     /*  783351 */   // Label 12155: @783351
     /*  783351 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(783426), // Rule ID 24901 //
     /*  783356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  783359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783402 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  783405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783424 */     GIR_RootConstrainSelectedInstOperands,
     /*  783425 */     // GIR_Coverage, 24901,
     /*  783425 */     GIR_EraseRootFromParent_Done,
     /*  783426 */   // Label 12156: @783426
     /*  783426 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(783501), // Rule ID 24904 //
     /*  783431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  783434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783477 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  783480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783499 */     GIR_RootConstrainSelectedInstOperands,
     /*  783500 */     // GIR_Coverage, 24904,
     /*  783500 */     GIR_EraseRootFromParent_Done,
     /*  783501 */   // Label 12157: @783501
     /*  783501 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(783576), // Rule ID 24905 //
     /*  783506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  783509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783552 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  783555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783574 */     GIR_RootConstrainSelectedInstOperands,
     /*  783575 */     // GIR_Coverage, 24905,
     /*  783575 */     GIR_EraseRootFromParent_Done,
     /*  783576 */   // Label 12158: @783576
     /*  783576 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(783651), // Rule ID 24908 //
     /*  783581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  783584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783627 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  783630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783649 */     GIR_RootConstrainSelectedInstOperands,
     /*  783650 */     // GIR_Coverage, 24908,
     /*  783650 */     GIR_EraseRootFromParent_Done,
     /*  783651 */   // Label 12159: @783651
     /*  783651 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(783726), // Rule ID 24909 //
     /*  783656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  783659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783702 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  783705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783724 */     GIR_RootConstrainSelectedInstOperands,
     /*  783725 */     // GIR_Coverage, 24909,
     /*  783725 */     GIR_EraseRootFromParent_Done,
     /*  783726 */   // Label 12160: @783726
     /*  783726 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(783801), // Rule ID 24912 //
     /*  783731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  783734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  783780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783799 */     GIR_RootConstrainSelectedInstOperands,
     /*  783800 */     // GIR_Coverage, 24912,
     /*  783800 */     GIR_EraseRootFromParent_Done,
     /*  783801 */   // Label 12161: @783801
     /*  783801 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(783876), // Rule ID 24913 //
     /*  783806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  783809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  783826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  783845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  783855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783874 */     GIR_RootConstrainSelectedInstOperands,
     /*  783875 */     // GIR_Coverage, 24913,
     /*  783875 */     GIR_EraseRootFromParent_Done,
     /*  783876 */   // Label 12162: @783876
     /*  783876 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783951), // Rule ID 24916 //
     /*  783881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  783884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783927 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  783930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783949 */     GIR_RootConstrainSelectedInstOperands,
     /*  783950 */     // GIR_Coverage, 24916,
     /*  783950 */     GIR_EraseRootFromParent_Done,
     /*  783951 */   // Label 12163: @783951
     /*  783951 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(784026), // Rule ID 24917 //
     /*  783956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  783959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  783964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  784005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784024 */     GIR_RootConstrainSelectedInstOperands,
     /*  784025 */     // GIR_Coverage, 24917,
     /*  784025 */     GIR_EraseRootFromParent_Done,
     /*  784026 */   // Label 12164: @784026
     /*  784026 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(784101), // Rule ID 24920 //
     /*  784031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  784034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784077 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  784080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784099 */     GIR_RootConstrainSelectedInstOperands,
     /*  784100 */     // GIR_Coverage, 24920,
     /*  784100 */     GIR_EraseRootFromParent_Done,
     /*  784101 */   // Label 12165: @784101
     /*  784101 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(784176), // Rule ID 24921 //
     /*  784106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  784109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  784126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  784155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784174 */     GIR_RootConstrainSelectedInstOperands,
     /*  784175 */     // GIR_Coverage, 24921,
     /*  784175 */     GIR_EraseRootFromParent_Done,
     /*  784176 */   // Label 12166: @784176
     /*  784176 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(784251), // Rule ID 24924 //
     /*  784181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  784184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  784201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784227 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  784230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784249 */     GIR_RootConstrainSelectedInstOperands,
     /*  784250 */     // GIR_Coverage, 24924,
     /*  784250 */     GIR_EraseRootFromParent_Done,
     /*  784251 */   // Label 12167: @784251
     /*  784251 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(784326), // Rule ID 24925 //
     /*  784256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  784259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  784276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784302 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  784305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784324 */     GIR_RootConstrainSelectedInstOperands,
     /*  784325 */     // GIR_Coverage, 24925,
     /*  784325 */     GIR_EraseRootFromParent_Done,
     /*  784326 */   // Label 12168: @784326
     /*  784326 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(784401), // Rule ID 24928 //
     /*  784331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  784334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  784351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784377 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  784380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784399 */     GIR_RootConstrainSelectedInstOperands,
     /*  784400 */     // GIR_Coverage, 24928,
     /*  784400 */     GIR_EraseRootFromParent_Done,
     /*  784401 */   // Label 12169: @784401
     /*  784401 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(784476), // Rule ID 24929 //
     /*  784406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  784409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  784426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784452 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  784455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784474 */     GIR_RootConstrainSelectedInstOperands,
     /*  784475 */     // GIR_Coverage, 24929,
     /*  784475 */     GIR_EraseRootFromParent_Done,
     /*  784476 */   // Label 12170: @784476
     /*  784476 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(784551), // Rule ID 24932 //
     /*  784481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  784484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784527 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  784530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784549 */     GIR_RootConstrainSelectedInstOperands,
     /*  784550 */     // GIR_Coverage, 24932,
     /*  784550 */     GIR_EraseRootFromParent_Done,
     /*  784551 */   // Label 12171: @784551
     /*  784551 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(784626), // Rule ID 24933 //
     /*  784556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  784559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  784564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  784576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784602 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  784605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784624 */     GIR_RootConstrainSelectedInstOperands,
     /*  784625 */     // GIR_Coverage, 24933,
     /*  784625 */     GIR_EraseRootFromParent_Done,
     /*  784626 */   // Label 12172: @784626
     /*  784626 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(784698), // Rule ID 24936 //
     /*  784631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  784651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784677 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  784677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  784680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784696 */     GIR_RootConstrainSelectedInstOperands,
     /*  784697 */     // GIR_Coverage, 24936,
     /*  784697 */     GIR_EraseRootFromParent_Done,
     /*  784698 */   // Label 12173: @784698
     /*  784698 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(784770), // Rule ID 24937 //
     /*  784703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  784723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784749 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  784749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  784752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784768 */     GIR_RootConstrainSelectedInstOperands,
     /*  784769 */     // GIR_Coverage, 24937,
     /*  784769 */     GIR_EraseRootFromParent_Done,
     /*  784770 */   // Label 12174: @784770
     /*  784770 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(784842), // Rule ID 24938 //
     /*  784775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  784795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784821 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  784821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  784824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784840 */     GIR_RootConstrainSelectedInstOperands,
     /*  784841 */     // GIR_Coverage, 24938,
     /*  784841 */     GIR_EraseRootFromParent_Done,
     /*  784842 */   // Label 12175: @784842
     /*  784842 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784914), // Rule ID 24939 //
     /*  784847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  784867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784893 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  784893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  784896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784912 */     GIR_RootConstrainSelectedInstOperands,
     /*  784913 */     // GIR_Coverage, 24939,
     /*  784913 */     GIR_EraseRootFromParent_Done,
     /*  784914 */   // Label 12176: @784914
     /*  784914 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784986), // Rule ID 24940 //
     /*  784919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  784930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  784933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  784936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  784939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  784965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  784968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  784984 */     GIR_RootConstrainSelectedInstOperands,
     /*  784985 */     // GIR_Coverage, 24940,
     /*  784985 */     GIR_EraseRootFromParent_Done,
     /*  784986 */   // Label 12177: @784986
     /*  784986 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(785058), // Rule ID 24941 //
     /*  784991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  784999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  785011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785037 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  785037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  785040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785056 */     GIR_RootConstrainSelectedInstOperands,
     /*  785057 */     // GIR_Coverage, 24941,
     /*  785057 */     GIR_EraseRootFromParent_Done,
     /*  785058 */   // Label 12178: @785058
     /*  785058 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(785130), // Rule ID 24942 //
     /*  785063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  785083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785109 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  785109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  785112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785128 */     GIR_RootConstrainSelectedInstOperands,
     /*  785129 */     // GIR_Coverage, 24942,
     /*  785129 */     GIR_EraseRootFromParent_Done,
     /*  785130 */   // Label 12179: @785130
     /*  785130 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(785202), // Rule ID 24943 //
     /*  785135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  785155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785181 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  785181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  785184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785200 */     GIR_RootConstrainSelectedInstOperands,
     /*  785201 */     // GIR_Coverage, 24943,
     /*  785201 */     GIR_EraseRootFromParent_Done,
     /*  785202 */   // Label 12180: @785202
     /*  785202 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(785274), // Rule ID 24944 //
     /*  785207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  785227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  785253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  785256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785272 */     GIR_RootConstrainSelectedInstOperands,
     /*  785273 */     // GIR_Coverage, 24944,
     /*  785273 */     GIR_EraseRootFromParent_Done,
     /*  785274 */   // Label 12181: @785274
     /*  785274 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(785346), // Rule ID 24945 //
     /*  785279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  785299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785325 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  785325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  785328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785344 */     GIR_RootConstrainSelectedInstOperands,
     /*  785345 */     // GIR_Coverage, 24945,
     /*  785345 */     GIR_EraseRootFromParent_Done,
     /*  785346 */   // Label 12182: @785346
     /*  785346 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(785418), // Rule ID 24946 //
     /*  785351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  785371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785397 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  785397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  785400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785416 */     GIR_RootConstrainSelectedInstOperands,
     /*  785417 */     // GIR_Coverage, 24946,
     /*  785417 */     GIR_EraseRootFromParent_Done,
     /*  785418 */   // Label 12183: @785418
     /*  785418 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(785490), // Rule ID 24947 //
     /*  785423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  785443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10808:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  785469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  785472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785488 */     GIR_RootConstrainSelectedInstOperands,
     /*  785489 */     // GIR_Coverage, 24947,
     /*  785489 */     GIR_EraseRootFromParent_Done,
     /*  785490 */   // Label 12184: @785490
     /*  785490 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(785562), // Rule ID 24948 //
     /*  785495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  785515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785541 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  785541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  785544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785560 */     GIR_RootConstrainSelectedInstOperands,
     /*  785561 */     // GIR_Coverage, 24948,
     /*  785561 */     GIR_EraseRootFromParent_Done,
     /*  785562 */   // Label 12185: @785562
     /*  785562 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(785634), // Rule ID 24949 //
     /*  785567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  785587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785613 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  785613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  785616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785632 */     GIR_RootConstrainSelectedInstOperands,
     /*  785633 */     // GIR_Coverage, 24949,
     /*  785633 */     GIR_EraseRootFromParent_Done,
     /*  785634 */   // Label 12186: @785634
     /*  785634 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(785706), // Rule ID 24950 //
     /*  785639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  785659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785685 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  785685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  785688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785704 */     GIR_RootConstrainSelectedInstOperands,
     /*  785705 */     // GIR_Coverage, 24950,
     /*  785705 */     GIR_EraseRootFromParent_Done,
     /*  785706 */   // Label 12187: @785706
     /*  785706 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(785778), // Rule ID 24951 //
     /*  785711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  785731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785757 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  785757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  785760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785776 */     GIR_RootConstrainSelectedInstOperands,
     /*  785777 */     // GIR_Coverage, 24951,
     /*  785777 */     GIR_EraseRootFromParent_Done,
     /*  785778 */   // Label 12188: @785778
     /*  785778 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785850), // Rule ID 24952 //
     /*  785783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  785786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  785803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785829 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  785829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  785832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785848 */     GIR_RootConstrainSelectedInstOperands,
     /*  785849 */     // GIR_Coverage, 24952,
     /*  785849 */     GIR_EraseRootFromParent_Done,
     /*  785850 */   // Label 12189: @785850
     /*  785850 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785922), // Rule ID 24953 //
     /*  785855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  785858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  785866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  785869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  785872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  785875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  785901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  785904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  785920 */     GIR_RootConstrainSelectedInstOperands,
     /*  785921 */     // GIR_Coverage, 24953,
     /*  785921 */     GIR_EraseRootFromParent_Done,
     /*  785922 */   // Label 12190: @785922
     /*  785922 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785994), // Rule ID 24954 //
     /*  785927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  785935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  785938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  785941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  785944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  785947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  785962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785973 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  785973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  785976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785992 */     GIR_RootConstrainSelectedInstOperands,
     /*  785993 */     // GIR_Coverage, 24954,
     /*  785993 */     GIR_EraseRootFromParent_Done,
     /*  785994 */   // Label 12191: @785994
     /*  785994 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(786066), // Rule ID 24955 //
     /*  785999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  786010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  786013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  786016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  786019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786045 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  786045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  786048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786064 */     GIR_RootConstrainSelectedInstOperands,
     /*  786065 */     // GIR_Coverage, 24955,
     /*  786065 */     GIR_EraseRootFromParent_Done,
     /*  786066 */   // Label 12192: @786066
     /*  786066 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(786138), // Rule ID 24956 //
     /*  786071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  786082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  786085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  786088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  786091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786117 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  786117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  786120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786136 */     GIR_RootConstrainSelectedInstOperands,
     /*  786137 */     // GIR_Coverage, 24956,
     /*  786137 */     GIR_EraseRootFromParent_Done,
     /*  786138 */   // Label 12193: @786138
     /*  786138 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(786210), // Rule ID 24957 //
     /*  786143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  786154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  786157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  786160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  786163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  786189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  786192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786208 */     GIR_RootConstrainSelectedInstOperands,
     /*  786209 */     // GIR_Coverage, 24957,
     /*  786209 */     GIR_EraseRootFromParent_Done,
     /*  786210 */   // Label 12194: @786210
     /*  786210 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(786282), // Rule ID 24958 //
     /*  786215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  786235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  786261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  786264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786280 */     GIR_RootConstrainSelectedInstOperands,
     /*  786281 */     // GIR_Coverage, 24958,
     /*  786281 */     GIR_EraseRootFromParent_Done,
     /*  786282 */   // Label 12195: @786282
     /*  786282 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(786354), // Rule ID 24959 //
     /*  786287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  786307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786333 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  786333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  786336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786352 */     GIR_RootConstrainSelectedInstOperands,
     /*  786353 */     // GIR_Coverage, 24959,
     /*  786353 */     GIR_EraseRootFromParent_Done,
     /*  786354 */   // Label 12196: @786354
     /*  786354 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(786426), // Rule ID 24960 //
     /*  786359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  786379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  786405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  786408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786424 */     GIR_RootConstrainSelectedInstOperands,
     /*  786425 */     // GIR_Coverage, 24960,
     /*  786425 */     GIR_EraseRootFromParent_Done,
     /*  786426 */   // Label 12197: @786426
     /*  786426 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(786498), // Rule ID 24961 //
     /*  786431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  786451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786477 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  786477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  786480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786496 */     GIR_RootConstrainSelectedInstOperands,
     /*  786497 */     // GIR_Coverage, 24961,
     /*  786497 */     GIR_EraseRootFromParent_Done,
     /*  786498 */   // Label 12198: @786498
     /*  786498 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(786570), // Rule ID 24962 //
     /*  786503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  786523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  786549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  786552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786568 */     GIR_RootConstrainSelectedInstOperands,
     /*  786569 */     // GIR_Coverage, 24962,
     /*  786569 */     GIR_EraseRootFromParent_Done,
     /*  786570 */   // Label 12199: @786570
     /*  786570 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(786642), // Rule ID 24963 //
     /*  786575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  786595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  786621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  786624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786640 */     GIR_RootConstrainSelectedInstOperands,
     /*  786641 */     // GIR_Coverage, 24963,
     /*  786641 */     GIR_EraseRootFromParent_Done,
     /*  786642 */   // Label 12200: @786642
     /*  786642 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(786714), // Rule ID 24964 //
     /*  786647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  786667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  786693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  786696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786712 */     GIR_RootConstrainSelectedInstOperands,
     /*  786713 */     // GIR_Coverage, 24964,
     /*  786713 */     GIR_EraseRootFromParent_Done,
     /*  786714 */   // Label 12201: @786714
     /*  786714 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786786), // Rule ID 24965 //
     /*  786719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  786730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  786733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  786736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  786739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786765 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  786765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  786768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786784 */     GIR_RootConstrainSelectedInstOperands,
     /*  786785 */     // GIR_Coverage, 24965,
     /*  786785 */     GIR_EraseRootFromParent_Done,
     /*  786786 */   // Label 12202: @786786
     /*  786786 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786858), // Rule ID 24966 //
     /*  786791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  786811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786837 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  786837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  786840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786856 */     GIR_RootConstrainSelectedInstOperands,
     /*  786857 */     // GIR_Coverage, 24966,
     /*  786857 */     GIR_EraseRootFromParent_Done,
     /*  786858 */   // Label 12203: @786858
     /*  786858 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786930), // Rule ID 24967 //
     /*  786863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  786874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  786877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  786880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  786883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  786909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  786912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786928 */     GIR_RootConstrainSelectedInstOperands,
     /*  786929 */     // GIR_Coverage, 24967,
     /*  786929 */     GIR_EraseRootFromParent_Done,
     /*  786930 */   // Label 12204: @786930
     /*  786930 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(787002), // Rule ID 24968 //
     /*  786935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  786943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  786946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  786949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  786952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  786955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  786981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  786984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787000 */     GIR_RootConstrainSelectedInstOperands,
     /*  787001 */     // GIR_Coverage, 24968,
     /*  787001 */     GIR_EraseRootFromParent_Done,
     /*  787002 */   // Label 12205: @787002
     /*  787002 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(787074), // Rule ID 24969 //
     /*  787007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  787027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  787053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  787056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787072 */     GIR_RootConstrainSelectedInstOperands,
     /*  787073 */     // GIR_Coverage, 24969,
     /*  787073 */     GIR_EraseRootFromParent_Done,
     /*  787074 */   // Label 12206: @787074
     /*  787074 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(787146), // Rule ID 24970 //
     /*  787079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  787082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  787099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787125 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  787125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  787128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787144 */     GIR_RootConstrainSelectedInstOperands,
     /*  787145 */     // GIR_Coverage, 24970,
     /*  787145 */     GIR_EraseRootFromParent_Done,
     /*  787146 */   // Label 12207: @787146
     /*  787146 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(787218), // Rule ID 24971 //
     /*  787151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  787171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787197 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  787197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  787200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787216 */     GIR_RootConstrainSelectedInstOperands,
     /*  787217 */     // GIR_Coverage, 24971,
     /*  787217 */     GIR_EraseRootFromParent_Done,
     /*  787218 */   // Label 12208: @787218
     /*  787218 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(787290), // Rule ID 24972 //
     /*  787223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  787243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  787269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  787272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787288 */     GIR_RootConstrainSelectedInstOperands,
     /*  787289 */     // GIR_Coverage, 24972,
     /*  787289 */     GIR_EraseRootFromParent_Done,
     /*  787290 */   // Label 12209: @787290
     /*  787290 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(787362), // Rule ID 24973 //
     /*  787295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  787315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787341 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  787341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  787344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787360 */     GIR_RootConstrainSelectedInstOperands,
     /*  787361 */     // GIR_Coverage, 24973,
     /*  787361 */     GIR_EraseRootFromParent_Done,
     /*  787362 */   // Label 12210: @787362
     /*  787362 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(787434), // Rule ID 24974 //
     /*  787367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  787387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  787413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  787416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787432 */     GIR_RootConstrainSelectedInstOperands,
     /*  787433 */     // GIR_Coverage, 24974,
     /*  787433 */     GIR_EraseRootFromParent_Done,
     /*  787434 */   // Label 12211: @787434
     /*  787434 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(787506), // Rule ID 24975 //
     /*  787439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  787459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  787485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  787488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787504 */     GIR_RootConstrainSelectedInstOperands,
     /*  787505 */     // GIR_Coverage, 24975,
     /*  787505 */     GIR_EraseRootFromParent_Done,
     /*  787506 */   // Label 12212: @787506
     /*  787506 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(787578), // Rule ID 24976 //
     /*  787511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  787531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  787557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  787560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787576 */     GIR_RootConstrainSelectedInstOperands,
     /*  787577 */     // GIR_Coverage, 24976,
     /*  787577 */     GIR_EraseRootFromParent_Done,
     /*  787578 */   // Label 12213: @787578
     /*  787578 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(787650), // Rule ID 24977 //
     /*  787583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  787603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787629 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  787629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  787632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787648 */     GIR_RootConstrainSelectedInstOperands,
     /*  787649 */     // GIR_Coverage, 24977,
     /*  787649 */     GIR_EraseRootFromParent_Done,
     /*  787650 */   // Label 12214: @787650
     /*  787650 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787722), // Rule ID 24978 //
     /*  787655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  787675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787701 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  787701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  787704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787720 */     GIR_RootConstrainSelectedInstOperands,
     /*  787721 */     // GIR_Coverage, 24978,
     /*  787721 */     GIR_EraseRootFromParent_Done,
     /*  787722 */   // Label 12215: @787722
     /*  787722 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787794), // Rule ID 24979 //
     /*  787727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  787738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  787741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  787744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  787747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787773 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  787773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  787776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787792 */     GIR_RootConstrainSelectedInstOperands,
     /*  787793 */     // GIR_Coverage, 24979,
     /*  787793 */     GIR_EraseRootFromParent_Done,
     /*  787794 */   // Label 12216: @787794
     /*  787794 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787866), // Rule ID 24980 //
     /*  787799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  787802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  787816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  787819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787845 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  787845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  787848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787864 */     GIR_RootConstrainSelectedInstOperands,
     /*  787865 */     // GIR_Coverage, 24980,
     /*  787865 */     GIR_EraseRootFromParent_Done,
     /*  787866 */   // Label 12217: @787866
     /*  787866 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787938), // Rule ID 24981 //
     /*  787871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  787874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  787882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  787885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  787888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  787891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787917 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  787917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  787920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787936 */     GIR_RootConstrainSelectedInstOperands,
     /*  787937 */     // GIR_Coverage, 24981,
     /*  787937 */     GIR_EraseRootFromParent_Done,
     /*  787938 */   // Label 12218: @787938
     /*  787938 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(788010), // Rule ID 24982 //
     /*  787943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  787946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  787951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  787954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  787957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  787960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  787963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  787982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787989 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  787989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  787992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788008 */     GIR_RootConstrainSelectedInstOperands,
     /*  788009 */     // GIR_Coverage, 24982,
     /*  788009 */     GIR_EraseRootFromParent_Done,
     /*  788010 */   // Label 12219: @788010
     /*  788010 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(788082), // Rule ID 24983 //
     /*  788015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  788035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788061 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  788061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  788064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788080 */     GIR_RootConstrainSelectedInstOperands,
     /*  788081 */     // GIR_Coverage, 24983,
     /*  788081 */     GIR_EraseRootFromParent_Done,
     /*  788082 */   // Label 12220: @788082
     /*  788082 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(788154), // Rule ID 24984 //
     /*  788087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  788107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788133 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  788133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  788136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788152 */     GIR_RootConstrainSelectedInstOperands,
     /*  788153 */     // GIR_Coverage, 24984,
     /*  788153 */     GIR_EraseRootFromParent_Done,
     /*  788154 */   // Label 12221: @788154
     /*  788154 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(788226), // Rule ID 24985 //
     /*  788159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  788170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  788173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  788176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  788179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  788205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  788208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788224 */     GIR_RootConstrainSelectedInstOperands,
     /*  788225 */     // GIR_Coverage, 24985,
     /*  788225 */     GIR_EraseRootFromParent_Done,
     /*  788226 */   // Label 12222: @788226
     /*  788226 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(788298), // Rule ID 24986 //
     /*  788231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  788251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  788277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  788280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788296 */     GIR_RootConstrainSelectedInstOperands,
     /*  788297 */     // GIR_Coverage, 24986,
     /*  788297 */     GIR_EraseRootFromParent_Done,
     /*  788298 */   // Label 12223: @788298
     /*  788298 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(788370), // Rule ID 24987 //
     /*  788303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  788314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  788317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  788320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  788323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788349 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  788349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  788352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788368 */     GIR_RootConstrainSelectedInstOperands,
     /*  788369 */     // GIR_Coverage, 24987,
     /*  788369 */     GIR_EraseRootFromParent_Done,
     /*  788370 */   // Label 12224: @788370
     /*  788370 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(788442), // Rule ID 24988 //
     /*  788375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  788386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  788389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  788392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  788395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788421 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  788421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  788424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788440 */     GIR_RootConstrainSelectedInstOperands,
     /*  788441 */     // GIR_Coverage, 24988,
     /*  788441 */     GIR_EraseRootFromParent_Done,
     /*  788442 */   // Label 12225: @788442
     /*  788442 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(788514), // Rule ID 24989 //
     /*  788447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  788458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  788461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  788464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  788467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788493 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  788493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  788496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788512 */     GIR_RootConstrainSelectedInstOperands,
     /*  788513 */     // GIR_Coverage, 24989,
     /*  788513 */     GIR_EraseRootFromParent_Done,
     /*  788514 */   // Label 12226: @788514
     /*  788514 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(788586), // Rule ID 24990 //
     /*  788519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  788539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788565 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  788565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  788568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788584 */     GIR_RootConstrainSelectedInstOperands,
     /*  788585 */     // GIR_Coverage, 24990,
     /*  788585 */     GIR_EraseRootFromParent_Done,
     /*  788586 */   // Label 12227: @788586
     /*  788586 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788658), // Rule ID 24991 //
     /*  788591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  788602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  788605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  788608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  788611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  788626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788637 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  788637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  788640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788656 */     GIR_RootConstrainSelectedInstOperands,
     /*  788657 */     // GIR_Coverage, 24991,
     /*  788657 */     GIR_EraseRootFromParent_Done,
     /*  788658 */   // Label 12228: @788658
     /*  788658 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788730), // Rule ID 24992 //
     /*  788663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  788683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788709 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  788709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  788712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788728 */     GIR_RootConstrainSelectedInstOperands,
     /*  788729 */     // GIR_Coverage, 24992,
     /*  788729 */     GIR_EraseRootFromParent_Done,
     /*  788730 */   // Label 12229: @788730
     /*  788730 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788802), // Rule ID 24993 //
     /*  788735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  788746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  788749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  788752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  788755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  788770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788781 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  788781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  788784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788800 */     GIR_RootConstrainSelectedInstOperands,
     /*  788801 */     // GIR_Coverage, 24993,
     /*  788801 */     GIR_EraseRootFromParent_Done,
     /*  788802 */   // Label 12230: @788802
     /*  788802 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788874), // Rule ID 24994 //
     /*  788807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  788827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788853 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  788853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  788856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788872 */     GIR_RootConstrainSelectedInstOperands,
     /*  788873 */     // GIR_Coverage, 24994,
     /*  788873 */     GIR_EraseRootFromParent_Done,
     /*  788874 */   // Label 12231: @788874
     /*  788874 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(788946), // Rule ID 24995 //
     /*  788879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  788899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788925 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  788925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  788928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788944 */     GIR_RootConstrainSelectedInstOperands,
     /*  788945 */     // GIR_Coverage, 24995,
     /*  788945 */     GIR_EraseRootFromParent_Done,
     /*  788946 */   // Label 12232: @788946
     /*  788946 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(789018), // Rule ID 24996 //
     /*  788951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  788954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  788959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  788971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788997 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  788997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  789000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789016 */     GIR_RootConstrainSelectedInstOperands,
     /*  789017 */     // GIR_Coverage, 24996,
     /*  789017 */     GIR_EraseRootFromParent_Done,
     /*  789018 */   // Label 12233: @789018
     /*  789018 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(789090), // Rule ID 24997 //
     /*  789023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  789040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  789043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789069 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  789072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789088 */     GIR_RootConstrainSelectedInstOperands,
     /*  789089 */     // GIR_Coverage, 24997,
     /*  789089 */     GIR_EraseRootFromParent_Done,
     /*  789090 */   // Label 12234: @789090
     /*  789090 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(789162), // Rule ID 24998 //
     /*  789095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  789098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  789115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789141 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  789141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  789144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789160 */     GIR_RootConstrainSelectedInstOperands,
     /*  789161 */     // GIR_Coverage, 24998,
     /*  789161 */     GIR_EraseRootFromParent_Done,
     /*  789162 */   // Label 12235: @789162
     /*  789162 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(789234), // Rule ID 24999 //
     /*  789167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  789178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  789181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  789184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  789187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789213 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  789216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789232 */     GIR_RootConstrainSelectedInstOperands,
     /*  789233 */     // GIR_Coverage, 24999,
     /*  789233 */     GIR_EraseRootFromParent_Done,
     /*  789234 */   // Label 12236: @789234
     /*  789234 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(789306), // Rule ID 25000 //
     /*  789239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  789242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  789250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  789253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  789256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  789259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789285 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  789285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  789288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789304 */     GIR_RootConstrainSelectedInstOperands,
     /*  789305 */     // GIR_Coverage, 25000,
     /*  789305 */     GIR_EraseRootFromParent_Done,
     /*  789306 */   // Label 12237: @789306
     /*  789306 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(789378), // Rule ID 25001 //
     /*  789311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  789322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  789325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  789328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  789331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789357 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10808:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  789360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789376 */     GIR_RootConstrainSelectedInstOperands,
     /*  789377 */     // GIR_Coverage, 25001,
     /*  789377 */     GIR_EraseRootFromParent_Done,
     /*  789378 */   // Label 12238: @789378
     /*  789378 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(789450), // Rule ID 25002 //
     /*  789383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  789386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  789403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789429 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  789429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  789432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789448 */     GIR_RootConstrainSelectedInstOperands,
     /*  789449 */     // GIR_Coverage, 25002,
     /*  789449 */     GIR_EraseRootFromParent_Done,
     /*  789450 */   // Label 12239: @789450
     /*  789450 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(789522), // Rule ID 25003 //
     /*  789455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  789475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789501 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10808:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  789504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789520 */     GIR_RootConstrainSelectedInstOperands,
     /*  789521 */     // GIR_Coverage, 25003,
     /*  789521 */     GIR_EraseRootFromParent_Done,
     /*  789522 */   // Label 12240: @789522
     /*  789522 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789594), // Rule ID 25004 //
     /*  789527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  789530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  789547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789573 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  789573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  789576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789592 */     GIR_RootConstrainSelectedInstOperands,
     /*  789593 */     // GIR_Coverage, 25004,
     /*  789593 */     GIR_EraseRootFromParent_Done,
     /*  789594 */   // Label 12241: @789594
     /*  789594 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789666), // Rule ID 25005 //
     /*  789599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  789619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789645 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10808:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  789648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789664 */     GIR_RootConstrainSelectedInstOperands,
     /*  789665 */     // GIR_Coverage, 25005,
     /*  789665 */     GIR_EraseRootFromParent_Done,
     /*  789666 */   // Label 12242: @789666
     /*  789666 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789738), // Rule ID 25006 //
     /*  789671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  789674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  789691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789717 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  789717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  789720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789736 */     GIR_RootConstrainSelectedInstOperands,
     /*  789737 */     // GIR_Coverage, 25006,
     /*  789737 */     GIR_EraseRootFromParent_Done,
     /*  789738 */   // Label 12243: @789738
     /*  789738 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789810), // Rule ID 25007 //
     /*  789743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  789746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  789751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  789763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789789 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10808:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  789789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  789792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789808 */     GIR_RootConstrainSelectedInstOperands,
     /*  789809 */     // GIR_Coverage, 25007,
     /*  789809 */     GIR_EraseRootFromParent_Done,
     /*  789810 */   // Label 12244: @789810
     /*  789810 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(789885), // Rule ID 59914 //
     /*  789815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  789818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  789823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  789835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  789864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789883 */     GIR_RootConstrainSelectedInstOperands,
     /*  789884 */     // GIR_Coverage, 59914,
     /*  789884 */     GIR_EraseRootFromParent_Done,
     /*  789885 */   // Label 12245: @789885
     /*  789885 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(789960), // Rule ID 59915 //
     /*  789890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  789893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  789898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  789901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  789904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  789907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  789910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  789939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789958 */     GIR_RootConstrainSelectedInstOperands,
     /*  789959 */     // GIR_Coverage, 59915,
     /*  789959 */     GIR_EraseRootFromParent_Done,
     /*  789960 */   // Label 12246: @789960
     /*  789960 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(790035), // Rule ID 60272 //
     /*  789965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  789968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  789973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  789976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  789979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  789982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  789985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  789996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  790014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790033 */     GIR_RootConstrainSelectedInstOperands,
     /*  790034 */     // GIR_Coverage, 60272,
     /*  790034 */     GIR_EraseRootFromParent_Done,
     /*  790035 */   // Label 12247: @790035
     /*  790035 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(790110), // Rule ID 60273 //
     /*  790040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  790057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  790060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790086 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  790089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790108 */     GIR_RootConstrainSelectedInstOperands,
     /*  790109 */     // GIR_Coverage, 60273,
     /*  790109 */     GIR_EraseRootFromParent_Done,
     /*  790110 */   // Label 12248: @790110
     /*  790110 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(790185), // Rule ID 60276 //
     /*  790115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  790132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  790135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790161 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  790164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790183 */     GIR_RootConstrainSelectedInstOperands,
     /*  790184 */     // GIR_Coverage, 60276,
     /*  790184 */     GIR_EraseRootFromParent_Done,
     /*  790185 */   // Label 12249: @790185
     /*  790185 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(790260), // Rule ID 60277 //
     /*  790190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  790207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  790210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  790239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790258 */     GIR_RootConstrainSelectedInstOperands,
     /*  790259 */     // GIR_Coverage, 60277,
     /*  790259 */     GIR_EraseRootFromParent_Done,
     /*  790260 */   // Label 12250: @790260
     /*  790260 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(790335), // Rule ID 60280 //
     /*  790265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  790282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  790285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  790314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790333 */     GIR_RootConstrainSelectedInstOperands,
     /*  790334 */     // GIR_Coverage, 60280,
     /*  790334 */     GIR_EraseRootFromParent_Done,
     /*  790335 */   // Label 12251: @790335
     /*  790335 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(790410), // Rule ID 60281 //
     /*  790340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  790357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  790360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  790389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790408 */     GIR_RootConstrainSelectedInstOperands,
     /*  790409 */     // GIR_Coverage, 60281,
     /*  790409 */     GIR_EraseRootFromParent_Done,
     /*  790410 */   // Label 12252: @790410
     /*  790410 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(790485), // Rule ID 60284 //
     /*  790415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  790432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  790435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  790464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790483 */     GIR_RootConstrainSelectedInstOperands,
     /*  790484 */     // GIR_Coverage, 60284,
     /*  790484 */     GIR_EraseRootFromParent_Done,
     /*  790485 */   // Label 12253: @790485
     /*  790485 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790560), // Rule ID 60285 //
     /*  790490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  790501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  790504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  790507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  790510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  790539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790558 */     GIR_RootConstrainSelectedInstOperands,
     /*  790559 */     // GIR_Coverage, 60285,
     /*  790559 */     GIR_EraseRootFromParent_Done,
     /*  790560 */   // Label 12254: @790560
     /*  790560 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790635), // Rule ID 60288 //
     /*  790565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  790582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  790585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  790614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790633 */     GIR_RootConstrainSelectedInstOperands,
     /*  790634 */     // GIR_Coverage, 60288,
     /*  790634 */     GIR_EraseRootFromParent_Done,
     /*  790635 */   // Label 12255: @790635
     /*  790635 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790710), // Rule ID 60289 //
     /*  790640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  790651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  790654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  790657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  790660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  790679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  790689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790708 */     GIR_RootConstrainSelectedInstOperands,
     /*  790709 */     // GIR_Coverage, 60289,
     /*  790709 */     GIR_EraseRootFromParent_Done,
     /*  790710 */   // Label 12256: @790710
     /*  790710 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790785), // Rule ID 60292 //
     /*  790715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  790732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  790735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  790761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  790764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790783 */     GIR_RootConstrainSelectedInstOperands,
     /*  790784 */     // GIR_Coverage, 60292,
     /*  790784 */     GIR_EraseRootFromParent_Done,
     /*  790785 */   // Label 12257: @790785
     /*  790785 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790860), // Rule ID 60293 //
     /*  790790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  790801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  790804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  790807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  790810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  790836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  790839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  790855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790858 */     GIR_RootConstrainSelectedInstOperands,
     /*  790859 */     // GIR_Coverage, 60293,
     /*  790859 */     GIR_EraseRootFromParent_Done,
     /*  790860 */   // Label 12258: @790860
     /*  790860 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(790935), // Rule ID 60296 //
     /*  790865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  790868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  790914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790933 */     GIR_RootConstrainSelectedInstOperands,
     /*  790934 */     // GIR_Coverage, 60296,
     /*  790934 */     GIR_EraseRootFromParent_Done,
     /*  790935 */   // Label 12259: @790935
     /*  790935 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(791010), // Rule ID 60297 //
     /*  790940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  790943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  790948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  790960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  790989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791008 */     GIR_RootConstrainSelectedInstOperands,
     /*  791009 */     // GIR_Coverage, 60297,
     /*  791009 */     GIR_EraseRootFromParent_Done,
     /*  791010 */   // Label 12260: @791010
     /*  791010 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(791085), // Rule ID 60300 //
     /*  791015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  791032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  791035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791061 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  791064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791083 */     GIR_RootConstrainSelectedInstOperands,
     /*  791084 */     // GIR_Coverage, 60300,
     /*  791084 */     GIR_EraseRootFromParent_Done,
     /*  791085 */   // Label 12261: @791085
     /*  791085 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(791160), // Rule ID 60301 //
     /*  791090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  791107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  791110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791136 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  791139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791158 */     GIR_RootConstrainSelectedInstOperands,
     /*  791159 */     // GIR_Coverage, 60301,
     /*  791159 */     GIR_EraseRootFromParent_Done,
     /*  791160 */   // Label 12262: @791160
     /*  791160 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(791235), // Rule ID 60304 //
     /*  791165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  791214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791233 */     GIR_RootConstrainSelectedInstOperands,
     /*  791234 */     // GIR_Coverage, 60304,
     /*  791234 */     GIR_EraseRootFromParent_Done,
     /*  791235 */   // Label 12263: @791235
     /*  791235 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(791310), // Rule ID 60305 //
     /*  791240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  791257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  791260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  791289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791308 */     GIR_RootConstrainSelectedInstOperands,
     /*  791309 */     // GIR_Coverage, 60305,
     /*  791309 */     GIR_EraseRootFromParent_Done,
     /*  791310 */   // Label 12264: @791310
     /*  791310 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(791385), // Rule ID 60308 //
     /*  791315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  791364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791383 */     GIR_RootConstrainSelectedInstOperands,
     /*  791384 */     // GIR_Coverage, 60308,
     /*  791384 */     GIR_EraseRootFromParent_Done,
     /*  791385 */   // Label 12265: @791385
     /*  791385 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(791460), // Rule ID 60309 //
     /*  791390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  791410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  791439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791458 */     GIR_RootConstrainSelectedInstOperands,
     /*  791459 */     // GIR_Coverage, 60309,
     /*  791459 */     GIR_EraseRootFromParent_Done,
     /*  791460 */   // Label 12266: @791460
     /*  791460 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791535), // Rule ID 60312 //
     /*  791465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  791514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791533 */     GIR_RootConstrainSelectedInstOperands,
     /*  791534 */     // GIR_Coverage, 60312,
     /*  791534 */     GIR_EraseRootFromParent_Done,
     /*  791535 */   // Label 12267: @791535
     /*  791535 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791610), // Rule ID 60313 //
     /*  791540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  791560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  791589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791608 */     GIR_RootConstrainSelectedInstOperands,
     /*  791609 */     // GIR_Coverage, 60313,
     /*  791609 */     GIR_EraseRootFromParent_Done,
     /*  791610 */   // Label 12268: @791610
     /*  791610 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791685), // Rule ID 60316 //
     /*  791615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  791635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  791664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791683 */     GIR_RootConstrainSelectedInstOperands,
     /*  791684 */     // GIR_Coverage, 60316,
     /*  791684 */     GIR_EraseRootFromParent_Done,
     /*  791685 */   // Label 12269: @791685
     /*  791685 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791760), // Rule ID 60317 //
     /*  791690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  791707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  791710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  791739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791758 */     GIR_RootConstrainSelectedInstOperands,
     /*  791759 */     // GIR_Coverage, 60317,
     /*  791759 */     GIR_EraseRootFromParent_Done,
     /*  791760 */   // Label 12270: @791760
     /*  791760 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791835), // Rule ID 60320 //
     /*  791765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  791814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791833 */     GIR_RootConstrainSelectedInstOperands,
     /*  791834 */     // GIR_Coverage, 60320,
     /*  791834 */     GIR_EraseRootFromParent_Done,
     /*  791835 */   // Label 12271: @791835
     /*  791835 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(791910), // Rule ID 60321 //
     /*  791840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  791851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  791854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  791860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  791889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791908 */     GIR_RootConstrainSelectedInstOperands,
     /*  791909 */     // GIR_Coverage, 60321,
     /*  791909 */     GIR_EraseRootFromParent_Done,
     /*  791910 */   // Label 12272: @791910
     /*  791910 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(791985), // Rule ID 60324 //
     /*  791915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  791918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  791926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  791929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  791935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791961 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  791964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791983 */     GIR_RootConstrainSelectedInstOperands,
     /*  791984 */     // GIR_Coverage, 60324,
     /*  791984 */     GIR_EraseRootFromParent_Done,
     /*  791985 */   // Label 12273: @791985
     /*  791985 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(792060), // Rule ID 60325 //
     /*  791990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  791993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  791998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  792007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  792010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  792039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792058 */     GIR_RootConstrainSelectedInstOperands,
     /*  792059 */     // GIR_Coverage, 60325,
     /*  792059 */     GIR_EraseRootFromParent_Done,
     /*  792060 */   // Label 12274: @792060
     /*  792060 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(792135), // Rule ID 60328 //
     /*  792065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  792085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792111 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  792114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792133 */     GIR_RootConstrainSelectedInstOperands,
     /*  792134 */     // GIR_Coverage, 60328,
     /*  792134 */     GIR_EraseRootFromParent_Done,
     /*  792135 */   // Label 12275: @792135
     /*  792135 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(792210), // Rule ID 60329 //
     /*  792140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  792157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  792160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  792189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792208 */     GIR_RootConstrainSelectedInstOperands,
     /*  792209 */     // GIR_Coverage, 60329,
     /*  792209 */     GIR_EraseRootFromParent_Done,
     /*  792210 */   // Label 12276: @792210
     /*  792210 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(792285), // Rule ID 60332 //
     /*  792215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  792232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  792264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792283 */     GIR_RootConstrainSelectedInstOperands,
     /*  792284 */     // GIR_Coverage, 60332,
     /*  792284 */     GIR_EraseRootFromParent_Done,
     /*  792285 */   // Label 12277: @792285
     /*  792285 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(792360), // Rule ID 60333 //
     /*  792290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  792307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  792339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792358 */     GIR_RootConstrainSelectedInstOperands,
     /*  792359 */     // GIR_Coverage, 60333,
     /*  792359 */     GIR_EraseRootFromParent_Done,
     /*  792360 */   // Label 12278: @792360
     /*  792360 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(792435), // Rule ID 60340 //
     /*  792365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  792382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  792414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792433 */     GIR_RootConstrainSelectedInstOperands,
     /*  792434 */     // GIR_Coverage, 60340,
     /*  792434 */     GIR_EraseRootFromParent_Done,
     /*  792435 */   // Label 12279: @792435
     /*  792435 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(792510), // Rule ID 60341 //
     /*  792440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  792457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  792489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792508 */     GIR_RootConstrainSelectedInstOperands,
     /*  792509 */     // GIR_Coverage, 60341,
     /*  792509 */     GIR_EraseRootFromParent_Done,
     /*  792510 */   // Label 12280: @792510
     /*  792510 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792585), // Rule ID 60348 //
     /*  792515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  792532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  792564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792583 */     GIR_RootConstrainSelectedInstOperands,
     /*  792584 */     // GIR_Coverage, 60348,
     /*  792584 */     GIR_EraseRootFromParent_Done,
     /*  792585 */   // Label 12281: @792585
     /*  792585 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792660), // Rule ID 60349 //
     /*  792590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  792601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  792604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  792607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11299:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  792639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792658 */     GIR_RootConstrainSelectedInstOperands,
     /*  792659 */     // GIR_Coverage, 60349,
     /*  792659 */     GIR_EraseRootFromParent_Done,
     /*  792660 */   // Label 12282: @792660
     /*  792660 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792735), // Rule ID 60356 //
     /*  792665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  792682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  792714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792733 */     GIR_RootConstrainSelectedInstOperands,
     /*  792734 */     // GIR_Coverage, 60356,
     /*  792734 */     GIR_EraseRootFromParent_Done,
     /*  792735 */   // Label 12283: @792735
     /*  792735 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792810), // Rule ID 60357 //
     /*  792740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  792751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  792754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  792757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  792789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792808 */     GIR_RootConstrainSelectedInstOperands,
     /*  792809 */     // GIR_Coverage, 60357,
     /*  792809 */     GIR_EraseRootFromParent_Done,
     /*  792810 */   // Label 12284: @792810
     /*  792810 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(792885), // Rule ID 60364 //
     /*  792815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  792832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792861 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  792861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  792864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792883 */     GIR_RootConstrainSelectedInstOperands,
     /*  792884 */     // GIR_Coverage, 60364,
     /*  792884 */     GIR_EraseRootFromParent_Done,
     /*  792885 */   // Label 12285: @792885
     /*  792885 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(792960), // Rule ID 60365 //
     /*  792890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  792893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  792901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  792904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  792907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  792929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  792936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  792939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  792955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792958 */     GIR_RootConstrainSelectedInstOperands,
     /*  792959 */     // GIR_Coverage, 60365,
     /*  792959 */     GIR_EraseRootFromParent_Done,
     /*  792960 */   // Label 12286: @792960
     /*  792960 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(793035), // Rule ID 60372 //
     /*  792965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  792968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  792973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  792976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  792979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  792982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  793011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  793014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  793030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793033 */     GIR_RootConstrainSelectedInstOperands,
     /*  793034 */     // GIR_Coverage, 60372,
     /*  793034 */     GIR_EraseRootFromParent_Done,
     /*  793035 */   // Label 12287: @793035
     /*  793035 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(793110), // Rule ID 60373 //
     /*  793040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  793057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793086 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  793086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  793089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  793105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793108 */     GIR_RootConstrainSelectedInstOperands,
     /*  793109 */     // GIR_Coverage, 60373,
     /*  793109 */     GIR_EraseRootFromParent_Done,
     /*  793110 */   // Label 12288: @793110
     /*  793110 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(793185), // Rule ID 60380 //
     /*  793115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  793132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  793164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793183 */     GIR_RootConstrainSelectedInstOperands,
     /*  793184 */     // GIR_Coverage, 60380,
     /*  793184 */     GIR_EraseRootFromParent_Done,
     /*  793185 */   // Label 12289: @793185
     /*  793185 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(793260), // Rule ID 60381 //
     /*  793190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  793201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  793204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  793207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  793239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793258 */     GIR_RootConstrainSelectedInstOperands,
     /*  793259 */     // GIR_Coverage, 60381,
     /*  793259 */     GIR_EraseRootFromParent_Done,
     /*  793260 */   // Label 12290: @793260
     /*  793260 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(793335), // Rule ID 60388 //
     /*  793265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  793314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793333 */     GIR_RootConstrainSelectedInstOperands,
     /*  793334 */     // GIR_Coverage, 60388,
     /*  793334 */     GIR_EraseRootFromParent_Done,
     /*  793335 */   // Label 12291: @793335
     /*  793335 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(793410), // Rule ID 60389 //
     /*  793340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  793357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  793389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793408 */     GIR_RootConstrainSelectedInstOperands,
     /*  793409 */     // GIR_Coverage, 60389,
     /*  793409 */     GIR_EraseRootFromParent_Done,
     /*  793410 */   // Label 12292: @793410
     /*  793410 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(793485), // Rule ID 60396 //
     /*  793415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793461 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  793464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793483 */     GIR_RootConstrainSelectedInstOperands,
     /*  793484 */     // GIR_Coverage, 60396,
     /*  793484 */     GIR_EraseRootFromParent_Done,
     /*  793485 */   // Label 12293: @793485
     /*  793485 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793560), // Rule ID 60397 //
     /*  793490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  793539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793558 */     GIR_RootConstrainSelectedInstOperands,
     /*  793559 */     // GIR_Coverage, 60397,
     /*  793559 */     GIR_EraseRootFromParent_Done,
     /*  793560 */   // Label 12294: @793560
     /*  793560 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793635), // Rule ID 60404 //
     /*  793565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  793614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793633 */     GIR_RootConstrainSelectedInstOperands,
     /*  793634 */     // GIR_Coverage, 60404,
     /*  793634 */     GIR_EraseRootFromParent_Done,
     /*  793635 */   // Label 12295: @793635
     /*  793635 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793710), // Rule ID 60405 //
     /*  793640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  793651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  793654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  793689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793708 */     GIR_RootConstrainSelectedInstOperands,
     /*  793709 */     // GIR_Coverage, 60405,
     /*  793709 */     GIR_EraseRootFromParent_Done,
     /*  793710 */   // Label 12296: @793710
     /*  793710 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793785), // Rule ID 60412 //
     /*  793715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793761 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  793764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793783 */     GIR_RootConstrainSelectedInstOperands,
     /*  793784 */     // GIR_Coverage, 60412,
     /*  793784 */     GIR_EraseRootFromParent_Done,
     /*  793785 */   // Label 12297: @793785
     /*  793785 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793860), // Rule ID 60413 //
     /*  793790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  793801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  793804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793836 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  793839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793858 */     GIR_RootConstrainSelectedInstOperands,
     /*  793859 */     // GIR_Coverage, 60413,
     /*  793859 */     GIR_EraseRootFromParent_Done,
     /*  793860 */   // Label 12298: @793860
     /*  793860 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(793935), // Rule ID 60420 //
     /*  793865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  793868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  793885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793911 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  793914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793933 */     GIR_RootConstrainSelectedInstOperands,
     /*  793934 */     // GIR_Coverage, 60420,
     /*  793934 */     GIR_EraseRootFromParent_Done,
     /*  793935 */   // Label 12299: @793935
     /*  793935 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(794010), // Rule ID 60421 //
     /*  793940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  793943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  793948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  793957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  793960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  793979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  793989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794008 */     GIR_RootConstrainSelectedInstOperands,
     /*  794009 */     // GIR_Coverage, 60421,
     /*  794009 */     GIR_EraseRootFromParent_Done,
     /*  794010 */   // Label 12300: @794010
     /*  794010 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(794085), // Rule ID 60428 //
     /*  794015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  794018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  794064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794083 */     GIR_RootConstrainSelectedInstOperands,
     /*  794084 */     // GIR_Coverage, 60428,
     /*  794084 */     GIR_EraseRootFromParent_Done,
     /*  794085 */   // Label 12301: @794085
     /*  794085 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(794160), // Rule ID 60429 //
     /*  794090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  794093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  794107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  794139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794158 */     GIR_RootConstrainSelectedInstOperands,
     /*  794159 */     // GIR_Coverage, 60429,
     /*  794159 */     GIR_EraseRootFromParent_Done,
     /*  794160 */   // Label 12302: @794160
     /*  794160 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(794235), // Rule ID 60436 //
     /*  794165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  794168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  794214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794233 */     GIR_RootConstrainSelectedInstOperands,
     /*  794234 */     // GIR_Coverage, 60436,
     /*  794234 */     GIR_EraseRootFromParent_Done,
     /*  794235 */   // Label 12303: @794235
     /*  794235 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(794310), // Rule ID 60437 //
     /*  794240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  794243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  794289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794308 */     GIR_RootConstrainSelectedInstOperands,
     /*  794309 */     // GIR_Coverage, 60437,
     /*  794309 */     GIR_EraseRootFromParent_Done,
     /*  794310 */   // Label 12304: @794310
     /*  794310 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(794385), // Rule ID 60444 //
     /*  794315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  794318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  794335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  794364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794383 */     GIR_RootConstrainSelectedInstOperands,
     /*  794384 */     // GIR_Coverage, 60444,
     /*  794384 */     GIR_EraseRootFromParent_Done,
     /*  794385 */   // Label 12305: @794385
     /*  794385 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(794460), // Rule ID 60445 //
     /*  794390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  794393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  794398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  794410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  794429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  794439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794458 */     GIR_RootConstrainSelectedInstOperands,
     /*  794459 */     // GIR_Coverage, 60445,
     /*  794459 */     GIR_EraseRootFromParent_Done,
     /*  794460 */   // Label 12306: @794460
     /*  794460 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794535), // Rule ID 60452 //
     /*  794465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  794468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  794485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  794514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794533 */     GIR_RootConstrainSelectedInstOperands,
     /*  794534 */     // GIR_Coverage, 60452,
     /*  794534 */     GIR_EraseRootFromParent_Done,
     /*  794535 */   // Label 12307: @794535
     /*  794535 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794610), // Rule ID 60453 //
     /*  794540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  794543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  794551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  794554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  794557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  794560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  794589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794608 */     GIR_RootConstrainSelectedInstOperands,
     /*  794609 */     // GIR_Coverage, 60453,
     /*  794609 */     GIR_EraseRootFromParent_Done,
     /*  794610 */   // Label 12308: @794610
     /*  794610 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794685), // Rule ID 60456 //
     /*  794615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  794618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  794664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794683 */     GIR_RootConstrainSelectedInstOperands,
     /*  794684 */     // GIR_Coverage, 60456,
     /*  794684 */     GIR_EraseRootFromParent_Done,
     /*  794685 */   // Label 12309: @794685
     /*  794685 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794760), // Rule ID 60457 //
     /*  794690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  794693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  794739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794758 */     GIR_RootConstrainSelectedInstOperands,
     /*  794759 */     // GIR_Coverage, 60457,
     /*  794759 */     GIR_EraseRootFromParent_Done,
     /*  794760 */   // Label 12310: @794760
     /*  794760 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794835), // Rule ID 60460 //
     /*  794765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  794768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  794814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794833 */     GIR_RootConstrainSelectedInstOperands,
     /*  794834 */     // GIR_Coverage, 60460,
     /*  794834 */     GIR_EraseRootFromParent_Done,
     /*  794835 */   // Label 12311: @794835
     /*  794835 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(794910), // Rule ID 60461 //
     /*  794840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  794843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  794889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794908 */     GIR_RootConstrainSelectedInstOperands,
     /*  794909 */     // GIR_Coverage, 60461,
     /*  794909 */     GIR_EraseRootFromParent_Done,
     /*  794910 */   // Label 12312: @794910
     /*  794910 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(794985), // Rule ID 60464 //
     /*  794915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  794918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  794964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794983 */     GIR_RootConstrainSelectedInstOperands,
     /*  794984 */     // GIR_Coverage, 60464,
     /*  794984 */     GIR_EraseRootFromParent_Done,
     /*  794985 */   // Label 12313: @794985
     /*  794985 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(795060), // Rule ID 60465 //
     /*  794990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  794993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  794998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  795010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  795039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795058 */     GIR_RootConstrainSelectedInstOperands,
     /*  795059 */     // GIR_Coverage, 60465,
     /*  795059 */     GIR_EraseRootFromParent_Done,
     /*  795060 */   // Label 12314: @795060
     /*  795060 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(795135), // Rule ID 60468 //
     /*  795065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795111 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  795114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795133 */     GIR_RootConstrainSelectedInstOperands,
     /*  795134 */     // GIR_Coverage, 60468,
     /*  795134 */     GIR_EraseRootFromParent_Done,
     /*  795135 */   // Label 12315: @795135
     /*  795135 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(795210), // Rule ID 60469 //
     /*  795140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10802:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  795189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795208 */     GIR_RootConstrainSelectedInstOperands,
     /*  795209 */     // GIR_Coverage, 60469,
     /*  795209 */     GIR_EraseRootFromParent_Done,
     /*  795210 */   // Label 12316: @795210
     /*  795210 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(795285), // Rule ID 60472 //
     /*  795215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  795264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795283 */     GIR_RootConstrainSelectedInstOperands,
     /*  795284 */     // GIR_Coverage, 60472,
     /*  795284 */     GIR_EraseRootFromParent_Done,
     /*  795285 */   // Label 12317: @795285
     /*  795285 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(795360), // Rule ID 60473 //
     /*  795290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10802:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  795339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795358 */     GIR_RootConstrainSelectedInstOperands,
     /*  795359 */     // GIR_Coverage, 60473,
     /*  795359 */     GIR_EraseRootFromParent_Done,
     /*  795360 */   // Label 12318: @795360
     /*  795360 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(795435), // Rule ID 60476 //
     /*  795365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  795376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  795379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  795382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  795414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795433 */     GIR_RootConstrainSelectedInstOperands,
     /*  795434 */     // GIR_Coverage, 60476,
     /*  795434 */     GIR_EraseRootFromParent_Done,
     /*  795435 */   // Label 12319: @795435
     /*  795435 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(795510), // Rule ID 60477 //
     /*  795440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  795451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  795454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  795457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10802:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  795489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795508 */     GIR_RootConstrainSelectedInstOperands,
     /*  795509 */     // GIR_Coverage, 60477,
     /*  795509 */     GIR_EraseRootFromParent_Done,
     /*  795510 */   // Label 12320: @795510
     /*  795510 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795585), // Rule ID 60480 //
     /*  795515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  795564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795583 */     GIR_RootConstrainSelectedInstOperands,
     /*  795584 */     // GIR_Coverage, 60480,
     /*  795584 */     GIR_EraseRootFromParent_Done,
     /*  795585 */   // Label 12321: @795585
     /*  795585 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795660), // Rule ID 60481 //
     /*  795590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  795598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  795601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  795604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  795607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  795625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  795629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10802:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  795639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795658 */     GIR_RootConstrainSelectedInstOperands,
     /*  795659 */     // GIR_Coverage, 60481,
     /*  795659 */     GIR_EraseRootFromParent_Done,
     /*  795660 */   // Label 12322: @795660
     /*  795660 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795735), // Rule ID 60484 //
     /*  795665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  795673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  795714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795733 */     GIR_RootConstrainSelectedInstOperands,
     /*  795734 */     // GIR_Coverage, 60484,
     /*  795734 */     GIR_EraseRootFromParent_Done,
     /*  795735 */   // Label 12323: @795735
     /*  795735 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795810), // Rule ID 60485 //
     /*  795740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  795748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  795760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  795789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795808 */     GIR_RootConstrainSelectedInstOperands,
     /*  795809 */     // GIR_Coverage, 60485,
     /*  795809 */     GIR_EraseRootFromParent_Done,
     /*  795810 */   // Label 12324: @795810
     /*  795810 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(795885), // Rule ID 60488 //
     /*  795815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  795823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  795835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795861 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  795864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795883 */     GIR_RootConstrainSelectedInstOperands,
     /*  795884 */     // GIR_Coverage, 60488,
     /*  795884 */     GIR_EraseRootFromParent_Done,
     /*  795885 */   // Label 12325: @795885
     /*  795885 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(795960), // Rule ID 60489 //
     /*  795890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  795893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  795898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  795901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  795904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  795907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  795910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  795939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795958 */     GIR_RootConstrainSelectedInstOperands,
     /*  795959 */     // GIR_Coverage, 60489,
     /*  795959 */     GIR_EraseRootFromParent_Done,
     /*  795960 */   // Label 12326: @795960
     /*  795960 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(796035), // Rule ID 60492 //
     /*  795965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  795968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  795973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  795976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  795979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  795982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  795985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  796014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796033 */     GIR_RootConstrainSelectedInstOperands,
     /*  796034 */     // GIR_Coverage, 60492,
     /*  796034 */     GIR_EraseRootFromParent_Done,
     /*  796035 */   // Label 12327: @796035
     /*  796035 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(796110), // Rule ID 60493 //
     /*  796040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  796060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796086 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  796089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796108 */     GIR_RootConstrainSelectedInstOperands,
     /*  796109 */     // GIR_Coverage, 60493,
     /*  796109 */     GIR_EraseRootFromParent_Done,
     /*  796110 */   // Label 12328: @796110
     /*  796110 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(796185), // Rule ID 60496 //
     /*  796115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  796118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  796135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  796164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796183 */     GIR_RootConstrainSelectedInstOperands,
     /*  796184 */     // GIR_Coverage, 60496,
     /*  796184 */     GIR_EraseRootFromParent_Done,
     /*  796185 */   // Label 12329: @796185
     /*  796185 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(796260), // Rule ID 60497 //
     /*  796190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  796210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  796239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796258 */     GIR_RootConstrainSelectedInstOperands,
     /*  796259 */     // GIR_Coverage, 60497,
     /*  796259 */     GIR_EraseRootFromParent_Done,
     /*  796260 */   // Label 12330: @796260
     /*  796260 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(796335), // Rule ID 60500 //
     /*  796265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  796268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  796276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  796279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  796282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  796314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796333 */     GIR_RootConstrainSelectedInstOperands,
     /*  796334 */     // GIR_Coverage, 60500,
     /*  796334 */     GIR_EraseRootFromParent_Done,
     /*  796335 */   // Label 12331: @796335
     /*  796335 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(796410), // Rule ID 60501 //
     /*  796340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  796351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  796354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  796357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796386 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10804:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  796389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796408 */     GIR_RootConstrainSelectedInstOperands,
     /*  796409 */     // GIR_Coverage, 60501,
     /*  796409 */     GIR_EraseRootFromParent_Done,
     /*  796410 */   // Label 12332: @796410
     /*  796410 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(796485), // Rule ID 60504 //
     /*  796415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  796418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  796464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796483 */     GIR_RootConstrainSelectedInstOperands,
     /*  796484 */     // GIR_Coverage, 60504,
     /*  796484 */     GIR_EraseRootFromParent_Done,
     /*  796485 */   // Label 12333: @796485
     /*  796485 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796560), // Rule ID 60505 //
     /*  796490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10804:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  796539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796558 */     GIR_RootConstrainSelectedInstOperands,
     /*  796559 */     // GIR_Coverage, 60505,
     /*  796559 */     GIR_EraseRootFromParent_Done,
     /*  796560 */   // Label 12334: @796560
     /*  796560 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796635), // Rule ID 60508 //
     /*  796565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  796568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  796614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796633 */     GIR_RootConstrainSelectedInstOperands,
     /*  796634 */     // GIR_Coverage, 60508,
     /*  796634 */     GIR_EraseRootFromParent_Done,
     /*  796635 */   // Label 12335: @796635
     /*  796635 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796710), // Rule ID 60509 //
     /*  796640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796686 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10804:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  796689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796708 */     GIR_RootConstrainSelectedInstOperands,
     /*  796709 */     // GIR_Coverage, 60509,
     /*  796709 */     GIR_EraseRootFromParent_Done,
     /*  796710 */   // Label 12336: @796710
     /*  796710 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796785), // Rule ID 60512 //
     /*  796715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  796718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  796764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796783 */     GIR_RootConstrainSelectedInstOperands,
     /*  796784 */     // GIR_Coverage, 60512,
     /*  796784 */     GIR_EraseRootFromParent_Done,
     /*  796785 */   // Label 12337: @796785
     /*  796785 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796860), // Rule ID 60513 //
     /*  796790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  796793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  796798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  796829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10804:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  796839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796858 */     GIR_RootConstrainSelectedInstOperands,
     /*  796859 */     // GIR_Coverage, 60513,
     /*  796859 */     GIR_EraseRootFromParent_Done,
     /*  796860 */   // Label 12338: @796860
     /*  796860 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(796935), // Rule ID 60516 //
     /*  796865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  796868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  796876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  796879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  796882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  796885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  796911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  796914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  796930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796933 */     GIR_RootConstrainSelectedInstOperands,
     /*  796934 */     // GIR_Coverage, 60516,
     /*  796934 */     GIR_EraseRootFromParent_Done,
     /*  796935 */   // Label 12339: @796935
     /*  796935 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(797010), // Rule ID 60517 //
     /*  796940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  796943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  796948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  796951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  796954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  796957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  796960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  796979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  796986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  796989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797008 */     GIR_RootConstrainSelectedInstOperands,
     /*  797009 */     // GIR_Coverage, 60517,
     /*  797009 */     GIR_EraseRootFromParent_Done,
     /*  797010 */   // Label 12340: @797010
     /*  797010 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(797085), // Rule ID 60520 //
     /*  797015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  797026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  797029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  797032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  797035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797061 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  797064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797083 */     GIR_RootConstrainSelectedInstOperands,
     /*  797084 */     // GIR_Coverage, 60520,
     /*  797084 */     GIR_EraseRootFromParent_Done,
     /*  797085 */   // Label 12341: @797085
     /*  797085 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(797160), // Rule ID 60521 //
     /*  797090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  797101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  797104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  797107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  797110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  797139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797158 */     GIR_RootConstrainSelectedInstOperands,
     /*  797159 */     // GIR_Coverage, 60521,
     /*  797159 */     GIR_EraseRootFromParent_Done,
     /*  797160 */   // Label 12342: @797160
     /*  797160 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(797235), // Rule ID 60524 //
     /*  797165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  797176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  797179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  797182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  797185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797233 */     GIR_RootConstrainSelectedInstOperands,
     /*  797234 */     // GIR_Coverage, 60524,
     /*  797234 */     GIR_EraseRootFromParent_Done,
     /*  797235 */   // Label 12343: @797235
     /*  797235 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(797310), // Rule ID 60525 //
     /*  797240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  797251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  797254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  797257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  797260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797286 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797308 */     GIR_RootConstrainSelectedInstOperands,
     /*  797309 */     // GIR_Coverage, 60525,
     /*  797309 */     GIR_EraseRootFromParent_Done,
     /*  797310 */   // Label 12344: @797310
     /*  797310 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(797385), // Rule ID 60528 //
     /*  797315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797361 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  797364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797383 */     GIR_RootConstrainSelectedInstOperands,
     /*  797384 */     // GIR_Coverage, 60528,
     /*  797384 */     GIR_EraseRootFromParent_Done,
     /*  797385 */   // Label 12345: @797385
     /*  797385 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(797460), // Rule ID 60529 //
     /*  797390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  797439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797458 */     GIR_RootConstrainSelectedInstOperands,
     /*  797459 */     // GIR_Coverage, 60529,
     /*  797459 */     GIR_EraseRootFromParent_Done,
     /*  797460 */   // Label 12346: @797460
     /*  797460 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797535), // Rule ID 60532 //
     /*  797465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797533 */     GIR_RootConstrainSelectedInstOperands,
     /*  797534 */     // GIR_Coverage, 60532,
     /*  797534 */     GIR_EraseRootFromParent_Done,
     /*  797535 */   // Label 12347: @797535
     /*  797535 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797610), // Rule ID 60533 //
     /*  797540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797608 */     GIR_RootConstrainSelectedInstOperands,
     /*  797609 */     // GIR_Coverage, 60533,
     /*  797609 */     GIR_EraseRootFromParent_Done,
     /*  797610 */   // Label 12348: @797610
     /*  797610 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797685), // Rule ID 60536 //
     /*  797615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797683 */     GIR_RootConstrainSelectedInstOperands,
     /*  797684 */     // GIR_Coverage, 60536,
     /*  797684 */     GIR_EraseRootFromParent_Done,
     /*  797685 */   // Label 12349: @797685
     /*  797685 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797760), // Rule ID 60537 //
     /*  797690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  797739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797758 */     GIR_RootConstrainSelectedInstOperands,
     /*  797759 */     // GIR_Coverage, 60537,
     /*  797759 */     GIR_EraseRootFromParent_Done,
     /*  797760 */   // Label 12350: @797760
     /*  797760 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797835), // Rule ID 60540 //
     /*  797765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  797776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  797779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  797782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  797785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797811 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  797811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  797814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797833 */     GIR_RootConstrainSelectedInstOperands,
     /*  797834 */     // GIR_Coverage, 60540,
     /*  797834 */     GIR_EraseRootFromParent_Done,
     /*  797835 */   // Label 12351: @797835
     /*  797835 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(797910), // Rule ID 60541 //
     /*  797840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  797851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  797854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  797857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  797860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  797886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  797889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  797905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797908 */     GIR_RootConstrainSelectedInstOperands,
     /*  797909 */     // GIR_Coverage, 60541,
     /*  797909 */     GIR_EraseRootFromParent_Done,
     /*  797910 */   // Label 12352: @797910
     /*  797910 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(797985), // Rule ID 60544 //
     /*  797915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  797918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  797964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797983 */     GIR_RootConstrainSelectedInstOperands,
     /*  797984 */     // GIR_Coverage, 60544,
     /*  797984 */     GIR_EraseRootFromParent_Done,
     /*  797985 */   // Label 12353: @797985
     /*  797985 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(798060), // Rule ID 60545 //
     /*  797990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  797993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  797998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  798001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  798004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  798007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  798010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  798039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798058 */     GIR_RootConstrainSelectedInstOperands,
     /*  798059 */     // GIR_Coverage, 60545,
     /*  798059 */     GIR_EraseRootFromParent_Done,
     /*  798060 */   // Label 12354: @798060
     /*  798060 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(798135), // Rule ID 60548 //
     /*  798065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  798114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798133 */     GIR_RootConstrainSelectedInstOperands,
     /*  798134 */     // GIR_Coverage, 60548,
     /*  798134 */     GIR_EraseRootFromParent_Done,
     /*  798135 */   // Label 12355: @798135
     /*  798135 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(798210), // Rule ID 60549 //
     /*  798140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  798151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  798154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  798157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  798160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  798189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798208 */     GIR_RootConstrainSelectedInstOperands,
     /*  798209 */     // GIR_Coverage, 60549,
     /*  798209 */     GIR_EraseRootFromParent_Done,
     /*  798210 */   // Label 12356: @798210
     /*  798210 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(798285), // Rule ID 60552 //
     /*  798215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798261 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  798264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798283 */     GIR_RootConstrainSelectedInstOperands,
     /*  798284 */     // GIR_Coverage, 60552,
     /*  798284 */     GIR_EraseRootFromParent_Done,
     /*  798285 */   // Label 12357: @798285
     /*  798285 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(798360), // Rule ID 60553 //
     /*  798290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  798301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  798304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  798307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  798310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  798329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  798336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  798339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798358 */     GIR_RootConstrainSelectedInstOperands,
     /*  798359 */     // GIR_Coverage, 60553,
     /*  798359 */     GIR_EraseRootFromParent_Done,
     /*  798360 */   // Label 12358: @798360
     /*  798360 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(798435), // Rule ID 60556 //
     /*  798365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  798376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  798379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  798382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  798385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798411 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  798411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  798414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798433 */     GIR_RootConstrainSelectedInstOperands,
     /*  798434 */     // GIR_Coverage, 60556,
     /*  798434 */     GIR_EraseRootFromParent_Done,
     /*  798435 */   // Label 12359: @798435
     /*  798435 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(798510), // Rule ID 60557 //
     /*  798440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  798451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  798454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  798457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  798460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  798486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  798489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798508 */     GIR_RootConstrainSelectedInstOperands,
     /*  798509 */     // GIR_Coverage, 60557,
     /*  798509 */     GIR_EraseRootFromParent_Done,
     /*  798510 */   // Label 12360: @798510
     /*  798510 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798585), // Rule ID 60560 //
     /*  798515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  798526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  798529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  798532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  798535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  798561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  798564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798583 */     GIR_RootConstrainSelectedInstOperands,
     /*  798584 */     // GIR_Coverage, 60560,
     /*  798584 */     GIR_EraseRootFromParent_Done,
     /*  798585 */   // Label 12361: @798585
     /*  798585 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798660), // Rule ID 60561 //
     /*  798590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  798601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  798604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  798607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  798610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  798636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  798639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798658 */     GIR_RootConstrainSelectedInstOperands,
     /*  798659 */     // GIR_Coverage, 60561,
     /*  798659 */     GIR_EraseRootFromParent_Done,
     /*  798660 */   // Label 12362: @798660
     /*  798660 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798735), // Rule ID 60564 //
     /*  798665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  798676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  798679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  798682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  798685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798711 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  798711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  798714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798733 */     GIR_RootConstrainSelectedInstOperands,
     /*  798734 */     // GIR_Coverage, 60564,
     /*  798734 */     GIR_EraseRootFromParent_Done,
     /*  798735 */   // Label 12363: @798735
     /*  798735 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798810), // Rule ID 60565 //
     /*  798740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  798751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  798754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  798757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  798760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  798786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  798789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  798805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798808 */     GIR_RootConstrainSelectedInstOperands,
     /*  798809 */     // GIR_Coverage, 60565,
     /*  798809 */     GIR_EraseRootFromParent_Done,
     /*  798810 */   // Label 12364: @798810
     /*  798810 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(798885), // Rule ID 60568 //
     /*  798815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798861 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  798864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798883 */     GIR_RootConstrainSelectedInstOperands,
     /*  798884 */     // GIR_Coverage, 60568,
     /*  798884 */     GIR_EraseRootFromParent_Done,
     /*  798885 */   // Label 12365: @798885
     /*  798885 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(798960), // Rule ID 60569 //
     /*  798890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  798893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  798939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798958 */     GIR_RootConstrainSelectedInstOperands,
     /*  798959 */     // GIR_Coverage, 60569,
     /*  798959 */     GIR_EraseRootFromParent_Done,
     /*  798960 */   // Label 12366: @798960
     /*  798960 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(799035), // Rule ID 60572 //
     /*  798965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  798968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  798973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  798985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799033 */     GIR_RootConstrainSelectedInstOperands,
     /*  799034 */     // GIR_Coverage, 60572,
     /*  799034 */     GIR_EraseRootFromParent_Done,
     /*  799035 */   // Label 12367: @799035
     /*  799035 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(799110), // Rule ID 60573 //
     /*  799040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  799051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  799054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  799057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  799060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799108 */     GIR_RootConstrainSelectedInstOperands,
     /*  799109 */     // GIR_Coverage, 60573,
     /*  799109 */     GIR_EraseRootFromParent_Done,
     /*  799110 */   // Label 12368: @799110
     /*  799110 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(799185), // Rule ID 60576 //
     /*  799115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  799135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799161 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  799164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799183 */     GIR_RootConstrainSelectedInstOperands,
     /*  799184 */     // GIR_Coverage, 60576,
     /*  799184 */     GIR_EraseRootFromParent_Done,
     /*  799185 */   // Label 12369: @799185
     /*  799185 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(799260), // Rule ID 60577 //
     /*  799190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  799201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  799204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  799207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  799210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799236 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  799239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799258 */     GIR_RootConstrainSelectedInstOperands,
     /*  799259 */     // GIR_Coverage, 60577,
     /*  799259 */     GIR_EraseRootFromParent_Done,
     /*  799260 */   // Label 12370: @799260
     /*  799260 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(799335), // Rule ID 60580 //
     /*  799265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  799285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799311 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  799314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799333 */     GIR_RootConstrainSelectedInstOperands,
     /*  799334 */     // GIR_Coverage, 60580,
     /*  799334 */     GIR_EraseRootFromParent_Done,
     /*  799335 */   // Label 12371: @799335
     /*  799335 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(799410), // Rule ID 60581 //
     /*  799340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  799351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  799354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  799357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  799360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  799389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799408 */     GIR_RootConstrainSelectedInstOperands,
     /*  799409 */     // GIR_Coverage, 60581,
     /*  799409 */     GIR_EraseRootFromParent_Done,
     /*  799410 */   // Label 12372: @799410
     /*  799410 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(799485), // Rule ID 60584 //
     /*  799415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  799426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  799429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  799432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  799435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799483 */     GIR_RootConstrainSelectedInstOperands,
     /*  799484 */     // GIR_Coverage, 60584,
     /*  799484 */     GIR_EraseRootFromParent_Done,
     /*  799485 */   // Label 12373: @799485
     /*  799485 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799560), // Rule ID 60585 //
     /*  799490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  799501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  799504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  799507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  799510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799558 */     GIR_RootConstrainSelectedInstOperands,
     /*  799559 */     // GIR_Coverage, 60585,
     /*  799559 */     GIR_EraseRootFromParent_Done,
     /*  799560 */   // Label 12374: @799560
     /*  799560 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799635), // Rule ID 60588 //
     /*  799565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  799585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  799614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799633 */     GIR_RootConstrainSelectedInstOperands,
     /*  799634 */     // GIR_Coverage, 60588,
     /*  799634 */     GIR_EraseRootFromParent_Done,
     /*  799635 */   // Label 12375: @799635
     /*  799635 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799710), // Rule ID 60589 //
     /*  799640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  799651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  799654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  799657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  799660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  799689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799708 */     GIR_RootConstrainSelectedInstOperands,
     /*  799709 */     // GIR_Coverage, 60589,
     /*  799709 */     GIR_EraseRootFromParent_Done,
     /*  799710 */   // Label 12376: @799710
     /*  799710 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799785), // Rule ID 60592 //
     /*  799715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  799735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799761 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  799764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799783 */     GIR_RootConstrainSelectedInstOperands,
     /*  799784 */     // GIR_Coverage, 60592,
     /*  799784 */     GIR_EraseRootFromParent_Done,
     /*  799785 */   // Label 12377: @799785
     /*  799785 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799860), // Rule ID 60593 //
     /*  799790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  799801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  799804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  799807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  799810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  799829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  799839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799858 */     GIR_RootConstrainSelectedInstOperands,
     /*  799859 */     // GIR_Coverage, 60593,
     /*  799859 */     GIR_EraseRootFromParent_Done,
     /*  799860 */   // Label 12378: @799860
     /*  799860 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(799935), // Rule ID 60596 //
     /*  799865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  799868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799933 */     GIR_RootConstrainSelectedInstOperands,
     /*  799934 */     // GIR_Coverage, 60596,
     /*  799934 */     GIR_EraseRootFromParent_Done,
     /*  799935 */   // Label 12379: @799935
     /*  799935 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(800010), // Rule ID 60597 //
     /*  799940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  799943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  799948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  799989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800008 */     GIR_RootConstrainSelectedInstOperands,
     /*  800009 */     // GIR_Coverage, 60597,
     /*  800009 */     GIR_EraseRootFromParent_Done,
     /*  800010 */   // Label 12380: @800010
     /*  800010 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(800085), // Rule ID 60600 //
     /*  800015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  800035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800061 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  800064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800083 */     GIR_RootConstrainSelectedInstOperands,
     /*  800084 */     // GIR_Coverage, 60600,
     /*  800084 */     GIR_EraseRootFromParent_Done,
     /*  800085 */   // Label 12381: @800085
     /*  800085 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(800160), // Rule ID 60601 //
     /*  800090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  800101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  800104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  800107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  800110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  800139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800158 */     GIR_RootConstrainSelectedInstOperands,
     /*  800159 */     // GIR_Coverage, 60601,
     /*  800159 */     GIR_EraseRootFromParent_Done,
     /*  800160 */   // Label 12382: @800160
     /*  800160 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(800235), // Rule ID 60604 //
     /*  800165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  800176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  800179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  800182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800211 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  800214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800233 */     GIR_RootConstrainSelectedInstOperands,
     /*  800234 */     // GIR_Coverage, 60604,
     /*  800234 */     GIR_EraseRootFromParent_Done,
     /*  800235 */   // Label 12383: @800235
     /*  800235 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(800310), // Rule ID 60605 //
     /*  800240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  800251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  800254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  800257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  800289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800308 */     GIR_RootConstrainSelectedInstOperands,
     /*  800309 */     // GIR_Coverage, 60605,
     /*  800309 */     GIR_EraseRootFromParent_Done,
     /*  800310 */   // Label 12384: @800310
     /*  800310 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(800385), // Rule ID 60608 //
     /*  800315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  800326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  800329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  800332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800361 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  800364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800383 */     GIR_RootConstrainSelectedInstOperands,
     /*  800384 */     // GIR_Coverage, 60608,
     /*  800384 */     GIR_EraseRootFromParent_Done,
     /*  800385 */   // Label 12385: @800385
     /*  800385 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(800460), // Rule ID 60609 //
     /*  800390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  800401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  800404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  800407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  800439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800458 */     GIR_RootConstrainSelectedInstOperands,
     /*  800459 */     // GIR_Coverage, 60609,
     /*  800459 */     GIR_EraseRootFromParent_Done,
     /*  800460 */   // Label 12386: @800460
     /*  800460 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800535), // Rule ID 60612 //
     /*  800465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  800476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  800479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  800482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  800511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  800514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800533 */     GIR_RootConstrainSelectedInstOperands,
     /*  800534 */     // GIR_Coverage, 60612,
     /*  800534 */     GIR_EraseRootFromParent_Done,
     /*  800535 */   // Label 12387: @800535
     /*  800535 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800610), // Rule ID 60613 //
     /*  800540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  800551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  800554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  800557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800586 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  800586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  800589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  800605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800608 */     GIR_RootConstrainSelectedInstOperands,
     /*  800609 */     // GIR_Coverage, 60613,
     /*  800609 */     GIR_EraseRootFromParent_Done,
     /*  800610 */   // Label 12388: @800610
     /*  800610 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800685), // Rule ID 60616 //
     /*  800615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800661 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  800664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800683 */     GIR_RootConstrainSelectedInstOperands,
     /*  800684 */     // GIR_Coverage, 60616,
     /*  800684 */     GIR_EraseRootFromParent_Done,
     /*  800685 */   // Label 12389: @800685
     /*  800685 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800760), // Rule ID 60617 //
     /*  800690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  800701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  800704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  800707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  800739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800758 */     GIR_RootConstrainSelectedInstOperands,
     /*  800759 */     // GIR_Coverage, 60617,
     /*  800759 */     GIR_EraseRootFromParent_Done,
     /*  800760 */   // Label 12390: @800760
     /*  800760 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800835), // Rule ID 60620 //
     /*  800765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  800776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  800779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  800782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  800814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800833 */     GIR_RootConstrainSelectedInstOperands,
     /*  800834 */     // GIR_Coverage, 60620,
     /*  800834 */     GIR_EraseRootFromParent_Done,
     /*  800835 */   // Label 12391: @800835
     /*  800835 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(800910), // Rule ID 60621 //
     /*  800840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  800851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  800854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  800857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  800889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800908 */     GIR_RootConstrainSelectedInstOperands,
     /*  800909 */     // GIR_Coverage, 60621,
     /*  800909 */     GIR_EraseRootFromParent_Done,
     /*  800910 */   // Label 12392: @800910
     /*  800910 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(800985), // Rule ID 60624 //
     /*  800915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  800918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  800926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  800929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  800932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  800954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800961 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  800964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800983 */     GIR_RootConstrainSelectedInstOperands,
     /*  800984 */     // GIR_Coverage, 60624,
     /*  800984 */     GIR_EraseRootFromParent_Done,
     /*  800985 */   // Label 12393: @800985
     /*  800985 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(801060), // Rule ID 60625 //
     /*  800990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  800993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  800998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  801039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801058 */     GIR_RootConstrainSelectedInstOperands,
     /*  801059 */     // GIR_Coverage, 60625,
     /*  801059 */     GIR_EraseRootFromParent_Done,
     /*  801060 */   // Label 12394: @801060
     /*  801060 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(801135), // Rule ID 60628 //
     /*  801065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  801082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801133 */     GIR_RootConstrainSelectedInstOperands,
     /*  801134 */     // GIR_Coverage, 60628,
     /*  801134 */     GIR_EraseRootFromParent_Done,
     /*  801135 */   // Label 12395: @801135
     /*  801135 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(801210), // Rule ID 60629 //
     /*  801140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  801151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  801154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  801157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801186 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10792:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801208 */     GIR_RootConstrainSelectedInstOperands,
     /*  801209 */     // GIR_Coverage, 60629,
     /*  801209 */     GIR_EraseRootFromParent_Done,
     /*  801210 */   // Label 12396: @801210
     /*  801210 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(801285), // Rule ID 60632 //
     /*  801215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801283 */     GIR_RootConstrainSelectedInstOperands,
     /*  801284 */     // GIR_Coverage, 60632,
     /*  801284 */     GIR_EraseRootFromParent_Done,
     /*  801285 */   // Label 12397: @801285
     /*  801285 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(801360), // Rule ID 60633 //
     /*  801290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  801301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  801304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  801307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10792:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801358 */     GIR_RootConstrainSelectedInstOperands,
     /*  801359 */     // GIR_Coverage, 60633,
     /*  801359 */     GIR_EraseRootFromParent_Done,
     /*  801360 */   // Label 12398: @801360
     /*  801360 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(801435), // Rule ID 60636 //
     /*  801365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801433 */     GIR_RootConstrainSelectedInstOperands,
     /*  801434 */     // GIR_Coverage, 60636,
     /*  801434 */     GIR_EraseRootFromParent_Done,
     /*  801435 */   // Label 12399: @801435
     /*  801435 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(801510), // Rule ID 60637 //
     /*  801440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  801451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  801454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  801457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801486 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10792:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801508 */     GIR_RootConstrainSelectedInstOperands,
     /*  801509 */     // GIR_Coverage, 60637,
     /*  801509 */     GIR_EraseRootFromParent_Done,
     /*  801510 */   // Label 12400: @801510
     /*  801510 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801585), // Rule ID 60640 //
     /*  801515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801561 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801583 */     GIR_RootConstrainSelectedInstOperands,
     /*  801584 */     // GIR_Coverage, 60640,
     /*  801584 */     GIR_EraseRootFromParent_Done,
     /*  801585 */   // Label 12401: @801585
     /*  801585 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801660), // Rule ID 60641 //
     /*  801590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  801601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  801604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  801607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10792:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  801639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801658 */     GIR_RootConstrainSelectedInstOperands,
     /*  801659 */     // GIR_Coverage, 60641,
     /*  801659 */     GIR_EraseRootFromParent_Done,
     /*  801660 */   // Label 12402: @801660
     /*  801660 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801735), // Rule ID 60644 //
     /*  801665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  801676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  801679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  801682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  801714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801733 */     GIR_RootConstrainSelectedInstOperands,
     /*  801734 */     // GIR_Coverage, 60644,
     /*  801734 */     GIR_EraseRootFromParent_Done,
     /*  801735 */   // Label 12403: @801735
     /*  801735 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801810), // Rule ID 60645 //
     /*  801740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  801751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  801754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  801757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801786 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  801789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801808 */     GIR_RootConstrainSelectedInstOperands,
     /*  801809 */     // GIR_Coverage, 60645,
     /*  801809 */     GIR_EraseRootFromParent_Done,
     /*  801810 */   // Label 12404: @801810
     /*  801810 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(801885), // Rule ID 60648 //
     /*  801815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  801826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  801829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  801832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801861 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  801861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  801864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801883 */     GIR_RootConstrainSelectedInstOperands,
     /*  801884 */     // GIR_Coverage, 60648,
     /*  801884 */     GIR_EraseRootFromParent_Done,
     /*  801885 */   // Label 12405: @801885
     /*  801885 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(801960), // Rule ID 60649 //
     /*  801890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  801893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  801901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  801904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  801907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  801929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  801936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  801939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  801955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801958 */     GIR_RootConstrainSelectedInstOperands,
     /*  801959 */     // GIR_Coverage, 60649,
     /*  801959 */     GIR_EraseRootFromParent_Done,
     /*  801960 */   // Label 12406: @801960
     /*  801960 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(802035), // Rule ID 60652 //
     /*  801965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  801968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  801973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  801976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  801979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  801982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802011 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  802011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802033 */     GIR_RootConstrainSelectedInstOperands,
     /*  802034 */     // GIR_Coverage, 60652,
     /*  802034 */     GIR_EraseRootFromParent_Done,
     /*  802035 */   // Label 12407: @802035
     /*  802035 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(802110), // Rule ID 60653 //
     /*  802040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  802051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  802054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  802057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802086 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  802086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  802105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802108 */     GIR_RootConstrainSelectedInstOperands,
     /*  802109 */     // GIR_Coverage, 60653,
     /*  802109 */     GIR_EraseRootFromParent_Done,
     /*  802110 */   // Label 12408: @802110
     /*  802110 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(802185), // Rule ID 60656 //
     /*  802115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802161 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  802164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802183 */     GIR_RootConstrainSelectedInstOperands,
     /*  802184 */     // GIR_Coverage, 60656,
     /*  802184 */     GIR_EraseRootFromParent_Done,
     /*  802185 */   // Label 12409: @802185
     /*  802185 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(802260), // Rule ID 60657 //
     /*  802190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  802239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802258 */     GIR_RootConstrainSelectedInstOperands,
     /*  802259 */     // GIR_Coverage, 60657,
     /*  802259 */     GIR_EraseRootFromParent_Done,
     /*  802260 */   // Label 12410: @802260
     /*  802260 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(802335), // Rule ID 60660 //
     /*  802265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  802314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802333 */     GIR_RootConstrainSelectedInstOperands,
     /*  802334 */     // GIR_Coverage, 60660,
     /*  802334 */     GIR_EraseRootFromParent_Done,
     /*  802335 */   // Label 12411: @802335
     /*  802335 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(802410), // Rule ID 60661 //
     /*  802340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  802389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802408 */     GIR_RootConstrainSelectedInstOperands,
     /*  802409 */     // GIR_Coverage, 60661,
     /*  802409 */     GIR_EraseRootFromParent_Done,
     /*  802410 */   // Label 12412: @802410
     /*  802410 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(802485), // Rule ID 60664 //
     /*  802415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802461 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802483 */     GIR_RootConstrainSelectedInstOperands,
     /*  802484 */     // GIR_Coverage, 60664,
     /*  802484 */     GIR_EraseRootFromParent_Done,
     /*  802485 */   // Label 12413: @802485
     /*  802485 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802560), // Rule ID 60665 //
     /*  802490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802536 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802558 */     GIR_RootConstrainSelectedInstOperands,
     /*  802559 */     // GIR_Coverage, 60665,
     /*  802559 */     GIR_EraseRootFromParent_Done,
     /*  802560 */   // Label 12414: @802560
     /*  802560 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802635), // Rule ID 60668 //
     /*  802565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  802614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802633 */     GIR_RootConstrainSelectedInstOperands,
     /*  802634 */     // GIR_Coverage, 60668,
     /*  802634 */     GIR_EraseRootFromParent_Done,
     /*  802635 */   // Label 12415: @802635
     /*  802635 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802710), // Rule ID 60669 //
     /*  802640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  802689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802708 */     GIR_RootConstrainSelectedInstOperands,
     /*  802709 */     // GIR_Coverage, 60669,
     /*  802709 */     GIR_EraseRootFromParent_Done,
     /*  802710 */   // Label 12416: @802710
     /*  802710 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802785), // Rule ID 60672 //
     /*  802715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802761 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  802764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802783 */     GIR_RootConstrainSelectedInstOperands,
     /*  802784 */     // GIR_Coverage, 60672,
     /*  802784 */     GIR_EraseRootFromParent_Done,
     /*  802785 */   // Label 12417: @802785
     /*  802785 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802860), // Rule ID 60673 //
     /*  802790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  802801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  802804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  802807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  802839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802858 */     GIR_RootConstrainSelectedInstOperands,
     /*  802859 */     // GIR_Coverage, 60673,
     /*  802859 */     GIR_EraseRootFromParent_Done,
     /*  802860 */   // Label 12418: @802860
     /*  802860 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(802935), // Rule ID 60676 //
     /*  802865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  802868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  802885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802911 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802933 */     GIR_RootConstrainSelectedInstOperands,
     /*  802934 */     // GIR_Coverage, 60676,
     /*  802934 */     GIR_EraseRootFromParent_Done,
     /*  802935 */   // Label 12419: @802935
     /*  802935 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(803010), // Rule ID 60677 //
     /*  802940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  802943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  802948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  802951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  802954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  802957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  802960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  802979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  802989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803008 */     GIR_RootConstrainSelectedInstOperands,
     /*  803009 */     // GIR_Coverage, 60677,
     /*  803009 */     GIR_EraseRootFromParent_Done,
     /*  803010 */   // Label 12420: @803010
     /*  803010 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(803085), // Rule ID 60680 //
     /*  803015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  803064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803083 */     GIR_RootConstrainSelectedInstOperands,
     /*  803084 */     // GIR_Coverage, 60680,
     /*  803084 */     GIR_EraseRootFromParent_Done,
     /*  803085 */   // Label 12421: @803085
     /*  803085 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(803160), // Rule ID 60681 //
     /*  803090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10792:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  803139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803158 */     GIR_RootConstrainSelectedInstOperands,
     /*  803159 */     // GIR_Coverage, 60681,
     /*  803159 */     GIR_EraseRootFromParent_Done,
     /*  803160 */   // Label 12422: @803160
     /*  803160 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(803235), // Rule ID 60684 //
     /*  803165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  803214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803233 */     GIR_RootConstrainSelectedInstOperands,
     /*  803234 */     // GIR_Coverage, 60684,
     /*  803234 */     GIR_EraseRootFromParent_Done,
     /*  803235 */   // Label 12423: @803235
     /*  803235 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(803310), // Rule ID 60685 //
     /*  803240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10792:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  803289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803308 */     GIR_RootConstrainSelectedInstOperands,
     /*  803309 */     // GIR_Coverage, 60685,
     /*  803309 */     GIR_EraseRootFromParent_Done,
     /*  803310 */   // Label 12424: @803310
     /*  803310 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(803385), // Rule ID 60688 //
     /*  803315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  803335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803361 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  803364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803383 */     GIR_RootConstrainSelectedInstOperands,
     /*  803384 */     // GIR_Coverage, 60688,
     /*  803384 */     GIR_EraseRootFromParent_Done,
     /*  803385 */   // Label 12425: @803385
     /*  803385 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(803460), // Rule ID 60689 //
     /*  803390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  803398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  803410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  803429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10792:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  803439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803458 */     GIR_RootConstrainSelectedInstOperands,
     /*  803459 */     // GIR_Coverage, 60689,
     /*  803459 */     GIR_EraseRootFromParent_Done,
     /*  803460 */   // Label 12426: @803460
     /*  803460 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803535), // Rule ID 60868 //
     /*  803465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  803476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  803479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  803482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  803485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803511 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  803511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  803514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803533 */     GIR_RootConstrainSelectedInstOperands,
     /*  803534 */     // GIR_Coverage, 60868,
     /*  803534 */     GIR_EraseRootFromParent_Done,
     /*  803535 */   // Label 12427: @803535
     /*  803535 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803610), // Rule ID 60869 //
     /*  803540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  803551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  803554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  803557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  803560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  803586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  803589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803608 */     GIR_RootConstrainSelectedInstOperands,
     /*  803609 */     // GIR_Coverage, 60869,
     /*  803609 */     GIR_EraseRootFromParent_Done,
     /*  803610 */   // Label 12428: @803610
     /*  803610 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803685), // Rule ID 60872 //
     /*  803615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  803626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  803629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  803632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  803635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803661 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  803661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  803664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803683 */     GIR_RootConstrainSelectedInstOperands,
     /*  803684 */     // GIR_Coverage, 60872,
     /*  803684 */     GIR_EraseRootFromParent_Done,
     /*  803685 */   // Label 12429: @803685
     /*  803685 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803760), // Rule ID 60873 //
     /*  803690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  803701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  803704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  803707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  803710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803736 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  803736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  803739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803758 */     GIR_RootConstrainSelectedInstOperands,
     /*  803759 */     // GIR_Coverage, 60873,
     /*  803759 */     GIR_EraseRootFromParent_Done,
     /*  803760 */   // Label 12430: @803760
     /*  803760 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803835), // Rule ID 60876 //
     /*  803765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  803776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  803779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  803782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  803785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  803811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  803814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803833 */     GIR_RootConstrainSelectedInstOperands,
     /*  803834 */     // GIR_Coverage, 60876,
     /*  803834 */     GIR_EraseRootFromParent_Done,
     /*  803835 */   // Label 12431: @803835
     /*  803835 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(803910), // Rule ID 60877 //
     /*  803840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  803851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  803854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  803857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  803860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  803886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  803889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  803905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803908 */     GIR_RootConstrainSelectedInstOperands,
     /*  803909 */     // GIR_Coverage, 60877,
     /*  803909 */     GIR_EraseRootFromParent_Done,
     /*  803910 */   // Label 12432: @803910
     /*  803910 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(803985), // Rule ID 60880 //
     /*  803915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  803918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  803935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803961 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  803964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803983 */     GIR_RootConstrainSelectedInstOperands,
     /*  803984 */     // GIR_Coverage, 60880,
     /*  803984 */     GIR_EraseRootFromParent_Done,
     /*  803985 */   // Label 12433: @803985
     /*  803985 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(804060), // Rule ID 60881 //
     /*  803990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  803993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  803998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  804001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  804004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  804007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  804010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  804039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804058 */     GIR_RootConstrainSelectedInstOperands,
     /*  804059 */     // GIR_Coverage, 60881,
     /*  804059 */     GIR_EraseRootFromParent_Done,
     /*  804060 */   // Label 12434: @804060
     /*  804060 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(804135), // Rule ID 60884 //
     /*  804065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  804085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  804114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804133 */     GIR_RootConstrainSelectedInstOperands,
     /*  804134 */     // GIR_Coverage, 60884,
     /*  804134 */     GIR_EraseRootFromParent_Done,
     /*  804135 */   // Label 12435: @804135
     /*  804135 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(804210), // Rule ID 60885 //
     /*  804140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  804160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  804189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804208 */     GIR_RootConstrainSelectedInstOperands,
     /*  804209 */     // GIR_Coverage, 60885,
     /*  804209 */     GIR_EraseRootFromParent_Done,
     /*  804210 */   // Label 12436: @804210
     /*  804210 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(804285), // Rule ID 60888 //
     /*  804215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  804235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804261 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  804264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804283 */     GIR_RootConstrainSelectedInstOperands,
     /*  804284 */     // GIR_Coverage, 60888,
     /*  804284 */     GIR_EraseRootFromParent_Done,
     /*  804285 */   // Label 12437: @804285
     /*  804285 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(804360), // Rule ID 60889 //
     /*  804290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  804310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  804339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804358 */     GIR_RootConstrainSelectedInstOperands,
     /*  804359 */     // GIR_Coverage, 60889,
     /*  804359 */     GIR_EraseRootFromParent_Done,
     /*  804360 */   // Label 12438: @804360
     /*  804360 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(804435), // Rule ID 60892 //
     /*  804365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  804382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  804411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804433 */     GIR_RootConstrainSelectedInstOperands,
     /*  804434 */     // GIR_Coverage, 60892,
     /*  804434 */     GIR_EraseRootFromParent_Done,
     /*  804435 */   // Label 12439: @804435
     /*  804435 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(804510), // Rule ID 60893 //
     /*  804440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  804451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  804454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  804457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  804460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804486 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  804486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  804505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804508 */     GIR_RootConstrainSelectedInstOperands,
     /*  804509 */     // GIR_Coverage, 60893,
     /*  804509 */     GIR_EraseRootFromParent_Done,
     /*  804510 */   // Label 12440: @804510
     /*  804510 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804585), // Rule ID 60896 //
     /*  804515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804561 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804583 */     GIR_RootConstrainSelectedInstOperands,
     /*  804584 */     // GIR_Coverage, 60896,
     /*  804584 */     GIR_EraseRootFromParent_Done,
     /*  804585 */   // Label 12441: @804585
     /*  804585 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804660), // Rule ID 60897 //
     /*  804590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  804610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804658 */     GIR_RootConstrainSelectedInstOperands,
     /*  804659 */     // GIR_Coverage, 60897,
     /*  804659 */     GIR_EraseRootFromParent_Done,
     /*  804660 */   // Label 12442: @804660
     /*  804660 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804735), // Rule ID 60900 //
     /*  804665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  804685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804733 */     GIR_RootConstrainSelectedInstOperands,
     /*  804734 */     // GIR_Coverage, 60900,
     /*  804734 */     GIR_EraseRootFromParent_Done,
     /*  804735 */   // Label 12443: @804735
     /*  804735 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804810), // Rule ID 60901 //
     /*  804740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  804760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804808 */     GIR_RootConstrainSelectedInstOperands,
     /*  804809 */     // GIR_Coverage, 60901,
     /*  804809 */     GIR_EraseRootFromParent_Done,
     /*  804810 */   // Label 12444: @804810
     /*  804810 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(804885), // Rule ID 60904 //
     /*  804815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  804835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804861 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804883 */     GIR_RootConstrainSelectedInstOperands,
     /*  804884 */     // GIR_Coverage, 60904,
     /*  804884 */     GIR_EraseRootFromParent_Done,
     /*  804885 */   // Label 12445: @804885
     /*  804885 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(804960), // Rule ID 60905 //
     /*  804890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  804893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  804910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804936 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  804939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804958 */     GIR_RootConstrainSelectedInstOperands,
     /*  804959 */     // GIR_Coverage, 60905,
     /*  804959 */     GIR_EraseRootFromParent_Done,
     /*  804960 */   // Label 12446: @804960
     /*  804960 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(805035), // Rule ID 60908 //
     /*  804965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  804968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  804973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  804976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  804979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  804982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  804985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805033 */     GIR_RootConstrainSelectedInstOperands,
     /*  805034 */     // GIR_Coverage, 60908,
     /*  805034 */     GIR_EraseRootFromParent_Done,
     /*  805035 */   // Label 12447: @805035
     /*  805035 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(805110), // Rule ID 60909 //
     /*  805040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  805051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  805054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  805057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  805060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805108 */     GIR_RootConstrainSelectedInstOperands,
     /*  805109 */     // GIR_Coverage, 60909,
     /*  805109 */     GIR_EraseRootFromParent_Done,
     /*  805110 */   // Label 12448: @805110
     /*  805110 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(805185), // Rule ID 60912 //
     /*  805115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  805126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  805129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  805135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  805164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805183 */     GIR_RootConstrainSelectedInstOperands,
     /*  805184 */     // GIR_Coverage, 60912,
     /*  805184 */     GIR_EraseRootFromParent_Done,
     /*  805185 */   // Label 12449: @805185
     /*  805185 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(805260), // Rule ID 60913 //
     /*  805190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  805201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  805204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  805207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  805210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  805239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805258 */     GIR_RootConstrainSelectedInstOperands,
     /*  805259 */     // GIR_Coverage, 60913,
     /*  805259 */     GIR_EraseRootFromParent_Done,
     /*  805260 */   // Label 12450: @805260
     /*  805260 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(805335), // Rule ID 60916 //
     /*  805265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  805276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  805279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  805285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  805311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  805314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805333 */     GIR_RootConstrainSelectedInstOperands,
     /*  805334 */     // GIR_Coverage, 60916,
     /*  805334 */     GIR_EraseRootFromParent_Done,
     /*  805335 */   // Label 12451: @805335
     /*  805335 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(805410), // Rule ID 60917 //
     /*  805340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  805351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  805354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  805357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  805360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805386 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  805386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  805389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  805405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805408 */     GIR_RootConstrainSelectedInstOperands,
     /*  805409 */     // GIR_Coverage, 60917,
     /*  805409 */     GIR_EraseRootFromParent_Done,
     /*  805410 */   // Label 12452: @805410
     /*  805410 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(805485), // Rule ID 60920 //
     /*  805415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  805426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  805429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  805432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  805435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805461 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805483 */     GIR_RootConstrainSelectedInstOperands,
     /*  805484 */     // GIR_Coverage, 60920,
     /*  805484 */     GIR_EraseRootFromParent_Done,
     /*  805485 */   // Label 12453: @805485
     /*  805485 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805560), // Rule ID 60921 //
     /*  805490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  805501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  805504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  805507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  805510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805558 */     GIR_RootConstrainSelectedInstOperands,
     /*  805559 */     // GIR_Coverage, 60921,
     /*  805559 */     GIR_EraseRootFromParent_Done,
     /*  805560 */   // Label 12454: @805560
     /*  805560 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805635), // Rule ID 60924 //
     /*  805565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  805576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  805579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  805582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  805585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  805614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805633 */     GIR_RootConstrainSelectedInstOperands,
     /*  805634 */     // GIR_Coverage, 60924,
     /*  805634 */     GIR_EraseRootFromParent_Done,
     /*  805635 */   // Label 12455: @805635
     /*  805635 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805710), // Rule ID 60925 //
     /*  805640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  805651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  805654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  805657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  805660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805686 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  805689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805708 */     GIR_RootConstrainSelectedInstOperands,
     /*  805709 */     // GIR_Coverage, 60925,
     /*  805709 */     GIR_EraseRootFromParent_Done,
     /*  805710 */   // Label 12456: @805710
     /*  805710 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805785), // Rule ID 60928 //
     /*  805715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  805735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805761 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  805764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805783 */     GIR_RootConstrainSelectedInstOperands,
     /*  805784 */     // GIR_Coverage, 60928,
     /*  805784 */     GIR_EraseRootFromParent_Done,
     /*  805785 */   // Label 12457: @805785
     /*  805785 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805860), // Rule ID 60929 //
     /*  805790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  805810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805836 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  805839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805858 */     GIR_RootConstrainSelectedInstOperands,
     /*  805859 */     // GIR_Coverage, 60929,
     /*  805859 */     GIR_EraseRootFromParent_Done,
     /*  805860 */   // Label 12458: @805860
     /*  805860 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(805935), // Rule ID 60932 //
     /*  805865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  805868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  805885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805933 */     GIR_RootConstrainSelectedInstOperands,
     /*  805934 */     // GIR_Coverage, 60932,
     /*  805934 */     GIR_EraseRootFromParent_Done,
     /*  805935 */   // Label 12459: @805935
     /*  805935 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(806010), // Rule ID 60933 //
     /*  805940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  805943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  805948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  805960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805986 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  805989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806008 */     GIR_RootConstrainSelectedInstOperands,
     /*  806009 */     // GIR_Coverage, 60933,
     /*  806009 */     GIR_EraseRootFromParent_Done,
     /*  806010 */   // Label 12460: @806010
     /*  806010 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(806085), // Rule ID 60936 //
     /*  806015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806061 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  806064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806083 */     GIR_RootConstrainSelectedInstOperands,
     /*  806084 */     // GIR_Coverage, 60936,
     /*  806084 */     GIR_EraseRootFromParent_Done,
     /*  806085 */   // Label 12461: @806085
     /*  806085 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(806160), // Rule ID 60937 //
     /*  806090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  806101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  806104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  806107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  806110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  806139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806158 */     GIR_RootConstrainSelectedInstOperands,
     /*  806159 */     // GIR_Coverage, 60937,
     /*  806159 */     GIR_EraseRootFromParent_Done,
     /*  806160 */   // Label 12462: @806160
     /*  806160 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(806235), // Rule ID 60940 //
     /*  806165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  806176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  806179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  806185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  806214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806233 */     GIR_RootConstrainSelectedInstOperands,
     /*  806234 */     // GIR_Coverage, 60940,
     /*  806234 */     GIR_EraseRootFromParent_Done,
     /*  806235 */   // Label 12463: @806235
     /*  806235 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(806310), // Rule ID 60941 //
     /*  806240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  806251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  806254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  806257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  806260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  806289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806308 */     GIR_RootConstrainSelectedInstOperands,
     /*  806309 */     // GIR_Coverage, 60941,
     /*  806309 */     GIR_EraseRootFromParent_Done,
     /*  806310 */   // Label 12464: @806310
     /*  806310 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(806385), // Rule ID 60944 //
     /*  806315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  806326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  806329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  806335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  806364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806383 */     GIR_RootConstrainSelectedInstOperands,
     /*  806384 */     // GIR_Coverage, 60944,
     /*  806384 */     GIR_EraseRootFromParent_Done,
     /*  806385 */   // Label 12465: @806385
     /*  806385 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(806460), // Rule ID 60945 //
     /*  806390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  806401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  806404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  806407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  806410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  806429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  806439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806458 */     GIR_RootConstrainSelectedInstOperands,
     /*  806459 */     // GIR_Coverage, 60945,
     /*  806459 */     GIR_EraseRootFromParent_Done,
     /*  806460 */   // Label 12466: @806460
     /*  806460 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806535), // Rule ID 60948 //
     /*  806465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  806476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  806479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  806482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  806485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  806514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806533 */     GIR_RootConstrainSelectedInstOperands,
     /*  806534 */     // GIR_Coverage, 60948,
     /*  806534 */     GIR_EraseRootFromParent_Done,
     /*  806535 */   // Label 12467: @806535
     /*  806535 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806610), // Rule ID 60949 //
     /*  806540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  806551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  806554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  806557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  806560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  806579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  806589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806608 */     GIR_RootConstrainSelectedInstOperands,
     /*  806609 */     // GIR_Coverage, 60949,
     /*  806609 */     GIR_EraseRootFromParent_Done,
     /*  806610 */   // Label 12468: @806610
     /*  806610 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806685), // Rule ID 60952 //
     /*  806615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  806626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  806629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  806632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  806635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806661 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  806664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806683 */     GIR_RootConstrainSelectedInstOperands,
     /*  806684 */     // GIR_Coverage, 60952,
     /*  806684 */     GIR_EraseRootFromParent_Done,
     /*  806685 */   // Label 12469: @806685
     /*  806685 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806760), // Rule ID 60953 //
     /*  806690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  806701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  806704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  806707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  806710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806736 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  806739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806758 */     GIR_RootConstrainSelectedInstOperands,
     /*  806759 */     // GIR_Coverage, 60953,
     /*  806759 */     GIR_EraseRootFromParent_Done,
     /*  806760 */   // Label 12470: @806760
     /*  806760 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806835), // Rule ID 60956 //
     /*  806765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  806776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  806779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  806782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  806804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  806814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806833 */     GIR_RootConstrainSelectedInstOperands,
     /*  806834 */     // GIR_Coverage, 60956,
     /*  806834 */     GIR_EraseRootFromParent_Done,
     /*  806835 */   // Label 12471: @806835
     /*  806835 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(806910), // Rule ID 60957 //
     /*  806840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  806851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  806854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  806857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  806860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  806879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806886 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  806886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  806889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806908 */     GIR_RootConstrainSelectedInstOperands,
     /*  806909 */     // GIR_Coverage, 60957,
     /*  806909 */     GIR_EraseRootFromParent_Done,
     /*  806910 */   // Label 12472: @806910
     /*  806910 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(806985), // Rule ID 60960 //
     /*  806915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  806918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  806926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  806929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  806932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  806954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806961 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  806961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  806964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  806980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806983 */     GIR_RootConstrainSelectedInstOperands,
     /*  806984 */     // GIR_Coverage, 60960,
     /*  806984 */     GIR_EraseRootFromParent_Done,
     /*  806985 */   // Label 12473: @806985
     /*  806985 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(807060), // Rule ID 60961 //
     /*  806990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  806993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  806998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  807001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  807004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  807007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807036 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  807039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807058 */     GIR_RootConstrainSelectedInstOperands,
     /*  807059 */     // GIR_Coverage, 60961,
     /*  807059 */     GIR_EraseRootFromParent_Done,
     /*  807060 */   // Label 12474: @807060
     /*  807060 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(807135), // Rule ID 60964 //
     /*  807065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  807076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  807079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807133 */     GIR_RootConstrainSelectedInstOperands,
     /*  807134 */     // GIR_Coverage, 60964,
     /*  807134 */     GIR_EraseRootFromParent_Done,
     /*  807135 */   // Label 12475: @807135
     /*  807135 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(807210), // Rule ID 60965 //
     /*  807140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  807151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  807154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  807157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807208 */     GIR_RootConstrainSelectedInstOperands,
     /*  807209 */     // GIR_Coverage, 60965,
     /*  807209 */     GIR_EraseRootFromParent_Done,
     /*  807210 */   // Label 12476: @807210
     /*  807210 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(807285), // Rule ID 60968 //
     /*  807215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  807264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807283 */     GIR_RootConstrainSelectedInstOperands,
     /*  807284 */     // GIR_Coverage, 60968,
     /*  807284 */     GIR_EraseRootFromParent_Done,
     /*  807285 */   // Label 12477: @807285
     /*  807285 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(807360), // Rule ID 60969 //
     /*  807290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  807301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  807304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  807307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807336 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  807339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807358 */     GIR_RootConstrainSelectedInstOperands,
     /*  807359 */     // GIR_Coverage, 60969,
     /*  807359 */     GIR_EraseRootFromParent_Done,
     /*  807360 */   // Label 12478: @807360
     /*  807360 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(807435), // Rule ID 60972 //
     /*  807365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  807376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  807379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807433 */     GIR_RootConstrainSelectedInstOperands,
     /*  807434 */     // GIR_Coverage, 60972,
     /*  807434 */     GIR_EraseRootFromParent_Done,
     /*  807435 */   // Label 12479: @807435
     /*  807435 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(807510), // Rule ID 60973 //
     /*  807440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  807451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  807454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  807457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807508 */     GIR_RootConstrainSelectedInstOperands,
     /*  807509 */     // GIR_Coverage, 60973,
     /*  807509 */     GIR_EraseRootFromParent_Done,
     /*  807510 */   // Label 12480: @807510
     /*  807510 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807585), // Rule ID 60976 //
     /*  807515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  807526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  807529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  807532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807583 */     GIR_RootConstrainSelectedInstOperands,
     /*  807584 */     // GIR_Coverage, 60976,
     /*  807584 */     GIR_EraseRootFromParent_Done,
     /*  807585 */   // Label 12481: @807585
     /*  807585 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807660), // Rule ID 60977 //
     /*  807590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  807601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  807604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  807607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807636 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  807639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807658 */     GIR_RootConstrainSelectedInstOperands,
     /*  807659 */     // GIR_Coverage, 60977,
     /*  807659 */     GIR_EraseRootFromParent_Done,
     /*  807660 */   // Label 12482: @807660
     /*  807660 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807735), // Rule ID 60980 //
     /*  807665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  807682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807711 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  807711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  807714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807733 */     GIR_RootConstrainSelectedInstOperands,
     /*  807734 */     // GIR_Coverage, 60980,
     /*  807734 */     GIR_EraseRootFromParent_Done,
     /*  807735 */   // Label 12483: @807735
     /*  807735 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807810), // Rule ID 60981 //
     /*  807740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  807751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  807754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  807757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807786 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  807786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  807789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  807805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807808 */     GIR_RootConstrainSelectedInstOperands,
     /*  807809 */     // GIR_Coverage, 60981,
     /*  807809 */     GIR_EraseRootFromParent_Done,
     /*  807810 */   // Label 12484: @807810
     /*  807810 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(807885), // Rule ID 60984 //
     /*  807815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  807832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  807864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807883 */     GIR_RootConstrainSelectedInstOperands,
     /*  807884 */     // GIR_Coverage, 60984,
     /*  807884 */     GIR_EraseRootFromParent_Done,
     /*  807885 */   // Label 12485: @807885
     /*  807885 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(807960), // Rule ID 60985 //
     /*  807890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  807893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  807901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  807904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  807907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  807910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  807929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  807939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807958 */     GIR_RootConstrainSelectedInstOperands,
     /*  807959 */     // GIR_Coverage, 60985,
     /*  807959 */     GIR_EraseRootFromParent_Done,
     /*  807960 */   // Label 12486: @807960
     /*  807960 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(808035), // Rule ID 60988 //
     /*  807965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  807968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  807973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  807976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  807979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  807982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  807985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  807996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  808014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808033 */     GIR_RootConstrainSelectedInstOperands,
     /*  808034 */     // GIR_Coverage, 60988,
     /*  808034 */     GIR_EraseRootFromParent_Done,
     /*  808035 */   // Label 12487: @808035
     /*  808035 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(808110), // Rule ID 60989 //
     /*  808040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  808089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808108 */     GIR_RootConstrainSelectedInstOperands,
     /*  808109 */     // GIR_Coverage, 60989,
     /*  808109 */     GIR_EraseRootFromParent_Done,
     /*  808110 */   // Label 12488: @808110
     /*  808110 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(808185), // Rule ID 60992 //
     /*  808115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808161 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  808164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808183 */     GIR_RootConstrainSelectedInstOperands,
     /*  808184 */     // GIR_Coverage, 60992,
     /*  808184 */     GIR_EraseRootFromParent_Done,
     /*  808185 */   // Label 12489: @808185
     /*  808185 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(808260), // Rule ID 60993 //
     /*  808190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  808201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  808204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  808207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  808239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808258 */     GIR_RootConstrainSelectedInstOperands,
     /*  808259 */     // GIR_Coverage, 60993,
     /*  808259 */     GIR_EraseRootFromParent_Done,
     /*  808260 */   // Label 12490: @808260
     /*  808260 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(808335), // Rule ID 60996 //
     /*  808265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  808276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  808279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  808314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808333 */     GIR_RootConstrainSelectedInstOperands,
     /*  808334 */     // GIR_Coverage, 60996,
     /*  808334 */     GIR_EraseRootFromParent_Done,
     /*  808335 */   // Label 12491: @808335
     /*  808335 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(808410), // Rule ID 60997 //
     /*  808340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  808351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  808354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  808357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808386 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  808389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808408 */     GIR_RootConstrainSelectedInstOperands,
     /*  808409 */     // GIR_Coverage, 60997,
     /*  808409 */     GIR_EraseRootFromParent_Done,
     /*  808410 */   // Label 12492: @808410
     /*  808410 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(808485), // Rule ID 61000 //
     /*  808415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  808426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  808429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  808432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808461 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  808464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808483 */     GIR_RootConstrainSelectedInstOperands,
     /*  808484 */     // GIR_Coverage, 61000,
     /*  808484 */     GIR_EraseRootFromParent_Done,
     /*  808485 */   // Label 12493: @808485
     /*  808485 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808560), // Rule ID 61001 //
     /*  808490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  808501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  808504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  808507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808536 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  808539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808558 */     GIR_RootConstrainSelectedInstOperands,
     /*  808559 */     // GIR_Coverage, 61001,
     /*  808559 */     GIR_EraseRootFromParent_Done,
     /*  808560 */   // Label 12494: @808560
     /*  808560 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808635), // Rule ID 61004 //
     /*  808565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  808576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  808579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  808582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  808611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  808614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808633 */     GIR_RootConstrainSelectedInstOperands,
     /*  808634 */     // GIR_Coverage, 61004,
     /*  808634 */     GIR_EraseRootFromParent_Done,
     /*  808635 */   // Label 12495: @808635
     /*  808635 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808710), // Rule ID 61005 //
     /*  808640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  808651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  808654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  808657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808686 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  808686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  808689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  808705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808708 */     GIR_RootConstrainSelectedInstOperands,
     /*  808709 */     // GIR_Coverage, 61005,
     /*  808709 */     GIR_EraseRootFromParent_Done,
     /*  808710 */   // Label 12496: @808710
     /*  808710 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808785), // Rule ID 61008 //
     /*  808715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  808764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808783 */     GIR_RootConstrainSelectedInstOperands,
     /*  808784 */     // GIR_Coverage, 61008,
     /*  808784 */     GIR_EraseRootFromParent_Done,
     /*  808785 */   // Label 12497: @808785
     /*  808785 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808860), // Rule ID 61009 //
     /*  808790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  808801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  808804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  808807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  808825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  808839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808858 */     GIR_RootConstrainSelectedInstOperands,
     /*  808859 */     // GIR_Coverage, 61009,
     /*  808859 */     GIR_EraseRootFromParent_Done,
     /*  808860 */   // Label 12498: @808860
     /*  808860 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(808935), // Rule ID 61012 //
     /*  808865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  808868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  808885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  808914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808933 */     GIR_RootConstrainSelectedInstOperands,
     /*  808934 */     // GIR_Coverage, 61012,
     /*  808934 */     GIR_EraseRootFromParent_Done,
     /*  808935 */   // Label 12499: @808935
     /*  808935 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(809010), // Rule ID 61013 //
     /*  808940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  808943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  808948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  808951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  808954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  808957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  808979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  808989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809008 */     GIR_RootConstrainSelectedInstOperands,
     /*  809009 */     // GIR_Coverage, 61013,
     /*  809009 */     GIR_EraseRootFromParent_Done,
     /*  809010 */   // Label 12500: @809010
     /*  809010 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(809085), // Rule ID 61016 //
     /*  809015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  809064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809083 */     GIR_RootConstrainSelectedInstOperands,
     /*  809084 */     // GIR_Coverage, 61016,
     /*  809084 */     GIR_EraseRootFromParent_Done,
     /*  809085 */   // Label 12501: @809085
     /*  809085 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(809160), // Rule ID 61017 //
     /*  809090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809136 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  809139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809158 */     GIR_RootConstrainSelectedInstOperands,
     /*  809159 */     // GIR_Coverage, 61017,
     /*  809159 */     GIR_EraseRootFromParent_Done,
     /*  809160 */   // Label 12502: @809160
     /*  809160 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(809235), // Rule ID 61020 //
     /*  809165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  809214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809233 */     GIR_RootConstrainSelectedInstOperands,
     /*  809234 */     // GIR_Coverage, 61020,
     /*  809234 */     GIR_EraseRootFromParent_Done,
     /*  809235 */   // Label 12503: @809235
     /*  809235 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(809310), // Rule ID 61021 //
     /*  809240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  809289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809308 */     GIR_RootConstrainSelectedInstOperands,
     /*  809309 */     // GIR_Coverage, 61021,
     /*  809309 */     GIR_EraseRootFromParent_Done,
     /*  809310 */   // Label 12504: @809310
     /*  809310 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(809385), // Rule ID 61024 //
     /*  809315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809361 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  809364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809383 */     GIR_RootConstrainSelectedInstOperands,
     /*  809384 */     // GIR_Coverage, 61024,
     /*  809384 */     GIR_EraseRootFromParent_Done,
     /*  809385 */   // Label 12505: @809385
     /*  809385 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(809460), // Rule ID 61025 //
     /*  809390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  809439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809458 */     GIR_RootConstrainSelectedInstOperands,
     /*  809459 */     // GIR_Coverage, 61025,
     /*  809459 */     GIR_EraseRootFromParent_Done,
     /*  809460 */   // Label 12506: @809460
     /*  809460 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809535), // Rule ID 61028 //
     /*  809465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809511 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  809514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809533 */     GIR_RootConstrainSelectedInstOperands,
     /*  809534 */     // GIR_Coverage, 61028,
     /*  809534 */     GIR_EraseRootFromParent_Done,
     /*  809535 */   // Label 12507: @809535
     /*  809535 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809610), // Rule ID 61029 //
     /*  809540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  809589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809608 */     GIR_RootConstrainSelectedInstOperands,
     /*  809609 */     // GIR_Coverage, 61029,
     /*  809609 */     GIR_EraseRootFromParent_Done,
     /*  809610 */   // Label 12508: @809610
     /*  809610 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809685), // Rule ID 61032 //
     /*  809615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809661 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  809664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809683 */     GIR_RootConstrainSelectedInstOperands,
     /*  809684 */     // GIR_Coverage, 61032,
     /*  809684 */     GIR_EraseRootFromParent_Done,
     /*  809685 */   // Label 12509: @809685
     /*  809685 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809760), // Rule ID 61033 //
     /*  809690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  809701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  809704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  809707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  809739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809758 */     GIR_RootConstrainSelectedInstOperands,
     /*  809759 */     // GIR_Coverage, 61033,
     /*  809759 */     GIR_EraseRootFromParent_Done,
     /*  809760 */   // Label 12510: @809760
     /*  809760 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809835), // Rule ID 61036 //
     /*  809765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  809814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809833 */     GIR_RootConstrainSelectedInstOperands,
     /*  809834 */     // GIR_Coverage, 61036,
     /*  809834 */     GIR_EraseRootFromParent_Done,
     /*  809835 */   // Label 12511: @809835
     /*  809835 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(809910), // Rule ID 61037 //
     /*  809840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  809851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  809854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  809857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  809889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809908 */     GIR_RootConstrainSelectedInstOperands,
     /*  809909 */     // GIR_Coverage, 61037,
     /*  809909 */     GIR_EraseRootFromParent_Done,
     /*  809910 */   // Label 12512: @809910
     /*  809910 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(809985), // Rule ID 61040 //
     /*  809915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  809918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  809926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  809929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  809932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  809954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  809964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809983 */     GIR_RootConstrainSelectedInstOperands,
     /*  809984 */     // GIR_Coverage, 61040,
     /*  809984 */     GIR_EraseRootFromParent_Done,
     /*  809985 */   // Label 12513: @809985
     /*  809985 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(810060), // Rule ID 61041 //
     /*  809990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  809993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  809998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  810029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  810039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810058 */     GIR_RootConstrainSelectedInstOperands,
     /*  810059 */     // GIR_Coverage, 61041,
     /*  810059 */     GIR_EraseRootFromParent_Done,
     /*  810060 */   // Label 12514: @810060
     /*  810060 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(810135), // Rule ID 61128 //
     /*  810065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  810076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  810079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  810082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  810085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810111 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  810114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810133 */     GIR_RootConstrainSelectedInstOperands,
     /*  810134 */     // GIR_Coverage, 61128,
     /*  810134 */     GIR_EraseRootFromParent_Done,
     /*  810135 */   // Label 12515: @810135
     /*  810135 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(810210), // Rule ID 61129 //
     /*  810140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  810151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  810154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  810157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  810160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  810189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810208 */     GIR_RootConstrainSelectedInstOperands,
     /*  810209 */     // GIR_Coverage, 61129,
     /*  810209 */     GIR_EraseRootFromParent_Done,
     /*  810210 */   // Label 12516: @810210
     /*  810210 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(810285), // Rule ID 61132 //
     /*  810215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  810226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  810229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  810235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810261 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  810264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810283 */     GIR_RootConstrainSelectedInstOperands,
     /*  810284 */     // GIR_Coverage, 61132,
     /*  810284 */     GIR_EraseRootFromParent_Done,
     /*  810285 */   // Label 12517: @810285
     /*  810285 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(810360), // Rule ID 61133 //
     /*  810290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  810301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  810304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  810310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810336 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  810339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810358 */     GIR_RootConstrainSelectedInstOperands,
     /*  810359 */     // GIR_Coverage, 61133,
     /*  810359 */     GIR_EraseRootFromParent_Done,
     /*  810360 */   // Label 12518: @810360
     /*  810360 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(810435), // Rule ID 61136 //
     /*  810365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  810376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  810379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  810385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810411 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810433 */     GIR_RootConstrainSelectedInstOperands,
     /*  810434 */     // GIR_Coverage, 61136,
     /*  810434 */     GIR_EraseRootFromParent_Done,
     /*  810435 */   // Label 12519: @810435
     /*  810435 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(810510), // Rule ID 61137 //
     /*  810440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  810451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  810454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  810460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810486 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810508 */     GIR_RootConstrainSelectedInstOperands,
     /*  810509 */     // GIR_Coverage, 61137,
     /*  810509 */     GIR_EraseRootFromParent_Done,
     /*  810510 */   // Label 12520: @810510
     /*  810510 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810585), // Rule ID 61140 //
     /*  810515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  810526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  810529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  810535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810561 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  810564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810583 */     GIR_RootConstrainSelectedInstOperands,
     /*  810584 */     // GIR_Coverage, 61140,
     /*  810584 */     GIR_EraseRootFromParent_Done,
     /*  810585 */   // Label 12521: @810585
     /*  810585 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810660), // Rule ID 61141 //
     /*  810590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  810601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  810604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  810610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  810639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810658 */     GIR_RootConstrainSelectedInstOperands,
     /*  810659 */     // GIR_Coverage, 61141,
     /*  810659 */     GIR_EraseRootFromParent_Done,
     /*  810660 */   // Label 12522: @810660
     /*  810660 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810735), // Rule ID 61144 //
     /*  810665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  810676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  810679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  810685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810711 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810733 */     GIR_RootConstrainSelectedInstOperands,
     /*  810734 */     // GIR_Coverage, 61144,
     /*  810734 */     GIR_EraseRootFromParent_Done,
     /*  810735 */   // Label 12523: @810735
     /*  810735 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810810), // Rule ID 61145 //
     /*  810740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  810751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  810754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  810757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  810760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  810786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810808 */     GIR_RootConstrainSelectedInstOperands,
     /*  810809 */     // GIR_Coverage, 61145,
     /*  810809 */     GIR_EraseRootFromParent_Done,
     /*  810810 */   // Label 12524: @810810
     /*  810810 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(810885), // Rule ID 61148 //
     /*  810815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  810826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  810829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  810835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810861 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810883 */     GIR_RootConstrainSelectedInstOperands,
     /*  810884 */     // GIR_Coverage, 61148,
     /*  810884 */     GIR_EraseRootFromParent_Done,
     /*  810885 */   // Label 12525: @810885
     /*  810885 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(810960), // Rule ID 61149 //
     /*  810890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  810893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  810901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  810904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  810907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  810910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  810939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810958 */     GIR_RootConstrainSelectedInstOperands,
     /*  810959 */     // GIR_Coverage, 61149,
     /*  810959 */     GIR_EraseRootFromParent_Done,
     /*  810960 */   // Label 12526: @810960
     /*  810960 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(811035), // Rule ID 61152 //
     /*  810965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  810968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  810973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  810982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811033 */     GIR_RootConstrainSelectedInstOperands,
     /*  811034 */     // GIR_Coverage, 61152,
     /*  811034 */     GIR_EraseRootFromParent_Done,
     /*  811035 */   // Label 12527: @811035
     /*  811035 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(811110), // Rule ID 61153 //
     /*  811040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  811057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811108 */     GIR_RootConstrainSelectedInstOperands,
     /*  811109 */     // GIR_Coverage, 61153,
     /*  811109 */     GIR_EraseRootFromParent_Done,
     /*  811110 */   // Label 12528: @811110
     /*  811110 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(811185), // Rule ID 61156 //
     /*  811115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811183 */     GIR_RootConstrainSelectedInstOperands,
     /*  811184 */     // GIR_Coverage, 61156,
     /*  811184 */     GIR_EraseRootFromParent_Done,
     /*  811185 */   // Label 12529: @811185
     /*  811185 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(811260), // Rule ID 61157 //
     /*  811190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811236 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811258 */     GIR_RootConstrainSelectedInstOperands,
     /*  811259 */     // GIR_Coverage, 61157,
     /*  811259 */     GIR_EraseRootFromParent_Done,
     /*  811260 */   // Label 12530: @811260
     /*  811260 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(811335), // Rule ID 61160 //
     /*  811265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811311 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811333 */     GIR_RootConstrainSelectedInstOperands,
     /*  811334 */     // GIR_Coverage, 61160,
     /*  811334 */     GIR_EraseRootFromParent_Done,
     /*  811335 */   // Label 12531: @811335
     /*  811335 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(811410), // Rule ID 61161 //
     /*  811340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811408 */     GIR_RootConstrainSelectedInstOperands,
     /*  811409 */     // GIR_Coverage, 61161,
     /*  811409 */     GIR_EraseRootFromParent_Done,
     /*  811410 */   // Label 12532: @811410
     /*  811410 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(811485), // Rule ID 61164 //
     /*  811415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811461 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811483 */     GIR_RootConstrainSelectedInstOperands,
     /*  811484 */     // GIR_Coverage, 61164,
     /*  811484 */     GIR_EraseRootFromParent_Done,
     /*  811485 */   // Label 12533: @811485
     /*  811485 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811560), // Rule ID 61165 //
     /*  811490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811536 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  811539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811558 */     GIR_RootConstrainSelectedInstOperands,
     /*  811559 */     // GIR_Coverage, 61165,
     /*  811559 */     GIR_EraseRootFromParent_Done,
     /*  811560 */   // Label 12534: @811560
     /*  811560 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811635), // Rule ID 61168 //
     /*  811565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  811576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  811579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  811585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811611 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  811614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811633 */     GIR_RootConstrainSelectedInstOperands,
     /*  811634 */     // GIR_Coverage, 61168,
     /*  811634 */     GIR_EraseRootFromParent_Done,
     /*  811635 */   // Label 12535: @811635
     /*  811635 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811710), // Rule ID 61169 //
     /*  811640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  811651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  811654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  811660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811686 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  811689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811708 */     GIR_RootConstrainSelectedInstOperands,
     /*  811709 */     // GIR_Coverage, 61169,
     /*  811709 */     GIR_EraseRootFromParent_Done,
     /*  811710 */   // Label 12536: @811710
     /*  811710 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811785), // Rule ID 61172 //
     /*  811715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  811726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  811729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  811735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811761 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  811764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811783 */     GIR_RootConstrainSelectedInstOperands,
     /*  811784 */     // GIR_Coverage, 61172,
     /*  811784 */     GIR_EraseRootFromParent_Done,
     /*  811785 */   // Label 12537: @811785
     /*  811785 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811860), // Rule ID 61173 //
     /*  811790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  811801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  811804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  811807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  811810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  811829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811836 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  811839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811858 */     GIR_RootConstrainSelectedInstOperands,
     /*  811859 */     // GIR_Coverage, 61173,
     /*  811859 */     GIR_EraseRootFromParent_Done,
     /*  811860 */   // Label 12538: @811860
     /*  811860 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(811935), // Rule ID 61176 //
     /*  811865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  811868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  811876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  811879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  811885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811911 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  811914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811933 */     GIR_RootConstrainSelectedInstOperands,
     /*  811934 */     // GIR_Coverage, 61176,
     /*  811934 */     GIR_EraseRootFromParent_Done,
     /*  811935 */   // Label 12539: @811935
     /*  811935 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(812010), // Rule ID 61177 //
     /*  811940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  811943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  811948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  811951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  811954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  811957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  811960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  811979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  811989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  811993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812008 */     GIR_RootConstrainSelectedInstOperands,
     /*  812009 */     // GIR_Coverage, 61177,
     /*  812009 */     GIR_EraseRootFromParent_Done,
     /*  812010 */   // Label 12540: @812010
     /*  812010 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(812085), // Rule ID 61180 //
     /*  812015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  812026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  812029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  812035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812061 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  812064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812083 */     GIR_RootConstrainSelectedInstOperands,
     /*  812084 */     // GIR_Coverage, 61180,
     /*  812084 */     GIR_EraseRootFromParent_Done,
     /*  812085 */   // Label 12541: @812085
     /*  812085 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(812160), // Rule ID 61181 //
     /*  812090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  812101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  812104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  812110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  812139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812158 */     GIR_RootConstrainSelectedInstOperands,
     /*  812159 */     // GIR_Coverage, 61181,
     /*  812159 */     GIR_EraseRootFromParent_Done,
     /*  812160 */   // Label 12542: @812160
     /*  812160 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(812235), // Rule ID 61184 //
     /*  812165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  812176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  812179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  812185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  812214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812233 */     GIR_RootConstrainSelectedInstOperands,
     /*  812234 */     // GIR_Coverage, 61184,
     /*  812234 */     GIR_EraseRootFromParent_Done,
     /*  812235 */   // Label 12543: @812235
     /*  812235 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(812310), // Rule ID 61185 //
     /*  812240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  812251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  812254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  812260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  812289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812308 */     GIR_RootConstrainSelectedInstOperands,
     /*  812309 */     // GIR_Coverage, 61185,
     /*  812309 */     GIR_EraseRootFromParent_Done,
     /*  812310 */   // Label 12544: @812310
     /*  812310 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(812385), // Rule ID 61188 //
     /*  812315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  812326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  812329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  812335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  812364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812383 */     GIR_RootConstrainSelectedInstOperands,
     /*  812384 */     // GIR_Coverage, 61188,
     /*  812384 */     GIR_EraseRootFromParent_Done,
     /*  812385 */   // Label 12545: @812385
     /*  812385 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(812460), // Rule ID 61189 //
     /*  812390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  812401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  812404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  812410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  812439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812458 */     GIR_RootConstrainSelectedInstOperands,
     /*  812459 */     // GIR_Coverage, 61189,
     /*  812459 */     GIR_EraseRootFromParent_Done,
     /*  812460 */   // Label 12546: @812460
     /*  812460 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812535), // Rule ID 61192 //
     /*  812465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  812476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  812479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  812485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  812514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812533 */     GIR_RootConstrainSelectedInstOperands,
     /*  812534 */     // GIR_Coverage, 61192,
     /*  812534 */     GIR_EraseRootFromParent_Done,
     /*  812535 */   // Label 12547: @812535
     /*  812535 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812610), // Rule ID 61193 //
     /*  812540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  812551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  812554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  812560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  812589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812608 */     GIR_RootConstrainSelectedInstOperands,
     /*  812609 */     // GIR_Coverage, 61193,
     /*  812609 */     GIR_EraseRootFromParent_Done,
     /*  812610 */   // Label 12548: @812610
     /*  812610 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812685), // Rule ID 61196 //
     /*  812615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  812626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  812629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  812635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  812664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812683 */     GIR_RootConstrainSelectedInstOperands,
     /*  812684 */     // GIR_Coverage, 61196,
     /*  812684 */     GIR_EraseRootFromParent_Done,
     /*  812685 */   // Label 12549: @812685
     /*  812685 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812760), // Rule ID 61197 //
     /*  812690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  812701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  812704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  812710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  812739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812758 */     GIR_RootConstrainSelectedInstOperands,
     /*  812759 */     // GIR_Coverage, 61197,
     /*  812759 */     GIR_EraseRootFromParent_Done,
     /*  812760 */   // Label 12550: @812760
     /*  812760 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812835), // Rule ID 61200 //
     /*  812765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  812776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  812779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  812785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  812814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812833 */     GIR_RootConstrainSelectedInstOperands,
     /*  812834 */     // GIR_Coverage, 61200,
     /*  812834 */     GIR_EraseRootFromParent_Done,
     /*  812835 */   // Label 12551: @812835
     /*  812835 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(812910), // Rule ID 61201 //
     /*  812840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  812851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  812854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  812857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  812860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  812889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812908 */     GIR_RootConstrainSelectedInstOperands,
     /*  812909 */     // GIR_Coverage, 61201,
     /*  812909 */     GIR_EraseRootFromParent_Done,
     /*  812910 */   // Label 12552: @812910
     /*  812910 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(812985), // Rule ID 61204 //
     /*  812915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  812918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  812926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  812929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  812932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  812935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812961 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  812961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  812964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  812968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  812980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812983 */     GIR_RootConstrainSelectedInstOperands,
     /*  812984 */     // GIR_Coverage, 61204,
     /*  812984 */     GIR_EraseRootFromParent_Done,
     /*  812985 */   // Label 12553: @812985
     /*  812985 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(813060), // Rule ID 61205 //
     /*  812990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  812993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  812998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  813001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  813004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  813007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  813010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813036 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  813039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813058 */     GIR_RootConstrainSelectedInstOperands,
     /*  813059 */     // GIR_Coverage, 61205,
     /*  813059 */     GIR_EraseRootFromParent_Done,
     /*  813060 */   // Label 12554: @813060
     /*  813060 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(813135), // Rule ID 61208 //
     /*  813065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  813076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  813079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  813085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  813114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813133 */     GIR_RootConstrainSelectedInstOperands,
     /*  813134 */     // GIR_Coverage, 61208,
     /*  813134 */     GIR_EraseRootFromParent_Done,
     /*  813135 */   // Label 12555: @813135
     /*  813135 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(813210), // Rule ID 61209 //
     /*  813140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  813151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  813154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  813160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  813189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813208 */     GIR_RootConstrainSelectedInstOperands,
     /*  813209 */     // GIR_Coverage, 61209,
     /*  813209 */     GIR_EraseRootFromParent_Done,
     /*  813210 */   // Label 12556: @813210
     /*  813210 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(813285), // Rule ID 61212 //
     /*  813215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  813226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  813229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  813235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813261 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  813264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813283 */     GIR_RootConstrainSelectedInstOperands,
     /*  813284 */     // GIR_Coverage, 61212,
     /*  813284 */     GIR_EraseRootFromParent_Done,
     /*  813285 */   // Label 12557: @813285
     /*  813285 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(813360), // Rule ID 61213 //
     /*  813290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  813301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  813304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  813310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  813339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813358 */     GIR_RootConstrainSelectedInstOperands,
     /*  813359 */     // GIR_Coverage, 61213,
     /*  813359 */     GIR_EraseRootFromParent_Done,
     /*  813360 */   // Label 12558: @813360
     /*  813360 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(813435), // Rule ID 61216 //
     /*  813365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  813376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  813379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  813385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813411 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  813414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813433 */     GIR_RootConstrainSelectedInstOperands,
     /*  813434 */     // GIR_Coverage, 61216,
     /*  813434 */     GIR_EraseRootFromParent_Done,
     /*  813435 */   // Label 12559: @813435
     /*  813435 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(813510), // Rule ID 61217 //
     /*  813440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  813451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  813454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  813460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813486 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  813489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813508 */     GIR_RootConstrainSelectedInstOperands,
     /*  813509 */     // GIR_Coverage, 61217,
     /*  813509 */     GIR_EraseRootFromParent_Done,
     /*  813510 */   // Label 12560: @813510
     /*  813510 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813585), // Rule ID 61220 //
     /*  813515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  813526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  813529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  813535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  813564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813583 */     GIR_RootConstrainSelectedInstOperands,
     /*  813584 */     // GIR_Coverage, 61220,
     /*  813584 */     GIR_EraseRootFromParent_Done,
     /*  813585 */   // Label 12561: @813585
     /*  813585 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813660), // Rule ID 61221 //
     /*  813590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  813601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  813604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  813610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  813639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813658 */     GIR_RootConstrainSelectedInstOperands,
     /*  813659 */     // GIR_Coverage, 61221,
     /*  813659 */     GIR_EraseRootFromParent_Done,
     /*  813660 */   // Label 12562: @813660
     /*  813660 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813735), // Rule ID 61224 //
     /*  813665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  813676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  813679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  813685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  813714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813733 */     GIR_RootConstrainSelectedInstOperands,
     /*  813734 */     // GIR_Coverage, 61224,
     /*  813734 */     GIR_EraseRootFromParent_Done,
     /*  813735 */   // Label 12563: @813735
     /*  813735 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813810), // Rule ID 61225 //
     /*  813740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  813751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  813754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  813757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  813760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  813789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813808 */     GIR_RootConstrainSelectedInstOperands,
     /*  813809 */     // GIR_Coverage, 61225,
     /*  813809 */     GIR_EraseRootFromParent_Done,
     /*  813810 */   // Label 12564: @813810
     /*  813810 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(813885), // Rule ID 61228 //
     /*  813815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  813826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  813829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  813835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  813861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  813864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813883 */     GIR_RootConstrainSelectedInstOperands,
     /*  813884 */     // GIR_Coverage, 61228,
     /*  813884 */     GIR_EraseRootFromParent_Done,
     /*  813885 */   // Label 12565: @813885
     /*  813885 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(813960), // Rule ID 61229 //
     /*  813890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  813893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  813901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  813904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  813907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  813910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  813929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  813936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  813939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  813943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  813955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813958 */     GIR_RootConstrainSelectedInstOperands,
     /*  813959 */     // GIR_Coverage, 61229,
     /*  813959 */     GIR_EraseRootFromParent_Done,
     /*  813960 */   // Label 12566: @813960
     /*  813960 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(814035), // Rule ID 61232 //
     /*  813965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  813968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  813973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  813976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  813979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  813982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  813985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  814014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814033 */     GIR_RootConstrainSelectedInstOperands,
     /*  814034 */     // GIR_Coverage, 61232,
     /*  814034 */     GIR_EraseRootFromParent_Done,
     /*  814035 */   // Label 12567: @814035
     /*  814035 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(814110), // Rule ID 61233 //
     /*  814040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  814051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  814054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  814057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  814089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814108 */     GIR_RootConstrainSelectedInstOperands,
     /*  814109 */     // GIR_Coverage, 61233,
     /*  814109 */     GIR_EraseRootFromParent_Done,
     /*  814110 */   // Label 12568: @814110
     /*  814110 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(814185), // Rule ID 61236 //
     /*  814115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  814126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  814129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814161 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  814164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814183 */     GIR_RootConstrainSelectedInstOperands,
     /*  814184 */     // GIR_Coverage, 61236,
     /*  814184 */     GIR_EraseRootFromParent_Done,
     /*  814185 */   // Label 12569: @814185
     /*  814185 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(814260), // Rule ID 61237 //
     /*  814190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  814201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  814204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814236 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  814239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814258 */     GIR_RootConstrainSelectedInstOperands,
     /*  814259 */     // GIR_Coverage, 61237,
     /*  814259 */     GIR_EraseRootFromParent_Done,
     /*  814260 */   // Label 12570: @814260
     /*  814260 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(814335), // Rule ID 61240 //
     /*  814265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814333 */     GIR_RootConstrainSelectedInstOperands,
     /*  814334 */     // GIR_Coverage, 61240,
     /*  814334 */     GIR_EraseRootFromParent_Done,
     /*  814335 */   // Label 12571: @814335
     /*  814335 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(814410), // Rule ID 61241 //
     /*  814340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814386 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814408 */     GIR_RootConstrainSelectedInstOperands,
     /*  814409 */     // GIR_Coverage, 61241,
     /*  814409 */     GIR_EraseRootFromParent_Done,
     /*  814410 */   // Label 12572: @814410
     /*  814410 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(814485), // Rule ID 61244 //
     /*  814415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814461 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814483 */     GIR_RootConstrainSelectedInstOperands,
     /*  814484 */     // GIR_Coverage, 61244,
     /*  814484 */     GIR_EraseRootFromParent_Done,
     /*  814485 */   // Label 12573: @814485
     /*  814485 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814560), // Rule ID 61245 //
     /*  814490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814558 */     GIR_RootConstrainSelectedInstOperands,
     /*  814559 */     // GIR_Coverage, 61245,
     /*  814559 */     GIR_EraseRootFromParent_Done,
     /*  814560 */   // Label 12574: @814560
     /*  814560 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814635), // Rule ID 61248 //
     /*  814565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814633 */     GIR_RootConstrainSelectedInstOperands,
     /*  814634 */     // GIR_Coverage, 61248,
     /*  814634 */     GIR_EraseRootFromParent_Done,
     /*  814635 */   // Label 12575: @814635
     /*  814635 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814710), // Rule ID 61249 //
     /*  814640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814708 */     GIR_RootConstrainSelectedInstOperands,
     /*  814709 */     // GIR_Coverage, 61249,
     /*  814709 */     GIR_EraseRootFromParent_Done,
     /*  814710 */   // Label 12576: @814710
     /*  814710 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814785), // Rule ID 61252 //
     /*  814715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814761 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  814761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814783 */     GIR_RootConstrainSelectedInstOperands,
     /*  814784 */     // GIR_Coverage, 61252,
     /*  814784 */     GIR_EraseRootFromParent_Done,
     /*  814785 */   // Label 12577: @814785
     /*  814785 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814860), // Rule ID 61253 //
     /*  814790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  814801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  814804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  814807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  814836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  814839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  814855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814858 */     GIR_RootConstrainSelectedInstOperands,
     /*  814859 */     // GIR_Coverage, 61253,
     /*  814859 */     GIR_EraseRootFromParent_Done,
     /*  814860 */   // Label 12578: @814860
     /*  814860 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(814935), // Rule ID 61256 //
     /*  814865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  814868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  814876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  814879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  814885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  814914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814933 */     GIR_RootConstrainSelectedInstOperands,
     /*  814934 */     // GIR_Coverage, 61256,
     /*  814934 */     GIR_EraseRootFromParent_Done,
     /*  814935 */   // Label 12579: @814935
     /*  814935 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(815010), // Rule ID 61257 //
     /*  814940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  814943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  814948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  814951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  814954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  814957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  814960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  814975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  814979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  814989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  814993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815008 */     GIR_RootConstrainSelectedInstOperands,
     /*  815009 */     // GIR_Coverage, 61257,
     /*  815009 */     GIR_EraseRootFromParent_Done,
     /*  815010 */   // Label 12580: @815010
     /*  815010 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(815085), // Rule ID 61260 //
     /*  815015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  815026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  815029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815061 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  815064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815083 */     GIR_RootConstrainSelectedInstOperands,
     /*  815084 */     // GIR_Coverage, 61260,
     /*  815084 */     GIR_EraseRootFromParent_Done,
     /*  815085 */   // Label 12581: @815085
     /*  815085 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(815160), // Rule ID 61261 //
     /*  815090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  815101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  815104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  815139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815158 */     GIR_RootConstrainSelectedInstOperands,
     /*  815159 */     // GIR_Coverage, 61261,
     /*  815159 */     GIR_EraseRootFromParent_Done,
     /*  815160 */   // Label 12582: @815160
     /*  815160 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(815235), // Rule ID 61264 //
     /*  815165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  815176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  815179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  815214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815233 */     GIR_RootConstrainSelectedInstOperands,
     /*  815234 */     // GIR_Coverage, 61264,
     /*  815234 */     GIR_EraseRootFromParent_Done,
     /*  815235 */   // Label 12583: @815235
     /*  815235 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(815310), // Rule ID 61265 //
     /*  815240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  815251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  815254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815286 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  815289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815308 */     GIR_RootConstrainSelectedInstOperands,
     /*  815309 */     // GIR_Coverage, 61265,
     /*  815309 */     GIR_EraseRootFromParent_Done,
     /*  815310 */   // Label 12584: @815310
     /*  815310 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(815385), // Rule ID 61268 //
     /*  815315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  815326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  815329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  815364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815383 */     GIR_RootConstrainSelectedInstOperands,
     /*  815384 */     // GIR_Coverage, 61268,
     /*  815384 */     GIR_EraseRootFromParent_Done,
     /*  815385 */   // Label 12585: @815385
     /*  815385 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(815460), // Rule ID 61269 //
     /*  815390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  815401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  815404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  815439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815458 */     GIR_RootConstrainSelectedInstOperands,
     /*  815459 */     // GIR_Coverage, 61269,
     /*  815459 */     GIR_EraseRootFromParent_Done,
     /*  815460 */   // Label 12586: @815460
     /*  815460 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815535), // Rule ID 61272 //
     /*  815465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  815476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  815479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815511 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  815514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815533 */     GIR_RootConstrainSelectedInstOperands,
     /*  815534 */     // GIR_Coverage, 61272,
     /*  815534 */     GIR_EraseRootFromParent_Done,
     /*  815535 */   // Label 12587: @815535
     /*  815535 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815610), // Rule ID 61273 //
     /*  815540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  815551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  815554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815586 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  815589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815608 */     GIR_RootConstrainSelectedInstOperands,
     /*  815609 */     // GIR_Coverage, 61273,
     /*  815609 */     GIR_EraseRootFromParent_Done,
     /*  815610 */   // Label 12588: @815610
     /*  815610 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815685), // Rule ID 61276 //
     /*  815615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  815626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  815629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815661 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  815664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815683 */     GIR_RootConstrainSelectedInstOperands,
     /*  815684 */     // GIR_Coverage, 61276,
     /*  815684 */     GIR_EraseRootFromParent_Done,
     /*  815685 */   // Label 12589: @815685
     /*  815685 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815760), // Rule ID 61277 //
     /*  815690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  815701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  815704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  815739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815758 */     GIR_RootConstrainSelectedInstOperands,
     /*  815759 */     // GIR_Coverage, 61277,
     /*  815759 */     GIR_EraseRootFromParent_Done,
     /*  815760 */   // Label 12590: @815760
     /*  815760 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815835), // Rule ID 61280 //
     /*  815765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  815776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  815779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  815814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815833 */     GIR_RootConstrainSelectedInstOperands,
     /*  815834 */     // GIR_Coverage, 61280,
     /*  815834 */     GIR_EraseRootFromParent_Done,
     /*  815835 */   // Label 12591: @815835
     /*  815835 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(815910), // Rule ID 61281 //
     /*  815840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  815851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  815854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  815857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  815860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  815889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815908 */     GIR_RootConstrainSelectedInstOperands,
     /*  815909 */     // GIR_Coverage, 61281,
     /*  815909 */     GIR_EraseRootFromParent_Done,
     /*  815910 */   // Label 12592: @815910
     /*  815910 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(815985), // Rule ID 61284 //
     /*  815915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  815918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  815926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  815929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  815932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  815935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  815954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  815961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  815964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  815968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815983 */     GIR_RootConstrainSelectedInstOperands,
     /*  815984 */     // GIR_Coverage, 61284,
     /*  815984 */     GIR_EraseRootFromParent_Done,
     /*  815985 */   // Label 12593: @815985
     /*  815985 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(816060), // Rule ID 61285 //
     /*  815990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  815993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  815998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  816001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  816004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  816010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816036 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  816039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816058 */     GIR_RootConstrainSelectedInstOperands,
     /*  816059 */     // GIR_Coverage, 61285,
     /*  816059 */     GIR_EraseRootFromParent_Done,
     /*  816060 */   // Label 12594: @816060
     /*  816060 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(816135), // Rule ID 61288 //
     /*  816065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  816068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  816076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  816079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  816085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816111 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  816114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816133 */     GIR_RootConstrainSelectedInstOperands,
     /*  816134 */     // GIR_Coverage, 61288,
     /*  816134 */     GIR_EraseRootFromParent_Done,
     /*  816135 */   // Label 12595: @816135
     /*  816135 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(816210), // Rule ID 61289 //
     /*  816140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  816143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  816151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  816154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  816160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816186 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  816189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816208 */     GIR_RootConstrainSelectedInstOperands,
     /*  816209 */     // GIR_Coverage, 61289,
     /*  816209 */     GIR_EraseRootFromParent_Done,
     /*  816210 */   // Label 12596: @816210
     /*  816210 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(816285), // Rule ID 61292 //
     /*  816215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  816218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  816226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  816229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  816235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816261 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  816264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816283 */     GIR_RootConstrainSelectedInstOperands,
     /*  816284 */     // GIR_Coverage, 61292,
     /*  816284 */     GIR_EraseRootFromParent_Done,
     /*  816285 */   // Label 12597: @816285
     /*  816285 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(816360), // Rule ID 61293 //
     /*  816290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  816293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  816301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  816304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  816310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816336 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  816339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816358 */     GIR_RootConstrainSelectedInstOperands,
     /*  816359 */     // GIR_Coverage, 61293,
     /*  816359 */     GIR_EraseRootFromParent_Done,
     /*  816360 */   // Label 12598: @816360
     /*  816360 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(816435), // Rule ID 61296 //
     /*  816365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  816368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  816376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  816379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  816385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  816414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816433 */     GIR_RootConstrainSelectedInstOperands,
     /*  816434 */     // GIR_Coverage, 61296,
     /*  816434 */     GIR_EraseRootFromParent_Done,
     /*  816435 */   // Label 12599: @816435
     /*  816435 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(816510), // Rule ID 61297 //
     /*  816440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  816443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  816451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  816454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  816460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  816489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816508 */     GIR_RootConstrainSelectedInstOperands,
     /*  816509 */     // GIR_Coverage, 61297,
     /*  816509 */     GIR_EraseRootFromParent_Done,
     /*  816510 */   // Label 12600: @816510
     /*  816510 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816585), // Rule ID 61300 //
     /*  816515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  816518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  816526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  816529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  816535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816561 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  816564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816583 */     GIR_RootConstrainSelectedInstOperands,
     /*  816584 */     // GIR_Coverage, 61300,
     /*  816584 */     GIR_EraseRootFromParent_Done,
     /*  816585 */   // Label 12601: @816585
     /*  816585 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816660), // Rule ID 61301 //
     /*  816590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  816593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  816598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  816601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  816604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  816610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  816629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  816639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816658 */     GIR_RootConstrainSelectedInstOperands,
     /*  816659 */     // GIR_Coverage, 61301,
     /*  816659 */     GIR_EraseRootFromParent_Done,
     /*  816660 */   // Label 12602: @816660
     /*  816660 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816735), // Rule ID 61744 //
     /*  816665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  816668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  816673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  816714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816733 */     GIR_RootConstrainSelectedInstOperands,
     /*  816734 */     // GIR_Coverage, 61744,
     /*  816734 */     GIR_EraseRootFromParent_Done,
     /*  816735 */   // Label 12603: @816735
     /*  816735 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816810), // Rule ID 61745 //
     /*  816740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  816743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  816748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  816757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  816789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816808 */     GIR_RootConstrainSelectedInstOperands,
     /*  816809 */     // GIR_Coverage, 61745,
     /*  816809 */     GIR_EraseRootFromParent_Done,
     /*  816810 */   // Label 12604: @816810
     /*  816810 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(816885), // Rule ID 61746 //
     /*  816815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  816818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  816823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  816826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  816829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  816835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816861 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  816864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816883 */     GIR_RootConstrainSelectedInstOperands,
     /*  816884 */     // GIR_Coverage, 61746,
     /*  816884 */     GIR_EraseRootFromParent_Done,
     /*  816885 */   // Label 12605: @816885
     /*  816885 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(816960), // Rule ID 61747 //
     /*  816890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  816893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  816898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  816901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  816904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  816910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  816939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  816943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816958 */     GIR_RootConstrainSelectedInstOperands,
     /*  816959 */     // GIR_Coverage, 61747,
     /*  816959 */     GIR_EraseRootFromParent_Done,
     /*  816960 */   // Label 12606: @816960
     /*  816960 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(817035), // Rule ID 61748 //
     /*  816965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  816968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  816973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  816976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  816979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  816985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  817014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  817018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817033 */     GIR_RootConstrainSelectedInstOperands,
     /*  817034 */     // GIR_Coverage, 61748,
     /*  817034 */     GIR_EraseRootFromParent_Done,
     /*  817035 */   // Label 12607: @817035
     /*  817035 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(817110), // Rule ID 61749 //
     /*  817040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  817043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  817048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  817051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  817054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  817057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  817060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  817079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817086 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  817089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  817093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817108 */     GIR_RootConstrainSelectedInstOperands,
     /*  817109 */     // GIR_Coverage, 61749,
     /*  817109 */     GIR_EraseRootFromParent_Done,
     /*  817110 */   // Label 12608: @817110
     /*  817110 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(817185), // Rule ID 61750 //
     /*  817115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  817118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  817123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  817126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  817129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  817135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  817164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  817168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817183 */     GIR_RootConstrainSelectedInstOperands,
     /*  817184 */     // GIR_Coverage, 61750,
     /*  817184 */     GIR_EraseRootFromParent_Done,
     /*  817185 */   // Label 12609: @817185
     /*  817185 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(817260), // Rule ID 61751 //
     /*  817190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  817193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  817198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  817201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  817204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  817207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  817210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  817229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  817239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  817243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817258 */     GIR_RootConstrainSelectedInstOperands,
     /*  817259 */     // GIR_Coverage, 61751,
     /*  817259 */     GIR_EraseRootFromParent_Done,
     /*  817260 */   // Label 12610: @817260
     /*  817260 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(817324), // Rule ID 63859 //
     /*  817265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  817273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817301 */     // MIs[0] imm5
     /*  817301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817304 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817309 */     // (intrinsic_wo_chain:{ *:[i32] } 10642:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  817312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817320 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817322 */     GIR_RootConstrainSelectedInstOperands,
     /*  817323 */     // GIR_Coverage, 63859,
     /*  817323 */     GIR_EraseRootFromParent_Done,
     /*  817324 */   // Label 12611: @817324
     /*  817324 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(817388), // Rule ID 63860 //
     /*  817329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  817337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817365 */     // MIs[0] imm5
     /*  817365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817368 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817373 */     // (intrinsic_wo_chain:{ *:[i32] } 10638:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  817376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817384 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817386 */     GIR_RootConstrainSelectedInstOperands,
     /*  817387 */     // GIR_Coverage, 63860,
     /*  817387 */     GIR_EraseRootFromParent_Done,
     /*  817388 */   // Label 12612: @817388
     /*  817388 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(817452), // Rule ID 63861 //
     /*  817393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  817401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817429 */     // MIs[0] imm5
     /*  817429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817437 */     // (intrinsic_wo_chain:{ *:[i32] } 10640:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  817440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817448 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817450 */     GIR_RootConstrainSelectedInstOperands,
     /*  817451 */     // GIR_Coverage, 63861,
     /*  817451 */     GIR_EraseRootFromParent_Done,
     /*  817452 */   // Label 12613: @817452
     /*  817452 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817516), // Rule ID 63862 //
     /*  817457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  817465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817493 */     // MIs[0] imm5
     /*  817493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817501 */     // (intrinsic_wo_chain:{ *:[i32] } 10636:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  817504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817512 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817514 */     GIR_RootConstrainSelectedInstOperands,
     /*  817515 */     // GIR_Coverage, 63862,
     /*  817515 */     GIR_EraseRootFromParent_Done,
     /*  817516 */   // Label 12614: @817516
     /*  817516 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817580), // Rule ID 63863 //
     /*  817521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  817529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817557 */     // MIs[0] imm5
     /*  817557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817565 */     // (intrinsic_wo_chain:{ *:[i32] } 10643:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  817568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817576 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817578 */     GIR_RootConstrainSelectedInstOperands,
     /*  817579 */     // GIR_Coverage, 63863,
     /*  817579 */     GIR_EraseRootFromParent_Done,
     /*  817580 */   // Label 12615: @817580
     /*  817580 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817644), // Rule ID 63864 //
     /*  817585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  817593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817621 */     // MIs[0] imm5
     /*  817621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817629 */     // (intrinsic_wo_chain:{ *:[i32] } 10639:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  817632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817640 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817642 */     GIR_RootConstrainSelectedInstOperands,
     /*  817643 */     // GIR_Coverage, 63864,
     /*  817643 */     GIR_EraseRootFromParent_Done,
     /*  817644 */   // Label 12616: @817644
     /*  817644 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817708), // Rule ID 63865 //
     /*  817649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  817657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817685 */     // MIs[0] imm5
     /*  817685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817693 */     // (intrinsic_wo_chain:{ *:[i32] } 10641:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  817696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817704 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817706 */     GIR_RootConstrainSelectedInstOperands,
     /*  817707 */     // GIR_Coverage, 63865,
     /*  817707 */     GIR_EraseRootFromParent_Done,
     /*  817708 */   // Label 12617: @817708
     /*  817708 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817772), // Rule ID 63866 //
     /*  817713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  817716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  817721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  817724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  817727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  817730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  817733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  817749 */     // MIs[0] imm5
     /*  817749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  817757 */     // (intrinsic_wo_chain:{ *:[i32] } 10637:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  817757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  817760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  817762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  817764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  817766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  817768 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  817770 */     GIR_RootConstrainSelectedInstOperands,
     /*  817771 */     // GIR_Coverage, 63866,
     /*  817771 */     GIR_EraseRootFromParent_Done,
     /*  817772 */   // Label 12618: @817772
     /*  817772 */   GIM_Reject,
     /*  817773 */ // Label 5772: @817773
     /*  817773 */ GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(1357790),
     /*  817778 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  817781 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(817864), // Rule ID 62195 //
     /*  817786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  817794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  817797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  817803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817810 */     // MIs[0] op1
     /*  817810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817826 */     // MIs[0] op4
     /*  817826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817829 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817841 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  817841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  817844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817852 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817862 */     GIR_RootConstrainSelectedInstOperands,
     /*  817863 */     // GIR_Coverage, 62195,
     /*  817863 */     GIR_EraseRootFromParent_Done,
     /*  817864 */   // Label 12620: @817864
     /*  817864 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(817947), // Rule ID 62196 //
     /*  817869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  817872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  817877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  817880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  817886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  817889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817893 */     // MIs[0] op1
     /*  817893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817909 */     // MIs[0] op4
     /*  817909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  817917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817924 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  817924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  817927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817929 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  817931 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  817933 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  817935 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  817937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817945 */     GIR_RootConstrainSelectedInstOperands,
     /*  817946 */     // GIR_Coverage, 62196,
     /*  817946 */     GIR_EraseRootFromParent_Done,
     /*  817947 */   // Label 12621: @817947
     /*  817947 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(818030), // Rule ID 62239 //
     /*  817952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  817955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  817960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  817963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  817966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  817969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  817972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817976 */     // MIs[0] op1
     /*  817976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  817979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  817984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817992 */     // MIs[0] op4
     /*  817992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  817995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818007 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  818007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  818010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818012 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818014 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818016 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818018 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818028 */     GIR_RootConstrainSelectedInstOperands,
     /*  818029 */     // GIR_Coverage, 62239,
     /*  818029 */     GIR_EraseRootFromParent_Done,
     /*  818030 */   // Label 12622: @818030
     /*  818030 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(818113), // Rule ID 62240 //
     /*  818035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  818046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  818049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  818052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818059 */     // MIs[0] op1
     /*  818059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818075 */     // MIs[0] op4
     /*  818075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818090 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  818090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  818093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818095 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818097 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818099 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818101 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818111 */     GIR_RootConstrainSelectedInstOperands,
     /*  818112 */     // GIR_Coverage, 62240,
     /*  818112 */     GIR_EraseRootFromParent_Done,
     /*  818113 */   // Label 12623: @818113
     /*  818113 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(818196), // Rule ID 62283 //
     /*  818118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  818129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  818135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818142 */     // MIs[0] op1
     /*  818142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818158 */     // MIs[0] op4
     /*  818158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818173 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  818173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818184 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818194 */     GIR_RootConstrainSelectedInstOperands,
     /*  818195 */     // GIR_Coverage, 62283,
     /*  818195 */     GIR_EraseRootFromParent_Done,
     /*  818196 */   // Label 12624: @818196
     /*  818196 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(818279), // Rule ID 62284 //
     /*  818201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  818212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  818215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  818218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818225 */     // MIs[0] op1
     /*  818225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818241 */     // MIs[0] op4
     /*  818241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818244 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818256 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  818256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818267 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818277 */     GIR_RootConstrainSelectedInstOperands,
     /*  818278 */     // GIR_Coverage, 62284,
     /*  818278 */     GIR_EraseRootFromParent_Done,
     /*  818279 */   // Label 12625: @818279
     /*  818279 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(818362), // Rule ID 62327 //
     /*  818284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  818295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  818301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818308 */     // MIs[0] op1
     /*  818308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818324 */     // MIs[0] op4
     /*  818324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  818339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  818342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818344 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818346 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818348 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818350 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818360 */     GIR_RootConstrainSelectedInstOperands,
     /*  818361 */     // GIR_Coverage, 62327,
     /*  818361 */     GIR_EraseRootFromParent_Done,
     /*  818362 */   // Label 12626: @818362
     /*  818362 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818445), // Rule ID 62328 //
     /*  818367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  818378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  818381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  818384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818391 */     // MIs[0] op1
     /*  818391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818407 */     // MIs[0] op4
     /*  818407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  818422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  818425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818433 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818443 */     GIR_RootConstrainSelectedInstOperands,
     /*  818444 */     // GIR_Coverage, 62328,
     /*  818444 */     GIR_EraseRootFromParent_Done,
     /*  818445 */   // Label 12627: @818445
     /*  818445 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818528), // Rule ID 62383 //
     /*  818450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  818461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  818464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  818467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818474 */     // MIs[0] op1
     /*  818474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818490 */     // MIs[0] op4
     /*  818490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  818505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818510 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818512 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818514 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818516 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818526 */     GIR_RootConstrainSelectedInstOperands,
     /*  818527 */     // GIR_Coverage, 62383,
     /*  818527 */     GIR_EraseRootFromParent_Done,
     /*  818528 */   // Label 12628: @818528
     /*  818528 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818611), // Rule ID 62384 //
     /*  818533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  818544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  818547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  818550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818557 */     // MIs[0] op1
     /*  818557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818573 */     // MIs[0] op4
     /*  818573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  818588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818599 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818609 */     GIR_RootConstrainSelectedInstOperands,
     /*  818610 */     // GIR_Coverage, 62384,
     /*  818610 */     GIR_EraseRootFromParent_Done,
     /*  818611 */   // Label 12629: @818611
     /*  818611 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818694), // Rule ID 62439 //
     /*  818616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  818627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  818633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818640 */     // MIs[0] op1
     /*  818640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818656 */     // MIs[0] op4
     /*  818656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  818671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818676 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818678 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818680 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818682 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818692 */     GIR_RootConstrainSelectedInstOperands,
     /*  818693 */     // GIR_Coverage, 62439,
     /*  818693 */     GIR_EraseRootFromParent_Done,
     /*  818694 */   // Label 12630: @818694
     /*  818694 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818777), // Rule ID 62440 //
     /*  818699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  818710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  818713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  818716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818723 */     // MIs[0] op1
     /*  818723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818739 */     // MIs[0] op4
     /*  818739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818754 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  818754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  818757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818759 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818761 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818763 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818765 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818775 */     GIR_RootConstrainSelectedInstOperands,
     /*  818776 */     // GIR_Coverage, 62440,
     /*  818776 */     GIR_EraseRootFromParent_Done,
     /*  818777 */   // Label 12631: @818777
     /*  818777 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(818860), // Rule ID 62495 //
     /*  818782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  818796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818806 */     // MIs[0] op1
     /*  818806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818822 */     // MIs[0] op4
     /*  818822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  818837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  818840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818842 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818844 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818846 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818848 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818858 */     GIR_RootConstrainSelectedInstOperands,
     /*  818859 */     // GIR_Coverage, 62495,
     /*  818859 */     GIR_EraseRootFromParent_Done,
     /*  818860 */   // Label 12632: @818860
     /*  818860 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(818943), // Rule ID 62496 //
     /*  818865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  818868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  818879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  818885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818889 */     // MIs[0] op1
     /*  818889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818905 */     // MIs[0] op4
     /*  818905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818920 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  818920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  818923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818925 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  818927 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  818929 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  818931 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  818933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818941 */     GIR_RootConstrainSelectedInstOperands,
     /*  818942 */     // GIR_Coverage, 62496,
     /*  818942 */     GIR_EraseRootFromParent_Done,
     /*  818943 */   // Label 12633: @818943
     /*  818943 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(819026), // Rule ID 62539 //
     /*  818948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  818951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  818956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  818962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  818968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818972 */     // MIs[0] op1
     /*  818972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  818975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  818980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818988 */     // MIs[0] op4
     /*  818988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  818991 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  818996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  819003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819008 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819010 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819012 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819014 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819024 */     GIR_RootConstrainSelectedInstOperands,
     /*  819025 */     // GIR_Coverage, 62539,
     /*  819025 */     GIR_EraseRootFromParent_Done,
     /*  819026 */   // Label 12634: @819026
     /*  819026 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(819109), // Rule ID 62540 //
     /*  819031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  819045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819055 */     // MIs[0] op1
     /*  819055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819071 */     // MIs[0] op4
     /*  819071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819074 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  819086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819091 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819093 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819095 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819097 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819107 */     GIR_RootConstrainSelectedInstOperands,
     /*  819108 */     // GIR_Coverage, 62540,
     /*  819108 */     GIR_EraseRootFromParent_Done,
     /*  819109 */   // Label 12635: @819109
     /*  819109 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(819192), // Rule ID 62595 //
     /*  819114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819138 */     // MIs[0] op1
     /*  819138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819154 */     // MIs[0] op4
     /*  819154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819157 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819169 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  819169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819180 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819190 */     GIR_RootConstrainSelectedInstOperands,
     /*  819191 */     // GIR_Coverage, 62595,
     /*  819191 */     GIR_EraseRootFromParent_Done,
     /*  819192 */   // Label 12636: @819192
     /*  819192 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(819275), // Rule ID 62596 //
     /*  819197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  819211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819221 */     // MIs[0] op1
     /*  819221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819237 */     // MIs[0] op4
     /*  819237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819240 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819252 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  819252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819257 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819259 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819261 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819263 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819273 */     GIR_RootConstrainSelectedInstOperands,
     /*  819274 */     // GIR_Coverage, 62596,
     /*  819274 */     GIR_EraseRootFromParent_Done,
     /*  819275 */   // Label 12637: @819275
     /*  819275 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(819358), // Rule ID 62651 //
     /*  819280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819304 */     // MIs[0] op1
     /*  819304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819320 */     // MIs[0] op4
     /*  819320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819323 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819335 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  819335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819340 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819342 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819344 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819346 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819356 */     GIR_RootConstrainSelectedInstOperands,
     /*  819357 */     // GIR_Coverage, 62651,
     /*  819357 */     GIR_EraseRootFromParent_Done,
     /*  819358 */   // Label 12638: @819358
     /*  819358 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(819441), // Rule ID 62652 //
     /*  819363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  819377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819387 */     // MIs[0] op1
     /*  819387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819403 */     // MIs[0] op4
     /*  819403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  819418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  819421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819423 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819425 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819427 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819429 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819439 */     GIR_RootConstrainSelectedInstOperands,
     /*  819440 */     // GIR_Coverage, 62652,
     /*  819440 */     GIR_EraseRootFromParent_Done,
     /*  819441 */   // Label 12639: @819441
     /*  819441 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(819524), // Rule ID 62707 //
     /*  819446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  819457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  819460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  819463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819470 */     // MIs[0] op1
     /*  819470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819486 */     // MIs[0] op4
     /*  819486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  819501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  819504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819512 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819522 */     GIR_RootConstrainSelectedInstOperands,
     /*  819523 */     // GIR_Coverage, 62707,
     /*  819523 */     GIR_EraseRootFromParent_Done,
     /*  819524 */   // Label 12640: @819524
     /*  819524 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819607), // Rule ID 62708 //
     /*  819529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  819540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  819543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  819546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819553 */     // MIs[0] op1
     /*  819553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819569 */     // MIs[0] op4
     /*  819569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  819584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  819587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819595 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819605 */     GIR_RootConstrainSelectedInstOperands,
     /*  819606 */     // GIR_Coverage, 62708,
     /*  819606 */     GIR_EraseRootFromParent_Done,
     /*  819607 */   // Label 12641: @819607
     /*  819607 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819690), // Rule ID 62751 //
     /*  819612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  819623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  819626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  819629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819636 */     // MIs[0] op1
     /*  819636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819652 */     // MIs[0] op4
     /*  819652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  819667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  819670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819672 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819674 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819676 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819678 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819688 */     GIR_RootConstrainSelectedInstOperands,
     /*  819689 */     // GIR_Coverage, 62751,
     /*  819689 */     GIR_EraseRootFromParent_Done,
     /*  819690 */   // Label 12642: @819690
     /*  819690 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819773), // Rule ID 62752 //
     /*  819695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  819706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  819709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  819712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819719 */     // MIs[0] op1
     /*  819719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819735 */     // MIs[0] op4
     /*  819735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819738 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  819750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  819753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819761 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819771 */     GIR_RootConstrainSelectedInstOperands,
     /*  819772 */     // GIR_Coverage, 62752,
     /*  819772 */     GIR_EraseRootFromParent_Done,
     /*  819773 */   // Label 12643: @819773
     /*  819773 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819856), // Rule ID 62795 //
     /*  819778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  819789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  819792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  819795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819802 */     // MIs[0] op1
     /*  819802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819818 */     // MIs[0] op4
     /*  819818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819833 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  819833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  819836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819838 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819840 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819842 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819844 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819854 */     GIR_RootConstrainSelectedInstOperands,
     /*  819855 */     // GIR_Coverage, 62795,
     /*  819855 */     GIR_EraseRootFromParent_Done,
     /*  819856 */   // Label 12644: @819856
     /*  819856 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(819939), // Rule ID 62796 //
     /*  819861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  819864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  819872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  819875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  819878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  819881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819885 */     // MIs[0] op1
     /*  819885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819901 */     // MIs[0] op4
     /*  819901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819916 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  819916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  819919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  819923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  819925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  819927 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  819929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  819937 */     GIR_RootConstrainSelectedInstOperands,
     /*  819938 */     // GIR_Coverage, 62796,
     /*  819938 */     GIR_EraseRootFromParent_Done,
     /*  819939 */   // Label 12645: @819939
     /*  819939 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(820022), // Rule ID 62839 //
     /*  819944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  819947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  819952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  819955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  819958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  819961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  819964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819968 */     // MIs[0] op1
     /*  819968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  819971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  819976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819984 */     // MIs[0] op4
     /*  819984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  819987 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  819992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  819999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  820002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820004 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820006 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820008 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820010 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820020 */     GIR_RootConstrainSelectedInstOperands,
     /*  820021 */     // GIR_Coverage, 62839,
     /*  820021 */     GIR_EraseRootFromParent_Done,
     /*  820022 */   // Label 12646: @820022
     /*  820022 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(820105), // Rule ID 62840 //
     /*  820027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  820038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  820041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  820044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820051 */     // MIs[0] op1
     /*  820051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820067 */     // MIs[0] op4
     /*  820067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  820082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  820085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820087 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820089 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820091 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820093 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820103 */     GIR_RootConstrainSelectedInstOperands,
     /*  820104 */     // GIR_Coverage, 62840,
     /*  820104 */     GIR_EraseRootFromParent_Done,
     /*  820105 */   // Label 12647: @820105
     /*  820105 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(820188), // Rule ID 62895 //
     /*  820110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  820121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  820127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820134 */     // MIs[0] op1
     /*  820134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820137 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820150 */     // MIs[0] op4
     /*  820150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  820165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  820168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820170 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820172 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820174 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820176 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820186 */     GIR_RootConstrainSelectedInstOperands,
     /*  820187 */     // GIR_Coverage, 62895,
     /*  820187 */     GIR_EraseRootFromParent_Done,
     /*  820188 */   // Label 12648: @820188
     /*  820188 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(820271), // Rule ID 62896 //
     /*  820193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  820204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  820207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  820210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820217 */     // MIs[0] op1
     /*  820217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820233 */     // MIs[0] op4
     /*  820233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  820248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  820251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820253 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820255 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820257 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820259 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820269 */     GIR_RootConstrainSelectedInstOperands,
     /*  820270 */     // GIR_Coverage, 62896,
     /*  820270 */     GIR_EraseRootFromParent_Done,
     /*  820271 */   // Label 12649: @820271
     /*  820271 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(820354), // Rule ID 62951 //
     /*  820276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  820287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  820293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820300 */     // MIs[0] op1
     /*  820300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820303 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820316 */     // MIs[0] op4
     /*  820316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820319 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  820331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  820334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820336 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820338 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820340 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820342 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820352 */     GIR_RootConstrainSelectedInstOperands,
     /*  820353 */     // GIR_Coverage, 62951,
     /*  820353 */     GIR_EraseRootFromParent_Done,
     /*  820354 */   // Label 12650: @820354
     /*  820354 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(820437), // Rule ID 62952 //
     /*  820359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  820370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  820373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  820376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820383 */     // MIs[0] op1
     /*  820383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820386 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820399 */     // MIs[0] op4
     /*  820399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  820414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  820417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820419 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820421 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820423 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820425 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820435 */     GIR_RootConstrainSelectedInstOperands,
     /*  820436 */     // GIR_Coverage, 62952,
     /*  820436 */     GIR_EraseRootFromParent_Done,
     /*  820437 */   // Label 12651: @820437
     /*  820437 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(820520), // Rule ID 63007 //
     /*  820442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  820453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  820459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820466 */     // MIs[0] op1
     /*  820466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820469 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820482 */     // MIs[0] op4
     /*  820482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820485 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  820497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  820500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820508 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820518 */     GIR_RootConstrainSelectedInstOperands,
     /*  820519 */     // GIR_Coverage, 63007,
     /*  820519 */     GIR_EraseRootFromParent_Done,
     /*  820520 */   // Label 12652: @820520
     /*  820520 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(820603), // Rule ID 63008 //
     /*  820525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  820536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  820539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  820542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820549 */     // MIs[0] op1
     /*  820549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820565 */     // MIs[0] op4
     /*  820565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820568 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  820580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  820583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820585 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820587 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820589 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820591 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820601 */     GIR_RootConstrainSelectedInstOperands,
     /*  820602 */     // GIR_Coverage, 63008,
     /*  820602 */     GIR_EraseRootFromParent_Done,
     /*  820603 */   // Label 12653: @820603
     /*  820603 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820686), // Rule ID 63063 //
     /*  820608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  820619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  820622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  820625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820632 */     // MIs[0] op1
     /*  820632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820648 */     // MIs[0] op4
     /*  820648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820651 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820663 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  820663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  820666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820668 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820670 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820672 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820674 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820684 */     GIR_RootConstrainSelectedInstOperands,
     /*  820685 */     // GIR_Coverage, 63063,
     /*  820685 */     GIR_EraseRootFromParent_Done,
     /*  820686 */   // Label 12654: @820686
     /*  820686 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820769), // Rule ID 63064 //
     /*  820691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  820702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  820705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  820708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820715 */     // MIs[0] op1
     /*  820715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820718 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820731 */     // MIs[0] op4
     /*  820731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  820746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  820749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820751 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820753 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820755 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820757 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820767 */     GIR_RootConstrainSelectedInstOperands,
     /*  820768 */     // GIR_Coverage, 63064,
     /*  820768 */     GIR_EraseRootFromParent_Done,
     /*  820769 */   // Label 12655: @820769
     /*  820769 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820852), // Rule ID 63119 //
     /*  820774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  820785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  820788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  820791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820798 */     // MIs[0] op1
     /*  820798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820814 */     // MIs[0] op4
     /*  820814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  820829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  820832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820850 */     GIR_RootConstrainSelectedInstOperands,
     /*  820851 */     // GIR_Coverage, 63119,
     /*  820851 */     GIR_EraseRootFromParent_Done,
     /*  820852 */   // Label 12656: @820852
     /*  820852 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820935), // Rule ID 63120 //
     /*  820857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  820860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  820868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  820871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  820874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  820877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820881 */     // MIs[0] op1
     /*  820881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820897 */     // MIs[0] op4
     /*  820897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820900 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  820912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  820915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  820919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  820921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  820923 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  820925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  820933 */     GIR_RootConstrainSelectedInstOperands,
     /*  820934 */     // GIR_Coverage, 63120,
     /*  820934 */     GIR_EraseRootFromParent_Done,
     /*  820935 */   // Label 12657: @820935
     /*  820935 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(821018), // Rule ID 63175 //
     /*  820940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  820943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  820948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  820951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  820954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  820957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  820960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820964 */     // MIs[0] op1
     /*  820964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  820967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  820972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  820980 */     // MIs[0] op4
     /*  820980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  820983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  820988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  820995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  820998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821000 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821002 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821004 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821006 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821016 */     GIR_RootConstrainSelectedInstOperands,
     /*  821017 */     // GIR_Coverage, 63175,
     /*  821017 */     GIR_EraseRootFromParent_Done,
     /*  821018 */   // Label 12658: @821018
     /*  821018 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(821101), // Rule ID 63176 //
     /*  821023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  821031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  821034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  821037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  821040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821047 */     // MIs[0] op1
     /*  821047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821063 */     // MIs[0] op4
     /*  821063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821078 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  821078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  821081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821099 */     GIR_RootConstrainSelectedInstOperands,
     /*  821100 */     // GIR_Coverage, 63176,
     /*  821100 */     GIR_EraseRootFromParent_Done,
     /*  821101 */   // Label 12659: @821101
     /*  821101 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(821184), // Rule ID 63231 //
     /*  821106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  821114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  821117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  821123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821130 */     // MIs[0] op1
     /*  821130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821146 */     // MIs[0] op4
     /*  821146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  821161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  821164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821166 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821168 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821170 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821172 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821182 */     GIR_RootConstrainSelectedInstOperands,
     /*  821183 */     // GIR_Coverage, 63231,
     /*  821183 */     GIR_EraseRootFromParent_Done,
     /*  821184 */   // Label 12660: @821184
     /*  821184 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(821267), // Rule ID 63232 //
     /*  821189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  821197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  821200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  821203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  821206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821213 */     // MIs[0] op1
     /*  821213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  821229 */     // MIs[0] op4
     /*  821229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  821244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  821247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821265 */     GIR_RootConstrainSelectedInstOperands,
     /*  821266 */     // GIR_Coverage, 63232,
     /*  821266 */     GIR_EraseRootFromParent_Done,
     /*  821267 */   // Label 12661: @821267
     /*  821267 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(821350), // Rule ID 63287 //
     /*  821272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  821280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  821283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  821289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821296 */     // MIs[0] op1
     /*  821296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821312 */     // MIs[0] op4
     /*  821312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821315 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  821327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  821330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821338 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821348 */     GIR_RootConstrainSelectedInstOperands,
     /*  821349 */     // GIR_Coverage, 63287,
     /*  821349 */     GIR_EraseRootFromParent_Done,
     /*  821350 */   // Label 12662: @821350
     /*  821350 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(821433), // Rule ID 63288 //
     /*  821355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  821363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  821366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  821369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  821372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821379 */     // MIs[0] op1
     /*  821379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  821395 */     // MIs[0] op4
     /*  821395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10705:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  821410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  821413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821415 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821417 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821419 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821421 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821431 */     GIR_RootConstrainSelectedInstOperands,
     /*  821432 */     // GIR_Coverage, 63288,
     /*  821432 */     GIR_EraseRootFromParent_Done,
     /*  821433 */   // Label 12663: @821433
     /*  821433 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(821516), // Rule ID 63317 //
     /*  821438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  821449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  821452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  821455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821462 */     // MIs[0] op1
     /*  821462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821465 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821478 */     // MIs[0] op4
     /*  821478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  821493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  821496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821498 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821500 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821502 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821504 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821514 */     GIR_RootConstrainSelectedInstOperands,
     /*  821515 */     // GIR_Coverage, 63317,
     /*  821515 */     GIR_EraseRootFromParent_Done,
     /*  821516 */   // Label 12664: @821516
     /*  821516 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(821599), // Rule ID 63318 //
     /*  821521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  821532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  821535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  821538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821545 */     // MIs[0] op1
     /*  821545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821561 */     // MIs[0] op4
     /*  821561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  821576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  821579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821587 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821597 */     GIR_RootConstrainSelectedInstOperands,
     /*  821598 */     // GIR_Coverage, 63318,
     /*  821598 */     GIR_EraseRootFromParent_Done,
     /*  821599 */   // Label 12665: @821599
     /*  821599 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(821682), // Rule ID 63335 //
     /*  821604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  821615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  821618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  821621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821628 */     // MIs[0] op1
     /*  821628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821644 */     // MIs[0] op4
     /*  821644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  821659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  821662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821670 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821680 */     GIR_RootConstrainSelectedInstOperands,
     /*  821681 */     // GIR_Coverage, 63335,
     /*  821681 */     GIR_EraseRootFromParent_Done,
     /*  821682 */   // Label 12666: @821682
     /*  821682 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821765), // Rule ID 63336 //
     /*  821687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  821698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  821701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  821704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821711 */     // MIs[0] op1
     /*  821711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821727 */     // MIs[0] op4
     /*  821727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  821742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  821745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821747 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821749 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821751 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821753 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821763 */     GIR_RootConstrainSelectedInstOperands,
     /*  821764 */     // GIR_Coverage, 63336,
     /*  821764 */     GIR_EraseRootFromParent_Done,
     /*  821765 */   // Label 12667: @821765
     /*  821765 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821848), // Rule ID 63353 //
     /*  821770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  821787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821794 */     // MIs[0] op1
     /*  821794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821810 */     // MIs[0] op4
     /*  821810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821813 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  821825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  821828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821846 */     GIR_RootConstrainSelectedInstOperands,
     /*  821847 */     // GIR_Coverage, 63353,
     /*  821847 */     GIR_EraseRootFromParent_Done,
     /*  821848 */   // Label 12668: @821848
     /*  821848 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821931), // Rule ID 63354 //
     /*  821853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  821856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  821870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  821873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821877 */     // MIs[0] op1
     /*  821877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821893 */     // MIs[0] op4
     /*  821893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821896 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  821908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  821911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  821917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  821919 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  821921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821929 */     GIR_RootConstrainSelectedInstOperands,
     /*  821930 */     // GIR_Coverage, 63354,
     /*  821930 */     GIR_EraseRootFromParent_Done,
     /*  821931 */   // Label 12669: @821931
     /*  821931 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(822014), // Rule ID 63371 //
     /*  821936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  821939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  821944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  821947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  821950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  821956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821960 */     // MIs[0] op1
     /*  821960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  821963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  821968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821976 */     // MIs[0] op4
     /*  821976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  821979 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  821984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  821991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  821994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  821998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822012 */     GIR_RootConstrainSelectedInstOperands,
     /*  822013 */     // GIR_Coverage, 63371,
     /*  822013 */     GIR_EraseRootFromParent_Done,
     /*  822014 */   // Label 12670: @822014
     /*  822014 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(822097), // Rule ID 63372 //
     /*  822019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  822030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  822033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822043 */     // MIs[0] op1
     /*  822043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822046 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822059 */     // MIs[0] op4
     /*  822059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822062 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  822074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  822077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822079 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822081 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822083 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822085 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822095 */     GIR_RootConstrainSelectedInstOperands,
     /*  822096 */     // GIR_Coverage, 63372,
     /*  822096 */     GIR_EraseRootFromParent_Done,
     /*  822097 */   // Label 12671: @822097
     /*  822097 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(822180), // Rule ID 63389 //
     /*  822102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  822113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  822119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822126 */     // MIs[0] op1
     /*  822126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822142 */     // MIs[0] op4
     /*  822142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822157 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  822157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  822160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822178 */     GIR_RootConstrainSelectedInstOperands,
     /*  822179 */     // GIR_Coverage, 63389,
     /*  822179 */     GIR_EraseRootFromParent_Done,
     /*  822180 */   // Label 12672: @822180
     /*  822180 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(822263), // Rule ID 63390 //
     /*  822185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  822196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  822202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822209 */     // MIs[0] op1
     /*  822209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822225 */     // MIs[0] op4
     /*  822225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822228 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  822240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  822243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822251 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822261 */     GIR_RootConstrainSelectedInstOperands,
     /*  822262 */     // GIR_Coverage, 63390,
     /*  822262 */     GIR_EraseRootFromParent_Done,
     /*  822263 */   // Label 12673: @822263
     /*  822263 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(822346), // Rule ID 63407 //
     /*  822268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  822279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  822285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822292 */     // MIs[0] op1
     /*  822292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822308 */     // MIs[0] op4
     /*  822308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  822323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  822326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822328 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822330 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822332 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822334 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822344 */     GIR_RootConstrainSelectedInstOperands,
     /*  822345 */     // GIR_Coverage, 63407,
     /*  822345 */     GIR_EraseRootFromParent_Done,
     /*  822346 */   // Label 12674: @822346
     /*  822346 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(822429), // Rule ID 63408 //
     /*  822351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  822362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  822368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822375 */     // MIs[0] op1
     /*  822375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822391 */     // MIs[0] op4
     /*  822391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  822406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  822409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822427 */     GIR_RootConstrainSelectedInstOperands,
     /*  822428 */     // GIR_Coverage, 63408,
     /*  822428 */     GIR_EraseRootFromParent_Done,
     /*  822429 */   // Label 12675: @822429
     /*  822429 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(822512), // Rule ID 63425 //
     /*  822434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  822445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  822451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822458 */     // MIs[0] op1
     /*  822458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822474 */     // MIs[0] op4
     /*  822474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  822489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  822492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822494 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822496 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822498 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822500 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822510 */     GIR_RootConstrainSelectedInstOperands,
     /*  822511 */     // GIR_Coverage, 63425,
     /*  822511 */     GIR_EraseRootFromParent_Done,
     /*  822512 */   // Label 12676: @822512
     /*  822512 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(822595), // Rule ID 63426 //
     /*  822517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  822528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  822531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  822534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822541 */     // MIs[0] op1
     /*  822541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822557 */     // MIs[0] op4
     /*  822557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  822572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  822575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822593 */     GIR_RootConstrainSelectedInstOperands,
     /*  822594 */     // GIR_Coverage, 63426,
     /*  822594 */     GIR_EraseRootFromParent_Done,
     /*  822595 */   // Label 12677: @822595
     /*  822595 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(822678), // Rule ID 63449 //
     /*  822600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  822614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  822617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822624 */     // MIs[0] op1
     /*  822624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822627 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822640 */     // MIs[0] op4
     /*  822640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822643 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  822655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  822658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822666 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822676 */     GIR_RootConstrainSelectedInstOperands,
     /*  822677 */     // GIR_Coverage, 63449,
     /*  822677 */     GIR_EraseRootFromParent_Done,
     /*  822678 */   // Label 12678: @822678
     /*  822678 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(822761), // Rule ID 63450 //
     /*  822683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  822697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  822700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822707 */     // MIs[0] op1
     /*  822707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822723 */     // MIs[0] op4
     /*  822723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822738 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  822738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  822741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822743 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822745 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822747 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822749 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822759 */     GIR_RootConstrainSelectedInstOperands,
     /*  822760 */     // GIR_Coverage, 63450,
     /*  822760 */     GIR_EraseRootFromParent_Done,
     /*  822761 */   // Label 12679: @822761
     /*  822761 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(822844), // Rule ID 63473 //
     /*  822766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  822777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822790 */     // MIs[0] op1
     /*  822790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822793 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822806 */     // MIs[0] op4
     /*  822806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822809 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822821 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  822821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  822824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822826 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822828 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822830 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822832 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822842 */     GIR_RootConstrainSelectedInstOperands,
     /*  822843 */     // GIR_Coverage, 63473,
     /*  822843 */     GIR_EraseRootFromParent_Done,
     /*  822844 */   // Label 12680: @822844
     /*  822844 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822927), // Rule ID 63474 //
     /*  822849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  822852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  822860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  822869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822873 */     // MIs[0] op1
     /*  822873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822889 */     // MIs[0] op4
     /*  822889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  822904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  822907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822915 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  822917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822925 */     GIR_RootConstrainSelectedInstOperands,
     /*  822926 */     // GIR_Coverage, 63474,
     /*  822926 */     GIR_EraseRootFromParent_Done,
     /*  822927 */   // Label 12681: @822927
     /*  822927 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(823010), // Rule ID 63497 //
     /*  822932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  822935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  822940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  822943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  822949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  822952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822956 */     // MIs[0] op1
     /*  822956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  822959 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  822964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822972 */     // MIs[0] op4
     /*  822972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  822975 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  822980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  822987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  822990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822992 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  822994 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  822996 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  822998 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823008 */     GIR_RootConstrainSelectedInstOperands,
     /*  823009 */     // GIR_Coverage, 63497,
     /*  823009 */     GIR_EraseRootFromParent_Done,
     /*  823010 */   // Label 12682: @823010
     /*  823010 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(823093), // Rule ID 63498 //
     /*  823015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  823026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  823029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  823032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823039 */     // MIs[0] op1
     /*  823039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823055 */     // MIs[0] op4
     /*  823055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823058 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  823070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  823073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823075 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823077 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823079 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823081 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823091 */     GIR_RootConstrainSelectedInstOperands,
     /*  823092 */     // GIR_Coverage, 63498,
     /*  823092 */     GIR_EraseRootFromParent_Done,
     /*  823093 */   // Label 12683: @823093
     /*  823093 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(823176), // Rule ID 63521 //
     /*  823098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  823101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  823109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  823115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  823118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823122 */     // MIs[0] op1
     /*  823122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823125 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823138 */     // MIs[0] op4
     /*  823138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823141 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  823153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  823156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823174 */     GIR_RootConstrainSelectedInstOperands,
     /*  823175 */     // GIR_Coverage, 63521,
     /*  823175 */     GIR_EraseRootFromParent_Done,
     /*  823176 */   // Label 12684: @823176
     /*  823176 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(823259), // Rule ID 63522 //
     /*  823181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  823192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  823198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823205 */     // MIs[0] op1
     /*  823205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823208 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823221 */     // MIs[0] op4
     /*  823221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  823236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  823239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823241 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823243 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823245 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823247 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  823257 */     GIR_RootConstrainSelectedInstOperands,
     /*  823258 */     // GIR_Coverage, 63522,
     /*  823258 */     GIR_EraseRootFromParent_Done,
     /*  823259 */   // Label 12685: @823259
     /*  823259 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(823342), // Rule ID 63545 //
     /*  823264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  823267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  823281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  823284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823288 */     // MIs[0] op1
     /*  823288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823291 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823304 */     // MIs[0] op4
     /*  823304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  823319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  823322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823340 */     GIR_RootConstrainSelectedInstOperands,
     /*  823341 */     // GIR_Coverage, 63545,
     /*  823341 */     GIR_EraseRootFromParent_Done,
     /*  823342 */   // Label 12686: @823342
     /*  823342 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(823425), // Rule ID 63546 //
     /*  823347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  823361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  823364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823371 */     // MIs[0] op1
     /*  823371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823387 */     // MIs[0] op4
     /*  823387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823390 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  823402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  823405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823423 */     GIR_RootConstrainSelectedInstOperands,
     /*  823424 */     // GIR_Coverage, 63546,
     /*  823424 */     GIR_EraseRootFromParent_Done,
     /*  823425 */   // Label 12687: @823425
     /*  823425 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(823508), // Rule ID 63569 //
     /*  823430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  823433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  823441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  823450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823454 */     // MIs[0] op1
     /*  823454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823470 */     // MIs[0] op4
     /*  823470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823485 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  823485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  823488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823506 */     GIR_RootConstrainSelectedInstOperands,
     /*  823507 */     // GIR_Coverage, 63569,
     /*  823507 */     GIR_EraseRootFromParent_Done,
     /*  823508 */   // Label 12688: @823508
     /*  823508 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(823591), // Rule ID 63570 //
     /*  823513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  823524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823537 */     // MIs[0] op1
     /*  823537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823553 */     // MIs[0] op4
     /*  823553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  823568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  823571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823589 */     GIR_RootConstrainSelectedInstOperands,
     /*  823590 */     // GIR_Coverage, 63570,
     /*  823590 */     GIR_EraseRootFromParent_Done,
     /*  823591 */   // Label 12689: @823591
     /*  823591 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(823674), // Rule ID 63593 //
     /*  823596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  823599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  823607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  823613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  823616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823620 */     // MIs[0] op1
     /*  823620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823636 */     // MIs[0] op4
     /*  823636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  823651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  823654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823656 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823658 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823660 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823662 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823672 */     GIR_RootConstrainSelectedInstOperands,
     /*  823673 */     // GIR_Coverage, 63593,
     /*  823673 */     GIR_EraseRootFromParent_Done,
     /*  823674 */   // Label 12690: @823674
     /*  823674 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(823757), // Rule ID 63594 //
     /*  823679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  823690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  823696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823703 */     // MIs[0] op1
     /*  823703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823719 */     // MIs[0] op4
     /*  823719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  823734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  823737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823755 */     GIR_RootConstrainSelectedInstOperands,
     /*  823756 */     // GIR_Coverage, 63594,
     /*  823756 */     GIR_EraseRootFromParent_Done,
     /*  823757 */   // Label 12691: @823757
     /*  823757 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(823840), // Rule ID 63617 //
     /*  823762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  823765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  823773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  823779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  823782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823786 */     // MIs[0] op1
     /*  823786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823802 */     // MIs[0] op4
     /*  823802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  823817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  823820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823822 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823824 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823826 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823828 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823838 */     GIR_RootConstrainSelectedInstOperands,
     /*  823839 */     // GIR_Coverage, 63617,
     /*  823839 */     GIR_EraseRootFromParent_Done,
     /*  823840 */   // Label 12692: @823840
     /*  823840 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(823923), // Rule ID 63618 //
     /*  823845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  823848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  823853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  823856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  823862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  823865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823869 */     // MIs[0] op1
     /*  823869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  823872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  823877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823885 */     // MIs[0] op4
     /*  823885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  823888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  823893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10707:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  823900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  823903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  823907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  823909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  823911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  823913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823921 */     GIR_RootConstrainSelectedInstOperands,
     /*  823922 */     // GIR_Coverage, 63618,
     /*  823922 */     GIR_EraseRootFromParent_Done,
     /*  823923 */   // Label 12693: @823923
     /*  823923 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(824001), // Rule ID 59910 //
     /*  823928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  823931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  823936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  823939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  823942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  823945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823960 */     // MIs[0] rs2
     /*  823960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  823963 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  823968 */     // MIs[0] policy
     /*  823968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  823971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10788:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  823978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  823981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  823983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  823999 */     GIR_RootConstrainSelectedInstOperands,
     /*  824000 */     // GIR_Coverage, 59910,
     /*  824000 */     GIR_EraseRootFromParent_Done,
     /*  824001 */   // Label 12694: @824001
     /*  824001 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(824079), // Rule ID 59911 //
     /*  824006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  824009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  824017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  824020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824038 */     // MIs[0] rs2
     /*  824038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824041 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824046 */     // MIs[0] policy
     /*  824046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10788:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  824059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824077 */     GIR_RootConstrainSelectedInstOperands,
     /*  824078 */     // GIR_Coverage, 59911,
     /*  824078 */     GIR_EraseRootFromParent_Done,
     /*  824079 */   // Label 12695: @824079
     /*  824079 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(824157), // Rule ID 61566 //
     /*  824084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  824087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824116 */     // MIs[0] rs2
     /*  824116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824119 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824124 */     // MIs[0] policy
     /*  824124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10788:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  824137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824155 */     GIR_RootConstrainSelectedInstOperands,
     /*  824156 */     // GIR_Coverage, 61566,
     /*  824156 */     GIR_EraseRootFromParent_Done,
     /*  824157 */   // Label 12696: @824157
     /*  824157 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(824235), // Rule ID 61567 //
     /*  824162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  824165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824194 */     // MIs[0] rs2
     /*  824194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824202 */     // MIs[0] policy
     /*  824202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10788:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  824215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824233 */     GIR_RootConstrainSelectedInstOperands,
     /*  824234 */     // GIR_Coverage, 61567,
     /*  824234 */     GIR_EraseRootFromParent_Done,
     /*  824235 */   // Label 12697: @824235
     /*  824235 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(824313), // Rule ID 61568 //
     /*  824240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  824243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  824251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  824254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824272 */     // MIs[0] rs2
     /*  824272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824280 */     // MIs[0] policy
     /*  824280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10788:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  824293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824311 */     GIR_RootConstrainSelectedInstOperands,
     /*  824312 */     // GIR_Coverage, 61568,
     /*  824312 */     GIR_EraseRootFromParent_Done,
     /*  824313 */   // Label 12698: @824313
     /*  824313 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(824391), // Rule ID 61569 //
     /*  824318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  824321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  824329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  824332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  824335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  824350 */     // MIs[0] rs2
     /*  824350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824353 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824358 */     // MIs[0] policy
     /*  824358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824368 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10788:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  824371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824389 */     GIR_RootConstrainSelectedInstOperands,
     /*  824390 */     // GIR_Coverage, 61569,
     /*  824390 */     GIR_EraseRootFromParent_Done,
     /*  824391 */   // Label 12699: @824391
     /*  824391 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(824469), // Rule ID 61570 //
     /*  824396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  824399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  824407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  824410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824428 */     // MIs[0] rs2
     /*  824428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824436 */     // MIs[0] policy
     /*  824436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10788:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  824449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824467 */     GIR_RootConstrainSelectedInstOperands,
     /*  824468 */     // GIR_Coverage, 61570,
     /*  824468 */     GIR_EraseRootFromParent_Done,
     /*  824469 */   // Label 12700: @824469
     /*  824469 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(824547), // Rule ID 61571 //
     /*  824474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  824477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  824485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  824488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  824491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  824506 */     // MIs[0] rs2
     /*  824506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824514 */     // MIs[0] policy
     /*  824514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10788:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  824527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824545 */     GIR_RootConstrainSelectedInstOperands,
     /*  824546 */     // GIR_Coverage, 61571,
     /*  824546 */     GIR_EraseRootFromParent_Done,
     /*  824547 */   // Label 12701: @824547
     /*  824547 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(824625), // Rule ID 61572 //
     /*  824552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  824555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  824563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  824566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824584 */     // MIs[0] rs2
     /*  824584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824587 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824592 */     // MIs[0] policy
     /*  824592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10788:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  824605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824623 */     GIR_RootConstrainSelectedInstOperands,
     /*  824624 */     // GIR_Coverage, 61572,
     /*  824624 */     GIR_EraseRootFromParent_Done,
     /*  824625 */   // Label 12702: @824625
     /*  824625 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(824703), // Rule ID 61573 //
     /*  824630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  824633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  824638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  824641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  824644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  824647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  824662 */     // MIs[0] rs2
     /*  824662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824665 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824670 */     // MIs[0] policy
     /*  824670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10788:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  824683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824701 */     GIR_RootConstrainSelectedInstOperands,
     /*  824702 */     // GIR_Coverage, 61573,
     /*  824702 */     GIR_EraseRootFromParent_Done,
     /*  824703 */   // Label 12703: @824703
     /*  824703 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(824781), // Rule ID 61734 //
     /*  824708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  824711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  824716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  824719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  824722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824740 */     // MIs[0] rs2
     /*  824740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824748 */     // MIs[0] policy
     /*  824748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  824761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824779 */     GIR_RootConstrainSelectedInstOperands,
     /*  824780 */     // GIR_Coverage, 61734,
     /*  824780 */     GIR_EraseRootFromParent_Done,
     /*  824781 */   // Label 12704: @824781
     /*  824781 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(824859), // Rule ID 61735 //
     /*  824786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  824789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  824794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  824797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  824800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824818 */     // MIs[0] rs2
     /*  824818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824826 */     // MIs[0] policy
     /*  824826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  824839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824857 */     GIR_RootConstrainSelectedInstOperands,
     /*  824858 */     // GIR_Coverage, 61735,
     /*  824858 */     GIR_EraseRootFromParent_Done,
     /*  824859 */   // Label 12705: @824859
     /*  824859 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(824937), // Rule ID 61736 //
     /*  824864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  824867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  824872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824896 */     // MIs[0] rs2
     /*  824896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824904 */     // MIs[0] policy
     /*  824904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824914 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  824914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  824917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  824935 */     GIR_RootConstrainSelectedInstOperands,
     /*  824936 */     // GIR_Coverage, 61736,
     /*  824936 */     GIR_EraseRootFromParent_Done,
     /*  824937 */   // Label 12706: @824937
     /*  824937 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(825015), // Rule ID 61737 //
     /*  824942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  824945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  824950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824974 */     // MIs[0] rs2
     /*  824974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  824977 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  824982 */     // MIs[0] policy
     /*  824982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  824985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  824992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  824995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  824997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825013 */     GIR_RootConstrainSelectedInstOperands,
     /*  825014 */     // GIR_Coverage, 61737,
     /*  825014 */     GIR_EraseRootFromParent_Done,
     /*  825015 */   // Label 12707: @825015
     /*  825015 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(825093), // Rule ID 61738 //
     /*  825020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  825023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  825031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  825034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825052 */     // MIs[0] rs2
     /*  825052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825055 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825060 */     // MIs[0] policy
     /*  825060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  825073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825091 */     GIR_RootConstrainSelectedInstOperands,
     /*  825092 */     // GIR_Coverage, 61738,
     /*  825092 */     GIR_EraseRootFromParent_Done,
     /*  825093 */   // Label 12708: @825093
     /*  825093 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(825171), // Rule ID 61739 //
     /*  825098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  825101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  825109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  825112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  825115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825130 */     // MIs[0] rs2
     /*  825130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825138 */     // MIs[0] policy
     /*  825138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  825151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825169 */     GIR_RootConstrainSelectedInstOperands,
     /*  825170 */     // GIR_Coverage, 61739,
     /*  825170 */     GIR_EraseRootFromParent_Done,
     /*  825171 */   // Label 12709: @825171
     /*  825171 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(825249), // Rule ID 61740 //
     /*  825176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  825179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  825187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  825190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825208 */     // MIs[0] rs2
     /*  825208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825216 */     // MIs[0] policy
     /*  825216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  825229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825247 */     GIR_RootConstrainSelectedInstOperands,
     /*  825248 */     // GIR_Coverage, 61740,
     /*  825248 */     GIR_EraseRootFromParent_Done,
     /*  825249 */   // Label 12710: @825249
     /*  825249 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(825327), // Rule ID 61741 //
     /*  825254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  825257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  825265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  825268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  825271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825286 */     // MIs[0] rs2
     /*  825286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825294 */     // MIs[0] policy
     /*  825294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  825307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825325 */     GIR_RootConstrainSelectedInstOperands,
     /*  825326 */     // GIR_Coverage, 61741,
     /*  825326 */     GIR_EraseRootFromParent_Done,
     /*  825327 */   // Label 12711: @825327
     /*  825327 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(825405), // Rule ID 61742 //
     /*  825332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  825335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  825343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  825346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825364 */     // MIs[0] rs2
     /*  825364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825367 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825372 */     // MIs[0] policy
     /*  825372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  825385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825403 */     GIR_RootConstrainSelectedInstOperands,
     /*  825404 */     // GIR_Coverage, 61742,
     /*  825404 */     GIR_EraseRootFromParent_Done,
     /*  825405 */   // Label 12712: @825405
     /*  825405 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(825483), // Rule ID 61743 //
     /*  825410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  825413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  825418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  825421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  825424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  825427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825442 */     // MIs[0] rs2
     /*  825442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  825445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  825450 */     // MIs[0] policy
     /*  825450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  825463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  825465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  825479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825481 */     GIR_RootConstrainSelectedInstOperands,
     /*  825482 */     // GIR_Coverage, 61743,
     /*  825482 */     GIR_EraseRootFromParent_Done,
     /*  825483 */   // Label 12713: @825483
     /*  825483 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(825571), // Rule ID 23548 //
     /*  825488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  825499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  825502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825535 */     // MIs[1] Operand 1
     /*  825535 */     // No operand predicates
     /*  825535 */     // MIs[0] policy
     /*  825535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  825550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825569 */     GIR_RootConstrainSelectedInstOperands,
     /*  825570 */     // GIR_Coverage, 23548,
     /*  825570 */     GIR_EraseRootFromParent_Done,
     /*  825571 */   // Label 12714: @825571
     /*  825571 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(825659), // Rule ID 23549 //
     /*  825576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  825587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  825590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  825593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825623 */     // MIs[1] Operand 1
     /*  825623 */     // No operand predicates
     /*  825623 */     // MIs[0] policy
     /*  825623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825635 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  825638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825657 */     GIR_RootConstrainSelectedInstOperands,
     /*  825658 */     // GIR_Coverage, 23549,
     /*  825658 */     GIR_EraseRootFromParent_Done,
     /*  825659 */   // Label 12715: @825659
     /*  825659 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(825747), // Rule ID 23552 //
     /*  825664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  825675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  825678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825711 */     // MIs[1] Operand 1
     /*  825711 */     // No operand predicates
     /*  825711 */     // MIs[0] policy
     /*  825711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825723 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  825726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825745 */     GIR_RootConstrainSelectedInstOperands,
     /*  825746 */     // GIR_Coverage, 23552,
     /*  825746 */     GIR_EraseRootFromParent_Done,
     /*  825747 */   // Label 12716: @825747
     /*  825747 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(825835), // Rule ID 23553 //
     /*  825752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  825763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  825766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  825769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825799 */     // MIs[1] Operand 1
     /*  825799 */     // No operand predicates
     /*  825799 */     // MIs[0] policy
     /*  825799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825811 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  825814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825833 */     GIR_RootConstrainSelectedInstOperands,
     /*  825834 */     // GIR_Coverage, 23553,
     /*  825834 */     GIR_EraseRootFromParent_Done,
     /*  825835 */   // Label 12717: @825835
     /*  825835 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(825923), // Rule ID 23556 //
     /*  825840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  825851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  825854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  825860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825887 */     // MIs[1] Operand 1
     /*  825887 */     // No operand predicates
     /*  825887 */     // MIs[0] policy
     /*  825887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825899 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  825899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  825902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  825921 */     GIR_RootConstrainSelectedInstOperands,
     /*  825922 */     // GIR_Coverage, 23556,
     /*  825922 */     GIR_EraseRootFromParent_Done,
     /*  825923 */   // Label 12718: @825923
     /*  825923 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(826011), // Rule ID 23557 //
     /*  825928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  825936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  825939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  825942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  825945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  825948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  825967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  825971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  825975 */     // MIs[1] Operand 1
     /*  825975 */     // No operand predicates
     /*  825975 */     // MIs[0] policy
     /*  825975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  825978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  825980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  825987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  825990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  825999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826009 */     GIR_RootConstrainSelectedInstOperands,
     /*  826010 */     // GIR_Coverage, 23557,
     /*  826010 */     GIR_EraseRootFromParent_Done,
     /*  826011 */   // Label 12719: @826011
     /*  826011 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(826099), // Rule ID 23560 //
     /*  826016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  826027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  826030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826063 */     // MIs[1] Operand 1
     /*  826063 */     // No operand predicates
     /*  826063 */     // MIs[0] policy
     /*  826063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  826078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826097 */     GIR_RootConstrainSelectedInstOperands,
     /*  826098 */     // GIR_Coverage, 23560,
     /*  826098 */     GIR_EraseRootFromParent_Done,
     /*  826099 */   // Label 12720: @826099
     /*  826099 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(826187), // Rule ID 23561 //
     /*  826104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  826115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  826118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  826121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826151 */     // MIs[1] Operand 1
     /*  826151 */     // No operand predicates
     /*  826151 */     // MIs[0] policy
     /*  826151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  826166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826185 */     GIR_RootConstrainSelectedInstOperands,
     /*  826186 */     // GIR_Coverage, 23561,
     /*  826186 */     GIR_EraseRootFromParent_Done,
     /*  826187 */   // Label 12721: @826187
     /*  826187 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(826275), // Rule ID 23564 //
     /*  826192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  826203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  826206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826239 */     // MIs[1] Operand 1
     /*  826239 */     // No operand predicates
     /*  826239 */     // MIs[0] policy
     /*  826239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  826254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826273 */     GIR_RootConstrainSelectedInstOperands,
     /*  826274 */     // GIR_Coverage, 23564,
     /*  826274 */     GIR_EraseRootFromParent_Done,
     /*  826275 */   // Label 12722: @826275
     /*  826275 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(826363), // Rule ID 23565 //
     /*  826280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  826291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  826294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  826297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826327 */     // MIs[1] Operand 1
     /*  826327 */     // No operand predicates
     /*  826327 */     // MIs[0] policy
     /*  826327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  826342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826361 */     GIR_RootConstrainSelectedInstOperands,
     /*  826362 */     // GIR_Coverage, 23565,
     /*  826362 */     GIR_EraseRootFromParent_Done,
     /*  826363 */   // Label 12723: @826363
     /*  826363 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(826451), // Rule ID 23568 //
     /*  826368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  826379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  826382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826415 */     // MIs[1] Operand 1
     /*  826415 */     // No operand predicates
     /*  826415 */     // MIs[0] policy
     /*  826415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  826430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826449 */     GIR_RootConstrainSelectedInstOperands,
     /*  826450 */     // GIR_Coverage, 23568,
     /*  826450 */     GIR_EraseRootFromParent_Done,
     /*  826451 */   // Label 12724: @826451
     /*  826451 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(826539), // Rule ID 23569 //
     /*  826456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  826467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  826470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  826473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826503 */     // MIs[1] Operand 1
     /*  826503 */     // No operand predicates
     /*  826503 */     // MIs[0] policy
     /*  826503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826515 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  826518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826537 */     GIR_RootConstrainSelectedInstOperands,
     /*  826538 */     // GIR_Coverage, 23569,
     /*  826538 */     GIR_EraseRootFromParent_Done,
     /*  826539 */   // Label 12725: @826539
     /*  826539 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(826627), // Rule ID 23572 //
     /*  826544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826591 */     // MIs[1] Operand 1
     /*  826591 */     // No operand predicates
     /*  826591 */     // MIs[0] policy
     /*  826591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  826606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826625 */     GIR_RootConstrainSelectedInstOperands,
     /*  826626 */     // GIR_Coverage, 23572,
     /*  826626 */     GIR_EraseRootFromParent_Done,
     /*  826627 */   // Label 12726: @826627
     /*  826627 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(826715), // Rule ID 23573 //
     /*  826632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  826649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826679 */     // MIs[1] Operand 1
     /*  826679 */     // No operand predicates
     /*  826679 */     // MIs[0] policy
     /*  826679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  826694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826713 */     GIR_RootConstrainSelectedInstOperands,
     /*  826714 */     // GIR_Coverage, 23573,
     /*  826714 */     GIR_EraseRootFromParent_Done,
     /*  826715 */   // Label 12727: @826715
     /*  826715 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(826803), // Rule ID 23576 //
     /*  826720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826767 */     // MIs[1] Operand 1
     /*  826767 */     // No operand predicates
     /*  826767 */     // MIs[0] policy
     /*  826767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  826782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826801 */     GIR_RootConstrainSelectedInstOperands,
     /*  826802 */     // GIR_Coverage, 23576,
     /*  826802 */     GIR_EraseRootFromParent_Done,
     /*  826803 */   // Label 12728: @826803
     /*  826803 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(826891), // Rule ID 23577 //
     /*  826808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  826819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  826822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  826825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  826828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826855 */     // MIs[1] Operand 1
     /*  826855 */     // No operand predicates
     /*  826855 */     // MIs[0] policy
     /*  826855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826867 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  826867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  826870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826889 */     GIR_RootConstrainSelectedInstOperands,
     /*  826890 */     // GIR_Coverage, 23577,
     /*  826890 */     GIR_EraseRootFromParent_Done,
     /*  826891 */   // Label 12729: @826891
     /*  826891 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(826979), // Rule ID 23580 //
     /*  826896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  826913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  826916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  826935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  826939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  826943 */     // MIs[1] Operand 1
     /*  826943 */     // No operand predicates
     /*  826943 */     // MIs[0] policy
     /*  826943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  826946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  826948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  826955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  826958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  826967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  826977 */     GIR_RootConstrainSelectedInstOperands,
     /*  826978 */     // GIR_Coverage, 23580,
     /*  826978 */     GIR_EraseRootFromParent_Done,
     /*  826979 */   // Label 12730: @826979
     /*  826979 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(827067), // Rule ID 23581 //
     /*  826984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  826992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  827001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827031 */     // MIs[1] Operand 1
     /*  827031 */     // No operand predicates
     /*  827031 */     // MIs[0] policy
     /*  827031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827043 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827065 */     GIR_RootConstrainSelectedInstOperands,
     /*  827066 */     // GIR_Coverage, 23581,
     /*  827066 */     GIR_EraseRootFromParent_Done,
     /*  827067 */   // Label 12731: @827067
     /*  827067 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(827155), // Rule ID 23584 //
     /*  827072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  827075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827119 */     // MIs[1] Operand 1
     /*  827119 */     // No operand predicates
     /*  827119 */     // MIs[0] policy
     /*  827119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827153 */     GIR_RootConstrainSelectedInstOperands,
     /*  827154 */     // GIR_Coverage, 23584,
     /*  827154 */     GIR_EraseRootFromParent_Done,
     /*  827155 */   // Label 12732: @827155
     /*  827155 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(827243), // Rule ID 23585 //
     /*  827160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  827163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  827171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  827174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  827177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827207 */     // MIs[1] Operand 1
     /*  827207 */     // No operand predicates
     /*  827207 */     // MIs[0] policy
     /*  827207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  827222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  827239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827241 */     GIR_RootConstrainSelectedInstOperands,
     /*  827242 */     // GIR_Coverage, 23585,
     /*  827242 */     GIR_EraseRootFromParent_Done,
     /*  827243 */   // Label 12733: @827243
     /*  827243 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(827331), // Rule ID 23588 //
     /*  827248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  827259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  827262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827295 */     // MIs[1] Operand 1
     /*  827295 */     // No operand predicates
     /*  827295 */     // MIs[0] policy
     /*  827295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827307 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  827310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827329 */     GIR_RootConstrainSelectedInstOperands,
     /*  827330 */     // GIR_Coverage, 23588,
     /*  827330 */     GIR_EraseRootFromParent_Done,
     /*  827331 */   // Label 12734: @827331
     /*  827331 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(827419), // Rule ID 23589 //
     /*  827336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  827347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  827350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  827353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827383 */     // MIs[1] Operand 1
     /*  827383 */     // No operand predicates
     /*  827383 */     // MIs[0] policy
     /*  827383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  827398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827417 */     GIR_RootConstrainSelectedInstOperands,
     /*  827418 */     // GIR_Coverage, 23589,
     /*  827418 */     GIR_EraseRootFromParent_Done,
     /*  827419 */   // Label 12735: @827419
     /*  827419 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(827507), // Rule ID 23592 //
     /*  827424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  827435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  827438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827471 */     // MIs[1] Operand 1
     /*  827471 */     // No operand predicates
     /*  827471 */     // MIs[0] policy
     /*  827471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  827486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827505 */     GIR_RootConstrainSelectedInstOperands,
     /*  827506 */     // GIR_Coverage, 23592,
     /*  827506 */     GIR_EraseRootFromParent_Done,
     /*  827507 */   // Label 12736: @827507
     /*  827507 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(827595), // Rule ID 23593 //
     /*  827512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  827523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  827526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  827529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827559 */     // MIs[1] Operand 1
     /*  827559 */     // No operand predicates
     /*  827559 */     // MIs[0] policy
     /*  827559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  827574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827593 */     GIR_RootConstrainSelectedInstOperands,
     /*  827594 */     // GIR_Coverage, 23593,
     /*  827594 */     GIR_EraseRootFromParent_Done,
     /*  827595 */   // Label 12737: @827595
     /*  827595 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(827683), // Rule ID 23596 //
     /*  827600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  827611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  827614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827647 */     // MIs[1] Operand 1
     /*  827647 */     // No operand predicates
     /*  827647 */     // MIs[0] policy
     /*  827647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  827662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827681 */     GIR_RootConstrainSelectedInstOperands,
     /*  827682 */     // GIR_Coverage, 23596,
     /*  827682 */     GIR_EraseRootFromParent_Done,
     /*  827683 */   // Label 12738: @827683
     /*  827683 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(827771), // Rule ID 23597 //
     /*  827688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  827699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  827702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  827705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  827723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827735 */     // MIs[1] Operand 1
     /*  827735 */     // No operand predicates
     /*  827735 */     // MIs[0] policy
     /*  827735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  827750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827769 */     GIR_RootConstrainSelectedInstOperands,
     /*  827770 */     // GIR_Coverage, 23597,
     /*  827770 */     GIR_EraseRootFromParent_Done,
     /*  827771 */   // Label 12739: @827771
     /*  827771 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(827859), // Rule ID 23600 //
     /*  827776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  827787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  827790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827823 */     // MIs[1] Operand 1
     /*  827823 */     // No operand predicates
     /*  827823 */     // MIs[0] policy
     /*  827823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  827835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  827838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827857 */     GIR_RootConstrainSelectedInstOperands,
     /*  827858 */     // GIR_Coverage, 23600,
     /*  827858 */     GIR_EraseRootFromParent_Done,
     /*  827859 */   // Label 12740: @827859
     /*  827859 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(827947), // Rule ID 23601 //
     /*  827864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  827875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  827878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  827881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  827884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  827899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827911 */     // MIs[1] Operand 1
     /*  827911 */     // No operand predicates
     /*  827911 */     // MIs[0] policy
     /*  827911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  827914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  827916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  827923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  827926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  827935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  827945 */     GIR_RootConstrainSelectedInstOperands,
     /*  827946 */     // GIR_Coverage, 23601,
     /*  827946 */     GIR_EraseRootFromParent_Done,
     /*  827947 */   // Label 12741: @827947
     /*  827947 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(828035), // Rule ID 23604 //
     /*  827952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  827960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  827963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  827966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  827969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  827972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  827987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  827991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  827995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  827999 */     // MIs[1] Operand 1
     /*  827999 */     // No operand predicates
     /*  827999 */     // MIs[0] policy
     /*  827999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828033 */     GIR_RootConstrainSelectedInstOperands,
     /*  828034 */     // GIR_Coverage, 23604,
     /*  828034 */     GIR_EraseRootFromParent_Done,
     /*  828035 */   // Label 12742: @828035
     /*  828035 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(828123), // Rule ID 23605 //
     /*  828040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  828051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  828054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  828057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828087 */     // MIs[1] Operand 1
     /*  828087 */     // No operand predicates
     /*  828087 */     // MIs[0] policy
     /*  828087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828121 */     GIR_RootConstrainSelectedInstOperands,
     /*  828122 */     // GIR_Coverage, 23605,
     /*  828122 */     GIR_EraseRootFromParent_Done,
     /*  828123 */   // Label 12743: @828123
     /*  828123 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(828211), // Rule ID 23608 //
     /*  828128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  828139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  828142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828175 */     // MIs[1] Operand 1
     /*  828175 */     // No operand predicates
     /*  828175 */     // MIs[0] policy
     /*  828175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828209 */     GIR_RootConstrainSelectedInstOperands,
     /*  828210 */     // GIR_Coverage, 23608,
     /*  828210 */     GIR_EraseRootFromParent_Done,
     /*  828211 */   // Label 12744: @828211
     /*  828211 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(828299), // Rule ID 23609 //
     /*  828216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  828227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  828230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  828233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828263 */     // MIs[1] Operand 1
     /*  828263 */     // No operand predicates
     /*  828263 */     // MIs[0] policy
     /*  828263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828297 */     GIR_RootConstrainSelectedInstOperands,
     /*  828298 */     // GIR_Coverage, 23609,
     /*  828298 */     GIR_EraseRootFromParent_Done,
     /*  828299 */   // Label 12745: @828299
     /*  828299 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(828387), // Rule ID 23612 //
     /*  828304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  828315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  828318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828351 */     // MIs[1] Operand 1
     /*  828351 */     // No operand predicates
     /*  828351 */     // MIs[0] policy
     /*  828351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828385 */     GIR_RootConstrainSelectedInstOperands,
     /*  828386 */     // GIR_Coverage, 23612,
     /*  828386 */     GIR_EraseRootFromParent_Done,
     /*  828387 */   // Label 12746: @828387
     /*  828387 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(828475), // Rule ID 23613 //
     /*  828392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  828403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  828406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  828409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828439 */     // MIs[1] Operand 1
     /*  828439 */     // No operand predicates
     /*  828439 */     // MIs[0] policy
     /*  828439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828473 */     GIR_RootConstrainSelectedInstOperands,
     /*  828474 */     // GIR_Coverage, 23613,
     /*  828474 */     GIR_EraseRootFromParent_Done,
     /*  828475 */   // Label 12747: @828475
     /*  828475 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(828563), // Rule ID 23616 //
     /*  828480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  828491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  828494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828527 */     // MIs[1] Operand 1
     /*  828527 */     // No operand predicates
     /*  828527 */     // MIs[0] policy
     /*  828527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828548 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828561 */     GIR_RootConstrainSelectedInstOperands,
     /*  828562 */     // GIR_Coverage, 23616,
     /*  828562 */     GIR_EraseRootFromParent_Done,
     /*  828563 */   // Label 12748: @828563
     /*  828563 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(828651), // Rule ID 23617 //
     /*  828568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  828579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  828582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  828585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828615 */     // MIs[1] Operand 1
     /*  828615 */     // No operand predicates
     /*  828615 */     // MIs[0] policy
     /*  828615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828627 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  828630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828649 */     GIR_RootConstrainSelectedInstOperands,
     /*  828650 */     // GIR_Coverage, 23617,
     /*  828650 */     GIR_EraseRootFromParent_Done,
     /*  828651 */   // Label 12749: @828651
     /*  828651 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(828739), // Rule ID 23620 //
     /*  828656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  828667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  828670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828703 */     // MIs[1] Operand 1
     /*  828703 */     // No operand predicates
     /*  828703 */     // MIs[0] policy
     /*  828703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828737 */     GIR_RootConstrainSelectedInstOperands,
     /*  828738 */     // GIR_Coverage, 23620,
     /*  828738 */     GIR_EraseRootFromParent_Done,
     /*  828739 */   // Label 12750: @828739
     /*  828739 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(828827), // Rule ID 23621 //
     /*  828744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  828755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  828758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  828761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828791 */     // MIs[1] Operand 1
     /*  828791 */     // No operand predicates
     /*  828791 */     // MIs[0] policy
     /*  828791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  828806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828825 */     GIR_RootConstrainSelectedInstOperands,
     /*  828826 */     // GIR_Coverage, 23621,
     /*  828826 */     GIR_EraseRootFromParent_Done,
     /*  828827 */   // Label 12751: @828827
     /*  828827 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(828915), // Rule ID 23624 //
     /*  828832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  828843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  828846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  828852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828879 */     // MIs[1] Operand 1
     /*  828879 */     // No operand predicates
     /*  828879 */     // MIs[0] policy
     /*  828879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828891 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  828891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  828913 */     GIR_RootConstrainSelectedInstOperands,
     /*  828914 */     // GIR_Coverage, 23624,
     /*  828914 */     GIR_EraseRootFromParent_Done,
     /*  828915 */   // Label 12752: @828915
     /*  828915 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(829003), // Rule ID 23625 //
     /*  828920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  828928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  828931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  828934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  828937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  828940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  828959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  828963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  828967 */     // MIs[1] Operand 1
     /*  828967 */     // No operand predicates
     /*  828967 */     // MIs[0] policy
     /*  828967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  828970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  828972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  828979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  828982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  828991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829001 */     GIR_RootConstrainSelectedInstOperands,
     /*  829002 */     // GIR_Coverage, 23625,
     /*  829002 */     GIR_EraseRootFromParent_Done,
     /*  829003 */   // Label 12753: @829003
     /*  829003 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(829091), // Rule ID 23628 //
     /*  829008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  829019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  829022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829055 */     // MIs[1] Operand 1
     /*  829055 */     // No operand predicates
     /*  829055 */     // MIs[0] policy
     /*  829055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829067 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829089 */     GIR_RootConstrainSelectedInstOperands,
     /*  829090 */     // GIR_Coverage, 23628,
     /*  829090 */     GIR_EraseRootFromParent_Done,
     /*  829091 */   // Label 12754: @829091
     /*  829091 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(829179), // Rule ID 23629 //
     /*  829096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  829107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  829110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829143 */     // MIs[1] Operand 1
     /*  829143 */     // No operand predicates
     /*  829143 */     // MIs[0] policy
     /*  829143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  829158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829177 */     GIR_RootConstrainSelectedInstOperands,
     /*  829178 */     // GIR_Coverage, 23629,
     /*  829178 */     GIR_EraseRootFromParent_Done,
     /*  829179 */   // Label 12755: @829179
     /*  829179 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(829267), // Rule ID 23632 //
     /*  829184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  829195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  829198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829231 */     // MIs[1] Operand 1
     /*  829231 */     // No operand predicates
     /*  829231 */     // MIs[0] policy
     /*  829231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829265 */     GIR_RootConstrainSelectedInstOperands,
     /*  829266 */     // GIR_Coverage, 23632,
     /*  829266 */     GIR_EraseRootFromParent_Done,
     /*  829267 */   // Label 12756: @829267
     /*  829267 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(829355), // Rule ID 23633 //
     /*  829272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  829280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  829283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  829286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  829289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829319 */     // MIs[1] Operand 1
     /*  829319 */     // No operand predicates
     /*  829319 */     // MIs[0] policy
     /*  829319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  829334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829353 */     GIR_RootConstrainSelectedInstOperands,
     /*  829354 */     // GIR_Coverage, 23633,
     /*  829354 */     GIR_EraseRootFromParent_Done,
     /*  829355 */   // Label 12757: @829355
     /*  829355 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(829443), // Rule ID 23724 //
     /*  829360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  829371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  829374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829407 */     // MIs[1] Operand 1
     /*  829407 */     // No operand predicates
     /*  829407 */     // MIs[0] policy
     /*  829407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  829422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829428 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829441 */     GIR_RootConstrainSelectedInstOperands,
     /*  829442 */     // GIR_Coverage, 23724,
     /*  829442 */     GIR_EraseRootFromParent_Done,
     /*  829443 */   // Label 12758: @829443
     /*  829443 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(829531), // Rule ID 23725 //
     /*  829448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  829459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  829462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  829465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829495 */     // MIs[1] Operand 1
     /*  829495 */     // No operand predicates
     /*  829495 */     // MIs[0] policy
     /*  829495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  829510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829529 */     GIR_RootConstrainSelectedInstOperands,
     /*  829530 */     // GIR_Coverage, 23725,
     /*  829530 */     GIR_EraseRootFromParent_Done,
     /*  829531 */   // Label 12759: @829531
     /*  829531 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(829619), // Rule ID 23728 //
     /*  829536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  829547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  829550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829583 */     // MIs[1] Operand 1
     /*  829583 */     // No operand predicates
     /*  829583 */     // MIs[0] policy
     /*  829583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  829598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829617 */     GIR_RootConstrainSelectedInstOperands,
     /*  829618 */     // GIR_Coverage, 23728,
     /*  829618 */     GIR_EraseRootFromParent_Done,
     /*  829619 */   // Label 12760: @829619
     /*  829619 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(829707), // Rule ID 23729 //
     /*  829624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  829635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  829638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  829641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829671 */     // MIs[1] Operand 1
     /*  829671 */     // No operand predicates
     /*  829671 */     // MIs[0] policy
     /*  829671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  829686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829705 */     GIR_RootConstrainSelectedInstOperands,
     /*  829706 */     // GIR_Coverage, 23729,
     /*  829706 */     GIR_EraseRootFromParent_Done,
     /*  829707 */   // Label 12761: @829707
     /*  829707 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(829795), // Rule ID 23732 //
     /*  829712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  829723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  829726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829759 */     // MIs[1] Operand 1
     /*  829759 */     // No operand predicates
     /*  829759 */     // MIs[0] policy
     /*  829759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  829774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829793 */     GIR_RootConstrainSelectedInstOperands,
     /*  829794 */     // GIR_Coverage, 23732,
     /*  829794 */     GIR_EraseRootFromParent_Done,
     /*  829795 */   // Label 12762: @829795
     /*  829795 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(829883), // Rule ID 23733 //
     /*  829800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  829811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  829814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  829817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829847 */     // MIs[1] Operand 1
     /*  829847 */     // No operand predicates
     /*  829847 */     // MIs[0] policy
     /*  829847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  829859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  829862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  829879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829881 */     GIR_RootConstrainSelectedInstOperands,
     /*  829882 */     // GIR_Coverage, 23733,
     /*  829882 */     GIR_EraseRootFromParent_Done,
     /*  829883 */   // Label 12763: @829883
     /*  829883 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(829971), // Rule ID 23736 //
     /*  829888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  829899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  829902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  829908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  829927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  829931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  829935 */     // MIs[1] Operand 1
     /*  829935 */     // No operand predicates
     /*  829935 */     // MIs[0] policy
     /*  829935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  829938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  829940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  829947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  829950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  829959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  829969 */     GIR_RootConstrainSelectedInstOperands,
     /*  829970 */     // GIR_Coverage, 23736,
     /*  829970 */     GIR_EraseRootFromParent_Done,
     /*  829971 */   // Label 12764: @829971
     /*  829971 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(830059), // Rule ID 23737 //
     /*  829976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  829984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  829987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  829990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  829993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  829996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830023 */     // MIs[1] Operand 1
     /*  830023 */     // No operand predicates
     /*  830023 */     // MIs[0] policy
     /*  830023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830035 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  830038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830057 */     GIR_RootConstrainSelectedInstOperands,
     /*  830058 */     // GIR_Coverage, 23737,
     /*  830058 */     GIR_EraseRootFromParent_Done,
     /*  830059 */   // Label 12765: @830059
     /*  830059 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(830147), // Rule ID 23740 //
     /*  830064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  830075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  830078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830111 */     // MIs[1] Operand 1
     /*  830111 */     // No operand predicates
     /*  830111 */     // MIs[0] policy
     /*  830111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830145 */     GIR_RootConstrainSelectedInstOperands,
     /*  830146 */     // GIR_Coverage, 23740,
     /*  830146 */     GIR_EraseRootFromParent_Done,
     /*  830147 */   // Label 12766: @830147
     /*  830147 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(830235), // Rule ID 23741 //
     /*  830152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  830163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  830166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830199 */     // MIs[1] Operand 1
     /*  830199 */     // No operand predicates
     /*  830199 */     // MIs[0] policy
     /*  830199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830233 */     GIR_RootConstrainSelectedInstOperands,
     /*  830234 */     // GIR_Coverage, 23741,
     /*  830234 */     GIR_EraseRootFromParent_Done,
     /*  830235 */   // Label 12767: @830235
     /*  830235 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(830323), // Rule ID 23744 //
     /*  830240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  830251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  830254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830287 */     // MIs[1] Operand 1
     /*  830287 */     // No operand predicates
     /*  830287 */     // MIs[0] policy
     /*  830287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830321 */     GIR_RootConstrainSelectedInstOperands,
     /*  830322 */     // GIR_Coverage, 23744,
     /*  830322 */     GIR_EraseRootFromParent_Done,
     /*  830323 */   // Label 12768: @830323
     /*  830323 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(830411), // Rule ID 23745 //
     /*  830328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  830339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  830342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830375 */     // MIs[1] Operand 1
     /*  830375 */     // No operand predicates
     /*  830375 */     // MIs[0] policy
     /*  830375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830387 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  830390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830409 */     GIR_RootConstrainSelectedInstOperands,
     /*  830410 */     // GIR_Coverage, 23745,
     /*  830410 */     GIR_EraseRootFromParent_Done,
     /*  830411 */   // Label 12769: @830411
     /*  830411 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(830499), // Rule ID 23748 //
     /*  830416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830463 */     // MIs[1] Operand 1
     /*  830463 */     // No operand predicates
     /*  830463 */     // MIs[0] policy
     /*  830463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830475 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830484 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830497 */     GIR_RootConstrainSelectedInstOperands,
     /*  830498 */     // GIR_Coverage, 23748,
     /*  830498 */     GIR_EraseRootFromParent_Done,
     /*  830499 */   // Label 12770: @830499
     /*  830499 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(830587), // Rule ID 23749 //
     /*  830504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  830521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830547 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830551 */     // MIs[1] Operand 1
     /*  830551 */     // No operand predicates
     /*  830551 */     // MIs[0] policy
     /*  830551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830585 */     GIR_RootConstrainSelectedInstOperands,
     /*  830586 */     // GIR_Coverage, 23749,
     /*  830586 */     GIR_EraseRootFromParent_Done,
     /*  830587 */   // Label 12771: @830587
     /*  830587 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(830675), // Rule ID 23752 //
     /*  830592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830639 */     // MIs[1] Operand 1
     /*  830639 */     // No operand predicates
     /*  830639 */     // MIs[0] policy
     /*  830639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830673 */     GIR_RootConstrainSelectedInstOperands,
     /*  830674 */     // GIR_Coverage, 23752,
     /*  830674 */     GIR_EraseRootFromParent_Done,
     /*  830675 */   // Label 12772: @830675
     /*  830675 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(830763), // Rule ID 23753 //
     /*  830680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  830697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830727 */     // MIs[1] Operand 1
     /*  830727 */     // No operand predicates
     /*  830727 */     // MIs[0] policy
     /*  830727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830761 */     GIR_RootConstrainSelectedInstOperands,
     /*  830762 */     // GIR_Coverage, 23753,
     /*  830762 */     GIR_EraseRootFromParent_Done,
     /*  830763 */   // Label 12773: @830763
     /*  830763 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(830851), // Rule ID 23756 //
     /*  830768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830815 */     // MIs[1] Operand 1
     /*  830815 */     // No operand predicates
     /*  830815 */     // MIs[0] policy
     /*  830815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  830827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830849 */     GIR_RootConstrainSelectedInstOperands,
     /*  830850 */     // GIR_Coverage, 23756,
     /*  830850 */     GIR_EraseRootFromParent_Done,
     /*  830851 */   // Label 12774: @830851
     /*  830851 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(830939), // Rule ID 23757 //
     /*  830856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  830873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  830876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830903 */     // MIs[1] Operand 1
     /*  830903 */     // No operand predicates
     /*  830903 */     // MIs[0] policy
     /*  830903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  830915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  830918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  830927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  830935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  830937 */     GIR_RootConstrainSelectedInstOperands,
     /*  830938 */     // GIR_Coverage, 23757,
     /*  830938 */     GIR_EraseRootFromParent_Done,
     /*  830939 */   // Label 12775: @830939
     /*  830939 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(831027), // Rule ID 23760 //
     /*  830944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  830952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  830961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  830964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  830983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  830987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  830991 */     // MIs[1] Operand 1
     /*  830991 */     // No operand predicates
     /*  830991 */     // MIs[0] policy
     /*  830991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  830994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  830996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  831006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831025 */     GIR_RootConstrainSelectedInstOperands,
     /*  831026 */     // GIR_Coverage, 23760,
     /*  831026 */     GIR_EraseRootFromParent_Done,
     /*  831027 */   // Label 12776: @831027
     /*  831027 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(831115), // Rule ID 23761 //
     /*  831032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831079 */     // MIs[1] Operand 1
     /*  831079 */     // No operand predicates
     /*  831079 */     // MIs[0] policy
     /*  831079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  831094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831113 */     GIR_RootConstrainSelectedInstOperands,
     /*  831114 */     // GIR_Coverage, 23761,
     /*  831114 */     GIR_EraseRootFromParent_Done,
     /*  831115 */   // Label 12777: @831115
     /*  831115 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(831203), // Rule ID 23764 //
     /*  831120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  831131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  831134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831167 */     // MIs[1] Operand 1
     /*  831167 */     // No operand predicates
     /*  831167 */     // MIs[0] policy
     /*  831167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831188 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831201 */     GIR_RootConstrainSelectedInstOperands,
     /*  831202 */     // GIR_Coverage, 23764,
     /*  831202 */     GIR_EraseRootFromParent_Done,
     /*  831203 */   // Label 12778: @831203
     /*  831203 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(831291), // Rule ID 23765 //
     /*  831208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  831219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  831222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831255 */     // MIs[1] Operand 1
     /*  831255 */     // No operand predicates
     /*  831255 */     // MIs[0] policy
     /*  831255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831289 */     GIR_RootConstrainSelectedInstOperands,
     /*  831290 */     // GIR_Coverage, 23765,
     /*  831290 */     GIR_EraseRootFromParent_Done,
     /*  831291 */   // Label 12779: @831291
     /*  831291 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(831379), // Rule ID 23768 //
     /*  831296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  831307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  831310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831343 */     // MIs[1] Operand 1
     /*  831343 */     // No operand predicates
     /*  831343 */     // MIs[0] policy
     /*  831343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831377 */     GIR_RootConstrainSelectedInstOperands,
     /*  831378 */     // GIR_Coverage, 23768,
     /*  831378 */     GIR_EraseRootFromParent_Done,
     /*  831379 */   // Label 12780: @831379
     /*  831379 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(831467), // Rule ID 23769 //
     /*  831384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  831395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  831398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831431 */     // MIs[1] Operand 1
     /*  831431 */     // No operand predicates
     /*  831431 */     // MIs[0] policy
     /*  831431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831465 */     GIR_RootConstrainSelectedInstOperands,
     /*  831466 */     // GIR_Coverage, 23769,
     /*  831466 */     GIR_EraseRootFromParent_Done,
     /*  831467 */   // Label 12781: @831467
     /*  831467 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(831555), // Rule ID 23772 //
     /*  831472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  831483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  831486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831519 */     // MIs[1] Operand 1
     /*  831519 */     // No operand predicates
     /*  831519 */     // MIs[0] policy
     /*  831519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831531 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831553 */     GIR_RootConstrainSelectedInstOperands,
     /*  831554 */     // GIR_Coverage, 23772,
     /*  831554 */     GIR_EraseRootFromParent_Done,
     /*  831555 */   // Label 12782: @831555
     /*  831555 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(831643), // Rule ID 23773 //
     /*  831560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  831571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  831574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  831577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  831595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831607 */     // MIs[1] Operand 1
     /*  831607 */     // No operand predicates
     /*  831607 */     // MIs[0] policy
     /*  831607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831619 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  831622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831641 */     GIR_RootConstrainSelectedInstOperands,
     /*  831642 */     // GIR_Coverage, 23773,
     /*  831642 */     GIR_EraseRootFromParent_Done,
     /*  831643 */   // Label 12783: @831643
     /*  831643 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(831731), // Rule ID 23776 //
     /*  831648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  831659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  831662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831695 */     // MIs[1] Operand 1
     /*  831695 */     // No operand predicates
     /*  831695 */     // MIs[0] policy
     /*  831695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831707 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831729 */     GIR_RootConstrainSelectedInstOperands,
     /*  831730 */     // GIR_Coverage, 23776,
     /*  831730 */     GIR_EraseRootFromParent_Done,
     /*  831731 */   // Label 12784: @831731
     /*  831731 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(831819), // Rule ID 23777 //
     /*  831736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  831747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  831750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  831753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831783 */     // MIs[1] Operand 1
     /*  831783 */     // No operand predicates
     /*  831783 */     // MIs[0] policy
     /*  831783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831795 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  831798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831817 */     GIR_RootConstrainSelectedInstOperands,
     /*  831818 */     // GIR_Coverage, 23777,
     /*  831818 */     GIR_EraseRootFromParent_Done,
     /*  831819 */   // Label 12785: @831819
     /*  831819 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(831907), // Rule ID 23780 //
     /*  831824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  831835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  831838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  831844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831871 */     // MIs[1] Operand 1
     /*  831871 */     // No operand predicates
     /*  831871 */     // MIs[0] policy
     /*  831871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  831883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831905 */     GIR_RootConstrainSelectedInstOperands,
     /*  831906 */     // GIR_Coverage, 23780,
     /*  831906 */     GIR_EraseRootFromParent_Done,
     /*  831907 */   // Label 12786: @831907
     /*  831907 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(831995), // Rule ID 23781 //
     /*  831912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  831920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  831923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  831926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  831929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  831932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  831951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  831955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  831959 */     // MIs[1] Operand 1
     /*  831959 */     // No operand predicates
     /*  831959 */     // MIs[0] policy
     /*  831959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  831962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  831964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  831971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  831974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  831983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  831993 */     GIR_RootConstrainSelectedInstOperands,
     /*  831994 */     // GIR_Coverage, 23781,
     /*  831994 */     GIR_EraseRootFromParent_Done,
     /*  831995 */   // Label 12787: @831995
     /*  831995 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(832083), // Rule ID 23784 //
     /*  832000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  832011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  832014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832047 */     // MIs[1] Operand 1
     /*  832047 */     // No operand predicates
     /*  832047 */     // MIs[0] policy
     /*  832047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832059 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832068 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832081 */     GIR_RootConstrainSelectedInstOperands,
     /*  832082 */     // GIR_Coverage, 23784,
     /*  832082 */     GIR_EraseRootFromParent_Done,
     /*  832083 */   // Label 12788: @832083
     /*  832083 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(832171), // Rule ID 23785 //
     /*  832088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  832099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  832102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832135 */     // MIs[1] Operand 1
     /*  832135 */     // No operand predicates
     /*  832135 */     // MIs[0] policy
     /*  832135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832169 */     GIR_RootConstrainSelectedInstOperands,
     /*  832170 */     // GIR_Coverage, 23785,
     /*  832170 */     GIR_EraseRootFromParent_Done,
     /*  832171 */   // Label 12789: @832171
     /*  832171 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(832259), // Rule ID 23788 //
     /*  832176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  832187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  832190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832223 */     // MIs[1] Operand 1
     /*  832223 */     // No operand predicates
     /*  832223 */     // MIs[0] policy
     /*  832223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832235 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832257 */     GIR_RootConstrainSelectedInstOperands,
     /*  832258 */     // GIR_Coverage, 23788,
     /*  832258 */     GIR_EraseRootFromParent_Done,
     /*  832259 */   // Label 12790: @832259
     /*  832259 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(832347), // Rule ID 23789 //
     /*  832264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  832275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  832278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832311 */     // MIs[1] Operand 1
     /*  832311 */     // No operand predicates
     /*  832311 */     // MIs[0] policy
     /*  832311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832345 */     GIR_RootConstrainSelectedInstOperands,
     /*  832346 */     // GIR_Coverage, 23789,
     /*  832346 */     GIR_EraseRootFromParent_Done,
     /*  832347 */   // Label 12791: @832347
     /*  832347 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(832435), // Rule ID 23792 //
     /*  832352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  832363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  832366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832399 */     // MIs[1] Operand 1
     /*  832399 */     // No operand predicates
     /*  832399 */     // MIs[0] policy
     /*  832399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  832414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832433 */     GIR_RootConstrainSelectedInstOperands,
     /*  832434 */     // GIR_Coverage, 23792,
     /*  832434 */     GIR_EraseRootFromParent_Done,
     /*  832435 */   // Label 12792: @832435
     /*  832435 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(832523), // Rule ID 23793 //
     /*  832440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  832451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  832454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832487 */     // MIs[1] Operand 1
     /*  832487 */     // No operand predicates
     /*  832487 */     // MIs[0] policy
     /*  832487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  832502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832521 */     GIR_RootConstrainSelectedInstOperands,
     /*  832522 */     // GIR_Coverage, 23793,
     /*  832522 */     GIR_EraseRootFromParent_Done,
     /*  832523 */   // Label 12793: @832523
     /*  832523 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(832611), // Rule ID 23796 //
     /*  832528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  832539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  832542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832575 */     // MIs[1] Operand 1
     /*  832575 */     // No operand predicates
     /*  832575 */     // MIs[0] policy
     /*  832575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832609 */     GIR_RootConstrainSelectedInstOperands,
     /*  832610 */     // GIR_Coverage, 23796,
     /*  832610 */     GIR_EraseRootFromParent_Done,
     /*  832611 */   // Label 12794: @832611
     /*  832611 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(832699), // Rule ID 23797 //
     /*  832616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  832627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  832630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832663 */     // MIs[1] Operand 1
     /*  832663 */     // No operand predicates
     /*  832663 */     // MIs[0] policy
     /*  832663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  832678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832697 */     GIR_RootConstrainSelectedInstOperands,
     /*  832698 */     // GIR_Coverage, 23797,
     /*  832698 */     GIR_EraseRootFromParent_Done,
     /*  832699 */   // Label 12795: @832699
     /*  832699 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(832787), // Rule ID 23800 //
     /*  832704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  832715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  832718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832751 */     // MIs[1] Operand 1
     /*  832751 */     // No operand predicates
     /*  832751 */     // MIs[0] policy
     /*  832751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832785 */     GIR_RootConstrainSelectedInstOperands,
     /*  832786 */     // GIR_Coverage, 23800,
     /*  832786 */     GIR_EraseRootFromParent_Done,
     /*  832787 */   // Label 12796: @832787
     /*  832787 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(832875), // Rule ID 23801 //
     /*  832792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  832803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  832806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  832809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832839 */     // MIs[1] Operand 1
     /*  832839 */     // No operand predicates
     /*  832839 */     // MIs[0] policy
     /*  832839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  832851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  832854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832873 */     GIR_RootConstrainSelectedInstOperands,
     /*  832874 */     // GIR_Coverage, 23801,
     /*  832874 */     GIR_EraseRootFromParent_Done,
     /*  832875 */   // Label 12797: @832875
     /*  832875 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(832963), // Rule ID 23804 //
     /*  832880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  832883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  832891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  832894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  832900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  832919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  832923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  832927 */     // MIs[1] Operand 1
     /*  832927 */     // No operand predicates
     /*  832927 */     // MIs[0] policy
     /*  832927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  832930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  832932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  832939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  832942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  832951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  832959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  832961 */     GIR_RootConstrainSelectedInstOperands,
     /*  832962 */     // GIR_Coverage, 23804,
     /*  832962 */     GIR_EraseRootFromParent_Done,
     /*  832963 */   // Label 12798: @832963
     /*  832963 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(833051), // Rule ID 23805 //
     /*  832968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  832971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  832976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  832979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  832982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  832985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  832988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833015 */     // MIs[1] Operand 1
     /*  833015 */     // No operand predicates
     /*  833015 */     // MIs[0] policy
     /*  833015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  833030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833049 */     GIR_RootConstrainSelectedInstOperands,
     /*  833050 */     // GIR_Coverage, 23805,
     /*  833050 */     GIR_EraseRootFromParent_Done,
     /*  833051 */   // Label 12799: @833051
     /*  833051 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(833139), // Rule ID 23808 //
     /*  833056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  833059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  833064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  833067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  833070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833103 */     // MIs[1] Operand 1
     /*  833103 */     // No operand predicates
     /*  833103 */     // MIs[0] policy
     /*  833103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  833118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833137 */     GIR_RootConstrainSelectedInstOperands,
     /*  833138 */     // GIR_Coverage, 23808,
     /*  833138 */     GIR_EraseRootFromParent_Done,
     /*  833139 */   // Label 12800: @833139
     /*  833139 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(833227), // Rule ID 23809 //
     /*  833144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  833147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  833152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  833155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  833158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833191 */     // MIs[1] Operand 1
     /*  833191 */     // No operand predicates
     /*  833191 */     // MIs[0] policy
     /*  833191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  833206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833225 */     GIR_RootConstrainSelectedInstOperands,
     /*  833226 */     // GIR_Coverage, 23809,
     /*  833226 */     GIR_EraseRootFromParent_Done,
     /*  833227 */   // Label 12801: @833227
     /*  833227 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(833315), // Rule ID 24048 //
     /*  833232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  833243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  833246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833279 */     // MIs[1] Operand 1
     /*  833279 */     // No operand predicates
     /*  833279 */     // MIs[0] policy
     /*  833279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833291 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  833294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833313 */     GIR_RootConstrainSelectedInstOperands,
     /*  833314 */     // GIR_Coverage, 24048,
     /*  833314 */     GIR_EraseRootFromParent_Done,
     /*  833315 */   // Label 12802: @833315
     /*  833315 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(833403), // Rule ID 24049 //
     /*  833320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  833331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  833334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833367 */     // MIs[1] Operand 1
     /*  833367 */     // No operand predicates
     /*  833367 */     // MIs[0] policy
     /*  833367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833379 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  833382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833401 */     GIR_RootConstrainSelectedInstOperands,
     /*  833402 */     // GIR_Coverage, 24049,
     /*  833402 */     GIR_EraseRootFromParent_Done,
     /*  833403 */   // Label 12803: @833403
     /*  833403 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(833491), // Rule ID 24052 //
     /*  833408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  833419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  833422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833455 */     // MIs[1] Operand 1
     /*  833455 */     // No operand predicates
     /*  833455 */     // MIs[0] policy
     /*  833455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  833470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833489 */     GIR_RootConstrainSelectedInstOperands,
     /*  833490 */     // GIR_Coverage, 24052,
     /*  833490 */     GIR_EraseRootFromParent_Done,
     /*  833491 */   // Label 12804: @833491
     /*  833491 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(833579), // Rule ID 24053 //
     /*  833496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  833507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  833510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  833513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833543 */     // MIs[1] Operand 1
     /*  833543 */     // No operand predicates
     /*  833543 */     // MIs[0] policy
     /*  833543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  833558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833564 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833577 */     GIR_RootConstrainSelectedInstOperands,
     /*  833578 */     // GIR_Coverage, 24053,
     /*  833578 */     GIR_EraseRootFromParent_Done,
     /*  833579 */   // Label 12805: @833579
     /*  833579 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(833667), // Rule ID 24056 //
     /*  833584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  833587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  833595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  833598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833631 */     // MIs[1] Operand 1
     /*  833631 */     // No operand predicates
     /*  833631 */     // MIs[0] policy
     /*  833631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833643 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  833646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833665 */     GIR_RootConstrainSelectedInstOperands,
     /*  833666 */     // GIR_Coverage, 24056,
     /*  833666 */     GIR_EraseRootFromParent_Done,
     /*  833667 */   // Label 12806: @833667
     /*  833667 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(833755), // Rule ID 24057 //
     /*  833672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  833675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  833683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  833686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  833689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833719 */     // MIs[1] Operand 1
     /*  833719 */     // No operand predicates
     /*  833719 */     // MIs[0] policy
     /*  833719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  833734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833753 */     GIR_RootConstrainSelectedInstOperands,
     /*  833754 */     // GIR_Coverage, 24057,
     /*  833754 */     GIR_EraseRootFromParent_Done,
     /*  833755 */   // Label 12807: @833755
     /*  833755 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(833843), // Rule ID 24060 //
     /*  833760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  833763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833807 */     // MIs[1] Operand 1
     /*  833807 */     // No operand predicates
     /*  833807 */     // MIs[0] policy
     /*  833807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833819 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  833822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833841 */     GIR_RootConstrainSelectedInstOperands,
     /*  833842 */     // GIR_Coverage, 24060,
     /*  833842 */     GIR_EraseRootFromParent_Done,
     /*  833843 */   // Label 12808: @833843
     /*  833843 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(833931), // Rule ID 24061 //
     /*  833848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  833851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  833865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  833868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833895 */     // MIs[1] Operand 1
     /*  833895 */     // No operand predicates
     /*  833895 */     // MIs[0] policy
     /*  833895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  833907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  833910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  833919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  833927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  833929 */     GIR_RootConstrainSelectedInstOperands,
     /*  833930 */     // GIR_Coverage, 24061,
     /*  833930 */     GIR_EraseRootFromParent_Done,
     /*  833931 */   // Label 12809: @833931
     /*  833931 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(834019), // Rule ID 24064 //
     /*  833936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  833939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  833944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  833953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  833956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  833975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  833979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  833983 */     // MIs[1] Operand 1
     /*  833983 */     // No operand predicates
     /*  833983 */     // MIs[0] policy
     /*  833983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  833986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  833988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833995 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  833995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  833998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834017 */     GIR_RootConstrainSelectedInstOperands,
     /*  834018 */     // GIR_Coverage, 24064,
     /*  834018 */     GIR_EraseRootFromParent_Done,
     /*  834019 */   // Label 12810: @834019
     /*  834019 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(834107), // Rule ID 24065 //
     /*  834024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  834027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834071 */     // MIs[1] Operand 1
     /*  834071 */     // No operand predicates
     /*  834071 */     // MIs[0] policy
     /*  834071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834083 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  834086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834105 */     GIR_RootConstrainSelectedInstOperands,
     /*  834106 */     // GIR_Coverage, 24065,
     /*  834106 */     GIR_EraseRootFromParent_Done,
     /*  834107 */   // Label 12811: @834107
     /*  834107 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(834195), // Rule ID 24068 //
     /*  834112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  834115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834159 */     // MIs[1] Operand 1
     /*  834159 */     // No operand predicates
     /*  834159 */     // MIs[0] policy
     /*  834159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834171 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  834171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  834174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834193 */     GIR_RootConstrainSelectedInstOperands,
     /*  834194 */     // GIR_Coverage, 24068,
     /*  834194 */     GIR_EraseRootFromParent_Done,
     /*  834195 */   // Label 12812: @834195
     /*  834195 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(834283), // Rule ID 24069 //
     /*  834200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  834203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834247 */     // MIs[1] Operand 1
     /*  834247 */     // No operand predicates
     /*  834247 */     // MIs[0] policy
     /*  834247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  834262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834281 */     GIR_RootConstrainSelectedInstOperands,
     /*  834282 */     // GIR_Coverage, 24069,
     /*  834282 */     GIR_EraseRootFromParent_Done,
     /*  834283 */   // Label 12813: @834283
     /*  834283 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(834371), // Rule ID 24072 //
     /*  834288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  834299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  834302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834335 */     // MIs[1] Operand 1
     /*  834335 */     // No operand predicates
     /*  834335 */     // MIs[0] policy
     /*  834335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834347 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  834347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  834350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834369 */     GIR_RootConstrainSelectedInstOperands,
     /*  834370 */     // GIR_Coverage, 24072,
     /*  834370 */     GIR_EraseRootFromParent_Done,
     /*  834371 */   // Label 12814: @834371
     /*  834371 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(834459), // Rule ID 24073 //
     /*  834376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  834387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  834390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  834393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834423 */     // MIs[1] Operand 1
     /*  834423 */     // No operand predicates
     /*  834423 */     // MIs[0] policy
     /*  834423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834426 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834435 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  834438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834457 */     GIR_RootConstrainSelectedInstOperands,
     /*  834458 */     // GIR_Coverage, 24073,
     /*  834458 */     GIR_EraseRootFromParent_Done,
     /*  834459 */   // Label 12815: @834459
     /*  834459 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(834547), // Rule ID 24076 //
     /*  834464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  834475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  834478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834511 */     // MIs[1] Operand 1
     /*  834511 */     // No operand predicates
     /*  834511 */     // MIs[0] policy
     /*  834511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834523 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  834523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  834526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834545 */     GIR_RootConstrainSelectedInstOperands,
     /*  834546 */     // GIR_Coverage, 24076,
     /*  834546 */     GIR_EraseRootFromParent_Done,
     /*  834547 */   // Label 12816: @834547
     /*  834547 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(834635), // Rule ID 24077 //
     /*  834552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  834563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  834566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  834569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  834587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834599 */     // MIs[1] Operand 1
     /*  834599 */     // No operand predicates
     /*  834599 */     // MIs[0] policy
     /*  834599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834611 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  834614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834633 */     GIR_RootConstrainSelectedInstOperands,
     /*  834634 */     // GIR_Coverage, 24077,
     /*  834634 */     GIR_EraseRootFromParent_Done,
     /*  834635 */   // Label 12817: @834635
     /*  834635 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(834723), // Rule ID 24080 //
     /*  834640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  834643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  834651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  834654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834687 */     // MIs[1] Operand 1
     /*  834687 */     // No operand predicates
     /*  834687 */     // MIs[0] policy
     /*  834687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834699 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  834699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  834702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834708 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834721 */     GIR_RootConstrainSelectedInstOperands,
     /*  834722 */     // GIR_Coverage, 24080,
     /*  834722 */     GIR_EraseRootFromParent_Done,
     /*  834723 */   // Label 12818: @834723
     /*  834723 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(834811), // Rule ID 24081 //
     /*  834728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  834731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  834739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  834742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  834745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  834763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834775 */     // MIs[1] Operand 1
     /*  834775 */     // No operand predicates
     /*  834775 */     // MIs[0] policy
     /*  834775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  834790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834809 */     GIR_RootConstrainSelectedInstOperands,
     /*  834810 */     // GIR_Coverage, 24081,
     /*  834810 */     GIR_EraseRootFromParent_Done,
     /*  834811 */   // Label 12819: @834811
     /*  834811 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(834899), // Rule ID 24084 //
     /*  834816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  834819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  834827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  834830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  834836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834863 */     // MIs[1] Operand 1
     /*  834863 */     // No operand predicates
     /*  834863 */     // MIs[0] policy
     /*  834863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834875 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  834875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  834878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834897 */     GIR_RootConstrainSelectedInstOperands,
     /*  834898 */     // GIR_Coverage, 24084,
     /*  834898 */     GIR_EraseRootFromParent_Done,
     /*  834899 */   // Label 12820: @834899
     /*  834899 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(834987), // Rule ID 24085 //
     /*  834904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  834907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  834912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  834915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  834918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  834921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  834924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  834939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  834943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  834947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  834951 */     // MIs[1] Operand 1
     /*  834951 */     // No operand predicates
     /*  834951 */     // MIs[0] policy
     /*  834951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  834954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  834956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834963 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  834963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  834966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  834975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  834985 */     GIR_RootConstrainSelectedInstOperands,
     /*  834986 */     // GIR_Coverage, 24085,
     /*  834986 */     GIR_EraseRootFromParent_Done,
     /*  834987 */   // Label 12821: @834987
     /*  834987 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(835075), // Rule ID 24088 //
     /*  834992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  834995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  835003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  835006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835039 */     // MIs[1] Operand 1
     /*  835039 */     // No operand predicates
     /*  835039 */     // MIs[0] policy
     /*  835039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835051 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  835054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835073 */     GIR_RootConstrainSelectedInstOperands,
     /*  835074 */     // GIR_Coverage, 24088,
     /*  835074 */     GIR_EraseRootFromParent_Done,
     /*  835075 */   // Label 12822: @835075
     /*  835075 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(835163), // Rule ID 24089 //
     /*  835080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  835083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  835091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  835094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  835097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835127 */     // MIs[1] Operand 1
     /*  835127 */     // No operand predicates
     /*  835127 */     // MIs[0] policy
     /*  835127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835139 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  835139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  835142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835161 */     GIR_RootConstrainSelectedInstOperands,
     /*  835162 */     // GIR_Coverage, 24089,
     /*  835162 */     GIR_EraseRootFromParent_Done,
     /*  835163 */   // Label 12823: @835163
     /*  835163 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(835251), // Rule ID 24092 //
     /*  835168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  835171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  835179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  835182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835215 */     // MIs[1] Operand 1
     /*  835215 */     // No operand predicates
     /*  835215 */     // MIs[0] policy
     /*  835215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835227 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  835230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835249 */     GIR_RootConstrainSelectedInstOperands,
     /*  835250 */     // GIR_Coverage, 24092,
     /*  835250 */     GIR_EraseRootFromParent_Done,
     /*  835251 */   // Label 12824: @835251
     /*  835251 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(835339), // Rule ID 24093 //
     /*  835256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  835259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  835267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  835270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  835273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835303 */     // MIs[1] Operand 1
     /*  835303 */     // No operand predicates
     /*  835303 */     // MIs[0] policy
     /*  835303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835315 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  835315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  835318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835337 */     GIR_RootConstrainSelectedInstOperands,
     /*  835338 */     // GIR_Coverage, 24093,
     /*  835338 */     GIR_EraseRootFromParent_Done,
     /*  835339 */   // Label 12825: @835339
     /*  835339 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(835427), // Rule ID 24096 //
     /*  835344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  835355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  835358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835391 */     // MIs[1] Operand 1
     /*  835391 */     // No operand predicates
     /*  835391 */     // MIs[0] policy
     /*  835391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835403 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  835406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835425 */     GIR_RootConstrainSelectedInstOperands,
     /*  835426 */     // GIR_Coverage, 24096,
     /*  835426 */     GIR_EraseRootFromParent_Done,
     /*  835427 */   // Label 12826: @835427
     /*  835427 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(835515), // Rule ID 24097 //
     /*  835432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  835443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  835446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  835449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835479 */     // MIs[1] Operand 1
     /*  835479 */     // No operand predicates
     /*  835479 */     // MIs[0] policy
     /*  835479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  835491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  835494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835513 */     GIR_RootConstrainSelectedInstOperands,
     /*  835514 */     // GIR_Coverage, 24097,
     /*  835514 */     GIR_EraseRootFromParent_Done,
     /*  835515 */   // Label 12827: @835515
     /*  835515 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(835603), // Rule ID 24100 //
     /*  835520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  835531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  835534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835567 */     // MIs[1] Operand 1
     /*  835567 */     // No operand predicates
     /*  835567 */     // MIs[0] policy
     /*  835567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835579 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  835582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835601 */     GIR_RootConstrainSelectedInstOperands,
     /*  835602 */     // GIR_Coverage, 24100,
     /*  835602 */     GIR_EraseRootFromParent_Done,
     /*  835603 */   // Label 12828: @835603
     /*  835603 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(835691), // Rule ID 24101 //
     /*  835608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  835619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  835622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  835625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835655 */     // MIs[1] Operand 1
     /*  835655 */     // No operand predicates
     /*  835655 */     // MIs[0] policy
     /*  835655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835667 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  835667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  835670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835689 */     GIR_RootConstrainSelectedInstOperands,
     /*  835690 */     // GIR_Coverage, 24101,
     /*  835690 */     GIR_EraseRootFromParent_Done,
     /*  835691 */   // Label 12829: @835691
     /*  835691 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(835779), // Rule ID 24104 //
     /*  835696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  835699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  835707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  835710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  835713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835743 */     // MIs[1] Operand 1
     /*  835743 */     // No operand predicates
     /*  835743 */     // MIs[0] policy
     /*  835743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  835758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835777 */     GIR_RootConstrainSelectedInstOperands,
     /*  835778 */     // GIR_Coverage, 24104,
     /*  835778 */     GIR_EraseRootFromParent_Done,
     /*  835779 */   // Label 12830: @835779
     /*  835779 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(835867), // Rule ID 24105 //
     /*  835784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  835787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  835792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  835795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  835798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  835801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835831 */     // MIs[1] Operand 1
     /*  835831 */     // No operand predicates
     /*  835831 */     // MIs[0] policy
     /*  835831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835843 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  835843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  835846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835865 */     GIR_RootConstrainSelectedInstOperands,
     /*  835866 */     // GIR_Coverage, 24105,
     /*  835866 */     GIR_EraseRootFromParent_Done,
     /*  835867 */   // Label 12831: @835867
     /*  835867 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(835955), // Rule ID 24168 //
     /*  835872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  835875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  835880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  835883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  835886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  835892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  835915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  835919 */     // MIs[1] Operand 1
     /*  835919 */     // No operand predicates
     /*  835919 */     // MIs[0] policy
     /*  835919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  835922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  835924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835931 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  835931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  835934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  835943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  835953 */     GIR_RootConstrainSelectedInstOperands,
     /*  835954 */     // GIR_Coverage, 24168,
     /*  835954 */     GIR_EraseRootFromParent_Done,
     /*  835955 */   // Label 12832: @835955
     /*  835955 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(836043), // Rule ID 24169 //
     /*  835960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  835963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  835968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  835971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  835974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  835977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  835980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  835999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836007 */     // MIs[1] Operand 1
     /*  836007 */     // No operand predicates
     /*  836007 */     // MIs[0] policy
     /*  836007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836019 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  836022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836041 */     GIR_RootConstrainSelectedInstOperands,
     /*  836042 */     // GIR_Coverage, 24169,
     /*  836042 */     GIR_EraseRootFromParent_Done,
     /*  836043 */   // Label 12833: @836043
     /*  836043 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(836131), // Rule ID 24172 //
     /*  836048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  836059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  836062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836095 */     // MIs[1] Operand 1
     /*  836095 */     // No operand predicates
     /*  836095 */     // MIs[0] policy
     /*  836095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836107 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  836110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836129 */     GIR_RootConstrainSelectedInstOperands,
     /*  836130 */     // GIR_Coverage, 24172,
     /*  836130 */     GIR_EraseRootFromParent_Done,
     /*  836131 */   // Label 12834: @836131
     /*  836131 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(836219), // Rule ID 24173 //
     /*  836136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  836139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  836147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  836150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  836153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836183 */     // MIs[1] Operand 1
     /*  836183 */     // No operand predicates
     /*  836183 */     // MIs[0] policy
     /*  836183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836195 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  836198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836217 */     GIR_RootConstrainSelectedInstOperands,
     /*  836218 */     // GIR_Coverage, 24173,
     /*  836218 */     GIR_EraseRootFromParent_Done,
     /*  836219 */   // Label 12835: @836219
     /*  836219 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(836307), // Rule ID 24176 //
     /*  836224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  836227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  836235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  836238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836271 */     // MIs[1] Operand 1
     /*  836271 */     // No operand predicates
     /*  836271 */     // MIs[0] policy
     /*  836271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836283 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  836286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836305 */     GIR_RootConstrainSelectedInstOperands,
     /*  836306 */     // GIR_Coverage, 24176,
     /*  836306 */     GIR_EraseRootFromParent_Done,
     /*  836307 */   // Label 12836: @836307
     /*  836307 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(836395), // Rule ID 24177 //
     /*  836312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  836315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  836323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  836326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  836329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836359 */     // MIs[1] Operand 1
     /*  836359 */     // No operand predicates
     /*  836359 */     // MIs[0] policy
     /*  836359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836371 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  836374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836380 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836393 */     GIR_RootConstrainSelectedInstOperands,
     /*  836394 */     // GIR_Coverage, 24177,
     /*  836394 */     GIR_EraseRootFromParent_Done,
     /*  836395 */   // Label 12837: @836395
     /*  836395 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(836483), // Rule ID 24180 //
     /*  836400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836447 */     // MIs[1] Operand 1
     /*  836447 */     // No operand predicates
     /*  836447 */     // MIs[0] policy
     /*  836447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836459 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836481 */     GIR_RootConstrainSelectedInstOperands,
     /*  836482 */     // GIR_Coverage, 24180,
     /*  836482 */     GIR_EraseRootFromParent_Done,
     /*  836483 */   // Label 12838: @836483
     /*  836483 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(836571), // Rule ID 24181 //
     /*  836488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  836491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  836505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836535 */     // MIs[1] Operand 1
     /*  836535 */     // No operand predicates
     /*  836535 */     // MIs[0] policy
     /*  836535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836547 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  836567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836569 */     GIR_RootConstrainSelectedInstOperands,
     /*  836570 */     // GIR_Coverage, 24181,
     /*  836570 */     GIR_EraseRootFromParent_Done,
     /*  836571 */   // Label 12839: @836571
     /*  836571 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(836659), // Rule ID 24184 //
     /*  836576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  836579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836623 */     // MIs[1] Operand 1
     /*  836623 */     // No operand predicates
     /*  836623 */     // MIs[0] policy
     /*  836623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836635 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836657 */     GIR_RootConstrainSelectedInstOperands,
     /*  836658 */     // GIR_Coverage, 24184,
     /*  836658 */     GIR_EraseRootFromParent_Done,
     /*  836659 */   // Label 12840: @836659
     /*  836659 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(836747), // Rule ID 24185 //
     /*  836664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  836667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  836681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836711 */     // MIs[1] Operand 1
     /*  836711 */     // No operand predicates
     /*  836711 */     // MIs[0] policy
     /*  836711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836723 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836745 */     GIR_RootConstrainSelectedInstOperands,
     /*  836746 */     // GIR_Coverage, 24185,
     /*  836746 */     GIR_EraseRootFromParent_Done,
     /*  836747 */   // Label 12841: @836747
     /*  836747 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(836835), // Rule ID 24188 //
     /*  836752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  836755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  836769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836799 */     // MIs[1] Operand 1
     /*  836799 */     // No operand predicates
     /*  836799 */     // MIs[0] policy
     /*  836799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836811 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836833 */     GIR_RootConstrainSelectedInstOperands,
     /*  836834 */     // GIR_Coverage, 24188,
     /*  836834 */     GIR_EraseRootFromParent_Done,
     /*  836835 */   // Label 12842: @836835
     /*  836835 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(836923), // Rule ID 24189 //
     /*  836840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  836843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  836857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  836860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836887 */     // MIs[1] Operand 1
     /*  836887 */     // No operand predicates
     /*  836887 */     // MIs[0] policy
     /*  836887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836899 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  836899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  836902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  836921 */     GIR_RootConstrainSelectedInstOperands,
     /*  836922 */     // GIR_Coverage, 24189,
     /*  836922 */     GIR_EraseRootFromParent_Done,
     /*  836923 */   // Label 12843: @836923
     /*  836923 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(837011), // Rule ID 24192 //
     /*  836928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  836931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  836936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  836939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  836942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  836945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  836948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  836967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  836971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  836975 */     // MIs[1] Operand 1
     /*  836975 */     // No operand predicates
     /*  836975 */     // MIs[0] policy
     /*  836975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  836978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  836980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  836987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  836990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  836999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837009 */     GIR_RootConstrainSelectedInstOperands,
     /*  837010 */     // GIR_Coverage, 24192,
     /*  837010 */     GIR_EraseRootFromParent_Done,
     /*  837011 */   // Label 12844: @837011
     /*  837011 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(837099), // Rule ID 24193 //
     /*  837016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  837027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  837030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  837033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837063 */     // MIs[1] Operand 1
     /*  837063 */     // No operand predicates
     /*  837063 */     // MIs[0] policy
     /*  837063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837075 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  837078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837097 */     GIR_RootConstrainSelectedInstOperands,
     /*  837098 */     // GIR_Coverage, 24193,
     /*  837098 */     GIR_EraseRootFromParent_Done,
     /*  837099 */   // Label 12845: @837099
     /*  837099 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(837187), // Rule ID 24196 //
     /*  837104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  837115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  837118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  837121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837151 */     // MIs[1] Operand 1
     /*  837151 */     // No operand predicates
     /*  837151 */     // MIs[0] policy
     /*  837151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  837163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  837166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837185 */     GIR_RootConstrainSelectedInstOperands,
     /*  837186 */     // GIR_Coverage, 24196,
     /*  837186 */     GIR_EraseRootFromParent_Done,
     /*  837187 */   // Label 12846: @837187
     /*  837187 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(837275), // Rule ID 24197 //
     /*  837192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  837203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  837206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  837209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837239 */     // MIs[1] Operand 1
     /*  837239 */     // No operand predicates
     /*  837239 */     // MIs[0] policy
     /*  837239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837251 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  837254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837260 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837273 */     GIR_RootConstrainSelectedInstOperands,
     /*  837274 */     // GIR_Coverage, 24197,
     /*  837274 */     GIR_EraseRootFromParent_Done,
     /*  837275 */   // Label 12847: @837275
     /*  837275 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(837363), // Rule ID 24200 //
     /*  837280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  837283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  837291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  837294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  837297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837327 */     // MIs[1] Operand 1
     /*  837327 */     // No operand predicates
     /*  837327 */     // MIs[0] policy
     /*  837327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837339 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  837339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  837342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837361 */     GIR_RootConstrainSelectedInstOperands,
     /*  837362 */     // GIR_Coverage, 24200,
     /*  837362 */     GIR_EraseRootFromParent_Done,
     /*  837363 */   // Label 12848: @837363
     /*  837363 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(837451), // Rule ID 24201 //
     /*  837368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  837371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  837379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  837382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  837385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837415 */     // MIs[1] Operand 1
     /*  837415 */     // No operand predicates
     /*  837415 */     // MIs[0] policy
     /*  837415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837427 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  837430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837449 */     GIR_RootConstrainSelectedInstOperands,
     /*  837450 */     // GIR_Coverage, 24201,
     /*  837450 */     GIR_EraseRootFromParent_Done,
     /*  837451 */   // Label 12849: @837451
     /*  837451 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(837539), // Rule ID 24204 //
     /*  837456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  837467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  837470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837503 */     // MIs[1] Operand 1
     /*  837503 */     // No operand predicates
     /*  837503 */     // MIs[0] policy
     /*  837503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  837515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  837518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837537 */     GIR_RootConstrainSelectedInstOperands,
     /*  837538 */     // GIR_Coverage, 24204,
     /*  837538 */     GIR_EraseRootFromParent_Done,
     /*  837539 */   // Label 12850: @837539
     /*  837539 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(837627), // Rule ID 24205 //
     /*  837544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  837555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  837558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  837561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  837579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837591 */     // MIs[1] Operand 1
     /*  837591 */     // No operand predicates
     /*  837591 */     // MIs[0] policy
     /*  837591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837603 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  837606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837625 */     GIR_RootConstrainSelectedInstOperands,
     /*  837626 */     // GIR_Coverage, 24205,
     /*  837626 */     GIR_EraseRootFromParent_Done,
     /*  837627 */   // Label 12851: @837627
     /*  837627 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(837715), // Rule ID 24208 //
     /*  837632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  837643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  837646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837679 */     // MIs[1] Operand 1
     /*  837679 */     // No operand predicates
     /*  837679 */     // MIs[0] policy
     /*  837679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837691 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  837691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  837694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837713 */     GIR_RootConstrainSelectedInstOperands,
     /*  837714 */     // GIR_Coverage, 24208,
     /*  837714 */     GIR_EraseRootFromParent_Done,
     /*  837715 */   // Label 12852: @837715
     /*  837715 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(837803), // Rule ID 24209 //
     /*  837720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  837731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  837734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  837737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  837755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837767 */     // MIs[1] Operand 1
     /*  837767 */     // No operand predicates
     /*  837767 */     // MIs[0] policy
     /*  837767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837779 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  837782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837801 */     GIR_RootConstrainSelectedInstOperands,
     /*  837802 */     // GIR_Coverage, 24209,
     /*  837802 */     GIR_EraseRootFromParent_Done,
     /*  837803 */   // Label 12853: @837803
     /*  837803 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(837891), // Rule ID 24212 //
     /*  837808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  837811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  837819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  837822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  837828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837855 */     // MIs[1] Operand 1
     /*  837855 */     // No operand predicates
     /*  837855 */     // MIs[0] policy
     /*  837855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837867 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  837867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  837870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837889 */     GIR_RootConstrainSelectedInstOperands,
     /*  837890 */     // GIR_Coverage, 24212,
     /*  837890 */     GIR_EraseRootFromParent_Done,
     /*  837891 */   // Label 12854: @837891
     /*  837891 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(837979), // Rule ID 24213 //
     /*  837896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  837899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  837907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  837910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  837913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  837916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  837931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  837935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  837939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  837943 */     // MIs[1] Operand 1
     /*  837943 */     // No operand predicates
     /*  837943 */     // MIs[0] policy
     /*  837943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  837946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  837948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837955 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  837955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  837958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  837967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  837977 */     GIR_RootConstrainSelectedInstOperands,
     /*  837978 */     // GIR_Coverage, 24213,
     /*  837978 */     GIR_EraseRootFromParent_Done,
     /*  837979 */   // Label 12855: @837979
     /*  837979 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(838067), // Rule ID 24216 //
     /*  837984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  837987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  837992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  837995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  837998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838031 */     // MIs[1] Operand 1
     /*  838031 */     // No operand predicates
     /*  838031 */     // MIs[0] policy
     /*  838031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838043 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  838043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  838046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838065 */     GIR_RootConstrainSelectedInstOperands,
     /*  838066 */     // GIR_Coverage, 24216,
     /*  838066 */     GIR_EraseRootFromParent_Done,
     /*  838067 */   // Label 12856: @838067
     /*  838067 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(838155), // Rule ID 24217 //
     /*  838072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  838080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  838083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  838086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  838089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838119 */     // MIs[1] Operand 1
     /*  838119 */     // No operand predicates
     /*  838119 */     // MIs[0] policy
     /*  838119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838131 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  838131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  838134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838153 */     GIR_RootConstrainSelectedInstOperands,
     /*  838154 */     // GIR_Coverage, 24217,
     /*  838154 */     GIR_EraseRootFromParent_Done,
     /*  838155 */   // Label 12857: @838155
     /*  838155 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(838243), // Rule ID 24220 //
     /*  838160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  838168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  838171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  838174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  838177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838207 */     // MIs[1] Operand 1
     /*  838207 */     // No operand predicates
     /*  838207 */     // MIs[0] policy
     /*  838207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838219 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  838219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  838222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838241 */     GIR_RootConstrainSelectedInstOperands,
     /*  838242 */     // GIR_Coverage, 24220,
     /*  838242 */     GIR_EraseRootFromParent_Done,
     /*  838243 */   // Label 12858: @838243
     /*  838243 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(838331), // Rule ID 24221 //
     /*  838248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  838256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  838259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  838262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  838265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838295 */     // MIs[1] Operand 1
     /*  838295 */     // No operand predicates
     /*  838295 */     // MIs[0] policy
     /*  838295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838307 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  838307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  838310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838329 */     GIR_RootConstrainSelectedInstOperands,
     /*  838330 */     // GIR_Coverage, 24221,
     /*  838330 */     GIR_EraseRootFromParent_Done,
     /*  838331 */   // Label 12859: @838331
     /*  838331 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(838419), // Rule ID 24224 //
     /*  838336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  838339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  838344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  838347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  838350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  838353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838383 */     // MIs[1] Operand 1
     /*  838383 */     // No operand predicates
     /*  838383 */     // MIs[0] policy
     /*  838383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838395 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  838395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  838398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838417 */     GIR_RootConstrainSelectedInstOperands,
     /*  838418 */     // GIR_Coverage, 24224,
     /*  838418 */     GIR_EraseRootFromParent_Done,
     /*  838419 */   // Label 12860: @838419
     /*  838419 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(838507), // Rule ID 24225 //
     /*  838424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  838427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  838432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  838435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  838438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  838441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838471 */     // MIs[1] Operand 1
     /*  838471 */     // No operand predicates
     /*  838471 */     // MIs[0] policy
     /*  838471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  838474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838483 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  838483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  838486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  838503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  838505 */     GIR_RootConstrainSelectedInstOperands,
     /*  838506 */     // GIR_Coverage, 24225,
     /*  838506 */     GIR_EraseRootFromParent_Done,
     /*  838507 */   // Label 12861: @838507
     /*  838507 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(838598), // Rule ID 15836 //
     /*  838512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  838523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  838526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838559 */     // MIs[1] Operand 1
     /*  838559 */     // No operand predicates
     /*  838559 */     // MIs[0] round
     /*  838559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  838574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838596 */     GIR_RootConstrainSelectedInstOperands,
     /*  838597 */     // GIR_Coverage, 15836,
     /*  838597 */     GIR_EraseRootFromParent_Done,
     /*  838598 */   // Label 12862: @838598
     /*  838598 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(838689), // Rule ID 15837 //
     /*  838603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  838614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  838617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  838620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838650 */     // MIs[1] Operand 1
     /*  838650 */     // No operand predicates
     /*  838650 */     // MIs[0] round
     /*  838650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  838665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838687 */     GIR_RootConstrainSelectedInstOperands,
     /*  838688 */     // GIR_Coverage, 15837,
     /*  838688 */     GIR_EraseRootFromParent_Done,
     /*  838689 */   // Label 12863: @838689
     /*  838689 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(838780), // Rule ID 15840 //
     /*  838694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  838705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  838708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  838711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838741 */     // MIs[1] Operand 1
     /*  838741 */     // No operand predicates
     /*  838741 */     // MIs[0] round
     /*  838741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838753 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  838756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838778 */     GIR_RootConstrainSelectedInstOperands,
     /*  838779 */     // GIR_Coverage, 15840,
     /*  838779 */     GIR_EraseRootFromParent_Done,
     /*  838780 */   // Label 12864: @838780
     /*  838780 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(838871), // Rule ID 15841 //
     /*  838785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  838796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  838799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  838802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838832 */     // MIs[1] Operand 1
     /*  838832 */     // No operand predicates
     /*  838832 */     // MIs[0] round
     /*  838832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  838847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838869 */     GIR_RootConstrainSelectedInstOperands,
     /*  838870 */     // GIR_Coverage, 15841,
     /*  838870 */     GIR_EraseRootFromParent_Done,
     /*  838871 */   // Label 12865: @838871
     /*  838871 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(838962), // Rule ID 15844 //
     /*  838876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  838887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  838890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  838893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  838896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  838899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  838915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  838919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  838923 */     // MIs[1] Operand 1
     /*  838923 */     // No operand predicates
     /*  838923 */     // MIs[0] round
     /*  838923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  838926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  838928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838935 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  838938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  838942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  838947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  838949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838960 */     GIR_RootConstrainSelectedInstOperands,
     /*  838961 */     // GIR_Coverage, 15844,
     /*  838961 */     GIR_EraseRootFromParent_Done,
     /*  838962 */   // Label 12866: @838962
     /*  838962 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(839053), // Rule ID 15845 //
     /*  838967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  838975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  838978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  838981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  838984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  838987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  838990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839014 */     // MIs[1] Operand 1
     /*  839014 */     // No operand predicates
     /*  839014 */     // MIs[0] round
     /*  839014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  839029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839051 */     GIR_RootConstrainSelectedInstOperands,
     /*  839052 */     // GIR_Coverage, 15845,
     /*  839052 */     GIR_EraseRootFromParent_Done,
     /*  839053 */   // Label 12867: @839053
     /*  839053 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(839144), // Rule ID 15848 //
     /*  839058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  839069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  839072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839105 */     // MIs[1] Operand 1
     /*  839105 */     // No operand predicates
     /*  839105 */     // MIs[0] round
     /*  839105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839117 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  839120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839142 */     GIR_RootConstrainSelectedInstOperands,
     /*  839143 */     // GIR_Coverage, 15848,
     /*  839143 */     GIR_EraseRootFromParent_Done,
     /*  839144 */   // Label 12868: @839144
     /*  839144 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(839235), // Rule ID 15849 //
     /*  839149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  839160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  839163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839196 */     // MIs[1] Operand 1
     /*  839196 */     // No operand predicates
     /*  839196 */     // MIs[0] round
     /*  839196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839208 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  839211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839233 */     GIR_RootConstrainSelectedInstOperands,
     /*  839234 */     // GIR_Coverage, 15849,
     /*  839234 */     GIR_EraseRootFromParent_Done,
     /*  839235 */   // Label 12869: @839235
     /*  839235 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(839326), // Rule ID 15852 //
     /*  839240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  839251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  839254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839287 */     // MIs[1] Operand 1
     /*  839287 */     // No operand predicates
     /*  839287 */     // MIs[0] round
     /*  839287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839299 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  839302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839324 */     GIR_RootConstrainSelectedInstOperands,
     /*  839325 */     // GIR_Coverage, 15852,
     /*  839325 */     GIR_EraseRootFromParent_Done,
     /*  839326 */   // Label 12870: @839326
     /*  839326 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(839417), // Rule ID 15853 //
     /*  839331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  839342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  839345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  839348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839378 */     // MIs[1] Operand 1
     /*  839378 */     // No operand predicates
     /*  839378 */     // MIs[0] round
     /*  839378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839390 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  839393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839415 */     GIR_RootConstrainSelectedInstOperands,
     /*  839416 */     // GIR_Coverage, 15853,
     /*  839416 */     GIR_EraseRootFromParent_Done,
     /*  839417 */   // Label 12871: @839417
     /*  839417 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(839508), // Rule ID 15856 //
     /*  839422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  839433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  839436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839469 */     // MIs[1] Operand 1
     /*  839469 */     // No operand predicates
     /*  839469 */     // MIs[0] round
     /*  839469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839481 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  839484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839506 */     GIR_RootConstrainSelectedInstOperands,
     /*  839507 */     // GIR_Coverage, 15856,
     /*  839507 */     GIR_EraseRootFromParent_Done,
     /*  839508 */   // Label 12872: @839508
     /*  839508 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(839599), // Rule ID 15857 //
     /*  839513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  839524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  839527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  839530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839560 */     // MIs[1] Operand 1
     /*  839560 */     // No operand predicates
     /*  839560 */     // MIs[0] round
     /*  839560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  839575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839597 */     GIR_RootConstrainSelectedInstOperands,
     /*  839598 */     // GIR_Coverage, 15857,
     /*  839598 */     GIR_EraseRootFromParent_Done,
     /*  839599 */   // Label 12873: @839599
     /*  839599 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(839690), // Rule ID 15860 //
     /*  839604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  839615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  839618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839651 */     // MIs[1] Operand 1
     /*  839651 */     // No operand predicates
     /*  839651 */     // MIs[0] round
     /*  839651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839663 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  839666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839688 */     GIR_RootConstrainSelectedInstOperands,
     /*  839689 */     // GIR_Coverage, 15860,
     /*  839689 */     GIR_EraseRootFromParent_Done,
     /*  839690 */   // Label 12874: @839690
     /*  839690 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(839781), // Rule ID 15861 //
     /*  839695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  839706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  839709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  839712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839742 */     // MIs[1] Operand 1
     /*  839742 */     // No operand predicates
     /*  839742 */     // MIs[0] round
     /*  839742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839754 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  839757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839763 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839779 */     GIR_RootConstrainSelectedInstOperands,
     /*  839780 */     // GIR_Coverage, 15861,
     /*  839780 */     GIR_EraseRootFromParent_Done,
     /*  839781 */   // Label 12875: @839781
     /*  839781 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(839872), // Rule ID 15864 //
     /*  839786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839833 */     // MIs[1] Operand 1
     /*  839833 */     // No operand predicates
     /*  839833 */     // MIs[0] round
     /*  839833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  839845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  839848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839870 */     GIR_RootConstrainSelectedInstOperands,
     /*  839871 */     // GIR_Coverage, 15864,
     /*  839871 */     GIR_EraseRootFromParent_Done,
     /*  839872 */   // Label 12876: @839872
     /*  839872 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(839963), // Rule ID 15865 //
     /*  839877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  839894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  839897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  839900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  839916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  839920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  839924 */     // MIs[1] Operand 1
     /*  839924 */     // No operand predicates
     /*  839924 */     // MIs[0] round
     /*  839924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  839927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  839929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839936 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  839939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  839943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  839948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  839950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839961 */     GIR_RootConstrainSelectedInstOperands,
     /*  839962 */     // GIR_Coverage, 15865,
     /*  839962 */     GIR_EraseRootFromParent_Done,
     /*  839963 */   // Label 12877: @839963
     /*  839963 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(840054), // Rule ID 15868 //
     /*  839968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  839976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  839985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  839988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  839991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840015 */     // MIs[1] Operand 1
     /*  840015 */     // No operand predicates
     /*  840015 */     // MIs[0] round
     /*  840015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  840030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840052 */     GIR_RootConstrainSelectedInstOperands,
     /*  840053 */     // GIR_Coverage, 15868,
     /*  840053 */     GIR_EraseRootFromParent_Done,
     /*  840054 */   // Label 12878: @840054
     /*  840054 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(840145), // Rule ID 15869 //
     /*  840059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840106 */     // MIs[1] Operand 1
     /*  840106 */     // No operand predicates
     /*  840106 */     // MIs[0] round
     /*  840106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  840121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840143 */     GIR_RootConstrainSelectedInstOperands,
     /*  840144 */     // GIR_Coverage, 15869,
     /*  840144 */     GIR_EraseRootFromParent_Done,
     /*  840145 */   // Label 12879: @840145
     /*  840145 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(840236), // Rule ID 15872 //
     /*  840150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  840153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840197 */     // MIs[1] Operand 1
     /*  840197 */     // No operand predicates
     /*  840197 */     // MIs[0] round
     /*  840197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840209 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  840209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  840212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840234 */     GIR_RootConstrainSelectedInstOperands,
     /*  840235 */     // GIR_Coverage, 15872,
     /*  840235 */     GIR_EraseRootFromParent_Done,
     /*  840236 */   // Label 12880: @840236
     /*  840236 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(840327), // Rule ID 15873 //
     /*  840241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  840244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  840258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840288 */     // MIs[1] Operand 1
     /*  840288 */     // No operand predicates
     /*  840288 */     // MIs[0] round
     /*  840288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  840300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  840303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  840322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840325 */     GIR_RootConstrainSelectedInstOperands,
     /*  840326 */     // GIR_Coverage, 15873,
     /*  840326 */     GIR_EraseRootFromParent_Done,
     /*  840327 */   // Label 12881: @840327
     /*  840327 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(840418), // Rule ID 15876 //
     /*  840332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  840343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  840346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840379 */     // MIs[1] Operand 1
     /*  840379 */     // No operand predicates
     /*  840379 */     // MIs[0] round
     /*  840379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  840394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840416 */     GIR_RootConstrainSelectedInstOperands,
     /*  840417 */     // GIR_Coverage, 15876,
     /*  840417 */     GIR_EraseRootFromParent_Done,
     /*  840418 */   // Label 12882: @840418
     /*  840418 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(840509), // Rule ID 15877 //
     /*  840423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  840434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  840437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840470 */     // MIs[1] Operand 1
     /*  840470 */     // No operand predicates
     /*  840470 */     // MIs[0] round
     /*  840470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  840485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840507 */     GIR_RootConstrainSelectedInstOperands,
     /*  840508 */     // GIR_Coverage, 15877,
     /*  840508 */     GIR_EraseRootFromParent_Done,
     /*  840509 */   // Label 12883: @840509
     /*  840509 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(840600), // Rule ID 15880 //
     /*  840514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  840525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  840528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840561 */     // MIs[1] Operand 1
     /*  840561 */     // No operand predicates
     /*  840561 */     // MIs[0] round
     /*  840561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840573 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  840576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840598 */     GIR_RootConstrainSelectedInstOperands,
     /*  840599 */     // GIR_Coverage, 15880,
     /*  840599 */     GIR_EraseRootFromParent_Done,
     /*  840600 */   // Label 12884: @840600
     /*  840600 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(840691), // Rule ID 15881 //
     /*  840605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  840616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  840619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  840622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  840640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840652 */     // MIs[1] Operand 1
     /*  840652 */     // No operand predicates
     /*  840652 */     // MIs[0] round
     /*  840652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  840667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840689 */     GIR_RootConstrainSelectedInstOperands,
     /*  840690 */     // GIR_Coverage, 15881,
     /*  840690 */     GIR_EraseRootFromParent_Done,
     /*  840691 */   // Label 12885: @840691
     /*  840691 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(840782), // Rule ID 15884 //
     /*  840696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  840707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  840710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840743 */     // MIs[1] Operand 1
     /*  840743 */     // No operand predicates
     /*  840743 */     // MIs[0] round
     /*  840743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840755 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  840758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840780 */     GIR_RootConstrainSelectedInstOperands,
     /*  840781 */     // GIR_Coverage, 15884,
     /*  840781 */     GIR_EraseRootFromParent_Done,
     /*  840782 */   // Label 12886: @840782
     /*  840782 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(840873), // Rule ID 15885 //
     /*  840787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  840798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  840801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  840804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  840822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840834 */     // MIs[1] Operand 1
     /*  840834 */     // No operand predicates
     /*  840834 */     // MIs[0] round
     /*  840834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840846 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  840849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840871 */     GIR_RootConstrainSelectedInstOperands,
     /*  840872 */     // GIR_Coverage, 15885,
     /*  840872 */     GIR_EraseRootFromParent_Done,
     /*  840873 */   // Label 12887: @840873
     /*  840873 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(840964), // Rule ID 15888 //
     /*  840878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  840889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  840892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  840898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  840901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  840917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  840921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  840925 */     // MIs[1] Operand 1
     /*  840925 */     // No operand predicates
     /*  840925 */     // MIs[0] round
     /*  840925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  840928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  840930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  840940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  840944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  840949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  840951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840962 */     GIR_RootConstrainSelectedInstOperands,
     /*  840963 */     // GIR_Coverage, 15888,
     /*  840963 */     GIR_EraseRootFromParent_Done,
     /*  840964 */   // Label 12888: @840964
     /*  840964 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(841055), // Rule ID 15889 //
     /*  840969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  840977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  840980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  840983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  840986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  840989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  840992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841016 */     // MIs[1] Operand 1
     /*  841016 */     // No operand predicates
     /*  841016 */     // MIs[0] round
     /*  841016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  841031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841053 */     GIR_RootConstrainSelectedInstOperands,
     /*  841054 */     // GIR_Coverage, 15889,
     /*  841054 */     GIR_EraseRootFromParent_Done,
     /*  841055 */   // Label 12889: @841055
     /*  841055 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(841146), // Rule ID 15892 //
     /*  841060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  841071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  841074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841107 */     // MIs[1] Operand 1
     /*  841107 */     // No operand predicates
     /*  841107 */     // MIs[0] round
     /*  841107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841119 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  841122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841144 */     GIR_RootConstrainSelectedInstOperands,
     /*  841145 */     // GIR_Coverage, 15892,
     /*  841145 */     GIR_EraseRootFromParent_Done,
     /*  841146 */   // Label 12890: @841146
     /*  841146 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(841237), // Rule ID 15893 //
     /*  841151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  841162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  841165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841198 */     // MIs[1] Operand 1
     /*  841198 */     // No operand predicates
     /*  841198 */     // MIs[0] round
     /*  841198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  841213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841235 */     GIR_RootConstrainSelectedInstOperands,
     /*  841236 */     // GIR_Coverage, 15893,
     /*  841236 */     GIR_EraseRootFromParent_Done,
     /*  841237 */   // Label 12891: @841237
     /*  841237 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(841328), // Rule ID 15896 //
     /*  841242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  841253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  841256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841289 */     // MIs[1] Operand 1
     /*  841289 */     // No operand predicates
     /*  841289 */     // MIs[0] round
     /*  841289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841301 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  841304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841310 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841326 */     GIR_RootConstrainSelectedInstOperands,
     /*  841327 */     // GIR_Coverage, 15896,
     /*  841327 */     GIR_EraseRootFromParent_Done,
     /*  841328 */   // Label 12892: @841328
     /*  841328 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(841419), // Rule ID 15897 //
     /*  841333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  841344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  841347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841380 */     // MIs[1] Operand 1
     /*  841380 */     // No operand predicates
     /*  841380 */     // MIs[0] round
     /*  841380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  841395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841417 */     GIR_RootConstrainSelectedInstOperands,
     /*  841418 */     // GIR_Coverage, 15897,
     /*  841418 */     GIR_EraseRootFromParent_Done,
     /*  841419 */   // Label 12893: @841419
     /*  841419 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(841510), // Rule ID 15900 //
     /*  841424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  841435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  841438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841471 */     // MIs[1] Operand 1
     /*  841471 */     // No operand predicates
     /*  841471 */     // MIs[0] round
     /*  841471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  841486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841508 */     GIR_RootConstrainSelectedInstOperands,
     /*  841509 */     // GIR_Coverage, 15900,
     /*  841509 */     GIR_EraseRootFromParent_Done,
     /*  841510 */   // Label 12894: @841510
     /*  841510 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(841601), // Rule ID 15901 //
     /*  841515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  841526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  841529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841562 */     // MIs[1] Operand 1
     /*  841562 */     // No operand predicates
     /*  841562 */     // MIs[0] round
     /*  841562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841574 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  841577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841599 */     GIR_RootConstrainSelectedInstOperands,
     /*  841600 */     // GIR_Coverage, 15901,
     /*  841600 */     GIR_EraseRootFromParent_Done,
     /*  841601 */   // Label 12895: @841601
     /*  841601 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(841692), // Rule ID 15904 //
     /*  841606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  841617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  841620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841653 */     // MIs[1] Operand 1
     /*  841653 */     // No operand predicates
     /*  841653 */     // MIs[0] round
     /*  841653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  841668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841690 */     GIR_RootConstrainSelectedInstOperands,
     /*  841691 */     // GIR_Coverage, 15904,
     /*  841691 */     GIR_EraseRootFromParent_Done,
     /*  841692 */   // Label 12896: @841692
     /*  841692 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(841783), // Rule ID 15905 //
     /*  841697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  841708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  841711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841744 */     // MIs[1] Operand 1
     /*  841744 */     // No operand predicates
     /*  841744 */     // MIs[0] round
     /*  841744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  841759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841781 */     GIR_RootConstrainSelectedInstOperands,
     /*  841782 */     // GIR_Coverage, 15905,
     /*  841782 */     GIR_EraseRootFromParent_Done,
     /*  841783 */   // Label 12897: @841783
     /*  841783 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(841874), // Rule ID 15908 //
     /*  841788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  841799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  841802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841835 */     // MIs[1] Operand 1
     /*  841835 */     // No operand predicates
     /*  841835 */     // MIs[0] round
     /*  841835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  841850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841872 */     GIR_RootConstrainSelectedInstOperands,
     /*  841873 */     // GIR_Coverage, 15908,
     /*  841873 */     GIR_EraseRootFromParent_Done,
     /*  841874 */   // Label 12898: @841874
     /*  841874 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(841965), // Rule ID 15909 //
     /*  841879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  841890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  841893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  841896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  841899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  841902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  841918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  841922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  841926 */     // MIs[1] Operand 1
     /*  841926 */     // No operand predicates
     /*  841926 */     // MIs[0] round
     /*  841926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  841929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  841931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  841941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  841945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  841950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  841952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841963 */     GIR_RootConstrainSelectedInstOperands,
     /*  841964 */     // GIR_Coverage, 15909,
     /*  841964 */     GIR_EraseRootFromParent_Done,
     /*  841965 */   // Label 12899: @841965
     /*  841965 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(842056), // Rule ID 15912 //
     /*  841970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  841973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  841978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  841981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  841984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  841987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  841990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  841993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842017 */     // MIs[1] Operand 1
     /*  842017 */     // No operand predicates
     /*  842017 */     // MIs[0] round
     /*  842017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842029 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  842032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842054 */     GIR_RootConstrainSelectedInstOperands,
     /*  842055 */     // GIR_Coverage, 15912,
     /*  842055 */     GIR_EraseRootFromParent_Done,
     /*  842056 */   // Label 12900: @842056
     /*  842056 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(842147), // Rule ID 15913 //
     /*  842061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  842064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  842069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  842072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  842075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  842078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  842096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842108 */     // MIs[1] Operand 1
     /*  842108 */     // No operand predicates
     /*  842108 */     // MIs[0] round
     /*  842108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842120 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  842123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842145 */     GIR_RootConstrainSelectedInstOperands,
     /*  842146 */     // GIR_Coverage, 15913,
     /*  842146 */     GIR_EraseRootFromParent_Done,
     /*  842147 */   // Label 12901: @842147
     /*  842147 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(842238), // Rule ID 15916 //
     /*  842152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  842155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  842160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  842163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  842166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  842169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842199 */     // MIs[1] Operand 1
     /*  842199 */     // No operand predicates
     /*  842199 */     // MIs[0] round
     /*  842199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  842214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842236 */     GIR_RootConstrainSelectedInstOperands,
     /*  842237 */     // GIR_Coverage, 15916,
     /*  842237 */     GIR_EraseRootFromParent_Done,
     /*  842238 */   // Label 12902: @842238
     /*  842238 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(842329), // Rule ID 15917 //
     /*  842243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  842246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  842251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  842254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  842257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  842260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842290 */     // MIs[1] Operand 1
     /*  842290 */     // No operand predicates
     /*  842290 */     // MIs[0] round
     /*  842290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  842305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842327 */     GIR_RootConstrainSelectedInstOperands,
     /*  842328 */     // GIR_Coverage, 15917,
     /*  842328 */     GIR_EraseRootFromParent_Done,
     /*  842329 */   // Label 12903: @842329
     /*  842329 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(842420), // Rule ID 15920 //
     /*  842334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  842337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  842342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  842345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  842348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  842351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842381 */     // MIs[1] Operand 1
     /*  842381 */     // No operand predicates
     /*  842381 */     // MIs[0] round
     /*  842381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842393 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  842393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  842396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842418 */     GIR_RootConstrainSelectedInstOperands,
     /*  842419 */     // GIR_Coverage, 15920,
     /*  842419 */     GIR_EraseRootFromParent_Done,
     /*  842420 */   // Label 12904: @842420
     /*  842420 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(842511), // Rule ID 15921 //
     /*  842425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  842428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  842433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  842436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  842439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  842442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842472 */     // MIs[1] Operand 1
     /*  842472 */     // No operand predicates
     /*  842472 */     // MIs[0] round
     /*  842472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842484 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  842484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  842487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842493 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  842506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842509 */     GIR_RootConstrainSelectedInstOperands,
     /*  842510 */     // GIR_Coverage, 15921,
     /*  842510 */     GIR_EraseRootFromParent_Done,
     /*  842511 */   // Label 12905: @842511
     /*  842511 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(842602), // Rule ID 16100 //
     /*  842516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  842527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  842530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  842533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842563 */     // MIs[1] Operand 1
     /*  842563 */     // No operand predicates
     /*  842563 */     // MIs[0] round
     /*  842563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842575 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  842578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842600 */     GIR_RootConstrainSelectedInstOperands,
     /*  842601 */     // GIR_Coverage, 16100,
     /*  842601 */     GIR_EraseRootFromParent_Done,
     /*  842602 */   // Label 12906: @842602
     /*  842602 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(842693), // Rule ID 16101 //
     /*  842607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  842618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  842621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  842624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842654 */     // MIs[1] Operand 1
     /*  842654 */     // No operand predicates
     /*  842654 */     // MIs[0] round
     /*  842654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  842666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  842669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842691 */     GIR_RootConstrainSelectedInstOperands,
     /*  842692 */     // GIR_Coverage, 16101,
     /*  842692 */     GIR_EraseRootFromParent_Done,
     /*  842693 */   // Label 12907: @842693
     /*  842693 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(842784), // Rule ID 16104 //
     /*  842698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  842709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  842712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  842715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842745 */     // MIs[1] Operand 1
     /*  842745 */     // No operand predicates
     /*  842745 */     // MIs[0] round
     /*  842745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842757 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  842760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842782 */     GIR_RootConstrainSelectedInstOperands,
     /*  842783 */     // GIR_Coverage, 16104,
     /*  842783 */     GIR_EraseRootFromParent_Done,
     /*  842784 */   // Label 12908: @842784
     /*  842784 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(842875), // Rule ID 16105 //
     /*  842789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  842800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  842803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  842806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842836 */     // MIs[1] Operand 1
     /*  842836 */     // No operand predicates
     /*  842836 */     // MIs[0] round
     /*  842836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  842848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  842851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842873 */     GIR_RootConstrainSelectedInstOperands,
     /*  842874 */     // GIR_Coverage, 16105,
     /*  842874 */     GIR_EraseRootFromParent_Done,
     /*  842875 */   // Label 12909: @842875
     /*  842875 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(842966), // Rule ID 16108 //
     /*  842880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  842891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  842894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  842897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  842900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  842903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  842919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  842923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  842927 */     // MIs[1] Operand 1
     /*  842927 */     // No operand predicates
     /*  842927 */     // MIs[0] round
     /*  842927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  842930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  842932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  842939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  842942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  842946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  842951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  842953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  842961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842964 */     GIR_RootConstrainSelectedInstOperands,
     /*  842965 */     // GIR_Coverage, 16108,
     /*  842965 */     GIR_EraseRootFromParent_Done,
     /*  842966 */   // Label 12910: @842966
     /*  842966 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(843057), // Rule ID 16109 //
     /*  842971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  842979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  842982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  842985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  842988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  842991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  842994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843018 */     // MIs[1] Operand 1
     /*  843018 */     // No operand predicates
     /*  843018 */     // MIs[0] round
     /*  843018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843030 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  843033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843055 */     GIR_RootConstrainSelectedInstOperands,
     /*  843056 */     // GIR_Coverage, 16109,
     /*  843056 */     GIR_EraseRootFromParent_Done,
     /*  843057 */   // Label 12911: @843057
     /*  843057 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(843148), // Rule ID 16112 //
     /*  843062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  843073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  843076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843109 */     // MIs[1] Operand 1
     /*  843109 */     // No operand predicates
     /*  843109 */     // MIs[0] round
     /*  843109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843121 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  843124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843146 */     GIR_RootConstrainSelectedInstOperands,
     /*  843147 */     // GIR_Coverage, 16112,
     /*  843147 */     GIR_EraseRootFromParent_Done,
     /*  843148 */   // Label 12912: @843148
     /*  843148 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(843239), // Rule ID 16113 //
     /*  843153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  843164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  843167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  843170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843200 */     // MIs[1] Operand 1
     /*  843200 */     // No operand predicates
     /*  843200 */     // MIs[0] round
     /*  843200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  843215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843237 */     GIR_RootConstrainSelectedInstOperands,
     /*  843238 */     // GIR_Coverage, 16113,
     /*  843238 */     GIR_EraseRootFromParent_Done,
     /*  843239 */   // Label 12913: @843239
     /*  843239 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(843330), // Rule ID 16116 //
     /*  843244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  843255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  843258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843291 */     // MIs[1] Operand 1
     /*  843291 */     // No operand predicates
     /*  843291 */     // MIs[0] round
     /*  843291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  843306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843328 */     GIR_RootConstrainSelectedInstOperands,
     /*  843329 */     // GIR_Coverage, 16116,
     /*  843329 */     GIR_EraseRootFromParent_Done,
     /*  843330 */   // Label 12914: @843330
     /*  843330 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(843421), // Rule ID 16117 //
     /*  843335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  843346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  843349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  843352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843382 */     // MIs[1] Operand 1
     /*  843382 */     // No operand predicates
     /*  843382 */     // MIs[0] round
     /*  843382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  843397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843419 */     GIR_RootConstrainSelectedInstOperands,
     /*  843420 */     // GIR_Coverage, 16117,
     /*  843420 */     GIR_EraseRootFromParent_Done,
     /*  843421 */   // Label 12915: @843421
     /*  843421 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(843512), // Rule ID 16120 //
     /*  843426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  843437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  843440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  843443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843473 */     // MIs[1] Operand 1
     /*  843473 */     // No operand predicates
     /*  843473 */     // MIs[0] round
     /*  843473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843485 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  843488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843510 */     GIR_RootConstrainSelectedInstOperands,
     /*  843511 */     // GIR_Coverage, 16120,
     /*  843511 */     GIR_EraseRootFromParent_Done,
     /*  843512 */   // Label 12916: @843512
     /*  843512 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(843603), // Rule ID 16121 //
     /*  843517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  843528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  843531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  843534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843564 */     // MIs[1] Operand 1
     /*  843564 */     // No operand predicates
     /*  843564 */     // MIs[0] round
     /*  843564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  843579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843601 */     GIR_RootConstrainSelectedInstOperands,
     /*  843602 */     // GIR_Coverage, 16121,
     /*  843602 */     GIR_EraseRootFromParent_Done,
     /*  843603 */   // Label 12917: @843603
     /*  843603 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(843694), // Rule ID 16124 //
     /*  843608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  843619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  843622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  843625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843655 */     // MIs[1] Operand 1
     /*  843655 */     // No operand predicates
     /*  843655 */     // MIs[0] round
     /*  843655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  843667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  843670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843692 */     GIR_RootConstrainSelectedInstOperands,
     /*  843693 */     // GIR_Coverage, 16124,
     /*  843693 */     GIR_EraseRootFromParent_Done,
     /*  843694 */   // Label 12918: @843694
     /*  843694 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(843785), // Rule ID 16125 //
     /*  843699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  843710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  843713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  843716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843746 */     // MIs[1] Operand 1
     /*  843746 */     // No operand predicates
     /*  843746 */     // MIs[0] round
     /*  843746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  843758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  843761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  843780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843783 */     GIR_RootConstrainSelectedInstOperands,
     /*  843784 */     // GIR_Coverage, 16125,
     /*  843784 */     GIR_EraseRootFromParent_Done,
     /*  843785 */   // Label 12919: @843785
     /*  843785 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(843876), // Rule ID 16128 //
     /*  843790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  843807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843837 */     // MIs[1] Operand 1
     /*  843837 */     // No operand predicates
     /*  843837 */     // MIs[0] round
     /*  843837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  843852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843874 */     GIR_RootConstrainSelectedInstOperands,
     /*  843875 */     // GIR_Coverage, 16128,
     /*  843875 */     GIR_EraseRootFromParent_Done,
     /*  843876 */   // Label 12920: @843876
     /*  843876 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(843967), // Rule ID 16129 //
     /*  843881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  843884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  843898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  843901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  843904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  843920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  843924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  843928 */     // MIs[1] Operand 1
     /*  843928 */     // No operand predicates
     /*  843928 */     // MIs[0] round
     /*  843928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  843931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  843933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  843943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  843947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  843952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  843954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843965 */     GIR_RootConstrainSelectedInstOperands,
     /*  843966 */     // GIR_Coverage, 16129,
     /*  843966 */     GIR_EraseRootFromParent_Done,
     /*  843967 */   // Label 12921: @843967
     /*  843967 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(844058), // Rule ID 16132 //
     /*  843972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  843975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  843980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  843989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  843992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  843995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844019 */     // MIs[1] Operand 1
     /*  844019 */     // No operand predicates
     /*  844019 */     // MIs[0] round
     /*  844019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844031 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  844034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844056 */     GIR_RootConstrainSelectedInstOperands,
     /*  844057 */     // GIR_Coverage, 16132,
     /*  844057 */     GIR_EraseRootFromParent_Done,
     /*  844058 */   // Label 12922: @844058
     /*  844058 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(844149), // Rule ID 16133 //
     /*  844063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  844080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844110 */     // MIs[1] Operand 1
     /*  844110 */     // No operand predicates
     /*  844110 */     // MIs[0] round
     /*  844110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  844125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844147 */     GIR_RootConstrainSelectedInstOperands,
     /*  844148 */     // GIR_Coverage, 16133,
     /*  844148 */     GIR_EraseRootFromParent_Done,
     /*  844149 */   // Label 12923: @844149
     /*  844149 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(844240), // Rule ID 16136 //
     /*  844154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  844157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844201 */     // MIs[1] Operand 1
     /*  844201 */     // No operand predicates
     /*  844201 */     // MIs[0] round
     /*  844201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844213 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  844216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844238 */     GIR_RootConstrainSelectedInstOperands,
     /*  844239 */     // GIR_Coverage, 16136,
     /*  844239 */     GIR_EraseRootFromParent_Done,
     /*  844240 */   // Label 12924: @844240
     /*  844240 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(844331), // Rule ID 16137 //
     /*  844245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  844248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  844262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844292 */     // MIs[1] Operand 1
     /*  844292 */     // No operand predicates
     /*  844292 */     // MIs[0] round
     /*  844292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  844307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844329 */     GIR_RootConstrainSelectedInstOperands,
     /*  844330 */     // GIR_Coverage, 16137,
     /*  844330 */     GIR_EraseRootFromParent_Done,
     /*  844331 */   // Label 12925: @844331
     /*  844331 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(844422), // Rule ID 16140 //
     /*  844336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  844353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844383 */     // MIs[1] Operand 1
     /*  844383 */     // No operand predicates
     /*  844383 */     // MIs[0] round
     /*  844383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  844398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844420 */     GIR_RootConstrainSelectedInstOperands,
     /*  844421 */     // GIR_Coverage, 16140,
     /*  844421 */     GIR_EraseRootFromParent_Done,
     /*  844422 */   // Label 12926: @844422
     /*  844422 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(844513), // Rule ID 16141 //
     /*  844427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  844438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  844441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  844444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844474 */     // MIs[1] Operand 1
     /*  844474 */     // No operand predicates
     /*  844474 */     // MIs[0] round
     /*  844474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844486 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  844489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844511 */     GIR_RootConstrainSelectedInstOperands,
     /*  844512 */     // GIR_Coverage, 16141,
     /*  844512 */     GIR_EraseRootFromParent_Done,
     /*  844513 */   // Label 12927: @844513
     /*  844513 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(844604), // Rule ID 16144 //
     /*  844518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  844529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  844532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  844535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844565 */     // MIs[1] Operand 1
     /*  844565 */     // No operand predicates
     /*  844565 */     // MIs[0] round
     /*  844565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  844580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844602 */     GIR_RootConstrainSelectedInstOperands,
     /*  844603 */     // GIR_Coverage, 16144,
     /*  844603 */     GIR_EraseRootFromParent_Done,
     /*  844604 */   // Label 12928: @844604
     /*  844604 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(844695), // Rule ID 16145 //
     /*  844609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  844620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  844623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  844626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844656 */     // MIs[1] Operand 1
     /*  844656 */     // No operand predicates
     /*  844656 */     // MIs[0] round
     /*  844656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  844671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844693 */     GIR_RootConstrainSelectedInstOperands,
     /*  844694 */     // GIR_Coverage, 16145,
     /*  844694 */     GIR_EraseRootFromParent_Done,
     /*  844695 */   // Label 12929: @844695
     /*  844695 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(844786), // Rule ID 16148 //
     /*  844700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  844711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  844714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  844717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844747 */     // MIs[1] Operand 1
     /*  844747 */     // No operand predicates
     /*  844747 */     // MIs[0] round
     /*  844747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  844759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  844762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844784 */     GIR_RootConstrainSelectedInstOperands,
     /*  844785 */     // GIR_Coverage, 16148,
     /*  844785 */     GIR_EraseRootFromParent_Done,
     /*  844786 */   // Label 12930: @844786
     /*  844786 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(844877), // Rule ID 16149 //
     /*  844791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  844802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  844805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  844808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844838 */     // MIs[1] Operand 1
     /*  844838 */     // No operand predicates
     /*  844838 */     // MIs[0] round
     /*  844838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844850 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  844850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  844853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  844872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844875 */     GIR_RootConstrainSelectedInstOperands,
     /*  844876 */     // GIR_Coverage, 16149,
     /*  844876 */     GIR_EraseRootFromParent_Done,
     /*  844877 */   // Label 12931: @844877
     /*  844877 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(844968), // Rule ID 16152 //
     /*  844882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  844885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  844893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  844896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  844902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  844905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  844921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  844925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  844929 */     // MIs[1] Operand 1
     /*  844929 */     // No operand predicates
     /*  844929 */     // MIs[0] round
     /*  844929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  844932 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  844934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844941 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  844944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  844948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844950 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  844953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  844955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844966 */     GIR_RootConstrainSelectedInstOperands,
     /*  844967 */     // GIR_Coverage, 16152,
     /*  844967 */     GIR_EraseRootFromParent_Done,
     /*  844968 */   // Label 12932: @844968
     /*  844968 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(845059), // Rule ID 16153 //
     /*  844973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  844976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  844981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  844984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  844987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  844990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  844993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  844996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845020 */     // MIs[1] Operand 1
     /*  845020 */     // No operand predicates
     /*  845020 */     // MIs[0] round
     /*  845020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845032 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  845035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845057 */     GIR_RootConstrainSelectedInstOperands,
     /*  845058 */     // GIR_Coverage, 16153,
     /*  845058 */     GIR_EraseRootFromParent_Done,
     /*  845059 */   // Label 12933: @845059
     /*  845059 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(845150), // Rule ID 16156 //
     /*  845064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845111 */     // MIs[1] Operand 1
     /*  845111 */     // No operand predicates
     /*  845111 */     // MIs[0] round
     /*  845111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  845126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845148 */     GIR_RootConstrainSelectedInstOperands,
     /*  845149 */     // GIR_Coverage, 16156,
     /*  845149 */     GIR_EraseRootFromParent_Done,
     /*  845150 */   // Label 12934: @845150
     /*  845150 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(845241), // Rule ID 16157 //
     /*  845155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  845166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  845169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845202 */     // MIs[1] Operand 1
     /*  845202 */     // No operand predicates
     /*  845202 */     // MIs[0] round
     /*  845202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  845217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845239 */     GIR_RootConstrainSelectedInstOperands,
     /*  845240 */     // GIR_Coverage, 16157,
     /*  845240 */     GIR_EraseRootFromParent_Done,
     /*  845241 */   // Label 12935: @845241
     /*  845241 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(845332), // Rule ID 16160 //
     /*  845246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  845257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  845260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845293 */     // MIs[1] Operand 1
     /*  845293 */     // No operand predicates
     /*  845293 */     // MIs[0] round
     /*  845293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845305 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  845308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845330 */     GIR_RootConstrainSelectedInstOperands,
     /*  845331 */     // GIR_Coverage, 16160,
     /*  845331 */     GIR_EraseRootFromParent_Done,
     /*  845332 */   // Label 12936: @845332
     /*  845332 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(845423), // Rule ID 16161 //
     /*  845337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  845348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  845351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845384 */     // MIs[1] Operand 1
     /*  845384 */     // No operand predicates
     /*  845384 */     // MIs[0] round
     /*  845384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845396 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  845399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845421 */     GIR_RootConstrainSelectedInstOperands,
     /*  845422 */     // GIR_Coverage, 16161,
     /*  845422 */     GIR_EraseRootFromParent_Done,
     /*  845423 */   // Label 12937: @845423
     /*  845423 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(845514), // Rule ID 16164 //
     /*  845428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845475 */     // MIs[1] Operand 1
     /*  845475 */     // No operand predicates
     /*  845475 */     // MIs[0] round
     /*  845475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  845490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845512 */     GIR_RootConstrainSelectedInstOperands,
     /*  845513 */     // GIR_Coverage, 16164,
     /*  845513 */     GIR_EraseRootFromParent_Done,
     /*  845514 */   // Label 12938: @845514
     /*  845514 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(845605), // Rule ID 16165 //
     /*  845519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  845530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  845533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845566 */     // MIs[1] Operand 1
     /*  845566 */     // No operand predicates
     /*  845566 */     // MIs[0] round
     /*  845566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  845581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845603 */     GIR_RootConstrainSelectedInstOperands,
     /*  845604 */     // GIR_Coverage, 16165,
     /*  845604 */     GIR_EraseRootFromParent_Done,
     /*  845605 */   // Label 12939: @845605
     /*  845605 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(845696), // Rule ID 16168 //
     /*  845610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  845621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  845624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845657 */     // MIs[1] Operand 1
     /*  845657 */     // No operand predicates
     /*  845657 */     // MIs[0] round
     /*  845657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  845672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845694 */     GIR_RootConstrainSelectedInstOperands,
     /*  845695 */     // GIR_Coverage, 16168,
     /*  845695 */     GIR_EraseRootFromParent_Done,
     /*  845696 */   // Label 12940: @845696
     /*  845696 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(845787), // Rule ID 16169 //
     /*  845701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  845712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  845715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845748 */     // MIs[1] Operand 1
     /*  845748 */     // No operand predicates
     /*  845748 */     // MIs[0] round
     /*  845748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845760 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  845763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845785 */     GIR_RootConstrainSelectedInstOperands,
     /*  845786 */     // GIR_Coverage, 16169,
     /*  845786 */     GIR_EraseRootFromParent_Done,
     /*  845787 */   // Label 12941: @845787
     /*  845787 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(845878), // Rule ID 16172 //
     /*  845792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  845795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  845803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  845806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845839 */     // MIs[1] Operand 1
     /*  845839 */     // No operand predicates
     /*  845839 */     // MIs[0] round
     /*  845839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  845854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845876 */     GIR_RootConstrainSelectedInstOperands,
     /*  845877 */     // GIR_Coverage, 16172,
     /*  845877 */     GIR_EraseRootFromParent_Done,
     /*  845878 */   // Label 12942: @845878
     /*  845878 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(845969), // Rule ID 16173 //
     /*  845883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  845886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  845894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  845897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  845900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  845903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  845906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  845922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  845926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  845930 */     // MIs[1] Operand 1
     /*  845930 */     // No operand predicates
     /*  845930 */     // MIs[0] round
     /*  845930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  845933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  845935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845942 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  845945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  845949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  845954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  845956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845967 */     GIR_RootConstrainSelectedInstOperands,
     /*  845968 */     // GIR_Coverage, 16173,
     /*  845968 */     GIR_EraseRootFromParent_Done,
     /*  845969 */   // Label 12943: @845969
     /*  845969 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(846060), // Rule ID 16176 //
     /*  845974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  845977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  845982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  845985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  845988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  845991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  845994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  845997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846021 */     // MIs[1] Operand 1
     /*  846021 */     // No operand predicates
     /*  846021 */     // MIs[0] round
     /*  846021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  846036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846058 */     GIR_RootConstrainSelectedInstOperands,
     /*  846059 */     // GIR_Coverage, 16176,
     /*  846059 */     GIR_EraseRootFromParent_Done,
     /*  846060 */   // Label 12944: @846060
     /*  846060 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(846151), // Rule ID 16177 //
     /*  846065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  846073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  846076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  846079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846112 */     // MIs[1] Operand 1
     /*  846112 */     // No operand predicates
     /*  846112 */     // MIs[0] round
     /*  846112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  846127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846149 */     GIR_RootConstrainSelectedInstOperands,
     /*  846150 */     // GIR_Coverage, 16177,
     /*  846150 */     GIR_EraseRootFromParent_Done,
     /*  846151 */   // Label 12945: @846151
     /*  846151 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(846242), // Rule ID 16180 //
     /*  846156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  846164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  846167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  846170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846203 */     // MIs[1] Operand 1
     /*  846203 */     // No operand predicates
     /*  846203 */     // MIs[0] round
     /*  846203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846215 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  846218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846240 */     GIR_RootConstrainSelectedInstOperands,
     /*  846241 */     // GIR_Coverage, 16180,
     /*  846241 */     GIR_EraseRootFromParent_Done,
     /*  846242 */   // Label 12946: @846242
     /*  846242 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(846333), // Rule ID 16181 //
     /*  846247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  846255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  846258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  846261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846294 */     // MIs[1] Operand 1
     /*  846294 */     // No operand predicates
     /*  846294 */     // MIs[0] round
     /*  846294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  846309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846331 */     GIR_RootConstrainSelectedInstOperands,
     /*  846332 */     // GIR_Coverage, 16181,
     /*  846332 */     GIR_EraseRootFromParent_Done,
     /*  846333 */   // Label 12947: @846333
     /*  846333 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(846424), // Rule ID 16184 //
     /*  846338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  846341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  846346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  846349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  846352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846385 */     // MIs[1] Operand 1
     /*  846385 */     // No operand predicates
     /*  846385 */     // MIs[0] round
     /*  846385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  846400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846422 */     GIR_RootConstrainSelectedInstOperands,
     /*  846423 */     // GIR_Coverage, 16184,
     /*  846423 */     GIR_EraseRootFromParent_Done,
     /*  846424 */   // Label 12948: @846424
     /*  846424 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(846515), // Rule ID 16185 //
     /*  846429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  846432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  846437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  846440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  846443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846476 */     // MIs[1] Operand 1
     /*  846476 */     // No operand predicates
     /*  846476 */     // MIs[0] round
     /*  846476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  846491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846513 */     GIR_RootConstrainSelectedInstOperands,
     /*  846514 */     // GIR_Coverage, 16185,
     /*  846514 */     GIR_EraseRootFromParent_Done,
     /*  846515 */   // Label 12949: @846515
     /*  846515 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(846609), // Rule ID 16308 //
     /*  846520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  846531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  846534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  846537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846567 */     // MIs[1] Operand 1
     /*  846567 */     // No operand predicates
     /*  846567 */     // MIs[0] round
     /*  846567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  846582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846607 */     GIR_RootConstrainSelectedInstOperands,
     /*  846608 */     // GIR_Coverage, 16308,
     /*  846608 */     GIR_EraseRootFromParent_Done,
     /*  846609 */   // Label 12950: @846609
     /*  846609 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(846703), // Rule ID 16309 //
     /*  846614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  846625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  846628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  846631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846661 */     // MIs[1] Operand 1
     /*  846661 */     // No operand predicates
     /*  846661 */     // MIs[0] round
     /*  846661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846673 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  846676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846701 */     GIR_RootConstrainSelectedInstOperands,
     /*  846702 */     // GIR_Coverage, 16309,
     /*  846702 */     GIR_EraseRootFromParent_Done,
     /*  846703 */   // Label 12951: @846703
     /*  846703 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(846797), // Rule ID 16312 //
     /*  846708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  846719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  846722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  846725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846755 */     // MIs[1] Operand 1
     /*  846755 */     // No operand predicates
     /*  846755 */     // MIs[0] round
     /*  846755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846767 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  846770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846795 */     GIR_RootConstrainSelectedInstOperands,
     /*  846796 */     // GIR_Coverage, 16312,
     /*  846796 */     GIR_EraseRootFromParent_Done,
     /*  846797 */   // Label 12952: @846797
     /*  846797 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(846891), // Rule ID 16313 //
     /*  846802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  846813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  846816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  846819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  846822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  846825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846849 */     // MIs[1] Operand 1
     /*  846849 */     // No operand predicates
     /*  846849 */     // MIs[0] round
     /*  846849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  846861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  846864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846889 */     GIR_RootConstrainSelectedInstOperands,
     /*  846890 */     // GIR_Coverage, 16313,
     /*  846890 */     GIR_EraseRootFromParent_Done,
     /*  846891 */   // Label 12953: @846891
     /*  846891 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(846985), // Rule ID 16316 //
     /*  846896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  846899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  846907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  846910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  846913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  846916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  846919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  846935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  846939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  846943 */     // MIs[1] Operand 1
     /*  846943 */     // No operand predicates
     /*  846943 */     // MIs[0] round
     /*  846943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  846946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  846948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  846955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  846958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846964 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  846967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  846969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  846977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  846983 */     GIR_RootConstrainSelectedInstOperands,
     /*  846984 */     // GIR_Coverage, 16316,
     /*  846984 */     GIR_EraseRootFromParent_Done,
     /*  846985 */   // Label 12954: @846985
     /*  846985 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(847079), // Rule ID 16317 //
     /*  846990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  846993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  846998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  847001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  847004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  847007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847037 */     // MIs[1] Operand 1
     /*  847037 */     // No operand predicates
     /*  847037 */     // MIs[0] round
     /*  847037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847049 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  847052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847077 */     GIR_RootConstrainSelectedInstOperands,
     /*  847078 */     // GIR_Coverage, 16317,
     /*  847078 */     GIR_EraseRootFromParent_Done,
     /*  847079 */   // Label 12955: @847079
     /*  847079 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(847173), // Rule ID 16320 //
     /*  847084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  847095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  847098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  847101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847131 */     // MIs[1] Operand 1
     /*  847131 */     // No operand predicates
     /*  847131 */     // MIs[0] round
     /*  847131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  847146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847171 */     GIR_RootConstrainSelectedInstOperands,
     /*  847172 */     // GIR_Coverage, 16320,
     /*  847172 */     GIR_EraseRootFromParent_Done,
     /*  847173 */   // Label 12956: @847173
     /*  847173 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(847267), // Rule ID 16321 //
     /*  847178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  847189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  847192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  847195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847225 */     // MIs[1] Operand 1
     /*  847225 */     // No operand predicates
     /*  847225 */     // MIs[0] round
     /*  847225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847228 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847237 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  847240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847265 */     GIR_RootConstrainSelectedInstOperands,
     /*  847266 */     // GIR_Coverage, 16321,
     /*  847266 */     GIR_EraseRootFromParent_Done,
     /*  847267 */   // Label 12957: @847267
     /*  847267 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(847361), // Rule ID 16324 //
     /*  847272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  847283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  847286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847319 */     // MIs[1] Operand 1
     /*  847319 */     // No operand predicates
     /*  847319 */     // MIs[0] round
     /*  847319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  847334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847340 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847359 */     GIR_RootConstrainSelectedInstOperands,
     /*  847360 */     // GIR_Coverage, 16324,
     /*  847360 */     GIR_EraseRootFromParent_Done,
     /*  847361 */   // Label 12958: @847361
     /*  847361 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(847455), // Rule ID 16325 //
     /*  847366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  847377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  847380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  847383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  847397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847413 */     // MIs[1] Operand 1
     /*  847413 */     // No operand predicates
     /*  847413 */     // MIs[0] round
     /*  847413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847425 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  847428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847453 */     GIR_RootConstrainSelectedInstOperands,
     /*  847454 */     // GIR_Coverage, 16325,
     /*  847454 */     GIR_EraseRootFromParent_Done,
     /*  847455 */   // Label 12959: @847455
     /*  847455 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(847549), // Rule ID 16328 //
     /*  847460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  847471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  847474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847507 */     // MIs[1] Operand 1
     /*  847507 */     // No operand predicates
     /*  847507 */     // MIs[0] round
     /*  847507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847519 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  847519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  847522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847547 */     GIR_RootConstrainSelectedInstOperands,
     /*  847548 */     // GIR_Coverage, 16328,
     /*  847548 */     GIR_EraseRootFromParent_Done,
     /*  847549 */   // Label 12960: @847549
     /*  847549 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(847643), // Rule ID 16329 //
     /*  847554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  847565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  847568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  847571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  847585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  847589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847601 */     // MIs[1] Operand 1
     /*  847601 */     // No operand predicates
     /*  847601 */     // MIs[0] round
     /*  847601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847613 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  847613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  847616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  847635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847641 */     GIR_RootConstrainSelectedInstOperands,
     /*  847642 */     // GIR_Coverage, 16329,
     /*  847642 */     GIR_EraseRootFromParent_Done,
     /*  847643 */   // Label 12961: @847643
     /*  847643 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(847737), // Rule ID 16332 //
     /*  847648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847695 */     // MIs[1] Operand 1
     /*  847695 */     // No operand predicates
     /*  847695 */     // MIs[0] round
     /*  847695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  847710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847735 */     GIR_RootConstrainSelectedInstOperands,
     /*  847736 */     // GIR_Coverage, 16332,
     /*  847736 */     GIR_EraseRootFromParent_Done,
     /*  847737 */   // Label 12962: @847737
     /*  847737 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(847831), // Rule ID 16333 //
     /*  847742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  847753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  847756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  847759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847789 */     // MIs[1] Operand 1
     /*  847789 */     // No operand predicates
     /*  847789 */     // MIs[0] round
     /*  847789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847801 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  847804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847829 */     GIR_RootConstrainSelectedInstOperands,
     /*  847830 */     // GIR_Coverage, 16333,
     /*  847830 */     GIR_EraseRootFromParent_Done,
     /*  847831 */   // Label 12963: @847831
     /*  847831 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(847925), // Rule ID 16336 //
     /*  847836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  847839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  847856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  847859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847883 */     // MIs[1] Operand 1
     /*  847883 */     // No operand predicates
     /*  847883 */     // MIs[0] round
     /*  847883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847895 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  847895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  847898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  847907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  847909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  847917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  847923 */     GIR_RootConstrainSelectedInstOperands,
     /*  847924 */     // GIR_Coverage, 16336,
     /*  847924 */     GIR_EraseRootFromParent_Done,
     /*  847925 */   // Label 12964: @847925
     /*  847925 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(848019), // Rule ID 16337 //
     /*  847930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  847933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  847938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  847941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  847944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  847947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  847950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  847953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  847969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  847973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  847977 */     // MIs[1] Operand 1
     /*  847977 */     // No operand predicates
     /*  847977 */     // MIs[0] round
     /*  847977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  847980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  847982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847989 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  847989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  847992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  847998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848017 */     GIR_RootConstrainSelectedInstOperands,
     /*  848018 */     // GIR_Coverage, 16337,
     /*  848018 */     GIR_EraseRootFromParent_Done,
     /*  848019 */   // Label 12965: @848019
     /*  848019 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(848113), // Rule ID 16340 //
     /*  848024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848071 */     // MIs[1] Operand 1
     /*  848071 */     // No operand predicates
     /*  848071 */     // MIs[0] round
     /*  848071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  848086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848111 */     GIR_RootConstrainSelectedInstOperands,
     /*  848112 */     // GIR_Coverage, 16340,
     /*  848112 */     GIR_EraseRootFromParent_Done,
     /*  848113 */   // Label 12966: @848113
     /*  848113 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(848207), // Rule ID 16341 //
     /*  848118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  848129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  848132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  848135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848165 */     // MIs[1] Operand 1
     /*  848165 */     // No operand predicates
     /*  848165 */     // MIs[0] round
     /*  848165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848177 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  848180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848205 */     GIR_RootConstrainSelectedInstOperands,
     /*  848206 */     // GIR_Coverage, 16341,
     /*  848206 */     GIR_EraseRootFromParent_Done,
     /*  848207 */   // Label 12967: @848207
     /*  848207 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(848301), // Rule ID 16344 //
     /*  848212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848259 */     // MIs[1] Operand 1
     /*  848259 */     // No operand predicates
     /*  848259 */     // MIs[0] round
     /*  848259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848271 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  848274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848280 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848299 */     GIR_RootConstrainSelectedInstOperands,
     /*  848300 */     // GIR_Coverage, 16344,
     /*  848300 */     GIR_EraseRootFromParent_Done,
     /*  848301 */   // Label 12968: @848301
     /*  848301 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(848395), // Rule ID 16345 //
     /*  848306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  848317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  848320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  848323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848353 */     // MIs[1] Operand 1
     /*  848353 */     // No operand predicates
     /*  848353 */     // MIs[0] round
     /*  848353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848365 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  848368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848393 */     GIR_RootConstrainSelectedInstOperands,
     /*  848394 */     // GIR_Coverage, 16345,
     /*  848394 */     GIR_EraseRootFromParent_Done,
     /*  848395 */   // Label 12969: @848395
     /*  848395 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(848489), // Rule ID 16348 //
     /*  848400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  848403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848447 */     // MIs[1] Operand 1
     /*  848447 */     // No operand predicates
     /*  848447 */     // MIs[0] round
     /*  848447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  848459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  848462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848487 */     GIR_RootConstrainSelectedInstOperands,
     /*  848488 */     // GIR_Coverage, 16348,
     /*  848488 */     GIR_EraseRootFromParent_Done,
     /*  848489 */   // Label 12970: @848489
     /*  848489 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(848583), // Rule ID 16349 //
     /*  848494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  848497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  848505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  848508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  848511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  848529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848541 */     // MIs[1] Operand 1
     /*  848541 */     // No operand predicates
     /*  848541 */     // MIs[0] round
     /*  848541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848553 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  848553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  848556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  848575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848581 */     GIR_RootConstrainSelectedInstOperands,
     /*  848582 */     // GIR_Coverage, 16349,
     /*  848582 */     GIR_EraseRootFromParent_Done,
     /*  848583 */   // Label 12971: @848583
     /*  848583 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(848677), // Rule ID 16352 //
     /*  848588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  848591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848635 */     // MIs[1] Operand 1
     /*  848635 */     // No operand predicates
     /*  848635 */     // MIs[0] round
     /*  848635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  848650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848675 */     GIR_RootConstrainSelectedInstOperands,
     /*  848676 */     // GIR_Coverage, 16352,
     /*  848676 */     GIR_EraseRootFromParent_Done,
     /*  848677 */   // Label 12972: @848677
     /*  848677 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(848771), // Rule ID 16353 //
     /*  848682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  848685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  848693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  848696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  848699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848729 */     // MIs[1] Operand 1
     /*  848729 */     // No operand predicates
     /*  848729 */     // MIs[0] round
     /*  848729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  848744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848769 */     GIR_RootConstrainSelectedInstOperands,
     /*  848770 */     // GIR_Coverage, 16353,
     /*  848770 */     GIR_EraseRootFromParent_Done,
     /*  848771 */   // Label 12973: @848771
     /*  848771 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(848865), // Rule ID 16356 //
     /*  848776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  848779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  848787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  848790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848823 */     // MIs[1] Operand 1
     /*  848823 */     // No operand predicates
     /*  848823 */     // MIs[0] round
     /*  848823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  848835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  848838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848863 */     GIR_RootConstrainSelectedInstOperands,
     /*  848864 */     // GIR_Coverage, 16356,
     /*  848864 */     GIR_EraseRootFromParent_Done,
     /*  848865 */   // Label 12974: @848865
     /*  848865 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(848959), // Rule ID 16357 //
     /*  848870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  848873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  848881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  848884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  848887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  848890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  848893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  848909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  848913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  848917 */     // MIs[1] Operand 1
     /*  848917 */     // No operand predicates
     /*  848917 */     // MIs[0] round
     /*  848917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  848920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  848922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848929 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  848929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  848932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  848938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  848941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  848943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  848951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  848957 */     GIR_RootConstrainSelectedInstOperands,
     /*  848958 */     // GIR_Coverage, 16357,
     /*  848958 */     GIR_EraseRootFromParent_Done,
     /*  848959 */   // Label 12975: @848959
     /*  848959 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(849053), // Rule ID 16360 //
     /*  848964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  848967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  848972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  848975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  848978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  848981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  848984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  848987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  848995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  848999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849011 */     // MIs[1] Operand 1
     /*  849011 */     // No operand predicates
     /*  849011 */     // MIs[0] round
     /*  849011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849023 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  849026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849051 */     GIR_RootConstrainSelectedInstOperands,
     /*  849052 */     // GIR_Coverage, 16360,
     /*  849052 */     GIR_EraseRootFromParent_Done,
     /*  849053 */   // Label 12976: @849053
     /*  849053 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(849147), // Rule ID 16361 //
     /*  849058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  849061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  849066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  849069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  849072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  849075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849105 */     // MIs[1] Operand 1
     /*  849105 */     // No operand predicates
     /*  849105 */     // MIs[0] round
     /*  849105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849117 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  849120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849145 */     GIR_RootConstrainSelectedInstOperands,
     /*  849146 */     // GIR_Coverage, 16361,
     /*  849146 */     GIR_EraseRootFromParent_Done,
     /*  849147 */   // Label 12977: @849147
     /*  849147 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(849241), // Rule ID 16364 //
     /*  849152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  849155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  849160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  849163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  849166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849199 */     // MIs[1] Operand 1
     /*  849199 */     // No operand predicates
     /*  849199 */     // MIs[0] round
     /*  849199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  849211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  849214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849220 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849239 */     GIR_RootConstrainSelectedInstOperands,
     /*  849240 */     // GIR_Coverage, 16364,
     /*  849240 */     GIR_EraseRootFromParent_Done,
     /*  849241 */   // Label 12978: @849241
     /*  849241 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(849335), // Rule ID 16365 //
     /*  849246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  849249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  849254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  849257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  849260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  849263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  849277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  849281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849293 */     // MIs[1] Operand 1
     /*  849293 */     // No operand predicates
     /*  849293 */     // MIs[0] round
     /*  849293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  849305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  849308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  849327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849333 */     GIR_RootConstrainSelectedInstOperands,
     /*  849334 */     // GIR_Coverage, 16365,
     /*  849334 */     GIR_EraseRootFromParent_Done,
     /*  849335 */   // Label 12979: @849335
     /*  849335 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(849429), // Rule ID 16488 //
     /*  849340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849387 */     // MIs[1] Operand 1
     /*  849387 */     // No operand predicates
     /*  849387 */     // MIs[0] round
     /*  849387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849399 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  849402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849427 */     GIR_RootConstrainSelectedInstOperands,
     /*  849428 */     // GIR_Coverage, 16488,
     /*  849428 */     GIR_EraseRootFromParent_Done,
     /*  849429 */   // Label 12980: @849429
     /*  849429 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(849523), // Rule ID 16489 //
     /*  849434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  849451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849481 */     // MIs[1] Operand 1
     /*  849481 */     // No operand predicates
     /*  849481 */     // MIs[0] round
     /*  849481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849493 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  849496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849521 */     GIR_RootConstrainSelectedInstOperands,
     /*  849522 */     // GIR_Coverage, 16489,
     /*  849522 */     GIR_EraseRootFromParent_Done,
     /*  849523 */   // Label 12981: @849523
     /*  849523 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(849617), // Rule ID 16492 //
     /*  849528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849575 */     // MIs[1] Operand 1
     /*  849575 */     // No operand predicates
     /*  849575 */     // MIs[0] round
     /*  849575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849587 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  849590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849615 */     GIR_RootConstrainSelectedInstOperands,
     /*  849616 */     // GIR_Coverage, 16492,
     /*  849616 */     GIR_EraseRootFromParent_Done,
     /*  849617 */   // Label 12982: @849617
     /*  849617 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(849711), // Rule ID 16493 //
     /*  849622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  849639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849669 */     // MIs[1] Operand 1
     /*  849669 */     // No operand predicates
     /*  849669 */     // MIs[0] round
     /*  849669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849681 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  849684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849709 */     GIR_RootConstrainSelectedInstOperands,
     /*  849710 */     // GIR_Coverage, 16493,
     /*  849710 */     GIR_EraseRootFromParent_Done,
     /*  849711 */   // Label 12983: @849711
     /*  849711 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(849805), // Rule ID 16496 //
     /*  849716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849763 */     // MIs[1] Operand 1
     /*  849763 */     // No operand predicates
     /*  849763 */     // MIs[0] round
     /*  849763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849775 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  849778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849784 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849803 */     GIR_RootConstrainSelectedInstOperands,
     /*  849804 */     // GIR_Coverage, 16496,
     /*  849804 */     GIR_EraseRootFromParent_Done,
     /*  849805 */   // Label 12984: @849805
     /*  849805 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(849899), // Rule ID 16497 //
     /*  849810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  849821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  849824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  849827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  849833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849857 */     // MIs[1] Operand 1
     /*  849857 */     // No operand predicates
     /*  849857 */     // MIs[0] round
     /*  849857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  849872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849897 */     GIR_RootConstrainSelectedInstOperands,
     /*  849898 */     // GIR_Coverage, 16497,
     /*  849898 */     GIR_EraseRootFromParent_Done,
     /*  849899 */   // Label 12985: @849899
     /*  849899 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(849993), // Rule ID 16500 //
     /*  849904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  849912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  849915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  849918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  849921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  849927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  849939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  849943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  849947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  849951 */     // MIs[1] Operand 1
     /*  849951 */     // No operand predicates
     /*  849951 */     // MIs[0] round
     /*  849951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  849954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  849956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849963 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  849966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  849975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  849977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  849991 */     GIR_RootConstrainSelectedInstOperands,
     /*  849992 */     // GIR_Coverage, 16500,
     /*  849992 */     GIR_EraseRootFromParent_Done,
     /*  849993 */   // Label 12986: @849993
     /*  849993 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(850087), // Rule ID 16501 //
     /*  849998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  850015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850045 */     // MIs[1] Operand 1
     /*  850045 */     // No operand predicates
     /*  850045 */     // MIs[0] round
     /*  850045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850057 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  850060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850085 */     GIR_RootConstrainSelectedInstOperands,
     /*  850086 */     // GIR_Coverage, 16501,
     /*  850086 */     GIR_EraseRootFromParent_Done,
     /*  850087 */   // Label 12987: @850087
     /*  850087 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(850181), // Rule ID 16504 //
     /*  850092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850139 */     // MIs[1] Operand 1
     /*  850139 */     // No operand predicates
     /*  850139 */     // MIs[0] round
     /*  850139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850151 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  850154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850160 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850179 */     GIR_RootConstrainSelectedInstOperands,
     /*  850180 */     // GIR_Coverage, 16504,
     /*  850180 */     GIR_EraseRootFromParent_Done,
     /*  850181 */   // Label 12988: @850181
     /*  850181 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(850275), // Rule ID 16505 //
     /*  850186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  850197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  850200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  850203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850233 */     // MIs[1] Operand 1
     /*  850233 */     // No operand predicates
     /*  850233 */     // MIs[0] round
     /*  850233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850245 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  850248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850273 */     GIR_RootConstrainSelectedInstOperands,
     /*  850274 */     // GIR_Coverage, 16505,
     /*  850274 */     GIR_EraseRootFromParent_Done,
     /*  850275 */   // Label 12989: @850275
     /*  850275 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(850369), // Rule ID 16508 //
     /*  850280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850327 */     // MIs[1] Operand 1
     /*  850327 */     // No operand predicates
     /*  850327 */     // MIs[0] round
     /*  850327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  850342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850367 */     GIR_RootConstrainSelectedInstOperands,
     /*  850368 */     // GIR_Coverage, 16508,
     /*  850368 */     GIR_EraseRootFromParent_Done,
     /*  850369 */   // Label 12990: @850369
     /*  850369 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(850463), // Rule ID 16509 //
     /*  850374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  850385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  850388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  850391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  850405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  850409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850421 */     // MIs[1] Operand 1
     /*  850421 */     // No operand predicates
     /*  850421 */     // MIs[0] round
     /*  850421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850433 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  850436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850461 */     GIR_RootConstrainSelectedInstOperands,
     /*  850462 */     // GIR_Coverage, 16509,
     /*  850462 */     GIR_EraseRootFromParent_Done,
     /*  850463 */   // Label 12991: @850463
     /*  850463 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(850557), // Rule ID 16512 //
     /*  850468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850515 */     // MIs[1] Operand 1
     /*  850515 */     // No operand predicates
     /*  850515 */     // MIs[0] round
     /*  850515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  850530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850555 */     GIR_RootConstrainSelectedInstOperands,
     /*  850556 */     // GIR_Coverage, 16512,
     /*  850556 */     GIR_EraseRootFromParent_Done,
     /*  850557 */   // Label 12992: @850557
     /*  850557 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(850651), // Rule ID 16513 //
     /*  850562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850609 */     // MIs[1] Operand 1
     /*  850609 */     // No operand predicates
     /*  850609 */     // MIs[0] round
     /*  850609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850621 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  850624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850649 */     GIR_RootConstrainSelectedInstOperands,
     /*  850650 */     // GIR_Coverage, 16513,
     /*  850650 */     GIR_EraseRootFromParent_Done,
     /*  850651 */   // Label 12993: @850651
     /*  850651 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(850745), // Rule ID 16516 //
     /*  850656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850703 */     // MIs[1] Operand 1
     /*  850703 */     // No operand predicates
     /*  850703 */     // MIs[0] round
     /*  850703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850715 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  850718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850743 */     GIR_RootConstrainSelectedInstOperands,
     /*  850744 */     // GIR_Coverage, 16516,
     /*  850744 */     GIR_EraseRootFromParent_Done,
     /*  850745 */   // Label 12994: @850745
     /*  850745 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(850839), // Rule ID 16517 //
     /*  850750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850797 */     // MIs[1] Operand 1
     /*  850797 */     // No operand predicates
     /*  850797 */     // MIs[0] round
     /*  850797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850809 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  850812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850818 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850837 */     GIR_RootConstrainSelectedInstOperands,
     /*  850838 */     // GIR_Coverage, 16517,
     /*  850838 */     GIR_EraseRootFromParent_Done,
     /*  850839 */   // Label 12995: @850839
     /*  850839 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(850933), // Rule ID 16520 //
     /*  850844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  850867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850891 */     // MIs[1] Operand 1
     /*  850891 */     // No operand predicates
     /*  850891 */     // MIs[0] round
     /*  850891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  850906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  850915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  850917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  850931 */     GIR_RootConstrainSelectedInstOperands,
     /*  850932 */     // GIR_Coverage, 16520,
     /*  850932 */     GIR_EraseRootFromParent_Done,
     /*  850933 */   // Label 12996: @850933
     /*  850933 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(851027), // Rule ID 16521 //
     /*  850938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  850946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  850955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  850961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  850973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  850977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  850981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  850985 */     // MIs[1] Operand 1
     /*  850985 */     // No operand predicates
     /*  850985 */     // MIs[0] round
     /*  850985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  850988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  850990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  851000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851025 */     GIR_RootConstrainSelectedInstOperands,
     /*  851026 */     // GIR_Coverage, 16521,
     /*  851026 */     GIR_EraseRootFromParent_Done,
     /*  851027 */   // Label 12997: @851027
     /*  851027 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(851121), // Rule ID 16524 //
     /*  851032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851079 */     // MIs[1] Operand 1
     /*  851079 */     // No operand predicates
     /*  851079 */     // MIs[0] round
     /*  851079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  851094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851119 */     GIR_RootConstrainSelectedInstOperands,
     /*  851120 */     // GIR_Coverage, 16524,
     /*  851120 */     GIR_EraseRootFromParent_Done,
     /*  851121 */   // Label 12998: @851121
     /*  851121 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(851215), // Rule ID 16525 //
     /*  851126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  851143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851173 */     // MIs[1] Operand 1
     /*  851173 */     // No operand predicates
     /*  851173 */     // MIs[0] round
     /*  851173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851185 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  851188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851213 */     GIR_RootConstrainSelectedInstOperands,
     /*  851214 */     // GIR_Coverage, 16525,
     /*  851214 */     GIR_EraseRootFromParent_Done,
     /*  851215 */   // Label 12999: @851215
     /*  851215 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(851309), // Rule ID 16528 //
     /*  851220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851267 */     // MIs[1] Operand 1
     /*  851267 */     // No operand predicates
     /*  851267 */     // MIs[0] round
     /*  851267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  851282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851307 */     GIR_RootConstrainSelectedInstOperands,
     /*  851308 */     // GIR_Coverage, 16528,
     /*  851308 */     GIR_EraseRootFromParent_Done,
     /*  851309 */   // Label 13000: @851309
     /*  851309 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(851403), // Rule ID 16529 //
     /*  851314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  851331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851361 */     // MIs[1] Operand 1
     /*  851361 */     // No operand predicates
     /*  851361 */     // MIs[0] round
     /*  851361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851373 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  851376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851401 */     GIR_RootConstrainSelectedInstOperands,
     /*  851402 */     // GIR_Coverage, 16529,
     /*  851402 */     GIR_EraseRootFromParent_Done,
     /*  851403 */   // Label 13001: @851403
     /*  851403 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(851497), // Rule ID 16532 //
     /*  851408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  851411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851455 */     // MIs[1] Operand 1
     /*  851455 */     // No operand predicates
     /*  851455 */     // MIs[0] round
     /*  851455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  851470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851495 */     GIR_RootConstrainSelectedInstOperands,
     /*  851496 */     // GIR_Coverage, 16532,
     /*  851496 */     GIR_EraseRootFromParent_Done,
     /*  851497 */   // Label 13002: @851497
     /*  851497 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(851591), // Rule ID 16533 //
     /*  851502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  851505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  851513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  851516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851549 */     // MIs[1] Operand 1
     /*  851549 */     // No operand predicates
     /*  851549 */     // MIs[0] round
     /*  851549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851561 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  851564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851589 */     GIR_RootConstrainSelectedInstOperands,
     /*  851590 */     // GIR_Coverage, 16533,
     /*  851590 */     GIR_EraseRootFromParent_Done,
     /*  851591 */   // Label 13003: @851591
     /*  851591 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(851685), // Rule ID 16536 //
     /*  851596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  851599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851643 */     // MIs[1] Operand 1
     /*  851643 */     // No operand predicates
     /*  851643 */     // MIs[0] round
     /*  851643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851655 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  851658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851683 */     GIR_RootConstrainSelectedInstOperands,
     /*  851684 */     // GIR_Coverage, 16536,
     /*  851684 */     GIR_EraseRootFromParent_Done,
     /*  851685 */   // Label 13004: @851685
     /*  851685 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(851779), // Rule ID 16537 //
     /*  851690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  851693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  851707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851737 */     // MIs[1] Operand 1
     /*  851737 */     // No operand predicates
     /*  851737 */     // MIs[0] round
     /*  851737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851749 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  851752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851758 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851777 */     GIR_RootConstrainSelectedInstOperands,
     /*  851778 */     // GIR_Coverage, 16537,
     /*  851778 */     GIR_EraseRootFromParent_Done,
     /*  851779 */   // Label 13005: @851779
     /*  851779 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(851873), // Rule ID 16540 //
     /*  851784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  851787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851831 */     // MIs[1] Operand 1
     /*  851831 */     // No operand predicates
     /*  851831 */     // MIs[0] round
     /*  851831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  851843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  851846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851871 */     GIR_RootConstrainSelectedInstOperands,
     /*  851872 */     // GIR_Coverage, 16540,
     /*  851872 */     GIR_EraseRootFromParent_Done,
     /*  851873 */   // Label 13006: @851873
     /*  851873 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(851967), // Rule ID 16541 //
     /*  851878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  851881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  851889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  851892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  851895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  851901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  851917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  851921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  851925 */     // MIs[1] Operand 1
     /*  851925 */     // No operand predicates
     /*  851925 */     // MIs[0] round
     /*  851925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  851928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  851930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  851940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  851949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  851951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  851965 */     GIR_RootConstrainSelectedInstOperands,
     /*  851966 */     // GIR_Coverage, 16541,
     /*  851966 */     GIR_EraseRootFromParent_Done,
     /*  851967 */   // Label 13007: @851967
     /*  851967 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(852061), // Rule ID 16544 //
     /*  851972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  851975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  851980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  851983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  851986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  851989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  851995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  852011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  852015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  852019 */     // MIs[1] Operand 1
     /*  852019 */     // No operand predicates
     /*  852019 */     // MIs[0] round
     /*  852019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  852034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852040 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  852043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  852059 */     GIR_RootConstrainSelectedInstOperands,
     /*  852060 */     // GIR_Coverage, 16544,
     /*  852060 */     GIR_EraseRootFromParent_Done,
     /*  852061 */   // Label 13008: @852061
     /*  852061 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(852155), // Rule ID 16545 //
     /*  852066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  852069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  852074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  852105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  852109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  852113 */     // MIs[1] Operand 1
     /*  852113 */     // No operand predicates
     /*  852113 */     // MIs[0] round
     /*  852113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852125 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  852128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  852137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  852153 */     GIR_RootConstrainSelectedInstOperands,
     /*  852154 */     // GIR_Coverage, 16545,
     /*  852154 */     GIR_EraseRootFromParent_Done,
     /*  852155 */   // Label 13009: @852155
     /*  852155 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(852239), // Rule ID 2620 //
     /*  852160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  852163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  852180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852203 */     // MIs[0] round
     /*  852203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852215 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  852215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  852218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852237 */     GIR_RootConstrainSelectedInstOperands,
     /*  852238 */     // GIR_Coverage, 2620,
     /*  852238 */     GIR_EraseRootFromParent_Done,
     /*  852239 */   // Label 13010: @852239
     /*  852239 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(852323), // Rule ID 2621 //
     /*  852244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  852247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  852255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  852258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  852261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  852264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852287 */     // MIs[0] round
     /*  852287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852299 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  852299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  852302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852321 */     GIR_RootConstrainSelectedInstOperands,
     /*  852322 */     // GIR_Coverage, 2621,
     /*  852322 */     GIR_EraseRootFromParent_Done,
     /*  852323 */   // Label 13011: @852323
     /*  852323 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(852407), // Rule ID 16992 //
     /*  852328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  852331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  852348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852371 */     // MIs[0] round
     /*  852371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  852383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  852386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852405 */     GIR_RootConstrainSelectedInstOperands,
     /*  852406 */     // GIR_Coverage, 16992,
     /*  852406 */     GIR_EraseRootFromParent_Done,
     /*  852407 */   // Label 13012: @852407
     /*  852407 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(852491), // Rule ID 16993 //
     /*  852412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  852415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  852423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  852426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  852429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  852432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852455 */     // MIs[0] round
     /*  852455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  852467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  852470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852489 */     GIR_RootConstrainSelectedInstOperands,
     /*  852490 */     // GIR_Coverage, 16993,
     /*  852490 */     GIR_EraseRootFromParent_Done,
     /*  852491 */   // Label 13013: @852491
     /*  852491 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(852575), // Rule ID 17002 //
     /*  852496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  852499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852539 */     // MIs[0] round
     /*  852539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  852551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  852554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852573 */     GIR_RootConstrainSelectedInstOperands,
     /*  852574 */     // GIR_Coverage, 17002,
     /*  852574 */     GIR_EraseRootFromParent_Done,
     /*  852575 */   // Label 13014: @852575
     /*  852575 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(852659), // Rule ID 17003 //
     /*  852580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  852583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  852600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  852623 */     // MIs[0] round
     /*  852623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  852635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  852638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852657 */     GIR_RootConstrainSelectedInstOperands,
     /*  852658 */     // GIR_Coverage, 17003,
     /*  852658 */     GIR_EraseRootFromParent_Done,
     /*  852659 */   // Label 13015: @852659
     /*  852659 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(852743), // Rule ID 17012 //
     /*  852664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  852667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  852684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852707 */     // MIs[0] round
     /*  852707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852719 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  852719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  852722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852741 */     GIR_RootConstrainSelectedInstOperands,
     /*  852742 */     // GIR_Coverage, 17012,
     /*  852742 */     GIR_EraseRootFromParent_Done,
     /*  852743 */   // Label 13016: @852743
     /*  852743 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(852827), // Rule ID 17013 //
     /*  852748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  852751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  852768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852791 */     // MIs[0] round
     /*  852791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852803 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  852803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  852806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852825 */     GIR_RootConstrainSelectedInstOperands,
     /*  852826 */     // GIR_Coverage, 17013,
     /*  852826 */     GIR_EraseRootFromParent_Done,
     /*  852827 */   // Label 13017: @852827
     /*  852827 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(852911), // Rule ID 17022 //
     /*  852832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  852835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  852852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  852855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852875 */     // MIs[0] round
     /*  852875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852887 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  852887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  852890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852909 */     GIR_RootConstrainSelectedInstOperands,
     /*  852910 */     // GIR_Coverage, 17022,
     /*  852910 */     GIR_EraseRootFromParent_Done,
     /*  852911 */   // Label 13018: @852911
     /*  852911 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(852995), // Rule ID 17023 //
     /*  852916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  852919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  852924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  852936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  852939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  852947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  852951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852959 */     // MIs[0] round
     /*  852959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  852962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  852964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852971 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  852971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  852974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  852982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  852993 */     GIR_RootConstrainSelectedInstOperands,
     /*  852994 */     // GIR_Coverage, 17023,
     /*  852994 */     GIR_EraseRootFromParent_Done,
     /*  852995 */   // Label 13019: @852995
     /*  852995 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(853079), // Rule ID 17032 //
     /*  853000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  853003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  853020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853043 */     // MIs[0] round
     /*  853043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853055 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  853055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  853058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853077 */     GIR_RootConstrainSelectedInstOperands,
     /*  853078 */     // GIR_Coverage, 17032,
     /*  853078 */     GIR_EraseRootFromParent_Done,
     /*  853079 */   // Label 13020: @853079
     /*  853079 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(853163), // Rule ID 17033 //
     /*  853084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  853087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  853095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  853098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  853101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  853104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853127 */     // MIs[0] round
     /*  853127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853139 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  853139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  853142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853161 */     GIR_RootConstrainSelectedInstOperands,
     /*  853162 */     // GIR_Coverage, 17033,
     /*  853162 */     GIR_EraseRootFromParent_Done,
     /*  853163 */   // Label 13021: @853163
     /*  853163 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(853247), // Rule ID 17042 //
     /*  853168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  853171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  853188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853211 */     // MIs[0] round
     /*  853211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853223 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  853223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  853226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853245 */     GIR_RootConstrainSelectedInstOperands,
     /*  853246 */     // GIR_Coverage, 17042,
     /*  853246 */     GIR_EraseRootFromParent_Done,
     /*  853247 */   // Label 13022: @853247
     /*  853247 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(853331), // Rule ID 17043 //
     /*  853252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  853255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  853263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  853266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  853269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  853272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853295 */     // MIs[0] round
     /*  853295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853307 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  853307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  853310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853329 */     GIR_RootConstrainSelectedInstOperands,
     /*  853330 */     // GIR_Coverage, 17043,
     /*  853330 */     GIR_EraseRootFromParent_Done,
     /*  853331 */   // Label 13023: @853331
     /*  853331 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(853415), // Rule ID 17052 //
     /*  853336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  853339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  853356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853379 */     // MIs[0] round
     /*  853379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853391 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  853391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  853394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853413 */     GIR_RootConstrainSelectedInstOperands,
     /*  853414 */     // GIR_Coverage, 17052,
     /*  853414 */     GIR_EraseRootFromParent_Done,
     /*  853415 */   // Label 13024: @853415
     /*  853415 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(853499), // Rule ID 17053 //
     /*  853420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  853423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  853431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  853434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  853437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  853440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  853463 */     // MIs[0] round
     /*  853463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853475 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  853475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  853478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853497 */     GIR_RootConstrainSelectedInstOperands,
     /*  853498 */     // GIR_Coverage, 17053,
     /*  853498 */     GIR_EraseRootFromParent_Done,
     /*  853499 */   // Label 13025: @853499
     /*  853499 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(853583), // Rule ID 17062 //
     /*  853504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  853507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  853524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853547 */     // MIs[0] round
     /*  853547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853559 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  853559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  853562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853581 */     GIR_RootConstrainSelectedInstOperands,
     /*  853582 */     // GIR_Coverage, 17062,
     /*  853582 */     GIR_EraseRootFromParent_Done,
     /*  853583 */   // Label 13026: @853583
     /*  853583 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(853667), // Rule ID 17063 //
     /*  853588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  853591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  853596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  853599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  853602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  853605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  853608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  853627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  853631 */     // MIs[0] round
     /*  853631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853643 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  853643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  853646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853665 */     GIR_RootConstrainSelectedInstOperands,
     /*  853666 */     // GIR_Coverage, 17063,
     /*  853666 */     GIR_EraseRootFromParent_Done,
     /*  853667 */   // Label 13027: @853667
     /*  853667 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(853751), // Rule ID 17108 //
     /*  853672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  853675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  853680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  853692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853715 */     // MIs[0] round
     /*  853715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853727 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  853727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  853730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853749 */     GIR_RootConstrainSelectedInstOperands,
     /*  853750 */     // GIR_Coverage, 17108,
     /*  853750 */     GIR_EraseRootFromParent_Done,
     /*  853751 */   // Label 13028: @853751
     /*  853751 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(853835), // Rule ID 17109 //
     /*  853756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  853759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  853764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  853776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853799 */     // MIs[0] round
     /*  853799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853811 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  853811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  853814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853833 */     GIR_RootConstrainSelectedInstOperands,
     /*  853834 */     // GIR_Coverage, 17109,
     /*  853834 */     GIR_EraseRootFromParent_Done,
     /*  853835 */   // Label 13029: @853835
     /*  853835 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(853919), // Rule ID 17118 //
     /*  853840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  853843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  853848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  853860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  853863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853883 */     // MIs[0] round
     /*  853883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853895 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  853895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  853898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  853917 */     GIR_RootConstrainSelectedInstOperands,
     /*  853918 */     // GIR_Coverage, 17118,
     /*  853918 */     GIR_EraseRootFromParent_Done,
     /*  853919 */   // Label 13030: @853919
     /*  853919 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(854003), // Rule ID 17119 //
     /*  853924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  853927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  853932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  853935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  853938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  853941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  853944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  853947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  853955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  853959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853967 */     // MIs[0] round
     /*  853967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  853970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  853972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853979 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  853979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  853982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  853990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854001 */     GIR_RootConstrainSelectedInstOperands,
     /*  854002 */     // GIR_Coverage, 17119,
     /*  854002 */     GIR_EraseRootFromParent_Done,
     /*  854003 */   // Label 13031: @854003
     /*  854003 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(854087), // Rule ID 17128 //
     /*  854008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  854011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  854028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854051 */     // MIs[0] round
     /*  854051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854063 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  854063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  854066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854085 */     GIR_RootConstrainSelectedInstOperands,
     /*  854086 */     // GIR_Coverage, 17128,
     /*  854086 */     GIR_EraseRootFromParent_Done,
     /*  854087 */   // Label 13032: @854087
     /*  854087 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(854171), // Rule ID 17129 //
     /*  854092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  854095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  854103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  854106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  854109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  854112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854135 */     // MIs[0] round
     /*  854135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854147 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  854147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  854150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854169 */     GIR_RootConstrainSelectedInstOperands,
     /*  854170 */     // GIR_Coverage, 17129,
     /*  854170 */     GIR_EraseRootFromParent_Done,
     /*  854171 */   // Label 13033: @854171
     /*  854171 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(854255), // Rule ID 17138 //
     /*  854176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  854179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854219 */     // MIs[0] round
     /*  854219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  854231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  854234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854253 */     GIR_RootConstrainSelectedInstOperands,
     /*  854254 */     // GIR_Coverage, 17138,
     /*  854254 */     GIR_EraseRootFromParent_Done,
     /*  854255 */   // Label 13034: @854255
     /*  854255 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(854339), // Rule ID 17139 //
     /*  854260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  854263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  854271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  854274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  854277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  854280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854303 */     // MIs[0] round
     /*  854303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  854315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  854318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854337 */     GIR_RootConstrainSelectedInstOperands,
     /*  854338 */     // GIR_Coverage, 17139,
     /*  854338 */     GIR_EraseRootFromParent_Done,
     /*  854339 */   // Label 13035: @854339
     /*  854339 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(854423), // Rule ID 17148 //
     /*  854344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  854347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  854355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  854358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  854361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  854364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854387 */     // MIs[0] round
     /*  854387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854399 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  854399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  854402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854421 */     GIR_RootConstrainSelectedInstOperands,
     /*  854422 */     // GIR_Coverage, 17148,
     /*  854422 */     GIR_EraseRootFromParent_Done,
     /*  854423 */   // Label 13036: @854423
     /*  854423 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(854507), // Rule ID 17149 //
     /*  854428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  854431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  854439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  854442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  854445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  854448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854471 */     // MIs[0] round
     /*  854471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854483 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  854483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  854486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854505 */     GIR_RootConstrainSelectedInstOperands,
     /*  854506 */     // GIR_Coverage, 17149,
     /*  854506 */     GIR_EraseRootFromParent_Done,
     /*  854507 */   // Label 13037: @854507
     /*  854507 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(854591), // Rule ID 17158 //
     /*  854512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  854515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  854532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854539 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854543 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854555 */     // MIs[0] round
     /*  854555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854567 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  854567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  854570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854589 */     GIR_RootConstrainSelectedInstOperands,
     /*  854590 */     // GIR_Coverage, 17158,
     /*  854590 */     GIR_EraseRootFromParent_Done,
     /*  854591 */   // Label 13038: @854591
     /*  854591 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(854675), // Rule ID 17159 //
     /*  854596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  854599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  854616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854639 */     // MIs[0] round
     /*  854639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854651 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  854651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  854654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854673 */     GIR_RootConstrainSelectedInstOperands,
     /*  854674 */     // GIR_Coverage, 17159,
     /*  854674 */     GIR_EraseRootFromParent_Done,
     /*  854675 */   // Label 13039: @854675
     /*  854675 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(854759), // Rule ID 17168 //
     /*  854680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  854683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  854691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  854694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  854697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  854700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854723 */     // MIs[0] round
     /*  854723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854735 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  854735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  854738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854757 */     GIR_RootConstrainSelectedInstOperands,
     /*  854758 */     // GIR_Coverage, 17168,
     /*  854758 */     GIR_EraseRootFromParent_Done,
     /*  854759 */   // Label 13040: @854759
     /*  854759 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(854843), // Rule ID 17169 //
     /*  854764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  854767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  854775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  854778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  854781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  854784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854807 */     // MIs[0] round
     /*  854807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854819 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  854819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  854822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854841 */     GIR_RootConstrainSelectedInstOperands,
     /*  854842 */     // GIR_Coverage, 17169,
     /*  854842 */     GIR_EraseRootFromParent_Done,
     /*  854843 */   // Label 13041: @854843
     /*  854843 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(854927), // Rule ID 17178 //
     /*  854848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  854851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  854868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  854871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854891 */     // MIs[0] round
     /*  854891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  854903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  854906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  854925 */     GIR_RootConstrainSelectedInstOperands,
     /*  854926 */     // GIR_Coverage, 17178,
     /*  854926 */     GIR_EraseRootFromParent_Done,
     /*  854927 */   // Label 13042: @854927
     /*  854927 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(855011), // Rule ID 17179 //
     /*  854932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  854935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  854940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  854943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  854946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  854949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  854952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  854955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  854963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  854967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854975 */     // MIs[0] round
     /*  854975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  854978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  854980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  854987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  854990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  854998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  855009 */     GIR_RootConstrainSelectedInstOperands,
     /*  855010 */     // GIR_Coverage, 17179,
     /*  855010 */     GIR_EraseRootFromParent_Done,
     /*  855011 */   // Label 13043: @855011
     /*  855011 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(855095), // Rule ID 17188 //
     /*  855016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  855019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  855024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  855036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  855047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  855051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855059 */     // MIs[0] round
     /*  855059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  855062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  855064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  855071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  855074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  855082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  855093 */     GIR_RootConstrainSelectedInstOperands,
     /*  855094 */     // GIR_Coverage, 17188,
     /*  855094 */     GIR_EraseRootFromParent_Done,
     /*  855095 */   // Label 13044: @855095
     /*  855095 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(855179), // Rule ID 17189 //
     /*  855100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  855103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  855108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  855111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  855114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  855117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  855120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  855131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  855135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855143 */     // MIs[0] round
     /*  855143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  855146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  855148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855155 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  855155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  855158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  855166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  855177 */     GIR_RootConstrainSelectedInstOperands,
     /*  855178 */     // GIR_Coverage, 17189,
     /*  855178 */     GIR_EraseRootFromParent_Done,
     /*  855179 */   // Label 13045: @855179
     /*  855179 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(855261), // Rule ID 62171 //
     /*  855184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855211 */     // MIs[0] op1
     /*  855211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855238 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  855238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  855241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855243 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855245 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855247 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855249 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855259 */     GIR_RootConstrainSelectedInstOperands,
     /*  855260 */     // GIR_Coverage, 62171,
     /*  855260 */     GIR_EraseRootFromParent_Done,
     /*  855261 */   // Label 13046: @855261
     /*  855261 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(855343), // Rule ID 62172 //
     /*  855266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855293 */     // MIs[0] op1
     /*  855293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855296 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855320 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  855320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  855323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855325 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855327 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855329 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855331 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855341 */     GIR_RootConstrainSelectedInstOperands,
     /*  855342 */     // GIR_Coverage, 62172,
     /*  855342 */     GIR_EraseRootFromParent_Done,
     /*  855343 */   // Label 13047: @855343
     /*  855343 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(855425), // Rule ID 62201 //
     /*  855348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  855368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855375 */     // MIs[0] op1
     /*  855375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855378 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855402 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  855402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  855405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855407 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855409 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855411 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855413 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855423 */     GIR_RootConstrainSelectedInstOperands,
     /*  855424 */     // GIR_Coverage, 62201,
     /*  855424 */     GIR_EraseRootFromParent_Done,
     /*  855425 */   // Label 13048: @855425
     /*  855425 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(855507), // Rule ID 62202 //
     /*  855430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  855441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  855444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  855447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  855450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855457 */     // MIs[0] op1
     /*  855457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  855484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  855487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855495 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855505 */     GIR_RootConstrainSelectedInstOperands,
     /*  855506 */     // GIR_Coverage, 62202,
     /*  855506 */     GIR_EraseRootFromParent_Done,
     /*  855507 */   // Label 13049: @855507
     /*  855507 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(855589), // Rule ID 62233 //
     /*  855512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855539 */     // MIs[0] op1
     /*  855539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855542 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855566 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  855566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  855569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855571 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855573 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855575 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855577 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855587 */     GIR_RootConstrainSelectedInstOperands,
     /*  855588 */     // GIR_Coverage, 62233,
     /*  855588 */     GIR_EraseRootFromParent_Done,
     /*  855589 */   // Label 13050: @855589
     /*  855589 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(855671), // Rule ID 62234 //
     /*  855594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855621 */     // MIs[0] op1
     /*  855621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  855648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  855651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855653 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855655 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855657 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855659 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855669 */     GIR_RootConstrainSelectedInstOperands,
     /*  855670 */     // GIR_Coverage, 62234,
     /*  855670 */     GIR_EraseRootFromParent_Done,
     /*  855671 */   // Label 13051: @855671
     /*  855671 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(855753), // Rule ID 62245 //
     /*  855676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  855696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855703 */     // MIs[0] op1
     /*  855703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  855730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  855733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855735 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855737 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855739 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855741 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855751 */     GIR_RootConstrainSelectedInstOperands,
     /*  855752 */     // GIR_Coverage, 62245,
     /*  855752 */     GIR_EraseRootFromParent_Done,
     /*  855753 */   // Label 13052: @855753
     /*  855753 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(855835), // Rule ID 62246 //
     /*  855758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  855766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  855769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  855772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  855775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  855778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855785 */     // MIs[0] op1
     /*  855785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855788 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855812 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  855812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  855815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855817 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855819 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855821 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855823 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855833 */     GIR_RootConstrainSelectedInstOperands,
     /*  855834 */     // GIR_Coverage, 62246,
     /*  855834 */     GIR_EraseRootFromParent_Done,
     /*  855835 */   // Label 13053: @855835
     /*  855835 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(855917), // Rule ID 62277 //
     /*  855840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  855843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  855854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  855857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  855863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855867 */     // MIs[0] op1
     /*  855867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855870 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  855894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  855897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855899 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855901 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855903 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855905 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855915 */     GIR_RootConstrainSelectedInstOperands,
     /*  855916 */     // GIR_Coverage, 62277,
     /*  855916 */     GIR_EraseRootFromParent_Done,
     /*  855917 */   // Label 13054: @855917
     /*  855917 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(855999), // Rule ID 62278 //
     /*  855922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  855925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  855930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  855933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  855936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  855939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  855945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855949 */     // MIs[0] op1
     /*  855949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  855952 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  855957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  855965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855976 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  855976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  855979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855981 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  855983 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  855985 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  855987 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  855989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  855997 */     GIR_RootConstrainSelectedInstOperands,
     /*  855998 */     // GIR_Coverage, 62278,
     /*  855998 */     GIR_EraseRootFromParent_Done,
     /*  855999 */   // Label 13055: @855999
     /*  855999 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(856081), // Rule ID 62289 //
     /*  856004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  856024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856031 */     // MIs[0] op1
     /*  856031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  856058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  856061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856069 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856079 */     GIR_RootConstrainSelectedInstOperands,
     /*  856080 */     // GIR_Coverage, 62289,
     /*  856080 */     GIR_EraseRootFromParent_Done,
     /*  856081 */   // Label 13056: @856081
     /*  856081 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(856163), // Rule ID 62290 //
     /*  856086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  856097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  856100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  856103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  856106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856113 */     // MIs[0] op1
     /*  856113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  856140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  856143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856145 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856147 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856149 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856151 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  856161 */     GIR_RootConstrainSelectedInstOperands,
     /*  856162 */     // GIR_Coverage, 62290,
     /*  856162 */     GIR_EraseRootFromParent_Done,
     /*  856163 */   // Label 13057: @856163
     /*  856163 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(856245), // Rule ID 62321 //
     /*  856168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856195 */     // MIs[0] op1
     /*  856195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856198 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  856222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  856225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856227 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856229 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856231 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856233 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856243 */     GIR_RootConstrainSelectedInstOperands,
     /*  856244 */     // GIR_Coverage, 62321,
     /*  856244 */     GIR_EraseRootFromParent_Done,
     /*  856245 */   // Label 13058: @856245
     /*  856245 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(856327), // Rule ID 62322 //
     /*  856250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856277 */     // MIs[0] op1
     /*  856277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856280 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856304 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  856304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  856307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856309 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856311 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856313 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856315 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856325 */     GIR_RootConstrainSelectedInstOperands,
     /*  856326 */     // GIR_Coverage, 62322,
     /*  856326 */     GIR_EraseRootFromParent_Done,
     /*  856327 */   // Label 13059: @856327
     /*  856327 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(856409), // Rule ID 62333 //
     /*  856332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  856352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856359 */     // MIs[0] op1
     /*  856359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  856386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  856389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856397 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856407 */     GIR_RootConstrainSelectedInstOperands,
     /*  856408 */     // GIR_Coverage, 62333,
     /*  856408 */     GIR_EraseRootFromParent_Done,
     /*  856409 */   // Label 13060: @856409
     /*  856409 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(856491), // Rule ID 62334 //
     /*  856414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  856434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856441 */     // MIs[0] op1
     /*  856441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  856468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  856471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856473 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856475 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856477 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856479 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856489 */     GIR_RootConstrainSelectedInstOperands,
     /*  856490 */     // GIR_Coverage, 62334,
     /*  856490 */     GIR_EraseRootFromParent_Done,
     /*  856491 */   // Label 13061: @856491
     /*  856491 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(856573), // Rule ID 62345 //
     /*  856496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  856516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856523 */     // MIs[0] op1
     /*  856523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856550 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  856550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  856553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856555 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856557 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856559 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856561 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856571 */     GIR_RootConstrainSelectedInstOperands,
     /*  856572 */     // GIR_Coverage, 62345,
     /*  856572 */     GIR_EraseRootFromParent_Done,
     /*  856573 */   // Label 13062: @856573
     /*  856573 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(856655), // Rule ID 62346 //
     /*  856578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  856595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  856598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856605 */     // MIs[0] op1
     /*  856605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856608 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  856613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  856632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  856635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856637 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856639 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856641 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856643 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856653 */     GIR_RootConstrainSelectedInstOperands,
     /*  856654 */     // GIR_Coverage, 62346,
     /*  856654 */     GIR_EraseRootFromParent_Done,
     /*  856655 */   // Label 13063: @856655
     /*  856655 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(856737), // Rule ID 62377 //
     /*  856660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856687 */     // MIs[0] op1
     /*  856687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856690 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  856714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  856717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856719 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856721 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856723 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856725 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856735 */     GIR_RootConstrainSelectedInstOperands,
     /*  856736 */     // GIR_Coverage, 62377,
     /*  856736 */     GIR_EraseRootFromParent_Done,
     /*  856737 */   // Label 13064: @856737
     /*  856737 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(856819), // Rule ID 62378 //
     /*  856742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  856750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856769 */     // MIs[0] op1
     /*  856769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  856796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  856799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856807 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856817 */     GIR_RootConstrainSelectedInstOperands,
     /*  856818 */     // GIR_Coverage, 62378,
     /*  856818 */     GIR_EraseRootFromParent_Done,
     /*  856819 */   // Label 13065: @856819
     /*  856819 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(856901), // Rule ID 62389 //
     /*  856824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  856844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  856847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856851 */     // MIs[0] op1
     /*  856851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856878 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  856878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  856881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856883 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856885 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856887 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856889 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856899 */     GIR_RootConstrainSelectedInstOperands,
     /*  856900 */     // GIR_Coverage, 62389,
     /*  856900 */     GIR_EraseRootFromParent_Done,
     /*  856901 */   // Label 13066: @856901
     /*  856901 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(856983), // Rule ID 62390 //
     /*  856906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  856909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  856914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  856923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  856926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  856929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856933 */     // MIs[0] op1
     /*  856933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  856936 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  856941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  856960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  856963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856965 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  856967 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  856969 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  856971 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  856973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856981 */     GIR_RootConstrainSelectedInstOperands,
     /*  856982 */     // GIR_Coverage, 62390,
     /*  856982 */     GIR_EraseRootFromParent_Done,
     /*  856983 */   // Label 13067: @856983
     /*  856983 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(857065), // Rule ID 62401 //
     /*  856988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  856991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  856996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  857002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  857008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857015 */     // MIs[0] op1
     /*  857015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857018 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857042 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  857042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  857045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857047 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857049 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857051 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857053 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857063 */     GIR_RootConstrainSelectedInstOperands,
     /*  857064 */     // GIR_Coverage, 62401,
     /*  857064 */     GIR_EraseRootFromParent_Done,
     /*  857065 */   // Label 13068: @857065
     /*  857065 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(857147), // Rule ID 62402 //
     /*  857070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  857081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  857084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  857087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  857090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857097 */     // MIs[0] op1
     /*  857097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857100 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857124 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  857124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  857127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857129 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857131 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857133 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857135 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857145 */     GIR_RootConstrainSelectedInstOperands,
     /*  857146 */     // GIR_Coverage, 62402,
     /*  857146 */     GIR_EraseRootFromParent_Done,
     /*  857147 */   // Label 13069: @857147
     /*  857147 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(857229), // Rule ID 62433 //
     /*  857152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857179 */     // MIs[0] op1
     /*  857179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  857206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  857209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857217 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857227 */     GIR_RootConstrainSelectedInstOperands,
     /*  857228 */     // GIR_Coverage, 62433,
     /*  857228 */     GIR_EraseRootFromParent_Done,
     /*  857229 */   // Label 13070: @857229
     /*  857229 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(857311), // Rule ID 62434 //
     /*  857234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857261 */     // MIs[0] op1
     /*  857261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857288 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  857291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857293 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857295 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857297 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857299 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857309 */     GIR_RootConstrainSelectedInstOperands,
     /*  857310 */     // GIR_Coverage, 62434,
     /*  857310 */     GIR_EraseRootFromParent_Done,
     /*  857311 */   // Label 13071: @857311
     /*  857311 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(857393), // Rule ID 62445 //
     /*  857316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  857336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857343 */     // MIs[0] op1
     /*  857343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857346 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  857370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  857373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857375 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857377 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857379 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857381 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857391 */     GIR_RootConstrainSelectedInstOperands,
     /*  857392 */     // GIR_Coverage, 62445,
     /*  857392 */     GIR_EraseRootFromParent_Done,
     /*  857393 */   // Label 13072: @857393
     /*  857393 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(857475), // Rule ID 62446 //
     /*  857398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  857418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857425 */     // MIs[0] op1
     /*  857425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857428 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  857455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857457 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857459 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857461 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857463 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857473 */     GIR_RootConstrainSelectedInstOperands,
     /*  857474 */     // GIR_Coverage, 62446,
     /*  857474 */     GIR_EraseRootFromParent_Done,
     /*  857475 */   // Label 13073: @857475
     /*  857475 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(857557), // Rule ID 62457 //
     /*  857480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857507 */     // MIs[0] op1
     /*  857507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  857534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  857537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857545 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857555 */     GIR_RootConstrainSelectedInstOperands,
     /*  857556 */     // GIR_Coverage, 62457,
     /*  857556 */     GIR_EraseRootFromParent_Done,
     /*  857557 */   // Label 13074: @857557
     /*  857557 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(857639), // Rule ID 62458 //
     /*  857562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  857570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  857573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  857576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  857579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857589 */     // MIs[0] op1
     /*  857589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857592 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  857597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  857616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  857619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857621 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857623 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857625 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857627 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857637 */     GIR_RootConstrainSelectedInstOperands,
     /*  857638 */     // GIR_Coverage, 62458,
     /*  857638 */     GIR_EraseRootFromParent_Done,
     /*  857639 */   // Label 13075: @857639
     /*  857639 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(857721), // Rule ID 62489 //
     /*  857644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857671 */     // MIs[0] op1
     /*  857671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857674 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  857698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  857701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857703 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857705 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857707 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857709 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857719 */     GIR_RootConstrainSelectedInstOperands,
     /*  857720 */     // GIR_Coverage, 62489,
     /*  857720 */     GIR_EraseRootFromParent_Done,
     /*  857721 */   // Label 13076: @857721
     /*  857721 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(857803), // Rule ID 62490 //
     /*  857726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857753 */     // MIs[0] op1
     /*  857753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  857773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  857780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  857783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857785 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857787 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857789 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857791 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857801 */     GIR_RootConstrainSelectedInstOperands,
     /*  857802 */     // GIR_Coverage, 62490,
     /*  857802 */     GIR_EraseRootFromParent_Done,
     /*  857803 */   // Label 13077: @857803
     /*  857803 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(857885), // Rule ID 62501 //
     /*  857808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  857828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857835 */     // MIs[0] op1
     /*  857835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  857862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  857865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857873 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857883 */     GIR_RootConstrainSelectedInstOperands,
     /*  857884 */     // GIR_Coverage, 62501,
     /*  857884 */     GIR_EraseRootFromParent_Done,
     /*  857885 */   // Label 13078: @857885
     /*  857885 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(857967), // Rule ID 62502 //
     /*  857890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  857893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  857898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  857901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  857904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  857907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  857910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  857913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857917 */     // MIs[0] op1
     /*  857917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  857920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  857925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  857944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  857947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857949 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  857951 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  857953 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  857955 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  857957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  857965 */     GIR_RootConstrainSelectedInstOperands,
     /*  857966 */     // GIR_Coverage, 62502,
     /*  857966 */     GIR_EraseRootFromParent_Done,
     /*  857967 */   // Label 13079: @857967
     /*  857967 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(858049), // Rule ID 62533 //
     /*  857972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  857975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  857980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  857983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  857986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  857989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  857995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857999 */     // MIs[0] op1
     /*  857999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  858026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  858029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858031 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858033 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858035 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858037 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858047 */     GIR_RootConstrainSelectedInstOperands,
     /*  858048 */     // GIR_Coverage, 62533,
     /*  858048 */     GIR_EraseRootFromParent_Done,
     /*  858049 */   // Label 13080: @858049
     /*  858049 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(858131), // Rule ID 62534 //
     /*  858054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858081 */     // MIs[0] op1
     /*  858081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858084 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858108 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  858108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  858111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858119 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858129 */     GIR_RootConstrainSelectedInstOperands,
     /*  858130 */     // GIR_Coverage, 62534,
     /*  858130 */     GIR_EraseRootFromParent_Done,
     /*  858131 */   // Label 13081: @858131
     /*  858131 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(858213), // Rule ID 62545 //
     /*  858136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  858156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858163 */     // MIs[0] op1
     /*  858163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  858190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  858193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858201 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858211 */     GIR_RootConstrainSelectedInstOperands,
     /*  858212 */     // GIR_Coverage, 62545,
     /*  858212 */     GIR_EraseRootFromParent_Done,
     /*  858213 */   // Label 13082: @858213
     /*  858213 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(858295), // Rule ID 62546 //
     /*  858218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  858238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858245 */     // MIs[0] op1
     /*  858245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858248 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  858272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  858275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858277 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858279 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858281 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858283 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858293 */     GIR_RootConstrainSelectedInstOperands,
     /*  858294 */     // GIR_Coverage, 62546,
     /*  858294 */     GIR_EraseRootFromParent_Done,
     /*  858295 */   // Label 13083: @858295
     /*  858295 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(858377), // Rule ID 62557 //
     /*  858300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  858320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858327 */     // MIs[0] op1
     /*  858327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  858354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  858357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858365 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858375 */     GIR_RootConstrainSelectedInstOperands,
     /*  858376 */     // GIR_Coverage, 62557,
     /*  858376 */     GIR_EraseRootFromParent_Done,
     /*  858377 */   // Label 13084: @858377
     /*  858377 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(858459), // Rule ID 62558 //
     /*  858382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  858393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  858396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  858399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  858402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858409 */     // MIs[0] op1
     /*  858409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  858436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  858439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858447 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858457 */     GIR_RootConstrainSelectedInstOperands,
     /*  858458 */     // GIR_Coverage, 62558,
     /*  858458 */     GIR_EraseRootFromParent_Done,
     /*  858459 */   // Label 13085: @858459
     /*  858459 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(858541), // Rule ID 62589 //
     /*  858464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858491 */     // MIs[0] op1
     /*  858491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858518 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  858518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  858521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858529 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858539 */     GIR_RootConstrainSelectedInstOperands,
     /*  858540 */     // GIR_Coverage, 62589,
     /*  858540 */     GIR_EraseRootFromParent_Done,
     /*  858541 */   // Label 13086: @858541
     /*  858541 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(858623), // Rule ID 62590 //
     /*  858546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858573 */     // MIs[0] op1
     /*  858573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858576 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  858593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858600 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  858600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  858603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858605 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858607 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858609 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858611 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858621 */     GIR_RootConstrainSelectedInstOperands,
     /*  858622 */     // GIR_Coverage, 62590,
     /*  858622 */     GIR_EraseRootFromParent_Done,
     /*  858623 */   // Label 13087: @858623
     /*  858623 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(858705), // Rule ID 62601 //
     /*  858628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  858648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858655 */     // MIs[0] op1
     /*  858655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  858682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  858685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858693 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858703 */     GIR_RootConstrainSelectedInstOperands,
     /*  858704 */     // GIR_Coverage, 62601,
     /*  858704 */     GIR_EraseRootFromParent_Done,
     /*  858705 */   // Label 13088: @858705
     /*  858705 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(858787), // Rule ID 62602 //
     /*  858710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  858718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  858730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858737 */     // MIs[0] op1
     /*  858737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858740 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858764 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  858764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  858767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858769 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858771 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858773 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858775 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858785 */     GIR_RootConstrainSelectedInstOperands,
     /*  858786 */     // GIR_Coverage, 62602,
     /*  858786 */     GIR_EraseRootFromParent_Done,
     /*  858787 */   // Label 13089: @858787
     /*  858787 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(858869), // Rule ID 62613 //
     /*  858792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858819 */     // MIs[0] op1
     /*  858819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  858846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  858849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858851 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858853 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858855 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858857 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858867 */     GIR_RootConstrainSelectedInstOperands,
     /*  858868 */     // GIR_Coverage, 62613,
     /*  858868 */     GIR_EraseRootFromParent_Done,
     /*  858869 */   // Label 13090: @858869
     /*  858869 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(858951), // Rule ID 62614 //
     /*  858874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  858877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  858882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  858885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  858888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  858891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  858897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858901 */     // MIs[0] op1
     /*  858901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858904 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  858909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  858928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  858931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858933 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  858935 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  858937 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  858939 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  858941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858949 */     GIR_RootConstrainSelectedInstOperands,
     /*  858950 */     // GIR_Coverage, 62614,
     /*  858950 */     GIR_EraseRootFromParent_Done,
     /*  858951 */   // Label 13091: @858951
     /*  858951 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(859033), // Rule ID 62645 //
     /*  858956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  858959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  858964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  858967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  858970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  858973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  858979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858983 */     // MIs[0] op1
     /*  858983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  858986 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  858991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  859010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  859013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859015 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859017 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859019 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859021 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859031 */     GIR_RootConstrainSelectedInstOperands,
     /*  859032 */     // GIR_Coverage, 62645,
     /*  859032 */     GIR_EraseRootFromParent_Done,
     /*  859033 */   // Label 13092: @859033
     /*  859033 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(859115), // Rule ID 62646 //
     /*  859038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  859046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859065 */     // MIs[0] op1
     /*  859065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859092 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  859092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  859095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859097 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859099 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859101 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859103 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859113 */     GIR_RootConstrainSelectedInstOperands,
     /*  859114 */     // GIR_Coverage, 62646,
     /*  859114 */     GIR_EraseRootFromParent_Done,
     /*  859115 */   // Label 13093: @859115
     /*  859115 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(859197), // Rule ID 62657 //
     /*  859120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  859128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  859140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859147 */     // MIs[0] op1
     /*  859147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859174 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  859174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  859177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859179 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859181 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859183 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859185 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859195 */     GIR_RootConstrainSelectedInstOperands,
     /*  859196 */     // GIR_Coverage, 62657,
     /*  859196 */     GIR_EraseRootFromParent_Done,
     /*  859197 */   // Label 13094: @859197
     /*  859197 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(859279), // Rule ID 62658 //
     /*  859202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  859210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  859222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859229 */     // MIs[0] op1
     /*  859229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859232 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859256 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  859256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  859259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859261 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859263 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859265 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859267 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859277 */     GIR_RootConstrainSelectedInstOperands,
     /*  859278 */     // GIR_Coverage, 62658,
     /*  859278 */     GIR_EraseRootFromParent_Done,
     /*  859279 */   // Label 13095: @859279
     /*  859279 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(859361), // Rule ID 62669 //
     /*  859284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  859292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859311 */     // MIs[0] op1
     /*  859311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  859319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  859338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  859341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859343 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859345 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859347 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859349 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859359 */     GIR_RootConstrainSelectedInstOperands,
     /*  859360 */     // GIR_Coverage, 62669,
     /*  859360 */     GIR_EraseRootFromParent_Done,
     /*  859361 */   // Label 13096: @859361
     /*  859361 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(859443), // Rule ID 62670 //
     /*  859366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  859374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  859383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859393 */     // MIs[0] op1
     /*  859393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859396 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  859401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859420 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  859420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  859423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859425 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859427 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859429 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859431 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859441 */     GIR_RootConstrainSelectedInstOperands,
     /*  859442 */     // GIR_Coverage, 62670,
     /*  859442 */     GIR_EraseRootFromParent_Done,
     /*  859443 */   // Label 13097: @859443
     /*  859443 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(859525), // Rule ID 62701 //
     /*  859448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  859456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  859465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859475 */     // MIs[0] op1
     /*  859475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  859505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859507 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859509 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859511 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859513 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859523 */     GIR_RootConstrainSelectedInstOperands,
     /*  859524 */     // GIR_Coverage, 62701,
     /*  859524 */     GIR_EraseRootFromParent_Done,
     /*  859525 */   // Label 13098: @859525
     /*  859525 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(859607), // Rule ID 62702 //
     /*  859530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  859538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  859547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859557 */     // MIs[0] op1
     /*  859557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  859587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859595 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859605 */     GIR_RootConstrainSelectedInstOperands,
     /*  859606 */     // GIR_Coverage, 62702,
     /*  859606 */     GIR_EraseRootFromParent_Done,
     /*  859607 */   // Label 13099: @859607
     /*  859607 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(859689), // Rule ID 62713 //
     /*  859612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  859620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  859629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  859632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859639 */     // MIs[0] op1
     /*  859639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859642 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  859669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859671 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859673 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859675 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859677 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859687 */     GIR_RootConstrainSelectedInstOperands,
     /*  859688 */     // GIR_Coverage, 62713,
     /*  859688 */     GIR_EraseRootFromParent_Done,
     /*  859689 */   // Label 13100: @859689
     /*  859689 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(859771), // Rule ID 62714 //
     /*  859694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  859702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  859705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  859708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  859711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  859714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859721 */     // MIs[0] op1
     /*  859721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859724 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859748 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  859751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859753 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859755 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859757 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859759 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859769 */     GIR_RootConstrainSelectedInstOperands,
     /*  859770 */     // GIR_Coverage, 62714,
     /*  859770 */     GIR_EraseRootFromParent_Done,
     /*  859771 */   // Label 13101: @859771
     /*  859771 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(859853), // Rule ID 62745 //
     /*  859776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  859784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  859787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  859790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  859793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859803 */     // MIs[0] op1
     /*  859803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859830 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  859833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859835 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859837 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859839 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859841 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859851 */     GIR_RootConstrainSelectedInstOperands,
     /*  859852 */     // GIR_Coverage, 62745,
     /*  859852 */     GIR_EraseRootFromParent_Done,
     /*  859853 */   // Label 13102: @859853
     /*  859853 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(859935), // Rule ID 62746 //
     /*  859858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  859861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  859866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  859869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  859872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  859875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  859881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859885 */     // MIs[0] op1
     /*  859885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859888 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  859905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  859912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  859915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859917 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  859919 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  859921 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  859923 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  859925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  859933 */     GIR_RootConstrainSelectedInstOperands,
     /*  859934 */     // GIR_Coverage, 62746,
     /*  859934 */     GIR_EraseRootFromParent_Done,
     /*  859935 */   // Label 13103: @859935
     /*  859935 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(860017), // Rule ID 62757 //
     /*  859940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  859943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  859948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  859951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  859954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  859957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  859960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  859963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859967 */     // MIs[0] op1
     /*  859967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  859970 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  859975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859994 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  859994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  859997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859999 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860001 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860003 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860005 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860015 */     GIR_RootConstrainSelectedInstOperands,
     /*  860016 */     // GIR_Coverage, 62757,
     /*  860016 */     GIR_EraseRootFromParent_Done,
     /*  860017 */   // Label 13104: @860017
     /*  860017 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(860099), // Rule ID 62758 //
     /*  860022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  860030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  860033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  860036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  860039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  860042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860049 */     // MIs[0] op1
     /*  860049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860052 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860076 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  860079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860081 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860083 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860085 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860087 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860097 */     GIR_RootConstrainSelectedInstOperands,
     /*  860098 */     // GIR_Coverage, 62758,
     /*  860098 */     GIR_EraseRootFromParent_Done,
     /*  860099 */   // Label 13105: @860099
     /*  860099 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(860181), // Rule ID 62789 //
     /*  860104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  860112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  860121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860131 */     // MIs[0] op1
     /*  860131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860134 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  860161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860163 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860165 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860167 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860169 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860179 */     GIR_RootConstrainSelectedInstOperands,
     /*  860180 */     // GIR_Coverage, 62789,
     /*  860180 */     GIR_EraseRootFromParent_Done,
     /*  860181 */   // Label 13106: @860181
     /*  860181 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(860263), // Rule ID 62790 //
     /*  860186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  860194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  860203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860213 */     // MIs[0] op1
     /*  860213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  860243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860251 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860261 */     GIR_RootConstrainSelectedInstOperands,
     /*  860262 */     // GIR_Coverage, 62790,
     /*  860262 */     GIR_EraseRootFromParent_Done,
     /*  860263 */   // Label 13107: @860263
     /*  860263 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(860345), // Rule ID 62801 //
     /*  860268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  860276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  860285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  860288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860295 */     // MIs[0] op1
     /*  860295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860298 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860322 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  860322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  860325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860327 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860329 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860331 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860333 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860343 */     GIR_RootConstrainSelectedInstOperands,
     /*  860344 */     // GIR_Coverage, 62801,
     /*  860344 */     GIR_EraseRootFromParent_Done,
     /*  860345 */   // Label 13108: @860345
     /*  860345 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(860427), // Rule ID 62802 //
     /*  860350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  860358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  860361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  860364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  860367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  860370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860377 */     // MIs[0] op1
     /*  860377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  860404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  860407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860409 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860411 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860413 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860415 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860425 */     GIR_RootConstrainSelectedInstOperands,
     /*  860426 */     // GIR_Coverage, 62802,
     /*  860426 */     GIR_EraseRootFromParent_Done,
     /*  860427 */   // Label 13109: @860427
     /*  860427 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(860509), // Rule ID 62833 //
     /*  860432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  860440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860459 */     // MIs[0] op1
     /*  860459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860462 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  860486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  860489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860491 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860493 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860495 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860497 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860507 */     GIR_RootConstrainSelectedInstOperands,
     /*  860508 */     // GIR_Coverage, 62833,
     /*  860508 */     GIR_EraseRootFromParent_Done,
     /*  860509 */   // Label 13110: @860509
     /*  860509 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(860591), // Rule ID 62834 //
     /*  860514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  860522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860541 */     // MIs[0] op1
     /*  860541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860544 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  860568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  860571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860573 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860575 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860577 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860579 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860589 */     GIR_RootConstrainSelectedInstOperands,
     /*  860590 */     // GIR_Coverage, 62834,
     /*  860590 */     GIR_EraseRootFromParent_Done,
     /*  860591 */   // Label 13111: @860591
     /*  860591 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(860673), // Rule ID 62845 //
     /*  860596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  860604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  860616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860623 */     // MIs[0] op1
     /*  860623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  860650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  860653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860661 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860671 */     GIR_RootConstrainSelectedInstOperands,
     /*  860672 */     // GIR_Coverage, 62845,
     /*  860672 */     GIR_EraseRootFromParent_Done,
     /*  860673 */   // Label 13112: @860673
     /*  860673 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(860755), // Rule ID 62846 //
     /*  860678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  860686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  860698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860705 */     // MIs[0] op1
     /*  860705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860732 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  860732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  860735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860737 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860739 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860741 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860743 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860753 */     GIR_RootConstrainSelectedInstOperands,
     /*  860754 */     // GIR_Coverage, 62846,
     /*  860754 */     GIR_EraseRootFromParent_Done,
     /*  860755 */   // Label 13113: @860755
     /*  860755 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(860837), // Rule ID 62857 //
     /*  860760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  860768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  860780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860787 */     // MIs[0] op1
     /*  860787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860790 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  860795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  860807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  860814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  860817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860819 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860821 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860823 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860825 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860835 */     GIR_RootConstrainSelectedInstOperands,
     /*  860836 */     // GIR_Coverage, 62857,
     /*  860836 */     GIR_EraseRootFromParent_Done,
     /*  860837 */   // Label 13114: @860837
     /*  860837 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(860919), // Rule ID 62858 //
     /*  860842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  860845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  860850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  860853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  860856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  860859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  860862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  860865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860869 */     // MIs[0] op1
     /*  860869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  860877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  860889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  860896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  860899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860907 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860917 */     GIR_RootConstrainSelectedInstOperands,
     /*  860918 */     // GIR_Coverage, 62858,
     /*  860918 */     GIR_EraseRootFromParent_Done,
     /*  860919 */   // Label 13115: @860919
     /*  860919 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(861001), // Rule ID 62889 //
     /*  860924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  860927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  860932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  860935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  860938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  860941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  860947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860951 */     // MIs[0] op1
     /*  860951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  860954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  860959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  860971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  860978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  860981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860983 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  860985 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  860987 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  860989 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  860991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  860999 */     GIR_RootConstrainSelectedInstOperands,
     /*  861000 */     // GIR_Coverage, 62889,
     /*  861000 */     GIR_EraseRootFromParent_Done,
     /*  861001 */   // Label 13116: @861001
     /*  861001 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(861083), // Rule ID 62890 //
     /*  861006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  861014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  861023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861033 */     // MIs[0] op1
     /*  861033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861036 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861060 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  861063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861065 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861067 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861069 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861071 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861081 */     GIR_RootConstrainSelectedInstOperands,
     /*  861082 */     // GIR_Coverage, 62890,
     /*  861082 */     GIR_EraseRootFromParent_Done,
     /*  861083 */   // Label 13117: @861083
     /*  861083 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(861165), // Rule ID 62901 //
     /*  861088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  861096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  861105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  861108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861115 */     // MIs[0] op1
     /*  861115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861118 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  861145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861147 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861149 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861151 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861153 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861163 */     GIR_RootConstrainSelectedInstOperands,
     /*  861164 */     // GIR_Coverage, 62901,
     /*  861164 */     GIR_EraseRootFromParent_Done,
     /*  861165 */   // Label 13118: @861165
     /*  861165 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(861247), // Rule ID 62902 //
     /*  861170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  861178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  861187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  861190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861197 */     // MIs[0] op1
     /*  861197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861200 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  861227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861229 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861231 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861233 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861235 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861245 */     GIR_RootConstrainSelectedInstOperands,
     /*  861246 */     // GIR_Coverage, 62902,
     /*  861246 */     GIR_EraseRootFromParent_Done,
     /*  861247 */   // Label 13119: @861247
     /*  861247 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(861329), // Rule ID 62913 //
     /*  861252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  861260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  861269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861279 */     // MIs[0] op1
     /*  861279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861282 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  861309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861311 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861313 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861315 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861317 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861327 */     GIR_RootConstrainSelectedInstOperands,
     /*  861328 */     // GIR_Coverage, 62913,
     /*  861328 */     GIR_EraseRootFromParent_Done,
     /*  861329 */   // Label 13120: @861329
     /*  861329 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(861411), // Rule ID 62914 //
     /*  861334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  861342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  861345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  861348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  861351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861361 */     // MIs[0] op1
     /*  861361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  861377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  861391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861399 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861409 */     GIR_RootConstrainSelectedInstOperands,
     /*  861410 */     // GIR_Coverage, 62914,
     /*  861410 */     GIR_EraseRootFromParent_Done,
     /*  861411 */   // Label 13121: @861411
     /*  861411 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(861493), // Rule ID 62945 //
     /*  861416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  861424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861443 */     // MIs[0] op1
     /*  861443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861446 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  861473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861475 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861477 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861479 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861481 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861491 */     GIR_RootConstrainSelectedInstOperands,
     /*  861492 */     // GIR_Coverage, 62945,
     /*  861492 */     GIR_EraseRootFromParent_Done,
     /*  861493 */   // Label 13122: @861493
     /*  861493 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(861575), // Rule ID 62946 //
     /*  861498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  861506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861525 */     // MIs[0] op1
     /*  861525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861528 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861552 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  861555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861557 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861559 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861561 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861563 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861573 */     GIR_RootConstrainSelectedInstOperands,
     /*  861574 */     // GIR_Coverage, 62946,
     /*  861574 */     GIR_EraseRootFromParent_Done,
     /*  861575 */   // Label 13123: @861575
     /*  861575 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(861657), // Rule ID 62957 //
     /*  861580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  861588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  861600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861607 */     // MIs[0] op1
     /*  861607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861610 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861634 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  861637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861645 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861655 */     GIR_RootConstrainSelectedInstOperands,
     /*  861656 */     // GIR_Coverage, 62957,
     /*  861656 */     GIR_EraseRootFromParent_Done,
     /*  861657 */   // Label 13124: @861657
     /*  861657 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(861739), // Rule ID 62958 //
     /*  861662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  861670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  861682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861689 */     // MIs[0] op1
     /*  861689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  861719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861721 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861723 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861725 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861727 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861737 */     GIR_RootConstrainSelectedInstOperands,
     /*  861738 */     // GIR_Coverage, 62958,
     /*  861738 */     GIR_EraseRootFromParent_Done,
     /*  861739 */   // Label 13125: @861739
     /*  861739 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(861821), // Rule ID 62969 //
     /*  861744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  861752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861771 */     // MIs[0] op1
     /*  861771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  861798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  861801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861809 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861819 */     GIR_RootConstrainSelectedInstOperands,
     /*  861820 */     // GIR_Coverage, 62969,
     /*  861820 */     GIR_EraseRootFromParent_Done,
     /*  861821 */   // Label 13126: @861821
     /*  861821 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(861903), // Rule ID 62970 //
     /*  861826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  861834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  861837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  861840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  861843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  861846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  861849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861853 */     // MIs[0] op1
     /*  861853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  861861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  861869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  861873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  861880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  861883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861885 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861887 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861889 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861891 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861901 */     GIR_RootConstrainSelectedInstOperands,
     /*  861902 */     // GIR_Coverage, 62970,
     /*  861902 */     GIR_EraseRootFromParent_Done,
     /*  861903 */   // Label 13127: @861903
     /*  861903 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(861985), // Rule ID 63001 //
     /*  861908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  861911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  861916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  861919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  861922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  861925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  861931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861935 */     // MIs[0] op1
     /*  861935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  861938 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  861943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  861951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  861955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  861962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  861965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  861969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  861971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  861973 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  861975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861983 */     GIR_RootConstrainSelectedInstOperands,
     /*  861984 */     // GIR_Coverage, 63001,
     /*  861984 */     GIR_EraseRootFromParent_Done,
     /*  861985 */   // Label 13128: @861985
     /*  861985 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(862067), // Rule ID 63002 //
     /*  861990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  861993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  861998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862017 */     // MIs[0] op1
     /*  862017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  862047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862049 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862051 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862053 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862055 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862065 */     GIR_RootConstrainSelectedInstOperands,
     /*  862066 */     // GIR_Coverage, 63002,
     /*  862066 */     GIR_EraseRootFromParent_Done,
     /*  862067 */   // Label 13129: @862067
     /*  862067 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(862149), // Rule ID 63013 //
     /*  862072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  862080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  862092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862099 */     // MIs[0] op1
     /*  862099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  862129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862137 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862147 */     GIR_RootConstrainSelectedInstOperands,
     /*  862148 */     // GIR_Coverage, 63013,
     /*  862148 */     GIR_EraseRootFromParent_Done,
     /*  862149 */   // Label 13130: @862149
     /*  862149 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(862231), // Rule ID 63014 //
     /*  862154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  862162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  862174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862181 */     // MIs[0] op1
     /*  862181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862184 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862208 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  862211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862213 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862215 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862217 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862219 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862229 */     GIR_RootConstrainSelectedInstOperands,
     /*  862230 */     // GIR_Coverage, 63014,
     /*  862230 */     GIR_EraseRootFromParent_Done,
     /*  862231 */   // Label 13131: @862231
     /*  862231 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(862313), // Rule ID 63025 //
     /*  862236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  862244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862263 */     // MIs[0] op1
     /*  862263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862266 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  862283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  862293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862301 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862311 */     GIR_RootConstrainSelectedInstOperands,
     /*  862312 */     // GIR_Coverage, 63025,
     /*  862312 */     GIR_EraseRootFromParent_Done,
     /*  862313 */   // Label 13132: @862313
     /*  862313 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(862395), // Rule ID 63026 //
     /*  862318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  862326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  862329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  862332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  862335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862345 */     // MIs[0] op1
     /*  862345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  862365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  862375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862383 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862393 */     GIR_RootConstrainSelectedInstOperands,
     /*  862394 */     // GIR_Coverage, 63026,
     /*  862394 */     GIR_EraseRootFromParent_Done,
     /*  862395 */   // Label 13133: @862395
     /*  862395 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(862477), // Rule ID 63057 //
     /*  862400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  862408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862427 */     // MIs[0] op1
     /*  862427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862430 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  862457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862459 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862461 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862463 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862465 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862475 */     GIR_RootConstrainSelectedInstOperands,
     /*  862476 */     // GIR_Coverage, 63057,
     /*  862476 */     GIR_EraseRootFromParent_Done,
     /*  862477 */   // Label 13134: @862477
     /*  862477 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(862559), // Rule ID 63058 //
     /*  862482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  862490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862509 */     // MIs[0] op1
     /*  862509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  862539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862547 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862557 */     GIR_RootConstrainSelectedInstOperands,
     /*  862558 */     // GIR_Coverage, 63058,
     /*  862558 */     GIR_EraseRootFromParent_Done,
     /*  862559 */   // Label 13135: @862559
     /*  862559 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(862641), // Rule ID 63069 //
     /*  862564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  862572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  862584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862591 */     // MIs[0] op1
     /*  862591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862594 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  862621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862623 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862625 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862627 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862629 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862639 */     GIR_RootConstrainSelectedInstOperands,
     /*  862640 */     // GIR_Coverage, 63069,
     /*  862640 */     GIR_EraseRootFromParent_Done,
     /*  862641 */   // Label 13136: @862641
     /*  862641 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(862723), // Rule ID 63070 //
     /*  862646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  862654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  862666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862673 */     // MIs[0] op1
     /*  862673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  862703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862711 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862721 */     GIR_RootConstrainSelectedInstOperands,
     /*  862722 */     // GIR_Coverage, 63070,
     /*  862722 */     GIR_EraseRootFromParent_Done,
     /*  862723 */   // Label 13137: @862723
     /*  862723 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(862805), // Rule ID 63081 //
     /*  862728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  862736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862755 */     // MIs[0] op1
     /*  862755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862758 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  862775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  862785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862787 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862789 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862791 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862793 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862803 */     GIR_RootConstrainSelectedInstOperands,
     /*  862804 */     // GIR_Coverage, 63081,
     /*  862804 */     GIR_EraseRootFromParent_Done,
     /*  862805 */   // Label 13138: @862805
     /*  862805 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(862887), // Rule ID 63082 //
     /*  862810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  862818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  862821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  862824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  862827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862837 */     // MIs[0] op1
     /*  862837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862840 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  862845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  862857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  862864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  862867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862869 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862871 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862873 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862875 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862885 */     GIR_RootConstrainSelectedInstOperands,
     /*  862886 */     // GIR_Coverage, 63082,
     /*  862886 */     GIR_EraseRootFromParent_Done,
     /*  862887 */   // Label 13139: @862887
     /*  862887 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(862969), // Rule ID 63113 //
     /*  862892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  862895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  862900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  862909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  862915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862919 */     // MIs[0] op1
     /*  862919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  862922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  862927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  862939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  862946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  862949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  862953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  862955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  862957 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  862959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862967 */     GIR_RootConstrainSelectedInstOperands,
     /*  862968 */     // GIR_Coverage, 63113,
     /*  862968 */     GIR_EraseRootFromParent_Done,
     /*  862969 */   // Label 13140: @862969
     /*  862969 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(863051), // Rule ID 63114 //
     /*  862974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  862977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  862982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  862985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  862988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  862991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  862997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863001 */     // MIs[0] op1
     /*  863001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  863031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863049 */     GIR_RootConstrainSelectedInstOperands,
     /*  863050 */     // GIR_Coverage, 63114,
     /*  863050 */     GIR_EraseRootFromParent_Done,
     /*  863051 */   // Label 13141: @863051
     /*  863051 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(863133), // Rule ID 63125 //
     /*  863056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  863064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  863076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863083 */     // MIs[0] op1
     /*  863083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863086 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  863113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863115 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863117 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863119 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863121 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863131 */     GIR_RootConstrainSelectedInstOperands,
     /*  863132 */     // GIR_Coverage, 63125,
     /*  863132 */     GIR_EraseRootFromParent_Done,
     /*  863133 */   // Label 13142: @863133
     /*  863133 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(863215), // Rule ID 63126 //
     /*  863138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  863146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  863158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863165 */     // MIs[0] op1
     /*  863165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863192 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  863195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863197 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863199 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863201 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863203 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863213 */     GIR_RootConstrainSelectedInstOperands,
     /*  863214 */     // GIR_Coverage, 63126,
     /*  863214 */     GIR_EraseRootFromParent_Done,
     /*  863215 */   // Label 13143: @863215
     /*  863215 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(863297), // Rule ID 63137 //
     /*  863220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  863228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863247 */     // MIs[0] op1
     /*  863247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  863267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  863274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  863277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863285 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863295 */     GIR_RootConstrainSelectedInstOperands,
     /*  863296 */     // GIR_Coverage, 63137,
     /*  863296 */     GIR_EraseRootFromParent_Done,
     /*  863297 */   // Label 13144: @863297
     /*  863297 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(863379), // Rule ID 63138 //
     /*  863302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  863310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863329 */     // MIs[0] op1
     /*  863329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  863349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  863356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  863359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863377 */     GIR_RootConstrainSelectedInstOperands,
     /*  863378 */     // GIR_Coverage, 63138,
     /*  863378 */     GIR_EraseRootFromParent_Done,
     /*  863379 */   // Label 13145: @863379
     /*  863379 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(863461), // Rule ID 63169 //
     /*  863384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  863392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863411 */     // MIs[0] op1
     /*  863411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  863438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  863441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863443 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863445 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863447 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863449 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863459 */     GIR_RootConstrainSelectedInstOperands,
     /*  863460 */     // GIR_Coverage, 63169,
     /*  863460 */     GIR_EraseRootFromParent_Done,
     /*  863461 */   // Label 13146: @863461
     /*  863461 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(863543), // Rule ID 63170 //
     /*  863466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  863474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863493 */     // MIs[0] op1
     /*  863493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863496 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  863520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  863523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863525 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863527 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863529 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863531 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863541 */     GIR_RootConstrainSelectedInstOperands,
     /*  863542 */     // GIR_Coverage, 63170,
     /*  863542 */     GIR_EraseRootFromParent_Done,
     /*  863543 */   // Label 13147: @863543
     /*  863543 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(863625), // Rule ID 63181 //
     /*  863548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  863556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  863568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863575 */     // MIs[0] op1
     /*  863575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863578 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863602 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  863602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  863605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863607 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863609 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863611 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863613 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863623 */     GIR_RootConstrainSelectedInstOperands,
     /*  863624 */     // GIR_Coverage, 63181,
     /*  863624 */     GIR_EraseRootFromParent_Done,
     /*  863625 */   // Label 13148: @863625
     /*  863625 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(863707), // Rule ID 63182 //
     /*  863630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  863638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  863650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863657 */     // MIs[0] op1
     /*  863657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  863684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  863687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863695 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863705 */     GIR_RootConstrainSelectedInstOperands,
     /*  863706 */     // GIR_Coverage, 63182,
     /*  863706 */     GIR_EraseRootFromParent_Done,
     /*  863707 */   // Label 13149: @863707
     /*  863707 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(863789), // Rule ID 63193 //
     /*  863712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  863720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863739 */     // MIs[0] op1
     /*  863739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  863759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  863766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  863769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863771 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863773 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863775 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863777 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863787 */     GIR_RootConstrainSelectedInstOperands,
     /*  863788 */     // GIR_Coverage, 63193,
     /*  863788 */     GIR_EraseRootFromParent_Done,
     /*  863789 */   // Label 13150: @863789
     /*  863789 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(863871), // Rule ID 63194 //
     /*  863794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  863802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863821 */     // MIs[0] op1
     /*  863821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863824 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  863829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  863841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863848 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  863848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  863851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863853 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863855 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863857 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863859 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863869 */     GIR_RootConstrainSelectedInstOperands,
     /*  863870 */     // GIR_Coverage, 63194,
     /*  863870 */     GIR_EraseRootFromParent_Done,
     /*  863871 */   // Label 13151: @863871
     /*  863871 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(863953), // Rule ID 63225 //
     /*  863876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  863879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  863884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  863899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863903 */     // MIs[0] op1
     /*  863903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  863923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863930 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  863930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  863933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863935 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  863937 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  863939 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  863941 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  863943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863951 */     GIR_RootConstrainSelectedInstOperands,
     /*  863952 */     // GIR_Coverage, 63225,
     /*  863952 */     GIR_EraseRootFromParent_Done,
     /*  863953 */   // Label 13152: @863953
     /*  863953 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(864035), // Rule ID 63226 //
     /*  863958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  863961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  863966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  863981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863985 */     // MIs[0] op1
     /*  863985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  863988 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  863993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864012 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  864015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864017 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864019 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864021 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864023 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864033 */     GIR_RootConstrainSelectedInstOperands,
     /*  864034 */     // GIR_Coverage, 63226,
     /*  864034 */     GIR_EraseRootFromParent_Done,
     /*  864035 */   // Label 13153: @864035
     /*  864035 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(864117), // Rule ID 63237 //
     /*  864040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  864048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  864057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  864060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864067 */     // MIs[0] op1
     /*  864067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  864094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  864097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864099 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864101 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864103 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864105 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864115 */     GIR_RootConstrainSelectedInstOperands,
     /*  864116 */     // GIR_Coverage, 63237,
     /*  864116 */     GIR_EraseRootFromParent_Done,
     /*  864117 */   // Label 13154: @864117
     /*  864117 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(864199), // Rule ID 63238 //
     /*  864122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  864130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  864139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  864142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864149 */     // MIs[0] op1
     /*  864149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  864179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864181 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864183 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864185 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864187 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864197 */     GIR_RootConstrainSelectedInstOperands,
     /*  864198 */     // GIR_Coverage, 63238,
     /*  864198 */     GIR_EraseRootFromParent_Done,
     /*  864199 */   // Label 13155: @864199
     /*  864199 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(864281), // Rule ID 63249 //
     /*  864204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  864212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  864221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864231 */     // MIs[0] op1
     /*  864231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  864251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  864258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  864261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864263 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864265 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864267 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864269 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864279 */     GIR_RootConstrainSelectedInstOperands,
     /*  864280 */     // GIR_Coverage, 63249,
     /*  864280 */     GIR_EraseRootFromParent_Done,
     /*  864281 */   // Label 13156: @864281
     /*  864281 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(864363), // Rule ID 63250 //
     /*  864286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  864294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  864297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  864300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  864303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864313 */     // MIs[0] op1
     /*  864313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864316 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  864329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  864333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  864343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864345 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864347 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864349 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864351 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864361 */     GIR_RootConstrainSelectedInstOperands,
     /*  864362 */     // GIR_Coverage, 63250,
     /*  864362 */     GIR_EraseRootFromParent_Done,
     /*  864363 */   // Label 13157: @864363
     /*  864363 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(864445), // Rule ID 63281 //
     /*  864368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  864376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864395 */     // MIs[0] op1
     /*  864395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  864422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  864425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864433 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864443 */     GIR_RootConstrainSelectedInstOperands,
     /*  864444 */     // GIR_Coverage, 63281,
     /*  864444 */     GIR_EraseRootFromParent_Done,
     /*  864445 */   // Label 13158: @864445
     /*  864445 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(864527), // Rule ID 63282 //
     /*  864450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  864458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864477 */     // MIs[0] op1
     /*  864477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864480 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10719:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  864507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864509 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864511 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864513 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864515 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864525 */     GIR_RootConstrainSelectedInstOperands,
     /*  864526 */     // GIR_Coverage, 63282,
     /*  864526 */     GIR_EraseRootFromParent_Done,
     /*  864527 */   // Label 13159: @864527
     /*  864527 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(864609), // Rule ID 63293 //
     /*  864532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  864540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  864552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864559 */     // MIs[0] op1
     /*  864559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  864586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  864589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864591 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864593 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864595 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864597 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864607 */     GIR_RootConstrainSelectedInstOperands,
     /*  864608 */     // GIR_Coverage, 63293,
     /*  864608 */     GIR_EraseRootFromParent_Done,
     /*  864609 */   // Label 13160: @864609
     /*  864609 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(864691), // Rule ID 63294 //
     /*  864614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  864622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  864634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864641 */     // MIs[0] op1
     /*  864641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864644 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864668 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10711:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  864671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864673 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864675 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864677 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864679 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864689 */     GIR_RootConstrainSelectedInstOperands,
     /*  864690 */     // GIR_Coverage, 63294,
     /*  864690 */     GIR_EraseRootFromParent_Done,
     /*  864691 */   // Label 13161: @864691
     /*  864691 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(864773), // Rule ID 63305 //
     /*  864696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  864704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864723 */     // MIs[0] op1
     /*  864723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864726 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  864743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  864750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  864753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864761 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864771 */     GIR_RootConstrainSelectedInstOperands,
     /*  864772 */     // GIR_Coverage, 63305,
     /*  864772 */     GIR_EraseRootFromParent_Done,
     /*  864773 */   // Label 13162: @864773
     /*  864773 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(864855), // Rule ID 63306 //
     /*  864778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  864786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864805 */     // MIs[0] op1
     /*  864805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  864813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  864825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864832 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10697:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  864832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  864835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864837 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864839 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864841 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864843 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864853 */     GIR_RootConstrainSelectedInstOperands,
     /*  864854 */     // GIR_Coverage, 63306,
     /*  864854 */     GIR_EraseRootFromParent_Done,
     /*  864855 */   // Label 13163: @864855
     /*  864855 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(864937), // Rule ID 63311 //
     /*  864860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  864863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  864877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  864883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864887 */     // MIs[0] op1
     /*  864887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864890 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  864914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  864917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864919 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  864921 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  864923 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  864925 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  864927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864935 */     GIR_RootConstrainSelectedInstOperands,
     /*  864936 */     // GIR_Coverage, 63311,
     /*  864936 */     GIR_EraseRootFromParent_Done,
     /*  864937 */   // Label 13164: @864937
     /*  864937 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(865019), // Rule ID 63312 //
     /*  864942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  864945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  864950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  864959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  864965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864969 */     // MIs[0] op1
     /*  864969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  864972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  864977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  864996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  864999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865001 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865003 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865005 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865007 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865017 */     GIR_RootConstrainSelectedInstOperands,
     /*  865018 */     // GIR_Coverage, 63312,
     /*  865018 */     GIR_EraseRootFromParent_Done,
     /*  865019 */   // Label 13165: @865019
     /*  865019 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(865101), // Rule ID 63323 //
     /*  865024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  865035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  865038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  865041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  865044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865051 */     // MIs[0] op1
     /*  865051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  865081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865083 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865085 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865087 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865089 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865099 */     GIR_RootConstrainSelectedInstOperands,
     /*  865100 */     // GIR_Coverage, 63323,
     /*  865100 */     GIR_EraseRootFromParent_Done,
     /*  865101 */   // Label 13166: @865101
     /*  865101 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(865183), // Rule ID 63324 //
     /*  865106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  865117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  865120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  865123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  865126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865133 */     // MIs[0] op1
     /*  865133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865136 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865160 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  865163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865165 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865167 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865169 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865171 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865181 */     GIR_RootConstrainSelectedInstOperands,
     /*  865182 */     // GIR_Coverage, 63324,
     /*  865182 */     GIR_EraseRootFromParent_Done,
     /*  865183 */   // Label 13167: @865183
     /*  865183 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(865265), // Rule ID 63329 //
     /*  865188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  865199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  865202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  865205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865215 */     // MIs[0] op1
     /*  865215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  865245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865253 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865263 */     GIR_RootConstrainSelectedInstOperands,
     /*  865264 */     // GIR_Coverage, 63329,
     /*  865264 */     GIR_EraseRootFromParent_Done,
     /*  865265 */   // Label 13168: @865265
     /*  865265 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(865347), // Rule ID 63330 //
     /*  865270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  865281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  865284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  865287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865297 */     // MIs[0] op1
     /*  865297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865324 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  865327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865329 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865331 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865333 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865335 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865345 */     GIR_RootConstrainSelectedInstOperands,
     /*  865346 */     // GIR_Coverage, 63330,
     /*  865346 */     GIR_EraseRootFromParent_Done,
     /*  865347 */   // Label 13169: @865347
     /*  865347 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(865429), // Rule ID 63341 //
     /*  865352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  865363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  865366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  865369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  865372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865379 */     // MIs[0] op1
     /*  865379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865382 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  865409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865411 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865413 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865415 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865417 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865427 */     GIR_RootConstrainSelectedInstOperands,
     /*  865428 */     // GIR_Coverage, 63341,
     /*  865428 */     GIR_EraseRootFromParent_Done,
     /*  865429 */   // Label 13170: @865429
     /*  865429 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(865511), // Rule ID 63342 //
     /*  865434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  865445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  865448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  865451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  865454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865461 */     // MIs[0] op1
     /*  865461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865488 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  865491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865493 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865495 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865497 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865499 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865509 */     GIR_RootConstrainSelectedInstOperands,
     /*  865510 */     // GIR_Coverage, 63342,
     /*  865510 */     GIR_EraseRootFromParent_Done,
     /*  865511 */   // Label 13171: @865511
     /*  865511 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(865593), // Rule ID 63347 //
     /*  865516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  865533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865543 */     // MIs[0] op1
     /*  865543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865546 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  865573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865575 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865577 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865579 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865581 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865591 */     GIR_RootConstrainSelectedInstOperands,
     /*  865592 */     // GIR_Coverage, 63347,
     /*  865592 */     GIR_EraseRootFromParent_Done,
     /*  865593 */   // Label 13172: @865593
     /*  865593 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(865675), // Rule ID 63348 //
     /*  865598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  865615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865625 */     // MIs[0] op1
     /*  865625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865652 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  865655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865657 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865659 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865661 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865663 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865673 */     GIR_RootConstrainSelectedInstOperands,
     /*  865674 */     // GIR_Coverage, 63348,
     /*  865674 */     GIR_EraseRootFromParent_Done,
     /*  865675 */   // Label 13173: @865675
     /*  865675 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(865757), // Rule ID 63359 //
     /*  865680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  865697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  865700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865707 */     // MIs[0] op1
     /*  865707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865710 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  865737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865745 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865755 */     GIR_RootConstrainSelectedInstOperands,
     /*  865756 */     // GIR_Coverage, 63359,
     /*  865756 */     GIR_EraseRootFromParent_Done,
     /*  865757 */   // Label 13174: @865757
     /*  865757 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(865839), // Rule ID 63360 //
     /*  865762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  865770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  865779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  865782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865789 */     // MIs[0] op1
     /*  865789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865792 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  865819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865827 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865837 */     GIR_RootConstrainSelectedInstOperands,
     /*  865838 */     // GIR_Coverage, 63360,
     /*  865838 */     GIR_EraseRootFromParent_Done,
     /*  865839 */   // Label 13175: @865839
     /*  865839 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(865921), // Rule ID 63365 //
     /*  865844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  865847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  865861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  865867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865871 */     // MIs[0] op1
     /*  865871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865874 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  865898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  865901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865903 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865905 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865907 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865909 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865919 */     GIR_RootConstrainSelectedInstOperands,
     /*  865920 */     // GIR_Coverage, 63365,
     /*  865920 */     GIR_EraseRootFromParent_Done,
     /*  865921 */   // Label 13176: @865921
     /*  865921 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(866003), // Rule ID 63366 //
     /*  865926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  865929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  865934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  865937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  865940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  865943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  865949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865953 */     // MIs[0] op1
     /*  865953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  865956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  865961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865980 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  865980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  865983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  865987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  865989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  865991 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  865993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866001 */     GIR_RootConstrainSelectedInstOperands,
     /*  866002 */     // GIR_Coverage, 63366,
     /*  866002 */     GIR_EraseRootFromParent_Done,
     /*  866003 */   // Label 13177: @866003
     /*  866003 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(866085), // Rule ID 63377 //
     /*  866008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  866019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  866022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  866025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  866028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866035 */     // MIs[0] op1
     /*  866035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866038 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  866065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866067 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866069 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866071 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866073 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866083 */     GIR_RootConstrainSelectedInstOperands,
     /*  866084 */     // GIR_Coverage, 63377,
     /*  866084 */     GIR_EraseRootFromParent_Done,
     /*  866085 */   // Label 13178: @866085
     /*  866085 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(866167), // Rule ID 63378 //
     /*  866090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  866101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  866104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  866107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  866110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866117 */     // MIs[0] op1
     /*  866117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866120 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866144 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  866147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866155 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866165 */     GIR_RootConstrainSelectedInstOperands,
     /*  866166 */     // GIR_Coverage, 63378,
     /*  866166 */     GIR_EraseRootFromParent_Done,
     /*  866167 */   // Label 13179: @866167
     /*  866167 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(866249), // Rule ID 63383 //
     /*  866172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  866189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866199 */     // MIs[0] op1
     /*  866199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866202 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  866229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866231 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866233 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866235 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866237 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866247 */     GIR_RootConstrainSelectedInstOperands,
     /*  866248 */     // GIR_Coverage, 63383,
     /*  866248 */     GIR_EraseRootFromParent_Done,
     /*  866249 */   // Label 13180: @866249
     /*  866249 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(866331), // Rule ID 63384 //
     /*  866254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  866271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866281 */     // MIs[0] op1
     /*  866281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866284 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  866311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866313 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866315 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866317 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866319 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866329 */     GIR_RootConstrainSelectedInstOperands,
     /*  866330 */     // GIR_Coverage, 63384,
     /*  866330 */     GIR_EraseRootFromParent_Done,
     /*  866331 */   // Label 13181: @866331
     /*  866331 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(866413), // Rule ID 63395 //
     /*  866336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  866353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  866356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866363 */     // MIs[0] op1
     /*  866363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866390 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  866393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866401 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866411 */     GIR_RootConstrainSelectedInstOperands,
     /*  866412 */     // GIR_Coverage, 63395,
     /*  866412 */     GIR_EraseRootFromParent_Done,
     /*  866413 */   // Label 13182: @866413
     /*  866413 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(866495), // Rule ID 63396 //
     /*  866418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  866435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  866438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866445 */     // MIs[0] op1
     /*  866445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  866475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866477 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866479 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866481 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866483 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866493 */     GIR_RootConstrainSelectedInstOperands,
     /*  866494 */     // GIR_Coverage, 63396,
     /*  866494 */     GIR_EraseRootFromParent_Done,
     /*  866495 */   // Label 13183: @866495
     /*  866495 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(866577), // Rule ID 63401 //
     /*  866500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  866517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866527 */     // MIs[0] op1
     /*  866527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  866557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866559 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866561 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866563 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866565 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866575 */     GIR_RootConstrainSelectedInstOperands,
     /*  866576 */     // GIR_Coverage, 63401,
     /*  866576 */     GIR_EraseRootFromParent_Done,
     /*  866577 */   // Label 13184: @866577
     /*  866577 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(866659), // Rule ID 63402 //
     /*  866582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  866599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866609 */     // MIs[0] op1
     /*  866609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866612 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866636 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  866639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866641 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866643 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866645 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866647 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866657 */     GIR_RootConstrainSelectedInstOperands,
     /*  866658 */     // GIR_Coverage, 63402,
     /*  866658 */     GIR_EraseRootFromParent_Done,
     /*  866659 */   // Label 13185: @866659
     /*  866659 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(866741), // Rule ID 63413 //
     /*  866664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  866681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  866684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866691 */     // MIs[0] op1
     /*  866691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866694 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  866718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  866721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866723 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866725 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866727 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866729 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866739 */     GIR_RootConstrainSelectedInstOperands,
     /*  866740 */     // GIR_Coverage, 63413,
     /*  866740 */     GIR_EraseRootFromParent_Done,
     /*  866741 */   // Label 13186: @866741
     /*  866741 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(866823), // Rule ID 63414 //
     /*  866746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  866754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  866763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  866766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866773 */     // MIs[0] op1
     /*  866773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866776 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866800 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  866800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  866803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866805 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866807 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866809 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866811 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866821 */     GIR_RootConstrainSelectedInstOperands,
     /*  866822 */     // GIR_Coverage, 63414,
     /*  866822 */     GIR_EraseRootFromParent_Done,
     /*  866823 */   // Label 13187: @866823
     /*  866823 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(866905), // Rule ID 63419 //
     /*  866828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  866851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866855 */     // MIs[0] op1
     /*  866855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  866882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  866885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866887 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866889 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866891 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866893 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866903 */     GIR_RootConstrainSelectedInstOperands,
     /*  866904 */     // GIR_Coverage, 63419,
     /*  866904 */     GIR_EraseRootFromParent_Done,
     /*  866905 */   // Label 13188: @866905
     /*  866905 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(866987), // Rule ID 63420 //
     /*  866910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  866913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  866918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  866921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  866924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  866927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  866933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866937 */     // MIs[0] op1
     /*  866937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  866940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  866945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  866953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  866964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  866967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866969 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  866971 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  866973 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  866975 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  866977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866985 */     GIR_RootConstrainSelectedInstOperands,
     /*  866986 */     // GIR_Coverage, 63420,
     /*  866986 */     GIR_EraseRootFromParent_Done,
     /*  866987 */   // Label 13189: @866987
     /*  866987 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(867069), // Rule ID 63431 //
     /*  866992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  866995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  867000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  867012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867019 */     // MIs[0] op1
     /*  867019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  867049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867051 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867053 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867055 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867057 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867067 */     GIR_RootConstrainSelectedInstOperands,
     /*  867068 */     // GIR_Coverage, 63431,
     /*  867068 */     GIR_EraseRootFromParent_Done,
     /*  867069 */   // Label 13190: @867069
     /*  867069 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(867151), // Rule ID 63432 //
     /*  867074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  867082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  867094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867101 */     // MIs[0] op1
     /*  867101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  867131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867139 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867149 */     GIR_RootConstrainSelectedInstOperands,
     /*  867150 */     // GIR_Coverage, 63432,
     /*  867150 */     GIR_EraseRootFromParent_Done,
     /*  867151 */   // Label 13191: @867151
     /*  867151 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(867233), // Rule ID 63437 //
     /*  867156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  867164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  867176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867183 */     // MIs[0] op1
     /*  867183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  867191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  867203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  867213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867221 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867231 */     GIR_RootConstrainSelectedInstOperands,
     /*  867232 */     // GIR_Coverage, 63437,
     /*  867232 */     GIR_EraseRootFromParent_Done,
     /*  867233 */   // Label 13192: @867233
     /*  867233 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(867315), // Rule ID 63438 //
     /*  867238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  867246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  867249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  867252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  867258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867265 */     // MIs[0] op1
     /*  867265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867268 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  867273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  867285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  867295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867297 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867299 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867301 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867303 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867313 */     GIR_RootConstrainSelectedInstOperands,
     /*  867314 */     // GIR_Coverage, 63438,
     /*  867314 */     GIR_EraseRootFromParent_Done,
     /*  867315 */   // Label 13193: @867315
     /*  867315 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(867397), // Rule ID 63443 //
     /*  867320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  867328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867347 */     // MIs[0] op1
     /*  867347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867350 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  867377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867379 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867381 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867383 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867385 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867395 */     GIR_RootConstrainSelectedInstOperands,
     /*  867396 */     // GIR_Coverage, 63443,
     /*  867396 */     GIR_EraseRootFromParent_Done,
     /*  867397 */   // Label 13194: @867397
     /*  867397 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(867479), // Rule ID 63444 //
     /*  867402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  867410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867429 */     // MIs[0] op1
     /*  867429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867432 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867456 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  867459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867461 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867463 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867465 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867467 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867477 */     GIR_RootConstrainSelectedInstOperands,
     /*  867478 */     // GIR_Coverage, 63444,
     /*  867478 */     GIR_EraseRootFromParent_Done,
     /*  867479 */   // Label 13195: @867479
     /*  867479 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(867561), // Rule ID 63455 //
     /*  867484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  867492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  867504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867511 */     // MIs[0] op1
     /*  867511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  867541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867559 */     GIR_RootConstrainSelectedInstOperands,
     /*  867560 */     // GIR_Coverage, 63455,
     /*  867560 */     GIR_EraseRootFromParent_Done,
     /*  867561 */   // Label 13196: @867561
     /*  867561 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(867643), // Rule ID 63456 //
     /*  867566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  867574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  867586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867593 */     // MIs[0] op1
     /*  867593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  867623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867625 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867627 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867629 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867631 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867641 */     GIR_RootConstrainSelectedInstOperands,
     /*  867642 */     // GIR_Coverage, 63456,
     /*  867642 */     GIR_EraseRootFromParent_Done,
     /*  867643 */   // Label 13197: @867643
     /*  867643 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(867725), // Rule ID 63461 //
     /*  867648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  867656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  867668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867675 */     // MIs[0] op1
     /*  867675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  867683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  867695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  867705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867707 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867709 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867711 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867713 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867723 */     GIR_RootConstrainSelectedInstOperands,
     /*  867724 */     // GIR_Coverage, 63461,
     /*  867724 */     GIR_EraseRootFromParent_Done,
     /*  867725 */   // Label 13198: @867725
     /*  867725 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(867807), // Rule ID 63462 //
     /*  867730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  867738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  867741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  867744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  867750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867757 */     // MIs[0] op1
     /*  867757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867760 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  867765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  867777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  867787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867795 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867805 */     GIR_RootConstrainSelectedInstOperands,
     /*  867806 */     // GIR_Coverage, 63462,
     /*  867806 */     GIR_EraseRootFromParent_Done,
     /*  867807 */   // Label 13199: @867807
     /*  867807 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(867889), // Rule ID 63467 //
     /*  867812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  867820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867839 */     // MIs[0] op1
     /*  867839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867866 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  867866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  867869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867887 */     GIR_RootConstrainSelectedInstOperands,
     /*  867888 */     // GIR_Coverage, 63467,
     /*  867888 */     GIR_EraseRootFromParent_Done,
     /*  867889 */   // Label 13200: @867889
     /*  867889 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(867971), // Rule ID 63468 //
     /*  867894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  867897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  867902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  867917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867921 */     // MIs[0] op1
     /*  867921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  867924 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  867929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867948 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  867948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  867951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867953 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  867955 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  867957 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  867959 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  867961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867969 */     GIR_RootConstrainSelectedInstOperands,
     /*  867970 */     // GIR_Coverage, 63468,
     /*  867970 */     GIR_EraseRootFromParent_Done,
     /*  867971 */   // Label 13201: @867971
     /*  867971 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(868053), // Rule ID 63479 //
     /*  867976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  867979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  867984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  867987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  867990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  867996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  867999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868003 */     // MIs[0] op1
     /*  868003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  868033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868035 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868037 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868039 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868041 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868051 */     GIR_RootConstrainSelectedInstOperands,
     /*  868052 */     // GIR_Coverage, 63479,
     /*  868052 */     GIR_EraseRootFromParent_Done,
     /*  868053 */   // Label 13202: @868053
     /*  868053 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(868135), // Rule ID 63480 //
     /*  868058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  868066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  868078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868085 */     // MIs[0] op1
     /*  868085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868112 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  868115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868117 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868119 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868121 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868123 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868133 */     GIR_RootConstrainSelectedInstOperands,
     /*  868134 */     // GIR_Coverage, 63480,
     /*  868134 */     GIR_EraseRootFromParent_Done,
     /*  868135 */   // Label 13203: @868135
     /*  868135 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(868217), // Rule ID 63485 //
     /*  868140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  868148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  868160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868167 */     // MIs[0] op1
     /*  868167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  868175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  868187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  868197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868215 */     GIR_RootConstrainSelectedInstOperands,
     /*  868216 */     // GIR_Coverage, 63485,
     /*  868216 */     GIR_EraseRootFromParent_Done,
     /*  868217 */   // Label 13204: @868217
     /*  868217 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(868299), // Rule ID 63486 //
     /*  868222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  868230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  868233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  868236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  868242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868249 */     // MIs[0] op1
     /*  868249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  868257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  868269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868276 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  868279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868287 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868297 */     GIR_RootConstrainSelectedInstOperands,
     /*  868298 */     // GIR_Coverage, 63486,
     /*  868298 */     GIR_EraseRootFromParent_Done,
     /*  868299 */   // Label 13205: @868299
     /*  868299 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(868381), // Rule ID 63491 //
     /*  868304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  868312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868331 */     // MIs[0] op1
     /*  868331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868334 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  868361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868363 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868365 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868367 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868369 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868379 */     GIR_RootConstrainSelectedInstOperands,
     /*  868380 */     // GIR_Coverage, 63491,
     /*  868380 */     GIR_EraseRootFromParent_Done,
     /*  868381 */   // Label 13206: @868381
     /*  868381 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(868463), // Rule ID 63492 //
     /*  868386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  868394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868413 */     // MIs[0] op1
     /*  868413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  868443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868445 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868447 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868449 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868451 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868461 */     GIR_RootConstrainSelectedInstOperands,
     /*  868462 */     // GIR_Coverage, 63492,
     /*  868462 */     GIR_EraseRootFromParent_Done,
     /*  868463 */   // Label 13207: @868463
     /*  868463 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(868545), // Rule ID 63503 //
     /*  868468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  868476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  868488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868495 */     // MIs[0] op1
     /*  868495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  868525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868543 */     GIR_RootConstrainSelectedInstOperands,
     /*  868544 */     // GIR_Coverage, 63503,
     /*  868544 */     GIR_EraseRootFromParent_Done,
     /*  868545 */   // Label 13208: @868545
     /*  868545 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(868627), // Rule ID 63504 //
     /*  868550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  868558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  868570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868577 */     // MIs[0] op1
     /*  868577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868580 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868604 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  868607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868615 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868625 */     GIR_RootConstrainSelectedInstOperands,
     /*  868626 */     // GIR_Coverage, 63504,
     /*  868626 */     GIR_EraseRootFromParent_Done,
     /*  868627 */   // Label 13209: @868627
     /*  868627 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(868709), // Rule ID 63509 //
     /*  868632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  868640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  868652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868659 */     // MIs[0] op1
     /*  868659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  868667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  868679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  868689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868697 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868707 */     GIR_RootConstrainSelectedInstOperands,
     /*  868708 */     // GIR_Coverage, 63509,
     /*  868708 */     GIR_EraseRootFromParent_Done,
     /*  868709 */   // Label 13210: @868709
     /*  868709 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(868791), // Rule ID 63510 //
     /*  868714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  868722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  868725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  868728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  868734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868741 */     // MIs[0] op1
     /*  868741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  868749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  868761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  868771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868773 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868775 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868777 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868779 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868789 */     GIR_RootConstrainSelectedInstOperands,
     /*  868790 */     // GIR_Coverage, 63510,
     /*  868790 */     GIR_EraseRootFromParent_Done,
     /*  868791 */   // Label 13211: @868791
     /*  868791 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(868873), // Rule ID 63515 //
     /*  868796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  868804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868823 */     // MIs[0] op1
     /*  868823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  868850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  868853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868855 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868857 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868859 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868861 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868871 */     GIR_RootConstrainSelectedInstOperands,
     /*  868872 */     // GIR_Coverage, 63515,
     /*  868872 */     GIR_EraseRootFromParent_Done,
     /*  868873 */   // Label 13212: @868873
     /*  868873 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(868955), // Rule ID 63516 //
     /*  868878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  868881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  868886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  868901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868905 */     // MIs[0] op1
     /*  868905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868908 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  868925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  868932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  868935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868937 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  868939 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  868941 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  868943 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  868945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868953 */     GIR_RootConstrainSelectedInstOperands,
     /*  868954 */     // GIR_Coverage, 63516,
     /*  868954 */     GIR_EraseRootFromParent_Done,
     /*  868955 */   // Label 13213: @868955
     /*  868955 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(869037), // Rule ID 63527 //
     /*  868960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  868963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  868968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  868971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  868974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  868980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  868983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868987 */     // MIs[0] op1
     /*  868987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  868990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  868995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  868999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  869014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  869017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869019 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869021 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869023 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869025 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869035 */     GIR_RootConstrainSelectedInstOperands,
     /*  869036 */     // GIR_Coverage, 63527,
     /*  869036 */     GIR_EraseRootFromParent_Done,
     /*  869037 */   // Label 13214: @869037
     /*  869037 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(869119), // Rule ID 63528 //
     /*  869042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  869050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  869062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869069 */     // MIs[0] op1
     /*  869069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869096 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  869096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  869099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869101 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869103 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869105 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869107 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869117 */     GIR_RootConstrainSelectedInstOperands,
     /*  869118 */     // GIR_Coverage, 63528,
     /*  869118 */     GIR_EraseRootFromParent_Done,
     /*  869119 */   // Label 13215: @869119
     /*  869119 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(869201), // Rule ID 63533 //
     /*  869124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  869132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  869144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869151 */     // MIs[0] op1
     /*  869151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869154 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  869159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  869171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  869178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  869181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869183 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869185 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869187 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869189 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869199 */     GIR_RootConstrainSelectedInstOperands,
     /*  869200 */     // GIR_Coverage, 63533,
     /*  869200 */     GIR_EraseRootFromParent_Done,
     /*  869201 */   // Label 13216: @869201
     /*  869201 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(869283), // Rule ID 63534 //
     /*  869206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  869214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  869226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869233 */     // MIs[0] op1
     /*  869233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869236 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  869241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  869253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  869260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  869263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869265 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869267 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869269 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869271 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869281 */     GIR_RootConstrainSelectedInstOperands,
     /*  869282 */     // GIR_Coverage, 63534,
     /*  869282 */     GIR_EraseRootFromParent_Done,
     /*  869283 */   // Label 13217: @869283
     /*  869283 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(869365), // Rule ID 63539 //
     /*  869288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  869296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869315 */     // MIs[0] op1
     /*  869315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869318 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  869345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869347 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869349 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869351 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869353 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869363 */     GIR_RootConstrainSelectedInstOperands,
     /*  869364 */     // GIR_Coverage, 63539,
     /*  869364 */     GIR_EraseRootFromParent_Done,
     /*  869365 */   // Label 13218: @869365
     /*  869365 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(869447), // Rule ID 63540 //
     /*  869370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  869378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869397 */     // MIs[0] op1
     /*  869397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  869427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869435 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869445 */     GIR_RootConstrainSelectedInstOperands,
     /*  869446 */     // GIR_Coverage, 63540,
     /*  869446 */     GIR_EraseRootFromParent_Done,
     /*  869447 */   // Label 13219: @869447
     /*  869447 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(869529), // Rule ID 63551 //
     /*  869452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  869460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  869472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869479 */     // MIs[0] op1
     /*  869479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  869509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869511 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869513 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869515 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869517 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869527 */     GIR_RootConstrainSelectedInstOperands,
     /*  869528 */     // GIR_Coverage, 63551,
     /*  869528 */     GIR_EraseRootFromParent_Done,
     /*  869529 */   // Label 13220: @869529
     /*  869529 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(869611), // Rule ID 63552 //
     /*  869534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  869542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  869554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869561 */     // MIs[0] op1
     /*  869561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869588 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  869591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869593 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869595 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869597 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869599 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869609 */     GIR_RootConstrainSelectedInstOperands,
     /*  869610 */     // GIR_Coverage, 63552,
     /*  869610 */     GIR_EraseRootFromParent_Done,
     /*  869611 */   // Label 13221: @869611
     /*  869611 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(869693), // Rule ID 63557 //
     /*  869616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  869624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869643 */     // MIs[0] op1
     /*  869643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869646 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  869651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  869663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  869673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869681 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869691 */     GIR_RootConstrainSelectedInstOperands,
     /*  869692 */     // GIR_Coverage, 63557,
     /*  869692 */     GIR_EraseRootFromParent_Done,
     /*  869693 */   // Label 13222: @869693
     /*  869693 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(869775), // Rule ID 63558 //
     /*  869698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  869706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  869709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  869712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  869715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869725 */     // MIs[0] op1
     /*  869725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869728 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  869733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  869745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  869755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869757 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869759 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869761 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869763 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869773 */     GIR_RootConstrainSelectedInstOperands,
     /*  869774 */     // GIR_Coverage, 63558,
     /*  869774 */     GIR_EraseRootFromParent_Done,
     /*  869775 */   // Label 13223: @869775
     /*  869775 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(869857), // Rule ID 63563 //
     /*  869780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  869788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  869797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869807 */     // MIs[0] op1
     /*  869807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869834 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  869837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869845 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869855 */     GIR_RootConstrainSelectedInstOperands,
     /*  869856 */     // GIR_Coverage, 63563,
     /*  869856 */     GIR_EraseRootFromParent_Done,
     /*  869857 */   // Label 13224: @869857
     /*  869857 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(869939), // Rule ID 63564 //
     /*  869862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  869865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  869870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  869879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  869885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869889 */     // MIs[0] op1
     /*  869889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  869909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  869916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  869919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869921 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  869923 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  869925 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  869927 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  869929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869937 */     GIR_RootConstrainSelectedInstOperands,
     /*  869938 */     // GIR_Coverage, 63564,
     /*  869938 */     GIR_EraseRootFromParent_Done,
     /*  869939 */   // Label 13225: @869939
     /*  869939 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(870021), // Rule ID 63575 //
     /*  869944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  869947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  869952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  869955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  869958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  869961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  869964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  869967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869971 */     // MIs[0] op1
     /*  869971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  869974 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  869979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  869998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  870001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870009 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870019 */     GIR_RootConstrainSelectedInstOperands,
     /*  870020 */     // GIR_Coverage, 63575,
     /*  870020 */     GIR_EraseRootFromParent_Done,
     /*  870021 */   // Label 13226: @870021
     /*  870021 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(870103), // Rule ID 63576 //
     /*  870026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  870034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  870046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870053 */     // MIs[0] op1
     /*  870053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  870083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870085 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870087 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870089 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870091 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870101 */     GIR_RootConstrainSelectedInstOperands,
     /*  870102 */     // GIR_Coverage, 63576,
     /*  870102 */     GIR_EraseRootFromParent_Done,
     /*  870103 */   // Label 13227: @870103
     /*  870103 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(870185), // Rule ID 63581 //
     /*  870108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  870116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870135 */     // MIs[0] op1
     /*  870135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870138 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  870143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  870155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  870165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870167 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870169 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870171 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870173 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870183 */     GIR_RootConstrainSelectedInstOperands,
     /*  870184 */     // GIR_Coverage, 63581,
     /*  870184 */     GIR_EraseRootFromParent_Done,
     /*  870185 */   // Label 13228: @870185
     /*  870185 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(870267), // Rule ID 63582 //
     /*  870190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  870198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  870207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870217 */     // MIs[0] op1
     /*  870217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870220 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  870225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  870237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  870247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870249 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870251 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870253 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870255 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870265 */     GIR_RootConstrainSelectedInstOperands,
     /*  870266 */     // GIR_Coverage, 63582,
     /*  870266 */     GIR_EraseRootFromParent_Done,
     /*  870267 */   // Label 13229: @870267
     /*  870267 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(870349), // Rule ID 63587 //
     /*  870272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  870280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870299 */     // MIs[0] op1
     /*  870299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  870329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870331 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870333 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870335 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870337 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870347 */     GIR_RootConstrainSelectedInstOperands,
     /*  870348 */     // GIR_Coverage, 63587,
     /*  870348 */     GIR_EraseRootFromParent_Done,
     /*  870349 */   // Label 13230: @870349
     /*  870349 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(870431), // Rule ID 63588 //
     /*  870354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  870362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870381 */     // MIs[0] op1
     /*  870381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870384 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870408 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  870411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870413 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870415 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870417 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870419 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870429 */     GIR_RootConstrainSelectedInstOperands,
     /*  870430 */     // GIR_Coverage, 63588,
     /*  870430 */     GIR_EraseRootFromParent_Done,
     /*  870431 */   // Label 13231: @870431
     /*  870431 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(870513), // Rule ID 63599 //
     /*  870436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  870444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  870456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870463 */     // MIs[0] op1
     /*  870463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870466 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870490 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  870493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870495 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870497 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870499 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870501 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870511 */     GIR_RootConstrainSelectedInstOperands,
     /*  870512 */     // GIR_Coverage, 63599,
     /*  870512 */     GIR_EraseRootFromParent_Done,
     /*  870513 */   // Label 13232: @870513
     /*  870513 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(870595), // Rule ID 63600 //
     /*  870518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  870526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  870538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870545 */     // MIs[0] op1
     /*  870545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  870575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870583 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870593 */     GIR_RootConstrainSelectedInstOperands,
     /*  870594 */     // GIR_Coverage, 63600,
     /*  870594 */     GIR_EraseRootFromParent_Done,
     /*  870595 */   // Label 13233: @870595
     /*  870595 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(870677), // Rule ID 63605 //
     /*  870600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  870608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870627 */     // MIs[0] op1
     /*  870627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  870635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  870647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  870657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870659 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870661 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870663 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870665 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870675 */     GIR_RootConstrainSelectedInstOperands,
     /*  870676 */     // GIR_Coverage, 63605,
     /*  870676 */     GIR_EraseRootFromParent_Done,
     /*  870677 */   // Label 13234: @870677
     /*  870677 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(870759), // Rule ID 63606 //
     /*  870682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  870690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  870699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870709 */     // MIs[0] op1
     /*  870709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870712 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  870717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  870729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  870739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870741 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870743 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870745 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870747 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870757 */     GIR_RootConstrainSelectedInstOperands,
     /*  870758 */     // GIR_Coverage, 63606,
     /*  870758 */     GIR_EraseRootFromParent_Done,
     /*  870759 */   // Label 13235: @870759
     /*  870759 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(870841), // Rule ID 63611 //
     /*  870764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  870772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870791 */     // MIs[0] op1
     /*  870791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870794 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  870821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870823 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870825 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870827 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870829 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870839 */     GIR_RootConstrainSelectedInstOperands,
     /*  870840 */     // GIR_Coverage, 63611,
     /*  870840 */     GIR_EraseRootFromParent_Done,
     /*  870841 */   // Label 13236: @870841
     /*  870841 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(870923), // Rule ID 63612 //
     /*  870846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  870849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  870854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  870869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870873 */     // MIs[0] op1
     /*  870873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  870893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10721:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  870900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  870903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870905 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870907 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870909 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870911 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870921 */     GIR_RootConstrainSelectedInstOperands,
     /*  870922 */     // GIR_Coverage, 63612,
     /*  870922 */     GIR_EraseRootFromParent_Done,
     /*  870923 */   // Label 13237: @870923
     /*  870923 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(871005), // Rule ID 63623 //
     /*  870928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  870931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  870936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  870945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  870948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  870951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870955 */     // MIs[0] op1
     /*  870955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  870958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  870963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870982 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  870982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  870985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870987 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  870989 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  870991 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  870993 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  870995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871003 */     GIR_RootConstrainSelectedInstOperands,
     /*  871004 */     // GIR_Coverage, 63623,
     /*  871004 */     GIR_EraseRootFromParent_Done,
     /*  871005 */   // Label 13238: @871005
     /*  871005 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(871087), // Rule ID 63624 //
     /*  871010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  871013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  871018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  871027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  871030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871037 */     // MIs[0] op1
     /*  871037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  871040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  871045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10713:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  871064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  871067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  871071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  871073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  871075 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  871077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871085 */     GIR_RootConstrainSelectedInstOperands,
     /*  871086 */     // GIR_Coverage, 63624,
     /*  871086 */     GIR_EraseRootFromParent_Done,
     /*  871087 */   // Label 13239: @871087
     /*  871087 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(871169), // Rule ID 63629 //
     /*  871092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  871095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  871100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  871109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871119 */     // MIs[0] op1
     /*  871119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  871122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  871127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  871139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871146 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  871146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  871149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871151 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  871153 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  871155 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  871157 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  871159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871167 */     GIR_RootConstrainSelectedInstOperands,
     /*  871168 */     // GIR_Coverage, 63629,
     /*  871168 */     GIR_EraseRootFromParent_Done,
     /*  871169 */   // Label 13240: @871169
     /*  871169 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(871251), // Rule ID 63630 //
     /*  871174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  871177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  871182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  871185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  871188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  871191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871201 */     // MIs[0] op1
     /*  871201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  871204 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  871209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  871221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10699:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  871228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  871231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871233 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  871235 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  871237 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  871239 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  871241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871249 */     GIR_RootConstrainSelectedInstOperands,
     /*  871250 */     // GIR_Coverage, 63630,
     /*  871250 */     GIR_EraseRootFromParent_Done,
     /*  871251 */   // Label 13241: @871251
     /*  871251 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(871361), // Rule ID 5054 //
     /*  871256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  871267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  871270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  871273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  871279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871306 */     // MIs[1] Operand 1
     /*  871306 */     // No operand predicates
     /*  871306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871319 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  871336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871359 */     GIR_RootConstrainSelectedInstOperands,
     /*  871360 */     // GIR_Coverage, 5054,
     /*  871360 */     GIR_EraseRootFromParent_Done,
     /*  871361 */   // Label 13242: @871361
     /*  871361 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(871471), // Rule ID 5055 //
     /*  871366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  871377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  871380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  871383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  871389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871416 */     // MIs[1] Operand 1
     /*  871416 */     // No operand predicates
     /*  871416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871429 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  871446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871469 */     GIR_RootConstrainSelectedInstOperands,
     /*  871470 */     // GIR_Coverage, 5055,
     /*  871470 */     GIR_EraseRootFromParent_Done,
     /*  871471 */   // Label 13243: @871471
     /*  871471 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(871581), // Rule ID 5056 //
     /*  871476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  871487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  871490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  871493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  871499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871526 */     // MIs[1] Operand 1
     /*  871526 */     // No operand predicates
     /*  871526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  871556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871579 */     GIR_RootConstrainSelectedInstOperands,
     /*  871580 */     // GIR_Coverage, 5056,
     /*  871580 */     GIR_EraseRootFromParent_Done,
     /*  871581 */   // Label 13244: @871581
     /*  871581 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(871691), // Rule ID 5057 //
     /*  871586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  871597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  871600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  871603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  871609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871636 */     // MIs[1] Operand 1
     /*  871636 */     // No operand predicates
     /*  871636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  871666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871689 */     GIR_RootConstrainSelectedInstOperands,
     /*  871690 */     // GIR_Coverage, 5057,
     /*  871690 */     GIR_EraseRootFromParent_Done,
     /*  871691 */   // Label 13245: @871691
     /*  871691 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(871801), // Rule ID 5058 //
     /*  871696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  871707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  871710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  871719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871746 */     // MIs[1] Operand 1
     /*  871746 */     // No operand predicates
     /*  871746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  871759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  871776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871799 */     GIR_RootConstrainSelectedInstOperands,
     /*  871800 */     // GIR_Coverage, 5058,
     /*  871800 */     GIR_EraseRootFromParent_Done,
     /*  871801 */   // Label 13246: @871801
     /*  871801 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(871911), // Rule ID 5059 //
     /*  871806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  871809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  871817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  871820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  871823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  871826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  871829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  871832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871856 */     // MIs[1] Operand 1
     /*  871856 */     // No operand predicates
     /*  871856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  871869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  871886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  871895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  871901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  871909 */     GIR_RootConstrainSelectedInstOperands,
     /*  871910 */     // GIR_Coverage, 5059,
     /*  871910 */     GIR_EraseRootFromParent_Done,
     /*  871911 */   // Label 13247: @871911
     /*  871911 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(872021), // Rule ID 5060 //
     /*  871916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  871919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  871924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  871927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  871930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  871933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  871936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  871939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  871942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  871946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  871958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  871962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  871966 */     // MIs[1] Operand 1
     /*  871966 */     // No operand predicates
     /*  871966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  871970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  871972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  871979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  871983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  871989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  871993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  871996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872019 */     GIR_RootConstrainSelectedInstOperands,
     /*  872020 */     // GIR_Coverage, 5060,
     /*  872020 */     GIR_EraseRootFromParent_Done,
     /*  872021 */   // Label 13248: @872021
     /*  872021 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(872131), // Rule ID 5061 //
     /*  872026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  872049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872076 */     // MIs[1] Operand 1
     /*  872076 */     // No operand predicates
     /*  872076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  872106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872129 */     GIR_RootConstrainSelectedInstOperands,
     /*  872130 */     // GIR_Coverage, 5061,
     /*  872130 */     GIR_EraseRootFromParent_Done,
     /*  872131 */   // Label 13249: @872131
     /*  872131 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(872241), // Rule ID 5062 //
     /*  872136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  872159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872186 */     // MIs[1] Operand 1
     /*  872186 */     // No operand predicates
     /*  872186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  872216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872239 */     GIR_RootConstrainSelectedInstOperands,
     /*  872240 */     // GIR_Coverage, 5062,
     /*  872240 */     GIR_EraseRootFromParent_Done,
     /*  872241 */   // Label 13250: @872241
     /*  872241 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(872351), // Rule ID 5063 //
     /*  872246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  872269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872296 */     // MIs[1] Operand 1
     /*  872296 */     // No operand predicates
     /*  872296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  872326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872349 */     GIR_RootConstrainSelectedInstOperands,
     /*  872350 */     // GIR_Coverage, 5063,
     /*  872350 */     GIR_EraseRootFromParent_Done,
     /*  872351 */   // Label 13251: @872351
     /*  872351 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(872461), // Rule ID 5064 //
     /*  872356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  872379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872406 */     // MIs[1] Operand 1
     /*  872406 */     // No operand predicates
     /*  872406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  872419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  872436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872459 */     GIR_RootConstrainSelectedInstOperands,
     /*  872460 */     // GIR_Coverage, 5064,
     /*  872460 */     GIR_EraseRootFromParent_Done,
     /*  872461 */   // Label 13252: @872461
     /*  872461 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(872571), // Rule ID 5065 //
     /*  872466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  872477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  872480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  872483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  872489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872516 */     // MIs[1] Operand 1
     /*  872516 */     // No operand predicates
     /*  872516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872529 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  872529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  872546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872569 */     GIR_RootConstrainSelectedInstOperands,
     /*  872570 */     // GIR_Coverage, 5065,
     /*  872570 */     GIR_EraseRootFromParent_Done,
     /*  872571 */   // Label 13253: @872571
     /*  872571 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(872681), // Rule ID 5066 //
     /*  872576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  872599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872626 */     // MIs[1] Operand 1
     /*  872626 */     // No operand predicates
     /*  872626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872639 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  872639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  872656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872679 */     GIR_RootConstrainSelectedInstOperands,
     /*  872680 */     // GIR_Coverage, 5066,
     /*  872680 */     GIR_EraseRootFromParent_Done,
     /*  872681 */   // Label 13254: @872681
     /*  872681 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(872791), // Rule ID 5067 //
     /*  872686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  872697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  872700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  872703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  872709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872736 */     // MIs[1] Operand 1
     /*  872736 */     // No operand predicates
     /*  872736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  872749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  872766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  872789 */     GIR_RootConstrainSelectedInstOperands,
     /*  872790 */     // GIR_Coverage, 5067,
     /*  872790 */     GIR_EraseRootFromParent_Done,
     /*  872791 */   // Label 13255: @872791
     /*  872791 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(872901), // Rule ID 5068 //
     /*  872796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  872799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  872819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  872822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872846 */     // MIs[1] Operand 1
     /*  872846 */     // No operand predicates
     /*  872846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  872859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  872876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  872891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872899 */     GIR_RootConstrainSelectedInstOperands,
     /*  872900 */     // GIR_Coverage, 5068,
     /*  872900 */     GIR_EraseRootFromParent_Done,
     /*  872901 */   // Label 13256: @872901
     /*  872901 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(873011), // Rule ID 5069 //
     /*  872906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  872909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  872914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  872917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  872920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  872923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  872929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  872932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  872936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  872948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  872952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  872956 */     // MIs[1] Operand 1
     /*  872956 */     // No operand predicates
     /*  872956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  872960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  872962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  872969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  872973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  872979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  872983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  872986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  872995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873009 */     GIR_RootConstrainSelectedInstOperands,
     /*  873010 */     // GIR_Coverage, 5069,
     /*  873010 */     GIR_EraseRootFromParent_Done,
     /*  873011 */   // Label 13257: @873011
     /*  873011 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(873121), // Rule ID 5070 //
     /*  873016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  873039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  873046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873066 */     // MIs[1] Operand 1
     /*  873066 */     // No operand predicates
     /*  873066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  873079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  873096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873119 */     GIR_RootConstrainSelectedInstOperands,
     /*  873120 */     // GIR_Coverage, 5070,
     /*  873120 */     GIR_EraseRootFromParent_Done,
     /*  873121 */   // Label 13258: @873121
     /*  873121 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(873231), // Rule ID 5071 //
     /*  873126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  873149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  873156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873176 */     // MIs[1] Operand 1
     /*  873176 */     // No operand predicates
     /*  873176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  873189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  873206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873229 */     GIR_RootConstrainSelectedInstOperands,
     /*  873230 */     // GIR_Coverage, 5071,
     /*  873230 */     GIR_EraseRootFromParent_Done,
     /*  873231 */   // Label 13259: @873231
     /*  873231 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(873341), // Rule ID 5072 //
     /*  873236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  873239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  873259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  873266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873286 */     // MIs[1] Operand 1
     /*  873286 */     // No operand predicates
     /*  873286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  873299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  873316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873339 */     GIR_RootConstrainSelectedInstOperands,
     /*  873340 */     // GIR_Coverage, 5072,
     /*  873340 */     GIR_EraseRootFromParent_Done,
     /*  873341 */   // Label 13260: @873341
     /*  873341 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(873451), // Rule ID 5073 //
     /*  873346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  873349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  873369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  873376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873396 */     // MIs[1] Operand 1
     /*  873396 */     // No operand predicates
     /*  873396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  873409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  873426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873449 */     GIR_RootConstrainSelectedInstOperands,
     /*  873450 */     // GIR_Coverage, 5073,
     /*  873450 */     GIR_EraseRootFromParent_Done,
     /*  873451 */   // Label 13261: @873451
     /*  873451 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(873561), // Rule ID 5074 //
     /*  873456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  873479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  873486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873506 */     // MIs[1] Operand 1
     /*  873506 */     // No operand predicates
     /*  873506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873519 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  873536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873559 */     GIR_RootConstrainSelectedInstOperands,
     /*  873560 */     // GIR_Coverage, 5074,
     /*  873560 */     GIR_EraseRootFromParent_Done,
     /*  873561 */   // Label 13262: @873561
     /*  873561 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(873671), // Rule ID 5075 //
     /*  873566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  873577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  873580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  873583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  873589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  873596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873616 */     // MIs[1] Operand 1
     /*  873616 */     // No operand predicates
     /*  873616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873629 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  873646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873669 */     GIR_RootConstrainSelectedInstOperands,
     /*  873670 */     // GIR_Coverage, 5075,
     /*  873670 */     GIR_EraseRootFromParent_Done,
     /*  873671 */   // Label 13263: @873671
     /*  873671 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(873781), // Rule ID 5076 //
     /*  873676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  873699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  873706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873726 */     // MIs[1] Operand 1
     /*  873726 */     // No operand predicates
     /*  873726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  873756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873779 */     GIR_RootConstrainSelectedInstOperands,
     /*  873780 */     // GIR_Coverage, 5076,
     /*  873780 */     GIR_EraseRootFromParent_Done,
     /*  873781 */   // Label 13264: @873781
     /*  873781 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(873891), // Rule ID 5077 //
     /*  873786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  873789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  873797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  873800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  873803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  873809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  873812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  873816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873836 */     // MIs[1] Operand 1
     /*  873836 */     // No operand predicates
     /*  873836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873849 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  873849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  873866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873889 */     GIR_RootConstrainSelectedInstOperands,
     /*  873890 */     // GIR_Coverage, 5077,
     /*  873890 */     GIR_EraseRootFromParent_Done,
     /*  873891 */   // Label 13265: @873891
     /*  873891 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(874001), // Rule ID 5078 //
     /*  873896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  873899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  873904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  873907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  873910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  873913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  873919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  873922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  873926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  873934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  873938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  873942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  873946 */     // MIs[1] Operand 1
     /*  873946 */     // No operand predicates
     /*  873946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  873950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  873952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  873959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  873963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  873969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  873973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  873976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  873985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  873991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  873999 */     GIR_RootConstrainSelectedInstOperands,
     /*  874000 */     // GIR_Coverage, 5078,
     /*  874000 */     GIR_EraseRootFromParent_Done,
     /*  874001 */   // Label 13266: @874001
     /*  874001 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(874111), // Rule ID 5079 //
     /*  874006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  874017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  874020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  874023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  874029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  874036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874056 */     // MIs[1] Operand 1
     /*  874056 */     // No operand predicates
     /*  874056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874069 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  874069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  874086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  874109 */     GIR_RootConstrainSelectedInstOperands,
     /*  874110 */     // GIR_Coverage, 5079,
     /*  874110 */     GIR_EraseRootFromParent_Done,
     /*  874111 */   // Label 13267: @874111
     /*  874111 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(874221), // Rule ID 5080 //
     /*  874116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  874139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  874146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874166 */     // MIs[1] Operand 1
     /*  874166 */     // No operand predicates
     /*  874166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  874196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874219 */     GIR_RootConstrainSelectedInstOperands,
     /*  874220 */     // GIR_Coverage, 5080,
     /*  874220 */     GIR_EraseRootFromParent_Done,
     /*  874221 */   // Label 13268: @874221
     /*  874221 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(874331), // Rule ID 5081 //
     /*  874226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  874237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  874240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  874243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  874249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  874256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874276 */     // MIs[1] Operand 1
     /*  874276 */     // No operand predicates
     /*  874276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  874306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874329 */     GIR_RootConstrainSelectedInstOperands,
     /*  874330 */     // GIR_Coverage, 5081,
     /*  874330 */     GIR_EraseRootFromParent_Done,
     /*  874331 */   // Label 13269: @874331
     /*  874331 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(874441), // Rule ID 5082 //
     /*  874336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  874359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  874366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874386 */     // MIs[1] Operand 1
     /*  874386 */     // No operand predicates
     /*  874386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  874416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874439 */     GIR_RootConstrainSelectedInstOperands,
     /*  874440 */     // GIR_Coverage, 5082,
     /*  874440 */     GIR_EraseRootFromParent_Done,
     /*  874441 */   // Label 13270: @874441
     /*  874441 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(874551), // Rule ID 5083 //
     /*  874446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  874457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  874460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  874463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  874469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  874476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874496 */     // MIs[1] Operand 1
     /*  874496 */     // No operand predicates
     /*  874496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874509 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  874526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874549 */     GIR_RootConstrainSelectedInstOperands,
     /*  874550 */     // GIR_Coverage, 5083,
     /*  874550 */     GIR_EraseRootFromParent_Done,
     /*  874551 */   // Label 13271: @874551
     /*  874551 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(874661), // Rule ID 5084 //
     /*  874556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  874579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  874586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874606 */     // MIs[1] Operand 1
     /*  874606 */     // No operand predicates
     /*  874606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874619 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  874619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  874636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874659 */     GIR_RootConstrainSelectedInstOperands,
     /*  874660 */     // GIR_Coverage, 5084,
     /*  874660 */     GIR_EraseRootFromParent_Done,
     /*  874661 */   // Label 13272: @874661
     /*  874661 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(874771), // Rule ID 5085 //
     /*  874666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  874689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  874696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874716 */     // MIs[1] Operand 1
     /*  874716 */     // No operand predicates
     /*  874716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874729 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  874729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  874746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874769 */     GIR_RootConstrainSelectedInstOperands,
     /*  874770 */     // GIR_Coverage, 5085,
     /*  874770 */     GIR_EraseRootFromParent_Done,
     /*  874771 */   // Label 13273: @874771
     /*  874771 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(874881), // Rule ID 5086 //
     /*  874776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  874799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  874802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  874806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874826 */     // MIs[1] Operand 1
     /*  874826 */     // No operand predicates
     /*  874826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874839 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  874839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  874856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874879 */     GIR_RootConstrainSelectedInstOperands,
     /*  874880 */     // GIR_Coverage, 5086,
     /*  874880 */     GIR_EraseRootFromParent_Done,
     /*  874881 */   // Label 13274: @874881
     /*  874881 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(874991), // Rule ID 5087 //
     /*  874886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  874889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  874894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  874909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  874912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  874916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  874928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  874932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  874936 */     // MIs[1] Operand 1
     /*  874936 */     // No operand predicates
     /*  874936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  874940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  874942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874949 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  874949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  874953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  874959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  874963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  874966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  874975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  874981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874989 */     GIR_RootConstrainSelectedInstOperands,
     /*  874990 */     // GIR_Coverage, 5087,
     /*  874990 */     GIR_EraseRootFromParent_Done,
     /*  874991 */   // Label 13275: @874991
     /*  874991 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(875101), // Rule ID 5088 //
     /*  874996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  874999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  875019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  875026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875046 */     // MIs[1] Operand 1
     /*  875046 */     // No operand predicates
     /*  875046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  875076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875099 */     GIR_RootConstrainSelectedInstOperands,
     /*  875100 */     // GIR_Coverage, 5088,
     /*  875100 */     GIR_EraseRootFromParent_Done,
     /*  875101 */   // Label 13276: @875101
     /*  875101 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(875211), // Rule ID 5089 //
     /*  875106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  875117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  875120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  875123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  875129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  875136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875156 */     // MIs[1] Operand 1
     /*  875156 */     // No operand predicates
     /*  875156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  875186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875209 */     GIR_RootConstrainSelectedInstOperands,
     /*  875210 */     // GIR_Coverage, 5089,
     /*  875210 */     GIR_EraseRootFromParent_Done,
     /*  875211 */   // Label 13277: @875211
     /*  875211 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(875321), // Rule ID 5090 //
     /*  875216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  875219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  875239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  875246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875266 */     // MIs[1] Operand 1
     /*  875266 */     // No operand predicates
     /*  875266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  875279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  875296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875319 */     GIR_RootConstrainSelectedInstOperands,
     /*  875320 */     // GIR_Coverage, 5090,
     /*  875320 */     GIR_EraseRootFromParent_Done,
     /*  875321 */   // Label 13278: @875321
     /*  875321 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(875431), // Rule ID 5091 //
     /*  875326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  875329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  875337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  875340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  875343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  875349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  875356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875376 */     // MIs[1] Operand 1
     /*  875376 */     // No operand predicates
     /*  875376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  875389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  875406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875429 */     GIR_RootConstrainSelectedInstOperands,
     /*  875430 */     // GIR_Coverage, 5091,
     /*  875430 */     GIR_EraseRootFromParent_Done,
     /*  875431 */   // Label 13279: @875431
     /*  875431 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(875541), // Rule ID 5092 //
     /*  875436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  875459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  875466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875486 */     // MIs[1] Operand 1
     /*  875486 */     // No operand predicates
     /*  875486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  875516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875539 */     GIR_RootConstrainSelectedInstOperands,
     /*  875540 */     // GIR_Coverage, 5092,
     /*  875540 */     GIR_EraseRootFromParent_Done,
     /*  875541 */   // Label 13280: @875541
     /*  875541 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(875651), // Rule ID 5093 //
     /*  875546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  875557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  875560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  875563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  875569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  875576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  875584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875596 */     // MIs[1] Operand 1
     /*  875596 */     // No operand predicates
     /*  875596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  875626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875649 */     GIR_RootConstrainSelectedInstOperands,
     /*  875650 */     // GIR_Coverage, 5093,
     /*  875650 */     GIR_EraseRootFromParent_Done,
     /*  875651 */   // Label 13281: @875651
     /*  875651 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(875761), // Rule ID 5094 //
     /*  875656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  875679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  875686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875706 */     // MIs[1] Operand 1
     /*  875706 */     // No operand predicates
     /*  875706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875719 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  875736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875759 */     GIR_RootConstrainSelectedInstOperands,
     /*  875760 */     // GIR_Coverage, 5094,
     /*  875760 */     GIR_EraseRootFromParent_Done,
     /*  875761 */   // Label 13282: @875761
     /*  875761 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(875871), // Rule ID 5095 //
     /*  875766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  875777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  875780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  875783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  875789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  875792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  875796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  875804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875816 */     // MIs[1] Operand 1
     /*  875816 */     // No operand predicates
     /*  875816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875829 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  875829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  875846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875869 */     GIR_RootConstrainSelectedInstOperands,
     /*  875870 */     // GIR_Coverage, 5095,
     /*  875870 */     GIR_EraseRootFromParent_Done,
     /*  875871 */   // Label 13283: @875871
     /*  875871 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(875981), // Rule ID 5096 //
     /*  875876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  875879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  875896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  875899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  875902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  875906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  875918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  875922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  875926 */     // MIs[1] Operand 1
     /*  875926 */     // No operand predicates
     /*  875926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  875930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  875932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875939 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  875939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  875943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  875949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  875953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  875956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  875965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  875971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875979 */     GIR_RootConstrainSelectedInstOperands,
     /*  875980 */     // GIR_Coverage, 5096,
     /*  875980 */     GIR_EraseRootFromParent_Done,
     /*  875981 */   // Label 13284: @875981
     /*  875981 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(876091), // Rule ID 5097 //
     /*  875986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  875989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  875994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  876000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  876003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  876009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  876016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876036 */     // MIs[1] Operand 1
     /*  876036 */     // No operand predicates
     /*  876036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876049 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  876049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  876066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876089 */     GIR_RootConstrainSelectedInstOperands,
     /*  876090 */     // GIR_Coverage, 5097,
     /*  876090 */     GIR_EraseRootFromParent_Done,
     /*  876091 */   // Label 13285: @876091
     /*  876091 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(876201), // Rule ID 7828 //
     /*  876096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  876107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  876110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  876113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  876119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876146 */     // MIs[1] Operand 1
     /*  876146 */     // No operand predicates
     /*  876146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  876176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876199 */     GIR_RootConstrainSelectedInstOperands,
     /*  876200 */     // GIR_Coverage, 7828,
     /*  876200 */     GIR_EraseRootFromParent_Done,
     /*  876201 */   // Label 13286: @876201
     /*  876201 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(876311), // Rule ID 7829 //
     /*  876206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  876217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  876220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  876223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  876229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876256 */     // MIs[1] Operand 1
     /*  876256 */     // No operand predicates
     /*  876256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876269 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  876286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876309 */     GIR_RootConstrainSelectedInstOperands,
     /*  876310 */     // GIR_Coverage, 7829,
     /*  876310 */     GIR_EraseRootFromParent_Done,
     /*  876311 */   // Label 13287: @876311
     /*  876311 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(876421), // Rule ID 7832 //
     /*  876316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  876327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  876330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  876339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876366 */     // MIs[1] Operand 1
     /*  876366 */     // No operand predicates
     /*  876366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  876396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876419 */     GIR_RootConstrainSelectedInstOperands,
     /*  876420 */     // GIR_Coverage, 7832,
     /*  876420 */     GIR_EraseRootFromParent_Done,
     /*  876421 */   // Label 13288: @876421
     /*  876421 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(876531), // Rule ID 7833 //
     /*  876426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  876437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  876440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  876443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  876449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876476 */     // MIs[1] Operand 1
     /*  876476 */     // No operand predicates
     /*  876476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  876506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876529 */     GIR_RootConstrainSelectedInstOperands,
     /*  876530 */     // GIR_Coverage, 7833,
     /*  876530 */     GIR_EraseRootFromParent_Done,
     /*  876531 */   // Label 13289: @876531
     /*  876531 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(876641), // Rule ID 7836 //
     /*  876536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  876547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  876550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  876559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876586 */     // MIs[1] Operand 1
     /*  876586 */     // No operand predicates
     /*  876586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  876599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  876616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876639 */     GIR_RootConstrainSelectedInstOperands,
     /*  876640 */     // GIR_Coverage, 7836,
     /*  876640 */     GIR_EraseRootFromParent_Done,
     /*  876641 */   // Label 13290: @876641
     /*  876641 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(876751), // Rule ID 7837 //
     /*  876646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  876657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  876660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  876663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  876669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876696 */     // MIs[1] Operand 1
     /*  876696 */     // No operand predicates
     /*  876696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  876709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  876726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  876749 */     GIR_RootConstrainSelectedInstOperands,
     /*  876750 */     // GIR_Coverage, 7837,
     /*  876750 */     GIR_EraseRootFromParent_Done,
     /*  876751 */   // Label 13291: @876751
     /*  876751 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(876861), // Rule ID 7840 //
     /*  876756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  876767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  876770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  876779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  876782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876806 */     // MIs[1] Operand 1
     /*  876806 */     // No operand predicates
     /*  876806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876819 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  876819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  876836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876859 */     GIR_RootConstrainSelectedInstOperands,
     /*  876860 */     // GIR_Coverage, 7840,
     /*  876860 */     GIR_EraseRootFromParent_Done,
     /*  876861 */   // Label 13292: @876861
     /*  876861 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(876971), // Rule ID 7841 //
     /*  876866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  876869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  876877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  876880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  876883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  876886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  876889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  876892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  876908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  876912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  876916 */     // MIs[1] Operand 1
     /*  876916 */     // No operand predicates
     /*  876916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  876920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  876922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  876929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  876933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  876939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  876943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  876946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  876955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  876961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876969 */     GIR_RootConstrainSelectedInstOperands,
     /*  876970 */     // GIR_Coverage, 7841,
     /*  876970 */     GIR_EraseRootFromParent_Done,
     /*  876971 */   // Label 13293: @876971
     /*  876971 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(877081), // Rule ID 7844 //
     /*  876976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  876979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  876984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  876987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  876990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  876993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  876996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  876999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877026 */     // MIs[1] Operand 1
     /*  877026 */     // No operand predicates
     /*  877026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877039 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  877056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877079 */     GIR_RootConstrainSelectedInstOperands,
     /*  877080 */     // GIR_Coverage, 7844,
     /*  877080 */     GIR_EraseRootFromParent_Done,
     /*  877081 */   // Label 13294: @877081
     /*  877081 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(877191), // Rule ID 7845 //
     /*  877086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  877097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  877100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  877109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877136 */     // MIs[1] Operand 1
     /*  877136 */     // No operand predicates
     /*  877136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  877166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877189 */     GIR_RootConstrainSelectedInstOperands,
     /*  877190 */     // GIR_Coverage, 7845,
     /*  877190 */     GIR_EraseRootFromParent_Done,
     /*  877191 */   // Label 13295: @877191
     /*  877191 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(877301), // Rule ID 7848 //
     /*  877196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  877207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  877210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  877219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877246 */     // MIs[1] Operand 1
     /*  877246 */     // No operand predicates
     /*  877246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  877276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877299 */     GIR_RootConstrainSelectedInstOperands,
     /*  877300 */     // GIR_Coverage, 7848,
     /*  877300 */     GIR_EraseRootFromParent_Done,
     /*  877301 */   // Label 13296: @877301
     /*  877301 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(877411), // Rule ID 7849 //
     /*  877306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  877317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  877320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  877329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877356 */     // MIs[1] Operand 1
     /*  877356 */     // No operand predicates
     /*  877356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877369 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  877369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  877386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877409 */     GIR_RootConstrainSelectedInstOperands,
     /*  877410 */     // GIR_Coverage, 7849,
     /*  877410 */     GIR_EraseRootFromParent_Done,
     /*  877411 */   // Label 13297: @877411
     /*  877411 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(877521), // Rule ID 7852 //
     /*  877416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  877427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  877430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  877439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877466 */     // MIs[1] Operand 1
     /*  877466 */     // No operand predicates
     /*  877466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877479 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  877496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877519 */     GIR_RootConstrainSelectedInstOperands,
     /*  877520 */     // GIR_Coverage, 7852,
     /*  877520 */     GIR_EraseRootFromParent_Done,
     /*  877521 */   // Label 13298: @877521
     /*  877521 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(877631), // Rule ID 7853 //
     /*  877526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  877537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  877540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  877543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  877549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877576 */     // MIs[1] Operand 1
     /*  877576 */     // No operand predicates
     /*  877576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877589 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  877606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877629 */     GIR_RootConstrainSelectedInstOperands,
     /*  877630 */     // GIR_Coverage, 7853,
     /*  877630 */     GIR_EraseRootFromParent_Done,
     /*  877631 */   // Label 13299: @877631
     /*  877631 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(877741), // Rule ID 7856 //
     /*  877636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877686 */     // MIs[1] Operand 1
     /*  877686 */     // No operand predicates
     /*  877686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877699 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  877716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877739 */     GIR_RootConstrainSelectedInstOperands,
     /*  877740 */     // GIR_Coverage, 7856,
     /*  877740 */     GIR_EraseRootFromParent_Done,
     /*  877741 */   // Label 13300: @877741
     /*  877741 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(877851), // Rule ID 7857 //
     /*  877746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  877757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  877760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  877763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  877769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877796 */     // MIs[1] Operand 1
     /*  877796 */     // No operand predicates
     /*  877796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877809 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  877826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877849 */     GIR_RootConstrainSelectedInstOperands,
     /*  877850 */     // GIR_Coverage, 7857,
     /*  877850 */     GIR_EraseRootFromParent_Done,
     /*  877851 */   // Label 13301: @877851
     /*  877851 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(877961), // Rule ID 7860 //
     /*  877856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  877867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  877870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  877876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  877879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  877882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  877898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  877902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  877906 */     // MIs[1] Operand 1
     /*  877906 */     // No operand predicates
     /*  877906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  877910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  877912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877919 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  877923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  877929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  877933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  877936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  877945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  877951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877959 */     GIR_RootConstrainSelectedInstOperands,
     /*  877960 */     // GIR_Coverage, 7860,
     /*  877960 */     GIR_EraseRootFromParent_Done,
     /*  877961 */   // Label 13302: @877961
     /*  877961 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(878071), // Rule ID 7861 //
     /*  877966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  877974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  877977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  877980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  877983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  877986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  877989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  877992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878016 */     // MIs[1] Operand 1
     /*  878016 */     // No operand predicates
     /*  878016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878029 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  878029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  878046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878069 */     GIR_RootConstrainSelectedInstOperands,
     /*  878070 */     // GIR_Coverage, 7861,
     /*  878070 */     GIR_EraseRootFromParent_Done,
     /*  878071 */   // Label 13303: @878071
     /*  878071 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(878181), // Rule ID 7864 //
     /*  878076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  878079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  878087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  878090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  878099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878126 */     // MIs[1] Operand 1
     /*  878126 */     // No operand predicates
     /*  878126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878139 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  878139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  878156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878179 */     GIR_RootConstrainSelectedInstOperands,
     /*  878180 */     // GIR_Coverage, 7864,
     /*  878180 */     GIR_EraseRootFromParent_Done,
     /*  878181 */   // Label 13304: @878181
     /*  878181 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(878291), // Rule ID 7865 //
     /*  878186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  878189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  878197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  878200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  878209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878236 */     // MIs[1] Operand 1
     /*  878236 */     // No operand predicates
     /*  878236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  878266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878289 */     GIR_RootConstrainSelectedInstOperands,
     /*  878290 */     // GIR_Coverage, 7865,
     /*  878290 */     GIR_EraseRootFromParent_Done,
     /*  878291 */   // Label 13305: @878291
     /*  878291 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(878401), // Rule ID 7868 //
     /*  878296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  878307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  878310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  878319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878346 */     // MIs[1] Operand 1
     /*  878346 */     // No operand predicates
     /*  878346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878359 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  878376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878399 */     GIR_RootConstrainSelectedInstOperands,
     /*  878400 */     // GIR_Coverage, 7868,
     /*  878400 */     GIR_EraseRootFromParent_Done,
     /*  878401 */   // Label 13306: @878401
     /*  878401 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(878511), // Rule ID 7869 //
     /*  878406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  878417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  878420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  878429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878456 */     // MIs[1] Operand 1
     /*  878456 */     // No operand predicates
     /*  878456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878469 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  878486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878509 */     GIR_RootConstrainSelectedInstOperands,
     /*  878510 */     // GIR_Coverage, 7869,
     /*  878510 */     GIR_EraseRootFromParent_Done,
     /*  878511 */   // Label 13307: @878511
     /*  878511 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(878621), // Rule ID 7872 //
     /*  878516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  878527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  878530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  878539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878566 */     // MIs[1] Operand 1
     /*  878566 */     // No operand predicates
     /*  878566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878579 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  878596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878619 */     GIR_RootConstrainSelectedInstOperands,
     /*  878620 */     // GIR_Coverage, 7872,
     /*  878620 */     GIR_EraseRootFromParent_Done,
     /*  878621 */   // Label 13308: @878621
     /*  878621 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(878731), // Rule ID 7873 //
     /*  878626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  878637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  878640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  878649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878676 */     // MIs[1] Operand 1
     /*  878676 */     // No operand predicates
     /*  878676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878689 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  878706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878729 */     GIR_RootConstrainSelectedInstOperands,
     /*  878730 */     // GIR_Coverage, 7873,
     /*  878730 */     GIR_EraseRootFromParent_Done,
     /*  878731 */   // Label 13309: @878731
     /*  878731 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(878841), // Rule ID 7876 //
     /*  878736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  878747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  878750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  878759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878786 */     // MIs[1] Operand 1
     /*  878786 */     // No operand predicates
     /*  878786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878799 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  878816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878839 */     GIR_RootConstrainSelectedInstOperands,
     /*  878840 */     // GIR_Coverage, 7876,
     /*  878840 */     GIR_EraseRootFromParent_Done,
     /*  878841 */   // Label 13310: @878841
     /*  878841 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(878951), // Rule ID 7877 //
     /*  878846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  878857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  878860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  878866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  878869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  878872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  878892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  878896 */     // MIs[1] Operand 1
     /*  878896 */     // No operand predicates
     /*  878896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  878900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  878902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878909 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  878913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  878919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  878923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  878926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  878935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  878941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878949 */     GIR_RootConstrainSelectedInstOperands,
     /*  878950 */     // GIR_Coverage, 7877,
     /*  878950 */     GIR_EraseRootFromParent_Done,
     /*  878951 */   // Label 13311: @878951
     /*  878951 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(879061), // Rule ID 7880 //
     /*  878956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  878964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  878967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  878970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  878973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  878976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  878979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  878982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  878998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879006 */     // MIs[1] Operand 1
     /*  879006 */     // No operand predicates
     /*  879006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879019 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  879036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879059 */     GIR_RootConstrainSelectedInstOperands,
     /*  879060 */     // GIR_Coverage, 7880,
     /*  879060 */     GIR_EraseRootFromParent_Done,
     /*  879061 */   // Label 13312: @879061
     /*  879061 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(879171), // Rule ID 7881 //
     /*  879066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  879077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  879080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  879089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879116 */     // MIs[1] Operand 1
     /*  879116 */     // No operand predicates
     /*  879116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879129 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  879146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879169 */     GIR_RootConstrainSelectedInstOperands,
     /*  879170 */     // GIR_Coverage, 7881,
     /*  879170 */     GIR_EraseRootFromParent_Done,
     /*  879171 */   // Label 13313: @879171
     /*  879171 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(879281), // Rule ID 7884 //
     /*  879176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  879187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  879190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  879199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879226 */     // MIs[1] Operand 1
     /*  879226 */     // No operand predicates
     /*  879226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879239 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  879256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879279 */     GIR_RootConstrainSelectedInstOperands,
     /*  879280 */     // GIR_Coverage, 7884,
     /*  879280 */     GIR_EraseRootFromParent_Done,
     /*  879281 */   // Label 13314: @879281
     /*  879281 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(879391), // Rule ID 7885 //
     /*  879286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  879297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  879300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  879309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879336 */     // MIs[1] Operand 1
     /*  879336 */     // No operand predicates
     /*  879336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879349 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  879366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879389 */     GIR_RootConstrainSelectedInstOperands,
     /*  879390 */     // GIR_Coverage, 7885,
     /*  879390 */     GIR_EraseRootFromParent_Done,
     /*  879391 */   // Label 13315: @879391
     /*  879391 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(879501), // Rule ID 7888 //
     /*  879396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  879407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  879410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  879413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  879419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879446 */     // MIs[1] Operand 1
     /*  879446 */     // No operand predicates
     /*  879446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879459 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  879476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879499 */     GIR_RootConstrainSelectedInstOperands,
     /*  879500 */     // GIR_Coverage, 7888,
     /*  879500 */     GIR_EraseRootFromParent_Done,
     /*  879501 */   // Label 13316: @879501
     /*  879501 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(879611), // Rule ID 7889 //
     /*  879506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  879517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  879520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  879523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  879529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879556 */     // MIs[1] Operand 1
     /*  879556 */     // No operand predicates
     /*  879556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879569 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  879586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879609 */     GIR_RootConstrainSelectedInstOperands,
     /*  879610 */     // GIR_Coverage, 7889,
     /*  879610 */     GIR_EraseRootFromParent_Done,
     /*  879611 */   // Label 13317: @879611
     /*  879611 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(879721), // Rule ID 7892 //
     /*  879616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  879627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  879630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  879639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879666 */     // MIs[1] Operand 1
     /*  879666 */     // No operand predicates
     /*  879666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  879696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879719 */     GIR_RootConstrainSelectedInstOperands,
     /*  879720 */     // GIR_Coverage, 7892,
     /*  879720 */     GIR_EraseRootFromParent_Done,
     /*  879721 */   // Label 13318: @879721
     /*  879721 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(879831), // Rule ID 7893 //
     /*  879726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  879737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  879740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  879749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879776 */     // MIs[1] Operand 1
     /*  879776 */     // No operand predicates
     /*  879776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  879806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879829 */     GIR_RootConstrainSelectedInstOperands,
     /*  879830 */     // GIR_Coverage, 7893,
     /*  879830 */     GIR_EraseRootFromParent_Done,
     /*  879831 */   // Label 13319: @879831
     /*  879831 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(879941), // Rule ID 7896 //
     /*  879836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  879847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  879850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  879856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  879859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  879862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879886 */     // MIs[1] Operand 1
     /*  879886 */     // No operand predicates
     /*  879886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  879890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  879892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  879903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  879909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  879913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  879916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  879925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  879931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879939 */     GIR_RootConstrainSelectedInstOperands,
     /*  879940 */     // GIR_Coverage, 7896,
     /*  879940 */     GIR_EraseRootFromParent_Done,
     /*  879941 */   // Label 13320: @879941
     /*  879941 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(880051), // Rule ID 7897 //
     /*  879946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  879954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  879957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  879960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  879966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  879969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  879972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  879988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  879992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  879996 */     // MIs[1] Operand 1
     /*  879996 */     // No operand predicates
     /*  879996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  880026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880049 */     GIR_RootConstrainSelectedInstOperands,
     /*  880050 */     // GIR_Coverage, 7897,
     /*  880050 */     GIR_EraseRootFromParent_Done,
     /*  880051 */   // Label 13321: @880051
     /*  880051 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(880161), // Rule ID 7900 //
     /*  880056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  880067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  880070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  880079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880106 */     // MIs[1] Operand 1
     /*  880106 */     // No operand predicates
     /*  880106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  880136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880159 */     GIR_RootConstrainSelectedInstOperands,
     /*  880160 */     // GIR_Coverage, 7900,
     /*  880160 */     GIR_EraseRootFromParent_Done,
     /*  880161 */   // Label 13322: @880161
     /*  880161 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(880271), // Rule ID 7901 //
     /*  880166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  880169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  880177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  880180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  880183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  880189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880216 */     // MIs[1] Operand 1
     /*  880216 */     // No operand predicates
     /*  880216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  880246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880269 */     GIR_RootConstrainSelectedInstOperands,
     /*  880270 */     // GIR_Coverage, 7901,
     /*  880270 */     GIR_EraseRootFromParent_Done,
     /*  880271 */   // Label 13323: @880271
     /*  880271 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(880381), // Rule ID 7904 //
     /*  880276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  880287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  880290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  880299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880326 */     // MIs[1] Operand 1
     /*  880326 */     // No operand predicates
     /*  880326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880339 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  880356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880379 */     GIR_RootConstrainSelectedInstOperands,
     /*  880380 */     // GIR_Coverage, 7904,
     /*  880380 */     GIR_EraseRootFromParent_Done,
     /*  880381 */   // Label 13324: @880381
     /*  880381 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(880491), // Rule ID 7905 //
     /*  880386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  880397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  880400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  880409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880436 */     // MIs[1] Operand 1
     /*  880436 */     // No operand predicates
     /*  880436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  880466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880489 */     GIR_RootConstrainSelectedInstOperands,
     /*  880490 */     // GIR_Coverage, 7905,
     /*  880490 */     GIR_EraseRootFromParent_Done,
     /*  880491 */   // Label 13325: @880491
     /*  880491 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(880601), // Rule ID 7908 //
     /*  880496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  880507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  880510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  880519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880546 */     // MIs[1] Operand 1
     /*  880546 */     // No operand predicates
     /*  880546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880559 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  880576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880599 */     GIR_RootConstrainSelectedInstOperands,
     /*  880600 */     // GIR_Coverage, 7908,
     /*  880600 */     GIR_EraseRootFromParent_Done,
     /*  880601 */   // Label 13326: @880601
     /*  880601 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(880711), // Rule ID 7909 //
     /*  880606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  880617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  880620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  880629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880656 */     // MIs[1] Operand 1
     /*  880656 */     // No operand predicates
     /*  880656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  880686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880709 */     GIR_RootConstrainSelectedInstOperands,
     /*  880710 */     // GIR_Coverage, 7909,
     /*  880710 */     GIR_EraseRootFromParent_Done,
     /*  880711 */   // Label 13327: @880711
     /*  880711 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(880821), // Rule ID 7912 //
     /*  880716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  880727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  880730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  880739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880766 */     // MIs[1] Operand 1
     /*  880766 */     // No operand predicates
     /*  880766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880779 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  880796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880819 */     GIR_RootConstrainSelectedInstOperands,
     /*  880820 */     // GIR_Coverage, 7912,
     /*  880820 */     GIR_EraseRootFromParent_Done,
     /*  880821 */   // Label 13328: @880821
     /*  880821 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(880931), // Rule ID 7913 //
     /*  880826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  880834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  880837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  880840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  880846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  880849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  880852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880876 */     // MIs[1] Operand 1
     /*  880876 */     // No operand predicates
     /*  880876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880889 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  880893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  880899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  880903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  880906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  880915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  880921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880929 */     GIR_RootConstrainSelectedInstOperands,
     /*  880930 */     // GIR_Coverage, 7913,
     /*  880930 */     GIR_EraseRootFromParent_Done,
     /*  880931 */   // Label 13329: @880931
     /*  880931 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(881041), // Rule ID 8092 //
     /*  880936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  880939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  880944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  880947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  880950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  880953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  880956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  880959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  880962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  880978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  880982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  880986 */     // MIs[1] Operand 1
     /*  880986 */     // No operand predicates
     /*  880986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  880990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  880992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880999 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  880999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  881016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881039 */     GIR_RootConstrainSelectedInstOperands,
     /*  881040 */     // GIR_Coverage, 8092,
     /*  881040 */     GIR_EraseRootFromParent_Done,
     /*  881041 */   // Label 13330: @881041
     /*  881041 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(881151), // Rule ID 8093 //
     /*  881046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  881060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  881063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  881069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881096 */     // MIs[1] Operand 1
     /*  881096 */     // No operand predicates
     /*  881096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881109 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  881126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881149 */     GIR_RootConstrainSelectedInstOperands,
     /*  881150 */     // GIR_Coverage, 8093,
     /*  881150 */     GIR_EraseRootFromParent_Done,
     /*  881151 */   // Label 13331: @881151
     /*  881151 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(881261), // Rule ID 8096 //
     /*  881156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881206 */     // MIs[1] Operand 1
     /*  881206 */     // No operand predicates
     /*  881206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881219 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  881219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  881236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881259 */     GIR_RootConstrainSelectedInstOperands,
     /*  881260 */     // GIR_Coverage, 8096,
     /*  881260 */     GIR_EraseRootFromParent_Done,
     /*  881261 */   // Label 13332: @881261
     /*  881261 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(881371), // Rule ID 8097 //
     /*  881266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  881283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881316 */     // MIs[1] Operand 1
     /*  881316 */     // No operand predicates
     /*  881316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  881346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881369 */     GIR_RootConstrainSelectedInstOperands,
     /*  881370 */     // GIR_Coverage, 8097,
     /*  881370 */     GIR_EraseRootFromParent_Done,
     /*  881371 */   // Label 13333: @881371
     /*  881371 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(881481), // Rule ID 8100 //
     /*  881376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881426 */     // MIs[1] Operand 1
     /*  881426 */     // No operand predicates
     /*  881426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881439 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  881439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  881456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881479 */     GIR_RootConstrainSelectedInstOperands,
     /*  881480 */     // GIR_Coverage, 8100,
     /*  881480 */     GIR_EraseRootFromParent_Done,
     /*  881481 */   // Label 13334: @881481
     /*  881481 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(881591), // Rule ID 8101 //
     /*  881486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  881497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  881500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  881503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  881509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881536 */     // MIs[1] Operand 1
     /*  881536 */     // No operand predicates
     /*  881536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881549 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  881549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  881566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  881589 */     GIR_RootConstrainSelectedInstOperands,
     /*  881590 */     // GIR_Coverage, 8101,
     /*  881590 */     GIR_EraseRootFromParent_Done,
     /*  881591 */   // Label 13335: @881591
     /*  881591 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(881701), // Rule ID 8104 //
     /*  881596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  881610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  881619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881646 */     // MIs[1] Operand 1
     /*  881646 */     // No operand predicates
     /*  881646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881659 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  881676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881699 */     GIR_RootConstrainSelectedInstOperands,
     /*  881700 */     // GIR_Coverage, 8104,
     /*  881700 */     GIR_EraseRootFromParent_Done,
     /*  881701 */   // Label 13336: @881701
     /*  881701 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(881811), // Rule ID 8105 //
     /*  881706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  881717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  881720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  881723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  881729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881756 */     // MIs[1] Operand 1
     /*  881756 */     // No operand predicates
     /*  881756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  881786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881809 */     GIR_RootConstrainSelectedInstOperands,
     /*  881810 */     // GIR_Coverage, 8105,
     /*  881810 */     GIR_EraseRootFromParent_Done,
     /*  881811 */   // Label 13337: @881811
     /*  881811 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(881921), // Rule ID 8108 //
     /*  881816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  881819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  881836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  881842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881866 */     // MIs[1] Operand 1
     /*  881866 */     // No operand predicates
     /*  881866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881879 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  881893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  881896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  881905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  881911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881919 */     GIR_RootConstrainSelectedInstOperands,
     /*  881920 */     // GIR_Coverage, 8108,
     /*  881920 */     GIR_EraseRootFromParent_Done,
     /*  881921 */   // Label 13338: @881921
     /*  881921 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(882031), // Rule ID 8109 //
     /*  881926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  881929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  881934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  881937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  881940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  881943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  881946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  881949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  881952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  881968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  881972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  881976 */     // MIs[1] Operand 1
     /*  881976 */     // No operand predicates
     /*  881976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  881980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  881982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881989 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  881993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  881999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  882006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882029 */     GIR_RootConstrainSelectedInstOperands,
     /*  882030 */     // GIR_Coverage, 8109,
     /*  882030 */     GIR_EraseRootFromParent_Done,
     /*  882031 */   // Label 13339: @882031
     /*  882031 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(882141), // Rule ID 8112 //
     /*  882036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882086 */     // MIs[1] Operand 1
     /*  882086 */     // No operand predicates
     /*  882086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  882099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  882116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882139 */     GIR_RootConstrainSelectedInstOperands,
     /*  882140 */     // GIR_Coverage, 8112,
     /*  882140 */     GIR_EraseRootFromParent_Done,
     /*  882141 */   // Label 13340: @882141
     /*  882141 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(882251), // Rule ID 8113 //
     /*  882146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882196 */     // MIs[1] Operand 1
     /*  882196 */     // No operand predicates
     /*  882196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882209 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  882209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  882226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882249 */     GIR_RootConstrainSelectedInstOperands,
     /*  882250 */     // GIR_Coverage, 8113,
     /*  882250 */     GIR_EraseRootFromParent_Done,
     /*  882251 */   // Label 13341: @882251
     /*  882251 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(882361), // Rule ID 8116 //
     /*  882256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  882267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  882270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  882279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882306 */     // MIs[1] Operand 1
     /*  882306 */     // No operand predicates
     /*  882306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882319 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  882319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882359 */     GIR_RootConstrainSelectedInstOperands,
     /*  882360 */     // GIR_Coverage, 8116,
     /*  882360 */     GIR_EraseRootFromParent_Done,
     /*  882361 */   // Label 13342: @882361
     /*  882361 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(882471), // Rule ID 8117 //
     /*  882366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  882377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  882380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  882383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  882389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882416 */     // MIs[1] Operand 1
     /*  882416 */     // No operand predicates
     /*  882416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882429 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  882429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882469 */     GIR_RootConstrainSelectedInstOperands,
     /*  882470 */     // GIR_Coverage, 8117,
     /*  882470 */     GIR_EraseRootFromParent_Done,
     /*  882471 */   // Label 13343: @882471
     /*  882471 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(882581), // Rule ID 8120 //
     /*  882476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  882487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  882490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  882499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882526 */     // MIs[1] Operand 1
     /*  882526 */     // No operand predicates
     /*  882526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882539 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  882539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882579 */     GIR_RootConstrainSelectedInstOperands,
     /*  882580 */     // GIR_Coverage, 8120,
     /*  882580 */     GIR_EraseRootFromParent_Done,
     /*  882581 */   // Label 13344: @882581
     /*  882581 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(882691), // Rule ID 8121 //
     /*  882586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  882597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  882600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  882603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  882609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882636 */     // MIs[1] Operand 1
     /*  882636 */     // No operand predicates
     /*  882636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882649 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  882649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  882689 */     GIR_RootConstrainSelectedInstOperands,
     /*  882690 */     // GIR_Coverage, 8121,
     /*  882690 */     GIR_EraseRootFromParent_Done,
     /*  882691 */   // Label 13345: @882691
     /*  882691 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(882801), // Rule ID 8124 //
     /*  882696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  882699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  882707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  882710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  882719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882746 */     // MIs[1] Operand 1
     /*  882746 */     // No operand predicates
     /*  882746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  882759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882799 */     GIR_RootConstrainSelectedInstOperands,
     /*  882800 */     // GIR_Coverage, 8124,
     /*  882800 */     GIR_EraseRootFromParent_Done,
     /*  882801 */   // Label 13346: @882801
     /*  882801 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(882911), // Rule ID 8125 //
     /*  882806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  882809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  882817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  882820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  882823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  882826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  882829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  882832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882856 */     // MIs[1] Operand 1
     /*  882856 */     // No operand predicates
     /*  882856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882869 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  882869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  882895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  882901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882909 */     GIR_RootConstrainSelectedInstOperands,
     /*  882910 */     // GIR_Coverage, 8125,
     /*  882910 */     GIR_EraseRootFromParent_Done,
     /*  882911 */   // Label 13347: @882911
     /*  882911 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(883021), // Rule ID 8128 //
     /*  882916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  882919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  882924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  882927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  882930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  882933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  882936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  882939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  882942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  882958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  882962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  882966 */     // MIs[1] Operand 1
     /*  882966 */     // No operand predicates
     /*  882966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  882970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  882972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  882979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  882983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  882989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  882993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  882996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883019 */     GIR_RootConstrainSelectedInstOperands,
     /*  883020 */     // GIR_Coverage, 8128,
     /*  883020 */     GIR_EraseRootFromParent_Done,
     /*  883021 */   // Label 13348: @883021
     /*  883021 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(883131), // Rule ID 8129 //
     /*  883026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  883029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  883037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  883040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  883043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  883049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883076 */     // MIs[1] Operand 1
     /*  883076 */     // No operand predicates
     /*  883076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883089 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  883089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  883106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  883129 */     GIR_RootConstrainSelectedInstOperands,
     /*  883130 */     // GIR_Coverage, 8129,
     /*  883130 */     GIR_EraseRootFromParent_Done,
     /*  883131 */   // Label 13349: @883131
     /*  883131 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(883241), // Rule ID 8132 //
     /*  883136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  883147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  883150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  883159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883186 */     // MIs[1] Operand 1
     /*  883186 */     // No operand predicates
     /*  883186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883199 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  883216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883239 */     GIR_RootConstrainSelectedInstOperands,
     /*  883240 */     // GIR_Coverage, 8132,
     /*  883240 */     GIR_EraseRootFromParent_Done,
     /*  883241 */   // Label 13350: @883241
     /*  883241 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(883351), // Rule ID 8133 //
     /*  883246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  883257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  883260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  883269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883296 */     // MIs[1] Operand 1
     /*  883296 */     // No operand predicates
     /*  883296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  883326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883349 */     GIR_RootConstrainSelectedInstOperands,
     /*  883350 */     // GIR_Coverage, 8133,
     /*  883350 */     GIR_EraseRootFromParent_Done,
     /*  883351 */   // Label 13351: @883351
     /*  883351 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(883461), // Rule ID 8136 //
     /*  883356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  883367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  883370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  883379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883406 */     // MIs[1] Operand 1
     /*  883406 */     // No operand predicates
     /*  883406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883419 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  883436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883459 */     GIR_RootConstrainSelectedInstOperands,
     /*  883460 */     // GIR_Coverage, 8136,
     /*  883460 */     GIR_EraseRootFromParent_Done,
     /*  883461 */   // Label 13352: @883461
     /*  883461 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(883571), // Rule ID 8137 //
     /*  883466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  883477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  883480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  883489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883516 */     // MIs[1] Operand 1
     /*  883516 */     // No operand predicates
     /*  883516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883529 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  883546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883569 */     GIR_RootConstrainSelectedInstOperands,
     /*  883570 */     // GIR_Coverage, 8137,
     /*  883570 */     GIR_EraseRootFromParent_Done,
     /*  883571 */   // Label 13353: @883571
     /*  883571 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(883681), // Rule ID 8140 //
     /*  883576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  883587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  883590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  883599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883626 */     // MIs[1] Operand 1
     /*  883626 */     // No operand predicates
     /*  883626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883639 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  883639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  883656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883679 */     GIR_RootConstrainSelectedInstOperands,
     /*  883680 */     // GIR_Coverage, 8140,
     /*  883680 */     GIR_EraseRootFromParent_Done,
     /*  883681 */   // Label 13354: @883681
     /*  883681 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(883791), // Rule ID 8141 //
     /*  883686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  883697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  883700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  883703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  883709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883736 */     // MIs[1] Operand 1
     /*  883736 */     // No operand predicates
     /*  883736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883749 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  883749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  883766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883789 */     GIR_RootConstrainSelectedInstOperands,
     /*  883790 */     // GIR_Coverage, 8141,
     /*  883790 */     GIR_EraseRootFromParent_Done,
     /*  883791 */   // Label 13355: @883791
     /*  883791 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(883901), // Rule ID 8144 //
     /*  883796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  883799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  883807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  883810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  883816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  883819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  883822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883846 */     // MIs[1] Operand 1
     /*  883846 */     // No operand predicates
     /*  883846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883859 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  883859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  883876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  883891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883899 */     GIR_RootConstrainSelectedInstOperands,
     /*  883900 */     // GIR_Coverage, 8144,
     /*  883900 */     GIR_EraseRootFromParent_Done,
     /*  883901 */   // Label 13356: @883901
     /*  883901 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(884011), // Rule ID 8145 //
     /*  883906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  883909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  883914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  883917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  883920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  883923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  883926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  883929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  883932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  883948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  883952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  883956 */     // MIs[1] Operand 1
     /*  883956 */     // No operand predicates
     /*  883956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  883960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  883962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883969 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  883969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  883973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  883979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  883983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  883986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  883995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884009 */     GIR_RootConstrainSelectedInstOperands,
     /*  884010 */     // GIR_Coverage, 8145,
     /*  884010 */     GIR_EraseRootFromParent_Done,
     /*  884011 */   // Label 13357: @884011
     /*  884011 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(884121), // Rule ID 8148 //
     /*  884016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884066 */     // MIs[1] Operand 1
     /*  884066 */     // No operand predicates
     /*  884066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884079 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  884079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  884096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884119 */     GIR_RootConstrainSelectedInstOperands,
     /*  884120 */     // GIR_Coverage, 8148,
     /*  884120 */     GIR_EraseRootFromParent_Done,
     /*  884121 */   // Label 13358: @884121
     /*  884121 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(884231), // Rule ID 8149 //
     /*  884126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884176 */     // MIs[1] Operand 1
     /*  884176 */     // No operand predicates
     /*  884176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884189 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  884189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  884206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884229 */     GIR_RootConstrainSelectedInstOperands,
     /*  884230 */     // GIR_Coverage, 8149,
     /*  884230 */     GIR_EraseRootFromParent_Done,
     /*  884231 */   // Label 13359: @884231
     /*  884231 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(884341), // Rule ID 8152 //
     /*  884236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  884247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  884250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  884253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  884259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884286 */     // MIs[1] Operand 1
     /*  884286 */     // No operand predicates
     /*  884286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884299 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  884299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  884316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884339 */     GIR_RootConstrainSelectedInstOperands,
     /*  884340 */     // GIR_Coverage, 8152,
     /*  884340 */     GIR_EraseRootFromParent_Done,
     /*  884341 */   // Label 13360: @884341
     /*  884341 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(884451), // Rule ID 8153 //
     /*  884346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  884357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  884360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  884363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  884369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884396 */     // MIs[1] Operand 1
     /*  884396 */     // No operand predicates
     /*  884396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  884409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  884426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884449 */     GIR_RootConstrainSelectedInstOperands,
     /*  884450 */     // GIR_Coverage, 8153,
     /*  884450 */     GIR_EraseRootFromParent_Done,
     /*  884451 */   // Label 13361: @884451
     /*  884451 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(884561), // Rule ID 8156 //
     /*  884456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  884467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  884470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  884479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884506 */     // MIs[1] Operand 1
     /*  884506 */     // No operand predicates
     /*  884506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884519 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  884536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884559 */     GIR_RootConstrainSelectedInstOperands,
     /*  884560 */     // GIR_Coverage, 8156,
     /*  884560 */     GIR_EraseRootFromParent_Done,
     /*  884561 */   // Label 13362: @884561
     /*  884561 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(884671), // Rule ID 8157 //
     /*  884566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  884577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  884580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  884589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884616 */     // MIs[1] Operand 1
     /*  884616 */     // No operand predicates
     /*  884616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884629 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  884629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  884646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884669 */     GIR_RootConstrainSelectedInstOperands,
     /*  884670 */     // GIR_Coverage, 8157,
     /*  884670 */     GIR_EraseRootFromParent_Done,
     /*  884671 */   // Label 13363: @884671
     /*  884671 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(884781), // Rule ID 8160 //
     /*  884676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  884687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  884690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  884699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884726 */     // MIs[1] Operand 1
     /*  884726 */     // No operand predicates
     /*  884726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884739 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  884756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884779 */     GIR_RootConstrainSelectedInstOperands,
     /*  884780 */     // GIR_Coverage, 8160,
     /*  884780 */     GIR_EraseRootFromParent_Done,
     /*  884781 */   // Label 13364: @884781
     /*  884781 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(884891), // Rule ID 8161 //
     /*  884786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  884789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  884797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  884800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  884806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  884809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  884812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884836 */     // MIs[1] Operand 1
     /*  884836 */     // No operand predicates
     /*  884836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884849 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  884849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  884866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884889 */     GIR_RootConstrainSelectedInstOperands,
     /*  884890 */     // GIR_Coverage, 8161,
     /*  884890 */     GIR_EraseRootFromParent_Done,
     /*  884891 */   // Label 13365: @884891
     /*  884891 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(885001), // Rule ID 8164 //
     /*  884896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  884899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  884904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  884907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  884910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  884913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  884919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  884922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  884938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  884942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  884946 */     // MIs[1] Operand 1
     /*  884946 */     // No operand predicates
     /*  884946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  884950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  884952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  884959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  884963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  884969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  884973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  884976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  884985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  884991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884999 */     GIR_RootConstrainSelectedInstOperands,
     /*  885000 */     // GIR_Coverage, 8164,
     /*  885000 */     GIR_EraseRootFromParent_Done,
     /*  885001 */   // Label 13366: @885001
     /*  885001 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(885111), // Rule ID 8165 //
     /*  885006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  885009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  885017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  885020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  885023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  885029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885056 */     // MIs[1] Operand 1
     /*  885056 */     // No operand predicates
     /*  885056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885069 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  885069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  885086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  885109 */     GIR_RootConstrainSelectedInstOperands,
     /*  885110 */     // GIR_Coverage, 8165,
     /*  885110 */     GIR_EraseRootFromParent_Done,
     /*  885111 */   // Label 13367: @885111
     /*  885111 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(885221), // Rule ID 8168 //
     /*  885116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  885119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  885127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  885130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  885133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  885139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885166 */     // MIs[1] Operand 1
     /*  885166 */     // No operand predicates
     /*  885166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  885179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  885196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885219 */     GIR_RootConstrainSelectedInstOperands,
     /*  885220 */     // GIR_Coverage, 8168,
     /*  885220 */     GIR_EraseRootFromParent_Done,
     /*  885221 */   // Label 13368: @885221
     /*  885221 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(885331), // Rule ID 8169 //
     /*  885226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  885237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  885240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  885243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  885249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885276 */     // MIs[1] Operand 1
     /*  885276 */     // No operand predicates
     /*  885276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885289 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  885306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885329 */     GIR_RootConstrainSelectedInstOperands,
     /*  885330 */     // GIR_Coverage, 8169,
     /*  885330 */     GIR_EraseRootFromParent_Done,
     /*  885331 */   // Label 13369: @885331
     /*  885331 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(885441), // Rule ID 8172 //
     /*  885336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  885339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885386 */     // MIs[1] Operand 1
     /*  885386 */     // No operand predicates
     /*  885386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885399 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  885399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  885416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885439 */     GIR_RootConstrainSelectedInstOperands,
     /*  885440 */     // GIR_Coverage, 8172,
     /*  885440 */     GIR_EraseRootFromParent_Done,
     /*  885441 */   // Label 13370: @885441
     /*  885441 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(885551), // Rule ID 8173 //
     /*  885446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  885457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  885460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  885463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  885469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885496 */     // MIs[1] Operand 1
     /*  885496 */     // No operand predicates
     /*  885496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885509 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  885526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885549 */     GIR_RootConstrainSelectedInstOperands,
     /*  885550 */     // GIR_Coverage, 8173,
     /*  885550 */     GIR_EraseRootFromParent_Done,
     /*  885551 */   // Label 13371: @885551
     /*  885551 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(885661), // Rule ID 8176 //
     /*  885556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  885559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  885567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  885570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  885579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885606 */     // MIs[1] Operand 1
     /*  885606 */     // No operand predicates
     /*  885606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885619 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  885619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  885636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885659 */     GIR_RootConstrainSelectedInstOperands,
     /*  885660 */     // GIR_Coverage, 8176,
     /*  885660 */     GIR_EraseRootFromParent_Done,
     /*  885661 */   // Label 13372: @885661
     /*  885661 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(885771), // Rule ID 8177 //
     /*  885666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  885669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  885674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  885677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  885680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  885683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  885689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885716 */     // MIs[1] Operand 1
     /*  885716 */     // No operand predicates
     /*  885716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885729 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  885729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  885746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  885769 */     GIR_RootConstrainSelectedInstOperands,
     /*  885770 */     // GIR_Coverage, 8177,
     /*  885770 */     GIR_EraseRootFromParent_Done,
     /*  885771 */   // Label 13373: @885771
     /*  885771 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(885881), // Rule ID 8708 //
     /*  885776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  885779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  885784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  885787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  885790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  885799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  885802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885826 */     // MIs[1] Operand 1
     /*  885826 */     // No operand predicates
     /*  885826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885839 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  885839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  885856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885879 */     GIR_RootConstrainSelectedInstOperands,
     /*  885880 */     // GIR_Coverage, 8708,
     /*  885880 */     GIR_EraseRootFromParent_Done,
     /*  885881 */   // Label 13374: @885881
     /*  885881 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(885991), // Rule ID 8709 //
     /*  885886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  885889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  885894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  885897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  885900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  885909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  885912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  885928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  885932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  885936 */     // MIs[1] Operand 1
     /*  885936 */     // No operand predicates
     /*  885936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  885940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  885942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885949 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  885949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  885953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  885959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  885963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  885966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  885975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  885981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885989 */     GIR_RootConstrainSelectedInstOperands,
     /*  885990 */     // GIR_Coverage, 8709,
     /*  885990 */     GIR_EraseRootFromParent_Done,
     /*  885991 */   // Label 13375: @885991
     /*  885991 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(886101), // Rule ID 8712 //
     /*  885996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  885999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  886013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886046 */     // MIs[1] Operand 1
     /*  886046 */     // No operand predicates
     /*  886046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886059 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  886059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  886076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886099 */     GIR_RootConstrainSelectedInstOperands,
     /*  886100 */     // GIR_Coverage, 8712,
     /*  886100 */     GIR_EraseRootFromParent_Done,
     /*  886101 */   // Label 13376: @886101
     /*  886101 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(886211), // Rule ID 8713 //
     /*  886106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  886123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886156 */     // MIs[1] Operand 1
     /*  886156 */     // No operand predicates
     /*  886156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886169 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  886169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  886186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886209 */     GIR_RootConstrainSelectedInstOperands,
     /*  886210 */     // GIR_Coverage, 8713,
     /*  886210 */     GIR_EraseRootFromParent_Done,
     /*  886211 */   // Label 13377: @886211
     /*  886211 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(886321), // Rule ID 8716 //
     /*  886216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  886227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  886230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  886233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  886239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886266 */     // MIs[1] Operand 1
     /*  886266 */     // No operand predicates
     /*  886266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  886279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  886296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886319 */     GIR_RootConstrainSelectedInstOperands,
     /*  886320 */     // GIR_Coverage, 8716,
     /*  886320 */     GIR_EraseRootFromParent_Done,
     /*  886321 */   // Label 13378: @886321
     /*  886321 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(886431), // Rule ID 8717 //
     /*  886326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  886337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  886340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  886343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  886349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886376 */     // MIs[1] Operand 1
     /*  886376 */     // No operand predicates
     /*  886376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  886389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  886406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  886429 */     GIR_RootConstrainSelectedInstOperands,
     /*  886430 */     // GIR_Coverage, 8717,
     /*  886430 */     GIR_EraseRootFromParent_Done,
     /*  886431 */   // Label 13379: @886431
     /*  886431 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(886541), // Rule ID 8720 //
     /*  886436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886486 */     // MIs[1] Operand 1
     /*  886486 */     // No operand predicates
     /*  886486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  886499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  886516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886539 */     GIR_RootConstrainSelectedInstOperands,
     /*  886540 */     // GIR_Coverage, 8720,
     /*  886540 */     GIR_EraseRootFromParent_Done,
     /*  886541 */   // Label 13380: @886541
     /*  886541 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(886651), // Rule ID 8721 //
     /*  886546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  886563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886596 */     // MIs[1] Operand 1
     /*  886596 */     // No operand predicates
     /*  886596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  886609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  886626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886649 */     GIR_RootConstrainSelectedInstOperands,
     /*  886650 */     // GIR_Coverage, 8721,
     /*  886650 */     GIR_EraseRootFromParent_Done,
     /*  886651 */   // Label 13381: @886651
     /*  886651 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(886761), // Rule ID 8724 //
     /*  886656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886706 */     // MIs[1] Operand 1
     /*  886706 */     // No operand predicates
     /*  886706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  886719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  886736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886759 */     GIR_RootConstrainSelectedInstOperands,
     /*  886760 */     // GIR_Coverage, 8724,
     /*  886760 */     GIR_EraseRootFromParent_Done,
     /*  886761 */   // Label 13382: @886761
     /*  886761 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(886871), // Rule ID 8725 //
     /*  886766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  886777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  886780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  886789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  886792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886816 */     // MIs[1] Operand 1
     /*  886816 */     // No operand predicates
     /*  886816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  886829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  886846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886869 */     GIR_RootConstrainSelectedInstOperands,
     /*  886870 */     // GIR_Coverage, 8725,
     /*  886870 */     GIR_EraseRootFromParent_Done,
     /*  886871 */   // Label 13383: @886871
     /*  886871 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(886981), // Rule ID 8728 //
     /*  886876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  886879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  886890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  886899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  886902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  886918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  886922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  886926 */     // MIs[1] Operand 1
     /*  886926 */     // No operand predicates
     /*  886926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  886930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  886932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886939 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  886939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  886943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  886949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  886953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  886956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  886965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  886971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886979 */     GIR_RootConstrainSelectedInstOperands,
     /*  886980 */     // GIR_Coverage, 8728,
     /*  886980 */     GIR_EraseRootFromParent_Done,
     /*  886981 */   // Label 13384: @886981
     /*  886981 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(887091), // Rule ID 8729 //
     /*  886986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  886989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  886994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  886997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  887000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  887003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  887009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887036 */     // MIs[1] Operand 1
     /*  887036 */     // No operand predicates
     /*  887036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887049 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  887049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  887066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887089 */     GIR_RootConstrainSelectedInstOperands,
     /*  887090 */     // GIR_Coverage, 8729,
     /*  887090 */     GIR_EraseRootFromParent_Done,
     /*  887091 */   // Label 13385: @887091
     /*  887091 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(887201), // Rule ID 8732 //
     /*  887096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  887107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  887110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  887113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  887119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887146 */     // MIs[1] Operand 1
     /*  887146 */     // No operand predicates
     /*  887146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887159 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  887159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887199 */     GIR_RootConstrainSelectedInstOperands,
     /*  887200 */     // GIR_Coverage, 8732,
     /*  887200 */     GIR_EraseRootFromParent_Done,
     /*  887201 */   // Label 13386: @887201
     /*  887201 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(887311), // Rule ID 8733 //
     /*  887206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  887217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  887220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  887223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  887229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887256 */     // MIs[1] Operand 1
     /*  887256 */     // No operand predicates
     /*  887256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887269 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  887269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  887309 */     GIR_RootConstrainSelectedInstOperands,
     /*  887310 */     // GIR_Coverage, 8733,
     /*  887310 */     GIR_EraseRootFromParent_Done,
     /*  887311 */   // Label 13387: @887311
     /*  887311 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(887421), // Rule ID 8736 //
     /*  887316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  887327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  887330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  887333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  887339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887366 */     // MIs[1] Operand 1
     /*  887366 */     // No operand predicates
     /*  887366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  887379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887419 */     GIR_RootConstrainSelectedInstOperands,
     /*  887420 */     // GIR_Coverage, 8736,
     /*  887420 */     GIR_EraseRootFromParent_Done,
     /*  887421 */   // Label 13388: @887421
     /*  887421 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(887531), // Rule ID 8737 //
     /*  887426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  887437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  887440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  887443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  887449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887476 */     // MIs[1] Operand 1
     /*  887476 */     // No operand predicates
     /*  887476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  887489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  887529 */     GIR_RootConstrainSelectedInstOperands,
     /*  887530 */     // GIR_Coverage, 8737,
     /*  887530 */     GIR_EraseRootFromParent_Done,
     /*  887531 */   // Label 13389: @887531
     /*  887531 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(887641), // Rule ID 8740 //
     /*  887536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  887547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  887550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  887553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  887559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887586 */     // MIs[1] Operand 1
     /*  887586 */     // No operand predicates
     /*  887586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887599 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  887599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887639 */     GIR_RootConstrainSelectedInstOperands,
     /*  887640 */     // GIR_Coverage, 8740,
     /*  887640 */     GIR_EraseRootFromParent_Done,
     /*  887641 */   // Label 13390: @887641
     /*  887641 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(887751), // Rule ID 8741 //
     /*  887646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  887649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  887657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  887660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  887663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  887669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887696 */     // MIs[1] Operand 1
     /*  887696 */     // No operand predicates
     /*  887696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887709 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  887709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887749 */     GIR_RootConstrainSelectedInstOperands,
     /*  887750 */     // GIR_Coverage, 8741,
     /*  887750 */     GIR_EraseRootFromParent_Done,
     /*  887751 */   // Label 13391: @887751
     /*  887751 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(887861), // Rule ID 8744 //
     /*  887756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  887759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  887767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  887770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  887779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  887782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887806 */     // MIs[1] Operand 1
     /*  887806 */     // No operand predicates
     /*  887806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887819 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  887819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887859 */     GIR_RootConstrainSelectedInstOperands,
     /*  887860 */     // GIR_Coverage, 8744,
     /*  887860 */     GIR_EraseRootFromParent_Done,
     /*  887861 */   // Label 13392: @887861
     /*  887861 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(887971), // Rule ID 8745 //
     /*  887866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  887869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  887877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  887880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  887889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  887892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  887908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  887912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  887916 */     // MIs[1] Operand 1
     /*  887916 */     // No operand predicates
     /*  887916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  887920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  887922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887929 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  887929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  887933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  887939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  887943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  887946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  887955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  887961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887969 */     GIR_RootConstrainSelectedInstOperands,
     /*  887970 */     // GIR_Coverage, 8745,
     /*  887970 */     GIR_EraseRootFromParent_Done,
     /*  887971 */   // Label 13393: @887971
     /*  887971 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(888081), // Rule ID 8748 //
     /*  887976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  887979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  887984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  887987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  887990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  887993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  887999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888026 */     // MIs[1] Operand 1
     /*  888026 */     // No operand predicates
     /*  888026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888039 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  888039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  888056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888079 */     GIR_RootConstrainSelectedInstOperands,
     /*  888080 */     // GIR_Coverage, 8748,
     /*  888080 */     GIR_EraseRootFromParent_Done,
     /*  888081 */   // Label 13394: @888081
     /*  888081 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(888191), // Rule ID 8749 //
     /*  888086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  888103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888136 */     // MIs[1] Operand 1
     /*  888136 */     // No operand predicates
     /*  888136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888149 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  888149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  888166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888189 */     GIR_RootConstrainSelectedInstOperands,
     /*  888190 */     // GIR_Coverage, 8749,
     /*  888190 */     GIR_EraseRootFromParent_Done,
     /*  888191 */   // Label 13395: @888191
     /*  888191 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(888301), // Rule ID 8752 //
     /*  888196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  888207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  888210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  888213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  888219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888246 */     // MIs[1] Operand 1
     /*  888246 */     // No operand predicates
     /*  888246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888259 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  888259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  888276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888299 */     GIR_RootConstrainSelectedInstOperands,
     /*  888300 */     // GIR_Coverage, 8752,
     /*  888300 */     GIR_EraseRootFromParent_Done,
     /*  888301 */   // Label 13396: @888301
     /*  888301 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(888411), // Rule ID 8753 //
     /*  888306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  888317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  888320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  888323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  888329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888356 */     // MIs[1] Operand 1
     /*  888356 */     // No operand predicates
     /*  888356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888369 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  888369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  888386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888409 */     GIR_RootConstrainSelectedInstOperands,
     /*  888410 */     // GIR_Coverage, 8753,
     /*  888410 */     GIR_EraseRootFromParent_Done,
     /*  888411 */   // Label 13397: @888411
     /*  888411 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(888521), // Rule ID 8756 //
     /*  888416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  888427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  888430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  888433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  888439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888466 */     // MIs[1] Operand 1
     /*  888466 */     // No operand predicates
     /*  888466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888479 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  888479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  888496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888519 */     GIR_RootConstrainSelectedInstOperands,
     /*  888520 */     // GIR_Coverage, 8756,
     /*  888520 */     GIR_EraseRootFromParent_Done,
     /*  888521 */   // Label 13398: @888521
     /*  888521 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(888631), // Rule ID 8757 //
     /*  888526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  888537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  888540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  888543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  888549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888576 */     // MIs[1] Operand 1
     /*  888576 */     // No operand predicates
     /*  888576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888589 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  888589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  888606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  888629 */     GIR_RootConstrainSelectedInstOperands,
     /*  888630 */     // GIR_Coverage, 8757,
     /*  888630 */     GIR_EraseRootFromParent_Done,
     /*  888631 */   // Label 13399: @888631
     /*  888631 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(888741), // Rule ID 8760 //
     /*  888636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  888647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  888650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  888653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  888659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888686 */     // MIs[1] Operand 1
     /*  888686 */     // No operand predicates
     /*  888686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888699 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  888699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  888716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888739 */     GIR_RootConstrainSelectedInstOperands,
     /*  888740 */     // GIR_Coverage, 8760,
     /*  888740 */     GIR_EraseRootFromParent_Done,
     /*  888741 */   // Label 13400: @888741
     /*  888741 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(888851), // Rule ID 8761 //
     /*  888746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  888757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  888760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  888763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  888769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888796 */     // MIs[1] Operand 1
     /*  888796 */     // No operand predicates
     /*  888796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888809 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  888809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  888826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888849 */     GIR_RootConstrainSelectedInstOperands,
     /*  888850 */     // GIR_Coverage, 8761,
     /*  888850 */     GIR_EraseRootFromParent_Done,
     /*  888851 */   // Label 13401: @888851
     /*  888851 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(888961), // Rule ID 8764 //
     /*  888856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  888859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  888882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  888898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  888902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  888906 */     // MIs[1] Operand 1
     /*  888906 */     // No operand predicates
     /*  888906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  888910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  888912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888919 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  888919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  888923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  888929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  888933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  888936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  888945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  888951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  888959 */     GIR_RootConstrainSelectedInstOperands,
     /*  888960 */     // GIR_Coverage, 8764,
     /*  888960 */     GIR_EraseRootFromParent_Done,
     /*  888961 */   // Label 13402: @888961
     /*  888961 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(889071), // Rule ID 8765 //
     /*  888966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  888969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  888974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  888977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  888980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  888983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  888989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  888992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889016 */     // MIs[1] Operand 1
     /*  889016 */     // No operand predicates
     /*  889016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889029 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  889029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  889046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889069 */     GIR_RootConstrainSelectedInstOperands,
     /*  889070 */     // GIR_Coverage, 8765,
     /*  889070 */     GIR_EraseRootFromParent_Done,
     /*  889071 */   // Label 13403: @889071
     /*  889071 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(889181), // Rule ID 8768 //
     /*  889076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  889087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  889090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  889099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889126 */     // MIs[1] Operand 1
     /*  889126 */     // No operand predicates
     /*  889126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889139 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  889139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  889156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889179 */     GIR_RootConstrainSelectedInstOperands,
     /*  889180 */     // GIR_Coverage, 8768,
     /*  889180 */     GIR_EraseRootFromParent_Done,
     /*  889181 */   // Label 13404: @889181
     /*  889181 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(889291), // Rule ID 8769 //
     /*  889186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  889197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  889200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  889203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  889209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889236 */     // MIs[1] Operand 1
     /*  889236 */     // No operand predicates
     /*  889236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889249 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  889249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  889266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  889289 */     GIR_RootConstrainSelectedInstOperands,
     /*  889290 */     // GIR_Coverage, 8769,
     /*  889290 */     GIR_EraseRootFromParent_Done,
     /*  889291 */   // Label 13405: @889291
     /*  889291 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(889401), // Rule ID 8772 //
     /*  889296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  889307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  889310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  889313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  889319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889346 */     // MIs[1] Operand 1
     /*  889346 */     // No operand predicates
     /*  889346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889359 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  889359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  889376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889399 */     GIR_RootConstrainSelectedInstOperands,
     /*  889400 */     // GIR_Coverage, 8772,
     /*  889400 */     GIR_EraseRootFromParent_Done,
     /*  889401 */   // Label 13406: @889401
     /*  889401 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(889511), // Rule ID 8773 //
     /*  889406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  889417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  889420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  889423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  889429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889456 */     // MIs[1] Operand 1
     /*  889456 */     // No operand predicates
     /*  889456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889469 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  889469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  889486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889509 */     GIR_RootConstrainSelectedInstOperands,
     /*  889510 */     // GIR_Coverage, 8773,
     /*  889510 */     GIR_EraseRootFromParent_Done,
     /*  889511 */   // Label 13407: @889511
     /*  889511 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(889621), // Rule ID 8776 //
     /*  889516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  889527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  889530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  889533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  889539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889566 */     // MIs[1] Operand 1
     /*  889566 */     // No operand predicates
     /*  889566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889579 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  889579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  889596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889619 */     GIR_RootConstrainSelectedInstOperands,
     /*  889620 */     // GIR_Coverage, 8776,
     /*  889620 */     GIR_EraseRootFromParent_Done,
     /*  889621 */   // Label 13408: @889621
     /*  889621 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(889731), // Rule ID 8777 //
     /*  889626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  889637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  889640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  889643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  889649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889676 */     // MIs[1] Operand 1
     /*  889676 */     // No operand predicates
     /*  889676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  889689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  889706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889729 */     GIR_RootConstrainSelectedInstOperands,
     /*  889730 */     // GIR_Coverage, 8777,
     /*  889730 */     GIR_EraseRootFromParent_Done,
     /*  889731 */   // Label 13409: @889731
     /*  889731 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(889841), // Rule ID 8780 //
     /*  889736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  889739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  889747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  889750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  889753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  889759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889786 */     // MIs[1] Operand 1
     /*  889786 */     // No operand predicates
     /*  889786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889799 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  889799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  889816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889839 */     GIR_RootConstrainSelectedInstOperands,
     /*  889840 */     // GIR_Coverage, 8780,
     /*  889840 */     GIR_EraseRootFromParent_Done,
     /*  889841 */   // Label 13410: @889841
     /*  889841 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(889951), // Rule ID 8781 //
     /*  889846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  889849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  889857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  889860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  889863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  889869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  889872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  889892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  889896 */     // MIs[1] Operand 1
     /*  889896 */     // No operand predicates
     /*  889896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  889900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  889902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889909 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  889909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  889913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  889919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  889923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  889926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  889935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  889941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  889949 */     GIR_RootConstrainSelectedInstOperands,
     /*  889950 */     // GIR_Coverage, 8781,
     /*  889950 */     GIR_EraseRootFromParent_Done,
     /*  889951 */   // Label 13411: @889951
     /*  889951 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(890061), // Rule ID 8784 //
     /*  889956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  889959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  889964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  889967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  889970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  889979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  889982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  889998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890006 */     // MIs[1] Operand 1
     /*  890006 */     // No operand predicates
     /*  890006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890019 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  890019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  890036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890059 */     GIR_RootConstrainSelectedInstOperands,
     /*  890060 */     // GIR_Coverage, 8784,
     /*  890060 */     GIR_EraseRootFromParent_Done,
     /*  890061 */   // Label 13412: @890061
     /*  890061 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(890171), // Rule ID 8785 //
     /*  890066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  890069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  890074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  890077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  890080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  890083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  890089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  890104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890116 */     // MIs[1] Operand 1
     /*  890116 */     // No operand predicates
     /*  890116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890129 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  890129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  890146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890169 */     GIR_RootConstrainSelectedInstOperands,
     /*  890170 */     // GIR_Coverage, 8785,
     /*  890170 */     GIR_EraseRootFromParent_Done,
     /*  890171 */   // Label 13413: @890171
     /*  890171 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(890281), // Rule ID 8788 //
     /*  890176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  890179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  890184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  890187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  890190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  890199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890226 */     // MIs[1] Operand 1
     /*  890226 */     // No operand predicates
     /*  890226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890239 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  890239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  890256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890279 */     GIR_RootConstrainSelectedInstOperands,
     /*  890280 */     // GIR_Coverage, 8788,
     /*  890280 */     GIR_EraseRootFromParent_Done,
     /*  890281 */   // Label 13414: @890281
     /*  890281 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(890391), // Rule ID 8789 //
     /*  890286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  890289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  890294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  890297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  890300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  890303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  890309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  890324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890336 */     // MIs[1] Operand 1
     /*  890336 */     // No operand predicates
     /*  890336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  890349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  890366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890389 */     GIR_RootConstrainSelectedInstOperands,
     /*  890390 */     // GIR_Coverage, 8789,
     /*  890390 */     GIR_EraseRootFromParent_Done,
     /*  890391 */   // Label 13415: @890391
     /*  890391 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(890501), // Rule ID 8792 //
     /*  890396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  890399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  890404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  890407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  890410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  890419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890446 */     // MIs[1] Operand 1
     /*  890446 */     // No operand predicates
     /*  890446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890459 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  890459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  890476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890499 */     GIR_RootConstrainSelectedInstOperands,
     /*  890500 */     // GIR_Coverage, 8792,
     /*  890500 */     GIR_EraseRootFromParent_Done,
     /*  890501 */   // Label 13416: @890501
     /*  890501 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(890611), // Rule ID 8793 //
     /*  890506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  890509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  890514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  890517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  890520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  890523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  890529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  890544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890556 */     // MIs[1] Operand 1
     /*  890556 */     // No operand predicates
     /*  890556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890569 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  890569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  890586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890609 */     GIR_RootConstrainSelectedInstOperands,
     /*  890610 */     // GIR_Coverage, 8793,
     /*  890610 */     GIR_EraseRootFromParent_Done,
     /*  890611 */   // Label 13417: @890611
     /*  890611 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(890721), // Rule ID 8972 //
     /*  890616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  890624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  890633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890666 */     // MIs[1] Operand 1
     /*  890666 */     // No operand predicates
     /*  890666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  890679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  890696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890719 */     GIR_RootConstrainSelectedInstOperands,
     /*  890720 */     // GIR_Coverage, 8972,
     /*  890720 */     GIR_EraseRootFromParent_Done,
     /*  890721 */   // Label 13418: @890721
     /*  890721 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(890831), // Rule ID 8973 //
     /*  890726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  890734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  890737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  890740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  890743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  890749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890776 */     // MIs[1] Operand 1
     /*  890776 */     // No operand predicates
     /*  890776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890789 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  890789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  890806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890829 */     GIR_RootConstrainSelectedInstOperands,
     /*  890830 */     // GIR_Coverage, 8973,
     /*  890830 */     GIR_EraseRootFromParent_Done,
     /*  890831 */   // Label 13419: @890831
     /*  890831 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(890941), // Rule ID 8976 //
     /*  890836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  890839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  890844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  890847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  890850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  890853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  890856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  890859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  890862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890886 */     // MIs[1] Operand 1
     /*  890886 */     // No operand predicates
     /*  890886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  890890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  890892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890899 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  890899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  890903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  890909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  890913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  890916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  890925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  890931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890939 */     GIR_RootConstrainSelectedInstOperands,
     /*  890940 */     // GIR_Coverage, 8976,
     /*  890940 */     GIR_EraseRootFromParent_Done,
     /*  890941 */   // Label 13420: @890941
     /*  890941 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(891051), // Rule ID 8977 //
     /*  890946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  890949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  890954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  890957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  890960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  890963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  890966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  890969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  890972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  890988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  890992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  890996 */     // MIs[1] Operand 1
     /*  890996 */     // No operand predicates
     /*  890996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891009 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  891009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  891026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891049 */     GIR_RootConstrainSelectedInstOperands,
     /*  891050 */     // GIR_Coverage, 8977,
     /*  891050 */     GIR_EraseRootFromParent_Done,
     /*  891051 */   // Label 13421: @891051
     /*  891051 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(891161), // Rule ID 8980 //
     /*  891056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  891067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  891070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  891079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891106 */     // MIs[1] Operand 1
     /*  891106 */     // No operand predicates
     /*  891106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  891119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891159 */     GIR_RootConstrainSelectedInstOperands,
     /*  891160 */     // GIR_Coverage, 8980,
     /*  891160 */     GIR_EraseRootFromParent_Done,
     /*  891161 */   // Label 13422: @891161
     /*  891161 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(891271), // Rule ID 8981 //
     /*  891166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  891177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  891180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  891183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  891189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891216 */     // MIs[1] Operand 1
     /*  891216 */     // No operand predicates
     /*  891216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  891229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891269 */     GIR_RootConstrainSelectedInstOperands,
     /*  891270 */     // GIR_Coverage, 8981,
     /*  891270 */     GIR_EraseRootFromParent_Done,
     /*  891271 */   // Label 13423: @891271
     /*  891271 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(891381), // Rule ID 8984 //
     /*  891276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891326 */     // MIs[1] Operand 1
     /*  891326 */     // No operand predicates
     /*  891326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  891339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  891356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891379 */     GIR_RootConstrainSelectedInstOperands,
     /*  891380 */     // GIR_Coverage, 8984,
     /*  891380 */     GIR_EraseRootFromParent_Done,
     /*  891381 */   // Label 13424: @891381
     /*  891381 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(891491), // Rule ID 8985 //
     /*  891386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  891403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891436 */     // MIs[1] Operand 1
     /*  891436 */     // No operand predicates
     /*  891436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  891449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  891466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891489 */     GIR_RootConstrainSelectedInstOperands,
     /*  891490 */     // GIR_Coverage, 8985,
     /*  891490 */     GIR_EraseRootFromParent_Done,
     /*  891491 */   // Label 13425: @891491
     /*  891491 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(891601), // Rule ID 8988 //
     /*  891496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  891507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  891510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  891519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891546 */     // MIs[1] Operand 1
     /*  891546 */     // No operand predicates
     /*  891546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891559 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  891559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891599 */     GIR_RootConstrainSelectedInstOperands,
     /*  891600 */     // GIR_Coverage, 8988,
     /*  891600 */     GIR_EraseRootFromParent_Done,
     /*  891601 */   // Label 13426: @891601
     /*  891601 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(891711), // Rule ID 8989 //
     /*  891606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  891617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  891620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  891623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  891629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891656 */     // MIs[1] Operand 1
     /*  891656 */     // No operand predicates
     /*  891656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891669 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  891669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891709 */     GIR_RootConstrainSelectedInstOperands,
     /*  891710 */     // GIR_Coverage, 8989,
     /*  891710 */     GIR_EraseRootFromParent_Done,
     /*  891711 */   // Label 13427: @891711
     /*  891711 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(891821), // Rule ID 8992 //
     /*  891716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891766 */     // MIs[1] Operand 1
     /*  891766 */     // No operand predicates
     /*  891766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891779 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  891779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891819 */     GIR_RootConstrainSelectedInstOperands,
     /*  891820 */     // GIR_Coverage, 8992,
     /*  891820 */     GIR_EraseRootFromParent_Done,
     /*  891821 */   // Label 13428: @891821
     /*  891821 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(891931), // Rule ID 8993 //
     /*  891826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  891829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  891837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  891840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  891843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  891846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  891849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  891852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891876 */     // MIs[1] Operand 1
     /*  891876 */     // No operand predicates
     /*  891876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891889 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  891889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  891893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  891899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  891903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  891906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  891915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  891921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  891929 */     GIR_RootConstrainSelectedInstOperands,
     /*  891930 */     // GIR_Coverage, 8993,
     /*  891930 */     GIR_EraseRootFromParent_Done,
     /*  891931 */   // Label 13429: @891931
     /*  891931 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(892041), // Rule ID 8996 //
     /*  891936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  891939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  891944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  891947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  891950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  891953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  891956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  891959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  891962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  891978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  891982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  891986 */     // MIs[1] Operand 1
     /*  891986 */     // No operand predicates
     /*  891986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  891990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  891992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891999 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  891999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892039 */     GIR_RootConstrainSelectedInstOperands,
     /*  892040 */     // GIR_Coverage, 8996,
     /*  892040 */     GIR_EraseRootFromParent_Done,
     /*  892041 */   // Label 13430: @892041
     /*  892041 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(892151), // Rule ID 8997 //
     /*  892046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  892057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  892060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  892063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  892069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892096 */     // MIs[1] Operand 1
     /*  892096 */     // No operand predicates
     /*  892096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  892109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892149 */     GIR_RootConstrainSelectedInstOperands,
     /*  892150 */     // GIR_Coverage, 8997,
     /*  892150 */     GIR_EraseRootFromParent_Done,
     /*  892151 */   // Label 13431: @892151
     /*  892151 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(892261), // Rule ID 9000 //
     /*  892156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  892167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  892170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  892179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892206 */     // MIs[1] Operand 1
     /*  892206 */     // No operand predicates
     /*  892206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892219 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  892219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892259 */     GIR_RootConstrainSelectedInstOperands,
     /*  892260 */     // GIR_Coverage, 9000,
     /*  892260 */     GIR_EraseRootFromParent_Done,
     /*  892261 */   // Label 13432: @892261
     /*  892261 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(892371), // Rule ID 9001 //
     /*  892266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  892277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  892280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  892283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  892289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892316 */     // MIs[1] Operand 1
     /*  892316 */     // No operand predicates
     /*  892316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892329 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  892329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  892369 */     GIR_RootConstrainSelectedInstOperands,
     /*  892370 */     // GIR_Coverage, 9001,
     /*  892370 */     GIR_EraseRootFromParent_Done,
     /*  892371 */   // Label 13433: @892371
     /*  892371 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(892481), // Rule ID 9004 //
     /*  892376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  892387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  892390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  892399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892426 */     // MIs[1] Operand 1
     /*  892426 */     // No operand predicates
     /*  892426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  892439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892479 */     GIR_RootConstrainSelectedInstOperands,
     /*  892480 */     // GIR_Coverage, 9004,
     /*  892480 */     GIR_EraseRootFromParent_Done,
     /*  892481 */   // Label 13434: @892481
     /*  892481 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(892591), // Rule ID 9005 //
     /*  892486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  892497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  892500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  892503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  892509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892536 */     // MIs[1] Operand 1
     /*  892536 */     // No operand predicates
     /*  892536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  892549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892589 */     GIR_RootConstrainSelectedInstOperands,
     /*  892590 */     // GIR_Coverage, 9005,
     /*  892590 */     GIR_EraseRootFromParent_Done,
     /*  892591 */   // Label 13435: @892591
     /*  892591 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(892701), // Rule ID 9008 //
     /*  892596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  892599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  892607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  892610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  892619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892646 */     // MIs[1] Operand 1
     /*  892646 */     // No operand predicates
     /*  892646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892659 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  892659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892699 */     GIR_RootConstrainSelectedInstOperands,
     /*  892700 */     // GIR_Coverage, 9008,
     /*  892700 */     GIR_EraseRootFromParent_Done,
     /*  892701 */   // Label 13436: @892701
     /*  892701 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(892811), // Rule ID 9009 //
     /*  892706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  892709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  892717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  892720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  892723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  892729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892756 */     // MIs[1] Operand 1
     /*  892756 */     // No operand predicates
     /*  892756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892769 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  892769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  892786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892809 */     GIR_RootConstrainSelectedInstOperands,
     /*  892810 */     // GIR_Coverage, 9009,
     /*  892810 */     GIR_EraseRootFromParent_Done,
     /*  892811 */   // Label 13437: @892811
     /*  892811 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(892921), // Rule ID 9012 //
     /*  892816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  892819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  892842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892866 */     // MIs[1] Operand 1
     /*  892866 */     // No operand predicates
     /*  892866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892879 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  892879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  892893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  892896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  892905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  892911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892919 */     GIR_RootConstrainSelectedInstOperands,
     /*  892920 */     // GIR_Coverage, 9012,
     /*  892920 */     GIR_EraseRootFromParent_Done,
     /*  892921 */   // Label 13438: @892921
     /*  892921 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(893031), // Rule ID 9013 //
     /*  892926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  892929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  892934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  892937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  892940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  892943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  892949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  892952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  892968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  892972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  892976 */     // MIs[1] Operand 1
     /*  892976 */     // No operand predicates
     /*  892976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  892980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  892982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  892989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  892993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  892999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  893006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893029 */     GIR_RootConstrainSelectedInstOperands,
     /*  893030 */     // GIR_Coverage, 9013,
     /*  893030 */     GIR_EraseRootFromParent_Done,
     /*  893031 */   // Label 13439: @893031
     /*  893031 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(893141), // Rule ID 9016 //
     /*  893036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  893047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  893050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  893059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893086 */     // MIs[1] Operand 1
     /*  893086 */     // No operand predicates
     /*  893086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893099 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  893099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  893116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893139 */     GIR_RootConstrainSelectedInstOperands,
     /*  893140 */     // GIR_Coverage, 9016,
     /*  893140 */     GIR_EraseRootFromParent_Done,
     /*  893141 */   // Label 13440: @893141
     /*  893141 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(893251), // Rule ID 9017 //
     /*  893146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  893157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  893160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  893163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  893169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893196 */     // MIs[1] Operand 1
     /*  893196 */     // No operand predicates
     /*  893196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893209 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  893209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  893226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893249 */     GIR_RootConstrainSelectedInstOperands,
     /*  893250 */     // GIR_Coverage, 9017,
     /*  893250 */     GIR_EraseRootFromParent_Done,
     /*  893251 */   // Label 13441: @893251
     /*  893251 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(893361), // Rule ID 9020 //
     /*  893256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  893267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  893270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  893279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893306 */     // MIs[1] Operand 1
     /*  893306 */     // No operand predicates
     /*  893306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893319 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  893319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  893336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893359 */     GIR_RootConstrainSelectedInstOperands,
     /*  893360 */     // GIR_Coverage, 9020,
     /*  893360 */     GIR_EraseRootFromParent_Done,
     /*  893361 */   // Label 13442: @893361
     /*  893361 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(893471), // Rule ID 9021 //
     /*  893366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  893377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  893380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  893383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  893389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893416 */     // MIs[1] Operand 1
     /*  893416 */     // No operand predicates
     /*  893416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893429 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  893429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  893446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893469 */     GIR_RootConstrainSelectedInstOperands,
     /*  893470 */     // GIR_Coverage, 9021,
     /*  893470 */     GIR_EraseRootFromParent_Done,
     /*  893471 */   // Label 13443: @893471
     /*  893471 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(893581), // Rule ID 9024 //
     /*  893476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  893487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  893490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  893499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893526 */     // MIs[1] Operand 1
     /*  893526 */     // No operand predicates
     /*  893526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893539 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  893539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  893556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893579 */     GIR_RootConstrainSelectedInstOperands,
     /*  893580 */     // GIR_Coverage, 9024,
     /*  893580 */     GIR_EraseRootFromParent_Done,
     /*  893581 */   // Label 13444: @893581
     /*  893581 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(893691), // Rule ID 9025 //
     /*  893586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  893597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  893600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  893603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  893609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  893624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893636 */     // MIs[1] Operand 1
     /*  893636 */     // No operand predicates
     /*  893636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893649 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  893649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  893666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893689 */     GIR_RootConstrainSelectedInstOperands,
     /*  893690 */     // GIR_Coverage, 9025,
     /*  893690 */     GIR_EraseRootFromParent_Done,
     /*  893691 */   // Label 13445: @893691
     /*  893691 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(893801), // Rule ID 9028 //
     /*  893696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  893707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  893710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  893719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893746 */     // MIs[1] Operand 1
     /*  893746 */     // No operand predicates
     /*  893746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893759 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  893759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  893776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893799 */     GIR_RootConstrainSelectedInstOperands,
     /*  893800 */     // GIR_Coverage, 9028,
     /*  893800 */     GIR_EraseRootFromParent_Done,
     /*  893801 */   // Label 13446: @893801
     /*  893801 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(893911), // Rule ID 9029 //
     /*  893806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  893809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  893817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  893820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  893823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  893829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  893832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  893844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893856 */     // MIs[1] Operand 1
     /*  893856 */     // No operand predicates
     /*  893856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893869 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  893869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  893886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  893895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  893901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893909 */     GIR_RootConstrainSelectedInstOperands,
     /*  893910 */     // GIR_Coverage, 9029,
     /*  893910 */     GIR_EraseRootFromParent_Done,
     /*  893911 */   // Label 13447: @893911
     /*  893911 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(894021), // Rule ID 9032 //
     /*  893916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  893919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  893924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  893927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  893930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  893933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  893939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  893942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  893954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  893958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  893962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  893966 */     // MIs[1] Operand 1
     /*  893966 */     // No operand predicates
     /*  893966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  893970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  893972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893979 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  893979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  893983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  893989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  893993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  893996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894019 */     GIR_RootConstrainSelectedInstOperands,
     /*  894020 */     // GIR_Coverage, 9032,
     /*  894020 */     GIR_EraseRootFromParent_Done,
     /*  894021 */   // Label 13448: @894021
     /*  894021 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(894131), // Rule ID 9033 //
     /*  894026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  894037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  894040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  894043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  894049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894076 */     // MIs[1] Operand 1
     /*  894076 */     // No operand predicates
     /*  894076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894089 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  894089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  894106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894129 */     GIR_RootConstrainSelectedInstOperands,
     /*  894130 */     // GIR_Coverage, 9033,
     /*  894130 */     GIR_EraseRootFromParent_Done,
     /*  894131 */   // Label 13449: @894131
     /*  894131 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(894241), // Rule ID 9036 //
     /*  894136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  894147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  894150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  894159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894186 */     // MIs[1] Operand 1
     /*  894186 */     // No operand predicates
     /*  894186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894199 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  894199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  894216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894239 */     GIR_RootConstrainSelectedInstOperands,
     /*  894240 */     // GIR_Coverage, 9036,
     /*  894240 */     GIR_EraseRootFromParent_Done,
     /*  894241 */   // Label 13450: @894241
     /*  894241 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(894351), // Rule ID 9037 //
     /*  894246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  894257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  894260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  894263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  894269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894296 */     // MIs[1] Operand 1
     /*  894296 */     // No operand predicates
     /*  894296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894309 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  894309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  894326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894349 */     GIR_RootConstrainSelectedInstOperands,
     /*  894350 */     // GIR_Coverage, 9037,
     /*  894350 */     GIR_EraseRootFromParent_Done,
     /*  894351 */   // Label 13451: @894351
     /*  894351 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(894461), // Rule ID 9040 //
     /*  894356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  894367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  894370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  894379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894406 */     // MIs[1] Operand 1
     /*  894406 */     // No operand predicates
     /*  894406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  894419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  894436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894459 */     GIR_RootConstrainSelectedInstOperands,
     /*  894460 */     // GIR_Coverage, 9040,
     /*  894460 */     GIR_EraseRootFromParent_Done,
     /*  894461 */   // Label 13452: @894461
     /*  894461 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(894571), // Rule ID 9041 //
     /*  894466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  894477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  894480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  894483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  894489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894516 */     // MIs[1] Operand 1
     /*  894516 */     // No operand predicates
     /*  894516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894529 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  894529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  894546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894569 */     GIR_RootConstrainSelectedInstOperands,
     /*  894570 */     // GIR_Coverage, 9041,
     /*  894570 */     GIR_EraseRootFromParent_Done,
     /*  894571 */   // Label 13453: @894571
     /*  894571 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(894681), // Rule ID 9044 //
     /*  894576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  894579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  894587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  894590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  894599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894626 */     // MIs[1] Operand 1
     /*  894626 */     // No operand predicates
     /*  894626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894639 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  894639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  894656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894679 */     GIR_RootConstrainSelectedInstOperands,
     /*  894680 */     // GIR_Coverage, 9044,
     /*  894680 */     GIR_EraseRootFromParent_Done,
     /*  894681 */   // Label 13454: @894681
     /*  894681 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(894791), // Rule ID 9045 //
     /*  894686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  894689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  894697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  894700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  894703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  894709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894736 */     // MIs[1] Operand 1
     /*  894736 */     // No operand predicates
     /*  894736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894749 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  894749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  894766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894789 */     GIR_RootConstrainSelectedInstOperands,
     /*  894790 */     // GIR_Coverage, 9045,
     /*  894790 */     GIR_EraseRootFromParent_Done,
     /*  894791 */   // Label 13455: @894791
     /*  894791 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(894901), // Rule ID 9048 //
     /*  894796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  894799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  894807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  894810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  894819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  894822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894846 */     // MIs[1] Operand 1
     /*  894846 */     // No operand predicates
     /*  894846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  894859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  894876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  894891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894899 */     GIR_RootConstrainSelectedInstOperands,
     /*  894900 */     // GIR_Coverage, 9048,
     /*  894900 */     GIR_EraseRootFromParent_Done,
     /*  894901 */   // Label 13456: @894901
     /*  894901 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(895011), // Rule ID 9049 //
     /*  894906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  894909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  894914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  894917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  894920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  894923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  894929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  894932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  894948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  894952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  894956 */     // MIs[1] Operand 1
     /*  894956 */     // No operand predicates
     /*  894956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  894960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  894962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  894969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  894973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  894979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  894983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  894986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  894995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895009 */     GIR_RootConstrainSelectedInstOperands,
     /*  895010 */     // GIR_Coverage, 9049,
     /*  895010 */     GIR_EraseRootFromParent_Done,
     /*  895011 */   // Label 13457: @895011
     /*  895011 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(895121), // Rule ID 9052 //
     /*  895016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  895019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  895024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  895027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  895030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  895039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895066 */     // MIs[1] Operand 1
     /*  895066 */     // No operand predicates
     /*  895066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895079 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  895079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  895096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895119 */     GIR_RootConstrainSelectedInstOperands,
     /*  895120 */     // GIR_Coverage, 9052,
     /*  895120 */     GIR_EraseRootFromParent_Done,
     /*  895121 */   // Label 13458: @895121
     /*  895121 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(895231), // Rule ID 9053 //
     /*  895126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  895129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  895134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  895137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  895140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  895149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895176 */     // MIs[1] Operand 1
     /*  895176 */     // No operand predicates
     /*  895176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895189 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  895189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  895206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895229 */     GIR_RootConstrainSelectedInstOperands,
     /*  895230 */     // GIR_Coverage, 9053,
     /*  895230 */     GIR_EraseRootFromParent_Done,
     /*  895231 */   // Label 13459: @895231
     /*  895231 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(895341), // Rule ID 9056 //
     /*  895236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  895239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  895244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  895247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  895250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  895259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895286 */     // MIs[1] Operand 1
     /*  895286 */     // No operand predicates
     /*  895286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895299 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  895299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  895316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895339 */     GIR_RootConstrainSelectedInstOperands,
     /*  895340 */     // GIR_Coverage, 9056,
     /*  895340 */     GIR_EraseRootFromParent_Done,
     /*  895341 */   // Label 13460: @895341
     /*  895341 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(895451), // Rule ID 9057 //
     /*  895346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  895349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  895354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  895357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  895360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  895363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  895369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895396 */     // MIs[1] Operand 1
     /*  895396 */     // No operand predicates
     /*  895396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  895409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  895426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895449 */     GIR_RootConstrainSelectedInstOperands,
     /*  895450 */     // GIR_Coverage, 9057,
     /*  895450 */     GIR_EraseRootFromParent_Done,
     /*  895451 */   // Label 13461: @895451
     /*  895451 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(895561), // Rule ID 9148 //
     /*  895456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  895464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  895467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  895470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  895479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895506 */     // MIs[1] Operand 1
     /*  895506 */     // No operand predicates
     /*  895506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895519 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  895536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895559 */     GIR_RootConstrainSelectedInstOperands,
     /*  895560 */     // GIR_Coverage, 9148,
     /*  895560 */     GIR_EraseRootFromParent_Done,
     /*  895561 */   // Label 13462: @895561
     /*  895561 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(895671), // Rule ID 9149 //
     /*  895566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  895574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  895577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  895580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  895583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  895589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895616 */     // MIs[1] Operand 1
     /*  895616 */     // No operand predicates
     /*  895616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  895629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  895646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895669 */     GIR_RootConstrainSelectedInstOperands,
     /*  895670 */     // GIR_Coverage, 9149,
     /*  895670 */     GIR_EraseRootFromParent_Done,
     /*  895671 */   // Label 13463: @895671
     /*  895671 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(895781), // Rule ID 9152 //
     /*  895676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  895684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  895687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  895690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  895699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895726 */     // MIs[1] Operand 1
     /*  895726 */     // No operand predicates
     /*  895726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  895756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895779 */     GIR_RootConstrainSelectedInstOperands,
     /*  895780 */     // GIR_Coverage, 9152,
     /*  895780 */     GIR_EraseRootFromParent_Done,
     /*  895781 */   // Label 13464: @895781
     /*  895781 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(895891), // Rule ID 9153 //
     /*  895786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  895789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  895794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  895797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  895800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  895803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  895809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  895812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895836 */     // MIs[1] Operand 1
     /*  895836 */     // No operand predicates
     /*  895836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  895849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  895866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895889 */     GIR_RootConstrainSelectedInstOperands,
     /*  895890 */     // GIR_Coverage, 9153,
     /*  895890 */     GIR_EraseRootFromParent_Done,
     /*  895891 */   // Label 13465: @895891
     /*  895891 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(896001), // Rule ID 9156 //
     /*  895896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  895899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  895904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  895907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  895910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  895913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  895919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  895922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  895934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  895938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  895942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  895946 */     // MIs[1] Operand 1
     /*  895946 */     // No operand predicates
     /*  895946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  895950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  895952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895959 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  895959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  895963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  895969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  895973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  895976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  895985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  895991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  895999 */     GIR_RootConstrainSelectedInstOperands,
     /*  896000 */     // GIR_Coverage, 9156,
     /*  896000 */     GIR_EraseRootFromParent_Done,
     /*  896001 */   // Label 13466: @896001
     /*  896001 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(896111), // Rule ID 9157 //
     /*  896006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  896017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  896020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  896029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896056 */     // MIs[1] Operand 1
     /*  896056 */     // No operand predicates
     /*  896056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  896069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  896086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896109 */     GIR_RootConstrainSelectedInstOperands,
     /*  896110 */     // GIR_Coverage, 9157,
     /*  896110 */     GIR_EraseRootFromParent_Done,
     /*  896111 */   // Label 13467: @896111
     /*  896111 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(896221), // Rule ID 9160 //
     /*  896116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  896127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  896130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  896139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896166 */     // MIs[1] Operand 1
     /*  896166 */     // No operand predicates
     /*  896166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896179 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  896179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  896196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896219 */     GIR_RootConstrainSelectedInstOperands,
     /*  896220 */     // GIR_Coverage, 9160,
     /*  896220 */     GIR_EraseRootFromParent_Done,
     /*  896221 */   // Label 13468: @896221
     /*  896221 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(896331), // Rule ID 9161 //
     /*  896226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  896237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  896240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  896249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896276 */     // MIs[1] Operand 1
     /*  896276 */     // No operand predicates
     /*  896276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  896289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  896306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896329 */     GIR_RootConstrainSelectedInstOperands,
     /*  896330 */     // GIR_Coverage, 9161,
     /*  896330 */     GIR_EraseRootFromParent_Done,
     /*  896331 */   // Label 13469: @896331
     /*  896331 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(896441), // Rule ID 9164 //
     /*  896336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  896347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  896350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  896359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896386 */     // MIs[1] Operand 1
     /*  896386 */     // No operand predicates
     /*  896386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  896399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  896416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896439 */     GIR_RootConstrainSelectedInstOperands,
     /*  896440 */     // GIR_Coverage, 9164,
     /*  896440 */     GIR_EraseRootFromParent_Done,
     /*  896441 */   // Label 13470: @896441
     /*  896441 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(896551), // Rule ID 9165 //
     /*  896446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  896457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  896460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  896469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896496 */     // MIs[1] Operand 1
     /*  896496 */     // No operand predicates
     /*  896496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  896509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  896526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896549 */     GIR_RootConstrainSelectedInstOperands,
     /*  896550 */     // GIR_Coverage, 9165,
     /*  896550 */     GIR_EraseRootFromParent_Done,
     /*  896551 */   // Label 13471: @896551
     /*  896551 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(896661), // Rule ID 9168 //
     /*  896556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  896567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  896570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  896579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896606 */     // MIs[1] Operand 1
     /*  896606 */     // No operand predicates
     /*  896606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896619 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  896619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  896636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896659 */     GIR_RootConstrainSelectedInstOperands,
     /*  896660 */     // GIR_Coverage, 9168,
     /*  896660 */     GIR_EraseRootFromParent_Done,
     /*  896661 */   // Label 13472: @896661
     /*  896661 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(896771), // Rule ID 9169 //
     /*  896666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  896677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  896680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  896689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896716 */     // MIs[1] Operand 1
     /*  896716 */     // No operand predicates
     /*  896716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  896729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  896746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896769 */     GIR_RootConstrainSelectedInstOperands,
     /*  896770 */     // GIR_Coverage, 9169,
     /*  896770 */     GIR_EraseRootFromParent_Done,
     /*  896771 */   // Label 13473: @896771
     /*  896771 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(896881), // Rule ID 9172 //
     /*  896776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  896787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  896790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  896799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  896802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896826 */     // MIs[1] Operand 1
     /*  896826 */     // No operand predicates
     /*  896826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896839 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  896839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  896856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896879 */     GIR_RootConstrainSelectedInstOperands,
     /*  896880 */     // GIR_Coverage, 9172,
     /*  896880 */     GIR_EraseRootFromParent_Done,
     /*  896881 */   // Label 13474: @896881
     /*  896881 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(896991), // Rule ID 9173 //
     /*  896886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  896889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  896894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  896897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  896900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  896903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  896909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  896912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  896928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  896932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  896936 */     // MIs[1] Operand 1
     /*  896936 */     // No operand predicates
     /*  896936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  896940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  896942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896949 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  896949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  896953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  896959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  896963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  896966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  896975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  896981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896989 */     GIR_RootConstrainSelectedInstOperands,
     /*  896990 */     // GIR_Coverage, 9173,
     /*  896990 */     GIR_EraseRootFromParent_Done,
     /*  896991 */   // Label 13475: @896991
     /*  896991 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(897101), // Rule ID 9176 //
     /*  896996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  896999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  897007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  897010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  897019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897046 */     // MIs[1] Operand 1
     /*  897046 */     // No operand predicates
     /*  897046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  897059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897099 */     GIR_RootConstrainSelectedInstOperands,
     /*  897100 */     // GIR_Coverage, 9176,
     /*  897100 */     GIR_EraseRootFromParent_Done,
     /*  897101 */   // Label 13476: @897101
     /*  897101 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(897211), // Rule ID 9177 //
     /*  897106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  897109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  897117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  897120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  897129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897156 */     // MIs[1] Operand 1
     /*  897156 */     // No operand predicates
     /*  897156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897169 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  897169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897209 */     GIR_RootConstrainSelectedInstOperands,
     /*  897210 */     // GIR_Coverage, 9177,
     /*  897210 */     GIR_EraseRootFromParent_Done,
     /*  897211 */   // Label 13477: @897211
     /*  897211 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(897321), // Rule ID 9180 //
     /*  897216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  897219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  897227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  897230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  897239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897266 */     // MIs[1] Operand 1
     /*  897266 */     // No operand predicates
     /*  897266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897279 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  897279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897319 */     GIR_RootConstrainSelectedInstOperands,
     /*  897320 */     // GIR_Coverage, 9180,
     /*  897320 */     GIR_EraseRootFromParent_Done,
     /*  897321 */   // Label 13478: @897321
     /*  897321 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(897431), // Rule ID 9181 //
     /*  897326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  897329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  897337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  897340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  897349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897376 */     // MIs[1] Operand 1
     /*  897376 */     // No operand predicates
     /*  897376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  897389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897429 */     GIR_RootConstrainSelectedInstOperands,
     /*  897430 */     // GIR_Coverage, 9181,
     /*  897430 */     GIR_EraseRootFromParent_Done,
     /*  897431 */   // Label 13479: @897431
     /*  897431 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(897541), // Rule ID 9184 //
     /*  897436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  897439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  897447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  897450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  897459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897486 */     // MIs[1] Operand 1
     /*  897486 */     // No operand predicates
     /*  897486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  897499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897539 */     GIR_RootConstrainSelectedInstOperands,
     /*  897540 */     // GIR_Coverage, 9184,
     /*  897540 */     GIR_EraseRootFromParent_Done,
     /*  897541 */   // Label 13480: @897541
     /*  897541 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(897651), // Rule ID 9185 //
     /*  897546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  897549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  897557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  897560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  897569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897596 */     // MIs[1] Operand 1
     /*  897596 */     // No operand predicates
     /*  897596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897609 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  897609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  897626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897649 */     GIR_RootConstrainSelectedInstOperands,
     /*  897650 */     // GIR_Coverage, 9185,
     /*  897650 */     GIR_EraseRootFromParent_Done,
     /*  897651 */   // Label 13481: @897651
     /*  897651 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(897761), // Rule ID 9188 //
     /*  897656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  897659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  897667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  897670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  897679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897706 */     // MIs[1] Operand 1
     /*  897706 */     // No operand predicates
     /*  897706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897719 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  897719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  897736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897759 */     GIR_RootConstrainSelectedInstOperands,
     /*  897760 */     // GIR_Coverage, 9188,
     /*  897760 */     GIR_EraseRootFromParent_Done,
     /*  897761 */   // Label 13482: @897761
     /*  897761 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(897871), // Rule ID 9189 //
     /*  897766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  897769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  897777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  897780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  897786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  897789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  897792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897816 */     // MIs[1] Operand 1
     /*  897816 */     // No operand predicates
     /*  897816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897829 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  897829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  897846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897869 */     GIR_RootConstrainSelectedInstOperands,
     /*  897870 */     // GIR_Coverage, 9189,
     /*  897870 */     GIR_EraseRootFromParent_Done,
     /*  897871 */   // Label 13483: @897871
     /*  897871 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(897981), // Rule ID 9192 //
     /*  897876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  897879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  897887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  897890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  897896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  897899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  897902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  897918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  897922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  897926 */     // MIs[1] Operand 1
     /*  897926 */     // No operand predicates
     /*  897926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  897930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  897932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897939 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  897939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  897943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  897949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  897953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  897956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  897965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  897971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897979 */     GIR_RootConstrainSelectedInstOperands,
     /*  897980 */     // GIR_Coverage, 9192,
     /*  897980 */     GIR_EraseRootFromParent_Done,
     /*  897981 */   // Label 13484: @897981
     /*  897981 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(898091), // Rule ID 9193 //
     /*  897986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  897989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  897994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  897997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  898000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  898003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  898009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898036 */     // MIs[1] Operand 1
     /*  898036 */     // No operand predicates
     /*  898036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898049 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  898049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  898066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898089 */     GIR_RootConstrainSelectedInstOperands,
     /*  898090 */     // GIR_Coverage, 9193,
     /*  898090 */     GIR_EraseRootFromParent_Done,
     /*  898091 */   // Label 13485: @898091
     /*  898091 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(898201), // Rule ID 9196 //
     /*  898096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  898099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  898107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  898110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  898113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  898119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898146 */     // MIs[1] Operand 1
     /*  898146 */     // No operand predicates
     /*  898146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898159 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  898159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  898176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898199 */     GIR_RootConstrainSelectedInstOperands,
     /*  898200 */     // GIR_Coverage, 9196,
     /*  898200 */     GIR_EraseRootFromParent_Done,
     /*  898201 */   // Label 13486: @898201
     /*  898201 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(898311), // Rule ID 9197 //
     /*  898206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  898209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  898217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  898220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  898223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  898229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898256 */     // MIs[1] Operand 1
     /*  898256 */     // No operand predicates
     /*  898256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898269 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  898269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  898286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898309 */     GIR_RootConstrainSelectedInstOperands,
     /*  898310 */     // GIR_Coverage, 9197,
     /*  898310 */     GIR_EraseRootFromParent_Done,
     /*  898311 */   // Label 13487: @898311
     /*  898311 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(898421), // Rule ID 9200 //
     /*  898316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  898319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  898327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  898330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  898339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898366 */     // MIs[1] Operand 1
     /*  898366 */     // No operand predicates
     /*  898366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898379 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  898379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  898396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898419 */     GIR_RootConstrainSelectedInstOperands,
     /*  898420 */     // GIR_Coverage, 9200,
     /*  898420 */     GIR_EraseRootFromParent_Done,
     /*  898421 */   // Label 13488: @898421
     /*  898421 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(898531), // Rule ID 9201 //
     /*  898426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  898429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  898437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  898440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  898449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898476 */     // MIs[1] Operand 1
     /*  898476 */     // No operand predicates
     /*  898476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898489 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  898489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  898506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898529 */     GIR_RootConstrainSelectedInstOperands,
     /*  898530 */     // GIR_Coverage, 9201,
     /*  898530 */     GIR_EraseRootFromParent_Done,
     /*  898531 */   // Label 13489: @898531
     /*  898531 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(898641), // Rule ID 9204 //
     /*  898536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  898539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  898547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  898550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  898559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898586 */     // MIs[1] Operand 1
     /*  898586 */     // No operand predicates
     /*  898586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  898599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  898616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898639 */     GIR_RootConstrainSelectedInstOperands,
     /*  898640 */     // GIR_Coverage, 9204,
     /*  898640 */     GIR_EraseRootFromParent_Done,
     /*  898641 */   // Label 13490: @898641
     /*  898641 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(898751), // Rule ID 9205 //
     /*  898646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  898649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  898657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  898660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  898669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898696 */     // MIs[1] Operand 1
     /*  898696 */     // No operand predicates
     /*  898696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898709 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  898709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  898726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898749 */     GIR_RootConstrainSelectedInstOperands,
     /*  898750 */     // GIR_Coverage, 9205,
     /*  898750 */     GIR_EraseRootFromParent_Done,
     /*  898751 */   // Label 13491: @898751
     /*  898751 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(898861), // Rule ID 9208 //
     /*  898756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  898759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  898767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  898770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  898779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  898782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898806 */     // MIs[1] Operand 1
     /*  898806 */     // No operand predicates
     /*  898806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898819 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  898819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  898836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898859 */     GIR_RootConstrainSelectedInstOperands,
     /*  898860 */     // GIR_Coverage, 9208,
     /*  898860 */     GIR_EraseRootFromParent_Done,
     /*  898861 */   // Label 13492: @898861
     /*  898861 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(898971), // Rule ID 9209 //
     /*  898866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  898869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  898877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  898880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  898886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  898889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  898892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  898900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  898908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  898912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  898916 */     // MIs[1] Operand 1
     /*  898916 */     // No operand predicates
     /*  898916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  898920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  898922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898929 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  898929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  898933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  898939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  898943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  898946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  898955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  898961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898969 */     GIR_RootConstrainSelectedInstOperands,
     /*  898970 */     // GIR_Coverage, 9209,
     /*  898970 */     GIR_EraseRootFromParent_Done,
     /*  898971 */   // Label 13493: @898971
     /*  898971 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(899081), // Rule ID 9212 //
     /*  898976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  898979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  898984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  898987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  898990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  898996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  898999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899026 */     // MIs[1] Operand 1
     /*  899026 */     // No operand predicates
     /*  899026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  899039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  899056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899079 */     GIR_RootConstrainSelectedInstOperands,
     /*  899080 */     // GIR_Coverage, 9212,
     /*  899080 */     GIR_EraseRootFromParent_Done,
     /*  899081 */   // Label 13494: @899081
     /*  899081 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(899191), // Rule ID 9213 //
     /*  899086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  899089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  899097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  899100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  899103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  899109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899136 */     // MIs[1] Operand 1
     /*  899136 */     // No operand predicates
     /*  899136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  899149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  899166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899189 */     GIR_RootConstrainSelectedInstOperands,
     /*  899190 */     // GIR_Coverage, 9213,
     /*  899190 */     GIR_EraseRootFromParent_Done,
     /*  899191 */   // Label 13495: @899191
     /*  899191 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(899301), // Rule ID 9216 //
     /*  899196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  899199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  899207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  899210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  899213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  899219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899242 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899246 */     // MIs[1] Operand 1
     /*  899246 */     // No operand predicates
     /*  899246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899259 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  899259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  899276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899299 */     GIR_RootConstrainSelectedInstOperands,
     /*  899300 */     // GIR_Coverage, 9216,
     /*  899300 */     GIR_EraseRootFromParent_Done,
     /*  899301 */   // Label 13496: @899301
     /*  899301 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(899411), // Rule ID 9217 //
     /*  899306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  899309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  899317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  899320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  899323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  899329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899356 */     // MIs[1] Operand 1
     /*  899356 */     // No operand predicates
     /*  899356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  899369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  899386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899409 */     GIR_RootConstrainSelectedInstOperands,
     /*  899410 */     // GIR_Coverage, 9217,
     /*  899410 */     GIR_EraseRootFromParent_Done,
     /*  899411 */   // Label 13497: @899411
     /*  899411 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(899521), // Rule ID 9220 //
     /*  899416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  899419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  899427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  899430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  899433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  899439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899466 */     // MIs[1] Operand 1
     /*  899466 */     // No operand predicates
     /*  899466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899479 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  899479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  899496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899519 */     GIR_RootConstrainSelectedInstOperands,
     /*  899520 */     // GIR_Coverage, 9220,
     /*  899520 */     GIR_EraseRootFromParent_Done,
     /*  899521 */   // Label 13498: @899521
     /*  899521 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(899631), // Rule ID 9221 //
     /*  899526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  899529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  899537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  899540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  899543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  899549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899572 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899576 */     // MIs[1] Operand 1
     /*  899576 */     // No operand predicates
     /*  899576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899589 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  899589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  899606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899629 */     GIR_RootConstrainSelectedInstOperands,
     /*  899630 */     // GIR_Coverage, 9221,
     /*  899630 */     GIR_EraseRootFromParent_Done,
     /*  899631 */   // Label 13499: @899631
     /*  899631 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(899741), // Rule ID 9224 //
     /*  899636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  899639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  899647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  899650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  899659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899686 */     // MIs[1] Operand 1
     /*  899686 */     // No operand predicates
     /*  899686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  899699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  899716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899739 */     GIR_RootConstrainSelectedInstOperands,
     /*  899740 */     // GIR_Coverage, 9224,
     /*  899740 */     GIR_EraseRootFromParent_Done,
     /*  899741 */   // Label 13500: @899741
     /*  899741 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(899851), // Rule ID 9225 //
     /*  899746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  899749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  899757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  899760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  899769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899796 */     // MIs[1] Operand 1
     /*  899796 */     // No operand predicates
     /*  899796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899809 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  899809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  899826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899849 */     GIR_RootConstrainSelectedInstOperands,
     /*  899850 */     // GIR_Coverage, 9225,
     /*  899850 */     GIR_EraseRootFromParent_Done,
     /*  899851 */   // Label 13501: @899851
     /*  899851 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(899961), // Rule ID 9228 //
     /*  899856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  899859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  899867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  899870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  899879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  899882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  899898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  899902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  899906 */     // MIs[1] Operand 1
     /*  899906 */     // No operand predicates
     /*  899906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  899910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  899912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  899919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  899923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  899929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  899933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  899936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  899945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  899951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899959 */     GIR_RootConstrainSelectedInstOperands,
     /*  899960 */     // GIR_Coverage, 9228,
     /*  899960 */     GIR_EraseRootFromParent_Done,
     /*  899961 */   // Label 13502: @899961
     /*  899961 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(900071), // Rule ID 9229 //
     /*  899966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  899969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  899974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  899977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  899980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  899989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  899992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  900004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900016 */     // MIs[1] Operand 1
     /*  900016 */     // No operand predicates
     /*  900016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900029 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  900029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  900046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900069 */     GIR_RootConstrainSelectedInstOperands,
     /*  900070 */     // GIR_Coverage, 9229,
     /*  900070 */     GIR_EraseRootFromParent_Done,
     /*  900071 */   // Label 13503: @900071
     /*  900071 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(900181), // Rule ID 9232 //
     /*  900076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  900079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  900084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  900087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  900090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  900099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900122 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900126 */     // MIs[1] Operand 1
     /*  900126 */     // No operand predicates
     /*  900126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  900139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  900156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900179 */     GIR_RootConstrainSelectedInstOperands,
     /*  900180 */     // GIR_Coverage, 9232,
     /*  900180 */     GIR_EraseRootFromParent_Done,
     /*  900181 */   // Label 13504: @900181
     /*  900181 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(900291), // Rule ID 9233 //
     /*  900186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  900189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  900194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  900197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  900200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  900203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  900209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  900224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900236 */     // MIs[1] Operand 1
     /*  900236 */     // No operand predicates
     /*  900236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900249 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  900249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  900266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900289 */     GIR_RootConstrainSelectedInstOperands,
     /*  900290 */     // GIR_Coverage, 9233,
     /*  900290 */     GIR_EraseRootFromParent_Done,
     /*  900291 */   // Label 13505: @900291
     /*  900291 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(900401), // Rule ID 9324 //
     /*  900296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  900307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  900310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  900319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900346 */     // MIs[1] Operand 1
     /*  900346 */     // No operand predicates
     /*  900346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900359 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  900359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  900376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900399 */     GIR_RootConstrainSelectedInstOperands,
     /*  900400 */     // GIR_Coverage, 9324,
     /*  900400 */     GIR_EraseRootFromParent_Done,
     /*  900401 */   // Label 13506: @900401
     /*  900401 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(900511), // Rule ID 9325 //
     /*  900406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  900409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  900417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  900420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  900423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  900429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900456 */     // MIs[1] Operand 1
     /*  900456 */     // No operand predicates
     /*  900456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900469 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  900469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  900486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900509 */     GIR_RootConstrainSelectedInstOperands,
     /*  900510 */     // GIR_Coverage, 9325,
     /*  900510 */     GIR_EraseRootFromParent_Done,
     /*  900511 */   // Label 13507: @900511
     /*  900511 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(900621), // Rule ID 9328 //
     /*  900516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  900527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  900530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  900533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  900539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900566 */     // MIs[1] Operand 1
     /*  900566 */     // No operand predicates
     /*  900566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  900579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  900596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900619 */     GIR_RootConstrainSelectedInstOperands,
     /*  900620 */     // GIR_Coverage, 9328,
     /*  900620 */     GIR_EraseRootFromParent_Done,
     /*  900621 */   // Label 13508: @900621
     /*  900621 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(900731), // Rule ID 9329 //
     /*  900626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  900629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  900637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  900640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  900643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  900649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900676 */     // MIs[1] Operand 1
     /*  900676 */     // No operand predicates
     /*  900676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900689 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  900689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  900706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900729 */     GIR_RootConstrainSelectedInstOperands,
     /*  900730 */     // GIR_Coverage, 9329,
     /*  900730 */     GIR_EraseRootFromParent_Done,
     /*  900731 */   // Label 13509: @900731
     /*  900731 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(900841), // Rule ID 9332 //
     /*  900736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  900747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  900750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  900753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  900759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900786 */     // MIs[1] Operand 1
     /*  900786 */     // No operand predicates
     /*  900786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900799 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  900799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  900816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900839 */     GIR_RootConstrainSelectedInstOperands,
     /*  900840 */     // GIR_Coverage, 9332,
     /*  900840 */     GIR_EraseRootFromParent_Done,
     /*  900841 */   // Label 13510: @900841
     /*  900841 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(900951), // Rule ID 9333 //
     /*  900846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  900849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  900857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  900860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  900863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  900869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  900872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  900892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  900896 */     // MIs[1] Operand 1
     /*  900896 */     // No operand predicates
     /*  900896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  900900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  900902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  900909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  900913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  900919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  900923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  900926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  900935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  900941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900949 */     GIR_RootConstrainSelectedInstOperands,
     /*  900950 */     // GIR_Coverage, 9333,
     /*  900950 */     GIR_EraseRootFromParent_Done,
     /*  900951 */   // Label 13511: @900951
     /*  900951 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(901061), // Rule ID 9336 //
     /*  900956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  900959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  900964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  900967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  900970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  900979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  900982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  900998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901002 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901006 */     // MIs[1] Operand 1
     /*  901006 */     // No operand predicates
     /*  901006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  901036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901059 */     GIR_RootConstrainSelectedInstOperands,
     /*  901060 */     // GIR_Coverage, 9336,
     /*  901060 */     GIR_EraseRootFromParent_Done,
     /*  901061 */   // Label 13512: @901061
     /*  901061 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(901171), // Rule ID 9337 //
     /*  901066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  901077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  901080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  901083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  901089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901116 */     // MIs[1] Operand 1
     /*  901116 */     // No operand predicates
     /*  901116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901129 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  901129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  901146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901169 */     GIR_RootConstrainSelectedInstOperands,
     /*  901170 */     // GIR_Coverage, 9337,
     /*  901170 */     GIR_EraseRootFromParent_Done,
     /*  901171 */   // Label 13513: @901171
     /*  901171 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(901281), // Rule ID 9340 //
     /*  901176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  901187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  901190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  901199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901226 */     // MIs[1] Operand 1
     /*  901226 */     // No operand predicates
     /*  901226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  901256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901279 */     GIR_RootConstrainSelectedInstOperands,
     /*  901280 */     // GIR_Coverage, 9340,
     /*  901280 */     GIR_EraseRootFromParent_Done,
     /*  901281 */   // Label 13514: @901281
     /*  901281 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(901391), // Rule ID 9341 //
     /*  901286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  901297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  901300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  901303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  901309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901336 */     // MIs[1] Operand 1
     /*  901336 */     // No operand predicates
     /*  901336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901349 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  901349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  901366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901389 */     GIR_RootConstrainSelectedInstOperands,
     /*  901390 */     // GIR_Coverage, 9341,
     /*  901390 */     GIR_EraseRootFromParent_Done,
     /*  901391 */   // Label 13515: @901391
     /*  901391 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(901501), // Rule ID 9344 //
     /*  901396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  901407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  901410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  901419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901446 */     // MIs[1] Operand 1
     /*  901446 */     // No operand predicates
     /*  901446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901459 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  901459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  901476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901499 */     GIR_RootConstrainSelectedInstOperands,
     /*  901500 */     // GIR_Coverage, 9344,
     /*  901500 */     GIR_EraseRootFromParent_Done,
     /*  901501 */   // Label 13516: @901501
     /*  901501 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(901611), // Rule ID 9345 //
     /*  901506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  901517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  901520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  901523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  901529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901556 */     // MIs[1] Operand 1
     /*  901556 */     // No operand predicates
     /*  901556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901569 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  901569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  901586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901609 */     GIR_RootConstrainSelectedInstOperands,
     /*  901610 */     // GIR_Coverage, 9345,
     /*  901610 */     GIR_EraseRootFromParent_Done,
     /*  901611 */   // Label 13517: @901611
     /*  901611 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(901721), // Rule ID 9348 //
     /*  901616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  901627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  901630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  901639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901662 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901666 */     // MIs[1] Operand 1
     /*  901666 */     // No operand predicates
     /*  901666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901679 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  901679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  901696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901719 */     GIR_RootConstrainSelectedInstOperands,
     /*  901720 */     // GIR_Coverage, 9348,
     /*  901720 */     GIR_EraseRootFromParent_Done,
     /*  901721 */   // Label 13518: @901721
     /*  901721 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(901831), // Rule ID 9349 //
     /*  901726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  901737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  901740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  901743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  901749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901776 */     // MIs[1] Operand 1
     /*  901776 */     // No operand predicates
     /*  901776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901789 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  901789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  901806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901829 */     GIR_RootConstrainSelectedInstOperands,
     /*  901830 */     // GIR_Coverage, 9349,
     /*  901830 */     GIR_EraseRootFromParent_Done,
     /*  901831 */   // Label 13519: @901831
     /*  901831 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(901941), // Rule ID 9352 //
     /*  901836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  901839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  901847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  901850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  901859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  901862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901886 */     // MIs[1] Operand 1
     /*  901886 */     // No operand predicates
     /*  901886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  901890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  901892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901899 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  901899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  901903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  901909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  901913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  901916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  901925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  901931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901939 */     GIR_RootConstrainSelectedInstOperands,
     /*  901940 */     // GIR_Coverage, 9352,
     /*  901940 */     GIR_EraseRootFromParent_Done,
     /*  901941 */   // Label 13520: @901941
     /*  901941 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(902051), // Rule ID 9353 //
     /*  901946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  901949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  901954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  901957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  901960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  901963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  901969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  901972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  901984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  901988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  901992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  901996 */     // MIs[1] Operand 1
     /*  901996 */     // No operand predicates
     /*  901996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  902009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  902026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  902049 */     GIR_RootConstrainSelectedInstOperands,
     /*  902050 */     // GIR_Coverage, 9353,
     /*  902050 */     GIR_EraseRootFromParent_Done,
     /*  902051 */   // Label 13521: @902051
     /*  902051 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(902161), // Rule ID 9356 //
     /*  902056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  902067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  902070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  902079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902106 */     // MIs[1] Operand 1
     /*  902106 */     // No operand predicates
     /*  902106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902119 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  902119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  902136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902159 */     GIR_RootConstrainSelectedInstOperands,
     /*  902160 */     // GIR_Coverage, 9356,
     /*  902160 */     GIR_EraseRootFromParent_Done,
     /*  902161 */   // Label 13522: @902161
     /*  902161 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(902271), // Rule ID 9357 //
     /*  902166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  902177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  902180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  902183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  902189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902216 */     // MIs[1] Operand 1
     /*  902216 */     // No operand predicates
     /*  902216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902229 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  902229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  902246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902269 */     GIR_RootConstrainSelectedInstOperands,
     /*  902270 */     // GIR_Coverage, 9357,
     /*  902270 */     GIR_EraseRootFromParent_Done,
     /*  902271 */   // Label 13523: @902271
     /*  902271 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(902381), // Rule ID 9360 //
     /*  902276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  902279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  902287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  902290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  902299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902326 */     // MIs[1] Operand 1
     /*  902326 */     // No operand predicates
     /*  902326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902339 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  902339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  902356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902379 */     GIR_RootConstrainSelectedInstOperands,
     /*  902380 */     // GIR_Coverage, 9360,
     /*  902380 */     GIR_EraseRootFromParent_Done,
     /*  902381 */   // Label 13524: @902381
     /*  902381 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(902491), // Rule ID 9361 //
     /*  902386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  902389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  902397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  902400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  902403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  902409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902436 */     // MIs[1] Operand 1
     /*  902436 */     // No operand predicates
     /*  902436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  902449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  902466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902489 */     GIR_RootConstrainSelectedInstOperands,
     /*  902490 */     // GIR_Coverage, 9361,
     /*  902490 */     GIR_EraseRootFromParent_Done,
     /*  902491 */   // Label 13525: @902491
     /*  902491 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(902601), // Rule ID 9364 //
     /*  902496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  902507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  902510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  902519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902542 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902546 */     // MIs[1] Operand 1
     /*  902546 */     // No operand predicates
     /*  902546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902559 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  902559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  902576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902599 */     GIR_RootConstrainSelectedInstOperands,
     /*  902600 */     // GIR_Coverage, 9364,
     /*  902600 */     GIR_EraseRootFromParent_Done,
     /*  902601 */   // Label 13526: @902601
     /*  902601 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(902711), // Rule ID 9365 //
     /*  902606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  902617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  902620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  902623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  902629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902656 */     // MIs[1] Operand 1
     /*  902656 */     // No operand predicates
     /*  902656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902669 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  902669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  902686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902709 */     GIR_RootConstrainSelectedInstOperands,
     /*  902710 */     // GIR_Coverage, 9365,
     /*  902710 */     GIR_EraseRootFromParent_Done,
     /*  902711 */   // Label 13527: @902711
     /*  902711 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(902821), // Rule ID 9368 //
     /*  902716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  902727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  902730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  902739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902762 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902766 */     // MIs[1] Operand 1
     /*  902766 */     // No operand predicates
     /*  902766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902779 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  902779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  902796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902819 */     GIR_RootConstrainSelectedInstOperands,
     /*  902820 */     // GIR_Coverage, 9368,
     /*  902820 */     GIR_EraseRootFromParent_Done,
     /*  902821 */   // Label 13528: @902821
     /*  902821 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(902931), // Rule ID 9369 //
     /*  902826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  902829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  902837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  902840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  902843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  902849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  902852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902876 */     // MIs[1] Operand 1
     /*  902876 */     // No operand predicates
     /*  902876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902889 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  902889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  902893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  902899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  902903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  902906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  902915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  902921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902929 */     GIR_RootConstrainSelectedInstOperands,
     /*  902930 */     // GIR_Coverage, 9369,
     /*  902930 */     GIR_EraseRootFromParent_Done,
     /*  902931 */   // Label 13529: @902931
     /*  902931 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(903041), // Rule ID 9372 //
     /*  902936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  902939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  902944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  902947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  902950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  902953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  902959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  902962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  902978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  902982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  902986 */     // MIs[1] Operand 1
     /*  902986 */     // No operand predicates
     /*  902986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  902990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  902992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902999 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  902999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  903016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903039 */     GIR_RootConstrainSelectedInstOperands,
     /*  903040 */     // GIR_Coverage, 9372,
     /*  903040 */     GIR_EraseRootFromParent_Done,
     /*  903041 */   // Label 13530: @903041
     /*  903041 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(903151), // Rule ID 9373 //
     /*  903046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  903057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  903060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  903063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  903069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903096 */     // MIs[1] Operand 1
     /*  903096 */     // No operand predicates
     /*  903096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903109 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  903109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  903126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903149 */     GIR_RootConstrainSelectedInstOperands,
     /*  903150 */     // GIR_Coverage, 9373,
     /*  903150 */     GIR_EraseRootFromParent_Done,
     /*  903151 */   // Label 13531: @903151
     /*  903151 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(903261), // Rule ID 9376 //
     /*  903156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  903167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  903170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  903179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903206 */     // MIs[1] Operand 1
     /*  903206 */     // No operand predicates
     /*  903206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  903219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  903236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903259 */     GIR_RootConstrainSelectedInstOperands,
     /*  903260 */     // GIR_Coverage, 9376,
     /*  903260 */     GIR_EraseRootFromParent_Done,
     /*  903261 */   // Label 13532: @903261
     /*  903261 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(903371), // Rule ID 9377 //
     /*  903266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  903277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  903280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  903283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  903289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903316 */     // MIs[1] Operand 1
     /*  903316 */     // No operand predicates
     /*  903316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  903329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  903346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903369 */     GIR_RootConstrainSelectedInstOperands,
     /*  903370 */     // GIR_Coverage, 9377,
     /*  903370 */     GIR_EraseRootFromParent_Done,
     /*  903371 */   // Label 13533: @903371
     /*  903371 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(903481), // Rule ID 9380 //
     /*  903376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  903387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  903390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  903399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903422 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903426 */     // MIs[1] Operand 1
     /*  903426 */     // No operand predicates
     /*  903426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903439 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  903439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  903456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903479 */     GIR_RootConstrainSelectedInstOperands,
     /*  903480 */     // GIR_Coverage, 9380,
     /*  903480 */     GIR_EraseRootFromParent_Done,
     /*  903481 */   // Label 13534: @903481
     /*  903481 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(903591), // Rule ID 9381 //
     /*  903486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  903497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  903500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  903503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  903509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  903524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903536 */     // MIs[1] Operand 1
     /*  903536 */     // No operand predicates
     /*  903536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903549 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  903549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  903566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903589 */     GIR_RootConstrainSelectedInstOperands,
     /*  903590 */     // GIR_Coverage, 9381,
     /*  903590 */     GIR_EraseRootFromParent_Done,
     /*  903591 */   // Label 13535: @903591
     /*  903591 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(903701), // Rule ID 9384 //
     /*  903596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  903607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  903610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  903619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903646 */     // MIs[1] Operand 1
     /*  903646 */     // No operand predicates
     /*  903646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903659 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  903659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  903676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903699 */     GIR_RootConstrainSelectedInstOperands,
     /*  903700 */     // GIR_Coverage, 9384,
     /*  903700 */     GIR_EraseRootFromParent_Done,
     /*  903701 */   // Label 13536: @903701
     /*  903701 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(903811), // Rule ID 9385 //
     /*  903706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  903717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  903720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  903723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  903729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  903744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903756 */     // MIs[1] Operand 1
     /*  903756 */     // No operand predicates
     /*  903756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  903769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  903786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903809 */     GIR_RootConstrainSelectedInstOperands,
     /*  903810 */     // GIR_Coverage, 9385,
     /*  903810 */     GIR_EraseRootFromParent_Done,
     /*  903811 */   // Label 13537: @903811
     /*  903811 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(903921), // Rule ID 9388 //
     /*  903816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  903819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  903827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  903830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  903836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  903839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  903842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903866 */     // MIs[1] Operand 1
     /*  903866 */     // No operand predicates
     /*  903866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903879 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  903879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  903893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  903896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  903905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  903911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903919 */     GIR_RootConstrainSelectedInstOperands,
     /*  903920 */     // GIR_Coverage, 9388,
     /*  903920 */     GIR_EraseRootFromParent_Done,
     /*  903921 */   // Label 13538: @903921
     /*  903921 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(904031), // Rule ID 9389 //
     /*  903926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  903929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  903934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  903937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  903940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  903943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  903946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  903949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  903952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  903964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  903968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  903972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  903976 */     // MIs[1] Operand 1
     /*  903976 */     // No operand predicates
     /*  903976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  903980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  903982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  903989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  903993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  903999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  904006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904029 */     GIR_RootConstrainSelectedInstOperands,
     /*  904030 */     // GIR_Coverage, 9389,
     /*  904030 */     GIR_EraseRootFromParent_Done,
     /*  904031 */   // Label 13539: @904031
     /*  904031 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(904141), // Rule ID 9392 //
     /*  904036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  904039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  904047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  904050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  904059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904086 */     // MIs[1] Operand 1
     /*  904086 */     // No operand predicates
     /*  904086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904099 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  904099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  904116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904139 */     GIR_RootConstrainSelectedInstOperands,
     /*  904140 */     // GIR_Coverage, 9392,
     /*  904140 */     GIR_EraseRootFromParent_Done,
     /*  904141 */   // Label 13540: @904141
     /*  904141 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(904251), // Rule ID 9393 //
     /*  904146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  904149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  904157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  904160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  904163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  904169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904196 */     // MIs[1] Operand 1
     /*  904196 */     // No operand predicates
     /*  904196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904209 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  904209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  904226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904249 */     GIR_RootConstrainSelectedInstOperands,
     /*  904250 */     // GIR_Coverage, 9393,
     /*  904250 */     GIR_EraseRootFromParent_Done,
     /*  904251 */   // Label 13541: @904251
     /*  904251 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(904361), // Rule ID 9396 //
     /*  904256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  904259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  904267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  904270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  904279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904306 */     // MIs[1] Operand 1
     /*  904306 */     // No operand predicates
     /*  904306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904319 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  904319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  904336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904359 */     GIR_RootConstrainSelectedInstOperands,
     /*  904360 */     // GIR_Coverage, 9396,
     /*  904360 */     GIR_EraseRootFromParent_Done,
     /*  904361 */   // Label 13542: @904361
     /*  904361 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(904471), // Rule ID 9397 //
     /*  904366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  904369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  904377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  904380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  904383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  904389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904416 */     // MIs[1] Operand 1
     /*  904416 */     // No operand predicates
     /*  904416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904429 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  904429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  904446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904469 */     GIR_RootConstrainSelectedInstOperands,
     /*  904470 */     // GIR_Coverage, 9397,
     /*  904470 */     GIR_EraseRootFromParent_Done,
     /*  904471 */   // Label 13543: @904471
     /*  904471 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(904581), // Rule ID 9400 //
     /*  904476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  904479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  904487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  904490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  904499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904522 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904526 */     // MIs[1] Operand 1
     /*  904526 */     // No operand predicates
     /*  904526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  904539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  904556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904579 */     GIR_RootConstrainSelectedInstOperands,
     /*  904580 */     // GIR_Coverage, 9400,
     /*  904580 */     GIR_EraseRootFromParent_Done,
     /*  904581 */   // Label 13544: @904581
     /*  904581 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(904691), // Rule ID 9401 //
     /*  904586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  904589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  904597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  904600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  904603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  904609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904636 */     // MIs[1] Operand 1
     /*  904636 */     // No operand predicates
     /*  904636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  904649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  904666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904689 */     GIR_RootConstrainSelectedInstOperands,
     /*  904690 */     // GIR_Coverage, 9401,
     /*  904690 */     GIR_EraseRootFromParent_Done,
     /*  904691 */   // Label 13545: @904691
     /*  904691 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(904801), // Rule ID 9404 //
     /*  904696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  904699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  904707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  904710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  904719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904746 */     // MIs[1] Operand 1
     /*  904746 */     // No operand predicates
     /*  904746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904759 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  904759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  904776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904799 */     GIR_RootConstrainSelectedInstOperands,
     /*  904800 */     // GIR_Coverage, 9404,
     /*  904800 */     GIR_EraseRootFromParent_Done,
     /*  904801 */   // Label 13546: @904801
     /*  904801 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(904911), // Rule ID 9405 //
     /*  904806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  904809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  904817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  904820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  904823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  904826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  904829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  904832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904852 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904856 */     // MIs[1] Operand 1
     /*  904856 */     // No operand predicates
     /*  904856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904869 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  904869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  904886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  904895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  904901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904909 */     GIR_RootConstrainSelectedInstOperands,
     /*  904910 */     // GIR_Coverage, 9405,
     /*  904910 */     GIR_EraseRootFromParent_Done,
     /*  904911 */   // Label 13547: @904911
     /*  904911 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(905021), // Rule ID 9408 //
     /*  904916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  904919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  904924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  904927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  904930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  904933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  904936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  904939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  904942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  904958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  904962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  904966 */     // MIs[1] Operand 1
     /*  904966 */     // No operand predicates
     /*  904966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  904970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  904972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904979 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  904979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  904983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  904989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  904993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  904996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905019 */     GIR_RootConstrainSelectedInstOperands,
     /*  905020 */     // GIR_Coverage, 9408,
     /*  905020 */     GIR_EraseRootFromParent_Done,
     /*  905021 */   // Label 13548: @905021
     /*  905021 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(905131), // Rule ID 9409 //
     /*  905026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  905029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  905034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  905037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  905040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  905049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905076 */     // MIs[1] Operand 1
     /*  905076 */     // No operand predicates
     /*  905076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905089 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  905089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  905106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905129 */     GIR_RootConstrainSelectedInstOperands,
     /*  905130 */     // GIR_Coverage, 9409,
     /*  905130 */     GIR_EraseRootFromParent_Done,
     /*  905131 */   // Label 13549: @905131
     /*  905131 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(905241), // Rule ID 13786 //
     /*  905136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  905159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905182 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905186 */     // MIs[1] Operand 1
     /*  905186 */     // No operand predicates
     /*  905186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905199 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  905216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905239 */     GIR_RootConstrainSelectedInstOperands,
     /*  905240 */     // GIR_Coverage, 13786,
     /*  905240 */     GIR_EraseRootFromParent_Done,
     /*  905241 */   // Label 13550: @905241
     /*  905241 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(905351), // Rule ID 13787 //
     /*  905246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  905257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  905260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  905263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  905269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905296 */     // MIs[1] Operand 1
     /*  905296 */     // No operand predicates
     /*  905296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  905326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905349 */     GIR_RootConstrainSelectedInstOperands,
     /*  905350 */     // GIR_Coverage, 13787,
     /*  905350 */     GIR_EraseRootFromParent_Done,
     /*  905351 */   // Label 13551: @905351
     /*  905351 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(905461), // Rule ID 13788 //
     /*  905356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  905379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905406 */     // MIs[1] Operand 1
     /*  905406 */     // No operand predicates
     /*  905406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  905436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905459 */     GIR_RootConstrainSelectedInstOperands,
     /*  905460 */     // GIR_Coverage, 13788,
     /*  905460 */     GIR_EraseRootFromParent_Done,
     /*  905461 */   // Label 13552: @905461
     /*  905461 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(905571), // Rule ID 13789 //
     /*  905466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  905477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  905480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  905483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  905489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905516 */     // MIs[1] Operand 1
     /*  905516 */     // No operand predicates
     /*  905516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905529 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  905546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905569 */     GIR_RootConstrainSelectedInstOperands,
     /*  905570 */     // GIR_Coverage, 13789,
     /*  905570 */     GIR_EraseRootFromParent_Done,
     /*  905571 */   // Label 13553: @905571
     /*  905571 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(905681), // Rule ID 13790 //
     /*  905576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  905599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905626 */     // MIs[1] Operand 1
     /*  905626 */     // No operand predicates
     /*  905626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905639 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  905639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  905656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905679 */     GIR_RootConstrainSelectedInstOperands,
     /*  905680 */     // GIR_Coverage, 13790,
     /*  905680 */     GIR_EraseRootFromParent_Done,
     /*  905681 */   // Label 13554: @905681
     /*  905681 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(905791), // Rule ID 13791 //
     /*  905686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  905697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  905700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  905703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  905709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905736 */     // MIs[1] Operand 1
     /*  905736 */     // No operand predicates
     /*  905736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905749 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  905749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  905766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  905789 */     GIR_RootConstrainSelectedInstOperands,
     /*  905790 */     // GIR_Coverage, 13791,
     /*  905790 */     GIR_EraseRootFromParent_Done,
     /*  905791 */   // Label 13555: @905791
     /*  905791 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(905901), // Rule ID 13792 //
     /*  905796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  905799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  905816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  905819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  905822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905846 */     // MIs[1] Operand 1
     /*  905846 */     // No operand predicates
     /*  905846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  905859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  905876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  905891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905899 */     GIR_RootConstrainSelectedInstOperands,
     /*  905900 */     // GIR_Coverage, 13792,
     /*  905900 */     GIR_EraseRootFromParent_Done,
     /*  905901 */   // Label 13556: @905901
     /*  905901 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(906011), // Rule ID 13793 //
     /*  905906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  905909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  905914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  905917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  905920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  905923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  905926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  905929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  905932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  905936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  905944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  905948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  905952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  905956 */     // MIs[1] Operand 1
     /*  905956 */     // No operand predicates
     /*  905956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  905960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  905962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905969 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  905969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  905973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  905979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  905983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  905986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  905995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906009 */     GIR_RootConstrainSelectedInstOperands,
     /*  906010 */     // GIR_Coverage, 13793,
     /*  906010 */     GIR_EraseRootFromParent_Done,
     /*  906011 */   // Label 13557: @906011
     /*  906011 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(906121), // Rule ID 13794 //
     /*  906016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  906039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906062 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906066 */     // MIs[1] Operand 1
     /*  906066 */     // No operand predicates
     /*  906066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906079 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  906096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906119 */     GIR_RootConstrainSelectedInstOperands,
     /*  906120 */     // GIR_Coverage, 13794,
     /*  906120 */     GIR_EraseRootFromParent_Done,
     /*  906121 */   // Label 13558: @906121
     /*  906121 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(906231), // Rule ID 13795 //
     /*  906126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  906149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906176 */     // MIs[1] Operand 1
     /*  906176 */     // No operand predicates
     /*  906176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  906206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906229 */     GIR_RootConstrainSelectedInstOperands,
     /*  906230 */     // GIR_Coverage, 13795,
     /*  906230 */     GIR_EraseRootFromParent_Done,
     /*  906231 */   // Label 13559: @906231
     /*  906231 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(906341), // Rule ID 13796 //
     /*  906236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  906259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906286 */     // MIs[1] Operand 1
     /*  906286 */     // No operand predicates
     /*  906286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  906316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906339 */     GIR_RootConstrainSelectedInstOperands,
     /*  906340 */     // GIR_Coverage, 13796,
     /*  906340 */     GIR_EraseRootFromParent_Done,
     /*  906341 */   // Label 13560: @906341
     /*  906341 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(906451), // Rule ID 13797 //
     /*  906346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  906369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906396 */     // MIs[1] Operand 1
     /*  906396 */     // No operand predicates
     /*  906396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906409 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  906409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  906426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906449 */     GIR_RootConstrainSelectedInstOperands,
     /*  906450 */     // GIR_Coverage, 13797,
     /*  906450 */     GIR_EraseRootFromParent_Done,
     /*  906451 */   // Label 13561: @906451
     /*  906451 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(906561), // Rule ID 13798 //
     /*  906456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  906479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906506 */     // MIs[1] Operand 1
     /*  906506 */     // No operand predicates
     /*  906506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906519 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  906519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  906536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906559 */     GIR_RootConstrainSelectedInstOperands,
     /*  906560 */     // GIR_Coverage, 13798,
     /*  906560 */     GIR_EraseRootFromParent_Done,
     /*  906561 */   // Label 13562: @906561
     /*  906561 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(906671), // Rule ID 13799 //
     /*  906566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  906589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906616 */     // MIs[1] Operand 1
     /*  906616 */     // No operand predicates
     /*  906616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906629 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  906629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  906646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906669 */     GIR_RootConstrainSelectedInstOperands,
     /*  906670 */     // GIR_Coverage, 13799,
     /*  906670 */     GIR_EraseRootFromParent_Done,
     /*  906671 */   // Label 13563: @906671
     /*  906671 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(906781), // Rule ID 13800 //
     /*  906676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  906699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906726 */     // MIs[1] Operand 1
     /*  906726 */     // No operand predicates
     /*  906726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  906739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  906756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906779 */     GIR_RootConstrainSelectedInstOperands,
     /*  906780 */     // GIR_Coverage, 13800,
     /*  906780 */     GIR_EraseRootFromParent_Done,
     /*  906781 */   // Label 13564: @906781
     /*  906781 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(906891), // Rule ID 13801 //
     /*  906786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  906789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  906797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  906800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  906803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  906809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  906812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906836 */     // MIs[1] Operand 1
     /*  906836 */     // No operand predicates
     /*  906836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906849 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  906849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  906866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906889 */     GIR_RootConstrainSelectedInstOperands,
     /*  906890 */     // GIR_Coverage, 13801,
     /*  906890 */     GIR_EraseRootFromParent_Done,
     /*  906891 */   // Label 13565: @906891
     /*  906891 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(907001), // Rule ID 13802 //
     /*  906896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  906899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  906904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  906907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  906910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  906913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  906919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  906922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  906926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  906938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  906942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  906946 */     // MIs[1] Operand 1
     /*  906946 */     // No operand predicates
     /*  906946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  906950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  906952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  906959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  906963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  906969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  906973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  906976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  906985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  906991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906999 */     GIR_RootConstrainSelectedInstOperands,
     /*  907000 */     // GIR_Coverage, 13802,
     /*  907000 */     GIR_EraseRootFromParent_Done,
     /*  907001 */   // Label 13566: @907001
     /*  907001 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(907111), // Rule ID 13803 //
     /*  907006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  907020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  907029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907056 */     // MIs[1] Operand 1
     /*  907056 */     // No operand predicates
     /*  907056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  907069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  907086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907109 */     GIR_RootConstrainSelectedInstOperands,
     /*  907110 */     // GIR_Coverage, 13803,
     /*  907110 */     GIR_EraseRootFromParent_Done,
     /*  907111 */   // Label 13567: @907111
     /*  907111 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(907221), // Rule ID 13804 //
     /*  907116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  907119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  907139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907166 */     // MIs[1] Operand 1
     /*  907166 */     // No operand predicates
     /*  907166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  907179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  907196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907219 */     GIR_RootConstrainSelectedInstOperands,
     /*  907220 */     // GIR_Coverage, 13804,
     /*  907220 */     GIR_EraseRootFromParent_Done,
     /*  907221 */   // Label 13568: @907221
     /*  907221 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(907331), // Rule ID 13805 //
     /*  907226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  907229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  907249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  907256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907276 */     // MIs[1] Operand 1
     /*  907276 */     // No operand predicates
     /*  907276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  907289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  907306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907329 */     GIR_RootConstrainSelectedInstOperands,
     /*  907330 */     // GIR_Coverage, 13805,
     /*  907330 */     GIR_EraseRootFromParent_Done,
     /*  907331 */   // Label 13569: @907331
     /*  907331 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(907441), // Rule ID 13806 //
     /*  907336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  907359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  907366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907386 */     // MIs[1] Operand 1
     /*  907386 */     // No operand predicates
     /*  907386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907399 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  907416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907439 */     GIR_RootConstrainSelectedInstOperands,
     /*  907440 */     // GIR_Coverage, 13806,
     /*  907440 */     GIR_EraseRootFromParent_Done,
     /*  907441 */   // Label 13570: @907441
     /*  907441 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(907551), // Rule ID 13807 //
     /*  907446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  907469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  907476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907496 */     // MIs[1] Operand 1
     /*  907496 */     // No operand predicates
     /*  907496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907509 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  907526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907549 */     GIR_RootConstrainSelectedInstOperands,
     /*  907550 */     // GIR_Coverage, 13807,
     /*  907550 */     GIR_EraseRootFromParent_Done,
     /*  907551 */   // Label 13571: @907551
     /*  907551 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(907661), // Rule ID 13808 //
     /*  907556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  907579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  907586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907602 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907606 */     // MIs[1] Operand 1
     /*  907606 */     // No operand predicates
     /*  907606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907619 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  907636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907659 */     GIR_RootConstrainSelectedInstOperands,
     /*  907660 */     // GIR_Coverage, 13808,
     /*  907660 */     GIR_EraseRootFromParent_Done,
     /*  907661 */   // Label 13572: @907661
     /*  907661 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(907771), // Rule ID 13809 //
     /*  907666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  907689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  907696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907716 */     // MIs[1] Operand 1
     /*  907716 */     // No operand predicates
     /*  907716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907729 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  907746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907769 */     GIR_RootConstrainSelectedInstOperands,
     /*  907770 */     // GIR_Coverage, 13809,
     /*  907770 */     GIR_EraseRootFromParent_Done,
     /*  907771 */   // Label 13573: @907771
     /*  907771 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(907881), // Rule ID 13810 //
     /*  907776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  907799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  907802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  907806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907826 */     // MIs[1] Operand 1
     /*  907826 */     // No operand predicates
     /*  907826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907839 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  907839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  907856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907879 */     GIR_RootConstrainSelectedInstOperands,
     /*  907880 */     // GIR_Coverage, 13810,
     /*  907880 */     GIR_EraseRootFromParent_Done,
     /*  907881 */   // Label 13574: @907881
     /*  907881 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(907991), // Rule ID 13811 //
     /*  907886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  907889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  907894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  907909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  907912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  907916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  907928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  907932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  907936 */     // MIs[1] Operand 1
     /*  907936 */     // No operand predicates
     /*  907936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  907940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  907942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  907949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  907953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  907959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  907963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  907966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  907975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  907981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907989 */     GIR_RootConstrainSelectedInstOperands,
     /*  907990 */     // GIR_Coverage, 13811,
     /*  907990 */     GIR_EraseRootFromParent_Done,
     /*  907991 */   // Label 13575: @907991
     /*  907991 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(908101), // Rule ID 13812 //
     /*  907996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  907999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  908010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  908019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908046 */     // MIs[1] Operand 1
     /*  908046 */     // No operand predicates
     /*  908046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  908076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908099 */     GIR_RootConstrainSelectedInstOperands,
     /*  908100 */     // GIR_Coverage, 13812,
     /*  908100 */     GIR_EraseRootFromParent_Done,
     /*  908101 */   // Label 13576: @908101
     /*  908101 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(908211), // Rule ID 13813 //
     /*  908106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  908120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  908129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908156 */     // MIs[1] Operand 1
     /*  908156 */     // No operand predicates
     /*  908156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908169 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  908186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908209 */     GIR_RootConstrainSelectedInstOperands,
     /*  908210 */     // GIR_Coverage, 13813,
     /*  908210 */     GIR_EraseRootFromParent_Done,
     /*  908211 */   // Label 13577: @908211
     /*  908211 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(908321), // Rule ID 13814 //
     /*  908216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  908230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  908239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908266 */     // MIs[1] Operand 1
     /*  908266 */     // No operand predicates
     /*  908266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  908296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908319 */     GIR_RootConstrainSelectedInstOperands,
     /*  908320 */     // GIR_Coverage, 13814,
     /*  908320 */     GIR_EraseRootFromParent_Done,
     /*  908321 */   // Label 13578: @908321
     /*  908321 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(908431), // Rule ID 13815 //
     /*  908326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  908340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  908349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908376 */     // MIs[1] Operand 1
     /*  908376 */     // No operand predicates
     /*  908376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908389 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  908406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908429 */     GIR_RootConstrainSelectedInstOperands,
     /*  908430 */     // GIR_Coverage, 13815,
     /*  908430 */     GIR_EraseRootFromParent_Done,
     /*  908431 */   // Label 13579: @908431
     /*  908431 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(908541), // Rule ID 13816 //
     /*  908436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  908450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  908459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908486 */     // MIs[1] Operand 1
     /*  908486 */     // No operand predicates
     /*  908486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  908499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  908516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908539 */     GIR_RootConstrainSelectedInstOperands,
     /*  908540 */     // GIR_Coverage, 13816,
     /*  908540 */     GIR_EraseRootFromParent_Done,
     /*  908541 */   // Label 13580: @908541
     /*  908541 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(908651), // Rule ID 13817 //
     /*  908546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  908560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  908569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  908576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908596 */     // MIs[1] Operand 1
     /*  908596 */     // No operand predicates
     /*  908596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  908609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  908626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908649 */     GIR_RootConstrainSelectedInstOperands,
     /*  908650 */     // GIR_Coverage, 13817,
     /*  908650 */     GIR_EraseRootFromParent_Done,
     /*  908651 */   // Label 13581: @908651
     /*  908651 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(908761), // Rule ID 13818 //
     /*  908656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  908679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908702 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908706 */     // MIs[1] Operand 1
     /*  908706 */     // No operand predicates
     /*  908706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  908736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908759 */     GIR_RootConstrainSelectedInstOperands,
     /*  908760 */     // GIR_Coverage, 13818,
     /*  908760 */     GIR_EraseRootFromParent_Done,
     /*  908761 */   // Label 13582: @908761
     /*  908761 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(908871), // Rule ID 13819 //
     /*  908766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  908789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  908792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  908796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908816 */     // MIs[1] Operand 1
     /*  908816 */     // No operand predicates
     /*  908816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908829 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  908829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  908846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908869 */     GIR_RootConstrainSelectedInstOperands,
     /*  908870 */     // GIR_Coverage, 13819,
     /*  908870 */     GIR_EraseRootFromParent_Done,
     /*  908871 */   // Label 13583: @908871
     /*  908871 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(908981), // Rule ID 13820 //
     /*  908876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  908879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  908899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  908902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  908906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  908918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  908922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  908926 */     // MIs[1] Operand 1
     /*  908926 */     // No operand predicates
     /*  908926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  908930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  908932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  908939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  908943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  908949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  908953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  908956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  908965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  908971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908979 */     GIR_RootConstrainSelectedInstOperands,
     /*  908980 */     // GIR_Coverage, 13820,
     /*  908980 */     GIR_EraseRootFromParent_Done,
     /*  908981 */   // Label 13584: @908981
     /*  908981 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(909091), // Rule ID 13821 //
     /*  908986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  908989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  908994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  909009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  909016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909036 */     // MIs[1] Operand 1
     /*  909036 */     // No operand predicates
     /*  909036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909049 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  909066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909089 */     GIR_RootConstrainSelectedInstOperands,
     /*  909090 */     // GIR_Coverage, 13821,
     /*  909090 */     GIR_EraseRootFromParent_Done,
     /*  909091 */   // Label 13585: @909091
     /*  909091 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(909201), // Rule ID 13822 //
     /*  909096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  909099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  909119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909146 */     // MIs[1] Operand 1
     /*  909146 */     // No operand predicates
     /*  909146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909159 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  909159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  909176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909199 */     GIR_RootConstrainSelectedInstOperands,
     /*  909200 */     // GIR_Coverage, 13822,
     /*  909200 */     GIR_EraseRootFromParent_Done,
     /*  909201 */   // Label 13586: @909201
     /*  909201 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(909311), // Rule ID 13823 //
     /*  909206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  909209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  909229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909256 */     // MIs[1] Operand 1
     /*  909256 */     // No operand predicates
     /*  909256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  909269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  909286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909309 */     GIR_RootConstrainSelectedInstOperands,
     /*  909310 */     // GIR_Coverage, 13823,
     /*  909310 */     GIR_EraseRootFromParent_Done,
     /*  909311 */   // Label 13587: @909311
     /*  909311 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(909421), // Rule ID 13824 //
     /*  909316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  909319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  909330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  909339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  909346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909366 */     // MIs[1] Operand 1
     /*  909366 */     // No operand predicates
     /*  909366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909379 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  909396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909419 */     GIR_RootConstrainSelectedInstOperands,
     /*  909420 */     // GIR_Coverage, 13824,
     /*  909420 */     GIR_EraseRootFromParent_Done,
     /*  909421 */   // Label 13588: @909421
     /*  909421 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(909531), // Rule ID 13825 //
     /*  909426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  909429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  909440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  909449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  909456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909476 */     // MIs[1] Operand 1
     /*  909476 */     // No operand predicates
     /*  909476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  909506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909529 */     GIR_RootConstrainSelectedInstOperands,
     /*  909530 */     // GIR_Coverage, 13825,
     /*  909530 */     GIR_EraseRootFromParent_Done,
     /*  909531 */   // Label 13589: @909531
     /*  909531 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(909641), // Rule ID 13826 //
     /*  909536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  909539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  909559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  909566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909586 */     // MIs[1] Operand 1
     /*  909586 */     // No operand predicates
     /*  909586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909599 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  909616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909639 */     GIR_RootConstrainSelectedInstOperands,
     /*  909640 */     // GIR_Coverage, 13826,
     /*  909640 */     GIR_EraseRootFromParent_Done,
     /*  909641 */   // Label 13590: @909641
     /*  909641 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(909751), // Rule ID 13827 //
     /*  909646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  909649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  909669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  909676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909692 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909696 */     // MIs[1] Operand 1
     /*  909696 */     // No operand predicates
     /*  909696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  909726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909749 */     GIR_RootConstrainSelectedInstOperands,
     /*  909750 */     // GIR_Coverage, 13827,
     /*  909750 */     GIR_EraseRootFromParent_Done,
     /*  909751 */   // Label 13591: @909751
     /*  909751 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(909861), // Rule ID 13828 //
     /*  909756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  909759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  909779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909806 */     // MIs[1] Operand 1
     /*  909806 */     // No operand predicates
     /*  909806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  909819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  909836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909859 */     GIR_RootConstrainSelectedInstOperands,
     /*  909860 */     // GIR_Coverage, 13828,
     /*  909860 */     GIR_EraseRootFromParent_Done,
     /*  909861 */   // Label 13592: @909861
     /*  909861 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(909971), // Rule ID 13829 //
     /*  909866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  909869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  909874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  909889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  909892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  909896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  909908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  909912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  909916 */     // MIs[1] Operand 1
     /*  909916 */     // No operand predicates
     /*  909916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  909920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  909922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909929 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  909929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  909933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  909939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /*  909943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  909946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  909955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  909961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909969 */     GIR_RootConstrainSelectedInstOperands,
     /*  909970 */     // GIR_Coverage, 13829,
     /*  909970 */     GIR_EraseRootFromParent_Done,
     /*  909971 */   // Label 13593: @909971
     /*  909971 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(910047), // Rule ID 2624 //
     /*  909976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  909979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  909984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  909987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  909990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  909993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  909996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910004 */     // MIs[0] passthru
     /*  910004 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910013 */     // MIs[0] round
     /*  910013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910023 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  910023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  910026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910045 */     GIR_RootConstrainSelectedInstOperands,
     /*  910046 */     // GIR_Coverage, 2624,
     /*  910046 */     GIR_EraseRootFromParent_Done,
     /*  910047 */   // Label 13594: @910047
     /*  910047 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(910123), // Rule ID 2625 //
     /*  910052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  910055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  910063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  910066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  910069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910080 */     // MIs[0] passthru
     /*  910080 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910089 */     // MIs[0] round
     /*  910089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910099 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  910099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  910102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910121 */     GIR_RootConstrainSelectedInstOperands,
     /*  910122 */     // GIR_Coverage, 2625,
     /*  910122 */     GIR_EraseRootFromParent_Done,
     /*  910123 */   // Label 13595: @910123
     /*  910123 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(910199), // Rule ID 16996 //
     /*  910128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  910131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910156 */     // MIs[0] passthru
     /*  910156 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910165 */     // MIs[0] round
     /*  910165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910175 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  910175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  910178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910197 */     GIR_RootConstrainSelectedInstOperands,
     /*  910198 */     // GIR_Coverage, 16996,
     /*  910198 */     GIR_EraseRootFromParent_Done,
     /*  910199 */   // Label 13596: @910199
     /*  910199 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(910275), // Rule ID 16997 //
     /*  910204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  910207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  910215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  910218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  910221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910232 */     // MIs[0] passthru
     /*  910232 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910241 */     // MIs[0] round
     /*  910241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910251 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  910251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  910254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910273 */     GIR_RootConstrainSelectedInstOperands,
     /*  910274 */     // GIR_Coverage, 16997,
     /*  910274 */     GIR_EraseRootFromParent_Done,
     /*  910275 */   // Label 13597: @910275
     /*  910275 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(910351), // Rule ID 17006 //
     /*  910280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  910283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  910294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910308 */     // MIs[0] passthru
     /*  910308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910317 */     // MIs[0] round
     /*  910317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910327 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  910327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  910330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910349 */     GIR_RootConstrainSelectedInstOperands,
     /*  910350 */     // GIR_Coverage, 17006,
     /*  910350 */     GIR_EraseRootFromParent_Done,
     /*  910351 */   // Label 13598: @910351
     /*  910351 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(910427), // Rule ID 17007 //
     /*  910356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  910359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  910367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  910370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  910373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910384 */     // MIs[0] passthru
     /*  910384 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910393 */     // MIs[0] round
     /*  910393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  910403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  910406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910425 */     GIR_RootConstrainSelectedInstOperands,
     /*  910426 */     // GIR_Coverage, 17007,
     /*  910426 */     GIR_EraseRootFromParent_Done,
     /*  910427 */   // Label 13599: @910427
     /*  910427 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(910503), // Rule ID 17016 //
     /*  910432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  910435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910460 */     // MIs[0] passthru
     /*  910460 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910469 */     // MIs[0] round
     /*  910469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910479 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  910479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  910482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910501 */     GIR_RootConstrainSelectedInstOperands,
     /*  910502 */     // GIR_Coverage, 17016,
     /*  910502 */     GIR_EraseRootFromParent_Done,
     /*  910503 */   // Label 13600: @910503
     /*  910503 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(910579), // Rule ID 17017 //
     /*  910508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  910511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  910519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  910522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  910525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910536 */     // MIs[0] passthru
     /*  910536 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910545 */     // MIs[0] round
     /*  910545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910555 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  910555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  910558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910577 */     GIR_RootConstrainSelectedInstOperands,
     /*  910578 */     // GIR_Coverage, 17017,
     /*  910578 */     GIR_EraseRootFromParent_Done,
     /*  910579 */   // Label 13601: @910579
     /*  910579 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(910655), // Rule ID 17026 //
     /*  910584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  910587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910612 */     // MIs[0] passthru
     /*  910612 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910621 */     // MIs[0] round
     /*  910621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910631 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  910631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  910634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910653 */     GIR_RootConstrainSelectedInstOperands,
     /*  910654 */     // GIR_Coverage, 17026,
     /*  910654 */     GIR_EraseRootFromParent_Done,
     /*  910655 */   // Label 13602: @910655
     /*  910655 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(910731), // Rule ID 17027 //
     /*  910660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  910663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  910671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  910674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  910677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  910688 */     // MIs[0] passthru
     /*  910688 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  910697 */     // MIs[0] round
     /*  910697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910707 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  910707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  910710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  910726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910729 */     GIR_RootConstrainSelectedInstOperands,
     /*  910730 */     // GIR_Coverage, 17027,
     /*  910730 */     GIR_EraseRootFromParent_Done,
     /*  910731 */   // Label 13603: @910731
     /*  910731 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(910807), // Rule ID 17036 //
     /*  910736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  910739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  910750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910764 */     // MIs[0] passthru
     /*  910764 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910773 */     // MIs[0] round
     /*  910773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  910783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  910786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910805 */     GIR_RootConstrainSelectedInstOperands,
     /*  910806 */     // GIR_Coverage, 17036,
     /*  910806 */     GIR_EraseRootFromParent_Done,
     /*  910807 */   // Label 13604: @910807
     /*  910807 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(910883), // Rule ID 17037 //
     /*  910812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  910815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  910823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  910826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  910829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910840 */     // MIs[0] passthru
     /*  910840 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910849 */     // MIs[0] round
     /*  910849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  910859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  910862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910881 */     GIR_RootConstrainSelectedInstOperands,
     /*  910882 */     // GIR_Coverage, 17037,
     /*  910882 */     GIR_EraseRootFromParent_Done,
     /*  910883 */   // Label 13605: @910883
     /*  910883 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(910959), // Rule ID 17046 //
     /*  910888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  910891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  910902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910916 */     // MIs[0] passthru
     /*  910916 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910925 */     // MIs[0] round
     /*  910925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910935 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  910935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  910938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  910942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  910944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  910946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  910954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  910957 */     GIR_RootConstrainSelectedInstOperands,
     /*  910958 */     // GIR_Coverage, 17046,
     /*  910958 */     GIR_EraseRootFromParent_Done,
     /*  910959 */   // Label 13606: @910959
     /*  910959 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(911035), // Rule ID 17047 //
     /*  910964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  910967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  910972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  910975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  910978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  910981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  910992 */     // MIs[0] passthru
     /*  910992 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  910997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911001 */     // MIs[0] round
     /*  911001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911011 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  911011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  911014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911033 */     GIR_RootConstrainSelectedInstOperands,
     /*  911034 */     // GIR_Coverage, 17047,
     /*  911034 */     GIR_EraseRootFromParent_Done,
     /*  911035 */   // Label 13607: @911035
     /*  911035 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(911111), // Rule ID 17056 //
     /*  911040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  911043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  911048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  911054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911068 */     // MIs[0] passthru
     /*  911068 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911077 */     // MIs[0] round
     /*  911077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911087 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  911087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  911090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911109 */     GIR_RootConstrainSelectedInstOperands,
     /*  911110 */     // GIR_Coverage, 17056,
     /*  911110 */     GIR_EraseRootFromParent_Done,
     /*  911111 */   // Label 13608: @911111
     /*  911111 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(911187), // Rule ID 17057 //
     /*  911116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  911119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  911124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  911127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  911130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  911133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911144 */     // MIs[0] passthru
     /*  911144 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911153 */     // MIs[0] round
     /*  911153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911163 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  911163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  911166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911185 */     GIR_RootConstrainSelectedInstOperands,
     /*  911186 */     // GIR_Coverage, 17057,
     /*  911186 */     GIR_EraseRootFromParent_Done,
     /*  911187 */   // Label 13609: @911187
     /*  911187 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(911263), // Rule ID 17066 //
     /*  911192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  911195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  911200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  911206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911220 */     // MIs[0] passthru
     /*  911220 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911229 */     // MIs[0] round
     /*  911229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911239 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  911239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  911242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911261 */     GIR_RootConstrainSelectedInstOperands,
     /*  911262 */     // GIR_Coverage, 17066,
     /*  911262 */     GIR_EraseRootFromParent_Done,
     /*  911263 */   // Label 13610: @911263
     /*  911263 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(911339), // Rule ID 17067 //
     /*  911268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  911271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  911276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  911279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  911282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  911285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911296 */     // MIs[0] passthru
     /*  911296 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911305 */     // MIs[0] round
     /*  911305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911315 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  911315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  911318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911337 */     GIR_RootConstrainSelectedInstOperands,
     /*  911338 */     // GIR_Coverage, 17067,
     /*  911338 */     GIR_EraseRootFromParent_Done,
     /*  911339 */   // Label 13611: @911339
     /*  911339 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(911415), // Rule ID 17112 //
     /*  911344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  911347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  911361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911372 */     // MIs[0] passthru
     /*  911372 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911381 */     // MIs[0] round
     /*  911381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911391 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  911391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  911394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911413 */     GIR_RootConstrainSelectedInstOperands,
     /*  911414 */     // GIR_Coverage, 17112,
     /*  911414 */     GIR_EraseRootFromParent_Done,
     /*  911415 */   // Label 13612: @911415
     /*  911415 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(911491), // Rule ID 17113 //
     /*  911420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  911423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  911434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  911437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911448 */     // MIs[0] passthru
     /*  911448 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911457 */     // MIs[0] round
     /*  911457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911467 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  911467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  911470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911489 */     GIR_RootConstrainSelectedInstOperands,
     /*  911490 */     // GIR_Coverage, 17113,
     /*  911490 */     GIR_EraseRootFromParent_Done,
     /*  911491 */   // Label 13613: @911491
     /*  911491 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(911567), // Rule ID 17122 //
     /*  911496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  911499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911524 */     // MIs[0] passthru
     /*  911524 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911533 */     // MIs[0] round
     /*  911533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  911543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  911546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911565 */     GIR_RootConstrainSelectedInstOperands,
     /*  911566 */     // GIR_Coverage, 17122,
     /*  911566 */     GIR_EraseRootFromParent_Done,
     /*  911567 */   // Label 13614: @911567
     /*  911567 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(911643), // Rule ID 17123 //
     /*  911572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  911575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  911586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911600 */     // MIs[0] passthru
     /*  911600 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911609 */     // MIs[0] round
     /*  911609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911619 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  911619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  911622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911641 */     GIR_RootConstrainSelectedInstOperands,
     /*  911642 */     // GIR_Coverage, 17123,
     /*  911642 */     GIR_EraseRootFromParent_Done,
     /*  911643 */   // Label 13615: @911643
     /*  911643 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(911719), // Rule ID 17132 //
     /*  911648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  911651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911676 */     // MIs[0] passthru
     /*  911676 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911685 */     // MIs[0] round
     /*  911685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911695 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  911695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  911698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911717 */     GIR_RootConstrainSelectedInstOperands,
     /*  911718 */     // GIR_Coverage, 17132,
     /*  911718 */     GIR_EraseRootFromParent_Done,
     /*  911719 */   // Label 13616: @911719
     /*  911719 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(911795), // Rule ID 17133 //
     /*  911724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  911727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  911735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  911738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911752 */     // MIs[0] passthru
     /*  911752 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911761 */     // MIs[0] round
     /*  911761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911771 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  911771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  911774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911793 */     GIR_RootConstrainSelectedInstOperands,
     /*  911794 */     // GIR_Coverage, 17133,
     /*  911794 */     GIR_EraseRootFromParent_Done,
     /*  911795 */   // Label 13617: @911795
     /*  911795 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(911871), // Rule ID 17142 //
     /*  911800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  911803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911828 */     // MIs[0] passthru
     /*  911828 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911837 */     // MIs[0] round
     /*  911837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911847 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  911847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  911850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911869 */     GIR_RootConstrainSelectedInstOperands,
     /*  911870 */     // GIR_Coverage, 17142,
     /*  911870 */     GIR_EraseRootFromParent_Done,
     /*  911871 */   // Label 13618: @911871
     /*  911871 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(911947), // Rule ID 17143 //
     /*  911876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  911879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  911887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  911890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  911893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911904 */     // MIs[0] passthru
     /*  911904 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  911913 */     // MIs[0] round
     /*  911913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911923 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  911923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  911926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  911930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  911932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  911934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  911945 */     GIR_RootConstrainSelectedInstOperands,
     /*  911946 */     // GIR_Coverage, 17143,
     /*  911946 */     GIR_EraseRootFromParent_Done,
     /*  911947 */   // Label 13619: @911947
     /*  911947 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(912023), // Rule ID 17152 //
     /*  911952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  911955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  911960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  911963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  911966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  911969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  911980 */     // MIs[0] passthru
     /*  911980 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  911985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  911989 */     // MIs[0] round
     /*  911989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911999 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  911999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  912002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912021 */     GIR_RootConstrainSelectedInstOperands,
     /*  912022 */     // GIR_Coverage, 17152,
     /*  912022 */     GIR_EraseRootFromParent_Done,
     /*  912023 */   // Label 13620: @912023
     /*  912023 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(912099), // Rule ID 17153 //
     /*  912028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  912031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  912039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  912042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912056 */     // MIs[0] passthru
     /*  912056 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912065 */     // MIs[0] round
     /*  912065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912075 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  912075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  912078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912097 */     GIR_RootConstrainSelectedInstOperands,
     /*  912098 */     // GIR_Coverage, 17153,
     /*  912098 */     GIR_EraseRootFromParent_Done,
     /*  912099 */   // Label 13621: @912099
     /*  912099 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(912175), // Rule ID 17162 //
     /*  912104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  912107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  912115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  912118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  912121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912132 */     // MIs[0] passthru
     /*  912132 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912141 */     // MIs[0] round
     /*  912141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  912151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  912154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912173 */     GIR_RootConstrainSelectedInstOperands,
     /*  912174 */     // GIR_Coverage, 17162,
     /*  912174 */     GIR_EraseRootFromParent_Done,
     /*  912175 */   // Label 13622: @912175
     /*  912175 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(912251), // Rule ID 17163 //
     /*  912180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  912183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  912191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  912194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  912197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912208 */     // MIs[0] passthru
     /*  912208 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912217 */     // MIs[0] round
     /*  912217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912227 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  912227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  912230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912249 */     GIR_RootConstrainSelectedInstOperands,
     /*  912250 */     // GIR_Coverage, 17163,
     /*  912250 */     GIR_EraseRootFromParent_Done,
     /*  912251 */   // Label 13623: @912251
     /*  912251 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(912327), // Rule ID 17172 //
     /*  912256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  912259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  912270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  912273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912284 */     // MIs[0] passthru
     /*  912284 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912293 */     // MIs[0] round
     /*  912293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  912303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  912306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912325 */     GIR_RootConstrainSelectedInstOperands,
     /*  912326 */     // GIR_Coverage, 17172,
     /*  912326 */     GIR_EraseRootFromParent_Done,
     /*  912327 */   // Label 13624: @912327
     /*  912327 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(912403), // Rule ID 17173 //
     /*  912332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  912335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  912343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  912346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  912349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912360 */     // MIs[0] passthru
     /*  912360 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912369 */     // MIs[0] round
     /*  912369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  912379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  912382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912401 */     GIR_RootConstrainSelectedInstOperands,
     /*  912402 */     // GIR_Coverage, 17173,
     /*  912402 */     GIR_EraseRootFromParent_Done,
     /*  912403 */   // Label 13625: @912403
     /*  912403 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(912479), // Rule ID 17182 //
     /*  912408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  912411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  912422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912436 */     // MIs[0] passthru
     /*  912436 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912445 */     // MIs[0] round
     /*  912445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912455 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  912455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  912458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912477 */     GIR_RootConstrainSelectedInstOperands,
     /*  912478 */     // GIR_Coverage, 17182,
     /*  912478 */     GIR_EraseRootFromParent_Done,
     /*  912479 */   // Label 13626: @912479
     /*  912479 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(912555), // Rule ID 17183 //
     /*  912484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  912487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  912495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  912498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  912501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912512 */     // MIs[0] passthru
     /*  912512 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912521 */     // MIs[0] round
     /*  912521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912531 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  912531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  912534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912553 */     GIR_RootConstrainSelectedInstOperands,
     /*  912554 */     // GIR_Coverage, 17183,
     /*  912554 */     GIR_EraseRootFromParent_Done,
     /*  912555 */   // Label 13627: @912555
     /*  912555 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(912631), // Rule ID 17192 //
     /*  912560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  912563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  912574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912588 */     // MIs[0] passthru
     /*  912588 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912597 */     // MIs[0] round
     /*  912597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912607 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  912607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  912610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912629 */     GIR_RootConstrainSelectedInstOperands,
     /*  912630 */     // GIR_Coverage, 17192,
     /*  912630 */     GIR_EraseRootFromParent_Done,
     /*  912631 */   // Label 13628: @912631
     /*  912631 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(912707), // Rule ID 17193 //
     /*  912636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  912639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  912644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  912647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  912650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  912653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912664 */     // MIs[0] passthru
     /*  912664 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  912669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912673 */     // MIs[0] round
     /*  912673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912683 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  912683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  912686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  912692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  912694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  912702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  912705 */     GIR_RootConstrainSelectedInstOperands,
     /*  912706 */     // GIR_Coverage, 17193,
     /*  912706 */     GIR_EraseRootFromParent_Done,
     /*  912707 */   // Label 13629: @912707
     /*  912707 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(912802), // Rule ID 2554 //
     /*  912712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  912720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  912729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  912732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  912739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  912751 */     // MIs[0] policy
     /*  912751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912761 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  912765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  912771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  912775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  912778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  912784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  912790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912800 */     GIR_RootConstrainSelectedInstOperands,
     /*  912801 */     // GIR_Coverage, 2554,
     /*  912801 */     GIR_EraseRootFromParent_Done,
     /*  912802 */   // Label 13630: @912802
     /*  912802 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(912897), // Rule ID 2555 //
     /*  912807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  912810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  912815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  912818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  912821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  912824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  912827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  912830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  912834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  912846 */     // MIs[0] policy
     /*  912846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  912856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  912860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  912866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  912870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  912873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  912879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  912885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912895 */     GIR_RootConstrainSelectedInstOperands,
     /*  912896 */     // GIR_Coverage, 2555,
     /*  912896 */     GIR_EraseRootFromParent_Done,
     /*  912897 */   // Label 13631: @912897
     /*  912897 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(912992), // Rule ID 2558 //
     /*  912902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  912905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  912910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  912913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  912916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  912919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  912922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  912925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  912929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  912941 */     // MIs[0] policy
     /*  912941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  912944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912951 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  912951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  912955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  912961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  912965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  912968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  912972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  912974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  912980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  912990 */     GIR_RootConstrainSelectedInstOperands,
     /*  912991 */     // GIR_Coverage, 2558,
     /*  912991 */     GIR_EraseRootFromParent_Done,
     /*  912992 */   // Label 13632: @912992
     /*  912992 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(913087), // Rule ID 2559 //
     /*  912997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  913005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  913017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913036 */     // MIs[0] policy
     /*  913036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913046 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913050 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /*  913063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913085 */     GIR_RootConstrainSelectedInstOperands,
     /*  913086 */     // GIR_Coverage, 2559,
     /*  913086 */     GIR_EraseRootFromParent_Done,
     /*  913087 */   // Label 13633: @913087
     /*  913087 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(913182), // Rule ID 2562 //
     /*  913092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  913095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  913100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  913112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913131 */     // MIs[0] policy
     /*  913131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  913158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913180 */     GIR_RootConstrainSelectedInstOperands,
     /*  913181 */     // GIR_Coverage, 2562,
     /*  913181 */     GIR_EraseRootFromParent_Done,
     /*  913182 */   // Label 13634: @913182
     /*  913182 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(913277), // Rule ID 2563 //
     /*  913187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  913190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  913195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  913207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913226 */     // MIs[0] policy
     /*  913226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913236 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /*  913253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913275 */     GIR_RootConstrainSelectedInstOperands,
     /*  913276 */     // GIR_Coverage, 2563,
     /*  913276 */     GIR_EraseRootFromParent_Done,
     /*  913277 */   // Label 13635: @913277
     /*  913277 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(913372), // Rule ID 2598 //
     /*  913282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  913285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  913290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  913302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913321 */     // MIs[0] policy
     /*  913321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  913348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913370 */     GIR_RootConstrainSelectedInstOperands,
     /*  913371 */     // GIR_Coverage, 2598,
     /*  913371 */     GIR_EraseRootFromParent_Done,
     /*  913372 */   // Label 13636: @913372
     /*  913372 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(913467), // Rule ID 2599 //
     /*  913377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  913380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  913385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  913388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  913391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  913394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  913397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913416 */     // MIs[0] policy
     /*  913416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913426 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /*  913443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913465 */     GIR_RootConstrainSelectedInstOperands,
     /*  913466 */     // GIR_Coverage, 2599,
     /*  913466 */     GIR_EraseRootFromParent_Done,
     /*  913467 */   // Label 13637: @913467
     /*  913467 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(913544), // Rule ID 2630 //
     /*  913472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913511 */     // MIs[0] policy
     /*  913511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913521 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  913524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913542 */     GIR_RootConstrainSelectedInstOperands,
     /*  913543 */     // GIR_Coverage, 2630,
     /*  913543 */     GIR_EraseRootFromParent_Done,
     /*  913544 */   // Label 13638: @913544
     /*  913544 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(913621), // Rule ID 2631 //
     /*  913549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  913557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  913560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  913563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  913566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  913569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913588 */     // MIs[0] policy
     /*  913588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913598 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*  913601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  913605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  913607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  913609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  913617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913619 */     GIR_RootConstrainSelectedInstOperands,
     /*  913620 */     // GIR_Coverage, 2631,
     /*  913620 */     GIR_EraseRootFromParent_Done,
     /*  913621 */   // Label 13639: @913621
     /*  913621 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(913716), // Rule ID 4750 //
     /*  913626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  913634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  913646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913665 */     // MIs[0] policy
     /*  913665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  913692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913714 */     GIR_RootConstrainSelectedInstOperands,
     /*  913715 */     // GIR_Coverage, 4750,
     /*  913715 */     GIR_EraseRootFromParent_Done,
     /*  913716 */   // Label 13640: @913716
     /*  913716 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(913811), // Rule ID 4751 //
     /*  913721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  913729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  913732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  913735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  913738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  913741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913760 */     // MIs[0] policy
     /*  913760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  913787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913809 */     GIR_RootConstrainSelectedInstOperands,
     /*  913810 */     // GIR_Coverage, 4751,
     /*  913810 */     GIR_EraseRootFromParent_Done,
     /*  913811 */   // Label 13641: @913811
     /*  913811 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(913906), // Rule ID 4754 //
     /*  913816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  913819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  913824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  913830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  913836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  913839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913855 */     // MIs[0] policy
     /*  913855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913865 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  913865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  913882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913904 */     GIR_RootConstrainSelectedInstOperands,
     /*  913905 */     // GIR_Coverage, 4754,
     /*  913905 */     GIR_EraseRootFromParent_Done,
     /*  913906 */   // Label 13642: @913906
     /*  913906 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(914001), // Rule ID 4755 //
     /*  913911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  913914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  913919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  913922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  913925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  913928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  913931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  913934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  913938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  913946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  913950 */     // MIs[0] policy
     /*  913950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  913953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11312:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  913960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  913964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  913970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  913974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  913977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  913981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  913983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  913989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  913999 */     GIR_RootConstrainSelectedInstOperands,
     /*  914000 */     // GIR_Coverage, 4755,
     /*  914000 */     GIR_EraseRootFromParent_Done,
     /*  914001 */   // Label 13643: @914001
     /*  914001 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(914096), // Rule ID 4758 //
     /*  914006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  914026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  914033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914045 */     // MIs[0] policy
     /*  914045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  914072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914094 */     GIR_RootConstrainSelectedInstOperands,
     /*  914095 */     // GIR_Coverage, 4758,
     /*  914095 */     GIR_EraseRootFromParent_Done,
     /*  914096 */   // Label 13644: @914096
     /*  914096 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(914191), // Rule ID 4759 //
     /*  914101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  914115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  914118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  914121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  914128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914140 */     // MIs[0] policy
     /*  914140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  914167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914189 */     GIR_RootConstrainSelectedInstOperands,
     /*  914190 */     // GIR_Coverage, 4759,
     /*  914190 */     GIR_EraseRootFromParent_Done,
     /*  914191 */   // Label 13645: @914191
     /*  914191 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(914286), // Rule ID 4762 //
     /*  914196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  914210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  914216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  914223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914235 */     // MIs[0] policy
     /*  914235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  914262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914284 */     GIR_RootConstrainSelectedInstOperands,
     /*  914285 */     // GIR_Coverage, 4762,
     /*  914285 */     GIR_EraseRootFromParent_Done,
     /*  914286 */   // Label 13646: @914286
     /*  914286 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(914381), // Rule ID 4763 //
     /*  914291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  914305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  914308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  914311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  914318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914330 */     // MIs[0] policy
     /*  914330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  914357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914379 */     GIR_RootConstrainSelectedInstOperands,
     /*  914380 */     // GIR_Coverage, 4763,
     /*  914380 */     GIR_EraseRootFromParent_Done,
     /*  914381 */   // Label 13647: @914381
     /*  914381 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(914476), // Rule ID 4766 //
     /*  914386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  914400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  914403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  914406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  914413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914425 */     // MIs[0] policy
     /*  914425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  914452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914474 */     GIR_RootConstrainSelectedInstOperands,
     /*  914475 */     // GIR_Coverage, 4766,
     /*  914475 */     GIR_EraseRootFromParent_Done,
     /*  914476 */   // Label 13648: @914476
     /*  914476 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(914571), // Rule ID 4767 //
     /*  914481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  914495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  914498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  914501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  914508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914520 */     // MIs[0] policy
     /*  914520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  914547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  914567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914569 */     GIR_RootConstrainSelectedInstOperands,
     /*  914570 */     // GIR_Coverage, 4767,
     /*  914570 */     GIR_EraseRootFromParent_Done,
     /*  914571 */   // Label 13649: @914571
     /*  914571 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(914666), // Rule ID 4770 //
     /*  914576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  914596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  914603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914615 */     // MIs[0] policy
     /*  914615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  914642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914664 */     GIR_RootConstrainSelectedInstOperands,
     /*  914665 */     // GIR_Coverage, 4770,
     /*  914665 */     GIR_EraseRootFromParent_Done,
     /*  914666 */   // Label 13650: @914666
     /*  914666 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(914761), // Rule ID 4771 //
     /*  914671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  914682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  914685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  914691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  914698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914710 */     // MIs[0] policy
     /*  914710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /*  914737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914759 */     GIR_RootConstrainSelectedInstOperands,
     /*  914760 */     // GIR_Coverage, 4771,
     /*  914760 */     GIR_EraseRootFromParent_Done,
     /*  914761 */   // Label 13651: @914761
     /*  914761 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(914856), // Rule ID 4774 //
     /*  914766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  914786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  914793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914805 */     // MIs[0] policy
     /*  914805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914815 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  914815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  914832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914854 */     GIR_RootConstrainSelectedInstOperands,
     /*  914855 */     // GIR_Coverage, 4774,
     /*  914855 */     GIR_EraseRootFromParent_Done,
     /*  914856 */   // Label 13652: @914856
     /*  914856 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(914951), // Rule ID 4775 //
     /*  914861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  914864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  914872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  914875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  914881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  914884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  914888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914900 */     // MIs[0] policy
     /*  914900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914910 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  914910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  914914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  914920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  914924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  914927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  914931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  914933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  914939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  914947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  914949 */     GIR_RootConstrainSelectedInstOperands,
     /*  914950 */     // GIR_Coverage, 4775,
     /*  914950 */     GIR_EraseRootFromParent_Done,
     /*  914951 */   // Label 13653: @914951
     /*  914951 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(915046), // Rule ID 4778 //
     /*  914956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  914959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  914964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  914967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  914970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  914976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  914979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  914983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  914995 */     // MIs[0] policy
     /*  914995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  914998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915005 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  915022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915044 */     GIR_RootConstrainSelectedInstOperands,
     /*  915045 */     // GIR_Coverage, 4778,
     /*  915045 */     GIR_EraseRootFromParent_Done,
     /*  915046 */   // Label 13654: @915046
     /*  915046 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(915141), // Rule ID 4779 //
     /*  915051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  915065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  915068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  915071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  915078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915090 */     // MIs[0] policy
     /*  915090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  915117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915139 */     GIR_RootConstrainSelectedInstOperands,
     /*  915140 */     // GIR_Coverage, 4779,
     /*  915140 */     GIR_EraseRootFromParent_Done,
     /*  915141 */   // Label 13655: @915141
     /*  915141 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(915236), // Rule ID 4782 //
     /*  915146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  915166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  915173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915185 */     // MIs[0] policy
     /*  915185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  915212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915234 */     GIR_RootConstrainSelectedInstOperands,
     /*  915235 */     // GIR_Coverage, 4782,
     /*  915235 */     GIR_EraseRootFromParent_Done,
     /*  915236 */   // Label 13656: @915236
     /*  915236 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(915331), // Rule ID 4783 //
     /*  915241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  915255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  915258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  915261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  915268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915280 */     // MIs[0] policy
     /*  915280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  915307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915329 */     GIR_RootConstrainSelectedInstOperands,
     /*  915330 */     // GIR_Coverage, 4783,
     /*  915330 */     GIR_EraseRootFromParent_Done,
     /*  915331 */   // Label 13657: @915331
     /*  915331 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(915426), // Rule ID 4786 //
     /*  915336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  915339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  915350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  915356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  915363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915375 */     // MIs[0] policy
     /*  915375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915385 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  915402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915424 */     GIR_RootConstrainSelectedInstOperands,
     /*  915425 */     // GIR_Coverage, 4786,
     /*  915425 */     GIR_EraseRootFromParent_Done,
     /*  915426 */   // Label 13658: @915426
     /*  915426 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(915521), // Rule ID 4787 //
     /*  915431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  915434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  915445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  915448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  915451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  915458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915470 */     // MIs[0] policy
     /*  915470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  915497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  915517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915519 */     GIR_RootConstrainSelectedInstOperands,
     /*  915520 */     // GIR_Coverage, 4787,
     /*  915520 */     GIR_EraseRootFromParent_Done,
     /*  915521 */   // Label 13659: @915521
     /*  915521 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(915616), // Rule ID 4790 //
     /*  915526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  915529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  915546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  915553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915565 */     // MIs[0] policy
     /*  915565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915575 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  915592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915614 */     GIR_RootConstrainSelectedInstOperands,
     /*  915615 */     // GIR_Coverage, 4790,
     /*  915615 */     GIR_EraseRootFromParent_Done,
     /*  915616 */   // Label 13660: @915616
     /*  915616 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(915711), // Rule ID 4791 //
     /*  915621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  915624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  915635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  915641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  915648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915660 */     // MIs[0] policy
     /*  915660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /*  915687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915709 */     GIR_RootConstrainSelectedInstOperands,
     /*  915710 */     // GIR_Coverage, 4791,
     /*  915710 */     GIR_EraseRootFromParent_Done,
     /*  915711 */   // Label 13661: @915711
     /*  915711 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(915806), // Rule ID 4794 //
     /*  915716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  915719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  915736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  915743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915755 */     // MIs[0] policy
     /*  915755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915765 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  915782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915804 */     GIR_RootConstrainSelectedInstOperands,
     /*  915805 */     // GIR_Coverage, 4794,
     /*  915805 */     GIR_EraseRootFromParent_Done,
     /*  915806 */   // Label 13662: @915806
     /*  915806 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(915901), // Rule ID 4795 //
     /*  915811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  915814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  915822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  915825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  915831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  915834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  915838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915850 */     // MIs[0] policy
     /*  915850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  915860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /*  915877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915899 */     GIR_RootConstrainSelectedInstOperands,
     /*  915900 */     // GIR_Coverage, 4795,
     /*  915900 */     GIR_EraseRootFromParent_Done,
     /*  915901 */   // Label 13663: @915901
     /*  915901 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(915996), // Rule ID 4798 //
     /*  915906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  915909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  915914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  915917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  915920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  915926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  915929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  915933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  915945 */     // MIs[0] policy
     /*  915945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  915948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  915955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  915959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  915965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  915969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  915972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  915976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  915978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  915984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  915992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  915994 */     GIR_RootConstrainSelectedInstOperands,
     /*  915995 */     // GIR_Coverage, 4798,
     /*  915995 */     GIR_EraseRootFromParent_Done,
     /*  915996 */   // Label 13664: @915996
     /*  915996 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(916091), // Rule ID 4799 //
     /*  916001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  916004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  916015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  916021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  916028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916040 */     // MIs[0] policy
     /*  916040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916050 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /*  916067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916089 */     GIR_RootConstrainSelectedInstOperands,
     /*  916090 */     // GIR_Coverage, 4799,
     /*  916090 */     GIR_EraseRootFromParent_Done,
     /*  916091 */   // Label 13665: @916091
     /*  916091 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(916186), // Rule ID 4802 //
     /*  916096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  916099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  916116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  916123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916135 */     // MIs[0] policy
     /*  916135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  916162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916184 */     GIR_RootConstrainSelectedInstOperands,
     /*  916185 */     // GIR_Coverage, 4802,
     /*  916185 */     GIR_EraseRootFromParent_Done,
     /*  916186 */   // Label 13666: @916186
     /*  916186 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(916281), // Rule ID 4803 //
     /*  916191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  916194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  916205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  916208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  916211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  916218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916230 */     // MIs[0] policy
     /*  916230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /*  916257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  916277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916279 */     GIR_RootConstrainSelectedInstOperands,
     /*  916280 */     // GIR_Coverage, 4803,
     /*  916280 */     GIR_EraseRootFromParent_Done,
     /*  916281 */   // Label 13667: @916281
     /*  916281 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(916376), // Rule ID 4806 //
     /*  916286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  916306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  916313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916325 */     // MIs[0] policy
     /*  916325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916335 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  916352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916374 */     GIR_RootConstrainSelectedInstOperands,
     /*  916375 */     // GIR_Coverage, 4806,
     /*  916375 */     GIR_EraseRootFromParent_Done,
     /*  916376 */   // Label 13668: @916376
     /*  916376 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(916471), // Rule ID 4807 //
     /*  916381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  916398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  916401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  916408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916420 */     // MIs[0] policy
     /*  916420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /*  916447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916469 */     GIR_RootConstrainSelectedInstOperands,
     /*  916470 */     // GIR_Coverage, 4807,
     /*  916470 */     GIR_EraseRootFromParent_Done,
     /*  916471 */   // Label 13669: @916471
     /*  916471 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(916566), // Rule ID 4810 //
     /*  916476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  916493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  916496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  916503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916515 */     // MIs[0] policy
     /*  916515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  916542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916564 */     GIR_RootConstrainSelectedInstOperands,
     /*  916565 */     // GIR_Coverage, 4810,
     /*  916565 */     GIR_EraseRootFromParent_Done,
     /*  916566 */   // Label 13670: @916566
     /*  916566 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(916661), // Rule ID 4811 //
     /*  916571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  916588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  916591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  916598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916610 */     // MIs[0] policy
     /*  916610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  916637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916659 */     GIR_RootConstrainSelectedInstOperands,
     /*  916660 */     // GIR_Coverage, 4811,
     /*  916660 */     GIR_EraseRootFromParent_Done,
     /*  916661 */   // Label 13671: @916661
     /*  916661 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(916756), // Rule ID 4814 //
     /*  916666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  916683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  916686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  916693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916705 */     // MIs[0] policy
     /*  916705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  916732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916754 */     GIR_RootConstrainSelectedInstOperands,
     /*  916755 */     // GIR_Coverage, 4814,
     /*  916755 */     GIR_EraseRootFromParent_Done,
     /*  916756 */   // Label 13672: @916756
     /*  916756 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(916851), // Rule ID 4815 //
     /*  916761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  916778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  916781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  916788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916800 */     // MIs[0] policy
     /*  916800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  916827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916849 */     GIR_RootConstrainSelectedInstOperands,
     /*  916850 */     // GIR_Coverage, 4815,
     /*  916850 */     GIR_EraseRootFromParent_Done,
     /*  916851 */   // Label 13673: @916851
     /*  916851 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(916946), // Rule ID 4818 //
     /*  916856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  916859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  916873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  916876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  916883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916895 */     // MIs[0] policy
     /*  916895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  916909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  916915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  916919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  916922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  916926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  916928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  916934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916944 */     GIR_RootConstrainSelectedInstOperands,
     /*  916945 */     // GIR_Coverage, 4818,
     /*  916945 */     GIR_EraseRootFromParent_Done,
     /*  916946 */   // Label 13674: @916946
     /*  916946 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(917041), // Rule ID 4819 //
     /*  916951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  916954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  916959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  916962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  916965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  916968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  916971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  916978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  916990 */     // MIs[0] policy
     /*  916990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  917017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917039 */     GIR_RootConstrainSelectedInstOperands,
     /*  917040 */     // GIR_Coverage, 4819,
     /*  917040 */     GIR_EraseRootFromParent_Done,
     /*  917041 */   // Label 13675: @917041
     /*  917041 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(917136), // Rule ID 4822 //
     /*  917046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  917049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  917066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  917073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917085 */     // MIs[0] policy
     /*  917085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917095 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  917112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917134 */     GIR_RootConstrainSelectedInstOperands,
     /*  917135 */     // GIR_Coverage, 4822,
     /*  917135 */     GIR_EraseRootFromParent_Done,
     /*  917136 */   // Label 13676: @917136
     /*  917136 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(917231), // Rule ID 4823 //
     /*  917141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  917144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  917158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  917161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  917168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917180 */     // MIs[0] policy
     /*  917180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  917207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917229 */     GIR_RootConstrainSelectedInstOperands,
     /*  917230 */     // GIR_Coverage, 4823,
     /*  917230 */     GIR_EraseRootFromParent_Done,
     /*  917231 */   // Label 13677: @917231
     /*  917231 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(917326), // Rule ID 4826 //
     /*  917236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  917239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  917256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  917263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917275 */     // MIs[0] policy
     /*  917275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917285 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  917302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917324 */     GIR_RootConstrainSelectedInstOperands,
     /*  917325 */     // GIR_Coverage, 4826,
     /*  917325 */     GIR_EraseRootFromParent_Done,
     /*  917326 */   // Label 13678: @917326
     /*  917326 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(917421), // Rule ID 4827 //
     /*  917331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  917334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  917342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  917345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  917348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  917351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  917358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917370 */     // MIs[0] policy
     /*  917370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917380 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /*  917397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917419 */     GIR_RootConstrainSelectedInstOperands,
     /*  917420 */     // GIR_Coverage, 4827,
     /*  917420 */     GIR_EraseRootFromParent_Done,
     /*  917421 */   // Label 13679: @917421
     /*  917421 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(917516), // Rule ID 4830 //
     /*  917426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  917429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  917437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  917440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  917446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  917453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917465 */     // MIs[0] policy
     /*  917465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  917492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917514 */     GIR_RootConstrainSelectedInstOperands,
     /*  917515 */     // GIR_Coverage, 4830,
     /*  917515 */     GIR_EraseRootFromParent_Done,
     /*  917516 */   // Label 13680: @917516
     /*  917516 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(917611), // Rule ID 4831 //
     /*  917521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  917524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  917532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  917535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  917538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  917541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  917548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917560 */     // MIs[0] policy
     /*  917560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /*  917587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917609 */     GIR_RootConstrainSelectedInstOperands,
     /*  917610 */     // GIR_Coverage, 4831,
     /*  917610 */     GIR_EraseRootFromParent_Done,
     /*  917611 */   // Label 13681: @917611
     /*  917611 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(917706), // Rule ID 4834 //
     /*  917616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  917619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  917633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  917636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  917643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917655 */     // MIs[0] policy
     /*  917655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917665 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  917682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917704 */     GIR_RootConstrainSelectedInstOperands,
     /*  917705 */     // GIR_Coverage, 4834,
     /*  917705 */     GIR_EraseRootFromParent_Done,
     /*  917706 */   // Label 13682: @917706
     /*  917706 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(917801), // Rule ID 4835 //
     /*  917711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  917714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  917722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  917725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  917728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  917731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  917738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917750 */     // MIs[0] policy
     /*  917750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917760 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /*  917777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917799 */     GIR_RootConstrainSelectedInstOperands,
     /*  917800 */     // GIR_Coverage, 4835,
     /*  917800 */     GIR_EraseRootFromParent_Done,
     /*  917801 */   // Label 13683: @917801
     /*  917801 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(917896), // Rule ID 4838 //
     /*  917806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  917809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  917823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  917826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  917833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917845 */     // MIs[0] policy
     /*  917845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917855 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  917872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917894 */     GIR_RootConstrainSelectedInstOperands,
     /*  917895 */     // GIR_Coverage, 4838,
     /*  917895 */     GIR_EraseRootFromParent_Done,
     /*  917896 */   // Label 13684: @917896
     /*  917896 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(917991), // Rule ID 4839 //
     /*  917901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  917904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  917909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  917912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  917915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  917918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  917921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  917928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  917940 */     // MIs[0] policy
     /*  917940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  917954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  917960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  917964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /*  917967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  917969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  917971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  917973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  917979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  917987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917989 */     GIR_RootConstrainSelectedInstOperands,
     /*  917990 */     // GIR_Coverage, 4839,
     /*  917990 */     GIR_EraseRootFromParent_Done,
     /*  917991 */   // Label 13685: @917991
     /*  917991 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(918086), // Rule ID 4842 //
     /*  917996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  917999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  918016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  918023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918035 */     // MIs[0] policy
     /*  918035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918045 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  918062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918084 */     GIR_RootConstrainSelectedInstOperands,
     /*  918085 */     // GIR_Coverage, 4842,
     /*  918085 */     GIR_EraseRootFromParent_Done,
     /*  918086 */   // Label 13686: @918086
     /*  918086 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(918181), // Rule ID 4843 //
     /*  918091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  918094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  918102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  918105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  918111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  918118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918130 */     // MIs[0] policy
     /*  918130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918140 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /*  918157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918179 */     GIR_RootConstrainSelectedInstOperands,
     /*  918180 */     // GIR_Coverage, 4843,
     /*  918180 */     GIR_EraseRootFromParent_Done,
     /*  918181 */   // Label 13687: @918181
     /*  918181 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(918276), // Rule ID 4846 //
     /*  918186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  918189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  918197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  918200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  918206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  918213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918225 */     // MIs[0] policy
     /*  918225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  918252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918274 */     GIR_RootConstrainSelectedInstOperands,
     /*  918275 */     // GIR_Coverage, 4846,
     /*  918275 */     GIR_EraseRootFromParent_Done,
     /*  918276 */   // Label 13688: @918276
     /*  918276 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(918371), // Rule ID 4847 //
     /*  918281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  918284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  918292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  918295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  918301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  918308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  918312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918320 */     // MIs[0] policy
     /*  918320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11312:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /*  918347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918369 */     GIR_RootConstrainSelectedInstOperands,
     /*  918370 */     // GIR_Coverage, 4847,
     /*  918370 */     GIR_EraseRootFromParent_Done,
     /*  918371 */   // Label 13689: @918371
     /*  918371 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(918466), // Rule ID 4850 //
     /*  918376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  918379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  918387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  918390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  918396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  918403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918415 */     // MIs[0] policy
     /*  918415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  918442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918464 */     GIR_RootConstrainSelectedInstOperands,
     /*  918465 */     // GIR_Coverage, 4850,
     /*  918465 */     GIR_EraseRootFromParent_Done,
     /*  918466 */   // Label 13690: @918466
     /*  918466 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(918561), // Rule ID 4851 //
     /*  918471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  918474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  918482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  918485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  918491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  918498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  918502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918510 */     // MIs[0] policy
     /*  918510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11312:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /*  918537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918559 */     GIR_RootConstrainSelectedInstOperands,
     /*  918560 */     // GIR_Coverage, 4851,
     /*  918560 */     GIR_EraseRootFromParent_Done,
     /*  918561 */   // Label 13691: @918561
     /*  918561 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(918656), // Rule ID 4854 //
     /*  918566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  918569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  918577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  918580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  918586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  918593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918605 */     // MIs[0] policy
     /*  918605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918615 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  918632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918654 */     GIR_RootConstrainSelectedInstOperands,
     /*  918655 */     // GIR_Coverage, 4854,
     /*  918655 */     GIR_EraseRootFromParent_Done,
     /*  918656 */   // Label 13692: @918656
     /*  918656 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(918751), // Rule ID 4855 //
     /*  918661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  918664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /*  918669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  918672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  918675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  918678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  918681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  918688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918700 */     // MIs[0] policy
     /*  918700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918710 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11312:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /*  918727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  918747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918749 */     GIR_RootConstrainSelectedInstOperands,
     /*  918750 */     // GIR_Coverage, 4855,
     /*  918750 */     GIR_EraseRootFromParent_Done,
     /*  918751 */   // Label 13693: @918751
     /*  918751 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(918846), // Rule ID 4858 //
     /*  918756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  918764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  918776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  918783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918795 */     // MIs[0] policy
     /*  918795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  918822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918844 */     GIR_RootConstrainSelectedInstOperands,
     /*  918845 */     // GIR_Coverage, 4858,
     /*  918845 */     GIR_EraseRootFromParent_Done,
     /*  918846 */   // Label 13694: @918846
     /*  918846 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(918941), // Rule ID 4859 //
     /*  918851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  918859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  918871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  918878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918890 */     // MIs[0] policy
     /*  918890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  918910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  918914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /*  918917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  918921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  918923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  918929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918939 */     GIR_RootConstrainSelectedInstOperands,
     /*  918940 */     // GIR_Coverage, 4859,
     /*  918940 */     GIR_EraseRootFromParent_Done,
     /*  918941 */   // Label 13695: @918941
     /*  918941 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(919036), // Rule ID 4862 //
     /*  918946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  918954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  918966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  918973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  918985 */     // MIs[0] policy
     /*  918985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  918999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  919012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919034 */     GIR_RootConstrainSelectedInstOperands,
     /*  919035 */     // GIR_Coverage, 4862,
     /*  919035 */     GIR_EraseRootFromParent_Done,
     /*  919036 */   // Label 13696: @919036
     /*  919036 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(919131), // Rule ID 4863 //
     /*  919041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  919052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  919055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  919058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  919061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  919068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919080 */     // MIs[0] policy
     /*  919080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919090 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  919107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919129 */     GIR_RootConstrainSelectedInstOperands,
     /*  919130 */     // GIR_Coverage, 4863,
     /*  919130 */     GIR_EraseRootFromParent_Done,
     /*  919131 */   // Label 13697: @919131
     /*  919131 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(919226), // Rule ID 4866 //
     /*  919136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  919153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  919156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  919163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919175 */     // MIs[0] policy
     /*  919175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  919202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919224 */     GIR_RootConstrainSelectedInstOperands,
     /*  919225 */     // GIR_Coverage, 4866,
     /*  919225 */     GIR_EraseRootFromParent_Done,
     /*  919226 */   // Label 13698: @919226
     /*  919226 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(919321), // Rule ID 4867 //
     /*  919231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  919248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  919251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  919258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919270 */     // MIs[0] policy
     /*  919270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919280 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  919297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919319 */     GIR_RootConstrainSelectedInstOperands,
     /*  919320 */     // GIR_Coverage, 4867,
     /*  919320 */     GIR_EraseRootFromParent_Done,
     /*  919321 */   // Label 13699: @919321
     /*  919321 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(919416), // Rule ID 4870 //
     /*  919326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  919343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  919346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  919353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919365 */     // MIs[0] policy
     /*  919365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919375 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  919392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919414 */     GIR_RootConstrainSelectedInstOperands,
     /*  919415 */     // GIR_Coverage, 4870,
     /*  919415 */     GIR_EraseRootFromParent_Done,
     /*  919416 */   // Label 13700: @919416
     /*  919416 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(919511), // Rule ID 4871 //
     /*  919421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  919432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  919435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  919438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  919441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  919448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919460 */     // MIs[0] policy
     /*  919460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919470 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  919487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919509 */     GIR_RootConstrainSelectedInstOperands,
     /*  919510 */     // GIR_Coverage, 4871,
     /*  919510 */     GIR_EraseRootFromParent_Done,
     /*  919511 */   // Label 13701: @919511
     /*  919511 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(919606), // Rule ID 4874 //
     /*  919516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  919536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  919543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919555 */     // MIs[0] policy
     /*  919555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  919582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919604 */     GIR_RootConstrainSelectedInstOperands,
     /*  919605 */     // GIR_Coverage, 4874,
     /*  919605 */     GIR_EraseRootFromParent_Done,
     /*  919606 */   // Label 13702: @919606
     /*  919606 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(919701), // Rule ID 4875 //
     /*  919611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  919622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  919625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  919631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  919638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919650 */     // MIs[0] policy
     /*  919650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  919677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919699 */     GIR_RootConstrainSelectedInstOperands,
     /*  919700 */     // GIR_Coverage, 4875,
     /*  919700 */     GIR_EraseRootFromParent_Done,
     /*  919701 */   // Label 13703: @919701
     /*  919701 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(919796), // Rule ID 4878 //
     /*  919706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  919726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  919733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919745 */     // MIs[0] policy
     /*  919745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  919772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919794 */     GIR_RootConstrainSelectedInstOperands,
     /*  919795 */     // GIR_Coverage, 4878,
     /*  919795 */     GIR_EraseRootFromParent_Done,
     /*  919796 */   // Label 13704: @919796
     /*  919796 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(919891), // Rule ID 4879 //
     /*  919801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  919812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  919815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  919818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  919821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  919828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  919832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  919836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919840 */     // MIs[0] policy
     /*  919840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  919867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919889 */     GIR_RootConstrainSelectedInstOperands,
     /*  919890 */     // GIR_Coverage, 4879,
     /*  919890 */     GIR_EraseRootFromParent_Done,
     /*  919891 */   // Label 13705: @919891
     /*  919891 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(919986), // Rule ID 4882 //
     /*  919896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  919907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  919910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  919913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  919916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  919923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  919935 */     // MIs[0] policy
     /*  919935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  919949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  919955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  919959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  919962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  919966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  919968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  919974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919984 */     GIR_RootConstrainSelectedInstOperands,
     /*  919985 */     // GIR_Coverage, 4882,
     /*  919985 */     GIR_EraseRootFromParent_Done,
     /*  919986 */   // Label 13706: @919986
     /*  919986 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(920081), // Rule ID 4883 //
     /*  919991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  919999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  920002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  920005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  920008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  920011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  920018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920030 */     // MIs[0] policy
     /*  920030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /*  920057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920079 */     GIR_RootConstrainSelectedInstOperands,
     /*  920080 */     // GIR_Coverage, 4883,
     /*  920080 */     GIR_EraseRootFromParent_Done,
     /*  920081 */   // Label 13707: @920081
     /*  920081 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(920176), // Rule ID 4886 //
     /*  920086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  920106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  920113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920125 */     // MIs[0] policy
     /*  920125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920135 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  920152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920174 */     GIR_RootConstrainSelectedInstOperands,
     /*  920175 */     // GIR_Coverage, 4886,
     /*  920175 */     GIR_EraseRootFromParent_Done,
     /*  920176 */   // Label 13708: @920176
     /*  920176 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(920271), // Rule ID 4887 //
     /*  920181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  920192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  920195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  920198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  920201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  920208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920220 */     // MIs[0] policy
     /*  920220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  920247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920269 */     GIR_RootConstrainSelectedInstOperands,
     /*  920270 */     // GIR_Coverage, 4887,
     /*  920270 */     GIR_EraseRootFromParent_Done,
     /*  920271 */   // Label 13709: @920271
     /*  920271 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(920366), // Rule ID 4890 //
     /*  920276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  920293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  920296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  920303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920315 */     // MIs[0] policy
     /*  920315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920325 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  920342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920364 */     GIR_RootConstrainSelectedInstOperands,
     /*  920365 */     // GIR_Coverage, 4890,
     /*  920365 */     GIR_EraseRootFromParent_Done,
     /*  920366 */   // Label 13710: @920366
     /*  920366 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(920461), // Rule ID 4891 //
     /*  920371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  920382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  920385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  920388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  920391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  920398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920410 */     // MIs[0] policy
     /*  920410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  920437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920459 */     GIR_RootConstrainSelectedInstOperands,
     /*  920460 */     // GIR_Coverage, 4891,
     /*  920460 */     GIR_EraseRootFromParent_Done,
     /*  920461 */   // Label 13711: @920461
     /*  920461 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(920556), // Rule ID 4894 //
     /*  920466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  920486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  920493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920505 */     // MIs[0] policy
     /*  920505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  920532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920554 */     GIR_RootConstrainSelectedInstOperands,
     /*  920555 */     // GIR_Coverage, 4894,
     /*  920555 */     GIR_EraseRootFromParent_Done,
     /*  920556 */   // Label 13712: @920556
     /*  920556 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(920651), // Rule ID 4895 //
     /*  920561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  920572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  920575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  920581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  920588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920600 */     // MIs[0] policy
     /*  920600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  920627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920649 */     GIR_RootConstrainSelectedInstOperands,
     /*  920650 */     // GIR_Coverage, 4895,
     /*  920650 */     GIR_EraseRootFromParent_Done,
     /*  920651 */   // Label 13713: @920651
     /*  920651 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(920746), // Rule ID 4898 //
     /*  920656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  920676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  920683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920695 */     // MIs[0] policy
     /*  920695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920705 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  920722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920744 */     GIR_RootConstrainSelectedInstOperands,
     /*  920745 */     // GIR_Coverage, 4898,
     /*  920745 */     GIR_EraseRootFromParent_Done,
     /*  920746 */   // Label 13714: @920746
     /*  920746 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(920841), // Rule ID 4899 //
     /*  920751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  920762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  920765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  920771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  920778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920790 */     // MIs[0] policy
     /*  920790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  920817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  920837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920839 */     GIR_RootConstrainSelectedInstOperands,
     /*  920840 */     // GIR_Coverage, 4899,
     /*  920840 */     GIR_EraseRootFromParent_Done,
     /*  920841 */   // Label 13715: @920841
     /*  920841 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(920936), // Rule ID 4902 //
     /*  920846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  920849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  920857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  920860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  920863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  920866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  920873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920885 */     // MIs[0] policy
     /*  920885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920895 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  920905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  920909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  920912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  920916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  920918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  920924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  920932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920934 */     GIR_RootConstrainSelectedInstOperands,
     /*  920935 */     // GIR_Coverage, 4902,
     /*  920935 */     GIR_EraseRootFromParent_Done,
     /*  920936 */   // Label 13716: @920936
     /*  920936 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(921031), // Rule ID 4903 //
     /*  920941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  920944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  920949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  920952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  920955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  920958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  920961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  920968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  920976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  920980 */     // MIs[0] policy
     /*  920980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920990 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  920994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /*  921007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921029 */     GIR_RootConstrainSelectedInstOperands,
     /*  921030 */     // GIR_Coverage, 4903,
     /*  921030 */     GIR_EraseRootFromParent_Done,
     /*  921031 */   // Label 13717: @921031
     /*  921031 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(921126), // Rule ID 4906 //
     /*  921036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  921039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  921056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  921063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921075 */     // MIs[0] policy
     /*  921075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921085 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  921102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921124 */     GIR_RootConstrainSelectedInstOperands,
     /*  921125 */     // GIR_Coverage, 4906,
     /*  921125 */     GIR_EraseRootFromParent_Done,
     /*  921126 */   // Label 13718: @921126
     /*  921126 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(921221), // Rule ID 4907 //
     /*  921131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  921134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  921148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  921151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  921158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921170 */     // MIs[0] policy
     /*  921170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /*  921197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921219 */     GIR_RootConstrainSelectedInstOperands,
     /*  921220 */     // GIR_Coverage, 4907,
     /*  921220 */     GIR_EraseRootFromParent_Done,
     /*  921221 */   // Label 13719: @921221
     /*  921221 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(921316), // Rule ID 4910 //
     /*  921226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  921229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  921246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  921253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921265 */     // MIs[0] policy
     /*  921265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  921292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921314 */     GIR_RootConstrainSelectedInstOperands,
     /*  921315 */     // GIR_Coverage, 4910,
     /*  921315 */     GIR_EraseRootFromParent_Done,
     /*  921316 */   // Label 13720: @921316
     /*  921316 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(921411), // Rule ID 4911 //
     /*  921321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  921324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  921341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  921348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921360 */     // MIs[0] policy
     /*  921360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /*  921387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921409 */     GIR_RootConstrainSelectedInstOperands,
     /*  921410 */     // GIR_Coverage, 4911,
     /*  921410 */     GIR_EraseRootFromParent_Done,
     /*  921411 */   // Label 13721: @921411
     /*  921411 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(921506), // Rule ID 4914 //
     /*  921416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  921419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  921436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  921443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921455 */     // MIs[0] policy
     /*  921455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  921482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921504 */     GIR_RootConstrainSelectedInstOperands,
     /*  921505 */     // GIR_Coverage, 4914,
     /*  921505 */     GIR_EraseRootFromParent_Done,
     /*  921506 */   // Label 13722: @921506
     /*  921506 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(921601), // Rule ID 4915 //
     /*  921511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  921514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  921531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  921538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921550 */     // MIs[0] policy
     /*  921550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921560 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /*  921577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921599 */     GIR_RootConstrainSelectedInstOperands,
     /*  921600 */     // GIR_Coverage, 4915,
     /*  921600 */     GIR_EraseRootFromParent_Done,
     /*  921601 */   // Label 13723: @921601
     /*  921601 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(921696), // Rule ID 4918 //
     /*  921606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  921626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  921633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921645 */     // MIs[0] policy
     /*  921645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921655 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  921672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921694 */     GIR_RootConstrainSelectedInstOperands,
     /*  921695 */     // GIR_Coverage, 4918,
     /*  921695 */     GIR_EraseRootFromParent_Done,
     /*  921696 */   // Label 13724: @921696
     /*  921696 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(921791), // Rule ID 4919 //
     /*  921701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  921712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  921715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  921718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  921721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  921728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921740 */     // MIs[0] policy
     /*  921740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /*  921767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921789 */     GIR_RootConstrainSelectedInstOperands,
     /*  921790 */     // GIR_Coverage, 4919,
     /*  921790 */     GIR_EraseRootFromParent_Done,
     /*  921791 */   // Label 13725: @921791
     /*  921791 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(921886), // Rule ID 4922 //
     /*  921796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  921816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  921823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921835 */     // MIs[0] policy
     /*  921835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  921862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921884 */     GIR_RootConstrainSelectedInstOperands,
     /*  921885 */     // GIR_Coverage, 4922,
     /*  921885 */     GIR_EraseRootFromParent_Done,
     /*  921886 */   // Label 13726: @921886
     /*  921886 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(921981), // Rule ID 4923 //
     /*  921891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  921902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  921905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  921908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  921911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  921918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  921926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  921930 */     // MIs[0] policy
     /*  921930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921940 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  921944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  921950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  921954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  921957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  921961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  921963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  921969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921979 */     GIR_RootConstrainSelectedInstOperands,
     /*  921980 */     // GIR_Coverage, 4923,
     /*  921980 */     GIR_EraseRootFromParent_Done,
     /*  921981 */   // Label 13727: @921981
     /*  921981 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(922076), // Rule ID 4926 //
     /*  921986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  921994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  921997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  922003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  922006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  922013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922025 */     // MIs[0] policy
     /*  922025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  922052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922074 */     GIR_RootConstrainSelectedInstOperands,
     /*  922075 */     // GIR_Coverage, 4926,
     /*  922075 */     GIR_EraseRootFromParent_Done,
     /*  922076 */   // Label 13728: @922076
     /*  922076 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(922171), // Rule ID 4927 //
     /*  922081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  922092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  922095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  922098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  922101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  922108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922120 */     // MIs[0] policy
     /*  922120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  922147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922169 */     GIR_RootConstrainSelectedInstOperands,
     /*  922170 */     // GIR_Coverage, 4927,
     /*  922170 */     GIR_EraseRootFromParent_Done,
     /*  922171 */   // Label 13729: @922171
     /*  922171 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(922266), // Rule ID 4930 //
     /*  922176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  922196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  922203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922215 */     // MIs[0] policy
     /*  922215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922225 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  922242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922264 */     GIR_RootConstrainSelectedInstOperands,
     /*  922265 */     // GIR_Coverage, 4930,
     /*  922265 */     GIR_EraseRootFromParent_Done,
     /*  922266 */   // Label 13730: @922266
     /*  922266 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(922361), // Rule ID 4931 //
     /*  922271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  922282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  922285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  922288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  922291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  922298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922310 */     // MIs[0] policy
     /*  922310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  922337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922359 */     GIR_RootConstrainSelectedInstOperands,
     /*  922360 */     // GIR_Coverage, 4931,
     /*  922360 */     GIR_EraseRootFromParent_Done,
     /*  922361 */   // Label 13731: @922361
     /*  922361 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(922456), // Rule ID 4934 //
     /*  922366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  922383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  922386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  922393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922405 */     // MIs[0] policy
     /*  922405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  922432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922454 */     GIR_RootConstrainSelectedInstOperands,
     /*  922455 */     // GIR_Coverage, 4934,
     /*  922455 */     GIR_EraseRootFromParent_Done,
     /*  922456 */   // Label 13732: @922456
     /*  922456 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(922551), // Rule ID 4935 //
     /*  922461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  922472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  922475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  922478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  922481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  922488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922500 */     // MIs[0] policy
     /*  922500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  922527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  922547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922549 */     GIR_RootConstrainSelectedInstOperands,
     /*  922550 */     // GIR_Coverage, 4935,
     /*  922550 */     GIR_EraseRootFromParent_Done,
     /*  922551 */   // Label 13733: @922551
     /*  922551 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(922646), // Rule ID 4938 //
     /*  922556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  922559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  922576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  922583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922595 */     // MIs[0] policy
     /*  922595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  922622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922644 */     GIR_RootConstrainSelectedInstOperands,
     /*  922645 */     // GIR_Coverage, 4938,
     /*  922645 */     GIR_EraseRootFromParent_Done,
     /*  922646 */   // Label 13734: @922646
     /*  922646 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(922741), // Rule ID 4939 //
     /*  922651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  922654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  922662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  922665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  922671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  922678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922690 */     // MIs[0] policy
     /*  922690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922700 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /*  922717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922739 */     GIR_RootConstrainSelectedInstOperands,
     /*  922740 */     // GIR_Coverage, 4939,
     /*  922740 */     GIR_EraseRootFromParent_Done,
     /*  922741 */   // Label 13735: @922741
     /*  922741 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(922836), // Rule ID 4942 //
     /*  922746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  922749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  922766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  922773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922785 */     // MIs[0] policy
     /*  922785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  922812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922834 */     GIR_RootConstrainSelectedInstOperands,
     /*  922835 */     // GIR_Coverage, 4942,
     /*  922835 */     GIR_EraseRootFromParent_Done,
     /*  922836 */   // Label 13736: @922836
     /*  922836 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(922931), // Rule ID 4943 //
     /*  922841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  922844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  922852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  922855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  922861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  922868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  922872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922880 */     // MIs[0] policy
     /*  922880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /*  922907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  922911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  922913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  922919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922929 */     GIR_RootConstrainSelectedInstOperands,
     /*  922930 */     // GIR_Coverage, 4943,
     /*  922930 */     GIR_EraseRootFromParent_Done,
     /*  922931 */   // Label 13737: @922931
     /*  922931 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(923026), // Rule ID 4946 //
     /*  922936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  922939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  922944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  922947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  922950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  922953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  922956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  922963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  922967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  922975 */     // MIs[0] policy
     /*  922975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922985 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  922989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  922995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  922999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  923002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923024 */     GIR_RootConstrainSelectedInstOperands,
     /*  923025 */     // GIR_Coverage, 4946,
     /*  923025 */     GIR_EraseRootFromParent_Done,
     /*  923026 */   // Label 13738: @923026
     /*  923026 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(923121), // Rule ID 4947 //
     /*  923031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  923051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  923058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923070 */     // MIs[0] policy
     /*  923070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923080 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /*  923097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923119 */     GIR_RootConstrainSelectedInstOperands,
     /*  923120 */     // GIR_Coverage, 4947,
     /*  923120 */     GIR_EraseRootFromParent_Done,
     /*  923121 */   // Label 13739: @923121
     /*  923121 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(923216), // Rule ID 4950 //
     /*  923126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  923129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  923146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  923153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923165 */     // MIs[0] policy
     /*  923165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  923192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923214 */     GIR_RootConstrainSelectedInstOperands,
     /*  923215 */     // GIR_Coverage, 4950,
     /*  923215 */     GIR_EraseRootFromParent_Done,
     /*  923216 */   // Label 13740: @923216
     /*  923216 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(923311), // Rule ID 4951 //
     /*  923221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  923238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  923241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  923248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923260 */     // MIs[0] policy
     /*  923260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923270 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /*  923287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923309 */     GIR_RootConstrainSelectedInstOperands,
     /*  923310 */     // GIR_Coverage, 4951,
     /*  923310 */     GIR_EraseRootFromParent_Done,
     /*  923311 */   // Label 13741: @923311
     /*  923311 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(923406), // Rule ID 4954 //
     /*  923316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  923319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  923333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  923336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  923343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923355 */     // MIs[0] policy
     /*  923355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  923382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923404 */     GIR_RootConstrainSelectedInstOperands,
     /*  923405 */     // GIR_Coverage, 4954,
     /*  923405 */     GIR_EraseRootFromParent_Done,
     /*  923406 */   // Label 13742: @923406
     /*  923406 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(923501), // Rule ID 4955 //
     /*  923411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  923428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  923431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  923438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923450 */     // MIs[0] policy
     /*  923450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /*  923477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923499 */     GIR_RootConstrainSelectedInstOperands,
     /*  923500 */     // GIR_Coverage, 4955,
     /*  923500 */     GIR_EraseRootFromParent_Done,
     /*  923501 */   // Label 13743: @923501
     /*  923501 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(923596), // Rule ID 4958 //
     /*  923506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  923509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  923523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  923526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  923533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923545 */     // MIs[0] policy
     /*  923545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  923572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923594 */     GIR_RootConstrainSelectedInstOperands,
     /*  923595 */     // GIR_Coverage, 4958,
     /*  923595 */     GIR_EraseRootFromParent_Done,
     /*  923596 */   // Label 13744: @923596
     /*  923596 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(923691), // Rule ID 4959 //
     /*  923601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  923612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  923615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  923618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  923621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  923628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923640 */     // MIs[0] policy
     /*  923640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11175:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /*  923667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923689 */     GIR_RootConstrainSelectedInstOperands,
     /*  923690 */     // GIR_Coverage, 4959,
     /*  923690 */     GIR_EraseRootFromParent_Done,
     /*  923691 */   // Label 13745: @923691
     /*  923691 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(923786), // Rule ID 4962 //
     /*  923696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  923699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  923713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  923716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  923723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923735 */     // MIs[0] policy
     /*  923735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923745 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  923762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923784 */     GIR_RootConstrainSelectedInstOperands,
     /*  923785 */     // GIR_Coverage, 4962,
     /*  923785 */     GIR_EraseRootFromParent_Done,
     /*  923786 */   // Label 13746: @923786
     /*  923786 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(923881), // Rule ID 4963 //
     /*  923791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  923802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  923805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  923808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  923811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  923818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  923822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923830 */     // MIs[0] policy
     /*  923830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11175:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /*  923857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923879 */     GIR_RootConstrainSelectedInstOperands,
     /*  923880 */     // GIR_Coverage, 4963,
     /*  923880 */     GIR_EraseRootFromParent_Done,
     /*  923881 */   // Label 13747: @923881
     /*  923881 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(923976), // Rule ID 4966 //
     /*  923886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  923889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  923903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  923906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  923913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  923917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  923925 */     // MIs[0] policy
     /*  923925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  923939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  923945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  923949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  923952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  923956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  923958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  923964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923974 */     GIR_RootConstrainSelectedInstOperands,
     /*  923975 */     // GIR_Coverage, 4966,
     /*  923975 */     GIR_EraseRootFromParent_Done,
     /*  923976 */   // Label 13748: @923976
     /*  923976 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(924071), // Rule ID 4967 //
     /*  923981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  923984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /*  923989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  923992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  923995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  923998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  924001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  924008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  924020 */     // MIs[0] policy
     /*  924020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11175:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  924034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  924040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  924044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /*  924047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  924051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  924053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  924059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  924067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924069 */     GIR_RootConstrainSelectedInstOperands,
     /*  924070 */     // GIR_Coverage, 4967,
     /*  924070 */     GIR_EraseRootFromParent_Done,
     /*  924071 */   // Label 13749: @924071
     /*  924071 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(924148), // Rule ID 12578 //
     /*  924076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  924087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  924090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  924093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  924096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924115 */     // MIs[0] policy
     /*  924115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924125 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  924128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924146 */     GIR_RootConstrainSelectedInstOperands,
     /*  924147 */     // GIR_Coverage, 12578,
     /*  924147 */     GIR_EraseRootFromParent_Done,
     /*  924148 */   // Label 13750: @924148
     /*  924148 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(924225), // Rule ID 12579 //
     /*  924153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  924164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  924167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  924170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  924173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924192 */     // MIs[0] policy
     /*  924192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  924205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924223 */     GIR_RootConstrainSelectedInstOperands,
     /*  924224 */     // GIR_Coverage, 12579,
     /*  924224 */     GIR_EraseRootFromParent_Done,
     /*  924225 */   // Label 13751: @924225
     /*  924225 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(924302), // Rule ID 12582 //
     /*  924230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  924241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  924244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  924247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  924250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924269 */     // MIs[0] policy
     /*  924269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924300 */     GIR_RootConstrainSelectedInstOperands,
     /*  924301 */     // GIR_Coverage, 12582,
     /*  924301 */     GIR_EraseRootFromParent_Done,
     /*  924302 */   // Label 13752: @924302
     /*  924302 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(924379), // Rule ID 12583 //
     /*  924307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  924318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  924321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  924324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  924327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924346 */     // MIs[0] policy
     /*  924346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924356 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924377 */     GIR_RootConstrainSelectedInstOperands,
     /*  924378 */     // GIR_Coverage, 12583,
     /*  924378 */     GIR_EraseRootFromParent_Done,
     /*  924379 */   // Label 13753: @924379
     /*  924379 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(924456), // Rule ID 12586 //
     /*  924384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  924404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924423 */     // MIs[0] policy
     /*  924423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924433 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  924436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924454 */     GIR_RootConstrainSelectedInstOperands,
     /*  924455 */     // GIR_Coverage, 12586,
     /*  924455 */     GIR_EraseRootFromParent_Done,
     /*  924456 */   // Label 13754: @924456
     /*  924456 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(924533), // Rule ID 12587 //
     /*  924461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  924472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  924475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  924478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  924481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924500 */     // MIs[0] policy
     /*  924500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*  924513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924531 */     GIR_RootConstrainSelectedInstOperands,
     /*  924532 */     // GIR_Coverage, 12587,
     /*  924532 */     GIR_EraseRootFromParent_Done,
     /*  924533 */   // Label 13755: @924533
     /*  924533 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(924610), // Rule ID 12590 //
     /*  924538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  924558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924577 */     // MIs[0] policy
     /*  924577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924608 */     GIR_RootConstrainSelectedInstOperands,
     /*  924609 */     // GIR_Coverage, 12590,
     /*  924609 */     GIR_EraseRootFromParent_Done,
     /*  924610 */   // Label 13756: @924610
     /*  924610 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(924687), // Rule ID 12591 //
     /*  924615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  924626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  924629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  924632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  924635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924654 */     // MIs[0] policy
     /*  924654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924664 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924685 */     GIR_RootConstrainSelectedInstOperands,
     /*  924686 */     // GIR_Coverage, 12591,
     /*  924686 */     GIR_EraseRootFromParent_Done,
     /*  924687 */   // Label 13757: @924687
     /*  924687 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(924764), // Rule ID 12594 //
     /*  924692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  924712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924731 */     // MIs[0] policy
     /*  924731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924762 */     GIR_RootConstrainSelectedInstOperands,
     /*  924763 */     // GIR_Coverage, 12594,
     /*  924763 */     GIR_EraseRootFromParent_Done,
     /*  924764 */   // Label 13758: @924764
     /*  924764 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(924841), // Rule ID 12595 //
     /*  924769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  924780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  924783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  924786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  924789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924808 */     // MIs[0] policy
     /*  924808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*  924821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924839 */     GIR_RootConstrainSelectedInstOperands,
     /*  924840 */     // GIR_Coverage, 12595,
     /*  924840 */     GIR_EraseRootFromParent_Done,
     /*  924841 */   // Label 13759: @924841
     /*  924841 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(924918), // Rule ID 12598 //
     /*  924846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  924857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  924860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  924863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  924866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924885 */     // MIs[0] policy
     /*  924885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  924898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924916 */     GIR_RootConstrainSelectedInstOperands,
     /*  924917 */     // GIR_Coverage, 12598,
     /*  924917 */     GIR_EraseRootFromParent_Done,
     /*  924918 */   // Label 13760: @924918
     /*  924918 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(924995), // Rule ID 12599 //
     /*  924923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  924931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  924934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  924937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  924940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  924943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  924962 */     // MIs[0] policy
     /*  924962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  924975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  924983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924993 */     GIR_RootConstrainSelectedInstOperands,
     /*  924994 */     // GIR_Coverage, 12599,
     /*  924994 */     GIR_EraseRootFromParent_Done,
     /*  924995 */   // Label 13761: @924995
     /*  924995 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(925072), // Rule ID 12602 //
     /*  925000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  925020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925039 */     // MIs[0] policy
     /*  925039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925049 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925070 */     GIR_RootConstrainSelectedInstOperands,
     /*  925071 */     // GIR_Coverage, 12602,
     /*  925071 */     GIR_EraseRootFromParent_Done,
     /*  925072 */   // Label 13762: @925072
     /*  925072 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(925149), // Rule ID 12603 //
     /*  925077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  925088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  925091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  925094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  925097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925116 */     // MIs[0] policy
     /*  925116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925126 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925147 */     GIR_RootConstrainSelectedInstOperands,
     /*  925148 */     // GIR_Coverage, 12603,
     /*  925148 */     GIR_EraseRootFromParent_Done,
     /*  925149 */   // Label 13763: @925149
     /*  925149 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(925226), // Rule ID 12606 //
     /*  925154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  925174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925193 */     // MIs[0] policy
     /*  925193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925224 */     GIR_RootConstrainSelectedInstOperands,
     /*  925225 */     // GIR_Coverage, 12606,
     /*  925225 */     GIR_EraseRootFromParent_Done,
     /*  925226 */   // Label 13764: @925226
     /*  925226 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(925303), // Rule ID 12607 //
     /*  925231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  925242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  925245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  925248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  925251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925270 */     // MIs[0] policy
     /*  925270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925280 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925301 */     GIR_RootConstrainSelectedInstOperands,
     /*  925302 */     // GIR_Coverage, 12607,
     /*  925302 */     GIR_EraseRootFromParent_Done,
     /*  925303 */   // Label 13765: @925303
     /*  925303 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(925380), // Rule ID 12610 //
     /*  925308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  925328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925347 */     // MIs[0] policy
     /*  925347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925357 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925378 */     GIR_RootConstrainSelectedInstOperands,
     /*  925379 */     // GIR_Coverage, 12610,
     /*  925379 */     GIR_EraseRootFromParent_Done,
     /*  925380 */   // Label 13766: @925380
     /*  925380 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(925457), // Rule ID 12611 //
     /*  925385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  925396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  925399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  925402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  925405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925424 */     // MIs[0] policy
     /*  925424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*  925437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925455 */     GIR_RootConstrainSelectedInstOperands,
     /*  925456 */     // GIR_Coverage, 12611,
     /*  925456 */     GIR_EraseRootFromParent_Done,
     /*  925457 */   // Label 13767: @925457
     /*  925457 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(925534), // Rule ID 12614 //
     /*  925462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  925473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  925476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  925479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  925482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925501 */     // MIs[0] policy
     /*  925501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  925514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925532 */     GIR_RootConstrainSelectedInstOperands,
     /*  925533 */     // GIR_Coverage, 12614,
     /*  925533 */     GIR_EraseRootFromParent_Done,
     /*  925534 */   // Label 13768: @925534
     /*  925534 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(925611), // Rule ID 12615 //
     /*  925539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  925550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  925553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  925556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  925559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925578 */     // MIs[0] policy
     /*  925578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925588 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  925591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925609 */     GIR_RootConstrainSelectedInstOperands,
     /*  925610 */     // GIR_Coverage, 12615,
     /*  925610 */     GIR_EraseRootFromParent_Done,
     /*  925611 */   // Label 13769: @925611
     /*  925611 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(925688), // Rule ID 12618 //
     /*  925616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  925627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  925630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  925633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  925636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925655 */     // MIs[0] policy
     /*  925655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925665 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  925668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925686 */     GIR_RootConstrainSelectedInstOperands,
     /*  925687 */     // GIR_Coverage, 12618,
     /*  925687 */     GIR_EraseRootFromParent_Done,
     /*  925688 */   // Label 13770: @925688
     /*  925688 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(925765), // Rule ID 12619 //
     /*  925693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  925704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  925707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  925710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  925713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925732 */     // MIs[0] policy
     /*  925732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  925745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925763 */     GIR_RootConstrainSelectedInstOperands,
     /*  925764 */     // GIR_Coverage, 12619,
     /*  925764 */     GIR_EraseRootFromParent_Done,
     /*  925765 */   // Label 13771: @925765
     /*  925765 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(925842), // Rule ID 12622 //
     /*  925770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  925781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  925784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  925787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  925790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925809 */     // MIs[0] policy
     /*  925809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  925822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925840 */     GIR_RootConstrainSelectedInstOperands,
     /*  925841 */     // GIR_Coverage, 12622,
     /*  925841 */     GIR_EraseRootFromParent_Done,
     /*  925842 */   // Label 13772: @925842
     /*  925842 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(925919), // Rule ID 12623 //
     /*  925847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  925858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  925861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  925864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  925867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925886 */     // MIs[0] policy
     /*  925886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925896 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  925899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  925915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925917 */     GIR_RootConstrainSelectedInstOperands,
     /*  925918 */     // GIR_Coverage, 12623,
     /*  925918 */     GIR_EraseRootFromParent_Done,
     /*  925919 */   // Label 13773: @925919
     /*  925919 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(925996), // Rule ID 12626 //
     /*  925924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  925932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  925935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  925938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  925941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  925944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925963 */     // MIs[0] policy
     /*  925963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925973 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  925976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  925984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  925992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925994 */     GIR_RootConstrainSelectedInstOperands,
     /*  925995 */     // GIR_Coverage, 12626,
     /*  925995 */     GIR_EraseRootFromParent_Done,
     /*  925996 */   // Label 13774: @925996
     /*  925996 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(926073), // Rule ID 12627 //
     /*  926001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  926012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  926015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  926018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  926021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926040 */     // MIs[0] policy
     /*  926040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  926053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926071 */     GIR_RootConstrainSelectedInstOperands,
     /*  926072 */     // GIR_Coverage, 12627,
     /*  926072 */     GIR_EraseRootFromParent_Done,
     /*  926073 */   // Label 13775: @926073
     /*  926073 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(926150), // Rule ID 12630 //
     /*  926078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  926098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926117 */     // MIs[0] policy
     /*  926117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  926130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926148 */     GIR_RootConstrainSelectedInstOperands,
     /*  926149 */     // GIR_Coverage, 12630,
     /*  926149 */     GIR_EraseRootFromParent_Done,
     /*  926150 */   // Label 13776: @926150
     /*  926150 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(926227), // Rule ID 12631 //
     /*  926155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  926166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  926169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  926172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  926175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926194 */     // MIs[0] policy
     /*  926194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  926207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926225 */     GIR_RootConstrainSelectedInstOperands,
     /*  926226 */     // GIR_Coverage, 12631,
     /*  926226 */     GIR_EraseRootFromParent_Done,
     /*  926227 */   // Label 13777: @926227
     /*  926227 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(926304), // Rule ID 12634 //
     /*  926232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  926252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926271 */     // MIs[0] policy
     /*  926271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  926284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926302 */     GIR_RootConstrainSelectedInstOperands,
     /*  926303 */     // GIR_Coverage, 12634,
     /*  926303 */     GIR_EraseRootFromParent_Done,
     /*  926304 */   // Label 13778: @926304
     /*  926304 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(926381), // Rule ID 12635 //
     /*  926309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  926320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  926323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  926326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  926329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926348 */     // MIs[0] policy
     /*  926348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  926361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926379 */     GIR_RootConstrainSelectedInstOperands,
     /*  926380 */     // GIR_Coverage, 12635,
     /*  926380 */     GIR_EraseRootFromParent_Done,
     /*  926381 */   // Label 13779: @926381
     /*  926381 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(926458), // Rule ID 12638 //
     /*  926386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  926406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926425 */     // MIs[0] policy
     /*  926425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  926438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926456 */     GIR_RootConstrainSelectedInstOperands,
     /*  926457 */     // GIR_Coverage, 12638,
     /*  926457 */     GIR_EraseRootFromParent_Done,
     /*  926458 */   // Label 13780: @926458
     /*  926458 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(926535), // Rule ID 12639 //
     /*  926463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  926474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  926477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  926480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  926483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926502 */     // MIs[0] policy
     /*  926502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  926515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926533 */     GIR_RootConstrainSelectedInstOperands,
     /*  926534 */     // GIR_Coverage, 12639,
     /*  926534 */     GIR_EraseRootFromParent_Done,
     /*  926535 */   // Label 13781: @926535
     /*  926535 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(926612), // Rule ID 12642 //
     /*  926540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  926551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  926554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  926557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  926560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926579 */     // MIs[0] policy
     /*  926579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926589 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  926592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926610 */     GIR_RootConstrainSelectedInstOperands,
     /*  926611 */     // GIR_Coverage, 12642,
     /*  926611 */     GIR_EraseRootFromParent_Done,
     /*  926612 */   // Label 13782: @926612
     /*  926612 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(926689), // Rule ID 12643 //
     /*  926617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  926628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  926631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  926634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  926637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  926656 */     // MIs[0] policy
     /*  926656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  926669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926687 */     GIR_RootConstrainSelectedInstOperands,
     /*  926688 */     // GIR_Coverage, 12643,
     /*  926688 */     GIR_EraseRootFromParent_Done,
     /*  926689 */   // Label 13783: @926689
     /*  926689 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(926766), // Rule ID 12646 //
     /*  926694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  926697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  926705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  926708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  926711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  926714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926733 */     // MIs[0] policy
     /*  926733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  926746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926764 */     GIR_RootConstrainSelectedInstOperands,
     /*  926765 */     // GIR_Coverage, 12646,
     /*  926765 */     GIR_EraseRootFromParent_Done,
     /*  926766 */   // Label 13784: @926766
     /*  926766 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(926843), // Rule ID 12647 //
     /*  926771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  926774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  926782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  926785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  926788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  926791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  926810 */     // MIs[0] policy
     /*  926810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  926823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926841 */     GIR_RootConstrainSelectedInstOperands,
     /*  926842 */     // GIR_Coverage, 12647,
     /*  926842 */     GIR_EraseRootFromParent_Done,
     /*  926843 */   // Label 13785: @926843
     /*  926843 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(926920), // Rule ID 12650 //
     /*  926848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  926851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  926859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  926862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  926865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  926868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926887 */     // MIs[0] policy
     /*  926887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  926900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926918 */     GIR_RootConstrainSelectedInstOperands,
     /*  926919 */     // GIR_Coverage, 12650,
     /*  926919 */     GIR_EraseRootFromParent_Done,
     /*  926920 */   // Label 13786: @926920
     /*  926920 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(926997), // Rule ID 12651 //
     /*  926925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  926928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  926933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  926936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  926939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  926942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  926945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  926964 */     // MIs[0] policy
     /*  926964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*  926977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  926985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926995 */     GIR_RootConstrainSelectedInstOperands,
     /*  926996 */     // GIR_Coverage, 12651,
     /*  926996 */     GIR_EraseRootFromParent_Done,
     /*  926997 */   // Label 13787: @926997
     /*  926997 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(927074), // Rule ID 12654 //
     /*  927002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  927022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927041 */     // MIs[0] policy
     /*  927041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927051 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  927054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927072 */     GIR_RootConstrainSelectedInstOperands,
     /*  927073 */     // GIR_Coverage, 12654,
     /*  927073 */     GIR_EraseRootFromParent_Done,
     /*  927074 */   // Label 13788: @927074
     /*  927074 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(927151), // Rule ID 12655 //
     /*  927079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  927090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  927093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  927096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  927099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927118 */     // MIs[0] policy
     /*  927118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927128 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*  927131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927149 */     GIR_RootConstrainSelectedInstOperands,
     /*  927150 */     // GIR_Coverage, 12655,
     /*  927150 */     GIR_EraseRootFromParent_Done,
     /*  927151 */   // Label 13789: @927151
     /*  927151 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(927228), // Rule ID 12658 //
     /*  927156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  927159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  927176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927195 */     // MIs[0] policy
     /*  927195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927205 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  927208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927226 */     GIR_RootConstrainSelectedInstOperands,
     /*  927227 */     // GIR_Coverage, 12658,
     /*  927227 */     GIR_EraseRootFromParent_Done,
     /*  927228 */   // Label 13790: @927228
     /*  927228 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(927305), // Rule ID 12659 //
     /*  927233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  927236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  927244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  927247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  927250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  927253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927272 */     // MIs[0] policy
     /*  927272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*  927285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  927301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927303 */     GIR_RootConstrainSelectedInstOperands,
     /*  927304 */     // GIR_Coverage, 12659,
     /*  927304 */     GIR_EraseRootFromParent_Done,
     /*  927305 */   // Label 13791: @927305
     /*  927305 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(927382), // Rule ID 12662 //
     /*  927310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  927321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  927324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  927330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927349 */     // MIs[0] policy
     /*  927349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927359 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /*  927362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927380 */     GIR_RootConstrainSelectedInstOperands,
     /*  927381 */     // GIR_Coverage, 12662,
     /*  927381 */     GIR_EraseRootFromParent_Done,
     /*  927382 */   // Label 13792: @927382
     /*  927382 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(927459), // Rule ID 12663 //
     /*  927387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  927398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  927401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  927407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927426 */     // MIs[0] policy
     /*  927426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /*  927439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927457 */     GIR_RootConstrainSelectedInstOperands,
     /*  927458 */     // GIR_Coverage, 12663,
     /*  927458 */     GIR_EraseRootFromParent_Done,
     /*  927459 */   // Label 13793: @927459
     /*  927459 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(927536), // Rule ID 12666 //
     /*  927464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  927475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  927478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  927484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927503 */     // MIs[0] policy
     /*  927503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927513 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  927516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927534 */     GIR_RootConstrainSelectedInstOperands,
     /*  927535 */     // GIR_Coverage, 12666,
     /*  927535 */     GIR_EraseRootFromParent_Done,
     /*  927536 */   // Label 13794: @927536
     /*  927536 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(927613), // Rule ID 12667 //
     /*  927541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  927552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  927555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  927561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927580 */     // MIs[0] policy
     /*  927580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  927593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927611 */     GIR_RootConstrainSelectedInstOperands,
     /*  927612 */     // GIR_Coverage, 12667,
     /*  927612 */     GIR_EraseRootFromParent_Done,
     /*  927613 */   // Label 13795: @927613
     /*  927613 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(927690), // Rule ID 12670 //
     /*  927618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  927629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  927632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  927638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927657 */     // MIs[0] policy
     /*  927657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  927670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927688 */     GIR_RootConstrainSelectedInstOperands,
     /*  927689 */     // GIR_Coverage, 12670,
     /*  927689 */     GIR_EraseRootFromParent_Done,
     /*  927690 */   // Label 13796: @927690
     /*  927690 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(927767), // Rule ID 12671 //
     /*  927695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  927706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  927709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  927715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927734 */     // MIs[0] policy
     /*  927734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927744 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  927747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  927763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927765 */     GIR_RootConstrainSelectedInstOperands,
     /*  927766 */     // GIR_Coverage, 12671,
     /*  927766 */     GIR_EraseRootFromParent_Done,
     /*  927767 */   // Label 13797: @927767
     /*  927767 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(927844), // Rule ID 12674 //
     /*  927772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  927792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927811 */     // MIs[0] policy
     /*  927811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927821 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  927824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927842 */     GIR_RootConstrainSelectedInstOperands,
     /*  927843 */     // GIR_Coverage, 12674,
     /*  927843 */     GIR_EraseRootFromParent_Done,
     /*  927844 */   // Label 13798: @927844
     /*  927844 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(927921), // Rule ID 12675 //
     /*  927849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  927852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  927860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  927863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  927866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  927869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927888 */     // MIs[0] policy
     /*  927888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927898 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /*  927901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927919 */     GIR_RootConstrainSelectedInstOperands,
     /*  927920 */     // GIR_Coverage, 12675,
     /*  927920 */     GIR_EraseRootFromParent_Done,
     /*  927921 */   // Label 13799: @927921
     /*  927921 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(927998), // Rule ID 12678 //
     /*  927926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  927929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  927934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  927937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  927940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  927943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  927946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  927961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  927965 */     // MIs[0] policy
     /*  927965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  927978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  927986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927996 */     GIR_RootConstrainSelectedInstOperands,
     /*  927997 */     // GIR_Coverage, 12678,
     /*  927997 */     GIR_EraseRootFromParent_Done,
     /*  927998 */   // Label 13800: @927998
     /*  927998 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(928075), // Rule ID 12679 //
     /*  928003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  928023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928042 */     // MIs[0] policy
     /*  928042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928052 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  928055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928073 */     GIR_RootConstrainSelectedInstOperands,
     /*  928074 */     // GIR_Coverage, 12679,
     /*  928074 */     GIR_EraseRootFromParent_Done,
     /*  928075 */   // Label 13801: @928075
     /*  928075 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(928152), // Rule ID 12682 //
     /*  928080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  928100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928119 */     // MIs[0] policy
     /*  928119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928129 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  928132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928150 */     GIR_RootConstrainSelectedInstOperands,
     /*  928151 */     // GIR_Coverage, 12682,
     /*  928151 */     GIR_EraseRootFromParent_Done,
     /*  928152 */   // Label 13802: @928152
     /*  928152 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(928229), // Rule ID 12683 //
     /*  928157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  928177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928196 */     // MIs[0] policy
     /*  928196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /*  928209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928227 */     GIR_RootConstrainSelectedInstOperands,
     /*  928228 */     // GIR_Coverage, 12683,
     /*  928228 */     GIR_EraseRootFromParent_Done,
     /*  928229 */   // Label 13803: @928229
     /*  928229 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(928306), // Rule ID 12686 //
     /*  928234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  928254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928273 */     // MIs[0] policy
     /*  928273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928283 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928304 */     GIR_RootConstrainSelectedInstOperands,
     /*  928305 */     // GIR_Coverage, 12686,
     /*  928305 */     GIR_EraseRootFromParent_Done,
     /*  928306 */   // Label 13804: @928306
     /*  928306 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(928383), // Rule ID 12687 //
     /*  928311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  928322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  928325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  928331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928350 */     // MIs[0] policy
     /*  928350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928360 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11044:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928381 */     GIR_RootConstrainSelectedInstOperands,
     /*  928382 */     // GIR_Coverage, 12687,
     /*  928382 */     GIR_EraseRootFromParent_Done,
     /*  928383 */   // Label 13805: @928383
     /*  928383 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(928460), // Rule ID 12690 //
     /*  928388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  928408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928427 */     // MIs[0] policy
     /*  928427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928437 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928458 */     GIR_RootConstrainSelectedInstOperands,
     /*  928459 */     // GIR_Coverage, 12690,
     /*  928459 */     GIR_EraseRootFromParent_Done,
     /*  928460 */   // Label 13806: @928460
     /*  928460 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(928537), // Rule ID 12691 //
     /*  928465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  928476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  928479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  928485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928504 */     // MIs[0] policy
     /*  928504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11044:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928535 */     GIR_RootConstrainSelectedInstOperands,
     /*  928536 */     // GIR_Coverage, 12691,
     /*  928536 */     GIR_EraseRootFromParent_Done,
     /*  928537 */   // Label 13807: @928537
     /*  928537 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(928614), // Rule ID 12694 //
     /*  928542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  928562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928581 */     // MIs[0] policy
     /*  928581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928612 */     GIR_RootConstrainSelectedInstOperands,
     /*  928613 */     // GIR_Coverage, 12694,
     /*  928613 */     GIR_EraseRootFromParent_Done,
     /*  928614 */   // Label 13808: @928614
     /*  928614 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(928691), // Rule ID 12695 //
     /*  928619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  928630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  928633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  928639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928658 */     // MIs[0] policy
     /*  928658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11044:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928689 */     GIR_RootConstrainSelectedInstOperands,
     /*  928690 */     // GIR_Coverage, 12695,
     /*  928690 */     GIR_EraseRootFromParent_Done,
     /*  928691 */   // Label 13809: @928691
     /*  928691 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(928768), // Rule ID 12698 //
     /*  928696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  928699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  928716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928735 */     // MIs[0] policy
     /*  928735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928766 */     GIR_RootConstrainSelectedInstOperands,
     /*  928767 */     // GIR_Coverage, 12698,
     /*  928767 */     GIR_EraseRootFromParent_Done,
     /*  928768 */   // Label 13810: @928768
     /*  928768 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(928845), // Rule ID 12699 //
     /*  928773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  928776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  928784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  928787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  928793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928812 */     // MIs[0] policy
     /*  928812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11044:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /*  928825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928843 */     GIR_RootConstrainSelectedInstOperands,
     /*  928844 */     // GIR_Coverage, 12699,
     /*  928844 */     GIR_EraseRootFromParent_Done,
     /*  928845 */   // Label 13811: @928845
     /*  928845 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(928922), // Rule ID 12702 //
     /*  928850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  928853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  928867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  928870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928889 */     // MIs[0] policy
     /*  928889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  928902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928920 */     GIR_RootConstrainSelectedInstOperands,
     /*  928921 */     // GIR_Coverage, 12702,
     /*  928921 */     GIR_EraseRootFromParent_Done,
     /*  928922 */   // Label 13812: @928922
     /*  928922 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(928999), // Rule ID 12703 //
     /*  928927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  928930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  928935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  928938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  928941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  928944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  928947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  928962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928966 */     // MIs[0] policy
     /*  928966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928976 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  928979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  928987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  928995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928997 */     GIR_RootConstrainSelectedInstOperands,
     /*  928998 */     // GIR_Coverage, 12703,
     /*  928998 */     GIR_EraseRootFromParent_Done,
     /*  928999 */   // Label 13813: @928999
     /*  928999 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(929076), // Rule ID 12706 //
     /*  929004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  929015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  929018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  929024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929043 */     // MIs[0] policy
     /*  929043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929053 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  929056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929074 */     GIR_RootConstrainSelectedInstOperands,
     /*  929075 */     // GIR_Coverage, 12706,
     /*  929075 */     GIR_EraseRootFromParent_Done,
     /*  929076 */   // Label 13814: @929076
     /*  929076 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(929153), // Rule ID 12707 //
     /*  929081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  929092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  929095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  929101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929120 */     // MIs[0] policy
     /*  929120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  929133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929151 */     GIR_RootConstrainSelectedInstOperands,
     /*  929152 */     // GIR_Coverage, 12707,
     /*  929152 */     GIR_EraseRootFromParent_Done,
     /*  929153 */   // Label 13815: @929153
     /*  929153 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(929230), // Rule ID 12710 //
     /*  929158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  929169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  929172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  929178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929197 */     // MIs[0] policy
     /*  929197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929207 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  929210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929228 */     GIR_RootConstrainSelectedInstOperands,
     /*  929229 */     // GIR_Coverage, 12710,
     /*  929229 */     GIR_EraseRootFromParent_Done,
     /*  929230 */   // Label 13816: @929230
     /*  929230 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(929307), // Rule ID 12711 //
     /*  929235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  929246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  929249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  929255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929274 */     // MIs[0] policy
     /*  929274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929284 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  929287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  929303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929305 */     GIR_RootConstrainSelectedInstOperands,
     /*  929306 */     // GIR_Coverage, 12711,
     /*  929306 */     GIR_EraseRootFromParent_Done,
     /*  929307 */   // Label 13817: @929307
     /*  929307 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(929384), // Rule ID 12714 //
     /*  929312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  929332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929351 */     // MIs[0] policy
     /*  929351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929361 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  929364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929382 */     GIR_RootConstrainSelectedInstOperands,
     /*  929383 */     // GIR_Coverage, 12714,
     /*  929383 */     GIR_EraseRootFromParent_Done,
     /*  929384 */   // Label 13818: @929384
     /*  929384 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(929461), // Rule ID 12715 //
     /*  929389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  929409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929428 */     // MIs[0] policy
     /*  929428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  929441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929459 */     GIR_RootConstrainSelectedInstOperands,
     /*  929460 */     // GIR_Coverage, 12715,
     /*  929460 */     GIR_EraseRootFromParent_Done,
     /*  929461 */   // Label 13819: @929461
     /*  929461 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(929538), // Rule ID 12718 //
     /*  929466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  929486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929505 */     // MIs[0] policy
     /*  929505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  929518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929536 */     GIR_RootConstrainSelectedInstOperands,
     /*  929537 */     // GIR_Coverage, 12718,
     /*  929537 */     GIR_EraseRootFromParent_Done,
     /*  929538 */   // Label 13820: @929538
     /*  929538 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(929615), // Rule ID 12719 //
     /*  929543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  929563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929582 */     // MIs[0] policy
     /*  929582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929592 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  929595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929613 */     GIR_RootConstrainSelectedInstOperands,
     /*  929614 */     // GIR_Coverage, 12719,
     /*  929614 */     GIR_EraseRootFromParent_Done,
     /*  929615 */   // Label 13821: @929615
     /*  929615 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(929692), // Rule ID 12722 //
     /*  929620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  929640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929659 */     // MIs[0] policy
     /*  929659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  929672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929690 */     GIR_RootConstrainSelectedInstOperands,
     /*  929691 */     // GIR_Coverage, 12722,
     /*  929691 */     GIR_EraseRootFromParent_Done,
     /*  929692 */   // Label 13822: @929692
     /*  929692 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(929769), // Rule ID 12723 //
     /*  929697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  929717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  929736 */     // MIs[0] policy
     /*  929736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  929749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929767 */     GIR_RootConstrainSelectedInstOperands,
     /*  929768 */     // GIR_Coverage, 12723,
     /*  929768 */     GIR_EraseRootFromParent_Done,
     /*  929769 */   // Label 13823: @929769
     /*  929769 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(929846), // Rule ID 12726 //
     /*  929774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  929794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929813 */     // MIs[0] policy
     /*  929813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929823 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  929826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929844 */     GIR_RootConstrainSelectedInstOperands,
     /*  929845 */     // GIR_Coverage, 12726,
     /*  929845 */     GIR_EraseRootFromParent_Done,
     /*  929846 */   // Label 13824: @929846
     /*  929846 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(929923), // Rule ID 12727 //
     /*  929851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  929854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  929862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  929865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  929868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  929871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929890 */     // MIs[0] policy
     /*  929890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  929903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929921 */     GIR_RootConstrainSelectedInstOperands,
     /*  929922 */     // GIR_Coverage, 12727,
     /*  929922 */     GIR_EraseRootFromParent_Done,
     /*  929923 */   // Label 13825: @929923
     /*  929923 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(930000), // Rule ID 12730 //
     /*  929928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  929931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  929936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  929939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  929942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  929945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  929948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  929963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929967 */     // MIs[0] policy
     /*  929967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929977 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  929980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  929988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929998 */     GIR_RootConstrainSelectedInstOperands,
     /*  929999 */     // GIR_Coverage, 12730,
     /*  929999 */     GIR_EraseRootFromParent_Done,
     /*  930000 */   // Label 13826: @930000
     /*  930000 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(930077), // Rule ID 12731 //
     /*  930005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  930022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  930025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930044 */     // MIs[0] policy
     /*  930044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930054 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  930057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930075 */     GIR_RootConstrainSelectedInstOperands,
     /*  930076 */     // GIR_Coverage, 12731,
     /*  930076 */     GIR_EraseRootFromParent_Done,
     /*  930077 */   // Label 13827: @930077
     /*  930077 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(930154), // Rule ID 12734 //
     /*  930082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  930099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  930102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930121 */     // MIs[0] policy
     /*  930121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  930134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930152 */     GIR_RootConstrainSelectedInstOperands,
     /*  930153 */     // GIR_Coverage, 12734,
     /*  930153 */     GIR_EraseRootFromParent_Done,
     /*  930154 */   // Label 13828: @930154
     /*  930154 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(930231), // Rule ID 12735 //
     /*  930159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  930176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  930179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930198 */     // MIs[0] policy
     /*  930198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  930211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930229 */     GIR_RootConstrainSelectedInstOperands,
     /*  930230 */     // GIR_Coverage, 12735,
     /*  930230 */     GIR_EraseRootFromParent_Done,
     /*  930231 */   // Label 13829: @930231
     /*  930231 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(930308), // Rule ID 12738 //
     /*  930236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  930253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  930256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930275 */     // MIs[0] policy
     /*  930275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930285 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  930288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930306 */     GIR_RootConstrainSelectedInstOperands,
     /*  930307 */     // GIR_Coverage, 12738,
     /*  930307 */     GIR_EraseRootFromParent_Done,
     /*  930308 */   // Label 13830: @930308
     /*  930308 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(930385), // Rule ID 12739 //
     /*  930313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  930330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  930333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930352 */     // MIs[0] policy
     /*  930352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11044:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /*  930365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930383 */     GIR_RootConstrainSelectedInstOperands,
     /*  930384 */     // GIR_Coverage, 12739,
     /*  930384 */     GIR_EraseRootFromParent_Done,
     /*  930385 */   // Label 13831: @930385
     /*  930385 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(930462), // Rule ID 12742 //
     /*  930390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  930407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  930410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930429 */     // MIs[0] policy
     /*  930429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930439 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  930442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930460 */     GIR_RootConstrainSelectedInstOperands,
     /*  930461 */     // GIR_Coverage, 12742,
     /*  930461 */     GIR_EraseRootFromParent_Done,
     /*  930462 */   // Label 13832: @930462
     /*  930462 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(930539), // Rule ID 12743 //
     /*  930467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  930484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  930487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930506 */     // MIs[0] policy
     /*  930506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930516 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11044:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /*  930519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930537 */     GIR_RootConstrainSelectedInstOperands,
     /*  930538 */     // GIR_Coverage, 12743,
     /*  930538 */     GIR_EraseRootFromParent_Done,
     /*  930539 */   // Label 13833: @930539
     /*  930539 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(930616), // Rule ID 12746 //
     /*  930544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  930547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  930561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  930564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930583 */     // MIs[0] policy
     /*  930583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  930596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930614 */     GIR_RootConstrainSelectedInstOperands,
     /*  930615 */     // GIR_Coverage, 12746,
     /*  930615 */     GIR_EraseRootFromParent_Done,
     /*  930616 */   // Label 13834: @930616
     /*  930616 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(930693), // Rule ID 12747 //
     /*  930621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  930624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /*  930629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  930632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  930635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  930638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  930641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  930656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930660 */     // MIs[0] policy
     /*  930660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11044:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /*  930673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930691 */     GIR_RootConstrainSelectedInstOperands,
     /*  930692 */     // GIR_Coverage, 12747,
     /*  930692 */     GIR_EraseRootFromParent_Done,
     /*  930693 */   // Label 13835: @930693
     /*  930693 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(930770), // Rule ID 12750 //
     /*  930698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  930706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  930718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930737 */     // MIs[0] policy
     /*  930737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*  930750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930768 */     GIR_RootConstrainSelectedInstOperands,
     /*  930769 */     // GIR_Coverage, 12750,
     /*  930769 */     GIR_EraseRootFromParent_Done,
     /*  930770 */   // Label 13836: @930770
     /*  930770 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(930847), // Rule ID 12751 //
     /*  930775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  930783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  930786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  930789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  930792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  930795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930814 */     // MIs[0] policy
     /*  930814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930824 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*  930827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930845 */     GIR_RootConstrainSelectedInstOperands,
     /*  930846 */     // GIR_Coverage, 12751,
     /*  930846 */     GIR_EraseRootFromParent_Done,
     /*  930847 */   // Label 13837: @930847
     /*  930847 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(930924), // Rule ID 12754 //
     /*  930852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  930855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  930860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  930872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930891 */     // MIs[0] policy
     /*  930891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930901 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  930904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930922 */     GIR_RootConstrainSelectedInstOperands,
     /*  930923 */     // GIR_Coverage, 12754,
     /*  930923 */     GIR_EraseRootFromParent_Done,
     /*  930924 */   // Label 13838: @930924
     /*  930924 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(931001), // Rule ID 12755 //
     /*  930929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  930932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  930937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  930940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  930943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  930946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  930949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  930968 */     // MIs[0] policy
     /*  930968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930978 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  930981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  930989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  930997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930999 */     GIR_RootConstrainSelectedInstOperands,
     /*  931000 */     // GIR_Coverage, 12755,
     /*  931000 */     GIR_EraseRootFromParent_Done,
     /*  931001 */   // Label 13839: @931001
     /*  931001 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(931078), // Rule ID 12758 //
     /*  931006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  931026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931045 */     // MIs[0] policy
     /*  931045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931055 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931076 */     GIR_RootConstrainSelectedInstOperands,
     /*  931077 */     // GIR_Coverage, 12758,
     /*  931077 */     GIR_EraseRootFromParent_Done,
     /*  931078 */   // Label 13840: @931078
     /*  931078 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(931155), // Rule ID 12759 //
     /*  931083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  931103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931122 */     // MIs[0] policy
     /*  931122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931132 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931153 */     GIR_RootConstrainSelectedInstOperands,
     /*  931154 */     // GIR_Coverage, 12759,
     /*  931154 */     GIR_EraseRootFromParent_Done,
     /*  931155 */   // Label 13841: @931155
     /*  931155 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(931232), // Rule ID 12762 //
     /*  931160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  931180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931199 */     // MIs[0] policy
     /*  931199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  931212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931230 */     GIR_RootConstrainSelectedInstOperands,
     /*  931231 */     // GIR_Coverage, 12762,
     /*  931231 */     GIR_EraseRootFromParent_Done,
     /*  931232 */   // Label 13842: @931232
     /*  931232 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(931309), // Rule ID 12763 //
     /*  931237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  931257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931276 */     // MIs[0] policy
     /*  931276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*  931289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931307 */     GIR_RootConstrainSelectedInstOperands,
     /*  931308 */     // GIR_Coverage, 12763,
     /*  931308 */     GIR_EraseRootFromParent_Done,
     /*  931309 */   // Label 13843: @931309
     /*  931309 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(931386), // Rule ID 12766 //
     /*  931314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  931334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931353 */     // MIs[0] policy
     /*  931353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931363 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931384 */     GIR_RootConstrainSelectedInstOperands,
     /*  931385 */     // GIR_Coverage, 12766,
     /*  931385 */     GIR_EraseRootFromParent_Done,
     /*  931386 */   // Label 13844: @931386
     /*  931386 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(931463), // Rule ID 12767 //
     /*  931391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  931411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931430 */     // MIs[0] policy
     /*  931430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931461 */     GIR_RootConstrainSelectedInstOperands,
     /*  931462 */     // GIR_Coverage, 12767,
     /*  931462 */     GIR_EraseRootFromParent_Done,
     /*  931463 */   // Label 13845: @931463
     /*  931463 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(931540), // Rule ID 12770 //
     /*  931468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  931488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931507 */     // MIs[0] policy
     /*  931507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931517 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931538 */     GIR_RootConstrainSelectedInstOperands,
     /*  931539 */     // GIR_Coverage, 12770,
     /*  931539 */     GIR_EraseRootFromParent_Done,
     /*  931540 */   // Label 13846: @931540
     /*  931540 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(931617), // Rule ID 12771 //
     /*  931545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  931556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  931559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  931562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  931565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931584 */     // MIs[0] policy
     /*  931584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*  931597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931615 */     GIR_RootConstrainSelectedInstOperands,
     /*  931616 */     // GIR_Coverage, 12771,
     /*  931616 */     GIR_EraseRootFromParent_Done,
     /*  931617 */   // Label 13847: @931617
     /*  931617 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(931694), // Rule ID 12774 //
     /*  931622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  931642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931661 */     // MIs[0] policy
     /*  931661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931671 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  931674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931692 */     GIR_RootConstrainSelectedInstOperands,
     /*  931693 */     // GIR_Coverage, 12774,
     /*  931693 */     GIR_EraseRootFromParent_Done,
     /*  931694 */   // Label 13848: @931694
     /*  931694 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(931771), // Rule ID 12775 //
     /*  931699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  931710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  931713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  931716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  931719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931738 */     // MIs[0] policy
     /*  931738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931748 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  931751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931769 */     GIR_RootConstrainSelectedInstOperands,
     /*  931770 */     // GIR_Coverage, 12775,
     /*  931770 */     GIR_EraseRootFromParent_Done,
     /*  931771 */   // Label 13849: @931771
     /*  931771 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(931848), // Rule ID 12778 //
     /*  931776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  931796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931815 */     // MIs[0] policy
     /*  931815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  931828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931846 */     GIR_RootConstrainSelectedInstOperands,
     /*  931847 */     // GIR_Coverage, 12778,
     /*  931847 */     GIR_EraseRootFromParent_Done,
     /*  931848 */   // Label 13850: @931848
     /*  931848 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(931925), // Rule ID 12779 //
     /*  931853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  931864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  931867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  931870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  931873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931892 */     // MIs[0] policy
     /*  931892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  931905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931923 */     GIR_RootConstrainSelectedInstOperands,
     /*  931924 */     // GIR_Coverage, 12779,
     /*  931924 */     GIR_EraseRootFromParent_Done,
     /*  931925 */   // Label 13851: @931925
     /*  931925 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(932002), // Rule ID 12782 //
     /*  931930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  931938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  931941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  931944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  931947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  931950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931969 */     // MIs[0] policy
     /*  931969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  931982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  931990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  931998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932000 */     GIR_RootConstrainSelectedInstOperands,
     /*  932001 */     // GIR_Coverage, 12782,
     /*  932001 */     GIR_EraseRootFromParent_Done,
     /*  932002 */   // Label 13852: @932002
     /*  932002 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(932079), // Rule ID 12783 //
     /*  932007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  932027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932046 */     // MIs[0] policy
     /*  932046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  932059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932077 */     GIR_RootConstrainSelectedInstOperands,
     /*  932078 */     // GIR_Coverage, 12783,
     /*  932078 */     GIR_EraseRootFromParent_Done,
     /*  932079 */   // Label 13853: @932079
     /*  932079 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(932156), // Rule ID 12786 //
     /*  932084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  932104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932123 */     // MIs[0] policy
     /*  932123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932133 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  932136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932154 */     GIR_RootConstrainSelectedInstOperands,
     /*  932155 */     // GIR_Coverage, 12786,
     /*  932155 */     GIR_EraseRootFromParent_Done,
     /*  932156 */   // Label 13854: @932156
     /*  932156 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(932233), // Rule ID 12787 //
     /*  932161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  932181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932200 */     // MIs[0] policy
     /*  932200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*  932213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932231 */     GIR_RootConstrainSelectedInstOperands,
     /*  932232 */     // GIR_Coverage, 12787,
     /*  932232 */     GIR_EraseRootFromParent_Done,
     /*  932233 */   // Label 13855: @932233
     /*  932233 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(932310), // Rule ID 12790 //
     /*  932238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  932258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932277 */     // MIs[0] policy
     /*  932277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932287 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  932290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932308 */     GIR_RootConstrainSelectedInstOperands,
     /*  932309 */     // GIR_Coverage, 12790,
     /*  932309 */     GIR_EraseRootFromParent_Done,
     /*  932310 */   // Label 13856: @932310
     /*  932310 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(932387), // Rule ID 12791 //
     /*  932315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  932326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  932329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  932332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  932335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932354 */     // MIs[0] policy
     /*  932354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932364 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  932367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932385 */     GIR_RootConstrainSelectedInstOperands,
     /*  932386 */     // GIR_Coverage, 12791,
     /*  932386 */     GIR_EraseRootFromParent_Done,
     /*  932387 */   // Label 13857: @932387
     /*  932387 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(932464), // Rule ID 12794 //
     /*  932392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  932412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932431 */     // MIs[0] policy
     /*  932431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932441 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  932444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932462 */     GIR_RootConstrainSelectedInstOperands,
     /*  932463 */     // GIR_Coverage, 12794,
     /*  932463 */     GIR_EraseRootFromParent_Done,
     /*  932464 */   // Label 13858: @932464
     /*  932464 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(932541), // Rule ID 12795 //
     /*  932469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  932480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  932483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  932486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  932489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932508 */     // MIs[0] policy
     /*  932508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  932521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932539 */     GIR_RootConstrainSelectedInstOperands,
     /*  932540 */     // GIR_Coverage, 12795,
     /*  932540 */     GIR_EraseRootFromParent_Done,
     /*  932541 */   // Label 13859: @932541
     /*  932541 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(932618), // Rule ID 12798 //
     /*  932546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  932566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932585 */     // MIs[0] policy
     /*  932585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  932598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932616 */     GIR_RootConstrainSelectedInstOperands,
     /*  932617 */     // GIR_Coverage, 12798,
     /*  932617 */     GIR_EraseRootFromParent_Done,
     /*  932618 */   // Label 13860: @932618
     /*  932618 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(932695), // Rule ID 12799 //
     /*  932623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  932634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  932637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  932640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  932643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  932662 */     // MIs[0] policy
     /*  932662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  932675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932693 */     GIR_RootConstrainSelectedInstOperands,
     /*  932694 */     // GIR_Coverage, 12799,
     /*  932694 */     GIR_EraseRootFromParent_Done,
     /*  932695 */   // Label 13861: @932695
     /*  932695 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(932772), // Rule ID 12802 //
     /*  932700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  932720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932739 */     // MIs[0] policy
     /*  932739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932749 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  932752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932770 */     GIR_RootConstrainSelectedInstOperands,
     /*  932771 */     // GIR_Coverage, 12802,
     /*  932771 */     GIR_EraseRootFromParent_Done,
     /*  932772 */   // Label 13862: @932772
     /*  932772 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(932849), // Rule ID 12803 //
     /*  932777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  932788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  932791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  932794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  932797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  932816 */     // MIs[0] policy
     /*  932816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  932829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932847 */     GIR_RootConstrainSelectedInstOperands,
     /*  932848 */     // GIR_Coverage, 12803,
     /*  932848 */     GIR_EraseRootFromParent_Done,
     /*  932849 */   // Label 13863: @932849
     /*  932849 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(932926), // Rule ID 12806 //
     /*  932854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  932874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  932877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932893 */     // MIs[0] policy
     /*  932893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932903 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  932903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  932906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  932924 */     GIR_RootConstrainSelectedInstOperands,
     /*  932925 */     // GIR_Coverage, 12806,
     /*  932925 */     GIR_EraseRootFromParent_Done,
     /*  932926 */   // Label 13864: @932926
     /*  932926 */   GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(933003), // Rule ID 12807 //
     /*  932931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  932939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  932942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  932945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  932948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  932951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  932954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  932970 */     // MIs[0] policy
     /*  932970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  932973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  932980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  932983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  932987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  932991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933001 */     GIR_RootConstrainSelectedInstOperands,
     /*  933002 */     // GIR_Coverage, 12807,
     /*  933002 */     GIR_EraseRootFromParent_Done,
     /*  933003 */   // Label 13865: @933003
     /*  933003 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(933080), // Rule ID 12810 //
     /*  933008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  933028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933047 */     // MIs[0] policy
     /*  933047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933057 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  933060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933078 */     GIR_RootConstrainSelectedInstOperands,
     /*  933079 */     // GIR_Coverage, 12810,
     /*  933079 */     GIR_EraseRootFromParent_Done,
     /*  933080 */   // Label 13866: @933080
     /*  933080 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(933157), // Rule ID 12811 //
     /*  933085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  933105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933124 */     // MIs[0] policy
     /*  933124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  933137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933155 */     GIR_RootConstrainSelectedInstOperands,
     /*  933156 */     // GIR_Coverage, 12811,
     /*  933156 */     GIR_EraseRootFromParent_Done,
     /*  933157 */   // Label 13867: @933157
     /*  933157 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(933234), // Rule ID 12814 //
     /*  933162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  933182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933201 */     // MIs[0] policy
     /*  933201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  933214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933232 */     GIR_RootConstrainSelectedInstOperands,
     /*  933233 */     // GIR_Coverage, 12814,
     /*  933233 */     GIR_EraseRootFromParent_Done,
     /*  933234 */   // Label 13868: @933234
     /*  933234 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(933311), // Rule ID 12815 //
     /*  933239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  933250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  933253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  933256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  933259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933278 */     // MIs[0] policy
     /*  933278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933288 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  933291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933309 */     GIR_RootConstrainSelectedInstOperands,
     /*  933310 */     // GIR_Coverage, 12815,
     /*  933310 */     GIR_EraseRootFromParent_Done,
     /*  933311 */   // Label 13869: @933311
     /*  933311 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(933388), // Rule ID 12818 //
     /*  933316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  933336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933355 */     // MIs[0] policy
     /*  933355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933365 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  933368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933386 */     GIR_RootConstrainSelectedInstOperands,
     /*  933387 */     // GIR_Coverage, 12818,
     /*  933387 */     GIR_EraseRootFromParent_Done,
     /*  933388 */   // Label 13870: @933388
     /*  933388 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(933465), // Rule ID 12819 //
     /*  933393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  933404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  933407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  933410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  933413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933432 */     // MIs[0] policy
     /*  933432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  933445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933463 */     GIR_RootConstrainSelectedInstOperands,
     /*  933464 */     // GIR_Coverage, 12819,
     /*  933464 */     GIR_EraseRootFromParent_Done,
     /*  933465 */   // Label 13871: @933465
     /*  933465 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(933542), // Rule ID 12822 //
     /*  933470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  933490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933509 */     // MIs[0] policy
     /*  933509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  933522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933540 */     GIR_RootConstrainSelectedInstOperands,
     /*  933541 */     // GIR_Coverage, 12822,
     /*  933541 */     GIR_EraseRootFromParent_Done,
     /*  933542 */   // Label 13872: @933542
     /*  933542 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(933619), // Rule ID 12823 //
     /*  933547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  933558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  933561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  933564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  933567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933586 */     // MIs[0] policy
     /*  933586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933596 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  933599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  933615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933617 */     GIR_RootConstrainSelectedInstOperands,
     /*  933618 */     // GIR_Coverage, 12823,
     /*  933618 */     GIR_EraseRootFromParent_Done,
     /*  933619 */   // Label 13873: @933619
     /*  933619 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(933696), // Rule ID 12826 //
     /*  933624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  933644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933663 */     // MIs[0] policy
     /*  933663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  933676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933694 */     GIR_RootConstrainSelectedInstOperands,
     /*  933695 */     // GIR_Coverage, 12826,
     /*  933695 */     GIR_EraseRootFromParent_Done,
     /*  933696 */   // Label 13874: @933696
     /*  933696 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(933773), // Rule ID 12827 //
     /*  933701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  933712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  933715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  933718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  933721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933740 */     // MIs[0] policy
     /*  933740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*  933753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933771 */     GIR_RootConstrainSelectedInstOperands,
     /*  933772 */     // GIR_Coverage, 12827,
     /*  933772 */     GIR_EraseRootFromParent_Done,
     /*  933773 */   // Label 13875: @933773
     /*  933773 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(933850), // Rule ID 12830 //
     /*  933778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  933798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933817 */     // MIs[0] policy
     /*  933817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933827 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  933830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933848 */     GIR_RootConstrainSelectedInstOperands,
     /*  933849 */     // GIR_Coverage, 12830,
     /*  933849 */     GIR_EraseRootFromParent_Done,
     /*  933850 */   // Label 13876: @933850
     /*  933850 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(933927), // Rule ID 12831 //
     /*  933855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  933858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  933866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  933869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  933872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  933875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  933878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933894 */     // MIs[0] policy
     /*  933894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  933904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*  933907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  933925 */     GIR_RootConstrainSelectedInstOperands,
     /*  933926 */     // GIR_Coverage, 12831,
     /*  933926 */     GIR_EraseRootFromParent_Done,
     /*  933927 */   // Label 13877: @933927
     /*  933927 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(934004), // Rule ID 12834 //
     /*  933932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  933935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  933940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  933943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  933946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  933949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  933952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  933955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933971 */     // MIs[0] policy
     /*  933971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  933974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933981 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  933981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  933984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  933988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  933992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934002 */     GIR_RootConstrainSelectedInstOperands,
     /*  934003 */     // GIR_Coverage, 12834,
     /*  934003 */     GIR_EraseRootFromParent_Done,
     /*  934004 */   // Label 13878: @934004
     /*  934004 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(934081), // Rule ID 12835 //
     /*  934009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  934020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  934023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  934026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  934029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934048 */     // MIs[0] policy
     /*  934048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*  934061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934079 */     GIR_RootConstrainSelectedInstOperands,
     /*  934080 */     // GIR_Coverage, 12835,
     /*  934080 */     GIR_EraseRootFromParent_Done,
     /*  934081 */   // Label 13879: @934081
     /*  934081 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(934158), // Rule ID 12838 //
     /*  934086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  934106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934125 */     // MIs[0] policy
     /*  934125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934135 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /*  934138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934156 */     GIR_RootConstrainSelectedInstOperands,
     /*  934157 */     // GIR_Coverage, 12838,
     /*  934157 */     GIR_EraseRootFromParent_Done,
     /*  934158 */   // Label 13880: @934158
     /*  934158 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(934235), // Rule ID 12839 //
     /*  934163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  934174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  934177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  934183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934202 */     // MIs[0] policy
     /*  934202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /*  934215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934233 */     GIR_RootConstrainSelectedInstOperands,
     /*  934234 */     // GIR_Coverage, 12839,
     /*  934234 */     GIR_EraseRootFromParent_Done,
     /*  934235 */   // Label 13881: @934235
     /*  934235 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(934312), // Rule ID 12842 //
     /*  934240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  934260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934279 */     // MIs[0] policy
     /*  934279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  934292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934310 */     GIR_RootConstrainSelectedInstOperands,
     /*  934311 */     // GIR_Coverage, 12842,
     /*  934311 */     GIR_EraseRootFromParent_Done,
     /*  934312 */   // Label 13882: @934312
     /*  934312 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(934389), // Rule ID 12843 //
     /*  934317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  934328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  934331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  934337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934356 */     // MIs[0] policy
     /*  934356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934366 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  934369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934387 */     GIR_RootConstrainSelectedInstOperands,
     /*  934388 */     // GIR_Coverage, 12843,
     /*  934388 */     GIR_EraseRootFromParent_Done,
     /*  934389 */   // Label 13883: @934389
     /*  934389 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(934466), // Rule ID 12846 //
     /*  934394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  934414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934433 */     // MIs[0] policy
     /*  934433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934443 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934464 */     GIR_RootConstrainSelectedInstOperands,
     /*  934465 */     // GIR_Coverage, 12846,
     /*  934465 */     GIR_EraseRootFromParent_Done,
     /*  934466 */   // Label 13884: @934466
     /*  934466 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(934543), // Rule ID 12847 //
     /*  934471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  934482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  934485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  934491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934510 */     // MIs[0] policy
     /*  934510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  934539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934541 */     GIR_RootConstrainSelectedInstOperands,
     /*  934542 */     // GIR_Coverage, 12847,
     /*  934542 */     GIR_EraseRootFromParent_Done,
     /*  934543 */   // Label 13885: @934543
     /*  934543 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(934620), // Rule ID 12850 //
     /*  934548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  934559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  934562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  934568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934587 */     // MIs[0] policy
     /*  934587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  934600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934618 */     GIR_RootConstrainSelectedInstOperands,
     /*  934619 */     // GIR_Coverage, 12850,
     /*  934619 */     GIR_EraseRootFromParent_Done,
     /*  934620 */   // Label 13886: @934620
     /*  934620 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(934697), // Rule ID 12851 //
     /*  934625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  934636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  934639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  934645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934664 */     // MIs[0] policy
     /*  934664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /*  934677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934695 */     GIR_RootConstrainSelectedInstOperands,
     /*  934696 */     // GIR_Coverage, 12851,
     /*  934696 */     GIR_EraseRootFromParent_Done,
     /*  934697 */   // Label 13887: @934697
     /*  934697 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(934774), // Rule ID 12854 //
     /*  934702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  934713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  934716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  934722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934741 */     // MIs[0] policy
     /*  934741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934751 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934772 */     GIR_RootConstrainSelectedInstOperands,
     /*  934773 */     // GIR_Coverage, 12854,
     /*  934773 */     GIR_EraseRootFromParent_Done,
     /*  934774 */   // Label 13888: @934774
     /*  934774 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(934851), // Rule ID 12855 //
     /*  934779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  934790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  934793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  934799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934818 */     // MIs[0] policy
     /*  934818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934849 */     GIR_RootConstrainSelectedInstOperands,
     /*  934850 */     // GIR_Coverage, 12855,
     /*  934850 */     GIR_EraseRootFromParent_Done,
     /*  934851 */   // Label 13889: @934851
     /*  934851 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(934928), // Rule ID 12858 //
     /*  934856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  934867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  934870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  934873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  934876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  934879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934895 */     // MIs[0] policy
     /*  934895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  934905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  934926 */     GIR_RootConstrainSelectedInstOperands,
     /*  934927 */     // GIR_Coverage, 12858,
     /*  934927 */     GIR_EraseRootFromParent_Done,
     /*  934928 */   // Label 13890: @934928
     /*  934928 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(935005), // Rule ID 12859 //
     /*  934933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  934941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  934944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  934947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  934950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  934953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  934956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  934968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  934972 */     // MIs[0] policy
     /*  934972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  934975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  934982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /*  934985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  934989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  934993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935003 */     GIR_RootConstrainSelectedInstOperands,
     /*  935004 */     // GIR_Coverage, 12859,
     /*  935004 */     GIR_EraseRootFromParent_Done,
     /*  935005 */   // Label 13891: @935005
     /*  935005 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(935082), // Rule ID 12862 //
     /*  935010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  935030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935049 */     // MIs[0] policy
     /*  935049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935080 */     GIR_RootConstrainSelectedInstOperands,
     /*  935081 */     // GIR_Coverage, 12862,
     /*  935081 */     GIR_EraseRootFromParent_Done,
     /*  935082 */   // Label 13892: @935082
     /*  935082 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(935159), // Rule ID 12863 //
     /*  935087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  935098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  935101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  935107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935126 */     // MIs[0] policy
     /*  935126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11123:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935157 */     GIR_RootConstrainSelectedInstOperands,
     /*  935158 */     // GIR_Coverage, 12863,
     /*  935158 */     GIR_EraseRootFromParent_Done,
     /*  935159 */   // Label 13893: @935159
     /*  935159 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(935236), // Rule ID 12866 //
     /*  935164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  935184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935203 */     // MIs[0] policy
     /*  935203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935213 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935234 */     GIR_RootConstrainSelectedInstOperands,
     /*  935235 */     // GIR_Coverage, 12866,
     /*  935235 */     GIR_EraseRootFromParent_Done,
     /*  935236 */   // Label 13894: @935236
     /*  935236 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(935313), // Rule ID 12867 //
     /*  935241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  935252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  935255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  935261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935280 */     // MIs[0] policy
     /*  935280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11123:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935311 */     GIR_RootConstrainSelectedInstOperands,
     /*  935312 */     // GIR_Coverage, 12867,
     /*  935312 */     GIR_EraseRootFromParent_Done,
     /*  935313 */   // Label 13895: @935313
     /*  935313 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(935390), // Rule ID 12870 //
     /*  935318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  935338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935357 */     // MIs[0] policy
     /*  935357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935367 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935388 */     GIR_RootConstrainSelectedInstOperands,
     /*  935389 */     // GIR_Coverage, 12870,
     /*  935389 */     GIR_EraseRootFromParent_Done,
     /*  935390 */   // Label 13896: @935390
     /*  935390 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(935467), // Rule ID 12871 //
     /*  935395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  935406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  935409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  935415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935434 */     // MIs[0] policy
     /*  935434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11123:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  935463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935465 */     GIR_RootConstrainSelectedInstOperands,
     /*  935466 */     // GIR_Coverage, 12871,
     /*  935466 */     GIR_EraseRootFromParent_Done,
     /*  935467 */   // Label 13897: @935467
     /*  935467 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(935544), // Rule ID 12874 //
     /*  935472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  935475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  935483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  935486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  935492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935511 */     // MIs[0] policy
     /*  935511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935521 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935542 */     GIR_RootConstrainSelectedInstOperands,
     /*  935543 */     // GIR_Coverage, 12874,
     /*  935543 */     GIR_EraseRootFromParent_Done,
     /*  935544 */   // Label 13898: @935544
     /*  935544 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(935621), // Rule ID 12875 //
     /*  935549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  935552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  935560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  935563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  935569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935588 */     // MIs[0] policy
     /*  935588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11123:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /*  935601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935619 */     GIR_RootConstrainSelectedInstOperands,
     /*  935620 */     // GIR_Coverage, 12875,
     /*  935620 */     GIR_EraseRootFromParent_Done,
     /*  935621 */   // Label 13899: @935621
     /*  935621 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(935698), // Rule ID 12878 //
     /*  935626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  935646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935665 */     // MIs[0] policy
     /*  935665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  935678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935696 */     GIR_RootConstrainSelectedInstOperands,
     /*  935697 */     // GIR_Coverage, 12878,
     /*  935697 */     GIR_EraseRootFromParent_Done,
     /*  935698 */   // Label 13900: @935698
     /*  935698 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(935775), // Rule ID 12879 //
     /*  935703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  935714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  935717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  935723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  935742 */     // MIs[0] policy
     /*  935742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935752 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  935755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935773 */     GIR_RootConstrainSelectedInstOperands,
     /*  935774 */     // GIR_Coverage, 12879,
     /*  935774 */     GIR_EraseRootFromParent_Done,
     /*  935775 */   // Label 13901: @935775
     /*  935775 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(935852), // Rule ID 12882 //
     /*  935780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  935800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935819 */     // MIs[0] policy
     /*  935819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935829 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  935832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935850 */     GIR_RootConstrainSelectedInstOperands,
     /*  935851 */     // GIR_Coverage, 12882,
     /*  935851 */     GIR_EraseRootFromParent_Done,
     /*  935852 */   // Label 13902: @935852
     /*  935852 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(935929), // Rule ID 12883 //
     /*  935857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  935868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  935871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  935874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  935877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  935880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  935896 */     // MIs[0] policy
     /*  935896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  935906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  935909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  935927 */     GIR_RootConstrainSelectedInstOperands,
     /*  935928 */     // GIR_Coverage, 12883,
     /*  935928 */     GIR_EraseRootFromParent_Done,
     /*  935929 */   // Label 13903: @935929
     /*  935929 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(936006), // Rule ID 12886 //
     /*  935934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  935942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  935945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  935948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  935951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  935954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  935957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  935969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935973 */     // MIs[0] policy
     /*  935973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  935976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  935983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  935986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  935990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  935994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936004 */     GIR_RootConstrainSelectedInstOperands,
     /*  936005 */     // GIR_Coverage, 12886,
     /*  936005 */     GIR_EraseRootFromParent_Done,
     /*  936006 */   // Label 13904: @936006
     /*  936006 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(936083), // Rule ID 12887 //
     /*  936011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  936022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  936025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  936031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936050 */     // MIs[0] policy
     /*  936050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936060 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  936063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936081 */     GIR_RootConstrainSelectedInstOperands,
     /*  936082 */     // GIR_Coverage, 12887,
     /*  936082 */     GIR_EraseRootFromParent_Done,
     /*  936083 */   // Label 13905: @936083
     /*  936083 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(936160), // Rule ID 12890 //
     /*  936088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  936108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936127 */     // MIs[0] policy
     /*  936127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  936140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936158 */     GIR_RootConstrainSelectedInstOperands,
     /*  936159 */     // GIR_Coverage, 12890,
     /*  936159 */     GIR_EraseRootFromParent_Done,
     /*  936160 */   // Label 13906: @936160
     /*  936160 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(936237), // Rule ID 12891 //
     /*  936165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  936176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  936179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  936185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936204 */     // MIs[0] policy
     /*  936204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936214 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  936217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936235 */     GIR_RootConstrainSelectedInstOperands,
     /*  936236 */     // GIR_Coverage, 12891,
     /*  936236 */     GIR_EraseRootFromParent_Done,
     /*  936237 */   // Label 13907: @936237
     /*  936237 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(936314), // Rule ID 12894 //
     /*  936242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  936262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936281 */     // MIs[0] policy
     /*  936281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  936294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936312 */     GIR_RootConstrainSelectedInstOperands,
     /*  936313 */     // GIR_Coverage, 12894,
     /*  936313 */     GIR_EraseRootFromParent_Done,
     /*  936314 */   // Label 13908: @936314
     /*  936314 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(936391), // Rule ID 12895 //
     /*  936319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  936330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  936333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  936339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936358 */     // MIs[0] policy
     /*  936358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936368 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  936371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936389 */     GIR_RootConstrainSelectedInstOperands,
     /*  936390 */     // GIR_Coverage, 12895,
     /*  936390 */     GIR_EraseRootFromParent_Done,
     /*  936391 */   // Label 13909: @936391
     /*  936391 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(936468), // Rule ID 12898 //
     /*  936396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  936407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  936410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  936416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936435 */     // MIs[0] policy
     /*  936435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936445 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  936448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936466 */     GIR_RootConstrainSelectedInstOperands,
     /*  936467 */     // GIR_Coverage, 12898,
     /*  936467 */     GIR_EraseRootFromParent_Done,
     /*  936468 */   // Label 13910: @936468
     /*  936468 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(936545), // Rule ID 12899 //
     /*  936473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  936484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  936487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  936493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936512 */     // MIs[0] policy
     /*  936512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  936525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936543 */     GIR_RootConstrainSelectedInstOperands,
     /*  936544 */     // GIR_Coverage, 12899,
     /*  936544 */     GIR_EraseRootFromParent_Done,
     /*  936545 */   // Label 13911: @936545
     /*  936545 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(936622), // Rule ID 12902 //
     /*  936550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  936570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936589 */     // MIs[0] policy
     /*  936589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  936602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936620 */     GIR_RootConstrainSelectedInstOperands,
     /*  936621 */     // GIR_Coverage, 12902,
     /*  936621 */     GIR_EraseRootFromParent_Done,
     /*  936622 */   // Label 13912: @936622
     /*  936622 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(936699), // Rule ID 12903 //
     /*  936627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  936638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  936641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  936647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  936666 */     // MIs[0] policy
     /*  936666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  936679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936697 */     GIR_RootConstrainSelectedInstOperands,
     /*  936698 */     // GIR_Coverage, 12903,
     /*  936698 */     GIR_EraseRootFromParent_Done,
     /*  936699 */   // Label 13913: @936699
     /*  936699 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(936776), // Rule ID 12906 //
     /*  936704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  936724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936743 */     // MIs[0] policy
     /*  936743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  936756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936774 */     GIR_RootConstrainSelectedInstOperands,
     /*  936775 */     // GIR_Coverage, 12906,
     /*  936775 */     GIR_EraseRootFromParent_Done,
     /*  936776 */   // Label 13914: @936776
     /*  936776 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(936853), // Rule ID 12907 //
     /*  936781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  936792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  936795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  936801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  936820 */     // MIs[0] policy
     /*  936820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  936833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936851 */     GIR_RootConstrainSelectedInstOperands,
     /*  936852 */     // GIR_Coverage, 12907,
     /*  936852 */     GIR_EraseRootFromParent_Done,
     /*  936853 */   // Label 13915: @936853
     /*  936853 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(936930), // Rule ID 12910 //
     /*  936858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  936869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  936872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  936875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  936878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  936881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936897 */     // MIs[0] policy
     /*  936897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  936907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  936910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  936928 */     GIR_RootConstrainSelectedInstOperands,
     /*  936929 */     // GIR_Coverage, 12910,
     /*  936929 */     GIR_EraseRootFromParent_Done,
     /*  936930 */   // Label 13916: @936930
     /*  936930 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(937007), // Rule ID 12911 //
     /*  936935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  936943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  936946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  936949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  936952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  936955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  936958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  936970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  936974 */     // MIs[0] policy
     /*  936974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  936977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936984 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  936984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  936987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  936991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  936995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  937003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937005 */     GIR_RootConstrainSelectedInstOperands,
     /*  937006 */     // GIR_Coverage, 12911,
     /*  937006 */     GIR_EraseRootFromParent_Done,
     /*  937007 */   // Label 13917: @937007
     /*  937007 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(937084), // Rule ID 12914 //
     /*  937012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  937015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  937023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  937026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  937029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  937032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937051 */     // MIs[0] policy
     /*  937051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937061 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  937064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937082 */     GIR_RootConstrainSelectedInstOperands,
     /*  937083 */     // GIR_Coverage, 12914,
     /*  937083 */     GIR_EraseRootFromParent_Done,
     /*  937084 */   // Label 13918: @937084
     /*  937084 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(937161), // Rule ID 12915 //
     /*  937089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  937092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  937100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  937103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  937106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  937109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937128 */     // MIs[0] policy
     /*  937128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11123:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /*  937141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937159 */     GIR_RootConstrainSelectedInstOperands,
     /*  937160 */     // GIR_Coverage, 12915,
     /*  937160 */     GIR_EraseRootFromParent_Done,
     /*  937161 */   // Label 13919: @937161
     /*  937161 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(937238), // Rule ID 12918 //
     /*  937166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  937169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  937177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  937180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  937183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  937186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937205 */     // MIs[0] policy
     /*  937205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937215 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  937218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937236 */     GIR_RootConstrainSelectedInstOperands,
     /*  937237 */     // GIR_Coverage, 12918,
     /*  937237 */     GIR_EraseRootFromParent_Done,
     /*  937238 */   // Label 13920: @937238
     /*  937238 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(937315), // Rule ID 12919 //
     /*  937243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  937246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  937254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  937257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  937260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  937263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937282 */     // MIs[0] policy
     /*  937282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937292 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11123:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /*  937295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937313 */     GIR_RootConstrainSelectedInstOperands,
     /*  937314 */     // GIR_Coverage, 12919,
     /*  937314 */     GIR_EraseRootFromParent_Done,
     /*  937315 */   // Label 13921: @937315
     /*  937315 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(937392), // Rule ID 12922 //
     /*  937320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  937323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  937331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  937334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  937337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  937340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937359 */     // MIs[0] policy
     /*  937359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  937372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937390 */     GIR_RootConstrainSelectedInstOperands,
     /*  937391 */     // GIR_Coverage, 12922,
     /*  937391 */     GIR_EraseRootFromParent_Done,
     /*  937392 */   // Label 13922: @937392
     /*  937392 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(937469), // Rule ID 12923 //
     /*  937397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  937400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /*  937405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  937408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  937411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  937414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  937417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  937432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937436 */     // MIs[0] policy
     /*  937436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937446 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11123:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /*  937449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937467 */     GIR_RootConstrainSelectedInstOperands,
     /*  937468 */     // GIR_Coverage, 12923,
     /*  937468 */     GIR_EraseRootFromParent_Done,
     /*  937469 */   // Label 13923: @937469
     /*  937469 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(937546), // Rule ID 12926 //
     /*  937474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  937491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  937494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937513 */     // MIs[0] policy
     /*  937513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /*  937526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937544 */     GIR_RootConstrainSelectedInstOperands,
     /*  937545 */     // GIR_Coverage, 12926,
     /*  937545 */     GIR_EraseRootFromParent_Done,
     /*  937546 */   // Label 13924: @937546
     /*  937546 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(937623), // Rule ID 12927 //
     /*  937551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  937562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  937565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  937568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  937571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937590 */     // MIs[0] policy
     /*  937590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937600 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /*  937603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937621 */     GIR_RootConstrainSelectedInstOperands,
     /*  937622 */     // GIR_Coverage, 12927,
     /*  937622 */     GIR_EraseRootFromParent_Done,
     /*  937623 */   // Label 13925: @937623
     /*  937623 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(937700), // Rule ID 12930 //
     /*  937628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937667 */     // MIs[0] policy
     /*  937667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937677 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  937680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937698 */     GIR_RootConstrainSelectedInstOperands,
     /*  937699 */     // GIR_Coverage, 12930,
     /*  937699 */     GIR_EraseRootFromParent_Done,
     /*  937700 */   // Label 13926: @937700
     /*  937700 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(937777), // Rule ID 12931 //
     /*  937705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  937716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  937719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  937722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  937725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937744 */     // MIs[0] policy
     /*  937744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  937757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937775 */     GIR_RootConstrainSelectedInstOperands,
     /*  937776 */     // GIR_Coverage, 12931,
     /*  937776 */     GIR_EraseRootFromParent_Done,
     /*  937777 */   // Label 13927: @937777
     /*  937777 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(937854), // Rule ID 12934 //
     /*  937782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937821 */     // MIs[0] policy
     /*  937821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937831 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  937834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937852 */     GIR_RootConstrainSelectedInstOperands,
     /*  937853 */     // GIR_Coverage, 12934,
     /*  937853 */     GIR_EraseRootFromParent_Done,
     /*  937854 */   // Label 13928: @937854
     /*  937854 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(937931), // Rule ID 12935 //
     /*  937859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  937870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  937873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  937876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  937879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  937882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937898 */     // MIs[0] policy
     /*  937898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937908 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  937908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  937911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  937929 */     GIR_RootConstrainSelectedInstOperands,
     /*  937930 */     // GIR_Coverage, 12935,
     /*  937930 */     GIR_EraseRootFromParent_Done,
     /*  937931 */   // Label 13929: @937931
     /*  937931 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(938008), // Rule ID 12938 //
     /*  937936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  937944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  937947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  937950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  937953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  937956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  937959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  937975 */     // MIs[0] policy
     /*  937975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  937978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  937985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  937988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  937992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  937996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938006 */     GIR_RootConstrainSelectedInstOperands,
     /*  938007 */     // GIR_Coverage, 12938,
     /*  938007 */     GIR_EraseRootFromParent_Done,
     /*  938008 */   // Label 13930: @938008
     /*  938008 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(938085), // Rule ID 12939 //
     /*  938013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  938024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  938027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  938030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  938033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938052 */     // MIs[0] policy
     /*  938052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /*  938065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938083 */     GIR_RootConstrainSelectedInstOperands,
     /*  938084 */     // GIR_Coverage, 12939,
     /*  938084 */     GIR_EraseRootFromParent_Done,
     /*  938085 */   // Label 13931: @938085
     /*  938085 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(938162), // Rule ID 12942 //
     /*  938090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938129 */     // MIs[0] policy
     /*  938129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938139 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  938142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938160 */     GIR_RootConstrainSelectedInstOperands,
     /*  938161 */     // GIR_Coverage, 12942,
     /*  938161 */     GIR_EraseRootFromParent_Done,
     /*  938162 */   // Label 13932: @938162
     /*  938162 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(938239), // Rule ID 12943 //
     /*  938167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  938178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  938181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  938184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  938187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938206 */     // MIs[0] policy
     /*  938206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938216 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  938219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938237 */     GIR_RootConstrainSelectedInstOperands,
     /*  938238 */     // GIR_Coverage, 12943,
     /*  938238 */     GIR_EraseRootFromParent_Done,
     /*  938239 */   // Label 13933: @938239
     /*  938239 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(938316), // Rule ID 12946 //
     /*  938244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938283 */     // MIs[0] policy
     /*  938283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  938296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938314 */     GIR_RootConstrainSelectedInstOperands,
     /*  938315 */     // GIR_Coverage, 12946,
     /*  938315 */     GIR_EraseRootFromParent_Done,
     /*  938316 */   // Label 13934: @938316
     /*  938316 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(938393), // Rule ID 12947 //
     /*  938321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  938332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  938335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  938338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  938341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938360 */     // MIs[0] policy
     /*  938360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /*  938373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938391 */     GIR_RootConstrainSelectedInstOperands,
     /*  938392 */     // GIR_Coverage, 12947,
     /*  938392 */     GIR_EraseRootFromParent_Done,
     /*  938393 */   // Label 13935: @938393
     /*  938393 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(938470), // Rule ID 12950 //
     /*  938398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  938409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  938412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  938415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  938418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938437 */     // MIs[0] policy
     /*  938437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938468 */     GIR_RootConstrainSelectedInstOperands,
     /*  938469 */     // GIR_Coverage, 12950,
     /*  938469 */     GIR_EraseRootFromParent_Done,
     /*  938470 */   // Label 13936: @938470
     /*  938470 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(938547), // Rule ID 12951 //
     /*  938475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  938486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  938489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  938492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  938495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938514 */     // MIs[0] policy
     /*  938514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938524 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  938543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938545 */     GIR_RootConstrainSelectedInstOperands,
     /*  938546 */     // GIR_Coverage, 12951,
     /*  938546 */     GIR_EraseRootFromParent_Done,
     /*  938547 */   // Label 13937: @938547
     /*  938547 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(938624), // Rule ID 12954 //
     /*  938552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  938569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  938572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938591 */     // MIs[0] policy
     /*  938591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938601 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938622 */     GIR_RootConstrainSelectedInstOperands,
     /*  938623 */     // GIR_Coverage, 12954,
     /*  938623 */     GIR_EraseRootFromParent_Done,
     /*  938624 */   // Label 13938: @938624
     /*  938624 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(938701), // Rule ID 12955 //
     /*  938629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  938640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  938643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  938646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  938649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938668 */     // MIs[0] policy
     /*  938668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938699 */     GIR_RootConstrainSelectedInstOperands,
     /*  938700 */     // GIR_Coverage, 12955,
     /*  938700 */     GIR_EraseRootFromParent_Done,
     /*  938701 */   // Label 13939: @938701
     /*  938701 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(938778), // Rule ID 12958 //
     /*  938706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  938717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  938720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  938726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938745 */     // MIs[0] policy
     /*  938745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938776 */     GIR_RootConstrainSelectedInstOperands,
     /*  938777 */     // GIR_Coverage, 12958,
     /*  938777 */     GIR_EraseRootFromParent_Done,
     /*  938778 */   // Label 13940: @938778
     /*  938778 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(938855), // Rule ID 12959 //
     /*  938783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  938794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  938797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  938800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  938803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938822 */     // MIs[0] policy
     /*  938822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938853 */     GIR_RootConstrainSelectedInstOperands,
     /*  938854 */     // GIR_Coverage, 12959,
     /*  938854 */     GIR_EraseRootFromParent_Done,
     /*  938855 */   // Label 13941: @938855
     /*  938855 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(938932), // Rule ID 12962 //
     /*  938860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  938871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  938874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  938880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  938883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938899 */     // MIs[0] policy
     /*  938899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938909 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  938909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  938930 */     GIR_RootConstrainSelectedInstOperands,
     /*  938931 */     // GIR_Coverage, 12962,
     /*  938931 */     GIR_EraseRootFromParent_Done,
     /*  938932 */   // Label 13942: @938932
     /*  938932 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(939009), // Rule ID 12963 //
     /*  938937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  938945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  938948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  938951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  938954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  938957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  938960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  938976 */     // MIs[0] policy
     /*  938976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  938979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  938986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /*  938989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  938993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  938997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  939005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939007 */     GIR_RootConstrainSelectedInstOperands,
     /*  939008 */     // GIR_Coverage, 12963,
     /*  939008 */     GIR_EraseRootFromParent_Done,
     /*  939009 */   // Label 13943: @939009
     /*  939009 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(939086), // Rule ID 12966 //
     /*  939014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  939031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  939034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939053 */     // MIs[0] policy
     /*  939053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939063 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  939066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939084 */     GIR_RootConstrainSelectedInstOperands,
     /*  939085 */     // GIR_Coverage, 12966,
     /*  939085 */     GIR_EraseRootFromParent_Done,
     /*  939086 */   // Label 13944: @939086
     /*  939086 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(939163), // Rule ID 12967 //
     /*  939091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  939108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  939111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939130 */     // MIs[0] policy
     /*  939130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939140 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  939143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939161 */     GIR_RootConstrainSelectedInstOperands,
     /*  939162 */     // GIR_Coverage, 12967,
     /*  939162 */     GIR_EraseRootFromParent_Done,
     /*  939163 */   // Label 13945: @939163
     /*  939163 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(939240), // Rule ID 12970 //
     /*  939168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  939185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  939188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939207 */     // MIs[0] policy
     /*  939207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939217 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  939220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939238 */     GIR_RootConstrainSelectedInstOperands,
     /*  939239 */     // GIR_Coverage, 12970,
     /*  939239 */     GIR_EraseRootFromParent_Done,
     /*  939240 */   // Label 13946: @939240
     /*  939240 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(939317), // Rule ID 12971 //
     /*  939245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  939256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  939259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  939262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  939265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939284 */     // MIs[0] policy
     /*  939284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939294 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  939297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939315 */     GIR_RootConstrainSelectedInstOperands,
     /*  939316 */     // GIR_Coverage, 12971,
     /*  939316 */     GIR_EraseRootFromParent_Done,
     /*  939317 */   // Label 13947: @939317
     /*  939317 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(939394), // Rule ID 12974 //
     /*  939322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  939333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  939336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  939339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  939342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939361 */     // MIs[0] policy
     /*  939361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  939374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939392 */     GIR_RootConstrainSelectedInstOperands,
     /*  939393 */     // GIR_Coverage, 12974,
     /*  939393 */     GIR_EraseRootFromParent_Done,
     /*  939394 */   // Label 13948: @939394
     /*  939394 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(939471), // Rule ID 12975 //
     /*  939399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  939410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  939413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  939416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  939419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939438 */     // MIs[0] policy
     /*  939438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  939451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939469 */     GIR_RootConstrainSelectedInstOperands,
     /*  939470 */     // GIR_Coverage, 12975,
     /*  939470 */     GIR_EraseRootFromParent_Done,
     /*  939471 */   // Label 13949: @939471
     /*  939471 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(939548), // Rule ID 12978 //
     /*  939476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  939496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939515 */     // MIs[0] policy
     /*  939515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939525 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  939528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939546 */     GIR_RootConstrainSelectedInstOperands,
     /*  939547 */     // GIR_Coverage, 12978,
     /*  939547 */     GIR_EraseRootFromParent_Done,
     /*  939548 */   // Label 13950: @939548
     /*  939548 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(939625), // Rule ID 12979 //
     /*  939553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  939564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  939567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  939573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939592 */     // MIs[0] policy
     /*  939592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  939605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939623 */     GIR_RootConstrainSelectedInstOperands,
     /*  939624 */     // GIR_Coverage, 12979,
     /*  939624 */     GIR_EraseRootFromParent_Done,
     /*  939625 */   // Label 13951: @939625
     /*  939625 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(939702), // Rule ID 12982 //
     /*  939630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  939650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939669 */     // MIs[0] policy
     /*  939669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  939682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939700 */     GIR_RootConstrainSelectedInstOperands,
     /*  939701 */     // GIR_Coverage, 12982,
     /*  939701 */     GIR_EraseRootFromParent_Done,
     /*  939702 */   // Label 13952: @939702
     /*  939702 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(939779), // Rule ID 12983 //
     /*  939707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  939718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  939721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  939727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  939746 */     // MIs[0] policy
     /*  939746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  939759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939777 */     GIR_RootConstrainSelectedInstOperands,
     /*  939778 */     // GIR_Coverage, 12983,
     /*  939778 */     GIR_EraseRootFromParent_Done,
     /*  939779 */   // Label 13953: @939779
     /*  939779 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(939856), // Rule ID 12986 //
     /*  939784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  939795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  939798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  939804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939823 */     // MIs[0] policy
     /*  939823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  939836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939854 */     GIR_RootConstrainSelectedInstOperands,
     /*  939855 */     // GIR_Coverage, 12986,
     /*  939855 */     GIR_EraseRootFromParent_Done,
     /*  939856 */   // Label 13954: @939856
     /*  939856 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(939933), // Rule ID 12987 //
     /*  939861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  939872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  939875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  939878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  939881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  939884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939900 */     // MIs[0] policy
     /*  939900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939910 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  939910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  939913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  939929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  939931 */     GIR_RootConstrainSelectedInstOperands,
     /*  939932 */     // GIR_Coverage, 12987,
     /*  939932 */     GIR_EraseRootFromParent_Done,
     /*  939933 */   // Label 13955: @939933
     /*  939933 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(940010), // Rule ID 12990 //
     /*  939938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  939946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  939949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  939952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  939955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  939958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  939961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939977 */     // MIs[0] policy
     /*  939977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  939980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  939987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  939990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  939994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  939998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940008 */     GIR_RootConstrainSelectedInstOperands,
     /*  940009 */     // GIR_Coverage, 12990,
     /*  940009 */     GIR_EraseRootFromParent_Done,
     /*  940010 */   // Label 13956: @940010
     /*  940010 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(940087), // Rule ID 12991 //
     /*  940015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  940026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  940029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  940035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940054 */     // MIs[0] policy
     /*  940054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  940067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940085 */     GIR_RootConstrainSelectedInstOperands,
     /*  940086 */     // GIR_Coverage, 12991,
     /*  940086 */     GIR_EraseRootFromParent_Done,
     /*  940087 */   // Label 13957: @940087
     /*  940087 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(940164), // Rule ID 12994 //
     /*  940092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  940112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940131 */     // MIs[0] policy
     /*  940131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  940144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940162 */     GIR_RootConstrainSelectedInstOperands,
     /*  940163 */     // GIR_Coverage, 12994,
     /*  940163 */     GIR_EraseRootFromParent_Done,
     /*  940164 */   // Label 13958: @940164
     /*  940164 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(940241), // Rule ID 12995 //
     /*  940169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  940180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  940183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  940189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940208 */     // MIs[0] policy
     /*  940208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  940221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940239 */     GIR_RootConstrainSelectedInstOperands,
     /*  940240 */     // GIR_Coverage, 12995,
     /*  940240 */     GIR_EraseRootFromParent_Done,
     /*  940241 */   // Label 13959: @940241
     /*  940241 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(940318), // Rule ID 12998 //
     /*  940246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  940266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940285 */     // MIs[0] policy
     /*  940285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940295 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  940298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940316 */     GIR_RootConstrainSelectedInstOperands,
     /*  940317 */     // GIR_Coverage, 12998,
     /*  940317 */     GIR_EraseRootFromParent_Done,
     /*  940318 */   // Label 13960: @940318
     /*  940318 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(940395), // Rule ID 12999 //
     /*  940323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  940334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  940337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  940340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  940343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940362 */     // MIs[0] policy
     /*  940362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  940375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  940391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940393 */     GIR_RootConstrainSelectedInstOperands,
     /*  940394 */     // GIR_Coverage, 12999,
     /*  940394 */     GIR_EraseRootFromParent_Done,
     /*  940395 */   // Label 13961: @940395
     /*  940395 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(940472), // Rule ID 13002 //
     /*  940400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  940403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  940420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940439 */     // MIs[0] policy
     /*  940439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940449 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  940452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940470 */     GIR_RootConstrainSelectedInstOperands,
     /*  940471 */     // GIR_Coverage, 13002,
     /*  940471 */     GIR_EraseRootFromParent_Done,
     /*  940472 */   // Label 13962: @940472
     /*  940472 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(940549), // Rule ID 13003 //
     /*  940477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  940480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  940488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  940491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  940494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  940497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940516 */     // MIs[0] policy
     /*  940516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940526 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /*  940529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940547 */     GIR_RootConstrainSelectedInstOperands,
     /*  940548 */     // GIR_Coverage, 13003,
     /*  940548 */     GIR_EraseRootFromParent_Done,
     /*  940549 */   // Label 13963: @940549
     /*  940549 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(940626), // Rule ID 13006 //
     /*  940554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  940557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  940574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940593 */     // MIs[0] policy
     /*  940593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  940606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940624 */     GIR_RootConstrainSelectedInstOperands,
     /*  940625 */     // GIR_Coverage, 13006,
     /*  940625 */     GIR_EraseRootFromParent_Done,
     /*  940626 */   // Label 13964: @940626
     /*  940626 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(940703), // Rule ID 13007 //
     /*  940631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  940634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  940642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  940645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  940648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  940651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940670 */     // MIs[0] policy
     /*  940670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940680 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /*  940683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940701 */     GIR_RootConstrainSelectedInstOperands,
     /*  940702 */     // GIR_Coverage, 13007,
     /*  940702 */     GIR_EraseRootFromParent_Done,
     /*  940703 */   // Label 13965: @940703
     /*  940703 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(940780), // Rule ID 13010 //
     /*  940708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  940711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  940719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  940722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  940728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940747 */     // MIs[0] policy
     /*  940747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940757 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  940760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940778 */     GIR_RootConstrainSelectedInstOperands,
     /*  940779 */     // GIR_Coverage, 13010,
     /*  940779 */     GIR_EraseRootFromParent_Done,
     /*  940780 */   // Label 13966: @940780
     /*  940780 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(940857), // Rule ID 13011 //
     /*  940785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  940788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  940796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  940799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  940802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  940805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940824 */     // MIs[0] policy
     /*  940824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940834 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /*  940837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  940853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940855 */     GIR_RootConstrainSelectedInstOperands,
     /*  940856 */     // GIR_Coverage, 13011,
     /*  940856 */     GIR_EraseRootFromParent_Done,
     /*  940857 */   // Label 13967: @940857
     /*  940857 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(940934), // Rule ID 13014 //
     /*  940862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  940873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  940876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  940879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  940882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  940885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940901 */     // MIs[0] policy
     /*  940901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  940911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /*  940914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  940930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  940932 */     GIR_RootConstrainSelectedInstOperands,
     /*  940933 */     // GIR_Coverage, 13014,
     /*  940933 */     GIR_EraseRootFromParent_Done,
     /*  940934 */   // Label 13968: @940934
     /*  940934 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(941011), // Rule ID 13015 //
     /*  940939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  940947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  940950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  940953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  940956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  940959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  940962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  940974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940978 */     // MIs[0] policy
     /*  940978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  940981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940988 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  940988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /*  940991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  940995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  940999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941009 */     GIR_RootConstrainSelectedInstOperands,
     /*  941010 */     // GIR_Coverage, 13015,
     /*  941010 */     GIR_EraseRootFromParent_Done,
     /*  941011 */   // Label 13969: @941011
     /*  941011 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(941088), // Rule ID 13018 //
     /*  941016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941055 */     // MIs[0] policy
     /*  941055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  941068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941086 */     GIR_RootConstrainSelectedInstOperands,
     /*  941087 */     // GIR_Coverage, 13018,
     /*  941087 */     GIR_EraseRootFromParent_Done,
     /*  941088 */   // Label 13970: @941088
     /*  941088 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(941165), // Rule ID 13019 //
     /*  941093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  941104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  941107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  941113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941132 */     // MIs[0] policy
     /*  941132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  941145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941163 */     GIR_RootConstrainSelectedInstOperands,
     /*  941164 */     // GIR_Coverage, 13019,
     /*  941164 */     GIR_EraseRootFromParent_Done,
     /*  941165 */   // Label 13971: @941165
     /*  941165 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(941242), // Rule ID 13022 //
     /*  941170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  941181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  941184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  941190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941209 */     // MIs[0] policy
     /*  941209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941240 */     GIR_RootConstrainSelectedInstOperands,
     /*  941241 */     // GIR_Coverage, 13022,
     /*  941241 */     GIR_EraseRootFromParent_Done,
     /*  941242 */   // Label 13972: @941242
     /*  941242 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(941319), // Rule ID 13023 //
     /*  941247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  941258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  941261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  941267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941286 */     // MIs[0] policy
     /*  941286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941317 */     GIR_RootConstrainSelectedInstOperands,
     /*  941318 */     // GIR_Coverage, 13023,
     /*  941318 */     GIR_EraseRootFromParent_Done,
     /*  941319 */   // Label 13973: @941319
     /*  941319 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(941396), // Rule ID 13026 //
     /*  941324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  941335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  941338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941363 */     // MIs[0] policy
     /*  941363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941373 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  941376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941394 */     GIR_RootConstrainSelectedInstOperands,
     /*  941395 */     // GIR_Coverage, 13026,
     /*  941395 */     GIR_EraseRootFromParent_Done,
     /*  941396 */   // Label 13974: @941396
     /*  941396 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(941473), // Rule ID 13027 //
     /*  941401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  941412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  941415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  941421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941440 */     // MIs[0] policy
     /*  941440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /*  941453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941471 */     GIR_RootConstrainSelectedInstOperands,
     /*  941472 */     // GIR_Coverage, 13027,
     /*  941472 */     GIR_EraseRootFromParent_Done,
     /*  941473 */   // Label 13975: @941473
     /*  941473 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(941550), // Rule ID 13030 //
     /*  941478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  941489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  941492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941517 */     // MIs[0] policy
     /*  941517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941548 */     GIR_RootConstrainSelectedInstOperands,
     /*  941549 */     // GIR_Coverage, 13030,
     /*  941549 */     GIR_EraseRootFromParent_Done,
     /*  941550 */   // Label 13976: @941550
     /*  941550 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(941627), // Rule ID 13031 //
     /*  941555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  941566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  941569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  941575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941594 */     // MIs[0] policy
     /*  941594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941625 */     GIR_RootConstrainSelectedInstOperands,
     /*  941626 */     // GIR_Coverage, 13031,
     /*  941626 */     GIR_EraseRootFromParent_Done,
     /*  941627 */   // Label 13977: @941627
     /*  941627 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(941704), // Rule ID 13034 //
     /*  941632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  941652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941671 */     // MIs[0] policy
     /*  941671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941702 */     GIR_RootConstrainSelectedInstOperands,
     /*  941703 */     // GIR_Coverage, 13034,
     /*  941703 */     GIR_EraseRootFromParent_Done,
     /*  941704 */   // Label 13978: @941704
     /*  941704 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(941781), // Rule ID 13035 //
     /*  941709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  941729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941748 */     // MIs[0] policy
     /*  941748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /*  941761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941779 */     GIR_RootConstrainSelectedInstOperands,
     /*  941780 */     // GIR_Coverage, 13035,
     /*  941780 */     GIR_EraseRootFromParent_Done,
     /*  941781 */   // Label 13979: @941781
     /*  941781 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(941858), // Rule ID 13038 //
     /*  941786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  941797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  941800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  941806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941825 */     // MIs[0] policy
     /*  941825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  941838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941856 */     GIR_RootConstrainSelectedInstOperands,
     /*  941857 */     // GIR_Coverage, 13038,
     /*  941857 */     GIR_EraseRootFromParent_Done,
     /*  941858 */   // Label 13980: @941858
     /*  941858 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(941935), // Rule ID 13039 //
     /*  941863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  941874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  941877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  941880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  941883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  941886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941902 */     // MIs[0] policy
     /*  941902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11040:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  941912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  941915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  941923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  941931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  941933 */     GIR_RootConstrainSelectedInstOperands,
     /*  941934 */     // GIR_Coverage, 13039,
     /*  941934 */     GIR_EraseRootFromParent_Done,
     /*  941935 */   // Label 13981: @941935
     /*  941935 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(942012), // Rule ID 13042 //
     /*  941940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  941948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  941951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  941954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  941957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  941960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  941963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  941975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941979 */     // MIs[0] policy
     /*  941979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  941982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941989 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  941989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  941992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  941996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942010 */     GIR_RootConstrainSelectedInstOperands,
     /*  942011 */     // GIR_Coverage, 13042,
     /*  942011 */     GIR_EraseRootFromParent_Done,
     /*  942012 */   // Label 13982: @942012
     /*  942012 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(942089), // Rule ID 13043 //
     /*  942017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  942028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  942031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  942037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942056 */     // MIs[0] policy
     /*  942056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942066 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11040:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  942069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942087 */     GIR_RootConstrainSelectedInstOperands,
     /*  942088 */     // GIR_Coverage, 13043,
     /*  942088 */     GIR_EraseRootFromParent_Done,
     /*  942089 */   // Label 13983: @942089
     /*  942089 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(942166), // Rule ID 13046 //
     /*  942094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942133 */     // MIs[0] policy
     /*  942133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942143 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  942146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942164 */     GIR_RootConstrainSelectedInstOperands,
     /*  942165 */     // GIR_Coverage, 13046,
     /*  942165 */     GIR_EraseRootFromParent_Done,
     /*  942166 */   // Label 13984: @942166
     /*  942166 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(942243), // Rule ID 13047 //
     /*  942171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  942182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  942185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  942191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942210 */     // MIs[0] policy
     /*  942210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11040:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  942223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942241 */     GIR_RootConstrainSelectedInstOperands,
     /*  942242 */     // GIR_Coverage, 13047,
     /*  942242 */     GIR_EraseRootFromParent_Done,
     /*  942243 */   // Label 13985: @942243
     /*  942243 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(942320), // Rule ID 13050 //
     /*  942248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  942251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  942268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942287 */     // MIs[0] policy
     /*  942287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  942300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  942316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942318 */     GIR_RootConstrainSelectedInstOperands,
     /*  942319 */     // GIR_Coverage, 13050,
     /*  942319 */     GIR_EraseRootFromParent_Done,
     /*  942320 */   // Label 13986: @942320
     /*  942320 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(942397), // Rule ID 13051 //
     /*  942325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  942328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  942336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  942339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  942345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942364 */     // MIs[0] policy
     /*  942364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11040:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /*  942377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  942393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942395 */     GIR_RootConstrainSelectedInstOperands,
     /*  942396 */     // GIR_Coverage, 13051,
     /*  942396 */     GIR_EraseRootFromParent_Done,
     /*  942397 */   // Label 13987: @942397
     /*  942397 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(942474), // Rule ID 13054 //
     /*  942402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  942422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942441 */     // MIs[0] policy
     /*  942441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  942454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942472 */     GIR_RootConstrainSelectedInstOperands,
     /*  942473 */     // GIR_Coverage, 13054,
     /*  942473 */     GIR_EraseRootFromParent_Done,
     /*  942474 */   // Label 13988: @942474
     /*  942474 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(942551), // Rule ID 13055 //
     /*  942479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  942499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942518 */     // MIs[0] policy
     /*  942518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  942531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942549 */     GIR_RootConstrainSelectedInstOperands,
     /*  942550 */     // GIR_Coverage, 13055,
     /*  942550 */     GIR_EraseRootFromParent_Done,
     /*  942551 */   // Label 13989: @942551
     /*  942551 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(942628), // Rule ID 13058 //
     /*  942556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  942576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942595 */     // MIs[0] policy
     /*  942595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942605 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  942608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942626 */     GIR_RootConstrainSelectedInstOperands,
     /*  942627 */     // GIR_Coverage, 13058,
     /*  942627 */     GIR_EraseRootFromParent_Done,
     /*  942628 */   // Label 13990: @942628
     /*  942628 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(942705), // Rule ID 13059 //
     /*  942633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  942653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942672 */     // MIs[0] policy
     /*  942672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942682 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  942685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942703 */     GIR_RootConstrainSelectedInstOperands,
     /*  942704 */     // GIR_Coverage, 13059,
     /*  942704 */     GIR_EraseRootFromParent_Done,
     /*  942705 */   // Label 13991: @942705
     /*  942705 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(942782), // Rule ID 13062 //
     /*  942710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  942721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  942724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  942730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942749 */     // MIs[0] policy
     /*  942749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942759 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  942762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942780 */     GIR_RootConstrainSelectedInstOperands,
     /*  942781 */     // GIR_Coverage, 13062,
     /*  942781 */     GIR_EraseRootFromParent_Done,
     /*  942782 */   // Label 13992: @942782
     /*  942782 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(942859), // Rule ID 13063 //
     /*  942787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  942798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  942801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  942807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  942826 */     // MIs[0] policy
     /*  942826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  942839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942857 */     GIR_RootConstrainSelectedInstOperands,
     /*  942858 */     // GIR_Coverage, 13063,
     /*  942858 */     GIR_EraseRootFromParent_Done,
     /*  942859 */   // Label 13993: @942859
     /*  942859 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(942936), // Rule ID 13066 //
     /*  942864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  942878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  942881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  942887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942903 */     // MIs[0] policy
     /*  942903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  942913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  942916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  942924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  942932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  942934 */     GIR_RootConstrainSelectedInstOperands,
     /*  942935 */     // GIR_Coverage, 13066,
     /*  942935 */     GIR_EraseRootFromParent_Done,
     /*  942936 */   // Label 13994: @942936
     /*  942936 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(943013), // Rule ID 13067 //
     /*  942941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  942949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  942952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  942955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  942958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  942961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  942964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  942976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942980 */     // MIs[0] policy
     /*  942980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  942983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942990 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  942990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  942993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  942997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943011 */     GIR_RootConstrainSelectedInstOperands,
     /*  943012 */     // GIR_Coverage, 13067,
     /*  943012 */     GIR_EraseRootFromParent_Done,
     /*  943013 */   // Label 13995: @943013
     /*  943013 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(943090), // Rule ID 13070 //
     /*  943018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  943038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943057 */     // MIs[0] policy
     /*  943057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  943070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943088 */     GIR_RootConstrainSelectedInstOperands,
     /*  943089 */     // GIR_Coverage, 13070,
     /*  943089 */     GIR_EraseRootFromParent_Done,
     /*  943090 */   // Label 13996: @943090
     /*  943090 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(943167), // Rule ID 13071 //
     /*  943095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  943115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943134 */     // MIs[0] policy
     /*  943134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  943147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943165 */     GIR_RootConstrainSelectedInstOperands,
     /*  943166 */     // GIR_Coverage, 13071,
     /*  943166 */     GIR_EraseRootFromParent_Done,
     /*  943167 */   // Label 13997: @943167
     /*  943167 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(943244), // Rule ID 13074 //
     /*  943172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  943186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943211 */     // MIs[0] policy
     /*  943211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943221 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  943224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943242 */     GIR_RootConstrainSelectedInstOperands,
     /*  943243 */     // GIR_Coverage, 13074,
     /*  943243 */     GIR_EraseRootFromParent_Done,
     /*  943244 */   // Label 13998: @943244
     /*  943244 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(943321), // Rule ID 13075 //
     /*  943249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  943260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  943263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  943269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943288 */     // MIs[0] policy
     /*  943288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  943301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943319 */     GIR_RootConstrainSelectedInstOperands,
     /*  943320 */     // GIR_Coverage, 13075,
     /*  943320 */     GIR_EraseRootFromParent_Done,
     /*  943321 */   // Label 13999: @943321
     /*  943321 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(943398), // Rule ID 13078 //
     /*  943326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  943340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943365 */     // MIs[0] policy
     /*  943365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943375 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  943378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943396 */     GIR_RootConstrainSelectedInstOperands,
     /*  943397 */     // GIR_Coverage, 13078,
     /*  943397 */     GIR_EraseRootFromParent_Done,
     /*  943398 */   // Label 14000: @943398
     /*  943398 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(943475), // Rule ID 13079 //
     /*  943403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  943414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  943417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  943423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943442 */     // MIs[0] policy
     /*  943442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  943455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943473 */     GIR_RootConstrainSelectedInstOperands,
     /*  943474 */     // GIR_Coverage, 13079,
     /*  943474 */     GIR_EraseRootFromParent_Done,
     /*  943475 */   // Label 14001: @943475
     /*  943475 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(943552), // Rule ID 13082 //
     /*  943480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  943491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  943494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943519 */     // MIs[0] policy
     /*  943519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943529 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  943532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943550 */     GIR_RootConstrainSelectedInstOperands,
     /*  943551 */     // GIR_Coverage, 13082,
     /*  943551 */     GIR_EraseRootFromParent_Done,
     /*  943552 */   // Label 14002: @943552
     /*  943552 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(943629), // Rule ID 13083 //
     /*  943557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  943568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  943571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  943577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943596 */     // MIs[0] policy
     /*  943596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943606 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  943609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943627 */     GIR_RootConstrainSelectedInstOperands,
     /*  943628 */     // GIR_Coverage, 13083,
     /*  943628 */     GIR_EraseRootFromParent_Done,
     /*  943629 */   // Label 14003: @943629
     /*  943629 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(943706), // Rule ID 13086 //
     /*  943634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  943645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  943648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  943654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943673 */     // MIs[0] policy
     /*  943673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  943686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943704 */     GIR_RootConstrainSelectedInstOperands,
     /*  943705 */     // GIR_Coverage, 13086,
     /*  943705 */     GIR_EraseRootFromParent_Done,
     /*  943706 */   // Label 14004: @943706
     /*  943706 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(943783), // Rule ID 13087 //
     /*  943711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  943722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  943725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  943731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943750 */     // MIs[0] policy
     /*  943750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  943763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  943779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943781 */     GIR_RootConstrainSelectedInstOperands,
     /*  943782 */     // GIR_Coverage, 13087,
     /*  943782 */     GIR_EraseRootFromParent_Done,
     /*  943783 */   // Label 14005: @943783
     /*  943783 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(943860), // Rule ID 13090 //
     /*  943788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  943791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  943808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943827 */     // MIs[0] policy
     /*  943827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  943840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  943856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943858 */     GIR_RootConstrainSelectedInstOperands,
     /*  943859 */     // GIR_Coverage, 13090,
     /*  943859 */     GIR_EraseRootFromParent_Done,
     /*  943860 */   // Label 14006: @943860
     /*  943860 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(943937), // Rule ID 13091 //
     /*  943865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  943868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  943876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  943879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  943882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  943885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  943888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943904 */     // MIs[0] policy
     /*  943904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11040:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  943914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /*  943917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  943925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  943933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  943935 */     GIR_RootConstrainSelectedInstOperands,
     /*  943936 */     // GIR_Coverage, 13091,
     /*  943936 */     GIR_EraseRootFromParent_Done,
     /*  943937 */   // Label 14007: @943937
     /*  943937 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(944014), // Rule ID 13094 //
     /*  943942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  943945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  943950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  943953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  943956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  943959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  943962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  943965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  943977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943981 */     // MIs[0] policy
     /*  943981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  943984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  943991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  943994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  943998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  944010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944012 */     GIR_RootConstrainSelectedInstOperands,
     /*  944013 */     // GIR_Coverage, 13094,
     /*  944013 */     GIR_EraseRootFromParent_Done,
     /*  944014 */   // Label 14008: @944014
     /*  944014 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(944091), // Rule ID 13095 //
     /*  944019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  944022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  944027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  944030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  944033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  944039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944058 */     // MIs[0] policy
     /*  944058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11040:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /*  944071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  944087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944089 */     GIR_RootConstrainSelectedInstOperands,
     /*  944090 */     // GIR_Coverage, 13095,
     /*  944090 */     GIR_EraseRootFromParent_Done,
     /*  944091 */   // Label 14009: @944091
     /*  944091 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(944168), // Rule ID 13098 //
     /*  944096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  944099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  944104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  944107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  944110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  944113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  944116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944135 */     // MIs[0] policy
     /*  944135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  944148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  944164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944166 */     GIR_RootConstrainSelectedInstOperands,
     /*  944167 */     // GIR_Coverage, 13098,
     /*  944167 */     GIR_EraseRootFromParent_Done,
     /*  944168 */   // Label 14010: @944168
     /*  944168 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(944245), // Rule ID 13099 //
     /*  944173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  944176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /*  944181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  944184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  944187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  944190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  944193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  944208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944212 */     // MIs[0] policy
     /*  944212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11040:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /*  944225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  944241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944243 */     GIR_RootConstrainSelectedInstOperands,
     /*  944244 */     // GIR_Coverage, 13099,
     /*  944244 */     GIR_EraseRootFromParent_Done,
     /*  944245 */   // Label 14011: @944245
     /*  944245 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(944322), // Rule ID 13102 //
     /*  944250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  944261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  944264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  944267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  944270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944289 */     // MIs[0] policy
     /*  944289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944299 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /*  944302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944320 */     GIR_RootConstrainSelectedInstOperands,
     /*  944321 */     // GIR_Coverage, 13102,
     /*  944321 */     GIR_EraseRootFromParent_Done,
     /*  944322 */   // Label 14012: @944322
     /*  944322 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(944399), // Rule ID 13103 //
     /*  944327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  944338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  944341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  944344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  944347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944366 */     // MIs[0] policy
     /*  944366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944376 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /*  944379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944397 */     GIR_RootConstrainSelectedInstOperands,
     /*  944398 */     // GIR_Coverage, 13103,
     /*  944398 */     GIR_EraseRootFromParent_Done,
     /*  944399 */   // Label 14013: @944399
     /*  944399 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(944476), // Rule ID 13106 //
     /*  944404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  944418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944443 */     // MIs[0] policy
     /*  944443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944453 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  944456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944474 */     GIR_RootConstrainSelectedInstOperands,
     /*  944475 */     // GIR_Coverage, 13106,
     /*  944475 */     GIR_EraseRootFromParent_Done,
     /*  944476 */   // Label 14014: @944476
     /*  944476 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(944553), // Rule ID 13107 //
     /*  944481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  944492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  944495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  944498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  944501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944520 */     // MIs[0] policy
     /*  944520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  944533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944551 */     GIR_RootConstrainSelectedInstOperands,
     /*  944552 */     // GIR_Coverage, 13107,
     /*  944552 */     GIR_EraseRootFromParent_Done,
     /*  944553 */   // Label 14015: @944553
     /*  944553 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(944630), // Rule ID 13110 //
     /*  944558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  944572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944597 */     // MIs[0] policy
     /*  944597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944607 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  944610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944628 */     GIR_RootConstrainSelectedInstOperands,
     /*  944629 */     // GIR_Coverage, 13110,
     /*  944629 */     GIR_EraseRootFromParent_Done,
     /*  944630 */   // Label 14016: @944630
     /*  944630 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(944707), // Rule ID 13111 //
     /*  944635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  944646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  944649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  944652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  944655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944674 */     // MIs[0] policy
     /*  944674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  944687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  944703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944705 */     GIR_RootConstrainSelectedInstOperands,
     /*  944706 */     // GIR_Coverage, 13111,
     /*  944706 */     GIR_EraseRootFromParent_Done,
     /*  944707 */   // Label 14017: @944707
     /*  944707 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(944784), // Rule ID 13114 //
     /*  944712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  944726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944751 */     // MIs[0] policy
     /*  944751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  944764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944782 */     GIR_RootConstrainSelectedInstOperands,
     /*  944783 */     // GIR_Coverage, 13114,
     /*  944783 */     GIR_EraseRootFromParent_Done,
     /*  944784 */   // Label 14018: @944784
     /*  944784 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(944861), // Rule ID 13115 //
     /*  944789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  944800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  944803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  944806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944828 */     // MIs[0] policy
     /*  944828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944838 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /*  944841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944859 */     GIR_RootConstrainSelectedInstOperands,
     /*  944860 */     // GIR_Coverage, 13115,
     /*  944860 */     GIR_EraseRootFromParent_Done,
     /*  944861 */   // Label 14019: @944861
     /*  944861 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(944938), // Rule ID 13118 //
     /*  944866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  944869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  944880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  944889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944905 */     // MIs[0] policy
     /*  944905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  944915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  944918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  944936 */     GIR_RootConstrainSelectedInstOperands,
     /*  944937 */     // GIR_Coverage, 13118,
     /*  944937 */     GIR_EraseRootFromParent_Done,
     /*  944938 */   // Label 14020: @944938
     /*  944938 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(945015), // Rule ID 13119 //
     /*  944943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  944951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  944954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  944957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  944960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  944963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  944966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944982 */     // MIs[0] policy
     /*  944982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  944985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  944992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  944995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  944999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945013 */     GIR_RootConstrainSelectedInstOperands,
     /*  945014 */     // GIR_Coverage, 13119,
     /*  945014 */     GIR_EraseRootFromParent_Done,
     /*  945015 */   // Label 14021: @945015
     /*  945015 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(945092), // Rule ID 13122 //
     /*  945020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945059 */     // MIs[0] policy
     /*  945059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  945072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945090 */     GIR_RootConstrainSelectedInstOperands,
     /*  945091 */     // GIR_Coverage, 13122,
     /*  945091 */     GIR_EraseRootFromParent_Done,
     /*  945092 */   // Label 14022: @945092
     /*  945092 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(945169), // Rule ID 13123 //
     /*  945097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  945108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  945111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  945114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945136 */     // MIs[0] policy
     /*  945136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /*  945149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945167 */     GIR_RootConstrainSelectedInstOperands,
     /*  945168 */     // GIR_Coverage, 13123,
     /*  945168 */     GIR_EraseRootFromParent_Done,
     /*  945169 */   // Label 14023: @945169
     /*  945169 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(945246), // Rule ID 13126 //
     /*  945174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  945188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945213 */     // MIs[0] policy
     /*  945213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945223 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945244 */     GIR_RootConstrainSelectedInstOperands,
     /*  945245 */     // GIR_Coverage, 13126,
     /*  945245 */     GIR_EraseRootFromParent_Done,
     /*  945246 */   // Label 14024: @945246
     /*  945246 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(945323), // Rule ID 13127 //
     /*  945251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  945262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  945265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  945268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  945271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945290 */     // MIs[0] policy
     /*  945290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945321 */     GIR_RootConstrainSelectedInstOperands,
     /*  945322 */     // GIR_Coverage, 13127,
     /*  945322 */     GIR_EraseRootFromParent_Done,
     /*  945323 */   // Label 14025: @945323
     /*  945323 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(945400), // Rule ID 13130 //
     /*  945328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  945342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945367 */     // MIs[0] policy
     /*  945367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945377 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945398 */     GIR_RootConstrainSelectedInstOperands,
     /*  945399 */     // GIR_Coverage, 13130,
     /*  945399 */     GIR_EraseRootFromParent_Done,
     /*  945400 */   // Label 14026: @945400
     /*  945400 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(945477), // Rule ID 13131 //
     /*  945405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  945416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  945419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  945422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945444 */     // MIs[0] policy
     /*  945444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945475 */     GIR_RootConstrainSelectedInstOperands,
     /*  945476 */     // GIR_Coverage, 13131,
     /*  945476 */     GIR_EraseRootFromParent_Done,
     /*  945477 */   // Label 14027: @945477
     /*  945477 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(945554), // Rule ID 13134 //
     /*  945482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945521 */     // MIs[0] policy
     /*  945521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945552 */     GIR_RootConstrainSelectedInstOperands,
     /*  945553 */     // GIR_Coverage, 13134,
     /*  945553 */     GIR_EraseRootFromParent_Done,
     /*  945554 */   // Label 14028: @945554
     /*  945554 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(945631), // Rule ID 13135 //
     /*  945559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945598 */     // MIs[0] policy
     /*  945598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945629 */     GIR_RootConstrainSelectedInstOperands,
     /*  945630 */     // GIR_Coverage, 13135,
     /*  945630 */     GIR_EraseRootFromParent_Done,
     /*  945631 */   // Label 14029: @945631
     /*  945631 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(945708), // Rule ID 13138 //
     /*  945636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  945639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945675 */     // MIs[0] policy
     /*  945675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945685 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945706 */     GIR_RootConstrainSelectedInstOperands,
     /*  945707 */     // GIR_Coverage, 13138,
     /*  945707 */     GIR_EraseRootFromParent_Done,
     /*  945708 */   // Label 14030: @945708
     /*  945708 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(945785), // Rule ID 13139 //
     /*  945713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  945716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  945733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945752 */     // MIs[0] policy
     /*  945752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /*  945765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  945781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945783 */     GIR_RootConstrainSelectedInstOperands,
     /*  945784 */     // GIR_Coverage, 13139,
     /*  945784 */     GIR_EraseRootFromParent_Done,
     /*  945785 */   // Label 14031: @945785
     /*  945785 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(945862), // Rule ID 13142 //
     /*  945790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  945804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945829 */     // MIs[0] policy
     /*  945829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945839 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  945842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945860 */     GIR_RootConstrainSelectedInstOperands,
     /*  945861 */     // GIR_Coverage, 13142,
     /*  945861 */     GIR_EraseRootFromParent_Done,
     /*  945862 */   // Label 14032: @945862
     /*  945862 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(945939), // Rule ID 13143 //
     /*  945867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  945870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  945878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  945881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  945884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  945887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  945890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945906 */     // MIs[0] policy
     /*  945906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945916 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  945916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  945919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  945923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  945935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  945937 */     GIR_RootConstrainSelectedInstOperands,
     /*  945938 */     // GIR_Coverage, 13143,
     /*  945938 */     GIR_EraseRootFromParent_Done,
     /*  945939 */   // Label 14033: @945939
     /*  945939 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(946016), // Rule ID 13146 //
     /*  945944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  945947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  945952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  945955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  945958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  945961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  945964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  945967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945983 */     // MIs[0] policy
     /*  945983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  945986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945993 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  945993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  945996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946014 */     GIR_RootConstrainSelectedInstOperands,
     /*  946015 */     // GIR_Coverage, 13146,
     /*  946015 */     GIR_EraseRootFromParent_Done,
     /*  946016 */   // Label 14034: @946016
     /*  946016 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(946093), // Rule ID 13147 //
     /*  946021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  946032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  946035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  946038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  946041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946060 */     // MIs[0] policy
     /*  946060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946070 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  946073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946091 */     GIR_RootConstrainSelectedInstOperands,
     /*  946092 */     // GIR_Coverage, 13147,
     /*  946092 */     GIR_EraseRootFromParent_Done,
     /*  946093 */   // Label 14035: @946093
     /*  946093 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(946170), // Rule ID 13150 //
     /*  946098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  946112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946137 */     // MIs[0] policy
     /*  946137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  946150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946168 */     GIR_RootConstrainSelectedInstOperands,
     /*  946169 */     // GIR_Coverage, 13150,
     /*  946169 */     GIR_EraseRootFromParent_Done,
     /*  946170 */   // Label 14036: @946170
     /*  946170 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(946247), // Rule ID 13151 //
     /*  946175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  946186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  946189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  946192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  946195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946214 */     // MIs[0] policy
     /*  946214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946224 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  946227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  946243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946245 */     GIR_RootConstrainSelectedInstOperands,
     /*  946246 */     // GIR_Coverage, 13151,
     /*  946246 */     GIR_EraseRootFromParent_Done,
     /*  946247 */   // Label 14037: @946247
     /*  946247 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(946324), // Rule ID 13154 //
     /*  946252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  946266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946291 */     // MIs[0] policy
     /*  946291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946301 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  946304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946322 */     GIR_RootConstrainSelectedInstOperands,
     /*  946323 */     // GIR_Coverage, 13154,
     /*  946323 */     GIR_EraseRootFromParent_Done,
     /*  946324 */   // Label 14038: @946324
     /*  946324 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(946401), // Rule ID 13155 //
     /*  946329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  946340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  946343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  946346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946368 */     // MIs[0] policy
     /*  946368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946378 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  946381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946399 */     GIR_RootConstrainSelectedInstOperands,
     /*  946400 */     // GIR_Coverage, 13155,
     /*  946400 */     GIR_EraseRootFromParent_Done,
     /*  946401 */   // Label 14039: @946401
     /*  946401 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(946478), // Rule ID 13158 //
     /*  946406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  946417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  946420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  946423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946445 */     // MIs[0] policy
     /*  946445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946455 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  946458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946476 */     GIR_RootConstrainSelectedInstOperands,
     /*  946477 */     // GIR_Coverage, 13158,
     /*  946477 */     GIR_EraseRootFromParent_Done,
     /*  946478 */   // Label 14040: @946478
     /*  946478 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(946555), // Rule ID 13159 //
     /*  946483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  946494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  946497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  946500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  946503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946522 */     // MIs[0] policy
     /*  946522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946532 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  946535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946553 */     GIR_RootConstrainSelectedInstOperands,
     /*  946554 */     // GIR_Coverage, 13159,
     /*  946554 */     GIR_EraseRootFromParent_Done,
     /*  946555 */   // Label 14041: @946555
     /*  946555 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(946632), // Rule ID 13162 //
     /*  946560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  946571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  946574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  946577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  946580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946599 */     // MIs[0] policy
     /*  946599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946609 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  946612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946630 */     GIR_RootConstrainSelectedInstOperands,
     /*  946631 */     // GIR_Coverage, 13162,
     /*  946631 */     GIR_EraseRootFromParent_Done,
     /*  946632 */   // Label 14042: @946632
     /*  946632 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(946709), // Rule ID 13163 //
     /*  946637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  946648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  946651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  946654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  946657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946676 */     // MIs[0] policy
     /*  946676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  946689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946707 */     GIR_RootConstrainSelectedInstOperands,
     /*  946708 */     // GIR_Coverage, 13163,
     /*  946708 */     GIR_EraseRootFromParent_Done,
     /*  946709 */   // Label 14043: @946709
     /*  946709 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(946786), // Rule ID 13166 //
     /*  946714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946753 */     // MIs[0] policy
     /*  946753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  946766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946784 */     GIR_RootConstrainSelectedInstOperands,
     /*  946785 */     // GIR_Coverage, 13166,
     /*  946785 */     GIR_EraseRootFromParent_Done,
     /*  946786 */   // Label 14044: @946786
     /*  946786 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(946863), // Rule ID 13167 //
     /*  946791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946830 */     // MIs[0] policy
     /*  946830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  946843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946861 */     GIR_RootConstrainSelectedInstOperands,
     /*  946862 */     // GIR_Coverage, 13167,
     /*  946862 */     GIR_EraseRootFromParent_Done,
     /*  946863 */   // Label 14045: @946863
     /*  946863 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(946940), // Rule ID 13170 //
     /*  946868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  946871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  946888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  946891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946907 */     // MIs[0] policy
     /*  946907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  946917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  946920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  946924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  946938 */     GIR_RootConstrainSelectedInstOperands,
     /*  946939 */     // GIR_Coverage, 13170,
     /*  946939 */     GIR_EraseRootFromParent_Done,
     /*  946940 */   // Label 14046: @946940
     /*  946940 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(947017), // Rule ID 13171 //
     /*  946945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  946948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  946953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  946965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  946968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946984 */     // MIs[0] policy
     /*  946984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  946987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  946994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  946997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947015 */     GIR_RootConstrainSelectedInstOperands,
     /*  947016 */     // GIR_Coverage, 13171,
     /*  947016 */     GIR_EraseRootFromParent_Done,
     /*  947017 */   // Label 14047: @947017
     /*  947017 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(947094), // Rule ID 13174 //
     /*  947022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  947039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  947042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947061 */     // MIs[0] policy
     /*  947061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947071 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  947074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947092 */     GIR_RootConstrainSelectedInstOperands,
     /*  947093 */     // GIR_Coverage, 13174,
     /*  947093 */     GIR_EraseRootFromParent_Done,
     /*  947094 */   // Label 14048: @947094
     /*  947094 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(947171), // Rule ID 13175 //
     /*  947099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  947116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  947119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947138 */     // MIs[0] policy
     /*  947138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  947151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947169 */     GIR_RootConstrainSelectedInstOperands,
     /*  947170 */     // GIR_Coverage, 13175,
     /*  947170 */     GIR_EraseRootFromParent_Done,
     /*  947171 */   // Label 14049: @947171
     /*  947171 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(947248), // Rule ID 13178 //
     /*  947176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  947179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  947193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  947196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947215 */     // MIs[0] policy
     /*  947215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947225 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  947228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947246 */     GIR_RootConstrainSelectedInstOperands,
     /*  947247 */     // GIR_Coverage, 13178,
     /*  947247 */     GIR_EraseRootFromParent_Done,
     /*  947248 */   // Label 14050: @947248
     /*  947248 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(947325), // Rule ID 13179 //
     /*  947253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  947256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  947270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  947273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947292 */     // MIs[0] policy
     /*  947292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /*  947305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947323 */     GIR_RootConstrainSelectedInstOperands,
     /*  947324 */     // GIR_Coverage, 13179,
     /*  947324 */     GIR_EraseRootFromParent_Done,
     /*  947325 */   // Label 14051: @947325
     /*  947325 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(947402), // Rule ID 13182 //
     /*  947330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  947333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  947350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947369 */     // MIs[0] policy
     /*  947369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  947382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947400 */     GIR_RootConstrainSelectedInstOperands,
     /*  947401 */     // GIR_Coverage, 13182,
     /*  947401 */     GIR_EraseRootFromParent_Done,
     /*  947402 */   // Label 14052: @947402
     /*  947402 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(947479), // Rule ID 13183 //
     /*  947407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  947410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  947427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947446 */     // MIs[0] policy
     /*  947446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /*  947459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947477 */     GIR_RootConstrainSelectedInstOperands,
     /*  947478 */     // GIR_Coverage, 13183,
     /*  947478 */     GIR_EraseRootFromParent_Done,
     /*  947479 */   // Label 14053: @947479
     /*  947479 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(947556), // Rule ID 13186 //
     /*  947484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  947487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  947504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947523 */     // MIs[0] policy
     /*  947523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  947536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947554 */     GIR_RootConstrainSelectedInstOperands,
     /*  947555 */     // GIR_Coverage, 13186,
     /*  947555 */     GIR_EraseRootFromParent_Done,
     /*  947556 */   // Label 14054: @947556
     /*  947556 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(947633), // Rule ID 13187 //
     /*  947561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  947564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  947581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947600 */     // MIs[0] policy
     /*  947600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947610 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /*  947613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  947629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947631 */     GIR_RootConstrainSelectedInstOperands,
     /*  947632 */     // GIR_Coverage, 13187,
     /*  947632 */     GIR_EraseRootFromParent_Done,
     /*  947633 */   // Label 14055: @947633
     /*  947633 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(947710), // Rule ID 13190 //
     /*  947638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  947652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  947655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947677 */     // MIs[0] policy
     /*  947677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /*  947690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947708 */     GIR_RootConstrainSelectedInstOperands,
     /*  947709 */     // GIR_Coverage, 13190,
     /*  947709 */     GIR_EraseRootFromParent_Done,
     /*  947710 */   // Label 14056: @947710
     /*  947710 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(947787), // Rule ID 13191 //
     /*  947715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  947729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  947732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947754 */     // MIs[0] policy
     /*  947754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /*  947767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947785 */     GIR_RootConstrainSelectedInstOperands,
     /*  947786 */     // GIR_Coverage, 13191,
     /*  947786 */     GIR_EraseRootFromParent_Done,
     /*  947787 */   // Label 14057: @947787
     /*  947787 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(947864), // Rule ID 13194 //
     /*  947792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  947806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  947809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947831 */     // MIs[0] policy
     /*  947831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947841 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  947844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947862 */     GIR_RootConstrainSelectedInstOperands,
     /*  947863 */     // GIR_Coverage, 13194,
     /*  947863 */     GIR_EraseRootFromParent_Done,
     /*  947864 */   // Label 14058: @947864
     /*  947864 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(947941), // Rule ID 13195 //
     /*  947869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  947872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  947880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  947883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  947886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  947889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947908 */     // MIs[0] policy
     /*  947908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  947918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  947921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  947925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  947939 */     GIR_RootConstrainSelectedInstOperands,
     /*  947940 */     // GIR_Coverage, 13195,
     /*  947940 */     GIR_EraseRootFromParent_Done,
     /*  947941 */   // Label 14059: @947941
     /*  947941 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(948018), // Rule ID 13198 //
     /*  947946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  947949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  947954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  947957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  947960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  947963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  947966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947985 */     // MIs[0] policy
     /*  947985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  947988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947995 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  947995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  947998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948016 */     GIR_RootConstrainSelectedInstOperands,
     /*  948017 */     // GIR_Coverage, 13198,
     /*  948017 */     GIR_EraseRootFromParent_Done,
     /*  948018 */   // Label 14060: @948018
     /*  948018 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(948095), // Rule ID 13199 //
     /*  948023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  948037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948062 */     // MIs[0] policy
     /*  948062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  948075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948093 */     GIR_RootConstrainSelectedInstOperands,
     /*  948094 */     // GIR_Coverage, 13199,
     /*  948094 */     GIR_EraseRootFromParent_Done,
     /*  948095 */   // Label 14061: @948095
     /*  948095 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(948172), // Rule ID 13202 //
     /*  948100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  948114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948139 */     // MIs[0] policy
     /*  948139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  948152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948170 */     GIR_RootConstrainSelectedInstOperands,
     /*  948171 */     // GIR_Coverage, 13202,
     /*  948171 */     GIR_EraseRootFromParent_Done,
     /*  948172 */   // Label 14062: @948172
     /*  948172 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(948249), // Rule ID 13203 //
     /*  948177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  948191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948216 */     // MIs[0] policy
     /*  948216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /*  948229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948247 */     GIR_RootConstrainSelectedInstOperands,
     /*  948248 */     // GIR_Coverage, 13203,
     /*  948248 */     GIR_EraseRootFromParent_Done,
     /*  948249 */   // Label 14063: @948249
     /*  948249 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(948326), // Rule ID 13206 //
     /*  948254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  948268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948293 */     // MIs[0] policy
     /*  948293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948303 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  948306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948324 */     GIR_RootConstrainSelectedInstOperands,
     /*  948325 */     // GIR_Coverage, 13206,
     /*  948325 */     GIR_EraseRootFromParent_Done,
     /*  948326 */   // Label 14064: @948326
     /*  948326 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(948403), // Rule ID 13207 //
     /*  948331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  948342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  948345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  948351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948370 */     // MIs[0] policy
     /*  948370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  948383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948401 */     GIR_RootConstrainSelectedInstOperands,
     /*  948402 */     // GIR_Coverage, 13207,
     /*  948402 */     GIR_EraseRootFromParent_Done,
     /*  948403 */   // Label 14065: @948403
     /*  948403 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(948480), // Rule ID 13210 //
     /*  948408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  948422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  948428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948447 */     // MIs[0] policy
     /*  948447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  948460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948478 */     GIR_RootConstrainSelectedInstOperands,
     /*  948479 */     // GIR_Coverage, 13210,
     /*  948479 */     GIR_EraseRootFromParent_Done,
     /*  948480 */   // Label 14066: @948480
     /*  948480 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(948557), // Rule ID 13211 //
     /*  948485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  948496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  948499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  948505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948524 */     // MIs[0] policy
     /*  948524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /*  948537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948555 */     GIR_RootConstrainSelectedInstOperands,
     /*  948556 */     // GIR_Coverage, 13211,
     /*  948556 */     GIR_EraseRootFromParent_Done,
     /*  948557 */   // Label 14067: @948557
     /*  948557 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(948634), // Rule ID 13214 //
     /*  948562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  948573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  948576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  948582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948601 */     // MIs[0] policy
     /*  948601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948632 */     GIR_RootConstrainSelectedInstOperands,
     /*  948633 */     // GIR_Coverage, 13214,
     /*  948633 */     GIR_EraseRootFromParent_Done,
     /*  948634 */   // Label 14068: @948634
     /*  948634 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(948711), // Rule ID 13215 //
     /*  948639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  948650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  948653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  948659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948678 */     // MIs[0] policy
     /*  948678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948688 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11121:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948709 */     GIR_RootConstrainSelectedInstOperands,
     /*  948710 */     // GIR_Coverage, 13215,
     /*  948710 */     GIR_EraseRootFromParent_Done,
     /*  948711 */   // Label 14069: @948711
     /*  948711 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(948788), // Rule ID 13218 //
     /*  948716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  948727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  948730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  948736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948755 */     // MIs[0] policy
     /*  948755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948786 */     GIR_RootConstrainSelectedInstOperands,
     /*  948787 */     // GIR_Coverage, 13218,
     /*  948787 */     GIR_EraseRootFromParent_Done,
     /*  948788 */   // Label 14070: @948788
     /*  948788 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(948865), // Rule ID 13219 //
     /*  948793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  948804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  948807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  948813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948832 */     // MIs[0] policy
     /*  948832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11121:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948863 */     GIR_RootConstrainSelectedInstOperands,
     /*  948864 */     // GIR_Coverage, 13219,
     /*  948864 */     GIR_EraseRootFromParent_Done,
     /*  948865 */   // Label 14071: @948865
     /*  948865 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(948942), // Rule ID 13222 //
     /*  948870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  948873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  948881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  948884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  948887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  948890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948909 */     // MIs[0] policy
     /*  948909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  948919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  948926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  948928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  948930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  948938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  948940 */     GIR_RootConstrainSelectedInstOperands,
     /*  948941 */     // GIR_Coverage, 13222,
     /*  948941 */     GIR_EraseRootFromParent_Done,
     /*  948942 */   // Label 14072: @948942
     /*  948942 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(949019), // Rule ID 13223 //
     /*  948947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  948950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  948955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  948958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  948961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  948964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  948967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948986 */     // MIs[0] policy
     /*  948986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  948989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948996 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11121:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  948996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  948999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949017 */     GIR_RootConstrainSelectedInstOperands,
     /*  949018 */     // GIR_Coverage, 13223,
     /*  949018 */     GIR_EraseRootFromParent_Done,
     /*  949019 */   // Label 14073: @949019
     /*  949019 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(949096), // Rule ID 13226 //
     /*  949024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  949027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  949035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  949038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  949044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949063 */     // MIs[0] policy
     /*  949063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949073 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  949076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949094 */     GIR_RootConstrainSelectedInstOperands,
     /*  949095 */     // GIR_Coverage, 13226,
     /*  949095 */     GIR_EraseRootFromParent_Done,
     /*  949096 */   // Label 14074: @949096
     /*  949096 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(949173), // Rule ID 13227 //
     /*  949101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  949104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  949112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  949115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  949121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949140 */     // MIs[0] policy
     /*  949140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949150 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11121:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /*  949153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  949169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949171 */     GIR_RootConstrainSelectedInstOperands,
     /*  949172 */     // GIR_Coverage, 13227,
     /*  949172 */     GIR_EraseRootFromParent_Done,
     /*  949173 */   // Label 14075: @949173
     /*  949173 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(949250), // Rule ID 13230 //
     /*  949178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  949189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  949192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  949198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949217 */     // MIs[0] policy
     /*  949217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949227 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  949230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949248 */     GIR_RootConstrainSelectedInstOperands,
     /*  949249 */     // GIR_Coverage, 13230,
     /*  949249 */     GIR_EraseRootFromParent_Done,
     /*  949250 */   // Label 14076: @949250
     /*  949250 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(949327), // Rule ID 13231 //
     /*  949255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  949266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  949269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  949275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949294 */     // MIs[0] policy
     /*  949294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949304 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  949307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949325 */     GIR_RootConstrainSelectedInstOperands,
     /*  949326 */     // GIR_Coverage, 13231,
     /*  949326 */     GIR_EraseRootFromParent_Done,
     /*  949327 */   // Label 14077: @949327
     /*  949327 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(949404), // Rule ID 13234 //
     /*  949332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  949343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  949346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  949352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949371 */     // MIs[0] policy
     /*  949371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949381 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  949384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949402 */     GIR_RootConstrainSelectedInstOperands,
     /*  949403 */     // GIR_Coverage, 13234,
     /*  949403 */     GIR_EraseRootFromParent_Done,
     /*  949404 */   // Label 14078: @949404
     /*  949404 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(949481), // Rule ID 13235 //
     /*  949409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  949420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  949423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  949429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949448 */     // MIs[0] policy
     /*  949448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949458 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  949461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949479 */     GIR_RootConstrainSelectedInstOperands,
     /*  949480 */     // GIR_Coverage, 13235,
     /*  949480 */     GIR_EraseRootFromParent_Done,
     /*  949481 */   // Label 14079: @949481
     /*  949481 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(949558), // Rule ID 13238 //
     /*  949486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  949497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  949500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  949506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949525 */     // MIs[0] policy
     /*  949525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949535 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  949538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949556 */     GIR_RootConstrainSelectedInstOperands,
     /*  949557 */     // GIR_Coverage, 13238,
     /*  949557 */     GIR_EraseRootFromParent_Done,
     /*  949558 */   // Label 14080: @949558
     /*  949558 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(949635), // Rule ID 13239 //
     /*  949563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  949574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  949577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  949583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949602 */     // MIs[0] policy
     /*  949602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  949615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  949631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949633 */     GIR_RootConstrainSelectedInstOperands,
     /*  949634 */     // GIR_Coverage, 13239,
     /*  949634 */     GIR_EraseRootFromParent_Done,
     /*  949635 */   // Label 14081: @949635
     /*  949635 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(949712), // Rule ID 13242 //
     /*  949640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  949654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949679 */     // MIs[0] policy
     /*  949679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  949692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949710 */     GIR_RootConstrainSelectedInstOperands,
     /*  949711 */     // GIR_Coverage, 13242,
     /*  949711 */     GIR_EraseRootFromParent_Done,
     /*  949712 */   // Label 14082: @949712
     /*  949712 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(949789), // Rule ID 13243 //
     /*  949717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  949728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  949731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  949737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  949756 */     // MIs[0] policy
     /*  949756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949766 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  949769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949787 */     GIR_RootConstrainSelectedInstOperands,
     /*  949788 */     // GIR_Coverage, 13243,
     /*  949788 */     GIR_EraseRootFromParent_Done,
     /*  949789 */   // Label 14083: @949789
     /*  949789 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(949866), // Rule ID 13246 //
     /*  949794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  949808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949833 */     // MIs[0] policy
     /*  949833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  949846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949864 */     GIR_RootConstrainSelectedInstOperands,
     /*  949865 */     // GIR_Coverage, 13246,
     /*  949865 */     GIR_EraseRootFromParent_Done,
     /*  949866 */   // Label 14084: @949866
     /*  949866 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(949943), // Rule ID 13247 //
     /*  949871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  949874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  949882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  949885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  949888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  949891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  949910 */     // MIs[0] policy
     /*  949910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  949920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  949923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  949927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  949929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  949931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  949941 */     GIR_RootConstrainSelectedInstOperands,
     /*  949942 */     // GIR_Coverage, 13247,
     /*  949942 */     GIR_EraseRootFromParent_Done,
     /*  949943 */   // Label 14085: @949943
     /*  949943 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(950020), // Rule ID 13250 //
     /*  949948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  949951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  949956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  949959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  949962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  949965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  949968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  949987 */     // MIs[0] policy
     /*  949987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  949990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  949997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  950000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950018 */     GIR_RootConstrainSelectedInstOperands,
     /*  950019 */     // GIR_Coverage, 13250,
     /*  950019 */     GIR_EraseRootFromParent_Done,
     /*  950020 */   // Label 14086: @950020
     /*  950020 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(950097), // Rule ID 13251 //
     /*  950025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  950036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  950039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  950045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950064 */     // MIs[0] policy
     /*  950064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  950077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950095 */     GIR_RootConstrainSelectedInstOperands,
     /*  950096 */     // GIR_Coverage, 13251,
     /*  950096 */     GIR_EraseRootFromParent_Done,
     /*  950097 */   // Label 14087: @950097
     /*  950097 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(950174), // Rule ID 13254 //
     /*  950102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  950116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950141 */     // MIs[0] policy
     /*  950141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950151 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  950154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950172 */     GIR_RootConstrainSelectedInstOperands,
     /*  950173 */     // GIR_Coverage, 13254,
     /*  950173 */     GIR_EraseRootFromParent_Done,
     /*  950174 */   // Label 14088: @950174
     /*  950174 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(950251), // Rule ID 13255 //
     /*  950179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  950190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  950193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  950199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950218 */     // MIs[0] policy
     /*  950218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  950231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950249 */     GIR_RootConstrainSelectedInstOperands,
     /*  950250 */     // GIR_Coverage, 13255,
     /*  950250 */     GIR_EraseRootFromParent_Done,
     /*  950251 */   // Label 14089: @950251
     /*  950251 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(950328), // Rule ID 13258 //
     /*  950256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  950270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950295 */     // MIs[0] policy
     /*  950295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  950308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950326 */     GIR_RootConstrainSelectedInstOperands,
     /*  950327 */     // GIR_Coverage, 13258,
     /*  950327 */     GIR_EraseRootFromParent_Done,
     /*  950328 */   // Label 14090: @950328
     /*  950328 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(950405), // Rule ID 13259 //
     /*  950333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  950344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  950347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  950353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950372 */     // MIs[0] policy
     /*  950372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  950385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950403 */     GIR_RootConstrainSelectedInstOperands,
     /*  950404 */     // GIR_Coverage, 13259,
     /*  950404 */     GIR_EraseRootFromParent_Done,
     /*  950405 */   // Label 14091: @950405
     /*  950405 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(950482), // Rule ID 13262 //
     /*  950410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  950413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  950424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950449 */     // MIs[0] policy
     /*  950449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  950462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950480 */     GIR_RootConstrainSelectedInstOperands,
     /*  950481 */     // GIR_Coverage, 13262,
     /*  950481 */     GIR_EraseRootFromParent_Done,
     /*  950482 */   // Label 14092: @950482
     /*  950482 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(950559), // Rule ID 13263 //
     /*  950487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  950490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  950498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  950501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  950507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950526 */     // MIs[0] policy
     /*  950526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  950539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950557 */     GIR_RootConstrainSelectedInstOperands,
     /*  950558 */     // GIR_Coverage, 13263,
     /*  950558 */     GIR_EraseRootFromParent_Done,
     /*  950559 */   // Label 14093: @950559
     /*  950559 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(950636), // Rule ID 13266 //
     /*  950564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  950567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  950578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950603 */     // MIs[0] policy
     /*  950603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950613 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  950616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950634 */     GIR_RootConstrainSelectedInstOperands,
     /*  950635 */     // GIR_Coverage, 13266,
     /*  950635 */     GIR_EraseRootFromParent_Done,
     /*  950636 */   // Label 14094: @950636
     /*  950636 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(950713), // Rule ID 13267 //
     /*  950641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  950644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  950652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  950655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  950661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  950680 */     // MIs[0] policy
     /*  950680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11121:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /*  950693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950711 */     GIR_RootConstrainSelectedInstOperands,
     /*  950712 */     // GIR_Coverage, 13267,
     /*  950712 */     GIR_EraseRootFromParent_Done,
     /*  950713 */   // Label 14095: @950713
     /*  950713 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(950790), // Rule ID 13270 //
     /*  950718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  950721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  950732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950757 */     // MIs[0] policy
     /*  950757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  950770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950788 */     GIR_RootConstrainSelectedInstOperands,
     /*  950789 */     // GIR_Coverage, 13270,
     /*  950789 */     GIR_EraseRootFromParent_Done,
     /*  950790 */   // Label 14096: @950790
     /*  950790 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(950867), // Rule ID 13271 //
     /*  950795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  950798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  950806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  950809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  950815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  950834 */     // MIs[0] policy
     /*  950834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11121:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /*  950847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950865 */     GIR_RootConstrainSelectedInstOperands,
     /*  950866 */     // GIR_Coverage, 13271,
     /*  950866 */     GIR_EraseRootFromParent_Done,
     /*  950867 */   // Label 14097: @950867
     /*  950867 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(950944), // Rule ID 13274 //
     /*  950872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  950875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  950886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  950889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950911 */     // MIs[0] policy
     /*  950911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950921 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  950921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  950924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  950928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  950930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  950932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  950940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  950942 */     GIR_RootConstrainSelectedInstOperands,
     /*  950943 */     // GIR_Coverage, 13274,
     /*  950943 */     GIR_EraseRootFromParent_Done,
     /*  950944 */   // Label 14098: @950944
     /*  950944 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(951021), // Rule ID 13275 //
     /*  950949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  950952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /*  950957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  950960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  950963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  950966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  950969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  950988 */     // MIs[0] policy
     /*  950988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  950991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950998 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11121:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  950998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /*  951001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951019 */     GIR_RootConstrainSelectedInstOperands,
     /*  951020 */     // GIR_Coverage, 13275,
     /*  951020 */     GIR_EraseRootFromParent_Done,
     /*  951021 */   // Label 14099: @951021
     /*  951021 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(951098), // Rule ID 13278 //
     /*  951026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  951040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  951043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951065 */     // MIs[0] policy
     /*  951065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*  951078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951096 */     GIR_RootConstrainSelectedInstOperands,
     /*  951097 */     // GIR_Coverage, 13278,
     /*  951097 */     GIR_EraseRootFromParent_Done,
     /*  951098 */   // Label 14100: @951098
     /*  951098 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(951175), // Rule ID 13279 //
     /*  951103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  951114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  951117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  951120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  951123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951142 */     // MIs[0] policy
     /*  951142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*  951155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951173 */     GIR_RootConstrainSelectedInstOperands,
     /*  951174 */     // GIR_Coverage, 13279,
     /*  951174 */     GIR_EraseRootFromParent_Done,
     /*  951175 */   // Label 14101: @951175
     /*  951175 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(951252), // Rule ID 13282 //
     /*  951180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  951194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  951197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951219 */     // MIs[0] policy
     /*  951219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951229 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  951232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951250 */     GIR_RootConstrainSelectedInstOperands,
     /*  951251 */     // GIR_Coverage, 13282,
     /*  951251 */     GIR_EraseRootFromParent_Done,
     /*  951252 */   // Label 14102: @951252
     /*  951252 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(951329), // Rule ID 13283 //
     /*  951257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  951268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  951271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  951274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  951277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951296 */     // MIs[0] policy
     /*  951296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  951309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951327 */     GIR_RootConstrainSelectedInstOperands,
     /*  951328 */     // GIR_Coverage, 13283,
     /*  951328 */     GIR_EraseRootFromParent_Done,
     /*  951329 */   // Label 14103: @951329
     /*  951329 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(951406), // Rule ID 13286 //
     /*  951334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  951348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  951351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  951354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951373 */     // MIs[0] policy
     /*  951373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  951386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951404 */     GIR_RootConstrainSelectedInstOperands,
     /*  951405 */     // GIR_Coverage, 13286,
     /*  951405 */     GIR_EraseRootFromParent_Done,
     /*  951406 */   // Label 14104: @951406
     /*  951406 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(951483), // Rule ID 13287 //
     /*  951411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  951425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  951428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  951431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951450 */     // MIs[0] policy
     /*  951450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951460 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  951463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951481 */     GIR_RootConstrainSelectedInstOperands,
     /*  951482 */     // GIR_Coverage, 13287,
     /*  951482 */     GIR_EraseRootFromParent_Done,
     /*  951483 */   // Label 14105: @951483
     /*  951483 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(951560), // Rule ID 13290 //
     /*  951488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  951499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  951502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  951505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  951508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951527 */     // MIs[0] policy
     /*  951527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951537 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  951540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951558 */     GIR_RootConstrainSelectedInstOperands,
     /*  951559 */     // GIR_Coverage, 13290,
     /*  951559 */     GIR_EraseRootFromParent_Done,
     /*  951560 */   // Label 14106: @951560
     /*  951560 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(951637), // Rule ID 13291 //
     /*  951565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  951576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  951579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  951582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  951585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951604 */     // MIs[0] policy
     /*  951604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  951617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951635 */     GIR_RootConstrainSelectedInstOperands,
     /*  951636 */     // GIR_Coverage, 13291,
     /*  951636 */     GIR_EraseRootFromParent_Done,
     /*  951637 */   // Label 14107: @951637
     /*  951637 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(951714), // Rule ID 13294 //
     /*  951642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  951653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  951656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951681 */     // MIs[0] policy
     /*  951681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  951694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951712 */     GIR_RootConstrainSelectedInstOperands,
     /*  951713 */     // GIR_Coverage, 13294,
     /*  951713 */     GIR_EraseRootFromParent_Done,
     /*  951714 */   // Label 14108: @951714
     /*  951714 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(951791), // Rule ID 13295 //
     /*  951719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  951730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  951733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  951736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  951739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  951758 */     // MIs[0] policy
     /*  951758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951768 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  951771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951789 */     GIR_RootConstrainSelectedInstOperands,
     /*  951790 */     // GIR_Coverage, 13295,
     /*  951790 */     GIR_EraseRootFromParent_Done,
     /*  951791 */   // Label 14109: @951791
     /*  951791 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(951868), // Rule ID 13298 //
     /*  951796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  951807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  951810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  951813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951835 */     // MIs[0] policy
     /*  951835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951845 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  951848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951866 */     GIR_RootConstrainSelectedInstOperands,
     /*  951867 */     // GIR_Coverage, 13298,
     /*  951867 */     GIR_EraseRootFromParent_Done,
     /*  951868 */   // Label 14110: @951868
     /*  951868 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(951945), // Rule ID 13299 //
     /*  951873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  951876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  951884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  951887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  951890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  951893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  951904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  951912 */     // MIs[0] policy
     /*  951912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  951922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  951925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  951929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  951931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  951933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  951941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  951943 */     GIR_RootConstrainSelectedInstOperands,
     /*  951944 */     // GIR_Coverage, 13299,
     /*  951944 */     GIR_EraseRootFromParent_Done,
     /*  951945 */   // Label 14111: @951945
     /*  951945 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(952022), // Rule ID 13302 //
     /*  951950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  951953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  951958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  951961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  951964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  951967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  951970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951989 */     // MIs[0] policy
     /*  951989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  951992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  951999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  952002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952020 */     GIR_RootConstrainSelectedInstOperands,
     /*  952021 */     // GIR_Coverage, 13302,
     /*  952021 */     GIR_EraseRootFromParent_Done,
     /*  952022 */   // Label 14112: @952022
     /*  952022 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(952099), // Rule ID 13303 //
     /*  952027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  952038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  952041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  952044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  952047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952066 */     // MIs[0] policy
     /*  952066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952076 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*  952079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952097 */     GIR_RootConstrainSelectedInstOperands,
     /*  952098 */     // GIR_Coverage, 13303,
     /*  952098 */     GIR_EraseRootFromParent_Done,
     /*  952099 */   // Label 14113: @952099
     /*  952099 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(952176), // Rule ID 13306 //
     /*  952104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  952115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  952118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  952124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952143 */     // MIs[0] policy
     /*  952143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  952156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952174 */     GIR_RootConstrainSelectedInstOperands,
     /*  952175 */     // GIR_Coverage, 13306,
     /*  952175 */     GIR_EraseRootFromParent_Done,
     /*  952176 */   // Label 14114: @952176
     /*  952176 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(952253), // Rule ID 13307 //
     /*  952181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  952192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  952195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  952198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  952201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952220 */     // MIs[0] policy
     /*  952220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  952233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952251 */     GIR_RootConstrainSelectedInstOperands,
     /*  952252 */     // GIR_Coverage, 13307,
     /*  952252 */     GIR_EraseRootFromParent_Done,
     /*  952253 */   // Label 14115: @952253
     /*  952253 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(952330), // Rule ID 13310 //
     /*  952258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  952269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  952272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  952275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  952278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952297 */     // MIs[0] policy
     /*  952297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  952310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952328 */     GIR_RootConstrainSelectedInstOperands,
     /*  952329 */     // GIR_Coverage, 13310,
     /*  952329 */     GIR_EraseRootFromParent_Done,
     /*  952330 */   // Label 14116: @952330
     /*  952330 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(952407), // Rule ID 13311 //
     /*  952335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  952346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  952349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  952352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  952355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952374 */     // MIs[0] policy
     /*  952374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  952387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952405 */     GIR_RootConstrainSelectedInstOperands,
     /*  952406 */     // GIR_Coverage, 13311,
     /*  952406 */     GIR_EraseRootFromParent_Done,
     /*  952407 */   // Label 14117: @952407
     /*  952407 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(952484), // Rule ID 13314 //
     /*  952412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  952423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  952426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952451 */     // MIs[0] policy
     /*  952451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  952464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952482 */     GIR_RootConstrainSelectedInstOperands,
     /*  952483 */     // GIR_Coverage, 13314,
     /*  952483 */     GIR_EraseRootFromParent_Done,
     /*  952484 */   // Label 14118: @952484
     /*  952484 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(952561), // Rule ID 13315 //
     /*  952489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  952500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  952503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  952506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  952509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952528 */     // MIs[0] policy
     /*  952528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  952541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952559 */     GIR_RootConstrainSelectedInstOperands,
     /*  952560 */     // GIR_Coverage, 13315,
     /*  952560 */     GIR_EraseRootFromParent_Done,
     /*  952561 */   // Label 14119: @952561
     /*  952561 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(952638), // Rule ID 13318 //
     /*  952566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  952569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  952577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  952580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  952586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952605 */     // MIs[0] policy
     /*  952605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952615 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  952618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952636 */     GIR_RootConstrainSelectedInstOperands,
     /*  952637 */     // GIR_Coverage, 13318,
     /*  952637 */     GIR_EraseRootFromParent_Done,
     /*  952638 */   // Label 14120: @952638
     /*  952638 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(952715), // Rule ID 13319 //
     /*  952643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  952646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  952654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  952657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  952660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  952663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952682 */     // MIs[0] policy
     /*  952682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952692 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  952695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  952711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952713 */     GIR_RootConstrainSelectedInstOperands,
     /*  952714 */     // GIR_Coverage, 13319,
     /*  952714 */     GIR_EraseRootFromParent_Done,
     /*  952715 */   // Label 14121: @952715
     /*  952715 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(952792), // Rule ID 13322 //
     /*  952720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  952731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  952734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  952737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  952740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952759 */     // MIs[0] policy
     /*  952759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  952772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952790 */     GIR_RootConstrainSelectedInstOperands,
     /*  952791 */     // GIR_Coverage, 13322,
     /*  952791 */     GIR_EraseRootFromParent_Done,
     /*  952792 */   // Label 14122: @952792
     /*  952792 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(952869), // Rule ID 13323 //
     /*  952797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  952808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  952811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  952814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  952817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952836 */     // MIs[0] policy
     /*  952836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  952846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*  952849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952867 */     GIR_RootConstrainSelectedInstOperands,
     /*  952868 */     // GIR_Coverage, 13323,
     /*  952868 */     GIR_EraseRootFromParent_Done,
     /*  952869 */   // Label 14123: @952869
     /*  952869 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(952946), // Rule ID 13326 //
     /*  952874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  952877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  952888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  952891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  952894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952913 */     // MIs[0] policy
     /*  952913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  952923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  952926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  952930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  952932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  952934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  952942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  952944 */     GIR_RootConstrainSelectedInstOperands,
     /*  952945 */     // GIR_Coverage, 13326,
     /*  952945 */     GIR_EraseRootFromParent_Done,
     /*  952946 */   // Label 14124: @952946
     /*  952946 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(953023), // Rule ID 13327 //
     /*  952951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  952954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  952959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  952962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  952965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  952968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  952971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952990 */     // MIs[0] policy
     /*  952990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  952993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953000 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*  953003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953021 */     GIR_RootConstrainSelectedInstOperands,
     /*  953022 */     // GIR_Coverage, 13327,
     /*  953022 */     GIR_EraseRootFromParent_Done,
     /*  953023 */   // Label 14125: @953023
     /*  953023 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(953100), // Rule ID 13330 //
     /*  953028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  953031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  953039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  953042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  953045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  953048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953067 */     // MIs[0] policy
     /*  953067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953077 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  953080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953098 */     GIR_RootConstrainSelectedInstOperands,
     /*  953099 */     // GIR_Coverage, 13330,
     /*  953099 */     GIR_EraseRootFromParent_Done,
     /*  953100 */   // Label 14126: @953100
     /*  953100 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(953177), // Rule ID 13331 //
     /*  953105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  953108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  953116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  953119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  953122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  953125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953144 */     // MIs[0] policy
     /*  953144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*  953157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953175 */     GIR_RootConstrainSelectedInstOperands,
     /*  953176 */     // GIR_Coverage, 13331,
     /*  953176 */     GIR_EraseRootFromParent_Done,
     /*  953177 */   // Label 14127: @953177
     /*  953177 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(953254), // Rule ID 13334 //
     /*  953182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  953185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  953196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  953199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  953202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953221 */     // MIs[0] policy
     /*  953221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  953234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953252 */     GIR_RootConstrainSelectedInstOperands,
     /*  953253 */     // GIR_Coverage, 13334,
     /*  953253 */     GIR_EraseRootFromParent_Done,
     /*  953254 */   // Label 14128: @953254
     /*  953254 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(953331), // Rule ID 13335 //
     /*  953259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  953262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  953270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  953273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  953276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  953279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953298 */     // MIs[0] policy
     /*  953298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953308 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*  953311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  953327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953329 */     GIR_RootConstrainSelectedInstOperands,
     /*  953330 */     // GIR_Coverage, 13335,
     /*  953330 */     GIR_EraseRootFromParent_Done,
     /*  953331 */   // Label 14129: @953331
     /*  953331 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(953408), // Rule ID 13338 //
     /*  953336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  953350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  953353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953375 */     // MIs[0] policy
     /*  953375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953385 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /*  953388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953406 */     GIR_RootConstrainSelectedInstOperands,
     /*  953407 */     // GIR_Coverage, 13338,
     /*  953407 */     GIR_EraseRootFromParent_Done,
     /*  953408 */   // Label 14130: @953408
     /*  953408 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(953485), // Rule ID 13339 //
     /*  953413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  953424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  953427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  953430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  953433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953452 */     // MIs[0] policy
     /*  953452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953462 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /*  953465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953483 */     GIR_RootConstrainSelectedInstOperands,
     /*  953484 */     // GIR_Coverage, 13339,
     /*  953484 */     GIR_EraseRootFromParent_Done,
     /*  953485 */   // Label 14131: @953485
     /*  953485 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(953562), // Rule ID 13342 //
     /*  953490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  953504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  953507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953529 */     // MIs[0] policy
     /*  953529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  953542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953560 */     GIR_RootConstrainSelectedInstOperands,
     /*  953561 */     // GIR_Coverage, 13342,
     /*  953561 */     GIR_EraseRootFromParent_Done,
     /*  953562 */   // Label 14132: @953562
     /*  953562 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(953639), // Rule ID 13343 //
     /*  953567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  953578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  953581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  953584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  953587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953606 */     // MIs[0] policy
     /*  953606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  953619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953637 */     GIR_RootConstrainSelectedInstOperands,
     /*  953638 */     // GIR_Coverage, 13343,
     /*  953638 */     GIR_EraseRootFromParent_Done,
     /*  953639 */   // Label 14133: @953639
     /*  953639 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(953716), // Rule ID 13346 //
     /*  953644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  953658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  953661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953683 */     // MIs[0] policy
     /*  953683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  953696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953714 */     GIR_RootConstrainSelectedInstOperands,
     /*  953715 */     // GIR_Coverage, 13346,
     /*  953715 */     GIR_EraseRootFromParent_Done,
     /*  953716 */   // Label 14134: @953716
     /*  953716 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(953793), // Rule ID 13347 //
     /*  953721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  953732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  953735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  953738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  953741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953760 */     // MIs[0] policy
     /*  953760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953770 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  953773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953791 */     GIR_RootConstrainSelectedInstOperands,
     /*  953792 */     // GIR_Coverage, 13347,
     /*  953792 */     GIR_EraseRootFromParent_Done,
     /*  953793 */   // Label 14135: @953793
     /*  953793 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(953870), // Rule ID 13350 //
     /*  953798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  953812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  953815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953837 */     // MIs[0] policy
     /*  953837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  953847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  953850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953868 */     GIR_RootConstrainSelectedInstOperands,
     /*  953869 */     // GIR_Coverage, 13350,
     /*  953869 */     GIR_EraseRootFromParent_Done,
     /*  953870 */   // Label 14136: @953870
     /*  953870 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(953947), // Rule ID 13351 //
     /*  953875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  953878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  953889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  953892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  953895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  953914 */     // MIs[0] policy
     /*  953914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  953924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  953927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  953931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  953933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  953935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  953945 */     GIR_RootConstrainSelectedInstOperands,
     /*  953946 */     // GIR_Coverage, 13351,
     /*  953946 */     GIR_EraseRootFromParent_Done,
     /*  953947 */   // Label 14137: @953947
     /*  953947 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(954024), // Rule ID 13354 //
     /*  953952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  953955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  953960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  953966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  953969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  953972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953991 */     // MIs[0] policy
     /*  953991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  953994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954001 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  954004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954022 */     GIR_RootConstrainSelectedInstOperands,
     /*  954023 */     // GIR_Coverage, 13354,
     /*  954023 */     GIR_EraseRootFromParent_Done,
     /*  954024 */   // Label 14138: @954024
     /*  954024 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(954101), // Rule ID 13355 //
     /*  954029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  954043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  954049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954068 */     // MIs[0] policy
     /*  954068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  954081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954099 */     GIR_RootConstrainSelectedInstOperands,
     /*  954100 */     // GIR_Coverage, 13355,
     /*  954100 */     GIR_EraseRootFromParent_Done,
     /*  954101 */   // Label 14139: @954101
     /*  954101 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(954178), // Rule ID 13358 //
     /*  954106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  954120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954145 */     // MIs[0] policy
     /*  954145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  954158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954176 */     GIR_RootConstrainSelectedInstOperands,
     /*  954177 */     // GIR_Coverage, 13358,
     /*  954177 */     GIR_EraseRootFromParent_Done,
     /*  954178 */   // Label 14140: @954178
     /*  954178 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(954255), // Rule ID 13359 //
     /*  954183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  954197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  954203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954222 */     // MIs[0] policy
     /*  954222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954232 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  954235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  954251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954253 */     GIR_RootConstrainSelectedInstOperands,
     /*  954254 */     // GIR_Coverage, 13359,
     /*  954254 */     GIR_EraseRootFromParent_Done,
     /*  954255 */   // Label 14141: @954255
     /*  954255 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(954332), // Rule ID 13362 //
     /*  954260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  954274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954299 */     // MIs[0] policy
     /*  954299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954309 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  954312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954330 */     GIR_RootConstrainSelectedInstOperands,
     /*  954331 */     // GIR_Coverage, 13362,
     /*  954331 */     GIR_EraseRootFromParent_Done,
     /*  954332 */   // Label 14142: @954332
     /*  954332 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(954409), // Rule ID 13363 //
     /*  954337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  954348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  954351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  954357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954376 */     // MIs[0] policy
     /*  954376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /*  954389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954407 */     GIR_RootConstrainSelectedInstOperands,
     /*  954408 */     // GIR_Coverage, 13363,
     /*  954408 */     GIR_EraseRootFromParent_Done,
     /*  954409 */   // Label 14143: @954409
     /*  954409 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(954486), // Rule ID 13366 //
     /*  954414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  954428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954453 */     // MIs[0] policy
     /*  954453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954463 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  954466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954484 */     GIR_RootConstrainSelectedInstOperands,
     /*  954485 */     // GIR_Coverage, 13366,
     /*  954485 */     GIR_EraseRootFromParent_Done,
     /*  954486 */   // Label 14144: @954486
     /*  954486 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(954563), // Rule ID 13367 //
     /*  954491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  954502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  954505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  954511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954530 */     // MIs[0] policy
     /*  954530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  954543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954561 */     GIR_RootConstrainSelectedInstOperands,
     /*  954562 */     // GIR_Coverage, 13367,
     /*  954562 */     GIR_EraseRootFromParent_Done,
     /*  954563 */   // Label 14145: @954563
     /*  954563 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(954640), // Rule ID 13370 //
     /*  954568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  954582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954607 */     // MIs[0] policy
     /*  954607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954617 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  954620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954638 */     GIR_RootConstrainSelectedInstOperands,
     /*  954639 */     // GIR_Coverage, 13370,
     /*  954639 */     GIR_EraseRootFromParent_Done,
     /*  954640 */   // Label 14146: @954640
     /*  954640 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(954717), // Rule ID 13371 //
     /*  954645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  954659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  954665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  954684 */     // MIs[0] policy
     /*  954684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  954697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954715 */     GIR_RootConstrainSelectedInstOperands,
     /*  954716 */     // GIR_Coverage, 13371,
     /*  954716 */     GIR_EraseRootFromParent_Done,
     /*  954717 */   // Label 14147: @954717
     /*  954717 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(954794), // Rule ID 13374 //
     /*  954722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  954736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954761 */     // MIs[0] policy
     /*  954761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  954774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954792 */     GIR_RootConstrainSelectedInstOperands,
     /*  954793 */     // GIR_Coverage, 13374,
     /*  954793 */     GIR_EraseRootFromParent_Done,
     /*  954794 */   // Label 14148: @954794
     /*  954794 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(954871), // Rule ID 13375 //
     /*  954799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  954810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  954813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  954819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954838 */     // MIs[0] policy
     /*  954838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954848 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  954848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  954851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954869 */     GIR_RootConstrainSelectedInstOperands,
     /*  954870 */     // GIR_Coverage, 13375,
     /*  954870 */     GIR_EraseRootFromParent_Done,
     /*  954871 */   // Label 14149: @954871
     /*  954871 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(954948), // Rule ID 13378 //
     /*  954876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  954879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  954887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  954890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  954893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  954896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954915 */     // MIs[0] policy
     /*  954915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954925 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  954925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  954928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  954932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  954934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  954936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  954946 */     GIR_RootConstrainSelectedInstOperands,
     /*  954947 */     // GIR_Coverage, 13378,
     /*  954947 */     GIR_EraseRootFromParent_Done,
     /*  954948 */   // Label 14150: @954948
     /*  954948 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(955025), // Rule ID 13379 //
     /*  954953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  954956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  954961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  954964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  954967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  954970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  954973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954992 */     // MIs[0] policy
     /*  954992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  954995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955002 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  955005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  955021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955023 */     GIR_RootConstrainSelectedInstOperands,
     /*  955024 */     // GIR_Coverage, 13379,
     /*  955024 */     GIR_EraseRootFromParent_Done,
     /*  955025 */   // Label 14151: @955025
     /*  955025 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(955102), // Rule ID 13382 //
     /*  955030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  955033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  955044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  955047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955069 */     // MIs[0] policy
     /*  955069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  955082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955100 */     GIR_RootConstrainSelectedInstOperands,
     /*  955101 */     // GIR_Coverage, 13382,
     /*  955101 */     GIR_EraseRootFromParent_Done,
     /*  955102 */   // Label 14152: @955102
     /*  955102 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(955179), // Rule ID 13383 //
     /*  955107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  955110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  955118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  955121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  955124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  955127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955146 */     // MIs[0] policy
     /*  955146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955156 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /*  955159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955177 */     GIR_RootConstrainSelectedInstOperands,
     /*  955178 */     // GIR_Coverage, 13383,
     /*  955178 */     GIR_EraseRootFromParent_Done,
     /*  955179 */   // Label 14153: @955179
     /*  955179 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(955256), // Rule ID 13386 //
     /*  955184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  955187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  955198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  955201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  955204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955223 */     // MIs[0] policy
     /*  955223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  955236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955254 */     GIR_RootConstrainSelectedInstOperands,
     /*  955255 */     // GIR_Coverage, 13386,
     /*  955255 */     GIR_EraseRootFromParent_Done,
     /*  955256 */   // Label 14154: @955256
     /*  955256 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(955333), // Rule ID 13387 //
     /*  955261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  955264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  955272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  955275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  955278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  955281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955300 */     // MIs[0] policy
     /*  955300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955310 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /*  955313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955331 */     GIR_RootConstrainSelectedInstOperands,
     /*  955332 */     // GIR_Coverage, 13387,
     /*  955332 */     GIR_EraseRootFromParent_Done,
     /*  955333 */   // Label 14155: @955333
     /*  955333 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(955410), // Rule ID 13390 //
     /*  955338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  955341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  955349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  955352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  955355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  955358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955377 */     // MIs[0] policy
     /*  955377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  955390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955408 */     GIR_RootConstrainSelectedInstOperands,
     /*  955409 */     // GIR_Coverage, 13390,
     /*  955409 */     GIR_EraseRootFromParent_Done,
     /*  955410 */   // Label 14156: @955410
     /*  955410 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(955487), // Rule ID 13391 //
     /*  955415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  955418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  955426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  955429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  955432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  955435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955454 */     // MIs[0] policy
     /*  955454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955464 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /*  955467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955485 */     GIR_RootConstrainSelectedInstOperands,
     /*  955486 */     // GIR_Coverage, 13391,
     /*  955486 */     GIR_EraseRootFromParent_Done,
     /*  955487 */   // Label 14157: @955487
     /*  955487 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(955564), // Rule ID 13394 //
     /*  955492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  955495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  955503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  955506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  955509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955531 */     // MIs[0] policy
     /*  955531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955541 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  955544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955562 */     GIR_RootConstrainSelectedInstOperands,
     /*  955563 */     // GIR_Coverage, 13394,
     /*  955563 */     GIR_EraseRootFromParent_Done,
     /*  955564 */   // Label 14158: @955564
     /*  955564 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(955641), // Rule ID 13395 //
     /*  955569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  955572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /*  955577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  955580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  955583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  955586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955608 */     // MIs[0] policy
     /*  955608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /*  955621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955639 */     GIR_RootConstrainSelectedInstOperands,
     /*  955640 */     // GIR_Coverage, 13395,
     /*  955640 */     GIR_EraseRootFromParent_Done,
     /*  955641 */   // Label 14159: @955641
     /*  955641 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(955718), // Rule ID 13398 //
     /*  955646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  955654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  955657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  955660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  955663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  955666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955685 */     // MIs[0] policy
     /*  955685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955695 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*  955698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955716 */     GIR_RootConstrainSelectedInstOperands,
     /*  955717 */     // GIR_Coverage, 13398,
     /*  955717 */     GIR_EraseRootFromParent_Done,
     /*  955718 */   // Label 14160: @955718
     /*  955718 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(955795), // Rule ID 13399 //
     /*  955723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  955731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  955734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  955737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  955740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  955743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955762 */     // MIs[0] policy
     /*  955762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*  955775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955793 */     GIR_RootConstrainSelectedInstOperands,
     /*  955794 */     // GIR_Coverage, 13399,
     /*  955794 */     GIR_EraseRootFromParent_Done,
     /*  955795 */   // Label 14161: @955795
     /*  955795 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(955872), // Rule ID 13402 //
     /*  955800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  955808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  955811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  955814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  955817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  955820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955839 */     // MIs[0] policy
     /*  955839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955849 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  955849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  955852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955870 */     GIR_RootConstrainSelectedInstOperands,
     /*  955871 */     // GIR_Coverage, 13402,
     /*  955871 */     GIR_EraseRootFromParent_Done,
     /*  955872 */   // Label 14162: @955872
     /*  955872 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(955949), // Rule ID 13403 //
     /*  955877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  955880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  955885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  955888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  955891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  955894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  955897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955916 */     // MIs[0] policy
     /*  955916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955926 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  955926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  955929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  955933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  955935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  955937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  955945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  955947 */     GIR_RootConstrainSelectedInstOperands,
     /*  955948 */     // GIR_Coverage, 13403,
     /*  955948 */     GIR_EraseRootFromParent_Done,
     /*  955949 */   // Label 14163: @955949
     /*  955949 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(956026), // Rule ID 13406 //
     /*  955954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  955957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  955962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  955965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  955968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  955971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  955974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  955993 */     // MIs[0] policy
     /*  955993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  955996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  956006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956024 */     GIR_RootConstrainSelectedInstOperands,
     /*  956025 */     // GIR_Coverage, 13406,
     /*  956025 */     GIR_EraseRootFromParent_Done,
     /*  956026 */   // Label 14164: @956026
     /*  956026 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(956103), // Rule ID 13407 //
     /*  956031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  956042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  956045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  956048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  956051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956070 */     // MIs[0] policy
     /*  956070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  956083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956101 */     GIR_RootConstrainSelectedInstOperands,
     /*  956102 */     // GIR_Coverage, 13407,
     /*  956102 */     GIR_EraseRootFromParent_Done,
     /*  956103 */   // Label 14165: @956103
     /*  956103 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(956180), // Rule ID 13410 //
     /*  956108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  956119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  956122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  956125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  956128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956147 */     // MIs[0] policy
     /*  956147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956157 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  956160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956178 */     GIR_RootConstrainSelectedInstOperands,
     /*  956179 */     // GIR_Coverage, 13410,
     /*  956179 */     GIR_EraseRootFromParent_Done,
     /*  956180 */   // Label 14166: @956180
     /*  956180 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(956257), // Rule ID 13411 //
     /*  956185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  956196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  956199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  956202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  956205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956224 */     // MIs[0] policy
     /*  956224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  956237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956255 */     GIR_RootConstrainSelectedInstOperands,
     /*  956256 */     // GIR_Coverage, 13411,
     /*  956256 */     GIR_EraseRootFromParent_Done,
     /*  956257 */   // Label 14167: @956257
     /*  956257 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(956334), // Rule ID 13414 //
     /*  956262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  956273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  956276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  956279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  956282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956301 */     // MIs[0] policy
     /*  956301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956311 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  956314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956332 */     GIR_RootConstrainSelectedInstOperands,
     /*  956333 */     // GIR_Coverage, 13414,
     /*  956333 */     GIR_EraseRootFromParent_Done,
     /*  956334 */   // Label 14168: @956334
     /*  956334 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(956411), // Rule ID 13415 //
     /*  956339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  956350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  956353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  956356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  956359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956378 */     // MIs[0] policy
     /*  956378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  956391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956409 */     GIR_RootConstrainSelectedInstOperands,
     /*  956410 */     // GIR_Coverage, 13415,
     /*  956410 */     GIR_EraseRootFromParent_Done,
     /*  956411 */   // Label 14169: @956411
     /*  956411 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(956488), // Rule ID 13418 //
     /*  956416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  956427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  956430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  956433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  956436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956455 */     // MIs[0] policy
     /*  956455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956465 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  956468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956486 */     GIR_RootConstrainSelectedInstOperands,
     /*  956487 */     // GIR_Coverage, 13418,
     /*  956487 */     GIR_EraseRootFromParent_Done,
     /*  956488 */   // Label 14170: @956488
     /*  956488 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(956565), // Rule ID 13419 //
     /*  956493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  956504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  956507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  956510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  956513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956532 */     // MIs[0] policy
     /*  956532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  956545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  956561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956563 */     GIR_RootConstrainSelectedInstOperands,
     /*  956564 */     // GIR_Coverage, 13419,
     /*  956564 */     GIR_EraseRootFromParent_Done,
     /*  956565 */   // Label 14171: @956565
     /*  956565 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(956642), // Rule ID 13422 //
     /*  956570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  956581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  956584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  956587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  956590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956609 */     // MIs[0] policy
     /*  956609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  956622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956640 */     GIR_RootConstrainSelectedInstOperands,
     /*  956641 */     // GIR_Coverage, 13422,
     /*  956641 */     GIR_EraseRootFromParent_Done,
     /*  956642 */   // Label 14172: @956642
     /*  956642 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(956719), // Rule ID 13423 //
     /*  956647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  956658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  956661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  956664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  956667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956686 */     // MIs[0] policy
     /*  956686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956696 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*  956699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956717 */     GIR_RootConstrainSelectedInstOperands,
     /*  956718 */     // GIR_Coverage, 13423,
     /*  956718 */     GIR_EraseRootFromParent_Done,
     /*  956719 */   // Label 14173: @956719
     /*  956719 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(956796), // Rule ID 13426 //
     /*  956724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  956738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  956741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956763 */     // MIs[0] policy
     /*  956763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  956776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956794 */     GIR_RootConstrainSelectedInstOperands,
     /*  956795 */     // GIR_Coverage, 13426,
     /*  956795 */     GIR_EraseRootFromParent_Done,
     /*  956796 */   // Label 14174: @956796
     /*  956796 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(956873), // Rule ID 13427 //
     /*  956801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  956812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  956815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  956818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  956821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956840 */     // MIs[0] policy
     /*  956840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  956850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  956853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956871 */     GIR_RootConstrainSelectedInstOperands,
     /*  956872 */     // GIR_Coverage, 13427,
     /*  956872 */     GIR_EraseRootFromParent_Done,
     /*  956873 */   // Label 14175: @956873
     /*  956873 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(956950), // Rule ID 13430 //
     /*  956878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  956881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  956892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  956895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956917 */     // MIs[0] policy
     /*  956917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  956927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  956930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  956934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  956936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  956938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  956946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  956948 */     GIR_RootConstrainSelectedInstOperands,
     /*  956949 */     // GIR_Coverage, 13430,
     /*  956949 */     GIR_EraseRootFromParent_Done,
     /*  956950 */   // Label 14176: @956950
     /*  956950 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(957027), // Rule ID 13431 //
     /*  956955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  956958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  956963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  956966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  956969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  956972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  956975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  956994 */     // MIs[0] policy
     /*  956994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  956997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  957007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957025 */     GIR_RootConstrainSelectedInstOperands,
     /*  957026 */     // GIR_Coverage, 13431,
     /*  957026 */     GIR_EraseRootFromParent_Done,
     /*  957027 */   // Label 14177: @957027
     /*  957027 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(957104), // Rule ID 13434 //
     /*  957032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  957046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  957049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957071 */     // MIs[0] policy
     /*  957071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  957084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957102 */     GIR_RootConstrainSelectedInstOperands,
     /*  957103 */     // GIR_Coverage, 13434,
     /*  957103 */     GIR_EraseRootFromParent_Done,
     /*  957104 */   // Label 14178: @957104
     /*  957104 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(957181), // Rule ID 13435 //
     /*  957109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  957120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  957123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  957126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  957129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957148 */     // MIs[0] policy
     /*  957148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957158 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  957161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957179 */     GIR_RootConstrainSelectedInstOperands,
     /*  957180 */     // GIR_Coverage, 13435,
     /*  957180 */     GIR_EraseRootFromParent_Done,
     /*  957181 */   // Label 14179: @957181
     /*  957181 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(957258), // Rule ID 13438 //
     /*  957186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  957200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  957203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957225 */     // MIs[0] policy
     /*  957225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  957238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957256 */     GIR_RootConstrainSelectedInstOperands,
     /*  957257 */     // GIR_Coverage, 13438,
     /*  957257 */     GIR_EraseRootFromParent_Done,
     /*  957258 */   // Label 14180: @957258
     /*  957258 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(957335), // Rule ID 13439 //
     /*  957263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  957266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  957274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  957277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  957280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  957283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957302 */     // MIs[0] policy
     /*  957302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  957315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  957331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957333 */     GIR_RootConstrainSelectedInstOperands,
     /*  957334 */     // GIR_Coverage, 13439,
     /*  957334 */     GIR_EraseRootFromParent_Done,
     /*  957335 */   // Label 14181: @957335
     /*  957335 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(957412), // Rule ID 13442 //
     /*  957340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  957343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  957354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957379 */     // MIs[0] policy
     /*  957379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  957392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957410 */     GIR_RootConstrainSelectedInstOperands,
     /*  957411 */     // GIR_Coverage, 13442,
     /*  957411 */     GIR_EraseRootFromParent_Done,
     /*  957412 */   // Label 14182: @957412
     /*  957412 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(957489), // Rule ID 13443 //
     /*  957417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  957420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  957428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  957431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  957434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  957437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957456 */     // MIs[0] policy
     /*  957456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*  957469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957487 */     GIR_RootConstrainSelectedInstOperands,
     /*  957488 */     // GIR_Coverage, 13443,
     /*  957488 */     GIR_EraseRootFromParent_Done,
     /*  957489 */   // Label 14183: @957489
     /*  957489 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(957566), // Rule ID 13446 //
     /*  957494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  957497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  957508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  957511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957533 */     // MIs[0] policy
     /*  957533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957543 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  957546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957564 */     GIR_RootConstrainSelectedInstOperands,
     /*  957565 */     // GIR_Coverage, 13446,
     /*  957565 */     GIR_EraseRootFromParent_Done,
     /*  957566 */   // Label 14184: @957566
     /*  957566 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(957643), // Rule ID 13447 //
     /*  957571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  957574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  957582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  957585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  957588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  957591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957610 */     // MIs[0] policy
     /*  957610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957620 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*  957623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957641 */     GIR_RootConstrainSelectedInstOperands,
     /*  957642 */     // GIR_Coverage, 13447,
     /*  957642 */     GIR_EraseRootFromParent_Done,
     /*  957643 */   // Label 14185: @957643
     /*  957643 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(957720), // Rule ID 13450 //
     /*  957648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  957651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  957662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  957665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957687 */     // MIs[0] policy
     /*  957687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  957700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957718 */     GIR_RootConstrainSelectedInstOperands,
     /*  957719 */     // GIR_Coverage, 13450,
     /*  957719 */     GIR_EraseRootFromParent_Done,
     /*  957720 */   // Label 14186: @957720
     /*  957720 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(957797), // Rule ID 13451 //
     /*  957725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  957728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  957736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  957739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  957742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  957745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  957764 */     // MIs[0] policy
     /*  957764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957774 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*  957777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957795 */     GIR_RootConstrainSelectedInstOperands,
     /*  957796 */     // GIR_Coverage, 13451,
     /*  957796 */     GIR_EraseRootFromParent_Done,
     /*  957797 */   // Label 14187: @957797
     /*  957797 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(957874), // Rule ID 13454 //
     /*  957802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  957805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  957816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957841 */     // MIs[0] policy
     /*  957841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  957851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  957854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957872 */     GIR_RootConstrainSelectedInstOperands,
     /*  957873 */     // GIR_Coverage, 13454,
     /*  957873 */     GIR_EraseRootFromParent_Done,
     /*  957874 */   // Label 14188: @957874
     /*  957874 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(957951), // Rule ID 13455 //
     /*  957879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  957882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  957893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  957896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  957899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957918 */     // MIs[0] policy
     /*  957918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  957928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*  957931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  957935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  957937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  957939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  957947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  957949 */     GIR_RootConstrainSelectedInstOperands,
     /*  957950 */     // GIR_Coverage, 13455,
     /*  957950 */     GIR_EraseRootFromParent_Done,
     /*  957951 */   // Label 14189: @957951
     /*  957951 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(958028), // Rule ID 13458 //
     /*  957956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  957959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  957964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  957970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  957973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957995 */     // MIs[0] policy
     /*  957995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  957998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /*  958008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958026 */     GIR_RootConstrainSelectedInstOperands,
     /*  958027 */     // GIR_Coverage, 13458,
     /*  958027 */     GIR_EraseRootFromParent_Done,
     /*  958028 */   // Label 14190: @958028
     /*  958028 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(958105), // Rule ID 13459 //
     /*  958033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  958044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  958047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  958053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958072 */     // MIs[0] policy
     /*  958072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /*  958085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958103 */     GIR_RootConstrainSelectedInstOperands,
     /*  958104 */     // GIR_Coverage, 13459,
     /*  958104 */     GIR_EraseRootFromParent_Done,
     /*  958105 */   // Label 14191: @958105
     /*  958105 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(958182), // Rule ID 13462 //
     /*  958110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  958124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  958130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958149 */     // MIs[0] policy
     /*  958149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958159 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  958162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958180 */     GIR_RootConstrainSelectedInstOperands,
     /*  958181 */     // GIR_Coverage, 13462,
     /*  958181 */     GIR_EraseRootFromParent_Done,
     /*  958182 */   // Label 14192: @958182
     /*  958182 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(958259), // Rule ID 13463 //
     /*  958187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  958201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  958207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958226 */     // MIs[0] policy
     /*  958226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  958239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958257 */     GIR_RootConstrainSelectedInstOperands,
     /*  958258 */     // GIR_Coverage, 13463,
     /*  958258 */     GIR_EraseRootFromParent_Done,
     /*  958259 */   // Label 14193: @958259
     /*  958259 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(958336), // Rule ID 13466 //
     /*  958264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  958278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958303 */     // MIs[0] policy
     /*  958303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958313 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  958316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958334 */     GIR_RootConstrainSelectedInstOperands,
     /*  958335 */     // GIR_Coverage, 13466,
     /*  958335 */     GIR_EraseRootFromParent_Done,
     /*  958336 */   // Label 14194: @958336
     /*  958336 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(958413), // Rule ID 13467 //
     /*  958341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  958355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958380 */     // MIs[0] policy
     /*  958380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11281:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  958393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958411 */     GIR_RootConstrainSelectedInstOperands,
     /*  958412 */     // GIR_Coverage, 13467,
     /*  958412 */     GIR_EraseRootFromParent_Done,
     /*  958413 */   // Label 14195: @958413
     /*  958413 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(958490), // Rule ID 13470 //
     /*  958418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  958432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958457 */     // MIs[0] policy
     /*  958457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  958470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958488 */     GIR_RootConstrainSelectedInstOperands,
     /*  958489 */     // GIR_Coverage, 13470,
     /*  958489 */     GIR_EraseRootFromParent_Done,
     /*  958490 */   // Label 14196: @958490
     /*  958490 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(958567), // Rule ID 13471 //
     /*  958495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  958509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958534 */     // MIs[0] policy
     /*  958534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  958547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958565 */     GIR_RootConstrainSelectedInstOperands,
     /*  958566 */     // GIR_Coverage, 13471,
     /*  958566 */     GIR_EraseRootFromParent_Done,
     /*  958567 */   // Label 14197: @958567
     /*  958567 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(958644), // Rule ID 13474 //
     /*  958572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  958586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958611 */     // MIs[0] policy
     /*  958611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  958624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958642 */     GIR_RootConstrainSelectedInstOperands,
     /*  958643 */     // GIR_Coverage, 13474,
     /*  958643 */     GIR_EraseRootFromParent_Done,
     /*  958644 */   // Label 14198: @958644
     /*  958644 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(958721), // Rule ID 13475 //
     /*  958649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  958663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958688 */     // MIs[0] policy
     /*  958688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958698 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  958701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958719 */     GIR_RootConstrainSelectedInstOperands,
     /*  958720 */     // GIR_Coverage, 13475,
     /*  958720 */     GIR_EraseRootFromParent_Done,
     /*  958721 */   // Label 14199: @958721
     /*  958721 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(958798), // Rule ID 13478 //
     /*  958726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  958740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958765 */     // MIs[0] policy
     /*  958765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958775 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  958778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958796 */     GIR_RootConstrainSelectedInstOperands,
     /*  958797 */     // GIR_Coverage, 13478,
     /*  958797 */     GIR_EraseRootFromParent_Done,
     /*  958798 */   // Label 14200: @958798
     /*  958798 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(958875), // Rule ID 13479 //
     /*  958803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  958814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  958817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  958823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  958834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958842 */     // MIs[0] policy
     /*  958842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958852 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  958852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  958855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958873 */     GIR_RootConstrainSelectedInstOperands,
     /*  958874 */     // GIR_Coverage, 13479,
     /*  958874 */     GIR_EraseRootFromParent_Done,
     /*  958875 */   // Label 14201: @958875
     /*  958875 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(958952), // Rule ID 13482 //
     /*  958880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  958883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  958894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  958897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  958900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958919 */     // MIs[0] policy
     /*  958919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  958929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  958932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  958936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  958938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  958940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  958948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  958950 */     GIR_RootConstrainSelectedInstOperands,
     /*  958951 */     // GIR_Coverage, 13482,
     /*  958951 */     GIR_EraseRootFromParent_Done,
     /*  958952 */   // Label 14202: @958952
     /*  958952 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(959029), // Rule ID 13483 //
     /*  958957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  958960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  958965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  958968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  958971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  958974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  958977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958996 */     // MIs[0] policy
     /*  958996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  958999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959006 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /*  959009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959027 */     GIR_RootConstrainSelectedInstOperands,
     /*  959028 */     // GIR_Coverage, 13483,
     /*  959028 */     GIR_EraseRootFromParent_Done,
     /*  959029 */   // Label 14203: @959029
     /*  959029 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(959106), // Rule ID 13486 //
     /*  959034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  959048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959073 */     // MIs[0] policy
     /*  959073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  959086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959104 */     GIR_RootConstrainSelectedInstOperands,
     /*  959105 */     // GIR_Coverage, 13486,
     /*  959105 */     GIR_EraseRootFromParent_Done,
     /*  959106 */   // Label 14204: @959106
     /*  959106 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(959183), // Rule ID 13487 //
     /*  959111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  959122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  959125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  959131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959150 */     // MIs[0] policy
     /*  959150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  959163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959181 */     GIR_RootConstrainSelectedInstOperands,
     /*  959182 */     // GIR_Coverage, 13487,
     /*  959182 */     GIR_EraseRootFromParent_Done,
     /*  959183 */   // Label 14205: @959183
     /*  959183 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(959260), // Rule ID 13490 //
     /*  959188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  959199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  959202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  959208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959227 */     // MIs[0] policy
     /*  959227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  959240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959258 */     GIR_RootConstrainSelectedInstOperands,
     /*  959259 */     // GIR_Coverage, 13490,
     /*  959259 */     GIR_EraseRootFromParent_Done,
     /*  959260 */   // Label 14206: @959260
     /*  959260 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(959337), // Rule ID 13491 //
     /*  959265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  959276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  959279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  959285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959304 */     // MIs[0] policy
     /*  959304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959314 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  959317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959335 */     GIR_RootConstrainSelectedInstOperands,
     /*  959336 */     // GIR_Coverage, 13491,
     /*  959336 */     GIR_EraseRootFromParent_Done,
     /*  959337 */   // Label 14207: @959337
     /*  959337 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(959414), // Rule ID 13494 //
     /*  959342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  959353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  959356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  959362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959381 */     // MIs[0] policy
     /*  959381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959391 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  959394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959412 */     GIR_RootConstrainSelectedInstOperands,
     /*  959413 */     // GIR_Coverage, 13494,
     /*  959413 */     GIR_EraseRootFromParent_Done,
     /*  959414 */   // Label 14208: @959414
     /*  959414 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(959491), // Rule ID 13495 //
     /*  959419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  959430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  959433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  959439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959458 */     // MIs[0] policy
     /*  959458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959468 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  959471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959489 */     GIR_RootConstrainSelectedInstOperands,
     /*  959490 */     // GIR_Coverage, 13495,
     /*  959490 */     GIR_EraseRootFromParent_Done,
     /*  959491 */   // Label 14209: @959491
     /*  959491 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(959568), // Rule ID 13498 //
     /*  959496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  959499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  959507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  959510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  959516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959535 */     // MIs[0] policy
     /*  959535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959545 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  959548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959566 */     GIR_RootConstrainSelectedInstOperands,
     /*  959567 */     // GIR_Coverage, 13498,
     /*  959567 */     GIR_EraseRootFromParent_Done,
     /*  959568 */   // Label 14210: @959568
     /*  959568 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(959645), // Rule ID 13499 //
     /*  959573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  959576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  959584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  959587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  959593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959612 */     // MIs[0] policy
     /*  959612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  959625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959643 */     GIR_RootConstrainSelectedInstOperands,
     /*  959644 */     // GIR_Coverage, 13499,
     /*  959644 */     GIR_EraseRootFromParent_Done,
     /*  959645 */   // Label 14211: @959645
     /*  959645 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(959722), // Rule ID 13502 //
     /*  959650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  959653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  959661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  959664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  959670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959689 */     // MIs[0] policy
     /*  959689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  959702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959720 */     GIR_RootConstrainSelectedInstOperands,
     /*  959721 */     // GIR_Coverage, 13502,
     /*  959721 */     GIR_EraseRootFromParent_Done,
     /*  959722 */   // Label 14212: @959722
     /*  959722 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(959799), // Rule ID 13503 //
     /*  959727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  959730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  959738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  959741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  959747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959766 */     // MIs[0] policy
     /*  959766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959776 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /*  959779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959797 */     GIR_RootConstrainSelectedInstOperands,
     /*  959798 */     // GIR_Coverage, 13503,
     /*  959798 */     GIR_EraseRootFromParent_Done,
     /*  959799 */   // Label 14213: @959799
     /*  959799 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(959876), // Rule ID 13506 //
     /*  959804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  959807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  959815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  959818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  959824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959843 */     // MIs[0] policy
     /*  959843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959853 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  959853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  959856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959874 */     GIR_RootConstrainSelectedInstOperands,
     /*  959875 */     // GIR_Coverage, 13506,
     /*  959875 */     GIR_EraseRootFromParent_Done,
     /*  959876 */   // Label 14214: @959876
     /*  959876 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(959953), // Rule ID 13507 //
     /*  959881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  959884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  959892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  959895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  959898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  959901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959920 */     // MIs[0] policy
     /*  959920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  959923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  959930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /*  959933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  959937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  959939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  959941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  959949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  959951 */     GIR_RootConstrainSelectedInstOperands,
     /*  959952 */     // GIR_Coverage, 13507,
     /*  959952 */     GIR_EraseRootFromParent_Done,
     /*  959953 */   // Label 14215: @959953
     /*  959953 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(960030), // Rule ID 13510 //
     /*  959958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  959961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  959966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  959969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  959972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  959975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  959978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959997 */     // MIs[0] policy
     /*  959997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  960010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960028 */     GIR_RootConstrainSelectedInstOperands,
     /*  960029 */     // GIR_Coverage, 13510,
     /*  960029 */     GIR_EraseRootFromParent_Done,
     /*  960030 */   // Label 14216: @960030
     /*  960030 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(960107), // Rule ID 13511 //
     /*  960035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  960038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  960043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  960046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  960049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  960052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  960055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960074 */     // MIs[0] policy
     /*  960074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /*  960087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960105 */     GIR_RootConstrainSelectedInstOperands,
     /*  960106 */     // GIR_Coverage, 13511,
     /*  960106 */     GIR_EraseRootFromParent_Done,
     /*  960107 */   // Label 14217: @960107
     /*  960107 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(960184), // Rule ID 13514 //
     /*  960112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  960115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  960120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  960123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  960126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  960129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  960132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960151 */     // MIs[0] policy
     /*  960151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960161 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  960164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960182 */     GIR_RootConstrainSelectedInstOperands,
     /*  960183 */     // GIR_Coverage, 13514,
     /*  960183 */     GIR_EraseRootFromParent_Done,
     /*  960184 */   // Label 14218: @960184
     /*  960184 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(960261), // Rule ID 13515 //
     /*  960189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  960192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /*  960197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  960200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  960203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  960206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  960209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  960220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960228 */     // MIs[0] policy
     /*  960228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /*  960241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  960257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960259 */     GIR_RootConstrainSelectedInstOperands,
     /*  960260 */     // GIR_Coverage, 13515,
     /*  960260 */     GIR_EraseRootFromParent_Done,
     /*  960261 */   // Label 14219: @960261
     /*  960261 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(960338), // Rule ID 13518 //
     /*  960266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  960277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  960280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  960283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  960286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960305 */     // MIs[0] policy
     /*  960305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*  960318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960336 */     GIR_RootConstrainSelectedInstOperands,
     /*  960337 */     // GIR_Coverage, 13518,
     /*  960337 */     GIR_EraseRootFromParent_Done,
     /*  960338 */   // Label 14220: @960338
     /*  960338 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(960415), // Rule ID 13519 //
     /*  960343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  960354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  960357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  960360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  960363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960382 */     // MIs[0] policy
     /*  960382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960392 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*  960395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960413 */     GIR_RootConstrainSelectedInstOperands,
     /*  960414 */     // GIR_Coverage, 13519,
     /*  960414 */     GIR_EraseRootFromParent_Done,
     /*  960415 */   // Label 14221: @960415
     /*  960415 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(960492), // Rule ID 13522 //
     /*  960420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  960431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  960434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  960437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  960440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960459 */     // MIs[0] policy
     /*  960459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  960472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960490 */     GIR_RootConstrainSelectedInstOperands,
     /*  960491 */     // GIR_Coverage, 13522,
     /*  960491 */     GIR_EraseRootFromParent_Done,
     /*  960492 */   // Label 14222: @960492
     /*  960492 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(960569), // Rule ID 13523 //
     /*  960497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  960508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  960511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  960514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  960517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960536 */     // MIs[0] policy
     /*  960536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  960549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960567 */     GIR_RootConstrainSelectedInstOperands,
     /*  960568 */     // GIR_Coverage, 13523,
     /*  960568 */     GIR_EraseRootFromParent_Done,
     /*  960569 */   // Label 14223: @960569
     /*  960569 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(960646), // Rule ID 13526 //
     /*  960574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  960591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  960594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960613 */     // MIs[0] policy
     /*  960613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960623 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  960626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960644 */     GIR_RootConstrainSelectedInstOperands,
     /*  960645 */     // GIR_Coverage, 13526,
     /*  960645 */     GIR_EraseRootFromParent_Done,
     /*  960646 */   // Label 14224: @960646
     /*  960646 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(960723), // Rule ID 13527 //
     /*  960651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  960662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  960665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  960668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  960671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960690 */     // MIs[0] policy
     /*  960690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960700 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  960703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960721 */     GIR_RootConstrainSelectedInstOperands,
     /*  960722 */     // GIR_Coverage, 13527,
     /*  960722 */     GIR_EraseRootFromParent_Done,
     /*  960723 */   // Label 14225: @960723
     /*  960723 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(960800), // Rule ID 13530 //
     /*  960728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  960739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  960742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  960748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960767 */     // MIs[0] policy
     /*  960767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960777 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  960780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960798 */     GIR_RootConstrainSelectedInstOperands,
     /*  960799 */     // GIR_Coverage, 13530,
     /*  960799 */     GIR_EraseRootFromParent_Done,
     /*  960800 */   // Label 14226: @960800
     /*  960800 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(960877), // Rule ID 13531 //
     /*  960805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  960816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  960819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  960822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  960825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960844 */     // MIs[0] policy
     /*  960844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  960854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  960857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960875 */     GIR_RootConstrainSelectedInstOperands,
     /*  960876 */     // GIR_Coverage, 13531,
     /*  960876 */     GIR_EraseRootFromParent_Done,
     /*  960877 */   // Label 14227: @960877
     /*  960877 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(960954), // Rule ID 13534 //
     /*  960882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  960885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  960902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960921 */     // MIs[0] policy
     /*  960921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  960924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960931 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  960931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  960934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  960938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  960940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  960942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  960950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  960952 */     GIR_RootConstrainSelectedInstOperands,
     /*  960953 */     // GIR_Coverage, 13534,
     /*  960953 */     GIR_EraseRootFromParent_Done,
     /*  960954 */   // Label 14228: @960954
     /*  960954 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(961031), // Rule ID 13535 //
     /*  960959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  960962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  960967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  960970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  960973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  960976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  960979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  960990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960998 */     // MIs[0] policy
     /*  960998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  961011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961029 */     GIR_RootConstrainSelectedInstOperands,
     /*  961030 */     // GIR_Coverage, 13535,
     /*  961030 */     GIR_EraseRootFromParent_Done,
     /*  961031 */   // Label 14229: @961031
     /*  961031 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(961108), // Rule ID 13538 //
     /*  961036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  961056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961075 */     // MIs[0] policy
     /*  961075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  961088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961106 */     GIR_RootConstrainSelectedInstOperands,
     /*  961107 */     // GIR_Coverage, 13538,
     /*  961107 */     GIR_EraseRootFromParent_Done,
     /*  961108 */   // Label 14230: @961108
     /*  961108 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(961185), // Rule ID 13539 //
     /*  961113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  961124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  961127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  961130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  961133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961152 */     // MIs[0] policy
     /*  961152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  961165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  961181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961183 */     GIR_RootConstrainSelectedInstOperands,
     /*  961184 */     // GIR_Coverage, 13539,
     /*  961184 */     GIR_EraseRootFromParent_Done,
     /*  961185 */   // Label 14231: @961185
     /*  961185 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(961262), // Rule ID 13542 //
     /*  961190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  961201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  961204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  961210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961229 */     // MIs[0] policy
     /*  961229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  961242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961260 */     GIR_RootConstrainSelectedInstOperands,
     /*  961261 */     // GIR_Coverage, 13542,
     /*  961261 */     GIR_EraseRootFromParent_Done,
     /*  961262 */   // Label 14232: @961262
     /*  961262 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(961339), // Rule ID 13543 //
     /*  961267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  961278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  961281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  961284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  961287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961306 */     // MIs[0] policy
     /*  961306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*  961319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961337 */     GIR_RootConstrainSelectedInstOperands,
     /*  961338 */     // GIR_Coverage, 13543,
     /*  961338 */     GIR_EraseRootFromParent_Done,
     /*  961339 */   // Label 14233: @961339
     /*  961339 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(961416), // Rule ID 13546 //
     /*  961344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  961364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961383 */     // MIs[0] policy
     /*  961383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  961396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961414 */     GIR_RootConstrainSelectedInstOperands,
     /*  961415 */     // GIR_Coverage, 13546,
     /*  961415 */     GIR_EraseRootFromParent_Done,
     /*  961416 */   // Label 14234: @961416
     /*  961416 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(961493), // Rule ID 13547 //
     /*  961421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  961432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  961435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  961438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  961441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961460 */     // MIs[0] policy
     /*  961460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  961473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961491 */     GIR_RootConstrainSelectedInstOperands,
     /*  961492 */     // GIR_Coverage, 13547,
     /*  961492 */     GIR_EraseRootFromParent_Done,
     /*  961493 */   // Label 14235: @961493
     /*  961493 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(961570), // Rule ID 13550 //
     /*  961498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  961515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  961518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961537 */     // MIs[0] policy
     /*  961537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  961550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961568 */     GIR_RootConstrainSelectedInstOperands,
     /*  961569 */     // GIR_Coverage, 13550,
     /*  961569 */     GIR_EraseRootFromParent_Done,
     /*  961570 */   // Label 14236: @961570
     /*  961570 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(961647), // Rule ID 13551 //
     /*  961575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  961586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  961589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  961592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  961595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961614 */     // MIs[0] policy
     /*  961614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  961627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961645 */     GIR_RootConstrainSelectedInstOperands,
     /*  961646 */     // GIR_Coverage, 13551,
     /*  961646 */     GIR_EraseRootFromParent_Done,
     /*  961647 */   // Label 14237: @961647
     /*  961647 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(961724), // Rule ID 13554 //
     /*  961652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961691 */     // MIs[0] policy
     /*  961691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961701 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  961704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961722 */     GIR_RootConstrainSelectedInstOperands,
     /*  961723 */     // GIR_Coverage, 13554,
     /*  961723 */     GIR_EraseRootFromParent_Done,
     /*  961724 */   // Label 14238: @961724
     /*  961724 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(961801), // Rule ID 13555 //
     /*  961729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  961743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  961746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961768 */     // MIs[0] policy
     /*  961768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  961781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961799 */     GIR_RootConstrainSelectedInstOperands,
     /*  961800 */     // GIR_Coverage, 13555,
     /*  961800 */     GIR_EraseRootFromParent_Done,
     /*  961801 */   // Label 14239: @961801
     /*  961801 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(961878), // Rule ID 13558 //
     /*  961806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  961809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  961820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961845 */     // MIs[0] policy
     /*  961845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961855 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  961855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  961858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961876 */     GIR_RootConstrainSelectedInstOperands,
     /*  961877 */     // GIR_Coverage, 13558,
     /*  961877 */     GIR_EraseRootFromParent_Done,
     /*  961878 */   // Label 14240: @961878
     /*  961878 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(961955), // Rule ID 13559 //
     /*  961883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  961886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  961897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  961900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961922 */     // MIs[0] policy
     /*  961922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  961925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  961932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  961935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  961939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  961941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  961943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  961953 */     GIR_RootConstrainSelectedInstOperands,
     /*  961954 */     // GIR_Coverage, 13559,
     /*  961954 */     GIR_EraseRootFromParent_Done,
     /*  961955 */   // Label 14241: @961955
     /*  961955 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(962032), // Rule ID 13562 //
     /*  961960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  961963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  961968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  961971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  961974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  961977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  961980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  961999 */     // MIs[0] policy
     /*  961999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962009 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  962012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962030 */     GIR_RootConstrainSelectedInstOperands,
     /*  962031 */     // GIR_Coverage, 13562,
     /*  962031 */     GIR_EraseRootFromParent_Done,
     /*  962032 */   // Label 14242: @962032
     /*  962032 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(962109), // Rule ID 13563 //
     /*  962037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  962040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  962051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  962054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962076 */     // MIs[0] policy
     /*  962076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962086 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*  962089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962107 */     GIR_RootConstrainSelectedInstOperands,
     /*  962108 */     // GIR_Coverage, 13563,
     /*  962108 */     GIR_EraseRootFromParent_Done,
     /*  962109 */   // Label 14243: @962109
     /*  962109 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(962186), // Rule ID 13566 //
     /*  962114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  962117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962153 */     // MIs[0] policy
     /*  962153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  962166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962184 */     GIR_RootConstrainSelectedInstOperands,
     /*  962185 */     // GIR_Coverage, 13566,
     /*  962185 */     GIR_EraseRootFromParent_Done,
     /*  962186 */   // Label 14244: @962186
     /*  962186 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(962263), // Rule ID 13567 //
     /*  962191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  962194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  962205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  962208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962230 */     // MIs[0] policy
     /*  962230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*  962243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962261 */     GIR_RootConstrainSelectedInstOperands,
     /*  962262 */     // GIR_Coverage, 13567,
     /*  962262 */     GIR_EraseRootFromParent_Done,
     /*  962263 */   // Label 14245: @962263
     /*  962263 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(962340), // Rule ID 13570 //
     /*  962268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  962271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962307 */     // MIs[0] policy
     /*  962307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962317 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  962320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962338 */     GIR_RootConstrainSelectedInstOperands,
     /*  962339 */     // GIR_Coverage, 13570,
     /*  962339 */     GIR_EraseRootFromParent_Done,
     /*  962340 */   // Label 14246: @962340
     /*  962340 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(962417), // Rule ID 13571 //
     /*  962345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  962348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  962359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  962362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962384 */     // MIs[0] policy
     /*  962384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*  962397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962415 */     GIR_RootConstrainSelectedInstOperands,
     /*  962416 */     // GIR_Coverage, 13571,
     /*  962416 */     GIR_EraseRootFromParent_Done,
     /*  962417 */   // Label 14247: @962417
     /*  962417 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(962494), // Rule ID 13574 //
     /*  962422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  962425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  962442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962461 */     // MIs[0] policy
     /*  962461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962471 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  962474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962492 */     GIR_RootConstrainSelectedInstOperands,
     /*  962493 */     // GIR_Coverage, 13574,
     /*  962493 */     GIR_EraseRootFromParent_Done,
     /*  962494 */   // Label 14248: @962494
     /*  962494 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(962571), // Rule ID 13575 //
     /*  962499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  962502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  962510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  962513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  962516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  962519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  962530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  962538 */     // MIs[0] policy
     /*  962538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962548 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*  962551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962569 */     GIR_RootConstrainSelectedInstOperands,
     /*  962570 */     // GIR_Coverage, 13575,
     /*  962570 */     GIR_EraseRootFromParent_Done,
     /*  962571 */   // Label 14249: @962571
     /*  962571 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(962648), // Rule ID 13578 //
     /*  962576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  962587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  962590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  962593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  962596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962615 */     // MIs[0] policy
     /*  962615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962625 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /*  962628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962646 */     GIR_RootConstrainSelectedInstOperands,
     /*  962647 */     // GIR_Coverage, 13578,
     /*  962647 */     GIR_EraseRootFromParent_Done,
     /*  962648 */   // Label 14250: @962648
     /*  962648 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(962725), // Rule ID 13579 //
     /*  962653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  962664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  962667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  962670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  962673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962692 */     // MIs[0] policy
     /*  962692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962702 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /*  962705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962723 */     GIR_RootConstrainSelectedInstOperands,
     /*  962724 */     // GIR_Coverage, 13579,
     /*  962724 */     GIR_EraseRootFromParent_Done,
     /*  962725 */   // Label 14251: @962725
     /*  962725 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(962802), // Rule ID 13582 //
     /*  962730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  962741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  962744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  962747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  962750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962769 */     // MIs[0] policy
     /*  962769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  962782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962800 */     GIR_RootConstrainSelectedInstOperands,
     /*  962801 */     // GIR_Coverage, 13582,
     /*  962801 */     GIR_EraseRootFromParent_Done,
     /*  962802 */   // Label 14252: @962802
     /*  962802 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(962879), // Rule ID 13583 //
     /*  962807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  962818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  962821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  962824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  962827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962846 */     // MIs[0] policy
     /*  962846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  962856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  962859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962877 */     GIR_RootConstrainSelectedInstOperands,
     /*  962878 */     // GIR_Coverage, 13583,
     /*  962878 */     GIR_EraseRootFromParent_Done,
     /*  962879 */   // Label 14253: @962879
     /*  962879 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(962956), // Rule ID 13586 //
     /*  962884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  962887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  962895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  962898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  962901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  962904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962923 */     // MIs[0] policy
     /*  962923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  962926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  962933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  962936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  962940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  962942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  962944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  962952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  962954 */     GIR_RootConstrainSelectedInstOperands,
     /*  962955 */     // GIR_Coverage, 13586,
     /*  962955 */     GIR_EraseRootFromParent_Done,
     /*  962956 */   // Label 14254: @962956
     /*  962956 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(963033), // Rule ID 13587 //
     /*  962961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  962964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  962969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  962972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  962975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  962978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  962981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963000 */     // MIs[0] policy
     /*  963000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11283:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  963013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963031 */     GIR_RootConstrainSelectedInstOperands,
     /*  963032 */     // GIR_Coverage, 13587,
     /*  963032 */     GIR_EraseRootFromParent_Done,
     /*  963033 */   // Label 14255: @963033
     /*  963033 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(963110), // Rule ID 13590 //
     /*  963038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  963049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  963052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  963058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963077 */     // MIs[0] policy
     /*  963077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  963090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963108 */     GIR_RootConstrainSelectedInstOperands,
     /*  963109 */     // GIR_Coverage, 13590,
     /*  963109 */     GIR_EraseRootFromParent_Done,
     /*  963110 */   // Label 14256: @963110
     /*  963110 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(963187), // Rule ID 13591 //
     /*  963115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  963126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  963129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  963135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963154 */     // MIs[0] policy
     /*  963154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963164 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  963167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963185 */     GIR_RootConstrainSelectedInstOperands,
     /*  963186 */     // GIR_Coverage, 13591,
     /*  963186 */     GIR_EraseRootFromParent_Done,
     /*  963187 */   // Label 14257: @963187
     /*  963187 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(963264), // Rule ID 13594 //
     /*  963192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  963203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  963206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  963212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963231 */     // MIs[0] policy
     /*  963231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963241 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  963244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963262 */     GIR_RootConstrainSelectedInstOperands,
     /*  963263 */     // GIR_Coverage, 13594,
     /*  963263 */     GIR_EraseRootFromParent_Done,
     /*  963264 */   // Label 14258: @963264
     /*  963264 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(963341), // Rule ID 13595 //
     /*  963269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  963280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  963283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  963289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963308 */     // MIs[0] policy
     /*  963308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963318 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  963321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963339 */     GIR_RootConstrainSelectedInstOperands,
     /*  963340 */     // GIR_Coverage, 13595,
     /*  963340 */     GIR_EraseRootFromParent_Done,
     /*  963341 */   // Label 14259: @963341
     /*  963341 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(963418), // Rule ID 13598 //
     /*  963346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  963357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  963360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  963366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963385 */     // MIs[0] policy
     /*  963385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963395 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  963398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963416 */     GIR_RootConstrainSelectedInstOperands,
     /*  963417 */     // GIR_Coverage, 13598,
     /*  963417 */     GIR_EraseRootFromParent_Done,
     /*  963418 */   // Label 14260: @963418
     /*  963418 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(963495), // Rule ID 13599 //
     /*  963423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  963434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  963437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  963443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963462 */     // MIs[0] policy
     /*  963462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  963475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  963491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963493 */     GIR_RootConstrainSelectedInstOperands,
     /*  963494 */     // GIR_Coverage, 13599,
     /*  963494 */     GIR_EraseRootFromParent_Done,
     /*  963495 */   // Label 14261: @963495
     /*  963495 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(963572), // Rule ID 13602 //
     /*  963500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  963511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  963514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  963520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963539 */     // MIs[0] policy
     /*  963539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963549 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  963552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963570 */     GIR_RootConstrainSelectedInstOperands,
     /*  963571 */     // GIR_Coverage, 13602,
     /*  963571 */     GIR_EraseRootFromParent_Done,
     /*  963572 */   // Label 14262: @963572
     /*  963572 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(963649), // Rule ID 13603 //
     /*  963577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  963588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  963591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  963597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963616 */     // MIs[0] policy
     /*  963616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963626 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /*  963629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963647 */     GIR_RootConstrainSelectedInstOperands,
     /*  963648 */     // GIR_Coverage, 13603,
     /*  963648 */     GIR_EraseRootFromParent_Done,
     /*  963649 */   // Label 14263: @963649
     /*  963649 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(963726), // Rule ID 13606 //
     /*  963654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  963665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  963668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  963674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963693 */     // MIs[0] policy
     /*  963693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  963706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963724 */     GIR_RootConstrainSelectedInstOperands,
     /*  963725 */     // GIR_Coverage, 13606,
     /*  963725 */     GIR_EraseRootFromParent_Done,
     /*  963726 */   // Label 14264: @963726
     /*  963726 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(963803), // Rule ID 13607 //
     /*  963731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  963742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  963745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  963751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963770 */     // MIs[0] policy
     /*  963770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963780 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  963783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963801 */     GIR_RootConstrainSelectedInstOperands,
     /*  963802 */     // GIR_Coverage, 13607,
     /*  963802 */     GIR_EraseRootFromParent_Done,
     /*  963803 */   // Label 14265: @963803
     /*  963803 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(963880), // Rule ID 13610 //
     /*  963808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  963819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  963822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  963828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963847 */     // MIs[0] policy
     /*  963847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963857 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  963857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  963860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963878 */     GIR_RootConstrainSelectedInstOperands,
     /*  963879 */     // GIR_Coverage, 13610,
     /*  963879 */     GIR_EraseRootFromParent_Done,
     /*  963880 */   // Label 14266: @963880
     /*  963880 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(963957), // Rule ID 13611 //
     /*  963885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  963888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  963896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  963899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  963902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  963905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963924 */     // MIs[0] policy
     /*  963924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  963927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  963934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  963937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  963941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  963943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  963945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  963953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  963955 */     GIR_RootConstrainSelectedInstOperands,
     /*  963956 */     // GIR_Coverage, 13611,
     /*  963956 */     GIR_EraseRootFromParent_Done,
     /*  963957 */   // Label 14267: @963957
     /*  963957 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(964034), // Rule ID 13614 //
     /*  963962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  963970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  963973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  963976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  963979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  963982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964001 */     // MIs[0] policy
     /*  964001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  964014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964032 */     GIR_RootConstrainSelectedInstOperands,
     /*  964033 */     // GIR_Coverage, 13614,
     /*  964033 */     GIR_EraseRootFromParent_Done,
     /*  964034 */   // Label 14268: @964034
     /*  964034 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(964111), // Rule ID 13615 //
     /*  964039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  964050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  964053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  964059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964078 */     // MIs[0] policy
     /*  964078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  964091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964109 */     GIR_RootConstrainSelectedInstOperands,
     /*  964110 */     // GIR_Coverage, 13615,
     /*  964110 */     GIR_EraseRootFromParent_Done,
     /*  964111 */   // Label 14269: @964111
     /*  964111 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(964188), // Rule ID 13618 //
     /*  964116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  964127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  964130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  964136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964155 */     // MIs[0] policy
     /*  964155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964165 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  964168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964186 */     GIR_RootConstrainSelectedInstOperands,
     /*  964187 */     // GIR_Coverage, 13618,
     /*  964187 */     GIR_EraseRootFromParent_Done,
     /*  964188 */   // Label 14270: @964188
     /*  964188 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(964265), // Rule ID 13619 //
     /*  964193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  964204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  964207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  964213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964232 */     // MIs[0] policy
     /*  964232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964242 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  964245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964263 */     GIR_RootConstrainSelectedInstOperands,
     /*  964264 */     // GIR_Coverage, 13619,
     /*  964264 */     GIR_EraseRootFromParent_Done,
     /*  964265 */   // Label 14271: @964265
     /*  964265 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(964342), // Rule ID 13622 //
     /*  964270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  964273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  964281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  964284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  964290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964309 */     // MIs[0] policy
     /*  964309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  964322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964340 */     GIR_RootConstrainSelectedInstOperands,
     /*  964341 */     // GIR_Coverage, 13622,
     /*  964341 */     GIR_EraseRootFromParent_Done,
     /*  964342 */   // Label 14272: @964342
     /*  964342 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(964419), // Rule ID 13623 //
     /*  964347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  964350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  964358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  964361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  964367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964386 */     // MIs[0] policy
     /*  964386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964396 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /*  964399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964417 */     GIR_RootConstrainSelectedInstOperands,
     /*  964418 */     // GIR_Coverage, 13623,
     /*  964418 */     GIR_EraseRootFromParent_Done,
     /*  964419 */   // Label 14273: @964419
     /*  964419 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(964496), // Rule ID 13626 //
     /*  964424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  964427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  964435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  964438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  964444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964463 */     // MIs[0] policy
     /*  964463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  964476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964494 */     GIR_RootConstrainSelectedInstOperands,
     /*  964495 */     // GIR_Coverage, 13626,
     /*  964495 */     GIR_EraseRootFromParent_Done,
     /*  964496 */   // Label 14274: @964496
     /*  964496 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(964573), // Rule ID 13627 //
     /*  964501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  964504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  964512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  964515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  964521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964540 */     // MIs[0] policy
     /*  964540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964550 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /*  964553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964571 */     GIR_RootConstrainSelectedInstOperands,
     /*  964572 */     // GIR_Coverage, 13627,
     /*  964572 */     GIR_EraseRootFromParent_Done,
     /*  964573 */   // Label 14275: @964573
     /*  964573 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(964650), // Rule ID 13630 //
     /*  964578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  964581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  964589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  964592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  964598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964617 */     // MIs[0] policy
     /*  964617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  964630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964648 */     GIR_RootConstrainSelectedInstOperands,
     /*  964649 */     // GIR_Coverage, 13630,
     /*  964649 */     GIR_EraseRootFromParent_Done,
     /*  964650 */   // Label 14276: @964650
     /*  964650 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(964727), // Rule ID 13631 //
     /*  964655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  964658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  964666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  964669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  964675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  964694 */     // MIs[0] policy
     /*  964694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964704 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /*  964707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964725 */     GIR_RootConstrainSelectedInstOperands,
     /*  964726 */     // GIR_Coverage, 13631,
     /*  964726 */     GIR_EraseRootFromParent_Done,
     /*  964727 */   // Label 14277: @964727
     /*  964727 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(964804), // Rule ID 13634 //
     /*  964732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  964735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  964743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  964746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  964752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964771 */     // MIs[0] policy
     /*  964771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  964784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964802 */     GIR_RootConstrainSelectedInstOperands,
     /*  964803 */     // GIR_Coverage, 13634,
     /*  964803 */     GIR_EraseRootFromParent_Done,
     /*  964804 */   // Label 14278: @964804
     /*  964804 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(964881), // Rule ID 13635 //
     /*  964809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  964812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /*  964817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  964820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  964823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  964829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  964840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  964848 */     // MIs[0] policy
     /*  964848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  964858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /*  964861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964879 */     GIR_RootConstrainSelectedInstOperands,
     /*  964880 */     // GIR_Coverage, 13635,
     /*  964880 */     GIR_EraseRootFromParent_Done,
     /*  964881 */   // Label 14279: @964881
     /*  964881 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(964958), // Rule ID 13638 //
     /*  964886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  964894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  964903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  964906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  964909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964925 */     // MIs[0] policy
     /*  964925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  964928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964935 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  964935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /*  964938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  964942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  964946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  964956 */     GIR_RootConstrainSelectedInstOperands,
     /*  964957 */     // GIR_Coverage, 13638,
     /*  964957 */     GIR_EraseRootFromParent_Done,
     /*  964958 */   // Label 14280: @964958
     /*  964958 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(965035), // Rule ID 13639 //
     /*  964963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  964971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  964980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  964983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  964986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  964998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965002 */     // MIs[0] policy
     /*  965002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965012 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /*  965015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965033 */     GIR_RootConstrainSelectedInstOperands,
     /*  965034 */     // GIR_Coverage, 13639,
     /*  965034 */     GIR_EraseRootFromParent_Done,
     /*  965035 */   // Label 14281: @965035
     /*  965035 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(965112), // Rule ID 13642 //
     /*  965040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  965051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  965054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  965060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965079 */     // MIs[0] policy
     /*  965079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965089 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  965092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965110 */     GIR_RootConstrainSelectedInstOperands,
     /*  965111 */     // GIR_Coverage, 13642,
     /*  965111 */     GIR_EraseRootFromParent_Done,
     /*  965112 */   // Label 14282: @965112
     /*  965112 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(965189), // Rule ID 13643 //
     /*  965117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  965128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  965131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  965137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965156 */     // MIs[0] policy
     /*  965156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965166 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  965169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965187 */     GIR_RootConstrainSelectedInstOperands,
     /*  965188 */     // GIR_Coverage, 13643,
     /*  965188 */     GIR_EraseRootFromParent_Done,
     /*  965189 */   // Label 14283: @965189
     /*  965189 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(965266), // Rule ID 13646 //
     /*  965194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  965205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  965208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  965214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965233 */     // MIs[0] policy
     /*  965233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965243 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  965246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965264 */     GIR_RootConstrainSelectedInstOperands,
     /*  965265 */     // GIR_Coverage, 13646,
     /*  965265 */     GIR_EraseRootFromParent_Done,
     /*  965266 */   // Label 14284: @965266
     /*  965266 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(965343), // Rule ID 13647 //
     /*  965271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  965282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  965285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  965291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965310 */     // MIs[0] policy
     /*  965310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  965323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965341 */     GIR_RootConstrainSelectedInstOperands,
     /*  965342 */     // GIR_Coverage, 13647,
     /*  965342 */     GIR_EraseRootFromParent_Done,
     /*  965343 */   // Label 14285: @965343
     /*  965343 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(965420), // Rule ID 13650 //
     /*  965348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  965368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965387 */     // MIs[0] policy
     /*  965387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  965400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965418 */     GIR_RootConstrainSelectedInstOperands,
     /*  965419 */     // GIR_Coverage, 13650,
     /*  965419 */     GIR_EraseRootFromParent_Done,
     /*  965420 */   // Label 14286: @965420
     /*  965420 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(965497), // Rule ID 13651 //
     /*  965425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  965436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  965439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  965445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965464 */     // MIs[0] policy
     /*  965464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  965477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965495 */     GIR_RootConstrainSelectedInstOperands,
     /*  965496 */     // GIR_Coverage, 13651,
     /*  965496 */     GIR_EraseRootFromParent_Done,
     /*  965497 */   // Label 14287: @965497
     /*  965497 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(965574), // Rule ID 13654 //
     /*  965502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  965522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965541 */     // MIs[0] policy
     /*  965541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  965554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965572 */     GIR_RootConstrainSelectedInstOperands,
     /*  965573 */     // GIR_Coverage, 13654,
     /*  965573 */     GIR_EraseRootFromParent_Done,
     /*  965574 */   // Label 14288: @965574
     /*  965574 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(965651), // Rule ID 13655 //
     /*  965579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  965590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  965593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  965599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965618 */     // MIs[0] policy
     /*  965618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965628 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  965631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965649 */     GIR_RootConstrainSelectedInstOperands,
     /*  965650 */     // GIR_Coverage, 13655,
     /*  965650 */     GIR_EraseRootFromParent_Done,
     /*  965651 */   // Label 14289: @965651
     /*  965651 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(965728), // Rule ID 13658 //
     /*  965656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  965667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  965670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  965676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965695 */     // MIs[0] policy
     /*  965695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965705 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  965708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965726 */     GIR_RootConstrainSelectedInstOperands,
     /*  965727 */     // GIR_Coverage, 13658,
     /*  965727 */     GIR_EraseRootFromParent_Done,
     /*  965728 */   // Label 14290: @965728
     /*  965728 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(965805), // Rule ID 13659 //
     /*  965733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  965744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  965747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  965753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  965764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  965772 */     // MIs[0] policy
     /*  965772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  965785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965803 */     GIR_RootConstrainSelectedInstOperands,
     /*  965804 */     // GIR_Coverage, 13659,
     /*  965804 */     GIR_EraseRootFromParent_Done,
     /*  965805 */   // Label 14291: @965805
     /*  965805 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(965882), // Rule ID 13662 //
     /*  965810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  965821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  965824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  965830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965849 */     // MIs[0] policy
     /*  965849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  965859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  965862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965880 */     GIR_RootConstrainSelectedInstOperands,
     /*  965881 */     // GIR_Coverage, 13662,
     /*  965881 */     GIR_EraseRootFromParent_Done,
     /*  965882 */   // Label 14292: @965882
     /*  965882 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(965959), // Rule ID 13663 //
     /*  965887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  965898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  965901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  965904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  965907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  965910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965926 */     // MIs[0] policy
     /*  965926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  965929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  965936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /*  965939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  965943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  965947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  965957 */     GIR_RootConstrainSelectedInstOperands,
     /*  965958 */     // GIR_Coverage, 13663,
     /*  965958 */     GIR_EraseRootFromParent_Done,
     /*  965959 */   // Label 14293: @965959
     /*  965959 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(966036), // Rule ID 13666 //
     /*  965964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  965972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  965981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  965984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  965987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  965999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966003 */     // MIs[0] policy
     /*  966003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  966016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966034 */     GIR_RootConstrainSelectedInstOperands,
     /*  966035 */     // GIR_Coverage, 13666,
     /*  966035 */     GIR_EraseRootFromParent_Done,
     /*  966036 */   // Label 14294: @966036
     /*  966036 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(966113), // Rule ID 13667 //
     /*  966041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  966052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  966055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  966061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966080 */     // MIs[0] policy
     /*  966080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  966093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966111 */     GIR_RootConstrainSelectedInstOperands,
     /*  966112 */     // GIR_Coverage, 13667,
     /*  966112 */     GIR_EraseRootFromParent_Done,
     /*  966113 */   // Label 14295: @966113
     /*  966113 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(966190), // Rule ID 13670 //
     /*  966118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  966138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966157 */     // MIs[0] policy
     /*  966157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966167 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  966170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966188 */     GIR_RootConstrainSelectedInstOperands,
     /*  966189 */     // GIR_Coverage, 13670,
     /*  966189 */     GIR_EraseRootFromParent_Done,
     /*  966190 */   // Label 14296: @966190
     /*  966190 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(966267), // Rule ID 13671 //
     /*  966195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  966215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966234 */     // MIs[0] policy
     /*  966234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  966247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966265 */     GIR_RootConstrainSelectedInstOperands,
     /*  966266 */     // GIR_Coverage, 13671,
     /*  966266 */     GIR_EraseRootFromParent_Done,
     /*  966267 */   // Label 14297: @966267
     /*  966267 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(966344), // Rule ID 13674 //
     /*  966272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  966292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966311 */     // MIs[0] policy
     /*  966311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  966324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966342 */     GIR_RootConstrainSelectedInstOperands,
     /*  966343 */     // GIR_Coverage, 13674,
     /*  966343 */     GIR_EraseRootFromParent_Done,
     /*  966344 */   // Label 14298: @966344
     /*  966344 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(966421), // Rule ID 13675 //
     /*  966349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  966360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  966363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  966369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966388 */     // MIs[0] policy
     /*  966388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  966401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966419 */     GIR_RootConstrainSelectedInstOperands,
     /*  966420 */     // GIR_Coverage, 13675,
     /*  966420 */     GIR_EraseRootFromParent_Done,
     /*  966421 */   // Label 14299: @966421
     /*  966421 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(966498), // Rule ID 13678 //
     /*  966426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  966446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966465 */     // MIs[0] policy
     /*  966465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  966478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966496 */     GIR_RootConstrainSelectedInstOperands,
     /*  966497 */     // GIR_Coverage, 13678,
     /*  966497 */     GIR_EraseRootFromParent_Done,
     /*  966498 */   // Label 14300: @966498
     /*  966498 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(966575), // Rule ID 13679 //
     /*  966503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  966514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  966517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  966523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966542 */     // MIs[0] policy
     /*  966542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  966555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966573 */     GIR_RootConstrainSelectedInstOperands,
     /*  966574 */     // GIR_Coverage, 13679,
     /*  966574 */     GIR_EraseRootFromParent_Done,
     /*  966575 */   // Label 14301: @966575
     /*  966575 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(966652), // Rule ID 13682 //
     /*  966580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  966583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  966591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  966594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  966600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966619 */     // MIs[0] policy
     /*  966619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  966632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966650 */     GIR_RootConstrainSelectedInstOperands,
     /*  966651 */     // GIR_Coverage, 13682,
     /*  966651 */     GIR_EraseRootFromParent_Done,
     /*  966652 */   // Label 14302: @966652
     /*  966652 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(966729), // Rule ID 13683 //
     /*  966657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  966660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  966668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  966671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  966677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966696 */     // MIs[0] policy
     /*  966696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /*  966709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966727 */     GIR_RootConstrainSelectedInstOperands,
     /*  966728 */     // GIR_Coverage, 13683,
     /*  966728 */     GIR_EraseRootFromParent_Done,
     /*  966729 */   // Label 14303: @966729
     /*  966729 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(966806), // Rule ID 13686 //
     /*  966734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  966737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  966754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966773 */     // MIs[0] policy
     /*  966773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  966786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966804 */     GIR_RootConstrainSelectedInstOperands,
     /*  966805 */     // GIR_Coverage, 13686,
     /*  966805 */     GIR_EraseRootFromParent_Done,
     /*  966806 */   // Label 14304: @966806
     /*  966806 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(966883), // Rule ID 13687 //
     /*  966811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  966814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  966822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  966825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  966831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  966850 */     // MIs[0] policy
     /*  966850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966860 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  966860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /*  966863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966881 */     GIR_RootConstrainSelectedInstOperands,
     /*  966882 */     // GIR_Coverage, 13687,
     /*  966882 */     GIR_EraseRootFromParent_Done,
     /*  966883 */   // Label 14305: @966883
     /*  966883 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(966960), // Rule ID 13690 //
     /*  966888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  966891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  966899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  966902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  966905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  966908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  966911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  966923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966927 */     // MIs[0] policy
     /*  966927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  966930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  966937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  966940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  966944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  966948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  966958 */     GIR_RootConstrainSelectedInstOperands,
     /*  966959 */     // GIR_Coverage, 13690,
     /*  966959 */     GIR_EraseRootFromParent_Done,
     /*  966960 */   // Label 14306: @966960
     /*  966960 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(967037), // Rule ID 13691 //
     /*  966965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  966968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  966973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  966976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  966979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  966982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  966985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  966988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  967000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967004 */     // MIs[0] policy
     /*  967004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /*  967017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  967021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  967025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967035 */     GIR_RootConstrainSelectedInstOperands,
     /*  967036 */     // GIR_Coverage, 13691,
     /*  967036 */     GIR_EraseRootFromParent_Done,
     /*  967037 */   // Label 14307: @967037
     /*  967037 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(967114), // Rule ID 13694 //
     /*  967042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  967045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  967050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  967059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  967062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  967077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967081 */     // MIs[0] policy
     /*  967081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  967094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  967098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  967102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967112 */     GIR_RootConstrainSelectedInstOperands,
     /*  967113 */     // GIR_Coverage, 13694,
     /*  967113 */     GIR_EraseRootFromParent_Done,
     /*  967114 */   // Label 14308: @967114
     /*  967114 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(967191), // Rule ID 13695 //
     /*  967119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  967122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /*  967127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  967136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  967139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  967154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967158 */     // MIs[0] policy
     /*  967158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967168 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /*  967171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  967175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  967179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967189 */     GIR_RootConstrainSelectedInstOperands,
     /*  967190 */     // GIR_Coverage, 13695,
     /*  967190 */     GIR_EraseRootFromParent_Done,
     /*  967191 */   // Label 14309: @967191
     /*  967191 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(967286), // Rule ID 18908 //
     /*  967196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  967199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  967207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  967210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967235 */     // MIs[0] policy
     /*  967235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967245 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /*  967262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967284 */     GIR_RootConstrainSelectedInstOperands,
     /*  967285 */     // GIR_Coverage, 18908,
     /*  967285 */     GIR_EraseRootFromParent_Done,
     /*  967286 */   // Label 14310: @967286
     /*  967286 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(967381), // Rule ID 18909 //
     /*  967291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  967294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  967302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  967305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  967308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967330 */     // MIs[0] policy
     /*  967330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967340 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /*  967357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967379 */     GIR_RootConstrainSelectedInstOperands,
     /*  967380 */     // GIR_Coverage, 18909,
     /*  967380 */     GIR_EraseRootFromParent_Done,
     /*  967381 */   // Label 14311: @967381
     /*  967381 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(967476), // Rule ID 18912 //
     /*  967386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  967389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  967397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  967400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  967403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  967406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967425 */     // MIs[0] policy
     /*  967425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967435 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /*  967452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967474 */     GIR_RootConstrainSelectedInstOperands,
     /*  967475 */     // GIR_Coverage, 18912,
     /*  967475 */     GIR_EraseRootFromParent_Done,
     /*  967476 */   // Label 14312: @967476
     /*  967476 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(967571), // Rule ID 18913 //
     /*  967481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  967484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  967492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  967495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  967498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  967501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967520 */     // MIs[0] policy
     /*  967520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /*  967547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967569 */     GIR_RootConstrainSelectedInstOperands,
     /*  967570 */     // GIR_Coverage, 18913,
     /*  967570 */     GIR_EraseRootFromParent_Done,
     /*  967571 */   // Label 14313: @967571
     /*  967571 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(967666), // Rule ID 18916 //
     /*  967576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  967579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  967587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  967590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  967593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  967596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967615 */     // MIs[0] policy
     /*  967615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967625 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /*  967642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967664 */     GIR_RootConstrainSelectedInstOperands,
     /*  967665 */     // GIR_Coverage, 18916,
     /*  967665 */     GIR_EraseRootFromParent_Done,
     /*  967666 */   // Label 14314: @967666
     /*  967666 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(967761), // Rule ID 18917 //
     /*  967671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  967674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  967682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  967685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  967688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  967691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967710 */     // MIs[0] policy
     /*  967710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967720 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10896:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /*  967737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  967757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967759 */     GIR_RootConstrainSelectedInstOperands,
     /*  967760 */     // GIR_Coverage, 18917,
     /*  967760 */     GIR_EraseRootFromParent_Done,
     /*  967761 */   // Label 14315: @967761
     /*  967761 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(967856), // Rule ID 18920 //
     /*  967766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  967769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  967777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  967780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  967783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967805 */     // MIs[0] policy
     /*  967805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967815 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  967815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /*  967832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967854 */     GIR_RootConstrainSelectedInstOperands,
     /*  967855 */     // GIR_Coverage, 18920,
     /*  967855 */     GIR_EraseRootFromParent_Done,
     /*  967856 */   // Label 14316: @967856
     /*  967856 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(967951), // Rule ID 18921 //
     /*  967861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  967864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  967872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  967875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  967878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  967881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  967884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967900 */     // MIs[0] policy
     /*  967900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967910 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10896:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  967910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  967914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  967920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  967924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /*  967927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  967933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  967939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  967949 */     GIR_RootConstrainSelectedInstOperands,
     /*  967950 */     // GIR_Coverage, 18921,
     /*  967950 */     GIR_EraseRootFromParent_Done,
     /*  967951 */   // Label 14317: @967951
     /*  967951 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(968046), // Rule ID 18924 //
     /*  967956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  967959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  967964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  967967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  967970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  967973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  967976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  967979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  967983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  967991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967995 */     // MIs[0] policy
     /*  967995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  967998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968005 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /*  968022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968044 */     GIR_RootConstrainSelectedInstOperands,
     /*  968045 */     // GIR_Coverage, 18924,
     /*  968045 */     GIR_EraseRootFromParent_Done,
     /*  968046 */   // Label 14318: @968046
     /*  968046 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(968141), // Rule ID 18925 //
     /*  968051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  968054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  968062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  968065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  968068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  968071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  968078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968090 */     // MIs[0] policy
     /*  968090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10896:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /*  968117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  968137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968139 */     GIR_RootConstrainSelectedInstOperands,
     /*  968140 */     // GIR_Coverage, 18925,
     /*  968140 */     GIR_EraseRootFromParent_Done,
     /*  968141 */   // Label 14319: @968141
     /*  968141 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(968236), // Rule ID 18928 //
     /*  968146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  968149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  968157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  968160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968185 */     // MIs[0] policy
     /*  968185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968195 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /*  968212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968234 */     GIR_RootConstrainSelectedInstOperands,
     /*  968235 */     // GIR_Coverage, 18928,
     /*  968235 */     GIR_EraseRootFromParent_Done,
     /*  968236 */   // Label 14320: @968236
     /*  968236 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(968331), // Rule ID 18929 //
     /*  968241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  968244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  968252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  968255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  968258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968280 */     // MIs[0] policy
     /*  968280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /*  968307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968329 */     GIR_RootConstrainSelectedInstOperands,
     /*  968330 */     // GIR_Coverage, 18929,
     /*  968330 */     GIR_EraseRootFromParent_Done,
     /*  968331 */   // Label 14321: @968331
     /*  968331 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(968426), // Rule ID 18932 //
     /*  968336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  968339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  968347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  968350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  968356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968375 */     // MIs[0] policy
     /*  968375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968385 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /*  968402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968424 */     GIR_RootConstrainSelectedInstOperands,
     /*  968425 */     // GIR_Coverage, 18932,
     /*  968425 */     GIR_EraseRootFromParent_Done,
     /*  968426 */   // Label 14322: @968426
     /*  968426 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(968521), // Rule ID 18933 //
     /*  968431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  968434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  968442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  968445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  968448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  968451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968470 */     // MIs[0] policy
     /*  968470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /*  968497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968519 */     GIR_RootConstrainSelectedInstOperands,
     /*  968520 */     // GIR_Coverage, 18933,
     /*  968520 */     GIR_EraseRootFromParent_Done,
     /*  968521 */   // Label 14323: @968521
     /*  968521 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(968616), // Rule ID 18936 //
     /*  968526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  968529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  968537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  968540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  968546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968565 */     // MIs[0] policy
     /*  968565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968575 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /*  968592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968614 */     GIR_RootConstrainSelectedInstOperands,
     /*  968615 */     // GIR_Coverage, 18936,
     /*  968615 */     GIR_EraseRootFromParent_Done,
     /*  968616 */   // Label 14324: @968616
     /*  968616 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(968711), // Rule ID 18937 //
     /*  968621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  968624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  968632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  968635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  968638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  968641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  968648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  968656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968660 */     // MIs[0] policy
     /*  968660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968670 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /*  968687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968709 */     GIR_RootConstrainSelectedInstOperands,
     /*  968710 */     // GIR_Coverage, 18937,
     /*  968710 */     GIR_EraseRootFromParent_Done,
     /*  968711 */   // Label 14325: @968711
     /*  968711 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(968806), // Rule ID 18940 //
     /*  968716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  968719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  968727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  968730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  968736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968755 */     // MIs[0] policy
     /*  968755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /*  968782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968804 */     GIR_RootConstrainSelectedInstOperands,
     /*  968805 */     // GIR_Coverage, 18940,
     /*  968805 */     GIR_EraseRootFromParent_Done,
     /*  968806 */   // Label 14326: @968806
     /*  968806 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(968901), // Rule ID 18941 //
     /*  968811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  968814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  968822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  968825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  968828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  968831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  968834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  968838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  968846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968850 */     // MIs[0] policy
     /*  968850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  968860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /*  968877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968899 */     GIR_RootConstrainSelectedInstOperands,
     /*  968900 */     // GIR_Coverage, 18941,
     /*  968900 */     GIR_EraseRootFromParent_Done,
     /*  968901 */   // Label 14327: @968901
     /*  968901 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(968996), // Rule ID 18944 //
     /*  968906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  968909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  968914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  968917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  968920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  968923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  968926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  968929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  968933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  968941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968945 */     // MIs[0] policy
     /*  968945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  968948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  968955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  968959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  968965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  968969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /*  968972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  968978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  968984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  968992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  968994 */     GIR_RootConstrainSelectedInstOperands,
     /*  968995 */     // GIR_Coverage, 18944,
     /*  968995 */     GIR_EraseRootFromParent_Done,
     /*  968996 */   // Label 14328: @968996
     /*  968996 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(969091), // Rule ID 18945 //
     /*  969001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  969004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  969012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  969015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  969018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  969021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  969028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969040 */     // MIs[0] policy
     /*  969040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969050 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /*  969067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969089 */     GIR_RootConstrainSelectedInstOperands,
     /*  969090 */     // GIR_Coverage, 18945,
     /*  969090 */     GIR_EraseRootFromParent_Done,
     /*  969091 */   // Label 14329: @969091
     /*  969091 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(969186), // Rule ID 18948 //
     /*  969096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  969099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  969107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  969110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  969113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  969116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969135 */     // MIs[0] policy
     /*  969135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969145 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /*  969162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969184 */     GIR_RootConstrainSelectedInstOperands,
     /*  969185 */     // GIR_Coverage, 18948,
     /*  969185 */     GIR_EraseRootFromParent_Done,
     /*  969186 */   // Label 14330: @969186
     /*  969186 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(969281), // Rule ID 18949 //
     /*  969191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  969194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  969202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  969205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  969208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  969211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969230 */     // MIs[0] policy
     /*  969230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /*  969257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969279 */     GIR_RootConstrainSelectedInstOperands,
     /*  969280 */     // GIR_Coverage, 18949,
     /*  969280 */     GIR_EraseRootFromParent_Done,
     /*  969281 */   // Label 14331: @969281
     /*  969281 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(969376), // Rule ID 18952 //
     /*  969286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  969289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  969297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  969300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  969303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  969313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969325 */     // MIs[0] policy
     /*  969325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969335 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /*  969352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969374 */     GIR_RootConstrainSelectedInstOperands,
     /*  969375 */     // GIR_Coverage, 18952,
     /*  969375 */     GIR_EraseRootFromParent_Done,
     /*  969376 */   // Label 14332: @969376
     /*  969376 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(969471), // Rule ID 18953 //
     /*  969381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  969384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  969392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  969395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  969398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  969408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969420 */     // MIs[0] policy
     /*  969420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969430 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10896:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /*  969447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969469 */     GIR_RootConstrainSelectedInstOperands,
     /*  969470 */     // GIR_Coverage, 18953,
     /*  969470 */     GIR_EraseRootFromParent_Done,
     /*  969471 */   // Label 14333: @969471
     /*  969471 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(969566), // Rule ID 18956 //
     /*  969476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  969479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  969487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  969490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  969496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  969503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969515 */     // MIs[0] policy
     /*  969515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969525 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /*  969542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969564 */     GIR_RootConstrainSelectedInstOperands,
     /*  969565 */     // GIR_Coverage, 18956,
     /*  969565 */     GIR_EraseRootFromParent_Done,
     /*  969566 */   // Label 14334: @969566
     /*  969566 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(969661), // Rule ID 18957 //
     /*  969571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  969574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  969582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  969585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  969588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  969591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  969598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  969606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969610 */     // MIs[0] policy
     /*  969610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969620 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10896:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /*  969637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969659 */     GIR_RootConstrainSelectedInstOperands,
     /*  969660 */     // GIR_Coverage, 18957,
     /*  969660 */     GIR_EraseRootFromParent_Done,
     /*  969661 */   // Label 14335: @969661
     /*  969661 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(969756), // Rule ID 18960 //
     /*  969666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  969669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  969677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  969680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  969686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969705 */     // MIs[0] policy
     /*  969705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969715 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /*  969732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969754 */     GIR_RootConstrainSelectedInstOperands,
     /*  969755 */     // GIR_Coverage, 18960,
     /*  969755 */     GIR_EraseRootFromParent_Done,
     /*  969756 */   // Label 14336: @969756
     /*  969756 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(969851), // Rule ID 18961 //
     /*  969761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  969764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /*  969769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  969772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  969775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  969778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  969781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  969788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  969796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969800 */     // MIs[0] policy
     /*  969800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10896:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  969810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /*  969827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969849 */     GIR_RootConstrainSelectedInstOperands,
     /*  969850 */     // GIR_Coverage, 18961,
     /*  969850 */     GIR_EraseRootFromParent_Done,
     /*  969851 */   // Label 14337: @969851
     /*  969851 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(969946), // Rule ID 20344 //
     /*  969856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  969859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  969864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  969867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  969870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  969873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  969879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969895 */     // MIs[0] policy
     /*  969895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969905 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  969905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  969909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  969915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  969919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  969922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  969928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  969934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  969944 */     GIR_RootConstrainSelectedInstOperands,
     /*  969945 */     // GIR_Coverage, 20344,
     /*  969945 */     GIR_EraseRootFromParent_Done,
     /*  969946 */   // Label 14338: @969946
     /*  969946 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(970041), // Rule ID 20345 //
     /*  969951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  969954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  969959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  969962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  969965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  969968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  969971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  969974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  969978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969990 */     // MIs[0] policy
     /*  969990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  969993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  970017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970039 */     GIR_RootConstrainSelectedInstOperands,
     /*  970040 */     // GIR_Coverage, 20345,
     /*  970040 */     GIR_EraseRootFromParent_Done,
     /*  970041 */   // Label 14339: @970041
     /*  970041 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(970136), // Rule ID 20348 //
     /*  970046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  970049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  970057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  970060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970085 */     // MIs[0] policy
     /*  970085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970095 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  970112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970134 */     GIR_RootConstrainSelectedInstOperands,
     /*  970135 */     // GIR_Coverage, 20348,
     /*  970135 */     GIR_EraseRootFromParent_Done,
     /*  970136 */   // Label 14340: @970136
     /*  970136 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(970231), // Rule ID 20349 //
     /*  970141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  970144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  970152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  970155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  970158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970180 */     // MIs[0] policy
     /*  970180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /*  970207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970229 */     GIR_RootConstrainSelectedInstOperands,
     /*  970230 */     // GIR_Coverage, 20349,
     /*  970230 */     GIR_EraseRootFromParent_Done,
     /*  970231 */   // Label 14341: @970231
     /*  970231 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(970326), // Rule ID 20352 //
     /*  970236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  970247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  970250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970275 */     // MIs[0] policy
     /*  970275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970285 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970324 */     GIR_RootConstrainSelectedInstOperands,
     /*  970325 */     // GIR_Coverage, 20352,
     /*  970325 */     GIR_EraseRootFromParent_Done,
     /*  970326 */   // Label 14342: @970326
     /*  970326 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(970421), // Rule ID 20353 //
     /*  970331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  970342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  970345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  970348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  970351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970370 */     // MIs[0] policy
     /*  970370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970380 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10822:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970419 */     GIR_RootConstrainSelectedInstOperands,
     /*  970420 */     // GIR_Coverage, 20353,
     /*  970420 */     GIR_EraseRootFromParent_Done,
     /*  970421 */   // Label 14343: @970421
     /*  970421 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(970516), // Rule ID 20356 //
     /*  970426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  970429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  970437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  970440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  970443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  970446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970465 */     // MIs[0] policy
     /*  970465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10822:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970514 */     GIR_RootConstrainSelectedInstOperands,
     /*  970515 */     // GIR_Coverage, 20356,
     /*  970515 */     GIR_EraseRootFromParent_Done,
     /*  970516 */   // Label 14344: @970516
     /*  970516 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(970611), // Rule ID 20357 //
     /*  970521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  970524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  970532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  970535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  970538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  970541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970560 */     // MIs[0] policy
     /*  970560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10822:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  970607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970609 */     GIR_RootConstrainSelectedInstOperands,
     /*  970610 */     // GIR_Coverage, 20357,
     /*  970610 */     GIR_EraseRootFromParent_Done,
     /*  970611 */   // Label 14345: @970611
     /*  970611 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(970706), // Rule ID 20360 //
     /*  970616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  970619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  970627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  970630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  970633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970655 */     // MIs[0] policy
     /*  970655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970665 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970704 */     GIR_RootConstrainSelectedInstOperands,
     /*  970705 */     // GIR_Coverage, 20360,
     /*  970705 */     GIR_EraseRootFromParent_Done,
     /*  970706 */   // Label 14346: @970706
     /*  970706 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(970801), // Rule ID 20361 //
     /*  970711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  970714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  970722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  970725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  970728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  970731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  970738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970750 */     // MIs[0] policy
     /*  970750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970760 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10822:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /*  970777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  970797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970799 */     GIR_RootConstrainSelectedInstOperands,
     /*  970800 */     // GIR_Coverage, 20361,
     /*  970800 */     GIR_EraseRootFromParent_Done,
     /*  970801 */   // Label 14347: @970801
     /*  970801 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(970896), // Rule ID 20364 //
     /*  970806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  970817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  970820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  970829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  970833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970845 */     // MIs[0] policy
     /*  970845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970855 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  970855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  970872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970894 */     GIR_RootConstrainSelectedInstOperands,
     /*  970895 */     // GIR_Coverage, 20364,
     /*  970895 */     GIR_EraseRootFromParent_Done,
     /*  970896 */   // Label 14348: @970896
     /*  970896 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(970991), // Rule ID 20365 //
     /*  970901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  970904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  970909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  970912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  970915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  970921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  970924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  970928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970940 */     // MIs[0] policy
     /*  970940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  970943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970950 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  970950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  970954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  970960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  970964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  970967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  970973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  970979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  970989 */     GIR_RootConstrainSelectedInstOperands,
     /*  970990 */     // GIR_Coverage, 20365,
     /*  970990 */     GIR_EraseRootFromParent_Done,
     /*  970991 */   // Label 14349: @970991
     /*  970991 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(971086), // Rule ID 20368 //
     /*  970996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  970999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  971007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  971010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  971013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971035 */     // MIs[0] policy
     /*  971035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971045 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  971062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971084 */     GIR_RootConstrainSelectedInstOperands,
     /*  971085 */     // GIR_Coverage, 20368,
     /*  971085 */     GIR_EraseRootFromParent_Done,
     /*  971086 */   // Label 14350: @971086
     /*  971086 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(971181), // Rule ID 20369 //
     /*  971091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  971094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  971102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  971105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  971108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971130 */     // MIs[0] policy
     /*  971130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  971157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971179 */     GIR_RootConstrainSelectedInstOperands,
     /*  971180 */     // GIR_Coverage, 20369,
     /*  971180 */     GIR_EraseRootFromParent_Done,
     /*  971181 */   // Label 14351: @971181
     /*  971181 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(971276), // Rule ID 20372 //
     /*  971186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  971189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  971197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  971200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  971203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  971206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  971213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971225 */     // MIs[0] policy
     /*  971225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  971252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971274 */     GIR_RootConstrainSelectedInstOperands,
     /*  971275 */     // GIR_Coverage, 20372,
     /*  971275 */     GIR_EraseRootFromParent_Done,
     /*  971276 */   // Label 14352: @971276
     /*  971276 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(971371), // Rule ID 20373 //
     /*  971281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  971284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  971292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  971295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  971298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  971301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  971308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971320 */     // MIs[0] policy
     /*  971320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971330 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  971347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971369 */     GIR_RootConstrainSelectedInstOperands,
     /*  971370 */     // GIR_Coverage, 20373,
     /*  971370 */     GIR_EraseRootFromParent_Done,
     /*  971371 */   // Label 14353: @971371
     /*  971371 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(971466), // Rule ID 20376 //
     /*  971376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  971387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  971390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  971396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971415 */     // MIs[0] policy
     /*  971415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  971442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971464 */     GIR_RootConstrainSelectedInstOperands,
     /*  971465 */     // GIR_Coverage, 20376,
     /*  971465 */     GIR_EraseRootFromParent_Done,
     /*  971466 */   // Label 14354: @971466
     /*  971466 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(971561), // Rule ID 20377 //
     /*  971471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  971482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  971485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  971491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971510 */     // MIs[0] policy
     /*  971510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971520 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  971537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971559 */     GIR_RootConstrainSelectedInstOperands,
     /*  971560 */     // GIR_Coverage, 20377,
     /*  971560 */     GIR_EraseRootFromParent_Done,
     /*  971561 */   // Label 14355: @971561
     /*  971561 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(971656), // Rule ID 20380 //
     /*  971566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  971577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  971580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  971586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971605 */     // MIs[0] policy
     /*  971605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971615 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  971632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971654 */     GIR_RootConstrainSelectedInstOperands,
     /*  971655 */     // GIR_Coverage, 20380,
     /*  971655 */     GIR_EraseRootFromParent_Done,
     /*  971656 */   // Label 14356: @971656
     /*  971656 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(971751), // Rule ID 20381 //
     /*  971661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  971672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  971675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  971681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  971688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971700 */     // MIs[0] policy
     /*  971700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  971727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971749 */     GIR_RootConstrainSelectedInstOperands,
     /*  971750 */     // GIR_Coverage, 20381,
     /*  971750 */     GIR_EraseRootFromParent_Done,
     /*  971751 */   // Label 14357: @971751
     /*  971751 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(971846), // Rule ID 20384 //
     /*  971756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  971759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  971767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  971770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  971783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971795 */     // MIs[0] policy
     /*  971795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971805 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  971822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971844 */     GIR_RootConstrainSelectedInstOperands,
     /*  971845 */     // GIR_Coverage, 20384,
     /*  971845 */     GIR_EraseRootFromParent_Done,
     /*  971846 */   // Label 14358: @971846
     /*  971846 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(971941), // Rule ID 20385 //
     /*  971851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  971854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  971862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  971865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  971871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  971874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  971878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971890 */     // MIs[0] policy
     /*  971890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  971900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  971910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  971914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  971917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  971923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  971929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  971939 */     GIR_RootConstrainSelectedInstOperands,
     /*  971940 */     // GIR_Coverage, 20385,
     /*  971940 */     GIR_EraseRootFromParent_Done,
     /*  971941 */   // Label 14359: @971941
     /*  971941 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(972036), // Rule ID 20388 //
     /*  971946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  971949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  971954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  971957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  971960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  971966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  971969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  971973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971985 */     // MIs[0] policy
     /*  971985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  971988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  971995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  971999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  972012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972034 */     GIR_RootConstrainSelectedInstOperands,
     /*  972035 */     // GIR_Coverage, 20388,
     /*  972035 */     GIR_EraseRootFromParent_Done,
     /*  972036 */   // Label 14360: @972036
     /*  972036 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(972131), // Rule ID 20389 //
     /*  972041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  972044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  972049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  972052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  972055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  972058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  972068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  972076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972080 */     // MIs[0] policy
     /*  972080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10822:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /*  972107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972129 */     GIR_RootConstrainSelectedInstOperands,
     /*  972130 */     // GIR_Coverage, 20389,
     /*  972130 */     GIR_EraseRootFromParent_Done,
     /*  972131 */   // Label 14361: @972131
     /*  972131 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(972226), // Rule ID 20392 //
     /*  972136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  972139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  972144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  972147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  972150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  972153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  972156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972175 */     // MIs[0] policy
     /*  972175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972185 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  972202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972224 */     GIR_RootConstrainSelectedInstOperands,
     /*  972225 */     // GIR_Coverage, 20392,
     /*  972225 */     GIR_EraseRootFromParent_Done,
     /*  972226 */   // Label 14362: @972226
     /*  972226 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(972321), // Rule ID 20393 //
     /*  972231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  972234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  972239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  972242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  972245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  972248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  972251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  972258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  972266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972270 */     // MIs[0] policy
     /*  972270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972280 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10822:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /*  972297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972319 */     GIR_RootConstrainSelectedInstOperands,
     /*  972320 */     // GIR_Coverage, 20393,
     /*  972320 */     GIR_EraseRootFromParent_Done,
     /*  972321 */   // Label 14363: @972321
     /*  972321 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(972416), // Rule ID 20396 //
     /*  972326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  972329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  972334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  972337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  972340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  972346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  972353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972365 */     // MIs[0] policy
     /*  972365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972375 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  972392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972414 */     GIR_RootConstrainSelectedInstOperands,
     /*  972415 */     // GIR_Coverage, 20396,
     /*  972415 */     GIR_EraseRootFromParent_Done,
     /*  972416 */   // Label 14364: @972416
     /*  972416 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(972511), // Rule ID 20397 //
     /*  972421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  972424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /*  972429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  972432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  972435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  972441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  972448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972460 */     // MIs[0] policy
     /*  972460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972470 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10822:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /*  972487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972509 */     GIR_RootConstrainSelectedInstOperands,
     /*  972510 */     // GIR_Coverage, 20397,
     /*  972510 */     GIR_EraseRootFromParent_Done,
     /*  972511 */   // Label 14365: @972511
     /*  972511 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(972606), // Rule ID 20722 //
     /*  972516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  972519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  972527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  972530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972555 */     // MIs[0] policy
     /*  972555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972565 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /*  972582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972604 */     GIR_RootConstrainSelectedInstOperands,
     /*  972605 */     // GIR_Coverage, 20722,
     /*  972605 */     GIR_EraseRootFromParent_Done,
     /*  972606 */   // Label 14366: @972606
     /*  972606 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(972701), // Rule ID 20723 //
     /*  972611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  972614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  972622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  972625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972650 */     // MIs[0] policy
     /*  972650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972660 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /*  972677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972699 */     GIR_RootConstrainSelectedInstOperands,
     /*  972700 */     // GIR_Coverage, 20723,
     /*  972700 */     GIR_EraseRootFromParent_Done,
     /*  972701 */   // Label 14367: @972701
     /*  972701 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(972796), // Rule ID 20726 //
     /*  972706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  972709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  972717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  972720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972745 */     // MIs[0] policy
     /*  972745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  972772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972794 */     GIR_RootConstrainSelectedInstOperands,
     /*  972795 */     // GIR_Coverage, 20726,
     /*  972795 */     GIR_EraseRootFromParent_Done,
     /*  972796 */   // Label 14368: @972796
     /*  972796 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(972891), // Rule ID 20727 //
     /*  972801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  972804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  972812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  972815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  972821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  972824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972840 */     // MIs[0] policy
     /*  972840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  972850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  972867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972889 */     GIR_RootConstrainSelectedInstOperands,
     /*  972890 */     // GIR_Coverage, 20727,
     /*  972890 */     GIR_EraseRootFromParent_Done,
     /*  972891 */   // Label 14369: @972891
     /*  972891 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(972986), // Rule ID 20730 //
     /*  972896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  972899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  972907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  972910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  972913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  972916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  972919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  972923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972935 */     // MIs[0] policy
     /*  972935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  972938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  972945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  972949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  972955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  972959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  972962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  972968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  972974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  972982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  972984 */     GIR_RootConstrainSelectedInstOperands,
     /*  972985 */     // GIR_Coverage, 20730,
     /*  972985 */     GIR_EraseRootFromParent_Done,
     /*  972986 */   // Label 14370: @972986
     /*  972986 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(973081), // Rule ID 20731 //
     /*  972991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  972994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  972999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  973002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  973005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  973011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973030 */     // MIs[0] policy
     /*  973030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /*  973057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973079 */     GIR_RootConstrainSelectedInstOperands,
     /*  973080 */     // GIR_Coverage, 20731,
     /*  973080 */     GIR_EraseRootFromParent_Done,
     /*  973081 */   // Label 14371: @973081
     /*  973081 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(973176), // Rule ID 20734 //
     /*  973086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  973097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  973100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  973106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973125 */     // MIs[0] policy
     /*  973125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973135 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973174 */     GIR_RootConstrainSelectedInstOperands,
     /*  973175 */     // GIR_Coverage, 20734,
     /*  973175 */     GIR_EraseRootFromParent_Done,
     /*  973176 */   // Label 14372: @973176
     /*  973176 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(973271), // Rule ID 20735 //
     /*  973181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  973192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  973195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  973201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973220 */     // MIs[0] policy
     /*  973220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973230 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10830:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973269 */     GIR_RootConstrainSelectedInstOperands,
     /*  973270 */     // GIR_Coverage, 20735,
     /*  973270 */     GIR_EraseRootFromParent_Done,
     /*  973271 */   // Label 14373: @973271
     /*  973271 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(973366), // Rule ID 20738 //
     /*  973276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  973279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  973287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  973290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  973296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973315 */     // MIs[0] policy
     /*  973315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973325 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973364 */     GIR_RootConstrainSelectedInstOperands,
     /*  973365 */     // GIR_Coverage, 20738,
     /*  973365 */     GIR_EraseRootFromParent_Done,
     /*  973366 */   // Label 14374: @973366
     /*  973366 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(973461), // Rule ID 20739 //
     /*  973371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  973374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  973382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  973385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  973391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973410 */     // MIs[0] policy
     /*  973410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10830:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973459 */     GIR_RootConstrainSelectedInstOperands,
     /*  973460 */     // GIR_Coverage, 20739,
     /*  973460 */     GIR_EraseRootFromParent_Done,
     /*  973461 */   // Label 14375: @973461
     /*  973461 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(973556), // Rule ID 20742 //
     /*  973466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  973469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  973477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  973480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  973486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973505 */     // MIs[0] policy
     /*  973505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973554 */     GIR_RootConstrainSelectedInstOperands,
     /*  973555 */     // GIR_Coverage, 20742,
     /*  973555 */     GIR_EraseRootFromParent_Done,
     /*  973556 */   // Label 14376: @973556
     /*  973556 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(973651), // Rule ID 20743 //
     /*  973561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  973564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  973572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  973575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  973581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  973588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973600 */     // MIs[0] policy
     /*  973600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973610 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10830:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /*  973627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973649 */     GIR_RootConstrainSelectedInstOperands,
     /*  973650 */     // GIR_Coverage, 20743,
     /*  973650 */     GIR_EraseRootFromParent_Done,
     /*  973651 */   // Label 14377: @973651
     /*  973651 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(973746), // Rule ID 20746 //
     /*  973656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  973667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  973670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  973676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  973683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973695 */     // MIs[0] policy
     /*  973695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973705 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  973722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973744 */     GIR_RootConstrainSelectedInstOperands,
     /*  973745 */     // GIR_Coverage, 20746,
     /*  973745 */     GIR_EraseRootFromParent_Done,
     /*  973746 */   // Label 14378: @973746
     /*  973746 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(973841), // Rule ID 20747 //
     /*  973751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  973762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  973765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  973768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  973771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  973778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  973786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973790 */     // MIs[0] policy
     /*  973790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973800 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  973817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973839 */     GIR_RootConstrainSelectedInstOperands,
     /*  973840 */     // GIR_Coverage, 20747,
     /*  973840 */     GIR_EraseRootFromParent_Done,
     /*  973841 */   // Label 14379: @973841
     /*  973841 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(973936), // Rule ID 20750 //
     /*  973846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  973849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  973857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  973860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  973866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  973869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  973873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973885 */     // MIs[0] policy
     /*  973885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973895 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  973895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  973905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  973909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  973912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  973918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  973924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  973934 */     GIR_RootConstrainSelectedInstOperands,
     /*  973935 */     // GIR_Coverage, 20750,
     /*  973935 */     GIR_EraseRootFromParent_Done,
     /*  973936 */   // Label 14380: @973936
     /*  973936 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(974031), // Rule ID 20751 //
     /*  973941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  973944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  973949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  973952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  973955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  973958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  973961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  973964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  973968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  973976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973980 */     // MIs[0] policy
     /*  973980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  973983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  973990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  973994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  974007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974029 */     GIR_RootConstrainSelectedInstOperands,
     /*  974030 */     // GIR_Coverage, 20751,
     /*  974030 */     GIR_EraseRootFromParent_Done,
     /*  974031 */   // Label 14381: @974031
     /*  974031 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(974126), // Rule ID 20754 //
     /*  974036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  974039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  974047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  974050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  974056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  974063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974075 */     // MIs[0] policy
     /*  974075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974085 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  974102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974124 */     GIR_RootConstrainSelectedInstOperands,
     /*  974125 */     // GIR_Coverage, 20754,
     /*  974125 */     GIR_EraseRootFromParent_Done,
     /*  974126 */   // Label 14382: @974126
     /*  974126 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(974221), // Rule ID 20755 //
     /*  974131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  974134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  974142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  974145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  974148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  974151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  974158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974170 */     // MIs[0] policy
     /*  974170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  974197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974219 */     GIR_RootConstrainSelectedInstOperands,
     /*  974220 */     // GIR_Coverage, 20755,
     /*  974220 */     GIR_EraseRootFromParent_Done,
     /*  974221 */   // Label 14383: @974221
     /*  974221 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(974316), // Rule ID 20758 //
     /*  974226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  974229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  974237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  974240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  974246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974265 */     // MIs[0] policy
     /*  974265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  974292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974314 */     GIR_RootConstrainSelectedInstOperands,
     /*  974315 */     // GIR_Coverage, 20758,
     /*  974315 */     GIR_EraseRootFromParent_Done,
     /*  974316 */   // Label 14384: @974316
     /*  974316 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(974411), // Rule ID 20759 //
     /*  974321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  974332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  974335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  974338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  974341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974360 */     // MIs[0] policy
     /*  974360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974370 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  974387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974409 */     GIR_RootConstrainSelectedInstOperands,
     /*  974410 */     // GIR_Coverage, 20759,
     /*  974410 */     GIR_EraseRootFromParent_Done,
     /*  974411 */   // Label 14385: @974411
     /*  974411 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(974506), // Rule ID 20762 //
     /*  974416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  974419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  974427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  974430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  974443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974455 */     // MIs[0] policy
     /*  974455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974465 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  974482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974504 */     GIR_RootConstrainSelectedInstOperands,
     /*  974505 */     // GIR_Coverage, 20762,
     /*  974505 */     GIR_EraseRootFromParent_Done,
     /*  974506 */   // Label 14386: @974506
     /*  974506 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(974601), // Rule ID 20763 //
     /*  974511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  974522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  974525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  974528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  974531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  974538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974550 */     // MIs[0] policy
     /*  974550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  974577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974599 */     GIR_RootConstrainSelectedInstOperands,
     /*  974600 */     // GIR_Coverage, 20763,
     /*  974600 */     GIR_EraseRootFromParent_Done,
     /*  974601 */   // Label 14387: @974601
     /*  974601 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(974696), // Rule ID 20766 //
     /*  974606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  974609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  974617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  974620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  974626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  974633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974645 */     // MIs[0] policy
     /*  974645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  974672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974694 */     GIR_RootConstrainSelectedInstOperands,
     /*  974695 */     // GIR_Coverage, 20766,
     /*  974695 */     GIR_EraseRootFromParent_Done,
     /*  974696 */   // Label 14388: @974696
     /*  974696 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(974791), // Rule ID 20767 //
     /*  974701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  974704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  974712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  974715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  974718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  974721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  974728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974740 */     // MIs[0] policy
     /*  974740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974750 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  974767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  974787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974789 */     GIR_RootConstrainSelectedInstOperands,
     /*  974790 */     // GIR_Coverage, 20767,
     /*  974790 */     GIR_EraseRootFromParent_Done,
     /*  974791 */   // Label 14389: @974791
     /*  974791 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(974886), // Rule ID 20770 //
     /*  974796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  974799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  974807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  974810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  974816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  974819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974835 */     // MIs[0] policy
     /*  974835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  974845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  974862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974884 */     GIR_RootConstrainSelectedInstOperands,
     /*  974885 */     // GIR_Coverage, 20770,
     /*  974885 */     GIR_EraseRootFromParent_Done,
     /*  974886 */   // Label 14390: @974886
     /*  974886 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(974981), // Rule ID 20771 //
     /*  974891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  974894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  974902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  974905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  974908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  974911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  974914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  974918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974930 */     // MIs[0] policy
     /*  974930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  974933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974940 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10830:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  974940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  974944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  974950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  974954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /*  974957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  974963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  974969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  974979 */     GIR_RootConstrainSelectedInstOperands,
     /*  974980 */     // GIR_Coverage, 20771,
     /*  974980 */     GIR_EraseRootFromParent_Done,
     /*  974981 */   // Label 14391: @974981
     /*  974981 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(975076), // Rule ID 20774 //
     /*  974986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  974989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  974994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  974997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  975000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  975006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  975013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975025 */     // MIs[0] policy
     /*  975025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  975052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975074 */     GIR_RootConstrainSelectedInstOperands,
     /*  975075 */     // GIR_Coverage, 20774,
     /*  975075 */     GIR_EraseRootFromParent_Done,
     /*  975076 */   // Label 14392: @975076
     /*  975076 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(975171), // Rule ID 20775 //
     /*  975081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  975084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  975089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  975092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  975095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  975098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  975101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  975108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975120 */     // MIs[0] policy
     /*  975120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10830:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /*  975147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975169 */     GIR_RootConstrainSelectedInstOperands,
     /*  975170 */     // GIR_Coverage, 20775,
     /*  975170 */     GIR_EraseRootFromParent_Done,
     /*  975171 */   // Label 14393: @975171
     /*  975171 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(975266), // Rule ID 20778 //
     /*  975176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  975179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  975184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  975187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  975190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  975196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  975203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975215 */     // MIs[0] policy
     /*  975215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975225 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  975242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975264 */     GIR_RootConstrainSelectedInstOperands,
     /*  975265 */     // GIR_Coverage, 20778,
     /*  975265 */     GIR_EraseRootFromParent_Done,
     /*  975266 */   // Label 14394: @975266
     /*  975266 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(975361), // Rule ID 20779 //
     /*  975271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  975274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /*  975279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  975282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  975285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  975288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  975291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  975298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975310 */     // MIs[0] policy
     /*  975310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10830:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /*  975337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975359 */     GIR_RootConstrainSelectedInstOperands,
     /*  975360 */     // GIR_Coverage, 20779,
     /*  975360 */     GIR_EraseRootFromParent_Done,
     /*  975361 */   // Label 14395: @975361
     /*  975361 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(975456), // Rule ID 20782 //
     /*  975366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  975369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  975377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  975380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  975383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975405 */     // MIs[0] policy
     /*  975405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /*  975432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975454 */     GIR_RootConstrainSelectedInstOperands,
     /*  975455 */     // GIR_Coverage, 20782,
     /*  975455 */     GIR_EraseRootFromParent_Done,
     /*  975456 */   // Label 14396: @975456
     /*  975456 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(975551), // Rule ID 20783 //
     /*  975461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  975464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  975472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  975475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  975478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975500 */     // MIs[0] policy
     /*  975500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975510 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /*  975527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975549 */     GIR_RootConstrainSelectedInstOperands,
     /*  975550 */     // GIR_Coverage, 20783,
     /*  975550 */     GIR_EraseRootFromParent_Done,
     /*  975551 */   // Label 14397: @975551
     /*  975551 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(975646), // Rule ID 20786 //
     /*  975556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  975559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  975567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  975570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  975573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  975576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975595 */     // MIs[0] policy
     /*  975595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975605 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  975622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975644 */     GIR_RootConstrainSelectedInstOperands,
     /*  975645 */     // GIR_Coverage, 20786,
     /*  975645 */     GIR_EraseRootFromParent_Done,
     /*  975646 */   // Label 14398: @975646
     /*  975646 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(975741), // Rule ID 20787 //
     /*  975651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  975654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  975662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  975665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  975668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  975671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975690 */     // MIs[0] policy
     /*  975690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975700 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  975717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975739 */     GIR_RootConstrainSelectedInstOperands,
     /*  975740 */     // GIR_Coverage, 20787,
     /*  975740 */     GIR_EraseRootFromParent_Done,
     /*  975741 */   // Label 14399: @975741
     /*  975741 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(975836), // Rule ID 20790 //
     /*  975746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  975749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  975757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  975760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975785 */     // MIs[0] policy
     /*  975785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  975812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975834 */     GIR_RootConstrainSelectedInstOperands,
     /*  975835 */     // GIR_Coverage, 20790,
     /*  975835 */     GIR_EraseRootFromParent_Done,
     /*  975836 */   // Label 14400: @975836
     /*  975836 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(975931), // Rule ID 20791 //
     /*  975841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  975844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  975852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  975855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  975858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  975861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  975864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975880 */     // MIs[0] policy
     /*  975880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  975890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /*  975907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  975913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  975919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  975929 */     GIR_RootConstrainSelectedInstOperands,
     /*  975930 */     // GIR_Coverage, 20791,
     /*  975930 */     GIR_EraseRootFromParent_Done,
     /*  975931 */   // Label 14401: @975931
     /*  975931 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(976026), // Rule ID 20794 //
     /*  975936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  975939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  975944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  975947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  975950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  975953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  975956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  975959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  975963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975975 */     // MIs[0] policy
     /*  975975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  975978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975985 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  975985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  975989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  975995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  975999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976024 */     GIR_RootConstrainSelectedInstOperands,
     /*  976025 */     // GIR_Coverage, 20794,
     /*  976025 */     GIR_EraseRootFromParent_Done,
     /*  976026 */   // Label 14402: @976026
     /*  976026 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(976121), // Rule ID 20795 //
     /*  976031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  976034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  976042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  976045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  976048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  976051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976070 */     // MIs[0] policy
     /*  976070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976080 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10828:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976119 */     GIR_RootConstrainSelectedInstOperands,
     /*  976120 */     // GIR_Coverage, 20795,
     /*  976120 */     GIR_EraseRootFromParent_Done,
     /*  976121 */   // Label 14403: @976121
     /*  976121 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(976216), // Rule ID 20798 //
     /*  976126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  976129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  976137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  976140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976165 */     // MIs[0] policy
     /*  976165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976175 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976214 */     GIR_RootConstrainSelectedInstOperands,
     /*  976215 */     // GIR_Coverage, 20798,
     /*  976215 */     GIR_EraseRootFromParent_Done,
     /*  976216 */   // Label 14404: @976216
     /*  976216 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(976311), // Rule ID 20799 //
     /*  976221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  976224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  976232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  976235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  976238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  976241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976260 */     // MIs[0] policy
     /*  976260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10828:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  976307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976309 */     GIR_RootConstrainSelectedInstOperands,
     /*  976310 */     // GIR_Coverage, 20799,
     /*  976310 */     GIR_EraseRootFromParent_Done,
     /*  976311 */   // Label 14405: @976311
     /*  976311 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(976406), // Rule ID 20802 //
     /*  976316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  976319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  976327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  976330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  976333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  976336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976355 */     // MIs[0] policy
     /*  976355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976365 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976404 */     GIR_RootConstrainSelectedInstOperands,
     /*  976405 */     // GIR_Coverage, 20802,
     /*  976405 */     GIR_EraseRootFromParent_Done,
     /*  976406 */   // Label 14406: @976406
     /*  976406 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(976501), // Rule ID 20803 //
     /*  976411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  976414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  976422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  976425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  976428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  976431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  976438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976450 */     // MIs[0] policy
     /*  976450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976460 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10828:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /*  976477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976499 */     GIR_RootConstrainSelectedInstOperands,
     /*  976500 */     // GIR_Coverage, 20803,
     /*  976500 */     GIR_EraseRootFromParent_Done,
     /*  976501 */   // Label 14407: @976501
     /*  976501 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(976596), // Rule ID 20806 //
     /*  976506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  976509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  976517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  976520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  976526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  976533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976545 */     // MIs[0] policy
     /*  976545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  976572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976594 */     GIR_RootConstrainSelectedInstOperands,
     /*  976595 */     // GIR_Coverage, 20806,
     /*  976595 */     GIR_EraseRootFromParent_Done,
     /*  976596 */   // Label 14408: @976596
     /*  976596 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(976691), // Rule ID 20807 //
     /*  976601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  976604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  976612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  976615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  976618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  976621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  976628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  976636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976640 */     // MIs[0] policy
     /*  976640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  976667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976689 */     GIR_RootConstrainSelectedInstOperands,
     /*  976690 */     // GIR_Coverage, 20807,
     /*  976690 */     GIR_EraseRootFromParent_Done,
     /*  976691 */   // Label 14409: @976691
     /*  976691 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(976786), // Rule ID 20810 //
     /*  976696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  976699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  976707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  976710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  976716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  976723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976735 */     // MIs[0] policy
     /*  976735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  976762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976784 */     GIR_RootConstrainSelectedInstOperands,
     /*  976785 */     // GIR_Coverage, 20810,
     /*  976785 */     GIR_EraseRootFromParent_Done,
     /*  976786 */   // Label 14410: @976786
     /*  976786 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(976881), // Rule ID 20811 //
     /*  976791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  976794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  976802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  976805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  976808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  976811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  976814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  976818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976830 */     // MIs[0] policy
     /*  976830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  976840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  976857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976879 */     GIR_RootConstrainSelectedInstOperands,
     /*  976880 */     // GIR_Coverage, 20811,
     /*  976880 */     GIR_EraseRootFromParent_Done,
     /*  976881 */   // Label 14411: @976881
     /*  976881 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(976976), // Rule ID 20814 //
     /*  976886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  976889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  976897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  976900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  976903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  976906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  976909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  976913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976925 */     // MIs[0] policy
     /*  976925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  976928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976935 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  976935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  976939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  976945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  976949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  976952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  976958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  976964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  976972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  976974 */     GIR_RootConstrainSelectedInstOperands,
     /*  976975 */     // GIR_Coverage, 20814,
     /*  976975 */     GIR_EraseRootFromParent_Done,
     /*  976976 */   // Label 14412: @976976
     /*  976976 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(977071), // Rule ID 20815 //
     /*  976981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  976984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  976989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  976992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  976995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  976998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  977001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  977008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977020 */     // MIs[0] policy
     /*  977020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  977047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977069 */     GIR_RootConstrainSelectedInstOperands,
     /*  977070 */     // GIR_Coverage, 20815,
     /*  977070 */     GIR_EraseRootFromParent_Done,
     /*  977071 */   // Label 14413: @977071
     /*  977071 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(977166), // Rule ID 20818 //
     /*  977076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  977079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  977087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  977090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  977093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977115 */     // MIs[0] policy
     /*  977115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977125 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  977142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977164 */     GIR_RootConstrainSelectedInstOperands,
     /*  977165 */     // GIR_Coverage, 20818,
     /*  977165 */     GIR_EraseRootFromParent_Done,
     /*  977166 */   // Label 14414: @977166
     /*  977166 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(977261), // Rule ID 20819 //
     /*  977171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  977174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  977182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  977185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  977188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977210 */     // MIs[0] policy
     /*  977210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  977237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977259 */     GIR_RootConstrainSelectedInstOperands,
     /*  977260 */     // GIR_Coverage, 20819,
     /*  977260 */     GIR_EraseRootFromParent_Done,
     /*  977261 */   // Label 14415: @977261
     /*  977261 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(977356), // Rule ID 20822 //
     /*  977266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  977269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  977277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  977280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  977283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  977286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  977293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977305 */     // MIs[0] policy
     /*  977305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  977332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977354 */     GIR_RootConstrainSelectedInstOperands,
     /*  977355 */     // GIR_Coverage, 20822,
     /*  977355 */     GIR_EraseRootFromParent_Done,
     /*  977356 */   // Label 14416: @977356
     /*  977356 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(977451), // Rule ID 20823 //
     /*  977361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  977364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  977372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  977375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  977378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  977381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  977388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977400 */     // MIs[0] policy
     /*  977400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  977427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977449 */     GIR_RootConstrainSelectedInstOperands,
     /*  977450 */     // GIR_Coverage, 20823,
     /*  977450 */     GIR_EraseRootFromParent_Done,
     /*  977451 */   // Label 14417: @977451
     /*  977451 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(977546), // Rule ID 20826 //
     /*  977456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  977459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  977467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  977470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  977473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  977476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  977483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977495 */     // MIs[0] policy
     /*  977495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977505 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  977522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977544 */     GIR_RootConstrainSelectedInstOperands,
     /*  977545 */     // GIR_Coverage, 20826,
     /*  977545 */     GIR_EraseRootFromParent_Done,
     /*  977546 */   // Label 14418: @977546
     /*  977546 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(977641), // Rule ID 20827 //
     /*  977551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  977554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  977562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  977565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  977568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  977571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  977578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  977586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977590 */     // MIs[0] policy
     /*  977590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  977617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977639 */     GIR_RootConstrainSelectedInstOperands,
     /*  977640 */     // GIR_Coverage, 20827,
     /*  977640 */     GIR_EraseRootFromParent_Done,
     /*  977641 */   // Label 14419: @977641
     /*  977641 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(977736), // Rule ID 20830 //
     /*  977646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  977649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  977657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  977660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  977666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977685 */     // MIs[0] policy
     /*  977685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  977712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977734 */     GIR_RootConstrainSelectedInstOperands,
     /*  977735 */     // GIR_Coverage, 20830,
     /*  977735 */     GIR_EraseRootFromParent_Done,
     /*  977736 */   // Label 14420: @977736
     /*  977736 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(977831), // Rule ID 20831 //
     /*  977741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  977744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  977752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  977755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  977758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  977761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  977768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  977776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977780 */     // MIs[0] policy
     /*  977780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977790 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10828:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /*  977807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977829 */     GIR_RootConstrainSelectedInstOperands,
     /*  977830 */     // GIR_Coverage, 20831,
     /*  977830 */     GIR_EraseRootFromParent_Done,
     /*  977831 */   // Label 14421: @977831
     /*  977831 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(977926), // Rule ID 20834 //
     /*  977836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  977839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  977847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  977850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  977859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  977863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977875 */     // MIs[0] policy
     /*  977875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977885 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  977885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  977902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  977908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  977914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  977922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  977924 */     GIR_RootConstrainSelectedInstOperands,
     /*  977925 */     // GIR_Coverage, 20834,
     /*  977925 */     GIR_EraseRootFromParent_Done,
     /*  977926 */   // Label 14422: @977926
     /*  977926 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(978021), // Rule ID 20835 //
     /*  977931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  977934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  977939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  977942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  977945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  977948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  977951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  977954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  977958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  977966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977970 */     // MIs[0] policy
     /*  977970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  977973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977980 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10828:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  977980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  977984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  977990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  977994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /*  977997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978019 */     GIR_RootConstrainSelectedInstOperands,
     /*  978020 */     // GIR_Coverage, 20835,
     /*  978020 */     GIR_EraseRootFromParent_Done,
     /*  978021 */   // Label 14423: @978021
     /*  978021 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(978116), // Rule ID 20838 //
     /*  978026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  978029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  978034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  978037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  978040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  978043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978065 */     // MIs[0] policy
     /*  978065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  978092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978114 */     GIR_RootConstrainSelectedInstOperands,
     /*  978115 */     // GIR_Coverage, 20838,
     /*  978115 */     GIR_EraseRootFromParent_Done,
     /*  978116 */   // Label 14424: @978116
     /*  978116 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(978211), // Rule ID 20839 //
     /*  978121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  978124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /*  978129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  978132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  978135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  978138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  978148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978160 */     // MIs[0] policy
     /*  978160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10828:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /*  978187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978209 */     GIR_RootConstrainSelectedInstOperands,
     /*  978210 */     // GIR_Coverage, 20839,
     /*  978210 */     GIR_EraseRootFromParent_Done,
     /*  978211 */   // Label 14425: @978211
     /*  978211 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(978306), // Rule ID 21106 //
     /*  978216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  978219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  978227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  978230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  978236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  978243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978255 */     // MIs[0] policy
     /*  978255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /*  978282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978304 */     GIR_RootConstrainSelectedInstOperands,
     /*  978305 */     // GIR_Coverage, 21106,
     /*  978305 */     GIR_EraseRootFromParent_Done,
     /*  978306 */   // Label 14426: @978306
     /*  978306 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(978401), // Rule ID 21107 //
     /*  978311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  978314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  978322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  978325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  978328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  978331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  978338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978350 */     // MIs[0] policy
     /*  978350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /*  978377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978399 */     GIR_RootConstrainSelectedInstOperands,
     /*  978400 */     // GIR_Coverage, 21107,
     /*  978400 */     GIR_EraseRootFromParent_Done,
     /*  978401 */   // Label 14427: @978401
     /*  978401 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(978496), // Rule ID 21110 //
     /*  978406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  978409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  978417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  978420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  978423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  978426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  978433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978445 */     // MIs[0] policy
     /*  978445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978455 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  978472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978494 */     GIR_RootConstrainSelectedInstOperands,
     /*  978495 */     // GIR_Coverage, 21110,
     /*  978495 */     GIR_EraseRootFromParent_Done,
     /*  978496 */   // Label 14428: @978496
     /*  978496 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(978591), // Rule ID 21111 //
     /*  978501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  978504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  978512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  978515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  978518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  978521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  978528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978540 */     // MIs[0] policy
     /*  978540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10926:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  978567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978589 */     GIR_RootConstrainSelectedInstOperands,
     /*  978590 */     // GIR_Coverage, 21111,
     /*  978590 */     GIR_EraseRootFromParent_Done,
     /*  978591 */   // Label 14429: @978591
     /*  978591 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(978686), // Rule ID 21114 //
     /*  978596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  978599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  978607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  978610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  978613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  978616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978635 */     // MIs[0] policy
     /*  978635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  978662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978684 */     GIR_RootConstrainSelectedInstOperands,
     /*  978685 */     // GIR_Coverage, 21114,
     /*  978685 */     GIR_EraseRootFromParent_Done,
     /*  978686 */   // Label 14430: @978686
     /*  978686 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(978781), // Rule ID 21115 //
     /*  978691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  978694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  978702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  978705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  978708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  978711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  978718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978730 */     // MIs[0] policy
     /*  978730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978740 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  978757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978779 */     GIR_RootConstrainSelectedInstOperands,
     /*  978780 */     // GIR_Coverage, 21115,
     /*  978780 */     GIR_EraseRootFromParent_Done,
     /*  978781 */   // Label 14431: @978781
     /*  978781 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(978876), // Rule ID 21118 //
     /*  978786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  978789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  978797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  978800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978825 */     // MIs[0] policy
     /*  978825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  978835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  978852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978874 */     GIR_RootConstrainSelectedInstOperands,
     /*  978875 */     // GIR_Coverage, 21118,
     /*  978875 */     GIR_EraseRootFromParent_Done,
     /*  978876 */   // Label 14432: @978876
     /*  978876 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(978971), // Rule ID 21119 //
     /*  978881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  978884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  978892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  978895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  978901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  978904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  978908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978920 */     // MIs[0] policy
     /*  978920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  978923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978930 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  978930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  978934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  978940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  978944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  978947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  978953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  978959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  978969 */     GIR_RootConstrainSelectedInstOperands,
     /*  978970 */     // GIR_Coverage, 21119,
     /*  978970 */     GIR_EraseRootFromParent_Done,
     /*  978971 */   // Label 14433: @978971
     /*  978971 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(979066), // Rule ID 21122 //
     /*  978976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  978979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  978984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  978987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  978990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  978993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  978996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  978999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979015 */     // MIs[0] policy
     /*  979015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979025 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  979042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979064 */     GIR_RootConstrainSelectedInstOperands,
     /*  979065 */     // GIR_Coverage, 21122,
     /*  979065 */     GIR_EraseRootFromParent_Done,
     /*  979066 */   // Label 14434: @979066
     /*  979066 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(979161), // Rule ID 21123 //
     /*  979071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  979074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  979082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  979085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  979088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  979091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979110 */     // MIs[0] policy
     /*  979110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979120 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  979137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979159 */     GIR_RootConstrainSelectedInstOperands,
     /*  979160 */     // GIR_Coverage, 21123,
     /*  979160 */     GIR_EraseRootFromParent_Done,
     /*  979161 */   // Label 14435: @979161
     /*  979161 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(979256), // Rule ID 21126 //
     /*  979166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  979169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  979177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  979180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  979183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  979186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  979193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979205 */     // MIs[0] policy
     /*  979205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979215 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  979232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979254 */     GIR_RootConstrainSelectedInstOperands,
     /*  979255 */     // GIR_Coverage, 21126,
     /*  979255 */     GIR_EraseRootFromParent_Done,
     /*  979256 */   // Label 14436: @979256
     /*  979256 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(979351), // Rule ID 21127 //
     /*  979261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  979264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  979272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  979275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  979278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  979281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  979288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979300 */     // MIs[0] policy
     /*  979300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979310 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10926:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /*  979327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979349 */     GIR_RootConstrainSelectedInstOperands,
     /*  979350 */     // GIR_Coverage, 21127,
     /*  979350 */     GIR_EraseRootFromParent_Done,
     /*  979351 */   // Label 14437: @979351
     /*  979351 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(979446), // Rule ID 21130 //
     /*  979356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  979359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  979367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  979370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  979376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  979383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979395 */     // MIs[0] policy
     /*  979395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979405 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  979422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979444 */     GIR_RootConstrainSelectedInstOperands,
     /*  979445 */     // GIR_Coverage, 21130,
     /*  979445 */     GIR_EraseRootFromParent_Done,
     /*  979446 */   // Label 14438: @979446
     /*  979446 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(979541), // Rule ID 21131 //
     /*  979451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  979454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  979462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  979465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  979468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  979471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  979478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979490 */     // MIs[0] policy
     /*  979490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10926:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /*  979517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979539 */     GIR_RootConstrainSelectedInstOperands,
     /*  979540 */     // GIR_Coverage, 21131,
     /*  979540 */     GIR_EraseRootFromParent_Done,
     /*  979541 */   // Label 14439: @979541
     /*  979541 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(979636), // Rule ID 21134 //
     /*  979546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  979549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  979557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  979560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  979566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  979573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979585 */     // MIs[0] policy
     /*  979585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  979612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979634 */     GIR_RootConstrainSelectedInstOperands,
     /*  979635 */     // GIR_Coverage, 21134,
     /*  979635 */     GIR_EraseRootFromParent_Done,
     /*  979636 */   // Label 14440: @979636
     /*  979636 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(979731), // Rule ID 21135 //
     /*  979641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  979644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  979652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  979655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  979661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  979668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979680 */     // MIs[0] policy
     /*  979680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10926:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /*  979707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979729 */     GIR_RootConstrainSelectedInstOperands,
     /*  979730 */     // GIR_Coverage, 21135,
     /*  979730 */     GIR_EraseRootFromParent_Done,
     /*  979731 */   // Label 14441: @979731
     /*  979731 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(979826), // Rule ID 21138 //
     /*  979736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  979739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  979747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  979750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  979756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979775 */     // MIs[0] policy
     /*  979775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979785 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  979802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979824 */     GIR_RootConstrainSelectedInstOperands,
     /*  979825 */     // GIR_Coverage, 21138,
     /*  979825 */     GIR_EraseRootFromParent_Done,
     /*  979826 */   // Label 14442: @979826
     /*  979826 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(979921), // Rule ID 21139 //
     /*  979831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  979834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /*  979839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  979842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  979845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  979851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  979854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  979858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979870 */     // MIs[0] policy
     /*  979870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10926:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  979880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /*  979897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  979909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  979919 */     GIR_RootConstrainSelectedInstOperands,
     /*  979920 */     // GIR_Coverage, 21139,
     /*  979920 */     GIR_EraseRootFromParent_Done,
     /*  979921 */   // Label 14443: @979921
     /*  979921 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(980016), // Rule ID 21142 //
     /*  979926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  979929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  979934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  979937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  979940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  979943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  979946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  979949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  979953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979965 */     // MIs[0] policy
     /*  979965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  979968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  979975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  979979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  979985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  979989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /*  979992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  979998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980014 */     GIR_RootConstrainSelectedInstOperands,
     /*  980015 */     // GIR_Coverage, 21142,
     /*  980015 */     GIR_EraseRootFromParent_Done,
     /*  980016 */   // Label 14444: @980016
     /*  980016 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(980111), // Rule ID 21143 //
     /*  980021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  980024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  980032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  980035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  980038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  980041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  980048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980060 */     // MIs[0] policy
     /*  980060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980070 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /*  980087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980109 */     GIR_RootConstrainSelectedInstOperands,
     /*  980110 */     // GIR_Coverage, 21143,
     /*  980110 */     GIR_EraseRootFromParent_Done,
     /*  980111 */   // Label 14445: @980111
     /*  980111 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(980206), // Rule ID 21146 //
     /*  980116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  980119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  980127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  980130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  980136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  980143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980155 */     // MIs[0] policy
     /*  980155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  980182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980204 */     GIR_RootConstrainSelectedInstOperands,
     /*  980205 */     // GIR_Coverage, 21146,
     /*  980205 */     GIR_EraseRootFromParent_Done,
     /*  980206 */   // Label 14446: @980206
     /*  980206 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(980301), // Rule ID 21147 //
     /*  980211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  980214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  980222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  980225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  980228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  980231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  980238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980250 */     // MIs[0] policy
     /*  980250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10924:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  980277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980299 */     GIR_RootConstrainSelectedInstOperands,
     /*  980300 */     // GIR_Coverage, 21147,
     /*  980300 */     GIR_EraseRootFromParent_Done,
     /*  980301 */   // Label 14447: @980301
     /*  980301 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(980396), // Rule ID 21150 //
     /*  980306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  980309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  980317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  980320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  980326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  980333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980345 */     // MIs[0] policy
     /*  980345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  980372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980394 */     GIR_RootConstrainSelectedInstOperands,
     /*  980395 */     // GIR_Coverage, 21150,
     /*  980395 */     GIR_EraseRootFromParent_Done,
     /*  980396 */   // Label 14448: @980396
     /*  980396 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(980491), // Rule ID 21151 //
     /*  980401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  980404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  980412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  980415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  980418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  980421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  980428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980440 */     // MIs[0] policy
     /*  980440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  980467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980489 */     GIR_RootConstrainSelectedInstOperands,
     /*  980490 */     // GIR_Coverage, 21151,
     /*  980490 */     GIR_EraseRootFromParent_Done,
     /*  980491 */   // Label 14449: @980491
     /*  980491 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(980586), // Rule ID 21154 //
     /*  980496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  980499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  980507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  980510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  980516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  980523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980535 */     // MIs[0] policy
     /*  980535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  980562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980584 */     GIR_RootConstrainSelectedInstOperands,
     /*  980585 */     // GIR_Coverage, 21154,
     /*  980585 */     GIR_EraseRootFromParent_Done,
     /*  980586 */   // Label 14450: @980586
     /*  980586 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(980681), // Rule ID 21155 //
     /*  980591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  980594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  980602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  980605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  980608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  980611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  980618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980630 */     // MIs[0] policy
     /*  980630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980644 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  980657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980679 */     GIR_RootConstrainSelectedInstOperands,
     /*  980680 */     // GIR_Coverage, 21155,
     /*  980680 */     GIR_EraseRootFromParent_Done,
     /*  980681 */   // Label 14451: @980681
     /*  980681 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(980776), // Rule ID 21158 //
     /*  980686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  980689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  980697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  980700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  980703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  980706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  980713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980725 */     // MIs[0] policy
     /*  980725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  980752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980774 */     GIR_RootConstrainSelectedInstOperands,
     /*  980775 */     // GIR_Coverage, 21158,
     /*  980775 */     GIR_EraseRootFromParent_Done,
     /*  980776 */   // Label 14452: @980776
     /*  980776 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(980871), // Rule ID 21159 //
     /*  980781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  980784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  980792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  980795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  980798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  980801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  980808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980820 */     // MIs[0] policy
     /*  980820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  980830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  980847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  980867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980869 */     GIR_RootConstrainSelectedInstOperands,
     /*  980870 */     // GIR_Coverage, 21159,
     /*  980870 */     GIR_EraseRootFromParent_Done,
     /*  980871 */   // Label 14453: @980871
     /*  980871 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(980966), // Rule ID 21162 //
     /*  980876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  980879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  980887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  980890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  980896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  980899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  980903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980915 */     // MIs[0] policy
     /*  980915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  980918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980925 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  980925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  980929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  980935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  980939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  980942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  980948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  980954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  980962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  980964 */     GIR_RootConstrainSelectedInstOperands,
     /*  980965 */     // GIR_Coverage, 21162,
     /*  980965 */     GIR_EraseRootFromParent_Done,
     /*  980966 */   // Label 14454: @980966
     /*  980966 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(981061), // Rule ID 21163 //
     /*  980971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  980974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  980979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  980982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  980985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  980988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  980991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  980994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  980998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981010 */     // MIs[0] policy
     /*  981010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10924:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /*  981037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981059 */     GIR_RootConstrainSelectedInstOperands,
     /*  981060 */     // GIR_Coverage, 21163,
     /*  981060 */     GIR_EraseRootFromParent_Done,
     /*  981061 */   // Label 14455: @981061
     /*  981061 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(981156), // Rule ID 21166 //
     /*  981066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  981069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  981077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  981080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  981086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  981093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981105 */     // MIs[0] policy
     /*  981105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981115 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  981132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981154 */     GIR_RootConstrainSelectedInstOperands,
     /*  981155 */     // GIR_Coverage, 21166,
     /*  981155 */     GIR_EraseRootFromParent_Done,
     /*  981156 */   // Label 14456: @981156
     /*  981156 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(981251), // Rule ID 21167 //
     /*  981161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  981164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  981172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  981175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  981178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  981181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  981188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981200 */     // MIs[0] policy
     /*  981200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10924:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /*  981227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981249 */     GIR_RootConstrainSelectedInstOperands,
     /*  981250 */     // GIR_Coverage, 21167,
     /*  981250 */     GIR_EraseRootFromParent_Done,
     /*  981251 */   // Label 14457: @981251
     /*  981251 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(981346), // Rule ID 21170 //
     /*  981256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  981259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  981267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  981270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  981273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  981276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  981283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981295 */     // MIs[0] policy
     /*  981295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981305 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  981322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981344 */     GIR_RootConstrainSelectedInstOperands,
     /*  981345 */     // GIR_Coverage, 21170,
     /*  981345 */     GIR_EraseRootFromParent_Done,
     /*  981346 */   // Label 14458: @981346
     /*  981346 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(981441), // Rule ID 21171 //
     /*  981351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  981354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  981362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  981365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  981368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  981371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  981378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  981386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981390 */     // MIs[0] policy
     /*  981390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981400 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10924:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /*  981417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981439 */     GIR_RootConstrainSelectedInstOperands,
     /*  981440 */     // GIR_Coverage, 21171,
     /*  981440 */     GIR_EraseRootFromParent_Done,
     /*  981441 */   // Label 14459: @981441
     /*  981441 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(981536), // Rule ID 21174 //
     /*  981446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  981449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  981457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  981460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  981463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  981466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  981473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981485 */     // MIs[0] policy
     /*  981485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  981512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981534 */     GIR_RootConstrainSelectedInstOperands,
     /*  981535 */     // GIR_Coverage, 21174,
     /*  981535 */     GIR_EraseRootFromParent_Done,
     /*  981536 */   // Label 14460: @981536
     /*  981536 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(981631), // Rule ID 21175 //
     /*  981541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  981544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /*  981549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  981552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  981555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  981558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  981561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  981568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  981572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  981576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981580 */     // MIs[0] policy
     /*  981580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10924:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /*  981607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981629 */     GIR_RootConstrainSelectedInstOperands,
     /*  981630 */     // GIR_Coverage, 21175,
     /*  981630 */     GIR_EraseRootFromParent_Done,
     /*  981631 */   // Label 14461: @981631
     /*  981631 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(981726), // Rule ID 21178 //
     /*  981636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  981639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  981644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  981647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  981650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  981653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  981656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  981663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981675 */     // MIs[0] policy
     /*  981675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981685 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /*  981702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981724 */     GIR_RootConstrainSelectedInstOperands,
     /*  981725 */     // GIR_Coverage, 21178,
     /*  981725 */     GIR_EraseRootFromParent_Done,
     /*  981726 */   // Label 14462: @981726
     /*  981726 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(981821), // Rule ID 21179 //
     /*  981731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  981734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  981739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  981742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  981745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  981748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  981751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  981758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981770 */     // MIs[0] policy
     /*  981770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981780 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981784 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /*  981797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981819 */     GIR_RootConstrainSelectedInstOperands,
     /*  981820 */     // GIR_Coverage, 21179,
     /*  981820 */     GIR_EraseRootFromParent_Done,
     /*  981821 */   // Label 14463: @981821
     /*  981821 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(981916), // Rule ID 21182 //
     /*  981826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  981829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  981834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  981837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  981840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  981843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  981846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  981849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  981853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981865 */     // MIs[0] policy
     /*  981865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981875 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  981875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /*  981892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  981914 */     GIR_RootConstrainSelectedInstOperands,
     /*  981915 */     // GIR_Coverage, 21182,
     /*  981915 */     GIR_EraseRootFromParent_Done,
     /*  981916 */   // Label 14464: @981916
     /*  981916 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(982011), // Rule ID 21183 //
     /*  981921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  981924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  981929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  981932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  981935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  981938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  981941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  981944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  981948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981960 */     // MIs[0] policy
     /*  981960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  981963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981970 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  981970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  981974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  981980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  981984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /*  981987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  981993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  981999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982009 */     GIR_RootConstrainSelectedInstOperands,
     /*  982010 */     // GIR_Coverage, 21183,
     /*  982010 */     GIR_EraseRootFromParent_Done,
     /*  982011 */   // Label 14465: @982011
     /*  982011 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(982106), // Rule ID 21186 //
     /*  982016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  982019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  982027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  982030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  982036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982055 */     // MIs[0] policy
     /*  982055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982065 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /*  982082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982104 */     GIR_RootConstrainSelectedInstOperands,
     /*  982105 */     // GIR_Coverage, 21186,
     /*  982105 */     GIR_EraseRootFromParent_Done,
     /*  982106 */   // Label 14466: @982106
     /*  982106 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(982201), // Rule ID 21187 //
     /*  982111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  982114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  982122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  982125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  982128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  982131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982150 */     // MIs[0] policy
     /*  982150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10922:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /*  982177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982199 */     GIR_RootConstrainSelectedInstOperands,
     /*  982200 */     // GIR_Coverage, 21187,
     /*  982200 */     GIR_EraseRootFromParent_Done,
     /*  982201 */   // Label 14467: @982201
     /*  982201 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(982296), // Rule ID 21190 //
     /*  982206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  982209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  982217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  982220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  982223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  982226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  982233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982245 */     // MIs[0] policy
     /*  982245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982255 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /*  982272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982294 */     GIR_RootConstrainSelectedInstOperands,
     /*  982295 */     // GIR_Coverage, 21190,
     /*  982295 */     GIR_EraseRootFromParent_Done,
     /*  982296 */   // Label 14468: @982296
     /*  982296 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(982391), // Rule ID 21191 //
     /*  982301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  982304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  982312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  982315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  982318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  982321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  982328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982340 */     // MIs[0] policy
     /*  982340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982350 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /*  982367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982389 */     GIR_RootConstrainSelectedInstOperands,
     /*  982390 */     // GIR_Coverage, 21191,
     /*  982390 */     GIR_EraseRootFromParent_Done,
     /*  982391 */   // Label 14469: @982391
     /*  982391 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(982486), // Rule ID 21194 //
     /*  982396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  982399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  982407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  982410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  982416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  982423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982435 */     // MIs[0] policy
     /*  982435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982445 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /*  982462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982484 */     GIR_RootConstrainSelectedInstOperands,
     /*  982485 */     // GIR_Coverage, 21194,
     /*  982485 */     GIR_EraseRootFromParent_Done,
     /*  982486 */   // Label 14470: @982486
     /*  982486 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(982581), // Rule ID 21195 //
     /*  982491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  982494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  982502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  982505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  982511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  982518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982530 */     // MIs[0] policy
     /*  982530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982544 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /*  982557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982579 */     GIR_RootConstrainSelectedInstOperands,
     /*  982580 */     // GIR_Coverage, 21195,
     /*  982580 */     GIR_EraseRootFromParent_Done,
     /*  982581 */   // Label 14471: @982581
     /*  982581 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(982676), // Rule ID 21198 //
     /*  982586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  982589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  982597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  982600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  982606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  982613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982625 */     // MIs[0] policy
     /*  982625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982635 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /*  982652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982674 */     GIR_RootConstrainSelectedInstOperands,
     /*  982675 */     // GIR_Coverage, 21198,
     /*  982675 */     GIR_EraseRootFromParent_Done,
     /*  982676 */   // Label 14472: @982676
     /*  982676 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(982771), // Rule ID 21199 //
     /*  982681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  982684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  982692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  982695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  982701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  982708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982720 */     // MIs[0] policy
     /*  982720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982730 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982734 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /*  982747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982769 */     GIR_RootConstrainSelectedInstOperands,
     /*  982770 */     // GIR_Coverage, 21199,
     /*  982770 */     GIR_EraseRootFromParent_Done,
     /*  982771 */   // Label 14473: @982771
     /*  982771 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(982866), // Rule ID 21202 //
     /*  982776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  982779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  982787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  982790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  982793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  982796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982815 */     // MIs[0] policy
     /*  982815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982825 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  982825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /*  982842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982864 */     GIR_RootConstrainSelectedInstOperands,
     /*  982865 */     // GIR_Coverage, 21202,
     /*  982865 */     GIR_EraseRootFromParent_Done,
     /*  982866 */   // Label 14474: @982866
     /*  982866 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(982961), // Rule ID 21203 //
     /*  982871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  982874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  982882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  982885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  982888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  982891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  982894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982910 */     // MIs[0] policy
     /*  982910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  982913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  982920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  982924 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  982930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  982934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /*  982937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  982943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  982949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  982959 */     GIR_RootConstrainSelectedInstOperands,
     /*  982960 */     // GIR_Coverage, 21203,
     /*  982960 */     GIR_EraseRootFromParent_Done,
     /*  982961 */   // Label 14475: @982961
     /*  982961 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(983056), // Rule ID 21206 //
     /*  982966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  982969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  982974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  982977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  982980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  982983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  982986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  982989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  982993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983005 */     // MIs[0] policy
     /*  983005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983015 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /*  983032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983054 */     GIR_RootConstrainSelectedInstOperands,
     /*  983055 */     // GIR_Coverage, 21206,
     /*  983055 */     GIR_EraseRootFromParent_Done,
     /*  983056 */   // Label 14476: @983056
     /*  983056 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(983151), // Rule ID 21207 //
     /*  983061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  983064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  983072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  983075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  983078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  983081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983100 */     // MIs[0] policy
     /*  983100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983110 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10922:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983114 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /*  983127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983133 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983149 */     GIR_RootConstrainSelectedInstOperands,
     /*  983150 */     // GIR_Coverage, 21207,
     /*  983150 */     GIR_EraseRootFromParent_Done,
     /*  983151 */   // Label 14477: @983151
     /*  983151 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(983246), // Rule ID 21210 //
     /*  983156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  983159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  983167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  983170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  983176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  983183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983195 */     // MIs[0] policy
     /*  983195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /*  983222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983244 */     GIR_RootConstrainSelectedInstOperands,
     /*  983245 */     // GIR_Coverage, 21210,
     /*  983245 */     GIR_EraseRootFromParent_Done,
     /*  983246 */   // Label 14478: @983246
     /*  983246 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(983341), // Rule ID 21211 //
     /*  983251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  983254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  983262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  983265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  983268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  983271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  983278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983290 */     // MIs[0] policy
     /*  983290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983300 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /*  983317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983339 */     GIR_RootConstrainSelectedInstOperands,
     /*  983340 */     // GIR_Coverage, 21211,
     /*  983340 */     GIR_EraseRootFromParent_Done,
     /*  983341 */   // Label 14479: @983341
     /*  983341 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(983436), // Rule ID 21214 //
     /*  983346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  983349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  983357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  983360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  983366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  983373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983385 */     // MIs[0] policy
     /*  983385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983395 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /*  983412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983434 */     GIR_RootConstrainSelectedInstOperands,
     /*  983435 */     // GIR_Coverage, 21214,
     /*  983435 */     GIR_EraseRootFromParent_Done,
     /*  983436 */   // Label 14480: @983436
     /*  983436 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(983531), // Rule ID 21215 //
     /*  983441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  983444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  983452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  983455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  983461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  983468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983480 */     // MIs[0] policy
     /*  983480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /*  983507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983529 */     GIR_RootConstrainSelectedInstOperands,
     /*  983530 */     // GIR_Coverage, 21215,
     /*  983530 */     GIR_EraseRootFromParent_Done,
     /*  983531 */   // Label 14481: @983531
     /*  983531 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(983626), // Rule ID 21218 //
     /*  983536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  983539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  983547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  983550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  983556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  983563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983575 */     // MIs[0] policy
     /*  983575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983585 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /*  983602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983624 */     GIR_RootConstrainSelectedInstOperands,
     /*  983625 */     // GIR_Coverage, 21218,
     /*  983625 */     GIR_EraseRootFromParent_Done,
     /*  983626 */   // Label 14482: @983626
     /*  983626 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(983721), // Rule ID 21219 //
     /*  983631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  983634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  983642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  983645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  983651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  983658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983670 */     // MIs[0] policy
     /*  983670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983680 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /*  983697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983719 */     GIR_RootConstrainSelectedInstOperands,
     /*  983720 */     // GIR_Coverage, 21219,
     /*  983720 */     GIR_EraseRootFromParent_Done,
     /*  983721 */   // Label 14483: @983721
     /*  983721 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(983816), // Rule ID 21222 //
     /*  983726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  983729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  983737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  983740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  983746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983765 */     // MIs[0] policy
     /*  983765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983775 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /*  983792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983814 */     GIR_RootConstrainSelectedInstOperands,
     /*  983815 */     // GIR_Coverage, 21222,
     /*  983815 */     GIR_EraseRootFromParent_Done,
     /*  983816 */   // Label 14484: @983816
     /*  983816 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(983911), // Rule ID 21223 //
     /*  983821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  983824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  983832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  983835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  983838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  983841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  983844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  983848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983860 */     // MIs[0] policy
     /*  983860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983870 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10922:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  983870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983874 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983880 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /*  983887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  983909 */     GIR_RootConstrainSelectedInstOperands,
     /*  983910 */     // GIR_Coverage, 21223,
     /*  983910 */     GIR_EraseRootFromParent_Done,
     /*  983911 */   // Label 14485: @983911
     /*  983911 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(984006), // Rule ID 21226 //
     /*  983916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  983919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  983924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  983927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  983930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  983933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  983936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  983939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  983943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983955 */     // MIs[0] policy
     /*  983955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  983958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983965 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  983965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  983969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  983975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  983979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /*  983982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  983988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  983994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984004 */     GIR_RootConstrainSelectedInstOperands,
     /*  984005 */     // GIR_Coverage, 21226,
     /*  984005 */     GIR_EraseRootFromParent_Done,
     /*  984006 */   // Label 14486: @984006
     /*  984006 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(984101), // Rule ID 21227 //
     /*  984011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  984014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  984019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  984022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  984025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  984028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  984031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  984038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984050 */     // MIs[0] policy
     /*  984050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984060 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10922:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /*  984077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984099 */     GIR_RootConstrainSelectedInstOperands,
     /*  984100 */     // GIR_Coverage, 21227,
     /*  984100 */     GIR_EraseRootFromParent_Done,
     /*  984101 */   // Label 14487: @984101
     /*  984101 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(984196), // Rule ID 21230 //
     /*  984106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  984109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  984114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  984117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  984120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  984123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  984126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  984133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984145 */     // MIs[0] policy
     /*  984145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984155 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /*  984172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984194 */     GIR_RootConstrainSelectedInstOperands,
     /*  984195 */     // GIR_Coverage, 21230,
     /*  984195 */     GIR_EraseRootFromParent_Done,
     /*  984196 */   // Label 14488: @984196
     /*  984196 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(984291), // Rule ID 21231 //
     /*  984201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  984204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  984209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  984212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  984215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  984218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  984221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  984228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984240 */     // MIs[0] policy
     /*  984240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10922:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /*  984267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984289 */     GIR_RootConstrainSelectedInstOperands,
     /*  984290 */     // GIR_Coverage, 21231,
     /*  984290 */     GIR_EraseRootFromParent_Done,
     /*  984291 */   // Label 14489: @984291
     /*  984291 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(984386), // Rule ID 21234 //
     /*  984296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  984299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  984304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  984307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  984310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  984313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  984316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984335 */     // MIs[0] policy
     /*  984335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984345 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /*  984362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984384 */     GIR_RootConstrainSelectedInstOperands,
     /*  984385 */     // GIR_Coverage, 21234,
     /*  984385 */     GIR_EraseRootFromParent_Done,
     /*  984386 */   // Label 14490: @984386
     /*  984386 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(984481), // Rule ID 21235 //
     /*  984391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  984394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /*  984399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  984402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  984405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  984408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  984411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  984418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984430 */     // MIs[0] policy
     /*  984430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10922:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /*  984457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984479 */     GIR_RootConstrainSelectedInstOperands,
     /*  984480 */     // GIR_Coverage, 21235,
     /*  984480 */     GIR_EraseRootFromParent_Done,
     /*  984481 */   // Label 14491: @984481
     /*  984481 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(984576), // Rule ID 21238 //
     /*  984486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  984489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  984497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  984500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  984506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984525 */     // MIs[0] policy
     /*  984525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984535 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /*  984552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984574 */     GIR_RootConstrainSelectedInstOperands,
     /*  984575 */     // GIR_Coverage, 21238,
     /*  984575 */     GIR_EraseRootFromParent_Done,
     /*  984576 */   // Label 14492: @984576
     /*  984576 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(984671), // Rule ID 21239 //
     /*  984581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  984584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  984592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  984595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  984601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984620 */     // MIs[0] policy
     /*  984620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984630 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984634 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /*  984647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984669 */     GIR_RootConstrainSelectedInstOperands,
     /*  984670 */     // GIR_Coverage, 21239,
     /*  984670 */     GIR_EraseRootFromParent_Done,
     /*  984671 */   // Label 14493: @984671
     /*  984671 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(984766), // Rule ID 21242 //
     /*  984676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  984679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  984687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  984690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  984696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984715 */     // MIs[0] policy
     /*  984715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984725 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /*  984742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984764 */     GIR_RootConstrainSelectedInstOperands,
     /*  984765 */     // GIR_Coverage, 21242,
     /*  984765 */     GIR_EraseRootFromParent_Done,
     /*  984766 */   // Label 14494: @984766
     /*  984766 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(984861), // Rule ID 21243 //
     /*  984771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  984774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  984782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  984785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  984791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984810 */     // MIs[0] policy
     /*  984810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984820 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  984820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984824 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /*  984837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984843 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984859 */     GIR_RootConstrainSelectedInstOperands,
     /*  984860 */     // GIR_Coverage, 21243,
     /*  984860 */     GIR_EraseRootFromParent_Done,
     /*  984861 */   // Label 14495: @984861
     /*  984861 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(984956), // Rule ID 21246 //
     /*  984866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  984869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  984877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  984880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  984886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  984889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984905 */     // MIs[0] policy
     /*  984905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  984908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984915 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  984915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  984919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  984925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  984929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /*  984932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  984938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  984944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  984954 */     GIR_RootConstrainSelectedInstOperands,
     /*  984955 */     // GIR_Coverage, 21246,
     /*  984955 */     GIR_EraseRootFromParent_Done,
     /*  984956 */   // Label 14496: @984956
     /*  984956 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(985051), // Rule ID 21247 //
     /*  984961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  984964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  984969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  984972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  984975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  984978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  984981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  984984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  984988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985000 */     // MIs[0] policy
     /*  985000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985010 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10920:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985014 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /*  985027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985049 */     GIR_RootConstrainSelectedInstOperands,
     /*  985050 */     // GIR_Coverage, 21247,
     /*  985050 */     GIR_EraseRootFromParent_Done,
     /*  985051 */   // Label 14497: @985051
     /*  985051 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(985146), // Rule ID 21250 //
     /*  985056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  985059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  985067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  985070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  985076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  985083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985095 */     // MIs[0] policy
     /*  985095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985105 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /*  985122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985144 */     GIR_RootConstrainSelectedInstOperands,
     /*  985145 */     // GIR_Coverage, 21250,
     /*  985145 */     GIR_EraseRootFromParent_Done,
     /*  985146 */   // Label 14498: @985146
     /*  985146 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(985241), // Rule ID 21251 //
     /*  985151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  985154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  985162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  985165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  985171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  985178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985190 */     // MIs[0] policy
     /*  985190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985200 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /*  985217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985239 */     GIR_RootConstrainSelectedInstOperands,
     /*  985240 */     // GIR_Coverage, 21251,
     /*  985240 */     GIR_EraseRootFromParent_Done,
     /*  985241 */   // Label 14499: @985241
     /*  985241 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(985336), // Rule ID 21254 //
     /*  985246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  985249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  985257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  985260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  985266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985285 */     // MIs[0] policy
     /*  985285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985295 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /*  985312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985334 */     GIR_RootConstrainSelectedInstOperands,
     /*  985335 */     // GIR_Coverage, 21254,
     /*  985335 */     GIR_EraseRootFromParent_Done,
     /*  985336 */   // Label 14500: @985336
     /*  985336 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(985431), // Rule ID 21255 //
     /*  985341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  985344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  985352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  985355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  985358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  985361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  985368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  985376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985380 */     // MIs[0] policy
     /*  985380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985390 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /*  985407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985429 */     GIR_RootConstrainSelectedInstOperands,
     /*  985430 */     // GIR_Coverage, 21255,
     /*  985430 */     GIR_EraseRootFromParent_Done,
     /*  985431 */   // Label 14501: @985431
     /*  985431 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(985526), // Rule ID 21258 //
     /*  985436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  985439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  985447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  985450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  985456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985475 */     // MIs[0] policy
     /*  985475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985485 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /*  985502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985524 */     GIR_RootConstrainSelectedInstOperands,
     /*  985525 */     // GIR_Coverage, 21258,
     /*  985525 */     GIR_EraseRootFromParent_Done,
     /*  985526 */   // Label 14502: @985526
     /*  985526 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(985621), // Rule ID 21259 //
     /*  985531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  985534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  985542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  985545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  985548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  985551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  985558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  985562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  985566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985570 */     // MIs[0] policy
     /*  985570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985580 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /*  985597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985619 */     GIR_RootConstrainSelectedInstOperands,
     /*  985620 */     // GIR_Coverage, 21259,
     /*  985620 */     GIR_EraseRootFromParent_Done,
     /*  985621 */   // Label 14503: @985621
     /*  985621 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(985716), // Rule ID 21262 //
     /*  985626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  985629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  985637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  985640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  985646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  985653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985665 */     // MIs[0] policy
     /*  985665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /*  985692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985714 */     GIR_RootConstrainSelectedInstOperands,
     /*  985715 */     // GIR_Coverage, 21262,
     /*  985715 */     GIR_EraseRootFromParent_Done,
     /*  985716 */   // Label 14504: @985716
     /*  985716 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(985811), // Rule ID 21263 //
     /*  985721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  985724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  985732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  985735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  985741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  985748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985760 */     // MIs[0] policy
     /*  985760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /*  985787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985809 */     GIR_RootConstrainSelectedInstOperands,
     /*  985810 */     // GIR_Coverage, 21263,
     /*  985810 */     GIR_EraseRootFromParent_Done,
     /*  985811 */   // Label 14505: @985811
     /*  985811 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(985906), // Rule ID 21266 //
     /*  985816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  985819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  985827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  985830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  985836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  985839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  985843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985855 */     // MIs[0] policy
     /*  985855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  985865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /*  985882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985904 */     GIR_RootConstrainSelectedInstOperands,
     /*  985905 */     // GIR_Coverage, 21266,
     /*  985905 */     GIR_EraseRootFromParent_Done,
     /*  985906 */   // Label 14506: @985906
     /*  985906 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(986001), // Rule ID 21267 //
     /*  985911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  985914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  985919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  985922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  985925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  985931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  985934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  985938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985950 */     // MIs[0] policy
     /*  985950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  985953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10920:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  985960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  985964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  985970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  985974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /*  985977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  985983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  985989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  985999 */     GIR_RootConstrainSelectedInstOperands,
     /*  986000 */     // GIR_Coverage, 21267,
     /*  986000 */     GIR_EraseRootFromParent_Done,
     /*  986001 */   // Label 14507: @986001
     /*  986001 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(986096), // Rule ID 21270 //
     /*  986006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  986009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  986017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  986020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  986026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  986033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986045 */     // MIs[0] policy
     /*  986045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986055 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /*  986072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986094 */     GIR_RootConstrainSelectedInstOperands,
     /*  986095 */     // GIR_Coverage, 21270,
     /*  986095 */     GIR_EraseRootFromParent_Done,
     /*  986096 */   // Label 14508: @986096
     /*  986096 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(986191), // Rule ID 21271 //
     /*  986101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  986104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  986112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  986115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  986121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  986128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986140 */     // MIs[0] policy
     /*  986140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986150 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /*  986167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986189 */     GIR_RootConstrainSelectedInstOperands,
     /*  986190 */     // GIR_Coverage, 21271,
     /*  986190 */     GIR_EraseRootFromParent_Done,
     /*  986191 */   // Label 14509: @986191
     /*  986191 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(986286), // Rule ID 21274 //
     /*  986196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  986199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  986207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  986210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  986216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  986223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986235 */     // MIs[0] policy
     /*  986235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986245 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /*  986262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986284 */     GIR_RootConstrainSelectedInstOperands,
     /*  986285 */     // GIR_Coverage, 21274,
     /*  986285 */     GIR_EraseRootFromParent_Done,
     /*  986286 */   // Label 14510: @986286
     /*  986286 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(986381), // Rule ID 21275 //
     /*  986291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  986294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  986302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  986305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  986308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  986311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  986318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986330 */     // MIs[0] policy
     /*  986330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986340 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /*  986357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986379 */     GIR_RootConstrainSelectedInstOperands,
     /*  986380 */     // GIR_Coverage, 21275,
     /*  986380 */     GIR_EraseRootFromParent_Done,
     /*  986381 */   // Label 14511: @986381
     /*  986381 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(986476), // Rule ID 21278 //
     /*  986386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  986389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  986397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  986400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  986406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  986413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986425 */     // MIs[0] policy
     /*  986425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986435 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /*  986452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986474 */     GIR_RootConstrainSelectedInstOperands,
     /*  986475 */     // GIR_Coverage, 21278,
     /*  986475 */     GIR_EraseRootFromParent_Done,
     /*  986476 */   // Label 14512: @986476
     /*  986476 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(986571), // Rule ID 21279 //
     /*  986481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  986484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  986492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  986495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  986498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  986501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  986508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  986512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986520 */     // MIs[0] policy
     /*  986520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /*  986547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986569 */     GIR_RootConstrainSelectedInstOperands,
     /*  986570 */     // GIR_Coverage, 21279,
     /*  986570 */     GIR_EraseRootFromParent_Done,
     /*  986571 */   // Label 14513: @986571
     /*  986571 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(986666), // Rule ID 21282 //
     /*  986576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  986579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  986587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  986590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  986593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  986596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986615 */     // MIs[0] policy
     /*  986615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986625 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /*  986642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986664 */     GIR_RootConstrainSelectedInstOperands,
     /*  986665 */     // GIR_Coverage, 21282,
     /*  986665 */     GIR_EraseRootFromParent_Done,
     /*  986666 */   // Label 14514: @986666
     /*  986666 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(986761), // Rule ID 21283 //
     /*  986671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  986674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  986682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  986685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  986688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  986691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  986698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986710 */     // MIs[0] policy
     /*  986710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10920:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /*  986737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986759 */     GIR_RootConstrainSelectedInstOperands,
     /*  986760 */     // GIR_Coverage, 21283,
     /*  986760 */     GIR_EraseRootFromParent_Done,
     /*  986761 */   // Label 14515: @986761
     /*  986761 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(986856), // Rule ID 21286 //
     /*  986766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  986769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  986777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  986786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  986793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986805 */     // MIs[0] policy
     /*  986805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986815 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  986815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /*  986832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986854 */     GIR_RootConstrainSelectedInstOperands,
     /*  986855 */     // GIR_Coverage, 21286,
     /*  986855 */     GIR_EraseRootFromParent_Done,
     /*  986856 */   // Label 14516: @986856
     /*  986856 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(986951), // Rule ID 21287 //
     /*  986861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  986864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  986872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  986875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  986881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  986884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  986888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986900 */     // MIs[0] policy
     /*  986900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986910 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10920:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  986910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  986914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  986920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  986924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /*  986927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  986933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  986939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  986949 */     GIR_RootConstrainSelectedInstOperands,
     /*  986950 */     // GIR_Coverage, 21287,
     /*  986950 */     GIR_EraseRootFromParent_Done,
     /*  986951 */   // Label 14517: @986951
     /*  986951 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(987046), // Rule ID 21290 //
     /*  986956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  986959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  986964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  986967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  986970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  986973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  986976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  986979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  986983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986995 */     // MIs[0] policy
     /*  986995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  986998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987005 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /*  987022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987044 */     GIR_RootConstrainSelectedInstOperands,
     /*  987045 */     // GIR_Coverage, 21290,
     /*  987045 */     GIR_EraseRootFromParent_Done,
     /*  987046 */   // Label 14518: @987046
     /*  987046 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(987141), // Rule ID 21291 //
     /*  987051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  987054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  987059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  987062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  987065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  987071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  987078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987090 */     // MIs[0] policy
     /*  987090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987100 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10920:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /*  987117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987139 */     GIR_RootConstrainSelectedInstOperands,
     /*  987140 */     // GIR_Coverage, 21291,
     /*  987140 */     GIR_EraseRootFromParent_Done,
     /*  987141 */   // Label 14519: @987141
     /*  987141 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(987236), // Rule ID 21294 //
     /*  987146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  987149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  987154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  987157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  987160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  987166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  987173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987185 */     // MIs[0] policy
     /*  987185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987195 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /*  987212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987234 */     GIR_RootConstrainSelectedInstOperands,
     /*  987235 */     // GIR_Coverage, 21294,
     /*  987235 */     GIR_EraseRootFromParent_Done,
     /*  987236 */   // Label 14520: @987236
     /*  987236 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(987331), // Rule ID 21295 //
     /*  987241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  987244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /*  987249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  987252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  987255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  987261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  987268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987280 */     // MIs[0] policy
     /*  987280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10920:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /*  987307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987329 */     GIR_RootConstrainSelectedInstOperands,
     /*  987330 */     // GIR_Coverage, 21295,
     /*  987330 */     GIR_EraseRootFromParent_Done,
     /*  987331 */   // Label 14521: @987331
     /*  987331 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(987426), // Rule ID 21298 //
     /*  987336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  987339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  987353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  987356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987375 */     // MIs[0] policy
     /*  987375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987385 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /*  987402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987424 */     GIR_RootConstrainSelectedInstOperands,
     /*  987425 */     // GIR_Coverage, 21298,
     /*  987425 */     GIR_EraseRootFromParent_Done,
     /*  987426 */   // Label 14522: @987426
     /*  987426 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(987521), // Rule ID 21299 //
     /*  987431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  987434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  987442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  987445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  987448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  987451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987470 */     // MIs[0] policy
     /*  987470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987480 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /*  987497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987519 */     GIR_RootConstrainSelectedInstOperands,
     /*  987520 */     // GIR_Coverage, 21299,
     /*  987520 */     GIR_EraseRootFromParent_Done,
     /*  987521 */   // Label 14523: @987521
     /*  987521 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(987616), // Rule ID 21302 //
     /*  987526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  987529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  987543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  987546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987565 */     // MIs[0] policy
     /*  987565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987575 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /*  987592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987614 */     GIR_RootConstrainSelectedInstOperands,
     /*  987615 */     // GIR_Coverage, 21302,
     /*  987615 */     GIR_EraseRootFromParent_Done,
     /*  987616 */   // Label 14524: @987616
     /*  987616 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(987711), // Rule ID 21303 //
     /*  987621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  987624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  987632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  987635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  987638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  987641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  987648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987660 */     // MIs[0] policy
     /*  987660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987670 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10918:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /*  987687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987709 */     GIR_RootConstrainSelectedInstOperands,
     /*  987710 */     // GIR_Coverage, 21303,
     /*  987710 */     GIR_EraseRootFromParent_Done,
     /*  987711 */   // Label 14525: @987711
     /*  987711 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(987806), // Rule ID 21306 //
     /*  987716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  987719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  987733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  987736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  987743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987755 */     // MIs[0] policy
     /*  987755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987765 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /*  987782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987804 */     GIR_RootConstrainSelectedInstOperands,
     /*  987805 */     // GIR_Coverage, 21306,
     /*  987805 */     GIR_EraseRootFromParent_Done,
     /*  987806 */   // Label 14526: @987806
     /*  987806 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(987901), // Rule ID 21307 //
     /*  987811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  987814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  987822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  987825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  987828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  987831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  987834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  987838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987850 */     // MIs[0] policy
     /*  987850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987860 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  987860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /*  987877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987899 */     GIR_RootConstrainSelectedInstOperands,
     /*  987900 */     // GIR_Coverage, 21307,
     /*  987900 */     GIR_EraseRootFromParent_Done,
     /*  987901 */   // Label 14527: @987901
     /*  987901 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(987996), // Rule ID 21310 //
     /*  987906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  987909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  987914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  987917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  987920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  987926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  987929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  987933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987945 */     // MIs[0] policy
     /*  987945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  987948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  987955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  987959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  987965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  987969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /*  987972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  987978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  987984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  987994 */     GIR_RootConstrainSelectedInstOperands,
     /*  987995 */     // GIR_Coverage, 21310,
     /*  987995 */     GIR_EraseRootFromParent_Done,
     /*  987996 */   // Label 14528: @987996
     /*  987996 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(988091), // Rule ID 21311 //
     /*  988001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  988004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  988012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  988015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  988018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  988021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  988028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988040 */     // MIs[0] policy
     /*  988040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988050 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /*  988067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988089 */     GIR_RootConstrainSelectedInstOperands,
     /*  988090 */     // GIR_Coverage, 21311,
     /*  988090 */     GIR_EraseRootFromParent_Done,
     /*  988091 */   // Label 14529: @988091
     /*  988091 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(988186), // Rule ID 21314 //
     /*  988096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  988099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  988107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  988110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  988113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  988116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988135 */     // MIs[0] policy
     /*  988135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988145 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /*  988162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988184 */     GIR_RootConstrainSelectedInstOperands,
     /*  988185 */     // GIR_Coverage, 21314,
     /*  988185 */     GIR_EraseRootFromParent_Done,
     /*  988186 */   // Label 14530: @988186
     /*  988186 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(988281), // Rule ID 21315 //
     /*  988191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  988194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  988202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  988205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  988208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  988211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988230 */     // MIs[0] policy
     /*  988230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /*  988257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  988277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988279 */     GIR_RootConstrainSelectedInstOperands,
     /*  988280 */     // GIR_Coverage, 21315,
     /*  988280 */     GIR_EraseRootFromParent_Done,
     /*  988281 */   // Label 14531: @988281
     /*  988281 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(988376), // Rule ID 21318 //
     /*  988286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988325 */     // MIs[0] policy
     /*  988325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988335 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /*  988352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988374 */     GIR_RootConstrainSelectedInstOperands,
     /*  988375 */     // GIR_Coverage, 21318,
     /*  988375 */     GIR_EraseRootFromParent_Done,
     /*  988376 */   // Label 14532: @988376
     /*  988376 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(988471), // Rule ID 21319 //
     /*  988381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  988392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  988395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  988398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  988401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  988408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988420 */     // MIs[0] policy
     /*  988420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988430 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10918:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /*  988447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988469 */     GIR_RootConstrainSelectedInstOperands,
     /*  988470 */     // GIR_Coverage, 21319,
     /*  988470 */     GIR_EraseRootFromParent_Done,
     /*  988471 */   // Label 14533: @988471
     /*  988471 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(988566), // Rule ID 21322 //
     /*  988476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  988493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  988496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  988503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988515 */     // MIs[0] policy
     /*  988515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988525 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /*  988542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988564 */     GIR_RootConstrainSelectedInstOperands,
     /*  988565 */     // GIR_Coverage, 21322,
     /*  988565 */     GIR_EraseRootFromParent_Done,
     /*  988566 */   // Label 14534: @988566
     /*  988566 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(988661), // Rule ID 21323 //
     /*  988571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  988582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  988585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  988588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  988591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  988598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988610 */     // MIs[0] policy
     /*  988610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988620 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10918:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /*  988637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988659 */     GIR_RootConstrainSelectedInstOperands,
     /*  988660 */     // GIR_Coverage, 21323,
     /*  988660 */     GIR_EraseRootFromParent_Done,
     /*  988661 */   // Label 14535: @988661
     /*  988661 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(988756), // Rule ID 21326 //
     /*  988666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  988683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  988686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  988693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988705 */     // MIs[0] policy
     /*  988705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988715 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /*  988732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988754 */     GIR_RootConstrainSelectedInstOperands,
     /*  988755 */     // GIR_Coverage, 21326,
     /*  988755 */     GIR_EraseRootFromParent_Done,
     /*  988756 */   // Label 14536: @988756
     /*  988756 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(988851), // Rule ID 21327 //
     /*  988761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  988772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  988775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  988778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  988781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  988788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988800 */     // MIs[0] policy
     /*  988800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10918:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  988810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /*  988827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988849 */     GIR_RootConstrainSelectedInstOperands,
     /*  988850 */     // GIR_Coverage, 21327,
     /*  988850 */     GIR_EraseRootFromParent_Done,
     /*  988851 */   // Label 14537: @988851
     /*  988851 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(988946), // Rule ID 21330 //
     /*  988856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  988859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  988876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  988879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988895 */     // MIs[0] policy
     /*  988895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988905 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  988905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  988909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  988915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  988919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /*  988922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  988928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  988934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  988944 */     GIR_RootConstrainSelectedInstOperands,
     /*  988945 */     // GIR_Coverage, 21330,
     /*  988945 */     GIR_EraseRootFromParent_Done,
     /*  988946 */   // Label 14538: @988946
     /*  988946 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(989041), // Rule ID 21331 //
     /*  988951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  988954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /*  988959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  988962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  988965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  988971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  988974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  988978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988990 */     // MIs[0] policy
     /*  988990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  988993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989000 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10918:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /*  989017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989039 */     GIR_RootConstrainSelectedInstOperands,
     /*  989040 */     // GIR_Coverage, 21331,
     /*  989040 */     GIR_EraseRootFromParent_Done,
     /*  989041 */   // Label 14539: @989041
     /*  989041 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(989136), // Rule ID 21574 //
     /*  989046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  989057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  989060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989085 */     // MIs[0] policy
     /*  989085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989095 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /*  989112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989134 */     GIR_RootConstrainSelectedInstOperands,
     /*  989135 */     // GIR_Coverage, 21574,
     /*  989135 */     GIR_EraseRootFromParent_Done,
     /*  989136 */   // Label 14540: @989136
     /*  989136 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(989231), // Rule ID 21575 //
     /*  989141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  989152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  989155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  989161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989180 */     // MIs[0] policy
     /*  989180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989190 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /*  989207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989229 */     GIR_RootConstrainSelectedInstOperands,
     /*  989230 */     // GIR_Coverage, 21575,
     /*  989230 */     GIR_EraseRootFromParent_Done,
     /*  989231 */   // Label 14541: @989231
     /*  989231 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(989326), // Rule ID 21578 //
     /*  989236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  989247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  989250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  989256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989275 */     // MIs[0] policy
     /*  989275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989285 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  989302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989324 */     GIR_RootConstrainSelectedInstOperands,
     /*  989325 */     // GIR_Coverage, 21578,
     /*  989325 */     GIR_EraseRootFromParent_Done,
     /*  989326 */   // Label 14542: @989326
     /*  989326 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(989421), // Rule ID 21579 //
     /*  989331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  989342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  989345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  989351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989370 */     // MIs[0] policy
     /*  989370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989380 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  989397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989419 */     GIR_RootConstrainSelectedInstOperands,
     /*  989420 */     // GIR_Coverage, 21579,
     /*  989420 */     GIR_EraseRootFromParent_Done,
     /*  989421 */   // Label 14543: @989421
     /*  989421 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(989516), // Rule ID 21582 //
     /*  989426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  989437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  989440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  989446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989465 */     // MIs[0] policy
     /*  989465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  989492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989514 */     GIR_RootConstrainSelectedInstOperands,
     /*  989515 */     // GIR_Coverage, 21582,
     /*  989515 */     GIR_EraseRootFromParent_Done,
     /*  989516 */   // Label 14544: @989516
     /*  989516 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(989611), // Rule ID 21583 //
     /*  989521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  989532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  989535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  989538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  989541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989560 */     // MIs[0] policy
     /*  989560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  989587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989609 */     GIR_RootConstrainSelectedInstOperands,
     /*  989610 */     // GIR_Coverage, 21583,
     /*  989610 */     GIR_EraseRootFromParent_Done,
     /*  989611 */   // Label 14545: @989611
     /*  989611 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(989706), // Rule ID 21586 //
     /*  989616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  989636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989655 */     // MIs[0] policy
     /*  989655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989665 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  989682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989704 */     GIR_RootConstrainSelectedInstOperands,
     /*  989705 */     // GIR_Coverage, 21586,
     /*  989705 */     GIR_EraseRootFromParent_Done,
     /*  989706 */   // Label 14546: @989706
     /*  989706 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(989801), // Rule ID 21587 //
     /*  989711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  989722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  989725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  989728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  989731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  989738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989750 */     // MIs[0] policy
     /*  989750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10868:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  989777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989799 */     GIR_RootConstrainSelectedInstOperands,
     /*  989800 */     // GIR_Coverage, 21587,
     /*  989800 */     GIR_EraseRootFromParent_Done,
     /*  989801 */   // Label 14547: @989801
     /*  989801 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(989896), // Rule ID 21590 //
     /*  989806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  989826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  989829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989845 */     // MIs[0] policy
     /*  989845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989855 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  989855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  989872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989894 */     GIR_RootConstrainSelectedInstOperands,
     /*  989895 */     // GIR_Coverage, 21590,
     /*  989895 */     GIR_EraseRootFromParent_Done,
     /*  989896 */   // Label 14548: @989896
     /*  989896 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(989991), // Rule ID 21591 //
     /*  989901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  989904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  989909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  989912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  989915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  989918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  989921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  989924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  989928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  989932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  989936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989940 */     // MIs[0] policy
     /*  989940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  989943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  989950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  989954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  989960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  989964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  989967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  989973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  989979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  989989 */     GIR_RootConstrainSelectedInstOperands,
     /*  989990 */     // GIR_Coverage, 21591,
     /*  989990 */     GIR_EraseRootFromParent_Done,
     /*  989991 */   // Label 14549: @989991
     /*  989991 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(990086), // Rule ID 21594 //
     /*  989996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  989999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  990016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990035 */     // MIs[0] policy
     /*  990035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990045 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  990062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990084 */     GIR_RootConstrainSelectedInstOperands,
     /*  990085 */     // GIR_Coverage, 21594,
     /*  990085 */     GIR_EraseRootFromParent_Done,
     /*  990086 */   // Label 14550: @990086
     /*  990086 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(990181), // Rule ID 21595 //
     /*  990091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  990094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  990102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  990105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  990108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  990111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990130 */     // MIs[0] policy
     /*  990130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990140 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  990157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990179 */     GIR_RootConstrainSelectedInstOperands,
     /*  990180 */     // GIR_Coverage, 21595,
     /*  990180 */     GIR_EraseRootFromParent_Done,
     /*  990181 */   // Label 14551: @990181
     /*  990181 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(990276), // Rule ID 21598 //
     /*  990186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  990189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  990197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  990200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  990203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  990206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990225 */     // MIs[0] policy
     /*  990225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  990252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990274 */     GIR_RootConstrainSelectedInstOperands,
     /*  990275 */     // GIR_Coverage, 21598,
     /*  990275 */     GIR_EraseRootFromParent_Done,
     /*  990276 */   // Label 14552: @990276
     /*  990276 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(990371), // Rule ID 21599 //
     /*  990281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  990284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  990292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  990295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  990298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  990301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990320 */     // MIs[0] policy
     /*  990320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990330 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /*  990347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990369 */     GIR_RootConstrainSelectedInstOperands,
     /*  990370 */     // GIR_Coverage, 21599,
     /*  990370 */     GIR_EraseRootFromParent_Done,
     /*  990371 */   // Label 14553: @990371
     /*  990371 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(990466), // Rule ID 21602 //
     /*  990376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  990379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  990387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  990390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  990396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990415 */     // MIs[0] policy
     /*  990415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990425 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  990442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990464 */     GIR_RootConstrainSelectedInstOperands,
     /*  990465 */     // GIR_Coverage, 21602,
     /*  990465 */     GIR_EraseRootFromParent_Done,
     /*  990466 */   // Label 14554: @990466
     /*  990466 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(990561), // Rule ID 21603 //
     /*  990471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  990474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  990482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  990485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  990491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990510 */     // MIs[0] policy
     /*  990510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  990537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990559 */     GIR_RootConstrainSelectedInstOperands,
     /*  990560 */     // GIR_Coverage, 21603,
     /*  990560 */     GIR_EraseRootFromParent_Done,
     /*  990561 */   // Label 14555: @990561
     /*  990561 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(990656), // Rule ID 21606 //
     /*  990566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  990569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  990577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  990580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  990586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990605 */     // MIs[0] policy
     /*  990605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990615 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  990632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990654 */     GIR_RootConstrainSelectedInstOperands,
     /*  990655 */     // GIR_Coverage, 21606,
     /*  990655 */     GIR_EraseRootFromParent_Done,
     /*  990656 */   // Label 14556: @990656
     /*  990656 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(990751), // Rule ID 21607 //
     /*  990661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  990664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  990672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  990675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  990678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  990681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  990688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990700 */     // MIs[0] policy
     /*  990700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10868:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  990727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990749 */     GIR_RootConstrainSelectedInstOperands,
     /*  990750 */     // GIR_Coverage, 21607,
     /*  990750 */     GIR_EraseRootFromParent_Done,
     /*  990751 */   // Label 14557: @990751
     /*  990751 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(990846), // Rule ID 21610 //
     /*  990756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  990759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  990773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  990776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990795 */     // MIs[0] policy
     /*  990795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990805 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  990822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990844 */     GIR_RootConstrainSelectedInstOperands,
     /*  990845 */     // GIR_Coverage, 21610,
     /*  990845 */     GIR_EraseRootFromParent_Done,
     /*  990846 */   // Label 14558: @990846
     /*  990846 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(990941), // Rule ID 21611 //
     /*  990851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  990854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  990862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  990865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  990868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  990871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  990874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  990878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990890 */     // MIs[0] policy
     /*  990890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990900 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  990900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  990910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  990914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  990917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  990923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  990929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  990939 */     GIR_RootConstrainSelectedInstOperands,
     /*  990940 */     // GIR_Coverage, 21611,
     /*  990940 */     GIR_EraseRootFromParent_Done,
     /*  990941 */   // Label 14559: @990941
     /*  990941 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(991036), // Rule ID 21614 //
     /*  990946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  990949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  990954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  990957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  990960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  990963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  990966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  990969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  990973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  990977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  990981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990985 */     // MIs[0] policy
     /*  990985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  990988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  990995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  990999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  991012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991034 */     GIR_RootConstrainSelectedInstOperands,
     /*  991035 */     // GIR_Coverage, 21614,
     /*  991035 */     GIR_EraseRootFromParent_Done,
     /*  991036 */   // Label 14560: @991036
     /*  991036 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(991131), // Rule ID 21615 //
     /*  991041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  991044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  991052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  991055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  991058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  991061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991080 */     // MIs[0] policy
     /*  991080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  991107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991129 */     GIR_RootConstrainSelectedInstOperands,
     /*  991130 */     // GIR_Coverage, 21615,
     /*  991130 */     GIR_EraseRootFromParent_Done,
     /*  991131 */   // Label 14561: @991131
     /*  991131 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(991226), // Rule ID 21618 //
     /*  991136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  991139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  991153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991175 */     // MIs[0] policy
     /*  991175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991185 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  991202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991224 */     GIR_RootConstrainSelectedInstOperands,
     /*  991225 */     // GIR_Coverage, 21618,
     /*  991225 */     GIR_EraseRootFromParent_Done,
     /*  991226 */   // Label 14562: @991226
     /*  991226 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(991321), // Rule ID 21619 //
     /*  991231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  991234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  991242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  991245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  991248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991270 */     // MIs[0] policy
     /*  991270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /*  991297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991319 */     GIR_RootConstrainSelectedInstOperands,
     /*  991320 */     // GIR_Coverage, 21619,
     /*  991320 */     GIR_EraseRootFromParent_Done,
     /*  991321 */   // Label 14563: @991321
     /*  991321 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(991416), // Rule ID 21622 //
     /*  991326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  991329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  991337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  991340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991365 */     // MIs[0] policy
     /*  991365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  991392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991414 */     GIR_RootConstrainSelectedInstOperands,
     /*  991415 */     // GIR_Coverage, 21622,
     /*  991415 */     GIR_EraseRootFromParent_Done,
     /*  991416 */   // Label 14564: @991416
     /*  991416 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(991511), // Rule ID 21623 //
     /*  991421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  991424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  991432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  991435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  991438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  991441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991460 */     // MIs[0] policy
     /*  991460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10868:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /*  991487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991509 */     GIR_RootConstrainSelectedInstOperands,
     /*  991510 */     // GIR_Coverage, 21623,
     /*  991510 */     GIR_EraseRootFromParent_Done,
     /*  991511 */   // Label 14565: @991511
     /*  991511 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(991606), // Rule ID 21626 //
     /*  991516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  991519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991555 */     // MIs[0] policy
     /*  991555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991565 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  991582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991604 */     GIR_RootConstrainSelectedInstOperands,
     /*  991605 */     // GIR_Coverage, 21626,
     /*  991605 */     GIR_EraseRootFromParent_Done,
     /*  991606 */   // Label 14566: @991606
     /*  991606 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(991701), // Rule ID 21627 //
     /*  991611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  991614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  991622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  991625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  991628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  991631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  991638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991650 */     // MIs[0] policy
     /*  991650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10868:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /*  991677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991699 */     GIR_RootConstrainSelectedInstOperands,
     /*  991700 */     // GIR_Coverage, 21627,
     /*  991700 */     GIR_EraseRootFromParent_Done,
     /*  991701 */   // Label 14567: @991701
     /*  991701 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(991796), // Rule ID 21630 //
     /*  991706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  991709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  991726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991745 */     // MIs[0] policy
     /*  991745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  991772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991794 */     GIR_RootConstrainSelectedInstOperands,
     /*  991795 */     // GIR_Coverage, 21630,
     /*  991795 */     GIR_EraseRootFromParent_Done,
     /*  991796 */   // Label 14568: @991796
     /*  991796 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(991891), // Rule ID 21631 //
     /*  991801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  991804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /*  991809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  991812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  991815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  991818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  991821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  991824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  991828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991840 */     // MIs[0] policy
     /*  991840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991850 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10868:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  991850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /*  991867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  991887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991889 */     GIR_RootConstrainSelectedInstOperands,
     /*  991890 */     // GIR_Coverage, 21631,
     /*  991890 */     GIR_EraseRootFromParent_Done,
     /*  991891 */   // Label 14569: @991891
     /*  991891 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(991986), // Rule ID 21634 //
     /*  991896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  991899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  991904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  991907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  991910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  991913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  991916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  991919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  991923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991935 */     // MIs[0] policy
     /*  991935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  991938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  991945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  991949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  991955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  991959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /*  991962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  991968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  991974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  991984 */     GIR_RootConstrainSelectedInstOperands,
     /*  991985 */     // GIR_Coverage, 21634,
     /*  991985 */     GIR_EraseRootFromParent_Done,
     /*  991986 */   // Label 14570: @991986
     /*  991986 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(992081), // Rule ID 21635 //
     /*  991991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  991994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  991999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  992002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  992005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  992008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  992011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992030 */     // MIs[0] policy
     /*  992030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /*  992057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992079 */     GIR_RootConstrainSelectedInstOperands,
     /*  992080 */     // GIR_Coverage, 21635,
     /*  992080 */     GIR_EraseRootFromParent_Done,
     /*  992081 */   // Label 14571: @992081
     /*  992081 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(992176), // Rule ID 21638 //
     /*  992086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  992089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  992103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992125 */     // MIs[0] policy
     /*  992125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  992152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992174 */     GIR_RootConstrainSelectedInstOperands,
     /*  992175 */     // GIR_Coverage, 21638,
     /*  992175 */     GIR_EraseRootFromParent_Done,
     /*  992176 */   // Label 14572: @992176
     /*  992176 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(992271), // Rule ID 21639 //
     /*  992181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  992184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  992192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  992195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  992198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  992201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992220 */     // MIs[0] policy
     /*  992220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  992247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992269 */     GIR_RootConstrainSelectedInstOperands,
     /*  992270 */     // GIR_Coverage, 21639,
     /*  992270 */     GIR_EraseRootFromParent_Done,
     /*  992271 */   // Label 14573: @992271
     /*  992271 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(992366), // Rule ID 21642 //
     /*  992276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  992279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  992287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  992290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992315 */     // MIs[0] policy
     /*  992315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  992342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992364 */     GIR_RootConstrainSelectedInstOperands,
     /*  992365 */     // GIR_Coverage, 21642,
     /*  992365 */     GIR_EraseRootFromParent_Done,
     /*  992366 */   // Label 14574: @992366
     /*  992366 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(992461), // Rule ID 21643 //
     /*  992371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  992374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  992382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  992385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  992388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  992391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992410 */     // MIs[0] policy
     /*  992410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  992437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992459 */     GIR_RootConstrainSelectedInstOperands,
     /*  992460 */     // GIR_Coverage, 21643,
     /*  992460 */     GIR_EraseRootFromParent_Done,
     /*  992461 */   // Label 14575: @992461
     /*  992461 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(992556), // Rule ID 21646 //
     /*  992466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  992469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  992477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  992480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  992483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992505 */     // MIs[0] policy
     /*  992505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  992532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992554 */     GIR_RootConstrainSelectedInstOperands,
     /*  992555 */     // GIR_Coverage, 21646,
     /*  992555 */     GIR_EraseRootFromParent_Done,
     /*  992556 */   // Label 14576: @992556
     /*  992556 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(992651), // Rule ID 21647 //
     /*  992561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  992564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  992572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  992575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  992578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  992581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  992588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992600 */     // MIs[0] policy
     /*  992600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992610 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10866:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  992627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992649 */     GIR_RootConstrainSelectedInstOperands,
     /*  992650 */     // GIR_Coverage, 21647,
     /*  992650 */     GIR_EraseRootFromParent_Done,
     /*  992651 */   // Label 14577: @992651
     /*  992651 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(992746), // Rule ID 21650 //
     /*  992656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  992659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  992667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  992670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  992673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992695 */     // MIs[0] policy
     /*  992695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992705 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  992722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992744 */     GIR_RootConstrainSelectedInstOperands,
     /*  992745 */     // GIR_Coverage, 21650,
     /*  992745 */     GIR_EraseRootFromParent_Done,
     /*  992746 */   // Label 14578: @992746
     /*  992746 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(992841), // Rule ID 21651 //
     /*  992751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  992754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  992762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  992765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  992768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  992771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  992778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992790 */     // MIs[0] policy
     /*  992790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992800 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  992817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992839 */     GIR_RootConstrainSelectedInstOperands,
     /*  992840 */     // GIR_Coverage, 21651,
     /*  992840 */     GIR_EraseRootFromParent_Done,
     /*  992841 */   // Label 14579: @992841
     /*  992841 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(992936), // Rule ID 21654 //
     /*  992846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  992849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  992857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  992860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  992863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  992866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  992869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992885 */     // MIs[0] policy
     /*  992885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992895 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  992895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  992905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  992909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  992912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  992918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  992924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  992932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  992934 */     GIR_RootConstrainSelectedInstOperands,
     /*  992935 */     // GIR_Coverage, 21654,
     /*  992935 */     GIR_EraseRootFromParent_Done,
     /*  992936 */   // Label 14580: @992936
     /*  992936 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(993031), // Rule ID 21655 //
     /*  992941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  992944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  992949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  992952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  992955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  992958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  992961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  992964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  992968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992980 */     // MIs[0] policy
     /*  992980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  992983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992990 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  992990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  992994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  993007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993029 */     GIR_RootConstrainSelectedInstOperands,
     /*  993030 */     // GIR_Coverage, 21655,
     /*  993030 */     GIR_EraseRootFromParent_Done,
     /*  993031 */   // Label 14581: @993031
     /*  993031 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(993126), // Rule ID 21658 //
     /*  993036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  993039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993075 */     // MIs[0] policy
     /*  993075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993085 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  993102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993124 */     GIR_RootConstrainSelectedInstOperands,
     /*  993125 */     // GIR_Coverage, 21658,
     /*  993125 */     GIR_EraseRootFromParent_Done,
     /*  993126 */   // Label 14582: @993126
     /*  993126 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(993221), // Rule ID 21659 //
     /*  993131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  993134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  993148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  993151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993170 */     // MIs[0] policy
     /*  993170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /*  993197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993219 */     GIR_RootConstrainSelectedInstOperands,
     /*  993220 */     // GIR_Coverage, 21659,
     /*  993220 */     GIR_EraseRootFromParent_Done,
     /*  993221 */   // Label 14583: @993221
     /*  993221 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(993316), // Rule ID 21662 //
     /*  993226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  993229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  993243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993265 */     // MIs[0] policy
     /*  993265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  993292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993314 */     GIR_RootConstrainSelectedInstOperands,
     /*  993315 */     // GIR_Coverage, 21662,
     /*  993315 */     GIR_EraseRootFromParent_Done,
     /*  993316 */   // Label 14584: @993316
     /*  993316 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(993411), // Rule ID 21663 //
     /*  993321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  993324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  993338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  993341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993360 */     // MIs[0] policy
     /*  993360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  993387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993409 */     GIR_RootConstrainSelectedInstOperands,
     /*  993410 */     // GIR_Coverage, 21663,
     /*  993410 */     GIR_EraseRootFromParent_Done,
     /*  993411 */   // Label 14585: @993411
     /*  993411 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(993506), // Rule ID 21666 //
     /*  993416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  993419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  993433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993455 */     // MIs[0] policy
     /*  993455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993465 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  993482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993504 */     GIR_RootConstrainSelectedInstOperands,
     /*  993505 */     // GIR_Coverage, 21666,
     /*  993505 */     GIR_EraseRootFromParent_Done,
     /*  993506 */   // Label 14586: @993506
     /*  993506 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(993601), // Rule ID 21667 //
     /*  993511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  993514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  993522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  993525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  993528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  993531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993550 */     // MIs[0] policy
     /*  993550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993560 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10866:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  993577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993599 */     GIR_RootConstrainSelectedInstOperands,
     /*  993600 */     // GIR_Coverage, 21667,
     /*  993600 */     GIR_EraseRootFromParent_Done,
     /*  993601 */   // Label 14587: @993601
     /*  993601 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(993696), // Rule ID 21670 //
     /*  993606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  993609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  993617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  993620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  993623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993645 */     // MIs[0] policy
     /*  993645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993655 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  993672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993694 */     GIR_RootConstrainSelectedInstOperands,
     /*  993695 */     // GIR_Coverage, 21670,
     /*  993695 */     GIR_EraseRootFromParent_Done,
     /*  993696 */   // Label 14588: @993696
     /*  993696 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(993791), // Rule ID 21671 //
     /*  993701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  993704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  993712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  993715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  993718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  993721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  993728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  993732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993740 */     // MIs[0] policy
     /*  993740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  993767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993789 */     GIR_RootConstrainSelectedInstOperands,
     /*  993790 */     // GIR_Coverage, 21671,
     /*  993790 */     GIR_EraseRootFromParent_Done,
     /*  993791 */   // Label 14589: @993791
     /*  993791 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(993886), // Rule ID 21674 //
     /*  993796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  993799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  993807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  993810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  993813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  993816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  993819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993835 */     // MIs[0] policy
     /*  993835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993845 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  993845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  993862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993884 */     GIR_RootConstrainSelectedInstOperands,
     /*  993885 */     // GIR_Coverage, 21674,
     /*  993885 */     GIR_EraseRootFromParent_Done,
     /*  993886 */   // Label 14590: @993886
     /*  993886 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(993981), // Rule ID 21675 //
     /*  993891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  993894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  993902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  993905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  993908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  993911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  993914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  993918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  993922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993930 */     // MIs[0] policy
     /*  993930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  993933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  993940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  993944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  993950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  993954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  993957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  993963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  993969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  993979 */     GIR_RootConstrainSelectedInstOperands,
     /*  993980 */     // GIR_Coverage, 21675,
     /*  993980 */     GIR_EraseRootFromParent_Done,
     /*  993981 */   // Label 14591: @993981
     /*  993981 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(994076), // Rule ID 21678 //
     /*  993986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  993989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  993994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  993997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994025 */     // MIs[0] policy
     /*  994025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  994052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994074 */     GIR_RootConstrainSelectedInstOperands,
     /*  994075 */     // GIR_Coverage, 21678,
     /*  994075 */     GIR_EraseRootFromParent_Done,
     /*  994076 */   // Label 14592: @994076
     /*  994076 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(994171), // Rule ID 21679 //
     /*  994081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  994084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994120 */     // MIs[0] policy
     /*  994120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994130 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /*  994147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994169 */     GIR_RootConstrainSelectedInstOperands,
     /*  994170 */     // GIR_Coverage, 21679,
     /*  994170 */     GIR_EraseRootFromParent_Done,
     /*  994171 */   // Label 14593: @994171
     /*  994171 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(994266), // Rule ID 21682 //
     /*  994176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  994179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  994193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994215 */     // MIs[0] policy
     /*  994215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  994242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994264 */     GIR_RootConstrainSelectedInstOperands,
     /*  994265 */     // GIR_Coverage, 21682,
     /*  994265 */     GIR_EraseRootFromParent_Done,
     /*  994266 */   // Label 14594: @994266
     /*  994266 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(994361), // Rule ID 21683 //
     /*  994271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  994274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  994288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994310 */     // MIs[0] policy
     /*  994310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10866:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /*  994337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994359 */     GIR_RootConstrainSelectedInstOperands,
     /*  994360 */     // GIR_Coverage, 21683,
     /*  994360 */     GIR_EraseRootFromParent_Done,
     /*  994361 */   // Label 14595: @994361
     /*  994361 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(994456), // Rule ID 21686 //
     /*  994366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  994369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  994383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994405 */     // MIs[0] policy
     /*  994405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994415 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  994432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994454 */     GIR_RootConstrainSelectedInstOperands,
     /*  994455 */     // GIR_Coverage, 21686,
     /*  994455 */     GIR_EraseRootFromParent_Done,
     /*  994456 */   // Label 14596: @994456
     /*  994456 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(994551), // Rule ID 21687 //
     /*  994461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  994464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  994472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  994475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  994478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  994481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994500 */     // MIs[0] policy
     /*  994500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10866:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /*  994527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994549 */     GIR_RootConstrainSelectedInstOperands,
     /*  994550 */     // GIR_Coverage, 21687,
     /*  994550 */     GIR_EraseRootFromParent_Done,
     /*  994551 */   // Label 14597: @994551
     /*  994551 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(994646), // Rule ID 21690 //
     /*  994556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  994559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  994573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994595 */     // MIs[0] policy
     /*  994595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994605 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  994622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994644 */     GIR_RootConstrainSelectedInstOperands,
     /*  994645 */     // GIR_Coverage, 21690,
     /*  994645 */     GIR_EraseRootFromParent_Done,
     /*  994646 */   // Label 14598: @994646
     /*  994646 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(994741), // Rule ID 21691 //
     /*  994651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  994654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /*  994659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  994662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  994665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  994668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  994671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  994678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  994682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  994686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994690 */     // MIs[0] policy
     /*  994690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994700 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10866:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /*  994717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994739 */     GIR_RootConstrainSelectedInstOperands,
     /*  994740 */     // GIR_Coverage, 21691,
     /*  994740 */     GIR_EraseRootFromParent_Done,
     /*  994741 */   // Label 14599: @994741
     /*  994741 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(994836), // Rule ID 21802 //
     /*  994746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  994754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  994763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994785 */     // MIs[0] policy
     /*  994785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994795 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /*  994812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994834 */     GIR_RootConstrainSelectedInstOperands,
     /*  994835 */     // GIR_Coverage, 21802,
     /*  994835 */     GIR_EraseRootFromParent_Done,
     /*  994836 */   // Label 14600: @994836
     /*  994836 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(994931), // Rule ID 21803 //
     /*  994841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  994844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  994849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  994852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  994855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  994858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  994861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  994864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994880 */     // MIs[0] policy
     /*  994880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  994890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /*  994907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  994913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  994919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  994929 */     GIR_RootConstrainSelectedInstOperands,
     /*  994930 */     // GIR_Coverage, 21803,
     /*  994930 */     GIR_EraseRootFromParent_Done,
     /*  994931 */   // Label 14601: @994931
     /*  994931 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(995026), // Rule ID 21806 //
     /*  994936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  994939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  994944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  994947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  994950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  994953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  994956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  994959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994975 */     // MIs[0] policy
     /*  994975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  994978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994985 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  994985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  994989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  994995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  994999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /*  995002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995024 */     GIR_RootConstrainSelectedInstOperands,
     /*  995025 */     // GIR_Coverage, 21806,
     /*  995025 */     GIR_EraseRootFromParent_Done,
     /*  995026 */   // Label 14602: @995026
     /*  995026 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(995121), // Rule ID 21807 //
     /*  995031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  995034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  995042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  995045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  995048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995070 */     // MIs[0] policy
     /*  995070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995080 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /*  995097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995119 */     GIR_RootConstrainSelectedInstOperands,
     /*  995120 */     // GIR_Coverage, 21807,
     /*  995120 */     GIR_EraseRootFromParent_Done,
     /*  995121 */   // Label 14603: @995121
     /*  995121 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(995216), // Rule ID 21810 //
     /*  995126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  995129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995165 */     // MIs[0] policy
     /*  995165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995175 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /*  995192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995214 */     GIR_RootConstrainSelectedInstOperands,
     /*  995215 */     // GIR_Coverage, 21810,
     /*  995215 */     GIR_EraseRootFromParent_Done,
     /*  995216 */   // Label 14604: @995216
     /*  995216 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(995311), // Rule ID 21811 //
     /*  995221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  995224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  995232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  995235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  995238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  995241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995260 */     // MIs[0] policy
     /*  995260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995270 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10864:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /*  995287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995309 */     GIR_RootConstrainSelectedInstOperands,
     /*  995310 */     // GIR_Coverage, 21811,
     /*  995310 */     GIR_EraseRootFromParent_Done,
     /*  995311 */   // Label 14605: @995311
     /*  995311 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(995406), // Rule ID 21814 //
     /*  995316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  995319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995355 */     // MIs[0] policy
     /*  995355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995365 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /*  995382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995404 */     GIR_RootConstrainSelectedInstOperands,
     /*  995405 */     // GIR_Coverage, 21814,
     /*  995405 */     GIR_EraseRootFromParent_Done,
     /*  995406 */   // Label 14606: @995406
     /*  995406 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(995501), // Rule ID 21815 //
     /*  995411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  995414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  995428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  995431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995450 */     // MIs[0] policy
     /*  995450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995460 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /*  995477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995499 */     GIR_RootConstrainSelectedInstOperands,
     /*  995500 */     // GIR_Coverage, 21815,
     /*  995500 */     GIR_EraseRootFromParent_Done,
     /*  995501 */   // Label 14607: @995501
     /*  995501 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(995596), // Rule ID 21818 //
     /*  995506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  995509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  995523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995545 */     // MIs[0] policy
     /*  995545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995555 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /*  995572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995594 */     GIR_RootConstrainSelectedInstOperands,
     /*  995595 */     // GIR_Coverage, 21818,
     /*  995595 */     GIR_EraseRootFromParent_Done,
     /*  995596 */   // Label 14608: @995596
     /*  995596 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(995691), // Rule ID 21819 //
     /*  995601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  995604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  995618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  995621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995640 */     // MIs[0] policy
     /*  995640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995650 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /*  995667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995689 */     GIR_RootConstrainSelectedInstOperands,
     /*  995690 */     // GIR_Coverage, 21819,
     /*  995690 */     GIR_EraseRootFromParent_Done,
     /*  995691 */   // Label 14609: @995691
     /*  995691 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(995786), // Rule ID 21822 //
     /*  995696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  995713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995735 */     // MIs[0] policy
     /*  995735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995745 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /*  995762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995784 */     GIR_RootConstrainSelectedInstOperands,
     /*  995785 */     // GIR_Coverage, 21822,
     /*  995785 */     GIR_EraseRootFromParent_Done,
     /*  995786 */   // Label 14610: @995786
     /*  995786 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(995881), // Rule ID 21823 //
     /*  995791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  995802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  995805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  995808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  995811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  995814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995830 */     // MIs[0] policy
     /*  995830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  995840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /*  995857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995879 */     GIR_RootConstrainSelectedInstOperands,
     /*  995880 */     // GIR_Coverage, 21823,
     /*  995880 */     GIR_EraseRootFromParent_Done,
     /*  995881 */   // Label 14611: @995881
     /*  995881 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(995976), // Rule ID 21826 //
     /*  995886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  995889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  995903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  995906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  995909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  995913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  995917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995925 */     // MIs[0] policy
     /*  995925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  995928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995935 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  995935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  995939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  995945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  995949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /*  995952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  995958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  995964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  995972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  995974 */     GIR_RootConstrainSelectedInstOperands,
     /*  995975 */     // GIR_Coverage, 21826,
     /*  995975 */     GIR_EraseRootFromParent_Done,
     /*  995976 */   // Label 14612: @995976
     /*  995976 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(996071), // Rule ID 21827 //
     /*  995981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  995984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  995989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  995992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  995995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  995998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996020 */     // MIs[0] policy
     /*  996020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10864:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /*  996047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996069 */     GIR_RootConstrainSelectedInstOperands,
     /*  996070 */     // GIR_Coverage, 21827,
     /*  996070 */     GIR_EraseRootFromParent_Done,
     /*  996071 */   // Label 14613: @996071
     /*  996071 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(996166), // Rule ID 21830 //
     /*  996076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  996079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  996084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996115 */     // MIs[0] policy
     /*  996115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996125 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /*  996142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996164 */     GIR_RootConstrainSelectedInstOperands,
     /*  996165 */     // GIR_Coverage, 21830,
     /*  996165 */     GIR_EraseRootFromParent_Done,
     /*  996166 */   // Label 14614: @996166
     /*  996166 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(996261), // Rule ID 21831 //
     /*  996171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  996174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  996179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996210 */     // MIs[0] policy
     /*  996210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996220 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10864:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /*  996237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996259 */     GIR_RootConstrainSelectedInstOperands,
     /*  996260 */     // GIR_Coverage, 21831,
     /*  996260 */     GIR_EraseRootFromParent_Done,
     /*  996261 */   // Label 14615: @996261
     /*  996261 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(996356), // Rule ID 21834 //
     /*  996266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  996269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  996274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996305 */     // MIs[0] policy
     /*  996305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /*  996332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996354 */     GIR_RootConstrainSelectedInstOperands,
     /*  996355 */     // GIR_Coverage, 21834,
     /*  996355 */     GIR_EraseRootFromParent_Done,
     /*  996356 */   // Label 14616: @996356
     /*  996356 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(996451), // Rule ID 21835 //
     /*  996361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  996364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /*  996369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  996381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996400 */     // MIs[0] policy
     /*  996400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10864:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /*  996427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996449 */     GIR_RootConstrainSelectedInstOperands,
     /*  996450 */     // GIR_Coverage, 21835,
     /*  996450 */     GIR_EraseRootFromParent_Done,
     /*  996451 */   // Label 14617: @996451
     /*  996451 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(996546), // Rule ID 23274 //
     /*  996456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  996467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  996470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  996473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996495 */     // MIs[0] policy
     /*  996495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996505 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  996522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996544 */     GIR_RootConstrainSelectedInstOperands,
     /*  996545 */     // GIR_Coverage, 23274,
     /*  996545 */     GIR_EraseRootFromParent_Done,
     /*  996546 */   // Label 14618: @996546
     /*  996546 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(996641), // Rule ID 23275 //
     /*  996551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  996562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  996565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  996568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  996571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996590 */     // MIs[0] policy
     /*  996590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  996617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996639 */     GIR_RootConstrainSelectedInstOperands,
     /*  996640 */     // GIR_Coverage, 23275,
     /*  996640 */     GIR_EraseRootFromParent_Done,
     /*  996641 */   // Label 14619: @996641
     /*  996641 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(996736), // Rule ID 23278 //
     /*  996646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  996657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  996660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  996663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996685 */     // MIs[0] policy
     /*  996685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996695 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  996712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996734 */     GIR_RootConstrainSelectedInstOperands,
     /*  996735 */     // GIR_Coverage, 23278,
     /*  996735 */     GIR_EraseRootFromParent_Done,
     /*  996736 */   // Label 14620: @996736
     /*  996736 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(996831), // Rule ID 23279 //
     /*  996741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  996752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  996755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  996758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  996761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996780 */     // MIs[0] policy
     /*  996780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  996807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  996827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996829 */     GIR_RootConstrainSelectedInstOperands,
     /*  996830 */     // GIR_Coverage, 23279,
     /*  996830 */     GIR_EraseRootFromParent_Done,
     /*  996831 */   // Label 14621: @996831
     /*  996831 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(996926), // Rule ID 23282 //
     /*  996836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  996853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  996859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996875 */     // MIs[0] policy
     /*  996875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996885 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  996885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  996902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  996908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  996914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  996924 */     GIR_RootConstrainSelectedInstOperands,
     /*  996925 */     // GIR_Coverage, 23282,
     /*  996925 */     GIR_EraseRootFromParent_Done,
     /*  996926 */   // Label 14622: @996926
     /*  996926 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(997021), // Rule ID 23283 //
     /*  996931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  996939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  996942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  996945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  996948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  996951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  996954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  996958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  996966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996970 */     // MIs[0] policy
     /*  996970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  996973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996980 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  996980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  996984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  996990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  996994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /*  996997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997019 */     GIR_RootConstrainSelectedInstOperands,
     /*  997020 */     // GIR_Coverage, 23283,
     /*  997020 */     GIR_EraseRootFromParent_Done,
     /*  997021 */   // Label 14623: @997021
     /*  997021 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(997116), // Rule ID 23286 //
     /*  997026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  997037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  997040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  997043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997065 */     // MIs[0] policy
     /*  997065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997075 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  997092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997114 */     GIR_RootConstrainSelectedInstOperands,
     /*  997115 */     // GIR_Coverage, 23286,
     /*  997115 */     GIR_EraseRootFromParent_Done,
     /*  997116 */   // Label 14624: @997116
     /*  997116 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(997211), // Rule ID 23287 //
     /*  997121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  997132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  997135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  997138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997160 */     // MIs[0] policy
     /*  997160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  997187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997209 */     GIR_RootConstrainSelectedInstOperands,
     /*  997210 */     // GIR_Coverage, 23287,
     /*  997210 */     GIR_EraseRootFromParent_Done,
     /*  997211 */   // Label 14625: @997211
     /*  997211 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(997306), // Rule ID 23290 //
     /*  997216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  997233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997255 */     // MIs[0] policy
     /*  997255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  997282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997304 */     GIR_RootConstrainSelectedInstOperands,
     /*  997305 */     // GIR_Coverage, 23290,
     /*  997305 */     GIR_EraseRootFromParent_Done,
     /*  997306 */   // Label 14626: @997306
     /*  997306 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(997401), // Rule ID 23291 //
     /*  997311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  997328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997350 */     // MIs[0] policy
     /*  997350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997360 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /*  997377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997399 */     GIR_RootConstrainSelectedInstOperands,
     /*  997400 */     // GIR_Coverage, 23291,
     /*  997400 */     GIR_EraseRootFromParent_Done,
     /*  997401 */   // Label 14627: @997401
     /*  997401 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(997496), // Rule ID 23294 //
     /*  997406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  997417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  997420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  997423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997445 */     // MIs[0] policy
     /*  997445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  997492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997494 */     GIR_RootConstrainSelectedInstOperands,
     /*  997495 */     // GIR_Coverage, 23294,
     /*  997495 */     GIR_EraseRootFromParent_Done,
     /*  997496 */   // Label 14628: @997496
     /*  997496 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(997591), // Rule ID 23295 //
     /*  997501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  997512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  997515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  997518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  997521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997540 */     // MIs[0] policy
     /*  997540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10958:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  997587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997589 */     GIR_RootConstrainSelectedInstOperands,
     /*  997590 */     // GIR_Coverage, 23295,
     /*  997590 */     GIR_EraseRootFromParent_Done,
     /*  997591 */   // Label 14629: @997591
     /*  997591 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(997686), // Rule ID 23298 //
     /*  997596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  997607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  997610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  997613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997635 */     // MIs[0] policy
     /*  997635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997645 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997684 */     GIR_RootConstrainSelectedInstOperands,
     /*  997685 */     // GIR_Coverage, 23298,
     /*  997685 */     GIR_EraseRootFromParent_Done,
     /*  997686 */   // Label 14630: @997686
     /*  997686 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(997781), // Rule ID 23299 //
     /*  997691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  997702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  997705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  997708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  997711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997730 */     // MIs[0] policy
     /*  997730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997740 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10958:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997779 */     GIR_RootConstrainSelectedInstOperands,
     /*  997780 */     // GIR_Coverage, 23299,
     /*  997780 */     GIR_EraseRootFromParent_Done,
     /*  997781 */   // Label 14631: @997781
     /*  997781 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(997876), // Rule ID 23302 //
     /*  997786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  997789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  997803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997825 */     // MIs[0] policy
     /*  997825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  997835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997874 */     GIR_RootConstrainSelectedInstOperands,
     /*  997875 */     // GIR_Coverage, 23302,
     /*  997875 */     GIR_EraseRootFromParent_Done,
     /*  997876 */   // Label 14632: @997876
     /*  997876 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(997971), // Rule ID 23303 //
     /*  997881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  997884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  997898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  997901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  997904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  997908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997920 */     // MIs[0] policy
     /*  997920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  997923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10958:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  997930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  997934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  997940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  997944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  997947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  997953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  997959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  997969 */     GIR_RootConstrainSelectedInstOperands,
     /*  997970 */     // GIR_Coverage, 23303,
     /*  997970 */     GIR_EraseRootFromParent_Done,
     /*  997971 */   // Label 14633: @997971
     /*  997971 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(998066), // Rule ID 23306 //
     /*  997976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  997979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  997984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  997993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  997996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  997999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998015 */     // MIs[0] policy
     /*  998015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  998042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998064 */     GIR_RootConstrainSelectedInstOperands,
     /*  998065 */     // GIR_Coverage, 23306,
     /*  998065 */     GIR_EraseRootFromParent_Done,
     /*  998066 */   // Label 14634: @998066
     /*  998066 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(998161), // Rule ID 23307 //
     /*  998071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  998074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  998082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  998085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  998088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  998091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  998098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998110 */     // MIs[0] policy
     /*  998110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10958:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /*  998137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  998157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998159 */     GIR_RootConstrainSelectedInstOperands,
     /*  998160 */     // GIR_Coverage, 23307,
     /*  998160 */     GIR_EraseRootFromParent_Done,
     /*  998161 */   // Label 14635: @998161
     /*  998161 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(998256), // Rule ID 23310 //
     /*  998166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  998177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  998180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  998183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998205 */     // MIs[0] policy
     /*  998205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998215 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  998232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998254 */     GIR_RootConstrainSelectedInstOperands,
     /*  998255 */     // GIR_Coverage, 23310,
     /*  998255 */     GIR_EraseRootFromParent_Done,
     /*  998256 */   // Label 14636: @998256
     /*  998256 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(998351), // Rule ID 23311 //
     /*  998261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  998272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  998275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  998278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998300 */     // MIs[0] policy
     /*  998300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  998327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998349 */     GIR_RootConstrainSelectedInstOperands,
     /*  998350 */     // GIR_Coverage, 23311,
     /*  998350 */     GIR_EraseRootFromParent_Done,
     /*  998351 */   // Label 14637: @998351
     /*  998351 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(998446), // Rule ID 23314 //
     /*  998356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  998367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  998370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  998373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  998376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998395 */     // MIs[0] policy
     /*  998395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998405 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  998422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998444 */     GIR_RootConstrainSelectedInstOperands,
     /*  998445 */     // GIR_Coverage, 23314,
     /*  998445 */     GIR_EraseRootFromParent_Done,
     /*  998446 */   // Label 14638: @998446
     /*  998446 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(998541), // Rule ID 23315 //
     /*  998451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  998462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  998465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  998468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  998471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998490 */     // MIs[0] policy
     /*  998490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998500 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  998517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998539 */     GIR_RootConstrainSelectedInstOperands,
     /*  998540 */     // GIR_Coverage, 23315,
     /*  998540 */     GIR_EraseRootFromParent_Done,
     /*  998541 */   // Label 14639: @998541
     /*  998541 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(998636), // Rule ID 23318 //
     /*  998546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  998557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  998560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  998563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  998566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998585 */     // MIs[0] policy
     /*  998585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  998612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998634 */     GIR_RootConstrainSelectedInstOperands,
     /*  998635 */     // GIR_Coverage, 23318,
     /*  998635 */     GIR_EraseRootFromParent_Done,
     /*  998636 */   // Label 14640: @998636
     /*  998636 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(998731), // Rule ID 23319 //
     /*  998641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  998652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  998655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  998658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  998661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  998668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998680 */     // MIs[0] policy
     /*  998680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998690 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  998707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  998727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998729 */     GIR_RootConstrainSelectedInstOperands,
     /*  998730 */     // GIR_Coverage, 23319,
     /*  998730 */     GIR_EraseRootFromParent_Done,
     /*  998731 */   // Label 14641: @998731
     /*  998731 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(998826), // Rule ID 23322 //
     /*  998736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  998747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  998750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  998753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998775 */     // MIs[0] policy
     /*  998775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998785 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  998802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998824 */     GIR_RootConstrainSelectedInstOperands,
     /*  998825 */     // GIR_Coverage, 23322,
     /*  998825 */     GIR_EraseRootFromParent_Done,
     /*  998826 */   // Label 14642: @998826
     /*  998826 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(998921), // Rule ID 23323 //
     /*  998831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  998834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  998842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  998845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  998848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  998851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  998854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  998858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998870 */     // MIs[0] policy
     /*  998870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  998880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  998897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  998909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  998919 */     GIR_RootConstrainSelectedInstOperands,
     /*  998920 */     // GIR_Coverage, 23323,
     /*  998920 */     GIR_EraseRootFromParent_Done,
     /*  998921 */   // Label 14643: @998921
     /*  998921 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(999016), // Rule ID 23326 //
     /*  998926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  998929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  998934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  998937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  998940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  998943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  998946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  998949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  998953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  998965 */     // MIs[0] policy
     /*  998965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  998968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998975 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  998975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  998979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  998985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  998989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  998992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  998998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999014 */     GIR_RootConstrainSelectedInstOperands,
     /*  999015 */     // GIR_Coverage, 23326,
     /*  999015 */     GIR_EraseRootFromParent_Done,
     /*  999016 */   // Label 14644: @999016
     /*  999016 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(999111), // Rule ID 23327 //
     /*  999021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  999032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  999035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  999038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999060 */     // MIs[0] policy
     /*  999060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  999087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999109 */     GIR_RootConstrainSelectedInstOperands,
     /*  999110 */     // GIR_Coverage, 23327,
     /*  999110 */     GIR_EraseRootFromParent_Done,
     /*  999111 */   // Label 14645: @999111
     /*  999111 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(999206), // Rule ID 23330 //
     /*  999116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  999127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  999130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  999133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999155 */     // MIs[0] policy
     /*  999155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  999182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999204 */     GIR_RootConstrainSelectedInstOperands,
     /*  999205 */     // GIR_Coverage, 23330,
     /*  999205 */     GIR_EraseRootFromParent_Done,
     /*  999206 */   // Label 14646: @999206
     /*  999206 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(999301), // Rule ID 23331 //
     /*  999211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  999222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  999225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  999228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  999231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999250 */     // MIs[0] policy
     /*  999250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999260 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  999277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999299 */     GIR_RootConstrainSelectedInstOperands,
     /*  999300 */     // GIR_Coverage, 23331,
     /*  999300 */     GIR_EraseRootFromParent_Done,
     /*  999301 */   // Label 14647: @999301
     /*  999301 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(999396), // Rule ID 23334 //
     /*  999306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  999317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  999320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  999323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999345 */     // MIs[0] policy
     /*  999345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999355 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  999372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999394 */     GIR_RootConstrainSelectedInstOperands,
     /*  999395 */     // GIR_Coverage, 23334,
     /*  999395 */     GIR_EraseRootFromParent_Done,
     /*  999396 */   // Label 14648: @999396
     /*  999396 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(999491), // Rule ID 23335 //
     /*  999401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  999412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  999415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  999418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  999421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999440 */     // MIs[0] policy
     /*  999440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999450 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  999467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999489 */     GIR_RootConstrainSelectedInstOperands,
     /*  999490 */     // GIR_Coverage, 23335,
     /*  999490 */     GIR_EraseRootFromParent_Done,
     /*  999491 */   // Label 14649: @999491
     /*  999491 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(999586), // Rule ID 23338 //
     /*  999496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  999513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999535 */     // MIs[0] policy
     /*  999535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999545 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  999562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999584 */     GIR_RootConstrainSelectedInstOperands,
     /*  999585 */     // GIR_Coverage, 23338,
     /*  999585 */     GIR_EraseRootFromParent_Done,
     /*  999586 */   // Label 14650: @999586
     /*  999586 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(999681), // Rule ID 23339 //
     /*  999591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  999608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  999611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  999618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999630 */     // MIs[0] policy
     /*  999630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999640 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999644 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /*  999657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999679 */     GIR_RootConstrainSelectedInstOperands,
     /*  999680 */     // GIR_Coverage, 23339,
     /*  999680 */     GIR_EraseRootFromParent_Done,
     /*  999681 */   // Label 14651: @999681
     /*  999681 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(999776), // Rule ID 23342 //
     /*  999686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  999703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999725 */     // MIs[0] policy
     /*  999725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  999752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999774 */     GIR_RootConstrainSelectedInstOperands,
     /*  999775 */     // GIR_Coverage, 23342,
     /*  999775 */     GIR_EraseRootFromParent_Done,
     /*  999776 */   // Label 14652: @999776
     /*  999776 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(999871), // Rule ID 23343 //
     /*  999781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  999798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  999801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  999808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999820 */     // MIs[0] policy
     /*  999820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999830 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /*  999847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999869 */     GIR_RootConstrainSelectedInstOperands,
     /*  999870 */     // GIR_Coverage, 23343,
     /*  999870 */     GIR_EraseRootFromParent_Done,
     /*  999871 */   // Label 14653: @999871
     /*  999871 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(999966), // Rule ID 23346 //
     /*  999876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  999879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  999893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999915 */     // MIs[0] policy
     /*  999915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999925 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  999929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /*  999935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /*  999939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /*  999942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  999954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  999962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999964 */     GIR_RootConstrainSelectedInstOperands,
     /*  999965 */     // GIR_Coverage, 23346,
     /*  999965 */     GIR_EraseRootFromParent_Done,
     /*  999966 */   // Label 14654: @999966
     /*  999966 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(1000061), // Rule ID 23347 //
     /*  999971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  999974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  999988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  999991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  999998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000010 */     // MIs[0] policy
     /* 1000010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000020 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10958:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1000024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1000030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1000034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1000037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1000049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000060 */     // GIR_Coverage, 23347,
     /* 1000060 */     GIR_EraseRootFromParent_Done,
     /* 1000061 */   // Label 14655: @1000061
     /* 1000061 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(1000156), // Rule ID 23350 //
     /* 1000066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1000069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1000074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1000083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000105 */     // MIs[0] policy
     /* 1000105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1000119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1000125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1000129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1000132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1000144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000155 */     // GIR_Coverage, 23350,
     /* 1000155 */     GIR_EraseRootFromParent_Done,
     /* 1000156 */   // Label 14656: @1000156
     /* 1000156 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(1000251), // Rule ID 23351 //
     /* 1000161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1000164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1000169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1000172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1000175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1000178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1000188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1000192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000200 */     // MIs[0] policy
     /* 1000200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10958:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1000214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1000220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1000224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1000227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1000239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000250 */     // GIR_Coverage, 23351,
     /* 1000250 */     GIR_EraseRootFromParent_Done,
     /* 1000251 */   // Label 14657: @1000251
     /* 1000251 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(1000346), // Rule ID 23354 //
     /* 1000256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1000259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1000264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1000273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000295 */     // MIs[0] policy
     /* 1000295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000305 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1000309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1000315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1000319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1000322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1000334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000345 */     // GIR_Coverage, 23354,
     /* 1000345 */     GIR_EraseRootFromParent_Done,
     /* 1000346 */   // Label 14658: @1000346
     /* 1000346 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(1000441), // Rule ID 23355 //
     /* 1000351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1000354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1000359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1000362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1000365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1000368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1000378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1000382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000390 */     // MIs[0] policy
     /* 1000390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10958:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1000404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1000410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1000414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1000417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1000429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1000437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000440 */     // GIR_Coverage, 23355,
     /* 1000440 */     GIR_EraseRootFromParent_Done,
     /* 1000441 */   // Label 14659: @1000441
     /* 1000441 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(1000518), // Rule ID 23460 //
     /* 1000446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1000466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000485 */     // MIs[0] policy
     /* 1000485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000495 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1000498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000517 */     // GIR_Coverage, 23460,
     /* 1000517 */     GIR_EraseRootFromParent_Done,
     /* 1000518 */   // Label 14660: @1000518
     /* 1000518 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(1000595), // Rule ID 23461 //
     /* 1000523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1000543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000562 */     // MIs[0] policy
     /* 1000562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1000575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000594 */     // GIR_Coverage, 23461,
     /* 1000594 */     GIR_EraseRootFromParent_Done,
     /* 1000595 */   // Label 14661: @1000595
     /* 1000595 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(1000672), // Rule ID 23464 //
     /* 1000600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1000611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1000614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1000620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000639 */     // MIs[0] policy
     /* 1000639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000649 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1000652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000671 */     // GIR_Coverage, 23464,
     /* 1000671 */     GIR_EraseRootFromParent_Done,
     /* 1000672 */   // Label 14662: @1000672
     /* 1000672 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(1000749), // Rule ID 23465 //
     /* 1000677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1000688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1000691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1000697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000716 */     // MIs[0] policy
     /* 1000716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1000729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000748 */     // GIR_Coverage, 23465,
     /* 1000748 */     GIR_EraseRootFromParent_Done,
     /* 1000749 */   // Label 14663: @1000749
     /* 1000749 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(1000826), // Rule ID 23468 //
     /* 1000754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1000765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1000768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1000774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000793 */     // MIs[0] policy
     /* 1000793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1000806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000825 */     // GIR_Coverage, 23468,
     /* 1000825 */     GIR_EraseRootFromParent_Done,
     /* 1000826 */   // Label 14664: @1000826
     /* 1000826 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(1000903), // Rule ID 23469 //
     /* 1000831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1000842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1000845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1000851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000870 */     // MIs[0] policy
     /* 1000870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1000883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000902 */     // GIR_Coverage, 23469,
     /* 1000902 */     GIR_EraseRootFromParent_Done,
     /* 1000903 */   // Label 14665: @1000903
     /* 1000903 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(1000980), // Rule ID 23472 //
     /* 1000908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1000928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1000947 */     // MIs[0] policy
     /* 1000947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000957 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1000960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000979 */     // GIR_Coverage, 23472,
     /* 1000979 */     GIR_EraseRootFromParent_Done,
     /* 1000980 */   // Label 14666: @1000980
     /* 1000980 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(1001057), // Rule ID 23473 //
     /* 1000985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1000993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001024 */     // MIs[0] policy
     /* 1001024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1001037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001056 */     // GIR_Coverage, 23473,
     /* 1001056 */     GIR_EraseRootFromParent_Done,
     /* 1001057 */   // Label 14667: @1001057
     /* 1001057 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(1001134), // Rule ID 23476 //
     /* 1001062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1001073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1001076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001101 */     // MIs[0] policy
     /* 1001101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001111 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1001114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001133 */     // GIR_Coverage, 23476,
     /* 1001133 */     GIR_EraseRootFromParent_Done,
     /* 1001134 */   // Label 14668: @1001134
     /* 1001134 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(1001211), // Rule ID 23477 //
     /* 1001139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1001150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1001153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001178 */     // MIs[0] policy
     /* 1001178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1001191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001210 */     // GIR_Coverage, 23477,
     /* 1001210 */     GIR_EraseRootFromParent_Done,
     /* 1001211 */   // Label 14669: @1001211
     /* 1001211 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(1001288), // Rule ID 23480 //
     /* 1001216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001255 */     // MIs[0] policy
     /* 1001255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001265 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1001268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001287 */     // GIR_Coverage, 23480,
     /* 1001287 */     GIR_EraseRootFromParent_Done,
     /* 1001288 */   // Label 14670: @1001288
     /* 1001288 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(1001365), // Rule ID 23481 //
     /* 1001293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1001310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001332 */     // MIs[0] policy
     /* 1001332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1001345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001364 */     // GIR_Coverage, 23481,
     /* 1001364 */     GIR_EraseRootFromParent_Done,
     /* 1001365 */   // Label 14671: @1001365
     /* 1001365 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(1001442), // Rule ID 23484 //
     /* 1001370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1001381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1001384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001409 */     // MIs[0] policy
     /* 1001409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001441 */     // GIR_Coverage, 23484,
     /* 1001441 */     GIR_EraseRootFromParent_Done,
     /* 1001442 */   // Label 14672: @1001442
     /* 1001442 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(1001519), // Rule ID 23485 //
     /* 1001447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1001458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1001461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001486 */     // MIs[0] policy
     /* 1001486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001496 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11185:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1001515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001518 */     // GIR_Coverage, 23485,
     /* 1001518 */     GIR_EraseRootFromParent_Done,
     /* 1001519 */   // Label 14673: @1001519
     /* 1001519 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(1001596), // Rule ID 23488 //
     /* 1001524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1001535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1001538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001563 */     // MIs[0] policy
     /* 1001563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001595 */     // GIR_Coverage, 23488,
     /* 1001595 */     GIR_EraseRootFromParent_Done,
     /* 1001596 */   // Label 14674: @1001596
     /* 1001596 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(1001673), // Rule ID 23489 //
     /* 1001601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1001612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1001615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001640 */     // MIs[0] policy
     /* 1001640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001672 */     // GIR_Coverage, 23489,
     /* 1001672 */     GIR_EraseRootFromParent_Done,
     /* 1001673 */   // Label 14675: @1001673
     /* 1001673 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(1001750), // Rule ID 23492 //
     /* 1001678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001717 */     // MIs[0] policy
     /* 1001717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001749 */     // GIR_Coverage, 23492,
     /* 1001749 */     GIR_EraseRootFromParent_Done,
     /* 1001750 */   // Label 14676: @1001750
     /* 1001750 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(1001827), // Rule ID 23493 //
     /* 1001755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1001772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001794 */     // MIs[0] policy
     /* 1001794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001826 */     // GIR_Coverage, 23493,
     /* 1001826 */     GIR_EraseRootFromParent_Done,
     /* 1001827 */   // Label 14677: @1001827
     /* 1001827 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(1001904), // Rule ID 23496 //
     /* 1001832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1001835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1001849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1001852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001871 */     // MIs[0] policy
     /* 1001871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001903 */     // GIR_Coverage, 23496,
     /* 1001903 */     GIR_EraseRootFromParent_Done,
     /* 1001904 */   // Label 14678: @1001904
     /* 1001904 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(1001981), // Rule ID 23497 //
     /* 1001909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1001912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1001920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1001923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1001926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1001929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1001948 */     // MIs[0] policy
     /* 1001948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1001961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1001965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1001967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1001969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1001977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001980 */     // GIR_Coverage, 23497,
     /* 1001980 */     GIR_EraseRootFromParent_Done,
     /* 1001981 */   // Label 14679: @1001981
     /* 1001981 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(1002058), // Rule ID 23500 //
     /* 1001986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1001994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1001997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1002000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002025 */     // MIs[0] policy
     /* 1002025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1002038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002057 */     // GIR_Coverage, 23500,
     /* 1002057 */     GIR_EraseRootFromParent_Done,
     /* 1002058 */   // Label 14680: @1002058
     /* 1002058 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(1002135), // Rule ID 23501 //
     /* 1002063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1002074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1002077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1002080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002102 */     // MIs[0] policy
     /* 1002102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1002115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002134 */     // GIR_Coverage, 23501,
     /* 1002134 */     GIR_EraseRootFromParent_Done,
     /* 1002135 */   // Label 14681: @1002135
     /* 1002135 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(1002212), // Rule ID 23504 //
     /* 1002140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1002151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1002154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1002157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002179 */     // MIs[0] policy
     /* 1002179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1002192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002211 */     // GIR_Coverage, 23504,
     /* 1002211 */     GIR_EraseRootFromParent_Done,
     /* 1002212 */   // Label 14682: @1002212
     /* 1002212 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(1002289), // Rule ID 23505 //
     /* 1002217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1002228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1002231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1002234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002256 */     // MIs[0] policy
     /* 1002256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1002269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002288 */     // GIR_Coverage, 23505,
     /* 1002288 */     GIR_EraseRootFromParent_Done,
     /* 1002289 */   // Label 14683: @1002289
     /* 1002289 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(1002366), // Rule ID 23508 //
     /* 1002294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1002305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1002308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1002311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002333 */     // MIs[0] policy
     /* 1002333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002343 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1002346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002365 */     // GIR_Coverage, 23508,
     /* 1002365 */     GIR_EraseRootFromParent_Done,
     /* 1002366 */   // Label 14684: @1002366
     /* 1002366 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(1002443), // Rule ID 23509 //
     /* 1002371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1002382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1002385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1002388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002410 */     // MIs[0] policy
     /* 1002410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1002423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1002439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002442 */     // GIR_Coverage, 23509,
     /* 1002442 */     GIR_EraseRootFromParent_Done,
     /* 1002443 */   // Label 14685: @1002443
     /* 1002443 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(1002520), // Rule ID 23512 //
     /* 1002448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1002459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1002462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1002465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002487 */     // MIs[0] policy
     /* 1002487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1002500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002519 */     // GIR_Coverage, 23512,
     /* 1002519 */     GIR_EraseRootFromParent_Done,
     /* 1002520 */   // Label 14686: @1002520
     /* 1002520 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(1002597), // Rule ID 23513 //
     /* 1002525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1002536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1002539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1002542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002564 */     // MIs[0] policy
     /* 1002564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1002577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002596 */     // GIR_Coverage, 23513,
     /* 1002596 */     GIR_EraseRootFromParent_Done,
     /* 1002597 */   // Label 14687: @1002597
     /* 1002597 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(1002674), // Rule ID 23516 //
     /* 1002602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1002613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1002616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002641 */     // MIs[0] policy
     /* 1002641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1002654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002673 */     // GIR_Coverage, 23516,
     /* 1002673 */     GIR_EraseRootFromParent_Done,
     /* 1002674 */   // Label 14688: @1002674
     /* 1002674 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(1002751), // Rule ID 23517 //
     /* 1002679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1002690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1002693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002718 */     // MIs[0] policy
     /* 1002718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002728 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1002731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002750 */     // GIR_Coverage, 23517,
     /* 1002750 */     GIR_EraseRootFromParent_Done,
     /* 1002751 */   // Label 14689: @1002751
     /* 1002751 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(1002828), // Rule ID 23520 //
     /* 1002756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1002767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1002770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1002773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002795 */     // MIs[0] policy
     /* 1002795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002805 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1002808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002827 */     // GIR_Coverage, 23520,
     /* 1002827 */     GIR_EraseRootFromParent_Done,
     /* 1002828 */   // Label 14690: @1002828
     /* 1002828 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(1002905), // Rule ID 23521 //
     /* 1002833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1002844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1002847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1002850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1002853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002872 */     // MIs[0] policy
     /* 1002872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1002885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1002901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002904 */     // GIR_Coverage, 23521,
     /* 1002904 */     GIR_EraseRootFromParent_Done,
     /* 1002905 */   // Label 14691: @1002905
     /* 1002905 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(1002982), // Rule ID 23524 //
     /* 1002910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1002924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1002930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1002949 */     // MIs[0] policy
     /* 1002949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002959 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1002962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1002966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1002968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1002970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002981 */     // GIR_Coverage, 23524,
     /* 1002981 */     GIR_EraseRootFromParent_Done,
     /* 1002982 */   // Label 14692: @1002982
     /* 1002982 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(1003059), // Rule ID 23525 //
     /* 1002987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1002995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1002998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1003004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003026 */     // MIs[0] policy
     /* 1003026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003036 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1003039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003058 */     // GIR_Coverage, 23525,
     /* 1003058 */     GIR_EraseRootFromParent_Done,
     /* 1003059 */   // Label 14693: @1003059
     /* 1003059 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(1003136), // Rule ID 23528 //
     /* 1003064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1003081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003103 */     // MIs[0] policy
     /* 1003103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1003116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003135 */     // GIR_Coverage, 23528,
     /* 1003135 */     GIR_EraseRootFromParent_Done,
     /* 1003136 */   // Label 14694: @1003136
     /* 1003136 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(1003213), // Rule ID 23529 //
     /* 1003141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1003158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003180 */     // MIs[0] policy
     /* 1003180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003190 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1003193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003212 */     // GIR_Coverage, 23529,
     /* 1003212 */     GIR_EraseRootFromParent_Done,
     /* 1003213 */   // Label 14695: @1003213
     /* 1003213 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(1003290), // Rule ID 23532 //
     /* 1003218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1003235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003257 */     // MIs[0] policy
     /* 1003257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1003270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003289 */     // GIR_Coverage, 23532,
     /* 1003289 */     GIR_EraseRootFromParent_Done,
     /* 1003290 */   // Label 14696: @1003290
     /* 1003290 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(1003367), // Rule ID 23533 //
     /* 1003295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1003312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003334 */     // MIs[0] policy
     /* 1003334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1003347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003366 */     // GIR_Coverage, 23533,
     /* 1003366 */     GIR_EraseRootFromParent_Done,
     /* 1003367 */   // Label 14697: @1003367
     /* 1003367 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(1003444), // Rule ID 23536 //
     /* 1003372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1003375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1003389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003411 */     // MIs[0] policy
     /* 1003411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003421 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1003424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003443 */     // GIR_Coverage, 23536,
     /* 1003443 */     GIR_EraseRootFromParent_Done,
     /* 1003444 */   // Label 14698: @1003444
     /* 1003444 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(1003521), // Rule ID 23537 //
     /* 1003449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1003452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1003466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003488 */     // MIs[0] policy
     /* 1003488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1003501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003520 */     // GIR_Coverage, 23537,
     /* 1003520 */     GIR_EraseRootFromParent_Done,
     /* 1003521 */   // Label 14699: @1003521
     /* 1003521 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(1003598), // Rule ID 23540 //
     /* 1003526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1003529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1003543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003565 */     // MIs[0] policy
     /* 1003565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003575 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1003578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003597 */     // GIR_Coverage, 23540,
     /* 1003597 */     GIR_EraseRootFromParent_Done,
     /* 1003598 */   // Label 14700: @1003598
     /* 1003598 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(1003675), // Rule ID 23541 //
     /* 1003603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1003606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1003620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003642 */     // MIs[0] policy
     /* 1003642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003652 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1003655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003674 */     // GIR_Coverage, 23541,
     /* 1003674 */     GIR_EraseRootFromParent_Done,
     /* 1003675 */   // Label 14701: @1003675
     /* 1003675 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(1003752), // Rule ID 23544 //
     /* 1003680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1003683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1003697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003719 */     // MIs[0] policy
     /* 1003719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003729 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1003732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003751 */     // GIR_Coverage, 23544,
     /* 1003751 */     GIR_EraseRootFromParent_Done,
     /* 1003752 */   // Label 14702: @1003752
     /* 1003752 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(1003829), // Rule ID 23545 //
     /* 1003757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1003760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1003765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1003768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1003771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1003774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003796 */     // MIs[0] policy
     /* 1003796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003806 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1003809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003828 */     // GIR_Coverage, 23545,
     /* 1003828 */     GIR_EraseRootFromParent_Done,
     /* 1003829 */   // Label 14703: @1003829
     /* 1003829 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(1003906), // Rule ID 23636 //
     /* 1003834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1003842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1003845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1003848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1003854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003873 */     // MIs[0] policy
     /* 1003873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003883 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1003886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003905 */     // GIR_Coverage, 23636,
     /* 1003905 */     GIR_EraseRootFromParent_Done,
     /* 1003906 */   // Label 14704: @1003906
     /* 1003906 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(1003983), // Rule ID 23637 //
     /* 1003911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1003919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1003922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1003925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1003928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1003931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1003950 */     // MIs[0] policy
     /* 1003950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003960 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1003963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1003967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1003969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1003971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1003979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003982 */     // GIR_Coverage, 23637,
     /* 1003982 */     GIR_EraseRootFromParent_Done,
     /* 1003983 */   // Label 14705: @1003983
     /* 1003983 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(1004060), // Rule ID 23640 //
     /* 1003988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1003996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1003999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004027 */     // MIs[0] policy
     /* 1004027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1004040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004059 */     // GIR_Coverage, 23640,
     /* 1004059 */     GIR_EraseRootFromParent_Done,
     /* 1004060 */   // Label 14706: @1004060
     /* 1004060 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(1004137), // Rule ID 23641 //
     /* 1004065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1004076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1004079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004104 */     // MIs[0] policy
     /* 1004104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004114 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1004117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004136 */     // GIR_Coverage, 23641,
     /* 1004136 */     GIR_EraseRootFromParent_Done,
     /* 1004137 */   // Label 14707: @1004137
     /* 1004137 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(1004214), // Rule ID 23644 //
     /* 1004142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004181 */     // MIs[0] policy
     /* 1004181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004191 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004213 */     // GIR_Coverage, 23644,
     /* 1004213 */     GIR_EraseRootFromParent_Done,
     /* 1004214 */   // Label 14708: @1004214
     /* 1004214 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(1004291), // Rule ID 23645 //
     /* 1004219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1004230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1004233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004258 */     // MIs[0] policy
     /* 1004258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004268 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004290 */     // GIR_Coverage, 23645,
     /* 1004290 */     GIR_EraseRootFromParent_Done,
     /* 1004291 */   // Label 14709: @1004291
     /* 1004291 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(1004368), // Rule ID 23648 //
     /* 1004296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004335 */     // MIs[0] policy
     /* 1004335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004345 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1004348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004367 */     // GIR_Coverage, 23648,
     /* 1004367 */     GIR_EraseRootFromParent_Done,
     /* 1004368 */   // Label 14710: @1004368
     /* 1004368 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(1004445), // Rule ID 23649 //
     /* 1004373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1004390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004412 */     // MIs[0] policy
     /* 1004412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1004425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004444 */     // GIR_Coverage, 23649,
     /* 1004444 */     GIR_EraseRootFromParent_Done,
     /* 1004445 */   // Label 14711: @1004445
     /* 1004445 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(1004522), // Rule ID 23652 //
     /* 1004450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004489 */     // MIs[0] policy
     /* 1004489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004499 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004521 */     // GIR_Coverage, 23652,
     /* 1004521 */     GIR_EraseRootFromParent_Done,
     /* 1004522 */   // Label 14712: @1004522
     /* 1004522 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(1004599), // Rule ID 23653 //
     /* 1004527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1004544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004566 */     // MIs[0] policy
     /* 1004566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004576 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004598 */     // GIR_Coverage, 23653,
     /* 1004598 */     GIR_EraseRootFromParent_Done,
     /* 1004599 */   // Label 14713: @1004599
     /* 1004599 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(1004676), // Rule ID 23656 //
     /* 1004604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004643 */     // MIs[0] policy
     /* 1004643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004653 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004675 */     // GIR_Coverage, 23656,
     /* 1004675 */     GIR_EraseRootFromParent_Done,
     /* 1004676 */   // Label 14714: @1004676
     /* 1004676 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(1004753), // Rule ID 23657 //
     /* 1004681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1004692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1004695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1004698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004720 */     // MIs[0] policy
     /* 1004720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1004733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1004749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004752 */     // GIR_Coverage, 23657,
     /* 1004752 */     GIR_EraseRootFromParent_Done,
     /* 1004753 */   // Label 14715: @1004753
     /* 1004753 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(1004830), // Rule ID 23660 //
     /* 1004758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004797 */     // MIs[0] policy
     /* 1004797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1004810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004829 */     // GIR_Coverage, 23660,
     /* 1004829 */     GIR_EraseRootFromParent_Done,
     /* 1004830 */   // Label 14716: @1004830
     /* 1004830 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(1004907), // Rule ID 23661 //
     /* 1004835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1004846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1004849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1004855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004874 */     // MIs[0] policy
     /* 1004874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004884 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1004887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1004903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004906 */     // GIR_Coverage, 23661,
     /* 1004906 */     GIR_EraseRootFromParent_Done,
     /* 1004907 */   // Label 14717: @1004907
     /* 1004907 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(1004984), // Rule ID 23664 //
     /* 1004912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1004923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1004926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1004929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1004932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1004951 */     // MIs[0] policy
     /* 1004951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1004964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1004968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1004970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1004972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004983 */     // GIR_Coverage, 23664,
     /* 1004983 */     GIR_EraseRootFromParent_Done,
     /* 1004984 */   // Label 14718: @1004984
     /* 1004984 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(1005061), // Rule ID 23665 //
     /* 1004989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1004997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1005006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005028 */     // MIs[0] policy
     /* 1005028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1005041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005060 */     // GIR_Coverage, 23665,
     /* 1005060 */     GIR_EraseRootFromParent_Done,
     /* 1005061 */   // Label 14719: @1005061
     /* 1005061 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(1005138), // Rule ID 23668 //
     /* 1005066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005105 */     // MIs[0] policy
     /* 1005105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1005118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005137 */     // GIR_Coverage, 23668,
     /* 1005137 */     GIR_EraseRootFromParent_Done,
     /* 1005138 */   // Label 14720: @1005138
     /* 1005138 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(1005215), // Rule ID 23669 //
     /* 1005143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1005160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005182 */     // MIs[0] policy
     /* 1005182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1005195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005214 */     // GIR_Coverage, 23669,
     /* 1005214 */     GIR_EraseRootFromParent_Done,
     /* 1005215 */   // Label 14721: @1005215
     /* 1005215 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(1005292), // Rule ID 23672 //
     /* 1005220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1005223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005259 */     // MIs[0] policy
     /* 1005259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005269 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1005272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005291 */     // GIR_Coverage, 23672,
     /* 1005291 */     GIR_EraseRootFromParent_Done,
     /* 1005292 */   // Label 14722: @1005292
     /* 1005292 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(1005369), // Rule ID 23673 //
     /* 1005297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1005300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1005308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1005311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1005314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005336 */     // MIs[0] policy
     /* 1005336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1005349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1005365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005368 */     // GIR_Coverage, 23673,
     /* 1005368 */     GIR_EraseRootFromParent_Done,
     /* 1005369 */   // Label 14723: @1005369
     /* 1005369 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(1005446), // Rule ID 23676 //
     /* 1005374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005413 */     // MIs[0] policy
     /* 1005413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005423 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1005426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005445 */     // GIR_Coverage, 23676,
     /* 1005445 */     GIR_EraseRootFromParent_Done,
     /* 1005446 */   // Label 14724: @1005446
     /* 1005446 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(1005523), // Rule ID 23677 //
     /* 1005451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1005462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1005465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005490 */     // MIs[0] policy
     /* 1005490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005500 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1005503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005522 */     // GIR_Coverage, 23677,
     /* 1005522 */     GIR_EraseRootFromParent_Done,
     /* 1005523 */   // Label 14725: @1005523
     /* 1005523 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(1005600), // Rule ID 23680 //
     /* 1005528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005567 */     // MIs[0] policy
     /* 1005567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005577 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1005580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005599 */     // GIR_Coverage, 23680,
     /* 1005599 */     GIR_EraseRootFromParent_Done,
     /* 1005600 */   // Label 14726: @1005600
     /* 1005600 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(1005677), // Rule ID 23681 //
     /* 1005605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1005616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1005619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005644 */     // MIs[0] policy
     /* 1005644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005654 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1005657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005676 */     // GIR_Coverage, 23681,
     /* 1005676 */     GIR_EraseRootFromParent_Done,
     /* 1005677 */   // Label 14727: @1005677
     /* 1005677 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(1005754), // Rule ID 23684 //
     /* 1005682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005721 */     // MIs[0] policy
     /* 1005721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1005734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005753 */     // GIR_Coverage, 23684,
     /* 1005753 */     GIR_EraseRootFromParent_Done,
     /* 1005754 */   // Label 14728: @1005754
     /* 1005754 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(1005831), // Rule ID 23685 //
     /* 1005759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1005770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1005773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1005776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005798 */     // MIs[0] policy
     /* 1005798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005808 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1005811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1005827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005830 */     // GIR_Coverage, 23685,
     /* 1005830 */     GIR_EraseRootFromParent_Done,
     /* 1005831 */   // Label 14729: @1005831
     /* 1005831 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(1005908), // Rule ID 23688 //
     /* 1005836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1005856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005875 */     // MIs[0] policy
     /* 1005875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1005888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005907 */     // GIR_Coverage, 23688,
     /* 1005907 */     GIR_EraseRootFromParent_Done,
     /* 1005908 */   // Label 14730: @1005908
     /* 1005908 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(1005985), // Rule ID 23689 //
     /* 1005913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1005930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1005933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1005952 */     // MIs[0] policy
     /* 1005952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005962 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1005965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1005969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1005971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1005973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005984 */     // GIR_Coverage, 23689,
     /* 1005984 */     GIR_EraseRootFromParent_Done,
     /* 1005985 */   // Label 14731: @1005985
     /* 1005985 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(1006062), // Rule ID 23692 //
     /* 1005990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1005998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006029 */     // MIs[0] policy
     /* 1006029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006039 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1006042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006061 */     // GIR_Coverage, 23692,
     /* 1006061 */     GIR_EraseRootFromParent_Done,
     /* 1006062 */   // Label 14732: @1006062
     /* 1006062 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(1006139), // Rule ID 23693 //
     /* 1006067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1006078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1006081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006106 */     // MIs[0] policy
     /* 1006106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1006119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006138 */     // GIR_Coverage, 23693,
     /* 1006138 */     GIR_EraseRootFromParent_Done,
     /* 1006139 */   // Label 14733: @1006139
     /* 1006139 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(1006216), // Rule ID 23696 //
     /* 1006144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006183 */     // MIs[0] policy
     /* 1006183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006193 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1006196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006215 */     // GIR_Coverage, 23696,
     /* 1006215 */     GIR_EraseRootFromParent_Done,
     /* 1006216 */   // Label 14734: @1006216
     /* 1006216 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(1006293), // Rule ID 23697 //
     /* 1006221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1006232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1006235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1006238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006260 */     // MIs[0] policy
     /* 1006260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006270 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1006273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1006289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006292 */     // GIR_Coverage, 23697,
     /* 1006292 */     GIR_EraseRootFromParent_Done,
     /* 1006293 */   // Label 14735: @1006293
     /* 1006293 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(1006370), // Rule ID 23700 //
     /* 1006298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006337 */     // MIs[0] policy
     /* 1006337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1006350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006369 */     // GIR_Coverage, 23700,
     /* 1006369 */     GIR_EraseRootFromParent_Done,
     /* 1006370 */   // Label 14736: @1006370
     /* 1006370 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(1006447), // Rule ID 23701 //
     /* 1006375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006414 */     // MIs[0] policy
     /* 1006414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006424 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1006427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006446 */     // GIR_Coverage, 23701,
     /* 1006446 */     GIR_EraseRootFromParent_Done,
     /* 1006447 */   // Label 14737: @1006447
     /* 1006447 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(1006524), // Rule ID 23704 //
     /* 1006452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006491 */     // MIs[0] policy
     /* 1006491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1006504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006523 */     // GIR_Coverage, 23704,
     /* 1006523 */     GIR_EraseRootFromParent_Done,
     /* 1006524 */   // Label 14738: @1006524
     /* 1006524 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(1006601), // Rule ID 23705 //
     /* 1006529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006568 */     // MIs[0] policy
     /* 1006568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006578 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1006581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006600 */     // GIR_Coverage, 23705,
     /* 1006600 */     GIR_EraseRootFromParent_Done,
     /* 1006601 */   // Label 14739: @1006601
     /* 1006601 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(1006678), // Rule ID 23708 //
     /* 1006606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006645 */     // MIs[0] policy
     /* 1006645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1006658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006677 */     // GIR_Coverage, 23708,
     /* 1006677 */     GIR_EraseRootFromParent_Done,
     /* 1006678 */   // Label 14740: @1006678
     /* 1006678 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(1006755), // Rule ID 23709 //
     /* 1006683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1006700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006722 */     // MIs[0] policy
     /* 1006722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1006735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006754 */     // GIR_Coverage, 23709,
     /* 1006754 */     GIR_EraseRootFromParent_Done,
     /* 1006755 */   // Label 14741: @1006755
     /* 1006755 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(1006832), // Rule ID 23712 //
     /* 1006760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006799 */     // MIs[0] policy
     /* 1006799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006809 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1006812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006831 */     // GIR_Coverage, 23712,
     /* 1006831 */     GIR_EraseRootFromParent_Done,
     /* 1006832 */   // Label 14742: @1006832
     /* 1006832 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(1006909), // Rule ID 23713 //
     /* 1006837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1006854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1006857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006876 */     // MIs[0] policy
     /* 1006876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1006889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006908 */     // GIR_Coverage, 23713,
     /* 1006908 */     GIR_EraseRootFromParent_Done,
     /* 1006909 */   // Label 14743: @1006909
     /* 1006909 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(1006986), // Rule ID 23716 //
     /* 1006914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1006917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1006931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1006934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1006953 */     // MIs[0] policy
     /* 1006953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1006966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1006970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1006972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1006974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006985 */     // GIR_Coverage, 23716,
     /* 1006985 */     GIR_EraseRootFromParent_Done,
     /* 1006986 */   // Label 14744: @1006986
     /* 1006986 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(1007063), // Rule ID 23717 //
     /* 1006991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1006994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1006999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1007002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1007005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1007008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007030 */     // MIs[0] policy
     /* 1007030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1007043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007062 */     // GIR_Coverage, 23717,
     /* 1007062 */     GIR_EraseRootFromParent_Done,
     /* 1007063 */   // Label 14745: @1007063
     /* 1007063 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(1007140), // Rule ID 23720 //
     /* 1007068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1007071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1007076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007107 */     // MIs[0] policy
     /* 1007107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007117 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1007120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007139 */     // GIR_Coverage, 23720,
     /* 1007139 */     GIR_EraseRootFromParent_Done,
     /* 1007140 */   // Label 14746: @1007140
     /* 1007140 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(1007217), // Rule ID 23721 //
     /* 1007145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1007148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1007153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1007162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007184 */     // MIs[0] policy
     /* 1007184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1007197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007216 */     // GIR_Coverage, 23721,
     /* 1007216 */     GIR_EraseRootFromParent_Done,
     /* 1007217 */   // Label 14747: @1007217
     /* 1007217 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(1007294), // Rule ID 23988 //
     /* 1007222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1007225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007261 */     // MIs[0] policy
     /* 1007261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007271 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1007274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007293 */     // GIR_Coverage, 23988,
     /* 1007293 */     GIR_EraseRootFromParent_Done,
     /* 1007294 */   // Label 14748: @1007294
     /* 1007294 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(1007371), // Rule ID 23989 //
     /* 1007299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1007302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1007310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1007313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007338 */     // MIs[0] policy
     /* 1007338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007348 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1007351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007370 */     // GIR_Coverage, 23989,
     /* 1007370 */     GIR_EraseRootFromParent_Done,
     /* 1007371 */   // Label 14749: @1007371
     /* 1007371 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(1007448), // Rule ID 23992 //
     /* 1007376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1007379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007415 */     // MIs[0] policy
     /* 1007415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007425 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1007428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007447 */     // GIR_Coverage, 23992,
     /* 1007447 */     GIR_EraseRootFromParent_Done,
     /* 1007448 */   // Label 14750: @1007448
     /* 1007448 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(1007525), // Rule ID 23993 //
     /* 1007453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1007456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1007464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1007467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1007470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007492 */     // MIs[0] policy
     /* 1007492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007502 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1007505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007524 */     // GIR_Coverage, 23993,
     /* 1007524 */     GIR_EraseRootFromParent_Done,
     /* 1007525 */   // Label 14751: @1007525
     /* 1007525 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(1007602), // Rule ID 23996 //
     /* 1007530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1007533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1007547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007569 */     // MIs[0] policy
     /* 1007569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007579 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1007582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007601 */     // GIR_Coverage, 23996,
     /* 1007601 */     GIR_EraseRootFromParent_Done,
     /* 1007602 */   // Label 14752: @1007602
     /* 1007602 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(1007679), // Rule ID 23997 //
     /* 1007607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1007610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1007624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007646 */     // MIs[0] policy
     /* 1007646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007656 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1007659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007678 */     // GIR_Coverage, 23997,
     /* 1007678 */     GIR_EraseRootFromParent_Done,
     /* 1007679 */   // Label 14753: @1007679
     /* 1007679 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(1007756), // Rule ID 24000 //
     /* 1007684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1007687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1007695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1007698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007723 */     // MIs[0] policy
     /* 1007723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1007736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007755 */     // GIR_Coverage, 24000,
     /* 1007755 */     GIR_EraseRootFromParent_Done,
     /* 1007756 */   // Label 14754: @1007756
     /* 1007756 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(1007833), // Rule ID 24001 //
     /* 1007761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1007764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1007772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1007775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1007778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007800 */     // MIs[0] policy
     /* 1007800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1007813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1007829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007832 */     // GIR_Coverage, 24001,
     /* 1007832 */     GIR_EraseRootFromParent_Done,
     /* 1007833 */   // Label 14755: @1007833
     /* 1007833 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(1007910), // Rule ID 24004 //
     /* 1007838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1007841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1007855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1007858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007877 */     // MIs[0] policy
     /* 1007877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1007890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007909 */     // GIR_Coverage, 24004,
     /* 1007909 */     GIR_EraseRootFromParent_Done,
     /* 1007910 */   // Label 14756: @1007910
     /* 1007910 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(1007987), // Rule ID 24005 //
     /* 1007915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1007918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1007923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1007932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1007935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1007954 */     // MIs[0] policy
     /* 1007954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1007967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1007971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1007973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1007975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007986 */     // GIR_Coverage, 24005,
     /* 1007986 */     GIR_EraseRootFromParent_Done,
     /* 1007987 */   // Label 14757: @1007987
     /* 1007987 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(1008064), // Rule ID 24008 //
     /* 1007992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1007995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1008009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008031 */     // MIs[0] policy
     /* 1008031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1008044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008063 */     // GIR_Coverage, 24008,
     /* 1008063 */     GIR_EraseRootFromParent_Done,
     /* 1008064 */   // Label 14758: @1008064
     /* 1008064 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(1008141), // Rule ID 24009 //
     /* 1008069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1008072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1008086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008108 */     // MIs[0] policy
     /* 1008108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008118 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1008121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008140 */     // GIR_Coverage, 24009,
     /* 1008140 */     GIR_EraseRootFromParent_Done,
     /* 1008141 */   // Label 14759: @1008141
     /* 1008141 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(1008218), // Rule ID 24012 //
     /* 1008146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1008149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1008157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1008160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1008163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008185 */     // MIs[0] policy
     /* 1008185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008195 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1008198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008217 */     // GIR_Coverage, 24012,
     /* 1008217 */     GIR_EraseRootFromParent_Done,
     /* 1008218 */   // Label 14760: @1008218
     /* 1008218 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(1008295), // Rule ID 24013 //
     /* 1008223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1008226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1008234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1008237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1008240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008262 */     // MIs[0] policy
     /* 1008262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008272 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1008275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008294 */     // GIR_Coverage, 24013,
     /* 1008294 */     GIR_EraseRootFromParent_Done,
     /* 1008295 */   // Label 14761: @1008295
     /* 1008295 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(1008372), // Rule ID 24016 //
     /* 1008300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1008303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1008311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1008314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1008317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008339 */     // MIs[0] policy
     /* 1008339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008349 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1008352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008371 */     // GIR_Coverage, 24016,
     /* 1008371 */     GIR_EraseRootFromParent_Done,
     /* 1008372 */   // Label 14762: @1008372
     /* 1008372 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(1008449), // Rule ID 24017 //
     /* 1008377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1008380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1008388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1008391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1008394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008416 */     // MIs[0] policy
     /* 1008416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008426 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1008429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008448 */     // GIR_Coverage, 24017,
     /* 1008448 */     GIR_EraseRootFromParent_Done,
     /* 1008449 */   // Label 14763: @1008449
     /* 1008449 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(1008526), // Rule ID 24020 //
     /* 1008454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1008457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1008465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1008468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1008471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008493 */     // MIs[0] policy
     /* 1008493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008503 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1008506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008525 */     // GIR_Coverage, 24020,
     /* 1008525 */     GIR_EraseRootFromParent_Done,
     /* 1008526 */   // Label 14764: @1008526
     /* 1008526 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(1008603), // Rule ID 24021 //
     /* 1008531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1008534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1008542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1008545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1008548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008570 */     // MIs[0] policy
     /* 1008570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008580 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1008583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1008599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008602 */     // GIR_Coverage, 24021,
     /* 1008602 */     GIR_EraseRootFromParent_Done,
     /* 1008603 */   // Label 14765: @1008603
     /* 1008603 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(1008680), // Rule ID 24024 //
     /* 1008608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1008611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1008619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1008622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1008625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008647 */     // MIs[0] policy
     /* 1008647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008657 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1008660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008679 */     // GIR_Coverage, 24024,
     /* 1008679 */     GIR_EraseRootFromParent_Done,
     /* 1008680 */   // Label 14766: @1008680
     /* 1008680 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(1008757), // Rule ID 24025 //
     /* 1008685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1008688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1008696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1008699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1008702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008724 */     // MIs[0] policy
     /* 1008724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008734 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1008737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008756 */     // GIR_Coverage, 24025,
     /* 1008756 */     GIR_EraseRootFromParent_Done,
     /* 1008757 */   // Label 14767: @1008757
     /* 1008757 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(1008834), // Rule ID 24028 //
     /* 1008762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1008765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1008773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1008776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1008779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008801 */     // MIs[0] policy
     /* 1008801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008811 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1008814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008833 */     // GIR_Coverage, 24028,
     /* 1008833 */     GIR_EraseRootFromParent_Done,
     /* 1008834 */   // Label 14768: @1008834
     /* 1008834 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(1008911), // Rule ID 24029 //
     /* 1008839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1008842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1008850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1008853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1008856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1008859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008878 */     // MIs[0] policy
     /* 1008878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008888 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1008891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008910 */     // GIR_Coverage, 24029,
     /* 1008910 */     GIR_EraseRootFromParent_Done,
     /* 1008911 */   // Label 14769: @1008911
     /* 1008911 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(1008988), // Rule ID 24032 //
     /* 1008916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1008919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1008924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1008927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1008930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1008933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1008936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1008955 */     // MIs[0] policy
     /* 1008955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008965 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1008968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1008972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1008974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1008976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1008984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008987 */     // GIR_Coverage, 24032,
     /* 1008987 */     GIR_EraseRootFromParent_Done,
     /* 1008988 */   // Label 14770: @1008988
     /* 1008988 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(1009065), // Rule ID 24033 //
     /* 1008993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1008996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1009004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1009007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1009010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009032 */     // MIs[0] policy
     /* 1009032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009042 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1009045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009064 */     // GIR_Coverage, 24033,
     /* 1009064 */     GIR_EraseRootFromParent_Done,
     /* 1009065 */   // Label 14771: @1009065
     /* 1009065 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(1009142), // Rule ID 24036 //
     /* 1009070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1009073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1009081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1009084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1009087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009109 */     // MIs[0] policy
     /* 1009109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009119 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1009122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009141 */     // GIR_Coverage, 24036,
     /* 1009141 */     GIR_EraseRootFromParent_Done,
     /* 1009142 */   // Label 14772: @1009142
     /* 1009142 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(1009219), // Rule ID 24037 //
     /* 1009147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1009150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1009158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1009161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1009164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1009182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009186 */     // MIs[0] policy
     /* 1009186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009196 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1009199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009218 */     // GIR_Coverage, 24037,
     /* 1009218 */     GIR_EraseRootFromParent_Done,
     /* 1009219 */   // Label 14773: @1009219
     /* 1009219 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(1009296), // Rule ID 24040 //
     /* 1009224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1009227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1009235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1009238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1009241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009263 */     // MIs[0] policy
     /* 1009263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009273 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1009276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009295 */     // GIR_Coverage, 24040,
     /* 1009295 */     GIR_EraseRootFromParent_Done,
     /* 1009296 */   // Label 14774: @1009296
     /* 1009296 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(1009373), // Rule ID 24041 //
     /* 1009301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1009304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1009312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1009315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1009318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1009336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009340 */     // MIs[0] policy
     /* 1009340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009350 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1009353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009372 */     // GIR_Coverage, 24041,
     /* 1009372 */     GIR_EraseRootFromParent_Done,
     /* 1009373 */   // Label 14775: @1009373
     /* 1009373 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(1009450), // Rule ID 24044 //
     /* 1009378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1009381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1009389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1009392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1009395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009417 */     // MIs[0] policy
     /* 1009417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1009430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009449 */     // GIR_Coverage, 24044,
     /* 1009449 */     GIR_EraseRootFromParent_Done,
     /* 1009450 */   // Label 14776: @1009450
     /* 1009450 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(1009527), // Rule ID 24045 //
     /* 1009455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1009458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1009463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1009466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1009469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1009472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009494 */     // MIs[0] policy
     /* 1009494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009504 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1009507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009526 */     // GIR_Coverage, 24045,
     /* 1009526 */     GIR_EraseRootFromParent_Done,
     /* 1009527 */   // Label 14777: @1009527
     /* 1009527 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(1009604), // Rule ID 24108 //
     /* 1009532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1009535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009571 */     // MIs[0] policy
     /* 1009571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009581 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1009584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009603 */     // GIR_Coverage, 24108,
     /* 1009603 */     GIR_EraseRootFromParent_Done,
     /* 1009604 */   // Label 14778: @1009604
     /* 1009604 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(1009681), // Rule ID 24109 //
     /* 1009609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1009612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009648 */     // MIs[0] policy
     /* 1009648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009658 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1009661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009680 */     // GIR_Coverage, 24109,
     /* 1009680 */     GIR_EraseRootFromParent_Done,
     /* 1009681 */   // Label 14779: @1009681
     /* 1009681 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(1009758), // Rule ID 24112 //
     /* 1009686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1009689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009725 */     // MIs[0] policy
     /* 1009725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009735 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1009738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009757 */     // GIR_Coverage, 24112,
     /* 1009757 */     GIR_EraseRootFromParent_Done,
     /* 1009758 */   // Label 14780: @1009758
     /* 1009758 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(1009835), // Rule ID 24113 //
     /* 1009763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1009766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009802 */     // MIs[0] policy
     /* 1009802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009812 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1009815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009834 */     // GIR_Coverage, 24113,
     /* 1009834 */     GIR_EraseRootFromParent_Done,
     /* 1009835 */   // Label 14781: @1009835
     /* 1009835 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(1009912), // Rule ID 24116 //
     /* 1009840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1009843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1009860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009879 */     // MIs[0] policy
     /* 1009879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009889 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1009892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009911 */     // GIR_Coverage, 24116,
     /* 1009911 */     GIR_EraseRootFromParent_Done,
     /* 1009912 */   // Label 14782: @1009912
     /* 1009912 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(1009989), // Rule ID 24117 //
     /* 1009917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1009920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1009925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1009937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1009956 */     // MIs[0] policy
     /* 1009956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009966 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1009969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009988 */     // GIR_Coverage, 24117,
     /* 1009988 */     GIR_EraseRootFromParent_Done,
     /* 1009989 */   // Label 14783: @1009989
     /* 1009989 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(1010066), // Rule ID 24120 //
     /* 1009994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1009997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010033 */     // MIs[0] policy
     /* 1010033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010043 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010065 */     // GIR_Coverage, 24120,
     /* 1010065 */     GIR_EraseRootFromParent_Done,
     /* 1010066 */   // Label 14784: @1010066
     /* 1010066 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(1010143), // Rule ID 24121 //
     /* 1010071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1010074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010110 */     // MIs[0] policy
     /* 1010110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010120 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010142 */     // GIR_Coverage, 24121,
     /* 1010142 */     GIR_EraseRootFromParent_Done,
     /* 1010143 */   // Label 14785: @1010143
     /* 1010143 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(1010220), // Rule ID 24124 //
     /* 1010148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1010151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010187 */     // MIs[0] policy
     /* 1010187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010197 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010219 */     // GIR_Coverage, 24124,
     /* 1010219 */     GIR_EraseRootFromParent_Done,
     /* 1010220 */   // Label 14786: @1010220
     /* 1010220 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(1010297), // Rule ID 24125 //
     /* 1010225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1010228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010264 */     // MIs[0] policy
     /* 1010264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010274 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010296 */     // GIR_Coverage, 24125,
     /* 1010296 */     GIR_EraseRootFromParent_Done,
     /* 1010297 */   // Label 14787: @1010297
     /* 1010297 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(1010374), // Rule ID 24128 //
     /* 1010302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1010305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010341 */     // MIs[0] policy
     /* 1010341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010351 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010373 */     // GIR_Coverage, 24128,
     /* 1010373 */     GIR_EraseRootFromParent_Done,
     /* 1010374 */   // Label 14788: @1010374
     /* 1010374 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(1010451), // Rule ID 24129 //
     /* 1010379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1010382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010418 */     // MIs[0] policy
     /* 1010418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010428 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1010431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010450 */     // GIR_Coverage, 24129,
     /* 1010450 */     GIR_EraseRootFromParent_Done,
     /* 1010451 */   // Label 14789: @1010451
     /* 1010451 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(1010528), // Rule ID 24132 //
     /* 1010456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1010459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010495 */     // MIs[0] policy
     /* 1010495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010505 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1010508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010527 */     // GIR_Coverage, 24132,
     /* 1010527 */     GIR_EraseRootFromParent_Done,
     /* 1010528 */   // Label 14790: @1010528
     /* 1010528 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(1010605), // Rule ID 24133 //
     /* 1010533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1010536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010572 */     // MIs[0] policy
     /* 1010572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010582 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1010585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010604 */     // GIR_Coverage, 24133,
     /* 1010604 */     GIR_EraseRootFromParent_Done,
     /* 1010605 */   // Label 14791: @1010605
     /* 1010605 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(1010682), // Rule ID 24136 //
     /* 1010610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1010613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010649 */     // MIs[0] policy
     /* 1010649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010659 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1010662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010681 */     // GIR_Coverage, 24136,
     /* 1010681 */     GIR_EraseRootFromParent_Done,
     /* 1010682 */   // Label 14792: @1010682
     /* 1010682 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(1010759), // Rule ID 24137 //
     /* 1010687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1010690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1010698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1010701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1010704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010726 */     // MIs[0] policy
     /* 1010726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010736 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1010739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010758 */     // GIR_Coverage, 24137,
     /* 1010758 */     GIR_EraseRootFromParent_Done,
     /* 1010759 */   // Label 14793: @1010759
     /* 1010759 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(1010836), // Rule ID 24140 //
     /* 1010764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1010767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010803 */     // MIs[0] policy
     /* 1010803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010813 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1010816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010835 */     // GIR_Coverage, 24140,
     /* 1010835 */     GIR_EraseRootFromParent_Done,
     /* 1010836 */   // Label 14794: @1010836
     /* 1010836 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(1010913), // Rule ID 24141 //
     /* 1010841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1010844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1010852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1010855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1010858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1010861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010880 */     // MIs[0] policy
     /* 1010880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010890 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1010893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010912 */     // GIR_Coverage, 24141,
     /* 1010912 */     GIR_EraseRootFromParent_Done,
     /* 1010913 */   // Label 14795: @1010913
     /* 1010913 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(1010990), // Rule ID 24144 //
     /* 1010918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1010921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1010926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1010929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1010932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1010935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1010938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1010957 */     // MIs[0] policy
     /* 1010957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010967 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1010970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010989 */     // GIR_Coverage, 24144,
     /* 1010989 */     GIR_EraseRootFromParent_Done,
     /* 1010990 */   // Label 14796: @1010990
     /* 1010990 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(1011067), // Rule ID 24145 //
     /* 1010995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1010998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011034 */     // MIs[0] policy
     /* 1011034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011044 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1011047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011066 */     // GIR_Coverage, 24145,
     /* 1011066 */     GIR_EraseRootFromParent_Done,
     /* 1011067 */   // Label 14797: @1011067
     /* 1011067 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(1011144), // Rule ID 24148 //
     /* 1011072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1011075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1011092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011111 */     // MIs[0] policy
     /* 1011111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011121 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1011124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011143 */     // GIR_Coverage, 24148,
     /* 1011143 */     GIR_EraseRootFromParent_Done,
     /* 1011144 */   // Label 14798: @1011144
     /* 1011144 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(1011221), // Rule ID 24149 //
     /* 1011149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1011152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011188 */     // MIs[0] policy
     /* 1011188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011198 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1011201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011220 */     // GIR_Coverage, 24149,
     /* 1011220 */     GIR_EraseRootFromParent_Done,
     /* 1011221 */   // Label 14799: @1011221
     /* 1011221 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(1011298), // Rule ID 24152 //
     /* 1011226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1011229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1011246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011265 */     // MIs[0] policy
     /* 1011265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1011278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011297 */     // GIR_Coverage, 24152,
     /* 1011297 */     GIR_EraseRootFromParent_Done,
     /* 1011298 */   // Label 14800: @1011298
     /* 1011298 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(1011375), // Rule ID 24153 //
     /* 1011303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1011306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011342 */     // MIs[0] policy
     /* 1011342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011352 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1011355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011374 */     // GIR_Coverage, 24153,
     /* 1011374 */     GIR_EraseRootFromParent_Done,
     /* 1011375 */   // Label 14801: @1011375
     /* 1011375 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(1011452), // Rule ID 24156 //
     /* 1011380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1011383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1011400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011419 */     // MIs[0] policy
     /* 1011419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1011432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011451 */     // GIR_Coverage, 24156,
     /* 1011451 */     GIR_EraseRootFromParent_Done,
     /* 1011452 */   // Label 14802: @1011452
     /* 1011452 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(1011529), // Rule ID 24157 //
     /* 1011457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1011460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011496 */     // MIs[0] policy
     /* 1011496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011506 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1011509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011528 */     // GIR_Coverage, 24157,
     /* 1011528 */     GIR_EraseRootFromParent_Done,
     /* 1011529 */   // Label 14803: @1011529
     /* 1011529 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(1011606), // Rule ID 24160 //
     /* 1011534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1011537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1011554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011573 */     // MIs[0] policy
     /* 1011573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011583 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1011586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011605 */     // GIR_Coverage, 24160,
     /* 1011605 */     GIR_EraseRootFromParent_Done,
     /* 1011606 */   // Label 14804: @1011606
     /* 1011606 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(1011683), // Rule ID 24161 //
     /* 1011611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1011614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1011622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1011625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1011628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011650 */     // MIs[0] policy
     /* 1011650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011660 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1011663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011682 */     // GIR_Coverage, 24161,
     /* 1011682 */     GIR_EraseRootFromParent_Done,
     /* 1011683 */   // Label 14805: @1011683
     /* 1011683 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(1011760), // Rule ID 24164 //
     /* 1011688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1011691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1011708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011727 */     // MIs[0] policy
     /* 1011727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011737 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1011740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011759 */     // GIR_Coverage, 24164,
     /* 1011759 */     GIR_EraseRootFromParent_Done,
     /* 1011760 */   // Label 14806: @1011760
     /* 1011760 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(1011837), // Rule ID 24165 //
     /* 1011765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1011768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1011773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1011776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1011779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1011782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1011785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1011804 */     // MIs[0] policy
     /* 1011804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011814 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1011817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011836 */     // GIR_Coverage, 24165,
     /* 1011836 */     GIR_EraseRootFromParent_Done,
     /* 1011837 */   // Label 14807: @1011837
     /* 1011837 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(1011914), // Rule ID 59908 //
     /* 1011842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1011845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011881 */     // MIs[0] policy
     /* 1011881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011891 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10953:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1011894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011913 */     // GIR_Coverage, 59908,
     /* 1011913 */     GIR_EraseRootFromParent_Done,
     /* 1011914 */   // Label 14808: @1011914
     /* 1011914 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(1011991), // Rule ID 59909 //
     /* 1011919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1011922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1011927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1011930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1011933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1011936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1011939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1011958 */     // MIs[0] policy
     /* 1011958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10953:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1011971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1011973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011990 */     // GIR_Coverage, 59909,
     /* 1011990 */     GIR_EraseRootFromParent_Done,
     /* 1011991 */   // Label 14809: @1011991
     /* 1011991 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(1012086), // Rule ID 59922 //
     /* 1011996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1011999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1012013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1012016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012035 */     // MIs[0] policy
     /* 1012035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012045 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1012062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012085 */     // GIR_Coverage, 59922,
     /* 1012085 */     GIR_EraseRootFromParent_Done,
     /* 1012086 */   // Label 14810: @1012086
     /* 1012086 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(1012181), // Rule ID 59923 //
     /* 1012091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1012094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1012108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1012111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012130 */     // MIs[0] policy
     /* 1012130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012140 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1012157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012180 */     // GIR_Coverage, 59923,
     /* 1012180 */     GIR_EraseRootFromParent_Done,
     /* 1012181 */   // Label 14811: @1012181
     /* 1012181 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(1012276), // Rule ID 59926 //
     /* 1012186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1012189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1012203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1012206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012225 */     // MIs[0] policy
     /* 1012225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1012252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012275 */     // GIR_Coverage, 59926,
     /* 1012275 */     GIR_EraseRootFromParent_Done,
     /* 1012276 */   // Label 14812: @1012276
     /* 1012276 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(1012371), // Rule ID 59927 //
     /* 1012281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1012284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1012298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1012301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012320 */     // MIs[0] policy
     /* 1012320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012330 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1012347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012370 */     // GIR_Coverage, 59927,
     /* 1012370 */     GIR_EraseRootFromParent_Done,
     /* 1012371 */   // Label 14813: @1012371
     /* 1012371 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(1012466), // Rule ID 59930 //
     /* 1012376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1012379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1012393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1012396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012415 */     // MIs[0] policy
     /* 1012415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1012442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012465 */     // GIR_Coverage, 59930,
     /* 1012465 */     GIR_EraseRootFromParent_Done,
     /* 1012466 */   // Label 14814: @1012466
     /* 1012466 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(1012561), // Rule ID 59931 //
     /* 1012471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1012474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1012488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1012491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012510 */     // MIs[0] policy
     /* 1012510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012520 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1012537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012560 */     // GIR_Coverage, 59931,
     /* 1012560 */     GIR_EraseRootFromParent_Done,
     /* 1012561 */   // Label 14815: @1012561
     /* 1012561 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(1012656), // Rule ID 59934 //
     /* 1012566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1012569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1012583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1012586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012605 */     // MIs[0] policy
     /* 1012605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1012632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012655 */     // GIR_Coverage, 59934,
     /* 1012655 */     GIR_EraseRootFromParent_Done,
     /* 1012656 */   // Label 14816: @1012656
     /* 1012656 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(1012751), // Rule ID 59935 //
     /* 1012661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1012664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1012678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1012681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012700 */     // MIs[0] policy
     /* 1012700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012710 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1012727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012750 */     // GIR_Coverage, 59935,
     /* 1012750 */     GIR_EraseRootFromParent_Done,
     /* 1012751 */   // Label 14817: @1012751
     /* 1012751 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(1012846), // Rule ID 59938 //
     /* 1012756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1012759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1012773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1012776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012795 */     // MIs[0] policy
     /* 1012795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1012822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012845 */     // GIR_Coverage, 59938,
     /* 1012845 */     GIR_EraseRootFromParent_Done,
     /* 1012846 */   // Label 14818: @1012846
     /* 1012846 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(1012941), // Rule ID 59939 //
     /* 1012851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1012854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1012868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1012871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012890 */     // MIs[0] policy
     /* 1012890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012900 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1012910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1012914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1012917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1012921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1012923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1012929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012940 */     // GIR_Coverage, 59939,
     /* 1012940 */     GIR_EraseRootFromParent_Done,
     /* 1012941 */   // Label 14819: @1012941
     /* 1012941 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(1013036), // Rule ID 59942 //
     /* 1012946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1012949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1012954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1012957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1012960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1012963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1012966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1012973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1012985 */     // MIs[0] policy
     /* 1012985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1012999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1013012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013035 */     // GIR_Coverage, 59942,
     /* 1013035 */     GIR_EraseRootFromParent_Done,
     /* 1013036 */   // Label 14820: @1013036
     /* 1013036 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(1013131), // Rule ID 59943 //
     /* 1013041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1013058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1013061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013080 */     // MIs[0] policy
     /* 1013080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1013107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013130 */     // GIR_Coverage, 59943,
     /* 1013130 */     GIR_EraseRootFromParent_Done,
     /* 1013131 */   // Label 14821: @1013131
     /* 1013131 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(1013226), // Rule ID 59946 //
     /* 1013136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1013139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1013153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1013156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013175 */     // MIs[0] policy
     /* 1013175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013185 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013225 */     // GIR_Coverage, 59946,
     /* 1013225 */     GIR_EraseRootFromParent_Done,
     /* 1013226 */   // Label 14822: @1013226
     /* 1013226 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(1013321), // Rule ID 59947 //
     /* 1013231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1013248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1013251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013270 */     // MIs[0] policy
     /* 1013270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013280 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10799:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013320 */     // GIR_Coverage, 59947,
     /* 1013320 */     GIR_EraseRootFromParent_Done,
     /* 1013321 */   // Label 14823: @1013321
     /* 1013321 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(1013416), // Rule ID 59950 //
     /* 1013326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1013329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1013343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1013346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013365 */     // MIs[0] policy
     /* 1013365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013375 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013415 */     // GIR_Coverage, 59950,
     /* 1013415 */     GIR_EraseRootFromParent_Done,
     /* 1013416 */   // Label 14824: @1013416
     /* 1013416 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(1013511), // Rule ID 59951 //
     /* 1013421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1013438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1013441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013460 */     // MIs[0] policy
     /* 1013460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10799:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013510 */     // GIR_Coverage, 59951,
     /* 1013510 */     GIR_EraseRootFromParent_Done,
     /* 1013511 */   // Label 14825: @1013511
     /* 1013511 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(1013606), // Rule ID 59954 //
     /* 1013516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1013519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1013536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013555 */     // MIs[0] policy
     /* 1013555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013605 */     // GIR_Coverage, 59954,
     /* 1013605 */     GIR_EraseRootFromParent_Done,
     /* 1013606 */   // Label 14826: @1013606
     /* 1013606 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(1013701), // Rule ID 59955 //
     /* 1013611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1013628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1013631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013650 */     // MIs[0] policy
     /* 1013650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10799:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013700 */     // GIR_Coverage, 59955,
     /* 1013700 */     GIR_EraseRootFromParent_Done,
     /* 1013701 */   // Label 14827: @1013701
     /* 1013701 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(1013796), // Rule ID 59958 //
     /* 1013706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1013709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1013723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1013726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013745 */     // MIs[0] policy
     /* 1013745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013795 */     // GIR_Coverage, 59958,
     /* 1013795 */     GIR_EraseRootFromParent_Done,
     /* 1013796 */   // Label 14828: @1013796
     /* 1013796 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(1013891), // Rule ID 59959 //
     /* 1013801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1013818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1013821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1013828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013840 */     // MIs[0] policy
     /* 1013840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10799:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1013867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013890 */     // GIR_Coverage, 59959,
     /* 1013890 */     GIR_EraseRootFromParent_Done,
     /* 1013891 */   // Label 14829: @1013891
     /* 1013891 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(1013986), // Rule ID 59962 //
     /* 1013896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1013899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1013913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1013916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1013923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1013935 */     // MIs[0] policy
     /* 1013935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013945 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1013949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1013955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1013959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1013962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1013966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1013968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1013974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013985 */     // GIR_Coverage, 59962,
     /* 1013985 */     GIR_EraseRootFromParent_Done,
     /* 1013986 */   // Label 14830: @1013986
     /* 1013986 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(1014081), // Rule ID 59963 //
     /* 1013991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1013994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1013999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1014002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1014005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1014008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1014011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1014018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014030 */     // MIs[0] policy
     /* 1014030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014040 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1014057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014080 */     // GIR_Coverage, 59963,
     /* 1014080 */     GIR_EraseRootFromParent_Done,
     /* 1014081 */   // Label 14831: @1014081
     /* 1014081 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(1014176), // Rule ID 59966 //
     /* 1014086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1014089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1014103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1014106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1014113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014125 */     // MIs[0] policy
     /* 1014125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014135 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1014152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014175 */     // GIR_Coverage, 59966,
     /* 1014175 */     GIR_EraseRootFromParent_Done,
     /* 1014176 */   // Label 14832: @1014176
     /* 1014176 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(1014271), // Rule ID 59967 //
     /* 1014181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1014184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1014198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1014201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1014208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014220 */     // MIs[0] policy
     /* 1014220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1014247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014270 */     // GIR_Coverage, 59967,
     /* 1014270 */     GIR_EraseRootFromParent_Done,
     /* 1014271 */   // Label 14833: @1014271
     /* 1014271 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(1014366), // Rule ID 59970 //
     /* 1014276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1014279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1014293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1014296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1014303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014315 */     // MIs[0] policy
     /* 1014315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014325 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1014342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014365 */     // GIR_Coverage, 59970,
     /* 1014365 */     GIR_EraseRootFromParent_Done,
     /* 1014366 */   // Label 14834: @1014366
     /* 1014366 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(1014461), // Rule ID 59971 //
     /* 1014371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1014374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1014388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1014391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1014398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014410 */     // MIs[0] policy
     /* 1014410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1014437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014460 */     // GIR_Coverage, 59971,
     /* 1014460 */     GIR_EraseRootFromParent_Done,
     /* 1014461 */   // Label 14835: @1014461
     /* 1014461 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(1014556), // Rule ID 59974 //
     /* 1014466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1014469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1014483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1014486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1014493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014505 */     // MIs[0] policy
     /* 1014505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1014532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014555 */     // GIR_Coverage, 59974,
     /* 1014555 */     GIR_EraseRootFromParent_Done,
     /* 1014556 */   // Label 14836: @1014556
     /* 1014556 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(1014651), // Rule ID 59975 //
     /* 1014561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1014564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1014578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1014581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1014588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014600 */     // MIs[0] policy
     /* 1014600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1014627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014650 */     // GIR_Coverage, 59975,
     /* 1014650 */     GIR_EraseRootFromParent_Done,
     /* 1014651 */   // Label 14837: @1014651
     /* 1014651 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(1014746), // Rule ID 59978 //
     /* 1014656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1014659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1014673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1014676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1014683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014695 */     // MIs[0] policy
     /* 1014695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014705 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1014722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014745 */     // GIR_Coverage, 59978,
     /* 1014745 */     GIR_EraseRootFromParent_Done,
     /* 1014746 */   // Label 14838: @1014746
     /* 1014746 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(1014841), // Rule ID 59979 //
     /* 1014751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1014754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1014768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1014771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1014778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014790 */     // MIs[0] policy
     /* 1014790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1014817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014840 */     // GIR_Coverage, 59979,
     /* 1014840 */     GIR_EraseRootFromParent_Done,
     /* 1014841 */   // Label 14839: @1014841
     /* 1014841 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(1014936), // Rule ID 59982 //
     /* 1014846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1014849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1014863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1014866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1014873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014885 */     // MIs[0] policy
     /* 1014885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014895 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1014905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1014909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1014912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1014916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1014918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1014924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014935 */     // GIR_Coverage, 59982,
     /* 1014935 */     GIR_EraseRootFromParent_Done,
     /* 1014936 */   // Label 14840: @1014936
     /* 1014936 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(1015031), // Rule ID 59983 //
     /* 1014941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1014944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1014949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1014958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1014961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1014968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1014980 */     // MIs[0] policy
     /* 1014980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014990 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1014994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1015007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1015027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015030 */     // GIR_Coverage, 59983,
     /* 1015030 */     GIR_EraseRootFromParent_Done,
     /* 1015031 */   // Label 14841: @1015031
     /* 1015031 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(1015126), // Rule ID 59986 //
     /* 1015036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1015047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1015050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1015053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1015056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1015063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015075 */     // MIs[0] policy
     /* 1015075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015085 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1015102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015125 */     // GIR_Coverage, 59986,
     /* 1015125 */     GIR_EraseRootFromParent_Done,
     /* 1015126 */   // Label 14842: @1015126
     /* 1015126 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(1015221), // Rule ID 59987 //
     /* 1015131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1015134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1015142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1015145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1015148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1015151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1015158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015170 */     // MIs[0] policy
     /* 1015170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015180 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1015197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015220 */     // GIR_Coverage, 59987,
     /* 1015220 */     GIR_EraseRootFromParent_Done,
     /* 1015221 */   // Label 14843: @1015221
     /* 1015221 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(1015316), // Rule ID 59990 //
     /* 1015226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1015243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1015246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1015253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015265 */     // MIs[0] policy
     /* 1015265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1015292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015315 */     // GIR_Coverage, 59990,
     /* 1015315 */     GIR_EraseRootFromParent_Done,
     /* 1015316 */   // Label 14844: @1015316
     /* 1015316 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(1015411), // Rule ID 59991 //
     /* 1015321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1015324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1015338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1015341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1015348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015360 */     // MIs[0] policy
     /* 1015360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1015387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015410 */     // GIR_Coverage, 59991,
     /* 1015410 */     GIR_EraseRootFromParent_Done,
     /* 1015411 */   // Label 14845: @1015411
     /* 1015411 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(1015506), // Rule ID 59994 //
     /* 1015416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1015433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1015436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1015443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015455 */     // MIs[0] policy
     /* 1015455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1015482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015505 */     // GIR_Coverage, 59994,
     /* 1015505 */     GIR_EraseRootFromParent_Done,
     /* 1015506 */   // Label 14846: @1015506
     /* 1015506 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(1015601), // Rule ID 59995 //
     /* 1015511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1015514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1015528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1015531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1015538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015550 */     // MIs[0] policy
     /* 1015550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015560 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1015577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015600 */     // GIR_Coverage, 59995,
     /* 1015600 */     GIR_EraseRootFromParent_Done,
     /* 1015601 */   // Label 14847: @1015601
     /* 1015601 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(1015696), // Rule ID 59998 //
     /* 1015606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1015623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1015626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1015633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015645 */     // MIs[0] policy
     /* 1015645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015655 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1015672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015695 */     // GIR_Coverage, 59998,
     /* 1015695 */     GIR_EraseRootFromParent_Done,
     /* 1015696 */   // Label 14848: @1015696
     /* 1015696 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(1015791), // Rule ID 59999 //
     /* 1015701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1015704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1015718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1015721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1015728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015740 */     // MIs[0] policy
     /* 1015740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10799:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1015767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015790 */     // GIR_Coverage, 59999,
     /* 1015790 */     GIR_EraseRootFromParent_Done,
     /* 1015791 */   // Label 14849: @1015791
     /* 1015791 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(1015886), // Rule ID 60002 //
     /* 1015796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1015813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1015816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1015823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015835 */     // MIs[0] policy
     /* 1015835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015845 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1015862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015885 */     // GIR_Coverage, 60002,
     /* 1015885 */     GIR_EraseRootFromParent_Done,
     /* 1015886 */   // Label 14850: @1015886
     /* 1015886 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(1015981), // Rule ID 60003 //
     /* 1015891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1015894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1015908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1015911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1015918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1015930 */     // MIs[0] policy
     /* 1015930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10799:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1015944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1015950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1015954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1015957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1015961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1015963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1015969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015980 */     // GIR_Coverage, 60003,
     /* 1015980 */     GIR_EraseRootFromParent_Done,
     /* 1015981 */   // Label 14851: @1015981
     /* 1015981 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(1016076), // Rule ID 60006 //
     /* 1015986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1015989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1015994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1016000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1016003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1016006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1016013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016025 */     // MIs[0] policy
     /* 1016025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016035 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1016052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016075 */     // GIR_Coverage, 60006,
     /* 1016075 */     GIR_EraseRootFromParent_Done,
     /* 1016076 */   // Label 14852: @1016076
     /* 1016076 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(1016171), // Rule ID 60007 //
     /* 1016081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1016084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1016089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1016092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1016095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1016098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1016101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1016108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1016116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016120 */     // MIs[0] policy
     /* 1016120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10799:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1016147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1016167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016170 */     // GIR_Coverage, 60007,
     /* 1016170 */     GIR_EraseRootFromParent_Done,
     /* 1016171 */   // Label 14853: @1016171
     /* 1016171 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(1016266), // Rule ID 60010 //
     /* 1016176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1016179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1016187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1016190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1016193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1016196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016215 */     // MIs[0] policy
     /* 1016215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016225 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1016242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016265 */     // GIR_Coverage, 60010,
     /* 1016265 */     GIR_EraseRootFromParent_Done,
     /* 1016266 */   // Label 14854: @1016266
     /* 1016266 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(1016361), // Rule ID 60011 //
     /* 1016271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1016274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1016282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1016285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1016288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1016291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016310 */     // MIs[0] policy
     /* 1016310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016320 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1016337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016360 */     // GIR_Coverage, 60011,
     /* 1016360 */     GIR_EraseRootFromParent_Done,
     /* 1016361 */   // Label 14855: @1016361
     /* 1016361 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(1016456), // Rule ID 60014 //
     /* 1016366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1016369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1016377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1016380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1016383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1016386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016405 */     // MIs[0] policy
     /* 1016405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016415 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1016432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016455 */     // GIR_Coverage, 60014,
     /* 1016455 */     GIR_EraseRootFromParent_Done,
     /* 1016456 */   // Label 14856: @1016456
     /* 1016456 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(1016551), // Rule ID 60015 //
     /* 1016461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1016464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1016472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1016475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1016478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1016481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016500 */     // MIs[0] policy
     /* 1016500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1016527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016550 */     // GIR_Coverage, 60015,
     /* 1016550 */     GIR_EraseRootFromParent_Done,
     /* 1016551 */   // Label 14857: @1016551
     /* 1016551 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(1016646), // Rule ID 60018 //
     /* 1016556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1016559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1016576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016595 */     // MIs[0] policy
     /* 1016595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016605 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1016622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016645 */     // GIR_Coverage, 60018,
     /* 1016645 */     GIR_EraseRootFromParent_Done,
     /* 1016646 */   // Label 14858: @1016646
     /* 1016646 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(1016741), // Rule ID 60019 //
     /* 1016651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1016654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1016671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016690 */     // MIs[0] policy
     /* 1016690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1016717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016740 */     // GIR_Coverage, 60019,
     /* 1016740 */     GIR_EraseRootFromParent_Done,
     /* 1016741 */   // Label 14859: @1016741
     /* 1016741 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(1016836), // Rule ID 60022 //
     /* 1016746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1016749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1016766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016785 */     // MIs[0] policy
     /* 1016785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1016812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016835 */     // GIR_Coverage, 60022,
     /* 1016835 */     GIR_EraseRootFromParent_Done,
     /* 1016836 */   // Label 14860: @1016836
     /* 1016836 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(1016931), // Rule ID 60023 //
     /* 1016841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1016844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1016861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016880 */     // MIs[0] policy
     /* 1016880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016890 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1016907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1016911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1016913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1016919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016930 */     // GIR_Coverage, 60023,
     /* 1016930 */     GIR_EraseRootFromParent_Done,
     /* 1016931 */   // Label 14861: @1016931
     /* 1016931 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(1017026), // Rule ID 60026 //
     /* 1016936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1016939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1016944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1016947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1016950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1016953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1016956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1016963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1016975 */     // MIs[0] policy
     /* 1016975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016985 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1016989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1016995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1016999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1017002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017025 */     // GIR_Coverage, 60026,
     /* 1017025 */     GIR_EraseRootFromParent_Done,
     /* 1017026 */   // Label 14862: @1017026
     /* 1017026 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(1017121), // Rule ID 60027 //
     /* 1017031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1017042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1017045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1017048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1017051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017070 */     // MIs[0] policy
     /* 1017070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017080 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1017097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017120 */     // GIR_Coverage, 60027,
     /* 1017120 */     GIR_EraseRootFromParent_Done,
     /* 1017121 */   // Label 14863: @1017121
     /* 1017121 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(1017216), // Rule ID 60030 //
     /* 1017126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1017129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1017137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1017140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1017143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1017146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017165 */     // MIs[0] policy
     /* 1017165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017175 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1017192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017215 */     // GIR_Coverage, 60030,
     /* 1017215 */     GIR_EraseRootFromParent_Done,
     /* 1017216 */   // Label 14864: @1017216
     /* 1017216 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(1017311), // Rule ID 60031 //
     /* 1017221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1017232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1017235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1017238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1017241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017260 */     // MIs[0] policy
     /* 1017260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1017287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017310 */     // GIR_Coverage, 60031,
     /* 1017310 */     GIR_EraseRootFromParent_Done,
     /* 1017311 */   // Label 14865: @1017311
     /* 1017311 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(1017406), // Rule ID 60034 //
     /* 1017316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1017319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1017327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1017330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1017333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1017336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017355 */     // MIs[0] policy
     /* 1017355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017365 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017405 */     // GIR_Coverage, 60034,
     /* 1017405 */     GIR_EraseRootFromParent_Done,
     /* 1017406 */   // Label 14866: @1017406
     /* 1017406 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(1017501), // Rule ID 60035 //
     /* 1017411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1017422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1017425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1017428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1017431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017450 */     // MIs[0] policy
     /* 1017450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017460 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10807:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017500 */     // GIR_Coverage, 60035,
     /* 1017500 */     GIR_EraseRootFromParent_Done,
     /* 1017501 */   // Label 14867: @1017501
     /* 1017501 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(1017596), // Rule ID 60038 //
     /* 1017506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1017509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1017517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1017520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1017523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1017526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017545 */     // MIs[0] policy
     /* 1017545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017595 */     // GIR_Coverage, 60038,
     /* 1017595 */     GIR_EraseRootFromParent_Done,
     /* 1017596 */   // Label 14868: @1017596
     /* 1017596 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(1017691), // Rule ID 60039 //
     /* 1017601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1017612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1017615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1017618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1017621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017640 */     // MIs[0] policy
     /* 1017640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10807:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017690 */     // GIR_Coverage, 60039,
     /* 1017690 */     GIR_EraseRootFromParent_Done,
     /* 1017691 */   // Label 14869: @1017691
     /* 1017691 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(1017786), // Rule ID 60042 //
     /* 1017696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1017699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1017716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017735 */     // MIs[0] policy
     /* 1017735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017745 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017785 */     // GIR_Coverage, 60042,
     /* 1017785 */     GIR_EraseRootFromParent_Done,
     /* 1017786 */   // Label 14870: @1017786
     /* 1017786 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(1017881), // Rule ID 60043 //
     /* 1017791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1017811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017830 */     // MIs[0] policy
     /* 1017830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017840 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10807:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017880 */     // GIR_Coverage, 60043,
     /* 1017880 */     GIR_EraseRootFromParent_Done,
     /* 1017881 */   // Label 14871: @1017881
     /* 1017881 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(1017976), // Rule ID 60046 //
     /* 1017886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1017889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1017906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1017913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1017925 */     // MIs[0] policy
     /* 1017925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1017939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1017945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1017949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1017952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1017956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1017958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1017964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017975 */     // GIR_Coverage, 60046,
     /* 1017975 */     GIR_EraseRootFromParent_Done,
     /* 1017976 */   // Label 14872: @1017976
     /* 1017976 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(1018071), // Rule ID 60047 //
     /* 1017981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1017984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1017989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1018001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1018008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1018016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018020 */     // MIs[0] policy
     /* 1018020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10807:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1018047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018070 */     // GIR_Coverage, 60047,
     /* 1018070 */     GIR_EraseRootFromParent_Done,
     /* 1018071 */   // Label 14873: @1018071
     /* 1018071 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(1018166), // Rule ID 60050 //
     /* 1018076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1018079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1018096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1018103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018115 */     // MIs[0] policy
     /* 1018115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018125 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1018142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018165 */     // GIR_Coverage, 60050,
     /* 1018165 */     GIR_EraseRootFromParent_Done,
     /* 1018166 */   // Label 14874: @1018166
     /* 1018166 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(1018261), // Rule ID 60051 //
     /* 1018171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1018174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1018182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1018185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1018188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1018191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1018198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018210 */     // MIs[0] policy
     /* 1018210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018220 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1018237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018260 */     // GIR_Coverage, 60051,
     /* 1018260 */     GIR_EraseRootFromParent_Done,
     /* 1018261 */   // Label 14875: @1018261
     /* 1018261 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(1018356), // Rule ID 60054 //
     /* 1018266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1018269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1018277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1018280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1018283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1018286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1018293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018305 */     // MIs[0] policy
     /* 1018305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018315 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1018332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018355 */     // GIR_Coverage, 60054,
     /* 1018355 */     GIR_EraseRootFromParent_Done,
     /* 1018356 */   // Label 14876: @1018356
     /* 1018356 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1018451), // Rule ID 60055 //
     /* 1018361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1018364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1018372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1018375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1018378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1018381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1018388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018400 */     // MIs[0] policy
     /* 1018400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018410 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1018427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018450 */     // GIR_Coverage, 60055,
     /* 1018450 */     GIR_EraseRootFromParent_Done,
     /* 1018451 */   // Label 14877: @1018451
     /* 1018451 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1018546), // Rule ID 60058 //
     /* 1018456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1018459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1018467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1018470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1018473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1018476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1018483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018495 */     // MIs[0] policy
     /* 1018495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018505 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1018522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018545 */     // GIR_Coverage, 60058,
     /* 1018545 */     GIR_EraseRootFromParent_Done,
     /* 1018546 */   // Label 14878: @1018546
     /* 1018546 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1018641), // Rule ID 60059 //
     /* 1018551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1018554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1018562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1018565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1018568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1018571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1018578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018590 */     // MIs[0] policy
     /* 1018590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018600 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1018617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1018637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018640 */     // GIR_Coverage, 60059,
     /* 1018640 */     GIR_EraseRootFromParent_Done,
     /* 1018641 */   // Label 14879: @1018641
     /* 1018641 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1018736), // Rule ID 60062 //
     /* 1018646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1018649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1018657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1018660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1018663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1018666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1018673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018685 */     // MIs[0] policy
     /* 1018685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1018712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018735 */     // GIR_Coverage, 60062,
     /* 1018735 */     GIR_EraseRootFromParent_Done,
     /* 1018736 */   // Label 14880: @1018736
     /* 1018736 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1018831), // Rule ID 60063 //
     /* 1018741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1018744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1018752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1018755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1018758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1018761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1018768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018780 */     // MIs[0] policy
     /* 1018780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1018807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018830 */     // GIR_Coverage, 60063,
     /* 1018830 */     GIR_EraseRootFromParent_Done,
     /* 1018831 */   // Label 14881: @1018831
     /* 1018831 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1018926), // Rule ID 60066 //
     /* 1018836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1018839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1018847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1018850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1018853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1018856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1018863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018875 */     // MIs[0] policy
     /* 1018875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018885 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1018902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1018906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1018908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1018914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018925 */     // GIR_Coverage, 60066,
     /* 1018925 */     GIR_EraseRootFromParent_Done,
     /* 1018926 */   // Label 14882: @1018926
     /* 1018926 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1019021), // Rule ID 60067 //
     /* 1018931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1018934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1018939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1018942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1018945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1018948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1018951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1018958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1018970 */     // MIs[0] policy
     /* 1018970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1018984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1018990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1018994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1018997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019020 */     // GIR_Coverage, 60067,
     /* 1019020 */     GIR_EraseRootFromParent_Done,
     /* 1019021 */   // Label 14883: @1019021
     /* 1019021 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1019116), // Rule ID 60070 //
     /* 1019026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1019046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1019053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019065 */     // MIs[0] policy
     /* 1019065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1019092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019115 */     // GIR_Coverage, 60070,
     /* 1019115 */     GIR_EraseRootFromParent_Done,
     /* 1019116 */   // Label 14884: @1019116
     /* 1019116 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1019211), // Rule ID 60071 //
     /* 1019121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1019124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1019132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1019135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1019138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1019141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1019148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019160 */     // MIs[0] policy
     /* 1019160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019170 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1019187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019210 */     // GIR_Coverage, 60071,
     /* 1019210 */     GIR_EraseRootFromParent_Done,
     /* 1019211 */   // Label 14885: @1019211
     /* 1019211 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1019306), // Rule ID 60074 //
     /* 1019216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1019236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1019243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019255 */     // MIs[0] policy
     /* 1019255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019265 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1019282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019305 */     // GIR_Coverage, 60074,
     /* 1019305 */     GIR_EraseRootFromParent_Done,
     /* 1019306 */   // Label 14886: @1019306
     /* 1019306 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1019401), // Rule ID 60075 //
     /* 1019311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1019314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1019322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1019325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1019328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1019331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1019338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019350 */     // MIs[0] policy
     /* 1019350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019360 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1019377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019400 */     // GIR_Coverage, 60075,
     /* 1019400 */     GIR_EraseRootFromParent_Done,
     /* 1019401 */   // Label 14887: @1019401
     /* 1019401 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1019496), // Rule ID 60078 //
     /* 1019406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1019426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1019433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019445 */     // MIs[0] policy
     /* 1019445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019455 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1019472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019495 */     // GIR_Coverage, 60078,
     /* 1019495 */     GIR_EraseRootFromParent_Done,
     /* 1019496 */   // Label 14888: @1019496
     /* 1019496 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1019591), // Rule ID 60079 //
     /* 1019501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1019504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1019512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1019515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1019518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1019521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1019528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1019536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019540 */     // MIs[0] policy
     /* 1019540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1019567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019590 */     // GIR_Coverage, 60079,
     /* 1019590 */     GIR_EraseRootFromParent_Done,
     /* 1019591 */   // Label 14889: @1019591
     /* 1019591 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1019686), // Rule ID 60082 //
     /* 1019596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1019607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1019610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1019613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1019616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1019623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019635 */     // MIs[0] policy
     /* 1019635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1019662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019685 */     // GIR_Coverage, 60082,
     /* 1019685 */     GIR_EraseRootFromParent_Done,
     /* 1019686 */   // Label 14890: @1019686
     /* 1019686 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1019781), // Rule ID 60083 //
     /* 1019691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1019694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1019702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1019705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1019708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1019711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1019718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019730 */     // MIs[0] policy
     /* 1019730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1019757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019780 */     // GIR_Coverage, 60083,
     /* 1019780 */     GIR_EraseRootFromParent_Done,
     /* 1019781 */   // Label 14891: @1019781
     /* 1019781 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1019876), // Rule ID 60086 //
     /* 1019786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1019797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1019800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1019803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1019806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1019813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019825 */     // MIs[0] policy
     /* 1019825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019835 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1019852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019875 */     // GIR_Coverage, 60086,
     /* 1019875 */     GIR_EraseRootFromParent_Done,
     /* 1019876 */   // Label 14892: @1019876
     /* 1019876 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1019971), // Rule ID 60087 //
     /* 1019881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1019884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1019892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1019895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1019898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1019901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1019908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1019916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1019920 */     // MIs[0] policy
     /* 1019920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10807:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1019934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1019940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1019944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1019947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1019951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1019953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1019959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019970 */     // GIR_Coverage, 60087,
     /* 1019970 */     GIR_EraseRootFromParent_Done,
     /* 1019971 */   // Label 14893: @1019971
     /* 1019971 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1020066), // Rule ID 60090 //
     /* 1019976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1019979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1019984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1019987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1019990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1019993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1019996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1020003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020015 */     // MIs[0] policy
     /* 1020015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020025 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1020042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020065 */     // GIR_Coverage, 60090,
     /* 1020065 */     GIR_EraseRootFromParent_Done,
     /* 1020066 */   // Label 14894: @1020066
     /* 1020066 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1020161), // Rule ID 60091 //
     /* 1020071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1020074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1020079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1020082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1020085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1020088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1020091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1020098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020110 */     // MIs[0] policy
     /* 1020110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10807:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1020137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020160 */     // GIR_Coverage, 60091,
     /* 1020160 */     GIR_EraseRootFromParent_Done,
     /* 1020161 */   // Label 14895: @1020161
     /* 1020161 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1020256), // Rule ID 60094 //
     /* 1020166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1020169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1020174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1020186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1020193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020205 */     // MIs[0] policy
     /* 1020205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1020232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020255 */     // GIR_Coverage, 60094,
     /* 1020255 */     GIR_EraseRootFromParent_Done,
     /* 1020256 */   // Label 14896: @1020256
     /* 1020256 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1020351), // Rule ID 60095 //
     /* 1020261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1020264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1020269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1020272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1020275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1020278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1020281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1020288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020300 */     // MIs[0] policy
     /* 1020300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020310 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10807:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1020327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020350 */     // GIR_Coverage, 60095,
     /* 1020350 */     GIR_EraseRootFromParent_Done,
     /* 1020351 */   // Label 14897: @1020351
     /* 1020351 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1020446), // Rule ID 60098 //
     /* 1020356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1020359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1020373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1020376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020395 */     // MIs[0] policy
     /* 1020395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020405 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1020422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020445 */     // GIR_Coverage, 60098,
     /* 1020445 */     GIR_EraseRootFromParent_Done,
     /* 1020446 */   // Label 14898: @1020446
     /* 1020446 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1020541), // Rule ID 60099 //
     /* 1020451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1020454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1020462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1020465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1020468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1020471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020490 */     // MIs[0] policy
     /* 1020490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020500 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1020517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020540 */     // GIR_Coverage, 60099,
     /* 1020540 */     GIR_EraseRootFromParent_Done,
     /* 1020541 */   // Label 14899: @1020541
     /* 1020541 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1020636), // Rule ID 60102 //
     /* 1020546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1020549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1020563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1020566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020585 */     // MIs[0] policy
     /* 1020585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1020612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020635 */     // GIR_Coverage, 60102,
     /* 1020635 */     GIR_EraseRootFromParent_Done,
     /* 1020636 */   // Label 14900: @1020636
     /* 1020636 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1020731), // Rule ID 60103 //
     /* 1020641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1020644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1020652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1020655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1020658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1020661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020680 */     // MIs[0] policy
     /* 1020680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1020707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020730 */     // GIR_Coverage, 60103,
     /* 1020730 */     GIR_EraseRootFromParent_Done,
     /* 1020731 */   // Label 14901: @1020731
     /* 1020731 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1020826), // Rule ID 60106 //
     /* 1020736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1020739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1020747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1020750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1020753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1020756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020775 */     // MIs[0] policy
     /* 1020775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020785 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1020802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020825 */     // GIR_Coverage, 60106,
     /* 1020825 */     GIR_EraseRootFromParent_Done,
     /* 1020826 */   // Label 14902: @1020826
     /* 1020826 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1020921), // Rule ID 60107 //
     /* 1020831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1020834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1020842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1020845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1020848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1020851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020870 */     // MIs[0] policy
     /* 1020870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020880 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1020897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1020909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020920 */     // GIR_Coverage, 60107,
     /* 1020920 */     GIR_EraseRootFromParent_Done,
     /* 1020921 */   // Label 14903: @1020921
     /* 1020921 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1021016), // Rule ID 60110 //
     /* 1020926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1020929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1020934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1020937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1020940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1020943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1020946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1020953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1020965 */     // MIs[0] policy
     /* 1020965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020975 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1020979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1020985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1020989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1020992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1020996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1020998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021015 */     // GIR_Coverage, 60110,
     /* 1021015 */     GIR_EraseRootFromParent_Done,
     /* 1021016 */   // Label 14904: @1021016
     /* 1021016 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1021111), // Rule ID 60111 //
     /* 1021021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1021032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1021035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1021038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1021041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021060 */     // MIs[0] policy
     /* 1021060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1021087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021110 */     // GIR_Coverage, 60111,
     /* 1021110 */     GIR_EraseRootFromParent_Done,
     /* 1021111 */   // Label 14905: @1021111
     /* 1021111 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1021206), // Rule ID 60114 //
     /* 1021116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1021119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1021133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1021136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021155 */     // MIs[0] policy
     /* 1021155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021165 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1021182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021205 */     // GIR_Coverage, 60114,
     /* 1021205 */     GIR_EraseRootFromParent_Done,
     /* 1021206 */   // Label 14906: @1021206
     /* 1021206 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1021301), // Rule ID 60115 //
     /* 1021211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1021222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1021225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1021228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1021231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021250 */     // MIs[0] policy
     /* 1021250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021260 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1021277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021300 */     // GIR_Coverage, 60115,
     /* 1021300 */     GIR_EraseRootFromParent_Done,
     /* 1021301 */   // Label 14907: @1021301
     /* 1021301 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1021396), // Rule ID 60118 //
     /* 1021306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1021309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1021323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1021326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021345 */     // MIs[0] policy
     /* 1021345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1021372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021395 */     // GIR_Coverage, 60118,
     /* 1021395 */     GIR_EraseRootFromParent_Done,
     /* 1021396 */   // Label 14908: @1021396
     /* 1021396 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1021491), // Rule ID 60119 //
     /* 1021401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1021412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1021415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1021418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1021421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021440 */     // MIs[0] policy
     /* 1021440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021450 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1021467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021490 */     // GIR_Coverage, 60119,
     /* 1021490 */     GIR_EraseRootFromParent_Done,
     /* 1021491 */   // Label 14909: @1021491
     /* 1021491 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1021586), // Rule ID 60122 //
     /* 1021496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1021499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1021513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1021516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021535 */     // MIs[0] policy
     /* 1021535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021545 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1021562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021585 */     // GIR_Coverage, 60122,
     /* 1021585 */     GIR_EraseRootFromParent_Done,
     /* 1021586 */   // Label 14910: @1021586
     /* 1021586 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1021681), // Rule ID 60123 //
     /* 1021591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1021602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1021605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1021608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1021611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021630 */     // MIs[0] policy
     /* 1021630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021640 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10814:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021644 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1021657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021680 */     // GIR_Coverage, 60123,
     /* 1021680 */     GIR_EraseRootFromParent_Done,
     /* 1021681 */   // Label 14911: @1021681
     /* 1021681 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1021776), // Rule ID 60126 //
     /* 1021686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1021689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1021703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1021706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021725 */     // MIs[0] policy
     /* 1021725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021735 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1021752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021775 */     // GIR_Coverage, 60126,
     /* 1021775 */     GIR_EraseRootFromParent_Done,
     /* 1021776 */   // Label 14912: @1021776
     /* 1021776 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1021871), // Rule ID 60127 //
     /* 1021781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1021792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1021795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1021798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1021801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021820 */     // MIs[0] policy
     /* 1021820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021830 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10814:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1021847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021870 */     // GIR_Coverage, 60127,
     /* 1021870 */     GIR_EraseRootFromParent_Done,
     /* 1021871 */   // Label 14913: @1021871
     /* 1021871 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1021966), // Rule ID 60130 //
     /* 1021876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1021879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1021893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1021896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1021911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1021915 */     // MIs[0] policy
     /* 1021915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1021929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1021935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1021939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1021942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1021946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1021948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1021954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021965 */     // GIR_Coverage, 60130,
     /* 1021965 */     GIR_EraseRootFromParent_Done,
     /* 1021966 */   // Label 14914: @1021966
     /* 1021966 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1022061), // Rule ID 60131 //
     /* 1021971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1021974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1021979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1021982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1021985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1021988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1021991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1021998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022010 */     // MIs[0] policy
     /* 1022010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10814:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1022037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022060 */     // GIR_Coverage, 60131,
     /* 1022060 */     GIR_EraseRootFromParent_Done,
     /* 1022061 */   // Label 14915: @1022061
     /* 1022061 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1022156), // Rule ID 60134 //
     /* 1022066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1022069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1022083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1022086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1022093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022105 */     // MIs[0] policy
     /* 1022105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1022132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022155 */     // GIR_Coverage, 60134,
     /* 1022155 */     GIR_EraseRootFromParent_Done,
     /* 1022156 */   // Label 14916: @1022156
     /* 1022156 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1022251), // Rule ID 60135 //
     /* 1022161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1022164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1022172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1022175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1022178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1022181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1022188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022200 */     // MIs[0] policy
     /* 1022200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10814:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1022227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022250 */     // GIR_Coverage, 60135,
     /* 1022250 */     GIR_EraseRootFromParent_Done,
     /* 1022251 */   // Label 14917: @1022251
     /* 1022251 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1022346), // Rule ID 60138 //
     /* 1022256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1022259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1022273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1022276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1022283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022295 */     // MIs[0] policy
     /* 1022295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022305 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1022322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022345 */     // GIR_Coverage, 60138,
     /* 1022345 */     GIR_EraseRootFromParent_Done,
     /* 1022346 */   // Label 14918: @1022346
     /* 1022346 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1022441), // Rule ID 60139 //
     /* 1022351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1022354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1022362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1022365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1022368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1022371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1022378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022390 */     // MIs[0] policy
     /* 1022390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022400 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1022417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022440 */     // GIR_Coverage, 60139,
     /* 1022440 */     GIR_EraseRootFromParent_Done,
     /* 1022441 */   // Label 14919: @1022441
     /* 1022441 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1022536), // Rule ID 60142 //
     /* 1022446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1022449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1022463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1022466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1022473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022485 */     // MIs[0] policy
     /* 1022485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022495 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1022512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022535 */     // GIR_Coverage, 60142,
     /* 1022535 */     GIR_EraseRootFromParent_Done,
     /* 1022536 */   // Label 14920: @1022536
     /* 1022536 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1022631), // Rule ID 60143 //
     /* 1022541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1022544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1022552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1022555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1022558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1022561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1022568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022580 */     // MIs[0] policy
     /* 1022580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022590 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1022607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022630 */     // GIR_Coverage, 60143,
     /* 1022630 */     GIR_EraseRootFromParent_Done,
     /* 1022631 */   // Label 14921: @1022631
     /* 1022631 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1022726), // Rule ID 60146 //
     /* 1022636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1022639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1022653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1022656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1022663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022675 */     // MIs[0] policy
     /* 1022675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022685 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1022702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022725 */     // GIR_Coverage, 60146,
     /* 1022725 */     GIR_EraseRootFromParent_Done,
     /* 1022726 */   // Label 14922: @1022726
     /* 1022726 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1022821), // Rule ID 60147 //
     /* 1022731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1022734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1022742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1022745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1022748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1022751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1022758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022770 */     // MIs[0] policy
     /* 1022770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022780 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022784 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1022797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022820 */     // GIR_Coverage, 60147,
     /* 1022820 */     GIR_EraseRootFromParent_Done,
     /* 1022821 */   // Label 14923: @1022821
     /* 1022821 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1022916), // Rule ID 60150 //
     /* 1022826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1022829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1022843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1022846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1022853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022865 */     // MIs[0] policy
     /* 1022865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1022892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1022912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022915 */     // GIR_Coverage, 60150,
     /* 1022915 */     GIR_EraseRootFromParent_Done,
     /* 1022916 */   // Label 14924: @1022916
     /* 1022916 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1023011), // Rule ID 60151 //
     /* 1022921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1022924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1022929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1022932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1022935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1022938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1022941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1022948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1022960 */     // MIs[0] policy
     /* 1022960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1022974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1022980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1022984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1022987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1022991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1022993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1022999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023010 */     // GIR_Coverage, 60151,
     /* 1023010 */     GIR_EraseRootFromParent_Done,
     /* 1023011 */   // Label 14925: @1023011
     /* 1023011 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1023106), // Rule ID 60154 //
     /* 1023016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1023033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1023036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1023043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023055 */     // MIs[0] policy
     /* 1023055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023065 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1023082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023105 */     // GIR_Coverage, 60154,
     /* 1023105 */     GIR_EraseRootFromParent_Done,
     /* 1023106 */   // Label 14926: @1023106
     /* 1023106 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1023201), // Rule ID 60155 //
     /* 1023111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1023114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1023122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1023125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1023128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1023131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1023138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023150 */     // MIs[0] policy
     /* 1023150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1023177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023200 */     // GIR_Coverage, 60155,
     /* 1023200 */     GIR_EraseRootFromParent_Done,
     /* 1023201 */   // Label 14927: @1023201
     /* 1023201 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1023296), // Rule ID 60158 //
     /* 1023206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1023223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1023226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1023233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023245 */     // MIs[0] policy
     /* 1023245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1023272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023295 */     // GIR_Coverage, 60158,
     /* 1023295 */     GIR_EraseRootFromParent_Done,
     /* 1023296 */   // Label 14928: @1023296
     /* 1023296 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1023391), // Rule ID 60159 //
     /* 1023301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1023304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1023312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1023315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1023318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1023321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1023328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023340 */     // MIs[0] policy
     /* 1023340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1023367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023390 */     // GIR_Coverage, 60159,
     /* 1023390 */     GIR_EraseRootFromParent_Done,
     /* 1023391 */   // Label 14929: @1023391
     /* 1023391 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1023486), // Rule ID 60162 //
     /* 1023396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1023413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1023416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1023423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023435 */     // MIs[0] policy
     /* 1023435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023445 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1023462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023485 */     // GIR_Coverage, 60162,
     /* 1023485 */     GIR_EraseRootFromParent_Done,
     /* 1023486 */   // Label 14930: @1023486
     /* 1023486 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1023581), // Rule ID 60163 //
     /* 1023491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1023494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1023502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1023505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1023508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1023511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1023518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023530 */     // MIs[0] policy
     /* 1023530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023544 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1023557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023580 */     // GIR_Coverage, 60163,
     /* 1023580 */     GIR_EraseRootFromParent_Done,
     /* 1023581 */   // Label 14931: @1023581
     /* 1023581 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1023676), // Rule ID 60166 //
     /* 1023586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1023603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1023606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1023613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023625 */     // MIs[0] policy
     /* 1023625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1023652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023675 */     // GIR_Coverage, 60166,
     /* 1023675 */     GIR_EraseRootFromParent_Done,
     /* 1023676 */   // Label 14932: @1023676
     /* 1023676 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1023771), // Rule ID 60167 //
     /* 1023681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1023684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1023692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1023695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1023698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1023701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1023708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1023716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023720 */     // MIs[0] policy
     /* 1023720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023734 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1023747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023770 */     // GIR_Coverage, 60167,
     /* 1023770 */     GIR_EraseRootFromParent_Done,
     /* 1023771 */   // Label 14933: @1023771
     /* 1023771 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1023866), // Rule ID 60170 //
     /* 1023776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1023793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1023796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1023803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023815 */     // MIs[0] policy
     /* 1023815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1023842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023865 */     // GIR_Coverage, 60170,
     /* 1023865 */     GIR_EraseRootFromParent_Done,
     /* 1023866 */   // Label 14934: @1023866
     /* 1023866 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1023961), // Rule ID 60171 //
     /* 1023871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1023874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1023882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1023885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1023888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1023891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1023898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1023906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1023910 */     // MIs[0] policy
     /* 1023910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023920 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1023924 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1023930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1023934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1023937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1023941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1023943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1023949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023960 */     // GIR_Coverage, 60171,
     /* 1023960 */     GIR_EraseRootFromParent_Done,
     /* 1023961 */   // Label 14935: @1023961
     /* 1023961 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1024056), // Rule ID 60174 //
     /* 1023966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1023969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1023974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1023977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1023980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1023983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1023986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1023993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1023997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024005 */     // MIs[0] policy
     /* 1024005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024015 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1024032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024055 */     // GIR_Coverage, 60174,
     /* 1024055 */     GIR_EraseRootFromParent_Done,
     /* 1024056 */   // Label 14936: @1024056
     /* 1024056 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1024151), // Rule ID 60175 //
     /* 1024061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1024064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1024069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1024072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1024075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1024078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1024081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1024088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024100 */     // MIs[0] policy
     /* 1024100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10814:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024114 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1024127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024133 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024150 */     // GIR_Coverage, 60175,
     /* 1024150 */     GIR_EraseRootFromParent_Done,
     /* 1024151 */   // Label 14937: @1024151
     /* 1024151 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1024246), // Rule ID 60178 //
     /* 1024156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1024159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1024164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1024173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1024176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1024183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024195 */     // MIs[0] policy
     /* 1024195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024205 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1024222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024245 */     // GIR_Coverage, 60178,
     /* 1024245 */     GIR_EraseRootFromParent_Done,
     /* 1024246 */   // Label 14938: @1024246
     /* 1024246 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1024341), // Rule ID 60179 //
     /* 1024251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1024254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1024259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1024262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1024265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1024268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1024271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1024278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024290 */     // MIs[0] policy
     /* 1024290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10814:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1024317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024340 */     // GIR_Coverage, 60179,
     /* 1024340 */     GIR_EraseRootFromParent_Done,
     /* 1024341 */   // Label 14939: @1024341
     /* 1024341 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1024436), // Rule ID 60182 //
     /* 1024346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1024349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1024354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1024363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1024366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1024373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024385 */     // MIs[0] policy
     /* 1024385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1024412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024435 */     // GIR_Coverage, 60182,
     /* 1024435 */     GIR_EraseRootFromParent_Done,
     /* 1024436 */   // Label 14940: @1024436
     /* 1024436 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1024531), // Rule ID 60183 //
     /* 1024441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1024444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1024449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1024452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1024455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1024458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1024461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1024468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024480 */     // MIs[0] policy
     /* 1024480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10814:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1024507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024530 */     // GIR_Coverage, 60183,
     /* 1024530 */     GIR_EraseRootFromParent_Done,
     /* 1024531 */   // Label 14941: @1024531
     /* 1024531 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1024626), // Rule ID 60186 //
     /* 1024536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1024539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1024544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1024556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1024563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024575 */     // MIs[0] policy
     /* 1024575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024585 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1024602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024625 */     // GIR_Coverage, 60186,
     /* 1024625 */     GIR_EraseRootFromParent_Done,
     /* 1024626 */   // Label 14942: @1024626
     /* 1024626 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1024721), // Rule ID 60187 //
     /* 1024631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1024634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1024639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1024642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1024645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1024648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1024651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1024658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024670 */     // MIs[0] policy
     /* 1024670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1024697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024720 */     // GIR_Coverage, 60187,
     /* 1024720 */     GIR_EraseRootFromParent_Done,
     /* 1024721 */   // Label 14943: @1024721
     /* 1024721 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1024816), // Rule ID 60190 //
     /* 1024726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1024729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1024734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1024746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1024753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024765 */     // MIs[0] policy
     /* 1024765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024775 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1024792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024815 */     // GIR_Coverage, 60190,
     /* 1024815 */     GIR_EraseRootFromParent_Done,
     /* 1024816 */   // Label 14944: @1024816
     /* 1024816 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1024911), // Rule ID 60191 //
     /* 1024821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1024824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1024829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1024832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1024835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1024838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1024841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1024848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024860 */     // MIs[0] policy
     /* 1024860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024870 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024874 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024880 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1024887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024910 */     // GIR_Coverage, 60191,
     /* 1024910 */     GIR_EraseRootFromParent_Done,
     /* 1024911 */   // Label 14945: @1024911
     /* 1024911 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1025006), // Rule ID 60194 //
     /* 1024916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1024919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1024924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1024927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1024930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1024933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1024936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1024943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1024955 */     // MIs[0] policy
     /* 1024955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024965 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1024969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1024975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1024979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1024982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1024986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1024988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1024994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025005 */     // GIR_Coverage, 60194,
     /* 1025005 */     GIR_EraseRootFromParent_Done,
     /* 1025006 */   // Label 14946: @1025006
     /* 1025006 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1025101), // Rule ID 60195 //
     /* 1025011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1025022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1025025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1025028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1025031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025050 */     // MIs[0] policy
     /* 1025050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025060 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1025077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025100 */     // GIR_Coverage, 60195,
     /* 1025100 */     GIR_EraseRootFromParent_Done,
     /* 1025101 */   // Label 14947: @1025101
     /* 1025101 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1025196), // Rule ID 60198 //
     /* 1025106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1025109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1025126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025145 */     // MIs[0] policy
     /* 1025145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1025172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025195 */     // GIR_Coverage, 60198,
     /* 1025195 */     GIR_EraseRootFromParent_Done,
     /* 1025196 */   // Label 14948: @1025196
     /* 1025196 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1025291), // Rule ID 60199 //
     /* 1025201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1025212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1025215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1025218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1025221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025240 */     // MIs[0] policy
     /* 1025240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025250 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1025267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025290 */     // GIR_Coverage, 60199,
     /* 1025290 */     GIR_EraseRootFromParent_Done,
     /* 1025291 */   // Label 14949: @1025291
     /* 1025291 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1025386), // Rule ID 60202 //
     /* 1025296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1025299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1025316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025335 */     // MIs[0] policy
     /* 1025335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025345 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1025362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025385 */     // GIR_Coverage, 60202,
     /* 1025385 */     GIR_EraseRootFromParent_Done,
     /* 1025386 */   // Label 14950: @1025386
     /* 1025386 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1025481), // Rule ID 60203 //
     /* 1025391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1025402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1025405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1025408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1025411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025430 */     // MIs[0] policy
     /* 1025430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1025457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025480 */     // GIR_Coverage, 60203,
     /* 1025480 */     GIR_EraseRootFromParent_Done,
     /* 1025481 */   // Label 14951: @1025481
     /* 1025481 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1025576), // Rule ID 60206 //
     /* 1025486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1025489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1025506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025525 */     // MIs[0] policy
     /* 1025525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1025552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025575 */     // GIR_Coverage, 60206,
     /* 1025575 */     GIR_EraseRootFromParent_Done,
     /* 1025576 */   // Label 14952: @1025576
     /* 1025576 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1025671), // Rule ID 60207 //
     /* 1025581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1025592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1025595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1025598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1025601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025620 */     // MIs[0] policy
     /* 1025620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025634 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1025647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025670 */     // GIR_Coverage, 60207,
     /* 1025670 */     GIR_EraseRootFromParent_Done,
     /* 1025671 */   // Label 14953: @1025671
     /* 1025671 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1025766), // Rule ID 60210 //
     /* 1025676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1025679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1025696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025715 */     // MIs[0] policy
     /* 1025715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025725 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1025742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025765 */     // GIR_Coverage, 60210,
     /* 1025765 */     GIR_EraseRootFromParent_Done,
     /* 1025766 */   // Label 14954: @1025766
     /* 1025766 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1025861), // Rule ID 60211 //
     /* 1025771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1025782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1025785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1025788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1025791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025810 */     // MIs[0] policy
     /* 1025810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10812:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025824 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1025837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025843 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025860 */     // GIR_Coverage, 60211,
     /* 1025860 */     GIR_EraseRootFromParent_Done,
     /* 1025861 */   // Label 14955: @1025861
     /* 1025861 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1025956), // Rule ID 60214 //
     /* 1025866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1025869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1025886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1025905 */     // MIs[0] policy
     /* 1025905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1025919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1025925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1025929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1025932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1025936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1025938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1025944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1025952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025955 */     // GIR_Coverage, 60214,
     /* 1025955 */     GIR_EraseRootFromParent_Done,
     /* 1025956 */   // Label 14956: @1025956
     /* 1025956 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1026051), // Rule ID 60215 //
     /* 1025961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1025964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1025969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1025972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1025975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1025978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1025981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1025988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026000 */     // MIs[0] policy
     /* 1026000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026010 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10812:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026014 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1026027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026050 */     // GIR_Coverage, 60215,
     /* 1026050 */     GIR_EraseRootFromParent_Done,
     /* 1026051 */   // Label 14957: @1026051
     /* 1026051 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1026146), // Rule ID 60218 //
     /* 1026056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1026059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1026076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1026083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026095 */     // MIs[0] policy
     /* 1026095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026105 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1026122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026145 */     // GIR_Coverage, 60218,
     /* 1026145 */     GIR_EraseRootFromParent_Done,
     /* 1026146 */   // Label 14958: @1026146
     /* 1026146 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1026241), // Rule ID 60219 //
     /* 1026151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1026154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1026162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1026165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1026168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1026171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1026178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026190 */     // MIs[0] policy
     /* 1026190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10812:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1026217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026240 */     // GIR_Coverage, 60219,
     /* 1026240 */     GIR_EraseRootFromParent_Done,
     /* 1026241 */   // Label 14959: @1026241
     /* 1026241 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1026336), // Rule ID 60222 //
     /* 1026246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1026249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1026263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1026266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1026273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026285 */     // MIs[0] policy
     /* 1026285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026295 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1026312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026335 */     // GIR_Coverage, 60222,
     /* 1026335 */     GIR_EraseRootFromParent_Done,
     /* 1026336 */   // Label 14960: @1026336
     /* 1026336 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1026431), // Rule ID 60223 //
     /* 1026341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1026344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1026352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1026355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1026358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1026361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1026368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026380 */     // MIs[0] policy
     /* 1026380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10812:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1026407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1026427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026430 */     // GIR_Coverage, 60223,
     /* 1026430 */     GIR_EraseRootFromParent_Done,
     /* 1026431 */   // Label 14961: @1026431
     /* 1026431 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1026526), // Rule ID 60226 //
     /* 1026436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1026439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1026456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1026463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026475 */     // MIs[0] policy
     /* 1026475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026485 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1026502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026525 */     // GIR_Coverage, 60226,
     /* 1026525 */     GIR_EraseRootFromParent_Done,
     /* 1026526 */   // Label 14962: @1026526
     /* 1026526 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1026621), // Rule ID 60227 //
     /* 1026531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1026534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1026542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1026545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1026548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1026551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1026558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1026566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026570 */     // MIs[0] policy
     /* 1026570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026580 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1026597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026620 */     // GIR_Coverage, 60227,
     /* 1026620 */     GIR_EraseRootFromParent_Done,
     /* 1026621 */   // Label 14963: @1026621
     /* 1026621 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1026716), // Rule ID 60230 //
     /* 1026626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1026629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1026646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1026653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026665 */     // MIs[0] policy
     /* 1026665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1026692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026715 */     // GIR_Coverage, 60230,
     /* 1026715 */     GIR_EraseRootFromParent_Done,
     /* 1026716 */   // Label 14964: @1026716
     /* 1026716 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1026811), // Rule ID 60231 //
     /* 1026721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1026724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1026732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1026735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1026738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1026741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1026748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1026756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026760 */     // MIs[0] policy
     /* 1026760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1026787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026810 */     // GIR_Coverage, 60231,
     /* 1026810 */     GIR_EraseRootFromParent_Done,
     /* 1026811 */   // Label 14965: @1026811
     /* 1026811 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1026906), // Rule ID 60234 //
     /* 1026816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1026819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1026836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1026843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026855 */     // MIs[0] policy
     /* 1026855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026865 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1026882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026905 */     // GIR_Coverage, 60234,
     /* 1026905 */     GIR_EraseRootFromParent_Done,
     /* 1026906 */   // Label 14966: @1026906
     /* 1026906 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1027001), // Rule ID 60235 //
     /* 1026911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1026914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1026919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1026922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1026925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1026928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1026931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1026938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1026946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1026950 */     // MIs[0] policy
     /* 1026950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1026964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1026970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1026974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1026977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1026981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1026983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1026989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027000 */     // GIR_Coverage, 60235,
     /* 1027000 */     GIR_EraseRootFromParent_Done,
     /* 1027001 */   // Label 14967: @1027001
     /* 1027001 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1027096), // Rule ID 60238 //
     /* 1027006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1027023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1027026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1027033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027045 */     // MIs[0] policy
     /* 1027045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027055 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1027072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027095 */     // GIR_Coverage, 60238,
     /* 1027095 */     GIR_EraseRootFromParent_Done,
     /* 1027096 */   // Label 14968: @1027096
     /* 1027096 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1027191), // Rule ID 60239 //
     /* 1027101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1027104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1027118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1027121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1027128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027140 */     // MIs[0] policy
     /* 1027140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1027167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027190 */     // GIR_Coverage, 60239,
     /* 1027190 */     GIR_EraseRootFromParent_Done,
     /* 1027191 */   // Label 14969: @1027191
     /* 1027191 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1027286), // Rule ID 60242 //
     /* 1027196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1027213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1027216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1027223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027235 */     // MIs[0] policy
     /* 1027235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027245 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1027262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027285 */     // GIR_Coverage, 60242,
     /* 1027285 */     GIR_EraseRootFromParent_Done,
     /* 1027286 */   // Label 14970: @1027286
     /* 1027286 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1027381), // Rule ID 60243 //
     /* 1027291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1027294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1027302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1027305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1027308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1027311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1027318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027330 */     // MIs[0] policy
     /* 1027330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027340 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1027357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027380 */     // GIR_Coverage, 60243,
     /* 1027380 */     GIR_EraseRootFromParent_Done,
     /* 1027381 */   // Label 14971: @1027381
     /* 1027381 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1027476), // Rule ID 60246 //
     /* 1027386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1027403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1027406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1027413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027425 */     // MIs[0] policy
     /* 1027425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1027452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027475 */     // GIR_Coverage, 60246,
     /* 1027475 */     GIR_EraseRootFromParent_Done,
     /* 1027476 */   // Label 14972: @1027476
     /* 1027476 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1027571), // Rule ID 60247 //
     /* 1027481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1027484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1027492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1027495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1027498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1027501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1027508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027520 */     // MIs[0] policy
     /* 1027520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027530 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1027547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027570 */     // GIR_Coverage, 60247,
     /* 1027570 */     GIR_EraseRootFromParent_Done,
     /* 1027571 */   // Label 14973: @1027571
     /* 1027571 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1027666), // Rule ID 60250 //
     /* 1027576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1027593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1027596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1027603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027615 */     // MIs[0] policy
     /* 1027615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027625 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1027642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027665 */     // GIR_Coverage, 60250,
     /* 1027665 */     GIR_EraseRootFromParent_Done,
     /* 1027666 */   // Label 14974: @1027666
     /* 1027666 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1027761), // Rule ID 60251 //
     /* 1027671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1027674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1027682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1027685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1027688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1027691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1027698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027710 */     // MIs[0] policy
     /* 1027710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027720 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1027737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027760 */     // GIR_Coverage, 60251,
     /* 1027760 */     GIR_EraseRootFromParent_Done,
     /* 1027761 */   // Label 14975: @1027761
     /* 1027761 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1027856), // Rule ID 60254 //
     /* 1027766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1027786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1027793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027805 */     // MIs[0] policy
     /* 1027805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027815 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1027832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027855 */     // GIR_Coverage, 60254,
     /* 1027855 */     GIR_EraseRootFromParent_Done,
     /* 1027856 */   // Label 14976: @1027856
     /* 1027856 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1027951), // Rule ID 60255 //
     /* 1027861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1027864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1027872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1027875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1027878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1027881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1027888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027900 */     // MIs[0] policy
     /* 1027900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1027914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1027920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1027924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1027927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1027931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1027933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1027939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027950 */     // GIR_Coverage, 60255,
     /* 1027950 */     GIR_EraseRootFromParent_Done,
     /* 1027951 */   // Label 14977: @1027951
     /* 1027951 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1028046), // Rule ID 60258 //
     /* 1027956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1027959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1027964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1027967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1027970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1027973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1027976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1027983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1027995 */     // MIs[0] policy
     /* 1027995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028005 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1028022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028045 */     // GIR_Coverage, 60258,
     /* 1028045 */     GIR_EraseRootFromParent_Done,
     /* 1028046 */   // Label 14978: @1028046
     /* 1028046 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1028141), // Rule ID 60259 //
     /* 1028051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1028054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1028068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1028071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1028078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028090 */     // MIs[0] policy
     /* 1028090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1028117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028140 */     // GIR_Coverage, 60259,
     /* 1028140 */     GIR_EraseRootFromParent_Done,
     /* 1028141 */   // Label 14979: @1028141
     /* 1028141 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1028236), // Rule ID 60262 //
     /* 1028146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1028149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1028163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1028166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1028173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028185 */     // MIs[0] policy
     /* 1028185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028195 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1028212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028235 */     // GIR_Coverage, 60262,
     /* 1028235 */     GIR_EraseRootFromParent_Done,
     /* 1028236 */   // Label 14980: @1028236
     /* 1028236 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1028331), // Rule ID 60263 //
     /* 1028241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1028244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1028258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1028261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1028268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028280 */     // MIs[0] policy
     /* 1028280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10812:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1028307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028330 */     // GIR_Coverage, 60263,
     /* 1028330 */     GIR_EraseRootFromParent_Done,
     /* 1028331 */   // Label 14981: @1028331
     /* 1028331 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1028426), // Rule ID 60266 //
     /* 1028336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1028339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1028353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1028356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1028363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028375 */     // MIs[0] policy
     /* 1028375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1028402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028425 */     // GIR_Coverage, 60266,
     /* 1028425 */     GIR_EraseRootFromParent_Done,
     /* 1028426 */   // Label 14982: @1028426
     /* 1028426 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1028521), // Rule ID 60267 //
     /* 1028431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1028434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1028448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1028451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1028458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028470 */     // MIs[0] policy
     /* 1028470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028480 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10812:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1028497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028520 */     // GIR_Coverage, 60267,
     /* 1028520 */     GIR_EraseRootFromParent_Done,
     /* 1028521 */   // Label 14983: @1028521
     /* 1028521 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1028616), // Rule ID 60270 //
     /* 1028526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1028529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1028543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1028546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1028553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028565 */     // MIs[0] policy
     /* 1028565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028575 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1028592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028615 */     // GIR_Coverage, 60270,
     /* 1028615 */     GIR_EraseRootFromParent_Done,
     /* 1028616 */   // Label 14984: @1028616
     /* 1028616 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1028711), // Rule ID 60271 //
     /* 1028621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1028624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1028629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1028632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1028635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1028638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1028641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1028648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028660 */     // MIs[0] policy
     /* 1028660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10812:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1028687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028710 */     // GIR_Coverage, 60271,
     /* 1028710 */     GIR_EraseRootFromParent_Done,
     /* 1028711 */   // Label 14985: @1028711
     /* 1028711 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1028806), // Rule ID 60694 //
     /* 1028716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1028719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1028724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1028736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1028743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028755 */     // MIs[0] policy
     /* 1028755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1028782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028805 */     // GIR_Coverage, 60694,
     /* 1028805 */     GIR_EraseRootFromParent_Done,
     /* 1028806 */   // Label 14986: @1028806
     /* 1028806 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1028901), // Rule ID 60695 //
     /* 1028811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1028814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1028819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1028822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1028825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1028828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1028831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1028838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028850 */     // MIs[0] policy
     /* 1028850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028860 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1028877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028900 */     // GIR_Coverage, 60695,
     /* 1028900 */     GIR_EraseRootFromParent_Done,
     /* 1028901 */   // Label 14987: @1028901
     /* 1028901 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1028996), // Rule ID 60698 //
     /* 1028906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1028909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1028914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1028917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1028920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1028923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1028926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1028933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1028941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1028945 */     // MIs[0] policy
     /* 1028945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1028959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1028965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1028969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1028972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1028976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1028978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1028984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1028992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028995 */     // GIR_Coverage, 60698,
     /* 1028995 */     GIR_EraseRootFromParent_Done,
     /* 1028996 */   // Label 14988: @1028996
     /* 1028996 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1029091), // Rule ID 60699 //
     /* 1029001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1029021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029040 */     // MIs[0] policy
     /* 1029040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1029067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029090 */     // GIR_Coverage, 60699,
     /* 1029090 */     GIR_EraseRootFromParent_Done,
     /* 1029091 */   // Label 14989: @1029091
     /* 1029091 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1029186), // Rule ID 60702 //
     /* 1029096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1029099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1029116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029135 */     // MIs[0] policy
     /* 1029135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029145 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029185 */     // GIR_Coverage, 60702,
     /* 1029185 */     GIR_EraseRootFromParent_Done,
     /* 1029186 */   // Label 14990: @1029186
     /* 1029186 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1029281), // Rule ID 60703 //
     /* 1029191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1029211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029230 */     // MIs[0] policy
     /* 1029230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029280 */     // GIR_Coverage, 60703,
     /* 1029280 */     GIR_EraseRootFromParent_Done,
     /* 1029281 */   // Label 14991: @1029281
     /* 1029281 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1029376), // Rule ID 60706 //
     /* 1029286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1029289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1029306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029325 */     // MIs[0] policy
     /* 1029325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029335 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1029352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029375 */     // GIR_Coverage, 60706,
     /* 1029375 */     GIR_EraseRootFromParent_Done,
     /* 1029376 */   // Label 14992: @1029376
     /* 1029376 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1029471), // Rule ID 60707 //
     /* 1029381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1029401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029420 */     // MIs[0] policy
     /* 1029420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1029447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029470 */     // GIR_Coverage, 60707,
     /* 1029470 */     GIR_EraseRootFromParent_Done,
     /* 1029471 */   // Label 14993: @1029471
     /* 1029471 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1029566), // Rule ID 60710 //
     /* 1029476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1029479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1029496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029515 */     // MIs[0] policy
     /* 1029515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029525 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029565 */     // GIR_Coverage, 60710,
     /* 1029565 */     GIR_EraseRootFromParent_Done,
     /* 1029566 */   // Label 14994: @1029566
     /* 1029566 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1029661), // Rule ID 60711 //
     /* 1029571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1029591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029610 */     // MIs[0] policy
     /* 1029610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029660 */     // GIR_Coverage, 60711,
     /* 1029660 */     GIR_EraseRootFromParent_Done,
     /* 1029661 */   // Label 14995: @1029661
     /* 1029661 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1029756), // Rule ID 60714 //
     /* 1029666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1029669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1029686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029705 */     // MIs[0] policy
     /* 1029705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029755 */     // GIR_Coverage, 60714,
     /* 1029755 */     GIR_EraseRootFromParent_Done,
     /* 1029756 */   // Label 14996: @1029756
     /* 1029756 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1029851), // Rule ID 60715 //
     /* 1029761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1029772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1029775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1029778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1029781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029800 */     // MIs[0] policy
     /* 1029800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1029827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1029847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029850 */     // GIR_Coverage, 60715,
     /* 1029850 */     GIR_EraseRootFromParent_Done,
     /* 1029851 */   // Label 14997: @1029851
     /* 1029851 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1029946), // Rule ID 60718 //
     /* 1029856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1029859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1029876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029895 */     // MIs[0] policy
     /* 1029895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029905 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1029909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1029915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1029919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1029922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1029926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1029928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1029934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029945 */     // GIR_Coverage, 60718,
     /* 1029945 */     GIR_EraseRootFromParent_Done,
     /* 1029946 */   // Label 14998: @1029946
     /* 1029946 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1030041), // Rule ID 60719 //
     /* 1029951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1029954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1029959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1029962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1029965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1029968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1029971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1029978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1029990 */     // MIs[0] policy
     /* 1029990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030000 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10801:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030040 */     // GIR_Coverage, 60719,
     /* 1030040 */     GIR_EraseRootFromParent_Done,
     /* 1030041 */   // Label 14999: @1030041
     /* 1030041 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1030136), // Rule ID 60722 //
     /* 1030046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1030066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030085 */     // MIs[0] policy
     /* 1030085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030135 */     // GIR_Coverage, 60722,
     /* 1030135 */     GIR_EraseRootFromParent_Done,
     /* 1030136 */   // Label 15000: @1030136
     /* 1030136 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1030231), // Rule ID 60723 //
     /* 1030141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1030144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1030161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030180 */     // MIs[0] policy
     /* 1030180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10801:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030230 */     // GIR_Coverage, 60723,
     /* 1030230 */     GIR_EraseRootFromParent_Done,
     /* 1030231 */   // Label 15001: @1030231
     /* 1030231 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1030326), // Rule ID 60726 //
     /* 1030236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1030256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030275 */     // MIs[0] policy
     /* 1030275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030325 */     // GIR_Coverage, 60726,
     /* 1030325 */     GIR_EraseRootFromParent_Done,
     /* 1030326 */   // Label 15002: @1030326
     /* 1030326 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1030421), // Rule ID 60727 //
     /* 1030331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1030334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1030351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030370 */     // MIs[0] policy
     /* 1030370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10801:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030420 */     // GIR_Coverage, 60727,
     /* 1030420 */     GIR_EraseRootFromParent_Done,
     /* 1030421 */   // Label 15003: @1030421
     /* 1030421 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1030516), // Rule ID 60730 //
     /* 1030426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1030446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030465 */     // MIs[0] policy
     /* 1030465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030515 */     // GIR_Coverage, 60730,
     /* 1030515 */     GIR_EraseRootFromParent_Done,
     /* 1030516 */   // Label 15004: @1030516
     /* 1030516 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1030611), // Rule ID 60731 //
     /* 1030521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1030524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1030541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1030548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030560 */     // MIs[0] policy
     /* 1030560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10801:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1030587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030610 */     // GIR_Coverage, 60731,
     /* 1030610 */     GIR_EraseRootFromParent_Done,
     /* 1030611 */   // Label 15005: @1030611
     /* 1030611 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1030706), // Rule ID 60734 //
     /* 1030616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1030636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1030643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030655 */     // MIs[0] policy
     /* 1030655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030665 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1030682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030705 */     // GIR_Coverage, 60734,
     /* 1030705 */     GIR_EraseRootFromParent_Done,
     /* 1030706 */   // Label 15006: @1030706
     /* 1030706 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1030801), // Rule ID 60735 //
     /* 1030711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1030714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1030731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1030738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030750 */     // MIs[0] policy
     /* 1030750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1030777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030800 */     // GIR_Coverage, 60735,
     /* 1030800 */     GIR_EraseRootFromParent_Done,
     /* 1030801 */   // Label 15007: @1030801
     /* 1030801 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1030896), // Rule ID 60738 //
     /* 1030806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1030826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1030833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030845 */     // MIs[0] policy
     /* 1030845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030855 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1030872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030895 */     // GIR_Coverage, 60738,
     /* 1030895 */     GIR_EraseRootFromParent_Done,
     /* 1030896 */   // Label 15008: @1030896
     /* 1030896 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1030991), // Rule ID 60739 //
     /* 1030901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1030904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1030909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1030921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1030928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1030936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1030940 */     // MIs[0] policy
     /* 1030940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030950 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1030954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1030960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1030964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1030967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1030971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1030973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1030979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030990 */     // GIR_Coverage, 60739,
     /* 1030990 */     GIR_EraseRootFromParent_Done,
     /* 1030991 */   // Label 15009: @1030991
     /* 1030991 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1031086), // Rule ID 60742 //
     /* 1030996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1030999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1031016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1031023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031035 */     // MIs[0] policy
     /* 1031035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031045 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1031062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031085 */     // GIR_Coverage, 60742,
     /* 1031085 */     GIR_EraseRootFromParent_Done,
     /* 1031086 */   // Label 15010: @1031086
     /* 1031086 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1031181), // Rule ID 60743 //
     /* 1031091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1031094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1031111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1031118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031130 */     // MIs[0] policy
     /* 1031130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031140 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1031157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031180 */     // GIR_Coverage, 60743,
     /* 1031180 */     GIR_EraseRootFromParent_Done,
     /* 1031181 */   // Label 15011: @1031181
     /* 1031181 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1031276), // Rule ID 60746 //
     /* 1031186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1031189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1031206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1031213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031225 */     // MIs[0] policy
     /* 1031225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1031252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031275 */     // GIR_Coverage, 60746,
     /* 1031275 */     GIR_EraseRootFromParent_Done,
     /* 1031276 */   // Label 15012: @1031276
     /* 1031276 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1031371), // Rule ID 60747 //
     /* 1031281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1031284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1031301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1031308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031320 */     // MIs[0] policy
     /* 1031320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1031347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031370 */     // GIR_Coverage, 60747,
     /* 1031370 */     GIR_EraseRootFromParent_Done,
     /* 1031371 */   // Label 15013: @1031371
     /* 1031371 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1031466), // Rule ID 60750 //
     /* 1031376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1031379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1031396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1031403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031415 */     // MIs[0] policy
     /* 1031415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031425 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1031442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031465 */     // GIR_Coverage, 60750,
     /* 1031465 */     GIR_EraseRootFromParent_Done,
     /* 1031466 */   // Label 15014: @1031466
     /* 1031466 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1031561), // Rule ID 60751 //
     /* 1031471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1031474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1031491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1031498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031510 */     // MIs[0] policy
     /* 1031510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031520 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1031537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031560 */     // GIR_Coverage, 60751,
     /* 1031560 */     GIR_EraseRootFromParent_Done,
     /* 1031561 */   // Label 15015: @1031561
     /* 1031561 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1031656), // Rule ID 60754 //
     /* 1031566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1031569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1031586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1031593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031605 */     // MIs[0] policy
     /* 1031605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1031632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031655 */     // GIR_Coverage, 60754,
     /* 1031655 */     GIR_EraseRootFromParent_Done,
     /* 1031656 */   // Label 15016: @1031656
     /* 1031656 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1031751), // Rule ID 60755 //
     /* 1031661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1031664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1031681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1031688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031700 */     // MIs[0] policy
     /* 1031700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031710 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1031727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031750 */     // GIR_Coverage, 60755,
     /* 1031750 */     GIR_EraseRootFromParent_Done,
     /* 1031751 */   // Label 15017: @1031751
     /* 1031751 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1031846), // Rule ID 60758 //
     /* 1031756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1031759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1031776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1031783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031795 */     // MIs[0] policy
     /* 1031795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031805 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1031822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031845 */     // GIR_Coverage, 60758,
     /* 1031845 */     GIR_EraseRootFromParent_Done,
     /* 1031846 */   // Label 15018: @1031846
     /* 1031846 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1031941), // Rule ID 60759 //
     /* 1031851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1031854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1031871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1031878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031890 */     // MIs[0] policy
     /* 1031890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031900 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1031910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1031914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1031917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1031921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1031923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1031929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031940 */     // GIR_Coverage, 60759,
     /* 1031940 */     GIR_EraseRootFromParent_Done,
     /* 1031941 */   // Label 15019: @1031941
     /* 1031941 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1032036), // Rule ID 60762 //
     /* 1031946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1031949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1031954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1031966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1031973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1031985 */     // MIs[0] policy
     /* 1031985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1031999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1032012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032035 */     // GIR_Coverage, 60762,
     /* 1032035 */     GIR_EraseRootFromParent_Done,
     /* 1032036 */   // Label 15020: @1032036
     /* 1032036 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1032131), // Rule ID 60763 //
     /* 1032041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1032052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1032055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1032058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1032061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1032068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032080 */     // MIs[0] policy
     /* 1032080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032090 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1032107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032130 */     // GIR_Coverage, 60763,
     /* 1032130 */     GIR_EraseRootFromParent_Done,
     /* 1032131 */   // Label 15021: @1032131
     /* 1032131 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1032226), // Rule ID 60766 //
     /* 1032136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1032139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1032156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1032163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032175 */     // MIs[0] policy
     /* 1032175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1032202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032225 */     // GIR_Coverage, 60766,
     /* 1032225 */     GIR_EraseRootFromParent_Done,
     /* 1032226 */   // Label 15022: @1032226
     /* 1032226 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1032321), // Rule ID 60767 //
     /* 1032231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1032251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1032258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032270 */     // MIs[0] policy
     /* 1032270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032280 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1032297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032320 */     // GIR_Coverage, 60767,
     /* 1032320 */     GIR_EraseRootFromParent_Done,
     /* 1032321 */   // Label 15023: @1032321
     /* 1032321 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1032416), // Rule ID 60770 //
     /* 1032326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1032329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1032346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1032353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032365 */     // MIs[0] policy
     /* 1032365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032375 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1032392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032415 */     // GIR_Coverage, 60770,
     /* 1032415 */     GIR_EraseRootFromParent_Done,
     /* 1032416 */   // Label 15024: @1032416
     /* 1032416 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1032511), // Rule ID 60771 //
     /* 1032421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1032441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1032448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032460 */     // MIs[0] policy
     /* 1032460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10801:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1032487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032510 */     // GIR_Coverage, 60771,
     /* 1032510 */     GIR_EraseRootFromParent_Done,
     /* 1032511 */   // Label 15025: @1032511
     /* 1032511 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1032606), // Rule ID 60774 //
     /* 1032516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1032519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1032536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1032543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032555 */     // MIs[0] policy
     /* 1032555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032565 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1032582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032605 */     // GIR_Coverage, 60774,
     /* 1032605 */     GIR_EraseRootFromParent_Done,
     /* 1032606 */   // Label 15026: @1032606
     /* 1032606 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1032701), // Rule ID 60775 //
     /* 1032611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1032631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1032638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032650 */     // MIs[0] policy
     /* 1032650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10801:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1032677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032700 */     // GIR_Coverage, 60775,
     /* 1032700 */     GIR_EraseRootFromParent_Done,
     /* 1032701 */   // Label 15027: @1032701
     /* 1032701 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1032796), // Rule ID 60778 //
     /* 1032706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1032709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1032726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1032733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032745 */     // MIs[0] policy
     /* 1032745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1032772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032795 */     // GIR_Coverage, 60778,
     /* 1032795 */     GIR_EraseRootFromParent_Done,
     /* 1032796 */   // Label 15028: @1032796
     /* 1032796 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1032891), // Rule ID 60779 //
     /* 1032801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1032809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1032821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1032828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032840 */     // MIs[0] policy
     /* 1032840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10801:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1032867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032890 */     // GIR_Coverage, 60779,
     /* 1032890 */     GIR_EraseRootFromParent_Done,
     /* 1032891 */   // Label 15029: @1032891
     /* 1032891 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1032986), // Rule ID 60782 //
     /* 1032896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1032899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1032904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1032913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1032916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1032923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1032935 */     // MIs[0] policy
     /* 1032935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1032949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1032955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1032959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1032962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1032966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1032968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1032974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032985 */     // GIR_Coverage, 60782,
     /* 1032985 */     GIR_EraseRootFromParent_Done,
     /* 1032986 */   // Label 15030: @1032986
     /* 1032986 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1033081), // Rule ID 60783 //
     /* 1032991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1032994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1032999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1033002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1033005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1033008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1033011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033030 */     // MIs[0] policy
     /* 1033030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033040 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1033057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033080 */     // GIR_Coverage, 60783,
     /* 1033080 */     GIR_EraseRootFromParent_Done,
     /* 1033081 */   // Label 15031: @1033081
     /* 1033081 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1033176), // Rule ID 60786 //
     /* 1033086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1033089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1033097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1033100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1033103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1033106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033125 */     // MIs[0] policy
     /* 1033125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033135 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1033152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033175 */     // GIR_Coverage, 60786,
     /* 1033175 */     GIR_EraseRootFromParent_Done,
     /* 1033176 */   // Label 15032: @1033176
     /* 1033176 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1033271), // Rule ID 60787 //
     /* 1033181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1033184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1033192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1033195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1033198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1033201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033220 */     // MIs[0] policy
     /* 1033220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033230 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1033247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033270 */     // GIR_Coverage, 60787,
     /* 1033270 */     GIR_EraseRootFromParent_Done,
     /* 1033271 */   // Label 15033: @1033271
     /* 1033271 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1033366), // Rule ID 60790 //
     /* 1033276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1033279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1033287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1033290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1033293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1033296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033315 */     // MIs[0] policy
     /* 1033315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1033342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033365 */     // GIR_Coverage, 60790,
     /* 1033365 */     GIR_EraseRootFromParent_Done,
     /* 1033366 */   // Label 15034: @1033366
     /* 1033366 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1033461), // Rule ID 60791 //
     /* 1033371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1033374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1033382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1033385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1033388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1033391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033410 */     // MIs[0] policy
     /* 1033410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033420 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1033437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033460 */     // GIR_Coverage, 60791,
     /* 1033460 */     GIR_EraseRootFromParent_Done,
     /* 1033461 */   // Label 15035: @1033461
     /* 1033461 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1033556), // Rule ID 60794 //
     /* 1033466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1033469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1033483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1033486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033505 */     // MIs[0] policy
     /* 1033505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033515 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1033532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033555 */     // GIR_Coverage, 60794,
     /* 1033555 */     GIR_EraseRootFromParent_Done,
     /* 1033556 */   // Label 15036: @1033556
     /* 1033556 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1033651), // Rule ID 60795 //
     /* 1033561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1033564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1033578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1033581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033600 */     // MIs[0] policy
     /* 1033600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1033627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033650 */     // GIR_Coverage, 60795,
     /* 1033650 */     GIR_EraseRootFromParent_Done,
     /* 1033651 */   // Label 15037: @1033651
     /* 1033651 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1033746), // Rule ID 60798 //
     /* 1033656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1033659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1033673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1033676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033695 */     // MIs[0] policy
     /* 1033695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033705 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1033722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033745 */     // GIR_Coverage, 60798,
     /* 1033745 */     GIR_EraseRootFromParent_Done,
     /* 1033746 */   // Label 15038: @1033746
     /* 1033746 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1033841), // Rule ID 60799 //
     /* 1033751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1033754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1033768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1033771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033790 */     // MIs[0] policy
     /* 1033790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033800 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1033817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033840 */     // GIR_Coverage, 60799,
     /* 1033840 */     GIR_EraseRootFromParent_Done,
     /* 1033841 */   // Label 15039: @1033841
     /* 1033841 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1033936), // Rule ID 60802 //
     /* 1033846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1033849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1033866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033885 */     // MIs[0] policy
     /* 1033885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033895 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1033905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1033909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1033912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1033916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1033918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1033924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033935 */     // GIR_Coverage, 60802,
     /* 1033935 */     GIR_EraseRootFromParent_Done,
     /* 1033936 */   // Label 15040: @1033936
     /* 1033936 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1034031), // Rule ID 60803 //
     /* 1033941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1033944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1033949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1033958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1033961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1033968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1033980 */     // MIs[0] policy
     /* 1033980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033990 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1033994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1034007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034030 */     // GIR_Coverage, 60803,
     /* 1034030 */     GIR_EraseRootFromParent_Done,
     /* 1034031 */   // Label 15041: @1034031
     /* 1034031 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1034126), // Rule ID 60806 //
     /* 1034036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1034047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1034050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1034056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034075 */     // MIs[0] policy
     /* 1034075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034085 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034125 */     // GIR_Coverage, 60806,
     /* 1034125 */     GIR_EraseRootFromParent_Done,
     /* 1034126 */   // Label 15042: @1034126
     /* 1034126 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1034221), // Rule ID 60807 //
     /* 1034131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1034134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1034142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1034145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1034148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1034151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034170 */     // MIs[0] policy
     /* 1034170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034180 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11152:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034220 */     // GIR_Coverage, 60807,
     /* 1034220 */     GIR_EraseRootFromParent_Done,
     /* 1034221 */   // Label 15043: @1034221
     /* 1034221 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1034316), // Rule ID 60810 //
     /* 1034226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1034243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1034246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034265 */     // MIs[0] policy
     /* 1034265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034315 */     // GIR_Coverage, 60810,
     /* 1034315 */     GIR_EraseRootFromParent_Done,
     /* 1034316 */   // Label 15044: @1034316
     /* 1034316 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1034411), // Rule ID 60811 //
     /* 1034321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1034324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1034332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1034335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1034338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1034341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034360 */     // MIs[0] policy
     /* 1034360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034370 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11152:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034410 */     // GIR_Coverage, 60811,
     /* 1034410 */     GIR_EraseRootFromParent_Done,
     /* 1034411 */   // Label 15045: @1034411
     /* 1034411 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1034506), // Rule ID 60814 //
     /* 1034416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1034433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1034436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034455 */     // MIs[0] policy
     /* 1034455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034505 */     // GIR_Coverage, 60814,
     /* 1034505 */     GIR_EraseRootFromParent_Done,
     /* 1034506 */   // Label 15046: @1034506
     /* 1034506 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1034601), // Rule ID 60815 //
     /* 1034511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1034514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1034522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1034525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1034528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1034531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034550 */     // MIs[0] policy
     /* 1034550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034560 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034600 */     // GIR_Coverage, 60815,
     /* 1034600 */     GIR_EraseRootFromParent_Done,
     /* 1034601 */   // Label 15047: @1034601
     /* 1034601 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1034696), // Rule ID 60818 //
     /* 1034606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1034623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1034626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034645 */     // MIs[0] policy
     /* 1034645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034655 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034695 */     // GIR_Coverage, 60818,
     /* 1034695 */     GIR_EraseRootFromParent_Done,
     /* 1034696 */   // Label 15048: @1034696
     /* 1034696 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1034791), // Rule ID 60819 //
     /* 1034701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1034704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1034718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1034721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1034728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034740 */     // MIs[0] policy
     /* 1034740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1034767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034790 */     // GIR_Coverage, 60819,
     /* 1034790 */     GIR_EraseRootFromParent_Done,
     /* 1034791 */   // Label 15049: @1034791
     /* 1034791 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1034886), // Rule ID 60822 //
     /* 1034796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1034816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1034823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034835 */     // MIs[0] policy
     /* 1034835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1034862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034885 */     // GIR_Coverage, 60822,
     /* 1034885 */     GIR_EraseRootFromParent_Done,
     /* 1034886 */   // Label 15050: @1034886
     /* 1034886 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1034981), // Rule ID 60823 //
     /* 1034891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1034894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1034908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1034911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1034918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1034930 */     // MIs[0] policy
     /* 1034930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034940 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1034944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1034950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1034954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1034957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1034961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1034963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1034969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034980 */     // GIR_Coverage, 60823,
     /* 1034980 */     GIR_EraseRootFromParent_Done,
     /* 1034981 */   // Label 15051: @1034981
     /* 1034981 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1035076), // Rule ID 60826 //
     /* 1034986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1034989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1034994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1034997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1035000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1035003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1035006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1035013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035025 */     // MIs[0] policy
     /* 1035025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1035052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035075 */     // GIR_Coverage, 60826,
     /* 1035075 */     GIR_EraseRootFromParent_Done,
     /* 1035076 */   // Label 15052: @1035076
     /* 1035076 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1035171), // Rule ID 60827 //
     /* 1035081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1035084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1035092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1035095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1035098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1035101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1035108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035120 */     // MIs[0] policy
     /* 1035120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035130 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1035147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035170 */     // GIR_Coverage, 60827,
     /* 1035170 */     GIR_EraseRootFromParent_Done,
     /* 1035171 */   // Label 15053: @1035171
     /* 1035171 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1035266), // Rule ID 60830 //
     /* 1035176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1035179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1035187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1035190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1035193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1035196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1035203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035215 */     // MIs[0] policy
     /* 1035215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035225 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1035242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035265 */     // GIR_Coverage, 60830,
     /* 1035265 */     GIR_EraseRootFromParent_Done,
     /* 1035266 */   // Label 15054: @1035266
     /* 1035266 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1035361), // Rule ID 60831 //
     /* 1035271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1035274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1035282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1035285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1035288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1035291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1035298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035310 */     // MIs[0] policy
     /* 1035310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1035337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1035357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035360 */     // GIR_Coverage, 60831,
     /* 1035360 */     GIR_EraseRootFromParent_Done,
     /* 1035361 */   // Label 15055: @1035361
     /* 1035361 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1035456), // Rule ID 60834 //
     /* 1035366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1035369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1035386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1035393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035405 */     // MIs[0] policy
     /* 1035405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035415 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1035432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035455 */     // GIR_Coverage, 60834,
     /* 1035455 */     GIR_EraseRootFromParent_Done,
     /* 1035456 */   // Label 15056: @1035456
     /* 1035456 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1035551), // Rule ID 60835 //
     /* 1035461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1035464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1035472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1035475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1035478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1035481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1035488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035500 */     // MIs[0] policy
     /* 1035500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035510 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1035527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035550 */     // GIR_Coverage, 60835,
     /* 1035550 */     GIR_EraseRootFromParent_Done,
     /* 1035551 */   // Label 15057: @1035551
     /* 1035551 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1035646), // Rule ID 60838 //
     /* 1035556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1035559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1035567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1035570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1035576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1035583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035595 */     // MIs[0] policy
     /* 1035595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035605 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1035622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035645 */     // GIR_Coverage, 60838,
     /* 1035645 */     GIR_EraseRootFromParent_Done,
     /* 1035646 */   // Label 15058: @1035646
     /* 1035646 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1035741), // Rule ID 60839 //
     /* 1035651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1035654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1035662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1035665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1035668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1035671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1035678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035690 */     // MIs[0] policy
     /* 1035690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1035717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035740 */     // GIR_Coverage, 60839,
     /* 1035740 */     GIR_EraseRootFromParent_Done,
     /* 1035741 */   // Label 15059: @1035741
     /* 1035741 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1035836), // Rule ID 60842 //
     /* 1035746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1035749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1035763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1035766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1035773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035785 */     // MIs[0] policy
     /* 1035785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1035812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035835 */     // GIR_Coverage, 60842,
     /* 1035835 */     GIR_EraseRootFromParent_Done,
     /* 1035836 */   // Label 15060: @1035836
     /* 1035836 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1035931), // Rule ID 60843 //
     /* 1035841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1035844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1035858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1035861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1035868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035880 */     // MIs[0] policy
     /* 1035880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1035907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1035911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1035913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1035919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035930 */     // GIR_Coverage, 60843,
     /* 1035930 */     GIR_EraseRootFromParent_Done,
     /* 1035931 */   // Label 15061: @1035931
     /* 1035931 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1036026), // Rule ID 60846 //
     /* 1035936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1035939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1035944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1035953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1035956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1035963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1035975 */     // MIs[0] policy
     /* 1035975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1035989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1035995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1035999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1036002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036025 */     // GIR_Coverage, 60846,
     /* 1036025 */     GIR_EraseRootFromParent_Done,
     /* 1036026 */   // Label 15062: @1036026
     /* 1036026 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1036121), // Rule ID 60847 //
     /* 1036031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1036042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1036045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1036048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1036051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1036058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036070 */     // MIs[0] policy
     /* 1036070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1036097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036120 */     // GIR_Coverage, 60847,
     /* 1036120 */     GIR_EraseRootFromParent_Done,
     /* 1036121 */   // Label 15063: @1036121
     /* 1036121 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1036216), // Rule ID 60850 //
     /* 1036126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1036129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1036146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1036153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036165 */     // MIs[0] policy
     /* 1036165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036175 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1036192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036215 */     // GIR_Coverage, 60850,
     /* 1036215 */     GIR_EraseRootFromParent_Done,
     /* 1036216 */   // Label 15064: @1036216
     /* 1036216 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1036311), // Rule ID 60851 //
     /* 1036221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1036232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1036235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1036238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1036241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1036248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036260 */     // MIs[0] policy
     /* 1036260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1036287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036310 */     // GIR_Coverage, 60851,
     /* 1036310 */     GIR_EraseRootFromParent_Done,
     /* 1036311 */   // Label 15065: @1036311
     /* 1036311 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1036406), // Rule ID 60854 //
     /* 1036316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1036319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1036327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1036330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1036333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1036336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1036343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036355 */     // MIs[0] policy
     /* 1036355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1036382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036405 */     // GIR_Coverage, 60854,
     /* 1036405 */     GIR_EraseRootFromParent_Done,
     /* 1036406 */   // Label 15066: @1036406
     /* 1036406 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1036501), // Rule ID 60855 //
     /* 1036411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1036422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1036425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1036428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1036431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1036438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036450 */     // MIs[0] policy
     /* 1036450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1036477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1036497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036500 */     // GIR_Coverage, 60855,
     /* 1036500 */     GIR_EraseRootFromParent_Done,
     /* 1036501 */   // Label 15067: @1036501
     /* 1036501 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1036596), // Rule ID 60858 //
     /* 1036506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1036509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1036523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1036526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1036533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036545 */     // MIs[0] policy
     /* 1036545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1036572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036595 */     // GIR_Coverage, 60858,
     /* 1036595 */     GIR_EraseRootFromParent_Done,
     /* 1036596 */   // Label 15068: @1036596
     /* 1036596 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1036691), // Rule ID 60859 //
     /* 1036601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1036612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1036615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1036618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1036621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1036628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036640 */     // MIs[0] policy
     /* 1036640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036650 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1036667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036690 */     // GIR_Coverage, 60859,
     /* 1036690 */     GIR_EraseRootFromParent_Done,
     /* 1036691 */   // Label 15069: @1036691
     /* 1036691 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1036786), // Rule ID 60862 //
     /* 1036696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1036699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1036713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1036716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1036723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036735 */     // MIs[0] policy
     /* 1036735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036745 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1036762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036785 */     // GIR_Coverage, 60862,
     /* 1036785 */     GIR_EraseRootFromParent_Done,
     /* 1036786 */   // Label 15070: @1036786
     /* 1036786 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1036881), // Rule ID 60863 //
     /* 1036791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1036802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1036805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1036808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1036811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1036818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036830 */     // MIs[0] policy
     /* 1036830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036840 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1036857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036880 */     // GIR_Coverage, 60863,
     /* 1036880 */     GIR_EraseRootFromParent_Done,
     /* 1036881 */   // Label 15071: @1036881
     /* 1036881 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1036976), // Rule ID 60866 //
     /* 1036886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1036889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1036903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1036906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1036913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1036925 */     // MIs[0] policy
     /* 1036925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036935 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1036939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1036945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1036949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1036952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1036956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1036958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1036964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036975 */     // GIR_Coverage, 60866,
     /* 1036975 */     GIR_EraseRootFromParent_Done,
     /* 1036976 */   // Label 15072: @1036976
     /* 1036976 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1037071), // Rule ID 60867 //
     /* 1036981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1036984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1036989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1036992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1036995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1036998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1037001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1037008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1037020 */     // MIs[0] policy
     /* 1037020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1037034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1037040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1037044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1037047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1037051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1037053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1037059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1037067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037070 */     // GIR_Coverage, 60867,
     /* 1037070 */     GIR_EraseRootFromParent_Done,
     /* 1037071 */   // Label 15073: @1037071
     /* 1037071 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1037148), // Rule ID 61392 //
     /* 1037076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1037079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037115 */     // MIs[0] policy
     /* 1037115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10953:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1037128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037147 */     // GIR_Coverage, 61392,
     /* 1037147 */     GIR_EraseRootFromParent_Done,
     /* 1037148 */   // Label 15074: @1037148
     /* 1037148 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1037225), // Rule ID 61393 //
     /* 1037153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1037156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037192 */     // MIs[0] policy
     /* 1037192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10953:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1037205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037224 */     // GIR_Coverage, 61393,
     /* 1037224 */     GIR_EraseRootFromParent_Done,
     /* 1037225 */   // Label 15075: @1037225
     /* 1037225 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1037302), // Rule ID 61394 //
     /* 1037230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1037233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037269 */     // MIs[0] policy
     /* 1037269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10953:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1037282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037301 */     // GIR_Coverage, 61394,
     /* 1037301 */     GIR_EraseRootFromParent_Done,
     /* 1037302 */   // Label 15076: @1037302
     /* 1037302 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1037379), // Rule ID 61395 //
     /* 1037307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1037310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1037324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1037327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037346 */     // MIs[0] policy
     /* 1037346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10953:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1037359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037378 */     // GIR_Coverage, 61395,
     /* 1037378 */     GIR_EraseRootFromParent_Done,
     /* 1037379 */   // Label 15077: @1037379
     /* 1037379 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1037456), // Rule ID 61396 //
     /* 1037384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1037387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037423 */     // MIs[0] policy
     /* 1037423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10953:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1037436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037455 */     // GIR_Coverage, 61396,
     /* 1037455 */     GIR_EraseRootFromParent_Done,
     /* 1037456 */   // Label 15078: @1037456
     /* 1037456 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1037533), // Rule ID 61397 //
     /* 1037461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1037464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1037478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1037481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037500 */     // MIs[0] policy
     /* 1037500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037510 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10953:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1037513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037532 */     // GIR_Coverage, 61397,
     /* 1037532 */     GIR_EraseRootFromParent_Done,
     /* 1037533 */   // Label 15079: @1037533
     /* 1037533 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1037610), // Rule ID 61398 //
     /* 1037538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1037541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1037555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1037558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037577 */     // MIs[0] policy
     /* 1037577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10953:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1037590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037609 */     // GIR_Coverage, 61398,
     /* 1037609 */     GIR_EraseRootFromParent_Done,
     /* 1037610 */   // Label 15080: @1037610
     /* 1037610 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1037687), // Rule ID 61399 //
     /* 1037615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1037618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1037623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1037632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1037635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037654 */     // MIs[0] policy
     /* 1037654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037664 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10953:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1037667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037686 */     // GIR_Coverage, 61399,
     /* 1037686 */     GIR_EraseRootFromParent_Done,
     /* 1037687 */   // Label 15081: @1037687
     /* 1037687 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1037764), // Rule ID 61602 //
     /* 1037692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1037695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1037700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037731 */     // MIs[0] policy
     /* 1037731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1037744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037763 */     // GIR_Coverage, 61602,
     /* 1037763 */     GIR_EraseRootFromParent_Done,
     /* 1037764 */   // Label 15082: @1037764
     /* 1037764 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1037841), // Rule ID 61603 //
     /* 1037769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1037772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1037777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037808 */     // MIs[0] policy
     /* 1037808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1037821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037840 */     // GIR_Coverage, 61603,
     /* 1037840 */     GIR_EraseRootFromParent_Done,
     /* 1037841 */   // Label 15083: @1037841
     /* 1037841 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1037918), // Rule ID 61604 //
     /* 1037846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1037849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1037854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037885 */     // MIs[0] policy
     /* 1037885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1037898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037917 */     // GIR_Coverage, 61604,
     /* 1037917 */     GIR_EraseRootFromParent_Done,
     /* 1037918 */   // Label 15084: @1037918
     /* 1037918 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1037995), // Rule ID 61605 //
     /* 1037923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1037926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1037931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037962 */     // MIs[0] policy
     /* 1037962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1037975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1037977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037994 */     // GIR_Coverage, 61605,
     /* 1037994 */     GIR_EraseRootFromParent_Done,
     /* 1037995 */   // Label 15085: @1037995
     /* 1037995 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1038072), // Rule ID 61606 //
     /* 1038000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038039 */     // MIs[0] policy
     /* 1038039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1038052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038071 */     // GIR_Coverage, 61606,
     /* 1038071 */     GIR_EraseRootFromParent_Done,
     /* 1038072 */   // Label 15086: @1038072
     /* 1038072 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1038149), // Rule ID 61607 //
     /* 1038077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038116 */     // MIs[0] policy
     /* 1038116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1038129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038148 */     // GIR_Coverage, 61607,
     /* 1038148 */     GIR_EraseRootFromParent_Done,
     /* 1038149 */   // Label 15087: @1038149
     /* 1038149 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1038226), // Rule ID 61608 //
     /* 1038154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1038165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1038168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038193 */     // MIs[0] policy
     /* 1038193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038203 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1038206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038225 */     // GIR_Coverage, 61608,
     /* 1038225 */     GIR_EraseRootFromParent_Done,
     /* 1038226 */   // Label 15088: @1038226
     /* 1038226 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1038303), // Rule ID 61609 //
     /* 1038231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1038242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1038245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038270 */     // MIs[0] policy
     /* 1038270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038280 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1038283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038302 */     // GIR_Coverage, 61609,
     /* 1038302 */     GIR_EraseRootFromParent_Done,
     /* 1038303 */   // Label 15089: @1038303
     /* 1038303 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1038380), // Rule ID 61610 //
     /* 1038308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1038325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1038328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038347 */     // MIs[0] policy
     /* 1038347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038357 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1038360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038379 */     // GIR_Coverage, 61610,
     /* 1038379 */     GIR_EraseRootFromParent_Done,
     /* 1038380 */   // Label 15090: @1038380
     /* 1038380 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1038457), // Rule ID 61611 //
     /* 1038385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1038393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1038396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1038399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1038402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1038405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038424 */     // MIs[0] policy
     /* 1038424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1038437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038456 */     // GIR_Coverage, 61611,
     /* 1038456 */     GIR_EraseRootFromParent_Done,
     /* 1038457 */   // Label 15091: @1038457
     /* 1038457 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1038534), // Rule ID 61612 //
     /* 1038462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1038479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038501 */     // MIs[0] policy
     /* 1038501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038511 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1038514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038533 */     // GIR_Coverage, 61612,
     /* 1038533 */     GIR_EraseRootFromParent_Done,
     /* 1038534 */   // Label 15092: @1038534
     /* 1038534 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1038611), // Rule ID 61613 //
     /* 1038539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1038550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1038553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1038556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1038559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038578 */     // MIs[0] policy
     /* 1038578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1038591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038610 */     // GIR_Coverage, 61613,
     /* 1038610 */     GIR_EraseRootFromParent_Done,
     /* 1038611 */   // Label 15093: @1038611
     /* 1038611 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1038688), // Rule ID 61614 //
     /* 1038616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1038633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038655 */     // MIs[0] policy
     /* 1038655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038665 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1038668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038687 */     // GIR_Coverage, 61614,
     /* 1038687 */     GIR_EraseRootFromParent_Done,
     /* 1038688 */   // Label 15094: @1038688
     /* 1038688 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1038765), // Rule ID 61615 //
     /* 1038693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1038704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1038707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1038710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038732 */     // MIs[0] policy
     /* 1038732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1038745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038764 */     // GIR_Coverage, 61615,
     /* 1038764 */     GIR_EraseRootFromParent_Done,
     /* 1038765 */   // Label 15095: @1038765
     /* 1038765 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1038842), // Rule ID 61616 //
     /* 1038770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038809 */     // MIs[0] policy
     /* 1038809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1038822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038841 */     // GIR_Coverage, 61616,
     /* 1038841 */     GIR_EraseRootFromParent_Done,
     /* 1038842 */   // Label 15096: @1038842
     /* 1038842 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1038919), // Rule ID 61617 //
     /* 1038847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1038850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1038858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1038861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038886 */     // MIs[0] policy
     /* 1038886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1038899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038918 */     // GIR_Coverage, 61617,
     /* 1038918 */     GIR_EraseRootFromParent_Done,
     /* 1038919 */   // Label 15097: @1038919
     /* 1038919 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1038996), // Rule ID 61618 //
     /* 1038924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1038927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1038932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1038935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1038938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038963 */     // MIs[0] policy
     /* 1038963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038973 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1038976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1038978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038995 */     // GIR_Coverage, 61618,
     /* 1038995 */     GIR_EraseRootFromParent_Done,
     /* 1038996 */   // Label 15098: @1038996
     /* 1038996 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1039073), // Rule ID 61619 //
     /* 1039001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1039009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1039018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039040 */     // MIs[0] policy
     /* 1039040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1039053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039072 */     // GIR_Coverage, 61619,
     /* 1039072 */     GIR_EraseRootFromParent_Done,
     /* 1039073 */   // Label 15099: @1039073
     /* 1039073 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1039150), // Rule ID 61620 //
     /* 1039078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1039086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039117 */     // MIs[0] policy
     /* 1039117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1039130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039149 */     // GIR_Coverage, 61620,
     /* 1039149 */     GIR_EraseRootFromParent_Done,
     /* 1039150 */   // Label 15100: @1039150
     /* 1039150 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1039227), // Rule ID 61621 //
     /* 1039155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1039163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039194 */     // MIs[0] policy
     /* 1039194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1039207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039226 */     // GIR_Coverage, 61621,
     /* 1039226 */     GIR_EraseRootFromParent_Done,
     /* 1039227 */   // Label 15101: @1039227
     /* 1039227 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1039304), // Rule ID 61622 //
     /* 1039232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1039249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039271 */     // MIs[0] policy
     /* 1039271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039281 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1039284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039303 */     // GIR_Coverage, 61622,
     /* 1039303 */     GIR_EraseRootFromParent_Done,
     /* 1039304 */   // Label 15102: @1039304
     /* 1039304 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1039381), // Rule ID 61623 //
     /* 1039309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1039326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1039329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039348 */     // MIs[0] policy
     /* 1039348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039358 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1039361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039380 */     // GIR_Coverage, 61623,
     /* 1039380 */     GIR_EraseRootFromParent_Done,
     /* 1039381 */   // Label 15103: @1039381
     /* 1039381 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1039458), // Rule ID 61624 //
     /* 1039386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1039403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039425 */     // MIs[0] policy
     /* 1039425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1039438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039457 */     // GIR_Coverage, 61624,
     /* 1039457 */     GIR_EraseRootFromParent_Done,
     /* 1039458 */   // Label 15104: @1039458
     /* 1039458 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1039535), // Rule ID 61625 //
     /* 1039463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1039480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1039483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039502 */     // MIs[0] policy
     /* 1039502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1039515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039534 */     // GIR_Coverage, 61625,
     /* 1039534 */     GIR_EraseRootFromParent_Done,
     /* 1039535 */   // Label 15105: @1039535
     /* 1039535 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1039612), // Rule ID 61626 //
     /* 1039540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1039557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039579 */     // MIs[0] policy
     /* 1039579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039589 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1039592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039611 */     // GIR_Coverage, 61626,
     /* 1039611 */     GIR_EraseRootFromParent_Done,
     /* 1039612 */   // Label 15106: @1039612
     /* 1039612 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1039689), // Rule ID 61627 //
     /* 1039617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1039634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1039637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039656 */     // MIs[0] policy
     /* 1039656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1039669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039688 */     // GIR_Coverage, 61627,
     /* 1039688 */     GIR_EraseRootFromParent_Done,
     /* 1039689 */   // Label 15107: @1039689
     /* 1039689 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1039766), // Rule ID 61628 //
     /* 1039694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1039711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039733 */     // MIs[0] policy
     /* 1039733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039743 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1039746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039765 */     // GIR_Coverage, 61628,
     /* 1039765 */     GIR_EraseRootFromParent_Done,
     /* 1039766 */   // Label 15108: @1039766
     /* 1039766 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1039843), // Rule ID 61629 //
     /* 1039771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1039788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1039791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039810 */     // MIs[0] policy
     /* 1039810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1039823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039842 */     // GIR_Coverage, 61629,
     /* 1039842 */     GIR_EraseRootFromParent_Done,
     /* 1039843 */   // Label 15109: @1039843
     /* 1039843 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1039920), // Rule ID 61630 //
     /* 1039848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1039851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039887 */     // MIs[0] policy
     /* 1039887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039897 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1039900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039919 */     // GIR_Coverage, 61630,
     /* 1039919 */     GIR_EraseRootFromParent_Done,
     /* 1039920 */   // Label 15110: @1039920
     /* 1039920 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1039997), // Rule ID 61631 //
     /* 1039925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1039928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1039933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1039942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1039945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039964 */     // MIs[0] policy
     /* 1039964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1039977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1039979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1039993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039996 */     // GIR_Coverage, 61631,
     /* 1039996 */     GIR_EraseRootFromParent_Done,
     /* 1039997 */   // Label 15111: @1039997
     /* 1039997 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1040074), // Rule ID 61632 //
     /* 1040002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040041 */     // MIs[0] policy
     /* 1040041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1040054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040073 */     // GIR_Coverage, 61632,
     /* 1040073 */     GIR_EraseRootFromParent_Done,
     /* 1040074 */   // Label 15112: @1040074
     /* 1040074 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1040151), // Rule ID 61633 //
     /* 1040079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1040090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1040093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1040096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040118 */     // MIs[0] policy
     /* 1040118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1040131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040150 */     // GIR_Coverage, 61633,
     /* 1040150 */     GIR_EraseRootFromParent_Done,
     /* 1040151 */   // Label 15113: @1040151
     /* 1040151 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1040228), // Rule ID 61634 //
     /* 1040156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1040167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1040170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1040173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040195 */     // MIs[0] policy
     /* 1040195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1040208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040227 */     // GIR_Coverage, 61634,
     /* 1040227 */     GIR_EraseRootFromParent_Done,
     /* 1040228 */   // Label 15114: @1040228
     /* 1040228 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1040305), // Rule ID 61635 //
     /* 1040233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1040244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1040247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1040250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040272 */     // MIs[0] policy
     /* 1040272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1040285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040304 */     // GIR_Coverage, 61635,
     /* 1040304 */     GIR_EraseRootFromParent_Done,
     /* 1040305 */   // Label 15115: @1040305
     /* 1040305 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1040382), // Rule ID 61636 //
     /* 1040310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1040327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1040330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040349 */     // MIs[0] policy
     /* 1040349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040359 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1040362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1040378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040381 */     // GIR_Coverage, 61636,
     /* 1040381 */     GIR_EraseRootFromParent_Done,
     /* 1040382 */   // Label 15116: @1040382
     /* 1040382 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1040459), // Rule ID 61637 //
     /* 1040387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1040404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1040407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040426 */     // MIs[0] policy
     /* 1040426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040436 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1040439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1040455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040458 */     // GIR_Coverage, 61637,
     /* 1040458 */     GIR_EraseRootFromParent_Done,
     /* 1040459 */   // Label 15117: @1040459
     /* 1040459 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1040536), // Rule ID 61638 //
     /* 1040464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1040481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040503 */     // MIs[0] policy
     /* 1040503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1040516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040535 */     // GIR_Coverage, 61638,
     /* 1040535 */     GIR_EraseRootFromParent_Done,
     /* 1040536 */   // Label 15118: @1040536
     /* 1040536 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1040613), // Rule ID 61639 //
     /* 1040541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1040552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1040555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1040558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040580 */     // MIs[0] policy
     /* 1040580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1040593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040612 */     // GIR_Coverage, 61639,
     /* 1040612 */     GIR_EraseRootFromParent_Done,
     /* 1040613 */   // Label 15119: @1040613
     /* 1040613 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1040690), // Rule ID 61640 //
     /* 1040618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1040635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040657 */     // MIs[0] policy
     /* 1040657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1040670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040689 */     // GIR_Coverage, 61640,
     /* 1040689 */     GIR_EraseRootFromParent_Done,
     /* 1040690 */   // Label 15120: @1040690
     /* 1040690 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1040767), // Rule ID 61641 //
     /* 1040695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1040706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1040709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1040712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040734 */     // MIs[0] policy
     /* 1040734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040744 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1040747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040766 */     // GIR_Coverage, 61641,
     /* 1040766 */     GIR_EraseRootFromParent_Done,
     /* 1040767 */   // Label 15121: @1040767
     /* 1040767 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1040844), // Rule ID 61642 //
     /* 1040772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1040789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1040792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040811 */     // MIs[0] policy
     /* 1040811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040821 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1040824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040843 */     // GIR_Coverage, 61642,
     /* 1040843 */     GIR_EraseRootFromParent_Done,
     /* 1040844 */   // Label 15122: @1040844
     /* 1040844 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1040921), // Rule ID 61643 //
     /* 1040849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1040852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1040860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1040866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1040869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040888 */     // MIs[0] policy
     /* 1040888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1040901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040920 */     // GIR_Coverage, 61643,
     /* 1040920 */     GIR_EraseRootFromParent_Done,
     /* 1040921 */   // Label 15123: @1040921
     /* 1040921 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1040998), // Rule ID 61644 //
     /* 1040926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1040929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1040934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1040943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1040946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040965 */     // MIs[0] policy
     /* 1040965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040975 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1040978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1040980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1040994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040997 */     // GIR_Coverage, 61644,
     /* 1040997 */     GIR_EraseRootFromParent_Done,
     /* 1040998 */   // Label 15124: @1040998
     /* 1040998 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1041075), // Rule ID 61645 //
     /* 1041003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1041011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1041014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1041017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1041020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1041023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041042 */     // MIs[0] policy
     /* 1041042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041052 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11176:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1041055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041074 */     // GIR_Coverage, 61645,
     /* 1041074 */     GIR_EraseRootFromParent_Done,
     /* 1041075 */   // Label 15125: @1041075
     /* 1041075 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1041152), // Rule ID 61646 //
     /* 1041080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1041088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1041091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1041094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1041097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1041100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041119 */     // MIs[0] policy
     /* 1041119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041129 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1041132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041151 */     // GIR_Coverage, 61646,
     /* 1041151 */     GIR_EraseRootFromParent_Done,
     /* 1041152 */   // Label 15126: @1041152
     /* 1041152 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1041229), // Rule ID 61647 //
     /* 1041157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1041165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1041168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1041171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1041174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1041177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041196 */     // MIs[0] policy
     /* 1041196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041206 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11176:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1041209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041228 */     // GIR_Coverage, 61647,
     /* 1041228 */     GIR_EraseRootFromParent_Done,
     /* 1041229 */   // Label 15127: @1041229
     /* 1041229 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1041306), // Rule ID 61648 //
     /* 1041234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1041242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1041245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1041248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1041251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1041254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041273 */     // MIs[0] policy
     /* 1041273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1041286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041305 */     // GIR_Coverage, 61648,
     /* 1041305 */     GIR_EraseRootFromParent_Done,
     /* 1041306 */   // Label 15128: @1041306
     /* 1041306 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1041383), // Rule ID 61649 //
     /* 1041311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1041319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1041322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1041325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1041328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1041331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041350 */     // MIs[0] policy
     /* 1041350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11176:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1041363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041382 */     // GIR_Coverage, 61649,
     /* 1041382 */     GIR_EraseRootFromParent_Done,
     /* 1041383 */   // Label 15129: @1041383
     /* 1041383 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1041460), // Rule ID 61650 //
     /* 1041388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041427 */     // MIs[0] policy
     /* 1041427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1041440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041459 */     // GIR_Coverage, 61650,
     /* 1041459 */     GIR_EraseRootFromParent_Done,
     /* 1041460 */   // Label 15130: @1041460
     /* 1041460 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1041537), // Rule ID 61651 //
     /* 1041465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1041482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1041485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041504 */     // MIs[0] policy
     /* 1041504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1041517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041536 */     // GIR_Coverage, 61651,
     /* 1041536 */     GIR_EraseRootFromParent_Done,
     /* 1041537 */   // Label 15131: @1041537
     /* 1041537 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1041614), // Rule ID 61652 //
     /* 1041542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041581 */     // MIs[0] policy
     /* 1041581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1041594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041613 */     // GIR_Coverage, 61652,
     /* 1041613 */     GIR_EraseRootFromParent_Done,
     /* 1041614 */   // Label 15132: @1041614
     /* 1041614 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1041691), // Rule ID 61653 //
     /* 1041619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1041636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1041639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041658 */     // MIs[0] policy
     /* 1041658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041668 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1041671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041690 */     // GIR_Coverage, 61653,
     /* 1041690 */     GIR_EraseRootFromParent_Done,
     /* 1041691 */   // Label 15133: @1041691
     /* 1041691 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1041768), // Rule ID 61654 //
     /* 1041696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1041716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041735 */     // MIs[0] policy
     /* 1041735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041745 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1041748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041767 */     // GIR_Coverage, 61654,
     /* 1041767 */     GIR_EraseRootFromParent_Done,
     /* 1041768 */   // Label 15134: @1041768
     /* 1041768 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1041845), // Rule ID 61655 //
     /* 1041773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1041784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1041787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1041790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1041793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041812 */     // MIs[0] policy
     /* 1041812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1041825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1041841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041844 */     // GIR_Coverage, 61655,
     /* 1041844 */     GIR_EraseRootFromParent_Done,
     /* 1041845 */   // Label 15135: @1041845
     /* 1041845 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1041922), // Rule ID 61656 //
     /* 1041850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1041853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1041867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1041870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041889 */     // MIs[0] policy
     /* 1041889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1041902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041921 */     // GIR_Coverage, 61656,
     /* 1041921 */     GIR_EraseRootFromParent_Done,
     /* 1041922 */   // Label 15136: @1041922
     /* 1041922 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1041999), // Rule ID 61657 //
     /* 1041927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1041930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1041935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1041944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1041947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041966 */     // MIs[0] policy
     /* 1041966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1041979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1041981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1041995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041998 */     // GIR_Coverage, 61657,
     /* 1041998 */     GIR_EraseRootFromParent_Done,
     /* 1041999 */   // Label 15137: @1041999
     /* 1041999 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1042076), // Rule ID 61658 //
     /* 1042004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042043 */     // MIs[0] policy
     /* 1042043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042053 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1042056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042075 */     // GIR_Coverage, 61658,
     /* 1042075 */     GIR_EraseRootFromParent_Done,
     /* 1042076 */   // Label 15138: @1042076
     /* 1042076 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1042153), // Rule ID 61659 //
     /* 1042081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042120 */     // MIs[0] policy
     /* 1042120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1042133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042152 */     // GIR_Coverage, 61659,
     /* 1042152 */     GIR_EraseRootFromParent_Done,
     /* 1042153 */   // Label 15139: @1042153
     /* 1042153 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1042230), // Rule ID 61660 //
     /* 1042158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1042178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042197 */     // MIs[0] policy
     /* 1042197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042207 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1042210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042229 */     // GIR_Coverage, 61660,
     /* 1042229 */     GIR_EraseRootFromParent_Done,
     /* 1042230 */   // Label 15140: @1042230
     /* 1042230 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1042307), // Rule ID 61661 //
     /* 1042235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1042252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1042255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042274 */     // MIs[0] policy
     /* 1042274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1042287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042306 */     // GIR_Coverage, 61661,
     /* 1042306 */     GIR_EraseRootFromParent_Done,
     /* 1042307 */   // Label 15141: @1042307
     /* 1042307 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1042384), // Rule ID 61662 //
     /* 1042312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1042332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042351 */     // MIs[0] policy
     /* 1042351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042361 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1042364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042383 */     // GIR_Coverage, 61662,
     /* 1042383 */     GIR_EraseRootFromParent_Done,
     /* 1042384 */   // Label 15142: @1042384
     /* 1042384 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1042461), // Rule ID 61663 //
     /* 1042389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1042406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1042409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042428 */     // MIs[0] policy
     /* 1042428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1042441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042460 */     // GIR_Coverage, 61663,
     /* 1042460 */     GIR_EraseRootFromParent_Done,
     /* 1042461 */   // Label 15143: @1042461
     /* 1042461 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1042538), // Rule ID 61664 //
     /* 1042466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1042483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1042486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042505 */     // MIs[0] policy
     /* 1042505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1042518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042537 */     // GIR_Coverage, 61664,
     /* 1042537 */     GIR_EraseRootFromParent_Done,
     /* 1042538 */   // Label 15144: @1042538
     /* 1042538 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1042615), // Rule ID 61665 //
     /* 1042543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1042560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1042563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042582 */     // MIs[0] policy
     /* 1042582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1042595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042614 */     // GIR_Coverage, 61665,
     /* 1042614 */     GIR_EraseRootFromParent_Done,
     /* 1042615 */   // Label 15145: @1042615
     /* 1042615 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1042692), // Rule ID 61666 //
     /* 1042620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1042637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1042640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042659 */     // MIs[0] policy
     /* 1042659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1042672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042691 */     // GIR_Coverage, 61666,
     /* 1042691 */     GIR_EraseRootFromParent_Done,
     /* 1042692 */   // Label 15146: @1042692
     /* 1042692 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1042769), // Rule ID 61667 //
     /* 1042697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1042705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1042714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1042717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042736 */     // MIs[0] policy
     /* 1042736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1042749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1042765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042768 */     // GIR_Coverage, 61667,
     /* 1042768 */     GIR_EraseRootFromParent_Done,
     /* 1042769 */   // Label 15147: @1042769
     /* 1042769 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1042846), // Rule ID 61668 //
     /* 1042774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1042782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042813 */     // MIs[0] policy
     /* 1042813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042823 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1042826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042845 */     // GIR_Coverage, 61668,
     /* 1042845 */     GIR_EraseRootFromParent_Done,
     /* 1042846 */   // Label 15148: @1042846
     /* 1042846 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1042923), // Rule ID 61669 //
     /* 1042851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1042854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1042859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1042862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1042865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042890 */     // MIs[0] policy
     /* 1042890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042900 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1042903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042922 */     // GIR_Coverage, 61669,
     /* 1042922 */     GIR_EraseRootFromParent_Done,
     /* 1042923 */   // Label 15149: @1042923
     /* 1042923 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1043000), // Rule ID 61670 //
     /* 1042928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1042931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1042936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1042939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1042942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042967 */     // MIs[0] policy
     /* 1042967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1042980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1042982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042999 */     // GIR_Coverage, 61670,
     /* 1042999 */     GIR_EraseRootFromParent_Done,
     /* 1043000 */   // Label 15150: @1043000
     /* 1043000 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1043077), // Rule ID 61671 //
     /* 1043005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1043016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1043019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1043022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1043025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043044 */     // MIs[0] policy
     /* 1043044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1043057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043076 */     // GIR_Coverage, 61671,
     /* 1043076 */     GIR_EraseRootFromParent_Done,
     /* 1043077 */   // Label 15151: @1043077
     /* 1043077 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1043154), // Rule ID 61672 //
     /* 1043082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1043093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1043096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1043099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1043102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043121 */     // MIs[0] policy
     /* 1043121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043131 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1043134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043153 */     // GIR_Coverage, 61672,
     /* 1043153 */     GIR_EraseRootFromParent_Done,
     /* 1043154 */   // Label 15152: @1043154
     /* 1043154 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1043231), // Rule ID 61673 //
     /* 1043159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1043170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1043173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1043176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1043179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043198 */     // MIs[0] policy
     /* 1043198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043208 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1043211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043230 */     // GIR_Coverage, 61673,
     /* 1043230 */     GIR_EraseRootFromParent_Done,
     /* 1043231 */   // Label 15153: @1043231
     /* 1043231 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1043308), // Rule ID 61674 //
     /* 1043236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1043253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043275 */     // MIs[0] policy
     /* 1043275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1043288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043307 */     // GIR_Coverage, 61674,
     /* 1043307 */     GIR_EraseRootFromParent_Done,
     /* 1043308 */   // Label 15154: @1043308
     /* 1043308 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1043385), // Rule ID 61675 //
     /* 1043313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1043324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1043327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1043330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1043333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043352 */     // MIs[0] policy
     /* 1043352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043362 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1043365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043384 */     // GIR_Coverage, 61675,
     /* 1043384 */     GIR_EraseRootFromParent_Done,
     /* 1043385 */   // Label 15155: @1043385
     /* 1043385 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1043462), // Rule ID 61676 //
     /* 1043390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1043407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043429 */     // MIs[0] policy
     /* 1043429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1043442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043461 */     // GIR_Coverage, 61676,
     /* 1043461 */     GIR_EraseRootFromParent_Done,
     /* 1043462 */   // Label 15156: @1043462
     /* 1043462 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1043539), // Rule ID 61677 //
     /* 1043467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1043478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1043481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1043484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1043487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043506 */     // MIs[0] policy
     /* 1043506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043516 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1043519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043538 */     // GIR_Coverage, 61677,
     /* 1043538 */     GIR_EraseRootFromParent_Done,
     /* 1043539 */   // Label 15157: @1043539
     /* 1043539 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1043616), // Rule ID 61678 //
     /* 1043544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1043561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1043564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043583 */     // MIs[0] policy
     /* 1043583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1043596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043615 */     // GIR_Coverage, 61678,
     /* 1043615 */     GIR_EraseRootFromParent_Done,
     /* 1043616 */   // Label 15158: @1043616
     /* 1043616 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1043693), // Rule ID 61679 //
     /* 1043621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1043632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1043635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1043638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1043641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043660 */     // MIs[0] policy
     /* 1043660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043670 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1043673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1043689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043692 */     // GIR_Coverage, 61679,
     /* 1043692 */     GIR_EraseRootFromParent_Done,
     /* 1043693 */   // Label 15159: @1043693
     /* 1043693 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1043770), // Rule ID 61680 //
     /* 1043698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1043709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1043712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1043715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1043718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043737 */     // MIs[0] policy
     /* 1043737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1043750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043769 */     // GIR_Coverage, 61680,
     /* 1043769 */     GIR_EraseRootFromParent_Done,
     /* 1043770 */   // Label 15160: @1043770
     /* 1043770 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1043847), // Rule ID 61681 //
     /* 1043775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1043786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1043789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1043792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1043795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043814 */     // MIs[0] policy
     /* 1043814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043824 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1043827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043846 */     // GIR_Coverage, 61681,
     /* 1043846 */     GIR_EraseRootFromParent_Done,
     /* 1043847 */   // Label 15161: @1043847
     /* 1043847 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1043924), // Rule ID 61682 //
     /* 1043852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1043855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1043869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1043872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043891 */     // MIs[0] policy
     /* 1043891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043901 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1043904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043923 */     // GIR_Coverage, 61682,
     /* 1043923 */     GIR_EraseRootFromParent_Done,
     /* 1043924 */   // Label 15162: @1043924
     /* 1043924 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1044001), // Rule ID 61683 //
     /* 1043929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1043932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1043937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1043940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1043943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1043946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1043949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043968 */     // MIs[0] policy
     /* 1043968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1043981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1043983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1043997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044000 */     // GIR_Coverage, 61683,
     /* 1044000 */     GIR_EraseRootFromParent_Done,
     /* 1044001 */   // Label 15163: @1044001
     /* 1044001 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1044078), // Rule ID 61684 //
     /* 1044006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1044009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1044014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1044023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1044026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044045 */     // MIs[0] policy
     /* 1044045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044055 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1044058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1044060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1044074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044077 */     // GIR_Coverage, 61684,
     /* 1044077 */     GIR_EraseRootFromParent_Done,
     /* 1044078 */   // Label 15164: @1044078
     /* 1044078 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1044155), // Rule ID 61685 //
     /* 1044083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1044086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1044091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1044094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1044097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1044100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1044103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044122 */     // MIs[0] policy
     /* 1044122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1044135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1044137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1044151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044154 */     // GIR_Coverage, 61685,
     /* 1044154 */     GIR_EraseRootFromParent_Done,
     /* 1044155 */   // Label 15165: @1044155
     /* 1044155 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1044232), // Rule ID 61942 //
     /* 1044160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1044177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1044180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044199 */     // MIs[0] policy
     /* 1044199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044209 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1044212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044231 */     // GIR_Coverage, 61942,
     /* 1044231 */     GIR_EraseRootFromParent_Done,
     /* 1044232 */   // Label 15166: @1044232
     /* 1044232 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1044309), // Rule ID 61943 //
     /* 1044237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1044240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1044254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1044257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044276 */     // MIs[0] policy
     /* 1044276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1044289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044308 */     // GIR_Coverage, 61943,
     /* 1044308 */     GIR_EraseRootFromParent_Done,
     /* 1044309 */   // Label 15167: @1044309
     /* 1044309 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1044386), // Rule ID 61946 //
     /* 1044314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1044331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1044334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044353 */     // MIs[0] policy
     /* 1044353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1044366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044385 */     // GIR_Coverage, 61946,
     /* 1044385 */     GIR_EraseRootFromParent_Done,
     /* 1044386 */   // Label 15168: @1044386
     /* 1044386 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1044463), // Rule ID 61947 //
     /* 1044391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1044394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1044408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1044411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044430 */     // MIs[0] policy
     /* 1044430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044440 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1044443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044462 */     // GIR_Coverage, 61947,
     /* 1044462 */     GIR_EraseRootFromParent_Done,
     /* 1044463 */   // Label 15169: @1044463
     /* 1044463 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1044540), // Rule ID 61950 //
     /* 1044468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1044485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044507 */     // MIs[0] policy
     /* 1044507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044517 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10761:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1044520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044539 */     // GIR_Coverage, 61950,
     /* 1044539 */     GIR_EraseRootFromParent_Done,
     /* 1044540 */   // Label 15170: @1044540
     /* 1044540 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1044617), // Rule ID 61951 //
     /* 1044545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1044548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1044562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1044565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044584 */     // MIs[0] policy
     /* 1044584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10761:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1044597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044616 */     // GIR_Coverage, 61951,
     /* 1044616 */     GIR_EraseRootFromParent_Done,
     /* 1044617 */   // Label 15171: @1044617
     /* 1044617 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1044694), // Rule ID 61954 //
     /* 1044622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1044639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044661 */     // MIs[0] policy
     /* 1044661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10761:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1044674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044693 */     // GIR_Coverage, 61954,
     /* 1044693 */     GIR_EraseRootFromParent_Done,
     /* 1044694 */   // Label 15172: @1044694
     /* 1044694 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1044771), // Rule ID 61955 //
     /* 1044699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1044702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1044716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1044719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044738 */     // MIs[0] policy
     /* 1044738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044748 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10761:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1044751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044770 */     // GIR_Coverage, 61955,
     /* 1044770 */     GIR_EraseRootFromParent_Done,
     /* 1044771 */   // Label 15173: @1044771
     /* 1044771 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1044848), // Rule ID 61958 //
     /* 1044776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1044793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1044796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044815 */     // MIs[0] policy
     /* 1044815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044825 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10761:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1044828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044847 */     // GIR_Coverage, 61958,
     /* 1044847 */     GIR_EraseRootFromParent_Done,
     /* 1044848 */   // Label 15174: @1044848
     /* 1044848 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1044925), // Rule ID 61959 //
     /* 1044853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1044856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1044870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1044873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044892 */     // MIs[0] policy
     /* 1044892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10761:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1044905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044924 */     // GIR_Coverage, 61959,
     /* 1044924 */     GIR_EraseRootFromParent_Done,
     /* 1044925 */   // Label 15175: @1044925
     /* 1044925 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1045002), // Rule ID 61962 //
     /* 1044930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1044933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1044938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1044950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044969 */     // MIs[0] policy
     /* 1044969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1044982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045001 */     // GIR_Coverage, 61962,
     /* 1045001 */     GIR_EraseRootFromParent_Done,
     /* 1045002 */   // Label 15176: @1045002
     /* 1045002 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1045079), // Rule ID 61963 //
     /* 1045007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045046 */     // MIs[0] policy
     /* 1045046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045056 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1045059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045078 */     // GIR_Coverage, 61963,
     /* 1045078 */     GIR_EraseRootFromParent_Done,
     /* 1045079 */   // Label 15177: @1045079
     /* 1045079 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1045156), // Rule ID 61966 //
     /* 1045084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045123 */     // MIs[0] policy
     /* 1045123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045133 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1045136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045155 */     // GIR_Coverage, 61966,
     /* 1045155 */     GIR_EraseRootFromParent_Done,
     /* 1045156 */   // Label 15178: @1045156
     /* 1045156 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1045233), // Rule ID 61967 //
     /* 1045161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045200 */     // MIs[0] policy
     /* 1045200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10761:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1045213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045232 */     // GIR_Coverage, 61967,
     /* 1045232 */     GIR_EraseRootFromParent_Done,
     /* 1045233 */   // Label 15179: @1045233
     /* 1045233 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1045310), // Rule ID 61970 //
     /* 1045238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045277 */     // MIs[0] policy
     /* 1045277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10761:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1045290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045309 */     // GIR_Coverage, 61970,
     /* 1045309 */     GIR_EraseRootFromParent_Done,
     /* 1045310 */   // Label 15180: @1045310
     /* 1045310 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1045387), // Rule ID 61971 //
     /* 1045315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1045326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1045329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045354 */     // MIs[0] policy
     /* 1045354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10761:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1045367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045386 */     // GIR_Coverage, 61971,
     /* 1045386 */     GIR_EraseRootFromParent_Done,
     /* 1045387 */   // Label 15181: @1045387
     /* 1045387 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1045464), // Rule ID 61974 //
     /* 1045392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1045403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1045406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045431 */     // MIs[0] policy
     /* 1045431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045441 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10761:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1045444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045463 */     // GIR_Coverage, 61974,
     /* 1045463 */     GIR_EraseRootFromParent_Done,
     /* 1045464 */   // Label 15182: @1045464
     /* 1045464 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1045541), // Rule ID 61975 //
     /* 1045469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1045480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1045483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1045489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045508 */     // MIs[0] policy
     /* 1045508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045518 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10761:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1045521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045540 */     // GIR_Coverage, 61975,
     /* 1045540 */     GIR_EraseRootFromParent_Done,
     /* 1045541 */   // Label 15183: @1045541
     /* 1045541 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1045618), // Rule ID 61978 //
     /* 1045546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1045557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1045560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1045566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045585 */     // MIs[0] policy
     /* 1045585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045595 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10761:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1045598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045617 */     // GIR_Coverage, 61978,
     /* 1045617 */     GIR_EraseRootFromParent_Done,
     /* 1045618 */   // Label 15184: @1045618
     /* 1045618 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1045695), // Rule ID 61979 //
     /* 1045623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1045631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1045634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1045637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1045643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045662 */     // MIs[0] policy
     /* 1045662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10761:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1045675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045694 */     // GIR_Coverage, 61979,
     /* 1045694 */     GIR_EraseRootFromParent_Done,
     /* 1045695 */   // Label 15185: @1045695
     /* 1045695 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1045772), // Rule ID 61982 //
     /* 1045700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1045708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045739 */     // MIs[0] policy
     /* 1045739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045749 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1045752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045771 */     // GIR_Coverage, 61982,
     /* 1045771 */     GIR_EraseRootFromParent_Done,
     /* 1045772 */   // Label 15186: @1045772
     /* 1045772 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1045849), // Rule ID 61983 //
     /* 1045777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1045785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1045788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1045791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045816 */     // MIs[0] policy
     /* 1045816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1045829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045848 */     // GIR_Coverage, 61983,
     /* 1045848 */     GIR_EraseRootFromParent_Done,
     /* 1045849 */   // Label 15187: @1045849
     /* 1045849 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1045926), // Rule ID 61986 //
     /* 1045854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1045857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1045862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045893 */     // MIs[0] policy
     /* 1045893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1045906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045925 */     // GIR_Coverage, 61986,
     /* 1045925 */     GIR_EraseRootFromParent_Done,
     /* 1045926 */   // Label 15188: @1045926
     /* 1045926 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1046003), // Rule ID 61987 //
     /* 1045931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1045934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1045939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1045942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1045945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045970 */     // MIs[0] policy
     /* 1045970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1045983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046002 */     // GIR_Coverage, 61987,
     /* 1046002 */     GIR_EraseRootFromParent_Done,
     /* 1046003 */   // Label 15189: @1046003
     /* 1046003 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1046080), // Rule ID 61990 //
     /* 1046008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1046025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046047 */     // MIs[0] policy
     /* 1046047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046057 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10765:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1046060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046079 */     // GIR_Coverage, 61990,
     /* 1046079 */     GIR_EraseRootFromParent_Done,
     /* 1046080 */   // Label 15190: @1046080
     /* 1046080 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1046157), // Rule ID 61991 //
     /* 1046085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1046102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046124 */     // MIs[0] policy
     /* 1046124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046134 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10765:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1046137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046156 */     // GIR_Coverage, 61991,
     /* 1046156 */     GIR_EraseRootFromParent_Done,
     /* 1046157 */   // Label 15191: @1046157
     /* 1046157 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1046234), // Rule ID 61994 //
     /* 1046162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1046179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046201 */     // MIs[0] policy
     /* 1046201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10765:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1046214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046233 */     // GIR_Coverage, 61994,
     /* 1046233 */     GIR_EraseRootFromParent_Done,
     /* 1046234 */   // Label 15192: @1046234
     /* 1046234 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1046311), // Rule ID 61995 //
     /* 1046239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1046256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046278 */     // MIs[0] policy
     /* 1046278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10765:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1046291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046310 */     // GIR_Coverage, 61995,
     /* 1046310 */     GIR_EraseRootFromParent_Done,
     /* 1046311 */   // Label 15193: @1046311
     /* 1046311 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1046388), // Rule ID 61998 //
     /* 1046316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1046333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1046336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046355 */     // MIs[0] policy
     /* 1046355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10765:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1046368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046387 */     // GIR_Coverage, 61998,
     /* 1046387 */     GIR_EraseRootFromParent_Done,
     /* 1046388 */   // Label 15194: @1046388
     /* 1046388 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1046465), // Rule ID 61999 //
     /* 1046393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1046410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1046413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046432 */     // MIs[0] policy
     /* 1046432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10765:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1046445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046464 */     // GIR_Coverage, 61999,
     /* 1046464 */     GIR_EraseRootFromParent_Done,
     /* 1046465 */   // Label 15195: @1046465
     /* 1046465 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1046542), // Rule ID 62002 //
     /* 1046470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1046490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046509 */     // MIs[0] policy
     /* 1046509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1046522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046541 */     // GIR_Coverage, 62002,
     /* 1046541 */     GIR_EraseRootFromParent_Done,
     /* 1046542 */   // Label 15196: @1046542
     /* 1046542 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1046619), // Rule ID 62003 //
     /* 1046547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1046567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046586 */     // MIs[0] policy
     /* 1046586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1046599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046618 */     // GIR_Coverage, 62003,
     /* 1046618 */     GIR_EraseRootFromParent_Done,
     /* 1046619 */   // Label 15197: @1046619
     /* 1046619 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1046696), // Rule ID 62006 //
     /* 1046624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1046644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046663 */     // MIs[0] policy
     /* 1046663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046673 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1046676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046695 */     // GIR_Coverage, 62006,
     /* 1046695 */     GIR_EraseRootFromParent_Done,
     /* 1046696 */   // Label 15198: @1046696
     /* 1046696 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1046773), // Rule ID 62007 //
     /* 1046701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1046721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046740 */     // MIs[0] policy
     /* 1046740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10765:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1046753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046772 */     // GIR_Coverage, 62007,
     /* 1046772 */     GIR_EraseRootFromParent_Done,
     /* 1046773 */   // Label 15199: @1046773
     /* 1046773 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1046850), // Rule ID 62010 //
     /* 1046778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046817 */     // MIs[0] policy
     /* 1046817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10765:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1046830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046849 */     // GIR_Coverage, 62010,
     /* 1046849 */     GIR_EraseRootFromParent_Done,
     /* 1046850 */   // Label 15200: @1046850
     /* 1046850 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1046927), // Rule ID 62011 //
     /* 1046855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1046858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1046872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046894 */     // MIs[0] policy
     /* 1046894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10765:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1046907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1046923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046926 */     // GIR_Coverage, 62011,
     /* 1046926 */     GIR_EraseRootFromParent_Done,
     /* 1046927 */   // Label 15201: @1046927
     /* 1046927 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1047004), // Rule ID 62014 //
     /* 1046932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1046935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1046940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1046949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1046967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046971 */     // MIs[0] policy
     /* 1046971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046981 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10765:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1046984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047003 */     // GIR_Coverage, 62014,
     /* 1047003 */     GIR_EraseRootFromParent_Done,
     /* 1047004 */   // Label 15202: @1047004
     /* 1047004 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1047081), // Rule ID 62015 //
     /* 1047009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1047017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047048 */     // MIs[0] policy
     /* 1047048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10765:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1047061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047080 */     // GIR_Coverage, 62015,
     /* 1047080 */     GIR_EraseRootFromParent_Done,
     /* 1047081 */   // Label 15203: @1047081
     /* 1047081 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1047158), // Rule ID 62018 //
     /* 1047086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1047094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1047106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047125 */     // MIs[0] policy
     /* 1047125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047135 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10765:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1047138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047157 */     // GIR_Coverage, 62018,
     /* 1047157 */     GIR_EraseRootFromParent_Done,
     /* 1047158 */   // Label 15204: @1047158
     /* 1047158 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1047235), // Rule ID 62019 //
     /* 1047163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1047171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1047183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047202 */     // MIs[0] policy
     /* 1047202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10765:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1047215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047234 */     // GIR_Coverage, 62019,
     /* 1047234 */     GIR_EraseRootFromParent_Done,
     /* 1047235 */   // Label 15205: @1047235
     /* 1047235 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1047312), // Rule ID 62022 //
     /* 1047240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1047257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047279 */     // MIs[0] policy
     /* 1047279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1047292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047311 */     // GIR_Coverage, 62022,
     /* 1047311 */     GIR_EraseRootFromParent_Done,
     /* 1047312 */   // Label 15206: @1047312
     /* 1047312 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1047389), // Rule ID 62023 //
     /* 1047317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1047328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1047331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1047334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047356 */     // MIs[0] policy
     /* 1047356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047366 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1047369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047388 */     // GIR_Coverage, 62023,
     /* 1047388 */     GIR_EraseRootFromParent_Done,
     /* 1047389 */   // Label 15207: @1047389
     /* 1047389 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1047466), // Rule ID 62026 //
     /* 1047394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1047411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047433 */     // MIs[0] policy
     /* 1047433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1047446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047465 */     // GIR_Coverage, 62026,
     /* 1047465 */     GIR_EraseRootFromParent_Done,
     /* 1047466 */   // Label 15208: @1047466
     /* 1047466 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1047543), // Rule ID 62027 //
     /* 1047471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1047482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1047485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1047488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1047491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047510 */     // MIs[0] policy
     /* 1047510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047520 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1047523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047542 */     // GIR_Coverage, 62027,
     /* 1047542 */     GIR_EraseRootFromParent_Done,
     /* 1047543 */   // Label 15209: @1047543
     /* 1047543 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1047620), // Rule ID 62030 //
     /* 1047548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1047559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1047562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1047565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047587 */     // MIs[0] policy
     /* 1047587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047597 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10763:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1047600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047619 */     // GIR_Coverage, 62030,
     /* 1047619 */     GIR_EraseRootFromParent_Done,
     /* 1047620 */   // Label 15210: @1047620
     /* 1047620 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1047697), // Rule ID 62031 //
     /* 1047625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1047636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1047639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1047642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1047645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047664 */     // MIs[0] policy
     /* 1047664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047674 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10763:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1047677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047696 */     // GIR_Coverage, 62031,
     /* 1047696 */     GIR_EraseRootFromParent_Done,
     /* 1047697 */   // Label 15211: @1047697
     /* 1047697 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1047774), // Rule ID 62034 //
     /* 1047702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1047719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047741 */     // MIs[0] policy
     /* 1047741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047751 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10763:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1047754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047773 */     // GIR_Coverage, 62034,
     /* 1047773 */     GIR_EraseRootFromParent_Done,
     /* 1047774 */   // Label 15212: @1047774
     /* 1047774 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1047851), // Rule ID 62035 //
     /* 1047779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1047790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1047793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1047796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1047799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047818 */     // MIs[0] policy
     /* 1047818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047828 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10763:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1047831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047850 */     // GIR_Coverage, 62035,
     /* 1047850 */     GIR_EraseRootFromParent_Done,
     /* 1047851 */   // Label 15213: @1047851
     /* 1047851 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1047928), // Rule ID 62038 //
     /* 1047856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1047859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1047873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1047876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047895 */     // MIs[0] policy
     /* 1047895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047905 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10763:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1047908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047927 */     // GIR_Coverage, 62038,
     /* 1047927 */     GIR_EraseRootFromParent_Done,
     /* 1047928 */   // Label 15214: @1047928
     /* 1047928 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1048005), // Rule ID 62039 //
     /* 1047933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1047936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1047941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1047944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1047947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1047950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1047953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047972 */     // MIs[0] policy
     /* 1047972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10763:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1047985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048004 */     // GIR_Coverage, 62039,
     /* 1048004 */     GIR_EraseRootFromParent_Done,
     /* 1048005 */   // Label 15215: @1048005
     /* 1048005 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1048082), // Rule ID 62042 //
     /* 1048010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1048030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048049 */     // MIs[0] policy
     /* 1048049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1048062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048081 */     // GIR_Coverage, 62042,
     /* 1048081 */     GIR_EraseRootFromParent_Done,
     /* 1048082 */   // Label 15216: @1048082
     /* 1048082 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1048159), // Rule ID 62043 //
     /* 1048087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1048107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048126 */     // MIs[0] policy
     /* 1048126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048136 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1048139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048158 */     // GIR_Coverage, 62043,
     /* 1048158 */     GIR_EraseRootFromParent_Done,
     /* 1048159 */   // Label 15217: @1048159
     /* 1048159 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1048236), // Rule ID 62046 //
     /* 1048164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1048184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048203 */     // MIs[0] policy
     /* 1048203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1048216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048235 */     // GIR_Coverage, 62046,
     /* 1048235 */     GIR_EraseRootFromParent_Done,
     /* 1048236 */   // Label 15218: @1048236
     /* 1048236 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1048313), // Rule ID 62047 //
     /* 1048241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1048261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048280 */     // MIs[0] policy
     /* 1048280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10763:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1048293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048312 */     // GIR_Coverage, 62047,
     /* 1048312 */     GIR_EraseRootFromParent_Done,
     /* 1048313 */   // Label 15219: @1048313
     /* 1048313 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1048390), // Rule ID 62050 //
     /* 1048318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1048338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048357 */     // MIs[0] policy
     /* 1048357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048367 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10763:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1048370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048389 */     // GIR_Coverage, 62050,
     /* 1048389 */     GIR_EraseRootFromParent_Done,
     /* 1048390 */   // Label 15220: @1048390
     /* 1048390 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1048467), // Rule ID 62051 //
     /* 1048395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1048415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048434 */     // MIs[0] policy
     /* 1048434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10763:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1048447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048466 */     // GIR_Coverage, 62051,
     /* 1048466 */     GIR_EraseRootFromParent_Done,
     /* 1048467 */   // Label 15221: @1048467
     /* 1048467 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1048544), // Rule ID 62054 //
     /* 1048472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1048492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048511 */     // MIs[0] policy
     /* 1048511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10763:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1048524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048543 */     // GIR_Coverage, 62054,
     /* 1048543 */     GIR_EraseRootFromParent_Done,
     /* 1048544 */   // Label 15222: @1048544
     /* 1048544 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1048621), // Rule ID 62055 //
     /* 1048549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1048560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1048563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1048569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048588 */     // MIs[0] policy
     /* 1048588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10763:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1048601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048620 */     // GIR_Coverage, 62055,
     /* 1048620 */     GIR_EraseRootFromParent_Done,
     /* 1048621 */   // Label 15223: @1048621
     /* 1048621 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1048698), // Rule ID 62058 //
     /* 1048626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1048646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048665 */     // MIs[0] policy
     /* 1048665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10763:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1048678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048697 */     // GIR_Coverage, 62058,
     /* 1048697 */     GIR_EraseRootFromParent_Done,
     /* 1048698 */   // Label 15224: @1048698
     /* 1048698 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1048775), // Rule ID 62059 //
     /* 1048703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1048711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1048714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1048717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1048723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048742 */     // MIs[0] policy
     /* 1048742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10763:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1048755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048774 */     // GIR_Coverage, 62059,
     /* 1048774 */     GIR_EraseRootFromParent_Done,
     /* 1048775 */   // Label 15225: @1048775
     /* 1048775 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1048852), // Rule ID 62062 //
     /* 1048780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1048788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1048800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048819 */     // MIs[0] policy
     /* 1048819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10767:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1048832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048851 */     // GIR_Coverage, 62062,
     /* 1048851 */     GIR_EraseRootFromParent_Done,
     /* 1048852 */   // Label 15226: @1048852
     /* 1048852 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1048929), // Rule ID 62063 //
     /* 1048857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1048860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1048865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1048877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048896 */     // MIs[0] policy
     /* 1048896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10767:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1048909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1048925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048928 */     // GIR_Coverage, 62063,
     /* 1048928 */     GIR_EraseRootFromParent_Done,
     /* 1048929 */   // Label 15227: @1048929
     /* 1048929 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1049006), // Rule ID 62066 //
     /* 1048934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1048937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1048942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1048954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048973 */     // MIs[0] policy
     /* 1048973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048983 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10767:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1048986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049005 */     // GIR_Coverage, 62066,
     /* 1049005 */     GIR_EraseRootFromParent_Done,
     /* 1049006 */   // Label 15228: @1049006
     /* 1049006 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1049083), // Rule ID 62067 //
     /* 1049011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1049014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049050 */     // MIs[0] policy
     /* 1049050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10767:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1049063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049082 */     // GIR_Coverage, 62067,
     /* 1049082 */     GIR_EraseRootFromParent_Done,
     /* 1049083 */   // Label 15229: @1049083
     /* 1049083 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1049160), // Rule ID 62070 //
     /* 1049088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1049091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049127 */     // MIs[0] policy
     /* 1049127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049137 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10767:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1049140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049159 */     // GIR_Coverage, 62070,
     /* 1049159 */     GIR_EraseRootFromParent_Done,
     /* 1049160 */   // Label 15230: @1049160
     /* 1049160 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1049237), // Rule ID 62071 //
     /* 1049165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1049168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049204 */     // MIs[0] policy
     /* 1049204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10767:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1049217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049236 */     // GIR_Coverage, 62071,
     /* 1049236 */     GIR_EraseRootFromParent_Done,
     /* 1049237 */   // Label 15231: @1049237
     /* 1049237 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1049314), // Rule ID 62074 //
     /* 1049242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1049245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1049262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049281 */     // MIs[0] policy
     /* 1049281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10767:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1049294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049313 */     // GIR_Coverage, 62074,
     /* 1049313 */     GIR_EraseRootFromParent_Done,
     /* 1049314 */   // Label 15232: @1049314
     /* 1049314 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1049391), // Rule ID 62075 //
     /* 1049319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1049322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1049339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049358 */     // MIs[0] policy
     /* 1049358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10767:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1049371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049390 */     // GIR_Coverage, 62075,
     /* 1049390 */     GIR_EraseRootFromParent_Done,
     /* 1049391 */   // Label 15233: @1049391
     /* 1049391 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1049468), // Rule ID 62078 //
     /* 1049396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1049399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1049416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049435 */     // MIs[0] policy
     /* 1049435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049445 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10767:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1049448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049467 */     // GIR_Coverage, 62078,
     /* 1049467 */     GIR_EraseRootFromParent_Done,
     /* 1049468 */   // Label 15234: @1049468
     /* 1049468 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1049545), // Rule ID 62079 //
     /* 1049473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1049476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1049481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1049493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049512 */     // MIs[0] policy
     /* 1049512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10767:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1049525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049544 */     // GIR_Coverage, 62079,
     /* 1049544 */     GIR_EraseRootFromParent_Done,
     /* 1049545 */   // Label 15235: @1049545
     /* 1049545 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1049622), // Rule ID 62173 //
     /* 1049550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1049553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049589 */     // MIs[0] policy
     /* 1049589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10739:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1049602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049621 */     // GIR_Coverage, 62173,
     /* 1049621 */     GIR_EraseRootFromParent_Done,
     /* 1049622 */   // Label 15236: @1049622
     /* 1049622 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1049699), // Rule ID 62174 //
     /* 1049627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1049630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1049638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1049641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1049647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049666 */     // MIs[0] policy
     /* 1049666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10739:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1049679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049698 */     // GIR_Coverage, 62174,
     /* 1049698 */     GIR_EraseRootFromParent_Done,
     /* 1049699 */   // Label 15237: @1049699
     /* 1049699 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1049776), // Rule ID 63631 //
     /* 1049704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1049707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049743 */     // MIs[0] policy
     /* 1049743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049753 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10739:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1049756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049775 */     // GIR_Coverage, 63631,
     /* 1049775 */     GIR_EraseRootFromParent_Done,
     /* 1049776 */   // Label 15238: @1049776
     /* 1049776 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1049853), // Rule ID 63632 //
     /* 1049781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1049784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1049792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1049795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1049801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049820 */     // MIs[0] policy
     /* 1049820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10739:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1049833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049852 */     // GIR_Coverage, 63632,
     /* 1049852 */     GIR_EraseRootFromParent_Done,
     /* 1049853 */   // Label 15239: @1049853
     /* 1049853 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1049930), // Rule ID 63633 //
     /* 1049858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1049861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1049878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049897 */     // MIs[0] policy
     /* 1049897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10739:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1049910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049929 */     // GIR_Coverage, 63633,
     /* 1049929 */     GIR_EraseRootFromParent_Done,
     /* 1049930 */   // Label 15240: @1049930
     /* 1049930 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1050007), // Rule ID 63634 //
     /* 1049935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1049938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1049943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1049952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1049955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049974 */     // MIs[0] policy
     /* 1049974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10739:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1049987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050006 */     // GIR_Coverage, 63634,
     /* 1050006 */     GIR_EraseRootFromParent_Done,
     /* 1050007 */   // Label 15241: @1050007
     /* 1050007 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1050084), // Rule ID 63635 //
     /* 1050012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1050020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1050032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050051 */     // MIs[0] policy
     /* 1050051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10739:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1050064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050083 */     // GIR_Coverage, 63635,
     /* 1050083 */     GIR_EraseRootFromParent_Done,
     /* 1050084 */   // Label 15242: @1050084
     /* 1050084 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1050161), // Rule ID 63636 //
     /* 1050089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1050097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1050109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050128 */     // MIs[0] policy
     /* 1050128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050138 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10739:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1050141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050160 */     // GIR_Coverage, 63636,
     /* 1050160 */     GIR_EraseRootFromParent_Done,
     /* 1050161 */   // Label 15243: @1050161
     /* 1050161 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1050238), // Rule ID 63637 //
     /* 1050166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050205 */     // MIs[0] policy
     /* 1050205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050215 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10735:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1050218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050237 */     // GIR_Coverage, 63637,
     /* 1050237 */     GIR_EraseRootFromParent_Done,
     /* 1050238 */   // Label 15244: @1050238
     /* 1050238 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1050315), // Rule ID 63638 //
     /* 1050243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050282 */     // MIs[0] policy
     /* 1050282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10735:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1050295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050314 */     // GIR_Coverage, 63638,
     /* 1050314 */     GIR_EraseRootFromParent_Done,
     /* 1050315 */   // Label 15245: @1050315
     /* 1050315 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1050392), // Rule ID 63639 //
     /* 1050320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050359 */     // MIs[0] policy
     /* 1050359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10735:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1050372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050391 */     // GIR_Coverage, 63639,
     /* 1050391 */     GIR_EraseRootFromParent_Done,
     /* 1050392 */   // Label 15246: @1050392
     /* 1050392 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1050469), // Rule ID 63640 //
     /* 1050397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050436 */     // MIs[0] policy
     /* 1050436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10735:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1050449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050468 */     // GIR_Coverage, 63640,
     /* 1050468 */     GIR_EraseRootFromParent_Done,
     /* 1050469 */   // Label 15247: @1050469
     /* 1050469 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1050546), // Rule ID 63641 //
     /* 1050474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050513 */     // MIs[0] policy
     /* 1050513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10735:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1050526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050545 */     // GIR_Coverage, 63641,
     /* 1050545 */     GIR_EraseRootFromParent_Done,
     /* 1050546 */   // Label 15248: @1050546
     /* 1050546 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1050623), // Rule ID 63642 //
     /* 1050551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1050562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1050565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050590 */     // MIs[0] policy
     /* 1050590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10735:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1050603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050622 */     // GIR_Coverage, 63642,
     /* 1050622 */     GIR_EraseRootFromParent_Done,
     /* 1050623 */   // Label 15249: @1050623
     /* 1050623 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1050700), // Rule ID 63643 //
     /* 1050628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1050648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050667 */     // MIs[0] policy
     /* 1050667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050677 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10735:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1050680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050699 */     // GIR_Coverage, 63643,
     /* 1050699 */     GIR_EraseRootFromParent_Done,
     /* 1050700 */   // Label 15250: @1050700
     /* 1050700 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1050777), // Rule ID 63644 //
     /* 1050705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1050713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1050716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1050719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1050725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050744 */     // MIs[0] policy
     /* 1050744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10735:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1050757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050776 */     // GIR_Coverage, 63644,
     /* 1050776 */     GIR_EraseRootFromParent_Done,
     /* 1050777 */   // Label 15251: @1050777
     /* 1050777 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1050854), // Rule ID 63645 //
     /* 1050782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1050790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050821 */     // MIs[0] policy
     /* 1050821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10741:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1050834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050853 */     // GIR_Coverage, 63645,
     /* 1050853 */     GIR_EraseRootFromParent_Done,
     /* 1050854 */   // Label 15252: @1050854
     /* 1050854 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1050931), // Rule ID 63646 //
     /* 1050859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1050862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1050867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1050870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1050873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050898 */     // MIs[0] policy
     /* 1050898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10741:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1050911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050930 */     // GIR_Coverage, 63646,
     /* 1050930 */     GIR_EraseRootFromParent_Done,
     /* 1050931 */   // Label 15253: @1050931
     /* 1050931 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1051008), // Rule ID 63647 //
     /* 1050936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1050939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1050944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1050947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1050950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1050953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050975 */     // MIs[0] policy
     /* 1050975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10741:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1050988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051007 */     // GIR_Coverage, 63647,
     /* 1051007 */     GIR_EraseRootFromParent_Done,
     /* 1051008 */   // Label 15254: @1051008
     /* 1051008 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1051085), // Rule ID 63648 //
     /* 1051013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1051021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1051033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051052 */     // MIs[0] policy
     /* 1051052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10741:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1051065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051084 */     // GIR_Coverage, 63648,
     /* 1051084 */     GIR_EraseRootFromParent_Done,
     /* 1051085 */   // Label 15255: @1051085
     /* 1051085 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1051162), // Rule ID 63649 //
     /* 1051090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1051098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1051110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051129 */     // MIs[0] policy
     /* 1051129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10741:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1051142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051161 */     // GIR_Coverage, 63649,
     /* 1051161 */     GIR_EraseRootFromParent_Done,
     /* 1051162 */   // Label 15256: @1051162
     /* 1051162 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1051239), // Rule ID 63650 //
     /* 1051167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1051175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1051187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051206 */     // MIs[0] policy
     /* 1051206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051216 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10741:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1051219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051238 */     // GIR_Coverage, 63650,
     /* 1051238 */     GIR_EraseRootFromParent_Done,
     /* 1051239 */   // Label 15257: @1051239
     /* 1051239 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1051316), // Rule ID 63651 //
     /* 1051244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1051252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1051264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051283 */     // MIs[0] policy
     /* 1051283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051293 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10741:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1051296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051315 */     // GIR_Coverage, 63651,
     /* 1051315 */     GIR_EraseRootFromParent_Done,
     /* 1051316 */   // Label 15258: @1051316
     /* 1051316 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1051393), // Rule ID 63652 //
     /* 1051321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1051329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1051341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051360 */     // MIs[0] policy
     /* 1051360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10741:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1051373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051392 */     // GIR_Coverage, 63652,
     /* 1051392 */     GIR_EraseRootFromParent_Done,
     /* 1051393 */   // Label 15259: @1051393
     /* 1051393 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1051470), // Rule ID 63653 //
     /* 1051398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1051418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051437 */     // MIs[0] policy
     /* 1051437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10737:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1051450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051469 */     // GIR_Coverage, 63653,
     /* 1051469 */     GIR_EraseRootFromParent_Done,
     /* 1051470 */   // Label 15260: @1051470
     /* 1051470 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1051547), // Rule ID 63654 //
     /* 1051475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1051495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051514 */     // MIs[0] policy
     /* 1051514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10737:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1051527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051546 */     // GIR_Coverage, 63654,
     /* 1051546 */     GIR_EraseRootFromParent_Done,
     /* 1051547 */   // Label 15261: @1051547
     /* 1051547 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1051624), // Rule ID 63655 //
     /* 1051552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1051572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051591 */     // MIs[0] policy
     /* 1051591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051601 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10737:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1051604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051623 */     // GIR_Coverage, 63655,
     /* 1051623 */     GIR_EraseRootFromParent_Done,
     /* 1051624 */   // Label 15262: @1051624
     /* 1051624 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1051701), // Rule ID 63656 //
     /* 1051629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1051649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051668 */     // MIs[0] policy
     /* 1051668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10737:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1051681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051700 */     // GIR_Coverage, 63656,
     /* 1051700 */     GIR_EraseRootFromParent_Done,
     /* 1051701 */   // Label 15263: @1051701
     /* 1051701 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1051778), // Rule ID 63657 //
     /* 1051706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1051726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051745 */     // MIs[0] policy
     /* 1051745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10737:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1051758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051777 */     // GIR_Coverage, 63657,
     /* 1051777 */     GIR_EraseRootFromParent_Done,
     /* 1051778 */   // Label 15264: @1051778
     /* 1051778 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1051855), // Rule ID 63658 //
     /* 1051783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1051803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051822 */     // MIs[0] policy
     /* 1051822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10737:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1051835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051854 */     // GIR_Coverage, 63658,
     /* 1051854 */     GIR_EraseRootFromParent_Done,
     /* 1051855 */   // Label 15265: @1051855
     /* 1051855 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1051932), // Rule ID 63659 //
     /* 1051860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1051863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1051880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051899 */     // MIs[0] policy
     /* 1051899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051909 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10737:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1051912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1051928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051931 */     // GIR_Coverage, 63659,
     /* 1051931 */     GIR_EraseRootFromParent_Done,
     /* 1051932 */   // Label 15266: @1051932
     /* 1051932 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1052009), // Rule ID 63660 //
     /* 1051937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1051940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1051945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1051954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1051957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051976 */     // MIs[0] policy
     /* 1051976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10737:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1051989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052008 */     // GIR_Coverage, 63660,
     /* 1052008 */     GIR_EraseRootFromParent_Done,
     /* 1052009 */   // Label 15267: @1052009
     /* 1052009 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1052086), // Rule ID 63661 //
     /* 1052014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1052034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052053 */     // MIs[0] policy
     /* 1052053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10740:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1052066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052085 */     // GIR_Coverage, 63661,
     /* 1052085 */     GIR_EraseRootFromParent_Done,
     /* 1052086 */   // Label 15268: @1052086
     /* 1052086 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1052163), // Rule ID 63662 //
     /* 1052091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1052111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052130 */     // MIs[0] policy
     /* 1052130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052140 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10740:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1052143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052162 */     // GIR_Coverage, 63662,
     /* 1052162 */     GIR_EraseRootFromParent_Done,
     /* 1052163 */   // Label 15269: @1052163
     /* 1052163 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1052240), // Rule ID 63663 //
     /* 1052168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1052188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052207 */     // MIs[0] policy
     /* 1052207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052217 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10740:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1052220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052239 */     // GIR_Coverage, 63663,
     /* 1052239 */     GIR_EraseRootFromParent_Done,
     /* 1052240 */   // Label 15270: @1052240
     /* 1052240 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1052317), // Rule ID 63664 //
     /* 1052245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1052265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052284 */     // MIs[0] policy
     /* 1052284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10740:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1052297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052316 */     // GIR_Coverage, 63664,
     /* 1052316 */     GIR_EraseRootFromParent_Done,
     /* 1052317 */   // Label 15271: @1052317
     /* 1052317 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1052394), // Rule ID 63665 //
     /* 1052322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1052342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052361 */     // MIs[0] policy
     /* 1052361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10740:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1052374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052393 */     // GIR_Coverage, 63665,
     /* 1052393 */     GIR_EraseRootFromParent_Done,
     /* 1052394 */   // Label 15272: @1052394
     /* 1052394 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1052471), // Rule ID 63666 //
     /* 1052399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1052419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052438 */     // MIs[0] policy
     /* 1052438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052448 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10740:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1052451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052470 */     // GIR_Coverage, 63666,
     /* 1052470 */     GIR_EraseRootFromParent_Done,
     /* 1052471 */   // Label 15273: @1052471
     /* 1052471 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1052548), // Rule ID 63667 //
     /* 1052476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1052487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1052490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1052496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052515 */     // MIs[0] policy
     /* 1052515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10740:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1052528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052547 */     // GIR_Coverage, 63667,
     /* 1052547 */     GIR_EraseRootFromParent_Done,
     /* 1052548 */   // Label 15274: @1052548
     /* 1052548 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1052625), // Rule ID 63668 //
     /* 1052553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1052561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1052564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1052567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1052573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052592 */     // MIs[0] policy
     /* 1052592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052602 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10740:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1052605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052624 */     // GIR_Coverage, 63668,
     /* 1052624 */     GIR_EraseRootFromParent_Done,
     /* 1052625 */   // Label 15275: @1052625
     /* 1052625 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1052702), // Rule ID 63669 //
     /* 1052630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1052638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1052650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052669 */     // MIs[0] policy
     /* 1052669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052679 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10736:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1052682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052701 */     // GIR_Coverage, 63669,
     /* 1052701 */     GIR_EraseRootFromParent_Done,
     /* 1052702 */   // Label 15276: @1052702
     /* 1052702 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1052779), // Rule ID 63670 //
     /* 1052707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1052715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1052727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052746 */     // MIs[0] policy
     /* 1052746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052756 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10736:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1052759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052778 */     // GIR_Coverage, 63670,
     /* 1052778 */     GIR_EraseRootFromParent_Done,
     /* 1052779 */   // Label 15277: @1052779
     /* 1052779 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1052856), // Rule ID 63671 //
     /* 1052784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1052792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1052804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052823 */     // MIs[0] policy
     /* 1052823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10736:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1052836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052855 */     // GIR_Coverage, 63671,
     /* 1052855 */     GIR_EraseRootFromParent_Done,
     /* 1052856 */   // Label 15278: @1052856
     /* 1052856 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1052933), // Rule ID 63672 //
     /* 1052861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1052864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1052869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1052872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1052875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1052881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052900 */     // MIs[0] policy
     /* 1052900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10736:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1052913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1052929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052932 */     // GIR_Coverage, 63672,
     /* 1052932 */     GIR_EraseRootFromParent_Done,
     /* 1052933 */   // Label 15279: @1052933
     /* 1052933 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1053010), // Rule ID 63673 //
     /* 1052938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1052941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1052946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1052949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1052952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1052955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1052958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052977 */     // MIs[0] policy
     /* 1052977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10736:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1052990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053009 */     // GIR_Coverage, 63673,
     /* 1053009 */     GIR_EraseRootFromParent_Done,
     /* 1053010 */   // Label 15280: @1053010
     /* 1053010 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1053087), // Rule ID 63674 //
     /* 1053015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1053023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1053035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053054 */     // MIs[0] policy
     /* 1053054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053064 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10736:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1053067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053086 */     // GIR_Coverage, 63674,
     /* 1053086 */     GIR_EraseRootFromParent_Done,
     /* 1053087 */   // Label 15281: @1053087
     /* 1053087 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1053164), // Rule ID 63675 //
     /* 1053092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1053100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1053112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053131 */     // MIs[0] policy
     /* 1053131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053141 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10736:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1053144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053163 */     // GIR_Coverage, 63675,
     /* 1053163 */     GIR_EraseRootFromParent_Done,
     /* 1053164 */   // Label 15282: @1053164
     /* 1053164 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1053241), // Rule ID 63676 //
     /* 1053169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1053177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1053189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053208 */     // MIs[0] policy
     /* 1053208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10736:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1053221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053240 */     // GIR_Coverage, 63676,
     /* 1053240 */     GIR_EraseRootFromParent_Done,
     /* 1053241 */   // Label 15283: @1053241
     /* 1053241 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1053318), // Rule ID 63677 //
     /* 1053246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1053266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053285 */     // MIs[0] policy
     /* 1053285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10742:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1053298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053317 */     // GIR_Coverage, 63677,
     /* 1053317 */     GIR_EraseRootFromParent_Done,
     /* 1053318 */   // Label 15284: @1053318
     /* 1053318 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1053395), // Rule ID 63678 //
     /* 1053323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1053343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053362 */     // MIs[0] policy
     /* 1053362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10742:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1053375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053394 */     // GIR_Coverage, 63678,
     /* 1053394 */     GIR_EraseRootFromParent_Done,
     /* 1053395 */   // Label 15285: @1053395
     /* 1053395 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1053472), // Rule ID 63679 //
     /* 1053400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1053420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053439 */     // MIs[0] policy
     /* 1053439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053449 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10742:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1053452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053471 */     // GIR_Coverage, 63679,
     /* 1053471 */     GIR_EraseRootFromParent_Done,
     /* 1053472 */   // Label 15286: @1053472
     /* 1053472 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1053549), // Rule ID 63680 //
     /* 1053477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1053497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053516 */     // MIs[0] policy
     /* 1053516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10742:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1053529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053548 */     // GIR_Coverage, 63680,
     /* 1053548 */     GIR_EraseRootFromParent_Done,
     /* 1053549 */   // Label 15287: @1053549
     /* 1053549 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1053626), // Rule ID 63681 //
     /* 1053554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1053574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053593 */     // MIs[0] policy
     /* 1053593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10742:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1053606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053625 */     // GIR_Coverage, 63681,
     /* 1053625 */     GIR_EraseRootFromParent_Done,
     /* 1053626 */   // Label 15288: @1053626
     /* 1053626 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1053703), // Rule ID 63682 //
     /* 1053631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1053651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053670 */     // MIs[0] policy
     /* 1053670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10742:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1053683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053702 */     // GIR_Coverage, 63682,
     /* 1053702 */     GIR_EraseRootFromParent_Done,
     /* 1053703 */   // Label 15289: @1053703
     /* 1053703 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1053780), // Rule ID 63683 //
     /* 1053708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1053728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053747 */     // MIs[0] policy
     /* 1053747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10742:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1053760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053779 */     // GIR_Coverage, 63683,
     /* 1053779 */     GIR_EraseRootFromParent_Done,
     /* 1053780 */   // Label 15290: @1053780
     /* 1053780 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1053857), // Rule ID 63684 //
     /* 1053785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1053793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1053805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053824 */     // MIs[0] policy
     /* 1053824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10742:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1053837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053856 */     // GIR_Coverage, 63684,
     /* 1053856 */     GIR_EraseRootFromParent_Done,
     /* 1053857 */   // Label 15291: @1053857
     /* 1053857 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1053934), // Rule ID 63685 //
     /* 1053862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1053865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1053870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1053882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053901 */     // MIs[0] policy
     /* 1053901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10738:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1053914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1053930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053933 */     // GIR_Coverage, 63685,
     /* 1053933 */     GIR_EraseRootFromParent_Done,
     /* 1053934 */   // Label 15292: @1053934
     /* 1053934 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1054011), // Rule ID 63686 //
     /* 1053939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1053942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1053947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1053950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1053953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1053956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1053959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1053978 */     // MIs[0] policy
     /* 1053978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10738:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1053991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1053995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1053997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1053999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054010 */     // GIR_Coverage, 63686,
     /* 1054010 */     GIR_EraseRootFromParent_Done,
     /* 1054011 */   // Label 15293: @1054011
     /* 1054011 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1054088), // Rule ID 63687 //
     /* 1054016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1054019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1054036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054055 */     // MIs[0] policy
     /* 1054055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054065 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10738:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1054068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054087 */     // GIR_Coverage, 63687,
     /* 1054087 */     GIR_EraseRootFromParent_Done,
     /* 1054088 */   // Label 15294: @1054088
     /* 1054088 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1054165), // Rule ID 63688 //
     /* 1054093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1054096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1054104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1054107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1054113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054132 */     // MIs[0] policy
     /* 1054132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10738:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1054145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054164 */     // GIR_Coverage, 63688,
     /* 1054164 */     GIR_EraseRootFromParent_Done,
     /* 1054165 */   // Label 15295: @1054165
     /* 1054165 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1054242), // Rule ID 63689 //
     /* 1054170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1054173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1054181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1054190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054209 */     // MIs[0] policy
     /* 1054209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10738:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1054222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054241 */     // GIR_Coverage, 63689,
     /* 1054241 */     GIR_EraseRootFromParent_Done,
     /* 1054242 */   // Label 15296: @1054242
     /* 1054242 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1054319), // Rule ID 63690 //
     /* 1054247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1054250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1054258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1054261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1054267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054286 */     // MIs[0] policy
     /* 1054286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10738:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1054299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054318 */     // GIR_Coverage, 63690,
     /* 1054318 */     GIR_EraseRootFromParent_Done,
     /* 1054319 */   // Label 15297: @1054319
     /* 1054319 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1054396), // Rule ID 63691 //
     /* 1054324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1054327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1054344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054363 */     // MIs[0] policy
     /* 1054363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054373 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10738:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1054376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054395 */     // GIR_Coverage, 63691,
     /* 1054395 */     GIR_EraseRootFromParent_Done,
     /* 1054396 */   // Label 15298: @1054396
     /* 1054396 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1054473), // Rule ID 63692 //
     /* 1054401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1054404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1054409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1054412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1054415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1054418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1054421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054440 */     // MIs[0] policy
     /* 1054440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10738:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1054453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054472 */     // GIR_Coverage, 63692,
     /* 1054472 */     GIR_EraseRootFromParent_Done,
     /* 1054473 */   // Label 15299: @1054473
     /* 1054473 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1054553), // Rule ID 2582 //
     /* 1054478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1054486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1054489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1054492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1054495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1054498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054517 */     // MIs[0] round
     /* 1054517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1054530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054552 */     // GIR_Coverage, 2582,
     /* 1054552 */     GIR_EraseRootFromParent_Done,
     /* 1054553 */   // Label 15300: @1054553
     /* 1054553 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1054633), // Rule ID 2583 //
     /* 1054558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1054561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1054566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1054569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1054572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1054575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1054578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054597 */     // MIs[0] round
     /* 1054597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054607 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1054610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1054628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054632 */     // GIR_Coverage, 2583,
     /* 1054632 */     GIR_EraseRootFromParent_Done,
     /* 1054633 */   // Label 15301: @1054633
     /* 1054633 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1054713), // Rule ID 2622 //
     /* 1054638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1054641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1054646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1054658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054677 */     // MIs[0] round
     /* 1054677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054687 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1054690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054712 */     // GIR_Coverage, 2622,
     /* 1054712 */     GIR_EraseRootFromParent_Done,
     /* 1054713 */   // Label 15302: @1054713
     /* 1054713 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1054793), // Rule ID 2623 //
     /* 1054718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1054721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1054726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1054738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054757 */     // MIs[0] round
     /* 1054757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054767 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1054770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054792 */     // GIR_Coverage, 2623,
     /* 1054792 */     GIR_EraseRootFromParent_Done,
     /* 1054793 */   // Label 15303: @1054793
     /* 1054793 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1054873), // Rule ID 2642 //
     /* 1054798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1054801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1054806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1054818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054837 */     // MIs[0] round
     /* 1054837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054847 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1054847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1054850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054872 */     // GIR_Coverage, 2642,
     /* 1054872 */     GIR_EraseRootFromParent_Done,
     /* 1054873 */   // Label 15304: @1054873
     /* 1054873 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1054953), // Rule ID 2643 //
     /* 1054878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1054881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1054886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1054895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1054898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1054901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054917 */     // MIs[0] round
     /* 1054917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1054920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054927 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1054927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1054930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1054934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1054936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1054938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1054940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1054951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054952 */     // GIR_Coverage, 2643,
     /* 1054952 */     GIR_EraseRootFromParent_Done,
     /* 1054953 */   // Label 15305: @1054953
     /* 1054953 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1055033), // Rule ID 14784 //
     /* 1054958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1054961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1054966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1054969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1054972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1054975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1054978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1054981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054997 */     // MIs[0] round
     /* 1054997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055007 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1055010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055032 */     // GIR_Coverage, 14784,
     /* 1055032 */     GIR_EraseRootFromParent_Done,
     /* 1055033 */   // Label 15306: @1055033
     /* 1055033 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1055113), // Rule ID 14785 //
     /* 1055038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1055049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1055052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1055055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1055058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055077 */     // MIs[0] round
     /* 1055077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1055090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055112 */     // GIR_Coverage, 14785,
     /* 1055112 */     GIR_EraseRootFromParent_Done,
     /* 1055113 */   // Label 15307: @1055113
     /* 1055113 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1055193), // Rule ID 14788 //
     /* 1055118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1055129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1055132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1055135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1055138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055157 */     // MIs[0] round
     /* 1055157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055167 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055192 */     // GIR_Coverage, 14788,
     /* 1055192 */     GIR_EraseRootFromParent_Done,
     /* 1055193 */   // Label 15308: @1055193
     /* 1055193 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1055273), // Rule ID 14789 //
     /* 1055198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1055209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1055212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1055215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1055218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055237 */     // MIs[0] round
     /* 1055237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055272 */     // GIR_Coverage, 14789,
     /* 1055272 */     GIR_EraseRootFromParent_Done,
     /* 1055273 */   // Label 15309: @1055273
     /* 1055273 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1055353), // Rule ID 14792 //
     /* 1055278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1055298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055317 */     // MIs[0] round
     /* 1055317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1055330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055352 */     // GIR_Coverage, 14792,
     /* 1055352 */     GIR_EraseRootFromParent_Done,
     /* 1055353 */   // Label 15310: @1055353
     /* 1055353 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1055433), // Rule ID 14793 //
     /* 1055358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1055369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1055372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1055375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1055378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055397 */     // MIs[0] round
     /* 1055397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1055410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055432 */     // GIR_Coverage, 14793,
     /* 1055432 */     GIR_EraseRootFromParent_Done,
     /* 1055433 */   // Label 15311: @1055433
     /* 1055433 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1055513), // Rule ID 14796 //
     /* 1055438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1055449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1055452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1055455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1055458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055477 */     // MIs[0] round
     /* 1055477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055487 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055512 */     // GIR_Coverage, 14796,
     /* 1055512 */     GIR_EraseRootFromParent_Done,
     /* 1055513 */   // Label 15312: @1055513
     /* 1055513 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1055593), // Rule ID 14797 //
     /* 1055518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1055529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1055532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1055535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1055538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055557 */     // MIs[0] round
     /* 1055557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055592 */     // GIR_Coverage, 14797,
     /* 1055592 */     GIR_EraseRootFromParent_Done,
     /* 1055593 */   // Label 15313: @1055593
     /* 1055593 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1055673), // Rule ID 14800 //
     /* 1055598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1055618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055637 */     // MIs[0] round
     /* 1055637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055672 */     // GIR_Coverage, 14800,
     /* 1055672 */     GIR_EraseRootFromParent_Done,
     /* 1055673 */   // Label 15314: @1055673
     /* 1055673 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1055753), // Rule ID 14801 //
     /* 1055678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1055689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1055692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1055695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1055698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055717 */     // MIs[0] round
     /* 1055717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1055730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055752 */     // GIR_Coverage, 14801,
     /* 1055752 */     GIR_EraseRootFromParent_Done,
     /* 1055753 */   // Label 15315: @1055753
     /* 1055753 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1055833), // Rule ID 14804 //
     /* 1055758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1055769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1055772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1055775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1055778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055797 */     // MIs[0] round
     /* 1055797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055807 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1055810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055832 */     // GIR_Coverage, 14804,
     /* 1055832 */     GIR_EraseRootFromParent_Done,
     /* 1055833 */   // Label 15316: @1055833
     /* 1055833 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1055913), // Rule ID 14805 //
     /* 1055838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1055841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1055849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1055852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1055855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1055858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1055861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055877 */     // MIs[0] round
     /* 1055877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1055887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1055890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1055908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055912 */     // GIR_Coverage, 14805,
     /* 1055912 */     GIR_EraseRootFromParent_Done,
     /* 1055913 */   // Label 15317: @1055913
     /* 1055913 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1055993), // Rule ID 14808 //
     /* 1055918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1055921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1055926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1055929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1055932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1055935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1055938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1055941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055957 */     // MIs[0] round
     /* 1055957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1055960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055967 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1055967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1055970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1055976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1055978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1055980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1055991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055992 */     // GIR_Coverage, 14808,
     /* 1055992 */     GIR_EraseRootFromParent_Done,
     /* 1055993 */   // Label 15318: @1055993
     /* 1055993 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1056073), // Rule ID 14809 //
     /* 1055998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1056009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1056012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1056015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1056018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056037 */     // MIs[0] round
     /* 1056037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1056050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056072 */     // GIR_Coverage, 14809,
     /* 1056072 */     GIR_EraseRootFromParent_Done,
     /* 1056073 */   // Label 15319: @1056073
     /* 1056073 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1056153), // Rule ID 14812 //
     /* 1056078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1056098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056117 */     // MIs[0] round
     /* 1056117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1056130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056152 */     // GIR_Coverage, 14812,
     /* 1056152 */     GIR_EraseRootFromParent_Done,
     /* 1056153 */   // Label 15320: @1056153
     /* 1056153 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1056233), // Rule ID 14813 //
     /* 1056158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1056169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1056172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1056175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1056178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056197 */     // MIs[0] round
     /* 1056197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1056210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056232 */     // GIR_Coverage, 14813,
     /* 1056232 */     GIR_EraseRootFromParent_Done,
     /* 1056233 */   // Label 15321: @1056233
     /* 1056233 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1056313), // Rule ID 14816 //
     /* 1056238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1056241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1056258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056277 */     // MIs[0] round
     /* 1056277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1056290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056312 */     // GIR_Coverage, 14816,
     /* 1056312 */     GIR_EraseRootFromParent_Done,
     /* 1056313 */   // Label 15322: @1056313
     /* 1056313 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1056393), // Rule ID 14817 //
     /* 1056318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1056321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1056329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1056332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1056335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1056338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056357 */     // MIs[0] round
     /* 1056357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1056370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056392 */     // GIR_Coverage, 14817,
     /* 1056392 */     GIR_EraseRootFromParent_Done,
     /* 1056393 */   // Label 15323: @1056393
     /* 1056393 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1056473), // Rule ID 14820 //
     /* 1056398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1056409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1056412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1056415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1056418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056437 */     // MIs[0] round
     /* 1056437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1056450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056472 */     // GIR_Coverage, 14820,
     /* 1056472 */     GIR_EraseRootFromParent_Done,
     /* 1056473 */   // Label 15324: @1056473
     /* 1056473 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1056553), // Rule ID 14821 //
     /* 1056478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1056489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1056492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1056495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1056498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056517 */     // MIs[0] round
     /* 1056517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056527 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1056530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056552 */     // GIR_Coverage, 14821,
     /* 1056552 */     GIR_EraseRootFromParent_Done,
     /* 1056553 */   // Label 15325: @1056553
     /* 1056553 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1056633), // Rule ID 14824 //
     /* 1056558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1056569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1056572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1056575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1056578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056597 */     // MIs[0] round
     /* 1056597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056607 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1056610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056632 */     // GIR_Coverage, 14824,
     /* 1056632 */     GIR_EraseRootFromParent_Done,
     /* 1056633 */   // Label 15326: @1056633
     /* 1056633 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1056713), // Rule ID 14825 //
     /* 1056638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1056649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1056652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1056655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1056658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056677 */     // MIs[0] round
     /* 1056677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1056690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056712 */     // GIR_Coverage, 14825,
     /* 1056712 */     GIR_EraseRootFromParent_Done,
     /* 1056713 */   // Label 15327: @1056713
     /* 1056713 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1056793), // Rule ID 14828 //
     /* 1056718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1056729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1056732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1056735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1056738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056757 */     // MIs[0] round
     /* 1056757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1056770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056792 */     // GIR_Coverage, 14828,
     /* 1056792 */     GIR_EraseRootFromParent_Done,
     /* 1056793 */   // Label 15328: @1056793
     /* 1056793 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1056873), // Rule ID 14829 //
     /* 1056798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1056809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1056812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1056815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1056818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056837 */     // MIs[0] round
     /* 1056837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1056847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1056850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1056868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056872 */     // GIR_Coverage, 14829,
     /* 1056872 */     GIR_EraseRootFromParent_Done,
     /* 1056873 */   // Label 15329: @1056873
     /* 1056873 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1056953), // Rule ID 14832 //
     /* 1056878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1056881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1056898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1056901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056917 */     // MIs[0] round
     /* 1056917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1056920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056927 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1056927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1056930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1056936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1056938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1056940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1056951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056952 */     // GIR_Coverage, 14832,
     /* 1056952 */     GIR_EraseRootFromParent_Done,
     /* 1056953 */   // Label 15330: @1056953
     /* 1056953 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1057033), // Rule ID 14833 //
     /* 1056958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1056961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1056966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1056969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1056972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1056975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1056978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1056981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056997 */     // MIs[0] round
     /* 1056997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1057010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057032 */     // GIR_Coverage, 14833,
     /* 1057032 */     GIR_EraseRootFromParent_Done,
     /* 1057033 */   // Label 15331: @1057033
     /* 1057033 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1057113), // Rule ID 14836 //
     /* 1057038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1057058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057077 */     // MIs[0] round
     /* 1057077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1057090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057112 */     // GIR_Coverage, 14836,
     /* 1057112 */     GIR_EraseRootFromParent_Done,
     /* 1057113 */   // Label 15332: @1057113
     /* 1057113 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1057193), // Rule ID 14837 //
     /* 1057118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1057138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057157 */     // MIs[0] round
     /* 1057157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1057170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057192 */     // GIR_Coverage, 14837,
     /* 1057192 */     GIR_EraseRootFromParent_Done,
     /* 1057193 */   // Label 15333: @1057193
     /* 1057193 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1057273), // Rule ID 14840 //
     /* 1057198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1057218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057237 */     // MIs[0] round
     /* 1057237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1057250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057272 */     // GIR_Coverage, 14840,
     /* 1057272 */     GIR_EraseRootFromParent_Done,
     /* 1057273 */   // Label 15334: @1057273
     /* 1057273 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1057353), // Rule ID 14841 //
     /* 1057278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1057298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057317 */     // MIs[0] round
     /* 1057317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1057330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057352 */     // GIR_Coverage, 14841,
     /* 1057352 */     GIR_EraseRootFromParent_Done,
     /* 1057353 */   // Label 15335: @1057353
     /* 1057353 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1057433), // Rule ID 14844 //
     /* 1057358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1057378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057397 */     // MIs[0] round
     /* 1057397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057407 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1057410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057432 */     // GIR_Coverage, 14844,
     /* 1057432 */     GIR_EraseRootFromParent_Done,
     /* 1057433 */   // Label 15336: @1057433
     /* 1057433 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1057513), // Rule ID 14845 //
     /* 1057438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1057458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057477 */     // MIs[0] round
     /* 1057477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1057490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057512 */     // GIR_Coverage, 14845,
     /* 1057512 */     GIR_EraseRootFromParent_Done,
     /* 1057513 */   // Label 15337: @1057513
     /* 1057513 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1057593), // Rule ID 14848 //
     /* 1057518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1057538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057557 */     // MIs[0] round
     /* 1057557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057567 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1057570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057592 */     // GIR_Coverage, 14848,
     /* 1057592 */     GIR_EraseRootFromParent_Done,
     /* 1057593 */   // Label 15338: @1057593
     /* 1057593 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1057673), // Rule ID 14849 //
     /* 1057598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1057609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1057612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1057615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1057618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057637 */     // MIs[0] round
     /* 1057637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1057650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057672 */     // GIR_Coverage, 14849,
     /* 1057672 */     GIR_EraseRootFromParent_Done,
     /* 1057673 */   // Label 15339: @1057673
     /* 1057673 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1057753), // Rule ID 14852 //
     /* 1057678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1057681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1057698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057717 */     // MIs[0] round
     /* 1057717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057727 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1057730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057752 */     // GIR_Coverage, 14852,
     /* 1057752 */     GIR_EraseRootFromParent_Done,
     /* 1057753 */   // Label 15340: @1057753
     /* 1057753 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1057833), // Rule ID 14853 //
     /* 1057758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1057761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1057769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1057772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1057775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1057778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057797 */     // MIs[0] round
     /* 1057797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1057810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057832 */     // GIR_Coverage, 14853,
     /* 1057832 */     GIR_EraseRootFromParent_Done,
     /* 1057833 */   // Label 15341: @1057833
     /* 1057833 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1057913), // Rule ID 14856 //
     /* 1057838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1057841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1057858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1057861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057877 */     // MIs[0] round
     /* 1057877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057887 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1057887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1057890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057912 */     // GIR_Coverage, 14856,
     /* 1057912 */     GIR_EraseRootFromParent_Done,
     /* 1057913 */   // Label 15342: @1057913
     /* 1057913 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1057993), // Rule ID 14857 //
     /* 1057918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1057921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1057926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1057929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1057932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1057935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1057938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1057941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057957 */     // MIs[0] round
     /* 1057957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1057960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1057967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1057970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1057976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1057978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1057980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1057991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057992 */     // GIR_Coverage, 14857,
     /* 1057992 */     GIR_EraseRootFromParent_Done,
     /* 1057993 */   // Label 15343: @1057993
     /* 1057993 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1058073), // Rule ID 14860 //
     /* 1057998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1058001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1058018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058037 */     // MIs[0] round
     /* 1058037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1058050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058072 */     // GIR_Coverage, 14860,
     /* 1058072 */     GIR_EraseRootFromParent_Done,
     /* 1058073 */   // Label 15344: @1058073
     /* 1058073 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1058153), // Rule ID 14861 //
     /* 1058078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1058081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1058098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058117 */     // MIs[0] round
     /* 1058117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1058130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058152 */     // GIR_Coverage, 14861,
     /* 1058152 */     GIR_EraseRootFromParent_Done,
     /* 1058153 */   // Label 15345: @1058153
     /* 1058153 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1058233), // Rule ID 14864 //
     /* 1058158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1058161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1058178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058197 */     // MIs[0] round
     /* 1058197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058207 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1058210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058232 */     // GIR_Coverage, 14864,
     /* 1058232 */     GIR_EraseRootFromParent_Done,
     /* 1058233 */   // Label 15346: @1058233
     /* 1058233 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1058313), // Rule ID 14865 //
     /* 1058238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1058241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1058258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058277 */     // MIs[0] round
     /* 1058277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1058290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058312 */     // GIR_Coverage, 14865,
     /* 1058312 */     GIR_EraseRootFromParent_Done,
     /* 1058313 */   // Label 15347: @1058313
     /* 1058313 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1058393), // Rule ID 14868 //
     /* 1058318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1058329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1058332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1058338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058357 */     // MIs[0] round
     /* 1058357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1058370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058392 */     // GIR_Coverage, 14868,
     /* 1058392 */     GIR_EraseRootFromParent_Done,
     /* 1058393 */   // Label 15348: @1058393
     /* 1058393 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1058473), // Rule ID 14869 //
     /* 1058398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1058409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1058412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1058415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1058418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058437 */     // MIs[0] round
     /* 1058437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1058450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058472 */     // GIR_Coverage, 14869,
     /* 1058472 */     GIR_EraseRootFromParent_Done,
     /* 1058473 */   // Label 15349: @1058473
     /* 1058473 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1058553), // Rule ID 14872 //
     /* 1058478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1058489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1058492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1058498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058517 */     // MIs[0] round
     /* 1058517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058527 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1058530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058552 */     // GIR_Coverage, 14872,
     /* 1058552 */     GIR_EraseRootFromParent_Done,
     /* 1058553 */   // Label 15350: @1058553
     /* 1058553 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1058633), // Rule ID 14873 //
     /* 1058558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1058569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1058572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1058575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1058578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058597 */     // MIs[0] round
     /* 1058597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1058610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058632 */     // GIR_Coverage, 14873,
     /* 1058632 */     GIR_EraseRootFromParent_Done,
     /* 1058633 */   // Label 15351: @1058633
     /* 1058633 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1058713), // Rule ID 14876 //
     /* 1058638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1058649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1058652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1058655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1058658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058677 */     // MIs[0] round
     /* 1058677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058687 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1058690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058712 */     // GIR_Coverage, 14876,
     /* 1058712 */     GIR_EraseRootFromParent_Done,
     /* 1058713 */   // Label 15352: @1058713
     /* 1058713 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1058793), // Rule ID 14877 //
     /* 1058718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1058729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1058732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1058735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1058738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058757 */     // MIs[0] round
     /* 1058757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1058770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1058788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058792 */     // GIR_Coverage, 14877,
     /* 1058792 */     GIR_EraseRootFromParent_Done,
     /* 1058793 */   // Label 15353: @1058793
     /* 1058793 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1058873), // Rule ID 14880 //
     /* 1058798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1058818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058837 */     // MIs[0] round
     /* 1058837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058847 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1058847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1058850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058872 */     // GIR_Coverage, 14880,
     /* 1058872 */     GIR_EraseRootFromParent_Done,
     /* 1058873 */   // Label 15354: @1058873
     /* 1058873 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1058953), // Rule ID 14881 //
     /* 1058878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1058881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1058898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1058901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058917 */     // MIs[0] round
     /* 1058917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1058920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1058927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1058930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1058936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1058938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1058940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1058951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058952 */     // GIR_Coverage, 14881,
     /* 1058952 */     GIR_EraseRootFromParent_Done,
     /* 1058953 */   // Label 15355: @1058953
     /* 1058953 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1059033), // Rule ID 14884 //
     /* 1058958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1058961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1058966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1058969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1058972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1058975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1058978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1058981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1058997 */     // MIs[0] round
     /* 1058997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059007 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1059010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059032 */     // GIR_Coverage, 14884,
     /* 1059032 */     GIR_EraseRootFromParent_Done,
     /* 1059033 */   // Label 15356: @1059033
     /* 1059033 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1059113), // Rule ID 14885 //
     /* 1059038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059077 */     // MIs[0] round
     /* 1059077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1059090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059112 */     // GIR_Coverage, 14885,
     /* 1059112 */     GIR_EraseRootFromParent_Done,
     /* 1059113 */   // Label 15357: @1059113
     /* 1059113 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1059193), // Rule ID 14888 //
     /* 1059118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059157 */     // MIs[0] round
     /* 1059157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059167 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1059170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059192 */     // GIR_Coverage, 14888,
     /* 1059192 */     GIR_EraseRootFromParent_Done,
     /* 1059193 */   // Label 15358: @1059193
     /* 1059193 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1059273), // Rule ID 14889 //
     /* 1059198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059237 */     // MIs[0] round
     /* 1059237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1059250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059272 */     // GIR_Coverage, 14889,
     /* 1059272 */     GIR_EraseRootFromParent_Done,
     /* 1059273 */   // Label 15359: @1059273
     /* 1059273 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1059353), // Rule ID 14892 //
     /* 1059278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1059289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1059292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059317 */     // MIs[0] round
     /* 1059317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059352 */     // GIR_Coverage, 14892,
     /* 1059352 */     GIR_EraseRootFromParent_Done,
     /* 1059353 */   // Label 15360: @1059353
     /* 1059353 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1059433), // Rule ID 14893 //
     /* 1059358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1059369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1059372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1059375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059397 */     // MIs[0] round
     /* 1059397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10774:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059432 */     // GIR_Coverage, 14893,
     /* 1059432 */     GIR_EraseRootFromParent_Done,
     /* 1059433 */   // Label 15361: @1059433
     /* 1059433 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1059513), // Rule ID 14896 //
     /* 1059438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059477 */     // MIs[0] round
     /* 1059477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059487 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059512 */     // GIR_Coverage, 14896,
     /* 1059512 */     GIR_EraseRootFromParent_Done,
     /* 1059513 */   // Label 15362: @1059513
     /* 1059513 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1059593), // Rule ID 14897 //
     /* 1059518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059557 */     // MIs[0] round
     /* 1059557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10774:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059592 */     // GIR_Coverage, 14897,
     /* 1059592 */     GIR_EraseRootFromParent_Done,
     /* 1059593 */   // Label 15363: @1059593
     /* 1059593 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1059673), // Rule ID 14900 //
     /* 1059598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059637 */     // MIs[0] round
     /* 1059637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059672 */     // GIR_Coverage, 14900,
     /* 1059672 */     GIR_EraseRootFromParent_Done,
     /* 1059673 */   // Label 15364: @1059673
     /* 1059673 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1059753), // Rule ID 14901 //
     /* 1059678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1059681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059717 */     // MIs[0] round
     /* 1059717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10774:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059752 */     // GIR_Coverage, 14901,
     /* 1059752 */     GIR_EraseRootFromParent_Done,
     /* 1059753 */   // Label 15365: @1059753
     /* 1059753 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1059833), // Rule ID 14904 //
     /* 1059758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1059761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059797 */     // MIs[0] round
     /* 1059797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059807 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059832 */     // GIR_Coverage, 14904,
     /* 1059832 */     GIR_EraseRootFromParent_Done,
     /* 1059833 */   // Label 15366: @1059833
     /* 1059833 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1059913), // Rule ID 14905 //
     /* 1059838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1059841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1059858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1059861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059877 */     // MIs[0] round
     /* 1059877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10774:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1059887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1059890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059912 */     // GIR_Coverage, 14905,
     /* 1059912 */     GIR_EraseRootFromParent_Done,
     /* 1059913 */   // Label 15367: @1059913
     /* 1059913 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1059993), // Rule ID 14908 //
     /* 1059918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1059921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1059926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1059929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1059932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1059935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1059938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1059941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1059957 */     // MIs[0] round
     /* 1059957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1059960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059967 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1059967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1059970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1059976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1059978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1059980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1059988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1059991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059992 */     // GIR_Coverage, 14908,
     /* 1059992 */     GIR_EraseRootFromParent_Done,
     /* 1059993 */   // Label 15368: @1059993
     /* 1059993 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1060073), // Rule ID 14909 //
     /* 1059998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1060009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1060012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1060015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060037 */     // MIs[0] round
     /* 1060037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1060050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060072 */     // GIR_Coverage, 14909,
     /* 1060072 */     GIR_EraseRootFromParent_Done,
     /* 1060073 */   // Label 15369: @1060073
     /* 1060073 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1060153), // Rule ID 14912 //
     /* 1060078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1060089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1060092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060117 */     // MIs[0] round
     /* 1060117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060127 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1060130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060152 */     // GIR_Coverage, 14912,
     /* 1060152 */     GIR_EraseRootFromParent_Done,
     /* 1060153 */   // Label 15370: @1060153
     /* 1060153 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1060233), // Rule ID 14913 //
     /* 1060158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1060169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1060172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1060175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060197 */     // MIs[0] round
     /* 1060197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060207 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1060210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060232 */     // GIR_Coverage, 14913,
     /* 1060232 */     GIR_EraseRootFromParent_Done,
     /* 1060233 */   // Label 15371: @1060233
     /* 1060233 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1060313), // Rule ID 14916 //
     /* 1060238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1060249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1060252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1060255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060277 */     // MIs[0] round
     /* 1060277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060287 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1060290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060312 */     // GIR_Coverage, 14916,
     /* 1060312 */     GIR_EraseRootFromParent_Done,
     /* 1060313 */   // Label 15372: @1060313
     /* 1060313 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1060393), // Rule ID 14917 //
     /* 1060318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1060329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1060332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1060335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060357 */     // MIs[0] round
     /* 1060357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060367 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1060370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1060388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060392 */     // GIR_Coverage, 14917,
     /* 1060392 */     GIR_EraseRootFromParent_Done,
     /* 1060393 */   // Label 15373: @1060393
     /* 1060393 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1060473), // Rule ID 14920 //
     /* 1060398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060437 */     // MIs[0] round
     /* 1060437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1060450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060472 */     // GIR_Coverage, 14920,
     /* 1060472 */     GIR_EraseRootFromParent_Done,
     /* 1060473 */   // Label 15374: @1060473
     /* 1060473 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1060553), // Rule ID 14921 //
     /* 1060478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1060489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1060492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1060495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060517 */     // MIs[0] round
     /* 1060517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1060530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060552 */     // GIR_Coverage, 14921,
     /* 1060552 */     GIR_EraseRootFromParent_Done,
     /* 1060553 */   // Label 15375: @1060553
     /* 1060553 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1060633), // Rule ID 14924 //
     /* 1060558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060597 */     // MIs[0] round
     /* 1060597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060607 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1060610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060632 */     // GIR_Coverage, 14924,
     /* 1060632 */     GIR_EraseRootFromParent_Done,
     /* 1060633 */   // Label 15376: @1060633
     /* 1060633 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1060713), // Rule ID 14925 //
     /* 1060638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060677 */     // MIs[0] round
     /* 1060677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1060690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060712 */     // GIR_Coverage, 14925,
     /* 1060712 */     GIR_EraseRootFromParent_Done,
     /* 1060713 */   // Label 15377: @1060713
     /* 1060713 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1060793), // Rule ID 14928 //
     /* 1060718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1060735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060757 */     // MIs[0] round
     /* 1060757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060767 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1060770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060792 */     // GIR_Coverage, 14928,
     /* 1060792 */     GIR_EraseRootFromParent_Done,
     /* 1060793 */   // Label 15378: @1060793
     /* 1060793 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1060873), // Rule ID 14929 //
     /* 1060798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1060815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060837 */     // MIs[0] round
     /* 1060837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1060847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1060850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060872 */     // GIR_Coverage, 14929,
     /* 1060872 */     GIR_EraseRootFromParent_Done,
     /* 1060873 */   // Label 15379: @1060873
     /* 1060873 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1060953), // Rule ID 14932 //
     /* 1060878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1060881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1060898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1060901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060917 */     // MIs[0] round
     /* 1060917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1060920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060927 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1060927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1060930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1060936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1060938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1060940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1060951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060952 */     // GIR_Coverage, 14932,
     /* 1060952 */     GIR_EraseRootFromParent_Done,
     /* 1060953 */   // Label 15380: @1060953
     /* 1060953 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1061033), // Rule ID 14933 //
     /* 1060958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1060961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1060966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1060978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1060981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1060997 */     // MIs[0] round
     /* 1060997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1061010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061032 */     // GIR_Coverage, 14933,
     /* 1061032 */     GIR_EraseRootFromParent_Done,
     /* 1061033 */   // Label 15381: @1061033
     /* 1061033 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1061113), // Rule ID 14936 //
     /* 1061038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061077 */     // MIs[0] round
     /* 1061077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1061090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061112 */     // GIR_Coverage, 14936,
     /* 1061112 */     GIR_EraseRootFromParent_Done,
     /* 1061113 */   // Label 15382: @1061113
     /* 1061113 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1061193), // Rule ID 14937 //
     /* 1061118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1061135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061157 */     // MIs[0] round
     /* 1061157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1061170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061192 */     // GIR_Coverage, 14937,
     /* 1061192 */     GIR_EraseRootFromParent_Done,
     /* 1061193 */   // Label 15383: @1061193
     /* 1061193 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1061273), // Rule ID 14940 //
     /* 1061198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1061215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061237 */     // MIs[0] round
     /* 1061237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1061250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061272 */     // GIR_Coverage, 14940,
     /* 1061272 */     GIR_EraseRootFromParent_Done,
     /* 1061273 */   // Label 15384: @1061273
     /* 1061273 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1061353), // Rule ID 14941 //
     /* 1061278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1061295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061317 */     // MIs[0] round
     /* 1061317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1061330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061352 */     // GIR_Coverage, 14941,
     /* 1061352 */     GIR_EraseRootFromParent_Done,
     /* 1061353 */   // Label 15385: @1061353
     /* 1061353 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1061433), // Rule ID 14944 //
     /* 1061358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1061361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1061375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061397 */     // MIs[0] round
     /* 1061397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061407 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1061410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061432 */     // GIR_Coverage, 14944,
     /* 1061432 */     GIR_EraseRootFromParent_Done,
     /* 1061433 */   // Label 15386: @1061433
     /* 1061433 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1061513), // Rule ID 14945 //
     /* 1061438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1061441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1061449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1061452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1061455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061477 */     // MIs[0] round
     /* 1061477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10774:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1061490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061512 */     // GIR_Coverage, 14945,
     /* 1061512 */     GIR_EraseRootFromParent_Done,
     /* 1061513 */   // Label 15387: @1061513
     /* 1061513 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1061593), // Rule ID 14948 //
     /* 1061518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1061521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1061535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061557 */     // MIs[0] round
     /* 1061557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061567 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1061570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061592 */     // GIR_Coverage, 14948,
     /* 1061592 */     GIR_EraseRootFromParent_Done,
     /* 1061593 */   // Label 15388: @1061593
     /* 1061593 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1061673), // Rule ID 14949 //
     /* 1061598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1061601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1061609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1061612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1061615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061637 */     // MIs[0] round
     /* 1061637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10774:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1061650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061672 */     // GIR_Coverage, 14949,
     /* 1061672 */     GIR_EraseRootFromParent_Done,
     /* 1061673 */   // Label 15389: @1061673
     /* 1061673 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1061753), // Rule ID 14952 //
     /* 1061678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1061681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1061695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1061698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061717 */     // MIs[0] round
     /* 1061717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1061730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061752 */     // GIR_Coverage, 14952,
     /* 1061752 */     GIR_EraseRootFromParent_Done,
     /* 1061753 */   // Label 15390: @1061753
     /* 1061753 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1061833), // Rule ID 14953 //
     /* 1061758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1061761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1061766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1061775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1061778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1061797 */     // MIs[0] round
     /* 1061797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10774:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1061810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061832 */     // GIR_Coverage, 14953,
     /* 1061832 */     GIR_EraseRootFromParent_Done,
     /* 1061833 */   // Label 15391: @1061833
     /* 1061833 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1061913), // Rule ID 14956 //
     /* 1061838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1061841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1061846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1061849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1061852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1061858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1061861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061877 */     // MIs[0] round
     /* 1061877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1061887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1061890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061912 */     // GIR_Coverage, 14956,
     /* 1061912 */     GIR_EraseRootFromParent_Done,
     /* 1061913 */   // Label 15392: @1061913
     /* 1061913 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1061993), // Rule ID 14957 //
     /* 1061918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1061921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1061926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1061929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1061932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1061935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1061938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1061941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061957 */     // MIs[0] round
     /* 1061957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1061960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1061967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1061970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1061976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1061978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1061980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1061988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1061991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061992 */     // GIR_Coverage, 14957,
     /* 1061992 */     GIR_EraseRootFromParent_Done,
     /* 1061993 */   // Label 15393: @1061993
     /* 1061993 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1062073), // Rule ID 14960 //
     /* 1061998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1062009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1062012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1062015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1062018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062037 */     // MIs[0] round
     /* 1062037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062047 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1062050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062072 */     // GIR_Coverage, 14960,
     /* 1062072 */     GIR_EraseRootFromParent_Done,
     /* 1062073 */   // Label 15394: @1062073
     /* 1062073 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1062153), // Rule ID 14961 //
     /* 1062078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1062089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1062092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1062095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1062098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062117 */     // MIs[0] round
     /* 1062117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1062130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062152 */     // GIR_Coverage, 14961,
     /* 1062152 */     GIR_EraseRootFromParent_Done,
     /* 1062153 */   // Label 15395: @1062153
     /* 1062153 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1062233), // Rule ID 14964 //
     /* 1062158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1062169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1062172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1062175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1062178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062197 */     // MIs[0] round
     /* 1062197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062207 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062232 */     // GIR_Coverage, 14964,
     /* 1062232 */     GIR_EraseRootFromParent_Done,
     /* 1062233 */   // Label 15396: @1062233
     /* 1062233 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1062313), // Rule ID 14965 //
     /* 1062238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1062249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1062252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1062255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1062258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062277 */     // MIs[0] round
     /* 1062277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062287 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062312 */     // GIR_Coverage, 14965,
     /* 1062312 */     GIR_EraseRootFromParent_Done,
     /* 1062313 */   // Label 15397: @1062313
     /* 1062313 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1062393), // Rule ID 14968 //
     /* 1062318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1062338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062357 */     // MIs[0] round
     /* 1062357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1062370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062392 */     // GIR_Coverage, 14968,
     /* 1062392 */     GIR_EraseRootFromParent_Done,
     /* 1062393 */   // Label 15398: @1062393
     /* 1062393 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1062473), // Rule ID 14969 //
     /* 1062398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1062409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1062412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1062418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062437 */     // MIs[0] round
     /* 1062437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1062450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062472 */     // GIR_Coverage, 14969,
     /* 1062472 */     GIR_EraseRootFromParent_Done,
     /* 1062473 */   // Label 15399: @1062473
     /* 1062473 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1062553), // Rule ID 14972 //
     /* 1062478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1062498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062517 */     // MIs[0] round
     /* 1062517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062527 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062552 */     // GIR_Coverage, 14972,
     /* 1062552 */     GIR_EraseRootFromParent_Done,
     /* 1062553 */   // Label 15400: @1062553
     /* 1062553 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1062633), // Rule ID 14973 //
     /* 1062558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1062569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1062572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1062578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062597 */     // MIs[0] round
     /* 1062597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062632 */     // GIR_Coverage, 14973,
     /* 1062632 */     GIR_EraseRootFromParent_Done,
     /* 1062633 */   // Label 15401: @1062633
     /* 1062633 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1062713), // Rule ID 14976 //
     /* 1062638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1062658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062677 */     // MIs[0] round
     /* 1062677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062712 */     // GIR_Coverage, 14976,
     /* 1062712 */     GIR_EraseRootFromParent_Done,
     /* 1062713 */   // Label 15402: @1062713
     /* 1062713 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1062793), // Rule ID 14977 //
     /* 1062718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1062738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062757 */     // MIs[0] round
     /* 1062757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1062770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062792 */     // GIR_Coverage, 14977,
     /* 1062792 */     GIR_EraseRootFromParent_Done,
     /* 1062793 */   // Label 15403: @1062793
     /* 1062793 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1062873), // Rule ID 14980 //
     /* 1062798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1062809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1062812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1062815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1062818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062837 */     // MIs[0] round
     /* 1062837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1062847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1062850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062872 */     // GIR_Coverage, 14980,
     /* 1062872 */     GIR_EraseRootFromParent_Done,
     /* 1062873 */   // Label 15404: @1062873
     /* 1062873 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1062953), // Rule ID 14981 //
     /* 1062878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1062881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1062889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1062892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1062895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1062898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1062901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062917 */     // MIs[0] round
     /* 1062917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1062920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1062927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1062930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1062936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1062938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1062940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1062948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1062951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062952 */     // GIR_Coverage, 14981,
     /* 1062952 */     GIR_EraseRootFromParent_Done,
     /* 1062953 */   // Label 15405: @1062953
     /* 1062953 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1063033), // Rule ID 14984 //
     /* 1062958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1062961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1062966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1062969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1062972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1062978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1062981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062997 */     // MIs[0] round
     /* 1062997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063007 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063032 */     // GIR_Coverage, 14984,
     /* 1063032 */     GIR_EraseRootFromParent_Done,
     /* 1063033 */   // Label 15406: @1063033
     /* 1063033 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1063113), // Rule ID 14985 //
     /* 1063038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1063049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1063052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1063055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1063058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063077 */     // MIs[0] round
     /* 1063077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063112 */     // GIR_Coverage, 14985,
     /* 1063112 */     GIR_EraseRootFromParent_Done,
     /* 1063113 */   // Label 15407: @1063113
     /* 1063113 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1063193), // Rule ID 14988 //
     /* 1063118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1063138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063157 */     // MIs[0] round
     /* 1063157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063167 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063192 */     // GIR_Coverage, 14988,
     /* 1063192 */     GIR_EraseRootFromParent_Done,
     /* 1063193 */   // Label 15408: @1063193
     /* 1063193 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1063273), // Rule ID 14989 //
     /* 1063198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1063209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1063212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1063218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063237 */     // MIs[0] round
     /* 1063237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063272 */     // GIR_Coverage, 14989,
     /* 1063272 */     GIR_EraseRootFromParent_Done,
     /* 1063273 */   // Label 15409: @1063273
     /* 1063273 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1063353), // Rule ID 14992 //
     /* 1063278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1063281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1063295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1063298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063317 */     // MIs[0] round
     /* 1063317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063327 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063352 */     // GIR_Coverage, 14992,
     /* 1063352 */     GIR_EraseRootFromParent_Done,
     /* 1063353 */   // Label 15410: @1063353
     /* 1063353 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1063433), // Rule ID 14993 //
     /* 1063358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1063361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1063375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1063378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063397 */     // MIs[0] round
     /* 1063397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1063410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1063428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063432 */     // GIR_Coverage, 14993,
     /* 1063432 */     GIR_EraseRootFromParent_Done,
     /* 1063433 */   // Label 15411: @1063433
     /* 1063433 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1063513), // Rule ID 14996 //
     /* 1063438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1063449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1063452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1063455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1063458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063477 */     // MIs[0] round
     /* 1063477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1063490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063512 */     // GIR_Coverage, 14996,
     /* 1063512 */     GIR_EraseRootFromParent_Done,
     /* 1063513 */   // Label 15412: @1063513
     /* 1063513 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1063593), // Rule ID 14997 //
     /* 1063518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1063529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1063532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1063535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1063538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063557 */     // MIs[0] round
     /* 1063557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1063570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063592 */     // GIR_Coverage, 14997,
     /* 1063592 */     GIR_EraseRootFromParent_Done,
     /* 1063593 */   // Label 15413: @1063593
     /* 1063593 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1063673), // Rule ID 15000 //
     /* 1063598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1063609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1063612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1063615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1063618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063637 */     // MIs[0] round
     /* 1063637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1063650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063672 */     // GIR_Coverage, 15000,
     /* 1063672 */     GIR_EraseRootFromParent_Done,
     /* 1063673 */   // Label 15414: @1063673
     /* 1063673 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1063753), // Rule ID 15001 //
     /* 1063678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1063689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1063692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1063695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1063698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063717 */     // MIs[0] round
     /* 1063717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1063730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063752 */     // GIR_Coverage, 15001,
     /* 1063752 */     GIR_EraseRootFromParent_Done,
     /* 1063753 */   // Label 15415: @1063753
     /* 1063753 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1063833), // Rule ID 15004 //
     /* 1063758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1063769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1063772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1063775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1063778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063797 */     // MIs[0] round
     /* 1063797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063807 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1063810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063832 */     // GIR_Coverage, 15004,
     /* 1063832 */     GIR_EraseRootFromParent_Done,
     /* 1063833 */   // Label 15416: @1063833
     /* 1063833 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1063913), // Rule ID 15005 //
     /* 1063838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1063841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1063849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1063852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1063855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1063858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1063861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063877 */     // MIs[0] round
     /* 1063877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063887 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1063887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1063890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1063908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063912 */     // GIR_Coverage, 15005,
     /* 1063912 */     GIR_EraseRootFromParent_Done,
     /* 1063913 */   // Label 15417: @1063913
     /* 1063913 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1063993), // Rule ID 15008 //
     /* 1063918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1063921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1063926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1063929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1063932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1063938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1063941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063957 */     // MIs[0] round
     /* 1063957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1063960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063967 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1063967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1063970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1063976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1063978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1063980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1063991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063992 */     // GIR_Coverage, 15008,
     /* 1063992 */     GIR_EraseRootFromParent_Done,
     /* 1063993 */   // Label 15418: @1063993
     /* 1063993 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1064073), // Rule ID 15009 //
     /* 1063998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1064015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1064018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064037 */     // MIs[0] round
     /* 1064037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1064050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064072 */     // GIR_Coverage, 15009,
     /* 1064072 */     GIR_EraseRootFromParent_Done,
     /* 1064073 */   // Label 15419: @1064073
     /* 1064073 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1064153), // Rule ID 15012 //
     /* 1064078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1064098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064117 */     // MIs[0] round
     /* 1064117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064127 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1064130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064152 */     // GIR_Coverage, 15012,
     /* 1064152 */     GIR_EraseRootFromParent_Done,
     /* 1064153 */   // Label 15420: @1064153
     /* 1064153 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1064233), // Rule ID 15013 //
     /* 1064158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1064175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1064178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064197 */     // MIs[0] round
     /* 1064197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1064210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064232 */     // GIR_Coverage, 15013,
     /* 1064232 */     GIR_EraseRootFromParent_Done,
     /* 1064233 */   // Label 15421: @1064233
     /* 1064233 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1064313), // Rule ID 15016 //
     /* 1064238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1064255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1064258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064277 */     // MIs[0] round
     /* 1064277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064287 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1064290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064312 */     // GIR_Coverage, 15016,
     /* 1064312 */     GIR_EraseRootFromParent_Done,
     /* 1064313 */   // Label 15422: @1064313
     /* 1064313 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1064393), // Rule ID 15017 //
     /* 1064318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1064335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1064338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064357 */     // MIs[0] round
     /* 1064357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1064370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064392 */     // GIR_Coverage, 15017,
     /* 1064392 */     GIR_EraseRootFromParent_Done,
     /* 1064393 */   // Label 15423: @1064393
     /* 1064393 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1064473), // Rule ID 15020 //
     /* 1064398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1064418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064437 */     // MIs[0] round
     /* 1064437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1064450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064472 */     // GIR_Coverage, 15020,
     /* 1064472 */     GIR_EraseRootFromParent_Done,
     /* 1064473 */   // Label 15424: @1064473
     /* 1064473 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1064553), // Rule ID 15021 //
     /* 1064478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1064489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1064492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1064495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1064498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064517 */     // MIs[0] round
     /* 1064517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1064530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064552 */     // GIR_Coverage, 15021,
     /* 1064552 */     GIR_EraseRootFromParent_Done,
     /* 1064553 */   // Label 15425: @1064553
     /* 1064553 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1064633), // Rule ID 15024 //
     /* 1064558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1064578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064597 */     // MIs[0] round
     /* 1064597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064607 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1064610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064632 */     // GIR_Coverage, 15024,
     /* 1064632 */     GIR_EraseRootFromParent_Done,
     /* 1064633 */   // Label 15426: @1064633
     /* 1064633 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1064713), // Rule ID 15025 //
     /* 1064638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1064649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1064652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1064655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1064658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064677 */     // MIs[0] round
     /* 1064677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1064690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064712 */     // GIR_Coverage, 15025,
     /* 1064712 */     GIR_EraseRootFromParent_Done,
     /* 1064713 */   // Label 15427: @1064713
     /* 1064713 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1064793), // Rule ID 15028 //
     /* 1064718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1064721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1064735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1064738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064757 */     // MIs[0] round
     /* 1064757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064767 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1064770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064792 */     // GIR_Coverage, 15028,
     /* 1064792 */     GIR_EraseRootFromParent_Done,
     /* 1064793 */   // Label 15428: @1064793
     /* 1064793 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1064873), // Rule ID 15029 //
     /* 1064798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1064801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1064809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1064812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1064815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1064818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064837 */     // MIs[0] round
     /* 1064837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1064847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1064850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1064868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064872 */     // GIR_Coverage, 15029,
     /* 1064872 */     GIR_EraseRootFromParent_Done,
     /* 1064873 */   // Label 15429: @1064873
     /* 1064873 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1064953), // Rule ID 15032 //
     /* 1064878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1064881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1064898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1064901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064917 */     // MIs[0] round
     /* 1064917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1064920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064927 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1064927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1064930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1064936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1064938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1064940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1064948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1064951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064952 */     // GIR_Coverage, 15032,
     /* 1064952 */     GIR_EraseRootFromParent_Done,
     /* 1064953 */   // Label 15430: @1064953
     /* 1064953 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1065033), // Rule ID 15033 //
     /* 1064958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1064961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1064966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1064969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1064972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1064975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1064978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1064981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064997 */     // MIs[0] round
     /* 1064997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1065010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1065028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065032 */     // GIR_Coverage, 15033,
     /* 1065032 */     GIR_EraseRootFromParent_Done,
     /* 1065033 */   // Label 15431: @1065033
     /* 1065033 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1065113), // Rule ID 15036 //
     /* 1065038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1065041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1065055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1065058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065077 */     // MIs[0] round
     /* 1065077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065087 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1065090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1065108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065112 */     // GIR_Coverage, 15036,
     /* 1065112 */     GIR_EraseRootFromParent_Done,
     /* 1065113 */   // Label 15432: @1065113
     /* 1065113 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1065193), // Rule ID 15037 //
     /* 1065118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1065121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1065135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1065138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065157 */     // MIs[0] round
     /* 1065157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1065170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1065188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065192 */     // GIR_Coverage, 15037,
     /* 1065192 */     GIR_EraseRootFromParent_Done,
     /* 1065193 */   // Label 15433: @1065193
     /* 1065193 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1065273), // Rule ID 15040 //
     /* 1065198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1065201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1065215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1065218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065237 */     // MIs[0] round
     /* 1065237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065247 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1065250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1065268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065272 */     // GIR_Coverage, 15040,
     /* 1065272 */     GIR_EraseRootFromParent_Done,
     /* 1065273 */   // Label 15434: @1065273
     /* 1065273 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1065353), // Rule ID 15041 //
     /* 1065278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1065281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1065289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1065292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1065295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1065298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065317 */     // MIs[0] round
     /* 1065317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1065330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1065348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065352 */     // GIR_Coverage, 15041,
     /* 1065352 */     GIR_EraseRootFromParent_Done,
     /* 1065353 */   // Label 15435: @1065353
     /* 1065353 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1065433), // Rule ID 15044 //
     /* 1065358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1065378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065397 */     // MIs[0] round
     /* 1065397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1065410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065432 */     // GIR_Coverage, 15044,
     /* 1065432 */     GIR_EraseRootFromParent_Done,
     /* 1065433 */   // Label 15436: @1065433
     /* 1065433 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1065513), // Rule ID 15045 //
     /* 1065438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1065449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1065452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1065455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1065458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065477 */     // MIs[0] round
     /* 1065477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065487 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1065490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065512 */     // GIR_Coverage, 15045,
     /* 1065512 */     GIR_EraseRootFromParent_Done,
     /* 1065513 */   // Label 15437: @1065513
     /* 1065513 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1065593), // Rule ID 15048 //
     /* 1065518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1065535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1065538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065557 */     // MIs[0] round
     /* 1065557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065567 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1065570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065592 */     // GIR_Coverage, 15048,
     /* 1065592 */     GIR_EraseRootFromParent_Done,
     /* 1065593 */   // Label 15438: @1065593
     /* 1065593 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1065673), // Rule ID 15049 //
     /* 1065598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1065609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1065612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1065615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1065618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065637 */     // MIs[0] round
     /* 1065637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1065650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065672 */     // GIR_Coverage, 15049,
     /* 1065672 */     GIR_EraseRootFromParent_Done,
     /* 1065673 */   // Label 15439: @1065673
     /* 1065673 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1065753), // Rule ID 15052 //
     /* 1065678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1065698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065717 */     // MIs[0] round
     /* 1065717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1065730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065752 */     // GIR_Coverage, 15052,
     /* 1065752 */     GIR_EraseRootFromParent_Done,
     /* 1065753 */   // Label 15440: @1065753
     /* 1065753 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1065833), // Rule ID 15053 //
     /* 1065758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1065769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1065772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1065775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1065778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065797 */     // MIs[0] round
     /* 1065797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1065810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1065828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065832 */     // GIR_Coverage, 15053,
     /* 1065832 */     GIR_EraseRootFromParent_Done,
     /* 1065833 */   // Label 15441: @1065833
     /* 1065833 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1065913), // Rule ID 15056 //
     /* 1065838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1065841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1065858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1065861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065877 */     // MIs[0] round
     /* 1065877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1065887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1065890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065912 */     // GIR_Coverage, 15056,
     /* 1065912 */     GIR_EraseRootFromParent_Done,
     /* 1065913 */   // Label 15442: @1065913
     /* 1065913 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1065993), // Rule ID 15057 //
     /* 1065918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1065921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1065926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1065929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1065932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1065935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1065938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1065941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1065957 */     // MIs[0] round
     /* 1065957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1065960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1065967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1065970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1065976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1065978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1065980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1065991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065992 */     // GIR_Coverage, 15057,
     /* 1065992 */     GIR_EraseRootFromParent_Done,
     /* 1065993 */   // Label 15443: @1065993
     /* 1065993 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1066073), // Rule ID 15060 //
     /* 1065998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066037 */     // MIs[0] round
     /* 1066037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1066050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066072 */     // GIR_Coverage, 15060,
     /* 1066072 */     GIR_EraseRootFromParent_Done,
     /* 1066073 */   // Label 15444: @1066073
     /* 1066073 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1066153), // Rule ID 15061 //
     /* 1066078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1066095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066117 */     // MIs[0] round
     /* 1066117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066127 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1066130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066152 */     // GIR_Coverage, 15061,
     /* 1066152 */     GIR_EraseRootFromParent_Done,
     /* 1066153 */   // Label 15445: @1066153
     /* 1066153 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1066233), // Rule ID 15064 //
     /* 1066158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066197 */     // MIs[0] round
     /* 1066197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066207 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1066210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066232 */     // GIR_Coverage, 15064,
     /* 1066232 */     GIR_EraseRootFromParent_Done,
     /* 1066233 */   // Label 15446: @1066233
     /* 1066233 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1066313), // Rule ID 15065 //
     /* 1066238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1066249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1066252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1066255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066277 */     // MIs[0] round
     /* 1066277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1066290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066312 */     // GIR_Coverage, 15065,
     /* 1066312 */     GIR_EraseRootFromParent_Done,
     /* 1066313 */   // Label 15447: @1066313
     /* 1066313 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1066393), // Rule ID 15068 //
     /* 1066318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066357 */     // MIs[0] round
     /* 1066357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066392 */     // GIR_Coverage, 15068,
     /* 1066392 */     GIR_EraseRootFromParent_Done,
     /* 1066393 */   // Label 15448: @1066393
     /* 1066393 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1066473), // Rule ID 15069 //
     /* 1066398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1066409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1066412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066437 */     // MIs[0] round
     /* 1066437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10796:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066472 */     // GIR_Coverage, 15069,
     /* 1066472 */     GIR_EraseRootFromParent_Done,
     /* 1066473 */   // Label 15449: @1066473
     /* 1066473 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1066553), // Rule ID 15072 //
     /* 1066478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066517 */     // MIs[0] round
     /* 1066517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066527 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066552 */     // GIR_Coverage, 15072,
     /* 1066552 */     GIR_EraseRootFromParent_Done,
     /* 1066553 */   // Label 15450: @1066553
     /* 1066553 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1066633), // Rule ID 15073 //
     /* 1066558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1066575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066597 */     // MIs[0] round
     /* 1066597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10796:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1066628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066632 */     // GIR_Coverage, 15073,
     /* 1066632 */     GIR_EraseRootFromParent_Done,
     /* 1066633 */   // Label 15451: @1066633
     /* 1066633 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1066713), // Rule ID 15076 //
     /* 1066638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066677 */     // MIs[0] round
     /* 1066677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066712 */     // GIR_Coverage, 15076,
     /* 1066712 */     GIR_EraseRootFromParent_Done,
     /* 1066713 */   // Label 15452: @1066713
     /* 1066713 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1066793), // Rule ID 15077 //
     /* 1066718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1066721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1066729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1066732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1066735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066757 */     // MIs[0] round
     /* 1066757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10796:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066792 */     // GIR_Coverage, 15077,
     /* 1066792 */     GIR_EraseRootFromParent_Done,
     /* 1066793 */   // Label 15453: @1066793
     /* 1066793 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1066873), // Rule ID 15080 //
     /* 1066798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1066801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066837 */     // MIs[0] round
     /* 1066837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1066847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066872 */     // GIR_Coverage, 15080,
     /* 1066872 */     GIR_EraseRootFromParent_Done,
     /* 1066873 */   // Label 15454: @1066873
     /* 1066873 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1066953), // Rule ID 15081 //
     /* 1066878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1066881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1066889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1066892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1066895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1066898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1066901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066917 */     // MIs[0] round
     /* 1066917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1066920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10796:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1066927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1066930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1066936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1066938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1066940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1066948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1066951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066952 */     // GIR_Coverage, 15081,
     /* 1066952 */     GIR_EraseRootFromParent_Done,
     /* 1066953 */   // Label 15455: @1066953
     /* 1066953 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1067033), // Rule ID 15084 //
     /* 1066958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1066961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1066966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1066969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1066972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1066978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1066981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1066997 */     // MIs[0] round
     /* 1066997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067007 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1067010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067032 */     // GIR_Coverage, 15084,
     /* 1067032 */     GIR_EraseRootFromParent_Done,
     /* 1067033 */   // Label 15456: @1067033
     /* 1067033 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1067113), // Rule ID 15085 //
     /* 1067038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1067049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1067052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1067055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067077 */     // MIs[0] round
     /* 1067077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1067090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067112 */     // GIR_Coverage, 15085,
     /* 1067112 */     GIR_EraseRootFromParent_Done,
     /* 1067113 */   // Label 15457: @1067113
     /* 1067113 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1067193), // Rule ID 15088 //
     /* 1067118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1067135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067157 */     // MIs[0] round
     /* 1067157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067167 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1067170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067192 */     // GIR_Coverage, 15088,
     /* 1067192 */     GIR_EraseRootFromParent_Done,
     /* 1067193 */   // Label 15458: @1067193
     /* 1067193 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1067273), // Rule ID 15089 //
     /* 1067198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1067209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1067212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1067215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067237 */     // MIs[0] round
     /* 1067237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1067250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067272 */     // GIR_Coverage, 15089,
     /* 1067272 */     GIR_EraseRootFromParent_Done,
     /* 1067273 */   // Label 15459: @1067273
     /* 1067273 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1067353), // Rule ID 15092 //
     /* 1067278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1067289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1067292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1067295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067317 */     // MIs[0] round
     /* 1067317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067327 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1067330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067352 */     // GIR_Coverage, 15092,
     /* 1067352 */     GIR_EraseRootFromParent_Done,
     /* 1067353 */   // Label 15460: @1067353
     /* 1067353 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1067433), // Rule ID 15093 //
     /* 1067358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1067369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1067372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1067375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067397 */     // MIs[0] round
     /* 1067397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1067410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067432 */     // GIR_Coverage, 15093,
     /* 1067432 */     GIR_EraseRootFromParent_Done,
     /* 1067433 */   // Label 15461: @1067433
     /* 1067433 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1067513), // Rule ID 15096 //
     /* 1067438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067477 */     // MIs[0] round
     /* 1067477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1067490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067512 */     // GIR_Coverage, 15096,
     /* 1067512 */     GIR_EraseRootFromParent_Done,
     /* 1067513 */   // Label 15462: @1067513
     /* 1067513 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1067593), // Rule ID 15097 //
     /* 1067518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1067529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1067532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067557 */     // MIs[0] round
     /* 1067557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1067570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067592 */     // GIR_Coverage, 15097,
     /* 1067592 */     GIR_EraseRootFromParent_Done,
     /* 1067593 */   // Label 15463: @1067593
     /* 1067593 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1067673), // Rule ID 15100 //
     /* 1067598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067637 */     // MIs[0] round
     /* 1067637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1067650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067672 */     // GIR_Coverage, 15100,
     /* 1067672 */     GIR_EraseRootFromParent_Done,
     /* 1067673 */   // Label 15464: @1067673
     /* 1067673 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1067753), // Rule ID 15101 //
     /* 1067678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1067689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1067692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067717 */     // MIs[0] round
     /* 1067717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1067730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067752 */     // GIR_Coverage, 15101,
     /* 1067752 */     GIR_EraseRootFromParent_Done,
     /* 1067753 */   // Label 15465: @1067753
     /* 1067753 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1067833), // Rule ID 15104 //
     /* 1067758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067797 */     // MIs[0] round
     /* 1067797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1067810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067832 */     // GIR_Coverage, 15104,
     /* 1067832 */     GIR_EraseRootFromParent_Done,
     /* 1067833 */   // Label 15466: @1067833
     /* 1067833 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1067913), // Rule ID 15105 //
     /* 1067838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1067841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1067855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1067858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1067861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067877 */     // MIs[0] round
     /* 1067877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1067887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1067890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067912 */     // GIR_Coverage, 15105,
     /* 1067912 */     GIR_EraseRootFromParent_Done,
     /* 1067913 */   // Label 15467: @1067913
     /* 1067913 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1067993), // Rule ID 15108 //
     /* 1067918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1067921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1067926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1067935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1067938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1067941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1067957 */     // MIs[0] round
     /* 1067957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1067960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1067967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1067970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1067976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1067978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1067980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1067988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1067991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067992 */     // GIR_Coverage, 15108,
     /* 1067992 */     GIR_EraseRootFromParent_Done,
     /* 1067993 */   // Label 15468: @1067993
     /* 1067993 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1068073), // Rule ID 15109 //
     /* 1067998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068037 */     // MIs[0] round
     /* 1068037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1068050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068072 */     // GIR_Coverage, 15109,
     /* 1068072 */     GIR_EraseRootFromParent_Done,
     /* 1068073 */   // Label 15469: @1068073
     /* 1068073 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1068153), // Rule ID 15112 //
     /* 1068078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068117 */     // MIs[0] round
     /* 1068117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068127 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1068130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068152 */     // GIR_Coverage, 15112,
     /* 1068152 */     GIR_EraseRootFromParent_Done,
     /* 1068153 */   // Label 15470: @1068153
     /* 1068153 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1068233), // Rule ID 15113 //
     /* 1068158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1068169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1068172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068197 */     // MIs[0] round
     /* 1068197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1068210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068232 */     // GIR_Coverage, 15113,
     /* 1068232 */     GIR_EraseRootFromParent_Done,
     /* 1068233 */   // Label 15471: @1068233
     /* 1068233 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1068313), // Rule ID 15116 //
     /* 1068238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068277 */     // MIs[0] round
     /* 1068277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1068290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068312 */     // GIR_Coverage, 15116,
     /* 1068312 */     GIR_EraseRootFromParent_Done,
     /* 1068313 */   // Label 15472: @1068313
     /* 1068313 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1068393), // Rule ID 15117 //
     /* 1068318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1068329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1068332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1068335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068357 */     // MIs[0] round
     /* 1068357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1068370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068392 */     // GIR_Coverage, 15117,
     /* 1068392 */     GIR_EraseRootFromParent_Done,
     /* 1068393 */   // Label 15473: @1068393
     /* 1068393 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1068473), // Rule ID 15120 //
     /* 1068398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1068401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068437 */     // MIs[0] round
     /* 1068437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068447 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1068450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068472 */     // GIR_Coverage, 15120,
     /* 1068472 */     GIR_EraseRootFromParent_Done,
     /* 1068473 */   // Label 15474: @1068473
     /* 1068473 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1068553), // Rule ID 15121 //
     /* 1068478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1068481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1068495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068517 */     // MIs[0] round
     /* 1068517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10796:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1068530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068552 */     // GIR_Coverage, 15121,
     /* 1068552 */     GIR_EraseRootFromParent_Done,
     /* 1068553 */   // Label 15475: @1068553
     /* 1068553 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1068633), // Rule ID 15124 //
     /* 1068558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1068561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1068575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068597 */     // MIs[0] round
     /* 1068597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068607 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1068610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068632 */     // GIR_Coverage, 15124,
     /* 1068632 */     GIR_EraseRootFromParent_Done,
     /* 1068633 */   // Label 15476: @1068633
     /* 1068633 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1068713), // Rule ID 15125 //
     /* 1068638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1068641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1068655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068677 */     // MIs[0] round
     /* 1068677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10796:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1068690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068712 */     // GIR_Coverage, 15125,
     /* 1068712 */     GIR_EraseRootFromParent_Done,
     /* 1068713 */   // Label 15477: @1068713
     /* 1068713 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1068793), // Rule ID 15128 //
     /* 1068718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1068721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1068738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068757 */     // MIs[0] round
     /* 1068757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1068770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068792 */     // GIR_Coverage, 15128,
     /* 1068792 */     GIR_EraseRootFromParent_Done,
     /* 1068793 */   // Label 15478: @1068793
     /* 1068793 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1068873), // Rule ID 15129 //
     /* 1068798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1068801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1068806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1068815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1068818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1068837 */     // MIs[0] round
     /* 1068837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10796:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1068847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1068850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1068868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068872 */     // GIR_Coverage, 15129,
     /* 1068872 */     GIR_EraseRootFromParent_Done,
     /* 1068873 */   // Label 15479: @1068873
     /* 1068873 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1068953), // Rule ID 15132 //
     /* 1068878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1068881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1068886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1068898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1068901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068917 */     // MIs[0] round
     /* 1068917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1068920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068927 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1068927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1068930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1068936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1068938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1068940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1068948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1068951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068952 */     // GIR_Coverage, 15132,
     /* 1068952 */     GIR_EraseRootFromParent_Done,
     /* 1068953 */   // Label 15480: @1068953
     /* 1068953 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1069033), // Rule ID 15133 //
     /* 1068958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1068961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1068966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1068969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1068972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1068975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1068978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1068981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068997 */     // MIs[0] round
     /* 1068997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069007 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1069010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069032 */     // GIR_Coverage, 15133,
     /* 1069032 */     GIR_EraseRootFromParent_Done,
     /* 1069033 */   // Label 15481: @1069033
     /* 1069033 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1069113), // Rule ID 15136 //
     /* 1069038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1069055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1069058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069077 */     // MIs[0] round
     /* 1069077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069087 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1069090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069112 */     // GIR_Coverage, 15136,
     /* 1069112 */     GIR_EraseRootFromParent_Done,
     /* 1069113 */   // Label 15482: @1069113
     /* 1069113 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1069193), // Rule ID 15137 //
     /* 1069118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1069129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1069132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1069135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1069138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069157 */     // MIs[0] round
     /* 1069157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069167 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1069170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069192 */     // GIR_Coverage, 15137,
     /* 1069192 */     GIR_EraseRootFromParent_Done,
     /* 1069193 */   // Label 15483: @1069193
     /* 1069193 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1069273), // Rule ID 15140 //
     /* 1069198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1069215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1069218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069237 */     // MIs[0] round
     /* 1069237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069272 */     // GIR_Coverage, 15140,
     /* 1069272 */     GIR_EraseRootFromParent_Done,
     /* 1069273 */   // Label 15484: @1069273
     /* 1069273 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1069353), // Rule ID 15141 //
     /* 1069278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1069289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1069292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1069295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1069298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069317 */     // MIs[0] round
     /* 1069317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069352 */     // GIR_Coverage, 15141,
     /* 1069352 */     GIR_EraseRootFromParent_Done,
     /* 1069353 */   // Label 15485: @1069353
     /* 1069353 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1069433), // Rule ID 15144 //
     /* 1069358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1069378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069397 */     // MIs[0] round
     /* 1069397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069407 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1069410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069432 */     // GIR_Coverage, 15144,
     /* 1069432 */     GIR_EraseRootFromParent_Done,
     /* 1069433 */   // Label 15486: @1069433
     /* 1069433 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1069513), // Rule ID 15145 //
     /* 1069438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1069449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1069452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1069458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069477 */     // MIs[0] round
     /* 1069477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069487 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1069490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069512 */     // GIR_Coverage, 15145,
     /* 1069512 */     GIR_EraseRootFromParent_Done,
     /* 1069513 */   // Label 15487: @1069513
     /* 1069513 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1069593), // Rule ID 15148 //
     /* 1069518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1069538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069557 */     // MIs[0] round
     /* 1069557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069567 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069592 */     // GIR_Coverage, 15148,
     /* 1069592 */     GIR_EraseRootFromParent_Done,
     /* 1069593 */   // Label 15488: @1069593
     /* 1069593 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1069673), // Rule ID 15149 //
     /* 1069598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1069609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1069612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1069615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1069618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069637 */     // MIs[0] round
     /* 1069637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069672 */     // GIR_Coverage, 15149,
     /* 1069672 */     GIR_EraseRootFromParent_Done,
     /* 1069673 */   // Label 15489: @1069673
     /* 1069673 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1069753), // Rule ID 15152 //
     /* 1069678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1069698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069717 */     // MIs[0] round
     /* 1069717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069727 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069752 */     // GIR_Coverage, 15152,
     /* 1069752 */     GIR_EraseRootFromParent_Done,
     /* 1069753 */   // Label 15490: @1069753
     /* 1069753 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1069833), // Rule ID 15153 //
     /* 1069758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1069769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1069772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1069778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069797 */     // MIs[0] round
     /* 1069797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1069810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069832 */     // GIR_Coverage, 15153,
     /* 1069832 */     GIR_EraseRootFromParent_Done,
     /* 1069833 */   // Label 15491: @1069833
     /* 1069833 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1069913), // Rule ID 15156 //
     /* 1069838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1069841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1069855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1069858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1069861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069877 */     // MIs[0] round
     /* 1069877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1069887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1069890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069912 */     // GIR_Coverage, 15156,
     /* 1069912 */     GIR_EraseRootFromParent_Done,
     /* 1069913 */   // Label 15492: @1069913
     /* 1069913 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1069993), // Rule ID 15157 //
     /* 1069918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1069921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1069926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1069929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1069932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1069935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1069938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1069941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069957 */     // MIs[0] round
     /* 1069957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1069960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1069967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1069970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1069976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1069978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1069980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1069988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1069991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069992 */     // GIR_Coverage, 15157,
     /* 1069992 */     GIR_EraseRootFromParent_Done,
     /* 1069993 */   // Label 15493: @1069993
     /* 1069993 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1070073), // Rule ID 15160 //
     /* 1069998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1070015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1070018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070037 */     // MIs[0] round
     /* 1070037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070072 */     // GIR_Coverage, 15160,
     /* 1070072 */     GIR_EraseRootFromParent_Done,
     /* 1070073 */   // Label 15494: @1070073
     /* 1070073 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1070153), // Rule ID 15161 //
     /* 1070078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1070089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1070092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1070095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1070098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070117 */     // MIs[0] round
     /* 1070117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070152 */     // GIR_Coverage, 15161,
     /* 1070152 */     GIR_EraseRootFromParent_Done,
     /* 1070153 */   // Label 15495: @1070153
     /* 1070153 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1070233), // Rule ID 15164 //
     /* 1070158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1070178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070197 */     // MIs[0] round
     /* 1070197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070232 */     // GIR_Coverage, 15164,
     /* 1070232 */     GIR_EraseRootFromParent_Done,
     /* 1070233 */   // Label 15496: @1070233
     /* 1070233 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1070313), // Rule ID 15165 //
     /* 1070238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1070249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1070252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1070255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1070258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070277 */     // MIs[0] round
     /* 1070277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1070308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070312 */     // GIR_Coverage, 15165,
     /* 1070312 */     GIR_EraseRootFromParent_Done,
     /* 1070313 */   // Label 15497: @1070313
     /* 1070313 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1070393), // Rule ID 15168 //
     /* 1070318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1070321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1070329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1070332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1070338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070357 */     // MIs[0] round
     /* 1070357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070367 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1070388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070392 */     // GIR_Coverage, 15168,
     /* 1070392 */     GIR_EraseRootFromParent_Done,
     /* 1070393 */   // Label 15498: @1070393
     /* 1070393 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1070473), // Rule ID 15169 //
     /* 1070398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1070401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1070409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1070412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1070415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1070418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070437 */     // MIs[0] round
     /* 1070437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1070450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1070468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070472 */     // GIR_Coverage, 15169,
     /* 1070472 */     GIR_EraseRootFromParent_Done,
     /* 1070473 */   // Label 15499: @1070473
     /* 1070473 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1070553), // Rule ID 15172 //
     /* 1070478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1070495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1070498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070517 */     // MIs[0] round
     /* 1070517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070527 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1070530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070552 */     // GIR_Coverage, 15172,
     /* 1070552 */     GIR_EraseRootFromParent_Done,
     /* 1070553 */   // Label 15500: @1070553
     /* 1070553 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1070633), // Rule ID 15173 //
     /* 1070558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1070575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1070578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070597 */     // MIs[0] round
     /* 1070597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1070610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070632 */     // GIR_Coverage, 15173,
     /* 1070632 */     GIR_EraseRootFromParent_Done,
     /* 1070633 */   // Label 15501: @1070633
     /* 1070633 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1070713), // Rule ID 15176 //
     /* 1070638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1070655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1070658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070677 */     // MIs[0] round
     /* 1070677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1070690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070712 */     // GIR_Coverage, 15176,
     /* 1070712 */     GIR_EraseRootFromParent_Done,
     /* 1070713 */   // Label 15502: @1070713
     /* 1070713 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1070793), // Rule ID 15177 //
     /* 1070718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1070735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1070738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070757 */     // MIs[0] round
     /* 1070757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1070770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070792 */     // GIR_Coverage, 15177,
     /* 1070792 */     GIR_EraseRootFromParent_Done,
     /* 1070793 */   // Label 15503: @1070793
     /* 1070793 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1070873), // Rule ID 15180 //
     /* 1070798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1070809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1070812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1070815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1070818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070837 */     // MIs[0] round
     /* 1070837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1070847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1070850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070872 */     // GIR_Coverage, 15180,
     /* 1070872 */     GIR_EraseRootFromParent_Done,
     /* 1070873 */   // Label 15504: @1070873
     /* 1070873 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1070953), // Rule ID 15181 //
     /* 1070878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1070881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1070889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1070892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1070895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1070898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1070901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070917 */     // MIs[0] round
     /* 1070917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1070920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070927 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1070927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1070930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1070936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1070938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1070940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1070951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070952 */     // GIR_Coverage, 15181,
     /* 1070952 */     GIR_EraseRootFromParent_Done,
     /* 1070953 */   // Label 15505: @1070953
     /* 1070953 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1071033), // Rule ID 15184 //
     /* 1070958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1070961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1070966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1070969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1070972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1070978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1070981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070997 */     // MIs[0] round
     /* 1070997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071007 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1071010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071032 */     // GIR_Coverage, 15184,
     /* 1071032 */     GIR_EraseRootFromParent_Done,
     /* 1071033 */   // Label 15506: @1071033
     /* 1071033 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1071113), // Rule ID 15185 //
     /* 1071038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1071049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1071052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1071055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1071058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071077 */     // MIs[0] round
     /* 1071077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1071090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071112 */     // GIR_Coverage, 15185,
     /* 1071112 */     GIR_EraseRootFromParent_Done,
     /* 1071113 */   // Label 15507: @1071113
     /* 1071113 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1071193), // Rule ID 15188 //
     /* 1071118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1071135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1071138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071157 */     // MIs[0] round
     /* 1071157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071167 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1071170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071192 */     // GIR_Coverage, 15188,
     /* 1071192 */     GIR_EraseRootFromParent_Done,
     /* 1071193 */   // Label 15508: @1071193
     /* 1071193 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1071273), // Rule ID 15189 //
     /* 1071198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1071215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1071218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071237 */     // MIs[0] round
     /* 1071237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1071250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071272 */     // GIR_Coverage, 15189,
     /* 1071272 */     GIR_EraseRootFromParent_Done,
     /* 1071273 */   // Label 15509: @1071273
     /* 1071273 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1071353), // Rule ID 15192 //
     /* 1071278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1071289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1071292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1071295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1071298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071317 */     // MIs[0] round
     /* 1071317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071327 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1071330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071352 */     // GIR_Coverage, 15192,
     /* 1071352 */     GIR_EraseRootFromParent_Done,
     /* 1071353 */   // Label 15510: @1071353
     /* 1071353 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1071433), // Rule ID 15193 //
     /* 1071358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1071369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1071372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1071375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1071378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071397 */     // MIs[0] round
     /* 1071397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071407 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1071410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071432 */     // GIR_Coverage, 15193,
     /* 1071432 */     GIR_EraseRootFromParent_Done,
     /* 1071433 */   // Label 15511: @1071433
     /* 1071433 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1071513), // Rule ID 15196 //
     /* 1071438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1071455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1071458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071477 */     // MIs[0] round
     /* 1071477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1071490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071512 */     // GIR_Coverage, 15196,
     /* 1071512 */     GIR_EraseRootFromParent_Done,
     /* 1071513 */   // Label 15512: @1071513
     /* 1071513 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1071593), // Rule ID 15197 //
     /* 1071518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1071535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1071538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071557 */     // MIs[0] round
     /* 1071557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1071570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071592 */     // GIR_Coverage, 15197,
     /* 1071592 */     GIR_EraseRootFromParent_Done,
     /* 1071593 */   // Label 15513: @1071593
     /* 1071593 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1071673), // Rule ID 15200 //
     /* 1071598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1071615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1071618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071637 */     // MIs[0] round
     /* 1071637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1071650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071672 */     // GIR_Coverage, 15200,
     /* 1071672 */     GIR_EraseRootFromParent_Done,
     /* 1071673 */   // Label 15514: @1071673
     /* 1071673 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1071753), // Rule ID 15201 //
     /* 1071678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1071689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1071692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1071695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1071698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071717 */     // MIs[0] round
     /* 1071717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071727 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1071730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071752 */     // GIR_Coverage, 15201,
     /* 1071752 */     GIR_EraseRootFromParent_Done,
     /* 1071753 */   // Label 15515: @1071753
     /* 1071753 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1071833), // Rule ID 15204 //
     /* 1071758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1071761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1071769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1071772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1071778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071797 */     // MIs[0] round
     /* 1071797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071807 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1071810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071832 */     // GIR_Coverage, 15204,
     /* 1071832 */     GIR_EraseRootFromParent_Done,
     /* 1071833 */   // Label 15516: @1071833
     /* 1071833 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1071913), // Rule ID 15205 //
     /* 1071838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1071841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1071849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1071852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1071858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1071861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071877 */     // MIs[0] round
     /* 1071877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1071887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1071890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071912 */     // GIR_Coverage, 15205,
     /* 1071912 */     GIR_EraseRootFromParent_Done,
     /* 1071913 */   // Label 15517: @1071913
     /* 1071913 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1071993), // Rule ID 15208 //
     /* 1071918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1071921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1071926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1071929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1071932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1071938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1071941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071957 */     // MIs[0] round
     /* 1071957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1071960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071967 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1071967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1071970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1071976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1071978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1071980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1071988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1071991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071992 */     // GIR_Coverage, 15208,
     /* 1071992 */     GIR_EraseRootFromParent_Done,
     /* 1071993 */   // Label 15518: @1071993
     /* 1071993 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1072073), // Rule ID 15209 //
     /* 1071998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1072009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1072012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1072015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1072018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072037 */     // MIs[0] round
     /* 1072037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1072050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072072 */     // GIR_Coverage, 15209,
     /* 1072072 */     GIR_EraseRootFromParent_Done,
     /* 1072073 */   // Label 15519: @1072073
     /* 1072073 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1072153), // Rule ID 15212 //
     /* 1072078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1072089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1072092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1072095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1072098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072117 */     // MIs[0] round
     /* 1072117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072127 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1072130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072152 */     // GIR_Coverage, 15212,
     /* 1072152 */     GIR_EraseRootFromParent_Done,
     /* 1072153 */   // Label 15520: @1072153
     /* 1072153 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1072233), // Rule ID 15213 //
     /* 1072158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1072169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1072172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1072175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1072178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072197 */     // MIs[0] round
     /* 1072197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072207 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1072210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072232 */     // GIR_Coverage, 15213,
     /* 1072232 */     GIR_EraseRootFromParent_Done,
     /* 1072233 */   // Label 15521: @1072233
     /* 1072233 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1072313), // Rule ID 15216 //
     /* 1072238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1072241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1072249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1072252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1072255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1072258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072277 */     // MIs[0] round
     /* 1072277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1072290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072312 */     // GIR_Coverage, 15216,
     /* 1072312 */     GIR_EraseRootFromParent_Done,
     /* 1072313 */   // Label 15522: @1072313
     /* 1072313 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1072393), // Rule ID 15217 //
     /* 1072318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1072321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1072329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1072332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1072335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1072338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072357 */     // MIs[0] round
     /* 1072357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1072370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1072388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072392 */     // GIR_Coverage, 15217,
     /* 1072392 */     GIR_EraseRootFromParent_Done,
     /* 1072393 */   // Label 15523: @1072393
     /* 1072393 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1072473), // Rule ID 15220 //
     /* 1072398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1072415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072437 */     // MIs[0] round
     /* 1072437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1072450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072472 */     // GIR_Coverage, 15220,
     /* 1072472 */     GIR_EraseRootFromParent_Done,
     /* 1072473 */   // Label 15524: @1072473
     /* 1072473 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1072553), // Rule ID 15221 //
     /* 1072478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1072495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072517 */     // MIs[0] round
     /* 1072517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072527 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1072530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072552 */     // GIR_Coverage, 15221,
     /* 1072552 */     GIR_EraseRootFromParent_Done,
     /* 1072553 */   // Label 15525: @1072553
     /* 1072553 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1072633), // Rule ID 15224 //
     /* 1072558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1072575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072597 */     // MIs[0] round
     /* 1072597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072607 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1072610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072632 */     // GIR_Coverage, 15224,
     /* 1072632 */     GIR_EraseRootFromParent_Done,
     /* 1072633 */   // Label 15526: @1072633
     /* 1072633 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1072713), // Rule ID 15225 //
     /* 1072638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1072655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072677 */     // MIs[0] round
     /* 1072677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072687 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1072690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072712 */     // GIR_Coverage, 15225,
     /* 1072712 */     GIR_EraseRootFromParent_Done,
     /* 1072713 */   // Label 15527: @1072713
     /* 1072713 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1072793), // Rule ID 15228 //
     /* 1072718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1072735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072757 */     // MIs[0] round
     /* 1072757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072767 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1072770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072792 */     // GIR_Coverage, 15228,
     /* 1072792 */     GIR_EraseRootFromParent_Done,
     /* 1072793 */   // Label 15528: @1072793
     /* 1072793 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1072873), // Rule ID 15229 //
     /* 1072798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1072815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072837 */     // MIs[0] round
     /* 1072837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1072847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1072850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072872 */     // GIR_Coverage, 15229,
     /* 1072872 */     GIR_EraseRootFromParent_Done,
     /* 1072873 */   // Label 15529: @1072873
     /* 1072873 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1072953), // Rule ID 15232 //
     /* 1072878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1072881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1072898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1072901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072917 */     // MIs[0] round
     /* 1072917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1072920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072927 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1072927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1072930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1072936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1072938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1072940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1072948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1072951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072952 */     // GIR_Coverage, 15232,
     /* 1072952 */     GIR_EraseRootFromParent_Done,
     /* 1072953 */   // Label 15530: @1072953
     /* 1072953 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1073033), // Rule ID 15233 //
     /* 1072958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1072961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1072966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1072969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1072972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1072978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1072981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1072997 */     // MIs[0] round
     /* 1072997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073007 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1073010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073032 */     // GIR_Coverage, 15233,
     /* 1073032 */     GIR_EraseRootFromParent_Done,
     /* 1073033 */   // Label 15531: @1073033
     /* 1073033 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1073113), // Rule ID 15236 //
     /* 1073038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1073055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073077 */     // MIs[0] round
     /* 1073077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1073090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073112 */     // GIR_Coverage, 15236,
     /* 1073112 */     GIR_EraseRootFromParent_Done,
     /* 1073113 */   // Label 15532: @1073113
     /* 1073113 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1073193), // Rule ID 15237 //
     /* 1073118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1073135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073157 */     // MIs[0] round
     /* 1073157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073167 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1073170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073192 */     // GIR_Coverage, 15237,
     /* 1073192 */     GIR_EraseRootFromParent_Done,
     /* 1073193 */   // Label 15533: @1073193
     /* 1073193 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1073273), // Rule ID 15240 //
     /* 1073198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073237 */     // MIs[0] round
     /* 1073237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1073250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073272 */     // GIR_Coverage, 15240,
     /* 1073272 */     GIR_EraseRootFromParent_Done,
     /* 1073273 */   // Label 15534: @1073273
     /* 1073273 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1073353), // Rule ID 15241 //
     /* 1073278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073317 */     // MIs[0] round
     /* 1073317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073327 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1073330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073352 */     // GIR_Coverage, 15241,
     /* 1073352 */     GIR_EraseRootFromParent_Done,
     /* 1073353 */   // Label 15535: @1073353
     /* 1073353 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1073433), // Rule ID 15244 //
     /* 1073358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1073369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1073372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1073375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073397 */     // MIs[0] round
     /* 1073397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073432 */     // GIR_Coverage, 15244,
     /* 1073432 */     GIR_EraseRootFromParent_Done,
     /* 1073433 */   // Label 15536: @1073433
     /* 1073433 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1073513), // Rule ID 15245 //
     /* 1073438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1073449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1073452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1073455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073477 */     // MIs[0] round
     /* 1073477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10794:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073512 */     // GIR_Coverage, 15245,
     /* 1073512 */     GIR_EraseRootFromParent_Done,
     /* 1073513 */   // Label 15537: @1073513
     /* 1073513 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1073593), // Rule ID 15248 //
     /* 1073518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1073535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073557 */     // MIs[0] round
     /* 1073557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073567 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073592 */     // GIR_Coverage, 15248,
     /* 1073592 */     GIR_EraseRootFromParent_Done,
     /* 1073593 */   // Label 15538: @1073593
     /* 1073593 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1073673), // Rule ID 15249 //
     /* 1073598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1073615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073637 */     // MIs[0] round
     /* 1073637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073647 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10794:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073672 */     // GIR_Coverage, 15249,
     /* 1073672 */     GIR_EraseRootFromParent_Done,
     /* 1073673 */   // Label 15539: @1073673
     /* 1073673 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1073753), // Rule ID 15252 //
     /* 1073678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1073681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073717 */     // MIs[0] round
     /* 1073717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073727 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073752 */     // GIR_Coverage, 15252,
     /* 1073752 */     GIR_EraseRootFromParent_Done,
     /* 1073753 */   // Label 15540: @1073753
     /* 1073753 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1073833), // Rule ID 15253 //
     /* 1073758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1073761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1073769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1073772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073797 */     // MIs[0] round
     /* 1073797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073807 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10794:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1073828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073832 */     // GIR_Coverage, 15253,
     /* 1073832 */     GIR_EraseRootFromParent_Done,
     /* 1073833 */   // Label 15541: @1073833
     /* 1073833 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1073913), // Rule ID 15256 //
     /* 1073838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1073841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1073858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1073861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073877 */     // MIs[0] round
     /* 1073877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1073887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073912 */     // GIR_Coverage, 15256,
     /* 1073912 */     GIR_EraseRootFromParent_Done,
     /* 1073913 */   // Label 15542: @1073913
     /* 1073913 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1073993), // Rule ID 15257 //
     /* 1073918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1073921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1073926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1073929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1073932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1073938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1073941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1073957 */     // MIs[0] round
     /* 1073957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1073960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073967 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10794:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1073967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1073970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1073976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1073978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1073980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1073988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1073991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073992 */     // GIR_Coverage, 15257,
     /* 1073992 */     GIR_EraseRootFromParent_Done,
     /* 1073993 */   // Label 15543: @1073993
     /* 1073993 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1074073), // Rule ID 15260 //
     /* 1073998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1074009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1074012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1074015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074037 */     // MIs[0] round
     /* 1074037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1074050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074072 */     // GIR_Coverage, 15260,
     /* 1074072 */     GIR_EraseRootFromParent_Done,
     /* 1074073 */   // Label 15544: @1074073
     /* 1074073 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1074153), // Rule ID 15261 //
     /* 1074078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1074089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1074092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1074095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074117 */     // MIs[0] round
     /* 1074117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1074130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074152 */     // GIR_Coverage, 15261,
     /* 1074152 */     GIR_EraseRootFromParent_Done,
     /* 1074153 */   // Label 15545: @1074153
     /* 1074153 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1074233), // Rule ID 15264 //
     /* 1074158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1074169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1074172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1074175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074197 */     // MIs[0] round
     /* 1074197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074207 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1074210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074232 */     // GIR_Coverage, 15264,
     /* 1074232 */     GIR_EraseRootFromParent_Done,
     /* 1074233 */   // Label 15546: @1074233
     /* 1074233 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1074313), // Rule ID 15265 //
     /* 1074238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1074249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1074252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1074255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074277 */     // MIs[0] round
     /* 1074277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074287 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1074290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074312 */     // GIR_Coverage, 15265,
     /* 1074312 */     GIR_EraseRootFromParent_Done,
     /* 1074313 */   // Label 15547: @1074313
     /* 1074313 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1074393), // Rule ID 15268 //
     /* 1074318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1074329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1074332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1074335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074357 */     // MIs[0] round
     /* 1074357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074367 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1074370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074392 */     // GIR_Coverage, 15268,
     /* 1074392 */     GIR_EraseRootFromParent_Done,
     /* 1074393 */   // Label 15548: @1074393
     /* 1074393 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1074473), // Rule ID 15269 //
     /* 1074398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1074409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1074412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1074415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074437 */     // MIs[0] round
     /* 1074437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1074450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1074468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074472 */     // GIR_Coverage, 15269,
     /* 1074472 */     GIR_EraseRootFromParent_Done,
     /* 1074473 */   // Label 15549: @1074473
     /* 1074473 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1074553), // Rule ID 15272 //
     /* 1074478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1074495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074517 */     // MIs[0] round
     /* 1074517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074527 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1074530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074552 */     // GIR_Coverage, 15272,
     /* 1074552 */     GIR_EraseRootFromParent_Done,
     /* 1074553 */   // Label 15550: @1074553
     /* 1074553 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1074633), // Rule ID 15273 //
     /* 1074558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1074569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1074572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1074575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074597 */     // MIs[0] round
     /* 1074597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1074610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074632 */     // GIR_Coverage, 15273,
     /* 1074632 */     GIR_EraseRootFromParent_Done,
     /* 1074633 */   // Label 15551: @1074633
     /* 1074633 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1074713), // Rule ID 15276 //
     /* 1074638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074677 */     // MIs[0] round
     /* 1074677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1074690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074712 */     // GIR_Coverage, 15276,
     /* 1074712 */     GIR_EraseRootFromParent_Done,
     /* 1074713 */   // Label 15552: @1074713
     /* 1074713 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1074793), // Rule ID 15277 //
     /* 1074718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1074729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1074732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1074735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074757 */     // MIs[0] round
     /* 1074757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074767 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1074770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074792 */     // GIR_Coverage, 15277,
     /* 1074792 */     GIR_EraseRootFromParent_Done,
     /* 1074793 */   // Label 15553: @1074793
     /* 1074793 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1074873), // Rule ID 15280 //
     /* 1074798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1074809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1074812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1074815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074837 */     // MIs[0] round
     /* 1074837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1074847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1074850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074872 */     // GIR_Coverage, 15280,
     /* 1074872 */     GIR_EraseRootFromParent_Done,
     /* 1074873 */   // Label 15554: @1074873
     /* 1074873 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1074953), // Rule ID 15281 //
     /* 1074878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1074881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1074889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1074892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1074895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1074898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1074901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074917 */     // MIs[0] round
     /* 1074917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1074920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074927 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1074927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1074930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1074936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1074938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1074940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1074951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074952 */     // GIR_Coverage, 15281,
     /* 1074952 */     GIR_EraseRootFromParent_Done,
     /* 1074953 */   // Label 15555: @1074953
     /* 1074953 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1075033), // Rule ID 15284 //
     /* 1074958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1074961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1074966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1074978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1074981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1074997 */     // MIs[0] round
     /* 1074997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075007 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1075010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075032 */     // GIR_Coverage, 15284,
     /* 1075032 */     GIR_EraseRootFromParent_Done,
     /* 1075033 */   // Label 15556: @1075033
     /* 1075033 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1075113), // Rule ID 15285 //
     /* 1075038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1075055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075077 */     // MIs[0] round
     /* 1075077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1075090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075112 */     // GIR_Coverage, 15285,
     /* 1075112 */     GIR_EraseRootFromParent_Done,
     /* 1075113 */   // Label 15557: @1075113
     /* 1075113 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1075193), // Rule ID 15288 //
     /* 1075118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075157 */     // MIs[0] round
     /* 1075157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1075170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075192 */     // GIR_Coverage, 15288,
     /* 1075192 */     GIR_EraseRootFromParent_Done,
     /* 1075193 */   // Label 15558: @1075193
     /* 1075193 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1075273), // Rule ID 15289 //
     /* 1075198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075237 */     // MIs[0] round
     /* 1075237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1075250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075272 */     // GIR_Coverage, 15289,
     /* 1075272 */     GIR_EraseRootFromParent_Done,
     /* 1075273 */   // Label 15559: @1075273
     /* 1075273 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1075353), // Rule ID 15292 //
     /* 1075278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1075289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1075292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075317 */     // MIs[0] round
     /* 1075317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075327 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1075330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075352 */     // GIR_Coverage, 15292,
     /* 1075352 */     GIR_EraseRootFromParent_Done,
     /* 1075353 */   // Label 15560: @1075353
     /* 1075353 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1075433), // Rule ID 15293 //
     /* 1075358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1075361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1075369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1075372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075397 */     // MIs[0] round
     /* 1075397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075407 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1075410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075432 */     // GIR_Coverage, 15293,
     /* 1075432 */     GIR_EraseRootFromParent_Done,
     /* 1075433 */   // Label 15561: @1075433
     /* 1075433 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1075513), // Rule ID 15296 //
     /* 1075438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1075449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1075452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075477 */     // MIs[0] round
     /* 1075477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1075490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075512 */     // GIR_Coverage, 15296,
     /* 1075512 */     GIR_EraseRootFromParent_Done,
     /* 1075513 */   // Label 15562: @1075513
     /* 1075513 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1075593), // Rule ID 15297 //
     /* 1075518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1075529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1075532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075557 */     // MIs[0] round
     /* 1075557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075567 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10794:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1075570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075592 */     // GIR_Coverage, 15297,
     /* 1075592 */     GIR_EraseRootFromParent_Done,
     /* 1075593 */   // Label 15563: @1075593
     /* 1075593 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1075673), // Rule ID 15300 //
     /* 1075598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1075609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1075612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075637 */     // MIs[0] round
     /* 1075637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1075650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075672 */     // GIR_Coverage, 15300,
     /* 1075672 */     GIR_EraseRootFromParent_Done,
     /* 1075673 */   // Label 15564: @1075673
     /* 1075673 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1075753), // Rule ID 15301 //
     /* 1075678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1075689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1075692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075717 */     // MIs[0] round
     /* 1075717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10794:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1075730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075752 */     // GIR_Coverage, 15301,
     /* 1075752 */     GIR_EraseRootFromParent_Done,
     /* 1075753 */   // Label 15565: @1075753
     /* 1075753 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1075833), // Rule ID 15304 //
     /* 1075758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1075761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1075769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1075772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1075778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075797 */     // MIs[0] round
     /* 1075797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1075810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075832 */     // GIR_Coverage, 15304,
     /* 1075832 */     GIR_EraseRootFromParent_Done,
     /* 1075833 */   // Label 15566: @1075833
     /* 1075833 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1075913), // Rule ID 15305 //
     /* 1075838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1075841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1075846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1075849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1075852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1075858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1075861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1075877 */     // MIs[0] round
     /* 1075877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10794:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1075887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1075890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1075908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075912 */     // GIR_Coverage, 15305,
     /* 1075912 */     GIR_EraseRootFromParent_Done,
     /* 1075913 */   // Label 15567: @1075913
     /* 1075913 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1075993), // Rule ID 15308 //
     /* 1075918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1075926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1075929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1075932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1075935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1075938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1075941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075957 */     // MIs[0] round
     /* 1075957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1075960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075967 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1075967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1075970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1075976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1075978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1075980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1075988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1075991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075992 */     // GIR_Coverage, 15308,
     /* 1075992 */     GIR_EraseRootFromParent_Done,
     /* 1075993 */   // Label 15568: @1075993
     /* 1075993 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1076073), // Rule ID 15309 //
     /* 1075998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1076009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1076012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1076015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1076018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076037 */     // MIs[0] round
     /* 1076037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1076050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076072 */     // GIR_Coverage, 15309,
     /* 1076072 */     GIR_EraseRootFromParent_Done,
     /* 1076073 */   // Label 15569: @1076073
     /* 1076073 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1076153), // Rule ID 15312 //
     /* 1076078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1076089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1076092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1076095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1076098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076117 */     // MIs[0] round
     /* 1076117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076127 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1076130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076152 */     // GIR_Coverage, 15312,
     /* 1076152 */     GIR_EraseRootFromParent_Done,
     /* 1076153 */   // Label 15570: @1076153
     /* 1076153 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1076233), // Rule ID 15313 //
     /* 1076158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1076169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1076172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1076175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1076178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076197 */     // MIs[0] round
     /* 1076197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076207 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1076210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076232 */     // GIR_Coverage, 15313,
     /* 1076232 */     GIR_EraseRootFromParent_Done,
     /* 1076233 */   // Label 15571: @1076233
     /* 1076233 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1076313), // Rule ID 15316 //
     /* 1076238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1076255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1076258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076277 */     // MIs[0] round
     /* 1076277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076287 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076312 */     // GIR_Coverage, 15316,
     /* 1076312 */     GIR_EraseRootFromParent_Done,
     /* 1076313 */   // Label 15572: @1076313
     /* 1076313 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1076393), // Rule ID 15317 //
     /* 1076318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1076335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1076338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076357 */     // MIs[0] round
     /* 1076357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076367 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076392 */     // GIR_Coverage, 15317,
     /* 1076392 */     GIR_EraseRootFromParent_Done,
     /* 1076393 */   // Label 15573: @1076393
     /* 1076393 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1076473), // Rule ID 15320 //
     /* 1076398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1076415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1076418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076437 */     // MIs[0] round
     /* 1076437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1076450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076472 */     // GIR_Coverage, 15320,
     /* 1076472 */     GIR_EraseRootFromParent_Done,
     /* 1076473 */   // Label 15574: @1076473
     /* 1076473 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1076553), // Rule ID 15321 //
     /* 1076478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1076495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1076498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076517 */     // MIs[0] round
     /* 1076517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1076530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076552 */     // GIR_Coverage, 15321,
     /* 1076552 */     GIR_EraseRootFromParent_Done,
     /* 1076553 */   // Label 15575: @1076553
     /* 1076553 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1076633), // Rule ID 15324 //
     /* 1076558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1076575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1076578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076597 */     // MIs[0] round
     /* 1076597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076607 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076632 */     // GIR_Coverage, 15324,
     /* 1076632 */     GIR_EraseRootFromParent_Done,
     /* 1076633 */   // Label 15576: @1076633
     /* 1076633 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1076713), // Rule ID 15325 //
     /* 1076638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1076655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1076658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076677 */     // MIs[0] round
     /* 1076677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076687 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076712 */     // GIR_Coverage, 15325,
     /* 1076712 */     GIR_EraseRootFromParent_Done,
     /* 1076713 */   // Label 15577: @1076713
     /* 1076713 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1076793), // Rule ID 15328 //
     /* 1076718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1076738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076757 */     // MIs[0] round
     /* 1076757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076767 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076792 */     // GIR_Coverage, 15328,
     /* 1076792 */     GIR_EraseRootFromParent_Done,
     /* 1076793 */   // Label 15578: @1076793
     /* 1076793 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1076873), // Rule ID 15329 //
     /* 1076798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1076815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1076818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076837 */     // MIs[0] round
     /* 1076837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1076847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1076850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076872 */     // GIR_Coverage, 15329,
     /* 1076872 */     GIR_EraseRootFromParent_Done,
     /* 1076873 */   // Label 15579: @1076873
     /* 1076873 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1076953), // Rule ID 15332 //
     /* 1076878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1076895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1076898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1076901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076917 */     // MIs[0] round
     /* 1076917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1076920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1076927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1076930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1076936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1076938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1076940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1076951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076952 */     // GIR_Coverage, 15332,
     /* 1076952 */     GIR_EraseRootFromParent_Done,
     /* 1076953 */   // Label 15580: @1076953
     /* 1076953 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1077033), // Rule ID 15333 //
     /* 1076958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1076966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1076975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1076978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1076981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076997 */     // MIs[0] round
     /* 1076997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077032 */     // GIR_Coverage, 15333,
     /* 1077032 */     GIR_EraseRootFromParent_Done,
     /* 1077033 */   // Label 15581: @1077033
     /* 1077033 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1077113), // Rule ID 15336 //
     /* 1077038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1077058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077077 */     // MIs[0] round
     /* 1077077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077112 */     // GIR_Coverage, 15336,
     /* 1077112 */     GIR_EraseRootFromParent_Done,
     /* 1077113 */   // Label 15582: @1077113
     /* 1077113 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1077193), // Rule ID 15337 //
     /* 1077118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1077129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1077132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1077135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1077138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077157 */     // MIs[0] round
     /* 1077157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077167 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077192 */     // GIR_Coverage, 15337,
     /* 1077192 */     GIR_EraseRootFromParent_Done,
     /* 1077193 */   // Label 15583: @1077193
     /* 1077193 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1077273), // Rule ID 15340 //
     /* 1077198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1077218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077237 */     // MIs[0] round
     /* 1077237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077272 */     // GIR_Coverage, 15340,
     /* 1077272 */     GIR_EraseRootFromParent_Done,
     /* 1077273 */   // Label 15584: @1077273
     /* 1077273 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1077353), // Rule ID 15341 //
     /* 1077278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1077295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1077298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077317 */     // MIs[0] round
     /* 1077317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077327 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077352 */     // GIR_Coverage, 15341,
     /* 1077352 */     GIR_EraseRootFromParent_Done,
     /* 1077353 */   // Label 15585: @1077353
     /* 1077353 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1077433), // Rule ID 15344 //
     /* 1077358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1077378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077397 */     // MIs[0] round
     /* 1077397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077432 */     // GIR_Coverage, 15344,
     /* 1077432 */     GIR_EraseRootFromParent_Done,
     /* 1077433 */   // Label 15586: @1077433
     /* 1077433 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1077513), // Rule ID 15345 //
     /* 1077438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1077455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1077458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077477 */     // MIs[0] round
     /* 1077477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077487 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1077490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077512 */     // GIR_Coverage, 15345,
     /* 1077512 */     GIR_EraseRootFromParent_Done,
     /* 1077513 */   // Label 15587: @1077513
     /* 1077513 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1077593), // Rule ID 15348 //
     /* 1077518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1077535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1077538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077557 */     // MIs[0] round
     /* 1077557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077567 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1077570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077592 */     // GIR_Coverage, 15348,
     /* 1077592 */     GIR_EraseRootFromParent_Done,
     /* 1077593 */   // Label 15588: @1077593
     /* 1077593 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1077673), // Rule ID 15349 //
     /* 1077598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1077615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1077618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077637 */     // MIs[0] round
     /* 1077637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1077650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077672 */     // GIR_Coverage, 15349,
     /* 1077672 */     GIR_EraseRootFromParent_Done,
     /* 1077673 */   // Label 15589: @1077673
     /* 1077673 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1077753), // Rule ID 15352 //
     /* 1077678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1077698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077717 */     // MIs[0] round
     /* 1077717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077727 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1077730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077752 */     // GIR_Coverage, 15352,
     /* 1077752 */     GIR_EraseRootFromParent_Done,
     /* 1077753 */   // Label 15590: @1077753
     /* 1077753 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1077833), // Rule ID 15353 //
     /* 1077758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1077775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1077778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077797 */     // MIs[0] round
     /* 1077797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077807 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1077810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077832 */     // GIR_Coverage, 15353,
     /* 1077832 */     GIR_EraseRootFromParent_Done,
     /* 1077833 */   // Label 15591: @1077833
     /* 1077833 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1077913), // Rule ID 15356 //
     /* 1077838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1077855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1077858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1077861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077877 */     // MIs[0] round
     /* 1077877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077887 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1077887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1077890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077912 */     // GIR_Coverage, 15356,
     /* 1077912 */     GIR_EraseRootFromParent_Done,
     /* 1077913 */   // Label 15592: @1077913
     /* 1077913 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1077993), // Rule ID 15357 //
     /* 1077918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1077926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1077935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1077938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1077941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077957 */     // MIs[0] round
     /* 1077957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1077960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077967 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1077967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1077970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1077976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1077978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1077980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1077991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077992 */     // GIR_Coverage, 15357,
     /* 1077992 */     GIR_EraseRootFromParent_Done,
     /* 1077993 */   // Label 15593: @1077993
     /* 1077993 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1078073), // Rule ID 15360 //
     /* 1077998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1078018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078037 */     // MIs[0] round
     /* 1078037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078047 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1078050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078072 */     // GIR_Coverage, 15360,
     /* 1078072 */     GIR_EraseRootFromParent_Done,
     /* 1078073 */   // Label 15594: @1078073
     /* 1078073 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1078153), // Rule ID 15361 //
     /* 1078078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1078089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1078092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1078095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1078098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078117 */     // MIs[0] round
     /* 1078117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1078130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078152 */     // GIR_Coverage, 15361,
     /* 1078152 */     GIR_EraseRootFromParent_Done,
     /* 1078153 */   // Label 15595: @1078153
     /* 1078153 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1078233), // Rule ID 15364 //
     /* 1078158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1078178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078197 */     // MIs[0] round
     /* 1078197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078207 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1078210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078232 */     // GIR_Coverage, 15364,
     /* 1078232 */     GIR_EraseRootFromParent_Done,
     /* 1078233 */   // Label 15596: @1078233
     /* 1078233 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1078313), // Rule ID 15365 //
     /* 1078238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1078255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1078258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078277 */     // MIs[0] round
     /* 1078277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078287 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1078290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078312 */     // GIR_Coverage, 15365,
     /* 1078312 */     GIR_EraseRootFromParent_Done,
     /* 1078313 */   // Label 15597: @1078313
     /* 1078313 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1078393), // Rule ID 15368 //
     /* 1078318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1078338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078357 */     // MIs[0] round
     /* 1078357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078367 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1078370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078392 */     // GIR_Coverage, 15368,
     /* 1078392 */     GIR_EraseRootFromParent_Done,
     /* 1078393 */   // Label 15598: @1078393
     /* 1078393 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1078473), // Rule ID 15369 //
     /* 1078398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1078415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1078418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078437 */     // MIs[0] round
     /* 1078437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078447 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1078450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078472 */     // GIR_Coverage, 15369,
     /* 1078472 */     GIR_EraseRootFromParent_Done,
     /* 1078473 */   // Label 15599: @1078473
     /* 1078473 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1078553), // Rule ID 15372 //
     /* 1078478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1078498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078517 */     // MIs[0] round
     /* 1078517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1078530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078552 */     // GIR_Coverage, 15372,
     /* 1078552 */     GIR_EraseRootFromParent_Done,
     /* 1078553 */   // Label 15600: @1078553
     /* 1078553 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1078633), // Rule ID 15373 //
     /* 1078558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1078575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1078578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078597 */     // MIs[0] round
     /* 1078597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078607 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1078610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078632 */     // GIR_Coverage, 15373,
     /* 1078632 */     GIR_EraseRootFromParent_Done,
     /* 1078633 */   // Label 15601: @1078633
     /* 1078633 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1078713), // Rule ID 15376 //
     /* 1078638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1078658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078677 */     // MIs[0] round
     /* 1078677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1078690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078712 */     // GIR_Coverage, 15376,
     /* 1078712 */     GIR_EraseRootFromParent_Done,
     /* 1078713 */   // Label 15602: @1078713
     /* 1078713 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1078793), // Rule ID 15377 //
     /* 1078718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1078735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1078738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078757 */     // MIs[0] round
     /* 1078757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078767 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1078770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078792 */     // GIR_Coverage, 15377,
     /* 1078792 */     GIR_EraseRootFromParent_Done,
     /* 1078793 */   // Label 15603: @1078793
     /* 1078793 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1078873), // Rule ID 15380 //
     /* 1078798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1078818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078837 */     // MIs[0] round
     /* 1078837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1078847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1078850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078872 */     // GIR_Coverage, 15380,
     /* 1078872 */     GIR_EraseRootFromParent_Done,
     /* 1078873 */   // Label 15604: @1078873
     /* 1078873 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1078953), // Rule ID 15381 //
     /* 1078878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1078895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1078898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1078901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078917 */     // MIs[0] round
     /* 1078917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1078920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1078927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1078930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1078936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1078938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1078940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1078951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078952 */     // GIR_Coverage, 15381,
     /* 1078952 */     GIR_EraseRootFromParent_Done,
     /* 1078953 */   // Label 15605: @1078953
     /* 1078953 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1079033), // Rule ID 15384 //
     /* 1078958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1078966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1078975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1078978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1078981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078997 */     // MIs[0] round
     /* 1078997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1079010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079032 */     // GIR_Coverage, 15384,
     /* 1079032 */     GIR_EraseRootFromParent_Done,
     /* 1079033 */   // Label 15606: @1079033
     /* 1079033 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1079113), // Rule ID 15385 //
     /* 1079038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1079049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1079052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1079055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1079058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1079077 */     // MIs[0] round
     /* 1079077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1079090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079112 */     // GIR_Coverage, 15385,
     /* 1079112 */     GIR_EraseRootFromParent_Done,
     /* 1079113 */   // Label 15607: @1079113
     /* 1079113 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1079193), // Rule ID 15388 //
     /* 1079118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1079138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079157 */     // MIs[0] round
     /* 1079157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079167 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1079170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079192 */     // GIR_Coverage, 15388,
     /* 1079192 */     GIR_EraseRootFromParent_Done,
     /* 1079193 */   // Label 15608: @1079193
     /* 1079193 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1079273), // Rule ID 15389 //
     /* 1079198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1079209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1079212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1079215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1079218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1079237 */     // MIs[0] round
     /* 1079237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1079250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079272 */     // GIR_Coverage, 15389,
     /* 1079272 */     GIR_EraseRootFromParent_Done,
     /* 1079273 */   // Label 15609: @1079273
     /* 1079273 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1079353), // Rule ID 15392 //
     /* 1079278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1079298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079317 */     // MIs[0] round
     /* 1079317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079327 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1079330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079352 */     // GIR_Coverage, 15392,
     /* 1079352 */     GIR_EraseRootFromParent_Done,
     /* 1079353 */   // Label 15610: @1079353
     /* 1079353 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1079433), // Rule ID 15393 //
     /* 1079358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1079375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1079378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079397 */     // MIs[0] round
     /* 1079397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079407 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1079410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079432 */     // GIR_Coverage, 15393,
     /* 1079432 */     GIR_EraseRootFromParent_Done,
     /* 1079433 */   // Label 15611: @1079433
     /* 1079433 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1079513), // Rule ID 15396 //
     /* 1079438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079477 */     // MIs[0] round
     /* 1079477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079487 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1079490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079512 */     // GIR_Coverage, 15396,
     /* 1079512 */     GIR_EraseRootFromParent_Done,
     /* 1079513 */   // Label 15612: @1079513
     /* 1079513 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1079593), // Rule ID 15397 //
     /* 1079518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079557 */     // MIs[0] round
     /* 1079557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079567 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1079570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079592 */     // GIR_Coverage, 15397,
     /* 1079592 */     GIR_EraseRootFromParent_Done,
     /* 1079593 */   // Label 15613: @1079593
     /* 1079593 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1079673), // Rule ID 15400 //
     /* 1079598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079637 */     // MIs[0] round
     /* 1079637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079647 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1079650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079672 */     // GIR_Coverage, 15400,
     /* 1079672 */     GIR_EraseRootFromParent_Done,
     /* 1079673 */   // Label 15614: @1079673
     /* 1079673 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1079753), // Rule ID 15401 //
     /* 1079678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079717 */     // MIs[0] round
     /* 1079717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079727 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1079730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079752 */     // GIR_Coverage, 15401,
     /* 1079752 */     GIR_EraseRootFromParent_Done,
     /* 1079753 */   // Label 15615: @1079753
     /* 1079753 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1079833), // Rule ID 15404 //
     /* 1079758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079797 */     // MIs[0] round
     /* 1079797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079807 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1079810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079832 */     // GIR_Coverage, 15404,
     /* 1079832 */     GIR_EraseRootFromParent_Done,
     /* 1079833 */   // Label 15616: @1079833
     /* 1079833 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1079913), // Rule ID 15405 //
     /* 1079838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1079861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079877 */     // MIs[0] round
     /* 1079877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1079887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1079890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079912 */     // GIR_Coverage, 15405,
     /* 1079912 */     GIR_EraseRootFromParent_Done,
     /* 1079913 */   // Label 15617: @1079913
     /* 1079913 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1079993), // Rule ID 15408 //
     /* 1079918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1079926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1079941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079957 */     // MIs[0] round
     /* 1079957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1079960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079967 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1079967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1079970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1079980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1079991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079992 */     // GIR_Coverage, 15408,
     /* 1079992 */     GIR_EraseRootFromParent_Done,
     /* 1079993 */   // Label 15618: @1079993
     /* 1079993 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1080073), // Rule ID 15409 //
     /* 1079998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1080009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1080012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1080015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080037 */     // MIs[0] round
     /* 1080037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080047 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1080050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080072 */     // GIR_Coverage, 15409,
     /* 1080072 */     GIR_EraseRootFromParent_Done,
     /* 1080073 */   // Label 15619: @1080073
     /* 1080073 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1080153), // Rule ID 15412 //
     /* 1080078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080117 */     // MIs[0] round
     /* 1080117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080127 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1080130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080152 */     // GIR_Coverage, 15412,
     /* 1080152 */     GIR_EraseRootFromParent_Done,
     /* 1080153 */   // Label 15620: @1080153
     /* 1080153 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1080233), // Rule ID 15413 //
     /* 1080158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1080169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1080172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1080175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080197 */     // MIs[0] round
     /* 1080197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080207 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1080210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080232 */     // GIR_Coverage, 15413,
     /* 1080232 */     GIR_EraseRootFromParent_Done,
     /* 1080233 */   // Label 15621: @1080233
     /* 1080233 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1080313), // Rule ID 15416 //
     /* 1080238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1080255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080277 */     // MIs[0] round
     /* 1080277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1080290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080312 */     // GIR_Coverage, 15416,
     /* 1080312 */     GIR_EraseRootFromParent_Done,
     /* 1080313 */   // Label 15622: @1080313
     /* 1080313 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1080393), // Rule ID 15417 //
     /* 1080318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1080335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080357 */     // MIs[0] round
     /* 1080357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080367 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1080370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080392 */     // GIR_Coverage, 15417,
     /* 1080392 */     GIR_EraseRootFromParent_Done,
     /* 1080393 */   // Label 15623: @1080393
     /* 1080393 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1080473), // Rule ID 15420 //
     /* 1080398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080437 */     // MIs[0] round
     /* 1080437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080472 */     // GIR_Coverage, 15420,
     /* 1080472 */     GIR_EraseRootFromParent_Done,
     /* 1080473 */   // Label 15624: @1080473
     /* 1080473 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1080553), // Rule ID 15421 //
     /* 1080478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080517 */     // MIs[0] round
     /* 1080517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10772:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080552 */     // GIR_Coverage, 15421,
     /* 1080552 */     GIR_EraseRootFromParent_Done,
     /* 1080553 */   // Label 15625: @1080553
     /* 1080553 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1080633), // Rule ID 15424 //
     /* 1080558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080597 */     // MIs[0] round
     /* 1080597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080632 */     // GIR_Coverage, 15424,
     /* 1080632 */     GIR_EraseRootFromParent_Done,
     /* 1080633 */   // Label 15626: @1080633
     /* 1080633 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1080713), // Rule ID 15425 //
     /* 1080638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080677 */     // MIs[0] round
     /* 1080677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10772:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080712 */     // GIR_Coverage, 15425,
     /* 1080712 */     GIR_EraseRootFromParent_Done,
     /* 1080713 */   // Label 15627: @1080713
     /* 1080713 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1080793), // Rule ID 15428 //
     /* 1080718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080757 */     // MIs[0] round
     /* 1080757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080767 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080792 */     // GIR_Coverage, 15428,
     /* 1080792 */     GIR_EraseRootFromParent_Done,
     /* 1080793 */   // Label 15628: @1080793
     /* 1080793 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1080873), // Rule ID 15429 //
     /* 1080798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080837 */     // MIs[0] round
     /* 1080837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10772:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1080847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080872 */     // GIR_Coverage, 15429,
     /* 1080872 */     GIR_EraseRootFromParent_Done,
     /* 1080873 */   // Label 15629: @1080873
     /* 1080873 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1080953), // Rule ID 15432 //
     /* 1080878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1080901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080917 */     // MIs[0] round
     /* 1080917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1080920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080927 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1080927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1080930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1080934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1080940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1080951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080952 */     // GIR_Coverage, 15432,
     /* 1080952 */     GIR_EraseRootFromParent_Done,
     /* 1080953 */   // Label 15630: @1080953
     /* 1080953 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1081033), // Rule ID 15433 //
     /* 1080958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1080966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1080981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080997 */     // MIs[0] round
     /* 1080997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081007 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10772:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1081010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1081028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081032 */     // GIR_Coverage, 15433,
     /* 1081032 */     GIR_EraseRootFromParent_Done,
     /* 1081033 */   // Label 15631: @1081033
     /* 1081033 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1081113), // Rule ID 15436 //
     /* 1081038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1081049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1081052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1081055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081077 */     // MIs[0] round
     /* 1081077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1081090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081112 */     // GIR_Coverage, 15436,
     /* 1081112 */     GIR_EraseRootFromParent_Done,
     /* 1081113 */   // Label 15632: @1081113
     /* 1081113 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1081193), // Rule ID 15437 //
     /* 1081118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1081129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1081132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1081135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081157 */     // MIs[0] round
     /* 1081157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081167 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1081170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081192 */     // GIR_Coverage, 15437,
     /* 1081192 */     GIR_EraseRootFromParent_Done,
     /* 1081193 */   // Label 15633: @1081193
     /* 1081193 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1081273), // Rule ID 15440 //
     /* 1081198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1081209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1081212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1081215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081237 */     // MIs[0] round
     /* 1081237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1081250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081272 */     // GIR_Coverage, 15440,
     /* 1081272 */     GIR_EraseRootFromParent_Done,
     /* 1081273 */   // Label 15634: @1081273
     /* 1081273 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1081353), // Rule ID 15441 //
     /* 1081278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1081289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1081292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1081295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081317 */     // MIs[0] round
     /* 1081317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1081330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081352 */     // GIR_Coverage, 15441,
     /* 1081352 */     GIR_EraseRootFromParent_Done,
     /* 1081353 */   // Label 15635: @1081353
     /* 1081353 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1081433), // Rule ID 15444 //
     /* 1081358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081397 */     // MIs[0] round
     /* 1081397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1081410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081432 */     // GIR_Coverage, 15444,
     /* 1081432 */     GIR_EraseRootFromParent_Done,
     /* 1081433 */   // Label 15636: @1081433
     /* 1081433 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1081513), // Rule ID 15445 //
     /* 1081438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081477 */     // MIs[0] round
     /* 1081477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081487 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1081490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081512 */     // GIR_Coverage, 15445,
     /* 1081512 */     GIR_EraseRootFromParent_Done,
     /* 1081513 */   // Label 15637: @1081513
     /* 1081513 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1081593), // Rule ID 15448 //
     /* 1081518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081557 */     // MIs[0] round
     /* 1081557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081567 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1081570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081592 */     // GIR_Coverage, 15448,
     /* 1081592 */     GIR_EraseRootFromParent_Done,
     /* 1081593 */   // Label 15638: @1081593
     /* 1081593 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1081673), // Rule ID 15449 //
     /* 1081598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081637 */     // MIs[0] round
     /* 1081637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1081650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081672 */     // GIR_Coverage, 15449,
     /* 1081672 */     GIR_EraseRootFromParent_Done,
     /* 1081673 */   // Label 15639: @1081673
     /* 1081673 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1081753), // Rule ID 15452 //
     /* 1081678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081717 */     // MIs[0] round
     /* 1081717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1081730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081752 */     // GIR_Coverage, 15452,
     /* 1081752 */     GIR_EraseRootFromParent_Done,
     /* 1081753 */   // Label 15640: @1081753
     /* 1081753 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1081833), // Rule ID 15453 //
     /* 1081758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081797 */     // MIs[0] round
     /* 1081797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081807 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1081810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081832 */     // GIR_Coverage, 15453,
     /* 1081832 */     GIR_EraseRootFromParent_Done,
     /* 1081833 */   // Label 15641: @1081833
     /* 1081833 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1081913), // Rule ID 15456 //
     /* 1081838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1081861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081877 */     // MIs[0] round
     /* 1081877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081887 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1081887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1081890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081912 */     // GIR_Coverage, 15456,
     /* 1081912 */     GIR_EraseRootFromParent_Done,
     /* 1081913 */   // Label 15642: @1081913
     /* 1081913 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1081993), // Rule ID 15457 //
     /* 1081918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1081926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1081941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081957 */     // MIs[0] round
     /* 1081957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1081960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081967 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1081967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1081970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1081974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1081980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1081991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081992 */     // GIR_Coverage, 15457,
     /* 1081992 */     GIR_EraseRootFromParent_Done,
     /* 1081993 */   // Label 15643: @1081993
     /* 1081993 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1082073), // Rule ID 15460 //
     /* 1081998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082037 */     // MIs[0] round
     /* 1082037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1082050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082072 */     // GIR_Coverage, 15460,
     /* 1082072 */     GIR_EraseRootFromParent_Done,
     /* 1082073 */   // Label 15644: @1082073
     /* 1082073 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1082153), // Rule ID 15461 //
     /* 1082078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1082089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1082092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1082095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082117 */     // MIs[0] round
     /* 1082117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082127 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1082130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082152 */     // GIR_Coverage, 15461,
     /* 1082152 */     GIR_EraseRootFromParent_Done,
     /* 1082153 */   // Label 15645: @1082153
     /* 1082153 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1082233), // Rule ID 15464 //
     /* 1082158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082197 */     // MIs[0] round
     /* 1082197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1082210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082232 */     // GIR_Coverage, 15464,
     /* 1082232 */     GIR_EraseRootFromParent_Done,
     /* 1082233 */   // Label 15646: @1082233
     /* 1082233 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1082313), // Rule ID 15465 //
     /* 1082238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1082249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1082252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1082255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082277 */     // MIs[0] round
     /* 1082277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082287 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1082290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082312 */     // GIR_Coverage, 15465,
     /* 1082312 */     GIR_EraseRootFromParent_Done,
     /* 1082313 */   // Label 15647: @1082313
     /* 1082313 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1082393), // Rule ID 15468 //
     /* 1082318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082357 */     // MIs[0] round
     /* 1082357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082367 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1082370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082392 */     // GIR_Coverage, 15468,
     /* 1082392 */     GIR_EraseRootFromParent_Done,
     /* 1082393 */   // Label 15648: @1082393
     /* 1082393 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1082473), // Rule ID 15469 //
     /* 1082398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082437 */     // MIs[0] round
     /* 1082437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1082450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082472 */     // GIR_Coverage, 15469,
     /* 1082472 */     GIR_EraseRootFromParent_Done,
     /* 1082473 */   // Label 15649: @1082473
     /* 1082473 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1082553), // Rule ID 15472 //
     /* 1082478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082517 */     // MIs[0] round
     /* 1082517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1082530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082552 */     // GIR_Coverage, 15472,
     /* 1082552 */     GIR_EraseRootFromParent_Done,
     /* 1082553 */   // Label 15650: @1082553
     /* 1082553 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1082633), // Rule ID 15473 //
     /* 1082558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082597 */     // MIs[0] round
     /* 1082597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082607 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10772:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1082610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082632 */     // GIR_Coverage, 15473,
     /* 1082632 */     GIR_EraseRootFromParent_Done,
     /* 1082633 */   // Label 15651: @1082633
     /* 1082633 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1082713), // Rule ID 15476 //
     /* 1082638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082677 */     // MIs[0] round
     /* 1082677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1082690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082712 */     // GIR_Coverage, 15476,
     /* 1082712 */     GIR_EraseRootFromParent_Done,
     /* 1082713 */   // Label 15652: @1082713
     /* 1082713 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1082793), // Rule ID 15477 //
     /* 1082718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082757 */     // MIs[0] round
     /* 1082757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082767 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10772:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1082770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082792 */     // GIR_Coverage, 15477,
     /* 1082792 */     GIR_EraseRootFromParent_Done,
     /* 1082793 */   // Label 15653: @1082793
     /* 1082793 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1082873), // Rule ID 15480 //
     /* 1082798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082837 */     // MIs[0] round
     /* 1082837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1082847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1082850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082872 */     // GIR_Coverage, 15480,
     /* 1082872 */     GIR_EraseRootFromParent_Done,
     /* 1082873 */   // Label 15654: @1082873
     /* 1082873 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1082953), // Rule ID 15481 //
     /* 1082878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1082886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1082901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082917 */     // MIs[0] round
     /* 1082917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1082920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10772:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1082927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1082930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1082934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1082940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1082951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082952 */     // GIR_Coverage, 15481,
     /* 1082952 */     GIR_EraseRootFromParent_Done,
     /* 1082953 */   // Label 15655: @1082953
     /* 1082953 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1083036), // Rule ID 15484 //
     /* 1082958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1082966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1082978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1082981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082997 */     // MIs[0] round
     /* 1082997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083007 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1083010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083035 */     // GIR_Coverage, 15484,
     /* 1083035 */     GIR_EraseRootFromParent_Done,
     /* 1083036 */   // Label 15656: @1083036
     /* 1083036 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1083119), // Rule ID 15485 //
     /* 1083041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1083052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1083055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1083058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1083061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083080 */     // MIs[0] round
     /* 1083080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1083093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083118 */     // GIR_Coverage, 15485,
     /* 1083118 */     GIR_EraseRootFromParent_Done,
     /* 1083119 */   // Label 15657: @1083119
     /* 1083119 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1083202), // Rule ID 15488 //
     /* 1083124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1083135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1083138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1083141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1083144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083163 */     // MIs[0] round
     /* 1083163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1083176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083201 */     // GIR_Coverage, 15488,
     /* 1083201 */     GIR_EraseRootFromParent_Done,
     /* 1083202 */   // Label 15658: @1083202
     /* 1083202 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1083285), // Rule ID 15489 //
     /* 1083207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1083218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1083221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1083224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1083227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083246 */     // MIs[0] round
     /* 1083246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1083259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083284 */     // GIR_Coverage, 15489,
     /* 1083284 */     GIR_EraseRootFromParent_Done,
     /* 1083285 */   // Label 15659: @1083285
     /* 1083285 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1083368), // Rule ID 15492 //
     /* 1083290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1083301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1083304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1083307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1083310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083329 */     // MIs[0] round
     /* 1083329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083339 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083367 */     // GIR_Coverage, 15492,
     /* 1083367 */     GIR_EraseRootFromParent_Done,
     /* 1083368 */   // Label 15660: @1083368
     /* 1083368 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1083451), // Rule ID 15493 //
     /* 1083373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1083384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1083387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1083390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1083393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083412 */     // MIs[0] round
     /* 1083412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083422 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083450 */     // GIR_Coverage, 15493,
     /* 1083450 */     GIR_EraseRootFromParent_Done,
     /* 1083451 */   // Label 15661: @1083451
     /* 1083451 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1083534), // Rule ID 15496 //
     /* 1083456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1083476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083495 */     // MIs[0] round
     /* 1083495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083505 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1083508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083533 */     // GIR_Coverage, 15496,
     /* 1083533 */     GIR_EraseRootFromParent_Done,
     /* 1083534 */   // Label 15662: @1083534
     /* 1083534 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1083617), // Rule ID 15497 //
     /* 1083539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1083559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083578 */     // MIs[0] round
     /* 1083578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1083591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083616 */     // GIR_Coverage, 15497,
     /* 1083616 */     GIR_EraseRootFromParent_Done,
     /* 1083617 */   // Label 15663: @1083617
     /* 1083617 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1083700), // Rule ID 15500 //
     /* 1083622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1083642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083661 */     // MIs[0] round
     /* 1083661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083671 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083699 */     // GIR_Coverage, 15500,
     /* 1083699 */     GIR_EraseRootFromParent_Done,
     /* 1083700 */   // Label 15664: @1083700
     /* 1083700 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1083783), // Rule ID 15501 //
     /* 1083705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1083725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083744 */     // MIs[0] round
     /* 1083744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083754 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083782 */     // GIR_Coverage, 15501,
     /* 1083782 */     GIR_EraseRootFromParent_Done,
     /* 1083783 */   // Label 15665: @1083783
     /* 1083783 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1083866), // Rule ID 15504 //
     /* 1083788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1083808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083827 */     // MIs[0] round
     /* 1083827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083837 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1083837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083865 */     // GIR_Coverage, 15504,
     /* 1083865 */     GIR_EraseRootFromParent_Done,
     /* 1083866 */   // Label 15666: @1083866
     /* 1083866 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1083949), // Rule ID 15505 //
     /* 1083871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1083891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1083894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083910 */     // MIs[0] round
     /* 1083910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1083920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1083923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1083927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1083933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1083944 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1083947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083948 */     // GIR_Coverage, 15505,
     /* 1083948 */     GIR_EraseRootFromParent_Done,
     /* 1083949 */   // Label 15667: @1083949
     /* 1083949 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1084032), // Rule ID 15508 //
     /* 1083954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1083962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1083974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1083977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083993 */     // MIs[0] round
     /* 1083993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1083996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084031 */     // GIR_Coverage, 15508,
     /* 1084031 */     GIR_EraseRootFromParent_Done,
     /* 1084032 */   // Label 15668: @1084032
     /* 1084032 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1084115), // Rule ID 15509 //
     /* 1084037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1084048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1084051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1084054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1084057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084076 */     // MIs[0] round
     /* 1084076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084086 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084114 */     // GIR_Coverage, 15509,
     /* 1084114 */     GIR_EraseRootFromParent_Done,
     /* 1084115 */   // Label 15669: @1084115
     /* 1084115 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1084198), // Rule ID 15512 //
     /* 1084120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1084140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084159 */     // MIs[0] round
     /* 1084159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084197 */     // GIR_Coverage, 15512,
     /* 1084197 */     GIR_EraseRootFromParent_Done,
     /* 1084198 */   // Label 15670: @1084198
     /* 1084198 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1084281), // Rule ID 15513 //
     /* 1084203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1084214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1084217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1084220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1084223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084242 */     // MIs[0] round
     /* 1084242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084280 */     // GIR_Coverage, 15513,
     /* 1084280 */     GIR_EraseRootFromParent_Done,
     /* 1084281 */   // Label 15671: @1084281
     /* 1084281 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1084364), // Rule ID 15516 //
     /* 1084286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1084306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084325 */     // MIs[0] round
     /* 1084325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084363 */     // GIR_Coverage, 15516,
     /* 1084363 */     GIR_EraseRootFromParent_Done,
     /* 1084364 */   // Label 15672: @1084364
     /* 1084364 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1084447), // Rule ID 15517 //
     /* 1084369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1084380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1084383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1084386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1084389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084408 */     // MIs[0] round
     /* 1084408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084418 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1084421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1084439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084446 */     // GIR_Coverage, 15517,
     /* 1084446 */     GIR_EraseRootFromParent_Done,
     /* 1084447 */   // Label 15673: @1084447
     /* 1084447 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1084530), // Rule ID 15520 //
     /* 1084452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1084472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084491 */     // MIs[0] round
     /* 1084491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084501 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1084504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084525 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084529 */     // GIR_Coverage, 15520,
     /* 1084529 */     GIR_EraseRootFromParent_Done,
     /* 1084530 */   // Label 15674: @1084530
     /* 1084530 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1084613), // Rule ID 15521 //
     /* 1084535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1084555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084574 */     // MIs[0] round
     /* 1084574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1084587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084612 */     // GIR_Coverage, 15521,
     /* 1084612 */     GIR_EraseRootFromParent_Done,
     /* 1084613 */   // Label 15675: @1084613
     /* 1084613 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1084696), // Rule ID 15524 //
     /* 1084618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1084638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084657 */     // MIs[0] round
     /* 1084657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084667 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1084670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084695 */     // GIR_Coverage, 15524,
     /* 1084695 */     GIR_EraseRootFromParent_Done,
     /* 1084696 */   // Label 15676: @1084696
     /* 1084696 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1084779), // Rule ID 15525 //
     /* 1084701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1084721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084740 */     // MIs[0] round
     /* 1084740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1084753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084778 */     // GIR_Coverage, 15525,
     /* 1084778 */     GIR_EraseRootFromParent_Done,
     /* 1084779 */   // Label 15677: @1084779
     /* 1084779 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1084862), // Rule ID 15528 //
     /* 1084784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1084804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084823 */     // MIs[0] round
     /* 1084823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084833 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1084836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084861 */     // GIR_Coverage, 15528,
     /* 1084861 */     GIR_EraseRootFromParent_Done,
     /* 1084862 */   // Label 15678: @1084862
     /* 1084862 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1084945), // Rule ID 15529 //
     /* 1084867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1084887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1084890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084906 */     // MIs[0] round
     /* 1084906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084916 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1084916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1084919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1084923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1084929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1084940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1084943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084944 */     // GIR_Coverage, 15529,
     /* 1084944 */     GIR_EraseRootFromParent_Done,
     /* 1084945 */   // Label 15679: @1084945
     /* 1084945 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1085028), // Rule ID 15532 //
     /* 1084950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1084958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1084970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1084973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084989 */     // MIs[0] round
     /* 1084989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1084992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084999 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1084999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1085002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085027 */     // GIR_Coverage, 15532,
     /* 1085027 */     GIR_EraseRootFromParent_Done,
     /* 1085028 */   // Label 15680: @1085028
     /* 1085028 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1085111), // Rule ID 15533 //
     /* 1085033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1085044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1085047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1085050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1085053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085072 */     // MIs[0] round
     /* 1085072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085082 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1085085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085110 */     // GIR_Coverage, 15533,
     /* 1085110 */     GIR_EraseRootFromParent_Done,
     /* 1085111 */   // Label 15681: @1085111
     /* 1085111 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1085194), // Rule ID 15536 //
     /* 1085116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1085136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085155 */     // MIs[0] round
     /* 1085155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085165 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1085168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085193 */     // GIR_Coverage, 15536,
     /* 1085193 */     GIR_EraseRootFromParent_Done,
     /* 1085194 */   // Label 15682: @1085194
     /* 1085194 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1085277), // Rule ID 15537 //
     /* 1085199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1085210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1085213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1085216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1085219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085238 */     // MIs[0] round
     /* 1085238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1085251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085276 */     // GIR_Coverage, 15537,
     /* 1085276 */     GIR_EraseRootFromParent_Done,
     /* 1085277 */   // Label 15683: @1085277
     /* 1085277 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1085360), // Rule ID 15540 //
     /* 1085282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1085302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085321 */     // MIs[0] round
     /* 1085321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1085334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085359 */     // GIR_Coverage, 15540,
     /* 1085359 */     GIR_EraseRootFromParent_Done,
     /* 1085360 */   // Label 15684: @1085360
     /* 1085360 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1085443), // Rule ID 15541 //
     /* 1085365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1085376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1085379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1085382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1085385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085404 */     // MIs[0] round
     /* 1085404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1085417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085442 */     // GIR_Coverage, 15541,
     /* 1085442 */     GIR_EraseRootFromParent_Done,
     /* 1085443 */   // Label 15685: @1085443
     /* 1085443 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1085526), // Rule ID 15544 //
     /* 1085448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1085468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085487 */     // MIs[0] round
     /* 1085487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1085500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085525 */     // GIR_Coverage, 15544,
     /* 1085525 */     GIR_EraseRootFromParent_Done,
     /* 1085526 */   // Label 15686: @1085526
     /* 1085526 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1085609), // Rule ID 15545 //
     /* 1085531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1085551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085570 */     // MIs[0] round
     /* 1085570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1085583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085608 */     // GIR_Coverage, 15545,
     /* 1085608 */     GIR_EraseRootFromParent_Done,
     /* 1085609 */   // Label 15687: @1085609
     /* 1085609 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1085692), // Rule ID 15548 //
     /* 1085614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1085634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085653 */     // MIs[0] round
     /* 1085653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085663 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1085666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085691 */     // GIR_Coverage, 15548,
     /* 1085691 */     GIR_EraseRootFromParent_Done,
     /* 1085692 */   // Label 15688: @1085692
     /* 1085692 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1085775), // Rule ID 15549 //
     /* 1085697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1085717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085736 */     // MIs[0] round
     /* 1085736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1085749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085774 */     // GIR_Coverage, 15549,
     /* 1085774 */     GIR_EraseRootFromParent_Done,
     /* 1085775 */   // Label 15689: @1085775
     /* 1085775 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1085858), // Rule ID 15552 //
     /* 1085780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1085800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085819 */     // MIs[0] round
     /* 1085819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1085832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085857 */     // GIR_Coverage, 15552,
     /* 1085857 */     GIR_EraseRootFromParent_Done,
     /* 1085858 */   // Label 15690: @1085858
     /* 1085858 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1085941), // Rule ID 15553 //
     /* 1085863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1085883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1085886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085902 */     // MIs[0] round
     /* 1085902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1085912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1085915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1085919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1085925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1085936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1085939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085940 */     // GIR_Coverage, 15553,
     /* 1085940 */     GIR_EraseRootFromParent_Done,
     /* 1085941 */   // Label 15691: @1085941
     /* 1085941 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1086024), // Rule ID 15556 //
     /* 1085946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1085954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1085957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1085960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1085963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1085969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085985 */     // MIs[0] round
     /* 1085985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1085988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085995 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1085995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1085998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086023 */     // GIR_Coverage, 15556,
     /* 1086023 */     GIR_EraseRootFromParent_Done,
     /* 1086024 */   // Label 15692: @1086024
     /* 1086024 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1086107), // Rule ID 15557 //
     /* 1086029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1086040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1086043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1086046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086068 */     // MIs[0] round
     /* 1086068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1086081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086106 */     // GIR_Coverage, 15557,
     /* 1086106 */     GIR_EraseRootFromParent_Done,
     /* 1086107 */   // Label 15693: @1086107
     /* 1086107 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1086190), // Rule ID 15560 //
     /* 1086112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086151 */     // MIs[0] round
     /* 1086151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1086164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086189 */     // GIR_Coverage, 15560,
     /* 1086189 */     GIR_EraseRootFromParent_Done,
     /* 1086190 */   // Label 15694: @1086190
     /* 1086190 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1086273), // Rule ID 15561 //
     /* 1086195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1086206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1086209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1086212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086234 */     // MIs[0] round
     /* 1086234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1086247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086272 */     // GIR_Coverage, 15561,
     /* 1086272 */     GIR_EraseRootFromParent_Done,
     /* 1086273 */   // Label 15695: @1086273
     /* 1086273 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1086356), // Rule ID 15564 //
     /* 1086278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086317 */     // MIs[0] round
     /* 1086317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086351 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086355 */     // GIR_Coverage, 15564,
     /* 1086355 */     GIR_EraseRootFromParent_Done,
     /* 1086356 */   // Label 15696: @1086356
     /* 1086356 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1086439), // Rule ID 15565 //
     /* 1086361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1086372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1086375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1086378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086400 */     // MIs[0] round
     /* 1086400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1086431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086438 */     // GIR_Coverage, 15565,
     /* 1086438 */     GIR_EraseRootFromParent_Done,
     /* 1086439 */   // Label 15697: @1086439
     /* 1086439 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1086522), // Rule ID 15568 //
     /* 1086444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086483 */     // MIs[0] round
     /* 1086483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1086496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086521 */     // GIR_Coverage, 15568,
     /* 1086521 */     GIR_EraseRootFromParent_Done,
     /* 1086522 */   // Label 15698: @1086522
     /* 1086522 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1086605), // Rule ID 15569 //
     /* 1086527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086566 */     // MIs[0] round
     /* 1086566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1086579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086604 */     // GIR_Coverage, 15569,
     /* 1086604 */     GIR_EraseRootFromParent_Done,
     /* 1086605 */   // Label 15699: @1086605
     /* 1086605 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1086688), // Rule ID 15572 //
     /* 1086610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086649 */     // MIs[0] round
     /* 1086649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086687 */     // GIR_Coverage, 15572,
     /* 1086687 */     GIR_EraseRootFromParent_Done,
     /* 1086688 */   // Label 15700: @1086688
     /* 1086688 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1086771), // Rule ID 15573 //
     /* 1086693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086732 */     // MIs[0] round
     /* 1086732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086742 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086770 */     // GIR_Coverage, 15573,
     /* 1086770 */     GIR_EraseRootFromParent_Done,
     /* 1086771 */   // Label 15701: @1086771
     /* 1086771 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1086854), // Rule ID 15576 //
     /* 1086776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086815 */     // MIs[0] round
     /* 1086815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086825 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086853 */     // GIR_Coverage, 15576,
     /* 1086853 */     GIR_EraseRootFromParent_Done,
     /* 1086854 */   // Label 15702: @1086854
     /* 1086854 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1086937), // Rule ID 15577 //
     /* 1086859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1086862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1086882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086898 */     // MIs[0] round
     /* 1086898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086908 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1086908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1086911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1086921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1086932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1086935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086936 */     // GIR_Coverage, 15577,
     /* 1086936 */     GIR_EraseRootFromParent_Done,
     /* 1086937 */   // Label 15703: @1086937
     /* 1086937 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1087020), // Rule ID 15580 //
     /* 1086942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1086945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1086950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1086953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1086956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1086959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1086965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086981 */     // MIs[0] round
     /* 1086981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1086984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086991 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1086991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1086994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1086998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087019 */     // GIR_Coverage, 15580,
     /* 1087019 */     GIR_EraseRootFromParent_Done,
     /* 1087020 */   // Label 15704: @1087020
     /* 1087020 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1087103), // Rule ID 15581 //
     /* 1087025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1087036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1087039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1087042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087064 */     // MIs[0] round
     /* 1087064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11195:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1087077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087102 */     // GIR_Coverage, 15581,
     /* 1087102 */     GIR_EraseRootFromParent_Done,
     /* 1087103 */   // Label 15705: @1087103
     /* 1087103 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1087186), // Rule ID 15584 //
     /* 1087108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087147 */     // MIs[0] round
     /* 1087147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1087160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087185 */     // GIR_Coverage, 15584,
     /* 1087185 */     GIR_EraseRootFromParent_Done,
     /* 1087186 */   // Label 15706: @1087186
     /* 1087186 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1087269), // Rule ID 15585 //
     /* 1087191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1087202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1087205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1087208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087230 */     // MIs[0] round
     /* 1087230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1087243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087268 */     // GIR_Coverage, 15585,
     /* 1087268 */     GIR_EraseRootFromParent_Done,
     /* 1087269 */   // Label 15707: @1087269
     /* 1087269 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1087352), // Rule ID 15588 //
     /* 1087274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087313 */     // MIs[0] round
     /* 1087313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1087326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087351 */     // GIR_Coverage, 15588,
     /* 1087351 */     GIR_EraseRootFromParent_Done,
     /* 1087352 */   // Label 15708: @1087352
     /* 1087352 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1087435), // Rule ID 15589 //
     /* 1087357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1087368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1087371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1087374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1087392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087396 */     // MIs[0] round
     /* 1087396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1087409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087434 */     // GIR_Coverage, 15589,
     /* 1087434 */     GIR_EraseRootFromParent_Done,
     /* 1087435 */   // Label 15709: @1087435
     /* 1087435 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1087518), // Rule ID 15592 //
     /* 1087440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087479 */     // MIs[0] round
     /* 1087479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087489 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1087492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087517 */     // GIR_Coverage, 15592,
     /* 1087517 */     GIR_EraseRootFromParent_Done,
     /* 1087518 */   // Label 15710: @1087518
     /* 1087518 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1087601), // Rule ID 15593 //
     /* 1087523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1087534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1087537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1087540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087562 */     // MIs[0] round
     /* 1087562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1087575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087600 */     // GIR_Coverage, 15593,
     /* 1087600 */     GIR_EraseRootFromParent_Done,
     /* 1087601 */   // Label 15711: @1087601
     /* 1087601 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1087684), // Rule ID 15596 //
     /* 1087606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087645 */     // MIs[0] round
     /* 1087645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087655 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1087658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087683 */     // GIR_Coverage, 15596,
     /* 1087683 */     GIR_EraseRootFromParent_Done,
     /* 1087684 */   // Label 15712: @1087684
     /* 1087684 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1087767), // Rule ID 15597 //
     /* 1087689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1087700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1087703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1087706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087728 */     // MIs[0] round
     /* 1087728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087738 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1087741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087766 */     // GIR_Coverage, 15597,
     /* 1087766 */     GIR_EraseRootFromParent_Done,
     /* 1087767 */   // Label 15713: @1087767
     /* 1087767 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1087850), // Rule ID 15600 //
     /* 1087772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087811 */     // MIs[0] round
     /* 1087811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087821 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1087824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087849 */     // GIR_Coverage, 15600,
     /* 1087849 */     GIR_EraseRootFromParent_Done,
     /* 1087850 */   // Label 15714: @1087850
     /* 1087850 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1087933), // Rule ID 15601 //
     /* 1087855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1087858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1087866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1087869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1087872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1087878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087894 */     // MIs[0] round
     /* 1087894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087904 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1087904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1087907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1087917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1087925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1087928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1087931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087932 */     // GIR_Coverage, 15601,
     /* 1087932 */     GIR_EraseRootFromParent_Done,
     /* 1087933 */   // Label 15715: @1087933
     /* 1087933 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1088016), // Rule ID 15604 //
     /* 1087938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1087941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1087946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1087949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1087952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1087955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1087961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087977 */     // MIs[0] round
     /* 1087977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1087980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1087987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1087990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1087994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088015 */     // GIR_Coverage, 15604,
     /* 1088015 */     GIR_EraseRootFromParent_Done,
     /* 1088016 */   // Label 15716: @1088016
     /* 1088016 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1088099), // Rule ID 15605 //
     /* 1088021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1088032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1088035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1088038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088060 */     // MIs[0] round
     /* 1088060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1088073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088098 */     // GIR_Coverage, 15605,
     /* 1088098 */     GIR_EraseRootFromParent_Done,
     /* 1088099 */   // Label 15717: @1088099
     /* 1088099 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1088182), // Rule ID 15608 //
     /* 1088104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1088107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088143 */     // MIs[0] round
     /* 1088143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1088156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088181 */     // GIR_Coverage, 15608,
     /* 1088181 */     GIR_EraseRootFromParent_Done,
     /* 1088182 */   // Label 15718: @1088182
     /* 1088182 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1088265), // Rule ID 15609 //
     /* 1088187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1088198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1088201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1088204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088226 */     // MIs[0] round
     /* 1088226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1088239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088264 */     // GIR_Coverage, 15609,
     /* 1088264 */     GIR_EraseRootFromParent_Done,
     /* 1088265 */   // Label 15719: @1088265
     /* 1088265 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1088348), // Rule ID 15612 //
     /* 1088270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1088273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088309 */     // MIs[0] round
     /* 1088309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1088322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088347 */     // GIR_Coverage, 15612,
     /* 1088347 */     GIR_EraseRootFromParent_Done,
     /* 1088348 */   // Label 15720: @1088348
     /* 1088348 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1088431), // Rule ID 15613 //
     /* 1088353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1088364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1088367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1088370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088392 */     // MIs[0] round
     /* 1088392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088402 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1088405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088426 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088430 */     // GIR_Coverage, 15613,
     /* 1088430 */     GIR_EraseRootFromParent_Done,
     /* 1088431 */   // Label 15721: @1088431
     /* 1088431 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1088514), // Rule ID 15616 //
     /* 1088436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1088439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088475 */     // MIs[0] round
     /* 1088475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1088488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088513 */     // GIR_Coverage, 15616,
     /* 1088513 */     GIR_EraseRootFromParent_Done,
     /* 1088514 */   // Label 15722: @1088514
     /* 1088514 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1088597), // Rule ID 15617 //
     /* 1088519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1088530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1088533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1088536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1088554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088558 */     // MIs[0] round
     /* 1088558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1088571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088596 */     // GIR_Coverage, 15617,
     /* 1088596 */     GIR_EraseRootFromParent_Done,
     /* 1088597 */   // Label 15723: @1088597
     /* 1088597 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1088680), // Rule ID 15620 //
     /* 1088602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1088605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088641 */     // MIs[0] round
     /* 1088641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1088654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088679 */     // GIR_Coverage, 15620,
     /* 1088679 */     GIR_EraseRootFromParent_Done,
     /* 1088680 */   // Label 15724: @1088680
     /* 1088680 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1088763), // Rule ID 15621 //
     /* 1088685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1088696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1088699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1088702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088724 */     // MIs[0] round
     /* 1088724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1088737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088762 */     // GIR_Coverage, 15621,
     /* 1088762 */     GIR_EraseRootFromParent_Done,
     /* 1088763 */   // Label 15725: @1088763
     /* 1088763 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1088846), // Rule ID 15624 //
     /* 1088768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1088771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088807 */     // MIs[0] round
     /* 1088807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088817 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1088820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088845 */     // GIR_Coverage, 15624,
     /* 1088845 */     GIR_EraseRootFromParent_Done,
     /* 1088846 */   // Label 15726: @1088846
     /* 1088846 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1088929), // Rule ID 15625 //
     /* 1088851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1088854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1088862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1088865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1088868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1088874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088890 */     // MIs[0] round
     /* 1088890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1088900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1088903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1088924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1088927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088928 */     // GIR_Coverage, 15625,
     /* 1088928 */     GIR_EraseRootFromParent_Done,
     /* 1088929 */   // Label 15727: @1088929
     /* 1088929 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1089012), // Rule ID 15628 //
     /* 1088934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1088937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1088942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1088945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1088948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1088951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1088954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1088957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088973 */     // MIs[0] round
     /* 1088973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1088976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1088983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1088986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1088990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1088996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089007 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089011 */     // GIR_Coverage, 15628,
     /* 1089011 */     GIR_EraseRootFromParent_Done,
     /* 1089012 */   // Label 15728: @1089012
     /* 1089012 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1089095), // Rule ID 15629 //
     /* 1089017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1089037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089056 */     // MIs[0] round
     /* 1089056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1089069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089094 */     // GIR_Coverage, 15629,
     /* 1089094 */     GIR_EraseRootFromParent_Done,
     /* 1089095 */   // Label 15729: @1089095
     /* 1089095 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1089178), // Rule ID 15632 //
     /* 1089100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1089120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089139 */     // MIs[0] round
     /* 1089139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1089152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089177 */     // GIR_Coverage, 15632,
     /* 1089177 */     GIR_EraseRootFromParent_Done,
     /* 1089178 */   // Label 15730: @1089178
     /* 1089178 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1089261), // Rule ID 15633 //
     /* 1089183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1089203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089222 */     // MIs[0] round
     /* 1089222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1089235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089260 */     // GIR_Coverage, 15633,
     /* 1089260 */     GIR_EraseRootFromParent_Done,
     /* 1089261 */   // Label 15731: @1089261
     /* 1089261 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1089344), // Rule ID 15636 //
     /* 1089266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1089286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089305 */     // MIs[0] round
     /* 1089305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1089318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089343 */     // GIR_Coverage, 15636,
     /* 1089343 */     GIR_EraseRootFromParent_Done,
     /* 1089344 */   // Label 15732: @1089344
     /* 1089344 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1089427), // Rule ID 15637 //
     /* 1089349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1089369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089388 */     // MIs[0] round
     /* 1089388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1089401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089426 */     // GIR_Coverage, 15637,
     /* 1089426 */     GIR_EraseRootFromParent_Done,
     /* 1089427 */   // Label 15733: @1089427
     /* 1089427 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1089510), // Rule ID 15640 //
     /* 1089432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1089452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089471 */     // MIs[0] round
     /* 1089471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089481 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1089484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089509 */     // GIR_Coverage, 15640,
     /* 1089509 */     GIR_EraseRootFromParent_Done,
     /* 1089510 */   // Label 15734: @1089510
     /* 1089510 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1089593), // Rule ID 15641 //
     /* 1089515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1089526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1089529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1089532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1089535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089554 */     // MIs[0] round
     /* 1089554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1089567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089592 */     // GIR_Coverage, 15641,
     /* 1089592 */     GIR_EraseRootFromParent_Done,
     /* 1089593 */   // Label 15735: @1089593
     /* 1089593 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1089676), // Rule ID 15644 //
     /* 1089598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089637 */     // MIs[0] round
     /* 1089637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1089650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089675 */     // GIR_Coverage, 15644,
     /* 1089675 */     GIR_EraseRootFromParent_Done,
     /* 1089676 */   // Label 15736: @1089676
     /* 1089676 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1089759), // Rule ID 15645 //
     /* 1089681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089720 */     // MIs[0] round
     /* 1089720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1089733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089758 */     // GIR_Coverage, 15645,
     /* 1089758 */     GIR_EraseRootFromParent_Done,
     /* 1089759 */   // Label 15737: @1089759
     /* 1089759 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1089842), // Rule ID 15648 //
     /* 1089764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089803 */     // MIs[0] round
     /* 1089803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1089816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089841 */     // GIR_Coverage, 15648,
     /* 1089841 */     GIR_EraseRootFromParent_Done,
     /* 1089842 */   // Label 15738: @1089842
     /* 1089842 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1089925), // Rule ID 15649 //
     /* 1089847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1089850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1089858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1089861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1089864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1089870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089886 */     // MIs[0] round
     /* 1089886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1089896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1089899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1089920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1089923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089924 */     // GIR_Coverage, 15649,
     /* 1089924 */     GIR_EraseRootFromParent_Done,
     /* 1089925 */   // Label 15739: @1089925
     /* 1089925 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1090008), // Rule ID 15652 //
     /* 1089930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1089933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1089938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1089941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1089944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1089947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1089953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089969 */     // MIs[0] round
     /* 1089969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1089972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1089979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1089982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1089986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1089992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1090006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090007 */     // GIR_Coverage, 15652,
     /* 1090007 */     GIR_EraseRootFromParent_Done,
     /* 1090008 */   // Label 15740: @1090008
     /* 1090008 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1090091), // Rule ID 15653 //
     /* 1090013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1090016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1090021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090052 */     // MIs[0] round
     /* 1090052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090062 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1090065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1090089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090090 */     // GIR_Coverage, 15653,
     /* 1090090 */     GIR_EraseRootFromParent_Done,
     /* 1090091 */   // Label 15741: @1090091
     /* 1090091 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1090174), // Rule ID 15656 //
     /* 1090096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1090099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1090104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1090116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090135 */     // MIs[0] round
     /* 1090135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090145 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1090148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1090172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090173 */     // GIR_Coverage, 15656,
     /* 1090173 */     GIR_EraseRootFromParent_Done,
     /* 1090174 */   // Label 15742: @1090174
     /* 1090174 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1090257), // Rule ID 15657 //
     /* 1090179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1090182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1090187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090218 */     // MIs[0] round
     /* 1090218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1090231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1090255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090256 */     // GIR_Coverage, 15657,
     /* 1090256 */     GIR_EraseRootFromParent_Done,
     /* 1090257 */   // Label 15743: @1090257
     /* 1090257 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1090337), // Rule ID 15660 //
     /* 1090262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1090265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1090282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090301 */     // MIs[0] round
     /* 1090301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1090314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090336 */     // GIR_Coverage, 15660,
     /* 1090336 */     GIR_EraseRootFromParent_Done,
     /* 1090337 */   // Label 15744: @1090337
     /* 1090337 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1090417), // Rule ID 15661 //
     /* 1090342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1090345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1090362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090381 */     // MIs[0] round
     /* 1090381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1090394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090416 */     // GIR_Coverage, 15661,
     /* 1090416 */     GIR_EraseRootFromParent_Done,
     /* 1090417 */   // Label 15745: @1090417
     /* 1090417 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1090497), // Rule ID 15664 //
     /* 1090422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1090425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1090442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090461 */     // MIs[0] round
     /* 1090461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1090474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090496 */     // GIR_Coverage, 15664,
     /* 1090496 */     GIR_EraseRootFromParent_Done,
     /* 1090497 */   // Label 15746: @1090497
     /* 1090497 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1090577), // Rule ID 15665 //
     /* 1090502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1090505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1090522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090541 */     // MIs[0] round
     /* 1090541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090551 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1090554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090576 */     // GIR_Coverage, 15665,
     /* 1090576 */     GIR_EraseRootFromParent_Done,
     /* 1090577 */   // Label 15747: @1090577
     /* 1090577 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1090657), // Rule ID 15668 //
     /* 1090582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1090585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1090602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090621 */     // MIs[0] round
     /* 1090621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090631 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1090634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090656 */     // GIR_Coverage, 15668,
     /* 1090656 */     GIR_EraseRootFromParent_Done,
     /* 1090657 */   // Label 15748: @1090657
     /* 1090657 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1090737), // Rule ID 15669 //
     /* 1090662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1090665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1090673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1090676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1090679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1090682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090701 */     // MIs[0] round
     /* 1090701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090711 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1090714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090736 */     // GIR_Coverage, 15669,
     /* 1090736 */     GIR_EraseRootFromParent_Done,
     /* 1090737 */   // Label 15749: @1090737
     /* 1090737 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1090817), // Rule ID 15672 //
     /* 1090742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1090745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1090762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090781 */     // MIs[0] round
     /* 1090781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090791 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1090794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090816 */     // GIR_Coverage, 15672,
     /* 1090816 */     GIR_EraseRootFromParent_Done,
     /* 1090817 */   // Label 15750: @1090817
     /* 1090817 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1090897), // Rule ID 15673 //
     /* 1090822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1090825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1090833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1090836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1090839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1090842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1090845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090861 */     // MIs[0] round
     /* 1090861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1090871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1090874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090896 */     // GIR_Coverage, 15673,
     /* 1090896 */     GIR_EraseRootFromParent_Done,
     /* 1090897 */   // Label 15751: @1090897
     /* 1090897 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1090977), // Rule ID 15676 //
     /* 1090902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1090905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1090922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1090925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090941 */     // MIs[0] round
     /* 1090941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1090944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090951 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1090951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1090954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1090964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1090972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1090975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090976 */     // GIR_Coverage, 15676,
     /* 1090976 */     GIR_EraseRootFromParent_Done,
     /* 1090977 */   // Label 15752: @1090977
     /* 1090977 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1091057), // Rule ID 15677 //
     /* 1090982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1090985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1090990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1090993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1090996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1090999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1091002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091021 */     // MIs[0] round
     /* 1091021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091031 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1091034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091056 */     // GIR_Coverage, 15677,
     /* 1091056 */     GIR_EraseRootFromParent_Done,
     /* 1091057 */   // Label 15753: @1091057
     /* 1091057 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1091137), // Rule ID 15680 //
     /* 1091062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1091065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1091082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091101 */     // MIs[0] round
     /* 1091101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1091114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091136 */     // GIR_Coverage, 15680,
     /* 1091136 */     GIR_EraseRootFromParent_Done,
     /* 1091137 */   // Label 15754: @1091137
     /* 1091137 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1091217), // Rule ID 15681 //
     /* 1091142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1091145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1091162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091181 */     // MIs[0] round
     /* 1091181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091191 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1091194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091216 */     // GIR_Coverage, 15681,
     /* 1091216 */     GIR_EraseRootFromParent_Done,
     /* 1091217 */   // Label 15755: @1091217
     /* 1091217 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1091297), // Rule ID 15684 //
     /* 1091222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1091225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1091242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091261 */     // MIs[0] round
     /* 1091261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091271 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091296 */     // GIR_Coverage, 15684,
     /* 1091296 */     GIR_EraseRootFromParent_Done,
     /* 1091297 */   // Label 15756: @1091297
     /* 1091297 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1091377), // Rule ID 15685 //
     /* 1091302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1091305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1091322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091341 */     // MIs[0] round
     /* 1091341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091376 */     // GIR_Coverage, 15685,
     /* 1091376 */     GIR_EraseRootFromParent_Done,
     /* 1091377 */   // Label 15757: @1091377
     /* 1091377 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1091457), // Rule ID 15688 //
     /* 1091382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1091385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1091402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091421 */     // MIs[0] round
     /* 1091421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091456 */     // GIR_Coverage, 15688,
     /* 1091456 */     GIR_EraseRootFromParent_Done,
     /* 1091457 */   // Label 15758: @1091457
     /* 1091457 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1091537), // Rule ID 15689 //
     /* 1091462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1091465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1091482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091501 */     // MIs[0] round
     /* 1091501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091511 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091536 */     // GIR_Coverage, 15689,
     /* 1091536 */     GIR_EraseRootFromParent_Done,
     /* 1091537 */   // Label 15759: @1091537
     /* 1091537 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1091617), // Rule ID 15692 //
     /* 1091542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1091545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1091562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091581 */     // MIs[0] round
     /* 1091581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091616 */     // GIR_Coverage, 15692,
     /* 1091616 */     GIR_EraseRootFromParent_Done,
     /* 1091617 */   // Label 15760: @1091617
     /* 1091617 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1091697), // Rule ID 15693 //
     /* 1091622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1091625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1091642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091661 */     // MIs[0] round
     /* 1091661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091696 */     // GIR_Coverage, 15693,
     /* 1091696 */     GIR_EraseRootFromParent_Done,
     /* 1091697 */   // Label 15761: @1091697
     /* 1091697 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1091777), // Rule ID 15696 //
     /* 1091702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1091705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1091722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091741 */     // MIs[0] round
     /* 1091741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091776 */     // GIR_Coverage, 15696,
     /* 1091776 */     GIR_EraseRootFromParent_Done,
     /* 1091777 */   // Label 15762: @1091777
     /* 1091777 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1091857), // Rule ID 15697 //
     /* 1091782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1091785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1091793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1091796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1091799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1091802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091821 */     // MIs[0] round
     /* 1091821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091831 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1091834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1091852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091856 */     // GIR_Coverage, 15697,
     /* 1091856 */     GIR_EraseRootFromParent_Done,
     /* 1091857 */   // Label 15763: @1091857
     /* 1091857 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1091937), // Rule ID 15700 //
     /* 1091862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1091865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1091882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1091885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091901 */     // MIs[0] round
     /* 1091901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091911 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1091911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1091914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1091920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1091922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1091924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1091935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091936 */     // GIR_Coverage, 15700,
     /* 1091936 */     GIR_EraseRootFromParent_Done,
     /* 1091937 */   // Label 15764: @1091937
     /* 1091937 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1092017), // Rule ID 15701 //
     /* 1091942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1091945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1091950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1091953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1091956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1091959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1091962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1091965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1091981 */     // MIs[0] round
     /* 1091981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1091984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1091991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1091994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092016 */     // GIR_Coverage, 15701,
     /* 1092016 */     GIR_EraseRootFromParent_Done,
     /* 1092017 */   // Label 15765: @1092017
     /* 1092017 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1092097), // Rule ID 15704 //
     /* 1092022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1092042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092061 */     // MIs[0] round
     /* 1092061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1092074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092096 */     // GIR_Coverage, 15704,
     /* 1092096 */     GIR_EraseRootFromParent_Done,
     /* 1092097 */   // Label 15766: @1092097
     /* 1092097 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1092177), // Rule ID 15705 //
     /* 1092102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1092122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092141 */     // MIs[0] round
     /* 1092141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092151 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1092154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092176 */     // GIR_Coverage, 15705,
     /* 1092176 */     GIR_EraseRootFromParent_Done,
     /* 1092177 */   // Label 15767: @1092177
     /* 1092177 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1092257), // Rule ID 15708 //
     /* 1092182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1092202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092221 */     // MIs[0] round
     /* 1092221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092231 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1092234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092256 */     // GIR_Coverage, 15708,
     /* 1092256 */     GIR_EraseRootFromParent_Done,
     /* 1092257 */   // Label 15768: @1092257
     /* 1092257 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1092337), // Rule ID 15709 //
     /* 1092262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1092282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092301 */     // MIs[0] round
     /* 1092301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092311 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1092314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092336 */     // GIR_Coverage, 15709,
     /* 1092336 */     GIR_EraseRootFromParent_Done,
     /* 1092337 */   // Label 15769: @1092337
     /* 1092337 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1092417), // Rule ID 15712 //
     /* 1092342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1092362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092381 */     // MIs[0] round
     /* 1092381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092391 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1092394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092416 */     // GIR_Coverage, 15712,
     /* 1092416 */     GIR_EraseRootFromParent_Done,
     /* 1092417 */   // Label 15770: @1092417
     /* 1092417 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1092497), // Rule ID 15713 //
     /* 1092422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1092442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092461 */     // MIs[0] round
     /* 1092461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1092474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092496 */     // GIR_Coverage, 15713,
     /* 1092496 */     GIR_EraseRootFromParent_Done,
     /* 1092497 */   // Label 15771: @1092497
     /* 1092497 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1092577), // Rule ID 15716 //
     /* 1092502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1092522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092541 */     // MIs[0] round
     /* 1092541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092551 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1092554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092576 */     // GIR_Coverage, 15716,
     /* 1092576 */     GIR_EraseRootFromParent_Done,
     /* 1092577 */   // Label 15772: @1092577
     /* 1092577 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1092657), // Rule ID 15717 //
     /* 1092582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1092602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092621 */     // MIs[0] round
     /* 1092621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092631 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1092634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092656 */     // GIR_Coverage, 15717,
     /* 1092656 */     GIR_EraseRootFromParent_Done,
     /* 1092657 */   // Label 15773: @1092657
     /* 1092657 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1092737), // Rule ID 15720 //
     /* 1092662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1092682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092701 */     // MIs[0] round
     /* 1092701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092711 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1092714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092736 */     // GIR_Coverage, 15720,
     /* 1092736 */     GIR_EraseRootFromParent_Done,
     /* 1092737 */   // Label 15774: @1092737
     /* 1092737 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1092817), // Rule ID 15721 //
     /* 1092742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1092753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1092756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1092759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1092762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092781 */     // MIs[0] round
     /* 1092781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092791 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1092794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092816 */     // GIR_Coverage, 15721,
     /* 1092816 */     GIR_EraseRootFromParent_Done,
     /* 1092817 */   // Label 15775: @1092817
     /* 1092817 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1092897), // Rule ID 15724 //
     /* 1092822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1092842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1092845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092861 */     // MIs[0] round
     /* 1092861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1092871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1092874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092896 */     // GIR_Coverage, 15724,
     /* 1092896 */     GIR_EraseRootFromParent_Done,
     /* 1092897 */   // Label 15776: @1092897
     /* 1092897 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1092977), // Rule ID 15725 //
     /* 1092902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1092905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1092913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1092916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1092919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1092922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1092925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092941 */     // MIs[0] round
     /* 1092941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1092944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092951 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1092951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1092954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1092960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1092962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1092964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1092975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092976 */     // GIR_Coverage, 15725,
     /* 1092976 */     GIR_EraseRootFromParent_Done,
     /* 1092977 */   // Label 15777: @1092977
     /* 1092977 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1093057), // Rule ID 15728 //
     /* 1092982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1092985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1092990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1092993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1092996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1092999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1093002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093021 */     // MIs[0] round
     /* 1093021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1093034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093056 */     // GIR_Coverage, 15728,
     /* 1093056 */     GIR_EraseRootFromParent_Done,
     /* 1093057 */   // Label 15778: @1093057
     /* 1093057 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1093137), // Rule ID 15729 //
     /* 1093062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1093065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1093073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1093076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1093079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1093082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093101 */     // MIs[0] round
     /* 1093101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1093114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093136 */     // GIR_Coverage, 15729,
     /* 1093136 */     GIR_EraseRootFromParent_Done,
     /* 1093137 */   // Label 15779: @1093137
     /* 1093137 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1093217), // Rule ID 15732 //
     /* 1093142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1093145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1093162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093181 */     // MIs[0] round
     /* 1093181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093191 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1093194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093216 */     // GIR_Coverage, 15732,
     /* 1093216 */     GIR_EraseRootFromParent_Done,
     /* 1093217 */   // Label 15780: @1093217
     /* 1093217 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1093297), // Rule ID 15733 //
     /* 1093222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1093225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1093242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093261 */     // MIs[0] round
     /* 1093261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093271 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1093274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093296 */     // GIR_Coverage, 15733,
     /* 1093296 */     GIR_EraseRootFromParent_Done,
     /* 1093297 */   // Label 15781: @1093297
     /* 1093297 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1093377), // Rule ID 15736 //
     /* 1093302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1093305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1093322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093341 */     // MIs[0] round
     /* 1093341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093351 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1093354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093376 */     // GIR_Coverage, 15736,
     /* 1093376 */     GIR_EraseRootFromParent_Done,
     /* 1093377 */   // Label 15782: @1093377
     /* 1093377 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1093457), // Rule ID 15737 //
     /* 1093382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1093385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1093402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093421 */     // MIs[0] round
     /* 1093421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093431 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1093434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093456 */     // GIR_Coverage, 15737,
     /* 1093456 */     GIR_EraseRootFromParent_Done,
     /* 1093457 */   // Label 15783: @1093457
     /* 1093457 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1093537), // Rule ID 15740 //
     /* 1093462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1093465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1093482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093501 */     // MIs[0] round
     /* 1093501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093511 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1093514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093536 */     // GIR_Coverage, 15740,
     /* 1093536 */     GIR_EraseRootFromParent_Done,
     /* 1093537 */   // Label 15784: @1093537
     /* 1093537 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1093617), // Rule ID 15741 //
     /* 1093542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1093545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1093562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093581 */     // MIs[0] round
     /* 1093581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093591 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1093594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093616 */     // GIR_Coverage, 15741,
     /* 1093616 */     GIR_EraseRootFromParent_Done,
     /* 1093617 */   // Label 15785: @1093617
     /* 1093617 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1093697), // Rule ID 15744 //
     /* 1093622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1093625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1093642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093661 */     // MIs[0] round
     /* 1093661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093671 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1093674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093696 */     // GIR_Coverage, 15744,
     /* 1093696 */     GIR_EraseRootFromParent_Done,
     /* 1093697 */   // Label 15786: @1093697
     /* 1093697 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1093777), // Rule ID 15745 //
     /* 1093702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1093705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1093722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093741 */     // MIs[0] round
     /* 1093741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093751 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1093754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093776 */     // GIR_Coverage, 15745,
     /* 1093776 */     GIR_EraseRootFromParent_Done,
     /* 1093777 */   // Label 15787: @1093777
     /* 1093777 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1093857), // Rule ID 15748 //
     /* 1093782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1093785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1093821 */     // MIs[0] round
     /* 1093821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1093834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093856 */     // GIR_Coverage, 15748,
     /* 1093856 */     GIR_EraseRootFromParent_Done,
     /* 1093857 */   // Label 15788: @1093857
     /* 1093857 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1093937), // Rule ID 15749 //
     /* 1093862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1093865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1093873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1093876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1093879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1093882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1093885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1093901 */     // MIs[0] round
     /* 1093901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093911 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1093911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1093914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1093920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1093922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1093924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1093932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1093935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093936 */     // GIR_Coverage, 15749,
     /* 1093936 */     GIR_EraseRootFromParent_Done,
     /* 1093937 */   // Label 15789: @1093937
     /* 1093937 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1094017), // Rule ID 15752 //
     /* 1093942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1093945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1093950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1093953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1093956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1093959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1093962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1093965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1093977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1093981 */     // MIs[0] round
     /* 1093981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1093984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093991 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1093991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1093994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094016 */     // GIR_Coverage, 15752,
     /* 1094016 */     GIR_EraseRootFromParent_Done,
     /* 1094017 */   // Label 15790: @1094017
     /* 1094017 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1094097), // Rule ID 15753 //
     /* 1094022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1094033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1094036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1094039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094061 */     // MIs[0] round
     /* 1094061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1094074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094096 */     // GIR_Coverage, 15753,
     /* 1094096 */     GIR_EraseRootFromParent_Done,
     /* 1094097 */   // Label 15791: @1094097
     /* 1094097 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1094177), // Rule ID 15756 //
     /* 1094102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094141 */     // MIs[0] round
     /* 1094141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094176 */     // GIR_Coverage, 15756,
     /* 1094176 */     GIR_EraseRootFromParent_Done,
     /* 1094177 */   // Label 15792: @1094177
     /* 1094177 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1094257), // Rule ID 15757 //
     /* 1094182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094221 */     // MIs[0] round
     /* 1094221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094231 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094256 */     // GIR_Coverage, 15757,
     /* 1094256 */     GIR_EraseRootFromParent_Done,
     /* 1094257 */   // Label 15793: @1094257
     /* 1094257 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1094337), // Rule ID 15760 //
     /* 1094262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094301 */     // MIs[0] round
     /* 1094301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1094314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094336 */     // GIR_Coverage, 15760,
     /* 1094336 */     GIR_EraseRootFromParent_Done,
     /* 1094337 */   // Label 15794: @1094337
     /* 1094337 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1094417), // Rule ID 15761 //
     /* 1094342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094381 */     // MIs[0] round
     /* 1094381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094391 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1094394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094416 */     // GIR_Coverage, 15761,
     /* 1094416 */     GIR_EraseRootFromParent_Done,
     /* 1094417 */   // Label 15795: @1094417
     /* 1094417 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1094497), // Rule ID 15764 //
     /* 1094422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094461 */     // MIs[0] round
     /* 1094461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094496 */     // GIR_Coverage, 15764,
     /* 1094496 */     GIR_EraseRootFromParent_Done,
     /* 1094497 */   // Label 15796: @1094497
     /* 1094497 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1094577), // Rule ID 15765 //
     /* 1094502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094541 */     // MIs[0] round
     /* 1094541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094551 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094576 */     // GIR_Coverage, 15765,
     /* 1094576 */     GIR_EraseRootFromParent_Done,
     /* 1094577 */   // Label 15797: @1094577
     /* 1094577 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1094657), // Rule ID 15768 //
     /* 1094582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094621 */     // MIs[0] round
     /* 1094621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094656 */     // GIR_Coverage, 15768,
     /* 1094656 */     GIR_EraseRootFromParent_Done,
     /* 1094657 */   // Label 15798: @1094657
     /* 1094657 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1094737), // Rule ID 15769 //
     /* 1094662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094701 */     // MIs[0] round
     /* 1094701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094711 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1094714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094736 */     // GIR_Coverage, 15769,
     /* 1094736 */     GIR_EraseRootFromParent_Done,
     /* 1094737 */   // Label 15799: @1094737
     /* 1094737 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1094817), // Rule ID 15772 //
     /* 1094742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094781 */     // MIs[0] round
     /* 1094781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094791 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1094794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094816 */     // GIR_Coverage, 15772,
     /* 1094816 */     GIR_EraseRootFromParent_Done,
     /* 1094817 */   // Label 15800: @1094817
     /* 1094817 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1094897), // Rule ID 15773 //
     /* 1094822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1094833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1094836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1094839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1094842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1094845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094861 */     // MIs[0] round
     /* 1094861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094871 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1094871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1094874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094896 */     // GIR_Coverage, 15773,
     /* 1094896 */     GIR_EraseRootFromParent_Done,
     /* 1094897 */   // Label 15801: @1094897
     /* 1094897 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1094977), // Rule ID 15776 //
     /* 1094902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1094905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1094922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1094925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1094941 */     // MIs[0] round
     /* 1094941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1094944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094951 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1094951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1094954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1094960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1094962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1094964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1094975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094976 */     // GIR_Coverage, 15776,
     /* 1094976 */     GIR_EraseRootFromParent_Done,
     /* 1094977 */   // Label 15802: @1094977
     /* 1094977 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1095057), // Rule ID 15777 //
     /* 1094982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1094985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1094990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1094993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1094996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1094999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095021 */     // MIs[0] round
     /* 1095021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095031 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1095034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095056 */     // GIR_Coverage, 15777,
     /* 1095056 */     GIR_EraseRootFromParent_Done,
     /* 1095057 */   // Label 15803: @1095057
     /* 1095057 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1095137), // Rule ID 15780 //
     /* 1095062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1095065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095101 */     // MIs[0] round
     /* 1095101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1095114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095136 */     // GIR_Coverage, 15780,
     /* 1095136 */     GIR_EraseRootFromParent_Done,
     /* 1095137 */   // Label 15804: @1095137
     /* 1095137 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1095217), // Rule ID 15781 //
     /* 1095142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1095145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095181 */     // MIs[0] round
     /* 1095181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1095194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095216 */     // GIR_Coverage, 15781,
     /* 1095216 */     GIR_EraseRootFromParent_Done,
     /* 1095217 */   // Label 15805: @1095217
     /* 1095217 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1095297), // Rule ID 15784 //
     /* 1095222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1095225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095261 */     // MIs[0] round
     /* 1095261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095271 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1095274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095296 */     // GIR_Coverage, 15784,
     /* 1095296 */     GIR_EraseRootFromParent_Done,
     /* 1095297 */   // Label 15806: @1095297
     /* 1095297 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1095377), // Rule ID 15785 //
     /* 1095302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1095305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095341 */     // MIs[0] round
     /* 1095341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1095354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095376 */     // GIR_Coverage, 15785,
     /* 1095376 */     GIR_EraseRootFromParent_Done,
     /* 1095377 */   // Label 15807: @1095377
     /* 1095377 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1095457), // Rule ID 15788 //
     /* 1095382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1095385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095421 */     // MIs[0] round
     /* 1095421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095431 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1095434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095456 */     // GIR_Coverage, 15788,
     /* 1095456 */     GIR_EraseRootFromParent_Done,
     /* 1095457 */   // Label 15808: @1095457
     /* 1095457 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1095537), // Rule ID 15789 //
     /* 1095462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1095465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095501 */     // MIs[0] round
     /* 1095501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095511 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1095514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095536 */     // GIR_Coverage, 15789,
     /* 1095536 */     GIR_EraseRootFromParent_Done,
     /* 1095537 */   // Label 15809: @1095537
     /* 1095537 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1095617), // Rule ID 15792 //
     /* 1095542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1095545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095581 */     // MIs[0] round
     /* 1095581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095591 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1095594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095616 */     // GIR_Coverage, 15792,
     /* 1095616 */     GIR_EraseRootFromParent_Done,
     /* 1095617 */   // Label 15810: @1095617
     /* 1095617 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1095697), // Rule ID 15793 //
     /* 1095622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1095625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095661 */     // MIs[0] round
     /* 1095661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095671 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1095674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095696 */     // GIR_Coverage, 15793,
     /* 1095696 */     GIR_EraseRootFromParent_Done,
     /* 1095697 */   // Label 15811: @1095697
     /* 1095697 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1095777), // Rule ID 15796 //
     /* 1095702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1095705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095741 */     // MIs[0] round
     /* 1095741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095751 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1095754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095776 */     // GIR_Coverage, 15796,
     /* 1095776 */     GIR_EraseRootFromParent_Done,
     /* 1095777 */   // Label 15812: @1095777
     /* 1095777 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1095857), // Rule ID 15797 //
     /* 1095782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1095785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095821 */     // MIs[0] round
     /* 1095821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095831 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1095834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095856 */     // GIR_Coverage, 15797,
     /* 1095856 */     GIR_EraseRootFromParent_Done,
     /* 1095857 */   // Label 15813: @1095857
     /* 1095857 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1095937), // Rule ID 15800 //
     /* 1095862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1095865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1095882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1095885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095901 */     // MIs[0] round
     /* 1095901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095911 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1095911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1095914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1095920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1095922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1095924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1095935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095936 */     // GIR_Coverage, 15800,
     /* 1095936 */     GIR_EraseRootFromParent_Done,
     /* 1095937 */   // Label 15814: @1095937
     /* 1095937 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1096017), // Rule ID 15801 //
     /* 1095942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1095945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1095950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1095953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1095956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1095959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1095962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1095965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1095981 */     // MIs[0] round
     /* 1095981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1095984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095991 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1095991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1095994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096016 */     // GIR_Coverage, 15801,
     /* 1096016 */     GIR_EraseRootFromParent_Done,
     /* 1096017 */   // Label 15815: @1096017
     /* 1096017 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1096097), // Rule ID 15804 //
     /* 1096022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1096025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096061 */     // MIs[0] round
     /* 1096061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096071 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1096074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096096 */     // GIR_Coverage, 15804,
     /* 1096096 */     GIR_EraseRootFromParent_Done,
     /* 1096097 */   // Label 15816: @1096097
     /* 1096097 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1096177), // Rule ID 15805 //
     /* 1096102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1096105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096141 */     // MIs[0] round
     /* 1096141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096151 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1096154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096176 */     // GIR_Coverage, 15805,
     /* 1096176 */     GIR_EraseRootFromParent_Done,
     /* 1096177 */   // Label 15817: @1096177
     /* 1096177 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1096257), // Rule ID 15808 //
     /* 1096182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1096185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096221 */     // MIs[0] round
     /* 1096221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096231 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1096234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096256 */     // GIR_Coverage, 15808,
     /* 1096256 */     GIR_EraseRootFromParent_Done,
     /* 1096257 */   // Label 15818: @1096257
     /* 1096257 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1096337), // Rule ID 15809 //
     /* 1096262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1096265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096301 */     // MIs[0] round
     /* 1096301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096311 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1096314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096336 */     // GIR_Coverage, 15809,
     /* 1096336 */     GIR_EraseRootFromParent_Done,
     /* 1096337 */   // Label 15819: @1096337
     /* 1096337 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1096417), // Rule ID 15812 //
     /* 1096342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1096345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096381 */     // MIs[0] round
     /* 1096381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096391 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1096394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096416 */     // GIR_Coverage, 15812,
     /* 1096416 */     GIR_EraseRootFromParent_Done,
     /* 1096417 */   // Label 15820: @1096417
     /* 1096417 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1096497), // Rule ID 15813 //
     /* 1096422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1096425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096461 */     // MIs[0] round
     /* 1096461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096471 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1096474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096496 */     // GIR_Coverage, 15813,
     /* 1096496 */     GIR_EraseRootFromParent_Done,
     /* 1096497 */   // Label 15821: @1096497
     /* 1096497 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1096577), // Rule ID 15816 //
     /* 1096502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1096505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096541 */     // MIs[0] round
     /* 1096541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096551 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1096554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096576 */     // GIR_Coverage, 15816,
     /* 1096576 */     GIR_EraseRootFromParent_Done,
     /* 1096577 */   // Label 15822: @1096577
     /* 1096577 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1096657), // Rule ID 15817 //
     /* 1096582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1096585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096621 */     // MIs[0] round
     /* 1096621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096631 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1096634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096656 */     // GIR_Coverage, 15817,
     /* 1096656 */     GIR_EraseRootFromParent_Done,
     /* 1096657 */   // Label 15823: @1096657
     /* 1096657 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1096737), // Rule ID 15820 //
     /* 1096662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1096665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096701 */     // MIs[0] round
     /* 1096701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096711 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1096714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096736 */     // GIR_Coverage, 15820,
     /* 1096736 */     GIR_EraseRootFromParent_Done,
     /* 1096737 */   // Label 15824: @1096737
     /* 1096737 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1096817), // Rule ID 15821 //
     /* 1096742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1096745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096781 */     // MIs[0] round
     /* 1096781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1096794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096816 */     // GIR_Coverage, 15821,
     /* 1096816 */     GIR_EraseRootFromParent_Done,
     /* 1096817 */   // Label 15825: @1096817
     /* 1096817 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1096897), // Rule ID 15824 //
     /* 1096822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1096825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1096842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1096845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096861 */     // MIs[0] round
     /* 1096861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096871 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1096871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1096874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096896 */     // GIR_Coverage, 15824,
     /* 1096896 */     GIR_EraseRootFromParent_Done,
     /* 1096897 */   // Label 15826: @1096897
     /* 1096897 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1096977), // Rule ID 15825 //
     /* 1096902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1096905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1096913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1096916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1096919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1096922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1096925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1096941 */     // MIs[0] round
     /* 1096941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1096944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096951 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1096951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1096954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1096960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1096962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1096964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1096972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1096975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096976 */     // GIR_Coverage, 15825,
     /* 1096976 */     GIR_EraseRootFromParent_Done,
     /* 1096977 */   // Label 15827: @1096977
     /* 1096977 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1097057), // Rule ID 15828 //
     /* 1096982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1096985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1096990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1096993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1096996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1096999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1097002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1097021 */     // MIs[0] round
     /* 1097021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097031 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1097034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097056 */     // GIR_Coverage, 15828,
     /* 1097056 */     GIR_EraseRootFromParent_Done,
     /* 1097057 */   // Label 15828: @1097057
     /* 1097057 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1097137), // Rule ID 15829 //
     /* 1097062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1097065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1097070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1097073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1097076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1097079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1097101 */     // MIs[0] round
     /* 1097101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1097114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097136 */     // GIR_Coverage, 15829,
     /* 1097136 */     GIR_EraseRootFromParent_Done,
     /* 1097137 */   // Label 15829: @1097137
     /* 1097137 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1097217), // Rule ID 15832 //
     /* 1097142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1097145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1097150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1097162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1097181 */     // MIs[0] round
     /* 1097181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097191 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1097194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097216 */     // GIR_Coverage, 15832,
     /* 1097216 */     GIR_EraseRootFromParent_Done,
     /* 1097217 */   // Label 15830: @1097217
     /* 1097217 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1097297), // Rule ID 15833 //
     /* 1097222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1097225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1097230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1097242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1097261 */     // MIs[0] round
     /* 1097261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097271 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11235:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1097274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097296 */     // GIR_Coverage, 15833,
     /* 1097296 */     GIR_EraseRootFromParent_Done,
     /* 1097297 */   // Label 15831: @1097297
     /* 1097297 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1097377), // Rule ID 15924 //
     /* 1097302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1097305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1097322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097341 */     // MIs[0] round
     /* 1097341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097351 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1097354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097376 */     // GIR_Coverage, 15924,
     /* 1097376 */     GIR_EraseRootFromParent_Done,
     /* 1097377 */   // Label 15832: @1097377
     /* 1097377 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1097457), // Rule ID 15925 //
     /* 1097382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1097385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1097402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097421 */     // MIs[0] round
     /* 1097421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097431 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1097434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097456 */     // GIR_Coverage, 15925,
     /* 1097456 */     GIR_EraseRootFromParent_Done,
     /* 1097457 */   // Label 15833: @1097457
     /* 1097457 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1097537), // Rule ID 15928 //
     /* 1097462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1097465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1097482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097501 */     // MIs[0] round
     /* 1097501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097511 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1097514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097536 */     // GIR_Coverage, 15928,
     /* 1097536 */     GIR_EraseRootFromParent_Done,
     /* 1097537 */   // Label 15834: @1097537
     /* 1097537 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1097617), // Rule ID 15929 //
     /* 1097542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1097545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1097562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097581 */     // MIs[0] round
     /* 1097581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097591 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1097594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097616 */     // GIR_Coverage, 15929,
     /* 1097616 */     GIR_EraseRootFromParent_Done,
     /* 1097617 */   // Label 15835: @1097617
     /* 1097617 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1097697), // Rule ID 15932 //
     /* 1097622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1097625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1097642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097661 */     // MIs[0] round
     /* 1097661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097671 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1097674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097696 */     // GIR_Coverage, 15932,
     /* 1097696 */     GIR_EraseRootFromParent_Done,
     /* 1097697 */   // Label 15836: @1097697
     /* 1097697 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1097777), // Rule ID 15933 //
     /* 1097702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1097705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1097722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097741 */     // MIs[0] round
     /* 1097741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097751 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1097754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097776 */     // GIR_Coverage, 15933,
     /* 1097776 */     GIR_EraseRootFromParent_Done,
     /* 1097777 */   // Label 15837: @1097777
     /* 1097777 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1097857), // Rule ID 15936 //
     /* 1097782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1097785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1097802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097821 */     // MIs[0] round
     /* 1097821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097831 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1097834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097856 */     // GIR_Coverage, 15936,
     /* 1097856 */     GIR_EraseRootFromParent_Done,
     /* 1097857 */   // Label 15838: @1097857
     /* 1097857 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1097937), // Rule ID 15937 //
     /* 1097862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1097865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1097882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1097885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097901 */     // MIs[0] round
     /* 1097901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097911 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1097911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1097914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1097920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1097922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1097924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1097932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1097935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097936 */     // GIR_Coverage, 15937,
     /* 1097936 */     GIR_EraseRootFromParent_Done,
     /* 1097937 */   // Label 15839: @1097937
     /* 1097937 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1098017), // Rule ID 15940 //
     /* 1097942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1097945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1097950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1097953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1097956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1097959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1097962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1097965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097981 */     // MIs[0] round
     /* 1097981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1097984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097991 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1097991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1097994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098016 */     // GIR_Coverage, 15940,
     /* 1098016 */     GIR_EraseRootFromParent_Done,
     /* 1098017 */   // Label 15840: @1098017
     /* 1098017 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1098097), // Rule ID 15941 //
     /* 1098022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1098042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098061 */     // MIs[0] round
     /* 1098061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098071 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1098074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098096 */     // GIR_Coverage, 15941,
     /* 1098096 */     GIR_EraseRootFromParent_Done,
     /* 1098097 */   // Label 15841: @1098097
     /* 1098097 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1098177), // Rule ID 15944 //
     /* 1098102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1098105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1098122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098141 */     // MIs[0] round
     /* 1098141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1098154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098176 */     // GIR_Coverage, 15944,
     /* 1098176 */     GIR_EraseRootFromParent_Done,
     /* 1098177 */   // Label 15842: @1098177
     /* 1098177 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1098257), // Rule ID 15945 //
     /* 1098182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1098202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098221 */     // MIs[0] round
     /* 1098221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098231 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1098234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098256 */     // GIR_Coverage, 15945,
     /* 1098256 */     GIR_EraseRootFromParent_Done,
     /* 1098257 */   // Label 15843: @1098257
     /* 1098257 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1098337), // Rule ID 15948 //
     /* 1098262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1098265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1098282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098301 */     // MIs[0] round
     /* 1098301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098336 */     // GIR_Coverage, 15948,
     /* 1098336 */     GIR_EraseRootFromParent_Done,
     /* 1098337 */   // Label 15844: @1098337
     /* 1098337 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1098417), // Rule ID 15949 //
     /* 1098342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1098362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098381 */     // MIs[0] round
     /* 1098381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098416 */     // GIR_Coverage, 15949,
     /* 1098416 */     GIR_EraseRootFromParent_Done,
     /* 1098417 */   // Label 15845: @1098417
     /* 1098417 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1098497), // Rule ID 15952 //
     /* 1098422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1098425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1098442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098461 */     // MIs[0] round
     /* 1098461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098496 */     // GIR_Coverage, 15952,
     /* 1098496 */     GIR_EraseRootFromParent_Done,
     /* 1098497 */   // Label 15846: @1098497
     /* 1098497 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1098577), // Rule ID 15953 //
     /* 1098502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1098522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098541 */     // MIs[0] round
     /* 1098541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098551 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098576 */     // GIR_Coverage, 15953,
     /* 1098576 */     GIR_EraseRootFromParent_Done,
     /* 1098577 */   // Label 15847: @1098577
     /* 1098577 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1098657), // Rule ID 15956 //
     /* 1098582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1098585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1098602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098621 */     // MIs[0] round
     /* 1098621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098631 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098656 */     // GIR_Coverage, 15956,
     /* 1098656 */     GIR_EraseRootFromParent_Done,
     /* 1098657 */   // Label 15848: @1098657
     /* 1098657 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1098737), // Rule ID 15957 //
     /* 1098662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1098682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098701 */     // MIs[0] round
     /* 1098701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098711 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098736 */     // GIR_Coverage, 15957,
     /* 1098736 */     GIR_EraseRootFromParent_Done,
     /* 1098737 */   // Label 15849: @1098737
     /* 1098737 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1098817), // Rule ID 15960 //
     /* 1098742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1098745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1098762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098781 */     // MIs[0] round
     /* 1098781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098791 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098816 */     // GIR_Coverage, 15960,
     /* 1098816 */     GIR_EraseRootFromParent_Done,
     /* 1098817 */   // Label 15850: @1098817
     /* 1098817 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1098897), // Rule ID 15961 //
     /* 1098822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1098825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1098842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1098845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098861 */     // MIs[0] round
     /* 1098861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098871 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1098871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1098874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098896 */     // GIR_Coverage, 15961,
     /* 1098896 */     GIR_EraseRootFromParent_Done,
     /* 1098897 */   // Label 15851: @1098897
     /* 1098897 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1098977), // Rule ID 15964 //
     /* 1098902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1098905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1098922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1098925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1098941 */     // MIs[0] round
     /* 1098941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1098944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098951 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1098951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1098954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1098960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1098962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1098964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1098975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098976 */     // GIR_Coverage, 15964,
     /* 1098976 */     GIR_EraseRootFromParent_Done,
     /* 1098977 */   // Label 15852: @1098977
     /* 1098977 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1099057), // Rule ID 15965 //
     /* 1098982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1098985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1098990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1098993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1098996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1098999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1099002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099021 */     // MIs[0] round
     /* 1099021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099031 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1099034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099056 */     // GIR_Coverage, 15965,
     /* 1099056 */     GIR_EraseRootFromParent_Done,
     /* 1099057 */   // Label 15853: @1099057
     /* 1099057 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1099137), // Rule ID 15968 //
     /* 1099062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1099082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099101 */     // MIs[0] round
     /* 1099101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099111 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1099114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099136 */     // GIR_Coverage, 15968,
     /* 1099136 */     GIR_EraseRootFromParent_Done,
     /* 1099137 */   // Label 15854: @1099137
     /* 1099137 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1099217), // Rule ID 15969 //
     /* 1099142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1099162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099181 */     // MIs[0] round
     /* 1099181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099191 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1099194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099216 */     // GIR_Coverage, 15969,
     /* 1099216 */     GIR_EraseRootFromParent_Done,
     /* 1099217 */   // Label 15855: @1099217
     /* 1099217 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1099297), // Rule ID 15972 //
     /* 1099222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1099242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099261 */     // MIs[0] round
     /* 1099261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099271 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1099274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099296 */     // GIR_Coverage, 15972,
     /* 1099296 */     GIR_EraseRootFromParent_Done,
     /* 1099297 */   // Label 15856: @1099297
     /* 1099297 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1099377), // Rule ID 15973 //
     /* 1099302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1099322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099341 */     // MIs[0] round
     /* 1099341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099351 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1099354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099376 */     // GIR_Coverage, 15973,
     /* 1099376 */     GIR_EraseRootFromParent_Done,
     /* 1099377 */   // Label 15857: @1099377
     /* 1099377 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1099457), // Rule ID 15976 //
     /* 1099382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1099402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099421 */     // MIs[0] round
     /* 1099421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1099434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099456 */     // GIR_Coverage, 15976,
     /* 1099456 */     GIR_EraseRootFromParent_Done,
     /* 1099457 */   // Label 15858: @1099457
     /* 1099457 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1099537), // Rule ID 15977 //
     /* 1099462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1099482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099501 */     // MIs[0] round
     /* 1099501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099511 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1099514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099536 */     // GIR_Coverage, 15977,
     /* 1099536 */     GIR_EraseRootFromParent_Done,
     /* 1099537 */   // Label 15859: @1099537
     /* 1099537 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1099617), // Rule ID 15980 //
     /* 1099542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1099562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099581 */     // MIs[0] round
     /* 1099581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099591 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1099594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099616 */     // GIR_Coverage, 15980,
     /* 1099616 */     GIR_EraseRootFromParent_Done,
     /* 1099617 */   // Label 15860: @1099617
     /* 1099617 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1099697), // Rule ID 15981 //
     /* 1099622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1099642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099661 */     // MIs[0] round
     /* 1099661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099671 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1099674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099696 */     // GIR_Coverage, 15981,
     /* 1099696 */     GIR_EraseRootFromParent_Done,
     /* 1099697 */   // Label 15861: @1099697
     /* 1099697 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1099777), // Rule ID 15984 //
     /* 1099702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1099722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099741 */     // MIs[0] round
     /* 1099741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099751 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1099754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099776 */     // GIR_Coverage, 15984,
     /* 1099776 */     GIR_EraseRootFromParent_Done,
     /* 1099777 */   // Label 15862: @1099777
     /* 1099777 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1099857), // Rule ID 15985 //
     /* 1099782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1099802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099821 */     // MIs[0] round
     /* 1099821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099831 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1099834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099856 */     // GIR_Coverage, 15985,
     /* 1099856 */     GIR_EraseRootFromParent_Done,
     /* 1099857 */   // Label 15863: @1099857
     /* 1099857 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1099937), // Rule ID 15988 //
     /* 1099862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1099865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1099882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1099885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099901 */     // MIs[0] round
     /* 1099901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099911 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1099911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1099914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1099920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1099922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1099924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1099932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1099935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099936 */     // GIR_Coverage, 15988,
     /* 1099936 */     GIR_EraseRootFromParent_Done,
     /* 1099937 */   // Label 15864: @1099937
     /* 1099937 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1100017), // Rule ID 15989 //
     /* 1099942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1099945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1099950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1099962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1099965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099981 */     // MIs[0] round
     /* 1099981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1099984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1099991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1099994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100016 */     // GIR_Coverage, 15989,
     /* 1100016 */     GIR_EraseRootFromParent_Done,
     /* 1100017 */   // Label 15865: @1100017
     /* 1100017 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1100097), // Rule ID 15992 //
     /* 1100022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1100025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1100042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100061 */     // MIs[0] round
     /* 1100061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100071 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1100074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100096 */     // GIR_Coverage, 15992,
     /* 1100096 */     GIR_EraseRootFromParent_Done,
     /* 1100097 */   // Label 15866: @1100097
     /* 1100097 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1100177), // Rule ID 15993 //
     /* 1100102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1100105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1100122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100141 */     // MIs[0] round
     /* 1100141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100151 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1100154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100176 */     // GIR_Coverage, 15993,
     /* 1100176 */     GIR_EraseRootFromParent_Done,
     /* 1100177 */   // Label 15867: @1100177
     /* 1100177 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1100257), // Rule ID 15996 //
     /* 1100182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1100185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1100202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100221 */     // MIs[0] round
     /* 1100221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1100234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100256 */     // GIR_Coverage, 15996,
     /* 1100256 */     GIR_EraseRootFromParent_Done,
     /* 1100257 */   // Label 15868: @1100257
     /* 1100257 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1100337), // Rule ID 15997 //
     /* 1100262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1100265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1100282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100301 */     // MIs[0] round
     /* 1100301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1100314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100336 */     // GIR_Coverage, 15997,
     /* 1100336 */     GIR_EraseRootFromParent_Done,
     /* 1100337 */   // Label 15869: @1100337
     /* 1100337 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1100417), // Rule ID 16000 //
     /* 1100342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1100345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1100362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100381 */     // MIs[0] round
     /* 1100381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100391 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1100394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100416 */     // GIR_Coverage, 16000,
     /* 1100416 */     GIR_EraseRootFromParent_Done,
     /* 1100417 */   // Label 15870: @1100417
     /* 1100417 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1100497), // Rule ID 16001 //
     /* 1100422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1100425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1100442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100461 */     // MIs[0] round
     /* 1100461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100471 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1100474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100496 */     // GIR_Coverage, 16001,
     /* 1100496 */     GIR_EraseRootFromParent_Done,
     /* 1100497 */   // Label 15871: @1100497
     /* 1100497 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1100577), // Rule ID 16004 //
     /* 1100502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1100505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1100522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100541 */     // MIs[0] round
     /* 1100541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100551 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1100554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100576 */     // GIR_Coverage, 16004,
     /* 1100576 */     GIR_EraseRootFromParent_Done,
     /* 1100577 */   // Label 15872: @1100577
     /* 1100577 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1100657), // Rule ID 16005 //
     /* 1100582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1100585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1100602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100621 */     // MIs[0] round
     /* 1100621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1100634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100656 */     // GIR_Coverage, 16005,
     /* 1100656 */     GIR_EraseRootFromParent_Done,
     /* 1100657 */   // Label 15873: @1100657
     /* 1100657 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1100737), // Rule ID 16008 //
     /* 1100662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1100665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1100682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100701 */     // MIs[0] round
     /* 1100701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100711 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1100714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100736 */     // GIR_Coverage, 16008,
     /* 1100736 */     GIR_EraseRootFromParent_Done,
     /* 1100737 */   // Label 15874: @1100737
     /* 1100737 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1100817), // Rule ID 16009 //
     /* 1100742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1100745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1100762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100781 */     // MIs[0] round
     /* 1100781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100791 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1100794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100816 */     // GIR_Coverage, 16009,
     /* 1100816 */     GIR_EraseRootFromParent_Done,
     /* 1100817 */   // Label 15875: @1100817
     /* 1100817 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1100897), // Rule ID 16012 //
     /* 1100822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1100825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1100842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1100845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1100861 */     // MIs[0] round
     /* 1100861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100871 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1100871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1100874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100896 */     // GIR_Coverage, 16012,
     /* 1100896 */     GIR_EraseRootFromParent_Done,
     /* 1100897 */   // Label 15876: @1100897
     /* 1100897 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1100977), // Rule ID 16013 //
     /* 1100902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1100905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1100922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1100925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1100941 */     // MIs[0] round
     /* 1100941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1100944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100951 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1100951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1100954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1100960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1100962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1100964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1100975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100976 */     // GIR_Coverage, 16013,
     /* 1100976 */     GIR_EraseRootFromParent_Done,
     /* 1100977 */   // Label 15877: @1100977
     /* 1100977 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1101057), // Rule ID 16016 //
     /* 1100982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1100985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1100990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1100993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1100996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1100999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101021 */     // MIs[0] round
     /* 1101021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101031 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1101034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101056 */     // GIR_Coverage, 16016,
     /* 1101056 */     GIR_EraseRootFromParent_Done,
     /* 1101057 */   // Label 15878: @1101057
     /* 1101057 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1101137), // Rule ID 16017 //
     /* 1101062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1101073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1101076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1101079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101101 */     // MIs[0] round
     /* 1101101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101111 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1101114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101136 */     // GIR_Coverage, 16017,
     /* 1101136 */     GIR_EraseRootFromParent_Done,
     /* 1101137 */   // Label 15879: @1101137
     /* 1101137 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1101217), // Rule ID 16020 //
     /* 1101142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101181 */     // MIs[0] round
     /* 1101181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101191 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101216 */     // GIR_Coverage, 16020,
     /* 1101216 */     GIR_EraseRootFromParent_Done,
     /* 1101217 */   // Label 15880: @1101217
     /* 1101217 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1101297), // Rule ID 16021 //
     /* 1101222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101261 */     // MIs[0] round
     /* 1101261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101271 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101296 */     // GIR_Coverage, 16021,
     /* 1101296 */     GIR_EraseRootFromParent_Done,
     /* 1101297 */   // Label 15881: @1101297
     /* 1101297 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1101377), // Rule ID 16024 //
     /* 1101302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101341 */     // MIs[0] round
     /* 1101341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101351 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1101354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101376 */     // GIR_Coverage, 16024,
     /* 1101376 */     GIR_EraseRootFromParent_Done,
     /* 1101377 */   // Label 15882: @1101377
     /* 1101377 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1101457), // Rule ID 16025 //
     /* 1101382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101421 */     // MIs[0] round
     /* 1101421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101431 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1101434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101456 */     // GIR_Coverage, 16025,
     /* 1101456 */     GIR_EraseRootFromParent_Done,
     /* 1101457 */   // Label 15883: @1101457
     /* 1101457 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1101537), // Rule ID 16028 //
     /* 1101462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101501 */     // MIs[0] round
     /* 1101501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101536 */     // GIR_Coverage, 16028,
     /* 1101536 */     GIR_EraseRootFromParent_Done,
     /* 1101537 */   // Label 15884: @1101537
     /* 1101537 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1101617), // Rule ID 16029 //
     /* 1101542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101581 */     // MIs[0] round
     /* 1101581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101591 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101616 */     // GIR_Coverage, 16029,
     /* 1101616 */     GIR_EraseRootFromParent_Done,
     /* 1101617 */   // Label 15885: @1101617
     /* 1101617 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1101697), // Rule ID 16032 //
     /* 1101622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101661 */     // MIs[0] round
     /* 1101661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101696 */     // GIR_Coverage, 16032,
     /* 1101696 */     GIR_EraseRootFromParent_Done,
     /* 1101697 */   // Label 15886: @1101697
     /* 1101697 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1101777), // Rule ID 16033 //
     /* 1101702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101741 */     // MIs[0] round
     /* 1101741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101751 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1101754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101776 */     // GIR_Coverage, 16033,
     /* 1101776 */     GIR_EraseRootFromParent_Done,
     /* 1101777 */   // Label 15887: @1101777
     /* 1101777 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1101857), // Rule ID 16036 //
     /* 1101782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101821 */     // MIs[0] round
     /* 1101821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101831 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1101834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101856 */     // GIR_Coverage, 16036,
     /* 1101856 */     GIR_EraseRootFromParent_Done,
     /* 1101857 */   // Label 15888: @1101857
     /* 1101857 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1101937), // Rule ID 16037 //
     /* 1101862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1101865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1101882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1101885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101901 */     // MIs[0] round
     /* 1101901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101911 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1101911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1101914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1101920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1101922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1101924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1101935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101936 */     // GIR_Coverage, 16037,
     /* 1101936 */     GIR_EraseRootFromParent_Done,
     /* 1101937 */   // Label 15889: @1101937
     /* 1101937 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1102017), // Rule ID 16040 //
     /* 1101942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1101945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1101950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1101962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1101965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1101981 */     // MIs[0] round
     /* 1101981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1101984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101991 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1101991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1101994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102016 */     // GIR_Coverage, 16040,
     /* 1102016 */     GIR_EraseRootFromParent_Done,
     /* 1102017 */   // Label 15890: @1102017
     /* 1102017 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1102097), // Rule ID 16041 //
     /* 1102022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1102033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1102036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102061 */     // MIs[0] round
     /* 1102061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102071 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1102074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102096 */     // GIR_Coverage, 16041,
     /* 1102096 */     GIR_EraseRootFromParent_Done,
     /* 1102097 */   // Label 15891: @1102097
     /* 1102097 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1102177), // Rule ID 16044 //
     /* 1102102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1102105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102141 */     // MIs[0] round
     /* 1102141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1102154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102176 */     // GIR_Coverage, 16044,
     /* 1102176 */     GIR_EraseRootFromParent_Done,
     /* 1102177 */   // Label 15892: @1102177
     /* 1102177 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1102257), // Rule ID 16045 //
     /* 1102182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102221 */     // MIs[0] round
     /* 1102221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1102234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102256 */     // GIR_Coverage, 16045,
     /* 1102256 */     GIR_EraseRootFromParent_Done,
     /* 1102257 */   // Label 15893: @1102257
     /* 1102257 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1102337), // Rule ID 16048 //
     /* 1102262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1102265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102301 */     // MIs[0] round
     /* 1102301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102311 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1102314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102336 */     // GIR_Coverage, 16048,
     /* 1102336 */     GIR_EraseRootFromParent_Done,
     /* 1102337 */   // Label 15894: @1102337
     /* 1102337 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1102417), // Rule ID 16049 //
     /* 1102342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1102345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102381 */     // MIs[0] round
     /* 1102381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102391 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1102394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102416 */     // GIR_Coverage, 16049,
     /* 1102416 */     GIR_EraseRootFromParent_Done,
     /* 1102417 */   // Label 15895: @1102417
     /* 1102417 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1102497), // Rule ID 16052 //
     /* 1102422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1102425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102461 */     // MIs[0] round
     /* 1102461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1102474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102496 */     // GIR_Coverage, 16052,
     /* 1102496 */     GIR_EraseRootFromParent_Done,
     /* 1102497 */   // Label 15896: @1102497
     /* 1102497 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1102577), // Rule ID 16053 //
     /* 1102502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102541 */     // MIs[0] round
     /* 1102541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102551 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1102554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102576 */     // GIR_Coverage, 16053,
     /* 1102576 */     GIR_EraseRootFromParent_Done,
     /* 1102577 */   // Label 15897: @1102577
     /* 1102577 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1102657), // Rule ID 16056 //
     /* 1102582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1102585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102621 */     // MIs[0] round
     /* 1102621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102631 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1102634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102656 */     // GIR_Coverage, 16056,
     /* 1102656 */     GIR_EraseRootFromParent_Done,
     /* 1102657 */   // Label 15898: @1102657
     /* 1102657 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1102737), // Rule ID 16057 //
     /* 1102662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102701 */     // MIs[0] round
     /* 1102701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1102714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102736 */     // GIR_Coverage, 16057,
     /* 1102736 */     GIR_EraseRootFromParent_Done,
     /* 1102737 */   // Label 15899: @1102737
     /* 1102737 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1102817), // Rule ID 16060 //
     /* 1102742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1102745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102781 */     // MIs[0] round
     /* 1102781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102791 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1102794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102816 */     // GIR_Coverage, 16060,
     /* 1102816 */     GIR_EraseRootFromParent_Done,
     /* 1102817 */   // Label 15900: @1102817
     /* 1102817 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1102897), // Rule ID 16061 //
     /* 1102822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1102842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1102845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102861 */     // MIs[0] round
     /* 1102861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102871 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1102871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1102874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102896 */     // GIR_Coverage, 16061,
     /* 1102896 */     GIR_EraseRootFromParent_Done,
     /* 1102897 */   // Label 15901: @1102897
     /* 1102897 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1102977), // Rule ID 16064 //
     /* 1102902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1102905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1102922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1102925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1102941 */     // MIs[0] round
     /* 1102941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1102944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102951 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1102951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1102954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1102960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1102962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1102964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1102975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102976 */     // GIR_Coverage, 16064,
     /* 1102976 */     GIR_EraseRootFromParent_Done,
     /* 1102977 */   // Label 15902: @1102977
     /* 1102977 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1103057), // Rule ID 16065 //
     /* 1102982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1102985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1102990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103021 */     // MIs[0] round
     /* 1103021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103031 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1103034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103056 */     // GIR_Coverage, 16065,
     /* 1103056 */     GIR_EraseRootFromParent_Done,
     /* 1103057 */   // Label 15903: @1103057
     /* 1103057 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1103137), // Rule ID 16068 //
     /* 1103062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1103065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103101 */     // MIs[0] round
     /* 1103101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1103114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103136 */     // GIR_Coverage, 16068,
     /* 1103136 */     GIR_EraseRootFromParent_Done,
     /* 1103137 */   // Label 15904: @1103137
     /* 1103137 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1103217), // Rule ID 16069 //
     /* 1103142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1103145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103181 */     // MIs[0] round
     /* 1103181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103191 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1103194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103216 */     // GIR_Coverage, 16069,
     /* 1103216 */     GIR_EraseRootFromParent_Done,
     /* 1103217 */   // Label 15905: @1103217
     /* 1103217 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1103297), // Rule ID 16072 //
     /* 1103222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1103225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103261 */     // MIs[0] round
     /* 1103261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103271 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1103274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103296 */     // GIR_Coverage, 16072,
     /* 1103296 */     GIR_EraseRootFromParent_Done,
     /* 1103297 */   // Label 15906: @1103297
     /* 1103297 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1103377), // Rule ID 16073 //
     /* 1103302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1103305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103341 */     // MIs[0] round
     /* 1103341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103351 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1103354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103376 */     // GIR_Coverage, 16073,
     /* 1103376 */     GIR_EraseRootFromParent_Done,
     /* 1103377 */   // Label 15907: @1103377
     /* 1103377 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1103457), // Rule ID 16076 //
     /* 1103382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1103385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103421 */     // MIs[0] round
     /* 1103421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103431 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1103434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103456 */     // GIR_Coverage, 16076,
     /* 1103456 */     GIR_EraseRootFromParent_Done,
     /* 1103457 */   // Label 15908: @1103457
     /* 1103457 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1103537), // Rule ID 16077 //
     /* 1103462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1103465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103501 */     // MIs[0] round
     /* 1103501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103511 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1103514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103536 */     // GIR_Coverage, 16077,
     /* 1103536 */     GIR_EraseRootFromParent_Done,
     /* 1103537 */   // Label 15909: @1103537
     /* 1103537 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1103617), // Rule ID 16080 //
     /* 1103542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1103545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103581 */     // MIs[0] round
     /* 1103581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103591 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1103594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103616 */     // GIR_Coverage, 16080,
     /* 1103616 */     GIR_EraseRootFromParent_Done,
     /* 1103617 */   // Label 15910: @1103617
     /* 1103617 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1103697), // Rule ID 16081 //
     /* 1103622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1103625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103661 */     // MIs[0] round
     /* 1103661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103671 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1103674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103696 */     // GIR_Coverage, 16081,
     /* 1103696 */     GIR_EraseRootFromParent_Done,
     /* 1103697 */   // Label 15911: @1103697
     /* 1103697 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1103777), // Rule ID 16084 //
     /* 1103702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1103705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103741 */     // MIs[0] round
     /* 1103741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103751 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1103754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103776 */     // GIR_Coverage, 16084,
     /* 1103776 */     GIR_EraseRootFromParent_Done,
     /* 1103777 */   // Label 15912: @1103777
     /* 1103777 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1103857), // Rule ID 16085 //
     /* 1103782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1103785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103821 */     // MIs[0] round
     /* 1103821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103831 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1103834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103856 */     // GIR_Coverage, 16085,
     /* 1103856 */     GIR_EraseRootFromParent_Done,
     /* 1103857 */   // Label 15913: @1103857
     /* 1103857 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1103937), // Rule ID 16088 //
     /* 1103862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1103865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1103882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1103885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103901 */     // MIs[0] round
     /* 1103901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103911 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1103911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1103914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1103920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1103922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1103924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1103935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103936 */     // GIR_Coverage, 16088,
     /* 1103936 */     GIR_EraseRootFromParent_Done,
     /* 1103937 */   // Label 15914: @1103937
     /* 1103937 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1104017), // Rule ID 16089 //
     /* 1103942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1103945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1103950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1103962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1103965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1103981 */     // MIs[0] round
     /* 1103981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1103984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103991 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1103991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1103994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104016 */     // GIR_Coverage, 16089,
     /* 1104016 */     GIR_EraseRootFromParent_Done,
     /* 1104017 */   // Label 15915: @1104017
     /* 1104017 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1104097), // Rule ID 16092 //
     /* 1104022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1104025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1104030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1104039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1104042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1104061 */     // MIs[0] round
     /* 1104061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104071 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1104074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104096 */     // GIR_Coverage, 16092,
     /* 1104096 */     GIR_EraseRootFromParent_Done,
     /* 1104097 */   // Label 15916: @1104097
     /* 1104097 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1104177), // Rule ID 16093 //
     /* 1104102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1104105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1104110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1104119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1104122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1104141 */     // MIs[0] round
     /* 1104141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104151 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1104154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104176 */     // GIR_Coverage, 16093,
     /* 1104176 */     GIR_EraseRootFromParent_Done,
     /* 1104177 */   // Label 15917: @1104177
     /* 1104177 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1104257), // Rule ID 16096 //
     /* 1104182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1104185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1104190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1104202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1104221 */     // MIs[0] round
     /* 1104221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104231 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1104234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104256 */     // GIR_Coverage, 16096,
     /* 1104256 */     GIR_EraseRootFromParent_Done,
     /* 1104257 */   // Label 15918: @1104257
     /* 1104257 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1104337), // Rule ID 16097 //
     /* 1104262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1104265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1104270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1104282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1104301 */     // MIs[0] round
     /* 1104301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104311 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11233:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1104314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104336 */     // GIR_Coverage, 16097,
     /* 1104336 */     GIR_EraseRootFromParent_Done,
     /* 1104337 */   // Label 15919: @1104337
     /* 1104337 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1104420), // Rule ID 16188 //
     /* 1104342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1104345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1104353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1104356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1104362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104381 */     // MIs[0] round
     /* 1104381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1104394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104419 */     // GIR_Coverage, 16188,
     /* 1104419 */     GIR_EraseRootFromParent_Done,
     /* 1104420 */   // Label 15920: @1104420
     /* 1104420 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1104503), // Rule ID 16189 //
     /* 1104425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1104428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1104436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1104439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1104445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104464 */     // MIs[0] round
     /* 1104464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104474 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1104477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104502 */     // GIR_Coverage, 16189,
     /* 1104502 */     GIR_EraseRootFromParent_Done,
     /* 1104503 */   // Label 15921: @1104503
     /* 1104503 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1104586), // Rule ID 16192 //
     /* 1104508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1104511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1104519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1104522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1104528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104547 */     // MIs[0] round
     /* 1104547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104557 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1104560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104585 */     // GIR_Coverage, 16192,
     /* 1104585 */     GIR_EraseRootFromParent_Done,
     /* 1104586 */   // Label 15922: @1104586
     /* 1104586 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1104669), // Rule ID 16193 //
     /* 1104591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1104594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1104602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1104605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1104611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104630 */     // MIs[0] round
     /* 1104630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1104643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104668 */     // GIR_Coverage, 16193,
     /* 1104668 */     GIR_EraseRootFromParent_Done,
     /* 1104669 */   // Label 15923: @1104669
     /* 1104669 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1104752), // Rule ID 16196 //
     /* 1104674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1104677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1104694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104713 */     // MIs[0] round
     /* 1104713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104723 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1104726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104751 */     // GIR_Coverage, 16196,
     /* 1104751 */     GIR_EraseRootFromParent_Done,
     /* 1104752 */   // Label 15924: @1104752
     /* 1104752 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1104835), // Rule ID 16197 //
     /* 1104757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1104760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1104774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1104777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104796 */     // MIs[0] round
     /* 1104796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104806 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1104809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104834 */     // GIR_Coverage, 16197,
     /* 1104834 */     GIR_EraseRootFromParent_Done,
     /* 1104835 */   // Label 15925: @1104835
     /* 1104835 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1104918), // Rule ID 16200 //
     /* 1104840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1104843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1104860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1104863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104879 */     // MIs[0] round
     /* 1104879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104889 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1104889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1104892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104917 */     // GIR_Coverage, 16200,
     /* 1104917 */     GIR_EraseRootFromParent_Done,
     /* 1104918 */   // Label 15926: @1104918
     /* 1104918 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1105001), // Rule ID 16201 //
     /* 1104923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1104926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1104931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1104934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1104937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1104940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1104943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1104946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1104958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104962 */     // MIs[0] round
     /* 1104962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1104965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1104972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1104975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1104981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1104983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1104985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1104996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1104999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105000 */     // GIR_Coverage, 16201,
     /* 1105000 */     GIR_EraseRootFromParent_Done,
     /* 1105001 */   // Label 15927: @1105001
     /* 1105001 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1105084), // Rule ID 16204 //
     /* 1105006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1105026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105045 */     // MIs[0] round
     /* 1105045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105055 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1105058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105083 */     // GIR_Coverage, 16204,
     /* 1105083 */     GIR_EraseRootFromParent_Done,
     /* 1105084 */   // Label 15928: @1105084
     /* 1105084 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1105167), // Rule ID 16205 //
     /* 1105089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1105106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1105109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105128 */     // MIs[0] round
     /* 1105128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1105141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105166 */     // GIR_Coverage, 16205,
     /* 1105166 */     GIR_EraseRootFromParent_Done,
     /* 1105167 */   // Label 15929: @1105167
     /* 1105167 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1105250), // Rule ID 16208 //
     /* 1105172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1105192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105211 */     // MIs[0] round
     /* 1105211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105221 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1105224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105249 */     // GIR_Coverage, 16208,
     /* 1105249 */     GIR_EraseRootFromParent_Done,
     /* 1105250 */   // Label 15930: @1105250
     /* 1105250 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1105333), // Rule ID 16209 //
     /* 1105255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1105272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1105275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1105290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105294 */     // MIs[0] round
     /* 1105294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1105307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105332 */     // GIR_Coverage, 16209,
     /* 1105332 */     GIR_EraseRootFromParent_Done,
     /* 1105333 */   // Label 15931: @1105333
     /* 1105333 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1105416), // Rule ID 16212 //
     /* 1105338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1105349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1105352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1105358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105377 */     // MIs[0] round
     /* 1105377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1105390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105415 */     // GIR_Coverage, 16212,
     /* 1105415 */     GIR_EraseRootFromParent_Done,
     /* 1105416 */   // Label 15932: @1105416
     /* 1105416 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1105499), // Rule ID 16213 //
     /* 1105421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1105432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1105435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1105441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105460 */     // MIs[0] round
     /* 1105460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105470 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1105473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105498 */     // GIR_Coverage, 16213,
     /* 1105498 */     GIR_EraseRootFromParent_Done,
     /* 1105499 */   // Label 15933: @1105499
     /* 1105499 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1105582), // Rule ID 16216 //
     /* 1105504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1105515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1105518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1105524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105543 */     // MIs[0] round
     /* 1105543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1105556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105581 */     // GIR_Coverage, 16216,
     /* 1105581 */     GIR_EraseRootFromParent_Done,
     /* 1105582 */   // Label 15934: @1105582
     /* 1105582 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1105665), // Rule ID 16217 //
     /* 1105587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1105598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1105601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1105607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105626 */     // MIs[0] round
     /* 1105626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105636 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1105639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105664 */     // GIR_Coverage, 16217,
     /* 1105664 */     GIR_EraseRootFromParent_Done,
     /* 1105665 */   // Label 15935: @1105665
     /* 1105665 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1105748), // Rule ID 16220 //
     /* 1105670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1105681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1105684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1105690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105709 */     // MIs[0] round
     /* 1105709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1105722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105747 */     // GIR_Coverage, 16220,
     /* 1105747 */     GIR_EraseRootFromParent_Done,
     /* 1105748 */   // Label 15936: @1105748
     /* 1105748 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1105831), // Rule ID 16221 //
     /* 1105753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1105764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1105767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1105770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1105773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105792 */     // MIs[0] round
     /* 1105792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1105805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105830 */     // GIR_Coverage, 16221,
     /* 1105830 */     GIR_EraseRootFromParent_Done,
     /* 1105831 */   // Label 15937: @1105831
     /* 1105831 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1105914), // Rule ID 16224 //
     /* 1105836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1105839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1105856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1105859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105875 */     // MIs[0] round
     /* 1105875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1105885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1105888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105913 */     // GIR_Coverage, 16224,
     /* 1105913 */     GIR_EraseRootFromParent_Done,
     /* 1105914 */   // Label 15938: @1105914
     /* 1105914 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1105997), // Rule ID 16225 //
     /* 1105919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1105922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1105927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1105930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1105933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1105936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1105939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1105942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1105954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105958 */     // MIs[0] round
     /* 1105958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1105961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1105968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1105971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1105977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1105979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1105981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1105992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1105995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105996 */     // GIR_Coverage, 16225,
     /* 1105996 */     GIR_EraseRootFromParent_Done,
     /* 1105997 */   // Label 15939: @1105997
     /* 1105997 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1106080), // Rule ID 16228 //
     /* 1106002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1106005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1106013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1106016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1106022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106041 */     // MIs[0] round
     /* 1106041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1106054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106079 */     // GIR_Coverage, 16228,
     /* 1106079 */     GIR_EraseRootFromParent_Done,
     /* 1106080 */   // Label 15940: @1106080
     /* 1106080 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1106163), // Rule ID 16229 //
     /* 1106085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1106088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1106096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1106099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1106102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1106105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106124 */     // MIs[0] round
     /* 1106124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1106137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106162 */     // GIR_Coverage, 16229,
     /* 1106162 */     GIR_EraseRootFromParent_Done,
     /* 1106163 */   // Label 15941: @1106163
     /* 1106163 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1106246), // Rule ID 16232 //
     /* 1106168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1106171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1106185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106207 */     // MIs[0] round
     /* 1106207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106217 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1106220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106245 */     // GIR_Coverage, 16232,
     /* 1106245 */     GIR_EraseRootFromParent_Done,
     /* 1106246 */   // Label 15942: @1106246
     /* 1106246 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1106329), // Rule ID 16233 //
     /* 1106251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1106254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1106262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1106265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1106268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1106271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106290 */     // MIs[0] round
     /* 1106290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1106303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106328 */     // GIR_Coverage, 16233,
     /* 1106328 */     GIR_EraseRootFromParent_Done,
     /* 1106329 */   // Label 15943: @1106329
     /* 1106329 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1106412), // Rule ID 16236 //
     /* 1106334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1106337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106373 */     // MIs[0] round
     /* 1106373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1106386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106411 */     // GIR_Coverage, 16236,
     /* 1106411 */     GIR_EraseRootFromParent_Done,
     /* 1106412 */   // Label 15944: @1106412
     /* 1106412 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1106495), // Rule ID 16237 //
     /* 1106417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1106420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1106428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1106431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1106434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1106437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106456 */     // MIs[0] round
     /* 1106456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1106469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106494 */     // GIR_Coverage, 16237,
     /* 1106494 */     GIR_EraseRootFromParent_Done,
     /* 1106495 */   // Label 15945: @1106495
     /* 1106495 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1106578), // Rule ID 16240 //
     /* 1106500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1106503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106539 */     // MIs[0] round
     /* 1106539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106549 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1106552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106577 */     // GIR_Coverage, 16240,
     /* 1106577 */     GIR_EraseRootFromParent_Done,
     /* 1106578 */   // Label 15946: @1106578
     /* 1106578 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1106661), // Rule ID 16241 //
     /* 1106583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1106586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1106600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1106603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106622 */     // MIs[0] round
     /* 1106622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1106635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106660 */     // GIR_Coverage, 16241,
     /* 1106660 */     GIR_EraseRootFromParent_Done,
     /* 1106661 */   // Label 15947: @1106661
     /* 1106661 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1106744), // Rule ID 16244 //
     /* 1106666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1106669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106705 */     // MIs[0] round
     /* 1106705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1106718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106743 */     // GIR_Coverage, 16244,
     /* 1106743 */     GIR_EraseRootFromParent_Done,
     /* 1106744 */   // Label 15948: @1106744
     /* 1106744 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1106827), // Rule ID 16245 //
     /* 1106749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1106752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1106766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1106769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106788 */     // MIs[0] round
     /* 1106788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106798 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1106801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106826 */     // GIR_Coverage, 16245,
     /* 1106826 */     GIR_EraseRootFromParent_Done,
     /* 1106827 */   // Label 15949: @1106827
     /* 1106827 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1106910), // Rule ID 16248 //
     /* 1106832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1106835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1106843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1106846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1106849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1106852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1106855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1106871 */     // MIs[0] round
     /* 1106871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106881 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1106881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1106884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106909 */     // GIR_Coverage, 16248,
     /* 1106909 */     GIR_EraseRootFromParent_Done,
     /* 1106910 */   // Label 15950: @1106910
     /* 1106910 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1106993), // Rule ID 16249 //
     /* 1106915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1106918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1106923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1106926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1106929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1106932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1106935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1106938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1106950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1106954 */     // MIs[0] round
     /* 1106954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1106957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1106964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1106967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1106973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1106975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1106977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1106988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1106991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106992 */     // GIR_Coverage, 16249,
     /* 1106992 */     GIR_EraseRootFromParent_Done,
     /* 1106993 */   // Label 15951: @1106993
     /* 1106993 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1107076), // Rule ID 16252 //
     /* 1106998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107037 */     // MIs[0] round
     /* 1107037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107047 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1107050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107075 */     // GIR_Coverage, 16252,
     /* 1107075 */     GIR_EraseRootFromParent_Done,
     /* 1107076 */   // Label 15952: @1107076
     /* 1107076 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1107159), // Rule ID 16253 //
     /* 1107081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1107098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107120 */     // MIs[0] round
     /* 1107120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1107133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107158 */     // GIR_Coverage, 16253,
     /* 1107158 */     GIR_EraseRootFromParent_Done,
     /* 1107159 */   // Label 15953: @1107159
     /* 1107159 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1107242), // Rule ID 16256 //
     /* 1107164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1107181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107203 */     // MIs[0] round
     /* 1107203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107213 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1107216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107241 */     // GIR_Coverage, 16256,
     /* 1107241 */     GIR_EraseRootFromParent_Done,
     /* 1107242 */   // Label 15954: @1107242
     /* 1107242 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1107325), // Rule ID 16257 //
     /* 1107247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1107264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107286 */     // MIs[0] round
     /* 1107286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1107299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107324 */     // GIR_Coverage, 16257,
     /* 1107324 */     GIR_EraseRootFromParent_Done,
     /* 1107325 */   // Label 15955: @1107325
     /* 1107325 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1107408), // Rule ID 16260 //
     /* 1107330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1107341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1107344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1107347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107369 */     // MIs[0] round
     /* 1107369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1107382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107407 */     // GIR_Coverage, 16260,
     /* 1107407 */     GIR_EraseRootFromParent_Done,
     /* 1107408 */   // Label 15956: @1107408
     /* 1107408 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1107491), // Rule ID 16261 //
     /* 1107413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1107424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1107427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1107430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107452 */     // MIs[0] round
     /* 1107452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11119:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1107465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107490 */     // GIR_Coverage, 16261,
     /* 1107490 */     GIR_EraseRootFromParent_Done,
     /* 1107491 */   // Label 15957: @1107491
     /* 1107491 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1107574), // Rule ID 16264 //
     /* 1107496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1107507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1107510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1107513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107535 */     // MIs[0] round
     /* 1107535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1107548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107573 */     // GIR_Coverage, 16264,
     /* 1107573 */     GIR_EraseRootFromParent_Done,
     /* 1107574 */   // Label 15958: @1107574
     /* 1107574 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1107657), // Rule ID 16265 //
     /* 1107579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1107590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1107593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1107596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107618 */     // MIs[0] round
     /* 1107618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1107631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107656 */     // GIR_Coverage, 16265,
     /* 1107656 */     GIR_EraseRootFromParent_Done,
     /* 1107657 */   // Label 15959: @1107657
     /* 1107657 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1107740), // Rule ID 16268 //
     /* 1107662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1107673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1107676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1107679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107701 */     // MIs[0] round
     /* 1107701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107711 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1107714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107739 */     // GIR_Coverage, 16268,
     /* 1107739 */     GIR_EraseRootFromParent_Done,
     /* 1107740 */   // Label 15960: @1107740
     /* 1107740 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1107823), // Rule ID 16269 //
     /* 1107745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1107756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1107759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1107762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107784 */     // MIs[0] round
     /* 1107784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1107797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107822 */     // GIR_Coverage, 16269,
     /* 1107822 */     GIR_EraseRootFromParent_Done,
     /* 1107823 */   // Label 15961: @1107823
     /* 1107823 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1107906), // Rule ID 16272 //
     /* 1107828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1107848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1107851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107867 */     // MIs[0] round
     /* 1107867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107877 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1107877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1107880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107905 */     // GIR_Coverage, 16272,
     /* 1107905 */     GIR_EraseRootFromParent_Done,
     /* 1107906 */   // Label 15962: @1107906
     /* 1107906 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1107989), // Rule ID 16273 //
     /* 1107911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1107914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1107919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1107922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1107925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1107928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1107931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1107934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1107950 */     // MIs[0] round
     /* 1107950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1107953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1107960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1107963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1107969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1107971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1107973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1107981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1107984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1107987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107988 */     // GIR_Coverage, 16273,
     /* 1107988 */     GIR_EraseRootFromParent_Done,
     /* 1107989 */   // Label 15963: @1107989
     /* 1107989 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1108072), // Rule ID 16276 //
     /* 1107994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1107997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1108005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1108008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108033 */     // MIs[0] round
     /* 1108033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1108046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108071 */     // GIR_Coverage, 16276,
     /* 1108071 */     GIR_EraseRootFromParent_Done,
     /* 1108072 */   // Label 15964: @1108072
     /* 1108072 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1108155), // Rule ID 16277 //
     /* 1108077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1108080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1108088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1108091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108116 */     // MIs[0] round
     /* 1108116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1108129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108154 */     // GIR_Coverage, 16277,
     /* 1108154 */     GIR_EraseRootFromParent_Done,
     /* 1108155 */   // Label 15965: @1108155
     /* 1108155 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1108238), // Rule ID 16280 //
     /* 1108160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1108163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108199 */     // MIs[0] round
     /* 1108199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1108212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108237 */     // GIR_Coverage, 16280,
     /* 1108237 */     GIR_EraseRootFromParent_Done,
     /* 1108238 */   // Label 15966: @1108238
     /* 1108238 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1108321), // Rule ID 16281 //
     /* 1108243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1108246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1108260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108282 */     // MIs[0] round
     /* 1108282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11119:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1108295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108320 */     // GIR_Coverage, 16281,
     /* 1108320 */     GIR_EraseRootFromParent_Done,
     /* 1108321 */   // Label 15967: @1108321
     /* 1108321 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1108404), // Rule ID 16284 //
     /* 1108326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1108329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1108337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1108340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108365 */     // MIs[0] round
     /* 1108365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108375 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1108378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108403 */     // GIR_Coverage, 16284,
     /* 1108403 */     GIR_EraseRootFromParent_Done,
     /* 1108404 */   // Label 15968: @1108404
     /* 1108404 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1108487), // Rule ID 16285 //
     /* 1108409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1108412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1108420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1108423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1108426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108448 */     // MIs[0] round
     /* 1108448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108458 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1108461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108486 */     // GIR_Coverage, 16285,
     /* 1108486 */     GIR_EraseRootFromParent_Done,
     /* 1108487 */   // Label 15969: @1108487
     /* 1108487 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1108570), // Rule ID 16288 //
     /* 1108492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1108495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1108503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1108506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108531 */     // MIs[0] round
     /* 1108531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108541 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1108544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108569 */     // GIR_Coverage, 16288,
     /* 1108569 */     GIR_EraseRootFromParent_Done,
     /* 1108570 */   // Label 15970: @1108570
     /* 1108570 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1108653), // Rule ID 16289 //
     /* 1108575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1108578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1108586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1108589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1108592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1108606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1108610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108614 */     // MIs[0] round
     /* 1108614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1108627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108652 */     // GIR_Coverage, 16289,
     /* 1108652 */     GIR_EraseRootFromParent_Done,
     /* 1108653 */   // Label 15971: @1108653
     /* 1108653 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1108736), // Rule ID 16292 //
     /* 1108658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1108661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108697 */     // MIs[0] round
     /* 1108697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1108710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108735 */     // GIR_Coverage, 16292,
     /* 1108735 */     GIR_EraseRootFromParent_Done,
     /* 1108736 */   // Label 15972: @1108736
     /* 1108736 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1108819), // Rule ID 16293 //
     /* 1108741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1108744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1108758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108780 */     // MIs[0] round
     /* 1108780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1108793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108818 */     // GIR_Coverage, 16293,
     /* 1108818 */     GIR_EraseRootFromParent_Done,
     /* 1108819 */   // Label 15973: @1108819
     /* 1108819 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1108902), // Rule ID 16296 //
     /* 1108824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1108827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1108844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1108847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108863 */     // MIs[0] round
     /* 1108863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1108873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1108876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108901 */     // GIR_Coverage, 16296,
     /* 1108901 */     GIR_EraseRootFromParent_Done,
     /* 1108902 */   // Label 15974: @1108902
     /* 1108902 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1108985), // Rule ID 16297 //
     /* 1108907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1108910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1108924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1108927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1108930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1108942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1108946 */     // MIs[0] round
     /* 1108946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1108949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108956 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11119:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1108956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1108959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1108965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1108967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1108969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1108980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1108983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108984 */     // GIR_Coverage, 16297,
     /* 1108984 */     GIR_EraseRootFromParent_Done,
     /* 1108985 */   // Label 15975: @1108985
     /* 1108985 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1109068), // Rule ID 16300 //
     /* 1108990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1108993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1108998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1109010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109029 */     // MIs[0] round
     /* 1109029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1109042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109067 */     // GIR_Coverage, 16300,
     /* 1109067 */     GIR_EraseRootFromParent_Done,
     /* 1109068 */   // Label 15976: @1109068
     /* 1109068 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1109151), // Rule ID 16301 //
     /* 1109073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1109076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1109081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1109084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1109087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1109090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1109093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109112 */     // MIs[0] round
     /* 1109112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11119:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1109125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109150 */     // GIR_Coverage, 16301,
     /* 1109150 */     GIR_EraseRootFromParent_Done,
     /* 1109151 */   // Label 15977: @1109151
     /* 1109151 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1109234), // Rule ID 16304 //
     /* 1109156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1109159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1109164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1109173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1109176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109195 */     // MIs[0] round
     /* 1109195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109205 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1109208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109233 */     // GIR_Coverage, 16304,
     /* 1109233 */     GIR_EraseRootFromParent_Done,
     /* 1109234 */   // Label 15978: @1109234
     /* 1109234 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1109317), // Rule ID 16305 //
     /* 1109239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1109242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1109247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1109250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1109253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1109256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1109259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1109278 */     // MIs[0] round
     /* 1109278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11119:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1109291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109316 */     // GIR_Coverage, 16305,
     /* 1109316 */     GIR_EraseRootFromParent_Done,
     /* 1109317 */   // Label 15979: @1109317
     /* 1109317 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1109400), // Rule ID 16368 //
     /* 1109322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1109325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1109333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1109336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1109339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1109342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109361 */     // MIs[0] round
     /* 1109361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1109374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109399 */     // GIR_Coverage, 16368,
     /* 1109399 */     GIR_EraseRootFromParent_Done,
     /* 1109400 */   // Label 15980: @1109400
     /* 1109400 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1109483), // Rule ID 16369 //
     /* 1109405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1109408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1109416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1109419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1109422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1109425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109444 */     // MIs[0] round
     /* 1109444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109454 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1109457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109482 */     // GIR_Coverage, 16369,
     /* 1109482 */     GIR_EraseRootFromParent_Done,
     /* 1109483 */   // Label 15981: @1109483
     /* 1109483 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1109566), // Rule ID 16372 //
     /* 1109488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1109491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1109499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1109502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1109505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1109508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109527 */     // MIs[0] round
     /* 1109527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109537 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1109540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109565 */     // GIR_Coverage, 16372,
     /* 1109565 */     GIR_EraseRootFromParent_Done,
     /* 1109566 */   // Label 15982: @1109566
     /* 1109566 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1109649), // Rule ID 16373 //
     /* 1109571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1109574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1109582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1109585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1109588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1109591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109610 */     // MIs[0] round
     /* 1109610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109620 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1109623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109648 */     // GIR_Coverage, 16373,
     /* 1109648 */     GIR_EraseRootFromParent_Done,
     /* 1109649 */   // Label 15983: @1109649
     /* 1109649 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1109732), // Rule ID 16376 //
     /* 1109654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1109657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1109665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1109668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1109671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1109674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109693 */     // MIs[0] round
     /* 1109693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1109706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109731 */     // GIR_Coverage, 16376,
     /* 1109731 */     GIR_EraseRootFromParent_Done,
     /* 1109732 */   // Label 15984: @1109732
     /* 1109732 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1109815), // Rule ID 16377 //
     /* 1109737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1109740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1109748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1109751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1109754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1109757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109776 */     // MIs[0] round
     /* 1109776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109786 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1109789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109814 */     // GIR_Coverage, 16377,
     /* 1109814 */     GIR_EraseRootFromParent_Done,
     /* 1109815 */   // Label 15985: @1109815
     /* 1109815 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1109898), // Rule ID 16380 //
     /* 1109820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1109823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1109831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1109834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1109840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1109843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109859 */     // MIs[0] round
     /* 1109859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1109869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1109872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109897 */     // GIR_Coverage, 16380,
     /* 1109897 */     GIR_EraseRootFromParent_Done,
     /* 1109898 */   // Label 15986: @1109898
     /* 1109898 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1109981), // Rule ID 16381 //
     /* 1109903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1109906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1109914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1109917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1109923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1109926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109942 */     // MIs[0] round
     /* 1109942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1109945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109952 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1109952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1109955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1109961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1109963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1109965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1109976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1109979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109980 */     // GIR_Coverage, 16381,
     /* 1109980 */     GIR_EraseRootFromParent_Done,
     /* 1109981 */   // Label 15987: @1109981
     /* 1109981 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1110064), // Rule ID 16384 //
     /* 1109986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1109989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1109994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1109997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1110000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1110003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1110006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110025 */     // MIs[0] round
     /* 1110025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1110038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1110056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110063 */     // GIR_Coverage, 16384,
     /* 1110063 */     GIR_EraseRootFromParent_Done,
     /* 1110064 */   // Label 15988: @1110064
     /* 1110064 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1110147), // Rule ID 16385 //
     /* 1110069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1110080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1110083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1110086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1110089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110108 */     // MIs[0] round
     /* 1110108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1110121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1110139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110146 */     // GIR_Coverage, 16385,
     /* 1110146 */     GIR_EraseRootFromParent_Done,
     /* 1110147 */   // Label 15989: @1110147
     /* 1110147 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1110230), // Rule ID 16388 //
     /* 1110152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1110163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1110166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1110169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1110172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110191 */     // MIs[0] round
     /* 1110191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1110204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1110222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110229 */     // GIR_Coverage, 16388,
     /* 1110229 */     GIR_EraseRootFromParent_Done,
     /* 1110230 */   // Label 15990: @1110230
     /* 1110230 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1110313), // Rule ID 16389 //
     /* 1110235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1110246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1110249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1110252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1110255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110274 */     // MIs[0] round
     /* 1110274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110284 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1110287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1110305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110312 */     // GIR_Coverage, 16389,
     /* 1110312 */     GIR_EraseRootFromParent_Done,
     /* 1110313 */   // Label 15991: @1110313
     /* 1110313 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1110396), // Rule ID 16392 //
     /* 1110318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1110329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1110332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1110338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110357 */     // MIs[0] round
     /* 1110357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1110370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110395 */     // GIR_Coverage, 16392,
     /* 1110395 */     GIR_EraseRootFromParent_Done,
     /* 1110396 */   // Label 15992: @1110396
     /* 1110396 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1110479), // Rule ID 16393 //
     /* 1110401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1110412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1110415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1110418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1110421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110440 */     // MIs[0] round
     /* 1110440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1110453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110478 */     // GIR_Coverage, 16393,
     /* 1110478 */     GIR_EraseRootFromParent_Done,
     /* 1110479 */   // Label 15993: @1110479
     /* 1110479 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1110562), // Rule ID 16396 //
     /* 1110484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1110495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1110498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1110504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110523 */     // MIs[0] round
     /* 1110523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110561 */     // GIR_Coverage, 16396,
     /* 1110561 */     GIR_EraseRootFromParent_Done,
     /* 1110562 */   // Label 15994: @1110562
     /* 1110562 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1110645), // Rule ID 16397 //
     /* 1110567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1110578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1110581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1110584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1110587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110606 */     // MIs[0] round
     /* 1110606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110616 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1110619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110644 */     // GIR_Coverage, 16397,
     /* 1110644 */     GIR_EraseRootFromParent_Done,
     /* 1110645 */   // Label 15995: @1110645
     /* 1110645 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1110728), // Rule ID 16400 //
     /* 1110650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1110661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1110664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1110670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110689 */     // MIs[0] round
     /* 1110689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110699 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1110702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110727 */     // GIR_Coverage, 16400,
     /* 1110727 */     GIR_EraseRootFromParent_Done,
     /* 1110728 */   // Label 15996: @1110728
     /* 1110728 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1110811), // Rule ID 16401 //
     /* 1110733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1110744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1110747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1110753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1110772 */     // MIs[0] round
     /* 1110772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1110785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110810 */     // GIR_Coverage, 16401,
     /* 1110810 */     GIR_EraseRootFromParent_Done,
     /* 1110811 */   // Label 15997: @1110811
     /* 1110811 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1110894), // Rule ID 16404 //
     /* 1110816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1110827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1110830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1110836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1110839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110855 */     // MIs[0] round
     /* 1110855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110865 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1110865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1110868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110893 */     // GIR_Coverage, 16404,
     /* 1110893 */     GIR_EraseRootFromParent_Done,
     /* 1110894 */   // Label 15998: @1110894
     /* 1110894 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1110977), // Rule ID 16405 //
     /* 1110899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1110902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1110910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1110913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1110919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1110922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110938 */     // MIs[0] round
     /* 1110938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1110941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1110948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1110951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1110957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1110959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1110961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1110972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1110975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110976 */     // GIR_Coverage, 16405,
     /* 1110976 */     GIR_EraseRootFromParent_Done,
     /* 1110977 */   // Label 15999: @1110977
     /* 1110977 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1111060), // Rule ID 16408 //
     /* 1110982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1110985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1110990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1110993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1110996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1111002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111021 */     // MIs[0] round
     /* 1111021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1111034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111059 */     // GIR_Coverage, 16408,
     /* 1111059 */     GIR_EraseRootFromParent_Done,
     /* 1111060 */   // Label 16000: @1111060
     /* 1111060 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1111143), // Rule ID 16409 //
     /* 1111065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1111068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1111076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1111079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1111085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111104 */     // MIs[0] round
     /* 1111104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1111117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1111135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111142 */     // GIR_Coverage, 16409,
     /* 1111142 */     GIR_EraseRootFromParent_Done,
     /* 1111143 */   // Label 16001: @1111143
     /* 1111143 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1111226), // Rule ID 16412 //
     /* 1111148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1111151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111187 */     // MIs[0] round
     /* 1111187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1111200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111225 */     // GIR_Coverage, 16412,
     /* 1111225 */     GIR_EraseRootFromParent_Done,
     /* 1111226 */   // Label 16002: @1111226
     /* 1111226 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1111309), // Rule ID 16413 //
     /* 1111231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1111234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1111248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111270 */     // MIs[0] round
     /* 1111270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1111283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111308 */     // GIR_Coverage, 16413,
     /* 1111308 */     GIR_EraseRootFromParent_Done,
     /* 1111309 */   // Label 16003: @1111309
     /* 1111309 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1111392), // Rule ID 16416 //
     /* 1111314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1111317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111353 */     // MIs[0] round
     /* 1111353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1111366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111391 */     // GIR_Coverage, 16416,
     /* 1111391 */     GIR_EraseRootFromParent_Done,
     /* 1111392 */   // Label 16004: @1111392
     /* 1111392 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1111475), // Rule ID 16417 //
     /* 1111397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1111400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1111414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111436 */     // MIs[0] round
     /* 1111436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1111449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111474 */     // GIR_Coverage, 16417,
     /* 1111474 */     GIR_EraseRootFromParent_Done,
     /* 1111475 */   // Label 16005: @1111475
     /* 1111475 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1111558), // Rule ID 16420 //
     /* 1111480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1111483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111519 */     // MIs[0] round
     /* 1111519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111529 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1111532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111557 */     // GIR_Coverage, 16420,
     /* 1111557 */     GIR_EraseRootFromParent_Done,
     /* 1111558 */   // Label 16006: @1111558
     /* 1111558 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1111641), // Rule ID 16421 //
     /* 1111563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1111566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1111580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111602 */     // MIs[0] round
     /* 1111602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1111615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111640 */     // GIR_Coverage, 16421,
     /* 1111640 */     GIR_EraseRootFromParent_Done,
     /* 1111641 */   // Label 16007: @1111641
     /* 1111641 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1111724), // Rule ID 16424 //
     /* 1111646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1111649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111685 */     // MIs[0] round
     /* 1111685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1111698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111719 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111723 */     // GIR_Coverage, 16424,
     /* 1111723 */     GIR_EraseRootFromParent_Done,
     /* 1111724 */   // Label 16008: @1111724
     /* 1111724 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1111807), // Rule ID 16425 //
     /* 1111729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1111732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1111746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111768 */     // MIs[0] round
     /* 1111768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1111781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111806 */     // GIR_Coverage, 16425,
     /* 1111806 */     GIR_EraseRootFromParent_Done,
     /* 1111807 */   // Label 16009: @1111807
     /* 1111807 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1111890), // Rule ID 16428 //
     /* 1111812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1111815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1111823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1111826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1111829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1111832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1111835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111851 */     // MIs[0] round
     /* 1111851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111861 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1111861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1111864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1111882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111889 */     // GIR_Coverage, 16428,
     /* 1111889 */     GIR_EraseRootFromParent_Done,
     /* 1111890 */   // Label 16010: @1111890
     /* 1111890 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1111973), // Rule ID 16429 //
     /* 1111895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1111898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1111906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1111909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1111912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1111915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1111918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1111934 */     // MIs[0] round
     /* 1111934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1111937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111944 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1111944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1111947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1111957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1111968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1111971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111972 */     // GIR_Coverage, 16429,
     /* 1111972 */     GIR_EraseRootFromParent_Done,
     /* 1111973 */   // Label 16011: @1111973
     /* 1111973 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1112056), // Rule ID 16432 //
     /* 1111978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1111981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1111986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1111989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1111992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1111995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1111998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112017 */     // MIs[0] round
     /* 1112017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1112030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112055 */     // GIR_Coverage, 16432,
     /* 1112055 */     GIR_EraseRootFromParent_Done,
     /* 1112056 */   // Label 16012: @1112056
     /* 1112056 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1112139), // Rule ID 16433 //
     /* 1112061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1112072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1112075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1112078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112100 */     // MIs[0] round
     /* 1112100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1112113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112138 */     // GIR_Coverage, 16433,
     /* 1112138 */     GIR_EraseRootFromParent_Done,
     /* 1112139 */   // Label 16013: @1112139
     /* 1112139 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1112222), // Rule ID 16436 //
     /* 1112144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1112155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1112158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1112161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112183 */     // MIs[0] round
     /* 1112183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112193 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1112196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112217 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112221 */     // GIR_Coverage, 16436,
     /* 1112221 */     GIR_EraseRootFromParent_Done,
     /* 1112222 */   // Label 16014: @1112222
     /* 1112222 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1112305), // Rule ID 16437 //
     /* 1112227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1112238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1112241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1112244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112266 */     // MIs[0] round
     /* 1112266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112276 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1112279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112304 */     // GIR_Coverage, 16437,
     /* 1112304 */     GIR_EraseRootFromParent_Done,
     /* 1112305 */   // Label 16015: @1112305
     /* 1112305 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1112388), // Rule ID 16440 //
     /* 1112310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1112321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1112324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1112327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112349 */     // MIs[0] round
     /* 1112349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112359 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1112362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112387 */     // GIR_Coverage, 16440,
     /* 1112387 */     GIR_EraseRootFromParent_Done,
     /* 1112388 */   // Label 16016: @1112388
     /* 1112388 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1112471), // Rule ID 16441 //
     /* 1112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1112404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1112407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1112410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112432 */     // MIs[0] round
     /* 1112432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11117:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1112445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112470 */     // GIR_Coverage, 16441,
     /* 1112470 */     GIR_EraseRootFromParent_Done,
     /* 1112471 */   // Label 16017: @1112471
     /* 1112471 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1112554), // Rule ID 16444 //
     /* 1112476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1112487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1112490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1112493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112515 */     // MIs[0] round
     /* 1112515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112525 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1112528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112553 */     // GIR_Coverage, 16444,
     /* 1112553 */     GIR_EraseRootFromParent_Done,
     /* 1112554 */   // Label 16018: @1112554
     /* 1112554 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1112637), // Rule ID 16445 //
     /* 1112559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1112570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1112573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1112576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112598 */     // MIs[0] round
     /* 1112598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112608 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1112611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112636 */     // GIR_Coverage, 16445,
     /* 1112636 */     GIR_EraseRootFromParent_Done,
     /* 1112637 */   // Label 16019: @1112637
     /* 1112637 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1112720), // Rule ID 16448 //
     /* 1112642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1112653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1112656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1112659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112681 */     // MIs[0] round
     /* 1112681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112691 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1112694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112719 */     // GIR_Coverage, 16448,
     /* 1112719 */     GIR_EraseRootFromParent_Done,
     /* 1112720 */   // Label 16020: @1112720
     /* 1112720 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1112803), // Rule ID 16449 //
     /* 1112725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1112736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1112739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1112742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112764 */     // MIs[0] round
     /* 1112764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1112777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1112795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112802 */     // GIR_Coverage, 16449,
     /* 1112802 */     GIR_EraseRootFromParent_Done,
     /* 1112803 */   // Label 16021: @1112803
     /* 1112803 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1112886), // Rule ID 16452 //
     /* 1112808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1112819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1112822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112847 */     // MIs[0] round
     /* 1112847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112857 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1112857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1112860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112885 */     // GIR_Coverage, 16452,
     /* 1112885 */     GIR_EraseRootFromParent_Done,
     /* 1112886 */   // Label 16022: @1112886
     /* 1112886 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1112969), // Rule ID 16453 //
     /* 1112891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1112894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1112902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1112905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1112911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1112914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1112930 */     // MIs[0] round
     /* 1112930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1112933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112940 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1112940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1112943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1112945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1112947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1112953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1112961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1112964 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1112967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112968 */     // GIR_Coverage, 16453,
     /* 1112968 */     GIR_EraseRootFromParent_Done,
     /* 1112969 */   // Label 16023: @1112969
     /* 1112969 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1113052), // Rule ID 16456 //
     /* 1112974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1112977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1112982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1112985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1112988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1112994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1112997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113013 */     // MIs[0] round
     /* 1113013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1113026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113051 */     // GIR_Coverage, 16456,
     /* 1113051 */     GIR_EraseRootFromParent_Done,
     /* 1113052 */   // Label 16024: @1113052
     /* 1113052 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1113135), // Rule ID 16457 //
     /* 1113057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1113060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1113068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1113071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113096 */     // MIs[0] round
     /* 1113096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1113109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113134 */     // GIR_Coverage, 16457,
     /* 1113134 */     GIR_EraseRootFromParent_Done,
     /* 1113135 */   // Label 16025: @1113135
     /* 1113135 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1113218), // Rule ID 16460 //
     /* 1113140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1113143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1113151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1113154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113179 */     // MIs[0] round
     /* 1113179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113189 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1113192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113217 */     // GIR_Coverage, 16460,
     /* 1113217 */     GIR_EraseRootFromParent_Done,
     /* 1113218 */   // Label 16026: @1113218
     /* 1113218 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1113301), // Rule ID 16461 //
     /* 1113223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1113226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1113234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1113237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113262 */     // MIs[0] round
     /* 1113262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11117:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1113275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113300 */     // GIR_Coverage, 16461,
     /* 1113300 */     GIR_EraseRootFromParent_Done,
     /* 1113301 */   // Label 16027: @1113301
     /* 1113301 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1113384), // Rule ID 16464 //
     /* 1113306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1113309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1113317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1113320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113345 */     // MIs[0] round
     /* 1113345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1113358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113383 */     // GIR_Coverage, 16464,
     /* 1113383 */     GIR_EraseRootFromParent_Done,
     /* 1113384 */   // Label 16028: @1113384
     /* 1113384 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1113467), // Rule ID 16465 //
     /* 1113389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1113392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1113400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1113403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113428 */     // MIs[0] round
     /* 1113428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1113441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113466 */     // GIR_Coverage, 16465,
     /* 1113466 */     GIR_EraseRootFromParent_Done,
     /* 1113467 */   // Label 16029: @1113467
     /* 1113467 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1113550), // Rule ID 16468 //
     /* 1113472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1113475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1113483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1113486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113511 */     // MIs[0] round
     /* 1113511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113521 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1113524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113549 */     // GIR_Coverage, 16468,
     /* 1113549 */     GIR_EraseRootFromParent_Done,
     /* 1113550 */   // Label 16030: @1113550
     /* 1113550 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1113633), // Rule ID 16469 //
     /* 1113555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1113558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1113566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1113569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113594 */     // MIs[0] round
     /* 1113594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1113607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1113625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113632 */     // GIR_Coverage, 16469,
     /* 1113632 */     GIR_EraseRootFromParent_Done,
     /* 1113633 */   // Label 16031: @1113633
     /* 1113633 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1113716), // Rule ID 16472 //
     /* 1113638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1113641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113677 */     // MIs[0] round
     /* 1113677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1113690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113715 */     // GIR_Coverage, 16472,
     /* 1113715 */     GIR_EraseRootFromParent_Done,
     /* 1113716 */   // Label 16032: @1113716
     /* 1113716 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1113799), // Rule ID 16473 //
     /* 1113721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1113724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1113738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113760 */     // MIs[0] round
     /* 1113760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1113773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113798 */     // GIR_Coverage, 16473,
     /* 1113798 */     GIR_EraseRootFromParent_Done,
     /* 1113799 */   // Label 16033: @1113799
     /* 1113799 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1113882), // Rule ID 16476 //
     /* 1113804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1113807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1113821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113843 */     // MIs[0] round
     /* 1113843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1113853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1113856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113881 */     // GIR_Coverage, 16476,
     /* 1113881 */     GIR_EraseRootFromParent_Done,
     /* 1113882 */   // Label 16034: @1113882
     /* 1113882 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1113965), // Rule ID 16477 //
     /* 1113887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1113890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1113904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1113907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1113910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1113926 */     // MIs[0] round
     /* 1113926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1113929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11117:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1113936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1113939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1113941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1113943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1113949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1113960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1113963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113964 */     // GIR_Coverage, 16477,
     /* 1113964 */     GIR_EraseRootFromParent_Done,
     /* 1113965 */   // Label 16035: @1113965
     /* 1113965 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1114048), // Rule ID 16480 //
     /* 1113970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1113973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1113978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1113987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1113990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1113993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114009 */     // MIs[0] round
     /* 1114009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1114022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1114046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114047 */     // GIR_Coverage, 16480,
     /* 1114047 */     GIR_EraseRootFromParent_Done,
     /* 1114048 */   // Label 16036: @1114048
     /* 1114048 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1114131), // Rule ID 16481 //
     /* 1114053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1114056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1114061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1114070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1114073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114092 */     // MIs[0] round
     /* 1114092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114102 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11117:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1114105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1114129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114130 */     // GIR_Coverage, 16481,
     /* 1114130 */     GIR_EraseRootFromParent_Done,
     /* 1114131 */   // Label 16037: @1114131
     /* 1114131 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1114214), // Rule ID 16484 //
     /* 1114136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1114139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1114144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1114156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114175 */     // MIs[0] round
     /* 1114175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114185 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1114188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1114212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114213 */     // GIR_Coverage, 16484,
     /* 1114213 */     GIR_EraseRootFromParent_Done,
     /* 1114214 */   // Label 16038: @1114214
     /* 1114214 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1114297), // Rule ID 16485 //
     /* 1114219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1114222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1114227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1114236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1114239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1114258 */     // MIs[0] round
     /* 1114258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114268 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11117:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1114271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1114295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114296 */     // GIR_Coverage, 16485,
     /* 1114296 */     GIR_EraseRootFromParent_Done,
     /* 1114297 */   // Label 16039: @1114297
     /* 1114297 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1114377), // Rule ID 16548 //
     /* 1114302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1114305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1114313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1114316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1114319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1114322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114341 */     // MIs[0] round
     /* 1114341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114351 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1114354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114376 */     // GIR_Coverage, 16548,
     /* 1114376 */     GIR_EraseRootFromParent_Done,
     /* 1114377 */   // Label 16040: @1114377
     /* 1114377 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1114457), // Rule ID 16549 //
     /* 1114382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1114385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1114393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1114396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1114399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1114402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114421 */     // MIs[0] round
     /* 1114421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114431 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1114434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114456 */     // GIR_Coverage, 16549,
     /* 1114456 */     GIR_EraseRootFromParent_Done,
     /* 1114457 */   // Label 16041: @1114457
     /* 1114457 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1114537), // Rule ID 16552 //
     /* 1114462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1114465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1114473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1114476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1114479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1114482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114501 */     // MIs[0] round
     /* 1114501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114511 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1114514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114536 */     // GIR_Coverage, 16552,
     /* 1114536 */     GIR_EraseRootFromParent_Done,
     /* 1114537 */   // Label 16042: @1114537
     /* 1114537 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1114617), // Rule ID 16553 //
     /* 1114542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1114545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1114553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1114556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1114559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1114562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114581 */     // MIs[0] round
     /* 1114581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114591 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1114594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114616 */     // GIR_Coverage, 16553,
     /* 1114616 */     GIR_EraseRootFromParent_Done,
     /* 1114617 */   // Label 16043: @1114617
     /* 1114617 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1114697), // Rule ID 16556 //
     /* 1114622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1114625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114661 */     // MIs[0] round
     /* 1114661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114671 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1114674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114696 */     // GIR_Coverage, 16556,
     /* 1114696 */     GIR_EraseRootFromParent_Done,
     /* 1114697 */   // Label 16044: @1114697
     /* 1114697 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1114777), // Rule ID 16557 //
     /* 1114702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1114705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114741 */     // MIs[0] round
     /* 1114741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114751 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1114754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114776 */     // GIR_Coverage, 16557,
     /* 1114776 */     GIR_EraseRootFromParent_Done,
     /* 1114777 */   // Label 16045: @1114777
     /* 1114777 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1114857), // Rule ID 16560 //
     /* 1114782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1114785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1114793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1114796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1114799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1114802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114821 */     // MIs[0] round
     /* 1114821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114831 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1114834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114856 */     // GIR_Coverage, 16560,
     /* 1114856 */     GIR_EraseRootFromParent_Done,
     /* 1114857 */   // Label 16046: @1114857
     /* 1114857 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1114937), // Rule ID 16561 //
     /* 1114862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1114865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1114873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1114876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1114879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1114882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1114885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114901 */     // MIs[0] round
     /* 1114901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114911 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1114911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1114914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1114924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1114932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1114935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114936 */     // GIR_Coverage, 16561,
     /* 1114936 */     GIR_EraseRootFromParent_Done,
     /* 1114937 */   // Label 16047: @1114937
     /* 1114937 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1115017), // Rule ID 16564 //
     /* 1114942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1114945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1114950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1114959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1114962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1114965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114981 */     // MIs[0] round
     /* 1114981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1114984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1114991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1114994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1114996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1114998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115016 */     // GIR_Coverage, 16564,
     /* 1115016 */     GIR_EraseRootFromParent_Done,
     /* 1115017 */   // Label 16048: @1115017
     /* 1115017 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1115097), // Rule ID 16565 //
     /* 1115022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1115025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1115042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115061 */     // MIs[0] round
     /* 1115061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1115074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115096 */     // GIR_Coverage, 16565,
     /* 1115096 */     GIR_EraseRootFromParent_Done,
     /* 1115097 */   // Label 16049: @1115097
     /* 1115097 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1115177), // Rule ID 16568 //
     /* 1115102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1115105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115141 */     // MIs[0] round
     /* 1115141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1115154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115176 */     // GIR_Coverage, 16568,
     /* 1115176 */     GIR_EraseRootFromParent_Done,
     /* 1115177 */   // Label 16050: @1115177
     /* 1115177 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1115257), // Rule ID 16569 //
     /* 1115182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1115185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115221 */     // MIs[0] round
     /* 1115221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1115234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115256 */     // GIR_Coverage, 16569,
     /* 1115256 */     GIR_EraseRootFromParent_Done,
     /* 1115257 */   // Label 16051: @1115257
     /* 1115257 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1115337), // Rule ID 16572 //
     /* 1115262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1115273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1115276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1115279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1115282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115301 */     // MIs[0] round
     /* 1115301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115311 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1115314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115336 */     // GIR_Coverage, 16572,
     /* 1115336 */     GIR_EraseRootFromParent_Done,
     /* 1115337 */   // Label 16052: @1115337
     /* 1115337 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1115417), // Rule ID 16573 //
     /* 1115342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1115353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1115356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1115359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1115362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115381 */     // MIs[0] round
     /* 1115381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115391 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1115394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115416 */     // GIR_Coverage, 16573,
     /* 1115416 */     GIR_EraseRootFromParent_Done,
     /* 1115417 */   // Label 16053: @1115417
     /* 1115417 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1115497), // Rule ID 16576 //
     /* 1115422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1115433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1115436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1115439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1115442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115461 */     // MIs[0] round
     /* 1115461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115471 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1115474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115496 */     // GIR_Coverage, 16576,
     /* 1115496 */     GIR_EraseRootFromParent_Done,
     /* 1115497 */   // Label 16054: @1115497
     /* 1115497 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1115577), // Rule ID 16577 //
     /* 1115502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1115513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1115516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1115519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1115522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115541 */     // MIs[0] round
     /* 1115541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115551 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1115554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115576 */     // GIR_Coverage, 16577,
     /* 1115576 */     GIR_EraseRootFromParent_Done,
     /* 1115577 */   // Label 16055: @1115577
     /* 1115577 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1115657), // Rule ID 16580 //
     /* 1115582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1115585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1115593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1115596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1115599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1115602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115621 */     // MIs[0] round
     /* 1115621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115631 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1115634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115656 */     // GIR_Coverage, 16580,
     /* 1115656 */     GIR_EraseRootFromParent_Done,
     /* 1115657 */   // Label 16056: @1115657
     /* 1115657 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1115737), // Rule ID 16581 //
     /* 1115662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1115665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1115673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1115676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1115679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1115682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115701 */     // MIs[0] round
     /* 1115701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115711 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1115714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1115732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115736 */     // GIR_Coverage, 16581,
     /* 1115736 */     GIR_EraseRootFromParent_Done,
     /* 1115737 */   // Label 16057: @1115737
     /* 1115737 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1115817), // Rule ID 16584 //
     /* 1115742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1115745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115781 */     // MIs[0] round
     /* 1115781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115791 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1115794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115816 */     // GIR_Coverage, 16584,
     /* 1115816 */     GIR_EraseRootFromParent_Done,
     /* 1115817 */   // Label 16058: @1115817
     /* 1115817 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1115897), // Rule ID 16585 //
     /* 1115822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1115825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1115845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115861 */     // MIs[0] round
     /* 1115861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115871 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1115871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1115874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115896 */     // GIR_Coverage, 16585,
     /* 1115896 */     GIR_EraseRootFromParent_Done,
     /* 1115897 */   // Label 16059: @1115897
     /* 1115897 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1115977), // Rule ID 16588 //
     /* 1115902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1115905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1115922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1115925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115941 */     // MIs[0] round
     /* 1115941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1115944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115951 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1115951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1115954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1115956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1115958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1115964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1115975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115976 */     // GIR_Coverage, 16588,
     /* 1115976 */     GIR_EraseRootFromParent_Done,
     /* 1115977 */   // Label 16060: @1115977
     /* 1115977 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1116057), // Rule ID 16589 //
     /* 1115982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1115985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1115990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1115999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116021 */     // MIs[0] round
     /* 1116021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116031 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1116034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116056 */     // GIR_Coverage, 16589,
     /* 1116056 */     GIR_EraseRootFromParent_Done,
     /* 1116057 */   // Label 16061: @1116057
     /* 1116057 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1116137), // Rule ID 16592 //
     /* 1116062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1116065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116101 */     // MIs[0] round
     /* 1116101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116111 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1116114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116136 */     // GIR_Coverage, 16592,
     /* 1116136 */     GIR_EraseRootFromParent_Done,
     /* 1116137 */   // Label 16062: @1116137
     /* 1116137 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1116217), // Rule ID 16593 //
     /* 1116142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1116145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116181 */     // MIs[0] round
     /* 1116181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116191 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1116194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116216 */     // GIR_Coverage, 16593,
     /* 1116216 */     GIR_EraseRootFromParent_Done,
     /* 1116217 */   // Label 16063: @1116217
     /* 1116217 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1116297), // Rule ID 16596 //
     /* 1116222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1116242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116261 */     // MIs[0] round
     /* 1116261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1116274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116296 */     // GIR_Coverage, 16596,
     /* 1116296 */     GIR_EraseRootFromParent_Done,
     /* 1116297 */   // Label 16064: @1116297
     /* 1116297 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1116377), // Rule ID 16597 //
     /* 1116302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1116322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116341 */     // MIs[0] round
     /* 1116341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1116354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116376 */     // GIR_Coverage, 16597,
     /* 1116376 */     GIR_EraseRootFromParent_Done,
     /* 1116377 */   // Label 16065: @1116377
     /* 1116377 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1116457), // Rule ID 16600 //
     /* 1116382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1116402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116421 */     // MIs[0] round
     /* 1116421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1116434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116456 */     // GIR_Coverage, 16600,
     /* 1116456 */     GIR_EraseRootFromParent_Done,
     /* 1116457 */   // Label 16066: @1116457
     /* 1116457 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1116537), // Rule ID 16601 //
     /* 1116462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1116482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116501 */     // MIs[0] round
     /* 1116501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116511 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1116514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116536 */     // GIR_Coverage, 16601,
     /* 1116536 */     GIR_EraseRootFromParent_Done,
     /* 1116537 */   // Label 16067: @1116537
     /* 1116537 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1116617), // Rule ID 16604 //
     /* 1116542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1116545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116581 */     // MIs[0] round
     /* 1116581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116591 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1116594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116616 */     // GIR_Coverage, 16604,
     /* 1116616 */     GIR_EraseRootFromParent_Done,
     /* 1116617 */   // Label 16068: @1116617
     /* 1116617 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1116697), // Rule ID 16605 //
     /* 1116622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1116625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116661 */     // MIs[0] round
     /* 1116661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116671 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1116674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116696 */     // GIR_Coverage, 16605,
     /* 1116696 */     GIR_EraseRootFromParent_Done,
     /* 1116697 */   // Label 16069: @1116697
     /* 1116697 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1116777), // Rule ID 16608 //
     /* 1116702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1116705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1116713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1116716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1116719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1116722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1116741 */     // MIs[0] round
     /* 1116741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116751 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1116754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1116772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116776 */     // GIR_Coverage, 16608,
     /* 1116776 */     GIR_EraseRootFromParent_Done,
     /* 1116777 */   // Label 16070: @1116777
     /* 1116777 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1116857), // Rule ID 16609 //
     /* 1116782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1116785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1116793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1116796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1116799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1116802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1116821 */     // MIs[0] round
     /* 1116821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116831 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1116834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1116852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116856 */     // GIR_Coverage, 16609,
     /* 1116856 */     GIR_EraseRootFromParent_Done,
     /* 1116857 */   // Label 16071: @1116857
     /* 1116857 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1116937), // Rule ID 16612 //
     /* 1116862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1116865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1116873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1116876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1116879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1116882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1116885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1116901 */     // MIs[0] round
     /* 1116901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116911 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1116911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1116914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1116924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1116932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1116935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116936 */     // GIR_Coverage, 16612,
     /* 1116936 */     GIR_EraseRootFromParent_Done,
     /* 1116937 */   // Label 16072: @1116937
     /* 1116937 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1117017), // Rule ID 16613 //
     /* 1116942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1116945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1116950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1116953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1116956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1116959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1116962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1116965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1116981 */     // MIs[0] round
     /* 1116981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1116984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116991 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1116991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1116994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1116996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1116998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117016 */     // GIR_Coverage, 16613,
     /* 1117016 */     GIR_EraseRootFromParent_Done,
     /* 1117017 */   // Label 16073: @1117017
     /* 1117017 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1117097), // Rule ID 16616 //
     /* 1117022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1117025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1117042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1117061 */     // MIs[0] round
     /* 1117061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117071 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1117074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117096 */     // GIR_Coverage, 16616,
     /* 1117096 */     GIR_EraseRootFromParent_Done,
     /* 1117097 */   // Label 16074: @1117097
     /* 1117097 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1117177), // Rule ID 16617 //
     /* 1117102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1117105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1117113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1117116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1117119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1117122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1117141 */     // MIs[0] round
     /* 1117141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117151 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1117154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117176 */     // GIR_Coverage, 16617,
     /* 1117176 */     GIR_EraseRootFromParent_Done,
     /* 1117177 */   // Label 16075: @1117177
     /* 1117177 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1117257), // Rule ID 16620 //
     /* 1117182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1117199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117221 */     // MIs[0] round
     /* 1117221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117231 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1117234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117256 */     // GIR_Coverage, 16620,
     /* 1117256 */     GIR_EraseRootFromParent_Done,
     /* 1117257 */   // Label 16076: @1117257
     /* 1117257 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1117337), // Rule ID 16621 //
     /* 1117262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1117273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1117276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1117279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117301 */     // MIs[0] round
     /* 1117301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10819:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1117314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117336 */     // GIR_Coverage, 16621,
     /* 1117336 */     GIR_EraseRootFromParent_Done,
     /* 1117337 */   // Label 16077: @1117337
     /* 1117337 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1117417), // Rule ID 16624 //
     /* 1117342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1117345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1117359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1117362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1117381 */     // MIs[0] round
     /* 1117381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1117394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117416 */     // GIR_Coverage, 16624,
     /* 1117416 */     GIR_EraseRootFromParent_Done,
     /* 1117417 */   // Label 16078: @1117417
     /* 1117417 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1117497), // Rule ID 16625 //
     /* 1117422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1117425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1117433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1117439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1117442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1117461 */     // MIs[0] round
     /* 1117461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10819:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1117474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117496 */     // GIR_Coverage, 16625,
     /* 1117496 */     GIR_EraseRootFromParent_Done,
     /* 1117497 */   // Label 16079: @1117497
     /* 1117497 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1117577), // Rule ID 16628 //
     /* 1117502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1117505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1117522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1117541 */     // MIs[0] round
     /* 1117541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117551 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1117554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117576 */     // GIR_Coverage, 16628,
     /* 1117576 */     GIR_EraseRootFromParent_Done,
     /* 1117577 */   // Label 16080: @1117577
     /* 1117577 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1117657), // Rule ID 16629 //
     /* 1117582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1117585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1117602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1117621 */     // MIs[0] round
     /* 1117621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10819:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1117634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117656 */     // GIR_Coverage, 16629,
     /* 1117656 */     GIR_EraseRootFromParent_Done,
     /* 1117657 */   // Label 16081: @1117657
     /* 1117657 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1117737), // Rule ID 16632 //
     /* 1117662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1117673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1117676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1117679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117701 */     // MIs[0] round
     /* 1117701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117711 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1117714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117736 */     // GIR_Coverage, 16632,
     /* 1117736 */     GIR_EraseRootFromParent_Done,
     /* 1117737 */   // Label 16082: @1117737
     /* 1117737 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1117817), // Rule ID 16633 //
     /* 1117742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1117753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1117756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1117759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117781 */     // MIs[0] round
     /* 1117781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117791 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1117794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117816 */     // GIR_Coverage, 16633,
     /* 1117816 */     GIR_EraseRootFromParent_Done,
     /* 1117817 */   // Label 16083: @1117817
     /* 1117817 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1117897), // Rule ID 16636 //
     /* 1117822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1117833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1117836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1117839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1117845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117861 */     // MIs[0] round
     /* 1117861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117871 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1117871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1117874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117896 */     // GIR_Coverage, 16636,
     /* 1117896 */     GIR_EraseRootFromParent_Done,
     /* 1117897 */   // Label 16084: @1117897
     /* 1117897 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1117977), // Rule ID 16637 //
     /* 1117902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1117905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1117913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1117916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1117919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1117922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1117925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1117941 */     // MIs[0] round
     /* 1117941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1117944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117951 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1117951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1117954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1117956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1117958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1117964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1117972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1117975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117976 */     // GIR_Coverage, 16637,
     /* 1117976 */     GIR_EraseRootFromParent_Done,
     /* 1117977 */   // Label 16085: @1117977
     /* 1117977 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1118057), // Rule ID 16640 //
     /* 1117982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1117985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1117990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1117993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1117996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1117999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1118002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1118021 */     // MIs[0] round
     /* 1118021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118031 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1118034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118056 */     // GIR_Coverage, 16640,
     /* 1118056 */     GIR_EraseRootFromParent_Done,
     /* 1118057 */   // Label 16086: @1118057
     /* 1118057 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1118137), // Rule ID 16641 //
     /* 1118062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1118065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1118073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1118076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1118079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1118082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1118101 */     // MIs[0] round
     /* 1118101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118111 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1118114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1118132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118136 */     // GIR_Coverage, 16641,
     /* 1118136 */     GIR_EraseRootFromParent_Done,
     /* 1118137 */   // Label 16087: @1118137
     /* 1118137 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1118217), // Rule ID 16644 //
     /* 1118142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1118159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118181 */     // MIs[0] round
     /* 1118181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118191 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1118194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118216 */     // GIR_Coverage, 16644,
     /* 1118216 */     GIR_EraseRootFromParent_Done,
     /* 1118217 */   // Label 16088: @1118217
     /* 1118217 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1118297), // Rule ID 16645 //
     /* 1118222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1118239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118261 */     // MIs[0] round
     /* 1118261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1118274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118296 */     // GIR_Coverage, 16645,
     /* 1118296 */     GIR_EraseRootFromParent_Done,
     /* 1118297 */   // Label 16089: @1118297
     /* 1118297 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1118377), // Rule ID 16648 //
     /* 1118302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1118319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118341 */     // MIs[0] round
     /* 1118341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118351 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1118354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118376 */     // GIR_Coverage, 16648,
     /* 1118376 */     GIR_EraseRootFromParent_Done,
     /* 1118377 */   // Label 16090: @1118377
     /* 1118377 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1118457), // Rule ID 16649 //
     /* 1118382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1118399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118421 */     // MIs[0] round
     /* 1118421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1118434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118456 */     // GIR_Coverage, 16649,
     /* 1118456 */     GIR_EraseRootFromParent_Done,
     /* 1118457 */   // Label 16091: @1118457
     /* 1118457 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1118537), // Rule ID 16652 //
     /* 1118462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1118465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1118479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118501 */     // MIs[0] round
     /* 1118501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1118514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118536 */     // GIR_Coverage, 16652,
     /* 1118536 */     GIR_EraseRootFromParent_Done,
     /* 1118537 */   // Label 16092: @1118537
     /* 1118537 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1118617), // Rule ID 16653 //
     /* 1118542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1118545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1118559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1118562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1118581 */     // MIs[0] round
     /* 1118581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1118594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118616 */     // GIR_Coverage, 16653,
     /* 1118616 */     GIR_EraseRootFromParent_Done,
     /* 1118617 */   // Label 16093: @1118617
     /* 1118617 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1118697), // Rule ID 16656 //
     /* 1118622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1118625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1118633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1118636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1118639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1118642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1118661 */     // MIs[0] round
     /* 1118661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118671 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1118674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118696 */     // GIR_Coverage, 16656,
     /* 1118696 */     GIR_EraseRootFromParent_Done,
     /* 1118697 */   // Label 16094: @1118697
     /* 1118697 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1118777), // Rule ID 16657 //
     /* 1118702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1118705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1118713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1118716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1118719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1118722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1118741 */     // MIs[0] round
     /* 1118741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10819:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1118754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118776 */     // GIR_Coverage, 16657,
     /* 1118776 */     GIR_EraseRootFromParent_Done,
     /* 1118777 */   // Label 16095: @1118777
     /* 1118777 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1118857), // Rule ID 16660 //
     /* 1118782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1118785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1118793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1118796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1118799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1118802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1118821 */     // MIs[0] round
     /* 1118821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118831 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1118834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118856 */     // GIR_Coverage, 16660,
     /* 1118856 */     GIR_EraseRootFromParent_Done,
     /* 1118857 */   // Label 16096: @1118857
     /* 1118857 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1118937), // Rule ID 16661 //
     /* 1118862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1118865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1118873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1118876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1118879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1118882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1118885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1118901 */     // MIs[0] round
     /* 1118901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10819:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1118911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1118914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1118924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1118935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118936 */     // GIR_Coverage, 16661,
     /* 1118936 */     GIR_EraseRootFromParent_Done,
     /* 1118937 */   // Label 16097: @1118937
     /* 1118937 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1119017), // Rule ID 16664 //
     /* 1118942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1118945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1118950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1118953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1118956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1118959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1118962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1118965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1118981 */     // MIs[0] round
     /* 1118981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1118984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118991 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1118991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1118994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1118998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119016 */     // GIR_Coverage, 16664,
     /* 1119016 */     GIR_EraseRootFromParent_Done,
     /* 1119017 */   // Label 16098: @1119017
     /* 1119017 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1119097), // Rule ID 16665 //
     /* 1119022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1119025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1119030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1119033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1119036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1119039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1119042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1119061 */     // MIs[0] round
     /* 1119061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10819:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1119074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119096 */     // GIR_Coverage, 16665,
     /* 1119096 */     GIR_EraseRootFromParent_Done,
     /* 1119097 */   // Label 16099: @1119097
     /* 1119097 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1119177), // Rule ID 16668 //
     /* 1119102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1119113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1119116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1119119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1119122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119141 */     // MIs[0] round
     /* 1119141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119151 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1119154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119176 */     // GIR_Coverage, 16668,
     /* 1119176 */     GIR_EraseRootFromParent_Done,
     /* 1119177 */   // Label 16100: @1119177
     /* 1119177 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1119257), // Rule ID 16669 //
     /* 1119182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1119193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1119196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1119199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1119202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119221 */     // MIs[0] round
     /* 1119221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119231 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1119234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119256 */     // GIR_Coverage, 16669,
     /* 1119256 */     GIR_EraseRootFromParent_Done,
     /* 1119257 */   // Label 16101: @1119257
     /* 1119257 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1119337), // Rule ID 16672 //
     /* 1119262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1119273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1119276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1119279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1119282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119301 */     // MIs[0] round
     /* 1119301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119311 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1119314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119336 */     // GIR_Coverage, 16672,
     /* 1119336 */     GIR_EraseRootFromParent_Done,
     /* 1119337 */   // Label 16102: @1119337
     /* 1119337 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1119417), // Rule ID 16673 //
     /* 1119342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1119353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1119356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1119359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1119362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119381 */     // MIs[0] round
     /* 1119381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119391 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1119394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119416 */     // GIR_Coverage, 16673,
     /* 1119416 */     GIR_EraseRootFromParent_Done,
     /* 1119417 */   // Label 16103: @1119417
     /* 1119417 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1119497), // Rule ID 16676 //
     /* 1119422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1119425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1119439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1119442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119461 */     // MIs[0] round
     /* 1119461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119471 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1119474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119496 */     // GIR_Coverage, 16676,
     /* 1119496 */     GIR_EraseRootFromParent_Done,
     /* 1119497 */   // Label 16104: @1119497
     /* 1119497 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1119577), // Rule ID 16677 //
     /* 1119502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1119505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1119519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1119522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119541 */     // MIs[0] round
     /* 1119541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119551 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1119554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119576 */     // GIR_Coverage, 16677,
     /* 1119576 */     GIR_EraseRootFromParent_Done,
     /* 1119577 */   // Label 16105: @1119577
     /* 1119577 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1119657), // Rule ID 16680 //
     /* 1119582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1119585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1119593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1119596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1119599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1119602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119621 */     // MIs[0] round
     /* 1119621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119631 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1119634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119656 */     // GIR_Coverage, 16680,
     /* 1119656 */     GIR_EraseRootFromParent_Done,
     /* 1119657 */   // Label 16106: @1119657
     /* 1119657 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1119737), // Rule ID 16681 //
     /* 1119662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1119665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1119673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1119676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1119679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1119682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119701 */     // MIs[0] round
     /* 1119701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1119714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1119732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119736 */     // GIR_Coverage, 16681,
     /* 1119736 */     GIR_EraseRootFromParent_Done,
     /* 1119737 */   // Label 16107: @1119737
     /* 1119737 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1119817), // Rule ID 16684 //
     /* 1119742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1119745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1119759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1119762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119781 */     // MIs[0] round
     /* 1119781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119791 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1119794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119816 */     // GIR_Coverage, 16684,
     /* 1119816 */     GIR_EraseRootFromParent_Done,
     /* 1119817 */   // Label 16108: @1119817
     /* 1119817 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1119897), // Rule ID 16685 //
     /* 1119822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1119825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1119839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1119842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1119845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119861 */     // MIs[0] round
     /* 1119861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119871 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1119871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1119874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119896 */     // GIR_Coverage, 16685,
     /* 1119896 */     GIR_EraseRootFromParent_Done,
     /* 1119897 */   // Label 16109: @1119897
     /* 1119897 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1119977), // Rule ID 16688 //
     /* 1119902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1119905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1119913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1119916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1119919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1119922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1119925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119941 */     // MIs[0] round
     /* 1119941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1119944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119951 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1119951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1119954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1119958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1119964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1119972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1119975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119976 */     // GIR_Coverage, 16688,
     /* 1119976 */     GIR_EraseRootFromParent_Done,
     /* 1119977 */   // Label 16110: @1119977
     /* 1119977 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1120057), // Rule ID 16689 //
     /* 1119982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1119985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1119990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1119993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1119996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1119999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1120002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120021 */     // MIs[0] round
     /* 1120021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120031 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1120034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1120052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120056 */     // GIR_Coverage, 16689,
     /* 1120056 */     GIR_EraseRootFromParent_Done,
     /* 1120057 */   // Label 16111: @1120057
     /* 1120057 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1120137), // Rule ID 16692 //
     /* 1120062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1120073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1120076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1120079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1120082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120101 */     // MIs[0] round
     /* 1120101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120111 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1120114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120136 */     // GIR_Coverage, 16692,
     /* 1120136 */     GIR_EraseRootFromParent_Done,
     /* 1120137 */   // Label 16112: @1120137
     /* 1120137 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1120217), // Rule ID 16693 //
     /* 1120142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1120153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1120156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1120159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1120162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120181 */     // MIs[0] round
     /* 1120181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120191 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1120194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120216 */     // GIR_Coverage, 16693,
     /* 1120216 */     GIR_EraseRootFromParent_Done,
     /* 1120217 */   // Label 16113: @1120217
     /* 1120217 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1120297), // Rule ID 16696 //
     /* 1120222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1120233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1120236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1120239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1120242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120261 */     // MIs[0] round
     /* 1120261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120271 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1120274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120296 */     // GIR_Coverage, 16696,
     /* 1120296 */     GIR_EraseRootFromParent_Done,
     /* 1120297 */   // Label 16114: @1120297
     /* 1120297 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1120377), // Rule ID 16697 //
     /* 1120302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1120313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1120316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1120319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1120322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120341 */     // MIs[0] round
     /* 1120341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120351 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1120354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120376 */     // GIR_Coverage, 16697,
     /* 1120376 */     GIR_EraseRootFromParent_Done,
     /* 1120377 */   // Label 16115: @1120377
     /* 1120377 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1120457), // Rule ID 16700 //
     /* 1120382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1120385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1120402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120421 */     // MIs[0] round
     /* 1120421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120431 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1120434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120456 */     // GIR_Coverage, 16700,
     /* 1120456 */     GIR_EraseRootFromParent_Done,
     /* 1120457 */   // Label 16116: @1120457
     /* 1120457 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1120537), // Rule ID 16701 //
     /* 1120462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1120465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1120473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1120476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1120479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1120482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120501 */     // MIs[0] round
     /* 1120501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120511 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1120514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1120532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120536 */     // GIR_Coverage, 16701,
     /* 1120536 */     GIR_EraseRootFromParent_Done,
     /* 1120537 */   // Label 16117: @1120537
     /* 1120537 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1120617), // Rule ID 16704 //
     /* 1120542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1120545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1120562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120581 */     // MIs[0] round
     /* 1120581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120591 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1120594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120616 */     // GIR_Coverage, 16704,
     /* 1120616 */     GIR_EraseRootFromParent_Done,
     /* 1120617 */   // Label 16118: @1120617
     /* 1120617 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1120697), // Rule ID 16705 //
     /* 1120622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1120625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1120639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1120642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120661 */     // MIs[0] round
     /* 1120661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120671 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1120674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120696 */     // GIR_Coverage, 16705,
     /* 1120696 */     GIR_EraseRootFromParent_Done,
     /* 1120697 */   // Label 16119: @1120697
     /* 1120697 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1120777), // Rule ID 16708 //
     /* 1120702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1120705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1120719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1120722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120741 */     // MIs[0] round
     /* 1120741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120751 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1120754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120776 */     // GIR_Coverage, 16708,
     /* 1120776 */     GIR_EraseRootFromParent_Done,
     /* 1120777 */   // Label 16120: @1120777
     /* 1120777 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1120857), // Rule ID 16709 //
     /* 1120782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1120785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1120799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1120802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120821 */     // MIs[0] round
     /* 1120821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120831 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1120834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120856 */     // GIR_Coverage, 16709,
     /* 1120856 */     GIR_EraseRootFromParent_Done,
     /* 1120857 */   // Label 16121: @1120857
     /* 1120857 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1120937), // Rule ID 16712 //
     /* 1120862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1120865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1120879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1120882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1120885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120901 */     // MIs[0] round
     /* 1120901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120911 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1120911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1120914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1120924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1120935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120936 */     // GIR_Coverage, 16712,
     /* 1120936 */     GIR_EraseRootFromParent_Done,
     /* 1120937 */   // Label 16122: @1120937
     /* 1120937 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1121017), // Rule ID 16713 //
     /* 1120942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1120945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1120950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1120959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1120962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1120965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120981 */     // MIs[0] round
     /* 1120981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1120984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120991 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1120991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1120994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1120998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121016 */     // GIR_Coverage, 16713,
     /* 1121016 */     GIR_EraseRootFromParent_Done,
     /* 1121017 */   // Label 16123: @1121017
     /* 1121017 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1121097), // Rule ID 16716 //
     /* 1121022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1121033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1121036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1121039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1121042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121061 */     // MIs[0] round
     /* 1121061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121071 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1121074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121096 */     // GIR_Coverage, 16716,
     /* 1121096 */     GIR_EraseRootFromParent_Done,
     /* 1121097 */   // Label 16124: @1121097
     /* 1121097 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1121177), // Rule ID 16717 //
     /* 1121102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1121113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1121116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1121119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1121122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121141 */     // MIs[0] round
     /* 1121141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121151 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1121154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121176 */     // GIR_Coverage, 16717,
     /* 1121176 */     GIR_EraseRootFromParent_Done,
     /* 1121177 */   // Label 16125: @1121177
     /* 1121177 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1121257), // Rule ID 16720 //
     /* 1121182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1121193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1121196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1121199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1121202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121221 */     // MIs[0] round
     /* 1121221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121231 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1121234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121256 */     // GIR_Coverage, 16720,
     /* 1121256 */     GIR_EraseRootFromParent_Done,
     /* 1121257 */   // Label 16126: @1121257
     /* 1121257 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1121337), // Rule ID 16721 //
     /* 1121262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1121273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1121276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1121279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1121282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121301 */     // MIs[0] round
     /* 1121301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121311 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1121314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121336 */     // GIR_Coverage, 16721,
     /* 1121336 */     GIR_EraseRootFromParent_Done,
     /* 1121337 */   // Label 16127: @1121337
     /* 1121337 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1121417), // Rule ID 16724 //
     /* 1121342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1121345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1121353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1121356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1121359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1121362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121381 */     // MIs[0] round
     /* 1121381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121391 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1121394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121416 */     // GIR_Coverage, 16724,
     /* 1121416 */     GIR_EraseRootFromParent_Done,
     /* 1121417 */   // Label 16128: @1121417
     /* 1121417 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1121497), // Rule ID 16725 //
     /* 1121422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1121425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1121433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1121436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1121439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1121442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121461 */     // MIs[0] round
     /* 1121461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121471 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1121474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1121492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121496 */     // GIR_Coverage, 16725,
     /* 1121496 */     GIR_EraseRootFromParent_Done,
     /* 1121497 */   // Label 16129: @1121497
     /* 1121497 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1121577), // Rule ID 16728 //
     /* 1121502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1121505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121541 */     // MIs[0] round
     /* 1121541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121551 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1121554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121576 */     // GIR_Coverage, 16728,
     /* 1121576 */     GIR_EraseRootFromParent_Done,
     /* 1121577 */   // Label 16130: @1121577
     /* 1121577 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1121657), // Rule ID 16729 //
     /* 1121582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1121585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1121593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1121596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1121599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121621 */     // MIs[0] round
     /* 1121621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121631 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1121634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121656 */     // GIR_Coverage, 16729,
     /* 1121656 */     GIR_EraseRootFromParent_Done,
     /* 1121657 */   // Label 16131: @1121657
     /* 1121657 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1121737), // Rule ID 16732 //
     /* 1121662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1121665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121701 */     // MIs[0] round
     /* 1121701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121711 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1121714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121736 */     // GIR_Coverage, 16732,
     /* 1121736 */     GIR_EraseRootFromParent_Done,
     /* 1121737 */   // Label 16132: @1121737
     /* 1121737 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1121817), // Rule ID 16733 //
     /* 1121742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1121745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1121753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1121756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1121759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1121762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1121781 */     // MIs[0] round
     /* 1121781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121791 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1121794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1121812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121816 */     // GIR_Coverage, 16733,
     /* 1121816 */     GIR_EraseRootFromParent_Done,
     /* 1121817 */   // Label 16133: @1121817
     /* 1121817 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1121897), // Rule ID 16736 //
     /* 1121822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1121825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1121839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1121845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1121861 */     // MIs[0] round
     /* 1121861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1121871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1121874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121896 */     // GIR_Coverage, 16736,
     /* 1121896 */     GIR_EraseRootFromParent_Done,
     /* 1121897 */   // Label 16134: @1121897
     /* 1121897 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1121977), // Rule ID 16737 //
     /* 1121902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1121905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1121919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1121922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1121925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1121941 */     // MIs[0] round
     /* 1121941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1121944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121951 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1121951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1121954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1121958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1121964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1121975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121976 */     // GIR_Coverage, 16737,
     /* 1121976 */     GIR_EraseRootFromParent_Done,
     /* 1121977 */   // Label 16135: @1121977
     /* 1121977 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1122057), // Rule ID 16740 //
     /* 1121982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1121985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1121990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1121993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1121996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1121999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122021 */     // MIs[0] round
     /* 1122021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122031 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1122034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122056 */     // GIR_Coverage, 16740,
     /* 1122056 */     GIR_EraseRootFromParent_Done,
     /* 1122057 */   // Label 16136: @1122057
     /* 1122057 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1122137), // Rule ID 16741 //
     /* 1122062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1122073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1122076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1122079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122101 */     // MIs[0] round
     /* 1122101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10911:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1122114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122136 */     // GIR_Coverage, 16741,
     /* 1122136 */     GIR_EraseRootFromParent_Done,
     /* 1122137 */   // Label 16137: @1122137
     /* 1122137 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1122217), // Rule ID 16744 //
     /* 1122142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1122145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122181 */     // MIs[0] round
     /* 1122181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1122194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122216 */     // GIR_Coverage, 16744,
     /* 1122216 */     GIR_EraseRootFromParent_Done,
     /* 1122217 */   // Label 16138: @1122217
     /* 1122217 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1122297), // Rule ID 16745 //
     /* 1122222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1122225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1122239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122261 */     // MIs[0] round
     /* 1122261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10911:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1122274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122296 */     // GIR_Coverage, 16745,
     /* 1122296 */     GIR_EraseRootFromParent_Done,
     /* 1122297 */   // Label 16139: @1122297
     /* 1122297 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1122377), // Rule ID 16748 //
     /* 1122302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1122305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1122341 */     // MIs[0] round
     /* 1122341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122351 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1122354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122376 */     // GIR_Coverage, 16748,
     /* 1122376 */     GIR_EraseRootFromParent_Done,
     /* 1122377 */   // Label 16140: @1122377
     /* 1122377 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1122457), // Rule ID 16749 //
     /* 1122382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1122385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1122393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1122396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1122399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1122402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1122421 */     // MIs[0] round
     /* 1122421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122431 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10911:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1122434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1122452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122456 */     // GIR_Coverage, 16749,
     /* 1122456 */     GIR_EraseRootFromParent_Done,
     /* 1122457 */   // Label 16141: @1122457
     /* 1122457 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1122537), // Rule ID 16752 //
     /* 1122462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1122473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1122476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1122479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122501 */     // MIs[0] round
     /* 1122501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122511 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1122514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122536 */     // GIR_Coverage, 16752,
     /* 1122536 */     GIR_EraseRootFromParent_Done,
     /* 1122537 */   // Label 16142: @1122537
     /* 1122537 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1122617), // Rule ID 16753 //
     /* 1122542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1122553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1122556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1122559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122581 */     // MIs[0] round
     /* 1122581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122591 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1122594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122616 */     // GIR_Coverage, 16753,
     /* 1122616 */     GIR_EraseRootFromParent_Done,
     /* 1122617 */   // Label 16143: @1122617
     /* 1122617 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1122697), // Rule ID 16756 //
     /* 1122622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1122633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1122636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1122639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122661 */     // MIs[0] round
     /* 1122661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122671 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1122674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122696 */     // GIR_Coverage, 16756,
     /* 1122696 */     GIR_EraseRootFromParent_Done,
     /* 1122697 */   // Label 16144: @1122697
     /* 1122697 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1122777), // Rule ID 16757 //
     /* 1122702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1122713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1122716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1122719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122741 */     // MIs[0] round
     /* 1122741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122751 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1122754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122776 */     // GIR_Coverage, 16757,
     /* 1122776 */     GIR_EraseRootFromParent_Done,
     /* 1122777 */   // Label 16145: @1122777
     /* 1122777 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1122857), // Rule ID 16760 //
     /* 1122782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1122785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1122793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1122796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1122799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122821 */     // MIs[0] round
     /* 1122821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122831 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1122834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122856 */     // GIR_Coverage, 16760,
     /* 1122856 */     GIR_EraseRootFromParent_Done,
     /* 1122857 */   // Label 16146: @1122857
     /* 1122857 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1122937), // Rule ID 16761 //
     /* 1122862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1122865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1122873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1122876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1122879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1122882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1122885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1122901 */     // MIs[0] round
     /* 1122901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122911 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1122911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1122914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1122924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1122932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1122935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122936 */     // GIR_Coverage, 16761,
     /* 1122936 */     GIR_EraseRootFromParent_Done,
     /* 1122937 */   // Label 16147: @1122937
     /* 1122937 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1123017), // Rule ID 16764 //
     /* 1122942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1122945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1122950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1122959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1122962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1122965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1122981 */     // MIs[0] round
     /* 1122981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1122984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122991 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1122991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1122994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1122998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123016 */     // GIR_Coverage, 16764,
     /* 1123016 */     GIR_EraseRootFromParent_Done,
     /* 1123017 */   // Label 16148: @1123017
     /* 1123017 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1123097), // Rule ID 16765 //
     /* 1123022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1123039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123061 */     // MIs[0] round
     /* 1123061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123071 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1123074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123096 */     // GIR_Coverage, 16765,
     /* 1123096 */     GIR_EraseRootFromParent_Done,
     /* 1123097 */   // Label 16149: @1123097
     /* 1123097 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1123177), // Rule ID 16768 //
     /* 1123102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1123105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123141 */     // MIs[0] round
     /* 1123141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123151 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1123154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123176 */     // GIR_Coverage, 16768,
     /* 1123176 */     GIR_EraseRootFromParent_Done,
     /* 1123177 */   // Label 16150: @1123177
     /* 1123177 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1123257), // Rule ID 16769 //
     /* 1123182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1123199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123221 */     // MIs[0] round
     /* 1123221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1123234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123256 */     // GIR_Coverage, 16769,
     /* 1123256 */     GIR_EraseRootFromParent_Done,
     /* 1123257 */   // Label 16151: @1123257
     /* 1123257 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1123337), // Rule ID 16772 //
     /* 1123262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1123265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1123279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123301 */     // MIs[0] round
     /* 1123301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1123314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123336 */     // GIR_Coverage, 16772,
     /* 1123336 */     GIR_EraseRootFromParent_Done,
     /* 1123337 */   // Label 16152: @1123337
     /* 1123337 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1123417), // Rule ID 16773 //
     /* 1123342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1123345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1123359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1123362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1123381 */     // MIs[0] round
     /* 1123381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123391 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1123394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123416 */     // GIR_Coverage, 16773,
     /* 1123416 */     GIR_EraseRootFromParent_Done,
     /* 1123417 */   // Label 16153: @1123417
     /* 1123417 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1123497), // Rule ID 16776 //
     /* 1123422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1123433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1123436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1123439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123461 */     // MIs[0] round
     /* 1123461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123471 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1123474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123496 */     // GIR_Coverage, 16776,
     /* 1123496 */     GIR_EraseRootFromParent_Done,
     /* 1123497 */   // Label 16154: @1123497
     /* 1123497 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1123577), // Rule ID 16777 //
     /* 1123502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1123505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1123513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1123516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1123519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123541 */     // MIs[0] round
     /* 1123541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123551 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10911:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1123554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123576 */     // GIR_Coverage, 16777,
     /* 1123576 */     GIR_EraseRootFromParent_Done,
     /* 1123577 */   // Label 16155: @1123577
     /* 1123577 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1123657), // Rule ID 16780 //
     /* 1123582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1123593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1123596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1123599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123621 */     // MIs[0] round
     /* 1123621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123631 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1123634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123656 */     // GIR_Coverage, 16780,
     /* 1123656 */     GIR_EraseRootFromParent_Done,
     /* 1123657 */   // Label 16156: @1123657
     /* 1123657 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1123737), // Rule ID 16781 //
     /* 1123662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1123665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1123673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1123676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1123679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123701 */     // MIs[0] round
     /* 1123701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123711 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10911:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1123714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123736 */     // GIR_Coverage, 16781,
     /* 1123736 */     GIR_EraseRootFromParent_Done,
     /* 1123737 */   // Label 16157: @1123737
     /* 1123737 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1123817), // Rule ID 16784 //
     /* 1123742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1123745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1123753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1123756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1123759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123781 */     // MIs[0] round
     /* 1123781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123791 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1123794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123816 */     // GIR_Coverage, 16784,
     /* 1123816 */     GIR_EraseRootFromParent_Done,
     /* 1123817 */   // Label 16158: @1123817
     /* 1123817 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1123897), // Rule ID 16785 //
     /* 1123822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1123825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1123830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1123833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1123836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1123839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1123842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1123845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1123861 */     // MIs[0] round
     /* 1123861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123871 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10911:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1123871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1123874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1123892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123896 */     // GIR_Coverage, 16785,
     /* 1123896 */     GIR_EraseRootFromParent_Done,
     /* 1123897 */   // Label 16159: @1123897
     /* 1123897 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1123977), // Rule ID 16788 //
     /* 1123902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1123905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1123910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1123913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1123916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1123922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1123925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1123941 */     // MIs[0] round
     /* 1123941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1123944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1123951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1123954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1123958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1123964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1123972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1123975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123976 */     // GIR_Coverage, 16788,
     /* 1123976 */     GIR_EraseRootFromParent_Done,
     /* 1123977 */   // Label 16160: @1123977
     /* 1123977 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1124057), // Rule ID 16789 //
     /* 1123982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1123985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1123990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1123993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1123996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1123999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124021 */     // MIs[0] round
     /* 1124021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124031 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1124034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124056 */     // GIR_Coverage, 16789,
     /* 1124056 */     GIR_EraseRootFromParent_Done,
     /* 1124057 */   // Label 16161: @1124057
     /* 1124057 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1124137), // Rule ID 16792 //
     /* 1124062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1124065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124101 */     // MIs[0] round
     /* 1124101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124111 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1124114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124136 */     // GIR_Coverage, 16792,
     /* 1124136 */     GIR_EraseRootFromParent_Done,
     /* 1124137 */   // Label 16162: @1124137
     /* 1124137 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1124217), // Rule ID 16793 //
     /* 1124142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1124145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1124153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1124156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1124159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124181 */     // MIs[0] round
     /* 1124181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124191 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1124194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124216 */     // GIR_Coverage, 16793,
     /* 1124216 */     GIR_EraseRootFromParent_Done,
     /* 1124217 */   // Label 16163: @1124217
     /* 1124217 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1124297), // Rule ID 16796 //
     /* 1124222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1124225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1124261 */     // MIs[0] round
     /* 1124261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124271 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1124274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124296 */     // GIR_Coverage, 16796,
     /* 1124296 */     GIR_EraseRootFromParent_Done,
     /* 1124297 */   // Label 16164: @1124297
     /* 1124297 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1124377), // Rule ID 16797 //
     /* 1124302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1124305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1124313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1124316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1124319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1124341 */     // MIs[0] round
     /* 1124341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124351 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1124354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124376 */     // GIR_Coverage, 16797,
     /* 1124376 */     GIR_EraseRootFromParent_Done,
     /* 1124377 */   // Label 16165: @1124377
     /* 1124377 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1124457), // Rule ID 16800 //
     /* 1124382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1124385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124421 */     // MIs[0] round
     /* 1124421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124431 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1124434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124456 */     // GIR_Coverage, 16800,
     /* 1124456 */     GIR_EraseRootFromParent_Done,
     /* 1124457 */   // Label 16166: @1124457
     /* 1124457 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1124537), // Rule ID 16801 //
     /* 1124462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1124465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1124473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1124476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1124479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124501 */     // MIs[0] round
     /* 1124501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124511 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10897:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1124514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124536 */     // GIR_Coverage, 16801,
     /* 1124536 */     GIR_EraseRootFromParent_Done,
     /* 1124537 */   // Label 16167: @1124537
     /* 1124537 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1124617), // Rule ID 16804 //
     /* 1124542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1124545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1124581 */     // MIs[0] round
     /* 1124581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124591 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1124594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124616 */     // GIR_Coverage, 16804,
     /* 1124616 */     GIR_EraseRootFromParent_Done,
     /* 1124617 */   // Label 16168: @1124617
     /* 1124617 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1124697), // Rule ID 16805 //
     /* 1124622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1124625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1124639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1124642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1124661 */     // MIs[0] round
     /* 1124661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124671 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10897:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1124674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1124692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124696 */     // GIR_Coverage, 16805,
     /* 1124696 */     GIR_EraseRootFromParent_Done,
     /* 1124697 */   // Label 16169: @1124697
     /* 1124697 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1124777), // Rule ID 16808 //
     /* 1124702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1124705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1124713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1124716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1124719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1124741 */     // MIs[0] round
     /* 1124741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1124754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124776 */     // GIR_Coverage, 16808,
     /* 1124776 */     GIR_EraseRootFromParent_Done,
     /* 1124777 */   // Label 16170: @1124777
     /* 1124777 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1124857), // Rule ID 16809 //
     /* 1124782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1124785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1124793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1124796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1124799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1124802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1124821 */     // MIs[0] round
     /* 1124821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10897:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1124834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1124852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124856 */     // GIR_Coverage, 16809,
     /* 1124856 */     GIR_EraseRootFromParent_Done,
     /* 1124857 */   // Label 16171: @1124857
     /* 1124857 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1124937), // Rule ID 16812 //
     /* 1124862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1124865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1124873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1124876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1124885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124901 */     // MIs[0] round
     /* 1124901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124911 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1124911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1124914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1124924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1124932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1124935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124936 */     // GIR_Coverage, 16812,
     /* 1124936 */     GIR_EraseRootFromParent_Done,
     /* 1124937 */   // Label 16172: @1124937
     /* 1124937 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1125017), // Rule ID 16813 //
     /* 1124942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1124945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1124950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1124953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1124956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1124959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1124962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1124965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1124981 */     // MIs[0] round
     /* 1124981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1124984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124991 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1124991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1124994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1124998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125016 */     // GIR_Coverage, 16813,
     /* 1125016 */     GIR_EraseRootFromParent_Done,
     /* 1125017 */   // Label 16173: @1125017
     /* 1125017 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1125097), // Rule ID 16816 //
     /* 1125022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1125025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125061 */     // MIs[0] round
     /* 1125061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125071 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1125074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125096 */     // GIR_Coverage, 16816,
     /* 1125096 */     GIR_EraseRootFromParent_Done,
     /* 1125097 */   // Label 16174: @1125097
     /* 1125097 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1125177), // Rule ID 16817 //
     /* 1125102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1125105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1125113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1125116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1125119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125141 */     // MIs[0] round
     /* 1125141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125151 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1125154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125176 */     // GIR_Coverage, 16817,
     /* 1125176 */     GIR_EraseRootFromParent_Done,
     /* 1125177 */   // Label 16175: @1125177
     /* 1125177 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1125257), // Rule ID 16820 //
     /* 1125182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1125185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1125193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1125196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125221 */     // MIs[0] round
     /* 1125221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125231 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1125234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125256 */     // GIR_Coverage, 16820,
     /* 1125256 */     GIR_EraseRootFromParent_Done,
     /* 1125257 */   // Label 16176: @1125257
     /* 1125257 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1125337), // Rule ID 16821 //
     /* 1125262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1125265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1125273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1125276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1125279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1125282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1125301 */     // MIs[0] round
     /* 1125301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125311 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1125314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1125332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125336 */     // GIR_Coverage, 16821,
     /* 1125336 */     GIR_EraseRootFromParent_Done,
     /* 1125337 */   // Label 16177: @1125337
     /* 1125337 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1125417), // Rule ID 16824 //
     /* 1125342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1125345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1125359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125381 */     // MIs[0] round
     /* 1125381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125391 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1125394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125416 */     // GIR_Coverage, 16824,
     /* 1125416 */     GIR_EraseRootFromParent_Done,
     /* 1125417 */   // Label 16178: @1125417
     /* 1125417 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1125497), // Rule ID 16825 //
     /* 1125422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1125425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1125439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125461 */     // MIs[0] round
     /* 1125461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125471 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1125474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125496 */     // GIR_Coverage, 16825,
     /* 1125496 */     GIR_EraseRootFromParent_Done,
     /* 1125497 */   // Label 16179: @1125497
     /* 1125497 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1125577), // Rule ID 16828 //
     /* 1125502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1125505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125541 */     // MIs[0] round
     /* 1125541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125551 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1125554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125576 */     // GIR_Coverage, 16828,
     /* 1125576 */     GIR_EraseRootFromParent_Done,
     /* 1125577 */   // Label 16180: @1125577
     /* 1125577 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1125657), // Rule ID 16829 //
     /* 1125582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1125585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1125599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125621 */     // MIs[0] round
     /* 1125621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1125634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125656 */     // GIR_Coverage, 16829,
     /* 1125656 */     GIR_EraseRootFromParent_Done,
     /* 1125657 */   // Label 16181: @1125657
     /* 1125657 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1125737), // Rule ID 16832 //
     /* 1125662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1125665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1125679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125701 */     // MIs[0] round
     /* 1125701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125711 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1125714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125736 */     // GIR_Coverage, 16832,
     /* 1125736 */     GIR_EraseRootFromParent_Done,
     /* 1125737 */   // Label 16182: @1125737
     /* 1125737 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1125817), // Rule ID 16833 //
     /* 1125742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1125745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1125759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1125762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1125781 */     // MIs[0] round
     /* 1125781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125791 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1125794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1125812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125816 */     // GIR_Coverage, 16833,
     /* 1125816 */     GIR_EraseRootFromParent_Done,
     /* 1125817 */   // Label 16183: @1125817
     /* 1125817 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1125897), // Rule ID 16836 //
     /* 1125822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1125825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1125839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1125842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1125845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1125861 */     // MIs[0] round
     /* 1125861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125871 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1125871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1125874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125896 */     // GIR_Coverage, 16836,
     /* 1125896 */     GIR_EraseRootFromParent_Done,
     /* 1125897 */   // Label 16184: @1125897
     /* 1125897 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1125977), // Rule ID 16837 //
     /* 1125902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1125905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1125913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1125916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1125919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1125922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1125925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1125941 */     // MIs[0] round
     /* 1125941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1125944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125951 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10897:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1125951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1125954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1125958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1125964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1125972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1125975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125976 */     // GIR_Coverage, 16837,
     /* 1125976 */     GIR_EraseRootFromParent_Done,
     /* 1125977 */   // Label 16185: @1125977
     /* 1125977 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1126057), // Rule ID 16840 //
     /* 1125982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1125985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1125990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1125993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1125996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1125999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1126021 */     // MIs[0] round
     /* 1126021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126031 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1126034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126056 */     // GIR_Coverage, 16840,
     /* 1126056 */     GIR_EraseRootFromParent_Done,
     /* 1126057 */   // Label 16186: @1126057
     /* 1126057 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1126137), // Rule ID 16841 //
     /* 1126062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1126065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1126070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1126073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1126076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1126079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1126101 */     // MIs[0] round
     /* 1126101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126111 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10897:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1126114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126136 */     // GIR_Coverage, 16841,
     /* 1126136 */     GIR_EraseRootFromParent_Done,
     /* 1126137 */   // Label 16187: @1126137
     /* 1126137 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1126217), // Rule ID 16844 //
     /* 1126142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1126145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1126150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1126159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1126181 */     // MIs[0] round
     /* 1126181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126191 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1126194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126216 */     // GIR_Coverage, 16844,
     /* 1126216 */     GIR_EraseRootFromParent_Done,
     /* 1126217 */   // Label 16188: @1126217
     /* 1126217 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1126297), // Rule ID 16845 //
     /* 1126222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1126225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1126230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1126233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1126236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1126239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1126242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1126261 */     // MIs[0] round
     /* 1126261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126271 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10897:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1126274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1126292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126296 */     // GIR_Coverage, 16845,
     /* 1126296 */     GIR_EraseRootFromParent_Done,
     /* 1126297 */   // Label 16189: @1126297
     /* 1126297 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1126377), // Rule ID 16848 //
     /* 1126302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1126313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1126316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1126319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1126322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126341 */     // MIs[0] round
     /* 1126341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126351 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1126354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126376 */     // GIR_Coverage, 16848,
     /* 1126376 */     GIR_EraseRootFromParent_Done,
     /* 1126377 */   // Label 16190: @1126377
     /* 1126377 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1126457), // Rule ID 16849 //
     /* 1126382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1126393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1126396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1126399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1126402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126421 */     // MIs[0] round
     /* 1126421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126431 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1126434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126456 */     // GIR_Coverage, 16849,
     /* 1126456 */     GIR_EraseRootFromParent_Done,
     /* 1126457 */   // Label 16191: @1126457
     /* 1126457 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1126537), // Rule ID 16852 //
     /* 1126462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1126479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1126482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126501 */     // MIs[0] round
     /* 1126501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126511 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1126514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126536 */     // GIR_Coverage, 16852,
     /* 1126536 */     GIR_EraseRootFromParent_Done,
     /* 1126537 */   // Label 16192: @1126537
     /* 1126537 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1126617), // Rule ID 16853 //
     /* 1126542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1126559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1126562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126581 */     // MIs[0] round
     /* 1126581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126591 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1126594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126616 */     // GIR_Coverage, 16853,
     /* 1126616 */     GIR_EraseRootFromParent_Done,
     /* 1126617 */   // Label 16193: @1126617
     /* 1126617 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1126697), // Rule ID 16856 //
     /* 1126622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1126639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1126642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126661 */     // MIs[0] round
     /* 1126661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126671 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1126674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126696 */     // GIR_Coverage, 16856,
     /* 1126696 */     GIR_EraseRootFromParent_Done,
     /* 1126697 */   // Label 16194: @1126697
     /* 1126697 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1126777), // Rule ID 16857 //
     /* 1126702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1126719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1126722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126741 */     // MIs[0] round
     /* 1126741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126751 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1126754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126776 */     // GIR_Coverage, 16857,
     /* 1126776 */     GIR_EraseRootFromParent_Done,
     /* 1126777 */   // Label 16195: @1126777
     /* 1126777 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1126857), // Rule ID 16860 //
     /* 1126782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126821 */     // MIs[0] round
     /* 1126821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126831 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1126834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126856 */     // GIR_Coverage, 16860,
     /* 1126856 */     GIR_EraseRootFromParent_Done,
     /* 1126857 */   // Label 16196: @1126857
     /* 1126857 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1126937), // Rule ID 16861 //
     /* 1126862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1126865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1126879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1126882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1126885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126901 */     // MIs[0] round
     /* 1126901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126911 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1126911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1126914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1126924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1126932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1126935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126936 */     // GIR_Coverage, 16861,
     /* 1126936 */     GIR_EraseRootFromParent_Done,
     /* 1126937 */   // Label 16197: @1126937
     /* 1126937 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1127017), // Rule ID 16864 //
     /* 1126942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1126945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1126950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1126959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1126962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1126965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126981 */     // MIs[0] round
     /* 1126981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1126984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126991 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1126991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1126994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1126998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127016 */     // GIR_Coverage, 16864,
     /* 1127016 */     GIR_EraseRootFromParent_Done,
     /* 1127017 */   // Label 16198: @1127017
     /* 1127017 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1127097), // Rule ID 16865 //
     /* 1127022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1127025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1127039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1127042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127061 */     // MIs[0] round
     /* 1127061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1127074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127096 */     // GIR_Coverage, 16865,
     /* 1127096 */     GIR_EraseRootFromParent_Done,
     /* 1127097 */   // Label 16199: @1127097
     /* 1127097 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1127177), // Rule ID 16868 //
     /* 1127102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1127105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1127122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127141 */     // MIs[0] round
     /* 1127141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1127154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127176 */     // GIR_Coverage, 16868,
     /* 1127176 */     GIR_EraseRootFromParent_Done,
     /* 1127177 */   // Label 16200: @1127177
     /* 1127177 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1127257), // Rule ID 16869 //
     /* 1127182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1127185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1127193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1127196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1127199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1127202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127221 */     // MIs[0] round
     /* 1127221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1127234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127256 */     // GIR_Coverage, 16869,
     /* 1127256 */     GIR_EraseRootFromParent_Done,
     /* 1127257 */   // Label 16201: @1127257
     /* 1127257 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1127337), // Rule ID 16872 //
     /* 1127262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1127265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127301 */     // MIs[0] round
     /* 1127301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127311 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1127314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127336 */     // GIR_Coverage, 16872,
     /* 1127336 */     GIR_EraseRootFromParent_Done,
     /* 1127337 */   // Label 16202: @1127337
     /* 1127337 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1127417), // Rule ID 16873 //
     /* 1127342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1127345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1127353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1127356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1127359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1127362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127381 */     // MIs[0] round
     /* 1127381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127391 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1127394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127416 */     // GIR_Coverage, 16873,
     /* 1127416 */     GIR_EraseRootFromParent_Done,
     /* 1127417 */   // Label 16203: @1127417
     /* 1127417 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1127497), // Rule ID 16876 //
     /* 1127422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1127425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1127439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1127442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127461 */     // MIs[0] round
     /* 1127461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1127474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127496 */     // GIR_Coverage, 16876,
     /* 1127496 */     GIR_EraseRootFromParent_Done,
     /* 1127497 */   // Label 16204: @1127497
     /* 1127497 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1127577), // Rule ID 16877 //
     /* 1127502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1127505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1127513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1127516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1127519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1127522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127541 */     // MIs[0] round
     /* 1127541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127551 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1127554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127576 */     // GIR_Coverage, 16877,
     /* 1127576 */     GIR_EraseRootFromParent_Done,
     /* 1127577 */   // Label 16205: @1127577
     /* 1127577 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1127657), // Rule ID 16880 //
     /* 1127582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1127585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1127599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1127602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127621 */     // MIs[0] round
     /* 1127621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127631 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1127634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127656 */     // GIR_Coverage, 16880,
     /* 1127656 */     GIR_EraseRootFromParent_Done,
     /* 1127657 */   // Label 16206: @1127657
     /* 1127657 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1127737), // Rule ID 16881 //
     /* 1127662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1127665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1127673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1127676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1127679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1127682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127701 */     // MIs[0] round
     /* 1127701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127711 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1127714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1127732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127736 */     // GIR_Coverage, 16881,
     /* 1127736 */     GIR_EraseRootFromParent_Done,
     /* 1127737 */   // Label 16207: @1127737
     /* 1127737 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1127817), // Rule ID 16884 //
     /* 1127742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1127745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1127762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1127781 */     // MIs[0] round
     /* 1127781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127791 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1127794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127816 */     // GIR_Coverage, 16884,
     /* 1127816 */     GIR_EraseRootFromParent_Done,
     /* 1127817 */   // Label 16208: @1127817
     /* 1127817 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1127897), // Rule ID 16885 //
     /* 1127822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1127825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1127833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1127836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1127839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1127842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1127845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1127861 */     // MIs[0] round
     /* 1127861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127871 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1127871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1127874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127896 */     // GIR_Coverage, 16885,
     /* 1127896 */     GIR_EraseRootFromParent_Done,
     /* 1127897 */   // Label 16209: @1127897
     /* 1127897 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1127977), // Rule ID 16888 //
     /* 1127902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1127905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1127922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1127925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1127941 */     // MIs[0] round
     /* 1127941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1127944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1127951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1127954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1127958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1127964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1127972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1127975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127976 */     // GIR_Coverage, 16888,
     /* 1127976 */     GIR_EraseRootFromParent_Done,
     /* 1127977 */   // Label 16210: @1127977
     /* 1127977 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1128057), // Rule ID 16889 //
     /* 1127982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1127985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1127990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1127999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128021 */     // MIs[0] round
     /* 1128021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10913:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1128034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128056 */     // GIR_Coverage, 16889,
     /* 1128056 */     GIR_EraseRootFromParent_Done,
     /* 1128057 */   // Label 16211: @1128057
     /* 1128057 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1128137), // Rule ID 16892 //
     /* 1128062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1128065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128101 */     // MIs[0] round
     /* 1128101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1128114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128136 */     // GIR_Coverage, 16892,
     /* 1128136 */     GIR_EraseRootFromParent_Done,
     /* 1128137 */   // Label 16212: @1128137
     /* 1128137 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1128217), // Rule ID 16893 //
     /* 1128142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1128159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128181 */     // MIs[0] round
     /* 1128181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128191 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1128194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128216 */     // GIR_Coverage, 16893,
     /* 1128216 */     GIR_EraseRootFromParent_Done,
     /* 1128217 */   // Label 16213: @1128217
     /* 1128217 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1128297), // Rule ID 16896 //
     /* 1128222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1128225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1128239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128261 */     // MIs[0] round
     /* 1128261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1128274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128296 */     // GIR_Coverage, 16896,
     /* 1128296 */     GIR_EraseRootFromParent_Done,
     /* 1128297 */   // Label 16214: @1128297
     /* 1128297 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1128377), // Rule ID 16897 //
     /* 1128302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1128319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128341 */     // MIs[0] round
     /* 1128341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128351 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1128354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128376 */     // GIR_Coverage, 16897,
     /* 1128376 */     GIR_EraseRootFromParent_Done,
     /* 1128377 */   // Label 16215: @1128377
     /* 1128377 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1128457), // Rule ID 16900 //
     /* 1128382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1128385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128421 */     // MIs[0] round
     /* 1128421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1128434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128456 */     // GIR_Coverage, 16900,
     /* 1128456 */     GIR_EraseRootFromParent_Done,
     /* 1128457 */   // Label 16216: @1128457
     /* 1128457 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1128537), // Rule ID 16901 //
     /* 1128462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1128465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1128479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1128482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1128501 */     // MIs[0] round
     /* 1128501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128511 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1128514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1128532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128536 */     // GIR_Coverage, 16901,
     /* 1128536 */     GIR_EraseRootFromParent_Done,
     /* 1128537 */   // Label 16217: @1128537
     /* 1128537 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1128617), // Rule ID 16904 //
     /* 1128542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1128545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128581 */     // MIs[0] round
     /* 1128581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1128594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128616 */     // GIR_Coverage, 16904,
     /* 1128616 */     GIR_EraseRootFromParent_Done,
     /* 1128617 */   // Label 16218: @1128617
     /* 1128617 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1128697), // Rule ID 16905 //
     /* 1128622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1128625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1128633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1128636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1128639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128661 */     // MIs[0] round
     /* 1128661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10913:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1128674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128696 */     // GIR_Coverage, 16905,
     /* 1128696 */     GIR_EraseRootFromParent_Done,
     /* 1128697 */   // Label 16219: @1128697
     /* 1128697 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1128777), // Rule ID 16908 //
     /* 1128702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1128705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1128713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1128716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128741 */     // MIs[0] round
     /* 1128741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1128754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128776 */     // GIR_Coverage, 16908,
     /* 1128776 */     GIR_EraseRootFromParent_Done,
     /* 1128777 */   // Label 16220: @1128777
     /* 1128777 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1128857), // Rule ID 16909 //
     /* 1128782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1128785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1128793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1128796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1128799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128821 */     // MIs[0] round
     /* 1128821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10913:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1128834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128856 */     // GIR_Coverage, 16909,
     /* 1128856 */     GIR_EraseRootFromParent_Done,
     /* 1128857 */   // Label 16221: @1128857
     /* 1128857 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1128937), // Rule ID 16912 //
     /* 1128862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1128865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1128873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1128876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1128885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128901 */     // MIs[0] round
     /* 1128901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1128911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1128914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1128924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1128935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128936 */     // GIR_Coverage, 16912,
     /* 1128936 */     GIR_EraseRootFromParent_Done,
     /* 1128937 */   // Label 16222: @1128937
     /* 1128937 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1129017), // Rule ID 16913 //
     /* 1128942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1128945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1128950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1128953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1128956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1128959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1128962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1128965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1128981 */     // MIs[0] round
     /* 1128981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1128984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128991 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10913:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1128991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1128994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1128998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129016 */     // GIR_Coverage, 16913,
     /* 1129016 */     GIR_EraseRootFromParent_Done,
     /* 1129017 */   // Label 16223: @1129017
     /* 1129017 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1129097), // Rule ID 16916 //
     /* 1129022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1129025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1129030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1129061 */     // MIs[0] round
     /* 1129061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1129074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129096 */     // GIR_Coverage, 16916,
     /* 1129096 */     GIR_EraseRootFromParent_Done,
     /* 1129097 */   // Label 16224: @1129097
     /* 1129097 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1129177), // Rule ID 16917 //
     /* 1129102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1129105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1129110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1129119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1129122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1129141 */     // MIs[0] round
     /* 1129141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129151 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10913:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1129154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129176 */     // GIR_Coverage, 16917,
     /* 1129176 */     GIR_EraseRootFromParent_Done,
     /* 1129177 */   // Label 16225: @1129177
     /* 1129177 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1129257), // Rule ID 16920 //
     /* 1129182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1129185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129221 */     // MIs[0] round
     /* 1129221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1129234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129256 */     // GIR_Coverage, 16920,
     /* 1129256 */     GIR_EraseRootFromParent_Done,
     /* 1129257 */   // Label 16226: @1129257
     /* 1129257 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1129337), // Rule ID 16921 //
     /* 1129262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1129265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1129279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1129282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129301 */     // MIs[0] round
     /* 1129301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129311 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1129314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129336 */     // GIR_Coverage, 16921,
     /* 1129336 */     GIR_EraseRootFromParent_Done,
     /* 1129337 */   // Label 16227: @1129337
     /* 1129337 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1129417), // Rule ID 16924 //
     /* 1129342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1129345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1129362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129381 */     // MIs[0] round
     /* 1129381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1129394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129416 */     // GIR_Coverage, 16924,
     /* 1129416 */     GIR_EraseRootFromParent_Done,
     /* 1129417 */   // Label 16228: @1129417
     /* 1129417 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1129497), // Rule ID 16925 //
     /* 1129422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1129425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1129433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1129436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1129439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1129442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129461 */     // MIs[0] round
     /* 1129461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1129474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129496 */     // GIR_Coverage, 16925,
     /* 1129496 */     GIR_EraseRootFromParent_Done,
     /* 1129497 */   // Label 16229: @1129497
     /* 1129497 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1129577), // Rule ID 16928 //
     /* 1129502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1129505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129541 */     // MIs[0] round
     /* 1129541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1129554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129576 */     // GIR_Coverage, 16928,
     /* 1129576 */     GIR_EraseRootFromParent_Done,
     /* 1129577 */   // Label 16230: @1129577
     /* 1129577 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1129657), // Rule ID 16929 //
     /* 1129582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1129585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1129593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1129596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129621 */     // MIs[0] round
     /* 1129621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1129634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129656 */     // GIR_Coverage, 16929,
     /* 1129656 */     GIR_EraseRootFromParent_Done,
     /* 1129657 */   // Label 16231: @1129657
     /* 1129657 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1129737), // Rule ID 16932 //
     /* 1129662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1129665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1129682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129701 */     // MIs[0] round
     /* 1129701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129711 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1129714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129736 */     // GIR_Coverage, 16932,
     /* 1129736 */     GIR_EraseRootFromParent_Done,
     /* 1129737 */   // Label 16232: @1129737
     /* 1129737 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1129817), // Rule ID 16933 //
     /* 1129742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1129745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1129762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129781 */     // MIs[0] round
     /* 1129781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129791 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1129794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129816 */     // GIR_Coverage, 16933,
     /* 1129816 */     GIR_EraseRootFromParent_Done,
     /* 1129817 */   // Label 16233: @1129817
     /* 1129817 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1129897), // Rule ID 16936 //
     /* 1129822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1129825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1129842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1129845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129861 */     // MIs[0] round
     /* 1129861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1129871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1129874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129896 */     // GIR_Coverage, 16936,
     /* 1129896 */     GIR_EraseRootFromParent_Done,
     /* 1129897 */   // Label 16234: @1129897
     /* 1129897 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1129977), // Rule ID 16937 //
     /* 1129902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1129905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1129922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1129925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129941 */     // MIs[0] round
     /* 1129941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1129944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129951 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1129951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1129954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1129958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1129964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1129972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1129975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129976 */     // GIR_Coverage, 16937,
     /* 1129976 */     GIR_EraseRootFromParent_Done,
     /* 1129977 */   // Label 16235: @1129977
     /* 1129977 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1130057), // Rule ID 16940 //
     /* 1129982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1129985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1129990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1129999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1130002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130021 */     // MIs[0] round
     /* 1130021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130031 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1130034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130056 */     // GIR_Coverage, 16940,
     /* 1130056 */     GIR_EraseRootFromParent_Done,
     /* 1130057 */   // Label 16236: @1130057
     /* 1130057 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1130137), // Rule ID 16941 //
     /* 1130062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1130065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1130079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1130082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130101 */     // MIs[0] round
     /* 1130101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130111 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1130114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130136 */     // GIR_Coverage, 16941,
     /* 1130136 */     GIR_EraseRootFromParent_Done,
     /* 1130137 */   // Label 16237: @1130137
     /* 1130137 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1130217), // Rule ID 16944 //
     /* 1130142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1130145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130181 */     // MIs[0] round
     /* 1130181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1130194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130216 */     // GIR_Coverage, 16944,
     /* 1130216 */     GIR_EraseRootFromParent_Done,
     /* 1130217 */   // Label 16238: @1130217
     /* 1130217 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1130297), // Rule ID 16945 //
     /* 1130222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1130225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1130239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1130242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130261 */     // MIs[0] round
     /* 1130261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1130274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130296 */     // GIR_Coverage, 16945,
     /* 1130296 */     GIR_EraseRootFromParent_Done,
     /* 1130297 */   // Label 16239: @1130297
     /* 1130297 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1130377), // Rule ID 16948 //
     /* 1130302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1130305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130341 */     // MIs[0] round
     /* 1130341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1130354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130376 */     // GIR_Coverage, 16948,
     /* 1130376 */     GIR_EraseRootFromParent_Done,
     /* 1130377 */   // Label 16240: @1130377
     /* 1130377 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1130457), // Rule ID 16949 //
     /* 1130382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1130385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1130399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1130402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130421 */     // MIs[0] round
     /* 1130421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1130434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130456 */     // GIR_Coverage, 16949,
     /* 1130456 */     GIR_EraseRootFromParent_Done,
     /* 1130457 */   // Label 16241: @1130457
     /* 1130457 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1130537), // Rule ID 16952 //
     /* 1130462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1130465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1130482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130501 */     // MIs[0] round
     /* 1130501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130511 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1130514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130536 */     // GIR_Coverage, 16952,
     /* 1130536 */     GIR_EraseRootFromParent_Done,
     /* 1130537 */   // Label 16242: @1130537
     /* 1130537 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1130617), // Rule ID 16953 //
     /* 1130542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1130545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1130553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1130556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1130559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1130562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130581 */     // MIs[0] round
     /* 1130581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130591 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1130594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130616 */     // GIR_Coverage, 16953,
     /* 1130616 */     GIR_EraseRootFromParent_Done,
     /* 1130617 */   // Label 16243: @1130617
     /* 1130617 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1130697), // Rule ID 16956 //
     /* 1130622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1130625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1130633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1130636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1130639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1130642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1130661 */     // MIs[0] round
     /* 1130661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130671 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1130674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130696 */     // GIR_Coverage, 16956,
     /* 1130696 */     GIR_EraseRootFromParent_Done,
     /* 1130697 */   // Label 16244: @1130697
     /* 1130697 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1130777), // Rule ID 16957 //
     /* 1130702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1130705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1130713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1130716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1130719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1130722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1130741 */     // MIs[0] round
     /* 1130741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130751 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1130754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130776 */     // GIR_Coverage, 16957,
     /* 1130776 */     GIR_EraseRootFromParent_Done,
     /* 1130777 */   // Label 16245: @1130777
     /* 1130777 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1130857), // Rule ID 16960 //
     /* 1130782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1130785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1130799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1130802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1130821 */     // MIs[0] round
     /* 1130821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1130834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130856 */     // GIR_Coverage, 16960,
     /* 1130856 */     GIR_EraseRootFromParent_Done,
     /* 1130857 */   // Label 16246: @1130857
     /* 1130857 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1130937), // Rule ID 16961 //
     /* 1130862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1130865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1130879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1130882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1130885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1130901 */     // MIs[0] round
     /* 1130901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130911 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10949:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1130911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1130914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1130924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1130932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1130935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130936 */     // GIR_Coverage, 16961,
     /* 1130936 */     GIR_EraseRootFromParent_Done,
     /* 1130937 */   // Label 16247: @1130937
     /* 1130937 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1131017), // Rule ID 16964 //
     /* 1130942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1130945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1130950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1130959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1130962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1130965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1130981 */     // MIs[0] round
     /* 1130981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1130984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130991 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1130991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1130994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1130998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131016 */     // GIR_Coverage, 16964,
     /* 1131016 */     GIR_EraseRootFromParent_Done,
     /* 1131017 */   // Label 16248: @1131017
     /* 1131017 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1131097), // Rule ID 16965 //
     /* 1131022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1131025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1131039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1131042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1131061 */     // MIs[0] round
     /* 1131061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131071 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1131074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131096 */     // GIR_Coverage, 16965,
     /* 1131096 */     GIR_EraseRootFromParent_Done,
     /* 1131097 */   // Label 16249: @1131097
     /* 1131097 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1131177), // Rule ID 16968 //
     /* 1131102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1131105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1131119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1131122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1131141 */     // MIs[0] round
     /* 1131141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131151 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1131154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131176 */     // GIR_Coverage, 16968,
     /* 1131176 */     GIR_EraseRootFromParent_Done,
     /* 1131177 */   // Label 16250: @1131177
     /* 1131177 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1131257), // Rule ID 16969 //
     /* 1131182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1131185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1131199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1131202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1131221 */     // MIs[0] round
     /* 1131221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131231 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1131234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131256 */     // GIR_Coverage, 16969,
     /* 1131256 */     GIR_EraseRootFromParent_Done,
     /* 1131257 */   // Label 16251: @1131257
     /* 1131257 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1131337), // Rule ID 16972 //
     /* 1131262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1131265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1131282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1131301 */     // MIs[0] round
     /* 1131301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1131314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131336 */     // GIR_Coverage, 16972,
     /* 1131336 */     GIR_EraseRootFromParent_Done,
     /* 1131337 */   // Label 16252: @1131337
     /* 1131337 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1131417), // Rule ID 16973 //
     /* 1131342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1131345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1131362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1131381 */     // MIs[0] round
     /* 1131381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131391 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1131394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1131412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131416 */     // GIR_Coverage, 16973,
     /* 1131416 */     GIR_EraseRootFromParent_Done,
     /* 1131417 */   // Label 16253: @1131417
     /* 1131417 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1131497), // Rule ID 16976 //
     /* 1131422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1131425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131461 */     // MIs[0] round
     /* 1131461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131471 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1131474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131496 */     // GIR_Coverage, 16976,
     /* 1131496 */     GIR_EraseRootFromParent_Done,
     /* 1131497 */   // Label 16254: @1131497
     /* 1131497 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1131577), // Rule ID 16977 //
     /* 1131502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1131505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1131513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1131516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1131519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131541 */     // MIs[0] round
     /* 1131541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131551 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10949:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1131554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131576 */     // GIR_Coverage, 16977,
     /* 1131576 */     GIR_EraseRootFromParent_Done,
     /* 1131577 */   // Label 16255: @1131577
     /* 1131577 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1131657), // Rule ID 16980 //
     /* 1131582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1131585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131621 */     // MIs[0] round
     /* 1131621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131631 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1131634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131656 */     // GIR_Coverage, 16980,
     /* 1131656 */     GIR_EraseRootFromParent_Done,
     /* 1131657 */   // Label 16256: @1131657
     /* 1131657 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1131737), // Rule ID 16981 //
     /* 1131662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1131665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1131673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1131676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1131679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131701 */     // MIs[0] round
     /* 1131701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131711 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10949:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1131714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131736 */     // GIR_Coverage, 16981,
     /* 1131736 */     GIR_EraseRootFromParent_Done,
     /* 1131737 */   // Label 16257: @1131737
     /* 1131737 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1131817), // Rule ID 16984 //
     /* 1131742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1131745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1131759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131781 */     // MIs[0] round
     /* 1131781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131791 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1131794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131816 */     // GIR_Coverage, 16984,
     /* 1131816 */     GIR_EraseRootFromParent_Done,
     /* 1131817 */   // Label 16258: @1131817
     /* 1131817 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1131897), // Rule ID 16985 //
     /* 1131822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1131825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1131839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1131845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131861 */     // MIs[0] round
     /* 1131861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131871 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10949:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1131871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1131874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131896 */     // GIR_Coverage, 16985,
     /* 1131896 */     GIR_EraseRootFromParent_Done,
     /* 1131897 */   // Label 16259: @1131897
     /* 1131897 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1131977), // Rule ID 16988 //
     /* 1131902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1131905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1131922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1131925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1131941 */     // MIs[0] round
     /* 1131941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1131944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131951 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1131951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1131954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1131958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1131964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1131975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131976 */     // GIR_Coverage, 16988,
     /* 1131976 */     GIR_EraseRootFromParent_Done,
     /* 1131977 */   // Label 16260: @1131977
     /* 1131977 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1132057), // Rule ID 16989 //
     /* 1131982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1131985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1131990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1131999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1132002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1132021 */     // MIs[0] round
     /* 1132021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132031 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10949:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1132034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132056 */     // GIR_Coverage, 16989,
     /* 1132056 */     GIR_EraseRootFromParent_Done,
     /* 1132057 */   // Label 16261: @1132057
     /* 1132057 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1132137), // Rule ID 16994 //
     /* 1132062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1132065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1132082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132101 */     // MIs[0] round
     /* 1132101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1132114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132136 */     // GIR_Coverage, 16994,
     /* 1132136 */     GIR_EraseRootFromParent_Done,
     /* 1132137 */   // Label 16262: @1132137
     /* 1132137 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1132217), // Rule ID 16995 //
     /* 1132142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1132145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1132153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1132156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1132159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1132162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132181 */     // MIs[0] round
     /* 1132181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1132194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132216 */     // GIR_Coverage, 16995,
     /* 1132216 */     GIR_EraseRootFromParent_Done,
     /* 1132217 */   // Label 16263: @1132217
     /* 1132217 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1132297), // Rule ID 17004 //
     /* 1132222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1132225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1132233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1132236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1132239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132261 */     // MIs[0] round
     /* 1132261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132271 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1132274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132296 */     // GIR_Coverage, 17004,
     /* 1132296 */     GIR_EraseRootFromParent_Done,
     /* 1132297 */   // Label 16264: @1132297
     /* 1132297 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1132377), // Rule ID 17005 //
     /* 1132302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1132305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1132313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1132316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1132319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132341 */     // MIs[0] round
     /* 1132341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132351 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1132354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132376 */     // GIR_Coverage, 17005,
     /* 1132376 */     GIR_EraseRootFromParent_Done,
     /* 1132377 */   // Label 16265: @1132377
     /* 1132377 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1132457), // Rule ID 17014 //
     /* 1132382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1132385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1132393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1132396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1132399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132421 */     // MIs[0] round
     /* 1132421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1132434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132456 */     // GIR_Coverage, 17014,
     /* 1132456 */     GIR_EraseRootFromParent_Done,
     /* 1132457 */   // Label 16266: @1132457
     /* 1132457 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1132537), // Rule ID 17015 //
     /* 1132462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1132465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1132473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1132476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1132479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132501 */     // MIs[0] round
     /* 1132501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132511 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1132514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132536 */     // GIR_Coverage, 17015,
     /* 1132536 */     GIR_EraseRootFromParent_Done,
     /* 1132537 */   // Label 16267: @1132537
     /* 1132537 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1132617), // Rule ID 17024 //
     /* 1132542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1132545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1132553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1132556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1132559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132581 */     // MIs[0] round
     /* 1132581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1132594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132616 */     // GIR_Coverage, 17024,
     /* 1132616 */     GIR_EraseRootFromParent_Done,
     /* 1132617 */   // Label 16268: @1132617
     /* 1132617 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1132697), // Rule ID 17025 //
     /* 1132622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1132625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1132633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1132636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1132639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132661 */     // MIs[0] round
     /* 1132661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132671 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1132674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132696 */     // GIR_Coverage, 17025,
     /* 1132696 */     GIR_EraseRootFromParent_Done,
     /* 1132697 */   // Label 16269: @1132697
     /* 1132697 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1132777), // Rule ID 17034 //
     /* 1132702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1132705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1132722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132741 */     // MIs[0] round
     /* 1132741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1132754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132776 */     // GIR_Coverage, 17034,
     /* 1132776 */     GIR_EraseRootFromParent_Done,
     /* 1132777 */   // Label 16270: @1132777
     /* 1132777 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1132857), // Rule ID 17035 //
     /* 1132782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1132785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1132799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1132802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132821 */     // MIs[0] round
     /* 1132821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1132834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132856 */     // GIR_Coverage, 17035,
     /* 1132856 */     GIR_EraseRootFromParent_Done,
     /* 1132857 */   // Label 16271: @1132857
     /* 1132857 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1132937), // Rule ID 17044 //
     /* 1132862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1132865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1132879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132901 */     // MIs[0] round
     /* 1132901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1132914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1132932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132936 */     // GIR_Coverage, 17044,
     /* 1132936 */     GIR_EraseRootFromParent_Done,
     /* 1132937 */   // Label 16272: @1132937
     /* 1132937 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1133017), // Rule ID 17045 //
     /* 1132942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1132945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1132959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1132962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132981 */     // MIs[0] round
     /* 1132981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132991 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1132994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133016 */     // GIR_Coverage, 17045,
     /* 1133016 */     GIR_EraseRootFromParent_Done,
     /* 1133017 */   // Label 16273: @1133017
     /* 1133017 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1133097), // Rule ID 17054 //
     /* 1133022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1133025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133061 */     // MIs[0] round
     /* 1133061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133071 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1133074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133096 */     // GIR_Coverage, 17054,
     /* 1133096 */     GIR_EraseRootFromParent_Done,
     /* 1133097 */   // Label 16274: @1133097
     /* 1133097 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1133177), // Rule ID 17055 //
     /* 1133102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1133105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1133113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1133116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1133119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1133122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133141 */     // MIs[0] round
     /* 1133141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133151 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1133154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133176 */     // GIR_Coverage, 17055,
     /* 1133176 */     GIR_EraseRootFromParent_Done,
     /* 1133177 */   // Label 16275: @1133177
     /* 1133177 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1133257), // Rule ID 17064 //
     /* 1133182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1133185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1133193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1133196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1133199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133221 */     // MIs[0] round
     /* 1133221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133231 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1133234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133256 */     // GIR_Coverage, 17064,
     /* 1133256 */     GIR_EraseRootFromParent_Done,
     /* 1133257 */   // Label 16276: @1133257
     /* 1133257 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1133337), // Rule ID 17065 //
     /* 1133262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1133265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1133273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1133276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1133279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1133282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1133297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133301 */     // MIs[0] round
     /* 1133301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133311 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1133314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133336 */     // GIR_Coverage, 17065,
     /* 1133336 */     GIR_EraseRootFromParent_Done,
     /* 1133337 */   // Label 16277: @1133337
     /* 1133337 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1133417), // Rule ID 17072 //
     /* 1133342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1133345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133381 */     // MIs[0] round
     /* 1133381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133391 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1133394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133416 */     // GIR_Coverage, 17072,
     /* 1133416 */     GIR_EraseRootFromParent_Done,
     /* 1133417 */   // Label 16278: @1133417
     /* 1133417 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1133497), // Rule ID 17073 //
     /* 1133422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1133425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133461 */     // MIs[0] round
     /* 1133461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133471 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1133474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133496 */     // GIR_Coverage, 17073,
     /* 1133496 */     GIR_EraseRootFromParent_Done,
     /* 1133497 */   // Label 16279: @1133497
     /* 1133497 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1133577), // Rule ID 17076 //
     /* 1133502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1133505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133541 */     // MIs[0] round
     /* 1133541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1133554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133576 */     // GIR_Coverage, 17076,
     /* 1133576 */     GIR_EraseRootFromParent_Done,
     /* 1133577 */   // Label 16280: @1133577
     /* 1133577 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1133657), // Rule ID 17077 //
     /* 1133582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1133585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1133593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1133596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1133599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133621 */     // MIs[0] round
     /* 1133621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133631 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10915:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1133634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133656 */     // GIR_Coverage, 17077,
     /* 1133656 */     GIR_EraseRootFromParent_Done,
     /* 1133657 */   // Label 16281: @1133657
     /* 1133657 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1133737), // Rule ID 17080 //
     /* 1133662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1133665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133701 */     // MIs[0] round
     /* 1133701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133711 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1133714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133736 */     // GIR_Coverage, 17080,
     /* 1133736 */     GIR_EraseRootFromParent_Done,
     /* 1133737 */   // Label 16282: @1133737
     /* 1133737 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1133817), // Rule ID 17081 //
     /* 1133742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1133745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1133753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1133756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1133759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1133777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133781 */     // MIs[0] round
     /* 1133781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133791 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1133794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133816 */     // GIR_Coverage, 17081,
     /* 1133816 */     GIR_EraseRootFromParent_Done,
     /* 1133817 */   // Label 16283: @1133817
     /* 1133817 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1133897), // Rule ID 17084 //
     /* 1133822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1133825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133861 */     // MIs[0] round
     /* 1133861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133871 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1133874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133896 */     // GIR_Coverage, 17084,
     /* 1133896 */     GIR_EraseRootFromParent_Done,
     /* 1133897 */   // Label 16284: @1133897
     /* 1133897 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1133977), // Rule ID 17085 //
     /* 1133902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1133905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1133913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1133916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1133919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1133922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1133937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1133941 */     // MIs[0] round
     /* 1133941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133951 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1133954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133976 */     // GIR_Coverage, 17085,
     /* 1133976 */     GIR_EraseRootFromParent_Done,
     /* 1133977 */   // Label 16285: @1133977
     /* 1133977 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1134057), // Rule ID 17088 //
     /* 1133982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1133985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1133990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1133993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1133996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1133999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1134002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1134021 */     // MIs[0] round
     /* 1134021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134031 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1134034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134056 */     // GIR_Coverage, 17088,
     /* 1134056 */     GIR_EraseRootFromParent_Done,
     /* 1134057 */   // Label 16286: @1134057
     /* 1134057 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1134137), // Rule ID 17089 //
     /* 1134062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1134065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1134073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1134076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1134079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1134082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1134101 */     // MIs[0] round
     /* 1134101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134111 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1134114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134136 */     // GIR_Coverage, 17089,
     /* 1134136 */     GIR_EraseRootFromParent_Done,
     /* 1134137 */   // Label 16287: @1134137
     /* 1134137 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1134217), // Rule ID 17092 //
     /* 1134142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1134145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134181 */     // MIs[0] round
     /* 1134181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134191 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1134194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134216 */     // GIR_Coverage, 17092,
     /* 1134216 */     GIR_EraseRootFromParent_Done,
     /* 1134217 */   // Label 16288: @1134217
     /* 1134217 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1134297), // Rule ID 17093 //
     /* 1134222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1134225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134261 */     // MIs[0] round
     /* 1134261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10915:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1134274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134296 */     // GIR_Coverage, 17093,
     /* 1134296 */     GIR_EraseRootFromParent_Done,
     /* 1134297 */   // Label 16289: @1134297
     /* 1134297 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1134377), // Rule ID 17096 //
     /* 1134302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1134305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134341 */     // MIs[0] round
     /* 1134341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1134354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134376 */     // GIR_Coverage, 17096,
     /* 1134376 */     GIR_EraseRootFromParent_Done,
     /* 1134377 */   // Label 16290: @1134377
     /* 1134377 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1134457), // Rule ID 17097 //
     /* 1134382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1134385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1134393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1134396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1134399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134421 */     // MIs[0] round
     /* 1134421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10915:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1134434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134456 */     // GIR_Coverage, 17097,
     /* 1134456 */     GIR_EraseRootFromParent_Done,
     /* 1134457 */   // Label 16291: @1134457
     /* 1134457 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1134537), // Rule ID 17100 //
     /* 1134462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1134465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134501 */     // MIs[0] round
     /* 1134501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134511 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1134514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134536 */     // GIR_Coverage, 17100,
     /* 1134536 */     GIR_EraseRootFromParent_Done,
     /* 1134537 */   // Label 16292: @1134537
     /* 1134537 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1134617), // Rule ID 17101 //
     /* 1134542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1134545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1134553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1134556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1134559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134581 */     // MIs[0] round
     /* 1134581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10915:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1134594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134616 */     // GIR_Coverage, 17101,
     /* 1134616 */     GIR_EraseRootFromParent_Done,
     /* 1134617 */   // Label 16293: @1134617
     /* 1134617 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1134697), // Rule ID 17104 //
     /* 1134622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1134625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134661 */     // MIs[0] round
     /* 1134661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134671 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1134674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134696 */     // GIR_Coverage, 17104,
     /* 1134696 */     GIR_EraseRootFromParent_Done,
     /* 1134697 */   // Label 16294: @1134697
     /* 1134697 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1134777), // Rule ID 17105 //
     /* 1134702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1134705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1134710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1134713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1134716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1134719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1134722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1134741 */     // MIs[0] round
     /* 1134741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134751 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10915:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1134754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134776 */     // GIR_Coverage, 17105,
     /* 1134776 */     GIR_EraseRootFromParent_Done,
     /* 1134777 */   // Label 16295: @1134777
     /* 1134777 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1134857), // Rule ID 17110 //
     /* 1134782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1134785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1134790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1134793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1134796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1134799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1134802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134821 */     // MIs[0] round
     /* 1134821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134831 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1134834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134856 */     // GIR_Coverage, 17110,
     /* 1134856 */     GIR_EraseRootFromParent_Done,
     /* 1134857 */   // Label 16296: @1134857
     /* 1134857 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1134937), // Rule ID 17111 //
     /* 1134862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1134865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1134870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1134873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1134876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1134879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1134882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134901 */     // MIs[0] round
     /* 1134901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134911 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1134914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134936 */     // GIR_Coverage, 17111,
     /* 1134936 */     GIR_EraseRootFromParent_Done,
     /* 1134937 */   // Label 16297: @1134937
     /* 1134937 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1135017), // Rule ID 17120 //
     /* 1134942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1134945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1134950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1134962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134981 */     // MIs[0] round
     /* 1134981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1134994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135016 */     // GIR_Coverage, 17120,
     /* 1135016 */     GIR_EraseRootFromParent_Done,
     /* 1135017 */   // Label 16298: @1135017
     /* 1135017 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1135097), // Rule ID 17121 //
     /* 1135022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1135025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1135033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1135036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1135039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1135042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135061 */     // MIs[0] round
     /* 1135061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1135074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135096 */     // GIR_Coverage, 17121,
     /* 1135096 */     GIR_EraseRootFromParent_Done,
     /* 1135097 */   // Label 16299: @1135097
     /* 1135097 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1135177), // Rule ID 17130 //
     /* 1135102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1135105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1135122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135141 */     // MIs[0] round
     /* 1135141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135151 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1135154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135176 */     // GIR_Coverage, 17130,
     /* 1135176 */     GIR_EraseRootFromParent_Done,
     /* 1135177 */   // Label 16300: @1135177
     /* 1135177 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1135257), // Rule ID 17131 //
     /* 1135182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1135185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1135202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135221 */     // MIs[0] round
     /* 1135221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135231 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1135234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135256 */     // GIR_Coverage, 17131,
     /* 1135256 */     GIR_EraseRootFromParent_Done,
     /* 1135257 */   // Label 16301: @1135257
     /* 1135257 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1135337), // Rule ID 17140 //
     /* 1135262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1135265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1135282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135301 */     // MIs[0] round
     /* 1135301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135311 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1135314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135336 */     // GIR_Coverage, 17140,
     /* 1135336 */     GIR_EraseRootFromParent_Done,
     /* 1135337 */   // Label 16302: @1135337
     /* 1135337 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1135417), // Rule ID 17141 //
     /* 1135342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1135345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1135362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135381 */     // MIs[0] round
     /* 1135381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135391 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1135394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135416 */     // GIR_Coverage, 17141,
     /* 1135416 */     GIR_EraseRootFromParent_Done,
     /* 1135417 */   // Label 16303: @1135417
     /* 1135417 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1135497), // Rule ID 17150 //
     /* 1135422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1135425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1135442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135461 */     // MIs[0] round
     /* 1135461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135471 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1135474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135496 */     // GIR_Coverage, 17150,
     /* 1135496 */     GIR_EraseRootFromParent_Done,
     /* 1135497 */   // Label 16304: @1135497
     /* 1135497 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1135577), // Rule ID 17151 //
     /* 1135502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1135505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1135522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135541 */     // MIs[0] round
     /* 1135541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135551 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1135554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135576 */     // GIR_Coverage, 17151,
     /* 1135576 */     GIR_EraseRootFromParent_Done,
     /* 1135577 */   // Label 16305: @1135577
     /* 1135577 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1135657), // Rule ID 17160 //
     /* 1135582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1135585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1135602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135621 */     // MIs[0] round
     /* 1135621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1135634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135656 */     // GIR_Coverage, 17160,
     /* 1135656 */     GIR_EraseRootFromParent_Done,
     /* 1135657 */   // Label 16306: @1135657
     /* 1135657 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1135737), // Rule ID 17161 //
     /* 1135662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1135665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1135673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1135676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1135679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1135682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135701 */     // MIs[0] round
     /* 1135701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1135714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135736 */     // GIR_Coverage, 17161,
     /* 1135736 */     GIR_EraseRootFromParent_Done,
     /* 1135737 */   // Label 16307: @1135737
     /* 1135737 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1135817), // Rule ID 17170 //
     /* 1135742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1135745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1135762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135781 */     // MIs[0] round
     /* 1135781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135791 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1135794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135816 */     // GIR_Coverage, 17170,
     /* 1135816 */     GIR_EraseRootFromParent_Done,
     /* 1135817 */   // Label 16308: @1135817
     /* 1135817 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1135897), // Rule ID 17171 //
     /* 1135822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1135825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1135842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1135861 */     // MIs[0] round
     /* 1135861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135871 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1135874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135896 */     // GIR_Coverage, 17171,
     /* 1135896 */     GIR_EraseRootFromParent_Done,
     /* 1135897 */   // Label 16309: @1135897
     /* 1135897 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1135977), // Rule ID 17180 //
     /* 1135902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1135905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1135922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135941 */     // MIs[0] round
     /* 1135941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135951 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1135954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135976 */     // GIR_Coverage, 17180,
     /* 1135976 */     GIR_EraseRootFromParent_Done,
     /* 1135977 */   // Label 16310: @1135977
     /* 1135977 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1136057), // Rule ID 17181 //
     /* 1135982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1135985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1135990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1135993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1135996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1135999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1136002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136021 */     // MIs[0] round
     /* 1136021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136031 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1136034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136056 */     // GIR_Coverage, 17181,
     /* 1136056 */     GIR_EraseRootFromParent_Done,
     /* 1136057 */   // Label 16311: @1136057
     /* 1136057 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1136137), // Rule ID 17190 //
     /* 1136062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1136065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1136082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136101 */     // MIs[0] round
     /* 1136101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136111 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1136114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136136 */     // GIR_Coverage, 17190,
     /* 1136136 */     GIR_EraseRootFromParent_Done,
     /* 1136137 */   // Label 16312: @1136137
     /* 1136137 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1136217), // Rule ID 17191 //
     /* 1136142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1136145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1136162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136181 */     // MIs[0] round
     /* 1136181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136191 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1136194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1136212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136216 */     // GIR_Coverage, 17191,
     /* 1136216 */     GIR_EraseRootFromParent_Done,
     /* 1136217 */   // Label 16313: @1136217
     /* 1136217 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1136297), // Rule ID 17198 //
     /* 1136222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1136225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136261 */     // MIs[0] round
     /* 1136261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136271 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1136274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136296 */     // GIR_Coverage, 17198,
     /* 1136296 */     GIR_EraseRootFromParent_Done,
     /* 1136297 */   // Label 16314: @1136297
     /* 1136297 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1136377), // Rule ID 17199 //
     /* 1136302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1136305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1136313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1136316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1136319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136341 */     // MIs[0] round
     /* 1136341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136351 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1136354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136376 */     // GIR_Coverage, 17199,
     /* 1136376 */     GIR_EraseRootFromParent_Done,
     /* 1136377 */   // Label 16315: @1136377
     /* 1136377 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1136457), // Rule ID 17202 //
     /* 1136382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1136385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136421 */     // MIs[0] round
     /* 1136421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136431 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1136434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136456 */     // GIR_Coverage, 17202,
     /* 1136456 */     GIR_EraseRootFromParent_Done,
     /* 1136457 */   // Label 16316: @1136457
     /* 1136457 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1136537), // Rule ID 17203 //
     /* 1136462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1136465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1136473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1136476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1136479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136501 */     // MIs[0] round
     /* 1136501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136511 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10951:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1136514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136536 */     // GIR_Coverage, 17203,
     /* 1136536 */     GIR_EraseRootFromParent_Done,
     /* 1136537 */   // Label 16317: @1136537
     /* 1136537 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1136617), // Rule ID 17206 //
     /* 1136542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1136545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136581 */     // MIs[0] round
     /* 1136581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136591 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1136594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136616 */     // GIR_Coverage, 17206,
     /* 1136616 */     GIR_EraseRootFromParent_Done,
     /* 1136617 */   // Label 16318: @1136617
     /* 1136617 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1136697), // Rule ID 17207 //
     /* 1136622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1136625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1136633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1136636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1136639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136661 */     // MIs[0] round
     /* 1136661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136671 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1136674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136696 */     // GIR_Coverage, 17207,
     /* 1136696 */     GIR_EraseRootFromParent_Done,
     /* 1136697 */   // Label 16319: @1136697
     /* 1136697 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1136777), // Rule ID 17210 //
     /* 1136702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1136705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136741 */     // MIs[0] round
     /* 1136741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136751 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1136754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136776 */     // GIR_Coverage, 17210,
     /* 1136776 */     GIR_EraseRootFromParent_Done,
     /* 1136777 */   // Label 16320: @1136777
     /* 1136777 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1136857), // Rule ID 17211 //
     /* 1136782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1136785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1136793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1136796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1136799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136821 */     // MIs[0] round
     /* 1136821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136831 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1136834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136856 */     // GIR_Coverage, 17211,
     /* 1136856 */     GIR_EraseRootFromParent_Done,
     /* 1136857 */   // Label 16321: @1136857
     /* 1136857 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1136937), // Rule ID 17214 //
     /* 1136862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1136865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1136873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1136876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1136879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136901 */     // MIs[0] round
     /* 1136901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136911 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1136914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1136932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136936 */     // GIR_Coverage, 17214,
     /* 1136936 */     GIR_EraseRootFromParent_Done,
     /* 1136937 */   // Label 16322: @1136937
     /* 1136937 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1137017), // Rule ID 17215 //
     /* 1136942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1136945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1136950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1136953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1136956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1136959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1136962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1136981 */     // MIs[0] round
     /* 1136981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136991 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1136994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137016 */     // GIR_Coverage, 17215,
     /* 1137016 */     GIR_EraseRootFromParent_Done,
     /* 1137017 */   // Label 16323: @1137017
     /* 1137017 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1137097), // Rule ID 17218 //
     /* 1137022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1137025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137061 */     // MIs[0] round
     /* 1137061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137071 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1137074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137096 */     // GIR_Coverage, 17218,
     /* 1137096 */     GIR_EraseRootFromParent_Done,
     /* 1137097 */   // Label 16324: @1137097
     /* 1137097 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1137177), // Rule ID 17219 //
     /* 1137102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1137105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137141 */     // MIs[0] round
     /* 1137141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10951:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1137154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137176 */     // GIR_Coverage, 17219,
     /* 1137176 */     GIR_EraseRootFromParent_Done,
     /* 1137177 */   // Label 16325: @1137177
     /* 1137177 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1137257), // Rule ID 17222 //
     /* 1137182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1137185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137221 */     // MIs[0] round
     /* 1137221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137231 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1137234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137256 */     // GIR_Coverage, 17222,
     /* 1137256 */     GIR_EraseRootFromParent_Done,
     /* 1137257 */   // Label 16326: @1137257
     /* 1137257 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1137337), // Rule ID 17223 //
     /* 1137262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1137265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1137273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1137276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1137279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1137297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137301 */     // MIs[0] round
     /* 1137301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137311 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10951:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1137314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137336 */     // GIR_Coverage, 17223,
     /* 1137336 */     GIR_EraseRootFromParent_Done,
     /* 1137337 */   // Label 16327: @1137337
     /* 1137337 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1137417), // Rule ID 17226 //
     /* 1137342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1137345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137381 */     // MIs[0] round
     /* 1137381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137391 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1137394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137416 */     // GIR_Coverage, 17226,
     /* 1137416 */     GIR_EraseRootFromParent_Done,
     /* 1137417 */   // Label 16328: @1137417
     /* 1137417 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1137497), // Rule ID 17227 //
     /* 1137422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1137425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1137433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1137436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1137439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1137457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137461 */     // MIs[0] round
     /* 1137461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10951:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1137474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137496 */     // GIR_Coverage, 17227,
     /* 1137496 */     GIR_EraseRootFromParent_Done,
     /* 1137497 */   // Label 16329: @1137497
     /* 1137497 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1137577), // Rule ID 17230 //
     /* 1137502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1137505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137541 */     // MIs[0] round
     /* 1137541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137551 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1137554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137576 */     // GIR_Coverage, 17230,
     /* 1137576 */     GIR_EraseRootFromParent_Done,
     /* 1137577 */   // Label 16330: @1137577
     /* 1137577 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1137657), // Rule ID 17231 //
     /* 1137582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1137585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1137590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1137593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1137596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1137599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1137617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1137621 */     // MIs[0] round
     /* 1137621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137631 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10951:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1137634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137656 */     // GIR_Coverage, 17231,
     /* 1137656 */     GIR_EraseRootFromParent_Done,
     /* 1137657 */   // Label 16331: @1137657
     /* 1137657 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1137737), // Rule ID 17234 //
     /* 1137662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1137665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1137670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1137673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1137676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1137679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1137682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137701 */     // MIs[0] round
     /* 1137701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137711 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1137714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137736 */     // GIR_Coverage, 17234,
     /* 1137736 */     GIR_EraseRootFromParent_Done,
     /* 1137737 */   // Label 16332: @1137737
     /* 1137737 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1137817), // Rule ID 17235 //
     /* 1137742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1137745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1137750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1137753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1137756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1137759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1137762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137781 */     // MIs[0] round
     /* 1137781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137791 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1137794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137816 */     // GIR_Coverage, 17235,
     /* 1137816 */     GIR_EraseRootFromParent_Done,
     /* 1137817 */   // Label 16333: @1137817
     /* 1137817 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1137897), // Rule ID 17238 //
     /* 1137822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1137825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1137830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1137842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137861 */     // MIs[0] round
     /* 1137861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137871 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1137874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137896 */     // GIR_Coverage, 17238,
     /* 1137896 */     GIR_EraseRootFromParent_Done,
     /* 1137897 */   // Label 16334: @1137897
     /* 1137897 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1137977), // Rule ID 17239 //
     /* 1137902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1137905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1137910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1137922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137941 */     // MIs[0] round
     /* 1137941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137951 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1137954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137976 */     // GIR_Coverage, 17239,
     /* 1137976 */     GIR_EraseRootFromParent_Done,
     /* 1137977 */   // Label 16335: @1137977
     /* 1137977 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1138057), // Rule ID 17242 //
     /* 1137982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1137985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1137990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1137993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1137996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1137999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138021 */     // MIs[0] round
     /* 1138021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1138034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138056 */     // GIR_Coverage, 17242,
     /* 1138056 */     GIR_EraseRootFromParent_Done,
     /* 1138057 */   // Label 16336: @1138057
     /* 1138057 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1138137), // Rule ID 17243 //
     /* 1138062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1138065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1138073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1138076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1138079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1138082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138101 */     // MIs[0] round
     /* 1138101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138111 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1138114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138136 */     // GIR_Coverage, 17243,
     /* 1138136 */     GIR_EraseRootFromParent_Done,
     /* 1138137 */   // Label 16337: @1138137
     /* 1138137 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1138217), // Rule ID 17246 //
     /* 1138142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1138145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138181 */     // MIs[0] round
     /* 1138181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1138194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138216 */     // GIR_Coverage, 17246,
     /* 1138216 */     GIR_EraseRootFromParent_Done,
     /* 1138217 */   // Label 16338: @1138217
     /* 1138217 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1138297), // Rule ID 17247 //
     /* 1138222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1138225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1138233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1138236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1138239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1138242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138261 */     // MIs[0] round
     /* 1138261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138271 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1138274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138296 */     // GIR_Coverage, 17247,
     /* 1138296 */     GIR_EraseRootFromParent_Done,
     /* 1138297 */   // Label 16339: @1138297
     /* 1138297 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1138377), // Rule ID 17250 //
     /* 1138302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1138305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138341 */     // MIs[0] round
     /* 1138341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138351 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1138354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138376 */     // GIR_Coverage, 17250,
     /* 1138376 */     GIR_EraseRootFromParent_Done,
     /* 1138377 */   // Label 16340: @1138377
     /* 1138377 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1138457), // Rule ID 17251 //
     /* 1138382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1138385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1138393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1138396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1138399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1138402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138421 */     // MIs[0] round
     /* 1138421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138431 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1138434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1138452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138456 */     // GIR_Coverage, 17251,
     /* 1138456 */     GIR_EraseRootFromParent_Done,
     /* 1138457 */   // Label 16341: @1138457
     /* 1138457 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1138537), // Rule ID 17254 //
     /* 1138462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1138465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1138473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1138476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1138479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1138482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138501 */     // MIs[0] round
     /* 1138501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1138514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138536 */     // GIR_Coverage, 17254,
     /* 1138536 */     GIR_EraseRootFromParent_Done,
     /* 1138537 */   // Label 16342: @1138537
     /* 1138537 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1138617), // Rule ID 17255 //
     /* 1138542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1138545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1138553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1138556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1138559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1138562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138581 */     // MIs[0] round
     /* 1138581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1138594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138616 */     // GIR_Coverage, 17255,
     /* 1138616 */     GIR_EraseRootFromParent_Done,
     /* 1138617 */   // Label 16343: @1138617
     /* 1138617 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1138697), // Rule ID 17258 //
     /* 1138622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1138625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1138642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138661 */     // MIs[0] round
     /* 1138661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138671 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1138674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138696 */     // GIR_Coverage, 17258,
     /* 1138696 */     GIR_EraseRootFromParent_Done,
     /* 1138697 */   // Label 16344: @1138697
     /* 1138697 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1138777), // Rule ID 17259 //
     /* 1138702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1138705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1138722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138741 */     // MIs[0] round
     /* 1138741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138751 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1138754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138776 */     // GIR_Coverage, 17259,
     /* 1138776 */     GIR_EraseRootFromParent_Done,
     /* 1138777 */   // Label 16345: @1138777
     /* 1138777 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1138857), // Rule ID 17262 //
     /* 1138782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1138785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138821 */     // MIs[0] round
     /* 1138821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138831 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1138834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138856 */     // GIR_Coverage, 17262,
     /* 1138856 */     GIR_EraseRootFromParent_Done,
     /* 1138857 */   // Label 16346: @1138857
     /* 1138857 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1138937), // Rule ID 17263 //
     /* 1138862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1138865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1138882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138901 */     // MIs[0] round
     /* 1138901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138911 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1138914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138936 */     // GIR_Coverage, 17263,
     /* 1138936 */     GIR_EraseRootFromParent_Done,
     /* 1138937 */   // Label 16347: @1138937
     /* 1138937 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1139017), // Rule ID 17266 //
     /* 1138942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1138945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1138950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1138962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138981 */     // MIs[0] round
     /* 1138981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138991 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1138994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139016 */     // GIR_Coverage, 17266,
     /* 1139016 */     GIR_EraseRootFromParent_Done,
     /* 1139017 */   // Label 16348: @1139017
     /* 1139017 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1139097), // Rule ID 17267 //
     /* 1139022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1139025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1139033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1139036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1139039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1139042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139061 */     // MIs[0] round
     /* 1139061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139071 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1139074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139096 */     // GIR_Coverage, 17267,
     /* 1139096 */     GIR_EraseRootFromParent_Done,
     /* 1139097 */   // Label 16349: @1139097
     /* 1139097 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1139177), // Rule ID 17270 //
     /* 1139102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1139105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1139122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139141 */     // MIs[0] round
     /* 1139141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139151 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1139154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139176 */     // GIR_Coverage, 17270,
     /* 1139176 */     GIR_EraseRootFromParent_Done,
     /* 1139177 */   // Label 16350: @1139177
     /* 1139177 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1139257), // Rule ID 17271 //
     /* 1139182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1139185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1139202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139221 */     // MIs[0] round
     /* 1139221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139231 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1139234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139256 */     // GIR_Coverage, 17271,
     /* 1139256 */     GIR_EraseRootFromParent_Done,
     /* 1139257 */   // Label 16351: @1139257
     /* 1139257 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1139337), // Rule ID 17274 //
     /* 1139262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1139265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1139282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139301 */     // MIs[0] round
     /* 1139301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139311 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1139314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139336 */     // GIR_Coverage, 17274,
     /* 1139336 */     GIR_EraseRootFromParent_Done,
     /* 1139337 */   // Label 16352: @1139337
     /* 1139337 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1139417), // Rule ID 17275 //
     /* 1139342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1139345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1139362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139381 */     // MIs[0] round
     /* 1139381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139391 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1139394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139416 */     // GIR_Coverage, 17275,
     /* 1139416 */     GIR_EraseRootFromParent_Done,
     /* 1139417 */   // Label 16353: @1139417
     /* 1139417 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1139497), // Rule ID 17278 //
     /* 1139422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1139425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1139442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139461 */     // MIs[0] round
     /* 1139461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139471 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1139474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139496 */     // GIR_Coverage, 17278,
     /* 1139496 */     GIR_EraseRootFromParent_Done,
     /* 1139497 */   // Label 16354: @1139497
     /* 1139497 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1139577), // Rule ID 17279 //
     /* 1139502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1139505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1139522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139541 */     // MIs[0] round
     /* 1139541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139551 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1139554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139576 */     // GIR_Coverage, 17279,
     /* 1139576 */     GIR_EraseRootFromParent_Done,
     /* 1139577 */   // Label 16355: @1139577
     /* 1139577 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1139657), // Rule ID 17282 //
     /* 1139582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1139585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1139602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139621 */     // MIs[0] round
     /* 1139621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139631 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1139634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139656 */     // GIR_Coverage, 17282,
     /* 1139656 */     GIR_EraseRootFromParent_Done,
     /* 1139657 */   // Label 16356: @1139657
     /* 1139657 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1139737), // Rule ID 17283 //
     /* 1139662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1139665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1139682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139701 */     // MIs[0] round
     /* 1139701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139711 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1139714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139736 */     // GIR_Coverage, 17283,
     /* 1139736 */     GIR_EraseRootFromParent_Done,
     /* 1139737 */   // Label 16357: @1139737
     /* 1139737 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1139817), // Rule ID 17286 //
     /* 1139742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1139745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139781 */     // MIs[0] round
     /* 1139781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139791 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1139794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139816 */     // GIR_Coverage, 17286,
     /* 1139816 */     GIR_EraseRootFromParent_Done,
     /* 1139817 */   // Label 16358: @1139817
     /* 1139817 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1139897), // Rule ID 17287 //
     /* 1139822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1139825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1139842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139861 */     // MIs[0] round
     /* 1139861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139871 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1139874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139896 */     // GIR_Coverage, 17287,
     /* 1139896 */     GIR_EraseRootFromParent_Done,
     /* 1139897 */   // Label 16359: @1139897
     /* 1139897 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1139977), // Rule ID 17290 //
     /* 1139902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1139905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1139922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139941 */     // MIs[0] round
     /* 1139941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139951 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1139954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139976 */     // GIR_Coverage, 17290,
     /* 1139976 */     GIR_EraseRootFromParent_Done,
     /* 1139977 */   // Label 16360: @1139977
     /* 1139977 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1140057), // Rule ID 17291 //
     /* 1139982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1139985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1139990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1140002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1140021 */     // MIs[0] round
     /* 1140021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140031 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1140034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140056 */     // GIR_Coverage, 17291,
     /* 1140056 */     GIR_EraseRootFromParent_Done,
     /* 1140057 */   // Label 16361: @1140057
     /* 1140057 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1140137), // Rule ID 17294 //
     /* 1140062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1140065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140101 */     // MIs[0] round
     /* 1140101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140111 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1140114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140136 */     // GIR_Coverage, 17294,
     /* 1140136 */     GIR_EraseRootFromParent_Done,
     /* 1140137 */   // Label 16362: @1140137
     /* 1140137 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1140217), // Rule ID 17295 //
     /* 1140142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1140145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140181 */     // MIs[0] round
     /* 1140181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140191 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1140194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140216 */     // GIR_Coverage, 17295,
     /* 1140216 */     GIR_EraseRootFromParent_Done,
     /* 1140217 */   // Label 16363: @1140217
     /* 1140217 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1140297), // Rule ID 17298 //
     /* 1140222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1140225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140261 */     // MIs[0] round
     /* 1140261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140271 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1140274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140296 */     // GIR_Coverage, 17298,
     /* 1140296 */     GIR_EraseRootFromParent_Done,
     /* 1140297 */   // Label 16364: @1140297
     /* 1140297 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1140377), // Rule ID 17299 //
     /* 1140302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1140305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140341 */     // MIs[0] round
     /* 1140341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140351 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1140354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140376 */     // GIR_Coverage, 17299,
     /* 1140376 */     GIR_EraseRootFromParent_Done,
     /* 1140377 */   // Label 16365: @1140377
     /* 1140377 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1140457), // Rule ID 17302 //
     /* 1140382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1140385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1140421 */     // MIs[0] round
     /* 1140421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140431 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1140434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140456 */     // GIR_Coverage, 17302,
     /* 1140456 */     GIR_EraseRootFromParent_Done,
     /* 1140457 */   // Label 16366: @1140457
     /* 1140457 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1140537), // Rule ID 17303 //
     /* 1140462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1140465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1140501 */     // MIs[0] round
     /* 1140501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140511 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1140514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140536 */     // GIR_Coverage, 17303,
     /* 1140536 */     GIR_EraseRootFromParent_Done,
     /* 1140537 */   // Label 16367: @1140537
     /* 1140537 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1140617), // Rule ID 17306 //
     /* 1140542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1140545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1140553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1140556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140581 */     // MIs[0] round
     /* 1140581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140591 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1140594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140616 */     // GIR_Coverage, 17306,
     /* 1140616 */     GIR_EraseRootFromParent_Done,
     /* 1140617 */   // Label 16368: @1140617
     /* 1140617 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1140697), // Rule ID 17307 //
     /* 1140622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1140625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1140633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1140636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1140639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1140642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1140661 */     // MIs[0] round
     /* 1140661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140671 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10852:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1140674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140696 */     // GIR_Coverage, 17307,
     /* 1140696 */     GIR_EraseRootFromParent_Done,
     /* 1140697 */   // Label 16369: @1140697
     /* 1140697 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1140777), // Rule ID 17310 //
     /* 1140702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1140705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1140741 */     // MIs[0] round
     /* 1140741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140751 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1140754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140776 */     // GIR_Coverage, 17310,
     /* 1140776 */     GIR_EraseRootFromParent_Done,
     /* 1140777 */   // Label 16370: @1140777
     /* 1140777 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1140857), // Rule ID 17311 //
     /* 1140782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1140785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1140793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1140796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1140799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1140802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1140821 */     // MIs[0] round
     /* 1140821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10852:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1140834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140856 */     // GIR_Coverage, 17311,
     /* 1140856 */     GIR_EraseRootFromParent_Done,
     /* 1140857 */   // Label 16371: @1140857
     /* 1140857 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1140937), // Rule ID 17314 //
     /* 1140862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1140865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1140901 */     // MIs[0] round
     /* 1140901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140911 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1140914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1140932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140936 */     // GIR_Coverage, 17314,
     /* 1140936 */     GIR_EraseRootFromParent_Done,
     /* 1140937 */   // Label 16372: @1140937
     /* 1140937 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1141017), // Rule ID 17315 //
     /* 1140942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1140945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1140950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1140953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1140956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1140959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1140962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1140981 */     // MIs[0] round
     /* 1140981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140991 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10852:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1140994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141016 */     // GIR_Coverage, 17315,
     /* 1141016 */     GIR_EraseRootFromParent_Done,
     /* 1141017 */   // Label 16373: @1141017
     /* 1141017 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1141097), // Rule ID 17318 //
     /* 1141022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1141025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1141033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1141036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1141039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141061 */     // MIs[0] round
     /* 1141061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141071 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1141074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141096 */     // GIR_Coverage, 17318,
     /* 1141096 */     GIR_EraseRootFromParent_Done,
     /* 1141097 */   // Label 16374: @1141097
     /* 1141097 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1141177), // Rule ID 17319 //
     /* 1141102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1141105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1141113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1141116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1141119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141141 */     // MIs[0] round
     /* 1141141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1141154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141176 */     // GIR_Coverage, 17319,
     /* 1141176 */     GIR_EraseRootFromParent_Done,
     /* 1141177 */   // Label 16375: @1141177
     /* 1141177 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1141257), // Rule ID 17322 //
     /* 1141182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1141185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141221 */     // MIs[0] round
     /* 1141221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141231 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1141234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141256 */     // GIR_Coverage, 17322,
     /* 1141256 */     GIR_EraseRootFromParent_Done,
     /* 1141257 */   // Label 16376: @1141257
     /* 1141257 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1141337), // Rule ID 17323 //
     /* 1141262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1141265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1141273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1141276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1141279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141301 */     // MIs[0] round
     /* 1141301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141311 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1141314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141336 */     // GIR_Coverage, 17323,
     /* 1141336 */     GIR_EraseRootFromParent_Done,
     /* 1141337 */   // Label 16377: @1141337
     /* 1141337 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1141417), // Rule ID 17326 //
     /* 1141342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1141345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141381 */     // MIs[0] round
     /* 1141381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141391 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1141394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141416 */     // GIR_Coverage, 17326,
     /* 1141416 */     GIR_EraseRootFromParent_Done,
     /* 1141417 */   // Label 16378: @1141417
     /* 1141417 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1141497), // Rule ID 17327 //
     /* 1141422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1141425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1141433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1141436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1141439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1141442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1141461 */     // MIs[0] round
     /* 1141461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141471 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1141474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141496 */     // GIR_Coverage, 17327,
     /* 1141496 */     GIR_EraseRootFromParent_Done,
     /* 1141497 */   // Label 16379: @1141497
     /* 1141497 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1141577), // Rule ID 17330 //
     /* 1141502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1141505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141541 */     // MIs[0] round
     /* 1141541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1141554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141576 */     // GIR_Coverage, 17330,
     /* 1141576 */     GIR_EraseRootFromParent_Done,
     /* 1141577 */   // Label 16380: @1141577
     /* 1141577 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1141657), // Rule ID 17331 //
     /* 1141582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1141585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1141593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1141596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1141599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141621 */     // MIs[0] round
     /* 1141621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141631 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1141634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141656 */     // GIR_Coverage, 17331,
     /* 1141656 */     GIR_EraseRootFromParent_Done,
     /* 1141657 */   // Label 16381: @1141657
     /* 1141657 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1141737), // Rule ID 17334 //
     /* 1141662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1141665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141701 */     // MIs[0] round
     /* 1141701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141711 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1141714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141736 */     // GIR_Coverage, 17334,
     /* 1141736 */     GIR_EraseRootFromParent_Done,
     /* 1141737 */   // Label 16382: @1141737
     /* 1141737 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1141817), // Rule ID 17335 //
     /* 1141742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1141745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1141753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1141756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1141759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141781 */     // MIs[0] round
     /* 1141781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141791 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1141794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141816 */     // GIR_Coverage, 17335,
     /* 1141816 */     GIR_EraseRootFromParent_Done,
     /* 1141817 */   // Label 16383: @1141817
     /* 1141817 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1141897), // Rule ID 17338 //
     /* 1141822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1141825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141861 */     // MIs[0] round
     /* 1141861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1141874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141896 */     // GIR_Coverage, 17338,
     /* 1141896 */     GIR_EraseRootFromParent_Done,
     /* 1141897 */   // Label 16384: @1141897
     /* 1141897 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1141977), // Rule ID 17339 //
     /* 1141902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1141905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1141913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1141916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1141919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1141922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1141941 */     // MIs[0] round
     /* 1141941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141951 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1141954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141976 */     // GIR_Coverage, 17339,
     /* 1141976 */     GIR_EraseRootFromParent_Done,
     /* 1141977 */   // Label 16385: @1141977
     /* 1141977 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1142057), // Rule ID 17342 //
     /* 1141982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1141985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1141990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1141993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1141996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1141999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142021 */     // MIs[0] round
     /* 1142021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142031 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1142034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142056 */     // GIR_Coverage, 17342,
     /* 1142056 */     GIR_EraseRootFromParent_Done,
     /* 1142057 */   // Label 16386: @1142057
     /* 1142057 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1142137), // Rule ID 17343 //
     /* 1142062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1142065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1142070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1142073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1142076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1142079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142101 */     // MIs[0] round
     /* 1142101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10852:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1142114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142136 */     // GIR_Coverage, 17343,
     /* 1142136 */     GIR_EraseRootFromParent_Done,
     /* 1142137 */   // Label 16387: @1142137
     /* 1142137 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1142217), // Rule ID 17346 //
     /* 1142142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1142145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1142150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142181 */     // MIs[0] round
     /* 1142181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142191 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1142194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142216 */     // GIR_Coverage, 17346,
     /* 1142216 */     GIR_EraseRootFromParent_Done,
     /* 1142217 */   // Label 16388: @1142217
     /* 1142217 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1142297), // Rule ID 17347 //
     /* 1142222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1142225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1142230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1142233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1142236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1142239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142261 */     // MIs[0] round
     /* 1142261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142271 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10852:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1142274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142296 */     // GIR_Coverage, 17347,
     /* 1142296 */     GIR_EraseRootFromParent_Done,
     /* 1142297 */   // Label 16389: @1142297
     /* 1142297 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1142377), // Rule ID 17350 //
     /* 1142302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1142305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1142310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142341 */     // MIs[0] round
     /* 1142341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142351 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1142354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142376 */     // GIR_Coverage, 17350,
     /* 1142376 */     GIR_EraseRootFromParent_Done,
     /* 1142377 */   // Label 16390: @1142377
     /* 1142377 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1142457), // Rule ID 17351 //
     /* 1142382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1142385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1142390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1142393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1142396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1142399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1142402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1142421 */     // MIs[0] round
     /* 1142421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142431 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10852:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1142434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1142452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142456 */     // GIR_Coverage, 17351,
     /* 1142456 */     GIR_EraseRootFromParent_Done,
     /* 1142457 */   // Label 16391: @1142457
     /* 1142457 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1142537), // Rule ID 17354 //
     /* 1142462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1142465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142501 */     // MIs[0] round
     /* 1142501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142511 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1142514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142536 */     // GIR_Coverage, 17354,
     /* 1142536 */     GIR_EraseRootFromParent_Done,
     /* 1142537 */   // Label 16392: @1142537
     /* 1142537 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1142617), // Rule ID 17355 //
     /* 1142542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1142545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1142553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1142556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1142559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1142562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142581 */     // MIs[0] round
     /* 1142581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142591 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1142594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142616 */     // GIR_Coverage, 17355,
     /* 1142616 */     GIR_EraseRootFromParent_Done,
     /* 1142617 */   // Label 16393: @1142617
     /* 1142617 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1142697), // Rule ID 17358 //
     /* 1142622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1142625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1142642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142661 */     // MIs[0] round
     /* 1142661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142671 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1142674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142696 */     // GIR_Coverage, 17358,
     /* 1142696 */     GIR_EraseRootFromParent_Done,
     /* 1142697 */   // Label 16394: @1142697
     /* 1142697 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1142777), // Rule ID 17359 //
     /* 1142702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1142705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1142713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1142716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1142719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1142722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142741 */     // MIs[0] round
     /* 1142741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142751 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1142754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142776 */     // GIR_Coverage, 17359,
     /* 1142776 */     GIR_EraseRootFromParent_Done,
     /* 1142777 */   // Label 16395: @1142777
     /* 1142777 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1142857), // Rule ID 17362 //
     /* 1142782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1142785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1142802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142821 */     // MIs[0] round
     /* 1142821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142831 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1142834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142856 */     // GIR_Coverage, 17362,
     /* 1142856 */     GIR_EraseRootFromParent_Done,
     /* 1142857 */   // Label 16396: @1142857
     /* 1142857 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1142937), // Rule ID 17363 //
     /* 1142862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1142865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1142873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1142876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1142879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1142882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142901 */     // MIs[0] round
     /* 1142901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142911 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1142914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142936 */     // GIR_Coverage, 17363,
     /* 1142936 */     GIR_EraseRootFromParent_Done,
     /* 1142937 */   // Label 16397: @1142937
     /* 1142937 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1143017), // Rule ID 17366 //
     /* 1142942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1142945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1142950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1142953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1142956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1142959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1142962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1142981 */     // MIs[0] round
     /* 1142981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142991 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1142994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143016 */     // GIR_Coverage, 17366,
     /* 1143016 */     GIR_EraseRootFromParent_Done,
     /* 1143017 */   // Label 16398: @1143017
     /* 1143017 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1143097), // Rule ID 17367 //
     /* 1143022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1143025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1143033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1143036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1143039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1143042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143061 */     // MIs[0] round
     /* 1143061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143071 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1143074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143096 */     // GIR_Coverage, 17367,
     /* 1143096 */     GIR_EraseRootFromParent_Done,
     /* 1143097 */   // Label 16399: @1143097
     /* 1143097 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1143177), // Rule ID 17370 //
     /* 1143102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1143105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143141 */     // MIs[0] round
     /* 1143141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1143154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143176 */     // GIR_Coverage, 17370,
     /* 1143176 */     GIR_EraseRootFromParent_Done,
     /* 1143177 */   // Label 16400: @1143177
     /* 1143177 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1143257), // Rule ID 17371 //
     /* 1143182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1143185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1143193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1143196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1143199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1143202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143221 */     // MIs[0] round
     /* 1143221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1143234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143256 */     // GIR_Coverage, 17371,
     /* 1143256 */     GIR_EraseRootFromParent_Done,
     /* 1143257 */   // Label 16401: @1143257
     /* 1143257 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1143337), // Rule ID 17374 //
     /* 1143262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1143265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143301 */     // MIs[0] round
     /* 1143301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1143314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143336 */     // GIR_Coverage, 17374,
     /* 1143336 */     GIR_EraseRootFromParent_Done,
     /* 1143337 */   // Label 16402: @1143337
     /* 1143337 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1143417), // Rule ID 17375 //
     /* 1143342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1143345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1143353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1143356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1143359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1143362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143381 */     // MIs[0] round
     /* 1143381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143391 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1143394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143416 */     // GIR_Coverage, 17375,
     /* 1143416 */     GIR_EraseRootFromParent_Done,
     /* 1143417 */   // Label 16403: @1143417
     /* 1143417 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1143497), // Rule ID 17378 //
     /* 1143422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1143425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1143442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143461 */     // MIs[0] round
     /* 1143461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143471 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1143474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143496 */     // GIR_Coverage, 17378,
     /* 1143496 */     GIR_EraseRootFromParent_Done,
     /* 1143497 */   // Label 16404: @1143497
     /* 1143497 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1143577), // Rule ID 17379 //
     /* 1143502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1143505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1143513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1143516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1143519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1143522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143541 */     // MIs[0] round
     /* 1143541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143551 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1143554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143576 */     // GIR_Coverage, 17379,
     /* 1143576 */     GIR_EraseRootFromParent_Done,
     /* 1143577 */   // Label 16405: @1143577
     /* 1143577 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1143657), // Rule ID 17382 //
     /* 1143582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1143585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1143602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143621 */     // MIs[0] round
     /* 1143621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143631 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1143634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143656 */     // GIR_Coverage, 17382,
     /* 1143656 */     GIR_EraseRootFromParent_Done,
     /* 1143657 */   // Label 16406: @1143657
     /* 1143657 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1143737), // Rule ID 17383 //
     /* 1143662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1143665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1143673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1143676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1143679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1143682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143701 */     // MIs[0] round
     /* 1143701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143711 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1143714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143736 */     // GIR_Coverage, 17383,
     /* 1143736 */     GIR_EraseRootFromParent_Done,
     /* 1143737 */   // Label 16407: @1143737
     /* 1143737 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1143817), // Rule ID 17386 //
     /* 1143742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1143745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1143762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143781 */     // MIs[0] round
     /* 1143781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143791 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1143794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143816 */     // GIR_Coverage, 17386,
     /* 1143816 */     GIR_EraseRootFromParent_Done,
     /* 1143817 */   // Label 16408: @1143817
     /* 1143817 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1143897), // Rule ID 17387 //
     /* 1143822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1143825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1143833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1143836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1143839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1143842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143861 */     // MIs[0] round
     /* 1143861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143871 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1143874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1143892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143896 */     // GIR_Coverage, 17387,
     /* 1143896 */     GIR_EraseRootFromParent_Done,
     /* 1143897 */   // Label 16409: @1143897
     /* 1143897 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1143977), // Rule ID 17390 //
     /* 1143902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1143905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1143922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143941 */     // MIs[0] round
     /* 1143941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143951 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1143954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143976 */     // GIR_Coverage, 17390,
     /* 1143976 */     GIR_EraseRootFromParent_Done,
     /* 1143977 */   // Label 16410: @1143977
     /* 1143977 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1144057), // Rule ID 17391 //
     /* 1143982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1143985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1143990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1143993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1143996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1143999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1144002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144021 */     // MIs[0] round
     /* 1144021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144031 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1144034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144056 */     // GIR_Coverage, 17391,
     /* 1144056 */     GIR_EraseRootFromParent_Done,
     /* 1144057 */   // Label 16411: @1144057
     /* 1144057 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1144137), // Rule ID 17394 //
     /* 1144062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1144065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1144082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144101 */     // MIs[0] round
     /* 1144101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144111 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1144114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144136 */     // GIR_Coverage, 17394,
     /* 1144136 */     GIR_EraseRootFromParent_Done,
     /* 1144137 */   // Label 16412: @1144137
     /* 1144137 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1144217), // Rule ID 17395 //
     /* 1144142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1144145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1144153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1144156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1144159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1144162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144181 */     // MIs[0] round
     /* 1144181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144191 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1144194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144216 */     // GIR_Coverage, 17395,
     /* 1144216 */     GIR_EraseRootFromParent_Done,
     /* 1144217 */   // Label 16413: @1144217
     /* 1144217 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1144297), // Rule ID 17398 //
     /* 1144222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1144225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1144242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144261 */     // MIs[0] round
     /* 1144261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144271 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1144274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144296 */     // GIR_Coverage, 17398,
     /* 1144296 */     GIR_EraseRootFromParent_Done,
     /* 1144297 */   // Label 16414: @1144297
     /* 1144297 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1144377), // Rule ID 17399 //
     /* 1144302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1144305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1144313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1144316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1144319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1144322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144341 */     // MIs[0] round
     /* 1144341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1144354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144376 */     // GIR_Coverage, 17399,
     /* 1144376 */     GIR_EraseRootFromParent_Done,
     /* 1144377 */   // Label 16415: @1144377
     /* 1144377 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1144457), // Rule ID 17402 //
     /* 1144382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1144385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1144402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144421 */     // MIs[0] round
     /* 1144421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1144434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144456 */     // GIR_Coverage, 17402,
     /* 1144456 */     GIR_EraseRootFromParent_Done,
     /* 1144457 */   // Label 16416: @1144457
     /* 1144457 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1144537), // Rule ID 17403 //
     /* 1144462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1144465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1144473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1144476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1144479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1144482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1144501 */     // MIs[0] round
     /* 1144501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144511 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1144514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144536 */     // GIR_Coverage, 17403,
     /* 1144536 */     GIR_EraseRootFromParent_Done,
     /* 1144537 */   // Label 16417: @1144537
     /* 1144537 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1144617), // Rule ID 17406 //
     /* 1144542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1144545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1144562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144581 */     // MIs[0] round
     /* 1144581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1144594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144616 */     // GIR_Coverage, 17406,
     /* 1144616 */     GIR_EraseRootFromParent_Done,
     /* 1144617 */   // Label 16418: @1144617
     /* 1144617 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1144697), // Rule ID 17407 //
     /* 1144622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1144625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1144633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1144636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1144639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1144642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1144661 */     // MIs[0] round
     /* 1144661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1144674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144696 */     // GIR_Coverage, 17407,
     /* 1144696 */     GIR_EraseRootFromParent_Done,
     /* 1144697 */   // Label 16419: @1144697
     /* 1144697 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1144777), // Rule ID 17410 //
     /* 1144702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1144705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1144722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144741 */     // MIs[0] round
     /* 1144741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144751 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1144754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144776 */     // GIR_Coverage, 17410,
     /* 1144776 */     GIR_EraseRootFromParent_Done,
     /* 1144777 */   // Label 16420: @1144777
     /* 1144777 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1144857), // Rule ID 17411 //
     /* 1144782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1144785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1144793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1144796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1144799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1144802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1144821 */     // MIs[0] round
     /* 1144821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144831 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1144834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1144852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144856 */     // GIR_Coverage, 17411,
     /* 1144856 */     GIR_EraseRootFromParent_Done,
     /* 1144857 */   // Label 16421: @1144857
     /* 1144857 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1144937), // Rule ID 17414 //
     /* 1144862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1144865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1144882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1144901 */     // MIs[0] round
     /* 1144901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144911 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1144914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144936 */     // GIR_Coverage, 17414,
     /* 1144936 */     GIR_EraseRootFromParent_Done,
     /* 1144937 */   // Label 16422: @1144937
     /* 1144937 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1145017), // Rule ID 17415 //
     /* 1144942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1144945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1144950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1144962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1144981 */     // MIs[0] round
     /* 1144981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144991 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1144994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145016 */     // GIR_Coverage, 17415,
     /* 1145016 */     GIR_EraseRootFromParent_Done,
     /* 1145017 */   // Label 16423: @1145017
     /* 1145017 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1145097), // Rule ID 17418 //
     /* 1145022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1145025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145061 */     // MIs[0] round
     /* 1145061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145071 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1145074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145096 */     // GIR_Coverage, 17418,
     /* 1145096 */     GIR_EraseRootFromParent_Done,
     /* 1145097 */   // Label 16424: @1145097
     /* 1145097 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1145177), // Rule ID 17419 //
     /* 1145102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1145105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1145113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1145116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1145119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145141 */     // MIs[0] round
     /* 1145141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145151 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1145154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145176 */     // GIR_Coverage, 17419,
     /* 1145176 */     GIR_EraseRootFromParent_Done,
     /* 1145177 */   // Label 16425: @1145177
     /* 1145177 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1145257), // Rule ID 17422 //
     /* 1145182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1145185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1145221 */     // MIs[0] round
     /* 1145221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1145234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145256 */     // GIR_Coverage, 17422,
     /* 1145256 */     GIR_EraseRootFromParent_Done,
     /* 1145257 */   // Label 16426: @1145257
     /* 1145257 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1145337), // Rule ID 17423 //
     /* 1145262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1145265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1145273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1145276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1145279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1145301 */     // MIs[0] round
     /* 1145301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145311 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1145314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145336 */     // GIR_Coverage, 17423,
     /* 1145336 */     GIR_EraseRootFromParent_Done,
     /* 1145337 */   // Label 16427: @1145337
     /* 1145337 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1145417), // Rule ID 17426 //
     /* 1145342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1145345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145381 */     // MIs[0] round
     /* 1145381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1145394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145416 */     // GIR_Coverage, 17426,
     /* 1145416 */     GIR_EraseRootFromParent_Done,
     /* 1145417 */   // Label 16428: @1145417
     /* 1145417 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1145497), // Rule ID 17427 //
     /* 1145422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1145425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1145433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1145436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1145439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145461 */     // MIs[0] round
     /* 1145461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145471 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10835:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1145474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145496 */     // GIR_Coverage, 17427,
     /* 1145496 */     GIR_EraseRootFromParent_Done,
     /* 1145497 */   // Label 16429: @1145497
     /* 1145497 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1145577), // Rule ID 17430 //
     /* 1145502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1145505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1145541 */     // MIs[0] round
     /* 1145541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1145554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145576 */     // GIR_Coverage, 17430,
     /* 1145576 */     GIR_EraseRootFromParent_Done,
     /* 1145577 */   // Label 16430: @1145577
     /* 1145577 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1145657), // Rule ID 17431 //
     /* 1145582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1145585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1145593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1145596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1145599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1145621 */     // MIs[0] round
     /* 1145621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145631 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10835:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1145634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1145652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145656 */     // GIR_Coverage, 17431,
     /* 1145656 */     GIR_EraseRootFromParent_Done,
     /* 1145657 */   // Label 16431: @1145657
     /* 1145657 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1145737), // Rule ID 17434 //
     /* 1145662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1145665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1145673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1145676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1145679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1145701 */     // MIs[0] round
     /* 1145701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1145714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145736 */     // GIR_Coverage, 17434,
     /* 1145736 */     GIR_EraseRootFromParent_Done,
     /* 1145737 */   // Label 16432: @1145737
     /* 1145737 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1145817), // Rule ID 17435 //
     /* 1145742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1145745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1145753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1145756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1145759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1145781 */     // MIs[0] round
     /* 1145781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145791 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10835:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1145794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145816 */     // GIR_Coverage, 17435,
     /* 1145816 */     GIR_EraseRootFromParent_Done,
     /* 1145817 */   // Label 16433: @1145817
     /* 1145817 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1145897), // Rule ID 17438 //
     /* 1145822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1145825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145861 */     // MIs[0] round
     /* 1145861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145871 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1145874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145896 */     // GIR_Coverage, 17438,
     /* 1145896 */     GIR_EraseRootFromParent_Done,
     /* 1145897 */   // Label 16434: @1145897
     /* 1145897 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1145977), // Rule ID 17439 //
     /* 1145902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1145905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1145922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1145941 */     // MIs[0] round
     /* 1145941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145951 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1145954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145976 */     // GIR_Coverage, 17439,
     /* 1145976 */     GIR_EraseRootFromParent_Done,
     /* 1145977 */   // Label 16435: @1145977
     /* 1145977 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1146057), // Rule ID 17442 //
     /* 1145982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1145985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1145990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1146002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1146021 */     // MIs[0] round
     /* 1146021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146031 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1146034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146056 */     // GIR_Coverage, 17442,
     /* 1146056 */     GIR_EraseRootFromParent_Done,
     /* 1146057 */   // Label 16436: @1146057
     /* 1146057 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1146137), // Rule ID 17443 //
     /* 1146062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1146065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1146073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1146076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1146079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1146082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1146101 */     // MIs[0] round
     /* 1146101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146111 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1146114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146136 */     // GIR_Coverage, 17443,
     /* 1146136 */     GIR_EraseRootFromParent_Done,
     /* 1146137 */   // Label 16437: @1146137
     /* 1146137 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1146217), // Rule ID 17446 //
     /* 1146142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1146145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1146153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1146156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1146159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1146162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1146181 */     // MIs[0] round
     /* 1146181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146191 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1146194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146216 */     // GIR_Coverage, 17446,
     /* 1146216 */     GIR_EraseRootFromParent_Done,
     /* 1146217 */   // Label 16438: @1146217
     /* 1146217 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1146297), // Rule ID 17447 //
     /* 1146222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1146225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1146233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1146236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1146239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1146242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1146261 */     // MIs[0] round
     /* 1146261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146271 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1146274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146296 */     // GIR_Coverage, 17447,
     /* 1146296 */     GIR_EraseRootFromParent_Done,
     /* 1146297 */   // Label 16439: @1146297
     /* 1146297 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1146377), // Rule ID 17450 //
     /* 1146302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1146305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146341 */     // MIs[0] round
     /* 1146341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146351 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1146354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146376 */     // GIR_Coverage, 17450,
     /* 1146376 */     GIR_EraseRootFromParent_Done,
     /* 1146377 */   // Label 16440: @1146377
     /* 1146377 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1146457), // Rule ID 17451 //
     /* 1146382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1146385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146421 */     // MIs[0] round
     /* 1146421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146431 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1146434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146456 */     // GIR_Coverage, 17451,
     /* 1146456 */     GIR_EraseRootFromParent_Done,
     /* 1146457 */   // Label 16441: @1146457
     /* 1146457 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1146537), // Rule ID 17454 //
     /* 1146462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1146465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146501 */     // MIs[0] round
     /* 1146501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146511 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1146514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146536 */     // GIR_Coverage, 17454,
     /* 1146536 */     GIR_EraseRootFromParent_Done,
     /* 1146537 */   // Label 16442: @1146537
     /* 1146537 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1146617), // Rule ID 17455 //
     /* 1146542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1146545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146581 */     // MIs[0] round
     /* 1146581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146591 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1146594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146616 */     // GIR_Coverage, 17455,
     /* 1146616 */     GIR_EraseRootFromParent_Done,
     /* 1146617 */   // Label 16443: @1146617
     /* 1146617 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1146697), // Rule ID 17458 //
     /* 1146622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1146625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146661 */     // MIs[0] round
     /* 1146661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146671 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1146674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146696 */     // GIR_Coverage, 17458,
     /* 1146696 */     GIR_EraseRootFromParent_Done,
     /* 1146697 */   // Label 16444: @1146697
     /* 1146697 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1146777), // Rule ID 17459 //
     /* 1146702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1146705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1146741 */     // MIs[0] round
     /* 1146741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146751 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1146754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146776 */     // GIR_Coverage, 17459,
     /* 1146776 */     GIR_EraseRootFromParent_Done,
     /* 1146777 */   // Label 16445: @1146777
     /* 1146777 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1146857), // Rule ID 17462 //
     /* 1146782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1146785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1146821 */     // MIs[0] round
     /* 1146821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146831 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1146834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146856 */     // GIR_Coverage, 17462,
     /* 1146856 */     GIR_EraseRootFromParent_Done,
     /* 1146857 */   // Label 16446: @1146857
     /* 1146857 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1146937), // Rule ID 17463 //
     /* 1146862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1146865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1146901 */     // MIs[0] round
     /* 1146901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10835:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1146914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146936 */     // GIR_Coverage, 17463,
     /* 1146936 */     GIR_EraseRootFromParent_Done,
     /* 1146937 */   // Label 16447: @1146937
     /* 1146937 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1147017), // Rule ID 17466 //
     /* 1146942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1146945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1146950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1146981 */     // MIs[0] round
     /* 1146981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146991 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1146994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147016 */     // GIR_Coverage, 17466,
     /* 1147016 */     GIR_EraseRootFromParent_Done,
     /* 1147017 */   // Label 16448: @1147017
     /* 1147017 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1147097), // Rule ID 17467 //
     /* 1147022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1147025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1147030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1147033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1147036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1147039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1147057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1147061 */     // MIs[0] round
     /* 1147061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147071 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10835:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1147074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147096 */     // GIR_Coverage, 17467,
     /* 1147096 */     GIR_EraseRootFromParent_Done,
     /* 1147097 */   // Label 16449: @1147097
     /* 1147097 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1147177), // Rule ID 17470 //
     /* 1147102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1147105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1147110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1147113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1147116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1147119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1147141 */     // MIs[0] round
     /* 1147141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147151 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1147154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147176 */     // GIR_Coverage, 17470,
     /* 1147176 */     GIR_EraseRootFromParent_Done,
     /* 1147177 */   // Label 16450: @1147177
     /* 1147177 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1147257), // Rule ID 17471 //
     /* 1147182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1147185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1147190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1147193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1147196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1147199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1147202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1147217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1147221 */     // MIs[0] round
     /* 1147221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147231 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10835:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1147234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147256 */     // GIR_Coverage, 17471,
     /* 1147256 */     GIR_EraseRootFromParent_Done,
     /* 1147257 */   // Label 16451: @1147257
     /* 1147257 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1147337), // Rule ID 17474 //
     /* 1147262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1147265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147301 */     // MIs[0] round
     /* 1147301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147311 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1147314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147336 */     // GIR_Coverage, 17474,
     /* 1147336 */     GIR_EraseRootFromParent_Done,
     /* 1147337 */   // Label 16452: @1147337
     /* 1147337 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1147417), // Rule ID 17475 //
     /* 1147342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1147345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147381 */     // MIs[0] round
     /* 1147381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147391 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1147394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147416 */     // GIR_Coverage, 17475,
     /* 1147416 */     GIR_EraseRootFromParent_Done,
     /* 1147417 */   // Label 16453: @1147417
     /* 1147417 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1147497), // Rule ID 17478 //
     /* 1147422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1147425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147461 */     // MIs[0] round
     /* 1147461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147471 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1147474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147496 */     // GIR_Coverage, 17478,
     /* 1147496 */     GIR_EraseRootFromParent_Done,
     /* 1147497 */   // Label 16454: @1147497
     /* 1147497 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1147577), // Rule ID 17479 //
     /* 1147502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1147505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147541 */     // MIs[0] round
     /* 1147541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147551 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1147554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147576 */     // GIR_Coverage, 17479,
     /* 1147576 */     GIR_EraseRootFromParent_Done,
     /* 1147577 */   // Label 16455: @1147577
     /* 1147577 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1147657), // Rule ID 17482 //
     /* 1147582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1147585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1147621 */     // MIs[0] round
     /* 1147621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1147634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147656 */     // GIR_Coverage, 17482,
     /* 1147656 */     GIR_EraseRootFromParent_Done,
     /* 1147657 */   // Label 16456: @1147657
     /* 1147657 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1147737), // Rule ID 17483 //
     /* 1147662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1147665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1147701 */     // MIs[0] round
     /* 1147701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1147714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147736 */     // GIR_Coverage, 17483,
     /* 1147736 */     GIR_EraseRootFromParent_Done,
     /* 1147737 */   // Label 16457: @1147737
     /* 1147737 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1147817), // Rule ID 17486 //
     /* 1147742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1147745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147781 */     // MIs[0] round
     /* 1147781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147791 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1147794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147816 */     // GIR_Coverage, 17486,
     /* 1147816 */     GIR_EraseRootFromParent_Done,
     /* 1147817 */   // Label 16458: @1147817
     /* 1147817 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1147897), // Rule ID 17487 //
     /* 1147822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1147825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1147833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1147836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1147839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1147842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1147861 */     // MIs[0] round
     /* 1147861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147871 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10883:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1147874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147896 */     // GIR_Coverage, 17487,
     /* 1147896 */     GIR_EraseRootFromParent_Done,
     /* 1147897 */   // Label 16459: @1147897
     /* 1147897 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1147977), // Rule ID 17490 //
     /* 1147902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1147905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1147922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1147941 */     // MIs[0] round
     /* 1147941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1147954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147976 */     // GIR_Coverage, 17490,
     /* 1147976 */     GIR_EraseRootFromParent_Done,
     /* 1147977 */   // Label 16460: @1147977
     /* 1147977 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1148057), // Rule ID 17491 //
     /* 1147982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1147985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1147990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1147993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1147996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1147999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1148021 */     // MIs[0] round
     /* 1148021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10883:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1148034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148056 */     // GIR_Coverage, 17491,
     /* 1148056 */     GIR_EraseRootFromParent_Done,
     /* 1148057 */   // Label 16461: @1148057
     /* 1148057 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1148137), // Rule ID 17494 //
     /* 1148062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1148065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1148101 */     // MIs[0] round
     /* 1148101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148111 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1148114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148136 */     // GIR_Coverage, 17494,
     /* 1148136 */     GIR_EraseRootFromParent_Done,
     /* 1148137 */   // Label 16462: @1148137
     /* 1148137 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1148217), // Rule ID 17495 //
     /* 1148142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1148145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1148162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1148181 */     // MIs[0] round
     /* 1148181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148191 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10883:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1148194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148216 */     // GIR_Coverage, 17495,
     /* 1148216 */     GIR_EraseRootFromParent_Done,
     /* 1148217 */   // Label 16463: @1148217
     /* 1148217 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1148297), // Rule ID 17498 //
     /* 1148222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1148225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1148233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1148236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148261 */     // MIs[0] round
     /* 1148261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148271 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1148274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148296 */     // GIR_Coverage, 17498,
     /* 1148296 */     GIR_EraseRootFromParent_Done,
     /* 1148297 */   // Label 16464: @1148297
     /* 1148297 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1148377), // Rule ID 17499 //
     /* 1148302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1148305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1148313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1148316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1148319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148341 */     // MIs[0] round
     /* 1148341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148351 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1148354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148376 */     // GIR_Coverage, 17499,
     /* 1148376 */     GIR_EraseRootFromParent_Done,
     /* 1148377 */   // Label 16465: @1148377
     /* 1148377 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1148457), // Rule ID 17502 //
     /* 1148382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1148385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148421 */     // MIs[0] round
     /* 1148421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148431 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1148434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148456 */     // GIR_Coverage, 17502,
     /* 1148456 */     GIR_EraseRootFromParent_Done,
     /* 1148457 */   // Label 16466: @1148457
     /* 1148457 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1148537), // Rule ID 17503 //
     /* 1148462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1148465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1148473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1148476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1148479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148501 */     // MIs[0] round
     /* 1148501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148511 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1148514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148536 */     // GIR_Coverage, 17503,
     /* 1148536 */     GIR_EraseRootFromParent_Done,
     /* 1148537 */   // Label 16467: @1148537
     /* 1148537 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1148617), // Rule ID 17506 //
     /* 1148542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1148545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148581 */     // MIs[0] round
     /* 1148581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148591 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1148594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148616 */     // GIR_Coverage, 17506,
     /* 1148616 */     GIR_EraseRootFromParent_Done,
     /* 1148617 */   // Label 16468: @1148617
     /* 1148617 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1148697), // Rule ID 17507 //
     /* 1148622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1148625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1148633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1148636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1148639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1148642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1148661 */     // MIs[0] round
     /* 1148661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148671 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1148674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148696 */     // GIR_Coverage, 17507,
     /* 1148696 */     GIR_EraseRootFromParent_Done,
     /* 1148697 */   // Label 16469: @1148697
     /* 1148697 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1148777), // Rule ID 17510 //
     /* 1148702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1148705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1148741 */     // MIs[0] round
     /* 1148741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148751 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1148754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148776 */     // GIR_Coverage, 17510,
     /* 1148776 */     GIR_EraseRootFromParent_Done,
     /* 1148777 */   // Label 16470: @1148777
     /* 1148777 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1148857), // Rule ID 17511 //
     /* 1148782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1148785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1148793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1148796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1148799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1148821 */     // MIs[0] round
     /* 1148821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148831 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1148834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148856 */     // GIR_Coverage, 17511,
     /* 1148856 */     GIR_EraseRootFromParent_Done,
     /* 1148857 */   // Label 16471: @1148857
     /* 1148857 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1148937), // Rule ID 17514 //
     /* 1148862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1148865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1148901 */     // MIs[0] round
     /* 1148901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148911 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1148914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148936 */     // GIR_Coverage, 17514,
     /* 1148936 */     GIR_EraseRootFromParent_Done,
     /* 1148937 */   // Label 16472: @1148937
     /* 1148937 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1149017), // Rule ID 17515 //
     /* 1148942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1148945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1148950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1148953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1148956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1148959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1148962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1148981 */     // MIs[0] round
     /* 1148981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148991 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1148994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149016 */     // GIR_Coverage, 17515,
     /* 1149016 */     GIR_EraseRootFromParent_Done,
     /* 1149017 */   // Label 16473: @1149017
     /* 1149017 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1149097), // Rule ID 17518 //
     /* 1149022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1149025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1149061 */     // MIs[0] round
     /* 1149061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149071 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1149074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149096 */     // GIR_Coverage, 17518,
     /* 1149096 */     GIR_EraseRootFromParent_Done,
     /* 1149097 */   // Label 16474: @1149097
     /* 1149097 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1149177), // Rule ID 17519 //
     /* 1149102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1149105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1149122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1149141 */     // MIs[0] round
     /* 1149141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149151 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1149154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149176 */     // GIR_Coverage, 17519,
     /* 1149176 */     GIR_EraseRootFromParent_Done,
     /* 1149177 */   // Label 16475: @1149177
     /* 1149177 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1149257), // Rule ID 17522 //
     /* 1149182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1149185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1149193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1149196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1149199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149221 */     // MIs[0] round
     /* 1149221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149231 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1149234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149256 */     // GIR_Coverage, 17522,
     /* 1149256 */     GIR_EraseRootFromParent_Done,
     /* 1149257 */   // Label 16476: @1149257
     /* 1149257 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1149337), // Rule ID 17523 //
     /* 1149262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1149265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1149273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1149276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1149279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149301 */     // MIs[0] round
     /* 1149301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149311 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10883:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1149314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149336 */     // GIR_Coverage, 17523,
     /* 1149336 */     GIR_EraseRootFromParent_Done,
     /* 1149337 */   // Label 16477: @1149337
     /* 1149337 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1149417), // Rule ID 17526 //
     /* 1149342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1149345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149381 */     // MIs[0] round
     /* 1149381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149391 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1149394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149416 */     // GIR_Coverage, 17526,
     /* 1149416 */     GIR_EraseRootFromParent_Done,
     /* 1149417 */   // Label 16478: @1149417
     /* 1149417 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1149497), // Rule ID 17527 //
     /* 1149422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1149425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1149433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1149436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1149439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149461 */     // MIs[0] round
     /* 1149461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10883:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1149474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149496 */     // GIR_Coverage, 17527,
     /* 1149496 */     GIR_EraseRootFromParent_Done,
     /* 1149497 */   // Label 16479: @1149497
     /* 1149497 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1149577), // Rule ID 17530 //
     /* 1149502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1149505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149541 */     // MIs[0] round
     /* 1149541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149551 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1149554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149576 */     // GIR_Coverage, 17530,
     /* 1149576 */     GIR_EraseRootFromParent_Done,
     /* 1149577 */   // Label 16480: @1149577
     /* 1149577 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1149657), // Rule ID 17531 //
     /* 1149582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1149585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1149590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1149593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1149596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1149599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1149602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1149621 */     // MIs[0] round
     /* 1149621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149631 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10883:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1149634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1149652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149656 */     // GIR_Coverage, 17531,
     /* 1149656 */     GIR_EraseRootFromParent_Done,
     /* 1149657 */   // Label 16481: @1149657
     /* 1149657 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1149737), // Rule ID 17534 //
     /* 1149662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1149665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1149670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1149682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149701 */     // MIs[0] round
     /* 1149701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149711 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1149714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149736 */     // GIR_Coverage, 17534,
     /* 1149736 */     GIR_EraseRootFromParent_Done,
     /* 1149737 */   // Label 16482: @1149737
     /* 1149737 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1149817), // Rule ID 17535 //
     /* 1149742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1149745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1149750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1149753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1149756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1149759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1149762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149781 */     // MIs[0] round
     /* 1149781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149791 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1149794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149816 */     // GIR_Coverage, 17535,
     /* 1149816 */     GIR_EraseRootFromParent_Done,
     /* 1149817 */   // Label 16483: @1149817
     /* 1149817 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1149897), // Rule ID 17538 //
     /* 1149822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1149825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1149830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1149842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149861 */     // MIs[0] round
     /* 1149861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149871 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1149874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149896 */     // GIR_Coverage, 17538,
     /* 1149896 */     GIR_EraseRootFromParent_Done,
     /* 1149897 */   // Label 16484: @1149897
     /* 1149897 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1149977), // Rule ID 17539 //
     /* 1149902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1149905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1149910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1149913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1149916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1149919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1149922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1149941 */     // MIs[0] round
     /* 1149941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1149954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149976 */     // GIR_Coverage, 17539,
     /* 1149976 */     GIR_EraseRootFromParent_Done,
     /* 1149977 */   // Label 16485: @1149977
     /* 1149977 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1150057), // Rule ID 17542 //
     /* 1149982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1149985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1149990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1149999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150021 */     // MIs[0] round
     /* 1150021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150031 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1150034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150056 */     // GIR_Coverage, 17542,
     /* 1150056 */     GIR_EraseRootFromParent_Done,
     /* 1150057 */   // Label 16486: @1150057
     /* 1150057 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1150137), // Rule ID 17543 //
     /* 1150062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1150065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1150073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1150076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1150079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1150082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150101 */     // MIs[0] round
     /* 1150101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150111 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1150114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150136 */     // GIR_Coverage, 17543,
     /* 1150136 */     GIR_EraseRootFromParent_Done,
     /* 1150137 */   // Label 16487: @1150137
     /* 1150137 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1150217), // Rule ID 17546 //
     /* 1150142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1150145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1150162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150181 */     // MIs[0] round
     /* 1150181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150191 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1150194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150216 */     // GIR_Coverage, 17546,
     /* 1150216 */     GIR_EraseRootFromParent_Done,
     /* 1150217 */   // Label 16488: @1150217
     /* 1150217 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1150297), // Rule ID 17547 //
     /* 1150222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1150225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1150233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1150236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1150239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1150242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150261 */     // MIs[0] round
     /* 1150261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150271 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1150274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150296 */     // GIR_Coverage, 17547,
     /* 1150296 */     GIR_EraseRootFromParent_Done,
     /* 1150297 */   // Label 16489: @1150297
     /* 1150297 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1150377), // Rule ID 17550 //
     /* 1150302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1150305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1150313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1150316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1150322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150341 */     // MIs[0] round
     /* 1150341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150351 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1150354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150376 */     // GIR_Coverage, 17550,
     /* 1150376 */     GIR_EraseRootFromParent_Done,
     /* 1150377 */   // Label 16490: @1150377
     /* 1150377 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1150457), // Rule ID 17551 //
     /* 1150382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1150385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1150393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1150396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1150399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1150402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150421 */     // MIs[0] round
     /* 1150421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150431 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1150434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1150452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150456 */     // GIR_Coverage, 17551,
     /* 1150456 */     GIR_EraseRootFromParent_Done,
     /* 1150457 */   // Label 16491: @1150457
     /* 1150457 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1150537), // Rule ID 17554 //
     /* 1150462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1150465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150501 */     // MIs[0] round
     /* 1150501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1150514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150536 */     // GIR_Coverage, 17554,
     /* 1150536 */     GIR_EraseRootFromParent_Done,
     /* 1150537 */   // Label 16492: @1150537
     /* 1150537 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1150617), // Rule ID 17555 //
     /* 1150542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1150545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1150553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1150556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1150559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1150562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150581 */     // MIs[0] round
     /* 1150581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1150594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150616 */     // GIR_Coverage, 17555,
     /* 1150616 */     GIR_EraseRootFromParent_Done,
     /* 1150617 */   // Label 16493: @1150617
     /* 1150617 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1150697), // Rule ID 17558 //
     /* 1150622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1150625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150661 */     // MIs[0] round
     /* 1150661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150671 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1150674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150696 */     // GIR_Coverage, 17558,
     /* 1150696 */     GIR_EraseRootFromParent_Done,
     /* 1150697 */   // Label 16494: @1150697
     /* 1150697 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1150777), // Rule ID 17559 //
     /* 1150702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1150705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1150719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1150722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150741 */     // MIs[0] round
     /* 1150741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150751 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1150754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150776 */     // GIR_Coverage, 17559,
     /* 1150776 */     GIR_EraseRootFromParent_Done,
     /* 1150777 */   // Label 16495: @1150777
     /* 1150777 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1150857), // Rule ID 17562 //
     /* 1150782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1150785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1150802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150821 */     // MIs[0] round
     /* 1150821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150831 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1150834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150856 */     // GIR_Coverage, 17562,
     /* 1150856 */     GIR_EraseRootFromParent_Done,
     /* 1150857 */   // Label 16496: @1150857
     /* 1150857 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1150937), // Rule ID 17563 //
     /* 1150862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1150865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1150879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1150882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150901 */     // MIs[0] round
     /* 1150901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1150914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150936 */     // GIR_Coverage, 17563,
     /* 1150936 */     GIR_EraseRootFromParent_Done,
     /* 1150937 */   // Label 16497: @1150937
     /* 1150937 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1151017), // Rule ID 17566 //
     /* 1150942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1150945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1150950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1150953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1150956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1150959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1150962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150981 */     // MIs[0] round
     /* 1150981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150991 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1150994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151016 */     // GIR_Coverage, 17566,
     /* 1151016 */     GIR_EraseRootFromParent_Done,
     /* 1151017 */   // Label 16498: @1151017
     /* 1151017 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1151097), // Rule ID 17567 //
     /* 1151022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1151025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1151033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1151036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1151039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1151042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151061 */     // MIs[0] round
     /* 1151061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151071 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1151074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151096 */     // GIR_Coverage, 17567,
     /* 1151096 */     GIR_EraseRootFromParent_Done,
     /* 1151097 */   // Label 16499: @1151097
     /* 1151097 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1151177), // Rule ID 17570 //
     /* 1151102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1151105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151141 */     // MIs[0] round
     /* 1151141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151151 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1151154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151176 */     // GIR_Coverage, 17570,
     /* 1151176 */     GIR_EraseRootFromParent_Done,
     /* 1151177 */   // Label 16500: @1151177
     /* 1151177 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1151257), // Rule ID 17571 //
     /* 1151182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1151185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151221 */     // MIs[0] round
     /* 1151221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1151234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151256 */     // GIR_Coverage, 17571,
     /* 1151256 */     GIR_EraseRootFromParent_Done,
     /* 1151257 */   // Label 16501: @1151257
     /* 1151257 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1151337), // Rule ID 17574 //
     /* 1151262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1151265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151301 */     // MIs[0] round
     /* 1151301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151311 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1151314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151336 */     // GIR_Coverage, 17574,
     /* 1151336 */     GIR_EraseRootFromParent_Done,
     /* 1151337 */   // Label 16502: @1151337
     /* 1151337 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1151417), // Rule ID 17575 //
     /* 1151342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1151345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151381 */     // MIs[0] round
     /* 1151381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10939:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1151394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151416 */     // GIR_Coverage, 17575,
     /* 1151416 */     GIR_EraseRootFromParent_Done,
     /* 1151417 */   // Label 16503: @1151417
     /* 1151417 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1151497), // Rule ID 17578 //
     /* 1151422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1151425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151461 */     // MIs[0] round
     /* 1151461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151471 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1151474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151496 */     // GIR_Coverage, 17578,
     /* 1151496 */     GIR_EraseRootFromParent_Done,
     /* 1151497 */   // Label 16504: @1151497
     /* 1151497 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1151577), // Rule ID 17579 //
     /* 1151502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1151505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1151513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1151516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151541 */     // MIs[0] round
     /* 1151541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151551 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1151554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151576 */     // GIR_Coverage, 17579,
     /* 1151576 */     GIR_EraseRootFromParent_Done,
     /* 1151577 */   // Label 16505: @1151577
     /* 1151577 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1151657), // Rule ID 17582 //
     /* 1151582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1151585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151621 */     // MIs[0] round
     /* 1151621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151631 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1151634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151656 */     // GIR_Coverage, 17582,
     /* 1151656 */     GIR_EraseRootFromParent_Done,
     /* 1151657 */   // Label 16506: @1151657
     /* 1151657 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1151737), // Rule ID 17583 //
     /* 1151662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1151665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1151673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1151676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1151679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1151697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151701 */     // MIs[0] round
     /* 1151701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151711 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1151714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151736 */     // GIR_Coverage, 17583,
     /* 1151736 */     GIR_EraseRootFromParent_Done,
     /* 1151737 */   // Label 16507: @1151737
     /* 1151737 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1151817), // Rule ID 17586 //
     /* 1151742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1151745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151781 */     // MIs[0] round
     /* 1151781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151791 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1151794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151816 */     // GIR_Coverage, 17586,
     /* 1151816 */     GIR_EraseRootFromParent_Done,
     /* 1151817 */   // Label 16508: @1151817
     /* 1151817 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1151897), // Rule ID 17587 //
     /* 1151822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1151825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1151833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1151836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1151839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1151842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1151853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1151857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1151861 */     // MIs[0] round
     /* 1151861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151871 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1151874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151896 */     // GIR_Coverage, 17587,
     /* 1151896 */     GIR_EraseRootFromParent_Done,
     /* 1151897 */   // Label 16509: @1151897
     /* 1151897 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1151977), // Rule ID 17590 //
     /* 1151902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1151905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1151941 */     // MIs[0] round
     /* 1151941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151951 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1151954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151976 */     // GIR_Coverage, 17590,
     /* 1151976 */     GIR_EraseRootFromParent_Done,
     /* 1151977 */   // Label 16510: @1151977
     /* 1151977 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1152057), // Rule ID 17591 //
     /* 1151982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1151985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1151990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152021 */     // MIs[0] round
     /* 1152021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152031 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10939:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1152034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152056 */     // GIR_Coverage, 17591,
     /* 1152056 */     GIR_EraseRootFromParent_Done,
     /* 1152057 */   // Label 16511: @1152057
     /* 1152057 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1152137), // Rule ID 17594 //
     /* 1152062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1152065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1152079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152101 */     // MIs[0] round
     /* 1152101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1152114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152136 */     // GIR_Coverage, 17594,
     /* 1152136 */     GIR_EraseRootFromParent_Done,
     /* 1152137 */   // Label 16512: @1152137
     /* 1152137 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1152217), // Rule ID 17595 //
     /* 1152142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1152145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1152153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1152156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1152159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152181 */     // MIs[0] round
     /* 1152181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152191 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10939:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1152194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152216 */     // GIR_Coverage, 17595,
     /* 1152216 */     GIR_EraseRootFromParent_Done,
     /* 1152217 */   // Label 16513: @1152217
     /* 1152217 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1152297), // Rule ID 17598 //
     /* 1152222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1152225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152261 */     // MIs[0] round
     /* 1152261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152271 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1152274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152296 */     // GIR_Coverage, 17598,
     /* 1152296 */     GIR_EraseRootFromParent_Done,
     /* 1152297 */   // Label 16514: @1152297
     /* 1152297 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1152377), // Rule ID 17599 //
     /* 1152302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1152305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1152313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1152316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1152319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152341 */     // MIs[0] round
     /* 1152341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10939:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1152354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152376 */     // GIR_Coverage, 17599,
     /* 1152376 */     GIR_EraseRootFromParent_Done,
     /* 1152377 */   // Label 16515: @1152377
     /* 1152377 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1152457), // Rule ID 17602 //
     /* 1152382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1152385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152421 */     // MIs[0] round
     /* 1152421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152431 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1152434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152456 */     // GIR_Coverage, 17602,
     /* 1152456 */     GIR_EraseRootFromParent_Done,
     /* 1152457 */   // Label 16516: @1152457
     /* 1152457 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1152537), // Rule ID 17603 //
     /* 1152462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1152465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1152470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1152473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1152476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1152479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1152501 */     // MIs[0] round
     /* 1152501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152511 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10939:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1152514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152536 */     // GIR_Coverage, 17603,
     /* 1152536 */     GIR_EraseRootFromParent_Done,
     /* 1152537 */   // Label 16517: @1152537
     /* 1152537 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1152617), // Rule ID 22680 //
     /* 1152542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1152545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152581 */     // MIs[0] round
     /* 1152581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152591 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1152594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152616 */     // GIR_Coverage, 22680,
     /* 1152616 */     GIR_EraseRootFromParent_Done,
     /* 1152617 */   // Label 16518: @1152617
     /* 1152617 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1152697), // Rule ID 22681 //
     /* 1152622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1152625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1152639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152661 */     // MIs[0] round
     /* 1152661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152671 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1152674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152696 */     // GIR_Coverage, 22681,
     /* 1152696 */     GIR_EraseRootFromParent_Done,
     /* 1152697 */   // Label 16519: @1152697
     /* 1152697 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1152777), // Rule ID 22684 //
     /* 1152702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1152705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1152713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1152716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1152722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152741 */     // MIs[0] round
     /* 1152741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152751 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1152754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152776 */     // GIR_Coverage, 22684,
     /* 1152776 */     GIR_EraseRootFromParent_Done,
     /* 1152777 */   // Label 16520: @1152777
     /* 1152777 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1152857), // Rule ID 22685 //
     /* 1152782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1152785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1152793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1152796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1152799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1152802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152821 */     // MIs[0] round
     /* 1152821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1152834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1152852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152856 */     // GIR_Coverage, 22685,
     /* 1152856 */     GIR_EraseRootFromParent_Done,
     /* 1152857 */   // Label 16521: @1152857
     /* 1152857 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1152937), // Rule ID 22688 //
     /* 1152862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1152865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152901 */     // MIs[0] round
     /* 1152901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152911 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1152914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152936 */     // GIR_Coverage, 22688,
     /* 1152936 */     GIR_EraseRootFromParent_Done,
     /* 1152937 */   // Label 16522: @1152937
     /* 1152937 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1153017), // Rule ID 22689 //
     /* 1152942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1152945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1152950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1152953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1152956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1152959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1152962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152981 */     // MIs[0] round
     /* 1152981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152991 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1152994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1152998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153016 */     // GIR_Coverage, 22689,
     /* 1153016 */     GIR_EraseRootFromParent_Done,
     /* 1153017 */   // Label 16523: @1153017
     /* 1153017 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1153097), // Rule ID 22692 //
     /* 1153022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1153025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153061 */     // MIs[0] round
     /* 1153061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1153074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153096 */     // GIR_Coverage, 22692,
     /* 1153096 */     GIR_EraseRootFromParent_Done,
     /* 1153097 */   // Label 16524: @1153097
     /* 1153097 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1153177), // Rule ID 22693 //
     /* 1153102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1153105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1153119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153141 */     // MIs[0] round
     /* 1153141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1153154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153176 */     // GIR_Coverage, 22693,
     /* 1153176 */     GIR_EraseRootFromParent_Done,
     /* 1153177 */   // Label 16525: @1153177
     /* 1153177 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1153257), // Rule ID 22696 //
     /* 1153182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1153185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1153193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1153196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1153199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1153202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153221 */     // MIs[0] round
     /* 1153221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1153234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153256 */     // GIR_Coverage, 22696,
     /* 1153256 */     GIR_EraseRootFromParent_Done,
     /* 1153257 */   // Label 16526: @1153257
     /* 1153257 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1153337), // Rule ID 22697 //
     /* 1153262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1153265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1153273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1153276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1153279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1153282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153301 */     // MIs[0] round
     /* 1153301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1153314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153336 */     // GIR_Coverage, 22697,
     /* 1153336 */     GIR_EraseRootFromParent_Done,
     /* 1153337 */   // Label 16527: @1153337
     /* 1153337 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1153417), // Rule ID 22700 //
     /* 1153342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1153345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153381 */     // MIs[0] round
     /* 1153381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1153394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153416 */     // GIR_Coverage, 22700,
     /* 1153416 */     GIR_EraseRootFromParent_Done,
     /* 1153417 */   // Label 16528: @1153417
     /* 1153417 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1153497), // Rule ID 22701 //
     /* 1153422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1153425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1153439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153461 */     // MIs[0] round
     /* 1153461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153471 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1153474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153496 */     // GIR_Coverage, 22701,
     /* 1153496 */     GIR_EraseRootFromParent_Done,
     /* 1153497 */   // Label 16529: @1153497
     /* 1153497 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1153577), // Rule ID 22704 //
     /* 1153502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1153505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153541 */     // MIs[0] round
     /* 1153541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153551 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1153554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153576 */     // GIR_Coverage, 22704,
     /* 1153576 */     GIR_EraseRootFromParent_Done,
     /* 1153577 */   // Label 16530: @1153577
     /* 1153577 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1153657), // Rule ID 22705 //
     /* 1153582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1153585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1153599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153621 */     // MIs[0] round
     /* 1153621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153631 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1153634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153656 */     // GIR_Coverage, 22705,
     /* 1153656 */     GIR_EraseRootFromParent_Done,
     /* 1153657 */   // Label 16531: @1153657
     /* 1153657 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1153737), // Rule ID 22708 //
     /* 1153662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1153665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1153679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153701 */     // MIs[0] round
     /* 1153701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1153714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153736 */     // GIR_Coverage, 22708,
     /* 1153736 */     GIR_EraseRootFromParent_Done,
     /* 1153737 */   // Label 16532: @1153737
     /* 1153737 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1153817), // Rule ID 22709 //
     /* 1153742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1153745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1153753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1153756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1153759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1153762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153781 */     // MIs[0] round
     /* 1153781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153791 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10891:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1153794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153816 */     // GIR_Coverage, 22709,
     /* 1153816 */     GIR_EraseRootFromParent_Done,
     /* 1153817 */   // Label 16533: @1153817
     /* 1153817 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1153897), // Rule ID 22712 //
     /* 1153822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1153825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153861 */     // MIs[0] round
     /* 1153861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153871 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1153874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153896 */     // GIR_Coverage, 22712,
     /* 1153896 */     GIR_EraseRootFromParent_Done,
     /* 1153897 */   // Label 16534: @1153897
     /* 1153897 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1153977), // Rule ID 22713 //
     /* 1153902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1153905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1153922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1153941 */     // MIs[0] round
     /* 1153941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1153954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1153958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153976 */     // GIR_Coverage, 22713,
     /* 1153976 */     GIR_EraseRootFromParent_Done,
     /* 1153977 */   // Label 16535: @1153977
     /* 1153977 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1154057), // Rule ID 22716 //
     /* 1153982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1153985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1153990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1153993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1153996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1153999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154021 */     // MIs[0] round
     /* 1154021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1154034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154056 */     // GIR_Coverage, 22716,
     /* 1154056 */     GIR_EraseRootFromParent_Done,
     /* 1154057 */   // Label 16536: @1154057
     /* 1154057 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1154137), // Rule ID 22717 //
     /* 1154062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1154065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1154079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154101 */     // MIs[0] round
     /* 1154101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1154114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154136 */     // GIR_Coverage, 22717,
     /* 1154136 */     GIR_EraseRootFromParent_Done,
     /* 1154137 */   // Label 16537: @1154137
     /* 1154137 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1154217), // Rule ID 22720 //
     /* 1154142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1154145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154181 */     // MIs[0] round
     /* 1154181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1154194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154216 */     // GIR_Coverage, 22720,
     /* 1154216 */     GIR_EraseRootFromParent_Done,
     /* 1154217 */   // Label 16538: @1154217
     /* 1154217 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1154297), // Rule ID 22721 //
     /* 1154222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1154225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1154233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1154236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1154239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1154242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154261 */     // MIs[0] round
     /* 1154261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10891:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1154274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154296 */     // GIR_Coverage, 22721,
     /* 1154296 */     GIR_EraseRootFromParent_Done,
     /* 1154297 */   // Label 16539: @1154297
     /* 1154297 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1154377), // Rule ID 22724 //
     /* 1154302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1154305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1154319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154341 */     // MIs[0] round
     /* 1154341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154351 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1154354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154376 */     // GIR_Coverage, 22724,
     /* 1154376 */     GIR_EraseRootFromParent_Done,
     /* 1154377 */   // Label 16540: @1154377
     /* 1154377 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1154457), // Rule ID 22725 //
     /* 1154382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1154385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1154399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1154417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154421 */     // MIs[0] round
     /* 1154421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154431 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1154434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154456 */     // GIR_Coverage, 22725,
     /* 1154456 */     GIR_EraseRootFromParent_Done,
     /* 1154457 */   // Label 16541: @1154457
     /* 1154457 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1154537), // Rule ID 22728 //
     /* 1154462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1154465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1154479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154501 */     // MIs[0] round
     /* 1154501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1154514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154536 */     // GIR_Coverage, 22728,
     /* 1154536 */     GIR_EraseRootFromParent_Done,
     /* 1154537 */   // Label 16542: @1154537
     /* 1154537 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1154617), // Rule ID 22729 //
     /* 1154542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1154545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1154559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1154577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154581 */     // MIs[0] round
     /* 1154581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1154594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154616 */     // GIR_Coverage, 22729,
     /* 1154616 */     GIR_EraseRootFromParent_Done,
     /* 1154617 */   // Label 16543: @1154617
     /* 1154617 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1154697), // Rule ID 22732 //
     /* 1154622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1154625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1154639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154661 */     // MIs[0] round
     /* 1154661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1154674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154696 */     // GIR_Coverage, 22732,
     /* 1154696 */     GIR_EraseRootFromParent_Done,
     /* 1154697 */   // Label 16544: @1154697
     /* 1154697 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1154777), // Rule ID 22733 //
     /* 1154702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1154705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1154710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1154713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1154716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1154719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1154722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154741 */     // MIs[0] round
     /* 1154741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10891:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1154754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154776 */     // GIR_Coverage, 22733,
     /* 1154776 */     GIR_EraseRootFromParent_Done,
     /* 1154777 */   // Label 16545: @1154777
     /* 1154777 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1154857), // Rule ID 22736 //
     /* 1154782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1154785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1154790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1154799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1154802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154821 */     // MIs[0] round
     /* 1154821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154831 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1154834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154856 */     // GIR_Coverage, 22736,
     /* 1154856 */     GIR_EraseRootFromParent_Done,
     /* 1154857 */   // Label 16546: @1154857
     /* 1154857 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1154937), // Rule ID 22737 //
     /* 1154862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1154865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1154870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1154879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1154882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154901 */     // MIs[0] round
     /* 1154901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154911 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1154914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154936 */     // GIR_Coverage, 22737,
     /* 1154936 */     GIR_EraseRootFromParent_Done,
     /* 1154937 */   // Label 16547: @1154937
     /* 1154937 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1155017), // Rule ID 22740 //
     /* 1154942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1154945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1154950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1154953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1154956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1154962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154981 */     // MIs[0] round
     /* 1154981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154991 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1154994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1154998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155016 */     // GIR_Coverage, 22740,
     /* 1155016 */     GIR_EraseRootFromParent_Done,
     /* 1155017 */   // Label 16548: @1155017
     /* 1155017 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1155097), // Rule ID 22741 //
     /* 1155022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1155025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1155039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155061 */     // MIs[0] round
     /* 1155061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155071 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1155074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155096 */     // GIR_Coverage, 22741,
     /* 1155096 */     GIR_EraseRootFromParent_Done,
     /* 1155097 */   // Label 16549: @1155097
     /* 1155097 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1155177), // Rule ID 22744 //
     /* 1155102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1155105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155141 */     // MIs[0] round
     /* 1155141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1155154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155176 */     // GIR_Coverage, 22744,
     /* 1155176 */     GIR_EraseRootFromParent_Done,
     /* 1155177 */   // Label 16550: @1155177
     /* 1155177 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1155257), // Rule ID 22745 //
     /* 1155182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1155185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1155199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155221 */     // MIs[0] round
     /* 1155221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1155234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155256 */     // GIR_Coverage, 22745,
     /* 1155256 */     GIR_EraseRootFromParent_Done,
     /* 1155257 */   // Label 16551: @1155257
     /* 1155257 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1155337), // Rule ID 22748 //
     /* 1155262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1155265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155301 */     // MIs[0] round
     /* 1155301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155311 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1155314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155336 */     // GIR_Coverage, 22748,
     /* 1155336 */     GIR_EraseRootFromParent_Done,
     /* 1155337 */   // Label 16552: @1155337
     /* 1155337 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1155417), // Rule ID 22749 //
     /* 1155342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1155345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155381 */     // MIs[0] round
     /* 1155381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1155394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155416 */     // GIR_Coverage, 22749,
     /* 1155416 */     GIR_EraseRootFromParent_Done,
     /* 1155417 */   // Label 16553: @1155417
     /* 1155417 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1155497), // Rule ID 22752 //
     /* 1155422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1155425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1155439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155461 */     // MIs[0] round
     /* 1155461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1155474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155496 */     // GIR_Coverage, 22752,
     /* 1155496 */     GIR_EraseRootFromParent_Done,
     /* 1155497 */   // Label 16554: @1155497
     /* 1155497 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1155577), // Rule ID 22753 //
     /* 1155502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1155505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1155519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155541 */     // MIs[0] round
     /* 1155541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1155554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155576 */     // GIR_Coverage, 22753,
     /* 1155576 */     GIR_EraseRootFromParent_Done,
     /* 1155577 */   // Label 16555: @1155577
     /* 1155577 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1155657), // Rule ID 22756 //
     /* 1155582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1155585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1155593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1155596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1155599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1155602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155621 */     // MIs[0] round
     /* 1155621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1155634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155656 */     // GIR_Coverage, 22756,
     /* 1155656 */     GIR_EraseRootFromParent_Done,
     /* 1155657 */   // Label 16556: @1155657
     /* 1155657 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1155737), // Rule ID 22757 //
     /* 1155662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1155665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1155673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1155676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1155679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1155682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155701 */     // MIs[0] round
     /* 1155701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1155714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155736 */     // GIR_Coverage, 22757,
     /* 1155736 */     GIR_EraseRootFromParent_Done,
     /* 1155737 */   // Label 16557: @1155737
     /* 1155737 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1155817), // Rule ID 22760 //
     /* 1155742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1155745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155781 */     // MIs[0] round
     /* 1155781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155791 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1155794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155816 */     // GIR_Coverage, 22760,
     /* 1155816 */     GIR_EraseRootFromParent_Done,
     /* 1155817 */   // Label 16558: @1155817
     /* 1155817 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1155897), // Rule ID 22761 //
     /* 1155822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1155825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1155839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155861 */     // MIs[0] round
     /* 1155861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155871 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1155874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155896 */     // GIR_Coverage, 22761,
     /* 1155896 */     GIR_EraseRootFromParent_Done,
     /* 1155897 */   // Label 16559: @1155897
     /* 1155897 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1155977), // Rule ID 22764 //
     /* 1155902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1155905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155941 */     // MIs[0] round
     /* 1155941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1155954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1155958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155976 */     // GIR_Coverage, 22764,
     /* 1155976 */     GIR_EraseRootFromParent_Done,
     /* 1155977 */   // Label 16560: @1155977
     /* 1155977 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1156057), // Rule ID 22765 //
     /* 1155982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1155985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1155990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1155999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1156002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156021 */     // MIs[0] round
     /* 1156021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156031 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1156034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156056 */     // GIR_Coverage, 22765,
     /* 1156056 */     GIR_EraseRootFromParent_Done,
     /* 1156057 */   // Label 16561: @1156057
     /* 1156057 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1156137), // Rule ID 22768 //
     /* 1156062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1156065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1156079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1156082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156101 */     // MIs[0] round
     /* 1156101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1156114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156136 */     // GIR_Coverage, 22768,
     /* 1156136 */     GIR_EraseRootFromParent_Done,
     /* 1156137 */   // Label 16562: @1156137
     /* 1156137 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1156217), // Rule ID 22769 //
     /* 1156142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1156145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1156153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1156156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1156159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1156162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156181 */     // MIs[0] round
     /* 1156181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10893:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1156194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156216 */     // GIR_Coverage, 22769,
     /* 1156216 */     GIR_EraseRootFromParent_Done,
     /* 1156217 */   // Label 16563: @1156217
     /* 1156217 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1156297), // Rule ID 22772 //
     /* 1156222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1156225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156261 */     // MIs[0] round
     /* 1156261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1156274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156296 */     // GIR_Coverage, 22772,
     /* 1156296 */     GIR_EraseRootFromParent_Done,
     /* 1156297 */   // Label 16564: @1156297
     /* 1156297 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1156377), // Rule ID 22773 //
     /* 1156302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1156305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156341 */     // MIs[0] round
     /* 1156341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156351 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1156354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156376 */     // GIR_Coverage, 22773,
     /* 1156376 */     GIR_EraseRootFromParent_Done,
     /* 1156377 */   // Label 16565: @1156377
     /* 1156377 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1156457), // Rule ID 22776 //
     /* 1156382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1156385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156421 */     // MIs[0] round
     /* 1156421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156431 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1156434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156456 */     // GIR_Coverage, 22776,
     /* 1156456 */     GIR_EraseRootFromParent_Done,
     /* 1156457 */   // Label 16566: @1156457
     /* 1156457 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1156537), // Rule ID 22777 //
     /* 1156462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1156465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156501 */     // MIs[0] round
     /* 1156501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156511 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1156514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156536 */     // GIR_Coverage, 22777,
     /* 1156536 */     GIR_EraseRootFromParent_Done,
     /* 1156537 */   // Label 16567: @1156537
     /* 1156537 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1156617), // Rule ID 22780 //
     /* 1156542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1156545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156581 */     // MIs[0] round
     /* 1156581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156591 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1156594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156616 */     // GIR_Coverage, 22780,
     /* 1156616 */     GIR_EraseRootFromParent_Done,
     /* 1156617 */   // Label 16568: @1156617
     /* 1156617 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1156697), // Rule ID 22781 //
     /* 1156622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1156625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1156633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1156636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1156642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156661 */     // MIs[0] round
     /* 1156661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156671 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10893:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1156674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156696 */     // GIR_Coverage, 22781,
     /* 1156696 */     GIR_EraseRootFromParent_Done,
     /* 1156697 */   // Label 16569: @1156697
     /* 1156697 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1156777), // Rule ID 22784 //
     /* 1156702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1156705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156741 */     // MIs[0] round
     /* 1156741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1156754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156776 */     // GIR_Coverage, 22784,
     /* 1156776 */     GIR_EraseRootFromParent_Done,
     /* 1156777 */   // Label 16570: @1156777
     /* 1156777 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1156857), // Rule ID 22785 //
     /* 1156782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1156785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1156799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156821 */     // MIs[0] round
     /* 1156821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1156834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156856 */     // GIR_Coverage, 22785,
     /* 1156856 */     GIR_EraseRootFromParent_Done,
     /* 1156857 */   // Label 16571: @1156857
     /* 1156857 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1156937), // Rule ID 22788 //
     /* 1156862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1156865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156901 */     // MIs[0] round
     /* 1156901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156911 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1156914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1156932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156936 */     // GIR_Coverage, 22788,
     /* 1156936 */     GIR_EraseRootFromParent_Done,
     /* 1156937 */   // Label 16572: @1156937
     /* 1156937 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1157017), // Rule ID 22789 //
     /* 1156942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1156945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1156950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1156953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1156956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1156959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1156962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1156981 */     // MIs[0] round
     /* 1156981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156991 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1156994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1156998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157016 */     // GIR_Coverage, 22789,
     /* 1157016 */     GIR_EraseRootFromParent_Done,
     /* 1157017 */   // Label 16573: @1157017
     /* 1157017 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1157097), // Rule ID 22792 //
     /* 1157022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1157025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1157030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157061 */     // MIs[0] round
     /* 1157061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157071 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1157074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157096 */     // GIR_Coverage, 22792,
     /* 1157096 */     GIR_EraseRootFromParent_Done,
     /* 1157097 */   // Label 16574: @1157097
     /* 1157097 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1157177), // Rule ID 22793 //
     /* 1157102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1157105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1157110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157141 */     // MIs[0] round
     /* 1157141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10893:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1157154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157176 */     // GIR_Coverage, 22793,
     /* 1157176 */     GIR_EraseRootFromParent_Done,
     /* 1157177 */   // Label 16575: @1157177
     /* 1157177 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1157257), // Rule ID 22916 //
     /* 1157182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1157185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157221 */     // MIs[0] round
     /* 1157221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1157234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157256 */     // GIR_Coverage, 22916,
     /* 1157256 */     GIR_EraseRootFromParent_Done,
     /* 1157257 */   // Label 16576: @1157257
     /* 1157257 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1157337), // Rule ID 22917 //
     /* 1157262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1157265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1157279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157301 */     // MIs[0] round
     /* 1157301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157311 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1157314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157336 */     // GIR_Coverage, 22917,
     /* 1157336 */     GIR_EraseRootFromParent_Done,
     /* 1157337 */   // Label 16577: @1157337
     /* 1157337 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1157417), // Rule ID 22920 //
     /* 1157342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1157345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157381 */     // MIs[0] round
     /* 1157381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1157394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157416 */     // GIR_Coverage, 22920,
     /* 1157416 */     GIR_EraseRootFromParent_Done,
     /* 1157417 */   // Label 16578: @1157417
     /* 1157417 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1157497), // Rule ID 22921 //
     /* 1157422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1157425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1157439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157461 */     // MIs[0] round
     /* 1157461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1157474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157496 */     // GIR_Coverage, 22921,
     /* 1157496 */     GIR_EraseRootFromParent_Done,
     /* 1157497 */   // Label 16579: @1157497
     /* 1157497 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1157577), // Rule ID 22924 //
     /* 1157502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1157505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157541 */     // MIs[0] round
     /* 1157541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157551 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1157554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157576 */     // GIR_Coverage, 22924,
     /* 1157576 */     GIR_EraseRootFromParent_Done,
     /* 1157577 */   // Label 16580: @1157577
     /* 1157577 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1157657), // Rule ID 22925 //
     /* 1157582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1157585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1157599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157621 */     // MIs[0] round
     /* 1157621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1157634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157656 */     // GIR_Coverage, 22925,
     /* 1157656 */     GIR_EraseRootFromParent_Done,
     /* 1157657 */   // Label 16581: @1157657
     /* 1157657 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1157737), // Rule ID 22928 //
     /* 1157662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1157665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157701 */     // MIs[0] round
     /* 1157701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157711 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1157714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157736 */     // GIR_Coverage, 22928,
     /* 1157736 */     GIR_EraseRootFromParent_Done,
     /* 1157737 */   // Label 16582: @1157737
     /* 1157737 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1157817), // Rule ID 22929 //
     /* 1157742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1157745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1157759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1157762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157781 */     // MIs[0] round
     /* 1157781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157791 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1157794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1157812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157816 */     // GIR_Coverage, 22929,
     /* 1157816 */     GIR_EraseRootFromParent_Done,
     /* 1157817 */   // Label 16583: @1157817
     /* 1157817 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1157897), // Rule ID 22932 //
     /* 1157822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1157825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157861 */     // MIs[0] round
     /* 1157861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157871 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1157874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157896 */     // GIR_Coverage, 22932,
     /* 1157896 */     GIR_EraseRootFromParent_Done,
     /* 1157897 */   // Label 16584: @1157897
     /* 1157897 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1157977), // Rule ID 22933 //
     /* 1157902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1157905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1157913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1157916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1157919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1157922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157941 */     // MIs[0] round
     /* 1157941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157951 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1157954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1157958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157976 */     // GIR_Coverage, 22933,
     /* 1157976 */     GIR_EraseRootFromParent_Done,
     /* 1157977 */   // Label 16585: @1157977
     /* 1157977 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1158057), // Rule ID 22936 //
     /* 1157982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1157985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1157990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1157993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1157996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1157999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158021 */     // MIs[0] round
     /* 1158021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1158034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158056 */     // GIR_Coverage, 22936,
     /* 1158056 */     GIR_EraseRootFromParent_Done,
     /* 1158057 */   // Label 16586: @1158057
     /* 1158057 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1158137), // Rule ID 22937 //
     /* 1158062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1158065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1158079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158101 */     // MIs[0] round
     /* 1158101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1158114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158136 */     // GIR_Coverage, 22937,
     /* 1158136 */     GIR_EraseRootFromParent_Done,
     /* 1158137 */   // Label 16587: @1158137
     /* 1158137 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1158217), // Rule ID 22940 //
     /* 1158142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1158145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158181 */     // MIs[0] round
     /* 1158181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1158194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158216 */     // GIR_Coverage, 22940,
     /* 1158216 */     GIR_EraseRootFromParent_Done,
     /* 1158217 */   // Label 16588: @1158217
     /* 1158217 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1158297), // Rule ID 22941 //
     /* 1158222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1158225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1158239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158261 */     // MIs[0] round
     /* 1158261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1158274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158296 */     // GIR_Coverage, 22941,
     /* 1158296 */     GIR_EraseRootFromParent_Done,
     /* 1158297 */   // Label 16589: @1158297
     /* 1158297 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1158377), // Rule ID 22944 //
     /* 1158302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1158305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158341 */     // MIs[0] round
     /* 1158341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158351 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1158354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158376 */     // GIR_Coverage, 22944,
     /* 1158376 */     GIR_EraseRootFromParent_Done,
     /* 1158377 */   // Label 16590: @1158377
     /* 1158377 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1158457), // Rule ID 22945 //
     /* 1158382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1158385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1158399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158421 */     // MIs[0] round
     /* 1158421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158431 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10947:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1158434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158456 */     // GIR_Coverage, 22945,
     /* 1158456 */     GIR_EraseRootFromParent_Done,
     /* 1158457 */   // Label 16591: @1158457
     /* 1158457 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1158537), // Rule ID 22948 //
     /* 1158462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1158465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1158479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158501 */     // MIs[0] round
     /* 1158501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1158514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158536 */     // GIR_Coverage, 22948,
     /* 1158536 */     GIR_EraseRootFromParent_Done,
     /* 1158537 */   // Label 16592: @1158537
     /* 1158537 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1158617), // Rule ID 22949 //
     /* 1158542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1158545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1158559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1158577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158581 */     // MIs[0] round
     /* 1158581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1158594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158616 */     // GIR_Coverage, 22949,
     /* 1158616 */     GIR_EraseRootFromParent_Done,
     /* 1158617 */   // Label 16593: @1158617
     /* 1158617 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1158697), // Rule ID 22952 //
     /* 1158622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1158625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1158639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158661 */     // MIs[0] round
     /* 1158661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1158674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158696 */     // GIR_Coverage, 22952,
     /* 1158696 */     GIR_EraseRootFromParent_Done,
     /* 1158697 */   // Label 16594: @1158697
     /* 1158697 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1158777), // Rule ID 22953 //
     /* 1158702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1158705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1158719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1158737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158741 */     // MIs[0] round
     /* 1158741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158751 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1158754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158776 */     // GIR_Coverage, 22953,
     /* 1158776 */     GIR_EraseRootFromParent_Done,
     /* 1158777 */   // Label 16595: @1158777
     /* 1158777 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1158857), // Rule ID 22956 //
     /* 1158782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1158785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1158799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158821 */     // MIs[0] round
     /* 1158821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1158834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158856 */     // GIR_Coverage, 22956,
     /* 1158856 */     GIR_EraseRootFromParent_Done,
     /* 1158857 */   // Label 16596: @1158857
     /* 1158857 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1158937), // Rule ID 22957 //
     /* 1158862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1158865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1158870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1158873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1158876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1158879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1158882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1158897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158901 */     // MIs[0] round
     /* 1158901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158911 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10947:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1158914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158936 */     // GIR_Coverage, 22957,
     /* 1158936 */     GIR_EraseRootFromParent_Done,
     /* 1158937 */   // Label 16597: @1158937
     /* 1158937 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1159017), // Rule ID 22960 //
     /* 1158942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1158945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1158950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1158962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158981 */     // MIs[0] round
     /* 1158981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1158994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1158998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159016 */     // GIR_Coverage, 22960,
     /* 1159016 */     GIR_EraseRootFromParent_Done,
     /* 1159017 */   // Label 16598: @1159017
     /* 1159017 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1159097), // Rule ID 22961 //
     /* 1159022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1159025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1159039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159061 */     // MIs[0] round
     /* 1159061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159071 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1159074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159096 */     // GIR_Coverage, 22961,
     /* 1159096 */     GIR_EraseRootFromParent_Done,
     /* 1159097 */   // Label 16599: @1159097
     /* 1159097 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1159177), // Rule ID 22964 //
     /* 1159102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1159105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159141 */     // MIs[0] round
     /* 1159141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159151 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1159154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159176 */     // GIR_Coverage, 22964,
     /* 1159176 */     GIR_EraseRootFromParent_Done,
     /* 1159177 */   // Label 16600: @1159177
     /* 1159177 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1159257), // Rule ID 22965 //
     /* 1159182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1159185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1159199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159221 */     // MIs[0] round
     /* 1159221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159231 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1159234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159256 */     // GIR_Coverage, 22965,
     /* 1159256 */     GIR_EraseRootFromParent_Done,
     /* 1159257 */   // Label 16601: @1159257
     /* 1159257 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1159337), // Rule ID 22968 //
     /* 1159262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1159265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159301 */     // MIs[0] round
     /* 1159301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1159314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159336 */     // GIR_Coverage, 22968,
     /* 1159336 */     GIR_EraseRootFromParent_Done,
     /* 1159337 */   // Label 16602: @1159337
     /* 1159337 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1159417), // Rule ID 22969 //
     /* 1159342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1159345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1159359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159381 */     // MIs[0] round
     /* 1159381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159391 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1159394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159416 */     // GIR_Coverage, 22969,
     /* 1159416 */     GIR_EraseRootFromParent_Done,
     /* 1159417 */   // Label 16603: @1159417
     /* 1159417 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1159497), // Rule ID 22972 //
     /* 1159422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1159425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1159439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159461 */     // MIs[0] round
     /* 1159461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159471 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1159474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159496 */     // GIR_Coverage, 22972,
     /* 1159496 */     GIR_EraseRootFromParent_Done,
     /* 1159497 */   // Label 16604: @1159497
     /* 1159497 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1159577), // Rule ID 22973 //
     /* 1159502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1159505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1159519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159541 */     // MIs[0] round
     /* 1159541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1159554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159576 */     // GIR_Coverage, 22973,
     /* 1159576 */     GIR_EraseRootFromParent_Done,
     /* 1159577 */   // Label 16605: @1159577
     /* 1159577 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1159657), // Rule ID 22976 //
     /* 1159582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1159585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159621 */     // MIs[0] round
     /* 1159621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159631 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1159634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159656 */     // GIR_Coverage, 22976,
     /* 1159656 */     GIR_EraseRootFromParent_Done,
     /* 1159657 */   // Label 16606: @1159657
     /* 1159657 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1159737), // Rule ID 22977 //
     /* 1159662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1159665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1159679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1159682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159701 */     // MIs[0] round
     /* 1159701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159711 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1159714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159736 */     // GIR_Coverage, 22977,
     /* 1159736 */     GIR_EraseRootFromParent_Done,
     /* 1159737 */   // Label 16607: @1159737
     /* 1159737 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1159817), // Rule ID 22980 //
     /* 1159742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1159745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159781 */     // MIs[0] round
     /* 1159781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159791 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1159794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159816 */     // GIR_Coverage, 22980,
     /* 1159816 */     GIR_EraseRootFromParent_Done,
     /* 1159817 */   // Label 16608: @1159817
     /* 1159817 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1159897), // Rule ID 22981 //
     /* 1159822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1159825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159861 */     // MIs[0] round
     /* 1159861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159871 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1159874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159896 */     // GIR_Coverage, 22981,
     /* 1159896 */     GIR_EraseRootFromParent_Done,
     /* 1159897 */   // Label 16609: @1159897
     /* 1159897 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1159977), // Rule ID 22984 //
     /* 1159902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1159905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1159922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159941 */     // MIs[0] round
     /* 1159941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159951 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1159954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1159958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159976 */     // GIR_Coverage, 22984,
     /* 1159976 */     GIR_EraseRootFromParent_Done,
     /* 1159977 */   // Label 16610: @1159977
     /* 1159977 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1160057), // Rule ID 22985 //
     /* 1159982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1159985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1159990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1159993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1159996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160021 */     // MIs[0] round
     /* 1160021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1160034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160056 */     // GIR_Coverage, 22985,
     /* 1160056 */     GIR_EraseRootFromParent_Done,
     /* 1160057 */   // Label 16611: @1160057
     /* 1160057 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1160137), // Rule ID 22988 //
     /* 1160062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1160065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160101 */     // MIs[0] round
     /* 1160101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1160114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160136 */     // GIR_Coverage, 22988,
     /* 1160136 */     GIR_EraseRootFromParent_Done,
     /* 1160137 */   // Label 16612: @1160137
     /* 1160137 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1160217), // Rule ID 22989 //
     /* 1160142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1160145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1160153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1160156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1160162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160181 */     // MIs[0] round
     /* 1160181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160191 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10945:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1160194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160216 */     // GIR_Coverage, 22989,
     /* 1160216 */     GIR_EraseRootFromParent_Done,
     /* 1160217 */   // Label 16613: @1160217
     /* 1160217 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1160297), // Rule ID 22992 //
     /* 1160222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1160225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160261 */     // MIs[0] round
     /* 1160261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1160274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160296 */     // GIR_Coverage, 22992,
     /* 1160296 */     GIR_EraseRootFromParent_Done,
     /* 1160297 */   // Label 16614: @1160297
     /* 1160297 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1160377), // Rule ID 22993 //
     /* 1160302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1160305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160341 */     // MIs[0] round
     /* 1160341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160351 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1160354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160376 */     // GIR_Coverage, 22993,
     /* 1160376 */     GIR_EraseRootFromParent_Done,
     /* 1160377 */   // Label 16615: @1160377
     /* 1160377 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1160457), // Rule ID 22996 //
     /* 1160382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1160385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160421 */     // MIs[0] round
     /* 1160421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160431 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1160434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160456 */     // GIR_Coverage, 22996,
     /* 1160456 */     GIR_EraseRootFromParent_Done,
     /* 1160457 */   // Label 16616: @1160457
     /* 1160457 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1160537), // Rule ID 22997 //
     /* 1160462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1160465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160501 */     // MIs[0] round
     /* 1160501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160511 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1160514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160536 */     // GIR_Coverage, 22997,
     /* 1160536 */     GIR_EraseRootFromParent_Done,
     /* 1160537 */   // Label 16617: @1160537
     /* 1160537 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1160617), // Rule ID 23000 //
     /* 1160542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1160545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160581 */     // MIs[0] round
     /* 1160581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160591 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1160594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160616 */     // GIR_Coverage, 23000,
     /* 1160616 */     GIR_EraseRootFromParent_Done,
     /* 1160617 */   // Label 16618: @1160617
     /* 1160617 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1160697), // Rule ID 23001 //
     /* 1160622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1160625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1160630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1160633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1160636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1160642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160661 */     // MIs[0] round
     /* 1160661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160671 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10945:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1160674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1160678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160696 */     // GIR_Coverage, 23001,
     /* 1160696 */     GIR_EraseRootFromParent_Done,
     /* 1160697 */   // Label 16619: @1160697
     /* 1160697 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1160777), // Rule ID 63693 //
     /* 1160702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1160705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1160710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1160713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1160716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1160741 */     // MIs[0] round
     /* 1160741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160751 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1160754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160776 */     // GIR_Coverage, 63693,
     /* 1160776 */     GIR_EraseRootFromParent_Done,
     /* 1160777 */   // Label 16620: @1160777
     /* 1160777 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1160857), // Rule ID 63694 //
     /* 1160782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1160785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1160790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1160793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1160796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1160799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1160821 */     // MIs[0] round
     /* 1160821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1160834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160856 */     // GIR_Coverage, 63694,
     /* 1160856 */     GIR_EraseRootFromParent_Done,
     /* 1160857 */   // Label 16621: @1160857
     /* 1160857 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1160937), // Rule ID 63697 //
     /* 1160862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1160865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1160870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1160901 */     // MIs[0] round
     /* 1160901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160911 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1160914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1160932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160936 */     // GIR_Coverage, 63697,
     /* 1160936 */     GIR_EraseRootFromParent_Done,
     /* 1160937 */   // Label 16622: @1160937
     /* 1160937 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1161017), // Rule ID 63698 //
     /* 1160942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1160945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1160950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1160953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1160956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1160959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1160977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1160981 */     // MIs[0] round
     /* 1160981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160991 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1160994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161016 */     // GIR_Coverage, 63698,
     /* 1161016 */     GIR_EraseRootFromParent_Done,
     /* 1161017 */   // Label 16623: @1161017
     /* 1161017 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1161097), // Rule ID 63701 //
     /* 1161022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161061 */     // MIs[0] round
     /* 1161061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161071 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1161074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161096 */     // GIR_Coverage, 63701,
     /* 1161096 */     GIR_EraseRootFromParent_Done,
     /* 1161097 */   // Label 16624: @1161097
     /* 1161097 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1161177), // Rule ID 63702 //
     /* 1161102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161141 */     // MIs[0] round
     /* 1161141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161151 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1161154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161176 */     // GIR_Coverage, 63702,
     /* 1161176 */     GIR_EraseRootFromParent_Done,
     /* 1161177 */   // Label 16625: @1161177
     /* 1161177 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1161257), // Rule ID 63705 //
     /* 1161182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161221 */     // MIs[0] round
     /* 1161221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161231 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1161234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161256 */     // GIR_Coverage, 63705,
     /* 1161256 */     GIR_EraseRootFromParent_Done,
     /* 1161257 */   // Label 16626: @1161257
     /* 1161257 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1161337), // Rule ID 63706 //
     /* 1161262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1161297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161301 */     // MIs[0] round
     /* 1161301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161311 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10732:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1161314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161336 */     // GIR_Coverage, 63706,
     /* 1161336 */     GIR_EraseRootFromParent_Done,
     /* 1161337 */   // Label 16627: @1161337
     /* 1161337 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1161417), // Rule ID 63709 //
     /* 1161342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161381 */     // MIs[0] round
     /* 1161381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161391 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10732:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1161394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161416 */     // GIR_Coverage, 63709,
     /* 1161416 */     GIR_EraseRootFromParent_Done,
     /* 1161417 */   // Label 16628: @1161417
     /* 1161417 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1161497), // Rule ID 63710 //
     /* 1161422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1161430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1161433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1161436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1161439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161461 */     // MIs[0] round
     /* 1161461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161471 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10732:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1161474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161496 */     // GIR_Coverage, 63710,
     /* 1161496 */     GIR_EraseRootFromParent_Done,
     /* 1161497 */   // Label 16629: @1161497
     /* 1161497 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1161577), // Rule ID 63713 //
     /* 1161502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1161519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161541 */     // MIs[0] round
     /* 1161541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1161554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161576 */     // GIR_Coverage, 63713,
     /* 1161576 */     GIR_EraseRootFromParent_Done,
     /* 1161577 */   // Label 16630: @1161577
     /* 1161577 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1161657), // Rule ID 63714 //
     /* 1161582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1161599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161621 */     // MIs[0] round
     /* 1161621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161631 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1161634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161656 */     // GIR_Coverage, 63714,
     /* 1161656 */     GIR_EraseRootFromParent_Done,
     /* 1161657 */   // Label 16631: @1161657
     /* 1161657 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1161737), // Rule ID 63717 //
     /* 1161662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161701 */     // MIs[0] round
     /* 1161701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161711 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1161714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161736 */     // GIR_Coverage, 63717,
     /* 1161736 */     GIR_EraseRootFromParent_Done,
     /* 1161737 */   // Label 16632: @1161737
     /* 1161737 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1161817), // Rule ID 63718 //
     /* 1161742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1161759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161781 */     // MIs[0] round
     /* 1161781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1161794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161816 */     // GIR_Coverage, 63718,
     /* 1161816 */     GIR_EraseRootFromParent_Done,
     /* 1161817 */   // Label 16633: @1161817
     /* 1161817 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1161897), // Rule ID 63721 //
     /* 1161822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161861 */     // MIs[0] round
     /* 1161861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1161874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161896 */     // GIR_Coverage, 63721,
     /* 1161896 */     GIR_EraseRootFromParent_Done,
     /* 1161897 */   // Label 16634: @1161897
     /* 1161897 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1161977), // Rule ID 63722 //
     /* 1161902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1161905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1161919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1161937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1161941 */     // MIs[0] round
     /* 1161941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161951 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1161954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161976 */     // GIR_Coverage, 63722,
     /* 1161976 */     GIR_EraseRootFromParent_Done,
     /* 1161977 */   // Label 16635: @1161977
     /* 1161977 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1162057), // Rule ID 63725 //
     /* 1161982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1161985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1161990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1161993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1161996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1161999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1162021 */     // MIs[0] round
     /* 1162021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162031 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1162034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162056 */     // GIR_Coverage, 63725,
     /* 1162056 */     GIR_EraseRootFromParent_Done,
     /* 1162057 */   // Label 16636: @1162057
     /* 1162057 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1162137), // Rule ID 63726 //
     /* 1162062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1162065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1162070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1162079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1162101 */     // MIs[0] round
     /* 1162101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10730:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1162114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162136 */     // GIR_Coverage, 63726,
     /* 1162136 */     GIR_EraseRootFromParent_Done,
     /* 1162137 */   // Label 16637: @1162137
     /* 1162137 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1162217), // Rule ID 63729 //
     /* 1162142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1162145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1162150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1162181 */     // MIs[0] round
     /* 1162181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162191 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10730:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1162194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162216 */     // GIR_Coverage, 63729,
     /* 1162216 */     GIR_EraseRootFromParent_Done,
     /* 1162217 */   // Label 16638: @1162217
     /* 1162217 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1162297), // Rule ID 63730 //
     /* 1162222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1162225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1162230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1162239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1162242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1162261 */     // MIs[0] round
     /* 1162261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162271 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10730:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1162274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162296 */     // GIR_Coverage, 63730,
     /* 1162296 */     GIR_EraseRootFromParent_Done,
     /* 1162297 */   // Label 16639: @1162297
     /* 1162297 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1162396), // Rule ID 2576 //
     /* 1162302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1162310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162355 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1162372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162395 */     // GIR_Coverage, 2576,
     /* 1162395 */     GIR_EraseRootFromParent_Done,
     /* 1162396 */   // Label 16640: @1162396
     /* 1162396 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1162495), // Rule ID 2577 //
     /* 1162401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1162409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1162471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162494 */     // GIR_Coverage, 2577,
     /* 1162494 */     GIR_EraseRootFromParent_Done,
     /* 1162495 */   // Label 16641: @1162495
     /* 1162495 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1162594), // Rule ID 2588 //
     /* 1162500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1162508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1162570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1162576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1162578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162593 */     // GIR_Coverage, 2588,
     /* 1162593 */     GIR_EraseRootFromParent_Done,
     /* 1162594 */   // Label 16642: @1162594
     /* 1162594 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1162693), // Rule ID 2589 //
     /* 1162599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1162607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1162610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1162613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1162669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1162675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1162677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162692 */     // GIR_Coverage, 2589,
     /* 1162692 */     GIR_EraseRootFromParent_Done,
     /* 1162693 */   // Label 16643: @1162693
     /* 1162693 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1162792), // Rule ID 2590 //
     /* 1162698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1162706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1162728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162751 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1162751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1162768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162791 */     // GIR_Coverage, 2590,
     /* 1162791 */     GIR_EraseRootFromParent_Done,
     /* 1162792 */   // Label 16644: @1162792
     /* 1162792 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1162891), // Rule ID 2591 //
     /* 1162797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1162805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1162808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1162811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1162817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1162827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1162850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1162867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162890 */     // GIR_Coverage, 2591,
     /* 1162890 */     GIR_EraseRootFromParent_Done,
     /* 1162891 */   // Label 16645: @1162891
     /* 1162891 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1162993), // Rule ID 2640 //
     /* 1162896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1162904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1162913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1162916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1162919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1162926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1162942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162949 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1162953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1162959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1162963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1162966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1162970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1162980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162992 */     // GIR_Coverage, 2640,
     /* 1162992 */     GIR_EraseRootFromParent_Done,
     /* 1162993 */   // Label 16646: @1162993
     /* 1162993 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1163095), // Rule ID 2641 //
     /* 1162998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1163006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1163009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1163012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1163015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1163018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1163068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1163072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163094 */     // GIR_Coverage, 2641,
     /* 1163094 */     GIR_EraseRootFromParent_Done,
     /* 1163095 */   // Label 16647: @1163095
     /* 1163095 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1163194), // Rule ID 4968 //
     /* 1163100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1163120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163153 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1163153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1163170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163193 */     // GIR_Coverage, 4968,
     /* 1163193 */     GIR_EraseRootFromParent_Done,
     /* 1163194 */   // Label 16648: @1163194
     /* 1163194 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1163293), // Rule ID 4969 //
     /* 1163199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1163210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1163213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1163216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1163219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163252 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1163252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163256 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163262 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1163269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163292 */     // GIR_Coverage, 4969,
     /* 1163292 */     GIR_EraseRootFromParent_Done,
     /* 1163293 */   // Label 16649: @1163293
     /* 1163293 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1163392), // Rule ID 4970 //
     /* 1163298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1163318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1163321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163351 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1163351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1163368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163376 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163391 */     // GIR_Coverage, 4970,
     /* 1163391 */     GIR_EraseRootFromParent_Done,
     /* 1163392 */   // Label 16650: @1163392
     /* 1163392 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1163491), // Rule ID 4971 //
     /* 1163397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1163408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1163411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1163414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1163417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1163420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163450 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1163450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1163467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163490 */     // GIR_Coverage, 4971,
     /* 1163490 */     GIR_EraseRootFromParent_Done,
     /* 1163491 */   // Label 16651: @1163491
     /* 1163491 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1163590), // Rule ID 4972 //
     /* 1163496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1163516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163549 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1163549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1163566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163589 */     // GIR_Coverage, 4972,
     /* 1163589 */     GIR_EraseRootFromParent_Done,
     /* 1163590 */   // Label 16652: @1163590
     /* 1163590 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1163689), // Rule ID 4973 //
     /* 1163595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1163606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1163609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1163612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1163615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1163648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163652 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1163665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163688 */     // GIR_Coverage, 4973,
     /* 1163688 */     GIR_EraseRootFromParent_Done,
     /* 1163689 */   // Label 16653: @1163689
     /* 1163689 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1163788), // Rule ID 4974 //
     /* 1163694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1163714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1163747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1163764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163787 */     // GIR_Coverage, 4974,
     /* 1163787 */     GIR_EraseRootFromParent_Done,
     /* 1163788 */   // Label 16654: @1163788
     /* 1163788 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1163887), // Rule ID 4975 //
     /* 1163793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1163804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1163807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1163810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1163813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1163816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163846 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1163846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1163863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163886 */     // GIR_Coverage, 4975,
     /* 1163886 */     GIR_EraseRootFromParent_Done,
     /* 1163887 */   // Label 16655: @1163887
     /* 1163887 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1163986), // Rule ID 4976 //
     /* 1163892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1163903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1163906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1163909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1163912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1163915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1163922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1163934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1163938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163945 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1163945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1163949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1163955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1163959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1163962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1163976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163985 */     // GIR_Coverage, 4976,
     /* 1163985 */     GIR_EraseRootFromParent_Done,
     /* 1163986 */   // Label 16656: @1163986
     /* 1163986 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1164085), // Rule ID 4977 //
     /* 1163991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1163999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1164011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1164014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1164044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1164061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164084 */     // GIR_Coverage, 4977,
     /* 1164084 */     GIR_EraseRootFromParent_Done,
     /* 1164085 */   // Label 16657: @1164085
     /* 1164085 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1164184), // Rule ID 4978 //
     /* 1164090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1164143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164147 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164183 */     // GIR_Coverage, 4978,
     /* 1164183 */     GIR_EraseRootFromParent_Done,
     /* 1164184 */   // Label 16658: @1164184
     /* 1164184 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1164283), // Rule ID 4979 //
     /* 1164189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1164200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1164203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1164206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1164209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1164212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1164242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164246 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164282 */     // GIR_Coverage, 4979,
     /* 1164282 */     GIR_EraseRootFromParent_Done,
     /* 1164283 */   // Label 16659: @1164283
     /* 1164283 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1164382), // Rule ID 4980 //
     /* 1164288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1164311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164341 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1164341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164381 */     // GIR_Coverage, 4980,
     /* 1164381 */     GIR_EraseRootFromParent_Done,
     /* 1164382 */   // Label 16660: @1164382
     /* 1164382 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1164481), // Rule ID 4981 //
     /* 1164387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1164398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1164401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1164404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1164407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1164410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1164440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164480 */     // GIR_Coverage, 4981,
     /* 1164480 */     GIR_EraseRootFromParent_Done,
     /* 1164481 */   // Label 16661: @1164481
     /* 1164481 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1164580), // Rule ID 4982 //
     /* 1164486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1164506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1164509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1164539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164579 */     // GIR_Coverage, 4982,
     /* 1164579 */     GIR_EraseRootFromParent_Done,
     /* 1164580 */   // Label 16662: @1164580
     /* 1164580 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1164679), // Rule ID 4983 //
     /* 1164585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1164596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1164599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1164602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1164605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1164608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1164638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164678 */     // GIR_Coverage, 4983,
     /* 1164678 */     GIR_EraseRootFromParent_Done,
     /* 1164679 */   // Label 16663: @1164679
     /* 1164679 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1164778), // Rule ID 4984 //
     /* 1164684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1164687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1164704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1164707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1164737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164777 */     // GIR_Coverage, 4984,
     /* 1164777 */     GIR_EraseRootFromParent_Done,
     /* 1164778 */   // Label 16664: @1164778
     /* 1164778 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1164877), // Rule ID 4985 //
     /* 1164783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1164786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1164794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1164797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1164800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1164803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1164806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1164813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1164836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164840 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1164853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1164875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164876 */     // GIR_Coverage, 4985,
     /* 1164876 */     GIR_EraseRootFromParent_Done,
     /* 1164877 */   // Label 16665: @1164877
     /* 1164877 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1164976), // Rule ID 4986 //
     /* 1164882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1164902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1164905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1164912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1164924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1164928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164935 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1164935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1164939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1164945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1164949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1164952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1164966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164975 */     // GIR_Coverage, 4986,
     /* 1164975 */     GIR_EraseRootFromParent_Done,
     /* 1164976 */   // Label 16666: @1164976
     /* 1164976 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1165075), // Rule ID 4987 //
     /* 1164981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1164989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1164992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1164995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1164998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1165001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1165004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1165011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1165034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1165051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165074 */     // GIR_Coverage, 4987,
     /* 1165074 */     GIR_EraseRootFromParent_Done,
     /* 1165075 */   // Label 16667: @1165075
     /* 1165075 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1165174), // Rule ID 4988 //
     /* 1165080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1165103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1165110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165133 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1165133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1165150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165173 */     // GIR_Coverage, 4988,
     /* 1165173 */     GIR_EraseRootFromParent_Done,
     /* 1165174 */   // Label 16668: @1165174
     /* 1165174 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1165273), // Rule ID 4989 //
     /* 1165179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1165199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1165202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1165209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165232 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1165232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165236 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1165249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165272 */     // GIR_Coverage, 4989,
     /* 1165272 */     GIR_EraseRootFromParent_Done,
     /* 1165273 */   // Label 16669: @1165273
     /* 1165273 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1165372), // Rule ID 4990 //
     /* 1165278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1165301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1165308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165331 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1165331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1165348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165371 */     // GIR_Coverage, 4990,
     /* 1165371 */     GIR_EraseRootFromParent_Done,
     /* 1165372 */   // Label 16670: @1165372
     /* 1165372 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1165471), // Rule ID 4991 //
     /* 1165377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1165397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1165400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1165407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1165430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1165447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165470 */     // GIR_Coverage, 4991,
     /* 1165470 */     GIR_EraseRootFromParent_Done,
     /* 1165471 */   // Label 16671: @1165471
     /* 1165471 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1165570), // Rule ID 4992 //
     /* 1165476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1165499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1165506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165529 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1165529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1165546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165569 */     // GIR_Coverage, 4992,
     /* 1165569 */     GIR_EraseRootFromParent_Done,
     /* 1165570 */   // Label 16672: @1165570
     /* 1165570 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1165669), // Rule ID 4993 //
     /* 1165575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1165586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1165589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1165592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1165595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1165598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1165605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1165628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1165645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165668 */     // GIR_Coverage, 4993,
     /* 1165668 */     GIR_EraseRootFromParent_Done,
     /* 1165669 */   // Label 16673: @1165669
     /* 1165669 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1165768), // Rule ID 4994 //
     /* 1165674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1165694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1165697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1165704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165727 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1165727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1165744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165767 */     // GIR_Coverage, 4994,
     /* 1165767 */     GIR_EraseRootFromParent_Done,
     /* 1165768 */   // Label 16674: @1165768
     /* 1165768 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1165867), // Rule ID 4995 //
     /* 1165773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1165784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1165787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1165790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1165793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1165796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1165803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1165826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1165843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165866 */     // GIR_Coverage, 4995,
     /* 1165866 */     GIR_EraseRootFromParent_Done,
     /* 1165867 */   // Label 16675: @1165867
     /* 1165867 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1165966), // Rule ID 4996 //
     /* 1165872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1165892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1165895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1165902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1165918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165925 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1165925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1165929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1165935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1165939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1165942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1165956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165965 */     // GIR_Coverage, 4996,
     /* 1165965 */     GIR_EraseRootFromParent_Done,
     /* 1165966 */   // Label 16676: @1165966
     /* 1165966 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1166065), // Rule ID 4997 //
     /* 1165971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1165979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1165982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1165985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1165988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1165991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1165994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1166001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1166024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1166041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166064 */     // GIR_Coverage, 4997,
     /* 1166064 */     GIR_EraseRootFromParent_Done,
     /* 1166065 */   // Label 16677: @1166065
     /* 1166065 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1166164), // Rule ID 4998 //
     /* 1166070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1166100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1166123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1166140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166163 */     // GIR_Coverage, 4998,
     /* 1166163 */     GIR_EraseRootFromParent_Done,
     /* 1166164 */   // Label 16678: @1166164
     /* 1166164 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1166263), // Rule ID 4999 //
     /* 1166169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1166189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1166199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1166222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166226 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1166239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166262 */     // GIR_Coverage, 4999,
     /* 1166262 */     GIR_EraseRootFromParent_Done,
     /* 1166263 */   // Label 16679: @1166263
     /* 1166263 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1166362), // Rule ID 5000 //
     /* 1166268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1166291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1166298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1166321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1166338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166361 */     // GIR_Coverage, 5000,
     /* 1166361 */     GIR_EraseRootFromParent_Done,
     /* 1166362 */   // Label 16680: @1166362
     /* 1166362 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1166461), // Rule ID 5001 //
     /* 1166367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1166387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1166390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1166397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1166420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1166437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166460 */     // GIR_Coverage, 5001,
     /* 1166460 */     GIR_EraseRootFromParent_Done,
     /* 1166461 */   // Label 16681: @1166461
     /* 1166461 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1166560), // Rule ID 5002 //
     /* 1166466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1166489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1166496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166519 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1166519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1166536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166559 */     // GIR_Coverage, 5002,
     /* 1166559 */     GIR_EraseRootFromParent_Done,
     /* 1166560 */   // Label 16682: @1166560
     /* 1166560 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1166659), // Rule ID 5003 //
     /* 1166565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1166585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1166588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1166595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166618 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1166618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1166635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166658 */     // GIR_Coverage, 5003,
     /* 1166658 */     GIR_EraseRootFromParent_Done,
     /* 1166659 */   // Label 16683: @1166659
     /* 1166659 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1166758), // Rule ID 5004 //
     /* 1166664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1166687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1166694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166717 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1166717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1166734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166757 */     // GIR_Coverage, 5004,
     /* 1166757 */     GIR_EraseRootFromParent_Done,
     /* 1166758 */   // Label 16684: @1166758
     /* 1166758 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1166857), // Rule ID 5005 //
     /* 1166763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1166774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1166777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1166780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1166783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1166786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1166793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1166816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166820 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1166833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166841 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166856 */     // GIR_Coverage, 5005,
     /* 1166856 */     GIR_EraseRootFromParent_Done,
     /* 1166857 */   // Label 16685: @1166857
     /* 1166857 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1166956), // Rule ID 5006 //
     /* 1166862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1166865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1166882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1166892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1166908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166915 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1166915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1166919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1166925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1166929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1166932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1166946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1166954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166955 */     // GIR_Coverage, 5006,
     /* 1166955 */     GIR_EraseRootFromParent_Done,
     /* 1166956 */   // Label 16686: @1166956
     /* 1166956 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1167055), // Rule ID 5007 //
     /* 1166961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1166964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1166969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1166972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1166975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1166978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1166981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1166984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1166991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167014 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1167014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1167031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167054 */     // GIR_Coverage, 5007,
     /* 1167054 */     GIR_EraseRootFromParent_Done,
     /* 1167055 */   // Label 16687: @1167055
     /* 1167055 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1167154), // Rule ID 5008 //
     /* 1167060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1167063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1167083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1167090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1167113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1167130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167153 */     // GIR_Coverage, 5008,
     /* 1167153 */     GIR_EraseRootFromParent_Done,
     /* 1167154 */   // Label 16688: @1167154
     /* 1167154 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1167253), // Rule ID 5009 //
     /* 1167159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1167162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1167182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1167189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1167212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167216 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1167229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167252 */     // GIR_Coverage, 5009,
     /* 1167252 */     GIR_EraseRootFromParent_Done,
     /* 1167253 */   // Label 16689: @1167253
     /* 1167253 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1167352), // Rule ID 5010 //
     /* 1167258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167311 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1167328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167336 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167351 */     // GIR_Coverage, 5010,
     /* 1167351 */     GIR_EraseRootFromParent_Done,
     /* 1167352 */   // Label 16690: @1167352
     /* 1167352 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1167451), // Rule ID 5011 //
     /* 1167357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1167368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1167371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1167374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167410 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1167427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167450 */     // GIR_Coverage, 5011,
     /* 1167450 */     GIR_EraseRootFromParent_Done,
     /* 1167451 */   // Label 16691: @1167451
     /* 1167451 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1167550), // Rule ID 5012 //
     /* 1167456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1167479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167509 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1167526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167549 */     // GIR_Coverage, 5012,
     /* 1167549 */     GIR_EraseRootFromParent_Done,
     /* 1167550 */   // Label 16692: @1167550
     /* 1167550 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1167649), // Rule ID 5013 //
     /* 1167555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1167566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1167569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1167572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1167578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167608 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1167625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167648 */     // GIR_Coverage, 5013,
     /* 1167648 */     GIR_EraseRootFromParent_Done,
     /* 1167649 */   // Label 16693: @1167649
     /* 1167649 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1167748), // Rule ID 5014 //
     /* 1167654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1167677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167707 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1167707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1167724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167747 */     // GIR_Coverage, 5014,
     /* 1167747 */     GIR_EraseRootFromParent_Done,
     /* 1167748 */   // Label 16694: @1167748
     /* 1167748 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1167847), // Rule ID 5015 //
     /* 1167753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1167764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1167767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1167770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1167776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167806 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1167806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167810 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1167823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1167845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167846 */     // GIR_Coverage, 5015,
     /* 1167846 */     GIR_EraseRootFromParent_Done,
     /* 1167847 */   // Label 16695: @1167847
     /* 1167847 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1167946), // Rule ID 5016 //
     /* 1167852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1167855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167905 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1167905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1167909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1167915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1167919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1167922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1167936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1167944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167945 */     // GIR_Coverage, 5016,
     /* 1167945 */     GIR_EraseRootFromParent_Done,
     /* 1167946 */   // Label 16696: @1167946
     /* 1167946 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1168045), // Rule ID 5017 //
     /* 1167951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1167954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1167959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1167962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1167965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1167968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1167974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1167981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1167997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1168004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1168021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168044 */     // GIR_Coverage, 5017,
     /* 1168044 */     GIR_EraseRootFromParent_Done,
     /* 1168045 */   // Label 16697: @1168045
     /* 1168045 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1168144), // Rule ID 5018 //
     /* 1168050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1168103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1168120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168143 */     // GIR_Coverage, 5018,
     /* 1168143 */     GIR_EraseRootFromParent_Done,
     /* 1168144 */   // Label 16698: @1168144
     /* 1168144 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1168243), // Rule ID 5019 //
     /* 1168149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1168160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1168163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1168166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1168202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168206 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1168219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168227 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168242 */     // GIR_Coverage, 5019,
     /* 1168242 */     GIR_EraseRootFromParent_Done,
     /* 1168243 */   // Label 16699: @1168243
     /* 1168243 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1168342), // Rule ID 5020 //
     /* 1168248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1168271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168301 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1168301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1168318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168341 */     // GIR_Coverage, 5020,
     /* 1168341 */     GIR_EraseRootFromParent_Done,
     /* 1168342 */   // Label 16700: @1168342
     /* 1168342 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1168441), // Rule ID 5021 //
     /* 1168347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1168358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1168361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1168364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1168370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1168400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1168417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168440 */     // GIR_Coverage, 5021,
     /* 1168440 */     GIR_EraseRootFromParent_Done,
     /* 1168441 */   // Label 16701: @1168441
     /* 1168441 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1168540), // Rule ID 5022 //
     /* 1168446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1168469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1168499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1168516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168539 */     // GIR_Coverage, 5022,
     /* 1168539 */     GIR_EraseRootFromParent_Done,
     /* 1168540 */   // Label 16702: @1168540
     /* 1168540 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1168639), // Rule ID 5023 //
     /* 1168545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1168556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1168559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1168562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1168568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10776:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1168598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1168615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168638 */     // GIR_Coverage, 5023,
     /* 1168638 */     GIR_EraseRootFromParent_Done,
     /* 1168639 */   // Label 16703: @1168639
     /* 1168639 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1168738), // Rule ID 5024 //
     /* 1168644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1168697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168701 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1168714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168722 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168737 */     // GIR_Coverage, 5024,
     /* 1168737 */     GIR_EraseRootFromParent_Done,
     /* 1168738 */   // Label 16704: @1168738
     /* 1168738 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1168837), // Rule ID 5025 //
     /* 1168743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1168754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1168757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1168760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1168766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10776:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1168796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168800 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1168813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168821 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168836 */     // GIR_Coverage, 5025,
     /* 1168836 */     GIR_EraseRootFromParent_Done,
     /* 1168837 */   // Label 16705: @1168837
     /* 1168837 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1168936), // Rule ID 5026 //
     /* 1168842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168895 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1168895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1168905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1168909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1168912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1168926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1168934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168935 */     // GIR_Coverage, 5026,
     /* 1168935 */     GIR_EraseRootFromParent_Done,
     /* 1168936 */   // Label 16706: @1168936
     /* 1168936 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1169035), // Rule ID 5027 //
     /* 1168941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1168949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1168952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1168955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1168958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1168964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1168971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1168987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10776:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1168994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1168998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1169011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169034 */     // GIR_Coverage, 5027,
     /* 1169034 */     GIR_EraseRootFromParent_Done,
     /* 1169035 */   // Label 16707: @1169035
     /* 1169035 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1169134), // Rule ID 5028 //
     /* 1169040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1169070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1169093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1169110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169133 */     // GIR_Coverage, 5028,
     /* 1169133 */     GIR_EraseRootFromParent_Done,
     /* 1169134 */   // Label 16708: @1169134
     /* 1169134 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1169233), // Rule ID 5029 //
     /* 1169139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1169162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1169169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169192 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10776:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1169192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169196 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1169209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169217 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169232 */     // GIR_Coverage, 5029,
     /* 1169232 */     GIR_EraseRootFromParent_Done,
     /* 1169233 */   // Label 16709: @1169233
     /* 1169233 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1169332), // Rule ID 5030 //
     /* 1169238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1169249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1169252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1169255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1169261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1169268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1169308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169331 */     // GIR_Coverage, 5030,
     /* 1169331 */     GIR_EraseRootFromParent_Done,
     /* 1169332 */   // Label 16710: @1169332
     /* 1169332 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1169431), // Rule ID 5031 //
     /* 1169337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1169348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1169351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1169354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1169360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1169367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169390 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1169407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169430 */     // GIR_Coverage, 5031,
     /* 1169430 */     GIR_EraseRootFromParent_Done,
     /* 1169431 */   // Label 16711: @1169431
     /* 1169431 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1169530), // Rule ID 5032 //
     /* 1169436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1169459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1169466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1169506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169529 */     // GIR_Coverage, 5032,
     /* 1169529 */     GIR_EraseRootFromParent_Done,
     /* 1169530 */   // Label 16712: @1169530
     /* 1169530 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1169629), // Rule ID 5033 //
     /* 1169535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1169546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1169549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1169552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1169558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1169565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1169573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169588 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1169605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169628 */     // GIR_Coverage, 5033,
     /* 1169628 */     GIR_EraseRootFromParent_Done,
     /* 1169629 */   // Label 16713: @1169629
     /* 1169629 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1169728), // Rule ID 5034 //
     /* 1169634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1169657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1169664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1169687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1169704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169727 */     // GIR_Coverage, 5034,
     /* 1169727 */     GIR_EraseRootFromParent_Done,
     /* 1169728 */   // Label 16714: @1169728
     /* 1169728 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1169827), // Rule ID 5035 //
     /* 1169733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1169744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1169747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1169750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1169756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1169763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1169771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169786 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1169786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1169803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169826 */     // GIR_Coverage, 5035,
     /* 1169826 */     GIR_EraseRootFromParent_Done,
     /* 1169827 */   // Label 16715: @1169827
     /* 1169827 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1169926), // Rule ID 5036 //
     /* 1169832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1169852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1169855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1169862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169885 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1169885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1169902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1169916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169925 */     // GIR_Coverage, 5036,
     /* 1169925 */     GIR_EraseRootFromParent_Done,
     /* 1169926 */   // Label 16716: @1169926
     /* 1169926 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1170025), // Rule ID 5037 //
     /* 1169931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1169939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1169942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1169945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1169948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1169951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1169954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1169961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1169969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1169973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1169977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1169984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1169988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1169994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1169998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1170001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170024 */     // GIR_Coverage, 5037,
     /* 1170024 */     GIR_EraseRootFromParent_Done,
     /* 1170025 */   // Label 16717: @1170025
     /* 1170025 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1170124), // Rule ID 5038 //
     /* 1170030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1170060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1170083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1170100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170123 */     // GIR_Coverage, 5038,
     /* 1170123 */     GIR_EraseRootFromParent_Done,
     /* 1170124 */   // Label 16718: @1170124
     /* 1170124 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1170223), // Rule ID 5039 //
     /* 1170129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1170159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170182 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1170182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170186 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1170199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170222 */     // GIR_Coverage, 5039,
     /* 1170222 */     GIR_EraseRootFromParent_Done,
     /* 1170223 */   // Label 16719: @1170223
     /* 1170223 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1170322), // Rule ID 5040 //
     /* 1170228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1170251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1170258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170281 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1170281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1170298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170321 */     // GIR_Coverage, 5040,
     /* 1170321 */     GIR_EraseRootFromParent_Done,
     /* 1170322 */   // Label 16720: @1170322
     /* 1170322 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1170421), // Rule ID 5041 //
     /* 1170327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1170350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1170357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170380 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1170380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1170397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170420 */     // GIR_Coverage, 5041,
     /* 1170420 */     GIR_EraseRootFromParent_Done,
     /* 1170421 */   // Label 16721: @1170421
     /* 1170421 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1170520), // Rule ID 5042 //
     /* 1170426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1170449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1170456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170479 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1170479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1170496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170519 */     // GIR_Coverage, 5042,
     /* 1170519 */     GIR_EraseRootFromParent_Done,
     /* 1170520 */   // Label 16722: @1170520
     /* 1170520 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1170619), // Rule ID 5043 //
     /* 1170525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1170548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1170555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1170578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170582 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1170595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170618 */     // GIR_Coverage, 5043,
     /* 1170618 */     GIR_EraseRootFromParent_Done,
     /* 1170619 */   // Label 16723: @1170619
     /* 1170619 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1170718), // Rule ID 5044 //
     /* 1170624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1170647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1170654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170677 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1170677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170681 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1170694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170717 */     // GIR_Coverage, 5044,
     /* 1170717 */     GIR_EraseRootFromParent_Done,
     /* 1170718 */   // Label 16724: @1170718
     /* 1170718 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1170817), // Rule ID 5045 //
     /* 1170723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1170734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1170737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1170740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1170746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1170753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1170776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170780 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1170793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170816 */     // GIR_Coverage, 5045,
     /* 1170816 */     GIR_EraseRootFromParent_Done,
     /* 1170817 */   // Label 16725: @1170817
     /* 1170817 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1170916), // Rule ID 5046 //
     /* 1170822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1170842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1170852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1170875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1170892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1170906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1170914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170915 */     // GIR_Coverage, 5046,
     /* 1170915 */     GIR_EraseRootFromParent_Done,
     /* 1170916 */   // Label 16726: @1170916
     /* 1170916 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1171015), // Rule ID 5047 //
     /* 1170921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1170929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1170932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1170935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1170938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1170941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1170944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1170951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1170963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1170967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1170974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1170978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1170984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1170988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1170991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171014 */     // GIR_Coverage, 5047,
     /* 1171014 */     GIR_EraseRootFromParent_Done,
     /* 1171015 */   // Label 16727: @1171015
     /* 1171015 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1171114), // Rule ID 5048 //
     /* 1171020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1171043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1171050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171073 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1171073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1171090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171113 */     // GIR_Coverage, 5048,
     /* 1171113 */     GIR_EraseRootFromParent_Done,
     /* 1171114 */   // Label 16728: @1171114
     /* 1171114 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1171213), // Rule ID 5049 //
     /* 1171119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1171142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1171149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10776:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1171172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171176 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1171189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171212 */     // GIR_Coverage, 5049,
     /* 1171212 */     GIR_EraseRootFromParent_Done,
     /* 1171213 */   // Label 16729: @1171213
     /* 1171213 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1171312), // Rule ID 5050 //
     /* 1171218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1171241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1171248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171271 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1171271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1171288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171311 */     // GIR_Coverage, 5050,
     /* 1171311 */     GIR_EraseRootFromParent_Done,
     /* 1171312 */   // Label 16730: @1171312
     /* 1171312 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1171411), // Rule ID 5051 //
     /* 1171317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1171340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1171347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10776:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1171370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1171387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171410 */     // GIR_Coverage, 5051,
     /* 1171410 */     GIR_EraseRootFromParent_Done,
     /* 1171411 */   // Label 16731: @1171411
     /* 1171411 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1171510), // Rule ID 5052 //
     /* 1171416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1171439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1171446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1171469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1171486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171509 */     // GIR_Coverage, 5052,
     /* 1171509 */     GIR_EraseRootFromParent_Done,
     /* 1171510 */   // Label 16732: @1171510
     /* 1171510 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1171609), // Rule ID 5053 //
     /* 1171515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1171523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1171535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1171538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1171545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171568 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10776:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1171568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1171585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171608 */     // GIR_Coverage, 5053,
     /* 1171608 */     GIR_EraseRootFromParent_Done,
     /* 1171609 */   // Label 16733: @1171609
     /* 1171609 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1171708), // Rule ID 5358 //
     /* 1171614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1171622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1171631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1171637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1171644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171667 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1171667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1171684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171707 */     // GIR_Coverage, 5358,
     /* 1171707 */     GIR_EraseRootFromParent_Done,
     /* 1171708 */   // Label 16734: @1171708
     /* 1171708 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1171807), // Rule ID 5359 //
     /* 1171713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1171721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1171730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1171733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1171736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1171743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171766 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1171766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171770 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171776 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1171783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171806 */     // GIR_Coverage, 5359,
     /* 1171806 */     GIR_EraseRootFromParent_Done,
     /* 1171807 */   // Label 16735: @1171807
     /* 1171807 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1171906), // Rule ID 5360 //
     /* 1171812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1171820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1171823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1171826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1171829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1171832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1171835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1171842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171865 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1171865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1171882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171905 */     // GIR_Coverage, 5360,
     /* 1171905 */     GIR_EraseRootFromParent_Done,
     /* 1171906 */   // Label 16736: @1171906
     /* 1171906 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1172005), // Rule ID 5361 //
     /* 1171911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1171919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1171922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1171925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1171928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1171931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1171934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1171941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1171957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171964 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1171964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1171968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1171974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1171978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1171981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1171995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172004 */     // GIR_Coverage, 5361,
     /* 1172004 */     GIR_EraseRootFromParent_Done,
     /* 1172005 */   // Label 16737: @1172005
     /* 1172005 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1172104), // Rule ID 5362 //
     /* 1172010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1172027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1172033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172063 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1172063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172103 */     // GIR_Coverage, 5362,
     /* 1172103 */     GIR_EraseRootFromParent_Done,
     /* 1172104 */   // Label 16738: @1172104
     /* 1172104 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1172203), // Rule ID 5363 //
     /* 1172109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1172126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1172129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1172132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172162 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1172162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172166 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172187 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172202 */     // GIR_Coverage, 5363,
     /* 1172202 */     GIR_EraseRootFromParent_Done,
     /* 1172203 */   // Label 16739: @1172203
     /* 1172203 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1172302), // Rule ID 5364 //
     /* 1172208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1172228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172261 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1172261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1172278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172286 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172301 */     // GIR_Coverage, 5364,
     /* 1172301 */     GIR_EraseRootFromParent_Done,
     /* 1172302 */   // Label 16740: @1172302
     /* 1172302 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1172401), // Rule ID 5365 //
     /* 1172307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1172327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1172360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1172377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172400 */     // GIR_Coverage, 5365,
     /* 1172400 */     GIR_EraseRootFromParent_Done,
     /* 1172401 */   // Label 16741: @1172401
     /* 1172401 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1172500), // Rule ID 5366 //
     /* 1172406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1172417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1172420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1172426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1172429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1172459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172499 */     // GIR_Coverage, 5366,
     /* 1172499 */     GIR_EraseRootFromParent_Done,
     /* 1172500 */   // Label 16742: @1172500
     /* 1172500 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1172599), // Rule ID 5367 //
     /* 1172505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1172516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1172519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1172525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1172528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1172558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172598 */     // GIR_Coverage, 5367,
     /* 1172598 */     GIR_EraseRootFromParent_Done,
     /* 1172599 */   // Label 16743: @1172599
     /* 1172599 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1172698), // Rule ID 5368 //
     /* 1172604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1172624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1172657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172697 */     // GIR_Coverage, 5368,
     /* 1172697 */     GIR_EraseRootFromParent_Done,
     /* 1172698 */   // Label 16744: @1172698
     /* 1172698 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1172797), // Rule ID 5369 //
     /* 1172703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1172723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1172726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172756 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1172756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172760 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1172773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172796 */     // GIR_Coverage, 5369,
     /* 1172796 */     GIR_EraseRootFromParent_Done,
     /* 1172797 */   // Label 16745: @1172797
     /* 1172797 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1172896), // Rule ID 5370 //
     /* 1172802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1172825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1172855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1172872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172895 */     // GIR_Coverage, 5370,
     /* 1172895 */     GIR_EraseRootFromParent_Done,
     /* 1172896 */   // Label 16746: @1172896
     /* 1172896 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1172995), // Rule ID 5371 //
     /* 1172901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1172909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1172921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1172924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1172931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1172947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172954 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1172954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1172958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1172964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1172968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1172971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1172985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172994 */     // GIR_Coverage, 5371,
     /* 1172994 */     GIR_EraseRootFromParent_Done,
     /* 1172995 */   // Label 16747: @1172995
     /* 1172995 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1173094), // Rule ID 5372 //
     /* 1173000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1173053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173093 */     // GIR_Coverage, 5372,
     /* 1173093 */     GIR_EraseRootFromParent_Done,
     /* 1173094 */   // Label 16748: @1173094
     /* 1173094 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1173193), // Rule ID 5373 //
     /* 1173099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1173119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1173122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173152 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1173152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173156 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173192 */     // GIR_Coverage, 5373,
     /* 1173192 */     GIR_EraseRootFromParent_Done,
     /* 1173193 */   // Label 16749: @1173193
     /* 1173193 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1173292), // Rule ID 5374 //
     /* 1173198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1173218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1173221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1173251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173291 */     // GIR_Coverage, 5374,
     /* 1173291 */     GIR_EraseRootFromParent_Done,
     /* 1173292 */   // Label 16750: @1173292
     /* 1173292 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1173391), // Rule ID 5375 //
     /* 1173297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1173317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1173320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1173350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173390 */     // GIR_Coverage, 5375,
     /* 1173390 */     GIR_EraseRootFromParent_Done,
     /* 1173391 */   // Label 16751: @1173391
     /* 1173391 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1173490), // Rule ID 5376 //
     /* 1173396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1173407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1173410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1173416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173449 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1173449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173489 */     // GIR_Coverage, 5376,
     /* 1173489 */     GIR_EraseRootFromParent_Done,
     /* 1173490 */   // Label 16752: @1173490
     /* 1173490 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1173589), // Rule ID 5377 //
     /* 1173495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1173506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1173509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1173515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1173518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1173525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173548 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1173548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173552 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1173565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173588 */     // GIR_Coverage, 5377,
     /* 1173588 */     GIR_EraseRootFromParent_Done,
     /* 1173589 */   // Label 16753: @1173589
     /* 1173589 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1173688), // Rule ID 5378 //
     /* 1173594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1173611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1173617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1173624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1173647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1173664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173687 */     // GIR_Coverage, 5378,
     /* 1173687 */     GIR_EraseRootFromParent_Done,
     /* 1173688 */   // Label 16754: @1173688
     /* 1173688 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1173787), // Rule ID 5379 //
     /* 1173693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1173710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1173713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1173716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1173723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1173746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1173763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173786 */     // GIR_Coverage, 5379,
     /* 1173786 */     GIR_EraseRootFromParent_Done,
     /* 1173787 */   // Label 16755: @1173787
     /* 1173787 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1173886), // Rule ID 5380 //
     /* 1173792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1173815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1173822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173845 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1173845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1173862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173885 */     // GIR_Coverage, 5380,
     /* 1173885 */     GIR_EraseRootFromParent_Done,
     /* 1173886 */   // Label 16756: @1173886
     /* 1173886 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1173985), // Rule ID 5381 //
     /* 1173891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1173911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1173914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1173921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1173937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173944 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1173944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1173948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1173954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1173958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1173961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1173975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173984 */     // GIR_Coverage, 5381,
     /* 1173984 */     GIR_EraseRootFromParent_Done,
     /* 1173985 */   // Label 16757: @1173985
     /* 1173985 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1174084), // Rule ID 5382 //
     /* 1173990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1173998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1174001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1174004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1174007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1174010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1174013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1174020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174043 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1174043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1174060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174083 */     // GIR_Coverage, 5382,
     /* 1174083 */     GIR_EraseRootFromParent_Done,
     /* 1174084 */   // Label 16758: @1174084
     /* 1174084 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1174183), // Rule ID 5383 //
     /* 1174089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1174100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1174103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1174106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1174109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1174112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1174119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174142 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1174142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174146 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174152 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1174159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174167 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1174181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174182 */     // GIR_Coverage, 5383,
     /* 1174182 */     GIR_EraseRootFromParent_Done,
     /* 1174183 */   // Label 16759: @1174183
     /* 1174183 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1174282), // Rule ID 5384 //
     /* 1174188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1174211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1174218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174241 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1174241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1174258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174281 */     // GIR_Coverage, 5384,
     /* 1174281 */     GIR_EraseRootFromParent_Done,
     /* 1174282 */   // Label 16760: @1174282
     /* 1174282 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1174381), // Rule ID 5385 //
     /* 1174287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1174307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1174310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1174317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1174340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1174357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174380 */     // GIR_Coverage, 5385,
     /* 1174380 */     GIR_EraseRootFromParent_Done,
     /* 1174381 */   // Label 16761: @1174381
     /* 1174381 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1174480), // Rule ID 5386 //
     /* 1174386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1174409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1174416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174439 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1174439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1174456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174479 */     // GIR_Coverage, 5386,
     /* 1174479 */     GIR_EraseRootFromParent_Done,
     /* 1174480 */   // Label 16762: @1174480
     /* 1174480 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1174579), // Rule ID 5387 //
     /* 1174485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1174505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1174508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1174515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1174538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1174555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174578 */     // GIR_Coverage, 5387,
     /* 1174578 */     GIR_EraseRootFromParent_Done,
     /* 1174579 */   // Label 16763: @1174579
     /* 1174579 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1174678), // Rule ID 5388 //
     /* 1174584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1174595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1174598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1174604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1174607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1174614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174637 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1174637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1174654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174677 */     // GIR_Coverage, 5388,
     /* 1174677 */     GIR_EraseRootFromParent_Done,
     /* 1174678 */   // Label 16764: @1174678
     /* 1174678 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1174777), // Rule ID 5389 //
     /* 1174683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1174694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1174697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1174703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1174706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1174713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1174736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1174753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174776 */     // GIR_Coverage, 5389,
     /* 1174776 */     GIR_EraseRootFromParent_Done,
     /* 1174777 */   // Label 16765: @1174777
     /* 1174777 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1174876), // Rule ID 5390 //
     /* 1174782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1174805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1174812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1174835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1174852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174875 */     // GIR_Coverage, 5390,
     /* 1174875 */     GIR_EraseRootFromParent_Done,
     /* 1174876 */   // Label 16766: @1174876
     /* 1174876 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1174975), // Rule ID 5391 //
     /* 1174881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1174901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1174904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1174911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1174927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1174934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1174938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1174944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1174948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1174951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1174965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174974 */     // GIR_Coverage, 5391,
     /* 1174974 */     GIR_EraseRootFromParent_Done,
     /* 1174975 */   // Label 16767: @1174975
     /* 1174975 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1175074), // Rule ID 5392 //
     /* 1174980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1174988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1175010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1175033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1175050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175073 */     // GIR_Coverage, 5392,
     /* 1175073 */     GIR_EraseRootFromParent_Done,
     /* 1175074 */   // Label 16768: @1175074
     /* 1175074 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1175173), // Rule ID 5393 //
     /* 1175079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1175090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1175093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1175096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1175099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1175109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175132 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1175132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175136 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1175149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175172 */     // GIR_Coverage, 5393,
     /* 1175172 */     GIR_EraseRootFromParent_Done,
     /* 1175173 */   // Label 16769: @1175173
     /* 1175173 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1175272), // Rule ID 5394 //
     /* 1175178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1175189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1175192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1175198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1175208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175231 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1175231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1175248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175271 */     // GIR_Coverage, 5394,
     /* 1175271 */     GIR_EraseRootFromParent_Done,
     /* 1175272 */   // Label 16770: @1175272
     /* 1175272 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1175371), // Rule ID 5395 //
     /* 1175277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1175288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1175291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1175294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1175297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1175300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1175307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1175330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1175347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1175369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175370 */     // GIR_Coverage, 5395,
     /* 1175370 */     GIR_EraseRootFromParent_Done,
     /* 1175371 */   // Label 16771: @1175371
     /* 1175371 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1175470), // Rule ID 5396 //
     /* 1175376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1175387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1175390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1175396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1175399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1175406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175429 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1175429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1175446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175469 */     // GIR_Coverage, 5396,
     /* 1175469 */     GIR_EraseRootFromParent_Done,
     /* 1175470 */   // Label 16772: @1175470
     /* 1175470 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1175569), // Rule ID 5397 //
     /* 1175475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1175486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1175489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1175495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1175498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1175505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1175528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1175545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175568 */     // GIR_Coverage, 5397,
     /* 1175568 */     GIR_EraseRootFromParent_Done,
     /* 1175569 */   // Label 16773: @1175569
     /* 1175569 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1175668), // Rule ID 5398 //
     /* 1175574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1175585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1175588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1175594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1175597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1175604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175627 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1175627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1175644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175667 */     // GIR_Coverage, 5398,
     /* 1175667 */     GIR_EraseRootFromParent_Done,
     /* 1175668 */   // Label 16774: @1175668
     /* 1175668 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1175767), // Rule ID 5399 //
     /* 1175673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1175684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1175687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1175693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1175696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1175703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1175726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175730 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1175743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175766 */     // GIR_Coverage, 5399,
     /* 1175766 */     GIR_EraseRootFromParent_Done,
     /* 1175767 */   // Label 16775: @1175767
     /* 1175767 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1175866), // Rule ID 5400 //
     /* 1175772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1175783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1175786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1175792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1175802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175825 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1175825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1175842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175865 */     // GIR_Coverage, 5400,
     /* 1175865 */     GIR_EraseRootFromParent_Done,
     /* 1175866 */   // Label 16776: @1175866
     /* 1175866 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1175965), // Rule ID 5401 //
     /* 1175871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1175882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1175885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1175891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1175894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1175901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1175917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175924 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1175924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1175928 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1175934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1175938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1175941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175949 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1175955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175964 */     // GIR_Coverage, 5401,
     /* 1175964 */     GIR_EraseRootFromParent_Done,
     /* 1175965 */   // Label 16777: @1175965
     /* 1175965 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1176064), // Rule ID 5402 //
     /* 1175970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1175978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1175987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1175993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176023 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1176040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176063 */     // GIR_Coverage, 5402,
     /* 1176063 */     GIR_EraseRootFromParent_Done,
     /* 1176064 */   // Label 16778: @1176064
     /* 1176064 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1176163), // Rule ID 5403 //
     /* 1176069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1176080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1176083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1176086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176126 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1176139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176162 */     // GIR_Coverage, 5403,
     /* 1176162 */     GIR_EraseRootFromParent_Done,
     /* 1176163 */   // Label 16779: @1176163
     /* 1176163 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1176262), // Rule ID 5404 //
     /* 1176168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1176185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176221 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1176238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176261 */     // GIR_Coverage, 5404,
     /* 1176261 */     GIR_EraseRootFromParent_Done,
     /* 1176262 */   // Label 16780: @1176262
     /* 1176262 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1176361), // Rule ID 5405 //
     /* 1176267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1176278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1176281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1176284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176320 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1176337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176360 */     // GIR_Coverage, 5405,
     /* 1176360 */     GIR_EraseRootFromParent_Done,
     /* 1176361 */   // Label 16781: @1176361
     /* 1176361 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1176460), // Rule ID 5406 //
     /* 1176366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1176383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176419 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1176419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1176436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176459 */     // GIR_Coverage, 5406,
     /* 1176459 */     GIR_EraseRootFromParent_Done,
     /* 1176460 */   // Label 16782: @1176460
     /* 1176460 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1176559), // Rule ID 5407 //
     /* 1176465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1176476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1176479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1176482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1176488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1176518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1176535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176558 */     // GIR_Coverage, 5407,
     /* 1176558 */     GIR_EraseRootFromParent_Done,
     /* 1176559 */   // Label 16783: @1176559
     /* 1176559 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1176658), // Rule ID 5408 //
     /* 1176564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1176617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176621 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1176634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176657 */     // GIR_Coverage, 5408,
     /* 1176657 */     GIR_EraseRootFromParent_Done,
     /* 1176658 */   // Label 16784: @1176658
     /* 1176658 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1176757), // Rule ID 5409 //
     /* 1176663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176716 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1176716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1176733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176756 */     // GIR_Coverage, 5409,
     /* 1176756 */     GIR_EraseRootFromParent_Done,
     /* 1176757 */   // Label 16785: @1176757
     /* 1176757 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1176856), // Rule ID 5410 //
     /* 1176762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176815 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1176815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1176832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176855 */     // GIR_Coverage, 5410,
     /* 1176855 */     GIR_EraseRootFromParent_Done,
     /* 1176856 */   // Label 16786: @1176856
     /* 1176856 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1176955), // Rule ID 5411 //
     /* 1176861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1176881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1176884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1176903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1176907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176914 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1176914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1176918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1176924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1176928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1176931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1176945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176954 */     // GIR_Coverage, 5411,
     /* 1176954 */     GIR_EraseRootFromParent_Done,
     /* 1176955 */   // Label 16787: @1176955
     /* 1176955 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1177054), // Rule ID 5412 //
     /* 1176960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1176968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1176980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1176983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1176990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177013 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1177013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1177030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177053 */     // GIR_Coverage, 5412,
     /* 1177053 */     GIR_EraseRootFromParent_Done,
     /* 1177054 */   // Label 16788: @1177054
     /* 1177054 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1177153), // Rule ID 5413 //
     /* 1177059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1177070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1177073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1177076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1177112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177116 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1177129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177137 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177152 */     // GIR_Coverage, 5413,
     /* 1177152 */     GIR_EraseRootFromParent_Done,
     /* 1177153 */   // Label 16789: @1177153
     /* 1177153 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1177252), // Rule ID 5414 //
     /* 1177158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1177169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1177172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1177175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1177181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1177211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177251 */     // GIR_Coverage, 5414,
     /* 1177251 */     GIR_EraseRootFromParent_Done,
     /* 1177252 */   // Label 16790: @1177252
     /* 1177252 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1177351), // Rule ID 5415 //
     /* 1177257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1177268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1177271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1177274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1177280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11169:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1177310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177350 */     // GIR_Coverage, 5415,
     /* 1177350 */     GIR_EraseRootFromParent_Done,
     /* 1177351 */   // Label 16791: @1177351
     /* 1177351 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1177450), // Rule ID 5416 //
     /* 1177356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1177379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177409 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1177409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177449 */     // GIR_Coverage, 5416,
     /* 1177449 */     GIR_EraseRootFromParent_Done,
     /* 1177450 */   // Label 16792: @1177450
     /* 1177450 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1177549), // Rule ID 5417 //
     /* 1177455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1177466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1177469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1177472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1177478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11169:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1177508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177512 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177518 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177548 */     // GIR_Coverage, 5417,
     /* 1177548 */     GIR_EraseRootFromParent_Done,
     /* 1177549 */   // Label 16793: @1177549
     /* 1177549 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1177648), // Rule ID 5418 //
     /* 1177554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1177577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177607 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1177607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177611 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177647 */     // GIR_Coverage, 5418,
     /* 1177647 */     GIR_EraseRootFromParent_Done,
     /* 1177648 */   // Label 16794: @1177648
     /* 1177648 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1177747), // Rule ID 5419 //
     /* 1177653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1177664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1177667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1177670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1177676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11169:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1177706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177710 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177731 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1177745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177746 */     // GIR_Coverage, 5419,
     /* 1177746 */     GIR_EraseRootFromParent_Done,
     /* 1177747 */   // Label 16795: @1177747
     /* 1177747 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1177846), // Rule ID 5420 //
     /* 1177752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1177755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1177763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1177766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177805 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1177805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177845 */     // GIR_Coverage, 5420,
     /* 1177845 */     GIR_EraseRootFromParent_Done,
     /* 1177846 */   // Label 16796: @1177846
     /* 1177846 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1177945), // Rule ID 5421 //
     /* 1177851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1177854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1177862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1177865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1177868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1177871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1177874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1177881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1177904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1177908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1177914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1177918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1177921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1177935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177944 */     // GIR_Coverage, 5421,
     /* 1177944 */     GIR_EraseRootFromParent_Done,
     /* 1177945 */   // Label 16797: @1177945
     /* 1177945 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1178044), // Rule ID 5422 //
     /* 1177950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1177958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1177961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1177964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1177967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1177970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1177973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1177980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1177992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1177996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1178003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1178020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178043 */     // GIR_Coverage, 5422,
     /* 1178043 */     GIR_EraseRootFromParent_Done,
     /* 1178044 */   // Label 16798: @1178044
     /* 1178044 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1178143), // Rule ID 5423 //
     /* 1178049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1178060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1178063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1178066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1178079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178106 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1178119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178127 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178142 */     // GIR_Coverage, 5423,
     /* 1178142 */     GIR_EraseRootFromParent_Done,
     /* 1178143 */   // Label 16799: @1178143
     /* 1178143 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1178242), // Rule ID 5424 //
     /* 1178148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1178165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1178178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178201 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1178201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1178218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178241 */     // GIR_Coverage, 5424,
     /* 1178241 */     GIR_EraseRootFromParent_Done,
     /* 1178242 */   // Label 16800: @1178242
     /* 1178242 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1178341), // Rule ID 5425 //
     /* 1178247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1178258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1178261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1178264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1178277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1178317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178340 */     // GIR_Coverage, 5425,
     /* 1178340 */     GIR_EraseRootFromParent_Done,
     /* 1178341 */   // Label 16801: @1178341
     /* 1178341 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1178440), // Rule ID 5426 //
     /* 1178346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1178357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1178360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1178363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1178369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1178376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178399 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1178399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1178416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178439 */     // GIR_Coverage, 5426,
     /* 1178439 */     GIR_EraseRootFromParent_Done,
     /* 1178440 */   // Label 16802: @1178440
     /* 1178440 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1178539), // Rule ID 5427 //
     /* 1178445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1178456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1178459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1178462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1178468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1178475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1178498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1178515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1178537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178538 */     // GIR_Coverage, 5427,
     /* 1178538 */     GIR_EraseRootFromParent_Done,
     /* 1178539 */   // Label 16803: @1178539
     /* 1178539 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1178638), // Rule ID 5428 //
     /* 1178544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1178567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1178574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1178614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178637 */     // GIR_Coverage, 5428,
     /* 1178637 */     GIR_EraseRootFromParent_Done,
     /* 1178638 */   // Label 16804: @1178638
     /* 1178638 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1178737), // Rule ID 5429 //
     /* 1178643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1178654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1178657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1178660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1178666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1178673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1178696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178700 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1178713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178736 */     // GIR_Coverage, 5429,
     /* 1178736 */     GIR_EraseRootFromParent_Done,
     /* 1178737 */   // Label 16805: @1178737
     /* 1178737 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1178836), // Rule ID 5430 //
     /* 1178742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1178772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178795 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1178812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178835 */     // GIR_Coverage, 5430,
     /* 1178835 */     GIR_EraseRootFromParent_Done,
     /* 1178836 */   // Label 16806: @1178836
     /* 1178836 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1178935), // Rule ID 5431 //
     /* 1178841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1178852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1178855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1178858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1178861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1178864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1178871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1178894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178898 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1178904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1178908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1178911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1178925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1178933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178934 */     // GIR_Coverage, 5431,
     /* 1178934 */     GIR_EraseRootFromParent_Done,
     /* 1178935 */   // Label 16807: @1178935
     /* 1178935 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1179034), // Rule ID 5432 //
     /* 1178940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1178948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1178951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1178954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1178957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1178963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1178970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1178982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1178986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1178993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1178997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1179010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179033 */     // GIR_Coverage, 5432,
     /* 1179033 */     GIR_EraseRootFromParent_Done,
     /* 1179034 */   // Label 16808: @1179034
     /* 1179034 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1179133), // Rule ID 5433 //
     /* 1179039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1179050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1179053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1179056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1179062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1179069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179092 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1179092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179096 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1179109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179132 */     // GIR_Coverage, 5433,
     /* 1179132 */     GIR_EraseRootFromParent_Done,
     /* 1179133 */   // Label 16809: @1179133
     /* 1179133 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1179232), // Rule ID 5434 //
     /* 1179138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1179168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179191 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1179191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1179208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179231 */     // GIR_Coverage, 5434,
     /* 1179231 */     GIR_EraseRootFromParent_Done,
     /* 1179232 */   // Label 16810: @1179232
     /* 1179232 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1179331), // Rule ID 5435 //
     /* 1179237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1179248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1179251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1179254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1179267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1179307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179330 */     // GIR_Coverage, 5435,
     /* 1179330 */     GIR_EraseRootFromParent_Done,
     /* 1179331 */   // Label 16811: @1179331
     /* 1179331 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1179430), // Rule ID 5436 //
     /* 1179336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1179347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1179350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1179366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179389 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1179389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1179406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179429 */     // GIR_Coverage, 5436,
     /* 1179429 */     GIR_EraseRootFromParent_Done,
     /* 1179430 */   // Label 16812: @1179430
     /* 1179430 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1179529), // Rule ID 5437 //
     /* 1179435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1179446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1179449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1179452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1179458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1179465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179488 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179492 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1179505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179528 */     // GIR_Coverage, 5437,
     /* 1179528 */     GIR_EraseRootFromParent_Done,
     /* 1179529 */   // Label 16813: @1179529
     /* 1179529 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1179628), // Rule ID 5438 //
     /* 1179534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1179545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1179548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1179557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1179564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1179587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1179604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179627 */     // GIR_Coverage, 5438,
     /* 1179627 */     GIR_EraseRootFromParent_Done,
     /* 1179628 */   // Label 16814: @1179628
     /* 1179628 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1179727), // Rule ID 5439 //
     /* 1179633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1179644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1179647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1179650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1179656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1179663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1179671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179686 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1179686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179690 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1179703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179726 */     // GIR_Coverage, 5439,
     /* 1179726 */     GIR_EraseRootFromParent_Done,
     /* 1179727 */   // Label 16815: @1179727
     /* 1179727 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1179826), // Rule ID 5440 //
     /* 1179732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1179735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1179743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1179746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1179755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1179762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179785 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1179785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1179802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179825 */     // GIR_Coverage, 5440,
     /* 1179825 */     GIR_EraseRootFromParent_Done,
     /* 1179826 */   // Label 16816: @1179826
     /* 1179826 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1179925), // Rule ID 5441 //
     /* 1179831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1179834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1179842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1179845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1179848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1179854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1179861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1179869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179884 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1179884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1179901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1179915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1179923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179924 */     // GIR_Coverage, 5441,
     /* 1179924 */     GIR_EraseRootFromParent_Done,
     /* 1179925 */   // Label 16817: @1179925
     /* 1179925 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1180024), // Rule ID 5442 //
     /* 1179930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1179933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1179938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1179941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1179944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1179947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1179953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1179960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1179968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1179976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179983 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1179983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1179987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1179993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1179997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1180000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180023 */     // GIR_Coverage, 5442,
     /* 1180023 */     GIR_EraseRootFromParent_Done,
     /* 1180024 */   // Label 16818: @1180024
     /* 1180024 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1180123), // Rule ID 5443 //
     /* 1180029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1180032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1180037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1180040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1180043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1180046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1180052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1180059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180082 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1180082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180086 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1180099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180122 */     // GIR_Coverage, 5443,
     /* 1180122 */     GIR_EraseRootFromParent_Done,
     /* 1180123 */   // Label 16819: @1180123
     /* 1180123 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1180222), // Rule ID 5444 //
     /* 1180128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1180131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1180136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1180139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1180142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1180151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1180158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180181 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1180181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1180198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180221 */     // GIR_Coverage, 5444,
     /* 1180221 */     GIR_EraseRootFromParent_Done,
     /* 1180222 */   // Label 16820: @1180222
     /* 1180222 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1180321), // Rule ID 5445 //
     /* 1180227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1180230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1180235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1180238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1180241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1180244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1180250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1180257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1180280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1180297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180320 */     // GIR_Coverage, 5445,
     /* 1180320 */     GIR_EraseRootFromParent_Done,
     /* 1180321 */   // Label 16821: @1180321
     /* 1180321 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1180420), // Rule ID 7656 //
     /* 1180326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1180343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1180346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180379 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1180379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1180396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180419 */     // GIR_Coverage, 7656,
     /* 1180419 */     GIR_EraseRootFromParent_Done,
     /* 1180420 */   // Label 16822: @1180420
     /* 1180420 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1180519), // Rule ID 7657 //
     /* 1180425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1180442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1180445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180478 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180482 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1180495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180518 */     // GIR_Coverage, 7657,
     /* 1180518 */     GIR_EraseRootFromParent_Done,
     /* 1180519 */   // Label 16823: @1180519
     /* 1180519 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1180618), // Rule ID 7660 //
     /* 1180524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1180535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1180538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1180541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1180544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1180547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1180577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1180594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180617 */     // GIR_Coverage, 7660,
     /* 1180617 */     GIR_EraseRootFromParent_Done,
     /* 1180618 */   // Label 16824: @1180618
     /* 1180618 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1180717), // Rule ID 7661 //
     /* 1180623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1180634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1180637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1180640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1180643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1180646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1180676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180680 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180686 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1180693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180701 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180716 */     // GIR_Coverage, 7661,
     /* 1180716 */     GIR_EraseRootFromParent_Done,
     /* 1180717 */   // Label 16825: @1180717
     /* 1180717 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1180816), // Rule ID 7664 //
     /* 1180722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1180742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1180775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1180792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180815 */     // GIR_Coverage, 7664,
     /* 1180815 */     GIR_EraseRootFromParent_Done,
     /* 1180816 */   // Label 16826: @1180816
     /* 1180816 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1180915), // Rule ID 7665 //
     /* 1180821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1180832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1180835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1180838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1180841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1180844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1180874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1180891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1180905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180914 */     // GIR_Coverage, 7665,
     /* 1180914 */     GIR_EraseRootFromParent_Done,
     /* 1180915 */   // Label 16827: @1180915
     /* 1180915 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1181014), // Rule ID 7668 //
     /* 1180920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1180928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1180931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1180934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1180937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1180940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1180943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1180966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180973 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1180973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1180977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1180983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1180987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1180990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181013 */     // GIR_Coverage, 7668,
     /* 1181013 */     GIR_EraseRootFromParent_Done,
     /* 1181014 */   // Label 16828: @1181014
     /* 1181014 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1181113), // Rule ID 7669 //
     /* 1181019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1181030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1181033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1181036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1181039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1181042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1181072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181076 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181082 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1181089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181112 */     // GIR_Coverage, 7669,
     /* 1181112 */     GIR_EraseRootFromParent_Done,
     /* 1181113 */   // Label 16829: @1181113
     /* 1181113 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1181212), // Rule ID 7672 //
     /* 1181118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1181129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1181132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1181138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1181141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181171 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1181171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1181188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181211 */     // GIR_Coverage, 7672,
     /* 1181211 */     GIR_EraseRootFromParent_Done,
     /* 1181212 */   // Label 16830: @1181212
     /* 1181212 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1181311), // Rule ID 7673 //
     /* 1181217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1181228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1181231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1181234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1181237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1181240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181270 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1181270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1181287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181310 */     // GIR_Coverage, 7673,
     /* 1181310 */     GIR_EraseRootFromParent_Done,
     /* 1181311 */   // Label 16831: @1181311
     /* 1181311 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1181410), // Rule ID 7676 //
     /* 1181316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1181327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1181330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1181333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1181336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1181339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181369 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1181369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181409 */     // GIR_Coverage, 7676,
     /* 1181409 */     GIR_EraseRootFromParent_Done,
     /* 1181410 */   // Label 16832: @1181410
     /* 1181410 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1181509), // Rule ID 7677 //
     /* 1181415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1181426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1181429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1181432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1181435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1181438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1181468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181508 */     // GIR_Coverage, 7677,
     /* 1181508 */     GIR_EraseRootFromParent_Done,
     /* 1181509 */   // Label 16833: @1181509
     /* 1181509 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1181608), // Rule ID 7680 //
     /* 1181514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1181525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1181528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1181534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1181537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181567 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1181567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181607 */     // GIR_Coverage, 7680,
     /* 1181607 */     GIR_EraseRootFromParent_Done,
     /* 1181608 */   // Label 16834: @1181608
     /* 1181608 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1181707), // Rule ID 7681 //
     /* 1181613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1181624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1181627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1181630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1181633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1181636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1181666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181706 */     // GIR_Coverage, 7681,
     /* 1181706 */     GIR_EraseRootFromParent_Done,
     /* 1181707 */   // Label 16835: @1181707
     /* 1181707 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1181806), // Rule ID 7684 //
     /* 1181712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1181723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1181726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1181732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1181735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181765 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1181765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181805 */     // GIR_Coverage, 7684,
     /* 1181805 */     GIR_EraseRootFromParent_Done,
     /* 1181806 */   // Label 16836: @1181806
     /* 1181806 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1181905), // Rule ID 7685 //
     /* 1181811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1181822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1181825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1181828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1181831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1181834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181864 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1181864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181904 */     // GIR_Coverage, 7685,
     /* 1181904 */     GIR_EraseRootFromParent_Done,
     /* 1181905 */   // Label 16837: @1181905
     /* 1181905 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1182004), // Rule ID 7688 //
     /* 1181910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1181913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1181918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1181921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1181924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1181927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1181930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1181933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1181952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1181956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181963 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1181963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1181967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1181973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1181977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1181980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1181994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182003 */     // GIR_Coverage, 7688,
     /* 1182003 */     GIR_EraseRootFromParent_Done,
     /* 1182004 */   // Label 16838: @1182004
     /* 1182004 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1182103), // Rule ID 7689 //
     /* 1182009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1182012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1182020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1182023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1182026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1182029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1182032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182062 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1182062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182066 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1182079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182102 */     // GIR_Coverage, 7689,
     /* 1182102 */     GIR_EraseRootFromParent_Done,
     /* 1182103 */   // Label 16839: @1182103
     /* 1182103 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1182202), // Rule ID 7692 //
     /* 1182108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1182125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1182128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182161 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1182161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1182178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182201 */     // GIR_Coverage, 7692,
     /* 1182201 */     GIR_EraseRootFromParent_Done,
     /* 1182202 */   // Label 16840: @1182202
     /* 1182202 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1182301), // Rule ID 7693 //
     /* 1182207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1182224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1182227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1182260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1182277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182300 */     // GIR_Coverage, 7693,
     /* 1182300 */     GIR_EraseRootFromParent_Done,
     /* 1182301 */   // Label 16841: @1182301
     /* 1182301 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1182400), // Rule ID 7696 //
     /* 1182306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1182317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1182320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1182323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1182326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1182329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182359 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1182359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1182376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182399 */     // GIR_Coverage, 7696,
     /* 1182399 */     GIR_EraseRootFromParent_Done,
     /* 1182400 */   // Label 16842: @1182400
     /* 1182400 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1182499), // Rule ID 7697 //
     /* 1182405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1182416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1182419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1182422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1182425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1182428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182458 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1182458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1182475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182498 */     // GIR_Coverage, 7697,
     /* 1182498 */     GIR_EraseRootFromParent_Done,
     /* 1182499 */   // Label 16843: @1182499
     /* 1182499 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1182598), // Rule ID 7700 //
     /* 1182504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1182515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1182518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1182521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1182524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1182527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182557 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1182557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182561 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1182574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182597 */     // GIR_Coverage, 7700,
     /* 1182597 */     GIR_EraseRootFromParent_Done,
     /* 1182598 */   // Label 16844: @1182598
     /* 1182598 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1182697), // Rule ID 7701 //
     /* 1182603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1182614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1182617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1182620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1182623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1182626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182656 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1182656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1182673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182696 */     // GIR_Coverage, 7701,
     /* 1182696 */     GIR_EraseRootFromParent_Done,
     /* 1182697 */   // Label 16845: @1182697
     /* 1182697 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1182796), // Rule ID 7704 //
     /* 1182702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1182713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1182716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182755 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1182755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1182772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182795 */     // GIR_Coverage, 7704,
     /* 1182795 */     GIR_EraseRootFromParent_Done,
     /* 1182796 */   // Label 16846: @1182796
     /* 1182796 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1182895), // Rule ID 7705 //
     /* 1182801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1182812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1182815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1182821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1182824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182854 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1182854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1182871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182894 */     // GIR_Coverage, 7705,
     /* 1182894 */     GIR_EraseRootFromParent_Done,
     /* 1182895 */   // Label 16847: @1182895
     /* 1182895 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1182994), // Rule ID 7708 //
     /* 1182900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1182908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1182911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1182914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1182917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1182920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1182923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1182946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1182953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1182957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1182963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1182967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1182970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1182984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1182992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182993 */     // GIR_Coverage, 7708,
     /* 1182993 */     GIR_EraseRootFromParent_Done,
     /* 1182994 */   // Label 16848: @1182994
     /* 1182994 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1183093), // Rule ID 7709 //
     /* 1182999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1183010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1183013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1183019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1183022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1183052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183056 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1183069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183077 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183092 */     // GIR_Coverage, 7709,
     /* 1183092 */     GIR_EraseRootFromParent_Done,
     /* 1183093 */   // Label 16849: @1183093
     /* 1183093 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1183192), // Rule ID 7712 //
     /* 1183098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1183109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1183112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1183121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183151 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1183151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1183168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183176 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183191 */     // GIR_Coverage, 7712,
     /* 1183191 */     GIR_EraseRootFromParent_Done,
     /* 1183192 */   // Label 16850: @1183192
     /* 1183192 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1183291), // Rule ID 7713 //
     /* 1183197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1183208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1183211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1183217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1183220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183250 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1183250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1183267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183290 */     // GIR_Coverage, 7713,
     /* 1183290 */     GIR_EraseRootFromParent_Done,
     /* 1183291 */   // Label 16851: @1183291
     /* 1183291 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1183390), // Rule ID 7716 //
     /* 1183296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1183349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1183366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183389 */     // GIR_Coverage, 7716,
     /* 1183389 */     GIR_EraseRootFromParent_Done,
     /* 1183390 */   // Label 16852: @1183390
     /* 1183390 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1183489), // Rule ID 7717 //
     /* 1183395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1183406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1183409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1183415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1183418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1183448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1183465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183488 */     // GIR_Coverage, 7717,
     /* 1183488 */     GIR_EraseRootFromParent_Done,
     /* 1183489 */   // Label 16853: @1183489
     /* 1183489 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1183588), // Rule ID 7720 //
     /* 1183494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1183505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1183508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1183517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183547 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1183547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1183564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183587 */     // GIR_Coverage, 7720,
     /* 1183587 */     GIR_EraseRootFromParent_Done,
     /* 1183588 */   // Label 16854: @1183588
     /* 1183588 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1183687), // Rule ID 7721 //
     /* 1183593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1183604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1183607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1183613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1183616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183646 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1183646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1183663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183686 */     // GIR_Coverage, 7721,
     /* 1183686 */     GIR_EraseRootFromParent_Done,
     /* 1183687 */   // Label 16855: @1183687
     /* 1183687 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1183786), // Rule ID 7724 //
     /* 1183692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1183703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1183706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1183715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183745 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1183745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1183762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183785 */     // GIR_Coverage, 7724,
     /* 1183785 */     GIR_EraseRootFromParent_Done,
     /* 1183786 */   // Label 16856: @1183786
     /* 1183786 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1183885), // Rule ID 7725 //
     /* 1183791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1183802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1183805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1183808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1183811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1183814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1183844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1183861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1183883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183884 */     // GIR_Coverage, 7725,
     /* 1183884 */     GIR_EraseRootFromParent_Done,
     /* 1183885 */   // Label 16857: @1183885
     /* 1183885 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1183984), // Rule ID 7728 //
     /* 1183890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1183893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1183901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1183904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1183907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1183910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1183913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1183936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183943 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1183943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1183947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1183953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1183957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1183960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1183974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1183982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183983 */     // GIR_Coverage, 7728,
     /* 1183983 */     GIR_EraseRootFromParent_Done,
     /* 1183984 */   // Label 16858: @1183984
     /* 1183984 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1184083), // Rule ID 7729 //
     /* 1183989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1183992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1183997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1184009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1184042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184046 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184052 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1184059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184082 */     // GIR_Coverage, 7729,
     /* 1184082 */     GIR_EraseRootFromParent_Done,
     /* 1184083 */   // Label 16859: @1184083
     /* 1184083 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1184182), // Rule ID 7732 //
     /* 1184088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1184091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1184108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1184111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184141 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1184141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1184158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184181 */     // GIR_Coverage, 7732,
     /* 1184181 */     GIR_EraseRootFromParent_Done,
     /* 1184182 */   // Label 16860: @1184182
     /* 1184182 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1184281), // Rule ID 7733 //
     /* 1184187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1184190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1184207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1184210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184240 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1184240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1184257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184280 */     // GIR_Coverage, 7733,
     /* 1184280 */     GIR_EraseRootFromParent_Done,
     /* 1184281 */   // Label 16861: @1184281
     /* 1184281 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1184380), // Rule ID 7736 //
     /* 1184286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1184289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1184297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1184300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1184309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184339 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1184339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1184356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184379 */     // GIR_Coverage, 7736,
     /* 1184379 */     GIR_EraseRootFromParent_Done,
     /* 1184380 */   // Label 16862: @1184380
     /* 1184380 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1184479), // Rule ID 7737 //
     /* 1184385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1184388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1184396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1184399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1184405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1184408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1184438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1184455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1184477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184478 */     // GIR_Coverage, 7737,
     /* 1184478 */     GIR_EraseRootFromParent_Done,
     /* 1184479 */   // Label 16863: @1184479
     /* 1184479 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1184578), // Rule ID 7740 //
     /* 1184484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1184501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184537 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1184537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1184554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184577 */     // GIR_Coverage, 7740,
     /* 1184577 */     GIR_EraseRootFromParent_Done,
     /* 1184578 */   // Label 16864: @1184578
     /* 1184578 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1184677), // Rule ID 7741 //
     /* 1184583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1184594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1184597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1184600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1184606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1184636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184640 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1184653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184661 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184676 */     // GIR_Coverage, 7741,
     /* 1184676 */     GIR_EraseRootFromParent_Done,
     /* 1184677 */   // Label 16865: @1184677
     /* 1184677 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1184776), // Rule ID 7744 //
     /* 1184682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1184699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184735 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1184735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1184752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184775 */     // GIR_Coverage, 7744,
     /* 1184775 */     GIR_EraseRootFromParent_Done,
     /* 1184776 */   // Label 16866: @1184776
     /* 1184776 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1184875), // Rule ID 7745 //
     /* 1184781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1184792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1184795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1184798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1184804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1184834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1184851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184874 */     // GIR_Coverage, 7745,
     /* 1184874 */     GIR_EraseRootFromParent_Done,
     /* 1184875 */   // Label 16867: @1184875
     /* 1184875 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1184974), // Rule ID 7748 //
     /* 1184880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1184897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1184903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1184922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1184926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1184933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1184937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1184943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1184947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1184950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1184964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1184972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184973 */     // GIR_Coverage, 7748,
     /* 1184973 */     GIR_EraseRootFromParent_Done,
     /* 1184974 */   // Label 16868: @1184974
     /* 1184974 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1185073), // Rule ID 7749 //
     /* 1184979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1184987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1184990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1184993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1184996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1184999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1185002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1185032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185036 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1185049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185072 */     // GIR_Coverage, 7749,
     /* 1185072 */     GIR_EraseRootFromParent_Done,
     /* 1185073 */   // Label 16869: @1185073
     /* 1185073 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1185172), // Rule ID 7752 //
     /* 1185078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1185089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1185092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1185101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185131 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1185148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185171 */     // GIR_Coverage, 7752,
     /* 1185171 */     GIR_EraseRootFromParent_Done,
     /* 1185172 */   // Label 16870: @1185172
     /* 1185172 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1185271), // Rule ID 7753 //
     /* 1185177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1185188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1185191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1185200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185230 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1185230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1185247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185270 */     // GIR_Coverage, 7753,
     /* 1185270 */     GIR_EraseRootFromParent_Done,
     /* 1185271 */   // Label 16871: @1185271
     /* 1185271 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1185370), // Rule ID 7756 //
     /* 1185276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1185287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1185290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1185299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1185346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185369 */     // GIR_Coverage, 7756,
     /* 1185369 */     GIR_EraseRootFromParent_Done,
     /* 1185370 */   // Label 16872: @1185370
     /* 1185370 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1185469), // Rule ID 7757 //
     /* 1185375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1185386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1185389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1185398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1185428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1185445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185468 */     // GIR_Coverage, 7757,
     /* 1185468 */     GIR_EraseRootFromParent_Done,
     /* 1185469 */   // Label 16873: @1185469
     /* 1185469 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1185568), // Rule ID 7760 //
     /* 1185474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1185485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1185488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1185497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185527 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1185527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1185544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185567 */     // GIR_Coverage, 7760,
     /* 1185567 */     GIR_EraseRootFromParent_Done,
     /* 1185568 */   // Label 16874: @1185568
     /* 1185568 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1185667), // Rule ID 7761 //
     /* 1185573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1185584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1185587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1185596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1185626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185630 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1185643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185651 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1185665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185666 */     // GIR_Coverage, 7761,
     /* 1185666 */     GIR_EraseRootFromParent_Done,
     /* 1185667 */   // Label 16875: @1185667
     /* 1185667 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1185766), // Rule ID 7764 //
     /* 1185672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1185683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1185686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1185689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1185695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1185725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1185742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185765 */     // GIR_Coverage, 7764,
     /* 1185765 */     GIR_EraseRootFromParent_Done,
     /* 1185766 */   // Label 16876: @1185766
     /* 1185766 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1185865), // Rule ID 7765 //
     /* 1185771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1185782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1185785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1185788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1185794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1185824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1185841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185864 */     // GIR_Coverage, 7765,
     /* 1185864 */     GIR_EraseRootFromParent_Done,
     /* 1185865 */   // Label 16877: @1185865
     /* 1185865 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1185964), // Rule ID 7768 //
     /* 1185870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1185881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1185884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1185893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1185916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1185923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1185927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1185933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1185937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1185940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1185954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1185962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185963 */     // GIR_Coverage, 7768,
     /* 1185963 */     GIR_EraseRootFromParent_Done,
     /* 1185964 */   // Label 16878: @1185964
     /* 1185964 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1186063), // Rule ID 7769 //
     /* 1185969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1185977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1185980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1185983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1185992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1186022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186026 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1186039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186062 */     // GIR_Coverage, 7769,
     /* 1186062 */     GIR_EraseRootFromParent_Done,
     /* 1186063 */   // Label 16879: @1186063
     /* 1186063 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1186162), // Rule ID 7772 //
     /* 1186068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1186079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1186082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1186091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186121 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1186121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1186138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186161 */     // GIR_Coverage, 7772,
     /* 1186161 */     GIR_EraseRootFromParent_Done,
     /* 1186162 */   // Label 16880: @1186162
     /* 1186162 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1186261), // Rule ID 7773 //
     /* 1186167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1186178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1186181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1186190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1186220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1186237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186260 */     // GIR_Coverage, 7773,
     /* 1186260 */     GIR_EraseRootFromParent_Done,
     /* 1186261 */   // Label 16881: @1186261
     /* 1186261 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1186360), // Rule ID 7776 //
     /* 1186266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1186269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1186277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1186280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1186289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186319 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1186319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1186336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186359 */     // GIR_Coverage, 7776,
     /* 1186359 */     GIR_EraseRootFromParent_Done,
     /* 1186360 */   // Label 16882: @1186360
     /* 1186360 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1186459), // Rule ID 7777 //
     /* 1186365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1186368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1186376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1186379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1186388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1186418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186422 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1186435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1186457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186458 */     // GIR_Coverage, 7777,
     /* 1186458 */     GIR_EraseRootFromParent_Done,
     /* 1186459 */   // Label 16883: @1186459
     /* 1186459 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1186558), // Rule ID 7780 //
     /* 1186464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1186475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1186478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1186481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1186487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186517 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1186517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1186534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186557 */     // GIR_Coverage, 7780,
     /* 1186557 */     GIR_EraseRootFromParent_Done,
     /* 1186558 */   // Label 16884: @1186558
     /* 1186558 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1186657), // Rule ID 7781 //
     /* 1186563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1186574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1186577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1186580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1186586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1186616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186620 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186626 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1186633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186656 */     // GIR_Coverage, 7781,
     /* 1186656 */     GIR_EraseRootFromParent_Done,
     /* 1186657 */   // Label 16885: @1186657
     /* 1186657 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1186756), // Rule ID 7784 //
     /* 1186662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1186673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1186676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1186679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1186685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1186715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1186732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186755 */     // GIR_Coverage, 7784,
     /* 1186755 */     GIR_EraseRootFromParent_Done,
     /* 1186756 */   // Label 16886: @1186756
     /* 1186756 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1186855), // Rule ID 7785 //
     /* 1186761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1186772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1186775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1186778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1186784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186814 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1186814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1186831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186854 */     // GIR_Coverage, 7785,
     /* 1186854 */     GIR_EraseRootFromParent_Done,
     /* 1186855 */   // Label 16887: @1186855
     /* 1186855 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1186954), // Rule ID 7788 //
     /* 1186860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1186871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1186874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1186877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1186883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1186906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186913 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1186913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1186917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1186923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1186927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1186930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1186944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1186952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186953 */     // GIR_Coverage, 7788,
     /* 1186953 */     GIR_EraseRootFromParent_Done,
     /* 1186954 */   // Label 16888: @1186954
     /* 1186954 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1187053), // Rule ID 7789 //
     /* 1186959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1186967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1186970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1186973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1186976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1186982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187012 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1187012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1187029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187052 */     // GIR_Coverage, 7789,
     /* 1187052 */     GIR_EraseRootFromParent_Done,
     /* 1187053 */   // Label 16889: @1187053
     /* 1187053 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1187152), // Rule ID 7792 //
     /* 1187058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1187069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1187072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1187081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1187111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1187128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187151 */     // GIR_Coverage, 7792,
     /* 1187151 */     GIR_EraseRootFromParent_Done,
     /* 1187152 */   // Label 16890: @1187152
     /* 1187152 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1187251), // Rule ID 7793 //
     /* 1187157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1187168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1187171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1187180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1187210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1187227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187250 */     // GIR_Coverage, 7793,
     /* 1187250 */     GIR_EraseRootFromParent_Done,
     /* 1187251 */   // Label 16891: @1187251
     /* 1187251 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1187350), // Rule ID 7796 //
     /* 1187256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1187267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1187270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1187279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1187309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1187326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187349 */     // GIR_Coverage, 7796,
     /* 1187349 */     GIR_EraseRootFromParent_Done,
     /* 1187350 */   // Label 16892: @1187350
     /* 1187350 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1187449), // Rule ID 7797 //
     /* 1187355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1187366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1187369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1187372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1187378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1187408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187412 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187418 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1187425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187448 */     // GIR_Coverage, 7797,
     /* 1187448 */     GIR_EraseRootFromParent_Done,
     /* 1187449 */   // Label 16893: @1187449
     /* 1187449 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1187548), // Rule ID 7800 //
     /* 1187454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1187465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1187468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1187477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187507 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1187507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1187524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187547 */     // GIR_Coverage, 7800,
     /* 1187547 */     GIR_EraseRootFromParent_Done,
     /* 1187548 */   // Label 16894: @1187548
     /* 1187548 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1187647), // Rule ID 7801 //
     /* 1187553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1187564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1187567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1187570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1187576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187606 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1187606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187610 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187616 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1187623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1187645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187646 */     // GIR_Coverage, 7801,
     /* 1187646 */     GIR_EraseRootFromParent_Done,
     /* 1187647 */   // Label 16895: @1187647
     /* 1187647 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1187746), // Rule ID 7804 //
     /* 1187652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1187663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1187666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1187675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1187705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1187722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187745 */     // GIR_Coverage, 7804,
     /* 1187745 */     GIR_EraseRootFromParent_Done,
     /* 1187746 */   // Label 16896: @1187746
     /* 1187746 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1187845), // Rule ID 7805 //
     /* 1187751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1187762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1187765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1187768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1187774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1187804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1187821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187844 */     // GIR_Coverage, 7805,
     /* 1187844 */     GIR_EraseRootFromParent_Done,
     /* 1187845 */   // Label 16897: @1187845
     /* 1187845 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1187944), // Rule ID 7808 //
     /* 1187850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1187861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1187864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1187873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1187903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1187907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1187913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1187917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1187920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1187934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187943 */     // GIR_Coverage, 7808,
     /* 1187943 */     GIR_EraseRootFromParent_Done,
     /* 1187944 */   // Label 16898: @1187944
     /* 1187944 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1188043), // Rule ID 7809 //
     /* 1187949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1187957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1187960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1187963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1187966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1187972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1187995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1188002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1188019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188042 */     // GIR_Coverage, 7809,
     /* 1188042 */     GIR_EraseRootFromParent_Done,
     /* 1188043 */   // Label 16899: @1188043
     /* 1188043 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1188142), // Rule ID 7812 //
     /* 1188048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1188059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1188062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1188071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1188101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1188118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188141 */     // GIR_Coverage, 7812,
     /* 1188141 */     GIR_EraseRootFromParent_Done,
     /* 1188142 */   // Label 16900: @1188142
     /* 1188142 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1188241), // Rule ID 7813 //
     /* 1188147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1188158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1188161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1188164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1188170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1188200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1188217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1188239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188240 */     // GIR_Coverage, 7813,
     /* 1188240 */     GIR_EraseRootFromParent_Done,
     /* 1188241 */   // Label 16901: @1188241
     /* 1188241 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1188340), // Rule ID 7816 //
     /* 1188246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1188249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1188257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1188260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1188269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1188299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1188316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188339 */     // GIR_Coverage, 7816,
     /* 1188339 */     GIR_EraseRootFromParent_Done,
     /* 1188340 */   // Label 16902: @1188340
     /* 1188340 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1188439), // Rule ID 7817 //
     /* 1188345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1188348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1188356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1188359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1188362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1188368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1188398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188402 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1188415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188438 */     // GIR_Coverage, 7817,
     /* 1188438 */     GIR_EraseRootFromParent_Done,
     /* 1188439 */   // Label 16903: @1188439
     /* 1188439 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1188538), // Rule ID 7820 //
     /* 1188444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1188447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1188455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1188458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1188467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1188497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188501 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1188514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188537 */     // GIR_Coverage, 7820,
     /* 1188537 */     GIR_EraseRootFromParent_Done,
     /* 1188538 */   // Label 16904: @1188538
     /* 1188538 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1188637), // Rule ID 7821 //
     /* 1188543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1188546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1188554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1188557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1188560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1188566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1188596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1188613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188636 */     // GIR_Coverage, 7821,
     /* 1188636 */     GIR_EraseRootFromParent_Done,
     /* 1188637 */   // Label 16905: @1188637
     /* 1188637 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1188736), // Rule ID 7824 //
     /* 1188642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1188645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1188653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1188656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1188662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1188665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1188695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1188712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188735 */     // GIR_Coverage, 7824,
     /* 1188735 */     GIR_EraseRootFromParent_Done,
     /* 1188736 */   // Label 16906: @1188736
     /* 1188736 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1188835), // Rule ID 7825 //
     /* 1188741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1188744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1188749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1188752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1188755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1188758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1188761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1188764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1188783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11079:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1188794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1188811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1188833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188834 */     // GIR_Coverage, 7825,
     /* 1188834 */     GIR_EraseRootFromParent_Done,
     /* 1188835 */   // Label 16907: @1188835
     /* 1188835 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1188934), // Rule ID 7916 //
     /* 1188840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1188848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1188851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1188854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1188857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1188860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1188863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1188893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1188903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1188907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1188910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1188924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188933 */     // GIR_Coverage, 7916,
     /* 1188933 */     GIR_EraseRootFromParent_Done,
     /* 1188934 */   // Label 16908: @1188934
     /* 1188934 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1189033), // Rule ID 7917 //
     /* 1188939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1188947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1188950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1188953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1188956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1188959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1188962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1188985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1188992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1188996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1189009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189032 */     // GIR_Coverage, 7917,
     /* 1189032 */     GIR_EraseRootFromParent_Done,
     /* 1189033 */   // Label 16909: @1189033
     /* 1189033 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1189132), // Rule ID 7920 //
     /* 1189038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1189049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1189052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1189055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1189058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1189061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1189091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1189108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189131 */     // GIR_Coverage, 7920,
     /* 1189131 */     GIR_EraseRootFromParent_Done,
     /* 1189132 */   // Label 16910: @1189132
     /* 1189132 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1189231), // Rule ID 7921 //
     /* 1189137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1189148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1189151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1189154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1189157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1189160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1189190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1189207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189230 */     // GIR_Coverage, 7921,
     /* 1189230 */     GIR_EraseRootFromParent_Done,
     /* 1189231 */   // Label 16911: @1189231
     /* 1189231 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1189330), // Rule ID 7924 //
     /* 1189236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1189247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1189250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1189253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1189256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1189259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1189289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189329 */     // GIR_Coverage, 7924,
     /* 1189329 */     GIR_EraseRootFromParent_Done,
     /* 1189330 */   // Label 16912: @1189330
     /* 1189330 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1189429), // Rule ID 7925 //
     /* 1189335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1189346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1189349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1189352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1189355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1189358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189388 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1189388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1189427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189428 */     // GIR_Coverage, 7925,
     /* 1189428 */     GIR_EraseRootFromParent_Done,
     /* 1189429 */   // Label 16913: @1189429
     /* 1189429 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1189528), // Rule ID 7928 //
     /* 1189434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1189445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1189448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1189454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1189457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189487 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1189487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1189504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189527 */     // GIR_Coverage, 7928,
     /* 1189527 */     GIR_EraseRootFromParent_Done,
     /* 1189528 */   // Label 16914: @1189528
     /* 1189528 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1189627), // Rule ID 7929 //
     /* 1189533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1189544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1189547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1189553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1189556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189586 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1189586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189590 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1189603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189626 */     // GIR_Coverage, 7929,
     /* 1189626 */     GIR_EraseRootFromParent_Done,
     /* 1189627 */   // Label 16915: @1189627
     /* 1189627 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1189726), // Rule ID 7932 //
     /* 1189632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1189643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1189646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1189652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1189655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1189685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189725 */     // GIR_Coverage, 7932,
     /* 1189725 */     GIR_EraseRootFromParent_Done,
     /* 1189726 */   // Label 16916: @1189726
     /* 1189726 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1189825), // Rule ID 7933 //
     /* 1189731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1189742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1189745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1189748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1189751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1189754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1189784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189824 */     // GIR_Coverage, 7933,
     /* 1189824 */     GIR_EraseRootFromParent_Done,
     /* 1189825 */   // Label 16917: @1189825
     /* 1189825 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1189924), // Rule ID 7936 //
     /* 1189830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1189841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1189844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1189847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1189850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1189853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1189883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1189914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189923 */     // GIR_Coverage, 7936,
     /* 1189923 */     GIR_EraseRootFromParent_Done,
     /* 1189924 */   // Label 16918: @1189924
     /* 1189924 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1190023), // Rule ID 7937 //
     /* 1189929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1189937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1189940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1189943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1189946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1189949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1189952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1189975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1189982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1189986 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1189992 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1189996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1189999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190022 */     // GIR_Coverage, 7937,
     /* 1190022 */     GIR_EraseRootFromParent_Done,
     /* 1190023 */   // Label 16919: @1190023
     /* 1190023 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1190122), // Rule ID 7940 //
     /* 1190028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1190039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1190042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1190045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1190048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1190051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1190081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190121 */     // GIR_Coverage, 7940,
     /* 1190121 */     GIR_EraseRootFromParent_Done,
     /* 1190122 */   // Label 16920: @1190122
     /* 1190122 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1190221), // Rule ID 7941 //
     /* 1190127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1190138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1190141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1190144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1190147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1190150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1190180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190220 */     // GIR_Coverage, 7941,
     /* 1190220 */     GIR_EraseRootFromParent_Done,
     /* 1190221 */   // Label 16921: @1190221
     /* 1190221 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1190320), // Rule ID 7944 //
     /* 1190226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1190246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190279 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1190279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190319 */     // GIR_Coverage, 7944,
     /* 1190319 */     GIR_EraseRootFromParent_Done,
     /* 1190320 */   // Label 16922: @1190320
     /* 1190320 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1190419), // Rule ID 7945 //
     /* 1190325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1190336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1190339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1190345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1190348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190378 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1190378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1190417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190418 */     // GIR_Coverage, 7945,
     /* 1190418 */     GIR_EraseRootFromParent_Done,
     /* 1190419 */   // Label 16923: @1190419
     /* 1190419 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1190518), // Rule ID 7948 //
     /* 1190424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1190444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190477 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1190477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190517 */     // GIR_Coverage, 7948,
     /* 1190517 */     GIR_EraseRootFromParent_Done,
     /* 1190518 */   // Label 16924: @1190518
     /* 1190518 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1190617), // Rule ID 7949 //
     /* 1190523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1190534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1190537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1190540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1190543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1190546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190576 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1190576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1190615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190616 */     // GIR_Coverage, 7949,
     /* 1190616 */     GIR_EraseRootFromParent_Done,
     /* 1190617 */   // Label 16925: @1190617
     /* 1190617 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1190716), // Rule ID 7952 //
     /* 1190622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1190625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1190633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1190636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1190639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1190642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1190645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1190675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190715 */     // GIR_Coverage, 7952,
     /* 1190715 */     GIR_EraseRootFromParent_Done,
     /* 1190716 */   // Label 16926: @1190716
     /* 1190716 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1190815), // Rule ID 7953 //
     /* 1190721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1190724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1190732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1190735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1190738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1190741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1190744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1190774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1190791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1190813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190814 */     // GIR_Coverage, 7953,
     /* 1190814 */     GIR_EraseRootFromParent_Done,
     /* 1190815 */   // Label 16927: @1190815
     /* 1190815 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1190914), // Rule ID 7956 //
     /* 1190820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1190831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1190834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1190837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1190840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1190843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190873 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1190873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1190890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1190904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190913 */     // GIR_Coverage, 7956,
     /* 1190913 */     GIR_EraseRootFromParent_Done,
     /* 1190914 */   // Label 16928: @1190914
     /* 1190914 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1191013), // Rule ID 7957 //
     /* 1190919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1190927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1190930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1190933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1190936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1190939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1190942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1190965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190972 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1190972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1190976 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1190982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1190986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1190989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191012 */     // GIR_Coverage, 7957,
     /* 1191012 */     GIR_EraseRootFromParent_Done,
     /* 1191013 */   // Label 16929: @1191013
     /* 1191013 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1191112), // Rule ID 7960 //
     /* 1191018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1191029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1191032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1191035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1191038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1191041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191071 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1191071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1191088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191096 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191111 */     // GIR_Coverage, 7960,
     /* 1191111 */     GIR_EraseRootFromParent_Done,
     /* 1191112 */   // Label 16930: @1191112
     /* 1191112 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1191211), // Rule ID 7961 //
     /* 1191117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1191128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1191131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1191134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1191137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1191140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191170 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1191170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1191187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191210 */     // GIR_Coverage, 7961,
     /* 1191210 */     GIR_EraseRootFromParent_Done,
     /* 1191211 */   // Label 16931: @1191211
     /* 1191211 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1191310), // Rule ID 7964 //
     /* 1191216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1191227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1191230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1191233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1191236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1191239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191269 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1191269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1191286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191309 */     // GIR_Coverage, 7964,
     /* 1191309 */     GIR_EraseRootFromParent_Done,
     /* 1191310 */   // Label 16932: @1191310
     /* 1191310 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1191409), // Rule ID 7965 //
     /* 1191315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1191326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1191329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1191332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1191335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1191338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191368 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1191368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191378 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1191385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1191407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191408 */     // GIR_Coverage, 7965,
     /* 1191408 */     GIR_EraseRootFromParent_Done,
     /* 1191409 */   // Label 16933: @1191409
     /* 1191409 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1191508), // Rule ID 7968 //
     /* 1191414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1191425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1191428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1191434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1191437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1191484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191507 */     // GIR_Coverage, 7968,
     /* 1191507 */     GIR_EraseRootFromParent_Done,
     /* 1191508 */   // Label 16934: @1191508
     /* 1191508 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1191607), // Rule ID 7969 //
     /* 1191513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1191524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1191527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1191530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1191533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1191536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1191583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191606 */     // GIR_Coverage, 7969,
     /* 1191606 */     GIR_EraseRootFromParent_Done,
     /* 1191607 */   // Label 16935: @1191607
     /* 1191607 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1191706), // Rule ID 7972 //
     /* 1191612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1191623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1191626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1191632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1191635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191665 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1191682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191705 */     // GIR_Coverage, 7972,
     /* 1191705 */     GIR_EraseRootFromParent_Done,
     /* 1191706 */   // Label 16936: @1191706
     /* 1191706 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1191805), // Rule ID 7973 //
     /* 1191711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1191722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1191725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1191728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1191731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1191734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191764 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191768 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1191781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191804 */     // GIR_Coverage, 7973,
     /* 1191804 */     GIR_EraseRootFromParent_Done,
     /* 1191805 */   // Label 16937: @1191805
     /* 1191805 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1191904), // Rule ID 7976 //
     /* 1191810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1191821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1191824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1191830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1191833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191863 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1191863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1191880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191903 */     // GIR_Coverage, 7976,
     /* 1191903 */     GIR_EraseRootFromParent_Done,
     /* 1191904 */   // Label 16938: @1191904
     /* 1191904 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1192003), // Rule ID 7977 //
     /* 1191909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1191917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1191920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1191923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1191926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1191929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1191932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1191955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191962 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1191962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1191966 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1191972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1191976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1191979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191987 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1191993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192002 */     // GIR_Coverage, 7977,
     /* 1192002 */     GIR_EraseRootFromParent_Done,
     /* 1192003 */   // Label 16939: @1192003
     /* 1192003 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1192102), // Rule ID 7980 //
     /* 1192008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1192019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1192022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1192028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1192031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1192061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1192078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192101 */     // GIR_Coverage, 7980,
     /* 1192101 */     GIR_EraseRootFromParent_Done,
     /* 1192102 */   // Label 16940: @1192102
     /* 1192102 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1192201), // Rule ID 7981 //
     /* 1192107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1192118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1192121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1192124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1192127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1192130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1192160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1192177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192200 */     // GIR_Coverage, 7981,
     /* 1192200 */     GIR_EraseRootFromParent_Done,
     /* 1192201 */   // Label 16941: @1192201
     /* 1192201 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1192300), // Rule ID 7984 //
     /* 1192206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1192217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1192220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1192226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1192229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192259 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1192259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1192276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192299 */     // GIR_Coverage, 7984,
     /* 1192299 */     GIR_EraseRootFromParent_Done,
     /* 1192300 */   // Label 16942: @1192300
     /* 1192300 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1192399), // Rule ID 7985 //
     /* 1192305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1192316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1192319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1192322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1192325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1192328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192358 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1192358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1192375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192398 */     // GIR_Coverage, 7985,
     /* 1192398 */     GIR_EraseRootFromParent_Done,
     /* 1192399 */   // Label 16943: @1192399
     /* 1192399 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1192498), // Rule ID 7988 //
     /* 1192404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1192407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1192424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1192457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1192474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192497 */     // GIR_Coverage, 7988,
     /* 1192497 */     GIR_EraseRootFromParent_Done,
     /* 1192498 */   // Label 16944: @1192498
     /* 1192498 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1192597), // Rule ID 7989 //
     /* 1192503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1192506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1192514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1192517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1192520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1192523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1192526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192556 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1192556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1192573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192596 */     // GIR_Coverage, 7989,
     /* 1192596 */     GIR_EraseRootFromParent_Done,
     /* 1192597 */   // Label 16945: @1192597
     /* 1192597 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1192696), // Rule ID 7992 //
     /* 1192602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1192605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1192613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1192616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1192622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1192625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1192655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1192672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192695 */     // GIR_Coverage, 7992,
     /* 1192695 */     GIR_EraseRootFromParent_Done,
     /* 1192696 */   // Label 16946: @1192696
     /* 1192696 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1192795), // Rule ID 7993 //
     /* 1192701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1192704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1192712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1192715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1192721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1192724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1192754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1192771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192794 */     // GIR_Coverage, 7993,
     /* 1192794 */     GIR_EraseRootFromParent_Done,
     /* 1192795 */   // Label 16947: @1192795
     /* 1192795 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1192894), // Rule ID 7996 //
     /* 1192800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1192803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1192811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1192814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1192820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1192823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1192853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1192870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192893 */     // GIR_Coverage, 7996,
     /* 1192893 */     GIR_EraseRootFromParent_Done,
     /* 1192894 */   // Label 16948: @1192894
     /* 1192894 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1192993), // Rule ID 7997 //
     /* 1192899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1192902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1192907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1192910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1192913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1192919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1192922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1192945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192952 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1192952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1192956 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1192962 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1192966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1192969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1192983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1192991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192992 */     // GIR_Coverage, 7997,
     /* 1192992 */     GIR_EraseRootFromParent_Done,
     /* 1192993 */   // Label 16949: @1192993
     /* 1192993 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1193092), // Rule ID 8000 //
     /* 1192998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1193001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1193009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1193012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1193018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1193021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1193051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1193068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193091 */     // GIR_Coverage, 8000,
     /* 1193091 */     GIR_EraseRootFromParent_Done,
     /* 1193092 */   // Label 16950: @1193092
     /* 1193092 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1193191), // Rule ID 8001 //
     /* 1193097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1193100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1193108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1193111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1193114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1193117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1193120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1193150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1193167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193190 */     // GIR_Coverage, 8001,
     /* 1193190 */     GIR_EraseRootFromParent_Done,
     /* 1193191 */   // Label 16951: @1193191
     /* 1193191 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1193290), // Rule ID 8004 //
     /* 1193196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1193207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1193210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1193213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1193219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193249 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1193249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1193266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193289 */     // GIR_Coverage, 8004,
     /* 1193289 */     GIR_EraseRootFromParent_Done,
     /* 1193290 */   // Label 16952: @1193290
     /* 1193290 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1193389), // Rule ID 8005 //
     /* 1193295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1193306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1193309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1193312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1193318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1193348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1193365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193388 */     // GIR_Coverage, 8005,
     /* 1193388 */     GIR_EraseRootFromParent_Done,
     /* 1193389 */   // Label 16953: @1193389
     /* 1193389 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1193488), // Rule ID 8008 //
     /* 1193394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1193405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1193408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1193411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1193417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193447 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1193447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193451 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1193464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193487 */     // GIR_Coverage, 8008,
     /* 1193487 */     GIR_EraseRootFromParent_Done,
     /* 1193488 */   // Label 16954: @1193488
     /* 1193488 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1193587), // Rule ID 8009 //
     /* 1193493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1193504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1193507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1193510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1193516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193546 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1193546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193550 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193556 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1193563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193571 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193586 */     // GIR_Coverage, 8009,
     /* 1193586 */     GIR_EraseRootFromParent_Done,
     /* 1193587 */   // Label 16955: @1193587
     /* 1193587 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1193686), // Rule ID 8012 //
     /* 1193592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1193609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1193645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1193662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193685 */     // GIR_Coverage, 8012,
     /* 1193685 */     GIR_EraseRootFromParent_Done,
     /* 1193686 */   // Label 16956: @1193686
     /* 1193686 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1193785), // Rule ID 8013 //
     /* 1193691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1193702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1193705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1193708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1193714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1193744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1193761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193769 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1193783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193784 */     // GIR_Coverage, 8013,
     /* 1193784 */     GIR_EraseRootFromParent_Done,
     /* 1193785 */   // Label 16957: @1193785
     /* 1193785 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1193884), // Rule ID 8016 //
     /* 1193790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1193801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1193804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1193810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1193813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193843 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1193843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1193860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193883 */     // GIR_Coverage, 8016,
     /* 1193883 */     GIR_EraseRootFromParent_Done,
     /* 1193884 */   // Label 16958: @1193884
     /* 1193884 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1193983), // Rule ID 8017 //
     /* 1193889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1193892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1193900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1193903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1193906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1193909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1193912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1193931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1193935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193942 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1193942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1193946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1193952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1193956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1193959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1193973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193982 */     // GIR_Coverage, 8017,
     /* 1193982 */     GIR_EraseRootFromParent_Done,
     /* 1193983 */   // Label 16959: @1193983
     /* 1193983 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1194082), // Rule ID 8020 //
     /* 1193988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1193991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1193996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1193999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194041 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1194041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1194058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194081 */     // GIR_Coverage, 8020,
     /* 1194081 */     GIR_EraseRootFromParent_Done,
     /* 1194082 */   // Label 16960: @1194082
     /* 1194082 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1194181), // Rule ID 8021 //
     /* 1194087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1194104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194140 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1194140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1194157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194180 */     // GIR_Coverage, 8021,
     /* 1194180 */     GIR_EraseRootFromParent_Done,
     /* 1194181 */   // Label 16961: @1194181
     /* 1194181 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1194280), // Rule ID 8024 //
     /* 1194186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194239 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1194239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1194256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194279 */     // GIR_Coverage, 8024,
     /* 1194279 */     GIR_EraseRootFromParent_Done,
     /* 1194280 */   // Label 16962: @1194280
     /* 1194280 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1194379), // Rule ID 8025 //
     /* 1194285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1194302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1194308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194338 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1194338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1194355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194378 */     // GIR_Coverage, 8025,
     /* 1194378 */     GIR_EraseRootFromParent_Done,
     /* 1194379 */   // Label 16963: @1194379
     /* 1194379 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1194478), // Rule ID 8028 //
     /* 1194384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1194395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1194398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1194401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1194407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194437 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1194437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194441 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194477 */     // GIR_Coverage, 8028,
     /* 1194477 */     GIR_EraseRootFromParent_Done,
     /* 1194478 */   // Label 16964: @1194478
     /* 1194478 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1194577), // Rule ID 8029 //
     /* 1194483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1194494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1194497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1194500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1194506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194536 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1194536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194540 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1194575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194576 */     // GIR_Coverage, 8029,
     /* 1194576 */     GIR_EraseRootFromParent_Done,
     /* 1194577 */   // Label 16965: @1194577
     /* 1194577 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1194676), // Rule ID 8032 //
     /* 1194582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1194593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1194596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1194599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1194605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194635 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1194635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194675 */     // GIR_Coverage, 8032,
     /* 1194675 */     GIR_EraseRootFromParent_Done,
     /* 1194676 */   // Label 16966: @1194676
     /* 1194676 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1194775), // Rule ID 8033 //
     /* 1194681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1194692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1194695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1194698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1194704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1194734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194774 */     // GIR_Coverage, 8033,
     /* 1194774 */     GIR_EraseRootFromParent_Done,
     /* 1194775 */   // Label 16967: @1194775
     /* 1194775 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1194874), // Rule ID 8036 //
     /* 1194780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1194783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194833 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1194833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194873 */     // GIR_Coverage, 8036,
     /* 1194873 */     GIR_EraseRootFromParent_Done,
     /* 1194874 */   // Label 16968: @1194874
     /* 1194874 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1194973), // Rule ID 8037 //
     /* 1194879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1194882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1194890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1194893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1194896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1194899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1194902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1194921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1194925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1194932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1194936 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1194942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1194946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1194949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194957 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1194963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194972 */     // GIR_Coverage, 8037,
     /* 1194972 */     GIR_EraseRootFromParent_Done,
     /* 1194973 */   // Label 16969: @1194973
     /* 1194973 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1195072), // Rule ID 8040 //
     /* 1194978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1194981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1194986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1194989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1194992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1194995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1194998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1195001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1195031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1195048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195071 */     // GIR_Coverage, 8040,
     /* 1195071 */     GIR_EraseRootFromParent_Done,
     /* 1195072 */   // Label 16970: @1195072
     /* 1195072 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1195171), // Rule ID 8041 //
     /* 1195077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1195080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1195088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1195091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1195100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1195130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1195147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195170 */     // GIR_Coverage, 8041,
     /* 1195170 */     GIR_EraseRootFromParent_Done,
     /* 1195171 */   // Label 16971: @1195171
     /* 1195171 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1195270), // Rule ID 8044 //
     /* 1195176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1195187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1195190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1195193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1195199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195229 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1195246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195269 */     // GIR_Coverage, 8044,
     /* 1195269 */     GIR_EraseRootFromParent_Done,
     /* 1195270 */   // Label 16972: @1195270
     /* 1195270 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1195369), // Rule ID 8045 //
     /* 1195275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1195286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1195289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1195292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1195298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1195328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1195345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195368 */     // GIR_Coverage, 8045,
     /* 1195368 */     GIR_EraseRootFromParent_Done,
     /* 1195369 */   // Label 16973: @1195369
     /* 1195369 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1195468), // Rule ID 8048 //
     /* 1195374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1195385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1195388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1195391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1195397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195427 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1195444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195467 */     // GIR_Coverage, 8048,
     /* 1195467 */     GIR_EraseRootFromParent_Done,
     /* 1195468 */   // Label 16974: @1195468
     /* 1195468 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1195567), // Rule ID 8049 //
     /* 1195473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1195484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1195487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1195490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1195496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1195526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195530 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1195543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195566 */     // GIR_Coverage, 8049,
     /* 1195566 */     GIR_EraseRootFromParent_Done,
     /* 1195567 */   // Label 16975: @1195567
     /* 1195567 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1195666), // Rule ID 8052 //
     /* 1195572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1195583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1195586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1195589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1195595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195625 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1195625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1195642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195665 */     // GIR_Coverage, 8052,
     /* 1195665 */     GIR_EraseRootFromParent_Done,
     /* 1195666 */   // Label 16976: @1195666
     /* 1195666 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1195765), // Rule ID 8053 //
     /* 1195671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1195682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1195685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1195688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1195694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1195709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195724 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1195724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1195741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1195763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195764 */     // GIR_Coverage, 8053,
     /* 1195764 */     GIR_EraseRootFromParent_Done,
     /* 1195765 */   // Label 16977: @1195765
     /* 1195765 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1195864), // Rule ID 8056 //
     /* 1195770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1195781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1195784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1195793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195823 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1195823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1195840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195863 */     // GIR_Coverage, 8056,
     /* 1195863 */     GIR_EraseRootFromParent_Done,
     /* 1195864 */   // Label 16978: @1195864
     /* 1195864 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1195963), // Rule ID 8057 //
     /* 1195869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1195872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1195880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1195883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1195892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1195911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1195915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195922 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1195922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1195926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1195932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1195936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1195939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1195953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195962 */     // GIR_Coverage, 8057,
     /* 1195962 */     GIR_EraseRootFromParent_Done,
     /* 1195963 */   // Label 16979: @1195963
     /* 1195963 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1196062), // Rule ID 8060 //
     /* 1195968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1195971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1195976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1195979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1195982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1195991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196021 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1196021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1196038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196061 */     // GIR_Coverage, 8060,
     /* 1196061 */     GIR_EraseRootFromParent_Done,
     /* 1196062 */   // Label 16980: @1196062
     /* 1196062 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1196161), // Rule ID 8061 //
     /* 1196067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1196078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1196081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1196090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1196120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1196137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196160 */     // GIR_Coverage, 8061,
     /* 1196160 */     GIR_EraseRootFromParent_Done,
     /* 1196161 */   // Label 16981: @1196161
     /* 1196161 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1196260), // Rule ID 8064 //
     /* 1196166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1196177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1196180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1196189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196219 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1196219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1196236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196259 */     // GIR_Coverage, 8064,
     /* 1196259 */     GIR_EraseRootFromParent_Done,
     /* 1196260 */   // Label 16982: @1196260
     /* 1196260 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1196359), // Rule ID 8065 //
     /* 1196265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1196276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1196279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1196288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196318 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1196318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196322 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1196335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196358 */     // GIR_Coverage, 8065,
     /* 1196358 */     GIR_EraseRootFromParent_Done,
     /* 1196359 */   // Label 16983: @1196359
     /* 1196359 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1196458), // Rule ID 8068 //
     /* 1196364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1196375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1196378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1196387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196417 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1196417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196421 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1196434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196442 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196457 */     // GIR_Coverage, 8068,
     /* 1196457 */     GIR_EraseRootFromParent_Done,
     /* 1196458 */   // Label 16984: @1196458
     /* 1196458 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1196557), // Rule ID 8069 //
     /* 1196463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1196474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1196477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1196486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196516 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1196516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196520 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1196533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196556 */     // GIR_Coverage, 8069,
     /* 1196556 */     GIR_EraseRootFromParent_Done,
     /* 1196557 */   // Label 16985: @1196557
     /* 1196557 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1196656), // Rule ID 8072 //
     /* 1196562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1196615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1196632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196655 */     // GIR_Coverage, 8072,
     /* 1196655 */     GIR_EraseRootFromParent_Done,
     /* 1196656 */   // Label 16986: @1196656
     /* 1196656 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1196755), // Rule ID 8073 //
     /* 1196661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1196672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1196675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1196684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196714 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1196714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1196731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196754 */     // GIR_Coverage, 8073,
     /* 1196754 */     GIR_EraseRootFromParent_Done,
     /* 1196755 */   // Label 16987: @1196755
     /* 1196755 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1196854), // Rule ID 8076 //
     /* 1196760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1196763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1196771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1196774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1196783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1196813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1196830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196853 */     // GIR_Coverage, 8076,
     /* 1196853 */     GIR_EraseRootFromParent_Done,
     /* 1196854 */   // Label 16988: @1196854
     /* 1196854 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1196953), // Rule ID 8077 //
     /* 1196859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1196862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1196870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1196873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1196882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1196901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1196905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196912 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1196912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1196916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1196922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1196926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1196929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196937 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1196943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196952 */     // GIR_Coverage, 8077,
     /* 1196952 */     GIR_EraseRootFromParent_Done,
     /* 1196953 */   // Label 16989: @1196953
     /* 1196953 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1197052), // Rule ID 8080 //
     /* 1196958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1196961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1196966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1196969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1196972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1196981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1196992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197011 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1197028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197051 */     // GIR_Coverage, 8080,
     /* 1197051 */     GIR_EraseRootFromParent_Done,
     /* 1197052 */   // Label 16990: @1197052
     /* 1197052 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1197151), // Rule ID 8081 //
     /* 1197057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1197065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1197074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1197095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197114 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1197127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197150 */     // GIR_Coverage, 8081,
     /* 1197150 */     GIR_EraseRootFromParent_Done,
     /* 1197151 */   // Label 16991: @1197151
     /* 1197151 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1197250), // Rule ID 8084 //
     /* 1197156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1197159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1197164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1197167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1197170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1197179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1197226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197249 */     // GIR_Coverage, 8084,
     /* 1197249 */     GIR_EraseRootFromParent_Done,
     /* 1197250 */   // Label 16992: @1197250
     /* 1197250 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1197349), // Rule ID 8085 //
     /* 1197255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1197263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1197266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1197269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1197278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197308 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1197325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197348 */     // GIR_Coverage, 8085,
     /* 1197348 */     GIR_EraseRootFromParent_Done,
     /* 1197349 */   // Label 16993: @1197349
     /* 1197349 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1197448), // Rule ID 8088 //
     /* 1197354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1197357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1197362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1197365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1197368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1197377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197407 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1197407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1197424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197447 */     // GIR_Coverage, 8088,
     /* 1197447 */     GIR_EraseRootFromParent_Done,
     /* 1197448 */   // Label 16994: @1197448
     /* 1197448 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1197547), // Rule ID 8089 //
     /* 1197453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1197456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1197461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1197464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1197467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1197473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1197476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1197495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197506 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11100:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1197506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197510 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1197523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197546 */     // GIR_Coverage, 8089,
     /* 1197546 */     GIR_EraseRootFromParent_Done,
     /* 1197547 */   // Label 16995: @1197547
     /* 1197547 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1197646), // Rule ID 8180 //
     /* 1197552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1197560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1197563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1197566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1197569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1197572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1197575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197605 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1197605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1197622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197645 */     // GIR_Coverage, 8180,
     /* 1197645 */     GIR_EraseRootFromParent_Done,
     /* 1197646 */   // Label 16996: @1197646
     /* 1197646 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1197745), // Rule ID 8181 //
     /* 1197651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1197654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1197659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1197662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1197665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1197668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1197671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1197674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197704 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1197704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1197721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197744 */     // GIR_Coverage, 8181,
     /* 1197744 */     GIR_EraseRootFromParent_Done,
     /* 1197745 */   // Label 16997: @1197745
     /* 1197745 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1197844), // Rule ID 8184 //
     /* 1197750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1197758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1197767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1197770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1197803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1197820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197843 */     // GIR_Coverage, 8184,
     /* 1197843 */     GIR_EraseRootFromParent_Done,
     /* 1197844 */   // Label 16998: @1197844
     /* 1197844 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1197943), // Rule ID 8185 //
     /* 1197849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1197852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1197857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1197860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1197863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1197866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1197869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1197872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1197902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1197906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1197912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1197916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1197919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1197933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1197941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197942 */     // GIR_Coverage, 8185,
     /* 1197942 */     GIR_EraseRootFromParent_Done,
     /* 1197943 */   // Label 16999: @1197943
     /* 1197943 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1198042), // Rule ID 8188 //
     /* 1197948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1197951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1197956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1197959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1197962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1197965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1197968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1197971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1197994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198001 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1198001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198041 */     // GIR_Coverage, 8188,
     /* 1198041 */     GIR_EraseRootFromParent_Done,
     /* 1198042 */   // Label 17000: @1198042
     /* 1198042 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1198141), // Rule ID 8189 //
     /* 1198047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1198064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1198067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198100 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1198100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198140 */     // GIR_Coverage, 8189,
     /* 1198140 */     GIR_EraseRootFromParent_Done,
     /* 1198141 */   // Label 17001: @1198141
     /* 1198141 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1198240), // Rule ID 8192 //
     /* 1198146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1198216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198239 */     // GIR_Coverage, 8192,
     /* 1198239 */     GIR_EraseRootFromParent_Done,
     /* 1198240 */   // Label 17002: @1198240
     /* 1198240 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1198339), // Rule ID 8193 //
     /* 1198245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1198262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1198265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1198298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1198315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198338 */     // GIR_Coverage, 8193,
     /* 1198338 */     GIR_EraseRootFromParent_Done,
     /* 1198339 */   // Label 17003: @1198339
     /* 1198339 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1198438), // Rule ID 8196 //
     /* 1198344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1198355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1198358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1198367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198397 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198437 */     // GIR_Coverage, 8196,
     /* 1198437 */     GIR_EraseRootFromParent_Done,
     /* 1198438 */   // Label 17004: @1198438
     /* 1198438 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1198537), // Rule ID 8197 //
     /* 1198443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1198454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1198457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1198460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1198463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1198466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198496 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1198496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198536 */     // GIR_Coverage, 8197,
     /* 1198536 */     GIR_EraseRootFromParent_Done,
     /* 1198537 */   // Label 17005: @1198537
     /* 1198537 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1198636), // Rule ID 8200 //
     /* 1198542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198595 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1198595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198635 */     // GIR_Coverage, 8200,
     /* 1198635 */     GIR_EraseRootFromParent_Done,
     /* 1198636 */   // Label 17006: @1198636
     /* 1198636 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1198735), // Rule ID 8201 //
     /* 1198641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1198652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1198655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1198658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1198661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1198664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1198694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1198711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198734 */     // GIR_Coverage, 8201,
     /* 1198734 */     GIR_EraseRootFromParent_Done,
     /* 1198735 */   // Label 17007: @1198735
     /* 1198735 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1198834), // Rule ID 8204 //
     /* 1198740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1198751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1198754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1198757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1198760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1198763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198793 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1198793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1198810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198833 */     // GIR_Coverage, 8204,
     /* 1198833 */     GIR_EraseRootFromParent_Done,
     /* 1198834 */   // Label 17008: @1198834
     /* 1198834 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1198933), // Rule ID 8205 //
     /* 1198839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1198842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1198850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1198853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1198856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1198859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1198862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1198892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198896 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1198902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1198906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1198909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1198923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1198931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198932 */     // GIR_Coverage, 8205,
     /* 1198932 */     GIR_EraseRootFromParent_Done,
     /* 1198933 */   // Label 17009: @1198933
     /* 1198933 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1199032), // Rule ID 8208 //
     /* 1198938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1198941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1198946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1198949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1198952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1198955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1198958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1198961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1198984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198991 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1198991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1198995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199031 */     // GIR_Coverage, 8208,
     /* 1199031 */     GIR_EraseRootFromParent_Done,
     /* 1199032 */   // Label 17010: @1199032
     /* 1199032 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1199131), // Rule ID 8209 //
     /* 1199037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1199048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1199051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1199054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1199057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1199060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199090 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1199090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199130 */     // GIR_Coverage, 8209,
     /* 1199130 */     GIR_EraseRootFromParent_Done,
     /* 1199131 */   // Label 17011: @1199131
     /* 1199131 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1199230), // Rule ID 8212 //
     /* 1199136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1199147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1199150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1199159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199189 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1199189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199229 */     // GIR_Coverage, 8212,
     /* 1199229 */     GIR_EraseRootFromParent_Done,
     /* 1199230 */   // Label 17012: @1199230
     /* 1199230 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1199329), // Rule ID 8213 //
     /* 1199235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1199246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1199249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1199252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1199255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1199258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1199288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199328 */     // GIR_Coverage, 8213,
     /* 1199328 */     GIR_EraseRootFromParent_Done,
     /* 1199329 */   // Label 17013: @1199329
     /* 1199329 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1199428), // Rule ID 8216 //
     /* 1199334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1199337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1199345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1199348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1199354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1199357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1199387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199427 */     // GIR_Coverage, 8216,
     /* 1199427 */     GIR_EraseRootFromParent_Done,
     /* 1199428 */   // Label 17014: @1199428
     /* 1199428 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1199527), // Rule ID 8217 //
     /* 1199433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1199436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1199444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1199447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1199450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1199453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1199456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1199486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199490 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1199503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199526 */     // GIR_Coverage, 8217,
     /* 1199526 */     GIR_EraseRootFromParent_Done,
     /* 1199527 */   // Label 17015: @1199527
     /* 1199527 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1199626), // Rule ID 8220 //
     /* 1199532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1199543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1199546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1199549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1199552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1199555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1199602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199625 */     // GIR_Coverage, 8220,
     /* 1199625 */     GIR_EraseRootFromParent_Done,
     /* 1199626 */   // Label 17016: @1199626
     /* 1199626 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1199725), // Rule ID 8221 //
     /* 1199631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1199642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1199645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1199648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1199651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1199654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199684 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1199684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1199701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199724 */     // GIR_Coverage, 8221,
     /* 1199724 */     GIR_EraseRootFromParent_Done,
     /* 1199725 */   // Label 17017: @1199725
     /* 1199725 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1199824), // Rule ID 8224 //
     /* 1199730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1199741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1199744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1199747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1199750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1199753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199783 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1199800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199823 */     // GIR_Coverage, 8224,
     /* 1199823 */     GIR_EraseRootFromParent_Done,
     /* 1199824 */   // Label 17018: @1199824
     /* 1199824 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1199923), // Rule ID 8225 //
     /* 1199829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1199832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1199840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1199843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1199846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1199849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1199852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199882 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1199882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199886 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1199899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1199913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1199921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199922 */     // GIR_Coverage, 8225,
     /* 1199922 */     GIR_EraseRootFromParent_Done,
     /* 1199923 */   // Label 17019: @1199923
     /* 1199923 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1200022), // Rule ID 8228 //
     /* 1199928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1199931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1199936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1199939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1199942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1199945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1199948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1199951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1199974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199981 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1199981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1199985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1199991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1199995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1199998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1200020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200021 */     // GIR_Coverage, 8228,
     /* 1200021 */     GIR_EraseRootFromParent_Done,
     /* 1200022 */   // Label 17020: @1200022
     /* 1200022 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1200121), // Rule ID 8229 //
     /* 1200027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1200038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1200041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1200044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1200047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1200050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200080 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1200080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1200097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1200119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200120 */     // GIR_Coverage, 8229,
     /* 1200120 */     GIR_EraseRootFromParent_Done,
     /* 1200121 */   // Label 17021: @1200121
     /* 1200121 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1200220), // Rule ID 8232 //
     /* 1200126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1200137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1200140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1200149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200179 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1200179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1200196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200219 */     // GIR_Coverage, 8232,
     /* 1200219 */     GIR_EraseRootFromParent_Done,
     /* 1200220 */   // Label 17022: @1200220
     /* 1200220 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1200319), // Rule ID 8233 //
     /* 1200225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1200236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1200239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1200245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1200248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1200278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1200295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200318 */     // GIR_Coverage, 8233,
     /* 1200318 */     GIR_EraseRootFromParent_Done,
     /* 1200319 */   // Label 17023: @1200319
     /* 1200319 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1200418), // Rule ID 8236 //
     /* 1200324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1200335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1200338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1200347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200377 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1200377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200381 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1200394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200417 */     // GIR_Coverage, 8236,
     /* 1200417 */     GIR_EraseRootFromParent_Done,
     /* 1200418 */   // Label 17024: @1200418
     /* 1200418 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1200517), // Rule ID 8237 //
     /* 1200423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1200434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1200437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1200443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1200446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1200476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200480 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1200493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200516 */     // GIR_Coverage, 8237,
     /* 1200516 */     GIR_EraseRootFromParent_Done,
     /* 1200517 */   // Label 17025: @1200517
     /* 1200517 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1200616), // Rule ID 8240 //
     /* 1200522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1200533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1200536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1200539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1200542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1200545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200575 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1200575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1200592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200615 */     // GIR_Coverage, 8240,
     /* 1200615 */     GIR_EraseRootFromParent_Done,
     /* 1200616 */   // Label 17026: @1200616
     /* 1200616 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1200715), // Rule ID 8241 //
     /* 1200621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1200632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1200635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1200638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1200641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1200644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200674 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1200674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1200691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200714 */     // GIR_Coverage, 8241,
     /* 1200714 */     GIR_EraseRootFromParent_Done,
     /* 1200715 */   // Label 17027: @1200715
     /* 1200715 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1200814), // Rule ID 8244 //
     /* 1200720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1200731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1200734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1200743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200773 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1200773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1200790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200813 */     // GIR_Coverage, 8244,
     /* 1200813 */     GIR_EraseRootFromParent_Done,
     /* 1200814 */   // Label 17028: @1200814
     /* 1200814 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1200913), // Rule ID 8245 //
     /* 1200819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1200822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1200830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1200833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1200836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1200839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1200842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200872 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1200872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1200889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1200903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200912 */     // GIR_Coverage, 8245,
     /* 1200912 */     GIR_EraseRootFromParent_Done,
     /* 1200913 */   // Label 17029: @1200913
     /* 1200913 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1201012), // Rule ID 8248 //
     /* 1200918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1200921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1200926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1200929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1200932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1200935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1200938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1200941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1200964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1200971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1200975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1200981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1200985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1200988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201011 */     // GIR_Coverage, 8248,
     /* 1201011 */     GIR_EraseRootFromParent_Done,
     /* 1201012 */   // Label 17030: @1201012
     /* 1201012 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1201111), // Rule ID 8249 //
     /* 1201017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1201028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1201031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1201037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1201040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201070 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1201070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1201087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201110 */     // GIR_Coverage, 8249,
     /* 1201110 */     GIR_EraseRootFromParent_Done,
     /* 1201111 */   // Label 17031: @1201111
     /* 1201111 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1201210), // Rule ID 8252 //
     /* 1201116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1201127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1201130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1201136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1201139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201169 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1201169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1201186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201209 */     // GIR_Coverage, 8252,
     /* 1201209 */     GIR_EraseRootFromParent_Done,
     /* 1201210 */   // Label 17032: @1201210
     /* 1201210 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1201309), // Rule ID 8253 //
     /* 1201215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1201218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1201226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1201229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1201235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1201238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1201268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1201285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201308 */     // GIR_Coverage, 8253,
     /* 1201308 */     GIR_EraseRootFromParent_Done,
     /* 1201309 */   // Label 17033: @1201309
     /* 1201309 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1201408), // Rule ID 8256 //
     /* 1201314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1201317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1201334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201367 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1201367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1201384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201407 */     // GIR_Coverage, 8256,
     /* 1201407 */     GIR_EraseRootFromParent_Done,
     /* 1201408 */   // Label 17034: @1201408
     /* 1201408 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1201507), // Rule ID 8257 //
     /* 1201413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1201416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1201424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1201427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1201433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1201436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1201466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201470 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1201483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201506 */     // GIR_Coverage, 8257,
     /* 1201506 */     GIR_EraseRootFromParent_Done,
     /* 1201507 */   // Label 17035: @1201507
     /* 1201507 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1201606), // Rule ID 8260 //
     /* 1201512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1201515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1201523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1201526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1201532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1201535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1201565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1201582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201605 */     // GIR_Coverage, 8260,
     /* 1201605 */     GIR_EraseRootFromParent_Done,
     /* 1201606 */   // Label 17036: @1201606
     /* 1201606 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1201705), // Rule ID 8261 //
     /* 1201611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1201614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1201622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1201625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1201631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1201634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201664 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1201664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1201681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201704 */     // GIR_Coverage, 8261,
     /* 1201704 */     GIR_EraseRootFromParent_Done,
     /* 1201705 */   // Label 17037: @1201705
     /* 1201705 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1201804), // Rule ID 8264 //
     /* 1201710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1201713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1201721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1201724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1201730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1201733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1201763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1201780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201803 */     // GIR_Coverage, 8264,
     /* 1201803 */     GIR_EraseRootFromParent_Done,
     /* 1201804 */   // Label 17038: @1201804
     /* 1201804 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1201903), // Rule ID 8265 //
     /* 1201809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1201812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1201820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1201823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1201829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1201832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1201862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201866 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1201879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201902 */     // GIR_Coverage, 8265,
     /* 1201902 */     GIR_EraseRootFromParent_Done,
     /* 1201903 */   // Label 17039: @1201903
     /* 1201903 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1202002), // Rule ID 8268 //
     /* 1201908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1201911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1201916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1201919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1201922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1201925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1201931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1201946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1201950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1201954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1201961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1201965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1201971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1201975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1201978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1201992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202001 */     // GIR_Coverage, 8268,
     /* 1202001 */     GIR_EraseRootFromParent_Done,
     /* 1202002 */   // Label 17040: @1202002
     /* 1202002 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1202101), // Rule ID 8269 //
     /* 1202007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1202024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202060 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1202060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1202077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202100 */     // GIR_Coverage, 8269,
     /* 1202100 */     GIR_EraseRootFromParent_Done,
     /* 1202101 */   // Label 17041: @1202101
     /* 1202101 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1202200), // Rule ID 8272 //
     /* 1202106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1202123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202159 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1202159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1202176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202199 */     // GIR_Coverage, 8272,
     /* 1202199 */     GIR_EraseRootFromParent_Done,
     /* 1202200 */   // Label 17042: @1202200
     /* 1202200 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1202299), // Rule ID 8273 //
     /* 1202205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1202222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1202258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1202275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202298 */     // GIR_Coverage, 8273,
     /* 1202298 */     GIR_EraseRootFromParent_Done,
     /* 1202299 */   // Label 17043: @1202299
     /* 1202299 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1202398), // Rule ID 8276 //
     /* 1202304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1202315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1202318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1202321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1202327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202357 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1202357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1202374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202397 */     // GIR_Coverage, 8276,
     /* 1202397 */     GIR_EraseRootFromParent_Done,
     /* 1202398 */   // Label 17044: @1202398
     /* 1202398 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1202497), // Rule ID 8277 //
     /* 1202403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1202414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1202417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1202420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1202426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202456 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1202456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202460 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1202473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1202495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202496 */     // GIR_Coverage, 8277,
     /* 1202496 */     GIR_EraseRootFromParent_Done,
     /* 1202497 */   // Label 17045: @1202497
     /* 1202497 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1202596), // Rule ID 8280 //
     /* 1202502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202555 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1202555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1202572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202595 */     // GIR_Coverage, 8280,
     /* 1202595 */     GIR_EraseRootFromParent_Done,
     /* 1202596 */   // Label 17046: @1202596
     /* 1202596 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1202695), // Rule ID 8281 //
     /* 1202601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1202654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1202671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202694 */     // GIR_Coverage, 8281,
     /* 1202694 */     GIR_EraseRootFromParent_Done,
     /* 1202695 */   // Label 17047: @1202695
     /* 1202695 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1202794), // Rule ID 8284 //
     /* 1202700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1202753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1202770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202793 */     // GIR_Coverage, 8284,
     /* 1202793 */     GIR_EraseRootFromParent_Done,
     /* 1202794 */   // Label 17048: @1202794
     /* 1202794 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1202893), // Rule ID 8285 //
     /* 1202799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1202802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1202810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1202813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1202822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1202852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1202869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202892 */     // GIR_Coverage, 8285,
     /* 1202892 */     GIR_EraseRootFromParent_Done,
     /* 1202893 */   // Label 17049: @1202893
     /* 1202893 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1202992), // Rule ID 8288 //
     /* 1202898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1202901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1202906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1202909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1202912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1202921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1202940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1202944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202951 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1202951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1202955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1202961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1202965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1202968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1202982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202991 */     // GIR_Coverage, 8288,
     /* 1202991 */     GIR_EraseRootFromParent_Done,
     /* 1202992 */   // Label 17050: @1202992
     /* 1202992 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1203091), // Rule ID 8289 //
     /* 1202997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1203008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1203011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1203014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1203020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1203050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1203067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203090 */     // GIR_Coverage, 8289,
     /* 1203090 */     GIR_EraseRootFromParent_Done,
     /* 1203091 */   // Label 17051: @1203091
     /* 1203091 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1203190), // Rule ID 8292 //
     /* 1203096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1203113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1203149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203189 */     // GIR_Coverage, 8292,
     /* 1203189 */     GIR_EraseRootFromParent_Done,
     /* 1203190 */   // Label 17052: @1203190
     /* 1203190 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1203289), // Rule ID 8293 //
     /* 1203195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1203206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1203209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1203212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1203218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203248 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1203248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203288 */     // GIR_Coverage, 8293,
     /* 1203288 */     GIR_EraseRootFromParent_Done,
     /* 1203289 */   // Label 17053: @1203289
     /* 1203289 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1203388), // Rule ID 8296 //
     /* 1203294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1203305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1203308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1203317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1203347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203387 */     // GIR_Coverage, 8296,
     /* 1203387 */     GIR_EraseRootFromParent_Done,
     /* 1203388 */   // Label 17054: @1203388
     /* 1203388 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1203487), // Rule ID 8297 //
     /* 1203393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1203404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1203407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1203410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1203416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1203446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203450 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203471 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203486 */     // GIR_Coverage, 8297,
     /* 1203486 */     GIR_EraseRootFromParent_Done,
     /* 1203487 */   // Label 17055: @1203487
     /* 1203487 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1203586), // Rule ID 8300 //
     /* 1203492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1203503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1203506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1203515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203545 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1203545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203585 */     // GIR_Coverage, 8300,
     /* 1203585 */     GIR_EraseRootFromParent_Done,
     /* 1203586 */   // Label 17056: @1203586
     /* 1203586 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1203685), // Rule ID 8301 //
     /* 1203591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1203602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1203605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1203608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1203614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203644 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1203644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203684 */     // GIR_Coverage, 8301,
     /* 1203684 */     GIR_EraseRootFromParent_Done,
     /* 1203685 */   // Label 17057: @1203685
     /* 1203685 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1203784), // Rule ID 8304 //
     /* 1203690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1203693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1203701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1203704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1203713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203743 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1203743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1203782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203783 */     // GIR_Coverage, 8304,
     /* 1203783 */     GIR_EraseRootFromParent_Done,
     /* 1203784 */   // Label 17058: @1203784
     /* 1203784 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1203883), // Rule ID 8305 //
     /* 1203789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1203792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1203800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1203803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1203806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1203812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203842 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1203842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203846 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1203859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203867 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1203881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203882 */     // GIR_Coverage, 8305,
     /* 1203882 */     GIR_EraseRootFromParent_Done,
     /* 1203883 */   // Label 17059: @1203883
     /* 1203883 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1203982), // Rule ID 8308 //
     /* 1203888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1203891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1203899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1203902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1203905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1203911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1203922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1203930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1203934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203941 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1203941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1203945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1203951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1203955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1203958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1203972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1203980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203981 */     // GIR_Coverage, 8308,
     /* 1203981 */     GIR_EraseRootFromParent_Done,
     /* 1203982 */   // Label 17060: @1203982
     /* 1203982 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1204081), // Rule ID 8309 //
     /* 1203987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1203990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1203995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1203998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1204001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1204004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1204010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204040 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1204040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1204057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204080 */     // GIR_Coverage, 8309,
     /* 1204080 */     GIR_EraseRootFromParent_Done,
     /* 1204081 */   // Label 17061: @1204081
     /* 1204081 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1204180), // Rule ID 8312 //
     /* 1204086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1204097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1204100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1204103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1204109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204139 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1204139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1204156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204179 */     // GIR_Coverage, 8312,
     /* 1204179 */     GIR_EraseRootFromParent_Done,
     /* 1204180 */   // Label 17062: @1204180
     /* 1204180 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1204279), // Rule ID 8313 //
     /* 1204185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1204196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1204199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1204202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1204208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204238 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1204238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1204255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204278 */     // GIR_Coverage, 8313,
     /* 1204278 */     GIR_EraseRootFromParent_Done,
     /* 1204279 */   // Label 17063: @1204279
     /* 1204279 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1204378), // Rule ID 8316 //
     /* 1204284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1204295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1204298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1204301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1204307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204337 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1204337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204341 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1204354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204377 */     // GIR_Coverage, 8316,
     /* 1204377 */     GIR_EraseRootFromParent_Done,
     /* 1204378 */   // Label 17064: @1204378
     /* 1204378 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1204477), // Rule ID 8317 //
     /* 1204383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1204394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1204397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1204400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1204406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204436 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1204436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1204453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1204475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204476 */     // GIR_Coverage, 8317,
     /* 1204476 */     GIR_EraseRootFromParent_Done,
     /* 1204477 */   // Label 17065: @1204477
     /* 1204477 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1204576), // Rule ID 8320 //
     /* 1204482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1204493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1204496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1204505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204535 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1204535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1204552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204575 */     // GIR_Coverage, 8320,
     /* 1204575 */     GIR_EraseRootFromParent_Done,
     /* 1204576 */   // Label 17066: @1204576
     /* 1204576 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1204675), // Rule ID 8321 //
     /* 1204581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1204592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1204595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1204604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204634 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1204634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1204651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204674 */     // GIR_Coverage, 8321,
     /* 1204674 */     GIR_EraseRootFromParent_Done,
     /* 1204675 */   // Label 17067: @1204675
     /* 1204675 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1204774), // Rule ID 8324 //
     /* 1204680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1204691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1204694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1204703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1204733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1204750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204773 */     // GIR_Coverage, 8324,
     /* 1204773 */     GIR_EraseRootFromParent_Done,
     /* 1204774 */   // Label 17068: @1204774
     /* 1204774 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1204873), // Rule ID 8325 //
     /* 1204779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1204790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1204793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1204796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1204802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204832 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1204832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204836 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1204849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204872 */     // GIR_Coverage, 8325,
     /* 1204872 */     GIR_EraseRootFromParent_Done,
     /* 1204873 */   // Label 17069: @1204873
     /* 1204873 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1204972), // Rule ID 8328 //
     /* 1204878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1204881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1204889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1204892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1204895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1204901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1204920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1204924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204931 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1204931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1204935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1204941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1204945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1204948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1204962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204971 */     // GIR_Coverage, 8328,
     /* 1204971 */     GIR_EraseRootFromParent_Done,
     /* 1204972 */   // Label 17070: @1204972
     /* 1204972 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1205071), // Rule ID 8329 //
     /* 1204977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1204980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1204985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1204988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1204991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1204994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1204997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1205000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1205030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1205047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205070 */     // GIR_Coverage, 8329,
     /* 1205070 */     GIR_EraseRootFromParent_Done,
     /* 1205071 */   // Label 17071: @1205071
     /* 1205071 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1205170), // Rule ID 8332 //
     /* 1205076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205129 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1205129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1205146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205169 */     // GIR_Coverage, 8332,
     /* 1205169 */     GIR_EraseRootFromParent_Done,
     /* 1205170 */   // Label 17072: @1205170
     /* 1205170 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1205269), // Rule ID 8333 //
     /* 1205175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1205228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205232 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1205245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205268 */     // GIR_Coverage, 8333,
     /* 1205268 */     GIR_EraseRootFromParent_Done,
     /* 1205269 */   // Label 17073: @1205269
     /* 1205269 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1205368), // Rule ID 8336 //
     /* 1205274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1205285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1205288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1205297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205327 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1205327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205331 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1205344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205367 */     // GIR_Coverage, 8336,
     /* 1205367 */     GIR_EraseRootFromParent_Done,
     /* 1205368 */   // Label 17074: @1205368
     /* 1205368 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1205467), // Rule ID 8337 //
     /* 1205373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1205384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1205387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1205396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1205426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1205443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205451 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205466 */     // GIR_Coverage, 8337,
     /* 1205466 */     GIR_EraseRootFromParent_Done,
     /* 1205467 */   // Label 17075: @1205467
     /* 1205467 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1205566), // Rule ID 8340 //
     /* 1205472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1205475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1205483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1205486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1205495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205525 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1205525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1205542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205565 */     // GIR_Coverage, 8340,
     /* 1205565 */     GIR_EraseRootFromParent_Done,
     /* 1205566 */   // Label 17076: @1205566
     /* 1205566 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1205665), // Rule ID 8341 //
     /* 1205571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1205574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1205582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1205585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1205588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1205594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1205624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1205641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205664 */     // GIR_Coverage, 8341,
     /* 1205664 */     GIR_EraseRootFromParent_Done,
     /* 1205665 */   // Label 17077: @1205665
     /* 1205665 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1205764), // Rule ID 8344 //
     /* 1205670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1205673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1205681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1205684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1205687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1205693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205723 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1205723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1205740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205763 */     // GIR_Coverage, 8344,
     /* 1205763 */     GIR_EraseRootFromParent_Done,
     /* 1205764 */   // Label 17078: @1205764
     /* 1205764 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1205863), // Rule ID 8345 //
     /* 1205769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1205772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1205780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1205783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1205786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1205792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1205822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1205839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205862 */     // GIR_Coverage, 8345,
     /* 1205862 */     GIR_EraseRootFromParent_Done,
     /* 1205863 */   // Label 17079: @1205863
     /* 1205863 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1205962), // Rule ID 8348 //
     /* 1205868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1205871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1205888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1205910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1205914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205921 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1205921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1205925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1205931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1205935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1205938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1205952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1205960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205961 */     // GIR_Coverage, 8348,
     /* 1205961 */     GIR_EraseRootFromParent_Done,
     /* 1205962 */   // Label 17080: @1205962
     /* 1205962 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1206061), // Rule ID 8349 //
     /* 1205967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1205970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1205975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1205978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1205981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1205984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1205987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1205990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1206009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206020 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1206020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1206037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206060 */     // GIR_Coverage, 8349,
     /* 1206060 */     GIR_EraseRootFromParent_Done,
     /* 1206061 */   // Label 17081: @1206061
     /* 1206061 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1206160), // Rule ID 8352 //
     /* 1206066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1206069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1206074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1206077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1206080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1206086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1206089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1206108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1206119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1206136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206159 */     // GIR_Coverage, 8352,
     /* 1206159 */     GIR_EraseRootFromParent_Done,
     /* 1206160 */   // Label 17082: @1206160
     /* 1206160 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1206259), // Rule ID 8353 //
     /* 1206165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1206168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1206173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1206176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1206179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1206182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1206188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1206207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1206218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1206235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1206257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206258 */     // GIR_Coverage, 8353,
     /* 1206258 */     GIR_EraseRootFromParent_Done,
     /* 1206259 */   // Label 17083: @1206259
     /* 1206259 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1206358), // Rule ID 8356 //
     /* 1206264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1206281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1206284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206317 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1206334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206357 */     // GIR_Coverage, 8356,
     /* 1206357 */     GIR_EraseRootFromParent_Done,
     /* 1206358 */   // Label 17084: @1206358
     /* 1206358 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1206457), // Rule ID 8357 //
     /* 1206363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1206380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1206383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206416 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1206433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206456 */     // GIR_Coverage, 8357,
     /* 1206456 */     GIR_EraseRootFromParent_Done,
     /* 1206457 */   // Label 17085: @1206457
     /* 1206457 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1206556), // Rule ID 8360 //
     /* 1206462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1206473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1206476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1206479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1206482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1206485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206515 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1206532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206555 */     // GIR_Coverage, 8360,
     /* 1206555 */     GIR_EraseRootFromParent_Done,
     /* 1206556 */   // Label 17086: @1206556
     /* 1206556 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1206655), // Rule ID 8361 //
     /* 1206561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1206572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1206575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1206578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1206581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1206584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206614 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1206631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206654 */     // GIR_Coverage, 8361,
     /* 1206654 */     GIR_EraseRootFromParent_Done,
     /* 1206655 */   // Label 17087: @1206655
     /* 1206655 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1206754), // Rule ID 8364 //
     /* 1206660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1206671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1206674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1206677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1206680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1206683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206713 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1206713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1206730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206753 */     // GIR_Coverage, 8364,
     /* 1206753 */     GIR_EraseRootFromParent_Done,
     /* 1206754 */   // Label 17088: @1206754
     /* 1206754 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1206853), // Rule ID 8365 //
     /* 1206759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1206770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1206773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1206776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1206779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1206782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1206812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206816 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1206829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1206851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206852 */     // GIR_Coverage, 8365,
     /* 1206852 */     GIR_EraseRootFromParent_Done,
     /* 1206853 */   // Label 17089: @1206853
     /* 1206853 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1206952), // Rule ID 8368 //
     /* 1206858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1206861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1206904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206911 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1206911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1206915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1206921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1206925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1206928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1206942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206951 */     // GIR_Coverage, 8368,
     /* 1206951 */     GIR_EraseRootFromParent_Done,
     /* 1206952 */   // Label 17090: @1206952
     /* 1206952 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1207051), // Rule ID 8369 //
     /* 1206957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1206960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1206965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1206968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1206971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1206974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1206977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1206980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1207010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207014 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1207027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207050 */     // GIR_Coverage, 8369,
     /* 1207050 */     GIR_EraseRootFromParent_Done,
     /* 1207051 */   // Label 17091: @1207051
     /* 1207051 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1207150), // Rule ID 8372 //
     /* 1207056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207109 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1207109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1207126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207149 */     // GIR_Coverage, 8372,
     /* 1207149 */     GIR_EraseRootFromParent_Done,
     /* 1207150 */   // Label 17092: @1207150
     /* 1207150 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1207249), // Rule ID 8373 //
     /* 1207155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207208 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1207208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207212 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1207225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207248 */     // GIR_Coverage, 8373,
     /* 1207248 */     GIR_EraseRootFromParent_Done,
     /* 1207249 */   // Label 17093: @1207249
     /* 1207249 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1207348), // Rule ID 8376 //
     /* 1207254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1207265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1207268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1207277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207307 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1207307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1207324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207347 */     // GIR_Coverage, 8376,
     /* 1207347 */     GIR_EraseRootFromParent_Done,
     /* 1207348 */   // Label 17094: @1207348
     /* 1207348 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1207447), // Rule ID 8377 //
     /* 1207353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1207364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1207367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1207370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1207373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1207376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207406 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1207406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207410 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1207423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207431 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207446 */     // GIR_Coverage, 8377,
     /* 1207446 */     GIR_EraseRootFromParent_Done,
     /* 1207447 */   // Label 17095: @1207447
     /* 1207447 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1207546), // Rule ID 8380 //
     /* 1207452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1207463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1207466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1207469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1207472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1207475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1207505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1207522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1207544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207545 */     // GIR_Coverage, 8380,
     /* 1207545 */     GIR_EraseRootFromParent_Done,
     /* 1207546 */   // Label 17096: @1207546
     /* 1207546 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1207645), // Rule ID 8381 //
     /* 1207551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1207562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1207565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1207568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1207571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1207574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207604 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1207604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1207621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1207643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207644 */     // GIR_Coverage, 8381,
     /* 1207644 */     GIR_EraseRootFromParent_Done,
     /* 1207645 */   // Label 17097: @1207645
     /* 1207645 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1207744), // Rule ID 8384 //
     /* 1207650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1207673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207703 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1207703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1207720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207743 */     // GIR_Coverage, 8384,
     /* 1207743 */     GIR_EraseRootFromParent_Done,
     /* 1207744 */   // Label 17098: @1207744
     /* 1207744 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1207843), // Rule ID 8385 //
     /* 1207749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1207760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1207763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1207772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1207802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207806 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1207819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207827 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207842 */     // GIR_Coverage, 8385,
     /* 1207842 */     GIR_EraseRootFromParent_Done,
     /* 1207843 */   // Label 17099: @1207843
     /* 1207843 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1207942), // Rule ID 8388 //
     /* 1207848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1207851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207901 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1207901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1207905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1207911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1207915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1207918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1207932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207941 */     // GIR_Coverage, 8388,
     /* 1207941 */     GIR_EraseRootFromParent_Done,
     /* 1207942 */   // Label 17100: @1207942
     /* 1207942 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1208041), // Rule ID 8389 //
     /* 1207947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1207950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1207955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1207958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1207961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1207964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1207967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1207970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1207993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208000 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1208000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1208017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208040 */     // GIR_Coverage, 8389,
     /* 1208040 */     GIR_EraseRootFromParent_Done,
     /* 1208041 */   // Label 17101: @1208041
     /* 1208041 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1208140), // Rule ID 8392 //
     /* 1208046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1208049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1208066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208099 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1208099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1208116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208139 */     // GIR_Coverage, 8392,
     /* 1208139 */     GIR_EraseRootFromParent_Done,
     /* 1208140 */   // Label 17102: @1208140
     /* 1208140 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1208239), // Rule ID 8393 //
     /* 1208145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1208148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1208156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1208159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1208162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1208165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1208168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1208198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1208215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1208237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208238 */     // GIR_Coverage, 8393,
     /* 1208238 */     GIR_EraseRootFromParent_Done,
     /* 1208239 */   // Label 17103: @1208239
     /* 1208239 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1208338), // Rule ID 8396 //
     /* 1208244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1208255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1208258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1208261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1208264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1208267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208297 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1208314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208337 */     // GIR_Coverage, 8396,
     /* 1208337 */     GIR_EraseRootFromParent_Done,
     /* 1208338 */   // Label 17104: @1208338
     /* 1208338 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1208437), // Rule ID 8397 //
     /* 1208343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1208354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1208357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1208360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1208363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1208366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208400 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1208413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208436 */     // GIR_Coverage, 8397,
     /* 1208436 */     GIR_EraseRootFromParent_Done,
     /* 1208437 */   // Label 17105: @1208437
     /* 1208437 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1208536), // Rule ID 8400 //
     /* 1208442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1208453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1208456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1208459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1208462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1208465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208495 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1208512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208535 */     // GIR_Coverage, 8400,
     /* 1208535 */     GIR_EraseRootFromParent_Done,
     /* 1208536 */   // Label 17106: @1208536
     /* 1208536 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1208635), // Rule ID 8401 //
     /* 1208541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1208552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1208555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1208558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1208561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1208564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208594 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1208611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208634 */     // GIR_Coverage, 8401,
     /* 1208634 */     GIR_EraseRootFromParent_Done,
     /* 1208635 */   // Label 17107: @1208635
     /* 1208635 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1208734), // Rule ID 8404 //
     /* 1208640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1208651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1208654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1208657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1208660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1208663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208693 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1208693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1208710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208733 */     // GIR_Coverage, 8404,
     /* 1208733 */     GIR_EraseRootFromParent_Done,
     /* 1208734 */   // Label 17108: @1208734
     /* 1208734 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1208833), // Rule ID 8405 //
     /* 1208739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1208750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1208753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1208756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1208759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1208762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208792 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1208792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208796 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1208809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1208831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208832 */     // GIR_Coverage, 8405,
     /* 1208832 */     GIR_EraseRootFromParent_Done,
     /* 1208833 */   // Label 17109: @1208833
     /* 1208833 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1208932), // Rule ID 8408 //
     /* 1208838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1208841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1208849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1208852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1208861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1208891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1208901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1208905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1208908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1208922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208931 */     // GIR_Coverage, 8408,
     /* 1208931 */     GIR_EraseRootFromParent_Done,
     /* 1208932 */   // Label 17110: @1208932
     /* 1208932 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1209031), // Rule ID 8409 //
     /* 1208937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1208940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1208945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1208948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1208951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1208954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1208957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1208960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1208983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208990 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1208990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1208994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1209007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209030 */     // GIR_Coverage, 8409,
     /* 1209030 */     GIR_EraseRootFromParent_Done,
     /* 1209031 */   // Label 17111: @1209031
     /* 1209031 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1209130), // Rule ID 8412 //
     /* 1209036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1209056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1209089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1209106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209129 */     // GIR_Coverage, 8412,
     /* 1209129 */     GIR_EraseRootFromParent_Done,
     /* 1209130 */   // Label 17112: @1209130
     /* 1209130 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1209229), // Rule ID 8413 //
     /* 1209135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1209155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209188 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1209188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1209205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209228 */     // GIR_Coverage, 8413,
     /* 1209228 */     GIR_EraseRootFromParent_Done,
     /* 1209229 */   // Label 17113: @1209229
     /* 1209229 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1209328), // Rule ID 8416 //
     /* 1209234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1209245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1209248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1209251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1209254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1209257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209287 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1209287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1209304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209327 */     // GIR_Coverage, 8416,
     /* 1209327 */     GIR_EraseRootFromParent_Done,
     /* 1209328 */   // Label 17114: @1209328
     /* 1209328 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1209427), // Rule ID 8417 //
     /* 1209333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1209344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1209347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1209350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1209353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1209356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209386 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1209386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1209403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209426 */     // GIR_Coverage, 8417,
     /* 1209426 */     GIR_EraseRootFromParent_Done,
     /* 1209427 */   // Label 17115: @1209427
     /* 1209427 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1209526), // Rule ID 8420 //
     /* 1209432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1209443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1209446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1209455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209485 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1209485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1209502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209525 */     // GIR_Coverage, 8420,
     /* 1209525 */     GIR_EraseRootFromParent_Done,
     /* 1209526 */   // Label 17116: @1209526
     /* 1209526 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1209625), // Rule ID 8421 //
     /* 1209531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1209542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1209545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1209551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1209554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209584 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1209584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1209601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209624 */     // GIR_Coverage, 8421,
     /* 1209624 */     GIR_EraseRootFromParent_Done,
     /* 1209625 */   // Label 17117: @1209625
     /* 1209625 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1209724), // Rule ID 8424 //
     /* 1209630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1209641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1209644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1209653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1209683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1209700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209723 */     // GIR_Coverage, 8424,
     /* 1209723 */     GIR_EraseRootFromParent_Done,
     /* 1209724 */   // Label 17118: @1209724
     /* 1209724 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1209823), // Rule ID 8425 //
     /* 1209729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1209740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1209743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1209746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1209749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1209752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209782 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1209782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1209799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209822 */     // GIR_Coverage, 8425,
     /* 1209822 */     GIR_EraseRootFromParent_Done,
     /* 1209823 */   // Label 17119: @1209823
     /* 1209823 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1209922), // Rule ID 8428 //
     /* 1209828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1209831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1209848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209881 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1209881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1209898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1209912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209921 */     // GIR_Coverage, 8428,
     /* 1209921 */     GIR_EraseRootFromParent_Done,
     /* 1209922 */   // Label 17120: @1209922
     /* 1209922 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1210021), // Rule ID 8429 //
     /* 1209927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1209930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1209935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1209938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1209941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1209944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1209947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1209950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1209973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209980 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1209980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1209984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1209990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1209994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1209997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210020 */     // GIR_Coverage, 8429,
     /* 1210020 */     GIR_EraseRootFromParent_Done,
     /* 1210021 */   // Label 17121: @1210021
     /* 1210021 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1210120), // Rule ID 8432 //
     /* 1210026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1210029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1210037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1210040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1210046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1210049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210079 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1210079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1210096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210119 */     // GIR_Coverage, 8432,
     /* 1210119 */     GIR_EraseRootFromParent_Done,
     /* 1210120 */   // Label 17122: @1210120
     /* 1210120 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1210219), // Rule ID 8433 //
     /* 1210125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1210128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1210136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1210139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1210142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1210145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1210148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1210178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1210195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210218 */     // GIR_Coverage, 8433,
     /* 1210218 */     GIR_EraseRootFromParent_Done,
     /* 1210219 */   // Label 17123: @1210219
     /* 1210219 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1210318), // Rule ID 8436 //
     /* 1210224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1210227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1210235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1210238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1210244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1210247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210277 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1210277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1210294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210317 */     // GIR_Coverage, 8436,
     /* 1210317 */     GIR_EraseRootFromParent_Done,
     /* 1210318 */   // Label 17124: @1210318
     /* 1210318 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1210417), // Rule ID 8437 //
     /* 1210323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1210326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1210334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1210337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1210340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1210343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1210346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210376 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1210376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210380 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1210393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210401 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210416 */     // GIR_Coverage, 8437,
     /* 1210416 */     GIR_EraseRootFromParent_Done,
     /* 1210417 */   // Label 17125: @1210417
     /* 1210417 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1210516), // Rule ID 8440 //
     /* 1210422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1210425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1210433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1210436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1210442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1210445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210475 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1210475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1210492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210515 */     // GIR_Coverage, 8440,
     /* 1210515 */     GIR_EraseRootFromParent_Done,
     /* 1210516 */   // Label 17126: @1210516
     /* 1210516 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1210615), // Rule ID 8441 //
     /* 1210521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1210524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1210532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1210535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1210538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1210541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1210544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210574 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1210574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210578 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1210591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1210613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210614 */     // GIR_Coverage, 8441,
     /* 1210614 */     GIR_EraseRootFromParent_Done,
     /* 1210615 */   // Label 17127: @1210615
     /* 1210615 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1210714), // Rule ID 8444 //
     /* 1210620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1210631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1210634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1210637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1210643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1210662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210673 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1210673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1210690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210713 */     // GIR_Coverage, 8444,
     /* 1210713 */     GIR_EraseRootFromParent_Done,
     /* 1210714 */   // Label 17128: @1210714
     /* 1210714 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1210813), // Rule ID 8445 //
     /* 1210719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1210730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1210733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1210736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1210742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1210761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1210772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210776 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210782 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1210789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210797 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210812 */     // GIR_Coverage, 8445,
     /* 1210812 */     GIR_EraseRootFromParent_Done,
     /* 1210813 */   // Label 17129: @1210813
     /* 1210813 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1210912), // Rule ID 8448 //
     /* 1210818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1210821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1210829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1210832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1210835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1210838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1210841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1210860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210871 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1210871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1210888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1210902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1210910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210911 */     // GIR_Coverage, 8448,
     /* 1210911 */     GIR_EraseRootFromParent_Done,
     /* 1210912 */   // Label 17130: @1210912
     /* 1210912 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1211011), // Rule ID 8449 //
     /* 1210917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1210920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1210925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1210928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1210931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1210934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1210940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1210959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1210963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1210970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1210974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1210980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1210984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1210987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211010 */     // GIR_Coverage, 8449,
     /* 1211010 */     GIR_EraseRootFromParent_Done,
     /* 1211011 */   // Label 17131: @1211011
     /* 1211011 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1211110), // Rule ID 8452 //
     /* 1211016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1211027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1211030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1211033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1211039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211069 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1211069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211109 */     // GIR_Coverage, 8452,
     /* 1211109 */     GIR_EraseRootFromParent_Done,
     /* 1211110 */   // Label 17132: @1211110
     /* 1211110 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1211209), // Rule ID 8453 //
     /* 1211115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1211126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1211129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1211132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1211138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1211168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211208 */     // GIR_Coverage, 8453,
     /* 1211208 */     GIR_EraseRootFromParent_Done,
     /* 1211209 */   // Label 17133: @1211209
     /* 1211209 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1211308), // Rule ID 8456 //
     /* 1211214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211267 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1211267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1211284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211307 */     // GIR_Coverage, 8456,
     /* 1211307 */     GIR_EraseRootFromParent_Done,
     /* 1211308 */   // Label 17134: @1211308
     /* 1211308 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1211407), // Rule ID 8457 //
     /* 1211313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1211330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1211366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211370 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1211383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211406 */     // GIR_Coverage, 8457,
     /* 1211406 */     GIR_EraseRootFromParent_Done,
     /* 1211407 */   // Label 17135: @1211407
     /* 1211407 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1211506), // Rule ID 8460 //
     /* 1211412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1211423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1211426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1211435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1211465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211505 */     // GIR_Coverage, 8460,
     /* 1211505 */     GIR_EraseRootFromParent_Done,
     /* 1211506 */   // Label 17136: @1211506
     /* 1211506 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1211605), // Rule ID 8461 //
     /* 1211511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1211522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1211525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1211528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1211534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1211564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211604 */     // GIR_Coverage, 8461,
     /* 1211604 */     GIR_EraseRootFromParent_Done,
     /* 1211605 */   // Label 17137: @1211605
     /* 1211605 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1211704), // Rule ID 8464 //
     /* 1211610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1211663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211667 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211703 */     // GIR_Coverage, 8464,
     /* 1211703 */     GIR_EraseRootFromParent_Done,
     /* 1211704 */   // Label 17138: @1211704
     /* 1211704 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1211803), // Rule ID 8465 //
     /* 1211709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1211720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1211723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1211732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1211762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211766 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1211779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211802 */     // GIR_Coverage, 8465,
     /* 1211802 */     GIR_EraseRootFromParent_Done,
     /* 1211803 */   // Label 17139: @1211803
     /* 1211803 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1211902), // Rule ID 8468 //
     /* 1211808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1211811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1211819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1211822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1211825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1211828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211861 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1211861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1211878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211901 */     // GIR_Coverage, 8468,
     /* 1211901 */     GIR_EraseRootFromParent_Done,
     /* 1211902 */   // Label 17140: @1211902
     /* 1211902 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1212001), // Rule ID 8469 //
     /* 1211907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1211910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1211915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1211918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1211921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1211924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1211927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1211930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1211949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1211953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211960 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1211960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1211964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1211970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1211974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1211977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1211991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1211999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212000 */     // GIR_Coverage, 8469,
     /* 1212000 */     GIR_EraseRootFromParent_Done,
     /* 1212001 */   // Label 17141: @1212001
     /* 1212001 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1212100), // Rule ID 8472 //
     /* 1212006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1212017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1212020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1212029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212059 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1212059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212099 */     // GIR_Coverage, 8472,
     /* 1212099 */     GIR_EraseRootFromParent_Done,
     /* 1212100 */   // Label 17142: @1212100
     /* 1212100 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1212199), // Rule ID 8473 //
     /* 1212105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1212116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1212119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1212122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1212128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212158 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1212158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212198 */     // GIR_Coverage, 8473,
     /* 1212198 */     GIR_EraseRootFromParent_Done,
     /* 1212199 */   // Label 17143: @1212199
     /* 1212199 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1212298), // Rule ID 8476 //
     /* 1212204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1212215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1212218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1212227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212257 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1212257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212261 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212267 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212297 */     // GIR_Coverage, 8476,
     /* 1212297 */     GIR_EraseRootFromParent_Done,
     /* 1212298 */   // Label 17144: @1212298
     /* 1212298 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1212397), // Rule ID 8477 //
     /* 1212303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1212314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1212317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1212320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1212326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1212356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212360 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212381 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212396 */     // GIR_Coverage, 8477,
     /* 1212396 */     GIR_EraseRootFromParent_Done,
     /* 1212397 */   // Label 17145: @1212397
     /* 1212397 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1212496), // Rule ID 8480 //
     /* 1212402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1212405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212455 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1212455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212495 */     // GIR_Coverage, 8480,
     /* 1212495 */     GIR_EraseRootFromParent_Done,
     /* 1212496 */   // Label 17146: @1212496
     /* 1212496 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1212595), // Rule ID 8481 //
     /* 1212501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1212504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1212512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1212515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1212524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1212554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212558 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212564 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1212571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1212593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212594 */     // GIR_Coverage, 8481,
     /* 1212594 */     GIR_EraseRootFromParent_Done,
     /* 1212595 */   // Label 17147: @1212595
     /* 1212595 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1212694), // Rule ID 8484 //
     /* 1212600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1212611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1212614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1212617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1212623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212653 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1212653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1212670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212693 */     // GIR_Coverage, 8484,
     /* 1212693 */     GIR_EraseRootFromParent_Done,
     /* 1212694 */   // Label 17148: @1212694
     /* 1212694 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1212793), // Rule ID 8485 //
     /* 1212699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1212710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1212713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1212716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1212722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212752 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1212752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212756 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1212769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212792 */     // GIR_Coverage, 8485,
     /* 1212792 */     GIR_EraseRootFromParent_Done,
     /* 1212793 */   // Label 17149: @1212793
     /* 1212793 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1212892), // Rule ID 8488 //
     /* 1212798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1212809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1212812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1212815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1212818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1212821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212851 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1212851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1212868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212891 */     // GIR_Coverage, 8488,
     /* 1212891 */     GIR_EraseRootFromParent_Done,
     /* 1212892 */   // Label 17150: @1212892
     /* 1212892 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1212991), // Rule ID 8489 //
     /* 1212897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1212900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1212905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1212908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1212911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1212914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1212920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1212939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1212943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212950 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1212950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1212954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1212960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1212964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1212967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1212981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1212989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212990 */     // GIR_Coverage, 8489,
     /* 1212990 */     GIR_EraseRootFromParent_Done,
     /* 1212991 */   // Label 17151: @1212991
     /* 1212991 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1213090), // Rule ID 8492 //
     /* 1212996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1212999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1213007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1213010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1213013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1213019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213049 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1213049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1213066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213089 */     // GIR_Coverage, 8492,
     /* 1213089 */     GIR_EraseRootFromParent_Done,
     /* 1213090 */   // Label 17152: @1213090
     /* 1213090 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1213189), // Rule ID 8493 //
     /* 1213095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1213106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1213109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1213112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1213118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213148 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1213148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1213165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1213187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213188 */     // GIR_Coverage, 8493,
     /* 1213188 */     GIR_EraseRootFromParent_Done,
     /* 1213189 */   // Label 17153: @1213189
     /* 1213189 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1213288), // Rule ID 8496 //
     /* 1213194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1213205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1213208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1213217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213247 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1213247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1213264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213287 */     // GIR_Coverage, 8496,
     /* 1213287 */     GIR_EraseRootFromParent_Done,
     /* 1213288 */   // Label 17154: @1213288
     /* 1213288 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1213387), // Rule ID 8497 //
     /* 1213293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1213304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1213307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1213310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1213316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213346 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1213346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213350 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1213363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213386 */     // GIR_Coverage, 8497,
     /* 1213386 */     GIR_EraseRootFromParent_Done,
     /* 1213387 */   // Label 17155: @1213387
     /* 1213387 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1213486), // Rule ID 8500 //
     /* 1213392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1213403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1213406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1213415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213445 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1213445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1213462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213485 */     // GIR_Coverage, 8500,
     /* 1213485 */     GIR_EraseRootFromParent_Done,
     /* 1213486 */   // Label 17156: @1213486
     /* 1213486 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1213585), // Rule ID 8501 //
     /* 1213491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1213502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1213505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1213508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1213514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213544 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1213544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1213561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213584 */     // GIR_Coverage, 8501,
     /* 1213584 */     GIR_EraseRootFromParent_Done,
     /* 1213585 */   // Label 17157: @1213585
     /* 1213585 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1213684), // Rule ID 8504 //
     /* 1213590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1213601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1213604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1213607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1213613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213643 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1213643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1213660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213683 */     // GIR_Coverage, 8504,
     /* 1213683 */     GIR_EraseRootFromParent_Done,
     /* 1213684 */   // Label 17158: @1213684
     /* 1213684 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1213783), // Rule ID 8505 //
     /* 1213689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1213700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1213703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1213706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1213712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213742 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1213742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213746 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213752 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1213759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213767 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213782 */     // GIR_Coverage, 8505,
     /* 1213782 */     GIR_EraseRootFromParent_Done,
     /* 1213783 */   // Label 17159: @1213783
     /* 1213783 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1213882), // Rule ID 8508 //
     /* 1213788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1213799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1213802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1213808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1213811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213841 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1213841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1213858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213881 */     // GIR_Coverage, 8508,
     /* 1213881 */     GIR_EraseRootFromParent_Done,
     /* 1213882 */   // Label 17160: @1213882
     /* 1213882 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1213981), // Rule ID 8509 //
     /* 1213887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1213890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1213898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1213901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1213907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1213910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1213929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1213933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213940 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1213940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1213944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1213950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1213954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1213957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1213971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213980 */     // GIR_Coverage, 8509,
     /* 1213980 */     GIR_EraseRootFromParent_Done,
     /* 1213981 */   // Label 17161: @1213981
     /* 1213981 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1214080), // Rule ID 8512 //
     /* 1213986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1213989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1213994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1213997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214039 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1214039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1214056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214079 */     // GIR_Coverage, 8512,
     /* 1214079 */     GIR_EraseRootFromParent_Done,
     /* 1214080 */   // Label 17162: @1214080
     /* 1214080 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1214179), // Rule ID 8513 //
     /* 1214085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1214096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214138 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1214138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214142 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1214155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214178 */     // GIR_Coverage, 8513,
     /* 1214178 */     GIR_EraseRootFromParent_Done,
     /* 1214179 */   // Label 17163: @1214179
     /* 1214179 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1214278), // Rule ID 8516 //
     /* 1214184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1214237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214241 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1214254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214262 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214277 */     // GIR_Coverage, 8516,
     /* 1214277 */     GIR_EraseRootFromParent_Done,
     /* 1214278 */   // Label 17164: @1214278
     /* 1214278 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1214377), // Rule ID 8517 //
     /* 1214283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1214286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1214294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1214297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1214300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1214306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214336 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1214336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214340 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1214353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214361 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214376 */     // GIR_Coverage, 8517,
     /* 1214376 */     GIR_EraseRootFromParent_Done,
     /* 1214377 */   // Label 17165: @1214377
     /* 1214377 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1214476), // Rule ID 8520 //
     /* 1214382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1214385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1214393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1214396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1214405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214435 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1214435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1214452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214475 */     // GIR_Coverage, 8520,
     /* 1214475 */     GIR_EraseRootFromParent_Done,
     /* 1214476 */   // Label 17166: @1214476
     /* 1214476 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1214575), // Rule ID 8521 //
     /* 1214481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1214484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1214492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1214495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1214498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1214504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214534 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1214534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214538 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1214551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214574 */     // GIR_Coverage, 8521,
     /* 1214574 */     GIR_EraseRootFromParent_Done,
     /* 1214575 */   // Label 17167: @1214575
     /* 1214575 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1214674), // Rule ID 8524 //
     /* 1214580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1214583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1214591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1214594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1214603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214633 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1214633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1214650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214673 */     // GIR_Coverage, 8524,
     /* 1214673 */     GIR_EraseRootFromParent_Done,
     /* 1214674 */   // Label 17168: @1214674
     /* 1214674 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1214773), // Rule ID 8525 //
     /* 1214679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1214682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1214690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1214693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1214702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1214732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1214749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214772 */     // GIR_Coverage, 8525,
     /* 1214772 */     GIR_EraseRootFromParent_Done,
     /* 1214773 */   // Label 17169: @1214773
     /* 1214773 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1214872), // Rule ID 8528 //
     /* 1214778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1214781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1214789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1214798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1214831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1214848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214871 */     // GIR_Coverage, 8528,
     /* 1214871 */     GIR_EraseRootFromParent_Done,
     /* 1214872 */   // Label 17170: @1214872
     /* 1214872 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1214971), // Rule ID 8529 //
     /* 1214877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1214880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1214885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1214888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1214891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1214897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1214900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1214919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1214923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1214930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1214934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1214940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1214944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1214947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1214961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1214969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214970 */     // GIR_Coverage, 8529,
     /* 1214970 */     GIR_EraseRootFromParent_Done,
     /* 1214971 */   // Label 17171: @1214971
     /* 1214971 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1215070), // Rule ID 8532 //
     /* 1214976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1214979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1214984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1214987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1214990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1214993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1214996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1214999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215029 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1215046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215069 */     // GIR_Coverage, 8532,
     /* 1215069 */     GIR_EraseRootFromParent_Done,
     /* 1215070 */   // Label 17172: @1215070
     /* 1215070 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1215169), // Rule ID 8533 //
     /* 1215075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1215086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1215089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1215092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1215095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215132 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1215145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215168 */     // GIR_Coverage, 8533,
     /* 1215168 */     GIR_EraseRootFromParent_Done,
     /* 1215169 */   // Label 17173: @1215169
     /* 1215169 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1215268), // Rule ID 8536 //
     /* 1215174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1215185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1215188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1215191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1215194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215227 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1215244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215267 */     // GIR_Coverage, 8536,
     /* 1215267 */     GIR_EraseRootFromParent_Done,
     /* 1215268 */   // Label 17174: @1215268
     /* 1215268 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1215367), // Rule ID 8537 //
     /* 1215273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1215284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1215287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1215290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1215293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215330 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1215343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215351 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215366 */     // GIR_Coverage, 8537,
     /* 1215366 */     GIR_EraseRootFromParent_Done,
     /* 1215367 */   // Label 17175: @1215367
     /* 1215367 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1215466), // Rule ID 8540 //
     /* 1215372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1215383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1215386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1215389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1215392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1215425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1215442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215465 */     // GIR_Coverage, 8540,
     /* 1215465 */     GIR_EraseRootFromParent_Done,
     /* 1215466 */   // Label 17176: @1215466
     /* 1215466 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1215565), // Rule ID 8541 //
     /* 1215471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1215482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1215485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1215488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1215491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1215494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215524 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1215524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1215541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1215563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215564 */     // GIR_Coverage, 8541,
     /* 1215564 */     GIR_EraseRootFromParent_Done,
     /* 1215565 */   // Label 17177: @1215565
     /* 1215565 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1215664), // Rule ID 8544 //
     /* 1215570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1215581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1215584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215623 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1215623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1215640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215663 */     // GIR_Coverage, 8544,
     /* 1215663 */     GIR_EraseRootFromParent_Done,
     /* 1215664 */   // Label 17178: @1215664
     /* 1215664 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1215763), // Rule ID 8545 //
     /* 1215669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1215680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1215683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1215722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215726 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1215739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215747 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215762 */     // GIR_Coverage, 8545,
     /* 1215762 */     GIR_EraseRootFromParent_Done,
     /* 1215763 */   // Label 17179: @1215763
     /* 1215763 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1215862), // Rule ID 8548 //
     /* 1215768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1215779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1215782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1215788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215821 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1215821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1215838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215861 */     // GIR_Coverage, 8548,
     /* 1215861 */     GIR_EraseRootFromParent_Done,
     /* 1215862 */   // Label 17180: @1215862
     /* 1215862 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1215961), // Rule ID 8549 //
     /* 1215867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1215870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1215878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1215881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1215887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1215890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1215913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215920 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1215920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1215924 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1215930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1215934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1215937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1215951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215960 */     // GIR_Coverage, 8549,
     /* 1215960 */     GIR_EraseRootFromParent_Done,
     /* 1215961 */   // Label 17181: @1215961
     /* 1215961 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1216060), // Rule ID 8552 //
     /* 1215966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1215969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1215974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1215977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1215980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1215983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1215986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1215989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1216019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1216036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216059 */     // GIR_Coverage, 8552,
     /* 1216059 */     GIR_EraseRootFromParent_Done,
     /* 1216060 */   // Label 17182: @1216060
     /* 1216060 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1216159), // Rule ID 8553 //
     /* 1216065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1216076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1216079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1216118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216122 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1216135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216158 */     // GIR_Coverage, 8553,
     /* 1216158 */     GIR_EraseRootFromParent_Done,
     /* 1216159 */   // Label 17183: @1216159
     /* 1216159 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1216258), // Rule ID 8556 //
     /* 1216164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1216175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1216178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1216181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1216184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1216187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216217 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1216217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1216256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216257 */     // GIR_Coverage, 8556,
     /* 1216257 */     GIR_EraseRootFromParent_Done,
     /* 1216258 */   // Label 17184: @1216258
     /* 1216258 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1216357), // Rule ID 8557 //
     /* 1216263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1216274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1216277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1216280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1216283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1216286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1216316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216320 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216341 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1216355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216356 */     // GIR_Coverage, 8557,
     /* 1216356 */     GIR_EraseRootFromParent_Done,
     /* 1216357 */   // Label 17185: @1216357
     /* 1216357 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1216456), // Rule ID 8560 //
     /* 1216362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1216373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1216376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1216385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216415 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1216415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216455 */     // GIR_Coverage, 8560,
     /* 1216455 */     GIR_EraseRootFromParent_Done,
     /* 1216456 */   // Label 17186: @1216456
     /* 1216456 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1216555), // Rule ID 8561 //
     /* 1216461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1216472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1216475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1216484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1216514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216554 */     // GIR_Coverage, 8561,
     /* 1216554 */     GIR_EraseRootFromParent_Done,
     /* 1216555 */   // Label 17187: @1216555
     /* 1216555 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1216654), // Rule ID 8564 //
     /* 1216560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1216571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1216574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216613 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1216613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216653 */     // GIR_Coverage, 8564,
     /* 1216653 */     GIR_EraseRootFromParent_Done,
     /* 1216654 */   // Label 17188: @1216654
     /* 1216654 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1216753), // Rule ID 8565 //
     /* 1216659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1216662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1216670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1216673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1216682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216712 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1216712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216716 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216752 */     // GIR_Coverage, 8565,
     /* 1216752 */     GIR_EraseRootFromParent_Done,
     /* 1216753 */   // Label 17189: @1216753
     /* 1216753 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1216852), // Rule ID 8568 //
     /* 1216758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1216761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1216769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1216772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216811 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1216811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216851 */     // GIR_Coverage, 8568,
     /* 1216851 */     GIR_EraseRootFromParent_Done,
     /* 1216852 */   // Label 17190: @1216852
     /* 1216852 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1216951), // Rule ID 8569 //
     /* 1216857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1216860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1216868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1216871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1216880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1216903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1216910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1216914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1216920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1216924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1216927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1216941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216950 */     // GIR_Coverage, 8569,
     /* 1216950 */     GIR_EraseRootFromParent_Done,
     /* 1216951 */   // Label 17191: @1216951
     /* 1216951 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1217050), // Rule ID 8572 //
     /* 1216956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1216959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1216964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1216967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1216970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1216973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1216976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1216979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217009 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1217026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217049 */     // GIR_Coverage, 8572,
     /* 1217049 */     GIR_EraseRootFromParent_Done,
     /* 1217050 */   // Label 17192: @1217050
     /* 1217050 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1217149), // Rule ID 8573 //
     /* 1217055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1217066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1217069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1217072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1217075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217108 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217112 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1217125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217133 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217148 */     // GIR_Coverage, 8573,
     /* 1217148 */     GIR_EraseRootFromParent_Done,
     /* 1217149 */   // Label 17193: @1217149
     /* 1217149 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1217248), // Rule ID 8576 //
     /* 1217154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1217165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1217168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1217171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1217174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217207 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217211 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1217224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217247 */     // GIR_Coverage, 8576,
     /* 1217247 */     GIR_EraseRootFromParent_Done,
     /* 1217248 */   // Label 17194: @1217248
     /* 1217248 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1217347), // Rule ID 8577 //
     /* 1217253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1217264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1217267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1217270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1217273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217310 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1217323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217346 */     // GIR_Coverage, 8577,
     /* 1217346 */     GIR_EraseRootFromParent_Done,
     /* 1217347 */   // Label 17195: @1217347
     /* 1217347 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1217446), // Rule ID 8580 //
     /* 1217352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1217363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1217366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1217369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1217372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1217375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217405 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1217405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1217422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217445 */     // GIR_Coverage, 8580,
     /* 1217445 */     GIR_EraseRootFromParent_Done,
     /* 1217446 */   // Label 17196: @1217446
     /* 1217446 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1217545), // Rule ID 8581 //
     /* 1217451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1217462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1217465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1217468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1217471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1217474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217504 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1217504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1217521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1217543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217544 */     // GIR_Coverage, 8581,
     /* 1217544 */     GIR_EraseRootFromParent_Done,
     /* 1217545 */   // Label 17197: @1217545
     /* 1217545 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1217644), // Rule ID 8584 //
     /* 1217550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1217561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1217564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1217573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1217620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217643 */     // GIR_Coverage, 8584,
     /* 1217643 */     GIR_EraseRootFromParent_Done,
     /* 1217644 */   // Label 17198: @1217644
     /* 1217644 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1217743), // Rule ID 8585 //
     /* 1217649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1217660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1217663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1217666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1217669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1217672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1217702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217706 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1217719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217727 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217742 */     // GIR_Coverage, 8585,
     /* 1217742 */     GIR_EraseRootFromParent_Done,
     /* 1217743 */   // Label 17199: @1217743
     /* 1217743 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1217842), // Rule ID 8588 //
     /* 1217748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1217759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1217762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217801 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217805 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1217818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217841 */     // GIR_Coverage, 8588,
     /* 1217841 */     GIR_EraseRootFromParent_Done,
     /* 1217842 */   // Label 17200: @1217842
     /* 1217842 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1217941), // Rule ID 8589 //
     /* 1217847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1217850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1217858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1217861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1217870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217900 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1217900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1217904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1217910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1217914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1217917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1217931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217940 */     // GIR_Coverage, 8589,
     /* 1217940 */     GIR_EraseRootFromParent_Done,
     /* 1217941 */   // Label 17201: @1217941
     /* 1217941 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1218040), // Rule ID 8592 //
     /* 1217946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1217949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1217954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1217957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1217960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1217969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1217980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1217992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217999 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1217999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1218016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218039 */     // GIR_Coverage, 8592,
     /* 1218039 */     GIR_EraseRootFromParent_Done,
     /* 1218040 */   // Label 17202: @1218040
     /* 1218040 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1218139), // Rule ID 8593 //
     /* 1218045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1218056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1218059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1218062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1218065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1218068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218098 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1218098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1218115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218138 */     // GIR_Coverage, 8593,
     /* 1218138 */     GIR_EraseRootFromParent_Done,
     /* 1218139 */   // Label 17203: @1218139
     /* 1218139 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1218238), // Rule ID 8596 //
     /* 1218144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1218155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1218158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1218161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1218164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218197 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1218197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1218214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218237 */     // GIR_Coverage, 8596,
     /* 1218237 */     GIR_EraseRootFromParent_Done,
     /* 1218238 */   // Label 17204: @1218238
     /* 1218238 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1218337), // Rule ID 8597 //
     /* 1218243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1218254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1218257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1218260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1218263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1218313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218336 */     // GIR_Coverage, 8597,
     /* 1218336 */     GIR_EraseRootFromParent_Done,
     /* 1218337 */   // Label 17205: @1218337
     /* 1218337 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1218436), // Rule ID 8600 //
     /* 1218342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1218353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1218356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1218395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1218412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218435 */     // GIR_Coverage, 8600,
     /* 1218435 */     GIR_EraseRootFromParent_Done,
     /* 1218436 */   // Label 17206: @1218436
     /* 1218436 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1218535), // Rule ID 8601 //
     /* 1218441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1218452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1218455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1218458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1218461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1218464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1218511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218534 */     // GIR_Coverage, 8601,
     /* 1218534 */     GIR_EraseRootFromParent_Done,
     /* 1218535 */   // Label 17207: @1218535
     /* 1218535 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1218634), // Rule ID 8604 //
     /* 1218540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1218543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1218551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1218554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1218563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1218593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1218610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218633 */     // GIR_Coverage, 8604,
     /* 1218633 */     GIR_EraseRootFromParent_Done,
     /* 1218634 */   // Label 17208: @1218634
     /* 1218634 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1218733), // Rule ID 8605 //
     /* 1218639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1218642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1218650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1218653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1218656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1218659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1218662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218692 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1218692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1218709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218717 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218732 */     // GIR_Coverage, 8605,
     /* 1218732 */     GIR_EraseRootFromParent_Done,
     /* 1218733 */   // Label 17209: @1218733
     /* 1218733 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1218832), // Rule ID 8608 //
     /* 1218738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1218741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1218749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1218752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1218761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218791 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1218791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1218808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218831 */     // GIR_Coverage, 8608,
     /* 1218831 */     GIR_EraseRootFromParent_Done,
     /* 1218832 */   // Label 17210: @1218832
     /* 1218832 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1218931), // Rule ID 8609 //
     /* 1218837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1218840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1218848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1218851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1218854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1218857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1218860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1218879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1218890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1218904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1218907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1218921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218930 */     // GIR_Coverage, 8609,
     /* 1218930 */     GIR_EraseRootFromParent_Done,
     /* 1218931 */   // Label 17211: @1218931
     /* 1218931 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1219030), // Rule ID 8612 //
     /* 1218936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1218939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1218944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1218947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1218950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1218953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1218956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1218959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1218982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218989 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1218989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1218993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1218999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1219006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219029 */     // GIR_Coverage, 8612,
     /* 1219029 */     GIR_EraseRootFromParent_Done,
     /* 1219030 */   // Label 17212: @1219030
     /* 1219030 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1219129), // Rule ID 8613 //
     /* 1219035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1219038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1219046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1219049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1219052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1219055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1219058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219088 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1219088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219092 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1219105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219128 */     // GIR_Coverage, 8613,
     /* 1219128 */     GIR_EraseRootFromParent_Done,
     /* 1219129 */   // Label 17213: @1219129
     /* 1219129 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1219228), // Rule ID 8616 //
     /* 1219134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1219137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1219145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1219148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1219151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1219154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1219157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1219187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1219204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219227 */     // GIR_Coverage, 8616,
     /* 1219227 */     GIR_EraseRootFromParent_Done,
     /* 1219228 */   // Label 17214: @1219228
     /* 1219228 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1219327), // Rule ID 8617 //
     /* 1219233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1219236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1219244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1219247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1219250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1219253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1219256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219286 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1219286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219290 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1219303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219326 */     // GIR_Coverage, 8617,
     /* 1219326 */     GIR_EraseRootFromParent_Done,
     /* 1219327 */   // Label 17215: @1219327
     /* 1219327 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1219426), // Rule ID 8620 //
     /* 1219332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1219343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1219346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1219349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1219402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219425 */     // GIR_Coverage, 8620,
     /* 1219425 */     GIR_EraseRootFromParent_Done,
     /* 1219426 */   // Label 17216: @1219426
     /* 1219426 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1219525), // Rule ID 8621 //
     /* 1219431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1219442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1219445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1219448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1219501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219524 */     // GIR_Coverage, 8621,
     /* 1219524 */     GIR_EraseRootFromParent_Done,
     /* 1219525 */   // Label 17217: @1219525
     /* 1219525 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1219624), // Rule ID 8624 //
     /* 1219530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1219541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1219544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1219547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1219600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219623 */     // GIR_Coverage, 8624,
     /* 1219623 */     GIR_EraseRootFromParent_Done,
     /* 1219624 */   // Label 17218: @1219624
     /* 1219624 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1219723), // Rule ID 8625 //
     /* 1219629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1219640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1219643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1219646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1219652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219682 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219686 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1219699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219707 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219722 */     // GIR_Coverage, 8625,
     /* 1219722 */     GIR_EraseRootFromParent_Done,
     /* 1219723 */   // Label 17219: @1219723
     /* 1219723 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1219822), // Rule ID 8628 //
     /* 1219728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1219739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1219742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1219745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1219751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219781 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1219781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1219798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219806 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219821 */     // GIR_Coverage, 8628,
     /* 1219821 */     GIR_EraseRootFromParent_Done,
     /* 1219822 */   // Label 17220: @1219822
     /* 1219822 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1219921), // Rule ID 8629 //
     /* 1219827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1219830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1219838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1219841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1219844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1219850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1219880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1219897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1219911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1219919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219920 */     // GIR_Coverage, 8629,
     /* 1219920 */     GIR_EraseRootFromParent_Done,
     /* 1219921 */   // Label 17221: @1219921
     /* 1219921 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1220020), // Rule ID 8632 //
     /* 1219926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1219929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1219934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1219937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1219940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1219943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1219949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1219968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1219972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219979 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1219979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1219983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1219989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1219993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1219996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220019 */     // GIR_Coverage, 8632,
     /* 1220019 */     GIR_EraseRootFromParent_Done,
     /* 1220020 */   // Label 17222: @1220020
     /* 1220020 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1220119), // Rule ID 8633 //
     /* 1220025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1220036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1220039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1220048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1220078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1220095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220118 */     // GIR_Coverage, 8633,
     /* 1220118 */     GIR_EraseRootFromParent_Done,
     /* 1220119 */   // Label 17223: @1220119
     /* 1220119 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1220218), // Rule ID 8636 //
     /* 1220124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1220135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1220138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1220147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220177 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1220177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1220194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220217 */     // GIR_Coverage, 8636,
     /* 1220217 */     GIR_EraseRootFromParent_Done,
     /* 1220218 */   // Label 17224: @1220218
     /* 1220218 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1220317), // Rule ID 8637 //
     /* 1220223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1220234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1220237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1220246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1220276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220280 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1220293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220316 */     // GIR_Coverage, 8637,
     /* 1220316 */     GIR_EraseRootFromParent_Done,
     /* 1220317 */   // Label 17225: @1220317
     /* 1220317 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1220416), // Rule ID 8640 //
     /* 1220322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1220333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1220336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1220345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220375 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1220375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1220392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220415 */     // GIR_Coverage, 8640,
     /* 1220415 */     GIR_EraseRootFromParent_Done,
     /* 1220416 */   // Label 17226: @1220416
     /* 1220416 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1220515), // Rule ID 8641 //
     /* 1220421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1220432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1220435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1220444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220474 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1220474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1220491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220514 */     // GIR_Coverage, 8641,
     /* 1220514 */     GIR_EraseRootFromParent_Done,
     /* 1220515 */   // Label 17227: @1220515
     /* 1220515 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1220614), // Rule ID 8644 //
     /* 1220520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1220531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1220534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1220537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1220543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1220573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1220590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220613 */     // GIR_Coverage, 8644,
     /* 1220613 */     GIR_EraseRootFromParent_Done,
     /* 1220614 */   // Label 17228: @1220614
     /* 1220614 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1220713), // Rule ID 8645 //
     /* 1220619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1220630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1220633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1220636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1220642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1220672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220676 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1220689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1220711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220712 */     // GIR_Coverage, 8645,
     /* 1220712 */     GIR_EraseRootFromParent_Done,
     /* 1220713 */   // Label 17229: @1220713
     /* 1220713 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1220812), // Rule ID 8648 //
     /* 1220718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1220729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1220732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1220741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220771 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1220771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1220788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220811 */     // GIR_Coverage, 8648,
     /* 1220811 */     GIR_EraseRootFromParent_Done,
     /* 1220812 */   // Label 17230: @1220812
     /* 1220812 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1220911), // Rule ID 8649 //
     /* 1220817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1220820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1220828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1220831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1220834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1220840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220870 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1220870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220874 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220880 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1220887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1220901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220910 */     // GIR_Coverage, 8649,
     /* 1220910 */     GIR_EraseRootFromParent_Done,
     /* 1220911 */   // Label 17231: @1220911
     /* 1220911 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1221010), // Rule ID 8652 //
     /* 1220916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1220919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1220924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1220927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1220930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1220933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1220939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1220958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1220962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220969 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1220969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1220973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1220979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1220983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1220986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221009 */     // GIR_Coverage, 8652,
     /* 1221009 */     GIR_EraseRootFromParent_Done,
     /* 1221010 */   // Label 17232: @1221010
     /* 1221010 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1221109), // Rule ID 8653 //
     /* 1221015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1221026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1221029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1221038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221068 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1221068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1221085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221108 */     // GIR_Coverage, 8653,
     /* 1221108 */     GIR_EraseRootFromParent_Done,
     /* 1221109 */   // Label 17233: @1221109
     /* 1221109 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1221208), // Rule ID 8656 //
     /* 1221114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1221117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1221125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1221128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1221137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221167 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1221167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1221184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221207 */     // GIR_Coverage, 8656,
     /* 1221207 */     GIR_EraseRootFromParent_Done,
     /* 1221208 */   // Label 17234: @1221208
     /* 1221208 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1221307), // Rule ID 8657 //
     /* 1221213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1221216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1221224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1221227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1221236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1221266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221270 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1221283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221291 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221306 */     // GIR_Coverage, 8657,
     /* 1221306 */     GIR_EraseRootFromParent_Done,
     /* 1221307 */   // Label 17235: @1221307
     /* 1221307 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1221406), // Rule ID 8660 //
     /* 1221312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1221323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1221326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1221329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221365 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1221365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1221382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221405 */     // GIR_Coverage, 8660,
     /* 1221405 */     GIR_EraseRootFromParent_Done,
     /* 1221406 */   // Label 17236: @1221406
     /* 1221406 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1221505), // Rule ID 8661 //
     /* 1221411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1221422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1221425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1221428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1221434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221464 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1221464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221468 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1221481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221489 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221504 */     // GIR_Coverage, 8661,
     /* 1221504 */     GIR_EraseRootFromParent_Done,
     /* 1221505 */   // Label 17237: @1221505
     /* 1221505 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1221604), // Rule ID 8664 //
     /* 1221510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1221521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1221524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1221527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1221533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221563 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1221563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1221580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221603 */     // GIR_Coverage, 8664,
     /* 1221603 */     GIR_EraseRootFromParent_Done,
     /* 1221604 */   // Label 17238: @1221604
     /* 1221604 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1221703), // Rule ID 8665 //
     /* 1221609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1221620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1221623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1221626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1221632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221662 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1221662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221666 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1221679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221687 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221702 */     // GIR_Coverage, 8665,
     /* 1221702 */     GIR_EraseRootFromParent_Done,
     /* 1221703 */   // Label 17239: @1221703
     /* 1221703 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1221802), // Rule ID 8668 //
     /* 1221708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1221719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1221722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1221725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1221731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221761 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1221761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1221778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221801 */     // GIR_Coverage, 8668,
     /* 1221801 */     GIR_EraseRootFromParent_Done,
     /* 1221802 */   // Label 17240: @1221802
     /* 1221802 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1221901), // Rule ID 8669 //
     /* 1221807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1221810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1221818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1221821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1221824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1221827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1221830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221860 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1221860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1221877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1221899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221900 */     // GIR_Coverage, 8669,
     /* 1221900 */     GIR_EraseRootFromParent_Done,
     /* 1221901 */   // Label 17241: @1221901
     /* 1221901 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1222000), // Rule ID 8672 //
     /* 1221906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1221909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1221914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1221917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1221920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1221926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1221929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1221948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1221952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221959 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1221959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1221963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1221969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1221973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1221976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1221990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221999 */     // GIR_Coverage, 8672,
     /* 1221999 */     GIR_EraseRootFromParent_Done,
     /* 1222000 */   // Label 17242: @1222000
     /* 1222000 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1222099), // Rule ID 8673 //
     /* 1222005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1222016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1222019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1222022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1222028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1222058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1222075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222098 */     // GIR_Coverage, 8673,
     /* 1222098 */     GIR_EraseRootFromParent_Done,
     /* 1222099 */   // Label 17243: @1222099
     /* 1222099 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1222198), // Rule ID 8676 //
     /* 1222104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1222107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1222115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1222118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1222127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222157 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1222157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222161 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1222174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222197 */     // GIR_Coverage, 8676,
     /* 1222197 */     GIR_EraseRootFromParent_Done,
     /* 1222198 */   // Label 17244: @1222198
     /* 1222198 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1222297), // Rule ID 8677 //
     /* 1222203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1222214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1222217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1222220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1222226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1222256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222260 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222266 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1222273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222281 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222296 */     // GIR_Coverage, 8677,
     /* 1222296 */     GIR_EraseRootFromParent_Done,
     /* 1222297 */   // Label 17245: @1222297
     /* 1222297 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1222396), // Rule ID 8680 //
     /* 1222302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1222305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1222313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1222316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1222325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222355 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1222355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1222372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222395 */     // GIR_Coverage, 8680,
     /* 1222395 */     GIR_EraseRootFromParent_Done,
     /* 1222396 */   // Label 17246: @1222396
     /* 1222396 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1222495), // Rule ID 8681 //
     /* 1222401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1222412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1222415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1222418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1222424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222454 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1222454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1222471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222494 */     // GIR_Coverage, 8681,
     /* 1222494 */     GIR_EraseRootFromParent_Done,
     /* 1222495 */   // Label 17247: @1222495
     /* 1222495 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1222594), // Rule ID 8684 //
     /* 1222500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1222503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1222511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1222514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1222523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222553 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1222553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1222570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222593 */     // GIR_Coverage, 8684,
     /* 1222593 */     GIR_EraseRootFromParent_Done,
     /* 1222594 */   // Label 17248: @1222594
     /* 1222594 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1222693), // Rule ID 8685 //
     /* 1222599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1222610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1222613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1222622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1222652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1222669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222692 */     // GIR_Coverage, 8685,
     /* 1222692 */     GIR_EraseRootFromParent_Done,
     /* 1222693 */   // Label 17249: @1222693
     /* 1222693 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1222792), // Rule ID 8688 //
     /* 1222698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1222701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1222709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1222712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1222721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222751 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1222751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1222768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222791 */     // GIR_Coverage, 8688,
     /* 1222791 */     GIR_EraseRootFromParent_Done,
     /* 1222792 */   // Label 17250: @1222792
     /* 1222792 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1222891), // Rule ID 8689 //
     /* 1222797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1222808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1222811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1222817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1222820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1222850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1222867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222890 */     // GIR_Coverage, 8689,
     /* 1222890 */     GIR_EraseRootFromParent_Done,
     /* 1222891 */   // Label 17251: @1222891
     /* 1222891 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1222990), // Rule ID 8692 //
     /* 1222896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1222899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1222904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1222907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1222910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1222916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1222919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1222930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1222938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1222942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222949 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1222949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1222953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1222959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1222963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1222966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1222980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222989 */     // GIR_Coverage, 8692,
     /* 1222989 */     GIR_EraseRootFromParent_Done,
     /* 1222990 */   // Label 17252: @1222990
     /* 1222990 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1223089), // Rule ID 8693 //
     /* 1222995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1222998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1223006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1223009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1223012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1223018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223048 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1223048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223052 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1223065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223088 */     // GIR_Coverage, 8693,
     /* 1223088 */     GIR_EraseRootFromParent_Done,
     /* 1223089 */   // Label 17253: @1223089
     /* 1223089 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1223188), // Rule ID 8696 //
     /* 1223094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1223097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1223117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1223147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1223164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223187 */     // GIR_Coverage, 8696,
     /* 1223187 */     GIR_EraseRootFromParent_Done,
     /* 1223188 */   // Label 17254: @1223188
     /* 1223188 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1223287), // Rule ID 8697 //
     /* 1223193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1223196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1223210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1223216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1223246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223250 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223256 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1223263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223286 */     // GIR_Coverage, 8697,
     /* 1223286 */     GIR_EraseRootFromParent_Done,
     /* 1223287 */   // Label 17255: @1223287
     /* 1223287 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1223386), // Rule ID 8700 //
     /* 1223292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1223295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1223303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1223306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1223315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1223345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1223362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223385 */     // GIR_Coverage, 8700,
     /* 1223385 */     GIR_EraseRootFromParent_Done,
     /* 1223386 */   // Label 17256: @1223386
     /* 1223386 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1223485), // Rule ID 8701 //
     /* 1223391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1223394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1223402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1223405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1223408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1223414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1223429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223444 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1223444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1223461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223484 */     // GIR_Coverage, 8701,
     /* 1223484 */     GIR_EraseRootFromParent_Done,
     /* 1223485 */   // Label 17257: @1223485
     /* 1223485 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1223584), // Rule ID 8704 //
     /* 1223490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1223493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1223501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1223504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1223513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223543 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1223543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1223560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223583 */     // GIR_Coverage, 8704,
     /* 1223583 */     GIR_EraseRootFromParent_Done,
     /* 1223584 */   // Label 17258: @1223584
     /* 1223584 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1223683), // Rule ID 8705 //
     /* 1223589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1223592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1223597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1223600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1223603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1223606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1223612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1223627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1223631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11094:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1223642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1223659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223682 */     // GIR_Coverage, 8705,
     /* 1223682 */     GIR_EraseRootFromParent_Done,
     /* 1223683 */   // Label 17259: @1223683
     /* 1223683 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1223782), // Rule ID 8796 //
     /* 1223688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1223691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1223696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1223699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1223702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1223705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1223708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1223711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1223741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1223758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223781 */     // GIR_Coverage, 8796,
     /* 1223781 */     GIR_EraseRootFromParent_Done,
     /* 1223782 */   // Label 17260: @1223782
     /* 1223782 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1223881), // Rule ID 8797 //
     /* 1223787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1223790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1223795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1223798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1223801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1223804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1223807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1223810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1223840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1223857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223880 */     // GIR_Coverage, 8797,
     /* 1223880 */     GIR_EraseRootFromParent_Done,
     /* 1223881 */   // Label 17261: @1223881
     /* 1223881 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1223980), // Rule ID 8800 //
     /* 1223886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1223889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1223894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1223903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1223906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1223909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1223932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223939 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1223939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1223943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1223949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1223953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1223956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1223970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1223978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223979 */     // GIR_Coverage, 8800,
     /* 1223979 */     GIR_EraseRootFromParent_Done,
     /* 1223980 */   // Label 17262: @1223980
     /* 1223980 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1224079), // Rule ID 8801 //
     /* 1223985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1223988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1223993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1223996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1223999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1224002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1224005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1224008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1224038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1224055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224078 */     // GIR_Coverage, 8801,
     /* 1224078 */     GIR_EraseRootFromParent_Done,
     /* 1224079 */   // Label 17263: @1224079
     /* 1224079 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1224178), // Rule ID 8804 //
     /* 1224084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1224087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1224095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1224098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1224101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1224104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1224107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224137 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1224137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224141 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224147 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224177 */     // GIR_Coverage, 8804,
     /* 1224177 */     GIR_EraseRootFromParent_Done,
     /* 1224178 */   // Label 17264: @1224178
     /* 1224178 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1224277), // Rule ID 8805 //
     /* 1224183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1224186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1224194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1224197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1224200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1224203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1224206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1224236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224276 */     // GIR_Coverage, 8805,
     /* 1224276 */     GIR_EraseRootFromParent_Done,
     /* 1224277 */   // Label 17265: @1224277
     /* 1224277 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1224376), // Rule ID 8808 //
     /* 1224282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1224285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1224293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1224296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1224302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1224305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1224335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1224352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224375 */     // GIR_Coverage, 8808,
     /* 1224375 */     GIR_EraseRootFromParent_Done,
     /* 1224376 */   // Label 17266: @1224376
     /* 1224376 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1224475), // Rule ID 8809 //
     /* 1224381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1224384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1224392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1224395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1224398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1224401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1224404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224434 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1224434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224438 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1224451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224474 */     // GIR_Coverage, 8809,
     /* 1224474 */     GIR_EraseRootFromParent_Done,
     /* 1224475 */   // Label 17267: @1224475
     /* 1224475 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1224574), // Rule ID 8812 //
     /* 1224480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1224483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1224491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1224494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1224500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1224503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1224533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224573 */     // GIR_Coverage, 8812,
     /* 1224573 */     GIR_EraseRootFromParent_Done,
     /* 1224574 */   // Label 17268: @1224574
     /* 1224574 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1224673), // Rule ID 8813 //
     /* 1224579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1224582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1224590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1224593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1224596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1224599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1224602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224632 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1224632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224636 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224657 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224672 */     // GIR_Coverage, 8813,
     /* 1224672 */     GIR_EraseRootFromParent_Done,
     /* 1224673 */   // Label 17269: @1224673
     /* 1224673 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1224772), // Rule ID 8816 //
     /* 1224678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1224681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1224689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1224692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1224698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1224701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224731 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1224731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224771 */     // GIR_Coverage, 8816,
     /* 1224771 */     GIR_EraseRootFromParent_Done,
     /* 1224772 */   // Label 17270: @1224772
     /* 1224772 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1224871), // Rule ID 8817 //
     /* 1224777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1224780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1224788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1224791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1224794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1224797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1224800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1224830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1224847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224870 */     // GIR_Coverage, 8817,
     /* 1224870 */     GIR_EraseRootFromParent_Done,
     /* 1224871 */   // Label 17271: @1224871
     /* 1224871 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1224970), // Rule ID 8820 //
     /* 1224876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1224879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1224893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1224896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1224918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1224922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224929 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1224929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1224933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1224939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1224943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1224946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1224960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1224968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224969 */     // GIR_Coverage, 8820,
     /* 1224969 */     GIR_EraseRootFromParent_Done,
     /* 1224970 */   // Label 17272: @1224970
     /* 1224970 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1225069), // Rule ID 8821 //
     /* 1224975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1224978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1224983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1224986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1224989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1224992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1224995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1224998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225028 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1225028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225032 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225068 */     // GIR_Coverage, 8821,
     /* 1225068 */     GIR_EraseRootFromParent_Done,
     /* 1225069 */   // Label 17273: @1225069
     /* 1225069 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1225168), // Rule ID 8824 //
     /* 1225074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1225085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1225088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1225097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225127 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1225127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225167 */     // GIR_Coverage, 8824,
     /* 1225167 */     GIR_EraseRootFromParent_Done,
     /* 1225168 */   // Label 17274: @1225168
     /* 1225168 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1225267), // Rule ID 8825 //
     /* 1225173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1225184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1225187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1225193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1225196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1225226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225266 */     // GIR_Coverage, 8825,
     /* 1225266 */     GIR_EraseRootFromParent_Done,
     /* 1225267 */   // Label 17275: @1225267
     /* 1225267 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1225366), // Rule ID 8828 //
     /* 1225272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225325 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1225325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225365 */     // GIR_Coverage, 8828,
     /* 1225365 */     GIR_EraseRootFromParent_Done,
     /* 1225366 */   // Label 17276: @1225366
     /* 1225366 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1225465), // Rule ID 8829 //
     /* 1225371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1225382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1225385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1225388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1225391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1225394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225424 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1225424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225464 */     // GIR_Coverage, 8829,
     /* 1225464 */     GIR_EraseRootFromParent_Done,
     /* 1225465 */   // Label 17277: @1225465
     /* 1225465 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1225564), // Rule ID 8832 //
     /* 1225470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1225473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1225487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225523 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1225523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225563 */     // GIR_Coverage, 8832,
     /* 1225563 */     GIR_EraseRootFromParent_Done,
     /* 1225564 */   // Label 17278: @1225564
     /* 1225564 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1225663), // Rule ID 8833 //
     /* 1225569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1225572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1225580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1225583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1225586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1225589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1225592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1225622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225626 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1225639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225662 */     // GIR_Coverage, 8833,
     /* 1225662 */     GIR_EraseRootFromParent_Done,
     /* 1225663 */   // Label 17279: @1225663
     /* 1225663 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1225762), // Rule ID 8836 //
     /* 1225668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1225679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1225682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1225685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1225688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1225691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1225721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1225738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225746 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225761 */     // GIR_Coverage, 8836,
     /* 1225761 */     GIR_EraseRootFromParent_Done,
     /* 1225762 */   // Label 17280: @1225762
     /* 1225762 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1225861), // Rule ID 8837 //
     /* 1225767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1225778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1225781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1225784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1225787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1225790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225820 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1225820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225824 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1225837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225860 */     // GIR_Coverage, 8837,
     /* 1225860 */     GIR_EraseRootFromParent_Done,
     /* 1225861 */   // Label 17281: @1225861
     /* 1225861 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1225960), // Rule ID 8840 //
     /* 1225866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1225869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1225877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1225880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1225883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1225886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1225889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1225912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225919 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1225919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1225923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1225929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1225933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1225936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1225950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1225958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225959 */     // GIR_Coverage, 8840,
     /* 1225959 */     GIR_EraseRootFromParent_Done,
     /* 1225960 */   // Label 17282: @1225960
     /* 1225960 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1226059), // Rule ID 8841 //
     /* 1225965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1225968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1225973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1225976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1225979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1225982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1225985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1225988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226018 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1226018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226022 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1226035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226058 */     // GIR_Coverage, 8841,
     /* 1226058 */     GIR_EraseRootFromParent_Done,
     /* 1226059 */   // Label 17283: @1226059
     /* 1226059 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1226158), // Rule ID 8844 //
     /* 1226064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1226075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1226078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1226081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1226084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1226087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226117 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1226117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1226134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226157 */     // GIR_Coverage, 8844,
     /* 1226157 */     GIR_EraseRootFromParent_Done,
     /* 1226158 */   // Label 17284: @1226158
     /* 1226158 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1226257), // Rule ID 8845 //
     /* 1226163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1226174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1226177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1226180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1226183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1226186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226216 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1226216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226220 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1226233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1226255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226256 */     // GIR_Coverage, 8845,
     /* 1226256 */     GIR_EraseRootFromParent_Done,
     /* 1226257 */   // Label 17285: @1226257
     /* 1226257 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1226356), // Rule ID 8848 //
     /* 1226262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1226273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1226276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1226282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226315 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1226332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226355 */     // GIR_Coverage, 8848,
     /* 1226355 */     GIR_EraseRootFromParent_Done,
     /* 1226356 */   // Label 17286: @1226356
     /* 1226356 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1226455), // Rule ID 8849 //
     /* 1226361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1226372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1226375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1226381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1226384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226414 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226418 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1226431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226454 */     // GIR_Coverage, 8849,
     /* 1226454 */     GIR_EraseRootFromParent_Done,
     /* 1226455 */   // Label 17287: @1226455
     /* 1226455 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1226554), // Rule ID 8852 //
     /* 1226460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1226480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1226530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226553 */     // GIR_Coverage, 8852,
     /* 1226553 */     GIR_EraseRootFromParent_Done,
     /* 1226554 */   // Label 17288: @1226554
     /* 1226554 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1226653), // Rule ID 8853 //
     /* 1226559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1226570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1226573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1226579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1226582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226612 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1226629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226637 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226652 */     // GIR_Coverage, 8853,
     /* 1226652 */     GIR_EraseRootFromParent_Done,
     /* 1226653 */   // Label 17289: @1226653
     /* 1226653 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1226752), // Rule ID 8856 //
     /* 1226658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1226669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1226672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1226678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1226681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1226711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1226728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226751 */     // GIR_Coverage, 8856,
     /* 1226751 */     GIR_EraseRootFromParent_Done,
     /* 1226752 */   // Label 17290: @1226752
     /* 1226752 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1226851), // Rule ID 8857 //
     /* 1226757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1226768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1226771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1226777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1226780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226810 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1226810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1226827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226850 */     // GIR_Coverage, 8857,
     /* 1226850 */     GIR_EraseRootFromParent_Done,
     /* 1226851 */   // Label 17291: @1226851
     /* 1226851 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1226950), // Rule ID 8860 //
     /* 1226856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1226859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1226867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1226870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1226876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1226902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226909 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1226909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1226913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1226919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1226923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1226926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1226940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226949 */     // GIR_Coverage, 8860,
     /* 1226949 */     GIR_EraseRootFromParent_Done,
     /* 1226950 */   // Label 17292: @1226950
     /* 1226950 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1227049), // Rule ID 8861 //
     /* 1226955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1226958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1226963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1226966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1226969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1226975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1226978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1227008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1227025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227048 */     // GIR_Coverage, 8861,
     /* 1227048 */     GIR_EraseRootFromParent_Done,
     /* 1227049 */   // Label 17293: @1227049
     /* 1227049 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1227148), // Rule ID 8864 //
     /* 1227054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1227074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227107 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1227107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1227124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227147 */     // GIR_Coverage, 8864,
     /* 1227147 */     GIR_EraseRootFromParent_Done,
     /* 1227148 */   // Label 17294: @1227148
     /* 1227148 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1227247), // Rule ID 8865 //
     /* 1227153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1227173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227206 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1227206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1227223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227246 */     // GIR_Coverage, 8865,
     /* 1227246 */     GIR_EraseRootFromParent_Done,
     /* 1227247 */   // Label 17295: @1227247
     /* 1227247 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1227346), // Rule ID 8868 //
     /* 1227252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1227255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1227263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1227266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1227272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227305 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1227305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1227322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227345 */     // GIR_Coverage, 8868,
     /* 1227345 */     GIR_EraseRootFromParent_Done,
     /* 1227346 */   // Label 17296: @1227346
     /* 1227346 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1227445), // Rule ID 8869 //
     /* 1227351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1227354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1227362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1227365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1227371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1227374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227404 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1227404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1227421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227444 */     // GIR_Coverage, 8869,
     /* 1227444 */     GIR_EraseRootFromParent_Done,
     /* 1227445 */   // Label 17297: @1227445
     /* 1227445 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1227544), // Rule ID 8872 //
     /* 1227450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1227453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1227461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1227464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1227470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1227473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227503 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227507 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1227520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227543 */     // GIR_Coverage, 8872,
     /* 1227543 */     GIR_EraseRootFromParent_Done,
     /* 1227544 */   // Label 17298: @1227544
     /* 1227544 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1227643), // Rule ID 8873 //
     /* 1227549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1227552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1227560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1227563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1227569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1227572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227602 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227606 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227612 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1227619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227642 */     // GIR_Coverage, 8873,
     /* 1227642 */     GIR_EraseRootFromParent_Done,
     /* 1227643 */   // Label 17299: @1227643
     /* 1227643 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1227742), // Rule ID 8876 //
     /* 1227648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1227651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1227668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1227718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227741 */     // GIR_Coverage, 8876,
     /* 1227741 */     GIR_EraseRootFromParent_Done,
     /* 1227742 */   // Label 17300: @1227742
     /* 1227742 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1227841), // Rule ID 8877 //
     /* 1227747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1227750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1227758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1227761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1227767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1227770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227800 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1227817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227840 */     // GIR_Coverage, 8877,
     /* 1227840 */     GIR_EraseRootFromParent_Done,
     /* 1227841 */   // Label 17301: @1227841
     /* 1227841 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1227940), // Rule ID 8880 //
     /* 1227846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1227849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1227866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227899 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1227899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1227903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1227909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1227913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1227916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1227930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227939 */     // GIR_Coverage, 8880,
     /* 1227939 */     GIR_EraseRootFromParent_Done,
     /* 1227940 */   // Label 17302: @1227940
     /* 1227940 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1228039), // Rule ID 8881 //
     /* 1227945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1227948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1227953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1227956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1227959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1227965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1227968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1227991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1227998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228002 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1228015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1228037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228038 */     // GIR_Coverage, 8881,
     /* 1228038 */     GIR_EraseRootFromParent_Done,
     /* 1228039 */   // Label 17303: @1228039
     /* 1228039 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1228138), // Rule ID 8884 //
     /* 1228044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1228061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1228064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1228097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1228114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228137 */     // GIR_Coverage, 8884,
     /* 1228137 */     GIR_EraseRootFromParent_Done,
     /* 1228138 */   // Label 17304: @1228138
     /* 1228138 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1228237), // Rule ID 8885 //
     /* 1228143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1228160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228196 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1228196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228200 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1228213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228221 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228236 */     // GIR_Coverage, 8885,
     /* 1228236 */     GIR_EraseRootFromParent_Done,
     /* 1228237 */   // Label 17305: @1228237
     /* 1228237 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1228336), // Rule ID 8888 //
     /* 1228242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1228259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1228262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228295 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1228295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1228312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228335 */     // GIR_Coverage, 8888,
     /* 1228335 */     GIR_EraseRootFromParent_Done,
     /* 1228336 */   // Label 17306: @1228336
     /* 1228336 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1228435), // Rule ID 8889 //
     /* 1228341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1228358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228394 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1228394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1228411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228434 */     // GIR_Coverage, 8889,
     /* 1228434 */     GIR_EraseRootFromParent_Done,
     /* 1228435 */   // Label 17307: @1228435
     /* 1228435 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1228534), // Rule ID 8892 //
     /* 1228440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1228451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1228454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1228457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1228460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1228493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1228510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228533 */     // GIR_Coverage, 8892,
     /* 1228533 */     GIR_EraseRootFromParent_Done,
     /* 1228534 */   // Label 17308: @1228534
     /* 1228534 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1228633), // Rule ID 8893 //
     /* 1228539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1228550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1228553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1228556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1228562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1228592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228596 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1228609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1228631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228632 */     // GIR_Coverage, 8893,
     /* 1228632 */     GIR_EraseRootFromParent_Done,
     /* 1228633 */   // Label 17309: @1228633
     /* 1228633 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1228732), // Rule ID 8896 //
     /* 1228638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1228658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228691 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1228708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228731 */     // GIR_Coverage, 8896,
     /* 1228731 */     GIR_EraseRootFromParent_Done,
     /* 1228732 */   // Label 17310: @1228732
     /* 1228732 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1228831), // Rule ID 8897 //
     /* 1228737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1228748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1228751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1228754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1228760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228790 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1228807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228830 */     // GIR_Coverage, 8897,
     /* 1228830 */     GIR_EraseRootFromParent_Done,
     /* 1228831 */   // Label 17311: @1228831
     /* 1228831 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1228930), // Rule ID 8900 //
     /* 1228836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1228839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1228856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228889 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1228889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1228903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1228906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1228920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228929 */     // GIR_Coverage, 8900,
     /* 1228929 */     GIR_EraseRootFromParent_Done,
     /* 1228930 */   // Label 17312: @1228930
     /* 1228930 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1229029), // Rule ID 8901 //
     /* 1228935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1228938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1228943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1228946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1228949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1228955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1228958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1228977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1228981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228988 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1228988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1228992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1228998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1229005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229028 */     // GIR_Coverage, 8901,
     /* 1229028 */     GIR_EraseRootFromParent_Done,
     /* 1229029 */   // Label 17313: @1229029
     /* 1229029 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1229128), // Rule ID 8904 //
     /* 1229034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229087 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1229087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1229104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229127 */     // GIR_Coverage, 8904,
     /* 1229127 */     GIR_EraseRootFromParent_Done,
     /* 1229128 */   // Label 17314: @1229128
     /* 1229128 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1229227), // Rule ID 8905 //
     /* 1229133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1229150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1229186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229190 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229196 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1229203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229226 */     // GIR_Coverage, 8905,
     /* 1229226 */     GIR_EraseRootFromParent_Done,
     /* 1229227 */   // Label 17315: @1229227
     /* 1229227 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1229326), // Rule ID 8908 //
     /* 1229232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1229243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1229246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1229249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1229285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229325 */     // GIR_Coverage, 8908,
     /* 1229325 */     GIR_EraseRootFromParent_Done,
     /* 1229326 */   // Label 17316: @1229326
     /* 1229326 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1229425), // Rule ID 8909 //
     /* 1229331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1229342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1229345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1229348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1229354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1229384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1229423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229424 */     // GIR_Coverage, 8909,
     /* 1229424 */     GIR_EraseRootFromParent_Done,
     /* 1229425 */   // Label 17317: @1229425
     /* 1229425 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1229524), // Rule ID 8912 //
     /* 1229430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1229441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1229444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229483 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1229483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229523 */     // GIR_Coverage, 8912,
     /* 1229523 */     GIR_EraseRootFromParent_Done,
     /* 1229524 */   // Label 17318: @1229524
     /* 1229524 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1229623), // Rule ID 8913 //
     /* 1229529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1229540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1229543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1229552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1229582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229586 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229607 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229622 */     // GIR_Coverage, 8913,
     /* 1229622 */     GIR_EraseRootFromParent_Done,
     /* 1229623 */   // Label 17319: @1229623
     /* 1229623 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1229722), // Rule ID 8916 //
     /* 1229628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1229631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1229639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1229642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229681 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1229681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229721 */     // GIR_Coverage, 8916,
     /* 1229721 */     GIR_EraseRootFromParent_Done,
     /* 1229722 */   // Label 17320: @1229722
     /* 1229722 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1229821), // Rule ID 8917 //
     /* 1229727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1229730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1229738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1229741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1229744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1229750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1229780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229784 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229820 */     // GIR_Coverage, 8917,
     /* 1229820 */     GIR_EraseRootFromParent_Done,
     /* 1229821 */   // Label 17321: @1229821
     /* 1229821 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1229920), // Rule ID 8920 //
     /* 1229826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1229829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1229846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229879 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1229879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1229910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1229918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229919 */     // GIR_Coverage, 8920,
     /* 1229919 */     GIR_EraseRootFromParent_Done,
     /* 1229920 */   // Label 17322: @1229920
     /* 1229920 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1230019), // Rule ID 8921 //
     /* 1229925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1229928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1229933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1229936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1229939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1229942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1229945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1229948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1229967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1229971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229978 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1229978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1229982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1229988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1229992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1229995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1230017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230018 */     // GIR_Coverage, 8921,
     /* 1230018 */     GIR_EraseRootFromParent_Done,
     /* 1230019 */   // Label 17323: @1230019
     /* 1230019 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1230118), // Rule ID 8924 //
     /* 1230024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1230038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1230041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230077 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230081 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1230094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230117 */     // GIR_Coverage, 8924,
     /* 1230117 */     GIR_EraseRootFromParent_Done,
     /* 1230118 */   // Label 17324: @1230118
     /* 1230118 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1230217), // Rule ID 8925 //
     /* 1230123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1230137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1230140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230180 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1230193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230201 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230216 */     // GIR_Coverage, 8925,
     /* 1230216 */     GIR_EraseRootFromParent_Done,
     /* 1230217 */   // Label 17325: @1230217
     /* 1230217 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1230316), // Rule ID 8928 //
     /* 1230222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1230233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1230236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1230239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1230245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230275 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1230292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230315 */     // GIR_Coverage, 8928,
     /* 1230315 */     GIR_EraseRootFromParent_Done,
     /* 1230316 */   // Label 17326: @1230316
     /* 1230316 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1230415), // Rule ID 8929 //
     /* 1230321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1230332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1230335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1230338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1230344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230374 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1230391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230414 */     // GIR_Coverage, 8929,
     /* 1230414 */     GIR_EraseRootFromParent_Done,
     /* 1230415 */   // Label 17327: @1230415
     /* 1230415 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1230514), // Rule ID 8932 //
     /* 1230420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1230431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1230434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1230437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1230443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230473 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1230473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1230490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230513 */     // GIR_Coverage, 8932,
     /* 1230513 */     GIR_EraseRootFromParent_Done,
     /* 1230514 */   // Label 17328: @1230514
     /* 1230514 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1230613), // Rule ID 8933 //
     /* 1230519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1230530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1230533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1230536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1230542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230572 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1230572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1230589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1230611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230612 */     // GIR_Coverage, 8933,
     /* 1230612 */     GIR_EraseRootFromParent_Done,
     /* 1230613 */   // Label 17329: @1230613
     /* 1230613 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1230712), // Rule ID 8936 //
     /* 1230618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1230629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1230632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1230635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1230688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230711 */     // GIR_Coverage, 8936,
     /* 1230711 */     GIR_EraseRootFromParent_Done,
     /* 1230712 */   // Label 17330: @1230712
     /* 1230712 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1230811), // Rule ID 8937 //
     /* 1230717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1230728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1230731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1230734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1230740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1230787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230810 */     // GIR_Coverage, 8937,
     /* 1230810 */     GIR_EraseRootFromParent_Done,
     /* 1230811 */   // Label 17331: @1230811
     /* 1230811 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1230910), // Rule ID 8940 //
     /* 1230816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1230819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1230830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1230833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1230836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230869 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1230869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1230886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230909 */     // GIR_Coverage, 8940,
     /* 1230909 */     GIR_EraseRootFromParent_Done,
     /* 1230910 */   // Label 17332: @1230910
     /* 1230910 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1231009), // Rule ID 8941 //
     /* 1230915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1230918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1230923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1230926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1230929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1230932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1230938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1230957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1230961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1230968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1230972 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1230978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1230982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1230985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1230999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231008 */     // GIR_Coverage, 8941,
     /* 1231008 */     GIR_EraseRootFromParent_Done,
     /* 1231009 */   // Label 17333: @1231009
     /* 1231009 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1231108), // Rule ID 8944 //
     /* 1231014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1231025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1231028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231067 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1231067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1231084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231107 */     // GIR_Coverage, 8944,
     /* 1231107 */     GIR_EraseRootFromParent_Done,
     /* 1231108 */   // Label 17334: @1231108
     /* 1231108 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1231207), // Rule ID 8945 //
     /* 1231113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1231124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1231127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1231136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231166 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1231166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231170 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1231183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231191 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231206 */     // GIR_Coverage, 8945,
     /* 1231206 */     GIR_EraseRootFromParent_Done,
     /* 1231207 */   // Label 17335: @1231207
     /* 1231207 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1231306), // Rule ID 8948 //
     /* 1231212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231265 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1231282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231305 */     // GIR_Coverage, 8948,
     /* 1231305 */     GIR_EraseRootFromParent_Done,
     /* 1231306 */   // Label 17336: @1231306
     /* 1231306 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1231405), // Rule ID 8949 //
     /* 1231311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1231322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1231325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1231334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231364 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1231381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231404 */     // GIR_Coverage, 8949,
     /* 1231404 */     GIR_EraseRootFromParent_Done,
     /* 1231405 */   // Label 17337: @1231405
     /* 1231405 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1231504), // Rule ID 8952 //
     /* 1231410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1231421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1231424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231463 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1231480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231503 */     // GIR_Coverage, 8952,
     /* 1231503 */     GIR_EraseRootFromParent_Done,
     /* 1231504 */   // Label 17338: @1231504
     /* 1231504 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1231603), // Rule ID 8953 //
     /* 1231509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1231520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1231523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1231526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1231532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231566 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1231579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231587 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231602 */     // GIR_Coverage, 8953,
     /* 1231602 */     GIR_EraseRootFromParent_Done,
     /* 1231603 */   // Label 17339: @1231603
     /* 1231603 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1231702), // Rule ID 8956 //
     /* 1231608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1231611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1231619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1231622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1231661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1231678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231701 */     // GIR_Coverage, 8956,
     /* 1231701 */     GIR_EraseRootFromParent_Done,
     /* 1231702 */   // Label 17340: @1231702
     /* 1231702 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1231801), // Rule ID 8957 //
     /* 1231707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1231710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1231718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1231721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1231724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1231730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231760 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1231760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1231777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231800 */     // GIR_Coverage, 8957,
     /* 1231800 */     GIR_EraseRootFromParent_Done,
     /* 1231801 */   // Label 17341: @1231801
     /* 1231801 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1231900), // Rule ID 8960 //
     /* 1231806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1231809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1231817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1231820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1231823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1231826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231859 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1231859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1231876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231899 */     // GIR_Coverage, 8960,
     /* 1231899 */     GIR_EraseRootFromParent_Done,
     /* 1231900 */   // Label 17342: @1231900
     /* 1231900 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1231999), // Rule ID 8961 //
     /* 1231905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1231908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1231913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1231916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1231919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1231922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1231925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1231928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1231947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1231951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1231958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1231962 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1231968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1231972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1231975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1231979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1231989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231998 */     // GIR_Coverage, 8961,
     /* 1231998 */     GIR_EraseRootFromParent_Done,
     /* 1231999 */   // Label 17343: @1231999
     /* 1231999 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1232098), // Rule ID 8964 //
     /* 1232004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1232012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232057 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1232074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232097 */     // GIR_Coverage, 8964,
     /* 1232097 */     GIR_EraseRootFromParent_Done,
     /* 1232098 */   // Label 17344: @1232098
     /* 1232098 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1232197), // Rule ID 8965 //
     /* 1232103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1232106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1232111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232160 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232166 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1232173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232196 */     // GIR_Coverage, 8965,
     /* 1232196 */     GIR_EraseRootFromParent_Done,
     /* 1232197 */   // Label 17345: @1232197
     /* 1232197 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1232296), // Rule ID 8968 //
     /* 1232202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1232205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1232210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1232213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1232216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232255 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1232255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1232272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232295 */     // GIR_Coverage, 8968,
     /* 1232295 */     GIR_EraseRootFromParent_Done,
     /* 1232296 */   // Label 17346: @1232296
     /* 1232296 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1232395), // Rule ID 8969 //
     /* 1232301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1232304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1232309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1232312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1232315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1232324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232354 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11092:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1232354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1232371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232394 */     // GIR_Coverage, 8969,
     /* 1232394 */     GIR_EraseRootFromParent_Done,
     /* 1232395 */   // Label 17347: @1232395
     /* 1232395 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1232494), // Rule ID 9060 //
     /* 1232400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1232470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232493 */     // GIR_Coverage, 9060,
     /* 1232493 */     GIR_EraseRootFromParent_Done,
     /* 1232494 */   // Label 17348: @1232494
     /* 1232494 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1232593), // Rule ID 9061 //
     /* 1232499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1232510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1232513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1232516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1232522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232552 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1232569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232592 */     // GIR_Coverage, 9061,
     /* 1232592 */     GIR_EraseRootFromParent_Done,
     /* 1232593 */   // Label 17349: @1232593
     /* 1232593 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1232692), // Rule ID 9064 //
     /* 1232598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232651 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1232668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232691 */     // GIR_Coverage, 9064,
     /* 1232691 */     GIR_EraseRootFromParent_Done,
     /* 1232692 */   // Label 17350: @1232692
     /* 1232692 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1232791), // Rule ID 9065 //
     /* 1232697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1232708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1232711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1232714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1232720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1232767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232790 */     // GIR_Coverage, 9065,
     /* 1232790 */     GIR_EraseRootFromParent_Done,
     /* 1232791 */   // Label 17351: @1232791
     /* 1232791 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1232890), // Rule ID 9068 //
     /* 1232796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1232816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232849 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1232849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1232866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232889 */     // GIR_Coverage, 9068,
     /* 1232889 */     GIR_EraseRootFromParent_Done,
     /* 1232890 */   // Label 17352: @1232890
     /* 1232890 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1232989), // Rule ID 9069 //
     /* 1232895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1232898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1232903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1232906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1232909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1232912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1232915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1232918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1232937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1232941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1232948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1232952 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1232958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1232962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1232965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1232969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1232979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1232987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232988 */     // GIR_Coverage, 9069,
     /* 1232988 */     GIR_EraseRootFromParent_Done,
     /* 1232989 */   // Label 17353: @1232989
     /* 1232989 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1233088), // Rule ID 9072 //
     /* 1232994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1232997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233047 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233051 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1233064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233072 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233087 */     // GIR_Coverage, 9072,
     /* 1233087 */     GIR_EraseRootFromParent_Done,
     /* 1233088 */   // Label 17354: @1233088
     /* 1233088 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1233187), // Rule ID 9073 //
     /* 1233093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233146 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233150 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1233163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233171 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233186 */     // GIR_Coverage, 9073,
     /* 1233186 */     GIR_EraseRootFromParent_Done,
     /* 1233187 */   // Label 17355: @1233187
     /* 1233187 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1233286), // Rule ID 9076 //
     /* 1233192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1233203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1233206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1233262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233285 */     // GIR_Coverage, 9076,
     /* 1233285 */     GIR_EraseRootFromParent_Done,
     /* 1233286 */   // Label 17356: @1233286
     /* 1233286 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1233385), // Rule ID 9077 //
     /* 1233291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1233302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1233305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1233314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233344 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233348 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1233361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233384 */     // GIR_Coverage, 9077,
     /* 1233384 */     GIR_EraseRootFromParent_Done,
     /* 1233385 */   // Label 17357: @1233385
     /* 1233385 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1233484), // Rule ID 9080 //
     /* 1233390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233443 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1233443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1233460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233483 */     // GIR_Coverage, 9080,
     /* 1233483 */     GIR_EraseRootFromParent_Done,
     /* 1233484 */   // Label 17358: @1233484
     /* 1233484 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1233583), // Rule ID 9081 //
     /* 1233489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1233500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1233503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1233512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1233542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233546 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1233559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233582 */     // GIR_Coverage, 9081,
     /* 1233582 */     GIR_EraseRootFromParent_Done,
     /* 1233583 */   // Label 17359: @1233583
     /* 1233583 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1233682), // Rule ID 9084 //
     /* 1233588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233641 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1233641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1233658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233681 */     // GIR_Coverage, 9084,
     /* 1233681 */     GIR_EraseRootFromParent_Done,
     /* 1233682 */   // Label 17360: @1233682
     /* 1233682 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1233781), // Rule ID 9085 //
     /* 1233687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1233698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1233701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1233704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1233710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1233740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1233757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1233779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233780 */     // GIR_Coverage, 9085,
     /* 1233780 */     GIR_EraseRootFromParent_Done,
     /* 1233781 */   // Label 17361: @1233781
     /* 1233781 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1233880), // Rule ID 9088 //
     /* 1233786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1233797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1233800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1233806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1233839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1233856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233879 */     // GIR_Coverage, 9088,
     /* 1233879 */     GIR_EraseRootFromParent_Done,
     /* 1233880 */   // Label 17362: @1233880
     /* 1233880 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1233979), // Rule ID 9089 //
     /* 1233885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1233888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1233896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1233899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1233905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1233908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1233927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1233931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1233938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1233942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1233948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1233952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1233955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1233959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1233969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233978 */     // GIR_Coverage, 9089,
     /* 1233978 */     GIR_EraseRootFromParent_Done,
     /* 1233979 */   // Label 17363: @1233979
     /* 1233979 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1234078), // Rule ID 9092 //
     /* 1233984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1233987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1233992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1233995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1233998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234037 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1234037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1234054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234077 */     // GIR_Coverage, 9092,
     /* 1234077 */     GIR_EraseRootFromParent_Done,
     /* 1234078 */   // Label 17364: @1234078
     /* 1234078 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1234177), // Rule ID 9093 //
     /* 1234083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1234094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1234097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1234100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1234106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1234136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234140 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1234153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234176 */     // GIR_Coverage, 9093,
     /* 1234176 */     GIR_EraseRootFromParent_Done,
     /* 1234177 */   // Label 17365: @1234177
     /* 1234177 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1234276), // Rule ID 9096 //
     /* 1234182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1234185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1234193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1234196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1234199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1234235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1234252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234275 */     // GIR_Coverage, 9096,
     /* 1234275 */     GIR_EraseRootFromParent_Done,
     /* 1234276 */   // Label 17366: @1234276
     /* 1234276 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1234375), // Rule ID 9097 //
     /* 1234281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1234284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1234292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1234295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1234298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1234304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1234334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1234351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234374 */     // GIR_Coverage, 9097,
     /* 1234374 */     GIR_EraseRootFromParent_Done,
     /* 1234375 */   // Label 17367: @1234375
     /* 1234375 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1234474), // Rule ID 9100 //
     /* 1234380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1234391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1234394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1234397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234433 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1234450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234473 */     // GIR_Coverage, 9100,
     /* 1234473 */     GIR_EraseRootFromParent_Done,
     /* 1234474 */   // Label 17368: @1234474
     /* 1234474 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1234573), // Rule ID 9101 //
     /* 1234479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1234490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1234493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1234496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1234502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234536 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234542 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1234549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234572 */     // GIR_Coverage, 9101,
     /* 1234572 */     GIR_EraseRootFromParent_Done,
     /* 1234573 */   // Label 17369: @1234573
     /* 1234573 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1234672), // Rule ID 9104 //
     /* 1234578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1234589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1234592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1234595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234631 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1234648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234671 */     // GIR_Coverage, 9104,
     /* 1234671 */     GIR_EraseRootFromParent_Done,
     /* 1234672 */   // Label 17370: @1234672
     /* 1234672 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1234771), // Rule ID 9105 //
     /* 1234677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1234688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1234691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1234694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1234700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234730 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234734 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1234747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234770 */     // GIR_Coverage, 9105,
     /* 1234770 */     GIR_EraseRootFromParent_Done,
     /* 1234771 */   // Label 17371: @1234771
     /* 1234771 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1234870), // Rule ID 9108 //
     /* 1234776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1234787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1234790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1234793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1234799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234829 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1234829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1234846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234869 */     // GIR_Coverage, 9108,
     /* 1234869 */     GIR_EraseRootFromParent_Done,
     /* 1234870 */   // Label 17372: @1234870
     /* 1234870 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1234969), // Rule ID 9109 //
     /* 1234875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1234878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1234886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1234889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1234892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1234895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1234898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1234917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1234921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234928 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1234928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1234932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1234938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1234942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1234945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1234949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1234959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1234967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234968 */     // GIR_Coverage, 9109,
     /* 1234968 */     GIR_EraseRootFromParent_Done,
     /* 1234969 */   // Label 17373: @1234969
     /* 1234969 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1235068), // Rule ID 9112 //
     /* 1234974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1234977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1234982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1234985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1234988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1234991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1234994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1234997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235027 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1235044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235067 */     // GIR_Coverage, 9112,
     /* 1235067 */     GIR_EraseRootFromParent_Done,
     /* 1235068 */   // Label 17374: @1235068
     /* 1235068 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1235167), // Rule ID 9113 //
     /* 1235073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1235084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1235087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1235090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235130 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1235143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235166 */     // GIR_Coverage, 9113,
     /* 1235166 */     GIR_EraseRootFromParent_Done,
     /* 1235167 */   // Label 17375: @1235167
     /* 1235167 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1235266), // Rule ID 9116 //
     /* 1235172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1235183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1235186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235225 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1235242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235265 */     // GIR_Coverage, 9116,
     /* 1235265 */     GIR_EraseRootFromParent_Done,
     /* 1235266 */   // Label 17376: @1235266
     /* 1235266 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1235365), // Rule ID 9117 //
     /* 1235271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1235282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1235285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1235288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235324 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235328 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1235341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235364 */     // GIR_Coverage, 9117,
     /* 1235364 */     GIR_EraseRootFromParent_Done,
     /* 1235365 */   // Label 17377: @1235365
     /* 1235365 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1235464), // Rule ID 9120 //
     /* 1235370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1235381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1235384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1235387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235423 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1235423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1235440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235463 */     // GIR_Coverage, 9120,
     /* 1235463 */     GIR_EraseRootFromParent_Done,
     /* 1235464 */   // Label 17378: @1235464
     /* 1235464 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1235563), // Rule ID 9121 //
     /* 1235469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1235480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1235483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1235486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1235492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235522 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1235522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1235539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235562 */     // GIR_Coverage, 9121,
     /* 1235562 */     GIR_EraseRootFromParent_Done,
     /* 1235563 */   // Label 17379: @1235563
     /* 1235563 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1235662), // Rule ID 9124 //
     /* 1235568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1235579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1235582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235621 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1235638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235661 */     // GIR_Coverage, 9124,
     /* 1235661 */     GIR_EraseRootFromParent_Done,
     /* 1235662 */   // Label 17380: @1235662
     /* 1235662 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1235761), // Rule ID 9125 //
     /* 1235667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1235678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1235681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1235684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1235690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1235705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235720 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1235737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235760 */     // GIR_Coverage, 9125,
     /* 1235760 */     GIR_EraseRootFromParent_Done,
     /* 1235761 */   // Label 17381: @1235761
     /* 1235761 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1235860), // Rule ID 9128 //
     /* 1235766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1235777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1235780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235819 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1235819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1235836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235859 */     // GIR_Coverage, 9128,
     /* 1235859 */     GIR_EraseRootFromParent_Done,
     /* 1235860 */   // Label 17382: @1235860
     /* 1235860 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1235959), // Rule ID 9129 //
     /* 1235865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1235868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1235876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1235879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1235882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1235885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1235888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1235907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1235911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235918 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1235918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1235922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1235928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1235932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1235935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1235939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1235949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235958 */     // GIR_Coverage, 9129,
     /* 1235958 */     GIR_EraseRootFromParent_Done,
     /* 1235959 */   // Label 17383: @1235959
     /* 1235959 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1236058), // Rule ID 9132 //
     /* 1235964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1235967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1235972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1235975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1235978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1235981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1235984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1235987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1236017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1236034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236057 */     // GIR_Coverage, 9132,
     /* 1236057 */     GIR_EraseRootFromParent_Done,
     /* 1236058 */   // Label 17384: @1236058
     /* 1236058 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1236157), // Rule ID 9133 //
     /* 1236063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1236074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1236077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1236086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236116 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1236116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236120 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1236133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236156 */     // GIR_Coverage, 9133,
     /* 1236156 */     GIR_EraseRootFromParent_Done,
     /* 1236157 */   // Label 17385: @1236157
     /* 1236157 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1236256), // Rule ID 9136 //
     /* 1236162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1236173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1236176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1236179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236215 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1236232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236255 */     // GIR_Coverage, 9136,
     /* 1236255 */     GIR_EraseRootFromParent_Done,
     /* 1236256 */   // Label 17386: @1236256
     /* 1236256 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1236355), // Rule ID 9137 //
     /* 1236261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1236272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1236275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1236278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236318 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1236331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236354 */     // GIR_Coverage, 9137,
     /* 1236354 */     GIR_EraseRootFromParent_Done,
     /* 1236355 */   // Label 17387: @1236355
     /* 1236355 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1236454), // Rule ID 9140 //
     /* 1236360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1236377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236413 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1236430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236453 */     // GIR_Coverage, 9140,
     /* 1236453 */     GIR_EraseRootFromParent_Done,
     /* 1236454 */   // Label 17388: @1236454
     /* 1236454 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1236553), // Rule ID 9141 //
     /* 1236459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1236470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1236473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1236476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1236482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236512 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1236529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236537 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236552 */     // GIR_Coverage, 9141,
     /* 1236552 */     GIR_EraseRootFromParent_Done,
     /* 1236553 */   // Label 17389: @1236553
     /* 1236553 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1236652), // Rule ID 9144 //
     /* 1236558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1236561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236611 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1236611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1236628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236651 */     // GIR_Coverage, 9144,
     /* 1236651 */     GIR_EraseRootFromParent_Done,
     /* 1236652 */   // Label 17390: @1236652
     /* 1236652 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1236751), // Rule ID 9145 //
     /* 1236657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1236660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1236665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1236668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1236671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1236674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1236680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1236710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1236727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1236749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236750 */     // GIR_Coverage, 9145,
     /* 1236750 */     GIR_EraseRootFromParent_Done,
     /* 1236751 */   // Label 17391: @1236751
     /* 1236751 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1236850), // Rule ID 9236 //
     /* 1236756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1236764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1236767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1236770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236809 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1236809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1236826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236849 */     // GIR_Coverage, 9236,
     /* 1236849 */     GIR_EraseRootFromParent_Done,
     /* 1236850 */   // Label 17392: @1236850
     /* 1236850 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1236949), // Rule ID 9237 //
     /* 1236855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1236858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1236863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1236866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1236869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1236872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1236875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1236878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1236901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1236908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1236912 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1236918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1236922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1236925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1236929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1236939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1236947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236948 */     // GIR_Coverage, 9237,
     /* 1236948 */     GIR_EraseRootFromParent_Done,
     /* 1236949 */   // Label 17393: @1236949
     /* 1236949 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1237048), // Rule ID 9240 //
     /* 1236954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1236957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1236962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1236965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1236968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1236971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1236974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1236977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1236996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237007 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1237024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237047 */     // GIR_Coverage, 9240,
     /* 1237047 */     GIR_EraseRootFromParent_Done,
     /* 1237048 */   // Label 17394: @1237048
     /* 1237048 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1237147), // Rule ID 9241 //
     /* 1237053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1237070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237106 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237110 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1237123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237131 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237146 */     // GIR_Coverage, 9241,
     /* 1237146 */     GIR_EraseRootFromParent_Done,
     /* 1237147 */   // Label 17395: @1237147
     /* 1237147 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1237246), // Rule ID 9244 //
     /* 1237152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1237163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1237166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1237169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237245 */     // GIR_Coverage, 9244,
     /* 1237245 */     GIR_EraseRootFromParent_Done,
     /* 1237246 */   // Label 17396: @1237246
     /* 1237246 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1237345), // Rule ID 9245 //
     /* 1237251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1237262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1237265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1237268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1237274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237304 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1237304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1237343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237344 */     // GIR_Coverage, 9245,
     /* 1237344 */     GIR_EraseRootFromParent_Done,
     /* 1237345 */   // Label 17397: @1237345
     /* 1237345 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1237444), // Rule ID 9248 //
     /* 1237350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1237420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237443 */     // GIR_Coverage, 9248,
     /* 1237443 */     GIR_EraseRootFromParent_Done,
     /* 1237444 */   // Label 17398: @1237444
     /* 1237444 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1237543), // Rule ID 9249 //
     /* 1237449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1237519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237527 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237542 */     // GIR_Coverage, 9249,
     /* 1237542 */     GIR_EraseRootFromParent_Done,
     /* 1237543 */   // Label 17399: @1237543
     /* 1237543 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1237642), // Rule ID 9252 //
     /* 1237548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1237601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237641 */     // GIR_Coverage, 9252,
     /* 1237641 */     GIR_EraseRootFromParent_Done,
     /* 1237642 */   // Label 17400: @1237642
     /* 1237642 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1237741), // Rule ID 9253 //
     /* 1237647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1237658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1237661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1237670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237700 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1237700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237740 */     // GIR_Coverage, 9253,
     /* 1237740 */     GIR_EraseRootFromParent_Done,
     /* 1237741 */   // Label 17401: @1237741
     /* 1237741 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1237840), // Rule ID 9256 //
     /* 1237746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237799 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1237799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237839 */     // GIR_Coverage, 9256,
     /* 1237839 */     GIR_EraseRootFromParent_Done,
     /* 1237840 */   // Label 17402: @1237840
     /* 1237840 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1237939), // Rule ID 9257 //
     /* 1237845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1237848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1237856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1237859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1237865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1237868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1237898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1237902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1237908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1237912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1237915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1237919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1237929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237938 */     // GIR_Coverage, 9257,
     /* 1237938 */     GIR_EraseRootFromParent_Done,
     /* 1237939 */   // Label 17403: @1237939
     /* 1237939 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1238038), // Rule ID 9260 //
     /* 1237944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1237947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1237952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1237955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1237958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1237961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1237964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1237967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1237986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1237990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237997 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1237997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238022 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238037 */     // GIR_Coverage, 9260,
     /* 1238037 */     GIR_EraseRootFromParent_Done,
     /* 1238038 */   // Label 17404: @1238038
     /* 1238038 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1238137), // Rule ID 9261 //
     /* 1238043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1238054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1238057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1238060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1238066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238100 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238121 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238136 */     // GIR_Coverage, 9261,
     /* 1238136 */     GIR_EraseRootFromParent_Done,
     /* 1238137 */   // Label 17405: @1238137
     /* 1238137 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1238236), // Rule ID 9264 //
     /* 1238142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1238153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1238156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1238159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238195 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1238195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238235 */     // GIR_Coverage, 9264,
     /* 1238235 */     GIR_EraseRootFromParent_Done,
     /* 1238236 */   // Label 17406: @1238236
     /* 1238236 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1238335), // Rule ID 9265 //
     /* 1238241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1238252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1238255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1238258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1238264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238294 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1238294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238298 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238304 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238334 */     // GIR_Coverage, 9265,
     /* 1238334 */     GIR_EraseRootFromParent_Done,
     /* 1238335 */   // Label 17407: @1238335
     /* 1238335 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1238434), // Rule ID 9268 //
     /* 1238340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1238351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1238354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1238357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238393 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1238393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238433 */     // GIR_Coverage, 9268,
     /* 1238433 */     GIR_EraseRootFromParent_Done,
     /* 1238434 */   // Label 17408: @1238434
     /* 1238434 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1238533), // Rule ID 9269 //
     /* 1238439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1238450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1238453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1238456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1238462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238492 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1238492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238496 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238517 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238532 */     // GIR_Coverage, 9269,
     /* 1238532 */     GIR_EraseRootFromParent_Done,
     /* 1238533 */   // Label 17409: @1238533
     /* 1238533 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1238632), // Rule ID 9272 //
     /* 1238538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1238541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1238555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1238591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238631 */     // GIR_Coverage, 9272,
     /* 1238631 */     GIR_EraseRootFromParent_Done,
     /* 1238632 */   // Label 17410: @1238632
     /* 1238632 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1238731), // Rule ID 9273 //
     /* 1238637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1238640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1238648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1238651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1238654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1238660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1238690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1238707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1238729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238730 */     // GIR_Coverage, 9273,
     /* 1238730 */     GIR_EraseRootFromParent_Done,
     /* 1238731 */   // Label 17411: @1238731
     /* 1238731 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1238830), // Rule ID 9276 //
     /* 1238736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1238753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238789 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1238806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238829 */     // GIR_Coverage, 9276,
     /* 1238829 */     GIR_EraseRootFromParent_Done,
     /* 1238830 */   // Label 17412: @1238830
     /* 1238830 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1238929), // Rule ID 9277 //
     /* 1238835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1238838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1238846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1238849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1238852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1238858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1238888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238892 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1238902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1238905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1238919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238928 */     // GIR_Coverage, 9277,
     /* 1238928 */     GIR_EraseRootFromParent_Done,
     /* 1238929 */   // Label 17413: @1238929
     /* 1238929 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1239028), // Rule ID 9280 //
     /* 1238934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1238937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1238942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1238945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1238948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1238951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1238954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1238957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1238976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1238980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238987 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1238987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1238991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1238997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1239004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239027 */     // GIR_Coverage, 9280,
     /* 1239027 */     GIR_EraseRootFromParent_Done,
     /* 1239028 */   // Label 17414: @1239028
     /* 1239028 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1239127), // Rule ID 9281 //
     /* 1239033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1239044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1239047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1239050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239086 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239090 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1239103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239111 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239126 */     // GIR_Coverage, 9281,
     /* 1239126 */     GIR_EraseRootFromParent_Done,
     /* 1239127 */   // Label 17415: @1239127
     /* 1239127 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1239226), // Rule ID 9284 //
     /* 1239132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1239143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1239146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1239149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1239155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239185 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1239185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1239202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239225 */     // GIR_Coverage, 9284,
     /* 1239225 */     GIR_EraseRootFromParent_Done,
     /* 1239226 */   // Label 17416: @1239226
     /* 1239226 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1239325), // Rule ID 9285 //
     /* 1239231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1239242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1239245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1239248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1239254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239284 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1239284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1239301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239324 */     // GIR_Coverage, 9285,
     /* 1239324 */     GIR_EraseRootFromParent_Done,
     /* 1239325 */   // Label 17417: @1239325
     /* 1239325 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1239424), // Rule ID 9288 //
     /* 1239330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1239341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1239344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1239347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239383 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1239400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239423 */     // GIR_Coverage, 9288,
     /* 1239423 */     GIR_EraseRootFromParent_Done,
     /* 1239424 */   // Label 17418: @1239424
     /* 1239424 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1239523), // Rule ID 9289 //
     /* 1239429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1239440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1239443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1239446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1239452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239482 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239486 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1239499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239522 */     // GIR_Coverage, 9289,
     /* 1239522 */     GIR_EraseRootFromParent_Done,
     /* 1239523 */   // Label 17419: @1239523
     /* 1239523 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1239622), // Rule ID 9292 //
     /* 1239528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1239539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1239542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1239545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239581 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239585 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1239598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239606 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239621 */     // GIR_Coverage, 9292,
     /* 1239621 */     GIR_EraseRootFromParent_Done,
     /* 1239622 */   // Label 17420: @1239622
     /* 1239622 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1239721), // Rule ID 9293 //
     /* 1239627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1239638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1239641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1239644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1239650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239680 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1239697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239720 */     // GIR_Coverage, 9293,
     /* 1239720 */     GIR_EraseRootFromParent_Done,
     /* 1239721 */   // Label 17421: @1239721
     /* 1239721 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1239820), // Rule ID 9296 //
     /* 1239726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1239737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1239740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1239743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239779 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1239779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1239796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239819 */     // GIR_Coverage, 9296,
     /* 1239819 */     GIR_EraseRootFromParent_Done,
     /* 1239820 */   // Label 17422: @1239820
     /* 1239820 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1239919), // Rule ID 9297 //
     /* 1239825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1239828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1239836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1239839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1239842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1239848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1239878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239882 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1239895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1239909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1239917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239918 */     // GIR_Coverage, 9297,
     /* 1239918 */     GIR_EraseRootFromParent_Done,
     /* 1239919 */   // Label 17423: @1239919
     /* 1239919 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1240018), // Rule ID 9300 //
     /* 1239924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1239927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1239932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1239935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1239938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1239941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1239944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1239947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1239966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1239970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239977 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1239977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1239981 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1239987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1239991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1239994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240017 */     // GIR_Coverage, 9300,
     /* 1240017 */     GIR_EraseRootFromParent_Done,
     /* 1240018 */   // Label 17424: @1240018
     /* 1240018 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1240117), // Rule ID 9301 //
     /* 1240023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1240093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240116 */     // GIR_Coverage, 9301,
     /* 1240116 */     GIR_EraseRootFromParent_Done,
     /* 1240117 */   // Label 17425: @1240117
     /* 1240117 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1240216), // Rule ID 9304 //
     /* 1240122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240175 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1240192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240215 */     // GIR_Coverage, 9304,
     /* 1240215 */     GIR_EraseRootFromParent_Done,
     /* 1240216 */   // Label 17426: @1240216
     /* 1240216 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1240315), // Rule ID 9305 //
     /* 1240221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1240291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240314 */     // GIR_Coverage, 9305,
     /* 1240314 */     GIR_EraseRootFromParent_Done,
     /* 1240315 */   // Label 17427: @1240315
     /* 1240315 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1240414), // Rule ID 9308 //
     /* 1240320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1240323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1240331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1240334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240373 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1240373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1240390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240413 */     // GIR_Coverage, 9308,
     /* 1240413 */     GIR_EraseRootFromParent_Done,
     /* 1240414 */   // Label 17428: @1240414
     /* 1240414 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1240513), // Rule ID 9309 //
     /* 1240419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1240422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1240430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1240433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1240442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240472 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1240472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240476 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240482 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1240489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240497 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1240511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240512 */     // GIR_Coverage, 9309,
     /* 1240512 */     GIR_EraseRootFromParent_Done,
     /* 1240513 */   // Label 17429: @1240513
     /* 1240513 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1240612), // Rule ID 9312 //
     /* 1240518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1240535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240571 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1240588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240611 */     // GIR_Coverage, 9312,
     /* 1240611 */     GIR_EraseRootFromParent_Done,
     /* 1240612 */   // Label 17430: @1240612
     /* 1240612 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1240711), // Rule ID 9313 //
     /* 1240617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1240628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1240631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1240634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1240640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1240687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240710 */     // GIR_Coverage, 9313,
     /* 1240710 */     GIR_EraseRootFromParent_Done,
     /* 1240711 */   // Label 17431: @1240711
     /* 1240711 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1240810), // Rule ID 9316 //
     /* 1240716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1240733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240769 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1240786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240809 */     // GIR_Coverage, 9316,
     /* 1240809 */     GIR_EraseRootFromParent_Done,
     /* 1240810 */   // Label 17432: @1240810
     /* 1240810 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1240909), // Rule ID 9317 //
     /* 1240815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1240818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1240826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1240829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1240832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1240838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1240868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1240885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1240907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240908 */     // GIR_Coverage, 9317,
     /* 1240908 */     GIR_EraseRootFromParent_Done,
     /* 1240909 */   // Label 17433: @1240909
     /* 1240909 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1241008), // Rule ID 9320 //
     /* 1240914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1240917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1240922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1240925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1240928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1240931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1240934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1240937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1240956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1240960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240967 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1240967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1240971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1240977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1240981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1240984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1240998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241007 */     // GIR_Coverage, 9320,
     /* 1241007 */     GIR_EraseRootFromParent_Done,
     /* 1241008 */   // Label 17434: @1241008
     /* 1241008 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1241107), // Rule ID 9321 //
     /* 1241013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1241016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1241021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1241024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1241027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1241030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1241036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1241055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241066 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1241066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241070 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1241083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1241105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241106 */     // GIR_Coverage, 9321,
     /* 1241106 */     GIR_EraseRootFromParent_Done,
     /* 1241107 */   // Label 17435: @1241107
     /* 1241107 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1241206), // Rule ID 9412 //
     /* 1241112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1241129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1241132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241165 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1241182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241205 */     // GIR_Coverage, 9412,
     /* 1241205 */     GIR_EraseRootFromParent_Done,
     /* 1241206 */   // Label 17436: @1241206
     /* 1241206 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1241305), // Rule ID 9413 //
     /* 1241211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1241228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1241231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241264 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241268 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1241281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241304 */     // GIR_Coverage, 9413,
     /* 1241304 */     GIR_EraseRootFromParent_Done,
     /* 1241305 */   // Label 17437: @1241305
     /* 1241305 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1241404), // Rule ID 9416 //
     /* 1241310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1241321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1241324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1241327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1241330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241363 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1241363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1241380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241403 */     // GIR_Coverage, 9416,
     /* 1241403 */     GIR_EraseRootFromParent_Done,
     /* 1241404 */   // Label 17438: @1241404
     /* 1241404 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1241503), // Rule ID 9417 //
     /* 1241409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1241420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1241423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1241426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1241429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1241432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1241462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241466 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1241479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1241501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241502 */     // GIR_Coverage, 9417,
     /* 1241502 */     GIR_EraseRootFromParent_Done,
     /* 1241503 */   // Label 17439: @1241503
     /* 1241503 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1241602), // Rule ID 9420 //
     /* 1241508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1241528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241561 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1241578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241586 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241601 */     // GIR_Coverage, 9420,
     /* 1241601 */     GIR_EraseRootFromParent_Done,
     /* 1241602 */   // Label 17440: @1241602
     /* 1241602 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1241701), // Rule ID 9421 //
     /* 1241607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1241627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1241677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241700 */     // GIR_Coverage, 9421,
     /* 1241700 */     GIR_EraseRootFromParent_Done,
     /* 1241701 */   // Label 17441: @1241701
     /* 1241701 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1241800), // Rule ID 9424 //
     /* 1241706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1241726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241759 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1241759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1241776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241799 */     // GIR_Coverage, 9424,
     /* 1241799 */     GIR_EraseRootFromParent_Done,
     /* 1241800 */   // Label 17442: @1241800
     /* 1241800 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1241899), // Rule ID 9425 //
     /* 1241805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1241808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1241816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1241819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1241825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1241828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1241858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241862 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1241875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241898 */     // GIR_Coverage, 9425,
     /* 1241898 */     GIR_EraseRootFromParent_Done,
     /* 1241899 */   // Label 17443: @1241899
     /* 1241899 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1241998), // Rule ID 9428 //
     /* 1241904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1241907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1241912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1241915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1241918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1241921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1241924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1241927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1241950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1241957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1241961 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1241967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1241971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1241974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1241980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1241982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1241988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1241996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241997 */     // GIR_Coverage, 9428,
     /* 1241997 */     GIR_EraseRootFromParent_Done,
     /* 1241998 */   // Label 17444: @1241998
     /* 1241998 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1242097), // Rule ID 9429 //
     /* 1242003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1242020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1242023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242056 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242060 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242066 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1242073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242096 */     // GIR_Coverage, 9429,
     /* 1242096 */     GIR_EraseRootFromParent_Done,
     /* 1242097 */   // Label 17445: @1242097
     /* 1242097 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1242196), // Rule ID 9432 //
     /* 1242102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1242122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242155 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242195 */     // GIR_Coverage, 9432,
     /* 1242195 */     GIR_EraseRootFromParent_Done,
     /* 1242196 */   // Label 17446: @1242196
     /* 1242196 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1242295), // Rule ID 9433 //
     /* 1242201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1242212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1242215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1242218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1242221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1242224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242279 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242294 */     // GIR_Coverage, 9433,
     /* 1242294 */     GIR_EraseRootFromParent_Done,
     /* 1242295 */   // Label 17447: @1242295
     /* 1242295 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1242394), // Rule ID 9436 //
     /* 1242300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1242320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242353 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1242353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242393 */     // GIR_Coverage, 9436,
     /* 1242393 */     GIR_EraseRootFromParent_Done,
     /* 1242394 */   // Label 17448: @1242394
     /* 1242394 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1242493), // Rule ID 9437 //
     /* 1242399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1242410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1242413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1242416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1242419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1242422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242452 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1242452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242456 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242492 */     // GIR_Coverage, 9437,
     /* 1242492 */     GIR_EraseRootFromParent_Done,
     /* 1242493 */   // Label 17449: @1242493
     /* 1242493 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1242592), // Rule ID 9440 //
     /* 1242498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1242518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242551 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1242551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242591 */     // GIR_Coverage, 9440,
     /* 1242591 */     GIR_EraseRootFromParent_Done,
     /* 1242592 */   // Label 17450: @1242592
     /* 1242592 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1242691), // Rule ID 9441 //
     /* 1242597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1242608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1242611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1242614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1242617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1242620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242650 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1242650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1242689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242690 */     // GIR_Coverage, 9441,
     /* 1242690 */     GIR_EraseRootFromParent_Done,
     /* 1242691 */   // Label 17451: @1242691
     /* 1242691 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1242790), // Rule ID 9444 //
     /* 1242696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1242699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1242716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242749 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1242749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242789 */     // GIR_Coverage, 9444,
     /* 1242789 */     GIR_EraseRootFromParent_Done,
     /* 1242790 */   // Label 17452: @1242790
     /* 1242790 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1242889), // Rule ID 9445 //
     /* 1242795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1242798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1242812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1242815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242848 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1242848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1242865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1242887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242888 */     // GIR_Coverage, 9445,
     /* 1242888 */     GIR_EraseRootFromParent_Done,
     /* 1242889 */   // Label 17453: @1242889
     /* 1242889 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1242988), // Rule ID 9448 //
     /* 1242894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1242905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1242908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1242911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1242914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1242917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1242936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242947 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1242951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1242957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1242961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1242964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1242978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242987 */     // GIR_Coverage, 9448,
     /* 1242987 */     GIR_EraseRootFromParent_Done,
     /* 1242988 */   // Label 17454: @1242988
     /* 1242988 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1243087), // Rule ID 9449 //
     /* 1242993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1243010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1243013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243046 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243050 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1243063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243071 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243086 */     // GIR_Coverage, 9449,
     /* 1243086 */     GIR_EraseRootFromParent_Done,
     /* 1243087 */   // Label 17455: @1243087
     /* 1243087 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1243186), // Rule ID 9452 //
     /* 1243092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1243109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1243112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243145 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1243162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243185 */     // GIR_Coverage, 9452,
     /* 1243185 */     GIR_EraseRootFromParent_Done,
     /* 1243186 */   // Label 17456: @1243186
     /* 1243186 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1243285), // Rule ID 9453 //
     /* 1243191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1243208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1243211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243244 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1243261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243284 */     // GIR_Coverage, 9453,
     /* 1243284 */     GIR_EraseRootFromParent_Done,
     /* 1243285 */   // Label 17457: @1243285
     /* 1243285 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1243384), // Rule ID 9456 //
     /* 1243290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1243301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1243304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1243307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1243310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1243313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243343 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1243360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243383 */     // GIR_Coverage, 9456,
     /* 1243383 */     GIR_EraseRootFromParent_Done,
     /* 1243384 */   // Label 17458: @1243384
     /* 1243384 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1243483), // Rule ID 9457 //
     /* 1243389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1243400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1243403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1243406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1243409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1243412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243442 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243446 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1243459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243467 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243482 */     // GIR_Coverage, 9457,
     /* 1243482 */     GIR_EraseRootFromParent_Done,
     /* 1243483 */   // Label 17459: @1243483
     /* 1243483 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1243582), // Rule ID 9460 //
     /* 1243488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1243508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243541 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1243558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243581 */     // GIR_Coverage, 9460,
     /* 1243581 */     GIR_EraseRootFromParent_Done,
     /* 1243582 */   // Label 17460: @1243582
     /* 1243582 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1243681), // Rule ID 9461 //
     /* 1243587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1243598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1243601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1243604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1243607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1243629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243640 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243644 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1243657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243680 */     // GIR_Coverage, 9461,
     /* 1243680 */     GIR_EraseRootFromParent_Done,
     /* 1243681 */   // Label 17461: @1243681
     /* 1243681 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1243780), // Rule ID 9464 //
     /* 1243686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1243706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243739 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1243756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243779 */     // GIR_Coverage, 9464,
     /* 1243779 */     GIR_EraseRootFromParent_Done,
     /* 1243780 */   // Label 17462: @1243780
     /* 1243780 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1243879), // Rule ID 9465 //
     /* 1243785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1243796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1243799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1243802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1243805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1243808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1243827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1243855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243878 */     // GIR_Coverage, 9465,
     /* 1243878 */     GIR_EraseRootFromParent_Done,
     /* 1243879 */   // Label 17463: @1243879
     /* 1243879 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1243978), // Rule ID 9468 //
     /* 1243884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1243901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1243904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1243907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1243926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243937 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1243941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1243947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1243951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1243954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1243960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1243962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1243968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243977 */     // GIR_Coverage, 9468,
     /* 1243977 */     GIR_EraseRootFromParent_Done,
     /* 1243978 */   // Label 17464: @1243978
     /* 1243978 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1244077), // Rule ID 9469 //
     /* 1243983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1243991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1243994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1243997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1244000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1244003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244036 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244040 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244046 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1244053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244061 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244076 */     // GIR_Coverage, 9469,
     /* 1244076 */     GIR_EraseRootFromParent_Done,
     /* 1244077 */   // Label 17465: @1244077
     /* 1244077 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1244176), // Rule ID 9472 //
     /* 1244082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1244102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244135 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1244152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244175 */     // GIR_Coverage, 9472,
     /* 1244175 */     GIR_EraseRootFromParent_Done,
     /* 1244176 */   // Label 17466: @1244176
     /* 1244176 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1244275), // Rule ID 9473 //
     /* 1244181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1244198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1244201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1244251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244274 */     // GIR_Coverage, 9473,
     /* 1244274 */     GIR_EraseRootFromParent_Done,
     /* 1244275 */   // Label 17467: @1244275
     /* 1244275 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1244374), // Rule ID 9476 //
     /* 1244280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1244297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1244300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1244350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244373 */     // GIR_Coverage, 9476,
     /* 1244373 */     GIR_EraseRootFromParent_Done,
     /* 1244374 */   // Label 17468: @1244374
     /* 1244374 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1244473), // Rule ID 9477 //
     /* 1244379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1244390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1244393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1244396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1244399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244432 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244436 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1244449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244472 */     // GIR_Coverage, 9477,
     /* 1244472 */     GIR_EraseRootFromParent_Done,
     /* 1244473 */   // Label 17469: @1244473
     /* 1244473 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1244572), // Rule ID 9480 //
     /* 1244478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1244489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1244492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1244495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1244498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244531 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1244548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244571 */     // GIR_Coverage, 9480,
     /* 1244571 */     GIR_EraseRootFromParent_Done,
     /* 1244572 */   // Label 17470: @1244572
     /* 1244572 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1244671), // Rule ID 9481 //
     /* 1244577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1244588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1244591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1244594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1244597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244630 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244634 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1244647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244670 */     // GIR_Coverage, 9481,
     /* 1244670 */     GIR_EraseRootFromParent_Done,
     /* 1244671 */   // Label 17471: @1244671
     /* 1244671 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1244770), // Rule ID 9484 //
     /* 1244676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1244696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244729 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1244746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244769 */     // GIR_Coverage, 9484,
     /* 1244769 */     GIR_EraseRootFromParent_Done,
     /* 1244770 */   // Label 17472: @1244770
     /* 1244770 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1244869), // Rule ID 9485 //
     /* 1244775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1244786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1244789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1244792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1244795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244832 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244838 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1244845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244868 */     // GIR_Coverage, 9485,
     /* 1244868 */     GIR_EraseRootFromParent_Done,
     /* 1244869 */   // Label 17473: @1244869
     /* 1244869 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1244968), // Rule ID 9488 //
     /* 1244874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1244894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1244931 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1244937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1244941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1244944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1244950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1244952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1244958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244967 */     // GIR_Coverage, 9488,
     /* 1244967 */     GIR_EraseRootFromParent_Done,
     /* 1244968 */   // Label 17474: @1244968
     /* 1244968 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1245067), // Rule ID 9489 //
     /* 1244973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1244981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1244984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1244987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1244990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1244993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245030 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1245043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245066 */     // GIR_Coverage, 9489,
     /* 1245066 */     GIR_EraseRootFromParent_Done,
     /* 1245067 */   // Label 17475: @1245067
     /* 1245067 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1245166), // Rule ID 9492 //
     /* 1245072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1245080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1245092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245125 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1245142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245165 */     // GIR_Coverage, 9492,
     /* 1245165 */     GIR_EraseRootFromParent_Done,
     /* 1245166 */   // Label 17476: @1245166
     /* 1245166 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1245265), // Rule ID 9493 //
     /* 1245171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1245174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1245179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1245182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1245185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1245188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1245191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11088:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1245224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1245241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1245263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245264 */     // GIR_Coverage, 9493,
     /* 1245264 */     GIR_EraseRootFromParent_Done,
     /* 1245265 */   // Label 17477: @1245265
     /* 1245265 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1245364), // Rule ID 9496 //
     /* 1245270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1245340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245363 */     // GIR_Coverage, 9496,
     /* 1245363 */     GIR_EraseRootFromParent_Done,
     /* 1245364 */   // Label 17478: @1245364
     /* 1245364 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1245463), // Rule ID 9497 //
     /* 1245369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1245386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1245389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245422 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245426 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245432 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1245439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245462 */     // GIR_Coverage, 9497,
     /* 1245462 */     GIR_EraseRootFromParent_Done,
     /* 1245463 */   // Label 17479: @1245463
     /* 1245463 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1245562), // Rule ID 9500 //
     /* 1245468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245521 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1245538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245561 */     // GIR_Coverage, 9500,
     /* 1245561 */     GIR_EraseRootFromParent_Done,
     /* 1245562 */   // Label 17480: @1245562
     /* 1245562 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1245661), // Rule ID 9501 //
     /* 1245567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1245578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1245581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1245584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1245587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245620 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1245637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245660 */     // GIR_Coverage, 9501,
     /* 1245660 */     GIR_EraseRootFromParent_Done,
     /* 1245661 */   // Label 17481: @1245661
     /* 1245661 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1245760), // Rule ID 9504 //
     /* 1245666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1245683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1245686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245719 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1245719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1245736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245759 */     // GIR_Coverage, 9504,
     /* 1245759 */     GIR_EraseRootFromParent_Done,
     /* 1245760 */   // Label 17482: @1245760
     /* 1245760 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1245859), // Rule ID 9505 //
     /* 1245765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1245776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1245779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1245782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1245785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1245818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1245835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245843 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1245857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245858 */     // GIR_Coverage, 9505,
     /* 1245858 */     GIR_EraseRootFromParent_Done,
     /* 1245859 */   // Label 17483: @1245859
     /* 1245859 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1245958), // Rule ID 9508 //
     /* 1245864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1245881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1245884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245917 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1245921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1245927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1245931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1245934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1245940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1245942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1245948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245957 */     // GIR_Coverage, 9508,
     /* 1245957 */     GIR_EraseRootFromParent_Done,
     /* 1245958 */   // Label 17484: @1245958
     /* 1245958 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1246057), // Rule ID 9509 //
     /* 1245963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1245971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1245974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1245977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1245980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1245983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1245986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1245997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246016 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1246033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246041 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246056 */     // GIR_Coverage, 9509,
     /* 1246056 */     GIR_EraseRootFromParent_Done,
     /* 1246057 */   // Label 17485: @1246057
     /* 1246057 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1246156), // Rule ID 9512 //
     /* 1246062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246115 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1246132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246155 */     // GIR_Coverage, 9512,
     /* 1246155 */     GIR_EraseRootFromParent_Done,
     /* 1246156 */   // Label 17486: @1246156
     /* 1246156 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1246255), // Rule ID 9513 //
     /* 1246161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1246178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1246181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246214 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1246231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246254 */     // GIR_Coverage, 9513,
     /* 1246254 */     GIR_EraseRootFromParent_Done,
     /* 1246255 */   // Label 17487: @1246255
     /* 1246255 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1246354), // Rule ID 9516 //
     /* 1246260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246313 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1246330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246353 */     // GIR_Coverage, 9516,
     /* 1246353 */     GIR_EraseRootFromParent_Done,
     /* 1246354 */   // Label 17488: @1246354
     /* 1246354 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1246453), // Rule ID 9517 //
     /* 1246359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1246370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1246373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1246376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1246379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1246412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246416 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1246429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246437 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246452 */     // GIR_Coverage, 9517,
     /* 1246452 */     GIR_EraseRootFromParent_Done,
     /* 1246453 */   // Label 17489: @1246453
     /* 1246453 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1246552), // Rule ID 9520 //
     /* 1246458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246511 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1246528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246536 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246551 */     // GIR_Coverage, 9520,
     /* 1246551 */     GIR_EraseRootFromParent_Done,
     /* 1246552 */   // Label 17490: @1246552
     /* 1246552 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1246651), // Rule ID 9521 //
     /* 1246557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1246568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1246571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1246574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1246577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1246627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246650 */     // GIR_Coverage, 9521,
     /* 1246650 */     GIR_EraseRootFromParent_Done,
     /* 1246651 */   // Label 17491: @1246651
     /* 1246651 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1246750), // Rule ID 9524 //
     /* 1246656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1246726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246749 */     // GIR_Coverage, 9524,
     /* 1246749 */     GIR_EraseRootFromParent_Done,
     /* 1246750 */   // Label 17492: @1246750
     /* 1246750 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1246849), // Rule ID 9525 //
     /* 1246755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1246766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1246769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1246772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1246775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1246808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1246825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246848 */     // GIR_Coverage, 9525,
     /* 1246848 */     GIR_EraseRootFromParent_Done,
     /* 1246849 */   // Label 17493: @1246849
     /* 1246849 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1246948), // Rule ID 9528 //
     /* 1246854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1246871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1246874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1246907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1246911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1246917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1246921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1246924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1246930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1246932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1246938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1246946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246947 */     // GIR_Coverage, 9528,
     /* 1246947 */     GIR_EraseRootFromParent_Done,
     /* 1246948 */   // Label 17494: @1246948
     /* 1246948 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1247047), // Rule ID 9529 //
     /* 1246953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1246961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1246964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1246967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1246970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1246973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1247023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247046 */     // GIR_Coverage, 9529,
     /* 1247046 */     GIR_EraseRootFromParent_Done,
     /* 1247047 */   // Label 17495: @1247047
     /* 1247047 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1247146), // Rule ID 9532 //
     /* 1247052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247105 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1247105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1247122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247145 */     // GIR_Coverage, 9532,
     /* 1247145 */     GIR_EraseRootFromParent_Done,
     /* 1247146 */   // Label 17496: @1247146
     /* 1247146 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1247245), // Rule ID 9533 //
     /* 1247151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1247162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1247165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1247171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1247204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1247221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247229 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247244 */     // GIR_Coverage, 9533,
     /* 1247244 */     GIR_EraseRootFromParent_Done,
     /* 1247245 */   // Label 17497: @1247245
     /* 1247245 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1247344), // Rule ID 9536 //
     /* 1247250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247303 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247307 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1247320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247343 */     // GIR_Coverage, 9536,
     /* 1247343 */     GIR_EraseRootFromParent_Done,
     /* 1247344 */   // Label 17498: @1247344
     /* 1247344 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1247443), // Rule ID 9537 //
     /* 1247349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1247360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1247363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1247366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1247369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1247372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247402 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247406 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247412 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1247419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247427 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247442 */     // GIR_Coverage, 9537,
     /* 1247442 */     GIR_EraseRootFromParent_Done,
     /* 1247443 */   // Label 17499: @1247443
     /* 1247443 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1247542), // Rule ID 9540 //
     /* 1247448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247501 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1247518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247541 */     // GIR_Coverage, 9540,
     /* 1247541 */     GIR_EraseRootFromParent_Done,
     /* 1247542 */   // Label 17500: @1247542
     /* 1247542 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1247641), // Rule ID 9541 //
     /* 1247547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1247558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1247561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1247564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1247567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1247570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1247589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247600 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1247617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247640 */     // GIR_Coverage, 9541,
     /* 1247640 */     GIR_EraseRootFromParent_Done,
     /* 1247641 */   // Label 17501: @1247641
     /* 1247641 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1247740), // Rule ID 9544 //
     /* 1247646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247699 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1247716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247739 */     // GIR_Coverage, 9544,
     /* 1247739 */     GIR_EraseRootFromParent_Done,
     /* 1247740 */   // Label 17502: @1247740
     /* 1247740 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1247839), // Rule ID 9545 //
     /* 1247745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1247756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1247759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1247762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1247765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1247768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1247787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247798 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1247815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247838 */     // GIR_Coverage, 9545,
     /* 1247838 */     GIR_EraseRootFromParent_Done,
     /* 1247839 */   // Label 17503: @1247839
     /* 1247839 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1247938), // Rule ID 9548 //
     /* 1247844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247897 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1247901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1247907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1247911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1247914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1247920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1247922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1247928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247937 */     // GIR_Coverage, 9548,
     /* 1247937 */     GIR_EraseRootFromParent_Done,
     /* 1247938 */   // Label 17504: @1247938
     /* 1247938 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1248037), // Rule ID 9549 //
     /* 1247943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1247951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1247954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1247957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1247960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1247963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1247985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248000 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248006 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1248013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248036 */     // GIR_Coverage, 9549,
     /* 1248036 */     GIR_EraseRootFromParent_Done,
     /* 1248037 */   // Label 17505: @1248037
     /* 1248037 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1248136), // Rule ID 9552 //
     /* 1248042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248095 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1248112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248135 */     // GIR_Coverage, 9552,
     /* 1248135 */     GIR_EraseRootFromParent_Done,
     /* 1248136 */   // Label 17506: @1248136
     /* 1248136 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1248235), // Rule ID 9553 //
     /* 1248141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1248161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248194 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1248211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248234 */     // GIR_Coverage, 9553,
     /* 1248234 */     GIR_EraseRootFromParent_Done,
     /* 1248235 */   // Label 17507: @1248235
     /* 1248235 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1248334), // Rule ID 9556 //
     /* 1248240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248293 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248297 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1248310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248333 */     // GIR_Coverage, 9556,
     /* 1248333 */     GIR_EraseRootFromParent_Done,
     /* 1248334 */   // Label 17508: @1248334
     /* 1248334 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1248433), // Rule ID 9557 //
     /* 1248339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1248350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1248353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1248359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248392 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248396 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248402 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1248409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248417 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248432 */     // GIR_Coverage, 9557,
     /* 1248432 */     GIR_EraseRootFromParent_Done,
     /* 1248433 */   // Label 17509: @1248433
     /* 1248433 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1248532), // Rule ID 9560 //
     /* 1248438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248491 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1248508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248531 */     // GIR_Coverage, 9560,
     /* 1248531 */     GIR_EraseRootFromParent_Done,
     /* 1248532 */   // Label 17510: @1248532
     /* 1248532 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1248631), // Rule ID 9561 //
     /* 1248537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1248548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1248551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1248554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1248557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1248560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248590 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1248607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248630 */     // GIR_Coverage, 9561,
     /* 1248630 */     GIR_EraseRootFromParent_Done,
     /* 1248631 */   // Label 17511: @1248631
     /* 1248631 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1248730), // Rule ID 9564 //
     /* 1248636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248689 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1248706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248729 */     // GIR_Coverage, 9564,
     /* 1248729 */     GIR_EraseRootFromParent_Done,
     /* 1248730 */   // Label 17512: @1248730
     /* 1248730 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1248829), // Rule ID 9565 //
     /* 1248735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1248746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1248749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1248752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1248755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248788 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1248805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248828 */     // GIR_Coverage, 9565,
     /* 1248828 */     GIR_EraseRootFromParent_Done,
     /* 1248829 */   // Label 17513: @1248829
     /* 1248829 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1248928), // Rule ID 9568 //
     /* 1248834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248887 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1248887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1248901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1248904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1248910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1248912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1248918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1248926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248927 */     // GIR_Coverage, 9568,
     /* 1248927 */     GIR_EraseRootFromParent_Done,
     /* 1248928 */   // Label 17514: @1248928
     /* 1248928 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1249027), // Rule ID 9569 //
     /* 1248933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1248941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1248944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1248947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1248950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1248953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1248986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1248990 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1248996 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1249003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249026 */     // GIR_Coverage, 9569,
     /* 1249026 */     GIR_EraseRootFromParent_Done,
     /* 1249027 */   // Label 17515: @1249027
     /* 1249027 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1249126), // Rule ID 9572 //
     /* 1249032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1249102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249125 */     // GIR_Coverage, 9572,
     /* 1249125 */     GIR_EraseRootFromParent_Done,
     /* 1249126 */   // Label 17516: @1249126
     /* 1249126 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1249225), // Rule ID 9573 //
     /* 1249131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1249151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249184 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1249201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249224 */     // GIR_Coverage, 9573,
     /* 1249224 */     GIR_EraseRootFromParent_Done,
     /* 1249225 */   // Label 17517: @1249225
     /* 1249225 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1249324), // Rule ID 9576 //
     /* 1249230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249283 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1249300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249323 */     // GIR_Coverage, 9576,
     /* 1249323 */     GIR_EraseRootFromParent_Done,
     /* 1249324 */   // Label 17518: @1249324
     /* 1249324 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1249423), // Rule ID 9577 //
     /* 1249329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1249340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1249343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1249349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249382 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249386 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1249399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249407 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249422 */     // GIR_Coverage, 9577,
     /* 1249422 */     GIR_EraseRootFromParent_Done,
     /* 1249423 */   // Label 17519: @1249423
     /* 1249423 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1249522), // Rule ID 9580 //
     /* 1249428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249481 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1249498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249521 */     // GIR_Coverage, 9580,
     /* 1249521 */     GIR_EraseRootFromParent_Done,
     /* 1249522 */   // Label 17520: @1249522
     /* 1249522 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1249621), // Rule ID 9581 //
     /* 1249527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1249535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1249538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1249541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1249547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11086:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1249597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249620 */     // GIR_Coverage, 9581,
     /* 1249620 */     GIR_EraseRootFromParent_Done,
     /* 1249621 */   // Label 17521: @1249621
     /* 1249621 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1249720), // Rule ID 9584 //
     /* 1249626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1249634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1249646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249679 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1249696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249719 */     // GIR_Coverage, 9584,
     /* 1249719 */     GIR_EraseRootFromParent_Done,
     /* 1249720 */   // Label 17522: @1249720
     /* 1249720 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1249819), // Rule ID 9585 //
     /* 1249725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1249733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1249736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1249739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1249742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1249745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1249748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1249795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249818 */     // GIR_Coverage, 9585,
     /* 1249818 */     GIR_EraseRootFromParent_Done,
     /* 1249819 */   // Label 17523: @1249819
     /* 1249819 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1249918), // Rule ID 9588 //
     /* 1249824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1249832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1249844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1249877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249881 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1249894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1249902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1249908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1249916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249917 */     // GIR_Coverage, 9588,
     /* 1249917 */     GIR_EraseRootFromParent_Done,
     /* 1249918 */   // Label 17524: @1249918
     /* 1249918 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1250017), // Rule ID 9589 //
     /* 1249923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1249931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1249934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1249937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1249940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1249943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1249965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249976 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1249976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1249980 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1249986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1249990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1249993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1249999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250001 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250016 */     // GIR_Coverage, 9589,
     /* 1250016 */     GIR_EraseRootFromParent_Done,
     /* 1250017 */   // Label 17525: @1250017
     /* 1250017 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1250116), // Rule ID 9592 //
     /* 1250022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250075 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250115 */     // GIR_Coverage, 9592,
     /* 1250115 */     GIR_EraseRootFromParent_Done,
     /* 1250116 */   // Label 17526: @1250116
     /* 1250116 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1250215), // Rule ID 9593 //
     /* 1250121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1250132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1250135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250214 */     // GIR_Coverage, 9593,
     /* 1250214 */     GIR_EraseRootFromParent_Done,
     /* 1250215 */   // Label 17527: @1250215
     /* 1250215 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1250314), // Rule ID 9596 //
     /* 1250220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1250290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250313 */     // GIR_Coverage, 9596,
     /* 1250313 */     GIR_EraseRootFromParent_Done,
     /* 1250314 */   // Label 17528: @1250314
     /* 1250314 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1250413), // Rule ID 9597 //
     /* 1250319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250376 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1250389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250412 */     // GIR_Coverage, 9597,
     /* 1250412 */     GIR_EraseRootFromParent_Done,
     /* 1250413 */   // Label 17529: @1250413
     /* 1250413 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1250512), // Rule ID 9600 //
     /* 1250418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250511 */     // GIR_Coverage, 9600,
     /* 1250511 */     GIR_EraseRootFromParent_Done,
     /* 1250512 */   // Label 17530: @1250512
     /* 1250512 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1250611), // Rule ID 9601 //
     /* 1250517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1250528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1250531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250570 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250610 */     // GIR_Coverage, 9601,
     /* 1250610 */     GIR_EraseRootFromParent_Done,
     /* 1250611 */   // Label 17531: @1250611
     /* 1250611 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1250710), // Rule ID 9604 //
     /* 1250616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1250636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250669 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250709 */     // GIR_Coverage, 9604,
     /* 1250709 */     GIR_EraseRootFromParent_Done,
     /* 1250710 */   // Label 17532: @1250710
     /* 1250710 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1250809), // Rule ID 9605 //
     /* 1250715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1250726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1250729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1250735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250768 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250772 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250778 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1250785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250808 */     // GIR_Coverage, 9605,
     /* 1250808 */     GIR_EraseRootFromParent_Done,
     /* 1250809 */   // Label 17533: @1250809
     /* 1250809 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1250908), // Rule ID 9608 //
     /* 1250814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1250834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250867 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1250884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250907 */     // GIR_Coverage, 9608,
     /* 1250907 */     GIR_EraseRootFromParent_Done,
     /* 1250908 */   // Label 17534: @1250908
     /* 1250908 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1251007), // Rule ID 9609 //
     /* 1250913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1250921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1250924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1250927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1250933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1250970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1250976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1250980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1250983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1250989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1250991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1250997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251006 */     // GIR_Coverage, 9609,
     /* 1251006 */     GIR_EraseRootFromParent_Done,
     /* 1251007 */   // Label 17535: @1251007
     /* 1251007 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1251106), // Rule ID 9612 //
     /* 1251012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251065 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251105 */     // GIR_Coverage, 9612,
     /* 1251105 */     GIR_EraseRootFromParent_Done,
     /* 1251106 */   // Label 17536: @1251106
     /* 1251106 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1251205), // Rule ID 9613 //
     /* 1251111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1251122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1251125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251164 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251204 */     // GIR_Coverage, 9613,
     /* 1251204 */     GIR_EraseRootFromParent_Done,
     /* 1251205 */   // Label 17537: @1251205
     /* 1251205 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1251304), // Rule ID 9616 //
     /* 1251210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251303 */     // GIR_Coverage, 9616,
     /* 1251303 */     GIR_EraseRootFromParent_Done,
     /* 1251304 */   // Label 17538: @1251304
     /* 1251304 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1251403), // Rule ID 9617 //
     /* 1251309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1251320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1251323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251362 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251366 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251402 */     // GIR_Coverage, 9617,
     /* 1251402 */     GIR_EraseRootFromParent_Done,
     /* 1251403 */   // Label 17539: @1251403
     /* 1251403 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1251502), // Rule ID 9620 //
     /* 1251408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251461 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1251461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251501 */     // GIR_Coverage, 9620,
     /* 1251501 */     GIR_EraseRootFromParent_Done,
     /* 1251502 */   // Label 17540: @1251502
     /* 1251502 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1251601), // Rule ID 9621 //
     /* 1251507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1251518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1251521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251560 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1251560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1251577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251600 */     // GIR_Coverage, 9621,
     /* 1251600 */     GIR_EraseRootFromParent_Done,
     /* 1251601 */   // Label 17541: @1251601
     /* 1251601 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1251700), // Rule ID 9624 //
     /* 1251606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251659 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1251676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251699 */     // GIR_Coverage, 9624,
     /* 1251699 */     GIR_EraseRootFromParent_Done,
     /* 1251700 */   // Label 17542: @1251700
     /* 1251700 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1251799), // Rule ID 9625 //
     /* 1251705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1251716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1251719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251758 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251762 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1251775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251798 */     // GIR_Coverage, 9625,
     /* 1251798 */     GIR_EraseRootFromParent_Done,
     /* 1251799 */   // Label 17543: @1251799
     /* 1251799 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1251898), // Rule ID 9628 //
     /* 1251804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1251824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251857 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251861 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1251874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251897 */     // GIR_Coverage, 9628,
     /* 1251897 */     GIR_EraseRootFromParent_Done,
     /* 1251898 */   // Label 17544: @1251898
     /* 1251898 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1251997), // Rule ID 9629 //
     /* 1251903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1251911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1251914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1251917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1251923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251956 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1251960 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1251966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1251970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1251973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1251979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1251981 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1251987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251996 */     // GIR_Coverage, 9629,
     /* 1251996 */     GIR_EraseRootFromParent_Done,
     /* 1251997 */   // Label 17545: @1251997
     /* 1251997 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1252096), // Rule ID 9632 //
     /* 1252002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1252022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252055 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1252055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1252072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252095 */     // GIR_Coverage, 9632,
     /* 1252095 */     GIR_EraseRootFromParent_Done,
     /* 1252096 */   // Label 17546: @1252096
     /* 1252096 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1252195), // Rule ID 9633 //
     /* 1252101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1252112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1252115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1252121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252154 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1252154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1252171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252194 */     // GIR_Coverage, 9633,
     /* 1252194 */     GIR_EraseRootFromParent_Done,
     /* 1252195 */   // Label 17547: @1252195
     /* 1252195 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1252294), // Rule ID 9636 //
     /* 1252200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1252270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252293 */     // GIR_Coverage, 9636,
     /* 1252293 */     GIR_EraseRootFromParent_Done,
     /* 1252294 */   // Label 17548: @1252294
     /* 1252294 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1252393), // Rule ID 9637 //
     /* 1252299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1252310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1252313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252356 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1252369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252392 */     // GIR_Coverage, 9637,
     /* 1252392 */     GIR_EraseRootFromParent_Done,
     /* 1252393 */   // Label 17549: @1252393
     /* 1252393 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1252492), // Rule ID 9640 //
     /* 1252398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252451 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1252468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252491 */     // GIR_Coverage, 9640,
     /* 1252491 */     GIR_EraseRootFromParent_Done,
     /* 1252492 */   // Label 17550: @1252492
     /* 1252492 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1252591), // Rule ID 9641 //
     /* 1252497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1252508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1252511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252550 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1252567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252590 */     // GIR_Coverage, 9641,
     /* 1252590 */     GIR_EraseRootFromParent_Done,
     /* 1252591 */   // Label 17551: @1252591
     /* 1252591 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1252690), // Rule ID 9644 //
     /* 1252596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252649 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1252666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252689 */     // GIR_Coverage, 9644,
     /* 1252689 */     GIR_EraseRootFromParent_Done,
     /* 1252690 */   // Label 17552: @1252690
     /* 1252690 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1252789), // Rule ID 9645 //
     /* 1252695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1252706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1252709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252748 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252752 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1252765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252788 */     // GIR_Coverage, 9645,
     /* 1252788 */     GIR_EraseRootFromParent_Done,
     /* 1252789 */   // Label 17553: @1252789
     /* 1252789 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1252888), // Rule ID 9648 //
     /* 1252794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252847 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252851 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1252864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252887 */     // GIR_Coverage, 9648,
     /* 1252887 */     GIR_EraseRootFromParent_Done,
     /* 1252888 */   // Label 17554: @1252888
     /* 1252888 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1252987), // Rule ID 9649 //
     /* 1252893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1252901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1252904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1252907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1252927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252946 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1252950 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1252956 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1252960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1252963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1252969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1252971 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1252977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252986 */     // GIR_Coverage, 9649,
     /* 1252986 */     GIR_EraseRootFromParent_Done,
     /* 1252987 */   // Label 17555: @1252987
     /* 1252987 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1253086), // Rule ID 9652 //
     /* 1252992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1253012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253045 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1253045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1253062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253085 */     // GIR_Coverage, 9652,
     /* 1253085 */     GIR_EraseRootFromParent_Done,
     /* 1253086 */   // Label 17556: @1253086
     /* 1253086 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1253185), // Rule ID 9653 //
     /* 1253091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1253108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1253111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253144 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1253144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1253161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253184 */     // GIR_Coverage, 9653,
     /* 1253184 */     GIR_EraseRootFromParent_Done,
     /* 1253185 */   // Label 17557: @1253185
     /* 1253185 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1253284), // Rule ID 9656 //
     /* 1253190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1253210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1253243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1253260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253283 */     // GIR_Coverage, 9656,
     /* 1253283 */     GIR_EraseRootFromParent_Done,
     /* 1253284 */   // Label 17558: @1253284
     /* 1253284 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1253383), // Rule ID 9657 //
     /* 1253289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1253300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1253303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1253309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1253342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1253359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253382 */     // GIR_Coverage, 9657,
     /* 1253382 */     GIR_EraseRootFromParent_Done,
     /* 1253383 */   // Label 17559: @1253383
     /* 1253383 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1253482), // Rule ID 9660 //
     /* 1253388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1253458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253481 */     // GIR_Coverage, 9660,
     /* 1253481 */     GIR_EraseRootFromParent_Done,
     /* 1253482 */   // Label 17560: @1253482
     /* 1253482 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1253581), // Rule ID 9661 //
     /* 1253487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1253498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1253501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253540 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253544 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1253557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253580 */     // GIR_Coverage, 9661,
     /* 1253580 */     GIR_EraseRootFromParent_Done,
     /* 1253581 */   // Label 17561: @1253581
     /* 1253581 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1253680), // Rule ID 9664 //
     /* 1253586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253639 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1253656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253679 */     // GIR_Coverage, 9664,
     /* 1253679 */     GIR_EraseRootFromParent_Done,
     /* 1253680 */   // Label 17562: @1253680
     /* 1253680 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1253779), // Rule ID 9665 //
     /* 1253685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1253696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1253699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253742 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1253755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253778 */     // GIR_Coverage, 9665,
     /* 1253778 */     GIR_EraseRootFromParent_Done,
     /* 1253779 */   // Label 17563: @1253779
     /* 1253779 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1253878), // Rule ID 9668 //
     /* 1253784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253837 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253841 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253847 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1253854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253862 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253877 */     // GIR_Coverage, 9668,
     /* 1253877 */     GIR_EraseRootFromParent_Done,
     /* 1253878 */   // Label 17564: @1253878
     /* 1253878 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1253977), // Rule ID 9669 //
     /* 1253883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1253891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1253894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1253897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253936 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11084:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1253940 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1253946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1253950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1253953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1253959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1253961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1253967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253976 */     // GIR_Coverage, 9669,
     /* 1253976 */     GIR_EraseRootFromParent_Done,
     /* 1253977 */   // Label 17565: @1253977
     /* 1253977 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1254076), // Rule ID 9672 //
     /* 1253982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1253990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1253993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1253996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1254002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254035 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1254035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1254052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254075 */     // GIR_Coverage, 9672,
     /* 1254075 */     GIR_EraseRootFromParent_Done,
     /* 1254076 */   // Label 17566: @1254076
     /* 1254076 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1254175), // Rule ID 9673 //
     /* 1254081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1254098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1254101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1254134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1254151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254174 */     // GIR_Coverage, 9673,
     /* 1254174 */     GIR_EraseRootFromParent_Done,
     /* 1254175 */   // Label 17567: @1254175
     /* 1254175 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1254274), // Rule ID 9676 //
     /* 1254180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1254200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1254233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1254250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254273 */     // GIR_Coverage, 9676,
     /* 1254273 */     GIR_EraseRootFromParent_Done,
     /* 1254274 */   // Label 17568: @1254274
     /* 1254274 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1254373), // Rule ID 9677 //
     /* 1254279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1254296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1254299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1254332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254336 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1254349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254357 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254372 */     // GIR_Coverage, 9677,
     /* 1254372 */     GIR_EraseRootFromParent_Done,
     /* 1254373 */   // Label 17569: @1254373
     /* 1254373 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1254472), // Rule ID 9680 //
     /* 1254378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1254398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254431 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1254431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1254448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254471 */     // GIR_Coverage, 9680,
     /* 1254471 */     GIR_EraseRootFromParent_Done,
     /* 1254472 */   // Label 17570: @1254472
     /* 1254472 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1254571), // Rule ID 9681 //
     /* 1254477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1254488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1254491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1254494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1254497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1254530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1254547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254570 */     // GIR_Coverage, 9681,
     /* 1254570 */     GIR_EraseRootFromParent_Done,
     /* 1254571 */   // Label 17571: @1254571
     /* 1254571 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1254670), // Rule ID 9684 //
     /* 1254576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1254596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254629 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1254646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254669 */     // GIR_Coverage, 9684,
     /* 1254669 */     GIR_EraseRootFromParent_Done,
     /* 1254670 */   // Label 17572: @1254670
     /* 1254670 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1254769), // Rule ID 9685 //
     /* 1254675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1254695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254732 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1254745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254768 */     // GIR_Coverage, 9685,
     /* 1254768 */     GIR_EraseRootFromParent_Done,
     /* 1254769 */   // Label 17573: @1254769
     /* 1254769 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1254868), // Rule ID 9688 //
     /* 1254774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254827 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1254844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254867 */     // GIR_Coverage, 9688,
     /* 1254867 */     GIR_EraseRootFromParent_Done,
     /* 1254868 */   // Label 17574: @1254868
     /* 1254868 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1254967), // Rule ID 9689 //
     /* 1254873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1254884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1254887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1254893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254926 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1254930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1254936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1254940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1254943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1254949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1254951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1254957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254966 */     // GIR_Coverage, 9689,
     /* 1254966 */     GIR_EraseRootFromParent_Done,
     /* 1254967 */   // Label 17575: @1254967
     /* 1254967 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1255066), // Rule ID 9692 //
     /* 1254972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1254980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1254983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1254986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1254992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255025 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1255025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1255042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255065 */     // GIR_Coverage, 9692,
     /* 1255065 */     GIR_EraseRootFromParent_Done,
     /* 1255066 */   // Label 17576: @1255066
     /* 1255066 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1255165), // Rule ID 9693 //
     /* 1255071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1255088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1255091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255124 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1255141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255164 */     // GIR_Coverage, 9693,
     /* 1255164 */     GIR_EraseRootFromParent_Done,
     /* 1255165 */   // Label 17577: @1255165
     /* 1255165 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1255264), // Rule ID 9696 //
     /* 1255170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1255187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1255190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255223 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1255223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255263 */     // GIR_Coverage, 9696,
     /* 1255263 */     GIR_EraseRootFromParent_Done,
     /* 1255264 */   // Label 17578: @1255264
     /* 1255264 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1255363), // Rule ID 9697 //
     /* 1255269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1255280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1255283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1255286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1255289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1255322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255326 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255347 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255362 */     // GIR_Coverage, 9697,
     /* 1255362 */     GIR_EraseRootFromParent_Done,
     /* 1255363 */   // Label 17579: @1255363
     /* 1255363 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1255462), // Rule ID 9700 //
     /* 1255368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1255388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255421 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1255421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255461 */     // GIR_Coverage, 9700,
     /* 1255461 */     GIR_EraseRootFromParent_Done,
     /* 1255462 */   // Label 17580: @1255462
     /* 1255462 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1255561), // Rule ID 9701 //
     /* 1255467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1255478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1255481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1255484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1255487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1255490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255520 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1255520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255560 */     // GIR_Coverage, 9701,
     /* 1255560 */     GIR_EraseRootFromParent_Done,
     /* 1255561 */   // Label 17581: @1255561
     /* 1255561 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1255660), // Rule ID 9704 //
     /* 1255566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1255586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255619 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1255619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255659 */     // GIR_Coverage, 9704,
     /* 1255659 */     GIR_EraseRootFromParent_Done,
     /* 1255660 */   // Label 17582: @1255660
     /* 1255660 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1255759), // Rule ID 9705 //
     /* 1255665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1255676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1255679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1255682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1255685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1255688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255718 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1255718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255722 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255758 */     // GIR_Coverage, 9705,
     /* 1255758 */     GIR_EraseRootFromParent_Done,
     /* 1255759 */   // Label 17583: @1255759
     /* 1255759 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1255858), // Rule ID 9708 //
     /* 1255764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1255784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255817 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1255817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255857 */     // GIR_Coverage, 9708,
     /* 1255857 */     GIR_EraseRootFromParent_Done,
     /* 1255858 */   // Label 17584: @1255858
     /* 1255858 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1255957), // Rule ID 9709 //
     /* 1255863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1255874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1255877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1255883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255916 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1255916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1255920 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1255926 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1255930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1255933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1255939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1255941 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1255947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255956 */     // GIR_Coverage, 9709,
     /* 1255956 */     GIR_EraseRootFromParent_Done,
     /* 1255957 */   // Label 17585: @1255957
     /* 1255957 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1256056), // Rule ID 9712 //
     /* 1255962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1255970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1255973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1255976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1255982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256015 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1256015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1256032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256055 */     // GIR_Coverage, 9712,
     /* 1256055 */     GIR_EraseRootFromParent_Done,
     /* 1256056 */   // Label 17586: @1256056
     /* 1256056 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1256155), // Rule ID 9713 //
     /* 1256061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1256078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1256081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1256114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1256131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256154 */     // GIR_Coverage, 9713,
     /* 1256154 */     GIR_EraseRootFromParent_Done,
     /* 1256155 */   // Label 17587: @1256155
     /* 1256155 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1256254), // Rule ID 9716 //
     /* 1256160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1256177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1256180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256213 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1256213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256217 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1256230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256253 */     // GIR_Coverage, 9716,
     /* 1256253 */     GIR_EraseRootFromParent_Done,
     /* 1256254 */   // Label 17588: @1256254
     /* 1256254 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1256353), // Rule ID 9717 //
     /* 1256259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1256276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1256279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256312 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1256312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256316 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1256329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256337 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256352 */     // GIR_Coverage, 9717,
     /* 1256352 */     GIR_EraseRootFromParent_Done,
     /* 1256353 */   // Label 17589: @1256353
     /* 1256353 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1256452), // Rule ID 9720 //
     /* 1256358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1256369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1256372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1256375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1256378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1256381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256411 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1256411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1256428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256451 */     // GIR_Coverage, 9720,
     /* 1256451 */     GIR_EraseRootFromParent_Done,
     /* 1256452 */   // Label 17590: @1256452
     /* 1256452 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1256551), // Rule ID 9721 //
     /* 1256457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1256468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1256471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1256474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1256477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1256480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256510 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1256510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1256527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1256549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256550 */     // GIR_Coverage, 9721,
     /* 1256550 */     GIR_EraseRootFromParent_Done,
     /* 1256551 */   // Label 17591: @1256551
     /* 1256551 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1256650), // Rule ID 9724 //
     /* 1256556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1256576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256609 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1256609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1256626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256649 */     // GIR_Coverage, 9724,
     /* 1256649 */     GIR_EraseRootFromParent_Done,
     /* 1256650 */   // Label 17592: @1256650
     /* 1256650 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1256749), // Rule ID 9725 //
     /* 1256655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1256666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1256669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1256672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1256675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1256708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1256725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256748 */     // GIR_Coverage, 9725,
     /* 1256748 */     GIR_EraseRootFromParent_Done,
     /* 1256749 */   // Label 17593: @1256749
     /* 1256749 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1256848), // Rule ID 9728 //
     /* 1256754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1256774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256807 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1256807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1256824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256847 */     // GIR_Coverage, 9728,
     /* 1256847 */     GIR_EraseRootFromParent_Done,
     /* 1256848 */   // Label 17594: @1256848
     /* 1256848 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1256947), // Rule ID 9729 //
     /* 1256853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1256864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1256867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1256870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1256873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256906 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1256906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1256910 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1256916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1256920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1256923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1256929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1256931 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1256937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256946 */     // GIR_Coverage, 9729,
     /* 1256946 */     GIR_EraseRootFromParent_Done,
     /* 1256947 */   // Label 17595: @1256947
     /* 1256947 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1257046), // Rule ID 9732 //
     /* 1256952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1256960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1256963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1256966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1256972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1256986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257005 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1257005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1257022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257045 */     // GIR_Coverage, 9732,
     /* 1257045 */     GIR_EraseRootFromParent_Done,
     /* 1257046 */   // Label 17596: @1257046
     /* 1257046 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1257145), // Rule ID 9733 //
     /* 1257051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1257062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1257065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1257068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1257071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1257074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1257104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1257121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257144 */     // GIR_Coverage, 9733,
     /* 1257144 */     GIR_EraseRootFromParent_Done,
     /* 1257145 */   // Label 17597: @1257145
     /* 1257145 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1257244), // Rule ID 9736 //
     /* 1257150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1257167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1257170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1257203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1257220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257243 */     // GIR_Coverage, 9736,
     /* 1257243 */     GIR_EraseRootFromParent_Done,
     /* 1257244 */   // Label 17598: @1257244
     /* 1257244 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1257343), // Rule ID 9737 //
     /* 1257249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1257266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1257269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1257302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257306 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257312 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1257319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257327 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257342 */     // GIR_Coverage, 9737,
     /* 1257342 */     GIR_EraseRootFromParent_Done,
     /* 1257343 */   // Label 17599: @1257343
     /* 1257343 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1257442), // Rule ID 9740 //
     /* 1257348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1257365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1257368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257401 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1257401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257405 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1257418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257441 */     // GIR_Coverage, 9740,
     /* 1257441 */     GIR_EraseRootFromParent_Done,
     /* 1257442 */   // Label 17600: @1257442
     /* 1257442 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1257541), // Rule ID 9741 //
     /* 1257447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1257464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1257467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1257500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1257517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257540 */     // GIR_Coverage, 9741,
     /* 1257540 */     GIR_EraseRootFromParent_Done,
     /* 1257541 */   // Label 17601: @1257541
     /* 1257541 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1257640), // Rule ID 9744 //
     /* 1257546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1257563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1257566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257599 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1257599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1257616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257639 */     // GIR_Coverage, 9744,
     /* 1257639 */     GIR_EraseRootFromParent_Done,
     /* 1257640 */   // Label 17602: @1257640
     /* 1257640 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1257739), // Rule ID 9745 //
     /* 1257645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1257656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1257659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1257662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1257665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1257668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1257698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1257715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257738 */     // GIR_Coverage, 9745,
     /* 1257738 */     GIR_EraseRootFromParent_Done,
     /* 1257739 */   // Label 17603: @1257739
     /* 1257739 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1257838), // Rule ID 9748 //
     /* 1257744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1257764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257797 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1257797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257801 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1257814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257822 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257837 */     // GIR_Coverage, 9748,
     /* 1257837 */     GIR_EraseRootFromParent_Done,
     /* 1257838 */   // Label 17604: @1257838
     /* 1257838 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1257937), // Rule ID 9749 //
     /* 1257843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1257860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1257863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1257885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257896 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1257896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257900 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1257906 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1257910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1257913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1257919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1257921 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1257927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257936 */     // GIR_Coverage, 9749,
     /* 1257936 */     GIR_EraseRootFromParent_Done,
     /* 1257937 */   // Label 17605: @1257937
     /* 1257937 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1258036), // Rule ID 9752 //
     /* 1257942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1257945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1257950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1257959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1257962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1257984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257995 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1257995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1257999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1258012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1258018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1258020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258035 */     // GIR_Coverage, 9752,
     /* 1258035 */     GIR_EraseRootFromParent_Done,
     /* 1258036 */   // Label 17606: @1258036
     /* 1258036 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1258135), // Rule ID 9753 //
     /* 1258041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1258049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1258058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1258061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258094 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1258094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1258111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1258117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1258119 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258134 */     // GIR_Coverage, 9753,
     /* 1258134 */     GIR_EraseRootFromParent_Done,
     /* 1258135 */   // Label 17607: @1258135
     /* 1258135 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1258234), // Rule ID 9756 //
     /* 1258140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1258148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1258157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1258160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258193 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1258193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1258210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1258216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1258218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258233 */     // GIR_Coverage, 9756,
     /* 1258233 */     GIR_EraseRootFromParent_Done,
     /* 1258234 */   // Label 17608: @1258234
     /* 1258234 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1258333), // Rule ID 9757 //
     /* 1258239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1258247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1258256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1258259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1258281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11082:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1258292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258296 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1258309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1258315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1258317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258332 */     // GIR_Coverage, 9757,
     /* 1258332 */     GIR_EraseRootFromParent_Done,
     /* 1258333 */   // Label 17609: @1258333
     /* 1258333 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1258432), // Rule ID 13698 //
     /* 1258338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1258349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1258352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1258355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1258358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1258391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1258408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258431 */     // GIR_Coverage, 13698,
     /* 1258431 */     GIR_EraseRootFromParent_Done,
     /* 1258432 */   // Label 17610: @1258432
     /* 1258432 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1258531), // Rule ID 13699 //
     /* 1258437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1258448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1258451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1258454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1258457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1258490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1258507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258530 */     // GIR_Coverage, 13699,
     /* 1258530 */     GIR_EraseRootFromParent_Done,
     /* 1258531 */   // Label 17611: @1258531
     /* 1258531 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1258630), // Rule ID 13700 //
     /* 1258536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1258547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1258550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1258553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1258556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258589 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1258589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1258606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258629 */     // GIR_Coverage, 13700,
     /* 1258629 */     GIR_EraseRootFromParent_Done,
     /* 1258630 */   // Label 17612: @1258630
     /* 1258630 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1258729), // Rule ID 13701 //
     /* 1258635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1258646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1258649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1258652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1258655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1258688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258692 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258698 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1258705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258728 */     // GIR_Coverage, 13701,
     /* 1258728 */     GIR_EraseRootFromParent_Done,
     /* 1258729 */   // Label 17613: @1258729
     /* 1258729 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1258828), // Rule ID 13702 //
     /* 1258734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1258745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1258748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1258751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1258754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1258787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1258804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258827 */     // GIR_Coverage, 13702,
     /* 1258827 */     GIR_EraseRootFromParent_Done,
     /* 1258828 */   // Label 17614: @1258828
     /* 1258828 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1258927), // Rule ID 13703 //
     /* 1258833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1258844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1258847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1258850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1258853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1258886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258890 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1258903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1258917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258926 */     // GIR_Coverage, 13703,
     /* 1258926 */     GIR_EraseRootFromParent_Done,
     /* 1258927 */   // Label 17615: @1258927
     /* 1258927 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1259026), // Rule ID 13704 //
     /* 1258932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1258940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1258943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1258946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1258949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1258952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1258962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1258985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1258989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1258995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1258999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1259002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259025 */     // GIR_Coverage, 13704,
     /* 1259025 */     GIR_EraseRootFromParent_Done,
     /* 1259026 */   // Label 17616: @1259026
     /* 1259026 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1259125), // Rule ID 13705 //
     /* 1259031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1259042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1259045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1259048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1259051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259084 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1259084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259088 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1259101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259124 */     // GIR_Coverage, 13705,
     /* 1259124 */     GIR_EraseRootFromParent_Done,
     /* 1259125 */   // Label 17617: @1259125
     /* 1259125 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1259224), // Rule ID 13706 //
     /* 1259130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1259141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1259144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1259147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1259150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259183 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1259183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1259200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259223 */     // GIR_Coverage, 13706,
     /* 1259223 */     GIR_EraseRootFromParent_Done,
     /* 1259224 */   // Label 17618: @1259224
     /* 1259224 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1259323), // Rule ID 13707 //
     /* 1259229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1259240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1259243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1259246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1259249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259282 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1259282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259286 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259292 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1259299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259322 */     // GIR_Coverage, 13707,
     /* 1259322 */     GIR_EraseRootFromParent_Done,
     /* 1259323 */   // Label 17619: @1259323
     /* 1259323 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1259422), // Rule ID 13708 //
     /* 1259328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1259339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1259342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1259345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1259348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259381 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1259381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1259398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259421 */     // GIR_Coverage, 13708,
     /* 1259421 */     GIR_EraseRootFromParent_Done,
     /* 1259422 */   // Label 17620: @1259422
     /* 1259422 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1259521), // Rule ID 13709 //
     /* 1259427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1259438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1259441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1259444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1259447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1259450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259480 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1259480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1259497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259520 */     // GIR_Coverage, 13709,
     /* 1259520 */     GIR_EraseRootFromParent_Done,
     /* 1259521 */   // Label 17621: @1259521
     /* 1259521 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1259620), // Rule ID 13710 //
     /* 1259526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1259537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1259540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1259543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1259546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259579 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1259579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1259596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259619 */     // GIR_Coverage, 13710,
     /* 1259619 */     GIR_EraseRootFromParent_Done,
     /* 1259620 */   // Label 17622: @1259620
     /* 1259620 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1259719), // Rule ID 13711 //
     /* 1259625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1259636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1259639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1259642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1259645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1259678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259682 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1259695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259718 */     // GIR_Coverage, 13711,
     /* 1259718 */     GIR_EraseRootFromParent_Done,
     /* 1259719 */   // Label 17623: @1259719
     /* 1259719 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1259818), // Rule ID 13712 //
     /* 1259724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1259735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1259738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1259741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1259744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259777 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1259777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259781 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259787 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1259794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259817 */     // GIR_Coverage, 13712,
     /* 1259817 */     GIR_EraseRootFromParent_Done,
     /* 1259818 */   // Label 17624: @1259818
     /* 1259818 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1259917), // Rule ID 13713 //
     /* 1259823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1259834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1259837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1259840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1259843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259876 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1259876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259880 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1259893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1259907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259916 */     // GIR_Coverage, 13713,
     /* 1259916 */     GIR_EraseRootFromParent_Done,
     /* 1259917 */   // Label 17625: @1259917
     /* 1259917 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1260016), // Rule ID 13714 //
     /* 1259922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1259930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1259933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1259936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1259939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1259942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1259945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1259952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259975 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1259975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1259979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1259985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1259989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1259992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260015 */     // GIR_Coverage, 13714,
     /* 1260015 */     GIR_EraseRootFromParent_Done,
     /* 1260016 */   // Label 17626: @1260016
     /* 1260016 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1260115), // Rule ID 13715 //
     /* 1260021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1260032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1260035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1260038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1260041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260074 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1260074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1260091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260114 */     // GIR_Coverage, 13715,
     /* 1260114 */     GIR_EraseRootFromParent_Done,
     /* 1260115 */   // Label 17627: @1260115
     /* 1260115 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1260214), // Rule ID 13716 //
     /* 1260120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1260131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1260134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1260137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1260140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260173 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1260173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1260190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260213 */     // GIR_Coverage, 13716,
     /* 1260213 */     GIR_EraseRootFromParent_Done,
     /* 1260214 */   // Label 17628: @1260214
     /* 1260214 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1260313), // Rule ID 13717 //
     /* 1260219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1260230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1260233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1260236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1260239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1260249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1260272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1260289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260312 */     // GIR_Coverage, 13717,
     /* 1260312 */     GIR_EraseRootFromParent_Done,
     /* 1260313 */   // Label 17629: @1260313
     /* 1260313 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1260412), // Rule ID 13718 //
     /* 1260318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1260329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1260332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1260335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1260338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1260348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1260371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1260388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260411 */     // GIR_Coverage, 13718,
     /* 1260411 */     GIR_EraseRootFromParent_Done,
     /* 1260412 */   // Label 17630: @1260412
     /* 1260412 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1260511), // Rule ID 13719 //
     /* 1260417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1260428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1260431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1260434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1260437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1260447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1260470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1260487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260510 */     // GIR_Coverage, 13719,
     /* 1260510 */     GIR_EraseRootFromParent_Done,
     /* 1260511 */   // Label 17631: @1260511
     /* 1260511 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1260610), // Rule ID 13720 //
     /* 1260516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1260527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1260530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1260533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1260536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1260546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260569 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1260569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1260586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260609 */     // GIR_Coverage, 13720,
     /* 1260609 */     GIR_EraseRootFromParent_Done,
     /* 1260610 */   // Label 17632: @1260610
     /* 1260610 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1260709), // Rule ID 13721 //
     /* 1260615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1260626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1260629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1260632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1260635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1260638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1260645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260668 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1260668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260672 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1260685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260708 */     // GIR_Coverage, 13721,
     /* 1260708 */     GIR_EraseRootFromParent_Done,
     /* 1260709 */   // Label 17633: @1260709
     /* 1260709 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1260808), // Rule ID 13722 //
     /* 1260714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1260725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1260728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1260731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1260734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1260737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1260744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260767 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1260767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260771 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1260784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260807 */     // GIR_Coverage, 13722,
     /* 1260807 */     GIR_EraseRootFromParent_Done,
     /* 1260808 */   // Label 17634: @1260808
     /* 1260808 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1260907), // Rule ID 13723 //
     /* 1260813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1260824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1260827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1260830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1260833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1260836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1260843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260866 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1260866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260870 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1260883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260906 */     // GIR_Coverage, 13723,
     /* 1260906 */     GIR_EraseRootFromParent_Done,
     /* 1260907 */   // Label 17635: @1260907
     /* 1260907 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1261006), // Rule ID 13724 //
     /* 1260912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1260920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1260923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1260926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1260929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1260932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1260942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260965 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1260965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1260969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1260975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1260979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1260982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1260996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261005 */     // GIR_Coverage, 13724,
     /* 1261005 */     GIR_EraseRootFromParent_Done,
     /* 1261006 */   // Label 17636: @1261006
     /* 1261006 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1261105), // Rule ID 13725 //
     /* 1261011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1261022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1261025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1261028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1261031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1261041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1261064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1261081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261104 */     // GIR_Coverage, 13725,
     /* 1261104 */     GIR_EraseRootFromParent_Done,
     /* 1261105 */   // Label 17637: @1261105
     /* 1261105 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1261204), // Rule ID 13726 //
     /* 1261110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1261121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1261124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1261127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1261130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1261140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1261163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1261180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261203 */     // GIR_Coverage, 13726,
     /* 1261203 */     GIR_EraseRootFromParent_Done,
     /* 1261204 */   // Label 17638: @1261204
     /* 1261204 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1261303), // Rule ID 13727 //
     /* 1261209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1261220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1261223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1261226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1261229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1261239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1261262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261266 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1261279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261287 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261302 */     // GIR_Coverage, 13727,
     /* 1261302 */     GIR_EraseRootFromParent_Done,
     /* 1261303 */   // Label 17639: @1261303
     /* 1261303 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1261402), // Rule ID 13728 //
     /* 1261308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1261319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1261322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1261325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1261328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1261338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261361 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1261361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1261378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261401 */     // GIR_Coverage, 13728,
     /* 1261401 */     GIR_EraseRootFromParent_Done,
     /* 1261402 */   // Label 17640: @1261402
     /* 1261402 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1261501), // Rule ID 13729 //
     /* 1261407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1261418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1261421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1261424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1261427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1261430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1261437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261460 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1261460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1261477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261500 */     // GIR_Coverage, 13729,
     /* 1261500 */     GIR_EraseRootFromParent_Done,
     /* 1261501 */   // Label 17641: @1261501
     /* 1261501 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1261600), // Rule ID 13730 //
     /* 1261506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1261517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1261520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1261523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1261526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1261536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261559 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1261559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1261576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261599 */     // GIR_Coverage, 13730,
     /* 1261599 */     GIR_EraseRootFromParent_Done,
     /* 1261600 */   // Label 17642: @1261600
     /* 1261600 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1261699), // Rule ID 13731 //
     /* 1261605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1261616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1261619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1261622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1261625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1261635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1261647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1261658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261662 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261668 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1261675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261698 */     // GIR_Coverage, 13731,
     /* 1261698 */     GIR_EraseRootFromParent_Done,
     /* 1261699 */   // Label 17643: @1261699
     /* 1261699 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1261798), // Rule ID 13732 //
     /* 1261704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1261715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1261718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1261721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1261724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1261734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261757 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1261757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1261774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261797 */     // GIR_Coverage, 13732,
     /* 1261797 */     GIR_EraseRootFromParent_Done,
     /* 1261798 */   // Label 17644: @1261798
     /* 1261798 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1261897), // Rule ID 13733 //
     /* 1261803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1261814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1261817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1261820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1261823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1261833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1261845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1261856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1261873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261896 */     // GIR_Coverage, 13733,
     /* 1261896 */     GIR_EraseRootFromParent_Done,
     /* 1261897 */   // Label 17645: @1261897
     /* 1261897 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1261996), // Rule ID 13734 //
     /* 1261902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1261910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1261913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1261916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1261919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1261922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1261925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1261932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1261944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1261955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1261959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1261965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1261969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1261972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1261986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261995 */     // GIR_Coverage, 13734,
     /* 1261995 */     GIR_EraseRootFromParent_Done,
     /* 1261996 */   // Label 17646: @1261996
     /* 1261996 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1262095), // Rule ID 13735 //
     /* 1262001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1262012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1262015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1262018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1262021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1262031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1262054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1262071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262094 */     // GIR_Coverage, 13735,
     /* 1262094 */     GIR_EraseRootFromParent_Done,
     /* 1262095 */   // Label 17647: @1262095
     /* 1262095 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1262194), // Rule ID 13736 //
     /* 1262100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1262111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1262114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1262117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1262120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1262130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262153 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1262153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1262170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262193 */     // GIR_Coverage, 13736,
     /* 1262193 */     GIR_EraseRootFromParent_Done,
     /* 1262194 */   // Label 17648: @1262194
     /* 1262194 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1262293), // Rule ID 13737 //
     /* 1262199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1262210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1262213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1262216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1262219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1262229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1262252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262256 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262262 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1262269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262292 */     // GIR_Coverage, 13737,
     /* 1262292 */     GIR_EraseRootFromParent_Done,
     /* 1262293 */   // Label 17649: @1262293
     /* 1262293 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1262392), // Rule ID 13738 //
     /* 1262298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1262309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1262312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1262315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1262318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1262328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262351 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1262351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1262368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262376 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262391 */     // GIR_Coverage, 13738,
     /* 1262391 */     GIR_EraseRootFromParent_Done,
     /* 1262392 */   // Label 17650: @1262392
     /* 1262392 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1262491), // Rule ID 13739 //
     /* 1262397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1262408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1262411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1262414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1262417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1262420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1262427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262450 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1262450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1262467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262490 */     // GIR_Coverage, 13739,
     /* 1262490 */     GIR_EraseRootFromParent_Done,
     /* 1262491 */   // Label 17651: @1262491
     /* 1262491 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1262590), // Rule ID 13740 //
     /* 1262496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1262507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1262510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1262513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1262516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1262526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262549 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1262549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1262566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262589 */     // GIR_Coverage, 13740,
     /* 1262589 */     GIR_EraseRootFromParent_Done,
     /* 1262590 */   // Label 17652: @1262590
     /* 1262590 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1262689), // Rule ID 13741 //
     /* 1262595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1262606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1262609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1262612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1262615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1262625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1262648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262652 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1262665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262688 */     // GIR_Coverage, 13741,
     /* 1262688 */     GIR_EraseRootFromParent_Done,
     /* 1262689 */   // Label 17653: @1262689
     /* 1262689 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1262788), // Rule ID 13742 //
     /* 1262694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1262705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1262708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1262711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1262747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1262764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262787 */     // GIR_Coverage, 13742,
     /* 1262787 */     GIR_EraseRootFromParent_Done,
     /* 1262788 */   // Label 17654: @1262788
     /* 1262788 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1262887), // Rule ID 13743 //
     /* 1262793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1262804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1262807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1262810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1262846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1262863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262886 */     // GIR_Coverage, 13743,
     /* 1262886 */     GIR_EraseRootFromParent_Done,
     /* 1262887 */   // Label 17655: @1262887
     /* 1262887 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1262986), // Rule ID 13744 //
     /* 1262892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1262903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1262906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1262909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1262922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1262945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1262949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1262955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1262959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1262962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1262976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262985 */     // GIR_Coverage, 13744,
     /* 1262985 */     GIR_EraseRootFromParent_Done,
     /* 1262986 */   // Label 17656: @1262986
     /* 1262986 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1263085), // Rule ID 13745 //
     /* 1262991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1262999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1263002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1263005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1263008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263044 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1263044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1263061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263084 */     // GIR_Coverage, 13745,
     /* 1263084 */     GIR_EraseRootFromParent_Done,
     /* 1263085 */   // Label 17657: @1263085
     /* 1263085 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1263184), // Rule ID 13746 //
     /* 1263090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1263101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1263104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263143 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1263143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263147 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263183 */     // GIR_Coverage, 13746,
     /* 1263183 */     GIR_EraseRootFromParent_Done,
     /* 1263184 */   // Label 17658: @1263184
     /* 1263184 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1263283), // Rule ID 13747 //
     /* 1263189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1263200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1263203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1263206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1263242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263246 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263282 */     // GIR_Coverage, 13747,
     /* 1263282 */     GIR_EraseRootFromParent_Done,
     /* 1263283 */   // Label 17659: @1263283
     /* 1263283 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1263382), // Rule ID 13748 //
     /* 1263288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1263299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1263302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1263305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263341 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1263341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1263358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263381 */     // GIR_Coverage, 13748,
     /* 1263381 */     GIR_EraseRootFromParent_Done,
     /* 1263382 */   // Label 17660: @1263382
     /* 1263382 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1263481), // Rule ID 13749 //
     /* 1263387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1263398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1263401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1263404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1263440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1263457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263480 */     // GIR_Coverage, 13749,
     /* 1263480 */     GIR_EraseRootFromParent_Done,
     /* 1263481 */   // Label 17661: @1263481
     /* 1263481 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1263580), // Rule ID 13750 //
     /* 1263486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1263497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1263500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1263503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1263539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263579 */     // GIR_Coverage, 13750,
     /* 1263579 */     GIR_EraseRootFromParent_Done,
     /* 1263580 */   // Label 17662: @1263580
     /* 1263580 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1263679), // Rule ID 13751 //
     /* 1263585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1263596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1263599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1263602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1263638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263678 */     // GIR_Coverage, 13751,
     /* 1263678 */     GIR_EraseRootFromParent_Done,
     /* 1263679 */   // Label 17663: @1263679
     /* 1263679 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1263778), // Rule ID 13752 //
     /* 1263684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1263695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1263698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1263701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1263737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263777 */     // GIR_Coverage, 13752,
     /* 1263777 */     GIR_EraseRootFromParent_Done,
     /* 1263778 */   // Label 17664: @1263778
     /* 1263778 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1263877), // Rule ID 13753 //
     /* 1263783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1263794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1263797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1263800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1263806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263836 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1263836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263840 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1263853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263876 */     // GIR_Coverage, 13753,
     /* 1263876 */     GIR_EraseRootFromParent_Done,
     /* 1263877 */   // Label 17665: @1263877
     /* 1263877 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1263976), // Rule ID 13754 //
     /* 1263882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1263899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1263912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1263935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1263939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1263945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1263949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1263952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1263966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1263974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263975 */     // GIR_Coverage, 13754,
     /* 1263975 */     GIR_EraseRootFromParent_Done,
     /* 1263976 */   // Label 17666: @1263976
     /* 1263976 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1264075), // Rule ID 13755 //
     /* 1263981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1263989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1263992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1263995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1263998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11053:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1264034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264074 */     // GIR_Coverage, 13755,
     /* 1264074 */     GIR_EraseRootFromParent_Done,
     /* 1264075 */   // Label 17667: @1264075
     /* 1264075 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1264174), // Rule ID 13756 //
     /* 1264080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1264133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264173 */     // GIR_Coverage, 13756,
     /* 1264173 */     GIR_EraseRootFromParent_Done,
     /* 1264174 */   // Label 17668: @1264174
     /* 1264174 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1264273), // Rule ID 13757 //
     /* 1264179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1264190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1264193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1264196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264232 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1264232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264236 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264272 */     // GIR_Coverage, 13757,
     /* 1264272 */     GIR_EraseRootFromParent_Done,
     /* 1264273 */   // Label 17669: @1264273
     /* 1264273 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1264372), // Rule ID 13758 //
     /* 1264278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1264289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1264292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264331 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1264331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264371 */     // GIR_Coverage, 13758,
     /* 1264371 */     GIR_EraseRootFromParent_Done,
     /* 1264372 */   // Label 17670: @1264372
     /* 1264372 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1264471), // Rule ID 13759 //
     /* 1264377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1264388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1264391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1264394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1264430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1264469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264470 */     // GIR_Coverage, 13759,
     /* 1264470 */     GIR_EraseRootFromParent_Done,
     /* 1264471 */   // Label 17671: @1264471
     /* 1264471 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1264570), // Rule ID 13760 //
     /* 1264476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1264487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1264490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1264493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264529 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1264529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264569 */     // GIR_Coverage, 13760,
     /* 1264569 */     GIR_EraseRootFromParent_Done,
     /* 1264570 */   // Label 17672: @1264570
     /* 1264570 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1264669), // Rule ID 13761 //
     /* 1264575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1264586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1264589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1264592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1264605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1264628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1264645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264668 */     // GIR_Coverage, 13761,
     /* 1264668 */     GIR_EraseRootFromParent_Done,
     /* 1264669 */   // Label 17673: @1264669
     /* 1264669 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1264768), // Rule ID 13762 //
     /* 1264674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1264685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1264688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1264691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1264704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264727 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1264727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1264744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264767 */     // GIR_Coverage, 13762,
     /* 1264767 */     GIR_EraseRootFromParent_Done,
     /* 1264768 */   // Label 17674: @1264768
     /* 1264768 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1264867), // Rule ID 13763 //
     /* 1264773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1264784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1264787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1264790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1264796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1264803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1264811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264826 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1264826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1264843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264866 */     // GIR_Coverage, 13763,
     /* 1264866 */     GIR_EraseRootFromParent_Done,
     /* 1264867 */   // Label 17675: @1264867
     /* 1264867 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1264966), // Rule ID 13764 //
     /* 1264872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1264883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1264886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1264889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1264902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264925 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1264925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1264929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1264935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1264939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1264942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1264956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264965 */     // GIR_Coverage, 13764,
     /* 1264965 */     GIR_EraseRootFromParent_Done,
     /* 1264966 */   // Label 17676: @1264966
     /* 1264966 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1265065), // Rule ID 13765 //
     /* 1264971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1264979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1264982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1264985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1264988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1264994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1265001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1265024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1265041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265064 */     // GIR_Coverage, 13765,
     /* 1265064 */     GIR_EraseRootFromParent_Done,
     /* 1265065 */   // Label 17677: @1265065
     /* 1265065 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1265164), // Rule ID 13766 //
     /* 1265070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1265081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1265084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1265100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1265123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1265140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265163 */     // GIR_Coverage, 13766,
     /* 1265163 */     GIR_EraseRootFromParent_Done,
     /* 1265164 */   // Label 17678: @1265164
     /* 1265164 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1265263), // Rule ID 13767 //
     /* 1265169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1265180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1265183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1265186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1265192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1265199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265222 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1265222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265226 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1265239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265262 */     // GIR_Coverage, 13767,
     /* 1265262 */     GIR_EraseRootFromParent_Done,
     /* 1265263 */   // Label 17679: @1265263
     /* 1265263 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1265362), // Rule ID 13768 //
     /* 1265268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1265279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1265282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1265298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265321 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1265321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1265338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265361 */     // GIR_Coverage, 13768,
     /* 1265361 */     GIR_EraseRootFromParent_Done,
     /* 1265362 */   // Label 17680: @1265362
     /* 1265362 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1265461), // Rule ID 13769 //
     /* 1265367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1265378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1265381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1265384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1265397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265420 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1265420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1265437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265460 */     // GIR_Coverage, 13769,
     /* 1265460 */     GIR_EraseRootFromParent_Done,
     /* 1265461 */   // Label 17681: @1265461
     /* 1265461 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1265560), // Rule ID 13770 //
     /* 1265466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1265477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1265480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1265496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1265519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1265536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265559 */     // GIR_Coverage, 13770,
     /* 1265559 */     GIR_EraseRootFromParent_Done,
     /* 1265560 */   // Label 17682: @1265560
     /* 1265560 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1265659), // Rule ID 13771 //
     /* 1265565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1265576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1265579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1265582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1265588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1265595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1265603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1265618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1265635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265658 */     // GIR_Coverage, 13771,
     /* 1265658 */     GIR_EraseRootFromParent_Done,
     /* 1265659 */   // Label 17683: @1265659
     /* 1265659 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1265758), // Rule ID 13772 //
     /* 1265664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1265675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1265678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1265681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1265694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1265717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1265734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265757 */     // GIR_Coverage, 13772,
     /* 1265757 */     GIR_EraseRootFromParent_Done,
     /* 1265758 */   // Label 17684: @1265758
     /* 1265758 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1265857), // Rule ID 13773 //
     /* 1265763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1265774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1265777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1265780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1265786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1265793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1265801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1265816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265820 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1265833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265841 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265856 */     // GIR_Coverage, 13773,
     /* 1265856 */     GIR_EraseRootFromParent_Done,
     /* 1265857 */   // Label 17685: @1265857
     /* 1265857 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1265956), // Rule ID 13774 //
     /* 1265862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1265873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1265876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1265879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1265882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1265892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1265904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1265915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1265919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1265925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1265929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1265932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1265946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265955 */     // GIR_Coverage, 13774,
     /* 1265955 */     GIR_EraseRootFromParent_Done,
     /* 1265956 */   // Label 17686: @1265956
     /* 1265956 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1266055), // Rule ID 13775 //
     /* 1265961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1265969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1265972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1265975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1265978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1265981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1265991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1265999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1266014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1266031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266054 */     // GIR_Coverage, 13775,
     /* 1266054 */     GIR_EraseRootFromParent_Done,
     /* 1266055 */   // Label 17687: @1266055
     /* 1266055 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1266154), // Rule ID 13776 //
     /* 1266060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1266071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1266074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1266090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1266113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1266130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266153 */     // GIR_Coverage, 13776,
     /* 1266153 */     GIR_EraseRootFromParent_Done,
     /* 1266154 */   // Label 17688: @1266154
     /* 1266154 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1266253), // Rule ID 13777 //
     /* 1266159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1266170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1266173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1266176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1266189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1266212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266216 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1266229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266252 */     // GIR_Coverage, 13777,
     /* 1266252 */     GIR_EraseRootFromParent_Done,
     /* 1266253 */   // Label 17689: @1266253
     /* 1266253 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1266352), // Rule ID 13778 //
     /* 1266258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1266269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1266272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1266288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266311 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1266311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1266328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266336 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266351 */     // GIR_Coverage, 13778,
     /* 1266351 */     GIR_EraseRootFromParent_Done,
     /* 1266352 */   // Label 17690: @1266352
     /* 1266352 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1266451), // Rule ID 13779 //
     /* 1266357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1266368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1266371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1266374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1266387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1266410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1266427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1266449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266450 */     // GIR_Coverage, 13779,
     /* 1266450 */     GIR_EraseRootFromParent_Done,
     /* 1266451 */   // Label 17691: @1266451
     /* 1266451 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1266550), // Rule ID 13780 //
     /* 1266456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1266467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1266470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1266486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1266509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1266526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266549 */     // GIR_Coverage, 13780,
     /* 1266549 */     GIR_EraseRootFromParent_Done,
     /* 1266550 */   // Label 17692: @1266550
     /* 1266550 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1266649), // Rule ID 13781 //
     /* 1266555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1266566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1266569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1266572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1266578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1266585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1266608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1266625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266648 */     // GIR_Coverage, 13781,
     /* 1266648 */     GIR_EraseRootFromParent_Done,
     /* 1266649 */   // Label 17693: @1266649
     /* 1266649 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1266748), // Rule ID 13782 //
     /* 1266654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1266665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1266668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1266684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1266707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1266724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266747 */     // GIR_Coverage, 13782,
     /* 1266747 */     GIR_EraseRootFromParent_Done,
     /* 1266748 */   // Label 17694: @1266748
     /* 1266748 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1266847), // Rule ID 13783 //
     /* 1266753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1266764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1266767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1266770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1266776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1266783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1266806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266810 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1266823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266846 */     // GIR_Coverage, 13783,
     /* 1266846 */     GIR_EraseRootFromParent_Done,
     /* 1266847 */   // Label 17695: @1266847
     /* 1266847 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1266946), // Rule ID 13784 //
     /* 1266852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1266855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1266863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1266866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1266869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1266872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1266882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1266905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1266909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1266915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1266919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1266922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1266936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266945 */     // GIR_Coverage, 13784,
     /* 1266945 */     GIR_EraseRootFromParent_Done,
     /* 1266946 */   // Label 17696: @1266946
     /* 1266946 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1267045), // Rule ID 13785 //
     /* 1266951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1266954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1266959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1266962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1266965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1266968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1266971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1266981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1266993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1267004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1267021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267044 */     // GIR_Coverage, 13785,
     /* 1267044 */     GIR_EraseRootFromParent_Done,
     /* 1267045 */   // Label 17697: @1267045
     /* 1267045 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1267144), // Rule ID 19624 //
     /* 1267050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1267053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1267103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1267120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267143 */     // GIR_Coverage, 19624,
     /* 1267143 */     GIR_EraseRootFromParent_Done,
     /* 1267144 */   // Label 17698: @1267144
     /* 1267144 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1267243), // Rule ID 19625 //
     /* 1267149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1267152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1267166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1267169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1267202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267206 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1267219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267227 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267242 */     // GIR_Coverage, 19625,
     /* 1267242 */     GIR_EraseRootFromParent_Done,
     /* 1267243 */   // Label 17699: @1267243
     /* 1267243 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1267342), // Rule ID 19628 //
     /* 1267248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1267251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267301 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1267301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1267318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267341 */     // GIR_Coverage, 19628,
     /* 1267341 */     GIR_EraseRootFromParent_Done,
     /* 1267342 */   // Label 17700: @1267342
     /* 1267342 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1267441), // Rule ID 19629 //
     /* 1267347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1267350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1267364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1267367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267400 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1267400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1267417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267440 */     // GIR_Coverage, 19629,
     /* 1267440 */     GIR_EraseRootFromParent_Done,
     /* 1267441 */   // Label 17701: @1267441
     /* 1267441 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1267540), // Rule ID 19632 //
     /* 1267446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1267449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1267463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1267466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1267499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1267516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267539 */     // GIR_Coverage, 19632,
     /* 1267539 */     GIR_EraseRootFromParent_Done,
     /* 1267540 */   // Label 17702: @1267540
     /* 1267540 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1267639), // Rule ID 19633 //
     /* 1267545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1267548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1267556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1267559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1267562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1267565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1267568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1267598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1267615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267638 */     // GIR_Coverage, 19633,
     /* 1267638 */     GIR_EraseRootFromParent_Done,
     /* 1267639 */   // Label 17703: @1267639
     /* 1267639 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1267738), // Rule ID 19636 //
     /* 1267644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1267647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1267661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1267664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267697 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1267697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267701 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1267714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267722 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267737 */     // GIR_Coverage, 19636,
     /* 1267737 */     GIR_EraseRootFromParent_Done,
     /* 1267738 */   // Label 17704: @1267738
     /* 1267738 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1267837), // Rule ID 19637 //
     /* 1267743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1267746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1267760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1267763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267796 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1267796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267800 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1267813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267821 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267836 */     // GIR_Coverage, 19637,
     /* 1267836 */     GIR_EraseRootFromParent_Done,
     /* 1267837 */   // Label 17705: @1267837
     /* 1267837 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1267936), // Rule ID 19640 //
     /* 1267842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1267845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1267859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1267862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1267895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1267905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1267909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1267912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1267926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267935 */     // GIR_Coverage, 19640,
     /* 1267935 */     GIR_EraseRootFromParent_Done,
     /* 1267936 */   // Label 17706: @1267936
     /* 1267936 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1268035), // Rule ID 19641 //
     /* 1267941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1267944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1267949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1267958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1267961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1267994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1267998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1268011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268034 */     // GIR_Coverage, 19641,
     /* 1268034 */     GIR_EraseRootFromParent_Done,
     /* 1268035 */   // Label 17707: @1268035
     /* 1268035 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1268134), // Rule ID 19644 //
     /* 1268040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1268043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1268093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1268110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268133 */     // GIR_Coverage, 19644,
     /* 1268133 */     GIR_EraseRootFromParent_Done,
     /* 1268134 */   // Label 17708: @1268134
     /* 1268134 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1268233), // Rule ID 19645 //
     /* 1268139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1268142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1268156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1268159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268192 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1268192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268196 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1268209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268217 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268232 */     // GIR_Coverage, 19645,
     /* 1268232 */     GIR_EraseRootFromParent_Done,
     /* 1268233 */   // Label 17709: @1268233
     /* 1268233 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1268332), // Rule ID 19648 //
     /* 1268238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1268241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1268255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1268258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268291 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1268291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1268308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268331 */     // GIR_Coverage, 19648,
     /* 1268331 */     GIR_EraseRootFromParent_Done,
     /* 1268332 */   // Label 17710: @1268332
     /* 1268332 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1268431), // Rule ID 19649 //
     /* 1268337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1268340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1268348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1268351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1268354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1268357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1268360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268390 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1268390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1268407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268430 */     // GIR_Coverage, 19649,
     /* 1268430 */     GIR_EraseRootFromParent_Done,
     /* 1268431 */   // Label 17711: @1268431
     /* 1268431 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1268530), // Rule ID 19652 //
     /* 1268436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1268439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1268453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1268456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268489 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1268489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1268506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268529 */     // GIR_Coverage, 19652,
     /* 1268529 */     GIR_EraseRootFromParent_Done,
     /* 1268530 */   // Label 17712: @1268530
     /* 1268530 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1268629), // Rule ID 19653 //
     /* 1268535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1268538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1268546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1268549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1268552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1268555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1268558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1268577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268588 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1268588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1268605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268628 */     // GIR_Coverage, 19653,
     /* 1268628 */     GIR_EraseRootFromParent_Done,
     /* 1268629 */   // Label 17713: @1268629
     /* 1268629 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1268728), // Rule ID 19656 //
     /* 1268634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1268637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1268651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1268654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268687 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1268687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1268704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268727 */     // GIR_Coverage, 19656,
     /* 1268727 */     GIR_EraseRootFromParent_Done,
     /* 1268728 */   // Label 17714: @1268728
     /* 1268728 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1268827), // Rule ID 19657 //
     /* 1268733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1268736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1268744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1268747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1268750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1268753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1268756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1268775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268786 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1268786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1268803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268826 */     // GIR_Coverage, 19657,
     /* 1268826 */     GIR_EraseRootFromParent_Done,
     /* 1268827 */   // Label 17715: @1268827
     /* 1268827 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1268926), // Rule ID 19660 //
     /* 1268832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1268835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1268849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1268852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1268885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1268902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1268916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268925 */     // GIR_Coverage, 19660,
     /* 1268925 */     GIR_EraseRootFromParent_Done,
     /* 1268926 */   // Label 17716: @1268926
     /* 1268926 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1269025), // Rule ID 19661 //
     /* 1268931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1268934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1268939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1268948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1268951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1268973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268984 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1268984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1268988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1268994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1268998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1269001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269024 */     // GIR_Coverage, 19661,
     /* 1269024 */     GIR_EraseRootFromParent_Done,
     /* 1269025 */   // Label 17717: @1269025
     /* 1269025 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1269124), // Rule ID 19664 //
     /* 1269030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1269033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1269047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1269050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269083 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1269083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1269100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269123 */     // GIR_Coverage, 19664,
     /* 1269123 */     GIR_EraseRootFromParent_Done,
     /* 1269124 */   // Label 17718: @1269124
     /* 1269124 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1269223), // Rule ID 19665 //
     /* 1269129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1269132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1269146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1269149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1269182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269186 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1269199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269222 */     // GIR_Coverage, 19665,
     /* 1269222 */     GIR_EraseRootFromParent_Done,
     /* 1269223 */   // Label 17719: @1269223
     /* 1269223 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1269322), // Rule ID 19668 //
     /* 1269228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1269231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1269245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1269248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269281 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1269281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1269298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269321 */     // GIR_Coverage, 19668,
     /* 1269321 */     GIR_EraseRootFromParent_Done,
     /* 1269322 */   // Label 17720: @1269322
     /* 1269322 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1269421), // Rule ID 19669 //
     /* 1269327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1269330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1269344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1269347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1269380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1269397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269420 */     // GIR_Coverage, 19669,
     /* 1269420 */     GIR_EraseRootFromParent_Done,
     /* 1269421 */   // Label 17721: @1269421
     /* 1269421 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1269520), // Rule ID 19672 //
     /* 1269426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1269429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1269443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1269446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269479 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1269479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1269496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269519 */     // GIR_Coverage, 19672,
     /* 1269519 */     GIR_EraseRootFromParent_Done,
     /* 1269520 */   // Label 17722: @1269520
     /* 1269520 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1269619), // Rule ID 19673 //
     /* 1269525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1269528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1269542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1269545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1269578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269582 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1269595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269618 */     // GIR_Coverage, 19673,
     /* 1269618 */     GIR_EraseRootFromParent_Done,
     /* 1269619 */   // Label 17723: @1269619
     /* 1269619 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1269718), // Rule ID 19676 //
     /* 1269624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1269627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1269641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1269644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269677 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1269677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269681 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1269694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269717 */     // GIR_Coverage, 19676,
     /* 1269717 */     GIR_EraseRootFromParent_Done,
     /* 1269718 */   // Label 17724: @1269718
     /* 1269718 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1269817), // Rule ID 19677 //
     /* 1269723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1269726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1269740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1269743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1269776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269780 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1269793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269816 */     // GIR_Coverage, 19677,
     /* 1269816 */     GIR_EraseRootFromParent_Done,
     /* 1269817 */   // Label 17725: @1269817
     /* 1269817 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1269916), // Rule ID 19680 //
     /* 1269822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1269825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1269839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1269842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269875 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1269875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1269892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1269906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269915 */     // GIR_Coverage, 19680,
     /* 1269915 */     GIR_EraseRootFromParent_Done,
     /* 1269916 */   // Label 17726: @1269916
     /* 1269916 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1270015), // Rule ID 19681 //
     /* 1269921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1269924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1269929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1269938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1269941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1269963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1269974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1269978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1269984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1269988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1269991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1270013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270014 */     // GIR_Coverage, 19681,
     /* 1270014 */     GIR_EraseRootFromParent_Done,
     /* 1270015 */   // Label 17727: @1270015
     /* 1270015 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1270114), // Rule ID 19684 //
     /* 1270020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1270023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1270037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1270073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1270090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270113 */     // GIR_Coverage, 19684,
     /* 1270113 */     GIR_EraseRootFromParent_Done,
     /* 1270114 */   // Label 17728: @1270114
     /* 1270114 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1270213), // Rule ID 19685 //
     /* 1270119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1270122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1270136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1270172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270176 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1270189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270212 */     // GIR_Coverage, 19685,
     /* 1270212 */     GIR_EraseRootFromParent_Done,
     /* 1270213 */   // Label 17729: @1270213
     /* 1270213 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1270312), // Rule ID 19688 //
     /* 1270218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1270221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1270235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270271 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1270271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1270288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270311 */     // GIR_Coverage, 19688,
     /* 1270311 */     GIR_EraseRootFromParent_Done,
     /* 1270312 */   // Label 17730: @1270312
     /* 1270312 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1270411), // Rule ID 19689 //
     /* 1270317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1270320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1270334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270370 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1270370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1270387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270410 */     // GIR_Coverage, 19689,
     /* 1270410 */     GIR_EraseRootFromParent_Done,
     /* 1270411 */   // Label 17731: @1270411
     /* 1270411 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1270510), // Rule ID 19692 //
     /* 1270416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1270419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1270433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1270458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270469 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1270469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1270486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270509 */     // GIR_Coverage, 19692,
     /* 1270509 */     GIR_EraseRootFromParent_Done,
     /* 1270510 */   // Label 17732: @1270510
     /* 1270510 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1270609), // Rule ID 19693 //
     /* 1270515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1270518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1270526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1270529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1270532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1270538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1270557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1270568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1270585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270608 */     // GIR_Coverage, 19693,
     /* 1270608 */     GIR_EraseRootFromParent_Done,
     /* 1270609 */   // Label 17733: @1270609
     /* 1270609 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1270708), // Rule ID 19696 //
     /* 1270614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1270617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1270631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270667 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1270667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1270684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270707 */     // GIR_Coverage, 19696,
     /* 1270707 */     GIR_EraseRootFromParent_Done,
     /* 1270708 */   // Label 17734: @1270708
     /* 1270708 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1270807), // Rule ID 19697 //
     /* 1270713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1270716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1270730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1270733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1270755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270766 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1270766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270770 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270776 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1270783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270806 */     // GIR_Coverage, 19697,
     /* 1270806 */     GIR_EraseRootFromParent_Done,
     /* 1270807 */   // Label 17735: @1270807
     /* 1270807 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1270906), // Rule ID 19700 //
     /* 1270812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1270815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1270854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270865 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1270865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1270882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270905 */     // GIR_Coverage, 19700,
     /* 1270905 */     GIR_EraseRootFromParent_Done,
     /* 1270906 */   // Label 17736: @1270906
     /* 1270906 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1271005), // Rule ID 19701 //
     /* 1270911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1270914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1270919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1270922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1270925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1270928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1270934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1270953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270964 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1270964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1270968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1270974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1270978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1270981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1270995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271004 */     // GIR_Coverage, 19701,
     /* 1271004 */     GIR_EraseRootFromParent_Done,
     /* 1271005 */   // Label 17737: @1271005
     /* 1271005 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1271104), // Rule ID 19704 //
     /* 1271010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1271013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1271027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1271052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271063 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1271063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1271080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271103 */     // GIR_Coverage, 19704,
     /* 1271103 */     GIR_EraseRootFromParent_Done,
     /* 1271104 */   // Label 17738: @1271104
     /* 1271104 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1271203), // Rule ID 19705 //
     /* 1271109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1271112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1271126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1271151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1271162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271166 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1271179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271187 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271202 */     // GIR_Coverage, 19705,
     /* 1271202 */     GIR_EraseRootFromParent_Done,
     /* 1271203 */   // Label 17739: @1271203
     /* 1271203 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1271302), // Rule ID 19708 //
     /* 1271208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1271211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1271225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271261 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1271261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1271278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271286 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271301 */     // GIR_Coverage, 19708,
     /* 1271301 */     GIR_EraseRootFromParent_Done,
     /* 1271302 */   // Label 17740: @1271302
     /* 1271302 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1271401), // Rule ID 19709 //
     /* 1271307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1271310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1271324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271360 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1271360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1271377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271400 */     // GIR_Coverage, 19709,
     /* 1271400 */     GIR_EraseRootFromParent_Done,
     /* 1271401 */   // Label 17741: @1271401
     /* 1271401 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1271500), // Rule ID 19712 //
     /* 1271406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1271409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271459 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1271459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1271476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271499 */     // GIR_Coverage, 19712,
     /* 1271499 */     GIR_EraseRootFromParent_Done,
     /* 1271500 */   // Label 17742: @1271500
     /* 1271500 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1271599), // Rule ID 19713 //
     /* 1271505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1271508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1271522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271558 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1271558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1271575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271598 */     // GIR_Coverage, 19713,
     /* 1271598 */     GIR_EraseRootFromParent_Done,
     /* 1271599 */   // Label 17743: @1271599
     /* 1271599 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1271698), // Rule ID 19716 //
     /* 1271604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1271607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271657 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1271657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1271674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271697 */     // GIR_Coverage, 19716,
     /* 1271697 */     GIR_EraseRootFromParent_Done,
     /* 1271698 */   // Label 17744: @1271698
     /* 1271698 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1271797), // Rule ID 19717 //
     /* 1271703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1271706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1271714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1271717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1271720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1271723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1271726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1271745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271756 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1271756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271760 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1271773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1271795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271796 */     // GIR_Coverage, 19717,
     /* 1271796 */     GIR_EraseRootFromParent_Done,
     /* 1271797 */   // Label 17745: @1271797
     /* 1271797 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1271896), // Rule ID 19720 //
     /* 1271802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1271805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1271844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271855 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1271855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1271872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271895 */     // GIR_Coverage, 19720,
     /* 1271895 */     GIR_EraseRootFromParent_Done,
     /* 1271896 */   // Label 17746: @1271896
     /* 1271896 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1271995), // Rule ID 19721 //
     /* 1271901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1271904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1271909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1271918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1271943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271954 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1271954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1271958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1271964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1271968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1271971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1271985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271994 */     // GIR_Coverage, 19721,
     /* 1271994 */     GIR_EraseRootFromParent_Done,
     /* 1271995 */   // Label 17747: @1271995
     /* 1271995 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1272094), // Rule ID 19724 //
     /* 1272000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1272003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1272017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1272042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1272053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1272070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272093 */     // GIR_Coverage, 19724,
     /* 1272093 */     GIR_EraseRootFromParent_Done,
     /* 1272094 */   // Label 17748: @1272094
     /* 1272094 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1272193), // Rule ID 19725 //
     /* 1272099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1272102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1272116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1272141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1272152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272156 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1272169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272192 */     // GIR_Coverage, 19725,
     /* 1272192 */     GIR_EraseRootFromParent_Done,
     /* 1272193 */   // Label 17749: @1272193
     /* 1272193 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1272292), // Rule ID 19728 //
     /* 1272198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1272201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1272215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1272240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272251 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1272251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1272268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272291 */     // GIR_Coverage, 19728,
     /* 1272291 */     GIR_EraseRootFromParent_Done,
     /* 1272292 */   // Label 17750: @1272292
     /* 1272292 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1272391), // Rule ID 19729 //
     /* 1272297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1272300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1272308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1272311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1272314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1272317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1272320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1272339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1272350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1272367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272390 */     // GIR_Coverage, 19729,
     /* 1272390 */     GIR_EraseRootFromParent_Done,
     /* 1272391 */   // Label 17751: @1272391
     /* 1272391 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1272490), // Rule ID 19732 //
     /* 1272396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1272399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1272413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272449 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1272449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1272466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272489 */     // GIR_Coverage, 19732,
     /* 1272489 */     GIR_EraseRootFromParent_Done,
     /* 1272490 */   // Label 17752: @1272490
     /* 1272490 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1272589), // Rule ID 19733 //
     /* 1272495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1272498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1272512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1272533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1272548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272552 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1272565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272588 */     // GIR_Coverage, 19733,
     /* 1272588 */     GIR_EraseRootFromParent_Done,
     /* 1272589 */   // Label 17753: @1272589
     /* 1272589 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1272688), // Rule ID 19736 //
     /* 1272594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1272597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272647 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1272647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1272664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272687 */     // GIR_Coverage, 19736,
     /* 1272687 */     GIR_EraseRootFromParent_Done,
     /* 1272688 */   // Label 17754: @1272688
     /* 1272688 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1272787), // Rule ID 19737 //
     /* 1272693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1272696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1272710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1272731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1272746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1272763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272786 */     // GIR_Coverage, 19737,
     /* 1272786 */     GIR_EraseRootFromParent_Done,
     /* 1272787 */   // Label 17755: @1272787
     /* 1272787 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1272886), // Rule ID 19740 //
     /* 1272792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1272795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272845 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1272845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1272862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272885 */     // GIR_Coverage, 19740,
     /* 1272885 */     GIR_EraseRootFromParent_Done,
     /* 1272886 */   // Label 17756: @1272886
     /* 1272886 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1272985), // Rule ID 19741 //
     /* 1272891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1272894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1272899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1272908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1272911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1272929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1272933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272944 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11055:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1272944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1272948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1272954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1272958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1272961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1272975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1272983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272984 */     // GIR_Coverage, 19741,
     /* 1272984 */     GIR_EraseRootFromParent_Done,
     /* 1272985 */   // Label 17757: @1272985
     /* 1272985 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1273084), // Rule ID 19744 //
     /* 1272990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1272993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1272998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1273007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1273010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1273043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1273060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273083 */     // GIR_Coverage, 19744,
     /* 1273083 */     GIR_EraseRootFromParent_Done,
     /* 1273084 */   // Label 17758: @1273084
     /* 1273084 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1273183), // Rule ID 19745 //
     /* 1273089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1273092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1273106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1273109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273142 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1273142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273146 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273152 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1273159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273167 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273182 */     // GIR_Coverage, 19745,
     /* 1273182 */     GIR_EraseRootFromParent_Done,
     /* 1273183 */   // Label 17759: @1273183
     /* 1273183 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1273282), // Rule ID 19748 //
     /* 1273188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1273191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1273208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273241 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1273241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1273258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273281 */     // GIR_Coverage, 19748,
     /* 1273281 */     GIR_EraseRootFromParent_Done,
     /* 1273282 */   // Label 17760: @1273282
     /* 1273282 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1273381), // Rule ID 19749 //
     /* 1273287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1273290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1273304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1273307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1273340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1273357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273380 */     // GIR_Coverage, 19749,
     /* 1273380 */     GIR_EraseRootFromParent_Done,
     /* 1273381 */   // Label 17761: @1273381
     /* 1273381 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1273480), // Rule ID 19752 //
     /* 1273386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1273389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1273406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273439 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1273439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1273456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273479 */     // GIR_Coverage, 19752,
     /* 1273479 */     GIR_EraseRootFromParent_Done,
     /* 1273480 */   // Label 17762: @1273480
     /* 1273480 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1273579), // Rule ID 19753 //
     /* 1273485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1273488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1273502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1273505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273538 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1273538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1273555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273578 */     // GIR_Coverage, 19753,
     /* 1273578 */     GIR_EraseRootFromParent_Done,
     /* 1273579 */   // Label 17763: @1273579
     /* 1273579 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1273678), // Rule ID 19756 //
     /* 1273584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1273587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273637 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1273637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1273654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273677 */     // GIR_Coverage, 19756,
     /* 1273677 */     GIR_EraseRootFromParent_Done,
     /* 1273678 */   // Label 17764: @1273678
     /* 1273678 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1273777), // Rule ID 19757 //
     /* 1273683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1273686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1273736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1273753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273776 */     // GIR_Coverage, 19757,
     /* 1273776 */     GIR_EraseRootFromParent_Done,
     /* 1273777 */   // Label 17765: @1273777
     /* 1273777 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1273876), // Rule ID 19760 //
     /* 1273782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1273785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273835 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1273835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1273852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273875 */     // GIR_Coverage, 19760,
     /* 1273875 */     GIR_EraseRootFromParent_Done,
     /* 1273876 */   // Label 17766: @1273876
     /* 1273876 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1273975), // Rule ID 19761 //
     /* 1273881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1273884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273934 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1273934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1273938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1273944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1273948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1273951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1273965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273974 */     // GIR_Coverage, 19761,
     /* 1273974 */     GIR_EraseRootFromParent_Done,
     /* 1273975 */   // Label 17767: @1273975
     /* 1273975 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1274074), // Rule ID 19764 //
     /* 1273980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1273983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1273988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274033 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1274033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1274050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274073 */     // GIR_Coverage, 19764,
     /* 1274073 */     GIR_EraseRootFromParent_Done,
     /* 1274074 */   // Label 17768: @1274074
     /* 1274074 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1274173), // Rule ID 19765 //
     /* 1274079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1274082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1274090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1274093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1274096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1274099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1274102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1274132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274136 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1274149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1274171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274172 */     // GIR_Coverage, 19765,
     /* 1274172 */     GIR_EraseRootFromParent_Done,
     /* 1274173 */   // Label 17769: @1274173
     /* 1274173 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1274272), // Rule ID 19768 //
     /* 1274178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1274181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1274198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274231 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1274231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1274248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274271 */     // GIR_Coverage, 19768,
     /* 1274271 */     GIR_EraseRootFromParent_Done,
     /* 1274272 */   // Label 17770: @1274272
     /* 1274272 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1274371), // Rule ID 19769 //
     /* 1274277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1274280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1274297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274330 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1274330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1274347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274370 */     // GIR_Coverage, 19769,
     /* 1274370 */     GIR_EraseRootFromParent_Done,
     /* 1274371 */   // Label 17771: @1274371
     /* 1274371 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1274470), // Rule ID 19772 //
     /* 1274376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1274379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274429 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1274429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1274446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274469 */     // GIR_Coverage, 19772,
     /* 1274469 */     GIR_EraseRootFromParent_Done,
     /* 1274470 */   // Label 17772: @1274470
     /* 1274470 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1274569), // Rule ID 19773 //
     /* 1274475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1274478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274528 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1274528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1274545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274568 */     // GIR_Coverage, 19773,
     /* 1274568 */     GIR_EraseRootFromParent_Done,
     /* 1274569 */   // Label 17773: @1274569
     /* 1274569 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1274668), // Rule ID 19776 //
     /* 1274574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1274577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274627 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1274627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1274644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274667 */     // GIR_Coverage, 19776,
     /* 1274667 */     GIR_EraseRootFromParent_Done,
     /* 1274668 */   // Label 17774: @1274668
     /* 1274668 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1274767), // Rule ID 19777 //
     /* 1274673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1274676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274726 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1274726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274730 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1274743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274766 */     // GIR_Coverage, 19777,
     /* 1274766 */     GIR_EraseRootFromParent_Done,
     /* 1274767 */   // Label 17775: @1274767
     /* 1274767 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1274866), // Rule ID 19780 //
     /* 1274772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1274775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1274792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274825 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1274825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1274842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274865 */     // GIR_Coverage, 19780,
     /* 1274865 */     GIR_EraseRootFromParent_Done,
     /* 1274866 */   // Label 17776: @1274866
     /* 1274866 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1274965), // Rule ID 19781 //
     /* 1274871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1274874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1274891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274924 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1274924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1274928 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1274934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1274938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1274941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274949 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1274955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274964 */     // GIR_Coverage, 19781,
     /* 1274964 */     GIR_EraseRootFromParent_Done,
     /* 1274965 */   // Label 17777: @1274965
     /* 1274965 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1275064), // Rule ID 19784 //
     /* 1274970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1274973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1274978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1274990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1275023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1275040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275063 */     // GIR_Coverage, 19784,
     /* 1275063 */     GIR_EraseRootFromParent_Done,
     /* 1275064 */   // Label 17778: @1275064
     /* 1275064 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1275163), // Rule ID 19785 //
     /* 1275069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1275072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1275086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1275089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1275122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275126 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1275139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275162 */     // GIR_Coverage, 19785,
     /* 1275162 */     GIR_EraseRootFromParent_Done,
     /* 1275163 */   // Label 17779: @1275163
     /* 1275163 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1275262), // Rule ID 19788 //
     /* 1275168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1275171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1275188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275221 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1275221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1275238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275261 */     // GIR_Coverage, 19788,
     /* 1275261 */     GIR_EraseRootFromParent_Done,
     /* 1275262 */   // Label 17780: @1275262
     /* 1275262 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1275361), // Rule ID 19789 //
     /* 1275267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1275270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1275278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1275281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1275284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1275287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1275290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275320 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1275320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1275337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1275359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275360 */     // GIR_Coverage, 19789,
     /* 1275360 */     GIR_EraseRootFromParent_Done,
     /* 1275361 */   // Label 17781: @1275361
     /* 1275361 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1275460), // Rule ID 19792 //
     /* 1275366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1275369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1275386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275419 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1275419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1275436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275459 */     // GIR_Coverage, 19792,
     /* 1275459 */     GIR_EraseRootFromParent_Done,
     /* 1275460 */   // Label 17782: @1275460
     /* 1275460 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1275559), // Rule ID 19793 //
     /* 1275465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1275468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1275485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275518 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1275518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1275535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275558 */     // GIR_Coverage, 19793,
     /* 1275558 */     GIR_EraseRootFromParent_Done,
     /* 1275559 */   // Label 17783: @1275559
     /* 1275559 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1275658), // Rule ID 19796 //
     /* 1275564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1275567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275617 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1275617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275621 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1275634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275657 */     // GIR_Coverage, 19796,
     /* 1275657 */     GIR_EraseRootFromParent_Done,
     /* 1275658 */   // Label 17784: @1275658
     /* 1275658 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1275757), // Rule ID 19797 //
     /* 1275663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1275666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1275716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1275733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275756 */     // GIR_Coverage, 19797,
     /* 1275756 */     GIR_EraseRootFromParent_Done,
     /* 1275757 */   // Label 17785: @1275757
     /* 1275757 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1275856), // Rule ID 19800 //
     /* 1275762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1275765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1275782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275815 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1275815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1275832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275855 */     // GIR_Coverage, 19800,
     /* 1275855 */     GIR_EraseRootFromParent_Done,
     /* 1275856 */   // Label 17786: @1275856
     /* 1275856 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1275955), // Rule ID 19801 //
     /* 1275861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1275864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1275881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1275914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1275918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1275924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1275928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1275931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1275945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275954 */     // GIR_Coverage, 19801,
     /* 1275954 */     GIR_EraseRootFromParent_Done,
     /* 1275955 */   // Label 17787: @1275955
     /* 1275955 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1276054), // Rule ID 19804 //
     /* 1275960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1275963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1275968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1275980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276013 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1276013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1276030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276053 */     // GIR_Coverage, 19804,
     /* 1276053 */     GIR_EraseRootFromParent_Done,
     /* 1276054 */   // Label 17788: @1276054
     /* 1276054 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1276153), // Rule ID 19805 //
     /* 1276059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1276062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1276079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276112 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1276112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276116 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1276129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276137 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276152 */     // GIR_Coverage, 19805,
     /* 1276152 */     GIR_EraseRootFromParent_Done,
     /* 1276153 */   // Label 17789: @1276153
     /* 1276153 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1276252), // Rule ID 19808 //
     /* 1276158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1276161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1276178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276211 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1276211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1276228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276251 */     // GIR_Coverage, 19808,
     /* 1276251 */     GIR_EraseRootFromParent_Done,
     /* 1276252 */   // Label 17790: @1276252
     /* 1276252 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1276351), // Rule ID 19809 //
     /* 1276257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1276260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1276277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1276310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1276327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276350 */     // GIR_Coverage, 19809,
     /* 1276350 */     GIR_EraseRootFromParent_Done,
     /* 1276351 */   // Label 17791: @1276351
     /* 1276351 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1276450), // Rule ID 19812 //
     /* 1276356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1276359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1276398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276409 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1276409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1276426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276449 */     // GIR_Coverage, 19812,
     /* 1276449 */     GIR_EraseRootFromParent_Done,
     /* 1276450 */   // Label 17792: @1276450
     /* 1276450 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1276549), // Rule ID 19813 //
     /* 1276455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1276458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1276497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276508 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1276508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276512 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276518 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1276525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276548 */     // GIR_Coverage, 19813,
     /* 1276548 */     GIR_EraseRootFromParent_Done,
     /* 1276549 */   // Label 17793: @1276549
     /* 1276549 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1276648), // Rule ID 19816 //
     /* 1276554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1276557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1276574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1276607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276611 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1276624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276647 */     // GIR_Coverage, 19816,
     /* 1276647 */     GIR_EraseRootFromParent_Done,
     /* 1276648 */   // Label 17794: @1276648
     /* 1276648 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1276747), // Rule ID 19817 //
     /* 1276653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1276656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1276673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1276695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276706 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1276706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276710 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1276723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276731 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276746 */     // GIR_Coverage, 19817,
     /* 1276746 */     GIR_EraseRootFromParent_Done,
     /* 1276747 */   // Label 17795: @1276747
     /* 1276747 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1276846), // Rule ID 19820 //
     /* 1276752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1276755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1276794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1276805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1276822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276845 */     // GIR_Coverage, 19820,
     /* 1276845 */     GIR_EraseRootFromParent_Done,
     /* 1276846 */   // Label 17796: @1276846
     /* 1276846 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1276945), // Rule ID 19821 //
     /* 1276851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1276854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1276893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1276904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1276908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1276914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1276918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1276921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1276935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276944 */     // GIR_Coverage, 19821,
     /* 1276944 */     GIR_EraseRootFromParent_Done,
     /* 1276945 */   // Label 17797: @1276945
     /* 1276945 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1277044), // Rule ID 19824 //
     /* 1276950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1276953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1276958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1276992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277003 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1277003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1277020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277043 */     // GIR_Coverage, 19824,
     /* 1277043 */     GIR_EraseRootFromParent_Done,
     /* 1277044 */   // Label 17798: @1277044
     /* 1277044 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1277143), // Rule ID 19825 //
     /* 1277049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1277052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1277091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1277102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277106 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1277119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277127 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277142 */     // GIR_Coverage, 19825,
     /* 1277142 */     GIR_EraseRootFromParent_Done,
     /* 1277143 */   // Label 17799: @1277143
     /* 1277143 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1277242), // Rule ID 19828 //
     /* 1277148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1277151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277201 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1277201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1277218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277241 */     // GIR_Coverage, 19828,
     /* 1277241 */     GIR_EraseRootFromParent_Done,
     /* 1277242 */   // Label 17800: @1277242
     /* 1277242 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1277341), // Rule ID 19829 //
     /* 1277247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1277250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1277300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1277317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277340 */     // GIR_Coverage, 19829,
     /* 1277340 */     GIR_EraseRootFromParent_Done,
     /* 1277341 */   // Label 17801: @1277341
     /* 1277341 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1277440), // Rule ID 19832 //
     /* 1277346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1277349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277399 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1277399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1277416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277439 */     // GIR_Coverage, 19832,
     /* 1277439 */     GIR_EraseRootFromParent_Done,
     /* 1277440 */   // Label 17802: @1277440
     /* 1277440 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1277539), // Rule ID 19833 //
     /* 1277445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1277448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277498 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1277498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1277515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277538 */     // GIR_Coverage, 19833,
     /* 1277538 */     GIR_EraseRootFromParent_Done,
     /* 1277539 */   // Label 17803: @1277539
     /* 1277539 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1277638), // Rule ID 19836 //
     /* 1277544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1277547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277597 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1277597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1277614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277637 */     // GIR_Coverage, 19836,
     /* 1277637 */     GIR_EraseRootFromParent_Done,
     /* 1277638 */   // Label 17804: @1277638
     /* 1277638 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1277737), // Rule ID 19837 //
     /* 1277643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1277646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1277663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1277685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1277696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277700 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1277713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277736 */     // GIR_Coverage, 19837,
     /* 1277736 */     GIR_EraseRootFromParent_Done,
     /* 1277737 */   // Label 17805: @1277737
     /* 1277737 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1277836), // Rule ID 19840 //
     /* 1277742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1277745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1277784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277795 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1277795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1277812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277835 */     // GIR_Coverage, 19840,
     /* 1277835 */     GIR_EraseRootFromParent_Done,
     /* 1277836 */   // Label 17806: @1277836
     /* 1277836 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1277935), // Rule ID 19841 //
     /* 1277841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1277844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1277852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1277855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1277858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1277864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1277883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277894 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1277894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277898 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1277904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1277908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1277911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1277925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1277933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277934 */     // GIR_Coverage, 19841,
     /* 1277934 */     GIR_EraseRootFromParent_Done,
     /* 1277935 */   // Label 17807: @1277935
     /* 1277935 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1278034), // Rule ID 19844 //
     /* 1277940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1277943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1277948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1277957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1277982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1277993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1277997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1278010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278033 */     // GIR_Coverage, 19844,
     /* 1278033 */     GIR_EraseRootFromParent_Done,
     /* 1278034 */   // Label 17808: @1278034
     /* 1278034 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1278133), // Rule ID 19845 //
     /* 1278039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1278042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1278081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278092 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1278092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278096 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1278109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278132 */     // GIR_Coverage, 19845,
     /* 1278132 */     GIR_EraseRootFromParent_Done,
     /* 1278133 */   // Label 17809: @1278133
     /* 1278133 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1278232), // Rule ID 19848 //
     /* 1278138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1278141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1278180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278191 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1278191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1278208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278231 */     // GIR_Coverage, 19848,
     /* 1278231 */     GIR_EraseRootFromParent_Done,
     /* 1278232 */   // Label 17810: @1278232
     /* 1278232 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1278331), // Rule ID 19849 //
     /* 1278237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1278240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1278279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278290 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1278290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1278307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278330 */     // GIR_Coverage, 19849,
     /* 1278330 */     GIR_EraseRootFromParent_Done,
     /* 1278331 */   // Label 17811: @1278331
     /* 1278331 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1278430), // Rule ID 19852 //
     /* 1278336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1278339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278389 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1278389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1278406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278429 */     // GIR_Coverage, 19852,
     /* 1278429 */     GIR_EraseRootFromParent_Done,
     /* 1278430 */   // Label 17812: @1278430
     /* 1278430 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1278529), // Rule ID 19853 //
     /* 1278435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1278438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1278488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278492 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1278505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278528 */     // GIR_Coverage, 19853,
     /* 1278528 */     GIR_EraseRootFromParent_Done,
     /* 1278529 */   // Label 17813: @1278529
     /* 1278529 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1278628), // Rule ID 19856 //
     /* 1278534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1278537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278587 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1278587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1278604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278627 */     // GIR_Coverage, 19856,
     /* 1278627 */     GIR_EraseRootFromParent_Done,
     /* 1278628 */   // Label 17814: @1278628
     /* 1278628 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1278727), // Rule ID 19857 //
     /* 1278633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1278636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1278686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278690 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1278703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278726 */     // GIR_Coverage, 19857,
     /* 1278726 */     GIR_EraseRootFromParent_Done,
     /* 1278727 */   // Label 17815: @1278727
     /* 1278727 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1278826), // Rule ID 19860 //
     /* 1278732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1278735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278785 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1278785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1278802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278825 */     // GIR_Coverage, 19860,
     /* 1278825 */     GIR_EraseRootFromParent_Done,
     /* 1278826 */   // Label 17816: @1278826
     /* 1278826 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1278925), // Rule ID 19861 //
     /* 1278831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1278834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1278839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1278873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278884 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11061:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1278884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1278901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1278915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278924 */     // GIR_Coverage, 19861,
     /* 1278924 */     GIR_EraseRootFromParent_Done,
     /* 1278925 */   // Label 17817: @1278925
     /* 1278925 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1279024), // Rule ID 19864 //
     /* 1278930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1278933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1278938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1278941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1278944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1278947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1278950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1278953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278983 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1278983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1278987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1278993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1278997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1279000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279023 */     // GIR_Coverage, 19864,
     /* 1279023 */     GIR_EraseRootFromParent_Done,
     /* 1279024 */   // Label 17818: @1279024
     /* 1279024 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1279123), // Rule ID 19865 //
     /* 1279029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1279032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1279049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1279082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279086 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1279099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279122 */     // GIR_Coverage, 19865,
     /* 1279122 */     GIR_EraseRootFromParent_Done,
     /* 1279123 */   // Label 17819: @1279123
     /* 1279123 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1279222), // Rule ID 19868 //
     /* 1279128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1279131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1279148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279181 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1279181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1279198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279221 */     // GIR_Coverage, 19868,
     /* 1279221 */     GIR_EraseRootFromParent_Done,
     /* 1279222 */   // Label 17820: @1279222
     /* 1279222 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1279321), // Rule ID 19869 //
     /* 1279227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1279230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1279247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279280 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1279280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1279297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279320 */     // GIR_Coverage, 19869,
     /* 1279320 */     GIR_EraseRootFromParent_Done,
     /* 1279321 */   // Label 17821: @1279321
     /* 1279321 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1279420), // Rule ID 19872 //
     /* 1279326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1279329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1279346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279379 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1279379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1279396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279419 */     // GIR_Coverage, 19872,
     /* 1279419 */     GIR_EraseRootFromParent_Done,
     /* 1279420 */   // Label 17822: @1279420
     /* 1279420 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1279519), // Rule ID 19873 //
     /* 1279425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1279428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1279445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1279478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279482 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1279495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279518 */     // GIR_Coverage, 19873,
     /* 1279518 */     GIR_EraseRootFromParent_Done,
     /* 1279519 */   // Label 17823: @1279519
     /* 1279519 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1279618), // Rule ID 19876 //
     /* 1279524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1279527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1279577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1279594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279617 */     // GIR_Coverage, 19876,
     /* 1279617 */     GIR_EraseRootFromParent_Done,
     /* 1279618 */   // Label 17824: @1279618
     /* 1279618 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1279717), // Rule ID 19877 //
     /* 1279623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1279626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1279640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1279643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279676 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1279676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279680 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279686 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1279693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279701 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279716 */     // GIR_Coverage, 19877,
     /* 1279716 */     GIR_EraseRootFromParent_Done,
     /* 1279717 */   // Label 17825: @1279717
     /* 1279717 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1279816), // Rule ID 19880 //
     /* 1279722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1279725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279775 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1279775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1279792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279815 */     // GIR_Coverage, 19880,
     /* 1279815 */     GIR_EraseRootFromParent_Done,
     /* 1279816 */   // Label 17826: @1279816
     /* 1279816 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1279915), // Rule ID 19881 //
     /* 1279821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1279824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1279838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1279841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279874 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1279874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1279891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1279905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1279913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279914 */     // GIR_Coverage, 19881,
     /* 1279914 */     GIR_EraseRootFromParent_Done,
     /* 1279915 */   // Label 17827: @1279915
     /* 1279915 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1280014), // Rule ID 19884 //
     /* 1279920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1279923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1279928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1279937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1279940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279973 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1279973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1279977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1279983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1279987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1279990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280013 */     // GIR_Coverage, 19884,
     /* 1280013 */     GIR_EraseRootFromParent_Done,
     /* 1280014 */   // Label 17828: @1280014
     /* 1280014 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1280113), // Rule ID 19885 //
     /* 1280019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1280022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1280039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280072 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1280072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280076 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280082 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1280089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280112 */     // GIR_Coverage, 19885,
     /* 1280112 */     GIR_EraseRootFromParent_Done,
     /* 1280113 */   // Label 17829: @1280113
     /* 1280113 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1280212), // Rule ID 19888 //
     /* 1280118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1280121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1280138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280171 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1280171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1280188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280211 */     // GIR_Coverage, 19888,
     /* 1280211 */     GIR_EraseRootFromParent_Done,
     /* 1280212 */   // Label 17830: @1280212
     /* 1280212 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1280311), // Rule ID 19889 //
     /* 1280217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1280220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1280234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1280237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280270 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1280270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1280287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280310 */     // GIR_Coverage, 19889,
     /* 1280310 */     GIR_EraseRootFromParent_Done,
     /* 1280311 */   // Label 17831: @1280311
     /* 1280311 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1280410), // Rule ID 19892 //
     /* 1280316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1280319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1280336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280369 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1280369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1280386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280409 */     // GIR_Coverage, 19892,
     /* 1280409 */     GIR_EraseRootFromParent_Done,
     /* 1280410 */   // Label 17832: @1280410
     /* 1280410 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1280509), // Rule ID 19893 //
     /* 1280415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1280418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1280432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1280435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280468 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1280468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1280485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280508 */     // GIR_Coverage, 19893,
     /* 1280508 */     GIR_EraseRootFromParent_Done,
     /* 1280509 */   // Label 17833: @1280509
     /* 1280509 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1280608), // Rule ID 19896 //
     /* 1280514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1280517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1280534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280567 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1280567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1280584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280607 */     // GIR_Coverage, 19896,
     /* 1280607 */     GIR_EraseRootFromParent_Done,
     /* 1280608 */   // Label 17834: @1280608
     /* 1280608 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1280707), // Rule ID 19897 //
     /* 1280613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1280616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1280630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1280633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1280636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1280655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280666 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1280666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1280683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280706 */     // GIR_Coverage, 19897,
     /* 1280706 */     GIR_EraseRootFromParent_Done,
     /* 1280707 */   // Label 17835: @1280707
     /* 1280707 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1280806), // Rule ID 19900 //
     /* 1280712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1280715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1280732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1280765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1280782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280805 */     // GIR_Coverage, 19900,
     /* 1280805 */     GIR_EraseRootFromParent_Done,
     /* 1280806 */   // Label 17836: @1280806
     /* 1280806 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1280905), // Rule ID 19901 //
     /* 1280811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1280814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1280828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1280831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1280864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1280881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280904 */     // GIR_Coverage, 19901,
     /* 1280904 */     GIR_EraseRootFromParent_Done,
     /* 1280905 */   // Label 17837: @1280905
     /* 1280905 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1281004), // Rule ID 19904 //
     /* 1280910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1280913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1280918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1280927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1280930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1280952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1280963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1280967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1280973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1280977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1280980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1280994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281003 */     // GIR_Coverage, 19904,
     /* 1281003 */     GIR_EraseRootFromParent_Done,
     /* 1281004 */   // Label 17838: @1281004
     /* 1281004 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1281103), // Rule ID 19905 //
     /* 1281009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1281012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1281026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1281029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1281062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281066 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1281079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281102 */     // GIR_Coverage, 19905,
     /* 1281102 */     GIR_EraseRootFromParent_Done,
     /* 1281103 */   // Label 17839: @1281103
     /* 1281103 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1281202), // Rule ID 19908 //
     /* 1281108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1281111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1281128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281161 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1281161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1281178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281201 */     // GIR_Coverage, 19908,
     /* 1281201 */     GIR_EraseRootFromParent_Done,
     /* 1281202 */   // Label 17840: @1281202
     /* 1281202 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1281301), // Rule ID 19909 //
     /* 1281207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1281210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1281224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1281227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281260 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1281260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1281277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281300 */     // GIR_Coverage, 19909,
     /* 1281300 */     GIR_EraseRootFromParent_Done,
     /* 1281301 */   // Label 17841: @1281301
     /* 1281301 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1281400), // Rule ID 19912 //
     /* 1281306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1281309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1281326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281359 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1281359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1281376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281399 */     // GIR_Coverage, 19912,
     /* 1281399 */     GIR_EraseRootFromParent_Done,
     /* 1281400 */   // Label 17842: @1281400
     /* 1281400 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1281499), // Rule ID 19913 //
     /* 1281405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1281408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1281416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1281419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1281422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1281425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1281428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1281458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1281475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281498 */     // GIR_Coverage, 19913,
     /* 1281498 */     GIR_EraseRootFromParent_Done,
     /* 1281499 */   // Label 17843: @1281499
     /* 1281499 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1281598), // Rule ID 19916 //
     /* 1281504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1281507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1281524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281557 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1281557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281561 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1281574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281597 */     // GIR_Coverage, 19916,
     /* 1281597 */     GIR_EraseRootFromParent_Done,
     /* 1281598 */   // Label 17844: @1281598
     /* 1281598 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1281697), // Rule ID 19917 //
     /* 1281603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1281606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1281620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1281623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1281656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1281673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281696 */     // GIR_Coverage, 19917,
     /* 1281696 */     GIR_EraseRootFromParent_Done,
     /* 1281697 */   // Label 17845: @1281697
     /* 1281697 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1281796), // Rule ID 19920 //
     /* 1281702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1281705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1281722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281755 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1281755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1281772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281795 */     // GIR_Coverage, 19920,
     /* 1281795 */     GIR_EraseRootFromParent_Done,
     /* 1281796 */   // Label 17846: @1281796
     /* 1281796 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1281895), // Rule ID 19921 //
     /* 1281801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1281804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1281818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1281821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281854 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1281854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1281871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1281893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281894 */     // GIR_Coverage, 19921,
     /* 1281894 */     GIR_EraseRootFromParent_Done,
     /* 1281895 */   // Label 17847: @1281895
     /* 1281895 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1281994), // Rule ID 19924 //
     /* 1281900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1281903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1281908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1281911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1281914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1281917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1281920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1281923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1281942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1281953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1281957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1281963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1281967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1281970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1281984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281993 */     // GIR_Coverage, 19924,
     /* 1281993 */     GIR_EraseRootFromParent_Done,
     /* 1281994 */   // Label 17848: @1281994
     /* 1281994 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1282093), // Rule ID 19925 //
     /* 1281999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1282002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1282016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1282019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1282041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282052 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1282052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282056 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1282069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282077 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282092 */     // GIR_Coverage, 19925,
     /* 1282092 */     GIR_EraseRootFromParent_Done,
     /* 1282093 */   // Label 17849: @1282093
     /* 1282093 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1282192), // Rule ID 19928 //
     /* 1282098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1282101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1282118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1282140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282151 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1282151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1282168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282176 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282191 */     // GIR_Coverage, 19928,
     /* 1282191 */     GIR_EraseRootFromParent_Done,
     /* 1282192 */   // Label 17850: @1282192
     /* 1282192 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1282291), // Rule ID 19929 //
     /* 1282197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1282200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1282214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1282217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1282239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1282250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1282267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282290 */     // GIR_Coverage, 19929,
     /* 1282290 */     GIR_EraseRootFromParent_Done,
     /* 1282291 */   // Label 17851: @1282291
     /* 1282291 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1282390), // Rule ID 19932 //
     /* 1282296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1282299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1282338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282349 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1282349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1282366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282389 */     // GIR_Coverage, 19932,
     /* 1282389 */     GIR_EraseRootFromParent_Done,
     /* 1282390 */   // Label 17852: @1282390
     /* 1282390 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1282489), // Rule ID 19933 //
     /* 1282395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1282398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1282412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1282437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1282448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1282465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282488 */     // GIR_Coverage, 19933,
     /* 1282488 */     GIR_EraseRootFromParent_Done,
     /* 1282489 */   // Label 17853: @1282489
     /* 1282489 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1282588), // Rule ID 19936 //
     /* 1282494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1282497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1282511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1282514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1282536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282547 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1282547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1282564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282587 */     // GIR_Coverage, 19936,
     /* 1282587 */     GIR_EraseRootFromParent_Done,
     /* 1282588 */   // Label 17854: @1282588
     /* 1282588 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1282687), // Rule ID 19937 //
     /* 1282593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1282596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1282610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1282613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1282635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1282646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1282663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1282685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282686 */     // GIR_Coverage, 19937,
     /* 1282686 */     GIR_EraseRootFromParent_Done,
     /* 1282687 */   // Label 17855: @1282687
     /* 1282687 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1282786), // Rule ID 19940 //
     /* 1282692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1282695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1282709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1282734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282745 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1282745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1282762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282785 */     // GIR_Coverage, 19940,
     /* 1282785 */     GIR_EraseRootFromParent_Done,
     /* 1282786 */   // Label 17856: @1282786
     /* 1282786 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1282885), // Rule ID 19941 //
     /* 1282791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1282794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1282808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1282833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1282844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1282861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282884 */     // GIR_Coverage, 19941,
     /* 1282884 */     GIR_EraseRootFromParent_Done,
     /* 1282885 */   // Label 17857: @1282885
     /* 1282885 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1282984), // Rule ID 19944 //
     /* 1282890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1282893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1282907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1282932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282943 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1282943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1282947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1282953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1282957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1282960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1282974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282983 */     // GIR_Coverage, 19944,
     /* 1282983 */     GIR_EraseRootFromParent_Done,
     /* 1282984 */   // Label 17858: @1282984
     /* 1282984 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1283083), // Rule ID 19945 //
     /* 1282989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1282992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1282997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1283006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1283031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283042 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1283042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283046 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283052 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1283059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1283081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283082 */     // GIR_Coverage, 19945,
     /* 1283082 */     GIR_EraseRootFromParent_Done,
     /* 1283083 */   // Label 17859: @1283083
     /* 1283083 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1283182), // Rule ID 19948 //
     /* 1283088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1283091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1283105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283141 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1283141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1283158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283181 */     // GIR_Coverage, 19948,
     /* 1283181 */     GIR_EraseRootFromParent_Done,
     /* 1283182 */   // Label 17860: @1283182
     /* 1283182 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1283281), // Rule ID 19949 //
     /* 1283187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1283190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1283204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283240 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1283240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1283257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283280 */     // GIR_Coverage, 19949,
     /* 1283280 */     GIR_EraseRootFromParent_Done,
     /* 1283281 */   // Label 17861: @1283281
     /* 1283281 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1283380), // Rule ID 19952 //
     /* 1283286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1283289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1283303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283339 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1283339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1283356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283379 */     // GIR_Coverage, 19952,
     /* 1283379 */     GIR_EraseRootFromParent_Done,
     /* 1283380 */   // Label 17862: @1283380
     /* 1283380 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1283479), // Rule ID 19953 //
     /* 1283385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1283388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1283396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1283399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1283402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1283408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283438 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1283438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1283455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283478 */     // GIR_Coverage, 19953,
     /* 1283478 */     GIR_EraseRootFromParent_Done,
     /* 1283479 */   // Label 17863: @1283479
     /* 1283479 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1283578), // Rule ID 19956 //
     /* 1283484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1283487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1283501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283537 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1283537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1283554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283577 */     // GIR_Coverage, 19956,
     /* 1283577 */     GIR_EraseRootFromParent_Done,
     /* 1283578 */   // Label 17864: @1283578
     /* 1283578 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1283677), // Rule ID 19957 //
     /* 1283583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1283586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1283594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1283597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1283600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1283603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1283606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1283621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1283625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283636 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1283636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283640 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1283653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283661 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283676 */     // GIR_Coverage, 19957,
     /* 1283676 */     GIR_EraseRootFromParent_Done,
     /* 1283677 */   // Label 17865: @1283677
     /* 1283677 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1283776), // Rule ID 19960 //
     /* 1283682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1283685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1283699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1283724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283735 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1283735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1283752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283775 */     // GIR_Coverage, 19960,
     /* 1283775 */     GIR_EraseRootFromParent_Done,
     /* 1283776 */   // Label 17866: @1283776
     /* 1283776 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1283875), // Rule ID 19961 //
     /* 1283781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1283784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1283798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1283819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1283823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1283834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1283851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283874 */     // GIR_Coverage, 19961,
     /* 1283874 */     GIR_EraseRootFromParent_Done,
     /* 1283875 */   // Label 17867: @1283875
     /* 1283875 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1283974), // Rule ID 19964 //
     /* 1283880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1283883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1283897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1283918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1283922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1283933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1283937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1283943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1283947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1283950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1283964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283973 */     // GIR_Coverage, 19964,
     /* 1283973 */     GIR_EraseRootFromParent_Done,
     /* 1283974 */   // Label 17868: @1283974
     /* 1283974 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1284073), // Rule ID 19965 //
     /* 1283979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1283982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1283987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1283996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1284021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284032 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1284032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284036 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1284049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284072 */     // GIR_Coverage, 19965,
     /* 1284072 */     GIR_EraseRootFromParent_Done,
     /* 1284073 */   // Label 17869: @1284073
     /* 1284073 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1284172), // Rule ID 19968 //
     /* 1284078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1284081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1284095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1284120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284131 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1284131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1284148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284171 */     // GIR_Coverage, 19968,
     /* 1284171 */     GIR_EraseRootFromParent_Done,
     /* 1284172 */   // Label 17870: @1284172
     /* 1284172 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1284271), // Rule ID 19969 //
     /* 1284177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1284180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1284194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1284219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1284230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1284247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284270 */     // GIR_Coverage, 19969,
     /* 1284270 */     GIR_EraseRootFromParent_Done,
     /* 1284271 */   // Label 17871: @1284271
     /* 1284271 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1284370), // Rule ID 19972 //
     /* 1284276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1284279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1284293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284329 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1284329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1284346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284369 */     // GIR_Coverage, 19972,
     /* 1284369 */     GIR_EraseRootFromParent_Done,
     /* 1284370 */   // Label 17872: @1284370
     /* 1284370 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1284469), // Rule ID 19973 //
     /* 1284375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1284378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1284392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1284428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1284445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284468 */     // GIR_Coverage, 19973,
     /* 1284468 */     GIR_EraseRootFromParent_Done,
     /* 1284469 */   // Label 17873: @1284469
     /* 1284469 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1284568), // Rule ID 19976 //
     /* 1284474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1284477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1284491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1284527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1284544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284567 */     // GIR_Coverage, 19976,
     /* 1284567 */     GIR_EraseRootFromParent_Done,
     /* 1284568 */   // Label 17874: @1284568
     /* 1284568 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1284667), // Rule ID 19977 //
     /* 1284573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1284576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1284590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284626 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1284626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284630 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1284643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284651 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284666 */     // GIR_Coverage, 19977,
     /* 1284666 */     GIR_EraseRootFromParent_Done,
     /* 1284667 */   // Label 17875: @1284667
     /* 1284667 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1284766), // Rule ID 19980 //
     /* 1284672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1284675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1284689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1284725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1284742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284765 */     // GIR_Coverage, 19980,
     /* 1284765 */     GIR_EraseRootFromParent_Done,
     /* 1284766 */   // Label 17876: @1284766
     /* 1284766 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1284865), // Rule ID 19981 //
     /* 1284771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1284774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1284779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1284782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1284785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1284788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1284794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1284813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284824 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11063:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1284824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1284841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284864 */     // GIR_Coverage, 19981,
     /* 1284864 */     GIR_EraseRootFromParent_Done,
     /* 1284865 */   // Label 17877: @1284865
     /* 1284865 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1284964), // Rule ID 19984 //
     /* 1284870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1284873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1284878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1284887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1284890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284923 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1284923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1284927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1284933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1284937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1284940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1284954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284963 */     // GIR_Coverage, 19984,
     /* 1284963 */     GIR_EraseRootFromParent_Done,
     /* 1284964 */   // Label 17878: @1284964
     /* 1284964 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1285063), // Rule ID 19985 //
     /* 1284969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1284972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1284977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1284986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1284989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1285022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285026 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1285039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285062 */     // GIR_Coverage, 19985,
     /* 1285062 */     GIR_EraseRootFromParent_Done,
     /* 1285063 */   // Label 17879: @1285063
     /* 1285063 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1285162), // Rule ID 19988 //
     /* 1285068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1285071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1285085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1285088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285121 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1285121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1285138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285161 */     // GIR_Coverage, 19988,
     /* 1285161 */     GIR_EraseRootFromParent_Done,
     /* 1285162 */   // Label 17880: @1285162
     /* 1285162 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1285261), // Rule ID 19989 //
     /* 1285167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1285170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1285184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1285187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285220 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1285220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1285237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285260 */     // GIR_Coverage, 19989,
     /* 1285260 */     GIR_EraseRootFromParent_Done,
     /* 1285261 */   // Label 17881: @1285261
     /* 1285261 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1285360), // Rule ID 19992 //
     /* 1285266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1285269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1285283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1285286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285319 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1285319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1285336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285359 */     // GIR_Coverage, 19992,
     /* 1285359 */     GIR_EraseRootFromParent_Done,
     /* 1285360 */   // Label 17882: @1285360
     /* 1285360 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1285459), // Rule ID 19993 //
     /* 1285365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1285368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1285382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1285385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1285418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285422 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1285435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285458 */     // GIR_Coverage, 19993,
     /* 1285458 */     GIR_EraseRootFromParent_Done,
     /* 1285459 */   // Label 17883: @1285459
     /* 1285459 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1285558), // Rule ID 19996 //
     /* 1285464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1285467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1285481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1285484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285517 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1285517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1285534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285557 */     // GIR_Coverage, 19996,
     /* 1285557 */     GIR_EraseRootFromParent_Done,
     /* 1285558 */   // Label 17884: @1285558
     /* 1285558 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1285657), // Rule ID 19997 //
     /* 1285563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1285566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1285580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1285583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1285616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285620 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285626 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1285633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285656 */     // GIR_Coverage, 19997,
     /* 1285656 */     GIR_EraseRootFromParent_Done,
     /* 1285657 */   // Label 17885: @1285657
     /* 1285657 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1285756), // Rule ID 20000 //
     /* 1285662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1285665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1285679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285715 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1285715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1285732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285755 */     // GIR_Coverage, 20000,
     /* 1285755 */     GIR_EraseRootFromParent_Done,
     /* 1285756 */   // Label 17886: @1285756
     /* 1285756 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1285855), // Rule ID 20001 //
     /* 1285761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1285764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1285772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1285775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1285778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1285781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1285784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1285814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1285831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285854 */     // GIR_Coverage, 20001,
     /* 1285854 */     GIR_EraseRootFromParent_Done,
     /* 1285855 */   // Label 17887: @1285855
     /* 1285855 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1285954), // Rule ID 20004 //
     /* 1285860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1285863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1285877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1285913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1285917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1285923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1285927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1285930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1285944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1285952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285953 */     // GIR_Coverage, 20004,
     /* 1285953 */     GIR_EraseRootFromParent_Done,
     /* 1285954 */   // Label 17888: @1285954
     /* 1285954 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1286053), // Rule ID 20005 //
     /* 1285959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1285962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1285967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1285970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1285973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1285976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1285979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1285982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286012 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1286012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1286029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286052 */     // GIR_Coverage, 20005,
     /* 1286052 */     GIR_EraseRootFromParent_Done,
     /* 1286053 */   // Label 17889: @1286053
     /* 1286053 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1286152), // Rule ID 20008 //
     /* 1286058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1286061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1286075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1286078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1286111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1286128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286151 */     // GIR_Coverage, 20008,
     /* 1286151 */     GIR_EraseRootFromParent_Done,
     /* 1286152 */   // Label 17890: @1286152
     /* 1286152 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1286251), // Rule ID 20009 //
     /* 1286157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1286160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1286174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1286177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1286210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1286227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286250 */     // GIR_Coverage, 20009,
     /* 1286250 */     GIR_EraseRootFromParent_Done,
     /* 1286251 */   // Label 17891: @1286251
     /* 1286251 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1286350), // Rule ID 20012 //
     /* 1286256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1286259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1286273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1286276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286309 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1286309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1286326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286349 */     // GIR_Coverage, 20012,
     /* 1286349 */     GIR_EraseRootFromParent_Done,
     /* 1286350 */   // Label 17892: @1286350
     /* 1286350 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1286449), // Rule ID 20013 //
     /* 1286355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1286358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1286366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1286369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1286372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1286375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1286378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1286408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286412 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286418 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1286425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286448 */     // GIR_Coverage, 20013,
     /* 1286448 */     GIR_EraseRootFromParent_Done,
     /* 1286449 */   // Label 17893: @1286449
     /* 1286449 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1286548), // Rule ID 20016 //
     /* 1286454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1286457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1286471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1286474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286507 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1286507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1286524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286547 */     // GIR_Coverage, 20016,
     /* 1286547 */     GIR_EraseRootFromParent_Done,
     /* 1286548 */   // Label 17894: @1286548
     /* 1286548 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1286647), // Rule ID 20017 //
     /* 1286553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1286556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1286564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1286567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1286570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1286573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1286576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286606 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1286606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286610 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286616 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1286623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1286645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286646 */     // GIR_Coverage, 20017,
     /* 1286646 */     GIR_EraseRootFromParent_Done,
     /* 1286647 */   // Label 17895: @1286647
     /* 1286647 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1286746), // Rule ID 20020 //
     /* 1286652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1286655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1286672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1286705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1286722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286745 */     // GIR_Coverage, 20020,
     /* 1286745 */     GIR_EraseRootFromParent_Done,
     /* 1286746 */   // Label 17896: @1286746
     /* 1286746 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1286845), // Rule ID 20021 //
     /* 1286751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1286754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1286768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1286771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286804 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1286804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1286821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286844 */     // GIR_Coverage, 20021,
     /* 1286844 */     GIR_EraseRootFromParent_Done,
     /* 1286845 */   // Label 17897: @1286845
     /* 1286845 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1286944), // Rule ID 20024 //
     /* 1286850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1286853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1286867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1286870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286903 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1286903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1286907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1286913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1286917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1286920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1286934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286943 */     // GIR_Coverage, 20024,
     /* 1286943 */     GIR_EraseRootFromParent_Done,
     /* 1286944 */   // Label 17898: @1286944
     /* 1286944 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1287043), // Rule ID 20025 //
     /* 1286949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1286952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1286957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1286966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1286969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1287002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1287019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287042 */     // GIR_Coverage, 20025,
     /* 1287042 */     GIR_EraseRootFromParent_Done,
     /* 1287043 */   // Label 17899: @1287043
     /* 1287043 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1287142), // Rule ID 20028 //
     /* 1287048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1287051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1287065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1287068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287101 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1287101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1287118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287141 */     // GIR_Coverage, 20028,
     /* 1287141 */     GIR_EraseRootFromParent_Done,
     /* 1287142 */   // Label 17900: @1287142
     /* 1287142 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1287241), // Rule ID 20029 //
     /* 1287147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1287150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1287158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1287161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1287164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1287167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1287170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287200 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1287200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1287217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287240 */     // GIR_Coverage, 20029,
     /* 1287240 */     GIR_EraseRootFromParent_Done,
     /* 1287241 */   // Label 17901: @1287241
     /* 1287241 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1287340), // Rule ID 20032 //
     /* 1287246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1287249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1287263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1287266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287299 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1287299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1287316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287339 */     // GIR_Coverage, 20032,
     /* 1287339 */     GIR_EraseRootFromParent_Done,
     /* 1287340 */   // Label 17902: @1287340
     /* 1287340 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1287439), // Rule ID 20033 //
     /* 1287345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1287348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1287362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1287365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1287387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1287398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287402 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1287415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287438 */     // GIR_Coverage, 20033,
     /* 1287438 */     GIR_EraseRootFromParent_Done,
     /* 1287439 */   // Label 17903: @1287439
     /* 1287439 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1287538), // Rule ID 20036 //
     /* 1287444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1287447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1287461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1287464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287497 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1287497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287501 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1287514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287537 */     // GIR_Coverage, 20036,
     /* 1287537 */     GIR_EraseRootFromParent_Done,
     /* 1287538 */   // Label 17904: @1287538
     /* 1287538 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1287637), // Rule ID 20037 //
     /* 1287543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1287546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1287560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1287563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1287585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287596 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1287596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1287613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287636 */     // GIR_Coverage, 20037,
     /* 1287636 */     GIR_EraseRootFromParent_Done,
     /* 1287637 */   // Label 17905: @1287637
     /* 1287637 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1287736), // Rule ID 20040 //
     /* 1287642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1287645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1287662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1287695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1287712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287735 */     // GIR_Coverage, 20040,
     /* 1287735 */     GIR_EraseRootFromParent_Done,
     /* 1287736 */   // Label 17906: @1287736
     /* 1287736 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1287835), // Rule ID 20041 //
     /* 1287741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1287744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1287758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1287761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1287783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1287794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1287811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1287833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287834 */     // GIR_Coverage, 20041,
     /* 1287834 */     GIR_EraseRootFromParent_Done,
     /* 1287835 */   // Label 17907: @1287835
     /* 1287835 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1287934), // Rule ID 20044 //
     /* 1287840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1287843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1287860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1287882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287893 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1287893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1287903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1287907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1287910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1287924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287933 */     // GIR_Coverage, 20044,
     /* 1287933 */     GIR_EraseRootFromParent_Done,
     /* 1287934 */   // Label 17908: @1287934
     /* 1287934 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1288033), // Rule ID 20045 //
     /* 1287939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1287942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1287947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1287959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1287981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287992 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1287992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1287996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1288009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288032 */     // GIR_Coverage, 20045,
     /* 1288032 */     GIR_EraseRootFromParent_Done,
     /* 1288033 */   // Label 17909: @1288033
     /* 1288033 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1288132), // Rule ID 20048 //
     /* 1288038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1288041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1288055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1288058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1288080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288091 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1288091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1288108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288131 */     // GIR_Coverage, 20048,
     /* 1288131 */     GIR_EraseRootFromParent_Done,
     /* 1288132 */   // Label 17910: @1288132
     /* 1288132 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1288231), // Rule ID 20049 //
     /* 1288137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1288140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1288154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1288157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1288179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1288190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1288207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288230 */     // GIR_Coverage, 20049,
     /* 1288230 */     GIR_EraseRootFromParent_Done,
     /* 1288231 */   // Label 17911: @1288231
     /* 1288231 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1288330), // Rule ID 20052 //
     /* 1288236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1288239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1288278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288289 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1288289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1288306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288329 */     // GIR_Coverage, 20052,
     /* 1288329 */     GIR_EraseRootFromParent_Done,
     /* 1288330 */   // Label 17912: @1288330
     /* 1288330 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1288429), // Rule ID 20053 //
     /* 1288335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1288338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1288352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1288377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288388 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1288388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1288405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288428 */     // GIR_Coverage, 20053,
     /* 1288428 */     GIR_EraseRootFromParent_Done,
     /* 1288429 */   // Label 17913: @1288429
     /* 1288429 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1288528), // Rule ID 20056 //
     /* 1288434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1288437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1288451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1288454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1288476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1288487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1288504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288527 */     // GIR_Coverage, 20056,
     /* 1288527 */     GIR_EraseRootFromParent_Done,
     /* 1288528 */   // Label 17914: @1288528
     /* 1288528 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1288627), // Rule ID 20057 //
     /* 1288533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1288536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1288544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1288547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1288550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1288553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1288556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1288575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288586 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1288586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288590 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1288603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288626 */     // GIR_Coverage, 20057,
     /* 1288626 */     GIR_EraseRootFromParent_Done,
     /* 1288627 */   // Label 17915: @1288627
     /* 1288627 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1288726), // Rule ID 20060 //
     /* 1288632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1288635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1288674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1288685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1288702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288725 */     // GIR_Coverage, 20060,
     /* 1288725 */     GIR_EraseRootFromParent_Done,
     /* 1288726 */   // Label 17916: @1288726
     /* 1288726 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1288825), // Rule ID 20061 //
     /* 1288731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1288734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1288742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1288745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1288748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1288751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1288754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1288773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288784 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1288784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1288801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288824 */     // GIR_Coverage, 20061,
     /* 1288824 */     GIR_EraseRootFromParent_Done,
     /* 1288825 */   // Label 17917: @1288825
     /* 1288825 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1288924), // Rule ID 20064 //
     /* 1288830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1288833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1288872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1288883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1288900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1288914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288923 */     // GIR_Coverage, 20064,
     /* 1288923 */     GIR_EraseRootFromParent_Done,
     /* 1288924 */   // Label 17918: @1288924
     /* 1288924 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1289023), // Rule ID 20065 //
     /* 1288929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1288932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1288937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1288949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1288971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1288982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1288986 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1288992 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1288996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1288999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289022 */     // GIR_Coverage, 20065,
     /* 1289022 */     GIR_EraseRootFromParent_Done,
     /* 1289023 */   // Label 17919: @1289023
     /* 1289023 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1289122), // Rule ID 20068 //
     /* 1289028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1289031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1289045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1289081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1289098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289121 */     // GIR_Coverage, 20068,
     /* 1289121 */     GIR_EraseRootFromParent_Done,
     /* 1289122 */   // Label 17920: @1289122
     /* 1289122 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1289221), // Rule ID 20069 //
     /* 1289127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1289130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1289144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289180 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1289180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1289197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289220 */     // GIR_Coverage, 20069,
     /* 1289220 */     GIR_EraseRootFromParent_Done,
     /* 1289221 */   // Label 17921: @1289221
     /* 1289221 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1289320), // Rule ID 20072 //
     /* 1289226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1289229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289279 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1289279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1289296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289319 */     // GIR_Coverage, 20072,
     /* 1289319 */     GIR_EraseRootFromParent_Done,
     /* 1289320 */   // Label 17922: @1289320
     /* 1289320 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1289419), // Rule ID 20073 //
     /* 1289325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1289328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1289342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289378 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1289378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1289395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289418 */     // GIR_Coverage, 20073,
     /* 1289418 */     GIR_EraseRootFromParent_Done,
     /* 1289419 */   // Label 17923: @1289419
     /* 1289419 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1289518), // Rule ID 20076 //
     /* 1289424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1289427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289477 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1289477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1289494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289517 */     // GIR_Coverage, 20076,
     /* 1289517 */     GIR_EraseRootFromParent_Done,
     /* 1289518 */   // Label 17924: @1289518
     /* 1289518 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1289617), // Rule ID 20077 //
     /* 1289523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1289526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1289543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1289565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1289576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1289593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289616 */     // GIR_Coverage, 20077,
     /* 1289616 */     GIR_EraseRootFromParent_Done,
     /* 1289617 */   // Label 17925: @1289617
     /* 1289617 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1289716), // Rule ID 20080 //
     /* 1289622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1289625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1289664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289675 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1289675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1289692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289715 */     // GIR_Coverage, 20080,
     /* 1289715 */     GIR_EraseRootFromParent_Done,
     /* 1289716 */   // Label 17926: @1289716
     /* 1289716 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1289815), // Rule ID 20081 //
     /* 1289721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1289724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1289763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289774 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1289774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1289791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289814 */     // GIR_Coverage, 20081,
     /* 1289814 */     GIR_EraseRootFromParent_Done,
     /* 1289815 */   // Label 17927: @1289815
     /* 1289815 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1289914), // Rule ID 20084 //
     /* 1289820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1289823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1289862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1289873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1289890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1289904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289913 */     // GIR_Coverage, 20084,
     /* 1289913 */     GIR_EraseRootFromParent_Done,
     /* 1289914 */   // Label 17928: @1289914
     /* 1289914 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1290013), // Rule ID 20085 //
     /* 1289919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1289922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1289927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1289939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1289961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1289972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1289976 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1289982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1289986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1289989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290012 */     // GIR_Coverage, 20085,
     /* 1290012 */     GIR_EraseRootFromParent_Done,
     /* 1290013 */   // Label 17929: @1290013
     /* 1290013 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1290112), // Rule ID 20088 //
     /* 1290018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1290021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1290060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290071 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1290071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1290088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290096 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290111 */     // GIR_Coverage, 20088,
     /* 1290111 */     GIR_EraseRootFromParent_Done,
     /* 1290112 */   // Label 17930: @1290112
     /* 1290112 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1290211), // Rule ID 20089 //
     /* 1290117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1290120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1290128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1290131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1290134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1290140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1290159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290170 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1290170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1290187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1290209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290210 */     // GIR_Coverage, 20089,
     /* 1290210 */     GIR_EraseRootFromParent_Done,
     /* 1290211 */   // Label 17931: @1290211
     /* 1290211 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1290310), // Rule ID 20092 //
     /* 1290216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1290219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1290233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290269 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1290269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1290286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290309 */     // GIR_Coverage, 20092,
     /* 1290309 */     GIR_EraseRootFromParent_Done,
     /* 1290310 */   // Label 17932: @1290310
     /* 1290310 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1290409), // Rule ID 20093 //
     /* 1290315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1290318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1290332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1290353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1290368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290378 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1290385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290408 */     // GIR_Coverage, 20093,
     /* 1290408 */     GIR_EraseRootFromParent_Done,
     /* 1290409 */   // Label 17933: @1290409
     /* 1290409 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1290508), // Rule ID 20096 //
     /* 1290414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1290417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290467 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1290467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1290484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290507 */     // GIR_Coverage, 20096,
     /* 1290507 */     GIR_EraseRootFromParent_Done,
     /* 1290508 */   // Label 17934: @1290508
     /* 1290508 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1290607), // Rule ID 20097 //
     /* 1290513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1290516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1290530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1290566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1290583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290606 */     // GIR_Coverage, 20097,
     /* 1290606 */     GIR_EraseRootFromParent_Done,
     /* 1290607 */   // Label 17935: @1290607
     /* 1290607 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1290706), // Rule ID 20100 //
     /* 1290612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1290615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290665 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1290665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1290682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290705 */     // GIR_Coverage, 20100,
     /* 1290705 */     GIR_EraseRootFromParent_Done,
     /* 1290706 */   // Label 17936: @1290706
     /* 1290706 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1290805), // Rule ID 20101 //
     /* 1290711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1290714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1290719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1290753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11065:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1290764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290768 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1290781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290804 */     // GIR_Coverage, 20101,
     /* 1290804 */     GIR_EraseRootFromParent_Done,
     /* 1290805 */   // Label 17937: @1290805
     /* 1290805 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1290904), // Rule ID 20104 //
     /* 1290810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1290813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1290818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1290830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1290852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290863 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1290863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1290880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290903 */     // GIR_Coverage, 20104,
     /* 1290903 */     GIR_EraseRootFromParent_Done,
     /* 1290904 */   // Label 17938: @1290904
     /* 1290904 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1291003), // Rule ID 20105 //
     /* 1290909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1290912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1290917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1290929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1290951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1290962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1290966 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1290972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1290976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1290979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290987 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1290993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291002 */     // GIR_Coverage, 20105,
     /* 1291002 */     GIR_EraseRootFromParent_Done,
     /* 1291003 */   // Label 17939: @1291003
     /* 1291003 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1291102), // Rule ID 20108 //
     /* 1291008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1291011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1291028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1291050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291061 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1291061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1291078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291101 */     // GIR_Coverage, 20108,
     /* 1291101 */     GIR_EraseRootFromParent_Done,
     /* 1291102 */   // Label 17940: @1291102
     /* 1291102 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1291201), // Rule ID 20109 //
     /* 1291107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1291110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1291124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1291127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1291149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1291160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1291177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291200 */     // GIR_Coverage, 20109,
     /* 1291200 */     GIR_EraseRootFromParent_Done,
     /* 1291201 */   // Label 17941: @1291201
     /* 1291201 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1291300), // Rule ID 20112 //
     /* 1291206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1291209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1291248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291259 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1291259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1291276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291299 */     // GIR_Coverage, 20112,
     /* 1291299 */     GIR_EraseRootFromParent_Done,
     /* 1291300 */   // Label 17942: @1291300
     /* 1291300 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1291399), // Rule ID 20113 //
     /* 1291305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1291308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1291347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1291358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1291375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291398 */     // GIR_Coverage, 20113,
     /* 1291398 */     GIR_EraseRootFromParent_Done,
     /* 1291399 */   // Label 17943: @1291399
     /* 1291399 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1291498), // Rule ID 20116 //
     /* 1291404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1291407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1291424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1291446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291457 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1291457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1291474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291497 */     // GIR_Coverage, 20116,
     /* 1291497 */     GIR_EraseRootFromParent_Done,
     /* 1291498 */   // Label 17944: @1291498
     /* 1291498 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1291597), // Rule ID 20117 //
     /* 1291503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1291506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1291523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1291545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291556 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1291556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1291573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291596 */     // GIR_Coverage, 20117,
     /* 1291596 */     GIR_EraseRootFromParent_Done,
     /* 1291597 */   // Label 17945: @1291597
     /* 1291597 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1291696), // Rule ID 20120 //
     /* 1291602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1291605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1291644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291655 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1291655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1291672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291695 */     // GIR_Coverage, 20120,
     /* 1291695 */     GIR_EraseRootFromParent_Done,
     /* 1291696 */   // Label 17946: @1291696
     /* 1291696 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1291795), // Rule ID 20121 //
     /* 1291701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1291704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1291743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1291754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1291771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291794 */     // GIR_Coverage, 20121,
     /* 1291794 */     GIR_EraseRootFromParent_Done,
     /* 1291795 */   // Label 17947: @1291795
     /* 1291795 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1291894), // Rule ID 20124 //
     /* 1291800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1291803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1291842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291853 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1291853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1291870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291893 */     // GIR_Coverage, 20124,
     /* 1291893 */     GIR_EraseRootFromParent_Done,
     /* 1291894 */   // Label 17948: @1291894
     /* 1291894 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1291993), // Rule ID 20125 //
     /* 1291899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1291902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1291907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1291941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1291952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1291956 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1291962 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1291966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1291969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1291983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291992 */     // GIR_Coverage, 20125,
     /* 1291992 */     GIR_EraseRootFromParent_Done,
     /* 1291993 */   // Label 17949: @1291993
     /* 1291993 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1292092), // Rule ID 20128 //
     /* 1291998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1292051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1292068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292091 */     // GIR_Coverage, 20128,
     /* 1292091 */     GIR_EraseRootFromParent_Done,
     /* 1292092 */   // Label 17950: @1292092
     /* 1292092 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1292191), // Rule ID 20129 //
     /* 1292097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1292150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1292167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292190 */     // GIR_Coverage, 20129,
     /* 1292190 */     GIR_EraseRootFromParent_Done,
     /* 1292191 */   // Label 17951: @1292191
     /* 1292191 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1292290), // Rule ID 20132 //
     /* 1292196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292249 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1292249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1292266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292289 */     // GIR_Coverage, 20132,
     /* 1292289 */     GIR_EraseRootFromParent_Done,
     /* 1292290 */   // Label 17952: @1292290
     /* 1292290 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1292389), // Rule ID 20133 //
     /* 1292295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292348 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1292348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1292365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292388 */     // GIR_Coverage, 20133,
     /* 1292388 */     GIR_EraseRootFromParent_Done,
     /* 1292389 */   // Label 17953: @1292389
     /* 1292389 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1292488), // Rule ID 20136 //
     /* 1292394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1292397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292447 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1292447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292451 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1292464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292487 */     // GIR_Coverage, 20136,
     /* 1292487 */     GIR_EraseRootFromParent_Done,
     /* 1292488 */   // Label 17954: @1292488
     /* 1292488 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1292587), // Rule ID 20137 //
     /* 1292493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1292496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1292513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1292535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292546 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1292546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292550 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292556 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1292563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292571 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292586 */     // GIR_Coverage, 20137,
     /* 1292586 */     GIR_EraseRootFromParent_Done,
     /* 1292587 */   // Label 17955: @1292587
     /* 1292587 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1292686), // Rule ID 20140 //
     /* 1292592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1292595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1292634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1292645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1292662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292685 */     // GIR_Coverage, 20140,
     /* 1292685 */     GIR_EraseRootFromParent_Done,
     /* 1292686 */   // Label 17956: @1292686
     /* 1292686 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1292785), // Rule ID 20141 //
     /* 1292691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1292694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1292733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292744 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1292744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1292761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292769 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292784 */     // GIR_Coverage, 20141,
     /* 1292784 */     GIR_EraseRootFromParent_Done,
     /* 1292785 */   // Label 17957: @1292785
     /* 1292785 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1292884), // Rule ID 20144 //
     /* 1292790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1292793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1292832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292843 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1292843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1292860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292883 */     // GIR_Coverage, 20144,
     /* 1292883 */     GIR_EraseRootFromParent_Done,
     /* 1292884 */   // Label 17958: @1292884
     /* 1292884 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1292983), // Rule ID 20145 //
     /* 1292889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1292892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1292906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1292931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292942 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1292942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1292946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1292952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1292956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1292959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1292973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292982 */     // GIR_Coverage, 20145,
     /* 1292982 */     GIR_EraseRootFromParent_Done,
     /* 1292983 */   // Label 17959: @1292983
     /* 1292983 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1293082), // Rule ID 20148 //
     /* 1292988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1292991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1292996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1293030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1293041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1293058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293081 */     // GIR_Coverage, 20148,
     /* 1293081 */     GIR_EraseRootFromParent_Done,
     /* 1293082 */   // Label 17960: @1293082
     /* 1293082 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1293181), // Rule ID 20149 //
     /* 1293087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1293090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1293129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1293140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1293157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293180 */     // GIR_Coverage, 20149,
     /* 1293180 */     GIR_EraseRootFromParent_Done,
     /* 1293181 */   // Label 17961: @1293181
     /* 1293181 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1293280), // Rule ID 20152 //
     /* 1293186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1293189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293239 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1293239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1293256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293279 */     // GIR_Coverage, 20152,
     /* 1293279 */     GIR_EraseRootFromParent_Done,
     /* 1293280 */   // Label 17962: @1293280
     /* 1293280 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1293379), // Rule ID 20153 //
     /* 1293285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1293288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1293338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1293355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293378 */     // GIR_Coverage, 20153,
     /* 1293378 */     GIR_EraseRootFromParent_Done,
     /* 1293379 */   // Label 17963: @1293379
     /* 1293379 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1293478), // Rule ID 20156 //
     /* 1293384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1293387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1293437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293441 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1293454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293477 */     // GIR_Coverage, 20156,
     /* 1293477 */     GIR_EraseRootFromParent_Done,
     /* 1293478 */   // Label 17964: @1293478
     /* 1293478 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1293577), // Rule ID 20157 //
     /* 1293483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1293486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1293536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293540 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1293553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293576 */     // GIR_Coverage, 20157,
     /* 1293576 */     GIR_EraseRootFromParent_Done,
     /* 1293577 */   // Label 17965: @1293577
     /* 1293577 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1293676), // Rule ID 20160 //
     /* 1293582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1293585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293635 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1293635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1293652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293675 */     // GIR_Coverage, 20160,
     /* 1293675 */     GIR_EraseRootFromParent_Done,
     /* 1293676 */   // Label 17966: @1293676
     /* 1293676 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1293775), // Rule ID 20161 //
     /* 1293681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1293684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1293689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1293723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1293734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1293751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293774 */     // GIR_Coverage, 20161,
     /* 1293774 */     GIR_EraseRootFromParent_Done,
     /* 1293775 */   // Label 17967: @1293775
     /* 1293775 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1293874), // Rule ID 20164 //
     /* 1293780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1293783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1293788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1293800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1293822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1293833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1293850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293873 */     // GIR_Coverage, 20164,
     /* 1293873 */     GIR_EraseRootFromParent_Done,
     /* 1293874 */   // Label 17968: @1293874
     /* 1293874 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1293973), // Rule ID 20165 //
     /* 1293879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1293882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1293887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1293896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1293899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1293921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293932 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1293932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1293936 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1293942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1293946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1293949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293957 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1293963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1293971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293972 */     // GIR_Coverage, 20165,
     /* 1293972 */     GIR_EraseRootFromParent_Done,
     /* 1293973 */   // Label 17969: @1293973
     /* 1293973 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1294072), // Rule ID 20168 //
     /* 1293978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1293981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1293986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1293995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1293998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1294020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294031 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1294031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1294048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294071 */     // GIR_Coverage, 20168,
     /* 1294071 */     GIR_EraseRootFromParent_Done,
     /* 1294072 */   // Label 17970: @1294072
     /* 1294072 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1294171), // Rule ID 20169 //
     /* 1294077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1294080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1294097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1294119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1294130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1294147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294170 */     // GIR_Coverage, 20169,
     /* 1294170 */     GIR_EraseRootFromParent_Done,
     /* 1294171 */   // Label 17971: @1294171
     /* 1294171 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1294270), // Rule ID 20172 //
     /* 1294176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1294179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1294218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294229 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1294229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1294246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294269 */     // GIR_Coverage, 20172,
     /* 1294269 */     GIR_EraseRootFromParent_Done,
     /* 1294270 */   // Label 17972: @1294270
     /* 1294270 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1294369), // Rule ID 20173 //
     /* 1294275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1294278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1294317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294328 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1294328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1294345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294368 */     // GIR_Coverage, 20173,
     /* 1294368 */     GIR_EraseRootFromParent_Done,
     /* 1294369 */   // Label 17973: @1294369
     /* 1294369 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1294468), // Rule ID 20176 //
     /* 1294374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1294377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1294394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1294416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294427 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1294427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1294444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294467 */     // GIR_Coverage, 20176,
     /* 1294467 */     GIR_EraseRootFromParent_Done,
     /* 1294468 */   // Label 17974: @1294468
     /* 1294468 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1294567), // Rule ID 20177 //
     /* 1294473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1294476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1294490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1294493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1294515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1294526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294530 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1294543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294566 */     // GIR_Coverage, 20177,
     /* 1294566 */     GIR_EraseRootFromParent_Done,
     /* 1294567 */   // Label 17975: @1294567
     /* 1294567 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1294666), // Rule ID 20180 //
     /* 1294572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1294575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1294614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294625 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1294625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1294642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294665 */     // GIR_Coverage, 20180,
     /* 1294665 */     GIR_EraseRootFromParent_Done,
     /* 1294666 */   // Label 17976: @1294666
     /* 1294666 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1294765), // Rule ID 20181 //
     /* 1294671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1294674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1294688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1294691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1294713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294724 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1294724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1294741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294764 */     // GIR_Coverage, 20181,
     /* 1294764 */     GIR_EraseRootFromParent_Done,
     /* 1294765 */   // Label 17977: @1294765
     /* 1294765 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1294864), // Rule ID 20184 //
     /* 1294770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1294773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1294812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294823 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1294823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1294840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294863 */     // GIR_Coverage, 20184,
     /* 1294863 */     GIR_EraseRootFromParent_Done,
     /* 1294864 */   // Label 17978: @1294864
     /* 1294864 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1294963), // Rule ID 20185 //
     /* 1294869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1294872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1294886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1294889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1294911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294922 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1294922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1294926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1294932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1294936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1294939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1294953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1294961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294962 */     // GIR_Coverage, 20185,
     /* 1294962 */     GIR_EraseRootFromParent_Done,
     /* 1294963 */   // Label 17979: @1294963
     /* 1294963 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1295062), // Rule ID 20188 //
     /* 1294968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1294971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1294976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1294985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1294988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295021 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1295021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1295038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295061 */     // GIR_Coverage, 20188,
     /* 1295061 */     GIR_EraseRootFromParent_Done,
     /* 1295062 */   // Label 17980: @1295062
     /* 1295062 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1295161), // Rule ID 20189 //
     /* 1295067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1295084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1295087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295120 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1295120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1295137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295160 */     // GIR_Coverage, 20189,
     /* 1295160 */     GIR_EraseRootFromParent_Done,
     /* 1295161 */   // Label 17981: @1295161
     /* 1295161 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1295260), // Rule ID 20192 //
     /* 1295166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1295169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1295186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295219 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1295219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1295236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295259 */     // GIR_Coverage, 20192,
     /* 1295259 */     GIR_EraseRootFromParent_Done,
     /* 1295260 */   // Label 17982: @1295260
     /* 1295260 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1295359), // Rule ID 20193 //
     /* 1295265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1295282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1295285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1295318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295322 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1295335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295358 */     // GIR_Coverage, 20193,
     /* 1295358 */     GIR_EraseRootFromParent_Done,
     /* 1295359 */   // Label 17983: @1295359
     /* 1295359 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1295458), // Rule ID 20196 //
     /* 1295364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1295367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1295384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295417 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1295417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295421 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1295434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295442 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295457 */     // GIR_Coverage, 20196,
     /* 1295457 */     GIR_EraseRootFromParent_Done,
     /* 1295458 */   // Label 17984: @1295458
     /* 1295458 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1295557), // Rule ID 20197 //
     /* 1295463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1295466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1295480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1295483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1295505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295516 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1295516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295520 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1295533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295556 */     // GIR_Coverage, 20197,
     /* 1295556 */     GIR_EraseRootFromParent_Done,
     /* 1295557 */   // Label 17985: @1295557
     /* 1295557 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1295656), // Rule ID 20200 //
     /* 1295562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1295565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1295604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295615 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1295615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1295632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295655 */     // GIR_Coverage, 20200,
     /* 1295655 */     GIR_EraseRootFromParent_Done,
     /* 1295656 */   // Label 17986: @1295656
     /* 1295656 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1295755), // Rule ID 20201 //
     /* 1295661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1295664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1295678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1295703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295714 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1295714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1295731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295754 */     // GIR_Coverage, 20201,
     /* 1295754 */     GIR_EraseRootFromParent_Done,
     /* 1295755 */   // Label 17987: @1295755
     /* 1295755 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1295854), // Rule ID 20204 //
     /* 1295760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1295763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1295802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1295813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1295830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295853 */     // GIR_Coverage, 20204,
     /* 1295853 */     GIR_EraseRootFromParent_Done,
     /* 1295854 */   // Label 17988: @1295854
     /* 1295854 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1295953), // Rule ID 20205 //
     /* 1295859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1295862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1295876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1295901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295912 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1295912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1295916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1295922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1295926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1295929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295937 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1295943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295952 */     // GIR_Coverage, 20205,
     /* 1295952 */     GIR_EraseRootFromParent_Done,
     /* 1295953 */   // Label 17989: @1295953
     /* 1295953 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1296052), // Rule ID 20208 //
     /* 1295958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1295961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1295966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1295975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1295978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1296000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296011 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1296011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1296028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296051 */     // GIR_Coverage, 20208,
     /* 1296051 */     GIR_EraseRootFromParent_Done,
     /* 1296052 */   // Label 17990: @1296052
     /* 1296052 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1296151), // Rule ID 20209 //
     /* 1296057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1296060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1296077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1296099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1296110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296114 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1296127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296150 */     // GIR_Coverage, 20209,
     /* 1296150 */     GIR_EraseRootFromParent_Done,
     /* 1296151 */   // Label 17991: @1296151
     /* 1296151 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1296250), // Rule ID 20212 //
     /* 1296156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296209 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1296209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1296226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296249 */     // GIR_Coverage, 20212,
     /* 1296249 */     GIR_EraseRootFromParent_Done,
     /* 1296250 */   // Label 17992: @1296250
     /* 1296250 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1296349), // Rule ID 20213 //
     /* 1296255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1296272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1296308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1296325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296348 */     // GIR_Coverage, 20213,
     /* 1296348 */     GIR_EraseRootFromParent_Done,
     /* 1296349 */   // Label 17993: @1296349
     /* 1296349 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1296448), // Rule ID 20216 //
     /* 1296354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296407 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1296407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1296424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296447 */     // GIR_Coverage, 20216,
     /* 1296447 */     GIR_EraseRootFromParent_Done,
     /* 1296448 */   // Label 17994: @1296448
     /* 1296448 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1296547), // Rule ID 20217 //
     /* 1296453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1296470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1296506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296510 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1296523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296546 */     // GIR_Coverage, 20217,
     /* 1296546 */     GIR_EraseRootFromParent_Done,
     /* 1296547 */   // Label 17995: @1296547
     /* 1296547 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1296646), // Rule ID 20220 //
     /* 1296552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1296555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1296605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1296622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296645 */     // GIR_Coverage, 20220,
     /* 1296645 */     GIR_EraseRootFromParent_Done,
     /* 1296646 */   // Label 17996: @1296646
     /* 1296646 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1296745), // Rule ID 20221 //
     /* 1296651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1296654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1296659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1296668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1296671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1296693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296704 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1296704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1296721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1296743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296744 */     // GIR_Coverage, 20221,
     /* 1296744 */     GIR_EraseRootFromParent_Done,
     /* 1296745 */   // Label 17997: @1296745
     /* 1296745 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1296844), // Rule ID 20224 //
     /* 1296750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1296753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1296758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1296767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1296770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1296803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1296820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296843 */     // GIR_Coverage, 20224,
     /* 1296843 */     GIR_EraseRootFromParent_Done,
     /* 1296844 */   // Label 17998: @1296844
     /* 1296844 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1296943), // Rule ID 20225 //
     /* 1296849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1296852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1296857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1296860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1296863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1296866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1296869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1296872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1296902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1296906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1296912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1296916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1296919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1296925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1296927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1296933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296942 */     // GIR_Coverage, 20225,
     /* 1296942 */     GIR_EraseRootFromParent_Done,
     /* 1296943 */   // Label 17999: @1296943
     /* 1296943 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1297042), // Rule ID 20228 //
     /* 1296948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1296951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1296956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1296959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1296962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1296965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1296968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1296971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297001 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1297001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1297018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297041 */     // GIR_Coverage, 20228,
     /* 1297041 */     GIR_EraseRootFromParent_Done,
     /* 1297042 */   // Label 18000: @1297042
     /* 1297042 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1297141), // Rule ID 20229 //
     /* 1297047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1297050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1297064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1297067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1297100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1297117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297140 */     // GIR_Coverage, 20229,
     /* 1297140 */     GIR_EraseRootFromParent_Done,
     /* 1297141 */   // Label 18001: @1297141
     /* 1297141 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1297240), // Rule ID 20232 //
     /* 1297146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1297149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1297166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297199 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1297199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1297216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297239 */     // GIR_Coverage, 20232,
     /* 1297239 */     GIR_EraseRootFromParent_Done,
     /* 1297240 */   // Label 18002: @1297240
     /* 1297240 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1297339), // Rule ID 20233 //
     /* 1297245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1297248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1297262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1297265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1297298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1297315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297338 */     // GIR_Coverage, 20233,
     /* 1297338 */     GIR_EraseRootFromParent_Done,
     /* 1297339 */   // Label 18003: @1297339
     /* 1297339 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1297438), // Rule ID 20236 //
     /* 1297344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1297347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1297364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297397 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1297397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297437 */     // GIR_Coverage, 20236,
     /* 1297437 */     GIR_EraseRootFromParent_Done,
     /* 1297438 */   // Label 18004: @1297438
     /* 1297438 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1297537), // Rule ID 20237 //
     /* 1297443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1297446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1297460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1297463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1297496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1297535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297536 */     // GIR_Coverage, 20237,
     /* 1297536 */     GIR_EraseRootFromParent_Done,
     /* 1297537 */   // Label 18005: @1297537
     /* 1297537 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1297636), // Rule ID 20240 //
     /* 1297542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1297545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1297559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1297562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297595 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1297595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297635 */     // GIR_Coverage, 20240,
     /* 1297635 */     GIR_EraseRootFromParent_Done,
     /* 1297636 */   // Label 18006: @1297636
     /* 1297636 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1297735), // Rule ID 20241 //
     /* 1297641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1297644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1297658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1297661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1297694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297734 */     // GIR_Coverage, 20241,
     /* 1297734 */     GIR_EraseRootFromParent_Done,
     /* 1297735 */   // Label 18007: @1297735
     /* 1297735 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1297834), // Rule ID 20244 //
     /* 1297740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1297743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1297757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1297760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297793 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1297793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297833 */     // GIR_Coverage, 20244,
     /* 1297833 */     GIR_EraseRootFromParent_Done,
     /* 1297834 */   // Label 18008: @1297834
     /* 1297834 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1297933), // Rule ID 20245 //
     /* 1297839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1297842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1297856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1297859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1297892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297896 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1297902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1297906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1297909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1297915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1297917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1297923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297932 */     // GIR_Coverage, 20245,
     /* 1297932 */     GIR_EraseRootFromParent_Done,
     /* 1297933 */   // Label 18009: @1297933
     /* 1297933 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1298032), // Rule ID 20248 //
     /* 1297938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1297941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1297946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1297955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1297958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1297991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1297995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1298008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298031 */     // GIR_Coverage, 20248,
     /* 1298031 */     GIR_EraseRootFromParent_Done,
     /* 1298032 */   // Label 18010: @1298032
     /* 1298032 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1298131), // Rule ID 20249 //
     /* 1298037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1298040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1298054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1298057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1298090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1298107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298130 */     // GIR_Coverage, 20249,
     /* 1298130 */     GIR_EraseRootFromParent_Done,
     /* 1298131 */   // Label 18011: @1298131
     /* 1298131 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1298230), // Rule ID 20252 //
     /* 1298136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1298139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1298153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1298156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298189 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1298189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1298206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298229 */     // GIR_Coverage, 20252,
     /* 1298229 */     GIR_EraseRootFromParent_Done,
     /* 1298230 */   // Label 18012: @1298230
     /* 1298230 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1298329), // Rule ID 20253 //
     /* 1298235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1298238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1298252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1298255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298288 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1298288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1298305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298328 */     // GIR_Coverage, 20253,
     /* 1298328 */     GIR_EraseRootFromParent_Done,
     /* 1298329 */   // Label 18013: @1298329
     /* 1298329 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1298428), // Rule ID 20256 //
     /* 1298334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1298337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1298351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1298354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298387 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1298387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1298404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298427 */     // GIR_Coverage, 20256,
     /* 1298427 */     GIR_EraseRootFromParent_Done,
     /* 1298428 */   // Label 18014: @1298428
     /* 1298428 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1298527), // Rule ID 20257 //
     /* 1298433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1298436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1298444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1298447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1298450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1298453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1298456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1298486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298490 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1298503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298526 */     // GIR_Coverage, 20257,
     /* 1298526 */     GIR_EraseRootFromParent_Done,
     /* 1298527 */   // Label 18015: @1298527
     /* 1298527 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1298626), // Rule ID 20260 //
     /* 1298532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1298535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1298549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1298552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298585 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1298585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1298602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298625 */     // GIR_Coverage, 20260,
     /* 1298625 */     GIR_EraseRootFromParent_Done,
     /* 1298626 */   // Label 18016: @1298626
     /* 1298626 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1298725), // Rule ID 20261 //
     /* 1298631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1298634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1298648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1298651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1298673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298684 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1298684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1298701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298724 */     // GIR_Coverage, 20261,
     /* 1298724 */     GIR_EraseRootFromParent_Done,
     /* 1298725 */   // Label 18017: @1298725
     /* 1298725 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1298824), // Rule ID 20264 //
     /* 1298730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1298733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1298747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1298750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298783 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1298783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1298800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298823 */     // GIR_Coverage, 20264,
     /* 1298823 */     GIR_EraseRootFromParent_Done,
     /* 1298824 */   // Label 18018: @1298824
     /* 1298824 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1298923), // Rule ID 20265 //
     /* 1298829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1298832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1298846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1298849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1298871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1298882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298886 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1298899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1298905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1298907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1298913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298922 */     // GIR_Coverage, 20265,
     /* 1298922 */     GIR_EraseRootFromParent_Done,
     /* 1298923 */   // Label 18019: @1298923
     /* 1298923 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1299022), // Rule ID 20268 //
     /* 1298928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1298931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1298936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1298939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1298942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1298945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1298948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1298951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1298970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298981 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1298981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1298985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1298991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1298995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1298998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299021 */     // GIR_Coverage, 20268,
     /* 1299021 */     GIR_EraseRootFromParent_Done,
     /* 1299022 */   // Label 18020: @1299022
     /* 1299022 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1299121), // Rule ID 20269 //
     /* 1299027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1299030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1299044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1299047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299080 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1299080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1299097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299120 */     // GIR_Coverage, 20269,
     /* 1299120 */     GIR_EraseRootFromParent_Done,
     /* 1299121 */   // Label 18021: @1299121
     /* 1299121 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1299220), // Rule ID 20272 //
     /* 1299126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1299129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1299146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299179 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1299179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1299196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299219 */     // GIR_Coverage, 20272,
     /* 1299219 */     GIR_EraseRootFromParent_Done,
     /* 1299220 */   // Label 18022: @1299220
     /* 1299220 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1299319), // Rule ID 20273 //
     /* 1299225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1299228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1299242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1299245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299278 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1299278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1299295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299318 */     // GIR_Coverage, 20273,
     /* 1299318 */     GIR_EraseRootFromParent_Done,
     /* 1299319 */   // Label 18023: @1299319
     /* 1299319 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1299418), // Rule ID 20276 //
     /* 1299324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1299327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1299341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1299344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299377 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1299377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299381 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1299394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299417 */     // GIR_Coverage, 20276,
     /* 1299417 */     GIR_EraseRootFromParent_Done,
     /* 1299418 */   // Label 18024: @1299418
     /* 1299418 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1299517), // Rule ID 20277 //
     /* 1299423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1299426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1299434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1299437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1299440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1299443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1299446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1299476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299480 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1299493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299516 */     // GIR_Coverage, 20277,
     /* 1299516 */     GIR_EraseRootFromParent_Done,
     /* 1299517 */   // Label 18025: @1299517
     /* 1299517 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1299616), // Rule ID 20280 //
     /* 1299522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1299525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1299539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1299542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1299575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1299592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299615 */     // GIR_Coverage, 20280,
     /* 1299615 */     GIR_EraseRootFromParent_Done,
     /* 1299616 */   // Label 18026: @1299616
     /* 1299616 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1299715), // Rule ID 20281 //
     /* 1299621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1299624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1299629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1299638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1299641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11059:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1299674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1299691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299714 */     // GIR_Coverage, 20281,
     /* 1299714 */     GIR_EraseRootFromParent_Done,
     /* 1299715 */   // Label 18027: @1299715
     /* 1299715 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1299814), // Rule ID 20284 //
     /* 1299720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1299723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1299728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1299737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1299740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1299773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1299790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299813 */     // GIR_Coverage, 20284,
     /* 1299813 */     GIR_EraseRootFromParent_Done,
     /* 1299814 */   // Label 18028: @1299814
     /* 1299814 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1299913), // Rule ID 20285 //
     /* 1299819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1299822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1299827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1299836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1299839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299872 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1299872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1299889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1299903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299912 */     // GIR_Coverage, 20285,
     /* 1299912 */     GIR_EraseRootFromParent_Done,
     /* 1299913 */   // Label 18029: @1299913
     /* 1299913 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1300012), // Rule ID 20288 //
     /* 1299918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1299921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1299926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1299935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1299938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299971 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1299971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1299975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1299981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1299985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1299988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1299994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1299996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300011 */     // GIR_Coverage, 20288,
     /* 1300011 */     GIR_EraseRootFromParent_Done,
     /* 1300012 */   // Label 18030: @1300012
     /* 1300012 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1300111), // Rule ID 20289 //
     /* 1300017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1300020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1300034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1300037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1300070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1300087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300110 */     // GIR_Coverage, 20289,
     /* 1300110 */     GIR_EraseRootFromParent_Done,
     /* 1300111 */   // Label 18031: @1300111
     /* 1300111 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1300210), // Rule ID 20292 //
     /* 1300116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1300119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1300133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1300136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300169 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1300169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1300186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300209 */     // GIR_Coverage, 20292,
     /* 1300209 */     GIR_EraseRootFromParent_Done,
     /* 1300210 */   // Label 18032: @1300210
     /* 1300210 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1300309), // Rule ID 20293 //
     /* 1300215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1300218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1300232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1300235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300268 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1300268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1300285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300308 */     // GIR_Coverage, 20293,
     /* 1300308 */     GIR_EraseRootFromParent_Done,
     /* 1300309 */   // Label 18033: @1300309
     /* 1300309 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1300408), // Rule ID 20296 //
     /* 1300314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1300317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1300331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1300334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300367 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1300367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300407 */     // GIR_Coverage, 20296,
     /* 1300407 */     GIR_EraseRootFromParent_Done,
     /* 1300408 */   // Label 18034: @1300408
     /* 1300408 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1300507), // Rule ID 20297 //
     /* 1300413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1300416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1300430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1300433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300466 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1300466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300470 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300506 */     // GIR_Coverage, 20297,
     /* 1300506 */     GIR_EraseRootFromParent_Done,
     /* 1300507 */   // Label 18035: @1300507
     /* 1300507 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1300606), // Rule ID 20300 //
     /* 1300512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1300515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1300529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1300532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300565 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1300565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300605 */     // GIR_Coverage, 20300,
     /* 1300605 */     GIR_EraseRootFromParent_Done,
     /* 1300606 */   // Label 18036: @1300606
     /* 1300606 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1300705), // Rule ID 20301 //
     /* 1300611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1300614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1300628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1300631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300664 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1300664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300704 */     // GIR_Coverage, 20301,
     /* 1300704 */     GIR_EraseRootFromParent_Done,
     /* 1300705 */   // Label 18037: @1300705
     /* 1300705 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1300804), // Rule ID 20304 //
     /* 1300710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1300713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1300727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1300730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300763 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1300763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300803 */     // GIR_Coverage, 20304,
     /* 1300803 */     GIR_EraseRootFromParent_Done,
     /* 1300804 */   // Label 18038: @1300804
     /* 1300804 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1300903), // Rule ID 20305 //
     /* 1300809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1300812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1300820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1300823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1300826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1300829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1300832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300862 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1300862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300866 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1300879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300902 */     // GIR_Coverage, 20305,
     /* 1300902 */     GIR_EraseRootFromParent_Done,
     /* 1300903 */   // Label 18039: @1300903
     /* 1300903 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1301002), // Rule ID 20308 //
     /* 1300908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1300911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1300916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1300925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1300928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300961 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1300961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1300965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1300971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1300975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1300978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1300984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1300986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1300992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301001 */     // GIR_Coverage, 20308,
     /* 1301001 */     GIR_EraseRootFromParent_Done,
     /* 1301002 */   // Label 18040: @1301002
     /* 1301002 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1301101), // Rule ID 20309 //
     /* 1301007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1301010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1301024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1301027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1301060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1301077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301100 */     // GIR_Coverage, 20309,
     /* 1301100 */     GIR_EraseRootFromParent_Done,
     /* 1301101 */   // Label 18041: @1301101
     /* 1301101 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1301200), // Rule ID 20312 //
     /* 1301106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1301109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1301123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1301126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301159 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1301159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1301176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301199 */     // GIR_Coverage, 20312,
     /* 1301199 */     GIR_EraseRootFromParent_Done,
     /* 1301200 */   // Label 18042: @1301200
     /* 1301200 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1301299), // Rule ID 20313 //
     /* 1301205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1301208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1301222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1301225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301258 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1301258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1301275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301298 */     // GIR_Coverage, 20313,
     /* 1301298 */     GIR_EraseRootFromParent_Done,
     /* 1301299 */   // Label 18043: @1301299
     /* 1301299 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1301398), // Rule ID 20316 //
     /* 1301304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1301307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1301321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1301324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301357 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1301357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1301374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301397 */     // GIR_Coverage, 20316,
     /* 1301397 */     GIR_EraseRootFromParent_Done,
     /* 1301398 */   // Label 18044: @1301398
     /* 1301398 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1301497), // Rule ID 20317 //
     /* 1301403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1301406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1301414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1301417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1301420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1301423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1301426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301456 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1301456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301460 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1301473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301496 */     // GIR_Coverage, 20317,
     /* 1301496 */     GIR_EraseRootFromParent_Done,
     /* 1301497 */   // Label 18045: @1301497
     /* 1301497 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1301596), // Rule ID 20320 //
     /* 1301502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1301505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1301519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1301522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301555 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1301555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1301572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301595 */     // GIR_Coverage, 20320,
     /* 1301595 */     GIR_EraseRootFromParent_Done,
     /* 1301596 */   // Label 18046: @1301596
     /* 1301596 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1301695), // Rule ID 20321 //
     /* 1301601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1301604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1301618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1301621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1301643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1301654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1301671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301694 */     // GIR_Coverage, 20321,
     /* 1301694 */     GIR_EraseRootFromParent_Done,
     /* 1301695 */   // Label 18047: @1301695
     /* 1301695 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1301794), // Rule ID 20324 //
     /* 1301700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1301703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1301720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1301753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1301770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301793 */     // GIR_Coverage, 20324,
     /* 1301793 */     GIR_EraseRootFromParent_Done,
     /* 1301794 */   // Label 18048: @1301794
     /* 1301794 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1301893), // Rule ID 20325 //
     /* 1301799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1301802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1301816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1301819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1301852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1301869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301892 */     // GIR_Coverage, 20325,
     /* 1301892 */     GIR_EraseRootFromParent_Done,
     /* 1301893 */   // Label 18049: @1301893
     /* 1301893 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1301992), // Rule ID 20328 //
     /* 1301898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1301901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1301906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1301909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1301912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1301915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1301918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1301921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1301951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1301955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1301961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1301965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1301968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1301974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1301976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1301982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1301990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301991 */     // GIR_Coverage, 20328,
     /* 1301991 */     GIR_EraseRootFromParent_Done,
     /* 1301992 */   // Label 18050: @1301992
     /* 1301992 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1302091), // Rule ID 20329 //
     /* 1301997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1302000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1302014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1302017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1302020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302050 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1302050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1302067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302090 */     // GIR_Coverage, 20329,
     /* 1302090 */     GIR_EraseRootFromParent_Done,
     /* 1302091 */   // Label 18051: @1302091
     /* 1302091 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1302190), // Rule ID 20332 //
     /* 1302096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1302099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1302113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1302116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302149 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1302149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1302166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302189 */     // GIR_Coverage, 20332,
     /* 1302189 */     GIR_EraseRootFromParent_Done,
     /* 1302190 */   // Label 18052: @1302190
     /* 1302190 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1302289), // Rule ID 20333 //
     /* 1302195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1302198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1302212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1302215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1302237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1302248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1302265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302288 */     // GIR_Coverage, 20333,
     /* 1302288 */     GIR_EraseRootFromParent_Done,
     /* 1302289 */   // Label 18053: @1302289
     /* 1302289 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1302388), // Rule ID 20336 //
     /* 1302294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1302297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1302311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1302314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302347 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1302347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1302364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302387 */     // GIR_Coverage, 20336,
     /* 1302387 */     GIR_EraseRootFromParent_Done,
     /* 1302388 */   // Label 18054: @1302388
     /* 1302388 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1302487), // Rule ID 20337 //
     /* 1302393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1302396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1302410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1302413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1302435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1302446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302450 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1302463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302471 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302486 */     // GIR_Coverage, 20337,
     /* 1302486 */     GIR_EraseRootFromParent_Done,
     /* 1302487 */   // Label 18055: @1302487
     /* 1302487 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1302586), // Rule ID 20340 //
     /* 1302492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1302495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1302509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1302512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302545 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1302545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1302562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302585 */     // GIR_Coverage, 20340,
     /* 1302585 */     GIR_EraseRootFromParent_Done,
     /* 1302586 */   // Label 18056: @1302586
     /* 1302586 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1302685), // Rule ID 20341 //
     /* 1302591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1302594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1302599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1302608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1302611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1302633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11057:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1302644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1302661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1302667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1302669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302684 */     // GIR_Coverage, 20341,
     /* 1302684 */     GIR_EraseRootFromParent_Done,
     /* 1302685 */   // Label 18057: @1302685
     /* 1302685 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1302784), // Rule ID 20398 //
     /* 1302690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1302693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1302698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1302701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1302704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1302720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302743 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1302743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1302760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302783 */     // GIR_Coverage, 20398,
     /* 1302783 */     GIR_EraseRootFromParent_Done,
     /* 1302784 */   // Label 18058: @1302784
     /* 1302784 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1302883), // Rule ID 20399 //
     /* 1302789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1302792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1302797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1302800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1302803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1302809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1302819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302842 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1302842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302846 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1302859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302867 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302882 */     // GIR_Coverage, 20399,
     /* 1302882 */     GIR_EraseRootFromParent_Done,
     /* 1302883 */   // Label 18059: @1302883
     /* 1302883 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1302982), // Rule ID 20400 //
     /* 1302888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1302891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1302896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1302899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1302902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1302905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1302908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1302918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1302930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302941 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1302941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1302945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1302951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1302955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1302958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1302972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302981 */     // GIR_Coverage, 20400,
     /* 1302981 */     GIR_EraseRootFromParent_Done,
     /* 1302982 */   // Label 18060: @1302982
     /* 1302982 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1303081), // Rule ID 20401 //
     /* 1302987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1302990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1302995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1302998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1303001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1303004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1303007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1303029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303040 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1303040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1303057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303080 */     // GIR_Coverage, 20401,
     /* 1303080 */     GIR_EraseRootFromParent_Done,
     /* 1303081 */   // Label 18061: @1303081
     /* 1303081 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1303180), // Rule ID 20402 //
     /* 1303086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1303089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1303106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1303139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1303156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303179 */     // GIR_Coverage, 20402,
     /* 1303179 */     GIR_EraseRootFromParent_Done,
     /* 1303180 */   // Label 18062: @1303180
     /* 1303180 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1303279), // Rule ID 20403 //
     /* 1303185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1303188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1303205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303238 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1303238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1303255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303278 */     // GIR_Coverage, 20403,
     /* 1303278 */     GIR_EraseRootFromParent_Done,
     /* 1303279 */   // Label 18063: @1303279
     /* 1303279 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1303378), // Rule ID 20404 //
     /* 1303284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1303287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1303292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1303304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1303326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303337 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1303337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303341 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1303354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303377 */     // GIR_Coverage, 20404,
     /* 1303377 */     GIR_EraseRootFromParent_Done,
     /* 1303378 */   // Label 18064: @1303378
     /* 1303378 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1303477), // Rule ID 20405 //
     /* 1303383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1303386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1303391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1303394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1303397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1303400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1303403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1303406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1303425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303436 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1303436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1303453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303476 */     // GIR_Coverage, 20405,
     /* 1303476 */     GIR_EraseRootFromParent_Done,
     /* 1303477 */   // Label 18065: @1303477
     /* 1303477 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1303576), // Rule ID 20406 //
     /* 1303482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1303485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1303502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303535 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1303535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1303552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303575 */     // GIR_Coverage, 20406,
     /* 1303575 */     GIR_EraseRootFromParent_Done,
     /* 1303576 */   // Label 18066: @1303576
     /* 1303576 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1303675), // Rule ID 20407 //
     /* 1303581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1303584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1303601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1303634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1303651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303674 */     // GIR_Coverage, 20407,
     /* 1303674 */     GIR_EraseRootFromParent_Done,
     /* 1303675 */   // Label 18067: @1303675
     /* 1303675 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1303774), // Rule ID 20408 //
     /* 1303680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1303683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1303688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1303722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303733 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1303733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1303750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303773 */     // GIR_Coverage, 20408,
     /* 1303773 */     GIR_EraseRootFromParent_Done,
     /* 1303774 */   // Label 18068: @1303774
     /* 1303774 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1303873), // Rule ID 20409 //
     /* 1303779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1303782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1303787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1303790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1303793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1303796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1303802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1303821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303832 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1303832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303836 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1303849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1303871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303872 */     // GIR_Coverage, 20409,
     /* 1303872 */     GIR_EraseRootFromParent_Done,
     /* 1303873 */   // Label 18069: @1303873
     /* 1303873 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1303972), // Rule ID 20410 //
     /* 1303878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1303881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1303889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1303892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1303898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1303901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1303908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303931 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1303931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1303935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1303941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1303945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1303948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1303962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303971 */     // GIR_Coverage, 20410,
     /* 1303971 */     GIR_EraseRootFromParent_Done,
     /* 1303972 */   // Label 18070: @1303972
     /* 1303972 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1304071), // Rule ID 20411 //
     /* 1303977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1303980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1303985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1303988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1303991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1303994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1303997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304030 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11053:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1304030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1304047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304070 */     // GIR_Coverage, 20411,
     /* 1304070 */     GIR_EraseRootFromParent_Done,
     /* 1304071 */   // Label 18071: @1304071
     /* 1304071 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1304170), // Rule ID 20412 //
     /* 1304076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1304079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1304087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1304090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1304093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1304096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1304118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304129 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1304129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1304146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304169 */     // GIR_Coverage, 20412,
     /* 1304169 */     GIR_EraseRootFromParent_Done,
     /* 1304170 */   // Label 18072: @1304170
     /* 1304170 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1304269), // Rule ID 20413 //
     /* 1304175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1304178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1304186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1304189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1304192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1304195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1304217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10845:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1304228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304232 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1304245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1304267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304268 */     // GIR_Coverage, 20413,
     /* 1304268 */     GIR_EraseRootFromParent_Done,
     /* 1304269 */   // Label 18073: @1304269
     /* 1304269 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1304368), // Rule ID 20414 //
     /* 1304274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1304277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1304282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1304294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304327 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1304327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304331 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1304344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304367 */     // GIR_Coverage, 20414,
     /* 1304367 */     GIR_EraseRootFromParent_Done,
     /* 1304368 */   // Label 18074: @1304368
     /* 1304368 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1304467), // Rule ID 20415 //
     /* 1304373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1304376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1304381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1304393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304426 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11053:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1304426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1304443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304451 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304466 */     // GIR_Coverage, 20415,
     /* 1304466 */     GIR_EraseRootFromParent_Done,
     /* 1304467 */   // Label 18075: @1304467
     /* 1304467 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1304566), // Rule ID 20416 //
     /* 1304472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1304475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1304514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304525 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1304525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1304542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304565 */     // GIR_Coverage, 20416,
     /* 1304565 */     GIR_EraseRootFromParent_Done,
     /* 1304566 */   // Label 18076: @1304566
     /* 1304566 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1304665), // Rule ID 20417 //
     /* 1304571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1304574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1304582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1304585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1304588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1304613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10845:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1304624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1304641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304664 */     // GIR_Coverage, 20417,
     /* 1304664 */     GIR_EraseRootFromParent_Done,
     /* 1304665 */   // Label 18077: @1304665
     /* 1304665 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1304764), // Rule ID 20418 //
     /* 1304670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1304673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1304678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1304690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304723 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1304723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1304740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304763 */     // GIR_Coverage, 20418,
     /* 1304763 */     GIR_EraseRootFromParent_Done,
     /* 1304764 */   // Label 18078: @1304764
     /* 1304764 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1304863), // Rule ID 20419 //
     /* 1304769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1304772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1304777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1304789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304822 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11053:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1304822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1304839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304862 */     // GIR_Coverage, 20419,
     /* 1304862 */     GIR_EraseRootFromParent_Done,
     /* 1304863 */   // Label 18079: @1304863
     /* 1304863 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1304962), // Rule ID 20420 //
     /* 1304868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1304871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1304910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304921 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1304921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1304925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1304931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1304935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1304938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1304952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304961 */     // GIR_Coverage, 20420,
     /* 1304961 */     GIR_EraseRootFromParent_Done,
     /* 1304962 */   // Label 18080: @1304962
     /* 1304962 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1305061), // Rule ID 20421 //
     /* 1304967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1304970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1304975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1304978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1304981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1304984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1304990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1304997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1305009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10845:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1305020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1305037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1305059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305060 */     // GIR_Coverage, 20421,
     /* 1305060 */     GIR_EraseRootFromParent_Done,
     /* 1305061 */   // Label 18081: @1305061
     /* 1305061 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1305160), // Rule ID 20422 //
     /* 1305066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1305069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1305077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1305080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1305086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305119 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1305119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1305136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305159 */     // GIR_Coverage, 20422,
     /* 1305159 */     GIR_EraseRootFromParent_Done,
     /* 1305160 */   // Label 18082: @1305160
     /* 1305160 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1305259), // Rule ID 20423 //
     /* 1305165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1305168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1305176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1305179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1305185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305218 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1305218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1305235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305258 */     // GIR_Coverage, 20423,
     /* 1305258 */     GIR_EraseRootFromParent_Done,
     /* 1305259 */   // Label 18083: @1305259
     /* 1305259 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1305358), // Rule ID 20424 //
     /* 1305264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1305267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1305272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1305275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1305278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1305284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1305306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305317 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1305317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1305334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305357 */     // GIR_Coverage, 20424,
     /* 1305357 */     GIR_EraseRootFromParent_Done,
     /* 1305358 */   // Label 18084: @1305358
     /* 1305358 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1305457), // Rule ID 20425 //
     /* 1305363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1305366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1305371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1305374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1305377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1305380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1305383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1305386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1305393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1305401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1305405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305416 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1305416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1305433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305456 */     // GIR_Coverage, 20425,
     /* 1305456 */     GIR_EraseRootFromParent_Done,
     /* 1305457 */   // Label 18085: @1305457
     /* 1305457 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1305556), // Rule ID 20426 //
     /* 1305462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1305465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1305473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1305476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1305482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305515 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1305515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1305532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305555 */     // GIR_Coverage, 20426,
     /* 1305555 */     GIR_EraseRootFromParent_Done,
     /* 1305556 */   // Label 18086: @1305556
     /* 1305556 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1305655), // Rule ID 20427 //
     /* 1305561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1305564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1305572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1305575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1305581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305614 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1305614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1305631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305654 */     // GIR_Coverage, 20427,
     /* 1305654 */     GIR_EraseRootFromParent_Done,
     /* 1305655 */   // Label 18087: @1305655
     /* 1305655 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1305754), // Rule ID 20428 //
     /* 1305660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1305663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1305668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1305671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1305674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1305680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1305702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305713 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1305713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1305730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305753 */     // GIR_Coverage, 20428,
     /* 1305753 */     GIR_EraseRootFromParent_Done,
     /* 1305754 */   // Label 18088: @1305754
     /* 1305754 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1305853), // Rule ID 20429 //
     /* 1305759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1305762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1305767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1305770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1305773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1305776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1305779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1305782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1305789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1305797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1305801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305812 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1305812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305816 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1305829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305852 */     // GIR_Coverage, 20429,
     /* 1305852 */     GIR_EraseRootFromParent_Done,
     /* 1305853 */   // Label 18089: @1305853
     /* 1305853 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1305952), // Rule ID 20430 //
     /* 1305858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1305861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1305869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1305872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1305875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1305878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1305888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305911 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1305911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1305915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1305921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1305925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1305928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1305942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305951 */     // GIR_Coverage, 20430,
     /* 1305951 */     GIR_EraseRootFromParent_Done,
     /* 1305952 */   // Label 18090: @1305952
     /* 1305952 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1306051), // Rule ID 20431 //
     /* 1305957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1305960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1305965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1305968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1305971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1305974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1305977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1305980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1305987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1305999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306010 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1306010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306014 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1306027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306050 */     // GIR_Coverage, 20431,
     /* 1306050 */     GIR_EraseRootFromParent_Done,
     /* 1306051 */   // Label 18091: @1306051
     /* 1306051 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1306150), // Rule ID 20432 //
     /* 1306056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1306059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1306067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1306070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1306076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1306086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1306098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306109 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1306109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1306126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306149 */     // GIR_Coverage, 20432,
     /* 1306149 */     GIR_EraseRootFromParent_Done,
     /* 1306150 */   // Label 18092: @1306150
     /* 1306150 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1306249), // Rule ID 20433 //
     /* 1306155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1306158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1306166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1306169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1306172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1306175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1306185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1306193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1306197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306208 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1306208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306212 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1306225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306248 */     // GIR_Coverage, 20433,
     /* 1306248 */     GIR_EraseRootFromParent_Done,
     /* 1306249 */   // Label 18093: @1306249
     /* 1306249 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1306348), // Rule ID 20434 //
     /* 1306254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1306257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306307 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1306307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1306324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306347 */     // GIR_Coverage, 20434,
     /* 1306347 */     GIR_EraseRootFromParent_Done,
     /* 1306348 */   // Label 18094: @1306348
     /* 1306348 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1306447), // Rule ID 20435 //
     /* 1306353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1306356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1306373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306406 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1306406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306410 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1306423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306431 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306446 */     // GIR_Coverage, 20435,
     /* 1306446 */     GIR_EraseRootFromParent_Done,
     /* 1306447 */   // Label 18095: @1306447
     /* 1306447 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1306546), // Rule ID 20436 //
     /* 1306452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1306455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1306494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1306505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1306522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306545 */     // GIR_Coverage, 20436,
     /* 1306545 */     GIR_EraseRootFromParent_Done,
     /* 1306546 */   // Label 18096: @1306546
     /* 1306546 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1306645), // Rule ID 20437 //
     /* 1306551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1306554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1306562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1306565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1306568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1306581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1306593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1306604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1306621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306644 */     // GIR_Coverage, 20437,
     /* 1306644 */     GIR_EraseRootFromParent_Done,
     /* 1306645 */   // Label 18097: @1306645
     /* 1306645 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1306744), // Rule ID 20438 //
     /* 1306650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1306653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1306703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1306720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306743 */     // GIR_Coverage, 20438,
     /* 1306743 */     GIR_EraseRootFromParent_Done,
     /* 1306744 */   // Label 18098: @1306744
     /* 1306744 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1306843), // Rule ID 20439 //
     /* 1306749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1306752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1306757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1306769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306802 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1306802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306806 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1306819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306827 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306842 */     // GIR_Coverage, 20439,
     /* 1306842 */     GIR_EraseRootFromParent_Done,
     /* 1306843 */   // Label 18099: @1306843
     /* 1306843 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1306942), // Rule ID 20440 //
     /* 1306848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1306851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1306890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306901 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1306901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1306905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1306911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1306915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1306918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1306932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306941 */     // GIR_Coverage, 20440,
     /* 1306941 */     GIR_EraseRootFromParent_Done,
     /* 1306942 */   // Label 18100: @1306942
     /* 1306942 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1307041), // Rule ID 20441 //
     /* 1306947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1306950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1306955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1306958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1306961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1306964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1306977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1306989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1307000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1307017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307040 */     // GIR_Coverage, 20441,
     /* 1307040 */     GIR_EraseRootFromParent_Done,
     /* 1307041 */   // Label 18101: @1307041
     /* 1307041 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1307140), // Rule ID 20442 //
     /* 1307046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1307049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1307057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1307060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307099 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1307099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1307116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307139 */     // GIR_Coverage, 20442,
     /* 1307139 */     GIR_EraseRootFromParent_Done,
     /* 1307140 */   // Label 18102: @1307140
     /* 1307140 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1307239), // Rule ID 20443 //
     /* 1307145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1307148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1307156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1307159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1307165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307198 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1307198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1307215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307238 */     // GIR_Coverage, 20443,
     /* 1307238 */     GIR_EraseRootFromParent_Done,
     /* 1307239 */   // Label 18103: @1307239
     /* 1307239 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1307338), // Rule ID 20444 //
     /* 1307244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1307247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1307252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1307255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1307258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1307286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307297 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1307297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1307314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307337 */     // GIR_Coverage, 20444,
     /* 1307337 */     GIR_EraseRootFromParent_Done,
     /* 1307338 */   // Label 18104: @1307338
     /* 1307338 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1307437), // Rule ID 20445 //
     /* 1307343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1307346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1307351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1307354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1307357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1307360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1307373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1307385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307396 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1307396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307400 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1307413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307436 */     // GIR_Coverage, 20445,
     /* 1307436 */     GIR_EraseRootFromParent_Done,
     /* 1307437 */   // Label 18105: @1307437
     /* 1307437 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1307536), // Rule ID 20446 //
     /* 1307442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1307445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307495 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1307495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1307512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307535 */     // GIR_Coverage, 20446,
     /* 1307535 */     GIR_EraseRootFromParent_Done,
     /* 1307536 */   // Label 18106: @1307536
     /* 1307536 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1307635), // Rule ID 20447 //
     /* 1307541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1307544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1307561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307594 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11053:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1307594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1307611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307634 */     // GIR_Coverage, 20447,
     /* 1307634 */     GIR_EraseRootFromParent_Done,
     /* 1307635 */   // Label 18107: @1307635
     /* 1307635 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1307734), // Rule ID 20448 //
     /* 1307640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1307643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1307648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1307682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307693 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1307693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1307710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307733 */     // GIR_Coverage, 20448,
     /* 1307733 */     GIR_EraseRootFromParent_Done,
     /* 1307734 */   // Label 18108: @1307734
     /* 1307734 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1307833), // Rule ID 20449 //
     /* 1307739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1307742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1307747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1307750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1307753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1307756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1307762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1307769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1307781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10845:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1307792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307796 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1307809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307832 */     // GIR_Coverage, 20449,
     /* 1307832 */     GIR_EraseRootFromParent_Done,
     /* 1307833 */   // Label 18109: @1307833
     /* 1307833 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1307932), // Rule ID 20450 //
     /* 1307838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1307841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1307849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1307852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1307891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1307901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1307905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1307908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1307922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1307930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307931 */     // GIR_Coverage, 20450,
     /* 1307931 */     GIR_EraseRootFromParent_Done,
     /* 1307932 */   // Label 18110: @1307932
     /* 1307932 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1308031), // Rule ID 20451 //
     /* 1307937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1307940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1307945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1307948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1307951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1307954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1307957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1307967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307990 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11053:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1307990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1307994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1308007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308030 */     // GIR_Coverage, 20451,
     /* 1308030 */     GIR_EraseRootFromParent_Done,
     /* 1308031 */   // Label 18111: @1308031
     /* 1308031 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1308130), // Rule ID 20452 //
     /* 1308036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1308039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1308044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1308047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1308050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1308078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308089 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1308089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1308106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308129 */     // GIR_Coverage, 20452,
     /* 1308129 */     GIR_EraseRootFromParent_Done,
     /* 1308130 */   // Label 18112: @1308130
     /* 1308130 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1308229), // Rule ID 20453 //
     /* 1308135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1308138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1308143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1308146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1308149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1308165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1308177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308188 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10845:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1308188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1308205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308228 */     // GIR_Coverage, 20453,
     /* 1308228 */     GIR_EraseRootFromParent_Done,
     /* 1308229 */   // Label 18113: @1308229
     /* 1308229 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1308328), // Rule ID 20454 //
     /* 1308234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1308237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1308245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1308248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308287 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1308287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308327 */     // GIR_Coverage, 20454,
     /* 1308327 */     GIR_EraseRootFromParent_Done,
     /* 1308328 */   // Label 18114: @1308328
     /* 1308328 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1308427), // Rule ID 20455 //
     /* 1308333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1308336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1308341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1308344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1308347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1308353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308386 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11053:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1308386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1308403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308426 */     // GIR_Coverage, 20455,
     /* 1308426 */     GIR_EraseRootFromParent_Done,
     /* 1308427 */   // Label 18115: @1308427
     /* 1308427 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1308526), // Rule ID 20456 //
     /* 1308432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1308435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1308440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1308443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1308446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1308474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308485 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1308485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1308502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308525 */     // GIR_Coverage, 20456,
     /* 1308525 */     GIR_EraseRootFromParent_Done,
     /* 1308526 */   // Label 18116: @1308526
     /* 1308526 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1308625), // Rule ID 20457 //
     /* 1308531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1308534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1308539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1308542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1308545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1308561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1308573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308584 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10845:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1308584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1308601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308624 */     // GIR_Coverage, 20457,
     /* 1308624 */     GIR_EraseRootFromParent_Done,
     /* 1308625 */   // Label 18117: @1308625
     /* 1308625 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1308727), // Rule ID 21838 //
     /* 1308630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1308638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1308641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1308644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1308683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1308700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1308704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1308725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308726 */     // GIR_Coverage, 21838,
     /* 1308726 */     GIR_EraseRootFromParent_Done,
     /* 1308727 */   // Label 18118: @1308727
     /* 1308727 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1308829), // Rule ID 21839 //
     /* 1308732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1308740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1308743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1308746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308785 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1308785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1308802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1308806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1308827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308828 */     // GIR_Coverage, 21839,
     /* 1308828 */     GIR_EraseRootFromParent_Done,
     /* 1308829 */   // Label 18119: @1308829
     /* 1308829 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1308931), // Rule ID 21842 //
     /* 1308834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1308842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1308845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1308848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1308887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1308901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1308904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1308908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1308918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1308929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308930 */     // GIR_Coverage, 21842,
     /* 1308930 */     GIR_EraseRootFromParent_Done,
     /* 1308931 */   // Label 18120: @1308931
     /* 1308931 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1309033), // Rule ID 21843 //
     /* 1308936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1308944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1308947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1308950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1308956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1308966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308989 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1308989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1308993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1308999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1309006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309032 */     // GIR_Coverage, 21843,
     /* 1309032 */     GIR_EraseRootFromParent_Done,
     /* 1309033 */   // Label 18121: @1309033
     /* 1309033 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1309135), // Rule ID 21846 //
     /* 1309038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309091 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1309091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1309108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309134 */     // GIR_Coverage, 21846,
     /* 1309134 */     GIR_EraseRootFromParent_Done,
     /* 1309135 */   // Label 18122: @1309135
     /* 1309135 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1309237), // Rule ID 21847 //
     /* 1309140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309193 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1309193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1309210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309236 */     // GIR_Coverage, 21847,
     /* 1309236 */     GIR_EraseRootFromParent_Done,
     /* 1309237 */   // Label 18123: @1309237
     /* 1309237 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1309339), // Rule ID 21850 //
     /* 1309242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309295 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1309295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1309312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309338 */     // GIR_Coverage, 21850,
     /* 1309338 */     GIR_EraseRootFromParent_Done,
     /* 1309339 */   // Label 18124: @1309339
     /* 1309339 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1309441), // Rule ID 21851 //
     /* 1309344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1309397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1309414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309440 */     // GIR_Coverage, 21851,
     /* 1309440 */     GIR_EraseRootFromParent_Done,
     /* 1309441 */   // Label 18125: @1309441
     /* 1309441 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1309543), // Rule ID 21854 //
     /* 1309446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1309457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1309460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1309499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1309516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309542 */     // GIR_Coverage, 21854,
     /* 1309542 */     GIR_EraseRootFromParent_Done,
     /* 1309543 */   // Label 18126: @1309543
     /* 1309543 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1309645), // Rule ID 21855 //
     /* 1309548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1309559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1309562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309601 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1309601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1309618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309644 */     // GIR_Coverage, 21855,
     /* 1309644 */     GIR_EraseRootFromParent_Done,
     /* 1309645 */   // Label 18127: @1309645
     /* 1309645 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1309747), // Rule ID 21858 //
     /* 1309650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1309661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1309664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1309703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1309720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309746 */     // GIR_Coverage, 21858,
     /* 1309746 */     GIR_EraseRootFromParent_Done,
     /* 1309747 */   // Label 18128: @1309747
     /* 1309747 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1309849), // Rule ID 21859 //
     /* 1309752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1309763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1309766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309805 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1309805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1309822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309848 */     // GIR_Coverage, 21859,
     /* 1309848 */     GIR_EraseRootFromParent_Done,
     /* 1309849 */   // Label 18129: @1309849
     /* 1309849 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1309951), // Rule ID 21862 //
     /* 1309854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1309907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1309911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1309917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1309921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1309924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1309928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1309930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1309932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1309938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1309949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309950 */     // GIR_Coverage, 21862,
     /* 1309950 */     GIR_EraseRootFromParent_Done,
     /* 1309951 */   // Label 18130: @1309951
     /* 1309951 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1310053), // Rule ID 21863 //
     /* 1309956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1309964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1309967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1309970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1309986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310009 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1310009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1310026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310052 */     // GIR_Coverage, 21863,
     /* 1310052 */     GIR_EraseRootFromParent_Done,
     /* 1310053 */   // Label 18131: @1310053
     /* 1310053 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1310155), // Rule ID 21866 //
     /* 1310058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1310069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1310072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1310111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1310128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310154 */     // GIR_Coverage, 21866,
     /* 1310154 */     GIR_EraseRootFromParent_Done,
     /* 1310155 */   // Label 18132: @1310155
     /* 1310155 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1310257), // Rule ID 21867 //
     /* 1310160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1310171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1310174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1310177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1310180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1310183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310213 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1310213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310217 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1310230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310256 */     // GIR_Coverage, 21867,
     /* 1310256 */     GIR_EraseRootFromParent_Done,
     /* 1310257 */   // Label 18133: @1310257
     /* 1310257 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1310359), // Rule ID 21870 //
     /* 1310262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1310273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1310276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310315 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1310315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1310332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310358 */     // GIR_Coverage, 21870,
     /* 1310358 */     GIR_EraseRootFromParent_Done,
     /* 1310359 */   // Label 18134: @1310359
     /* 1310359 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1310461), // Rule ID 21871 //
     /* 1310364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1310375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1310378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1310417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310421 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1310434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310442 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310460 */     // GIR_Coverage, 21871,
     /* 1310460 */     GIR_EraseRootFromParent_Done,
     /* 1310461 */   // Label 18135: @1310461
     /* 1310461 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1310563), // Rule ID 21874 //
     /* 1310466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310519 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1310519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1310536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310562 */     // GIR_Coverage, 21874,
     /* 1310562 */     GIR_EraseRootFromParent_Done,
     /* 1310563 */   // Label 18136: @1310563
     /* 1310563 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1310665), // Rule ID 21875 //
     /* 1310568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1310621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1310638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310664 */     // GIR_Coverage, 21875,
     /* 1310664 */     GIR_EraseRootFromParent_Done,
     /* 1310665 */   // Label 18137: @1310665
     /* 1310665 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1310767), // Rule ID 21878 //
     /* 1310670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1310723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1310740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310766 */     // GIR_Coverage, 21878,
     /* 1310766 */     GIR_EraseRootFromParent_Done,
     /* 1310767 */   // Label 18138: @1310767
     /* 1310767 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1310869), // Rule ID 21879 //
     /* 1310772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310825 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1310825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1310842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310868 */     // GIR_Coverage, 21879,
     /* 1310868 */     GIR_EraseRootFromParent_Done,
     /* 1310869 */   // Label 18139: @1310869
     /* 1310869 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1310971), // Rule ID 21882 //
     /* 1310874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1310904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310927 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1310927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1310931 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1310937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1310941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1310944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1310948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1310950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1310952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1310958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1310969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310970 */     // GIR_Coverage, 21882,
     /* 1310970 */     GIR_EraseRootFromParent_Done,
     /* 1310971 */   // Label 18140: @1310971
     /* 1310971 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1311073), // Rule ID 21883 //
     /* 1310976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1310984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1310987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1310990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1310996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311029 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1311029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1311046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1311068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311072 */     // GIR_Coverage, 21883,
     /* 1311072 */     GIR_EraseRootFromParent_Done,
     /* 1311073 */   // Label 18141: @1311073
     /* 1311073 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1311175), // Rule ID 21886 //
     /* 1311078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1311131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1311148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311174 */     // GIR_Coverage, 21886,
     /* 1311174 */     GIR_EraseRootFromParent_Done,
     /* 1311175 */   // Label 18142: @1311175
     /* 1311175 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1311277), // Rule ID 21887 //
     /* 1311180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1311197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311233 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1311233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1311250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311276 */     // GIR_Coverage, 21887,
     /* 1311276 */     GIR_EraseRootFromParent_Done,
     /* 1311277 */   // Label 18143: @1311277
     /* 1311277 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1311379), // Rule ID 21890 //
     /* 1311282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311335 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1311335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1311352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311378 */     // GIR_Coverage, 21890,
     /* 1311378 */     GIR_EraseRootFromParent_Done,
     /* 1311379 */   // Label 18144: @1311379
     /* 1311379 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1311481), // Rule ID 21891 //
     /* 1311384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1311401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311437 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1311437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311441 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1311454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311480 */     // GIR_Coverage, 21891,
     /* 1311480 */     GIR_EraseRootFromParent_Done,
     /* 1311481 */   // Label 18145: @1311481
     /* 1311481 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1311583), // Rule ID 21894 //
     /* 1311486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1311539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1311556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311582 */     // GIR_Coverage, 21894,
     /* 1311582 */     GIR_EraseRootFromParent_Done,
     /* 1311583 */   // Label 18146: @1311583
     /* 1311583 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1311685), // Rule ID 21895 //
     /* 1311588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1311599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1311602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1311608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1311641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1311658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311684 */     // GIR_Coverage, 21895,
     /* 1311684 */     GIR_EraseRootFromParent_Done,
     /* 1311685 */   // Label 18147: @1311685
     /* 1311685 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1311787), // Rule ID 21898 //
     /* 1311690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1311710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1311743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1311760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311786 */     // GIR_Coverage, 21898,
     /* 1311786 */     GIR_EraseRootFromParent_Done,
     /* 1311787 */   // Label 18148: @1311787
     /* 1311787 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1311889), // Rule ID 21899 //
     /* 1311792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1311812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311845 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1311845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1311862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311888 */     // GIR_Coverage, 21899,
     /* 1311888 */     GIR_EraseRootFromParent_Done,
     /* 1311889 */   // Label 18149: @1311889
     /* 1311889 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1311991), // Rule ID 21902 //
     /* 1311894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1311902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1311905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1311908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1311914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1311924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1311947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1311951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1311957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1311961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1311964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1311968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1311970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1311972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1311978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1311989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311990 */     // GIR_Coverage, 21902,
     /* 1311990 */     GIR_EraseRootFromParent_Done,
     /* 1311991 */   // Label 18150: @1311991
     /* 1311991 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1312093), // Rule ID 21903 //
     /* 1311996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1312007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1312010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1312013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312049 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1312049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1312066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312092 */     // GIR_Coverage, 21903,
     /* 1312092 */     GIR_EraseRootFromParent_Done,
     /* 1312093 */   // Label 18151: @1312093
     /* 1312093 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1312195), // Rule ID 21906 //
     /* 1312098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1312109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1312112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312151 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1312151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1312168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312176 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312194 */     // GIR_Coverage, 21906,
     /* 1312194 */     GIR_EraseRootFromParent_Done,
     /* 1312195 */   // Label 18152: @1312195
     /* 1312195 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1312297), // Rule ID 21907 //
     /* 1312200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1312211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1312214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1312217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1312220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1312223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1312253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1312270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1312292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312296 */     // GIR_Coverage, 21907,
     /* 1312296 */     GIR_EraseRootFromParent_Done,
     /* 1312297 */   // Label 18153: @1312297
     /* 1312297 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1312399), // Rule ID 21910 //
     /* 1312302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1312355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1312372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312398 */     // GIR_Coverage, 21910,
     /* 1312398 */     GIR_EraseRootFromParent_Done,
     /* 1312399 */   // Label 18154: @1312399
     /* 1312399 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1312501), // Rule ID 21911 //
     /* 1312404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1312421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1312442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1312457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1312474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312500 */     // GIR_Coverage, 21911,
     /* 1312500 */     GIR_EraseRootFromParent_Done,
     /* 1312501 */   // Label 18155: @1312501
     /* 1312501 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1312603), // Rule ID 21914 //
     /* 1312506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1312559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1312576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312602 */     // GIR_Coverage, 21914,
     /* 1312602 */     GIR_EraseRootFromParent_Done,
     /* 1312603 */   // Label 18156: @1312603
     /* 1312603 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1312705), // Rule ID 21915 //
     /* 1312608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1312625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312661 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1312661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1312678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312704 */     // GIR_Coverage, 21915,
     /* 1312704 */     GIR_EraseRootFromParent_Done,
     /* 1312705 */   // Label 18157: @1312705
     /* 1312705 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1312807), // Rule ID 21918 //
     /* 1312710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1312763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1312780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312806 */     // GIR_Coverage, 21918,
     /* 1312806 */     GIR_EraseRootFromParent_Done,
     /* 1312807 */   // Label 18158: @1312807
     /* 1312807 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1312909), // Rule ID 21919 //
     /* 1312812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1312820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1312823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1312826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1312832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312865 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1312865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1312882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1312907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312908 */     // GIR_Coverage, 21919,
     /* 1312908 */     GIR_EraseRootFromParent_Done,
     /* 1312909 */   // Label 18159: @1312909
     /* 1312909 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1313011), // Rule ID 21922 //
     /* 1312914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1312922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1312925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1312928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1312934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1312944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1312967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1312971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1312977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1312981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1312984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1312988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1312990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1312992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1312998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313010 */     // GIR_Coverage, 21922,
     /* 1313010 */     GIR_EraseRootFromParent_Done,
     /* 1313011 */   // Label 18160: @1313011
     /* 1313011 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1313113), // Rule ID 21923 //
     /* 1313016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1313033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1313069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1313086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313112 */     // GIR_Coverage, 21923,
     /* 1313112 */     GIR_EraseRootFromParent_Done,
     /* 1313113 */   // Label 18161: @1313113
     /* 1313113 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1313215), // Rule ID 21926 //
     /* 1313118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1313135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1313171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1313188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313214 */     // GIR_Coverage, 21926,
     /* 1313214 */     GIR_EraseRootFromParent_Done,
     /* 1313215 */   // Label 18162: @1313215
     /* 1313215 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1313317), // Rule ID 21927 //
     /* 1313220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1313237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1313273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1313290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313316 */     // GIR_Coverage, 21927,
     /* 1313316 */     GIR_EraseRootFromParent_Done,
     /* 1313317 */   // Label 18163: @1313317
     /* 1313317 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1313419), // Rule ID 21930 //
     /* 1313322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1313339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313375 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1313375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1313392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313418 */     // GIR_Coverage, 21930,
     /* 1313418 */     GIR_EraseRootFromParent_Done,
     /* 1313419 */   // Label 18164: @1313419
     /* 1313419 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1313521), // Rule ID 21931 //
     /* 1313424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1313435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1313438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1313441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313477 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1313477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1313494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313520 */     // GIR_Coverage, 21931,
     /* 1313520 */     GIR_EraseRootFromParent_Done,
     /* 1313521 */   // Label 18165: @1313521
     /* 1313521 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1313623), // Rule ID 21934 //
     /* 1313526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313579 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1313579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1313596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313622 */     // GIR_Coverage, 21934,
     /* 1313622 */     GIR_EraseRootFromParent_Done,
     /* 1313623 */   // Label 18166: @1313623
     /* 1313623 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1313725), // Rule ID 21935 //
     /* 1313628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1313645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313681 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1313681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1313698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313724 */     // GIR_Coverage, 21935,
     /* 1313724 */     GIR_EraseRootFromParent_Done,
     /* 1313725 */   // Label 18167: @1313725
     /* 1313725 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1313827), // Rule ID 21938 //
     /* 1313730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313783 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1313783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1313800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313826 */     // GIR_Coverage, 21938,
     /* 1313826 */     GIR_EraseRootFromParent_Done,
     /* 1313827 */   // Label 18168: @1313827
     /* 1313827 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1313929), // Rule ID 21939 //
     /* 1313832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1313843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1313846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1313849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313885 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1313885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1313899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1313902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1313906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1313908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1313910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1313916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1313927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313928 */     // GIR_Coverage, 21939,
     /* 1313928 */     GIR_EraseRootFromParent_Done,
     /* 1313929 */   // Label 18169: @1313929
     /* 1313929 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1314031), // Rule ID 21942 //
     /* 1313934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1313942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1313945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1313948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1313964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1313987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1313991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1313997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1314004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314030 */     // GIR_Coverage, 21942,
     /* 1314030 */     GIR_EraseRootFromParent_Done,
     /* 1314031 */   // Label 18170: @1314031
     /* 1314031 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1314133), // Rule ID 21943 //
     /* 1314036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1314047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1314050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1314053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1314056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1314089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1314106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314132 */     // GIR_Coverage, 21943,
     /* 1314132 */     GIR_EraseRootFromParent_Done,
     /* 1314133 */   // Label 18171: @1314133
     /* 1314133 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1314235), // Rule ID 21946 //
     /* 1314138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1314149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1314152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1314155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1314158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314191 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1314191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1314208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314234 */     // GIR_Coverage, 21946,
     /* 1314234 */     GIR_EraseRootFromParent_Done,
     /* 1314235 */   // Label 18172: @1314235
     /* 1314235 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1314337), // Rule ID 21947 //
     /* 1314240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1314251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1314254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1314257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1314260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1314293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314297 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1314310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314336 */     // GIR_Coverage, 21947,
     /* 1314336 */     GIR_EraseRootFromParent_Done,
     /* 1314337 */   // Label 18173: @1314337
     /* 1314337 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1314439), // Rule ID 21950 //
     /* 1314342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1314353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1314356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1314359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1314362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314395 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1314395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1314412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314438 */     // GIR_Coverage, 21950,
     /* 1314438 */     GIR_EraseRootFromParent_Done,
     /* 1314439 */   // Label 18174: @1314439
     /* 1314439 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1314541), // Rule ID 21951 //
     /* 1314444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1314455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1314458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1314461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1314464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1314497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314501 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1314514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314540 */     // GIR_Coverage, 21951,
     /* 1314540 */     GIR_EraseRootFromParent_Done,
     /* 1314541 */   // Label 18175: @1314541
     /* 1314541 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1314643), // Rule ID 21954 //
     /* 1314546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1314557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1314560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1314563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1314566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314599 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1314599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1314616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314642 */     // GIR_Coverage, 21954,
     /* 1314642 */     GIR_EraseRootFromParent_Done,
     /* 1314643 */   // Label 18176: @1314643
     /* 1314643 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1314745), // Rule ID 21955 //
     /* 1314648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1314659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1314662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1314665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1314668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1314671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1314701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1314718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314744 */     // GIR_Coverage, 21955,
     /* 1314744 */     GIR_EraseRootFromParent_Done,
     /* 1314745 */   // Label 18177: @1314745
     /* 1314745 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1314847), // Rule ID 21958 //
     /* 1314750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1314753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1314761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1314764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1314803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1314820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314846 */     // GIR_Coverage, 21958,
     /* 1314846 */     GIR_EraseRootFromParent_Done,
     /* 1314847 */   // Label 18178: @1314847
     /* 1314847 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1314949), // Rule ID 21959 //
     /* 1314852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1314855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1314863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1314866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1314869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1314872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1314875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1314905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1314909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1314915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1314919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1314922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1314926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1314928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1314930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1314936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1314944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1314947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314948 */     // GIR_Coverage, 21959,
     /* 1314948 */     GIR_EraseRootFromParent_Done,
     /* 1314949 */   // Label 18179: @1314949
     /* 1314949 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1315051), // Rule ID 21962 //
     /* 1314954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1314962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1314965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1314968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1314974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1314984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1315007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1315024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315050 */     // GIR_Coverage, 21962,
     /* 1315050 */     GIR_EraseRootFromParent_Done,
     /* 1315051 */   // Label 18180: @1315051
     /* 1315051 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1315153), // Rule ID 21963 //
     /* 1315056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1315073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1315076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1315109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1315126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315152 */     // GIR_Coverage, 21963,
     /* 1315152 */     GIR_EraseRootFromParent_Done,
     /* 1315153 */   // Label 18181: @1315153
     /* 1315153 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1315255), // Rule ID 21966 //
     /* 1315158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1315175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1315178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1315181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1315211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1315228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315254 */     // GIR_Coverage, 21966,
     /* 1315254 */     GIR_EraseRootFromParent_Done,
     /* 1315255 */   // Label 18182: @1315255
     /* 1315255 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1315357), // Rule ID 21967 //
     /* 1315260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1315277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1315280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1315283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315313 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1315313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1315330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315356 */     // GIR_Coverage, 21967,
     /* 1315356 */     GIR_EraseRootFromParent_Done,
     /* 1315357 */   // Label 18183: @1315357
     /* 1315357 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1315459), // Rule ID 21970 //
     /* 1315362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1315379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1315382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1315385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1315415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1315432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315458 */     // GIR_Coverage, 21970,
     /* 1315458 */     GIR_EraseRootFromParent_Done,
     /* 1315459 */   // Label 18184: @1315459
     /* 1315459 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1315561), // Rule ID 21971 //
     /* 1315464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1315475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1315478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1315481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1315484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1315487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315517 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11132:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1315517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1315534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315560 */     // GIR_Coverage, 21971,
     /* 1315560 */     GIR_EraseRootFromParent_Done,
     /* 1315561 */   // Label 18185: @1315561
     /* 1315561 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1315663), // Rule ID 21974 //
     /* 1315566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1315583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1315586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1315619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1315636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315662 */     // GIR_Coverage, 21974,
     /* 1315662 */     GIR_EraseRootFromParent_Done,
     /* 1315663 */   // Label 18186: @1315663
     /* 1315663 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1315765), // Rule ID 21975 //
     /* 1315668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1315685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1315688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1315721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1315738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315746 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315764 */     // GIR_Coverage, 21975,
     /* 1315764 */     GIR_EraseRootFromParent_Done,
     /* 1315765 */   // Label 18187: @1315765
     /* 1315765 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1315867), // Rule ID 21978 //
     /* 1315770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1315787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1315790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315823 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1315823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1315840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315866 */     // GIR_Coverage, 21978,
     /* 1315866 */     GIR_EraseRootFromParent_Done,
     /* 1315867 */   // Label 18188: @1315867
     /* 1315867 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1315969), // Rule ID 21979 //
     /* 1315872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1315889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1315892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1315902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315925 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1315925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1315929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1315935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1315939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1315942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1315946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1315948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1315950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1315956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1315964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1315967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315968 */     // GIR_Coverage, 21979,
     /* 1315968 */     GIR_EraseRootFromParent_Done,
     /* 1315969 */   // Label 18189: @1315969
     /* 1315969 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1316071), // Rule ID 21982 //
     /* 1315974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1315982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1315985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1315988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1315991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1315994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1315997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1316027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1316044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316070 */     // GIR_Coverage, 21982,
     /* 1316070 */     GIR_EraseRootFromParent_Done,
     /* 1316071 */   // Label 18190: @1316071
     /* 1316071 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1316173), // Rule ID 21983 //
     /* 1316076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1316087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1316090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1316093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1316096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1316099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11132:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1316129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1316146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316172 */     // GIR_Coverage, 21983,
     /* 1316172 */     GIR_EraseRootFromParent_Done,
     /* 1316173 */   // Label 18191: @1316173
     /* 1316173 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1316275), // Rule ID 21986 //
     /* 1316178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1316195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316231 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1316231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1316248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316274 */     // GIR_Coverage, 21986,
     /* 1316274 */     GIR_EraseRootFromParent_Done,
     /* 1316275 */   // Label 18192: @1316275
     /* 1316275 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1316377), // Rule ID 21987 //
     /* 1316280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1316297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316333 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1316333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1316350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316376 */     // GIR_Coverage, 21987,
     /* 1316376 */     GIR_EraseRootFromParent_Done,
     /* 1316377 */   // Label 18193: @1316377
     /* 1316377 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1316479), // Rule ID 21990 //
     /* 1316382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1316399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1316435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1316452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316478 */     // GIR_Coverage, 21990,
     /* 1316478 */     GIR_EraseRootFromParent_Done,
     /* 1316479 */   // Label 18194: @1316479
     /* 1316479 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1316581), // Rule ID 21991 //
     /* 1316484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1316501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1316522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1316537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1316554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316580 */     // GIR_Coverage, 21991,
     /* 1316580 */     GIR_EraseRootFromParent_Done,
     /* 1316581 */   // Label 18195: @1316581
     /* 1316581 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1316683), // Rule ID 21994 //
     /* 1316586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1316603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1316639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1316656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316682 */     // GIR_Coverage, 21994,
     /* 1316682 */     GIR_EraseRootFromParent_Done,
     /* 1316683 */   // Label 18196: @1316683
     /* 1316683 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1316785), // Rule ID 21995 //
     /* 1316688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1316699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1316702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1316705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1316708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1316711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1316726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1316741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1316758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316784 */     // GIR_Coverage, 21995,
     /* 1316784 */     GIR_EraseRootFromParent_Done,
     /* 1316785 */   // Label 18197: @1316785
     /* 1316785 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1316887), // Rule ID 21998 //
     /* 1316790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1316801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1316804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1316807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1316810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1316843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1316860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316886 */     // GIR_Coverage, 21998,
     /* 1316886 */     GIR_EraseRootFromParent_Done,
     /* 1316887 */   // Label 18198: @1316887
     /* 1316887 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1316989), // Rule ID 21999 //
     /* 1316892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1316895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1316900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1316903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1316906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1316909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1316912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1316922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1316930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316945 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1316945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1316949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1316955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1316959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1316962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1316966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1316968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1316970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1316976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1316984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1316987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316988 */     // GIR_Coverage, 21999,
     /* 1316988 */     GIR_EraseRootFromParent_Done,
     /* 1316989 */   // Label 18199: @1316989
     /* 1316989 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1317091), // Rule ID 22002 //
     /* 1316994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1316997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1317002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1317047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317051 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1317064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317072 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317090 */     // GIR_Coverage, 22002,
     /* 1317090 */     GIR_EraseRootFromParent_Done,
     /* 1317091 */   // Label 18200: @1317091
     /* 1317091 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1317193), // Rule ID 22003 //
     /* 1317096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1317104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1317113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1317149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1317166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317192 */     // GIR_Coverage, 22003,
     /* 1317192 */     GIR_EraseRootFromParent_Done,
     /* 1317193 */   // Label 18201: @1317193
     /* 1317193 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1317295), // Rule ID 22006 //
     /* 1317198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1317206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1317215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317251 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1317251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1317268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317294 */     // GIR_Coverage, 22006,
     /* 1317294 */     GIR_EraseRootFromParent_Done,
     /* 1317295 */   // Label 18202: @1317295
     /* 1317295 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1317397), // Rule ID 22007 //
     /* 1317300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1317308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1317311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1317314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1317317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1317353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1317370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317396 */     // GIR_Coverage, 22007,
     /* 1317396 */     GIR_EraseRootFromParent_Done,
     /* 1317397 */   // Label 18203: @1317397
     /* 1317397 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1317499), // Rule ID 22010 //
     /* 1317402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1317419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1317455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1317472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317498 */     // GIR_Coverage, 22010,
     /* 1317498 */     GIR_EraseRootFromParent_Done,
     /* 1317499 */   // Label 18204: @1317499
     /* 1317499 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1317601), // Rule ID 22011 //
     /* 1317504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1317521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1317557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317561 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1317574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317600 */     // GIR_Coverage, 22011,
     /* 1317600 */     GIR_EraseRootFromParent_Done,
     /* 1317601 */   // Label 18205: @1317601
     /* 1317601 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1317703), // Rule ID 22014 //
     /* 1317606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1317623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1317659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1317676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317702 */     // GIR_Coverage, 22014,
     /* 1317702 */     GIR_EraseRootFromParent_Done,
     /* 1317703 */   // Label 18206: @1317703
     /* 1317703 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1317805), // Rule ID 22015 //
     /* 1317708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1317725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317761 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1317761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1317778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317804 */     // GIR_Coverage, 22015,
     /* 1317804 */     GIR_EraseRootFromParent_Done,
     /* 1317805 */   // Label 18207: @1317805
     /* 1317805 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1317907), // Rule ID 22018 //
     /* 1317810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1317827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317863 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1317863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1317880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1317905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317906 */     // GIR_Coverage, 22018,
     /* 1317906 */     GIR_EraseRootFromParent_Done,
     /* 1317907 */   // Label 18208: @1317907
     /* 1317907 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1318009), // Rule ID 22019 //
     /* 1317912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1317920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1317923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1317926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1317929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1317942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317965 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1317965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1317969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1317975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1317979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1317982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1317986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1317988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1317990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1317996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318008 */     // GIR_Coverage, 22019,
     /* 1318008 */     GIR_EraseRootFromParent_Done,
     /* 1318009 */   // Label 18209: @1318009
     /* 1318009 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1318111), // Rule ID 22022 //
     /* 1318014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1318031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318067 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1318067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1318084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318110 */     // GIR_Coverage, 22022,
     /* 1318110 */     GIR_EraseRootFromParent_Done,
     /* 1318111 */   // Label 18210: @1318111
     /* 1318111 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1318213), // Rule ID 22023 //
     /* 1318116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1318133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318169 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1318169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1318186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318212 */     // GIR_Coverage, 22023,
     /* 1318212 */     GIR_EraseRootFromParent_Done,
     /* 1318213 */   // Label 18211: @1318213
     /* 1318213 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1318315), // Rule ID 22026 //
     /* 1318218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318271 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1318271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1318288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318314 */     // GIR_Coverage, 22026,
     /* 1318314 */     GIR_EraseRootFromParent_Done,
     /* 1318315 */   // Label 18212: @1318315
     /* 1318315 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1318417), // Rule ID 22027 //
     /* 1318320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1318337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1318343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318373 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1318373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1318390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318416 */     // GIR_Coverage, 22027,
     /* 1318416 */     GIR_EraseRootFromParent_Done,
     /* 1318417 */   // Label 18213: @1318417
     /* 1318417 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1318519), // Rule ID 22030 //
     /* 1318422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1318433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1318436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1318442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1318475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1318492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318518 */     // GIR_Coverage, 22030,
     /* 1318518 */     GIR_EraseRootFromParent_Done,
     /* 1318519 */   // Label 18214: @1318519
     /* 1318519 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1318621), // Rule ID 22031 //
     /* 1318524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1318535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1318538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1318541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1318544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1318547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318577 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1318577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1318594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318620 */     // GIR_Coverage, 22031,
     /* 1318620 */     GIR_EraseRootFromParent_Done,
     /* 1318621 */   // Label 18215: @1318621
     /* 1318621 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1318723), // Rule ID 22034 //
     /* 1318626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1318637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1318640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1318643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1318646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318679 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1318679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1318696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318722 */     // GIR_Coverage, 22034,
     /* 1318722 */     GIR_EraseRootFromParent_Done,
     /* 1318723 */   // Label 18216: @1318723
     /* 1318723 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1318825), // Rule ID 22035 //
     /* 1318728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1318739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1318742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1318745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1318748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318781 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1318781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1318798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318806 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318824 */     // GIR_Coverage, 22035,
     /* 1318824 */     GIR_EraseRootFromParent_Done,
     /* 1318825 */   // Label 18217: @1318825
     /* 1318825 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1318927), // Rule ID 22038 //
     /* 1318830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1318883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1318900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1318904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1318906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1318908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1318914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1318925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318926 */     // GIR_Coverage, 22038,
     /* 1318926 */     GIR_EraseRootFromParent_Done,
     /* 1318927 */   // Label 18218: @1318927
     /* 1318927 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1319029), // Rule ID 22039 //
     /* 1318932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1318940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1318943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1318946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1318949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1318952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1318962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318985 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1318985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1318989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1318995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1318999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1319002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1319024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319028 */     // GIR_Coverage, 22039,
     /* 1319028 */     GIR_EraseRootFromParent_Done,
     /* 1319029 */   // Label 18219: @1319029
     /* 1319029 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1319131), // Rule ID 22042 //
     /* 1319034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1319045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1319048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1319087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1319104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319130 */     // GIR_Coverage, 22042,
     /* 1319130 */     GIR_EraseRootFromParent_Done,
     /* 1319131 */   // Label 18220: @1319131
     /* 1319131 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1319233), // Rule ID 22043 //
     /* 1319136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1319147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1319150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1319153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1319156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1319189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1319206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319232 */     // GIR_Coverage, 22043,
     /* 1319232 */     GIR_EraseRootFromParent_Done,
     /* 1319233 */   // Label 18221: @1319233
     /* 1319233 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1319335), // Rule ID 22046 //
     /* 1319238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1319249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1319252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1319258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1319291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1319308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319334 */     // GIR_Coverage, 22046,
     /* 1319334 */     GIR_EraseRootFromParent_Done,
     /* 1319335 */   // Label 18222: @1319335
     /* 1319335 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1319437), // Rule ID 22047 //
     /* 1319340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1319351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1319354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1319357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1319360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1319393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1319410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319436 */     // GIR_Coverage, 22047,
     /* 1319436 */     GIR_EraseRootFromParent_Done,
     /* 1319437 */   // Label 18223: @1319437
     /* 1319437 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1319539), // Rule ID 22050 //
     /* 1319442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1319459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319495 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1319495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1319512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319538 */     // GIR_Coverage, 22050,
     /* 1319538 */     GIR_EraseRootFromParent_Done,
     /* 1319539 */   // Label 18224: @1319539
     /* 1319539 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1319641), // Rule ID 22051 //
     /* 1319544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1319561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319597 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1319597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1319614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319640 */     // GIR_Coverage, 22051,
     /* 1319640 */     GIR_EraseRootFromParent_Done,
     /* 1319641 */   // Label 18225: @1319641
     /* 1319641 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1319743), // Rule ID 22054 //
     /* 1319646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1319663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319699 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1319699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1319716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319742 */     // GIR_Coverage, 22054,
     /* 1319742 */     GIR_EraseRootFromParent_Done,
     /* 1319743 */   // Label 18226: @1319743
     /* 1319743 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1319845), // Rule ID 22055 //
     /* 1319748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1319765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1319771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319801 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1319801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319805 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1319818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319844 */     // GIR_Coverage, 22055,
     /* 1319844 */     GIR_EraseRootFromParent_Done,
     /* 1319845 */   // Label 18227: @1319845
     /* 1319845 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1319947), // Rule ID 22058 //
     /* 1319850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1319867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1319873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1319903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1319907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1319913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1319917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1319920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1319924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1319926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1319928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1319934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1319945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319946 */     // GIR_Coverage, 22058,
     /* 1319946 */     GIR_EraseRootFromParent_Done,
     /* 1319947 */   // Label 18228: @1319947
     /* 1319947 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1320049), // Rule ID 22059 //
     /* 1319952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1319960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1319963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1319966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1319969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1319972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1319975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1319982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1320005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1320022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320048 */     // GIR_Coverage, 22059,
     /* 1320048 */     GIR_EraseRootFromParent_Done,
     /* 1320049 */   // Label 18229: @1320049
     /* 1320049 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1320151), // Rule ID 22062 //
     /* 1320054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1320107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1320124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320150 */     // GIR_Coverage, 22062,
     /* 1320150 */     GIR_EraseRootFromParent_Done,
     /* 1320151 */   // Label 18230: @1320151
     /* 1320151 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1320253), // Rule ID 22063 //
     /* 1320156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1320173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320209 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1320209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1320226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320252 */     // GIR_Coverage, 22063,
     /* 1320252 */     GIR_EraseRootFromParent_Done,
     /* 1320253 */   // Label 18231: @1320253
     /* 1320253 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1320355), // Rule ID 22066 //
     /* 1320258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1320311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1320328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320336 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320354 */     // GIR_Coverage, 22066,
     /* 1320354 */     GIR_EraseRootFromParent_Done,
     /* 1320355 */   // Label 18232: @1320355
     /* 1320355 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1320457), // Rule ID 22067 //
     /* 1320360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1320377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1320383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320413 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1320413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1320430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320456 */     // GIR_Coverage, 22067,
     /* 1320456 */     GIR_EraseRootFromParent_Done,
     /* 1320457 */   // Label 18233: @1320457
     /* 1320457 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1320559), // Rule ID 22070 //
     /* 1320462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1320515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1320532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320558 */     // GIR_Coverage, 22070,
     /* 1320558 */     GIR_EraseRootFromParent_Done,
     /* 1320559 */   // Label 18234: @1320559
     /* 1320559 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1320661), // Rule ID 22071 //
     /* 1320564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1320575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1320578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1320581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1320587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1320602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320617 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1320617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320621 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1320634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320660 */     // GIR_Coverage, 22071,
     /* 1320660 */     GIR_EraseRootFromParent_Done,
     /* 1320661 */   // Label 18235: @1320661
     /* 1320661 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1320763), // Rule ID 22074 //
     /* 1320666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1320719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1320736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320762 */     // GIR_Coverage, 22074,
     /* 1320762 */     GIR_EraseRootFromParent_Done,
     /* 1320763 */   // Label 18236: @1320763
     /* 1320763 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1320865), // Rule ID 22075 //
     /* 1320768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1320785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1320806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320821 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1320821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1320838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320864 */     // GIR_Coverage, 22075,
     /* 1320864 */     GIR_EraseRootFromParent_Done,
     /* 1320865 */   // Label 18237: @1320865
     /* 1320865 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1320967), // Rule ID 22078 //
     /* 1320870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1320900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1320908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320923 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1320923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1320927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1320933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1320937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1320940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1320944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1320946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1320948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1320954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1320965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320966 */     // GIR_Coverage, 22078,
     /* 1320966 */     GIR_EraseRootFromParent_Done,
     /* 1320967 */   // Label 18238: @1320967
     /* 1320967 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1321069), // Rule ID 22079 //
     /* 1320972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1320980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1320983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1320986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1320989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1321025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1321042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321068 */     // GIR_Coverage, 22079,
     /* 1321068 */     GIR_EraseRootFromParent_Done,
     /* 1321069 */   // Label 18239: @1321069
     /* 1321069 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1321171), // Rule ID 22082 //
     /* 1321074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1321085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1321088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1321094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321127 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1321127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1321144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321170 */     // GIR_Coverage, 22082,
     /* 1321170 */     GIR_EraseRootFromParent_Done,
     /* 1321171 */   // Label 18240: @1321171
     /* 1321171 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1321273), // Rule ID 22083 //
     /* 1321176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1321187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1321190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1321193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1321196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1321229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1321246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321272 */     // GIR_Coverage, 22083,
     /* 1321272 */     GIR_EraseRootFromParent_Done,
     /* 1321273 */   // Label 18241: @1321273
     /* 1321273 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1321375), // Rule ID 22086 //
     /* 1321278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321331 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1321331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1321348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321374 */     // GIR_Coverage, 22086,
     /* 1321374 */     GIR_EraseRootFromParent_Done,
     /* 1321375 */   // Label 18242: @1321375
     /* 1321375 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1321477), // Rule ID 22087 //
     /* 1321380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1321397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321433 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1321433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1321450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321476 */     // GIR_Coverage, 22087,
     /* 1321476 */     GIR_EraseRootFromParent_Done,
     /* 1321477 */   // Label 18243: @1321477
     /* 1321477 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1321579), // Rule ID 22090 //
     /* 1321482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321535 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1321535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1321552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321578 */     // GIR_Coverage, 22090,
     /* 1321578 */     GIR_EraseRootFromParent_Done,
     /* 1321579 */   // Label 18244: @1321579
     /* 1321579 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1321681), // Rule ID 22091 //
     /* 1321584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1321601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1321607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321637 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1321637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1321654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321680 */     // GIR_Coverage, 22091,
     /* 1321680 */     GIR_EraseRootFromParent_Done,
     /* 1321681 */   // Label 18245: @1321681
     /* 1321681 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1321783), // Rule ID 22094 //
     /* 1321686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1321739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1321756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321782 */     // GIR_Coverage, 22094,
     /* 1321782 */     GIR_EraseRootFromParent_Done,
     /* 1321783 */   // Label 18246: @1321783
     /* 1321783 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1321885), // Rule ID 22095 //
     /* 1321788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1321796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1321799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1321802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1321805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321841 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1321841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1321858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321884 */     // GIR_Coverage, 22095,
     /* 1321884 */     GIR_EraseRootFromParent_Done,
     /* 1321885 */   // Label 18247: @1321885
     /* 1321885 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1321987), // Rule ID 22098 //
     /* 1321890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1321898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1321901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1321904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1321907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1321910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1321920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1321943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1321947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1321953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1321957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1321960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1321964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1321966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1321968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1321974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1321985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321986 */     // GIR_Coverage, 22098,
     /* 1321986 */     GIR_EraseRootFromParent_Done,
     /* 1321987 */   // Label 18248: @1321987
     /* 1321987 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1322089), // Rule ID 22099 //
     /* 1321992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1322003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1322006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1322009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1322012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322045 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1322045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1322062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322088 */     // GIR_Coverage, 22099,
     /* 1322088 */     GIR_EraseRootFromParent_Done,
     /* 1322089 */   // Label 18249: @1322089
     /* 1322089 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1322191), // Rule ID 22102 //
     /* 1322094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1322105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1322108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1322114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1322147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1322164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322190 */     // GIR_Coverage, 22102,
     /* 1322190 */     GIR_EraseRootFromParent_Done,
     /* 1322191 */   // Label 18250: @1322191
     /* 1322191 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1322293), // Rule ID 22103 //
     /* 1322196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1322207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1322210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1322213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1322216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322249 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1322249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1322266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322292 */     // GIR_Coverage, 22103,
     /* 1322292 */     GIR_EraseRootFromParent_Done,
     /* 1322293 */   // Label 18251: @1322293
     /* 1322293 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1322395), // Rule ID 22106 //
     /* 1322298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1322309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1322312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1322315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1322318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322351 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1322351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1322368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322376 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322394 */     // GIR_Coverage, 22106,
     /* 1322394 */     GIR_EraseRootFromParent_Done,
     /* 1322395 */   // Label 18252: @1322395
     /* 1322395 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1322497), // Rule ID 22107 //
     /* 1322400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1322411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1322414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1322417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1322420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1322453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1322470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1322492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322496 */     // GIR_Coverage, 22107,
     /* 1322496 */     GIR_EraseRootFromParent_Done,
     /* 1322497 */   // Label 18253: @1322497
     /* 1322497 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1322599), // Rule ID 22110 //
     /* 1322502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1322513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1322516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1322522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1322555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1322572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322598 */     // GIR_Coverage, 22110,
     /* 1322598 */     GIR_EraseRootFromParent_Done,
     /* 1322599 */   // Label 18254: @1322599
     /* 1322599 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1322701), // Rule ID 22111 //
     /* 1322604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1322615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1322618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1322621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1322624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322657 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1322657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1322674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322700 */     // GIR_Coverage, 22111,
     /* 1322700 */     GIR_EraseRootFromParent_Done,
     /* 1322701 */   // Label 18255: @1322701
     /* 1322701 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1322803), // Rule ID 22114 //
     /* 1322706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1322717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1322720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1322726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322759 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1322759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1322776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322802 */     // GIR_Coverage, 22114,
     /* 1322802 */     GIR_EraseRootFromParent_Done,
     /* 1322803 */   // Label 18256: @1322803
     /* 1322803 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1322905), // Rule ID 22115 //
     /* 1322808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1322819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1322822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1322825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1322828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322861 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1322861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1322878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1322903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322904 */     // GIR_Coverage, 22115,
     /* 1322904 */     GIR_EraseRootFromParent_Done,
     /* 1322905 */   // Label 18257: @1322905
     /* 1322905 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1323007), // Rule ID 22118 //
     /* 1322910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1322918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1322921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1322924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1322927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1322930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1322933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1322940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322963 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1322963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1322967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1322973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1322977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1322980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1322984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1322986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1322988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1322994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323006 */     // GIR_Coverage, 22118,
     /* 1323006 */     GIR_EraseRootFromParent_Done,
     /* 1323007 */   // Label 18258: @1323007
     /* 1323007 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1323109), // Rule ID 22119 //
     /* 1323012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1323023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1323026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1323029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323065 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1323065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1323082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323108 */     // GIR_Coverage, 22119,
     /* 1323108 */     GIR_EraseRootFromParent_Done,
     /* 1323109 */   // Label 18259: @1323109
     /* 1323109 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1323211), // Rule ID 22122 //
     /* 1323114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1323134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1323167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1323184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323210 */     // GIR_Coverage, 22122,
     /* 1323210 */     GIR_EraseRootFromParent_Done,
     /* 1323211 */   // Label 18260: @1323211
     /* 1323211 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1323313), // Rule ID 22123 //
     /* 1323216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1323233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1323236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1323269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1323286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323312 */     // GIR_Coverage, 22123,
     /* 1323312 */     GIR_EraseRootFromParent_Done,
     /* 1323313 */   // Label 18261: @1323313
     /* 1323313 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1323415), // Rule ID 22126 //
     /* 1323318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1323371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1323388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323414 */     // GIR_Coverage, 22126,
     /* 1323414 */     GIR_EraseRootFromParent_Done,
     /* 1323415 */   // Label 18262: @1323415
     /* 1323415 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1323517), // Rule ID 22127 //
     /* 1323420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1323431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1323434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1323437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1323440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1323473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1323490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323516 */     // GIR_Coverage, 22127,
     /* 1323516 */     GIR_EraseRootFromParent_Done,
     /* 1323517 */   // Label 18263: @1323517
     /* 1323517 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1323619), // Rule ID 22130 //
     /* 1323522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1323533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1323536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323575 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1323575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1323592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323618 */     // GIR_Coverage, 22130,
     /* 1323618 */     GIR_EraseRootFromParent_Done,
     /* 1323619 */   // Label 18264: @1323619
     /* 1323619 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1323721), // Rule ID 22131 //
     /* 1323624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1323635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1323638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1323641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1323644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323677 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1323677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323681 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1323694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1323716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323720 */     // GIR_Coverage, 22131,
     /* 1323720 */     GIR_EraseRootFromParent_Done,
     /* 1323721 */   // Label 18265: @1323721
     /* 1323721 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1323823), // Rule ID 22134 //
     /* 1323726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1323737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1323740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1323746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1323779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1323796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323822 */     // GIR_Coverage, 22134,
     /* 1323822 */     GIR_EraseRootFromParent_Done,
     /* 1323823 */   // Label 18266: @1323823
     /* 1323823 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1323925), // Rule ID 22135 //
     /* 1323828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1323839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1323842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1323845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1323848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323881 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1323881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1323898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1323902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1323912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1323923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323924 */     // GIR_Coverage, 22135,
     /* 1323924 */     GIR_EraseRootFromParent_Done,
     /* 1323925 */   // Label 18267: @1323925
     /* 1323925 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1324027), // Rule ID 22138 //
     /* 1323930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1323938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1323941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1323944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1323947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1323950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1323953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1323968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1323983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1323987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1323993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1323997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1324000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324026 */     // GIR_Coverage, 22138,
     /* 1324026 */     GIR_EraseRootFromParent_Done,
     /* 1324027 */   // Label 18268: @1324027
     /* 1324027 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1324129), // Rule ID 22139 //
     /* 1324032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1324049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324085 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1324085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1324102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324128 */     // GIR_Coverage, 22139,
     /* 1324128 */     GIR_EraseRootFromParent_Done,
     /* 1324129 */   // Label 18269: @1324129
     /* 1324129 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1324231), // Rule ID 22142 //
     /* 1324134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1324187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1324204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324230 */     // GIR_Coverage, 22142,
     /* 1324230 */     GIR_EraseRootFromParent_Done,
     /* 1324231 */   // Label 18270: @1324231
     /* 1324231 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1324333), // Rule ID 22143 //
     /* 1324236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1324253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324289 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1324289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1324306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324332 */     // GIR_Coverage, 22143,
     /* 1324332 */     GIR_EraseRootFromParent_Done,
     /* 1324333 */   // Label 18271: @1324333
     /* 1324333 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1324435), // Rule ID 22146 //
     /* 1324338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324391 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1324391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1324408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324434 */     // GIR_Coverage, 22146,
     /* 1324434 */     GIR_EraseRootFromParent_Done,
     /* 1324435 */   // Label 18272: @1324435
     /* 1324435 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1324537), // Rule ID 22147 //
     /* 1324440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1324457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1324463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324493 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11146:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1324493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1324510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324536 */     // GIR_Coverage, 22147,
     /* 1324536 */     GIR_EraseRootFromParent_Done,
     /* 1324537 */   // Label 18273: @1324537
     /* 1324537 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1324639), // Rule ID 22150 //
     /* 1324542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1324595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1324612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324638 */     // GIR_Coverage, 22150,
     /* 1324638 */     GIR_EraseRootFromParent_Done,
     /* 1324639 */   // Label 18274: @1324639
     /* 1324639 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1324741), // Rule ID 22151 //
     /* 1324644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1324661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1324697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324701 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1324714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324722 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324740 */     // GIR_Coverage, 22151,
     /* 1324740 */     GIR_EraseRootFromParent_Done,
     /* 1324741 */   // Label 18275: @1324741
     /* 1324741 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1324843), // Rule ID 22154 //
     /* 1324746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1324799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1324816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324842 */     // GIR_Coverage, 22154,
     /* 1324842 */     GIR_EraseRootFromParent_Done,
     /* 1324843 */   // Label 18276: @1324843
     /* 1324843 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1324945), // Rule ID 22155 //
     /* 1324848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1324865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1324886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324901 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1324901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1324905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1324911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1324915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1324918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1324922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1324932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1324943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324944 */     // GIR_Coverage, 22155,
     /* 1324944 */     GIR_EraseRootFromParent_Done,
     /* 1324945 */   // Label 18277: @1324945
     /* 1324945 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1325047), // Rule ID 22158 //
     /* 1324950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1324958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1324967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1324973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1324988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1325003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1325020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325046 */     // GIR_Coverage, 22158,
     /* 1325046 */     GIR_EraseRootFromParent_Done,
     /* 1325047 */   // Label 18278: @1325047
     /* 1325047 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1325149), // Rule ID 22159 //
     /* 1325052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1325063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1325066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1325072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325105 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11146:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1325105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1325122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325148 */     // GIR_Coverage, 22159,
     /* 1325148 */     GIR_EraseRootFromParent_Done,
     /* 1325149 */   // Label 18279: @1325149
     /* 1325149 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1325251), // Rule ID 22162 //
     /* 1325154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325207 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1325207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325211 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1325224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325250 */     // GIR_Coverage, 22162,
     /* 1325250 */     GIR_EraseRootFromParent_Done,
     /* 1325251 */   // Label 18280: @1325251
     /* 1325251 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1325353), // Rule ID 22163 //
     /* 1325256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325309 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1325309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1325326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325352 */     // GIR_Coverage, 22163,
     /* 1325352 */     GIR_EraseRootFromParent_Done,
     /* 1325353 */   // Label 18281: @1325353
     /* 1325353 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1325455), // Rule ID 22166 //
     /* 1325358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1325411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1325428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325454 */     // GIR_Coverage, 22166,
     /* 1325454 */     GIR_EraseRootFromParent_Done,
     /* 1325455 */   // Label 18282: @1325455
     /* 1325455 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1325557), // Rule ID 22167 //
     /* 1325460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1325477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325513 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1325513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1325530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325556 */     // GIR_Coverage, 22167,
     /* 1325556 */     GIR_EraseRootFromParent_Done,
     /* 1325557 */   // Label 18283: @1325557
     /* 1325557 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1325659), // Rule ID 22170 //
     /* 1325562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1325615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1325632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325658 */     // GIR_Coverage, 22170,
     /* 1325658 */     GIR_EraseRootFromParent_Done,
     /* 1325659 */   // Label 18284: @1325659
     /* 1325659 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1325761), // Rule ID 22171 //
     /* 1325664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1325675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1325678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1325681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1325684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325717 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1325717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1325734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325760 */     // GIR_Coverage, 22171,
     /* 1325760 */     GIR_EraseRootFromParent_Done,
     /* 1325761 */   // Label 18285: @1325761
     /* 1325761 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1325863), // Rule ID 22174 //
     /* 1325766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1325777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1325780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1325819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1325836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325862 */     // GIR_Coverage, 22174,
     /* 1325862 */     GIR_EraseRootFromParent_Done,
     /* 1325863 */   // Label 18286: @1325863
     /* 1325863 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1325965), // Rule ID 22175 //
     /* 1325868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1325871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1325879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1325882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1325885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1325891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1325898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1325910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1325921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1325925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1325931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1325935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1325938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1325942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1325952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1325960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1325963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325964 */     // GIR_Coverage, 22175,
     /* 1325964 */     GIR_EraseRootFromParent_Done,
     /* 1325965 */   // Label 18287: @1325965
     /* 1325965 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1326067), // Rule ID 22178 //
     /* 1325970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1325973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1325978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1325981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1325984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1325987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1325990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1326023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1326040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326066 */     // GIR_Coverage, 22178,
     /* 1326066 */     GIR_EraseRootFromParent_Done,
     /* 1326067 */   // Label 18288: @1326067
     /* 1326067 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1326169), // Rule ID 22179 //
     /* 1326072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1326080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1326083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1326086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1326092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1326125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1326142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326168 */     // GIR_Coverage, 22179,
     /* 1326168 */     GIR_EraseRootFromParent_Done,
     /* 1326169 */   // Label 18289: @1326169
     /* 1326169 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1326271), // Rule ID 22182 //
     /* 1326174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1326182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1326185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1326188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1326194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1326227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1326244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326270 */     // GIR_Coverage, 22182,
     /* 1326270 */     GIR_EraseRootFromParent_Done,
     /* 1326271 */   // Label 18290: @1326271
     /* 1326271 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1326373), // Rule ID 22183 //
     /* 1326276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1326284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1326287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1326290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1326296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1326329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1326346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326372 */     // GIR_Coverage, 22183,
     /* 1326372 */     GIR_EraseRootFromParent_Done,
     /* 1326373 */   // Label 18291: @1326373
     /* 1326373 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1326475), // Rule ID 22186 //
     /* 1326378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1326395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1326431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1326448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326474 */     // GIR_Coverage, 22186,
     /* 1326474 */     GIR_EraseRootFromParent_Done,
     /* 1326475 */   // Label 18292: @1326475
     /* 1326475 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1326577), // Rule ID 22187 //
     /* 1326480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1326497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326533 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1326533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1326550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326576 */     // GIR_Coverage, 22187,
     /* 1326576 */     GIR_EraseRootFromParent_Done,
     /* 1326577 */   // Label 18293: @1326577
     /* 1326577 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1326679), // Rule ID 22190 //
     /* 1326582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1326599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326635 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1326635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1326652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326678 */     // GIR_Coverage, 22190,
     /* 1326678 */     GIR_EraseRootFromParent_Done,
     /* 1326679 */   // Label 18294: @1326679
     /* 1326679 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1326781), // Rule ID 22191 //
     /* 1326684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1326701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326737 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1326737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1326754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326780 */     // GIR_Coverage, 22191,
     /* 1326780 */     GIR_EraseRootFromParent_Done,
     /* 1326781 */   // Label 18295: @1326781
     /* 1326781 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1326883), // Rule ID 22194 //
     /* 1326786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1326803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326839 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1326839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1326856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326882 */     // GIR_Coverage, 22194,
     /* 1326882 */     GIR_EraseRootFromParent_Done,
     /* 1326883 */   // Label 18296: @1326883
     /* 1326883 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1326985), // Rule ID 22195 //
     /* 1326888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1326899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1326902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1326905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1326908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326941 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1326941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1326945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1326951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1326955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1326958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1326962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1326972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1326983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326984 */     // GIR_Coverage, 22195,
     /* 1326984 */     GIR_EraseRootFromParent_Done,
     /* 1326985 */   // Label 18297: @1326985
     /* 1326985 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1327087), // Rule ID 22198 //
     /* 1326990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1326998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1327043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1327060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327086 */     // GIR_Coverage, 22198,
     /* 1327086 */     GIR_EraseRootFromParent_Done,
     /* 1327087 */   // Label 18298: @1327087
     /* 1327087 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1327189), // Rule ID 22199 //
     /* 1327092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1327145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1327162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327188 */     // GIR_Coverage, 22199,
     /* 1327188 */     GIR_EraseRootFromParent_Done,
     /* 1327189 */   // Label 18299: @1327189
     /* 1327189 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1327291), // Rule ID 22202 //
     /* 1327194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1327247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1327264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327290 */     // GIR_Coverage, 22202,
     /* 1327290 */     GIR_EraseRootFromParent_Done,
     /* 1327291 */   // Label 18300: @1327291
     /* 1327291 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1327393), // Rule ID 22203 //
     /* 1327296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1327349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1327366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327392 */     // GIR_Coverage, 22203,
     /* 1327392 */     GIR_EraseRootFromParent_Done,
     /* 1327393 */   // Label 18301: @1327393
     /* 1327393 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1327495), // Rule ID 22206 //
     /* 1327398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1327409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1327412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1327418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1327451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1327468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327494 */     // GIR_Coverage, 22206,
     /* 1327494 */     GIR_EraseRootFromParent_Done,
     /* 1327495 */   // Label 18302: @1327495
     /* 1327495 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1327597), // Rule ID 22207 //
     /* 1327500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1327511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1327514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1327520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1327553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1327570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327596 */     // GIR_Coverage, 22207,
     /* 1327596 */     GIR_EraseRootFromParent_Done,
     /* 1327597 */   // Label 18303: @1327597
     /* 1327597 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1327699), // Rule ID 22210 //
     /* 1327602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1327613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1327616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1327619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1327622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327655 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1327655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1327672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327698 */     // GIR_Coverage, 22210,
     /* 1327698 */     GIR_EraseRootFromParent_Done,
     /* 1327699 */   // Label 18304: @1327699
     /* 1327699 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1327801), // Rule ID 22211 //
     /* 1327704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1327715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1327718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1327721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1327724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327757 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1327757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1327774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327800 */     // GIR_Coverage, 22211,
     /* 1327800 */     GIR_EraseRootFromParent_Done,
     /* 1327801 */   // Label 18305: @1327801
     /* 1327801 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1327903), // Rule ID 22214 //
     /* 1327806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1327859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1327876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1327901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327902 */     // GIR_Coverage, 22214,
     /* 1327902 */     GIR_EraseRootFromParent_Done,
     /* 1327903 */   // Label 18306: @1327903
     /* 1327903 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1328005), // Rule ID 22215 //
     /* 1327908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1327916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1327919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1327922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1327925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1327928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327961 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1327961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1327965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1327971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1327975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1327978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1327982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1327992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328004 */     // GIR_Coverage, 22215,
     /* 1328004 */     GIR_EraseRootFromParent_Done,
     /* 1328005 */   // Label 18307: @1328005
     /* 1328005 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1328107), // Rule ID 22218 //
     /* 1328010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1328021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1328024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1328030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328063 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1328063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1328080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328106 */     // GIR_Coverage, 22218,
     /* 1328106 */     GIR_EraseRootFromParent_Done,
     /* 1328107 */   // Label 18308: @1328107
     /* 1328107 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1328209), // Rule ID 22219 //
     /* 1328112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1328123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1328126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1328132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328165 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1328165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1328182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328208 */     // GIR_Coverage, 22219,
     /* 1328208 */     GIR_EraseRootFromParent_Done,
     /* 1328209 */   // Label 18309: @1328209
     /* 1328209 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1328311), // Rule ID 22222 //
     /* 1328214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1328217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1328225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1328228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1328234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1328267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1328284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328310 */     // GIR_Coverage, 22222,
     /* 1328310 */     GIR_EraseRootFromParent_Done,
     /* 1328311 */   // Label 18310: @1328311
     /* 1328311 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1328413), // Rule ID 22223 //
     /* 1328316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1328319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1328327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1328330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1328336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1328369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1328386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328412 */     // GIR_Coverage, 22223,
     /* 1328412 */     GIR_EraseRootFromParent_Done,
     /* 1328413 */   // Label 18311: @1328413
     /* 1328413 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1328515), // Rule ID 22226 //
     /* 1328418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1328435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1328471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1328488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328514 */     // GIR_Coverage, 22226,
     /* 1328514 */     GIR_EraseRootFromParent_Done,
     /* 1328515 */   // Label 18312: @1328515
     /* 1328515 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1328617), // Rule ID 22227 //
     /* 1328520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1328537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328573 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1328573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1328590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328616 */     // GIR_Coverage, 22227,
     /* 1328616 */     GIR_EraseRootFromParent_Done,
     /* 1328617 */   // Label 18313: @1328617
     /* 1328617 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1328719), // Rule ID 22230 //
     /* 1328622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1328639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1328675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1328692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328718 */     // GIR_Coverage, 22230,
     /* 1328718 */     GIR_EraseRootFromParent_Done,
     /* 1328719 */   // Label 18314: @1328719
     /* 1328719 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1328821), // Rule ID 22231 //
     /* 1328724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1328741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328777 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1328777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328781 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328787 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1328794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328820 */     // GIR_Coverage, 22231,
     /* 1328820 */     GIR_EraseRootFromParent_Done,
     /* 1328821 */   // Label 18315: @1328821
     /* 1328821 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1328923), // Rule ID 22234 //
     /* 1328826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1328843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1328849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1328879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1328896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1328900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1328910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1328921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328922 */     // GIR_Coverage, 22234,
     /* 1328922 */     GIR_EraseRootFromParent_Done,
     /* 1328923 */   // Label 18316: @1328923
     /* 1328923 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1329025), // Rule ID 22235 //
     /* 1328928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1328936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1328939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1328942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1328945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1328948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1328951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328981 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1328981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1328985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1328991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1328995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1328998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1329020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329024 */     // GIR_Coverage, 22235,
     /* 1329024 */     GIR_EraseRootFromParent_Done,
     /* 1329025 */   // Label 18317: @1329025
     /* 1329025 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1329127), // Rule ID 22238 //
     /* 1329030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1329083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1329100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329126 */     // GIR_Coverage, 22238,
     /* 1329126 */     GIR_EraseRootFromParent_Done,
     /* 1329127 */   // Label 18318: @1329127
     /* 1329127 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1329229), // Rule ID 22239 //
     /* 1329132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329185 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1329185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1329202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329228 */     // GIR_Coverage, 22239,
     /* 1329228 */     GIR_EraseRootFromParent_Done,
     /* 1329229 */   // Label 18319: @1329229
     /* 1329229 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1329331), // Rule ID 22242 //
     /* 1329234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1329287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1329304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329330 */     // GIR_Coverage, 22242,
     /* 1329330 */     GIR_EraseRootFromParent_Done,
     /* 1329331 */   // Label 18320: @1329331
     /* 1329331 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1329433), // Rule ID 22243 //
     /* 1329336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1329389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1329406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329432 */     // GIR_Coverage, 22243,
     /* 1329432 */     GIR_EraseRootFromParent_Done,
     /* 1329433 */   // Label 18321: @1329433
     /* 1329433 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1329535), // Rule ID 22246 //
     /* 1329438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1329491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1329508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329534 */     // GIR_Coverage, 22246,
     /* 1329534 */     GIR_EraseRootFromParent_Done,
     /* 1329535 */   // Label 18322: @1329535
     /* 1329535 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1329637), // Rule ID 22247 //
     /* 1329540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1329551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1329554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1329560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1329593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1329610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329636 */     // GIR_Coverage, 22247,
     /* 1329636 */     GIR_EraseRootFromParent_Done,
     /* 1329637 */   // Label 18323: @1329637
     /* 1329637 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1329739), // Rule ID 22250 //
     /* 1329642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1329653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1329656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329695 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1329695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1329712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329738 */     // GIR_Coverage, 22250,
     /* 1329738 */     GIR_EraseRootFromParent_Done,
     /* 1329739 */   // Label 18324: @1329739
     /* 1329739 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1329841), // Rule ID 22251 //
     /* 1329744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1329755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1329758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1329797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329801 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1329814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329822 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329840 */     // GIR_Coverage, 22251,
     /* 1329840 */     GIR_EraseRootFromParent_Done,
     /* 1329841 */   // Label 18325: @1329841
     /* 1329841 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1329943), // Rule ID 22254 //
     /* 1329846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1329857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1329860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1329899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1329903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1329909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1329913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1329916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1329920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1329930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1329941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329942 */     // GIR_Coverage, 22254,
     /* 1329942 */     GIR_EraseRootFromParent_Done,
     /* 1329943 */   // Label 18326: @1329943
     /* 1329943 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1330045), // Rule ID 22255 //
     /* 1329948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1329956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1329959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1329962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1329968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1329978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1329990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1330001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1330018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330044 */     // GIR_Coverage, 22255,
     /* 1330044 */     GIR_EraseRootFromParent_Done,
     /* 1330045 */   // Label 18327: @1330045
     /* 1330045 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1330147), // Rule ID 22258 //
     /* 1330050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1330061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1330064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1330103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1330120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330146 */     // GIR_Coverage, 22258,
     /* 1330146 */     GIR_EraseRootFromParent_Done,
     /* 1330147 */   // Label 18328: @1330147
     /* 1330147 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1330249), // Rule ID 22259 //
     /* 1330152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1330163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1330166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1330169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1330172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1330175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330205 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1330205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1330222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330248 */     // GIR_Coverage, 22259,
     /* 1330248 */     GIR_EraseRootFromParent_Done,
     /* 1330249 */   // Label 18329: @1330249
     /* 1330249 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1330351), // Rule ID 22262 //
     /* 1330254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1330257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1330307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1330324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330350 */     // GIR_Coverage, 22262,
     /* 1330350 */     GIR_EraseRootFromParent_Done,
     /* 1330351 */   // Label 18330: @1330351
     /* 1330351 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1330453), // Rule ID 22263 //
     /* 1330356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330409 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1330409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1330426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330452 */     // GIR_Coverage, 22263,
     /* 1330452 */     GIR_EraseRootFromParent_Done,
     /* 1330453 */   // Label 18331: @1330453
     /* 1330453 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1330555), // Rule ID 22266 //
     /* 1330458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1330461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330511 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1330511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1330528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330536 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330554 */     // GIR_Coverage, 22266,
     /* 1330554 */     GIR_EraseRootFromParent_Done,
     /* 1330555 */   // Label 18332: @1330555
     /* 1330555 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1330657), // Rule ID 22267 //
     /* 1330560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330613 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1330613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1330630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330656 */     // GIR_Coverage, 22267,
     /* 1330656 */     GIR_EraseRootFromParent_Done,
     /* 1330657 */   // Label 18333: @1330657
     /* 1330657 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1330759), // Rule ID 22270 //
     /* 1330662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1330665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1330715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1330732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330758 */     // GIR_Coverage, 22270,
     /* 1330758 */     GIR_EraseRootFromParent_Done,
     /* 1330759 */   // Label 18334: @1330759
     /* 1330759 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1330861), // Rule ID 22271 //
     /* 1330764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1330772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1330775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1330778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1330784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330817 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1330817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1330834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330860 */     // GIR_Coverage, 22271,
     /* 1330860 */     GIR_EraseRootFromParent_Done,
     /* 1330861 */   // Label 18335: @1330861
     /* 1330861 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1330963), // Rule ID 22274 //
     /* 1330866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1330869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1330874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1330877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1330880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1330883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1330886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1330919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1330923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1330929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1330933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1330936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1330940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1330950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1330958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1330961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330962 */     // GIR_Coverage, 22274,
     /* 1330962 */     GIR_EraseRootFromParent_Done,
     /* 1330963 */   // Label 18336: @1330963
     /* 1330963 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1331065), // Rule ID 22275 //
     /* 1330968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1330971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1330976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1330979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1330982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1330985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1330988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1330998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331021 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1331021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1331038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331064 */     // GIR_Coverage, 22275,
     /* 1331064 */     GIR_EraseRootFromParent_Done,
     /* 1331065 */   // Label 18337: @1331065
     /* 1331065 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1331167), // Rule ID 22278 //
     /* 1331070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1331081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1331084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1331087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1331090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331123 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1331123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1331140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331166 */     // GIR_Coverage, 22278,
     /* 1331166 */     GIR_EraseRootFromParent_Done,
     /* 1331167 */   // Label 18338: @1331167
     /* 1331167 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1331269), // Rule ID 22279 //
     /* 1331172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1331183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1331186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1331189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1331192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1331225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1331242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331268 */     // GIR_Coverage, 22279,
     /* 1331268 */     GIR_EraseRootFromParent_Done,
     /* 1331269 */   // Label 18339: @1331269
     /* 1331269 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1331371), // Rule ID 22282 //
     /* 1331274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1331285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1331288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1331291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1331294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331327 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1331327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331331 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1331344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331370 */     // GIR_Coverage, 22282,
     /* 1331370 */     GIR_EraseRootFromParent_Done,
     /* 1331371 */   // Label 18340: @1331371
     /* 1331371 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1331473), // Rule ID 22283 //
     /* 1331376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1331387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1331390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1331393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1331396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331429 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1331429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1331446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1331468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331472 */     // GIR_Coverage, 22283,
     /* 1331472 */     GIR_EraseRootFromParent_Done,
     /* 1331473 */   // Label 18341: @1331473
     /* 1331473 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1331575), // Rule ID 22286 //
     /* 1331478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1331489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1331492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1331531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1331548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331574 */     // GIR_Coverage, 22286,
     /* 1331574 */     GIR_EraseRootFromParent_Done,
     /* 1331575 */   // Label 18342: @1331575
     /* 1331575 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1331677), // Rule ID 22287 //
     /* 1331580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1331591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1331594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1331597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1331633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1331650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331676 */     // GIR_Coverage, 22287,
     /* 1331676 */     GIR_EraseRootFromParent_Done,
     /* 1331677 */   // Label 18343: @1331677
     /* 1331677 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1331779), // Rule ID 22290 //
     /* 1331682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1331693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1331696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331735 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1331735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1331752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331778 */     // GIR_Coverage, 22290,
     /* 1331778 */     GIR_EraseRootFromParent_Done,
     /* 1331779 */   // Label 18344: @1331779
     /* 1331779 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1331881), // Rule ID 22291 //
     /* 1331784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1331795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1331798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1331801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331837 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1331837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331841 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331847 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1331854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331862 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331880 */     // GIR_Coverage, 22291,
     /* 1331880 */     GIR_EraseRootFromParent_Done,
     /* 1331881 */   // Label 18345: @1331881
     /* 1331881 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1331983), // Rule ID 22294 //
     /* 1331886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1331889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1331897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1331900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1331903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1331906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1331916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1331939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1331943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1331949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1331953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1331956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1331960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1331970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1331981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331982 */     // GIR_Coverage, 22294,
     /* 1331982 */     GIR_EraseRootFromParent_Done,
     /* 1331983 */   // Label 18346: @1331983
     /* 1331983 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1332085), // Rule ID 22295 //
     /* 1331988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1331991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1331996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1331999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1332002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1332005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1332008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1332041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1332058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332084 */     // GIR_Coverage, 22295,
     /* 1332084 */     GIR_EraseRootFromParent_Done,
     /* 1332085 */   // Label 18347: @1332085
     /* 1332085 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1332187), // Rule ID 22298 //
     /* 1332090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1332101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1332104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1332107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1332110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332143 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1332143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332147 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1332160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332186 */     // GIR_Coverage, 22298,
     /* 1332186 */     GIR_EraseRootFromParent_Done,
     /* 1332187 */   // Label 18348: @1332187
     /* 1332187 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1332289), // Rule ID 22299 //
     /* 1332192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1332203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1332206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1332209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1332212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332245 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1332245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1332262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332288 */     // GIR_Coverage, 22299,
     /* 1332288 */     GIR_EraseRootFromParent_Done,
     /* 1332289 */   // Label 18349: @1332289
     /* 1332289 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1332391), // Rule ID 22302 //
     /* 1332294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1332305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1332308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1332314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1332347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1332364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332390 */     // GIR_Coverage, 22302,
     /* 1332390 */     GIR_EraseRootFromParent_Done,
     /* 1332391 */   // Label 18350: @1332391
     /* 1332391 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1332493), // Rule ID 22303 //
     /* 1332396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1332407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1332410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1332413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1332416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1332449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1332466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1332488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332492 */     // GIR_Coverage, 22303,
     /* 1332492 */     GIR_EraseRootFromParent_Done,
     /* 1332493 */   // Label 18351: @1332493
     /* 1332493 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1332595), // Rule ID 22306 //
     /* 1332498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1332509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1332512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1332518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332551 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1332551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1332568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332594 */     // GIR_Coverage, 22306,
     /* 1332594 */     GIR_EraseRootFromParent_Done,
     /* 1332595 */   // Label 18352: @1332595
     /* 1332595 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1332697), // Rule ID 22307 //
     /* 1332600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1332603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1332611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1332614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1332617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1332620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1332653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1332670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332696 */     // GIR_Coverage, 22307,
     /* 1332696 */     GIR_EraseRootFromParent_Done,
     /* 1332697 */   // Label 18353: @1332697
     /* 1332697 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1332799), // Rule ID 22310 //
     /* 1332702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1332705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1332713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1332716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1332722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332755 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1332755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1332772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332798 */     // GIR_Coverage, 22310,
     /* 1332798 */     GIR_EraseRootFromParent_Done,
     /* 1332799 */   // Label 18354: @1332799
     /* 1332799 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1332901), // Rule ID 22311 //
     /* 1332804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1332807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1332815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1332818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1332821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1332824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332857 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1332857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332861 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1332874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1332899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332900 */     // GIR_Coverage, 22311,
     /* 1332900 */     GIR_EraseRootFromParent_Done,
     /* 1332901 */   // Label 18355: @1332901
     /* 1332901 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1333003), // Rule ID 22314 //
     /* 1332906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1332909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1332914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1332917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1332920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1332923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1332926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1332936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332959 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1332959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1332963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1332969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1332973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1332976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1332980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1332990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1332998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333002 */     // GIR_Coverage, 22314,
     /* 1333002 */     GIR_EraseRootFromParent_Done,
     /* 1333003 */   // Label 18356: @1333003
     /* 1333003 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1333105), // Rule ID 22315 //
     /* 1333008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1333019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1333022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1333025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1333028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333061 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1333061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1333078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333104 */     // GIR_Coverage, 22315,
     /* 1333104 */     GIR_EraseRootFromParent_Done,
     /* 1333105 */   // Label 18357: @1333105
     /* 1333105 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1333207), // Rule ID 22318 //
     /* 1333110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1333121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1333124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1333127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1333130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1333163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1333180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333206 */     // GIR_Coverage, 22318,
     /* 1333206 */     GIR_EraseRootFromParent_Done,
     /* 1333207 */   // Label 18358: @1333207
     /* 1333207 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1333309), // Rule ID 22319 //
     /* 1333212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1333223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1333226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1333229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1333232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1333265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1333282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333308 */     // GIR_Coverage, 22319,
     /* 1333308 */     GIR_EraseRootFromParent_Done,
     /* 1333309 */   // Label 18359: @1333309
     /* 1333309 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1333411), // Rule ID 22322 //
     /* 1333314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1333325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1333328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1333331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1333334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1333337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333367 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1333367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1333384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333410 */     // GIR_Coverage, 22322,
     /* 1333410 */     GIR_EraseRootFromParent_Done,
     /* 1333411 */   // Label 18360: @1333411
     /* 1333411 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1333513), // Rule ID 22323 //
     /* 1333416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1333427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1333430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1333433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1333436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1333439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1333469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1333486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1333508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333512 */     // GIR_Coverage, 22323,
     /* 1333512 */     GIR_EraseRootFromParent_Done,
     /* 1333513 */   // Label 18361: @1333513
     /* 1333513 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1333615), // Rule ID 22326 //
     /* 1333518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1333571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1333588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333614 */     // GIR_Coverage, 22326,
     /* 1333614 */     GIR_EraseRootFromParent_Done,
     /* 1333615 */   // Label 18362: @1333615
     /* 1333615 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1333717), // Rule ID 22327 //
     /* 1333620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1333658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333673 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1333673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1333690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333716 */     // GIR_Coverage, 22327,
     /* 1333716 */     GIR_EraseRootFromParent_Done,
     /* 1333717 */   // Label 18363: @1333717
     /* 1333717 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1333819), // Rule ID 22330 //
     /* 1333722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333775 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1333775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1333792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333818 */     // GIR_Coverage, 22330,
     /* 1333818 */     GIR_EraseRootFromParent_Done,
     /* 1333819 */   // Label 18364: @1333819
     /* 1333819 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1333921), // Rule ID 22331 //
     /* 1333824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1333827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1333841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1333847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1333862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333877 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1333877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333881 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1333894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1333898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1333908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1333919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333920 */     // GIR_Coverage, 22331,
     /* 1333920 */     GIR_EraseRootFromParent_Done,
     /* 1333921 */   // Label 18365: @1333921
     /* 1333921 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1334023), // Rule ID 22334 //
     /* 1333926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1333929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1333934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1333937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1333940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1333943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1333946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1333949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1333956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1333964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1333979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1333983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1333989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1333993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1333996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334022 */     // GIR_Coverage, 22334,
     /* 1334022 */     GIR_EraseRootFromParent_Done,
     /* 1334023 */   // Label 18366: @1334023
     /* 1334023 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1334125), // Rule ID 22335 //
     /* 1334028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1334039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1334042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1334048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334081 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1334081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1334098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334124 */     // GIR_Coverage, 22335,
     /* 1334124 */     GIR_EraseRootFromParent_Done,
     /* 1334125 */   // Label 18367: @1334125
     /* 1334125 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1334227), // Rule ID 22338 //
     /* 1334130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1334183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1334200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334226 */     // GIR_Coverage, 22338,
     /* 1334226 */     GIR_EraseRootFromParent_Done,
     /* 1334227 */   // Label 18368: @1334227
     /* 1334227 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1334329), // Rule ID 22339 //
     /* 1334232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334285 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1334285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1334302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334328 */     // GIR_Coverage, 22339,
     /* 1334328 */     GIR_EraseRootFromParent_Done,
     /* 1334329 */   // Label 18369: @1334329
     /* 1334329 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1334431), // Rule ID 22342 //
     /* 1334334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1334387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1334404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334430 */     // GIR_Coverage, 22342,
     /* 1334430 */     GIR_EraseRootFromParent_Done,
     /* 1334431 */   // Label 18370: @1334431
     /* 1334431 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1334533), // Rule ID 22343 //
     /* 1334436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1334489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1334506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334532 */     // GIR_Coverage, 22343,
     /* 1334532 */     GIR_EraseRootFromParent_Done,
     /* 1334533 */   // Label 18371: @1334533
     /* 1334533 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1334635), // Rule ID 22346 //
     /* 1334538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1334541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334591 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1334591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1334608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334634 */     // GIR_Coverage, 22346,
     /* 1334634 */     GIR_EraseRootFromParent_Done,
     /* 1334635 */   // Label 18372: @1334635
     /* 1334635 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1334737), // Rule ID 22347 //
     /* 1334640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1334643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1334651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1334654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1334660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1334693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1334710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334736 */     // GIR_Coverage, 22347,
     /* 1334736 */     GIR_EraseRootFromParent_Done,
     /* 1334737 */   // Label 18373: @1334737
     /* 1334737 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1334839), // Rule ID 22350 //
     /* 1334742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1334745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1334753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1334756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1334762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1334795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1334812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334838 */     // GIR_Coverage, 22350,
     /* 1334838 */     GIR_EraseRootFromParent_Done,
     /* 1334839 */   // Label 18374: @1334839
     /* 1334839 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1334941), // Rule ID 22351 //
     /* 1334844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1334847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1334855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1334858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1334864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1334867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1334897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1334901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1334907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1334911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1334914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1334918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1334928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1334936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1334939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334940 */     // GIR_Coverage, 22351,
     /* 1334940 */     GIR_EraseRootFromParent_Done,
     /* 1334941 */   // Label 18375: @1334941
     /* 1334941 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1335043), // Rule ID 22354 //
     /* 1334946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1334949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1334954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1334957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1334960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1334963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1334966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1334976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334999 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1334999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1335016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335042 */     // GIR_Coverage, 22354,
     /* 1335042 */     GIR_EraseRootFromParent_Done,
     /* 1335043 */   // Label 18376: @1335043
     /* 1335043 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1335145), // Rule ID 22355 //
     /* 1335048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1335051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1335056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1335059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1335062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335101 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1335101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1335118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335144 */     // GIR_Coverage, 22355,
     /* 1335144 */     GIR_EraseRootFromParent_Done,
     /* 1335145 */   // Label 18377: @1335145
     /* 1335145 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1335247), // Rule ID 22358 //
     /* 1335150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1335153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1335158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1335161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1335164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1335203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1335220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335246 */     // GIR_Coverage, 22358,
     /* 1335246 */     GIR_EraseRootFromParent_Done,
     /* 1335247 */   // Label 18378: @1335247
     /* 1335247 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1335349), // Rule ID 22359 //
     /* 1335252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1335255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1335260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1335263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1335266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1335272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1335305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1335322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335348 */     // GIR_Coverage, 22359,
     /* 1335348 */     GIR_EraseRootFromParent_Done,
     /* 1335349 */   // Label 18379: @1335349
     /* 1335349 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1335451), // Rule ID 22362 //
     /* 1335354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1335371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335407 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1335407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1335424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335450 */     // GIR_Coverage, 22362,
     /* 1335450 */     GIR_EraseRootFromParent_Done,
     /* 1335451 */   // Label 18380: @1335451
     /* 1335451 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1335553), // Rule ID 22363 //
     /* 1335456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1335459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1335473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1335509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1335526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335552 */     // GIR_Coverage, 22363,
     /* 1335552 */     GIR_EraseRootFromParent_Done,
     /* 1335553 */   // Label 18381: @1335553
     /* 1335553 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1335655), // Rule ID 22366 //
     /* 1335558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1335575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335611 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1335611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1335628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335654 */     // GIR_Coverage, 22366,
     /* 1335654 */     GIR_EraseRootFromParent_Done,
     /* 1335655 */   // Label 18382: @1335655
     /* 1335655 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1335757), // Rule ID 22367 //
     /* 1335660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1335663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1335677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335713 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1335713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1335730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335756 */     // GIR_Coverage, 22367,
     /* 1335756 */     GIR_EraseRootFromParent_Done,
     /* 1335757 */   // Label 18383: @1335757
     /* 1335757 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1335859), // Rule ID 22370 //
     /* 1335762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1335779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335815 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1335815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1335832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335858 */     // GIR_Coverage, 22370,
     /* 1335858 */     GIR_EraseRootFromParent_Done,
     /* 1335859 */   // Label 18384: @1335859
     /* 1335859 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1335961), // Rule ID 22371 //
     /* 1335864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1335867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1335875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1335878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1335881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1335884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1335917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1335921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1335927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1335931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1335934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1335938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1335948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1335956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1335959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335960 */     // GIR_Coverage, 22371,
     /* 1335960 */     GIR_EraseRootFromParent_Done,
     /* 1335961 */   // Label 18385: @1335961
     /* 1335961 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1336063), // Rule ID 22374 //
     /* 1335966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1335969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1335974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1335977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1335980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1335986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1335996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1336019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1336036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336062 */     // GIR_Coverage, 22374,
     /* 1336062 */     GIR_EraseRootFromParent_Done,
     /* 1336063 */   // Label 18386: @1336063
     /* 1336063 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1336165), // Rule ID 22375 //
     /* 1336068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1336079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1336082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1336085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336121 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1336121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1336138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336164 */     // GIR_Coverage, 22375,
     /* 1336164 */     GIR_EraseRootFromParent_Done,
     /* 1336165 */   // Label 18387: @1336165
     /* 1336165 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1336267), // Rule ID 22378 //
     /* 1336170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1336181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1336184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336223 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1336223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1336240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336266 */     // GIR_Coverage, 22378,
     /* 1336266 */     GIR_EraseRootFromParent_Done,
     /* 1336267 */   // Label 18388: @1336267
     /* 1336267 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1336369), // Rule ID 22379 //
     /* 1336272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1336283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1336286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1336289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336325 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1336325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1336342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336368 */     // GIR_Coverage, 22379,
     /* 1336368 */     GIR_EraseRootFromParent_Done,
     /* 1336369 */   // Label 18389: @1336369
     /* 1336369 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1336471), // Rule ID 22382 //
     /* 1336374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1336385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1336388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1336427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1336444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336470 */     // GIR_Coverage, 22382,
     /* 1336470 */     GIR_EraseRootFromParent_Done,
     /* 1336471 */   // Label 18390: @1336471
     /* 1336471 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1336573), // Rule ID 22383 //
     /* 1336476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1336487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1336490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1336493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1336529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1336546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336572 */     // GIR_Coverage, 22383,
     /* 1336572 */     GIR_EraseRootFromParent_Done,
     /* 1336573 */   // Label 18391: @1336573
     /* 1336573 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1336675), // Rule ID 22386 //
     /* 1336578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1336589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1336592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1336595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1336598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336631 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1336631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1336648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336674 */     // GIR_Coverage, 22386,
     /* 1336674 */     GIR_EraseRootFromParent_Done,
     /* 1336675 */   // Label 18392: @1336675
     /* 1336675 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1336777), // Rule ID 22387 //
     /* 1336680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1336691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1336694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1336697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1336700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336733 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1336733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1336750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1336772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336776 */     // GIR_Coverage, 22387,
     /* 1336776 */     GIR_EraseRootFromParent_Done,
     /* 1336777 */   // Label 18393: @1336777
     /* 1336777 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1336879), // Rule ID 22390 //
     /* 1336782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1336793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1336796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336835 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1336835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1336852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336878 */     // GIR_Coverage, 22390,
     /* 1336878 */     GIR_EraseRootFromParent_Done,
     /* 1336879 */   // Label 18394: @1336879
     /* 1336879 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1336981), // Rule ID 22391 //
     /* 1336884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1336887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1336895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1336898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1336914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1336937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1336941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1336947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1336951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1336954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1336958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1336968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1336979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336980 */     // GIR_Coverage, 22391,
     /* 1336980 */     GIR_EraseRootFromParent_Done,
     /* 1336981 */   // Label 18395: @1336981
     /* 1336981 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1337083), // Rule ID 22394 //
     /* 1336986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1336989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1336994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1336997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1337000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1337006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337039 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1337039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1337056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337082 */     // GIR_Coverage, 22394,
     /* 1337082 */     GIR_EraseRootFromParent_Done,
     /* 1337083 */   // Label 18396: @1337083
     /* 1337083 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1337185), // Rule ID 22395 //
     /* 1337088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1337099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1337102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1337105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1337108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337141 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1337141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1337158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337184 */     // GIR_Coverage, 22395,
     /* 1337184 */     GIR_EraseRootFromParent_Done,
     /* 1337185 */   // Label 18397: @1337185
     /* 1337185 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1337287), // Rule ID 22398 //
     /* 1337190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1337193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1337201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1337204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1337210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1337243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1337260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337286 */     // GIR_Coverage, 22398,
     /* 1337286 */     GIR_EraseRootFromParent_Done,
     /* 1337287 */   // Label 18398: @1337287
     /* 1337287 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1337389), // Rule ID 22399 //
     /* 1337292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1337295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1337303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1337306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1337309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1337312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1337315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337345 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1337345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1337362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337388 */     // GIR_Coverage, 22399,
     /* 1337388 */     GIR_EraseRootFromParent_Done,
     /* 1337389 */   // Label 18399: @1337389
     /* 1337389 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1337491), // Rule ID 22402 //
     /* 1337394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1337411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1337447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337451 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1337464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337490 */     // GIR_Coverage, 22402,
     /* 1337490 */     GIR_EraseRootFromParent_Done,
     /* 1337491 */   // Label 18400: @1337491
     /* 1337491 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1337593), // Rule ID 22403 //
     /* 1337496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1337513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337549 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1337549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1337566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337592 */     // GIR_Coverage, 22403,
     /* 1337592 */     GIR_EraseRootFromParent_Done,
     /* 1337593 */   // Label 18401: @1337593
     /* 1337593 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1337695), // Rule ID 22406 //
     /* 1337598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1337615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1337651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1337668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337694 */     // GIR_Coverage, 22406,
     /* 1337694 */     GIR_EraseRootFromParent_Done,
     /* 1337695 */   // Label 18402: @1337695
     /* 1337695 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1337797), // Rule ID 22407 //
     /* 1337700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1337717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1337723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1337753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1337770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337796 */     // GIR_Coverage, 22407,
     /* 1337796 */     GIR_EraseRootFromParent_Done,
     /* 1337797 */   // Label 18403: @1337797
     /* 1337797 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1337899), // Rule ID 22410 //
     /* 1337802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1337805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1337819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1337825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337855 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1337855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1337872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337898 */     // GIR_Coverage, 22410,
     /* 1337898 */     GIR_EraseRootFromParent_Done,
     /* 1337899 */   // Label 18404: @1337899
     /* 1337899 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1338001), // Rule ID 22411 //
     /* 1337904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1337907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1337912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1337915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1337918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1337921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1337924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1337927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1337934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337957 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11136:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1337957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1337961 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1337967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1337971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1337974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1337978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1337988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1337996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1337999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338000 */     // GIR_Coverage, 22411,
     /* 1338000 */     GIR_EraseRootFromParent_Done,
     /* 1338001 */   // Label 18405: @1338001
     /* 1338001 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1338103), // Rule ID 22414 //
     /* 1338006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1338059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1338076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338102 */     // GIR_Coverage, 22414,
     /* 1338102 */     GIR_EraseRootFromParent_Done,
     /* 1338103 */   // Label 18406: @1338103
     /* 1338103 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1338205), // Rule ID 22415 //
     /* 1338108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1338125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1338161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1338178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338204 */     // GIR_Coverage, 22415,
     /* 1338204 */     GIR_EraseRootFromParent_Done,
     /* 1338205 */   // Label 18407: @1338205
     /* 1338205 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1338307), // Rule ID 22418 //
     /* 1338210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338263 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1338263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1338280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338306 */     // GIR_Coverage, 22418,
     /* 1338306 */     GIR_EraseRootFromParent_Done,
     /* 1338307 */   // Label 18408: @1338307
     /* 1338307 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1338409), // Rule ID 22419 //
     /* 1338312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1338329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1338335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338365 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1338365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1338382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338408 */     // GIR_Coverage, 22419,
     /* 1338408 */     GIR_EraseRootFromParent_Done,
     /* 1338409 */   // Label 18409: @1338409
     /* 1338409 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1338511), // Rule ID 22422 //
     /* 1338414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1338467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1338484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338510 */     // GIR_Coverage, 22422,
     /* 1338510 */     GIR_EraseRootFromParent_Done,
     /* 1338511 */   // Label 18410: @1338511
     /* 1338511 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1338613), // Rule ID 22423 //
     /* 1338516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1338527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1338530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1338533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1338536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1338539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1338554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338569 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11136:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1338569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1338586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338612 */     // GIR_Coverage, 22423,
     /* 1338612 */     GIR_EraseRootFromParent_Done,
     /* 1338613 */   // Label 18411: @1338613
     /* 1338613 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1338715), // Rule ID 22426 //
     /* 1338618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1338629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1338632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1338638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338671 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1338671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1338688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338714 */     // GIR_Coverage, 22426,
     /* 1338714 */     GIR_EraseRootFromParent_Done,
     /* 1338715 */   // Label 18412: @1338715
     /* 1338715 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1338817), // Rule ID 22427 //
     /* 1338720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1338731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1338734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1338737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1338740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1338758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1338773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1338790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338816 */     // GIR_Coverage, 22427,
     /* 1338816 */     GIR_EraseRootFromParent_Done,
     /* 1338817 */   // Label 18413: @1338817
     /* 1338817 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1338919), // Rule ID 22430 //
     /* 1338822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1338825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1338833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1338836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1338842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1338875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1338892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1338906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1338917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338918 */     // GIR_Coverage, 22430,
     /* 1338918 */     GIR_EraseRootFromParent_Done,
     /* 1338919 */   // Label 18414: @1338919
     /* 1338919 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1339021), // Rule ID 22431 //
     /* 1338924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1338927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1338932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1338935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1338938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1338941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1338944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1338947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1338954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1338962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338977 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1338977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1338981 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1338987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1338991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1338994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1338998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339020 */     // GIR_Coverage, 22431,
     /* 1339020 */     GIR_EraseRootFromParent_Done,
     /* 1339021 */   // Label 18415: @1339021
     /* 1339021 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1339123), // Rule ID 22434 //
     /* 1339026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1339029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1339037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1339040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339079 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1339079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1339096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339122 */     // GIR_Coverage, 22434,
     /* 1339122 */     GIR_EraseRootFromParent_Done,
     /* 1339123 */   // Label 18416: @1339123
     /* 1339123 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1339225), // Rule ID 22435 //
     /* 1339128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1339131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1339139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1339142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1339148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339181 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11136:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1339181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1339198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339224 */     // GIR_Coverage, 22435,
     /* 1339224 */     GIR_EraseRootFromParent_Done,
     /* 1339225 */   // Label 18417: @1339225
     /* 1339225 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1339327), // Rule ID 22438 //
     /* 1339230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1339233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1339283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1339300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339326 */     // GIR_Coverage, 22438,
     /* 1339326 */     GIR_EraseRootFromParent_Done,
     /* 1339327 */   // Label 18418: @1339327
     /* 1339327 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1339429), // Rule ID 22439 //
     /* 1339332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1339335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1339349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1339355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339385 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1339385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1339402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339428 */     // GIR_Coverage, 22439,
     /* 1339428 */     GIR_EraseRootFromParent_Done,
     /* 1339429 */   // Label 18419: @1339429
     /* 1339429 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1339531), // Rule ID 22442 //
     /* 1339434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1339437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339487 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1339487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1339504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339530 */     // GIR_Coverage, 22442,
     /* 1339530 */     GIR_EraseRootFromParent_Done,
     /* 1339531 */   // Label 18420: @1339531
     /* 1339531 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1339633), // Rule ID 22443 //
     /* 1339536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1339539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1339553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339589 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1339589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1339606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339632 */     // GIR_Coverage, 22443,
     /* 1339632 */     GIR_EraseRootFromParent_Done,
     /* 1339633 */   // Label 18421: @1339633
     /* 1339633 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1339735), // Rule ID 22446 //
     /* 1339638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1339641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1339691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1339708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339734 */     // GIR_Coverage, 22446,
     /* 1339734 */     GIR_EraseRootFromParent_Done,
     /* 1339735 */   // Label 18422: @1339735
     /* 1339735 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1339837), // Rule ID 22447 //
     /* 1339740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1339743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1339748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1339751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1339754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1339757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1339760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11136:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1339793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1339810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1339832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339836 */     // GIR_Coverage, 22447,
     /* 1339836 */     GIR_EraseRootFromParent_Done,
     /* 1339837 */   // Label 18423: @1339837
     /* 1339837 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1339939), // Rule ID 22450 //
     /* 1339842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1339845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1339850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1339853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1339856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1339859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1339862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339895 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1339895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1339899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1339905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1339909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1339912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1339916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1339926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1339934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1339937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339938 */     // GIR_Coverage, 22450,
     /* 1339938 */     GIR_EraseRootFromParent_Done,
     /* 1339939 */   // Label 18424: @1339939
     /* 1339939 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1340041), // Rule ID 22451 //
     /* 1339944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1339947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1339952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1339955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1339958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1339961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1339964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1339967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1339974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1339997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1340014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340022 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340040 */     // GIR_Coverage, 22451,
     /* 1340040 */     GIR_EraseRootFromParent_Done,
     /* 1340041 */   // Label 18425: @1340041
     /* 1340041 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1340143), // Rule ID 22454 //
     /* 1340046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1340057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1340060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1340063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1340066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1340099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1340116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340142 */     // GIR_Coverage, 22454,
     /* 1340142 */     GIR_EraseRootFromParent_Done,
     /* 1340143 */   // Label 18426: @1340143
     /* 1340143 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1340245), // Rule ID 22455 //
     /* 1340148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1340159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1340162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1340165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1340168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340201 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1340201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1340218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340244 */     // GIR_Coverage, 22455,
     /* 1340244 */     GIR_EraseRootFromParent_Done,
     /* 1340245 */   // Label 18427: @1340245
     /* 1340245 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1340347), // Rule ID 22458 //
     /* 1340250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1340261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1340264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1340267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1340270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1340303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340307 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1340320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340346 */     // GIR_Coverage, 22458,
     /* 1340346 */     GIR_EraseRootFromParent_Done,
     /* 1340347 */   // Label 18428: @1340347
     /* 1340347 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1340449), // Rule ID 22459 //
     /* 1340352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1340363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1340366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1340369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1340372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340405 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1340405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1340422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1340444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340448 */     // GIR_Coverage, 22459,
     /* 1340448 */     GIR_EraseRootFromParent_Done,
     /* 1340449 */   // Label 18429: @1340449
     /* 1340449 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1340551), // Rule ID 22462 //
     /* 1340454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1340465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1340468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1340474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1340507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1340524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340550 */     // GIR_Coverage, 22462,
     /* 1340550 */     GIR_EraseRootFromParent_Done,
     /* 1340551 */   // Label 18430: @1340551
     /* 1340551 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1340653), // Rule ID 22463 //
     /* 1340556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1340567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1340570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1340576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1340609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1340626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340652 */     // GIR_Coverage, 22463,
     /* 1340652 */     GIR_EraseRootFromParent_Done,
     /* 1340653 */   // Label 18431: @1340653
     /* 1340653 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1340755), // Rule ID 22466 //
     /* 1340658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1340669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1340672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1340678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1340711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1340728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340754 */     // GIR_Coverage, 22466,
     /* 1340754 */     GIR_EraseRootFromParent_Done,
     /* 1340755 */   // Label 18432: @1340755
     /* 1340755 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1340857), // Rule ID 22467 //
     /* 1340760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1340771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1340774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1340780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340813 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1340813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1340830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340856 */     // GIR_Coverage, 22467,
     /* 1340856 */     GIR_EraseRootFromParent_Done,
     /* 1340857 */   // Label 18433: @1340857
     /* 1340857 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1340959), // Rule ID 22470 //
     /* 1340862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1340865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1340873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1340876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1340882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1340915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1340919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1340925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1340929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1340932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1340936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1340946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1340957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340958 */     // GIR_Coverage, 22470,
     /* 1340958 */     GIR_EraseRootFromParent_Done,
     /* 1340959 */   // Label 18434: @1340959
     /* 1340959 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1341061), // Rule ID 22471 //
     /* 1340964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1340967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1340972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1340975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1340978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1340984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1340994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341017 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1341017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1341034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341060 */     // GIR_Coverage, 22471,
     /* 1341060 */     GIR_EraseRootFromParent_Done,
     /* 1341061 */   // Label 18435: @1341061
     /* 1341061 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1341163), // Rule ID 22474 //
     /* 1341066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1341083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1341086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341119 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1341119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1341136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1341158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341162 */     // GIR_Coverage, 22474,
     /* 1341162 */     GIR_EraseRootFromParent_Done,
     /* 1341163 */   // Label 18436: @1341163
     /* 1341163 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1341265), // Rule ID 22475 //
     /* 1341168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1341185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1341188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341221 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1341221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1341238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1341260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341264 */     // GIR_Coverage, 22475,
     /* 1341264 */     GIR_EraseRootFromParent_Done,
     /* 1341265 */   // Label 18437: @1341265
     /* 1341265 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1341367), // Rule ID 22478 //
     /* 1341270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1341281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1341284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1341323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1341340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341366 */     // GIR_Coverage, 22478,
     /* 1341366 */     GIR_EraseRootFromParent_Done,
     /* 1341367 */   // Label 18438: @1341367
     /* 1341367 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1341469), // Rule ID 22479 //
     /* 1341372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1341383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1341386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341425 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1341425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1341442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341468 */     // GIR_Coverage, 22479,
     /* 1341468 */     GIR_EraseRootFromParent_Done,
     /* 1341469 */   // Label 18439: @1341469
     /* 1341469 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1341571), // Rule ID 22482 //
     /* 1341474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1341485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1341488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341527 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1341527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1341544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341570 */     // GIR_Coverage, 22482,
     /* 1341570 */     GIR_EraseRootFromParent_Done,
     /* 1341571 */   // Label 18440: @1341571
     /* 1341571 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1341673), // Rule ID 22483 //
     /* 1341576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1341587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1341590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1341629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1341646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341672 */     // GIR_Coverage, 22483,
     /* 1341672 */     GIR_EraseRootFromParent_Done,
     /* 1341673 */   // Label 18441: @1341673
     /* 1341673 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1341775), // Rule ID 22486 //
     /* 1341678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1341681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1341689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1341692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1341731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1341748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341774 */     // GIR_Coverage, 22486,
     /* 1341774 */     GIR_EraseRootFromParent_Done,
     /* 1341775 */   // Label 18442: @1341775
     /* 1341775 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1341877), // Rule ID 22487 //
     /* 1341780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1341783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1341791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1341794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341833 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1341833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1341850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341876 */     // GIR_Coverage, 22487,
     /* 1341876 */     GIR_EraseRootFromParent_Done,
     /* 1341877 */   // Label 18443: @1341877
     /* 1341877 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1341979), // Rule ID 22490 //
     /* 1341882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1341885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1341899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1341902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1341912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341935 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1341935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1341939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1341945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1341949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1341952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1341956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1341966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1341974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1341977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341978 */     // GIR_Coverage, 22490,
     /* 1341978 */     GIR_EraseRootFromParent_Done,
     /* 1341979 */   // Label 18444: @1341979
     /* 1341979 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1342081), // Rule ID 22491 //
     /* 1341984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1341987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1341992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1341995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1341998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1342001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1342004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1342037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1342054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342080 */     // GIR_Coverage, 22491,
     /* 1342080 */     GIR_EraseRootFromParent_Done,
     /* 1342081 */   // Label 18445: @1342081
     /* 1342081 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1342183), // Rule ID 22494 //
     /* 1342086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1342097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1342100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1342103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1342106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342139 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1342139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1342156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342182 */     // GIR_Coverage, 22494,
     /* 1342182 */     GIR_EraseRootFromParent_Done,
     /* 1342183 */   // Label 18446: @1342183
     /* 1342183 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1342285), // Rule ID 22495 //
     /* 1342188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1342199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1342202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1342205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1342208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342241 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1342241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1342258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342284 */     // GIR_Coverage, 22495,
     /* 1342284 */     GIR_EraseRootFromParent_Done,
     /* 1342285 */   // Label 18447: @1342285
     /* 1342285 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1342387), // Rule ID 22498 //
     /* 1342290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1342301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1342304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1342307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1342310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1342313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342343 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1342343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1342360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342386 */     // GIR_Coverage, 22498,
     /* 1342386 */     GIR_EraseRootFromParent_Done,
     /* 1342387 */   // Label 18448: @1342387
     /* 1342387 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1342489), // Rule ID 22499 //
     /* 1342392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1342403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1342406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1342409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1342412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1342415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342445 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11134:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1342445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1342462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1342484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342488 */     // GIR_Coverage, 22499,
     /* 1342488 */     GIR_EraseRootFromParent_Done,
     /* 1342489 */   // Label 18449: @1342489
     /* 1342489 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1342591), // Rule ID 22502 //
     /* 1342494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1342505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1342508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1342514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1342547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1342564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342590 */     // GIR_Coverage, 22502,
     /* 1342590 */     GIR_EraseRootFromParent_Done,
     /* 1342591 */   // Label 18450: @1342591
     /* 1342591 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1342693), // Rule ID 22503 //
     /* 1342596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1342607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1342610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1342613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1342616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342649 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1342649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1342666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342692 */     // GIR_Coverage, 22503,
     /* 1342692 */     GIR_EraseRootFromParent_Done,
     /* 1342693 */   // Label 18451: @1342693
     /* 1342693 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1342795), // Rule ID 22506 //
     /* 1342698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1342709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1342712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1342718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342751 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1342751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1342768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342794 */     // GIR_Coverage, 22506,
     /* 1342794 */     GIR_EraseRootFromParent_Done,
     /* 1342795 */   // Label 18452: @1342795
     /* 1342795 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1342897), // Rule ID 22507 //
     /* 1342800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1342803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1342811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1342814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1342817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1342820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1342853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1342870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342896 */     // GIR_Coverage, 22507,
     /* 1342896 */     GIR_EraseRootFromParent_Done,
     /* 1342897 */   // Label 18453: @1342897
     /* 1342897 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1342999), // Rule ID 22510 //
     /* 1342902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1342905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1342910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1342913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1342916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1342919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1342922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1342925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1342932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1342955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1342959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1342965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1342969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1342972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1342976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1342986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1342997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342998 */     // GIR_Coverage, 22510,
     /* 1342998 */     GIR_EraseRootFromParent_Done,
     /* 1342999 */   // Label 18454: @1342999
     /* 1342999 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1343101), // Rule ID 22511 //
     /* 1343004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1343015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1343018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1343021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1343024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1343027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11134:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1343057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1343074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343100 */     // GIR_Coverage, 22511,
     /* 1343100 */     GIR_EraseRootFromParent_Done,
     /* 1343101 */   // Label 18455: @1343101
     /* 1343101 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1343203), // Rule ID 22514 //
     /* 1343106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1343159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1343176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343202 */     // GIR_Coverage, 22514,
     /* 1343202 */     GIR_EraseRootFromParent_Done,
     /* 1343203 */   // Label 18456: @1343203
     /* 1343203 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1343305), // Rule ID 22515 //
     /* 1343208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1343225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343261 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1343261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1343278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343286 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343304 */     // GIR_Coverage, 22515,
     /* 1343304 */     GIR_EraseRootFromParent_Done,
     /* 1343305 */   // Label 18457: @1343305
     /* 1343305 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1343407), // Rule ID 22518 //
     /* 1343310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1343363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1343380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343406 */     // GIR_Coverage, 22518,
     /* 1343406 */     GIR_EraseRootFromParent_Done,
     /* 1343407 */   // Label 18458: @1343407
     /* 1343407 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1343509), // Rule ID 22519 //
     /* 1343412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1343429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1343435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1343465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1343482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343508 */     // GIR_Coverage, 22519,
     /* 1343508 */     GIR_EraseRootFromParent_Done,
     /* 1343509 */   // Label 18459: @1343509
     /* 1343509 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1343611), // Rule ID 22522 //
     /* 1343514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1343517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343567 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1343567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1343584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343610 */     // GIR_Coverage, 22522,
     /* 1343610 */     GIR_EraseRootFromParent_Done,
     /* 1343611 */   // Label 18460: @1343611
     /* 1343611 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1343713), // Rule ID 22523 //
     /* 1343616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1343619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1343627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1343630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1343633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1343636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1343639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1343654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1343669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1343686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343712 */     // GIR_Coverage, 22523,
     /* 1343712 */     GIR_EraseRootFromParent_Done,
     /* 1343713 */   // Label 18461: @1343713
     /* 1343713 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1343815), // Rule ID 22526 //
     /* 1343718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1343721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1343729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1343732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1343738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1343771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1343788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343814 */     // GIR_Coverage, 22526,
     /* 1343814 */     GIR_EraseRootFromParent_Done,
     /* 1343815 */   // Label 18462: @1343815
     /* 1343815 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1343917), // Rule ID 22527 //
     /* 1343820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1343823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1343831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1343834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1343837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1343840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1343858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1343873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1343890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1343904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1343915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343916 */     // GIR_Coverage, 22527,
     /* 1343916 */     GIR_EraseRootFromParent_Done,
     /* 1343917 */   // Label 18463: @1343917
     /* 1343917 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1344019), // Rule ID 22530 //
     /* 1343922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1343925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1343930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1343933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1343936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1343939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1343942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1343952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1343960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343975 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1343975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1343979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1343985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1343989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1343992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1343996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344018 */     // GIR_Coverage, 22530,
     /* 1344018 */     GIR_EraseRootFromParent_Done,
     /* 1344019 */   // Label 18464: @1344019
     /* 1344019 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1344121), // Rule ID 22531 //
     /* 1344024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1344027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1344032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1344035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1344038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1344041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1344044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344077 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1344077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344081 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1344094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344120 */     // GIR_Coverage, 22531,
     /* 1344120 */     GIR_EraseRootFromParent_Done,
     /* 1344121 */   // Label 18465: @1344121
     /* 1344121 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1344223), // Rule ID 22534 //
     /* 1344126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1344129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1344134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1344137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1344140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1344146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1344179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1344196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344222 */     // GIR_Coverage, 22534,
     /* 1344222 */     GIR_EraseRootFromParent_Done,
     /* 1344223 */   // Label 18466: @1344223
     /* 1344223 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1344325), // Rule ID 22535 //
     /* 1344228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1344231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1344236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1344239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1344242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1344245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1344248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344281 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1344281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1344298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344324 */     // GIR_Coverage, 22535,
     /* 1344324 */     GIR_EraseRootFromParent_Done,
     /* 1344325 */   // Label 18467: @1344325
     /* 1344325 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1344427), // Rule ID 22538 //
     /* 1344330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1344347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1344383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1344400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344426 */     // GIR_Coverage, 22538,
     /* 1344426 */     GIR_EraseRootFromParent_Done,
     /* 1344427 */   // Label 18468: @1344427
     /* 1344427 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1344529), // Rule ID 22539 //
     /* 1344432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1344449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1344485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1344502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344528 */     // GIR_Coverage, 22539,
     /* 1344528 */     GIR_EraseRootFromParent_Done,
     /* 1344529 */   // Label 18469: @1344529
     /* 1344529 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1344631), // Rule ID 22542 //
     /* 1344534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1344551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1344587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1344604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344630 */     // GIR_Coverage, 22542,
     /* 1344630 */     GIR_EraseRootFromParent_Done,
     /* 1344631 */   // Label 18470: @1344631
     /* 1344631 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1344733), // Rule ID 22543 //
     /* 1344636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1344653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1344659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1344689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1344706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344732 */     // GIR_Coverage, 22543,
     /* 1344732 */     GIR_EraseRootFromParent_Done,
     /* 1344733 */   // Label 18471: @1344733
     /* 1344733 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1344835), // Rule ID 22546 //
     /* 1344738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1344755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344791 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1344791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1344808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344834 */     // GIR_Coverage, 22546,
     /* 1344834 */     GIR_EraseRootFromParent_Done,
     /* 1344835 */   // Label 18472: @1344835
     /* 1344835 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1344937), // Rule ID 22547 //
     /* 1344840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1344843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1344851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1344854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1344857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1344860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1344893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1344903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1344907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1344910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1344914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1344924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1344932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1344935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344936 */     // GIR_Coverage, 22547,
     /* 1344936 */     GIR_EraseRootFromParent_Done,
     /* 1344937 */   // Label 18473: @1344937
     /* 1344937 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1345039), // Rule ID 22550 //
     /* 1344942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1344945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1344950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1344953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1344956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1344959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1344962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1344965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1344972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1344995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1344999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1345012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345038 */     // GIR_Coverage, 22550,
     /* 1345038 */     GIR_EraseRootFromParent_Done,
     /* 1345039 */   // Label 18474: @1345039
     /* 1345039 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1345141), // Rule ID 22551 //
     /* 1345044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1345055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1345058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1345097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1345114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345140 */     // GIR_Coverage, 22551,
     /* 1345140 */     GIR_EraseRootFromParent_Done,
     /* 1345141 */   // Label 18475: @1345141
     /* 1345141 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1345243), // Rule ID 22554 //
     /* 1345146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1345157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1345160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345199 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1345199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1345216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345242 */     // GIR_Coverage, 22554,
     /* 1345242 */     GIR_EraseRootFromParent_Done,
     /* 1345243 */   // Label 18476: @1345243
     /* 1345243 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1345345), // Rule ID 22555 //
     /* 1345248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1345259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1345262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1345301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1345318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345344 */     // GIR_Coverage, 22555,
     /* 1345344 */     GIR_EraseRootFromParent_Done,
     /* 1345345 */   // Label 18477: @1345345
     /* 1345345 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1345447), // Rule ID 22558 //
     /* 1345350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1345403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1345420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345446 */     // GIR_Coverage, 22558,
     /* 1345446 */     GIR_EraseRootFromParent_Done,
     /* 1345447 */   // Label 18478: @1345447
     /* 1345447 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1345549), // Rule ID 22559 //
     /* 1345452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345505 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1345505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1345522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345548 */     // GIR_Coverage, 22559,
     /* 1345548 */     GIR_EraseRootFromParent_Done,
     /* 1345549 */   // Label 18479: @1345549
     /* 1345549 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1345651), // Rule ID 22562 //
     /* 1345554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1345565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1345568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1345571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1345607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345611 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1345624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1345646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345650 */     // GIR_Coverage, 22562,
     /* 1345650 */     GIR_EraseRootFromParent_Done,
     /* 1345651 */   // Label 18480: @1345651
     /* 1345651 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1345753), // Rule ID 22563 //
     /* 1345656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1345667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1345670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1345673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1345676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1345709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1345726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1345748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345752 */     // GIR_Coverage, 22563,
     /* 1345752 */     GIR_EraseRootFromParent_Done,
     /* 1345753 */   // Label 18481: @1345753
     /* 1345753 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1345855), // Rule ID 22566 //
     /* 1345758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1345769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1345772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1345811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1345828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345854 */     // GIR_Coverage, 22566,
     /* 1345854 */     GIR_EraseRootFromParent_Done,
     /* 1345855 */   // Label 18482: @1345855
     /* 1345855 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1345957), // Rule ID 22567 //
     /* 1345860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1345863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1345871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1345874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1345877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1345880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1345913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1345917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1345923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1345927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1345930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1345934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1345944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1345955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345956 */     // GIR_Coverage, 22567,
     /* 1345956 */     GIR_EraseRootFromParent_Done,
     /* 1345957 */   // Label 18483: @1345957
     /* 1345957 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1346059), // Rule ID 22570 //
     /* 1345962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1345965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1345970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1345973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1345976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1345979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1345982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1345992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346015 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1346015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1346032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346058 */     // GIR_Coverage, 22570,
     /* 1346058 */     GIR_EraseRootFromParent_Done,
     /* 1346059 */   // Label 18484: @1346059
     /* 1346059 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1346161), // Rule ID 22571 //
     /* 1346064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1346075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1346078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1346084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1346117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1346134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346160 */     // GIR_Coverage, 22571,
     /* 1346160 */     GIR_EraseRootFromParent_Done,
     /* 1346161 */   // Label 18485: @1346161
     /* 1346161 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1346263), // Rule ID 22574 //
     /* 1346166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1346183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1346219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1346236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346262 */     // GIR_Coverage, 22574,
     /* 1346262 */     GIR_EraseRootFromParent_Done,
     /* 1346263 */   // Label 18486: @1346263
     /* 1346263 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1346365), // Rule ID 22575 //
     /* 1346268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1346285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1346321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1346338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346364 */     // GIR_Coverage, 22575,
     /* 1346364 */     GIR_EraseRootFromParent_Done,
     /* 1346365 */   // Label 18487: @1346365
     /* 1346365 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1346467), // Rule ID 22578 //
     /* 1346370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1346387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1346423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1346440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346466 */     // GIR_Coverage, 22578,
     /* 1346466 */     GIR_EraseRootFromParent_Done,
     /* 1346467 */   // Label 18488: @1346467
     /* 1346467 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1346569), // Rule ID 22579 //
     /* 1346472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1346489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1346525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1346542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346568 */     // GIR_Coverage, 22579,
     /* 1346568 */     GIR_EraseRootFromParent_Done,
     /* 1346569 */   // Label 18489: @1346569
     /* 1346569 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1346671), // Rule ID 22582 //
     /* 1346574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1346591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1346597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1346627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1346644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346670 */     // GIR_Coverage, 22582,
     /* 1346670 */     GIR_EraseRootFromParent_Done,
     /* 1346671 */   // Label 18490: @1346671
     /* 1346671 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1346773), // Rule ID 22583 //
     /* 1346676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1346687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1346690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1346693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1346699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11298:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1346729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1346746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1346768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346772 */     // GIR_Coverage, 22583,
     /* 1346772 */     GIR_EraseRootFromParent_Done,
     /* 1346773 */   // Label 18491: @1346773
     /* 1346773 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1346875), // Rule ID 22586 //
     /* 1346778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1346789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1346792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1346831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1346848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346874 */     // GIR_Coverage, 22586,
     /* 1346874 */     GIR_EraseRootFromParent_Done,
     /* 1346875 */   // Label 18492: @1346875
     /* 1346875 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1346977), // Rule ID 22587 //
     /* 1346880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1346883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1346891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1346894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1346910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346933 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1346933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1346937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1346943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1346947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1346950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1346954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1346964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1346975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346976 */     // GIR_Coverage, 22587,
     /* 1346976 */     GIR_EraseRootFromParent_Done,
     /* 1346977 */   // Label 18493: @1346977
     /* 1346977 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1347079), // Rule ID 22590 //
     /* 1346982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1346985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1346990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1346993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1346996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1347035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1347052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347078 */     // GIR_Coverage, 22590,
     /* 1347078 */     GIR_EraseRootFromParent_Done,
     /* 1347079 */   // Label 18494: @1347079
     /* 1347079 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1347181), // Rule ID 22591 //
     /* 1347084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1347095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1347098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1347101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347137 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1347137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347141 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347147 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1347154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347180 */     // GIR_Coverage, 22591,
     /* 1347180 */     GIR_EraseRootFromParent_Done,
     /* 1347181 */   // Label 18495: @1347181
     /* 1347181 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1347283), // Rule ID 22594 //
     /* 1347186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1347197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1347200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1347239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1347256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347282 */     // GIR_Coverage, 22594,
     /* 1347282 */     GIR_EraseRootFromParent_Done,
     /* 1347283 */   // Label 18496: @1347283
     /* 1347283 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1347385), // Rule ID 22595 //
     /* 1347288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1347299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1347302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1347308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347341 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11298:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1347341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1347358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347384 */     // GIR_Coverage, 22595,
     /* 1347384 */     GIR_EraseRootFromParent_Done,
     /* 1347385 */   // Label 18497: @1347385
     /* 1347385 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1347487), // Rule ID 22598 //
     /* 1347390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1347443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1347460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347486 */     // GIR_Coverage, 22598,
     /* 1347486 */     GIR_EraseRootFromParent_Done,
     /* 1347487 */   // Label 18498: @1347487
     /* 1347487 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1347589), // Rule ID 22599 //
     /* 1347492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347545 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1347545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1347562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347588 */     // GIR_Coverage, 22599,
     /* 1347588 */     GIR_EraseRootFromParent_Done,
     /* 1347589 */   // Label 18499: @1347589
     /* 1347589 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1347691), // Rule ID 22602 //
     /* 1347594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1347647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1347664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347690 */     // GIR_Coverage, 22602,
     /* 1347690 */     GIR_EraseRootFromParent_Done,
     /* 1347691 */   // Label 18500: @1347691
     /* 1347691 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1347793), // Rule ID 22603 //
     /* 1347696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347749 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1347749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1347766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347792 */     // GIR_Coverage, 22603,
     /* 1347792 */     GIR_EraseRootFromParent_Done,
     /* 1347793 */   // Label 18501: @1347793
     /* 1347793 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1347895), // Rule ID 22606 //
     /* 1347798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1347801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1347851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1347868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347894 */     // GIR_Coverage, 22606,
     /* 1347894 */     GIR_EraseRootFromParent_Done,
     /* 1347895 */   // Label 18502: @1347895
     /* 1347895 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1347997), // Rule ID 22607 //
     /* 1347900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1347903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1347908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1347911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1347914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1347920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1347930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11298:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1347953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1347957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1347963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1347967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1347970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1347974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1347984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1347995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347996 */     // GIR_Coverage, 22607,
     /* 1347996 */     GIR_EraseRootFromParent_Done,
     /* 1347997 */   // Label 18503: @1347997
     /* 1347997 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1348099), // Rule ID 22610 //
     /* 1348002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1348019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1348072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348098 */     // GIR_Coverage, 22610,
     /* 1348098 */     GIR_EraseRootFromParent_Done,
     /* 1348099 */   // Label 18504: @1348099
     /* 1348099 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1348201), // Rule ID 22611 //
     /* 1348104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1348121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348157 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348161 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1348174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348200 */     // GIR_Coverage, 22611,
     /* 1348200 */     GIR_EraseRootFromParent_Done,
     /* 1348201 */   // Label 18505: @1348201
     /* 1348201 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1348303), // Rule ID 22614 //
     /* 1348206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1348223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1348276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348302 */     // GIR_Coverage, 22614,
     /* 1348302 */     GIR_EraseRootFromParent_Done,
     /* 1348303 */   // Label 18506: @1348303
     /* 1348303 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1348405), // Rule ID 22615 //
     /* 1348308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1348325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1348378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348404 */     // GIR_Coverage, 22615,
     /* 1348404 */     GIR_EraseRootFromParent_Done,
     /* 1348405 */   // Label 18507: @1348405
     /* 1348405 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1348507), // Rule ID 22618 //
     /* 1348410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1348427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348463 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1348480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348506 */     // GIR_Coverage, 22618,
     /* 1348506 */     GIR_EraseRootFromParent_Done,
     /* 1348507 */   // Label 18508: @1348507
     /* 1348507 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1348609), // Rule ID 22619 //
     /* 1348512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1348523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1348526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1348529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1348532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348565 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1348582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1348604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348608 */     // GIR_Coverage, 22619,
     /* 1348608 */     GIR_EraseRootFromParent_Done,
     /* 1348609 */   // Label 18509: @1348609
     /* 1348609 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1348711), // Rule ID 22622 //
     /* 1348614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1348625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1348628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348667 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1348684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348710 */     // GIR_Coverage, 22622,
     /* 1348710 */     GIR_EraseRootFromParent_Done,
     /* 1348711 */   // Label 18510: @1348711
     /* 1348711 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1348813), // Rule ID 22623 //
     /* 1348716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1348727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1348730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1348786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348812 */     // GIR_Coverage, 22623,
     /* 1348812 */     GIR_EraseRootFromParent_Done,
     /* 1348813 */   // Label 18511: @1348813
     /* 1348813 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1348915), // Rule ID 22626 //
     /* 1348818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1348821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1348829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1348832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348871 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1348871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1348888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1348902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1348913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348914 */     // GIR_Coverage, 22626,
     /* 1348914 */     GIR_EraseRootFromParent_Done,
     /* 1348915 */   // Label 18512: @1348915
     /* 1348915 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1349017), // Rule ID 22627 //
     /* 1348920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1348923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1348928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1348931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1348934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1348940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1348950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1348973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1348977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1348983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1348987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1348990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1348994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349016 */     // GIR_Coverage, 22627,
     /* 1349016 */     GIR_EraseRootFromParent_Done,
     /* 1349017 */   // Label 18513: @1349017
     /* 1349017 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1349119), // Rule ID 22630 //
     /* 1349022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1349092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349118 */     // GIR_Coverage, 22630,
     /* 1349118 */     GIR_EraseRootFromParent_Done,
     /* 1349119 */   // Label 18514: @1349119
     /* 1349119 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1349221), // Rule ID 22631 //
     /* 1349124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1349141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349177 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1349194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349220 */     // GIR_Coverage, 22631,
     /* 1349220 */     GIR_EraseRootFromParent_Done,
     /* 1349221 */   // Label 18515: @1349221
     /* 1349221 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1349323), // Rule ID 22634 //
     /* 1349226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1349243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349279 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1349296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349322 */     // GIR_Coverage, 22634,
     /* 1349322 */     GIR_EraseRootFromParent_Done,
     /* 1349323 */   // Label 18516: @1349323
     /* 1349323 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1349425), // Rule ID 22635 //
     /* 1349328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1349345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349381 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1349398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349424 */     // GIR_Coverage, 22635,
     /* 1349424 */     GIR_EraseRootFromParent_Done,
     /* 1349425 */   // Label 18517: @1349425
     /* 1349425 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1349527), // Rule ID 22638 //
     /* 1349430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1349500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349526 */     // GIR_Coverage, 22638,
     /* 1349526 */     GIR_EraseRootFromParent_Done,
     /* 1349527 */   // Label 18518: @1349527
     /* 1349527 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1349629), // Rule ID 22639 //
     /* 1349532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1349543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1349546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1349549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1349552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349585 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1349602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349628 */     // GIR_Coverage, 22639,
     /* 1349628 */     GIR_EraseRootFromParent_Done,
     /* 1349629 */   // Label 18519: @1349629
     /* 1349629 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1349731), // Rule ID 22642 //
     /* 1349634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349687 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1349704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349730 */     // GIR_Coverage, 22642,
     /* 1349730 */     GIR_EraseRootFromParent_Done,
     /* 1349731 */   // Label 18520: @1349731
     /* 1349731 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1349833), // Rule ID 22643 //
     /* 1349736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1349747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1349750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1349753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1349756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1349759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349789 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1349806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349832 */     // GIR_Coverage, 22643,
     /* 1349832 */     GIR_EraseRootFromParent_Done,
     /* 1349833 */   // Label 18521: @1349833
     /* 1349833 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1349935), // Rule ID 22646 //
     /* 1349838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1349841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1349855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1349891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1349901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1349905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1349908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1349912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1349922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1349930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1349933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349934 */     // GIR_Coverage, 22646,
     /* 1349934 */     GIR_EraseRootFromParent_Done,
     /* 1349935 */   // Label 18522: @1349935
     /* 1349935 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1350037), // Rule ID 22647 //
     /* 1349940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1349943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1349948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1349951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1349954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1349957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1349960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1349970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349993 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1349993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1349997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1350010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350036 */     // GIR_Coverage, 22647,
     /* 1350036 */     GIR_EraseRootFromParent_Done,
     /* 1350037 */   // Label 18523: @1350037
     /* 1350037 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1350139), // Rule ID 22650 //
     /* 1350042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1350059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350095 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1350112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350138 */     // GIR_Coverage, 22650,
     /* 1350138 */     GIR_EraseRootFromParent_Done,
     /* 1350139 */   // Label 18524: @1350139
     /* 1350139 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1350241), // Rule ID 22651 //
     /* 1350144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1350161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1350214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350240 */     // GIR_Coverage, 22651,
     /* 1350240 */     GIR_EraseRootFromParent_Done,
     /* 1350241 */   // Label 18525: @1350241
     /* 1350241 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1350343), // Rule ID 22654 //
     /* 1350246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1350263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1350269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1350316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350342 */     // GIR_Coverage, 22654,
     /* 1350342 */     GIR_EraseRootFromParent_Done,
     /* 1350343 */   // Label 18526: @1350343
     /* 1350343 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1350445), // Rule ID 22655 //
     /* 1350348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1350359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1350362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1350365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1350368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1350371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350401 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11296:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350405 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1350418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1350440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350444 */     // GIR_Coverage, 22655,
     /* 1350444 */     GIR_EraseRootFromParent_Done,
     /* 1350445 */   // Label 18527: @1350445
     /* 1350445 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1350547), // Rule ID 22658 //
     /* 1350450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350507 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1350520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350546 */     // GIR_Coverage, 22658,
     /* 1350546 */     GIR_EraseRootFromParent_Done,
     /* 1350547 */   // Label 18528: @1350547
     /* 1350547 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1350649), // Rule ID 22659 //
     /* 1350552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1350569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1350622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350648 */     // GIR_Coverage, 22659,
     /* 1350648 */     GIR_EraseRootFromParent_Done,
     /* 1350649 */   // Label 18529: @1350649
     /* 1350649 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1350751), // Rule ID 22662 //
     /* 1350654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1350724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350750 */     // GIR_Coverage, 22662,
     /* 1350750 */     GIR_EraseRootFromParent_Done,
     /* 1350751 */   // Label 18530: @1350751
     /* 1350751 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1350853), // Rule ID 22663 //
     /* 1350756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1350773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350809 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1350809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1350826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350852 */     // GIR_Coverage, 22663,
     /* 1350852 */     GIR_EraseRootFromParent_Done,
     /* 1350853 */   // Label 18531: @1350853
     /* 1350853 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1350955), // Rule ID 22666 //
     /* 1350858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1350861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350911 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1350911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1350915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1350921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1350925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1350928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1350932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1350942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1350953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350954 */     // GIR_Coverage, 22666,
     /* 1350954 */     GIR_EraseRootFromParent_Done,
     /* 1350955 */   // Label 18532: @1350955
     /* 1350955 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1351057), // Rule ID 22667 //
     /* 1350960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1350963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1350968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1350971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1350974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1350977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1350980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1350983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1350990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351013 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1351030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351056 */     // GIR_Coverage, 22667,
     /* 1351056 */     GIR_EraseRootFromParent_Done,
     /* 1351057 */   // Label 18533: @1351057
     /* 1351057 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1351159), // Rule ID 22670 //
     /* 1351062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1351132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351158 */     // GIR_Coverage, 22670,
     /* 1351158 */     GIR_EraseRootFromParent_Done,
     /* 1351159 */   // Label 18534: @1351159
     /* 1351159 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1351261), // Rule ID 22671 //
     /* 1351164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1351181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351217 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1351234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351260 */     // GIR_Coverage, 22671,
     /* 1351260 */     GIR_EraseRootFromParent_Done,
     /* 1351261 */   // Label 18535: @1351261
     /* 1351261 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1351363), // Rule ID 22674 //
     /* 1351266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1351336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351362 */     // GIR_Coverage, 22674,
     /* 1351362 */     GIR_EraseRootFromParent_Done,
     /* 1351363 */   // Label 18536: @1351363
     /* 1351363 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1351465), // Rule ID 22675 //
     /* 1351368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1351385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351421 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1351438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351464 */     // GIR_Coverage, 22675,
     /* 1351464 */     GIR_EraseRootFromParent_Done,
     /* 1351465 */   // Label 18537: @1351465
     /* 1351465 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1351567), // Rule ID 22678 //
     /* 1351470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1351473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1351540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351566 */     // GIR_Coverage, 22678,
     /* 1351566 */     GIR_EraseRootFromParent_Done,
     /* 1351567 */   // Label 18538: @1351567
     /* 1351567 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1351669), // Rule ID 22679 //
     /* 1351572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1351575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1351580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1351583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1351586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1351589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1351592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351625 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1351642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351668 */     // GIR_Coverage, 22679,
     /* 1351668 */     GIR_EraseRootFromParent_Done,
     /* 1351669 */   // Label 18539: @1351669
     /* 1351669 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1351771), // Rule ID 22798 //
     /* 1351674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1351682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1351685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1351688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351727 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1351744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351770 */     // GIR_Coverage, 22798,
     /* 1351770 */     GIR_EraseRootFromParent_Done,
     /* 1351771 */   // Label 18540: @1351771
     /* 1351771 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1351873), // Rule ID 22799 //
     /* 1351776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1351784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1351787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1351790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1351793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351829 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1351829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1351846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351872 */     // GIR_Coverage, 22799,
     /* 1351872 */     GIR_EraseRootFromParent_Done,
     /* 1351873 */   // Label 18541: @1351873
     /* 1351873 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1351975), // Rule ID 22802 //
     /* 1351878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1351886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1351889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1351892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1351898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1351908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351931 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1351931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1351935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1351941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1351945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1351948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1351952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1351962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1351973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351974 */     // GIR_Coverage, 22802,
     /* 1351974 */     GIR_EraseRootFromParent_Done,
     /* 1351975 */   // Label 18542: @1351975
     /* 1351975 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1352077), // Rule ID 22803 //
     /* 1351980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1351988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1351991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1351994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1351997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352033 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1352050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352076 */     // GIR_Coverage, 22803,
     /* 1352076 */     GIR_EraseRootFromParent_Done,
     /* 1352077 */   // Label 18543: @1352077
     /* 1352077 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1352179), // Rule ID 22806 //
     /* 1352082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1352099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1352152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352178 */     // GIR_Coverage, 22806,
     /* 1352178 */     GIR_EraseRootFromParent_Done,
     /* 1352179 */   // Label 18544: @1352179
     /* 1352179 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1352281), // Rule ID 22807 //
     /* 1352184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1352201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352241 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1352254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352262 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352280 */     // GIR_Coverage, 22807,
     /* 1352280 */     GIR_EraseRootFromParent_Done,
     /* 1352281 */   // Label 18545: @1352281
     /* 1352281 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1352383), // Rule ID 22810 //
     /* 1352286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1352303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352339 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1352356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352382 */     // GIR_Coverage, 22810,
     /* 1352382 */     GIR_EraseRootFromParent_Done,
     /* 1352383 */   // Label 18546: @1352383
     /* 1352383 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1352485), // Rule ID 22811 //
     /* 1352388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1352405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352441 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1352458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352484 */     // GIR_Coverage, 22811,
     /* 1352484 */     GIR_EraseRootFromParent_Done,
     /* 1352485 */   // Label 18547: @1352485
     /* 1352485 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1352587), // Rule ID 22814 //
     /* 1352490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352543 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1352560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352586 */     // GIR_Coverage, 22814,
     /* 1352586 */     GIR_EraseRootFromParent_Done,
     /* 1352587 */   // Label 18548: @1352587
     /* 1352587 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1352689), // Rule ID 22815 //
     /* 1352592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1352603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1352606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1352609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1352612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352645 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1352662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352688 */     // GIR_Coverage, 22815,
     /* 1352688 */     GIR_EraseRootFromParent_Done,
     /* 1352689 */   // Label 18549: @1352689
     /* 1352689 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1352791), // Rule ID 22818 //
     /* 1352694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1352705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1352708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352747 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1352764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352790 */     // GIR_Coverage, 22818,
     /* 1352790 */     GIR_EraseRootFromParent_Done,
     /* 1352791 */   // Label 18550: @1352791
     /* 1352791 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1352893), // Rule ID 22819 //
     /* 1352796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1352807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1352810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1352813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1352816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1352819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352849 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1352849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1352866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352892 */     // GIR_Coverage, 22819,
     /* 1352892 */     GIR_EraseRootFromParent_Done,
     /* 1352893 */   // Label 18551: @1352893
     /* 1352893 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1352995), // Rule ID 22822 //
     /* 1352898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1352901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1352906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1352909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1352912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1352915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1352918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1352928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1352951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1352955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1352961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1352965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1352968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1352972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1352982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1352993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352994 */     // GIR_Coverage, 22822,
     /* 1352994 */     GIR_EraseRootFromParent_Done,
     /* 1352995 */   // Label 18552: @1352995
     /* 1352995 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1353097), // Rule ID 22823 //
     /* 1353000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1353017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1353070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353096 */     // GIR_Coverage, 22823,
     /* 1353096 */     GIR_EraseRootFromParent_Done,
     /* 1353097 */   // Label 18553: @1353097
     /* 1353097 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1353199), // Rule ID 22826 //
     /* 1353102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1353119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353155 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1353172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353198 */     // GIR_Coverage, 22826,
     /* 1353198 */     GIR_EraseRootFromParent_Done,
     /* 1353199 */   // Label 18554: @1353199
     /* 1353199 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1353301), // Rule ID 22827 //
     /* 1353204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1353221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353257 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353261 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353267 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1353274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353300 */     // GIR_Coverage, 22827,
     /* 1353300 */     GIR_EraseRootFromParent_Done,
     /* 1353301 */   // Label 18555: @1353301
     /* 1353301 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1353403), // Rule ID 22830 //
     /* 1353306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1353323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1353329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353359 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1353376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353402 */     // GIR_Coverage, 22830,
     /* 1353402 */     GIR_EraseRootFromParent_Done,
     /* 1353403 */   // Label 18556: @1353403
     /* 1353403 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1353505), // Rule ID 22831 //
     /* 1353408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1353419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1353422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1353425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1353428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1353431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353461 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10890:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1353478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353504 */     // GIR_Coverage, 22831,
     /* 1353504 */     GIR_EraseRootFromParent_Done,
     /* 1353505 */   // Label 18557: @1353505
     /* 1353505 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1353607), // Rule ID 22834 //
     /* 1353510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1353527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353563 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1353580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353606 */     // GIR_Coverage, 22834,
     /* 1353606 */     GIR_EraseRootFromParent_Done,
     /* 1353607 */   // Label 18558: @1353607
     /* 1353607 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1353709), // Rule ID 22835 //
     /* 1353612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1353629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1353650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353665 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1353682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353708 */     // GIR_Coverage, 22835,
     /* 1353708 */     GIR_EraseRootFromParent_Done,
     /* 1353709 */   // Label 18559: @1353709
     /* 1353709 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1353811), // Rule ID 22838 //
     /* 1353714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353767 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353771 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1353784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353810 */     // GIR_Coverage, 22838,
     /* 1353810 */     GIR_EraseRootFromParent_Done,
     /* 1353811 */   // Label 18560: @1353811
     /* 1353811 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1353913), // Rule ID 22839 //
     /* 1353816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1353833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1353854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353869 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1353869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1353886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1353900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1353911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353912 */     // GIR_Coverage, 22839,
     /* 1353912 */     GIR_EraseRootFromParent_Done,
     /* 1353913 */   // Label 18561: @1353913
     /* 1353913 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1354015), // Rule ID 22842 //
     /* 1353918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1353926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1353929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1353932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1353935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1353938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1353941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1353948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353971 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1353971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1353975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1353981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1353985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1353988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1353992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354014 */     // GIR_Coverage, 22842,
     /* 1354014 */     GIR_EraseRootFromParent_Done,
     /* 1354015 */   // Label 18562: @1354015
     /* 1354015 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1354117), // Rule ID 22843 //
     /* 1354020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1354031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1354034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1354037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1354040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354073 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10890:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1354090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354116 */     // GIR_Coverage, 22843,
     /* 1354116 */     GIR_EraseRootFromParent_Done,
     /* 1354117 */   // Label 18563: @1354117
     /* 1354117 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1354219), // Rule ID 22846 //
     /* 1354122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1354139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354175 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1354192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354218 */     // GIR_Coverage, 22846,
     /* 1354218 */     GIR_EraseRootFromParent_Done,
     /* 1354219 */   // Label 18564: @1354219
     /* 1354219 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1354321), // Rule ID 22847 //
     /* 1354224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1354241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354277 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1354294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354320 */     // GIR_Coverage, 22847,
     /* 1354320 */     GIR_EraseRootFromParent_Done,
     /* 1354321 */   // Label 18565: @1354321
     /* 1354321 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1354423), // Rule ID 22850 //
     /* 1354326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354379 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1354396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354422 */     // GIR_Coverage, 22850,
     /* 1354422 */     GIR_EraseRootFromParent_Done,
     /* 1354423 */   // Label 18566: @1354423
     /* 1354423 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1354525), // Rule ID 22851 //
     /* 1354428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1354445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354481 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1354498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354524 */     // GIR_Coverage, 22851,
     /* 1354524 */     GIR_EraseRootFromParent_Done,
     /* 1354525 */   // Label 18567: @1354525
     /* 1354525 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1354627), // Rule ID 22854 //
     /* 1354530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1354533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354583 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1354600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354626 */     // GIR_Coverage, 22854,
     /* 1354626 */     GIR_EraseRootFromParent_Done,
     /* 1354627 */   // Label 18568: @1354627
     /* 1354627 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1354729), // Rule ID 22855 //
     /* 1354632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1354640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1354643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1354646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1354649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1354652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354685 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10890:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1354702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354728 */     // GIR_Coverage, 22855,
     /* 1354728 */     GIR_EraseRootFromParent_Done,
     /* 1354729 */   // Label 18569: @1354729
     /* 1354729 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1354831), // Rule ID 22858 //
     /* 1354734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1354742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1354804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354830 */     // GIR_Coverage, 22858,
     /* 1354830 */     GIR_EraseRootFromParent_Done,
     /* 1354831 */   // Label 18570: @1354831
     /* 1354831 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1354933), // Rule ID 22859 //
     /* 1354836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1354844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1354853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354889 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1354889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1354899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1354903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1354906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1354910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1354920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1354931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354932 */     // GIR_Coverage, 22859,
     /* 1354932 */     GIR_EraseRootFromParent_Done,
     /* 1354933 */   // Label 18571: @1354933
     /* 1354933 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1355035), // Rule ID 22862 //
     /* 1354938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1354946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1354949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1354952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1354955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1354958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1354961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1354968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354991 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1354991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1354995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1355008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355034 */     // GIR_Coverage, 22862,
     /* 1355034 */     GIR_EraseRootFromParent_Done,
     /* 1355035 */   // Label 18572: @1355035
     /* 1355035 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1355137), // Rule ID 22863 //
     /* 1355040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355093 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1355110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355136 */     // GIR_Coverage, 22863,
     /* 1355136 */     GIR_EraseRootFromParent_Done,
     /* 1355137 */   // Label 18573: @1355137
     /* 1355137 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1355239), // Rule ID 22866 //
     /* 1355142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1355212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355238 */     // GIR_Coverage, 22866,
     /* 1355238 */     GIR_EraseRootFromParent_Done,
     /* 1355239 */   // Label 18574: @1355239
     /* 1355239 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1355341), // Rule ID 22867 //
     /* 1355244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355297 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1355314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355340 */     // GIR_Coverage, 22867,
     /* 1355340 */     GIR_EraseRootFromParent_Done,
     /* 1355341 */   // Label 18575: @1355341
     /* 1355341 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1355443), // Rule ID 22870 //
     /* 1355346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355399 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1355416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355442 */     // GIR_Coverage, 22870,
     /* 1355442 */     GIR_EraseRootFromParent_Done,
     /* 1355443 */   // Label 18576: @1355443
     /* 1355443 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1355545), // Rule ID 22871 //
     /* 1355448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1355465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355501 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1355518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355544 */     // GIR_Coverage, 22871,
     /* 1355544 */     GIR_EraseRootFromParent_Done,
     /* 1355545 */   // Label 18577: @1355545
     /* 1355545 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1355647), // Rule ID 22874 //
     /* 1355550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355603 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1355620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355646 */     // GIR_Coverage, 22874,
     /* 1355646 */     GIR_EraseRootFromParent_Done,
     /* 1355647 */   // Label 18578: @1355647
     /* 1355647 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1355749), // Rule ID 22875 //
     /* 1355652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1355663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1355666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1355669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1355672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355705 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1355722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355748 */     // GIR_Coverage, 22875,
     /* 1355748 */     GIR_EraseRootFromParent_Done,
     /* 1355749 */   // Label 18579: @1355749
     /* 1355749 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1355851), // Rule ID 22878 //
     /* 1355754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1355807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1355824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355850 */     // GIR_Coverage, 22878,
     /* 1355850 */     GIR_EraseRootFromParent_Done,
     /* 1355851 */   // Label 18580: @1355851
     /* 1355851 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1355953), // Rule ID 22879 //
     /* 1355856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1355867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1355870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1355873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1355876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355909 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1355909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1355913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1355919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1355923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1355926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1355930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1355940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1355951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355952 */     // GIR_Coverage, 22879,
     /* 1355952 */     GIR_EraseRootFromParent_Done,
     /* 1355953 */   // Label 18581: @1355953
     /* 1355953 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1356055), // Rule ID 22882 //
     /* 1355958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1355966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1355969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1355972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1355975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1355978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1355988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356011 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1356028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356054 */     // GIR_Coverage, 22882,
     /* 1356054 */     GIR_EraseRootFromParent_Done,
     /* 1356055 */   // Label 18582: @1356055
     /* 1356055 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1356157), // Rule ID 22883 //
     /* 1356060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356113 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1356130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356156 */     // GIR_Coverage, 22883,
     /* 1356156 */     GIR_EraseRootFromParent_Done,
     /* 1356157 */   // Label 18583: @1356157
     /* 1356157 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1356259), // Rule ID 22886 //
     /* 1356162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356215 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1356232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356258 */     // GIR_Coverage, 22886,
     /* 1356258 */     GIR_EraseRootFromParent_Done,
     /* 1356259 */   // Label 18584: @1356259
     /* 1356259 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1356361), // Rule ID 22887 //
     /* 1356264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356317 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1356334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356360 */     // GIR_Coverage, 22887,
     /* 1356360 */     GIR_EraseRootFromParent_Done,
     /* 1356361 */   // Label 18585: @1356361
     /* 1356361 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1356463), // Rule ID 22890 //
     /* 1356366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356419 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1356436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356462 */     // GIR_Coverage, 22890,
     /* 1356462 */     GIR_EraseRootFromParent_Done,
     /* 1356463 */   // Label 18586: @1356463
     /* 1356463 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1356565), // Rule ID 22891 //
     /* 1356468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1356479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1356482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1356485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1356491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1356506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356521 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10888:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1356538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356564 */     // GIR_Coverage, 22891,
     /* 1356564 */     GIR_EraseRootFromParent_Done,
     /* 1356565 */   // Label 18587: @1356565
     /* 1356565 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1356667), // Rule ID 22894 //
     /* 1356570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356623 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1356640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356666 */     // GIR_Coverage, 22894,
     /* 1356666 */     GIR_EraseRootFromParent_Done,
     /* 1356667 */   // Label 18588: @1356667
     /* 1356667 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1356769), // Rule ID 22895 //
     /* 1356672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1356689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356725 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1356742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356768 */     // GIR_Coverage, 22895,
     /* 1356768 */     GIR_EraseRootFromParent_Done,
     /* 1356769 */   // Label 18589: @1356769
     /* 1356769 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1356871), // Rule ID 22898 //
     /* 1356774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1356791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1356827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1356844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356870 */     // GIR_Coverage, 22898,
     /* 1356870 */     GIR_EraseRootFromParent_Done,
     /* 1356871 */   // Label 18590: @1356871
     /* 1356871 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1356973), // Rule ID 22899 //
     /* 1356876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1356893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1356906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356929 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1356929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1356933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1356939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1356943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1356946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1356950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1356952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1356954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1356960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1356971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356972 */     // GIR_Coverage, 22899,
     /* 1356972 */     GIR_EraseRootFromParent_Done,
     /* 1356973 */   // Label 18591: @1356973
     /* 1356973 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1357075), // Rule ID 22902 //
     /* 1356978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1356986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1356989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1356992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1356995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357031 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1357048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357074 */     // GIR_Coverage, 22902,
     /* 1357074 */     GIR_EraseRootFromParent_Done,
     /* 1357075 */   // Label 18592: @1357075
     /* 1357075 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1357177), // Rule ID 22903 //
     /* 1357080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1357091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1357094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1357100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357133 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10888:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1357150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357176 */     // GIR_Coverage, 22903,
     /* 1357176 */     GIR_EraseRootFromParent_Done,
     /* 1357177 */   // Label 18593: @1357177
     /* 1357177 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1357279), // Rule ID 22906 //
     /* 1357182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357235 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1357252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357278 */     // GIR_Coverage, 22906,
     /* 1357278 */     GIR_EraseRootFromParent_Done,
     /* 1357279 */   // Label 18594: @1357279
     /* 1357279 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1357381), // Rule ID 22907 //
     /* 1357284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357337 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357341 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1357354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357380 */     // GIR_Coverage, 22907,
     /* 1357380 */     GIR_EraseRootFromParent_Done,
     /* 1357381 */   // Label 18595: @1357381
     /* 1357381 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1357483), // Rule ID 22910 //
     /* 1357386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1357456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357482 */     // GIR_Coverage, 22910,
     /* 1357482 */     GIR_EraseRootFromParent_Done,
     /* 1357483 */   // Label 18596: @1357483
     /* 1357483 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1357585), // Rule ID 22911 //
     /* 1357488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357541 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1357558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357584 */     // GIR_Coverage, 22911,
     /* 1357584 */     GIR_EraseRootFromParent_Done,
     /* 1357585 */   // Label 18597: @1357585
     /* 1357585 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1357687), // Rule ID 22914 //
     /* 1357590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357643 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1357643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1357660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357686 */     // GIR_Coverage, 22914,
     /* 1357686 */     GIR_EraseRootFromParent_Done,
     /* 1357687 */   // Label 18598: @1357687
     /* 1357687 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1357789), // Rule ID 22915 //
     /* 1357692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1357700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1357703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1357706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1357709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1357712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357745 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10888:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1357745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1357762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1357766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1357770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1357787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357788 */     // GIR_Coverage, 22915,
     /* 1357788 */     GIR_EraseRootFromParent_Done,
     /* 1357789 */   // Label 18599: @1357789
     /* 1357789 */   GIM_Reject,
     /* 1357790 */ // Label 12619: @1357790
     /* 1357790 */ GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(2081751),
     /* 1357795 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1357798 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1357902), // Rule ID 7208 //
     /* 1357803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1357806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1357811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1357814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1357817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1357823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357841 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1357845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357849 */     // MIs[0] policy
     /* 1357849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1357859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1357876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1357898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1357900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357901 */     // GIR_Coverage, 7208,
     /* 1357901 */     GIR_EraseRootFromParent_Done,
     /* 1357902 */   // Label 18601: @1357902
     /* 1357902 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1358006), // Rule ID 7209 //
     /* 1357907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1357910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1357915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1357918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1357921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1357924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1357927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1357930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1357937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357945 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1357949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357953 */     // MIs[0] policy
     /* 1357953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1357956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1357963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1357967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1357973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1357977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1357980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1357988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1357994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358005 */     // GIR_Coverage, 7209,
     /* 1358005 */     GIR_EraseRootFromParent_Done,
     /* 1358006 */   // Label 18602: @1358006
     /* 1358006 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1358110), // Rule ID 7212 //
     /* 1358011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1358022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1358025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358049 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358057 */     // MIs[0] policy
     /* 1358057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1358084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358109 */     // GIR_Coverage, 7212,
     /* 1358109 */     GIR_EraseRootFromParent_Done,
     /* 1358110 */   // Label 18603: @1358110
     /* 1358110 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1358214), // Rule ID 7213 //
     /* 1358115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1358126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1358129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1358132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358153 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358161 */     // MIs[0] policy
     /* 1358161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1358188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358213 */     // GIR_Coverage, 7213,
     /* 1358213 */     GIR_EraseRootFromParent_Done,
     /* 1358214 */   // Label 18604: @1358214
     /* 1358214 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1358318), // Rule ID 7216 //
     /* 1358219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1358230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1358233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358265 */     // MIs[0] policy
     /* 1358265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1358292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358317 */     // GIR_Coverage, 7216,
     /* 1358317 */     GIR_EraseRootFromParent_Done,
     /* 1358318 */   // Label 18605: @1358318
     /* 1358318 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1358422), // Rule ID 7217 //
     /* 1358323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1358334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1358337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1358340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358361 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358369 */     // MIs[0] policy
     /* 1358369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1358396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1358418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358421 */     // GIR_Coverage, 7217,
     /* 1358421 */     GIR_EraseRootFromParent_Done,
     /* 1358422 */   // Label 18606: @1358422
     /* 1358422 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1358526), // Rule ID 7220 //
     /* 1358427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1358438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1358441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358465 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358473 */     // MIs[0] policy
     /* 1358473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1358500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358525 */     // GIR_Coverage, 7220,
     /* 1358525 */     GIR_EraseRootFromParent_Done,
     /* 1358526 */   // Label 18607: @1358526
     /* 1358526 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1358630), // Rule ID 7221 //
     /* 1358531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1358542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1358545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358569 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358577 */     // MIs[0] policy
     /* 1358577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1358604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358629 */     // GIR_Coverage, 7221,
     /* 1358629 */     GIR_EraseRootFromParent_Done,
     /* 1358630 */   // Label 18608: @1358630
     /* 1358630 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1358734), // Rule ID 7224 //
     /* 1358635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1358646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1358649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358673 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358681 */     // MIs[0] policy
     /* 1358681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1358708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358733 */     // GIR_Coverage, 7224,
     /* 1358733 */     GIR_EraseRootFromParent_Done,
     /* 1358734 */   // Label 18609: @1358734
     /* 1358734 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1358838), // Rule ID 7225 //
     /* 1358739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1358750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1358753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358777 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358785 */     // MIs[0] policy
     /* 1358785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358795 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1358795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1358812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358837 */     // GIR_Coverage, 7225,
     /* 1358837 */     GIR_EraseRootFromParent_Done,
     /* 1358838 */   // Label 18610: @1358838
     /* 1358838 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1358942), // Rule ID 7228 //
     /* 1358843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1358846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1358854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1358857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1358863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358881 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358889 */     // MIs[0] policy
     /* 1358889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1358899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1358903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1358909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1358913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1358916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1358924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1358930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1358940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358941 */     // GIR_Coverage, 7228,
     /* 1358941 */     GIR_EraseRootFromParent_Done,
     /* 1358942 */   // Label 18611: @1358942
     /* 1358942 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1359046), // Rule ID 7229 //
     /* 1358947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1358950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1358955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1358958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1358961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1358967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1358977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358985 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1358989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358993 */     // MIs[0] policy
     /* 1358993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1358996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1359020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359045 */     // GIR_Coverage, 7229,
     /* 1359045 */     GIR_EraseRootFromParent_Done,
     /* 1359046 */   // Label 18612: @1359046
     /* 1359046 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1359150), // Rule ID 7232 //
     /* 1359051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359089 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359097 */     // MIs[0] policy
     /* 1359097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359149 */     // GIR_Coverage, 7232,
     /* 1359149 */     GIR_EraseRootFromParent_Done,
     /* 1359150 */   // Label 18613: @1359150
     /* 1359150 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1359254), // Rule ID 7233 //
     /* 1359155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1359166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1359169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1359172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359193 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359201 */     // MIs[0] policy
     /* 1359201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359253 */     // GIR_Coverage, 7233,
     /* 1359253 */     GIR_EraseRootFromParent_Done,
     /* 1359254 */   // Label 18614: @1359254
     /* 1359254 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1359358), // Rule ID 7236 //
     /* 1359259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359297 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359305 */     // MIs[0] policy
     /* 1359305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359357 */     // GIR_Coverage, 7236,
     /* 1359357 */     GIR_EraseRootFromParent_Done,
     /* 1359358 */   // Label 18615: @1359358
     /* 1359358 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1359462), // Rule ID 7237 //
     /* 1359363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1359374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1359377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1359380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359401 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359409 */     // MIs[0] policy
     /* 1359409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359461 */     // GIR_Coverage, 7237,
     /* 1359461 */     GIR_EraseRootFromParent_Done,
     /* 1359462 */   // Label 18616: @1359462
     /* 1359462 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1359566), // Rule ID 7240 //
     /* 1359467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359505 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359513 */     // MIs[0] policy
     /* 1359513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359565 */     // GIR_Coverage, 7240,
     /* 1359565 */     GIR_EraseRootFromParent_Done,
     /* 1359566 */   // Label 18617: @1359566
     /* 1359566 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1359670), // Rule ID 7241 //
     /* 1359571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1359582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1359585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1359588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1359594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359609 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359617 */     // MIs[0] policy
     /* 1359617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359669 */     // GIR_Coverage, 7241,
     /* 1359669 */     GIR_EraseRootFromParent_Done,
     /* 1359670 */   // Label 18618: @1359670
     /* 1359670 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1359774), // Rule ID 7244 //
     /* 1359675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1359678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359713 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359721 */     // MIs[0] policy
     /* 1359721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359773 */     // GIR_Coverage, 7244,
     /* 1359773 */     GIR_EraseRootFromParent_Done,
     /* 1359774 */   // Label 18619: @1359774
     /* 1359774 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1359878), // Rule ID 7245 //
     /* 1359779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1359782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1359790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1359793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1359799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1359809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359817 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359825 */     // MIs[0] policy
     /* 1359825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1359835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1359852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359877 */     // GIR_Coverage, 7245,
     /* 1359877 */     GIR_EraseRootFromParent_Done,
     /* 1359878 */   // Label 18620: @1359878
     /* 1359878 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1359982), // Rule ID 7248 //
     /* 1359883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1359886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1359894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1359897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1359900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1359903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1359913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359921 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1359925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359929 */     // MIs[0] policy
     /* 1359929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1359932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1359939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1359943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1359949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1359953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1359956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1359964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1359970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1359978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1359980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359981 */     // GIR_Coverage, 7248,
     /* 1359981 */     GIR_EraseRootFromParent_Done,
     /* 1359982 */   // Label 18621: @1359982
     /* 1359982 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1360086), // Rule ID 7249 //
     /* 1359987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1359990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1359995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1359998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1360001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1360004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360025 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360033 */     // MIs[0] policy
     /* 1360033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1360060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360085 */     // GIR_Coverage, 7249,
     /* 1360085 */     GIR_EraseRootFromParent_Done,
     /* 1360086 */   // Label 18622: @1360086
     /* 1360086 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1360190), // Rule ID 7252 //
     /* 1360091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1360102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1360105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360129 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360137 */     // MIs[0] policy
     /* 1360137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1360164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360189 */     // GIR_Coverage, 7252,
     /* 1360189 */     GIR_EraseRootFromParent_Done,
     /* 1360190 */   // Label 18623: @1360190
     /* 1360190 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1360294), // Rule ID 7253 //
     /* 1360195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1360206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1360209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1360212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360233 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360241 */     // MIs[0] policy
     /* 1360241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1360268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360293 */     // GIR_Coverage, 7253,
     /* 1360293 */     GIR_EraseRootFromParent_Done,
     /* 1360294 */   // Label 18624: @1360294
     /* 1360294 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1360398), // Rule ID 7256 //
     /* 1360299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1360310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1360313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360337 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360345 */     // MIs[0] policy
     /* 1360345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1360372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360397 */     // GIR_Coverage, 7256,
     /* 1360397 */     GIR_EraseRootFromParent_Done,
     /* 1360398 */   // Label 18625: @1360398
     /* 1360398 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1360502), // Rule ID 7257 //
     /* 1360403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1360414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1360417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1360420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1360426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360441 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360449 */     // MIs[0] policy
     /* 1360449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1360476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1360498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360501 */     // GIR_Coverage, 7257,
     /* 1360501 */     GIR_EraseRootFromParent_Done,
     /* 1360502 */   // Label 18626: @1360502
     /* 1360502 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1360606), // Rule ID 7260 //
     /* 1360507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1360518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1360521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360545 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360553 */     // MIs[0] policy
     /* 1360553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1360580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360605 */     // GIR_Coverage, 7260,
     /* 1360605 */     GIR_EraseRootFromParent_Done,
     /* 1360606 */   // Label 18627: @1360606
     /* 1360606 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1360710), // Rule ID 7261 //
     /* 1360611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1360622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1360625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1360628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1360641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360649 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360657 */     // MIs[0] policy
     /* 1360657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1360684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360709 */     // GIR_Coverage, 7261,
     /* 1360709 */     GIR_EraseRootFromParent_Done,
     /* 1360710 */   // Label 18628: @1360710
     /* 1360710 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1360814), // Rule ID 7264 //
     /* 1360715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1360726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1360729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360753 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360761 */     // MIs[0] policy
     /* 1360761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1360788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360813 */     // GIR_Coverage, 7264,
     /* 1360813 */     GIR_EraseRootFromParent_Done,
     /* 1360814 */   // Label 18629: @1360814
     /* 1360814 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1360918), // Rule ID 7265 //
     /* 1360819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1360822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1360830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1360833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1360836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1360839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1360849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360857 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360865 */     // MIs[0] policy
     /* 1360865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1360875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1360892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1360906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1360916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360917 */     // GIR_Coverage, 7265,
     /* 1360917 */     GIR_EraseRootFromParent_Done,
     /* 1360918 */   // Label 18630: @1360918
     /* 1360918 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1361022), // Rule ID 7268 //
     /* 1360923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1360926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1360931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1360934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1360937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1360940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1360943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1360946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1360953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360961 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1360965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360969 */     // MIs[0] policy
     /* 1360969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1360972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1360979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1360983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1360989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1360993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1360996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361021 */     // GIR_Coverage, 7268,
     /* 1361021 */     GIR_EraseRootFromParent_Done,
     /* 1361022 */   // Label 18631: @1361022
     /* 1361022 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1361126), // Rule ID 7269 //
     /* 1361027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1361038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1361041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1361044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1361050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361065 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361073 */     // MIs[0] policy
     /* 1361073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1361100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361125 */     // GIR_Coverage, 7269,
     /* 1361125 */     GIR_EraseRootFromParent_Done,
     /* 1361126 */   // Label 18632: @1361126
     /* 1361126 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1361230), // Rule ID 7272 //
     /* 1361131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1361142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1361145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361169 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361177 */     // MIs[0] policy
     /* 1361177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1361204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361229 */     // GIR_Coverage, 7272,
     /* 1361229 */     GIR_EraseRootFromParent_Done,
     /* 1361230 */   // Label 18633: @1361230
     /* 1361230 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1361334), // Rule ID 7273 //
     /* 1361235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1361246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1361249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1361252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361273 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361281 */     // MIs[0] policy
     /* 1361281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1361308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361333 */     // GIR_Coverage, 7273,
     /* 1361333 */     GIR_EraseRootFromParent_Done,
     /* 1361334 */   // Label 18634: @1361334
     /* 1361334 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1361438), // Rule ID 7276 //
     /* 1361339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1361350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1361353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361377 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361385 */     // MIs[0] policy
     /* 1361385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1361412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361437 */     // GIR_Coverage, 7276,
     /* 1361437 */     GIR_EraseRootFromParent_Done,
     /* 1361438 */   // Label 18635: @1361438
     /* 1361438 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1361542), // Rule ID 7277 //
     /* 1361443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1361454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1361457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1361460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1361466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361481 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361489 */     // MIs[0] policy
     /* 1361489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1361516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361541 */     // GIR_Coverage, 7277,
     /* 1361541 */     GIR_EraseRootFromParent_Done,
     /* 1361542 */   // Label 18636: @1361542
     /* 1361542 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1361646), // Rule ID 7280 //
     /* 1361547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1361550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1361558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1361561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361585 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361593 */     // MIs[0] policy
     /* 1361593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1361620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361645 */     // GIR_Coverage, 7280,
     /* 1361645 */     GIR_EraseRootFromParent_Done,
     /* 1361646 */   // Label 18637: @1361646
     /* 1361646 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1361750), // Rule ID 7281 //
     /* 1361651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1361654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1361662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1361665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1361668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1361674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1361681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1361689 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361697 */     // MIs[0] policy
     /* 1361697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1361724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361749 */     // GIR_Coverage, 7281,
     /* 1361749 */     GIR_EraseRootFromParent_Done,
     /* 1361750 */   // Label 18638: @1361750
     /* 1361750 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1361854), // Rule ID 7284 //
     /* 1361755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1361766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1361769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361793 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361801 */     // MIs[0] policy
     /* 1361801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1361811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1361828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361853 */     // GIR_Coverage, 7284,
     /* 1361853 */     GIR_EraseRootFromParent_Done,
     /* 1361854 */   // Label 18639: @1361854
     /* 1361854 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1361958), // Rule ID 7285 //
     /* 1361859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1361862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1361870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1361873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1361876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1361889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1361897 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1361901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361905 */     // MIs[0] policy
     /* 1361905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1361908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1361915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1361919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1361925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1361929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1361932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1361946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1361954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1361956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361957 */     // GIR_Coverage, 7285,
     /* 1361957 */     GIR_EraseRootFromParent_Done,
     /* 1361958 */   // Label 18640: @1361958
     /* 1361958 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1362062), // Rule ID 7288 //
     /* 1361963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1361966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1361971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1361974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1361977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1361980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1361983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1361993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1361997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362001 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1362005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362009 */     // MIs[0] policy
     /* 1362009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1362033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1362036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362061 */     // GIR_Coverage, 7288,
     /* 1362061 */     GIR_EraseRootFromParent_Done,
     /* 1362062 */   // Label 18641: @1362062
     /* 1362062 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1362166), // Rule ID 7289 //
     /* 1362067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1362075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1362078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1362081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1362084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1362090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362105 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1362109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362113 */     // MIs[0] policy
     /* 1362113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1362137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1362140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362165 */     // GIR_Coverage, 7289,
     /* 1362165 */     GIR_EraseRootFromParent_Done,
     /* 1362166 */   // Label 18642: @1362166
     /* 1362166 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1362270), // Rule ID 7292 //
     /* 1362171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1362174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1362179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1362182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1362185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1362201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362209 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1362213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362217 */     // MIs[0] policy
     /* 1362217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1362241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1362244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362269 */     // GIR_Coverage, 7292,
     /* 1362269 */     GIR_EraseRootFromParent_Done,
     /* 1362270 */   // Label 18643: @1362270
     /* 1362270 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1362374), // Rule ID 7293 //
     /* 1362275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1362278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1362283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1362286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1362289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1362292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1362305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1362313 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1362317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362321 */     // MIs[0] policy
     /* 1362321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1362345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1362348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362373 */     // GIR_Coverage, 7293,
     /* 1362373 */     GIR_EraseRootFromParent_Done,
     /* 1362374 */   // Label 18644: @1362374
     /* 1362374 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1362480), // Rule ID 2606 //
     /* 1362379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1362382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1362390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1362393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1362399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362418 */     // MIs[0] Operand 5
     /* 1362418 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362429 */     // MIs[0] policy
     /* 1362429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1362456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362479 */     // GIR_Coverage, 2606,
     /* 1362479 */     GIR_EraseRootFromParent_Done,
     /* 1362480 */   // Label 18645: @1362480
     /* 1362480 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1362586), // Rule ID 2607 //
     /* 1362485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1362488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1362496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1362499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1362502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1362505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362524 */     // MIs[0] Operand 5
     /* 1362524 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362535 */     // MIs[0] policy
     /* 1362535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362545 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1362562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362585 */     // GIR_Coverage, 2607,
     /* 1362585 */     GIR_EraseRootFromParent_Done,
     /* 1362586 */   // Label 18646: @1362586
     /* 1362586 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1362692), // Rule ID 20490 //
     /* 1362591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1362594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1362602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1362605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1362611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362630 */     // MIs[0] Operand 5
     /* 1362630 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362641 */     // MIs[0] policy
     /* 1362641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1362668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362691 */     // GIR_Coverage, 20490,
     /* 1362691 */     GIR_EraseRootFromParent_Done,
     /* 1362692 */   // Label 18647: @1362692
     /* 1362692 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1362798), // Rule ID 20491 //
     /* 1362697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1362700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1362708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1362711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1362714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1362717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362736 */     // MIs[0] Operand 5
     /* 1362736 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362747 */     // MIs[0] policy
     /* 1362747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362757 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1362774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362797 */     // GIR_Coverage, 20491,
     /* 1362797 */     GIR_EraseRootFromParent_Done,
     /* 1362798 */   // Label 18648: @1362798
     /* 1362798 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1362904), // Rule ID 20494 //
     /* 1362803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1362806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1362814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1362817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1362823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362842 */     // MIs[0] Operand 5
     /* 1362842 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362853 */     // MIs[0] policy
     /* 1362853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362863 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1362863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1362880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1362902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362903 */     // GIR_Coverage, 20494,
     /* 1362903 */     GIR_EraseRootFromParent_Done,
     /* 1362904 */   // Label 18649: @1362904
     /* 1362904 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1363010), // Rule ID 20495 //
     /* 1362909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1362912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1362917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1362920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1362923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1362926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1362929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362948 */     // MIs[0] Operand 5
     /* 1362948 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1362959 */     // MIs[0] policy
     /* 1362959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1362962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1362969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1362973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1362979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1362983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1362986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1362992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1362998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363009 */     // GIR_Coverage, 20495,
     /* 1363009 */     GIR_EraseRootFromParent_Done,
     /* 1363010 */   // Label 18650: @1363010
     /* 1363010 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1363116), // Rule ID 20498 //
     /* 1363015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1363018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1363035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363054 */     // MIs[0] Operand 5
     /* 1363054 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363065 */     // MIs[0] policy
     /* 1363065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363115 */     // GIR_Coverage, 20498,
     /* 1363115 */     GIR_EraseRootFromParent_Done,
     /* 1363116 */   // Label 18651: @1363116
     /* 1363116 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1363222), // Rule ID 20499 //
     /* 1363121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1363124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1363132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1363135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1363138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1363141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363160 */     // MIs[0] Operand 5
     /* 1363160 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363171 */     // MIs[0] policy
     /* 1363171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363221 */     // GIR_Coverage, 20499,
     /* 1363221 */     GIR_EraseRootFromParent_Done,
     /* 1363222 */   // Label 18652: @1363222
     /* 1363222 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1363328), // Rule ID 20502 //
     /* 1363227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1363230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1363247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363266 */     // MIs[0] Operand 5
     /* 1363266 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363277 */     // MIs[0] policy
     /* 1363277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363327 */     // GIR_Coverage, 20502,
     /* 1363327 */     GIR_EraseRootFromParent_Done,
     /* 1363328 */   // Label 18653: @1363328
     /* 1363328 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1363434), // Rule ID 20503 //
     /* 1363333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1363336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1363344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1363347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1363350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1363353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363372 */     // MIs[0] Operand 5
     /* 1363372 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363383 */     // MIs[0] policy
     /* 1363383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363393 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363433 */     // GIR_Coverage, 20503,
     /* 1363433 */     GIR_EraseRootFromParent_Done,
     /* 1363434 */   // Label 18654: @1363434
     /* 1363434 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1363540), // Rule ID 20506 //
     /* 1363439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1363442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1363459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363478 */     // MIs[0] Operand 5
     /* 1363478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363489 */     // MIs[0] policy
     /* 1363489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363539 */     // GIR_Coverage, 20506,
     /* 1363539 */     GIR_EraseRootFromParent_Done,
     /* 1363540 */   // Label 18655: @1363540
     /* 1363540 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1363646), // Rule ID 20507 //
     /* 1363545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1363548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1363556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1363559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1363562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1363565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1363572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1363580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363584 */     // MIs[0] Operand 5
     /* 1363584 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363595 */     // MIs[0] policy
     /* 1363595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363605 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1363622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1363642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363645 */     // GIR_Coverage, 20507,
     /* 1363645 */     GIR_EraseRootFromParent_Done,
     /* 1363646 */   // Label 18656: @1363646
     /* 1363646 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1363752), // Rule ID 20510 //
     /* 1363651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1363654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1363662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1363665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1363671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363690 */     // MIs[0] Operand 5
     /* 1363690 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363701 */     // MIs[0] policy
     /* 1363701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1363728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363751 */     // GIR_Coverage, 20510,
     /* 1363751 */     GIR_EraseRootFromParent_Done,
     /* 1363752 */   // Label 18657: @1363752
     /* 1363752 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1363858), // Rule ID 20511 //
     /* 1363757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1363760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1363768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1363771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1363774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1363777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363796 */     // MIs[0] Operand 5
     /* 1363796 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363807 */     // MIs[0] policy
     /* 1363807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363817 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1363817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1363834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363857 */     // GIR_Coverage, 20511,
     /* 1363857 */     GIR_EraseRootFromParent_Done,
     /* 1363858 */   // Label 18658: @1363858
     /* 1363858 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1363964), // Rule ID 20514 //
     /* 1363863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1363866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1363874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1363877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1363883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363902 */     // MIs[0] Operand 5
     /* 1363902 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1363913 */     // MIs[0] policy
     /* 1363913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1363916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1363923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1363927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1363933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1363937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1363940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1363946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1363952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1363962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363963 */     // GIR_Coverage, 20514,
     /* 1363963 */     GIR_EraseRootFromParent_Done,
     /* 1363964 */   // Label 18659: @1363964
     /* 1363964 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1364070), // Rule ID 20515 //
     /* 1363969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1363972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1363977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1363980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1363983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1363989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364008 */     // MIs[0] Operand 5
     /* 1364008 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364019 */     // MIs[0] policy
     /* 1364019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364029 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1364046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364069 */     // GIR_Coverage, 20515,
     /* 1364069 */     GIR_EraseRootFromParent_Done,
     /* 1364070 */   // Label 18660: @1364070
     /* 1364070 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1364176), // Rule ID 20518 //
     /* 1364075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1364078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1364086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1364089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1364095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364114 */     // MIs[0] Operand 5
     /* 1364114 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364125 */     // MIs[0] policy
     /* 1364125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364135 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1364152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364175 */     // GIR_Coverage, 20518,
     /* 1364175 */     GIR_EraseRootFromParent_Done,
     /* 1364176 */   // Label 18661: @1364176
     /* 1364176 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1364282), // Rule ID 20519 //
     /* 1364181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1364184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1364192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1364195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1364198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1364201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364220 */     // MIs[0] Operand 5
     /* 1364220 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364231 */     // MIs[0] policy
     /* 1364231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1364258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1364278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364281 */     // GIR_Coverage, 20519,
     /* 1364281 */     GIR_EraseRootFromParent_Done,
     /* 1364282 */   // Label 18662: @1364282
     /* 1364282 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1364388), // Rule ID 20522 //
     /* 1364287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1364290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1364298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1364301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1364307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364326 */     // MIs[0] Operand 5
     /* 1364326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364337 */     // MIs[0] policy
     /* 1364337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1364364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364387 */     // GIR_Coverage, 20522,
     /* 1364387 */     GIR_EraseRootFromParent_Done,
     /* 1364388 */   // Label 18663: @1364388
     /* 1364388 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1364494), // Rule ID 20523 //
     /* 1364393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1364396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1364404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1364407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1364410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1364413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364432 */     // MIs[0] Operand 5
     /* 1364432 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364443 */     // MIs[0] policy
     /* 1364443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364453 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1364470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364493 */     // GIR_Coverage, 20523,
     /* 1364493 */     GIR_EraseRootFromParent_Done,
     /* 1364494 */   // Label 18664: @1364494
     /* 1364494 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1364600), // Rule ID 20526 //
     /* 1364499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1364502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1364510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1364513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1364519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364538 */     // MIs[0] Operand 5
     /* 1364538 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364549 */     // MIs[0] policy
     /* 1364549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364559 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1364576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364599 */     // GIR_Coverage, 20526,
     /* 1364599 */     GIR_EraseRootFromParent_Done,
     /* 1364600 */   // Label 18665: @1364600
     /* 1364600 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1364706), // Rule ID 20527 //
     /* 1364605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1364608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1364616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1364619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1364625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364644 */     // MIs[0] Operand 5
     /* 1364644 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364655 */     // MIs[0] policy
     /* 1364655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1364682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364705 */     // GIR_Coverage, 20527,
     /* 1364705 */     GIR_EraseRootFromParent_Done,
     /* 1364706 */   // Label 18666: @1364706
     /* 1364706 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1364812), // Rule ID 20530 //
     /* 1364711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1364714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1364731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364750 */     // MIs[0] Operand 5
     /* 1364750 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364761 */     // MIs[0] policy
     /* 1364761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364771 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1364788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364811 */     // GIR_Coverage, 20530,
     /* 1364811 */     GIR_EraseRootFromParent_Done,
     /* 1364812 */   // Label 18667: @1364812
     /* 1364812 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1364918), // Rule ID 20531 //
     /* 1364817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1364820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1364837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364856 */     // MIs[0] Operand 5
     /* 1364856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364867 */     // MIs[0] policy
     /* 1364867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364877 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1364877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364881 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1364894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1364900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1364906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1364916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364917 */     // GIR_Coverage, 20531,
     /* 1364917 */     GIR_EraseRootFromParent_Done,
     /* 1364918 */   // Label 18668: @1364918
     /* 1364918 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1365024), // Rule ID 20534 //
     /* 1364923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1364926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1364931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1364934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1364937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1364943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364962 */     // MIs[0] Operand 5
     /* 1364962 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1364973 */     // MIs[0] policy
     /* 1364973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1364976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364983 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1364983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1364987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1364993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1364997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1365000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365023 */     // GIR_Coverage, 20534,
     /* 1365023 */     GIR_EraseRootFromParent_Done,
     /* 1365024 */   // Label 18669: @1365024
     /* 1365024 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1365130), // Rule ID 20535 //
     /* 1365029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1365032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1365037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1365040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1365043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1365046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1365049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1365056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1365064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365068 */     // MIs[0] Operand 5
     /* 1365068 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365079 */     // MIs[0] policy
     /* 1365079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1365106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365129 */     // GIR_Coverage, 20535,
     /* 1365129 */     GIR_EraseRootFromParent_Done,
     /* 1365130 */   // Label 18670: @1365130
     /* 1365130 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1365236), // Rule ID 20538 //
     /* 1365135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1365138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1365143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1365146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1365149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1365155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365174 */     // MIs[0] Operand 5
     /* 1365174 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365185 */     // MIs[0] policy
     /* 1365185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1365212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365235 */     // GIR_Coverage, 20538,
     /* 1365235 */     GIR_EraseRootFromParent_Done,
     /* 1365236 */   // Label 18671: @1365236
     /* 1365236 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1365342), // Rule ID 20539 //
     /* 1365241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1365244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1365249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1365252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1365255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1365261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365280 */     // MIs[0] Operand 5
     /* 1365280 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365291 */     // MIs[0] policy
     /* 1365291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365301 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1365318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365341 */     // GIR_Coverage, 20539,
     /* 1365341 */     GIR_EraseRootFromParent_Done,
     /* 1365342 */   // Label 18672: @1365342
     /* 1365342 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1365448), // Rule ID 20542 //
     /* 1365347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1365350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1365355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1365367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365386 */     // MIs[0] Operand 5
     /* 1365386 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365397 */     // MIs[0] policy
     /* 1365397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365407 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1365424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365447 */     // GIR_Coverage, 20542,
     /* 1365447 */     GIR_EraseRootFromParent_Done,
     /* 1365448 */   // Label 18673: @1365448
     /* 1365448 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1365554), // Rule ID 20543 //
     /* 1365453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1365456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1365461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1365473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365492 */     // MIs[0] Operand 5
     /* 1365492 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365503 */     // MIs[0] policy
     /* 1365503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1365530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365536 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365553 */     // GIR_Coverage, 20543,
     /* 1365553 */     GIR_EraseRootFromParent_Done,
     /* 1365554 */   // Label 18674: @1365554
     /* 1365554 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1365660), // Rule ID 20546 //
     /* 1365559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1365562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1365567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1365570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1365573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1365579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365598 */     // MIs[0] Operand 5
     /* 1365598 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365609 */     // MIs[0] policy
     /* 1365609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1365636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365659 */     // GIR_Coverage, 20546,
     /* 1365659 */     GIR_EraseRootFromParent_Done,
     /* 1365660 */   // Label 18675: @1365660
     /* 1365660 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1365766), // Rule ID 20547 //
     /* 1365665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1365668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1365673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1365676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1365679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1365685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365704 */     // MIs[0] Operand 5
     /* 1365704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365715 */     // MIs[0] policy
     /* 1365715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1365742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365765 */     // GIR_Coverage, 20547,
     /* 1365765 */     GIR_EraseRootFromParent_Done,
     /* 1365766 */   // Label 18676: @1365766
     /* 1365766 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1365872), // Rule ID 20550 //
     /* 1365771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1365774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1365779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1365782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1365785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1365791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365810 */     // MIs[0] Operand 5
     /* 1365810 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365821 */     // MIs[0] policy
     /* 1365821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1365831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1365848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365871 */     // GIR_Coverage, 20550,
     /* 1365871 */     GIR_EraseRootFromParent_Done,
     /* 1365872 */   // Label 18677: @1365872
     /* 1365872 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1365978), // Rule ID 20551 //
     /* 1365877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1365880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1365885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1365888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1365891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1365894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1365897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365916 */     // MIs[0] Operand 5
     /* 1365916 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1365927 */     // MIs[0] policy
     /* 1365927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1365930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1365937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1365941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1365947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1365951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1365954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1365960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1365966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1365976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365977 */     // GIR_Coverage, 20551,
     /* 1365977 */     GIR_EraseRootFromParent_Done,
     /* 1365978 */   // Label 18678: @1365978
     /* 1365978 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1366084), // Rule ID 20554 //
     /* 1365983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1365986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1365991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1365994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1365997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1366003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366022 */     // MIs[0] Operand 5
     /* 1366022 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366033 */     // MIs[0] policy
     /* 1366033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1366060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366083 */     // GIR_Coverage, 20554,
     /* 1366083 */     GIR_EraseRootFromParent_Done,
     /* 1366084 */   // Label 18679: @1366084
     /* 1366084 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1366190), // Rule ID 20555 //
     /* 1366089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1366092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1366100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1366103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1366109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366128 */     // MIs[0] Operand 5
     /* 1366128 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366139 */     // MIs[0] policy
     /* 1366139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366149 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1366166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366189 */     // GIR_Coverage, 20555,
     /* 1366189 */     GIR_EraseRootFromParent_Done,
     /* 1366190 */   // Label 18680: @1366190
     /* 1366190 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1366296), // Rule ID 20558 //
     /* 1366195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1366198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1366215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366234 */     // MIs[0] Operand 5
     /* 1366234 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366245 */     // MIs[0] policy
     /* 1366245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366255 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366295 */     // GIR_Coverage, 20558,
     /* 1366295 */     GIR_EraseRootFromParent_Done,
     /* 1366296 */   // Label 18681: @1366296
     /* 1366296 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1366402), // Rule ID 20559 //
     /* 1366301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1366304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1366321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366340 */     // MIs[0] Operand 5
     /* 1366340 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366351 */     // MIs[0] policy
     /* 1366351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366401 */     // GIR_Coverage, 20559,
     /* 1366401 */     GIR_EraseRootFromParent_Done,
     /* 1366402 */   // Label 18682: @1366402
     /* 1366402 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1366508), // Rule ID 20562 //
     /* 1366407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1366410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1366427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366446 */     // MIs[0] Operand 5
     /* 1366446 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366457 */     // MIs[0] policy
     /* 1366457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366507 */     // GIR_Coverage, 20562,
     /* 1366507 */     GIR_EraseRootFromParent_Done,
     /* 1366508 */   // Label 18683: @1366508
     /* 1366508 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1366614), // Rule ID 20563 //
     /* 1366513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1366516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1366533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366552 */     // MIs[0] Operand 5
     /* 1366552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366563 */     // MIs[0] policy
     /* 1366563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366613 */     // GIR_Coverage, 20563,
     /* 1366613 */     GIR_EraseRootFromParent_Done,
     /* 1366614 */   // Label 18684: @1366614
     /* 1366614 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1366720), // Rule ID 20566 //
     /* 1366619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1366622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1366639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366658 */     // MIs[0] Operand 5
     /* 1366658 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366669 */     // MIs[0] policy
     /* 1366669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366679 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366719 */     // GIR_Coverage, 20566,
     /* 1366719 */     GIR_EraseRootFromParent_Done,
     /* 1366720 */   // Label 18685: @1366720
     /* 1366720 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1366826), // Rule ID 20567 //
     /* 1366725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1366728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1366745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366764 */     // MIs[0] Operand 5
     /* 1366764 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366775 */     // MIs[0] policy
     /* 1366775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366785 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1366802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366825 */     // GIR_Coverage, 20567,
     /* 1366825 */     GIR_EraseRootFromParent_Done,
     /* 1366826 */   // Label 18686: @1366826
     /* 1366826 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1366932), // Rule ID 20570 //
     /* 1366831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1366834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1366842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1366845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1366851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1366858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366870 */     // MIs[0] Operand 5
     /* 1366870 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366881 */     // MIs[0] policy
     /* 1366881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1366891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1366895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1366901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1366905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1366908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1366912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1366914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1366920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1366930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366931 */     // GIR_Coverage, 20570,
     /* 1366931 */     GIR_EraseRootFromParent_Done,
     /* 1366932 */   // Label 18687: @1366932
     /* 1366932 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1367038), // Rule ID 20571 //
     /* 1366937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1366940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1366945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1366948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1366951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1366954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1366957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1366964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1366972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366976 */     // MIs[0] Operand 5
     /* 1366976 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1366987 */     // MIs[0] policy
     /* 1366987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1366990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1366997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1367014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367037 */     // GIR_Coverage, 20571,
     /* 1367037 */     GIR_EraseRootFromParent_Done,
     /* 1367038 */   // Label 18688: @1367038
     /* 1367038 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1367144), // Rule ID 20574 //
     /* 1367043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1367046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1367054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1367057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1367063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367082 */     // MIs[0] Operand 5
     /* 1367082 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367093 */     // MIs[0] policy
     /* 1367093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367103 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1367120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367143 */     // GIR_Coverage, 20574,
     /* 1367143 */     GIR_EraseRootFromParent_Done,
     /* 1367144 */   // Label 18689: @1367144
     /* 1367144 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1367250), // Rule ID 20575 //
     /* 1367149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1367152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1367160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1367163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1367169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367188 */     // MIs[0] Operand 5
     /* 1367188 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367199 */     // MIs[0] policy
     /* 1367199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367209 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1367226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367249 */     // GIR_Coverage, 20575,
     /* 1367249 */     GIR_EraseRootFromParent_Done,
     /* 1367250 */   // Label 18690: @1367250
     /* 1367250 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1367356), // Rule ID 20578 //
     /* 1367255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1367258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1367266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1367269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1367275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1367282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367294 */     // MIs[0] Operand 5
     /* 1367294 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367305 */     // MIs[0] policy
     /* 1367305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367315 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1367332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367355 */     // GIR_Coverage, 20578,
     /* 1367355 */     GIR_EraseRootFromParent_Done,
     /* 1367356 */   // Label 18691: @1367356
     /* 1367356 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1367462), // Rule ID 20579 //
     /* 1367361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1367364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1367372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1367375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1367381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1367388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367400 */     // MIs[0] Operand 5
     /* 1367400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367411 */     // MIs[0] policy
     /* 1367411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367421 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1367438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367461 */     // GIR_Coverage, 20579,
     /* 1367461 */     GIR_EraseRootFromParent_Done,
     /* 1367462 */   // Label 18692: @1367462
     /* 1367462 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1367568), // Rule ID 20582 //
     /* 1367467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1367470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1367478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1367481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1367487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1367494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367506 */     // MIs[0] Operand 5
     /* 1367506 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367517 */     // MIs[0] policy
     /* 1367517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1367544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367567 */     // GIR_Coverage, 20582,
     /* 1367567 */     GIR_EraseRootFromParent_Done,
     /* 1367568 */   // Label 18693: @1367568
     /* 1367568 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1367674), // Rule ID 20583 //
     /* 1367573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1367576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1367584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1367587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1367590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1367593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1367600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367612 */     // MIs[0] Operand 5
     /* 1367612 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367623 */     // MIs[0] policy
     /* 1367623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1367650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367673 */     // GIR_Coverage, 20583,
     /* 1367673 */     GIR_EraseRootFromParent_Done,
     /* 1367674 */   // Label 18694: @1367674
     /* 1367674 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1367780), // Rule ID 20586 //
     /* 1367679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1367682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1367690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1367693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1367699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367718 */     // MIs[0] Operand 5
     /* 1367718 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367729 */     // MIs[0] policy
     /* 1367729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1367756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367779 */     // GIR_Coverage, 20586,
     /* 1367779 */     GIR_EraseRootFromParent_Done,
     /* 1367780 */   // Label 18695: @1367780
     /* 1367780 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1367886), // Rule ID 20587 //
     /* 1367785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1367788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1367796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1367799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1367802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1367805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1367812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367824 */     // MIs[0] Operand 5
     /* 1367824 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367835 */     // MIs[0] policy
     /* 1367835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367845 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1367845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1367862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367885 */     // GIR_Coverage, 20587,
     /* 1367885 */     GIR_EraseRootFromParent_Done,
     /* 1367886 */   // Label 18696: @1367886
     /* 1367886 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1367992), // Rule ID 20590 //
     /* 1367891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1367894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1367899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1367902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1367905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1367908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1367911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1367918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367930 */     // MIs[0] Operand 5
     /* 1367930 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1367941 */     // MIs[0] policy
     /* 1367941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1367944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1367951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1367955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1367961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1367965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1367968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1367972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1367974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1367980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1367988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1367990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367991 */     // GIR_Coverage, 20590,
     /* 1367991 */     GIR_EraseRootFromParent_Done,
     /* 1367992 */   // Label 18697: @1367992
     /* 1367992 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1368098), // Rule ID 20591 //
     /* 1367997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1368000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1368008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1368011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1368017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1368024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368036 */     // MIs[0] Operand 5
     /* 1368036 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368047 */     // MIs[0] policy
     /* 1368047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1368074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368097 */     // GIR_Coverage, 20591,
     /* 1368097 */     GIR_EraseRootFromParent_Done,
     /* 1368098 */   // Label 18698: @1368098
     /* 1368098 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1368204), // Rule ID 20594 //
     /* 1368103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1368106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1368114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1368117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1368123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1368130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368142 */     // MIs[0] Operand 5
     /* 1368142 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368153 */     // MIs[0] policy
     /* 1368153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1368180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368203 */     // GIR_Coverage, 20594,
     /* 1368203 */     GIR_EraseRootFromParent_Done,
     /* 1368204 */   // Label 18699: @1368204
     /* 1368204 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1368310), // Rule ID 20595 //
     /* 1368209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1368212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1368220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1368223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1368229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1368236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368248 */     // MIs[0] Operand 5
     /* 1368248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368259 */     // MIs[0] policy
     /* 1368259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1368286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368309 */     // GIR_Coverage, 20595,
     /* 1368309 */     GIR_EraseRootFromParent_Done,
     /* 1368310 */   // Label 18700: @1368310
     /* 1368310 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1368416), // Rule ID 20598 //
     /* 1368315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1368318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1368326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1368329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1368335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1368342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368354 */     // MIs[0] Operand 5
     /* 1368354 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368365 */     // MIs[0] policy
     /* 1368365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368375 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1368392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368415 */     // GIR_Coverage, 20598,
     /* 1368415 */     GIR_EraseRootFromParent_Done,
     /* 1368416 */   // Label 18701: @1368416
     /* 1368416 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1368522), // Rule ID 20599 //
     /* 1368421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1368424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1368432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1368435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1368441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1368448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368460 */     // MIs[0] Operand 5
     /* 1368460 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368471 */     // MIs[0] policy
     /* 1368471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368481 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1368498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368521 */     // GIR_Coverage, 20599,
     /* 1368521 */     GIR_EraseRootFromParent_Done,
     /* 1368522 */   // Label 18702: @1368522
     /* 1368522 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1368628), // Rule ID 20602 //
     /* 1368527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1368530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1368538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1368541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1368547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1368554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368566 */     // MIs[0] Operand 5
     /* 1368566 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368577 */     // MIs[0] policy
     /* 1368577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1368604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368627 */     // GIR_Coverage, 20602,
     /* 1368627 */     GIR_EraseRootFromParent_Done,
     /* 1368628 */   // Label 18703: @1368628
     /* 1368628 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1368734), // Rule ID 20603 //
     /* 1368633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1368636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1368641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1368644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1368647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1368653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1368660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368672 */     // MIs[0] Operand 5
     /* 1368672 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368683 */     // MIs[0] policy
     /* 1368683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368693 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1368710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368733 */     // GIR_Coverage, 20603,
     /* 1368733 */     GIR_EraseRootFromParent_Done,
     /* 1368734 */   // Label 18704: @1368734
     /* 1368734 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1368840), // Rule ID 20962 //
     /* 1368739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1368742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1368747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1368750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1368753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1368759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368778 */     // MIs[0] Operand 5
     /* 1368778 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368789 */     // MIs[0] policy
     /* 1368789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1368799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1368816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368822 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368839 */     // GIR_Coverage, 20962,
     /* 1368839 */     GIR_EraseRootFromParent_Done,
     /* 1368840 */   // Label 18705: @1368840
     /* 1368840 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1368946), // Rule ID 20963 //
     /* 1368845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1368848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1368853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1368856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1368859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1368862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1368865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368884 */     // MIs[0] Operand 5
     /* 1368884 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1368895 */     // MIs[0] policy
     /* 1368895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1368898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368905 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1368905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1368909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1368915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1368919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1368922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1368926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1368928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1368934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1368944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368945 */     // GIR_Coverage, 20963,
     /* 1368945 */     GIR_EraseRootFromParent_Done,
     /* 1368946 */   // Label 18706: @1368946
     /* 1368946 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1369052), // Rule ID 20966 //
     /* 1368951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1368954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1368959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1368968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1368971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368990 */     // MIs[0] Operand 5
     /* 1368990 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369001 */     // MIs[0] policy
     /* 1369001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1369028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369051 */     // GIR_Coverage, 20966,
     /* 1369051 */     GIR_EraseRootFromParent_Done,
     /* 1369052 */   // Label 18707: @1369052
     /* 1369052 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1369158), // Rule ID 20967 //
     /* 1369057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1369060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1369077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369096 */     // MIs[0] Operand 5
     /* 1369096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369107 */     // MIs[0] policy
     /* 1369107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369117 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1369134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369157 */     // GIR_Coverage, 20967,
     /* 1369157 */     GIR_EraseRootFromParent_Done,
     /* 1369158 */   // Label 18708: @1369158
     /* 1369158 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1369264), // Rule ID 20970 //
     /* 1369163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1369166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1369174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1369177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1369183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1369190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369202 */     // MIs[0] Operand 5
     /* 1369202 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369213 */     // MIs[0] policy
     /* 1369213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369223 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1369240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369263 */     // GIR_Coverage, 20970,
     /* 1369263 */     GIR_EraseRootFromParent_Done,
     /* 1369264 */   // Label 18709: @1369264
     /* 1369264 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1369370), // Rule ID 20971 //
     /* 1369269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1369272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1369280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1369283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1369286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1369289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1369296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369308 */     // MIs[0] Operand 5
     /* 1369308 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369319 */     // MIs[0] policy
     /* 1369319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369329 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1369346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369369 */     // GIR_Coverage, 20971,
     /* 1369369 */     GIR_EraseRootFromParent_Done,
     /* 1369370 */   // Label 18710: @1369370
     /* 1369370 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1369476), // Rule ID 20974 //
     /* 1369375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1369378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1369386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1369389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1369392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1369395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1369402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369414 */     // MIs[0] Operand 5
     /* 1369414 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369425 */     // MIs[0] policy
     /* 1369425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1369452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369475 */     // GIR_Coverage, 20974,
     /* 1369475 */     GIR_EraseRootFromParent_Done,
     /* 1369476 */   // Label 18711: @1369476
     /* 1369476 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1369582), // Rule ID 20975 //
     /* 1369481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1369484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1369492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1369495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1369498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1369501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1369508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1369516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369520 */     // MIs[0] Operand 5
     /* 1369520 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369531 */     // MIs[0] policy
     /* 1369531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1369558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369581 */     // GIR_Coverage, 20975,
     /* 1369581 */     GIR_EraseRootFromParent_Done,
     /* 1369582 */   // Label 18712: @1369582
     /* 1369582 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1369688), // Rule ID 20978 //
     /* 1369587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1369590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1369598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1369601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1369604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1369607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1369614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369626 */     // MIs[0] Operand 5
     /* 1369626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369637 */     // MIs[0] policy
     /* 1369637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1369664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369687 */     // GIR_Coverage, 20978,
     /* 1369687 */     GIR_EraseRootFromParent_Done,
     /* 1369688 */   // Label 18713: @1369688
     /* 1369688 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1369794), // Rule ID 20979 //
     /* 1369693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1369696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1369704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1369707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1369710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1369713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1369720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1369728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369732 */     // MIs[0] Operand 5
     /* 1369732 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369743 */     // MIs[0] policy
     /* 1369743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369753 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1369770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369793 */     // GIR_Coverage, 20979,
     /* 1369793 */     GIR_EraseRootFromParent_Done,
     /* 1369794 */   // Label 18714: @1369794
     /* 1369794 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1369900), // Rule ID 20982 //
     /* 1369799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1369802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1369819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369838 */     // MIs[0] Operand 5
     /* 1369838 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369849 */     // MIs[0] policy
     /* 1369849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369859 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1369859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1369876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1369898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369899 */     // GIR_Coverage, 20982,
     /* 1369899 */     GIR_EraseRootFromParent_Done,
     /* 1369900 */   // Label 18715: @1369900
     /* 1369900 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1370006), // Rule ID 20983 //
     /* 1369905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1369908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1369913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1369916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1369919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1369925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369944 */     // MIs[0] Operand 5
     /* 1369944 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1369955 */     // MIs[0] policy
     /* 1369955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1369958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369965 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1369965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1369969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1369975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1369979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1369982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1369986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1369988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1369994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370005 */     // GIR_Coverage, 20983,
     /* 1370005 */     GIR_EraseRootFromParent_Done,
     /* 1370006 */   // Label 18716: @1370006
     /* 1370006 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1370112), // Rule ID 20986 //
     /* 1370011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1370014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1370022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1370025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1370031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370050 */     // MIs[0] Operand 5
     /* 1370050 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370061 */     // MIs[0] policy
     /* 1370061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370071 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1370088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370111 */     // GIR_Coverage, 20986,
     /* 1370111 */     GIR_EraseRootFromParent_Done,
     /* 1370112 */   // Label 18717: @1370112
     /* 1370112 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1370218), // Rule ID 20987 //
     /* 1370117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1370120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1370128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1370131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1370137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1370144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370156 */     // MIs[0] Operand 5
     /* 1370156 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370167 */     // MIs[0] policy
     /* 1370167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370177 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1370194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370217 */     // GIR_Coverage, 20987,
     /* 1370217 */     GIR_EraseRootFromParent_Done,
     /* 1370218 */   // Label 18718: @1370218
     /* 1370218 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1370324), // Rule ID 20990 //
     /* 1370223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1370226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1370234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1370237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1370243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1370250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370262 */     // MIs[0] Operand 5
     /* 1370262 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370273 */     // MIs[0] policy
     /* 1370273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370283 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1370300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370323 */     // GIR_Coverage, 20990,
     /* 1370323 */     GIR_EraseRootFromParent_Done,
     /* 1370324 */   // Label 18719: @1370324
     /* 1370324 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1370430), // Rule ID 20991 //
     /* 1370329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1370332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1370340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1370343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1370346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1370349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1370356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370368 */     // MIs[0] Operand 5
     /* 1370368 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370379 */     // MIs[0] policy
     /* 1370379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370389 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1370406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370429 */     // GIR_Coverage, 20991,
     /* 1370429 */     GIR_EraseRootFromParent_Done,
     /* 1370430 */   // Label 18720: @1370430
     /* 1370430 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1370536), // Rule ID 20994 //
     /* 1370435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1370438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1370446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1370449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1370452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1370455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1370462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370474 */     // MIs[0] Operand 5
     /* 1370474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370485 */     // MIs[0] policy
     /* 1370485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370495 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1370512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370535 */     // GIR_Coverage, 20994,
     /* 1370535 */     GIR_EraseRootFromParent_Done,
     /* 1370536 */   // Label 18721: @1370536
     /* 1370536 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1370642), // Rule ID 20995 //
     /* 1370541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1370544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1370549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1370552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1370555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1370558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1370561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1370568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1370572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370580 */     // MIs[0] Operand 5
     /* 1370580 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370591 */     // MIs[0] policy
     /* 1370591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1370618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370641 */     // GIR_Coverage, 20995,
     /* 1370641 */     GIR_EraseRootFromParent_Done,
     /* 1370642 */   // Label 18722: @1370642
     /* 1370642 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1370748), // Rule ID 20998 //
     /* 1370647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1370650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1370655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1370658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1370661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1370667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370686 */     // MIs[0] Operand 5
     /* 1370686 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370697 */     // MIs[0] policy
     /* 1370697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1370724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370747 */     // GIR_Coverage, 20998,
     /* 1370747 */     GIR_EraseRootFromParent_Done,
     /* 1370748 */   // Label 18723: @1370748
     /* 1370748 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1370854), // Rule ID 20999 //
     /* 1370753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1370756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1370761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1370764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1370767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1370770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1370773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370792 */     // MIs[0] Operand 5
     /* 1370792 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370803 */     // MIs[0] policy
     /* 1370803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370813 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1370813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1370830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370853 */     // GIR_Coverage, 20999,
     /* 1370853 */     GIR_EraseRootFromParent_Done,
     /* 1370854 */   // Label 18724: @1370854
     /* 1370854 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1370960), // Rule ID 21002 //
     /* 1370859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1370862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1370867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1370879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370898 */     // MIs[0] Operand 5
     /* 1370898 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1370909 */     // MIs[0] policy
     /* 1370909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1370912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370919 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1370919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1370923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1370929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1370933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1370936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1370940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1370942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1370948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1370958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370959 */     // GIR_Coverage, 21002,
     /* 1370959 */     GIR_EraseRootFromParent_Done,
     /* 1370960 */   // Label 18725: @1370960
     /* 1370960 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1371066), // Rule ID 21003 //
     /* 1370965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1370968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1370973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1370982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1370985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371004 */     // MIs[0] Operand 5
     /* 1371004 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371015 */     // MIs[0] policy
     /* 1371015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371025 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1371042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371065 */     // GIR_Coverage, 21003,
     /* 1371065 */     GIR_EraseRootFromParent_Done,
     /* 1371066 */   // Label 18726: @1371066
     /* 1371066 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1371172), // Rule ID 21006 //
     /* 1371071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1371074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1371082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1371085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1371088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1371091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1371098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371110 */     // MIs[0] Operand 5
     /* 1371110 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371121 */     // MIs[0] policy
     /* 1371121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1371148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371171 */     // GIR_Coverage, 21006,
     /* 1371171 */     GIR_EraseRootFromParent_Done,
     /* 1371172 */   // Label 18727: @1371172
     /* 1371172 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1371278), // Rule ID 21007 //
     /* 1371177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1371180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1371188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1371191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1371194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1371197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1371204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371216 */     // MIs[0] Operand 5
     /* 1371216 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371227 */     // MIs[0] policy
     /* 1371227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371241 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1371254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371277 */     // GIR_Coverage, 21007,
     /* 1371277 */     GIR_EraseRootFromParent_Done,
     /* 1371278 */   // Label 18728: @1371278
     /* 1371278 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1371384), // Rule ID 21010 //
     /* 1371283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1371286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1371294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1371297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1371303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1371310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371322 */     // MIs[0] Operand 5
     /* 1371322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371333 */     // MIs[0] policy
     /* 1371333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371343 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1371360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371383 */     // GIR_Coverage, 21010,
     /* 1371383 */     GIR_EraseRootFromParent_Done,
     /* 1371384 */   // Label 18729: @1371384
     /* 1371384 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1371490), // Rule ID 21011 //
     /* 1371389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1371392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1371400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1371403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1371409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1371416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371428 */     // MIs[0] Operand 5
     /* 1371428 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371439 */     // MIs[0] policy
     /* 1371439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371449 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1371466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371489 */     // GIR_Coverage, 21011,
     /* 1371489 */     GIR_EraseRootFromParent_Done,
     /* 1371490 */   // Label 18730: @1371490
     /* 1371490 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1371596), // Rule ID 21014 //
     /* 1371495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1371498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1371506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1371509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1371515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371534 */     // MIs[0] Operand 5
     /* 1371534 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371545 */     // MIs[0] policy
     /* 1371545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1371572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371595 */     // GIR_Coverage, 21014,
     /* 1371595 */     GIR_EraseRootFromParent_Done,
     /* 1371596 */   // Label 18731: @1371596
     /* 1371596 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1371702), // Rule ID 21015 //
     /* 1371601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1371604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1371612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1371615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1371621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1371628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371640 */     // MIs[0] Operand 5
     /* 1371640 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371651 */     // MIs[0] policy
     /* 1371651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371661 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1371678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371701 */     // GIR_Coverage, 21015,
     /* 1371701 */     GIR_EraseRootFromParent_Done,
     /* 1371702 */   // Label 18732: @1371702
     /* 1371702 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1371808), // Rule ID 21018 //
     /* 1371707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1371710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1371724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1371727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371746 */     // MIs[0] Operand 5
     /* 1371746 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371757 */     // MIs[0] policy
     /* 1371757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371767 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371771 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1371784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371807 */     // GIR_Coverage, 21018,
     /* 1371807 */     GIR_EraseRootFromParent_Done,
     /* 1371808 */   // Label 18733: @1371808
     /* 1371808 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1371914), // Rule ID 21019 //
     /* 1371813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1371816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1371824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1371827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1371830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1371833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371852 */     // MIs[0] Operand 5
     /* 1371852 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371863 */     // MIs[0] policy
     /* 1371863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371873 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1371873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1371890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1371894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1371896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1371902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1371912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371913 */     // GIR_Coverage, 21019,
     /* 1371913 */     GIR_EraseRootFromParent_Done,
     /* 1371914 */   // Label 18734: @1371914
     /* 1371914 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1372020), // Rule ID 21022 //
     /* 1371919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1371922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1371927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1371930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1371933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1371936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1371939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1371946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371958 */     // MIs[0] Operand 5
     /* 1371958 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1371969 */     // MIs[0] policy
     /* 1371969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1371972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1371979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1371983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1371989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1371993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1371996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372019 */     // GIR_Coverage, 21022,
     /* 1372019 */     GIR_EraseRootFromParent_Done,
     /* 1372020 */   // Label 18735: @1372020
     /* 1372020 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1372126), // Rule ID 21023 //
     /* 1372025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1372028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1372033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1372036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1372039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1372042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1372045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1372052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372064 */     // MIs[0] Operand 5
     /* 1372064 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372075 */     // MIs[0] policy
     /* 1372075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372085 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1372102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372125 */     // GIR_Coverage, 21023,
     /* 1372125 */     GIR_EraseRootFromParent_Done,
     /* 1372126 */   // Label 18736: @1372126
     /* 1372126 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1372232), // Rule ID 21026 //
     /* 1372131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1372134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1372139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1372142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1372145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1372151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1372158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372170 */     // MIs[0] Operand 5
     /* 1372170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372181 */     // MIs[0] policy
     /* 1372181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1372208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372231 */     // GIR_Coverage, 21026,
     /* 1372231 */     GIR_EraseRootFromParent_Done,
     /* 1372232 */   // Label 18737: @1372232
     /* 1372232 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1372338), // Rule ID 21027 //
     /* 1372237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1372240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1372245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1372248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1372251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1372254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1372257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1372264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372276 */     // MIs[0] Operand 5
     /* 1372276 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372287 */     // MIs[0] policy
     /* 1372287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372297 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1372314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372337 */     // GIR_Coverage, 21027,
     /* 1372337 */     GIR_EraseRootFromParent_Done,
     /* 1372338 */   // Label 18738: @1372338
     /* 1372338 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1372444), // Rule ID 21030 //
     /* 1372343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1372346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1372351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1372354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1372357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1372363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1372370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372382 */     // MIs[0] Operand 5
     /* 1372382 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372393 */     // MIs[0] policy
     /* 1372393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1372420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372443 */     // GIR_Coverage, 21030,
     /* 1372443 */     GIR_EraseRootFromParent_Done,
     /* 1372444 */   // Label 18739: @1372444
     /* 1372444 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1372550), // Rule ID 21031 //
     /* 1372449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1372452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1372457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1372460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1372463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1372469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1372476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372488 */     // MIs[0] Operand 5
     /* 1372488 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372499 */     // MIs[0] policy
     /* 1372499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372509 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1372526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372549 */     // GIR_Coverage, 21031,
     /* 1372549 */     GIR_EraseRootFromParent_Done,
     /* 1372550 */   // Label 18740: @1372550
     /* 1372550 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1372656), // Rule ID 21334 //
     /* 1372555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1372558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1372563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1372566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1372569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1372575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372594 */     // MIs[0] Operand 5
     /* 1372594 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372605 */     // MIs[0] policy
     /* 1372605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372615 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1372632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372655 */     // GIR_Coverage, 21334,
     /* 1372655 */     GIR_EraseRootFromParent_Done,
     /* 1372656 */   // Label 18741: @1372656
     /* 1372656 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1372762), // Rule ID 21335 //
     /* 1372661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1372664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1372669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1372672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1372675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1372678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1372681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372700 */     // MIs[0] Operand 5
     /* 1372700 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372711 */     // MIs[0] policy
     /* 1372711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372721 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1372738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372761 */     // GIR_Coverage, 21335,
     /* 1372761 */     GIR_EraseRootFromParent_Done,
     /* 1372762 */   // Label 18742: @1372762
     /* 1372762 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1372868), // Rule ID 21338 //
     /* 1372767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1372770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1372775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1372778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1372781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1372787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372806 */     // MIs[0] Operand 5
     /* 1372806 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372817 */     // MIs[0] policy
     /* 1372817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372827 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1372827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1372844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372867 */     // GIR_Coverage, 21338,
     /* 1372867 */     GIR_EraseRootFromParent_Done,
     /* 1372868 */   // Label 18743: @1372868
     /* 1372868 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1372974), // Rule ID 21339 //
     /* 1372873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1372876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1372881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1372884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1372887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1372890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1372893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372912 */     // MIs[0] Operand 5
     /* 1372912 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1372923 */     // MIs[0] policy
     /* 1372923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1372926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372933 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1372933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1372937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1372943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1372947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1372950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1372954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1372956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1372962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1372972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372973 */     // GIR_Coverage, 21339,
     /* 1372973 */     GIR_EraseRootFromParent_Done,
     /* 1372974 */   // Label 18744: @1372974
     /* 1372974 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1373080), // Rule ID 21342 //
     /* 1372979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1372982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1372987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1372990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1372993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1372996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1372999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373018 */     // MIs[0] Operand 5
     /* 1373018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373029 */     // MIs[0] policy
     /* 1373029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1373056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373079 */     // GIR_Coverage, 21342,
     /* 1373079 */     GIR_EraseRootFromParent_Done,
     /* 1373080 */   // Label 18745: @1373080
     /* 1373080 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1373186), // Rule ID 21343 //
     /* 1373085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1373088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1373096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1373099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1373105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373124 */     // MIs[0] Operand 5
     /* 1373124 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373135 */     // MIs[0] policy
     /* 1373135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373145 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1373162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373185 */     // GIR_Coverage, 21343,
     /* 1373185 */     GIR_EraseRootFromParent_Done,
     /* 1373186 */   // Label 18746: @1373186
     /* 1373186 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1373292), // Rule ID 21346 //
     /* 1373191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1373194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1373208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1373211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373230 */     // MIs[0] Operand 5
     /* 1373230 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373241 */     // MIs[0] policy
     /* 1373241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1373268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373291 */     // GIR_Coverage, 21346,
     /* 1373291 */     GIR_EraseRootFromParent_Done,
     /* 1373292 */   // Label 18747: @1373292
     /* 1373292 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1373398), // Rule ID 21347 //
     /* 1373297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1373300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1373314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1373317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373336 */     // MIs[0] Operand 5
     /* 1373336 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373347 */     // MIs[0] policy
     /* 1373347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373357 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1373374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373397 */     // GIR_Coverage, 21347,
     /* 1373397 */     GIR_EraseRootFromParent_Done,
     /* 1373398 */   // Label 18748: @1373398
     /* 1373398 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1373504), // Rule ID 21350 //
     /* 1373403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1373406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1373414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1373417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1373420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1373423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1373430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373442 */     // MIs[0] Operand 5
     /* 1373442 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373453 */     // MIs[0] policy
     /* 1373453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373463 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1373480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373503 */     // GIR_Coverage, 21350,
     /* 1373503 */     GIR_EraseRootFromParent_Done,
     /* 1373504 */   // Label 18749: @1373504
     /* 1373504 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1373610), // Rule ID 21351 //
     /* 1373509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1373512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1373520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1373523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1373526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1373529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1373536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1373540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373548 */     // MIs[0] Operand 5
     /* 1373548 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373559 */     // MIs[0] policy
     /* 1373559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373569 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1373586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373609 */     // GIR_Coverage, 21351,
     /* 1373609 */     GIR_EraseRootFromParent_Done,
     /* 1373610 */   // Label 18750: @1373610
     /* 1373610 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1373716), // Rule ID 21354 //
     /* 1373615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1373618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1373626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1373629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1373632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1373635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1373642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373654 */     // MIs[0] Operand 5
     /* 1373654 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373665 */     // MIs[0] policy
     /* 1373665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1373692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373715 */     // GIR_Coverage, 21354,
     /* 1373715 */     GIR_EraseRootFromParent_Done,
     /* 1373716 */   // Label 18751: @1373716
     /* 1373716 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1373822), // Rule ID 21355 //
     /* 1373721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1373724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1373732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1373735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1373738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1373741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1373748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1373752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1373756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373760 */     // MIs[0] Operand 5
     /* 1373760 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373771 */     // MIs[0] policy
     /* 1373771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373781 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1373798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373821 */     // GIR_Coverage, 21355,
     /* 1373821 */     GIR_EraseRootFromParent_Done,
     /* 1373822 */   // Label 18752: @1373822
     /* 1373822 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1373928), // Rule ID 21358 //
     /* 1373827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1373830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1373838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1373841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1373847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373866 */     // MIs[0] Operand 5
     /* 1373866 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373877 */     // MIs[0] policy
     /* 1373877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1373887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1373897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1373901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1373904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1373908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1373910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1373916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1373926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373927 */     // GIR_Coverage, 21358,
     /* 1373927 */     GIR_EraseRootFromParent_Done,
     /* 1373928 */   // Label 18753: @1373928
     /* 1373928 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1374034), // Rule ID 21359 //
     /* 1373933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1373936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1373941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1373944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1373947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1373953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373972 */     // MIs[0] Operand 5
     /* 1373972 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1373983 */     // MIs[0] policy
     /* 1373983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1373986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373993 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1373993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1373997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1374010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374033 */     // GIR_Coverage, 21359,
     /* 1374033 */     GIR_EraseRootFromParent_Done,
     /* 1374034 */   // Label 18754: @1374034
     /* 1374034 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1374140), // Rule ID 21362 //
     /* 1374039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1374042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1374050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1374053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1374059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374078 */     // MIs[0] Operand 5
     /* 1374078 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374089 */     // MIs[0] policy
     /* 1374089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1374116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374139 */     // GIR_Coverage, 21362,
     /* 1374139 */     GIR_EraseRootFromParent_Done,
     /* 1374140 */   // Label 18755: @1374140
     /* 1374140 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1374246), // Rule ID 21363 //
     /* 1374145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1374148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1374156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1374159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1374165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374184 */     // MIs[0] Operand 5
     /* 1374184 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374195 */     // MIs[0] policy
     /* 1374195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374205 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1374222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374245 */     // GIR_Coverage, 21363,
     /* 1374245 */     GIR_EraseRootFromParent_Done,
     /* 1374246 */   // Label 18756: @1374246
     /* 1374246 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1374352), // Rule ID 21366 //
     /* 1374251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1374254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1374271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374290 */     // MIs[0] Operand 5
     /* 1374290 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374301 */     // MIs[0] policy
     /* 1374301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374311 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1374328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374351 */     // GIR_Coverage, 21366,
     /* 1374351 */     GIR_EraseRootFromParent_Done,
     /* 1374352 */   // Label 18757: @1374352
     /* 1374352 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1374458), // Rule ID 21367 //
     /* 1374357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1374360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1374374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1374377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374396 */     // MIs[0] Operand 5
     /* 1374396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374407 */     // MIs[0] policy
     /* 1374407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374417 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374421 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1374434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374457 */     // GIR_Coverage, 21367,
     /* 1374457 */     GIR_EraseRootFromParent_Done,
     /* 1374458 */   // Label 18758: @1374458
     /* 1374458 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1374564), // Rule ID 21370 //
     /* 1374463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1374466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1374474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1374477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1374483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1374490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374502 */     // MIs[0] Operand 5
     /* 1374502 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374513 */     // MIs[0] policy
     /* 1374513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1374540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374563 */     // GIR_Coverage, 21370,
     /* 1374563 */     GIR_EraseRootFromParent_Done,
     /* 1374564 */   // Label 18759: @1374564
     /* 1374564 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1374670), // Rule ID 21371 //
     /* 1374569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1374572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1374580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1374583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1374586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1374589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1374596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374608 */     // MIs[0] Operand 5
     /* 1374608 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374619 */     // MIs[0] policy
     /* 1374619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1374646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374669 */     // GIR_Coverage, 21371,
     /* 1374669 */     GIR_EraseRootFromParent_Done,
     /* 1374670 */   // Label 18760: @1374670
     /* 1374670 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1374776), // Rule ID 21374 //
     /* 1374675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1374678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1374686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1374689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1374695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374714 */     // MIs[0] Operand 5
     /* 1374714 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374725 */     // MIs[0] policy
     /* 1374725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374735 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1374752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374775 */     // GIR_Coverage, 21374,
     /* 1374775 */     GIR_EraseRootFromParent_Done,
     /* 1374776 */   // Label 18761: @1374776
     /* 1374776 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1374882), // Rule ID 21375 //
     /* 1374781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1374784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1374792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1374795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1374798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1374801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1374808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374820 */     // MIs[0] Operand 5
     /* 1374820 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374831 */     // MIs[0] policy
     /* 1374831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374841 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1374841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1374858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374881 */     // GIR_Coverage, 21375,
     /* 1374881 */     GIR_EraseRootFromParent_Done,
     /* 1374882 */   // Label 18762: @1374882
     /* 1374882 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1374988), // Rule ID 21378 //
     /* 1374887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1374890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1374895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1374898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1374901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1374907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374926 */     // MIs[0] Operand 5
     /* 1374926 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1374937 */     // MIs[0] policy
     /* 1374937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1374940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1374947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1374951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1374957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1374961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1374964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1374968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1374970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1374976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1374986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374987 */     // GIR_Coverage, 21378,
     /* 1374987 */     GIR_EraseRootFromParent_Done,
     /* 1374988 */   // Label 18763: @1374988
     /* 1374988 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1375094), // Rule ID 21379 //
     /* 1374993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1374996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1375004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1375007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1375010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1375013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375032 */     // MIs[0] Operand 5
     /* 1375032 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375043 */     // MIs[0] policy
     /* 1375043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375053 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1375070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375093 */     // GIR_Coverage, 21379,
     /* 1375093 */     GIR_EraseRootFromParent_Done,
     /* 1375094 */   // Label 18764: @1375094
     /* 1375094 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1375200), // Rule ID 21382 //
     /* 1375099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1375102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1375119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375138 */     // MIs[0] Operand 5
     /* 1375138 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375149 */     // MIs[0] policy
     /* 1375149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375159 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1375176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375199 */     // GIR_Coverage, 21382,
     /* 1375199 */     GIR_EraseRootFromParent_Done,
     /* 1375200 */   // Label 18765: @1375200
     /* 1375200 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1375306), // Rule ID 21383 //
     /* 1375205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1375208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1375225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375244 */     // MIs[0] Operand 5
     /* 1375244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375255 */     // MIs[0] policy
     /* 1375255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375265 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1375282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375305 */     // GIR_Coverage, 21383,
     /* 1375305 */     GIR_EraseRootFromParent_Done,
     /* 1375306 */   // Label 18766: @1375306
     /* 1375306 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1375412), // Rule ID 21386 //
     /* 1375311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1375314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1375322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1375325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1375331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375350 */     // MIs[0] Operand 5
     /* 1375350 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375361 */     // MIs[0] policy
     /* 1375361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375371 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1375388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375411 */     // GIR_Coverage, 21386,
     /* 1375411 */     GIR_EraseRootFromParent_Done,
     /* 1375412 */   // Label 18767: @1375412
     /* 1375412 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1375518), // Rule ID 21387 //
     /* 1375417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1375420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1375428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1375431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1375434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1375437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1375444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375456 */     // MIs[0] Operand 5
     /* 1375456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375467 */     // MIs[0] policy
     /* 1375467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1375494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375517 */     // GIR_Coverage, 21387,
     /* 1375517 */     GIR_EraseRootFromParent_Done,
     /* 1375518 */   // Label 18768: @1375518
     /* 1375518 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1375624), // Rule ID 21390 //
     /* 1375523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1375526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1375534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1375537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1375543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375562 */     // MIs[0] Operand 5
     /* 1375562 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375573 */     // MIs[0] policy
     /* 1375573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375583 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1375600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375606 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375623 */     // GIR_Coverage, 21390,
     /* 1375623 */     GIR_EraseRootFromParent_Done,
     /* 1375624 */   // Label 18769: @1375624
     /* 1375624 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1375730), // Rule ID 21391 //
     /* 1375629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1375632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1375637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1375640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1375643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1375646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1375649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1375656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375668 */     // MIs[0] Operand 5
     /* 1375668 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375679 */     // MIs[0] policy
     /* 1375679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375689 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1375706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375729 */     // GIR_Coverage, 21391,
     /* 1375729 */     GIR_EraseRootFromParent_Done,
     /* 1375730 */   // Label 18770: @1375730
     /* 1375730 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1375836), // Rule ID 21394 //
     /* 1375735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1375738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1375743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1375746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1375749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1375752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1375755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375774 */     // MIs[0] Operand 5
     /* 1375774 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375785 */     // MIs[0] policy
     /* 1375785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1375795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1375812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375835 */     // GIR_Coverage, 21394,
     /* 1375835 */     GIR_EraseRootFromParent_Done,
     /* 1375836 */   // Label 18771: @1375836
     /* 1375836 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1375942), // Rule ID 21395 //
     /* 1375841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1375844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1375849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1375852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1375855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1375858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1375861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375880 */     // MIs[0] Operand 5
     /* 1375880 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375891 */     // MIs[0] policy
     /* 1375891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1375894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375901 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1375901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1375905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1375911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1375915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1375918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1375922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1375924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1375930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1375938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1375940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375941 */     // GIR_Coverage, 21395,
     /* 1375941 */     GIR_EraseRootFromParent_Done,
     /* 1375942 */   // Label 18772: @1375942
     /* 1375942 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1376048), // Rule ID 21398 //
     /* 1375947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1375950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1375955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1375958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1375961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1375964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1375967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375986 */     // MIs[0] Operand 5
     /* 1375986 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1375997 */     // MIs[0] policy
     /* 1375997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376007 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1376024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376047 */     // GIR_Coverage, 21398,
     /* 1376047 */     GIR_EraseRootFromParent_Done,
     /* 1376048 */   // Label 18773: @1376048
     /* 1376048 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1376154), // Rule ID 21399 //
     /* 1376053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1376056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1376064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1376067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1376070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1376073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376092 */     // MIs[0] Operand 5
     /* 1376092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376103 */     // MIs[0] policy
     /* 1376103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1376130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376153 */     // GIR_Coverage, 21399,
     /* 1376153 */     GIR_EraseRootFromParent_Done,
     /* 1376154 */   // Label 18774: @1376154
     /* 1376154 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1376260), // Rule ID 21402 //
     /* 1376159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1376162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1376170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1376173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1376179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376198 */     // MIs[0] Operand 5
     /* 1376198 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376209 */     // MIs[0] policy
     /* 1376209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1376236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376259 */     // GIR_Coverage, 21402,
     /* 1376259 */     GIR_EraseRootFromParent_Done,
     /* 1376260 */   // Label 18775: @1376260
     /* 1376260 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1376366), // Rule ID 21403 //
     /* 1376265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1376268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1376276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1376279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1376282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1376285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376304 */     // MIs[0] Operand 5
     /* 1376304 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376315 */     // MIs[0] policy
     /* 1376315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376325 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1376342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376365 */     // GIR_Coverage, 21403,
     /* 1376365 */     GIR_EraseRootFromParent_Done,
     /* 1376366 */   // Label 18776: @1376366
     /* 1376366 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1376472), // Rule ID 21406 //
     /* 1376371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1376374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1376388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1376391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376410 */     // MIs[0] Operand 5
     /* 1376410 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376421 */     // MIs[0] policy
     /* 1376421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376431 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1376448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376471 */     // GIR_Coverage, 21406,
     /* 1376471 */     GIR_EraseRootFromParent_Done,
     /* 1376472 */   // Label 18777: @1376472
     /* 1376472 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1376578), // Rule ID 21407 //
     /* 1376477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1376480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1376494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1376497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376516 */     // MIs[0] Operand 5
     /* 1376516 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376527 */     // MIs[0] policy
     /* 1376527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376537 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1376554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376577 */     // GIR_Coverage, 21407,
     /* 1376577 */     GIR_EraseRootFromParent_Done,
     /* 1376578 */   // Label 18778: @1376578
     /* 1376578 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1376684), // Rule ID 21410 //
     /* 1376583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1376586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1376594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1376597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1376600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1376603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1376610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376622 */     // MIs[0] Operand 5
     /* 1376622 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376633 */     // MIs[0] policy
     /* 1376633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1376660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376683 */     // GIR_Coverage, 21410,
     /* 1376683 */     GIR_EraseRootFromParent_Done,
     /* 1376684 */   // Label 18779: @1376684
     /* 1376684 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1376790), // Rule ID 21411 //
     /* 1376689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1376692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1376700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1376703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1376706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1376709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1376716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376728 */     // MIs[0] Operand 5
     /* 1376728 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376739 */     // MIs[0] policy
     /* 1376739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376749 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1376766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376789 */     // GIR_Coverage, 21411,
     /* 1376789 */     GIR_EraseRootFromParent_Done,
     /* 1376790 */   // Label 18780: @1376790
     /* 1376790 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1376896), // Rule ID 21414 //
     /* 1376795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1376798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1376806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1376809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1376812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1376815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1376822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376834 */     // MIs[0] Operand 5
     /* 1376834 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376845 */     // MIs[0] policy
     /* 1376845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376855 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1376855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1376872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1376894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376895 */     // GIR_Coverage, 21414,
     /* 1376895 */     GIR_EraseRootFromParent_Done,
     /* 1376896 */   // Label 18781: @1376896
     /* 1376896 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1377002), // Rule ID 21415 //
     /* 1376901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1376904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1376909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1376912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1376915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1376918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1376921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1376928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376940 */     // MIs[0] Operand 5
     /* 1376940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1376951 */     // MIs[0] policy
     /* 1376951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1376954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376961 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1376961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1376965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1376971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1376975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1376978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1376982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1376984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1376990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377001 */     // GIR_Coverage, 21415,
     /* 1377001 */     GIR_EraseRootFromParent_Done,
     /* 1377002 */   // Label 18782: @1377002
     /* 1377002 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1377108), // Rule ID 21418 //
     /* 1377007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1377010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1377018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1377021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1377027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377046 */     // MIs[0] Operand 5
     /* 1377046 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377057 */     // MIs[0] policy
     /* 1377057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1377084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377107 */     // GIR_Coverage, 21418,
     /* 1377107 */     GIR_EraseRootFromParent_Done,
     /* 1377108 */   // Label 18783: @1377108
     /* 1377108 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1377214), // Rule ID 21419 //
     /* 1377113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1377116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1377124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1377127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1377133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377152 */     // MIs[0] Operand 5
     /* 1377152 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377163 */     // MIs[0] policy
     /* 1377163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377173 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1377190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377213 */     // GIR_Coverage, 21419,
     /* 1377213 */     GIR_EraseRootFromParent_Done,
     /* 1377214 */   // Label 18784: @1377214
     /* 1377214 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1377320), // Rule ID 21422 //
     /* 1377219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1377222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1377230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1377233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1377239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377258 */     // MIs[0] Operand 5
     /* 1377258 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377269 */     // MIs[0] policy
     /* 1377269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377279 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1377296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377319 */     // GIR_Coverage, 21422,
     /* 1377319 */     GIR_EraseRootFromParent_Done,
     /* 1377320 */   // Label 18785: @1377320
     /* 1377320 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1377426), // Rule ID 21423 //
     /* 1377325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1377328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1377336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1377339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1377345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377364 */     // MIs[0] Operand 5
     /* 1377364 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377375 */     // MIs[0] policy
     /* 1377375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377385 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1377402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377425 */     // GIR_Coverage, 21423,
     /* 1377425 */     GIR_EraseRootFromParent_Done,
     /* 1377426 */   // Label 18786: @1377426
     /* 1377426 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1377532), // Rule ID 21426 //
     /* 1377431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1377434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1377448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1377451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377470 */     // MIs[0] Operand 5
     /* 1377470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377481 */     // MIs[0] policy
     /* 1377481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1377508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377531 */     // GIR_Coverage, 21426,
     /* 1377531 */     GIR_EraseRootFromParent_Done,
     /* 1377532 */   // Label 18787: @1377532
     /* 1377532 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1377638), // Rule ID 21427 //
     /* 1377537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1377540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1377554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1377557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377576 */     // MIs[0] Operand 5
     /* 1377576 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377587 */     // MIs[0] policy
     /* 1377587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1377614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377637 */     // GIR_Coverage, 21427,
     /* 1377637 */     GIR_EraseRootFromParent_Done,
     /* 1377638 */   // Label 18788: @1377638
     /* 1377638 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1377744), // Rule ID 21430 //
     /* 1377643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1377646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1377654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1377657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1377660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1377663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1377670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377682 */     // MIs[0] Operand 5
     /* 1377682 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377693 */     // MIs[0] policy
     /* 1377693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377703 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1377720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377743 */     // GIR_Coverage, 21430,
     /* 1377743 */     GIR_EraseRootFromParent_Done,
     /* 1377744 */   // Label 18789: @1377744
     /* 1377744 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1377850), // Rule ID 21431 //
     /* 1377749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1377752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1377760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1377763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1377766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1377769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1377776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1377780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377788 */     // MIs[0] Operand 5
     /* 1377788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377799 */     // MIs[0] policy
     /* 1377799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377809 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1377809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1377826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377849 */     // GIR_Coverage, 21431,
     /* 1377849 */     GIR_EraseRootFromParent_Done,
     /* 1377850 */   // Label 18790: @1377850
     /* 1377850 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1377956), // Rule ID 21434 //
     /* 1377855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1377858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1377866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1377869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1377872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1377875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1377882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377894 */     // MIs[0] Operand 5
     /* 1377894 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1377905 */     // MIs[0] policy
     /* 1377905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1377908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1377915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1377919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1377925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1377929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1377932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1377936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1377938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1377944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1377954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377955 */     // GIR_Coverage, 21434,
     /* 1377955 */     GIR_EraseRootFromParent_Done,
     /* 1377956 */   // Label 18791: @1377956
     /* 1377956 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1378062), // Rule ID 21435 //
     /* 1377961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1377964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1377969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1377972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1377975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1377978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1377981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1377988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1377992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1377996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378000 */     // MIs[0] Operand 5
     /* 1378000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378011 */     // MIs[0] policy
     /* 1378011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378021 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1378038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378061 */     // GIR_Coverage, 21435,
     /* 1378061 */     GIR_EraseRootFromParent_Done,
     /* 1378062 */   // Label 18792: @1378062
     /* 1378062 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1378168), // Rule ID 21438 //
     /* 1378067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1378070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1378078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1378081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1378087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378106 */     // MIs[0] Operand 5
     /* 1378106 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378117 */     // MIs[0] policy
     /* 1378117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378127 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1378144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378167 */     // GIR_Coverage, 21438,
     /* 1378167 */     GIR_EraseRootFromParent_Done,
     /* 1378168 */   // Label 18793: @1378168
     /* 1378168 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1378274), // Rule ID 21439 //
     /* 1378173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1378176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1378184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1378187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1378193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378212 */     // MIs[0] Operand 5
     /* 1378212 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378223 */     // MIs[0] policy
     /* 1378223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1378250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378273 */     // GIR_Coverage, 21439,
     /* 1378273 */     GIR_EraseRootFromParent_Done,
     /* 1378274 */   // Label 18794: @1378274
     /* 1378274 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1378380), // Rule ID 21442 //
     /* 1378279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1378282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1378299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378318 */     // MIs[0] Operand 5
     /* 1378318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378329 */     // MIs[0] policy
     /* 1378329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1378356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378379 */     // GIR_Coverage, 21442,
     /* 1378379 */     GIR_EraseRootFromParent_Done,
     /* 1378380 */   // Label 18795: @1378380
     /* 1378380 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1378486), // Rule ID 21443 //
     /* 1378385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1378388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1378396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1378399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1378402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1378405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378424 */     // MIs[0] Operand 5
     /* 1378424 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378435 */     // MIs[0] policy
     /* 1378435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378445 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1378462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378485 */     // GIR_Coverage, 21443,
     /* 1378485 */     GIR_EraseRootFromParent_Done,
     /* 1378486 */   // Label 18796: @1378486
     /* 1378486 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1378592), // Rule ID 21446 //
     /* 1378491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1378494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1378502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1378505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1378511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1378518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378530 */     // MIs[0] Operand 5
     /* 1378530 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378541 */     // MIs[0] policy
     /* 1378541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378551 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1378568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378591 */     // GIR_Coverage, 21446,
     /* 1378591 */     GIR_EraseRootFromParent_Done,
     /* 1378592 */   // Label 18797: @1378592
     /* 1378592 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1378698), // Rule ID 21447 //
     /* 1378597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1378600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1378608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1378611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1378614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1378617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1378624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378636 */     // MIs[0] Operand 5
     /* 1378636 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378647 */     // MIs[0] policy
     /* 1378647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1378674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378697 */     // GIR_Coverage, 21447,
     /* 1378697 */     GIR_EraseRootFromParent_Done,
     /* 1378698 */   // Label 18798: @1378698
     /* 1378698 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1378804), // Rule ID 21450 //
     /* 1378703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1378706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1378714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1378717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1378723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378742 */     // MIs[0] Operand 5
     /* 1378742 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378753 */     // MIs[0] policy
     /* 1378753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378763 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1378780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378803 */     // GIR_Coverage, 21450,
     /* 1378803 */     GIR_EraseRootFromParent_Done,
     /* 1378804 */   // Label 18799: @1378804
     /* 1378804 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1378910), // Rule ID 21451 //
     /* 1378809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1378812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1378817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1378820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1378823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1378826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1378829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1378836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378848 */     // MIs[0] Operand 5
     /* 1378848 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1378859 */     // MIs[0] policy
     /* 1378859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1378869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1378883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1378886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1378890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1378892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1378898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1378906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1378908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378909 */     // GIR_Coverage, 21451,
     /* 1378909 */     GIR_EraseRootFromParent_Done,
     /* 1378910 */   // Label 18800: @1378910
     /* 1378910 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1379027), // Rule ID 2656 //
     /* 1378915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1378923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1378926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1378929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1378932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1378935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1378957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1378961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1378965 */     // MIs[1] Operand 1
     /* 1378965 */     // No operand predicates
     /* 1378965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378969 */     // MIs[0] policy
     /* 1378969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1378972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1378974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378981 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1378981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1378985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1378991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1378995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1378998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379004 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379026 */     // GIR_Coverage, 2656,
     /* 1379026 */     GIR_EraseRootFromParent_Done,
     /* 1379027 */   // Label 18801: @1379027
     /* 1379027 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1379144), // Rule ID 2657 //
     /* 1379032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1379043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1379046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1379049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379082 */     // MIs[1] Operand 1
     /* 1379082 */     // No operand predicates
     /* 1379082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379086 */     // MIs[0] policy
     /* 1379086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379098 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1379115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379121 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379143 */     // GIR_Coverage, 2657,
     /* 1379143 */     GIR_EraseRootFromParent_Done,
     /* 1379144 */   // Label 18802: @1379144
     /* 1379144 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1379261), // Rule ID 2664 //
     /* 1379149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1379160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1379163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379199 */     // MIs[1] Operand 1
     /* 1379199 */     // No operand predicates
     /* 1379199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379203 */     // MIs[0] policy
     /* 1379203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379215 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1379232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379238 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379260 */     // GIR_Coverage, 2664,
     /* 1379260 */     GIR_EraseRootFromParent_Done,
     /* 1379261 */   // Label 18803: @1379261
     /* 1379261 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1379378), // Rule ID 2665 //
     /* 1379266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1379277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1379280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1379283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379316 */     // MIs[1] Operand 1
     /* 1379316 */     // No operand predicates
     /* 1379316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379320 */     // MIs[0] policy
     /* 1379320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379336 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1379349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379355 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379377 */     // GIR_Coverage, 2665,
     /* 1379377 */     GIR_EraseRootFromParent_Done,
     /* 1379378 */   // Label 18804: @1379378
     /* 1379378 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1379495), // Rule ID 2672 //
     /* 1379383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1379394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1379397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379433 */     // MIs[1] Operand 1
     /* 1379433 */     // No operand predicates
     /* 1379433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379437 */     // MIs[0] policy
     /* 1379437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379449 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1379466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379472 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379494 */     // GIR_Coverage, 2672,
     /* 1379494 */     GIR_EraseRootFromParent_Done,
     /* 1379495 */   // Label 18805: @1379495
     /* 1379495 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1379612), // Rule ID 2673 //
     /* 1379500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1379511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1379514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1379517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379550 */     // MIs[1] Operand 1
     /* 1379550 */     // No operand predicates
     /* 1379550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379554 */     // MIs[0] policy
     /* 1379554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379566 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1379583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379589 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1379608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379611 */     // GIR_Coverage, 2673,
     /* 1379611 */     GIR_EraseRootFromParent_Done,
     /* 1379612 */   // Label 18806: @1379612
     /* 1379612 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1379729), // Rule ID 2680 //
     /* 1379617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1379628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1379631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379667 */     // MIs[1] Operand 1
     /* 1379667 */     // No operand predicates
     /* 1379667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379671 */     // MIs[0] policy
     /* 1379671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1379700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379706 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379728 */     // GIR_Coverage, 2680,
     /* 1379728 */     GIR_EraseRootFromParent_Done,
     /* 1379729 */   // Label 18807: @1379729
     /* 1379729 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1379846), // Rule ID 2681 //
     /* 1379734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1379745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1379748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1379751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1379757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379780 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379784 */     // MIs[1] Operand 1
     /* 1379784 */     // No operand predicates
     /* 1379784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379788 */     // MIs[0] policy
     /* 1379788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1379800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1379817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379823 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379845 */     // GIR_Coverage, 2681,
     /* 1379845 */     GIR_EraseRootFromParent_Done,
     /* 1379846 */   // Label 18808: @1379846
     /* 1379846 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1379963), // Rule ID 2688 //
     /* 1379851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1379862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1379865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1379871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1379893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1379897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1379901 */     // MIs[1] Operand 1
     /* 1379901 */     // No operand predicates
     /* 1379901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379905 */     // MIs[0] policy
     /* 1379905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1379908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1379910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1379917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1379921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1379927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1379931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1379934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1379938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379940 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1379945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1379951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1379961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379962 */     // GIR_Coverage, 2688,
     /* 1379962 */     GIR_EraseRootFromParent_Done,
     /* 1379963 */   // Label 18809: @1379963
     /* 1379963 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1380080), // Rule ID 2689 //
     /* 1379968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1379976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1379979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1379982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1379985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1379988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380018 */     // MIs[1] Operand 1
     /* 1380018 */     // No operand predicates
     /* 1380018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380022 */     // MIs[0] policy
     /* 1380022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1380051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380057 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380079 */     // GIR_Coverage, 2689,
     /* 1380079 */     GIR_EraseRootFromParent_Done,
     /* 1380080 */   // Label 18810: @1380080
     /* 1380080 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1380197), // Rule ID 2696 //
     /* 1380085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1380096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1380099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380135 */     // MIs[1] Operand 1
     /* 1380135 */     // No operand predicates
     /* 1380135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380139 */     // MIs[0] policy
     /* 1380139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380151 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1380168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380174 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380196 */     // GIR_Coverage, 2696,
     /* 1380196 */     GIR_EraseRootFromParent_Done,
     /* 1380197 */   // Label 18811: @1380197
     /* 1380197 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1380314), // Rule ID 2697 //
     /* 1380202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1380213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1380216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1380219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380252 */     // MIs[1] Operand 1
     /* 1380252 */     // No operand predicates
     /* 1380252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380256 */     // MIs[0] policy
     /* 1380256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1380285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380291 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380313 */     // GIR_Coverage, 2697,
     /* 1380313 */     GIR_EraseRootFromParent_Done,
     /* 1380314 */   // Label 18812: @1380314
     /* 1380314 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1380431), // Rule ID 2704 //
     /* 1380319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380369 */     // MIs[1] Operand 1
     /* 1380369 */     // No operand predicates
     /* 1380369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380373 */     // MIs[0] policy
     /* 1380373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380385 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380408 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380430 */     // GIR_Coverage, 2704,
     /* 1380430 */     GIR_EraseRootFromParent_Done,
     /* 1380431 */   // Label 18813: @1380431
     /* 1380431 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1380548), // Rule ID 2705 //
     /* 1380436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1380453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380482 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380486 */     // MIs[1] Operand 1
     /* 1380486 */     // No operand predicates
     /* 1380486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380490 */     // MIs[0] policy
     /* 1380490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380502 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380525 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380547 */     // GIR_Coverage, 2705,
     /* 1380547 */     GIR_EraseRootFromParent_Done,
     /* 1380548 */   // Label 18814: @1380548
     /* 1380548 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1380665), // Rule ID 2712 //
     /* 1380553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380603 */     // MIs[1] Operand 1
     /* 1380603 */     // No operand predicates
     /* 1380603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380607 */     // MIs[0] policy
     /* 1380607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380642 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380664 */     // GIR_Coverage, 2712,
     /* 1380664 */     GIR_EraseRootFromParent_Done,
     /* 1380665 */   // Label 18815: @1380665
     /* 1380665 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1380782), // Rule ID 2713 //
     /* 1380670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1380687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380720 */     // MIs[1] Operand 1
     /* 1380720 */     // No operand predicates
     /* 1380720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380724 */     // MIs[0] policy
     /* 1380724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380759 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380781 */     // GIR_Coverage, 2713,
     /* 1380781 */     GIR_EraseRootFromParent_Done,
     /* 1380782 */   // Label 18816: @1380782
     /* 1380782 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1380899), // Rule ID 2720 //
     /* 1380787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1380807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380837 */     // MIs[1] Operand 1
     /* 1380837 */     // No operand predicates
     /* 1380837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380841 */     // MIs[0] policy
     /* 1380841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1380853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380876 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1380887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1380895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1380897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380898 */     // GIR_Coverage, 2720,
     /* 1380898 */     GIR_EraseRootFromParent_Done,
     /* 1380899 */   // Label 18817: @1380899
     /* 1380899 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1381016), // Rule ID 2721 //
     /* 1380904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1380912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1380915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1380918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1380921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1380924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1380946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1380950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1380954 */     // MIs[1] Operand 1
     /* 1380954 */     // No operand predicates
     /* 1380954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380958 */     // MIs[0] policy
     /* 1380958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1380961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1380963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1380970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1380974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1380980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1380984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1380987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1380991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380993 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1380998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381015 */     // GIR_Coverage, 2721,
     /* 1381015 */     GIR_EraseRootFromParent_Done,
     /* 1381016 */   // Label 18818: @1381016
     /* 1381016 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1381133), // Rule ID 2728 //
     /* 1381021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381071 */     // MIs[1] Operand 1
     /* 1381071 */     // No operand predicates
     /* 1381071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381075 */     // MIs[0] policy
     /* 1381075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1381104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381110 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381132 */     // GIR_Coverage, 2728,
     /* 1381132 */     GIR_EraseRootFromParent_Done,
     /* 1381133 */   // Label 18819: @1381133
     /* 1381133 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1381250), // Rule ID 2729 //
     /* 1381138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381188 */     // MIs[1] Operand 1
     /* 1381188 */     // No operand predicates
     /* 1381188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381192 */     // MIs[0] policy
     /* 1381192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381204 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1381221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381227 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381249 */     // GIR_Coverage, 2729,
     /* 1381249 */     GIR_EraseRootFromParent_Done,
     /* 1381250 */   // Label 18820: @1381250
     /* 1381250 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1381367), // Rule ID 2736 //
     /* 1381255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1381266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1381269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1381285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381305 */     // MIs[1] Operand 1
     /* 1381305 */     // No operand predicates
     /* 1381305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381309 */     // MIs[0] policy
     /* 1381309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381321 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1381338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381344 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381366 */     // GIR_Coverage, 2736,
     /* 1381366 */     GIR_EraseRootFromParent_Done,
     /* 1381367 */   // Label 18821: @1381367
     /* 1381367 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1381484), // Rule ID 2737 //
     /* 1381372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1381383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1381386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1381402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381422 */     // MIs[1] Operand 1
     /* 1381422 */     // No operand predicates
     /* 1381422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381426 */     // MIs[0] policy
     /* 1381426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1381455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381461 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381483 */     // GIR_Coverage, 2737,
     /* 1381483 */     GIR_EraseRootFromParent_Done,
     /* 1381484 */   // Label 18822: @1381484
     /* 1381484 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1381601), // Rule ID 2744 //
     /* 1381489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1381500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1381503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381539 */     // MIs[1] Operand 1
     /* 1381539 */     // No operand predicates
     /* 1381539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381543 */     // MIs[0] policy
     /* 1381543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1381572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381578 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381600 */     // GIR_Coverage, 2744,
     /* 1381600 */     GIR_EraseRootFromParent_Done,
     /* 1381601 */   // Label 18823: @1381601
     /* 1381601 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1381718), // Rule ID 2745 //
     /* 1381606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1381617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1381620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1381623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1381629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1381636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1381644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381656 */     // MIs[1] Operand 1
     /* 1381656 */     // No operand predicates
     /* 1381656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381660 */     // MIs[0] policy
     /* 1381660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381676 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1381689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381695 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381717 */     // GIR_Coverage, 2745,
     /* 1381717 */     GIR_EraseRootFromParent_Done,
     /* 1381718 */   // Label 18824: @1381718
     /* 1381718 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1381835), // Rule ID 2752 //
     /* 1381723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1381734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1381737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381773 */     // MIs[1] Operand 1
     /* 1381773 */     // No operand predicates
     /* 1381773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381777 */     // MIs[0] policy
     /* 1381777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381789 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1381789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1381806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381812 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381834 */     // GIR_Coverage, 2752,
     /* 1381834 */     GIR_EraseRootFromParent_Done,
     /* 1381835 */   // Label 18825: @1381835
     /* 1381835 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1381952), // Rule ID 2753 //
     /* 1381840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1381851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1381854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1381857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1381860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1381863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1381870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1381878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1381886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1381890 */     // MIs[1] Operand 1
     /* 1381890 */     // No operand predicates
     /* 1381890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381894 */     // MIs[0] policy
     /* 1381894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1381897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1381899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1381906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1381910 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1381916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1381920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1381923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1381927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381929 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1381934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1381940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1381950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381951 */     // GIR_Coverage, 2753,
     /* 1381951 */     GIR_EraseRootFromParent_Done,
     /* 1381952 */   // Label 18826: @1381952
     /* 1381952 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1382069), // Rule ID 2760 //
     /* 1381957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1381965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1381968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1381971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1381974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1381977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1381987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1381999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382007 */     // MIs[1] Operand 1
     /* 1382007 */     // No operand predicates
     /* 1382007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382011 */     // MIs[0] policy
     /* 1382011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1382040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382046 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382068 */     // GIR_Coverage, 2760,
     /* 1382068 */     GIR_EraseRootFromParent_Done,
     /* 1382069 */   // Label 18827: @1382069
     /* 1382069 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1382186), // Rule ID 2761 //
     /* 1382074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1382085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1382088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1382104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382124 */     // MIs[1] Operand 1
     /* 1382124 */     // No operand predicates
     /* 1382124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382128 */     // MIs[0] policy
     /* 1382128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382140 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1382157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382163 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382185 */     // GIR_Coverage, 2761,
     /* 1382185 */     GIR_EraseRootFromParent_Done,
     /* 1382186 */   // Label 18828: @1382186
     /* 1382186 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1382303), // Rule ID 2768 //
     /* 1382191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1382202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1382205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1382221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382241 */     // MIs[1] Operand 1
     /* 1382241 */     // No operand predicates
     /* 1382241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382245 */     // MIs[0] policy
     /* 1382245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382257 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382261 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382267 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1382274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382280 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382302 */     // GIR_Coverage, 2768,
     /* 1382302 */     GIR_EraseRootFromParent_Done,
     /* 1382303 */   // Label 18829: @1382303
     /* 1382303 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1382420), // Rule ID 2769 //
     /* 1382308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1382319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1382322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1382338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382358 */     // MIs[1] Operand 1
     /* 1382358 */     // No operand predicates
     /* 1382358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382362 */     // MIs[0] policy
     /* 1382362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1382391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382397 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382419 */     // GIR_Coverage, 2769,
     /* 1382419 */     GIR_EraseRootFromParent_Done,
     /* 1382420 */   // Label 18830: @1382420
     /* 1382420 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1382537), // Rule ID 2776 //
     /* 1382425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1382436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1382439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1382455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382475 */     // MIs[1] Operand 1
     /* 1382475 */     // No operand predicates
     /* 1382475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382479 */     // MIs[0] policy
     /* 1382479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1382508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382514 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382536 */     // GIR_Coverage, 2776,
     /* 1382536 */     GIR_EraseRootFromParent_Done,
     /* 1382537 */   // Label 18831: @1382537
     /* 1382537 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1382654), // Rule ID 2777 //
     /* 1382542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1382553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1382556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1382572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382592 */     // MIs[1] Operand 1
     /* 1382592 */     // No operand predicates
     /* 1382592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382596 */     // MIs[0] policy
     /* 1382596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1382625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382631 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382653 */     // GIR_Coverage, 2777,
     /* 1382653 */     GIR_EraseRootFromParent_Done,
     /* 1382654 */   // Label 18832: @1382654
     /* 1382654 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1382771), // Rule ID 2784 //
     /* 1382659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1382670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1382673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1382689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382709 */     // MIs[1] Operand 1
     /* 1382709 */     // No operand predicates
     /* 1382709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382713 */     // MIs[0] policy
     /* 1382713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382725 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1382742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382748 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382770 */     // GIR_Coverage, 2784,
     /* 1382770 */     GIR_EraseRootFromParent_Done,
     /* 1382771 */   // Label 18833: @1382771
     /* 1382771 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1382888), // Rule ID 2785 //
     /* 1382776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1382787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1382790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1382796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1382806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382822 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382826 */     // MIs[1] Operand 1
     /* 1382826 */     // No operand predicates
     /* 1382826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382830 */     // MIs[0] policy
     /* 1382830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382842 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1382842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382846 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1382859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382865 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1382886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382887 */     // GIR_Coverage, 2785,
     /* 1382887 */     GIR_EraseRootFromParent_Done,
     /* 1382888 */   // Label 18834: @1382888
     /* 1382888 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1383005), // Rule ID 2792 //
     /* 1382893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1382901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1382904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1382907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1382910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1382913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1382923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1382935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1382939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1382943 */     // MIs[1] Operand 1
     /* 1382943 */     // No operand predicates
     /* 1382943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382947 */     // MIs[0] policy
     /* 1382947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1382950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1382952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382959 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1382959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1382963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1382969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1382973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1382976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1382980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382982 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1382987 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1382993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383004 */     // GIR_Coverage, 2792,
     /* 1383004 */     GIR_EraseRootFromParent_Done,
     /* 1383005 */   // Label 18835: @1383005
     /* 1383005 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1383122), // Rule ID 2793 //
     /* 1383010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1383021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1383024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1383040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383060 */     // MIs[1] Operand 1
     /* 1383060 */     // No operand predicates
     /* 1383060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383064 */     // MIs[0] policy
     /* 1383064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1383093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383099 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383121 */     // GIR_Coverage, 2793,
     /* 1383121 */     GIR_EraseRootFromParent_Done,
     /* 1383122 */   // Label 18836: @1383122
     /* 1383122 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1383239), // Rule ID 2800 //
     /* 1383127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1383138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1383141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1383157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383177 */     // MIs[1] Operand 1
     /* 1383177 */     // No operand predicates
     /* 1383177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383181 */     // MIs[0] policy
     /* 1383181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1383210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383216 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383221 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383238 */     // GIR_Coverage, 2800,
     /* 1383238 */     GIR_EraseRootFromParent_Done,
     /* 1383239 */   // Label 18837: @1383239
     /* 1383239 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1383356), // Rule ID 2801 //
     /* 1383244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1383255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1383258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1383274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383294 */     // MIs[1] Operand 1
     /* 1383294 */     // No operand predicates
     /* 1383294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383298 */     // MIs[0] policy
     /* 1383298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1383327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383333 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383355 */     // GIR_Coverage, 2801,
     /* 1383355 */     GIR_EraseRootFromParent_Done,
     /* 1383356 */   // Label 18838: @1383356
     /* 1383356 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1383473), // Rule ID 2808 //
     /* 1383361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1383372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1383375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1383391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383411 */     // MIs[1] Operand 1
     /* 1383411 */     // No operand predicates
     /* 1383411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383415 */     // MIs[0] policy
     /* 1383415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1383444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383450 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383472 */     // GIR_Coverage, 2808,
     /* 1383472 */     GIR_EraseRootFromParent_Done,
     /* 1383473 */   // Label 18839: @1383473
     /* 1383473 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1383590), // Rule ID 2809 //
     /* 1383478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1383489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1383492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1383508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383528 */     // MIs[1] Operand 1
     /* 1383528 */     // No operand predicates
     /* 1383528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383532 */     // MIs[0] policy
     /* 1383532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1383561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383567 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383589 */     // GIR_Coverage, 2809,
     /* 1383589 */     GIR_EraseRootFromParent_Done,
     /* 1383590 */   // Label 18840: @1383590
     /* 1383590 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1383707), // Rule ID 2816 //
     /* 1383595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1383606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1383609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1383625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383645 */     // MIs[1] Operand 1
     /* 1383645 */     // No operand predicates
     /* 1383645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383649 */     // MIs[0] policy
     /* 1383649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383661 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1383678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383684 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383706 */     // GIR_Coverage, 2816,
     /* 1383706 */     GIR_EraseRootFromParent_Done,
     /* 1383707 */   // Label 18841: @1383707
     /* 1383707 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1383824), // Rule ID 2817 //
     /* 1383712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1383723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1383726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1383742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383762 */     // MIs[1] Operand 1
     /* 1383762 */     // No operand predicates
     /* 1383762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383766 */     // MIs[0] policy
     /* 1383766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1383778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1383795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383801 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383806 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383823 */     // GIR_Coverage, 2817,
     /* 1383823 */     GIR_EraseRootFromParent_Done,
     /* 1383824 */   // Label 18842: @1383824
     /* 1383824 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1383941), // Rule ID 2824 //
     /* 1383829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1383840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1383843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1383849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1383859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383879 */     // MIs[1] Operand 1
     /* 1383879 */     // No operand predicates
     /* 1383879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383883 */     // MIs[0] policy
     /* 1383883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1383886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1383888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1383895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1383899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1383905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1383909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1383912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1383916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383918 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1383923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1383929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1383939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383940 */     // GIR_Coverage, 2824,
     /* 1383940 */     GIR_EraseRootFromParent_Done,
     /* 1383941 */   // Label 18843: @1383941
     /* 1383941 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1384058), // Rule ID 2825 //
     /* 1383946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1383954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1383957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1383960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1383966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1383976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1383988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1383992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1383996 */     // MIs[1] Operand 1
     /* 1383996 */     // No operand predicates
     /* 1383996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384000 */     // MIs[0] policy
     /* 1384000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1384029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384035 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1384040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1384054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384057 */     // GIR_Coverage, 2825,
     /* 1384057 */     GIR_EraseRootFromParent_Done,
     /* 1384058 */   // Label 18844: @1384058
     /* 1384058 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1384173), // Rule ID 3000 //
     /* 1384063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1384074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1384077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384113 */     // MIs[1] Operand 1
     /* 1384113 */     // No operand predicates
     /* 1384113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384117 */     // MIs[0] policy
     /* 1384117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384129 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1384146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384172 */     // GIR_Coverage, 3000,
     /* 1384172 */     GIR_EraseRootFromParent_Done,
     /* 1384173 */   // Label 18845: @1384173
     /* 1384173 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1384288), // Rule ID 3001 //
     /* 1384178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1384189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1384192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1384195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384228 */     // MIs[1] Operand 1
     /* 1384228 */     // No operand predicates
     /* 1384228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384232 */     // MIs[0] policy
     /* 1384232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384244 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1384261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384287 */     // GIR_Coverage, 3001,
     /* 1384287 */     GIR_EraseRootFromParent_Done,
     /* 1384288 */   // Label 18846: @1384288
     /* 1384288 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1384403), // Rule ID 3004 //
     /* 1384293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1384304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1384307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384343 */     // MIs[1] Operand 1
     /* 1384343 */     // No operand predicates
     /* 1384343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384347 */     // MIs[0] policy
     /* 1384347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384359 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1384376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384402 */     // GIR_Coverage, 3004,
     /* 1384402 */     GIR_EraseRootFromParent_Done,
     /* 1384403 */   // Label 18847: @1384403
     /* 1384403 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1384518), // Rule ID 3005 //
     /* 1384408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1384419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1384422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384458 */     // MIs[1] Operand 1
     /* 1384458 */     // No operand predicates
     /* 1384458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384462 */     // MIs[0] policy
     /* 1384462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384474 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1384491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384517 */     // GIR_Coverage, 3005,
     /* 1384517 */     GIR_EraseRootFromParent_Done,
     /* 1384518 */   // Label 18848: @1384518
     /* 1384518 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1384633), // Rule ID 3008 //
     /* 1384523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1384534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1384537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384573 */     // MIs[1] Operand 1
     /* 1384573 */     // No operand predicates
     /* 1384573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384577 */     // MIs[0] policy
     /* 1384577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384589 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1384606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384632 */     // GIR_Coverage, 3008,
     /* 1384632 */     GIR_EraseRootFromParent_Done,
     /* 1384633 */   // Label 18849: @1384633
     /* 1384633 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1384748), // Rule ID 3009 //
     /* 1384638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1384649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1384652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384688 */     // MIs[1] Operand 1
     /* 1384688 */     // No operand predicates
     /* 1384688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384692 */     // MIs[0] policy
     /* 1384692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384704 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1384721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384747 */     // GIR_Coverage, 3009,
     /* 1384747 */     GIR_EraseRootFromParent_Done,
     /* 1384748 */   // Label 18850: @1384748
     /* 1384748 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1384863), // Rule ID 3012 //
     /* 1384753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1384764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1384767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1384773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384803 */     // MIs[1] Operand 1
     /* 1384803 */     // No operand predicates
     /* 1384803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384807 */     // MIs[0] policy
     /* 1384807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1384819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1384836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384862 */     // GIR_Coverage, 3012,
     /* 1384862 */     GIR_EraseRootFromParent_Done,
     /* 1384863 */   // Label 18851: @1384863
     /* 1384863 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1384978), // Rule ID 3013 //
     /* 1384868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1384879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1384882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1384888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1384910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1384914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1384918 */     // MIs[1] Operand 1
     /* 1384918 */     // No operand predicates
     /* 1384918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384922 */     // MIs[0] policy
     /* 1384922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1384925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1384927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1384934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1384938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1384944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1384948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1384951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1384955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1384960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1384966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1384976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384977 */     // GIR_Coverage, 3013,
     /* 1384977 */     GIR_EraseRootFromParent_Done,
     /* 1384978 */   // Label 18852: @1384978
     /* 1384978 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1385093), // Rule ID 3016 //
     /* 1384983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1384991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1384994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1384997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1385000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385033 */     // MIs[1] Operand 1
     /* 1385033 */     // No operand predicates
     /* 1385033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385037 */     // MIs[0] policy
     /* 1385037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385049 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1385066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385092 */     // GIR_Coverage, 3016,
     /* 1385092 */     GIR_EraseRootFromParent_Done,
     /* 1385093 */   // Label 18853: @1385093
     /* 1385093 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1385208), // Rule ID 3017 //
     /* 1385098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1385109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1385112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1385115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385148 */     // MIs[1] Operand 1
     /* 1385148 */     // No operand predicates
     /* 1385148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385152 */     // MIs[0] policy
     /* 1385152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1385181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385207 */     // GIR_Coverage, 3017,
     /* 1385207 */     GIR_EraseRootFromParent_Done,
     /* 1385208 */   // Label 18854: @1385208
     /* 1385208 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1385323), // Rule ID 3020 //
     /* 1385213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1385224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1385227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1385230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385263 */     // MIs[1] Operand 1
     /* 1385263 */     // No operand predicates
     /* 1385263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385267 */     // MIs[0] policy
     /* 1385267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385279 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1385296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385322 */     // GIR_Coverage, 3020,
     /* 1385322 */     GIR_EraseRootFromParent_Done,
     /* 1385323 */   // Label 18855: @1385323
     /* 1385323 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1385438), // Rule ID 3021 //
     /* 1385328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1385339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1385342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1385345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385378 */     // MIs[1] Operand 1
     /* 1385378 */     // No operand predicates
     /* 1385378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385382 */     // MIs[0] policy
     /* 1385382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1385411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385437 */     // GIR_Coverage, 3021,
     /* 1385437 */     GIR_EraseRootFromParent_Done,
     /* 1385438 */   // Label 18856: @1385438
     /* 1385438 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1385553), // Rule ID 3024 //
     /* 1385443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385493 */     // MIs[1] Operand 1
     /* 1385493 */     // No operand predicates
     /* 1385493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385497 */     // MIs[0] policy
     /* 1385497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385509 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1385526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385552 */     // GIR_Coverage, 3024,
     /* 1385552 */     GIR_EraseRootFromParent_Done,
     /* 1385553 */   // Label 18857: @1385553
     /* 1385553 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1385668), // Rule ID 3025 //
     /* 1385558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1385575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1385581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385608 */     // MIs[1] Operand 1
     /* 1385608 */     // No operand predicates
     /* 1385608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385612 */     // MIs[0] policy
     /* 1385612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385624 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1385641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385667 */     // GIR_Coverage, 3025,
     /* 1385667 */     GIR_EraseRootFromParent_Done,
     /* 1385668 */   // Label 18858: @1385668
     /* 1385668 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1385783), // Rule ID 3028 //
     /* 1385673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385723 */     // MIs[1] Operand 1
     /* 1385723 */     // No operand predicates
     /* 1385723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385727 */     // MIs[0] policy
     /* 1385727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1385756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385782 */     // GIR_Coverage, 3028,
     /* 1385782 */     GIR_EraseRootFromParent_Done,
     /* 1385783 */   // Label 18859: @1385783
     /* 1385783 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1385898), // Rule ID 3029 //
     /* 1385788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1385808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385838 */     // MIs[1] Operand 1
     /* 1385838 */     // No operand predicates
     /* 1385838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385842 */     // MIs[0] policy
     /* 1385842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1385854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1385871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1385886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1385896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385897 */     // GIR_Coverage, 3029,
     /* 1385897 */     GIR_EraseRootFromParent_Done,
     /* 1385898 */   // Label 18860: @1385898
     /* 1385898 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1386013), // Rule ID 3032 //
     /* 1385903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1385911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1385923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1385945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1385949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1385953 */     // MIs[1] Operand 1
     /* 1385953 */     // No operand predicates
     /* 1385953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385957 */     // MIs[0] policy
     /* 1385957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1385960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1385962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1385969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1385973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1385979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1385983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1385986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1385990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1385995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386012 */     // GIR_Coverage, 3032,
     /* 1386012 */     GIR_EraseRootFromParent_Done,
     /* 1386013 */   // Label 18861: @1386013
     /* 1386013 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1386128), // Rule ID 3033 //
     /* 1386018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1386035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1386041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386068 */     // MIs[1] Operand 1
     /* 1386068 */     // No operand predicates
     /* 1386068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386072 */     // MIs[0] policy
     /* 1386072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386088 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1386101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386127 */     // GIR_Coverage, 3033,
     /* 1386127 */     GIR_EraseRootFromParent_Done,
     /* 1386128 */   // Label 18862: @1386128
     /* 1386128 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1386243), // Rule ID 3036 //
     /* 1386133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1386136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386183 */     // MIs[1] Operand 1
     /* 1386183 */     // No operand predicates
     /* 1386183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386187 */     // MIs[0] policy
     /* 1386187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386199 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1386216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386242 */     // GIR_Coverage, 3036,
     /* 1386242 */     GIR_EraseRootFromParent_Done,
     /* 1386243 */   // Label 18863: @1386243
     /* 1386243 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1386358), // Rule ID 3037 //
     /* 1386248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1386251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1386259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1386262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1386265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1386271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386298 */     // MIs[1] Operand 1
     /* 1386298 */     // No operand predicates
     /* 1386298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386302 */     // MIs[0] policy
     /* 1386302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386318 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1386331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1386354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386357 */     // GIR_Coverage, 3037,
     /* 1386357 */     GIR_EraseRootFromParent_Done,
     /* 1386358 */   // Label 18864: @1386358
     /* 1386358 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1386473), // Rule ID 3040 //
     /* 1386363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1386374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1386377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1386380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1386393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386413 */     // MIs[1] Operand 1
     /* 1386413 */     // No operand predicates
     /* 1386413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386417 */     // MIs[0] policy
     /* 1386417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386429 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1386446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386472 */     // GIR_Coverage, 3040,
     /* 1386472 */     GIR_EraseRootFromParent_Done,
     /* 1386473 */   // Label 18865: @1386473
     /* 1386473 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1386588), // Rule ID 3041 //
     /* 1386478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1386489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1386492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1386495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1386508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386528 */     // MIs[1] Operand 1
     /* 1386528 */     // No operand predicates
     /* 1386528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386532 */     // MIs[0] policy
     /* 1386532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1386561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386587 */     // GIR_Coverage, 3041,
     /* 1386587 */     GIR_EraseRootFromParent_Done,
     /* 1386588 */   // Label 18866: @1386588
     /* 1386588 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1386703), // Rule ID 3044 //
     /* 1386593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1386604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1386607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1386610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1386623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386643 */     // MIs[1] Operand 1
     /* 1386643 */     // No operand predicates
     /* 1386643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386647 */     // MIs[0] policy
     /* 1386647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386659 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1386676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386702 */     // GIR_Coverage, 3044,
     /* 1386702 */     GIR_EraseRootFromParent_Done,
     /* 1386703 */   // Label 18867: @1386703
     /* 1386703 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1386818), // Rule ID 3045 //
     /* 1386708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1386719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1386722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1386725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1386738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386758 */     // MIs[1] Operand 1
     /* 1386758 */     // No operand predicates
     /* 1386758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386762 */     // MIs[0] policy
     /* 1386762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386774 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1386774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1386791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386817 */     // GIR_Coverage, 3045,
     /* 1386817 */     GIR_EraseRootFromParent_Done,
     /* 1386818 */   // Label 18868: @1386818
     /* 1386818 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1386933), // Rule ID 3048 //
     /* 1386823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1386834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1386837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1386840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1386843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1386846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1386853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386873 */     // MIs[1] Operand 1
     /* 1386873 */     // No operand predicates
     /* 1386873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386877 */     // MIs[0] policy
     /* 1386877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386889 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1386889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1386893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1386899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1386903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1386906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1386910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1386915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1386921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1386931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386932 */     // GIR_Coverage, 3048,
     /* 1386932 */     GIR_EraseRootFromParent_Done,
     /* 1386933 */   // Label 18869: @1386933
     /* 1386933 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1387048), // Rule ID 3049 //
     /* 1386938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1386946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1386949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1386952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1386955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1386958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1386961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1386968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1386980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1386984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1386988 */     // MIs[1] Operand 1
     /* 1386988 */     // No operand predicates
     /* 1386988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386992 */     // MIs[0] policy
     /* 1386992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1386995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1386997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1387021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387047 */     // GIR_Coverage, 3049,
     /* 1387047 */     GIR_EraseRootFromParent_Done,
     /* 1387048 */   // Label 18870: @1387048
     /* 1387048 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1387163), // Rule ID 3052 //
     /* 1387053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1387064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1387067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387103 */     // MIs[1] Operand 1
     /* 1387103 */     // No operand predicates
     /* 1387103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387107 */     // MIs[0] policy
     /* 1387107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1387136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387162 */     // GIR_Coverage, 3052,
     /* 1387162 */     GIR_EraseRootFromParent_Done,
     /* 1387163 */   // Label 18871: @1387163
     /* 1387163 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1387278), // Rule ID 3053 //
     /* 1387168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1387179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1387182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1387185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387218 */     // MIs[1] Operand 1
     /* 1387218 */     // No operand predicates
     /* 1387218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387222 */     // MIs[0] policy
     /* 1387222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387234 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1387251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387277 */     // GIR_Coverage, 3053,
     /* 1387277 */     GIR_EraseRootFromParent_Done,
     /* 1387278 */   // Label 18872: @1387278
     /* 1387278 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1387393), // Rule ID 3056 //
     /* 1387283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1387294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1387297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387333 */     // MIs[1] Operand 1
     /* 1387333 */     // No operand predicates
     /* 1387333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387337 */     // MIs[0] policy
     /* 1387337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387349 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1387366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387392 */     // GIR_Coverage, 3056,
     /* 1387392 */     GIR_EraseRootFromParent_Done,
     /* 1387393 */   // Label 18873: @1387393
     /* 1387393 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1387508), // Rule ID 3057 //
     /* 1387398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1387409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1387412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1387415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1387421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1387428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387448 */     // MIs[1] Operand 1
     /* 1387448 */     // No operand predicates
     /* 1387448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387452 */     // MIs[0] policy
     /* 1387452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387464 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387468 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1387481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387507 */     // GIR_Coverage, 3057,
     /* 1387507 */     GIR_EraseRootFromParent_Done,
     /* 1387508 */   // Label 18874: @1387508
     /* 1387508 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1387623), // Rule ID 3060 //
     /* 1387513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1387524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1387527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387563 */     // MIs[1] Operand 1
     /* 1387563 */     // No operand predicates
     /* 1387563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387567 */     // MIs[0] policy
     /* 1387567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1387596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387622 */     // GIR_Coverage, 3060,
     /* 1387622 */     GIR_EraseRootFromParent_Done,
     /* 1387623 */   // Label 18875: @1387623
     /* 1387623 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1387738), // Rule ID 3061 //
     /* 1387628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1387639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1387642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1387645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1387651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1387658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387678 */     // MIs[1] Operand 1
     /* 1387678 */     // No operand predicates
     /* 1387678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387682 */     // MIs[0] policy
     /* 1387682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387694 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1387711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1387734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387737 */     // GIR_Coverage, 3061,
     /* 1387737 */     GIR_EraseRootFromParent_Done,
     /* 1387738 */   // Label 18876: @1387738
     /* 1387738 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1387853), // Rule ID 3064 //
     /* 1387743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1387754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1387757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387793 */     // MIs[1] Operand 1
     /* 1387793 */     // No operand predicates
     /* 1387793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387797 */     // MIs[0] policy
     /* 1387797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387809 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1387809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1387826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387852 */     // GIR_Coverage, 3064,
     /* 1387852 */     GIR_EraseRootFromParent_Done,
     /* 1387853 */   // Label 18877: @1387853
     /* 1387853 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1387968), // Rule ID 3065 //
     /* 1387858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1387869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1387872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1387875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1387878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1387888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1387900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1387904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1387908 */     // MIs[1] Operand 1
     /* 1387908 */     // No operand predicates
     /* 1387908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387912 */     // MIs[0] policy
     /* 1387912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1387915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1387917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387924 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1387924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1387928 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1387934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1387938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1387941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1387945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1387950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1387956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1387966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387967 */     // GIR_Coverage, 3065,
     /* 1387967 */     GIR_EraseRootFromParent_Done,
     /* 1387968 */   // Label 18878: @1387968
     /* 1387968 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1388083), // Rule ID 3068 //
     /* 1387973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1387981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1387984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1387987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1387990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1387993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388023 */     // MIs[1] Operand 1
     /* 1388023 */     // No operand predicates
     /* 1388023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388027 */     // MIs[0] policy
     /* 1388027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1388056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388082 */     // GIR_Coverage, 3068,
     /* 1388082 */     GIR_EraseRootFromParent_Done,
     /* 1388083 */   // Label 18879: @1388083
     /* 1388083 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1388198), // Rule ID 3069 //
     /* 1388088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1388099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1388102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1388105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388138 */     // MIs[1] Operand 1
     /* 1388138 */     // No operand predicates
     /* 1388138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388142 */     // MIs[0] policy
     /* 1388142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1388171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388197 */     // GIR_Coverage, 3069,
     /* 1388197 */     GIR_EraseRootFromParent_Done,
     /* 1388198 */   // Label 18880: @1388198
     /* 1388198 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1388313), // Rule ID 3072 //
     /* 1388203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1388214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1388217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1388233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388253 */     // MIs[1] Operand 1
     /* 1388253 */     // No operand predicates
     /* 1388253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388257 */     // MIs[0] policy
     /* 1388257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1388286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388312 */     // GIR_Coverage, 3072,
     /* 1388312 */     GIR_EraseRootFromParent_Done,
     /* 1388313 */   // Label 18881: @1388313
     /* 1388313 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1388428), // Rule ID 3073 //
     /* 1388318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1388329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1388332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1388335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1388341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1388348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388368 */     // MIs[1] Operand 1
     /* 1388368 */     // No operand predicates
     /* 1388368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388372 */     // MIs[0] policy
     /* 1388372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1388401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388427 */     // GIR_Coverage, 3073,
     /* 1388427 */     GIR_EraseRootFromParent_Done,
     /* 1388428 */   // Label 18882: @1388428
     /* 1388428 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1388543), // Rule ID 3076 //
     /* 1388433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1388444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1388447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1388450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1388463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388483 */     // MIs[1] Operand 1
     /* 1388483 */     // No operand predicates
     /* 1388483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388487 */     // MIs[0] policy
     /* 1388487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1388516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388542 */     // GIR_Coverage, 3076,
     /* 1388542 */     GIR_EraseRootFromParent_Done,
     /* 1388543 */   // Label 18883: @1388543
     /* 1388543 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1388658), // Rule ID 3077 //
     /* 1388548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1388551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1388559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1388562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1388565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1388578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1388586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388598 */     // MIs[1] Operand 1
     /* 1388598 */     // No operand predicates
     /* 1388598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388602 */     // MIs[0] policy
     /* 1388602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388614 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1388631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388657 */     // GIR_Coverage, 3077,
     /* 1388657 */     GIR_EraseRootFromParent_Done,
     /* 1388658 */   // Label 18884: @1388658
     /* 1388658 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1388773), // Rule ID 3080 //
     /* 1388663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1388674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1388677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1388680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388713 */     // MIs[1] Operand 1
     /* 1388713 */     // No operand predicates
     /* 1388713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388717 */     // MIs[0] policy
     /* 1388717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388729 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1388746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388772 */     // GIR_Coverage, 3080,
     /* 1388772 */     GIR_EraseRootFromParent_Done,
     /* 1388773 */   // Label 18885: @1388773
     /* 1388773 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1388888), // Rule ID 3081 //
     /* 1388778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1388781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1388789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1388792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1388795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1388798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1388808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1388816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388828 */     // MIs[1] Operand 1
     /* 1388828 */     // No operand predicates
     /* 1388828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388832 */     // MIs[0] policy
     /* 1388832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388844 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1388844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1388861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1388886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388887 */     // GIR_Coverage, 3081,
     /* 1388887 */     GIR_EraseRootFromParent_Done,
     /* 1388888 */   // Label 18886: @1388888
     /* 1388888 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1389003), // Rule ID 3084 //
     /* 1388893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1388896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1388901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1388904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1388907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1388910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1388913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1388923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1388931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1388935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1388939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1388943 */     // MIs[1] Operand 1
     /* 1388943 */     // No operand predicates
     /* 1388943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388947 */     // MIs[0] policy
     /* 1388947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1388950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1388952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388959 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1388959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1388963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1388969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1388973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1388976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1388980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1388985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1388991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1388999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389002 */     // GIR_Coverage, 3084,
     /* 1389002 */     GIR_EraseRootFromParent_Done,
     /* 1389003 */   // Label 18887: @1389003
     /* 1389003 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1389118), // Rule ID 3085 //
     /* 1389008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1389011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1389016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1389019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1389022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1389025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1389038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389058 */     // MIs[1] Operand 1
     /* 1389058 */     // No operand predicates
     /* 1389058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389062 */     // MIs[0] policy
     /* 1389062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1389091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389117 */     // GIR_Coverage, 3085,
     /* 1389117 */     GIR_EraseRootFromParent_Done,
     /* 1389118 */   // Label 18888: @1389118
     /* 1389118 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1389233), // Rule ID 3352 //
     /* 1389123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1389134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1389137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1389140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389173 */     // MIs[1] Operand 1
     /* 1389173 */     // No operand predicates
     /* 1389173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389177 */     // MIs[0] policy
     /* 1389177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389189 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1389206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389232 */     // GIR_Coverage, 3352,
     /* 1389232 */     GIR_EraseRootFromParent_Done,
     /* 1389233 */   // Label 18889: @1389233
     /* 1389233 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1389348), // Rule ID 3353 //
     /* 1389238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1389249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1389252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1389255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389288 */     // MIs[1] Operand 1
     /* 1389288 */     // No operand predicates
     /* 1389288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389292 */     // MIs[0] policy
     /* 1389292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1389321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389347 */     // GIR_Coverage, 3353,
     /* 1389347 */     GIR_EraseRootFromParent_Done,
     /* 1389348 */   // Label 18890: @1389348
     /* 1389348 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1389463), // Rule ID 3356 //
     /* 1389353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1389364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1389367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1389370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389403 */     // MIs[1] Operand 1
     /* 1389403 */     // No operand predicates
     /* 1389403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389407 */     // MIs[0] policy
     /* 1389407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389419 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1389436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389462 */     // GIR_Coverage, 3356,
     /* 1389462 */     GIR_EraseRootFromParent_Done,
     /* 1389463 */   // Label 18891: @1389463
     /* 1389463 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1389578), // Rule ID 3357 //
     /* 1389468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1389479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1389482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1389485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389518 */     // MIs[1] Operand 1
     /* 1389518 */     // No operand predicates
     /* 1389518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389522 */     // MIs[0] policy
     /* 1389522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389534 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389538 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1389551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389577 */     // GIR_Coverage, 3357,
     /* 1389577 */     GIR_EraseRootFromParent_Done,
     /* 1389578 */   // Label 18892: @1389578
     /* 1389578 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1389693), // Rule ID 3360 //
     /* 1389583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1389594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1389597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389633 */     // MIs[1] Operand 1
     /* 1389633 */     // No operand predicates
     /* 1389633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389637 */     // MIs[0] policy
     /* 1389637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1389666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389692 */     // GIR_Coverage, 3360,
     /* 1389692 */     GIR_EraseRootFromParent_Done,
     /* 1389693 */   // Label 18893: @1389693
     /* 1389693 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1389808), // Rule ID 3361 //
     /* 1389698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1389709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1389712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1389715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1389721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389748 */     // MIs[1] Operand 1
     /* 1389748 */     // No operand predicates
     /* 1389748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389752 */     // MIs[0] policy
     /* 1389752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389764 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389768 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1389781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389807 */     // GIR_Coverage, 3361,
     /* 1389807 */     GIR_EraseRootFromParent_Done,
     /* 1389808 */   // Label 18894: @1389808
     /* 1389808 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1389923), // Rule ID 3364 //
     /* 1389813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1389833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389863 */     // MIs[1] Operand 1
     /* 1389863 */     // No operand predicates
     /* 1389863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389867 */     // MIs[0] policy
     /* 1389867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389879 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1389879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1389889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1389893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1389896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1389900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1389905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1389911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1389921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389922 */     // GIR_Coverage, 3364,
     /* 1389922 */     GIR_EraseRootFromParent_Done,
     /* 1389923 */   // Label 18895: @1389923
     /* 1389923 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1390038), // Rule ID 3365 //
     /* 1389928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1389936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1389939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1389942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1389945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1389948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1389970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1389974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1389978 */     // MIs[1] Operand 1
     /* 1389978 */     // No operand predicates
     /* 1389978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389982 */     // MIs[0] policy
     /* 1389982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1389985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1389987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1389994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1389998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1390011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390037 */     // GIR_Coverage, 3365,
     /* 1390037 */     GIR_EraseRootFromParent_Done,
     /* 1390038 */   // Label 18896: @1390038
     /* 1390038 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1390153), // Rule ID 3368 //
     /* 1390043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1390054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1390057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390093 */     // MIs[1] Operand 1
     /* 1390093 */     // No operand predicates
     /* 1390093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390097 */     // MIs[0] policy
     /* 1390097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390109 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1390126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390152 */     // GIR_Coverage, 3368,
     /* 1390152 */     GIR_EraseRootFromParent_Done,
     /* 1390153 */   // Label 18897: @1390153
     /* 1390153 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1390268), // Rule ID 3369 //
     /* 1390158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1390169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1390172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1390175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390208 */     // MIs[1] Operand 1
     /* 1390208 */     // No operand predicates
     /* 1390208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390212 */     // MIs[0] policy
     /* 1390212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390224 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1390241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390267 */     // GIR_Coverage, 3369,
     /* 1390267 */     GIR_EraseRootFromParent_Done,
     /* 1390268 */   // Label 18898: @1390268
     /* 1390268 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1390383), // Rule ID 3372 //
     /* 1390273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1390284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1390287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390323 */     // MIs[1] Operand 1
     /* 1390323 */     // No operand predicates
     /* 1390323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390327 */     // MIs[0] policy
     /* 1390327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1390356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390382 */     // GIR_Coverage, 3372,
     /* 1390382 */     GIR_EraseRootFromParent_Done,
     /* 1390383 */   // Label 18899: @1390383
     /* 1390383 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1390498), // Rule ID 3373 //
     /* 1390388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1390399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1390402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1390405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1390411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390438 */     // MIs[1] Operand 1
     /* 1390438 */     // No operand predicates
     /* 1390438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390442 */     // MIs[0] policy
     /* 1390442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390454 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1390471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390497 */     // GIR_Coverage, 3373,
     /* 1390497 */     GIR_EraseRootFromParent_Done,
     /* 1390498 */   // Label 18900: @1390498
     /* 1390498 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1390613), // Rule ID 3376 //
     /* 1390503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1390514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1390517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1390520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390553 */     // MIs[1] Operand 1
     /* 1390553 */     // No operand predicates
     /* 1390553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390557 */     // MIs[0] policy
     /* 1390557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390569 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1390586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390612 */     // GIR_Coverage, 3376,
     /* 1390612 */     GIR_EraseRootFromParent_Done,
     /* 1390613 */   // Label 18901: @1390613
     /* 1390613 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1390728), // Rule ID 3377 //
     /* 1390618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1390629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1390632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1390635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390668 */     // MIs[1] Operand 1
     /* 1390668 */     // No operand predicates
     /* 1390668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390672 */     // MIs[0] policy
     /* 1390672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390684 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1390701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1390724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390727 */     // GIR_Coverage, 3377,
     /* 1390727 */     GIR_EraseRootFromParent_Done,
     /* 1390728 */   // Label 18902: @1390728
     /* 1390728 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1390843), // Rule ID 3380 //
     /* 1390733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390783 */     // MIs[1] Operand 1
     /* 1390783 */     // No operand predicates
     /* 1390783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390787 */     // MIs[0] policy
     /* 1390787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390799 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1390799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1390816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390842 */     // GIR_Coverage, 3380,
     /* 1390842 */     GIR_EraseRootFromParent_Done,
     /* 1390843 */   // Label 18903: @1390843
     /* 1390843 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1390958), // Rule ID 3381 //
     /* 1390848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1390865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1390868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1390890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1390894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1390898 */     // MIs[1] Operand 1
     /* 1390898 */     // No operand predicates
     /* 1390898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390902 */     // MIs[0] policy
     /* 1390902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1390905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1390907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1390914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1390918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1390924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1390928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1390931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1390935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1390940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1390946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1390956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390957 */     // GIR_Coverage, 3381,
     /* 1390957 */     GIR_EraseRootFromParent_Done,
     /* 1390958 */   // Label 18904: @1390958
     /* 1390958 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1391073), // Rule ID 3384 //
     /* 1390963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1390971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1390980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1390983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391013 */     // MIs[1] Operand 1
     /* 1391013 */     // No operand predicates
     /* 1391013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391017 */     // MIs[0] policy
     /* 1391017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1391046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391072 */     // GIR_Coverage, 3384,
     /* 1391072 */     GIR_EraseRootFromParent_Done,
     /* 1391073 */   // Label 18905: @1391073
     /* 1391073 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1391188), // Rule ID 3385 //
     /* 1391078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1391089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1391092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1391095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391128 */     // MIs[1] Operand 1
     /* 1391128 */     // No operand predicates
     /* 1391128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391132 */     // MIs[0] policy
     /* 1391132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1391161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1391184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391187 */     // GIR_Coverage, 3385,
     /* 1391187 */     GIR_EraseRootFromParent_Done,
     /* 1391188 */   // Label 18906: @1391188
     /* 1391188 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1391303), // Rule ID 3388 //
     /* 1391193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1391196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391243 */     // MIs[1] Operand 1
     /* 1391243 */     // No operand predicates
     /* 1391243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391247 */     // MIs[0] policy
     /* 1391247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1391276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391302 */     // GIR_Coverage, 3388,
     /* 1391302 */     GIR_EraseRootFromParent_Done,
     /* 1391303 */   // Label 18907: @1391303
     /* 1391303 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1391418), // Rule ID 3389 //
     /* 1391308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1391311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1391325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391358 */     // MIs[1] Operand 1
     /* 1391358 */     // No operand predicates
     /* 1391358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391362 */     // MIs[0] policy
     /* 1391362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391374 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1391391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391417 */     // GIR_Coverage, 3389,
     /* 1391417 */     GIR_EraseRootFromParent_Done,
     /* 1391418 */   // Label 18908: @1391418
     /* 1391418 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1391533), // Rule ID 3392 //
     /* 1391423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1391434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1391437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1391440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391473 */     // MIs[1] Operand 1
     /* 1391473 */     // No operand predicates
     /* 1391473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391477 */     // MIs[0] policy
     /* 1391477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391489 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1391506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391532 */     // GIR_Coverage, 3392,
     /* 1391532 */     GIR_EraseRootFromParent_Done,
     /* 1391533 */   // Label 18909: @1391533
     /* 1391533 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1391648), // Rule ID 3393 //
     /* 1391538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1391549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1391552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1391555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1391561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1391568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1391576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391588 */     // MIs[1] Operand 1
     /* 1391588 */     // No operand predicates
     /* 1391588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391592 */     // MIs[0] policy
     /* 1391592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1391621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391647 */     // GIR_Coverage, 3393,
     /* 1391647 */     GIR_EraseRootFromParent_Done,
     /* 1391648 */   // Label 18910: @1391648
     /* 1391648 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1391763), // Rule ID 3396 //
     /* 1391653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1391664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1391667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1391670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391703 */     // MIs[1] Operand 1
     /* 1391703 */     // No operand predicates
     /* 1391703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391707 */     // MIs[0] policy
     /* 1391707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391719 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1391736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391762 */     // GIR_Coverage, 3396,
     /* 1391762 */     GIR_EraseRootFromParent_Done,
     /* 1391763 */   // Label 18911: @1391763
     /* 1391763 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1391878), // Rule ID 3397 //
     /* 1391768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1391779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1391782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1391785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1391788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1391791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1391798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391818 */     // MIs[1] Operand 1
     /* 1391818 */     // No operand predicates
     /* 1391818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391822 */     // MIs[0] policy
     /* 1391822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391834 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1391834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1391851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391877 */     // GIR_Coverage, 3397,
     /* 1391877 */     GIR_EraseRootFromParent_Done,
     /* 1391878 */   // Label 18912: @1391878
     /* 1391878 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1391993), // Rule ID 3400 //
     /* 1391883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1391891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1391894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1391897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1391900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1391903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1391906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1391913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1391925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1391929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1391933 */     // MIs[1] Operand 1
     /* 1391933 */     // No operand predicates
     /* 1391933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391937 */     // MIs[0] policy
     /* 1391937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1391940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1391942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1391949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1391953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1391959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1391963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1391966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1391970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1391975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1391981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1391991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391992 */     // GIR_Coverage, 3400,
     /* 1391992 */     GIR_EraseRootFromParent_Done,
     /* 1391993 */   // Label 18913: @1391993
     /* 1391993 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1392108), // Rule ID 3401 //
     /* 1391998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1392009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1392012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1392015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1392021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392048 */     // MIs[1] Operand 1
     /* 1392048 */     // No operand predicates
     /* 1392048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392052 */     // MIs[0] policy
     /* 1392052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1392081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392107 */     // GIR_Coverage, 3401,
     /* 1392107 */     GIR_EraseRootFromParent_Done,
     /* 1392108 */   // Label 18914: @1392108
     /* 1392108 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1392223), // Rule ID 3404 //
     /* 1392113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1392124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1392127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392163 */     // MIs[1] Operand 1
     /* 1392163 */     // No operand predicates
     /* 1392163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392167 */     // MIs[0] policy
     /* 1392167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1392196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392222 */     // GIR_Coverage, 3404,
     /* 1392222 */     GIR_EraseRootFromParent_Done,
     /* 1392223 */   // Label 18915: @1392223
     /* 1392223 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1392338), // Rule ID 3405 //
     /* 1392228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1392239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1392242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1392245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392278 */     // MIs[1] Operand 1
     /* 1392278 */     // No operand predicates
     /* 1392278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392282 */     // MIs[0] policy
     /* 1392282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392298 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392304 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1392311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392337 */     // GIR_Coverage, 3405,
     /* 1392337 */     GIR_EraseRootFromParent_Done,
     /* 1392338 */   // Label 18916: @1392338
     /* 1392338 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1392453), // Rule ID 3408 //
     /* 1392343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1392354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1392357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1392373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392393 */     // MIs[1] Operand 1
     /* 1392393 */     // No operand predicates
     /* 1392393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392397 */     // MIs[0] policy
     /* 1392397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392409 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1392426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392452 */     // GIR_Coverage, 3408,
     /* 1392452 */     GIR_EraseRootFromParent_Done,
     /* 1392453 */   // Label 18917: @1392453
     /* 1392453 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1392568), // Rule ID 3409 //
     /* 1392458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1392469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1392472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1392475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1392488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1392496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392508 */     // MIs[1] Operand 1
     /* 1392508 */     // No operand predicates
     /* 1392508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392512 */     // MIs[0] policy
     /* 1392512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1392541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392567 */     // GIR_Coverage, 3409,
     /* 1392567 */     GIR_EraseRootFromParent_Done,
     /* 1392568 */   // Label 18918: @1392568
     /* 1392568 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1392683), // Rule ID 3412 //
     /* 1392573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1392584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1392587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392623 */     // MIs[1] Operand 1
     /* 1392623 */     // No operand predicates
     /* 1392623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392627 */     // MIs[0] policy
     /* 1392627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392639 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1392656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392682 */     // GIR_Coverage, 3412,
     /* 1392682 */     GIR_EraseRootFromParent_Done,
     /* 1392683 */   // Label 18919: @1392683
     /* 1392683 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1392798), // Rule ID 3413 //
     /* 1392688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1392699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1392702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1392705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1392711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1392718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1392726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392738 */     // MIs[1] Operand 1
     /* 1392738 */     // No operand predicates
     /* 1392738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392742 */     // MIs[0] policy
     /* 1392742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392754 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1392771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392797 */     // GIR_Coverage, 3413,
     /* 1392797 */     GIR_EraseRootFromParent_Done,
     /* 1392798 */   // Label 18920: @1392798
     /* 1392798 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1392913), // Rule ID 3416 //
     /* 1392803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1392814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1392817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1392823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392853 */     // MIs[1] Operand 1
     /* 1392853 */     // No operand predicates
     /* 1392853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392857 */     // MIs[0] policy
     /* 1392857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1392869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1392886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1392890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1392895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1392901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1392911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392912 */     // GIR_Coverage, 3416,
     /* 1392912 */     GIR_EraseRootFromParent_Done,
     /* 1392913 */   // Label 18921: @1392913
     /* 1392913 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1393028), // Rule ID 3417 //
     /* 1392918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1392926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1392929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1392932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1392935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1392938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1392948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1392960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1392964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1392968 */     // MIs[1] Operand 1
     /* 1392968 */     // No operand predicates
     /* 1392968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392972 */     // MIs[0] policy
     /* 1392972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1392975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1392977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392984 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1392984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1392988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1392994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1392998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1393001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393027 */     // GIR_Coverage, 3417,
     /* 1393027 */     GIR_EraseRootFromParent_Done,
     /* 1393028 */   // Label 18922: @1393028
     /* 1393028 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1393143), // Rule ID 3420 //
     /* 1393033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1393044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1393047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393083 */     // MIs[1] Operand 1
     /* 1393083 */     // No operand predicates
     /* 1393083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393087 */     // MIs[0] policy
     /* 1393087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393099 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1393116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393142 */     // GIR_Coverage, 3420,
     /* 1393142 */     GIR_EraseRootFromParent_Done,
     /* 1393143 */   // Label 18923: @1393143
     /* 1393143 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1393258), // Rule ID 3421 //
     /* 1393148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1393159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1393162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1393165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393198 */     // MIs[1] Operand 1
     /* 1393198 */     // No operand predicates
     /* 1393198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393202 */     // MIs[0] policy
     /* 1393202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393214 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1393231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393257 */     // GIR_Coverage, 3421,
     /* 1393257 */     GIR_EraseRootFromParent_Done,
     /* 1393258 */   // Label 18924: @1393258
     /* 1393258 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1393373), // Rule ID 3424 //
     /* 1393263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1393274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1393277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1393293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393313 */     // MIs[1] Operand 1
     /* 1393313 */     // No operand predicates
     /* 1393313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393317 */     // MIs[0] policy
     /* 1393317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393329 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1393346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393372 */     // GIR_Coverage, 3424,
     /* 1393372 */     GIR_EraseRootFromParent_Done,
     /* 1393373 */   // Label 18925: @1393373
     /* 1393373 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1393488), // Rule ID 3425 //
     /* 1393378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1393389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1393392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1393395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1393408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393428 */     // MIs[1] Operand 1
     /* 1393428 */     // No operand predicates
     /* 1393428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393432 */     // MIs[0] policy
     /* 1393432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1393461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1393484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393487 */     // GIR_Coverage, 3425,
     /* 1393487 */     GIR_EraseRootFromParent_Done,
     /* 1393488 */   // Label 18926: @1393488
     /* 1393488 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1393603), // Rule ID 3428 //
     /* 1393493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1393496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1393504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1393507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1393510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1393523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393543 */     // MIs[1] Operand 1
     /* 1393543 */     // No operand predicates
     /* 1393543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393547 */     // MIs[0] policy
     /* 1393547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1393576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393602 */     // GIR_Coverage, 3428,
     /* 1393602 */     GIR_EraseRootFromParent_Done,
     /* 1393603 */   // Label 18927: @1393603
     /* 1393603 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1393718), // Rule ID 3429 //
     /* 1393608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1393611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1393619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1393622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1393625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1393631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1393638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393658 */     // MIs[1] Operand 1
     /* 1393658 */     // No operand predicates
     /* 1393658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393662 */     // MIs[0] policy
     /* 1393662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393674 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1393691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393717 */     // GIR_Coverage, 3429,
     /* 1393717 */     GIR_EraseRootFromParent_Done,
     /* 1393718 */   // Label 18928: @1393718
     /* 1393718 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1393833), // Rule ID 3432 //
     /* 1393723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1393726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1393734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1393737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1393740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393773 */     // MIs[1] Operand 1
     /* 1393773 */     // No operand predicates
     /* 1393773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393777 */     // MIs[0] policy
     /* 1393777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1393789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1393806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393832 */     // GIR_Coverage, 3432,
     /* 1393832 */     GIR_EraseRootFromParent_Done,
     /* 1393833 */   // Label 18929: @1393833
     /* 1393833 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1393948), // Rule ID 3433 //
     /* 1393838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1393841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1393849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1393852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1393855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1393858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1393868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1393888 */     // MIs[1] Operand 1
     /* 1393888 */     // No operand predicates
     /* 1393888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393892 */     // MIs[0] policy
     /* 1393892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1393895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1393897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393904 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1393904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1393908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1393914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1393918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1393921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1393925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1393930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1393936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1393944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1393946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393947 */     // GIR_Coverage, 3433,
     /* 1393947 */     GIR_EraseRootFromParent_Done,
     /* 1393948 */   // Label 18930: @1393948
     /* 1393948 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1394063), // Rule ID 3436 //
     /* 1393953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1393956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1393961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1393964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1393967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1393970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1393973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1393983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1393995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1393999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394003 */     // MIs[1] Operand 1
     /* 1394003 */     // No operand predicates
     /* 1394003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394007 */     // MIs[0] policy
     /* 1394007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1394036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394062 */     // GIR_Coverage, 3436,
     /* 1394062 */     GIR_EraseRootFromParent_Done,
     /* 1394063 */   // Label 18931: @1394063
     /* 1394063 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1394178), // Rule ID 3437 //
     /* 1394068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1394071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1394076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1394079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1394082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1394098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394118 */     // MIs[1] Operand 1
     /* 1394118 */     // No operand predicates
     /* 1394118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394122 */     // MIs[0] policy
     /* 1394122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394134 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1394151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394177 */     // GIR_Coverage, 3437,
     /* 1394177 */     GIR_EraseRootFromParent_Done,
     /* 1394178 */   // Label 18932: @1394178
     /* 1394178 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1394293), // Rule ID 5800 //
     /* 1394183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394233 */     // MIs[1] Operand 1
     /* 1394233 */     // No operand predicates
     /* 1394233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394237 */     // MIs[0] policy
     /* 1394237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394249 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1394266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394292 */     // GIR_Coverage, 5800,
     /* 1394292 */     GIR_EraseRootFromParent_Done,
     /* 1394293 */   // Label 18933: @1394293
     /* 1394293 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1394408), // Rule ID 5801 //
     /* 1394298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1394309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1394312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394348 */     // MIs[1] Operand 1
     /* 1394348 */     // No operand predicates
     /* 1394348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394352 */     // MIs[0] policy
     /* 1394352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394364 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1394381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394407 */     // GIR_Coverage, 5801,
     /* 1394407 */     GIR_EraseRootFromParent_Done,
     /* 1394408 */   // Label 18934: @1394408
     /* 1394408 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1394523), // Rule ID 5804 //
     /* 1394413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1394424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1394427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394463 */     // MIs[1] Operand 1
     /* 1394463 */     // No operand predicates
     /* 1394463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394467 */     // MIs[0] policy
     /* 1394467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394479 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1394496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394522 */     // GIR_Coverage, 5804,
     /* 1394522 */     GIR_EraseRootFromParent_Done,
     /* 1394523 */   // Label 18935: @1394523
     /* 1394523 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1394638), // Rule ID 5805 //
     /* 1394528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1394539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1394542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1394545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394578 */     // MIs[1] Operand 1
     /* 1394578 */     // No operand predicates
     /* 1394578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394582 */     // MIs[0] policy
     /* 1394582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1394611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394637 */     // GIR_Coverage, 5805,
     /* 1394637 */     GIR_EraseRootFromParent_Done,
     /* 1394638 */   // Label 18936: @1394638
     /* 1394638 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1394753), // Rule ID 5808 //
     /* 1394643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1394654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1394657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1394660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394693 */     // MIs[1] Operand 1
     /* 1394693 */     // No operand predicates
     /* 1394693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394697 */     // MIs[0] policy
     /* 1394697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394709 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1394726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394752 */     // GIR_Coverage, 5808,
     /* 1394752 */     GIR_EraseRootFromParent_Done,
     /* 1394753 */   // Label 18937: @1394753
     /* 1394753 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1394868), // Rule ID 5809 //
     /* 1394758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1394769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1394772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1394775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1394778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394808 */     // MIs[1] Operand 1
     /* 1394808 */     // No operand predicates
     /* 1394808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394812 */     // MIs[0] policy
     /* 1394812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394824 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1394824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1394841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1394864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394867 */     // GIR_Coverage, 5809,
     /* 1394867 */     GIR_EraseRootFromParent_Done,
     /* 1394868 */   // Label 18938: @1394868
     /* 1394868 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1394983), // Rule ID 5812 //
     /* 1394873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1394884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1394887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1394890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1394893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1394915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1394919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1394923 */     // MIs[1] Operand 1
     /* 1394923 */     // No operand predicates
     /* 1394923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394927 */     // MIs[0] policy
     /* 1394927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1394930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1394932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1394939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1394943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1394949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1394953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1394956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1394960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1394965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1394971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1394979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1394981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394982 */     // GIR_Coverage, 5812,
     /* 1394982 */     GIR_EraseRootFromParent_Done,
     /* 1394983 */   // Label 18939: @1394983
     /* 1394983 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1395098), // Rule ID 5813 //
     /* 1394988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1394996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1394999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1395002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395038 */     // MIs[1] Operand 1
     /* 1395038 */     // No operand predicates
     /* 1395038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395042 */     // MIs[0] policy
     /* 1395042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395054 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1395071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395097 */     // GIR_Coverage, 5813,
     /* 1395097 */     GIR_EraseRootFromParent_Done,
     /* 1395098 */   // Label 18940: @1395098
     /* 1395098 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1395213), // Rule ID 5816 //
     /* 1395103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395153 */     // MIs[1] Operand 1
     /* 1395153 */     // No operand predicates
     /* 1395153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395157 */     // MIs[0] policy
     /* 1395157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1395186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395212 */     // GIR_Coverage, 5816,
     /* 1395212 */     GIR_EraseRootFromParent_Done,
     /* 1395213 */   // Label 18941: @1395213
     /* 1395213 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1395328), // Rule ID 5817 //
     /* 1395218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1395229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1395232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395268 */     // MIs[1] Operand 1
     /* 1395268 */     // No operand predicates
     /* 1395268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395272 */     // MIs[0] policy
     /* 1395272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1395301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395327 */     // GIR_Coverage, 5817,
     /* 1395327 */     GIR_EraseRootFromParent_Done,
     /* 1395328 */   // Label 18942: @1395328
     /* 1395328 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1395443), // Rule ID 5820 //
     /* 1395333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395383 */     // MIs[1] Operand 1
     /* 1395383 */     // No operand predicates
     /* 1395383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395387 */     // MIs[0] policy
     /* 1395387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395399 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1395416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395442 */     // GIR_Coverage, 5820,
     /* 1395442 */     GIR_EraseRootFromParent_Done,
     /* 1395443 */   // Label 18943: @1395443
     /* 1395443 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1395558), // Rule ID 5821 //
     /* 1395448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1395459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1395462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395498 */     // MIs[1] Operand 1
     /* 1395498 */     // No operand predicates
     /* 1395498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395502 */     // MIs[0] policy
     /* 1395502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395514 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1395531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395557 */     // GIR_Coverage, 5821,
     /* 1395557 */     GIR_EraseRootFromParent_Done,
     /* 1395558 */   // Label 18944: @1395558
     /* 1395558 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1395673), // Rule ID 5824 //
     /* 1395563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395613 */     // MIs[1] Operand 1
     /* 1395613 */     // No operand predicates
     /* 1395613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395617 */     // MIs[0] policy
     /* 1395617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395629 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1395646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395672 */     // GIR_Coverage, 5824,
     /* 1395672 */     GIR_EraseRootFromParent_Done,
     /* 1395673 */   // Label 18945: @1395673
     /* 1395673 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1395788), // Rule ID 5825 //
     /* 1395678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1395689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1395692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395728 */     // MIs[1] Operand 1
     /* 1395728 */     // No operand predicates
     /* 1395728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395732 */     // MIs[0] policy
     /* 1395732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1395761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395787 */     // GIR_Coverage, 5825,
     /* 1395787 */     GIR_EraseRootFromParent_Done,
     /* 1395788 */   // Label 18946: @1395788
     /* 1395788 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1395903), // Rule ID 5828 //
     /* 1395793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1395813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395843 */     // MIs[1] Operand 1
     /* 1395843 */     // No operand predicates
     /* 1395843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395847 */     // MIs[0] policy
     /* 1395847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1395859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1395876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1395885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1395891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1395901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395902 */     // GIR_Coverage, 5828,
     /* 1395902 */     GIR_EraseRootFromParent_Done,
     /* 1395903 */   // Label 18947: @1395903
     /* 1395903 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1396018), // Rule ID 5829 //
     /* 1395908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1395916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1395925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1395928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1395950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1395954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1395958 */     // MIs[1] Operand 1
     /* 1395958 */     // No operand predicates
     /* 1395958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395962 */     // MIs[0] policy
     /* 1395962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1395965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1395967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1395974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1395978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1395984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1395988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1395991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1395995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396017 */     // GIR_Coverage, 5829,
     /* 1396017 */     GIR_EraseRootFromParent_Done,
     /* 1396018 */   // Label 18948: @1396018
     /* 1396018 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1396133), // Rule ID 5832 //
     /* 1396023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396073 */     // MIs[1] Operand 1
     /* 1396073 */     // No operand predicates
     /* 1396073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396077 */     // MIs[0] policy
     /* 1396077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1396106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396132 */     // GIR_Coverage, 5832,
     /* 1396132 */     GIR_EraseRootFromParent_Done,
     /* 1396133 */   // Label 18949: @1396133
     /* 1396133 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1396248), // Rule ID 5833 //
     /* 1396138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396188 */     // MIs[1] Operand 1
     /* 1396188 */     // No operand predicates
     /* 1396188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396192 */     // MIs[0] policy
     /* 1396192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1396221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396247 */     // GIR_Coverage, 5833,
     /* 1396247 */     GIR_EraseRootFromParent_Done,
     /* 1396248 */   // Label 18950: @1396248
     /* 1396248 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1396363), // Rule ID 5836 //
     /* 1396253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1396256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396303 */     // MIs[1] Operand 1
     /* 1396303 */     // No operand predicates
     /* 1396303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396307 */     // MIs[0] policy
     /* 1396307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1396336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396362 */     // GIR_Coverage, 5836,
     /* 1396362 */     GIR_EraseRootFromParent_Done,
     /* 1396363 */   // Label 18951: @1396363
     /* 1396363 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1396478), // Rule ID 5837 //
     /* 1396368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1396371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1396385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1396391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396418 */     // MIs[1] Operand 1
     /* 1396418 */     // No operand predicates
     /* 1396418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396422 */     // MIs[0] policy
     /* 1396422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396438 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1396451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1396474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396477 */     // GIR_Coverage, 5837,
     /* 1396477 */     GIR_EraseRootFromParent_Done,
     /* 1396478 */   // Label 18952: @1396478
     /* 1396478 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1396593), // Rule ID 5840 //
     /* 1396483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396533 */     // MIs[1] Operand 1
     /* 1396533 */     // No operand predicates
     /* 1396533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396537 */     // MIs[0] policy
     /* 1396537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396549 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1396566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396592 */     // GIR_Coverage, 5840,
     /* 1396592 */     GIR_EraseRootFromParent_Done,
     /* 1396593 */   // Label 18953: @1396593
     /* 1396593 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1396708), // Rule ID 5841 //
     /* 1396598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1396609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1396612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1396628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396648 */     // MIs[1] Operand 1
     /* 1396648 */     // No operand predicates
     /* 1396648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396652 */     // MIs[0] policy
     /* 1396652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1396681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396707 */     // GIR_Coverage, 5841,
     /* 1396707 */     GIR_EraseRootFromParent_Done,
     /* 1396708 */   // Label 18954: @1396708
     /* 1396708 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1396823), // Rule ID 5844 //
     /* 1396713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396763 */     // MIs[1] Operand 1
     /* 1396763 */     // No operand predicates
     /* 1396763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396767 */     // MIs[0] policy
     /* 1396767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396779 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1396779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1396796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396822 */     // GIR_Coverage, 5844,
     /* 1396822 */     GIR_EraseRootFromParent_Done,
     /* 1396823 */   // Label 18955: @1396823
     /* 1396823 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1396938), // Rule ID 5845 //
     /* 1396828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1396839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1396842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1396848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1396858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396878 */     // MIs[1] Operand 1
     /* 1396878 */     // No operand predicates
     /* 1396878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396882 */     // MIs[0] policy
     /* 1396882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1396885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1396887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396894 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1396894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1396898 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1396904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1396908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1396911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1396915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1396920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1396926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1396936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396937 */     // GIR_Coverage, 5845,
     /* 1396937 */     GIR_EraseRootFromParent_Done,
     /* 1396938 */   // Label 18956: @1396938
     /* 1396938 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1397053), // Rule ID 5848 //
     /* 1396943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1396951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1396954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1396957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1396963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1396973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1396985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1396989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1396993 */     // MIs[1] Operand 1
     /* 1396993 */     // No operand predicates
     /* 1396993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396997 */     // MIs[0] policy
     /* 1396997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397009 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1397026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397052 */     // GIR_Coverage, 5848,
     /* 1397052 */     GIR_EraseRootFromParent_Done,
     /* 1397053 */   // Label 18957: @1397053
     /* 1397053 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1397168), // Rule ID 5849 //
     /* 1397058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1397069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1397072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1397075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1397081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397108 */     // MIs[1] Operand 1
     /* 1397108 */     // No operand predicates
     /* 1397108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397112 */     // MIs[0] policy
     /* 1397112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1397141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1397164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397167 */     // GIR_Coverage, 5849,
     /* 1397167 */     GIR_EraseRootFromParent_Done,
     /* 1397168 */   // Label 18958: @1397168
     /* 1397168 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1397283), // Rule ID 5852 //
     /* 1397173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397223 */     // MIs[1] Operand 1
     /* 1397223 */     // No operand predicates
     /* 1397223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397227 */     // MIs[0] policy
     /* 1397227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397239 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1397256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397282 */     // GIR_Coverage, 5852,
     /* 1397282 */     GIR_EraseRootFromParent_Done,
     /* 1397283 */   // Label 18959: @1397283
     /* 1397283 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1397398), // Rule ID 5853 //
     /* 1397288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1397299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1397302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397338 */     // MIs[1] Operand 1
     /* 1397338 */     // No operand predicates
     /* 1397338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397342 */     // MIs[0] policy
     /* 1397342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397354 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1397371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397397 */     // GIR_Coverage, 5853,
     /* 1397397 */     GIR_EraseRootFromParent_Done,
     /* 1397398 */   // Label 18960: @1397398
     /* 1397398 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1397513), // Rule ID 5856 //
     /* 1397403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397453 */     // MIs[1] Operand 1
     /* 1397453 */     // No operand predicates
     /* 1397453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397457 */     // MIs[0] policy
     /* 1397457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397469 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1397486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397512 */     // GIR_Coverage, 5856,
     /* 1397512 */     GIR_EraseRootFromParent_Done,
     /* 1397513 */   // Label 18961: @1397513
     /* 1397513 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1397628), // Rule ID 5857 //
     /* 1397518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1397529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1397532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1397548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397568 */     // MIs[1] Operand 1
     /* 1397568 */     // No operand predicates
     /* 1397568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397572 */     // MIs[0] policy
     /* 1397572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1397601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397627 */     // GIR_Coverage, 5857,
     /* 1397627 */     GIR_EraseRootFromParent_Done,
     /* 1397628 */   // Label 18962: @1397628
     /* 1397628 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1397743), // Rule ID 5860 //
     /* 1397633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397683 */     // MIs[1] Operand 1
     /* 1397683 */     // No operand predicates
     /* 1397683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397687 */     // MIs[0] policy
     /* 1397687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1397716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397742 */     // GIR_Coverage, 5860,
     /* 1397742 */     GIR_EraseRootFromParent_Done,
     /* 1397743 */   // Label 18963: @1397743
     /* 1397743 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1397858), // Rule ID 5861 //
     /* 1397748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1397759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1397762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1397778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397798 */     // MIs[1] Operand 1
     /* 1397798 */     // No operand predicates
     /* 1397798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397802 */     // MIs[0] policy
     /* 1397802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397814 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1397814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1397831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397857 */     // GIR_Coverage, 5861,
     /* 1397857 */     GIR_EraseRootFromParent_Done,
     /* 1397858 */   // Label 18964: @1397858
     /* 1397858 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1397973), // Rule ID 5864 //
     /* 1397863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1397883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1397893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1397905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1397909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1397913 */     // MIs[1] Operand 1
     /* 1397913 */     // No operand predicates
     /* 1397913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397917 */     // MIs[0] policy
     /* 1397917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1397920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1397922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397929 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1397929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1397933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1397939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1397943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1397946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1397950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1397955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1397961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1397971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397972 */     // GIR_Coverage, 5864,
     /* 1397972 */     GIR_EraseRootFromParent_Done,
     /* 1397973 */   // Label 18965: @1397973
     /* 1397973 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1398088), // Rule ID 5865 //
     /* 1397978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1397986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1397989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1397992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1397998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398028 */     // MIs[1] Operand 1
     /* 1398028 */     // No operand predicates
     /* 1398028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398032 */     // MIs[0] policy
     /* 1398032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1398061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398087 */     // GIR_Coverage, 5865,
     /* 1398087 */     GIR_EraseRootFromParent_Done,
     /* 1398088 */   // Label 18966: @1398088
     /* 1398088 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1398203), // Rule ID 5868 //
     /* 1398093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398143 */     // MIs[1] Operand 1
     /* 1398143 */     // No operand predicates
     /* 1398143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398147 */     // MIs[0] policy
     /* 1398147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1398176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398202 */     // GIR_Coverage, 5868,
     /* 1398202 */     GIR_EraseRootFromParent_Done,
     /* 1398203 */   // Label 18967: @1398203
     /* 1398203 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1398318), // Rule ID 5869 //
     /* 1398208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1398219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1398222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1398225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398258 */     // MIs[1] Operand 1
     /* 1398258 */     // No operand predicates
     /* 1398258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398262 */     // MIs[0] policy
     /* 1398262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1398291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398317 */     // GIR_Coverage, 5869,
     /* 1398317 */     GIR_EraseRootFromParent_Done,
     /* 1398318 */   // Label 18968: @1398318
     /* 1398318 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1398433), // Rule ID 5872 //
     /* 1398323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398373 */     // MIs[1] Operand 1
     /* 1398373 */     // No operand predicates
     /* 1398373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398377 */     // MIs[0] policy
     /* 1398377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398389 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1398406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398432 */     // GIR_Coverage, 5872,
     /* 1398432 */     GIR_EraseRootFromParent_Done,
     /* 1398433 */   // Label 18969: @1398433
     /* 1398433 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1398548), // Rule ID 5873 //
     /* 1398438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1398449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1398452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1398455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1398461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1398468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1398476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398488 */     // MIs[1] Operand 1
     /* 1398488 */     // No operand predicates
     /* 1398488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398492 */     // MIs[0] policy
     /* 1398492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1398521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398547 */     // GIR_Coverage, 5873,
     /* 1398547 */     GIR_EraseRootFromParent_Done,
     /* 1398548 */   // Label 18970: @1398548
     /* 1398548 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1398663), // Rule ID 5876 //
     /* 1398553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398603 */     // MIs[1] Operand 1
     /* 1398603 */     // No operand predicates
     /* 1398603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398607 */     // MIs[0] policy
     /* 1398607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1398636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398662 */     // GIR_Coverage, 5876,
     /* 1398662 */     GIR_EraseRootFromParent_Done,
     /* 1398663 */   // Label 18971: @1398663
     /* 1398663 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1398778), // Rule ID 5877 //
     /* 1398668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1398679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1398682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1398685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1398698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1398706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398718 */     // MIs[1] Operand 1
     /* 1398718 */     // No operand predicates
     /* 1398718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398722 */     // MIs[0] policy
     /* 1398722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1398751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398777 */     // GIR_Coverage, 5877,
     /* 1398777 */     GIR_EraseRootFromParent_Done,
     /* 1398778 */   // Label 18972: @1398778
     /* 1398778 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1398893), // Rule ID 5880 //
     /* 1398783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1398786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1398803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398833 */     // MIs[1] Operand 1
     /* 1398833 */     // No operand predicates
     /* 1398833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398837 */     // MIs[0] policy
     /* 1398837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398849 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1398849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1398866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1398889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1398891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398892 */     // GIR_Coverage, 5880,
     /* 1398892 */     GIR_EraseRootFromParent_Done,
     /* 1398893 */   // Label 18973: @1398893
     /* 1398893 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1399008), // Rule ID 5881 //
     /* 1398898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1398901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1398906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1398909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1398912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1398915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1398918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1398928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1398936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1398940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1398944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1398948 */     // MIs[1] Operand 1
     /* 1398948 */     // No operand predicates
     /* 1398948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398952 */     // MIs[0] policy
     /* 1398952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1398955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1398957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398964 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1398964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1398968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1398974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1398978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1398981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1398985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1398990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1398996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399007 */     // GIR_Coverage, 5881,
     /* 1399007 */     GIR_EraseRootFromParent_Done,
     /* 1399008 */   // Label 18974: @1399008
     /* 1399008 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1399123), // Rule ID 5884 //
     /* 1399013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1399016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1399021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399063 */     // MIs[1] Operand 1
     /* 1399063 */     // No operand predicates
     /* 1399063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399067 */     // MIs[0] policy
     /* 1399067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399079 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1399096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399122 */     // GIR_Coverage, 5884,
     /* 1399122 */     GIR_EraseRootFromParent_Done,
     /* 1399123 */   // Label 18975: @1399123
     /* 1399123 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1399238), // Rule ID 5885 //
     /* 1399128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1399131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1399136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1399139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1399142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1399145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1399158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399178 */     // MIs[1] Operand 1
     /* 1399178 */     // No operand predicates
     /* 1399178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399182 */     // MIs[0] policy
     /* 1399182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1399211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1399234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399237 */     // GIR_Coverage, 5885,
     /* 1399237 */     GIR_EraseRootFromParent_Done,
     /* 1399238 */   // Label 18976: @1399238
     /* 1399238 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1399353), // Rule ID 6064 //
     /* 1399243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1399254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1399257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1399260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399293 */     // MIs[1] Operand 1
     /* 1399293 */     // No operand predicates
     /* 1399293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399297 */     // MIs[0] policy
     /* 1399297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399309 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1399326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399352 */     // GIR_Coverage, 6064,
     /* 1399352 */     GIR_EraseRootFromParent_Done,
     /* 1399353 */   // Label 18977: @1399353
     /* 1399353 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1399468), // Rule ID 6065 //
     /* 1399358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1399369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1399372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1399375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399408 */     // MIs[1] Operand 1
     /* 1399408 */     // No operand predicates
     /* 1399408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399412 */     // MIs[0] policy
     /* 1399412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399424 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1399441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399467 */     // GIR_Coverage, 6065,
     /* 1399467 */     GIR_EraseRootFromParent_Done,
     /* 1399468 */   // Label 18978: @1399468
     /* 1399468 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1399583), // Rule ID 6068 //
     /* 1399473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1399484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1399487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1399490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399523 */     // MIs[1] Operand 1
     /* 1399523 */     // No operand predicates
     /* 1399523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399527 */     // MIs[0] policy
     /* 1399527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399539 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1399556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399582 */     // GIR_Coverage, 6068,
     /* 1399582 */     GIR_EraseRootFromParent_Done,
     /* 1399583 */   // Label 18979: @1399583
     /* 1399583 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1399698), // Rule ID 6069 //
     /* 1399588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1399599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1399602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1399605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399638 */     // MIs[1] Operand 1
     /* 1399638 */     // No operand predicates
     /* 1399638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399642 */     // MIs[0] policy
     /* 1399642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399654 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1399671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399697 */     // GIR_Coverage, 6069,
     /* 1399697 */     GIR_EraseRootFromParent_Done,
     /* 1399698 */   // Label 18980: @1399698
     /* 1399698 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1399813), // Rule ID 6072 //
     /* 1399703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1399714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1399717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1399720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399753 */     // MIs[1] Operand 1
     /* 1399753 */     // No operand predicates
     /* 1399753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399757 */     // MIs[0] policy
     /* 1399757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399769 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1399786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399812 */     // GIR_Coverage, 6072,
     /* 1399812 */     GIR_EraseRootFromParent_Done,
     /* 1399813 */   // Label 18981: @1399813
     /* 1399813 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1399928), // Rule ID 6073 //
     /* 1399818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1399829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1399832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1399835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1399838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399868 */     // MIs[1] Operand 1
     /* 1399868 */     // No operand predicates
     /* 1399868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399872 */     // MIs[0] policy
     /* 1399872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399884 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1399884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1399888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1399894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1399898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1399901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1399905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1399910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1399916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1399926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399927 */     // GIR_Coverage, 6073,
     /* 1399927 */     GIR_EraseRootFromParent_Done,
     /* 1399928 */   // Label 18982: @1399928
     /* 1399928 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1400043), // Rule ID 6076 //
     /* 1399933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1399941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1399944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1399947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1399950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1399953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1399956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1399975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1399979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1399983 */     // MIs[1] Operand 1
     /* 1399983 */     // No operand predicates
     /* 1399983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399987 */     // MIs[0] policy
     /* 1399987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1399990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1399992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399999 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1399999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1400016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400042 */     // GIR_Coverage, 6076,
     /* 1400042 */     GIR_EraseRootFromParent_Done,
     /* 1400043 */   // Label 18983: @1400043
     /* 1400043 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1400158), // Rule ID 6077 //
     /* 1400048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1400059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1400062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1400065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400098 */     // MIs[1] Operand 1
     /* 1400098 */     // No operand predicates
     /* 1400098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400102 */     // MIs[0] policy
     /* 1400102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1400131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400157 */     // GIR_Coverage, 6077,
     /* 1400157 */     GIR_EraseRootFromParent_Done,
     /* 1400158 */   // Label 18984: @1400158
     /* 1400158 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1400273), // Rule ID 6080 //
     /* 1400163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1400174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1400177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1400180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400213 */     // MIs[1] Operand 1
     /* 1400213 */     // No operand predicates
     /* 1400213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400217 */     // MIs[0] policy
     /* 1400217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400229 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1400246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400272 */     // GIR_Coverage, 6080,
     /* 1400272 */     GIR_EraseRootFromParent_Done,
     /* 1400273 */   // Label 18985: @1400273
     /* 1400273 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1400388), // Rule ID 6081 //
     /* 1400278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1400289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1400292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1400295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1400301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400328 */     // MIs[1] Operand 1
     /* 1400328 */     // No operand predicates
     /* 1400328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400332 */     // MIs[0] policy
     /* 1400332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400344 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400348 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1400361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400387 */     // GIR_Coverage, 6081,
     /* 1400387 */     GIR_EraseRootFromParent_Done,
     /* 1400388 */   // Label 18986: @1400388
     /* 1400388 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1400503), // Rule ID 6084 //
     /* 1400393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400443 */     // MIs[1] Operand 1
     /* 1400443 */     // No operand predicates
     /* 1400443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400447 */     // MIs[0] policy
     /* 1400447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1400476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400502 */     // GIR_Coverage, 6084,
     /* 1400502 */     GIR_EraseRootFromParent_Done,
     /* 1400503 */   // Label 18987: @1400503
     /* 1400503 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1400618), // Rule ID 6085 //
     /* 1400508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1400519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1400522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1400525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1400531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400558 */     // MIs[1] Operand 1
     /* 1400558 */     // No operand predicates
     /* 1400558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400562 */     // MIs[0] policy
     /* 1400562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400574 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400578 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1400591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400617 */     // GIR_Coverage, 6085,
     /* 1400617 */     GIR_EraseRootFromParent_Done,
     /* 1400618 */   // Label 18988: @1400618
     /* 1400618 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1400733), // Rule ID 6088 //
     /* 1400623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1400634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1400637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1400640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400673 */     // MIs[1] Operand 1
     /* 1400673 */     // No operand predicates
     /* 1400673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400677 */     // MIs[0] policy
     /* 1400677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400689 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1400706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1400729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400732 */     // GIR_Coverage, 6088,
     /* 1400732 */     GIR_EraseRootFromParent_Done,
     /* 1400733 */   // Label 18989: @1400733
     /* 1400733 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1400848), // Rule ID 6089 //
     /* 1400738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1400749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1400752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1400755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400788 */     // MIs[1] Operand 1
     /* 1400788 */     // No operand predicates
     /* 1400788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400792 */     // MIs[0] policy
     /* 1400792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400804 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1400804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1400821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1400844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400847 */     // GIR_Coverage, 6089,
     /* 1400847 */     GIR_EraseRootFromParent_Done,
     /* 1400848 */   // Label 18990: @1400848
     /* 1400848 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1400963), // Rule ID 6092 //
     /* 1400853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1400873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1400895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1400899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1400903 */     // MIs[1] Operand 1
     /* 1400903 */     // No operand predicates
     /* 1400903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400907 */     // MIs[0] policy
     /* 1400907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1400910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1400912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1400919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1400923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1400929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1400933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1400936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1400940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1400945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1400951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1400961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400962 */     // GIR_Coverage, 6092,
     /* 1400962 */     GIR_EraseRootFromParent_Done,
     /* 1400963 */   // Label 18991: @1400963
     /* 1400963 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1401078), // Rule ID 6093 //
     /* 1400968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1400976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1400979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1400982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1400985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1400988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401018 */     // MIs[1] Operand 1
     /* 1401018 */     // No operand predicates
     /* 1401018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401022 */     // MIs[0] policy
     /* 1401022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1401051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401077 */     // GIR_Coverage, 6093,
     /* 1401077 */     GIR_EraseRootFromParent_Done,
     /* 1401078 */   // Label 18992: @1401078
     /* 1401078 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1401193), // Rule ID 6096 //
     /* 1401083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401133 */     // MIs[1] Operand 1
     /* 1401133 */     // No operand predicates
     /* 1401133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401137 */     // MIs[0] policy
     /* 1401137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1401166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401192 */     // GIR_Coverage, 6096,
     /* 1401192 */     GIR_EraseRootFromParent_Done,
     /* 1401193 */   // Label 18993: @1401193
     /* 1401193 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1401308), // Rule ID 6097 //
     /* 1401198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401248 */     // MIs[1] Operand 1
     /* 1401248 */     // No operand predicates
     /* 1401248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401252 */     // MIs[0] policy
     /* 1401252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401264 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401268 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1401281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401307 */     // GIR_Coverage, 6097,
     /* 1401307 */     GIR_EraseRootFromParent_Done,
     /* 1401308 */   // Label 18994: @1401308
     /* 1401308 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1401423), // Rule ID 6100 //
     /* 1401313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1401316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1401330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401363 */     // MIs[1] Operand 1
     /* 1401363 */     // No operand predicates
     /* 1401363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401367 */     // MIs[0] policy
     /* 1401367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1401396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401422 */     // GIR_Coverage, 6100,
     /* 1401422 */     GIR_EraseRootFromParent_Done,
     /* 1401423 */   // Label 18995: @1401423
     /* 1401423 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1401538), // Rule ID 6101 //
     /* 1401428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1401431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1401445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401478 */     // MIs[1] Operand 1
     /* 1401478 */     // No operand predicates
     /* 1401478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401482 */     // MIs[0] policy
     /* 1401482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1401511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401537 */     // GIR_Coverage, 6101,
     /* 1401537 */     GIR_EraseRootFromParent_Done,
     /* 1401538 */   // Label 18996: @1401538
     /* 1401538 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1401653), // Rule ID 6104 //
     /* 1401543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1401560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401593 */     // MIs[1] Operand 1
     /* 1401593 */     // No operand predicates
     /* 1401593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401597 */     // MIs[0] policy
     /* 1401597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1401626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401652 */     // GIR_Coverage, 6104,
     /* 1401652 */     GIR_EraseRootFromParent_Done,
     /* 1401653 */   // Label 18997: @1401653
     /* 1401653 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1401768), // Rule ID 6105 //
     /* 1401658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1401669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1401672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1401675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1401681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1401688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1401696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401708 */     // MIs[1] Operand 1
     /* 1401708 */     // No operand predicates
     /* 1401708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401712 */     // MIs[0] policy
     /* 1401712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1401741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401767 */     // GIR_Coverage, 6105,
     /* 1401767 */     GIR_EraseRootFromParent_Done,
     /* 1401768 */   // Label 18998: @1401768
     /* 1401768 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1401883), // Rule ID 6108 //
     /* 1401773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1401776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1401790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1401793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401823 */     // MIs[1] Operand 1
     /* 1401823 */     // No operand predicates
     /* 1401823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401827 */     // MIs[0] policy
     /* 1401827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401839 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1401839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1401856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401882 */     // GIR_Coverage, 6108,
     /* 1401882 */     GIR_EraseRootFromParent_Done,
     /* 1401883 */   // Label 18999: @1401883
     /* 1401883 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1401998), // Rule ID 6109 //
     /* 1401888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1401891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1401896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1401899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1401902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1401905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1401908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1401911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1401918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1401926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1401930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1401934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1401938 */     // MIs[1] Operand 1
     /* 1401938 */     // No operand predicates
     /* 1401938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401942 */     // MIs[0] policy
     /* 1401942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1401945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1401947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401954 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1401954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1401958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1401964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1401968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1401971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1401975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1401980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1401986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1401994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1401996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401997 */     // GIR_Coverage, 6109,
     /* 1401997 */     GIR_EraseRootFromParent_Done,
     /* 1401998 */   // Label 19000: @1401998
     /* 1401998 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1402113), // Rule ID 6112 //
     /* 1402003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1402014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1402017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1402020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1402026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402053 */     // MIs[1] Operand 1
     /* 1402053 */     // No operand predicates
     /* 1402053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402057 */     // MIs[0] policy
     /* 1402057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402069 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1402086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402112 */     // GIR_Coverage, 6112,
     /* 1402112 */     GIR_EraseRootFromParent_Done,
     /* 1402113 */   // Label 19001: @1402113
     /* 1402113 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1402228), // Rule ID 6113 //
     /* 1402118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1402129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1402132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1402135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1402141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402168 */     // MIs[1] Operand 1
     /* 1402168 */     // No operand predicates
     /* 1402168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402172 */     // MIs[0] policy
     /* 1402172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402184 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1402201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1402224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402227 */     // GIR_Coverage, 6113,
     /* 1402227 */     GIR_EraseRootFromParent_Done,
     /* 1402228 */   // Label 19002: @1402228
     /* 1402228 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1402343), // Rule ID 6116 //
     /* 1402233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402283 */     // MIs[1] Operand 1
     /* 1402283 */     // No operand predicates
     /* 1402283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402287 */     // MIs[0] policy
     /* 1402287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1402316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402342 */     // GIR_Coverage, 6116,
     /* 1402342 */     GIR_EraseRootFromParent_Done,
     /* 1402343 */   // Label 19003: @1402343
     /* 1402343 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1402458), // Rule ID 6117 //
     /* 1402348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1402359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1402362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402398 */     // MIs[1] Operand 1
     /* 1402398 */     // No operand predicates
     /* 1402398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402402 */     // MIs[0] policy
     /* 1402402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402414 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402418 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1402431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402457 */     // GIR_Coverage, 6117,
     /* 1402457 */     GIR_EraseRootFromParent_Done,
     /* 1402458 */   // Label 19004: @1402458
     /* 1402458 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1402573), // Rule ID 6120 //
     /* 1402463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402513 */     // MIs[1] Operand 1
     /* 1402513 */     // No operand predicates
     /* 1402513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402517 */     // MIs[0] policy
     /* 1402517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402529 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1402546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402572 */     // GIR_Coverage, 6120,
     /* 1402572 */     GIR_EraseRootFromParent_Done,
     /* 1402573 */   // Label 19005: @1402573
     /* 1402573 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1402688), // Rule ID 6121 //
     /* 1402578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1402589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1402592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1402608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402628 */     // MIs[1] Operand 1
     /* 1402628 */     // No operand predicates
     /* 1402628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402632 */     // MIs[0] policy
     /* 1402632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1402661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402687 */     // GIR_Coverage, 6121,
     /* 1402687 */     GIR_EraseRootFromParent_Done,
     /* 1402688 */   // Label 19006: @1402688
     /* 1402688 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1402803), // Rule ID 6124 //
     /* 1402693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1402716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402743 */     // MIs[1] Operand 1
     /* 1402743 */     // No operand predicates
     /* 1402743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402747 */     // MIs[0] policy
     /* 1402747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402759 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1402776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402802 */     // GIR_Coverage, 6124,
     /* 1402802 */     GIR_EraseRootFromParent_Done,
     /* 1402803 */   // Label 19007: @1402803
     /* 1402803 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1402918), // Rule ID 6125 //
     /* 1402808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1402811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1402819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1402822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1402828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1402831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1402838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402858 */     // MIs[1] Operand 1
     /* 1402858 */     // No operand predicates
     /* 1402858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402862 */     // MIs[0] policy
     /* 1402862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402874 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1402874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1402888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1402891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1402895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1402900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1402906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1402916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402917 */     // GIR_Coverage, 6125,
     /* 1402917 */     GIR_EraseRootFromParent_Done,
     /* 1402918 */   // Label 19008: @1402918
     /* 1402918 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1403033), // Rule ID 6128 //
     /* 1402923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1402926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1402931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1402934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1402937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1402943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1402953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1402965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1402969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1402973 */     // MIs[1] Operand 1
     /* 1402973 */     // No operand predicates
     /* 1402973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402977 */     // MIs[0] policy
     /* 1402977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1402980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1402982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1402989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1402993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1402999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1403006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403032 */     // GIR_Coverage, 6128,
     /* 1403032 */     GIR_EraseRootFromParent_Done,
     /* 1403033 */   // Label 19009: @1403033
     /* 1403033 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1403148), // Rule ID 6129 //
     /* 1403038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1403049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1403052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1403055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403088 */     // MIs[1] Operand 1
     /* 1403088 */     // No operand predicates
     /* 1403088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403092 */     // MIs[0] policy
     /* 1403092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403104 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1403121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403147 */     // GIR_Coverage, 6129,
     /* 1403147 */     GIR_EraseRootFromParent_Done,
     /* 1403148 */   // Label 19010: @1403148
     /* 1403148 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1403263), // Rule ID 6132 //
     /* 1403153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403203 */     // MIs[1] Operand 1
     /* 1403203 */     // No operand predicates
     /* 1403203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403207 */     // MIs[0] policy
     /* 1403207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403219 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1403236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403262 */     // GIR_Coverage, 6132,
     /* 1403262 */     GIR_EraseRootFromParent_Done,
     /* 1403263 */   // Label 19011: @1403263
     /* 1403263 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1403378), // Rule ID 6133 //
     /* 1403268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1403279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1403282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1403285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403318 */     // MIs[1] Operand 1
     /* 1403318 */     // No operand predicates
     /* 1403318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403322 */     // MIs[0] policy
     /* 1403322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1403351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403377 */     // GIR_Coverage, 6133,
     /* 1403377 */     GIR_EraseRootFromParent_Done,
     /* 1403378 */   // Label 19012: @1403378
     /* 1403378 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1403493), // Rule ID 6136 //
     /* 1403383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1403386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403433 */     // MIs[1] Operand 1
     /* 1403433 */     // No operand predicates
     /* 1403433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403437 */     // MIs[0] policy
     /* 1403437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403449 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1403466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403492 */     // GIR_Coverage, 6136,
     /* 1403492 */     GIR_EraseRootFromParent_Done,
     /* 1403493 */   // Label 19013: @1403493
     /* 1403493 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1403608), // Rule ID 6137 //
     /* 1403498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1403501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1403509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1403512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1403515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1403521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1403528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403548 */     // MIs[1] Operand 1
     /* 1403548 */     // No operand predicates
     /* 1403548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403552 */     // MIs[0] policy
     /* 1403552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1403581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403607 */     // GIR_Coverage, 6137,
     /* 1403607 */     GIR_EraseRootFromParent_Done,
     /* 1403608 */   // Label 19014: @1403608
     /* 1403608 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1403723), // Rule ID 6140 //
     /* 1403613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1403616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403663 */     // MIs[1] Operand 1
     /* 1403663 */     // No operand predicates
     /* 1403663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403667 */     // MIs[0] policy
     /* 1403667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403679 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1403696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403722 */     // GIR_Coverage, 6140,
     /* 1403722 */     GIR_EraseRootFromParent_Done,
     /* 1403723 */   // Label 19015: @1403723
     /* 1403723 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1403838), // Rule ID 6141 //
     /* 1403728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1403731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1403739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1403742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1403758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403778 */     // MIs[1] Operand 1
     /* 1403778 */     // No operand predicates
     /* 1403778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403782 */     // MIs[0] policy
     /* 1403782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1403794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1403811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403837 */     // GIR_Coverage, 6141,
     /* 1403837 */     GIR_EraseRootFromParent_Done,
     /* 1403838 */   // Label 19016: @1403838
     /* 1403838 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1403953), // Rule ID 6144 //
     /* 1403843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1403846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1403863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1403885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1403889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1403893 */     // MIs[1] Operand 1
     /* 1403893 */     // No operand predicates
     /* 1403893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403897 */     // MIs[0] policy
     /* 1403897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1403900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1403902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403909 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1403909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1403913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1403919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1403923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1403926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1403930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1403935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1403941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1403951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403952 */     // GIR_Coverage, 6144,
     /* 1403952 */     GIR_EraseRootFromParent_Done,
     /* 1403953 */   // Label 19017: @1403953
     /* 1403953 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1404068), // Rule ID 6145 //
     /* 1403958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1403961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1403966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1403969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1403972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1403978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1403988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404008 */     // MIs[1] Operand 1
     /* 1404008 */     // No operand predicates
     /* 1404008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404012 */     // MIs[0] policy
     /* 1404012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1404041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404067 */     // GIR_Coverage, 6145,
     /* 1404067 */     GIR_EraseRootFromParent_Done,
     /* 1404068 */   // Label 19018: @1404068
     /* 1404068 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1404183), // Rule ID 6148 //
     /* 1404073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1404076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1404081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404123 */     // MIs[1] Operand 1
     /* 1404123 */     // No operand predicates
     /* 1404123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404127 */     // MIs[0] policy
     /* 1404127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404139 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1404156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404182 */     // GIR_Coverage, 6148,
     /* 1404182 */     GIR_EraseRootFromParent_Done,
     /* 1404183 */   // Label 19019: @1404183
     /* 1404183 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1404298), // Rule ID 6149 //
     /* 1404188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1404191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1404196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1404199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1404202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1404205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1404218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404238 */     // MIs[1] Operand 1
     /* 1404238 */     // No operand predicates
     /* 1404238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404242 */     // MIs[0] policy
     /* 1404242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1404271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404297 */     // GIR_Coverage, 6149,
     /* 1404297 */     GIR_EraseRootFromParent_Done,
     /* 1404298 */   // Label 19020: @1404298
     /* 1404298 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1404413), // Rule ID 6328 //
     /* 1404303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1404314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1404317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1404320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1404326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404353 */     // MIs[1] Operand 1
     /* 1404353 */     // No operand predicates
     /* 1404353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404357 */     // MIs[0] policy
     /* 1404357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404369 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1404386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404412 */     // GIR_Coverage, 6328,
     /* 1404412 */     GIR_EraseRootFromParent_Done,
     /* 1404413 */   // Label 19021: @1404413
     /* 1404413 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1404528), // Rule ID 6329 //
     /* 1404418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1404429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1404432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1404435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1404441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404468 */     // MIs[1] Operand 1
     /* 1404468 */     // No operand predicates
     /* 1404468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404472 */     // MIs[0] policy
     /* 1404472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1404501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404527 */     // GIR_Coverage, 6329,
     /* 1404527 */     GIR_EraseRootFromParent_Done,
     /* 1404528 */   // Label 19022: @1404528
     /* 1404528 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1404643), // Rule ID 6332 //
     /* 1404533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1404544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1404547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1404550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404583 */     // MIs[1] Operand 1
     /* 1404583 */     // No operand predicates
     /* 1404583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404587 */     // MIs[0] policy
     /* 1404587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404599 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1404616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404642 */     // GIR_Coverage, 6332,
     /* 1404642 */     GIR_EraseRootFromParent_Done,
     /* 1404643 */   // Label 19023: @1404643
     /* 1404643 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1404758), // Rule ID 6333 //
     /* 1404648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1404659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1404662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1404665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404698 */     // MIs[1] Operand 1
     /* 1404698 */     // No operand predicates
     /* 1404698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404702 */     // MIs[0] policy
     /* 1404702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1404731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404757 */     // GIR_Coverage, 6333,
     /* 1404757 */     GIR_EraseRootFromParent_Done,
     /* 1404758 */   // Label 19024: @1404758
     /* 1404758 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1404873), // Rule ID 6336 //
     /* 1404763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1404774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1404777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1404780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1404783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404813 */     // MIs[1] Operand 1
     /* 1404813 */     // No operand predicates
     /* 1404813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404817 */     // MIs[0] policy
     /* 1404817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404829 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1404829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1404846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404872 */     // GIR_Coverage, 6336,
     /* 1404872 */     GIR_EraseRootFromParent_Done,
     /* 1404873 */   // Label 19025: @1404873
     /* 1404873 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1404988), // Rule ID 6337 //
     /* 1404878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1404881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1404886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1404889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1404892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1404895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1404898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1404920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1404924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1404928 */     // MIs[1] Operand 1
     /* 1404928 */     // No operand predicates
     /* 1404928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404932 */     // MIs[0] policy
     /* 1404932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1404935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1404937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1404944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1404948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1404954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1404958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1404961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1404965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1404970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1404976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1404984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1404986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404987 */     // GIR_Coverage, 6337,
     /* 1404987 */     GIR_EraseRootFromParent_Done,
     /* 1404988 */   // Label 19026: @1404988
     /* 1404988 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1405103), // Rule ID 6340 //
     /* 1404993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1404996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1405016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405043 */     // MIs[1] Operand 1
     /* 1405043 */     // No operand predicates
     /* 1405043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405047 */     // MIs[0] policy
     /* 1405047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1405076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405102 */     // GIR_Coverage, 6340,
     /* 1405102 */     GIR_EraseRootFromParent_Done,
     /* 1405103 */   // Label 19027: @1405103
     /* 1405103 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1405218), // Rule ID 6341 //
     /* 1405108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1405111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1405119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1405122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1405125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1405131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405158 */     // MIs[1] Operand 1
     /* 1405158 */     // No operand predicates
     /* 1405158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405162 */     // MIs[0] policy
     /* 1405162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405174 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1405191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405217 */     // GIR_Coverage, 6341,
     /* 1405217 */     GIR_EraseRootFromParent_Done,
     /* 1405218 */   // Label 19028: @1405218
     /* 1405218 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1405333), // Rule ID 6344 //
     /* 1405223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1405226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405273 */     // MIs[1] Operand 1
     /* 1405273 */     // No operand predicates
     /* 1405273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405277 */     // MIs[0] policy
     /* 1405277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1405306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405332 */     // GIR_Coverage, 6344,
     /* 1405332 */     GIR_EraseRootFromParent_Done,
     /* 1405333 */   // Label 19029: @1405333
     /* 1405333 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1405448), // Rule ID 6345 //
     /* 1405338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1405341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1405349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1405352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1405355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405388 */     // MIs[1] Operand 1
     /* 1405388 */     // No operand predicates
     /* 1405388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405392 */     // MIs[0] policy
     /* 1405392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405404 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1405421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405447 */     // GIR_Coverage, 6345,
     /* 1405447 */     GIR_EraseRootFromParent_Done,
     /* 1405448 */   // Label 19030: @1405448
     /* 1405448 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1405563), // Rule ID 6348 //
     /* 1405453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1405456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1405476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405503 */     // MIs[1] Operand 1
     /* 1405503 */     // No operand predicates
     /* 1405503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405507 */     // MIs[0] policy
     /* 1405507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1405536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405562 */     // GIR_Coverage, 6348,
     /* 1405562 */     GIR_EraseRootFromParent_Done,
     /* 1405563 */   // Label 19031: @1405563
     /* 1405563 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1405678), // Rule ID 6349 //
     /* 1405568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1405571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1405579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1405582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1405585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1405591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405618 */     // MIs[1] Operand 1
     /* 1405618 */     // No operand predicates
     /* 1405618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405622 */     // MIs[0] policy
     /* 1405622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1405651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405677 */     // GIR_Coverage, 6349,
     /* 1405677 */     GIR_EraseRootFromParent_Done,
     /* 1405678 */   // Label 19032: @1405678
     /* 1405678 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1405793), // Rule ID 6352 //
     /* 1405683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1405686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1405694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1405697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1405700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405733 */     // MIs[1] Operand 1
     /* 1405733 */     // No operand predicates
     /* 1405733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405737 */     // MIs[0] policy
     /* 1405737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1405766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1405789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405792 */     // GIR_Coverage, 6352,
     /* 1405792 */     GIR_EraseRootFromParent_Done,
     /* 1405793 */   // Label 19033: @1405793
     /* 1405793 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1405908), // Rule ID 6353 //
     /* 1405798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1405801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1405809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1405812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1405815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1405818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405848 */     // MIs[1] Operand 1
     /* 1405848 */     // No operand predicates
     /* 1405848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405852 */     // MIs[0] policy
     /* 1405852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1405864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1405881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1405885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1405890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1405896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1405904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1405906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405907 */     // GIR_Coverage, 6353,
     /* 1405907 */     GIR_EraseRootFromParent_Done,
     /* 1405908 */   // Label 19034: @1405908
     /* 1405908 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1406023), // Rule ID 6356 //
     /* 1405913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1405916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1405921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1405924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1405927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1405930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1405933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1405955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1405959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1405963 */     // MIs[1] Operand 1
     /* 1405963 */     // No operand predicates
     /* 1405963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405967 */     // MIs[0] policy
     /* 1405967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1405970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1405972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1405979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1405983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1405989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1405993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1405996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406022 */     // GIR_Coverage, 6356,
     /* 1406022 */     GIR_EraseRootFromParent_Done,
     /* 1406023 */   // Label 19035: @1406023
     /* 1406023 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1406138), // Rule ID 6357 //
     /* 1406028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1406039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1406042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1406045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1406051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406078 */     // MIs[1] Operand 1
     /* 1406078 */     // No operand predicates
     /* 1406078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406082 */     // MIs[0] policy
     /* 1406082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1406111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406137 */     // GIR_Coverage, 6357,
     /* 1406137 */     GIR_EraseRootFromParent_Done,
     /* 1406138 */   // Label 19036: @1406138
     /* 1406138 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1406253), // Rule ID 6360 //
     /* 1406143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406193 */     // MIs[1] Operand 1
     /* 1406193 */     // No operand predicates
     /* 1406193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406197 */     // MIs[0] policy
     /* 1406197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406209 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1406226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406252 */     // GIR_Coverage, 6360,
     /* 1406252 */     GIR_EraseRootFromParent_Done,
     /* 1406253 */   // Label 19037: @1406253
     /* 1406253 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1406368), // Rule ID 6361 //
     /* 1406258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1406269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1406272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1406275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406308 */     // MIs[1] Operand 1
     /* 1406308 */     // No operand predicates
     /* 1406308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406312 */     // MIs[0] policy
     /* 1406312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406328 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1406341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406367 */     // GIR_Coverage, 6361,
     /* 1406367 */     GIR_EraseRootFromParent_Done,
     /* 1406368 */   // Label 19038: @1406368
     /* 1406368 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1406483), // Rule ID 6364 //
     /* 1406373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1406376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406423 */     // MIs[1] Operand 1
     /* 1406423 */     // No operand predicates
     /* 1406423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406427 */     // MIs[0] policy
     /* 1406427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406439 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1406456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406482 */     // GIR_Coverage, 6364,
     /* 1406482 */     GIR_EraseRootFromParent_Done,
     /* 1406483 */   // Label 19039: @1406483
     /* 1406483 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1406598), // Rule ID 6365 //
     /* 1406488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1406491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1406499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1406502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1406505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406538 */     // MIs[1] Operand 1
     /* 1406538 */     // No operand predicates
     /* 1406538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406542 */     // MIs[0] policy
     /* 1406542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406558 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406564 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1406571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406597 */     // GIR_Coverage, 6365,
     /* 1406597 */     GIR_EraseRootFromParent_Done,
     /* 1406598 */   // Label 19040: @1406598
     /* 1406598 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1406713), // Rule ID 6368 //
     /* 1406603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1406614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1406617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1406620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1406626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406653 */     // MIs[1] Operand 1
     /* 1406653 */     // No operand predicates
     /* 1406653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406657 */     // MIs[0] policy
     /* 1406657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1406686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406712 */     // GIR_Coverage, 6368,
     /* 1406712 */     GIR_EraseRootFromParent_Done,
     /* 1406713 */   // Label 19041: @1406713
     /* 1406713 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1406828), // Rule ID 6369 //
     /* 1406718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1406729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1406732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1406735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1406741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1406748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1406756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406768 */     // MIs[1] Operand 1
     /* 1406768 */     // No operand predicates
     /* 1406768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406772 */     // MIs[0] policy
     /* 1406772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406784 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1406801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406827 */     // GIR_Coverage, 6369,
     /* 1406827 */     GIR_EraseRootFromParent_Done,
     /* 1406828 */   // Label 19042: @1406828
     /* 1406828 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1406943), // Rule ID 6372 //
     /* 1406833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1406844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1406847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1406850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1406856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406883 */     // MIs[1] Operand 1
     /* 1406883 */     // No operand predicates
     /* 1406883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406887 */     // MIs[0] policy
     /* 1406887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1406892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406899 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1406903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1406909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1406913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1406916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1406925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1406931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406942 */     // GIR_Coverage, 6372,
     /* 1406942 */     GIR_EraseRootFromParent_Done,
     /* 1406943 */   // Label 19043: @1406943
     /* 1406943 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1407058), // Rule ID 6373 //
     /* 1406948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1406956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1406959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1406962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1406965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1406971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1406978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1406986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1406990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1406994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1406998 */     // MIs[1] Operand 1
     /* 1406998 */     // No operand predicates
     /* 1406998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407002 */     // MIs[0] policy
     /* 1407002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1407031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407057 */     // GIR_Coverage, 6373,
     /* 1407057 */     GIR_EraseRootFromParent_Done,
     /* 1407058 */   // Label 19044: @1407058
     /* 1407058 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1407173), // Rule ID 6376 //
     /* 1407063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1407074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1407077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1407080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1407086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407113 */     // MIs[1] Operand 1
     /* 1407113 */     // No operand predicates
     /* 1407113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407117 */     // MIs[0] policy
     /* 1407117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407129 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1407146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407172 */     // GIR_Coverage, 6376,
     /* 1407172 */     GIR_EraseRootFromParent_Done,
     /* 1407173 */   // Label 19045: @1407173
     /* 1407173 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1407288), // Rule ID 6377 //
     /* 1407178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1407189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1407192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1407195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1407201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407228 */     // MIs[1] Operand 1
     /* 1407228 */     // No operand predicates
     /* 1407228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407232 */     // MIs[0] policy
     /* 1407232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1407261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407287 */     // GIR_Coverage, 6377,
     /* 1407287 */     GIR_EraseRootFromParent_Done,
     /* 1407288 */   // Label 19046: @1407288
     /* 1407288 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1407403), // Rule ID 6380 //
     /* 1407293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407343 */     // MIs[1] Operand 1
     /* 1407343 */     // No operand predicates
     /* 1407343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407347 */     // MIs[0] policy
     /* 1407347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407359 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1407376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407402 */     // GIR_Coverage, 6380,
     /* 1407402 */     GIR_EraseRootFromParent_Done,
     /* 1407403 */   // Label 19047: @1407403
     /* 1407403 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1407518), // Rule ID 6381 //
     /* 1407408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1407419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1407422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1407425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407458 */     // MIs[1] Operand 1
     /* 1407458 */     // No operand predicates
     /* 1407458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407462 */     // MIs[0] policy
     /* 1407462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407474 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1407491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407517 */     // GIR_Coverage, 6381,
     /* 1407517 */     GIR_EraseRootFromParent_Done,
     /* 1407518 */   // Label 19048: @1407518
     /* 1407518 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1407633), // Rule ID 6384 //
     /* 1407523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1407546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407573 */     // MIs[1] Operand 1
     /* 1407573 */     // No operand predicates
     /* 1407573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407577 */     // MIs[0] policy
     /* 1407577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1407606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407632 */     // GIR_Coverage, 6384,
     /* 1407632 */     GIR_EraseRootFromParent_Done,
     /* 1407633 */   // Label 19049: @1407633
     /* 1407633 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1407748), // Rule ID 6385 //
     /* 1407638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1407649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1407652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1407655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1407661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407688 */     // MIs[1] Operand 1
     /* 1407688 */     // No operand predicates
     /* 1407688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407692 */     // MIs[0] policy
     /* 1407692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1407721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407747 */     // GIR_Coverage, 6385,
     /* 1407747 */     GIR_EraseRootFromParent_Done,
     /* 1407748 */   // Label 19050: @1407748
     /* 1407748 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1407863), // Rule ID 6388 //
     /* 1407753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1407776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407803 */     // MIs[1] Operand 1
     /* 1407803 */     // No operand predicates
     /* 1407803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407807 */     // MIs[0] policy
     /* 1407807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1407836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407862 */     // GIR_Coverage, 6388,
     /* 1407862 */     GIR_EraseRootFromParent_Done,
     /* 1407863 */   // Label 19051: @1407863
     /* 1407863 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1407978), // Rule ID 6389 //
     /* 1407868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1407879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1407882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1407885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1407891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1407898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1407906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1407910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1407914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1407918 */     // MIs[1] Operand 1
     /* 1407918 */     // No operand predicates
     /* 1407918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407922 */     // MIs[0] policy
     /* 1407922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1407927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407934 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1407938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1407944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1407948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1407951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1407960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1407966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407977 */     // GIR_Coverage, 6389,
     /* 1407977 */     GIR_EraseRootFromParent_Done,
     /* 1407978 */   // Label 19052: @1407978
     /* 1407978 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1408093), // Rule ID 6392 //
     /* 1407983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1407991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1407994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1407997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1408006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408033 */     // MIs[1] Operand 1
     /* 1408033 */     // No operand predicates
     /* 1408033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408037 */     // MIs[0] policy
     /* 1408037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1408066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408092 */     // GIR_Coverage, 6392,
     /* 1408092 */     GIR_EraseRootFromParent_Done,
     /* 1408093 */   // Label 19053: @1408093
     /* 1408093 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1408208), // Rule ID 6393 //
     /* 1408098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1408121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408148 */     // MIs[1] Operand 1
     /* 1408148 */     // No operand predicates
     /* 1408148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408152 */     // MIs[0] policy
     /* 1408152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1408181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408207 */     // GIR_Coverage, 6393,
     /* 1408207 */     GIR_EraseRootFromParent_Done,
     /* 1408208 */   // Label 19054: @1408208
     /* 1408208 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1408323), // Rule ID 6396 //
     /* 1408213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408263 */     // MIs[1] Operand 1
     /* 1408263 */     // No operand predicates
     /* 1408263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408267 */     // MIs[0] policy
     /* 1408267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1408296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408322 */     // GIR_Coverage, 6396,
     /* 1408322 */     GIR_EraseRootFromParent_Done,
     /* 1408323 */   // Label 19055: @1408323
     /* 1408323 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1408438), // Rule ID 6397 //
     /* 1408328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408378 */     // MIs[1] Operand 1
     /* 1408378 */     // No operand predicates
     /* 1408378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408382 */     // MIs[0] policy
     /* 1408382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1408411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408437 */     // GIR_Coverage, 6397,
     /* 1408437 */     GIR_EraseRootFromParent_Done,
     /* 1408438 */   // Label 19056: @1408438
     /* 1408438 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1408553), // Rule ID 6400 //
     /* 1408443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1408454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1408457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408493 */     // MIs[1] Operand 1
     /* 1408493 */     // No operand predicates
     /* 1408493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408497 */     // MIs[0] policy
     /* 1408497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408509 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1408526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408552 */     // GIR_Coverage, 6400,
     /* 1408552 */     GIR_EraseRootFromParent_Done,
     /* 1408553 */   // Label 19057: @1408553
     /* 1408553 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1408668), // Rule ID 6401 //
     /* 1408558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1408569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1408572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1408575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408608 */     // MIs[1] Operand 1
     /* 1408608 */     // No operand predicates
     /* 1408608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408612 */     // MIs[0] policy
     /* 1408612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1408641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408667 */     // GIR_Coverage, 6401,
     /* 1408667 */     GIR_EraseRootFromParent_Done,
     /* 1408668 */   // Label 19058: @1408668
     /* 1408668 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1408783), // Rule ID 6404 //
     /* 1408673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1408676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1408684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1408687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1408690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1408696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408723 */     // MIs[1] Operand 1
     /* 1408723 */     // No operand predicates
     /* 1408723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408727 */     // MIs[0] policy
     /* 1408727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408739 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1408756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408782 */     // GIR_Coverage, 6404,
     /* 1408782 */     GIR_EraseRootFromParent_Done,
     /* 1408783 */   // Label 19059: @1408783
     /* 1408783 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1408898), // Rule ID 6405 //
     /* 1408788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1408791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1408799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1408802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1408805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1408811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408838 */     // MIs[1] Operand 1
     /* 1408838 */     // No operand predicates
     /* 1408838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408842 */     // MIs[0] policy
     /* 1408842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408854 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1408871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1408886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1408894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408897 */     // GIR_Coverage, 6405,
     /* 1408897 */     GIR_EraseRootFromParent_Done,
     /* 1408898 */   // Label 19060: @1408898
     /* 1408898 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1409013), // Rule ID 6408 //
     /* 1408903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1408906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1408911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1408914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1408917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1408920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1408926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1408945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1408949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1408953 */     // MIs[1] Operand 1
     /* 1408953 */     // No operand predicates
     /* 1408953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408957 */     // MIs[0] policy
     /* 1408957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408960 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1408962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408969 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1408973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1408979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1408983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1408986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1408995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409012 */     // GIR_Coverage, 6408,
     /* 1409012 */     GIR_EraseRootFromParent_Done,
     /* 1409013 */   // Label 19061: @1409013
     /* 1409013 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1409128), // Rule ID 6409 //
     /* 1409018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1409021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1409026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1409029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1409032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1409068 */     // MIs[1] Operand 1
     /* 1409068 */     // No operand predicates
     /* 1409068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409072 */     // MIs[0] policy
     /* 1409072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409088 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1409101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409127 */     // GIR_Coverage, 6409,
     /* 1409127 */     GIR_EraseRootFromParent_Done,
     /* 1409128 */   // Label 19062: @1409128
     /* 1409128 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1409243), // Rule ID 6412 //
     /* 1409133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1409136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1409141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1409183 */     // MIs[1] Operand 1
     /* 1409183 */     // No operand predicates
     /* 1409183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409187 */     // MIs[0] policy
     /* 1409187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409199 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1409216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409242 */     // GIR_Coverage, 6412,
     /* 1409242 */     GIR_EraseRootFromParent_Done,
     /* 1409243 */   // Label 19063: @1409243
     /* 1409243 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1409358), // Rule ID 6413 //
     /* 1409248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1409251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1409256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1409298 */     // MIs[1] Operand 1
     /* 1409298 */     // No operand predicates
     /* 1409298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409302 */     // MIs[0] policy
     /* 1409302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409318 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1409331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409357 */     // GIR_Coverage, 6413,
     /* 1409357 */     GIR_EraseRootFromParent_Done,
     /* 1409358 */   // Label 19064: @1409358
     /* 1409358 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1409473), // Rule ID 6592 //
     /* 1409363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1409380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1409386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409413 */     // MIs[1] Operand 1
     /* 1409413 */     // No operand predicates
     /* 1409413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409417 */     // MIs[0] policy
     /* 1409417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409429 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1409446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409472 */     // GIR_Coverage, 6592,
     /* 1409472 */     GIR_EraseRootFromParent_Done,
     /* 1409473 */   // Label 19065: @1409473
     /* 1409473 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1409588), // Rule ID 6593 //
     /* 1409478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1409489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1409492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1409495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1409501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409528 */     // MIs[1] Operand 1
     /* 1409528 */     // No operand predicates
     /* 1409528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409532 */     // MIs[0] policy
     /* 1409532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1409561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409587 */     // GIR_Coverage, 6593,
     /* 1409587 */     GIR_EraseRootFromParent_Done,
     /* 1409588 */   // Label 19066: @1409588
     /* 1409588 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1409703), // Rule ID 6596 //
     /* 1409593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1409610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1409616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409643 */     // MIs[1] Operand 1
     /* 1409643 */     // No operand predicates
     /* 1409643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409647 */     // MIs[0] policy
     /* 1409647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409659 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1409676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409702 */     // GIR_Coverage, 6596,
     /* 1409702 */     GIR_EraseRootFromParent_Done,
     /* 1409703 */   // Label 19067: @1409703
     /* 1409703 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1409818), // Rule ID 6597 //
     /* 1409708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1409719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1409722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1409725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1409731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409758 */     // MIs[1] Operand 1
     /* 1409758 */     // No operand predicates
     /* 1409758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409762 */     // MIs[0] policy
     /* 1409762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1409791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409817 */     // GIR_Coverage, 6597,
     /* 1409817 */     GIR_EraseRootFromParent_Done,
     /* 1409818 */   // Label 19068: @1409818
     /* 1409818 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1409933), // Rule ID 6600 //
     /* 1409823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1409834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1409837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1409840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409873 */     // MIs[1] Operand 1
     /* 1409873 */     // No operand predicates
     /* 1409873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409877 */     // MIs[0] policy
     /* 1409877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409889 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1409893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1409899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1409903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1409906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1409915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1409921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1409929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409932 */     // GIR_Coverage, 6600,
     /* 1409932 */     GIR_EraseRootFromParent_Done,
     /* 1409933 */   // Label 19069: @1409933
     /* 1409933 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1410048), // Rule ID 6601 //
     /* 1409938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1409949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1409952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1409955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1409980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1409984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1409988 */     // MIs[1] Operand 1
     /* 1409988 */     // No operand predicates
     /* 1409988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409992 */     // MIs[0] policy
     /* 1409992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1409997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410004 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1410021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410047 */     // GIR_Coverage, 6601,
     /* 1410047 */     GIR_EraseRootFromParent_Done,
     /* 1410048 */   // Label 19070: @1410048
     /* 1410048 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1410163), // Rule ID 6604 //
     /* 1410053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410103 */     // MIs[1] Operand 1
     /* 1410103 */     // No operand predicates
     /* 1410103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410107 */     // MIs[0] policy
     /* 1410107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1410136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410162 */     // GIR_Coverage, 6604,
     /* 1410162 */     GIR_EraseRootFromParent_Done,
     /* 1410163 */   // Label 19071: @1410163
     /* 1410163 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1410278), // Rule ID 6605 //
     /* 1410168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1410179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1410182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1410185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410214 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410218 */     // MIs[1] Operand 1
     /* 1410218 */     // No operand predicates
     /* 1410218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410222 */     // MIs[0] policy
     /* 1410222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1410251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410277 */     // GIR_Coverage, 6605,
     /* 1410277 */     GIR_EraseRootFromParent_Done,
     /* 1410278 */   // Label 19072: @1410278
     /* 1410278 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1410393), // Rule ID 6608 //
     /* 1410283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410333 */     // MIs[1] Operand 1
     /* 1410333 */     // No operand predicates
     /* 1410333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410337 */     // MIs[0] policy
     /* 1410337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410349 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1410366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410392 */     // GIR_Coverage, 6608,
     /* 1410392 */     GIR_EraseRootFromParent_Done,
     /* 1410393 */   // Label 19073: @1410393
     /* 1410393 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1410508), // Rule ID 6609 //
     /* 1410398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1410421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410448 */     // MIs[1] Operand 1
     /* 1410448 */     // No operand predicates
     /* 1410448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410452 */     // MIs[0] policy
     /* 1410452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410468 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1410481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410507 */     // GIR_Coverage, 6609,
     /* 1410507 */     GIR_EraseRootFromParent_Done,
     /* 1410508 */   // Label 19074: @1410508
     /* 1410508 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1410623), // Rule ID 6612 //
     /* 1410513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410563 */     // MIs[1] Operand 1
     /* 1410563 */     // No operand predicates
     /* 1410563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410567 */     // MIs[0] policy
     /* 1410567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1410596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410622 */     // GIR_Coverage, 6612,
     /* 1410622 */     GIR_EraseRootFromParent_Done,
     /* 1410623 */   // Label 19075: @1410623
     /* 1410623 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1410738), // Rule ID 6613 //
     /* 1410628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1410651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410678 */     // MIs[1] Operand 1
     /* 1410678 */     // No operand predicates
     /* 1410678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410682 */     // MIs[0] policy
     /* 1410682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410694 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1410711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410737 */     // GIR_Coverage, 6613,
     /* 1410737 */     GIR_EraseRootFromParent_Done,
     /* 1410738 */   // Label 19076: @1410738
     /* 1410738 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1410853), // Rule ID 6616 //
     /* 1410743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1410760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1410766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410793 */     // MIs[1] Operand 1
     /* 1410793 */     // No operand predicates
     /* 1410793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410797 */     // MIs[0] policy
     /* 1410797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410800 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410809 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1410826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410852 */     // GIR_Coverage, 6616,
     /* 1410852 */     GIR_EraseRootFromParent_Done,
     /* 1410853 */   // Label 19077: @1410853
     /* 1410853 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1410968), // Rule ID 6617 //
     /* 1410858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1410861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1410869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1410872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1410875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1410878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1410881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1410900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1410904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1410908 */     // MIs[1] Operand 1
     /* 1410908 */     // No operand predicates
     /* 1410908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410912 */     // MIs[0] policy
     /* 1410912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1410917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1410928 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1410934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1410938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1410941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1410947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1410950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1410956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1410964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410967 */     // GIR_Coverage, 6617,
     /* 1410967 */     GIR_EraseRootFromParent_Done,
     /* 1410968 */   // Label 19078: @1410968
     /* 1410968 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1411083), // Rule ID 6620 //
     /* 1410973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1410976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1410981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1410984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1410987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1410993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1410996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411023 */     // MIs[1] Operand 1
     /* 1411023 */     // No operand predicates
     /* 1411023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411027 */     // MIs[0] policy
     /* 1411027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411082 */     // GIR_Coverage, 6620,
     /* 1411082 */     GIR_EraseRootFromParent_Done,
     /* 1411083 */   // Label 19079: @1411083
     /* 1411083 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1411198), // Rule ID 6621 //
     /* 1411088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1411099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1411102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1411105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1411111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411134 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411138 */     // MIs[1] Operand 1
     /* 1411138 */     // No operand predicates
     /* 1411138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411142 */     // MIs[0] policy
     /* 1411142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411197 */     // GIR_Coverage, 6621,
     /* 1411197 */     GIR_EraseRootFromParent_Done,
     /* 1411198 */   // Label 19080: @1411198
     /* 1411198 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1411313), // Rule ID 6624 //
     /* 1411203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411253 */     // MIs[1] Operand 1
     /* 1411253 */     // No operand predicates
     /* 1411253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411257 */     // MIs[0] policy
     /* 1411257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411269 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411312 */     // GIR_Coverage, 6624,
     /* 1411312 */     GIR_EraseRootFromParent_Done,
     /* 1411313 */   // Label 19081: @1411313
     /* 1411313 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1411428), // Rule ID 6625 //
     /* 1411318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1411329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1411332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1411335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1411341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411368 */     // MIs[1] Operand 1
     /* 1411368 */     // No operand predicates
     /* 1411368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411372 */     // MIs[0] policy
     /* 1411372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411427 */     // GIR_Coverage, 6625,
     /* 1411427 */     GIR_EraseRootFromParent_Done,
     /* 1411428 */   // Label 19082: @1411428
     /* 1411428 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1411543), // Rule ID 6628 //
     /* 1411433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1411436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411483 */     // MIs[1] Operand 1
     /* 1411483 */     // No operand predicates
     /* 1411483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411487 */     // MIs[0] policy
     /* 1411487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411542 */     // GIR_Coverage, 6628,
     /* 1411542 */     GIR_EraseRootFromParent_Done,
     /* 1411543 */   // Label 19083: @1411543
     /* 1411543 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1411658), // Rule ID 6629 //
     /* 1411548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1411551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1411559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1411562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1411565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1411571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1411578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1411586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411598 */     // MIs[1] Operand 1
     /* 1411598 */     // No operand predicates
     /* 1411598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411602 */     // MIs[0] policy
     /* 1411602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1411631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1411654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411657 */     // GIR_Coverage, 6629,
     /* 1411657 */     GIR_EraseRootFromParent_Done,
     /* 1411658 */   // Label 19084: @1411658
     /* 1411658 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1411773), // Rule ID 6632 //
     /* 1411663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1411674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1411677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1411680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1411686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411713 */     // MIs[1] Operand 1
     /* 1411713 */     // No operand predicates
     /* 1411713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411717 */     // MIs[0] policy
     /* 1411717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411729 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1411746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411772 */     // GIR_Coverage, 6632,
     /* 1411772 */     GIR_EraseRootFromParent_Done,
     /* 1411773 */   // Label 19085: @1411773
     /* 1411773 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1411888), // Rule ID 6633 //
     /* 1411778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1411781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1411789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1411792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1411795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1411798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1411801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411828 */     // MIs[1] Operand 1
     /* 1411828 */     // No operand predicates
     /* 1411828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411832 */     // MIs[0] policy
     /* 1411832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1411861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411887 */     // GIR_Coverage, 6633,
     /* 1411887 */     GIR_EraseRootFromParent_Done,
     /* 1411888 */   // Label 19086: @1411888
     /* 1411888 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1412003), // Rule ID 6636 //
     /* 1411893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1411896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1411901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1411904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1411907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1411910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1411913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1411916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1411935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1411939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1411943 */     // MIs[1] Operand 1
     /* 1411943 */     // No operand predicates
     /* 1411943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411947 */     // MIs[0] policy
     /* 1411947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1411952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411959 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1411963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1411969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1411973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1411976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1411982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1411985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1411991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1411999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412002 */     // GIR_Coverage, 6636,
     /* 1412002 */     GIR_EraseRootFromParent_Done,
     /* 1412003 */   // Label 19087: @1412003
     /* 1412003 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1412118), // Rule ID 6637 //
     /* 1412008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1412019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1412022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1412025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1412031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412058 */     // MIs[1] Operand 1
     /* 1412058 */     // No operand predicates
     /* 1412058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412062 */     // MIs[0] policy
     /* 1412062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1412091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412117 */     // GIR_Coverage, 6637,
     /* 1412117 */     GIR_EraseRootFromParent_Done,
     /* 1412118 */   // Label 19088: @1412118
     /* 1412118 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1412233), // Rule ID 6640 //
     /* 1412123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1412134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1412137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1412140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1412146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412173 */     // MIs[1] Operand 1
     /* 1412173 */     // No operand predicates
     /* 1412173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412177 */     // MIs[0] policy
     /* 1412177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412189 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1412206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412232 */     // GIR_Coverage, 6640,
     /* 1412232 */     GIR_EraseRootFromParent_Done,
     /* 1412233 */   // Label 19089: @1412233
     /* 1412233 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1412348), // Rule ID 6641 //
     /* 1412238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1412249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1412252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1412255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1412261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412284 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412288 */     // MIs[1] Operand 1
     /* 1412288 */     // No operand predicates
     /* 1412288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412292 */     // MIs[0] policy
     /* 1412292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1412321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1412344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412347 */     // GIR_Coverage, 6641,
     /* 1412347 */     GIR_EraseRootFromParent_Done,
     /* 1412348 */   // Label 19090: @1412348
     /* 1412348 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1412463), // Rule ID 6644 //
     /* 1412353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1412364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1412367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1412376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412403 */     // MIs[1] Operand 1
     /* 1412403 */     // No operand predicates
     /* 1412403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412407 */     // MIs[0] policy
     /* 1412407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412410 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1412436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412462 */     // GIR_Coverage, 6644,
     /* 1412462 */     GIR_EraseRootFromParent_Done,
     /* 1412463 */   // Label 19091: @1412463
     /* 1412463 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1412578), // Rule ID 6645 //
     /* 1412468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1412479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1412482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1412485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1412491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412518 */     // MIs[1] Operand 1
     /* 1412518 */     // No operand predicates
     /* 1412518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412522 */     // MIs[0] policy
     /* 1412522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412538 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1412551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412577 */     // GIR_Coverage, 6645,
     /* 1412577 */     GIR_EraseRootFromParent_Done,
     /* 1412578 */   // Label 19092: @1412578
     /* 1412578 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1412693), // Rule ID 6648 //
     /* 1412583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1412594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1412597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1412606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412633 */     // MIs[1] Operand 1
     /* 1412633 */     // No operand predicates
     /* 1412633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412637 */     // MIs[0] policy
     /* 1412637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412649 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1412666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412692 */     // GIR_Coverage, 6648,
     /* 1412692 */     GIR_EraseRootFromParent_Done,
     /* 1412693 */   // Label 19093: @1412693
     /* 1412693 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1412808), // Rule ID 6649 //
     /* 1412698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1412709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1412712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1412715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1412721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412748 */     // MIs[1] Operand 1
     /* 1412748 */     // No operand predicates
     /* 1412748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412752 */     // MIs[0] policy
     /* 1412752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412768 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1412781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412807 */     // GIR_Coverage, 6649,
     /* 1412807 */     GIR_EraseRootFromParent_Done,
     /* 1412808 */   // Label 19094: @1412808
     /* 1412808 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1412923), // Rule ID 6652 //
     /* 1412813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1412816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1412824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1412827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1412833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1412836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412863 */     // MIs[1] Operand 1
     /* 1412863 */     // No operand predicates
     /* 1412863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412867 */     // MIs[0] policy
     /* 1412867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412879 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1412889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1412893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1412896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1412902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1412905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1412911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412922 */     // GIR_Coverage, 6652,
     /* 1412922 */     GIR_EraseRootFromParent_Done,
     /* 1412923 */   // Label 19095: @1412923
     /* 1412923 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1413038), // Rule ID 6653 //
     /* 1412928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1412931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1412936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1412939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1412942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1412945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1412948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1412951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1412970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1412974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1412978 */     // MIs[1] Operand 1
     /* 1412978 */     // No operand predicates
     /* 1412978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412982 */     // MIs[0] policy
     /* 1412982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1412987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1412998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1413011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413037 */     // GIR_Coverage, 6653,
     /* 1413037 */     GIR_EraseRootFromParent_Done,
     /* 1413038 */   // Label 19096: @1413038
     /* 1413038 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1413153), // Rule ID 6656 //
     /* 1413043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413093 */     // MIs[1] Operand 1
     /* 1413093 */     // No operand predicates
     /* 1413093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413097 */     // MIs[0] policy
     /* 1413097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413109 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1413126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413152 */     // GIR_Coverage, 6656,
     /* 1413152 */     GIR_EraseRootFromParent_Done,
     /* 1413153 */   // Label 19097: @1413153
     /* 1413153 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1413268), // Rule ID 6657 //
     /* 1413158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1413169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1413172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1413175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413208 */     // MIs[1] Operand 1
     /* 1413208 */     // No operand predicates
     /* 1413208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413212 */     // MIs[0] policy
     /* 1413212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1413241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413267 */     // GIR_Coverage, 6657,
     /* 1413267 */     GIR_EraseRootFromParent_Done,
     /* 1413268 */   // Label 19098: @1413268
     /* 1413268 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1413383), // Rule ID 6660 //
     /* 1413273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413323 */     // MIs[1] Operand 1
     /* 1413323 */     // No operand predicates
     /* 1413323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413327 */     // MIs[0] policy
     /* 1413327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413339 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1413356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413382 */     // GIR_Coverage, 6660,
     /* 1413382 */     GIR_EraseRootFromParent_Done,
     /* 1413383 */   // Label 19099: @1413383
     /* 1413383 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1413498), // Rule ID 6661 //
     /* 1413388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1413399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1413402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1413405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1413411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413438 */     // MIs[1] Operand 1
     /* 1413438 */     // No operand predicates
     /* 1413438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413442 */     // MIs[0] policy
     /* 1413442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1413471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413497 */     // GIR_Coverage, 6661,
     /* 1413497 */     GIR_EraseRootFromParent_Done,
     /* 1413498 */   // Label 19100: @1413498
     /* 1413498 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1413613), // Rule ID 6664 //
     /* 1413503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1413506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413553 */     // MIs[1] Operand 1
     /* 1413553 */     // No operand predicates
     /* 1413553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413557 */     // MIs[0] policy
     /* 1413557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1413586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413612 */     // GIR_Coverage, 6664,
     /* 1413612 */     GIR_EraseRootFromParent_Done,
     /* 1413613 */   // Label 19101: @1413613
     /* 1413613 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1413728), // Rule ID 6665 //
     /* 1413618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1413621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1413629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1413632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1413635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1413641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413668 */     // MIs[1] Operand 1
     /* 1413668 */     // No operand predicates
     /* 1413668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413672 */     // MIs[0] policy
     /* 1413672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1413701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413727 */     // GIR_Coverage, 6665,
     /* 1413727 */     GIR_EraseRootFromParent_Done,
     /* 1413728 */   // Label 19102: @1413728
     /* 1413728 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1413843), // Rule ID 6668 //
     /* 1413733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1413736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413783 */     // MIs[1] Operand 1
     /* 1413783 */     // No operand predicates
     /* 1413783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413787 */     // MIs[0] policy
     /* 1413787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413799 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1413816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413842 */     // GIR_Coverage, 6668,
     /* 1413842 */     GIR_EraseRootFromParent_Done,
     /* 1413843 */   // Label 19103: @1413843
     /* 1413843 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1413958), // Rule ID 6669 //
     /* 1413848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1413851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1413859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1413862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1413865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1413868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1413871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1413890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1413894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1413898 */     // MIs[1] Operand 1
     /* 1413898 */     // No operand predicates
     /* 1413898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413902 */     // MIs[0] policy
     /* 1413902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1413907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413914 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1413918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1413924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1413928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1413931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1413937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1413940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1413946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413957 */     // GIR_Coverage, 6669,
     /* 1413957 */     GIR_EraseRootFromParent_Done,
     /* 1413958 */   // Label 19104: @1413958
     /* 1413958 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1414073), // Rule ID 6672 //
     /* 1413963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1413966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1413971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1413974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1413977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1413980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1413983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1413986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414013 */     // MIs[1] Operand 1
     /* 1414013 */     // No operand predicates
     /* 1414013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414017 */     // MIs[0] policy
     /* 1414017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414029 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1414046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414072 */     // GIR_Coverage, 6672,
     /* 1414072 */     GIR_EraseRootFromParent_Done,
     /* 1414073 */   // Label 19105: @1414073
     /* 1414073 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1414188), // Rule ID 6673 //
     /* 1414078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1414086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414128 */     // MIs[1] Operand 1
     /* 1414128 */     // No operand predicates
     /* 1414128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414132 */     // MIs[0] policy
     /* 1414132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414144 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1414161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414187 */     // GIR_Coverage, 6673,
     /* 1414187 */     GIR_EraseRootFromParent_Done,
     /* 1414188 */   // Label 19106: @1414188
     /* 1414188 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1414303), // Rule ID 6676 //
     /* 1414193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1414196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1414201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414243 */     // MIs[1] Operand 1
     /* 1414243 */     // No operand predicates
     /* 1414243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414247 */     // MIs[0] policy
     /* 1414247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414259 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1414276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414302 */     // GIR_Coverage, 6676,
     /* 1414302 */     GIR_EraseRootFromParent_Done,
     /* 1414303 */   // Label 19107: @1414303
     /* 1414303 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1414418), // Rule ID 6677 //
     /* 1414308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1414311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1414316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1414331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414358 */     // MIs[1] Operand 1
     /* 1414358 */     // No operand predicates
     /* 1414358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414362 */     // MIs[0] policy
     /* 1414362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414374 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1414391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414417 */     // GIR_Coverage, 6677,
     /* 1414417 */     GIR_EraseRootFromParent_Done,
     /* 1414418 */   // Label 19108: @1414418
     /* 1414418 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1414533), // Rule ID 6856 //
     /* 1414423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1414431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1414440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414473 */     // MIs[1] Operand 1
     /* 1414473 */     // No operand predicates
     /* 1414473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414477 */     // MIs[0] policy
     /* 1414477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414489 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1414506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414532 */     // GIR_Coverage, 6856,
     /* 1414532 */     GIR_EraseRootFromParent_Done,
     /* 1414533 */   // Label 19109: @1414533
     /* 1414533 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1414648), // Rule ID 6857 //
     /* 1414538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1414546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1414549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1414552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1414555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1414561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414588 */     // MIs[1] Operand 1
     /* 1414588 */     // No operand predicates
     /* 1414588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414592 */     // MIs[0] policy
     /* 1414592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1414621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414647 */     // GIR_Coverage, 6857,
     /* 1414647 */     GIR_EraseRootFromParent_Done,
     /* 1414648 */   // Label 19110: @1414648
     /* 1414648 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1414763), // Rule ID 6860 //
     /* 1414653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1414661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1414670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414703 */     // MIs[1] Operand 1
     /* 1414703 */     // No operand predicates
     /* 1414703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414707 */     // MIs[0] policy
     /* 1414707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1414736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414762 */     // GIR_Coverage, 6860,
     /* 1414762 */     GIR_EraseRootFromParent_Done,
     /* 1414763 */   // Label 19111: @1414763
     /* 1414763 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1414878), // Rule ID 6861 //
     /* 1414768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1414771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1414776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1414779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1414782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1414785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1414788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1414791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414818 */     // MIs[1] Operand 1
     /* 1414818 */     // No operand predicates
     /* 1414818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414822 */     // MIs[0] policy
     /* 1414822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1414851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414877 */     // GIR_Coverage, 6861,
     /* 1414877 */     GIR_EraseRootFromParent_Done,
     /* 1414878 */   // Label 19112: @1414878
     /* 1414878 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1414993), // Rule ID 6864 //
     /* 1414883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1414886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1414891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1414894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1414897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1414900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1414903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1414906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1414913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1414921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1414925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1414929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1414933 */     // MIs[1] Operand 1
     /* 1414933 */     // No operand predicates
     /* 1414933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414937 */     // MIs[0] policy
     /* 1414937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1414942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414949 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1414953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1414959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1414963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1414966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1414972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1414975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1414981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1414989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414992 */     // GIR_Coverage, 6864,
     /* 1414992 */     GIR_EraseRootFromParent_Done,
     /* 1414993 */   // Label 19113: @1414993
     /* 1414993 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1415108), // Rule ID 6865 //
     /* 1414998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1415009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1415012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1415015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1415021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415048 */     // MIs[1] Operand 1
     /* 1415048 */     // No operand predicates
     /* 1415048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415052 */     // MIs[0] policy
     /* 1415052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1415081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415107 */     // GIR_Coverage, 6865,
     /* 1415107 */     GIR_EraseRootFromParent_Done,
     /* 1415108 */   // Label 19114: @1415108
     /* 1415108 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1415223), // Rule ID 6868 //
     /* 1415113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415163 */     // MIs[1] Operand 1
     /* 1415163 */     // No operand predicates
     /* 1415163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415167 */     // MIs[0] policy
     /* 1415167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1415196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415222 */     // GIR_Coverage, 6868,
     /* 1415222 */     GIR_EraseRootFromParent_Done,
     /* 1415223 */   // Label 19115: @1415223
     /* 1415223 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1415338), // Rule ID 6869 //
     /* 1415228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1415239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1415242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415278 */     // MIs[1] Operand 1
     /* 1415278 */     // No operand predicates
     /* 1415278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415282 */     // MIs[0] policy
     /* 1415282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415298 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415304 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1415311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415337 */     // GIR_Coverage, 6869,
     /* 1415337 */     GIR_EraseRootFromParent_Done,
     /* 1415338 */   // Label 19116: @1415338
     /* 1415338 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1415453), // Rule ID 6872 //
     /* 1415343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415393 */     // MIs[1] Operand 1
     /* 1415393 */     // No operand predicates
     /* 1415393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415397 */     // MIs[0] policy
     /* 1415397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415409 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1415426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415452 */     // GIR_Coverage, 6872,
     /* 1415452 */     GIR_EraseRootFromParent_Done,
     /* 1415453 */   // Label 19117: @1415453
     /* 1415453 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1415568), // Rule ID 6873 //
     /* 1415458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1415469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1415472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1415481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415508 */     // MIs[1] Operand 1
     /* 1415508 */     // No operand predicates
     /* 1415508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415512 */     // MIs[0] policy
     /* 1415512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1415541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415567 */     // GIR_Coverage, 6873,
     /* 1415567 */     GIR_EraseRootFromParent_Done,
     /* 1415568 */   // Label 19118: @1415568
     /* 1415568 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1415683), // Rule ID 6876 //
     /* 1415573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415623 */     // MIs[1] Operand 1
     /* 1415623 */     // No operand predicates
     /* 1415623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415627 */     // MIs[0] policy
     /* 1415627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415639 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1415656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415682 */     // GIR_Coverage, 6876,
     /* 1415682 */     GIR_EraseRootFromParent_Done,
     /* 1415683 */   // Label 19119: @1415683
     /* 1415683 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1415798), // Rule ID 6877 //
     /* 1415688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1415711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415738 */     // MIs[1] Operand 1
     /* 1415738 */     // No operand predicates
     /* 1415738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415742 */     // MIs[0] policy
     /* 1415742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415754 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1415771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1415794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415797 */     // GIR_Coverage, 6877,
     /* 1415797 */     GIR_EraseRootFromParent_Done,
     /* 1415798 */   // Label 19120: @1415798
     /* 1415798 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1415913), // Rule ID 6880 //
     /* 1415803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1415806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1415814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1415817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1415820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1415823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415853 */     // MIs[1] Operand 1
     /* 1415853 */     // No operand predicates
     /* 1415853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415857 */     // MIs[0] policy
     /* 1415857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1415886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1415892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1415895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1415901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1415909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415912 */     // GIR_Coverage, 6880,
     /* 1415912 */     GIR_EraseRootFromParent_Done,
     /* 1415913 */   // Label 19121: @1415913
     /* 1415913 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1416028), // Rule ID 6881 //
     /* 1415918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1415921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1415926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1415929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1415932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1415935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1415938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1415941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1415960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1415964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1415968 */     // MIs[1] Operand 1
     /* 1415968 */     // No operand predicates
     /* 1415968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415972 */     // MIs[0] policy
     /* 1415972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1415977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1415988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1415994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1415998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416027 */     // GIR_Coverage, 6881,
     /* 1416027 */     GIR_EraseRootFromParent_Done,
     /* 1416028 */   // Label 19122: @1416028
     /* 1416028 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1416143), // Rule ID 6884 //
     /* 1416033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416083 */     // MIs[1] Operand 1
     /* 1416083 */     // No operand predicates
     /* 1416083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416087 */     // MIs[0] policy
     /* 1416087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416142 */     // GIR_Coverage, 6884,
     /* 1416142 */     GIR_EraseRootFromParent_Done,
     /* 1416143 */   // Label 19123: @1416143
     /* 1416143 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1416258), // Rule ID 6885 //
     /* 1416148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1416159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1416162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1416165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1416171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416194 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416198 */     // MIs[1] Operand 1
     /* 1416198 */     // No operand predicates
     /* 1416198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416202 */     // MIs[0] policy
     /* 1416202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416214 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416257 */     // GIR_Coverage, 6885,
     /* 1416257 */     GIR_EraseRootFromParent_Done,
     /* 1416258 */   // Label 19124: @1416258
     /* 1416258 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1416373), // Rule ID 6888 //
     /* 1416263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416313 */     // MIs[1] Operand 1
     /* 1416313 */     // No operand predicates
     /* 1416313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416317 */     // MIs[0] policy
     /* 1416317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416329 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416372 */     // GIR_Coverage, 6888,
     /* 1416372 */     GIR_EraseRootFromParent_Done,
     /* 1416373 */   // Label 19125: @1416373
     /* 1416373 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1416488), // Rule ID 6889 //
     /* 1416378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1416401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416428 */     // MIs[1] Operand 1
     /* 1416428 */     // No operand predicates
     /* 1416428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416432 */     // MIs[0] policy
     /* 1416432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416487 */     // GIR_Coverage, 6889,
     /* 1416487 */     GIR_EraseRootFromParent_Done,
     /* 1416488 */   // Label 19126: @1416488
     /* 1416488 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1416603), // Rule ID 6892 //
     /* 1416493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1416496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1416504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1416507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416543 */     // MIs[1] Operand 1
     /* 1416543 */     // No operand predicates
     /* 1416543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416547 */     // MIs[0] policy
     /* 1416547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416559 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416602 */     // GIR_Coverage, 6892,
     /* 1416602 */     GIR_EraseRootFromParent_Done,
     /* 1416603 */   // Label 19127: @1416603
     /* 1416603 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1416718), // Rule ID 6893 //
     /* 1416608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1416611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1416619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1416622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1416625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1416631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416658 */     // MIs[1] Operand 1
     /* 1416658 */     // No operand predicates
     /* 1416658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416662 */     // MIs[0] policy
     /* 1416662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416674 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1416691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1416714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416717 */     // GIR_Coverage, 6893,
     /* 1416717 */     GIR_EraseRootFromParent_Done,
     /* 1416718 */   // Label 19128: @1416718
     /* 1416718 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1416833), // Rule ID 6896 //
     /* 1416723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1416734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1416737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1416740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416773 */     // MIs[1] Operand 1
     /* 1416773 */     // No operand predicates
     /* 1416773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416777 */     // MIs[0] policy
     /* 1416777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416789 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1416806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416832 */     // GIR_Coverage, 6896,
     /* 1416832 */     GIR_EraseRootFromParent_Done,
     /* 1416833 */   // Label 19129: @1416833
     /* 1416833 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1416948), // Rule ID 6897 //
     /* 1416838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1416841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1416849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1416852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1416855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1416858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1416861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416876 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416880 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416884 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1416888 */     // MIs[1] Operand 1
     /* 1416888 */     // No operand predicates
     /* 1416888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416892 */     // MIs[0] policy
     /* 1416892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1416897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416904 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1416908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1416914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1416918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1416921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1416927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1416930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1416936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1416944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416947 */     // GIR_Coverage, 6897,
     /* 1416947 */     GIR_EraseRootFromParent_Done,
     /* 1416948 */   // Label 19130: @1416948
     /* 1416948 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1417063), // Rule ID 6900 //
     /* 1416953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1416956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1416961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1416964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1416967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1416970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1416973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1416976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1416995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1416999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417003 */     // MIs[1] Operand 1
     /* 1417003 */     // No operand predicates
     /* 1417003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417007 */     // MIs[0] policy
     /* 1417007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417019 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1417036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417062 */     // GIR_Coverage, 6900,
     /* 1417062 */     GIR_EraseRootFromParent_Done,
     /* 1417063 */   // Label 19131: @1417063
     /* 1417063 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1417178), // Rule ID 6901 //
     /* 1417068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1417079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1417082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1417085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417118 */     // MIs[1] Operand 1
     /* 1417118 */     // No operand predicates
     /* 1417118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417122 */     // MIs[0] policy
     /* 1417122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1417151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417177 */     // GIR_Coverage, 6901,
     /* 1417177 */     GIR_EraseRootFromParent_Done,
     /* 1417178 */   // Label 19132: @1417178
     /* 1417178 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1417293), // Rule ID 6904 //
     /* 1417183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417233 */     // MIs[1] Operand 1
     /* 1417233 */     // No operand predicates
     /* 1417233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417237 */     // MIs[0] policy
     /* 1417237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1417266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417292 */     // GIR_Coverage, 6904,
     /* 1417292 */     GIR_EraseRootFromParent_Done,
     /* 1417293 */   // Label 19133: @1417293
     /* 1417293 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1417408), // Rule ID 6905 //
     /* 1417298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1417309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1417312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1417315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1417321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417348 */     // MIs[1] Operand 1
     /* 1417348 */     // No operand predicates
     /* 1417348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417352 */     // MIs[0] policy
     /* 1417352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1417381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1417404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417407 */     // GIR_Coverage, 6905,
     /* 1417407 */     GIR_EraseRootFromParent_Done,
     /* 1417408 */   // Label 19134: @1417408
     /* 1417408 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1417523), // Rule ID 6908 //
     /* 1417413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417463 */     // MIs[1] Operand 1
     /* 1417463 */     // No operand predicates
     /* 1417463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417467 */     // MIs[0] policy
     /* 1417467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417470 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417479 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1417496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417522 */     // GIR_Coverage, 6908,
     /* 1417522 */     GIR_EraseRootFromParent_Done,
     /* 1417523 */   // Label 19135: @1417523
     /* 1417523 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1417638), // Rule ID 6909 //
     /* 1417528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1417539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1417542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1417551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417578 */     // MIs[1] Operand 1
     /* 1417578 */     // No operand predicates
     /* 1417578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417582 */     // MIs[0] policy
     /* 1417582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417594 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1417611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417637 */     // GIR_Coverage, 6909,
     /* 1417637 */     GIR_EraseRootFromParent_Done,
     /* 1417638 */   // Label 19136: @1417638
     /* 1417638 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1417753), // Rule ID 6912 //
     /* 1417643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417693 */     // MIs[1] Operand 1
     /* 1417693 */     // No operand predicates
     /* 1417693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417697 */     // MIs[0] policy
     /* 1417697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417709 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1417726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417752 */     // GIR_Coverage, 6912,
     /* 1417752 */     GIR_EraseRootFromParent_Done,
     /* 1417753 */   // Label 19137: @1417753
     /* 1417753 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1417868), // Rule ID 6913 //
     /* 1417758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1417769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1417772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1417778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1417781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417808 */     // MIs[1] Operand 1
     /* 1417808 */     // No operand predicates
     /* 1417808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417812 */     // MIs[0] policy
     /* 1417812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1417841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417867 */     // GIR_Coverage, 6913,
     /* 1417867 */     GIR_EraseRootFromParent_Done,
     /* 1417868 */   // Label 19138: @1417868
     /* 1417868 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1417983), // Rule ID 6916 //
     /* 1417873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1417876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1417887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1417890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1417893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1417896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1417915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1417919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1417923 */     // MIs[1] Operand 1
     /* 1417923 */     // No operand predicates
     /* 1417923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417927 */     // MIs[0] policy
     /* 1417927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1417932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1417943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1417949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1417953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1417956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1417962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1417965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1417971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417982 */     // GIR_Coverage, 6916,
     /* 1417982 */     GIR_EraseRootFromParent_Done,
     /* 1417983 */   // Label 19139: @1417983
     /* 1417983 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1418098), // Rule ID 6917 //
     /* 1417988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1417991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1417996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1417999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1418002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1418005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1418011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418034 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418038 */     // MIs[1] Operand 1
     /* 1418038 */     // No operand predicates
     /* 1418038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418042 */     // MIs[0] policy
     /* 1418042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418054 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1418071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1418094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418097 */     // GIR_Coverage, 6917,
     /* 1418097 */     GIR_EraseRootFromParent_Done,
     /* 1418098 */   // Label 19140: @1418098
     /* 1418098 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1418213), // Rule ID 6920 //
     /* 1418103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418153 */     // MIs[1] Operand 1
     /* 1418153 */     // No operand predicates
     /* 1418153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418157 */     // MIs[0] policy
     /* 1418157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1418186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418212 */     // GIR_Coverage, 6920,
     /* 1418212 */     GIR_EraseRootFromParent_Done,
     /* 1418213 */   // Label 19141: @1418213
     /* 1418213 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1418328), // Rule ID 6921 //
     /* 1418218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1418229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1418232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1418241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418268 */     // MIs[1] Operand 1
     /* 1418268 */     // No operand predicates
     /* 1418268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418272 */     // MIs[0] policy
     /* 1418272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1418301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418327 */     // GIR_Coverage, 6921,
     /* 1418327 */     GIR_EraseRootFromParent_Done,
     /* 1418328 */   // Label 19142: @1418328
     /* 1418328 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1418443), // Rule ID 6924 //
     /* 1418333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418383 */     // MIs[1] Operand 1
     /* 1418383 */     // No operand predicates
     /* 1418383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418387 */     // MIs[0] policy
     /* 1418387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1418416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418442 */     // GIR_Coverage, 6924,
     /* 1418442 */     GIR_EraseRootFromParent_Done,
     /* 1418443 */   // Label 19143: @1418443
     /* 1418443 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1418558), // Rule ID 6925 //
     /* 1418448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1418459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1418462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1418471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418498 */     // MIs[1] Operand 1
     /* 1418498 */     // No operand predicates
     /* 1418498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418502 */     // MIs[0] policy
     /* 1418502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1418531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418557 */     // GIR_Coverage, 6925,
     /* 1418557 */     GIR_EraseRootFromParent_Done,
     /* 1418558 */   // Label 19144: @1418558
     /* 1418558 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1418673), // Rule ID 6928 //
     /* 1418563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1418566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418613 */     // MIs[1] Operand 1
     /* 1418613 */     // No operand predicates
     /* 1418613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418617 */     // MIs[0] policy
     /* 1418617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418629 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1418646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418672 */     // GIR_Coverage, 6928,
     /* 1418672 */     GIR_EraseRootFromParent_Done,
     /* 1418673 */   // Label 19145: @1418673
     /* 1418673 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1418788), // Rule ID 6929 //
     /* 1418678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1418681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1418689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1418692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1418695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1418701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418728 */     // MIs[1] Operand 1
     /* 1418728 */     // No operand predicates
     /* 1418728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418732 */     // MIs[0] policy
     /* 1418732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1418761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418787 */     // GIR_Coverage, 6929,
     /* 1418787 */     GIR_EraseRootFromParent_Done,
     /* 1418788 */   // Label 19146: @1418788
     /* 1418788 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1418903), // Rule ID 6932 //
     /* 1418793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1418796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1418813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418843 */     // MIs[1] Operand 1
     /* 1418843 */     // No operand predicates
     /* 1418843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418847 */     // MIs[0] policy
     /* 1418847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418859 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1418876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1418885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1418891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1418899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418902 */     // GIR_Coverage, 6932,
     /* 1418902 */     GIR_EraseRootFromParent_Done,
     /* 1418903 */   // Label 19147: @1418903
     /* 1418903 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1419018), // Rule ID 6933 //
     /* 1418908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1418911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1418916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1418919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1418922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1418925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1418928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1418931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1418938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1418950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1418954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1418958 */     // MIs[1] Operand 1
     /* 1418958 */     // No operand predicates
     /* 1418958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418962 */     // MIs[0] policy
     /* 1418962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1418967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418974 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1418978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1418984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1418988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1418991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1418997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419017 */     // GIR_Coverage, 6933,
     /* 1419017 */     GIR_EraseRootFromParent_Done,
     /* 1419018 */   // Label 19148: @1419018
     /* 1419018 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1419133), // Rule ID 6936 //
     /* 1419023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1419026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1419031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1419034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1419037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419073 */     // MIs[1] Operand 1
     /* 1419073 */     // No operand predicates
     /* 1419073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419077 */     // MIs[0] policy
     /* 1419077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419089 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1419106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419132 */     // GIR_Coverage, 6936,
     /* 1419132 */     GIR_EraseRootFromParent_Done,
     /* 1419133 */   // Label 19149: @1419133
     /* 1419133 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1419248), // Rule ID 6937 //
     /* 1419138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1419146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1419149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1419152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1419155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419188 */     // MIs[1] Operand 1
     /* 1419188 */     // No operand predicates
     /* 1419188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419192 */     // MIs[0] policy
     /* 1419192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1419221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419247 */     // GIR_Coverage, 6937,
     /* 1419247 */     GIR_EraseRootFromParent_Done,
     /* 1419248 */   // Label 19150: @1419248
     /* 1419248 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1419363), // Rule ID 6940 //
     /* 1419253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1419256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1419261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419303 */     // MIs[1] Operand 1
     /* 1419303 */     // No operand predicates
     /* 1419303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419307 */     // MIs[0] policy
     /* 1419307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1419336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419362 */     // GIR_Coverage, 6940,
     /* 1419362 */     GIR_EraseRootFromParent_Done,
     /* 1419363 */   // Label 19151: @1419363
     /* 1419363 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1419478), // Rule ID 6941 //
     /* 1419368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1419371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1419376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1419379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1419382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1419385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1419391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1419398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419418 */     // MIs[1] Operand 1
     /* 1419418 */     // No operand predicates
     /* 1419418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419422 */     // MIs[0] policy
     /* 1419422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419434 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419438 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1419451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1419474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419477 */     // GIR_Coverage, 6941,
     /* 1419477 */     GIR_EraseRootFromParent_Done,
     /* 1419478 */   // Label 19152: @1419478
     /* 1419478 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1419593), // Rule ID 7120 //
     /* 1419483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1419491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419533 */     // MIs[1] Operand 1
     /* 1419533 */     // No operand predicates
     /* 1419533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419537 */     // MIs[0] policy
     /* 1419537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419549 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1419566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419592 */     // GIR_Coverage, 7120,
     /* 1419592 */     GIR_EraseRootFromParent_Done,
     /* 1419593 */   // Label 19153: @1419593
     /* 1419593 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1419708), // Rule ID 7121 //
     /* 1419598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1419606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1419609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1419612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1419615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1419621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419644 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419648 */     // MIs[1] Operand 1
     /* 1419648 */     // No operand predicates
     /* 1419648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419652 */     // MIs[0] policy
     /* 1419652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419664 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1419681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419707 */     // GIR_Coverage, 7121,
     /* 1419707 */     GIR_EraseRootFromParent_Done,
     /* 1419708 */   // Label 19154: @1419708
     /* 1419708 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1419823), // Rule ID 7124 //
     /* 1419713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1419721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419763 */     // MIs[1] Operand 1
     /* 1419763 */     // No operand predicates
     /* 1419763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419767 */     // MIs[0] policy
     /* 1419767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1419796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419822 */     // GIR_Coverage, 7124,
     /* 1419822 */     GIR_EraseRootFromParent_Done,
     /* 1419823 */   // Label 19155: @1419823
     /* 1419823 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1419938), // Rule ID 7125 //
     /* 1419828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1419831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1419836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1419839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1419842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1419845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1419848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1419851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419878 */     // MIs[1] Operand 1
     /* 1419878 */     // No operand predicates
     /* 1419878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419882 */     // MIs[0] policy
     /* 1419882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1419887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419894 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1419898 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1419904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1419908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1419911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1419917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1419920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1419926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419937 */     // GIR_Coverage, 7125,
     /* 1419937 */     GIR_EraseRootFromParent_Done,
     /* 1419938 */   // Label 19156: @1419938
     /* 1419938 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1420053), // Rule ID 7128 //
     /* 1419943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1419946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1419951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1419954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1419957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1419960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1419963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1419966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1419985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1419989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1419993 */     // MIs[1] Operand 1
     /* 1419993 */     // No operand predicates
     /* 1419993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419997 */     // MIs[0] policy
     /* 1419997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420009 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420052 */     // GIR_Coverage, 7128,
     /* 1420052 */     GIR_EraseRootFromParent_Done,
     /* 1420053 */   // Label 19157: @1420053
     /* 1420053 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1420168), // Rule ID 7129 //
     /* 1420058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1420069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1420072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1420075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1420081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420108 */     // MIs[1] Operand 1
     /* 1420108 */     // No operand predicates
     /* 1420108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420112 */     // MIs[0] policy
     /* 1420112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420167 */     // GIR_Coverage, 7129,
     /* 1420167 */     GIR_EraseRootFromParent_Done,
     /* 1420168 */   // Label 19158: @1420168
     /* 1420168 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1420283), // Rule ID 7132 //
     /* 1420173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1420184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1420187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420223 */     // MIs[1] Operand 1
     /* 1420223 */     // No operand predicates
     /* 1420223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420227 */     // MIs[0] policy
     /* 1420227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420239 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1420256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420282 */     // GIR_Coverage, 7132,
     /* 1420282 */     GIR_EraseRootFromParent_Done,
     /* 1420283 */   // Label 19159: @1420283
     /* 1420283 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1420398), // Rule ID 7133 //
     /* 1420288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1420299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1420302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420338 */     // MIs[1] Operand 1
     /* 1420338 */     // No operand predicates
     /* 1420338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420342 */     // MIs[0] policy
     /* 1420342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1420371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420397 */     // GIR_Coverage, 7133,
     /* 1420397 */     GIR_EraseRootFromParent_Done,
     /* 1420398 */   // Label 19160: @1420398
     /* 1420398 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1420513), // Rule ID 7136 //
     /* 1420403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420453 */     // MIs[1] Operand 1
     /* 1420453 */     // No operand predicates
     /* 1420453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420457 */     // MIs[0] policy
     /* 1420457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420512 */     // GIR_Coverage, 7136,
     /* 1420512 */     GIR_EraseRootFromParent_Done,
     /* 1420513 */   // Label 19161: @1420513
     /* 1420513 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1420628), // Rule ID 7137 //
     /* 1420518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1420529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1420532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1420535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1420541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420568 */     // MIs[1] Operand 1
     /* 1420568 */     // No operand predicates
     /* 1420568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420572 */     // MIs[0] policy
     /* 1420572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420584 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420627 */     // GIR_Coverage, 7137,
     /* 1420627 */     GIR_EraseRootFromParent_Done,
     /* 1420628 */   // Label 19162: @1420628
     /* 1420628 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1420743), // Rule ID 7140 //
     /* 1420633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420683 */     // MIs[1] Operand 1
     /* 1420683 */     // No operand predicates
     /* 1420683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420687 */     // MIs[0] policy
     /* 1420687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420742 */     // GIR_Coverage, 7140,
     /* 1420742 */     GIR_EraseRootFromParent_Done,
     /* 1420743 */   // Label 19163: @1420743
     /* 1420743 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1420858), // Rule ID 7141 //
     /* 1420748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1420765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1420771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420798 */     // MIs[1] Operand 1
     /* 1420798 */     // No operand predicates
     /* 1420798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420802 */     // MIs[0] policy
     /* 1420802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1420831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420857 */     // GIR_Coverage, 7141,
     /* 1420857 */     GIR_EraseRootFromParent_Done,
     /* 1420858 */   // Label 19164: @1420858
     /* 1420858 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1420973), // Rule ID 7144 //
     /* 1420863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1420866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1420883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1420886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1420905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1420909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1420913 */     // MIs[1] Operand 1
     /* 1420913 */     // No operand predicates
     /* 1420913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420917 */     // MIs[0] policy
     /* 1420917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1420922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420929 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1420933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1420939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1420943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1420946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1420952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1420955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1420961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420972 */     // GIR_Coverage, 7144,
     /* 1420972 */     GIR_EraseRootFromParent_Done,
     /* 1420973 */   // Label 19165: @1420973
     /* 1420973 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1421088), // Rule ID 7145 //
     /* 1420978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1420981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1420986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1420989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1420992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1420995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1420998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1421001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421028 */     // MIs[1] Operand 1
     /* 1421028 */     // No operand predicates
     /* 1421028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421032 */     // MIs[0] policy
     /* 1421032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421044 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421087 */     // GIR_Coverage, 7145,
     /* 1421087 */     GIR_EraseRootFromParent_Done,
     /* 1421088 */   // Label 19166: @1421088
     /* 1421088 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1421203), // Rule ID 7148 //
     /* 1421093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421143 */     // MIs[1] Operand 1
     /* 1421143 */     // No operand predicates
     /* 1421143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421147 */     // MIs[0] policy
     /* 1421147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421202 */     // GIR_Coverage, 7148,
     /* 1421202 */     GIR_EraseRootFromParent_Done,
     /* 1421203 */   // Label 19167: @1421203
     /* 1421203 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1421318), // Rule ID 7149 //
     /* 1421208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1421219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1421222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1421231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421254 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421258 */     // MIs[1] Operand 1
     /* 1421258 */     // No operand predicates
     /* 1421258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421262 */     // MIs[0] policy
     /* 1421262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1421314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421317 */     // GIR_Coverage, 7149,
     /* 1421317 */     GIR_EraseRootFromParent_Done,
     /* 1421318 */   // Label 19168: @1421318
     /* 1421318 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1421433), // Rule ID 7152 //
     /* 1421323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421373 */     // MIs[1] Operand 1
     /* 1421373 */     // No operand predicates
     /* 1421373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421377 */     // MIs[0] policy
     /* 1421377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421380 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421432 */     // GIR_Coverage, 7152,
     /* 1421432 */     GIR_EraseRootFromParent_Done,
     /* 1421433 */   // Label 19169: @1421433
     /* 1421433 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1421548), // Rule ID 7153 //
     /* 1421438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1421449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1421452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1421455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1421461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421488 */     // MIs[1] Operand 1
     /* 1421488 */     // No operand predicates
     /* 1421488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421492 */     // MIs[0] policy
     /* 1421492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1421544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421547 */     // GIR_Coverage, 7153,
     /* 1421547 */     GIR_EraseRootFromParent_Done,
     /* 1421548 */   // Label 19170: @1421548
     /* 1421548 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1421663), // Rule ID 7156 //
     /* 1421553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1421556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421603 */     // MIs[1] Operand 1
     /* 1421603 */     // No operand predicates
     /* 1421603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421607 */     // MIs[0] policy
     /* 1421607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421662 */     // GIR_Coverage, 7156,
     /* 1421662 */     GIR_EraseRootFromParent_Done,
     /* 1421663 */   // Label 19171: @1421663
     /* 1421663 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1421778), // Rule ID 7157 //
     /* 1421668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1421671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1421679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1421682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1421685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1421691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421718 */     // MIs[1] Operand 1
     /* 1421718 */     // No operand predicates
     /* 1421718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421722 */     // MIs[0] policy
     /* 1421722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1421751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1421774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421777 */     // GIR_Coverage, 7157,
     /* 1421777 */     GIR_EraseRootFromParent_Done,
     /* 1421778 */   // Label 19172: @1421778
     /* 1421778 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1421893), // Rule ID 7160 //
     /* 1421783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1421786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1421803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421833 */     // MIs[1] Operand 1
     /* 1421833 */     // No operand predicates
     /* 1421833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421837 */     // MIs[0] policy
     /* 1421837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1421866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421892 */     // GIR_Coverage, 7160,
     /* 1421892 */     GIR_EraseRootFromParent_Done,
     /* 1421893 */   // Label 19173: @1421893
     /* 1421893 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1422008), // Rule ID 7161 //
     /* 1421898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1421901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1421906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1421915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1421918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1421921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1421940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1421944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1421948 */     // MIs[1] Operand 1
     /* 1421948 */     // No operand predicates
     /* 1421948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421952 */     // MIs[0] policy
     /* 1421952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1421957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421964 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1421968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1421974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1421978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1421981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1421987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1421990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1421996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422007 */     // GIR_Coverage, 7161,
     /* 1422007 */     GIR_EraseRootFromParent_Done,
     /* 1422008 */   // Label 19174: @1422008
     /* 1422008 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1422123), // Rule ID 7164 //
     /* 1422013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1422024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1422027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1422030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422063 */     // MIs[1] Operand 1
     /* 1422063 */     // No operand predicates
     /* 1422063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422067 */     // MIs[0] policy
     /* 1422067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422079 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1422096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422122 */     // GIR_Coverage, 7164,
     /* 1422122 */     GIR_EraseRootFromParent_Done,
     /* 1422123 */   // Label 19175: @1422123
     /* 1422123 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1422238), // Rule ID 7165 //
     /* 1422128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1422139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1422142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1422145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422178 */     // MIs[1] Operand 1
     /* 1422178 */     // No operand predicates
     /* 1422178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422182 */     // MIs[0] policy
     /* 1422182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1422211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422237 */     // GIR_Coverage, 7165,
     /* 1422237 */     GIR_EraseRootFromParent_Done,
     /* 1422238 */   // Label 19176: @1422238
     /* 1422238 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1422353), // Rule ID 7168 //
     /* 1422243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1422254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1422257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1422260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1422266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422293 */     // MIs[1] Operand 1
     /* 1422293 */     // No operand predicates
     /* 1422293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422297 */     // MIs[0] policy
     /* 1422297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422309 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1422326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422352 */     // GIR_Coverage, 7168,
     /* 1422352 */     GIR_EraseRootFromParent_Done,
     /* 1422353 */   // Label 19177: @1422353
     /* 1422353 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1422468), // Rule ID 7169 //
     /* 1422358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1422369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1422372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1422375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1422381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422408 */     // MIs[1] Operand 1
     /* 1422408 */     // No operand predicates
     /* 1422408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422412 */     // MIs[0] policy
     /* 1422412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422424 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1422441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1422464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422467 */     // GIR_Coverage, 7169,
     /* 1422467 */     GIR_EraseRootFromParent_Done,
     /* 1422468 */   // Label 19178: @1422468
     /* 1422468 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1422583), // Rule ID 7172 //
     /* 1422473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422523 */     // MIs[1] Operand 1
     /* 1422523 */     // No operand predicates
     /* 1422523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422527 */     // MIs[0] policy
     /* 1422527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422539 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1422556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422582 */     // GIR_Coverage, 7172,
     /* 1422582 */     GIR_EraseRootFromParent_Done,
     /* 1422583 */   // Label 19179: @1422583
     /* 1422583 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1422698), // Rule ID 7173 //
     /* 1422588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1422605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1422611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422638 */     // MIs[1] Operand 1
     /* 1422638 */     // No operand predicates
     /* 1422638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422642 */     // MIs[0] policy
     /* 1422642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1422671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422697 */     // GIR_Coverage, 7173,
     /* 1422697 */     GIR_EraseRootFromParent_Done,
     /* 1422698 */   // Label 19180: @1422698
     /* 1422698 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1422813), // Rule ID 7176 //
     /* 1422703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422753 */     // MIs[1] Operand 1
     /* 1422753 */     // No operand predicates
     /* 1422753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422757 */     // MIs[0] policy
     /* 1422757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1422786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422812 */     // GIR_Coverage, 7176,
     /* 1422812 */     GIR_EraseRootFromParent_Done,
     /* 1422813 */   // Label 19181: @1422813
     /* 1422813 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1422928), // Rule ID 7177 //
     /* 1422818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1422821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1422835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1422838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1422841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422868 */     // MIs[1] Operand 1
     /* 1422868 */     // No operand predicates
     /* 1422868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422872 */     // MIs[0] policy
     /* 1422872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1422888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1422894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1422898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1422901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1422907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1422910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1422916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422927 */     // GIR_Coverage, 7177,
     /* 1422927 */     GIR_EraseRootFromParent_Done,
     /* 1422928 */   // Label 19182: @1422928
     /* 1422928 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1423043), // Rule ID 7180 //
     /* 1422933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1422936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1422941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1422944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1422947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1422950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1422953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1422956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1422963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1422975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1422979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1422983 */     // MIs[1] Operand 1
     /* 1422983 */     // No operand predicates
     /* 1422983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422987 */     // MIs[0] policy
     /* 1422987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1422992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422999 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1423016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423042 */     // GIR_Coverage, 7180,
     /* 1423042 */     GIR_EraseRootFromParent_Done,
     /* 1423043 */   // Label 19183: @1423043
     /* 1423043 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1423158), // Rule ID 7181 //
     /* 1423048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1423059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1423062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1423065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1423071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423094 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423098 */     // MIs[1] Operand 1
     /* 1423098 */     // No operand predicates
     /* 1423098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423102 */     // MIs[0] policy
     /* 1423102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1423131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1423154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423157 */     // GIR_Coverage, 7181,
     /* 1423157 */     GIR_EraseRootFromParent_Done,
     /* 1423158 */   // Label 19184: @1423158
     /* 1423158 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1423273), // Rule ID 7184 //
     /* 1423163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1423180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423213 */     // MIs[1] Operand 1
     /* 1423213 */     // No operand predicates
     /* 1423213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423217 */     // MIs[0] policy
     /* 1423217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1423246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423272 */     // GIR_Coverage, 7184,
     /* 1423272 */     GIR_EraseRootFromParent_Done,
     /* 1423273 */   // Label 19185: @1423273
     /* 1423273 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1423388), // Rule ID 7185 //
     /* 1423278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1423295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423328 */     // MIs[1] Operand 1
     /* 1423328 */     // No operand predicates
     /* 1423328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423332 */     // MIs[0] policy
     /* 1423332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423348 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1423361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423387 */     // GIR_Coverage, 7185,
     /* 1423387 */     GIR_EraseRootFromParent_Done,
     /* 1423388 */   // Label 19186: @1423388
     /* 1423388 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1423503), // Rule ID 7188 //
     /* 1423393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1423410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423443 */     // MIs[1] Operand 1
     /* 1423443 */     // No operand predicates
     /* 1423443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423447 */     // MIs[0] policy
     /* 1423447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423459 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1423476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423502 */     // GIR_Coverage, 7188,
     /* 1423502 */     GIR_EraseRootFromParent_Done,
     /* 1423503 */   // Label 19187: @1423503
     /* 1423503 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1423618), // Rule ID 7189 //
     /* 1423508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1423525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1423531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423558 */     // MIs[1] Operand 1
     /* 1423558 */     // No operand predicates
     /* 1423558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423562 */     // MIs[0] policy
     /* 1423562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423578 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1423591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423617 */     // GIR_Coverage, 7189,
     /* 1423617 */     GIR_EraseRootFromParent_Done,
     /* 1423618 */   // Label 19188: @1423618
     /* 1423618 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1423733), // Rule ID 7192 //
     /* 1423623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423673 */     // MIs[1] Operand 1
     /* 1423673 */     // No operand predicates
     /* 1423673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423677 */     // MIs[0] policy
     /* 1423677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1423706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423732 */     // GIR_Coverage, 7192,
     /* 1423732 */     GIR_EraseRootFromParent_Done,
     /* 1423733 */   // Label 19189: @1423733
     /* 1423733 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1423848), // Rule ID 7193 //
     /* 1423738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1423749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1423752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1423755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1423761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1423768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423788 */     // MIs[1] Operand 1
     /* 1423788 */     // No operand predicates
     /* 1423788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423792 */     // MIs[0] policy
     /* 1423792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1423821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423847 */     // GIR_Coverage, 7193,
     /* 1423847 */     GIR_EraseRootFromParent_Done,
     /* 1423848 */   // Label 19190: @1423848
     /* 1423848 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1423963), // Rule ID 7196 //
     /* 1423853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1423856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1423903 */     // MIs[1] Operand 1
     /* 1423903 */     // No operand predicates
     /* 1423903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423907 */     // MIs[0] policy
     /* 1423907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423919 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1423923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1423929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1423933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1423936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1423945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1423951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1423959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423962 */     // GIR_Coverage, 7196,
     /* 1423962 */     GIR_EraseRootFromParent_Done,
     /* 1423963 */   // Label 19191: @1423963
     /* 1423963 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1424078), // Rule ID 7197 //
     /* 1423968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1423971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1423976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1423979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1423982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1424006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424018 */     // MIs[1] Operand 1
     /* 1424018 */     // No operand predicates
     /* 1424018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424022 */     // MIs[0] policy
     /* 1424022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424034 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1424051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424077 */     // GIR_Coverage, 7197,
     /* 1424077 */     GIR_EraseRootFromParent_Done,
     /* 1424078 */   // Label 19192: @1424078
     /* 1424078 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1424193), // Rule ID 7200 //
     /* 1424083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1424091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424133 */     // MIs[1] Operand 1
     /* 1424133 */     // No operand predicates
     /* 1424133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424137 */     // MIs[0] policy
     /* 1424137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424149 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1424166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424192 */     // GIR_Coverage, 7200,
     /* 1424192 */     GIR_EraseRootFromParent_Done,
     /* 1424193 */   // Label 19193: @1424193
     /* 1424193 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1424308), // Rule ID 7201 //
     /* 1424198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1424206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1424209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1424212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1424215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1424228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1424236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424244 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424248 */     // MIs[1] Operand 1
     /* 1424248 */     // No operand predicates
     /* 1424248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424252 */     // MIs[0] policy
     /* 1424252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424268 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1424281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424307 */     // GIR_Coverage, 7201,
     /* 1424307 */     GIR_EraseRootFromParent_Done,
     /* 1424308 */   // Label 19194: @1424308
     /* 1424308 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1424423), // Rule ID 7204 //
     /* 1424313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1424316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1424321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1424324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1424327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1424330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424363 */     // MIs[1] Operand 1
     /* 1424363 */     // No operand predicates
     /* 1424363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424367 */     // MIs[0] policy
     /* 1424367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424379 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1424396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424422 */     // GIR_Coverage, 7204,
     /* 1424422 */     GIR_EraseRootFromParent_Done,
     /* 1424423 */   // Label 19195: @1424423
     /* 1424423 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1424538), // Rule ID 7205 //
     /* 1424428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1424431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1424436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1424439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1424442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1424445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1424458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1424466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424478 */     // MIs[1] Operand 1
     /* 1424478 */     // No operand predicates
     /* 1424478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424482 */     // MIs[0] policy
     /* 1424482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1424511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1424534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424537 */     // GIR_Coverage, 7205,
     /* 1424537 */     GIR_EraseRootFromParent_Done,
     /* 1424538 */   // Label 19196: @1424538
     /* 1424538 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1424653), // Rule ID 7416 //
     /* 1424543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1424551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1424554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1424557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424593 */     // MIs[1] Operand 1
     /* 1424593 */     // No operand predicates
     /* 1424593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424597 */     // MIs[0] policy
     /* 1424597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424609 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1424626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424652 */     // GIR_Coverage, 7416,
     /* 1424652 */     GIR_EraseRootFromParent_Done,
     /* 1424653 */   // Label 19197: @1424653
     /* 1424653 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1424768), // Rule ID 7417 //
     /* 1424658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1424666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1424669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1424672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424708 */     // MIs[1] Operand 1
     /* 1424708 */     // No operand predicates
     /* 1424708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424712 */     // MIs[0] policy
     /* 1424712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1424741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424767 */     // GIR_Coverage, 7417,
     /* 1424767 */     GIR_EraseRootFromParent_Done,
     /* 1424768 */   // Label 19198: @1424768
     /* 1424768 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1424883), // Rule ID 7420 //
     /* 1424773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1424781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1424784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1424787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424823 */     // MIs[1] Operand 1
     /* 1424823 */     // No operand predicates
     /* 1424823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424827 */     // MIs[0] policy
     /* 1424827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424839 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1424856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424882 */     // GIR_Coverage, 7420,
     /* 1424882 */     GIR_EraseRootFromParent_Done,
     /* 1424883 */   // Label 19199: @1424883
     /* 1424883 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1424998), // Rule ID 7421 //
     /* 1424888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1424896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1424899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1424902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1424938 */     // MIs[1] Operand 1
     /* 1424938 */     // No operand predicates
     /* 1424938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424942 */     // MIs[0] policy
     /* 1424942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1424958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1424964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1424968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1424971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1424980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1424986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424997 */     // GIR_Coverage, 7421,
     /* 1424997 */     GIR_EraseRootFromParent_Done,
     /* 1424998 */   // Label 19200: @1424998
     /* 1424998 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1425113), // Rule ID 7424 //
     /* 1425003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425053 */     // MIs[1] Operand 1
     /* 1425053 */     // No operand predicates
     /* 1425053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425057 */     // MIs[0] policy
     /* 1425057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1425086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425112 */     // GIR_Coverage, 7424,
     /* 1425112 */     GIR_EraseRootFromParent_Done,
     /* 1425113 */   // Label 19201: @1425113
     /* 1425113 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1425228), // Rule ID 7425 //
     /* 1425118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1425129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1425132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425164 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425168 */     // MIs[1] Operand 1
     /* 1425168 */     // No operand predicates
     /* 1425168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425172 */     // MIs[0] policy
     /* 1425172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1425201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425227 */     // GIR_Coverage, 7425,
     /* 1425227 */     GIR_EraseRootFromParent_Done,
     /* 1425228 */   // Label 19202: @1425228
     /* 1425228 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1425343), // Rule ID 7428 //
     /* 1425233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1425244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1425247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1425250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425283 */     // MIs[1] Operand 1
     /* 1425283 */     // No operand predicates
     /* 1425283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425287 */     // MIs[0] policy
     /* 1425287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1425316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425342 */     // GIR_Coverage, 7428,
     /* 1425342 */     GIR_EraseRootFromParent_Done,
     /* 1425343 */   // Label 19203: @1425343
     /* 1425343 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1425458), // Rule ID 7429 //
     /* 1425348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1425359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1425362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1425365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1425371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425398 */     // MIs[1] Operand 1
     /* 1425398 */     // No operand predicates
     /* 1425398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425402 */     // MIs[0] policy
     /* 1425402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425418 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1425431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425457 */     // GIR_Coverage, 7429,
     /* 1425457 */     GIR_EraseRootFromParent_Done,
     /* 1425458 */   // Label 19204: @1425458
     /* 1425458 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1425573), // Rule ID 7432 //
     /* 1425463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1425480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425513 */     // MIs[1] Operand 1
     /* 1425513 */     // No operand predicates
     /* 1425513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425517 */     // MIs[0] policy
     /* 1425517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425529 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1425546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425572 */     // GIR_Coverage, 7432,
     /* 1425572 */     GIR_EraseRootFromParent_Done,
     /* 1425573 */   // Label 19205: @1425573
     /* 1425573 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1425688), // Rule ID 7433 //
     /* 1425578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1425595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425628 */     // MIs[1] Operand 1
     /* 1425628 */     // No operand predicates
     /* 1425628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425632 */     // MIs[0] policy
     /* 1425632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425644 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1425661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425687 */     // GIR_Coverage, 7433,
     /* 1425687 */     GIR_EraseRootFromParent_Done,
     /* 1425688 */   // Label 19206: @1425688
     /* 1425688 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1425803), // Rule ID 7436 //
     /* 1425693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1425710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425743 */     // MIs[1] Operand 1
     /* 1425743 */     // No operand predicates
     /* 1425743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425747 */     // MIs[0] policy
     /* 1425747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425759 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1425776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425802 */     // GIR_Coverage, 7436,
     /* 1425802 */     GIR_EraseRootFromParent_Done,
     /* 1425803 */   // Label 19207: @1425803
     /* 1425803 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1425918), // Rule ID 7437 //
     /* 1425808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1425825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425858 */     // MIs[1] Operand 1
     /* 1425858 */     // No operand predicates
     /* 1425858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425862 */     // MIs[0] policy
     /* 1425862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1425888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1425891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1425900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1425906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425917 */     // GIR_Coverage, 7437,
     /* 1425917 */     GIR_EraseRootFromParent_Done,
     /* 1425918 */   // Label 19208: @1425918
     /* 1425918 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1426033), // Rule ID 7440 //
     /* 1425923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1425931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1425934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1425937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1425940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1425973 */     // MIs[1] Operand 1
     /* 1425973 */     // No operand predicates
     /* 1425973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425977 */     // MIs[0] policy
     /* 1425977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1425993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1425999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1426006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426032 */     // GIR_Coverage, 7440,
     /* 1426032 */     GIR_EraseRootFromParent_Done,
     /* 1426033 */   // Label 19209: @1426033
     /* 1426033 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1426148), // Rule ID 7441 //
     /* 1426038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1426049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1426052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1426055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1426061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426088 */     // MIs[1] Operand 1
     /* 1426088 */     // No operand predicates
     /* 1426088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426092 */     // MIs[0] policy
     /* 1426092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1426121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426147 */     // GIR_Coverage, 7441,
     /* 1426147 */     GIR_EraseRootFromParent_Done,
     /* 1426148 */   // Label 19210: @1426148
     /* 1426148 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1426263), // Rule ID 7444 //
     /* 1426153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426203 */     // MIs[1] Operand 1
     /* 1426203 */     // No operand predicates
     /* 1426203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426207 */     // MIs[0] policy
     /* 1426207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1426236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426262 */     // GIR_Coverage, 7444,
     /* 1426262 */     GIR_EraseRootFromParent_Done,
     /* 1426263 */   // Label 19211: @1426263
     /* 1426263 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1426378), // Rule ID 7445 //
     /* 1426268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1426279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1426282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1426285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1426291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426314 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426318 */     // MIs[1] Operand 1
     /* 1426318 */     // No operand predicates
     /* 1426318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426322 */     // MIs[0] policy
     /* 1426322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1426351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426377 */     // GIR_Coverage, 7445,
     /* 1426377 */     GIR_EraseRootFromParent_Done,
     /* 1426378 */   // Label 19212: @1426378
     /* 1426378 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1426493), // Rule ID 7448 //
     /* 1426383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426433 */     // MIs[1] Operand 1
     /* 1426433 */     // No operand predicates
     /* 1426433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426437 */     // MIs[0] policy
     /* 1426437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426449 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1426466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426492 */     // GIR_Coverage, 7448,
     /* 1426492 */     GIR_EraseRootFromParent_Done,
     /* 1426493 */   // Label 19213: @1426493
     /* 1426493 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1426608), // Rule ID 7449 //
     /* 1426498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1426509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1426512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1426528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1426532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426548 */     // MIs[1] Operand 1
     /* 1426548 */     // No operand predicates
     /* 1426548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426552 */     // MIs[0] policy
     /* 1426552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1426581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426607 */     // GIR_Coverage, 7449,
     /* 1426607 */     GIR_EraseRootFromParent_Done,
     /* 1426608 */   // Label 19214: @1426608
     /* 1426608 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1426723), // Rule ID 7452 //
     /* 1426613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426663 */     // MIs[1] Operand 1
     /* 1426663 */     // No operand predicates
     /* 1426663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426667 */     // MIs[0] policy
     /* 1426667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426679 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1426696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426722 */     // GIR_Coverage, 7452,
     /* 1426722 */     GIR_EraseRootFromParent_Done,
     /* 1426723 */   // Label 19215: @1426723
     /* 1426723 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1426838), // Rule ID 7453 //
     /* 1426728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426778 */     // MIs[1] Operand 1
     /* 1426778 */     // No operand predicates
     /* 1426778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426782 */     // MIs[0] policy
     /* 1426782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1426811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426837 */     // GIR_Coverage, 7453,
     /* 1426837 */     GIR_EraseRootFromParent_Done,
     /* 1426838 */   // Label 19216: @1426838
     /* 1426838 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1426953), // Rule ID 7456 //
     /* 1426843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1426860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1426893 */     // MIs[1] Operand 1
     /* 1426893 */     // No operand predicates
     /* 1426893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426897 */     // MIs[0] policy
     /* 1426897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426909 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1426913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1426919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1426923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1426926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1426935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1426941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426952 */     // GIR_Coverage, 7456,
     /* 1426952 */     GIR_EraseRootFromParent_Done,
     /* 1426953 */   // Label 19217: @1426953
     /* 1426953 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1427068), // Rule ID 7457 //
     /* 1426958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1426966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1426975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427008 */     // MIs[1] Operand 1
     /* 1427008 */     // No operand predicates
     /* 1427008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427012 */     // MIs[0] policy
     /* 1427012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427024 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1427041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1427064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427067 */     // GIR_Coverage, 7457,
     /* 1427067 */     GIR_EraseRootFromParent_Done,
     /* 1427068 */   // Label 19218: @1427068
     /* 1427068 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1427183), // Rule ID 7460 //
     /* 1427073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1427076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1427084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1427087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427123 */     // MIs[1] Operand 1
     /* 1427123 */     // No operand predicates
     /* 1427123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427127 */     // MIs[0] policy
     /* 1427127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1427156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427182 */     // GIR_Coverage, 7460,
     /* 1427182 */     GIR_EraseRootFromParent_Done,
     /* 1427183 */   // Label 19219: @1427183
     /* 1427183 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1427298), // Rule ID 7461 //
     /* 1427188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1427191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1427199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1427202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1427205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427238 */     // MIs[1] Operand 1
     /* 1427238 */     // No operand predicates
     /* 1427238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427242 */     // MIs[0] policy
     /* 1427242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427254 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1427271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427297 */     // GIR_Coverage, 7461,
     /* 1427297 */     GIR_EraseRootFromParent_Done,
     /* 1427298 */   // Label 19220: @1427298
     /* 1427298 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1427413), // Rule ID 7464 //
     /* 1427303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1427306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427353 */     // MIs[1] Operand 1
     /* 1427353 */     // No operand predicates
     /* 1427353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427357 */     // MIs[0] policy
     /* 1427357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1427386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427412 */     // GIR_Coverage, 7464,
     /* 1427412 */     GIR_EraseRootFromParent_Done,
     /* 1427413 */   // Label 19221: @1427413
     /* 1427413 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1427528), // Rule ID 7465 //
     /* 1427418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1427421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1427429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1427432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427468 */     // MIs[1] Operand 1
     /* 1427468 */     // No operand predicates
     /* 1427468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427472 */     // MIs[0] policy
     /* 1427472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1427501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427527 */     // GIR_Coverage, 7465,
     /* 1427527 */     GIR_EraseRootFromParent_Done,
     /* 1427528 */   // Label 19222: @1427528
     /* 1427528 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1427643), // Rule ID 7468 //
     /* 1427533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1427536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427583 */     // MIs[1] Operand 1
     /* 1427583 */     // No operand predicates
     /* 1427583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427587 */     // MIs[0] policy
     /* 1427587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427599 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1427616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427642 */     // GIR_Coverage, 7468,
     /* 1427642 */     GIR_EraseRootFromParent_Done,
     /* 1427643 */   // Label 19223: @1427643
     /* 1427643 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1427758), // Rule ID 7469 //
     /* 1427648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1427651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1427659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1427662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427698 */     // MIs[1] Operand 1
     /* 1427698 */     // No operand predicates
     /* 1427698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427702 */     // MIs[0] policy
     /* 1427702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1427731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427757 */     // GIR_Coverage, 7469,
     /* 1427757 */     GIR_EraseRootFromParent_Done,
     /* 1427758 */   // Label 19224: @1427758
     /* 1427758 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1427873), // Rule ID 7472 //
     /* 1427763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1427766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427813 */     // MIs[1] Operand 1
     /* 1427813 */     // No operand predicates
     /* 1427813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427817 */     // MIs[0] policy
     /* 1427817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427829 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1427846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427872 */     // GIR_Coverage, 7472,
     /* 1427872 */     GIR_EraseRootFromParent_Done,
     /* 1427873 */   // Label 19225: @1427873
     /* 1427873 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1427988), // Rule ID 7473 //
     /* 1427878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1427881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1427886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1427928 */     // MIs[1] Operand 1
     /* 1427928 */     // No operand predicates
     /* 1427928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427932 */     // MIs[0] policy
     /* 1427932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1427948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1427954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1427958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1427961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1427976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427987 */     // GIR_Coverage, 7473,
     /* 1427987 */     GIR_EraseRootFromParent_Done,
     /* 1427988 */   // Label 19226: @1427988
     /* 1427988 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1428103), // Rule ID 7596 //
     /* 1427993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428043 */     // MIs[1] Operand 1
     /* 1428043 */     // No operand predicates
     /* 1428043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428047 */     // MIs[0] policy
     /* 1428047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1428076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428102 */     // GIR_Coverage, 7596,
     /* 1428102 */     GIR_EraseRootFromParent_Done,
     /* 1428103 */   // Label 19227: @1428103
     /* 1428103 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1428218), // Rule ID 7597 //
     /* 1428108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428146 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428150 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428154 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428158 */     // MIs[1] Operand 1
     /* 1428158 */     // No operand predicates
     /* 1428158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428162 */     // MIs[0] policy
     /* 1428162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1428191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428217 */     // GIR_Coverage, 7597,
     /* 1428217 */     GIR_EraseRootFromParent_Done,
     /* 1428218 */   // Label 19228: @1428218
     /* 1428218 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1428333), // Rule ID 7600 //
     /* 1428223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428273 */     // MIs[1] Operand 1
     /* 1428273 */     // No operand predicates
     /* 1428273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428277 */     // MIs[0] policy
     /* 1428277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1428306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428332 */     // GIR_Coverage, 7600,
     /* 1428332 */     GIR_EraseRootFromParent_Done,
     /* 1428333 */   // Label 19229: @1428333
     /* 1428333 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1428448), // Rule ID 7601 //
     /* 1428338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428388 */     // MIs[1] Operand 1
     /* 1428388 */     // No operand predicates
     /* 1428388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428392 */     // MIs[0] policy
     /* 1428392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428404 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1428421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428447 */     // GIR_Coverage, 7601,
     /* 1428447 */     GIR_EraseRootFromParent_Done,
     /* 1428448 */   // Label 19230: @1428448
     /* 1428448 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1428563), // Rule ID 7604 //
     /* 1428453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1428470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428503 */     // MIs[1] Operand 1
     /* 1428503 */     // No operand predicates
     /* 1428503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428507 */     // MIs[0] policy
     /* 1428507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428519 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1428536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428562 */     // GIR_Coverage, 7604,
     /* 1428562 */     GIR_EraseRootFromParent_Done,
     /* 1428563 */   // Label 19231: @1428563
     /* 1428563 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1428678), // Rule ID 7605 //
     /* 1428568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1428585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428618 */     // MIs[1] Operand 1
     /* 1428618 */     // No operand predicates
     /* 1428618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428622 */     // MIs[0] policy
     /* 1428622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1428651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428677 */     // GIR_Coverage, 7605,
     /* 1428677 */     GIR_EraseRootFromParent_Done,
     /* 1428678 */   // Label 19232: @1428678
     /* 1428678 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1428793), // Rule ID 7608 //
     /* 1428683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428733 */     // MIs[1] Operand 1
     /* 1428733 */     // No operand predicates
     /* 1428733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428737 */     // MIs[0] policy
     /* 1428737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428749 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1428766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428792 */     // GIR_Coverage, 7608,
     /* 1428792 */     GIR_EraseRootFromParent_Done,
     /* 1428793 */   // Label 19233: @1428793
     /* 1428793 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1428908), // Rule ID 7609 //
     /* 1428798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1428809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1428812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1428815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1428821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428848 */     // MIs[1] Operand 1
     /* 1428848 */     // No operand predicates
     /* 1428848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428852 */     // MIs[0] policy
     /* 1428852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428864 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1428881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1428896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428907 */     // GIR_Coverage, 7609,
     /* 1428907 */     GIR_EraseRootFromParent_Done,
     /* 1428908 */   // Label 19234: @1428908
     /* 1428908 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1429023), // Rule ID 7612 //
     /* 1428913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1428921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1428924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1428927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1428930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1428936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1428943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1428947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1428951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1428963 */     // MIs[1] Operand 1
     /* 1428963 */     // No operand predicates
     /* 1428963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428967 */     // MIs[0] policy
     /* 1428967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1428983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1428989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1428993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1428996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429022 */     // GIR_Coverage, 7612,
     /* 1429022 */     GIR_EraseRootFromParent_Done,
     /* 1429023 */   // Label 19235: @1429023
     /* 1429023 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1429138), // Rule ID 7613 //
     /* 1429028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1429045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429078 */     // MIs[1] Operand 1
     /* 1429078 */     // No operand predicates
     /* 1429078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429082 */     // MIs[0] policy
     /* 1429082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1429111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429137 */     // GIR_Coverage, 7613,
     /* 1429137 */     GIR_EraseRootFromParent_Done,
     /* 1429138 */   // Label 19236: @1429138
     /* 1429138 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1429253), // Rule ID 7616 //
     /* 1429143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1429160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429193 */     // MIs[1] Operand 1
     /* 1429193 */     // No operand predicates
     /* 1429193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429197 */     // MIs[0] policy
     /* 1429197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429209 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1429226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429252 */     // GIR_Coverage, 7616,
     /* 1429252 */     GIR_EraseRootFromParent_Done,
     /* 1429253 */   // Label 19237: @1429253
     /* 1429253 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1429368), // Rule ID 7617 //
     /* 1429258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1429269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1429272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1429275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1429281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1429288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1429292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1429296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429308 */     // MIs[1] Operand 1
     /* 1429308 */     // No operand predicates
     /* 1429308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429312 */     // MIs[0] policy
     /* 1429312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429328 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1429341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429367 */     // GIR_Coverage, 7617,
     /* 1429367 */     GIR_EraseRootFromParent_Done,
     /* 1429368 */   // Label 19238: @1429368
     /* 1429368 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1429483), // Rule ID 7620 //
     /* 1429373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1429384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1429387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1429390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429423 */     // MIs[1] Operand 1
     /* 1429423 */     // No operand predicates
     /* 1429423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429427 */     // MIs[0] policy
     /* 1429427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429439 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1429456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429482 */     // GIR_Coverage, 7620,
     /* 1429482 */     GIR_EraseRootFromParent_Done,
     /* 1429483 */   // Label 19239: @1429483
     /* 1429483 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1429598), // Rule ID 7621 //
     /* 1429488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1429499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1429502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1429505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429538 */     // MIs[1] Operand 1
     /* 1429538 */     // No operand predicates
     /* 1429538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429542 */     // MIs[0] policy
     /* 1429542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429558 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429564 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1429571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429597 */     // GIR_Coverage, 7621,
     /* 1429597 */     GIR_EraseRootFromParent_Done,
     /* 1429598 */   // Label 19240: @1429598
     /* 1429598 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1429713), // Rule ID 7624 //
     /* 1429603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1429614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1429617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429653 */     // MIs[1] Operand 1
     /* 1429653 */     // No operand predicates
     /* 1429653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429657 */     // MIs[0] policy
     /* 1429657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429669 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1429686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429712 */     // GIR_Coverage, 7624,
     /* 1429712 */     GIR_EraseRootFromParent_Done,
     /* 1429713 */   // Label 19241: @1429713
     /* 1429713 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1429828), // Rule ID 7625 //
     /* 1429718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1429729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1429732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429768 */     // MIs[1] Operand 1
     /* 1429768 */     // No operand predicates
     /* 1429768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429772 */     // MIs[0] policy
     /* 1429772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1429801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429827 */     // GIR_Coverage, 7625,
     /* 1429827 */     GIR_EraseRootFromParent_Done,
     /* 1429828 */   // Label 19242: @1429828
     /* 1429828 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1429943), // Rule ID 7628 //
     /* 1429833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1429850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429883 */     // MIs[1] Operand 1
     /* 1429883 */     // No operand predicates
     /* 1429883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429887 */     // MIs[0] policy
     /* 1429887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1429903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1429909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1429913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1429916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1429931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429942 */     // GIR_Coverage, 7628,
     /* 1429942 */     GIR_EraseRootFromParent_Done,
     /* 1429943 */   // Label 19243: @1429943
     /* 1429943 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1430058), // Rule ID 7629 //
     /* 1429948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1429956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1429965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1429998 */     // MIs[1] Operand 1
     /* 1429998 */     // No operand predicates
     /* 1429998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430002 */     // MIs[0] policy
     /* 1430002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1430031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430057 */     // GIR_Coverage, 7629,
     /* 1430057 */     GIR_EraseRootFromParent_Done,
     /* 1430058 */   // Label 19244: @1430058
     /* 1430058 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1430173), // Rule ID 7632 //
     /* 1430063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1430080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430113 */     // MIs[1] Operand 1
     /* 1430113 */     // No operand predicates
     /* 1430113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430117 */     // MIs[0] policy
     /* 1430117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430129 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1430146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430172 */     // GIR_Coverage, 7632,
     /* 1430172 */     GIR_EraseRootFromParent_Done,
     /* 1430173 */   // Label 19245: @1430173
     /* 1430173 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1430288), // Rule ID 7633 //
     /* 1430178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1430195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430228 */     // MIs[1] Operand 1
     /* 1430228 */     // No operand predicates
     /* 1430228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430232 */     // MIs[0] policy
     /* 1430232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430244 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1430261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430287 */     // GIR_Coverage, 7633,
     /* 1430287 */     GIR_EraseRootFromParent_Done,
     /* 1430288 */   // Label 19246: @1430288
     /* 1430288 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1430403), // Rule ID 7636 //
     /* 1430293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1430310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430343 */     // MIs[1] Operand 1
     /* 1430343 */     // No operand predicates
     /* 1430343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430347 */     // MIs[0] policy
     /* 1430347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430359 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1430376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430402 */     // GIR_Coverage, 7636,
     /* 1430402 */     GIR_EraseRootFromParent_Done,
     /* 1430403 */   // Label 19247: @1430403
     /* 1430403 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1430518), // Rule ID 7637 //
     /* 1430408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1430425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430458 */     // MIs[1] Operand 1
     /* 1430458 */     // No operand predicates
     /* 1430458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430462 */     // MIs[0] policy
     /* 1430462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1430491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430517 */     // GIR_Coverage, 7637,
     /* 1430517 */     GIR_EraseRootFromParent_Done,
     /* 1430518 */   // Label 19248: @1430518
     /* 1430518 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1430633), // Rule ID 7640 //
     /* 1430523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1430526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1430540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430573 */     // MIs[1] Operand 1
     /* 1430573 */     // No operand predicates
     /* 1430573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430577 */     // MIs[0] policy
     /* 1430577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430589 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1430606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430632 */     // GIR_Coverage, 7640,
     /* 1430632 */     GIR_EraseRootFromParent_Done,
     /* 1430633 */   // Label 19249: @1430633
     /* 1430633 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1430748), // Rule ID 7641 //
     /* 1430638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1430641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1430649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1430652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1430655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1430661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430688 */     // MIs[1] Operand 1
     /* 1430688 */     // No operand predicates
     /* 1430688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430692 */     // MIs[0] policy
     /* 1430692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1430721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430747 */     // GIR_Coverage, 7641,
     /* 1430747 */     GIR_EraseRootFromParent_Done,
     /* 1430748 */   // Label 19250: @1430748
     /* 1430748 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1430863), // Rule ID 7644 //
     /* 1430753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1430756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1430764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1430767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1430770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430803 */     // MIs[1] Operand 1
     /* 1430803 */     // No operand predicates
     /* 1430803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430807 */     // MIs[0] policy
     /* 1430807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1430836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430862 */     // GIR_Coverage, 7644,
     /* 1430862 */     GIR_EraseRootFromParent_Done,
     /* 1430863 */   // Label 19251: @1430863
     /* 1430863 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1430978), // Rule ID 7645 //
     /* 1430868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1430871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1430879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1430882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1430885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1430891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1430898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1430902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430914 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1430918 */     // MIs[1] Operand 1
     /* 1430918 */     // No operand predicates
     /* 1430918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430922 */     // MIs[0] policy
     /* 1430922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1430938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1430944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1430948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1430951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1430966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1430974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430977 */     // GIR_Coverage, 7645,
     /* 1430977 */     GIR_EraseRootFromParent_Done,
     /* 1430978 */   // Label 19252: @1430978
     /* 1430978 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1431093), // Rule ID 7648 //
     /* 1430983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1430986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1430991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1430994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1430997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1431033 */     // MIs[1] Operand 1
     /* 1431033 */     // No operand predicates
     /* 1431033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431037 */     // MIs[0] policy
     /* 1431037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1431066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431092 */     // GIR_Coverage, 7648,
     /* 1431092 */     GIR_EraseRootFromParent_Done,
     /* 1431093 */   // Label 19253: @1431093
     /* 1431093 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1431208), // Rule ID 7649 //
     /* 1431098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1431101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1431106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1431148 */     // MIs[1] Operand 1
     /* 1431148 */     // No operand predicates
     /* 1431148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431152 */     // MIs[0] policy
     /* 1431152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1431181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431207 */     // GIR_Coverage, 7649,
     /* 1431207 */     GIR_EraseRootFromParent_Done,
     /* 1431208 */   // Label 19254: @1431208
     /* 1431208 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1431323), // Rule ID 7652 //
     /* 1431213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1431216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1431221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1431263 */     // MIs[1] Operand 1
     /* 1431263 */     // No operand predicates
     /* 1431263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431267 */     // MIs[0] policy
     /* 1431267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431279 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1431296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431322 */     // GIR_Coverage, 7652,
     /* 1431322 */     GIR_EraseRootFromParent_Done,
     /* 1431323 */   // Label 19255: @1431323
     /* 1431323 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1431438), // Rule ID 7653 //
     /* 1431328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1431331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1431336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1431378 */     // MIs[1] Operand 1
     /* 1431378 */     // No operand predicates
     /* 1431378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431382 */     // MIs[0] policy
     /* 1431382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1431411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431437 */     // GIR_Coverage, 7653,
     /* 1431437 */     GIR_EraseRootFromParent_Done,
     /* 1431438 */   // Label 19256: @1431438
     /* 1431438 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1431556), // Rule ID 14082 //
     /* 1431443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1431451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1431454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1431457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1431460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431493 */     // MIs[1] Operand 1
     /* 1431493 */     // No operand predicates
     /* 1431493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431497 */     // MIs[0] policy
     /* 1431497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431509 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1431526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1431554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431555 */     // GIR_Coverage, 14082,
     /* 1431555 */     GIR_EraseRootFromParent_Done,
     /* 1431556 */   // Label 19257: @1431556
     /* 1431556 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1431674), // Rule ID 14083 //
     /* 1431561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1431569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1431572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1431575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1431578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1431584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431611 */     // MIs[1] Operand 1
     /* 1431611 */     // No operand predicates
     /* 1431611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431615 */     // MIs[0] policy
     /* 1431615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1431644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1431672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431673 */     // GIR_Coverage, 14083,
     /* 1431673 */     GIR_EraseRootFromParent_Done,
     /* 1431674 */   // Label 19258: @1431674
     /* 1431674 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1431792), // Rule ID 14086 //
     /* 1431679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1431687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1431690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1431693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1431696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431729 */     // MIs[1] Operand 1
     /* 1431729 */     // No operand predicates
     /* 1431729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431733 */     // MIs[0] policy
     /* 1431733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431745 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1431762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431768 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1431790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431791 */     // GIR_Coverage, 14086,
     /* 1431791 */     GIR_EraseRootFromParent_Done,
     /* 1431792 */   // Label 19259: @1431792
     /* 1431792 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1431910), // Rule ID 14087 //
     /* 1431797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1431805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1431808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1431811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1431814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431847 */     // MIs[1] Operand 1
     /* 1431847 */     // No operand predicates
     /* 1431847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431851 */     // MIs[0] policy
     /* 1431851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431863 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1431880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1431895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1431903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1431908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431909 */     // GIR_Coverage, 14087,
     /* 1431909 */     GIR_EraseRootFromParent_Done,
     /* 1431910 */   // Label 19260: @1431910
     /* 1431910 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1432028), // Rule ID 14090 //
     /* 1431915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1431923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1431926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1431929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1431932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1431945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1431953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431965 */     // MIs[1] Operand 1
     /* 1431965 */     // No operand predicates
     /* 1431965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431969 */     // MIs[0] policy
     /* 1431969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431981 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1431985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1431991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1431995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1431998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432027 */     // GIR_Coverage, 14090,
     /* 1432027 */     GIR_EraseRootFromParent_Done,
     /* 1432028 */   // Label 19261: @1432028
     /* 1432028 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1432146), // Rule ID 14091 //
     /* 1432033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432083 */     // MIs[1] Operand 1
     /* 1432083 */     // No operand predicates
     /* 1432083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432087 */     // MIs[0] policy
     /* 1432087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432099 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1432116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432145 */     // GIR_Coverage, 14091,
     /* 1432145 */     GIR_EraseRootFromParent_Done,
     /* 1432146 */   // Label 19262: @1432146
     /* 1432146 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1432264), // Rule ID 14094 //
     /* 1432151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432201 */     // MIs[1] Operand 1
     /* 1432201 */     // No operand predicates
     /* 1432201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432205 */     // MIs[0] policy
     /* 1432205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1432234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432263 */     // GIR_Coverage, 14094,
     /* 1432263 */     GIR_EraseRootFromParent_Done,
     /* 1432264 */   // Label 19263: @1432264
     /* 1432264 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1432382), // Rule ID 14095 //
     /* 1432269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432319 */     // MIs[1] Operand 1
     /* 1432319 */     // No operand predicates
     /* 1432319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432323 */     // MIs[0] policy
     /* 1432323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432335 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1432352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432361 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432381 */     // GIR_Coverage, 14095,
     /* 1432381 */     GIR_EraseRootFromParent_Done,
     /* 1432382 */   // Label 19264: @1432382
     /* 1432382 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1432500), // Rule ID 14098 //
     /* 1432387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432437 */     // MIs[1] Operand 1
     /* 1432437 */     // No operand predicates
     /* 1432437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432441 */     // MIs[0] policy
     /* 1432441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1432470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432499 */     // GIR_Coverage, 14098,
     /* 1432499 */     GIR_EraseRootFromParent_Done,
     /* 1432500 */   // Label 19265: @1432500
     /* 1432500 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1432618), // Rule ID 14099 //
     /* 1432505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432555 */     // MIs[1] Operand 1
     /* 1432555 */     // No operand predicates
     /* 1432555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432559 */     // MIs[0] policy
     /* 1432559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1432588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432617 */     // GIR_Coverage, 14099,
     /* 1432617 */     GIR_EraseRootFromParent_Done,
     /* 1432618 */   // Label 19266: @1432618
     /* 1432618 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1432736), // Rule ID 14102 //
     /* 1432623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1432634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1432637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1432640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432673 */     // MIs[1] Operand 1
     /* 1432673 */     // No operand predicates
     /* 1432673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432677 */     // MIs[0] policy
     /* 1432677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432680 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432689 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1432706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432735 */     // GIR_Coverage, 14102,
     /* 1432735 */     GIR_EraseRootFromParent_Done,
     /* 1432736 */   // Label 19267: @1432736
     /* 1432736 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1432854), // Rule ID 14103 //
     /* 1432741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1432752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1432755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1432758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432791 */     // MIs[1] Operand 1
     /* 1432791 */     // No operand predicates
     /* 1432791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432795 */     // MIs[0] policy
     /* 1432795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1432824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1432847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432853 */     // GIR_Coverage, 14103,
     /* 1432853 */     GIR_EraseRootFromParent_Done,
     /* 1432854 */   // Label 19268: @1432854
     /* 1432854 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1432972), // Rule ID 14106 //
     /* 1432859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1432870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1432873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1432876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432909 */     // MIs[1] Operand 1
     /* 1432909 */     // No operand predicates
     /* 1432909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432913 */     // MIs[0] policy
     /* 1432913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432916 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432925 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1432929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1432935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1432939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1432942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432948 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1432957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1432970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432971 */     // GIR_Coverage, 14106,
     /* 1432971 */     GIR_EraseRootFromParent_Done,
     /* 1432972 */   // Label 19269: @1432972
     /* 1432972 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1433090), // Rule ID 14107 //
     /* 1432977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1432985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1432988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1432991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1432994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433027 */     // MIs[1] Operand 1
     /* 1433027 */     // No operand predicates
     /* 1433027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433031 */     // MIs[0] policy
     /* 1433031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433043 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433089 */     // GIR_Coverage, 14107,
     /* 1433089 */     GIR_EraseRootFromParent_Done,
     /* 1433090 */   // Label 19270: @1433090
     /* 1433090 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1433208), // Rule ID 14110 //
     /* 1433095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433145 */     // MIs[1] Operand 1
     /* 1433145 */     // No operand predicates
     /* 1433145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433149 */     // MIs[0] policy
     /* 1433149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433161 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433187 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433207 */     // GIR_Coverage, 14110,
     /* 1433207 */     GIR_EraseRootFromParent_Done,
     /* 1433208 */   // Label 19271: @1433208
     /* 1433208 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1433326), // Rule ID 14111 //
     /* 1433213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433263 */     // MIs[1] Operand 1
     /* 1433263 */     // No operand predicates
     /* 1433263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433267 */     // MIs[0] policy
     /* 1433267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433279 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433325 */     // GIR_Coverage, 14111,
     /* 1433325 */     GIR_EraseRootFromParent_Done,
     /* 1433326 */   // Label 19272: @1433326
     /* 1433326 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1433444), // Rule ID 14114 //
     /* 1433331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433381 */     // MIs[1] Operand 1
     /* 1433381 */     // No operand predicates
     /* 1433381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433385 */     // MIs[0] policy
     /* 1433385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433397 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433443 */     // GIR_Coverage, 14114,
     /* 1433443 */     GIR_EraseRootFromParent_Done,
     /* 1433444 */   // Label 19273: @1433444
     /* 1433444 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1433562), // Rule ID 14115 //
     /* 1433449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433499 */     // MIs[1] Operand 1
     /* 1433499 */     // No operand predicates
     /* 1433499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433503 */     // MIs[0] policy
     /* 1433503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433561 */     // GIR_Coverage, 14115,
     /* 1433561 */     GIR_EraseRootFromParent_Done,
     /* 1433562 */   // Label 19274: @1433562
     /* 1433562 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1433680), // Rule ID 14118 //
     /* 1433567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433617 */     // MIs[1] Operand 1
     /* 1433617 */     // No operand predicates
     /* 1433617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433621 */     // MIs[0] policy
     /* 1433621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433633 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433679 */     // GIR_Coverage, 14118,
     /* 1433679 */     GIR_EraseRootFromParent_Done,
     /* 1433680 */   // Label 19275: @1433680
     /* 1433680 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1433798), // Rule ID 14119 //
     /* 1433685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1433688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433735 */     // MIs[1] Operand 1
     /* 1433735 */     // No operand predicates
     /* 1433735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433739 */     // MIs[0] policy
     /* 1433739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433751 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1433768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1433791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433793 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433797 */     // GIR_Coverage, 14119,
     /* 1433797 */     GIR_EraseRootFromParent_Done,
     /* 1433798 */   // Label 19276: @1433798
     /* 1433798 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1433916), // Rule ID 14122 //
     /* 1433803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1433814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1433817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1433820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433853 */     // MIs[1] Operand 1
     /* 1433853 */     // No operand predicates
     /* 1433853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433857 */     // MIs[0] policy
     /* 1433857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433869 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1433883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1433886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1433901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1433914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433915 */     // GIR_Coverage, 14122,
     /* 1433915 */     GIR_EraseRootFromParent_Done,
     /* 1433916 */   // Label 19277: @1433916
     /* 1433916 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1434034), // Rule ID 14123 //
     /* 1433921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1433929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1433932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1433935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1433938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1433944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1433951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1433959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433971 */     // MIs[1] Operand 1
     /* 1433971 */     // No operand predicates
     /* 1433971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433975 */     // MIs[0] policy
     /* 1433975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433987 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1433991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1433997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1434004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434033 */     // GIR_Coverage, 14123,
     /* 1434033 */     GIR_EraseRootFromParent_Done,
     /* 1434034 */   // Label 19278: @1434034
     /* 1434034 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1434152), // Rule ID 14126 //
     /* 1434039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434089 */     // MIs[1] Operand 1
     /* 1434089 */     // No operand predicates
     /* 1434089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434093 */     // MIs[0] policy
     /* 1434093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434105 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1434122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434131 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434147 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434151 */     // GIR_Coverage, 14126,
     /* 1434151 */     GIR_EraseRootFromParent_Done,
     /* 1434152 */   // Label 19279: @1434152
     /* 1434152 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1434270), // Rule ID 14127 //
     /* 1434157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434207 */     // MIs[1] Operand 1
     /* 1434207 */     // No operand predicates
     /* 1434207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434211 */     // MIs[0] policy
     /* 1434211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434223 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1434240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434269 */     // GIR_Coverage, 14127,
     /* 1434269 */     GIR_EraseRootFromParent_Done,
     /* 1434270 */   // Label 19280: @1434270
     /* 1434270 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1434388), // Rule ID 14130 //
     /* 1434275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434325 */     // MIs[1] Operand 1
     /* 1434325 */     // No operand predicates
     /* 1434325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434329 */     // MIs[0] policy
     /* 1434329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434341 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1434358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434387 */     // GIR_Coverage, 14130,
     /* 1434387 */     GIR_EraseRootFromParent_Done,
     /* 1434388 */   // Label 19281: @1434388
     /* 1434388 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1434506), // Rule ID 14131 //
     /* 1434393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434443 */     // MIs[1] Operand 1
     /* 1434443 */     // No operand predicates
     /* 1434443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434447 */     // MIs[0] policy
     /* 1434447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1434476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434505 */     // GIR_Coverage, 14131,
     /* 1434505 */     GIR_EraseRootFromParent_Done,
     /* 1434506 */   // Label 19282: @1434506
     /* 1434506 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1434624), // Rule ID 14134 //
     /* 1434511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434561 */     // MIs[1] Operand 1
     /* 1434561 */     // No operand predicates
     /* 1434561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434565 */     // MIs[0] policy
     /* 1434565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1434594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434623 */     // GIR_Coverage, 14134,
     /* 1434623 */     GIR_EraseRootFromParent_Done,
     /* 1434624 */   // Label 19283: @1434624
     /* 1434624 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1434742), // Rule ID 14135 //
     /* 1434629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434679 */     // MIs[1] Operand 1
     /* 1434679 */     // No operand predicates
     /* 1434679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434683 */     // MIs[0] policy
     /* 1434683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1434712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434741 */     // GIR_Coverage, 14135,
     /* 1434741 */     GIR_EraseRootFromParent_Done,
     /* 1434742 */   // Label 19284: @1434742
     /* 1434742 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1434860), // Rule ID 14138 //
     /* 1434747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434797 */     // MIs[1] Operand 1
     /* 1434797 */     // No operand predicates
     /* 1434797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434801 */     // MIs[0] policy
     /* 1434801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434813 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1434830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434859 */     // GIR_Coverage, 14138,
     /* 1434859 */     GIR_EraseRootFromParent_Done,
     /* 1434860 */   // Label 19285: @1434860
     /* 1434860 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1434978), // Rule ID 14139 //
     /* 1434865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434915 */     // MIs[1] Operand 1
     /* 1434915 */     // No operand predicates
     /* 1434915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434919 */     // MIs[0] policy
     /* 1434919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434931 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1434935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1434941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1434945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1434948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434957 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1434963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1434976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434977 */     // GIR_Coverage, 14139,
     /* 1434977 */     GIR_EraseRootFromParent_Done,
     /* 1434978 */   // Label 19286: @1434978
     /* 1434978 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1435096), // Rule ID 14142 //
     /* 1434983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1434991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1434994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1434997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435033 */     // MIs[1] Operand 1
     /* 1435033 */     // No operand predicates
     /* 1435033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435037 */     // MIs[0] policy
     /* 1435037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435049 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1435066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435095 */     // GIR_Coverage, 14142,
     /* 1435095 */     GIR_EraseRootFromParent_Done,
     /* 1435096 */   // Label 19287: @1435096
     /* 1435096 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1435214), // Rule ID 14143 //
     /* 1435101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435151 */     // MIs[1] Operand 1
     /* 1435151 */     // No operand predicates
     /* 1435151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435155 */     // MIs[0] policy
     /* 1435155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1435184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435190 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435213 */     // GIR_Coverage, 14143,
     /* 1435213 */     GIR_EraseRootFromParent_Done,
     /* 1435214 */   // Label 19288: @1435214
     /* 1435214 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1435332), // Rule ID 14146 //
     /* 1435219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435269 */     // MIs[1] Operand 1
     /* 1435269 */     // No operand predicates
     /* 1435269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435273 */     // MIs[0] policy
     /* 1435273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435285 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1435302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435327 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435331 */     // GIR_Coverage, 14146,
     /* 1435331 */     GIR_EraseRootFromParent_Done,
     /* 1435332 */   // Label 19289: @1435332
     /* 1435332 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1435450), // Rule ID 14147 //
     /* 1435337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435387 */     // MIs[1] Operand 1
     /* 1435387 */     // No operand predicates
     /* 1435387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435391 */     // MIs[0] policy
     /* 1435391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1435420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435445 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435449 */     // GIR_Coverage, 14147,
     /* 1435449 */     GIR_EraseRootFromParent_Done,
     /* 1435450 */   // Label 19290: @1435450
     /* 1435450 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1435568), // Rule ID 14150 //
     /* 1435455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435505 */     // MIs[1] Operand 1
     /* 1435505 */     // No operand predicates
     /* 1435505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435509 */     // MIs[0] policy
     /* 1435509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435521 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1435538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435544 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435567 */     // GIR_Coverage, 14150,
     /* 1435567 */     GIR_EraseRootFromParent_Done,
     /* 1435568 */   // Label 19291: @1435568
     /* 1435568 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1435686), // Rule ID 14151 //
     /* 1435573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435623 */     // MIs[1] Operand 1
     /* 1435623 */     // No operand predicates
     /* 1435623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435627 */     // MIs[0] policy
     /* 1435627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1435656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435685 */     // GIR_Coverage, 14151,
     /* 1435685 */     GIR_EraseRootFromParent_Done,
     /* 1435686 */   // Label 19292: @1435686
     /* 1435686 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1435804), // Rule ID 14154 //
     /* 1435691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435741 */     // MIs[1] Operand 1
     /* 1435741 */     // No operand predicates
     /* 1435741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435745 */     // MIs[0] policy
     /* 1435745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435757 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1435774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435803 */     // GIR_Coverage, 14154,
     /* 1435803 */     GIR_EraseRootFromParent_Done,
     /* 1435804 */   // Label 19293: @1435804
     /* 1435804 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1435922), // Rule ID 14155 //
     /* 1435809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435859 */     // MIs[1] Operand 1
     /* 1435859 */     // No operand predicates
     /* 1435859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435863 */     // MIs[0] policy
     /* 1435863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1435885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1435889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1435892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1435907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1435920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435921 */     // GIR_Coverage, 14155,
     /* 1435921 */     GIR_EraseRootFromParent_Done,
     /* 1435922 */   // Label 19294: @1435922
     /* 1435922 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1436040), // Rule ID 14158 //
     /* 1435927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1435935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435977 */     // MIs[1] Operand 1
     /* 1435977 */     // No operand predicates
     /* 1435977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435981 */     // MIs[0] policy
     /* 1435981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435993 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1435997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1436010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436039 */     // GIR_Coverage, 14158,
     /* 1436039 */     GIR_EraseRootFromParent_Done,
     /* 1436040 */   // Label 19295: @1436040
     /* 1436040 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1436158), // Rule ID 14159 //
     /* 1436045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1436053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1436056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1436059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1436062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1436075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1436083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436095 */     // MIs[1] Operand 1
     /* 1436095 */     // No operand predicates
     /* 1436095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436099 */     // MIs[0] policy
     /* 1436099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436111 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1436128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436137 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436157 */     // GIR_Coverage, 14159,
     /* 1436157 */     GIR_EraseRootFromParent_Done,
     /* 1436158 */   // Label 19296: @1436158
     /* 1436158 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1436276), // Rule ID 14162 //
     /* 1436163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1436171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436213 */     // MIs[1] Operand 1
     /* 1436213 */     // No operand predicates
     /* 1436213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436217 */     // MIs[0] policy
     /* 1436217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436229 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1436246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436275 */     // GIR_Coverage, 14162,
     /* 1436275 */     GIR_EraseRootFromParent_Done,
     /* 1436276 */   // Label 19297: @1436276
     /* 1436276 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1436394), // Rule ID 14163 //
     /* 1436281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1436289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436331 */     // MIs[1] Operand 1
     /* 1436331 */     // No operand predicates
     /* 1436331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436335 */     // MIs[0] policy
     /* 1436335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1436364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436370 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436393 */     // GIR_Coverage, 14163,
     /* 1436393 */     GIR_EraseRootFromParent_Done,
     /* 1436394 */   // Label 19298: @1436394
     /* 1436394 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1436512), // Rule ID 14166 //
     /* 1436399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1436407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436449 */     // MIs[1] Operand 1
     /* 1436449 */     // No operand predicates
     /* 1436449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436453 */     // MIs[0] policy
     /* 1436453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1436482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436488 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436511 */     // GIR_Coverage, 14166,
     /* 1436511 */     GIR_EraseRootFromParent_Done,
     /* 1436512 */   // Label 19299: @1436512
     /* 1436512 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1436630), // Rule ID 14167 //
     /* 1436517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1436525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436567 */     // MIs[1] Operand 1
     /* 1436567 */     // No operand predicates
     /* 1436567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436571 */     // MIs[0] policy
     /* 1436571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1436600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436629 */     // GIR_Coverage, 14167,
     /* 1436629 */     GIR_EraseRootFromParent_Done,
     /* 1436630 */   // Label 19300: @1436630
     /* 1436630 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1436748), // Rule ID 14346 //
     /* 1436635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1436643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436685 */     // MIs[1] Operand 1
     /* 1436685 */     // No operand predicates
     /* 1436685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436689 */     // MIs[0] policy
     /* 1436689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436701 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1436718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436724 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436727 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436747 */     // GIR_Coverage, 14346,
     /* 1436747 */     GIR_EraseRootFromParent_Done,
     /* 1436748 */   // Label 19301: @1436748
     /* 1436748 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1436866), // Rule ID 14347 //
     /* 1436753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1436761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436803 */     // MIs[1] Operand 1
     /* 1436803 */     // No operand predicates
     /* 1436803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436807 */     // MIs[0] policy
     /* 1436807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1436836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436865 */     // GIR_Coverage, 14347,
     /* 1436865 */     GIR_EraseRootFromParent_Done,
     /* 1436866 */   // Label 19302: @1436866
     /* 1436866 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1436984), // Rule ID 14350 //
     /* 1436871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1436879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436921 */     // MIs[1] Operand 1
     /* 1436921 */     // No operand predicates
     /* 1436921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436925 */     // MIs[0] policy
     /* 1436925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436937 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1436941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1436947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1436951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1436954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1436969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1436982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436983 */     // GIR_Coverage, 14350,
     /* 1436983 */     GIR_EraseRootFromParent_Done,
     /* 1436984 */   // Label 19303: @1436984
     /* 1436984 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1437102), // Rule ID 14351 //
     /* 1436989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1436997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1437000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1437003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1437006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437039 */     // MIs[1] Operand 1
     /* 1437039 */     // No operand predicates
     /* 1437039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437043 */     // MIs[0] policy
     /* 1437043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437055 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1437072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437101 */     // GIR_Coverage, 14351,
     /* 1437101 */     GIR_EraseRootFromParent_Done,
     /* 1437102 */   // Label 19304: @1437102
     /* 1437102 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1437220), // Rule ID 14354 //
     /* 1437107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1437118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1437121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1437124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437157 */     // MIs[1] Operand 1
     /* 1437157 */     // No operand predicates
     /* 1437157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437161 */     // MIs[0] policy
     /* 1437161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437173 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1437190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437219 */     // GIR_Coverage, 14354,
     /* 1437219 */     GIR_EraseRootFromParent_Done,
     /* 1437220 */   // Label 19305: @1437220
     /* 1437220 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1437338), // Rule ID 14355 //
     /* 1437225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1437236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1437239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1437242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437275 */     // MIs[1] Operand 1
     /* 1437275 */     // No operand predicates
     /* 1437275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437279 */     // MIs[0] policy
     /* 1437279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1437308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437337 */     // GIR_Coverage, 14355,
     /* 1437337 */     GIR_EraseRootFromParent_Done,
     /* 1437338 */   // Label 19306: @1437338
     /* 1437338 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1437456), // Rule ID 14358 //
     /* 1437343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437393 */     // MIs[1] Operand 1
     /* 1437393 */     // No operand predicates
     /* 1437393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437397 */     // MIs[0] policy
     /* 1437397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1437426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437455 */     // GIR_Coverage, 14358,
     /* 1437455 */     GIR_EraseRootFromParent_Done,
     /* 1437456 */   // Label 19307: @1437456
     /* 1437456 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1437574), // Rule ID 14359 //
     /* 1437461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437511 */     // MIs[1] Operand 1
     /* 1437511 */     // No operand predicates
     /* 1437511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437515 */     // MIs[0] policy
     /* 1437515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1437544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437573 */     // GIR_Coverage, 14359,
     /* 1437573 */     GIR_EraseRootFromParent_Done,
     /* 1437574 */   // Label 19308: @1437574
     /* 1437574 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1437692), // Rule ID 14362 //
     /* 1437579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437629 */     // MIs[1] Operand 1
     /* 1437629 */     // No operand predicates
     /* 1437629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437633 */     // MIs[0] policy
     /* 1437633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437645 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1437662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437691 */     // GIR_Coverage, 14362,
     /* 1437691 */     GIR_EraseRootFromParent_Done,
     /* 1437692 */   // Label 19309: @1437692
     /* 1437692 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1437810), // Rule ID 14363 //
     /* 1437697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437747 */     // MIs[1] Operand 1
     /* 1437747 */     // No operand predicates
     /* 1437747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437751 */     // MIs[0] policy
     /* 1437751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1437780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437809 */     // GIR_Coverage, 14363,
     /* 1437809 */     GIR_EraseRootFromParent_Done,
     /* 1437810 */   // Label 19310: @1437810
     /* 1437810 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1437928), // Rule ID 14366 //
     /* 1437815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437865 */     // MIs[1] Operand 1
     /* 1437865 */     // No operand predicates
     /* 1437865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437869 */     // MIs[0] policy
     /* 1437869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1437885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1437891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1437895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1437898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437904 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1437913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1437926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437927 */     // GIR_Coverage, 14366,
     /* 1437927 */     GIR_EraseRootFromParent_Done,
     /* 1437928 */   // Label 19311: @1437928
     /* 1437928 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1438046), // Rule ID 14367 //
     /* 1437933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1437941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437983 */     // MIs[1] Operand 1
     /* 1437983 */     // No operand predicates
     /* 1437983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437987 */     // MIs[0] policy
     /* 1437987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437999 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1438016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438045 */     // GIR_Coverage, 14367,
     /* 1438045 */     GIR_EraseRootFromParent_Done,
     /* 1438046 */   // Label 19312: @1438046
     /* 1438046 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1438164), // Rule ID 14370 //
     /* 1438051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1438062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1438065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1438068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438101 */     // MIs[1] Operand 1
     /* 1438101 */     // No operand predicates
     /* 1438101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438105 */     // MIs[0] policy
     /* 1438105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438117 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438163 */     // GIR_Coverage, 14370,
     /* 1438163 */     GIR_EraseRootFromParent_Done,
     /* 1438164 */   // Label 19313: @1438164
     /* 1438164 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1438282), // Rule ID 14371 //
     /* 1438169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1438180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1438183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1438186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438219 */     // MIs[1] Operand 1
     /* 1438219 */     // No operand predicates
     /* 1438219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438223 */     // MIs[0] policy
     /* 1438223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438235 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438281 */     // GIR_Coverage, 14371,
     /* 1438281 */     GIR_EraseRootFromParent_Done,
     /* 1438282 */   // Label 19314: @1438282
     /* 1438282 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1438400), // Rule ID 14374 //
     /* 1438287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1438298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1438301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1438304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438337 */     // MIs[1] Operand 1
     /* 1438337 */     // No operand predicates
     /* 1438337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438341 */     // MIs[0] policy
     /* 1438341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438399 */     // GIR_Coverage, 14374,
     /* 1438399 */     GIR_EraseRootFromParent_Done,
     /* 1438400 */   // Label 19315: @1438400
     /* 1438400 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1438518), // Rule ID 14375 //
     /* 1438405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1438416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1438419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1438422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1438428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438455 */     // MIs[1] Operand 1
     /* 1438455 */     // No operand predicates
     /* 1438455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438459 */     // MIs[0] policy
     /* 1438459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438471 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438497 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1438511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438517 */     // GIR_Coverage, 14375,
     /* 1438517 */     GIR_EraseRootFromParent_Done,
     /* 1438518 */   // Label 19316: @1438518
     /* 1438518 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1438636), // Rule ID 14378 //
     /* 1438523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438573 */     // MIs[1] Operand 1
     /* 1438573 */     // No operand predicates
     /* 1438573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438577 */     // MIs[0] policy
     /* 1438577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438635 */     // GIR_Coverage, 14378,
     /* 1438635 */     GIR_EraseRootFromParent_Done,
     /* 1438636 */   // Label 19317: @1438636
     /* 1438636 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1438754), // Rule ID 14379 //
     /* 1438641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438691 */     // MIs[1] Operand 1
     /* 1438691 */     // No operand predicates
     /* 1438691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438695 */     // MIs[0] policy
     /* 1438695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438753 */     // GIR_Coverage, 14379,
     /* 1438753 */     GIR_EraseRootFromParent_Done,
     /* 1438754 */   // Label 19318: @1438754
     /* 1438754 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1438872), // Rule ID 14382 //
     /* 1438759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438809 */     // MIs[1] Operand 1
     /* 1438809 */     // No operand predicates
     /* 1438809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438813 */     // MIs[0] policy
     /* 1438813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438825 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438867 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438871 */     // GIR_Coverage, 14382,
     /* 1438871 */     GIR_EraseRootFromParent_Done,
     /* 1438872 */   // Label 19319: @1438872
     /* 1438872 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1438990), // Rule ID 14383 //
     /* 1438877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1438885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438927 */     // MIs[1] Operand 1
     /* 1438927 */     // No operand predicates
     /* 1438927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438931 */     // MIs[0] policy
     /* 1438931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1438947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1438953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1438957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1438960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1438975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438985 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1438988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438989 */     // GIR_Coverage, 14383,
     /* 1438989 */     GIR_EraseRootFromParent_Done,
     /* 1438990 */   // Label 19320: @1438990
     /* 1438990 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1439108), // Rule ID 14386 //
     /* 1438995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439045 */     // MIs[1] Operand 1
     /* 1439045 */     // No operand predicates
     /* 1439045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439049 */     // MIs[0] policy
     /* 1439049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439061 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1439078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439107 */     // GIR_Coverage, 14386,
     /* 1439107 */     GIR_EraseRootFromParent_Done,
     /* 1439108 */   // Label 19321: @1439108
     /* 1439108 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1439226), // Rule ID 14387 //
     /* 1439113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1439124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1439127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1439130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439163 */     // MIs[1] Operand 1
     /* 1439163 */     // No operand predicates
     /* 1439163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439167 */     // MIs[0] policy
     /* 1439167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1439196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439221 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439225 */     // GIR_Coverage, 14387,
     /* 1439225 */     GIR_EraseRootFromParent_Done,
     /* 1439226 */   // Label 19322: @1439226
     /* 1439226 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1439344), // Rule ID 14390 //
     /* 1439231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1439242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1439245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1439248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439281 */     // MIs[1] Operand 1
     /* 1439281 */     // No operand predicates
     /* 1439281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439285 */     // MIs[0] policy
     /* 1439285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1439314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439343 */     // GIR_Coverage, 14390,
     /* 1439343 */     GIR_EraseRootFromParent_Done,
     /* 1439344 */   // Label 19323: @1439344
     /* 1439344 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1439462), // Rule ID 14391 //
     /* 1439349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1439360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1439363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1439366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439399 */     // MIs[1] Operand 1
     /* 1439399 */     // No operand predicates
     /* 1439399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439403 */     // MIs[0] policy
     /* 1439403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439415 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1439432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439461 */     // GIR_Coverage, 14391,
     /* 1439461 */     GIR_EraseRootFromParent_Done,
     /* 1439462 */   // Label 19324: @1439462
     /* 1439462 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1439580), // Rule ID 14394 //
     /* 1439467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1439478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1439481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1439484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1439490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439517 */     // MIs[1] Operand 1
     /* 1439517 */     // No operand predicates
     /* 1439517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439521 */     // MIs[0] policy
     /* 1439521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439533 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1439550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439579 */     // GIR_Coverage, 14394,
     /* 1439579 */     GIR_EraseRootFromParent_Done,
     /* 1439580 */   // Label 19325: @1439580
     /* 1439580 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1439698), // Rule ID 14395 //
     /* 1439585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1439596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1439599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1439602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1439608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439635 */     // MIs[1] Operand 1
     /* 1439635 */     // No operand predicates
     /* 1439635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439639 */     // MIs[0] policy
     /* 1439639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1439668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1439691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439693 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439697 */     // GIR_Coverage, 14395,
     /* 1439697 */     GIR_EraseRootFromParent_Done,
     /* 1439698 */   // Label 19326: @1439698
     /* 1439698 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1439816), // Rule ID 14398 //
     /* 1439703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439753 */     // MIs[1] Operand 1
     /* 1439753 */     // No operand predicates
     /* 1439753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439757 */     // MIs[0] policy
     /* 1439757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1439786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439815 */     // GIR_Coverage, 14398,
     /* 1439815 */     GIR_EraseRootFromParent_Done,
     /* 1439816 */   // Label 19327: @1439816
     /* 1439816 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1439934), // Rule ID 14399 //
     /* 1439821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439871 */     // MIs[1] Operand 1
     /* 1439871 */     // No operand predicates
     /* 1439871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439875 */     // MIs[0] policy
     /* 1439875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1439891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1439897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1439901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1439904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1439919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1439932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439933 */     // GIR_Coverage, 14399,
     /* 1439933 */     GIR_EraseRootFromParent_Done,
     /* 1439934 */   // Label 19328: @1439934
     /* 1439934 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1440052), // Rule ID 14402 //
     /* 1439939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1439947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439989 */     // MIs[1] Operand 1
     /* 1439989 */     // No operand predicates
     /* 1439989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439993 */     // MIs[0] policy
     /* 1439993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440005 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1440022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440051 */     // GIR_Coverage, 14402,
     /* 1440051 */     GIR_EraseRootFromParent_Done,
     /* 1440052 */   // Label 19329: @1440052
     /* 1440052 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1440170), // Rule ID 14403 //
     /* 1440057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1440068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1440071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1440074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440107 */     // MIs[1] Operand 1
     /* 1440107 */     // No operand predicates
     /* 1440107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440111 */     // MIs[0] policy
     /* 1440111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1440140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440169 */     // GIR_Coverage, 14403,
     /* 1440169 */     GIR_EraseRootFromParent_Done,
     /* 1440170 */   // Label 19330: @1440170
     /* 1440170 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1440288), // Rule ID 14406 //
     /* 1440175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440225 */     // MIs[1] Operand 1
     /* 1440225 */     // No operand predicates
     /* 1440225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440229 */     // MIs[0] policy
     /* 1440229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440241 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1440258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440264 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440287 */     // GIR_Coverage, 14406,
     /* 1440287 */     GIR_EraseRootFromParent_Done,
     /* 1440288 */   // Label 19331: @1440288
     /* 1440288 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1440406), // Rule ID 14407 //
     /* 1440293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1440304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1440307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1440310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1440316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440343 */     // MIs[1] Operand 1
     /* 1440343 */     // No operand predicates
     /* 1440343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440347 */     // MIs[0] policy
     /* 1440347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440359 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1440376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1440399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440405 */     // GIR_Coverage, 14407,
     /* 1440405 */     GIR_EraseRootFromParent_Done,
     /* 1440406 */   // Label 19332: @1440406
     /* 1440406 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1440524), // Rule ID 14410 //
     /* 1440411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1440422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1440425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1440428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440461 */     // MIs[1] Operand 1
     /* 1440461 */     // No operand predicates
     /* 1440461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440465 */     // MIs[0] policy
     /* 1440465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440477 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1440494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440500 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440523 */     // GIR_Coverage, 14410,
     /* 1440523 */     GIR_EraseRootFromParent_Done,
     /* 1440524 */   // Label 19333: @1440524
     /* 1440524 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1440642), // Rule ID 14411 //
     /* 1440529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1440540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1440543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1440546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440579 */     // MIs[1] Operand 1
     /* 1440579 */     // No operand predicates
     /* 1440579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440583 */     // MIs[0] policy
     /* 1440583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1440612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440641 */     // GIR_Coverage, 14411,
     /* 1440641 */     GIR_EraseRootFromParent_Done,
     /* 1440642 */   // Label 19334: @1440642
     /* 1440642 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1440760), // Rule ID 14414 //
     /* 1440647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1440658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1440661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440697 */     // MIs[1] Operand 1
     /* 1440697 */     // No operand predicates
     /* 1440697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440701 */     // MIs[0] policy
     /* 1440701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440713 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1440730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440759 */     // GIR_Coverage, 14414,
     /* 1440759 */     GIR_EraseRootFromParent_Done,
     /* 1440760 */   // Label 19335: @1440760
     /* 1440760 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1440878), // Rule ID 14415 //
     /* 1440765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1440776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1440779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1440782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440815 */     // MIs[1] Operand 1
     /* 1440815 */     // No operand predicates
     /* 1440815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440819 */     // MIs[0] policy
     /* 1440819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440831 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1440848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440877 */     // GIR_Coverage, 14415,
     /* 1440877 */     GIR_EraseRootFromParent_Done,
     /* 1440878 */   // Label 19336: @1440878
     /* 1440878 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1440996), // Rule ID 14418 //
     /* 1440883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1440891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440933 */     // MIs[1] Operand 1
     /* 1440933 */     // No operand predicates
     /* 1440933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440937 */     // MIs[0] policy
     /* 1440937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440949 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1440953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1440959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1440963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1440966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1440981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1440994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440995 */     // GIR_Coverage, 14418,
     /* 1440995 */     GIR_EraseRootFromParent_Done,
     /* 1440996 */   // Label 19337: @1440996
     /* 1440996 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1441114), // Rule ID 14419 //
     /* 1441001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1441012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1441015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1441018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1441024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441051 */     // MIs[1] Operand 1
     /* 1441051 */     // No operand predicates
     /* 1441051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441055 */     // MIs[0] policy
     /* 1441055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1441084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441113 */     // GIR_Coverage, 14419,
     /* 1441113 */     GIR_EraseRootFromParent_Done,
     /* 1441114 */   // Label 19338: @1441114
     /* 1441114 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1441232), // Rule ID 14422 //
     /* 1441119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441169 */     // MIs[1] Operand 1
     /* 1441169 */     // No operand predicates
     /* 1441169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441173 */     // MIs[0] policy
     /* 1441173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441185 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1441202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441231 */     // GIR_Coverage, 14422,
     /* 1441231 */     GIR_EraseRootFromParent_Done,
     /* 1441232 */   // Label 19339: @1441232
     /* 1441232 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1441350), // Rule ID 14423 //
     /* 1441237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1441248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1441251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1441254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1441267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1441275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441287 */     // MIs[1] Operand 1
     /* 1441287 */     // No operand predicates
     /* 1441287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441291 */     // MIs[0] policy
     /* 1441291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441307 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1441320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441349 */     // GIR_Coverage, 14423,
     /* 1441349 */     GIR_EraseRootFromParent_Done,
     /* 1441350 */   // Label 19340: @1441350
     /* 1441350 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1441468), // Rule ID 14426 //
     /* 1441355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441405 */     // MIs[1] Operand 1
     /* 1441405 */     // No operand predicates
     /* 1441405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441409 */     // MIs[0] policy
     /* 1441409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1441438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441444 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441467 */     // GIR_Coverage, 14426,
     /* 1441467 */     GIR_EraseRootFromParent_Done,
     /* 1441468 */   // Label 19341: @1441468
     /* 1441468 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1441586), // Rule ID 14427 //
     /* 1441473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1441484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1441487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1441490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1441503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1441511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441523 */     // MIs[1] Operand 1
     /* 1441523 */     // No operand predicates
     /* 1441523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441527 */     // MIs[0] policy
     /* 1441527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1441556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441585 */     // GIR_Coverage, 14427,
     /* 1441585 */     GIR_EraseRootFromParent_Done,
     /* 1441586 */   // Label 19342: @1441586
     /* 1441586 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1441704), // Rule ID 14430 //
     /* 1441591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1441594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1441602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1441605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1441608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441641 */     // MIs[1] Operand 1
     /* 1441641 */     // No operand predicates
     /* 1441641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441645 */     // MIs[0] policy
     /* 1441645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441657 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1441674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441703 */     // GIR_Coverage, 14430,
     /* 1441703 */     GIR_EraseRootFromParent_Done,
     /* 1441704 */   // Label 19343: @1441704
     /* 1441704 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1441822), // Rule ID 14431 //
     /* 1441709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1441712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1441717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1441720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1441723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1441726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1441739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1441747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441759 */     // MIs[1] Operand 1
     /* 1441759 */     // No operand predicates
     /* 1441759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441763 */     // MIs[0] policy
     /* 1441763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441775 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1441792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1441815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1441820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441821 */     // GIR_Coverage, 14431,
     /* 1441821 */     GIR_EraseRootFromParent_Done,
     /* 1441822 */   // Label 19344: @1441822
     /* 1441822 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1441937), // Rule ID 23550 //
     /* 1441827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1441835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1441838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1441841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1441844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441877 */     // MIs[1] Operand 1
     /* 1441877 */     // No operand predicates
     /* 1441877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441881 */     // MIs[0] policy
     /* 1441881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441893 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1441897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1441903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1441907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1441910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1441914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1441925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441936 */     // GIR_Coverage, 23550,
     /* 1441936 */     GIR_EraseRootFromParent_Done,
     /* 1441937 */   // Label 19345: @1441937
     /* 1441937 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1442052), // Rule ID 23551 //
     /* 1441942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1441950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1441953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1441956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1441959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1441992 */     // MIs[1] Operand 1
     /* 1441992 */     // No operand predicates
     /* 1441992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441996 */     // MIs[0] policy
     /* 1441996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442008 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1442025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442051 */     // GIR_Coverage, 23551,
     /* 1442051 */     GIR_EraseRootFromParent_Done,
     /* 1442052 */   // Label 19346: @1442052
     /* 1442052 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1442167), // Rule ID 23554 //
     /* 1442057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442107 */     // MIs[1] Operand 1
     /* 1442107 */     // No operand predicates
     /* 1442107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442111 */     // MIs[0] policy
     /* 1442111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442123 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1442140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442166 */     // GIR_Coverage, 23554,
     /* 1442166 */     GIR_EraseRootFromParent_Done,
     /* 1442167 */   // Label 19347: @1442167
     /* 1442167 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1442282), // Rule ID 23555 //
     /* 1442172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1442183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1442186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1442189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442222 */     // MIs[1] Operand 1
     /* 1442222 */     // No operand predicates
     /* 1442222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442226 */     // MIs[0] policy
     /* 1442226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1442255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442281 */     // GIR_Coverage, 23555,
     /* 1442281 */     GIR_EraseRootFromParent_Done,
     /* 1442282 */   // Label 19348: @1442282
     /* 1442282 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1442397), // Rule ID 23558 //
     /* 1442287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442337 */     // MIs[1] Operand 1
     /* 1442337 */     // No operand predicates
     /* 1442337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442341 */     // MIs[0] policy
     /* 1442341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442353 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1442370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442396 */     // GIR_Coverage, 23558,
     /* 1442396 */     GIR_EraseRootFromParent_Done,
     /* 1442397 */   // Label 19349: @1442397
     /* 1442397 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1442512), // Rule ID 23559 //
     /* 1442402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1442413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1442416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1442419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442452 */     // MIs[1] Operand 1
     /* 1442452 */     // No operand predicates
     /* 1442452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442456 */     // MIs[0] policy
     /* 1442456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442468 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1442485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442511 */     // GIR_Coverage, 23559,
     /* 1442511 */     GIR_EraseRootFromParent_Done,
     /* 1442512 */   // Label 19350: @1442512
     /* 1442512 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1442627), // Rule ID 23562 //
     /* 1442517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442567 */     // MIs[1] Operand 1
     /* 1442567 */     // No operand predicates
     /* 1442567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442571 */     // MIs[0] policy
     /* 1442571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442583 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1442600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442626 */     // GIR_Coverage, 23562,
     /* 1442626 */     GIR_EraseRootFromParent_Done,
     /* 1442627 */   // Label 19351: @1442627
     /* 1442627 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1442742), // Rule ID 23563 //
     /* 1442632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1442643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1442646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1442649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442682 */     // MIs[1] Operand 1
     /* 1442682 */     // No operand predicates
     /* 1442682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442686 */     // MIs[0] policy
     /* 1442686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1442715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442741 */     // GIR_Coverage, 23563,
     /* 1442741 */     GIR_EraseRootFromParent_Done,
     /* 1442742 */   // Label 19352: @1442742
     /* 1442742 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1442857), // Rule ID 23566 //
     /* 1442747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1442758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1442761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1442764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442797 */     // MIs[1] Operand 1
     /* 1442797 */     // No operand predicates
     /* 1442797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442801 */     // MIs[0] policy
     /* 1442801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442813 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1442830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442856 */     // GIR_Coverage, 23566,
     /* 1442856 */     GIR_EraseRootFromParent_Done,
     /* 1442857 */   // Label 19353: @1442857
     /* 1442857 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1442972), // Rule ID 23567 //
     /* 1442862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1442873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1442876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1442879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1442912 */     // MIs[1] Operand 1
     /* 1442912 */     // No operand predicates
     /* 1442912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442916 */     // MIs[0] policy
     /* 1442916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1442932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1442938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1442942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1442945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1442949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1442960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442971 */     // GIR_Coverage, 23567,
     /* 1442971 */     GIR_EraseRootFromParent_Done,
     /* 1442972 */   // Label 19354: @1442972
     /* 1442972 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1443087), // Rule ID 23570 //
     /* 1442977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1442985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1442988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1442991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1442994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443027 */     // MIs[1] Operand 1
     /* 1443027 */     // No operand predicates
     /* 1443027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443031 */     // MIs[0] policy
     /* 1443031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1443060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443086 */     // GIR_Coverage, 23570,
     /* 1443086 */     GIR_EraseRootFromParent_Done,
     /* 1443087 */   // Label 19355: @1443087
     /* 1443087 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1443202), // Rule ID 23571 //
     /* 1443092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1443103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1443106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1443109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443142 */     // MIs[1] Operand 1
     /* 1443142 */     // No operand predicates
     /* 1443142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443146 */     // MIs[0] policy
     /* 1443146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1443175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443201 */     // GIR_Coverage, 23571,
     /* 1443201 */     GIR_EraseRootFromParent_Done,
     /* 1443202 */   // Label 19356: @1443202
     /* 1443202 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1443317), // Rule ID 23574 //
     /* 1443207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443257 */     // MIs[1] Operand 1
     /* 1443257 */     // No operand predicates
     /* 1443257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443261 */     // MIs[0] policy
     /* 1443261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443316 */     // GIR_Coverage, 23574,
     /* 1443316 */     GIR_EraseRootFromParent_Done,
     /* 1443317 */   // Label 19357: @1443317
     /* 1443317 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1443432), // Rule ID 23575 //
     /* 1443322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1443333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1443336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1443339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443372 */     // MIs[1] Operand 1
     /* 1443372 */     // No operand predicates
     /* 1443372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443376 */     // MIs[0] policy
     /* 1443376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443388 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443431 */     // GIR_Coverage, 23575,
     /* 1443431 */     GIR_EraseRootFromParent_Done,
     /* 1443432 */   // Label 19358: @1443432
     /* 1443432 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1443547), // Rule ID 23578 //
     /* 1443437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443487 */     // MIs[1] Operand 1
     /* 1443487 */     // No operand predicates
     /* 1443487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443491 */     // MIs[0] policy
     /* 1443491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443507 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443546 */     // GIR_Coverage, 23578,
     /* 1443546 */     GIR_EraseRootFromParent_Done,
     /* 1443547 */   // Label 19359: @1443547
     /* 1443547 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1443662), // Rule ID 23579 //
     /* 1443552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1443563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1443566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1443569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443602 */     // MIs[1] Operand 1
     /* 1443602 */     // No operand predicates
     /* 1443602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443606 */     // MIs[0] policy
     /* 1443606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443661 */     // GIR_Coverage, 23579,
     /* 1443661 */     GIR_EraseRootFromParent_Done,
     /* 1443662 */   // Label 19360: @1443662
     /* 1443662 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1443777), // Rule ID 23582 //
     /* 1443667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443717 */     // MIs[1] Operand 1
     /* 1443717 */     // No operand predicates
     /* 1443717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443721 */     // MIs[0] policy
     /* 1443721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443733 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443776 */     // GIR_Coverage, 23582,
     /* 1443776 */     GIR_EraseRootFromParent_Done,
     /* 1443777 */   // Label 19361: @1443777
     /* 1443777 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1443892), // Rule ID 23583 //
     /* 1443782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1443793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1443796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1443799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1443805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443832 */     // MIs[1] Operand 1
     /* 1443832 */     // No operand predicates
     /* 1443832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443836 */     // MIs[0] policy
     /* 1443836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443891 */     // GIR_Coverage, 23583,
     /* 1443891 */     GIR_EraseRootFromParent_Done,
     /* 1443892 */   // Label 19362: @1443892
     /* 1443892 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1444007), // Rule ID 23586 //
     /* 1443897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1443900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1443905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1443908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1443911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1443914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1443920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1443927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1443935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1443947 */     // MIs[1] Operand 1
     /* 1443947 */     // No operand predicates
     /* 1443947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443951 */     // MIs[0] policy
     /* 1443951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443963 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1443967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1443973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1443977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1443980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1443984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1443995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444006 */     // GIR_Coverage, 23586,
     /* 1444006 */     GIR_EraseRootFromParent_Done,
     /* 1444007 */   // Label 19363: @1444007
     /* 1444007 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1444122), // Rule ID 23587 //
     /* 1444012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1444023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1444026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1444029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1444035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1444042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1444050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444062 */     // MIs[1] Operand 1
     /* 1444062 */     // No operand predicates
     /* 1444062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444066 */     // MIs[0] policy
     /* 1444066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1444095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444121 */     // GIR_Coverage, 23587,
     /* 1444121 */     GIR_EraseRootFromParent_Done,
     /* 1444122 */   // Label 19364: @1444122
     /* 1444122 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1444237), // Rule ID 23590 //
     /* 1444127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444177 */     // MIs[1] Operand 1
     /* 1444177 */     // No operand predicates
     /* 1444177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444181 */     // MIs[0] policy
     /* 1444181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444193 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1444210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444236 */     // GIR_Coverage, 23590,
     /* 1444236 */     GIR_EraseRootFromParent_Done,
     /* 1444237 */   // Label 19365: @1444237
     /* 1444237 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1444352), // Rule ID 23591 //
     /* 1444242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1444253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1444256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1444259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444292 */     // MIs[1] Operand 1
     /* 1444292 */     // No operand predicates
     /* 1444292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444296 */     // MIs[0] policy
     /* 1444296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1444325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444351 */     // GIR_Coverage, 23591,
     /* 1444351 */     GIR_EraseRootFromParent_Done,
     /* 1444352 */   // Label 19366: @1444352
     /* 1444352 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1444467), // Rule ID 23594 //
     /* 1444357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444407 */     // MIs[1] Operand 1
     /* 1444407 */     // No operand predicates
     /* 1444407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444411 */     // MIs[0] policy
     /* 1444411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1444440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444466 */     // GIR_Coverage, 23594,
     /* 1444466 */     GIR_EraseRootFromParent_Done,
     /* 1444467 */   // Label 19367: @1444467
     /* 1444467 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1444582), // Rule ID 23595 //
     /* 1444472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1444483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1444486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1444489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1444495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444522 */     // MIs[1] Operand 1
     /* 1444522 */     // No operand predicates
     /* 1444522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444526 */     // MIs[0] policy
     /* 1444526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444538 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1444555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444581 */     // GIR_Coverage, 23595,
     /* 1444581 */     GIR_EraseRootFromParent_Done,
     /* 1444582 */   // Label 19368: @1444582
     /* 1444582 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1444697), // Rule ID 23598 //
     /* 1444587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444637 */     // MIs[1] Operand 1
     /* 1444637 */     // No operand predicates
     /* 1444637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444641 */     // MIs[0] policy
     /* 1444641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1444670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444696 */     // GIR_Coverage, 23598,
     /* 1444696 */     GIR_EraseRootFromParent_Done,
     /* 1444697 */   // Label 19369: @1444697
     /* 1444697 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1444812), // Rule ID 23599 //
     /* 1444702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1444713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1444716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1444719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1444725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444752 */     // MIs[1] Operand 1
     /* 1444752 */     // No operand predicates
     /* 1444752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444756 */     // MIs[0] policy
     /* 1444756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444768 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444772 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444778 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1444785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1444808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444811 */     // GIR_Coverage, 23599,
     /* 1444811 */     GIR_EraseRootFromParent_Done,
     /* 1444812 */   // Label 19370: @1444812
     /* 1444812 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1444927), // Rule ID 23602 //
     /* 1444817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444867 */     // MIs[1] Operand 1
     /* 1444867 */     // No operand predicates
     /* 1444867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444871 */     // MIs[0] policy
     /* 1444871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1444887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1444893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1444897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1444900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1444904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1444915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1444923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444926 */     // GIR_Coverage, 23602,
     /* 1444926 */     GIR_EraseRootFromParent_Done,
     /* 1444927 */   // Label 19371: @1444927
     /* 1444927 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1445042), // Rule ID 23603 //
     /* 1444932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1444940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1444943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1444946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1444949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1444982 */     // MIs[1] Operand 1
     /* 1444982 */     // No operand predicates
     /* 1444982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444986 */     // MIs[0] policy
     /* 1444986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444998 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445002 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1445015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445041 */     // GIR_Coverage, 23603,
     /* 1445041 */     GIR_EraseRootFromParent_Done,
     /* 1445042 */   // Label 19372: @1445042
     /* 1445042 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1445157), // Rule ID 23606 //
     /* 1445047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445097 */     // MIs[1] Operand 1
     /* 1445097 */     // No operand predicates
     /* 1445097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445101 */     // MIs[0] policy
     /* 1445101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445113 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1445130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445156 */     // GIR_Coverage, 23606,
     /* 1445156 */     GIR_EraseRootFromParent_Done,
     /* 1445157 */   // Label 19373: @1445157
     /* 1445157 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1445272), // Rule ID 23607 //
     /* 1445162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1445173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1445176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1445179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445212 */     // MIs[1] Operand 1
     /* 1445212 */     // No operand predicates
     /* 1445212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445216 */     // MIs[0] policy
     /* 1445216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445232 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1445245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445271 */     // GIR_Coverage, 23607,
     /* 1445271 */     GIR_EraseRootFromParent_Done,
     /* 1445272 */   // Label 19374: @1445272
     /* 1445272 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1445387), // Rule ID 23610 //
     /* 1445277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445327 */     // MIs[1] Operand 1
     /* 1445327 */     // No operand predicates
     /* 1445327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445331 */     // MIs[0] policy
     /* 1445331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445343 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1445360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445386 */     // GIR_Coverage, 23610,
     /* 1445386 */     GIR_EraseRootFromParent_Done,
     /* 1445387 */   // Label 19375: @1445387
     /* 1445387 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1445502), // Rule ID 23611 //
     /* 1445392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1445403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1445406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1445409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1445415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1445430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445442 */     // MIs[1] Operand 1
     /* 1445442 */     // No operand predicates
     /* 1445442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445446 */     // MIs[0] policy
     /* 1445446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1445475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445501 */     // GIR_Coverage, 23611,
     /* 1445501 */     GIR_EraseRootFromParent_Done,
     /* 1445502 */   // Label 19376: @1445502
     /* 1445502 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1445617), // Rule ID 23614 //
     /* 1445507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445557 */     // MIs[1] Operand 1
     /* 1445557 */     // No operand predicates
     /* 1445557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445561 */     // MIs[0] policy
     /* 1445561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445573 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1445590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445616 */     // GIR_Coverage, 23614,
     /* 1445616 */     GIR_EraseRootFromParent_Done,
     /* 1445617 */   // Label 19377: @1445617
     /* 1445617 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1445732), // Rule ID 23615 //
     /* 1445622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1445633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1445636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1445639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1445652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1445660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445672 */     // MIs[1] Operand 1
     /* 1445672 */     // No operand predicates
     /* 1445672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445676 */     // MIs[0] policy
     /* 1445676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445692 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445698 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1445705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445731 */     // GIR_Coverage, 23615,
     /* 1445731 */     GIR_EraseRootFromParent_Done,
     /* 1445732 */   // Label 19378: @1445732
     /* 1445732 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1445847), // Rule ID 23618 //
     /* 1445737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445787 */     // MIs[1] Operand 1
     /* 1445787 */     // No operand predicates
     /* 1445787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445791 */     // MIs[0] policy
     /* 1445791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1445820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445846 */     // GIR_Coverage, 23618,
     /* 1445846 */     GIR_EraseRootFromParent_Done,
     /* 1445847 */   // Label 19379: @1445847
     /* 1445847 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1445962), // Rule ID 23619 //
     /* 1445852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1445863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1445866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1445869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1445875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1445882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1445890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1445902 */     // MIs[1] Operand 1
     /* 1445902 */     // No operand predicates
     /* 1445902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445906 */     // MIs[0] policy
     /* 1445906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445918 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1445922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1445928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1445932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1445935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1445939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1445950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1445958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445961 */     // GIR_Coverage, 23619,
     /* 1445961 */     GIR_EraseRootFromParent_Done,
     /* 1445962 */   // Label 19380: @1445962
     /* 1445962 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1446077), // Rule ID 23622 //
     /* 1445967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1445975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1445978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1445981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1445984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1445990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1445997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446017 */     // MIs[1] Operand 1
     /* 1446017 */     // No operand predicates
     /* 1446017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446021 */     // MIs[0] policy
     /* 1446021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446033 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1446050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446076 */     // GIR_Coverage, 23622,
     /* 1446076 */     GIR_EraseRootFromParent_Done,
     /* 1446077 */   // Label 19381: @1446077
     /* 1446077 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1446192), // Rule ID 23623 //
     /* 1446082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1446093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1446096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1446099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446132 */     // MIs[1] Operand 1
     /* 1446132 */     // No operand predicates
     /* 1446132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446136 */     // MIs[0] policy
     /* 1446136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1446165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446191 */     // GIR_Coverage, 23623,
     /* 1446191 */     GIR_EraseRootFromParent_Done,
     /* 1446192 */   // Label 19382: @1446192
     /* 1446192 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1446307), // Rule ID 23626 //
     /* 1446197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446247 */     // MIs[1] Operand 1
     /* 1446247 */     // No operand predicates
     /* 1446247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446251 */     // MIs[0] policy
     /* 1446251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446263 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1446280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446306 */     // GIR_Coverage, 23626,
     /* 1446306 */     GIR_EraseRootFromParent_Done,
     /* 1446307 */   // Label 19383: @1446307
     /* 1446307 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1446422), // Rule ID 23627 //
     /* 1446312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1446323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1446326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1446329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446362 */     // MIs[1] Operand 1
     /* 1446362 */     // No operand predicates
     /* 1446362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446366 */     // MIs[0] policy
     /* 1446366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1446395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446421 */     // GIR_Coverage, 23627,
     /* 1446421 */     GIR_EraseRootFromParent_Done,
     /* 1446422 */   // Label 19384: @1446422
     /* 1446422 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1446537), // Rule ID 23630 //
     /* 1446427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446477 */     // MIs[1] Operand 1
     /* 1446477 */     // No operand predicates
     /* 1446477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446481 */     // MIs[0] policy
     /* 1446481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446493 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1446510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446536 */     // GIR_Coverage, 23630,
     /* 1446536 */     GIR_EraseRootFromParent_Done,
     /* 1446537 */   // Label 19385: @1446537
     /* 1446537 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1446652), // Rule ID 23631 //
     /* 1446542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1446553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1446556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1446559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1446572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1446580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446592 */     // MIs[1] Operand 1
     /* 1446592 */     // No operand predicates
     /* 1446592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446596 */     // MIs[0] policy
     /* 1446596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1446625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446651 */     // GIR_Coverage, 23631,
     /* 1446651 */     GIR_EraseRootFromParent_Done,
     /* 1446652 */   // Label 19386: @1446652
     /* 1446652 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1446767), // Rule ID 23634 //
     /* 1446657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446707 */     // MIs[1] Operand 1
     /* 1446707 */     // No operand predicates
     /* 1446707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446711 */     // MIs[0] policy
     /* 1446711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1446740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446766 */     // GIR_Coverage, 23634,
     /* 1446766 */     GIR_EraseRootFromParent_Done,
     /* 1446767 */   // Label 19387: @1446767
     /* 1446767 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1446882), // Rule ID 23635 //
     /* 1446772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1446780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1446783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1446786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1446789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1446802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1446810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446822 */     // MIs[1] Operand 1
     /* 1446822 */     // No operand predicates
     /* 1446822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446826 */     // MIs[0] policy
     /* 1446826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446838 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1446855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446881 */     // GIR_Coverage, 23635,
     /* 1446881 */     GIR_EraseRootFromParent_Done,
     /* 1446882 */   // Label 19388: @1446882
     /* 1446882 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1446997), // Rule ID 23726 //
     /* 1446887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1446895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1446898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1446901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1446904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1446937 */     // MIs[1] Operand 1
     /* 1446937 */     // No operand predicates
     /* 1446937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446941 */     // MIs[0] policy
     /* 1446941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1446957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1446963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1446967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1446970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1446974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1446985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446996 */     // GIR_Coverage, 23726,
     /* 1446996 */     GIR_EraseRootFromParent_Done,
     /* 1446997 */   // Label 19389: @1446997
     /* 1446997 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1447112), // Rule ID 23727 //
     /* 1447002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1447013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1447016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1447019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447052 */     // MIs[1] Operand 1
     /* 1447052 */     // No operand predicates
     /* 1447052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447056 */     // MIs[0] policy
     /* 1447056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1447085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447111 */     // GIR_Coverage, 23727,
     /* 1447111 */     GIR_EraseRootFromParent_Done,
     /* 1447112 */   // Label 19390: @1447112
     /* 1447112 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1447227), // Rule ID 23730 //
     /* 1447117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447167 */     // MIs[1] Operand 1
     /* 1447167 */     // No operand predicates
     /* 1447167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447171 */     // MIs[0] policy
     /* 1447171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447183 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1447200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447226 */     // GIR_Coverage, 23730,
     /* 1447226 */     GIR_EraseRootFromParent_Done,
     /* 1447227 */   // Label 19391: @1447227
     /* 1447227 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1447342), // Rule ID 23731 //
     /* 1447232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1447243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1447246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1447249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447282 */     // MIs[1] Operand 1
     /* 1447282 */     // No operand predicates
     /* 1447282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447286 */     // MIs[0] policy
     /* 1447286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447298 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1447315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447341 */     // GIR_Coverage, 23731,
     /* 1447341 */     GIR_EraseRootFromParent_Done,
     /* 1447342 */   // Label 19392: @1447342
     /* 1447342 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1447457), // Rule ID 23734 //
     /* 1447347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447397 */     // MIs[1] Operand 1
     /* 1447397 */     // No operand predicates
     /* 1447397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447401 */     // MIs[0] policy
     /* 1447401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447413 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1447430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447456 */     // GIR_Coverage, 23734,
     /* 1447456 */     GIR_EraseRootFromParent_Done,
     /* 1447457 */   // Label 19393: @1447457
     /* 1447457 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1447572), // Rule ID 23735 //
     /* 1447462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1447473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1447476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1447479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1447485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447512 */     // MIs[1] Operand 1
     /* 1447512 */     // No operand predicates
     /* 1447512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447516 */     // MIs[0] policy
     /* 1447516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447528 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1447545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447571 */     // GIR_Coverage, 23735,
     /* 1447571 */     GIR_EraseRootFromParent_Done,
     /* 1447572 */   // Label 19394: @1447572
     /* 1447572 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1447687), // Rule ID 23738 //
     /* 1447577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447627 */     // MIs[1] Operand 1
     /* 1447627 */     // No operand predicates
     /* 1447627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447631 */     // MIs[0] policy
     /* 1447631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447643 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1447660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447686 */     // GIR_Coverage, 23738,
     /* 1447686 */     GIR_EraseRootFromParent_Done,
     /* 1447687 */   // Label 19395: @1447687
     /* 1447687 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1447802), // Rule ID 23739 //
     /* 1447692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1447703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1447706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1447709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1447715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447742 */     // MIs[1] Operand 1
     /* 1447742 */     // No operand predicates
     /* 1447742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447746 */     // MIs[0] policy
     /* 1447746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447762 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1447775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447801 */     // GIR_Coverage, 23739,
     /* 1447801 */     GIR_EraseRootFromParent_Done,
     /* 1447802 */   // Label 19396: @1447802
     /* 1447802 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1447917), // Rule ID 23742 //
     /* 1447807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447857 */     // MIs[1] Operand 1
     /* 1447857 */     // No operand predicates
     /* 1447857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447861 */     // MIs[0] policy
     /* 1447861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447873 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1447887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1447890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1447894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1447905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447916 */     // GIR_Coverage, 23742,
     /* 1447916 */     GIR_EraseRootFromParent_Done,
     /* 1447917 */   // Label 19397: @1447917
     /* 1447917 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1448032), // Rule ID 23743 //
     /* 1447922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1447930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1447933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1447936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1447939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1447945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1447952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1447960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1447972 */     // MIs[1] Operand 1
     /* 1447972 */     // No operand predicates
     /* 1447972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447976 */     // MIs[0] policy
     /* 1447976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1447992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1447998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1448005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448031 */     // GIR_Coverage, 23743,
     /* 1448031 */     GIR_EraseRootFromParent_Done,
     /* 1448032 */   // Label 19398: @1448032
     /* 1448032 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1448147), // Rule ID 23746 //
     /* 1448037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1448048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1448051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448087 */     // MIs[1] Operand 1
     /* 1448087 */     // No operand predicates
     /* 1448087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448091 */     // MIs[0] policy
     /* 1448091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448103 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1448120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448146 */     // GIR_Coverage, 23746,
     /* 1448146 */     GIR_EraseRootFromParent_Done,
     /* 1448147 */   // Label 19399: @1448147
     /* 1448147 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1448262), // Rule ID 23747 //
     /* 1448152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1448163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1448166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1448169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448202 */     // MIs[1] Operand 1
     /* 1448202 */     // No operand predicates
     /* 1448202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448206 */     // MIs[0] policy
     /* 1448206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448218 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1448235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448261 */     // GIR_Coverage, 23747,
     /* 1448261 */     GIR_EraseRootFromParent_Done,
     /* 1448262 */   // Label 19400: @1448262
     /* 1448262 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1448377), // Rule ID 23750 //
     /* 1448267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448317 */     // MIs[1] Operand 1
     /* 1448317 */     // No operand predicates
     /* 1448317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448321 */     // MIs[0] policy
     /* 1448321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448376 */     // GIR_Coverage, 23750,
     /* 1448376 */     GIR_EraseRootFromParent_Done,
     /* 1448377 */   // Label 19401: @1448377
     /* 1448377 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1448492), // Rule ID 23751 //
     /* 1448382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1448393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1448396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1448399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448432 */     // MIs[1] Operand 1
     /* 1448432 */     // No operand predicates
     /* 1448432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448436 */     // MIs[0] policy
     /* 1448436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448448 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1448488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448491 */     // GIR_Coverage, 23751,
     /* 1448491 */     GIR_EraseRootFromParent_Done,
     /* 1448492 */   // Label 19402: @1448492
     /* 1448492 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1448607), // Rule ID 23754 //
     /* 1448497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448547 */     // MIs[1] Operand 1
     /* 1448547 */     // No operand predicates
     /* 1448547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448551 */     // MIs[0] policy
     /* 1448551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448563 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448606 */     // GIR_Coverage, 23754,
     /* 1448606 */     GIR_EraseRootFromParent_Done,
     /* 1448607 */   // Label 19403: @1448607
     /* 1448607 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1448722), // Rule ID 23755 //
     /* 1448612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1448623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1448626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1448629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448662 */     // MIs[1] Operand 1
     /* 1448662 */     // No operand predicates
     /* 1448662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448666 */     // MIs[0] policy
     /* 1448666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448682 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448721 */     // GIR_Coverage, 23755,
     /* 1448721 */     GIR_EraseRootFromParent_Done,
     /* 1448722 */   // Label 19404: @1448722
     /* 1448722 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1448837), // Rule ID 23758 //
     /* 1448727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448777 */     // MIs[1] Operand 1
     /* 1448777 */     // No operand predicates
     /* 1448777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448781 */     // MIs[0] policy
     /* 1448781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448793 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448836 */     // GIR_Coverage, 23758,
     /* 1448836 */     GIR_EraseRootFromParent_Done,
     /* 1448837 */   // Label 19405: @1448837
     /* 1448837 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1448952), // Rule ID 23759 //
     /* 1448842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1448853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1448856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1448859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1448892 */     // MIs[1] Operand 1
     /* 1448892 */     // No operand predicates
     /* 1448892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448896 */     // MIs[0] policy
     /* 1448896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1448912 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1448918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1448922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1448925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1448929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1448940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448951 */     // GIR_Coverage, 23759,
     /* 1448951 */     GIR_EraseRootFromParent_Done,
     /* 1448952 */   // Label 19406: @1448952
     /* 1448952 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1449067), // Rule ID 23762 //
     /* 1448957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1448965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1448968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1448971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1448974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1448980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1448987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1448995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449007 */     // MIs[1] Operand 1
     /* 1449007 */     // No operand predicates
     /* 1449007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449011 */     // MIs[0] policy
     /* 1449011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1449040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449066 */     // GIR_Coverage, 23762,
     /* 1449066 */     GIR_EraseRootFromParent_Done,
     /* 1449067 */   // Label 19407: @1449067
     /* 1449067 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1449182), // Rule ID 23763 //
     /* 1449072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1449083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1449086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1449089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449122 */     // MIs[1] Operand 1
     /* 1449122 */     // No operand predicates
     /* 1449122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449126 */     // MIs[0] policy
     /* 1449126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449138 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449142 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1449155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449181 */     // GIR_Coverage, 23763,
     /* 1449181 */     GIR_EraseRootFromParent_Done,
     /* 1449182 */   // Label 19408: @1449182
     /* 1449182 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1449297), // Rule ID 23766 //
     /* 1449187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1449198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1449201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1449204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449237 */     // MIs[1] Operand 1
     /* 1449237 */     // No operand predicates
     /* 1449237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449241 */     // MIs[0] policy
     /* 1449241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449253 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1449270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449279 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449296 */     // GIR_Coverage, 23766,
     /* 1449296 */     GIR_EraseRootFromParent_Done,
     /* 1449297 */   // Label 19409: @1449297
     /* 1449297 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1449412), // Rule ID 23767 //
     /* 1449302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1449313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1449316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1449319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1449325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449352 */     // MIs[1] Operand 1
     /* 1449352 */     // No operand predicates
     /* 1449352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449356 */     // MIs[0] policy
     /* 1449356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449368 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449378 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1449385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449411 */     // GIR_Coverage, 23767,
     /* 1449411 */     GIR_EraseRootFromParent_Done,
     /* 1449412 */   // Label 19410: @1449412
     /* 1449412 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1449527), // Rule ID 23770 //
     /* 1449417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449467 */     // MIs[1] Operand 1
     /* 1449467 */     // No operand predicates
     /* 1449467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449471 */     // MIs[0] policy
     /* 1449471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449483 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1449500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449526 */     // GIR_Coverage, 23770,
     /* 1449526 */     GIR_EraseRootFromParent_Done,
     /* 1449527 */   // Label 19411: @1449527
     /* 1449527 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1449642), // Rule ID 23771 //
     /* 1449532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1449543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1449546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1449549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1449555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1449562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1449570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449582 */     // MIs[1] Operand 1
     /* 1449582 */     // No operand predicates
     /* 1449582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449586 */     // MIs[0] policy
     /* 1449586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449598 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1449615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449641 */     // GIR_Coverage, 23771,
     /* 1449641 */     GIR_EraseRootFromParent_Done,
     /* 1449642 */   // Label 19412: @1449642
     /* 1449642 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1449757), // Rule ID 23774 //
     /* 1449647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449697 */     // MIs[1] Operand 1
     /* 1449697 */     // No operand predicates
     /* 1449697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449701 */     // MIs[0] policy
     /* 1449701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449713 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1449730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449756 */     // GIR_Coverage, 23774,
     /* 1449756 */     GIR_EraseRootFromParent_Done,
     /* 1449757 */   // Label 19413: @1449757
     /* 1449757 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1449872), // Rule ID 23775 //
     /* 1449762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1449773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1449776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1449779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1449785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449812 */     // MIs[1] Operand 1
     /* 1449812 */     // No operand predicates
     /* 1449812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449816 */     // MIs[0] policy
     /* 1449816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449828 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449832 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449838 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1449845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449871 */     // GIR_Coverage, 23775,
     /* 1449871 */     GIR_EraseRootFromParent_Done,
     /* 1449872 */   // Label 19414: @1449872
     /* 1449872 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1449987), // Rule ID 23778 //
     /* 1449877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1449885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1449888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1449891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1449894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1449907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1449915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449927 */     // MIs[1] Operand 1
     /* 1449927 */     // No operand predicates
     /* 1449927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449931 */     // MIs[0] policy
     /* 1449931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449943 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1449947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1449953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1449957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1449960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1449964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1449975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449986 */     // GIR_Coverage, 23778,
     /* 1449986 */     GIR_EraseRootFromParent_Done,
     /* 1449987 */   // Label 19415: @1449987
     /* 1449987 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1450102), // Rule ID 23779 //
     /* 1449992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1450003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1450006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1450009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450042 */     // MIs[1] Operand 1
     /* 1450042 */     // No operand predicates
     /* 1450042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450046 */     // MIs[0] policy
     /* 1450046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450058 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1450075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450101 */     // GIR_Coverage, 23779,
     /* 1450101 */     GIR_EraseRootFromParent_Done,
     /* 1450102 */   // Label 19416: @1450102
     /* 1450102 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1450217), // Rule ID 23782 //
     /* 1450107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1450118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1450121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1450124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450157 */     // MIs[1] Operand 1
     /* 1450157 */     // No operand predicates
     /* 1450157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450161 */     // MIs[0] policy
     /* 1450161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1450190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450216 */     // GIR_Coverage, 23782,
     /* 1450216 */     GIR_EraseRootFromParent_Done,
     /* 1450217 */   // Label 19417: @1450217
     /* 1450217 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1450332), // Rule ID 23783 //
     /* 1450222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1450233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1450236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1450239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1450245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450272 */     // MIs[1] Operand 1
     /* 1450272 */     // No operand predicates
     /* 1450272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450276 */     // MIs[0] policy
     /* 1450276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1450305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450331 */     // GIR_Coverage, 23783,
     /* 1450331 */     GIR_EraseRootFromParent_Done,
     /* 1450332 */   // Label 19418: @1450332
     /* 1450332 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1450447), // Rule ID 23786 //
     /* 1450337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1450348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1450351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1450354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1450360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450387 */     // MIs[1] Operand 1
     /* 1450387 */     // No operand predicates
     /* 1450387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450391 */     // MIs[0] policy
     /* 1450391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1450420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450446 */     // GIR_Coverage, 23786,
     /* 1450446 */     GIR_EraseRootFromParent_Done,
     /* 1450447 */   // Label 19419: @1450447
     /* 1450447 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1450562), // Rule ID 23787 //
     /* 1450452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1450463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1450466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1450469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1450475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1450482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1450490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450502 */     // MIs[1] Operand 1
     /* 1450502 */     // No operand predicates
     /* 1450502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450506 */     // MIs[0] policy
     /* 1450506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450518 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1450535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450561 */     // GIR_Coverage, 23787,
     /* 1450561 */     GIR_EraseRootFromParent_Done,
     /* 1450562 */   // Label 19420: @1450562
     /* 1450562 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1450677), // Rule ID 23790 //
     /* 1450567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1450584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450617 */     // MIs[1] Operand 1
     /* 1450617 */     // No operand predicates
     /* 1450617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450621 */     // MIs[0] policy
     /* 1450621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450633 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1450650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450676 */     // GIR_Coverage, 23790,
     /* 1450676 */     GIR_EraseRootFromParent_Done,
     /* 1450677 */   // Label 19421: @1450677
     /* 1450677 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1450792), // Rule ID 23791 //
     /* 1450682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1450693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1450696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1450699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1450712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1450720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450732 */     // MIs[1] Operand 1
     /* 1450732 */     // No operand predicates
     /* 1450732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450736 */     // MIs[0] policy
     /* 1450736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450748 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450752 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1450765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450791 */     // GIR_Coverage, 23791,
     /* 1450791 */     GIR_EraseRootFromParent_Done,
     /* 1450792 */   // Label 19422: @1450792
     /* 1450792 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1450907), // Rule ID 23794 //
     /* 1450797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450847 */     // MIs[1] Operand 1
     /* 1450847 */     // No operand predicates
     /* 1450847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450851 */     // MIs[0] policy
     /* 1450851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1450880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1450895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450906 */     // GIR_Coverage, 23794,
     /* 1450906 */     GIR_EraseRootFromParent_Done,
     /* 1450907 */   // Label 19423: @1450907
     /* 1450907 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1451022), // Rule ID 23795 //
     /* 1450912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1450920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1450923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1450926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1450929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1450942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1450950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450962 */     // MIs[1] Operand 1
     /* 1450962 */     // No operand predicates
     /* 1450962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450966 */     // MIs[0] policy
     /* 1450966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1450982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1450988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1450992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1450995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1450999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451021 */     // GIR_Coverage, 23795,
     /* 1451021 */     GIR_EraseRootFromParent_Done,
     /* 1451022 */   // Label 19424: @1451022
     /* 1451022 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1451137), // Rule ID 23798 //
     /* 1451027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1451038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1451041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1451044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451077 */     // MIs[1] Operand 1
     /* 1451077 */     // No operand predicates
     /* 1451077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451081 */     // MIs[0] policy
     /* 1451081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451093 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1451110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451119 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451136 */     // GIR_Coverage, 23798,
     /* 1451136 */     GIR_EraseRootFromParent_Done,
     /* 1451137 */   // Label 19425: @1451137
     /* 1451137 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1451252), // Rule ID 23799 //
     /* 1451142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1451153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1451156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1451159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451192 */     // MIs[1] Operand 1
     /* 1451192 */     // No operand predicates
     /* 1451192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451196 */     // MIs[0] policy
     /* 1451196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451212 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1451225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1451248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451251 */     // GIR_Coverage, 23799,
     /* 1451251 */     GIR_EraseRootFromParent_Done,
     /* 1451252 */   // Label 19426: @1451252
     /* 1451252 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1451367), // Rule ID 23802 //
     /* 1451257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1451260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1451268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1451271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1451274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451307 */     // MIs[1] Operand 1
     /* 1451307 */     // No operand predicates
     /* 1451307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451311 */     // MIs[0] policy
     /* 1451311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1451340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451366 */     // GIR_Coverage, 23802,
     /* 1451366 */     GIR_EraseRootFromParent_Done,
     /* 1451367 */   // Label 19427: @1451367
     /* 1451367 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1451482), // Rule ID 23803 //
     /* 1451372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1451383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1451386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1451389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1451395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451422 */     // MIs[1] Operand 1
     /* 1451422 */     // No operand predicates
     /* 1451422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451426 */     // MIs[0] policy
     /* 1451426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1451455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451481 */     // GIR_Coverage, 23803,
     /* 1451481 */     GIR_EraseRootFromParent_Done,
     /* 1451482 */   // Label 19428: @1451482
     /* 1451482 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1451597), // Rule ID 23806 //
     /* 1451487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1451490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1451498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1451501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1451504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451537 */     // MIs[1] Operand 1
     /* 1451537 */     // No operand predicates
     /* 1451537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451541 */     // MIs[0] policy
     /* 1451541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451553 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1451570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451596 */     // GIR_Coverage, 23806,
     /* 1451596 */     GIR_EraseRootFromParent_Done,
     /* 1451597 */   // Label 19429: @1451597
     /* 1451597 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1451712), // Rule ID 23807 //
     /* 1451602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1451613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1451616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1451619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1451625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451652 */     // MIs[1] Operand 1
     /* 1451652 */     // No operand predicates
     /* 1451652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451656 */     // MIs[0] policy
     /* 1451656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451668 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451672 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1451685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451711 */     // GIR_Coverage, 23807,
     /* 1451711 */     GIR_EraseRootFromParent_Done,
     /* 1451712 */   // Label 19430: @1451712
     /* 1451712 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1451827), // Rule ID 23810 //
     /* 1451717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1451720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1451728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1451731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1451734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451767 */     // MIs[1] Operand 1
     /* 1451767 */     // No operand predicates
     /* 1451767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451771 */     // MIs[0] policy
     /* 1451771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451783 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1451800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451826 */     // GIR_Coverage, 23810,
     /* 1451826 */     GIR_EraseRootFromParent_Done,
     /* 1451827 */   // Label 19431: @1451827
     /* 1451827 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1451942), // Rule ID 23811 //
     /* 1451832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1451840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1451843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1451846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1451849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451882 */     // MIs[1] Operand 1
     /* 1451882 */     // No operand predicates
     /* 1451882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451886 */     // MIs[0] policy
     /* 1451886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1451902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1451908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1451912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1451915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1451919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1451930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451941 */     // GIR_Coverage, 23811,
     /* 1451941 */     GIR_EraseRootFromParent_Done,
     /* 1451942 */   // Label 19432: @1451942
     /* 1451942 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1452057), // Rule ID 24050 //
     /* 1451947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1451950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1451955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1451958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1451961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1451964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451997 */     // MIs[1] Operand 1
     /* 1451997 */     // No operand predicates
     /* 1451997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452001 */     // MIs[0] policy
     /* 1452001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452013 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1452030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452056 */     // GIR_Coverage, 24050,
     /* 1452056 */     GIR_EraseRootFromParent_Done,
     /* 1452057 */   // Label 19433: @1452057
     /* 1452057 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1452172), // Rule ID 24051 //
     /* 1452062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1452065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1452073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1452076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1452079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452112 */     // MIs[1] Operand 1
     /* 1452112 */     // No operand predicates
     /* 1452112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452116 */     // MIs[0] policy
     /* 1452116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452132 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1452145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452171 */     // GIR_Coverage, 24051,
     /* 1452171 */     GIR_EraseRootFromParent_Done,
     /* 1452172 */   // Label 19434: @1452172
     /* 1452172 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1452287), // Rule ID 24054 //
     /* 1452177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1452180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452227 */     // MIs[1] Operand 1
     /* 1452227 */     // No operand predicates
     /* 1452227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452231 */     // MIs[0] policy
     /* 1452231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1452260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452286 */     // GIR_Coverage, 24054,
     /* 1452286 */     GIR_EraseRootFromParent_Done,
     /* 1452287 */   // Label 19435: @1452287
     /* 1452287 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1452402), // Rule ID 24055 //
     /* 1452292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1452295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1452303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1452306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1452309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452342 */     // MIs[1] Operand 1
     /* 1452342 */     // No operand predicates
     /* 1452342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452346 */     // MIs[0] policy
     /* 1452346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452358 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1452375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452401 */     // GIR_Coverage, 24055,
     /* 1452401 */     GIR_EraseRootFromParent_Done,
     /* 1452402 */   // Label 19436: @1452402
     /* 1452402 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1452517), // Rule ID 24058 //
     /* 1452407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1452410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452457 */     // MIs[1] Operand 1
     /* 1452457 */     // No operand predicates
     /* 1452457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452461 */     // MIs[0] policy
     /* 1452461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452473 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1452490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452516 */     // GIR_Coverage, 24058,
     /* 1452516 */     GIR_EraseRootFromParent_Done,
     /* 1452517 */   // Label 19437: @1452517
     /* 1452517 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1452632), // Rule ID 24059 //
     /* 1452522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1452525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1452533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1452536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1452539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1452545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452572 */     // MIs[1] Operand 1
     /* 1452572 */     // No operand predicates
     /* 1452572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452576 */     // MIs[0] policy
     /* 1452576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452588 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1452605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452631 */     // GIR_Coverage, 24059,
     /* 1452631 */     GIR_EraseRootFromParent_Done,
     /* 1452632 */   // Label 19438: @1452632
     /* 1452632 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1452747), // Rule ID 24062 //
     /* 1452637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1452640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452687 */     // MIs[1] Operand 1
     /* 1452687 */     // No operand predicates
     /* 1452687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452691 */     // MIs[0] policy
     /* 1452691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452703 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1452720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452746 */     // GIR_Coverage, 24062,
     /* 1452746 */     GIR_EraseRootFromParent_Done,
     /* 1452747 */   // Label 19439: @1452747
     /* 1452747 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1452862), // Rule ID 24063 //
     /* 1452752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1452755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1452763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1452766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1452769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452802 */     // MIs[1] Operand 1
     /* 1452802 */     // No operand predicates
     /* 1452802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452806 */     // MIs[0] policy
     /* 1452806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452818 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1452835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452861 */     // GIR_Coverage, 24063,
     /* 1452861 */     GIR_EraseRootFromParent_Done,
     /* 1452862 */   // Label 19440: @1452862
     /* 1452862 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1452977), // Rule ID 24066 //
     /* 1452867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1452870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1452897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1452905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452917 */     // MIs[1] Operand 1
     /* 1452917 */     // No operand predicates
     /* 1452917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452921 */     // MIs[0] policy
     /* 1452921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1452937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1452943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1452947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1452950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1452954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1452965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452976 */     // GIR_Coverage, 24066,
     /* 1452976 */     GIR_EraseRootFromParent_Done,
     /* 1452977 */   // Label 19441: @1452977
     /* 1452977 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1453092), // Rule ID 24067 //
     /* 1452982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1452985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1452990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1452993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1452996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1452999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453032 */     // MIs[1] Operand 1
     /* 1453032 */     // No operand predicates
     /* 1453032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453036 */     // MIs[0] policy
     /* 1453036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453052 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1453065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1453088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453091 */     // GIR_Coverage, 24067,
     /* 1453091 */     GIR_EraseRootFromParent_Done,
     /* 1453092 */   // Label 19442: @1453092
     /* 1453092 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1453207), // Rule ID 24070 //
     /* 1453097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1453100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1453108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1453111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453147 */     // MIs[1] Operand 1
     /* 1453147 */     // No operand predicates
     /* 1453147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453151 */     // MIs[0] policy
     /* 1453151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453163 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1453180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453206 */     // GIR_Coverage, 24070,
     /* 1453206 */     GIR_EraseRootFromParent_Done,
     /* 1453207 */   // Label 19443: @1453207
     /* 1453207 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1453322), // Rule ID 24071 //
     /* 1453212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1453215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1453223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1453226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1453229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453262 */     // MIs[1] Operand 1
     /* 1453262 */     // No operand predicates
     /* 1453262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453266 */     // MIs[0] policy
     /* 1453266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453278 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1453295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453321 */     // GIR_Coverage, 24071,
     /* 1453321 */     GIR_EraseRootFromParent_Done,
     /* 1453322 */   // Label 19444: @1453322
     /* 1453322 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1453437), // Rule ID 24074 //
     /* 1453327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1453330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453377 */     // MIs[1] Operand 1
     /* 1453377 */     // No operand predicates
     /* 1453377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453381 */     // MIs[0] policy
     /* 1453381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453393 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1453410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453436 */     // GIR_Coverage, 24074,
     /* 1453436 */     GIR_EraseRootFromParent_Done,
     /* 1453437 */   // Label 19445: @1453437
     /* 1453437 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1453552), // Rule ID 24075 //
     /* 1453442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1453445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1453453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1453456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1453459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453492 */     // MIs[1] Operand 1
     /* 1453492 */     // No operand predicates
     /* 1453492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453496 */     // MIs[0] policy
     /* 1453496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453512 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453518 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1453525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453551 */     // GIR_Coverage, 24075,
     /* 1453551 */     GIR_EraseRootFromParent_Done,
     /* 1453552 */   // Label 19446: @1453552
     /* 1453552 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1453667), // Rule ID 24078 //
     /* 1453557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1453560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453607 */     // MIs[1] Operand 1
     /* 1453607 */     // No operand predicates
     /* 1453607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453611 */     // MIs[0] policy
     /* 1453611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1453640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453666 */     // GIR_Coverage, 24078,
     /* 1453666 */     GIR_EraseRootFromParent_Done,
     /* 1453667 */   // Label 19447: @1453667
     /* 1453667 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1453782), // Rule ID 24079 //
     /* 1453672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1453675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1453683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1453686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1453689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1453695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453722 */     // MIs[1] Operand 1
     /* 1453722 */     // No operand predicates
     /* 1453722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453726 */     // MIs[0] policy
     /* 1453726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453738 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453742 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1453755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453781 */     // GIR_Coverage, 24079,
     /* 1453781 */     GIR_EraseRootFromParent_Done,
     /* 1453782 */   // Label 19448: @1453782
     /* 1453782 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1453897), // Rule ID 24082 //
     /* 1453787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1453790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453837 */     // MIs[1] Operand 1
     /* 1453837 */     // No operand predicates
     /* 1453837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453841 */     // MIs[0] policy
     /* 1453841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453853 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1453870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1453885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1453893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453896 */     // GIR_Coverage, 24082,
     /* 1453896 */     GIR_EraseRootFromParent_Done,
     /* 1453897 */   // Label 19449: @1453897
     /* 1453897 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1454012), // Rule ID 24083 //
     /* 1453902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1453905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1453910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1453913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1453916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1453919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1453925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453952 */     // MIs[1] Operand 1
     /* 1453952 */     // No operand predicates
     /* 1453952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453956 */     // MIs[0] policy
     /* 1453956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453968 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1453972 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1453978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1453982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1453985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1453989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454011 */     // GIR_Coverage, 24083,
     /* 1454011 */     GIR_EraseRootFromParent_Done,
     /* 1454012 */   // Label 19450: @1454012
     /* 1454012 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1454127), // Rule ID 24086 //
     /* 1454017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1454020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454067 */     // MIs[1] Operand 1
     /* 1454067 */     // No operand predicates
     /* 1454067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454071 */     // MIs[0] policy
     /* 1454071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454083 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1454100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454126 */     // GIR_Coverage, 24086,
     /* 1454126 */     GIR_EraseRootFromParent_Done,
     /* 1454127 */   // Label 19451: @1454127
     /* 1454127 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1454242), // Rule ID 24087 //
     /* 1454132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1454135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1454143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1454146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1454149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454182 */     // MIs[1] Operand 1
     /* 1454182 */     // No operand predicates
     /* 1454182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454186 */     // MIs[0] policy
     /* 1454186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454198 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1454215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454241 */     // GIR_Coverage, 24087,
     /* 1454241 */     GIR_EraseRootFromParent_Done,
     /* 1454242 */   // Label 19452: @1454242
     /* 1454242 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1454357), // Rule ID 24090 //
     /* 1454247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1454250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454297 */     // MIs[1] Operand 1
     /* 1454297 */     // No operand predicates
     /* 1454297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454301 */     // MIs[0] policy
     /* 1454301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454313 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1454330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454356 */     // GIR_Coverage, 24090,
     /* 1454356 */     GIR_EraseRootFromParent_Done,
     /* 1454357 */   // Label 19453: @1454357
     /* 1454357 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1454472), // Rule ID 24091 //
     /* 1454362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1454365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1454373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1454376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1454379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454412 */     // MIs[1] Operand 1
     /* 1454412 */     // No operand predicates
     /* 1454412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454416 */     // MIs[0] policy
     /* 1454416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454428 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1454445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454471 */     // GIR_Coverage, 24091,
     /* 1454471 */     GIR_EraseRootFromParent_Done,
     /* 1454472 */   // Label 19454: @1454472
     /* 1454472 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1454587), // Rule ID 24094 //
     /* 1454477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1454480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454527 */     // MIs[1] Operand 1
     /* 1454527 */     // No operand predicates
     /* 1454527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454531 */     // MIs[0] policy
     /* 1454531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454543 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1454560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454586 */     // GIR_Coverage, 24094,
     /* 1454586 */     GIR_EraseRootFromParent_Done,
     /* 1454587 */   // Label 19455: @1454587
     /* 1454587 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1454702), // Rule ID 24095 //
     /* 1454592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1454595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1454603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1454606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1454609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1454615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1454622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1454630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454642 */     // MIs[1] Operand 1
     /* 1454642 */     // No operand predicates
     /* 1454642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454646 */     // MIs[0] policy
     /* 1454646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454658 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454662 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454668 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1454675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454701 */     // GIR_Coverage, 24095,
     /* 1454701 */     GIR_EraseRootFromParent_Done,
     /* 1454702 */   // Label 19456: @1454702
     /* 1454702 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1454817), // Rule ID 24098 //
     /* 1454707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1454710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454757 */     // MIs[1] Operand 1
     /* 1454757 */     // No operand predicates
     /* 1454757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454761 */     // MIs[0] policy
     /* 1454761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454773 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1454790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454816 */     // GIR_Coverage, 24098,
     /* 1454816 */     GIR_EraseRootFromParent_Done,
     /* 1454817 */   // Label 19457: @1454817
     /* 1454817 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1454932), // Rule ID 24099 //
     /* 1454822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1454825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1454833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1454836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1454839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1454852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1454860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454868 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454872 */     // MIs[1] Operand 1
     /* 1454872 */     // No operand predicates
     /* 1454872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454876 */     // MIs[0] policy
     /* 1454876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454888 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1454892 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1454898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1454902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1454905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1454909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1454920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1454928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454931 */     // GIR_Coverage, 24099,
     /* 1454931 */     GIR_EraseRootFromParent_Done,
     /* 1454932 */   // Label 19458: @1454932
     /* 1454932 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1455047), // Rule ID 24102 //
     /* 1454937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1454940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1454945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1454948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1454951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1454954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1454967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1454975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454987 */     // MIs[1] Operand 1
     /* 1454987 */     // No operand predicates
     /* 1454987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454991 */     // MIs[0] policy
     /* 1454991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455003 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1455020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455026 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455046 */     // GIR_Coverage, 24102,
     /* 1455046 */     GIR_EraseRootFromParent_Done,
     /* 1455047 */   // Label 19459: @1455047
     /* 1455047 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1455162), // Rule ID 24103 //
     /* 1455052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1455055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1455060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1455063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1455066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1455069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1455075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455102 */     // MIs[1] Operand 1
     /* 1455102 */     // No operand predicates
     /* 1455102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455106 */     // MIs[0] policy
     /* 1455106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455118 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455122 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1455135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455161 */     // GIR_Coverage, 24103,
     /* 1455161 */     GIR_EraseRootFromParent_Done,
     /* 1455162 */   // Label 19460: @1455162
     /* 1455162 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1455277), // Rule ID 24106 //
     /* 1455167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1455170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1455175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1455178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1455181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455217 */     // MIs[1] Operand 1
     /* 1455217 */     // No operand predicates
     /* 1455217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455221 */     // MIs[0] policy
     /* 1455221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455233 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1455250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455276 */     // GIR_Coverage, 24106,
     /* 1455276 */     GIR_EraseRootFromParent_Done,
     /* 1455277 */   // Label 19461: @1455277
     /* 1455277 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1455392), // Rule ID 24107 //
     /* 1455282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1455285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1455290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1455293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1455296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1455299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1455305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455332 */     // MIs[1] Operand 1
     /* 1455332 */     // No operand predicates
     /* 1455332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455336 */     // MIs[0] policy
     /* 1455336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455348 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1455365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455391 */     // GIR_Coverage, 24107,
     /* 1455391 */     GIR_EraseRootFromParent_Done,
     /* 1455392 */   // Label 19462: @1455392
     /* 1455392 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1455507), // Rule ID 24170 //
     /* 1455397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1455400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455447 */     // MIs[1] Operand 1
     /* 1455447 */     // No operand predicates
     /* 1455447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455451 */     // MIs[0] policy
     /* 1455451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455463 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1455480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455489 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455506 */     // GIR_Coverage, 24170,
     /* 1455506 */     GIR_EraseRootFromParent_Done,
     /* 1455507 */   // Label 19463: @1455507
     /* 1455507 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1455622), // Rule ID 24171 //
     /* 1455512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1455515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1455523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1455526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1455529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455562 */     // MIs[1] Operand 1
     /* 1455562 */     // No operand predicates
     /* 1455562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455566 */     // MIs[0] policy
     /* 1455566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455578 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455582 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1455595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455621 */     // GIR_Coverage, 24171,
     /* 1455621 */     GIR_EraseRootFromParent_Done,
     /* 1455622 */   // Label 19464: @1455622
     /* 1455622 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1455737), // Rule ID 24174 //
     /* 1455627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1455630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455677 */     // MIs[1] Operand 1
     /* 1455677 */     // No operand predicates
     /* 1455677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455681 */     // MIs[0] policy
     /* 1455681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455693 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1455710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455736 */     // GIR_Coverage, 24174,
     /* 1455736 */     GIR_EraseRootFromParent_Done,
     /* 1455737 */   // Label 19465: @1455737
     /* 1455737 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1455852), // Rule ID 24175 //
     /* 1455742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1455745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1455753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1455756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1455759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455792 */     // MIs[1] Operand 1
     /* 1455792 */     // No operand predicates
     /* 1455792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455796 */     // MIs[0] policy
     /* 1455796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455808 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1455825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455851 */     // GIR_Coverage, 24175,
     /* 1455851 */     GIR_EraseRootFromParent_Done,
     /* 1455852 */   // Label 19466: @1455852
     /* 1455852 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1455967), // Rule ID 24178 //
     /* 1455857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1455860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455907 */     // MIs[1] Operand 1
     /* 1455907 */     // No operand predicates
     /* 1455907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455911 */     // MIs[0] policy
     /* 1455911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455923 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1455927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1455933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1455937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1455940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1455944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455949 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1455955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455966 */     // GIR_Coverage, 24178,
     /* 1455966 */     GIR_EraseRootFromParent_Done,
     /* 1455967 */   // Label 19467: @1455967
     /* 1455967 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1456082), // Rule ID 24179 //
     /* 1455972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1455975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1455980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1455983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1455986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1455989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456018 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456022 */     // MIs[1] Operand 1
     /* 1456022 */     // No operand predicates
     /* 1456022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456026 */     // MIs[0] policy
     /* 1456026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456038 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1456055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456081 */     // GIR_Coverage, 24179,
     /* 1456081 */     GIR_EraseRootFromParent_Done,
     /* 1456082 */   // Label 19468: @1456082
     /* 1456082 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1456197), // Rule ID 24182 //
     /* 1456087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1456090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456137 */     // MIs[1] Operand 1
     /* 1456137 */     // No operand predicates
     /* 1456137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456141 */     // MIs[0] policy
     /* 1456141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456196 */     // GIR_Coverage, 24182,
     /* 1456196 */     GIR_EraseRootFromParent_Done,
     /* 1456197 */   // Label 19469: @1456197
     /* 1456197 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1456312), // Rule ID 24183 //
     /* 1456202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1456205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1456213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1456216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1456219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456252 */     // MIs[1] Operand 1
     /* 1456252 */     // No operand predicates
     /* 1456252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456256 */     // MIs[0] policy
     /* 1456256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456268 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456311 */     // GIR_Coverage, 24183,
     /* 1456311 */     GIR_EraseRootFromParent_Done,
     /* 1456312 */   // Label 19470: @1456312
     /* 1456312 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1456427), // Rule ID 24186 //
     /* 1456317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1456320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456367 */     // MIs[1] Operand 1
     /* 1456367 */     // No operand predicates
     /* 1456367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456371 */     // MIs[0] policy
     /* 1456371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456383 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456426 */     // GIR_Coverage, 24186,
     /* 1456426 */     GIR_EraseRootFromParent_Done,
     /* 1456427 */   // Label 19471: @1456427
     /* 1456427 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1456542), // Rule ID 24187 //
     /* 1456432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1456435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1456443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1456446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1456449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1456455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456478 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456482 */     // MIs[1] Operand 1
     /* 1456482 */     // No operand predicates
     /* 1456482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456486 */     // MIs[0] policy
     /* 1456486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456498 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456541 */     // GIR_Coverage, 24187,
     /* 1456541 */     GIR_EraseRootFromParent_Done,
     /* 1456542 */   // Label 19472: @1456542
     /* 1456542 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1456657), // Rule ID 24190 //
     /* 1456547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1456550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1456558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1456561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456597 */     // MIs[1] Operand 1
     /* 1456597 */     // No operand predicates
     /* 1456597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456601 */     // MIs[0] policy
     /* 1456601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456613 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1456653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456656 */     // GIR_Coverage, 24190,
     /* 1456656 */     GIR_EraseRootFromParent_Done,
     /* 1456657 */   // Label 19473: @1456657
     /* 1456657 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1456772), // Rule ID 24191 //
     /* 1456662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1456665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1456673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1456676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1456679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1456685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1456692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1456700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456712 */     // MIs[1] Operand 1
     /* 1456712 */     // No operand predicates
     /* 1456712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456716 */     // MIs[0] policy
     /* 1456716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456732 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1456745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1456768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456771 */     // GIR_Coverage, 24191,
     /* 1456771 */     GIR_EraseRootFromParent_Done,
     /* 1456772 */   // Label 19474: @1456772
     /* 1456772 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1456887), // Rule ID 24194 //
     /* 1456777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1456780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456827 */     // MIs[1] Operand 1
     /* 1456827 */     // No operand predicates
     /* 1456827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456831 */     // MIs[0] policy
     /* 1456831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456843 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1456860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456886 */     // GIR_Coverage, 24194,
     /* 1456886 */     GIR_EraseRootFromParent_Done,
     /* 1456887 */   // Label 19475: @1456887
     /* 1456887 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1457002), // Rule ID 24195 //
     /* 1456892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1456895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1456900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456942 */     // MIs[1] Operand 1
     /* 1456942 */     // No operand predicates
     /* 1456942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456946 */     // MIs[0] policy
     /* 1456946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456958 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1456962 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1456968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1456972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1456975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1456979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1456990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457001 */     // GIR_Coverage, 24195,
     /* 1457001 */     GIR_EraseRootFromParent_Done,
     /* 1457002 */   // Label 19476: @1457002
     /* 1457002 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1457117), // Rule ID 24198 //
     /* 1457007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1457010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1457024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457057 */     // MIs[1] Operand 1
     /* 1457057 */     // No operand predicates
     /* 1457057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457061 */     // MIs[0] policy
     /* 1457061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457073 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1457090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457116 */     // GIR_Coverage, 24198,
     /* 1457116 */     GIR_EraseRootFromParent_Done,
     /* 1457117 */   // Label 19477: @1457117
     /* 1457117 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1457232), // Rule ID 24199 //
     /* 1457122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1457125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1457133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1457136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1457139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457172 */     // MIs[1] Operand 1
     /* 1457172 */     // No operand predicates
     /* 1457172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457176 */     // MIs[0] policy
     /* 1457176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457188 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1457205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457231 */     // GIR_Coverage, 24199,
     /* 1457231 */     GIR_EraseRootFromParent_Done,
     /* 1457232 */   // Label 19478: @1457232
     /* 1457232 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1457347), // Rule ID 24202 //
     /* 1457237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1457240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1457248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1457251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1457254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457287 */     // MIs[1] Operand 1
     /* 1457287 */     // No operand predicates
     /* 1457287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457291 */     // MIs[0] policy
     /* 1457291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457303 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457307 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1457320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457346 */     // GIR_Coverage, 24202,
     /* 1457346 */     GIR_EraseRootFromParent_Done,
     /* 1457347 */   // Label 19479: @1457347
     /* 1457347 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1457462), // Rule ID 24203 //
     /* 1457352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1457355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1457363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1457366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1457369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1457375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457402 */     // MIs[1] Operand 1
     /* 1457402 */     // No operand predicates
     /* 1457402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457406 */     // MIs[0] policy
     /* 1457406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457418 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457422 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1457435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1457458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457461 */     // GIR_Coverage, 24203,
     /* 1457461 */     GIR_EraseRootFromParent_Done,
     /* 1457462 */   // Label 19480: @1457462
     /* 1457462 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1457577), // Rule ID 24206 //
     /* 1457467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1457470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1457478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1457481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1457484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457517 */     // MIs[1] Operand 1
     /* 1457517 */     // No operand predicates
     /* 1457517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457521 */     // MIs[0] policy
     /* 1457521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457533 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1457550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457576 */     // GIR_Coverage, 24206,
     /* 1457576 */     GIR_EraseRootFromParent_Done,
     /* 1457577 */   // Label 19481: @1457577
     /* 1457577 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1457692), // Rule ID 24207 //
     /* 1457582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1457585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1457593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1457596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1457599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457628 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457632 */     // MIs[1] Operand 1
     /* 1457632 */     // No operand predicates
     /* 1457632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457636 */     // MIs[0] policy
     /* 1457636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457648 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457652 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1457665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457691 */     // GIR_Coverage, 24207,
     /* 1457691 */     GIR_EraseRootFromParent_Done,
     /* 1457692 */   // Label 19482: @1457692
     /* 1457692 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1457807), // Rule ID 24210 //
     /* 1457697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1457700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1457708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1457711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1457714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457747 */     // MIs[1] Operand 1
     /* 1457747 */     // No operand predicates
     /* 1457747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457751 */     // MIs[0] policy
     /* 1457751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457763 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1457780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457786 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457806 */     // GIR_Coverage, 24210,
     /* 1457806 */     GIR_EraseRootFromParent_Done,
     /* 1457807 */   // Label 19483: @1457807
     /* 1457807 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1457922), // Rule ID 24211 //
     /* 1457812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1457815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1457823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1457826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1457829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457862 */     // MIs[1] Operand 1
     /* 1457862 */     // No operand predicates
     /* 1457862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457866 */     // MIs[0] policy
     /* 1457866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457882 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1457888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1457892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1457895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1457899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1457910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457921 */     // GIR_Coverage, 24211,
     /* 1457921 */     GIR_EraseRootFromParent_Done,
     /* 1457922 */   // Label 19484: @1457922
     /* 1457922 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1458037), // Rule ID 24214 //
     /* 1457927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1457930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1457935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1457938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1457941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457977 */     // MIs[1] Operand 1
     /* 1457977 */     // No operand predicates
     /* 1457977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457981 */     // MIs[0] policy
     /* 1457981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457993 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1457997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1458010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458036 */     // GIR_Coverage, 24214,
     /* 1458036 */     GIR_EraseRootFromParent_Done,
     /* 1458037 */   // Label 19485: @1458037
     /* 1458037 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1458152), // Rule ID 24215 //
     /* 1458042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1458045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1458053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1458056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1458059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1458065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458092 */     // MIs[1] Operand 1
     /* 1458092 */     // No operand predicates
     /* 1458092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458096 */     // MIs[0] policy
     /* 1458096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458112 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1458125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458151 */     // GIR_Coverage, 24215,
     /* 1458151 */     GIR_EraseRootFromParent_Done,
     /* 1458152 */   // Label 19486: @1458152
     /* 1458152 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1458267), // Rule ID 24218 //
     /* 1458157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1458160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1458168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1458171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1458174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458207 */     // MIs[1] Operand 1
     /* 1458207 */     // No operand predicates
     /* 1458207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458211 */     // MIs[0] policy
     /* 1458211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458223 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1458240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458246 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458266 */     // GIR_Coverage, 24218,
     /* 1458266 */     GIR_EraseRootFromParent_Done,
     /* 1458267 */   // Label 19487: @1458267
     /* 1458267 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1458382), // Rule ID 24219 //
     /* 1458272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1458275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1458283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1458286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1458289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1458302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1458310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458318 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458322 */     // MIs[1] Operand 1
     /* 1458322 */     // No operand predicates
     /* 1458322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458326 */     // MIs[0] policy
     /* 1458326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458338 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1458355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458381 */     // GIR_Coverage, 24219,
     /* 1458381 */     GIR_EraseRootFromParent_Done,
     /* 1458382 */   // Label 19488: @1458382
     /* 1458382 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1458497), // Rule ID 24222 //
     /* 1458387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1458390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1458398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1458401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1458404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458437 */     // MIs[1] Operand 1
     /* 1458437 */     // No operand predicates
     /* 1458437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458441 */     // MIs[0] policy
     /* 1458441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458453 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1458470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458496 */     // GIR_Coverage, 24222,
     /* 1458496 */     GIR_EraseRootFromParent_Done,
     /* 1458497 */   // Label 19489: @1458497
     /* 1458497 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1458612), // Rule ID 24223 //
     /* 1458502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1458505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1458513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1458516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1458519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1458532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1458540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458552 */     // MIs[1] Operand 1
     /* 1458552 */     // No operand predicates
     /* 1458552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458556 */     // MIs[0] policy
     /* 1458556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458568 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1458585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458611 */     // GIR_Coverage, 24223,
     /* 1458611 */     GIR_EraseRootFromParent_Done,
     /* 1458612 */   // Label 19490: @1458612
     /* 1458612 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1458727), // Rule ID 24226 //
     /* 1458617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1458620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1458628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1458631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1458634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458667 */     // MIs[1] Operand 1
     /* 1458667 */     // No operand predicates
     /* 1458667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458671 */     // MIs[0] policy
     /* 1458671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458683 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1458700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458726 */     // GIR_Coverage, 24226,
     /* 1458726 */     GIR_EraseRootFromParent_Done,
     /* 1458727 */   // Label 19491: @1458727
     /* 1458727 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1458842), // Rule ID 24227 //
     /* 1458732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1458735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1458740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1458743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1458746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1458749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1458762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1458770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458778 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458782 */     // MIs[1] Operand 1
     /* 1458782 */     // No operand predicates
     /* 1458782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458786 */     // MIs[0] policy
     /* 1458786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1458815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1458819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1458838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458841 */     // GIR_Coverage, 24227,
     /* 1458841 */     GIR_EraseRootFromParent_Done,
     /* 1458842 */   // Label 19492: @1458842
     /* 1458842 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1458957), // Rule ID 24526 //
     /* 1458847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1458855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1458858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1458861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1458864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458897 */     // MIs[1] Operand 1
     /* 1458897 */     // No operand predicates
     /* 1458897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458901 */     // MIs[0] policy
     /* 1458901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458913 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1458917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1458923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1458927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1458930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1458945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458956 */     // GIR_Coverage, 24526,
     /* 1458956 */     GIR_EraseRootFromParent_Done,
     /* 1458957 */   // Label 19493: @1458957
     /* 1458957 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1459072), // Rule ID 24527 //
     /* 1458962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1458970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1458973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1458976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1458979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459012 */     // MIs[1] Operand 1
     /* 1459012 */     // No operand predicates
     /* 1459012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459016 */     // MIs[0] policy
     /* 1459016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459028 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459032 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1459045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459071 */     // GIR_Coverage, 24527,
     /* 1459071 */     GIR_EraseRootFromParent_Done,
     /* 1459072 */   // Label 19494: @1459072
     /* 1459072 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1459187), // Rule ID 24530 //
     /* 1459077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1459088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1459091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1459094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459127 */     // MIs[1] Operand 1
     /* 1459127 */     // No operand predicates
     /* 1459127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459131 */     // MIs[0] policy
     /* 1459131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459143 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459147 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1459160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459186 */     // GIR_Coverage, 24530,
     /* 1459186 */     GIR_EraseRootFromParent_Done,
     /* 1459187 */   // Label 19495: @1459187
     /* 1459187 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1459302), // Rule ID 24531 //
     /* 1459192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1459203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1459206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1459209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459242 */     // MIs[1] Operand 1
     /* 1459242 */     // No operand predicates
     /* 1459242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459246 */     // MIs[0] policy
     /* 1459246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459258 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1459275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459301 */     // GIR_Coverage, 24531,
     /* 1459301 */     GIR_EraseRootFromParent_Done,
     /* 1459302 */   // Label 19496: @1459302
     /* 1459302 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1459417), // Rule ID 24534 //
     /* 1459307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1459318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1459321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1459324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459357 */     // MIs[1] Operand 1
     /* 1459357 */     // No operand predicates
     /* 1459357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459361 */     // MIs[0] policy
     /* 1459361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1459390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459416 */     // GIR_Coverage, 24534,
     /* 1459416 */     GIR_EraseRootFromParent_Done,
     /* 1459417 */   // Label 19497: @1459417
     /* 1459417 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1459532), // Rule ID 24535 //
     /* 1459422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1459433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1459436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1459439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459468 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459472 */     // MIs[1] Operand 1
     /* 1459472 */     // No operand predicates
     /* 1459472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459476 */     // MIs[0] policy
     /* 1459476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459488 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459492 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1459505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459531 */     // GIR_Coverage, 24535,
     /* 1459531 */     GIR_EraseRootFromParent_Done,
     /* 1459532 */   // Label 19498: @1459532
     /* 1459532 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1459647), // Rule ID 24538 //
     /* 1459537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1459554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459587 */     // MIs[1] Operand 1
     /* 1459587 */     // No operand predicates
     /* 1459587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459591 */     // MIs[0] policy
     /* 1459591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1459620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459646 */     // GIR_Coverage, 24538,
     /* 1459646 */     GIR_EraseRootFromParent_Done,
     /* 1459647 */   // Label 19499: @1459647
     /* 1459647 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1459762), // Rule ID 24539 //
     /* 1459652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1459663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1459666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1459669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459702 */     // MIs[1] Operand 1
     /* 1459702 */     // No operand predicates
     /* 1459702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459706 */     // MIs[0] policy
     /* 1459706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459722 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1459735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459761 */     // GIR_Coverage, 24539,
     /* 1459761 */     GIR_EraseRootFromParent_Done,
     /* 1459762 */   // Label 19500: @1459762
     /* 1459762 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1459877), // Rule ID 24542 //
     /* 1459767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1459784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459817 */     // MIs[1] Operand 1
     /* 1459817 */     // No operand predicates
     /* 1459817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459821 */     // MIs[0] policy
     /* 1459821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459833 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1459850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459876 */     // GIR_Coverage, 24542,
     /* 1459876 */     GIR_EraseRootFromParent_Done,
     /* 1459877 */   // Label 19501: @1459877
     /* 1459877 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1459992), // Rule ID 24543 //
     /* 1459882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1459890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1459893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1459896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1459899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459932 */     // MIs[1] Operand 1
     /* 1459932 */     // No operand predicates
     /* 1459932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459936 */     // MIs[0] policy
     /* 1459936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1459952 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1459958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1459962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1459965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1459980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459991 */     // GIR_Coverage, 24543,
     /* 1459991 */     GIR_EraseRootFromParent_Done,
     /* 1459992 */   // Label 19502: @1459992
     /* 1459992 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1460107), // Rule ID 24546 //
     /* 1459997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460047 */     // MIs[1] Operand 1
     /* 1460047 */     // No operand predicates
     /* 1460047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460051 */     // MIs[0] policy
     /* 1460051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460063 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1460080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460106 */     // GIR_Coverage, 24546,
     /* 1460106 */     GIR_EraseRootFromParent_Done,
     /* 1460107 */   // Label 19503: @1460107
     /* 1460107 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1460222), // Rule ID 24547 //
     /* 1460112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1460123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1460126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1460129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460162 */     // MIs[1] Operand 1
     /* 1460162 */     // No operand predicates
     /* 1460162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460166 */     // MIs[0] policy
     /* 1460166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1460195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460221 */     // GIR_Coverage, 24547,
     /* 1460221 */     GIR_EraseRootFromParent_Done,
     /* 1460222 */   // Label 19504: @1460222
     /* 1460222 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1460337), // Rule ID 24550 //
     /* 1460227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1460244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460277 */     // MIs[1] Operand 1
     /* 1460277 */     // No operand predicates
     /* 1460277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460281 */     // MIs[0] policy
     /* 1460281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460293 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460297 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460336 */     // GIR_Coverage, 24550,
     /* 1460336 */     GIR_EraseRootFromParent_Done,
     /* 1460337 */   // Label 19505: @1460337
     /* 1460337 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1460452), // Rule ID 24551 //
     /* 1460342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1460353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1460356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1460359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460392 */     // MIs[1] Operand 1
     /* 1460392 */     // No operand predicates
     /* 1460392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460396 */     // MIs[0] policy
     /* 1460396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460408 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460412 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460418 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460451 */     // GIR_Coverage, 24551,
     /* 1460451 */     GIR_EraseRootFromParent_Done,
     /* 1460452 */   // Label 19506: @1460452
     /* 1460452 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1460567), // Rule ID 24554 //
     /* 1460457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460507 */     // MIs[1] Operand 1
     /* 1460507 */     // No operand predicates
     /* 1460507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460511 */     // MIs[0] policy
     /* 1460511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460546 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460566 */     // GIR_Coverage, 24554,
     /* 1460566 */     GIR_EraseRootFromParent_Done,
     /* 1460567 */   // Label 19507: @1460567
     /* 1460567 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1460682), // Rule ID 24555 //
     /* 1460572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1460583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1460586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1460589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460622 */     // MIs[1] Operand 1
     /* 1460622 */     // No operand predicates
     /* 1460622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460626 */     // MIs[0] policy
     /* 1460626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460681 */     // GIR_Coverage, 24555,
     /* 1460681 */     GIR_EraseRootFromParent_Done,
     /* 1460682 */   // Label 19508: @1460682
     /* 1460682 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1460797), // Rule ID 24558 //
     /* 1460687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1460704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460737 */     // MIs[1] Operand 1
     /* 1460737 */     // No operand predicates
     /* 1460737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460741 */     // MIs[0] policy
     /* 1460741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460796 */     // GIR_Coverage, 24558,
     /* 1460796 */     GIR_EraseRootFromParent_Done,
     /* 1460797 */   // Label 19509: @1460797
     /* 1460797 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1460912), // Rule ID 24559 //
     /* 1460802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1460813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1460816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1460819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1460825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460852 */     // MIs[1] Operand 1
     /* 1460852 */     // No operand predicates
     /* 1460852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460856 */     // MIs[0] policy
     /* 1460856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460868 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1460885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1460900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460911 */     // GIR_Coverage, 24559,
     /* 1460911 */     GIR_EraseRootFromParent_Done,
     /* 1460912 */   // Label 19510: @1460912
     /* 1460912 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1461027), // Rule ID 24562 //
     /* 1460917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1460920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1460925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1460928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1460931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1460934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1460940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1460947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1460955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460967 */     // MIs[1] Operand 1
     /* 1460967 */     // No operand predicates
     /* 1460967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460971 */     // MIs[0] policy
     /* 1460971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460983 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1460987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1460993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1460997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1461000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461026 */     // GIR_Coverage, 24562,
     /* 1461026 */     GIR_EraseRootFromParent_Done,
     /* 1461027 */   // Label 19511: @1461027
     /* 1461027 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1461142), // Rule ID 24563 //
     /* 1461032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1461043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1461046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1461049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1461055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1461062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1461070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461082 */     // MIs[1] Operand 1
     /* 1461082 */     // No operand predicates
     /* 1461082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461086 */     // MIs[0] policy
     /* 1461086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1461115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461141 */     // GIR_Coverage, 24563,
     /* 1461141 */     GIR_EraseRootFromParent_Done,
     /* 1461142 */   // Label 19512: @1461142
     /* 1461142 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1461257), // Rule ID 24566 //
     /* 1461147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461197 */     // MIs[1] Operand 1
     /* 1461197 */     // No operand predicates
     /* 1461197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461201 */     // MIs[0] policy
     /* 1461201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461213 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461217 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1461230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461236 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461256 */     // GIR_Coverage, 24566,
     /* 1461256 */     GIR_EraseRootFromParent_Done,
     /* 1461257 */   // Label 19513: @1461257
     /* 1461257 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1461372), // Rule ID 24567 //
     /* 1461262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1461273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1461276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1461279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461312 */     // MIs[1] Operand 1
     /* 1461312 */     // No operand predicates
     /* 1461312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461316 */     // MIs[0] policy
     /* 1461316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461328 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1461345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461371 */     // GIR_Coverage, 24567,
     /* 1461371 */     GIR_EraseRootFromParent_Done,
     /* 1461372 */   // Label 19514: @1461372
     /* 1461372 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1461487), // Rule ID 24570 //
     /* 1461377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1461394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461427 */     // MIs[1] Operand 1
     /* 1461427 */     // No operand predicates
     /* 1461427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461431 */     // MIs[0] policy
     /* 1461431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1461460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461486 */     // GIR_Coverage, 24570,
     /* 1461486 */     GIR_EraseRootFromParent_Done,
     /* 1461487 */   // Label 19515: @1461487
     /* 1461487 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1461602), // Rule ID 24571 //
     /* 1461492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1461503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1461506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1461509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1461515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461538 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461542 */     // MIs[1] Operand 1
     /* 1461542 */     // No operand predicates
     /* 1461542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461546 */     // MIs[0] policy
     /* 1461546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461558 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1461575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461601 */     // GIR_Coverage, 24571,
     /* 1461601 */     GIR_EraseRootFromParent_Done,
     /* 1461602 */   // Label 19516: @1461602
     /* 1461602 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1461717), // Rule ID 24574 //
     /* 1461607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1461618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1461621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1461624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1461630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461657 */     // MIs[1] Operand 1
     /* 1461657 */     // No operand predicates
     /* 1461657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461661 */     // MIs[0] policy
     /* 1461661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461673 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1461690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461716 */     // GIR_Coverage, 24574,
     /* 1461716 */     GIR_EraseRootFromParent_Done,
     /* 1461717 */   // Label 19517: @1461717
     /* 1461717 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1461832), // Rule ID 24575 //
     /* 1461722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1461733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1461736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1461739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1461745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461772 */     // MIs[1] Operand 1
     /* 1461772 */     // No operand predicates
     /* 1461772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461776 */     // MIs[0] policy
     /* 1461776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1461805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1461828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461831 */     // GIR_Coverage, 24575,
     /* 1461831 */     GIR_EraseRootFromParent_Done,
     /* 1461832 */   // Label 19518: @1461832
     /* 1461832 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1461947), // Rule ID 24578 //
     /* 1461837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1461848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1461851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461887 */     // MIs[1] Operand 1
     /* 1461887 */     // No operand predicates
     /* 1461887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461891 */     // MIs[0] policy
     /* 1461891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1461907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1461913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1461917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1461920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1461935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1461943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461946 */     // GIR_Coverage, 24578,
     /* 1461946 */     GIR_EraseRootFromParent_Done,
     /* 1461947 */   // Label 19519: @1461947
     /* 1461947 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1462062), // Rule ID 24579 //
     /* 1461952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1461960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1461963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1461966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1461969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462002 */     // MIs[1] Operand 1
     /* 1462002 */     // No operand predicates
     /* 1462002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462006 */     // MIs[0] policy
     /* 1462006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462022 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1462035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462061 */     // GIR_Coverage, 24579,
     /* 1462061 */     GIR_EraseRootFromParent_Done,
     /* 1462062 */   // Label 19520: @1462062
     /* 1462062 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1462177), // Rule ID 24582 //
     /* 1462067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462117 */     // MIs[1] Operand 1
     /* 1462117 */     // No operand predicates
     /* 1462117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462121 */     // MIs[0] policy
     /* 1462121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462133 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1462150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462156 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462176 */     // GIR_Coverage, 24582,
     /* 1462176 */     GIR_EraseRootFromParent_Done,
     /* 1462177 */   // Label 19521: @1462177
     /* 1462177 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1462292), // Rule ID 24583 //
     /* 1462182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1462193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1462196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462228 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462232 */     // MIs[1] Operand 1
     /* 1462232 */     // No operand predicates
     /* 1462232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462236 */     // MIs[0] policy
     /* 1462236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462248 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1462265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462291 */     // GIR_Coverage, 24583,
     /* 1462291 */     GIR_EraseRootFromParent_Done,
     /* 1462292 */   // Label 19522: @1462292
     /* 1462292 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1462407), // Rule ID 24586 //
     /* 1462297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462347 */     // MIs[1] Operand 1
     /* 1462347 */     // No operand predicates
     /* 1462347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462351 */     // MIs[0] policy
     /* 1462351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462363 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1462380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462406 */     // GIR_Coverage, 24586,
     /* 1462406 */     GIR_EraseRootFromParent_Done,
     /* 1462407 */   // Label 19523: @1462407
     /* 1462407 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1462522), // Rule ID 24587 //
     /* 1462412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1462423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1462426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1462429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1462435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1462442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1462450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462462 */     // MIs[1] Operand 1
     /* 1462462 */     // No operand predicates
     /* 1462462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462466 */     // MIs[0] policy
     /* 1462466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462482 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1462495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1462518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462521 */     // GIR_Coverage, 24587,
     /* 1462521 */     GIR_EraseRootFromParent_Done,
     /* 1462522 */   // Label 19524: @1462522
     /* 1462522 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1462637), // Rule ID 24590 //
     /* 1462527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462577 */     // MIs[1] Operand 1
     /* 1462577 */     // No operand predicates
     /* 1462577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462581 */     // MIs[0] policy
     /* 1462581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462593 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1462610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462636 */     // GIR_Coverage, 24590,
     /* 1462636 */     GIR_EraseRootFromParent_Done,
     /* 1462637 */   // Label 19525: @1462637
     /* 1462637 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1462752), // Rule ID 24591 //
     /* 1462642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1462653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1462656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1462659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462692 */     // MIs[1] Operand 1
     /* 1462692 */     // No operand predicates
     /* 1462692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462696 */     // MIs[0] policy
     /* 1462696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462708 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1462725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462751 */     // GIR_Coverage, 24591,
     /* 1462751 */     GIR_EraseRootFromParent_Done,
     /* 1462752 */   // Label 19526: @1462752
     /* 1462752 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1462867), // Rule ID 24594 //
     /* 1462757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462807 */     // MIs[1] Operand 1
     /* 1462807 */     // No operand predicates
     /* 1462807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462811 */     // MIs[0] policy
     /* 1462811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462823 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1462840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462846 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462866 */     // GIR_Coverage, 24594,
     /* 1462866 */     GIR_EraseRootFromParent_Done,
     /* 1462867 */   // Label 19527: @1462867
     /* 1462867 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1462982), // Rule ID 24595 //
     /* 1462872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1462883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1462886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1462889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1462902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462922 */     // MIs[1] Operand 1
     /* 1462922 */     // No operand predicates
     /* 1462922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462926 */     // MIs[0] policy
     /* 1462926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1462942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1462948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1462952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1462955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1462970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1462978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462981 */     // GIR_Coverage, 24595,
     /* 1462981 */     GIR_EraseRootFromParent_Done,
     /* 1462982 */   // Label 19528: @1462982
     /* 1462982 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1463097), // Rule ID 24598 //
     /* 1462987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1462995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1462998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1463004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463037 */     // MIs[1] Operand 1
     /* 1463037 */     // No operand predicates
     /* 1463037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463041 */     // MIs[0] policy
     /* 1463041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1463070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463096 */     // GIR_Coverage, 24598,
     /* 1463096 */     GIR_EraseRootFromParent_Done,
     /* 1463097 */   // Label 19529: @1463097
     /* 1463097 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1463212), // Rule ID 24599 //
     /* 1463102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1463113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1463116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1463119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1463125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463152 */     // MIs[1] Operand 1
     /* 1463152 */     // No operand predicates
     /* 1463152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463156 */     // MIs[0] policy
     /* 1463156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1463185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1463208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463211 */     // GIR_Coverage, 24599,
     /* 1463211 */     GIR_EraseRootFromParent_Done,
     /* 1463212 */   // Label 19530: @1463212
     /* 1463212 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1463327), // Rule ID 24602 //
     /* 1463217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463267 */     // MIs[1] Operand 1
     /* 1463267 */     // No operand predicates
     /* 1463267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463271 */     // MIs[0] policy
     /* 1463271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1463300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463306 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463326 */     // GIR_Coverage, 24602,
     /* 1463326 */     GIR_EraseRootFromParent_Done,
     /* 1463327 */   // Label 19531: @1463327
     /* 1463327 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1463442), // Rule ID 24603 //
     /* 1463332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1463343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1463346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1463349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463382 */     // MIs[1] Operand 1
     /* 1463382 */     // No operand predicates
     /* 1463382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463386 */     // MIs[0] policy
     /* 1463386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463398 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463402 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1463415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463441 */     // GIR_Coverage, 24603,
     /* 1463441 */     GIR_EraseRootFromParent_Done,
     /* 1463442 */   // Label 19532: @1463442
     /* 1463442 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1463557), // Rule ID 24606 //
     /* 1463447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463497 */     // MIs[1] Operand 1
     /* 1463497 */     // No operand predicates
     /* 1463497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463501 */     // MIs[0] policy
     /* 1463501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463513 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1463530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463556 */     // GIR_Coverage, 24606,
     /* 1463556 */     GIR_EraseRootFromParent_Done,
     /* 1463557 */   // Label 19533: @1463557
     /* 1463557 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1463672), // Rule ID 24607 //
     /* 1463562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1463573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1463576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1463579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463612 */     // MIs[1] Operand 1
     /* 1463612 */     // No operand predicates
     /* 1463612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463616 */     // MIs[0] policy
     /* 1463616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1463645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463671 */     // GIR_Coverage, 24607,
     /* 1463671 */     GIR_EraseRootFromParent_Done,
     /* 1463672 */   // Label 19534: @1463672
     /* 1463672 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1463787), // Rule ID 24610 //
     /* 1463677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1463680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463727 */     // MIs[1] Operand 1
     /* 1463727 */     // No operand predicates
     /* 1463727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463731 */     // MIs[0] policy
     /* 1463731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463743 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1463760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463769 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463786 */     // GIR_Coverage, 24610,
     /* 1463786 */     GIR_EraseRootFromParent_Done,
     /* 1463787 */   // Label 19535: @1463787
     /* 1463787 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1463902), // Rule ID 24611 //
     /* 1463792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1463795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1463803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1463806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1463809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1463822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463838 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463842 */     // MIs[1] Operand 1
     /* 1463842 */     // No operand predicates
     /* 1463842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463846 */     // MIs[0] policy
     /* 1463846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463862 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1463875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1463890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1463898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463901 */     // GIR_Coverage, 24611,
     /* 1463901 */     GIR_EraseRootFromParent_Done,
     /* 1463902 */   // Label 19536: @1463902
     /* 1463902 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1464017), // Rule ID 24770 //
     /* 1463907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1463910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1463915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1463918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1463921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1463924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463957 */     // MIs[1] Operand 1
     /* 1463957 */     // No operand predicates
     /* 1463957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463961 */     // MIs[0] policy
     /* 1463961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463973 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1463977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1463983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1463987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1463990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463996 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464016 */     // GIR_Coverage, 24770,
     /* 1464016 */     GIR_EraseRootFromParent_Done,
     /* 1464017 */   // Label 19537: @1464017
     /* 1464017 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1464132), // Rule ID 24771 //
     /* 1464022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1464025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1464039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464072 */     // MIs[1] Operand 1
     /* 1464072 */     // No operand predicates
     /* 1464072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464076 */     // MIs[0] policy
     /* 1464076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464092 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1464105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464131 */     // GIR_Coverage, 24771,
     /* 1464131 */     GIR_EraseRootFromParent_Done,
     /* 1464132 */   // Label 19538: @1464132
     /* 1464132 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1464247), // Rule ID 24774 //
     /* 1464137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1464140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464187 */     // MIs[1] Operand 1
     /* 1464187 */     // No operand predicates
     /* 1464187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464191 */     // MIs[0] policy
     /* 1464191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1464220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464229 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464246 */     // GIR_Coverage, 24774,
     /* 1464246 */     GIR_EraseRootFromParent_Done,
     /* 1464247 */   // Label 19539: @1464247
     /* 1464247 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1464362), // Rule ID 24775 //
     /* 1464252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1464255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1464269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464302 */     // MIs[1] Operand 1
     /* 1464302 */     // No operand predicates
     /* 1464302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464306 */     // MIs[0] policy
     /* 1464306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464322 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1464335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464361 */     // GIR_Coverage, 24775,
     /* 1464361 */     GIR_EraseRootFromParent_Done,
     /* 1464362 */   // Label 19540: @1464362
     /* 1464362 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1464477), // Rule ID 24778 //
     /* 1464367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1464370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1464378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1464381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1464384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464417 */     // MIs[1] Operand 1
     /* 1464417 */     // No operand predicates
     /* 1464417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464421 */     // MIs[0] policy
     /* 1464421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464433 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1464450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464476 */     // GIR_Coverage, 24778,
     /* 1464476 */     GIR_EraseRootFromParent_Done,
     /* 1464477 */   // Label 19541: @1464477
     /* 1464477 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1464592), // Rule ID 24779 //
     /* 1464482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1464485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1464493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1464496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1464499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464532 */     // MIs[1] Operand 1
     /* 1464532 */     // No operand predicates
     /* 1464532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464536 */     // MIs[0] policy
     /* 1464536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464548 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464552 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1464565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1464588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464591 */     // GIR_Coverage, 24779,
     /* 1464591 */     GIR_EraseRootFromParent_Done,
     /* 1464592 */   // Label 19542: @1464592
     /* 1464592 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1464707), // Rule ID 24782 //
     /* 1464597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1464600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464647 */     // MIs[1] Operand 1
     /* 1464647 */     // No operand predicates
     /* 1464647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464651 */     // MIs[0] policy
     /* 1464651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464663 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464667 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1464680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464706 */     // GIR_Coverage, 24782,
     /* 1464706 */     GIR_EraseRootFromParent_Done,
     /* 1464707 */   // Label 19543: @1464707
     /* 1464707 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1464822), // Rule ID 24783 //
     /* 1464712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1464715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1464729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464762 */     // MIs[1] Operand 1
     /* 1464762 */     // No operand predicates
     /* 1464762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464766 */     // MIs[0] policy
     /* 1464766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464778 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1464795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464821 */     // GIR_Coverage, 24783,
     /* 1464821 */     GIR_EraseRootFromParent_Done,
     /* 1464822 */   // Label 19544: @1464822
     /* 1464822 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1464937), // Rule ID 24786 //
     /* 1464827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1464830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464877 */     // MIs[1] Operand 1
     /* 1464877 */     // No operand predicates
     /* 1464877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464881 */     // MIs[0] policy
     /* 1464881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464893 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1464897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1464903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1464907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1464910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1464925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464936 */     // GIR_Coverage, 24786,
     /* 1464936 */     GIR_EraseRootFromParent_Done,
     /* 1464937 */   // Label 19545: @1464937
     /* 1464937 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1465052), // Rule ID 24787 //
     /* 1464942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1464945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1464950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1464959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464992 */     // MIs[1] Operand 1
     /* 1464992 */     // No operand predicates
     /* 1464992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464996 */     // MIs[0] policy
     /* 1464996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465008 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1465025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465051 */     // GIR_Coverage, 24787,
     /* 1465051 */     GIR_EraseRootFromParent_Done,
     /* 1465052 */   // Label 19546: @1465052
     /* 1465052 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1465167), // Rule ID 24790 //
     /* 1465057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1465060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1465068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1465071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1465074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465107 */     // MIs[1] Operand 1
     /* 1465107 */     // No operand predicates
     /* 1465107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465111 */     // MIs[0] policy
     /* 1465111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1465140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465166 */     // GIR_Coverage, 24790,
     /* 1465166 */     GIR_EraseRootFromParent_Done,
     /* 1465167 */   // Label 19547: @1465167
     /* 1465167 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1465282), // Rule ID 24791 //
     /* 1465172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1465175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1465183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1465186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1465189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465222 */     // MIs[1] Operand 1
     /* 1465222 */     // No operand predicates
     /* 1465222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465226 */     // MIs[0] policy
     /* 1465226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465238 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1465255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1465278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465281 */     // GIR_Coverage, 24791,
     /* 1465281 */     GIR_EraseRootFromParent_Done,
     /* 1465282 */   // Label 19548: @1465282
     /* 1465282 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1465397), // Rule ID 24794 //
     /* 1465287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1465290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465337 */     // MIs[1] Operand 1
     /* 1465337 */     // No operand predicates
     /* 1465337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465341 */     // MIs[0] policy
     /* 1465341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465353 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1465370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465396 */     // GIR_Coverage, 24794,
     /* 1465396 */     GIR_EraseRootFromParent_Done,
     /* 1465397 */   // Label 19549: @1465397
     /* 1465397 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1465512), // Rule ID 24795 //
     /* 1465402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1465405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1465413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1465416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1465419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465452 */     // MIs[1] Operand 1
     /* 1465452 */     // No operand predicates
     /* 1465452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465456 */     // MIs[0] policy
     /* 1465456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465468 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1465485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465511 */     // GIR_Coverage, 24795,
     /* 1465511 */     GIR_EraseRootFromParent_Done,
     /* 1465512 */   // Label 19550: @1465512
     /* 1465512 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1465627), // Rule ID 24798 //
     /* 1465517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1465520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465567 */     // MIs[1] Operand 1
     /* 1465567 */     // No operand predicates
     /* 1465567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465571 */     // MIs[0] policy
     /* 1465571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465583 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1465600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465606 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465626 */     // GIR_Coverage, 24798,
     /* 1465626 */     GIR_EraseRootFromParent_Done,
     /* 1465627 */   // Label 19551: @1465627
     /* 1465627 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1465742), // Rule ID 24799 //
     /* 1465632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1465635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1465643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1465646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1465649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465682 */     // MIs[1] Operand 1
     /* 1465682 */     // No operand predicates
     /* 1465682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465686 */     // MIs[0] policy
     /* 1465686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465698 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1465715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465741 */     // GIR_Coverage, 24799,
     /* 1465741 */     GIR_EraseRootFromParent_Done,
     /* 1465742 */   // Label 19552: @1465742
     /* 1465742 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1465857), // Rule ID 24802 //
     /* 1465747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1465750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465797 */     // MIs[1] Operand 1
     /* 1465797 */     // No operand predicates
     /* 1465797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465801 */     // MIs[0] policy
     /* 1465801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465813 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1465830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465856 */     // GIR_Coverage, 24802,
     /* 1465856 */     GIR_EraseRootFromParent_Done,
     /* 1465857 */   // Label 19553: @1465857
     /* 1465857 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1465972), // Rule ID 24803 //
     /* 1465862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1465865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1465873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1465876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1465879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1465892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465912 */     // MIs[1] Operand 1
     /* 1465912 */     // No operand predicates
     /* 1465912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465916 */     // MIs[0] policy
     /* 1465916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465928 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1465932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1465938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1465942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1465945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1465960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1465968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465971 */     // GIR_Coverage, 24803,
     /* 1465971 */     GIR_EraseRootFromParent_Done,
     /* 1465972 */   // Label 19554: @1465972
     /* 1465972 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1466087), // Rule ID 24854 //
     /* 1465977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1465980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1465985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1465988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1465991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466027 */     // MIs[1] Operand 1
     /* 1466027 */     // No operand predicates
     /* 1466027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466031 */     // MIs[0] policy
     /* 1466031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466043 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1466060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466086 */     // GIR_Coverage, 24854,
     /* 1466086 */     GIR_EraseRootFromParent_Done,
     /* 1466087 */   // Label 19555: @1466087
     /* 1466087 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1466202), // Rule ID 24855 //
     /* 1466092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1466095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1466109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466138 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466142 */     // MIs[1] Operand 1
     /* 1466142 */     // No operand predicates
     /* 1466142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466146 */     // MIs[0] policy
     /* 1466146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466158 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1466175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466201 */     // GIR_Coverage, 24855,
     /* 1466201 */     GIR_EraseRootFromParent_Done,
     /* 1466202 */   // Label 19556: @1466202
     /* 1466202 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1466317), // Rule ID 24858 //
     /* 1466207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1466210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466257 */     // MIs[1] Operand 1
     /* 1466257 */     // No operand predicates
     /* 1466257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466261 */     // MIs[0] policy
     /* 1466261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466273 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1466290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466316 */     // GIR_Coverage, 24858,
     /* 1466316 */     GIR_EraseRootFromParent_Done,
     /* 1466317 */   // Label 19557: @1466317
     /* 1466317 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1466432), // Rule ID 24859 //
     /* 1466322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1466325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1466339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466372 */     // MIs[1] Operand 1
     /* 1466372 */     // No operand predicates
     /* 1466372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466376 */     // MIs[0] policy
     /* 1466376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1466405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466431 */     // GIR_Coverage, 24859,
     /* 1466431 */     GIR_EraseRootFromParent_Done,
     /* 1466432 */   // Label 19558: @1466432
     /* 1466432 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1466547), // Rule ID 24862 //
     /* 1466437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1466440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466487 */     // MIs[1] Operand 1
     /* 1466487 */     // No operand predicates
     /* 1466487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466491 */     // MIs[0] policy
     /* 1466491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466503 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466507 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1466520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466546 */     // GIR_Coverage, 24862,
     /* 1466546 */     GIR_EraseRootFromParent_Done,
     /* 1466547 */   // Label 19559: @1466547
     /* 1466547 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1466662), // Rule ID 24863 //
     /* 1466552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1466555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1466569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466598 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466602 */     // MIs[1] Operand 1
     /* 1466602 */     // No operand predicates
     /* 1466602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466606 */     // MIs[0] policy
     /* 1466606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466618 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1466635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466661 */     // GIR_Coverage, 24863,
     /* 1466661 */     GIR_EraseRootFromParent_Done,
     /* 1466662 */   // Label 19560: @1466662
     /* 1466662 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1466777), // Rule ID 24866 //
     /* 1466667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1466670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466717 */     // MIs[1] Operand 1
     /* 1466717 */     // No operand predicates
     /* 1466717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466721 */     // MIs[0] policy
     /* 1466721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466733 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1466750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466776 */     // GIR_Coverage, 24866,
     /* 1466776 */     GIR_EraseRootFromParent_Done,
     /* 1466777 */   // Label 19561: @1466777
     /* 1466777 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1466892), // Rule ID 24867 //
     /* 1466782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1466785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1466799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466832 */     // MIs[1] Operand 1
     /* 1466832 */     // No operand predicates
     /* 1466832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466836 */     // MIs[0] policy
     /* 1466836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466848 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1466865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466891 */     // GIR_Coverage, 24867,
     /* 1466891 */     GIR_EraseRootFromParent_Done,
     /* 1466892 */   // Label 19562: @1466892
     /* 1466892 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1467007), // Rule ID 24870 //
     /* 1466897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1466900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1466905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1466914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466947 */     // MIs[1] Operand 1
     /* 1466947 */     // No operand predicates
     /* 1466947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466951 */     // MIs[0] policy
     /* 1466951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466963 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1466967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1466973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1466977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1466980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1466995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467006 */     // GIR_Coverage, 24870,
     /* 1467006 */     GIR_EraseRootFromParent_Done,
     /* 1467007 */   // Label 19563: @1467007
     /* 1467007 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1467122), // Rule ID 24871 //
     /* 1467012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1467015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1467020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1467023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1467026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1467029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467062 */     // MIs[1] Operand 1
     /* 1467062 */     // No operand predicates
     /* 1467062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467066 */     // MIs[0] policy
     /* 1467066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467078 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1467095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467121 */     // GIR_Coverage, 24871,
     /* 1467121 */     GIR_EraseRootFromParent_Done,
     /* 1467122 */   // Label 19564: @1467122
     /* 1467122 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1467237), // Rule ID 24874 //
     /* 1467127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1467130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1467135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1467138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1467141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1467144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467177 */     // MIs[1] Operand 1
     /* 1467177 */     // No operand predicates
     /* 1467177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467181 */     // MIs[0] policy
     /* 1467181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467193 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1467210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467236 */     // GIR_Coverage, 24874,
     /* 1467236 */     GIR_EraseRootFromParent_Done,
     /* 1467237 */   // Label 19565: @1467237
     /* 1467237 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1467352), // Rule ID 24875 //
     /* 1467242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1467245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1467250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1467253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1467256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1467259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1467265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1467272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467292 */     // MIs[1] Operand 1
     /* 1467292 */     // No operand predicates
     /* 1467292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467296 */     // MIs[0] policy
     /* 1467296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467308 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1467325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467351 */     // GIR_Coverage, 24875,
     /* 1467351 */     GIR_EraseRootFromParent_Done,
     /* 1467352 */   // Label 19566: @1467352
     /* 1467352 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1467467), // Rule ID 60338 //
     /* 1467357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1467360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1467368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1467371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467407 */     // MIs[1] Operand 1
     /* 1467407 */     // No operand predicates
     /* 1467407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467411 */     // MIs[0] policy
     /* 1467411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467423 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1467440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467466 */     // GIR_Coverage, 60338,
     /* 1467466 */     GIR_EraseRootFromParent_Done,
     /* 1467467 */   // Label 19567: @1467467
     /* 1467467 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1467582), // Rule ID 60339 //
     /* 1467472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1467475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1467483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1467486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467522 */     // MIs[1] Operand 1
     /* 1467522 */     // No operand predicates
     /* 1467522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467526 */     // MIs[0] policy
     /* 1467526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1467555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467581 */     // GIR_Coverage, 60339,
     /* 1467581 */     GIR_EraseRootFromParent_Done,
     /* 1467582 */   // Label 19568: @1467582
     /* 1467582 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1467697), // Rule ID 60346 //
     /* 1467587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1467590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1467598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1467601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1467604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467637 */     // MIs[1] Operand 1
     /* 1467637 */     // No operand predicates
     /* 1467637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467641 */     // MIs[0] policy
     /* 1467641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467653 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1467670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467696 */     // GIR_Coverage, 60346,
     /* 1467696 */     GIR_EraseRootFromParent_Done,
     /* 1467697 */   // Label 19569: @1467697
     /* 1467697 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1467812), // Rule ID 60347 //
     /* 1467702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1467705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1467713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1467716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1467719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467748 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467752 */     // MIs[1] Operand 1
     /* 1467752 */     // No operand predicates
     /* 1467752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467756 */     // MIs[0] policy
     /* 1467756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467772 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467778 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1467785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467811 */     // GIR_Coverage, 60347,
     /* 1467811 */     GIR_EraseRootFromParent_Done,
     /* 1467812 */   // Label 19570: @1467812
     /* 1467812 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1467927), // Rule ID 60354 //
     /* 1467817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1467820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1467834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467867 */     // MIs[1] Operand 1
     /* 1467867 */     // No operand predicates
     /* 1467867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467871 */     // MIs[0] policy
     /* 1467871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1467887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1467893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1467897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1467900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467906 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1467915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467926 */     // GIR_Coverage, 60354,
     /* 1467926 */     GIR_EraseRootFromParent_Done,
     /* 1467927 */   // Label 19571: @1467927
     /* 1467927 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1468042), // Rule ID 60355 //
     /* 1467932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1467935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1467940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1467943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1467946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1467949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467982 */     // MIs[1] Operand 1
     /* 1467982 */     // No operand predicates
     /* 1467982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467986 */     // MIs[0] policy
     /* 1467986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467998 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468002 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1468015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468041 */     // GIR_Coverage, 60355,
     /* 1468041 */     GIR_EraseRootFromParent_Done,
     /* 1468042 */   // Label 19572: @1468042
     /* 1468042 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1468157), // Rule ID 60362 //
     /* 1468047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1468050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1468064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468097 */     // MIs[1] Operand 1
     /* 1468097 */     // No operand predicates
     /* 1468097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468101 */     // MIs[0] policy
     /* 1468101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468113 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1468130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468156 */     // GIR_Coverage, 60362,
     /* 1468156 */     GIR_EraseRootFromParent_Done,
     /* 1468157 */   // Label 19573: @1468157
     /* 1468157 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1468272), // Rule ID 60363 //
     /* 1468162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1468165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1468173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1468176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1468179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1468185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1468192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468212 */     // MIs[1] Operand 1
     /* 1468212 */     // No operand predicates
     /* 1468212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468216 */     // MIs[0] policy
     /* 1468216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468228 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468232 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1468245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468271 */     // GIR_Coverage, 60363,
     /* 1468271 */     GIR_EraseRootFromParent_Done,
     /* 1468272 */   // Label 19574: @1468272
     /* 1468272 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1468387), // Rule ID 60370 //
     /* 1468277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1468280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1468294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468327 */     // MIs[1] Operand 1
     /* 1468327 */     // No operand predicates
     /* 1468327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468331 */     // MIs[0] policy
     /* 1468331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1468360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468366 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468386 */     // GIR_Coverage, 60370,
     /* 1468386 */     GIR_EraseRootFromParent_Done,
     /* 1468387 */   // Label 19575: @1468387
     /* 1468387 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1468502), // Rule ID 60371 //
     /* 1468392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1468395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1468403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1468406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1468409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1468415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1468422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1468430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468442 */     // MIs[1] Operand 1
     /* 1468442 */     // No operand predicates
     /* 1468442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468446 */     // MIs[0] policy
     /* 1468446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468458 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1468475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468501 */     // GIR_Coverage, 60371,
     /* 1468501 */     GIR_EraseRootFromParent_Done,
     /* 1468502 */   // Label 19576: @1468502
     /* 1468502 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1468617), // Rule ID 60378 //
     /* 1468507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1468510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1468524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468557 */     // MIs[1] Operand 1
     /* 1468557 */     // No operand predicates
     /* 1468557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468561 */     // MIs[0] policy
     /* 1468561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468573 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1468590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468616 */     // GIR_Coverage, 60378,
     /* 1468616 */     GIR_EraseRootFromParent_Done,
     /* 1468617 */   // Label 19577: @1468617
     /* 1468617 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1468732), // Rule ID 60379 //
     /* 1468622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1468625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1468633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1468636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1468639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1468645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1468652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1468656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1468660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468672 */     // MIs[1] Operand 1
     /* 1468672 */     // No operand predicates
     /* 1468672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468676 */     // MIs[0] policy
     /* 1468676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468692 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468698 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1468705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468731 */     // GIR_Coverage, 60379,
     /* 1468731 */     GIR_EraseRootFromParent_Done,
     /* 1468732 */   // Label 19578: @1468732
     /* 1468732 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1468847), // Rule ID 60386 //
     /* 1468737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1468740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468787 */     // MIs[1] Operand 1
     /* 1468787 */     // No operand predicates
     /* 1468787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468791 */     // MIs[0] policy
     /* 1468791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1468820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468846 */     // GIR_Coverage, 60386,
     /* 1468846 */     GIR_EraseRootFromParent_Done,
     /* 1468847 */   // Label 19579: @1468847
     /* 1468847 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1468962), // Rule ID 60387 //
     /* 1468852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1468855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1468902 */     // MIs[1] Operand 1
     /* 1468902 */     // No operand predicates
     /* 1468902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468906 */     // MIs[0] policy
     /* 1468906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1468922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1468928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1468932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1468935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1468950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468961 */     // GIR_Coverage, 60387,
     /* 1468961 */     GIR_EraseRootFromParent_Done,
     /* 1468962 */   // Label 19580: @1468962
     /* 1468962 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1469077), // Rule ID 60394 //
     /* 1468967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1468970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1468975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1468978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1468981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469017 */     // MIs[1] Operand 1
     /* 1469017 */     // No operand predicates
     /* 1469017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469021 */     // MIs[0] policy
     /* 1469021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1469050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469076 */     // GIR_Coverage, 60394,
     /* 1469076 */     GIR_EraseRootFromParent_Done,
     /* 1469077 */   // Label 19581: @1469077
     /* 1469077 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1469192), // Rule ID 60395 //
     /* 1469082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1469085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1469099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469132 */     // MIs[1] Operand 1
     /* 1469132 */     // No operand predicates
     /* 1469132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469136 */     // MIs[0] policy
     /* 1469136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469148 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1469165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469191 */     // GIR_Coverage, 60395,
     /* 1469191 */     GIR_EraseRootFromParent_Done,
     /* 1469192 */   // Label 19582: @1469192
     /* 1469192 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1469307), // Rule ID 60402 //
     /* 1469197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1469200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469247 */     // MIs[1] Operand 1
     /* 1469247 */     // No operand predicates
     /* 1469247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469251 */     // MIs[0] policy
     /* 1469251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1469280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469306 */     // GIR_Coverage, 60402,
     /* 1469306 */     GIR_EraseRootFromParent_Done,
     /* 1469307 */   // Label 19583: @1469307
     /* 1469307 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1469422), // Rule ID 60403 //
     /* 1469312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1469315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1469323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1469326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469362 */     // MIs[1] Operand 1
     /* 1469362 */     // No operand predicates
     /* 1469362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469366 */     // MIs[0] policy
     /* 1469366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469378 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1469395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469421 */     // GIR_Coverage, 60403,
     /* 1469421 */     GIR_EraseRootFromParent_Done,
     /* 1469422 */   // Label 19584: @1469422
     /* 1469422 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1469537), // Rule ID 60410 //
     /* 1469427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1469430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1469444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469477 */     // MIs[1] Operand 1
     /* 1469477 */     // No operand predicates
     /* 1469477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469481 */     // MIs[0] policy
     /* 1469481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469493 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1469510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469536 */     // GIR_Coverage, 60410,
     /* 1469536 */     GIR_EraseRootFromParent_Done,
     /* 1469537 */   // Label 19585: @1469537
     /* 1469537 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1469652), // Rule ID 60411 //
     /* 1469542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1469545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1469553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1469556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1469559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1469572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469592 */     // MIs[1] Operand 1
     /* 1469592 */     // No operand predicates
     /* 1469592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469596 */     // MIs[0] policy
     /* 1469596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1469625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469651 */     // GIR_Coverage, 60411,
     /* 1469651 */     GIR_EraseRootFromParent_Done,
     /* 1469652 */   // Label 19586: @1469652
     /* 1469652 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1469767), // Rule ID 60418 //
     /* 1469657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1469660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1469674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469707 */     // MIs[1] Operand 1
     /* 1469707 */     // No operand predicates
     /* 1469707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469711 */     // MIs[0] policy
     /* 1469711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1469740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469766 */     // GIR_Coverage, 60418,
     /* 1469766 */     GIR_EraseRootFromParent_Done,
     /* 1469767 */   // Label 19587: @1469767
     /* 1469767 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1469882), // Rule ID 60419 //
     /* 1469772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1469775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1469783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1469786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1469789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1469802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1469806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1469810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469822 */     // MIs[1] Operand 1
     /* 1469822 */     // No operand predicates
     /* 1469822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469826 */     // MIs[0] policy
     /* 1469826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1469855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469881 */     // GIR_Coverage, 60419,
     /* 1469881 */     GIR_EraseRootFromParent_Done,
     /* 1469882 */   // Label 19588: @1469882
     /* 1469882 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1469997), // Rule ID 60426 //
     /* 1469887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1469890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1469895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1469904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1469937 */     // MIs[1] Operand 1
     /* 1469937 */     // No operand predicates
     /* 1469937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469941 */     // MIs[0] policy
     /* 1469941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469953 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1469957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1469963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1469967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1469970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1469985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469996 */     // GIR_Coverage, 60426,
     /* 1469996 */     GIR_EraseRootFromParent_Done,
     /* 1469997 */   // Label 19589: @1469997
     /* 1469997 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1470112), // Rule ID 60427 //
     /* 1470002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1470005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1470013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1470016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1470019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470052 */     // MIs[1] Operand 1
     /* 1470052 */     // No operand predicates
     /* 1470052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470056 */     // MIs[0] policy
     /* 1470056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1470085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470111 */     // GIR_Coverage, 60427,
     /* 1470111 */     GIR_EraseRootFromParent_Done,
     /* 1470112 */   // Label 19590: @1470112
     /* 1470112 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1470227), // Rule ID 60434 //
     /* 1470117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1470120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1470128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1470131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1470134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470167 */     // MIs[1] Operand 1
     /* 1470167 */     // No operand predicates
     /* 1470167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470171 */     // MIs[0] policy
     /* 1470171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470183 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1470200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470206 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470226 */     // GIR_Coverage, 60434,
     /* 1470226 */     GIR_EraseRootFromParent_Done,
     /* 1470227 */   // Label 19591: @1470227
     /* 1470227 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1470342), // Rule ID 60435 //
     /* 1470232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1470235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1470243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1470246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1470249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1470255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470282 */     // MIs[1] Operand 1
     /* 1470282 */     // No operand predicates
     /* 1470282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470286 */     // MIs[0] policy
     /* 1470286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470298 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1470315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470341 */     // GIR_Coverage, 60435,
     /* 1470341 */     GIR_EraseRootFromParent_Done,
     /* 1470342 */   // Label 19592: @1470342
     /* 1470342 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1470457), // Rule ID 60442 //
     /* 1470347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1470350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1470358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1470361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470397 */     // MIs[1] Operand 1
     /* 1470397 */     // No operand predicates
     /* 1470397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470401 */     // MIs[0] policy
     /* 1470401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1470430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470456 */     // GIR_Coverage, 60442,
     /* 1470456 */     GIR_EraseRootFromParent_Done,
     /* 1470457 */   // Label 19593: @1470457
     /* 1470457 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1470572), // Rule ID 60443 //
     /* 1470462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1470465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1470473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1470476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1470479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1470485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470508 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470512 */     // MIs[1] Operand 1
     /* 1470512 */     // No operand predicates
     /* 1470512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470516 */     // MIs[0] policy
     /* 1470516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1470545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470571 */     // GIR_Coverage, 60443,
     /* 1470571 */     GIR_EraseRootFromParent_Done,
     /* 1470572 */   // Label 19594: @1470572
     /* 1470572 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1470687), // Rule ID 60450 //
     /* 1470577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1470580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1470588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1470591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1470594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470627 */     // MIs[1] Operand 1
     /* 1470627 */     // No operand predicates
     /* 1470627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470631 */     // MIs[0] policy
     /* 1470631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1470660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470666 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470686 */     // GIR_Coverage, 60450,
     /* 1470686 */     GIR_EraseRootFromParent_Done,
     /* 1470687 */   // Label 19595: @1470687
     /* 1470687 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1470802), // Rule ID 60451 //
     /* 1470692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1470695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1470700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1470703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1470706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1470709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1470742 */     // MIs[1] Operand 1
     /* 1470742 */     // No operand predicates
     /* 1470742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470746 */     // MIs[0] policy
     /* 1470746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470762 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1470775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1470798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470801 */     // GIR_Coverage, 60451,
     /* 1470801 */     GIR_EraseRootFromParent_Done,
     /* 1470802 */   // Label 19596: @1470802
     /* 1470802 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1470917), // Rule ID 61306 //
     /* 1470807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1470810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1470815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1470857 */     // MIs[1] Operand 1
     /* 1470857 */     // No operand predicates
     /* 1470857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470861 */     // MIs[0] policy
     /* 1470861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1470887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1470890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1470905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470916 */     // GIR_Coverage, 61306,
     /* 1470916 */     GIR_EraseRootFromParent_Done,
     /* 1470917 */   // Label 19597: @1470917
     /* 1470917 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1471032), // Rule ID 61307 //
     /* 1470922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1470925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1470930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1470933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1470936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1470939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1470945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1470952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1470960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1470972 */     // MIs[1] Operand 1
     /* 1470972 */     // No operand predicates
     /* 1470972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470976 */     // MIs[0] policy
     /* 1470976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470988 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1470992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1470998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1471005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471031 */     // GIR_Coverage, 61307,
     /* 1471031 */     GIR_EraseRootFromParent_Done,
     /* 1471032 */   // Label 19598: @1471032
     /* 1471032 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1471147), // Rule ID 61310 //
     /* 1471037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1471040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1471048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1471051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1471054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471087 */     // MIs[1] Operand 1
     /* 1471087 */     // No operand predicates
     /* 1471087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471091 */     // MIs[0] policy
     /* 1471091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471103 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1471120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471146 */     // GIR_Coverage, 61310,
     /* 1471146 */     GIR_EraseRootFromParent_Done,
     /* 1471147 */   // Label 19599: @1471147
     /* 1471147 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1471262), // Rule ID 61311 //
     /* 1471152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1471155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1471163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1471166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1471169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471198 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471202 */     // MIs[1] Operand 1
     /* 1471202 */     // No operand predicates
     /* 1471202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471206 */     // MIs[0] policy
     /* 1471206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1471235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471261 */     // GIR_Coverage, 61311,
     /* 1471261 */     GIR_EraseRootFromParent_Done,
     /* 1471262 */   // Label 19600: @1471262
     /* 1471262 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1471377), // Rule ID 61314 //
     /* 1471267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1471270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1471278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1471281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1471284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471317 */     // MIs[1] Operand 1
     /* 1471317 */     // No operand predicates
     /* 1471317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471321 */     // MIs[0] policy
     /* 1471321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1471350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471376 */     // GIR_Coverage, 61314,
     /* 1471376 */     GIR_EraseRootFromParent_Done,
     /* 1471377 */   // Label 19601: @1471377
     /* 1471377 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1471492), // Rule ID 61315 //
     /* 1471382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1471385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1471393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1471396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1471399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471432 */     // MIs[1] Operand 1
     /* 1471432 */     // No operand predicates
     /* 1471432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471436 */     // MIs[0] policy
     /* 1471436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471448 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1471465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1471488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471491 */     // GIR_Coverage, 61315,
     /* 1471491 */     GIR_EraseRootFromParent_Done,
     /* 1471492 */   // Label 19602: @1471492
     /* 1471492 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1471607), // Rule ID 61318 //
     /* 1471497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1471500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1471508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1471511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1471514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471547 */     // MIs[1] Operand 1
     /* 1471547 */     // No operand predicates
     /* 1471547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471551 */     // MIs[0] policy
     /* 1471551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1471580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471606 */     // GIR_Coverage, 61318,
     /* 1471606 */     GIR_EraseRootFromParent_Done,
     /* 1471607 */   // Label 19603: @1471607
     /* 1471607 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1471722), // Rule ID 61319 //
     /* 1471612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1471615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1471623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1471626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1471629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471662 */     // MIs[1] Operand 1
     /* 1471662 */     // No operand predicates
     /* 1471662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471666 */     // MIs[0] policy
     /* 1471666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471682 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1471695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471721 */     // GIR_Coverage, 61319,
     /* 1471721 */     GIR_EraseRootFromParent_Done,
     /* 1471722 */   // Label 19604: @1471722
     /* 1471722 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1471837), // Rule ID 61322 //
     /* 1471727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1471730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1471744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471777 */     // MIs[1] Operand 1
     /* 1471777 */     // No operand predicates
     /* 1471777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471781 */     // MIs[0] policy
     /* 1471781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1471810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471836 */     // GIR_Coverage, 61322,
     /* 1471836 */     GIR_EraseRootFromParent_Done,
     /* 1471837 */   // Label 19605: @1471837
     /* 1471837 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1471952), // Rule ID 61323 //
     /* 1471842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1471845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1471853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1471856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1471859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1471892 */     // MIs[1] Operand 1
     /* 1471892 */     // No operand predicates
     /* 1471892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471896 */     // MIs[0] policy
     /* 1471896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471908 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1471912 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1471918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1471922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1471925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1471940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471951 */     // GIR_Coverage, 61323,
     /* 1471951 */     GIR_EraseRootFromParent_Done,
     /* 1471952 */   // Label 19606: @1471952
     /* 1471952 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1472067), // Rule ID 61326 //
     /* 1471957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1471960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1471965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1471968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1471971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1471974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1471980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1471987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1471995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472007 */     // MIs[1] Operand 1
     /* 1472007 */     // No operand predicates
     /* 1472007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472011 */     // MIs[0] policy
     /* 1472011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472023 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1472040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472066 */     // GIR_Coverage, 61326,
     /* 1472066 */     GIR_EraseRootFromParent_Done,
     /* 1472067 */   // Label 19607: @1472067
     /* 1472067 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1472182), // Rule ID 61327 //
     /* 1472072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1472075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1472083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1472086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1472089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472122 */     // MIs[1] Operand 1
     /* 1472122 */     // No operand predicates
     /* 1472122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472126 */     // MIs[0] policy
     /* 1472126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472142 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1472155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472181 */     // GIR_Coverage, 61327,
     /* 1472181 */     GIR_EraseRootFromParent_Done,
     /* 1472182 */   // Label 19608: @1472182
     /* 1472182 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1472297), // Rule ID 61330 //
     /* 1472187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1472190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1472198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1472201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1472204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472237 */     // MIs[1] Operand 1
     /* 1472237 */     // No operand predicates
     /* 1472237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472241 */     // MIs[0] policy
     /* 1472241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472276 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472279 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472296 */     // GIR_Coverage, 61330,
     /* 1472296 */     GIR_EraseRootFromParent_Done,
     /* 1472297 */   // Label 19609: @1472297
     /* 1472297 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1472412), // Rule ID 61331 //
     /* 1472302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1472305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1472313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1472316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1472319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472352 */     // MIs[1] Operand 1
     /* 1472352 */     // No operand predicates
     /* 1472352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472356 */     // MIs[0] policy
     /* 1472356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472378 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472411 */     // GIR_Coverage, 61331,
     /* 1472411 */     GIR_EraseRootFromParent_Done,
     /* 1472412 */   // Label 19610: @1472412
     /* 1472412 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1472527), // Rule ID 61334 //
     /* 1472417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1472420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1472428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1472431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1472434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472467 */     // MIs[1] Operand 1
     /* 1472467 */     // No operand predicates
     /* 1472467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472471 */     // MIs[0] policy
     /* 1472471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472526 */     // GIR_Coverage, 61334,
     /* 1472526 */     GIR_EraseRootFromParent_Done,
     /* 1472527 */   // Label 19611: @1472527
     /* 1472527 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1472642), // Rule ID 61335 //
     /* 1472532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1472535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1472543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1472546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1472549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472582 */     // MIs[1] Operand 1
     /* 1472582 */     // No operand predicates
     /* 1472582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472586 */     // MIs[0] policy
     /* 1472586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472641 */     // GIR_Coverage, 61335,
     /* 1472641 */     GIR_EraseRootFromParent_Done,
     /* 1472642 */   // Label 19612: @1472642
     /* 1472642 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1472757), // Rule ID 61338 //
     /* 1472647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1472650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1472658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1472661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1472664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472697 */     // MIs[1] Operand 1
     /* 1472697 */     // No operand predicates
     /* 1472697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472701 */     // MIs[0] policy
     /* 1472701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472713 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472756 */     // GIR_Coverage, 61338,
     /* 1472756 */     GIR_EraseRootFromParent_Done,
     /* 1472757 */   // Label 19613: @1472757
     /* 1472757 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1472872), // Rule ID 61339 //
     /* 1472762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1472765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1472773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1472776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1472779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472812 */     // MIs[1] Operand 1
     /* 1472812 */     // No operand predicates
     /* 1472812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472816 */     // MIs[0] policy
     /* 1472816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472832 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472838 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1472868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472871 */     // GIR_Coverage, 61339,
     /* 1472871 */     GIR_EraseRootFromParent_Done,
     /* 1472872 */   // Label 19614: @1472872
     /* 1472872 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1472987), // Rule ID 61342 //
     /* 1472877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1472880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1472885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1472888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1472891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1472894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1472927 */     // MIs[1] Operand 1
     /* 1472927 */     // No operand predicates
     /* 1472927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472931 */     // MIs[0] policy
     /* 1472931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472943 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1472947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1472953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1472957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1472960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472966 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1472975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472986 */     // GIR_Coverage, 61342,
     /* 1472986 */     GIR_EraseRootFromParent_Done,
     /* 1472987 */   // Label 19615: @1472987
     /* 1472987 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1473102), // Rule ID 61343 //
     /* 1472992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1472995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1473003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1473006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1473009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473042 */     // MIs[1] Operand 1
     /* 1473042 */     // No operand predicates
     /* 1473042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473046 */     // MIs[0] policy
     /* 1473046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1473075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1473098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473101 */     // GIR_Coverage, 61343,
     /* 1473101 */     GIR_EraseRootFromParent_Done,
     /* 1473102 */   // Label 19616: @1473102
     /* 1473102 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1473217), // Rule ID 61346 //
     /* 1473107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1473110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1473118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1473121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1473124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473157 */     // MIs[1] Operand 1
     /* 1473157 */     // No operand predicates
     /* 1473157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473161 */     // MIs[0] policy
     /* 1473161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473173 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1473190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473216 */     // GIR_Coverage, 61346,
     /* 1473216 */     GIR_EraseRootFromParent_Done,
     /* 1473217 */   // Label 19617: @1473217
     /* 1473217 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1473332), // Rule ID 61347 //
     /* 1473222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1473225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1473233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1473236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1473239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1473245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473272 */     // MIs[1] Operand 1
     /* 1473272 */     // No operand predicates
     /* 1473272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473276 */     // MIs[0] policy
     /* 1473276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1473305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473331 */     // GIR_Coverage, 61347,
     /* 1473331 */     GIR_EraseRootFromParent_Done,
     /* 1473332 */   // Label 19618: @1473332
     /* 1473332 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1473447), // Rule ID 61350 //
     /* 1473337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1473340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1473348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1473351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1473354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1473360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473387 */     // MIs[1] Operand 1
     /* 1473387 */     // No operand predicates
     /* 1473387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473391 */     // MIs[0] policy
     /* 1473391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1473420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473446 */     // GIR_Coverage, 61350,
     /* 1473446 */     GIR_EraseRootFromParent_Done,
     /* 1473447 */   // Label 19619: @1473447
     /* 1473447 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1473562), // Rule ID 61351 //
     /* 1473452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1473455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1473463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1473466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1473469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1473475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1473482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1473490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473498 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473502 */     // MIs[1] Operand 1
     /* 1473502 */     // No operand predicates
     /* 1473502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473506 */     // MIs[0] policy
     /* 1473506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473518 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1473535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473561 */     // GIR_Coverage, 61351,
     /* 1473561 */     GIR_EraseRootFromParent_Done,
     /* 1473562 */   // Label 19620: @1473562
     /* 1473562 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1473677), // Rule ID 61354 //
     /* 1473567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1473570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1473578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1473581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1473584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1473590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473617 */     // MIs[1] Operand 1
     /* 1473617 */     // No operand predicates
     /* 1473617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473621 */     // MIs[0] policy
     /* 1473621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473633 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1473650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473676 */     // GIR_Coverage, 61354,
     /* 1473676 */     GIR_EraseRootFromParent_Done,
     /* 1473677 */   // Label 19621: @1473677
     /* 1473677 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1473792), // Rule ID 61355 //
     /* 1473682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1473685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1473693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1473696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1473699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1473705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1473712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1473720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473732 */     // MIs[1] Operand 1
     /* 1473732 */     // No operand predicates
     /* 1473732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473736 */     // MIs[0] policy
     /* 1473736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473752 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1473765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473791 */     // GIR_Coverage, 61355,
     /* 1473791 */     GIR_EraseRootFromParent_Done,
     /* 1473792 */   // Label 19622: @1473792
     /* 1473792 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1473907), // Rule ID 61358 //
     /* 1473797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1473800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1473808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1473811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1473814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473847 */     // MIs[1] Operand 1
     /* 1473847 */     // No operand predicates
     /* 1473847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473851 */     // MIs[0] policy
     /* 1473851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473863 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1473880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1473895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473906 */     // GIR_Coverage, 61358,
     /* 1473906 */     GIR_EraseRootFromParent_Done,
     /* 1473907 */   // Label 19623: @1473907
     /* 1473907 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1474022), // Rule ID 61359 //
     /* 1473912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1473915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1473920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1473923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1473926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1473929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1473942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1473950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473958 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1473962 */     // MIs[1] Operand 1
     /* 1473962 */     // No operand predicates
     /* 1473962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473966 */     // MIs[0] policy
     /* 1473966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1473982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1473988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1473992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1473995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474021 */     // GIR_Coverage, 61359,
     /* 1474021 */     GIR_EraseRootFromParent_Done,
     /* 1474022 */   // Label 19624: @1474022
     /* 1474022 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1474137), // Rule ID 61362 //
     /* 1474027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1474030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474077 */     // MIs[1] Operand 1
     /* 1474077 */     // No operand predicates
     /* 1474077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474081 */     // MIs[0] policy
     /* 1474081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474093 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1474110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474116 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474119 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474136 */     // GIR_Coverage, 61362,
     /* 1474136 */     GIR_EraseRootFromParent_Done,
     /* 1474137 */   // Label 19625: @1474137
     /* 1474137 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1474252), // Rule ID 61363 //
     /* 1474142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1474145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1474153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1474156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1474159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474192 */     // MIs[1] Operand 1
     /* 1474192 */     // No operand predicates
     /* 1474192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474196 */     // MIs[0] policy
     /* 1474196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474208 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474212 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1474225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474251 */     // GIR_Coverage, 61363,
     /* 1474251 */     GIR_EraseRootFromParent_Done,
     /* 1474252 */   // Label 19626: @1474252
     /* 1474252 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1474367), // Rule ID 61366 //
     /* 1474257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1474260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1474268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1474271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1474274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474307 */     // MIs[1] Operand 1
     /* 1474307 */     // No operand predicates
     /* 1474307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474311 */     // MIs[0] policy
     /* 1474311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1474340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474366 */     // GIR_Coverage, 61366,
     /* 1474366 */     GIR_EraseRootFromParent_Done,
     /* 1474367 */   // Label 19627: @1474367
     /* 1474367 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1474482), // Rule ID 61367 //
     /* 1474372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1474375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1474383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1474386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1474389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474422 */     // MIs[1] Operand 1
     /* 1474422 */     // No operand predicates
     /* 1474422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474426 */     // MIs[0] policy
     /* 1474426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474438 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1474455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474481 */     // GIR_Coverage, 61367,
     /* 1474481 */     GIR_EraseRootFromParent_Done,
     /* 1474482 */   // Label 19628: @1474482
     /* 1474482 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1474597), // Rule ID 61370 //
     /* 1474487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1474490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1474498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1474501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474537 */     // MIs[1] Operand 1
     /* 1474537 */     // No operand predicates
     /* 1474537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474541 */     // MIs[0] policy
     /* 1474541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1474570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474596 */     // GIR_Coverage, 61370,
     /* 1474596 */     GIR_EraseRootFromParent_Done,
     /* 1474597 */   // Label 19629: @1474597
     /* 1474597 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1474712), // Rule ID 61371 //
     /* 1474602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1474605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1474613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1474616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1474619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1474625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474652 */     // MIs[1] Operand 1
     /* 1474652 */     // No operand predicates
     /* 1474652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474656 */     // MIs[0] policy
     /* 1474656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474672 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1474685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474711 */     // GIR_Coverage, 61371,
     /* 1474711 */     GIR_EraseRootFromParent_Done,
     /* 1474712 */   // Label 19630: @1474712
     /* 1474712 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1474827), // Rule ID 61374 //
     /* 1474717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1474720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1474728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1474731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474767 */     // MIs[1] Operand 1
     /* 1474767 */     // No operand predicates
     /* 1474767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474771 */     // MIs[0] policy
     /* 1474771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474783 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1474800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474826 */     // GIR_Coverage, 61374,
     /* 1474826 */     GIR_EraseRootFromParent_Done,
     /* 1474827 */   // Label 19631: @1474827
     /* 1474827 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1474942), // Rule ID 61375 //
     /* 1474832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1474835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1474843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1474846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1474849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474882 */     // MIs[1] Operand 1
     /* 1474882 */     // No operand predicates
     /* 1474882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474886 */     // MIs[0] policy
     /* 1474886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1474902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1474908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1474912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1474915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1474930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474941 */     // GIR_Coverage, 61375,
     /* 1474941 */     GIR_EraseRootFromParent_Done,
     /* 1474942 */   // Label 19632: @1474942
     /* 1474942 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1475057), // Rule ID 61378 //
     /* 1474947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1474950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1474955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1474958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1474961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1474964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1474997 */     // MIs[1] Operand 1
     /* 1474997 */     // No operand predicates
     /* 1474997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475001 */     // MIs[0] policy
     /* 1475001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475013 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1475030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475056 */     // GIR_Coverage, 61378,
     /* 1475056 */     GIR_EraseRootFromParent_Done,
     /* 1475057 */   // Label 19633: @1475057
     /* 1475057 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1475172), // Rule ID 61379 //
     /* 1475062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1475065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1475076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1475079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475112 */     // MIs[1] Operand 1
     /* 1475112 */     // No operand predicates
     /* 1475112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475116 */     // MIs[0] policy
     /* 1475116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475132 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1475145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475171 */     // GIR_Coverage, 61379,
     /* 1475171 */     GIR_EraseRootFromParent_Done,
     /* 1475172 */   // Label 19634: @1475172
     /* 1475172 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1475287), // Rule ID 61382 //
     /* 1475177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1475180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475227 */     // MIs[1] Operand 1
     /* 1475227 */     // No operand predicates
     /* 1475227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475231 */     // MIs[0] policy
     /* 1475231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1475260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475286 */     // GIR_Coverage, 61382,
     /* 1475286 */     GIR_EraseRootFromParent_Done,
     /* 1475287 */   // Label 19635: @1475287
     /* 1475287 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1475402), // Rule ID 61383 //
     /* 1475292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1475295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1475303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1475306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1475309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1475315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475342 */     // MIs[1] Operand 1
     /* 1475342 */     // No operand predicates
     /* 1475342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475346 */     // MIs[0] policy
     /* 1475346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1475375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475401 */     // GIR_Coverage, 61383,
     /* 1475401 */     GIR_EraseRootFromParent_Done,
     /* 1475402 */   // Label 19636: @1475402
     /* 1475402 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1475517), // Rule ID 61386 //
     /* 1475407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1475410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1475418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1475421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1475424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475457 */     // MIs[1] Operand 1
     /* 1475457 */     // No operand predicates
     /* 1475457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475461 */     // MIs[0] policy
     /* 1475461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475473 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1475490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475516 */     // GIR_Coverage, 61386,
     /* 1475516 */     GIR_EraseRootFromParent_Done,
     /* 1475517 */   // Label 19637: @1475517
     /* 1475517 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1475632), // Rule ID 61387 //
     /* 1475522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1475525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1475533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1475536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1475539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475572 */     // MIs[1] Operand 1
     /* 1475572 */     // No operand predicates
     /* 1475572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475576 */     // MIs[0] policy
     /* 1475576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1475605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475611 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475631 */     // GIR_Coverage, 61387,
     /* 1475631 */     GIR_EraseRootFromParent_Done,
     /* 1475632 */   // Label 19638: @1475632
     /* 1475632 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1475747), // Rule ID 61390 //
     /* 1475637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1475640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1475648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1475651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1475654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475687 */     // MIs[1] Operand 1
     /* 1475687 */     // No operand predicates
     /* 1475687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475691 */     // MIs[0] policy
     /* 1475691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1475720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475746 */     // GIR_Coverage, 61390,
     /* 1475746 */     GIR_EraseRootFromParent_Done,
     /* 1475747 */   // Label 19639: @1475747
     /* 1475747 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1475862), // Rule ID 61391 //
     /* 1475752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1475755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1475760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1475763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1475766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1475769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1475802 */     // MIs[1] Operand 1
     /* 1475802 */     // No operand predicates
     /* 1475802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475806 */     // MIs[0] policy
     /* 1475806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1475832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1475835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1475858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475861 */     // GIR_Coverage, 61391,
     /* 1475861 */     GIR_EraseRootFromParent_Done,
     /* 1475862 */   // Label 19640: @1475862
     /* 1475862 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1475962), // Rule ID 2566 //
     /* 1475867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1475870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1475875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1475878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1475881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1475884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1475887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475906 */     // MIs[0] round
     /* 1475906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1475909 */     // MIs[0] policy
     /* 1475909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475919 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1475923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1475929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1475933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1475936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1475942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1475948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1475950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475961 */     // GIR_Coverage, 2566,
     /* 1475961 */     GIR_EraseRootFromParent_Done,
     /* 1475962 */   // Label 19641: @1475962
     /* 1475962 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1476062), // Rule ID 2567 //
     /* 1475967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1475970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1475975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1475978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1475981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1475984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1475987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1475994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1475998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476006 */     // MIs[0] round
     /* 1476006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476009 */     // MIs[0] policy
     /* 1476009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476019 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1476023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1476029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1476033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1476036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1476042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1476048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476061 */     // GIR_Coverage, 2567,
     /* 1476061 */     GIR_EraseRootFromParent_Done,
     /* 1476062 */   // Label 19642: @1476062
     /* 1476062 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1476162), // Rule ID 2602 //
     /* 1476067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1476070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1476075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1476087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476106 */     // MIs[0] round
     /* 1476106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476109 */     // MIs[0] policy
     /* 1476109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1476123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1476129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1476133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1476136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1476142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1476148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476161 */     // GIR_Coverage, 2602,
     /* 1476161 */     GIR_EraseRootFromParent_Done,
     /* 1476162 */   // Label 19643: @1476162
     /* 1476162 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1476262), // Rule ID 2603 //
     /* 1476167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1476170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1476175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1476187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476206 */     // MIs[0] round
     /* 1476206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476209 */     // MIs[0] policy
     /* 1476209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1476223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1476229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1476233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1476236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1476242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1476248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476261 */     // GIR_Coverage, 2603,
     /* 1476261 */     GIR_EraseRootFromParent_Done,
     /* 1476262 */   // Label 19644: @1476262
     /* 1476262 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1476344), // Rule ID 2634 //
     /* 1476267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1476287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476306 */     // MIs[0] round
     /* 1476306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476309 */     // MIs[0] policy
     /* 1476309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476319 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1476322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476343 */     // GIR_Coverage, 2634,
     /* 1476343 */     GIR_EraseRootFromParent_Done,
     /* 1476344 */   // Label 19645: @1476344
     /* 1476344 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1476426), // Rule ID 2635 //
     /* 1476349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1476360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1476363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1476366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1476369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476388 */     // MIs[0] round
     /* 1476388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476391 */     // MIs[0] policy
     /* 1476391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476401 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1476404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476425 */     // GIR_Coverage, 2635,
     /* 1476425 */     GIR_EraseRootFromParent_Done,
     /* 1476426 */   // Label 19646: @1476426
     /* 1476426 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1476508), // Rule ID 17606 //
     /* 1476431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1476442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1476445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1476448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1476451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476470 */     // MIs[0] round
     /* 1476470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476473 */     // MIs[0] policy
     /* 1476473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476483 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1476486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476507 */     // GIR_Coverage, 17606,
     /* 1476507 */     GIR_EraseRootFromParent_Done,
     /* 1476508 */   // Label 19647: @1476508
     /* 1476508 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1476590), // Rule ID 17607 //
     /* 1476513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1476524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1476527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1476530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1476533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476552 */     // MIs[0] round
     /* 1476552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476555 */     // MIs[0] policy
     /* 1476555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476565 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1476568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476589 */     // GIR_Coverage, 17607,
     /* 1476589 */     GIR_EraseRootFromParent_Done,
     /* 1476590 */   // Label 19648: @1476590
     /* 1476590 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1476672), // Rule ID 17610 //
     /* 1476595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1476606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1476609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1476612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1476615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476634 */     // MIs[0] round
     /* 1476634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476637 */     // MIs[0] policy
     /* 1476637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476647 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1476650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476671 */     // GIR_Coverage, 17610,
     /* 1476671 */     GIR_EraseRootFromParent_Done,
     /* 1476672 */   // Label 19649: @1476672
     /* 1476672 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1476754), // Rule ID 17611 //
     /* 1476677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1476680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1476688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1476691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1476694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1476697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476716 */     // MIs[0] round
     /* 1476716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476719 */     // MIs[0] policy
     /* 1476719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476729 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1476732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476753 */     // GIR_Coverage, 17611,
     /* 1476753 */     GIR_EraseRootFromParent_Done,
     /* 1476754 */   // Label 19650: @1476754
     /* 1476754 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1476836), // Rule ID 17614 //
     /* 1476759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1476762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1476770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1476773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1476776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1476779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476798 */     // MIs[0] round
     /* 1476798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476801 */     // MIs[0] policy
     /* 1476801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476811 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1476814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476835 */     // GIR_Coverage, 17614,
     /* 1476835 */     GIR_EraseRootFromParent_Done,
     /* 1476836 */   // Label 19651: @1476836
     /* 1476836 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1476918), // Rule ID 17615 //
     /* 1476841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1476844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1476852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1476855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1476858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1476861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476880 */     // MIs[0] round
     /* 1476880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476883 */     // MIs[0] policy
     /* 1476883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476893 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1476896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1476914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476917 */     // GIR_Coverage, 17615,
     /* 1476917 */     GIR_EraseRootFromParent_Done,
     /* 1476918 */   // Label 19652: @1476918
     /* 1476918 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1477000), // Rule ID 17618 //
     /* 1476923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1476926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1476931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1476934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1476937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1476940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1476943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476962 */     // MIs[0] round
     /* 1476962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1476965 */     // MIs[0] policy
     /* 1476965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476975 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1476978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1476986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1476988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476999 */     // GIR_Coverage, 17618,
     /* 1476999 */     GIR_EraseRootFromParent_Done,
     /* 1477000 */   // Label 19653: @1477000
     /* 1477000 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1477082), // Rule ID 17619 //
     /* 1477005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1477016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1477019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1477022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1477025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477044 */     // MIs[0] round
     /* 1477044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477047 */     // MIs[0] policy
     /* 1477047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477057 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1477060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477081 */     // GIR_Coverage, 17619,
     /* 1477081 */     GIR_EraseRootFromParent_Done,
     /* 1477082 */   // Label 19654: @1477082
     /* 1477082 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1477164), // Rule ID 17622 //
     /* 1477087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1477090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1477107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477126 */     // MIs[0] round
     /* 1477126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477129 */     // MIs[0] policy
     /* 1477129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477139 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1477142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477163 */     // GIR_Coverage, 17622,
     /* 1477163 */     GIR_EraseRootFromParent_Done,
     /* 1477164 */   // Label 19655: @1477164
     /* 1477164 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1477246), // Rule ID 17623 //
     /* 1477169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1477172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1477180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1477183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1477186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1477189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477208 */     // MIs[0] round
     /* 1477208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477211 */     // MIs[0] policy
     /* 1477211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477221 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1477224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1477242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477245 */     // GIR_Coverage, 17623,
     /* 1477245 */     GIR_EraseRootFromParent_Done,
     /* 1477246 */   // Label 19656: @1477246
     /* 1477246 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1477328), // Rule ID 17626 //
     /* 1477251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1477268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1477271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477290 */     // MIs[0] round
     /* 1477290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477293 */     // MIs[0] policy
     /* 1477293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477303 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1477306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477327 */     // GIR_Coverage, 17626,
     /* 1477327 */     GIR_EraseRootFromParent_Done,
     /* 1477328 */   // Label 19657: @1477328
     /* 1477328 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1477410), // Rule ID 17627 //
     /* 1477333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1477344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1477347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1477350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1477353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477372 */     // MIs[0] round
     /* 1477372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477375 */     // MIs[0] policy
     /* 1477375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477385 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1477388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477409 */     // GIR_Coverage, 17627,
     /* 1477409 */     GIR_EraseRootFromParent_Done,
     /* 1477410 */   // Label 19658: @1477410
     /* 1477410 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1477492), // Rule ID 17630 //
     /* 1477415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1477432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1477435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477454 */     // MIs[0] round
     /* 1477454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477457 */     // MIs[0] policy
     /* 1477457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477467 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1477470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477491 */     // GIR_Coverage, 17630,
     /* 1477491 */     GIR_EraseRootFromParent_Done,
     /* 1477492 */   // Label 19659: @1477492
     /* 1477492 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1477574), // Rule ID 17631 //
     /* 1477497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1477508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1477511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1477514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1477517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477536 */     // MIs[0] round
     /* 1477536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477539 */     // MIs[0] policy
     /* 1477539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477549 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1477552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477573 */     // GIR_Coverage, 17631,
     /* 1477573 */     GIR_EraseRootFromParent_Done,
     /* 1477574 */   // Label 19660: @1477574
     /* 1477574 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1477656), // Rule ID 17634 //
     /* 1477579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1477582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1477599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477618 */     // MIs[0] round
     /* 1477618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477621 */     // MIs[0] policy
     /* 1477621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477631 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1477634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477655 */     // GIR_Coverage, 17634,
     /* 1477655 */     GIR_EraseRootFromParent_Done,
     /* 1477656 */   // Label 19661: @1477656
     /* 1477656 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1477738), // Rule ID 17635 //
     /* 1477661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1477664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1477672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1477675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1477678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1477681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1477700 */     // MIs[0] round
     /* 1477700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477703 */     // MIs[0] policy
     /* 1477703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477713 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1477716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477737 */     // GIR_Coverage, 17635,
     /* 1477737 */     GIR_EraseRootFromParent_Done,
     /* 1477738 */   // Label 19662: @1477738
     /* 1477738 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1477820), // Rule ID 17638 //
     /* 1477743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1477763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477782 */     // MIs[0] round
     /* 1477782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477785 */     // MIs[0] policy
     /* 1477785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477795 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1477798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477819 */     // GIR_Coverage, 17638,
     /* 1477819 */     GIR_EraseRootFromParent_Done,
     /* 1477820 */   // Label 19663: @1477820
     /* 1477820 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1477902), // Rule ID 17639 //
     /* 1477825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1477836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1477839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1477842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1477845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1477864 */     // MIs[0] round
     /* 1477864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477867 */     // MIs[0] policy
     /* 1477867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477877 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1477880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477901 */     // GIR_Coverage, 17639,
     /* 1477901 */     GIR_EraseRootFromParent_Done,
     /* 1477902 */   // Label 19664: @1477902
     /* 1477902 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1477984), // Rule ID 17642 //
     /* 1477907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1477910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1477918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1477921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1477924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1477927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1477946 */     // MIs[0] round
     /* 1477946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1477949 */     // MIs[0] policy
     /* 1477949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477959 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1477962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1477970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1477972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477983 */     // GIR_Coverage, 17642,
     /* 1477983 */     GIR_EraseRootFromParent_Done,
     /* 1477984 */   // Label 19665: @1477984
     /* 1477984 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1478066), // Rule ID 17643 //
     /* 1477989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1477992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1477997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1478000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1478003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1478006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1478009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478028 */     // MIs[0] round
     /* 1478028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478031 */     // MIs[0] policy
     /* 1478031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478041 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1478044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478065 */     // GIR_Coverage, 17643,
     /* 1478065 */     GIR_EraseRootFromParent_Done,
     /* 1478066 */   // Label 19666: @1478066
     /* 1478066 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1478148), // Rule ID 17646 //
     /* 1478071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1478074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1478088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1478091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478110 */     // MIs[0] round
     /* 1478110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478113 */     // MIs[0] policy
     /* 1478113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478123 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1478126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478147 */     // GIR_Coverage, 17646,
     /* 1478147 */     GIR_EraseRootFromParent_Done,
     /* 1478148 */   // Label 19667: @1478148
     /* 1478148 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1478230), // Rule ID 17647 //
     /* 1478153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1478156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1478164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1478167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1478170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1478173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478192 */     // MIs[0] round
     /* 1478192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478195 */     // MIs[0] policy
     /* 1478195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478205 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1478208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478229 */     // GIR_Coverage, 17647,
     /* 1478229 */     GIR_EraseRootFromParent_Done,
     /* 1478230 */   // Label 19668: @1478230
     /* 1478230 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1478312), // Rule ID 17650 //
     /* 1478235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1478246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1478249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1478252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1478255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478274 */     // MIs[0] round
     /* 1478274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478277 */     // MIs[0] policy
     /* 1478277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478287 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1478290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478311 */     // GIR_Coverage, 17650,
     /* 1478311 */     GIR_EraseRootFromParent_Done,
     /* 1478312 */   // Label 19669: @1478312
     /* 1478312 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1478394), // Rule ID 17651 //
     /* 1478317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1478328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1478331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1478334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1478337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478356 */     // MIs[0] round
     /* 1478356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478359 */     // MIs[0] policy
     /* 1478359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478369 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1478372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478393 */     // GIR_Coverage, 17651,
     /* 1478393 */     GIR_EraseRootFromParent_Done,
     /* 1478394 */   // Label 19670: @1478394
     /* 1478394 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1478476), // Rule ID 17654 //
     /* 1478399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1478419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478438 */     // MIs[0] round
     /* 1478438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478441 */     // MIs[0] policy
     /* 1478441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478451 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1478454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478475 */     // GIR_Coverage, 17654,
     /* 1478475 */     GIR_EraseRootFromParent_Done,
     /* 1478476 */   // Label 19671: @1478476
     /* 1478476 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1478558), // Rule ID 17655 //
     /* 1478481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1478492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1478495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1478498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1478501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478520 */     // MIs[0] round
     /* 1478520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478523 */     // MIs[0] policy
     /* 1478523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478533 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1478536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478557 */     // GIR_Coverage, 17655,
     /* 1478557 */     GIR_EraseRootFromParent_Done,
     /* 1478558 */   // Label 19672: @1478558
     /* 1478558 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1478640), // Rule ID 17658 //
     /* 1478563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1478566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1478583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478602 */     // MIs[0] round
     /* 1478602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478605 */     // MIs[0] policy
     /* 1478605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478615 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1478618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478639 */     // GIR_Coverage, 17658,
     /* 1478639 */     GIR_EraseRootFromParent_Done,
     /* 1478640 */   // Label 19673: @1478640
     /* 1478640 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1478722), // Rule ID 17659 //
     /* 1478645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1478648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1478656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1478659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1478662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1478665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1478684 */     // MIs[0] round
     /* 1478684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478687 */     // MIs[0] policy
     /* 1478687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478697 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1478700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478721 */     // GIR_Coverage, 17659,
     /* 1478721 */     GIR_EraseRootFromParent_Done,
     /* 1478722 */   // Label 19674: @1478722
     /* 1478722 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1478804), // Rule ID 17662 //
     /* 1478727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1478738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1478741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1478744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1478747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1478762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478766 */     // MIs[0] round
     /* 1478766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478769 */     // MIs[0] policy
     /* 1478769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478779 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1478782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478803 */     // GIR_Coverage, 17662,
     /* 1478803 */     GIR_EraseRootFromParent_Done,
     /* 1478804 */   // Label 19675: @1478804
     /* 1478804 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1478886), // Rule ID 17663 //
     /* 1478809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1478820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1478823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1478826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1478829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1478844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478848 */     // MIs[0] round
     /* 1478848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478851 */     // MIs[0] policy
     /* 1478851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478861 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1478864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478885 */     // GIR_Coverage, 17663,
     /* 1478885 */     GIR_EraseRootFromParent_Done,
     /* 1478886 */   // Label 19676: @1478886
     /* 1478886 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1478968), // Rule ID 17666 //
     /* 1478891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1478894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1478902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1478905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1478908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1478911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1478926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478930 */     // MIs[0] round
     /* 1478930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1478933 */     // MIs[0] policy
     /* 1478933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478943 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1478946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1478954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1478956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478967 */     // GIR_Coverage, 17666,
     /* 1478967 */     GIR_EraseRootFromParent_Done,
     /* 1478968 */   // Label 19677: @1478968
     /* 1478968 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1479050), // Rule ID 17667 //
     /* 1478973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1478976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1478981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1478984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1478987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1478990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1478993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479012 */     // MIs[0] round
     /* 1479012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479015 */     // MIs[0] policy
     /* 1479015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479025 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1479028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479049 */     // GIR_Coverage, 17667,
     /* 1479049 */     GIR_EraseRootFromParent_Done,
     /* 1479050 */   // Label 19678: @1479050
     /* 1479050 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1479132), // Rule ID 17670 //
     /* 1479055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1479066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1479069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1479072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1479075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1479090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479094 */     // MIs[0] round
     /* 1479094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479097 */     // MIs[0] policy
     /* 1479097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479107 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1479110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479131 */     // GIR_Coverage, 17670,
     /* 1479131 */     GIR_EraseRootFromParent_Done,
     /* 1479132 */   // Label 19679: @1479132
     /* 1479132 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1479214), // Rule ID 17671 //
     /* 1479137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1479148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1479151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1479154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1479157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1479172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479176 */     // MIs[0] round
     /* 1479176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479179 */     // MIs[0] policy
     /* 1479179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479189 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1479192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479213 */     // GIR_Coverage, 17671,
     /* 1479213 */     GIR_EraseRootFromParent_Done,
     /* 1479214 */   // Label 19680: @1479214
     /* 1479214 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1479296), // Rule ID 17674 //
     /* 1479219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1479239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479258 */     // MIs[0] round
     /* 1479258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479261 */     // MIs[0] policy
     /* 1479261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479271 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1479274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479295 */     // GIR_Coverage, 17674,
     /* 1479295 */     GIR_EraseRootFromParent_Done,
     /* 1479296 */   // Label 19681: @1479296
     /* 1479296 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1479378), // Rule ID 17675 //
     /* 1479301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1479312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1479315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1479321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479340 */     // MIs[0] round
     /* 1479340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479343 */     // MIs[0] policy
     /* 1479343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10839:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1479356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479377 */     // GIR_Coverage, 17675,
     /* 1479377 */     GIR_EraseRootFromParent_Done,
     /* 1479378 */   // Label 19682: @1479378
     /* 1479378 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1479460), // Rule ID 17678 //
     /* 1479383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1479386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1479394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1479397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1479400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1479403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1479418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479422 */     // MIs[0] round
     /* 1479422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479425 */     // MIs[0] policy
     /* 1479425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479435 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1479438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479459 */     // GIR_Coverage, 17678,
     /* 1479459 */     GIR_EraseRootFromParent_Done,
     /* 1479460 */   // Label 19683: @1479460
     /* 1479460 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1479542), // Rule ID 17679 //
     /* 1479465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1479468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1479476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1479479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1479482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1479485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1479500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479504 */     // MIs[0] round
     /* 1479504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479507 */     // MIs[0] policy
     /* 1479507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479517 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10839:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1479520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479541 */     // GIR_Coverage, 17679,
     /* 1479541 */     GIR_EraseRootFromParent_Done,
     /* 1479542 */   // Label 19684: @1479542
     /* 1479542 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1479624), // Rule ID 17682 //
     /* 1479547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1479550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1479558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1479561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1479564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1479567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1479582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479586 */     // MIs[0] round
     /* 1479586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479589 */     // MIs[0] policy
     /* 1479589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479599 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1479602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479623 */     // GIR_Coverage, 17682,
     /* 1479623 */     GIR_EraseRootFromParent_Done,
     /* 1479624 */   // Label 19685: @1479624
     /* 1479624 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1479706), // Rule ID 17683 //
     /* 1479629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1479632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1479640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1479643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1479646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1479649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1479664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1479668 */     // MIs[0] round
     /* 1479668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479671 */     // MIs[0] policy
     /* 1479671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479681 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10839:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1479684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1479702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479705 */     // GIR_Coverage, 17683,
     /* 1479705 */     GIR_EraseRootFromParent_Done,
     /* 1479706 */   // Label 19686: @1479706
     /* 1479706 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1479788), // Rule ID 17686 //
     /* 1479711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1479731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479750 */     // MIs[0] round
     /* 1479750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479753 */     // MIs[0] policy
     /* 1479753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479763 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1479766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479787 */     // GIR_Coverage, 17686,
     /* 1479787 */     GIR_EraseRootFromParent_Done,
     /* 1479788 */   // Label 19687: @1479788
     /* 1479788 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1479870), // Rule ID 17687 //
     /* 1479793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1479813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479832 */     // MIs[0] round
     /* 1479832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479835 */     // MIs[0] policy
     /* 1479835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479845 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1479848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479869 */     // GIR_Coverage, 17687,
     /* 1479869 */     GIR_EraseRootFromParent_Done,
     /* 1479870 */   // Label 19688: @1479870
     /* 1479870 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1479952), // Rule ID 17690 //
     /* 1479875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1479878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1479895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479914 */     // MIs[0] round
     /* 1479914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479917 */     // MIs[0] policy
     /* 1479917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479927 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1479930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1479938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1479940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479951 */     // GIR_Coverage, 17690,
     /* 1479951 */     GIR_EraseRootFromParent_Done,
     /* 1479952 */   // Label 19689: @1479952
     /* 1479952 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1480034), // Rule ID 17691 //
     /* 1479957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1479960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1479965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1479974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1479977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1479992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479996 */     // MIs[0] round
     /* 1479996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1479999 */     // MIs[0] policy
     /* 1479999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480009 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1480012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480033 */     // GIR_Coverage, 17691,
     /* 1480033 */     GIR_EraseRootFromParent_Done,
     /* 1480034 */   // Label 19690: @1480034
     /* 1480034 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1480116), // Rule ID 17694 //
     /* 1480039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1480042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1480056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1480059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1480074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480078 */     // MIs[0] round
     /* 1480078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480081 */     // MIs[0] policy
     /* 1480081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480091 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1480094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480115 */     // GIR_Coverage, 17694,
     /* 1480115 */     GIR_EraseRootFromParent_Done,
     /* 1480116 */   // Label 19691: @1480116
     /* 1480116 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1480198), // Rule ID 17695 //
     /* 1480121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1480124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1480132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1480135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1480138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1480141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1480156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480160 */     // MIs[0] round
     /* 1480160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480163 */     // MIs[0] policy
     /* 1480163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480173 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1480176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1480194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480197 */     // GIR_Coverage, 17695,
     /* 1480197 */     GIR_EraseRootFromParent_Done,
     /* 1480198 */   // Label 19692: @1480198
     /* 1480198 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1480280), // Rule ID 17698 //
     /* 1480203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1480223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480242 */     // MIs[0] round
     /* 1480242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480245 */     // MIs[0] policy
     /* 1480245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480255 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1480258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480279 */     // GIR_Coverage, 17698,
     /* 1480279 */     GIR_EraseRootFromParent_Done,
     /* 1480280 */   // Label 19693: @1480280
     /* 1480280 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1480362), // Rule ID 17699 //
     /* 1480285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1480296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1480299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1480305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480324 */     // MIs[0] round
     /* 1480324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480327 */     // MIs[0] policy
     /* 1480327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480337 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1480340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480361 */     // GIR_Coverage, 17699,
     /* 1480361 */     GIR_EraseRootFromParent_Done,
     /* 1480362 */   // Label 19694: @1480362
     /* 1480362 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1480444), // Rule ID 17702 //
     /* 1480367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1480387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480406 */     // MIs[0] round
     /* 1480406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480409 */     // MIs[0] policy
     /* 1480409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480419 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1480422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480443 */     // GIR_Coverage, 17702,
     /* 1480443 */     GIR_EraseRootFromParent_Done,
     /* 1480444 */   // Label 19695: @1480444
     /* 1480444 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1480526), // Rule ID 17703 //
     /* 1480449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1480469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480488 */     // MIs[0] round
     /* 1480488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480491 */     // MIs[0] policy
     /* 1480491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480501 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1480504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480525 */     // GIR_Coverage, 17703,
     /* 1480525 */     GIR_EraseRootFromParent_Done,
     /* 1480526 */   // Label 19696: @1480526
     /* 1480526 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1480608), // Rule ID 17706 //
     /* 1480531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1480534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1480551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480570 */     // MIs[0] round
     /* 1480570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480573 */     // MIs[0] policy
     /* 1480573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480583 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1480586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480607 */     // GIR_Coverage, 17706,
     /* 1480607 */     GIR_EraseRootFromParent_Done,
     /* 1480608 */   // Label 19697: @1480608
     /* 1480608 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1480690), // Rule ID 17707 //
     /* 1480613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1480616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1480630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1480633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1480648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480652 */     // MIs[0] round
     /* 1480652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480655 */     // MIs[0] policy
     /* 1480655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1480668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480689 */     // GIR_Coverage, 17707,
     /* 1480689 */     GIR_EraseRootFromParent_Done,
     /* 1480690 */   // Label 19698: @1480690
     /* 1480690 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1480772), // Rule ID 17710 //
     /* 1480695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1480698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1480712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1480715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1480730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480734 */     // MIs[0] round
     /* 1480734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480737 */     // MIs[0] policy
     /* 1480737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480747 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1480750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480771 */     // GIR_Coverage, 17710,
     /* 1480771 */     GIR_EraseRootFromParent_Done,
     /* 1480772 */   // Label 19699: @1480772
     /* 1480772 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1480854), // Rule ID 17711 //
     /* 1480777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1480780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1480794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1480797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1480812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480816 */     // MIs[0] round
     /* 1480816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480819 */     // MIs[0] policy
     /* 1480819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480829 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10839:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1480832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480853 */     // GIR_Coverage, 17711,
     /* 1480853 */     GIR_EraseRootFromParent_Done,
     /* 1480854 */   // Label 19700: @1480854
     /* 1480854 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1480936), // Rule ID 17714 //
     /* 1480859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1480862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1480876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1480879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1480894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480898 */     // MIs[0] round
     /* 1480898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480901 */     // MIs[0] policy
     /* 1480901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480911 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1480914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1480922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1480924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480935 */     // GIR_Coverage, 17714,
     /* 1480935 */     GIR_EraseRootFromParent_Done,
     /* 1480936 */   // Label 19701: @1480936
     /* 1480936 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1481018), // Rule ID 17715 //
     /* 1480941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1480944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1480949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1480958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1480961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1480976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480980 */     // MIs[0] round
     /* 1480980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1480983 */     // MIs[0] policy
     /* 1480983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480993 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10839:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1480996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481017 */     // GIR_Coverage, 17715,
     /* 1481017 */     GIR_EraseRootFromParent_Done,
     /* 1481018 */   // Label 19702: @1481018
     /* 1481018 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1481100), // Rule ID 17718 //
     /* 1481023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1481026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1481031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1481040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1481043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1481058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481062 */     // MIs[0] round
     /* 1481062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481065 */     // MIs[0] policy
     /* 1481065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481075 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1481078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481099 */     // GIR_Coverage, 17718,
     /* 1481099 */     GIR_EraseRootFromParent_Done,
     /* 1481100 */   // Label 19703: @1481100
     /* 1481100 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1481182), // Rule ID 17719 //
     /* 1481105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1481108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1481113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1481116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1481119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1481122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1481125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1481140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1481144 */     // MIs[0] round
     /* 1481144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481147 */     // MIs[0] policy
     /* 1481147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481157 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10839:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1481160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1481178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481181 */     // GIR_Coverage, 17719,
     /* 1481181 */     GIR_EraseRootFromParent_Done,
     /* 1481182 */   // Label 19704: @1481182
     /* 1481182 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1481264), // Rule ID 17722 //
     /* 1481187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1481207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481226 */     // MIs[0] round
     /* 1481226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481229 */     // MIs[0] policy
     /* 1481229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481239 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1481242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481263 */     // GIR_Coverage, 17722,
     /* 1481263 */     GIR_EraseRootFromParent_Done,
     /* 1481264 */   // Label 19705: @1481264
     /* 1481264 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1481346), // Rule ID 17723 //
     /* 1481269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1481289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481308 */     // MIs[0] round
     /* 1481308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481311 */     // MIs[0] policy
     /* 1481311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481321 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1481324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481345 */     // GIR_Coverage, 17723,
     /* 1481345 */     GIR_EraseRootFromParent_Done,
     /* 1481346 */   // Label 19706: @1481346
     /* 1481346 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1481428), // Rule ID 17726 //
     /* 1481351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1481371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481390 */     // MIs[0] round
     /* 1481390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481393 */     // MIs[0] policy
     /* 1481393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481403 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1481406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481427 */     // GIR_Coverage, 17726,
     /* 1481427 */     GIR_EraseRootFromParent_Done,
     /* 1481428 */   // Label 19707: @1481428
     /* 1481428 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1481510), // Rule ID 17727 //
     /* 1481433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1481453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481472 */     // MIs[0] round
     /* 1481472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481475 */     // MIs[0] policy
     /* 1481475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481485 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1481488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481509 */     // GIR_Coverage, 17727,
     /* 1481509 */     GIR_EraseRootFromParent_Done,
     /* 1481510 */   // Label 19708: @1481510
     /* 1481510 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1481592), // Rule ID 17730 //
     /* 1481515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1481518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1481535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481554 */     // MIs[0] round
     /* 1481554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481557 */     // MIs[0] policy
     /* 1481557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481567 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1481570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481591 */     // GIR_Coverage, 17730,
     /* 1481591 */     GIR_EraseRootFromParent_Done,
     /* 1481592 */   // Label 19709: @1481592
     /* 1481592 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1481674), // Rule ID 17731 //
     /* 1481597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1481600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1481617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481636 */     // MIs[0] round
     /* 1481636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481639 */     // MIs[0] policy
     /* 1481639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481649 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1481652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481673 */     // GIR_Coverage, 17731,
     /* 1481673 */     GIR_EraseRootFromParent_Done,
     /* 1481674 */   // Label 19710: @1481674
     /* 1481674 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1481756), // Rule ID 17734 //
     /* 1481679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1481682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1481699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481718 */     // MIs[0] round
     /* 1481718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481721 */     // MIs[0] policy
     /* 1481721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481731 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1481734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481755 */     // GIR_Coverage, 17734,
     /* 1481755 */     GIR_EraseRootFromParent_Done,
     /* 1481756 */   // Label 19711: @1481756
     /* 1481756 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1481838), // Rule ID 17735 //
     /* 1481761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1481764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1481772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1481775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1481778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1481781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481800 */     // MIs[0] round
     /* 1481800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481803 */     // MIs[0] policy
     /* 1481803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481813 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1481816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481837 */     // GIR_Coverage, 17735,
     /* 1481837 */     GIR_EraseRootFromParent_Done,
     /* 1481838 */   // Label 19712: @1481838
     /* 1481838 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1481920), // Rule ID 17738 //
     /* 1481843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1481846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1481863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481882 */     // MIs[0] round
     /* 1481882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481885 */     // MIs[0] policy
     /* 1481885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481895 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1481898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481919 */     // GIR_Coverage, 17738,
     /* 1481919 */     GIR_EraseRootFromParent_Done,
     /* 1481920 */   // Label 19713: @1481920
     /* 1481920 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1482002), // Rule ID 17739 //
     /* 1481925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1481928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1481933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1481936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1481939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1481942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1481945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481964 */     // MIs[0] round
     /* 1481964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1481967 */     // MIs[0] policy
     /* 1481967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481977 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1481980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1481988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1481990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482001 */     // GIR_Coverage, 17739,
     /* 1482001 */     GIR_EraseRootFromParent_Done,
     /* 1482002 */   // Label 19714: @1482002
     /* 1482002 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1482084), // Rule ID 17742 //
     /* 1482007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1482010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1482027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482046 */     // MIs[0] round
     /* 1482046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482049 */     // MIs[0] policy
     /* 1482049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482059 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1482062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482083 */     // GIR_Coverage, 17742,
     /* 1482083 */     GIR_EraseRootFromParent_Done,
     /* 1482084 */   // Label 19715: @1482084
     /* 1482084 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1482166), // Rule ID 17743 //
     /* 1482089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1482092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1482109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482128 */     // MIs[0] round
     /* 1482128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482131 */     // MIs[0] policy
     /* 1482131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482141 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1482144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482165 */     // GIR_Coverage, 17743,
     /* 1482165 */     GIR_EraseRootFromParent_Done,
     /* 1482166 */   // Label 19716: @1482166
     /* 1482166 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1482248), // Rule ID 17746 //
     /* 1482171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1482191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482210 */     // MIs[0] round
     /* 1482210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482213 */     // MIs[0] policy
     /* 1482213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482223 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1482226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482247 */     // GIR_Coverage, 17746,
     /* 1482247 */     GIR_EraseRootFromParent_Done,
     /* 1482248 */   // Label 19717: @1482248
     /* 1482248 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1482330), // Rule ID 17747 //
     /* 1482253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1482264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1482267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1482270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1482273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482292 */     // MIs[0] round
     /* 1482292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482295 */     // MIs[0] policy
     /* 1482295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482305 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1482308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482329 */     // GIR_Coverage, 17747,
     /* 1482329 */     GIR_EraseRootFromParent_Done,
     /* 1482330 */   // Label 19718: @1482330
     /* 1482330 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1482412), // Rule ID 17750 //
     /* 1482335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1482355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482374 */     // MIs[0] round
     /* 1482374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482377 */     // MIs[0] policy
     /* 1482377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482387 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1482390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482411 */     // GIR_Coverage, 17750,
     /* 1482411 */     GIR_EraseRootFromParent_Done,
     /* 1482412 */   // Label 19719: @1482412
     /* 1482412 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1482494), // Rule ID 17751 //
     /* 1482417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1482428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1482431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1482434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1482437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482456 */     // MIs[0] round
     /* 1482456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482459 */     // MIs[0] policy
     /* 1482459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482469 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1482472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482493 */     // GIR_Coverage, 17751,
     /* 1482493 */     GIR_EraseRootFromParent_Done,
     /* 1482494 */   // Label 19720: @1482494
     /* 1482494 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1482576), // Rule ID 17754 //
     /* 1482499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1482502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1482519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482538 */     // MIs[0] round
     /* 1482538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482541 */     // MIs[0] policy
     /* 1482541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482551 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1482554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482575 */     // GIR_Coverage, 17754,
     /* 1482575 */     GIR_EraseRootFromParent_Done,
     /* 1482576 */   // Label 19721: @1482576
     /* 1482576 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1482658), // Rule ID 17755 //
     /* 1482581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1482584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1482592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1482595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1482598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1482601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1482620 */     // MIs[0] round
     /* 1482620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482623 */     // MIs[0] policy
     /* 1482623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482633 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1482636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482657 */     // GIR_Coverage, 17755,
     /* 1482657 */     GIR_EraseRootFromParent_Done,
     /* 1482658 */   // Label 19722: @1482658
     /* 1482658 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1482740), // Rule ID 17758 //
     /* 1482663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1482683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482702 */     // MIs[0] round
     /* 1482702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482705 */     // MIs[0] policy
     /* 1482705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482715 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1482718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482739 */     // GIR_Coverage, 17758,
     /* 1482739 */     GIR_EraseRootFromParent_Done,
     /* 1482740 */   // Label 19723: @1482740
     /* 1482740 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1482822), // Rule ID 17759 //
     /* 1482745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1482756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1482759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1482762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1482765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482784 */     // MIs[0] round
     /* 1482784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482787 */     // MIs[0] policy
     /* 1482787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482797 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1482800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482821 */     // GIR_Coverage, 17759,
     /* 1482821 */     GIR_EraseRootFromParent_Done,
     /* 1482822 */   // Label 19724: @1482822
     /* 1482822 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1482904), // Rule ID 17762 //
     /* 1482827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1482847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482866 */     // MIs[0] round
     /* 1482866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482869 */     // MIs[0] policy
     /* 1482869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482879 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1482882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482903 */     // GIR_Coverage, 17762,
     /* 1482903 */     GIR_EraseRootFromParent_Done,
     /* 1482904 */   // Label 19725: @1482904
     /* 1482904 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1482986), // Rule ID 17763 //
     /* 1482909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1482912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1482920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1482923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1482926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1482929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1482948 */     // MIs[0] round
     /* 1482948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1482951 */     // MIs[0] policy
     /* 1482951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482961 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1482964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1482972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1482974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482985 */     // GIR_Coverage, 17763,
     /* 1482985 */     GIR_EraseRootFromParent_Done,
     /* 1482986 */   // Label 19726: @1482986
     /* 1482986 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1483068), // Rule ID 17766 //
     /* 1482991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1482994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1482999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1483011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483030 */     // MIs[0] round
     /* 1483030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483033 */     // MIs[0] policy
     /* 1483033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483043 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1483046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483067 */     // GIR_Coverage, 17766,
     /* 1483067 */     GIR_EraseRootFromParent_Done,
     /* 1483068 */   // Label 19727: @1483068
     /* 1483068 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1483150), // Rule ID 17767 //
     /* 1483073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1483076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1483084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1483087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1483090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1483093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483112 */     // MIs[0] round
     /* 1483112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483115 */     // MIs[0] policy
     /* 1483115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1483128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1483146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483149 */     // GIR_Coverage, 17767,
     /* 1483149 */     GIR_EraseRootFromParent_Done,
     /* 1483150 */   // Label 19728: @1483150
     /* 1483150 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1483232), // Rule ID 17770 //
     /* 1483155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1483175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483194 */     // MIs[0] round
     /* 1483194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483197 */     // MIs[0] policy
     /* 1483197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483207 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1483210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483231 */     // GIR_Coverage, 17770,
     /* 1483231 */     GIR_EraseRootFromParent_Done,
     /* 1483232 */   // Label 19729: @1483232
     /* 1483232 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1483314), // Rule ID 17771 //
     /* 1483237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1483248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1483251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1483254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1483257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483276 */     // MIs[0] round
     /* 1483276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483279 */     // MIs[0] policy
     /* 1483279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483289 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1483292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483313 */     // GIR_Coverage, 17771,
     /* 1483313 */     GIR_EraseRootFromParent_Done,
     /* 1483314 */   // Label 19730: @1483314
     /* 1483314 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1483396), // Rule ID 17774 //
     /* 1483319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1483339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483358 */     // MIs[0] round
     /* 1483358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483361 */     // MIs[0] policy
     /* 1483361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1483374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483395 */     // GIR_Coverage, 17774,
     /* 1483395 */     GIR_EraseRootFromParent_Done,
     /* 1483396 */   // Label 19731: @1483396
     /* 1483396 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1483478), // Rule ID 17775 //
     /* 1483401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1483412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1483415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1483418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1483421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483440 */     // MIs[0] round
     /* 1483440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483443 */     // MIs[0] policy
     /* 1483443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483453 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1483456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483477 */     // GIR_Coverage, 17775,
     /* 1483477 */     GIR_EraseRootFromParent_Done,
     /* 1483478 */   // Label 19732: @1483478
     /* 1483478 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1483560), // Rule ID 17778 //
     /* 1483483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1483486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1483503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483522 */     // MIs[0] round
     /* 1483522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483525 */     // MIs[0] policy
     /* 1483525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483535 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1483538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483559 */     // GIR_Coverage, 17778,
     /* 1483559 */     GIR_EraseRootFromParent_Done,
     /* 1483560 */   // Label 19733: @1483560
     /* 1483560 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1483642), // Rule ID 17779 //
     /* 1483565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1483568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1483576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1483579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1483582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1483585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483604 */     // MIs[0] round
     /* 1483604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483607 */     // MIs[0] policy
     /* 1483607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483617 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1483620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1483638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483641 */     // GIR_Coverage, 17779,
     /* 1483641 */     GIR_EraseRootFromParent_Done,
     /* 1483642 */   // Label 19734: @1483642
     /* 1483642 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1483724), // Rule ID 17782 //
     /* 1483647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1483650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1483658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1483661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1483664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1483667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1483682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483686 */     // MIs[0] round
     /* 1483686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483689 */     // MIs[0] policy
     /* 1483689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1483702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483723 */     // GIR_Coverage, 17782,
     /* 1483723 */     GIR_EraseRootFromParent_Done,
     /* 1483724 */   // Label 19735: @1483724
     /* 1483724 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1483806), // Rule ID 17783 //
     /* 1483729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1483732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1483740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1483743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1483746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1483749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1483764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483768 */     // MIs[0] round
     /* 1483768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483771 */     // MIs[0] policy
     /* 1483771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483781 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1483784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483805 */     // GIR_Coverage, 17783,
     /* 1483805 */     GIR_EraseRootFromParent_Done,
     /* 1483806 */   // Label 19736: @1483806
     /* 1483806 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1483888), // Rule ID 17786 //
     /* 1483811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1483814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1483822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1483825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1483828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1483831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1483846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483850 */     // MIs[0] round
     /* 1483850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483853 */     // MIs[0] policy
     /* 1483853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483863 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1483866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483887 */     // GIR_Coverage, 17786,
     /* 1483887 */     GIR_EraseRootFromParent_Done,
     /* 1483888 */   // Label 19737: @1483888
     /* 1483888 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1483970), // Rule ID 17787 //
     /* 1483893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1483896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1483904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1483907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1483910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1483913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1483928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1483932 */     // MIs[0] round
     /* 1483932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1483935 */     // MIs[0] policy
     /* 1483935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483945 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1483948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1483956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1483958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483969 */     // GIR_Coverage, 17787,
     /* 1483969 */     GIR_EraseRootFromParent_Done,
     /* 1483970 */   // Label 19738: @1483970
     /* 1483970 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1484052), // Rule ID 17790 //
     /* 1483975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1483978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1483983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1483986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1483989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1483992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1483995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1484010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484014 */     // MIs[0] round
     /* 1484014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484017 */     // MIs[0] policy
     /* 1484017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1484030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484051 */     // GIR_Coverage, 17790,
     /* 1484051 */     GIR_EraseRootFromParent_Done,
     /* 1484052 */   // Label 19739: @1484052
     /* 1484052 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1484134), // Rule ID 17791 //
     /* 1484057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1484068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1484071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1484074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1484077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1484092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484096 */     // MIs[0] round
     /* 1484096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484099 */     // MIs[0] policy
     /* 1484099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484109 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1484112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484133 */     // GIR_Coverage, 17791,
     /* 1484133 */     GIR_EraseRootFromParent_Done,
     /* 1484134 */   // Label 19740: @1484134
     /* 1484134 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1484216), // Rule ID 17794 //
     /* 1484139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1484159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484178 */     // MIs[0] round
     /* 1484178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484181 */     // MIs[0] policy
     /* 1484181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484191 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1484194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484215 */     // GIR_Coverage, 17794,
     /* 1484215 */     GIR_EraseRootFromParent_Done,
     /* 1484216 */   // Label 19741: @1484216
     /* 1484216 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1484298), // Rule ID 17795 //
     /* 1484221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1484232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1484235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1484241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484260 */     // MIs[0] round
     /* 1484260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484263 */     // MIs[0] policy
     /* 1484263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484273 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10875:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1484276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484297 */     // GIR_Coverage, 17795,
     /* 1484297 */     GIR_EraseRootFromParent_Done,
     /* 1484298 */   // Label 19742: @1484298
     /* 1484298 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1484380), // Rule ID 17798 //
     /* 1484303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1484306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1484320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1484323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1484338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484342 */     // MIs[0] round
     /* 1484342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484345 */     // MIs[0] policy
     /* 1484345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484355 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1484358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484379 */     // GIR_Coverage, 17798,
     /* 1484379 */     GIR_EraseRootFromParent_Done,
     /* 1484380 */   // Label 19743: @1484380
     /* 1484380 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1484462), // Rule ID 17799 //
     /* 1484385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1484388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1484396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1484399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1484402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1484405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1484420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484424 */     // MIs[0] round
     /* 1484424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484427 */     // MIs[0] policy
     /* 1484427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484437 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10875:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1484440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484461 */     // GIR_Coverage, 17799,
     /* 1484461 */     GIR_EraseRootFromParent_Done,
     /* 1484462 */   // Label 19744: @1484462
     /* 1484462 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1484544), // Rule ID 17802 //
     /* 1484467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1484470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1484484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1484487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1484502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484506 */     // MIs[0] round
     /* 1484506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484509 */     // MIs[0] policy
     /* 1484509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484519 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1484522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484543 */     // GIR_Coverage, 17802,
     /* 1484543 */     GIR_EraseRootFromParent_Done,
     /* 1484544 */   // Label 19745: @1484544
     /* 1484544 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1484626), // Rule ID 17803 //
     /* 1484549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1484552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1484560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1484563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1484566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1484569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1484584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1484588 */     // MIs[0] round
     /* 1484588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484591 */     // MIs[0] policy
     /* 1484591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484601 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10875:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1484604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484625 */     // GIR_Coverage, 17803,
     /* 1484625 */     GIR_EraseRootFromParent_Done,
     /* 1484626 */   // Label 19746: @1484626
     /* 1484626 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1484708), // Rule ID 17806 //
     /* 1484631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1484642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1484645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1484651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484670 */     // MIs[0] round
     /* 1484670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484673 */     // MIs[0] policy
     /* 1484673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484683 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1484686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484707 */     // GIR_Coverage, 17806,
     /* 1484707 */     GIR_EraseRootFromParent_Done,
     /* 1484708 */   // Label 19747: @1484708
     /* 1484708 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1484790), // Rule ID 17807 //
     /* 1484713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1484724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1484727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1484733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484752 */     // MIs[0] round
     /* 1484752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484755 */     // MIs[0] policy
     /* 1484755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484765 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1484768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484789 */     // GIR_Coverage, 17807,
     /* 1484789 */     GIR_EraseRootFromParent_Done,
     /* 1484790 */   // Label 19748: @1484790
     /* 1484790 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1484872), // Rule ID 17810 //
     /* 1484795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1484806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1484809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1484815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484834 */     // MIs[0] round
     /* 1484834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484837 */     // MIs[0] policy
     /* 1484837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484847 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1484850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484871 */     // GIR_Coverage, 17810,
     /* 1484871 */     GIR_EraseRootFromParent_Done,
     /* 1484872 */   // Label 19749: @1484872
     /* 1484872 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1484954), // Rule ID 17811 //
     /* 1484877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1484880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1484888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1484891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1484897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484916 */     // MIs[0] round
     /* 1484916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1484919 */     // MIs[0] policy
     /* 1484919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484929 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1484932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1484940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1484942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484953 */     // GIR_Coverage, 17811,
     /* 1484953 */     GIR_EraseRootFromParent_Done,
     /* 1484954 */   // Label 19750: @1484954
     /* 1484954 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1485036), // Rule ID 17814 //
     /* 1484959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1484962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1484967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1484970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1484973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1484976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1484979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1484994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484998 */     // MIs[0] round
     /* 1484998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485001 */     // MIs[0] policy
     /* 1485001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485011 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1485014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485035 */     // GIR_Coverage, 17814,
     /* 1485035 */     GIR_EraseRootFromParent_Done,
     /* 1485036 */   // Label 19751: @1485036
     /* 1485036 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1485118), // Rule ID 17815 //
     /* 1485041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1485044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1485052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1485055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1485058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1485061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1485076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485080 */     // MIs[0] round
     /* 1485080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485083 */     // MIs[0] policy
     /* 1485083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485093 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1485096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485117 */     // GIR_Coverage, 17815,
     /* 1485117 */     GIR_EraseRootFromParent_Done,
     /* 1485118 */   // Label 19752: @1485118
     /* 1485118 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1485200), // Rule ID 17818 //
     /* 1485123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1485143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485162 */     // MIs[0] round
     /* 1485162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485165 */     // MIs[0] policy
     /* 1485165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485175 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1485178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485199 */     // GIR_Coverage, 17818,
     /* 1485199 */     GIR_EraseRootFromParent_Done,
     /* 1485200 */   // Label 19753: @1485200
     /* 1485200 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1485282), // Rule ID 17819 //
     /* 1485205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1485216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1485219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1485225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485244 */     // MIs[0] round
     /* 1485244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485247 */     // MIs[0] policy
     /* 1485247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485257 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1485260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485281 */     // GIR_Coverage, 17819,
     /* 1485281 */     GIR_EraseRootFromParent_Done,
     /* 1485282 */   // Label 19754: @1485282
     /* 1485282 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1485364), // Rule ID 17822 //
     /* 1485287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1485307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485326 */     // MIs[0] round
     /* 1485326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485329 */     // MIs[0] policy
     /* 1485329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485339 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1485342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485363 */     // GIR_Coverage, 17822,
     /* 1485363 */     GIR_EraseRootFromParent_Done,
     /* 1485364 */   // Label 19755: @1485364
     /* 1485364 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1485446), // Rule ID 17823 //
     /* 1485369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1485380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1485383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1485389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485408 */     // MIs[0] round
     /* 1485408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485411 */     // MIs[0] policy
     /* 1485411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485421 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1485424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485445 */     // GIR_Coverage, 17823,
     /* 1485445 */     GIR_EraseRootFromParent_Done,
     /* 1485446 */   // Label 19756: @1485446
     /* 1485446 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1485528), // Rule ID 17826 //
     /* 1485451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1485471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485490 */     // MIs[0] round
     /* 1485490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485493 */     // MIs[0] policy
     /* 1485493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1485506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485527 */     // GIR_Coverage, 17826,
     /* 1485527 */     GIR_EraseRootFromParent_Done,
     /* 1485528 */   // Label 19757: @1485528
     /* 1485528 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1485610), // Rule ID 17827 //
     /* 1485533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1485544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1485547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1485550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1485553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1485568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485572 */     // MIs[0] round
     /* 1485572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485575 */     // MIs[0] policy
     /* 1485575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485585 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1485588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485609 */     // GIR_Coverage, 17827,
     /* 1485609 */     GIR_EraseRootFromParent_Done,
     /* 1485610 */   // Label 19758: @1485610
     /* 1485610 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1485692), // Rule ID 17830 //
     /* 1485615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1485632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1485635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1485650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485654 */     // MIs[0] round
     /* 1485654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485657 */     // MIs[0] policy
     /* 1485657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485667 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1485670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485691 */     // GIR_Coverage, 17830,
     /* 1485691 */     GIR_EraseRootFromParent_Done,
     /* 1485692 */   // Label 19759: @1485692
     /* 1485692 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1485774), // Rule ID 17831 //
     /* 1485697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1485708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1485711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1485714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1485717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1485732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1485736 */     // MIs[0] round
     /* 1485736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485739 */     // MIs[0] policy
     /* 1485739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485749 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10875:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1485752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485773 */     // GIR_Coverage, 17831,
     /* 1485773 */     GIR_EraseRootFromParent_Done,
     /* 1485774 */   // Label 19760: @1485774
     /* 1485774 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1485856), // Rule ID 17834 //
     /* 1485779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1485796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1485799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1485814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485818 */     // MIs[0] round
     /* 1485818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485821 */     // MIs[0] policy
     /* 1485821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485831 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1485834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485855 */     // GIR_Coverage, 17834,
     /* 1485855 */     GIR_EraseRootFromParent_Done,
     /* 1485856 */   // Label 19761: @1485856
     /* 1485856 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1485938), // Rule ID 17835 //
     /* 1485861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1485864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1485872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1485875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1485878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1485881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1485896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1485900 */     // MIs[0] round
     /* 1485900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485903 */     // MIs[0] policy
     /* 1485903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485913 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10875:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1485916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1485924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1485926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485937 */     // GIR_Coverage, 17835,
     /* 1485937 */     GIR_EraseRootFromParent_Done,
     /* 1485938 */   // Label 19762: @1485938
     /* 1485938 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1486020), // Rule ID 17838 //
     /* 1485943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1485946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1485951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1485960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1485963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1485978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485982 */     // MIs[0] round
     /* 1485982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1485985 */     // MIs[0] policy
     /* 1485985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485995 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1485998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486019 */     // GIR_Coverage, 17838,
     /* 1486019 */     GIR_EraseRootFromParent_Done,
     /* 1486020 */   // Label 19763: @1486020
     /* 1486020 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1486102), // Rule ID 17839 //
     /* 1486025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1486033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1486036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1486039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1486042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1486045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1486060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486064 */     // MIs[0] round
     /* 1486064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486067 */     // MIs[0] policy
     /* 1486067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486077 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10875:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1486080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486101 */     // GIR_Coverage, 17839,
     /* 1486101 */     GIR_EraseRootFromParent_Done,
     /* 1486102 */   // Label 19764: @1486102
     /* 1486102 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1486184), // Rule ID 17842 //
     /* 1486107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1486110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1486127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486146 */     // MIs[0] round
     /* 1486146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486149 */     // MIs[0] policy
     /* 1486149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486159 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1486162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486183 */     // GIR_Coverage, 17842,
     /* 1486183 */     GIR_EraseRootFromParent_Done,
     /* 1486184 */   // Label 19765: @1486184
     /* 1486184 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1486266), // Rule ID 17843 //
     /* 1486189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1486192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1486200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1486203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1486206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1486209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486228 */     // MIs[0] round
     /* 1486228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486231 */     // MIs[0] policy
     /* 1486231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486241 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1486244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486265 */     // GIR_Coverage, 17843,
     /* 1486265 */     GIR_EraseRootFromParent_Done,
     /* 1486266 */   // Label 19766: @1486266
     /* 1486266 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1486348), // Rule ID 17846 //
     /* 1486271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1486274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1486291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486310 */     // MIs[0] round
     /* 1486310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486313 */     // MIs[0] policy
     /* 1486313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1486326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486347 */     // GIR_Coverage, 17846,
     /* 1486347 */     GIR_EraseRootFromParent_Done,
     /* 1486348 */   // Label 19767: @1486348
     /* 1486348 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1486430), // Rule ID 17847 //
     /* 1486353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1486356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1486364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1486367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1486370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1486373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486392 */     // MIs[0] round
     /* 1486392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486395 */     // MIs[0] policy
     /* 1486395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486405 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1486408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486429 */     // GIR_Coverage, 17847,
     /* 1486429 */     GIR_EraseRootFromParent_Done,
     /* 1486430 */   // Label 19768: @1486430
     /* 1486430 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1486512), // Rule ID 17850 //
     /* 1486435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1486438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1486446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1486449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1486452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1486455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486474 */     // MIs[0] round
     /* 1486474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486477 */     // MIs[0] policy
     /* 1486477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1486490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486498 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486511 */     // GIR_Coverage, 17850,
     /* 1486511 */     GIR_EraseRootFromParent_Done,
     /* 1486512 */   // Label 19769: @1486512
     /* 1486512 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1486594), // Rule ID 17851 //
     /* 1486517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1486520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1486528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1486531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1486534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1486537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486556 */     // MIs[0] round
     /* 1486556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486559 */     // MIs[0] policy
     /* 1486559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486569 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1486572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486580 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486593 */     // GIR_Coverage, 17851,
     /* 1486593 */     GIR_EraseRootFromParent_Done,
     /* 1486594 */   // Label 19770: @1486594
     /* 1486594 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1486676), // Rule ID 17854 //
     /* 1486599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1486602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1486619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486638 */     // MIs[0] round
     /* 1486638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486641 */     // MIs[0] policy
     /* 1486641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486651 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1486654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486662 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486675 */     // GIR_Coverage, 17854,
     /* 1486675 */     GIR_EraseRootFromParent_Done,
     /* 1486676 */   // Label 19771: @1486676
     /* 1486676 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1486758), // Rule ID 17855 //
     /* 1486681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1486684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1486692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1486695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1486698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1486701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486720 */     // MIs[0] round
     /* 1486720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486723 */     // MIs[0] policy
     /* 1486723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486733 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1486736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486757 */     // GIR_Coverage, 17855,
     /* 1486757 */     GIR_EraseRootFromParent_Done,
     /* 1486758 */   // Label 19772: @1486758
     /* 1486758 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1486840), // Rule ID 17858 //
     /* 1486763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1486766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1486774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1486777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1486780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1486783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486802 */     // MIs[0] round
     /* 1486802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486805 */     // MIs[0] policy
     /* 1486805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486815 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1486818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486826 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486836 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486839 */     // GIR_Coverage, 17858,
     /* 1486839 */     GIR_EraseRootFromParent_Done,
     /* 1486840 */   // Label 19773: @1486840
     /* 1486840 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1486922), // Rule ID 17859 //
     /* 1486845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1486848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1486856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1486859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1486862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1486865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486884 */     // MIs[0] round
     /* 1486884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486887 */     // MIs[0] policy
     /* 1486887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486897 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1486900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486908 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486921 */     // GIR_Coverage, 17859,
     /* 1486921 */     GIR_EraseRootFromParent_Done,
     /* 1486922 */   // Label 19774: @1486922
     /* 1486922 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1487004), // Rule ID 17862 //
     /* 1486927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1486930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1486935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1486947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486966 */     // MIs[0] round
     /* 1486966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1486969 */     // MIs[0] policy
     /* 1486969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486979 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1486982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1486990 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1486992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487000 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487003 */     // GIR_Coverage, 17862,
     /* 1487003 */     GIR_EraseRootFromParent_Done,
     /* 1487004 */   // Label 19775: @1487004
     /* 1487004 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1487086), // Rule ID 17863 //
     /* 1487009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1487012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1487020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1487023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1487026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1487029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1487048 */     // MIs[0] round
     /* 1487048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487051 */     // MIs[0] policy
     /* 1487051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487061 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1487064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487072 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487085 */     // GIR_Coverage, 17863,
     /* 1487085 */     GIR_EraseRootFromParent_Done,
     /* 1487086 */   // Label 19776: @1487086
     /* 1487086 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1487168), // Rule ID 17866 //
     /* 1487091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1487094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1487111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487130 */     // MIs[0] round
     /* 1487130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487133 */     // MIs[0] policy
     /* 1487133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487143 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1487146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487154 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487167 */     // GIR_Coverage, 17866,
     /* 1487167 */     GIR_EraseRootFromParent_Done,
     /* 1487168 */   // Label 19777: @1487168
     /* 1487168 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1487250), // Rule ID 17867 //
     /* 1487173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1487176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1487184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1487187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1487190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1487193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487212 */     // MIs[0] round
     /* 1487212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487215 */     // MIs[0] policy
     /* 1487215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487225 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1487228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487249 */     // GIR_Coverage, 17867,
     /* 1487249 */     GIR_EraseRootFromParent_Done,
     /* 1487250 */   // Label 19778: @1487250
     /* 1487250 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1487332), // Rule ID 17870 //
     /* 1487255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1487258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1487275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487294 */     // MIs[0] round
     /* 1487294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487297 */     // MIs[0] policy
     /* 1487297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487307 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1487310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487318 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487328 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487331 */     // GIR_Coverage, 17870,
     /* 1487331 */     GIR_EraseRootFromParent_Done,
     /* 1487332 */   // Label 19779: @1487332
     /* 1487332 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1487414), // Rule ID 17871 //
     /* 1487337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1487340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1487348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1487351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1487354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1487357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487376 */     // MIs[0] round
     /* 1487376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487379 */     // MIs[0] policy
     /* 1487379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487389 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1487392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487400 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487413 */     // GIR_Coverage, 17871,
     /* 1487413 */     GIR_EraseRootFromParent_Done,
     /* 1487414 */   // Label 19780: @1487414
     /* 1487414 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1487496), // Rule ID 17874 //
     /* 1487419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1487422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1487439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487458 */     // MIs[0] round
     /* 1487458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487461 */     // MIs[0] policy
     /* 1487461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487471 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1487474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487482 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487495 */     // GIR_Coverage, 17874,
     /* 1487495 */     GIR_EraseRootFromParent_Done,
     /* 1487496 */   // Label 19781: @1487496
     /* 1487496 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1487578), // Rule ID 17875 //
     /* 1487501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1487504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1487512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1487515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1487518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1487521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487540 */     // MIs[0] round
     /* 1487540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487543 */     // MIs[0] policy
     /* 1487543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487553 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1487556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1487574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487577 */     // GIR_Coverage, 17875,
     /* 1487577 */     GIR_EraseRootFromParent_Done,
     /* 1487578 */   // Label 19782: @1487578
     /* 1487578 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1487660), // Rule ID 17878 //
     /* 1487583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1487586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1487603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487622 */     // MIs[0] round
     /* 1487622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487625 */     // MIs[0] policy
     /* 1487625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1487638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487646 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487659 */     // GIR_Coverage, 17878,
     /* 1487659 */     GIR_EraseRootFromParent_Done,
     /* 1487660 */   // Label 19783: @1487660
     /* 1487660 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1487742), // Rule ID 17879 //
     /* 1487665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1487685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487704 */     // MIs[0] round
     /* 1487704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487707 */     // MIs[0] policy
     /* 1487707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487717 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1487720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487728 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487741 */     // GIR_Coverage, 17879,
     /* 1487741 */     GIR_EraseRootFromParent_Done,
     /* 1487742 */   // Label 19784: @1487742
     /* 1487742 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1487824), // Rule ID 17882 //
     /* 1487747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1487750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1487767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487786 */     // MIs[0] round
     /* 1487786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487789 */     // MIs[0] policy
     /* 1487789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487799 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1487802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487810 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487820 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487823 */     // GIR_Coverage, 17882,
     /* 1487823 */     GIR_EraseRootFromParent_Done,
     /* 1487824 */   // Label 19785: @1487824
     /* 1487824 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1487906), // Rule ID 17883 //
     /* 1487829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1487849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487868 */     // MIs[0] round
     /* 1487868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487871 */     // MIs[0] policy
     /* 1487871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487881 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1487884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487905 */     // GIR_Coverage, 17883,
     /* 1487905 */     GIR_EraseRootFromParent_Done,
     /* 1487906 */   // Label 19786: @1487906
     /* 1487906 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1487988), // Rule ID 17886 //
     /* 1487911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1487914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1487919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1487931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487950 */     // MIs[0] round
     /* 1487950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1487953 */     // MIs[0] policy
     /* 1487953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487963 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1487966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1487974 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1487976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487984 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487987 */     // GIR_Coverage, 17886,
     /* 1487987 */     GIR_EraseRootFromParent_Done,
     /* 1487988 */   // Label 19787: @1487988
     /* 1487988 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1488070), // Rule ID 17887 //
     /* 1487993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1488004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1488007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1488010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1488013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488032 */     // MIs[0] round
     /* 1488032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488035 */     // MIs[0] policy
     /* 1488035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488045 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1488048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488056 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488069 */     // GIR_Coverage, 17887,
     /* 1488069 */     GIR_EraseRootFromParent_Done,
     /* 1488070 */   // Label 19788: @1488070
     /* 1488070 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1488152), // Rule ID 17890 //
     /* 1488075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1488078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1488092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1488095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488114 */     // MIs[0] round
     /* 1488114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488117 */     // MIs[0] policy
     /* 1488117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488127 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1488130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488151 */     // GIR_Coverage, 17890,
     /* 1488151 */     GIR_EraseRootFromParent_Done,
     /* 1488152 */   // Label 19789: @1488152
     /* 1488152 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1488234), // Rule ID 17891 //
     /* 1488157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1488160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1488168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1488171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1488174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1488177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1488196 */     // MIs[0] round
     /* 1488196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488199 */     // MIs[0] policy
     /* 1488199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488209 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1488212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488233 */     // GIR_Coverage, 17891,
     /* 1488233 */     GIR_EraseRootFromParent_Done,
     /* 1488234 */   // Label 19790: @1488234
     /* 1488234 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1488316), // Rule ID 17894 //
     /* 1488239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1488242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1488259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488278 */     // MIs[0] round
     /* 1488278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488281 */     // MIs[0] policy
     /* 1488281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1488294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488302 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488315 */     // GIR_Coverage, 17894,
     /* 1488315 */     GIR_EraseRootFromParent_Done,
     /* 1488316 */   // Label 19791: @1488316
     /* 1488316 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1488398), // Rule ID 17895 //
     /* 1488321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1488324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1488332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1488335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1488338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1488341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1488360 */     // MIs[0] round
     /* 1488360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488363 */     // MIs[0] policy
     /* 1488363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488373 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1488376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488384 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488397 */     // GIR_Coverage, 17895,
     /* 1488397 */     GIR_EraseRootFromParent_Done,
     /* 1488398 */   // Label 19792: @1488398
     /* 1488398 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1488480), // Rule ID 17898 //
     /* 1488403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1488406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1488423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488442 */     // MIs[0] round
     /* 1488442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488445 */     // MIs[0] policy
     /* 1488445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488455 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1488458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488476 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488479 */     // GIR_Coverage, 17898,
     /* 1488479 */     GIR_EraseRootFromParent_Done,
     /* 1488480 */   // Label 19793: @1488480
     /* 1488480 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1488562), // Rule ID 17899 //
     /* 1488485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1488488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1488505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488524 */     // MIs[0] round
     /* 1488524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488527 */     // MIs[0] policy
     /* 1488527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488537 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1488540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488561 */     // GIR_Coverage, 17899,
     /* 1488561 */     GIR_EraseRootFromParent_Done,
     /* 1488562 */   // Label 19794: @1488562
     /* 1488562 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1488644), // Rule ID 17902 //
     /* 1488567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1488584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1488587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1488602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488606 */     // MIs[0] round
     /* 1488606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488609 */     // MIs[0] policy
     /* 1488609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1488622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488630 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488643 */     // GIR_Coverage, 17902,
     /* 1488643 */     GIR_EraseRootFromParent_Done,
     /* 1488644 */   // Label 19795: @1488644
     /* 1488644 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1488726), // Rule ID 17903 //
     /* 1488649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1488652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1488666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1488669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1488684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488688 */     // MIs[0] round
     /* 1488688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488691 */     // MIs[0] policy
     /* 1488691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488701 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1488704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488712 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488725 */     // GIR_Coverage, 17903,
     /* 1488725 */     GIR_EraseRootFromParent_Done,
     /* 1488726 */   // Label 19796: @1488726
     /* 1488726 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1488808), // Rule ID 17906 //
     /* 1488731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1488734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1488748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1488751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1488766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488770 */     // MIs[0] round
     /* 1488770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488773 */     // MIs[0] policy
     /* 1488773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488783 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1488786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488794 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488807 */     // GIR_Coverage, 17906,
     /* 1488807 */     GIR_EraseRootFromParent_Done,
     /* 1488808 */   // Label 19797: @1488808
     /* 1488808 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1488890), // Rule ID 17907 //
     /* 1488813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1488816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1488830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1488833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1488848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488852 */     // MIs[0] round
     /* 1488852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488855 */     // MIs[0] policy
     /* 1488855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488865 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1488868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488876 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488889 */     // GIR_Coverage, 17907,
     /* 1488889 */     GIR_EraseRootFromParent_Done,
     /* 1488890 */   // Label 19798: @1488890
     /* 1488890 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1488972), // Rule ID 17910 //
     /* 1488895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1488912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1488915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1488930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488934 */     // MIs[0] round
     /* 1488934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1488937 */     // MIs[0] policy
     /* 1488937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488947 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1488950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1488958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1488960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488968 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488971 */     // GIR_Coverage, 17910,
     /* 1488971 */     GIR_EraseRootFromParent_Done,
     /* 1488972 */   // Label 19799: @1488972
     /* 1488972 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1489054), // Rule ID 17911 //
     /* 1488977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1488985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1488994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1488997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1489012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489016 */     // MIs[0] round
     /* 1489016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489019 */     // MIs[0] policy
     /* 1489019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489029 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1489032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489040 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489053 */     // GIR_Coverage, 17911,
     /* 1489053 */     GIR_EraseRootFromParent_Done,
     /* 1489054 */   // Label 19800: @1489054
     /* 1489054 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1489136), // Rule ID 17914 //
     /* 1489059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1489079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489098 */     // MIs[0] round
     /* 1489098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489101 */     // MIs[0] policy
     /* 1489101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489111 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1489114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489132 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489135 */     // GIR_Coverage, 17914,
     /* 1489135 */     GIR_EraseRootFromParent_Done,
     /* 1489136 */   // Label 19801: @1489136
     /* 1489136 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1489218), // Rule ID 17915 //
     /* 1489141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1489152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1489155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1489161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489180 */     // MIs[0] round
     /* 1489180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489183 */     // MIs[0] policy
     /* 1489183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489193 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10848:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1489196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489204 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489217 */     // GIR_Coverage, 17915,
     /* 1489217 */     GIR_EraseRootFromParent_Done,
     /* 1489218 */   // Label 19802: @1489218
     /* 1489218 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1489300), // Rule ID 17918 //
     /* 1489223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1489240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1489243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1489258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489262 */     // MIs[0] round
     /* 1489262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489265 */     // MIs[0] policy
     /* 1489265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489275 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1489278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489299 */     // GIR_Coverage, 17918,
     /* 1489299 */     GIR_EraseRootFromParent_Done,
     /* 1489300 */   // Label 19803: @1489300
     /* 1489300 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1489382), // Rule ID 17919 //
     /* 1489305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1489322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1489325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1489340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489344 */     // MIs[0] round
     /* 1489344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489347 */     // MIs[0] policy
     /* 1489347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489357 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10848:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1489360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489381 */     // GIR_Coverage, 17919,
     /* 1489381 */     GIR_EraseRootFromParent_Done,
     /* 1489382 */   // Label 19804: @1489382
     /* 1489382 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1489464), // Rule ID 17922 //
     /* 1489387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1489390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1489404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1489407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1489422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489426 */     // MIs[0] round
     /* 1489426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489429 */     // MIs[0] policy
     /* 1489429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489439 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1489442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489460 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489463 */     // GIR_Coverage, 17922,
     /* 1489463 */     GIR_EraseRootFromParent_Done,
     /* 1489464 */   // Label 19805: @1489464
     /* 1489464 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1489546), // Rule ID 17923 //
     /* 1489469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1489486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1489489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1489504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489508 */     // MIs[0] round
     /* 1489508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489511 */     // MIs[0] policy
     /* 1489511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489521 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10848:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1489524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489532 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489545 */     // GIR_Coverage, 17923,
     /* 1489545 */     GIR_EraseRootFromParent_Done,
     /* 1489546 */   // Label 19806: @1489546
     /* 1489546 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1489628), // Rule ID 17926 //
     /* 1489551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1489571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489590 */     // MIs[0] round
     /* 1489590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489593 */     // MIs[0] policy
     /* 1489593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1489606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489614 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489624 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489627 */     // GIR_Coverage, 17926,
     /* 1489627 */     GIR_EraseRootFromParent_Done,
     /* 1489628 */   // Label 19807: @1489628
     /* 1489628 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1489710), // Rule ID 17927 //
     /* 1489633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1489653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489672 */     // MIs[0] round
     /* 1489672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489675 */     // MIs[0] policy
     /* 1489675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489685 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1489688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489696 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489709 */     // GIR_Coverage, 17927,
     /* 1489709 */     GIR_EraseRootFromParent_Done,
     /* 1489710 */   // Label 19808: @1489710
     /* 1489710 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1489792), // Rule ID 17930 //
     /* 1489715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1489735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489754 */     // MIs[0] round
     /* 1489754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489757 */     // MIs[0] policy
     /* 1489757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489767 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1489770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489791 */     // GIR_Coverage, 17930,
     /* 1489791 */     GIR_EraseRootFromParent_Done,
     /* 1489792 */   // Label 19809: @1489792
     /* 1489792 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1489874), // Rule ID 17931 //
     /* 1489797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1489817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489836 */     // MIs[0] round
     /* 1489836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489839 */     // MIs[0] policy
     /* 1489839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489849 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1489852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489860 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489873 */     // GIR_Coverage, 17931,
     /* 1489873 */     GIR_EraseRootFromParent_Done,
     /* 1489874 */   // Label 19810: @1489874
     /* 1489874 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1489956), // Rule ID 17934 //
     /* 1489879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1489882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1489899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489918 */     // MIs[0] round
     /* 1489918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1489921 */     // MIs[0] policy
     /* 1489921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489931 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1489934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1489942 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1489944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489955 */     // GIR_Coverage, 17934,
     /* 1489955 */     GIR_EraseRootFromParent_Done,
     /* 1489956 */   // Label 19811: @1489956
     /* 1489956 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1490038), // Rule ID 17935 //
     /* 1489961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1489964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1489969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1489978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1489981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1489996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490000 */     // MIs[0] round
     /* 1490000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490003 */     // MIs[0] policy
     /* 1490003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490013 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1490016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490024 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1490034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490037 */     // GIR_Coverage, 17935,
     /* 1490037 */     GIR_EraseRootFromParent_Done,
     /* 1490038 */   // Label 19812: @1490038
     /* 1490038 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1490120), // Rule ID 17938 //
     /* 1490043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1490054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1490057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1490063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490082 */     // MIs[0] round
     /* 1490082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490085 */     // MIs[0] policy
     /* 1490085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490095 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1490098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490119 */     // GIR_Coverage, 17938,
     /* 1490119 */     GIR_EraseRootFromParent_Done,
     /* 1490120 */   // Label 19813: @1490120
     /* 1490120 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1490202), // Rule ID 17939 //
     /* 1490125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1490136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1490139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1490145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490164 */     // MIs[0] round
     /* 1490164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490167 */     // MIs[0] policy
     /* 1490167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490177 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1490180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490188 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490201 */     // GIR_Coverage, 17939,
     /* 1490201 */     GIR_EraseRootFromParent_Done,
     /* 1490202 */   // Label 19814: @1490202
     /* 1490202 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1490284), // Rule ID 17942 //
     /* 1490207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1490227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490246 */     // MIs[0] round
     /* 1490246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490249 */     // MIs[0] policy
     /* 1490249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490259 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1490262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490270 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490283 */     // GIR_Coverage, 17942,
     /* 1490283 */     GIR_EraseRootFromParent_Done,
     /* 1490284 */   // Label 19815: @1490284
     /* 1490284 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1490366), // Rule ID 17943 //
     /* 1490289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1490309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490328 */     // MIs[0] round
     /* 1490328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490331 */     // MIs[0] policy
     /* 1490331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490341 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1490344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490352 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490365 */     // GIR_Coverage, 17943,
     /* 1490365 */     GIR_EraseRootFromParent_Done,
     /* 1490366 */   // Label 19816: @1490366
     /* 1490366 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1490448), // Rule ID 17946 //
     /* 1490371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1490391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490410 */     // MIs[0] round
     /* 1490410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490413 */     // MIs[0] policy
     /* 1490413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490423 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1490426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490447 */     // GIR_Coverage, 17946,
     /* 1490447 */     GIR_EraseRootFromParent_Done,
     /* 1490448 */   // Label 19817: @1490448
     /* 1490448 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1490530), // Rule ID 17947 //
     /* 1490453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1490470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1490473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1490488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490492 */     // MIs[0] round
     /* 1490492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490495 */     // MIs[0] policy
     /* 1490495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490505 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1490508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490529 */     // GIR_Coverage, 17947,
     /* 1490529 */     GIR_EraseRootFromParent_Done,
     /* 1490530 */   // Label 19818: @1490530
     /* 1490530 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1490612), // Rule ID 17950 //
     /* 1490535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1490555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490574 */     // MIs[0] round
     /* 1490574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490577 */     // MIs[0] policy
     /* 1490577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1490590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490598 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490611 */     // GIR_Coverage, 17950,
     /* 1490611 */     GIR_EraseRootFromParent_Done,
     /* 1490612 */   // Label 19819: @1490612
     /* 1490612 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1490694), // Rule ID 17951 //
     /* 1490617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1490637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490656 */     // MIs[0] round
     /* 1490656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490659 */     // MIs[0] policy
     /* 1490659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490669 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10848:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1490672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490680 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490693 */     // GIR_Coverage, 17951,
     /* 1490693 */     GIR_EraseRootFromParent_Done,
     /* 1490694 */   // Label 19820: @1490694
     /* 1490694 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1490776), // Rule ID 17954 //
     /* 1490699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1490719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490738 */     // MIs[0] round
     /* 1490738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490741 */     // MIs[0] policy
     /* 1490741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490751 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1490754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490775 */     // GIR_Coverage, 17954,
     /* 1490775 */     GIR_EraseRootFromParent_Done,
     /* 1490776 */   // Label 19821: @1490776
     /* 1490776 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1490858), // Rule ID 17955 //
     /* 1490781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1490801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490820 */     // MIs[0] round
     /* 1490820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490823 */     // MIs[0] policy
     /* 1490823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490833 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10848:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1490836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490844 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490857 */     // GIR_Coverage, 17955,
     /* 1490857 */     GIR_EraseRootFromParent_Done,
     /* 1490858 */   // Label 19822: @1490858
     /* 1490858 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1490940), // Rule ID 17958 //
     /* 1490863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1490883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490902 */     // MIs[0] round
     /* 1490902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490905 */     // MIs[0] policy
     /* 1490905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490915 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1490918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1490926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1490928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490939 */     // GIR_Coverage, 17958,
     /* 1490939 */     GIR_EraseRootFromParent_Done,
     /* 1490940 */   // Label 19823: @1490940
     /* 1490940 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1491022), // Rule ID 17959 //
     /* 1490945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1490953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1490962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1490965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1490980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490984 */     // MIs[0] round
     /* 1490984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1490987 */     // MIs[0] policy
     /* 1490987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490997 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10848:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1491000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491008 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491021 */     // GIR_Coverage, 17959,
     /* 1491021 */     GIR_EraseRootFromParent_Done,
     /* 1491022 */   // Label 19824: @1491022
     /* 1491022 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1491104), // Rule ID 17962 //
     /* 1491027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1491047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491066 */     // MIs[0] round
     /* 1491066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491069 */     // MIs[0] policy
     /* 1491069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491079 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1491082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491103 */     // GIR_Coverage, 17962,
     /* 1491103 */     GIR_EraseRootFromParent_Done,
     /* 1491104 */   // Label 19825: @1491104
     /* 1491104 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1491186), // Rule ID 17963 //
     /* 1491109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1491129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491148 */     // MIs[0] round
     /* 1491148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491151 */     // MIs[0] policy
     /* 1491151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491161 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1491164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491185 */     // GIR_Coverage, 17963,
     /* 1491185 */     GIR_EraseRootFromParent_Done,
     /* 1491186 */   // Label 19826: @1491186
     /* 1491186 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1491268), // Rule ID 17966 //
     /* 1491191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1491211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491230 */     // MIs[0] round
     /* 1491230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491233 */     // MIs[0] policy
     /* 1491233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491243 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1491246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491254 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491267 */     // GIR_Coverage, 17966,
     /* 1491267 */     GIR_EraseRootFromParent_Done,
     /* 1491268 */   // Label 19827: @1491268
     /* 1491268 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1491350), // Rule ID 17967 //
     /* 1491273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1491293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491312 */     // MIs[0] round
     /* 1491312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491315 */     // MIs[0] policy
     /* 1491315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491325 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1491328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491336 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491349 */     // GIR_Coverage, 17967,
     /* 1491349 */     GIR_EraseRootFromParent_Done,
     /* 1491350 */   // Label 19828: @1491350
     /* 1491350 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1491432), // Rule ID 17970 //
     /* 1491355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1491375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491394 */     // MIs[0] round
     /* 1491394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491397 */     // MIs[0] policy
     /* 1491397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491407 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1491410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491431 */     // GIR_Coverage, 17970,
     /* 1491431 */     GIR_EraseRootFromParent_Done,
     /* 1491432 */   // Label 19829: @1491432
     /* 1491432 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1491514), // Rule ID 17971 //
     /* 1491437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1491448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1491451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1491454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1491457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491476 */     // MIs[0] round
     /* 1491476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491479 */     // MIs[0] policy
     /* 1491479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491489 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1491492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491500 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491513 */     // GIR_Coverage, 17971,
     /* 1491513 */     GIR_EraseRootFromParent_Done,
     /* 1491514 */   // Label 19830: @1491514
     /* 1491514 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1491596), // Rule ID 17974 //
     /* 1491519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1491522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1491539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491558 */     // MIs[0] round
     /* 1491558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491561 */     // MIs[0] policy
     /* 1491561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491571 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1491574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491595 */     // GIR_Coverage, 17974,
     /* 1491595 */     GIR_EraseRootFromParent_Done,
     /* 1491596 */   // Label 19831: @1491596
     /* 1491596 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1491678), // Rule ID 17975 //
     /* 1491601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1491604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1491612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1491615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1491618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1491621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491640 */     // MIs[0] round
     /* 1491640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491643 */     // MIs[0] policy
     /* 1491643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1491656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491664 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491677 */     // GIR_Coverage, 17975,
     /* 1491677 */     GIR_EraseRootFromParent_Done,
     /* 1491678 */   // Label 19832: @1491678
     /* 1491678 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1491760), // Rule ID 17978 //
     /* 1491683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1491686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1491703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491722 */     // MIs[0] round
     /* 1491722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491725 */     // MIs[0] policy
     /* 1491725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491735 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1491738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491759 */     // GIR_Coverage, 17978,
     /* 1491759 */     GIR_EraseRootFromParent_Done,
     /* 1491760 */   // Label 19833: @1491760
     /* 1491760 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1491842), // Rule ID 17979 //
     /* 1491765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1491768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1491776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1491779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1491782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1491785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491804 */     // MIs[0] round
     /* 1491804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491807 */     // MIs[0] policy
     /* 1491807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1491820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491828 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1491838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491841 */     // GIR_Coverage, 17979,
     /* 1491841 */     GIR_EraseRootFromParent_Done,
     /* 1491842 */   // Label 19834: @1491842
     /* 1491842 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1491924), // Rule ID 17982 //
     /* 1491847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1491850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1491867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491886 */     // MIs[0] round
     /* 1491886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491889 */     // MIs[0] policy
     /* 1491889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491899 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1491902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491910 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491923 */     // GIR_Coverage, 17982,
     /* 1491923 */     GIR_EraseRootFromParent_Done,
     /* 1491924 */   // Label 19835: @1491924
     /* 1491924 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1492006), // Rule ID 17983 //
     /* 1491929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1491932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1491937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1491940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1491943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1491946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1491949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491968 */     // MIs[0] round
     /* 1491968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1491971 */     // MIs[0] policy
     /* 1491971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491981 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1491984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1491992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1491994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492005 */     // GIR_Coverage, 17983,
     /* 1492005 */     GIR_EraseRootFromParent_Done,
     /* 1492006 */   // Label 19836: @1492006
     /* 1492006 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1492088), // Rule ID 17986 //
     /* 1492011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1492031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492050 */     // MIs[0] round
     /* 1492050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492053 */     // MIs[0] policy
     /* 1492053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492063 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1492066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492074 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492087 */     // GIR_Coverage, 17986,
     /* 1492087 */     GIR_EraseRootFromParent_Done,
     /* 1492088 */   // Label 19837: @1492088
     /* 1492088 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1492170), // Rule ID 17987 //
     /* 1492093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1492104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1492107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1492110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1492113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492132 */     // MIs[0] round
     /* 1492132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492135 */     // MIs[0] policy
     /* 1492135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492145 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1492148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492156 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492169 */     // GIR_Coverage, 17987,
     /* 1492169 */     GIR_EraseRootFromParent_Done,
     /* 1492170 */   // Label 19838: @1492170
     /* 1492170 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1492252), // Rule ID 17990 //
     /* 1492175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1492195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492214 */     // MIs[0] round
     /* 1492214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492217 */     // MIs[0] policy
     /* 1492217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492227 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1492230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492238 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492251 */     // GIR_Coverage, 17990,
     /* 1492251 */     GIR_EraseRootFromParent_Done,
     /* 1492252 */   // Label 19839: @1492252
     /* 1492252 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1492334), // Rule ID 17991 //
     /* 1492257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1492268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1492271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1492274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1492277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492296 */     // MIs[0] round
     /* 1492296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492299 */     // MIs[0] policy
     /* 1492299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492309 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1492312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492320 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492333 */     // GIR_Coverage, 17991,
     /* 1492333 */     GIR_EraseRootFromParent_Done,
     /* 1492334 */   // Label 19840: @1492334
     /* 1492334 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1492416), // Rule ID 17994 //
     /* 1492339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1492342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1492359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492378 */     // MIs[0] round
     /* 1492378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492381 */     // MIs[0] policy
     /* 1492381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492391 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1492394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492415 */     // GIR_Coverage, 17994,
     /* 1492415 */     GIR_EraseRootFromParent_Done,
     /* 1492416 */   // Label 19841: @1492416
     /* 1492416 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1492498), // Rule ID 17995 //
     /* 1492421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1492424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1492432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1492435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1492438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1492441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492460 */     // MIs[0] round
     /* 1492460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492463 */     // MIs[0] policy
     /* 1492463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492473 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1492476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492484 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492497 */     // GIR_Coverage, 17995,
     /* 1492497 */     GIR_EraseRootFromParent_Done,
     /* 1492498 */   // Label 19842: @1492498
     /* 1492498 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1492580), // Rule ID 17998 //
     /* 1492503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1492523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492542 */     // MIs[0] round
     /* 1492542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492545 */     // MIs[0] policy
     /* 1492545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492555 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1492558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492566 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492579 */     // GIR_Coverage, 17998,
     /* 1492579 */     GIR_EraseRootFromParent_Done,
     /* 1492580 */   // Label 19843: @1492580
     /* 1492580 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1492662), // Rule ID 17999 //
     /* 1492585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1492596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1492599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1492602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1492605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1492624 */     // MIs[0] round
     /* 1492624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492627 */     // MIs[0] policy
     /* 1492627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492637 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1492640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492661 */     // GIR_Coverage, 17999,
     /* 1492661 */     GIR_EraseRootFromParent_Done,
     /* 1492662 */   // Label 19844: @1492662
     /* 1492662 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1492744), // Rule ID 18002 //
     /* 1492667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1492678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1492681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1492684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1492687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492706 */     // MIs[0] round
     /* 1492706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492709 */     // MIs[0] policy
     /* 1492709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492719 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1492722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492743 */     // GIR_Coverage, 18002,
     /* 1492743 */     GIR_EraseRootFromParent_Done,
     /* 1492744 */   // Label 19845: @1492744
     /* 1492744 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1492826), // Rule ID 18003 //
     /* 1492749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1492760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1492763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1492766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1492769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1492788 */     // MIs[0] round
     /* 1492788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492791 */     // MIs[0] policy
     /* 1492791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492801 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1492804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492812 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492822 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492825 */     // GIR_Coverage, 18003,
     /* 1492825 */     GIR_EraseRootFromParent_Done,
     /* 1492826 */   // Label 19846: @1492826
     /* 1492826 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1492908), // Rule ID 18006 //
     /* 1492831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1492834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1492848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1492851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492870 */     // MIs[0] round
     /* 1492870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492873 */     // MIs[0] policy
     /* 1492873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492883 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1492886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492894 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492907 */     // GIR_Coverage, 18006,
     /* 1492907 */     GIR_EraseRootFromParent_Done,
     /* 1492908 */   // Label 19847: @1492908
     /* 1492908 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1492990), // Rule ID 18007 //
     /* 1492913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1492916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1492921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1492924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1492927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1492930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1492933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1492952 */     // MIs[0] round
     /* 1492952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1492955 */     // MIs[0] policy
     /* 1492955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492965 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1492968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1492972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1492976 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1492978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492989 */     // GIR_Coverage, 18007,
     /* 1492989 */     GIR_EraseRootFromParent_Done,
     /* 1492990 */   // Label 19848: @1492990
     /* 1492990 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1493072), // Rule ID 18010 //
     /* 1492995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1492998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1493015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493034 */     // MIs[0] round
     /* 1493034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493037 */     // MIs[0] policy
     /* 1493037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493047 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1493050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493071 */     // GIR_Coverage, 18010,
     /* 1493071 */     GIR_EraseRootFromParent_Done,
     /* 1493072 */   // Label 19849: @1493072
     /* 1493072 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1493154), // Rule ID 18011 //
     /* 1493077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1493080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1493088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1493091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1493094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1493097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493116 */     // MIs[0] round
     /* 1493116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493119 */     // MIs[0] policy
     /* 1493119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493129 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1493132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493140 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493153 */     // GIR_Coverage, 18011,
     /* 1493153 */     GIR_EraseRootFromParent_Done,
     /* 1493154 */   // Label 19850: @1493154
     /* 1493154 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1493236), // Rule ID 18014 //
     /* 1493159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1493162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1493179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493198 */     // MIs[0] round
     /* 1493198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493201 */     // MIs[0] policy
     /* 1493201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493211 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1493214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493222 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493235 */     // GIR_Coverage, 18014,
     /* 1493235 */     GIR_EraseRootFromParent_Done,
     /* 1493236 */   // Label 19851: @1493236
     /* 1493236 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1493318), // Rule ID 18015 //
     /* 1493241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1493244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1493252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1493255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1493258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1493261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493280 */     // MIs[0] round
     /* 1493280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493283 */     // MIs[0] policy
     /* 1493283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493293 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1493296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493304 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493317 */     // GIR_Coverage, 18015,
     /* 1493317 */     GIR_EraseRootFromParent_Done,
     /* 1493318 */   // Label 19852: @1493318
     /* 1493318 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1493400), // Rule ID 18018 //
     /* 1493323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1493326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1493343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493362 */     // MIs[0] round
     /* 1493362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493365 */     // MIs[0] policy
     /* 1493365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493375 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1493378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493399 */     // GIR_Coverage, 18018,
     /* 1493399 */     GIR_EraseRootFromParent_Done,
     /* 1493400 */   // Label 19853: @1493400
     /* 1493400 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1493482), // Rule ID 18019 //
     /* 1493405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1493408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1493416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1493419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1493422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1493425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493444 */     // MIs[0] round
     /* 1493444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493447 */     // MIs[0] policy
     /* 1493447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493457 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1493460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1493478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493481 */     // GIR_Coverage, 18019,
     /* 1493481 */     GIR_EraseRootFromParent_Done,
     /* 1493482 */   // Label 19854: @1493482
     /* 1493482 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1493564), // Rule ID 18022 //
     /* 1493487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1493504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1493522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493526 */     // MIs[0] round
     /* 1493526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493529 */     // MIs[0] policy
     /* 1493529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493539 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1493542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493550 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493563 */     // GIR_Coverage, 18022,
     /* 1493563 */     GIR_EraseRootFromParent_Done,
     /* 1493564 */   // Label 19855: @1493564
     /* 1493564 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1493646), // Rule ID 18023 //
     /* 1493569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1493580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1493583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1493586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1493589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1493604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493608 */     // MIs[0] round
     /* 1493608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493611 */     // MIs[0] policy
     /* 1493611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493621 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1493624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493632 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493645 */     // GIR_Coverage, 18023,
     /* 1493645 */     GIR_EraseRootFromParent_Done,
     /* 1493646 */   // Label 19856: @1493646
     /* 1493646 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1493728), // Rule ID 18026 //
     /* 1493651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1493668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1493686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493690 */     // MIs[0] round
     /* 1493690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493693 */     // MIs[0] policy
     /* 1493693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493703 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1493706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493727 */     // GIR_Coverage, 18026,
     /* 1493727 */     GIR_EraseRootFromParent_Done,
     /* 1493728 */   // Label 19857: @1493728
     /* 1493728 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1493810), // Rule ID 18027 //
     /* 1493733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1493736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1493744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1493747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1493750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1493753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1493768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493772 */     // MIs[0] round
     /* 1493772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493775 */     // MIs[0] policy
     /* 1493775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493785 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1493788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493806 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493809 */     // GIR_Coverage, 18027,
     /* 1493809 */     GIR_EraseRootFromParent_Done,
     /* 1493810 */   // Label 19858: @1493810
     /* 1493810 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1493892), // Rule ID 18030 //
     /* 1493815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1493818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1493832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1493850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493854 */     // MIs[0] round
     /* 1493854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493857 */     // MIs[0] policy
     /* 1493857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493867 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1493870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493878 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493891 */     // GIR_Coverage, 18030,
     /* 1493891 */     GIR_EraseRootFromParent_Done,
     /* 1493892 */   // Label 19859: @1493892
     /* 1493892 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1493974), // Rule ID 18031 //
     /* 1493897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1493900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1493908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1493911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1493914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1493917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1493932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1493936 */     // MIs[0] round
     /* 1493936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1493939 */     // MIs[0] policy
     /* 1493939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493949 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1493952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1493956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1493960 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1493962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1493970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493973 */     // GIR_Coverage, 18031,
     /* 1493973 */     GIR_EraseRootFromParent_Done,
     /* 1493974 */   // Label 19860: @1493974
     /* 1493974 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1494056), // Rule ID 18034 //
     /* 1493979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1493982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1493987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1493990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1493993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1493996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1493999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494018 */     // MIs[0] round
     /* 1494018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494021 */     // MIs[0] policy
     /* 1494021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494031 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1494034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494042 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494055 */     // GIR_Coverage, 18034,
     /* 1494055 */     GIR_EraseRootFromParent_Done,
     /* 1494056 */   // Label 19861: @1494056
     /* 1494056 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1494138), // Rule ID 18035 //
     /* 1494061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1494072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1494075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1494081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494100 */     // MIs[0] round
     /* 1494100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494103 */     // MIs[0] policy
     /* 1494103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494113 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10879:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1494116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494124 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494137 */     // GIR_Coverage, 18035,
     /* 1494137 */     GIR_EraseRootFromParent_Done,
     /* 1494138 */   // Label 19862: @1494138
     /* 1494138 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1494220), // Rule ID 18038 //
     /* 1494143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1494154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1494157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1494160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1494163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1494178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494182 */     // MIs[0] round
     /* 1494182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494185 */     // MIs[0] policy
     /* 1494185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1494198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494219 */     // GIR_Coverage, 18038,
     /* 1494219 */     GIR_EraseRootFromParent_Done,
     /* 1494220 */   // Label 19863: @1494220
     /* 1494220 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1494302), // Rule ID 18039 //
     /* 1494225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1494228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1494236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1494239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1494242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1494245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1494260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494264 */     // MIs[0] round
     /* 1494264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494267 */     // MIs[0] policy
     /* 1494267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494277 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10879:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1494280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494301 */     // GIR_Coverage, 18039,
     /* 1494301 */     GIR_EraseRootFromParent_Done,
     /* 1494302 */   // Label 19864: @1494302
     /* 1494302 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1494384), // Rule ID 18042 //
     /* 1494307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1494310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1494318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1494324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1494342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494346 */     // MIs[0] round
     /* 1494346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494349 */     // MIs[0] policy
     /* 1494349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494359 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1494362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494370 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494383 */     // GIR_Coverage, 18042,
     /* 1494383 */     GIR_EraseRootFromParent_Done,
     /* 1494384 */   // Label 19865: @1494384
     /* 1494384 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1494466), // Rule ID 18043 //
     /* 1494389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1494392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1494400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1494403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1494406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1494409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1494424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1494428 */     // MIs[0] round
     /* 1494428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494431 */     // MIs[0] policy
     /* 1494431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494441 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10879:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1494444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494452 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494462 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494465 */     // GIR_Coverage, 18043,
     /* 1494465 */     GIR_EraseRootFromParent_Done,
     /* 1494466 */   // Label 19866: @1494466
     /* 1494466 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1494548), // Rule ID 18046 //
     /* 1494471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494510 */     // MIs[0] round
     /* 1494510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494513 */     // MIs[0] policy
     /* 1494513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494523 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1494526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494534 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494547 */     // GIR_Coverage, 18046,
     /* 1494547 */     GIR_EraseRootFromParent_Done,
     /* 1494548 */   // Label 19867: @1494548
     /* 1494548 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1494630), // Rule ID 18047 //
     /* 1494553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1494564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1494567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1494573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494592 */     // MIs[0] round
     /* 1494592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494595 */     // MIs[0] policy
     /* 1494595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494605 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1494608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494629 */     // GIR_Coverage, 18047,
     /* 1494629 */     GIR_EraseRootFromParent_Done,
     /* 1494630 */   // Label 19868: @1494630
     /* 1494630 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1494712), // Rule ID 18050 //
     /* 1494635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494674 */     // MIs[0] round
     /* 1494674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494677 */     // MIs[0] policy
     /* 1494677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494687 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1494690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494698 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494711 */     // GIR_Coverage, 18050,
     /* 1494711 */     GIR_EraseRootFromParent_Done,
     /* 1494712 */   // Label 19869: @1494712
     /* 1494712 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1494794), // Rule ID 18051 //
     /* 1494717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1494728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1494731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1494737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494756 */     // MIs[0] round
     /* 1494756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494759 */     // MIs[0] policy
     /* 1494759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494769 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1494772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494780 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494790 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494793 */     // GIR_Coverage, 18051,
     /* 1494793 */     GIR_EraseRootFromParent_Done,
     /* 1494794 */   // Label 19870: @1494794
     /* 1494794 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1494876), // Rule ID 18054 //
     /* 1494799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1494802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494838 */     // MIs[0] round
     /* 1494838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494841 */     // MIs[0] policy
     /* 1494841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494851 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1494854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494862 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494875 */     // GIR_Coverage, 18054,
     /* 1494875 */     GIR_EraseRootFromParent_Done,
     /* 1494876 */   // Label 19871: @1494876
     /* 1494876 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1494958), // Rule ID 18055 //
     /* 1494881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1494884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1494898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1494901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1494916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494920 */     // MIs[0] round
     /* 1494920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1494923 */     // MIs[0] policy
     /* 1494923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494933 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1494936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1494940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1494944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1494946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494957 */     // GIR_Coverage, 18055,
     /* 1494957 */     GIR_EraseRootFromParent_Done,
     /* 1494958 */   // Label 19872: @1494958
     /* 1494958 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1495040), // Rule ID 18058 //
     /* 1494963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1494966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1494971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1494980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1494983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1494998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495002 */     // MIs[0] round
     /* 1495002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495005 */     // MIs[0] policy
     /* 1495005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495015 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1495018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495026 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495039 */     // GIR_Coverage, 18058,
     /* 1495039 */     GIR_EraseRootFromParent_Done,
     /* 1495040 */   // Label 19873: @1495040
     /* 1495040 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1495122), // Rule ID 18059 //
     /* 1495045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1495056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1495059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1495065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495084 */     // MIs[0] round
     /* 1495084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495087 */     // MIs[0] policy
     /* 1495087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495097 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1495100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495121 */     // GIR_Coverage, 18059,
     /* 1495121 */     GIR_EraseRootFromParent_Done,
     /* 1495122 */   // Label 19874: @1495122
     /* 1495122 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1495204), // Rule ID 18062 //
     /* 1495127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1495147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495166 */     // MIs[0] round
     /* 1495166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495169 */     // MIs[0] policy
     /* 1495169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495179 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1495182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495190 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495203 */     // GIR_Coverage, 18062,
     /* 1495203 */     GIR_EraseRootFromParent_Done,
     /* 1495204 */   // Label 19875: @1495204
     /* 1495204 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1495286), // Rule ID 18063 //
     /* 1495209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1495220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1495223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1495229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495248 */     // MIs[0] round
     /* 1495248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495251 */     // MIs[0] policy
     /* 1495251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495261 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1495264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495285 */     // GIR_Coverage, 18063,
     /* 1495285 */     GIR_EraseRootFromParent_Done,
     /* 1495286 */   // Label 19876: @1495286
     /* 1495286 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1495368), // Rule ID 18066 //
     /* 1495291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1495311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495330 */     // MIs[0] round
     /* 1495330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495333 */     // MIs[0] policy
     /* 1495333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495343 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1495346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495354 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495367 */     // GIR_Coverage, 18066,
     /* 1495367 */     GIR_EraseRootFromParent_Done,
     /* 1495368 */   // Label 19877: @1495368
     /* 1495368 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1495450), // Rule ID 18067 //
     /* 1495373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1495384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1495387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1495390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1495393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1495408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495412 */     // MIs[0] round
     /* 1495412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495415 */     // MIs[0] policy
     /* 1495415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495425 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1495428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495436 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495449 */     // GIR_Coverage, 18067,
     /* 1495449 */     GIR_EraseRootFromParent_Done,
     /* 1495450 */   // Label 19878: @1495450
     /* 1495450 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1495532), // Rule ID 18070 //
     /* 1495455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495494 */     // MIs[0] round
     /* 1495494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495497 */     // MIs[0] policy
     /* 1495497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495507 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1495510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495518 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495531 */     // GIR_Coverage, 18070,
     /* 1495531 */     GIR_EraseRootFromParent_Done,
     /* 1495532 */   // Label 19879: @1495532
     /* 1495532 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1495614), // Rule ID 18071 //
     /* 1495537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1495548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1495551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1495557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1495576 */     // MIs[0] round
     /* 1495576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495579 */     // MIs[0] policy
     /* 1495579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495589 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10879:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1495592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495613 */     // GIR_Coverage, 18071,
     /* 1495613 */     GIR_EraseRootFromParent_Done,
     /* 1495614 */   // Label 19880: @1495614
     /* 1495614 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1495696), // Rule ID 18074 //
     /* 1495619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495658 */     // MIs[0] round
     /* 1495658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495661 */     // MIs[0] policy
     /* 1495661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495671 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1495674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495682 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495695 */     // GIR_Coverage, 18074,
     /* 1495695 */     GIR_EraseRootFromParent_Done,
     /* 1495696 */   // Label 19881: @1495696
     /* 1495696 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1495778), // Rule ID 18075 //
     /* 1495701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1495721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495740 */     // MIs[0] round
     /* 1495740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495743 */     // MIs[0] policy
     /* 1495743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495753 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10879:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1495756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495764 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495774 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495777 */     // GIR_Coverage, 18075,
     /* 1495777 */     GIR_EraseRootFromParent_Done,
     /* 1495778 */   // Label 19882: @1495778
     /* 1495778 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1495860), // Rule ID 18078 //
     /* 1495783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1495786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495822 */     // MIs[0] round
     /* 1495822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495825 */     // MIs[0] policy
     /* 1495825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495835 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1495838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495846 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495859 */     // GIR_Coverage, 18078,
     /* 1495859 */     GIR_EraseRootFromParent_Done,
     /* 1495860 */   // Label 19883: @1495860
     /* 1495860 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1495942), // Rule ID 18079 //
     /* 1495865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1495868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1495873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1495882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1495885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1495900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495904 */     // MIs[0] round
     /* 1495904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495907 */     // MIs[0] policy
     /* 1495907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495917 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10879:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1495920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1495924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1495928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1495930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495941 */     // GIR_Coverage, 18079,
     /* 1495941 */     GIR_EraseRootFromParent_Done,
     /* 1495942 */   // Label 19884: @1495942
     /* 1495942 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1496024), // Rule ID 18082 //
     /* 1495947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1495950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1495955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1495967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495986 */     // MIs[0] round
     /* 1495986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1495989 */     // MIs[0] policy
     /* 1495989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495999 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1496002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496010 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496023 */     // GIR_Coverage, 18082,
     /* 1496023 */     GIR_EraseRootFromParent_Done,
     /* 1496024 */   // Label 19885: @1496024
     /* 1496024 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1496106), // Rule ID 18083 //
     /* 1496029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1496040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1496043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1496046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1496049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496068 */     // MIs[0] round
     /* 1496068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496071 */     // MIs[0] policy
     /* 1496071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496081 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1496084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496092 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496105 */     // GIR_Coverage, 18083,
     /* 1496105 */     GIR_EraseRootFromParent_Done,
     /* 1496106 */   // Label 19886: @1496106
     /* 1496106 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1496188), // Rule ID 18086 //
     /* 1496111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1496128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496150 */     // MIs[0] round
     /* 1496150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496153 */     // MIs[0] policy
     /* 1496153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496163 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1496166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496174 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496187 */     // GIR_Coverage, 18086,
     /* 1496187 */     GIR_EraseRootFromParent_Done,
     /* 1496188 */   // Label 19887: @1496188
     /* 1496188 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1496270), // Rule ID 18087 //
     /* 1496193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1496204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1496207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1496210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1496213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496232 */     // MIs[0] round
     /* 1496232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496235 */     // MIs[0] policy
     /* 1496235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496245 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1496248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496269 */     // GIR_Coverage, 18087,
     /* 1496269 */     GIR_EraseRootFromParent_Done,
     /* 1496270 */   // Label 19888: @1496270
     /* 1496270 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1496352), // Rule ID 18090 //
     /* 1496275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1496292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496314 */     // MIs[0] round
     /* 1496314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496317 */     // MIs[0] policy
     /* 1496317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496327 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1496330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496338 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496351 */     // GIR_Coverage, 18090,
     /* 1496351 */     GIR_EraseRootFromParent_Done,
     /* 1496352 */   // Label 19889: @1496352
     /* 1496352 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1496434), // Rule ID 18091 //
     /* 1496357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1496368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1496371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1496374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1496377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496396 */     // MIs[0] round
     /* 1496396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496399 */     // MIs[0] policy
     /* 1496399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496409 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1496412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496433 */     // GIR_Coverage, 18091,
     /* 1496433 */     GIR_EraseRootFromParent_Done,
     /* 1496434 */   // Label 19890: @1496434
     /* 1496434 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1496516), // Rule ID 18094 //
     /* 1496439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1496456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496478 */     // MIs[0] round
     /* 1496478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496481 */     // MIs[0] policy
     /* 1496481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496491 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1496494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496502 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496515 */     // GIR_Coverage, 18094,
     /* 1496515 */     GIR_EraseRootFromParent_Done,
     /* 1496516 */   // Label 19891: @1496516
     /* 1496516 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1496598), // Rule ID 18095 //
     /* 1496521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1496524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1496532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1496535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1496538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1496541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496560 */     // MIs[0] round
     /* 1496560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496563 */     // MIs[0] policy
     /* 1496563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496573 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1496576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496584 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496597 */     // GIR_Coverage, 18095,
     /* 1496597 */     GIR_EraseRootFromParent_Done,
     /* 1496598 */   // Label 19892: @1496598
     /* 1496598 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1496680), // Rule ID 18098 //
     /* 1496603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496642 */     // MIs[0] round
     /* 1496642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496645 */     // MIs[0] policy
     /* 1496645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496655 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1496658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496666 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496679 */     // GIR_Coverage, 18098,
     /* 1496679 */     GIR_EraseRootFromParent_Done,
     /* 1496680 */   // Label 19893: @1496680
     /* 1496680 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1496762), // Rule ID 18099 //
     /* 1496685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1496705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496724 */     // MIs[0] round
     /* 1496724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496727 */     // MIs[0] policy
     /* 1496727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496737 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1496740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496748 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496761 */     // GIR_Coverage, 18099,
     /* 1496761 */     GIR_EraseRootFromParent_Done,
     /* 1496762 */   // Label 19894: @1496762
     /* 1496762 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1496844), // Rule ID 18102 //
     /* 1496767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496806 */     // MIs[0] round
     /* 1496806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496809 */     // MIs[0] policy
     /* 1496809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496819 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1496822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496843 */     // GIR_Coverage, 18102,
     /* 1496843 */     GIR_EraseRootFromParent_Done,
     /* 1496844 */   // Label 19895: @1496844
     /* 1496844 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1496926), // Rule ID 18103 //
     /* 1496849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1496869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496888 */     // MIs[0] round
     /* 1496888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496891 */     // MIs[0] policy
     /* 1496891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496901 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1496904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496912 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496925 */     // GIR_Coverage, 18103,
     /* 1496925 */     GIR_EraseRootFromParent_Done,
     /* 1496926 */   // Label 19896: @1496926
     /* 1496926 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1497008), // Rule ID 18106 //
     /* 1496931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1496934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1496939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1496948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1496951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496970 */     // MIs[0] round
     /* 1496970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1496973 */     // MIs[0] policy
     /* 1496973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496983 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1496986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1496990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1496994 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1496996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497007 */     // GIR_Coverage, 18106,
     /* 1497007 */     GIR_EraseRootFromParent_Done,
     /* 1497008 */   // Label 19897: @1497008
     /* 1497008 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1497090), // Rule ID 18107 //
     /* 1497013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1497024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1497027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1497030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1497033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497052 */     // MIs[0] round
     /* 1497052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497055 */     // MIs[0] policy
     /* 1497055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497065 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1497068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497076 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497089 */     // GIR_Coverage, 18107,
     /* 1497089 */     GIR_EraseRootFromParent_Done,
     /* 1497090 */   // Label 19898: @1497090
     /* 1497090 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1497172), // Rule ID 18110 //
     /* 1497095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1497112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1497115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497134 */     // MIs[0] round
     /* 1497134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497137 */     // MIs[0] policy
     /* 1497137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497147 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1497150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497158 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497171 */     // GIR_Coverage, 18110,
     /* 1497171 */     GIR_EraseRootFromParent_Done,
     /* 1497172 */   // Label 19899: @1497172
     /* 1497172 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1497254), // Rule ID 18111 //
     /* 1497177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1497188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1497191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1497194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1497197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497216 */     // MIs[0] round
     /* 1497216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497219 */     // MIs[0] policy
     /* 1497219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497229 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1497232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497253 */     // GIR_Coverage, 18111,
     /* 1497253 */     GIR_EraseRootFromParent_Done,
     /* 1497254 */   // Label 19900: @1497254
     /* 1497254 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1497336), // Rule ID 18114 //
     /* 1497259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1497262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1497276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1497279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497298 */     // MIs[0] round
     /* 1497298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497301 */     // MIs[0] policy
     /* 1497301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497311 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1497314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497322 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497335 */     // GIR_Coverage, 18114,
     /* 1497335 */     GIR_EraseRootFromParent_Done,
     /* 1497336 */   // Label 19901: @1497336
     /* 1497336 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1497418), // Rule ID 18115 //
     /* 1497341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1497344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1497352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1497355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1497358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1497361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497380 */     // MIs[0] round
     /* 1497380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497383 */     // MIs[0] policy
     /* 1497383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497393 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1497396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497404 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497417 */     // GIR_Coverage, 18115,
     /* 1497417 */     GIR_EraseRootFromParent_Done,
     /* 1497418 */   // Label 19902: @1497418
     /* 1497418 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1497500), // Rule ID 18118 //
     /* 1497423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497462 */     // MIs[0] round
     /* 1497462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497465 */     // MIs[0] policy
     /* 1497465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497475 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1497478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497486 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497499 */     // GIR_Coverage, 18118,
     /* 1497499 */     GIR_EraseRootFromParent_Done,
     /* 1497500 */   // Label 19903: @1497500
     /* 1497500 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1497582), // Rule ID 18119 //
     /* 1497505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1497525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497544 */     // MIs[0] round
     /* 1497544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497547 */     // MIs[0] policy
     /* 1497547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497557 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1497560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497581 */     // GIR_Coverage, 18119,
     /* 1497581 */     GIR_EraseRootFromParent_Done,
     /* 1497582 */   // Label 19904: @1497582
     /* 1497582 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1497664), // Rule ID 18122 //
     /* 1497587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497626 */     // MIs[0] round
     /* 1497626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497629 */     // MIs[0] policy
     /* 1497629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497639 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1497642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497663 */     // GIR_Coverage, 18122,
     /* 1497663 */     GIR_EraseRootFromParent_Done,
     /* 1497664 */   // Label 19905: @1497664
     /* 1497664 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1497746), // Rule ID 18123 //
     /* 1497669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1497689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497708 */     // MIs[0] round
     /* 1497708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497711 */     // MIs[0] policy
     /* 1497711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497721 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1497724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497732 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497745 */     // GIR_Coverage, 18123,
     /* 1497745 */     GIR_EraseRootFromParent_Done,
     /* 1497746 */   // Label 19906: @1497746
     /* 1497746 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1497828), // Rule ID 18126 //
     /* 1497751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497790 */     // MIs[0] round
     /* 1497790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497793 */     // MIs[0] policy
     /* 1497793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497803 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1497806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497814 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497827 */     // GIR_Coverage, 18126,
     /* 1497827 */     GIR_EraseRootFromParent_Done,
     /* 1497828 */   // Label 19907: @1497828
     /* 1497828 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1497910), // Rule ID 18127 //
     /* 1497833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1497853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497872 */     // MIs[0] round
     /* 1497872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497875 */     // MIs[0] policy
     /* 1497875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497885 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1497888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497909 */     // GIR_Coverage, 18127,
     /* 1497909 */     GIR_EraseRootFromParent_Done,
     /* 1497910 */   // Label 19908: @1497910
     /* 1497910 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1497992), // Rule ID 18130 //
     /* 1497915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1497923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1497932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1497935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497954 */     // MIs[0] round
     /* 1497954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1497957 */     // MIs[0] policy
     /* 1497957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497967 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1497970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1497974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1497978 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1497980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497991 */     // GIR_Coverage, 18130,
     /* 1497991 */     GIR_EraseRootFromParent_Done,
     /* 1497992 */   // Label 19909: @1497992
     /* 1497992 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1498074), // Rule ID 18131 //
     /* 1497997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1498008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1498011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1498014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1498017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498036 */     // MIs[0] round
     /* 1498036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498039 */     // MIs[0] policy
     /* 1498039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498049 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1498052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498060 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498073 */     // GIR_Coverage, 18131,
     /* 1498073 */     GIR_EraseRootFromParent_Done,
     /* 1498074 */   // Label 19910: @1498074
     /* 1498074 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1498156), // Rule ID 18134 //
     /* 1498079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1498096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1498099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498118 */     // MIs[0] round
     /* 1498118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498121 */     // MIs[0] policy
     /* 1498121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498131 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1498134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498142 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498152 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498155 */     // GIR_Coverage, 18134,
     /* 1498155 */     GIR_EraseRootFromParent_Done,
     /* 1498156 */   // Label 19911: @1498156
     /* 1498156 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1498238), // Rule ID 18135 //
     /* 1498161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1498172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1498175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1498178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1498181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1498200 */     // MIs[0] round
     /* 1498200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498203 */     // MIs[0] policy
     /* 1498203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498213 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1498216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498237 */     // GIR_Coverage, 18135,
     /* 1498237 */     GIR_EraseRootFromParent_Done,
     /* 1498238 */   // Label 19912: @1498238
     /* 1498238 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1498320), // Rule ID 18138 //
     /* 1498243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1498263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498282 */     // MIs[0] round
     /* 1498282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498285 */     // MIs[0] policy
     /* 1498285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498295 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1498298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498306 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498319 */     // GIR_Coverage, 18138,
     /* 1498319 */     GIR_EraseRootFromParent_Done,
     /* 1498320 */   // Label 19913: @1498320
     /* 1498320 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1498402), // Rule ID 18139 //
     /* 1498325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1498345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498364 */     // MIs[0] round
     /* 1498364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498367 */     // MIs[0] policy
     /* 1498367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498377 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1498380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498388 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498401 */     // GIR_Coverage, 18139,
     /* 1498401 */     GIR_EraseRootFromParent_Done,
     /* 1498402 */   // Label 19914: @1498402
     /* 1498402 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1498484), // Rule ID 18142 //
     /* 1498407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498446 */     // MIs[0] round
     /* 1498446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498449 */     // MIs[0] policy
     /* 1498449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498459 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1498462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498480 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498483 */     // GIR_Coverage, 18142,
     /* 1498483 */     GIR_EraseRootFromParent_Done,
     /* 1498484 */   // Label 19915: @1498484
     /* 1498484 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1498566), // Rule ID 18143 //
     /* 1498489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1498509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498528 */     // MIs[0] round
     /* 1498528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498531 */     // MIs[0] policy
     /* 1498531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498541 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1498544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498565 */     // GIR_Coverage, 18143,
     /* 1498565 */     GIR_EraseRootFromParent_Done,
     /* 1498566 */   // Label 19916: @1498566
     /* 1498566 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1498648), // Rule ID 18146 //
     /* 1498571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498610 */     // MIs[0] round
     /* 1498610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498613 */     // MIs[0] policy
     /* 1498613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498623 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1498626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498634 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498647 */     // GIR_Coverage, 18146,
     /* 1498647 */     GIR_EraseRootFromParent_Done,
     /* 1498648 */   // Label 19917: @1498648
     /* 1498648 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1498730), // Rule ID 18147 //
     /* 1498653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1498673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498692 */     // MIs[0] round
     /* 1498692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498695 */     // MIs[0] policy
     /* 1498695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498705 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1498708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498729 */     // GIR_Coverage, 18147,
     /* 1498729 */     GIR_EraseRootFromParent_Done,
     /* 1498730 */   // Label 19918: @1498730
     /* 1498730 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1498812), // Rule ID 18150 //
     /* 1498735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1498738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498774 */     // MIs[0] round
     /* 1498774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498777 */     // MIs[0] policy
     /* 1498777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1498790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498798 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498811 */     // GIR_Coverage, 18150,
     /* 1498811 */     GIR_EraseRootFromParent_Done,
     /* 1498812 */   // Label 19919: @1498812
     /* 1498812 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1498894), // Rule ID 18151 //
     /* 1498817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1498820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1498828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1498831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1498834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1498837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1498852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498856 */     // MIs[0] round
     /* 1498856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498859 */     // MIs[0] policy
     /* 1498859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498869 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1498872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1498890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498893 */     // GIR_Coverage, 18151,
     /* 1498893 */     GIR_EraseRootFromParent_Done,
     /* 1498894 */   // Label 19920: @1498894
     /* 1498894 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1498976), // Rule ID 18154 //
     /* 1498899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1498902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1498919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1498934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498938 */     // MIs[0] round
     /* 1498938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1498941 */     // MIs[0] policy
     /* 1498941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1498954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1498958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1498962 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1498964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1498972 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498975 */     // GIR_Coverage, 18154,
     /* 1498975 */     GIR_EraseRootFromParent_Done,
     /* 1498976 */   // Label 19921: @1498976
     /* 1498976 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1499058), // Rule ID 18155 //
     /* 1498981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1498984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1498989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1498998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1499001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499020 */     // MIs[0] round
     /* 1499020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499023 */     // MIs[0] policy
     /* 1499023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499033 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10841:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1499036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499057 */     // GIR_Coverage, 18155,
     /* 1499057 */     GIR_EraseRootFromParent_Done,
     /* 1499058 */   // Label 19922: @1499058
     /* 1499058 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1499140), // Rule ID 18158 //
     /* 1499063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499102 */     // MIs[0] round
     /* 1499102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499105 */     // MIs[0] policy
     /* 1499105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499115 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1499118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499126 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499136 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499139 */     // GIR_Coverage, 18158,
     /* 1499139 */     GIR_EraseRootFromParent_Done,
     /* 1499140 */   // Label 19923: @1499140
     /* 1499140 */   GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(1499222), // Rule ID 18159 //
     /* 1499145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1499165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499184 */     // MIs[0] round
     /* 1499184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499187 */     // MIs[0] policy
     /* 1499187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499197 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10841:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1499200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499208 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499221 */     // GIR_Coverage, 18159,
     /* 1499221 */     GIR_EraseRootFromParent_Done,
     /* 1499222 */   // Label 19924: @1499222
     /* 1499222 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1499304), // Rule ID 18162 //
     /* 1499227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1499230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499266 */     // MIs[0] round
     /* 1499266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499269 */     // MIs[0] policy
     /* 1499269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499279 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1499282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499303 */     // GIR_Coverage, 18162,
     /* 1499303 */     GIR_EraseRootFromParent_Done,
     /* 1499304 */   // Label 19925: @1499304
     /* 1499304 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1499386), // Rule ID 18163 //
     /* 1499309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1499312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1499320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1499323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1499326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1499329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1499344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499348 */     // MIs[0] round
     /* 1499348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499351 */     // MIs[0] policy
     /* 1499351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499361 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10841:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1499364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499372 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1499382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499385 */     // GIR_Coverage, 18163,
     /* 1499385 */     GIR_EraseRootFromParent_Done,
     /* 1499386 */   // Label 19926: @1499386
     /* 1499386 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1499468), // Rule ID 18166 //
     /* 1499391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499430 */     // MIs[0] round
     /* 1499430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499433 */     // MIs[0] policy
     /* 1499433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499443 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1499446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499464 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499467 */     // GIR_Coverage, 18166,
     /* 1499467 */     GIR_EraseRootFromParent_Done,
     /* 1499468 */   // Label 19927: @1499468
     /* 1499468 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1499550), // Rule ID 18167 //
     /* 1499473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1499484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1499487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1499493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499512 */     // MIs[0] round
     /* 1499512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499515 */     // MIs[0] policy
     /* 1499515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499525 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1499528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499536 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499549 */     // GIR_Coverage, 18167,
     /* 1499549 */     GIR_EraseRootFromParent_Done,
     /* 1499550 */   // Label 19928: @1499550
     /* 1499550 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1499632), // Rule ID 18170 //
     /* 1499555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499594 */     // MIs[0] round
     /* 1499594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499597 */     // MIs[0] policy
     /* 1499597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499607 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1499610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499618 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499631 */     // GIR_Coverage, 18170,
     /* 1499631 */     GIR_EraseRootFromParent_Done,
     /* 1499632 */   // Label 19929: @1499632
     /* 1499632 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1499714), // Rule ID 18171 //
     /* 1499637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1499657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499676 */     // MIs[0] round
     /* 1499676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499679 */     // MIs[0] policy
     /* 1499679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499689 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1499692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499700 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499713 */     // GIR_Coverage, 18171,
     /* 1499713 */     GIR_EraseRootFromParent_Done,
     /* 1499714 */   // Label 19930: @1499714
     /* 1499714 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1499796), // Rule ID 18174 //
     /* 1499719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1499722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499758 */     // MIs[0] round
     /* 1499758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499761 */     // MIs[0] policy
     /* 1499761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499771 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1499774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499795 */     // GIR_Coverage, 18174,
     /* 1499795 */     GIR_EraseRootFromParent_Done,
     /* 1499796 */   // Label 19931: @1499796
     /* 1499796 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1499878), // Rule ID 18175 //
     /* 1499801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1499804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1499818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1499821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1499836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499840 */     // MIs[0] round
     /* 1499840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499843 */     // MIs[0] policy
     /* 1499843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499853 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1499856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499877 */     // GIR_Coverage, 18175,
     /* 1499877 */     GIR_EraseRootFromParent_Done,
     /* 1499878 */   // Label 19932: @1499878
     /* 1499878 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1499960), // Rule ID 18178 //
     /* 1499883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1499886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1499918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499922 */     // MIs[0] round
     /* 1499922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1499925 */     // MIs[0] policy
     /* 1499925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499935 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1499938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1499942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1499946 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1499948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1499956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499959 */     // GIR_Coverage, 18178,
     /* 1499959 */     GIR_EraseRootFromParent_Done,
     /* 1499960 */   // Label 19933: @1499960
     /* 1499960 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1500042), // Rule ID 18179 //
     /* 1499965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1499968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1499973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1499982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1499985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500004 */     // MIs[0] round
     /* 1500004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500007 */     // MIs[0] policy
     /* 1500007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500017 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1500020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500028 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500041 */     // GIR_Coverage, 18179,
     /* 1500041 */     GIR_EraseRootFromParent_Done,
     /* 1500042 */   // Label 19934: @1500042
     /* 1500042 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1500124), // Rule ID 18182 //
     /* 1500047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500086 */     // MIs[0] round
     /* 1500086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500089 */     // MIs[0] policy
     /* 1500089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500099 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1500102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500120 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500123 */     // GIR_Coverage, 18182,
     /* 1500123 */     GIR_EraseRootFromParent_Done,
     /* 1500124 */   // Label 19935: @1500124
     /* 1500124 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1500206), // Rule ID 18183 //
     /* 1500129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1500149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500168 */     // MIs[0] round
     /* 1500168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500171 */     // MIs[0] policy
     /* 1500171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500181 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1500184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500192 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500205 */     // GIR_Coverage, 18183,
     /* 1500205 */     GIR_EraseRootFromParent_Done,
     /* 1500206 */   // Label 19936: @1500206
     /* 1500206 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1500288), // Rule ID 18186 //
     /* 1500211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1500214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500250 */     // MIs[0] round
     /* 1500250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500253 */     // MIs[0] policy
     /* 1500253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500263 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1500266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500284 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500287 */     // GIR_Coverage, 18186,
     /* 1500287 */     GIR_EraseRootFromParent_Done,
     /* 1500288 */   // Label 19937: @1500288
     /* 1500288 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1500370), // Rule ID 18187 //
     /* 1500293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1500296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1500310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1500313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1500328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500332 */     // MIs[0] round
     /* 1500332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500335 */     // MIs[0] policy
     /* 1500335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500345 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1500348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500356 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500369 */     // GIR_Coverage, 18187,
     /* 1500369 */     GIR_EraseRootFromParent_Done,
     /* 1500370 */   // Label 19938: @1500370
     /* 1500370 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1500452), // Rule ID 18190 //
     /* 1500375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500414 */     // MIs[0] round
     /* 1500414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500417 */     // MIs[0] policy
     /* 1500417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500427 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1500430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500451 */     // GIR_Coverage, 18190,
     /* 1500451 */     GIR_EraseRootFromParent_Done,
     /* 1500452 */   // Label 19939: @1500452
     /* 1500452 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1500534), // Rule ID 18191 //
     /* 1500457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1500477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500496 */     // MIs[0] round
     /* 1500496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500499 */     // MIs[0] policy
     /* 1500499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500509 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10841:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1500512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500520 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500533 */     // GIR_Coverage, 18191,
     /* 1500533 */     GIR_EraseRootFromParent_Done,
     /* 1500534 */   // Label 19940: @1500534
     /* 1500534 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1500616), // Rule ID 18194 //
     /* 1500539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500578 */     // MIs[0] round
     /* 1500578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500581 */     // MIs[0] policy
     /* 1500581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500591 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1500594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500602 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500612 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500615 */     // GIR_Coverage, 18194,
     /* 1500615 */     GIR_EraseRootFromParent_Done,
     /* 1500616 */   // Label 19941: @1500616
     /* 1500616 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1500698), // Rule ID 18195 //
     /* 1500621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1500641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500660 */     // MIs[0] round
     /* 1500660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500663 */     // MIs[0] policy
     /* 1500663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500673 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10841:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1500676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500684 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500697 */     // GIR_Coverage, 18195,
     /* 1500697 */     GIR_EraseRootFromParent_Done,
     /* 1500698 */   // Label 19942: @1500698
     /* 1500698 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1500780), // Rule ID 18198 //
     /* 1500703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1500706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500742 */     // MIs[0] round
     /* 1500742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500745 */     // MIs[0] policy
     /* 1500745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500755 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1500758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500779 */     // GIR_Coverage, 18198,
     /* 1500779 */     GIR_EraseRootFromParent_Done,
     /* 1500780 */   // Label 19943: @1500780
     /* 1500780 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1500862), // Rule ID 18199 //
     /* 1500785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1500788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1500793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1500802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1500805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1500820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500824 */     // MIs[0] round
     /* 1500824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500827 */     // MIs[0] policy
     /* 1500827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500837 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10841:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1500840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500848 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1500858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500861 */     // GIR_Coverage, 18199,
     /* 1500861 */     GIR_EraseRootFromParent_Done,
     /* 1500862 */   // Label 19944: @1500862
     /* 1500862 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1500944), // Rule ID 18202 //
     /* 1500867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1500870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1500875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500906 */     // MIs[0] round
     /* 1500906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500909 */     // MIs[0] policy
     /* 1500909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500919 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1500922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1500926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1500930 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1500932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500943 */     // GIR_Coverage, 18202,
     /* 1500943 */     GIR_EraseRootFromParent_Done,
     /* 1500944 */   // Label 19945: @1500944
     /* 1500944 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1501026), // Rule ID 18203 //
     /* 1500949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1500952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1500957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1500960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1500963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1500966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1500969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500988 */     // MIs[0] round
     /* 1500988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1500991 */     // MIs[0] policy
     /* 1500991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501001 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1501004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501025 */     // GIR_Coverage, 18203,
     /* 1501025 */     GIR_EraseRootFromParent_Done,
     /* 1501026 */   // Label 19946: @1501026
     /* 1501026 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1501108), // Rule ID 18206 //
     /* 1501031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501070 */     // MIs[0] round
     /* 1501070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501073 */     // MIs[0] policy
     /* 1501073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501083 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1501086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501107 */     // GIR_Coverage, 18206,
     /* 1501107 */     GIR_EraseRootFromParent_Done,
     /* 1501108 */   // Label 19947: @1501108
     /* 1501108 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1501190), // Rule ID 18207 //
     /* 1501113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1501133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501152 */     // MIs[0] round
     /* 1501152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501155 */     // MIs[0] policy
     /* 1501155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501165 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1501168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501176 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501189 */     // GIR_Coverage, 18207,
     /* 1501189 */     GIR_EraseRootFromParent_Done,
     /* 1501190 */   // Label 19948: @1501190
     /* 1501190 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1501272), // Rule ID 18210 //
     /* 1501195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501234 */     // MIs[0] round
     /* 1501234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501237 */     // MIs[0] policy
     /* 1501237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501247 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1501250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501258 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501268 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501271 */     // GIR_Coverage, 18210,
     /* 1501271 */     GIR_EraseRootFromParent_Done,
     /* 1501272 */   // Label 19949: @1501272
     /* 1501272 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1501354), // Rule ID 18211 //
     /* 1501277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1501288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1501291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1501294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1501297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501316 */     // MIs[0] round
     /* 1501316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501319 */     // MIs[0] policy
     /* 1501319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501329 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1501332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501340 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501353 */     // GIR_Coverage, 18211,
     /* 1501353 */     GIR_EraseRootFromParent_Done,
     /* 1501354 */   // Label 19950: @1501354
     /* 1501354 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1501436), // Rule ID 18214 //
     /* 1501359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501398 */     // MIs[0] round
     /* 1501398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501401 */     // MIs[0] policy
     /* 1501401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501411 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1501414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501435 */     // GIR_Coverage, 18214,
     /* 1501435 */     GIR_EraseRootFromParent_Done,
     /* 1501436 */   // Label 19951: @1501436
     /* 1501436 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1501518), // Rule ID 18215 //
     /* 1501441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1501452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1501455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1501458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1501461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501480 */     // MIs[0] round
     /* 1501480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501483 */     // MIs[0] policy
     /* 1501483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501493 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1501496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501504 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501517 */     // GIR_Coverage, 18215,
     /* 1501517 */     GIR_EraseRootFromParent_Done,
     /* 1501518 */   // Label 19952: @1501518
     /* 1501518 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1501600), // Rule ID 18218 //
     /* 1501523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1501526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501562 */     // MIs[0] round
     /* 1501562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501565 */     // MIs[0] policy
     /* 1501565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501575 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1501578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501586 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501596 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501599 */     // GIR_Coverage, 18218,
     /* 1501599 */     GIR_EraseRootFromParent_Done,
     /* 1501600 */   // Label 19953: @1501600
     /* 1501600 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1501682), // Rule ID 18219 //
     /* 1501605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1501608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1501616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1501619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1501622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1501625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501644 */     // MIs[0] round
     /* 1501644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501647 */     // MIs[0] policy
     /* 1501647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501657 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1501660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501681 */     // GIR_Coverage, 18219,
     /* 1501681 */     GIR_EraseRootFromParent_Done,
     /* 1501682 */   // Label 19954: @1501682
     /* 1501682 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1501764), // Rule ID 18222 //
     /* 1501687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1501690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501726 */     // MIs[0] round
     /* 1501726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501729 */     // MIs[0] policy
     /* 1501729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1501742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501750 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501760 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501763 */     // GIR_Coverage, 18222,
     /* 1501763 */     GIR_EraseRootFromParent_Done,
     /* 1501764 */   // Label 19955: @1501764
     /* 1501764 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1501846), // Rule ID 18223 //
     /* 1501769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1501772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1501780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1501783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1501786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1501789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501808 */     // MIs[0] round
     /* 1501808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501811 */     // MIs[0] policy
     /* 1501811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501821 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1501824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1501842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501845 */     // GIR_Coverage, 18223,
     /* 1501845 */     GIR_EraseRootFromParent_Done,
     /* 1501846 */   // Label 19956: @1501846
     /* 1501846 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1501928), // Rule ID 18226 //
     /* 1501851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1501854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1501868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501890 */     // MIs[0] round
     /* 1501890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501893 */     // MIs[0] policy
     /* 1501893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501903 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1501906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501914 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501927 */     // GIR_Coverage, 18226,
     /* 1501927 */     GIR_EraseRootFromParent_Done,
     /* 1501928 */   // Label 19957: @1501928
     /* 1501928 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1502010), // Rule ID 18227 //
     /* 1501933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1501936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1501941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1501944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1501947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1501950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1501953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1501972 */     // MIs[0] round
     /* 1501972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1501975 */     // MIs[0] policy
     /* 1501975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501985 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1501988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1501992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1501996 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1501998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502009 */     // GIR_Coverage, 18227,
     /* 1502009 */     GIR_EraseRootFromParent_Done,
     /* 1502010 */   // Label 19958: @1502010
     /* 1502010 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1502092), // Rule ID 18230 //
     /* 1502015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502054 */     // MIs[0] round
     /* 1502054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502057 */     // MIs[0] policy
     /* 1502057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502067 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1502070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502091 */     // GIR_Coverage, 18230,
     /* 1502091 */     GIR_EraseRootFromParent_Done,
     /* 1502092 */   // Label 19959: @1502092
     /* 1502092 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1502174), // Rule ID 18231 //
     /* 1502097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1502108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1502111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1502114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1502117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502136 */     // MIs[0] round
     /* 1502136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502139 */     // MIs[0] policy
     /* 1502139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502149 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1502152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502160 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502173 */     // GIR_Coverage, 18231,
     /* 1502173 */     GIR_EraseRootFromParent_Done,
     /* 1502174 */   // Label 19960: @1502174
     /* 1502174 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1502256), // Rule ID 18234 //
     /* 1502179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1502182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502218 */     // MIs[0] round
     /* 1502218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502221 */     // MIs[0] policy
     /* 1502221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502231 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1502234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502242 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502252 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502255 */     // GIR_Coverage, 18234,
     /* 1502255 */     GIR_EraseRootFromParent_Done,
     /* 1502256 */   // Label 19961: @1502256
     /* 1502256 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1502338), // Rule ID 18235 //
     /* 1502261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1502264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1502272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1502275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1502278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1502281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502300 */     // MIs[0] round
     /* 1502300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502303 */     // MIs[0] policy
     /* 1502303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502313 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1502316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502324 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502337 */     // GIR_Coverage, 18235,
     /* 1502337 */     GIR_EraseRootFromParent_Done,
     /* 1502338 */   // Label 19962: @1502338
     /* 1502338 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1502420), // Rule ID 18238 //
     /* 1502343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502382 */     // MIs[0] round
     /* 1502382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502385 */     // MIs[0] policy
     /* 1502385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502395 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1502398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502419 */     // GIR_Coverage, 18238,
     /* 1502419 */     GIR_EraseRootFromParent_Done,
     /* 1502420 */   // Label 19963: @1502420
     /* 1502420 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1502502), // Rule ID 18239 //
     /* 1502425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1502436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1502439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1502442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1502445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502464 */     // MIs[0] round
     /* 1502464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502467 */     // MIs[0] policy
     /* 1502467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502477 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1502480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502501 */     // GIR_Coverage, 18239,
     /* 1502501 */     GIR_EraseRootFromParent_Done,
     /* 1502502 */   // Label 19964: @1502502
     /* 1502502 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1502584), // Rule ID 18242 //
     /* 1502507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502546 */     // MIs[0] round
     /* 1502546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502549 */     // MIs[0] policy
     /* 1502549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502559 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1502562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502570 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502580 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502583 */     // GIR_Coverage, 18242,
     /* 1502583 */     GIR_EraseRootFromParent_Done,
     /* 1502584 */   // Label 19965: @1502584
     /* 1502584 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1502666), // Rule ID 18243 //
     /* 1502589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1502600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1502603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1502606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1502609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1502628 */     // MIs[0] round
     /* 1502628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502631 */     // MIs[0] policy
     /* 1502631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502641 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1502644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502665 */     // GIR_Coverage, 18243,
     /* 1502665 */     GIR_EraseRootFromParent_Done,
     /* 1502666 */   // Label 19966: @1502666
     /* 1502666 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1502748), // Rule ID 18246 //
     /* 1502671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1502674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1502688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502710 */     // MIs[0] round
     /* 1502710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502713 */     // MIs[0] policy
     /* 1502713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502723 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1502726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502744 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502747 */     // GIR_Coverage, 18246,
     /* 1502747 */     GIR_EraseRootFromParent_Done,
     /* 1502748 */   // Label 19967: @1502748
     /* 1502748 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1502830), // Rule ID 18247 //
     /* 1502753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1502756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1502764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1502767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1502770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1502773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1502792 */     // MIs[0] round
     /* 1502792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502795 */     // MIs[0] policy
     /* 1502795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502805 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1502808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502829 */     // GIR_Coverage, 18247,
     /* 1502829 */     GIR_EraseRootFromParent_Done,
     /* 1502830 */   // Label 19968: @1502830
     /* 1502830 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1502912), // Rule ID 18250 //
     /* 1502835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1502838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1502852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502874 */     // MIs[0] round
     /* 1502874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502877 */     // MIs[0] policy
     /* 1502877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502887 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1502890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502911 */     // GIR_Coverage, 18250,
     /* 1502911 */     GIR_EraseRootFromParent_Done,
     /* 1502912 */   // Label 19969: @1502912
     /* 1502912 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1502994), // Rule ID 18251 //
     /* 1502917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1502920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1502925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1502928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1502931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1502934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1502937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1502956 */     // MIs[0] round
     /* 1502956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1502959 */     // MIs[0] policy
     /* 1502959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502969 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1502972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1502976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1502980 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1502982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502993 */     // GIR_Coverage, 18251,
     /* 1502993 */     GIR_EraseRootFromParent_Done,
     /* 1502994 */   // Label 19970: @1502994
     /* 1502994 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1503076), // Rule ID 18254 //
     /* 1502999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503038 */     // MIs[0] round
     /* 1503038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503041 */     // MIs[0] policy
     /* 1503041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503051 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1503054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503075 */     // GIR_Coverage, 18254,
     /* 1503075 */     GIR_EraseRootFromParent_Done,
     /* 1503076 */   // Label 19971: @1503076
     /* 1503076 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1503158), // Rule ID 18255 //
     /* 1503081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1503092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1503095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1503098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1503101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503120 */     // MIs[0] round
     /* 1503120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503123 */     // MIs[0] policy
     /* 1503123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503133 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1503136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503144 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503157 */     // GIR_Coverage, 18255,
     /* 1503157 */     GIR_EraseRootFromParent_Done,
     /* 1503158 */   // Label 19972: @1503158
     /* 1503158 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1503240), // Rule ID 18258 //
     /* 1503163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1503166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503202 */     // MIs[0] round
     /* 1503202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503205 */     // MIs[0] policy
     /* 1503205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1503218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503226 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503239 */     // GIR_Coverage, 18258,
     /* 1503239 */     GIR_EraseRootFromParent_Done,
     /* 1503240 */   // Label 19973: @1503240
     /* 1503240 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1503322), // Rule ID 18259 //
     /* 1503245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1503248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1503256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1503259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1503262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1503265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503284 */     // MIs[0] round
     /* 1503284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503287 */     // MIs[0] policy
     /* 1503287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503297 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1503300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503308 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503321 */     // GIR_Coverage, 18259,
     /* 1503321 */     GIR_EraseRootFromParent_Done,
     /* 1503322 */   // Label 19974: @1503322
     /* 1503322 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1503404), // Rule ID 18262 //
     /* 1503327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503366 */     // MIs[0] round
     /* 1503366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503369 */     // MIs[0] policy
     /* 1503369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503379 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1503382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503403 */     // GIR_Coverage, 18262,
     /* 1503403 */     GIR_EraseRootFromParent_Done,
     /* 1503404 */   // Label 19975: @1503404
     /* 1503404 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1503486), // Rule ID 18263 //
     /* 1503409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1503420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1503423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1503429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503448 */     // MIs[0] round
     /* 1503448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503451 */     // MIs[0] policy
     /* 1503451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503461 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1503464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503485 */     // GIR_Coverage, 18263,
     /* 1503485 */     GIR_EraseRootFromParent_Done,
     /* 1503486 */   // Label 19976: @1503486
     /* 1503486 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1503568), // Rule ID 18266 //
     /* 1503491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503530 */     // MIs[0] round
     /* 1503530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503533 */     // MIs[0] policy
     /* 1503533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1503546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503554 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503564 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503567 */     // GIR_Coverage, 18266,
     /* 1503567 */     GIR_EraseRootFromParent_Done,
     /* 1503568 */   // Label 19977: @1503568
     /* 1503568 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1503650), // Rule ID 18267 //
     /* 1503573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1503584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1503587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1503593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503612 */     // MIs[0] round
     /* 1503612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503615 */     // MIs[0] policy
     /* 1503615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503625 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1503628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503636 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503649 */     // GIR_Coverage, 18267,
     /* 1503649 */     GIR_EraseRootFromParent_Done,
     /* 1503650 */   // Label 19978: @1503650
     /* 1503650 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1503732), // Rule ID 18270 //
     /* 1503655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503694 */     // MIs[0] round
     /* 1503694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503697 */     // MIs[0] policy
     /* 1503697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503707 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1503710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503731 */     // GIR_Coverage, 18270,
     /* 1503731 */     GIR_EraseRootFromParent_Done,
     /* 1503732 */   // Label 19979: @1503732
     /* 1503732 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1503814), // Rule ID 18271 //
     /* 1503737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1503740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1503748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1503751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1503754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1503757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1503772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503776 */     // MIs[0] round
     /* 1503776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503779 */     // MIs[0] policy
     /* 1503779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503789 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1503792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503800 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1503810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503813 */     // GIR_Coverage, 18271,
     /* 1503813 */     GIR_EraseRootFromParent_Done,
     /* 1503814 */   // Label 19980: @1503814
     /* 1503814 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1503896), // Rule ID 18274 //
     /* 1503819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1503822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503858 */     // MIs[0] round
     /* 1503858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503861 */     // MIs[0] policy
     /* 1503861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503871 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1503874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503882 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503895 */     // GIR_Coverage, 18274,
     /* 1503895 */     GIR_EraseRootFromParent_Done,
     /* 1503896 */   // Label 19981: @1503896
     /* 1503896 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1503978), // Rule ID 18275 //
     /* 1503901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1503904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1503912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1503915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1503918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1503921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1503936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1503940 */     // MIs[0] round
     /* 1503940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1503943 */     // MIs[0] policy
     /* 1503943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503953 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10877:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1503956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1503960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1503964 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1503966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503977 */     // GIR_Coverage, 18275,
     /* 1503977 */     GIR_EraseRootFromParent_Done,
     /* 1503978 */   // Label 19982: @1503978
     /* 1503978 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1504060), // Rule ID 18278 //
     /* 1503983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1503986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1503991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1503994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1503997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504022 */     // MIs[0] round
     /* 1504022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504025 */     // MIs[0] policy
     /* 1504025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504035 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1504038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504059 */     // GIR_Coverage, 18278,
     /* 1504059 */     GIR_EraseRootFromParent_Done,
     /* 1504060 */   // Label 19983: @1504060
     /* 1504060 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1504142), // Rule ID 18279 //
     /* 1504065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1504076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1504079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1504085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504104 */     // MIs[0] round
     /* 1504104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504107 */     // MIs[0] policy
     /* 1504107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504117 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10877:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1504120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504128 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504141 */     // GIR_Coverage, 18279,
     /* 1504141 */     GIR_EraseRootFromParent_Done,
     /* 1504142 */   // Label 19984: @1504142
     /* 1504142 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1504224), // Rule ID 18282 //
     /* 1504147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1504150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504186 */     // MIs[0] round
     /* 1504186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504189 */     // MIs[0] policy
     /* 1504189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504199 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1504202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504210 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504223 */     // GIR_Coverage, 18282,
     /* 1504223 */     GIR_EraseRootFromParent_Done,
     /* 1504224 */   // Label 19985: @1504224
     /* 1504224 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1504306), // Rule ID 18283 //
     /* 1504229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1504232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1504240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1504243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1504246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1504249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1504264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1504268 */     // MIs[0] round
     /* 1504268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504271 */     // MIs[0] policy
     /* 1504271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504281 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10877:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1504284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504305 */     // GIR_Coverage, 18283,
     /* 1504305 */     GIR_EraseRootFromParent_Done,
     /* 1504306 */   // Label 19986: @1504306
     /* 1504306 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1504388), // Rule ID 18286 //
     /* 1504311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504350 */     // MIs[0] round
     /* 1504350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504353 */     // MIs[0] policy
     /* 1504353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504363 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1504366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504374 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504387 */     // GIR_Coverage, 18286,
     /* 1504387 */     GIR_EraseRootFromParent_Done,
     /* 1504388 */   // Label 19987: @1504388
     /* 1504388 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1504470), // Rule ID 18287 //
     /* 1504393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1504404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1504407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1504413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504432 */     // MIs[0] round
     /* 1504432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504435 */     // MIs[0] policy
     /* 1504435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504445 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1504448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504456 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504469 */     // GIR_Coverage, 18287,
     /* 1504469 */     GIR_EraseRootFromParent_Done,
     /* 1504470 */   // Label 19988: @1504470
     /* 1504470 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1504552), // Rule ID 18290 //
     /* 1504475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504514 */     // MIs[0] round
     /* 1504514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504517 */     // MIs[0] policy
     /* 1504517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504527 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1504530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504538 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504551 */     // GIR_Coverage, 18290,
     /* 1504551 */     GIR_EraseRootFromParent_Done,
     /* 1504552 */   // Label 19989: @1504552
     /* 1504552 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1504634), // Rule ID 18291 //
     /* 1504557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1504568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1504571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1504577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504596 */     // MIs[0] round
     /* 1504596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504599 */     // MIs[0] policy
     /* 1504599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504609 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1504612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504633 */     // GIR_Coverage, 18291,
     /* 1504633 */     GIR_EraseRootFromParent_Done,
     /* 1504634 */   // Label 19990: @1504634
     /* 1504634 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1504716), // Rule ID 18294 //
     /* 1504639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1504642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504678 */     // MIs[0] round
     /* 1504678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504681 */     // MIs[0] policy
     /* 1504681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504691 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1504694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504715 */     // GIR_Coverage, 18294,
     /* 1504715 */     GIR_EraseRootFromParent_Done,
     /* 1504716 */   // Label 19991: @1504716
     /* 1504716 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1504798), // Rule ID 18295 //
     /* 1504721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1504724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1504738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1504741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1504756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504760 */     // MIs[0] round
     /* 1504760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504763 */     // MIs[0] policy
     /* 1504763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504773 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1504776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504784 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504797 */     // GIR_Coverage, 18295,
     /* 1504797 */     GIR_EraseRootFromParent_Done,
     /* 1504798 */   // Label 19992: @1504798
     /* 1504798 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1504880), // Rule ID 18298 //
     /* 1504803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504842 */     // MIs[0] round
     /* 1504842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504845 */     // MIs[0] policy
     /* 1504845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504855 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1504858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504866 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504879 */     // GIR_Coverage, 18298,
     /* 1504879 */     GIR_EraseRootFromParent_Done,
     /* 1504880 */   // Label 19993: @1504880
     /* 1504880 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1504962), // Rule ID 18299 //
     /* 1504885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1504888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1504905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1504920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504924 */     // MIs[0] round
     /* 1504924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1504927 */     // MIs[0] policy
     /* 1504927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504937 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1504940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1504944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1504948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1504950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504961 */     // GIR_Coverage, 18299,
     /* 1504961 */     GIR_EraseRootFromParent_Done,
     /* 1504962 */   // Label 19994: @1504962
     /* 1504962 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1505044), // Rule ID 18302 //
     /* 1504967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1504970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1504975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1504984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1504987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505006 */     // MIs[0] round
     /* 1505006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505009 */     // MIs[0] policy
     /* 1505009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505019 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1505022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505030 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505043 */     // GIR_Coverage, 18302,
     /* 1505043 */     GIR_EraseRootFromParent_Done,
     /* 1505044 */   // Label 19995: @1505044
     /* 1505044 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1505126), // Rule ID 18303 //
     /* 1505049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1505060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1505063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1505069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505088 */     // MIs[0] round
     /* 1505088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505091 */     // MIs[0] policy
     /* 1505091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505101 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1505104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505125 */     // GIR_Coverage, 18303,
     /* 1505125 */     GIR_EraseRootFromParent_Done,
     /* 1505126 */   // Label 19996: @1505126
     /* 1505126 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1505208), // Rule ID 18306 //
     /* 1505131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1505134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505170 */     // MIs[0] round
     /* 1505170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505173 */     // MIs[0] policy
     /* 1505173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505183 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1505186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505207 */     // GIR_Coverage, 18306,
     /* 1505207 */     GIR_EraseRootFromParent_Done,
     /* 1505208 */   // Label 19997: @1505208
     /* 1505208 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1505290), // Rule ID 18307 //
     /* 1505213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1505216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1505224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1505227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1505230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1505233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1505248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505252 */     // MIs[0] round
     /* 1505252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505255 */     // MIs[0] policy
     /* 1505255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505265 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1505268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1505286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505289 */     // GIR_Coverage, 18307,
     /* 1505289 */     GIR_EraseRootFromParent_Done,
     /* 1505290 */   // Label 19998: @1505290
     /* 1505290 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1505372), // Rule ID 18310 //
     /* 1505295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505334 */     // MIs[0] round
     /* 1505334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505337 */     // MIs[0] policy
     /* 1505337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505347 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1505350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505358 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505371 */     // GIR_Coverage, 18310,
     /* 1505371 */     GIR_EraseRootFromParent_Done,
     /* 1505372 */   // Label 19999: @1505372
     /* 1505372 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1505454), // Rule ID 18311 //
     /* 1505377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1505388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1505391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1505397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1505416 */     // MIs[0] round
     /* 1505416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505419 */     // MIs[0] policy
     /* 1505419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505429 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10877:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1505432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505440 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505453 */     // GIR_Coverage, 18311,
     /* 1505453 */     GIR_EraseRootFromParent_Done,
     /* 1505454 */   // Label 20000: @1505454
     /* 1505454 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1505536), // Rule ID 18314 //
     /* 1505459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505498 */     // MIs[0] round
     /* 1505498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505501 */     // MIs[0] policy
     /* 1505501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505511 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1505514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505535 */     // GIR_Coverage, 18314,
     /* 1505535 */     GIR_EraseRootFromParent_Done,
     /* 1505536 */   // Label 20001: @1505536
     /* 1505536 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1505618), // Rule ID 18315 //
     /* 1505541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1505561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505580 */     // MIs[0] round
     /* 1505580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505583 */     // MIs[0] policy
     /* 1505583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505593 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10877:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1505596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505617 */     // GIR_Coverage, 18315,
     /* 1505617 */     GIR_EraseRootFromParent_Done,
     /* 1505618 */   // Label 20002: @1505618
     /* 1505618 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1505700), // Rule ID 18318 //
     /* 1505623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1505626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505662 */     // MIs[0] round
     /* 1505662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505665 */     // MIs[0] policy
     /* 1505665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505675 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1505678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505686 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505699 */     // GIR_Coverage, 18318,
     /* 1505699 */     GIR_EraseRootFromParent_Done,
     /* 1505700 */   // Label 20003: @1505700
     /* 1505700 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1505782), // Rule ID 18319 //
     /* 1505705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1505708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1505713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1505722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1505725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1505740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505744 */     // MIs[0] round
     /* 1505744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505747 */     // MIs[0] policy
     /* 1505747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505757 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10877:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1505760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505768 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505781 */     // GIR_Coverage, 18319,
     /* 1505781 */     GIR_EraseRootFromParent_Done,
     /* 1505782 */   // Label 20004: @1505782
     /* 1505782 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1505864), // Rule ID 18322 //
     /* 1505787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1505795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505826 */     // MIs[0] round
     /* 1505826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505829 */     // MIs[0] policy
     /* 1505829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505839 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1505842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505850 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505863 */     // GIR_Coverage, 18322,
     /* 1505863 */     GIR_EraseRootFromParent_Done,
     /* 1505864 */   // Label 20005: @1505864
     /* 1505864 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1505946), // Rule ID 18323 //
     /* 1505869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1505877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505908 */     // MIs[0] round
     /* 1505908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505911 */     // MIs[0] policy
     /* 1505911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505921 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1505924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505942 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505945 */     // GIR_Coverage, 18323,
     /* 1505945 */     GIR_EraseRootFromParent_Done,
     /* 1505946 */   // Label 20006: @1505946
     /* 1505946 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1506028), // Rule ID 18326 //
     /* 1505951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1505959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1505968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505990 */     // MIs[0] round
     /* 1505990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505993 */     // MIs[0] policy
     /* 1505993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1506006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506027 */     // GIR_Coverage, 18326,
     /* 1506027 */     GIR_EraseRootFromParent_Done,
     /* 1506028 */   // Label 20007: @1506028
     /* 1506028 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1506110), // Rule ID 18327 //
     /* 1506033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1506044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1506047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1506050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1506053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506072 */     // MIs[0] round
     /* 1506072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506075 */     // MIs[0] policy
     /* 1506075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506085 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1506088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506096 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506109 */     // GIR_Coverage, 18327,
     /* 1506109 */     GIR_EraseRootFromParent_Done,
     /* 1506110 */   // Label 20008: @1506110
     /* 1506110 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1506192), // Rule ID 18330 //
     /* 1506115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506154 */     // MIs[0] round
     /* 1506154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506157 */     // MIs[0] policy
     /* 1506157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506167 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1506170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506178 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506191 */     // GIR_Coverage, 18330,
     /* 1506191 */     GIR_EraseRootFromParent_Done,
     /* 1506192 */   // Label 20009: @1506192
     /* 1506192 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1506274), // Rule ID 18331 //
     /* 1506197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506236 */     // MIs[0] round
     /* 1506236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506239 */     // MIs[0] policy
     /* 1506239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506249 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1506252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506273 */     // GIR_Coverage, 18331,
     /* 1506273 */     GIR_EraseRootFromParent_Done,
     /* 1506274 */   // Label 20010: @1506274
     /* 1506274 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1506356), // Rule ID 18334 //
     /* 1506279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506318 */     // MIs[0] round
     /* 1506318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506321 */     // MIs[0] policy
     /* 1506321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506331 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1506334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506342 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506355 */     // GIR_Coverage, 18334,
     /* 1506355 */     GIR_EraseRootFromParent_Done,
     /* 1506356 */   // Label 20011: @1506356
     /* 1506356 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1506438), // Rule ID 18335 //
     /* 1506361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506400 */     // MIs[0] round
     /* 1506400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506403 */     // MIs[0] policy
     /* 1506403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506413 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1506416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506424 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506437 */     // GIR_Coverage, 18335,
     /* 1506437 */     GIR_EraseRootFromParent_Done,
     /* 1506438 */   // Label 20012: @1506438
     /* 1506438 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1506520), // Rule ID 18338 //
     /* 1506443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506482 */     // MIs[0] round
     /* 1506482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506485 */     // MIs[0] policy
     /* 1506485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506495 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1506498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506506 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506519 */     // GIR_Coverage, 18338,
     /* 1506519 */     GIR_EraseRootFromParent_Done,
     /* 1506520 */   // Label 20013: @1506520
     /* 1506520 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1506602), // Rule ID 18339 //
     /* 1506525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506564 */     // MIs[0] round
     /* 1506564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506567 */     // MIs[0] policy
     /* 1506567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1506580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506601 */     // GIR_Coverage, 18339,
     /* 1506601 */     GIR_EraseRootFromParent_Done,
     /* 1506602 */   // Label 20014: @1506602
     /* 1506602 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1506684), // Rule ID 18342 //
     /* 1506607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506646 */     // MIs[0] round
     /* 1506646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506649 */     // MIs[0] policy
     /* 1506649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506659 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1506662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506670 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506683 */     // GIR_Coverage, 18342,
     /* 1506683 */     GIR_EraseRootFromParent_Done,
     /* 1506684 */   // Label 20015: @1506684
     /* 1506684 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1506766), // Rule ID 18343 //
     /* 1506689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506728 */     // MIs[0] round
     /* 1506728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506731 */     // MIs[0] policy
     /* 1506731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506741 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1506744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506752 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506765 */     // GIR_Coverage, 18343,
     /* 1506765 */     GIR_EraseRootFromParent_Done,
     /* 1506766 */   // Label 20016: @1506766
     /* 1506766 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1506848), // Rule ID 18346 //
     /* 1506771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506810 */     // MIs[0] round
     /* 1506810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506813 */     // MIs[0] policy
     /* 1506813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506823 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1506826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506847 */     // GIR_Coverage, 18346,
     /* 1506847 */     GIR_EraseRootFromParent_Done,
     /* 1506848 */   // Label 20017: @1506848
     /* 1506848 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1506930), // Rule ID 18347 //
     /* 1506853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506892 */     // MIs[0] round
     /* 1506892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506895 */     // MIs[0] policy
     /* 1506895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506905 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1506908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506929 */     // GIR_Coverage, 18347,
     /* 1506929 */     GIR_EraseRootFromParent_Done,
     /* 1506930 */   // Label 20018: @1506930
     /* 1506930 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1507012), // Rule ID 18350 //
     /* 1506935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1506943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1506952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506974 */     // MIs[0] round
     /* 1506974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506977 */     // MIs[0] policy
     /* 1506977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506987 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1506990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506998 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507011 */     // GIR_Coverage, 18350,
     /* 1507011 */     GIR_EraseRootFromParent_Done,
     /* 1507012 */   // Label 20019: @1507012
     /* 1507012 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1507094), // Rule ID 18351 //
     /* 1507017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1507028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1507031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1507034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1507037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507056 */     // MIs[0] round
     /* 1507056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507059 */     // MIs[0] policy
     /* 1507059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507069 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1507072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507080 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507093 */     // GIR_Coverage, 18351,
     /* 1507093 */     GIR_EraseRootFromParent_Done,
     /* 1507094 */   // Label 20020: @1507094
     /* 1507094 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1507176), // Rule ID 18354 //
     /* 1507099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507138 */     // MIs[0] round
     /* 1507138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507141 */     // MIs[0] policy
     /* 1507141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507151 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1507154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507162 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507175 */     // GIR_Coverage, 18354,
     /* 1507175 */     GIR_EraseRootFromParent_Done,
     /* 1507176 */   // Label 20021: @1507176
     /* 1507176 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1507258), // Rule ID 18355 //
     /* 1507181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507220 */     // MIs[0] round
     /* 1507220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507223 */     // MIs[0] policy
     /* 1507223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507233 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1507236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507244 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507257 */     // GIR_Coverage, 18355,
     /* 1507257 */     GIR_EraseRootFromParent_Done,
     /* 1507258 */   // Label 20022: @1507258
     /* 1507258 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1507340), // Rule ID 18358 //
     /* 1507263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507302 */     // MIs[0] round
     /* 1507302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507305 */     // MIs[0] policy
     /* 1507305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507315 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1507318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507339 */     // GIR_Coverage, 18358,
     /* 1507339 */     GIR_EraseRootFromParent_Done,
     /* 1507340 */   // Label 20023: @1507340
     /* 1507340 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1507422), // Rule ID 18359 //
     /* 1507345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507384 */     // MIs[0] round
     /* 1507384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507387 */     // MIs[0] policy
     /* 1507387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507397 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1507400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507408 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507421 */     // GIR_Coverage, 18359,
     /* 1507421 */     GIR_EraseRootFromParent_Done,
     /* 1507422 */   // Label 20024: @1507422
     /* 1507422 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1507504), // Rule ID 18362 //
     /* 1507427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507466 */     // MIs[0] round
     /* 1507466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507469 */     // MIs[0] policy
     /* 1507469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507479 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1507482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507490 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507503 */     // GIR_Coverage, 18362,
     /* 1507503 */     GIR_EraseRootFromParent_Done,
     /* 1507504 */   // Label 20025: @1507504
     /* 1507504 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1507586), // Rule ID 18363 //
     /* 1507509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507548 */     // MIs[0] round
     /* 1507548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507551 */     // MIs[0] policy
     /* 1507551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507561 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1507564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507585 */     // GIR_Coverage, 18363,
     /* 1507585 */     GIR_EraseRootFromParent_Done,
     /* 1507586 */   // Label 20026: @1507586
     /* 1507586 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1507668), // Rule ID 18366 //
     /* 1507591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507630 */     // MIs[0] round
     /* 1507630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507633 */     // MIs[0] policy
     /* 1507633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507643 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1507646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507667 */     // GIR_Coverage, 18366,
     /* 1507667 */     GIR_EraseRootFromParent_Done,
     /* 1507668 */   // Label 20027: @1507668
     /* 1507668 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1507750), // Rule ID 18367 //
     /* 1507673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507712 */     // MIs[0] round
     /* 1507712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507715 */     // MIs[0] policy
     /* 1507715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507725 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1507728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507749 */     // GIR_Coverage, 18367,
     /* 1507749 */     GIR_EraseRootFromParent_Done,
     /* 1507750 */   // Label 20028: @1507750
     /* 1507750 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1507832), // Rule ID 18370 //
     /* 1507755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507794 */     // MIs[0] round
     /* 1507794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507797 */     // MIs[0] policy
     /* 1507797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507807 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1507810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507818 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507831 */     // GIR_Coverage, 18370,
     /* 1507831 */     GIR_EraseRootFromParent_Done,
     /* 1507832 */   // Label 20029: @1507832
     /* 1507832 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1507914), // Rule ID 18371 //
     /* 1507837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507876 */     // MIs[0] round
     /* 1507876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507879 */     // MIs[0] policy
     /* 1507879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507889 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1507892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507910 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507913 */     // GIR_Coverage, 18371,
     /* 1507913 */     GIR_EraseRootFromParent_Done,
     /* 1507914 */   // Label 20030: @1507914
     /* 1507914 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1507996), // Rule ID 18374 //
     /* 1507919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1507927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1507936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507958 */     // MIs[0] round
     /* 1507958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507961 */     // MIs[0] policy
     /* 1507961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507971 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1507974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507982 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507995 */     // GIR_Coverage, 18374,
     /* 1507995 */     GIR_EraseRootFromParent_Done,
     /* 1507996 */   // Label 20031: @1507996
     /* 1507996 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1508078), // Rule ID 18375 //
     /* 1508001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1508012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1508015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1508018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1508021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1508040 */     // MIs[0] round
     /* 1508040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508043 */     // MIs[0] policy
     /* 1508043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508053 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1508056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508064 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508077 */     // GIR_Coverage, 18375,
     /* 1508077 */     GIR_EraseRootFromParent_Done,
     /* 1508078 */   // Label 20032: @1508078
     /* 1508078 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1508160), // Rule ID 18378 //
     /* 1508083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508122 */     // MIs[0] round
     /* 1508122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508125 */     // MIs[0] policy
     /* 1508125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508135 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1508138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508159 */     // GIR_Coverage, 18378,
     /* 1508159 */     GIR_EraseRootFromParent_Done,
     /* 1508160 */   // Label 20033: @1508160
     /* 1508160 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1508242), // Rule ID 18379 //
     /* 1508165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508204 */     // MIs[0] round
     /* 1508204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508207 */     // MIs[0] policy
     /* 1508207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1508220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508241 */     // GIR_Coverage, 18379,
     /* 1508241 */     GIR_EraseRootFromParent_Done,
     /* 1508242 */   // Label 20034: @1508242
     /* 1508242 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1508324), // Rule ID 18382 //
     /* 1508247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508286 */     // MIs[0] round
     /* 1508286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508289 */     // MIs[0] policy
     /* 1508289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508299 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1508302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508310 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508323 */     // GIR_Coverage, 18382,
     /* 1508323 */     GIR_EraseRootFromParent_Done,
     /* 1508324 */   // Label 20035: @1508324
     /* 1508324 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1508406), // Rule ID 18383 //
     /* 1508329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508368 */     // MIs[0] round
     /* 1508368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508371 */     // MIs[0] policy
     /* 1508371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508381 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1508384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508392 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508405 */     // GIR_Coverage, 18383,
     /* 1508405 */     GIR_EraseRootFromParent_Done,
     /* 1508406 */   // Label 20036: @1508406
     /* 1508406 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1508488), // Rule ID 18386 //
     /* 1508411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508450 */     // MIs[0] round
     /* 1508450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508453 */     // MIs[0] policy
     /* 1508453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508463 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1508466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508474 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508487 */     // GIR_Coverage, 18386,
     /* 1508487 */     GIR_EraseRootFromParent_Done,
     /* 1508488 */   // Label 20037: @1508488
     /* 1508488 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1508570), // Rule ID 18387 //
     /* 1508493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508532 */     // MIs[0] round
     /* 1508532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508535 */     // MIs[0] policy
     /* 1508535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508545 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1508548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508569 */     // GIR_Coverage, 18387,
     /* 1508569 */     GIR_EraseRootFromParent_Done,
     /* 1508570 */   // Label 20038: @1508570
     /* 1508570 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1508652), // Rule ID 18390 //
     /* 1508575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508614 */     // MIs[0] round
     /* 1508614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508617 */     // MIs[0] policy
     /* 1508617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508627 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1508630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508638 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508651 */     // GIR_Coverage, 18390,
     /* 1508651 */     GIR_EraseRootFromParent_Done,
     /* 1508652 */   // Label 20039: @1508652
     /* 1508652 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1508734), // Rule ID 18391 //
     /* 1508657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508696 */     // MIs[0] round
     /* 1508696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508699 */     // MIs[0] policy
     /* 1508699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508709 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1508712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508720 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508733 */     // GIR_Coverage, 18391,
     /* 1508733 */     GIR_EraseRootFromParent_Done,
     /* 1508734 */   // Label 20040: @1508734
     /* 1508734 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1508816), // Rule ID 18394 //
     /* 1508739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508778 */     // MIs[0] round
     /* 1508778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508781 */     // MIs[0] policy
     /* 1508781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508791 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1508794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508802 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508815 */     // GIR_Coverage, 18394,
     /* 1508815 */     GIR_EraseRootFromParent_Done,
     /* 1508816 */   // Label 20041: @1508816
     /* 1508816 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1508898), // Rule ID 18395 //
     /* 1508821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508860 */     // MIs[0] round
     /* 1508860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508863 */     // MIs[0] policy
     /* 1508863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508873 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10850:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1508876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508894 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508897 */     // GIR_Coverage, 18395,
     /* 1508897 */     GIR_EraseRootFromParent_Done,
     /* 1508898 */   // Label 20042: @1508898
     /* 1508898 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1508980), // Rule ID 18398 //
     /* 1508903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508942 */     // MIs[0] round
     /* 1508942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508945 */     // MIs[0] policy
     /* 1508945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1508958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508966 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508979 */     // GIR_Coverage, 18398,
     /* 1508979 */     GIR_EraseRootFromParent_Done,
     /* 1508980 */   // Label 20043: @1508980
     /* 1508980 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1509062), // Rule ID 18399 //
     /* 1508985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1508993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1509005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509024 */     // MIs[0] round
     /* 1509024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509027 */     // MIs[0] policy
     /* 1509027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509037 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10850:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1509040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509048 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509061 */     // GIR_Coverage, 18399,
     /* 1509061 */     GIR_EraseRootFromParent_Done,
     /* 1509062 */   // Label 20044: @1509062
     /* 1509062 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1509144), // Rule ID 18402 //
     /* 1509067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1509070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509106 */     // MIs[0] round
     /* 1509106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509109 */     // MIs[0] policy
     /* 1509109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509119 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1509122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509130 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509143 */     // GIR_Coverage, 18402,
     /* 1509143 */     GIR_EraseRootFromParent_Done,
     /* 1509144 */   // Label 20045: @1509144
     /* 1509144 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1509226), // Rule ID 18403 //
     /* 1509149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509188 */     // MIs[0] round
     /* 1509188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509191 */     // MIs[0] policy
     /* 1509191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509201 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10850:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1509204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509225 */     // GIR_Coverage, 18403,
     /* 1509225 */     GIR_EraseRootFromParent_Done,
     /* 1509226 */   // Label 20046: @1509226
     /* 1509226 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1509308), // Rule ID 18406 //
     /* 1509231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509270 */     // MIs[0] round
     /* 1509270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509273 */     // MIs[0] policy
     /* 1509273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509283 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1509286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509294 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509307 */     // GIR_Coverage, 18406,
     /* 1509307 */     GIR_EraseRootFromParent_Done,
     /* 1509308 */   // Label 20047: @1509308
     /* 1509308 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1509390), // Rule ID 18407 //
     /* 1509313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509352 */     // MIs[0] round
     /* 1509352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509355 */     // MIs[0] policy
     /* 1509355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509365 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1509368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509389 */     // GIR_Coverage, 18407,
     /* 1509389 */     GIR_EraseRootFromParent_Done,
     /* 1509390 */   // Label 20048: @1509390
     /* 1509390 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1509472), // Rule ID 18410 //
     /* 1509395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509434 */     // MIs[0] round
     /* 1509434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509437 */     // MIs[0] policy
     /* 1509437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509447 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1509450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509458 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509471 */     // GIR_Coverage, 18410,
     /* 1509471 */     GIR_EraseRootFromParent_Done,
     /* 1509472 */   // Label 20049: @1509472
     /* 1509472 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1509554), // Rule ID 18411 //
     /* 1509477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509516 */     // MIs[0] round
     /* 1509516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509519 */     // MIs[0] policy
     /* 1509519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509529 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1509532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509540 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509550 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509553 */     // GIR_Coverage, 18411,
     /* 1509553 */     GIR_EraseRootFromParent_Done,
     /* 1509554 */   // Label 20050: @1509554
     /* 1509554 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1509636), // Rule ID 18414 //
     /* 1509559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509598 */     // MIs[0] round
     /* 1509598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509601 */     // MIs[0] policy
     /* 1509601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509611 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1509614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509622 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509635 */     // GIR_Coverage, 18414,
     /* 1509635 */     GIR_EraseRootFromParent_Done,
     /* 1509636 */   // Label 20051: @1509636
     /* 1509636 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1509718), // Rule ID 18415 //
     /* 1509641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509680 */     // MIs[0] round
     /* 1509680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509683 */     // MIs[0] policy
     /* 1509683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509693 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1509696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509704 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509717 */     // GIR_Coverage, 18415,
     /* 1509717 */     GIR_EraseRootFromParent_Done,
     /* 1509718 */   // Label 20052: @1509718
     /* 1509718 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1509800), // Rule ID 18418 //
     /* 1509723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509762 */     // MIs[0] round
     /* 1509762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509765 */     // MIs[0] policy
     /* 1509765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509775 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1509778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509799 */     // GIR_Coverage, 18418,
     /* 1509799 */     GIR_EraseRootFromParent_Done,
     /* 1509800 */   // Label 20053: @1509800
     /* 1509800 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1509882), // Rule ID 18419 //
     /* 1509805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509844 */     // MIs[0] round
     /* 1509844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509847 */     // MIs[0] policy
     /* 1509847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509857 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1509860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509868 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509881 */     // GIR_Coverage, 18419,
     /* 1509881 */     GIR_EraseRootFromParent_Done,
     /* 1509882 */   // Label 20054: @1509882
     /* 1509882 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1509964), // Rule ID 18422 //
     /* 1509887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509926 */     // MIs[0] round
     /* 1509926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509929 */     // MIs[0] policy
     /* 1509929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509939 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1509942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509963 */     // GIR_Coverage, 18422,
     /* 1509963 */     GIR_EraseRootFromParent_Done,
     /* 1509964 */   // Label 20055: @1509964
     /* 1509964 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1510046), // Rule ID 18423 //
     /* 1509969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1509977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510008 */     // MIs[0] round
     /* 1510008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510011 */     // MIs[0] policy
     /* 1510011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510021 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1510024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510032 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510045 */     // GIR_Coverage, 18423,
     /* 1510045 */     GIR_EraseRootFromParent_Done,
     /* 1510046 */   // Label 20056: @1510046
     /* 1510046 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1510128), // Rule ID 18426 //
     /* 1510051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510090 */     // MIs[0] round
     /* 1510090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510093 */     // MIs[0] policy
     /* 1510093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1510106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510127 */     // GIR_Coverage, 18426,
     /* 1510127 */     GIR_EraseRootFromParent_Done,
     /* 1510128 */   // Label 20057: @1510128
     /* 1510128 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1510210), // Rule ID 18427 //
     /* 1510133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510172 */     // MIs[0] round
     /* 1510172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510175 */     // MIs[0] policy
     /* 1510175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510185 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1510188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510209 */     // GIR_Coverage, 18427,
     /* 1510209 */     GIR_EraseRootFromParent_Done,
     /* 1510210 */   // Label 20058: @1510210
     /* 1510210 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1510292), // Rule ID 18430 //
     /* 1510215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510254 */     // MIs[0] round
     /* 1510254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510257 */     // MIs[0] policy
     /* 1510257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510267 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1510270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510278 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510291 */     // GIR_Coverage, 18430,
     /* 1510291 */     GIR_EraseRootFromParent_Done,
     /* 1510292 */   // Label 20059: @1510292
     /* 1510292 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1510374), // Rule ID 18431 //
     /* 1510297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510336 */     // MIs[0] round
     /* 1510336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510339 */     // MIs[0] policy
     /* 1510339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510349 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10850:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1510352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510373 */     // GIR_Coverage, 18431,
     /* 1510373 */     GIR_EraseRootFromParent_Done,
     /* 1510374 */   // Label 20060: @1510374
     /* 1510374 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1510456), // Rule ID 18434 //
     /* 1510379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510418 */     // MIs[0] round
     /* 1510418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510421 */     // MIs[0] policy
     /* 1510421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510431 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1510434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510455 */     // GIR_Coverage, 18434,
     /* 1510455 */     GIR_EraseRootFromParent_Done,
     /* 1510456 */   // Label 20061: @1510456
     /* 1510456 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1510538), // Rule ID 18435 //
     /* 1510461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510500 */     // MIs[0] round
     /* 1510500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510503 */     // MIs[0] policy
     /* 1510503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510513 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10850:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1510516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510524 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510537 */     // GIR_Coverage, 18435,
     /* 1510537 */     GIR_EraseRootFromParent_Done,
     /* 1510538 */   // Label 20062: @1510538
     /* 1510538 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1510620), // Rule ID 18438 //
     /* 1510543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510582 */     // MIs[0] round
     /* 1510582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510585 */     // MIs[0] policy
     /* 1510585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510595 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1510598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510606 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510619 */     // GIR_Coverage, 18438,
     /* 1510619 */     GIR_EraseRootFromParent_Done,
     /* 1510620 */   // Label 20063: @1510620
     /* 1510620 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1510702), // Rule ID 18439 //
     /* 1510625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1510633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510664 */     // MIs[0] round
     /* 1510664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510667 */     // MIs[0] policy
     /* 1510667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10850:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1510680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510688 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510701 */     // GIR_Coverage, 18439,
     /* 1510701 */     GIR_EraseRootFromParent_Done,
     /* 1510702 */   // Label 20064: @1510702
     /* 1510702 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1510784), // Rule ID 18442 //
     /* 1510707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1510715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1510724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510746 */     // MIs[0] round
     /* 1510746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510749 */     // MIs[0] policy
     /* 1510749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510759 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1510762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510783 */     // GIR_Coverage, 18442,
     /* 1510783 */     GIR_EraseRootFromParent_Done,
     /* 1510784 */   // Label 20065: @1510784
     /* 1510784 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1510866), // Rule ID 18443 //
     /* 1510789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1510797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1510806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510828 */     // MIs[0] round
     /* 1510828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510831 */     // MIs[0] policy
     /* 1510831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510841 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1510844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510852 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510865 */     // GIR_Coverage, 18443,
     /* 1510865 */     GIR_EraseRootFromParent_Done,
     /* 1510866 */   // Label 20066: @1510866
     /* 1510866 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1510948), // Rule ID 18446 //
     /* 1510871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1510879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1510888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510910 */     // MIs[0] round
     /* 1510910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510913 */     // MIs[0] policy
     /* 1510913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510923 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1510926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510934 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510947 */     // GIR_Coverage, 18446,
     /* 1510947 */     GIR_EraseRootFromParent_Done,
     /* 1510948 */   // Label 20067: @1510948
     /* 1510948 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1511030), // Rule ID 18447 //
     /* 1510953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1510961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1510970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510992 */     // MIs[0] round
     /* 1510992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510995 */     // MIs[0] policy
     /* 1510995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511005 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1511008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511029 */     // GIR_Coverage, 18447,
     /* 1511029 */     GIR_EraseRootFromParent_Done,
     /* 1511030 */   // Label 20068: @1511030
     /* 1511030 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1511112), // Rule ID 18450 //
     /* 1511035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511074 */     // MIs[0] round
     /* 1511074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511077 */     // MIs[0] policy
     /* 1511077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511087 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1511090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511111 */     // GIR_Coverage, 18450,
     /* 1511111 */     GIR_EraseRootFromParent_Done,
     /* 1511112 */   // Label 20069: @1511112
     /* 1511112 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1511194), // Rule ID 18451 //
     /* 1511117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511156 */     // MIs[0] round
     /* 1511156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511159 */     // MIs[0] policy
     /* 1511159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511169 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1511172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511193 */     // GIR_Coverage, 18451,
     /* 1511193 */     GIR_EraseRootFromParent_Done,
     /* 1511194 */   // Label 20070: @1511194
     /* 1511194 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1511276), // Rule ID 18454 //
     /* 1511199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511238 */     // MIs[0] round
     /* 1511238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511241 */     // MIs[0] policy
     /* 1511241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511251 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1511254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511262 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511275 */     // GIR_Coverage, 18454,
     /* 1511275 */     GIR_EraseRootFromParent_Done,
     /* 1511276 */   // Label 20071: @1511276
     /* 1511276 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1511358), // Rule ID 18455 //
     /* 1511281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511320 */     // MIs[0] round
     /* 1511320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511323 */     // MIs[0] policy
     /* 1511323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1511336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511344 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511357 */     // GIR_Coverage, 18455,
     /* 1511357 */     GIR_EraseRootFromParent_Done,
     /* 1511358 */   // Label 20072: @1511358
     /* 1511358 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1511440), // Rule ID 18458 //
     /* 1511363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511402 */     // MIs[0] round
     /* 1511402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511405 */     // MIs[0] policy
     /* 1511405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511415 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1511418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511439 */     // GIR_Coverage, 18458,
     /* 1511439 */     GIR_EraseRootFromParent_Done,
     /* 1511440 */   // Label 20073: @1511440
     /* 1511440 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1511522), // Rule ID 18459 //
     /* 1511445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511484 */     // MIs[0] round
     /* 1511484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511487 */     // MIs[0] policy
     /* 1511487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511497 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1511500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511508 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511521 */     // GIR_Coverage, 18459,
     /* 1511521 */     GIR_EraseRootFromParent_Done,
     /* 1511522 */   // Label 20074: @1511522
     /* 1511522 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1511604), // Rule ID 18462 //
     /* 1511527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511566 */     // MIs[0] round
     /* 1511566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511569 */     // MIs[0] policy
     /* 1511569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511579 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1511582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511590 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511603 */     // GIR_Coverage, 18462,
     /* 1511603 */     GIR_EraseRootFromParent_Done,
     /* 1511604 */   // Label 20075: @1511604
     /* 1511604 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1511686), // Rule ID 18463 //
     /* 1511609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511648 */     // MIs[0] round
     /* 1511648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511651 */     // MIs[0] policy
     /* 1511651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1511664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511672 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511685 */     // GIR_Coverage, 18463,
     /* 1511685 */     GIR_EraseRootFromParent_Done,
     /* 1511686 */   // Label 20076: @1511686
     /* 1511686 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1511768), // Rule ID 18466 //
     /* 1511691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511730 */     // MIs[0] round
     /* 1511730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511733 */     // MIs[0] policy
     /* 1511733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511743 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1511746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511767 */     // GIR_Coverage, 18466,
     /* 1511767 */     GIR_EraseRootFromParent_Done,
     /* 1511768 */   // Label 20077: @1511768
     /* 1511768 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1511850), // Rule ID 18467 //
     /* 1511773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511812 */     // MIs[0] round
     /* 1511812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511815 */     // MIs[0] policy
     /* 1511815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511825 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1511828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511849 */     // GIR_Coverage, 18467,
     /* 1511849 */     GIR_EraseRootFromParent_Done,
     /* 1511850 */   // Label 20078: @1511850
     /* 1511850 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1511932), // Rule ID 18470 //
     /* 1511855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511894 */     // MIs[0] round
     /* 1511894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511897 */     // MIs[0] policy
     /* 1511897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511907 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1511910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511918 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511931 */     // GIR_Coverage, 18470,
     /* 1511931 */     GIR_EraseRootFromParent_Done,
     /* 1511932 */   // Label 20079: @1511932
     /* 1511932 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1512014), // Rule ID 18471 //
     /* 1511937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1511945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511976 */     // MIs[0] round
     /* 1511976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511979 */     // MIs[0] policy
     /* 1511979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511989 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1511992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512000 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512013 */     // GIR_Coverage, 18471,
     /* 1512013 */     GIR_EraseRootFromParent_Done,
     /* 1512014 */   // Label 20080: @1512014
     /* 1512014 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1512096), // Rule ID 18474 //
     /* 1512019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1512022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512058 */     // MIs[0] round
     /* 1512058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512061 */     // MIs[0] policy
     /* 1512061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512071 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1512074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512082 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512095 */     // GIR_Coverage, 18474,
     /* 1512095 */     GIR_EraseRootFromParent_Done,
     /* 1512096 */   // Label 20081: @1512096
     /* 1512096 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1512178), // Rule ID 18475 //
     /* 1512101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512140 */     // MIs[0] round
     /* 1512140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512143 */     // MIs[0] policy
     /* 1512143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1512156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512164 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512177 */     // GIR_Coverage, 18475,
     /* 1512177 */     GIR_EraseRootFromParent_Done,
     /* 1512178 */   // Label 20082: @1512178
     /* 1512178 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1512260), // Rule ID 18478 //
     /* 1512183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512222 */     // MIs[0] round
     /* 1512222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512225 */     // MIs[0] policy
     /* 1512225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1512238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512246 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512256 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512259 */     // GIR_Coverage, 18478,
     /* 1512259 */     GIR_EraseRootFromParent_Done,
     /* 1512260 */   // Label 20083: @1512260
     /* 1512260 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1512342), // Rule ID 18479 //
     /* 1512265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512304 */     // MIs[0] round
     /* 1512304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512307 */     // MIs[0] policy
     /* 1512307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512317 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1512320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512328 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512341 */     // GIR_Coverage, 18479,
     /* 1512341 */     GIR_EraseRootFromParent_Done,
     /* 1512342 */   // Label 20084: @1512342
     /* 1512342 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1512424), // Rule ID 18482 //
     /* 1512347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512386 */     // MIs[0] round
     /* 1512386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512389 */     // MIs[0] policy
     /* 1512389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512399 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1512402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512410 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512420 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512423 */     // GIR_Coverage, 18482,
     /* 1512423 */     GIR_EraseRootFromParent_Done,
     /* 1512424 */   // Label 20085: @1512424
     /* 1512424 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1512506), // Rule ID 18483 //
     /* 1512429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512468 */     // MIs[0] round
     /* 1512468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512471 */     // MIs[0] policy
     /* 1512471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512481 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1512484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512492 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512505 */     // GIR_Coverage, 18483,
     /* 1512505 */     GIR_EraseRootFromParent_Done,
     /* 1512506 */   // Label 20086: @1512506
     /* 1512506 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1512588), // Rule ID 18486 //
     /* 1512511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512550 */     // MIs[0] round
     /* 1512550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512553 */     // MIs[0] policy
     /* 1512553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512563 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1512566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512587 */     // GIR_Coverage, 18486,
     /* 1512587 */     GIR_EraseRootFromParent_Done,
     /* 1512588 */   // Label 20087: @1512588
     /* 1512588 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1512670), // Rule ID 18487 //
     /* 1512593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512632 */     // MIs[0] round
     /* 1512632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512635 */     // MIs[0] policy
     /* 1512635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512645 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1512648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512656 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512669 */     // GIR_Coverage, 18487,
     /* 1512669 */     GIR_EraseRootFromParent_Done,
     /* 1512670 */   // Label 20088: @1512670
     /* 1512670 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1512752), // Rule ID 18490 //
     /* 1512675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512714 */     // MIs[0] round
     /* 1512714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512717 */     // MIs[0] policy
     /* 1512717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512727 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1512730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512748 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512751 */     // GIR_Coverage, 18490,
     /* 1512751 */     GIR_EraseRootFromParent_Done,
     /* 1512752 */   // Label 20089: @1512752
     /* 1512752 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1512834), // Rule ID 18491 //
     /* 1512757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512796 */     // MIs[0] round
     /* 1512796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512799 */     // MIs[0] policy
     /* 1512799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512809 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1512812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512820 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512833 */     // GIR_Coverage, 18491,
     /* 1512833 */     GIR_EraseRootFromParent_Done,
     /* 1512834 */   // Label 20090: @1512834
     /* 1512834 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1512916), // Rule ID 18494 //
     /* 1512839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1512856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512878 */     // MIs[0] round
     /* 1512878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512881 */     // MIs[0] policy
     /* 1512881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1512894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512902 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512915 */     // GIR_Coverage, 18494,
     /* 1512915 */     GIR_EraseRootFromParent_Done,
     /* 1512916 */   // Label 20091: @1512916
     /* 1512916 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1512998), // Rule ID 18495 //
     /* 1512921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1512929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1512938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512960 */     // MIs[0] round
     /* 1512960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512963 */     // MIs[0] policy
     /* 1512963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512973 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1512976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512997 */     // GIR_Coverage, 18495,
     /* 1512997 */     GIR_EraseRootFromParent_Done,
     /* 1512998 */   // Label 20092: @1512998
     /* 1512998 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1513080), // Rule ID 18498 //
     /* 1513003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513042 */     // MIs[0] round
     /* 1513042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513045 */     // MIs[0] policy
     /* 1513045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513055 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1513058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513079 */     // GIR_Coverage, 18498,
     /* 1513079 */     GIR_EraseRootFromParent_Done,
     /* 1513080 */   // Label 20093: @1513080
     /* 1513080 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1513162), // Rule ID 18499 //
     /* 1513085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513124 */     // MIs[0] round
     /* 1513124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513127 */     // MIs[0] policy
     /* 1513127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513137 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1513140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513148 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513161 */     // GIR_Coverage, 18499,
     /* 1513161 */     GIR_EraseRootFromParent_Done,
     /* 1513162 */   // Label 20094: @1513162
     /* 1513162 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1513244), // Rule ID 18502 //
     /* 1513167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513206 */     // MIs[0] round
     /* 1513206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513209 */     // MIs[0] policy
     /* 1513209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513219 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1513222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513230 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513243 */     // GIR_Coverage, 18502,
     /* 1513243 */     GIR_EraseRootFromParent_Done,
     /* 1513244 */   // Label 20095: @1513244
     /* 1513244 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1513326), // Rule ID 18503 //
     /* 1513249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513288 */     // MIs[0] round
     /* 1513288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513291 */     // MIs[0] policy
     /* 1513291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513301 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1513304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513312 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513325 */     // GIR_Coverage, 18503,
     /* 1513325 */     GIR_EraseRootFromParent_Done,
     /* 1513326 */   // Label 20096: @1513326
     /* 1513326 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1513408), // Rule ID 18506 //
     /* 1513331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513370 */     // MIs[0] round
     /* 1513370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513373 */     // MIs[0] policy
     /* 1513373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513383 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1513386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513404 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513407 */     // GIR_Coverage, 18506,
     /* 1513407 */     GIR_EraseRootFromParent_Done,
     /* 1513408 */   // Label 20097: @1513408
     /* 1513408 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1513490), // Rule ID 18507 //
     /* 1513413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513452 */     // MIs[0] round
     /* 1513452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513455 */     // MIs[0] policy
     /* 1513455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513465 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1513468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513476 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513489 */     // GIR_Coverage, 18507,
     /* 1513489 */     GIR_EraseRootFromParent_Done,
     /* 1513490 */   // Label 20098: @1513490
     /* 1513490 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1513572), // Rule ID 18510 //
     /* 1513495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513534 */     // MIs[0] round
     /* 1513534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513537 */     // MIs[0] policy
     /* 1513537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513547 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1513550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513571 */     // GIR_Coverage, 18510,
     /* 1513571 */     GIR_EraseRootFromParent_Done,
     /* 1513572 */   // Label 20099: @1513572
     /* 1513572 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1513654), // Rule ID 18511 //
     /* 1513577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513616 */     // MIs[0] round
     /* 1513616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513619 */     // MIs[0] policy
     /* 1513619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513629 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1513632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513640 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513653 */     // GIR_Coverage, 18511,
     /* 1513653 */     GIR_EraseRootFromParent_Done,
     /* 1513654 */   // Label 20100: @1513654
     /* 1513654 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1513736), // Rule ID 18514 //
     /* 1513659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513698 */     // MIs[0] round
     /* 1513698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513701 */     // MIs[0] policy
     /* 1513701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513711 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1513714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513732 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513735 */     // GIR_Coverage, 18514,
     /* 1513735 */     GIR_EraseRootFromParent_Done,
     /* 1513736 */   // Label 20101: @1513736
     /* 1513736 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1513818), // Rule ID 18515 //
     /* 1513741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513780 */     // MIs[0] round
     /* 1513780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513783 */     // MIs[0] policy
     /* 1513783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513793 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10881:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1513796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513817 */     // GIR_Coverage, 18515,
     /* 1513817 */     GIR_EraseRootFromParent_Done,
     /* 1513818 */   // Label 20102: @1513818
     /* 1513818 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1513900), // Rule ID 18518 //
     /* 1513823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513862 */     // MIs[0] round
     /* 1513862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513865 */     // MIs[0] policy
     /* 1513865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513875 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1513878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513886 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513896 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513899 */     // GIR_Coverage, 18518,
     /* 1513899 */     GIR_EraseRootFromParent_Done,
     /* 1513900 */   // Label 20103: @1513900
     /* 1513900 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1513982), // Rule ID 18519 //
     /* 1513905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513944 */     // MIs[0] round
     /* 1513944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513947 */     // MIs[0] policy
     /* 1513947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513957 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10881:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1513960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513968 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513981 */     // GIR_Coverage, 18519,
     /* 1513981 */     GIR_EraseRootFromParent_Done,
     /* 1513982 */   // Label 20104: @1513982
     /* 1513982 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1514064), // Rule ID 18522 //
     /* 1513987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1513995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514026 */     // MIs[0] round
     /* 1514026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514029 */     // MIs[0] policy
     /* 1514029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514039 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1514042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514063 */     // GIR_Coverage, 18522,
     /* 1514063 */     GIR_EraseRootFromParent_Done,
     /* 1514064 */   // Label 20105: @1514064
     /* 1514064 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1514146), // Rule ID 18523 //
     /* 1514069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1514072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514108 */     // MIs[0] round
     /* 1514108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514111 */     // MIs[0] policy
     /* 1514111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514121 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10881:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1514124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514132 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514145 */     // GIR_Coverage, 18523,
     /* 1514145 */     GIR_EraseRootFromParent_Done,
     /* 1514146 */   // Label 20106: @1514146
     /* 1514146 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1514228), // Rule ID 18526 //
     /* 1514151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514190 */     // MIs[0] round
     /* 1514190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514193 */     // MIs[0] policy
     /* 1514193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514203 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1514206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514214 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514227 */     // GIR_Coverage, 18526,
     /* 1514227 */     GIR_EraseRootFromParent_Done,
     /* 1514228 */   // Label 20107: @1514228
     /* 1514228 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1514310), // Rule ID 18527 //
     /* 1514233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514272 */     // MIs[0] round
     /* 1514272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514275 */     // MIs[0] policy
     /* 1514275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514285 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1514288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514296 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514309 */     // GIR_Coverage, 18527,
     /* 1514309 */     GIR_EraseRootFromParent_Done,
     /* 1514310 */   // Label 20108: @1514310
     /* 1514310 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1514392), // Rule ID 18530 //
     /* 1514315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514354 */     // MIs[0] round
     /* 1514354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514357 */     // MIs[0] policy
     /* 1514357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514367 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1514370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514391 */     // GIR_Coverage, 18530,
     /* 1514391 */     GIR_EraseRootFromParent_Done,
     /* 1514392 */   // Label 20109: @1514392
     /* 1514392 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1514474), // Rule ID 18531 //
     /* 1514397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514436 */     // MIs[0] round
     /* 1514436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514439 */     // MIs[0] policy
     /* 1514439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514449 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1514452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514460 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514473 */     // GIR_Coverage, 18531,
     /* 1514473 */     GIR_EraseRootFromParent_Done,
     /* 1514474 */   // Label 20110: @1514474
     /* 1514474 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1514556), // Rule ID 18534 //
     /* 1514479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514518 */     // MIs[0] round
     /* 1514518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514521 */     // MIs[0] policy
     /* 1514521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514531 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1514534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514542 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514555 */     // GIR_Coverage, 18534,
     /* 1514555 */     GIR_EraseRootFromParent_Done,
     /* 1514556 */   // Label 20111: @1514556
     /* 1514556 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1514638), // Rule ID 18535 //
     /* 1514561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514600 */     // MIs[0] round
     /* 1514600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514603 */     // MIs[0] policy
     /* 1514603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514613 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1514616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514637 */     // GIR_Coverage, 18535,
     /* 1514637 */     GIR_EraseRootFromParent_Done,
     /* 1514638 */   // Label 20112: @1514638
     /* 1514638 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1514720), // Rule ID 18538 //
     /* 1514643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514682 */     // MIs[0] round
     /* 1514682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514685 */     // MIs[0] policy
     /* 1514685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514695 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1514698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514706 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514716 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514719 */     // GIR_Coverage, 18538,
     /* 1514719 */     GIR_EraseRootFromParent_Done,
     /* 1514720 */   // Label 20113: @1514720
     /* 1514720 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1514802), // Rule ID 18539 //
     /* 1514725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514764 */     // MIs[0] round
     /* 1514764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514767 */     // MIs[0] policy
     /* 1514767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1514780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514788 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514801 */     // GIR_Coverage, 18539,
     /* 1514801 */     GIR_EraseRootFromParent_Done,
     /* 1514802 */   // Label 20114: @1514802
     /* 1514802 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1514884), // Rule ID 18542 //
     /* 1514807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514846 */     // MIs[0] round
     /* 1514846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514849 */     // MIs[0] policy
     /* 1514849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514859 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1514862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514870 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514880 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514883 */     // GIR_Coverage, 18542,
     /* 1514883 */     GIR_EraseRootFromParent_Done,
     /* 1514884 */   // Label 20115: @1514884
     /* 1514884 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1514966), // Rule ID 18543 //
     /* 1514889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514928 */     // MIs[0] round
     /* 1514928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514931 */     // MIs[0] policy
     /* 1514931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514941 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1514944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514965 */     // GIR_Coverage, 18543,
     /* 1514965 */     GIR_EraseRootFromParent_Done,
     /* 1514966 */   // Label 20116: @1514966
     /* 1514966 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1515048), // Rule ID 18546 //
     /* 1514971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1514979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515010 */     // MIs[0] round
     /* 1515010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515013 */     // MIs[0] policy
     /* 1515013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515023 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1515026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515034 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515047 */     // GIR_Coverage, 18546,
     /* 1515047 */     GIR_EraseRootFromParent_Done,
     /* 1515048 */   // Label 20117: @1515048
     /* 1515048 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1515130), // Rule ID 18547 //
     /* 1515053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1515064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1515067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1515070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1515073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515092 */     // MIs[0] round
     /* 1515092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515095 */     // MIs[0] policy
     /* 1515095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515105 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1515108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515129 */     // GIR_Coverage, 18547,
     /* 1515129 */     GIR_EraseRootFromParent_Done,
     /* 1515130 */   // Label 20118: @1515130
     /* 1515130 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1515212), // Rule ID 18550 //
     /* 1515135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515174 */     // MIs[0] round
     /* 1515174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515177 */     // MIs[0] policy
     /* 1515177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1515190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515211 */     // GIR_Coverage, 18550,
     /* 1515211 */     GIR_EraseRootFromParent_Done,
     /* 1515212 */   // Label 20119: @1515212
     /* 1515212 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1515294), // Rule ID 18551 //
     /* 1515217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515256 */     // MIs[0] round
     /* 1515256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515259 */     // MIs[0] policy
     /* 1515259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515269 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10881:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1515272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515293 */     // GIR_Coverage, 18551,
     /* 1515293 */     GIR_EraseRootFromParent_Done,
     /* 1515294 */   // Label 20120: @1515294
     /* 1515294 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1515376), // Rule ID 18554 //
     /* 1515299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515338 */     // MIs[0] round
     /* 1515338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515341 */     // MIs[0] policy
     /* 1515341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515351 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1515354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515362 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515375 */     // GIR_Coverage, 18554,
     /* 1515375 */     GIR_EraseRootFromParent_Done,
     /* 1515376 */   // Label 20121: @1515376
     /* 1515376 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1515458), // Rule ID 18555 //
     /* 1515381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515420 */     // MIs[0] round
     /* 1515420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515423 */     // MIs[0] policy
     /* 1515423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515433 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10881:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1515436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515444 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515457 */     // GIR_Coverage, 18555,
     /* 1515457 */     GIR_EraseRootFromParent_Done,
     /* 1515458 */   // Label 20122: @1515458
     /* 1515458 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1515540), // Rule ID 18558 //
     /* 1515463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515502 */     // MIs[0] round
     /* 1515502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515505 */     // MIs[0] policy
     /* 1515505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515515 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1515518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515526 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515539 */     // GIR_Coverage, 18558,
     /* 1515539 */     GIR_EraseRootFromParent_Done,
     /* 1515540 */   // Label 20123: @1515540
     /* 1515540 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1515622), // Rule ID 18559 //
     /* 1515545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1515553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515584 */     // MIs[0] round
     /* 1515584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515587 */     // MIs[0] policy
     /* 1515587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515597 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10881:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1515600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515621 */     // GIR_Coverage, 18559,
     /* 1515621 */     GIR_EraseRootFromParent_Done,
     /* 1515622 */   // Label 20124: @1515622
     /* 1515622 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1515704), // Rule ID 18562 //
     /* 1515627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1515630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1515635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515666 */     // MIs[0] round
     /* 1515666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515669 */     // MIs[0] policy
     /* 1515669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515679 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1515682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515690 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515700 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515703 */     // GIR_Coverage, 18562,
     /* 1515703 */     GIR_EraseRootFromParent_Done,
     /* 1515704 */   // Label 20125: @1515704
     /* 1515704 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1515786), // Rule ID 18563 //
     /* 1515709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1515712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1515717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515748 */     // MIs[0] round
     /* 1515748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515751 */     // MIs[0] policy
     /* 1515751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1515764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515772 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515785 */     // GIR_Coverage, 18563,
     /* 1515785 */     GIR_EraseRootFromParent_Done,
     /* 1515786 */   // Label 20126: @1515786
     /* 1515786 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1515868), // Rule ID 18566 //
     /* 1515791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1515794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1515799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1515808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515830 */     // MIs[0] round
     /* 1515830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515833 */     // MIs[0] policy
     /* 1515833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515843 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1515846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515854 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515864 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515867 */     // GIR_Coverage, 18566,
     /* 1515867 */     GIR_EraseRootFromParent_Done,
     /* 1515868 */   // Label 20127: @1515868
     /* 1515868 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1515950), // Rule ID 18567 //
     /* 1515873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1515876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1515881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1515884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1515887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1515890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515912 */     // MIs[0] round
     /* 1515912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515915 */     // MIs[0] policy
     /* 1515915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515925 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1515928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515949 */     // GIR_Coverage, 18567,
     /* 1515949 */     GIR_EraseRootFromParent_Done,
     /* 1515950 */   // Label 20128: @1515950
     /* 1515950 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1516032), // Rule ID 18570 //
     /* 1515955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1515958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1515963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1515966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1515969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1515972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1515975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515994 */     // MIs[0] round
     /* 1515994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515997 */     // MIs[0] policy
     /* 1515997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516007 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1516010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516031 */     // GIR_Coverage, 18570,
     /* 1516031 */     GIR_EraseRootFromParent_Done,
     /* 1516032 */   // Label 20129: @1516032
     /* 1516032 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1516114), // Rule ID 18571 //
     /* 1516037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1516040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1516048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1516051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516076 */     // MIs[0] round
     /* 1516076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516079 */     // MIs[0] policy
     /* 1516079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516089 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1516092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516100 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516113 */     // GIR_Coverage, 18571,
     /* 1516113 */     GIR_EraseRootFromParent_Done,
     /* 1516114 */   // Label 20130: @1516114
     /* 1516114 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1516196), // Rule ID 18574 //
     /* 1516119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1516122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516158 */     // MIs[0] round
     /* 1516158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516161 */     // MIs[0] policy
     /* 1516161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516171 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1516174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516182 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516192 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516195 */     // GIR_Coverage, 18574,
     /* 1516195 */     GIR_EraseRootFromParent_Done,
     /* 1516196 */   // Label 20131: @1516196
     /* 1516196 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1516278), // Rule ID 18575 //
     /* 1516201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1516204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1516212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1516215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516240 */     // MIs[0] round
     /* 1516240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516243 */     // MIs[0] policy
     /* 1516243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516253 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1516256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516277 */     // GIR_Coverage, 18575,
     /* 1516277 */     GIR_EraseRootFromParent_Done,
     /* 1516278 */   // Label 20132: @1516278
     /* 1516278 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1516360), // Rule ID 18578 //
     /* 1516283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1516286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1516300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516322 */     // MIs[0] round
     /* 1516322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516325 */     // MIs[0] policy
     /* 1516325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516335 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1516338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516346 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516359 */     // GIR_Coverage, 18578,
     /* 1516359 */     GIR_EraseRootFromParent_Done,
     /* 1516360 */   // Label 20133: @1516360
     /* 1516360 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1516442), // Rule ID 18579 //
     /* 1516365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1516368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1516376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1516379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1516382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516404 */     // MIs[0] round
     /* 1516404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516407 */     // MIs[0] policy
     /* 1516407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516417 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1516420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516441 */     // GIR_Coverage, 18579,
     /* 1516441 */     GIR_EraseRootFromParent_Done,
     /* 1516442 */   // Label 20134: @1516442
     /* 1516442 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1516524), // Rule ID 18582 //
     /* 1516447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1516450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516486 */     // MIs[0] round
     /* 1516486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516489 */     // MIs[0] policy
     /* 1516489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516499 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1516502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516510 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516523 */     // GIR_Coverage, 18582,
     /* 1516523 */     GIR_EraseRootFromParent_Done,
     /* 1516524 */   // Label 20135: @1516524
     /* 1516524 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1516606), // Rule ID 18583 //
     /* 1516529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1516532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1516546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1516549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516568 */     // MIs[0] round
     /* 1516568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516571 */     // MIs[0] policy
     /* 1516571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1516584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516605 */     // GIR_Coverage, 18583,
     /* 1516605 */     GIR_EraseRootFromParent_Done,
     /* 1516606 */   // Label 20136: @1516606
     /* 1516606 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1516688), // Rule ID 18586 //
     /* 1516611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1516614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516650 */     // MIs[0] round
     /* 1516650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516653 */     // MIs[0] policy
     /* 1516653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516663 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1516666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516674 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516684 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516687 */     // GIR_Coverage, 18586,
     /* 1516687 */     GIR_EraseRootFromParent_Done,
     /* 1516688 */   // Label 20137: @1516688
     /* 1516688 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1516770), // Rule ID 18587 //
     /* 1516693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1516696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1516704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1516707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516732 */     // MIs[0] round
     /* 1516732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516735 */     // MIs[0] policy
     /* 1516735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516745 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1516748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516756 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516769 */     // GIR_Coverage, 18587,
     /* 1516769 */     GIR_EraseRootFromParent_Done,
     /* 1516770 */   // Label 20138: @1516770
     /* 1516770 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1516852), // Rule ID 18590 //
     /* 1516775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1516778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1516792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516814 */     // MIs[0] round
     /* 1516814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516817 */     // MIs[0] policy
     /* 1516817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516827 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1516830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516848 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516851 */     // GIR_Coverage, 18590,
     /* 1516851 */     GIR_EraseRootFromParent_Done,
     /* 1516852 */   // Label 20139: @1516852
     /* 1516852 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1516934), // Rule ID 18591 //
     /* 1516857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1516860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1516868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1516871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1516874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1516877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516896 */     // MIs[0] round
     /* 1516896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516899 */     // MIs[0] policy
     /* 1516899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516909 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1516912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516933 */     // GIR_Coverage, 18591,
     /* 1516933 */     GIR_EraseRootFromParent_Done,
     /* 1516934 */   // Label 20140: @1516934
     /* 1516934 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1517016), // Rule ID 18594 //
     /* 1516939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1516942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1516947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1516950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1516953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1516956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1516959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516978 */     // MIs[0] round
     /* 1516978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516981 */     // MIs[0] policy
     /* 1516981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516991 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1516994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517002 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517015 */     // GIR_Coverage, 18594,
     /* 1517015 */     GIR_EraseRootFromParent_Done,
     /* 1517016 */   // Label 20141: @1517016
     /* 1517016 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1517098), // Rule ID 18595 //
     /* 1517021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1517024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517060 */     // MIs[0] round
     /* 1517060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517063 */     // MIs[0] policy
     /* 1517063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517073 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1517076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517084 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517097 */     // GIR_Coverage, 18595,
     /* 1517097 */     GIR_EraseRootFromParent_Done,
     /* 1517098 */   // Label 20142: @1517098
     /* 1517098 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1517180), // Rule ID 18598 //
     /* 1517103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1517106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517142 */     // MIs[0] round
     /* 1517142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517145 */     // MIs[0] policy
     /* 1517145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1517158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517166 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517176 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517179 */     // GIR_Coverage, 18598,
     /* 1517179 */     GIR_EraseRootFromParent_Done,
     /* 1517180 */   // Label 20143: @1517180
     /* 1517180 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1517262), // Rule ID 18599 //
     /* 1517185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1517188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1517196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1517199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1517205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517224 */     // MIs[0] round
     /* 1517224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517227 */     // MIs[0] policy
     /* 1517227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517237 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1517240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517248 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517261 */     // GIR_Coverage, 18599,
     /* 1517261 */     GIR_EraseRootFromParent_Done,
     /* 1517262 */   // Label 20144: @1517262
     /* 1517262 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1517344), // Rule ID 18602 //
     /* 1517267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1517270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517306 */     // MIs[0] round
     /* 1517306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517309 */     // MIs[0] policy
     /* 1517309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517319 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1517322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517330 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517343 */     // GIR_Coverage, 18602,
     /* 1517343 */     GIR_EraseRootFromParent_Done,
     /* 1517344 */   // Label 20145: @1517344
     /* 1517344 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1517426), // Rule ID 18603 //
     /* 1517349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1517352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1517360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1517363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1517369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517388 */     // MIs[0] round
     /* 1517388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517391 */     // MIs[0] policy
     /* 1517391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517401 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10933:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1517404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517412 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517425 */     // GIR_Coverage, 18603,
     /* 1517425 */     GIR_EraseRootFromParent_Done,
     /* 1517426 */   // Label 20146: @1517426
     /* 1517426 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1517508), // Rule ID 18606 //
     /* 1517431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1517434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517470 */     // MIs[0] round
     /* 1517470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517473 */     // MIs[0] policy
     /* 1517473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1517486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517494 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517507 */     // GIR_Coverage, 18606,
     /* 1517507 */     GIR_EraseRootFromParent_Done,
     /* 1517508 */   // Label 20147: @1517508
     /* 1517508 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1517590), // Rule ID 18607 //
     /* 1517513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1517516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1517533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517552 */     // MIs[0] round
     /* 1517552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517555 */     // MIs[0] policy
     /* 1517555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517565 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1517568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517576 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517589 */     // GIR_Coverage, 18607,
     /* 1517589 */     GIR_EraseRootFromParent_Done,
     /* 1517590 */   // Label 20148: @1517590
     /* 1517590 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1517672), // Rule ID 18610 //
     /* 1517595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1517598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517634 */     // MIs[0] round
     /* 1517634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517637 */     // MIs[0] policy
     /* 1517637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1517650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517658 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517671 */     // GIR_Coverage, 18610,
     /* 1517671 */     GIR_EraseRootFromParent_Done,
     /* 1517672 */   // Label 20149: @1517672
     /* 1517672 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1517754), // Rule ID 18611 //
     /* 1517677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1517680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1517697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517716 */     // MIs[0] round
     /* 1517716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517719 */     // MIs[0] policy
     /* 1517719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517729 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1517732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517753 */     // GIR_Coverage, 18611,
     /* 1517753 */     GIR_EraseRootFromParent_Done,
     /* 1517754 */   // Label 20150: @1517754
     /* 1517754 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1517836), // Rule ID 18614 //
     /* 1517759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1517762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517798 */     // MIs[0] round
     /* 1517798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517801 */     // MIs[0] policy
     /* 1517801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517811 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1517814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517822 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517835 */     // GIR_Coverage, 18614,
     /* 1517835 */     GIR_EraseRootFromParent_Done,
     /* 1517836 */   // Label 20151: @1517836
     /* 1517836 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1517918), // Rule ID 18615 //
     /* 1517841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1517844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1517858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1517861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1517876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517880 */     // MIs[0] round
     /* 1517880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517883 */     // MIs[0] policy
     /* 1517883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517893 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1517896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517917 */     // GIR_Coverage, 18615,
     /* 1517917 */     GIR_EraseRootFromParent_Done,
     /* 1517918 */   // Label 20152: @1517918
     /* 1517918 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1518000), // Rule ID 18618 //
     /* 1517923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1517926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1517931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1517934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1517937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1517940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1517943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1517958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1517962 */     // MIs[0] round
     /* 1517962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517965 */     // MIs[0] policy
     /* 1517965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517975 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1517978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517986 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517999 */     // GIR_Coverage, 18618,
     /* 1517999 */     GIR_EraseRootFromParent_Done,
     /* 1518000 */   // Label 20153: @1518000
     /* 1518000 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1518082), // Rule ID 18619 //
     /* 1518005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1518008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518044 */     // MIs[0] round
     /* 1518044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518047 */     // MIs[0] policy
     /* 1518047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10933:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1518060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518068 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518081 */     // GIR_Coverage, 18619,
     /* 1518081 */     GIR_EraseRootFromParent_Done,
     /* 1518082 */   // Label 20154: @1518082
     /* 1518082 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1518164), // Rule ID 18622 //
     /* 1518087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1518090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518126 */     // MIs[0] round
     /* 1518126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518129 */     // MIs[0] policy
     /* 1518129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1518142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518150 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518163 */     // GIR_Coverage, 18622,
     /* 1518163 */     GIR_EraseRootFromParent_Done,
     /* 1518164 */   // Label 20155: @1518164
     /* 1518164 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1518246), // Rule ID 18623 //
     /* 1518169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1518172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1518180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1518183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518208 */     // MIs[0] round
     /* 1518208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518211 */     // MIs[0] policy
     /* 1518211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518221 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10933:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1518224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518245 */     // GIR_Coverage, 18623,
     /* 1518245 */     GIR_EraseRootFromParent_Done,
     /* 1518246 */   // Label 20156: @1518246
     /* 1518246 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1518328), // Rule ID 18626 //
     /* 1518251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1518254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518290 */     // MIs[0] round
     /* 1518290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518293 */     // MIs[0] policy
     /* 1518293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518303 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1518306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518314 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518327 */     // GIR_Coverage, 18626,
     /* 1518327 */     GIR_EraseRootFromParent_Done,
     /* 1518328 */   // Label 20157: @1518328
     /* 1518328 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1518410), // Rule ID 18627 //
     /* 1518333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1518336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1518344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1518347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1518353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518372 */     // MIs[0] round
     /* 1518372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518375 */     // MIs[0] policy
     /* 1518375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518385 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10933:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1518388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518396 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518409 */     // GIR_Coverage, 18627,
     /* 1518409 */     GIR_EraseRootFromParent_Done,
     /* 1518410 */   // Label 20158: @1518410
     /* 1518410 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1518492), // Rule ID 18630 //
     /* 1518415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1518418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518454 */     // MIs[0] round
     /* 1518454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518457 */     // MIs[0] policy
     /* 1518457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1518470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518478 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518491 */     // GIR_Coverage, 18630,
     /* 1518491 */     GIR_EraseRootFromParent_Done,
     /* 1518492 */   // Label 20159: @1518492
     /* 1518492 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1518574), // Rule ID 18631 //
     /* 1518497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1518500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1518505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1518508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1518511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1518517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1518528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1518536 */     // MIs[0] round
     /* 1518536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518539 */     // MIs[0] policy
     /* 1518539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518549 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10933:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1518552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518573 */     // GIR_Coverage, 18631,
     /* 1518573 */     GIR_EraseRootFromParent_Done,
     /* 1518574 */   // Label 20160: @1518574
     /* 1518574 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1518656), // Rule ID 18634 //
     /* 1518579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1518582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518618 */     // MIs[0] round
     /* 1518618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518621 */     // MIs[0] policy
     /* 1518621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1518634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518655 */     // GIR_Coverage, 18634,
     /* 1518655 */     GIR_EraseRootFromParent_Done,
     /* 1518656 */   // Label 20161: @1518656
     /* 1518656 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1518738), // Rule ID 18635 //
     /* 1518661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1518664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1518678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518700 */     // MIs[0] round
     /* 1518700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518703 */     // MIs[0] policy
     /* 1518703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518713 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1518716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518724 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518737 */     // GIR_Coverage, 18635,
     /* 1518737 */     GIR_EraseRootFromParent_Done,
     /* 1518738 */   // Label 20162: @1518738
     /* 1518738 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1518820), // Rule ID 18638 //
     /* 1518743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1518746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518782 */     // MIs[0] round
     /* 1518782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518785 */     // MIs[0] policy
     /* 1518785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518795 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1518798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518806 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518819 */     // GIR_Coverage, 18638,
     /* 1518819 */     GIR_EraseRootFromParent_Done,
     /* 1518820 */   // Label 20163: @1518820
     /* 1518820 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1518902), // Rule ID 18639 //
     /* 1518825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1518828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1518842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518864 */     // MIs[0] round
     /* 1518864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518867 */     // MIs[0] policy
     /* 1518867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518877 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1518880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518901 */     // GIR_Coverage, 18639,
     /* 1518901 */     GIR_EraseRootFromParent_Done,
     /* 1518902 */   // Label 20164: @1518902
     /* 1518902 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1518984), // Rule ID 18642 //
     /* 1518907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1518910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1518918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1518921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1518924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1518938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518946 */     // MIs[0] round
     /* 1518946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518949 */     // MIs[0] policy
     /* 1518949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518959 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1518962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518970 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518983 */     // GIR_Coverage, 18642,
     /* 1518983 */     GIR_EraseRootFromParent_Done,
     /* 1518984 */   // Label 20165: @1518984
     /* 1518984 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1519066), // Rule ID 18643 //
     /* 1518989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1518992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1518997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1519006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1519009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519028 */     // MIs[0] round
     /* 1519028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519031 */     // MIs[0] policy
     /* 1519031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519041 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1519044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519062 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519065 */     // GIR_Coverage, 18643,
     /* 1519065 */     GIR_EraseRootFromParent_Done,
     /* 1519066 */   // Label 20166: @1519066
     /* 1519066 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1519148), // Rule ID 18646 //
     /* 1519071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1519074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519110 */     // MIs[0] round
     /* 1519110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519113 */     // MIs[0] policy
     /* 1519113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519123 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1519126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519134 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519147 */     // GIR_Coverage, 18646,
     /* 1519147 */     GIR_EraseRootFromParent_Done,
     /* 1519148 */   // Label 20167: @1519148
     /* 1519148 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1519230), // Rule ID 18647 //
     /* 1519153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1519156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1519170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519192 */     // MIs[0] round
     /* 1519192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519195 */     // MIs[0] policy
     /* 1519195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519205 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1519208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519229 */     // GIR_Coverage, 18647,
     /* 1519229 */     GIR_EraseRootFromParent_Done,
     /* 1519230 */   // Label 20168: @1519230
     /* 1519230 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1519312), // Rule ID 18650 //
     /* 1519235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1519238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519274 */     // MIs[0] round
     /* 1519274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519277 */     // MIs[0] policy
     /* 1519277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519287 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1519290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519298 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519311 */     // GIR_Coverage, 18650,
     /* 1519311 */     GIR_EraseRootFromParent_Done,
     /* 1519312 */   // Label 20169: @1519312
     /* 1519312 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1519394), // Rule ID 18651 //
     /* 1519317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1519320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1519334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519356 */     // MIs[0] round
     /* 1519356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519359 */     // MIs[0] policy
     /* 1519359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519369 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1519372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519393 */     // GIR_Coverage, 18651,
     /* 1519393 */     GIR_EraseRootFromParent_Done,
     /* 1519394 */   // Label 20170: @1519394
     /* 1519394 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1519476), // Rule ID 18654 //
     /* 1519399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1519402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519438 */     // MIs[0] round
     /* 1519438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519441 */     // MIs[0] policy
     /* 1519441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519451 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1519454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519475 */     // GIR_Coverage, 18654,
     /* 1519475 */     GIR_EraseRootFromParent_Done,
     /* 1519476 */   // Label 20171: @1519476
     /* 1519476 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1519558), // Rule ID 18655 //
     /* 1519481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1519484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1519492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1519495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1519498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1519501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519520 */     // MIs[0] round
     /* 1519520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519523 */     // MIs[0] policy
     /* 1519523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519533 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1519536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519544 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519557 */     // GIR_Coverage, 18655,
     /* 1519557 */     GIR_EraseRootFromParent_Done,
     /* 1519558 */   // Label 20172: @1519558
     /* 1519558 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1519640), // Rule ID 18658 //
     /* 1519563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1519566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519602 */     // MIs[0] round
     /* 1519602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519605 */     // MIs[0] policy
     /* 1519605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519615 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1519618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519626 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519639 */     // GIR_Coverage, 18658,
     /* 1519639 */     GIR_EraseRootFromParent_Done,
     /* 1519640 */   // Label 20173: @1519640
     /* 1519640 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1519722), // Rule ID 18659 //
     /* 1519645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1519648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1519662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1519665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1519684 */     // MIs[0] round
     /* 1519684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519687 */     // MIs[0] policy
     /* 1519687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519697 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1519700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519708 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519721 */     // GIR_Coverage, 18659,
     /* 1519721 */     GIR_EraseRootFromParent_Done,
     /* 1519722 */   // Label 20174: @1519722
     /* 1519722 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1519804), // Rule ID 18662 //
     /* 1519727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1519730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519766 */     // MIs[0] round
     /* 1519766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519769 */     // MIs[0] policy
     /* 1519769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519779 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1519782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519803 */     // GIR_Coverage, 18662,
     /* 1519803 */     GIR_EraseRootFromParent_Done,
     /* 1519804 */   // Label 20175: @1519804
     /* 1519804 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1519886), // Rule ID 18663 //
     /* 1519809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1519812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1519820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1519823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1519826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519848 */     // MIs[0] round
     /* 1519848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519851 */     // MIs[0] policy
     /* 1519851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519861 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1519864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519872 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519885 */     // GIR_Coverage, 18663,
     /* 1519885 */     GIR_EraseRootFromParent_Done,
     /* 1519886 */   // Label 20176: @1519886
     /* 1519886 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1519968), // Rule ID 18666 //
     /* 1519891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1519894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519930 */     // MIs[0] round
     /* 1519930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519933 */     // MIs[0] policy
     /* 1519933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519943 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1519946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519954 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519967 */     // GIR_Coverage, 18666,
     /* 1519967 */     GIR_EraseRootFromParent_Done,
     /* 1519968 */   // Label 20177: @1519968
     /* 1519968 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1520050), // Rule ID 18667 //
     /* 1519973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1519976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1519981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1519984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1519987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1519990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520012 */     // MIs[0] round
     /* 1520012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520015 */     // MIs[0] policy
     /* 1520015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520025 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1520028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520036 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520046 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520049 */     // GIR_Coverage, 18667,
     /* 1520049 */     GIR_EraseRootFromParent_Done,
     /* 1520050 */   // Label 20178: @1520050
     /* 1520050 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1520132), // Rule ID 18670 //
     /* 1520055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1520058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520094 */     // MIs[0] round
     /* 1520094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520097 */     // MIs[0] policy
     /* 1520097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520107 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1520110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520131 */     // GIR_Coverage, 18670,
     /* 1520131 */     GIR_EraseRootFromParent_Done,
     /* 1520132 */   // Label 20179: @1520132
     /* 1520132 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1520214), // Rule ID 18671 //
     /* 1520137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1520140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520176 */     // MIs[0] round
     /* 1520176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520179 */     // MIs[0] policy
     /* 1520179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520189 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1520192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520213 */     // GIR_Coverage, 18671,
     /* 1520213 */     GIR_EraseRootFromParent_Done,
     /* 1520214 */   // Label 20180: @1520214
     /* 1520214 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1520296), // Rule ID 18674 //
     /* 1520219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1520222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520258 */     // MIs[0] round
     /* 1520258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520261 */     // MIs[0] policy
     /* 1520261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520271 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1520274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520282 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520295 */     // GIR_Coverage, 18674,
     /* 1520295 */     GIR_EraseRootFromParent_Done,
     /* 1520296 */   // Label 20181: @1520296
     /* 1520296 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1520378), // Rule ID 18675 //
     /* 1520301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1520304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1520312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1520315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520340 */     // MIs[0] round
     /* 1520340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520343 */     // MIs[0] policy
     /* 1520343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520353 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10941:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1520356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520364 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520377 */     // GIR_Coverage, 18675,
     /* 1520377 */     GIR_EraseRootFromParent_Done,
     /* 1520378 */   // Label 20182: @1520378
     /* 1520378 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1520460), // Rule ID 18678 //
     /* 1520383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1520386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520422 */     // MIs[0] round
     /* 1520422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520425 */     // MIs[0] policy
     /* 1520425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520435 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1520438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520459 */     // GIR_Coverage, 18678,
     /* 1520459 */     GIR_EraseRootFromParent_Done,
     /* 1520460 */   // Label 20183: @1520460
     /* 1520460 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1520542), // Rule ID 18679 //
     /* 1520465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1520468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1520476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1520479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520504 */     // MIs[0] round
     /* 1520504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520507 */     // MIs[0] policy
     /* 1520507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520517 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1520520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520528 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520541 */     // GIR_Coverage, 18679,
     /* 1520541 */     GIR_EraseRootFromParent_Done,
     /* 1520542 */   // Label 20184: @1520542
     /* 1520542 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1520624), // Rule ID 18682 //
     /* 1520547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1520550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520586 */     // MIs[0] round
     /* 1520586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520589 */     // MIs[0] policy
     /* 1520589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520599 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1520602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520610 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520623 */     // GIR_Coverage, 18682,
     /* 1520623 */     GIR_EraseRootFromParent_Done,
     /* 1520624 */   // Label 20185: @1520624
     /* 1520624 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1520706), // Rule ID 18683 //
     /* 1520629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1520632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1520640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1520643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1520649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520668 */     // MIs[0] round
     /* 1520668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520671 */     // MIs[0] policy
     /* 1520671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520681 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1520684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520692 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520705 */     // GIR_Coverage, 18683,
     /* 1520705 */     GIR_EraseRootFromParent_Done,
     /* 1520706 */   // Label 20186: @1520706
     /* 1520706 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1520788), // Rule ID 18686 //
     /* 1520711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1520714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520750 */     // MIs[0] round
     /* 1520750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520753 */     // MIs[0] policy
     /* 1520753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1520766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520787 */     // GIR_Coverage, 18686,
     /* 1520787 */     GIR_EraseRootFromParent_Done,
     /* 1520788 */   // Label 20187: @1520788
     /* 1520788 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1520870), // Rule ID 18687 //
     /* 1520793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1520796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1520804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1520807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1520810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1520813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1520828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520832 */     // MIs[0] round
     /* 1520832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520835 */     // MIs[0] policy
     /* 1520835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520845 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1520848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520869 */     // GIR_Coverage, 18687,
     /* 1520869 */     GIR_EraseRootFromParent_Done,
     /* 1520870 */   // Label 20188: @1520870
     /* 1520870 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1520952), // Rule ID 18690 //
     /* 1520875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1520878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520914 */     // MIs[0] round
     /* 1520914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520917 */     // MIs[0] policy
     /* 1520917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520927 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1520930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520938 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520951 */     // GIR_Coverage, 18690,
     /* 1520951 */     GIR_EraseRootFromParent_Done,
     /* 1520952 */   // Label 20189: @1520952
     /* 1520952 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1521034), // Rule ID 18691 //
     /* 1520957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1520960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1520965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1520968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1520971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1520974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1520992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520996 */     // MIs[0] round
     /* 1520996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520999 */     // MIs[0] policy
     /* 1520999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521009 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10941:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1521012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521020 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521033 */     // GIR_Coverage, 18691,
     /* 1521033 */     GIR_EraseRootFromParent_Done,
     /* 1521034 */   // Label 20190: @1521034
     /* 1521034 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1521116), // Rule ID 18694 //
     /* 1521039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1521042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521078 */     // MIs[0] round
     /* 1521078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521081 */     // MIs[0] policy
     /* 1521081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521091 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1521094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521115 */     // GIR_Coverage, 18694,
     /* 1521115 */     GIR_EraseRootFromParent_Done,
     /* 1521116 */   // Label 20191: @1521116
     /* 1521116 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1521198), // Rule ID 18695 //
     /* 1521121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1521124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1521132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1521135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521160 */     // MIs[0] round
     /* 1521160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521163 */     // MIs[0] policy
     /* 1521163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521173 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10941:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1521176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521184 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521197 */     // GIR_Coverage, 18695,
     /* 1521197 */     GIR_EraseRootFromParent_Done,
     /* 1521198 */   // Label 20192: @1521198
     /* 1521198 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1521280), // Rule ID 18698 //
     /* 1521203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1521206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521242 */     // MIs[0] round
     /* 1521242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521245 */     // MIs[0] policy
     /* 1521245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521255 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1521258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521279 */     // GIR_Coverage, 18698,
     /* 1521279 */     GIR_EraseRootFromParent_Done,
     /* 1521280 */   // Label 20193: @1521280
     /* 1521280 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1521362), // Rule ID 18699 //
     /* 1521285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1521288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1521296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1521299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521324 */     // MIs[0] round
     /* 1521324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521327 */     // MIs[0] policy
     /* 1521327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521337 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10941:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1521340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521348 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521361 */     // GIR_Coverage, 18699,
     /* 1521361 */     GIR_EraseRootFromParent_Done,
     /* 1521362 */   // Label 20194: @1521362
     /* 1521362 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1521444), // Rule ID 18702 //
     /* 1521367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1521370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521406 */     // MIs[0] round
     /* 1521406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521409 */     // MIs[0] policy
     /* 1521409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521419 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1521422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521443 */     // GIR_Coverage, 18702,
     /* 1521443 */     GIR_EraseRootFromParent_Done,
     /* 1521444 */   // Label 20195: @1521444
     /* 1521444 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1521526), // Rule ID 18703 //
     /* 1521449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1521452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1521457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1521460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1521463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1521466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1521469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1521484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521488 */     // MIs[0] round
     /* 1521488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521491 */     // MIs[0] policy
     /* 1521491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521501 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10941:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1521504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521512 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521525 */     // GIR_Coverage, 18703,
     /* 1521525 */     GIR_EraseRootFromParent_Done,
     /* 1521526 */   // Label 20196: @1521526
     /* 1521526 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1521608), // Rule ID 18706 //
     /* 1521531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1521534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521570 */     // MIs[0] round
     /* 1521570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521573 */     // MIs[0] policy
     /* 1521573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1521586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521594 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521607 */     // GIR_Coverage, 18706,
     /* 1521607 */     GIR_EraseRootFromParent_Done,
     /* 1521608 */   // Label 20197: @1521608
     /* 1521608 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1521690), // Rule ID 18707 //
     /* 1521613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1521616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1521624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1521627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1521630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1521633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521652 */     // MIs[0] round
     /* 1521652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521655 */     // MIs[0] policy
     /* 1521655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521665 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1521668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521686 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521689 */     // GIR_Coverage, 18707,
     /* 1521689 */     GIR_EraseRootFromParent_Done,
     /* 1521690 */   // Label 20198: @1521690
     /* 1521690 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1521772), // Rule ID 18710 //
     /* 1521695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1521698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521734 */     // MIs[0] round
     /* 1521734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521737 */     // MIs[0] policy
     /* 1521737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521747 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1521750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521771 */     // GIR_Coverage, 18710,
     /* 1521771 */     GIR_EraseRootFromParent_Done,
     /* 1521772 */   // Label 20199: @1521772
     /* 1521772 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1521854), // Rule ID 18711 //
     /* 1521777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1521780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1521794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1521797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521816 */     // MIs[0] round
     /* 1521816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521819 */     // MIs[0] policy
     /* 1521819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521829 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1521832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521840 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521853 */     // GIR_Coverage, 18711,
     /* 1521853 */     GIR_EraseRootFromParent_Done,
     /* 1521854 */   // Label 20200: @1521854
     /* 1521854 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1521936), // Rule ID 18714 //
     /* 1521859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1521862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521898 */     // MIs[0] round
     /* 1521898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521901 */     // MIs[0] policy
     /* 1521901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1521914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521935 */     // GIR_Coverage, 18714,
     /* 1521935 */     GIR_EraseRootFromParent_Done,
     /* 1521936 */   // Label 20201: @1521936
     /* 1521936 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1522018), // Rule ID 18715 //
     /* 1521941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1521944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1521949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521980 */     // MIs[0] round
     /* 1521980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521983 */     // MIs[0] policy
     /* 1521983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521993 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1521996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522004 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522017 */     // GIR_Coverage, 18715,
     /* 1522017 */     GIR_EraseRootFromParent_Done,
     /* 1522018 */   // Label 20202: @1522018
     /* 1522018 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1522100), // Rule ID 18718 //
     /* 1522023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1522026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1522040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522062 */     // MIs[0] round
     /* 1522062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522065 */     // MIs[0] policy
     /* 1522065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1522078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522099 */     // GIR_Coverage, 18718,
     /* 1522099 */     GIR_EraseRootFromParent_Done,
     /* 1522100 */   // Label 20203: @1522100
     /* 1522100 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1522182), // Rule ID 18719 //
     /* 1522105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1522108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1522122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1522125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522144 */     // MIs[0] round
     /* 1522144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522147 */     // MIs[0] policy
     /* 1522147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522157 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1522160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522168 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522181 */     // GIR_Coverage, 18719,
     /* 1522181 */     GIR_EraseRootFromParent_Done,
     /* 1522182 */   // Label 20204: @1522182
     /* 1522182 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1522264), // Rule ID 18722 //
     /* 1522187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1522190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522226 */     // MIs[0] round
     /* 1522226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522229 */     // MIs[0] policy
     /* 1522229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522239 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1522242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522250 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522263 */     // GIR_Coverage, 18722,
     /* 1522263 */     GIR_EraseRootFromParent_Done,
     /* 1522264 */   // Label 20205: @1522264
     /* 1522264 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1522346), // Rule ID 18723 //
     /* 1522269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1522272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1522286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1522289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522308 */     // MIs[0] round
     /* 1522308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522311 */     // MIs[0] policy
     /* 1522311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522321 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1522324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522332 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1522342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522345 */     // GIR_Coverage, 18723,
     /* 1522345 */     GIR_EraseRootFromParent_Done,
     /* 1522346 */   // Label 20206: @1522346
     /* 1522346 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1522428), // Rule ID 18726 //
     /* 1522351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1522354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1522368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522390 */     // MIs[0] round
     /* 1522390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522393 */     // MIs[0] policy
     /* 1522393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522403 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1522406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522414 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522427 */     // GIR_Coverage, 18726,
     /* 1522427 */     GIR_EraseRootFromParent_Done,
     /* 1522428 */   // Label 20207: @1522428
     /* 1522428 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1522510), // Rule ID 18727 //
     /* 1522433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1522436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1522444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1522447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1522450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1522453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522472 */     // MIs[0] round
     /* 1522472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522475 */     // MIs[0] policy
     /* 1522475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522485 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1522488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522496 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522509 */     // GIR_Coverage, 18727,
     /* 1522509 */     GIR_EraseRootFromParent_Done,
     /* 1522510 */   // Label 20208: @1522510
     /* 1522510 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1522592), // Rule ID 18730 //
     /* 1522515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1522518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1522532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522554 */     // MIs[0] round
     /* 1522554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522557 */     // MIs[0] policy
     /* 1522557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1522570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522578 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522591 */     // GIR_Coverage, 18730,
     /* 1522591 */     GIR_EraseRootFromParent_Done,
     /* 1522592 */   // Label 20209: @1522592
     /* 1522592 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1522674), // Rule ID 18731 //
     /* 1522597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1522600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1522614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1522617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522636 */     // MIs[0] round
     /* 1522636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522639 */     // MIs[0] policy
     /* 1522639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522649 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1522652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522660 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522670 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522673 */     // GIR_Coverage, 18731,
     /* 1522673 */     GIR_EraseRootFromParent_Done,
     /* 1522674 */   // Label 20210: @1522674
     /* 1522674 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1522756), // Rule ID 18734 //
     /* 1522679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1522682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522718 */     // MIs[0] round
     /* 1522718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522721 */     // MIs[0] policy
     /* 1522721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522731 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1522734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522755 */     // GIR_Coverage, 18734,
     /* 1522755 */     GIR_EraseRootFromParent_Done,
     /* 1522756 */   // Label 20211: @1522756
     /* 1522756 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1522838), // Rule ID 18735 //
     /* 1522761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1522764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522800 */     // MIs[0] round
     /* 1522800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522803 */     // MIs[0] policy
     /* 1522803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522813 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1522816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522824 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522837 */     // GIR_Coverage, 18735,
     /* 1522837 */     GIR_EraseRootFromParent_Done,
     /* 1522838 */   // Label 20212: @1522838
     /* 1522838 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1522920), // Rule ID 18738 //
     /* 1522843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1522846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522882 */     // MIs[0] round
     /* 1522882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522885 */     // MIs[0] policy
     /* 1522885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522895 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1522898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522906 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522919 */     // GIR_Coverage, 18738,
     /* 1522919 */     GIR_EraseRootFromParent_Done,
     /* 1522920 */   // Label 20213: @1522920
     /* 1522920 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1523002), // Rule ID 18739 //
     /* 1522925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1522928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1522933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522964 */     // MIs[0] round
     /* 1522964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522967 */     // MIs[0] policy
     /* 1522967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1522980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522988 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523001 */     // GIR_Coverage, 18739,
     /* 1523001 */     GIR_EraseRootFromParent_Done,
     /* 1523002 */   // Label 20214: @1523002
     /* 1523002 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1523084), // Rule ID 18742 //
     /* 1523007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1523010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523046 */     // MIs[0] round
     /* 1523046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523049 */     // MIs[0] policy
     /* 1523049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523059 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1523062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523083 */     // GIR_Coverage, 18742,
     /* 1523083 */     GIR_EraseRootFromParent_Done,
     /* 1523084 */   // Label 20215: @1523084
     /* 1523084 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1523166), // Rule ID 18743 //
     /* 1523089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1523092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523128 */     // MIs[0] round
     /* 1523128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523131 */     // MIs[0] policy
     /* 1523131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523141 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1523144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523152 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523165 */     // GIR_Coverage, 18743,
     /* 1523165 */     GIR_EraseRootFromParent_Done,
     /* 1523166 */   // Label 20216: @1523166
     /* 1523166 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1523248), // Rule ID 18746 //
     /* 1523171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1523174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523210 */     // MIs[0] round
     /* 1523210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523213 */     // MIs[0] policy
     /* 1523213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1523226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523234 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523247 */     // GIR_Coverage, 18746,
     /* 1523247 */     GIR_EraseRootFromParent_Done,
     /* 1523248 */   // Label 20217: @1523248
     /* 1523248 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1523330), // Rule ID 18747 //
     /* 1523253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1523256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523292 */     // MIs[0] round
     /* 1523292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523295 */     // MIs[0] policy
     /* 1523295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523305 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10937:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1523308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523329 */     // GIR_Coverage, 18747,
     /* 1523329 */     GIR_EraseRootFromParent_Done,
     /* 1523330 */   // Label 20218: @1523330
     /* 1523330 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1523412), // Rule ID 18750 //
     /* 1523335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1523338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523374 */     // MIs[0] round
     /* 1523374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523377 */     // MIs[0] policy
     /* 1523377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523387 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1523390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523411 */     // GIR_Coverage, 18750,
     /* 1523411 */     GIR_EraseRootFromParent_Done,
     /* 1523412 */   // Label 20219: @1523412
     /* 1523412 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1523494), // Rule ID 18751 //
     /* 1523417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1523420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1523428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1523431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523456 */     // MIs[0] round
     /* 1523456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523459 */     // MIs[0] policy
     /* 1523459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523469 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1523472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523493 */     // GIR_Coverage, 18751,
     /* 1523493 */     GIR_EraseRootFromParent_Done,
     /* 1523494 */   // Label 20220: @1523494
     /* 1523494 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1523576), // Rule ID 18754 //
     /* 1523499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1523502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523538 */     // MIs[0] round
     /* 1523538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523541 */     // MIs[0] policy
     /* 1523541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523551 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1523554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523575 */     // GIR_Coverage, 18754,
     /* 1523575 */     GIR_EraseRootFromParent_Done,
     /* 1523576 */   // Label 20221: @1523576
     /* 1523576 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1523658), // Rule ID 18755 //
     /* 1523581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1523584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1523592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1523595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523620 */     // MIs[0] round
     /* 1523620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523623 */     // MIs[0] policy
     /* 1523623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523633 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1523636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523644 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523654 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523657 */     // GIR_Coverage, 18755,
     /* 1523657 */     GIR_EraseRootFromParent_Done,
     /* 1523658 */   // Label 20222: @1523658
     /* 1523658 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1523740), // Rule ID 18758 //
     /* 1523663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1523666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523702 */     // MIs[0] round
     /* 1523702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523705 */     // MIs[0] policy
     /* 1523705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523715 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1523718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523739 */     // GIR_Coverage, 18758,
     /* 1523739 */     GIR_EraseRootFromParent_Done,
     /* 1523740 */   // Label 20223: @1523740
     /* 1523740 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1523822), // Rule ID 18759 //
     /* 1523745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1523748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1523756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1523759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1523765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1523776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1523784 */     // MIs[0] round
     /* 1523784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523787 */     // MIs[0] policy
     /* 1523787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523797 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1523800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523808 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523821 */     // GIR_Coverage, 18759,
     /* 1523821 */     GIR_EraseRootFromParent_Done,
     /* 1523822 */   // Label 20224: @1523822
     /* 1523822 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1523904), // Rule ID 18762 //
     /* 1523827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1523830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523866 */     // MIs[0] round
     /* 1523866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523869 */     // MIs[0] policy
     /* 1523869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523879 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1523882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523903 */     // GIR_Coverage, 18762,
     /* 1523903 */     GIR_EraseRootFromParent_Done,
     /* 1523904 */   // Label 20225: @1523904
     /* 1523904 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1523986), // Rule ID 18763 //
     /* 1523909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1523912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523948 */     // MIs[0] round
     /* 1523948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523951 */     // MIs[0] policy
     /* 1523951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10937:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1523964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523972 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523985 */     // GIR_Coverage, 18763,
     /* 1523985 */     GIR_EraseRootFromParent_Done,
     /* 1523986 */   // Label 20226: @1523986
     /* 1523986 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1524068), // Rule ID 18766 //
     /* 1523991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1523994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1523999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524030 */     // MIs[0] round
     /* 1524030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524033 */     // MIs[0] policy
     /* 1524033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524043 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1524046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524067 */     // GIR_Coverage, 18766,
     /* 1524067 */     GIR_EraseRootFromParent_Done,
     /* 1524068 */   // Label 20227: @1524068
     /* 1524068 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1524150), // Rule ID 18767 //
     /* 1524073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1524076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1524081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1524093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524112 */     // MIs[0] round
     /* 1524112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524115 */     // MIs[0] policy
     /* 1524115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524125 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10937:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1524128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524136 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524149 */     // GIR_Coverage, 18767,
     /* 1524149 */     GIR_EraseRootFromParent_Done,
     /* 1524150 */   // Label 20228: @1524150
     /* 1524150 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1524232), // Rule ID 18770 //
     /* 1524155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1524158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1524163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524194 */     // MIs[0] round
     /* 1524194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524197 */     // MIs[0] policy
     /* 1524197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524207 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1524210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524218 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524231 */     // GIR_Coverage, 18770,
     /* 1524231 */     GIR_EraseRootFromParent_Done,
     /* 1524232 */   // Label 20229: @1524232
     /* 1524232 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1524314), // Rule ID 18771 //
     /* 1524237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1524240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1524245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1524248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1524251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524276 */     // MIs[0] round
     /* 1524276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524279 */     // MIs[0] policy
     /* 1524279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524289 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10937:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1524292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524313 */     // GIR_Coverage, 18771,
     /* 1524313 */     GIR_EraseRootFromParent_Done,
     /* 1524314 */   // Label 20230: @1524314
     /* 1524314 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1524396), // Rule ID 18774 //
     /* 1524319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1524322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1524327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524358 */     // MIs[0] round
     /* 1524358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524361 */     // MIs[0] policy
     /* 1524361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524371 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1524374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524395 */     // GIR_Coverage, 18774,
     /* 1524395 */     GIR_EraseRootFromParent_Done,
     /* 1524396 */   // Label 20231: @1524396
     /* 1524396 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1524478), // Rule ID 18775 //
     /* 1524401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1524404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1524409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1524412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1524415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524440 */     // MIs[0] round
     /* 1524440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524443 */     // MIs[0] policy
     /* 1524443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524453 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10937:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1524456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524464 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524477 */     // GIR_Coverage, 18775,
     /* 1524477 */     GIR_EraseRootFromParent_Done,
     /* 1524478 */   // Label 20232: @1524478
     /* 1524478 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1524560), // Rule ID 18778 //
     /* 1524483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1524486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524522 */     // MIs[0] round
     /* 1524522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524525 */     // MIs[0] policy
     /* 1524525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524535 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1524538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524546 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524559 */     // GIR_Coverage, 18778,
     /* 1524559 */     GIR_EraseRootFromParent_Done,
     /* 1524560 */   // Label 20233: @1524560
     /* 1524560 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1524642), // Rule ID 18779 //
     /* 1524565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1524568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1524576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1524579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1524582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1524585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524604 */     // MIs[0] round
     /* 1524604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524607 */     // MIs[0] policy
     /* 1524607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524617 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1524620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524628 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524641 */     // GIR_Coverage, 18779,
     /* 1524641 */     GIR_EraseRootFromParent_Done,
     /* 1524642 */   // Label 20234: @1524642
     /* 1524642 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1524724), // Rule ID 18782 //
     /* 1524647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1524650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524686 */     // MIs[0] round
     /* 1524686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524689 */     // MIs[0] policy
     /* 1524689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524699 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1524702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524723 */     // GIR_Coverage, 18782,
     /* 1524723 */     GIR_EraseRootFromParent_Done,
     /* 1524724 */   // Label 20235: @1524724
     /* 1524724 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1524806), // Rule ID 18783 //
     /* 1524729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1524732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1524740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1524743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1524746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1524749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524768 */     // MIs[0] round
     /* 1524768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524771 */     // MIs[0] policy
     /* 1524771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524781 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1524784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524792 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524805 */     // GIR_Coverage, 18783,
     /* 1524805 */     GIR_EraseRootFromParent_Done,
     /* 1524806 */   // Label 20236: @1524806
     /* 1524806 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1524888), // Rule ID 18786 //
     /* 1524811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1524814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524850 */     // MIs[0] round
     /* 1524850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524853 */     // MIs[0] policy
     /* 1524853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524863 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1524866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524874 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524887 */     // GIR_Coverage, 18786,
     /* 1524887 */     GIR_EraseRootFromParent_Done,
     /* 1524888 */   // Label 20237: @1524888
     /* 1524888 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1524970), // Rule ID 18787 //
     /* 1524893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1524896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1524910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1524913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1524932 */     // MIs[0] round
     /* 1524932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524935 */     // MIs[0] policy
     /* 1524935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524945 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1524948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524969 */     // GIR_Coverage, 18787,
     /* 1524969 */     GIR_EraseRootFromParent_Done,
     /* 1524970 */   // Label 20238: @1524970
     /* 1524970 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1525052), // Rule ID 18790 //
     /* 1524975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1524978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1524983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1524992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525014 */     // MIs[0] round
     /* 1525014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525017 */     // MIs[0] policy
     /* 1525017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525027 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1525030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525038 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525051 */     // GIR_Coverage, 18790,
     /* 1525051 */     GIR_EraseRootFromParent_Done,
     /* 1525052 */   // Label 20239: @1525052
     /* 1525052 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1525134), // Rule ID 18791 //
     /* 1525057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1525060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1525068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1525071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1525074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1525077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525096 */     // MIs[0] round
     /* 1525096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525099 */     // MIs[0] policy
     /* 1525099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525109 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1525112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525120 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525133 */     // GIR_Coverage, 18791,
     /* 1525133 */     GIR_EraseRootFromParent_Done,
     /* 1525134 */   // Label 20240: @1525134
     /* 1525134 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1525216), // Rule ID 18794 //
     /* 1525139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1525142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525178 */     // MIs[0] round
     /* 1525178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525181 */     // MIs[0] policy
     /* 1525181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525191 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1525194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525202 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525215 */     // GIR_Coverage, 18794,
     /* 1525215 */     GIR_EraseRootFromParent_Done,
     /* 1525216 */   // Label 20241: @1525216
     /* 1525216 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1525298), // Rule ID 18795 //
     /* 1525221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1525224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1525232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1525235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1525238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1525241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525260 */     // MIs[0] round
     /* 1525260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525263 */     // MIs[0] policy
     /* 1525263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525273 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1525276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525297 */     // GIR_Coverage, 18795,
     /* 1525297 */     GIR_EraseRootFromParent_Done,
     /* 1525298 */   // Label 20242: @1525298
     /* 1525298 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1525380), // Rule ID 18798 //
     /* 1525303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1525306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1525320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525342 */     // MIs[0] round
     /* 1525342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525345 */     // MIs[0] policy
     /* 1525345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525355 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1525358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525366 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525379 */     // GIR_Coverage, 18798,
     /* 1525379 */     GIR_EraseRootFromParent_Done,
     /* 1525380 */   // Label 20243: @1525380
     /* 1525380 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1525462), // Rule ID 18799 //
     /* 1525385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1525388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1525396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1525399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1525402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525424 */     // MIs[0] round
     /* 1525424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525427 */     // MIs[0] policy
     /* 1525427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525437 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1525440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525448 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525461 */     // GIR_Coverage, 18799,
     /* 1525461 */     GIR_EraseRootFromParent_Done,
     /* 1525462 */   // Label 20244: @1525462
     /* 1525462 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1525544), // Rule ID 18802 //
     /* 1525467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1525470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525506 */     // MIs[0] round
     /* 1525506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525509 */     // MIs[0] policy
     /* 1525509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525519 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1525522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525530 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525540 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525543 */     // GIR_Coverage, 18802,
     /* 1525543 */     GIR_EraseRootFromParent_Done,
     /* 1525544 */   // Label 20245: @1525544
     /* 1525544 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1525626), // Rule ID 18803 //
     /* 1525549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1525552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1525560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1525563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1525566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1525569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525588 */     // MIs[0] round
     /* 1525588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525591 */     // MIs[0] policy
     /* 1525591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525601 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1525604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525625 */     // GIR_Coverage, 18803,
     /* 1525625 */     GIR_EraseRootFromParent_Done,
     /* 1525626 */   // Label 20246: @1525626
     /* 1525626 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1525708), // Rule ID 18806 //
     /* 1525631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1525634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525670 */     // MIs[0] round
     /* 1525670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525673 */     // MIs[0] policy
     /* 1525673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525683 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1525686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525694 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525707 */     // GIR_Coverage, 18806,
     /* 1525707 */     GIR_EraseRootFromParent_Done,
     /* 1525708 */   // Label 20247: @1525708
     /* 1525708 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1525790), // Rule ID 18807 //
     /* 1525713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1525716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1525730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1525733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525752 */     // MIs[0] round
     /* 1525752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525755 */     // MIs[0] policy
     /* 1525755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525765 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1525768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525776 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525789 */     // GIR_Coverage, 18807,
     /* 1525789 */     GIR_EraseRootFromParent_Done,
     /* 1525790 */   // Label 20248: @1525790
     /* 1525790 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1525872), // Rule ID 18810 //
     /* 1525795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1525798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525834 */     // MIs[0] round
     /* 1525834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525837 */     // MIs[0] policy
     /* 1525837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525847 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1525850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525858 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525868 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525871 */     // GIR_Coverage, 18810,
     /* 1525871 */     GIR_EraseRootFromParent_Done,
     /* 1525872 */   // Label 20249: @1525872
     /* 1525872 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1525954), // Rule ID 18811 //
     /* 1525877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1525880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1525894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1525897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525916 */     // MIs[0] round
     /* 1525916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525919 */     // MIs[0] policy
     /* 1525919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525929 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1525932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525953 */     // GIR_Coverage, 18811,
     /* 1525953 */     GIR_EraseRootFromParent_Done,
     /* 1525954 */   // Label 20250: @1525954
     /* 1525954 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1526036), // Rule ID 18814 //
     /* 1525959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1525962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1525967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1525976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1525994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525998 */     // MIs[0] round
     /* 1525998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526001 */     // MIs[0] policy
     /* 1526001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1526014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526022 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526032 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526035 */     // GIR_Coverage, 18814,
     /* 1526035 */     GIR_EraseRootFromParent_Done,
     /* 1526036 */   // Label 20251: @1526036
     /* 1526036 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1526118), // Rule ID 18815 //
     /* 1526041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1526044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1526052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1526055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1526061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526080 */     // MIs[0] round
     /* 1526080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526083 */     // MIs[0] policy
     /* 1526083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526093 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1526096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526117 */     // GIR_Coverage, 18815,
     /* 1526117 */     GIR_EraseRootFromParent_Done,
     /* 1526118 */   // Label 20252: @1526118
     /* 1526118 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1526200), // Rule ID 18818 //
     /* 1526123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1526126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526162 */     // MIs[0] round
     /* 1526162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526165 */     // MIs[0] policy
     /* 1526165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526175 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1526178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526186 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526199 */     // GIR_Coverage, 18818,
     /* 1526199 */     GIR_EraseRootFromParent_Done,
     /* 1526200 */   // Label 20253: @1526200
     /* 1526200 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1526282), // Rule ID 18819 //
     /* 1526205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1526208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1526225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526244 */     // MIs[0] round
     /* 1526244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526247 */     // MIs[0] policy
     /* 1526247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526257 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10943:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1526260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526281 */     // GIR_Coverage, 18819,
     /* 1526281 */     GIR_EraseRootFromParent_Done,
     /* 1526282 */   // Label 20254: @1526282
     /* 1526282 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1526364), // Rule ID 18822 //
     /* 1526287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1526290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526326 */     // MIs[0] round
     /* 1526326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526329 */     // MIs[0] policy
     /* 1526329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526339 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1526342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526350 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526363 */     // GIR_Coverage, 18822,
     /* 1526363 */     GIR_EraseRootFromParent_Done,
     /* 1526364 */   // Label 20255: @1526364
     /* 1526364 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1526446), // Rule ID 18823 //
     /* 1526369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1526372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1526389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526408 */     // MIs[0] round
     /* 1526408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526411 */     // MIs[0] policy
     /* 1526411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526421 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1526424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526432 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526445 */     // GIR_Coverage, 18823,
     /* 1526445 */     GIR_EraseRootFromParent_Done,
     /* 1526446 */   // Label 20256: @1526446
     /* 1526446 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1526528), // Rule ID 18826 //
     /* 1526451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1526454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526490 */     // MIs[0] round
     /* 1526490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526493 */     // MIs[0] policy
     /* 1526493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526503 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1526506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526527 */     // GIR_Coverage, 18826,
     /* 1526527 */     GIR_EraseRootFromParent_Done,
     /* 1526528 */   // Label 20257: @1526528
     /* 1526528 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1526610), // Rule ID 18827 //
     /* 1526533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1526536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1526544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1526547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526572 */     // MIs[0] round
     /* 1526572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526575 */     // MIs[0] policy
     /* 1526575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526585 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1526588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526609 */     // GIR_Coverage, 18827,
     /* 1526609 */     GIR_EraseRootFromParent_Done,
     /* 1526610 */   // Label 20258: @1526610
     /* 1526610 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1526692), // Rule ID 18830 //
     /* 1526615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1526618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526654 */     // MIs[0] round
     /* 1526654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526657 */     // MIs[0] policy
     /* 1526657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1526670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526678 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526691 */     // GIR_Coverage, 18830,
     /* 1526691 */     GIR_EraseRootFromParent_Done,
     /* 1526692 */   // Label 20259: @1526692
     /* 1526692 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1526774), // Rule ID 18831 //
     /* 1526697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1526700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1526708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1526711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1526714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1526732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526736 */     // MIs[0] round
     /* 1526736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526739 */     // MIs[0] policy
     /* 1526739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526749 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1526752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526760 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526773 */     // GIR_Coverage, 18831,
     /* 1526773 */     GIR_EraseRootFromParent_Done,
     /* 1526774 */   // Label 20260: @1526774
     /* 1526774 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1526856), // Rule ID 18834 //
     /* 1526779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1526782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526818 */     // MIs[0] round
     /* 1526818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526821 */     // MIs[0] policy
     /* 1526821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526831 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1526834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526842 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526852 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526855 */     // GIR_Coverage, 18834,
     /* 1526855 */     GIR_EraseRootFromParent_Done,
     /* 1526856 */   // Label 20261: @1526856
     /* 1526856 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1526938), // Rule ID 18835 //
     /* 1526861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1526864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1526881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526900 */     // MIs[0] round
     /* 1526900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526903 */     // MIs[0] policy
     /* 1526903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526913 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10943:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1526916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526937 */     // GIR_Coverage, 18835,
     /* 1526937 */     GIR_EraseRootFromParent_Done,
     /* 1526938 */   // Label 20262: @1526938
     /* 1526938 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1527020), // Rule ID 18838 //
     /* 1526943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1526946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1526951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1526954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1526957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1526960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1526978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526982 */     // MIs[0] round
     /* 1526982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526985 */     // MIs[0] policy
     /* 1526985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526995 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1526998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527006 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527019 */     // GIR_Coverage, 18838,
     /* 1527019 */     GIR_EraseRootFromParent_Done,
     /* 1527020 */   // Label 20263: @1527020
     /* 1527020 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1527102), // Rule ID 18839 //
     /* 1527025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1527028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1527033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1527045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527064 */     // MIs[0] round
     /* 1527064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527067 */     // MIs[0] policy
     /* 1527067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10943:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1527080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527088 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527101 */     // GIR_Coverage, 18839,
     /* 1527101 */     GIR_EraseRootFromParent_Done,
     /* 1527102 */   // Label 20264: @1527102
     /* 1527102 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1527184), // Rule ID 18842 //
     /* 1527107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1527110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1527115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527146 */     // MIs[0] round
     /* 1527146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527149 */     // MIs[0] policy
     /* 1527149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527159 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1527162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527170 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527183 */     // GIR_Coverage, 18842,
     /* 1527183 */     GIR_EraseRootFromParent_Done,
     /* 1527184 */   // Label 20265: @1527184
     /* 1527184 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1527266), // Rule ID 18843 //
     /* 1527189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1527192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1527197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1527209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527228 */     // MIs[0] round
     /* 1527228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527231 */     // MIs[0] policy
     /* 1527231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527241 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10943:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1527244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527265 */     // GIR_Coverage, 18843,
     /* 1527265 */     GIR_EraseRootFromParent_Done,
     /* 1527266 */   // Label 20266: @1527266
     /* 1527266 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1527348), // Rule ID 18846 //
     /* 1527271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1527274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1527279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527310 */     // MIs[0] round
     /* 1527310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527313 */     // MIs[0] policy
     /* 1527313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527323 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1527326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527347 */     // GIR_Coverage, 18846,
     /* 1527347 */     GIR_EraseRootFromParent_Done,
     /* 1527348 */   // Label 20267: @1527348
     /* 1527348 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1527430), // Rule ID 18847 //
     /* 1527353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1527356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1527361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1527370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1527388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527392 */     // MIs[0] round
     /* 1527392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527395 */     // MIs[0] policy
     /* 1527395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527405 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10943:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1527408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527429 */     // GIR_Coverage, 18847,
     /* 1527429 */     GIR_EraseRootFromParent_Done,
     /* 1527430 */   // Label 20268: @1527430
     /* 1527430 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1527530), // Rule ID 18852 //
     /* 1527435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1527452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1527455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527474 */     // MIs[0] round
     /* 1527474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527477 */     // MIs[0] policy
     /* 1527477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1527501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1527504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1527510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1527516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527529 */     // GIR_Coverage, 18852,
     /* 1527529 */     GIR_EraseRootFromParent_Done,
     /* 1527530 */   // Label 20269: @1527530
     /* 1527530 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1527630), // Rule ID 18853 //
     /* 1527535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1527546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1527549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1527552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1527555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527574 */     // MIs[0] round
     /* 1527574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527577 */     // MIs[0] policy
     /* 1527577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527587 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1527601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1527604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1527610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1527616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527629 */     // GIR_Coverage, 18853,
     /* 1527629 */     GIR_EraseRootFromParent_Done,
     /* 1527630 */   // Label 20270: @1527630
     /* 1527630 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1527730), // Rule ID 18856 //
     /* 1527635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1527652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1527655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527674 */     // MIs[0] round
     /* 1527674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527677 */     // MIs[0] policy
     /* 1527677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527687 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1527701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1527704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1527710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1527716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527729 */     // GIR_Coverage, 18856,
     /* 1527729 */     GIR_EraseRootFromParent_Done,
     /* 1527730 */   // Label 20271: @1527730
     /* 1527730 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1527830), // Rule ID 18857 //
     /* 1527735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1527746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1527749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1527752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1527755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527774 */     // MIs[0] round
     /* 1527774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527777 */     // MIs[0] policy
     /* 1527777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1527801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1527804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1527810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1527816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527829 */     // GIR_Coverage, 18857,
     /* 1527829 */     GIR_EraseRootFromParent_Done,
     /* 1527830 */   // Label 20272: @1527830
     /* 1527830 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1527930), // Rule ID 18860 //
     /* 1527835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1527852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1527855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527874 */     // MIs[0] round
     /* 1527874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527877 */     // MIs[0] policy
     /* 1527877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527887 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1527901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1527904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1527908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1527910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1527916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527929 */     // GIR_Coverage, 18860,
     /* 1527929 */     GIR_EraseRootFromParent_Done,
     /* 1527930 */   // Label 20273: @1527930
     /* 1527930 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1528030), // Rule ID 18861 //
     /* 1527935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1527943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1527946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1527949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1527952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1527955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1527962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1527974 */     // MIs[0] round
     /* 1527974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527977 */     // MIs[0] policy
     /* 1527977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10910:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1527991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1527997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1528004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528029 */     // GIR_Coverage, 18861,
     /* 1528029 */     GIR_EraseRootFromParent_Done,
     /* 1528030 */   // Label 20274: @1528030
     /* 1528030 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1528130), // Rule ID 18864 //
     /* 1528035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1528055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528074 */     // MIs[0] round
     /* 1528074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528077 */     // MIs[0] policy
     /* 1528077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528087 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1528104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528129 */     // GIR_Coverage, 18864,
     /* 1528129 */     GIR_EraseRootFromParent_Done,
     /* 1528130 */   // Label 20275: @1528130
     /* 1528130 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1528230), // Rule ID 18865 //
     /* 1528135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1528152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1528155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528174 */     // MIs[0] round
     /* 1528174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528177 */     // MIs[0] policy
     /* 1528177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10910:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1528204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528229 */     // GIR_Coverage, 18865,
     /* 1528229 */     GIR_EraseRootFromParent_Done,
     /* 1528230 */   // Label 20276: @1528230
     /* 1528230 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1528330), // Rule ID 18868 //
     /* 1528235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1528252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1528255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528274 */     // MIs[0] round
     /* 1528274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528277 */     // MIs[0] policy
     /* 1528277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528287 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1528304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528329 */     // GIR_Coverage, 18868,
     /* 1528329 */     GIR_EraseRootFromParent_Done,
     /* 1528330 */   // Label 20277: @1528330
     /* 1528330 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1528430), // Rule ID 18869 //
     /* 1528335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1528352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1528355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1528362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528374 */     // MIs[0] round
     /* 1528374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528377 */     // MIs[0] policy
     /* 1528377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10910:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1528404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528429 */     // GIR_Coverage, 18869,
     /* 1528429 */     GIR_EraseRootFromParent_Done,
     /* 1528430 */   // Label 20278: @1528430
     /* 1528430 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1528530), // Rule ID 18872 //
     /* 1528435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1528455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1528462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528474 */     // MIs[0] round
     /* 1528474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528477 */     // MIs[0] policy
     /* 1528477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528487 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1528504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528529 */     // GIR_Coverage, 18872,
     /* 1528529 */     GIR_EraseRootFromParent_Done,
     /* 1528530 */   // Label 20279: @1528530
     /* 1528530 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1528630), // Rule ID 18873 //
     /* 1528535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1528552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1528555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1528562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528574 */     // MIs[0] round
     /* 1528574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528577 */     // MIs[0] policy
     /* 1528577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1528604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528629 */     // GIR_Coverage, 18873,
     /* 1528629 */     GIR_EraseRootFromParent_Done,
     /* 1528630 */   // Label 20280: @1528630
     /* 1528630 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1528730), // Rule ID 18876 //
     /* 1528635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1528655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1528662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528674 */     // MIs[0] round
     /* 1528674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528677 */     // MIs[0] policy
     /* 1528677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528687 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1528704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528729 */     // GIR_Coverage, 18876,
     /* 1528729 */     GIR_EraseRootFromParent_Done,
     /* 1528730 */   // Label 20281: @1528730
     /* 1528730 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1528830), // Rule ID 18877 //
     /* 1528735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1528746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1528749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1528752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1528755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1528762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1528770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528774 */     // MIs[0] round
     /* 1528774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528777 */     // MIs[0] policy
     /* 1528777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528787 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1528804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528829 */     // GIR_Coverage, 18877,
     /* 1528829 */     GIR_EraseRootFromParent_Done,
     /* 1528830 */   // Label 20282: @1528830
     /* 1528830 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1528930), // Rule ID 18880 //
     /* 1528835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1528852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1528855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1528862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528874 */     // MIs[0] round
     /* 1528874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528877 */     // MIs[0] policy
     /* 1528877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528887 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1528901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1528904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1528908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1528910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1528916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528929 */     // GIR_Coverage, 18880,
     /* 1528929 */     GIR_EraseRootFromParent_Done,
     /* 1528930 */   // Label 20283: @1528930
     /* 1528930 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1529030), // Rule ID 18881 //
     /* 1528935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1528943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1528946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1528949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1528952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1528955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1528962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1528970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1528974 */     // MIs[0] round
     /* 1528974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528977 */     // MIs[0] policy
     /* 1528977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528987 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1528991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1528997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1529004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529029 */     // GIR_Coverage, 18881,
     /* 1529029 */     GIR_EraseRootFromParent_Done,
     /* 1529030 */   // Label 20284: @1529030
     /* 1529030 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1529130), // Rule ID 18884 //
     /* 1529035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1529055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529074 */     // MIs[0] round
     /* 1529074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529077 */     // MIs[0] policy
     /* 1529077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1529104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529129 */     // GIR_Coverage, 18884,
     /* 1529129 */     GIR_EraseRootFromParent_Done,
     /* 1529130 */   // Label 20285: @1529130
     /* 1529130 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1529230), // Rule ID 18885 //
     /* 1529135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1529152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1529155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529174 */     // MIs[0] round
     /* 1529174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529177 */     // MIs[0] policy
     /* 1529177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1529204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529229 */     // GIR_Coverage, 18885,
     /* 1529229 */     GIR_EraseRootFromParent_Done,
     /* 1529230 */   // Label 20286: @1529230
     /* 1529230 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1529330), // Rule ID 18888 //
     /* 1529235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1529255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529274 */     // MIs[0] round
     /* 1529274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529277 */     // MIs[0] policy
     /* 1529277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529287 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1529304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529329 */     // GIR_Coverage, 18888,
     /* 1529329 */     GIR_EraseRootFromParent_Done,
     /* 1529330 */   // Label 20287: @1529330
     /* 1529330 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1529430), // Rule ID 18889 //
     /* 1529335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1529352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1529355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529374 */     // MIs[0] round
     /* 1529374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529377 */     // MIs[0] policy
     /* 1529377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1529404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529429 */     // GIR_Coverage, 18889,
     /* 1529429 */     GIR_EraseRootFromParent_Done,
     /* 1529430 */   // Label 20288: @1529430
     /* 1529430 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1529530), // Rule ID 18892 //
     /* 1529435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1529455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1529462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529474 */     // MIs[0] round
     /* 1529474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529477 */     // MIs[0] policy
     /* 1529477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529487 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1529504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529529 */     // GIR_Coverage, 18892,
     /* 1529529 */     GIR_EraseRootFromParent_Done,
     /* 1529530 */   // Label 20289: @1529530
     /* 1529530 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1529630), // Rule ID 18893 //
     /* 1529535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1529552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1529555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1529562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529574 */     // MIs[0] round
     /* 1529574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529577 */     // MIs[0] policy
     /* 1529577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1529604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529629 */     // GIR_Coverage, 18893,
     /* 1529629 */     GIR_EraseRootFromParent_Done,
     /* 1529630 */   // Label 20290: @1529630
     /* 1529630 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1529730), // Rule ID 18896 //
     /* 1529635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1529652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1529655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529674 */     // MIs[0] round
     /* 1529674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529677 */     // MIs[0] policy
     /* 1529677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529687 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1529704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529729 */     // GIR_Coverage, 18896,
     /* 1529729 */     GIR_EraseRootFromParent_Done,
     /* 1529730 */   // Label 20291: @1529730
     /* 1529730 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1529830), // Rule ID 18897 //
     /* 1529735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1529752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1529755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1529762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529774 */     // MIs[0] round
     /* 1529774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529777 */     // MIs[0] policy
     /* 1529777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10910:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1529804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529829 */     // GIR_Coverage, 18897,
     /* 1529829 */     GIR_EraseRootFromParent_Done,
     /* 1529830 */   // Label 20292: @1529830
     /* 1529830 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1529930), // Rule ID 18900 //
     /* 1529835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1529852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1529855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529874 */     // MIs[0] round
     /* 1529874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529877 */     // MIs[0] policy
     /* 1529877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1529901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1529904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1529908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1529910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1529916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529929 */     // GIR_Coverage, 18900,
     /* 1529929 */     GIR_EraseRootFromParent_Done,
     /* 1529930 */   // Label 20293: @1529930
     /* 1529930 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1530030), // Rule ID 18901 //
     /* 1529935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1529943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1529952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1529955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1529962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1529974 */     // MIs[0] round
     /* 1529974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529977 */     // MIs[0] policy
     /* 1529977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10910:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1529991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1529997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1530004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530029 */     // GIR_Coverage, 18901,
     /* 1530029 */     GIR_EraseRootFromParent_Done,
     /* 1530030 */   // Label 20294: @1530030
     /* 1530030 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1530130), // Rule ID 18904 //
     /* 1530035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1530043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1530055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1530062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530074 */     // MIs[0] round
     /* 1530074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530077 */     // MIs[0] policy
     /* 1530077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1530104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530129 */     // GIR_Coverage, 18904,
     /* 1530129 */     GIR_EraseRootFromParent_Done,
     /* 1530130 */   // Label 20295: @1530130
     /* 1530130 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1530230), // Rule ID 18905 //
     /* 1530135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1530143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1530152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1530155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1530162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530174 */     // MIs[0] round
     /* 1530174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530177 */     // MIs[0] policy
     /* 1530177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530187 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10910:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1530204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530229 */     // GIR_Coverage, 18905,
     /* 1530229 */     GIR_EraseRootFromParent_Done,
     /* 1530230 */   // Label 20296: @1530230
     /* 1530230 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1530330), // Rule ID 18964 //
     /* 1530235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1530255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530274 */     // MIs[0] round
     /* 1530274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530277 */     // MIs[0] policy
     /* 1530277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530287 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1530304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530329 */     // GIR_Coverage, 18964,
     /* 1530329 */     GIR_EraseRootFromParent_Done,
     /* 1530330 */   // Label 20297: @1530330
     /* 1530330 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1530430), // Rule ID 18965 //
     /* 1530335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1530355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530374 */     // MIs[0] round
     /* 1530374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530377 */     // MIs[0] policy
     /* 1530377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530387 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1530404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530429 */     // GIR_Coverage, 18965,
     /* 1530429 */     GIR_EraseRootFromParent_Done,
     /* 1530430 */   // Label 20298: @1530430
     /* 1530430 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1530530), // Rule ID 18968 //
     /* 1530435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1530455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530474 */     // MIs[0] round
     /* 1530474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530477 */     // MIs[0] policy
     /* 1530477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530487 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1530504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530529 */     // GIR_Coverage, 18968,
     /* 1530529 */     GIR_EraseRootFromParent_Done,
     /* 1530530 */   // Label 20299: @1530530
     /* 1530530 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1530630), // Rule ID 18969 //
     /* 1530535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1530555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530574 */     // MIs[0] round
     /* 1530574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530577 */     // MIs[0] policy
     /* 1530577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530587 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1530604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530629 */     // GIR_Coverage, 18969,
     /* 1530629 */     GIR_EraseRootFromParent_Done,
     /* 1530630 */   // Label 20300: @1530630
     /* 1530630 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1530730), // Rule ID 18972 //
     /* 1530635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1530652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1530655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530674 */     // MIs[0] round
     /* 1530674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530677 */     // MIs[0] policy
     /* 1530677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530687 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1530704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530729 */     // GIR_Coverage, 18972,
     /* 1530729 */     GIR_EraseRootFromParent_Done,
     /* 1530730 */   // Label 20301: @1530730
     /* 1530730 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1530830), // Rule ID 18973 //
     /* 1530735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1530752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1530755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530774 */     // MIs[0] round
     /* 1530774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530777 */     // MIs[0] policy
     /* 1530777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1530804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530829 */     // GIR_Coverage, 18973,
     /* 1530829 */     GIR_EraseRootFromParent_Done,
     /* 1530830 */   // Label 20302: @1530830
     /* 1530830 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1530930), // Rule ID 18976 //
     /* 1530835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1530855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530874 */     // MIs[0] round
     /* 1530874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530877 */     // MIs[0] policy
     /* 1530877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530887 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1530901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1530904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1530908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1530910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1530916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530929 */     // GIR_Coverage, 18976,
     /* 1530929 */     GIR_EraseRootFromParent_Done,
     /* 1530930 */   // Label 20303: @1530930
     /* 1530930 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1531030), // Rule ID 18977 //
     /* 1530935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1530943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1530955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1530962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1530974 */     // MIs[0] round
     /* 1530974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530977 */     // MIs[0] policy
     /* 1530977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10886:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1530991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1530997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1531004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531029 */     // GIR_Coverage, 18977,
     /* 1531029 */     GIR_EraseRootFromParent_Done,
     /* 1531030 */   // Label 20304: @1531030
     /* 1531030 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1531130), // Rule ID 18980 //
     /* 1531035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1531055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531074 */     // MIs[0] round
     /* 1531074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531077 */     // MIs[0] policy
     /* 1531077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531087 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1531104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531129 */     // GIR_Coverage, 18980,
     /* 1531129 */     GIR_EraseRootFromParent_Done,
     /* 1531130 */   // Label 20305: @1531130
     /* 1531130 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1531230), // Rule ID 18981 //
     /* 1531135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1531155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531174 */     // MIs[0] round
     /* 1531174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531177 */     // MIs[0] policy
     /* 1531177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10886:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1531204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531229 */     // GIR_Coverage, 18981,
     /* 1531229 */     GIR_EraseRootFromParent_Done,
     /* 1531230 */   // Label 20306: @1531230
     /* 1531230 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1531330), // Rule ID 18984 //
     /* 1531235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1531255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531274 */     // MIs[0] round
     /* 1531274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531277 */     // MIs[0] policy
     /* 1531277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531287 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1531304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531329 */     // GIR_Coverage, 18984,
     /* 1531329 */     GIR_EraseRootFromParent_Done,
     /* 1531330 */   // Label 20307: @1531330
     /* 1531330 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1531430), // Rule ID 18985 //
     /* 1531335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1531355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1531362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531374 */     // MIs[0] round
     /* 1531374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531377 */     // MIs[0] policy
     /* 1531377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531387 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10886:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1531404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531429 */     // GIR_Coverage, 18985,
     /* 1531429 */     GIR_EraseRootFromParent_Done,
     /* 1531430 */   // Label 20308: @1531430
     /* 1531430 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1531530), // Rule ID 18988 //
     /* 1531435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1531455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531474 */     // MIs[0] round
     /* 1531474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531477 */     // MIs[0] policy
     /* 1531477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531487 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1531504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531529 */     // GIR_Coverage, 18988,
     /* 1531529 */     GIR_EraseRootFromParent_Done,
     /* 1531530 */   // Label 20309: @1531530
     /* 1531530 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1531630), // Rule ID 18989 //
     /* 1531535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1531555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1531562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531574 */     // MIs[0] round
     /* 1531574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531577 */     // MIs[0] policy
     /* 1531577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1531604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531629 */     // GIR_Coverage, 18989,
     /* 1531629 */     GIR_EraseRootFromParent_Done,
     /* 1531630 */   // Label 20310: @1531630
     /* 1531630 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1531730), // Rule ID 18992 //
     /* 1531635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1531655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1531662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531674 */     // MIs[0] round
     /* 1531674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531677 */     // MIs[0] policy
     /* 1531677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531687 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1531704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531729 */     // GIR_Coverage, 18992,
     /* 1531729 */     GIR_EraseRootFromParent_Done,
     /* 1531730 */   // Label 20311: @1531730
     /* 1531730 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1531830), // Rule ID 18993 //
     /* 1531735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1531755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1531762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531774 */     // MIs[0] round
     /* 1531774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531777 */     // MIs[0] policy
     /* 1531777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531787 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1531804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531829 */     // GIR_Coverage, 18993,
     /* 1531829 */     GIR_EraseRootFromParent_Done,
     /* 1531830 */   // Label 20312: @1531830
     /* 1531830 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1531930), // Rule ID 18996 //
     /* 1531835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1531855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1531862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531874 */     // MIs[0] round
     /* 1531874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531877 */     // MIs[0] policy
     /* 1531877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531887 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1531901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1531904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1531908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1531910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1531916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531929 */     // GIR_Coverage, 18996,
     /* 1531929 */     GIR_EraseRootFromParent_Done,
     /* 1531930 */   // Label 20313: @1531930
     /* 1531930 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1532030), // Rule ID 18997 //
     /* 1531935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1531943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1531955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1531962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1531974 */     // MIs[0] round
     /* 1531974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531977 */     // MIs[0] policy
     /* 1531977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531987 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1531991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1531997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1532004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532029 */     // GIR_Coverage, 18997,
     /* 1532029 */     GIR_EraseRootFromParent_Done,
     /* 1532030 */   // Label 20314: @1532030
     /* 1532030 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1532130), // Rule ID 19000 //
     /* 1532035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1532055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532074 */     // MIs[0] round
     /* 1532074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532077 */     // MIs[0] policy
     /* 1532077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1532104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532129 */     // GIR_Coverage, 19000,
     /* 1532129 */     GIR_EraseRootFromParent_Done,
     /* 1532130 */   // Label 20315: @1532130
     /* 1532130 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1532230), // Rule ID 19001 //
     /* 1532135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1532146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1532149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1532152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1532155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532174 */     // MIs[0] round
     /* 1532174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532177 */     // MIs[0] policy
     /* 1532177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1532204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532229 */     // GIR_Coverage, 19001,
     /* 1532229 */     GIR_EraseRootFromParent_Done,
     /* 1532230 */   // Label 20316: @1532230
     /* 1532230 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1532330), // Rule ID 19004 //
     /* 1532235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1532255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532274 */     // MIs[0] round
     /* 1532274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532277 */     // MIs[0] policy
     /* 1532277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532287 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1532304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532329 */     // GIR_Coverage, 19004,
     /* 1532329 */     GIR_EraseRootFromParent_Done,
     /* 1532330 */   // Label 20317: @1532330
     /* 1532330 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1532430), // Rule ID 19005 //
     /* 1532335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1532355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532374 */     // MIs[0] round
     /* 1532374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532377 */     // MIs[0] policy
     /* 1532377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1532404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532429 */     // GIR_Coverage, 19005,
     /* 1532429 */     GIR_EraseRootFromParent_Done,
     /* 1532430 */   // Label 20318: @1532430
     /* 1532430 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1532530), // Rule ID 19008 //
     /* 1532435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1532455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1532462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532474 */     // MIs[0] round
     /* 1532474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532477 */     // MIs[0] policy
     /* 1532477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532487 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1532504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532529 */     // GIR_Coverage, 19008,
     /* 1532529 */     GIR_EraseRootFromParent_Done,
     /* 1532530 */   // Label 20319: @1532530
     /* 1532530 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1532630), // Rule ID 19009 //
     /* 1532535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1532555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1532562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532574 */     // MIs[0] round
     /* 1532574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532577 */     // MIs[0] policy
     /* 1532577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532587 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1532604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532629 */     // GIR_Coverage, 19009,
     /* 1532629 */     GIR_EraseRootFromParent_Done,
     /* 1532630 */   // Label 20320: @1532630
     /* 1532630 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1532730), // Rule ID 19012 //
     /* 1532635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1532655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532674 */     // MIs[0] round
     /* 1532674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532677 */     // MIs[0] policy
     /* 1532677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532687 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1532704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532729 */     // GIR_Coverage, 19012,
     /* 1532729 */     GIR_EraseRootFromParent_Done,
     /* 1532730 */   // Label 20321: @1532730
     /* 1532730 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1532830), // Rule ID 19013 //
     /* 1532735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1532755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1532762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532774 */     // MIs[0] round
     /* 1532774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532777 */     // MIs[0] policy
     /* 1532777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532787 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10886:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1532804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532829 */     // GIR_Coverage, 19013,
     /* 1532829 */     GIR_EraseRootFromParent_Done,
     /* 1532830 */   // Label 20322: @1532830
     /* 1532830 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1532930), // Rule ID 19016 //
     /* 1532835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1532855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532874 */     // MIs[0] round
     /* 1532874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532877 */     // MIs[0] policy
     /* 1532877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532887 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1532901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1532904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1532908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1532910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1532916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532929 */     // GIR_Coverage, 19016,
     /* 1532929 */     GIR_EraseRootFromParent_Done,
     /* 1532930 */   // Label 20323: @1532930
     /* 1532930 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1533030), // Rule ID 19017 //
     /* 1532935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1532943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1532955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1532962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1532974 */     // MIs[0] round
     /* 1532974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532977 */     // MIs[0] policy
     /* 1532977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532987 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10886:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1532991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1532997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1533004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533029 */     // GIR_Coverage, 19017,
     /* 1533029 */     GIR_EraseRootFromParent_Done,
     /* 1533030 */   // Label 20324: @1533030
     /* 1533030 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1533130), // Rule ID 19020 //
     /* 1533035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1533043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1533052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1533055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1533062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533074 */     // MIs[0] round
     /* 1533074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533077 */     // MIs[0] policy
     /* 1533077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533087 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1533104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533129 */     // GIR_Coverage, 19020,
     /* 1533129 */     GIR_EraseRootFromParent_Done,
     /* 1533130 */   // Label 20325: @1533130
     /* 1533130 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1533230), // Rule ID 19021 //
     /* 1533135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1533143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1533146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1533149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1533152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1533155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1533162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1533170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533174 */     // MIs[0] round
     /* 1533174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533177 */     // MIs[0] policy
     /* 1533177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533187 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10886:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1533204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533229 */     // GIR_Coverage, 19021,
     /* 1533229 */     GIR_EraseRootFromParent_Done,
     /* 1533230 */   // Label 20326: @1533230
     /* 1533230 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1533330), // Rule ID 20606 //
     /* 1533235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1533238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1533255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533274 */     // MIs[0] round
     /* 1533274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533277 */     // MIs[0] policy
     /* 1533277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1533304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533329 */     // GIR_Coverage, 20606,
     /* 1533329 */     GIR_EraseRootFromParent_Done,
     /* 1533330 */   // Label 20327: @1533330
     /* 1533330 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1533430), // Rule ID 20607 //
     /* 1533335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1533338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1533352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1533355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533374 */     // MIs[0] round
     /* 1533374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533377 */     // MIs[0] policy
     /* 1533377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1533404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533429 */     // GIR_Coverage, 20607,
     /* 1533429 */     GIR_EraseRootFromParent_Done,
     /* 1533430 */   // Label 20328: @1533430
     /* 1533430 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1533530), // Rule ID 20610 //
     /* 1533435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1533438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1533455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533474 */     // MIs[0] round
     /* 1533474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533477 */     // MIs[0] policy
     /* 1533477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1533504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533529 */     // GIR_Coverage, 20610,
     /* 1533529 */     GIR_EraseRootFromParent_Done,
     /* 1533530 */   // Label 20329: @1533530
     /* 1533530 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1533630), // Rule ID 20611 //
     /* 1533535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1533538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1533552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1533555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533574 */     // MIs[0] round
     /* 1533574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533577 */     // MIs[0] policy
     /* 1533577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1533604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533629 */     // GIR_Coverage, 20611,
     /* 1533629 */     GIR_EraseRootFromParent_Done,
     /* 1533630 */   // Label 20330: @1533630
     /* 1533630 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1533730), // Rule ID 20614 //
     /* 1533635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1533638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1533655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533674 */     // MIs[0] round
     /* 1533674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533677 */     // MIs[0] policy
     /* 1533677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1533704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533729 */     // GIR_Coverage, 20614,
     /* 1533729 */     GIR_EraseRootFromParent_Done,
     /* 1533730 */   // Label 20331: @1533730
     /* 1533730 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1533830), // Rule ID 20615 //
     /* 1533735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1533738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1533752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1533755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533774 */     // MIs[0] round
     /* 1533774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533777 */     // MIs[0] policy
     /* 1533777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10832:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1533804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533829 */     // GIR_Coverage, 20615,
     /* 1533829 */     GIR_EraseRootFromParent_Done,
     /* 1533830 */   // Label 20332: @1533830
     /* 1533830 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1533930), // Rule ID 20618 //
     /* 1533835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1533838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1533852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1533855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533874 */     // MIs[0] round
     /* 1533874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533877 */     // MIs[0] policy
     /* 1533877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1533901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1533904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1533908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1533910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1533916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533929 */     // GIR_Coverage, 20618,
     /* 1533929 */     GIR_EraseRootFromParent_Done,
     /* 1533930 */   // Label 20333: @1533930
     /* 1533930 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1534030), // Rule ID 20619 //
     /* 1533935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1533938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1533943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1533952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1533955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1533962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1533974 */     // MIs[0] round
     /* 1533974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533977 */     // MIs[0] policy
     /* 1533977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10832:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1533991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1533997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1534004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534029 */     // GIR_Coverage, 20619,
     /* 1534029 */     GIR_EraseRootFromParent_Done,
     /* 1534030 */   // Label 20334: @1534030
     /* 1534030 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1534130), // Rule ID 20622 //
     /* 1534035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1534038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1534052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1534055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534074 */     // MIs[0] round
     /* 1534074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534077 */     // MIs[0] policy
     /* 1534077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1534104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534129 */     // GIR_Coverage, 20622,
     /* 1534129 */     GIR_EraseRootFromParent_Done,
     /* 1534130 */   // Label 20335: @1534130
     /* 1534130 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1534230), // Rule ID 20623 //
     /* 1534135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1534138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1534146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1534149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1534152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1534155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1534162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1534170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534174 */     // MIs[0] round
     /* 1534174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534177 */     // MIs[0] policy
     /* 1534177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10832:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1534204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534229 */     // GIR_Coverage, 20623,
     /* 1534229 */     GIR_EraseRootFromParent_Done,
     /* 1534230 */   // Label 20336: @1534230
     /* 1534230 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1534330), // Rule ID 20626 //
     /* 1534235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1534238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1534255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534274 */     // MIs[0] round
     /* 1534274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534277 */     // MIs[0] policy
     /* 1534277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1534304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534329 */     // GIR_Coverage, 20626,
     /* 1534329 */     GIR_EraseRootFromParent_Done,
     /* 1534330 */   // Label 20337: @1534330
     /* 1534330 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1534430), // Rule ID 20627 //
     /* 1534335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1534338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1534346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1534349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1534352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1534355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534374 */     // MIs[0] round
     /* 1534374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534377 */     // MIs[0] policy
     /* 1534377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1534404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534429 */     // GIR_Coverage, 20627,
     /* 1534429 */     GIR_EraseRootFromParent_Done,
     /* 1534430 */   // Label 20338: @1534430
     /* 1534430 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1534530), // Rule ID 20630 //
     /* 1534435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1534438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1534455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1534462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534474 */     // MIs[0] round
     /* 1534474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534477 */     // MIs[0] policy
     /* 1534477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1534504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534529 */     // GIR_Coverage, 20630,
     /* 1534529 */     GIR_EraseRootFromParent_Done,
     /* 1534530 */   // Label 20339: @1534530
     /* 1534530 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1534630), // Rule ID 20631 //
     /* 1534535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1534538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1534552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1534555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1534562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534574 */     // MIs[0] round
     /* 1534574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534577 */     // MIs[0] policy
     /* 1534577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1534604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534629 */     // GIR_Coverage, 20631,
     /* 1534629 */     GIR_EraseRootFromParent_Done,
     /* 1534630 */   // Label 20340: @1534630
     /* 1534630 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1534730), // Rule ID 20634 //
     /* 1534635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1534638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1534652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1534655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1534662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534674 */     // MIs[0] round
     /* 1534674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534677 */     // MIs[0] policy
     /* 1534677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534687 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1534704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534729 */     // GIR_Coverage, 20634,
     /* 1534729 */     GIR_EraseRootFromParent_Done,
     /* 1534730 */   // Label 20341: @1534730
     /* 1534730 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1534830), // Rule ID 20635 //
     /* 1534735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1534738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1534752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1534755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1534762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534774 */     // MIs[0] round
     /* 1534774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534777 */     // MIs[0] policy
     /* 1534777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1534804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534829 */     // GIR_Coverage, 20635,
     /* 1534829 */     GIR_EraseRootFromParent_Done,
     /* 1534830 */   // Label 20342: @1534830
     /* 1534830 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1534930), // Rule ID 20638 //
     /* 1534835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1534838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1534855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534874 */     // MIs[0] round
     /* 1534874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534877 */     // MIs[0] policy
     /* 1534877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1534901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1534904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1534908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1534910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1534916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534929 */     // GIR_Coverage, 20638,
     /* 1534929 */     GIR_EraseRootFromParent_Done,
     /* 1534930 */   // Label 20343: @1534930
     /* 1534930 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1535030), // Rule ID 20639 //
     /* 1534935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1534938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1534943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1534952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1534955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1534962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1534974 */     // MIs[0] round
     /* 1534974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534977 */     // MIs[0] policy
     /* 1534977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1534991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1534997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1535004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535029 */     // GIR_Coverage, 20639,
     /* 1535029 */     GIR_EraseRootFromParent_Done,
     /* 1535030 */   // Label 20344: @1535030
     /* 1535030 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1535130), // Rule ID 20642 //
     /* 1535035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1535038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1535055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535074 */     // MIs[0] round
     /* 1535074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535077 */     // MIs[0] policy
     /* 1535077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1535104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535129 */     // GIR_Coverage, 20642,
     /* 1535129 */     GIR_EraseRootFromParent_Done,
     /* 1535130 */   // Label 20345: @1535130
     /* 1535130 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1535230), // Rule ID 20643 //
     /* 1535135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1535138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1535146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1535149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1535152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1535155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535174 */     // MIs[0] round
     /* 1535174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535177 */     // MIs[0] policy
     /* 1535177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1535204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535229 */     // GIR_Coverage, 20643,
     /* 1535229 */     GIR_EraseRootFromParent_Done,
     /* 1535230 */   // Label 20346: @1535230
     /* 1535230 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1535330), // Rule ID 20646 //
     /* 1535235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1535238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1535252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1535255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535274 */     // MIs[0] round
     /* 1535274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535277 */     // MIs[0] policy
     /* 1535277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1535304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535329 */     // GIR_Coverage, 20646,
     /* 1535329 */     GIR_EraseRootFromParent_Done,
     /* 1535330 */   // Label 20347: @1535330
     /* 1535330 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1535430), // Rule ID 20647 //
     /* 1535335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1535338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1535346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1535349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1535352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1535355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535374 */     // MIs[0] round
     /* 1535374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535377 */     // MIs[0] policy
     /* 1535377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1535404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535429 */     // GIR_Coverage, 20647,
     /* 1535429 */     GIR_EraseRootFromParent_Done,
     /* 1535430 */   // Label 20348: @1535430
     /* 1535430 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1535530), // Rule ID 20650 //
     /* 1535435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1535438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1535455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1535462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535474 */     // MIs[0] round
     /* 1535474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535477 */     // MIs[0] policy
     /* 1535477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1535504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535529 */     // GIR_Coverage, 20650,
     /* 1535529 */     GIR_EraseRootFromParent_Done,
     /* 1535530 */   // Label 20349: @1535530
     /* 1535530 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1535630), // Rule ID 20651 //
     /* 1535535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1535538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1535546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1535549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1535552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1535555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1535562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1535570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535574 */     // MIs[0] round
     /* 1535574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535577 */     // MIs[0] policy
     /* 1535577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10832:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1535604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535629 */     // GIR_Coverage, 20651,
     /* 1535629 */     GIR_EraseRootFromParent_Done,
     /* 1535630 */   // Label 20350: @1535630
     /* 1535630 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1535730), // Rule ID 20654 //
     /* 1535635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1535638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1535655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535674 */     // MIs[0] round
     /* 1535674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535677 */     // MIs[0] policy
     /* 1535677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1535704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535729 */     // GIR_Coverage, 20654,
     /* 1535729 */     GIR_EraseRootFromParent_Done,
     /* 1535730 */   // Label 20351: @1535730
     /* 1535730 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1535830), // Rule ID 20655 //
     /* 1535735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1535738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1535746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1535749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1535752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1535755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1535762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535774 */     // MIs[0] round
     /* 1535774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535777 */     // MIs[0] policy
     /* 1535777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10832:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1535804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535829 */     // GIR_Coverage, 20655,
     /* 1535829 */     GIR_EraseRootFromParent_Done,
     /* 1535830 */   // Label 20352: @1535830
     /* 1535830 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1535930), // Rule ID 20658 //
     /* 1535835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1535838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1535855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535874 */     // MIs[0] round
     /* 1535874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535877 */     // MIs[0] policy
     /* 1535877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1535901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1535904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1535908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1535910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1535916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535929 */     // GIR_Coverage, 20658,
     /* 1535929 */     GIR_EraseRootFromParent_Done,
     /* 1535930 */   // Label 20353: @1535930
     /* 1535930 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1536030), // Rule ID 20659 //
     /* 1535935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1535938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1535943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1535952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1535955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1535962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1535974 */     // MIs[0] round
     /* 1535974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535977 */     // MIs[0] policy
     /* 1535977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10832:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1535991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1535997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1536004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536029 */     // GIR_Coverage, 20659,
     /* 1536029 */     GIR_EraseRootFromParent_Done,
     /* 1536030 */   // Label 20354: @1536030
     /* 1536030 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1536130), // Rule ID 20662 //
     /* 1536035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1536038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1536046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1536049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1536055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536074 */     // MIs[0] round
     /* 1536074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536077 */     // MIs[0] policy
     /* 1536077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1536104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536129 */     // GIR_Coverage, 20662,
     /* 1536129 */     GIR_EraseRootFromParent_Done,
     /* 1536130 */   // Label 20355: @1536130
     /* 1536130 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1536230), // Rule ID 20663 //
     /* 1536135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1536138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1536146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1536149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1536152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1536155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536174 */     // MIs[0] round
     /* 1536174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536177 */     // MIs[0] policy
     /* 1536177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1536204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536229 */     // GIR_Coverage, 20663,
     /* 1536229 */     GIR_EraseRootFromParent_Done,
     /* 1536230 */   // Label 20356: @1536230
     /* 1536230 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1536330), // Rule ID 20666 //
     /* 1536235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1536238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1536255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536274 */     // MIs[0] round
     /* 1536274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536277 */     // MIs[0] policy
     /* 1536277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1536304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536329 */     // GIR_Coverage, 20666,
     /* 1536329 */     GIR_EraseRootFromParent_Done,
     /* 1536330 */   // Label 20357: @1536330
     /* 1536330 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1536430), // Rule ID 20667 //
     /* 1536335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1536338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1536346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1536349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1536352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1536355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536374 */     // MIs[0] round
     /* 1536374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536377 */     // MIs[0] policy
     /* 1536377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1536404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536429 */     // GIR_Coverage, 20667,
     /* 1536429 */     GIR_EraseRootFromParent_Done,
     /* 1536430 */   // Label 20358: @1536430
     /* 1536430 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1536530), // Rule ID 20670 //
     /* 1536435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1536438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1536455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536474 */     // MIs[0] round
     /* 1536474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536477 */     // MIs[0] policy
     /* 1536477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536487 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1536504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536529 */     // GIR_Coverage, 20670,
     /* 1536529 */     GIR_EraseRootFromParent_Done,
     /* 1536530 */   // Label 20359: @1536530
     /* 1536530 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1536630), // Rule ID 20671 //
     /* 1536535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1536538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1536546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1536549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1536552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1536555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536574 */     // MIs[0] round
     /* 1536574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536577 */     // MIs[0] policy
     /* 1536577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1536604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536629 */     // GIR_Coverage, 20671,
     /* 1536629 */     GIR_EraseRootFromParent_Done,
     /* 1536630 */   // Label 20360: @1536630
     /* 1536630 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1536730), // Rule ID 20674 //
     /* 1536635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1536638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1536655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536674 */     // MIs[0] round
     /* 1536674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536677 */     // MIs[0] policy
     /* 1536677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536687 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1536704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536729 */     // GIR_Coverage, 20674,
     /* 1536729 */     GIR_EraseRootFromParent_Done,
     /* 1536730 */   // Label 20361: @1536730
     /* 1536730 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1536830), // Rule ID 20675 //
     /* 1536735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1536738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1536746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1536749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1536752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1536755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536774 */     // MIs[0] round
     /* 1536774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536777 */     // MIs[0] policy
     /* 1536777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10834:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1536804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536829 */     // GIR_Coverage, 20675,
     /* 1536829 */     GIR_EraseRootFromParent_Done,
     /* 1536830 */   // Label 20362: @1536830
     /* 1536830 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1536930), // Rule ID 20678 //
     /* 1536835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1536838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1536855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536874 */     // MIs[0] round
     /* 1536874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536877 */     // MIs[0] policy
     /* 1536877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1536901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1536904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1536908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1536910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1536916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536929 */     // GIR_Coverage, 20678,
     /* 1536929 */     GIR_EraseRootFromParent_Done,
     /* 1536930 */   // Label 20363: @1536930
     /* 1536930 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1537030), // Rule ID 20679 //
     /* 1536935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1536938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1536943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1536946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1536949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1536952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1536955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1536962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1536974 */     // MIs[0] round
     /* 1536974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536977 */     // MIs[0] policy
     /* 1536977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10834:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1536991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1536997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1537004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537029 */     // GIR_Coverage, 20679,
     /* 1537029 */     GIR_EraseRootFromParent_Done,
     /* 1537030 */   // Label 20364: @1537030
     /* 1537030 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1537130), // Rule ID 20682 //
     /* 1537035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1537038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1537052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1537055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1537062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537074 */     // MIs[0] round
     /* 1537074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537077 */     // MIs[0] policy
     /* 1537077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1537104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537129 */     // GIR_Coverage, 20682,
     /* 1537129 */     GIR_EraseRootFromParent_Done,
     /* 1537130 */   // Label 20365: @1537130
     /* 1537130 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1537230), // Rule ID 20683 //
     /* 1537135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1537138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1537146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1537149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1537152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1537155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1537162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537174 */     // MIs[0] round
     /* 1537174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537177 */     // MIs[0] policy
     /* 1537177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10834:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1537204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537229 */     // GIR_Coverage, 20683,
     /* 1537229 */     GIR_EraseRootFromParent_Done,
     /* 1537230 */   // Label 20366: @1537230
     /* 1537230 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1537330), // Rule ID 20686 //
     /* 1537235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1537238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1537246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1537249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1537255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537274 */     // MIs[0] round
     /* 1537274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537277 */     // MIs[0] policy
     /* 1537277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537287 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1537304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537329 */     // GIR_Coverage, 20686,
     /* 1537329 */     GIR_EraseRootFromParent_Done,
     /* 1537330 */   // Label 20367: @1537330
     /* 1537330 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1537430), // Rule ID 20687 //
     /* 1537335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1537338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1537346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1537349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1537352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1537355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537374 */     // MIs[0] round
     /* 1537374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537377 */     // MIs[0] policy
     /* 1537377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537387 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1537404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537429 */     // GIR_Coverage, 20687,
     /* 1537429 */     GIR_EraseRootFromParent_Done,
     /* 1537430 */   // Label 20368: @1537430
     /* 1537430 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1537530), // Rule ID 20690 //
     /* 1537435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1537438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1537455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1537462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537474 */     // MIs[0] round
     /* 1537474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537477 */     // MIs[0] policy
     /* 1537477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1537504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537529 */     // GIR_Coverage, 20690,
     /* 1537529 */     GIR_EraseRootFromParent_Done,
     /* 1537530 */   // Label 20369: @1537530
     /* 1537530 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1537630), // Rule ID 20691 //
     /* 1537535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1537538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1537546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1537549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1537552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1537555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1537562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537574 */     // MIs[0] round
     /* 1537574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537577 */     // MIs[0] policy
     /* 1537577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1537604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537629 */     // GIR_Coverage, 20691,
     /* 1537629 */     GIR_EraseRootFromParent_Done,
     /* 1537630 */   // Label 20370: @1537630
     /* 1537630 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1537730), // Rule ID 20694 //
     /* 1537635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1537638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1537652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1537655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1537662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537674 */     // MIs[0] round
     /* 1537674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537677 */     // MIs[0] policy
     /* 1537677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537687 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1537704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537729 */     // GIR_Coverage, 20694,
     /* 1537729 */     GIR_EraseRootFromParent_Done,
     /* 1537730 */   // Label 20371: @1537730
     /* 1537730 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1537830), // Rule ID 20695 //
     /* 1537735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1537738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1537746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1537749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1537752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1537755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1537762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537774 */     // MIs[0] round
     /* 1537774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537777 */     // MIs[0] policy
     /* 1537777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1537804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537829 */     // GIR_Coverage, 20695,
     /* 1537829 */     GIR_EraseRootFromParent_Done,
     /* 1537830 */   // Label 20372: @1537830
     /* 1537830 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1537930), // Rule ID 20698 //
     /* 1537835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1537838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1537855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537874 */     // MIs[0] round
     /* 1537874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537877 */     // MIs[0] policy
     /* 1537877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537887 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1537901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1537904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1537908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1537910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1537916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537929 */     // GIR_Coverage, 20698,
     /* 1537929 */     GIR_EraseRootFromParent_Done,
     /* 1537930 */   // Label 20373: @1537930
     /* 1537930 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1538030), // Rule ID 20699 //
     /* 1537935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1537938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1537943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1537946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1537949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1537952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1537955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1537962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1537974 */     // MIs[0] round
     /* 1537974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537977 */     // MIs[0] policy
     /* 1537977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1537991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1537997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1538004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538029 */     // GIR_Coverage, 20699,
     /* 1538029 */     GIR_EraseRootFromParent_Done,
     /* 1538030 */   // Label 20374: @1538030
     /* 1538030 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1538130), // Rule ID 20702 //
     /* 1538035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1538038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1538055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538074 */     // MIs[0] round
     /* 1538074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538077 */     // MIs[0] policy
     /* 1538077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1538104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538129 */     // GIR_Coverage, 20702,
     /* 1538129 */     GIR_EraseRootFromParent_Done,
     /* 1538130 */   // Label 20375: @1538130
     /* 1538130 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1538230), // Rule ID 20703 //
     /* 1538135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1538138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1538146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1538149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1538152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1538155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538174 */     // MIs[0] round
     /* 1538174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538177 */     // MIs[0] policy
     /* 1538177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1538204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538229 */     // GIR_Coverage, 20703,
     /* 1538229 */     GIR_EraseRootFromParent_Done,
     /* 1538230 */   // Label 20376: @1538230
     /* 1538230 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1538330), // Rule ID 20706 //
     /* 1538235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1538238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1538252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1538255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538274 */     // MIs[0] round
     /* 1538274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538277 */     // MIs[0] policy
     /* 1538277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1538304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538329 */     // GIR_Coverage, 20706,
     /* 1538329 */     GIR_EraseRootFromParent_Done,
     /* 1538330 */   // Label 20377: @1538330
     /* 1538330 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1538430), // Rule ID 20707 //
     /* 1538335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1538338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1538346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1538349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1538352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1538355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538374 */     // MIs[0] round
     /* 1538374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538377 */     // MIs[0] policy
     /* 1538377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1538404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538429 */     // GIR_Coverage, 20707,
     /* 1538429 */     GIR_EraseRootFromParent_Done,
     /* 1538430 */   // Label 20378: @1538430
     /* 1538430 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1538530), // Rule ID 20710 //
     /* 1538435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1538438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1538452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1538455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1538462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538474 */     // MIs[0] round
     /* 1538474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538477 */     // MIs[0] policy
     /* 1538477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538487 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1538504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538529 */     // GIR_Coverage, 20710,
     /* 1538529 */     GIR_EraseRootFromParent_Done,
     /* 1538530 */   // Label 20379: @1538530
     /* 1538530 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1538630), // Rule ID 20711 //
     /* 1538535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1538538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1538546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1538549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1538552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1538555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1538562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538574 */     // MIs[0] round
     /* 1538574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538577 */     // MIs[0] policy
     /* 1538577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10834:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1538604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538629 */     // GIR_Coverage, 20711,
     /* 1538629 */     GIR_EraseRootFromParent_Done,
     /* 1538630 */   // Label 20380: @1538630
     /* 1538630 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1538730), // Rule ID 20714 //
     /* 1538635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1538638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1538652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1538655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538674 */     // MIs[0] round
     /* 1538674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538677 */     // MIs[0] policy
     /* 1538677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1538704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538729 */     // GIR_Coverage, 20714,
     /* 1538729 */     GIR_EraseRootFromParent_Done,
     /* 1538730 */   // Label 20381: @1538730
     /* 1538730 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1538830), // Rule ID 20715 //
     /* 1538735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1538738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1538746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1538749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1538752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1538755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1538762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538774 */     // MIs[0] round
     /* 1538774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538777 */     // MIs[0] policy
     /* 1538777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10834:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1538804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538829 */     // GIR_Coverage, 20715,
     /* 1538829 */     GIR_EraseRootFromParent_Done,
     /* 1538830 */   // Label 20382: @1538830
     /* 1538830 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1538930), // Rule ID 20718 //
     /* 1538835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1538838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1538855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538874 */     // MIs[0] round
     /* 1538874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538877 */     // MIs[0] policy
     /* 1538877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1538901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1538904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1538908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1538910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1538916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538929 */     // GIR_Coverage, 20718,
     /* 1538929 */     GIR_EraseRootFromParent_Done,
     /* 1538930 */   // Label 20383: @1538930
     /* 1538930 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1539030), // Rule ID 20719 //
     /* 1538935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1538938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1538943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1538946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1538949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1538952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1538955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1538962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1538970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1538974 */     // MIs[0] round
     /* 1538974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538977 */     // MIs[0] policy
     /* 1538977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10834:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1538991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1538997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1539004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539029 */     // GIR_Coverage, 20719,
     /* 1539029 */     GIR_EraseRootFromParent_Done,
     /* 1539030 */   // Label 20384: @1539030
     /* 1539030 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1539130), // Rule ID 20842 //
     /* 1539035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1539038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1539046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1539049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539074 */     // MIs[0] round
     /* 1539074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539077 */     // MIs[0] policy
     /* 1539077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539087 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1539104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539129 */     // GIR_Coverage, 20842,
     /* 1539129 */     GIR_EraseRootFromParent_Done,
     /* 1539130 */   // Label 20385: @1539130
     /* 1539130 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1539230), // Rule ID 20843 //
     /* 1539135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1539138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1539146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1539149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1539152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539174 */     // MIs[0] round
     /* 1539174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539177 */     // MIs[0] policy
     /* 1539177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539187 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1539204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539229 */     // GIR_Coverage, 20843,
     /* 1539229 */     GIR_EraseRootFromParent_Done,
     /* 1539230 */   // Label 20386: @1539230
     /* 1539230 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1539330), // Rule ID 20846 //
     /* 1539235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1539238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1539246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1539249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539274 */     // MIs[0] round
     /* 1539274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539277 */     // MIs[0] policy
     /* 1539277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539287 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1539304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539329 */     // GIR_Coverage, 20846,
     /* 1539329 */     GIR_EraseRootFromParent_Done,
     /* 1539330 */   // Label 20387: @1539330
     /* 1539330 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1539430), // Rule ID 20847 //
     /* 1539335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1539338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1539346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1539349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1539352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539374 */     // MIs[0] round
     /* 1539374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539377 */     // MIs[0] policy
     /* 1539377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1539404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539429 */     // GIR_Coverage, 20847,
     /* 1539429 */     GIR_EraseRootFromParent_Done,
     /* 1539430 */   // Label 20388: @1539430
     /* 1539430 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1539530), // Rule ID 20850 //
     /* 1539435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1539438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539474 */     // MIs[0] round
     /* 1539474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539477 */     // MIs[0] policy
     /* 1539477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1539504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539529 */     // GIR_Coverage, 20850,
     /* 1539529 */     GIR_EraseRootFromParent_Done,
     /* 1539530 */   // Label 20389: @1539530
     /* 1539530 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1539630), // Rule ID 20851 //
     /* 1539535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1539538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1539546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1539549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1539552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1539555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539574 */     // MIs[0] round
     /* 1539574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539577 */     // MIs[0] policy
     /* 1539577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1539604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539629 */     // GIR_Coverage, 20851,
     /* 1539629 */     GIR_EraseRootFromParent_Done,
     /* 1539630 */   // Label 20390: @1539630
     /* 1539630 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1539730), // Rule ID 20854 //
     /* 1539635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1539638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1539646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1539649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1539652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1539655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539674 */     // MIs[0] round
     /* 1539674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539677 */     // MIs[0] policy
     /* 1539677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1539704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539729 */     // GIR_Coverage, 20854,
     /* 1539729 */     GIR_EraseRootFromParent_Done,
     /* 1539730 */   // Label 20391: @1539730
     /* 1539730 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1539830), // Rule ID 20855 //
     /* 1539735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1539738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1539746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1539749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1539752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1539755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539774 */     // MIs[0] round
     /* 1539774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539777 */     // MIs[0] policy
     /* 1539777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10824:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1539804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539829 */     // GIR_Coverage, 20855,
     /* 1539829 */     GIR_EraseRootFromParent_Done,
     /* 1539830 */   // Label 20392: @1539830
     /* 1539830 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1539930), // Rule ID 20858 //
     /* 1539835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1539838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539874 */     // MIs[0] round
     /* 1539874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539877 */     // MIs[0] policy
     /* 1539877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1539901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1539904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1539908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1539910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1539916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539929 */     // GIR_Coverage, 20858,
     /* 1539929 */     GIR_EraseRootFromParent_Done,
     /* 1539930 */   // Label 20393: @1539930
     /* 1539930 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1540030), // Rule ID 20859 //
     /* 1539935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1539938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1539943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1539946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1539949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1539952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1539955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1539962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1539970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1539974 */     // MIs[0] round
     /* 1539974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539977 */     // MIs[0] policy
     /* 1539977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10824:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1539991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1539997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1540004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540029 */     // GIR_Coverage, 20859,
     /* 1540029 */     GIR_EraseRootFromParent_Done,
     /* 1540030 */   // Label 20394: @1540030
     /* 1540030 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1540130), // Rule ID 20862 //
     /* 1540035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1540038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1540055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540074 */     // MIs[0] round
     /* 1540074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540077 */     // MIs[0] policy
     /* 1540077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540087 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1540104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540129 */     // GIR_Coverage, 20862,
     /* 1540129 */     GIR_EraseRootFromParent_Done,
     /* 1540130 */   // Label 20395: @1540130
     /* 1540130 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1540230), // Rule ID 20863 //
     /* 1540135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1540138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1540155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1540162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540174 */     // MIs[0] round
     /* 1540174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540177 */     // MIs[0] policy
     /* 1540177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10824:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1540204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540229 */     // GIR_Coverage, 20863,
     /* 1540229 */     GIR_EraseRootFromParent_Done,
     /* 1540230 */   // Label 20396: @1540230
     /* 1540230 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1540330), // Rule ID 20866 //
     /* 1540235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1540238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1540246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1540249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1540255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540274 */     // MIs[0] round
     /* 1540274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540277 */     // MIs[0] policy
     /* 1540277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1540304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540329 */     // GIR_Coverage, 20866,
     /* 1540329 */     GIR_EraseRootFromParent_Done,
     /* 1540330 */   // Label 20397: @1540330
     /* 1540330 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1540430), // Rule ID 20867 //
     /* 1540335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1540338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1540346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1540349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1540352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1540355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540374 */     // MIs[0] round
     /* 1540374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540377 */     // MIs[0] policy
     /* 1540377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1540404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540429 */     // GIR_Coverage, 20867,
     /* 1540429 */     GIR_EraseRootFromParent_Done,
     /* 1540430 */   // Label 20398: @1540430
     /* 1540430 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1540530), // Rule ID 20870 //
     /* 1540435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1540438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1540446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1540449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1540455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540474 */     // MIs[0] round
     /* 1540474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540477 */     // MIs[0] policy
     /* 1540477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540487 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1540504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540529 */     // GIR_Coverage, 20870,
     /* 1540529 */     GIR_EraseRootFromParent_Done,
     /* 1540530 */   // Label 20399: @1540530
     /* 1540530 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1540630), // Rule ID 20871 //
     /* 1540535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1540538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1540546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1540549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1540552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1540555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1540562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1540570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540574 */     // MIs[0] round
     /* 1540574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540577 */     // MIs[0] policy
     /* 1540577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540587 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1540604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540629 */     // GIR_Coverage, 20871,
     /* 1540629 */     GIR_EraseRootFromParent_Done,
     /* 1540630 */   // Label 20400: @1540630
     /* 1540630 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1540730), // Rule ID 20874 //
     /* 1540635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1540638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1540646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1540649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1540652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1540655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540674 */     // MIs[0] round
     /* 1540674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540677 */     // MIs[0] policy
     /* 1540677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540687 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1540704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540729 */     // GIR_Coverage, 20874,
     /* 1540729 */     GIR_EraseRootFromParent_Done,
     /* 1540730 */   // Label 20401: @1540730
     /* 1540730 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1540830), // Rule ID 20875 //
     /* 1540735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1540738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1540746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1540749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1540752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1540755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1540762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540774 */     // MIs[0] round
     /* 1540774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540777 */     // MIs[0] policy
     /* 1540777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1540804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540829 */     // GIR_Coverage, 20875,
     /* 1540829 */     GIR_EraseRootFromParent_Done,
     /* 1540830 */   // Label 20402: @1540830
     /* 1540830 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1540930), // Rule ID 20878 //
     /* 1540835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1540838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1540855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540874 */     // MIs[0] round
     /* 1540874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540877 */     // MIs[0] policy
     /* 1540877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1540901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1540904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1540908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1540910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1540916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540929 */     // GIR_Coverage, 20878,
     /* 1540929 */     GIR_EraseRootFromParent_Done,
     /* 1540930 */   // Label 20403: @1540930
     /* 1540930 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1541030), // Rule ID 20879 //
     /* 1540935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1540938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1540943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1540946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1540949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1540952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1540955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1540962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1540970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1540974 */     // MIs[0] round
     /* 1540974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540977 */     // MIs[0] policy
     /* 1540977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1540991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1540997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1541004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541029 */     // GIR_Coverage, 20879,
     /* 1541029 */     GIR_EraseRootFromParent_Done,
     /* 1541030 */   // Label 20404: @1541030
     /* 1541030 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1541130), // Rule ID 20882 //
     /* 1541035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1541038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541074 */     // MIs[0] round
     /* 1541074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541077 */     // MIs[0] policy
     /* 1541077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1541104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541129 */     // GIR_Coverage, 20882,
     /* 1541129 */     GIR_EraseRootFromParent_Done,
     /* 1541130 */   // Label 20405: @1541130
     /* 1541130 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1541230), // Rule ID 20883 //
     /* 1541135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1541138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541174 */     // MIs[0] round
     /* 1541174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541177 */     // MIs[0] policy
     /* 1541177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1541204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541229 */     // GIR_Coverage, 20883,
     /* 1541229 */     GIR_EraseRootFromParent_Done,
     /* 1541230 */   // Label 20406: @1541230
     /* 1541230 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1541330), // Rule ID 20886 //
     /* 1541235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1541238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1541252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1541255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541274 */     // MIs[0] round
     /* 1541274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541277 */     // MIs[0] policy
     /* 1541277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541287 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1541304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541329 */     // GIR_Coverage, 20886,
     /* 1541329 */     GIR_EraseRootFromParent_Done,
     /* 1541330 */   // Label 20407: @1541330
     /* 1541330 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1541430), // Rule ID 20887 //
     /* 1541335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1541338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1541352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1541355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541374 */     // MIs[0] round
     /* 1541374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541377 */     // MIs[0] policy
     /* 1541377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1541404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541429 */     // GIR_Coverage, 20887,
     /* 1541429 */     GIR_EraseRootFromParent_Done,
     /* 1541430 */   // Label 20408: @1541430
     /* 1541430 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1541530), // Rule ID 20890 //
     /* 1541435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1541438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1541452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1541455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541474 */     // MIs[0] round
     /* 1541474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541477 */     // MIs[0] policy
     /* 1541477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541487 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1541504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541529 */     // GIR_Coverage, 20890,
     /* 1541529 */     GIR_EraseRootFromParent_Done,
     /* 1541530 */   // Label 20409: @1541530
     /* 1541530 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1541630), // Rule ID 20891 //
     /* 1541535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1541538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1541546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1541549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1541552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1541555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1541562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541574 */     // MIs[0] round
     /* 1541574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541577 */     // MIs[0] policy
     /* 1541577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10824:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1541604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541629 */     // GIR_Coverage, 20891,
     /* 1541629 */     GIR_EraseRootFromParent_Done,
     /* 1541630 */   // Label 20410: @1541630
     /* 1541630 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1541730), // Rule ID 20894 //
     /* 1541635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1541638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1541652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1541655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541674 */     // MIs[0] round
     /* 1541674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541677 */     // MIs[0] policy
     /* 1541677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541687 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1541704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541729 */     // GIR_Coverage, 20894,
     /* 1541729 */     GIR_EraseRootFromParent_Done,
     /* 1541730 */   // Label 20411: @1541730
     /* 1541730 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1541830), // Rule ID 20895 //
     /* 1541735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1541738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1541746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1541749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1541752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1541755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1541762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541774 */     // MIs[0] round
     /* 1541774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541777 */     // MIs[0] policy
     /* 1541777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541787 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10824:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1541804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541829 */     // GIR_Coverage, 20895,
     /* 1541829 */     GIR_EraseRootFromParent_Done,
     /* 1541830 */   // Label 20412: @1541830
     /* 1541830 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1541930), // Rule ID 20898 //
     /* 1541835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1541838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1541852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541874 */     // MIs[0] round
     /* 1541874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541877 */     // MIs[0] policy
     /* 1541877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541887 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1541901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1541904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1541908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1541910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1541916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541929 */     // GIR_Coverage, 20898,
     /* 1541929 */     GIR_EraseRootFromParent_Done,
     /* 1541930 */   // Label 20413: @1541930
     /* 1541930 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1542030), // Rule ID 20899 //
     /* 1541935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1541938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1541943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1541946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1541949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1541952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1541955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1541962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1541974 */     // MIs[0] round
     /* 1541974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541977 */     // MIs[0] policy
     /* 1541977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541987 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10824:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1541991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1541997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1542004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542029 */     // GIR_Coverage, 20899,
     /* 1542029 */     GIR_EraseRootFromParent_Done,
     /* 1542030 */   // Label 20414: @1542030
     /* 1542030 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1542130), // Rule ID 20902 //
     /* 1542035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1542038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1542046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1542049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542074 */     // MIs[0] round
     /* 1542074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542077 */     // MIs[0] policy
     /* 1542077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542087 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1542104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542129 */     // GIR_Coverage, 20902,
     /* 1542129 */     GIR_EraseRootFromParent_Done,
     /* 1542130 */   // Label 20415: @1542130
     /* 1542130 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1542230), // Rule ID 20903 //
     /* 1542135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1542138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1542146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1542149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1542152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542174 */     // MIs[0] round
     /* 1542174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542177 */     // MIs[0] policy
     /* 1542177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542187 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1542204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542229 */     // GIR_Coverage, 20903,
     /* 1542229 */     GIR_EraseRootFromParent_Done,
     /* 1542230 */   // Label 20416: @1542230
     /* 1542230 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1542330), // Rule ID 20906 //
     /* 1542235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1542238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542274 */     // MIs[0] round
     /* 1542274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542277 */     // MIs[0] policy
     /* 1542277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542287 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1542304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542329 */     // GIR_Coverage, 20906,
     /* 1542329 */     GIR_EraseRootFromParent_Done,
     /* 1542330 */   // Label 20417: @1542330
     /* 1542330 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1542430), // Rule ID 20907 //
     /* 1542335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1542338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1542352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542374 */     // MIs[0] round
     /* 1542374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542377 */     // MIs[0] policy
     /* 1542377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1542404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542429 */     // GIR_Coverage, 20907,
     /* 1542429 */     GIR_EraseRootFromParent_Done,
     /* 1542430 */   // Label 20418: @1542430
     /* 1542430 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1542530), // Rule ID 20910 //
     /* 1542435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1542438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542474 */     // MIs[0] round
     /* 1542474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542477 */     // MIs[0] policy
     /* 1542477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1542504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542529 */     // GIR_Coverage, 20910,
     /* 1542529 */     GIR_EraseRootFromParent_Done,
     /* 1542530 */   // Label 20419: @1542530
     /* 1542530 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1542630), // Rule ID 20911 //
     /* 1542535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1542538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1542552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1542555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542574 */     // MIs[0] round
     /* 1542574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542577 */     // MIs[0] policy
     /* 1542577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1542604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542629 */     // GIR_Coverage, 20911,
     /* 1542629 */     GIR_EraseRootFromParent_Done,
     /* 1542630 */   // Label 20420: @1542630
     /* 1542630 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1542730), // Rule ID 20914 //
     /* 1542635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1542638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1542646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1542649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1542655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542674 */     // MIs[0] round
     /* 1542674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542677 */     // MIs[0] policy
     /* 1542677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542687 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1542704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542729 */     // GIR_Coverage, 20914,
     /* 1542729 */     GIR_EraseRootFromParent_Done,
     /* 1542730 */   // Label 20421: @1542730
     /* 1542730 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1542830), // Rule ID 20915 //
     /* 1542735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1542738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1542746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1542749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1542752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1542755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542774 */     // MIs[0] round
     /* 1542774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542777 */     // MIs[0] policy
     /* 1542777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10826:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1542804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542829 */     // GIR_Coverage, 20915,
     /* 1542829 */     GIR_EraseRootFromParent_Done,
     /* 1542830 */   // Label 20422: @1542830
     /* 1542830 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1542930), // Rule ID 20918 //
     /* 1542835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1542838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542874 */     // MIs[0] round
     /* 1542874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542877 */     // MIs[0] policy
     /* 1542877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1542901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1542904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1542908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1542910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1542916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542929 */     // GIR_Coverage, 20918,
     /* 1542929 */     GIR_EraseRootFromParent_Done,
     /* 1542930 */   // Label 20423: @1542930
     /* 1542930 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1543030), // Rule ID 20919 //
     /* 1542935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1542938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1542943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1542946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1542949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1542952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1542955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1542962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1542974 */     // MIs[0] round
     /* 1542974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542977 */     // MIs[0] policy
     /* 1542977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10826:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1542991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1542997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1543004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543029 */     // GIR_Coverage, 20919,
     /* 1543029 */     GIR_EraseRootFromParent_Done,
     /* 1543030 */   // Label 20424: @1543030
     /* 1543030 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1543130), // Rule ID 20922 //
     /* 1543035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1543038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1543052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1543055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543074 */     // MIs[0] round
     /* 1543074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543077 */     // MIs[0] policy
     /* 1543077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543087 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1543104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1543126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543129 */     // GIR_Coverage, 20922,
     /* 1543129 */     GIR_EraseRootFromParent_Done,
     /* 1543130 */   // Label 20425: @1543130
     /* 1543130 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1543230), // Rule ID 20923 //
     /* 1543135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1543138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1543152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1543155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1543162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543174 */     // MIs[0] round
     /* 1543174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543177 */     // MIs[0] policy
     /* 1543177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10826:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1543204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1543226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543229 */     // GIR_Coverage, 20923,
     /* 1543229 */     GIR_EraseRootFromParent_Done,
     /* 1543230 */   // Label 20426: @1543230
     /* 1543230 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1543330), // Rule ID 20926 //
     /* 1543235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1543238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1543246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1543255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543274 */     // MIs[0] round
     /* 1543274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543277 */     // MIs[0] policy
     /* 1543277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1543304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543329 */     // GIR_Coverage, 20926,
     /* 1543329 */     GIR_EraseRootFromParent_Done,
     /* 1543330 */   // Label 20427: @1543330
     /* 1543330 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1543430), // Rule ID 20927 //
     /* 1543335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1543338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1543346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1543352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1543355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543374 */     // MIs[0] round
     /* 1543374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543377 */     // MIs[0] policy
     /* 1543377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1543404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543429 */     // GIR_Coverage, 20927,
     /* 1543429 */     GIR_EraseRootFromParent_Done,
     /* 1543430 */   // Label 20428: @1543430
     /* 1543430 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1543530), // Rule ID 20930 //
     /* 1543435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1543438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543474 */     // MIs[0] round
     /* 1543474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543477 */     // MIs[0] policy
     /* 1543477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543487 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1543504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543529 */     // GIR_Coverage, 20930,
     /* 1543529 */     GIR_EraseRootFromParent_Done,
     /* 1543530 */   // Label 20429: @1543530
     /* 1543530 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1543630), // Rule ID 20931 //
     /* 1543535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1543538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1543552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1543555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1543562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543574 */     // MIs[0] round
     /* 1543574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543577 */     // MIs[0] policy
     /* 1543577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543587 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1543604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543629 */     // GIR_Coverage, 20931,
     /* 1543629 */     GIR_EraseRootFromParent_Done,
     /* 1543630 */   // Label 20430: @1543630
     /* 1543630 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1543730), // Rule ID 20934 //
     /* 1543635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1543638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1543646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1543649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1543652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1543655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543674 */     // MIs[0] round
     /* 1543674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543677 */     // MIs[0] policy
     /* 1543677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543687 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1543704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543729 */     // GIR_Coverage, 20934,
     /* 1543729 */     GIR_EraseRootFromParent_Done,
     /* 1543730 */   // Label 20431: @1543730
     /* 1543730 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1543830), // Rule ID 20935 //
     /* 1543735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1543738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1543746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1543749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1543752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1543755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1543762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543774 */     // MIs[0] round
     /* 1543774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543777 */     // MIs[0] policy
     /* 1543777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1543804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543829 */     // GIR_Coverage, 20935,
     /* 1543829 */     GIR_EraseRootFromParent_Done,
     /* 1543830 */   // Label 20432: @1543830
     /* 1543830 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1543930), // Rule ID 20938 //
     /* 1543835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1543838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1543855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543874 */     // MIs[0] round
     /* 1543874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543877 */     // MIs[0] policy
     /* 1543877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1543901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1543904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1543908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1543910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1543916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543929 */     // GIR_Coverage, 20938,
     /* 1543929 */     GIR_EraseRootFromParent_Done,
     /* 1543930 */   // Label 20433: @1543930
     /* 1543930 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1544030), // Rule ID 20939 //
     /* 1543935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1543938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1543943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1543946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1543949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1543952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1543955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1543962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1543974 */     // MIs[0] round
     /* 1543974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543977 */     // MIs[0] policy
     /* 1543977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1543991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1543997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1544004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544029 */     // GIR_Coverage, 20939,
     /* 1544029 */     GIR_EraseRootFromParent_Done,
     /* 1544030 */   // Label 20434: @1544030
     /* 1544030 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1544130), // Rule ID 20942 //
     /* 1544035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1544038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544074 */     // MIs[0] round
     /* 1544074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544077 */     // MIs[0] policy
     /* 1544077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1544104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544129 */     // GIR_Coverage, 20942,
     /* 1544129 */     GIR_EraseRootFromParent_Done,
     /* 1544130 */   // Label 20435: @1544130
     /* 1544130 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1544230), // Rule ID 20943 //
     /* 1544135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1544138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1544152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544174 */     // MIs[0] round
     /* 1544174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544177 */     // MIs[0] policy
     /* 1544177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1544204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544229 */     // GIR_Coverage, 20943,
     /* 1544229 */     GIR_EraseRootFromParent_Done,
     /* 1544230 */   // Label 20436: @1544230
     /* 1544230 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1544330), // Rule ID 20946 //
     /* 1544235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1544238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1544252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1544255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544274 */     // MIs[0] round
     /* 1544274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544277 */     // MIs[0] policy
     /* 1544277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544287 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1544304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544329 */     // GIR_Coverage, 20946,
     /* 1544329 */     GIR_EraseRootFromParent_Done,
     /* 1544330 */   // Label 20437: @1544330
     /* 1544330 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1544430), // Rule ID 20947 //
     /* 1544335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1544338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1544352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1544355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544374 */     // MIs[0] round
     /* 1544374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544377 */     // MIs[0] policy
     /* 1544377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1544404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544429 */     // GIR_Coverage, 20947,
     /* 1544429 */     GIR_EraseRootFromParent_Done,
     /* 1544430 */   // Label 20438: @1544430
     /* 1544430 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1544530), // Rule ID 20950 //
     /* 1544435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1544438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1544452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1544462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544474 */     // MIs[0] round
     /* 1544474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544477 */     // MIs[0] policy
     /* 1544477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544487 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1544504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544529 */     // GIR_Coverage, 20950,
     /* 1544529 */     GIR_EraseRootFromParent_Done,
     /* 1544530 */   // Label 20439: @1544530
     /* 1544530 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1544630), // Rule ID 20951 //
     /* 1544535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1544538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1544552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1544555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1544562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544574 */     // MIs[0] round
     /* 1544574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544577 */     // MIs[0] policy
     /* 1544577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544587 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10826:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1544604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544629 */     // GIR_Coverage, 20951,
     /* 1544629 */     GIR_EraseRootFromParent_Done,
     /* 1544630 */   // Label 20440: @1544630
     /* 1544630 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1544730), // Rule ID 20954 //
     /* 1544635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1544638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1544652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544674 */     // MIs[0] round
     /* 1544674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544677 */     // MIs[0] policy
     /* 1544677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544687 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1544704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544729 */     // GIR_Coverage, 20954,
     /* 1544729 */     GIR_EraseRootFromParent_Done,
     /* 1544730 */   // Label 20441: @1544730
     /* 1544730 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1544830), // Rule ID 20955 //
     /* 1544735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1544738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1544752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1544755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1544762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544774 */     // MIs[0] round
     /* 1544774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544777 */     // MIs[0] policy
     /* 1544777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544787 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10826:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1544804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544829 */     // GIR_Coverage, 20955,
     /* 1544829 */     GIR_EraseRootFromParent_Done,
     /* 1544830 */   // Label 20442: @1544830
     /* 1544830 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1544930), // Rule ID 20958 //
     /* 1544835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1544838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1544852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544874 */     // MIs[0] round
     /* 1544874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544877 */     // MIs[0] policy
     /* 1544877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544887 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1544901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1544904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1544908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1544910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1544916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544929 */     // GIR_Coverage, 20958,
     /* 1544929 */     GIR_EraseRootFromParent_Done,
     /* 1544930 */   // Label 20443: @1544930
     /* 1544930 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1545030), // Rule ID 20959 //
     /* 1544935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1544938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1544943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1544952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1544955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1544962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1544974 */     // MIs[0] round
     /* 1544974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544977 */     // MIs[0] policy
     /* 1544977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544987 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10826:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1544991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1544997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1545004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545029 */     // GIR_Coverage, 20959,
     /* 1545029 */     GIR_EraseRootFromParent_Done,
     /* 1545030 */   // Label 20444: @1545030
     /* 1545030 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1545130), // Rule ID 21034 //
     /* 1545035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1545052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545074 */     // MIs[0] round
     /* 1545074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545077 */     // MIs[0] policy
     /* 1545077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545087 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1545104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545129 */     // GIR_Coverage, 21034,
     /* 1545129 */     GIR_EraseRootFromParent_Done,
     /* 1545130 */   // Label 20445: @1545130
     /* 1545130 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1545230), // Rule ID 21035 //
     /* 1545135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1545152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1545155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545174 */     // MIs[0] round
     /* 1545174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545177 */     // MIs[0] policy
     /* 1545177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1545204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545229 */     // GIR_Coverage, 21035,
     /* 1545229 */     GIR_EraseRootFromParent_Done,
     /* 1545230 */   // Label 20446: @1545230
     /* 1545230 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1545330), // Rule ID 21038 //
     /* 1545235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545274 */     // MIs[0] round
     /* 1545274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545277 */     // MIs[0] policy
     /* 1545277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545287 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1545304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545329 */     // GIR_Coverage, 21038,
     /* 1545329 */     GIR_EraseRootFromParent_Done,
     /* 1545330 */   // Label 20447: @1545330
     /* 1545330 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1545430), // Rule ID 21039 //
     /* 1545335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1545355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1545362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545374 */     // MIs[0] round
     /* 1545374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545377 */     // MIs[0] policy
     /* 1545377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10930:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1545404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545429 */     // GIR_Coverage, 21039,
     /* 1545429 */     GIR_EraseRootFromParent_Done,
     /* 1545430 */   // Label 20448: @1545430
     /* 1545430 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1545530), // Rule ID 21042 //
     /* 1545435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545474 */     // MIs[0] round
     /* 1545474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545477 */     // MIs[0] policy
     /* 1545477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1545504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545529 */     // GIR_Coverage, 21042,
     /* 1545529 */     GIR_EraseRootFromParent_Done,
     /* 1545530 */   // Label 20449: @1545530
     /* 1545530 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1545630), // Rule ID 21043 //
     /* 1545535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1545555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1545562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545574 */     // MIs[0] round
     /* 1545574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545577 */     // MIs[0] policy
     /* 1545577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1545604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545629 */     // GIR_Coverage, 21043,
     /* 1545629 */     GIR_EraseRootFromParent_Done,
     /* 1545630 */   // Label 20450: @1545630
     /* 1545630 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1545730), // Rule ID 21046 //
     /* 1545635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545674 */     // MIs[0] round
     /* 1545674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545677 */     // MIs[0] policy
     /* 1545677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545687 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1545704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545729 */     // GIR_Coverage, 21046,
     /* 1545729 */     GIR_EraseRootFromParent_Done,
     /* 1545730 */   // Label 20451: @1545730
     /* 1545730 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1545830), // Rule ID 21047 //
     /* 1545735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1545755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1545762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545774 */     // MIs[0] round
     /* 1545774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545777 */     // MIs[0] policy
     /* 1545777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1545804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545829 */     // GIR_Coverage, 21047,
     /* 1545829 */     GIR_EraseRootFromParent_Done,
     /* 1545830 */   // Label 20452: @1545830
     /* 1545830 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1545930), // Rule ID 21050 //
     /* 1545835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1545838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545874 */     // MIs[0] round
     /* 1545874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545877 */     // MIs[0] policy
     /* 1545877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1545901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1545904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1545908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1545910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1545916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545929 */     // GIR_Coverage, 21050,
     /* 1545929 */     GIR_EraseRootFromParent_Done,
     /* 1545930 */   // Label 20453: @1545930
     /* 1545930 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1546030), // Rule ID 21051 //
     /* 1545935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1545938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1545943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1545955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1545962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1545974 */     // MIs[0] round
     /* 1545974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545977 */     // MIs[0] policy
     /* 1545977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1545991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1545997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1546004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546029 */     // GIR_Coverage, 21051,
     /* 1546029 */     GIR_EraseRootFromParent_Done,
     /* 1546030 */   // Label 20454: @1546030
     /* 1546030 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1546130), // Rule ID 21054 //
     /* 1546035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1546038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546074 */     // MIs[0] round
     /* 1546074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546077 */     // MIs[0] policy
     /* 1546077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1546104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546129 */     // GIR_Coverage, 21054,
     /* 1546129 */     GIR_EraseRootFromParent_Done,
     /* 1546130 */   // Label 20455: @1546130
     /* 1546130 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1546230), // Rule ID 21055 //
     /* 1546135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1546138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1546146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1546149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1546152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546174 */     // MIs[0] round
     /* 1546174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546177 */     // MIs[0] policy
     /* 1546177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10930:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1546204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546229 */     // GIR_Coverage, 21055,
     /* 1546229 */     GIR_EraseRootFromParent_Done,
     /* 1546230 */   // Label 20456: @1546230
     /* 1546230 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1546330), // Rule ID 21058 //
     /* 1546235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1546238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546274 */     // MIs[0] round
     /* 1546274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546277 */     // MIs[0] policy
     /* 1546277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546287 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1546304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546329 */     // GIR_Coverage, 21058,
     /* 1546329 */     GIR_EraseRootFromParent_Done,
     /* 1546330 */   // Label 20457: @1546330
     /* 1546330 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1546430), // Rule ID 21059 //
     /* 1546335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1546338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1546355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1546362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546374 */     // MIs[0] round
     /* 1546374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546377 */     // MIs[0] policy
     /* 1546377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10930:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1546404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546429 */     // GIR_Coverage, 21059,
     /* 1546429 */     GIR_EraseRootFromParent_Done,
     /* 1546430 */   // Label 20458: @1546430
     /* 1546430 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1546530), // Rule ID 21062 //
     /* 1546435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1546438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546474 */     // MIs[0] round
     /* 1546474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546477 */     // MIs[0] policy
     /* 1546477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1546504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546529 */     // GIR_Coverage, 21062,
     /* 1546529 */     GIR_EraseRootFromParent_Done,
     /* 1546530 */   // Label 20459: @1546530
     /* 1546530 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1546630), // Rule ID 21063 //
     /* 1546535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1546538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1546555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1546562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546574 */     // MIs[0] round
     /* 1546574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546577 */     // MIs[0] policy
     /* 1546577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10930:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1546604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546629 */     // GIR_Coverage, 21063,
     /* 1546629 */     GIR_EraseRootFromParent_Done,
     /* 1546630 */   // Label 20460: @1546630
     /* 1546630 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1546730), // Rule ID 21066 //
     /* 1546635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1546638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1546652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546674 */     // MIs[0] round
     /* 1546674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546677 */     // MIs[0] policy
     /* 1546677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546687 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1546704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546729 */     // GIR_Coverage, 21066,
     /* 1546729 */     GIR_EraseRootFromParent_Done,
     /* 1546730 */   // Label 20461: @1546730
     /* 1546730 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1546830), // Rule ID 21067 //
     /* 1546735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1546738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1546743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1546752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1546755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1546762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546774 */     // MIs[0] round
     /* 1546774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546777 */     // MIs[0] policy
     /* 1546777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10930:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1546804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546829 */     // GIR_Coverage, 21067,
     /* 1546829 */     GIR_EraseRootFromParent_Done,
     /* 1546830 */   // Label 20462: @1546830
     /* 1546830 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1546930), // Rule ID 21070 //
     /* 1546835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1546838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1546843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546874 */     // MIs[0] round
     /* 1546874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546877 */     // MIs[0] policy
     /* 1546877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1546901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1546904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1546908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1546910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1546916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546929 */     // GIR_Coverage, 21070,
     /* 1546929 */     GIR_EraseRootFromParent_Done,
     /* 1546930 */   // Label 20463: @1546930
     /* 1546930 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1547030), // Rule ID 21071 //
     /* 1546935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1546938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1546943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1546952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1546955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1546962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1546974 */     // MIs[0] round
     /* 1546974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546977 */     // MIs[0] policy
     /* 1546977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1546991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1546997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1547004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547029 */     // GIR_Coverage, 21071,
     /* 1547029 */     GIR_EraseRootFromParent_Done,
     /* 1547030 */   // Label 20464: @1547030
     /* 1547030 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1547130), // Rule ID 21074 //
     /* 1547035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1547052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547074 */     // MIs[0] round
     /* 1547074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547077 */     // MIs[0] policy
     /* 1547077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1547104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547129 */     // GIR_Coverage, 21074,
     /* 1547129 */     GIR_EraseRootFromParent_Done,
     /* 1547130 */   // Label 20465: @1547130
     /* 1547130 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1547230), // Rule ID 21075 //
     /* 1547135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1547146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1547149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1547152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1547155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547174 */     // MIs[0] round
     /* 1547174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547177 */     // MIs[0] policy
     /* 1547177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10928:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1547204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547229 */     // GIR_Coverage, 21075,
     /* 1547229 */     GIR_EraseRootFromParent_Done,
     /* 1547230 */   // Label 20466: @1547230
     /* 1547230 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1547330), // Rule ID 21078 //
     /* 1547235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547274 */     // MIs[0] round
     /* 1547274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547277 */     // MIs[0] policy
     /* 1547277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1547304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547329 */     // GIR_Coverage, 21078,
     /* 1547329 */     GIR_EraseRootFromParent_Done,
     /* 1547330 */   // Label 20467: @1547330
     /* 1547330 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1547430), // Rule ID 21079 //
     /* 1547335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1547346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1547349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1547352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1547355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1547362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547374 */     // MIs[0] round
     /* 1547374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547377 */     // MIs[0] policy
     /* 1547377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1547404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547429 */     // GIR_Coverage, 21079,
     /* 1547429 */     GIR_EraseRootFromParent_Done,
     /* 1547430 */   // Label 20468: @1547430
     /* 1547430 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1547530), // Rule ID 21082 //
     /* 1547435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547474 */     // MIs[0] round
     /* 1547474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547477 */     // MIs[0] policy
     /* 1547477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1547504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547529 */     // GIR_Coverage, 21082,
     /* 1547529 */     GIR_EraseRootFromParent_Done,
     /* 1547530 */   // Label 20469: @1547530
     /* 1547530 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1547630), // Rule ID 21083 //
     /* 1547535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1547552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1547555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1547562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547574 */     // MIs[0] round
     /* 1547574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547577 */     // MIs[0] policy
     /* 1547577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1547604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547629 */     // GIR_Coverage, 21083,
     /* 1547629 */     GIR_EraseRootFromParent_Done,
     /* 1547630 */   // Label 20470: @1547630
     /* 1547630 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1547730), // Rule ID 21086 //
     /* 1547635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1547638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547674 */     // MIs[0] round
     /* 1547674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547677 */     // MIs[0] policy
     /* 1547677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1547704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547729 */     // GIR_Coverage, 21086,
     /* 1547729 */     GIR_EraseRootFromParent_Done,
     /* 1547730 */   // Label 20471: @1547730
     /* 1547730 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1547830), // Rule ID 21087 //
     /* 1547735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1547738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1547752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1547755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1547762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547774 */     // MIs[0] round
     /* 1547774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547777 */     // MIs[0] policy
     /* 1547777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547787 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1547804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547829 */     // GIR_Coverage, 21087,
     /* 1547829 */     GIR_EraseRootFromParent_Done,
     /* 1547830 */   // Label 20472: @1547830
     /* 1547830 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1547930), // Rule ID 21090 //
     /* 1547835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1547838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547874 */     // MIs[0] round
     /* 1547874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547877 */     // MIs[0] policy
     /* 1547877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1547901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1547904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1547908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1547910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1547916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547929 */     // GIR_Coverage, 21090,
     /* 1547929 */     GIR_EraseRootFromParent_Done,
     /* 1547930 */   // Label 20473: @1547930
     /* 1547930 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1548030), // Rule ID 21091 //
     /* 1547935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1547938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1547943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1547952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1547955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1547962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1547974 */     // MIs[0] round
     /* 1547974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547977 */     // MIs[0] policy
     /* 1547977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10928:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1547991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1547997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1548004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548029 */     // GIR_Coverage, 21091,
     /* 1548029 */     GIR_EraseRootFromParent_Done,
     /* 1548030 */   // Label 20474: @1548030
     /* 1548030 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1548130), // Rule ID 21094 //
     /* 1548035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1548038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548074 */     // MIs[0] round
     /* 1548074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548077 */     // MIs[0] policy
     /* 1548077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548087 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1548104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548129 */     // GIR_Coverage, 21094,
     /* 1548129 */     GIR_EraseRootFromParent_Done,
     /* 1548130 */   // Label 20475: @1548130
     /* 1548130 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1548230), // Rule ID 21095 //
     /* 1548135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1548138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1548146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1548149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1548152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1548162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548174 */     // MIs[0] round
     /* 1548174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548177 */     // MIs[0] policy
     /* 1548177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10928:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1548204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548229 */     // GIR_Coverage, 21095,
     /* 1548229 */     GIR_EraseRootFromParent_Done,
     /* 1548230 */   // Label 20476: @1548230
     /* 1548230 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1548330), // Rule ID 21098 //
     /* 1548235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1548238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548274 */     // MIs[0] round
     /* 1548274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548277 */     // MIs[0] policy
     /* 1548277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548287 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1548304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548329 */     // GIR_Coverage, 21098,
     /* 1548329 */     GIR_EraseRootFromParent_Done,
     /* 1548330 */   // Label 20477: @1548330
     /* 1548330 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1548430), // Rule ID 21099 //
     /* 1548335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1548338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1548346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1548349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1548352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1548355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1548362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548374 */     // MIs[0] round
     /* 1548374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548377 */     // MIs[0] policy
     /* 1548377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10928:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1548404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548429 */     // GIR_Coverage, 21099,
     /* 1548429 */     GIR_EraseRootFromParent_Done,
     /* 1548430 */   // Label 20478: @1548430
     /* 1548430 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1548530), // Rule ID 21102 //
     /* 1548435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1548438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548474 */     // MIs[0] round
     /* 1548474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548477 */     // MIs[0] policy
     /* 1548477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548487 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1548504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548529 */     // GIR_Coverage, 21102,
     /* 1548529 */     GIR_EraseRootFromParent_Done,
     /* 1548530 */   // Label 20479: @1548530
     /* 1548530 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1548630), // Rule ID 21103 //
     /* 1548535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1548538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1548543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1548546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1548549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1548552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1548555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1548562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548574 */     // MIs[0] round
     /* 1548574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548577 */     // MIs[0] policy
     /* 1548577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10928:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1548604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548629 */     // GIR_Coverage, 21103,
     /* 1548629 */     GIR_EraseRootFromParent_Done,
     /* 1548630 */   // Label 20480: @1548630
     /* 1548630 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1548730), // Rule ID 21454 //
     /* 1548635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1548638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1548643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1548646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1548649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548674 */     // MIs[0] round
     /* 1548674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548677 */     // MIs[0] policy
     /* 1548677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1548704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548729 */     // GIR_Coverage, 21454,
     /* 1548729 */     GIR_EraseRootFromParent_Done,
     /* 1548730 */   // Label 20481: @1548730
     /* 1548730 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1548830), // Rule ID 21455 //
     /* 1548735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1548738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1548743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1548746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1548749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1548755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548774 */     // MIs[0] round
     /* 1548774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548777 */     // MIs[0] policy
     /* 1548777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1548804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548829 */     // GIR_Coverage, 21455,
     /* 1548829 */     GIR_EraseRootFromParent_Done,
     /* 1548830 */   // Label 20482: @1548830
     /* 1548830 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1548930), // Rule ID 21458 //
     /* 1548835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1548838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1548843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1548846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1548849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548874 */     // MIs[0] round
     /* 1548874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548877 */     // MIs[0] policy
     /* 1548877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548887 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1548901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1548904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1548908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1548910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1548916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1548926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548929 */     // GIR_Coverage, 21458,
     /* 1548929 */     GIR_EraseRootFromParent_Done,
     /* 1548930 */   // Label 20483: @1548930
     /* 1548930 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1549030), // Rule ID 21459 //
     /* 1548935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1548938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1548943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1548946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1548949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1548955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1548962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1548974 */     // MIs[0] round
     /* 1548974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548977 */     // MIs[0] policy
     /* 1548977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1548991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1548997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1549004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549029 */     // GIR_Coverage, 21459,
     /* 1549029 */     GIR_EraseRootFromParent_Done,
     /* 1549030 */   // Label 20484: @1549030
     /* 1549030 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1549130), // Rule ID 21462 //
     /* 1549035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1549046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1549049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549074 */     // MIs[0] round
     /* 1549074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549077 */     // MIs[0] policy
     /* 1549077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549087 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1549104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549129 */     // GIR_Coverage, 21462,
     /* 1549129 */     GIR_EraseRootFromParent_Done,
     /* 1549130 */   // Label 20485: @1549130
     /* 1549130 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1549230), // Rule ID 21463 //
     /* 1549135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1549146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1549149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1549152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1549155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549174 */     // MIs[0] round
     /* 1549174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549177 */     // MIs[0] policy
     /* 1549177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549187 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1549204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549229 */     // GIR_Coverage, 21463,
     /* 1549229 */     GIR_EraseRootFromParent_Done,
     /* 1549230 */   // Label 20486: @1549230
     /* 1549230 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1549330), // Rule ID 21466 //
     /* 1549235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1549246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1549249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549274 */     // MIs[0] round
     /* 1549274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549277 */     // MIs[0] policy
     /* 1549277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1549304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549329 */     // GIR_Coverage, 21466,
     /* 1549329 */     GIR_EraseRootFromParent_Done,
     /* 1549330 */   // Label 20487: @1549330
     /* 1549330 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1549430), // Rule ID 21467 //
     /* 1549335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1549346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1549349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1549352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1549355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549374 */     // MIs[0] round
     /* 1549374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549377 */     // MIs[0] policy
     /* 1549377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10872:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1549404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549429 */     // GIR_Coverage, 21467,
     /* 1549429 */     GIR_EraseRootFromParent_Done,
     /* 1549430 */   // Label 20488: @1549430
     /* 1549430 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1549530), // Rule ID 21470 //
     /* 1549435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1549446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1549449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549474 */     // MIs[0] round
     /* 1549474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549477 */     // MIs[0] policy
     /* 1549477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1549504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549529 */     // GIR_Coverage, 21470,
     /* 1549529 */     GIR_EraseRootFromParent_Done,
     /* 1549530 */   // Label 20489: @1549530
     /* 1549530 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1549630), // Rule ID 21471 //
     /* 1549535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1549546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1549549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1549552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1549555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1549562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549574 */     // MIs[0] round
     /* 1549574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549577 */     // MIs[0] policy
     /* 1549577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1549604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549629 */     // GIR_Coverage, 21471,
     /* 1549629 */     GIR_EraseRootFromParent_Done,
     /* 1549630 */   // Label 20490: @1549630
     /* 1549630 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1549730), // Rule ID 21474 //
     /* 1549635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1549638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1549646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1549649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549674 */     // MIs[0] round
     /* 1549674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549677 */     // MIs[0] policy
     /* 1549677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1549704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549729 */     // GIR_Coverage, 21474,
     /* 1549729 */     GIR_EraseRootFromParent_Done,
     /* 1549730 */   // Label 20491: @1549730
     /* 1549730 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1549830), // Rule ID 21475 //
     /* 1549735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1549738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1549746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1549749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1549752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1549755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1549762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549774 */     // MIs[0] round
     /* 1549774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549777 */     // MIs[0] policy
     /* 1549777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1549804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1549826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549829 */     // GIR_Coverage, 21475,
     /* 1549829 */     GIR_EraseRootFromParent_Done,
     /* 1549830 */   // Label 20492: @1549830
     /* 1549830 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1549930), // Rule ID 21478 //
     /* 1549835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1549838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549874 */     // MIs[0] round
     /* 1549874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549877 */     // MIs[0] policy
     /* 1549877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1549901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1549904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1549908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1549910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1549916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549929 */     // GIR_Coverage, 21478,
     /* 1549929 */     GIR_EraseRootFromParent_Done,
     /* 1549930 */   // Label 20493: @1549930
     /* 1549930 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1550030), // Rule ID 21479 //
     /* 1549935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1549938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1549943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1549946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1549949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1549952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1549955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1549962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1549974 */     // MIs[0] round
     /* 1549974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549977 */     // MIs[0] policy
     /* 1549977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1549991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1549997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1550004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550029 */     // GIR_Coverage, 21479,
     /* 1550029 */     GIR_EraseRootFromParent_Done,
     /* 1550030 */   // Label 20494: @1550030
     /* 1550030 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1550130), // Rule ID 21482 //
     /* 1550035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550074 */     // MIs[0] round
     /* 1550074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550077 */     // MIs[0] policy
     /* 1550077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1550104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550129 */     // GIR_Coverage, 21482,
     /* 1550129 */     GIR_EraseRootFromParent_Done,
     /* 1550130 */   // Label 20495: @1550130
     /* 1550130 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1550230), // Rule ID 21483 //
     /* 1550135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1550146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1550149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1550152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1550155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550174 */     // MIs[0] round
     /* 1550174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550177 */     // MIs[0] policy
     /* 1550177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1550204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550229 */     // GIR_Coverage, 21483,
     /* 1550229 */     GIR_EraseRootFromParent_Done,
     /* 1550230 */   // Label 20496: @1550230
     /* 1550230 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1550330), // Rule ID 21486 //
     /* 1550235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550274 */     // MIs[0] round
     /* 1550274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550277 */     // MIs[0] policy
     /* 1550277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1550304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550329 */     // GIR_Coverage, 21486,
     /* 1550329 */     GIR_EraseRootFromParent_Done,
     /* 1550330 */   // Label 20497: @1550330
     /* 1550330 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1550430), // Rule ID 21487 //
     /* 1550335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1550346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1550349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1550352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1550355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550374 */     // MIs[0] round
     /* 1550374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550377 */     // MIs[0] policy
     /* 1550377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10872:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1550404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550429 */     // GIR_Coverage, 21487,
     /* 1550429 */     GIR_EraseRootFromParent_Done,
     /* 1550430 */   // Label 20498: @1550430
     /* 1550430 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1550530), // Rule ID 21490 //
     /* 1550435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550474 */     // MIs[0] round
     /* 1550474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550477 */     // MIs[0] policy
     /* 1550477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1550504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550529 */     // GIR_Coverage, 21490,
     /* 1550529 */     GIR_EraseRootFromParent_Done,
     /* 1550530 */   // Label 20499: @1550530
     /* 1550530 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1550630), // Rule ID 21491 //
     /* 1550535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1550546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1550549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1550552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1550555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1550562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550574 */     // MIs[0] round
     /* 1550574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550577 */     // MIs[0] policy
     /* 1550577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1550604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550629 */     // GIR_Coverage, 21491,
     /* 1550629 */     GIR_EraseRootFromParent_Done,
     /* 1550630 */   // Label 20500: @1550630
     /* 1550630 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1550730), // Rule ID 21494 //
     /* 1550635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1550638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550674 */     // MIs[0] round
     /* 1550674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550677 */     // MIs[0] policy
     /* 1550677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1550704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550729 */     // GIR_Coverage, 21494,
     /* 1550729 */     GIR_EraseRootFromParent_Done,
     /* 1550730 */   // Label 20501: @1550730
     /* 1550730 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1550830), // Rule ID 21495 //
     /* 1550735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1550738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1550746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1550749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1550752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1550755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1550762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550774 */     // MIs[0] round
     /* 1550774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550777 */     // MIs[0] policy
     /* 1550777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1550804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550829 */     // GIR_Coverage, 21495,
     /* 1550829 */     GIR_EraseRootFromParent_Done,
     /* 1550830 */   // Label 20502: @1550830
     /* 1550830 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1550930), // Rule ID 21498 //
     /* 1550835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1550838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550874 */     // MIs[0] round
     /* 1550874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550877 */     // MIs[0] policy
     /* 1550877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1550901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1550904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1550908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1550910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1550916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550929 */     // GIR_Coverage, 21498,
     /* 1550929 */     GIR_EraseRootFromParent_Done,
     /* 1550930 */   // Label 20503: @1550930
     /* 1550930 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1551030), // Rule ID 21499 //
     /* 1550935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1550938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1550943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1550952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1550955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1550962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1550974 */     // MIs[0] round
     /* 1550974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550977 */     // MIs[0] policy
     /* 1550977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1550991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1550997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1551004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551029 */     // GIR_Coverage, 21499,
     /* 1551029 */     GIR_EraseRootFromParent_Done,
     /* 1551030 */   // Label 20504: @1551030
     /* 1551030 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1551130), // Rule ID 21502 //
     /* 1551035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1551038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551074 */     // MIs[0] round
     /* 1551074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551077 */     // MIs[0] policy
     /* 1551077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1551104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551129 */     // GIR_Coverage, 21502,
     /* 1551129 */     GIR_EraseRootFromParent_Done,
     /* 1551130 */   // Label 20505: @1551130
     /* 1551130 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1551230), // Rule ID 21503 //
     /* 1551135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1551138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1551152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551174 */     // MIs[0] round
     /* 1551174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551177 */     // MIs[0] policy
     /* 1551177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10872:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1551204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551229 */     // GIR_Coverage, 21503,
     /* 1551229 */     GIR_EraseRootFromParent_Done,
     /* 1551230 */   // Label 20506: @1551230
     /* 1551230 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1551330), // Rule ID 21506 //
     /* 1551235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1551238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551274 */     // MIs[0] round
     /* 1551274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551277 */     // MIs[0] policy
     /* 1551277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1551304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551329 */     // GIR_Coverage, 21506,
     /* 1551329 */     GIR_EraseRootFromParent_Done,
     /* 1551330 */   // Label 20507: @1551330
     /* 1551330 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1551430), // Rule ID 21507 //
     /* 1551335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1551338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1551352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1551355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1551362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551374 */     // MIs[0] round
     /* 1551374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551377 */     // MIs[0] policy
     /* 1551377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10872:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1551404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551429 */     // GIR_Coverage, 21507,
     /* 1551429 */     GIR_EraseRootFromParent_Done,
     /* 1551430 */   // Label 20508: @1551430
     /* 1551430 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1551530), // Rule ID 21510 //
     /* 1551435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1551438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551474 */     // MIs[0] round
     /* 1551474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551477 */     // MIs[0] policy
     /* 1551477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1551504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551529 */     // GIR_Coverage, 21510,
     /* 1551529 */     GIR_EraseRootFromParent_Done,
     /* 1551530 */   // Label 20509: @1551530
     /* 1551530 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1551630), // Rule ID 21511 //
     /* 1551535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1551538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1551543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1551552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1551555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1551562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551574 */     // MIs[0] round
     /* 1551574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551577 */     // MIs[0] policy
     /* 1551577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10872:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1551604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551629 */     // GIR_Coverage, 21511,
     /* 1551629 */     GIR_EraseRootFromParent_Done,
     /* 1551630 */   // Label 20510: @1551630
     /* 1551630 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1551730), // Rule ID 21514 //
     /* 1551635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1551643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1551646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1551649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551674 */     // MIs[0] round
     /* 1551674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551677 */     // MIs[0] policy
     /* 1551677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1551704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1551726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551729 */     // GIR_Coverage, 21514,
     /* 1551729 */     GIR_EraseRootFromParent_Done,
     /* 1551730 */   // Label 20511: @1551730
     /* 1551730 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1551830), // Rule ID 21515 //
     /* 1551735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1551743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1551746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1551749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1551755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551774 */     // MIs[0] round
     /* 1551774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551777 */     // MIs[0] policy
     /* 1551777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551787 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1551804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1551826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551829 */     // GIR_Coverage, 21515,
     /* 1551829 */     GIR_EraseRootFromParent_Done,
     /* 1551830 */   // Label 20512: @1551830
     /* 1551830 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1551930), // Rule ID 21518 //
     /* 1551835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1551838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1551843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1551846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1551849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551874 */     // MIs[0] round
     /* 1551874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551877 */     // MIs[0] policy
     /* 1551877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551887 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1551901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1551904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1551908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1551910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1551916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1551926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551929 */     // GIR_Coverage, 21518,
     /* 1551929 */     GIR_EraseRootFromParent_Done,
     /* 1551930 */   // Label 20513: @1551930
     /* 1551930 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1552030), // Rule ID 21519 //
     /* 1551935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1551938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1551943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1551946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1551949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1551955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1551962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1551974 */     // MIs[0] round
     /* 1551974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551977 */     // MIs[0] policy
     /* 1551977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1551991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1551997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1552004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552029 */     // GIR_Coverage, 21519,
     /* 1552029 */     GIR_EraseRootFromParent_Done,
     /* 1552030 */   // Label 20514: @1552030
     /* 1552030 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1552130), // Rule ID 21522 //
     /* 1552035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1552046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1552049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552074 */     // MIs[0] round
     /* 1552074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552077 */     // MIs[0] policy
     /* 1552077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552087 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1552104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552129 */     // GIR_Coverage, 21522,
     /* 1552129 */     GIR_EraseRootFromParent_Done,
     /* 1552130 */   // Label 20515: @1552130
     /* 1552130 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1552230), // Rule ID 21523 //
     /* 1552135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1552146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1552149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1552152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1552155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552174 */     // MIs[0] round
     /* 1552174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552177 */     // MIs[0] policy
     /* 1552177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552187 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1552204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552229 */     // GIR_Coverage, 21523,
     /* 1552229 */     GIR_EraseRootFromParent_Done,
     /* 1552230 */   // Label 20516: @1552230
     /* 1552230 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1552330), // Rule ID 21526 //
     /* 1552235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1552246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1552249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552274 */     // MIs[0] round
     /* 1552274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552277 */     // MIs[0] policy
     /* 1552277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1552304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552329 */     // GIR_Coverage, 21526,
     /* 1552329 */     GIR_EraseRootFromParent_Done,
     /* 1552330 */   // Label 20517: @1552330
     /* 1552330 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1552430), // Rule ID 21527 //
     /* 1552335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1552346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1552349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1552352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1552355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552374 */     // MIs[0] round
     /* 1552374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552377 */     // MIs[0] policy
     /* 1552377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552387 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10870:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1552404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552429 */     // GIR_Coverage, 21527,
     /* 1552429 */     GIR_EraseRootFromParent_Done,
     /* 1552430 */   // Label 20518: @1552430
     /* 1552430 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1552530), // Rule ID 21530 //
     /* 1552435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1552446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1552449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552474 */     // MIs[0] round
     /* 1552474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552477 */     // MIs[0] policy
     /* 1552477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1552504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552529 */     // GIR_Coverage, 21530,
     /* 1552529 */     GIR_EraseRootFromParent_Done,
     /* 1552530 */   // Label 20519: @1552530
     /* 1552530 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1552630), // Rule ID 21531 //
     /* 1552535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1552546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1552549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1552552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1552555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1552562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552574 */     // MIs[0] round
     /* 1552574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552577 */     // MIs[0] policy
     /* 1552577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1552604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552629 */     // GIR_Coverage, 21531,
     /* 1552629 */     GIR_EraseRootFromParent_Done,
     /* 1552630 */   // Label 20520: @1552630
     /* 1552630 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1552730), // Rule ID 21534 //
     /* 1552635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1552638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1552646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1552649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1552652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1552655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552674 */     // MIs[0] round
     /* 1552674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552677 */     // MIs[0] policy
     /* 1552677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552687 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1552704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552729 */     // GIR_Coverage, 21534,
     /* 1552729 */     GIR_EraseRootFromParent_Done,
     /* 1552730 */   // Label 20521: @1552730
     /* 1552730 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1552830), // Rule ID 21535 //
     /* 1552735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1552738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1552746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1552749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1552752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1552755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1552762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552774 */     // MIs[0] round
     /* 1552774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552777 */     // MIs[0] policy
     /* 1552777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1552804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1552826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552829 */     // GIR_Coverage, 21535,
     /* 1552829 */     GIR_EraseRootFromParent_Done,
     /* 1552830 */   // Label 20522: @1552830
     /* 1552830 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1552930), // Rule ID 21538 //
     /* 1552835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1552838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552874 */     // MIs[0] round
     /* 1552874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552877 */     // MIs[0] policy
     /* 1552877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552887 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1552901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1552904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1552908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1552910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1552916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552929 */     // GIR_Coverage, 21538,
     /* 1552929 */     GIR_EraseRootFromParent_Done,
     /* 1552930 */   // Label 20523: @1552930
     /* 1552930 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1553030), // Rule ID 21539 //
     /* 1552935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1552938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1552943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1552946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1552949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1552952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1552955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1552962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1552974 */     // MIs[0] round
     /* 1552974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552977 */     // MIs[0] policy
     /* 1552977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552987 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1552991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1552997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1553004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553029 */     // GIR_Coverage, 21539,
     /* 1553029 */     GIR_EraseRootFromParent_Done,
     /* 1553030 */   // Label 20524: @1553030
     /* 1553030 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1553130), // Rule ID 21542 //
     /* 1553035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553074 */     // MIs[0] round
     /* 1553074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553077 */     // MIs[0] policy
     /* 1553077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553087 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1553104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553129 */     // GIR_Coverage, 21542,
     /* 1553129 */     GIR_EraseRootFromParent_Done,
     /* 1553130 */   // Label 20525: @1553130
     /* 1553130 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1553230), // Rule ID 21543 //
     /* 1553135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1553146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1553149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1553152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1553155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553174 */     // MIs[0] round
     /* 1553174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553177 */     // MIs[0] policy
     /* 1553177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1553204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553229 */     // GIR_Coverage, 21543,
     /* 1553229 */     GIR_EraseRootFromParent_Done,
     /* 1553230 */   // Label 20526: @1553230
     /* 1553230 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1553330), // Rule ID 21546 //
     /* 1553235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553274 */     // MIs[0] round
     /* 1553274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553277 */     // MIs[0] policy
     /* 1553277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553287 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1553304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553329 */     // GIR_Coverage, 21546,
     /* 1553329 */     GIR_EraseRootFromParent_Done,
     /* 1553330 */   // Label 20527: @1553330
     /* 1553330 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1553430), // Rule ID 21547 //
     /* 1553335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1553346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1553349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1553352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1553355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553374 */     // MIs[0] round
     /* 1553374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553377 */     // MIs[0] policy
     /* 1553377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10870:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1553404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553429 */     // GIR_Coverage, 21547,
     /* 1553429 */     GIR_EraseRootFromParent_Done,
     /* 1553430 */   // Label 20528: @1553430
     /* 1553430 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1553530), // Rule ID 21550 //
     /* 1553435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553474 */     // MIs[0] round
     /* 1553474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553477 */     // MIs[0] policy
     /* 1553477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1553504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553529 */     // GIR_Coverage, 21550,
     /* 1553529 */     GIR_EraseRootFromParent_Done,
     /* 1553530 */   // Label 20529: @1553530
     /* 1553530 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1553630), // Rule ID 21551 //
     /* 1553535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1553546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1553549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1553552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1553555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1553562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553574 */     // MIs[0] round
     /* 1553574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553577 */     // MIs[0] policy
     /* 1553577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1553604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553629 */     // GIR_Coverage, 21551,
     /* 1553629 */     GIR_EraseRootFromParent_Done,
     /* 1553630 */   // Label 20530: @1553630
     /* 1553630 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1553730), // Rule ID 21554 //
     /* 1553635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1553638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553674 */     // MIs[0] round
     /* 1553674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553677 */     // MIs[0] policy
     /* 1553677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1553704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553729 */     // GIR_Coverage, 21554,
     /* 1553729 */     GIR_EraseRootFromParent_Done,
     /* 1553730 */   // Label 20531: @1553730
     /* 1553730 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1553830), // Rule ID 21555 //
     /* 1553735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1553738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1553746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1553749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1553752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1553755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1553762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553774 */     // MIs[0] round
     /* 1553774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553777 */     // MIs[0] policy
     /* 1553777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1553804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553829 */     // GIR_Coverage, 21555,
     /* 1553829 */     GIR_EraseRootFromParent_Done,
     /* 1553830 */   // Label 20532: @1553830
     /* 1553830 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1553930), // Rule ID 21558 //
     /* 1553835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1553838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553874 */     // MIs[0] round
     /* 1553874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553877 */     // MIs[0] policy
     /* 1553877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1553901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1553904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1553908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1553910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1553916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553929 */     // GIR_Coverage, 21558,
     /* 1553929 */     GIR_EraseRootFromParent_Done,
     /* 1553930 */   // Label 20533: @1553930
     /* 1553930 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1554030), // Rule ID 21559 //
     /* 1553935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1553938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1553943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1553952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1553955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1553962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1553974 */     // MIs[0] round
     /* 1553974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553977 */     // MIs[0] policy
     /* 1553977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1553991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1553997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1554004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554029 */     // GIR_Coverage, 21559,
     /* 1554029 */     GIR_EraseRootFromParent_Done,
     /* 1554030 */   // Label 20534: @1554030
     /* 1554030 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1554130), // Rule ID 21562 //
     /* 1554035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1554038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554074 */     // MIs[0] round
     /* 1554074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554077 */     // MIs[0] policy
     /* 1554077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1554104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554129 */     // GIR_Coverage, 21562,
     /* 1554129 */     GIR_EraseRootFromParent_Done,
     /* 1554130 */   // Label 20535: @1554130
     /* 1554130 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1554230), // Rule ID 21563 //
     /* 1554135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1554138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1554152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554174 */     // MIs[0] round
     /* 1554174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554177 */     // MIs[0] policy
     /* 1554177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10870:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1554204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554229 */     // GIR_Coverage, 21563,
     /* 1554229 */     GIR_EraseRootFromParent_Done,
     /* 1554230 */   // Label 20536: @1554230
     /* 1554230 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1554330), // Rule ID 21566 //
     /* 1554235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1554238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554274 */     // MIs[0] round
     /* 1554274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554277 */     // MIs[0] policy
     /* 1554277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1554304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554329 */     // GIR_Coverage, 21566,
     /* 1554329 */     GIR_EraseRootFromParent_Done,
     /* 1554330 */   // Label 20537: @1554330
     /* 1554330 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1554430), // Rule ID 21567 //
     /* 1554335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1554338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1554352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1554355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1554362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554374 */     // MIs[0] round
     /* 1554374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554377 */     // MIs[0] policy
     /* 1554377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10870:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1554404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554429 */     // GIR_Coverage, 21567,
     /* 1554429 */     GIR_EraseRootFromParent_Done,
     /* 1554430 */   // Label 20538: @1554430
     /* 1554430 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1554530), // Rule ID 21570 //
     /* 1554435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1554438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554474 */     // MIs[0] round
     /* 1554474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554477 */     // MIs[0] policy
     /* 1554477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1554504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554529 */     // GIR_Coverage, 21570,
     /* 1554529 */     GIR_EraseRootFromParent_Done,
     /* 1554530 */   // Label 20539: @1554530
     /* 1554530 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1554630), // Rule ID 21571 //
     /* 1554535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1554538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1554543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1554552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1554555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1554562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554574 */     // MIs[0] round
     /* 1554574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554577 */     // MIs[0] policy
     /* 1554577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10870:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1554604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554629 */     // GIR_Coverage, 21571,
     /* 1554629 */     GIR_EraseRootFromParent_Done,
     /* 1554630 */   // Label 20540: @1554630
     /* 1554630 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1554730), // Rule ID 21694 //
     /* 1554635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1554643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1554646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1554649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554674 */     // MIs[0] round
     /* 1554674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554677 */     // MIs[0] policy
     /* 1554677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554687 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1554704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554729 */     // GIR_Coverage, 21694,
     /* 1554729 */     GIR_EraseRootFromParent_Done,
     /* 1554730 */   // Label 20541: @1554730
     /* 1554730 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1554830), // Rule ID 21695 //
     /* 1554735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1554743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1554746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1554749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1554755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554774 */     // MIs[0] round
     /* 1554774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554777 */     // MIs[0] policy
     /* 1554777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554787 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1554804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554829 */     // GIR_Coverage, 21695,
     /* 1554829 */     GIR_EraseRootFromParent_Done,
     /* 1554830 */   // Label 20542: @1554830
     /* 1554830 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1554930), // Rule ID 21698 //
     /* 1554835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1554838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1554843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1554852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554874 */     // MIs[0] round
     /* 1554874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554877 */     // MIs[0] policy
     /* 1554877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554887 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1554901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1554904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1554908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1554910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1554916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554929 */     // GIR_Coverage, 21698,
     /* 1554929 */     GIR_EraseRootFromParent_Done,
     /* 1554930 */   // Label 20543: @1554930
     /* 1554930 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1555030), // Rule ID 21699 //
     /* 1554935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1554938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1554943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1554946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1554949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1554952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1554955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1554962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1554974 */     // MIs[0] round
     /* 1554974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554977 */     // MIs[0] policy
     /* 1554977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554987 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1554991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1554997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1555004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555029 */     // GIR_Coverage, 21699,
     /* 1555029 */     GIR_EraseRootFromParent_Done,
     /* 1555030 */   // Label 20544: @1555030
     /* 1555030 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1555130), // Rule ID 21702 //
     /* 1555035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555074 */     // MIs[0] round
     /* 1555074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555077 */     // MIs[0] policy
     /* 1555077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555087 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1555104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555129 */     // GIR_Coverage, 21702,
     /* 1555129 */     GIR_EraseRootFromParent_Done,
     /* 1555130 */   // Label 20545: @1555130
     /* 1555130 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1555230), // Rule ID 21703 //
     /* 1555135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1555146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1555149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1555155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555174 */     // MIs[0] round
     /* 1555174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555177 */     // MIs[0] policy
     /* 1555177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555187 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10862:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1555204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555229 */     // GIR_Coverage, 21703,
     /* 1555229 */     GIR_EraseRootFromParent_Done,
     /* 1555230 */   // Label 20546: @1555230
     /* 1555230 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1555330), // Rule ID 21706 //
     /* 1555235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555274 */     // MIs[0] round
     /* 1555274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555277 */     // MIs[0] policy
     /* 1555277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555287 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1555304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555329 */     // GIR_Coverage, 21706,
     /* 1555329 */     GIR_EraseRootFromParent_Done,
     /* 1555330 */   // Label 20547: @1555330
     /* 1555330 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1555430), // Rule ID 21707 //
     /* 1555335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1555346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1555349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1555355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1555362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555374 */     // MIs[0] round
     /* 1555374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555377 */     // MIs[0] policy
     /* 1555377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1555404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555429 */     // GIR_Coverage, 21707,
     /* 1555429 */     GIR_EraseRootFromParent_Done,
     /* 1555430 */   // Label 20548: @1555430
     /* 1555430 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1555530), // Rule ID 21710 //
     /* 1555435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1555438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555474 */     // MIs[0] round
     /* 1555474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555477 */     // MIs[0] policy
     /* 1555477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555487 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1555504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555529 */     // GIR_Coverage, 21710,
     /* 1555529 */     GIR_EraseRootFromParent_Done,
     /* 1555530 */   // Label 20549: @1555530
     /* 1555530 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1555630), // Rule ID 21711 //
     /* 1555535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1555538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1555546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1555549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1555552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1555555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1555562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555574 */     // MIs[0] round
     /* 1555574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555577 */     // MIs[0] policy
     /* 1555577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555587 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1555604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555629 */     // GIR_Coverage, 21711,
     /* 1555629 */     GIR_EraseRootFromParent_Done,
     /* 1555630 */   // Label 20550: @1555630
     /* 1555630 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1555730), // Rule ID 21714 //
     /* 1555635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1555638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555674 */     // MIs[0] round
     /* 1555674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555677 */     // MIs[0] policy
     /* 1555677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555687 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1555704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555729 */     // GIR_Coverage, 21714,
     /* 1555729 */     GIR_EraseRootFromParent_Done,
     /* 1555730 */   // Label 20551: @1555730
     /* 1555730 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1555830), // Rule ID 21715 //
     /* 1555735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1555738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1555752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1555755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555774 */     // MIs[0] round
     /* 1555774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555777 */     // MIs[0] policy
     /* 1555777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555787 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1555804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555829 */     // GIR_Coverage, 21715,
     /* 1555829 */     GIR_EraseRootFromParent_Done,
     /* 1555830 */   // Label 20552: @1555830
     /* 1555830 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1555930), // Rule ID 21718 //
     /* 1555835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1555838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555874 */     // MIs[0] round
     /* 1555874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555877 */     // MIs[0] policy
     /* 1555877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555887 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1555901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1555904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1555908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1555910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1555916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555929 */     // GIR_Coverage, 21718,
     /* 1555929 */     GIR_EraseRootFromParent_Done,
     /* 1555930 */   // Label 20553: @1555930
     /* 1555930 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1556030), // Rule ID 21719 //
     /* 1555935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1555938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1555943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1555952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1555955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1555962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1555974 */     // MIs[0] round
     /* 1555974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555977 */     // MIs[0] policy
     /* 1555977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10862:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1555991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1555997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1556004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556029 */     // GIR_Coverage, 21719,
     /* 1556029 */     GIR_EraseRootFromParent_Done,
     /* 1556030 */   // Label 20554: @1556030
     /* 1556030 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1556130), // Rule ID 21722 //
     /* 1556035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1556043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556074 */     // MIs[0] round
     /* 1556074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556077 */     // MIs[0] policy
     /* 1556077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556087 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1556104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556129 */     // GIR_Coverage, 21722,
     /* 1556129 */     GIR_EraseRootFromParent_Done,
     /* 1556130 */   // Label 20555: @1556130
     /* 1556130 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1556230), // Rule ID 21723 //
     /* 1556135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1556143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1556146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1556149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1556152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1556162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556174 */     // MIs[0] round
     /* 1556174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556177 */     // MIs[0] policy
     /* 1556177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10862:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1556204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556229 */     // GIR_Coverage, 21723,
     /* 1556229 */     GIR_EraseRootFromParent_Done,
     /* 1556230 */   // Label 20556: @1556230
     /* 1556230 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1556330), // Rule ID 21726 //
     /* 1556235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1556238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1556243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556274 */     // MIs[0] round
     /* 1556274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556277 */     // MIs[0] policy
     /* 1556277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556287 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1556304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556329 */     // GIR_Coverage, 21726,
     /* 1556329 */     GIR_EraseRootFromParent_Done,
     /* 1556330 */   // Label 20557: @1556330
     /* 1556330 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1556430), // Rule ID 21727 //
     /* 1556335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1556338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1556343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1556346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1556349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1556352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1556355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1556362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556374 */     // MIs[0] round
     /* 1556374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556377 */     // MIs[0] policy
     /* 1556377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556387 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10862:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1556404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556429 */     // GIR_Coverage, 21727,
     /* 1556429 */     GIR_EraseRootFromParent_Done,
     /* 1556430 */   // Label 20558: @1556430
     /* 1556430 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1556530), // Rule ID 21730 //
     /* 1556435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556474 */     // MIs[0] round
     /* 1556474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556477 */     // MIs[0] policy
     /* 1556477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556487 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1556504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556529 */     // GIR_Coverage, 21730,
     /* 1556529 */     GIR_EraseRootFromParent_Done,
     /* 1556530 */   // Label 20559: @1556530
     /* 1556530 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1556630), // Rule ID 21731 //
     /* 1556535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1556546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1556549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1556552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1556555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556574 */     // MIs[0] round
     /* 1556574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556577 */     // MIs[0] policy
     /* 1556577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556587 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1556604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556629 */     // GIR_Coverage, 21731,
     /* 1556629 */     GIR_EraseRootFromParent_Done,
     /* 1556630 */   // Label 20560: @1556630
     /* 1556630 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1556730), // Rule ID 21734 //
     /* 1556635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556674 */     // MIs[0] round
     /* 1556674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556677 */     // MIs[0] policy
     /* 1556677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556687 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1556704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556729 */     // GIR_Coverage, 21734,
     /* 1556729 */     GIR_EraseRootFromParent_Done,
     /* 1556730 */   // Label 20561: @1556730
     /* 1556730 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1556830), // Rule ID 21735 //
     /* 1556735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1556752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556774 */     // MIs[0] round
     /* 1556774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556777 */     // MIs[0] policy
     /* 1556777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1556804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556829 */     // GIR_Coverage, 21735,
     /* 1556829 */     GIR_EraseRootFromParent_Done,
     /* 1556830 */   // Label 20562: @1556830
     /* 1556830 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1556930), // Rule ID 21738 //
     /* 1556835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1556838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556874 */     // MIs[0] round
     /* 1556874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556877 */     // MIs[0] policy
     /* 1556877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556887 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1556901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1556904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1556916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556929 */     // GIR_Coverage, 21738,
     /* 1556929 */     GIR_EraseRootFromParent_Done,
     /* 1556930 */   // Label 20563: @1556930
     /* 1556930 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1557030), // Rule ID 21739 //
     /* 1556935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1556938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1556943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1556946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1556949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1556952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1556955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556974 */     // MIs[0] round
     /* 1556974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556977 */     // MIs[0] policy
     /* 1556977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10860:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1556991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1556997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1557004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557029 */     // GIR_Coverage, 21739,
     /* 1557029 */     GIR_EraseRootFromParent_Done,
     /* 1557030 */   // Label 20564: @1557030
     /* 1557030 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1557130), // Rule ID 21742 //
     /* 1557035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557074 */     // MIs[0] round
     /* 1557074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557077 */     // MIs[0] policy
     /* 1557077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557087 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1557104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557129 */     // GIR_Coverage, 21742,
     /* 1557129 */     GIR_EraseRootFromParent_Done,
     /* 1557130 */   // Label 20565: @1557130
     /* 1557130 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1557230), // Rule ID 21743 //
     /* 1557135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1557152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557174 */     // MIs[0] round
     /* 1557174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557177 */     // MIs[0] policy
     /* 1557177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557187 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1557204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557229 */     // GIR_Coverage, 21743,
     /* 1557229 */     GIR_EraseRootFromParent_Done,
     /* 1557230 */   // Label 20566: @1557230
     /* 1557230 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1557330), // Rule ID 21746 //
     /* 1557235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1557238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557274 */     // MIs[0] round
     /* 1557274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557277 */     // MIs[0] policy
     /* 1557277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557287 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1557304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557329 */     // GIR_Coverage, 21746,
     /* 1557329 */     GIR_EraseRootFromParent_Done,
     /* 1557330 */   // Label 20567: @1557330
     /* 1557330 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1557430), // Rule ID 21747 //
     /* 1557335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1557338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1557352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1557370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557374 */     // MIs[0] round
     /* 1557374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557377 */     // MIs[0] policy
     /* 1557377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557387 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1557404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557429 */     // GIR_Coverage, 21747,
     /* 1557429 */     GIR_EraseRootFromParent_Done,
     /* 1557430 */   // Label 20568: @1557430
     /* 1557430 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1557530), // Rule ID 21750 //
     /* 1557435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1557438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557474 */     // MIs[0] round
     /* 1557474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557477 */     // MIs[0] policy
     /* 1557477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1557504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557529 */     // GIR_Coverage, 21750,
     /* 1557529 */     GIR_EraseRootFromParent_Done,
     /* 1557530 */   // Label 20569: @1557530
     /* 1557530 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1557630), // Rule ID 21751 //
     /* 1557535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1557538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557574 */     // MIs[0] round
     /* 1557574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557577 */     // MIs[0] policy
     /* 1557577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557587 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1557604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557629 */     // GIR_Coverage, 21751,
     /* 1557629 */     GIR_EraseRootFromParent_Done,
     /* 1557630 */   // Label 20570: @1557630
     /* 1557630 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1557730), // Rule ID 21754 //
     /* 1557635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1557638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557674 */     // MIs[0] round
     /* 1557674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557677 */     // MIs[0] policy
     /* 1557677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557687 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1557704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557729 */     // GIR_Coverage, 21754,
     /* 1557729 */     GIR_EraseRootFromParent_Done,
     /* 1557730 */   // Label 20571: @1557730
     /* 1557730 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1557830), // Rule ID 21755 //
     /* 1557735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1557738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1557752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557774 */     // MIs[0] round
     /* 1557774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557777 */     // MIs[0] policy
     /* 1557777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557787 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10860:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1557804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557829 */     // GIR_Coverage, 21755,
     /* 1557829 */     GIR_EraseRootFromParent_Done,
     /* 1557830 */   // Label 20572: @1557830
     /* 1557830 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1557930), // Rule ID 21758 //
     /* 1557835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1557838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557874 */     // MIs[0] round
     /* 1557874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557877 */     // MIs[0] policy
     /* 1557877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1557901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1557904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1557916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557929 */     // GIR_Coverage, 21758,
     /* 1557929 */     GIR_EraseRootFromParent_Done,
     /* 1557930 */   // Label 20573: @1557930
     /* 1557930 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1558030), // Rule ID 21759 //
     /* 1557935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1557938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1557943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1557946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1557949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1557952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557974 */     // MIs[0] round
     /* 1557974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557977 */     // MIs[0] policy
     /* 1557977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10860:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1557991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1557997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1558004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558029 */     // GIR_Coverage, 21759,
     /* 1558029 */     GIR_EraseRootFromParent_Done,
     /* 1558030 */   // Label 20574: @1558030
     /* 1558030 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1558130), // Rule ID 21762 //
     /* 1558035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1558038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1558043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558074 */     // MIs[0] round
     /* 1558074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558077 */     // MIs[0] policy
     /* 1558077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1558104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558129 */     // GIR_Coverage, 21762,
     /* 1558129 */     GIR_EraseRootFromParent_Done,
     /* 1558130 */   // Label 20575: @1558130
     /* 1558130 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1558230), // Rule ID 21763 //
     /* 1558135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1558138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1558143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558174 */     // MIs[0] round
     /* 1558174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558177 */     // MIs[0] policy
     /* 1558177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558187 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10860:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1558204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558229 */     // GIR_Coverage, 21763,
     /* 1558229 */     GIR_EraseRootFromParent_Done,
     /* 1558230 */   // Label 20576: @1558230
     /* 1558230 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1558330), // Rule ID 21766 //
     /* 1558235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1558238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558274 */     // MIs[0] round
     /* 1558274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558277 */     // MIs[0] policy
     /* 1558277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558287 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1558304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558329 */     // GIR_Coverage, 21766,
     /* 1558329 */     GIR_EraseRootFromParent_Done,
     /* 1558330 */   // Label 20577: @1558330
     /* 1558330 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1558430), // Rule ID 21767 //
     /* 1558335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1558338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1558346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1558349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1558352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1558355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558374 */     // MIs[0] round
     /* 1558374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558377 */     // MIs[0] policy
     /* 1558377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558387 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1558404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558429 */     // GIR_Coverage, 21767,
     /* 1558429 */     GIR_EraseRootFromParent_Done,
     /* 1558430 */   // Label 20578: @1558430
     /* 1558430 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1558530), // Rule ID 21770 //
     /* 1558435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1558438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558474 */     // MIs[0] round
     /* 1558474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558477 */     // MIs[0] policy
     /* 1558477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558487 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1558504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558529 */     // GIR_Coverage, 21770,
     /* 1558529 */     GIR_EraseRootFromParent_Done,
     /* 1558530 */   // Label 20579: @1558530
     /* 1558530 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1558630), // Rule ID 21771 //
     /* 1558535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1558538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1558546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1558549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1558562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1558566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558574 */     // MIs[0] round
     /* 1558574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558577 */     // MIs[0] policy
     /* 1558577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1558604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558629 */     // GIR_Coverage, 21771,
     /* 1558629 */     GIR_EraseRootFromParent_Done,
     /* 1558630 */   // Label 20580: @1558630
     /* 1558630 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1558730), // Rule ID 21774 //
     /* 1558635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1558638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558674 */     // MIs[0] round
     /* 1558674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558677 */     // MIs[0] policy
     /* 1558677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558687 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1558704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558729 */     // GIR_Coverage, 21774,
     /* 1558729 */     GIR_EraseRootFromParent_Done,
     /* 1558730 */   // Label 20581: @1558730
     /* 1558730 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1558830), // Rule ID 21775 //
     /* 1558735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1558738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558774 */     // MIs[0] round
     /* 1558774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558777 */     // MIs[0] policy
     /* 1558777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558787 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1558804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558829 */     // GIR_Coverage, 21775,
     /* 1558829 */     GIR_EraseRootFromParent_Done,
     /* 1558830 */   // Label 20582: @1558830
     /* 1558830 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1558930), // Rule ID 21778 //
     /* 1558835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1558838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558874 */     // MIs[0] round
     /* 1558874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558877 */     // MIs[0] policy
     /* 1558877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558887 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1558901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1558904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1558916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558929 */     // GIR_Coverage, 21778,
     /* 1558929 */     GIR_EraseRootFromParent_Done,
     /* 1558930 */   // Label 20583: @1558930
     /* 1558930 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1559030), // Rule ID 21779 //
     /* 1558935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1558938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1558943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1558952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558974 */     // MIs[0] round
     /* 1558974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558977 */     // MIs[0] policy
     /* 1558977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558987 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1558991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1558997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1559004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559029 */     // GIR_Coverage, 21779,
     /* 1559029 */     GIR_EraseRootFromParent_Done,
     /* 1559030 */   // Label 20584: @1559030
     /* 1559030 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1559130), // Rule ID 21782 //
     /* 1559035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1559038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559074 */     // MIs[0] round
     /* 1559074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559077 */     // MIs[0] policy
     /* 1559077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559087 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1559104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559116 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559129 */     // GIR_Coverage, 21782,
     /* 1559129 */     GIR_EraseRootFromParent_Done,
     /* 1559130 */   // Label 20585: @1559130
     /* 1559130 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1559230), // Rule ID 21783 //
     /* 1559135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1559138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559174 */     // MIs[0] round
     /* 1559174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559177 */     // MIs[0] policy
     /* 1559177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559187 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1559204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559229 */     // GIR_Coverage, 21783,
     /* 1559229 */     GIR_EraseRootFromParent_Done,
     /* 1559230 */   // Label 20586: @1559230
     /* 1559230 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1559330), // Rule ID 21786 //
     /* 1559235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1559238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559274 */     // MIs[0] round
     /* 1559274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559277 */     // MIs[0] policy
     /* 1559277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559287 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1559304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559316 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559329 */     // GIR_Coverage, 21786,
     /* 1559329 */     GIR_EraseRootFromParent_Done,
     /* 1559330 */   // Label 20587: @1559330
     /* 1559330 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1559430), // Rule ID 21787 //
     /* 1559335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1559338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559374 */     // MIs[0] round
     /* 1559374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559377 */     // MIs[0] policy
     /* 1559377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559387 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1559404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559416 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559429 */     // GIR_Coverage, 21787,
     /* 1559429 */     GIR_EraseRootFromParent_Done,
     /* 1559430 */   // Label 20588: @1559430
     /* 1559430 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1559530), // Rule ID 21790 //
     /* 1559435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1559438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559474 */     // MIs[0] round
     /* 1559474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559477 */     // MIs[0] policy
     /* 1559477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559487 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1559504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559516 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559529 */     // GIR_Coverage, 21790,
     /* 1559529 */     GIR_EraseRootFromParent_Done,
     /* 1559530 */   // Label 20589: @1559530
     /* 1559530 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1559630), // Rule ID 21791 //
     /* 1559535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1559538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1559552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559574 */     // MIs[0] round
     /* 1559574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559577 */     // MIs[0] policy
     /* 1559577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559587 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10858:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1559604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559629 */     // GIR_Coverage, 21791,
     /* 1559629 */     GIR_EraseRootFromParent_Done,
     /* 1559630 */   // Label 20590: @1559630
     /* 1559630 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1559730), // Rule ID 21794 //
     /* 1559635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1559638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1559646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1559649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559674 */     // MIs[0] round
     /* 1559674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559677 */     // MIs[0] policy
     /* 1559677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559687 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1559704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559716 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559729 */     // GIR_Coverage, 21794,
     /* 1559729 */     GIR_EraseRootFromParent_Done,
     /* 1559730 */   // Label 20591: @1559730
     /* 1559730 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1559830), // Rule ID 21795 //
     /* 1559735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1559738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1559746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1559749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1559752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1559762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1559766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559774 */     // MIs[0] round
     /* 1559774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559777 */     // MIs[0] policy
     /* 1559777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559787 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10858:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1559804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559816 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559829 */     // GIR_Coverage, 21795,
     /* 1559829 */     GIR_EraseRootFromParent_Done,
     /* 1559830 */   // Label 20592: @1559830
     /* 1559830 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1559930), // Rule ID 21798 //
     /* 1559835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1559838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559874 */     // MIs[0] round
     /* 1559874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559877 */     // MIs[0] policy
     /* 1559877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559887 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1559901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1559904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1559916 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559929 */     // GIR_Coverage, 21798,
     /* 1559929 */     GIR_EraseRootFromParent_Done,
     /* 1559930 */   // Label 20593: @1559930
     /* 1559930 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1560030), // Rule ID 21799 //
     /* 1559935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1559938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1559943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1559946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1559949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1559952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1559955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1559962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1559966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559974 */     // MIs[0] round
     /* 1559974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559977 */     // MIs[0] policy
     /* 1559977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559987 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10858:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1559991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1559997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 1560001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1560004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560029 */     // GIR_Coverage, 21799,
     /* 1560029 */     GIR_EraseRootFromParent_Done,
     /* 1560030 */   // Label 20594: @1560030
     /* 1560030 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1560130), // Rule ID 2616 //
     /* 1560035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1560052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560066 */     // MIs[0] passthru
     /* 1560066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560079 */     // MIs[0] policy
     /* 1560079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1560106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560129 */     // GIR_Coverage, 2616,
     /* 1560129 */     GIR_EraseRootFromParent_Done,
     /* 1560130 */   // Label 20595: @1560130
     /* 1560130 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1560230), // Rule ID 2617 //
     /* 1560135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1560146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1560149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1560152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1560155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560166 */     // MIs[0] passthru
     /* 1560166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560179 */     // MIs[0] policy
     /* 1560179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1560206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560229 */     // GIR_Coverage, 2617,
     /* 1560229 */     GIR_EraseRootFromParent_Done,
     /* 1560230 */   // Label 20596: @1560230
     /* 1560230 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1560330), // Rule ID 3924 //
     /* 1560235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1560252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560266 */     // MIs[0] passthru
     /* 1560266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560279 */     // MIs[0] policy
     /* 1560279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1560306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560329 */     // GIR_Coverage, 3924,
     /* 1560329 */     GIR_EraseRootFromParent_Done,
     /* 1560330 */   // Label 20597: @1560330
     /* 1560330 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1560430), // Rule ID 3925 //
     /* 1560335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1560346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1560349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1560352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1560355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560366 */     // MIs[0] passthru
     /* 1560366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560379 */     // MIs[0] policy
     /* 1560379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1560406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560429 */     // GIR_Coverage, 3925,
     /* 1560429 */     GIR_EraseRootFromParent_Done,
     /* 1560430 */   // Label 20598: @1560430
     /* 1560430 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1560530), // Rule ID 3934 //
     /* 1560435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1560452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1560455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560466 */     // MIs[0] passthru
     /* 1560466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560479 */     // MIs[0] policy
     /* 1560479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1560506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560529 */     // GIR_Coverage, 3934,
     /* 1560529 */     GIR_EraseRootFromParent_Done,
     /* 1560530 */   // Label 20599: @1560530
     /* 1560530 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1560630), // Rule ID 3935 //
     /* 1560535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1560546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1560549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1560552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1560555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560566 */     // MIs[0] passthru
     /* 1560566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560579 */     // MIs[0] policy
     /* 1560579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560589 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1560606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560629 */     // GIR_Coverage, 3935,
     /* 1560629 */     GIR_EraseRootFromParent_Done,
     /* 1560630 */   // Label 20600: @1560630
     /* 1560630 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1560730), // Rule ID 3944 //
     /* 1560635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1560652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1560655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560666 */     // MIs[0] passthru
     /* 1560666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560679 */     // MIs[0] policy
     /* 1560679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1560706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560729 */     // GIR_Coverage, 3944,
     /* 1560729 */     GIR_EraseRootFromParent_Done,
     /* 1560730 */   // Label 20601: @1560730
     /* 1560730 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1560830), // Rule ID 3945 //
     /* 1560735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1560752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1560755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560766 */     // MIs[0] passthru
     /* 1560766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560779 */     // MIs[0] policy
     /* 1560779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1560806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560829 */     // GIR_Coverage, 3945,
     /* 1560829 */     GIR_EraseRootFromParent_Done,
     /* 1560830 */   // Label 20602: @1560830
     /* 1560830 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1560930), // Rule ID 3954 //
     /* 1560835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1560838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1560852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1560855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560866 */     // MIs[0] passthru
     /* 1560866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560879 */     // MIs[0] policy
     /* 1560879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1560903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1560906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1560912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1560918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1560926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560929 */     // GIR_Coverage, 3954,
     /* 1560929 */     GIR_EraseRootFromParent_Done,
     /* 1560930 */   // Label 20603: @1560930
     /* 1560930 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1561030), // Rule ID 3955 //
     /* 1560935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1560938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1560943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1560952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1560955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560966 */     // MIs[0] passthru
     /* 1560966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1560971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560979 */     // MIs[0] policy
     /* 1560979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1560993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1560999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1561006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561029 */     // GIR_Coverage, 3955,
     /* 1561029 */     GIR_EraseRootFromParent_Done,
     /* 1561030 */   // Label 20604: @1561030
     /* 1561030 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1561130), // Rule ID 3964 //
     /* 1561035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1561046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1561049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1561052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1561055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561066 */     // MIs[0] passthru
     /* 1561066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561079 */     // MIs[0] policy
     /* 1561079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1561106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561129 */     // GIR_Coverage, 3964,
     /* 1561129 */     GIR_EraseRootFromParent_Done,
     /* 1561130 */   // Label 20605: @1561130
     /* 1561130 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1561230), // Rule ID 3965 //
     /* 1561135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1561146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1561149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1561152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1561155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561166 */     // MIs[0] passthru
     /* 1561166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561179 */     // MIs[0] policy
     /* 1561179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1561206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1561226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561229 */     // GIR_Coverage, 3965,
     /* 1561229 */     GIR_EraseRootFromParent_Done,
     /* 1561230 */   // Label 20606: @1561230
     /* 1561230 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1561330), // Rule ID 3974 //
     /* 1561235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1561252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1561255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561266 */     // MIs[0] passthru
     /* 1561266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561279 */     // MIs[0] policy
     /* 1561279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1561306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561329 */     // GIR_Coverage, 3974,
     /* 1561329 */     GIR_EraseRootFromParent_Done,
     /* 1561330 */   // Label 20607: @1561330
     /* 1561330 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1561430), // Rule ID 3975 //
     /* 1561335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1561352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1561355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561366 */     // MIs[0] passthru
     /* 1561366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561379 */     // MIs[0] policy
     /* 1561379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1561406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561429 */     // GIR_Coverage, 3975,
     /* 1561429 */     GIR_EraseRootFromParent_Done,
     /* 1561430 */   // Label 20608: @1561430
     /* 1561430 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1561530), // Rule ID 3984 //
     /* 1561435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1561452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1561455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561466 */     // MIs[0] passthru
     /* 1561466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561479 */     // MIs[0] policy
     /* 1561479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1561506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561529 */     // GIR_Coverage, 3984,
     /* 1561529 */     GIR_EraseRootFromParent_Done,
     /* 1561530 */   // Label 20609: @1561530
     /* 1561530 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1561630), // Rule ID 3985 //
     /* 1561535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1561546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1561549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1561552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1561555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561566 */     // MIs[0] passthru
     /* 1561566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561579 */     // MIs[0] policy
     /* 1561579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1561606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561629 */     // GIR_Coverage, 3985,
     /* 1561629 */     GIR_EraseRootFromParent_Done,
     /* 1561630 */   // Label 20610: @1561630
     /* 1561630 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1561730), // Rule ID 3994 //
     /* 1561635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1561652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1561655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561666 */     // MIs[0] passthru
     /* 1561666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561679 */     // MIs[0] policy
     /* 1561679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1561706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561729 */     // GIR_Coverage, 3994,
     /* 1561729 */     GIR_EraseRootFromParent_Done,
     /* 1561730 */   // Label 20611: @1561730
     /* 1561730 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1561830), // Rule ID 3995 //
     /* 1561735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1561746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1561749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1561752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1561755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561766 */     // MIs[0] passthru
     /* 1561766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561779 */     // MIs[0] policy
     /* 1561779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1561806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561829 */     // GIR_Coverage, 3995,
     /* 1561829 */     GIR_EraseRootFromParent_Done,
     /* 1561830 */   // Label 20612: @1561830
     /* 1561830 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1561930), // Rule ID 4004 //
     /* 1561835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1561838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1561852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1561855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561866 */     // MIs[0] passthru
     /* 1561866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561879 */     // MIs[0] policy
     /* 1561879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1561903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1561906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1561912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1561918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561929 */     // GIR_Coverage, 4004,
     /* 1561929 */     GIR_EraseRootFromParent_Done,
     /* 1561930 */   // Label 20613: @1561930
     /* 1561930 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1562030), // Rule ID 4005 //
     /* 1561935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1561938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1561943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1561946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1561949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1561952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1561955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561966 */     // MIs[0] passthru
     /* 1561966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1561971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561979 */     // MIs[0] policy
     /* 1561979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1561993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1561999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1562006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562029 */     // GIR_Coverage, 4005,
     /* 1562029 */     GIR_EraseRootFromParent_Done,
     /* 1562030 */   // Label 20614: @1562030
     /* 1562030 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1562130), // Rule ID 4014 //
     /* 1562035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1562038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1562052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1562055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562066 */     // MIs[0] passthru
     /* 1562066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562079 */     // MIs[0] policy
     /* 1562079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1562106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562129 */     // GIR_Coverage, 4014,
     /* 1562129 */     GIR_EraseRootFromParent_Done,
     /* 1562130 */   // Label 20615: @1562130
     /* 1562130 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1562230), // Rule ID 4015 //
     /* 1562135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1562138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1562146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1562149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1562152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1562155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562166 */     // MIs[0] passthru
     /* 1562166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562179 */     // MIs[0] policy
     /* 1562179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1562206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562229 */     // GIR_Coverage, 4015,
     /* 1562229 */     GIR_EraseRootFromParent_Done,
     /* 1562230 */   // Label 20616: @1562230
     /* 1562230 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1562330), // Rule ID 4024 //
     /* 1562235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1562238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1562252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1562255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562266 */     // MIs[0] passthru
     /* 1562266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562279 */     // MIs[0] policy
     /* 1562279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1562306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562329 */     // GIR_Coverage, 4024,
     /* 1562329 */     GIR_EraseRootFromParent_Done,
     /* 1562330 */   // Label 20617: @1562330
     /* 1562330 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1562430), // Rule ID 4025 //
     /* 1562335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1562338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1562352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1562355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562366 */     // MIs[0] passthru
     /* 1562366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562379 */     // MIs[0] policy
     /* 1562379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1562406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562429 */     // GIR_Coverage, 4025,
     /* 1562429 */     GIR_EraseRootFromParent_Done,
     /* 1562430 */   // Label 20618: @1562430
     /* 1562430 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1562530), // Rule ID 4034 //
     /* 1562435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1562438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1562452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1562455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562466 */     // MIs[0] passthru
     /* 1562466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562479 */     // MIs[0] policy
     /* 1562479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1562506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562529 */     // GIR_Coverage, 4034,
     /* 1562529 */     GIR_EraseRootFromParent_Done,
     /* 1562530 */   // Label 20619: @1562530
     /* 1562530 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1562630), // Rule ID 4035 //
     /* 1562535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1562538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1562546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1562549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1562552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1562555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562566 */     // MIs[0] passthru
     /* 1562566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562579 */     // MIs[0] policy
     /* 1562579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1562606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562629 */     // GIR_Coverage, 4035,
     /* 1562629 */     GIR_EraseRootFromParent_Done,
     /* 1562630 */   // Label 20620: @1562630
     /* 1562630 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1562730), // Rule ID 4044 //
     /* 1562635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1562638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1562652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1562655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562666 */     // MIs[0] passthru
     /* 1562666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562679 */     // MIs[0] policy
     /* 1562679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1562706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562729 */     // GIR_Coverage, 4044,
     /* 1562729 */     GIR_EraseRootFromParent_Done,
     /* 1562730 */   // Label 20621: @1562730
     /* 1562730 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1562830), // Rule ID 4045 //
     /* 1562735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1562738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1562746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1562749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1562752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1562755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562766 */     // MIs[0] passthru
     /* 1562766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562779 */     // MIs[0] policy
     /* 1562779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1562806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562829 */     // GIR_Coverage, 4045,
     /* 1562829 */     GIR_EraseRootFromParent_Done,
     /* 1562830 */   // Label 20622: @1562830
     /* 1562830 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1562930), // Rule ID 4054 //
     /* 1562835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1562838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1562852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562866 */     // MIs[0] passthru
     /* 1562866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562879 */     // MIs[0] policy
     /* 1562879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1562903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1562906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1562912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1562918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562929 */     // GIR_Coverage, 4054,
     /* 1562929 */     GIR_EraseRootFromParent_Done,
     /* 1562930 */   // Label 20623: @1562930
     /* 1562930 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1563030), // Rule ID 4055 //
     /* 1562935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1562938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1562943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1562946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1562949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1562952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1562955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562966 */     // MIs[0] passthru
     /* 1562966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1562971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562979 */     // MIs[0] policy
     /* 1562979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1562993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1562999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1563006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563029 */     // GIR_Coverage, 4055,
     /* 1563029 */     GIR_EraseRootFromParent_Done,
     /* 1563030 */   // Label 20624: @1563030
     /* 1563030 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1563130), // Rule ID 4124 //
     /* 1563035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1563052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1563055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563066 */     // MIs[0] passthru
     /* 1563066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563079 */     // MIs[0] policy
     /* 1563079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1563106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563129 */     // GIR_Coverage, 4124,
     /* 1563129 */     GIR_EraseRootFromParent_Done,
     /* 1563130 */   // Label 20625: @1563130
     /* 1563130 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1563230), // Rule ID 4125 //
     /* 1563135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1563152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1563155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563166 */     // MIs[0] passthru
     /* 1563166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563179 */     // MIs[0] policy
     /* 1563179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1563206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563229 */     // GIR_Coverage, 4125,
     /* 1563229 */     GIR_EraseRootFromParent_Done,
     /* 1563230 */   // Label 20626: @1563230
     /* 1563230 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1563330), // Rule ID 4134 //
     /* 1563235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1563246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1563249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1563252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563266 */     // MIs[0] passthru
     /* 1563266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563279 */     // MIs[0] policy
     /* 1563279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1563306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563329 */     // GIR_Coverage, 4134,
     /* 1563329 */     GIR_EraseRootFromParent_Done,
     /* 1563330 */   // Label 20627: @1563330
     /* 1563330 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1563430), // Rule ID 4135 //
     /* 1563335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1563346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1563349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1563352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1563355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563366 */     // MIs[0] passthru
     /* 1563366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563379 */     // MIs[0] policy
     /* 1563379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1563406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563429 */     // GIR_Coverage, 4135,
     /* 1563429 */     GIR_EraseRootFromParent_Done,
     /* 1563430 */   // Label 20628: @1563430
     /* 1563430 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1563530), // Rule ID 4144 //
     /* 1563435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1563452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1563455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563466 */     // MIs[0] passthru
     /* 1563466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563479 */     // MIs[0] policy
     /* 1563479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1563506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563529 */     // GIR_Coverage, 4144,
     /* 1563529 */     GIR_EraseRootFromParent_Done,
     /* 1563530 */   // Label 20629: @1563530
     /* 1563530 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1563630), // Rule ID 4145 //
     /* 1563535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1563546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1563549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1563552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1563555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563566 */     // MIs[0] passthru
     /* 1563566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563579 */     // MIs[0] policy
     /* 1563579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563589 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1563606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563629 */     // GIR_Coverage, 4145,
     /* 1563629 */     GIR_EraseRootFromParent_Done,
     /* 1563630 */   // Label 20630: @1563630
     /* 1563630 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1563730), // Rule ID 4154 //
     /* 1563635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1563652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1563655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563666 */     // MIs[0] passthru
     /* 1563666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563679 */     // MIs[0] policy
     /* 1563679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1563706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563729 */     // GIR_Coverage, 4154,
     /* 1563729 */     GIR_EraseRootFromParent_Done,
     /* 1563730 */   // Label 20631: @1563730
     /* 1563730 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1563830), // Rule ID 4155 //
     /* 1563735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1563746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1563749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1563752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1563755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563766 */     // MIs[0] passthru
     /* 1563766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563779 */     // MIs[0] policy
     /* 1563779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1563806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563829 */     // GIR_Coverage, 4155,
     /* 1563829 */     GIR_EraseRootFromParent_Done,
     /* 1563830 */   // Label 20632: @1563830
     /* 1563830 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1563930), // Rule ID 4164 //
     /* 1563835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1563838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1563852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1563855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563866 */     // MIs[0] passthru
     /* 1563866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563879 */     // MIs[0] policy
     /* 1563879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1563903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1563906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1563912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1563918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1563926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563929 */     // GIR_Coverage, 4164,
     /* 1563929 */     GIR_EraseRootFromParent_Done,
     /* 1563930 */   // Label 20633: @1563930
     /* 1563930 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1564030), // Rule ID 4165 //
     /* 1563935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1563938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1563943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1563946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1563949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1563952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1563955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563966 */     // MIs[0] passthru
     /* 1563966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1563971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563979 */     // MIs[0] policy
     /* 1563979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1563993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1563999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1564006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564029 */     // GIR_Coverage, 4165,
     /* 1564029 */     GIR_EraseRootFromParent_Done,
     /* 1564030 */   // Label 20634: @1564030
     /* 1564030 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1564130), // Rule ID 4174 //
     /* 1564035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1564046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1564049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1564052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1564055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564066 */     // MIs[0] passthru
     /* 1564066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564079 */     // MIs[0] policy
     /* 1564079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1564106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564129 */     // GIR_Coverage, 4174,
     /* 1564129 */     GIR_EraseRootFromParent_Done,
     /* 1564130 */   // Label 20635: @1564130
     /* 1564130 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1564230), // Rule ID 4175 //
     /* 1564135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1564146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1564149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1564152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1564155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1564162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1564166 */     // MIs[0] passthru
     /* 1564166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564179 */     // MIs[0] policy
     /* 1564179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1564206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1564226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564229 */     // GIR_Coverage, 4175,
     /* 1564229 */     GIR_EraseRootFromParent_Done,
     /* 1564230 */   // Label 20636: @1564230
     /* 1564230 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1564330), // Rule ID 4184 //
     /* 1564235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1564252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564266 */     // MIs[0] passthru
     /* 1564266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564279 */     // MIs[0] policy
     /* 1564279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1564306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564329 */     // GIR_Coverage, 4184,
     /* 1564329 */     GIR_EraseRootFromParent_Done,
     /* 1564330 */   // Label 20637: @1564330
     /* 1564330 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1564430), // Rule ID 4185 //
     /* 1564335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1564352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1564355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564366 */     // MIs[0] passthru
     /* 1564366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564379 */     // MIs[0] policy
     /* 1564379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1564406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564429 */     // GIR_Coverage, 4185,
     /* 1564429 */     GIR_EraseRootFromParent_Done,
     /* 1564430 */   // Label 20638: @1564430
     /* 1564430 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1564530), // Rule ID 4194 //
     /* 1564435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1564452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1564455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564466 */     // MIs[0] passthru
     /* 1564466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564479 */     // MIs[0] policy
     /* 1564479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1564506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564529 */     // GIR_Coverage, 4194,
     /* 1564529 */     GIR_EraseRootFromParent_Done,
     /* 1564530 */   // Label 20639: @1564530
     /* 1564530 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1564630), // Rule ID 4195 //
     /* 1564535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1564552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1564555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564566 */     // MIs[0] passthru
     /* 1564566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564579 */     // MIs[0] policy
     /* 1564579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1564606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564629 */     // GIR_Coverage, 4195,
     /* 1564629 */     GIR_EraseRootFromParent_Done,
     /* 1564630 */   // Label 20640: @1564630
     /* 1564630 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1564730), // Rule ID 4204 //
     /* 1564635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1564652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1564655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564666 */     // MIs[0] passthru
     /* 1564666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564679 */     // MIs[0] policy
     /* 1564679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1564706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564729 */     // GIR_Coverage, 4204,
     /* 1564729 */     GIR_EraseRootFromParent_Done,
     /* 1564730 */   // Label 20641: @1564730
     /* 1564730 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1564830), // Rule ID 4205 //
     /* 1564735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1564746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1564749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1564752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1564755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564766 */     // MIs[0] passthru
     /* 1564766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564779 */     // MIs[0] policy
     /* 1564779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1564806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564829 */     // GIR_Coverage, 4205,
     /* 1564829 */     GIR_EraseRootFromParent_Done,
     /* 1564830 */   // Label 20642: @1564830
     /* 1564830 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1564930), // Rule ID 4214 //
     /* 1564835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1564838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1564852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1564855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564866 */     // MIs[0] passthru
     /* 1564866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564879 */     // MIs[0] policy
     /* 1564879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1564903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1564906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1564912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1564918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564929 */     // GIR_Coverage, 4214,
     /* 1564929 */     GIR_EraseRootFromParent_Done,
     /* 1564930 */   // Label 20643: @1564930
     /* 1564930 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1565030), // Rule ID 4215 //
     /* 1564935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1564938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1564943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1564946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1564949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1564952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1564955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1564962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1564966 */     // MIs[0] passthru
     /* 1564966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1564971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564979 */     // MIs[0] policy
     /* 1564979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1564993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1564999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1565006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565029 */     // GIR_Coverage, 4215,
     /* 1565029 */     GIR_EraseRootFromParent_Done,
     /* 1565030 */   // Label 20644: @1565030
     /* 1565030 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1565130), // Rule ID 4224 //
     /* 1565035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1565038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1565052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1565055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565066 */     // MIs[0] passthru
     /* 1565066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565079 */     // MIs[0] policy
     /* 1565079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1565106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565129 */     // GIR_Coverage, 4224,
     /* 1565129 */     GIR_EraseRootFromParent_Done,
     /* 1565130 */   // Label 20645: @1565130
     /* 1565130 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1565230), // Rule ID 4225 //
     /* 1565135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1565138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1565152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1565155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565166 */     // MIs[0] passthru
     /* 1565166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565179 */     // MIs[0] policy
     /* 1565179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1565206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565229 */     // GIR_Coverage, 4225,
     /* 1565229 */     GIR_EraseRootFromParent_Done,
     /* 1565230 */   // Label 20646: @1565230
     /* 1565230 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1565330), // Rule ID 4234 //
     /* 1565235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1565238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1565252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1565255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565266 */     // MIs[0] passthru
     /* 1565266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565279 */     // MIs[0] policy
     /* 1565279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1565306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565329 */     // GIR_Coverage, 4234,
     /* 1565329 */     GIR_EraseRootFromParent_Done,
     /* 1565330 */   // Label 20647: @1565330
     /* 1565330 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1565430), // Rule ID 4235 //
     /* 1565335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1565338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1565346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1565349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1565352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1565355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1565362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565366 */     // MIs[0] passthru
     /* 1565366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565379 */     // MIs[0] policy
     /* 1565379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1565406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565429 */     // GIR_Coverage, 4235,
     /* 1565429 */     GIR_EraseRootFromParent_Done,
     /* 1565430 */   // Label 20648: @1565430
     /* 1565430 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1565530), // Rule ID 4244 //
     /* 1565435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1565438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1565452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1565455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565466 */     // MIs[0] passthru
     /* 1565466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565479 */     // MIs[0] policy
     /* 1565479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1565506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565529 */     // GIR_Coverage, 4244,
     /* 1565529 */     GIR_EraseRootFromParent_Done,
     /* 1565530 */   // Label 20649: @1565530
     /* 1565530 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1565630), // Rule ID 4245 //
     /* 1565535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1565538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1565552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1565555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565566 */     // MIs[0] passthru
     /* 1565566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1565575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565579 */     // MIs[0] policy
     /* 1565579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1565606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565629 */     // GIR_Coverage, 4245,
     /* 1565629 */     GIR_EraseRootFromParent_Done,
     /* 1565630 */   // Label 20650: @1565630
     /* 1565630 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1565730), // Rule ID 4254 //
     /* 1565635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1565638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1565646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1565649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1565652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1565655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565666 */     // MIs[0] passthru
     /* 1565666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565679 */     // MIs[0] policy
     /* 1565679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1565706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565729 */     // GIR_Coverage, 4254,
     /* 1565729 */     GIR_EraseRootFromParent_Done,
     /* 1565730 */   // Label 20651: @1565730
     /* 1565730 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1565830), // Rule ID 4255 //
     /* 1565735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1565738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1565746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1565749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1565752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1565755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565766 */     // MIs[0] passthru
     /* 1565766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565779 */     // MIs[0] policy
     /* 1565779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1565806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565829 */     // GIR_Coverage, 4255,
     /* 1565829 */     GIR_EraseRootFromParent_Done,
     /* 1565830 */   // Label 20652: @1565830
     /* 1565830 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1565930), // Rule ID 4264 //
     /* 1565835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1565838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1565846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1565849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1565852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1565855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565866 */     // MIs[0] passthru
     /* 1565866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565879 */     // MIs[0] policy
     /* 1565879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1565903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1565906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1565912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1565918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565929 */     // GIR_Coverage, 4264,
     /* 1565929 */     GIR_EraseRootFromParent_Done,
     /* 1565930 */   // Label 20653: @1565930
     /* 1565930 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1566030), // Rule ID 4265 //
     /* 1565935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1565938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1565943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1565946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1565949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1565952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1565955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565966 */     // MIs[0] passthru
     /* 1565966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1565971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565979 */     // MIs[0] policy
     /* 1565979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1565993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1565999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1566006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566029 */     // GIR_Coverage, 4265,
     /* 1566029 */     GIR_EraseRootFromParent_Done,
     /* 1566030 */   // Label 20654: @1566030
     /* 1566030 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1566130), // Rule ID 4334 //
     /* 1566035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1566052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1566055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566066 */     // MIs[0] passthru
     /* 1566066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566079 */     // MIs[0] policy
     /* 1566079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1566106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566129 */     // GIR_Coverage, 4334,
     /* 1566129 */     GIR_EraseRootFromParent_Done,
     /* 1566130 */   // Label 20655: @1566130
     /* 1566130 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1566230), // Rule ID 4335 //
     /* 1566135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1566152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1566155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566166 */     // MIs[0] passthru
     /* 1566166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566179 */     // MIs[0] policy
     /* 1566179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1566206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566229 */     // GIR_Coverage, 4335,
     /* 1566229 */     GIR_EraseRootFromParent_Done,
     /* 1566230 */   // Label 20656: @1566230
     /* 1566230 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1566330), // Rule ID 4344 //
     /* 1566235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1566252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1566255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566266 */     // MIs[0] passthru
     /* 1566266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566279 */     // MIs[0] policy
     /* 1566279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1566306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566329 */     // GIR_Coverage, 4344,
     /* 1566329 */     GIR_EraseRootFromParent_Done,
     /* 1566330 */   // Label 20657: @1566330
     /* 1566330 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1566430), // Rule ID 4345 //
     /* 1566335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1566352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1566355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566366 */     // MIs[0] passthru
     /* 1566366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566379 */     // MIs[0] policy
     /* 1566379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1566406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566429 */     // GIR_Coverage, 4345,
     /* 1566429 */     GIR_EraseRootFromParent_Done,
     /* 1566430 */   // Label 20658: @1566430
     /* 1566430 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1566530), // Rule ID 4354 //
     /* 1566435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1566452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566466 */     // MIs[0] passthru
     /* 1566466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566479 */     // MIs[0] policy
     /* 1566479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1566506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566529 */     // GIR_Coverage, 4354,
     /* 1566529 */     GIR_EraseRootFromParent_Done,
     /* 1566530 */   // Label 20659: @1566530
     /* 1566530 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1566630), // Rule ID 4355 //
     /* 1566535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1566552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1566555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566566 */     // MIs[0] passthru
     /* 1566566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566579 */     // MIs[0] policy
     /* 1566579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566589 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1566606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566629 */     // GIR_Coverage, 4355,
     /* 1566629 */     GIR_EraseRootFromParent_Done,
     /* 1566630 */   // Label 20660: @1566630
     /* 1566630 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1566730), // Rule ID 4364 //
     /* 1566635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1566652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566666 */     // MIs[0] passthru
     /* 1566666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566679 */     // MIs[0] policy
     /* 1566679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1566706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566729 */     // GIR_Coverage, 4364,
     /* 1566729 */     GIR_EraseRootFromParent_Done,
     /* 1566730 */   // Label 20661: @1566730
     /* 1566730 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1566830), // Rule ID 4365 //
     /* 1566735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1566746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1566749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1566752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1566755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566766 */     // MIs[0] passthru
     /* 1566766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566779 */     // MIs[0] policy
     /* 1566779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1566806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566829 */     // GIR_Coverage, 4365,
     /* 1566829 */     GIR_EraseRootFromParent_Done,
     /* 1566830 */   // Label 20662: @1566830
     /* 1566830 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1566930), // Rule ID 4374 //
     /* 1566835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1566838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1566852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566866 */     // MIs[0] passthru
     /* 1566866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566879 */     // MIs[0] policy
     /* 1566879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1566903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1566906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1566912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1566918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1566926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566929 */     // GIR_Coverage, 4374,
     /* 1566929 */     GIR_EraseRootFromParent_Done,
     /* 1566930 */   // Label 20663: @1566930
     /* 1566930 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1567030), // Rule ID 4375 //
     /* 1566935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1566938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1566943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1566946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1566949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1566952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1566955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566966 */     // MIs[0] passthru
     /* 1566966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1566971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566979 */     // MIs[0] policy
     /* 1566979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1566993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1566999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1567006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567029 */     // GIR_Coverage, 4375,
     /* 1567029 */     GIR_EraseRootFromParent_Done,
     /* 1567030 */   // Label 20664: @1567030
     /* 1567030 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1567130), // Rule ID 4384 //
     /* 1567035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1567052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1567055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567066 */     // MIs[0] passthru
     /* 1567066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567079 */     // MIs[0] policy
     /* 1567079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1567106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567129 */     // GIR_Coverage, 4384,
     /* 1567129 */     GIR_EraseRootFromParent_Done,
     /* 1567130 */   // Label 20665: @1567130
     /* 1567130 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1567230), // Rule ID 4385 //
     /* 1567135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1567152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1567155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567166 */     // MIs[0] passthru
     /* 1567166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567179 */     // MIs[0] policy
     /* 1567179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1567206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1567226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567229 */     // GIR_Coverage, 4385,
     /* 1567229 */     GIR_EraseRootFromParent_Done,
     /* 1567230 */   // Label 20666: @1567230
     /* 1567230 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1567330), // Rule ID 4394 //
     /* 1567235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1567252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567266 */     // MIs[0] passthru
     /* 1567266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567279 */     // MIs[0] policy
     /* 1567279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1567306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567329 */     // GIR_Coverage, 4394,
     /* 1567329 */     GIR_EraseRootFromParent_Done,
     /* 1567330 */   // Label 20667: @1567330
     /* 1567330 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1567430), // Rule ID 4395 //
     /* 1567335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1567346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1567349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1567352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1567355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567366 */     // MIs[0] passthru
     /* 1567366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567379 */     // MIs[0] policy
     /* 1567379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1567406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567429 */     // GIR_Coverage, 4395,
     /* 1567429 */     GIR_EraseRootFromParent_Done,
     /* 1567430 */   // Label 20668: @1567430
     /* 1567430 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1567530), // Rule ID 4404 //
     /* 1567435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1567452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567466 */     // MIs[0] passthru
     /* 1567466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567479 */     // MIs[0] policy
     /* 1567479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1567506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567529 */     // GIR_Coverage, 4404,
     /* 1567529 */     GIR_EraseRootFromParent_Done,
     /* 1567530 */   // Label 20669: @1567530
     /* 1567530 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1567630), // Rule ID 4405 //
     /* 1567535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1567552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1567555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567566 */     // MIs[0] passthru
     /* 1567566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567579 */     // MIs[0] policy
     /* 1567579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1567606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567629 */     // GIR_Coverage, 4405,
     /* 1567629 */     GIR_EraseRootFromParent_Done,
     /* 1567630 */   // Label 20670: @1567630
     /* 1567630 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1567730), // Rule ID 4414 //
     /* 1567635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1567652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567666 */     // MIs[0] passthru
     /* 1567666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567679 */     // MIs[0] policy
     /* 1567679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1567706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567729 */     // GIR_Coverage, 4414,
     /* 1567729 */     GIR_EraseRootFromParent_Done,
     /* 1567730 */   // Label 20671: @1567730
     /* 1567730 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1567830), // Rule ID 4415 //
     /* 1567735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1567752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1567755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567766 */     // MIs[0] passthru
     /* 1567766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567779 */     // MIs[0] policy
     /* 1567779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1567806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567829 */     // GIR_Coverage, 4415,
     /* 1567829 */     GIR_EraseRootFromParent_Done,
     /* 1567830 */   // Label 20672: @1567830
     /* 1567830 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1567930), // Rule ID 4424 //
     /* 1567835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1567838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1567852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567866 */     // MIs[0] passthru
     /* 1567866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567879 */     // MIs[0] policy
     /* 1567879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1567903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1567906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1567912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1567918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567929 */     // GIR_Coverage, 4424,
     /* 1567929 */     GIR_EraseRootFromParent_Done,
     /* 1567930 */   // Label 20673: @1567930
     /* 1567930 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1568030), // Rule ID 4425 //
     /* 1567935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1567938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1567943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1567946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1567949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1567952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1567955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567966 */     // MIs[0] passthru
     /* 1567966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1567971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567979 */     // MIs[0] policy
     /* 1567979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1567993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1567999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1568006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568029 */     // GIR_Coverage, 4425,
     /* 1568029 */     GIR_EraseRootFromParent_Done,
     /* 1568030 */   // Label 20674: @1568030
     /* 1568030 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1568130), // Rule ID 4434 //
     /* 1568035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1568038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1568052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1568055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568066 */     // MIs[0] passthru
     /* 1568066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568079 */     // MIs[0] policy
     /* 1568079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1568106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568129 */     // GIR_Coverage, 4434,
     /* 1568129 */     GIR_EraseRootFromParent_Done,
     /* 1568130 */   // Label 20675: @1568130
     /* 1568130 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1568230), // Rule ID 4435 //
     /* 1568135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1568138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1568152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1568155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568166 */     // MIs[0] passthru
     /* 1568166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568179 */     // MIs[0] policy
     /* 1568179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1568206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568229 */     // GIR_Coverage, 4435,
     /* 1568229 */     GIR_EraseRootFromParent_Done,
     /* 1568230 */   // Label 20676: @1568230
     /* 1568230 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1568330), // Rule ID 4444 //
     /* 1568235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1568252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568266 */     // MIs[0] passthru
     /* 1568266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568279 */     // MIs[0] policy
     /* 1568279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1568306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568329 */     // GIR_Coverage, 4444,
     /* 1568329 */     GIR_EraseRootFromParent_Done,
     /* 1568330 */   // Label 20677: @1568330
     /* 1568330 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1568430), // Rule ID 4445 //
     /* 1568335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1568346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1568349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1568352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1568355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568366 */     // MIs[0] passthru
     /* 1568366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568379 */     // MIs[0] policy
     /* 1568379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1568406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568429 */     // GIR_Coverage, 4445,
     /* 1568429 */     GIR_EraseRootFromParent_Done,
     /* 1568430 */   // Label 20678: @1568430
     /* 1568430 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1568530), // Rule ID 4454 //
     /* 1568435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1568452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568466 */     // MIs[0] passthru
     /* 1568466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568479 */     // MIs[0] policy
     /* 1568479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1568506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568529 */     // GIR_Coverage, 4454,
     /* 1568529 */     GIR_EraseRootFromParent_Done,
     /* 1568530 */   // Label 20679: @1568530
     /* 1568530 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1568630), // Rule ID 4455 //
     /* 1568535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1568552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1568555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568566 */     // MIs[0] passthru
     /* 1568566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568579 */     // MIs[0] policy
     /* 1568579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1568606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568629 */     // GIR_Coverage, 4455,
     /* 1568629 */     GIR_EraseRootFromParent_Done,
     /* 1568630 */   // Label 20680: @1568630
     /* 1568630 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1568730), // Rule ID 4464 //
     /* 1568635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1568652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568666 */     // MIs[0] passthru
     /* 1568666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568679 */     // MIs[0] policy
     /* 1568679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1568706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568729 */     // GIR_Coverage, 4464,
     /* 1568729 */     GIR_EraseRootFromParent_Done,
     /* 1568730 */   // Label 20681: @1568730
     /* 1568730 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1568830), // Rule ID 4465 //
     /* 1568735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1568752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1568755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568766 */     // MIs[0] passthru
     /* 1568766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568779 */     // MIs[0] policy
     /* 1568779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1568806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568829 */     // GIR_Coverage, 4465,
     /* 1568829 */     GIR_EraseRootFromParent_Done,
     /* 1568830 */   // Label 20682: @1568830
     /* 1568830 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1568930), // Rule ID 4474 //
     /* 1568835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1568838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1568852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568866 */     // MIs[0] passthru
     /* 1568866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568879 */     // MIs[0] policy
     /* 1568879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1568903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1568906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1568912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1568918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568929 */     // GIR_Coverage, 4474,
     /* 1568929 */     GIR_EraseRootFromParent_Done,
     /* 1568930 */   // Label 20683: @1568930
     /* 1568930 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1569030), // Rule ID 4475 //
     /* 1568935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1568938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1568943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1568952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1568955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568966 */     // MIs[0] passthru
     /* 1568966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1568971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568979 */     // MIs[0] policy
     /* 1568979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1568993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1568999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1569006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569029 */     // GIR_Coverage, 4475,
     /* 1569029 */     GIR_EraseRootFromParent_Done,
     /* 1569030 */   // Label 20684: @1569030
     /* 1569030 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1569130), // Rule ID 4544 //
     /* 1569035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1569052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569066 */     // MIs[0] passthru
     /* 1569066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569079 */     // MIs[0] policy
     /* 1569079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569089 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1569106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569129 */     // GIR_Coverage, 4544,
     /* 1569129 */     GIR_EraseRootFromParent_Done,
     /* 1569130 */   // Label 20685: @1569130
     /* 1569130 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1569230), // Rule ID 4545 //
     /* 1569135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1569146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1569149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1569152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1569155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569166 */     // MIs[0] passthru
     /* 1569166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569179 */     // MIs[0] policy
     /* 1569179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569189 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1569206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569229 */     // GIR_Coverage, 4545,
     /* 1569229 */     GIR_EraseRootFromParent_Done,
     /* 1569230 */   // Label 20686: @1569230
     /* 1569230 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1569330), // Rule ID 4554 //
     /* 1569235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1569252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1569255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569266 */     // MIs[0] passthru
     /* 1569266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569279 */     // MIs[0] policy
     /* 1569279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1569306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569329 */     // GIR_Coverage, 4554,
     /* 1569329 */     GIR_EraseRootFromParent_Done,
     /* 1569330 */   // Label 20687: @1569330
     /* 1569330 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1569430), // Rule ID 4555 //
     /* 1569335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1569352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1569355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569366 */     // MIs[0] passthru
     /* 1569366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569379 */     // MIs[0] policy
     /* 1569379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569389 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1569406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569429 */     // GIR_Coverage, 4555,
     /* 1569429 */     GIR_EraseRootFromParent_Done,
     /* 1569430 */   // Label 20688: @1569430
     /* 1569430 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1569530), // Rule ID 4564 //
     /* 1569435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1569452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1569455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569466 */     // MIs[0] passthru
     /* 1569466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569479 */     // MIs[0] policy
     /* 1569479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569489 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1569506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569529 */     // GIR_Coverage, 4564,
     /* 1569529 */     GIR_EraseRootFromParent_Done,
     /* 1569530 */   // Label 20689: @1569530
     /* 1569530 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1569630), // Rule ID 4565 //
     /* 1569535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1569552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1569555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569566 */     // MIs[0] passthru
     /* 1569566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569579 */     // MIs[0] policy
     /* 1569579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569589 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1569606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569629 */     // GIR_Coverage, 4565,
     /* 1569629 */     GIR_EraseRootFromParent_Done,
     /* 1569630 */   // Label 20690: @1569630
     /* 1569630 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1569730), // Rule ID 4574 //
     /* 1569635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1569652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569666 */     // MIs[0] passthru
     /* 1569666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569679 */     // MIs[0] policy
     /* 1569679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569689 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1569706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569729 */     // GIR_Coverage, 4574,
     /* 1569729 */     GIR_EraseRootFromParent_Done,
     /* 1569730 */   // Label 20691: @1569730
     /* 1569730 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1569830), // Rule ID 4575 //
     /* 1569735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1569752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1569755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569766 */     // MIs[0] passthru
     /* 1569766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569779 */     // MIs[0] policy
     /* 1569779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569789 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1569806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569829 */     // GIR_Coverage, 4575,
     /* 1569829 */     GIR_EraseRootFromParent_Done,
     /* 1569830 */   // Label 20692: @1569830
     /* 1569830 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1569930), // Rule ID 4584 //
     /* 1569835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1569838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1569852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569866 */     // MIs[0] passthru
     /* 1569866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569879 */     // MIs[0] policy
     /* 1569879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569889 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1569903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1569906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1569912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1569918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1569926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569929 */     // GIR_Coverage, 4584,
     /* 1569929 */     GIR_EraseRootFromParent_Done,
     /* 1569930 */   // Label 20693: @1569930
     /* 1569930 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1570030), // Rule ID 4585 //
     /* 1569935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1569938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1569943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1569946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1569949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1569952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1569955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1569962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1569966 */     // MIs[0] passthru
     /* 1569966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1569971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569979 */     // MIs[0] policy
     /* 1569979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569989 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1569993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1569999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1570006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570029 */     // GIR_Coverage, 4585,
     /* 1570029 */     GIR_EraseRootFromParent_Done,
     /* 1570030 */   // Label 20694: @1570030
     /* 1570030 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1570130), // Rule ID 4594 //
     /* 1570035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1570052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1570055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570066 */     // MIs[0] passthru
     /* 1570066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570079 */     // MIs[0] policy
     /* 1570079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570089 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1570106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570129 */     // GIR_Coverage, 4594,
     /* 1570129 */     GIR_EraseRootFromParent_Done,
     /* 1570130 */   // Label 20695: @1570130
     /* 1570130 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1570230), // Rule ID 4595 //
     /* 1570135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1570152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1570155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570166 */     // MIs[0] passthru
     /* 1570166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570179 */     // MIs[0] policy
     /* 1570179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570189 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1570206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1570226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570229 */     // GIR_Coverage, 4595,
     /* 1570229 */     GIR_EraseRootFromParent_Done,
     /* 1570230 */   // Label 20696: @1570230
     /* 1570230 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1570330), // Rule ID 4604 //
     /* 1570235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1570252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1570255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570266 */     // MIs[0] passthru
     /* 1570266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570279 */     // MIs[0] policy
     /* 1570279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570289 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1570306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570329 */     // GIR_Coverage, 4604,
     /* 1570329 */     GIR_EraseRootFromParent_Done,
     /* 1570330 */   // Label 20697: @1570330
     /* 1570330 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1570430), // Rule ID 4605 //
     /* 1570335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1570346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1570349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1570352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1570355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570366 */     // MIs[0] passthru
     /* 1570366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570379 */     // MIs[0] policy
     /* 1570379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570389 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1570406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570429 */     // GIR_Coverage, 4605,
     /* 1570429 */     GIR_EraseRootFromParent_Done,
     /* 1570430 */   // Label 20698: @1570430
     /* 1570430 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1570530), // Rule ID 4614 //
     /* 1570435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1570452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570466 */     // MIs[0] passthru
     /* 1570466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570479 */     // MIs[0] policy
     /* 1570479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570489 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1570506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570529 */     // GIR_Coverage, 4614,
     /* 1570529 */     GIR_EraseRootFromParent_Done,
     /* 1570530 */   // Label 20699: @1570530
     /* 1570530 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1570630), // Rule ID 4615 //
     /* 1570535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1570546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1570549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1570552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1570555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1570562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570566 */     // MIs[0] passthru
     /* 1570566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570579 */     // MIs[0] policy
     /* 1570579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570589 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1570606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570629 */     // GIR_Coverage, 4615,
     /* 1570629 */     GIR_EraseRootFromParent_Done,
     /* 1570630 */   // Label 20700: @1570630
     /* 1570630 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1570730), // Rule ID 4624 //
     /* 1570635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1570652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570666 */     // MIs[0] passthru
     /* 1570666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570679 */     // MIs[0] policy
     /* 1570679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1570706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570729 */     // GIR_Coverage, 4624,
     /* 1570729 */     GIR_EraseRootFromParent_Done,
     /* 1570730 */   // Label 20701: @1570730
     /* 1570730 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1570830), // Rule ID 4625 //
     /* 1570735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1570752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1570755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570766 */     // MIs[0] passthru
     /* 1570766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1570775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570779 */     // MIs[0] policy
     /* 1570779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570789 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1570806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570829 */     // GIR_Coverage, 4625,
     /* 1570829 */     GIR_EraseRootFromParent_Done,
     /* 1570830 */   // Label 20702: @1570830
     /* 1570830 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1570930), // Rule ID 4634 //
     /* 1570835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1570838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1570852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570866 */     // MIs[0] passthru
     /* 1570866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570879 */     // MIs[0] policy
     /* 1570879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570889 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1570903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1570906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1570912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1570918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570929 */     // GIR_Coverage, 4634,
     /* 1570929 */     GIR_EraseRootFromParent_Done,
     /* 1570930 */   // Label 20703: @1570930
     /* 1570930 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1571030), // Rule ID 4635 //
     /* 1570935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1570938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1570943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1570952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1570955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570966 */     // MIs[0] passthru
     /* 1570966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1570971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570979 */     // MIs[0] policy
     /* 1570979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570989 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1570993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1570999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1571006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571029 */     // GIR_Coverage, 4635,
     /* 1571029 */     GIR_EraseRootFromParent_Done,
     /* 1571030 */   // Label 20704: @1571030
     /* 1571030 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1571130), // Rule ID 4644 //
     /* 1571035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1571038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1571046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1571049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1571052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1571055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571066 */     // MIs[0] passthru
     /* 1571066 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571079 */     // MIs[0] policy
     /* 1571079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571089 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1571106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571129 */     // GIR_Coverage, 4644,
     /* 1571129 */     GIR_EraseRootFromParent_Done,
     /* 1571130 */   // Label 20705: @1571130
     /* 1571130 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1571230), // Rule ID 4645 //
     /* 1571135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1571138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1571146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1571149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1571152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1571155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571166 */     // MIs[0] passthru
     /* 1571166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571179 */     // MIs[0] policy
     /* 1571179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1571206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571229 */     // GIR_Coverage, 4645,
     /* 1571229 */     GIR_EraseRootFromParent_Done,
     /* 1571230 */   // Label 20706: @1571230
     /* 1571230 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1571330), // Rule ID 4654 //
     /* 1571235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1571238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1571246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1571249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1571252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571266 */     // MIs[0] passthru
     /* 1571266 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571279 */     // MIs[0] policy
     /* 1571279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1571306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571329 */     // GIR_Coverage, 4654,
     /* 1571329 */     GIR_EraseRootFromParent_Done,
     /* 1571330 */   // Label 20707: @1571330
     /* 1571330 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1571430), // Rule ID 4655 //
     /* 1571335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1571346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1571349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1571352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1571355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571366 */     // MIs[0] passthru
     /* 1571366 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571379 */     // MIs[0] policy
     /* 1571379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571389 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1571406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571429 */     // GIR_Coverage, 4655,
     /* 1571429 */     GIR_EraseRootFromParent_Done,
     /* 1571430 */   // Label 20708: @1571430
     /* 1571430 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1571530), // Rule ID 4664 //
     /* 1571435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1571438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1571446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1571449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1571452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571466 */     // MIs[0] passthru
     /* 1571466 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571479 */     // MIs[0] policy
     /* 1571479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571489 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1571506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571529 */     // GIR_Coverage, 4664,
     /* 1571529 */     GIR_EraseRootFromParent_Done,
     /* 1571530 */   // Label 20709: @1571530
     /* 1571530 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1571630), // Rule ID 4665 //
     /* 1571535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1571546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1571549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1571552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1571555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571566 */     // MIs[0] passthru
     /* 1571566 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571579 */     // MIs[0] policy
     /* 1571579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571589 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1571606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571629 */     // GIR_Coverage, 4665,
     /* 1571629 */     GIR_EraseRootFromParent_Done,
     /* 1571630 */   // Label 20710: @1571630
     /* 1571630 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1571730), // Rule ID 4674 //
     /* 1571635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1571638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1571646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1571649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1571652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571666 */     // MIs[0] passthru
     /* 1571666 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571679 */     // MIs[0] policy
     /* 1571679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571689 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1571706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571729 */     // GIR_Coverage, 4674,
     /* 1571729 */     GIR_EraseRootFromParent_Done,
     /* 1571730 */   // Label 20711: @1571730
     /* 1571730 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1571830), // Rule ID 4675 //
     /* 1571735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1571746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1571749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1571752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1571755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571766 */     // MIs[0] passthru
     /* 1571766 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571779 */     // MIs[0] policy
     /* 1571779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571789 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1571806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571829 */     // GIR_Coverage, 4675,
     /* 1571829 */     GIR_EraseRootFromParent_Done,
     /* 1571830 */   // Label 20712: @1571830
     /* 1571830 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1571930), // Rule ID 4684 //
     /* 1571835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1571838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1571852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571866 */     // MIs[0] passthru
     /* 1571866 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571879 */     // MIs[0] policy
     /* 1571879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571889 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1571903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1571906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1571912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1571918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1571926 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571929 */     // GIR_Coverage, 4684,
     /* 1571929 */     GIR_EraseRootFromParent_Done,
     /* 1571930 */   // Label 20713: @1571930
     /* 1571930 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1572030), // Rule ID 4685 //
     /* 1571935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1571938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1571943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1571952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1571955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571966 */     // MIs[0] passthru
     /* 1571966 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1571971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571979 */     // MIs[0] policy
     /* 1571979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571989 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1571993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1571999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1572006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572029 */     // GIR_Coverage, 4685,
     /* 1572029 */     GIR_EraseRootFromParent_Done,
     /* 1572030 */   // Label 20714: @1572030
     /* 1572030 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1572134), // Rule ID 2580 //
     /* 1572035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1572043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572081 */     // MIs[0] policy
     /* 1572081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572091 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1572108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572133 */     // GIR_Coverage, 2580,
     /* 1572133 */     GIR_EraseRootFromParent_Done,
     /* 1572134 */   // Label 20715: @1572134
     /* 1572134 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1572238), // Rule ID 2581 //
     /* 1572139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1572147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572185 */     // MIs[0] policy
     /* 1572185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572195 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1572212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572237 */     // GIR_Coverage, 2581,
     /* 1572237 */     GIR_EraseRootFromParent_Done,
     /* 1572238 */   // Label 20716: @1572238
     /* 1572238 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1572342), // Rule ID 2618 //
     /* 1572243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572289 */     // MIs[0] policy
     /* 1572289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1572316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572341 */     // GIR_Coverage, 2618,
     /* 1572341 */     GIR_EraseRootFromParent_Done,
     /* 1572342 */   // Label 20717: @1572342
     /* 1572342 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1572446), // Rule ID 2619 //
     /* 1572347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1572355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1572358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1572361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572393 */     // MIs[0] policy
     /* 1572393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1572420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572445 */     // GIR_Coverage, 2619,
     /* 1572445 */     GIR_EraseRootFromParent_Done,
     /* 1572446 */   // Label 20718: @1572446
     /* 1572446 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1572550), // Rule ID 2632 //
     /* 1572451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1572459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572497 */     // MIs[0] policy
     /* 1572497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1572524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1572528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572549 */     // GIR_Coverage, 2632,
     /* 1572549 */     GIR_EraseRootFromParent_Done,
     /* 1572550 */   // Label 20719: @1572550
     /* 1572550 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1572654), // Rule ID 2633 //
     /* 1572555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1572563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572601 */     // MIs[0] policy
     /* 1572601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1572628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1572632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1572634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1572636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572653 */     // GIR_Coverage, 2633,
     /* 1572653 */     GIR_EraseRootFromParent_Done,
     /* 1572654 */   // Label 20720: @1572654
     /* 1572654 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1572758), // Rule ID 2652 //
     /* 1572659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1572667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572705 */     // MIs[0] policy
     /* 1572705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572715 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1572732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1572738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572757 */     // GIR_Coverage, 2652,
     /* 1572757 */     GIR_EraseRootFromParent_Done,
     /* 1572758 */   // Label 20721: @1572758
     /* 1572758 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1572862), // Rule ID 2653 //
     /* 1572763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1572771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1572774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1572777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1572780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1572783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1572786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572809 */     // MIs[0] policy
     /* 1572809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1572836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1572842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572861 */     // GIR_Coverage, 2653,
     /* 1572861 */     GIR_EraseRootFromParent_Done,
     /* 1572862 */   // Label 20722: @1572862
     /* 1572862 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1572966), // Rule ID 2660 //
     /* 1572867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1572870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1572875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1572884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572913 */     // MIs[0] policy
     /* 1572913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572923 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1572927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1572933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1572937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1572940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1572946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1572954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1572962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572965 */     // GIR_Coverage, 2660,
     /* 1572965 */     GIR_EraseRootFromParent_Done,
     /* 1572966 */   // Label 20723: @1572966
     /* 1572966 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1573070), // Rule ID 2661 //
     /* 1572971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1572974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1572979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1572982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1572985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1572988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1572991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1572994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573017 */     // MIs[0] policy
     /* 1573017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1573044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573069 */     // GIR_Coverage, 2661,
     /* 1573069 */     GIR_EraseRootFromParent_Done,
     /* 1573070 */   // Label 20724: @1573070
     /* 1573070 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1573174), // Rule ID 2668 //
     /* 1573075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1573086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1573089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1573092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573121 */     // MIs[0] policy
     /* 1573121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573173 */     // GIR_Coverage, 2668,
     /* 1573173 */     GIR_EraseRootFromParent_Done,
     /* 1573174 */   // Label 20725: @1573174
     /* 1573174 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1573278), // Rule ID 2669 //
     /* 1573179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1573190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1573193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1573196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1573199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1573202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573225 */     // MIs[0] policy
     /* 1573225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1573274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573277 */     // GIR_Coverage, 2669,
     /* 1573277 */     GIR_EraseRootFromParent_Done,
     /* 1573278 */   // Label 20726: @1573278
     /* 1573278 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1573382), // Rule ID 2676 //
     /* 1573283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1573300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573329 */     // MIs[0] policy
     /* 1573329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1573356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573381 */     // GIR_Coverage, 2676,
     /* 1573381 */     GIR_EraseRootFromParent_Done,
     /* 1573382 */   // Label 20727: @1573382
     /* 1573382 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1573486), // Rule ID 2677 //
     /* 1573387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1573398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1573401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1573404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1573407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573433 */     // MIs[0] policy
     /* 1573433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1573460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573485 */     // GIR_Coverage, 2677,
     /* 1573485 */     GIR_EraseRootFromParent_Done,
     /* 1573486 */   // Label 20728: @1573486
     /* 1573486 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1573590), // Rule ID 2684 //
     /* 1573491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1573508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573537 */     // MIs[0] policy
     /* 1573537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573589 */     // GIR_Coverage, 2684,
     /* 1573589 */     GIR_EraseRootFromParent_Done,
     /* 1573590 */   // Label 20729: @1573590
     /* 1573590 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1573694), // Rule ID 2685 //
     /* 1573595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1573606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1573609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1573612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1573615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1573618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573641 */     // MIs[0] policy
     /* 1573641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573693 */     // GIR_Coverage, 2685,
     /* 1573693 */     GIR_EraseRootFromParent_Done,
     /* 1573694 */   // Label 20730: @1573694
     /* 1573694 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1573798), // Rule ID 2692 //
     /* 1573699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1573719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573745 */     // MIs[0] policy
     /* 1573745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573797 */     // GIR_Coverage, 2692,
     /* 1573797 */     GIR_EraseRootFromParent_Done,
     /* 1573798 */   // Label 20731: @1573798
     /* 1573798 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1573902), // Rule ID 2693 //
     /* 1573803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1573806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1573814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1573817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1573823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1573826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573849 */     // MIs[0] policy
     /* 1573849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1573876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573901 */     // GIR_Coverage, 2693,
     /* 1573901 */     GIR_EraseRootFromParent_Done,
     /* 1573902 */   // Label 20732: @1573902
     /* 1573902 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1574006), // Rule ID 2700 //
     /* 1573907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1573910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1573915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1573918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1573921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1573924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1573927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1573930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573953 */     // MIs[0] policy
     /* 1573953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573963 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1573967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1573973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1573977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1573980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1573986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1573994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574005 */     // GIR_Coverage, 2700,
     /* 1574005 */     GIR_EraseRootFromParent_Done,
     /* 1574006 */   // Label 20733: @1574006
     /* 1574006 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1574110), // Rule ID 2701 //
     /* 1574011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1574022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1574025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1574028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1574031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1574034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574057 */     // MIs[0] policy
     /* 1574057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574109 */     // GIR_Coverage, 2701,
     /* 1574109 */     GIR_EraseRootFromParent_Done,
     /* 1574110 */   // Label 20734: @1574110
     /* 1574110 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1574214), // Rule ID 2708 //
     /* 1574115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1574132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574161 */     // MIs[0] policy
     /* 1574161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574213 */     // GIR_Coverage, 2708,
     /* 1574213 */     GIR_EraseRootFromParent_Done,
     /* 1574214 */   // Label 20735: @1574214
     /* 1574214 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1574318), // Rule ID 2709 //
     /* 1574219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1574230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1574233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1574236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1574239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1574242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574265 */     // MIs[0] policy
     /* 1574265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1574314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574317 */     // GIR_Coverage, 2709,
     /* 1574317 */     GIR_EraseRootFromParent_Done,
     /* 1574318 */   // Label 20736: @1574318
     /* 1574318 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1574422), // Rule ID 2716 //
     /* 1574323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574369 */     // MIs[0] policy
     /* 1574369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574421 */     // GIR_Coverage, 2716,
     /* 1574421 */     GIR_EraseRootFromParent_Done,
     /* 1574422 */   // Label 20737: @1574422
     /* 1574422 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1574526), // Rule ID 2717 //
     /* 1574427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1574438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1574441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1574444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1574447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1574450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574473 */     // MIs[0] policy
     /* 1574473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574525 */     // GIR_Coverage, 2717,
     /* 1574525 */     GIR_EraseRootFromParent_Done,
     /* 1574526 */   // Label 20738: @1574526
     /* 1574526 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1574630), // Rule ID 2724 //
     /* 1574531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1574534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1574551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574577 */     // MIs[0] policy
     /* 1574577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574629 */     // GIR_Coverage, 2724,
     /* 1574629 */     GIR_EraseRootFromParent_Done,
     /* 1574630 */   // Label 20739: @1574630
     /* 1574630 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1574734), // Rule ID 2725 //
     /* 1574635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1574638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1574646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1574649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1574652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1574655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1574658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574681 */     // MIs[0] policy
     /* 1574681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1574708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1574730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574733 */     // GIR_Coverage, 2725,
     /* 1574733 */     GIR_EraseRootFromParent_Done,
     /* 1574734 */   // Label 20740: @1574734
     /* 1574734 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1574838), // Rule ID 2732 //
     /* 1574739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1574750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1574753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1574756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574785 */     // MIs[0] policy
     /* 1574785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574795 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1574812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574837 */     // GIR_Coverage, 2732,
     /* 1574837 */     GIR_EraseRootFromParent_Done,
     /* 1574838 */   // Label 20741: @1574838
     /* 1574838 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1574942), // Rule ID 2733 //
     /* 1574843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1574846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1574854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1574857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1574860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1574863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1574866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574889 */     // MIs[0] policy
     /* 1574889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1574903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1574909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1574913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1574916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1574922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1574930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574941 */     // GIR_Coverage, 2733,
     /* 1574941 */     GIR_EraseRootFromParent_Done,
     /* 1574942 */   // Label 20742: @1574942
     /* 1574942 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1575046), // Rule ID 2740 //
     /* 1574947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1574950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1574955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1574958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1574961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1574964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1574967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1574970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574993 */     // MIs[0] policy
     /* 1574993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1575020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575045 */     // GIR_Coverage, 2740,
     /* 1575045 */     GIR_EraseRootFromParent_Done,
     /* 1575046 */   // Label 20743: @1575046
     /* 1575046 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1575150), // Rule ID 2741 //
     /* 1575051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1575062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1575065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1575068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1575071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575097 */     // MIs[0] policy
     /* 1575097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1575124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575149 */     // GIR_Coverage, 2741,
     /* 1575149 */     GIR_EraseRootFromParent_Done,
     /* 1575150 */   // Label 20744: @1575150
     /* 1575150 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1575254), // Rule ID 2748 //
     /* 1575155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1575166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1575169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1575172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1575175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1575178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575201 */     // MIs[0] policy
     /* 1575201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1575228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575253 */     // GIR_Coverage, 2748,
     /* 1575253 */     GIR_EraseRootFromParent_Done,
     /* 1575254 */   // Label 20745: @1575254
     /* 1575254 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1575358), // Rule ID 2749 //
     /* 1575259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1575270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1575273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1575276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1575279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1575282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575305 */     // MIs[0] policy
     /* 1575305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575315 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1575332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575357 */     // GIR_Coverage, 2749,
     /* 1575357 */     GIR_EraseRootFromParent_Done,
     /* 1575358 */   // Label 20746: @1575358
     /* 1575358 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1575462), // Rule ID 2756 //
     /* 1575363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1575380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575409 */     // MIs[0] policy
     /* 1575409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1575436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575461 */     // GIR_Coverage, 2756,
     /* 1575461 */     GIR_EraseRootFromParent_Done,
     /* 1575462 */   // Label 20747: @1575462
     /* 1575462 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1575566), // Rule ID 2757 //
     /* 1575467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1575484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1575487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1575490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575513 */     // MIs[0] policy
     /* 1575513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1575540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575565 */     // GIR_Coverage, 2757,
     /* 1575565 */     GIR_EraseRootFromParent_Done,
     /* 1575566 */   // Label 20748: @1575566
     /* 1575566 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1575670), // Rule ID 2764 //
     /* 1575571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1575588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575617 */     // MIs[0] policy
     /* 1575617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1575644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575669 */     // GIR_Coverage, 2764,
     /* 1575669 */     GIR_EraseRootFromParent_Done,
     /* 1575670 */   // Label 20749: @1575670
     /* 1575670 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1575774), // Rule ID 2765 //
     /* 1575675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1575692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1575695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1575698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575721 */     // MIs[0] policy
     /* 1575721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1575748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575773 */     // GIR_Coverage, 2765,
     /* 1575773 */     GIR_EraseRootFromParent_Done,
     /* 1575774 */   // Label 20750: @1575774
     /* 1575774 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1575878), // Rule ID 2772 //
     /* 1575779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1575796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1575799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575825 */     // MIs[0] policy
     /* 1575825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575835 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1575852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575877 */     // GIR_Coverage, 2772,
     /* 1575877 */     GIR_EraseRootFromParent_Done,
     /* 1575878 */   // Label 20751: @1575878
     /* 1575878 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1575982), // Rule ID 2773 //
     /* 1575883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1575886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1575894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1575897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1575900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1575903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1575906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1575913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575929 */     // MIs[0] policy
     /* 1575929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1575943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1575949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1575953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1575956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1575962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1575970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575981 */     // GIR_Coverage, 2773,
     /* 1575981 */     GIR_EraseRootFromParent_Done,
     /* 1575982 */   // Label 20752: @1575982
     /* 1575982 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1576086), // Rule ID 2780 //
     /* 1575987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1575990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1575995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1575998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1576007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576033 */     // MIs[0] policy
     /* 1576033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1576060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576085 */     // GIR_Coverage, 2780,
     /* 1576085 */     GIR_EraseRootFromParent_Done,
     /* 1576086 */   // Label 20753: @1576086
     /* 1576086 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1576190), // Rule ID 2781 //
     /* 1576091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1576108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1576111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576137 */     // MIs[0] policy
     /* 1576137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1576164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576189 */     // GIR_Coverage, 2781,
     /* 1576189 */     GIR_EraseRootFromParent_Done,
     /* 1576190 */   // Label 20754: @1576190
     /* 1576190 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1576294), // Rule ID 2788 //
     /* 1576195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1576215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576241 */     // MIs[0] policy
     /* 1576241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1576268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576293 */     // GIR_Coverage, 2788,
     /* 1576293 */     GIR_EraseRootFromParent_Done,
     /* 1576294 */   // Label 20755: @1576294
     /* 1576294 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1576398), // Rule ID 2789 //
     /* 1576299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1576316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1576319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1576322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576345 */     // MIs[0] policy
     /* 1576345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1576372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576397 */     // GIR_Coverage, 2789,
     /* 1576397 */     GIR_EraseRootFromParent_Done,
     /* 1576398 */   // Label 20756: @1576398
     /* 1576398 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1576502), // Rule ID 2796 //
     /* 1576403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1576406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1576423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576449 */     // MIs[0] policy
     /* 1576449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1576476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576501 */     // GIR_Coverage, 2796,
     /* 1576501 */     GIR_EraseRootFromParent_Done,
     /* 1576502 */   // Label 20757: @1576502
     /* 1576502 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1576606), // Rule ID 2797 //
     /* 1576507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1576510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1576518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1576521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1576527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1576530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1576537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576553 */     // MIs[0] policy
     /* 1576553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576563 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1576580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576605 */     // GIR_Coverage, 2797,
     /* 1576605 */     GIR_EraseRootFromParent_Done,
     /* 1576606 */   // Label 20758: @1576606
     /* 1576606 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1576710), // Rule ID 2804 //
     /* 1576611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1576614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1576631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576657 */     // MIs[0] policy
     /* 1576657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1576684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1576706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576709 */     // GIR_Coverage, 2804,
     /* 1576709 */     GIR_EraseRootFromParent_Done,
     /* 1576710 */   // Label 20759: @1576710
     /* 1576710 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1576814), // Rule ID 2805 //
     /* 1576715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1576718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1576726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1576729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1576735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1576738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576761 */     // MIs[0] policy
     /* 1576761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1576788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1576810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576813 */     // GIR_Coverage, 2805,
     /* 1576813 */     GIR_EraseRootFromParent_Done,
     /* 1576814 */   // Label 20760: @1576814
     /* 1576814 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1576918), // Rule ID 2812 //
     /* 1576819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1576822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1576839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576865 */     // MIs[0] policy
     /* 1576865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1576892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1576898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1576906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1576914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576917 */     // GIR_Coverage, 2812,
     /* 1576917 */     GIR_EraseRootFromParent_Done,
     /* 1576918 */   // Label 20761: @1576918
     /* 1576918 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1577022), // Rule ID 2813 //
     /* 1576923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1576926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1576931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1576934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1576937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1576943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1576946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576969 */     // MIs[0] policy
     /* 1576969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1576983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1576989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1576993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1576996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1577018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577021 */     // GIR_Coverage, 2813,
     /* 1577021 */     GIR_EraseRootFromParent_Done,
     /* 1577022 */   // Label 20762: @1577022
     /* 1577022 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1577126), // Rule ID 2820 //
     /* 1577027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1577030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1577047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577073 */     // MIs[0] policy
     /* 1577073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1577100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1577122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577125 */     // GIR_Coverage, 2820,
     /* 1577125 */     GIR_EraseRootFromParent_Done,
     /* 1577126 */   // Label 20763: @1577126
     /* 1577126 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1577230), // Rule ID 2821 //
     /* 1577131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1577134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1577139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1577142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1577145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1577148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1577151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1577154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1577161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577177 */     // MIs[0] policy
     /* 1577177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1577204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1577210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1577226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577229 */     // GIR_Coverage, 2821,
     /* 1577229 */     GIR_EraseRootFromParent_Done,
     /* 1577230 */   // Label 20764: @1577230
     /* 1577230 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1577334), // Rule ID 2828 //
     /* 1577235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1577246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1577249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1577252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577281 */     // MIs[0] policy
     /* 1577281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577291 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1577308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577333 */     // GIR_Coverage, 2828,
     /* 1577333 */     GIR_EraseRootFromParent_Done,
     /* 1577334 */   // Label 20765: @1577334
     /* 1577334 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1577438), // Rule ID 2829 //
     /* 1577339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1577350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1577353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1577356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1577359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577385 */     // MIs[0] policy
     /* 1577385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1577412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577437 */     // GIR_Coverage, 2829,
     /* 1577437 */     GIR_EraseRootFromParent_Done,
     /* 1577438 */   // Label 20766: @1577438
     /* 1577438 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1577542), // Rule ID 2832 //
     /* 1577443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1577460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577489 */     // MIs[0] policy
     /* 1577489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1577516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577541 */     // GIR_Coverage, 2832,
     /* 1577541 */     GIR_EraseRootFromParent_Done,
     /* 1577542 */   // Label 20767: @1577542
     /* 1577542 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1577646), // Rule ID 2833 //
     /* 1577547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1577564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1577567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1577570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577593 */     // MIs[0] policy
     /* 1577593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577603 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1577620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577645 */     // GIR_Coverage, 2833,
     /* 1577645 */     GIR_EraseRootFromParent_Done,
     /* 1577646 */   // Label 20768: @1577646
     /* 1577646 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1577750), // Rule ID 2836 //
     /* 1577651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1577668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577697 */     // MIs[0] policy
     /* 1577697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1577724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577749 */     // GIR_Coverage, 2836,
     /* 1577749 */     GIR_EraseRootFromParent_Done,
     /* 1577750 */   // Label 20769: @1577750
     /* 1577750 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1577854), // Rule ID 2837 //
     /* 1577755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1577772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1577775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1577778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577801 */     // MIs[0] policy
     /* 1577801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577811 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1577828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577853 */     // GIR_Coverage, 2837,
     /* 1577853 */     GIR_EraseRootFromParent_Done,
     /* 1577854 */   // Label 20770: @1577854
     /* 1577854 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1577958), // Rule ID 2840 //
     /* 1577859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1577862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1577876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577905 */     // MIs[0] policy
     /* 1577905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1577919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1577925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1577929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1577932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1577938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1577940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1577946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577957 */     // GIR_Coverage, 2840,
     /* 1577957 */     GIR_EraseRootFromParent_Done,
     /* 1577958 */   // Label 20771: @1577958
     /* 1577958 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1578062), // Rule ID 2841 //
     /* 1577963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1577966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1577971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1577980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1577983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1577986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578009 */     // MIs[0] policy
     /* 1578009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1578036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578061 */     // GIR_Coverage, 2841,
     /* 1578061 */     GIR_EraseRootFromParent_Done,
     /* 1578062 */   // Label 20772: @1578062
     /* 1578062 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1578166), // Rule ID 2844 //
     /* 1578067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1578084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1578087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578113 */     // MIs[0] policy
     /* 1578113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1578140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578165 */     // GIR_Coverage, 2844,
     /* 1578165 */     GIR_EraseRootFromParent_Done,
     /* 1578166 */   // Label 20773: @1578166
     /* 1578166 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1578270), // Rule ID 2845 //
     /* 1578171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1578188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1578191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578217 */     // MIs[0] policy
     /* 1578217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578227 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1578244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578269 */     // GIR_Coverage, 2845,
     /* 1578269 */     GIR_EraseRootFromParent_Done,
     /* 1578270 */   // Label 20774: @1578270
     /* 1578270 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1578374), // Rule ID 2848 //
     /* 1578275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1578286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1578289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1578292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578321 */     // MIs[0] policy
     /* 1578321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578373 */     // GIR_Coverage, 2848,
     /* 1578373 */     GIR_EraseRootFromParent_Done,
     /* 1578374 */   // Label 20775: @1578374
     /* 1578374 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1578478), // Rule ID 2849 //
     /* 1578379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1578390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1578393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1578396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1578399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1578402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578425 */     // MIs[0] policy
     /* 1578425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1578474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578477 */     // GIR_Coverage, 2849,
     /* 1578477 */     GIR_EraseRootFromParent_Done,
     /* 1578478 */   // Label 20776: @1578478
     /* 1578478 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1578582), // Rule ID 2852 //
     /* 1578483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1578500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578529 */     // MIs[0] policy
     /* 1578529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578581 */     // GIR_Coverage, 2852,
     /* 1578581 */     GIR_EraseRootFromParent_Done,
     /* 1578582 */   // Label 20777: @1578582
     /* 1578582 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1578686), // Rule ID 2853 //
     /* 1578587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1578604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1578607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1578610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578633 */     // MIs[0] policy
     /* 1578633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578643 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578685 */     // GIR_Coverage, 2853,
     /* 1578685 */     GIR_EraseRootFromParent_Done,
     /* 1578686 */   // Label 20778: @1578686
     /* 1578686 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1578790), // Rule ID 2856 //
     /* 1578691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1578694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578737 */     // MIs[0] policy
     /* 1578737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578789 */     // GIR_Coverage, 2856,
     /* 1578789 */     GIR_EraseRootFromParent_Done,
     /* 1578790 */   // Label 20779: @1578790
     /* 1578790 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1578894), // Rule ID 2857 //
     /* 1578795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1578798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1578812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1578815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1578818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578841 */     // MIs[0] policy
     /* 1578841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578893 */     // GIR_Coverage, 2857,
     /* 1578893 */     GIR_EraseRootFromParent_Done,
     /* 1578894 */   // Label 20780: @1578894
     /* 1578894 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1578998), // Rule ID 2860 //
     /* 1578899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1578902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1578907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1578910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1578913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1578919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1578922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578945 */     // MIs[0] policy
     /* 1578945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1578959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1578965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1578969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1578972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1578978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1578980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1578986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1578994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578997 */     // GIR_Coverage, 2860,
     /* 1578997 */     GIR_EraseRootFromParent_Done,
     /* 1578998 */   // Label 20781: @1578998
     /* 1578998 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1579102), // Rule ID 2861 //
     /* 1579003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1579006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1579014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1579017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1579020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1579023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1579026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579049 */     // MIs[0] policy
     /* 1579049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1579076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1579098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579101 */     // GIR_Coverage, 2861,
     /* 1579101 */     GIR_EraseRootFromParent_Done,
     /* 1579102 */   // Label 20782: @1579102
     /* 1579102 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1579206), // Rule ID 2864 //
     /* 1579107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1579118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1579121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1579124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579153 */     // MIs[0] policy
     /* 1579153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579163 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1579180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579205 */     // GIR_Coverage, 2864,
     /* 1579205 */     GIR_EraseRootFromParent_Done,
     /* 1579206 */   // Label 20783: @1579206
     /* 1579206 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1579310), // Rule ID 2865 //
     /* 1579211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1579222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1579225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1579228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1579231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579257 */     // MIs[0] policy
     /* 1579257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1579284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579309 */     // GIR_Coverage, 2865,
     /* 1579309 */     GIR_EraseRootFromParent_Done,
     /* 1579310 */   // Label 20784: @1579310
     /* 1579310 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1579414), // Rule ID 2868 //
     /* 1579315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1579326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1579329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1579332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579361 */     // MIs[0] policy
     /* 1579361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1579388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579413 */     // GIR_Coverage, 2868,
     /* 1579413 */     GIR_EraseRootFromParent_Done,
     /* 1579414 */   // Label 20785: @1579414
     /* 1579414 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1579518), // Rule ID 2869 //
     /* 1579419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1579430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1579433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1579436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1579439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1579442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579465 */     // MIs[0] policy
     /* 1579465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579475 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1579492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579517 */     // GIR_Coverage, 2869,
     /* 1579517 */     GIR_EraseRootFromParent_Done,
     /* 1579518 */   // Label 20786: @1579518
     /* 1579518 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1579622), // Rule ID 2872 //
     /* 1579523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1579534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1579537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1579540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1579543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1579546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579569 */     // MIs[0] policy
     /* 1579569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579579 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1579596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579621 */     // GIR_Coverage, 2872,
     /* 1579621 */     GIR_EraseRootFromParent_Done,
     /* 1579622 */   // Label 20787: @1579622
     /* 1579622 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1579726), // Rule ID 2873 //
     /* 1579627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1579638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1579641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1579644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1579647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1579650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1579657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579673 */     // MIs[0] policy
     /* 1579673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579683 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1579700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1579722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579725 */     // GIR_Coverage, 2873,
     /* 1579725 */     GIR_EraseRootFromParent_Done,
     /* 1579726 */   // Label 20788: @1579726
     /* 1579726 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1579830), // Rule ID 2876 //
     /* 1579731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1579748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579777 */     // MIs[0] policy
     /* 1579777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1579804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579829 */     // GIR_Coverage, 2876,
     /* 1579829 */     GIR_EraseRootFromParent_Done,
     /* 1579830 */   // Label 20789: @1579830
     /* 1579830 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1579934), // Rule ID 2877 //
     /* 1579835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1579838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1579852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1579855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1579858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579881 */     // MIs[0] policy
     /* 1579881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579891 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1579901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1579905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1579908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1579914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1579916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1579922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579933 */     // GIR_Coverage, 2877,
     /* 1579933 */     GIR_EraseRootFromParent_Done,
     /* 1579934 */   // Label 20790: @1579934
     /* 1579934 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1580038), // Rule ID 2880 //
     /* 1579939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1579942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1579947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1579956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1579959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1579962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579985 */     // MIs[0] policy
     /* 1579985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1579999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1580012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580037 */     // GIR_Coverage, 2880,
     /* 1580037 */     GIR_EraseRootFromParent_Done,
     /* 1580038 */   // Label 20791: @1580038
     /* 1580038 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1580142), // Rule ID 2881 //
     /* 1580043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1580054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1580057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1580060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1580063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580089 */     // MIs[0] policy
     /* 1580089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1580116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580141 */     // GIR_Coverage, 2881,
     /* 1580141 */     GIR_EraseRootFromParent_Done,
     /* 1580142 */   // Label 20792: @1580142
     /* 1580142 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1580246), // Rule ID 2884 //
     /* 1580147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1580164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1580167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580193 */     // MIs[0] policy
     /* 1580193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1580220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580245 */     // GIR_Coverage, 2884,
     /* 1580245 */     GIR_EraseRootFromParent_Done,
     /* 1580246 */   // Label 20793: @1580246
     /* 1580246 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1580350), // Rule ID 2885 //
     /* 1580251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1580262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1580265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1580268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1580271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1580274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580297 */     // MIs[0] policy
     /* 1580297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580307 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1580324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580349 */     // GIR_Coverage, 2885,
     /* 1580349 */     GIR_EraseRootFromParent_Done,
     /* 1580350 */   // Label 20794: @1580350
     /* 1580350 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1580454), // Rule ID 2888 //
     /* 1580355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1580372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1580375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580401 */     // MIs[0] policy
     /* 1580401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1580428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580453 */     // GIR_Coverage, 2888,
     /* 1580453 */     GIR_EraseRootFromParent_Done,
     /* 1580454 */   // Label 20795: @1580454
     /* 1580454 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1580558), // Rule ID 2889 //
     /* 1580459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1580476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1580479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1580482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580505 */     // MIs[0] policy
     /* 1580505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1580532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580557 */     // GIR_Coverage, 2889,
     /* 1580557 */     GIR_EraseRootFromParent_Done,
     /* 1580558 */   // Label 20796: @1580558
     /* 1580558 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1580662), // Rule ID 2892 //
     /* 1580563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1580580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580609 */     // MIs[0] policy
     /* 1580609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1580636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580661 */     // GIR_Coverage, 2892,
     /* 1580661 */     GIR_EraseRootFromParent_Done,
     /* 1580662 */   // Label 20797: @1580662
     /* 1580662 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1580766), // Rule ID 2893 //
     /* 1580667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1580684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1580687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1580690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580713 */     // MIs[0] policy
     /* 1580713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580723 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1580740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580765 */     // GIR_Coverage, 2893,
     /* 1580765 */     GIR_EraseRootFromParent_Done,
     /* 1580766 */   // Label 20798: @1580766
     /* 1580766 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1580870), // Rule ID 2896 //
     /* 1580771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1580774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1580788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1580791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580817 */     // MIs[0] policy
     /* 1580817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1580844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580869 */     // GIR_Coverage, 2896,
     /* 1580869 */     GIR_EraseRootFromParent_Done,
     /* 1580870 */   // Label 20799: @1580870
     /* 1580870 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1580974), // Rule ID 2897 //
     /* 1580875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1580878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1580886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1580889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1580892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1580895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1580898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1580905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580921 */     // MIs[0] policy
     /* 1580921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580931 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1580935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1580941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1580945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1580948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1580954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1580956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1580962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580973 */     // GIR_Coverage, 2897,
     /* 1580973 */     GIR_EraseRootFromParent_Done,
     /* 1580974 */   // Label 20800: @1580974
     /* 1580974 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1581078), // Rule ID 2900 //
     /* 1580979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1580982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1580987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1580990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1580993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1580996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1580999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581025 */     // MIs[0] policy
     /* 1581025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1581052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581077 */     // GIR_Coverage, 2900,
     /* 1581077 */     GIR_EraseRootFromParent_Done,
     /* 1581078 */   // Label 20801: @1581078
     /* 1581078 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1581182), // Rule ID 2901 //
     /* 1581083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1581086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1581094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1581097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1581100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1581103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581129 */     // MIs[0] policy
     /* 1581129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1581156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581181 */     // GIR_Coverage, 2901,
     /* 1581181 */     GIR_EraseRootFromParent_Done,
     /* 1581182 */   // Label 20802: @1581182
     /* 1581182 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1581286), // Rule ID 2904 //
     /* 1581187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1581190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1581204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1581207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581233 */     // MIs[0] policy
     /* 1581233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1581260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581285 */     // GIR_Coverage, 2904,
     /* 1581285 */     GIR_EraseRootFromParent_Done,
     /* 1581286 */   // Label 20803: @1581286
     /* 1581286 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1581390), // Rule ID 2905 //
     /* 1581291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1581294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1581302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1581305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1581308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1581311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1581314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581337 */     // MIs[0] policy
     /* 1581337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1581364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581389 */     // GIR_Coverage, 2905,
     /* 1581389 */     GIR_EraseRootFromParent_Done,
     /* 1581390 */   // Label 20804: @1581390
     /* 1581390 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1581494), // Rule ID 2908 //
     /* 1581395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1581398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1581412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1581415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581441 */     // MIs[0] policy
     /* 1581441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1581468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581493 */     // GIR_Coverage, 2908,
     /* 1581493 */     GIR_EraseRootFromParent_Done,
     /* 1581494 */   // Label 20805: @1581494
     /* 1581494 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1581598), // Rule ID 2909 //
     /* 1581499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1581502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1581510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1581513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1581516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1581519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1581522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1581529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581545 */     // MIs[0] policy
     /* 1581545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581555 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1581572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1581594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581597 */     // GIR_Coverage, 2909,
     /* 1581597 */     GIR_EraseRootFromParent_Done,
     /* 1581598 */   // Label 20806: @1581598
     /* 1581598 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1581702), // Rule ID 2912 //
     /* 1581603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1581623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1581645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581649 */     // MIs[0] policy
     /* 1581649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1581676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581701 */     // GIR_Coverage, 2912,
     /* 1581701 */     GIR_EraseRootFromParent_Done,
     /* 1581702 */   // Label 20807: @1581702
     /* 1581702 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1581806), // Rule ID 2913 //
     /* 1581707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1581718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1581721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1581724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1581727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1581730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1581749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581753 */     // MIs[0] policy
     /* 1581753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581763 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1581780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581805 */     // GIR_Coverage, 2913,
     /* 1581805 */     GIR_EraseRootFromParent_Done,
     /* 1581806 */   // Label 20808: @1581806
     /* 1581806 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1581910), // Rule ID 2916 //
     /* 1581811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1581814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1581822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1581825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1581828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1581831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1581853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581857 */     // MIs[0] policy
     /* 1581857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1581884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1581898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1581906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581909 */     // GIR_Coverage, 2916,
     /* 1581909 */     GIR_EraseRootFromParent_Done,
     /* 1581910 */   // Label 20809: @1581910
     /* 1581910 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1582014), // Rule ID 2917 //
     /* 1581915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1581918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1581923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1581926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1581929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1581932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1581935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1581938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1581957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581961 */     // MIs[0] policy
     /* 1581961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1581975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1581981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1581985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1581988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1581994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1581996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582013 */     // GIR_Coverage, 2917,
     /* 1582013 */     GIR_EraseRootFromParent_Done,
     /* 1582014 */   // Label 20810: @1582014
     /* 1582014 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1582118), // Rule ID 2920 //
     /* 1582019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1582030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1582033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1582036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582065 */     // MIs[0] policy
     /* 1582065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582117 */     // GIR_Coverage, 2920,
     /* 1582117 */     GIR_EraseRootFromParent_Done,
     /* 1582118 */   // Label 20811: @1582118
     /* 1582118 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1582222), // Rule ID 2921 //
     /* 1582123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1582134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1582137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1582140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1582146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582169 */     // MIs[0] policy
     /* 1582169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582179 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582221 */     // GIR_Coverage, 2921,
     /* 1582221 */     GIR_EraseRootFromParent_Done,
     /* 1582222 */   // Label 20812: @1582222
     /* 1582222 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1582326), // Rule ID 2924 //
     /* 1582227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582273 */     // MIs[0] policy
     /* 1582273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1582300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582325 */     // GIR_Coverage, 2924,
     /* 1582325 */     GIR_EraseRootFromParent_Done,
     /* 1582326 */   // Label 20813: @1582326
     /* 1582326 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1582430), // Rule ID 2925 //
     /* 1582331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1582348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582377 */     // MIs[0] policy
     /* 1582377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582387 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1582404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582429 */     // GIR_Coverage, 2925,
     /* 1582429 */     GIR_EraseRootFromParent_Done,
     /* 1582430 */   // Label 20814: @1582430
     /* 1582430 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1582534), // Rule ID 2928 //
     /* 1582435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1582452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582481 */     // MIs[0] policy
     /* 1582481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582491 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582533 */     // GIR_Coverage, 2928,
     /* 1582533 */     GIR_EraseRootFromParent_Done,
     /* 1582534 */   // Label 20815: @1582534
     /* 1582534 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1582638), // Rule ID 2929 //
     /* 1582539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1582556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1582562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582585 */     // MIs[0] policy
     /* 1582585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582595 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582637 */     // GIR_Coverage, 2929,
     /* 1582637 */     GIR_EraseRootFromParent_Done,
     /* 1582638 */   // Label 20816: @1582638
     /* 1582638 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1582742), // Rule ID 2932 //
     /* 1582643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582689 */     // MIs[0] policy
     /* 1582689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582741 */     // GIR_Coverage, 2932,
     /* 1582741 */     GIR_EraseRootFromParent_Done,
     /* 1582742 */   // Label 20817: @1582742
     /* 1582742 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1582846), // Rule ID 2933 //
     /* 1582747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1582770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582793 */     // MIs[0] policy
     /* 1582793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1582820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582845 */     // GIR_Coverage, 2933,
     /* 1582845 */     GIR_EraseRootFromParent_Done,
     /* 1582846 */   // Label 20818: @1582846
     /* 1582846 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1582950), // Rule ID 2936 //
     /* 1582851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1582854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1582862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1582865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1582868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1582871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582897 */     // MIs[0] policy
     /* 1582897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1582911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1582917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1582921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1582924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1582930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1582932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1582938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1582946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582949 */     // GIR_Coverage, 2936,
     /* 1582949 */     GIR_EraseRootFromParent_Done,
     /* 1582950 */   // Label 20819: @1582950
     /* 1582950 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1583054), // Rule ID 2937 //
     /* 1582955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1582958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1582963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1582966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1582969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1582972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1582975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1582978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1582997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583001 */     // MIs[0] policy
     /* 1583001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583011 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10778:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583053 */     // GIR_Coverage, 2937,
     /* 1583053 */     GIR_EraseRootFromParent_Done,
     /* 1583054 */   // Label 20820: @1583054
     /* 1583054 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1583158), // Rule ID 2940 //
     /* 1583059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583105 */     // MIs[0] policy
     /* 1583105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583157 */     // GIR_Coverage, 2940,
     /* 1583157 */     GIR_EraseRootFromParent_Done,
     /* 1583158 */   // Label 20821: @1583158
     /* 1583158 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1583262), // Rule ID 2941 //
     /* 1583163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1583180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583209 */     // MIs[0] policy
     /* 1583209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10778:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1583258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583261 */     // GIR_Coverage, 2941,
     /* 1583261 */     GIR_EraseRootFromParent_Done,
     /* 1583262 */   // Label 20822: @1583262
     /* 1583262 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1583366), // Rule ID 2944 //
     /* 1583267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1583284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583313 */     // MIs[0] policy
     /* 1583313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583365 */     // GIR_Coverage, 2944,
     /* 1583365 */     GIR_EraseRootFromParent_Done,
     /* 1583366 */   // Label 20823: @1583366
     /* 1583366 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1583470), // Rule ID 2945 //
     /* 1583371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1583388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583417 */     // MIs[0] policy
     /* 1583417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10778:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583469 */     // GIR_Coverage, 2945,
     /* 1583469 */     GIR_EraseRootFromParent_Done,
     /* 1583470 */   // Label 20824: @1583470
     /* 1583470 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1583574), // Rule ID 2948 //
     /* 1583475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1583478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1583492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583521 */     // MIs[0] policy
     /* 1583521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583573 */     // GIR_Coverage, 2948,
     /* 1583573 */     GIR_EraseRootFromParent_Done,
     /* 1583574 */   // Label 20825: @1583574
     /* 1583574 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1583678), // Rule ID 2949 //
     /* 1583579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1583582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1583590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1583593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1583596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583625 */     // MIs[0] policy
     /* 1583625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583635 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10778:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1583652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1583674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583677 */     // GIR_Coverage, 2949,
     /* 1583677 */     GIR_EraseRootFromParent_Done,
     /* 1583678 */   // Label 20826: @1583678
     /* 1583678 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1583782), // Rule ID 2952 //
     /* 1583683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1583694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1583697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1583700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583729 */     // MIs[0] policy
     /* 1583729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1583756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583781 */     // GIR_Coverage, 2952,
     /* 1583781 */     GIR_EraseRootFromParent_Done,
     /* 1583782 */   // Label 20827: @1583782
     /* 1583782 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1583886), // Rule ID 2953 //
     /* 1583787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1583798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1583801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1583804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1583807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1583810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583833 */     // MIs[0] policy
     /* 1583833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583843 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1583860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583885 */     // GIR_Coverage, 2953,
     /* 1583885 */     GIR_EraseRootFromParent_Done,
     /* 1583886 */   // Label 20828: @1583886
     /* 1583886 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1583990), // Rule ID 2956 //
     /* 1583891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1583899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1583902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1583905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1583908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1583911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1583914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1583933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583937 */     // MIs[0] policy
     /* 1583937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1583951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1583957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1583961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1583964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1583970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1583978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583989 */     // GIR_Coverage, 2956,
     /* 1583989 */     GIR_EraseRootFromParent_Done,
     /* 1583990 */   // Label 20829: @1583990
     /* 1583990 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1584094), // Rule ID 2957 //
     /* 1583995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1584006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1584009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1584012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584041 */     // MIs[0] policy
     /* 1584041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584051 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1584068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584093 */     // GIR_Coverage, 2957,
     /* 1584093 */     GIR_EraseRootFromParent_Done,
     /* 1584094 */   // Label 20830: @1584094
     /* 1584094 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1584198), // Rule ID 2960 //
     /* 1584099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584145 */     // MIs[0] policy
     /* 1584145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584155 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1584172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584197 */     // GIR_Coverage, 2960,
     /* 1584197 */     GIR_EraseRootFromParent_Done,
     /* 1584198 */   // Label 20831: @1584198
     /* 1584198 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1584302), // Rule ID 2961 //
     /* 1584203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1584214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1584217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1584220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1584226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584249 */     // MIs[0] policy
     /* 1584249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584259 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1584276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584301 */     // GIR_Coverage, 2961,
     /* 1584301 */     GIR_EraseRootFromParent_Done,
     /* 1584302 */   // Label 20832: @1584302
     /* 1584302 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1584406), // Rule ID 2964 //
     /* 1584307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584353 */     // MIs[0] policy
     /* 1584353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1584380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584405 */     // GIR_Coverage, 2964,
     /* 1584405 */     GIR_EraseRootFromParent_Done,
     /* 1584406 */   // Label 20833: @1584406
     /* 1584406 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1584510), // Rule ID 2965 //
     /* 1584411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1584428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584457 */     // MIs[0] policy
     /* 1584457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1584484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584509 */     // GIR_Coverage, 2965,
     /* 1584509 */     GIR_EraseRootFromParent_Done,
     /* 1584510 */   // Label 20834: @1584510
     /* 1584510 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1584614), // Rule ID 2968 //
     /* 1584515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1584532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584561 */     // MIs[0] policy
     /* 1584561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1584588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584613 */     // GIR_Coverage, 2968,
     /* 1584613 */     GIR_EraseRootFromParent_Done,
     /* 1584614 */   // Label 20835: @1584614
     /* 1584614 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1584718), // Rule ID 2969 //
     /* 1584619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1584636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584665 */     // MIs[0] policy
     /* 1584665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584675 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1584692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584717 */     // GIR_Coverage, 2969,
     /* 1584717 */     GIR_EraseRootFromParent_Done,
     /* 1584718 */   // Label 20836: @1584718
     /* 1584718 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1584822), // Rule ID 2972 //
     /* 1584723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1584740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584769 */     // MIs[0] policy
     /* 1584769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1584796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584821 */     // GIR_Coverage, 2972,
     /* 1584821 */     GIR_EraseRootFromParent_Done,
     /* 1584822 */   // Label 20837: @1584822
     /* 1584822 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1584926), // Rule ID 2973 //
     /* 1584827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1584844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1584847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584873 */     // MIs[0] policy
     /* 1584873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584883 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1584897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1584900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1584906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1584914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584925 */     // GIR_Coverage, 2973,
     /* 1584925 */     GIR_EraseRootFromParent_Done,
     /* 1584926 */   // Label 20838: @1584926
     /* 1584926 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1585030), // Rule ID 2976 //
     /* 1584931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1584939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1584942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1584945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1584948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1584951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1584973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584977 */     // MIs[0] policy
     /* 1584977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1584991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1584997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585029 */     // GIR_Coverage, 2976,
     /* 1585029 */     GIR_EraseRootFromParent_Done,
     /* 1585030 */   // Label 20839: @1585030
     /* 1585030 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1585134), // Rule ID 2977 //
     /* 1585035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1585052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585081 */     // MIs[0] policy
     /* 1585081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585133 */     // GIR_Coverage, 2977,
     /* 1585133 */     GIR_EraseRootFromParent_Done,
     /* 1585134 */   // Label 20840: @1585134
     /* 1585134 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1585238), // Rule ID 2980 //
     /* 1585139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585185 */     // MIs[0] policy
     /* 1585185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1585212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585237 */     // GIR_Coverage, 2980,
     /* 1585237 */     GIR_EraseRootFromParent_Done,
     /* 1585238 */   // Label 20841: @1585238
     /* 1585238 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1585342), // Rule ID 2981 //
     /* 1585243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1585260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585289 */     // MIs[0] policy
     /* 1585289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1585316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585341 */     // GIR_Coverage, 2981,
     /* 1585341 */     GIR_EraseRootFromParent_Done,
     /* 1585342 */   // Label 20842: @1585342
     /* 1585342 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1585446), // Rule ID 2984 //
     /* 1585347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585393 */     // MIs[0] policy
     /* 1585393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1585420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585445 */     // GIR_Coverage, 2984,
     /* 1585445 */     GIR_EraseRootFromParent_Done,
     /* 1585446 */   // Label 20843: @1585446
     /* 1585446 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1585550), // Rule ID 2985 //
     /* 1585451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1585468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585497 */     // MIs[0] policy
     /* 1585497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1585524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585549 */     // GIR_Coverage, 2985,
     /* 1585549 */     GIR_EraseRootFromParent_Done,
     /* 1585550 */   // Label 20844: @1585550
     /* 1585550 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1585654), // Rule ID 2988 //
     /* 1585555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585601 */     // MIs[0] policy
     /* 1585601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585653 */     // GIR_Coverage, 2988,
     /* 1585653 */     GIR_EraseRootFromParent_Done,
     /* 1585654 */   // Label 20845: @1585654
     /* 1585654 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1585758), // Rule ID 2989 //
     /* 1585659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1585676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585705 */     // MIs[0] policy
     /* 1585705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585715 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10778:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1585732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585757 */     // GIR_Coverage, 2989,
     /* 1585757 */     GIR_EraseRootFromParent_Done,
     /* 1585758 */   // Label 20846: @1585758
     /* 1585758 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1585862), // Rule ID 2992 //
     /* 1585763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1585774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1585777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1585780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585809 */     // MIs[0] policy
     /* 1585809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1585836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585861 */     // GIR_Coverage, 2992,
     /* 1585861 */     GIR_EraseRootFromParent_Done,
     /* 1585862 */   // Label 20847: @1585862
     /* 1585862 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1585966), // Rule ID 2993 //
     /* 1585867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1585870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1585878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1585881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1585884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1585887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1585909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585913 */     // MIs[0] policy
     /* 1585913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585923 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10778:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1585927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1585933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1585937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1585940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1585946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1585954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1585962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585965 */     // GIR_Coverage, 2993,
     /* 1585965 */     GIR_EraseRootFromParent_Done,
     /* 1585966 */   // Label 20848: @1585966
     /* 1585966 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1586070), // Rule ID 2996 //
     /* 1585971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1585974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1585979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1585982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1585985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1585988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1585991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586017 */     // MIs[0] policy
     /* 1586017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586069 */     // GIR_Coverage, 2996,
     /* 1586069 */     GIR_EraseRootFromParent_Done,
     /* 1586070 */   // Label 20849: @1586070
     /* 1586070 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1586174), // Rule ID 2997 //
     /* 1586075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1586078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1586083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1586086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1586092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1586095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1586117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586121 */     // MIs[0] policy
     /* 1586121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586131 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10778:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1586148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1586170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586173 */     // GIR_Coverage, 2997,
     /* 1586173 */     GIR_EraseRootFromParent_Done,
     /* 1586174 */   // Label 20850: @1586174
     /* 1586174 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1586278), // Rule ID 3088 //
     /* 1586179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586225 */     // MIs[0] policy
     /* 1586225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1586252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586277 */     // GIR_Coverage, 3088,
     /* 1586277 */     GIR_EraseRootFromParent_Done,
     /* 1586278 */   // Label 20851: @1586278
     /* 1586278 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1586382), // Rule ID 3089 //
     /* 1586283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1586294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1586297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1586300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586329 */     // MIs[0] policy
     /* 1586329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586339 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1586356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586381 */     // GIR_Coverage, 3089,
     /* 1586381 */     GIR_EraseRootFromParent_Done,
     /* 1586382 */   // Label 20852: @1586382
     /* 1586382 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1586486), // Rule ID 3092 //
     /* 1586387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586433 */     // MIs[0] policy
     /* 1586433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1586460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586485 */     // GIR_Coverage, 3092,
     /* 1586485 */     GIR_EraseRootFromParent_Done,
     /* 1586486 */   // Label 20853: @1586486
     /* 1586486 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1586590), // Rule ID 3093 //
     /* 1586491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1586502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1586505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1586508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586537 */     // MIs[0] policy
     /* 1586537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586547 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1586564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586589 */     // GIR_Coverage, 3093,
     /* 1586589 */     GIR_EraseRootFromParent_Done,
     /* 1586590 */   // Label 20854: @1586590
     /* 1586590 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1586694), // Rule ID 3096 //
     /* 1586595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586641 */     // MIs[0] policy
     /* 1586641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1586668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586693 */     // GIR_Coverage, 3096,
     /* 1586693 */     GIR_EraseRootFromParent_Done,
     /* 1586694 */   // Label 20855: @1586694
     /* 1586694 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1586798), // Rule ID 3097 //
     /* 1586699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1586710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1586713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1586716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586745 */     // MIs[0] policy
     /* 1586745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586755 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1586772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586797 */     // GIR_Coverage, 3097,
     /* 1586797 */     GIR_EraseRootFromParent_Done,
     /* 1586798 */   // Label 20856: @1586798
     /* 1586798 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1586902), // Rule ID 3100 //
     /* 1586803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586849 */     // MIs[0] policy
     /* 1586849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1586876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1586898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586901 */     // GIR_Coverage, 3100,
     /* 1586901 */     GIR_EraseRootFromParent_Done,
     /* 1586902 */   // Label 20857: @1586902
     /* 1586902 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1587006), // Rule ID 3101 //
     /* 1586907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1586915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1586924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1586927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586953 */     // MIs[0] policy
     /* 1586953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1586967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1586973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1586977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1586980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1586986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1586994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587005 */     // GIR_Coverage, 3101,
     /* 1587005 */     GIR_EraseRootFromParent_Done,
     /* 1587006 */   // Label 20858: @1587006
     /* 1587006 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1587110), // Rule ID 3104 //
     /* 1587011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587057 */     // MIs[0] policy
     /* 1587057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587109 */     // GIR_Coverage, 3104,
     /* 1587109 */     GIR_EraseRootFromParent_Done,
     /* 1587110 */   // Label 20859: @1587110
     /* 1587110 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1587214), // Rule ID 3105 //
     /* 1587115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1587126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1587129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1587132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587161 */     // MIs[0] policy
     /* 1587161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587213 */     // GIR_Coverage, 3105,
     /* 1587213 */     GIR_EraseRootFromParent_Done,
     /* 1587214 */   // Label 20860: @1587214
     /* 1587214 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1587318), // Rule ID 3108 //
     /* 1587219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587265 */     // MIs[0] policy
     /* 1587265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587317 */     // GIR_Coverage, 3108,
     /* 1587317 */     GIR_EraseRootFromParent_Done,
     /* 1587318 */   // Label 20861: @1587318
     /* 1587318 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1587422), // Rule ID 3109 //
     /* 1587323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1587340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587369 */     // MIs[0] policy
     /* 1587369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1587396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587421 */     // GIR_Coverage, 3109,
     /* 1587421 */     GIR_EraseRootFromParent_Done,
     /* 1587422 */   // Label 20862: @1587422
     /* 1587422 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1587526), // Rule ID 3112 //
     /* 1587427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587473 */     // MIs[0] policy
     /* 1587473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1587500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587525 */     // GIR_Coverage, 3112,
     /* 1587525 */     GIR_EraseRootFromParent_Done,
     /* 1587526 */   // Label 20863: @1587526
     /* 1587526 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1587630), // Rule ID 3113 //
     /* 1587531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1587542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1587545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1587548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1587551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587577 */     // MIs[0] policy
     /* 1587577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1587604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587629 */     // GIR_Coverage, 3113,
     /* 1587629 */     GIR_EraseRootFromParent_Done,
     /* 1587630 */   // Label 20864: @1587630
     /* 1587630 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1587734), // Rule ID 3116 //
     /* 1587635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587681 */     // MIs[0] policy
     /* 1587681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1587708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587733 */     // GIR_Coverage, 3116,
     /* 1587733 */     GIR_EraseRootFromParent_Done,
     /* 1587734 */   // Label 20865: @1587734
     /* 1587734 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1587838), // Rule ID 3117 //
     /* 1587739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1587750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1587753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1587756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587785 */     // MIs[0] policy
     /* 1587785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587795 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1587812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587837 */     // GIR_Coverage, 3117,
     /* 1587837 */     GIR_EraseRootFromParent_Done,
     /* 1587838 */   // Label 20866: @1587838
     /* 1587838 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1587942), // Rule ID 3120 //
     /* 1587843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587889 */     // MIs[0] policy
     /* 1587889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1587903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1587909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1587913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1587916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1587922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1587930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587941 */     // GIR_Coverage, 3120,
     /* 1587941 */     GIR_EraseRootFromParent_Done,
     /* 1587942 */   // Label 20867: @1587942
     /* 1587942 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1588046), // Rule ID 3121 //
     /* 1587947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1587955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1587964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1587967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587993 */     // MIs[0] policy
     /* 1587993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588045 */     // GIR_Coverage, 3121,
     /* 1588045 */     GIR_EraseRootFromParent_Done,
     /* 1588046 */   // Label 20868: @1588046
     /* 1588046 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1588150), // Rule ID 3124 //
     /* 1588051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1588054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588097 */     // MIs[0] policy
     /* 1588097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588149 */     // GIR_Coverage, 3124,
     /* 1588149 */     GIR_EraseRootFromParent_Done,
     /* 1588150 */   // Label 20869: @1588150
     /* 1588150 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1588254), // Rule ID 3125 //
     /* 1588155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1588158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1588166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1588169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1588172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1588175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588201 */     // MIs[0] policy
     /* 1588201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588211 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1588228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1588250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588253 */     // GIR_Coverage, 3125,
     /* 1588253 */     GIR_EraseRootFromParent_Done,
     /* 1588254 */   // Label 20870: @1588254
     /* 1588254 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1588358), // Rule ID 3128 //
     /* 1588259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588305 */     // MIs[0] policy
     /* 1588305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1588332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588357 */     // GIR_Coverage, 3128,
     /* 1588357 */     GIR_EraseRootFromParent_Done,
     /* 1588358 */   // Label 20871: @1588358
     /* 1588358 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1588462), // Rule ID 3129 //
     /* 1588363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1588374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1588377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1588380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1588383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1588386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588409 */     // MIs[0] policy
     /* 1588409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1588436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588461 */     // GIR_Coverage, 3129,
     /* 1588461 */     GIR_EraseRootFromParent_Done,
     /* 1588462 */   // Label 20872: @1588462
     /* 1588462 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1588566), // Rule ID 3132 //
     /* 1588467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588513 */     // MIs[0] policy
     /* 1588513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588523 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1588540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588565 */     // GIR_Coverage, 3132,
     /* 1588565 */     GIR_EraseRootFromParent_Done,
     /* 1588566 */   // Label 20873: @1588566
     /* 1588566 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1588670), // Rule ID 3133 //
     /* 1588571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1588582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1588585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1588588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1588591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1588594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588617 */     // MIs[0] policy
     /* 1588617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1588644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588669 */     // GIR_Coverage, 3133,
     /* 1588669 */     GIR_EraseRootFromParent_Done,
     /* 1588670 */   // Label 20874: @1588670
     /* 1588670 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1588774), // Rule ID 3136 //
     /* 1588675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588721 */     // MIs[0] policy
     /* 1588721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1588748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588773 */     // GIR_Coverage, 3136,
     /* 1588773 */     GIR_EraseRootFromParent_Done,
     /* 1588774 */   // Label 20875: @1588774
     /* 1588774 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1588878), // Rule ID 3137 //
     /* 1588779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1588790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1588793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1588796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1588799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1588802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588825 */     // MIs[0] policy
     /* 1588825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1588852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588877 */     // GIR_Coverage, 3137,
     /* 1588877 */     GIR_EraseRootFromParent_Done,
     /* 1588878 */   // Label 20876: @1588878
     /* 1588878 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1588982), // Rule ID 3140 //
     /* 1588883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1588897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1588900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1588903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588929 */     // MIs[0] policy
     /* 1588929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1588943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1588949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1588953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1588956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1588962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1588970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1588978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588981 */     // GIR_Coverage, 3140,
     /* 1588981 */     GIR_EraseRootFromParent_Done,
     /* 1588982 */   // Label 20877: @1588982
     /* 1588982 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1589086), // Rule ID 3141 //
     /* 1588987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1588995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1588998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1589004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1589007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589033 */     // MIs[0] policy
     /* 1589033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589085 */     // GIR_Coverage, 3141,
     /* 1589085 */     GIR_EraseRootFromParent_Done,
     /* 1589086 */   // Label 20878: @1589086
     /* 1589086 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1589190), // Rule ID 3144 //
     /* 1589091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589137 */     // MIs[0] policy
     /* 1589137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589189 */     // GIR_Coverage, 3144,
     /* 1589189 */     GIR_EraseRootFromParent_Done,
     /* 1589190 */   // Label 20879: @1589190
     /* 1589190 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1589294), // Rule ID 3145 //
     /* 1589195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1589212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1589215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589241 */     // MIs[0] policy
     /* 1589241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589293 */     // GIR_Coverage, 3145,
     /* 1589293 */     GIR_EraseRootFromParent_Done,
     /* 1589294 */   // Label 20880: @1589294
     /* 1589294 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1589398), // Rule ID 3148 //
     /* 1589299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589345 */     // MIs[0] policy
     /* 1589345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589397 */     // GIR_Coverage, 3148,
     /* 1589397 */     GIR_EraseRootFromParent_Done,
     /* 1589398 */   // Label 20881: @1589398
     /* 1589398 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1589502), // Rule ID 3149 //
     /* 1589403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1589420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1589423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589449 */     // MIs[0] policy
     /* 1589449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589501 */     // GIR_Coverage, 3149,
     /* 1589501 */     GIR_EraseRootFromParent_Done,
     /* 1589502 */   // Label 20882: @1589502
     /* 1589502 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1589606), // Rule ID 3152 //
     /* 1589507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589553 */     // MIs[0] policy
     /* 1589553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589605 */     // GIR_Coverage, 3152,
     /* 1589605 */     GIR_EraseRootFromParent_Done,
     /* 1589606 */   // Label 20883: @1589606
     /* 1589606 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1589710), // Rule ID 3153 //
     /* 1589611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1589628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1589631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589657 */     // MIs[0] policy
     /* 1589657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1589684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589709 */     // GIR_Coverage, 3153,
     /* 1589709 */     GIR_EraseRootFromParent_Done,
     /* 1589710 */   // Label 20884: @1589710
     /* 1589710 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1589814), // Rule ID 3156 //
     /* 1589715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589761 */     // MIs[0] policy
     /* 1589761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589813 */     // GIR_Coverage, 3156,
     /* 1589813 */     GIR_EraseRootFromParent_Done,
     /* 1589814 */   // Label 20885: @1589814
     /* 1589814 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1589918), // Rule ID 3157 //
     /* 1589819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1589830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1589833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1589836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1589839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589865 */     // MIs[0] policy
     /* 1589865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1589892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1589898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1589906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1589914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589917 */     // GIR_Coverage, 3157,
     /* 1589917 */     GIR_EraseRootFromParent_Done,
     /* 1589918 */   // Label 20886: @1589918
     /* 1589918 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1590022), // Rule ID 3160 //
     /* 1589923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1589931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1589934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1589937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1589940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1589943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589969 */     // MIs[0] policy
     /* 1589969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1589983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1589989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1589993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1589996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590021 */     // GIR_Coverage, 3160,
     /* 1590021 */     GIR_EraseRootFromParent_Done,
     /* 1590022 */   // Label 20887: @1590022
     /* 1590022 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1590126), // Rule ID 3161 //
     /* 1590027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1590041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1590044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1590047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590073 */     // MIs[0] policy
     /* 1590073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590125 */     // GIR_Coverage, 3161,
     /* 1590125 */     GIR_EraseRootFromParent_Done,
     /* 1590126 */   // Label 20888: @1590126
     /* 1590126 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1590230), // Rule ID 3164 //
     /* 1590131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590177 */     // MIs[0] policy
     /* 1590177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590229 */     // GIR_Coverage, 3164,
     /* 1590229 */     GIR_EraseRootFromParent_Done,
     /* 1590230 */   // Label 20889: @1590230
     /* 1590230 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1590334), // Rule ID 3165 //
     /* 1590235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1590252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1590255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590281 */     // MIs[0] policy
     /* 1590281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1590308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590333 */     // GIR_Coverage, 3165,
     /* 1590333 */     GIR_EraseRootFromParent_Done,
     /* 1590334 */   // Label 20890: @1590334
     /* 1590334 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1590438), // Rule ID 3168 //
     /* 1590339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590385 */     // MIs[0] policy
     /* 1590385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590395 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590437 */     // GIR_Coverage, 3168,
     /* 1590437 */     GIR_EraseRootFromParent_Done,
     /* 1590438 */   // Label 20891: @1590438
     /* 1590438 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1590542), // Rule ID 3169 //
     /* 1590443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1590460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1590463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590489 */     // MIs[0] policy
     /* 1590489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590499 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1590516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590541 */     // GIR_Coverage, 3169,
     /* 1590541 */     GIR_EraseRootFromParent_Done,
     /* 1590542 */   // Label 20892: @1590542
     /* 1590542 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1590646), // Rule ID 3172 //
     /* 1590547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1590550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590593 */     // MIs[0] policy
     /* 1590593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590603 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590645 */     // GIR_Coverage, 3172,
     /* 1590645 */     GIR_EraseRootFromParent_Done,
     /* 1590646 */   // Label 20893: @1590646
     /* 1590646 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1590750), // Rule ID 3173 //
     /* 1590651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1590654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1590668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1590671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590697 */     // MIs[0] policy
     /* 1590697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590707 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1590724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1590746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590749 */     // GIR_Coverage, 3173,
     /* 1590749 */     GIR_EraseRootFromParent_Done,
     /* 1590750 */   // Label 20894: @1590750
     /* 1590750 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1590854), // Rule ID 3176 //
     /* 1590755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590801 */     // MIs[0] policy
     /* 1590801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1590828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590853 */     // GIR_Coverage, 3176,
     /* 1590853 */     GIR_EraseRootFromParent_Done,
     /* 1590854 */   // Label 20895: @1590854
     /* 1590854 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1590958), // Rule ID 3177 //
     /* 1590859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1590870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1590873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1590876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1590879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1590901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590905 */     // MIs[0] policy
     /* 1590905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590915 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1590919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1590925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1590929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1590932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1590938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1590946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1590954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590957 */     // GIR_Coverage, 3177,
     /* 1590957 */     GIR_EraseRootFromParent_Done,
     /* 1590958 */   // Label 20896: @1590958
     /* 1590958 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1591062), // Rule ID 3180 //
     /* 1590963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1590971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1590974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1590977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1590980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1590983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591009 */     // MIs[0] policy
     /* 1591009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591061 */     // GIR_Coverage, 3180,
     /* 1591061 */     GIR_EraseRootFromParent_Done,
     /* 1591062 */   // Label 20897: @1591062
     /* 1591062 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1591166), // Rule ID 3181 //
     /* 1591067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1591078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1591081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1591084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591113 */     // MIs[0] policy
     /* 1591113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591123 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591165 */     // GIR_Coverage, 3181,
     /* 1591165 */     GIR_EraseRootFromParent_Done,
     /* 1591166 */   // Label 20898: @1591166
     /* 1591166 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1591270), // Rule ID 3184 //
     /* 1591171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1591182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1591185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1591188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591217 */     // MIs[0] policy
     /* 1591217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591269 */     // GIR_Coverage, 3184,
     /* 1591269 */     GIR_EraseRootFromParent_Done,
     /* 1591270 */   // Label 20899: @1591270
     /* 1591270 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1591374), // Rule ID 3185 //
     /* 1591275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1591286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1591289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1591292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591321 */     // MIs[0] policy
     /* 1591321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591331 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591373 */     // GIR_Coverage, 3185,
     /* 1591373 */     GIR_EraseRootFromParent_Done,
     /* 1591374 */   // Label 20900: @1591374
     /* 1591374 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1591478), // Rule ID 3188 //
     /* 1591379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591425 */     // MIs[0] policy
     /* 1591425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591477 */     // GIR_Coverage, 3188,
     /* 1591477 */     GIR_EraseRootFromParent_Done,
     /* 1591478 */   // Label 20901: @1591478
     /* 1591478 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1591582), // Rule ID 3189 //
     /* 1591483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1591500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591529 */     // MIs[0] policy
     /* 1591529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1591556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591581 */     // GIR_Coverage, 3189,
     /* 1591581 */     GIR_EraseRootFromParent_Done,
     /* 1591582 */   // Label 20902: @1591582
     /* 1591582 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1591686), // Rule ID 3192 //
     /* 1591587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591633 */     // MIs[0] policy
     /* 1591633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591685 */     // GIR_Coverage, 3192,
     /* 1591685 */     GIR_EraseRootFromParent_Done,
     /* 1591686 */   // Label 20903: @1591686
     /* 1591686 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1591790), // Rule ID 3193 //
     /* 1591691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1591708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591737 */     // MIs[0] policy
     /* 1591737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1591786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591789 */     // GIR_Coverage, 3193,
     /* 1591789 */     GIR_EraseRootFromParent_Done,
     /* 1591790 */   // Label 20904: @1591790
     /* 1591790 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1591894), // Rule ID 3196 //
     /* 1591795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1591815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591841 */     // MIs[0] policy
     /* 1591841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591893 */     // GIR_Coverage, 3196,
     /* 1591893 */     GIR_EraseRootFromParent_Done,
     /* 1591894 */   // Label 20905: @1591894
     /* 1591894 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1591998), // Rule ID 3197 //
     /* 1591899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1591907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1591916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1591919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1591941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591945 */     // MIs[0] policy
     /* 1591945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1591959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1591965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1591969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1591972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1591978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1591986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1591994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591997 */     // GIR_Coverage, 3197,
     /* 1591997 */     GIR_EraseRootFromParent_Done,
     /* 1591998 */   // Label 20906: @1591998
     /* 1591998 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1592102), // Rule ID 3200 //
     /* 1592003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1592014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1592017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1592020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592049 */     // MIs[0] policy
     /* 1592049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592101 */     // GIR_Coverage, 3200,
     /* 1592101 */     GIR_EraseRootFromParent_Done,
     /* 1592102 */   // Label 20907: @1592102
     /* 1592102 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1592206), // Rule ID 3201 //
     /* 1592107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1592118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1592121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1592124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592153 */     // MIs[0] policy
     /* 1592153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592163 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11256:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592205 */     // GIR_Coverage, 3201,
     /* 1592205 */     GIR_EraseRootFromParent_Done,
     /* 1592206 */   // Label 20908: @1592206
     /* 1592206 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1592310), // Rule ID 3204 //
     /* 1592211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592257 */     // MIs[0] policy
     /* 1592257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592309 */     // GIR_Coverage, 3204,
     /* 1592309 */     GIR_EraseRootFromParent_Done,
     /* 1592310 */   // Label 20909: @1592310
     /* 1592310 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1592414), // Rule ID 3205 //
     /* 1592315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1592326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1592329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1592332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592361 */     // MIs[0] policy
     /* 1592361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592413 */     // GIR_Coverage, 3205,
     /* 1592413 */     GIR_EraseRootFromParent_Done,
     /* 1592414 */   // Label 20910: @1592414
     /* 1592414 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1592518), // Rule ID 3208 //
     /* 1592419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1592436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592465 */     // MIs[0] policy
     /* 1592465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592517 */     // GIR_Coverage, 3208,
     /* 1592517 */     GIR_EraseRootFromParent_Done,
     /* 1592518 */   // Label 20911: @1592518
     /* 1592518 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1592622), // Rule ID 3209 //
     /* 1592523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1592540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592569 */     // MIs[0] policy
     /* 1592569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592579 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592621 */     // GIR_Coverage, 3209,
     /* 1592621 */     GIR_EraseRootFromParent_Done,
     /* 1592622 */   // Label 20912: @1592622
     /* 1592622 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1592726), // Rule ID 3212 //
     /* 1592627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1592630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592673 */     // MIs[0] policy
     /* 1592673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592725 */     // GIR_Coverage, 3212,
     /* 1592725 */     GIR_EraseRootFromParent_Done,
     /* 1592726 */   // Label 20913: @1592726
     /* 1592726 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1592830), // Rule ID 3213 //
     /* 1592731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1592734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1592748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592777 */     // MIs[0] policy
     /* 1592777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1592804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1592826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592829 */     // GIR_Coverage, 3213,
     /* 1592829 */     GIR_EraseRootFromParent_Done,
     /* 1592830 */   // Label 20914: @1592830
     /* 1592830 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1592934), // Rule ID 3216 //
     /* 1592835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1592855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592881 */     // MIs[0] policy
     /* 1592881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1592901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1592905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1592908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1592914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1592922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1592930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592933 */     // GIR_Coverage, 3216,
     /* 1592933 */     GIR_EraseRootFromParent_Done,
     /* 1592934 */   // Label 20915: @1592934
     /* 1592934 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1593038), // Rule ID 3217 //
     /* 1592939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1592947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1592950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1592953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1592956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1592959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1592981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592985 */     // MIs[0] policy
     /* 1592985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592995 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1592999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593037 */     // GIR_Coverage, 3217,
     /* 1593037 */     GIR_EraseRootFromParent_Done,
     /* 1593038 */   // Label 20916: @1593038
     /* 1593038 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1593142), // Rule ID 3220 //
     /* 1593043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1593054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1593057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1593060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593089 */     // MIs[0] policy
     /* 1593089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593141 */     // GIR_Coverage, 3220,
     /* 1593141 */     GIR_EraseRootFromParent_Done,
     /* 1593142 */   // Label 20917: @1593142
     /* 1593142 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1593246), // Rule ID 3221 //
     /* 1593147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1593158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1593161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1593164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593193 */     // MIs[0] policy
     /* 1593193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593245 */     // GIR_Coverage, 3221,
     /* 1593245 */     GIR_EraseRootFromParent_Done,
     /* 1593246 */   // Label 20918: @1593246
     /* 1593246 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1593350), // Rule ID 3224 //
     /* 1593251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1593262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1593265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1593268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1593274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593297 */     // MIs[0] policy
     /* 1593297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593307 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1593324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593349 */     // GIR_Coverage, 3224,
     /* 1593349 */     GIR_EraseRootFromParent_Done,
     /* 1593350 */   // Label 20919: @1593350
     /* 1593350 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1593454), // Rule ID 3225 //
     /* 1593355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1593366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1593369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1593372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1593378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593401 */     // MIs[0] policy
     /* 1593401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1593428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593453 */     // GIR_Coverage, 3225,
     /* 1593453 */     GIR_EraseRootFromParent_Done,
     /* 1593454 */   // Label 20920: @1593454
     /* 1593454 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1593558), // Rule ID 3228 //
     /* 1593459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1593470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1593473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1593476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593505 */     // MIs[0] policy
     /* 1593505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593557 */     // GIR_Coverage, 3228,
     /* 1593557 */     GIR_EraseRootFromParent_Done,
     /* 1593558 */   // Label 20921: @1593558
     /* 1593558 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1593662), // Rule ID 3229 //
     /* 1593563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1593574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1593577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1593580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593609 */     // MIs[0] policy
     /* 1593609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1593636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593661 */     // GIR_Coverage, 3229,
     /* 1593661 */     GIR_EraseRootFromParent_Done,
     /* 1593662 */   // Label 20922: @1593662
     /* 1593662 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1593766), // Rule ID 3232 //
     /* 1593667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1593678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1593681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1593684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593713 */     // MIs[0] policy
     /* 1593713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593765 */     // GIR_Coverage, 3232,
     /* 1593765 */     GIR_EraseRootFromParent_Done,
     /* 1593766 */   // Label 20923: @1593766
     /* 1593766 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1593870), // Rule ID 3233 //
     /* 1593771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1593782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1593785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1593788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1593794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593817 */     // MIs[0] policy
     /* 1593817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1593844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593869 */     // GIR_Coverage, 3233,
     /* 1593869 */     GIR_EraseRootFromParent_Done,
     /* 1593870 */   // Label 20924: @1593870
     /* 1593870 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1593974), // Rule ID 3236 //
     /* 1593875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1593895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1593898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1593917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593921 */     // MIs[0] policy
     /* 1593921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1593935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1593941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1593945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1593948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1593962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1593970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593973 */     // GIR_Coverage, 3236,
     /* 1593973 */     GIR_EraseRootFromParent_Done,
     /* 1593974 */   // Label 20925: @1593974
     /* 1593974 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1594078), // Rule ID 3237 //
     /* 1593979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1593987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1593990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1593993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1593996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1593999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1594002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594025 */     // MIs[0] policy
     /* 1594025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594077 */     // GIR_Coverage, 3237,
     /* 1594077 */     GIR_EraseRootFromParent_Done,
     /* 1594078 */   // Label 20926: @1594078
     /* 1594078 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1594182), // Rule ID 3240 //
     /* 1594083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1594094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1594097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1594100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594129 */     // MIs[0] policy
     /* 1594129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594181 */     // GIR_Coverage, 3240,
     /* 1594181 */     GIR_EraseRootFromParent_Done,
     /* 1594182 */   // Label 20927: @1594182
     /* 1594182 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1594286), // Rule ID 3241 //
     /* 1594187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1594198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1594201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1594204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594233 */     // MIs[0] policy
     /* 1594233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594285 */     // GIR_Coverage, 3241,
     /* 1594285 */     GIR_EraseRootFromParent_Done,
     /* 1594286 */   // Label 20928: @1594286
     /* 1594286 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1594390), // Rule ID 3244 //
     /* 1594291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1594302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1594305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1594308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594337 */     // MIs[0] policy
     /* 1594337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594389 */     // GIR_Coverage, 3244,
     /* 1594389 */     GIR_EraseRootFromParent_Done,
     /* 1594390 */   // Label 20929: @1594390
     /* 1594390 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1594494), // Rule ID 3245 //
     /* 1594395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1594406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1594409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1594412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1594418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594441 */     // MIs[0] policy
     /* 1594441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594493 */     // GIR_Coverage, 3245,
     /* 1594493 */     GIR_EraseRootFromParent_Done,
     /* 1594494 */   // Label 20930: @1594494
     /* 1594494 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1594598), // Rule ID 3248 //
     /* 1594499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1594510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1594513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1594516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594545 */     // MIs[0] policy
     /* 1594545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594597 */     // GIR_Coverage, 3248,
     /* 1594597 */     GIR_EraseRootFromParent_Done,
     /* 1594598 */   // Label 20931: @1594598
     /* 1594598 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1594702), // Rule ID 3249 //
     /* 1594603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1594614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1594617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1594620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1594626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1594633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1594641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594649 */     // MIs[0] policy
     /* 1594649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1594676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594701 */     // GIR_Coverage, 3249,
     /* 1594701 */     GIR_EraseRootFromParent_Done,
     /* 1594702 */   // Label 20932: @1594702
     /* 1594702 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1594806), // Rule ID 3252 //
     /* 1594707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1594718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1594721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1594724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594753 */     // MIs[0] policy
     /* 1594753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594805 */     // GIR_Coverage, 3252,
     /* 1594805 */     GIR_EraseRootFromParent_Done,
     /* 1594806 */   // Label 20933: @1594806
     /* 1594806 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1594910), // Rule ID 3253 //
     /* 1594811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1594814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1594822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1594825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1594828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1594831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1594841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1594849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594857 */     // MIs[0] policy
     /* 1594857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11256:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1594884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1594898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1594906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594909 */     // GIR_Coverage, 3253,
     /* 1594909 */     GIR_EraseRootFromParent_Done,
     /* 1594910 */   // Label 20934: @1594910
     /* 1594910 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1595014), // Rule ID 3256 //
     /* 1594915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1594918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1594923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1594926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1594929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1594932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1594935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1594945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1594953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1594957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594961 */     // MIs[0] policy
     /* 1594961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1594975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1594981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1594985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1594988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1594994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1594996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595013 */     // GIR_Coverage, 3256,
     /* 1595013 */     GIR_EraseRootFromParent_Done,
     /* 1595014 */   // Label 20935: @1595014
     /* 1595014 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1595118), // Rule ID 3257 //
     /* 1595019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1595030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1595033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1595036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595065 */     // MIs[0] policy
     /* 1595065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11256:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1595092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595117 */     // GIR_Coverage, 3257,
     /* 1595117 */     GIR_EraseRootFromParent_Done,
     /* 1595118 */   // Label 20936: @1595118
     /* 1595118 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1595222), // Rule ID 3260 //
     /* 1595123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1595134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1595137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1595140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595169 */     // MIs[0] policy
     /* 1595169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1595196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595221 */     // GIR_Coverage, 3260,
     /* 1595221 */     GIR_EraseRootFromParent_Done,
     /* 1595222 */   // Label 20937: @1595222
     /* 1595222 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1595326), // Rule ID 3261 //
     /* 1595227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1595235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1595238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1595241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1595244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1595257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1595265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595273 */     // MIs[0] policy
     /* 1595273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11256:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1595300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595325 */     // GIR_Coverage, 3261,
     /* 1595325 */     GIR_EraseRootFromParent_Done,
     /* 1595326 */   // Label 20938: @1595326
     /* 1595326 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1595430), // Rule ID 3264 //
     /* 1595331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1595342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1595345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1595348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595377 */     // MIs[0] policy
     /* 1595377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1595404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595429 */     // GIR_Coverage, 3264,
     /* 1595429 */     GIR_EraseRootFromParent_Done,
     /* 1595430 */   // Label 20939: @1595430
     /* 1595430 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1595534), // Rule ID 3265 //
     /* 1595435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1595446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1595449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1595452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595481 */     // MIs[0] policy
     /* 1595481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595491 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1595508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595533 */     // GIR_Coverage, 3265,
     /* 1595533 */     GIR_EraseRootFromParent_Done,
     /* 1595534 */   // Label 20940: @1595534
     /* 1595534 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1595638), // Rule ID 3268 //
     /* 1595539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1595550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1595553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1595556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595585 */     // MIs[0] policy
     /* 1595585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1595612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595637 */     // GIR_Coverage, 3268,
     /* 1595637 */     GIR_EraseRootFromParent_Done,
     /* 1595638 */   // Label 20941: @1595638
     /* 1595638 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1595742), // Rule ID 3269 //
     /* 1595643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1595654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1595657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1595660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595689 */     // MIs[0] policy
     /* 1595689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595699 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1595716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595741 */     // GIR_Coverage, 3269,
     /* 1595741 */     GIR_EraseRootFromParent_Done,
     /* 1595742 */   // Label 20942: @1595742
     /* 1595742 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1595846), // Rule ID 3272 //
     /* 1595747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1595758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1595761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1595764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595793 */     // MIs[0] policy
     /* 1595793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1595820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595845 */     // GIR_Coverage, 3272,
     /* 1595845 */     GIR_EraseRootFromParent_Done,
     /* 1595846 */   // Label 20943: @1595846
     /* 1595846 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1595950), // Rule ID 3273 //
     /* 1595851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1595862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1595865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1595868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1595871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595897 */     // MIs[0] policy
     /* 1595897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1595911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1595917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1595921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1595924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1595930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1595932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1595938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595949 */     // GIR_Coverage, 3273,
     /* 1595949 */     GIR_EraseRootFromParent_Done,
     /* 1595950 */   // Label 20944: @1595950
     /* 1595950 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1596054), // Rule ID 3276 //
     /* 1595955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1595966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1595969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1595972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1595975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1595997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596001 */     // MIs[0] policy
     /* 1596001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1596028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596053 */     // GIR_Coverage, 3276,
     /* 1596053 */     GIR_EraseRootFromParent_Done,
     /* 1596054 */   // Label 20945: @1596054
     /* 1596054 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1596158), // Rule ID 3277 //
     /* 1596059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1596070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1596073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1596076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596105 */     // MIs[0] policy
     /* 1596105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1596132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596157 */     // GIR_Coverage, 3277,
     /* 1596157 */     GIR_EraseRootFromParent_Done,
     /* 1596158 */   // Label 20946: @1596158
     /* 1596158 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1596262), // Rule ID 3280 //
     /* 1596163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1596174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1596177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596209 */     // MIs[0] policy
     /* 1596209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596261 */     // GIR_Coverage, 3280,
     /* 1596261 */     GIR_EraseRootFromParent_Done,
     /* 1596262 */   // Label 20947: @1596262
     /* 1596262 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1596366), // Rule ID 3281 //
     /* 1596267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1596278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1596281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1596284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1596290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596313 */     // MIs[0] policy
     /* 1596313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596365 */     // GIR_Coverage, 3281,
     /* 1596365 */     GIR_EraseRootFromParent_Done,
     /* 1596366 */   // Label 20948: @1596366
     /* 1596366 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1596470), // Rule ID 3284 //
     /* 1596371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1596382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1596385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1596388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596417 */     // MIs[0] policy
     /* 1596417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596469 */     // GIR_Coverage, 3284,
     /* 1596469 */     GIR_EraseRootFromParent_Done,
     /* 1596470 */   // Label 20949: @1596470
     /* 1596470 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1596574), // Rule ID 3285 //
     /* 1596475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1596486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1596489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1596492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1596498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596521 */     // MIs[0] policy
     /* 1596521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1596548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596573 */     // GIR_Coverage, 3285,
     /* 1596573 */     GIR_EraseRootFromParent_Done,
     /* 1596574 */   // Label 20950: @1596574
     /* 1596574 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1596678), // Rule ID 3288 //
     /* 1596579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1596590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1596593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1596596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596625 */     // MIs[0] policy
     /* 1596625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596635 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596677 */     // GIR_Coverage, 3288,
     /* 1596677 */     GIR_EraseRootFromParent_Done,
     /* 1596678 */   // Label 20951: @1596678
     /* 1596678 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1596782), // Rule ID 3289 //
     /* 1596683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1596694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1596697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1596700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596729 */     // MIs[0] policy
     /* 1596729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596739 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596781 */     // GIR_Coverage, 3289,
     /* 1596781 */     GIR_EraseRootFromParent_Done,
     /* 1596782 */   // Label 20952: @1596782
     /* 1596782 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1596886), // Rule ID 3292 //
     /* 1596787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1596798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1596801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1596804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1596807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596833 */     // MIs[0] policy
     /* 1596833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596885 */     // GIR_Coverage, 3292,
     /* 1596885 */     GIR_EraseRootFromParent_Done,
     /* 1596886 */   // Label 20953: @1596886
     /* 1596886 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1596990), // Rule ID 3293 //
     /* 1596891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1596902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1596905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1596908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1596911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1596921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1596929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1596933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596937 */     // MIs[0] policy
     /* 1596937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1596951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1596957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1596961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1596964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1596970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1596972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1596978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596989 */     // GIR_Coverage, 3293,
     /* 1596989 */     GIR_EraseRootFromParent_Done,
     /* 1596990 */   // Label 20954: @1596990
     /* 1596990 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1597094), // Rule ID 3296 //
     /* 1596995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1597006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1597009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597041 */     // MIs[0] policy
     /* 1597041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597093 */     // GIR_Coverage, 3296,
     /* 1597093 */     GIR_EraseRootFromParent_Done,
     /* 1597094 */   // Label 20955: @1597094
     /* 1597094 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1597198), // Rule ID 3297 //
     /* 1597099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1597110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1597113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1597116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597145 */     // MIs[0] policy
     /* 1597145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597197 */     // GIR_Coverage, 3297,
     /* 1597197 */     GIR_EraseRootFromParent_Done,
     /* 1597198 */   // Label 20956: @1597198
     /* 1597198 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1597302), // Rule ID 3300 //
     /* 1597203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1597214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1597217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1597220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597249 */     // MIs[0] policy
     /* 1597249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597301 */     // GIR_Coverage, 3300,
     /* 1597301 */     GIR_EraseRootFromParent_Done,
     /* 1597302 */   // Label 20957: @1597302
     /* 1597302 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1597406), // Rule ID 3301 //
     /* 1597307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1597318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1597321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1597324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1597330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597353 */     // MIs[0] policy
     /* 1597353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1597380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597405 */     // GIR_Coverage, 3301,
     /* 1597405 */     GIR_EraseRootFromParent_Done,
     /* 1597406 */   // Label 20958: @1597406
     /* 1597406 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1597510), // Rule ID 3304 //
     /* 1597411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1597428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597457 */     // MIs[0] policy
     /* 1597457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597509 */     // GIR_Coverage, 3304,
     /* 1597509 */     GIR_EraseRootFromParent_Done,
     /* 1597510 */   // Label 20959: @1597510
     /* 1597510 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1597614), // Rule ID 3305 //
     /* 1597515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1597526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1597529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1597532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597561 */     // MIs[0] policy
     /* 1597561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597571 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1597588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597613 */     // GIR_Coverage, 3305,
     /* 1597613 */     GIR_EraseRootFromParent_Done,
     /* 1597614 */   // Label 20960: @1597614
     /* 1597614 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1597718), // Rule ID 3308 //
     /* 1597619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1597636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597665 */     // MIs[0] policy
     /* 1597665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1597692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597717 */     // GIR_Coverage, 3308,
     /* 1597717 */     GIR_EraseRootFromParent_Done,
     /* 1597718 */   // Label 20961: @1597718
     /* 1597718 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1597822), // Rule ID 3309 //
     /* 1597723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1597734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1597737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1597740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1597746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597769 */     // MIs[0] policy
     /* 1597769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597779 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1597796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597821 */     // GIR_Coverage, 3309,
     /* 1597821 */     GIR_EraseRootFromParent_Done,
     /* 1597822 */   // Label 20962: @1597822
     /* 1597822 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1597926), // Rule ID 3312 //
     /* 1597827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1597838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1597841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1597844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1597847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1597850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597873 */     // MIs[0] policy
     /* 1597873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1597897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1597900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1597914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597925 */     // GIR_Coverage, 3312,
     /* 1597925 */     GIR_EraseRootFromParent_Done,
     /* 1597926 */   // Label 20963: @1597926
     /* 1597926 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1598030), // Rule ID 3313 //
     /* 1597931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1597942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1597945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1597948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1597951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1597954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1597973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597977 */     // MIs[0] policy
     /* 1597977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597987 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1597991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1597997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598029 */     // GIR_Coverage, 3313,
     /* 1598029 */     GIR_EraseRootFromParent_Done,
     /* 1598030 */   // Label 20964: @1598030
     /* 1598030 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1598134), // Rule ID 3316 //
     /* 1598035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1598052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598081 */     // MIs[0] policy
     /* 1598081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598133 */     // GIR_Coverage, 3316,
     /* 1598133 */     GIR_EraseRootFromParent_Done,
     /* 1598134 */   // Label 20965: @1598134
     /* 1598134 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1598238), // Rule ID 3317 //
     /* 1598139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1598150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1598153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1598156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598185 */     // MIs[0] policy
     /* 1598185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598195 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598237 */     // GIR_Coverage, 3317,
     /* 1598237 */     GIR_EraseRootFromParent_Done,
     /* 1598238 */   // Label 20966: @1598238
     /* 1598238 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1598342), // Rule ID 3320 //
     /* 1598243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1598260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598289 */     // MIs[0] policy
     /* 1598289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598341 */     // GIR_Coverage, 3320,
     /* 1598341 */     GIR_EraseRootFromParent_Done,
     /* 1598342 */   // Label 20967: @1598342
     /* 1598342 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1598446), // Rule ID 3321 //
     /* 1598347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1598358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1598361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1598364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1598370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598393 */     // MIs[0] policy
     /* 1598393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598445 */     // GIR_Coverage, 3321,
     /* 1598445 */     GIR_EraseRootFromParent_Done,
     /* 1598446 */   // Label 20968: @1598446
     /* 1598446 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1598550), // Rule ID 3324 //
     /* 1598451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1598462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1598465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1598468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598497 */     // MIs[0] policy
     /* 1598497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598549 */     // GIR_Coverage, 3324,
     /* 1598549 */     GIR_EraseRootFromParent_Done,
     /* 1598550 */   // Label 20969: @1598550
     /* 1598550 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1598654), // Rule ID 3325 //
     /* 1598555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1598566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1598569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1598572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1598578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1598585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1598593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598601 */     // MIs[0] policy
     /* 1598601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598611 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1598628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598653 */     // GIR_Coverage, 3325,
     /* 1598653 */     GIR_EraseRootFromParent_Done,
     /* 1598654 */   // Label 20970: @1598654
     /* 1598654 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1598758), // Rule ID 3328 //
     /* 1598659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1598676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598705 */     // MIs[0] policy
     /* 1598705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598757 */     // GIR_Coverage, 3328,
     /* 1598757 */     GIR_EraseRootFromParent_Done,
     /* 1598758 */   // Label 20971: @1598758
     /* 1598758 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1598862), // Rule ID 3329 //
     /* 1598763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1598774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1598777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1598780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1598793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1598801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598809 */     // MIs[0] policy
     /* 1598809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1598836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598861 */     // GIR_Coverage, 3329,
     /* 1598861 */     GIR_EraseRootFromParent_Done,
     /* 1598862 */   // Label 20972: @1598862
     /* 1598862 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1598966), // Rule ID 3332 //
     /* 1598867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1598878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1598881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1598887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1598897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1598905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1598909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598913 */     // MIs[0] policy
     /* 1598913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1598927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1598933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1598937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1598940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1598954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598965 */     // GIR_Coverage, 3332,
     /* 1598965 */     GIR_EraseRootFromParent_Done,
     /* 1598966 */   // Label 20973: @1598966
     /* 1598966 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1599070), // Rule ID 3333 //
     /* 1598971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1598979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1598982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1598985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1598988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1598991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599017 */     // MIs[0] policy
     /* 1599017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1599044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599069 */     // GIR_Coverage, 3333,
     /* 1599069 */     GIR_EraseRootFromParent_Done,
     /* 1599070 */   // Label 20974: @1599070
     /* 1599070 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1599174), // Rule ID 3336 //
     /* 1599075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599121 */     // MIs[0] policy
     /* 1599121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599173 */     // GIR_Coverage, 3336,
     /* 1599173 */     GIR_EraseRootFromParent_Done,
     /* 1599174 */   // Label 20975: @1599174
     /* 1599174 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1599278), // Rule ID 3337 //
     /* 1599179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1599190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1599193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1599196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599225 */     // MIs[0] policy
     /* 1599225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599277 */     // GIR_Coverage, 3337,
     /* 1599277 */     GIR_EraseRootFromParent_Done,
     /* 1599278 */   // Label 20976: @1599278
     /* 1599278 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1599382), // Rule ID 3340 //
     /* 1599283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1599294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1599297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1599300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599329 */     // MIs[0] policy
     /* 1599329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1599356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599381 */     // GIR_Coverage, 3340,
     /* 1599381 */     GIR_EraseRootFromParent_Done,
     /* 1599382 */   // Label 20977: @1599382
     /* 1599382 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1599486), // Rule ID 3341 //
     /* 1599387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1599398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1599401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1599404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599433 */     // MIs[0] policy
     /* 1599433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599443 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1599460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599485 */     // GIR_Coverage, 3341,
     /* 1599485 */     GIR_EraseRootFromParent_Done,
     /* 1599486 */   // Label 20978: @1599486
     /* 1599486 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1599590), // Rule ID 3344 //
     /* 1599491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1599502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1599505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1599508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599537 */     // MIs[0] policy
     /* 1599537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1599564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599589 */     // GIR_Coverage, 3344,
     /* 1599589 */     GIR_EraseRootFromParent_Done,
     /* 1599590 */   // Label 20979: @1599590
     /* 1599590 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1599694), // Rule ID 3345 //
     /* 1599595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1599606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1599609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1599612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1599618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599641 */     // MIs[0] policy
     /* 1599641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599651 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1599668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599693 */     // GIR_Coverage, 3345,
     /* 1599693 */     GIR_EraseRootFromParent_Done,
     /* 1599694 */   // Label 20980: @1599694
     /* 1599694 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1599798), // Rule ID 3348 //
     /* 1599699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1599710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1599713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1599716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1599719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599745 */     // MIs[0] policy
     /* 1599745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599797 */     // GIR_Coverage, 3348,
     /* 1599797 */     GIR_EraseRootFromParent_Done,
     /* 1599798 */   // Label 20981: @1599798
     /* 1599798 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1599902), // Rule ID 3349 //
     /* 1599803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1599811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1599814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1599817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1599820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1599823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1599845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599849 */     // MIs[0] policy
     /* 1599849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599859 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1599876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599901 */     // GIR_Coverage, 3349,
     /* 1599901 */     GIR_EraseRootFromParent_Done,
     /* 1599902 */   // Label 20982: @1599902
     /* 1599902 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1600006), // Rule ID 3440 //
     /* 1599907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1599915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1599918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1599921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1599924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1599927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599953 */     // MIs[0] policy
     /* 1599953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1599967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1599973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1599977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1599980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1599994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600005 */     // GIR_Coverage, 3440,
     /* 1600005 */     GIR_EraseRootFromParent_Done,
     /* 1600006 */   // Label 20983: @1600006
     /* 1600006 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1600110), // Rule ID 3441 //
     /* 1600011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1600022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1600025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1600028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1600031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1600034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600057 */     // MIs[0] policy
     /* 1600057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1600084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600109 */     // GIR_Coverage, 3441,
     /* 1600109 */     GIR_EraseRootFromParent_Done,
     /* 1600110 */   // Label 20984: @1600110
     /* 1600110 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1600214), // Rule ID 3444 //
     /* 1600115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1600135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600161 */     // MIs[0] policy
     /* 1600161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600171 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1600188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600213 */     // GIR_Coverage, 3444,
     /* 1600213 */     GIR_EraseRootFromParent_Done,
     /* 1600214 */   // Label 20985: @1600214
     /* 1600214 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1600318), // Rule ID 3445 //
     /* 1600219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1600230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1600233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1600236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1600239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600265 */     // MIs[0] policy
     /* 1600265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1600292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600317 */     // GIR_Coverage, 3445,
     /* 1600317 */     GIR_EraseRootFromParent_Done,
     /* 1600318 */   // Label 20986: @1600318
     /* 1600318 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1600422), // Rule ID 3448 //
     /* 1600323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1600334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1600337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1600343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600369 */     // MIs[0] policy
     /* 1600369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1600396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600421 */     // GIR_Coverage, 3448,
     /* 1600421 */     GIR_EraseRootFromParent_Done,
     /* 1600422 */   // Label 20987: @1600422
     /* 1600422 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1600526), // Rule ID 3449 //
     /* 1600427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1600438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1600441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1600444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1600447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1600457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600473 */     // MIs[0] policy
     /* 1600473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600483 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1600500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600525 */     // GIR_Coverage, 3449,
     /* 1600525 */     GIR_EraseRootFromParent_Done,
     /* 1600526 */   // Label 20988: @1600526
     /* 1600526 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1600630), // Rule ID 3452 //
     /* 1600531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1600548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1600551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600577 */     // MIs[0] policy
     /* 1600577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600587 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1600604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600629 */     // GIR_Coverage, 3452,
     /* 1600629 */     GIR_EraseRootFromParent_Done,
     /* 1600630 */   // Label 20989: @1600630
     /* 1600630 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1600734), // Rule ID 3453 //
     /* 1600635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1600646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1600649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1600652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1600655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1600677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600681 */     // MIs[0] policy
     /* 1600681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1600708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600733 */     // GIR_Coverage, 3453,
     /* 1600733 */     GIR_EraseRootFromParent_Done,
     /* 1600734 */   // Label 20990: @1600734
     /* 1600734 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1600838), // Rule ID 3456 //
     /* 1600739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1600756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1600759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600785 */     // MIs[0] policy
     /* 1600785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600795 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1600812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600837 */     // GIR_Coverage, 3456,
     /* 1600837 */     GIR_EraseRootFromParent_Done,
     /* 1600838 */   // Label 20991: @1600838
     /* 1600838 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1600942), // Rule ID 3457 //
     /* 1600843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1600860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1600863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600889 */     // MIs[0] policy
     /* 1600889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600899 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1600903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1600909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1600913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1600916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1600930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1600938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600941 */     // GIR_Coverage, 3457,
     /* 1600941 */     GIR_EraseRootFromParent_Done,
     /* 1600942 */   // Label 20992: @1600942
     /* 1600942 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1601046), // Rule ID 3460 //
     /* 1600947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1600955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1600964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1600967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600993 */     // MIs[0] policy
     /* 1600993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601045 */     // GIR_Coverage, 3460,
     /* 1601045 */     GIR_EraseRootFromParent_Done,
     /* 1601046 */   // Label 20993: @1601046
     /* 1601046 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1601150), // Rule ID 3461 //
     /* 1601051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1601062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1601065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1601068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1601071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1601074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601097 */     // MIs[0] policy
     /* 1601097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1601124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601149 */     // GIR_Coverage, 3461,
     /* 1601149 */     GIR_EraseRootFromParent_Done,
     /* 1601150 */   // Label 20994: @1601150
     /* 1601150 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1601254), // Rule ID 3464 //
     /* 1601155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601201 */     // MIs[0] policy
     /* 1601201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1601228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601253 */     // GIR_Coverage, 3464,
     /* 1601253 */     GIR_EraseRootFromParent_Done,
     /* 1601254 */   // Label 20995: @1601254
     /* 1601254 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1601358), // Rule ID 3465 //
     /* 1601259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1601270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1601273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1601279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601305 */     // MIs[0] policy
     /* 1601305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601315 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1601332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601357 */     // GIR_Coverage, 3465,
     /* 1601357 */     GIR_EraseRootFromParent_Done,
     /* 1601358 */   // Label 20996: @1601358
     /* 1601358 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1601462), // Rule ID 3468 //
     /* 1601363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601409 */     // MIs[0] policy
     /* 1601409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1601436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601461 */     // GIR_Coverage, 3468,
     /* 1601461 */     GIR_EraseRootFromParent_Done,
     /* 1601462 */   // Label 20997: @1601462
     /* 1601462 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1601566), // Rule ID 3469 //
     /* 1601467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1601478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1601481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1601484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1601487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601513 */     // MIs[0] policy
     /* 1601513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1601540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601565 */     // GIR_Coverage, 3469,
     /* 1601565 */     GIR_EraseRootFromParent_Done,
     /* 1601566 */   // Label 20998: @1601566
     /* 1601566 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1601670), // Rule ID 3472 //
     /* 1601571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1601591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601617 */     // MIs[0] policy
     /* 1601617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601627 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1601644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601669 */     // GIR_Coverage, 3472,
     /* 1601669 */     GIR_EraseRootFromParent_Done,
     /* 1601670 */   // Label 20999: @1601670
     /* 1601670 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1601774), // Rule ID 3473 //
     /* 1601675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1601686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1601689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1601692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1601695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1601705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601721 */     // MIs[0] policy
     /* 1601721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1601748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601773 */     // GIR_Coverage, 3473,
     /* 1601773 */     GIR_EraseRootFromParent_Done,
     /* 1601774 */   // Label 21000: @1601774
     /* 1601774 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1601878), // Rule ID 3476 //
     /* 1601779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1601796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1601799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601825 */     // MIs[0] policy
     /* 1601825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601835 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1601852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601877 */     // GIR_Coverage, 3476,
     /* 1601877 */     GIR_EraseRootFromParent_Done,
     /* 1601878 */   // Label 21001: @1601878
     /* 1601878 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1601982), // Rule ID 3477 //
     /* 1601883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1601894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1601897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1601900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1601903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1601925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601929 */     // MIs[0] policy
     /* 1601929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1601943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1601949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1601953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1601956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1601970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601981 */     // GIR_Coverage, 3477,
     /* 1601981 */     GIR_EraseRootFromParent_Done,
     /* 1601982 */   // Label 21002: @1601982
     /* 1601982 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1602086), // Rule ID 3480 //
     /* 1601987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1601995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1601998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1602001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1602007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602033 */     // MIs[0] policy
     /* 1602033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1602060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602085 */     // GIR_Coverage, 3480,
     /* 1602085 */     GIR_EraseRootFromParent_Done,
     /* 1602086 */   // Label 21003: @1602086
     /* 1602086 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1602190), // Rule ID 3481 //
     /* 1602091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1602102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1602105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1602108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1602111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1602114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602137 */     // MIs[0] policy
     /* 1602137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1602164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602189 */     // GIR_Coverage, 3481,
     /* 1602189 */     GIR_EraseRootFromParent_Done,
     /* 1602190 */   // Label 21004: @1602190
     /* 1602190 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1602294), // Rule ID 3484 //
     /* 1602195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1602198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1602215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602241 */     // MIs[0] policy
     /* 1602241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602251 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1602268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602293 */     // GIR_Coverage, 3484,
     /* 1602293 */     GIR_EraseRootFromParent_Done,
     /* 1602294 */   // Label 21005: @1602294
     /* 1602294 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1602398), // Rule ID 3485 //
     /* 1602299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1602302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1602319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602345 */     // MIs[0] policy
     /* 1602345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1602372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602397 */     // GIR_Coverage, 3485,
     /* 1602397 */     GIR_EraseRootFromParent_Done,
     /* 1602398 */   // Label 21006: @1602398
     /* 1602398 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1602502), // Rule ID 3488 //
     /* 1602403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1602406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1602414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1602417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1602423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602449 */     // MIs[0] policy
     /* 1602449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1602476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602501 */     // GIR_Coverage, 3488,
     /* 1602501 */     GIR_EraseRootFromParent_Done,
     /* 1602502 */   // Label 21007: @1602502
     /* 1602502 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1602606), // Rule ID 3489 //
     /* 1602507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1602510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1602518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1602521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1602527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1602537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602553 */     // MIs[0] policy
     /* 1602553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602563 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1602580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602605 */     // GIR_Coverage, 3489,
     /* 1602605 */     GIR_EraseRootFromParent_Done,
     /* 1602606 */   // Label 21008: @1602606
     /* 1602606 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1602710), // Rule ID 3492 //
     /* 1602611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1602614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1602622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1602625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1602628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1602631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602657 */     // MIs[0] policy
     /* 1602657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1602684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602709 */     // GIR_Coverage, 3492,
     /* 1602709 */     GIR_EraseRootFromParent_Done,
     /* 1602710 */   // Label 21009: @1602710
     /* 1602710 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1602814), // Rule ID 3493 //
     /* 1602715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1602718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1602726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1602729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1602732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1602735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1602745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1602757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602761 */     // MIs[0] policy
     /* 1602761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602771 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1602788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602813 */     // GIR_Coverage, 3493,
     /* 1602813 */     GIR_EraseRootFromParent_Done,
     /* 1602814 */   // Label 21010: @1602814
     /* 1602814 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1602918), // Rule ID 3496 //
     /* 1602819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1602822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1602830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1602833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1602836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1602839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602865 */     // MIs[0] policy
     /* 1602865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1602892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1602906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602917 */     // GIR_Coverage, 3496,
     /* 1602917 */     GIR_EraseRootFromParent_Done,
     /* 1602918 */   // Label 21011: @1602918
     /* 1602918 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1603022), // Rule ID 3497 //
     /* 1602923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1602926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1602931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1602934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1602937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1602940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1602943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1602953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1602957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1602965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602969 */     // MIs[0] policy
     /* 1602969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1602983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1602989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1602993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1602996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1603018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603021 */     // GIR_Coverage, 3497,
     /* 1603021 */     GIR_EraseRootFromParent_Done,
     /* 1603022 */   // Label 21012: @1603022
     /* 1603022 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1603126), // Rule ID 3500 //
     /* 1603027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1603038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1603041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1603044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603073 */     // MIs[0] policy
     /* 1603073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603083 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1603100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603125 */     // GIR_Coverage, 3500,
     /* 1603125 */     GIR_EraseRootFromParent_Done,
     /* 1603126 */   // Label 21013: @1603126
     /* 1603126 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1603230), // Rule ID 3501 //
     /* 1603131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1603142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1603145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1603148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603177 */     // MIs[0] policy
     /* 1603177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1603204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603229 */     // GIR_Coverage, 3501,
     /* 1603229 */     GIR_EraseRootFromParent_Done,
     /* 1603230 */   // Label 21014: @1603230
     /* 1603230 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1603334), // Rule ID 3504 //
     /* 1603235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1603246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1603249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1603252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603281 */     // MIs[0] policy
     /* 1603281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603291 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1603308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603333 */     // GIR_Coverage, 3504,
     /* 1603333 */     GIR_EraseRootFromParent_Done,
     /* 1603334 */   // Label 21015: @1603334
     /* 1603334 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1603438), // Rule ID 3505 //
     /* 1603339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1603350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1603353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1603356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1603362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603385 */     // MIs[0] policy
     /* 1603385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1603412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603437 */     // GIR_Coverage, 3505,
     /* 1603437 */     GIR_EraseRootFromParent_Done,
     /* 1603438 */   // Label 21016: @1603438
     /* 1603438 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1603542), // Rule ID 3508 //
     /* 1603443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1603460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603489 */     // MIs[0] policy
     /* 1603489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603541 */     // GIR_Coverage, 3508,
     /* 1603541 */     GIR_EraseRootFromParent_Done,
     /* 1603542 */   // Label 21017: @1603542
     /* 1603542 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1603646), // Rule ID 3509 //
     /* 1603547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1603558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1603561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1603564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1603570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603593 */     // MIs[0] policy
     /* 1603593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1603620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603645 */     // GIR_Coverage, 3509,
     /* 1603645 */     GIR_EraseRootFromParent_Done,
     /* 1603646 */   // Label 21018: @1603646
     /* 1603646 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1603750), // Rule ID 3512 //
     /* 1603651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1603668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603697 */     // MIs[0] policy
     /* 1603697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603707 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1603724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603749 */     // GIR_Coverage, 3512,
     /* 1603749 */     GIR_EraseRootFromParent_Done,
     /* 1603750 */   // Label 21019: @1603750
     /* 1603750 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1603854), // Rule ID 3513 //
     /* 1603755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1603772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603801 */     // MIs[0] policy
     /* 1603801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1603828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603853 */     // GIR_Coverage, 3513,
     /* 1603853 */     GIR_EraseRootFromParent_Done,
     /* 1603854 */   // Label 21020: @1603854
     /* 1603854 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1603958), // Rule ID 3516 //
     /* 1603859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603905 */     // MIs[0] policy
     /* 1603905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1603919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1603925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1603929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1603932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1603946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603957 */     // GIR_Coverage, 3516,
     /* 1603957 */     GIR_EraseRootFromParent_Done,
     /* 1603958 */   // Label 21021: @1603958
     /* 1603958 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1604062), // Rule ID 3517 //
     /* 1603963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1603971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604009 */     // MIs[0] policy
     /* 1604009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1604036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604061 */     // GIR_Coverage, 3517,
     /* 1604061 */     GIR_EraseRootFromParent_Done,
     /* 1604062 */   // Label 21022: @1604062
     /* 1604062 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1604166), // Rule ID 3520 //
     /* 1604067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604113 */     // MIs[0] policy
     /* 1604113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604123 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1604140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604165 */     // GIR_Coverage, 3520,
     /* 1604165 */     GIR_EraseRootFromParent_Done,
     /* 1604166 */   // Label 21023: @1604166
     /* 1604166 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1604270), // Rule ID 3521 //
     /* 1604171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1604188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604217 */     // MIs[0] policy
     /* 1604217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1604244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1604266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604269 */     // GIR_Coverage, 3521,
     /* 1604269 */     GIR_EraseRootFromParent_Done,
     /* 1604270 */   // Label 21024: @1604270
     /* 1604270 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1604374), // Rule ID 3524 //
     /* 1604275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1604286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1604289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604321 */     // MIs[0] policy
     /* 1604321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1604348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604373 */     // GIR_Coverage, 3524,
     /* 1604373 */     GIR_EraseRootFromParent_Done,
     /* 1604374 */   // Label 21025: @1604374
     /* 1604374 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1604478), // Rule ID 3525 //
     /* 1604379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1604390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1604393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1604396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1604402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604425 */     // MIs[0] policy
     /* 1604425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1604452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604477 */     // GIR_Coverage, 3525,
     /* 1604477 */     GIR_EraseRootFromParent_Done,
     /* 1604478 */   // Label 21026: @1604478
     /* 1604478 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1604582), // Rule ID 3528 //
     /* 1604483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1604494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1604497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1604500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604529 */     // MIs[0] policy
     /* 1604529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1604556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604581 */     // GIR_Coverage, 3528,
     /* 1604581 */     GIR_EraseRootFromParent_Done,
     /* 1604582 */   // Label 21027: @1604582
     /* 1604582 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1604686), // Rule ID 3529 //
     /* 1604587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1604598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1604601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1604604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1604617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604633 */     // MIs[0] policy
     /* 1604633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1604660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604685 */     // GIR_Coverage, 3529,
     /* 1604685 */     GIR_EraseRootFromParent_Done,
     /* 1604686 */   // Label 21028: @1604686
     /* 1604686 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1604790), // Rule ID 3532 //
     /* 1604691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1604708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604737 */     // MIs[0] policy
     /* 1604737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1604764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604789 */     // GIR_Coverage, 3532,
     /* 1604789 */     GIR_EraseRootFromParent_Done,
     /* 1604790 */   // Label 21029: @1604790
     /* 1604790 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1604894), // Rule ID 3533 //
     /* 1604795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1604812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1604833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604841 */     // MIs[0] policy
     /* 1604841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1604868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604893 */     // GIR_Coverage, 3533,
     /* 1604893 */     GIR_EraseRootFromParent_Done,
     /* 1604894 */   // Label 21030: @1604894
     /* 1604894 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1604998), // Rule ID 3536 //
     /* 1604899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1604907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1604916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604945 */     // MIs[0] policy
     /* 1604945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1604959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1604965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1604969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1604972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1604986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604997 */     // GIR_Coverage, 3536,
     /* 1604997 */     GIR_EraseRootFromParent_Done,
     /* 1604998 */   // Label 21031: @1604998
     /* 1604998 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1605102), // Rule ID 3537 //
     /* 1605003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1605014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1605017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1605020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605049 */     // MIs[0] policy
     /* 1605049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1605076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605101 */     // GIR_Coverage, 3537,
     /* 1605101 */     GIR_EraseRootFromParent_Done,
     /* 1605102 */   // Label 21032: @1605102
     /* 1605102 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1605206), // Rule ID 3540 //
     /* 1605107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1605124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605153 */     // MIs[0] policy
     /* 1605153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1605180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605205 */     // GIR_Coverage, 3540,
     /* 1605205 */     GIR_EraseRootFromParent_Done,
     /* 1605206 */   // Label 21033: @1605206
     /* 1605206 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1605310), // Rule ID 3541 //
     /* 1605211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1605222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1605225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1605228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1605234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605257 */     // MIs[0] policy
     /* 1605257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1605284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605309 */     // GIR_Coverage, 3541,
     /* 1605309 */     GIR_EraseRootFromParent_Done,
     /* 1605310 */   // Label 21034: @1605310
     /* 1605310 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1605414), // Rule ID 3544 //
     /* 1605315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1605318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605361 */     // MIs[0] policy
     /* 1605361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1605388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605413 */     // GIR_Coverage, 3544,
     /* 1605413 */     GIR_EraseRootFromParent_Done,
     /* 1605414 */   // Label 21035: @1605414
     /* 1605414 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1605518), // Rule ID 3545 //
     /* 1605419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1605422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1605430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1605433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1605436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605465 */     // MIs[0] policy
     /* 1605465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1605492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605517 */     // GIR_Coverage, 3545,
     /* 1605517 */     GIR_EraseRootFromParent_Done,
     /* 1605518 */   // Label 21036: @1605518
     /* 1605518 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1605622), // Rule ID 3548 //
     /* 1605523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1605526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605569 */     // MIs[0] policy
     /* 1605569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1605596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605621 */     // GIR_Coverage, 3548,
     /* 1605621 */     GIR_EraseRootFromParent_Done,
     /* 1605622 */   // Label 21037: @1605622
     /* 1605622 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1605726), // Rule ID 3549 //
     /* 1605627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1605630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1605638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1605641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1605644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1605657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605673 */     // MIs[0] policy
     /* 1605673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605683 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1605700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605725 */     // GIR_Coverage, 3549,
     /* 1605725 */     GIR_EraseRootFromParent_Done,
     /* 1605726 */   // Label 21038: @1605726
     /* 1605726 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1605830), // Rule ID 3552 //
     /* 1605731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1605734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1605748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605777 */     // MIs[0] policy
     /* 1605777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1605804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605829 */     // GIR_Coverage, 3552,
     /* 1605829 */     GIR_EraseRootFromParent_Done,
     /* 1605830 */   // Label 21039: @1605830
     /* 1605830 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1605934), // Rule ID 3553 //
     /* 1605835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1605838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1605846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1605849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1605852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1605865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1605873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605881 */     // MIs[0] policy
     /* 1605881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605891 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1605901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1605905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1605908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1605922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1605930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605933 */     // GIR_Coverage, 3553,
     /* 1605933 */     GIR_EraseRootFromParent_Done,
     /* 1605934 */   // Label 21040: @1605934
     /* 1605934 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1606038), // Rule ID 3556 //
     /* 1605939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1605942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1605947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1605956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1605959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1605977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605985 */     // MIs[0] policy
     /* 1605985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605995 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1605999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1606012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606037 */     // GIR_Coverage, 3556,
     /* 1606037 */     GIR_EraseRootFromParent_Done,
     /* 1606038 */   // Label 21041: @1606038
     /* 1606038 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1606142), // Rule ID 3557 //
     /* 1606043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1606046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1606051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1606054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1606057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1606060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1606063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1606073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1606077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1606081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1606085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606089 */     // MIs[0] policy
     /* 1606089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606099 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1606116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606141 */     // GIR_Coverage, 3557,
     /* 1606141 */     GIR_EraseRootFromParent_Done,
     /* 1606142 */   // Label 21042: @1606142
     /* 1606142 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1606246), // Rule ID 3560 //
     /* 1606147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1606164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1606167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606193 */     // MIs[0] policy
     /* 1606193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606203 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1606220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606245 */     // GIR_Coverage, 3560,
     /* 1606245 */     GIR_EraseRootFromParent_Done,
     /* 1606246 */   // Label 21043: @1606246
     /* 1606246 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1606350), // Rule ID 3561 //
     /* 1606251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1606262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1606265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1606268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1606271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606297 */     // MIs[0] policy
     /* 1606297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606307 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1606324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606349 */     // GIR_Coverage, 3561,
     /* 1606349 */     GIR_EraseRootFromParent_Done,
     /* 1606350 */   // Label 21044: @1606350
     /* 1606350 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1606454), // Rule ID 3564 //
     /* 1606355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1606375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606401 */     // MIs[0] policy
     /* 1606401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1606428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606453 */     // GIR_Coverage, 3564,
     /* 1606453 */     GIR_EraseRootFromParent_Done,
     /* 1606454 */   // Label 21045: @1606454
     /* 1606454 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1606558), // Rule ID 3565 //
     /* 1606459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1606470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1606473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1606476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1606479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606505 */     // MIs[0] policy
     /* 1606505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606515 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1606532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606557 */     // GIR_Coverage, 3565,
     /* 1606557 */     GIR_EraseRootFromParent_Done,
     /* 1606558 */   // Label 21046: @1606558
     /* 1606558 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1606662), // Rule ID 3568 //
     /* 1606563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1606583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606609 */     // MIs[0] policy
     /* 1606609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1606636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606661 */     // GIR_Coverage, 3568,
     /* 1606661 */     GIR_EraseRootFromParent_Done,
     /* 1606662 */   // Label 21047: @1606662
     /* 1606662 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1606766), // Rule ID 3569 //
     /* 1606667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1606684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1606687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606713 */     // MIs[0] policy
     /* 1606713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1606740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606765 */     // GIR_Coverage, 3569,
     /* 1606765 */     GIR_EraseRootFromParent_Done,
     /* 1606766 */   // Label 21048: @1606766
     /* 1606766 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1606870), // Rule ID 3572 //
     /* 1606771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606817 */     // MIs[0] policy
     /* 1606817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606827 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1606844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606869 */     // GIR_Coverage, 3572,
     /* 1606869 */     GIR_EraseRootFromParent_Done,
     /* 1606870 */   // Label 21049: @1606870
     /* 1606870 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1606974), // Rule ID 3573 //
     /* 1606875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1606886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1606889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606921 */     // MIs[0] policy
     /* 1606921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1606935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1606941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1606945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1606948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1606962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606973 */     // GIR_Coverage, 3573,
     /* 1606973 */     GIR_EraseRootFromParent_Done,
     /* 1606974 */   // Label 21050: @1606974
     /* 1606974 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1607078), // Rule ID 3576 //
     /* 1606979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1606987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1606990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1606993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607025 */     // MIs[0] policy
     /* 1607025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607035 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1607052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607077 */     // GIR_Coverage, 3576,
     /* 1607077 */     GIR_EraseRootFromParent_Done,
     /* 1607078 */   // Label 21051: @1607078
     /* 1607078 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1607182), // Rule ID 3577 //
     /* 1607083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1607100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1607103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607129 */     // MIs[0] policy
     /* 1607129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607139 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1607156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607181 */     // GIR_Coverage, 3577,
     /* 1607181 */     GIR_EraseRootFromParent_Done,
     /* 1607182 */   // Label 21052: @1607182
     /* 1607182 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1607286), // Rule ID 3580 //
     /* 1607187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1607207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607233 */     // MIs[0] policy
     /* 1607233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607243 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1607260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607285 */     // GIR_Coverage, 3580,
     /* 1607285 */     GIR_EraseRootFromParent_Done,
     /* 1607286 */   // Label 21053: @1607286
     /* 1607286 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1607390), // Rule ID 3581 //
     /* 1607291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1607311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607337 */     // MIs[0] policy
     /* 1607337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607347 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1607364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607389 */     // GIR_Coverage, 3581,
     /* 1607389 */     GIR_EraseRootFromParent_Done,
     /* 1607390 */   // Label 21054: @1607390
     /* 1607390 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1607494), // Rule ID 3584 //
     /* 1607395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1607406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1607409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1607412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1607415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607441 */     // MIs[0] policy
     /* 1607441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607451 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1607468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607493 */     // GIR_Coverage, 3584,
     /* 1607493 */     GIR_EraseRootFromParent_Done,
     /* 1607494 */   // Label 21055: @1607494
     /* 1607494 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1607598), // Rule ID 3585 //
     /* 1607499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1607510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1607513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1607516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1607519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1607522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607545 */     // MIs[0] policy
     /* 1607545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607555 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1607572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607597 */     // GIR_Coverage, 3585,
     /* 1607597 */     GIR_EraseRootFromParent_Done,
     /* 1607598 */   // Label 21056: @1607598
     /* 1607598 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1607702), // Rule ID 3588 //
     /* 1607603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1607620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1607623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607649 */     // MIs[0] policy
     /* 1607649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1607676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607701 */     // GIR_Coverage, 3588,
     /* 1607701 */     GIR_EraseRootFromParent_Done,
     /* 1607702 */   // Label 21057: @1607702
     /* 1607702 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1607806), // Rule ID 3589 //
     /* 1607707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1607718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1607721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1607724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1607727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1607730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1607737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607753 */     // MIs[0] policy
     /* 1607753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607763 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1607780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607805 */     // GIR_Coverage, 3589,
     /* 1607805 */     GIR_EraseRootFromParent_Done,
     /* 1607806 */   // Label 21058: @1607806
     /* 1607806 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1607910), // Rule ID 3592 //
     /* 1607811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1607831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607857 */     // MIs[0] policy
     /* 1607857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1607884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1607898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607909 */     // GIR_Coverage, 3592,
     /* 1607909 */     GIR_EraseRootFromParent_Done,
     /* 1607910 */   // Label 21059: @1607910
     /* 1607910 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1608014), // Rule ID 3593 //
     /* 1607915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1607923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1607932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1607935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1607957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607961 */     // MIs[0] policy
     /* 1607961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1607975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1607981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1607985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1607988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608013 */     // GIR_Coverage, 3593,
     /* 1608013 */     GIR_EraseRootFromParent_Done,
     /* 1608014 */   // Label 21060: @1608014
     /* 1608014 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1608118), // Rule ID 3596 //
     /* 1608019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1608039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608065 */     // MIs[0] policy
     /* 1608065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1608092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608117 */     // GIR_Coverage, 3596,
     /* 1608117 */     GIR_EraseRootFromParent_Done,
     /* 1608118 */   // Label 21061: @1608118
     /* 1608118 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1608222), // Rule ID 3597 //
     /* 1608123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1608140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1608143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608169 */     // MIs[0] policy
     /* 1608169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1608196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608221 */     // GIR_Coverage, 3597,
     /* 1608221 */     GIR_EraseRootFromParent_Done,
     /* 1608222 */   // Label 21062: @1608222
     /* 1608222 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1608326), // Rule ID 3600 //
     /* 1608227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1608247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608273 */     // MIs[0] policy
     /* 1608273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1608300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608325 */     // GIR_Coverage, 3600,
     /* 1608325 */     GIR_EraseRootFromParent_Done,
     /* 1608326 */   // Label 21063: @1608326
     /* 1608326 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1608430), // Rule ID 3601 //
     /* 1608331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1608348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1608351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608377 */     // MIs[0] policy
     /* 1608377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1608404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1608426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608429 */     // GIR_Coverage, 3601,
     /* 1608429 */     GIR_EraseRootFromParent_Done,
     /* 1608430 */   // Label 21064: @1608430
     /* 1608430 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1608534), // Rule ID 3604 //
     /* 1608435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1608455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608481 */     // MIs[0] policy
     /* 1608481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608491 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1608508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608533 */     // GIR_Coverage, 3604,
     /* 1608533 */     GIR_EraseRootFromParent_Done,
     /* 1608534 */   // Label 21065: @1608534
     /* 1608534 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1608638), // Rule ID 3605 //
     /* 1608539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1608550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1608553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1608556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1608559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608585 */     // MIs[0] policy
     /* 1608585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608595 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1608612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608637 */     // GIR_Coverage, 3605,
     /* 1608637 */     GIR_EraseRootFromParent_Done,
     /* 1608638 */   // Label 21066: @1608638
     /* 1608638 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1608742), // Rule ID 3608 //
     /* 1608643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1608660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1608663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608689 */     // MIs[0] policy
     /* 1608689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1608716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608741 */     // GIR_Coverage, 3608,
     /* 1608741 */     GIR_EraseRootFromParent_Done,
     /* 1608742 */   // Label 21067: @1608742
     /* 1608742 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1608846), // Rule ID 3609 //
     /* 1608747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1608764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1608767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608793 */     // MIs[0] policy
     /* 1608793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608803 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1608820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608845 */     // GIR_Coverage, 3609,
     /* 1608845 */     GIR_EraseRootFromParent_Done,
     /* 1608846 */   // Label 21068: @1608846
     /* 1608846 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1608950), // Rule ID 3612 //
     /* 1608851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1608854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1608871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608897 */     // MIs[0] policy
     /* 1608897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1608911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1608917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1608921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1608924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1608938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608949 */     // GIR_Coverage, 3612,
     /* 1608949 */     GIR_EraseRootFromParent_Done,
     /* 1608950 */   // Label 21069: @1608950
     /* 1608950 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1609054), // Rule ID 3613 //
     /* 1608955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1608958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1608963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1608975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609001 */     // MIs[0] policy
     /* 1609001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609011 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1609028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609053 */     // GIR_Coverage, 3613,
     /* 1609053 */     GIR_EraseRootFromParent_Done,
     /* 1609054 */   // Label 21070: @1609054
     /* 1609054 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1609158), // Rule ID 3616 //
     /* 1609059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1609062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1609076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1609079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609105 */     // MIs[0] policy
     /* 1609105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1609132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609157 */     // GIR_Coverage, 3616,
     /* 1609157 */     GIR_EraseRootFromParent_Done,
     /* 1609158 */   // Label 21071: @1609158
     /* 1609158 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1609262), // Rule ID 3617 //
     /* 1609163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1609166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1609174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1609177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1609180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1609183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1609193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1609197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1609205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609209 */     // MIs[0] policy
     /* 1609209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609219 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1609236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609261 */     // GIR_Coverage, 3617,
     /* 1609261 */     GIR_EraseRootFromParent_Done,
     /* 1609262 */   // Label 21072: @1609262
     /* 1609262 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1609366), // Rule ID 3620 //
     /* 1609267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609313 */     // MIs[0] policy
     /* 1609313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1609340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609365 */     // GIR_Coverage, 3620,
     /* 1609365 */     GIR_EraseRootFromParent_Done,
     /* 1609366 */   // Label 21073: @1609366
     /* 1609366 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1609470), // Rule ID 3621 //
     /* 1609371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609417 */     // MIs[0] policy
     /* 1609417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1609444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609469 */     // GIR_Coverage, 3621,
     /* 1609469 */     GIR_EraseRootFromParent_Done,
     /* 1609470 */   // Label 21074: @1609470
     /* 1609470 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1609574), // Rule ID 3624 //
     /* 1609475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609521 */     // MIs[0] policy
     /* 1609521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609531 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1609548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609573 */     // GIR_Coverage, 3624,
     /* 1609573 */     GIR_EraseRootFromParent_Done,
     /* 1609574 */   // Label 21075: @1609574
     /* 1609574 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1609678), // Rule ID 3625 //
     /* 1609579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609625 */     // MIs[0] policy
     /* 1609625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1609652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609677 */     // GIR_Coverage, 3625,
     /* 1609677 */     GIR_EraseRootFromParent_Done,
     /* 1609678 */   // Label 21076: @1609678
     /* 1609678 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1609782), // Rule ID 3628 //
     /* 1609683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609729 */     // MIs[0] policy
     /* 1609729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1609756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609781 */     // GIR_Coverage, 3628,
     /* 1609781 */     GIR_EraseRootFromParent_Done,
     /* 1609782 */   // Label 21077: @1609782
     /* 1609782 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1609886), // Rule ID 3629 //
     /* 1609787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1609798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1609801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609833 */     // MIs[0] policy
     /* 1609833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11306:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1609860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609885 */     // GIR_Coverage, 3629,
     /* 1609885 */     GIR_EraseRootFromParent_Done,
     /* 1609886 */   // Label 21078: @1609886
     /* 1609886 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1609990), // Rule ID 3632 //
     /* 1609891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1609899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1609902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1609905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1609921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1609925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609937 */     // MIs[0] policy
     /* 1609937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1609951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1609957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1609961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1609964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1609978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609989 */     // GIR_Coverage, 3632,
     /* 1609989 */     GIR_EraseRootFromParent_Done,
     /* 1609990 */   // Label 21079: @1609990
     /* 1609990 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1610094), // Rule ID 3633 //
     /* 1609995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1610006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1610009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610041 */     // MIs[0] policy
     /* 1610041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610051 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1610068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610093 */     // GIR_Coverage, 3633,
     /* 1610093 */     GIR_EraseRootFromParent_Done,
     /* 1610094 */   // Label 21080: @1610094
     /* 1610094 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1610198), // Rule ID 3636 //
     /* 1610099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610145 */     // MIs[0] policy
     /* 1610145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610155 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1610172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610197 */     // GIR_Coverage, 3636,
     /* 1610197 */     GIR_EraseRootFromParent_Done,
     /* 1610198 */   // Label 21081: @1610198
     /* 1610198 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1610302), // Rule ID 3637 //
     /* 1610203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1610214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1610217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610249 */     // MIs[0] policy
     /* 1610249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1610276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610301 */     // GIR_Coverage, 3637,
     /* 1610301 */     GIR_EraseRootFromParent_Done,
     /* 1610302 */   // Label 21082: @1610302
     /* 1610302 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1610406), // Rule ID 3640 //
     /* 1610307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610353 */     // MIs[0] policy
     /* 1610353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610363 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1610380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610405 */     // GIR_Coverage, 3640,
     /* 1610405 */     GIR_EraseRootFromParent_Done,
     /* 1610406 */   // Label 21083: @1610406
     /* 1610406 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1610510), // Rule ID 3641 //
     /* 1610411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1610422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1610425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1610441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1610445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610457 */     // MIs[0] policy
     /* 1610457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610467 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1610484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610509 */     // GIR_Coverage, 3641,
     /* 1610509 */     GIR_EraseRootFromParent_Done,
     /* 1610510 */   // Label 21084: @1610510
     /* 1610510 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1610614), // Rule ID 3644 //
     /* 1610515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610561 */     // MIs[0] policy
     /* 1610561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1610588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610613 */     // GIR_Coverage, 3644,
     /* 1610613 */     GIR_EraseRootFromParent_Done,
     /* 1610614 */   // Label 21085: @1610614
     /* 1610614 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1610718), // Rule ID 3645 //
     /* 1610619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1610630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1610633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1610636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610665 */     // MIs[0] policy
     /* 1610665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1610692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610717 */     // GIR_Coverage, 3645,
     /* 1610717 */     GIR_EraseRootFromParent_Done,
     /* 1610718 */   // Label 21086: @1610718
     /* 1610718 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1610822), // Rule ID 3648 //
     /* 1610723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610769 */     // MIs[0] policy
     /* 1610769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1610796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610821 */     // GIR_Coverage, 3648,
     /* 1610821 */     GIR_EraseRootFromParent_Done,
     /* 1610822 */   // Label 21087: @1610822
     /* 1610822 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1610926), // Rule ID 3649 //
     /* 1610827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1610844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610873 */     // MIs[0] policy
     /* 1610873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1610897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1610900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1610914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610925 */     // GIR_Coverage, 3649,
     /* 1610925 */     GIR_EraseRootFromParent_Done,
     /* 1610926 */   // Label 21088: @1610926
     /* 1610926 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1611030), // Rule ID 3652 //
     /* 1610931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1610939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1610942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1610945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610977 */     // MIs[0] policy
     /* 1610977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1610991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1610997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1611004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611029 */     // GIR_Coverage, 3652,
     /* 1611029 */     GIR_EraseRootFromParent_Done,
     /* 1611030 */   // Label 21089: @1611030
     /* 1611030 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1611134), // Rule ID 3653 //
     /* 1611035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1611052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611081 */     // MIs[0] policy
     /* 1611081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611091 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1611108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611133 */     // GIR_Coverage, 3653,
     /* 1611133 */     GIR_EraseRootFromParent_Done,
     /* 1611134 */   // Label 21090: @1611134
     /* 1611134 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1611238), // Rule ID 3656 //
     /* 1611139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611185 */     // MIs[0] policy
     /* 1611185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1611212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611237 */     // GIR_Coverage, 3656,
     /* 1611237 */     GIR_EraseRootFromParent_Done,
     /* 1611238 */   // Label 21091: @1611238
     /* 1611238 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1611342), // Rule ID 3657 //
     /* 1611243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611289 */     // MIs[0] policy
     /* 1611289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611299 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1611316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611341 */     // GIR_Coverage, 3657,
     /* 1611341 */     GIR_EraseRootFromParent_Done,
     /* 1611342 */   // Label 21092: @1611342
     /* 1611342 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1611446), // Rule ID 3660 //
     /* 1611347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611393 */     // MIs[0] policy
     /* 1611393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1611420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611445 */     // GIR_Coverage, 3660,
     /* 1611445 */     GIR_EraseRootFromParent_Done,
     /* 1611446 */   // Label 21093: @1611446
     /* 1611446 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1611550), // Rule ID 3661 //
     /* 1611451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1611462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1611465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611497 */     // MIs[0] policy
     /* 1611497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611507 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1611524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611549 */     // GIR_Coverage, 3661,
     /* 1611549 */     GIR_EraseRootFromParent_Done,
     /* 1611550 */   // Label 21094: @1611550
     /* 1611550 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1611654), // Rule ID 3664 //
     /* 1611555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611601 */     // MIs[0] policy
     /* 1611601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1611628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611653 */     // GIR_Coverage, 3664,
     /* 1611653 */     GIR_EraseRootFromParent_Done,
     /* 1611654 */   // Label 21095: @1611654
     /* 1611654 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1611758), // Rule ID 3665 //
     /* 1611659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1611670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1611673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1611676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1611682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1611689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611705 */     // MIs[0] policy
     /* 1611705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1611732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611757 */     // GIR_Coverage, 3665,
     /* 1611757 */     GIR_EraseRootFromParent_Done,
     /* 1611758 */   // Label 21096: @1611758
     /* 1611758 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1611862), // Rule ID 3668 //
     /* 1611763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611809 */     // MIs[0] policy
     /* 1611809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1611836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611861 */     // GIR_Coverage, 3668,
     /* 1611861 */     GIR_EraseRootFromParent_Done,
     /* 1611862 */   // Label 21097: @1611862
     /* 1611862 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1611966), // Rule ID 3669 //
     /* 1611867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1611870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1611878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1611881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1611884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1611890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1611905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611913 */     // MIs[0] policy
     /* 1611913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1611927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1611933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1611937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1611940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1611954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611965 */     // GIR_Coverage, 3669,
     /* 1611965 */     GIR_EraseRootFromParent_Done,
     /* 1611966 */   // Label 21098: @1611966
     /* 1611966 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1612070), // Rule ID 3672 //
     /* 1611971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1611974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1611979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1611982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1611985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612017 */     // MIs[0] policy
     /* 1612017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1612044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612069 */     // GIR_Coverage, 3672,
     /* 1612069 */     GIR_EraseRootFromParent_Done,
     /* 1612070 */   // Label 21099: @1612070
     /* 1612070 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1612174), // Rule ID 3673 //
     /* 1612075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1612092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612121 */     // MIs[0] policy
     /* 1612121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1612148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612173 */     // GIR_Coverage, 3673,
     /* 1612173 */     GIR_EraseRootFromParent_Done,
     /* 1612174 */   // Label 21100: @1612174
     /* 1612174 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1612278), // Rule ID 3676 //
     /* 1612179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1612182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612225 */     // MIs[0] policy
     /* 1612225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1612252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612277 */     // GIR_Coverage, 3676,
     /* 1612277 */     GIR_EraseRootFromParent_Done,
     /* 1612278 */   // Label 21101: @1612278
     /* 1612278 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1612382), // Rule ID 3677 //
     /* 1612283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1612286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1612291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1612300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612329 */     // MIs[0] policy
     /* 1612329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1612356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612381 */     // GIR_Coverage, 3677,
     /* 1612381 */     GIR_EraseRootFromParent_Done,
     /* 1612382 */   // Label 21102: @1612382
     /* 1612382 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1612486), // Rule ID 3680 //
     /* 1612387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1612407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612433 */     // MIs[0] policy
     /* 1612433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1612460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612485 */     // GIR_Coverage, 3680,
     /* 1612485 */     GIR_EraseRootFromParent_Done,
     /* 1612486 */   // Label 21103: @1612486
     /* 1612486 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1612590), // Rule ID 3681 //
     /* 1612491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1612502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1612505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1612511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612537 */     // MIs[0] policy
     /* 1612537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612547 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1612564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612589 */     // GIR_Coverage, 3681,
     /* 1612589 */     GIR_EraseRootFromParent_Done,
     /* 1612590 */   // Label 21104: @1612590
     /* 1612590 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1612694), // Rule ID 3684 //
     /* 1612595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612641 */     // MIs[0] policy
     /* 1612641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1612668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612693 */     // GIR_Coverage, 3684,
     /* 1612693 */     GIR_EraseRootFromParent_Done,
     /* 1612694 */   // Label 21105: @1612694
     /* 1612694 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1612798), // Rule ID 3685 //
     /* 1612699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1612710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1612713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1612719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612745 */     // MIs[0] policy
     /* 1612745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1612772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612797 */     // GIR_Coverage, 3685,
     /* 1612797 */     GIR_EraseRootFromParent_Done,
     /* 1612798 */   // Label 21106: @1612798
     /* 1612798 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1612902), // Rule ID 3688 //
     /* 1612803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612849 */     // MIs[0] policy
     /* 1612849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1612876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612901 */     // GIR_Coverage, 3688,
     /* 1612901 */     GIR_EraseRootFromParent_Done,
     /* 1612902 */   // Label 21107: @1612902
     /* 1612902 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1613006), // Rule ID 3689 //
     /* 1612907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1612915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1612918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1612921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1612924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1612927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612953 */     // MIs[0] policy
     /* 1612953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1612967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1612973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1612977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1612980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1612994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613005 */     // GIR_Coverage, 3689,
     /* 1613005 */     GIR_EraseRootFromParent_Done,
     /* 1613006 */   // Label 21108: @1613006
     /* 1613006 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1613110), // Rule ID 3692 //
     /* 1613011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1613031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613057 */     // MIs[0] policy
     /* 1613057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1613084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613109 */     // GIR_Coverage, 3692,
     /* 1613109 */     GIR_EraseRootFromParent_Done,
     /* 1613110 */   // Label 21109: @1613110
     /* 1613110 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1613214), // Rule ID 3693 //
     /* 1613115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1613126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1613129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1613135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1613145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613161 */     // MIs[0] policy
     /* 1613161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1613188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613213 */     // GIR_Coverage, 3693,
     /* 1613213 */     GIR_EraseRootFromParent_Done,
     /* 1613214 */   // Label 21110: @1613214
     /* 1613214 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1613318), // Rule ID 3696 //
     /* 1613219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613265 */     // MIs[0] policy
     /* 1613265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613275 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1613292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613317 */     // GIR_Coverage, 3696,
     /* 1613317 */     GIR_EraseRootFromParent_Done,
     /* 1613318 */   // Label 21111: @1613318
     /* 1613318 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1613422), // Rule ID 3697 //
     /* 1613323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1613334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1613337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1613340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1613343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1613346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1613353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1613365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613369 */     // MIs[0] policy
     /* 1613369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1613396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613421 */     // GIR_Coverage, 3697,
     /* 1613421 */     GIR_EraseRootFromParent_Done,
     /* 1613422 */   // Label 21112: @1613422
     /* 1613422 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1613526), // Rule ID 3700 //
     /* 1613427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613473 */     // MIs[0] policy
     /* 1613473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1613500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613525 */     // GIR_Coverage, 3700,
     /* 1613525 */     GIR_EraseRootFromParent_Done,
     /* 1613526 */   // Label 21113: @1613526
     /* 1613526 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1613630), // Rule ID 3701 //
     /* 1613531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1613542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1613545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1613548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1613551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1613554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1613561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1613565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1613573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613577 */     // MIs[0] policy
     /* 1613577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613587 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1613604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613629 */     // GIR_Coverage, 3701,
     /* 1613629 */     GIR_EraseRootFromParent_Done,
     /* 1613630 */   // Label 21114: @1613630
     /* 1613630 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1613734), // Rule ID 3704 //
     /* 1613635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1613655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613681 */     // MIs[0] policy
     /* 1613681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1613708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613733 */     // GIR_Coverage, 3704,
     /* 1613733 */     GIR_EraseRootFromParent_Done,
     /* 1613734 */   // Label 21115: @1613734
     /* 1613734 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1613838), // Rule ID 3705 //
     /* 1613739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1613759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613785 */     // MIs[0] policy
     /* 1613785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1613812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613837 */     // GIR_Coverage, 3705,
     /* 1613837 */     GIR_EraseRootFromParent_Done,
     /* 1613838 */   // Label 21116: @1613838
     /* 1613838 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1613942), // Rule ID 3708 //
     /* 1613843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613889 */     // MIs[0] policy
     /* 1613889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1613903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1613909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1613913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1613916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1613930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613941 */     // GIR_Coverage, 3708,
     /* 1613941 */     GIR_EraseRootFromParent_Done,
     /* 1613942 */   // Label 21117: @1613942
     /* 1613942 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1614046), // Rule ID 3709 //
     /* 1613947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1613955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1613958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1613961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1613967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613993 */     // MIs[0] policy
     /* 1613993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1614020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614045 */     // GIR_Coverage, 3709,
     /* 1614045 */     GIR_EraseRootFromParent_Done,
     /* 1614046 */   // Label 21118: @1614046
     /* 1614046 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1614150), // Rule ID 3712 //
     /* 1614051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1614071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614097 */     // MIs[0] policy
     /* 1614097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1614124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614149 */     // GIR_Coverage, 3712,
     /* 1614149 */     GIR_EraseRootFromParent_Done,
     /* 1614150 */   // Label 21119: @1614150
     /* 1614150 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1614254), // Rule ID 3713 //
     /* 1614155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1614166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1614169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1614175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614201 */     // MIs[0] policy
     /* 1614201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1614228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614253 */     // GIR_Coverage, 3713,
     /* 1614253 */     GIR_EraseRootFromParent_Done,
     /* 1614254 */   // Label 21120: @1614254
     /* 1614254 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1614358), // Rule ID 3716 //
     /* 1614259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1614279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614305 */     // MIs[0] policy
     /* 1614305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1614332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614357 */     // GIR_Coverage, 3716,
     /* 1614357 */     GIR_EraseRootFromParent_Done,
     /* 1614358 */   // Label 21121: @1614358
     /* 1614358 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1614462), // Rule ID 3717 //
     /* 1614363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1614374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1614377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1614383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614409 */     // MIs[0] policy
     /* 1614409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1614436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614461 */     // GIR_Coverage, 3717,
     /* 1614461 */     GIR_EraseRootFromParent_Done,
     /* 1614462 */   // Label 21122: @1614462
     /* 1614462 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1614566), // Rule ID 3720 //
     /* 1614467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614513 */     // MIs[0] policy
     /* 1614513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1614540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614565 */     // GIR_Coverage, 3720,
     /* 1614565 */     GIR_EraseRootFromParent_Done,
     /* 1614566 */   // Label 21123: @1614566
     /* 1614566 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1614670), // Rule ID 3721 //
     /* 1614571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1614582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1614585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1614588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1614591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614617 */     // MIs[0] policy
     /* 1614617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1614644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614669 */     // GIR_Coverage, 3721,
     /* 1614669 */     GIR_EraseRootFromParent_Done,
     /* 1614670 */   // Label 21124: @1614670
     /* 1614670 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1614774), // Rule ID 3724 //
     /* 1614675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1614695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614721 */     // MIs[0] policy
     /* 1614721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1614748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614773 */     // GIR_Coverage, 3724,
     /* 1614773 */     GIR_EraseRootFromParent_Done,
     /* 1614774 */   // Label 21125: @1614774
     /* 1614774 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1614878), // Rule ID 3725 //
     /* 1614779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1614796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1614799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614825 */     // MIs[0] policy
     /* 1614825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1614852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614877 */     // GIR_Coverage, 3725,
     /* 1614877 */     GIR_EraseRootFromParent_Done,
     /* 1614878 */   // Label 21126: @1614878
     /* 1614878 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1614982), // Rule ID 3728 //
     /* 1614883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1614886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1614897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1614903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614929 */     // MIs[0] policy
     /* 1614929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614939 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1614943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1614949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1614953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1614956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1614970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614981 */     // GIR_Coverage, 3728,
     /* 1614981 */     GIR_EraseRootFromParent_Done,
     /* 1614982 */   // Label 21127: @1614982
     /* 1614982 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1615086), // Rule ID 3729 //
     /* 1614987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1614990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1614995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1614998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1615004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1615007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615033 */     // MIs[0] policy
     /* 1615033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615043 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1615060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615085 */     // GIR_Coverage, 3729,
     /* 1615085 */     GIR_EraseRootFromParent_Done,
     /* 1615086 */   // Label 21128: @1615086
     /* 1615086 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1615190), // Rule ID 3732 //
     /* 1615091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1615111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615137 */     // MIs[0] policy
     /* 1615137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615189 */     // GIR_Coverage, 3732,
     /* 1615189 */     GIR_EraseRootFromParent_Done,
     /* 1615190 */   // Label 21129: @1615190
     /* 1615190 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1615294), // Rule ID 3733 //
     /* 1615195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1615206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1615209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1615215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615241 */     // MIs[0] policy
     /* 1615241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1615268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615293 */     // GIR_Coverage, 3733,
     /* 1615293 */     GIR_EraseRootFromParent_Done,
     /* 1615294 */   // Label 21130: @1615294
     /* 1615294 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1615398), // Rule ID 3736 //
     /* 1615299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1615302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1615319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615345 */     // MIs[0] policy
     /* 1615345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615355 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1615372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615397 */     // GIR_Coverage, 3736,
     /* 1615397 */     GIR_EraseRootFromParent_Done,
     /* 1615398 */   // Label 21131: @1615398
     /* 1615398 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1615502), // Rule ID 3737 //
     /* 1615403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1615406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1615414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1615417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1615423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615449 */     // MIs[0] policy
     /* 1615449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615459 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1615476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615501 */     // GIR_Coverage, 3737,
     /* 1615501 */     GIR_EraseRootFromParent_Done,
     /* 1615502 */   // Label 21132: @1615502
     /* 1615502 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1615606), // Rule ID 3740 //
     /* 1615507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615553 */     // MIs[0] policy
     /* 1615553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1615580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615605 */     // GIR_Coverage, 3740,
     /* 1615605 */     GIR_EraseRootFromParent_Done,
     /* 1615606 */   // Label 21133: @1615606
     /* 1615606 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1615710), // Rule ID 3741 //
     /* 1615611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1615622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1615625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1615628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1615634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615657 */     // MIs[0] policy
     /* 1615657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1615684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615709 */     // GIR_Coverage, 3741,
     /* 1615709 */     GIR_EraseRootFromParent_Done,
     /* 1615710 */   // Label 21134: @1615710
     /* 1615710 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1615814), // Rule ID 3744 //
     /* 1615715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615761 */     // MIs[0] policy
     /* 1615761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615771 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1615788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615813 */     // GIR_Coverage, 3744,
     /* 1615813 */     GIR_EraseRootFromParent_Done,
     /* 1615814 */   // Label 21135: @1615814
     /* 1615814 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1615918), // Rule ID 3745 //
     /* 1615819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1615830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1615833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1615836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1615842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615865 */     // MIs[0] policy
     /* 1615865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615875 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1615892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1615906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1615914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615917 */     // GIR_Coverage, 3745,
     /* 1615917 */     GIR_EraseRootFromParent_Done,
     /* 1615918 */   // Label 21136: @1615918
     /* 1615918 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1616022), // Rule ID 3748 //
     /* 1615923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1615931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1615934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1615937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1615940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1615953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1615961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615969 */     // MIs[0] policy
     /* 1615969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1615983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1615989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1615993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1615996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616021 */     // GIR_Coverage, 3748,
     /* 1616021 */     GIR_EraseRootFromParent_Done,
     /* 1616022 */   // Label 21137: @1616022
     /* 1616022 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1616126), // Rule ID 3749 //
     /* 1616027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616073 */     // MIs[0] policy
     /* 1616073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1616100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616125 */     // GIR_Coverage, 3749,
     /* 1616125 */     GIR_EraseRootFromParent_Done,
     /* 1616126 */   // Label 21138: @1616126
     /* 1616126 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1616230), // Rule ID 3752 //
     /* 1616131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616177 */     // MIs[0] policy
     /* 1616177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1616204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616229 */     // GIR_Coverage, 3752,
     /* 1616229 */     GIR_EraseRootFromParent_Done,
     /* 1616230 */   // Label 21139: @1616230
     /* 1616230 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1616334), // Rule ID 3753 //
     /* 1616235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1616246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1616249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1616252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616281 */     // MIs[0] policy
     /* 1616281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1616308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616333 */     // GIR_Coverage, 3753,
     /* 1616333 */     GIR_EraseRootFromParent_Done,
     /* 1616334 */   // Label 21140: @1616334
     /* 1616334 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1616438), // Rule ID 3756 //
     /* 1616339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616385 */     // MIs[0] policy
     /* 1616385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1616412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616437 */     // GIR_Coverage, 3756,
     /* 1616437 */     GIR_EraseRootFromParent_Done,
     /* 1616438 */   // Label 21141: @1616438
     /* 1616438 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1616542), // Rule ID 3757 //
     /* 1616443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1616454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1616457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1616460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1616466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616489 */     // MIs[0] policy
     /* 1616489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1616516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616541 */     // GIR_Coverage, 3757,
     /* 1616541 */     GIR_EraseRootFromParent_Done,
     /* 1616542 */   // Label 21142: @1616542
     /* 1616542 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1616646), // Rule ID 3760 //
     /* 1616547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616593 */     // MIs[0] policy
     /* 1616593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616603 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1616620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616645 */     // GIR_Coverage, 3760,
     /* 1616645 */     GIR_EraseRootFromParent_Done,
     /* 1616646 */   // Label 21143: @1616646
     /* 1616646 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1616750), // Rule ID 3761 //
     /* 1616651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1616662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1616665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1616668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1616674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616697 */     // MIs[0] policy
     /* 1616697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1616724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616749 */     // GIR_Coverage, 3761,
     /* 1616749 */     GIR_EraseRootFromParent_Done,
     /* 1616750 */   // Label 21144: @1616750
     /* 1616750 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1616854), // Rule ID 3764 //
     /* 1616755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616801 */     // MIs[0] policy
     /* 1616801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616811 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1616828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616853 */     // GIR_Coverage, 3764,
     /* 1616853 */     GIR_EraseRootFromParent_Done,
     /* 1616854 */   // Label 21145: @1616854
     /* 1616854 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1616958), // Rule ID 3765 //
     /* 1616859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1616870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1616873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1616876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616905 */     // MIs[0] policy
     /* 1616905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1616919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1616925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1616929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1616932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1616946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1616954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616957 */     // GIR_Coverage, 3765,
     /* 1616957 */     GIR_EraseRootFromParent_Done,
     /* 1616958 */   // Label 21146: @1616958
     /* 1616958 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1617062), // Rule ID 3768 //
     /* 1616963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1616971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1616974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1616977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1616980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617009 */     // MIs[0] policy
     /* 1617009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617061 */     // GIR_Coverage, 3768,
     /* 1617061 */     GIR_EraseRootFromParent_Done,
     /* 1617062 */   // Label 21147: @1617062
     /* 1617062 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1617166), // Rule ID 3769 //
     /* 1617067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617113 */     // MIs[0] policy
     /* 1617113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617165 */     // GIR_Coverage, 3769,
     /* 1617165 */     GIR_EraseRootFromParent_Done,
     /* 1617166 */   // Label 21148: @1617166
     /* 1617166 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1617270), // Rule ID 3772 //
     /* 1617171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617217 */     // MIs[0] policy
     /* 1617217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1617244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617269 */     // GIR_Coverage, 3772,
     /* 1617269 */     GIR_EraseRootFromParent_Done,
     /* 1617270 */   // Label 21149: @1617270
     /* 1617270 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1617374), // Rule ID 3773 //
     /* 1617275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617321 */     // MIs[0] policy
     /* 1617321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617331 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1617348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617373 */     // GIR_Coverage, 3773,
     /* 1617373 */     GIR_EraseRootFromParent_Done,
     /* 1617374 */   // Label 21150: @1617374
     /* 1617374 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1617478), // Rule ID 3776 //
     /* 1617379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617425 */     // MIs[0] policy
     /* 1617425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1617452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617477 */     // GIR_Coverage, 3776,
     /* 1617477 */     GIR_EraseRootFromParent_Done,
     /* 1617478 */   // Label 21151: @1617478
     /* 1617478 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1617582), // Rule ID 3777 //
     /* 1617483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1617494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1617497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1617500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617529 */     // MIs[0] policy
     /* 1617529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617539 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1617556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617581 */     // GIR_Coverage, 3777,
     /* 1617581 */     GIR_EraseRootFromParent_Done,
     /* 1617582 */   // Label 21152: @1617582
     /* 1617582 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1617686), // Rule ID 3780 //
     /* 1617587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617633 */     // MIs[0] policy
     /* 1617633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1617660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617685 */     // GIR_Coverage, 3780,
     /* 1617685 */     GIR_EraseRootFromParent_Done,
     /* 1617686 */   // Label 21153: @1617686
     /* 1617686 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1617790), // Rule ID 3781 //
     /* 1617691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1617702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1617705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1617708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617737 */     // MIs[0] policy
     /* 1617737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1617764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617789 */     // GIR_Coverage, 3781,
     /* 1617789 */     GIR_EraseRootFromParent_Done,
     /* 1617790 */   // Label 21154: @1617790
     /* 1617790 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1617894), // Rule ID 3784 //
     /* 1617795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1617798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1617815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617841 */     // MIs[0] policy
     /* 1617841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617893 */     // GIR_Coverage, 3784,
     /* 1617893 */     GIR_EraseRootFromParent_Done,
     /* 1617894 */   // Label 21155: @1617894
     /* 1617894 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1617998), // Rule ID 3785 //
     /* 1617899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1617902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1617907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1617910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1617913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1617916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1617919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1617941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617945 */     // MIs[0] policy
     /* 1617945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1617959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1617965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1617969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1617972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1617986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1617994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617997 */     // GIR_Coverage, 3785,
     /* 1617997 */     GIR_EraseRootFromParent_Done,
     /* 1617998 */   // Label 21156: @1617998
     /* 1617998 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1618102), // Rule ID 3788 //
     /* 1618003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618049 */     // MIs[0] policy
     /* 1618049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618059 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618101 */     // GIR_Coverage, 3788,
     /* 1618101 */     GIR_EraseRootFromParent_Done,
     /* 1618102 */   // Label 21157: @1618102
     /* 1618102 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1618206), // Rule ID 3789 //
     /* 1618107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618153 */     // MIs[0] policy
     /* 1618153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1618180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618205 */     // GIR_Coverage, 3789,
     /* 1618205 */     GIR_EraseRootFromParent_Done,
     /* 1618206 */   // Label 21158: @1618206
     /* 1618206 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1618310), // Rule ID 3792 //
     /* 1618211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618257 */     // MIs[0] policy
     /* 1618257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618267 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618309 */     // GIR_Coverage, 3792,
     /* 1618309 */     GIR_EraseRootFromParent_Done,
     /* 1618310 */   // Label 21159: @1618310
     /* 1618310 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1618414), // Rule ID 3793 //
     /* 1618315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618361 */     // MIs[0] policy
     /* 1618361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1618388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618413 */     // GIR_Coverage, 3793,
     /* 1618413 */     GIR_EraseRootFromParent_Done,
     /* 1618414 */   // Label 21160: @1618414
     /* 1618414 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1618518), // Rule ID 3796 //
     /* 1618419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1618439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618465 */     // MIs[0] policy
     /* 1618465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618475 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1618492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618517 */     // GIR_Coverage, 3796,
     /* 1618517 */     GIR_EraseRootFromParent_Done,
     /* 1618518 */   // Label 21161: @1618518
     /* 1618518 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1618622), // Rule ID 3797 //
     /* 1618523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1618531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1618543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1618565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618569 */     // MIs[0] policy
     /* 1618569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1618596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618621 */     // GIR_Coverage, 3797,
     /* 1618621 */     GIR_EraseRootFromParent_Done,
     /* 1618622 */   // Label 21162: @1618622
     /* 1618622 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1618726), // Rule ID 3800 //
     /* 1618627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1618647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618673 */     // MIs[0] policy
     /* 1618673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1618700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618725 */     // GIR_Coverage, 3800,
     /* 1618725 */     GIR_EraseRootFromParent_Done,
     /* 1618726 */   // Label 21163: @1618726
     /* 1618726 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1618830), // Rule ID 3801 //
     /* 1618731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1618742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1618745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1618748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1618751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618777 */     // MIs[0] policy
     /* 1618777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1618804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618829 */     // GIR_Coverage, 3801,
     /* 1618829 */     GIR_EraseRootFromParent_Done,
     /* 1618830 */   // Label 21164: @1618830
     /* 1618830 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1618934), // Rule ID 3804 //
     /* 1618835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1618855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618881 */     // MIs[0] policy
     /* 1618881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1618901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1618905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1618908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1618922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1618930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618933 */     // GIR_Coverage, 3804,
     /* 1618933 */     GIR_EraseRootFromParent_Done,
     /* 1618934 */   // Label 21165: @1618934
     /* 1618934 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1619038), // Rule ID 3805 //
     /* 1618939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1618947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1618950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1618953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1618956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1618959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618985 */     // MIs[0] policy
     /* 1618985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1618999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1619012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619037 */     // GIR_Coverage, 3805,
     /* 1619037 */     GIR_EraseRootFromParent_Done,
     /* 1619038 */   // Label 21166: @1619038
     /* 1619038 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1619142), // Rule ID 3808 //
     /* 1619043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619089 */     // MIs[0] policy
     /* 1619089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1619116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619141 */     // GIR_Coverage, 3808,
     /* 1619141 */     GIR_EraseRootFromParent_Done,
     /* 1619142 */   // Label 21167: @1619142
     /* 1619142 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1619246), // Rule ID 3809 //
     /* 1619147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1619167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619193 */     // MIs[0] policy
     /* 1619193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1619220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619245 */     // GIR_Coverage, 3809,
     /* 1619245 */     GIR_EraseRootFromParent_Done,
     /* 1619246 */   // Label 21168: @1619246
     /* 1619246 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1619350), // Rule ID 3812 //
     /* 1619251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1619271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619297 */     // MIs[0] policy
     /* 1619297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1619324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619349 */     // GIR_Coverage, 3812,
     /* 1619349 */     GIR_EraseRootFromParent_Done,
     /* 1619350 */   // Label 21169: @1619350
     /* 1619350 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1619454), // Rule ID 3813 //
     /* 1619355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1619375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619401 */     // MIs[0] policy
     /* 1619401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1619428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619453 */     // GIR_Coverage, 3813,
     /* 1619453 */     GIR_EraseRootFromParent_Done,
     /* 1619454 */   // Label 21170: @1619454
     /* 1619454 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1619558), // Rule ID 3816 //
     /* 1619459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1619479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619505 */     // MIs[0] policy
     /* 1619505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1619532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619557 */     // GIR_Coverage, 3816,
     /* 1619557 */     GIR_EraseRootFromParent_Done,
     /* 1619558 */   // Label 21171: @1619558
     /* 1619558 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1619662), // Rule ID 3817 //
     /* 1619563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1619583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619609 */     // MIs[0] policy
     /* 1619609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1619636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619661 */     // GIR_Coverage, 3817,
     /* 1619661 */     GIR_EraseRootFromParent_Done,
     /* 1619662 */   // Label 21172: @1619662
     /* 1619662 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1619766), // Rule ID 3820 //
     /* 1619667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1619687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619713 */     // MIs[0] policy
     /* 1619713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1619740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619765 */     // GIR_Coverage, 3820,
     /* 1619765 */     GIR_EraseRootFromParent_Done,
     /* 1619766 */   // Label 21173: @1619766
     /* 1619766 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1619870), // Rule ID 3821 //
     /* 1619771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1619791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619817 */     // MIs[0] policy
     /* 1619817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1619844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619869 */     // GIR_Coverage, 3821,
     /* 1619869 */     GIR_EraseRootFromParent_Done,
     /* 1619870 */   // Label 21174: @1619870
     /* 1619870 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1619974), // Rule ID 3824 //
     /* 1619875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1619895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619921 */     // MIs[0] policy
     /* 1619921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1619935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1619941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1619945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1619948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1619962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1619970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619973 */     // GIR_Coverage, 3824,
     /* 1619973 */     GIR_EraseRootFromParent_Done,
     /* 1619974 */   // Label 21175: @1619974
     /* 1619974 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1620078), // Rule ID 3825 //
     /* 1619979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1619987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1619990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1619993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1619996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1619999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620025 */     // MIs[0] policy
     /* 1620025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1620052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620077 */     // GIR_Coverage, 3825,
     /* 1620077 */     GIR_EraseRootFromParent_Done,
     /* 1620078 */   // Label 21176: @1620078
     /* 1620078 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1620182), // Rule ID 3828 //
     /* 1620083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620129 */     // MIs[0] policy
     /* 1620129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1620156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620181 */     // GIR_Coverage, 3828,
     /* 1620181 */     GIR_EraseRootFromParent_Done,
     /* 1620182 */   // Label 21177: @1620182
     /* 1620182 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1620286), // Rule ID 3829 //
     /* 1620187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1620207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620233 */     // MIs[0] policy
     /* 1620233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620243 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1620260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620285 */     // GIR_Coverage, 3829,
     /* 1620285 */     GIR_EraseRootFromParent_Done,
     /* 1620286 */   // Label 21178: @1620286
     /* 1620286 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1620390), // Rule ID 3832 //
     /* 1620291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620337 */     // MIs[0] policy
     /* 1620337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620389 */     // GIR_Coverage, 3832,
     /* 1620389 */     GIR_EraseRootFromParent_Done,
     /* 1620390 */   // Label 21179: @1620390
     /* 1620390 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1620494), // Rule ID 3833 //
     /* 1620395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1620415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620441 */     // MIs[0] policy
     /* 1620441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1620468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620493 */     // GIR_Coverage, 3833,
     /* 1620493 */     GIR_EraseRootFromParent_Done,
     /* 1620494 */   // Label 21180: @1620494
     /* 1620494 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1620598), // Rule ID 3836 //
     /* 1620499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1620519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620545 */     // MIs[0] policy
     /* 1620545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620555 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1620572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620597 */     // GIR_Coverage, 3836,
     /* 1620597 */     GIR_EraseRootFromParent_Done,
     /* 1620598 */   // Label 21181: @1620598
     /* 1620598 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1620702), // Rule ID 3837 //
     /* 1620603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1620623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620649 */     // MIs[0] policy
     /* 1620649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620659 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1620676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620701 */     // GIR_Coverage, 3837,
     /* 1620701 */     GIR_EraseRootFromParent_Done,
     /* 1620702 */   // Label 21182: @1620702
     /* 1620702 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1620806), // Rule ID 3840 //
     /* 1620707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1620727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620753 */     // MIs[0] policy
     /* 1620753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620763 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1620780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620805 */     // GIR_Coverage, 3840,
     /* 1620805 */     GIR_EraseRootFromParent_Done,
     /* 1620806 */   // Label 21183: @1620806
     /* 1620806 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1620910), // Rule ID 3841 //
     /* 1620811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1620831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620857 */     // MIs[0] policy
     /* 1620857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620867 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1620884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1620898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620909 */     // GIR_Coverage, 3841,
     /* 1620909 */     GIR_EraseRootFromParent_Done,
     /* 1620910 */   // Label 21184: @1620910
     /* 1620910 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1621014), // Rule ID 3844 //
     /* 1620915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1620923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1620935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620961 */     // MIs[0] policy
     /* 1620961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1620975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1620981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1620985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1620988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621013 */     // GIR_Coverage, 3844,
     /* 1621013 */     GIR_EraseRootFromParent_Done,
     /* 1621014 */   // Label 21185: @1621014
     /* 1621014 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1621118), // Rule ID 3845 //
     /* 1621019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1621039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621065 */     // MIs[0] policy
     /* 1621065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1621092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621117 */     // GIR_Coverage, 3845,
     /* 1621117 */     GIR_EraseRootFromParent_Done,
     /* 1621118 */   // Label 21186: @1621118
     /* 1621118 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1621222), // Rule ID 3848 //
     /* 1621123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621169 */     // MIs[0] policy
     /* 1621169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621179 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621221 */     // GIR_Coverage, 3848,
     /* 1621221 */     GIR_EraseRootFromParent_Done,
     /* 1621222 */   // Label 21187: @1621222
     /* 1621222 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1621326), // Rule ID 3849 //
     /* 1621227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1621247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621273 */     // MIs[0] policy
     /* 1621273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621283 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1621300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621325 */     // GIR_Coverage, 3849,
     /* 1621325 */     GIR_EraseRootFromParent_Done,
     /* 1621326 */   // Label 21188: @1621326
     /* 1621326 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1621430), // Rule ID 3852 //
     /* 1621331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1621351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621377 */     // MIs[0] policy
     /* 1621377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621429 */     // GIR_Coverage, 3852,
     /* 1621429 */     GIR_EraseRootFromParent_Done,
     /* 1621430 */   // Label 21189: @1621430
     /* 1621430 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1621534), // Rule ID 3853 //
     /* 1621435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1621455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621481 */     // MIs[0] policy
     /* 1621481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621491 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1621508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621533 */     // GIR_Coverage, 3853,
     /* 1621533 */     GIR_EraseRootFromParent_Done,
     /* 1621534 */   // Label 21190: @1621534
     /* 1621534 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1621638), // Rule ID 3856 //
     /* 1621539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1621559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621585 */     // MIs[0] policy
     /* 1621585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621637 */     // GIR_Coverage, 3856,
     /* 1621637 */     GIR_EraseRootFromParent_Done,
     /* 1621638 */   // Label 21191: @1621638
     /* 1621638 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1621742), // Rule ID 3857 //
     /* 1621643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1621663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621689 */     // MIs[0] policy
     /* 1621689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621699 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1621716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621741 */     // GIR_Coverage, 3857,
     /* 1621741 */     GIR_EraseRootFromParent_Done,
     /* 1621742 */   // Label 21192: @1621742
     /* 1621742 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1621846), // Rule ID 3860 //
     /* 1621747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621793 */     // MIs[0] policy
     /* 1621793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1621820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621845 */     // GIR_Coverage, 3860,
     /* 1621845 */     GIR_EraseRootFromParent_Done,
     /* 1621846 */   // Label 21193: @1621846
     /* 1621846 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1621950), // Rule ID 3861 //
     /* 1621851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621897 */     // MIs[0] policy
     /* 1621897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1621911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1621917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1621921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1621924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1621938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621949 */     // GIR_Coverage, 3861,
     /* 1621949 */     GIR_EraseRootFromParent_Done,
     /* 1621950 */   // Label 21194: @1621950
     /* 1621950 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1622054), // Rule ID 3864 //
     /* 1621955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1621963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622001 */     // MIs[0] policy
     /* 1622001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1622028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622053 */     // GIR_Coverage, 3864,
     /* 1622053 */     GIR_EraseRootFromParent_Done,
     /* 1622054 */   // Label 21195: @1622054
     /* 1622054 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1622158), // Rule ID 3865 //
     /* 1622059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1622070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1622073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1622076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622105 */     // MIs[0] policy
     /* 1622105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1622132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622157 */     // GIR_Coverage, 3865,
     /* 1622157 */     GIR_EraseRootFromParent_Done,
     /* 1622158 */   // Label 21196: @1622158
     /* 1622158 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1622262), // Rule ID 3868 //
     /* 1622163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622209 */     // MIs[0] policy
     /* 1622209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1622236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622261 */     // GIR_Coverage, 3868,
     /* 1622261 */     GIR_EraseRootFromParent_Done,
     /* 1622262 */   // Label 21197: @1622262
     /* 1622262 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1622366), // Rule ID 3869 //
     /* 1622267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622313 */     // MIs[0] policy
     /* 1622313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11302:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1622340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622365 */     // GIR_Coverage, 3869,
     /* 1622365 */     GIR_EraseRootFromParent_Done,
     /* 1622366 */   // Label 21198: @1622366
     /* 1622366 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1622470), // Rule ID 3872 //
     /* 1622371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622417 */     // MIs[0] policy
     /* 1622417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1622444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622469 */     // GIR_Coverage, 3872,
     /* 1622469 */     GIR_EraseRootFromParent_Done,
     /* 1622470 */   // Label 21199: @1622470
     /* 1622470 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1622574), // Rule ID 3873 //
     /* 1622475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622521 */     // MIs[0] policy
     /* 1622521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1622548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622573 */     // GIR_Coverage, 3873,
     /* 1622573 */     GIR_EraseRootFromParent_Done,
     /* 1622574 */   // Label 21200: @1622574
     /* 1622574 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1622678), // Rule ID 3876 //
     /* 1622579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622625 */     // MIs[0] policy
     /* 1622625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1622652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622677 */     // GIR_Coverage, 3876,
     /* 1622677 */     GIR_EraseRootFromParent_Done,
     /* 1622678 */   // Label 21201: @1622678
     /* 1622678 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1622782), // Rule ID 3877 //
     /* 1622683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622729 */     // MIs[0] policy
     /* 1622729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1622756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622781 */     // GIR_Coverage, 3877,
     /* 1622781 */     GIR_EraseRootFromParent_Done,
     /* 1622782 */   // Label 21202: @1622782
     /* 1622782 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1622886), // Rule ID 3880 //
     /* 1622787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1622807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622833 */     // MIs[0] policy
     /* 1622833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1622860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622885 */     // GIR_Coverage, 3880,
     /* 1622885 */     GIR_EraseRootFromParent_Done,
     /* 1622886 */   // Label 21203: @1622886
     /* 1622886 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1622990), // Rule ID 3881 //
     /* 1622891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1622899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1622911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1622933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622937 */     // MIs[0] policy
     /* 1622937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1622951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1622957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1622961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1622964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1622978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622989 */     // GIR_Coverage, 3881,
     /* 1622989 */     GIR_EraseRootFromParent_Done,
     /* 1622990 */   // Label 21204: @1622990
     /* 1622990 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1623094), // Rule ID 3884 //
     /* 1622995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623041 */     // MIs[0] policy
     /* 1623041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623093 */     // GIR_Coverage, 3884,
     /* 1623093 */     GIR_EraseRootFromParent_Done,
     /* 1623094 */   // Label 21205: @1623094
     /* 1623094 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1623198), // Rule ID 3885 //
     /* 1623099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1623110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1623113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1623116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623145 */     // MIs[0] policy
     /* 1623145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1623172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623197 */     // GIR_Coverage, 3885,
     /* 1623197 */     GIR_EraseRootFromParent_Done,
     /* 1623198 */   // Label 21206: @1623198
     /* 1623198 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1623302), // Rule ID 3888 //
     /* 1623203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623249 */     // MIs[0] policy
     /* 1623249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623301 */     // GIR_Coverage, 3888,
     /* 1623301 */     GIR_EraseRootFromParent_Done,
     /* 1623302 */   // Label 21207: @1623302
     /* 1623302 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1623406), // Rule ID 3889 //
     /* 1623307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1623318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1623321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1623324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623353 */     // MIs[0] policy
     /* 1623353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623363 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11302:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1623380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623405 */     // GIR_Coverage, 3889,
     /* 1623405 */     GIR_EraseRootFromParent_Done,
     /* 1623406 */   // Label 21208: @1623406
     /* 1623406 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1623510), // Rule ID 3892 //
     /* 1623411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623457 */     // MIs[0] policy
     /* 1623457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623509 */     // GIR_Coverage, 3892,
     /* 1623509 */     GIR_EraseRootFromParent_Done,
     /* 1623510 */   // Label 21209: @1623510
     /* 1623510 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1623614), // Rule ID 3893 //
     /* 1623515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623561 */     // MIs[0] policy
     /* 1623561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1623588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623613 */     // GIR_Coverage, 3893,
     /* 1623613 */     GIR_EraseRootFromParent_Done,
     /* 1623614 */   // Label 21210: @1623614
     /* 1623614 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1623718), // Rule ID 3896 //
     /* 1623619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623665 */     // MIs[0] policy
     /* 1623665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623675 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1623692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623717 */     // GIR_Coverage, 3896,
     /* 1623717 */     GIR_EraseRootFromParent_Done,
     /* 1623718 */   // Label 21211: @1623718
     /* 1623718 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1623822), // Rule ID 3897 //
     /* 1623723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623769 */     // MIs[0] policy
     /* 1623769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623779 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1623796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623821 */     // GIR_Coverage, 3897,
     /* 1623821 */     GIR_EraseRootFromParent_Done,
     /* 1623822 */   // Label 21212: @1623822
     /* 1623822 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1623926), // Rule ID 3900 //
     /* 1623827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1623847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623873 */     // MIs[0] policy
     /* 1623873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1623897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1623900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1623914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623925 */     // GIR_Coverage, 3900,
     /* 1623925 */     GIR_EraseRootFromParent_Done,
     /* 1623926 */   // Label 21213: @1623926
     /* 1623926 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1624030), // Rule ID 3901 //
     /* 1623931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1623939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1623951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1623973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623977 */     // MIs[0] policy
     /* 1623977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1623991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1623997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1624026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624029 */     // GIR_Coverage, 3901,
     /* 1624029 */     GIR_EraseRootFromParent_Done,
     /* 1624030 */   // Label 21214: @1624030
     /* 1624030 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1624134), // Rule ID 3904 //
     /* 1624035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624081 */     // MIs[0] policy
     /* 1624081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624133 */     // GIR_Coverage, 3904,
     /* 1624133 */     GIR_EraseRootFromParent_Done,
     /* 1624134 */   // Label 21215: @1624134
     /* 1624134 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1624238), // Rule ID 3905 //
     /* 1624139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1624150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1624153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1624156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624185 */     // MIs[0] policy
     /* 1624185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11302:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1624212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624237 */     // GIR_Coverage, 3905,
     /* 1624237 */     GIR_EraseRootFromParent_Done,
     /* 1624238 */   // Label 21216: @1624238
     /* 1624238 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1624342), // Rule ID 3908 //
     /* 1624243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624289 */     // MIs[0] policy
     /* 1624289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624299 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624341 */     // GIR_Coverage, 3908,
     /* 1624341 */     GIR_EraseRootFromParent_Done,
     /* 1624342 */   // Label 21217: @1624342
     /* 1624342 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1624446), // Rule ID 3909 //
     /* 1624347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1624358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1624361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1624364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624393 */     // MIs[0] policy
     /* 1624393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624403 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11302:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1624420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624445 */     // GIR_Coverage, 3909,
     /* 1624445 */     GIR_EraseRootFromParent_Done,
     /* 1624446 */   // Label 21218: @1624446
     /* 1624446 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1624550), // Rule ID 3912 //
     /* 1624451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624497 */     // MIs[0] policy
     /* 1624497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624507 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624549 */     // GIR_Coverage, 3912,
     /* 1624549 */     GIR_EraseRootFromParent_Done,
     /* 1624550 */   // Label 21219: @1624550
     /* 1624550 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1624654), // Rule ID 3913 //
     /* 1624555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1624566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1624569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1624572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624601 */     // MIs[0] policy
     /* 1624601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624611 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11302:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1624628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624653 */     // GIR_Coverage, 3913,
     /* 1624653 */     GIR_EraseRootFromParent_Done,
     /* 1624654 */   // Label 21220: @1624654
     /* 1624654 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1624758), // Rule ID 3916 //
     /* 1624659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624705 */     // MIs[0] policy
     /* 1624705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624715 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624757 */     // GIR_Coverage, 3916,
     /* 1624757 */     GIR_EraseRootFromParent_Done,
     /* 1624758 */   // Label 21221: @1624758
     /* 1624758 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1624862), // Rule ID 3917 //
     /* 1624763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1624771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624809 */     // MIs[0] policy
     /* 1624809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624819 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11302:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1624836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624861 */     // GIR_Coverage, 3917,
     /* 1624861 */     GIR_EraseRootFromParent_Done,
     /* 1624862 */   // Label 21222: @1624862
     /* 1624862 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1624966), // Rule ID 3926 //
     /* 1624867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1624887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624913 */     // MIs[0] policy
     /* 1624913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1624927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1624933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1624937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1624940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1624954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624965 */     // GIR_Coverage, 3926,
     /* 1624965 */     GIR_EraseRootFromParent_Done,
     /* 1624966 */   // Label 21223: @1624966
     /* 1624966 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1625070), // Rule ID 3927 //
     /* 1624971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1624979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1624988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1624991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625017 */     // MIs[0] policy
     /* 1625017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625027 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625069 */     // GIR_Coverage, 3927,
     /* 1625069 */     GIR_EraseRootFromParent_Done,
     /* 1625070 */   // Label 21224: @1625070
     /* 1625070 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1625174), // Rule ID 3936 //
     /* 1625075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625121 */     // MIs[0] policy
     /* 1625121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1625148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625173 */     // GIR_Coverage, 3936,
     /* 1625173 */     GIR_EraseRootFromParent_Done,
     /* 1625174 */   // Label 21225: @1625174
     /* 1625174 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1625278), // Rule ID 3937 //
     /* 1625179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1625190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1625193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1625199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625225 */     // MIs[0] policy
     /* 1625225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1625252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625277 */     // GIR_Coverage, 3937,
     /* 1625277 */     GIR_EraseRootFromParent_Done,
     /* 1625278 */   // Label 21226: @1625278
     /* 1625278 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1625382), // Rule ID 3946 //
     /* 1625283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625329 */     // MIs[0] policy
     /* 1625329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1625356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625381 */     // GIR_Coverage, 3946,
     /* 1625381 */     GIR_EraseRootFromParent_Done,
     /* 1625382 */   // Label 21227: @1625382
     /* 1625382 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1625486), // Rule ID 3947 //
     /* 1625387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1625398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1625401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1625407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625433 */     // MIs[0] policy
     /* 1625433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1625460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625485 */     // GIR_Coverage, 3947,
     /* 1625485 */     GIR_EraseRootFromParent_Done,
     /* 1625486 */   // Label 21228: @1625486
     /* 1625486 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1625590), // Rule ID 3956 //
     /* 1625491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625537 */     // MIs[0] policy
     /* 1625537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1625564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625589 */     // GIR_Coverage, 3956,
     /* 1625589 */     GIR_EraseRootFromParent_Done,
     /* 1625590 */   // Label 21229: @1625590
     /* 1625590 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1625694), // Rule ID 3957 //
     /* 1625595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1625615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625641 */     // MIs[0] policy
     /* 1625641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1625668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625693 */     // GIR_Coverage, 3957,
     /* 1625693 */     GIR_EraseRootFromParent_Done,
     /* 1625694 */   // Label 21230: @1625694
     /* 1625694 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1625798), // Rule ID 3966 //
     /* 1625699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625745 */     // MIs[0] policy
     /* 1625745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1625772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625797 */     // GIR_Coverage, 3966,
     /* 1625797 */     GIR_EraseRootFromParent_Done,
     /* 1625798 */   // Label 21231: @1625798
     /* 1625798 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1625902), // Rule ID 3967 //
     /* 1625803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1625820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1625823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625849 */     // MIs[0] policy
     /* 1625849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1625876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625901 */     // GIR_Coverage, 3967,
     /* 1625901 */     GIR_EraseRootFromParent_Done,
     /* 1625902 */   // Label 21232: @1625902
     /* 1625902 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1626006), // Rule ID 3976 //
     /* 1625907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1625915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1625924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1625927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625953 */     // MIs[0] policy
     /* 1625953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1625967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1625973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1625977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1625980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1625994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626005 */     // GIR_Coverage, 3976,
     /* 1626005 */     GIR_EraseRootFromParent_Done,
     /* 1626006 */   // Label 21233: @1626006
     /* 1626006 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1626110), // Rule ID 3977 //
     /* 1626011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1626022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1626025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1626031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626057 */     // MIs[0] policy
     /* 1626057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626067 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1626084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626109 */     // GIR_Coverage, 3977,
     /* 1626109 */     GIR_EraseRootFromParent_Done,
     /* 1626110 */   // Label 21234: @1626110
     /* 1626110 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1626214), // Rule ID 3986 //
     /* 1626115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626161 */     // MIs[0] policy
     /* 1626161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626213 */     // GIR_Coverage, 3986,
     /* 1626213 */     GIR_EraseRootFromParent_Done,
     /* 1626214 */   // Label 21235: @1626214
     /* 1626214 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1626318), // Rule ID 3987 //
     /* 1626219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1626230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1626233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1626239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626265 */     // MIs[0] policy
     /* 1626265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1626292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626317 */     // GIR_Coverage, 3987,
     /* 1626317 */     GIR_EraseRootFromParent_Done,
     /* 1626318 */   // Label 21236: @1626318
     /* 1626318 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1626422), // Rule ID 3996 //
     /* 1626323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626369 */     // MIs[0] policy
     /* 1626369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626421 */     // GIR_Coverage, 3996,
     /* 1626421 */     GIR_EraseRootFromParent_Done,
     /* 1626422 */   // Label 21237: @1626422
     /* 1626422 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1626526), // Rule ID 3997 //
     /* 1626427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1626438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1626441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1626447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626473 */     // MIs[0] policy
     /* 1626473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1626500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626525 */     // GIR_Coverage, 3997,
     /* 1626525 */     GIR_EraseRootFromParent_Done,
     /* 1626526 */   // Label 21238: @1626526
     /* 1626526 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1626630), // Rule ID 4006 //
     /* 1626531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626577 */     // MIs[0] policy
     /* 1626577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626629 */     // GIR_Coverage, 4006,
     /* 1626629 */     GIR_EraseRootFromParent_Done,
     /* 1626630 */   // Label 21239: @1626630
     /* 1626630 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1626734), // Rule ID 4007 //
     /* 1626635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1626646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1626649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1626655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626681 */     // MIs[0] policy
     /* 1626681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626691 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1626708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626733 */     // GIR_Coverage, 4007,
     /* 1626733 */     GIR_EraseRootFromParent_Done,
     /* 1626734 */   // Label 21240: @1626734
     /* 1626734 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1626838), // Rule ID 4016 //
     /* 1626739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626785 */     // MIs[0] policy
     /* 1626785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626837 */     // GIR_Coverage, 4016,
     /* 1626837 */     GIR_EraseRootFromParent_Done,
     /* 1626838 */   // Label 21241: @1626838
     /* 1626838 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1626942), // Rule ID 4017 //
     /* 1626843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1626860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1626863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626889 */     // MIs[0] policy
     /* 1626889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626899 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1626903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1626909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1626913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1626916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1626930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626941 */     // GIR_Coverage, 4017,
     /* 1626941 */     GIR_EraseRootFromParent_Done,
     /* 1626942 */   // Label 21242: @1626942
     /* 1626942 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1627046), // Rule ID 4026 //
     /* 1626947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1626955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1626964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1626967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626993 */     // MIs[0] policy
     /* 1626993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627045 */     // GIR_Coverage, 4026,
     /* 1627045 */     GIR_EraseRootFromParent_Done,
     /* 1627046 */   // Label 21243: @1627046
     /* 1627046 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1627150), // Rule ID 4027 //
     /* 1627051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1627062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1627065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1627068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1627071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627097 */     // MIs[0] policy
     /* 1627097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1627124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627149 */     // GIR_Coverage, 4027,
     /* 1627149 */     GIR_EraseRootFromParent_Done,
     /* 1627150 */   // Label 21244: @1627150
     /* 1627150 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1627254), // Rule ID 4036 //
     /* 1627155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627201 */     // MIs[0] policy
     /* 1627201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627253 */     // GIR_Coverage, 4036,
     /* 1627253 */     GIR_EraseRootFromParent_Done,
     /* 1627254 */   // Label 21245: @1627254
     /* 1627254 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1627358), // Rule ID 4037 //
     /* 1627259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1627270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1627273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1627276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1627279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627305 */     // MIs[0] policy
     /* 1627305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627315 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1627332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627357 */     // GIR_Coverage, 4037,
     /* 1627357 */     GIR_EraseRootFromParent_Done,
     /* 1627358 */   // Label 21246: @1627358
     /* 1627358 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1627462), // Rule ID 4046 //
     /* 1627363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627409 */     // MIs[0] policy
     /* 1627409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627461 */     // GIR_Coverage, 4046,
     /* 1627461 */     GIR_EraseRootFromParent_Done,
     /* 1627462 */   // Label 21247: @1627462
     /* 1627462 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1627566), // Rule ID 4047 //
     /* 1627467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1627478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1627481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1627484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1627487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627513 */     // MIs[0] policy
     /* 1627513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1627540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627565 */     // GIR_Coverage, 4047,
     /* 1627565 */     GIR_EraseRootFromParent_Done,
     /* 1627566 */   // Label 21248: @1627566
     /* 1627566 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1627670), // Rule ID 4056 //
     /* 1627571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1627574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1627588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627617 */     // MIs[0] policy
     /* 1627617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627669 */     // GIR_Coverage, 4056,
     /* 1627669 */     GIR_EraseRootFromParent_Done,
     /* 1627670 */   // Label 21249: @1627670
     /* 1627670 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1627774), // Rule ID 4057 //
     /* 1627675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1627678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1627686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1627689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1627692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1627695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627721 */     // MIs[0] policy
     /* 1627721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627731 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1627748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1627770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627773 */     // GIR_Coverage, 4057,
     /* 1627773 */     GIR_EraseRootFromParent_Done,
     /* 1627774 */   // Label 21250: @1627774
     /* 1627774 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1627878), // Rule ID 4060 //
     /* 1627779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1627799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627825 */     // MIs[0] policy
     /* 1627825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1627852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627877 */     // GIR_Coverage, 4060,
     /* 1627877 */     GIR_EraseRootFromParent_Done,
     /* 1627878 */   // Label 21251: @1627878
     /* 1627878 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1627982), // Rule ID 4061 //
     /* 1627883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1627894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1627897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1627903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1627925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627929 */     // MIs[0] policy
     /* 1627929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1627943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1627949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1627953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1627956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1627970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627981 */     // GIR_Coverage, 4061,
     /* 1627981 */     GIR_EraseRootFromParent_Done,
     /* 1627982 */   // Label 21252: @1627982
     /* 1627982 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1628086), // Rule ID 4064 //
     /* 1627987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1627995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628033 */     // MIs[0] policy
     /* 1628033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628085 */     // GIR_Coverage, 4064,
     /* 1628085 */     GIR_EraseRootFromParent_Done,
     /* 1628086 */   // Label 21253: @1628086
     /* 1628086 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1628190), // Rule ID 4065 //
     /* 1628091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1628102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1628105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628137 */     // MIs[0] policy
     /* 1628137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1628164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628189 */     // GIR_Coverage, 4065,
     /* 1628189 */     GIR_EraseRootFromParent_Done,
     /* 1628190 */   // Label 21254: @1628190
     /* 1628190 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1628294), // Rule ID 4068 //
     /* 1628195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628241 */     // MIs[0] policy
     /* 1628241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628293 */     // GIR_Coverage, 4068,
     /* 1628293 */     GIR_EraseRootFromParent_Done,
     /* 1628294 */   // Label 21255: @1628294
     /* 1628294 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1628398), // Rule ID 4069 //
     /* 1628299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1628310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1628313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628345 */     // MIs[0] policy
     /* 1628345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11280:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1628372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628397 */     // GIR_Coverage, 4069,
     /* 1628397 */     GIR_EraseRootFromParent_Done,
     /* 1628398 */   // Label 21256: @1628398
     /* 1628398 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1628502), // Rule ID 4072 //
     /* 1628403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628449 */     // MIs[0] policy
     /* 1628449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628501 */     // GIR_Coverage, 4072,
     /* 1628501 */     GIR_EraseRootFromParent_Done,
     /* 1628502 */   // Label 21257: @1628502
     /* 1628502 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1628606), // Rule ID 4073 //
     /* 1628507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1628518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1628521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628553 */     // MIs[0] policy
     /* 1628553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1628580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628605 */     // GIR_Coverage, 4073,
     /* 1628605 */     GIR_EraseRootFromParent_Done,
     /* 1628606 */   // Label 21258: @1628606
     /* 1628606 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1628710), // Rule ID 4076 //
     /* 1628611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628657 */     // MIs[0] policy
     /* 1628657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628709 */     // GIR_Coverage, 4076,
     /* 1628709 */     GIR_EraseRootFromParent_Done,
     /* 1628710 */   // Label 21259: @1628710
     /* 1628710 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1628814), // Rule ID 4077 //
     /* 1628715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1628726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1628729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628761 */     // MIs[0] policy
     /* 1628761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1628788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628813 */     // GIR_Coverage, 4077,
     /* 1628813 */     GIR_EraseRootFromParent_Done,
     /* 1628814 */   // Label 21260: @1628814
     /* 1628814 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1628918), // Rule ID 4080 //
     /* 1628819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1628836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1628839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628865 */     // MIs[0] policy
     /* 1628865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1628892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1628906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1628914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628917 */     // GIR_Coverage, 4080,
     /* 1628917 */     GIR_EraseRootFromParent_Done,
     /* 1628918 */   // Label 21261: @1628918
     /* 1628918 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1629022), // Rule ID 4081 //
     /* 1628923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1628931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1628934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1628937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1628940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1628943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1628946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1628965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628969 */     // MIs[0] policy
     /* 1628969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1628983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1628989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1628993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1628996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629021 */     // GIR_Coverage, 4081,
     /* 1629021 */     GIR_EraseRootFromParent_Done,
     /* 1629022 */   // Label 21262: @1629022
     /* 1629022 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1629126), // Rule ID 4084 //
     /* 1629027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629073 */     // MIs[0] policy
     /* 1629073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629125 */     // GIR_Coverage, 4084,
     /* 1629125 */     GIR_EraseRootFromParent_Done,
     /* 1629126 */   // Label 21263: @1629126
     /* 1629126 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1629230), // Rule ID 4085 //
     /* 1629131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1629142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1629145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1629148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629177 */     // MIs[0] policy
     /* 1629177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629187 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1629204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629229 */     // GIR_Coverage, 4085,
     /* 1629229 */     GIR_EraseRootFromParent_Done,
     /* 1629230 */   // Label 21264: @1629230
     /* 1629230 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1629334), // Rule ID 4088 //
     /* 1629235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629281 */     // MIs[0] policy
     /* 1629281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629333 */     // GIR_Coverage, 4088,
     /* 1629333 */     GIR_EraseRootFromParent_Done,
     /* 1629334 */   // Label 21265: @1629334
     /* 1629334 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1629438), // Rule ID 4089 //
     /* 1629339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1629350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1629353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1629356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629385 */     // MIs[0] policy
     /* 1629385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1629412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629437 */     // GIR_Coverage, 4089,
     /* 1629437 */     GIR_EraseRootFromParent_Done,
     /* 1629438 */   // Label 21266: @1629438
     /* 1629438 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1629542), // Rule ID 4092 //
     /* 1629443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629489 */     // MIs[0] policy
     /* 1629489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629541 */     // GIR_Coverage, 4092,
     /* 1629541 */     GIR_EraseRootFromParent_Done,
     /* 1629542 */   // Label 21267: @1629542
     /* 1629542 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1629646), // Rule ID 4093 //
     /* 1629547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1629558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1629561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629593 */     // MIs[0] policy
     /* 1629593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1629620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629645 */     // GIR_Coverage, 4093,
     /* 1629645 */     GIR_EraseRootFromParent_Done,
     /* 1629646 */   // Label 21268: @1629646
     /* 1629646 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1629750), // Rule ID 4096 //
     /* 1629651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629697 */     // MIs[0] policy
     /* 1629697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629749 */     // GIR_Coverage, 4096,
     /* 1629749 */     GIR_EraseRootFromParent_Done,
     /* 1629750 */   // Label 21269: @1629750
     /* 1629750 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1629854), // Rule ID 4097 //
     /* 1629755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1629766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1629769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629801 */     // MIs[0] policy
     /* 1629801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1629828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629853 */     // GIR_Coverage, 4097,
     /* 1629853 */     GIR_EraseRootFromParent_Done,
     /* 1629854 */   // Label 21270: @1629854
     /* 1629854 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1629958), // Rule ID 4100 //
     /* 1629859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629905 */     // MIs[0] policy
     /* 1629905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1629919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1629925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1629929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1629932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1629946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1629954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629957 */     // GIR_Coverage, 4100,
     /* 1629957 */     GIR_EraseRootFromParent_Done,
     /* 1629958 */   // Label 21271: @1629958
     /* 1629958 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1630062), // Rule ID 4101 //
     /* 1629963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1629971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1629974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1629977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1629980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1629986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630009 */     // MIs[0] policy
     /* 1630009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630019 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630061 */     // GIR_Coverage, 4101,
     /* 1630061 */     GIR_EraseRootFromParent_Done,
     /* 1630062 */   // Label 21272: @1630062
     /* 1630062 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1630166), // Rule ID 4104 //
     /* 1630067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630113 */     // MIs[0] policy
     /* 1630113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630165 */     // GIR_Coverage, 4104,
     /* 1630165 */     GIR_EraseRootFromParent_Done,
     /* 1630166 */   // Label 21273: @1630166
     /* 1630166 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1630270), // Rule ID 4105 //
     /* 1630171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1630182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1630185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1630188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630217 */     // MIs[0] policy
     /* 1630217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1630244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630269 */     // GIR_Coverage, 4105,
     /* 1630269 */     GIR_EraseRootFromParent_Done,
     /* 1630270 */   // Label 21274: @1630270
     /* 1630270 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1630374), // Rule ID 4108 //
     /* 1630275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630321 */     // MIs[0] policy
     /* 1630321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630373 */     // GIR_Coverage, 4108,
     /* 1630373 */     GIR_EraseRootFromParent_Done,
     /* 1630374 */   // Label 21275: @1630374
     /* 1630374 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1630478), // Rule ID 4109 //
     /* 1630379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1630390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1630393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1630396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630425 */     // MIs[0] policy
     /* 1630425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1630452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630477 */     // GIR_Coverage, 4109,
     /* 1630477 */     GIR_EraseRootFromParent_Done,
     /* 1630478 */   // Label 21276: @1630478
     /* 1630478 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1630582), // Rule ID 4112 //
     /* 1630483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630529 */     // MIs[0] policy
     /* 1630529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630581 */     // GIR_Coverage, 4112,
     /* 1630581 */     GIR_EraseRootFromParent_Done,
     /* 1630582 */   // Label 21277: @1630582
     /* 1630582 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1630686), // Rule ID 4113 //
     /* 1630587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1630598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1630601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1630604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630633 */     // MIs[0] policy
     /* 1630633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1630660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630685 */     // GIR_Coverage, 4113,
     /* 1630685 */     GIR_EraseRootFromParent_Done,
     /* 1630686 */   // Label 21278: @1630686
     /* 1630686 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1630790), // Rule ID 4116 //
     /* 1630691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1630694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630737 */     // MIs[0] policy
     /* 1630737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630789 */     // GIR_Coverage, 4116,
     /* 1630789 */     GIR_EraseRootFromParent_Done,
     /* 1630790 */   // Label 21279: @1630790
     /* 1630790 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1630894), // Rule ID 4117 //
     /* 1630795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1630798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1630803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1630806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1630809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1630812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630841 */     // MIs[0] policy
     /* 1630841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1630868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1630890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630893 */     // GIR_Coverage, 4117,
     /* 1630893 */     GIR_EraseRootFromParent_Done,
     /* 1630894 */   // Label 21280: @1630894
     /* 1630894 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1630998), // Rule ID 4126 //
     /* 1630899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1630907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1630910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1630913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1630919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630945 */     // MIs[0] policy
     /* 1630945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1630959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1630965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1630969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1630972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1630986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630997 */     // GIR_Coverage, 4126,
     /* 1630997 */     GIR_EraseRootFromParent_Done,
     /* 1630998 */   // Label 21281: @1630998
     /* 1630998 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1631102), // Rule ID 4127 //
     /* 1631003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1631020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631049 */     // MIs[0] policy
     /* 1631049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1631076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631101 */     // GIR_Coverage, 4127,
     /* 1631101 */     GIR_EraseRootFromParent_Done,
     /* 1631102 */   // Label 21282: @1631102
     /* 1631102 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1631206), // Rule ID 4136 //
     /* 1631107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631153 */     // MIs[0] policy
     /* 1631153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631205 */     // GIR_Coverage, 4136,
     /* 1631205 */     GIR_EraseRootFromParent_Done,
     /* 1631206 */   // Label 21283: @1631206
     /* 1631206 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1631310), // Rule ID 4137 //
     /* 1631211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1631222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1631225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1631228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1631231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631257 */     // MIs[0] policy
     /* 1631257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1631284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631309 */     // GIR_Coverage, 4137,
     /* 1631309 */     GIR_EraseRootFromParent_Done,
     /* 1631310 */   // Label 21284: @1631310
     /* 1631310 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1631414), // Rule ID 4146 //
     /* 1631315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631361 */     // MIs[0] policy
     /* 1631361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631413 */     // GIR_Coverage, 4146,
     /* 1631413 */     GIR_EraseRootFromParent_Done,
     /* 1631414 */   // Label 21285: @1631414
     /* 1631414 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1631518), // Rule ID 4147 //
     /* 1631419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1631430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1631433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1631436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1631439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631465 */     // MIs[0] policy
     /* 1631465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631475 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1631492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631517 */     // GIR_Coverage, 4147,
     /* 1631517 */     GIR_EraseRootFromParent_Done,
     /* 1631518 */   // Label 21286: @1631518
     /* 1631518 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1631622), // Rule ID 4156 //
     /* 1631523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631569 */     // MIs[0] policy
     /* 1631569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631621 */     // GIR_Coverage, 4156,
     /* 1631621 */     GIR_EraseRootFromParent_Done,
     /* 1631622 */   // Label 21287: @1631622
     /* 1631622 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1631726), // Rule ID 4157 //
     /* 1631627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1631638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1631641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1631647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631673 */     // MIs[0] policy
     /* 1631673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1631700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631725 */     // GIR_Coverage, 4157,
     /* 1631725 */     GIR_EraseRootFromParent_Done,
     /* 1631726 */   // Label 21288: @1631726
     /* 1631726 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1631830), // Rule ID 4166 //
     /* 1631731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631777 */     // MIs[0] policy
     /* 1631777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631829 */     // GIR_Coverage, 4166,
     /* 1631829 */     GIR_EraseRootFromParent_Done,
     /* 1631830 */   // Label 21289: @1631830
     /* 1631830 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1631934), // Rule ID 4167 //
     /* 1631835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1631846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1631849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1631855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631881 */     // MIs[0] policy
     /* 1631881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1631901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1631905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1631908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1631922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1631930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631933 */     // GIR_Coverage, 4167,
     /* 1631933 */     GIR_EraseRootFromParent_Done,
     /* 1631934 */   // Label 21290: @1631934
     /* 1631934 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1632038), // Rule ID 4176 //
     /* 1631939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1631947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1631950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1631953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1631956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1631959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1631962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631985 */     // MIs[0] policy
     /* 1631985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631995 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1631999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632037 */     // GIR_Coverage, 4176,
     /* 1632037 */     GIR_EraseRootFromParent_Done,
     /* 1632038 */   // Label 21291: @1632038
     /* 1632038 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1632142), // Rule ID 4177 //
     /* 1632043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1632060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632089 */     // MIs[0] policy
     /* 1632089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1632116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632141 */     // GIR_Coverage, 4177,
     /* 1632141 */     GIR_EraseRootFromParent_Done,
     /* 1632142 */   // Label 21292: @1632142
     /* 1632142 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1632246), // Rule ID 4186 //
     /* 1632147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632193 */     // MIs[0] policy
     /* 1632193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632245 */     // GIR_Coverage, 4186,
     /* 1632245 */     GIR_EraseRootFromParent_Done,
     /* 1632246 */   // Label 21293: @1632246
     /* 1632246 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1632350), // Rule ID 4187 //
     /* 1632251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1632262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1632265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1632268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1632271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632297 */     // MIs[0] policy
     /* 1632297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1632324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632349 */     // GIR_Coverage, 4187,
     /* 1632349 */     GIR_EraseRootFromParent_Done,
     /* 1632350 */   // Label 21294: @1632350
     /* 1632350 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1632454), // Rule ID 4196 //
     /* 1632355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632401 */     // MIs[0] policy
     /* 1632401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632453 */     // GIR_Coverage, 4196,
     /* 1632453 */     GIR_EraseRootFromParent_Done,
     /* 1632454 */   // Label 21295: @1632454
     /* 1632454 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1632558), // Rule ID 4197 //
     /* 1632459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1632470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1632473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1632476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1632479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632505 */     // MIs[0] policy
     /* 1632505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632515 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1632532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632557 */     // GIR_Coverage, 4197,
     /* 1632557 */     GIR_EraseRootFromParent_Done,
     /* 1632558 */   // Label 21296: @1632558
     /* 1632558 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1632662), // Rule ID 4206 //
     /* 1632563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632609 */     // MIs[0] policy
     /* 1632609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632661 */     // GIR_Coverage, 4206,
     /* 1632661 */     GIR_EraseRootFromParent_Done,
     /* 1632662 */   // Label 21297: @1632662
     /* 1632662 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1632766), // Rule ID 4207 //
     /* 1632667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1632678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1632681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1632684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1632687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632713 */     // MIs[0] policy
     /* 1632713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1632740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632765 */     // GIR_Coverage, 4207,
     /* 1632765 */     GIR_EraseRootFromParent_Done,
     /* 1632766 */   // Label 21298: @1632766
     /* 1632766 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1632870), // Rule ID 4216 //
     /* 1632771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632817 */     // MIs[0] policy
     /* 1632817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632869 */     // GIR_Coverage, 4216,
     /* 1632869 */     GIR_EraseRootFromParent_Done,
     /* 1632870 */   // Label 21299: @1632870
     /* 1632870 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1632974), // Rule ID 4217 //
     /* 1632875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1632886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1632889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1632892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1632895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632921 */     // MIs[0] policy
     /* 1632921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1632935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1632941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1632945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1632948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1632962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1632970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632973 */     // GIR_Coverage, 4217,
     /* 1632973 */     GIR_EraseRootFromParent_Done,
     /* 1632974 */   // Label 21300: @1632974
     /* 1632974 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1633078), // Rule ID 4226 //
     /* 1632979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1632987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1632990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1632993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1632996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1632999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633025 */     // MIs[0] policy
     /* 1633025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633077 */     // GIR_Coverage, 4226,
     /* 1633077 */     GIR_EraseRootFromParent_Done,
     /* 1633078 */   // Label 21301: @1633078
     /* 1633078 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1633182), // Rule ID 4227 //
     /* 1633083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1633100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1633103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633129 */     // MIs[0] policy
     /* 1633129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633181 */     // GIR_Coverage, 4227,
     /* 1633181 */     GIR_EraseRootFromParent_Done,
     /* 1633182 */   // Label 21302: @1633182
     /* 1633182 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1633286), // Rule ID 4236 //
     /* 1633187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633233 */     // MIs[0] policy
     /* 1633233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633285 */     // GIR_Coverage, 4236,
     /* 1633285 */     GIR_EraseRootFromParent_Done,
     /* 1633286 */   // Label 21303: @1633286
     /* 1633286 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1633390), // Rule ID 4237 //
     /* 1633291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1633308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633337 */     // MIs[0] policy
     /* 1633337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1633364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633389 */     // GIR_Coverage, 4237,
     /* 1633389 */     GIR_EraseRootFromParent_Done,
     /* 1633390 */   // Label 21304: @1633390
     /* 1633390 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1633494), // Rule ID 4246 //
     /* 1633395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633441 */     // MIs[0] policy
     /* 1633441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633493 */     // GIR_Coverage, 4246,
     /* 1633493 */     GIR_EraseRootFromParent_Done,
     /* 1633494 */   // Label 21305: @1633494
     /* 1633494 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1633598), // Rule ID 4247 //
     /* 1633499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1633510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1633513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1633516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1633519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633545 */     // MIs[0] policy
     /* 1633545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1633572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633597 */     // GIR_Coverage, 4247,
     /* 1633597 */     GIR_EraseRootFromParent_Done,
     /* 1633598 */   // Label 21306: @1633598
     /* 1633598 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1633702), // Rule ID 4256 //
     /* 1633603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633649 */     // MIs[0] policy
     /* 1633649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633701 */     // GIR_Coverage, 4256,
     /* 1633701 */     GIR_EraseRootFromParent_Done,
     /* 1633702 */   // Label 21307: @1633702
     /* 1633702 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1633806), // Rule ID 4257 //
     /* 1633707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1633718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1633721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1633724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1633727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633753 */     // MIs[0] policy
     /* 1633753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633763 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1633780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633805 */     // GIR_Coverage, 4257,
     /* 1633805 */     GIR_EraseRootFromParent_Done,
     /* 1633806 */   // Label 21308: @1633806
     /* 1633806 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1633910), // Rule ID 4266 //
     /* 1633811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633857 */     // MIs[0] policy
     /* 1633857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633867 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1633898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633909 */     // GIR_Coverage, 4266,
     /* 1633909 */     GIR_EraseRootFromParent_Done,
     /* 1633910 */   // Label 21309: @1633910
     /* 1633910 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1634014), // Rule ID 4267 //
     /* 1633915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1633923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1633926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1633929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1633932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1633935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633961 */     // MIs[0] policy
     /* 1633961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1633975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1633981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1633985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1633988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634013 */     // GIR_Coverage, 4267,
     /* 1634013 */     GIR_EraseRootFromParent_Done,
     /* 1634014 */   // Label 21310: @1634014
     /* 1634014 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1634118), // Rule ID 4270 //
     /* 1634019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1634036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634065 */     // MIs[0] policy
     /* 1634065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1634092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634117 */     // GIR_Coverage, 4270,
     /* 1634117 */     GIR_EraseRootFromParent_Done,
     /* 1634118 */   // Label 21311: @1634118
     /* 1634118 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1634222), // Rule ID 4271 //
     /* 1634123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1634140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634169 */     // MIs[0] policy
     /* 1634169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1634196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634221 */     // GIR_Coverage, 4271,
     /* 1634221 */     GIR_EraseRootFromParent_Done,
     /* 1634222 */   // Label 21312: @1634222
     /* 1634222 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1634326), // Rule ID 4274 //
     /* 1634227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1634244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634273 */     // MIs[0] policy
     /* 1634273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634325 */     // GIR_Coverage, 4274,
     /* 1634325 */     GIR_EraseRootFromParent_Done,
     /* 1634326 */   // Label 21313: @1634326
     /* 1634326 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1634430), // Rule ID 4275 //
     /* 1634331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1634348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634377 */     // MIs[0] policy
     /* 1634377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1634404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634429 */     // GIR_Coverage, 4275,
     /* 1634429 */     GIR_EraseRootFromParent_Done,
     /* 1634430 */   // Label 21314: @1634430
     /* 1634430 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1634534), // Rule ID 4278 //
     /* 1634435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634481 */     // MIs[0] policy
     /* 1634481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634533 */     // GIR_Coverage, 4278,
     /* 1634533 */     GIR_EraseRootFromParent_Done,
     /* 1634534 */   // Label 21315: @1634534
     /* 1634534 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1634638), // Rule ID 4279 //
     /* 1634539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1634556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634585 */     // MIs[0] policy
     /* 1634585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11308:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1634612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634637 */     // GIR_Coverage, 4279,
     /* 1634637 */     GIR_EraseRootFromParent_Done,
     /* 1634638 */   // Label 21316: @1634638
     /* 1634638 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1634742), // Rule ID 4282 //
     /* 1634643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634689 */     // MIs[0] policy
     /* 1634689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634741 */     // GIR_Coverage, 4282,
     /* 1634741 */     GIR_EraseRootFromParent_Done,
     /* 1634742 */   // Label 21317: @1634742
     /* 1634742 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1634846), // Rule ID 4283 //
     /* 1634747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1634758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1634761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1634764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634793 */     // MIs[0] policy
     /* 1634793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1634820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634845 */     // GIR_Coverage, 4283,
     /* 1634845 */     GIR_EraseRootFromParent_Done,
     /* 1634846 */   // Label 21318: @1634846
     /* 1634846 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1634950), // Rule ID 4286 //
     /* 1634851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634897 */     // MIs[0] policy
     /* 1634897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1634911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1634917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1634921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1634924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1634938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634949 */     // GIR_Coverage, 4286,
     /* 1634949 */     GIR_EraseRootFromParent_Done,
     /* 1634950 */   // Label 21319: @1634950
     /* 1634950 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1635054), // Rule ID 4287 //
     /* 1634955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1634963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1634966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1634969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1634972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1634978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635001 */     // MIs[0] policy
     /* 1635001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635053 */     // GIR_Coverage, 4287,
     /* 1635053 */     GIR_EraseRootFromParent_Done,
     /* 1635054 */   // Label 21320: @1635054
     /* 1635054 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1635158), // Rule ID 4290 //
     /* 1635059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635105 */     // MIs[0] policy
     /* 1635105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635115 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635157 */     // GIR_Coverage, 4290,
     /* 1635157 */     GIR_EraseRootFromParent_Done,
     /* 1635158 */   // Label 21321: @1635158
     /* 1635158 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1635262), // Rule ID 4291 //
     /* 1635163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1635180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635209 */     // MIs[0] policy
     /* 1635209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1635236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635261 */     // GIR_Coverage, 4291,
     /* 1635261 */     GIR_EraseRootFromParent_Done,
     /* 1635262 */   // Label 21322: @1635262
     /* 1635262 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1635366), // Rule ID 4294 //
     /* 1635267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635313 */     // MIs[0] policy
     /* 1635313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1635340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635365 */     // GIR_Coverage, 4294,
     /* 1635365 */     GIR_EraseRootFromParent_Done,
     /* 1635366 */   // Label 21323: @1635366
     /* 1635366 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1635470), // Rule ID 4295 //
     /* 1635371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1635388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635417 */     // MIs[0] policy
     /* 1635417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1635444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635469 */     // GIR_Coverage, 4295,
     /* 1635469 */     GIR_EraseRootFromParent_Done,
     /* 1635470 */   // Label 21324: @1635470
     /* 1635470 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1635574), // Rule ID 4298 //
     /* 1635475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635521 */     // MIs[0] policy
     /* 1635521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635573 */     // GIR_Coverage, 4298,
     /* 1635573 */     GIR_EraseRootFromParent_Done,
     /* 1635574 */   // Label 21325: @1635574
     /* 1635574 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1635678), // Rule ID 4299 //
     /* 1635579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1635596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635625 */     // MIs[0] policy
     /* 1635625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1635652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635677 */     // GIR_Coverage, 4299,
     /* 1635677 */     GIR_EraseRootFromParent_Done,
     /* 1635678 */   // Label 21326: @1635678
     /* 1635678 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1635782), // Rule ID 4302 //
     /* 1635683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635729 */     // MIs[0] policy
     /* 1635729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635781 */     // GIR_Coverage, 4302,
     /* 1635781 */     GIR_EraseRootFromParent_Done,
     /* 1635782 */   // Label 21327: @1635782
     /* 1635782 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1635886), // Rule ID 4303 //
     /* 1635787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1635804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635833 */     // MIs[0] policy
     /* 1635833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1635860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635885 */     // GIR_Coverage, 4303,
     /* 1635885 */     GIR_EraseRootFromParent_Done,
     /* 1635886 */   // Label 21328: @1635886
     /* 1635886 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1635990), // Rule ID 4306 //
     /* 1635891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1635899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1635902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1635905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1635908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635937 */     // MIs[0] policy
     /* 1635937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1635951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1635957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1635961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1635964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1635978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635989 */     // GIR_Coverage, 4306,
     /* 1635989 */     GIR_EraseRootFromParent_Done,
     /* 1635990 */   // Label 21329: @1635990
     /* 1635990 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1636094), // Rule ID 4307 //
     /* 1635995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636041 */     // MIs[0] policy
     /* 1636041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636051 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636093 */     // GIR_Coverage, 4307,
     /* 1636093 */     GIR_EraseRootFromParent_Done,
     /* 1636094 */   // Label 21330: @1636094
     /* 1636094 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1636198), // Rule ID 4310 //
     /* 1636099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636145 */     // MIs[0] policy
     /* 1636145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636197 */     // GIR_Coverage, 4310,
     /* 1636197 */     GIR_EraseRootFromParent_Done,
     /* 1636198 */   // Label 21331: @1636198
     /* 1636198 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1636302), // Rule ID 4311 //
     /* 1636203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1636220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636249 */     // MIs[0] policy
     /* 1636249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636259 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1636276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636301 */     // GIR_Coverage, 4311,
     /* 1636301 */     GIR_EraseRootFromParent_Done,
     /* 1636302 */   // Label 21332: @1636302
     /* 1636302 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1636406), // Rule ID 4314 //
     /* 1636307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636353 */     // MIs[0] policy
     /* 1636353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636363 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1636380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636405 */     // GIR_Coverage, 4314,
     /* 1636405 */     GIR_EraseRootFromParent_Done,
     /* 1636406 */   // Label 21333: @1636406
     /* 1636406 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1636510), // Rule ID 4315 //
     /* 1636411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1636428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636457 */     // MIs[0] policy
     /* 1636457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1636484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636509 */     // GIR_Coverage, 4315,
     /* 1636509 */     GIR_EraseRootFromParent_Done,
     /* 1636510 */   // Label 21334: @1636510
     /* 1636510 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1636614), // Rule ID 4318 //
     /* 1636515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1636532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636561 */     // MIs[0] policy
     /* 1636561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636571 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1636588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636613 */     // GIR_Coverage, 4318,
     /* 1636613 */     GIR_EraseRootFromParent_Done,
     /* 1636614 */   // Label 21335: @1636614
     /* 1636614 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1636718), // Rule ID 4319 //
     /* 1636619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1636636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636665 */     // MIs[0] policy
     /* 1636665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636675 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1636692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636717 */     // GIR_Coverage, 4319,
     /* 1636717 */     GIR_EraseRootFromParent_Done,
     /* 1636718 */   // Label 21336: @1636718
     /* 1636718 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1636822), // Rule ID 4322 //
     /* 1636723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636769 */     // MIs[0] policy
     /* 1636769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636821 */     // GIR_Coverage, 4322,
     /* 1636821 */     GIR_EraseRootFromParent_Done,
     /* 1636822 */   // Label 21337: @1636822
     /* 1636822 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1636926), // Rule ID 4323 //
     /* 1636827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1636844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636873 */     // MIs[0] policy
     /* 1636873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636883 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1636897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1636900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1636914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636925 */     // GIR_Coverage, 4323,
     /* 1636925 */     GIR_EraseRootFromParent_Done,
     /* 1636926 */   // Label 21338: @1636926
     /* 1636926 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1637030), // Rule ID 4326 //
     /* 1636931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1636939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1636948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636977 */     // MIs[0] policy
     /* 1636977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636987 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1636991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1636997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1637004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637029 */     // GIR_Coverage, 4326,
     /* 1637029 */     GIR_EraseRootFromParent_Done,
     /* 1637030 */   // Label 21339: @1637030
     /* 1637030 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1637134), // Rule ID 4327 //
     /* 1637035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1637043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1637052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637081 */     // MIs[0] policy
     /* 1637081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1637108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637133 */     // GIR_Coverage, 4327,
     /* 1637133 */     GIR_EraseRootFromParent_Done,
     /* 1637134 */   // Label 21340: @1637134
     /* 1637134 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1637238), // Rule ID 4336 //
     /* 1637139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1637159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637185 */     // MIs[0] policy
     /* 1637185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1637212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637237 */     // GIR_Coverage, 4336,
     /* 1637237 */     GIR_EraseRootFromParent_Done,
     /* 1637238 */   // Label 21341: @1637238
     /* 1637238 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1637342), // Rule ID 4337 //
     /* 1637243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1637254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1637257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1637260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1637263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1637266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637289 */     // MIs[0] policy
     /* 1637289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1637316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637341 */     // GIR_Coverage, 4337,
     /* 1637341 */     GIR_EraseRootFromParent_Done,
     /* 1637342 */   // Label 21342: @1637342
     /* 1637342 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1637446), // Rule ID 4346 //
     /* 1637347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637393 */     // MIs[0] policy
     /* 1637393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637445 */     // GIR_Coverage, 4346,
     /* 1637445 */     GIR_EraseRootFromParent_Done,
     /* 1637446 */   // Label 21343: @1637446
     /* 1637446 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1637550), // Rule ID 4347 //
     /* 1637451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637497 */     // MIs[0] policy
     /* 1637497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1637524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637549 */     // GIR_Coverage, 4347,
     /* 1637549 */     GIR_EraseRootFromParent_Done,
     /* 1637550 */   // Label 21344: @1637550
     /* 1637550 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1637654), // Rule ID 4356 //
     /* 1637555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637601 */     // MIs[0] policy
     /* 1637601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637653 */     // GIR_Coverage, 4356,
     /* 1637653 */     GIR_EraseRootFromParent_Done,
     /* 1637654 */   // Label 21345: @1637654
     /* 1637654 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1637758), // Rule ID 4357 //
     /* 1637659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637705 */     // MIs[0] policy
     /* 1637705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1637732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637757 */     // GIR_Coverage, 4357,
     /* 1637757 */     GIR_EraseRootFromParent_Done,
     /* 1637758 */   // Label 21346: @1637758
     /* 1637758 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1637862), // Rule ID 4366 //
     /* 1637763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1637783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637809 */     // MIs[0] policy
     /* 1637809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637861 */     // GIR_Coverage, 4366,
     /* 1637861 */     GIR_EraseRootFromParent_Done,
     /* 1637862 */   // Label 21347: @1637862
     /* 1637862 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1637966), // Rule ID 4367 //
     /* 1637867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1637887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637913 */     // MIs[0] policy
     /* 1637913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1637927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1637933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1637937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1637940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1637954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637965 */     // GIR_Coverage, 4367,
     /* 1637965 */     GIR_EraseRootFromParent_Done,
     /* 1637966 */   // Label 21348: @1637966
     /* 1637966 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1638070), // Rule ID 4376 //
     /* 1637971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1637979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638017 */     // MIs[0] policy
     /* 1638017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638069 */     // GIR_Coverage, 4376,
     /* 1638069 */     GIR_EraseRootFromParent_Done,
     /* 1638070 */   // Label 21349: @1638070
     /* 1638070 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1638174), // Rule ID 4377 //
     /* 1638075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1638086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1638089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1638092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1638095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638121 */     // MIs[0] policy
     /* 1638121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1638148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638173 */     // GIR_Coverage, 4377,
     /* 1638173 */     GIR_EraseRootFromParent_Done,
     /* 1638174 */   // Label 21350: @1638174
     /* 1638174 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1638278), // Rule ID 4386 //
     /* 1638179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638225 */     // MIs[0] policy
     /* 1638225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638277 */     // GIR_Coverage, 4386,
     /* 1638277 */     GIR_EraseRootFromParent_Done,
     /* 1638278 */   // Label 21351: @1638278
     /* 1638278 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1638382), // Rule ID 4387 //
     /* 1638283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1638294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1638297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1638300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1638303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1638306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638329 */     // MIs[0] policy
     /* 1638329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1638356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1638378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638381 */     // GIR_Coverage, 4387,
     /* 1638381 */     GIR_EraseRootFromParent_Done,
     /* 1638382 */   // Label 21352: @1638382
     /* 1638382 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1638486), // Rule ID 4396 //
     /* 1638387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638433 */     // MIs[0] policy
     /* 1638433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1638460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638485 */     // GIR_Coverage, 4396,
     /* 1638485 */     GIR_EraseRootFromParent_Done,
     /* 1638486 */   // Label 21353: @1638486
     /* 1638486 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1638590), // Rule ID 4397 //
     /* 1638491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638537 */     // MIs[0] policy
     /* 1638537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1638564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638589 */     // GIR_Coverage, 4397,
     /* 1638589 */     GIR_EraseRootFromParent_Done,
     /* 1638590 */   // Label 21354: @1638590
     /* 1638590 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1638694), // Rule ID 4406 //
     /* 1638595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638641 */     // MIs[0] policy
     /* 1638641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638693 */     // GIR_Coverage, 4406,
     /* 1638693 */     GIR_EraseRootFromParent_Done,
     /* 1638694 */   // Label 21355: @1638694
     /* 1638694 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1638798), // Rule ID 4407 //
     /* 1638699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638745 */     // MIs[0] policy
     /* 1638745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1638772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638797 */     // GIR_Coverage, 4407,
     /* 1638797 */     GIR_EraseRootFromParent_Done,
     /* 1638798 */   // Label 21356: @1638798
     /* 1638798 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1638902), // Rule ID 4416 //
     /* 1638803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638849 */     // MIs[0] policy
     /* 1638849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638901 */     // GIR_Coverage, 4416,
     /* 1638901 */     GIR_EraseRootFromParent_Done,
     /* 1638902 */   // Label 21357: @1638902
     /* 1638902 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1639006), // Rule ID 4417 //
     /* 1638907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1638915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638953 */     // MIs[0] policy
     /* 1638953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1638967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1638973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1638977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1638980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1638994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639005 */     // GIR_Coverage, 4417,
     /* 1639005 */     GIR_EraseRootFromParent_Done,
     /* 1639006 */   // Label 21358: @1639006
     /* 1639006 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1639110), // Rule ID 4426 //
     /* 1639011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639057 */     // MIs[0] policy
     /* 1639057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1639084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639109 */     // GIR_Coverage, 4426,
     /* 1639109 */     GIR_EraseRootFromParent_Done,
     /* 1639110 */   // Label 21359: @1639110
     /* 1639110 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1639214), // Rule ID 4427 //
     /* 1639115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1639126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1639129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1639132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1639135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639161 */     // MIs[0] policy
     /* 1639161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1639188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639213 */     // GIR_Coverage, 4427,
     /* 1639213 */     GIR_EraseRootFromParent_Done,
     /* 1639214 */   // Label 21360: @1639214
     /* 1639214 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1639318), // Rule ID 4436 //
     /* 1639219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639265 */     // MIs[0] policy
     /* 1639265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1639292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639317 */     // GIR_Coverage, 4436,
     /* 1639317 */     GIR_EraseRootFromParent_Done,
     /* 1639318 */   // Label 21361: @1639318
     /* 1639318 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1639422), // Rule ID 4437 //
     /* 1639323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1639334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1639337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1639340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1639343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1639346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639369 */     // MIs[0] policy
     /* 1639369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1639396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1639418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639421 */     // GIR_Coverage, 4437,
     /* 1639421 */     GIR_EraseRootFromParent_Done,
     /* 1639422 */   // Label 21362: @1639422
     /* 1639422 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1639526), // Rule ID 4446 //
     /* 1639427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639473 */     // MIs[0] policy
     /* 1639473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639483 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1639500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639525 */     // GIR_Coverage, 4446,
     /* 1639525 */     GIR_EraseRootFromParent_Done,
     /* 1639526 */   // Label 21363: @1639526
     /* 1639526 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1639630), // Rule ID 4447 //
     /* 1639531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1639542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1639545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1639548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1639551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639577 */     // MIs[0] policy
     /* 1639577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1639604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639629 */     // GIR_Coverage, 4447,
     /* 1639629 */     GIR_EraseRootFromParent_Done,
     /* 1639630 */   // Label 21364: @1639630
     /* 1639630 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1639734), // Rule ID 4456 //
     /* 1639635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639681 */     // MIs[0] policy
     /* 1639681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1639708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639733 */     // GIR_Coverage, 4456,
     /* 1639733 */     GIR_EraseRootFromParent_Done,
     /* 1639734 */   // Label 21365: @1639734
     /* 1639734 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1639838), // Rule ID 4457 //
     /* 1639739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639785 */     // MIs[0] policy
     /* 1639785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1639812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639837 */     // GIR_Coverage, 4457,
     /* 1639837 */     GIR_EraseRootFromParent_Done,
     /* 1639838 */   // Label 21366: @1639838
     /* 1639838 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1639942), // Rule ID 4466 //
     /* 1639843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639889 */     // MIs[0] policy
     /* 1639889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1639903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1639909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1639913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1639916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1639930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639941 */     // GIR_Coverage, 4466,
     /* 1639941 */     GIR_EraseRootFromParent_Done,
     /* 1639942 */   // Label 21367: @1639942
     /* 1639942 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1640046), // Rule ID 4467 //
     /* 1639947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1639955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639993 */     // MIs[0] policy
     /* 1639993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1640020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640045 */     // GIR_Coverage, 4467,
     /* 1640045 */     GIR_EraseRootFromParent_Done,
     /* 1640046 */   // Label 21368: @1640046
     /* 1640046 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1640150), // Rule ID 4476 //
     /* 1640051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1640054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1640071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640097 */     // MIs[0] policy
     /* 1640097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1640124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640149 */     // GIR_Coverage, 4476,
     /* 1640149 */     GIR_EraseRootFromParent_Done,
     /* 1640150 */   // Label 21369: @1640150
     /* 1640150 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1640254), // Rule ID 4477 //
     /* 1640155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1640158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1640166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1640169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1640172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1640175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640201 */     // MIs[0] policy
     /* 1640201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640211 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1640228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1640250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640253 */     // GIR_Coverage, 4477,
     /* 1640253 */     GIR_EraseRootFromParent_Done,
     /* 1640254 */   // Label 21370: @1640254
     /* 1640254 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1640358), // Rule ID 4480 //
     /* 1640259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640305 */     // MIs[0] policy
     /* 1640305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1640332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640357 */     // GIR_Coverage, 4480,
     /* 1640357 */     GIR_EraseRootFromParent_Done,
     /* 1640358 */   // Label 21371: @1640358
     /* 1640358 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1640462), // Rule ID 4481 //
     /* 1640363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1640374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1640377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1640380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640409 */     // MIs[0] policy
     /* 1640409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1640436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640461 */     // GIR_Coverage, 4481,
     /* 1640461 */     GIR_EraseRootFromParent_Done,
     /* 1640462 */   // Label 21372: @1640462
     /* 1640462 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1640566), // Rule ID 4484 //
     /* 1640467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640513 */     // MIs[0] policy
     /* 1640513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640565 */     // GIR_Coverage, 4484,
     /* 1640565 */     GIR_EraseRootFromParent_Done,
     /* 1640566 */   // Label 21373: @1640566
     /* 1640566 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1640670), // Rule ID 4485 //
     /* 1640571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1640582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1640585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1640588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640617 */     // MIs[0] policy
     /* 1640617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1640644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640669 */     // GIR_Coverage, 4485,
     /* 1640669 */     GIR_EraseRootFromParent_Done,
     /* 1640670 */   // Label 21374: @1640670
     /* 1640670 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1640774), // Rule ID 4488 //
     /* 1640675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640721 */     // MIs[0] policy
     /* 1640721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640731 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640773 */     // GIR_Coverage, 4488,
     /* 1640773 */     GIR_EraseRootFromParent_Done,
     /* 1640774 */   // Label 21375: @1640774
     /* 1640774 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1640878), // Rule ID 4489 //
     /* 1640779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1640790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1640793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1640796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640825 */     // MIs[0] policy
     /* 1640825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640835 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1640852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640877 */     // GIR_Coverage, 4489,
     /* 1640877 */     GIR_EraseRootFromParent_Done,
     /* 1640878 */   // Label 21376: @1640878
     /* 1640878 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1640982), // Rule ID 4492 //
     /* 1640883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640929 */     // MIs[0] policy
     /* 1640929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1640943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1640949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1640953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1640956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1640970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640981 */     // GIR_Coverage, 4492,
     /* 1640981 */     GIR_EraseRootFromParent_Done,
     /* 1640982 */   // Label 21377: @1640982
     /* 1640982 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1641086), // Rule ID 4493 //
     /* 1640987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1640995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1641001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1641004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641033 */     // MIs[0] policy
     /* 1641033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641085 */     // GIR_Coverage, 4493,
     /* 1641085 */     GIR_EraseRootFromParent_Done,
     /* 1641086 */   // Label 21378: @1641086
     /* 1641086 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1641190), // Rule ID 4496 //
     /* 1641091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641137 */     // MIs[0] policy
     /* 1641137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641189 */     // GIR_Coverage, 4496,
     /* 1641189 */     GIR_EraseRootFromParent_Done,
     /* 1641190 */   // Label 21379: @1641190
     /* 1641190 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1641294), // Rule ID 4497 //
     /* 1641195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1641206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1641209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1641212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641241 */     // MIs[0] policy
     /* 1641241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1641268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641293 */     // GIR_Coverage, 4497,
     /* 1641293 */     GIR_EraseRootFromParent_Done,
     /* 1641294 */   // Label 21380: @1641294
     /* 1641294 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1641398), // Rule ID 4500 //
     /* 1641299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641345 */     // MIs[0] policy
     /* 1641345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641397 */     // GIR_Coverage, 4500,
     /* 1641397 */     GIR_EraseRootFromParent_Done,
     /* 1641398 */   // Label 21381: @1641398
     /* 1641398 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1641502), // Rule ID 4501 //
     /* 1641403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1641414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1641417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1641420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1641426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641449 */     // MIs[0] policy
     /* 1641449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1641476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1641498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641501 */     // GIR_Coverage, 4501,
     /* 1641501 */     GIR_EraseRootFromParent_Done,
     /* 1641502 */   // Label 21382: @1641502
     /* 1641502 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1641606), // Rule ID 4504 //
     /* 1641507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641553 */     // MIs[0] policy
     /* 1641553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1641580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641605 */     // GIR_Coverage, 4504,
     /* 1641605 */     GIR_EraseRootFromParent_Done,
     /* 1641606 */   // Label 21383: @1641606
     /* 1641606 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1641710), // Rule ID 4505 //
     /* 1641611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1641622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1641625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1641628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641657 */     // MIs[0] policy
     /* 1641657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1641684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641709 */     // GIR_Coverage, 4505,
     /* 1641709 */     GIR_EraseRootFromParent_Done,
     /* 1641710 */   // Label 21384: @1641710
     /* 1641710 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1641814), // Rule ID 4508 //
     /* 1641715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641761 */     // MIs[0] policy
     /* 1641761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1641788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641813 */     // GIR_Coverage, 4508,
     /* 1641813 */     GIR_EraseRootFromParent_Done,
     /* 1641814 */   // Label 21385: @1641814
     /* 1641814 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1641918), // Rule ID 4509 //
     /* 1641819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1641830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1641833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1641836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641865 */     // MIs[0] policy
     /* 1641865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1641892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1641906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641917 */     // GIR_Coverage, 4509,
     /* 1641917 */     GIR_EraseRootFromParent_Done,
     /* 1641918 */   // Label 21386: @1641918
     /* 1641918 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1642022), // Rule ID 4512 //
     /* 1641923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1641931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641969 */     // MIs[0] policy
     /* 1641969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1641983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1641989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1641993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1641996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642021 */     // GIR_Coverage, 4512,
     /* 1642021 */     GIR_EraseRootFromParent_Done,
     /* 1642022 */   // Label 21387: @1642022
     /* 1642022 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1642126), // Rule ID 4513 //
     /* 1642027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1642038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1642041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1642044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642073 */     // MIs[0] policy
     /* 1642073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1642100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642125 */     // GIR_Coverage, 4513,
     /* 1642125 */     GIR_EraseRootFromParent_Done,
     /* 1642126 */   // Label 21388: @1642126
     /* 1642126 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1642230), // Rule ID 4516 //
     /* 1642131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642177 */     // MIs[0] policy
     /* 1642177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1642204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642229 */     // GIR_Coverage, 4516,
     /* 1642229 */     GIR_EraseRootFromParent_Done,
     /* 1642230 */   // Label 21389: @1642230
     /* 1642230 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1642334), // Rule ID 4517 //
     /* 1642235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1642246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1642249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1642252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642281 */     // MIs[0] policy
     /* 1642281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1642308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642333 */     // GIR_Coverage, 4517,
     /* 1642333 */     GIR_EraseRootFromParent_Done,
     /* 1642334 */   // Label 21390: @1642334
     /* 1642334 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1642438), // Rule ID 4520 //
     /* 1642339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642385 */     // MIs[0] policy
     /* 1642385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1642412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642437 */     // GIR_Coverage, 4520,
     /* 1642437 */     GIR_EraseRootFromParent_Done,
     /* 1642438 */   // Label 21391: @1642438
     /* 1642438 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1642542), // Rule ID 4521 //
     /* 1642443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1642454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1642457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1642460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642489 */     // MIs[0] policy
     /* 1642489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1642516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1642538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642541 */     // GIR_Coverage, 4521,
     /* 1642541 */     GIR_EraseRootFromParent_Done,
     /* 1642542 */   // Label 21392: @1642542
     /* 1642542 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1642646), // Rule ID 4524 //
     /* 1642547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642593 */     // MIs[0] policy
     /* 1642593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1642620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642645 */     // GIR_Coverage, 4524,
     /* 1642645 */     GIR_EraseRootFromParent_Done,
     /* 1642646 */   // Label 21393: @1642646
     /* 1642646 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1642750), // Rule ID 4525 //
     /* 1642651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1642662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1642665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1642668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642697 */     // MIs[0] policy
     /* 1642697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1642724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642749 */     // GIR_Coverage, 4525,
     /* 1642749 */     GIR_EraseRootFromParent_Done,
     /* 1642750 */   // Label 21394: @1642750
     /* 1642750 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1642854), // Rule ID 4528 //
     /* 1642755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642801 */     // MIs[0] policy
     /* 1642801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1642828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642853 */     // GIR_Coverage, 4528,
     /* 1642853 */     GIR_EraseRootFromParent_Done,
     /* 1642854 */   // Label 21395: @1642854
     /* 1642854 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1642958), // Rule ID 4529 //
     /* 1642859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1642870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1642873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1642876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642905 */     // MIs[0] policy
     /* 1642905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1642919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1642925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1642929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1642932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1642946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642957 */     // GIR_Coverage, 4529,
     /* 1642957 */     GIR_EraseRootFromParent_Done,
     /* 1642958 */   // Label 21396: @1642958
     /* 1642958 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1643062), // Rule ID 4532 //
     /* 1642963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1642966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1642971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1642974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1642977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1642980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1642983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643009 */     // MIs[0] policy
     /* 1643009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1643036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643061 */     // GIR_Coverage, 4532,
     /* 1643061 */     GIR_EraseRootFromParent_Done,
     /* 1643062 */   // Label 21397: @1643062
     /* 1643062 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1643166), // Rule ID 4533 //
     /* 1643067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1643078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1643081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1643084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643113 */     // MIs[0] policy
     /* 1643113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1643140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643165 */     // GIR_Coverage, 4533,
     /* 1643165 */     GIR_EraseRootFromParent_Done,
     /* 1643166 */   // Label 21398: @1643166
     /* 1643166 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1643270), // Rule ID 4536 //
     /* 1643171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1643174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1643191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643217 */     // MIs[0] policy
     /* 1643217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1643244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643269 */     // GIR_Coverage, 4536,
     /* 1643269 */     GIR_EraseRootFromParent_Done,
     /* 1643270 */   // Label 21399: @1643270
     /* 1643270 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1643374), // Rule ID 4537 //
     /* 1643275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1643278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1643283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1643286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1643289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1643292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1643295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1643317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643321 */     // MIs[0] policy
     /* 1643321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1643348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1643370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643373 */     // GIR_Coverage, 4537,
     /* 1643373 */     GIR_EraseRootFromParent_Done,
     /* 1643374 */   // Label 21400: @1643374
     /* 1643374 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1643478), // Rule ID 4546 //
     /* 1643379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1643399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643425 */     // MIs[0] policy
     /* 1643425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1643452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643477 */     // GIR_Coverage, 4546,
     /* 1643477 */     GIR_EraseRootFromParent_Done,
     /* 1643478 */   // Label 21401: @1643478
     /* 1643478 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1643582), // Rule ID 4547 //
     /* 1643483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1643494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1643497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1643500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1643503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643529 */     // MIs[0] policy
     /* 1643529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643539 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1643556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643581 */     // GIR_Coverage, 4547,
     /* 1643581 */     GIR_EraseRootFromParent_Done,
     /* 1643582 */   // Label 21402: @1643582
     /* 1643582 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1643686), // Rule ID 4556 //
     /* 1643587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1643607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643633 */     // MIs[0] policy
     /* 1643633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1643660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643685 */     // GIR_Coverage, 4556,
     /* 1643685 */     GIR_EraseRootFromParent_Done,
     /* 1643686 */   // Label 21403: @1643686
     /* 1643686 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1643790), // Rule ID 4557 //
     /* 1643691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1643702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1643705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1643708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1643711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643737 */     // MIs[0] policy
     /* 1643737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1643764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643789 */     // GIR_Coverage, 4557,
     /* 1643789 */     GIR_EraseRootFromParent_Done,
     /* 1643790 */   // Label 21404: @1643790
     /* 1643790 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1643894), // Rule ID 4566 //
     /* 1643795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643841 */     // MIs[0] policy
     /* 1643841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643851 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643893 */     // GIR_Coverage, 4566,
     /* 1643893 */     GIR_EraseRootFromParent_Done,
     /* 1643894 */   // Label 21405: @1643894
     /* 1643894 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1643998), // Rule ID 4567 //
     /* 1643899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1643907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1643910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1643913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1643916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1643919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643945 */     // MIs[0] policy
     /* 1643945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1643959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1643965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1643969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1643972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1643986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643997 */     // GIR_Coverage, 4567,
     /* 1643997 */     GIR_EraseRootFromParent_Done,
     /* 1643998 */   // Label 21406: @1643998
     /* 1643998 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1644102), // Rule ID 4576 //
     /* 1644003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1644023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644049 */     // MIs[0] policy
     /* 1644049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1644076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644101 */     // GIR_Coverage, 4576,
     /* 1644101 */     GIR_EraseRootFromParent_Done,
     /* 1644102 */   // Label 21407: @1644102
     /* 1644102 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1644206), // Rule ID 4577 //
     /* 1644107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1644118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1644121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1644124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1644127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644153 */     // MIs[0] policy
     /* 1644153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644163 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1644180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644205 */     // GIR_Coverage, 4577,
     /* 1644205 */     GIR_EraseRootFromParent_Done,
     /* 1644206 */   // Label 21408: @1644206
     /* 1644206 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1644310), // Rule ID 4586 //
     /* 1644211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1644231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644257 */     // MIs[0] policy
     /* 1644257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1644284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644309 */     // GIR_Coverage, 4586,
     /* 1644309 */     GIR_EraseRootFromParent_Done,
     /* 1644310 */   // Label 21409: @1644310
     /* 1644310 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1644414), // Rule ID 4587 //
     /* 1644315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1644326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1644329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1644332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1644335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1644338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644361 */     // MIs[0] policy
     /* 1644361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1644388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644413 */     // GIR_Coverage, 4587,
     /* 1644413 */     GIR_EraseRootFromParent_Done,
     /* 1644414 */   // Label 21410: @1644414
     /* 1644414 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1644518), // Rule ID 4596 //
     /* 1644419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1644439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644465 */     // MIs[0] policy
     /* 1644465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1644492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644517 */     // GIR_Coverage, 4596,
     /* 1644517 */     GIR_EraseRootFromParent_Done,
     /* 1644518 */   // Label 21411: @1644518
     /* 1644518 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1644622), // Rule ID 4597 //
     /* 1644523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1644534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1644537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1644540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1644543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1644546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644569 */     // MIs[0] policy
     /* 1644569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644579 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1644596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644621 */     // GIR_Coverage, 4597,
     /* 1644621 */     GIR_EraseRootFromParent_Done,
     /* 1644622 */   // Label 21412: @1644622
     /* 1644622 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1644726), // Rule ID 4606 //
     /* 1644627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1644647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644673 */     // MIs[0] policy
     /* 1644673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1644700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644725 */     // GIR_Coverage, 4606,
     /* 1644725 */     GIR_EraseRootFromParent_Done,
     /* 1644726 */   // Label 21413: @1644726
     /* 1644726 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1644830), // Rule ID 4607 //
     /* 1644731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1644742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1644745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1644748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1644751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644777 */     // MIs[0] policy
     /* 1644777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1644804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644829 */     // GIR_Coverage, 4607,
     /* 1644829 */     GIR_EraseRootFromParent_Done,
     /* 1644830 */   // Label 21414: @1644830
     /* 1644830 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1644934), // Rule ID 4616 //
     /* 1644835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1644855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644881 */     // MIs[0] policy
     /* 1644881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644891 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1644901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1644905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1644908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1644922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644933 */     // GIR_Coverage, 4616,
     /* 1644933 */     GIR_EraseRootFromParent_Done,
     /* 1644934 */   // Label 21415: @1644934
     /* 1644934 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1645038), // Rule ID 4617 //
     /* 1644939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1644947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1644950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1644953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1644956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1644959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644985 */     // MIs[0] policy
     /* 1644985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644995 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1644999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1645012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645037 */     // GIR_Coverage, 4617,
     /* 1645037 */     GIR_EraseRootFromParent_Done,
     /* 1645038 */   // Label 21416: @1645038
     /* 1645038 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1645142), // Rule ID 4626 //
     /* 1645043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1645063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645089 */     // MIs[0] policy
     /* 1645089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645099 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1645116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645141 */     // GIR_Coverage, 4626,
     /* 1645141 */     GIR_EraseRootFromParent_Done,
     /* 1645142 */   // Label 21417: @1645142
     /* 1645142 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1645246), // Rule ID 4627 //
     /* 1645147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1645158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1645161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1645164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1645167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645193 */     // MIs[0] policy
     /* 1645193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645203 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1645220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645245 */     // GIR_Coverage, 4627,
     /* 1645245 */     GIR_EraseRootFromParent_Done,
     /* 1645246 */   // Label 21418: @1645246
     /* 1645246 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1645350), // Rule ID 4636 //
     /* 1645251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1645271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645297 */     // MIs[0] policy
     /* 1645297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645307 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1645324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645349 */     // GIR_Coverage, 4636,
     /* 1645349 */     GIR_EraseRootFromParent_Done,
     /* 1645350 */   // Label 21419: @1645350
     /* 1645350 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1645454), // Rule ID 4637 //
     /* 1645355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1645366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1645369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1645372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1645375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645401 */     // MIs[0] policy
     /* 1645401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645411 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1645428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645453 */     // GIR_Coverage, 4637,
     /* 1645453 */     GIR_EraseRootFromParent_Done,
     /* 1645454 */   // Label 21420: @1645454
     /* 1645454 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1645558), // Rule ID 4646 //
     /* 1645459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1645479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645505 */     // MIs[0] policy
     /* 1645505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1645532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645557 */     // GIR_Coverage, 4646,
     /* 1645557 */     GIR_EraseRootFromParent_Done,
     /* 1645558 */   // Label 21421: @1645558
     /* 1645558 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1645662), // Rule ID 4647 //
     /* 1645563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1645574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1645577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1645580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1645583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645609 */     // MIs[0] policy
     /* 1645609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645619 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1645636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645661 */     // GIR_Coverage, 4647,
     /* 1645661 */     GIR_EraseRootFromParent_Done,
     /* 1645662 */   // Label 21422: @1645662
     /* 1645662 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1645766), // Rule ID 4656 //
     /* 1645667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1645687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645713 */     // MIs[0] policy
     /* 1645713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1645740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645765 */     // GIR_Coverage, 4656,
     /* 1645765 */     GIR_EraseRootFromParent_Done,
     /* 1645766 */   // Label 21423: @1645766
     /* 1645766 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1645870), // Rule ID 4657 //
     /* 1645771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1645782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1645785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1645788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1645791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645817 */     // MIs[0] policy
     /* 1645817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1645844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645869 */     // GIR_Coverage, 4657,
     /* 1645869 */     GIR_EraseRootFromParent_Done,
     /* 1645870 */   // Label 21424: @1645870
     /* 1645870 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1645974), // Rule ID 4666 //
     /* 1645875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1645878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1645895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645921 */     // MIs[0] policy
     /* 1645921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1645935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1645941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1645945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1645948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1645962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1645970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645973 */     // GIR_Coverage, 4666,
     /* 1645973 */     GIR_EraseRootFromParent_Done,
     /* 1645974 */   // Label 21425: @1645974
     /* 1645974 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1646078), // Rule ID 4667 //
     /* 1645979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1645982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1645987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1645990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1645993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1645996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1645999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646025 */     // MIs[0] policy
     /* 1646025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1646052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646077 */     // GIR_Coverage, 4667,
     /* 1646077 */     GIR_EraseRootFromParent_Done,
     /* 1646078 */   // Label 21426: @1646078
     /* 1646078 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1646182), // Rule ID 4676 //
     /* 1646083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1646103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646129 */     // MIs[0] policy
     /* 1646129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1646156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646181 */     // GIR_Coverage, 4676,
     /* 1646181 */     GIR_EraseRootFromParent_Done,
     /* 1646182 */   // Label 21427: @1646182
     /* 1646182 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1646286), // Rule ID 4677 //
     /* 1646187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1646207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646233 */     // MIs[0] policy
     /* 1646233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1646260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646285 */     // GIR_Coverage, 4677,
     /* 1646285 */     GIR_EraseRootFromParent_Done,
     /* 1646286 */   // Label 21428: @1646286
     /* 1646286 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1646390), // Rule ID 4686 //
     /* 1646291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1646311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646337 */     // MIs[0] policy
     /* 1646337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1646364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646389 */     // GIR_Coverage, 4686,
     /* 1646389 */     GIR_EraseRootFromParent_Done,
     /* 1646390 */   // Label 21429: @1646390
     /* 1646390 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1646494), // Rule ID 4687 //
     /* 1646395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1646406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1646409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1646412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1646415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646441 */     // MIs[0] policy
     /* 1646441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1646468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646493 */     // GIR_Coverage, 4687,
     /* 1646493 */     GIR_EraseRootFromParent_Done,
     /* 1646494 */   // Label 21430: @1646494
     /* 1646494 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1646598), // Rule ID 4690 //
     /* 1646499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646545 */     // MIs[0] policy
     /* 1646545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1646572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646597 */     // GIR_Coverage, 4690,
     /* 1646597 */     GIR_EraseRootFromParent_Done,
     /* 1646598 */   // Label 21431: @1646598
     /* 1646598 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1646702), // Rule ID 4691 //
     /* 1646603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1646614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1646617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1646620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646649 */     // MIs[0] policy
     /* 1646649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646659 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1646676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646701 */     // GIR_Coverage, 4691,
     /* 1646701 */     GIR_EraseRootFromParent_Done,
     /* 1646702 */   // Label 21432: @1646702
     /* 1646702 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1646806), // Rule ID 4694 //
     /* 1646707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1646718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1646721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1646724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646753 */     // MIs[0] policy
     /* 1646753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1646780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646805 */     // GIR_Coverage, 4694,
     /* 1646805 */     GIR_EraseRootFromParent_Done,
     /* 1646806 */   // Label 21433: @1646806
     /* 1646806 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1646910), // Rule ID 4695 //
     /* 1646811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1646822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1646825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1646828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646857 */     // MIs[0] policy
     /* 1646857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646867 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1646884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1646898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1646906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646909 */     // GIR_Coverage, 4695,
     /* 1646909 */     GIR_EraseRootFromParent_Done,
     /* 1646910 */   // Label 21434: @1646910
     /* 1646910 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1647014), // Rule ID 4698 //
     /* 1646915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1646923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1646926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1646929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1646932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646961 */     // MIs[0] policy
     /* 1646961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646971 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1646975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1646981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1646985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1646988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647013 */     // GIR_Coverage, 4698,
     /* 1647013 */     GIR_EraseRootFromParent_Done,
     /* 1647014 */   // Label 21435: @1647014
     /* 1647014 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1647118), // Rule ID 4699 //
     /* 1647019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647065 */     // MIs[0] policy
     /* 1647065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647075 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11304:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1647092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647117 */     // GIR_Coverage, 4699,
     /* 1647117 */     GIR_EraseRootFromParent_Done,
     /* 1647118 */   // Label 21436: @1647118
     /* 1647118 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1647222), // Rule ID 4702 //
     /* 1647123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647169 */     // MIs[0] policy
     /* 1647169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1647196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647221 */     // GIR_Coverage, 4702,
     /* 1647221 */     GIR_EraseRootFromParent_Done,
     /* 1647222 */   // Label 21437: @1647222
     /* 1647222 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1647326), // Rule ID 4703 //
     /* 1647227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647273 */     // MIs[0] policy
     /* 1647273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647283 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1647300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647325 */     // GIR_Coverage, 4703,
     /* 1647325 */     GIR_EraseRootFromParent_Done,
     /* 1647326 */   // Label 21438: @1647326
     /* 1647326 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1647430), // Rule ID 4706 //
     /* 1647331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647377 */     // MIs[0] policy
     /* 1647377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1647404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647429 */     // GIR_Coverage, 4706,
     /* 1647429 */     GIR_EraseRootFromParent_Done,
     /* 1647430 */   // Label 21439: @1647430
     /* 1647430 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1647534), // Rule ID 4707 //
     /* 1647435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647481 */     // MIs[0] policy
     /* 1647481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647491 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1647508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647533 */     // GIR_Coverage, 4707,
     /* 1647533 */     GIR_EraseRootFromParent_Done,
     /* 1647534 */   // Label 21440: @1647534
     /* 1647534 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1647638), // Rule ID 4710 //
     /* 1647539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647585 */     // MIs[0] policy
     /* 1647585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1647612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647637 */     // GIR_Coverage, 4710,
     /* 1647637 */     GIR_EraseRootFromParent_Done,
     /* 1647638 */   // Label 21441: @1647638
     /* 1647638 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1647742), // Rule ID 4711 //
     /* 1647643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1647654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1647657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1647660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1647666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647689 */     // MIs[0] policy
     /* 1647689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647699 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1647716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647741 */     // GIR_Coverage, 4711,
     /* 1647741 */     GIR_EraseRootFromParent_Done,
     /* 1647742 */   // Label 21442: @1647742
     /* 1647742 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1647846), // Rule ID 4714 //
     /* 1647747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647793 */     // MIs[0] policy
     /* 1647793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1647820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647845 */     // GIR_Coverage, 4714,
     /* 1647845 */     GIR_EraseRootFromParent_Done,
     /* 1647846 */   // Label 21443: @1647846
     /* 1647846 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1647950), // Rule ID 4715 //
     /* 1647851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1647862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1647865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1647868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647897 */     // MIs[0] policy
     /* 1647897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1647911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1647917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1647921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1647924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1647938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1647946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647949 */     // GIR_Coverage, 4715,
     /* 1647949 */     GIR_EraseRootFromParent_Done,
     /* 1647950 */   // Label 21444: @1647950
     /* 1647950 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1648054), // Rule ID 4718 //
     /* 1647955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1647963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1647966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1647969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1647972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648001 */     // MIs[0] policy
     /* 1648001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648011 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648053 */     // GIR_Coverage, 4718,
     /* 1648053 */     GIR_EraseRootFromParent_Done,
     /* 1648054 */   // Label 21445: @1648054
     /* 1648054 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1648158), // Rule ID 4719 //
     /* 1648059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648105 */     // MIs[0] policy
     /* 1648105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648115 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648157 */     // GIR_Coverage, 4719,
     /* 1648157 */     GIR_EraseRootFromParent_Done,
     /* 1648158 */   // Label 21446: @1648158
     /* 1648158 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1648262), // Rule ID 4722 //
     /* 1648163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1648174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1648177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1648180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648209 */     // MIs[0] policy
     /* 1648209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648219 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1648236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648261 */     // GIR_Coverage, 4722,
     /* 1648261 */     GIR_EraseRootFromParent_Done,
     /* 1648262 */   // Label 21447: @1648262
     /* 1648262 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1648366), // Rule ID 4723 //
     /* 1648267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1648278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1648281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1648284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648313 */     // MIs[0] policy
     /* 1648313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648323 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1648340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648365 */     // GIR_Coverage, 4723,
     /* 1648365 */     GIR_EraseRootFromParent_Done,
     /* 1648366 */   // Label 21448: @1648366
     /* 1648366 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1648470), // Rule ID 4726 //
     /* 1648371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648417 */     // MIs[0] policy
     /* 1648417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1648444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648469 */     // GIR_Coverage, 4726,
     /* 1648469 */     GIR_EraseRootFromParent_Done,
     /* 1648470 */   // Label 21449: @1648470
     /* 1648470 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1648574), // Rule ID 4727 //
     /* 1648475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648521 */     // MIs[0] policy
     /* 1648521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1648548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648573 */     // GIR_Coverage, 4727,
     /* 1648573 */     GIR_EraseRootFromParent_Done,
     /* 1648574 */   // Label 21450: @1648574
     /* 1648574 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1648678), // Rule ID 4730 //
     /* 1648579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648625 */     // MIs[0] policy
     /* 1648625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1648652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648677 */     // GIR_Coverage, 4730,
     /* 1648677 */     GIR_EraseRootFromParent_Done,
     /* 1648678 */   // Label 21451: @1648678
     /* 1648678 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1648782), // Rule ID 4731 //
     /* 1648683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1648694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1648697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1648700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648729 */     // MIs[0] policy
     /* 1648729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648739 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1648756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648781 */     // GIR_Coverage, 4731,
     /* 1648781 */     GIR_EraseRootFromParent_Done,
     /* 1648782 */   // Label 21452: @1648782
     /* 1648782 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1648886), // Rule ID 4734 //
     /* 1648787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1648790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1648807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648833 */     // MIs[0] policy
     /* 1648833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648885 */     // GIR_Coverage, 4734,
     /* 1648885 */     GIR_EraseRootFromParent_Done,
     /* 1648886 */   // Label 21453: @1648886
     /* 1648886 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1648990), // Rule ID 4735 //
     /* 1648891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1648894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1648899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1648902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1648905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1648908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1648911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1648933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648937 */     // MIs[0] policy
     /* 1648937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1648951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1648957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1648961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1648964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1648978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1648986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648989 */     // GIR_Coverage, 4735,
     /* 1648989 */     GIR_EraseRootFromParent_Done,
     /* 1648990 */   // Label 21454: @1648990
     /* 1648990 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1649094), // Rule ID 4738 //
     /* 1648995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1648998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649041 */     // MIs[0] policy
     /* 1649041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1649068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649093 */     // GIR_Coverage, 4738,
     /* 1649093 */     GIR_EraseRootFromParent_Done,
     /* 1649094 */   // Label 21455: @1649094
     /* 1649094 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1649198), // Rule ID 4739 //
     /* 1649099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649145 */     // MIs[0] policy
     /* 1649145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1649172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649197 */     // GIR_Coverage, 4739,
     /* 1649197 */     GIR_EraseRootFromParent_Done,
     /* 1649198 */   // Label 21456: @1649198
     /* 1649198 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1649302), // Rule ID 4742 //
     /* 1649203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649249 */     // MIs[0] policy
     /* 1649249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649301 */     // GIR_Coverage, 4742,
     /* 1649301 */     GIR_EraseRootFromParent_Done,
     /* 1649302 */   // Label 21457: @1649302
     /* 1649302 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1649406), // Rule ID 4743 //
     /* 1649307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649353 */     // MIs[0] policy
     /* 1649353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1649380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649405 */     // GIR_Coverage, 4743,
     /* 1649405 */     GIR_EraseRootFromParent_Done,
     /* 1649406 */   // Label 21458: @1649406
     /* 1649406 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1649510), // Rule ID 4746 //
     /* 1649411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649457 */     // MIs[0] policy
     /* 1649457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1649484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649509 */     // GIR_Coverage, 4746,
     /* 1649509 */     GIR_EraseRootFromParent_Done,
     /* 1649510 */   // Label 21459: @1649510
     /* 1649510 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1649614), // Rule ID 4747 //
     /* 1649515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1649523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649561 */     // MIs[0] policy
     /* 1649561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1649588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649613 */     // GIR_Coverage, 4747,
     /* 1649613 */     GIR_EraseRootFromParent_Done,
     /* 1649614 */   // Label 21460: @1649614
     /* 1649614 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1649718), // Rule ID 5624 //
     /* 1649619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1649630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1649633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1649636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1649639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649665 */     // MIs[0] policy
     /* 1649665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1649692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649717 */     // GIR_Coverage, 5624,
     /* 1649717 */     GIR_EraseRootFromParent_Done,
     /* 1649718 */   // Label 21461: @1649718
     /* 1649718 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1649822), // Rule ID 5625 //
     /* 1649723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1649734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1649737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1649740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1649743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649769 */     // MIs[0] policy
     /* 1649769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1649796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649821 */     // GIR_Coverage, 5625,
     /* 1649821 */     GIR_EraseRootFromParent_Done,
     /* 1649822 */   // Label 21462: @1649822
     /* 1649822 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1649926), // Rule ID 5628 //
     /* 1649827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1649838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1649841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1649844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1649847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649873 */     // MIs[0] policy
     /* 1649873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1649897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1649900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1649914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649925 */     // GIR_Coverage, 5628,
     /* 1649925 */     GIR_EraseRootFromParent_Done,
     /* 1649926 */   // Label 21463: @1649926
     /* 1649926 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1650030), // Rule ID 5629 //
     /* 1649931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1649939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1649942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1649945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1649948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1649951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649977 */     // MIs[0] policy
     /* 1649977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1649991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1649997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1650004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650029 */     // GIR_Coverage, 5629,
     /* 1650029 */     GIR_EraseRootFromParent_Done,
     /* 1650030 */   // Label 21464: @1650030
     /* 1650030 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1650134), // Rule ID 5632 //
     /* 1650035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1650055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650081 */     // MIs[0] policy
     /* 1650081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650133 */     // GIR_Coverage, 5632,
     /* 1650133 */     GIR_EraseRootFromParent_Done,
     /* 1650134 */   // Label 21465: @1650134
     /* 1650134 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1650238), // Rule ID 5633 //
     /* 1650139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1650150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1650153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1650156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1650159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650185 */     // MIs[0] policy
     /* 1650185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650195 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650237 */     // GIR_Coverage, 5633,
     /* 1650237 */     GIR_EraseRootFromParent_Done,
     /* 1650238 */   // Label 21466: @1650238
     /* 1650238 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1650342), // Rule ID 5636 //
     /* 1650243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1650263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650289 */     // MIs[0] policy
     /* 1650289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1650316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650341 */     // GIR_Coverage, 5636,
     /* 1650341 */     GIR_EraseRootFromParent_Done,
     /* 1650342 */   // Label 21467: @1650342
     /* 1650342 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1650446), // Rule ID 5637 //
     /* 1650347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1650358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1650361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1650364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1650367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650393 */     // MIs[0] policy
     /* 1650393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1650420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650445 */     // GIR_Coverage, 5637,
     /* 1650445 */     GIR_EraseRootFromParent_Done,
     /* 1650446 */   // Label 21468: @1650446
     /* 1650446 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1650550), // Rule ID 5640 //
     /* 1650451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1650471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650497 */     // MIs[0] policy
     /* 1650497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650549 */     // GIR_Coverage, 5640,
     /* 1650549 */     GIR_EraseRootFromParent_Done,
     /* 1650550 */   // Label 21469: @1650550
     /* 1650550 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1650654), // Rule ID 5641 //
     /* 1650555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1650575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650601 */     // MIs[0] policy
     /* 1650601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650653 */     // GIR_Coverage, 5641,
     /* 1650653 */     GIR_EraseRootFromParent_Done,
     /* 1650654 */   // Label 21470: @1650654
     /* 1650654 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1650758), // Rule ID 5644 //
     /* 1650659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1650676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1650679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650705 */     // MIs[0] policy
     /* 1650705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650757 */     // GIR_Coverage, 5644,
     /* 1650757 */     GIR_EraseRootFromParent_Done,
     /* 1650758 */   // Label 21471: @1650758
     /* 1650758 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1650862), // Rule ID 5645 //
     /* 1650763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1650780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1650783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650809 */     // MIs[0] policy
     /* 1650809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1650836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1650858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650861 */     // GIR_Coverage, 5645,
     /* 1650861 */     GIR_EraseRootFromParent_Done,
     /* 1650862 */   // Label 21472: @1650862
     /* 1650862 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1650966), // Rule ID 5648 //
     /* 1650867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1650878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1650881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1650884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1650887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650913 */     // MIs[0] policy
     /* 1650913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1650927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1650933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1650937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1650940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1650954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650965 */     // GIR_Coverage, 5648,
     /* 1650965 */     GIR_EraseRootFromParent_Done,
     /* 1650966 */   // Label 21473: @1650966
     /* 1650966 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1651070), // Rule ID 5649 //
     /* 1650971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1650979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1650982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1650985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1650988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1650991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651017 */     // MIs[0] policy
     /* 1651017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651069 */     // GIR_Coverage, 5649,
     /* 1651069 */     GIR_EraseRootFromParent_Done,
     /* 1651070 */   // Label 21474: @1651070
     /* 1651070 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1651174), // Rule ID 5652 //
     /* 1651075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1651095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651121 */     // MIs[0] policy
     /* 1651121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651173 */     // GIR_Coverage, 5652,
     /* 1651173 */     GIR_EraseRootFromParent_Done,
     /* 1651174 */   // Label 21475: @1651174
     /* 1651174 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1651278), // Rule ID 5653 //
     /* 1651179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1651190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1651193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1651196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1651199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651225 */     // MIs[0] policy
     /* 1651225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651277 */     // GIR_Coverage, 5653,
     /* 1651277 */     GIR_EraseRootFromParent_Done,
     /* 1651278 */   // Label 21476: @1651278
     /* 1651278 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1651382), // Rule ID 5656 //
     /* 1651283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1651303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651329 */     // MIs[0] policy
     /* 1651329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651381 */     // GIR_Coverage, 5656,
     /* 1651381 */     GIR_EraseRootFromParent_Done,
     /* 1651382 */   // Label 21477: @1651382
     /* 1651382 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1651486), // Rule ID 5657 //
     /* 1651387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1651407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651433 */     // MIs[0] policy
     /* 1651433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651485 */     // GIR_Coverage, 5657,
     /* 1651485 */     GIR_EraseRootFromParent_Done,
     /* 1651486 */   // Label 21478: @1651486
     /* 1651486 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1651590), // Rule ID 5660 //
     /* 1651491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1651494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1651511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651537 */     // MIs[0] policy
     /* 1651537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651589 */     // GIR_Coverage, 5660,
     /* 1651589 */     GIR_EraseRootFromParent_Done,
     /* 1651590 */   // Label 21479: @1651590
     /* 1651590 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1651694), // Rule ID 5661 //
     /* 1651595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1651598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1651615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651641 */     // MIs[0] policy
     /* 1651641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1651668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1651690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651693 */     // GIR_Coverage, 5661,
     /* 1651693 */     GIR_EraseRootFromParent_Done,
     /* 1651694 */   // Label 21480: @1651694
     /* 1651694 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1651798), // Rule ID 5664 //
     /* 1651699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1651719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651745 */     // MIs[0] policy
     /* 1651745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1651772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651797 */     // GIR_Coverage, 5664,
     /* 1651797 */     GIR_EraseRootFromParent_Done,
     /* 1651798 */   // Label 21481: @1651798
     /* 1651798 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1651902), // Rule ID 5665 //
     /* 1651803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1651814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1651817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1651820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1651823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651849 */     // MIs[0] policy
     /* 1651849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1651876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1651898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651901 */     // GIR_Coverage, 5665,
     /* 1651901 */     GIR_EraseRootFromParent_Done,
     /* 1651902 */   // Label 21482: @1651902
     /* 1651902 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1652006), // Rule ID 5668 //
     /* 1651907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1651915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1651918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1651921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1651924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1651927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1651930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651953 */     // MIs[0] policy
     /* 1651953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1651967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1651973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1651977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1651980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1651994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652005 */     // GIR_Coverage, 5668,
     /* 1652005 */     GIR_EraseRootFromParent_Done,
     /* 1652006 */   // Label 21483: @1652006
     /* 1652006 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1652110), // Rule ID 5669 //
     /* 1652011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1652022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1652025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1652028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1652031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652057 */     // MIs[0] policy
     /* 1652057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1652084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652109 */     // GIR_Coverage, 5669,
     /* 1652109 */     GIR_EraseRootFromParent_Done,
     /* 1652110 */   // Label 21484: @1652110
     /* 1652110 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1652214), // Rule ID 5672 //
     /* 1652115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1652135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652161 */     // MIs[0] policy
     /* 1652161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1652188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652213 */     // GIR_Coverage, 5672,
     /* 1652213 */     GIR_EraseRootFromParent_Done,
     /* 1652214 */   // Label 21485: @1652214
     /* 1652214 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1652318), // Rule ID 5673 //
     /* 1652219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1652230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1652233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1652236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1652239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1652242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652265 */     // MIs[0] policy
     /* 1652265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652275 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1652292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652317 */     // GIR_Coverage, 5673,
     /* 1652317 */     GIR_EraseRootFromParent_Done,
     /* 1652318 */   // Label 21486: @1652318
     /* 1652318 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1652422), // Rule ID 5676 //
     /* 1652323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1652343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652369 */     // MIs[0] policy
     /* 1652369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652379 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1652396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652421 */     // GIR_Coverage, 5676,
     /* 1652421 */     GIR_EraseRootFromParent_Done,
     /* 1652422 */   // Label 21487: @1652422
     /* 1652422 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1652526), // Rule ID 5677 //
     /* 1652427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1652447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652473 */     // MIs[0] policy
     /* 1652473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1652500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652525 */     // GIR_Coverage, 5677,
     /* 1652525 */     GIR_EraseRootFromParent_Done,
     /* 1652526 */   // Label 21488: @1652526
     /* 1652526 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1652630), // Rule ID 5680 //
     /* 1652531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1652551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652577 */     // MIs[0] policy
     /* 1652577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1652604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652629 */     // GIR_Coverage, 5680,
     /* 1652629 */     GIR_EraseRootFromParent_Done,
     /* 1652630 */   // Label 21489: @1652630
     /* 1652630 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1652734), // Rule ID 5681 //
     /* 1652635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1652646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1652649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1652652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1652655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1652658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652681 */     // MIs[0] policy
     /* 1652681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1652708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652733 */     // GIR_Coverage, 5681,
     /* 1652733 */     GIR_EraseRootFromParent_Done,
     /* 1652734 */   // Label 21490: @1652734
     /* 1652734 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1652838), // Rule ID 5684 //
     /* 1652739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1652759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652785 */     // MIs[0] policy
     /* 1652785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1652812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652837 */     // GIR_Coverage, 5684,
     /* 1652837 */     GIR_EraseRootFromParent_Done,
     /* 1652838 */   // Label 21491: @1652838
     /* 1652838 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1652942), // Rule ID 5685 //
     /* 1652843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1652854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1652857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1652860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1652863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1652866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652889 */     // MIs[0] policy
     /* 1652889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1652903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1652909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1652913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1652916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1652930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1652938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652941 */     // GIR_Coverage, 5685,
     /* 1652941 */     GIR_EraseRootFromParent_Done,
     /* 1652942 */   // Label 21492: @1652942
     /* 1652942 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1653046), // Rule ID 5688 //
     /* 1652947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1652955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1652958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1652961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1652964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1652967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652993 */     // MIs[0] policy
     /* 1652993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653045 */     // GIR_Coverage, 5688,
     /* 1653045 */     GIR_EraseRootFromParent_Done,
     /* 1653046 */   // Label 21493: @1653046
     /* 1653046 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1653150), // Rule ID 5689 //
     /* 1653051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1653071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653097 */     // MIs[0] policy
     /* 1653097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653149 */     // GIR_Coverage, 5689,
     /* 1653149 */     GIR_EraseRootFromParent_Done,
     /* 1653150 */   // Label 21494: @1653150
     /* 1653150 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1653254), // Rule ID 5692 //
     /* 1653155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1653175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653201 */     // MIs[0] policy
     /* 1653201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653253 */     // GIR_Coverage, 5692,
     /* 1653253 */     GIR_EraseRootFromParent_Done,
     /* 1653254 */   // Label 21495: @1653254
     /* 1653254 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1653358), // Rule ID 5693 //
     /* 1653259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1653270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1653273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1653276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1653279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653305 */     // MIs[0] policy
     /* 1653305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653357 */     // GIR_Coverage, 5693,
     /* 1653357 */     GIR_EraseRootFromParent_Done,
     /* 1653358 */   // Label 21496: @1653358
     /* 1653358 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1653462), // Rule ID 5696 //
     /* 1653363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1653383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653409 */     // MIs[0] policy
     /* 1653409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1653436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653461 */     // GIR_Coverage, 5696,
     /* 1653461 */     GIR_EraseRootFromParent_Done,
     /* 1653462 */   // Label 21497: @1653462
     /* 1653462 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1653566), // Rule ID 5697 //
     /* 1653467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1653478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1653481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1653484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1653487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653513 */     // MIs[0] policy
     /* 1653513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1653540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1653562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653565 */     // GIR_Coverage, 5697,
     /* 1653565 */     GIR_EraseRootFromParent_Done,
     /* 1653566 */   // Label 21498: @1653566
     /* 1653566 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1653670), // Rule ID 5700 //
     /* 1653571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1653591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653617 */     // MIs[0] policy
     /* 1653617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653669 */     // GIR_Coverage, 5700,
     /* 1653669 */     GIR_EraseRootFromParent_Done,
     /* 1653670 */   // Label 21499: @1653670
     /* 1653670 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1653774), // Rule ID 5701 //
     /* 1653675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1653686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1653689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1653692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1653695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653721 */     // MIs[0] policy
     /* 1653721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1653748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653773 */     // GIR_Coverage, 5701,
     /* 1653773 */     GIR_EraseRootFromParent_Done,
     /* 1653774 */   // Label 21500: @1653774
     /* 1653774 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1653878), // Rule ID 5704 //
     /* 1653779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1653799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653825 */     // MIs[0] policy
     /* 1653825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653877 */     // GIR_Coverage, 5704,
     /* 1653877 */     GIR_EraseRootFromParent_Done,
     /* 1653878 */   // Label 21501: @1653878
     /* 1653878 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1653982), // Rule ID 5705 //
     /* 1653883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1653886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1653894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1653897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1653900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1653903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653929 */     // MIs[0] policy
     /* 1653929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1653943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1653949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1653953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1653956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1653970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1653978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653981 */     // GIR_Coverage, 5705,
     /* 1653981 */     GIR_EraseRootFromParent_Done,
     /* 1653982 */   // Label 21502: @1653982
     /* 1653982 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1654086), // Rule ID 5708 //
     /* 1653987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1653990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1653995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1653998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1654007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654033 */     // MIs[0] policy
     /* 1654033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654085 */     // GIR_Coverage, 5708,
     /* 1654085 */     GIR_EraseRootFromParent_Done,
     /* 1654086 */   // Label 21503: @1654086
     /* 1654086 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1654190), // Rule ID 5709 //
     /* 1654091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1654094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1654111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654137 */     // MIs[0] policy
     /* 1654137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1654164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1654186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654189 */     // GIR_Coverage, 5709,
     /* 1654189 */     GIR_EraseRootFromParent_Done,
     /* 1654190 */   // Label 21504: @1654190
     /* 1654190 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1654294), // Rule ID 5712 //
     /* 1654195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654241 */     // MIs[0] policy
     /* 1654241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1654268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654293 */     // GIR_Coverage, 5712,
     /* 1654293 */     GIR_EraseRootFromParent_Done,
     /* 1654294 */   // Label 21505: @1654294
     /* 1654294 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1654398), // Rule ID 5713 //
     /* 1654299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1654310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1654313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1654316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654345 */     // MIs[0] policy
     /* 1654345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1654372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654397 */     // GIR_Coverage, 5713,
     /* 1654397 */     GIR_EraseRootFromParent_Done,
     /* 1654398 */   // Label 21506: @1654398
     /* 1654398 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1654502), // Rule ID 5716 //
     /* 1654403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654449 */     // MIs[0] policy
     /* 1654449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654501 */     // GIR_Coverage, 5716,
     /* 1654501 */     GIR_EraseRootFromParent_Done,
     /* 1654502 */   // Label 21507: @1654502
     /* 1654502 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1654606), // Rule ID 5717 //
     /* 1654507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1654518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1654521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1654524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654553 */     // MIs[0] policy
     /* 1654553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654605 */     // GIR_Coverage, 5717,
     /* 1654605 */     GIR_EraseRootFromParent_Done,
     /* 1654606 */   // Label 21508: @1654606
     /* 1654606 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1654710), // Rule ID 5720 //
     /* 1654611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654657 */     // MIs[0] policy
     /* 1654657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1654684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654709 */     // GIR_Coverage, 5720,
     /* 1654709 */     GIR_EraseRootFromParent_Done,
     /* 1654710 */   // Label 21509: @1654710
     /* 1654710 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1654814), // Rule ID 5721 //
     /* 1654715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1654726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1654729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1654732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654761 */     // MIs[0] policy
     /* 1654761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1654788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1654810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654813 */     // GIR_Coverage, 5721,
     /* 1654813 */     GIR_EraseRootFromParent_Done,
     /* 1654814 */   // Label 21510: @1654814
     /* 1654814 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1654918), // Rule ID 5724 //
     /* 1654819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1654839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654865 */     // MIs[0] policy
     /* 1654865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1654906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654917 */     // GIR_Coverage, 5724,
     /* 1654917 */     GIR_EraseRootFromParent_Done,
     /* 1654918 */   // Label 21511: @1654918
     /* 1654918 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1655022), // Rule ID 5725 //
     /* 1654923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1654931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1654934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1654937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1654940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1654943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1654965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654969 */     // MIs[0] policy
     /* 1654969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1654983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1654989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1654993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1654996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655021 */     // GIR_Coverage, 5725,
     /* 1655021 */     GIR_EraseRootFromParent_Done,
     /* 1655022 */   // Label 21512: @1655022
     /* 1655022 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1655126), // Rule ID 5728 //
     /* 1655027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655073 */     // MIs[0] policy
     /* 1655073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655125 */     // GIR_Coverage, 5728,
     /* 1655125 */     GIR_EraseRootFromParent_Done,
     /* 1655126 */   // Label 21513: @1655126
     /* 1655126 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1655230), // Rule ID 5729 //
     /* 1655131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655177 */     // MIs[0] policy
     /* 1655177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655229 */     // GIR_Coverage, 5729,
     /* 1655229 */     GIR_EraseRootFromParent_Done,
     /* 1655230 */   // Label 21514: @1655230
     /* 1655230 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1655334), // Rule ID 5732 //
     /* 1655235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655281 */     // MIs[0] policy
     /* 1655281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655333 */     // GIR_Coverage, 5732,
     /* 1655333 */     GIR_EraseRootFromParent_Done,
     /* 1655334 */   // Label 21515: @1655334
     /* 1655334 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1655438), // Rule ID 5733 //
     /* 1655339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1655350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1655353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1655356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655385 */     // MIs[0] policy
     /* 1655385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1655412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655437 */     // GIR_Coverage, 5733,
     /* 1655437 */     GIR_EraseRootFromParent_Done,
     /* 1655438 */   // Label 21516: @1655438
     /* 1655438 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1655542), // Rule ID 5736 //
     /* 1655443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655489 */     // MIs[0] policy
     /* 1655489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655541 */     // GIR_Coverage, 5736,
     /* 1655541 */     GIR_EraseRootFromParent_Done,
     /* 1655542 */   // Label 21517: @1655542
     /* 1655542 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1655646), // Rule ID 5737 //
     /* 1655547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1655558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1655561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1655564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655593 */     // MIs[0] policy
     /* 1655593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10791:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655645 */     // GIR_Coverage, 5737,
     /* 1655645 */     GIR_EraseRootFromParent_Done,
     /* 1655646 */   // Label 21518: @1655646
     /* 1655646 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1655750), // Rule ID 5740 //
     /* 1655651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655697 */     // MIs[0] policy
     /* 1655697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655749 */     // GIR_Coverage, 5740,
     /* 1655749 */     GIR_EraseRootFromParent_Done,
     /* 1655750 */   // Label 21519: @1655750
     /* 1655750 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1655854), // Rule ID 5741 //
     /* 1655755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655801 */     // MIs[0] policy
     /* 1655801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10791:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1655850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655853 */     // GIR_Coverage, 5741,
     /* 1655853 */     GIR_EraseRootFromParent_Done,
     /* 1655854 */   // Label 21520: @1655854
     /* 1655854 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1655958), // Rule ID 5744 //
     /* 1655859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655905 */     // MIs[0] policy
     /* 1655905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1655919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1655925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1655929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1655932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1655946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655957 */     // GIR_Coverage, 5744,
     /* 1655957 */     GIR_EraseRootFromParent_Done,
     /* 1655958 */   // Label 21521: @1655958
     /* 1655958 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1656062), // Rule ID 5745 //
     /* 1655963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1655971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1655974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1655977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1655980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656009 */     // MIs[0] policy
     /* 1656009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10791:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656061 */     // GIR_Coverage, 5745,
     /* 1656061 */     GIR_EraseRootFromParent_Done,
     /* 1656062 */   // Label 21522: @1656062
     /* 1656062 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1656166), // Rule ID 5748 //
     /* 1656067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1656070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1656078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1656081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1656084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656113 */     // MIs[0] policy
     /* 1656113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656165 */     // GIR_Coverage, 5748,
     /* 1656165 */     GIR_EraseRootFromParent_Done,
     /* 1656166 */   // Label 21523: @1656166
     /* 1656166 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1656270), // Rule ID 5749 //
     /* 1656171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1656174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1656182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1656185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1656188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656217 */     // MIs[0] policy
     /* 1656217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10791:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1656244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1656266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656269 */     // GIR_Coverage, 5749,
     /* 1656269 */     GIR_EraseRootFromParent_Done,
     /* 1656270 */   // Label 21524: @1656270
     /* 1656270 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1656374), // Rule ID 5752 //
     /* 1656275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656321 */     // MIs[0] policy
     /* 1656321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656373 */     // GIR_Coverage, 5752,
     /* 1656373 */     GIR_EraseRootFromParent_Done,
     /* 1656374 */   // Label 21525: @1656374
     /* 1656374 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1656478), // Rule ID 5753 //
     /* 1656379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1656390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1656393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1656396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656425 */     // MIs[0] policy
     /* 1656425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656477 */     // GIR_Coverage, 5753,
     /* 1656477 */     GIR_EraseRootFromParent_Done,
     /* 1656478 */   // Label 21526: @1656478
     /* 1656478 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1656582), // Rule ID 5756 //
     /* 1656483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656529 */     // MIs[0] policy
     /* 1656529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1656556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656581 */     // GIR_Coverage, 5756,
     /* 1656581 */     GIR_EraseRootFromParent_Done,
     /* 1656582 */   // Label 21527: @1656582
     /* 1656582 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1656686), // Rule ID 5757 //
     /* 1656587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1656598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1656601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1656604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1656610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656633 */     // MIs[0] policy
     /* 1656633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1656660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656685 */     // GIR_Coverage, 5757,
     /* 1656685 */     GIR_EraseRootFromParent_Done,
     /* 1656686 */   // Label 21528: @1656686
     /* 1656686 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1656790), // Rule ID 5760 //
     /* 1656691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656737 */     // MIs[0] policy
     /* 1656737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1656764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656789 */     // GIR_Coverage, 5760,
     /* 1656789 */     GIR_EraseRootFromParent_Done,
     /* 1656790 */   // Label 21529: @1656790
     /* 1656790 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1656894), // Rule ID 5761 //
     /* 1656795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1656806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1656809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1656812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1656818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656841 */     // MIs[0] policy
     /* 1656841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1656868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656893 */     // GIR_Coverage, 5761,
     /* 1656893 */     GIR_EraseRootFromParent_Done,
     /* 1656894 */   // Label 21530: @1656894
     /* 1656894 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1656998), // Rule ID 5764 //
     /* 1656899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1656907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1656910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1656913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1656916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656945 */     // MIs[0] policy
     /* 1656945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1656959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1656965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1656969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1656972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1656986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656997 */     // GIR_Coverage, 5764,
     /* 1656997 */     GIR_EraseRootFromParent_Done,
     /* 1656998 */   // Label 21531: @1656998
     /* 1656998 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1657102), // Rule ID 5765 //
     /* 1657003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1657014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1657017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1657020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657049 */     // MIs[0] policy
     /* 1657049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657101 */     // GIR_Coverage, 5765,
     /* 1657101 */     GIR_EraseRootFromParent_Done,
     /* 1657102 */   // Label 21532: @1657102
     /* 1657102 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1657206), // Rule ID 5768 //
     /* 1657107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657153 */     // MIs[0] policy
     /* 1657153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657205 */     // GIR_Coverage, 5768,
     /* 1657205 */     GIR_EraseRootFromParent_Done,
     /* 1657206 */   // Label 21533: @1657206
     /* 1657206 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1657310), // Rule ID 5769 //
     /* 1657211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1657222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1657225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1657228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657257 */     // MIs[0] policy
     /* 1657257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657309 */     // GIR_Coverage, 5769,
     /* 1657309 */     GIR_EraseRootFromParent_Done,
     /* 1657310 */   // Label 21534: @1657310
     /* 1657310 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1657414), // Rule ID 5772 //
     /* 1657315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1657326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1657329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1657332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657361 */     // MIs[0] policy
     /* 1657361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657413 */     // GIR_Coverage, 5772,
     /* 1657413 */     GIR_EraseRootFromParent_Done,
     /* 1657414 */   // Label 21535: @1657414
     /* 1657414 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1657518), // Rule ID 5773 //
     /* 1657419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1657430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1657433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1657436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1657442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657465 */     // MIs[0] policy
     /* 1657465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1657492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1657514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657517 */     // GIR_Coverage, 5773,
     /* 1657517 */     GIR_EraseRootFromParent_Done,
     /* 1657518 */   // Label 21536: @1657518
     /* 1657518 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1657622), // Rule ID 5776 //
     /* 1657523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657569 */     // MIs[0] policy
     /* 1657569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657621 */     // GIR_Coverage, 5776,
     /* 1657621 */     GIR_EraseRootFromParent_Done,
     /* 1657622 */   // Label 21537: @1657622
     /* 1657622 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1657726), // Rule ID 5777 //
     /* 1657627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1657638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1657641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1657644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657673 */     // MIs[0] policy
     /* 1657673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1657700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657725 */     // GIR_Coverage, 5777,
     /* 1657725 */     GIR_EraseRootFromParent_Done,
     /* 1657726 */   // Label 21538: @1657726
     /* 1657726 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1657830), // Rule ID 5780 //
     /* 1657731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657777 */     // MIs[0] policy
     /* 1657777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657829 */     // GIR_Coverage, 5780,
     /* 1657829 */     GIR_EraseRootFromParent_Done,
     /* 1657830 */   // Label 21539: @1657830
     /* 1657830 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1657934), // Rule ID 5781 //
     /* 1657835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1657846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1657849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1657852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657881 */     // MIs[0] policy
     /* 1657881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1657901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1657905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1657908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1657922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657933 */     // GIR_Coverage, 5781,
     /* 1657933 */     GIR_EraseRootFromParent_Done,
     /* 1657934 */   // Label 21540: @1657934
     /* 1657934 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1658038), // Rule ID 5784 //
     /* 1657939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1657950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1657953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1657956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1657962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657985 */     // MIs[0] policy
     /* 1657985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1657999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658037 */     // GIR_Coverage, 5784,
     /* 1658037 */     GIR_EraseRootFromParent_Done,
     /* 1658038 */   // Label 21541: @1658038
     /* 1658038 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1658142), // Rule ID 5785 //
     /* 1658043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1658054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1658057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1658060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1658066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658089 */     // MIs[0] policy
     /* 1658089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658141 */     // GIR_Coverage, 5785,
     /* 1658141 */     GIR_EraseRootFromParent_Done,
     /* 1658142 */   // Label 21542: @1658142
     /* 1658142 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1658246), // Rule ID 5788 //
     /* 1658147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1658158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1658161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1658164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658193 */     // MIs[0] policy
     /* 1658193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658245 */     // GIR_Coverage, 5788,
     /* 1658245 */     GIR_EraseRootFromParent_Done,
     /* 1658246 */   // Label 21543: @1658246
     /* 1658246 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1658350), // Rule ID 5789 //
     /* 1658251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1658262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1658265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1658268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1658281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1658289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658297 */     // MIs[0] policy
     /* 1658297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10791:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1658324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658349 */     // GIR_Coverage, 5789,
     /* 1658349 */     GIR_EraseRootFromParent_Done,
     /* 1658350 */   // Label 21544: @1658350
     /* 1658350 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1658454), // Rule ID 5792 //
     /* 1658355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1658366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1658369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1658372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658401 */     // MIs[0] policy
     /* 1658401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658453 */     // GIR_Coverage, 5792,
     /* 1658453 */     GIR_EraseRootFromParent_Done,
     /* 1658454 */   // Label 21545: @1658454
     /* 1658454 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1658558), // Rule ID 5793 //
     /* 1658459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1658470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1658473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1658476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1658489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1658497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658505 */     // MIs[0] policy
     /* 1658505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10791:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1658532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658557 */     // GIR_Coverage, 5793,
     /* 1658557 */     GIR_EraseRootFromParent_Done,
     /* 1658558 */   // Label 21546: @1658558
     /* 1658558 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1658662), // Rule ID 5796 //
     /* 1658563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1658566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1658574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1658577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1658580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1658583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658609 */     // MIs[0] policy
     /* 1658609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658661 */     // GIR_Coverage, 5796,
     /* 1658661 */     GIR_EraseRootFromParent_Done,
     /* 1658662 */   // Label 21547: @1658662
     /* 1658662 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1658766), // Rule ID 5797 //
     /* 1658667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1658670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1658678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1658681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1658684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1658687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1658697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1658705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1658709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658713 */     // MIs[0] policy
     /* 1658713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10791:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1658740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1658762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658765 */     // GIR_Coverage, 5797,
     /* 1658765 */     GIR_EraseRootFromParent_Done,
     /* 1658766 */   // Label 21548: @1658766
     /* 1658766 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1658870), // Rule ID 5888 //
     /* 1658771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1658791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658817 */     // MIs[0] policy
     /* 1658817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1658844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658869 */     // GIR_Coverage, 5888,
     /* 1658869 */     GIR_EraseRootFromParent_Done,
     /* 1658870 */   // Label 21549: @1658870
     /* 1658870 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1658974), // Rule ID 5889 //
     /* 1658875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1658886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1658889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1658892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1658895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658921 */     // MIs[0] policy
     /* 1658921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1658935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1658941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1658945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1658948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1658962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658973 */     // GIR_Coverage, 5889,
     /* 1658973 */     GIR_EraseRootFromParent_Done,
     /* 1658974 */   // Label 21550: @1658974
     /* 1658974 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1659078), // Rule ID 5892 //
     /* 1658979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1658987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1658990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1658993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1658996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1658999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659025 */     // MIs[0] policy
     /* 1659025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1659052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659077 */     // GIR_Coverage, 5892,
     /* 1659077 */     GIR_EraseRootFromParent_Done,
     /* 1659078 */   // Label 21551: @1659078
     /* 1659078 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1659182), // Rule ID 5893 //
     /* 1659083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1659094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1659097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1659100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1659103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659129 */     // MIs[0] policy
     /* 1659129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1659156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659181 */     // GIR_Coverage, 5893,
     /* 1659181 */     GIR_EraseRootFromParent_Done,
     /* 1659182 */   // Label 21552: @1659182
     /* 1659182 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1659286), // Rule ID 5896 //
     /* 1659187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1659198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1659201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1659204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1659207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659233 */     // MIs[0] policy
     /* 1659233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659285 */     // GIR_Coverage, 5896,
     /* 1659285 */     GIR_EraseRootFromParent_Done,
     /* 1659286 */   // Label 21553: @1659286
     /* 1659286 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1659390), // Rule ID 5897 //
     /* 1659291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1659302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1659305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1659308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1659311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1659314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659337 */     // MIs[0] policy
     /* 1659337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659389 */     // GIR_Coverage, 5897,
     /* 1659389 */     GIR_EraseRootFromParent_Done,
     /* 1659390 */   // Label 21554: @1659390
     /* 1659390 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1659494), // Rule ID 5900 //
     /* 1659395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1659406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1659409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1659412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1659415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659441 */     // MIs[0] policy
     /* 1659441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1659468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659493 */     // GIR_Coverage, 5900,
     /* 1659493 */     GIR_EraseRootFromParent_Done,
     /* 1659494 */   // Label 21555: @1659494
     /* 1659494 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1659598), // Rule ID 5901 //
     /* 1659499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1659510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1659513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1659516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1659519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659545 */     // MIs[0] policy
     /* 1659545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1659572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659597 */     // GIR_Coverage, 5901,
     /* 1659597 */     GIR_EraseRootFromParent_Done,
     /* 1659598 */   // Label 21556: @1659598
     /* 1659598 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1659702), // Rule ID 5904 //
     /* 1659603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1659614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1659617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1659620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1659623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659649 */     // MIs[0] policy
     /* 1659649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659701 */     // GIR_Coverage, 5904,
     /* 1659701 */     GIR_EraseRootFromParent_Done,
     /* 1659702 */   // Label 21557: @1659702
     /* 1659702 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1659806), // Rule ID 5905 //
     /* 1659707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1659718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1659721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1659724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1659727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659753 */     // MIs[0] policy
     /* 1659753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659805 */     // GIR_Coverage, 5905,
     /* 1659805 */     GIR_EraseRootFromParent_Done,
     /* 1659806 */   // Label 21558: @1659806
     /* 1659806 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1659910), // Rule ID 5908 //
     /* 1659811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1659822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1659825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1659828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1659831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659857 */     // MIs[0] policy
     /* 1659857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1659898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659909 */     // GIR_Coverage, 5908,
     /* 1659909 */     GIR_EraseRootFromParent_Done,
     /* 1659910 */   // Label 21559: @1659910
     /* 1659910 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1660014), // Rule ID 5909 //
     /* 1659915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1659923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1659926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1659929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1659932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1659935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659961 */     // MIs[0] policy
     /* 1659961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1659975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1659981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1659985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1659988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660013 */     // GIR_Coverage, 5909,
     /* 1660013 */     GIR_EraseRootFromParent_Done,
     /* 1660014 */   // Label 21560: @1660014
     /* 1660014 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1660118), // Rule ID 5912 //
     /* 1660019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1660030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1660033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1660036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1660039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660065 */     // MIs[0] policy
     /* 1660065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660117 */     // GIR_Coverage, 5912,
     /* 1660117 */     GIR_EraseRootFromParent_Done,
     /* 1660118 */   // Label 21561: @1660118
     /* 1660118 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1660222), // Rule ID 5913 //
     /* 1660123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1660134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1660137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1660140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1660143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660169 */     // MIs[0] policy
     /* 1660169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660179 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660221 */     // GIR_Coverage, 5913,
     /* 1660221 */     GIR_EraseRootFromParent_Done,
     /* 1660222 */   // Label 21562: @1660222
     /* 1660222 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1660326), // Rule ID 5916 //
     /* 1660227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1660238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1660241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1660244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1660247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660273 */     // MIs[0] policy
     /* 1660273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660325 */     // GIR_Coverage, 5916,
     /* 1660325 */     GIR_EraseRootFromParent_Done,
     /* 1660326 */   // Label 21563: @1660326
     /* 1660326 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1660430), // Rule ID 5917 //
     /* 1660331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1660342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1660345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1660348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1660351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660377 */     // MIs[0] policy
     /* 1660377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660429 */     // GIR_Coverage, 5917,
     /* 1660429 */     GIR_EraseRootFromParent_Done,
     /* 1660430 */   // Label 21564: @1660430
     /* 1660430 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1660534), // Rule ID 5920 //
     /* 1660435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1660446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1660449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1660452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1660455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660481 */     // MIs[0] policy
     /* 1660481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660533 */     // GIR_Coverage, 5920,
     /* 1660533 */     GIR_EraseRootFromParent_Done,
     /* 1660534 */   // Label 21565: @1660534
     /* 1660534 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1660638), // Rule ID 5921 //
     /* 1660539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1660550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1660553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1660556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1660559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660585 */     // MIs[0] policy
     /* 1660585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660637 */     // GIR_Coverage, 5921,
     /* 1660637 */     GIR_EraseRootFromParent_Done,
     /* 1660638 */   // Label 21566: @1660638
     /* 1660638 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1660742), // Rule ID 5924 //
     /* 1660643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1660663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660689 */     // MIs[0] policy
     /* 1660689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660741 */     // GIR_Coverage, 5924,
     /* 1660741 */     GIR_EraseRootFromParent_Done,
     /* 1660742 */   // Label 21567: @1660742
     /* 1660742 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1660846), // Rule ID 5925 //
     /* 1660747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1660758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1660761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1660764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1660767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1660770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1660777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1660789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660793 */     // MIs[0] policy
     /* 1660793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1660820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660845 */     // GIR_Coverage, 5925,
     /* 1660845 */     GIR_EraseRootFromParent_Done,
     /* 1660846 */   // Label 21568: @1660846
     /* 1660846 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1660950), // Rule ID 5928 //
     /* 1660851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1660862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1660865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1660868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1660871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660897 */     // MIs[0] policy
     /* 1660897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660907 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1660911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1660917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1660921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1660924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1660938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1660946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660949 */     // GIR_Coverage, 5928,
     /* 1660949 */     GIR_EraseRootFromParent_Done,
     /* 1660950 */   // Label 21569: @1660950
     /* 1660950 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1661054), // Rule ID 5929 //
     /* 1660955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1660963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1660966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1660969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1660972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1660975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661001 */     // MIs[0] policy
     /* 1661001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661053 */     // GIR_Coverage, 5929,
     /* 1661053 */     GIR_EraseRootFromParent_Done,
     /* 1661054 */   // Label 21570: @1661054
     /* 1661054 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1661158), // Rule ID 5932 //
     /* 1661059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1661070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1661073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1661076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1661079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661105 */     // MIs[0] policy
     /* 1661105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661157 */     // GIR_Coverage, 5932,
     /* 1661157 */     GIR_EraseRootFromParent_Done,
     /* 1661158 */   // Label 21571: @1661158
     /* 1661158 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1661262), // Rule ID 5933 //
     /* 1661163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1661174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1661177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1661180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1661183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661209 */     // MIs[0] policy
     /* 1661209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661261 */     // GIR_Coverage, 5933,
     /* 1661261 */     GIR_EraseRootFromParent_Done,
     /* 1661262 */   // Label 21572: @1661262
     /* 1661262 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1661366), // Rule ID 5936 //
     /* 1661267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1661278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1661281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1661284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1661287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1661290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661313 */     // MIs[0] policy
     /* 1661313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661365 */     // GIR_Coverage, 5936,
     /* 1661365 */     GIR_EraseRootFromParent_Done,
     /* 1661366 */   // Label 21573: @1661366
     /* 1661366 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1661470), // Rule ID 5937 //
     /* 1661371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1661382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1661385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1661388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1661391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1661394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661417 */     // MIs[0] policy
     /* 1661417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661427 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661469 */     // GIR_Coverage, 5937,
     /* 1661469 */     GIR_EraseRootFromParent_Done,
     /* 1661470 */   // Label 21574: @1661470
     /* 1661470 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1661574), // Rule ID 5940 //
     /* 1661475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1661486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1661489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1661492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1661495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661521 */     // MIs[0] policy
     /* 1661521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661573 */     // GIR_Coverage, 5940,
     /* 1661573 */     GIR_EraseRootFromParent_Done,
     /* 1661574 */   // Label 21575: @1661574
     /* 1661574 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1661678), // Rule ID 5941 //
     /* 1661579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1661590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1661593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1661596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1661599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1661609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661625 */     // MIs[0] policy
     /* 1661625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1661652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661677 */     // GIR_Coverage, 5941,
     /* 1661677 */     GIR_EraseRootFromParent_Done,
     /* 1661678 */   // Label 21576: @1661678
     /* 1661678 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1661782), // Rule ID 5944 //
     /* 1661683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1661694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1661697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1661700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1661703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661729 */     // MIs[0] policy
     /* 1661729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661781 */     // GIR_Coverage, 5944,
     /* 1661781 */     GIR_EraseRootFromParent_Done,
     /* 1661782 */   // Label 21577: @1661782
     /* 1661782 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1661886), // Rule ID 5945 //
     /* 1661787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1661798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1661801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1661804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1661807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1661810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661833 */     // MIs[0] policy
     /* 1661833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1661860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661885 */     // GIR_Coverage, 5945,
     /* 1661885 */     GIR_EraseRootFromParent_Done,
     /* 1661886 */   // Label 21578: @1661886
     /* 1661886 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1661990), // Rule ID 5948 //
     /* 1661891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1661899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1661902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1661905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1661908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1661911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1661914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661937 */     // MIs[0] policy
     /* 1661937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1661951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1661957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1661961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1661964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1661978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661989 */     // GIR_Coverage, 5948,
     /* 1661989 */     GIR_EraseRootFromParent_Done,
     /* 1661990 */   // Label 21579: @1661990
     /* 1661990 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1662094), // Rule ID 5949 //
     /* 1661995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1662006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1662009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1662012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1662015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1662018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662041 */     // MIs[0] policy
     /* 1662041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662093 */     // GIR_Coverage, 5949,
     /* 1662093 */     GIR_EraseRootFromParent_Done,
     /* 1662094 */   // Label 21580: @1662094
     /* 1662094 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1662198), // Rule ID 5952 //
     /* 1662099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1662110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1662113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1662116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1662119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662145 */     // MIs[0] policy
     /* 1662145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662197 */     // GIR_Coverage, 5952,
     /* 1662197 */     GIR_EraseRootFromParent_Done,
     /* 1662198 */   // Label 21581: @1662198
     /* 1662198 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1662302), // Rule ID 5953 //
     /* 1662203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1662214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1662217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1662220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1662223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662249 */     // MIs[0] policy
     /* 1662249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662301 */     // GIR_Coverage, 5953,
     /* 1662301 */     GIR_EraseRootFromParent_Done,
     /* 1662302 */   // Label 21582: @1662302
     /* 1662302 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1662406), // Rule ID 5956 //
     /* 1662307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1662318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1662321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1662324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1662327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662353 */     // MIs[0] policy
     /* 1662353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662405 */     // GIR_Coverage, 5956,
     /* 1662405 */     GIR_EraseRootFromParent_Done,
     /* 1662406 */   // Label 21583: @1662406
     /* 1662406 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1662510), // Rule ID 5957 //
     /* 1662411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1662422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1662425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1662428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1662431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662457 */     // MIs[0] policy
     /* 1662457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1662484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662509 */     // GIR_Coverage, 5957,
     /* 1662509 */     GIR_EraseRootFromParent_Done,
     /* 1662510 */   // Label 21584: @1662510
     /* 1662510 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1662614), // Rule ID 5960 //
     /* 1662515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1662526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1662529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1662532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1662535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662561 */     // MIs[0] policy
     /* 1662561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662613 */     // GIR_Coverage, 5960,
     /* 1662613 */     GIR_EraseRootFromParent_Done,
     /* 1662614 */   // Label 21585: @1662614
     /* 1662614 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1662718), // Rule ID 5961 //
     /* 1662619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1662630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1662633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1662636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1662639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1662642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1662649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1662661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662665 */     // MIs[0] policy
     /* 1662665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1662692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662717 */     // GIR_Coverage, 5961,
     /* 1662717 */     GIR_EraseRootFromParent_Done,
     /* 1662718 */   // Label 21586: @1662718
     /* 1662718 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1662822), // Rule ID 5964 //
     /* 1662723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1662743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662769 */     // MIs[0] policy
     /* 1662769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662821 */     // GIR_Coverage, 5964,
     /* 1662821 */     GIR_EraseRootFromParent_Done,
     /* 1662822 */   // Label 21587: @1662822
     /* 1662822 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1662926), // Rule ID 5965 //
     /* 1662827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1662830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1662838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1662841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1662844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1662847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1662857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1662869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662873 */     // MIs[0] policy
     /* 1662873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1662897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1662900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1662914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1662922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662925 */     // GIR_Coverage, 5965,
     /* 1662925 */     GIR_EraseRootFromParent_Done,
     /* 1662926 */   // Label 21588: @1662926
     /* 1662926 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1663030), // Rule ID 5968 //
     /* 1662931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1662939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1662942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1662945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1662948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1662951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1662961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1662973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662977 */     // MIs[0] policy
     /* 1662977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1662991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1662997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663029 */     // GIR_Coverage, 5968,
     /* 1663029 */     GIR_EraseRootFromParent_Done,
     /* 1663030 */   // Label 21589: @1663030
     /* 1663030 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1663134), // Rule ID 5969 //
     /* 1663035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1663046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1663049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1663052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1663055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663081 */     // MIs[0] policy
     /* 1663081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1663108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663133 */     // GIR_Coverage, 5969,
     /* 1663133 */     GIR_EraseRootFromParent_Done,
     /* 1663134 */   // Label 21590: @1663134
     /* 1663134 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1663238), // Rule ID 5972 //
     /* 1663139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1663142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1663159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663185 */     // MIs[0] policy
     /* 1663185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663237 */     // GIR_Coverage, 5972,
     /* 1663237 */     GIR_EraseRootFromParent_Done,
     /* 1663238 */   // Label 21591: @1663238
     /* 1663238 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1663342), // Rule ID 5973 //
     /* 1663243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1663254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1663257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1663260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1663263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663289 */     // MIs[0] policy
     /* 1663289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1663316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663341 */     // GIR_Coverage, 5973,
     /* 1663341 */     GIR_EraseRootFromParent_Done,
     /* 1663342 */   // Label 21592: @1663342
     /* 1663342 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1663446), // Rule ID 5976 //
     /* 1663347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1663358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1663361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1663364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663393 */     // MIs[0] policy
     /* 1663393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663403 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1663420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663445 */     // GIR_Coverage, 5976,
     /* 1663445 */     GIR_EraseRootFromParent_Done,
     /* 1663446 */   // Label 21593: @1663446
     /* 1663446 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1663550), // Rule ID 5977 //
     /* 1663451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1663462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1663465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1663468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663497 */     // MIs[0] policy
     /* 1663497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663507 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1663524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663549 */     // GIR_Coverage, 5977,
     /* 1663549 */     GIR_EraseRootFromParent_Done,
     /* 1663550 */   // Label 21594: @1663550
     /* 1663550 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1663654), // Rule ID 5980 //
     /* 1663555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1663566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1663569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1663572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663601 */     // MIs[0] policy
     /* 1663601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1663628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663653 */     // GIR_Coverage, 5980,
     /* 1663653 */     GIR_EraseRootFromParent_Done,
     /* 1663654 */   // Label 21595: @1663654
     /* 1663654 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1663758), // Rule ID 5981 //
     /* 1663659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1663670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1663673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1663676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1663682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663705 */     // MIs[0] policy
     /* 1663705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1663732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663757 */     // GIR_Coverage, 5981,
     /* 1663757 */     GIR_EraseRootFromParent_Done,
     /* 1663758 */   // Label 21596: @1663758
     /* 1663758 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1663862), // Rule ID 5984 //
     /* 1663763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1663774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1663777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1663780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663809 */     // MIs[0] policy
     /* 1663809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1663836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663861 */     // GIR_Coverage, 5984,
     /* 1663861 */     GIR_EraseRootFromParent_Done,
     /* 1663862 */   // Label 21597: @1663862
     /* 1663862 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1663966), // Rule ID 5985 //
     /* 1663867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1663878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1663881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1663884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1663890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663913 */     // MIs[0] policy
     /* 1663913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1663927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1663933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1663937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1663940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1663954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663965 */     // GIR_Coverage, 5985,
     /* 1663965 */     GIR_EraseRootFromParent_Done,
     /* 1663966 */   // Label 21598: @1663966
     /* 1663966 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1664070), // Rule ID 5988 //
     /* 1663971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1663979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1663982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1663985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1663988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664017 */     // MIs[0] policy
     /* 1664017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664069 */     // GIR_Coverage, 5988,
     /* 1664069 */     GIR_EraseRootFromParent_Done,
     /* 1664070 */   // Label 21599: @1664070
     /* 1664070 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1664174), // Rule ID 5989 //
     /* 1664075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1664086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1664089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1664092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664121 */     // MIs[0] policy
     /* 1664121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1664148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664173 */     // GIR_Coverage, 5989,
     /* 1664173 */     GIR_EraseRootFromParent_Done,
     /* 1664174 */   // Label 21600: @1664174
     /* 1664174 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1664278), // Rule ID 5992 //
     /* 1664179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1664190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1664193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1664196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664225 */     // MIs[0] policy
     /* 1664225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664277 */     // GIR_Coverage, 5992,
     /* 1664277 */     GIR_EraseRootFromParent_Done,
     /* 1664278 */   // Label 21601: @1664278
     /* 1664278 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1664382), // Rule ID 5993 //
     /* 1664283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1664294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1664297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1664300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664329 */     // MIs[0] policy
     /* 1664329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664381 */     // GIR_Coverage, 5993,
     /* 1664381 */     GIR_EraseRootFromParent_Done,
     /* 1664382 */   // Label 21602: @1664382
     /* 1664382 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1664486), // Rule ID 5996 //
     /* 1664387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1664398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1664401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1664404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664433 */     // MIs[0] policy
     /* 1664433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664485 */     // GIR_Coverage, 5996,
     /* 1664485 */     GIR_EraseRootFromParent_Done,
     /* 1664486 */   // Label 21603: @1664486
     /* 1664486 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1664590), // Rule ID 5997 //
     /* 1664491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1664502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1664505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1664508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1664514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664537 */     // MIs[0] policy
     /* 1664537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1664564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664589 */     // GIR_Coverage, 5997,
     /* 1664589 */     GIR_EraseRootFromParent_Done,
     /* 1664590 */   // Label 21604: @1664590
     /* 1664590 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1664694), // Rule ID 6000 //
     /* 1664595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1664606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1664609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1664612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664641 */     // MIs[0] policy
     /* 1664641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1664668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664693 */     // GIR_Coverage, 6000,
     /* 1664693 */     GIR_EraseRootFromParent_Done,
     /* 1664694 */   // Label 21605: @1664694
     /* 1664694 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1664798), // Rule ID 6001 //
     /* 1664699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1664710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1664713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1664716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664745 */     // MIs[0] policy
     /* 1664745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11130:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1664772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1664794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664797 */     // GIR_Coverage, 6001,
     /* 1664797 */     GIR_EraseRootFromParent_Done,
     /* 1664798 */   // Label 21606: @1664798
     /* 1664798 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1664902), // Rule ID 6004 //
     /* 1664803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1664814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1664817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1664820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664849 */     // MIs[0] policy
     /* 1664849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1664876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664901 */     // GIR_Coverage, 6004,
     /* 1664901 */     GIR_EraseRootFromParent_Done,
     /* 1664902 */   // Label 21607: @1664902
     /* 1664902 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1665006), // Rule ID 6005 //
     /* 1664907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1664915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1664918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1664921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1664924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1664937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1664945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664953 */     // MIs[0] policy
     /* 1664953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11130:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1664967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1664973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1664977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1664980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1664994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665005 */     // GIR_Coverage, 6005,
     /* 1665005 */     GIR_EraseRootFromParent_Done,
     /* 1665006 */   // Label 21608: @1665006
     /* 1665006 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1665110), // Rule ID 6008 //
     /* 1665011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665057 */     // MIs[0] policy
     /* 1665057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665109 */     // GIR_Coverage, 6008,
     /* 1665109 */     GIR_EraseRootFromParent_Done,
     /* 1665110 */   // Label 21609: @1665110
     /* 1665110 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1665214), // Rule ID 6009 //
     /* 1665115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1665126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1665129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1665132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665161 */     // MIs[0] policy
     /* 1665161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1665210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665213 */     // GIR_Coverage, 6009,
     /* 1665213 */     GIR_EraseRootFromParent_Done,
     /* 1665214 */   // Label 21610: @1665214
     /* 1665214 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1665318), // Rule ID 6012 //
     /* 1665219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665265 */     // MIs[0] policy
     /* 1665265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665317 */     // GIR_Coverage, 6012,
     /* 1665317 */     GIR_EraseRootFromParent_Done,
     /* 1665318 */   // Label 21611: @1665318
     /* 1665318 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1665422), // Rule ID 6013 //
     /* 1665323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1665334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1665337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1665340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665369 */     // MIs[0] policy
     /* 1665369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1665396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665421 */     // GIR_Coverage, 6013,
     /* 1665421 */     GIR_EraseRootFromParent_Done,
     /* 1665422 */   // Label 21612: @1665422
     /* 1665422 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1665526), // Rule ID 6016 //
     /* 1665427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1665438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1665441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1665444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665473 */     // MIs[0] policy
     /* 1665473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665525 */     // GIR_Coverage, 6016,
     /* 1665525 */     GIR_EraseRootFromParent_Done,
     /* 1665526 */   // Label 21613: @1665526
     /* 1665526 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1665630), // Rule ID 6017 //
     /* 1665531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1665542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1665545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1665548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1665554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1665561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1665569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665577 */     // MIs[0] policy
     /* 1665577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1665604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665629 */     // GIR_Coverage, 6017,
     /* 1665629 */     GIR_EraseRootFromParent_Done,
     /* 1665630 */   // Label 21614: @1665630
     /* 1665630 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1665734), // Rule ID 6020 //
     /* 1665635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1665646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1665649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1665652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665681 */     // MIs[0] policy
     /* 1665681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665691 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665733 */     // GIR_Coverage, 6020,
     /* 1665733 */     GIR_EraseRootFromParent_Done,
     /* 1665734 */   // Label 21615: @1665734
     /* 1665734 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1665838), // Rule ID 6021 //
     /* 1665739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1665750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1665753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1665756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1665762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1665769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1665777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665785 */     // MIs[0] policy
     /* 1665785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665795 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1665812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665837 */     // GIR_Coverage, 6021,
     /* 1665837 */     GIR_EraseRootFromParent_Done,
     /* 1665838 */   // Label 21616: @1665838
     /* 1665838 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1665942), // Rule ID 6024 //
     /* 1665843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1665854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1665857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1665860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1665866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665889 */     // MIs[0] policy
     /* 1665889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1665903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1665909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1665913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1665916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1665930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665941 */     // GIR_Coverage, 6024,
     /* 1665941 */     GIR_EraseRootFromParent_Done,
     /* 1665942 */   // Label 21617: @1665942
     /* 1665942 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1666046), // Rule ID 6025 //
     /* 1665947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1665958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1665961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1665964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1665970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665993 */     // MIs[0] policy
     /* 1665993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666045 */     // GIR_Coverage, 6025,
     /* 1666045 */     GIR_EraseRootFromParent_Done,
     /* 1666046 */   // Label 21618: @1666046
     /* 1666046 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1666150), // Rule ID 6028 //
     /* 1666051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666097 */     // MIs[0] policy
     /* 1666097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666149 */     // GIR_Coverage, 6028,
     /* 1666149 */     GIR_EraseRootFromParent_Done,
     /* 1666150 */   // Label 21619: @1666150
     /* 1666150 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1666254), // Rule ID 6029 //
     /* 1666155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1666166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1666169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1666172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666201 */     // MIs[0] policy
     /* 1666201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666211 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666253 */     // GIR_Coverage, 6029,
     /* 1666253 */     GIR_EraseRootFromParent_Done,
     /* 1666254 */   // Label 21620: @1666254
     /* 1666254 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1666358), // Rule ID 6032 //
     /* 1666259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666305 */     // MIs[0] policy
     /* 1666305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666357 */     // GIR_Coverage, 6032,
     /* 1666357 */     GIR_EraseRootFromParent_Done,
     /* 1666358 */   // Label 21621: @1666358
     /* 1666358 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1666462), // Rule ID 6033 //
     /* 1666363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1666374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1666377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1666380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666409 */     // MIs[0] policy
     /* 1666409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666461 */     // GIR_Coverage, 6033,
     /* 1666461 */     GIR_EraseRootFromParent_Done,
     /* 1666462 */   // Label 21622: @1666462
     /* 1666462 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1666566), // Rule ID 6036 //
     /* 1666467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1666478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1666481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1666484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666513 */     // MIs[0] policy
     /* 1666513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666565 */     // GIR_Coverage, 6036,
     /* 1666565 */     GIR_EraseRootFromParent_Done,
     /* 1666566 */   // Label 21623: @1666566
     /* 1666566 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1666670), // Rule ID 6037 //
     /* 1666571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1666582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1666585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1666588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1666594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1666601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1666609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666617 */     // MIs[0] policy
     /* 1666617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1666644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666669 */     // GIR_Coverage, 6037,
     /* 1666669 */     GIR_EraseRootFromParent_Done,
     /* 1666670 */   // Label 21624: @1666670
     /* 1666670 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1666774), // Rule ID 6040 //
     /* 1666675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1666686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1666689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1666692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666721 */     // MIs[0] policy
     /* 1666721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666773 */     // GIR_Coverage, 6040,
     /* 1666773 */     GIR_EraseRootFromParent_Done,
     /* 1666774 */   // Label 21625: @1666774
     /* 1666774 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1666878), // Rule ID 6041 //
     /* 1666779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1666790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1666793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1666796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1666799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666825 */     // MIs[0] policy
     /* 1666825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1666852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666877 */     // GIR_Coverage, 6041,
     /* 1666877 */     GIR_EraseRootFromParent_Done,
     /* 1666878 */   // Label 21626: @1666878
     /* 1666878 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1666982), // Rule ID 6044 //
     /* 1666883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1666894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1666897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1666900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1666903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1666913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1666921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1666925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666929 */     // MIs[0] policy
     /* 1666929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1666943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1666949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1666953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1666956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1666970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666981 */     // GIR_Coverage, 6044,
     /* 1666981 */     GIR_EraseRootFromParent_Done,
     /* 1666982 */   // Label 21627: @1666982
     /* 1666982 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1667086), // Rule ID 6045 //
     /* 1666987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1666998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1667001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1667004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667033 */     // MIs[0] policy
     /* 1667033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667085 */     // GIR_Coverage, 6045,
     /* 1667085 */     GIR_EraseRootFromParent_Done,
     /* 1667086 */   // Label 21628: @1667086
     /* 1667086 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1667190), // Rule ID 6048 //
     /* 1667091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667137 */     // MIs[0] policy
     /* 1667137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667189 */     // GIR_Coverage, 6048,
     /* 1667189 */     GIR_EraseRootFromParent_Done,
     /* 1667190 */   // Label 21629: @1667190
     /* 1667190 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1667294), // Rule ID 6049 //
     /* 1667195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1667206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1667209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1667212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667241 */     // MIs[0] policy
     /* 1667241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1667290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667293 */     // GIR_Coverage, 6049,
     /* 1667293 */     GIR_EraseRootFromParent_Done,
     /* 1667294 */   // Label 21630: @1667294
     /* 1667294 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1667398), // Rule ID 6052 //
     /* 1667299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667345 */     // MIs[0] policy
     /* 1667345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667397 */     // GIR_Coverage, 6052,
     /* 1667397 */     GIR_EraseRootFromParent_Done,
     /* 1667398 */   // Label 21631: @1667398
     /* 1667398 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1667502), // Rule ID 6053 //
     /* 1667403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1667414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1667417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1667420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1667426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667449 */     // MIs[0] policy
     /* 1667449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1667476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667501 */     // GIR_Coverage, 6053,
     /* 1667501 */     GIR_EraseRootFromParent_Done,
     /* 1667502 */   // Label 21632: @1667502
     /* 1667502 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1667606), // Rule ID 6056 //
     /* 1667507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667553 */     // MIs[0] policy
     /* 1667553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667605 */     // GIR_Coverage, 6056,
     /* 1667605 */     GIR_EraseRootFromParent_Done,
     /* 1667606 */   // Label 21633: @1667606
     /* 1667606 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1667710), // Rule ID 6057 //
     /* 1667611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1667622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1667625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1667628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667657 */     // MIs[0] policy
     /* 1667657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1667684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667709 */     // GIR_Coverage, 6057,
     /* 1667709 */     GIR_EraseRootFromParent_Done,
     /* 1667710 */   // Label 21634: @1667710
     /* 1667710 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1667814), // Rule ID 6060 //
     /* 1667715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1667718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1667726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1667729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1667732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1667735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667761 */     // MIs[0] policy
     /* 1667761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667771 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667813 */     // GIR_Coverage, 6060,
     /* 1667813 */     GIR_EraseRootFromParent_Done,
     /* 1667814 */   // Label 21635: @1667814
     /* 1667814 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1667918), // Rule ID 6061 //
     /* 1667819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1667822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1667830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1667833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1667836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1667839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1667861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667865 */     // MIs[0] policy
     /* 1667865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1667892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1667906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1667914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667917 */     // GIR_Coverage, 6061,
     /* 1667917 */     GIR_EraseRootFromParent_Done,
     /* 1667918 */   // Label 21636: @1667918
     /* 1667918 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1668022), // Rule ID 6152 //
     /* 1667923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1667931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1667934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1667937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1667940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1667943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1667946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1667953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1667965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667969 */     // MIs[0] policy
     /* 1667969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667979 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1667983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1667989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1667993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1667996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668021 */     // GIR_Coverage, 6152,
     /* 1668021 */     GIR_EraseRootFromParent_Done,
     /* 1668022 */   // Label 21637: @1668022
     /* 1668022 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1668126), // Rule ID 6153 //
     /* 1668027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1668047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668073 */     // MIs[0] policy
     /* 1668073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1668100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668125 */     // GIR_Coverage, 6153,
     /* 1668125 */     GIR_EraseRootFromParent_Done,
     /* 1668126 */   // Label 21638: @1668126
     /* 1668126 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1668230), // Rule ID 6156 //
     /* 1668131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668177 */     // MIs[0] policy
     /* 1668177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668229 */     // GIR_Coverage, 6156,
     /* 1668229 */     GIR_EraseRootFromParent_Done,
     /* 1668230 */   // Label 21639: @1668230
     /* 1668230 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1668334), // Rule ID 6157 //
     /* 1668235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1668246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1668249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1668252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1668255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668281 */     // MIs[0] policy
     /* 1668281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668291 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668333 */     // GIR_Coverage, 6157,
     /* 1668333 */     GIR_EraseRootFromParent_Done,
     /* 1668334 */   // Label 21640: @1668334
     /* 1668334 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1668438), // Rule ID 6160 //
     /* 1668339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668385 */     // MIs[0] policy
     /* 1668385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668395 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668437 */     // GIR_Coverage, 6160,
     /* 1668437 */     GIR_EraseRootFromParent_Done,
     /* 1668438 */   // Label 21641: @1668438
     /* 1668438 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1668542), // Rule ID 6161 //
     /* 1668443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1668454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1668457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1668460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1668463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668489 */     // MIs[0] policy
     /* 1668489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1668538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668541 */     // GIR_Coverage, 6161,
     /* 1668541 */     GIR_EraseRootFromParent_Done,
     /* 1668542 */   // Label 21642: @1668542
     /* 1668542 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1668646), // Rule ID 6164 //
     /* 1668547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668593 */     // MIs[0] policy
     /* 1668593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668645 */     // GIR_Coverage, 6164,
     /* 1668645 */     GIR_EraseRootFromParent_Done,
     /* 1668646 */   // Label 21643: @1668646
     /* 1668646 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1668750), // Rule ID 6165 //
     /* 1668651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1668662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1668665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1668668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1668671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668697 */     // MIs[0] policy
     /* 1668697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1668724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668749 */     // GIR_Coverage, 6165,
     /* 1668749 */     GIR_EraseRootFromParent_Done,
     /* 1668750 */   // Label 21644: @1668750
     /* 1668750 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1668854), // Rule ID 6168 //
     /* 1668755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668801 */     // MIs[0] policy
     /* 1668801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668853 */     // GIR_Coverage, 6168,
     /* 1668853 */     GIR_EraseRootFromParent_Done,
     /* 1668854 */   // Label 21645: @1668854
     /* 1668854 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1668958), // Rule ID 6169 //
     /* 1668859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1668870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1668873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1668876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1668879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668905 */     // MIs[0] policy
     /* 1668905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1668919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1668925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1668929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1668932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1668946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1668954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668957 */     // GIR_Coverage, 6169,
     /* 1668957 */     GIR_EraseRootFromParent_Done,
     /* 1668958 */   // Label 21646: @1668958
     /* 1668958 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1669062), // Rule ID 6172 //
     /* 1668963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1668971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1668974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1668977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1668980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1668983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669009 */     // MIs[0] policy
     /* 1669009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669019 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669061 */     // GIR_Coverage, 6172,
     /* 1669061 */     GIR_EraseRootFromParent_Done,
     /* 1669062 */   // Label 21647: @1669062
     /* 1669062 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1669166), // Rule ID 6173 //
     /* 1669067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1669087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669113 */     // MIs[0] policy
     /* 1669113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1669140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669165 */     // GIR_Coverage, 6173,
     /* 1669165 */     GIR_EraseRootFromParent_Done,
     /* 1669166 */   // Label 21648: @1669166
     /* 1669166 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1669270), // Rule ID 6176 //
     /* 1669171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669217 */     // MIs[0] policy
     /* 1669217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669269 */     // GIR_Coverage, 6176,
     /* 1669269 */     GIR_EraseRootFromParent_Done,
     /* 1669270 */   // Label 21649: @1669270
     /* 1669270 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1669374), // Rule ID 6177 //
     /* 1669275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1669286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1669289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1669292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1669295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1669298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669321 */     // MIs[0] policy
     /* 1669321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669373 */     // GIR_Coverage, 6177,
     /* 1669373 */     GIR_EraseRootFromParent_Done,
     /* 1669374 */   // Label 21650: @1669374
     /* 1669374 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1669478), // Rule ID 6180 //
     /* 1669379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669425 */     // MIs[0] policy
     /* 1669425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669477 */     // GIR_Coverage, 6180,
     /* 1669477 */     GIR_EraseRootFromParent_Done,
     /* 1669478 */   // Label 21651: @1669478
     /* 1669478 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1669582), // Rule ID 6181 //
     /* 1669483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1669494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1669497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1669500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1669503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669529 */     // MIs[0] policy
     /* 1669529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669581 */     // GIR_Coverage, 6181,
     /* 1669581 */     GIR_EraseRootFromParent_Done,
     /* 1669582 */   // Label 21652: @1669582
     /* 1669582 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1669686), // Rule ID 6184 //
     /* 1669587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669633 */     // MIs[0] policy
     /* 1669633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669685 */     // GIR_Coverage, 6184,
     /* 1669685 */     GIR_EraseRootFromParent_Done,
     /* 1669686 */   // Label 21653: @1669686
     /* 1669686 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1669790), // Rule ID 6185 //
     /* 1669691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1669702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1669705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1669708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1669711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669737 */     // MIs[0] policy
     /* 1669737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669789 */     // GIR_Coverage, 6185,
     /* 1669789 */     GIR_EraseRootFromParent_Done,
     /* 1669790 */   // Label 21654: @1669790
     /* 1669790 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1669894), // Rule ID 6188 //
     /* 1669795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1669798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669841 */     // MIs[0] policy
     /* 1669841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669893 */     // GIR_Coverage, 6188,
     /* 1669893 */     GIR_EraseRootFromParent_Done,
     /* 1669894 */   // Label 21655: @1669894
     /* 1669894 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1669998), // Rule ID 6189 //
     /* 1669899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1669902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1669907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1669910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1669913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1669916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1669919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669945 */     // MIs[0] policy
     /* 1669945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1669959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1669965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1669969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1669972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1669986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1669994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669997 */     // GIR_Coverage, 6189,
     /* 1669997 */     GIR_EraseRootFromParent_Done,
     /* 1669998 */   // Label 21656: @1669998
     /* 1669998 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1670102), // Rule ID 6192 //
     /* 1670003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670049 */     // MIs[0] policy
     /* 1670049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670101 */     // GIR_Coverage, 6192,
     /* 1670101 */     GIR_EraseRootFromParent_Done,
     /* 1670102 */   // Label 21657: @1670102
     /* 1670102 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1670206), // Rule ID 6193 //
     /* 1670107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1670127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670153 */     // MIs[0] policy
     /* 1670153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670163 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670205 */     // GIR_Coverage, 6193,
     /* 1670205 */     GIR_EraseRootFromParent_Done,
     /* 1670206 */   // Label 21658: @1670206
     /* 1670206 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1670310), // Rule ID 6196 //
     /* 1670211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670257 */     // MIs[0] policy
     /* 1670257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670309 */     // GIR_Coverage, 6196,
     /* 1670309 */     GIR_EraseRootFromParent_Done,
     /* 1670310 */   // Label 21659: @1670310
     /* 1670310 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1670414), // Rule ID 6197 //
     /* 1670315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1670335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670361 */     // MIs[0] policy
     /* 1670361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670413 */     // GIR_Coverage, 6197,
     /* 1670413 */     GIR_EraseRootFromParent_Done,
     /* 1670414 */   // Label 21660: @1670414
     /* 1670414 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1670518), // Rule ID 6200 //
     /* 1670419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670465 */     // MIs[0] policy
     /* 1670465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670517 */     // GIR_Coverage, 6200,
     /* 1670517 */     GIR_EraseRootFromParent_Done,
     /* 1670518 */   // Label 21661: @1670518
     /* 1670518 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1670622), // Rule ID 6201 //
     /* 1670523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1670534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1670537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1670540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1670543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1670546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1670553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1670565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670569 */     // MIs[0] policy
     /* 1670569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670579 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1670596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670621 */     // GIR_Coverage, 6201,
     /* 1670621 */     GIR_EraseRootFromParent_Done,
     /* 1670622 */   // Label 21662: @1670622
     /* 1670622 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1670726), // Rule ID 6204 //
     /* 1670627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670673 */     // MIs[0] policy
     /* 1670673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670725 */     // GIR_Coverage, 6204,
     /* 1670725 */     GIR_EraseRootFromParent_Done,
     /* 1670726 */   // Label 21663: @1670726
     /* 1670726 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1670830), // Rule ID 6205 //
     /* 1670731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1670742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1670745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1670748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1670751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670777 */     // MIs[0] policy
     /* 1670777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1670804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670829 */     // GIR_Coverage, 6205,
     /* 1670829 */     GIR_EraseRootFromParent_Done,
     /* 1670830 */   // Label 21664: @1670830
     /* 1670830 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1670934), // Rule ID 6208 //
     /* 1670835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670881 */     // MIs[0] policy
     /* 1670881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1670901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1670905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1670908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1670922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670933 */     // GIR_Coverage, 6208,
     /* 1670933 */     GIR_EraseRootFromParent_Done,
     /* 1670934 */   // Label 21665: @1670934
     /* 1670934 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1671038), // Rule ID 6209 //
     /* 1670939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1670947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1670950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1670953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1670956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1670959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670985 */     // MIs[0] policy
     /* 1670985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1670999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671037 */     // GIR_Coverage, 6209,
     /* 1671037 */     GIR_EraseRootFromParent_Done,
     /* 1671038 */   // Label 21666: @1671038
     /* 1671038 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1671142), // Rule ID 6212 //
     /* 1671043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671089 */     // MIs[0] policy
     /* 1671089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671141 */     // GIR_Coverage, 6212,
     /* 1671141 */     GIR_EraseRootFromParent_Done,
     /* 1671142 */   // Label 21667: @1671142
     /* 1671142 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1671246), // Rule ID 6213 //
     /* 1671147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1671167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671193 */     // MIs[0] policy
     /* 1671193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671245 */     // GIR_Coverage, 6213,
     /* 1671245 */     GIR_EraseRootFromParent_Done,
     /* 1671246 */   // Label 21668: @1671246
     /* 1671246 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1671350), // Rule ID 6216 //
     /* 1671251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671297 */     // MIs[0] policy
     /* 1671297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671349 */     // GIR_Coverage, 6216,
     /* 1671349 */     GIR_EraseRootFromParent_Done,
     /* 1671350 */   // Label 21669: @1671350
     /* 1671350 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1671454), // Rule ID 6217 //
     /* 1671355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1671375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671401 */     // MIs[0] policy
     /* 1671401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671453 */     // GIR_Coverage, 6217,
     /* 1671453 */     GIR_EraseRootFromParent_Done,
     /* 1671454 */   // Label 21670: @1671454
     /* 1671454 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1671558), // Rule ID 6220 //
     /* 1671459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671505 */     // MIs[0] policy
     /* 1671505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671557 */     // GIR_Coverage, 6220,
     /* 1671557 */     GIR_EraseRootFromParent_Done,
     /* 1671558 */   // Label 21671: @1671558
     /* 1671558 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1671662), // Rule ID 6221 //
     /* 1671563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1671583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671609 */     // MIs[0] policy
     /* 1671609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1671636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671661 */     // GIR_Coverage, 6221,
     /* 1671661 */     GIR_EraseRootFromParent_Done,
     /* 1671662 */   // Label 21672: @1671662
     /* 1671662 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1671766), // Rule ID 6224 //
     /* 1671667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671713 */     // MIs[0] policy
     /* 1671713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671765 */     // GIR_Coverage, 6224,
     /* 1671765 */     GIR_EraseRootFromParent_Done,
     /* 1671766 */   // Label 21673: @1671766
     /* 1671766 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1671870), // Rule ID 6225 //
     /* 1671771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1671782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1671785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1671788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1671791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671817 */     // MIs[0] policy
     /* 1671817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1671844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671869 */     // GIR_Coverage, 6225,
     /* 1671869 */     GIR_EraseRootFromParent_Done,
     /* 1671870 */   // Label 21674: @1671870
     /* 1671870 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1671974), // Rule ID 6228 //
     /* 1671875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1671878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1671898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671921 */     // MIs[0] policy
     /* 1671921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1671935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1671941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1671945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1671948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1671962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1671970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671973 */     // GIR_Coverage, 6228,
     /* 1671973 */     GIR_EraseRootFromParent_Done,
     /* 1671974 */   // Label 21675: @1671974
     /* 1671974 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1672078), // Rule ID 6229 //
     /* 1671979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1671982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1671987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1671990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1671993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1671996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1671999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672025 */     // MIs[0] policy
     /* 1672025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1672052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672077 */     // GIR_Coverage, 6229,
     /* 1672077 */     GIR_EraseRootFromParent_Done,
     /* 1672078 */   // Label 21676: @1672078
     /* 1672078 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1672182), // Rule ID 6232 //
     /* 1672083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672129 */     // MIs[0] policy
     /* 1672129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1672156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672181 */     // GIR_Coverage, 6232,
     /* 1672181 */     GIR_EraseRootFromParent_Done,
     /* 1672182 */   // Label 21677: @1672182
     /* 1672182 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1672286), // Rule ID 6233 //
     /* 1672187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1672207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672233 */     // MIs[0] policy
     /* 1672233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1672260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672285 */     // GIR_Coverage, 6233,
     /* 1672285 */     GIR_EraseRootFromParent_Done,
     /* 1672286 */   // Label 21678: @1672286
     /* 1672286 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1672390), // Rule ID 6236 //
     /* 1672291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672337 */     // MIs[0] policy
     /* 1672337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1672364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672389 */     // GIR_Coverage, 6236,
     /* 1672389 */     GIR_EraseRootFromParent_Done,
     /* 1672390 */   // Label 21679: @1672390
     /* 1672390 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1672494), // Rule ID 6237 //
     /* 1672395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1672415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672441 */     // MIs[0] policy
     /* 1672441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1672468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672493 */     // GIR_Coverage, 6237,
     /* 1672493 */     GIR_EraseRootFromParent_Done,
     /* 1672494 */   // Label 21680: @1672494
     /* 1672494 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1672598), // Rule ID 6240 //
     /* 1672499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672545 */     // MIs[0] policy
     /* 1672545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1672572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672597 */     // GIR_Coverage, 6240,
     /* 1672597 */     GIR_EraseRootFromParent_Done,
     /* 1672598 */   // Label 21681: @1672598
     /* 1672598 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1672702), // Rule ID 6241 //
     /* 1672603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672649 */     // MIs[0] policy
     /* 1672649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1672676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672701 */     // GIR_Coverage, 6241,
     /* 1672701 */     GIR_EraseRootFromParent_Done,
     /* 1672702 */   // Label 21682: @1672702
     /* 1672702 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1672806), // Rule ID 6244 //
     /* 1672707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672753 */     // MIs[0] policy
     /* 1672753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672763 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672805 */     // GIR_Coverage, 6244,
     /* 1672805 */     GIR_EraseRootFromParent_Done,
     /* 1672806 */   // Label 21683: @1672806
     /* 1672806 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1672910), // Rule ID 6245 //
     /* 1672811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672857 */     // MIs[0] policy
     /* 1672857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1672884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1672898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672909 */     // GIR_Coverage, 6245,
     /* 1672909 */     GIR_EraseRootFromParent_Done,
     /* 1672910 */   // Label 21684: @1672910
     /* 1672910 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1673014), // Rule ID 6248 //
     /* 1672915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1672926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1672929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1672932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672961 */     // MIs[0] policy
     /* 1672961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1672975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1672981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1672985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1672988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673013 */     // GIR_Coverage, 6248,
     /* 1673013 */     GIR_EraseRootFromParent_Done,
     /* 1673014 */   // Label 21685: @1673014
     /* 1673014 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1673118), // Rule ID 6249 //
     /* 1673019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673065 */     // MIs[0] policy
     /* 1673065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673117 */     // GIR_Coverage, 6249,
     /* 1673117 */     GIR_EraseRootFromParent_Done,
     /* 1673118 */   // Label 21686: @1673118
     /* 1673118 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1673222), // Rule ID 6252 //
     /* 1673123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673169 */     // MIs[0] policy
     /* 1673169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1673196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673221 */     // GIR_Coverage, 6252,
     /* 1673221 */     GIR_EraseRootFromParent_Done,
     /* 1673222 */   // Label 21687: @1673222
     /* 1673222 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1673326), // Rule ID 6253 //
     /* 1673227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673273 */     // MIs[0] policy
     /* 1673273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1673300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673325 */     // GIR_Coverage, 6253,
     /* 1673325 */     GIR_EraseRootFromParent_Done,
     /* 1673326 */   // Label 21688: @1673326
     /* 1673326 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1673430), // Rule ID 6256 //
     /* 1673331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673377 */     // MIs[0] policy
     /* 1673377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673429 */     // GIR_Coverage, 6256,
     /* 1673429 */     GIR_EraseRootFromParent_Done,
     /* 1673430 */   // Label 21689: @1673430
     /* 1673430 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1673534), // Rule ID 6257 //
     /* 1673435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673481 */     // MIs[0] policy
     /* 1673481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673491 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673533 */     // GIR_Coverage, 6257,
     /* 1673533 */     GIR_EraseRootFromParent_Done,
     /* 1673534 */   // Label 21690: @1673534
     /* 1673534 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1673638), // Rule ID 6260 //
     /* 1673539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673585 */     // MIs[0] policy
     /* 1673585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673637 */     // GIR_Coverage, 6260,
     /* 1673637 */     GIR_EraseRootFromParent_Done,
     /* 1673638 */   // Label 21691: @1673638
     /* 1673638 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1673742), // Rule ID 6261 //
     /* 1673643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673689 */     // MIs[0] policy
     /* 1673689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1673716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673741 */     // GIR_Coverage, 6261,
     /* 1673741 */     GIR_EraseRootFromParent_Done,
     /* 1673742 */   // Label 21692: @1673742
     /* 1673742 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1673846), // Rule ID 6264 //
     /* 1673747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673793 */     // MIs[0] policy
     /* 1673793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673845 */     // GIR_Coverage, 6264,
     /* 1673845 */     GIR_EraseRootFromParent_Done,
     /* 1673846 */   // Label 21693: @1673846
     /* 1673846 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1673950), // Rule ID 6265 //
     /* 1673851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1673871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673897 */     // MIs[0] policy
     /* 1673897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11310:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1673911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1673917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1673921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1673924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1673938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673949 */     // GIR_Coverage, 6265,
     /* 1673949 */     GIR_EraseRootFromParent_Done,
     /* 1673950 */   // Label 21694: @1673950
     /* 1673950 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1674054), // Rule ID 6268 //
     /* 1673955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1673975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1673997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674001 */     // MIs[0] policy
     /* 1674001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674053 */     // GIR_Coverage, 6268,
     /* 1674053 */     GIR_EraseRootFromParent_Done,
     /* 1674054 */   // Label 21695: @1674054
     /* 1674054 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1674158), // Rule ID 6269 //
     /* 1674059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674105 */     // MIs[0] policy
     /* 1674105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11310:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674157 */     // GIR_Coverage, 6269,
     /* 1674157 */     GIR_EraseRootFromParent_Done,
     /* 1674158 */   // Label 21696: @1674158
     /* 1674158 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1674262), // Rule ID 6272 //
     /* 1674163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674209 */     // MIs[0] policy
     /* 1674209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674261 */     // GIR_Coverage, 6272,
     /* 1674261 */     GIR_EraseRootFromParent_Done,
     /* 1674262 */   // Label 21697: @1674262
     /* 1674262 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1674366), // Rule ID 6273 //
     /* 1674267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674313 */     // MIs[0] policy
     /* 1674313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674365 */     // GIR_Coverage, 6273,
     /* 1674365 */     GIR_EraseRootFromParent_Done,
     /* 1674366 */   // Label 21698: @1674366
     /* 1674366 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1674470), // Rule ID 6276 //
     /* 1674371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674417 */     // MIs[0] policy
     /* 1674417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674469 */     // GIR_Coverage, 6276,
     /* 1674469 */     GIR_EraseRootFromParent_Done,
     /* 1674470 */   // Label 21699: @1674470
     /* 1674470 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1674574), // Rule ID 6277 //
     /* 1674475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674521 */     // MIs[0] policy
     /* 1674521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1674548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674573 */     // GIR_Coverage, 6277,
     /* 1674573 */     GIR_EraseRootFromParent_Done,
     /* 1674574 */   // Label 21700: @1674574
     /* 1674574 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1674678), // Rule ID 6280 //
     /* 1674579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674625 */     // MIs[0] policy
     /* 1674625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674677 */     // GIR_Coverage, 6280,
     /* 1674677 */     GIR_EraseRootFromParent_Done,
     /* 1674678 */   // Label 21701: @1674678
     /* 1674678 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1674782), // Rule ID 6281 //
     /* 1674683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674729 */     // MIs[0] policy
     /* 1674729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1674756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674781 */     // GIR_Coverage, 6281,
     /* 1674781 */     GIR_EraseRootFromParent_Done,
     /* 1674782 */   // Label 21702: @1674782
     /* 1674782 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1674886), // Rule ID 6284 //
     /* 1674787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1674807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674833 */     // MIs[0] policy
     /* 1674833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674843 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674885 */     // GIR_Coverage, 6284,
     /* 1674885 */     GIR_EraseRootFromParent_Done,
     /* 1674886 */   // Label 21703: @1674886
     /* 1674886 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1674990), // Rule ID 6285 //
     /* 1674891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1674911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1674933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674937 */     // MIs[0] policy
     /* 1674937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1674951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1674957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1674961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1674964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1674978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674989 */     // GIR_Coverage, 6285,
     /* 1674989 */     GIR_EraseRootFromParent_Done,
     /* 1674990 */   // Label 21704: @1674990
     /* 1674990 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1675094), // Rule ID 6288 //
     /* 1674995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675041 */     // MIs[0] policy
     /* 1675041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675093 */     // GIR_Coverage, 6288,
     /* 1675093 */     GIR_EraseRootFromParent_Done,
     /* 1675094 */   // Label 21705: @1675094
     /* 1675094 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1675198), // Rule ID 6289 //
     /* 1675099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1675110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1675113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1675116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1675122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675145 */     // MIs[0] policy
     /* 1675145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675155 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1675194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675197 */     // GIR_Coverage, 6289,
     /* 1675197 */     GIR_EraseRootFromParent_Done,
     /* 1675198 */   // Label 21706: @1675198
     /* 1675198 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1675302), // Rule ID 6292 //
     /* 1675203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675249 */     // MIs[0] policy
     /* 1675249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675301 */     // GIR_Coverage, 6292,
     /* 1675301 */     GIR_EraseRootFromParent_Done,
     /* 1675302 */   // Label 21707: @1675302
     /* 1675302 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1675406), // Rule ID 6293 //
     /* 1675307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675353 */     // MIs[0] policy
     /* 1675353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675405 */     // GIR_Coverage, 6293,
     /* 1675405 */     GIR_EraseRootFromParent_Done,
     /* 1675406 */   // Label 21708: @1675406
     /* 1675406 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1675510), // Rule ID 6296 //
     /* 1675411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675457 */     // MIs[0] policy
     /* 1675457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675509 */     // GIR_Coverage, 6296,
     /* 1675509 */     GIR_EraseRootFromParent_Done,
     /* 1675510 */   // Label 21709: @1675510
     /* 1675510 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1675614), // Rule ID 6297 //
     /* 1675515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675561 */     // MIs[0] policy
     /* 1675561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1675588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675613 */     // GIR_Coverage, 6297,
     /* 1675613 */     GIR_EraseRootFromParent_Done,
     /* 1675614 */   // Label 21710: @1675614
     /* 1675614 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1675718), // Rule ID 6300 //
     /* 1675619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675665 */     // MIs[0] policy
     /* 1675665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675717 */     // GIR_Coverage, 6300,
     /* 1675717 */     GIR_EraseRootFromParent_Done,
     /* 1675718 */   // Label 21711: @1675718
     /* 1675718 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1675822), // Rule ID 6301 //
     /* 1675723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675769 */     // MIs[0] policy
     /* 1675769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1675796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675821 */     // GIR_Coverage, 6301,
     /* 1675821 */     GIR_EraseRootFromParent_Done,
     /* 1675822 */   // Label 21712: @1675822
     /* 1675822 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1675926), // Rule ID 6304 //
     /* 1675827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1675847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675873 */     // MIs[0] policy
     /* 1675873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1675897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1675900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1675914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675925 */     // GIR_Coverage, 6304,
     /* 1675925 */     GIR_EraseRootFromParent_Done,
     /* 1675926 */   // Label 21713: @1675926
     /* 1675926 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1676030), // Rule ID 6305 //
     /* 1675931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1675951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1675973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675977 */     // MIs[0] policy
     /* 1675977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1675991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1675997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1676004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676029 */     // GIR_Coverage, 6305,
     /* 1676029 */     GIR_EraseRootFromParent_Done,
     /* 1676030 */   // Label 21714: @1676030
     /* 1676030 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1676134), // Rule ID 6308 //
     /* 1676035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676081 */     // MIs[0] policy
     /* 1676081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1676108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676133 */     // GIR_Coverage, 6308,
     /* 1676133 */     GIR_EraseRootFromParent_Done,
     /* 1676134 */   // Label 21715: @1676134
     /* 1676134 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1676238), // Rule ID 6309 //
     /* 1676139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1676150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1676153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1676156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676185 */     // MIs[0] policy
     /* 1676185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1676212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676237 */     // GIR_Coverage, 6309,
     /* 1676237 */     GIR_EraseRootFromParent_Done,
     /* 1676238 */   // Label 21716: @1676238
     /* 1676238 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1676342), // Rule ID 6312 //
     /* 1676243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676289 */     // MIs[0] policy
     /* 1676289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1676316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676341 */     // GIR_Coverage, 6312,
     /* 1676341 */     GIR_EraseRootFromParent_Done,
     /* 1676342 */   // Label 21717: @1676342
     /* 1676342 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1676446), // Rule ID 6313 //
     /* 1676347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1676358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1676361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1676364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1676370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676393 */     // MIs[0] policy
     /* 1676393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1676420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676445 */     // GIR_Coverage, 6313,
     /* 1676445 */     GIR_EraseRootFromParent_Done,
     /* 1676446 */   // Label 21718: @1676446
     /* 1676446 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1676550), // Rule ID 6316 //
     /* 1676451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676497 */     // MIs[0] policy
     /* 1676497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1676524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676549 */     // GIR_Coverage, 6316,
     /* 1676549 */     GIR_EraseRootFromParent_Done,
     /* 1676550 */   // Label 21719: @1676550
     /* 1676550 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1676654), // Rule ID 6317 //
     /* 1676555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676601 */     // MIs[0] policy
     /* 1676601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1676628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676653 */     // GIR_Coverage, 6317,
     /* 1676653 */     GIR_EraseRootFromParent_Done,
     /* 1676654 */   // Label 21720: @1676654
     /* 1676654 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1676758), // Rule ID 6320 //
     /* 1676659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676705 */     // MIs[0] policy
     /* 1676705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1676732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676757 */     // GIR_Coverage, 6320,
     /* 1676757 */     GIR_EraseRootFromParent_Done,
     /* 1676758 */   // Label 21721: @1676758
     /* 1676758 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1676862), // Rule ID 6321 //
     /* 1676763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676809 */     // MIs[0] policy
     /* 1676809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1676836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676861 */     // GIR_Coverage, 6321,
     /* 1676861 */     GIR_EraseRootFromParent_Done,
     /* 1676862 */   // Label 21722: @1676862
     /* 1676862 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1676966), // Rule ID 6324 //
     /* 1676867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676913 */     // MIs[0] policy
     /* 1676913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1676927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1676933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1676937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1676940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1676954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676965 */     // GIR_Coverage, 6324,
     /* 1676965 */     GIR_EraseRootFromParent_Done,
     /* 1676966 */   // Label 21723: @1676966
     /* 1676966 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1677070), // Rule ID 6325 //
     /* 1676971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1677001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1677009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677017 */     // MIs[0] policy
     /* 1677017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1677044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1677066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677069 */     // GIR_Coverage, 6325,
     /* 1677069 */     GIR_EraseRootFromParent_Done,
     /* 1677070 */   // Label 21724: @1677070
     /* 1677070 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1677174), // Rule ID 6416 //
     /* 1677075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1677095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677121 */     // MIs[0] policy
     /* 1677121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677131 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1677148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677173 */     // GIR_Coverage, 6416,
     /* 1677173 */     GIR_EraseRootFromParent_Done,
     /* 1677174 */   // Label 21725: @1677174
     /* 1677174 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1677278), // Rule ID 6417 //
     /* 1677179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1677190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1677193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1677196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1677199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677225 */     // MIs[0] policy
     /* 1677225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1677252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677277 */     // GIR_Coverage, 6417,
     /* 1677277 */     GIR_EraseRootFromParent_Done,
     /* 1677278 */   // Label 21726: @1677278
     /* 1677278 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1677382), // Rule ID 6420 //
     /* 1677283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677329 */     // MIs[0] policy
     /* 1677329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1677356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677381 */     // GIR_Coverage, 6420,
     /* 1677381 */     GIR_EraseRootFromParent_Done,
     /* 1677382 */   // Label 21727: @1677382
     /* 1677382 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1677486), // Rule ID 6421 //
     /* 1677387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1677398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1677401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1677404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1677407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677433 */     // MIs[0] policy
     /* 1677433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1677460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677485 */     // GIR_Coverage, 6421,
     /* 1677485 */     GIR_EraseRootFromParent_Done,
     /* 1677486 */   // Label 21728: @1677486
     /* 1677486 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1677590), // Rule ID 6424 //
     /* 1677491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677537 */     // MIs[0] policy
     /* 1677537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1677564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677589 */     // GIR_Coverage, 6424,
     /* 1677589 */     GIR_EraseRootFromParent_Done,
     /* 1677590 */   // Label 21729: @1677590
     /* 1677590 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1677694), // Rule ID 6425 //
     /* 1677595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1677606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1677609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1677612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1677615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677641 */     // MIs[0] policy
     /* 1677641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1677668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677693 */     // GIR_Coverage, 6425,
     /* 1677693 */     GIR_EraseRootFromParent_Done,
     /* 1677694 */   // Label 21730: @1677694
     /* 1677694 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1677798), // Rule ID 6428 //
     /* 1677699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677745 */     // MIs[0] policy
     /* 1677745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677755 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1677772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677797 */     // GIR_Coverage, 6428,
     /* 1677797 */     GIR_EraseRootFromParent_Done,
     /* 1677798 */   // Label 21731: @1677798
     /* 1677798 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1677902), // Rule ID 6429 //
     /* 1677803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1677823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677849 */     // MIs[0] policy
     /* 1677849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1677876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677901 */     // GIR_Coverage, 6429,
     /* 1677901 */     GIR_EraseRootFromParent_Done,
     /* 1677902 */   // Label 21732: @1677902
     /* 1677902 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1678006), // Rule ID 6432 //
     /* 1677907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1677915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1677927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677953 */     // MIs[0] policy
     /* 1677953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1677967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1677973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1677977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1677980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1677994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678005 */     // GIR_Coverage, 6432,
     /* 1678005 */     GIR_EraseRootFromParent_Done,
     /* 1678006 */   // Label 21733: @1678006
     /* 1678006 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1678110), // Rule ID 6433 //
     /* 1678011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1678022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1678025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1678028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1678031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678057 */     // MIs[0] policy
     /* 1678057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1678084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678109 */     // GIR_Coverage, 6433,
     /* 1678109 */     GIR_EraseRootFromParent_Done,
     /* 1678110 */   // Label 21734: @1678110
     /* 1678110 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1678214), // Rule ID 6436 //
     /* 1678115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1678126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1678129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1678132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1678135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678161 */     // MIs[0] policy
     /* 1678161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1678188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678213 */     // GIR_Coverage, 6436,
     /* 1678213 */     GIR_EraseRootFromParent_Done,
     /* 1678214 */   // Label 21735: @1678214
     /* 1678214 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1678318), // Rule ID 6437 //
     /* 1678219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1678230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1678233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1678236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1678239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678265 */     // MIs[0] policy
     /* 1678265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1678292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678317 */     // GIR_Coverage, 6437,
     /* 1678317 */     GIR_EraseRootFromParent_Done,
     /* 1678318 */   // Label 21736: @1678318
     /* 1678318 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1678422), // Rule ID 6440 //
     /* 1678323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678369 */     // MIs[0] policy
     /* 1678369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678421 */     // GIR_Coverage, 6440,
     /* 1678421 */     GIR_EraseRootFromParent_Done,
     /* 1678422 */   // Label 21737: @1678422
     /* 1678422 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1678526), // Rule ID 6441 //
     /* 1678427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1678438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1678441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1678444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1678447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678473 */     // MIs[0] policy
     /* 1678473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678525 */     // GIR_Coverage, 6441,
     /* 1678525 */     GIR_EraseRootFromParent_Done,
     /* 1678526 */   // Label 21738: @1678526
     /* 1678526 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1678630), // Rule ID 6444 //
     /* 1678531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678577 */     // MIs[0] policy
     /* 1678577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678629 */     // GIR_Coverage, 6444,
     /* 1678629 */     GIR_EraseRootFromParent_Done,
     /* 1678630 */   // Label 21739: @1678630
     /* 1678630 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1678734), // Rule ID 6445 //
     /* 1678635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1678646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1678649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1678652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1678655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1678658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678681 */     // MIs[0] policy
     /* 1678681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678733 */     // GIR_Coverage, 6445,
     /* 1678733 */     GIR_EraseRootFromParent_Done,
     /* 1678734 */   // Label 21740: @1678734
     /* 1678734 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1678838), // Rule ID 6448 //
     /* 1678739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678785 */     // MIs[0] policy
     /* 1678785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678837 */     // GIR_Coverage, 6448,
     /* 1678837 */     GIR_EraseRootFromParent_Done,
     /* 1678838 */   // Label 21741: @1678838
     /* 1678838 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1678942), // Rule ID 6449 //
     /* 1678843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1678854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1678863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678889 */     // MIs[0] policy
     /* 1678889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1678903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1678909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1678913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1678916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1678930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678941 */     // GIR_Coverage, 6449,
     /* 1678941 */     GIR_EraseRootFromParent_Done,
     /* 1678942 */   // Label 21742: @1678942
     /* 1678942 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1679046), // Rule ID 6452 //
     /* 1678947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1678955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1678967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678993 */     // MIs[0] policy
     /* 1678993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1679020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679045 */     // GIR_Coverage, 6452,
     /* 1679045 */     GIR_EraseRootFromParent_Done,
     /* 1679046 */   // Label 21743: @1679046
     /* 1679046 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1679150), // Rule ID 6453 //
     /* 1679051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1679062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1679065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1679068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1679071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1679074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1679081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1679093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679097 */     // MIs[0] policy
     /* 1679097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1679124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679149 */     // GIR_Coverage, 6453,
     /* 1679149 */     GIR_EraseRootFromParent_Done,
     /* 1679150 */   // Label 21744: @1679150
     /* 1679150 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1679254), // Rule ID 6456 //
     /* 1679155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1679166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1679169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1679172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1679175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679201 */     // MIs[0] policy
     /* 1679201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679253 */     // GIR_Coverage, 6456,
     /* 1679253 */     GIR_EraseRootFromParent_Done,
     /* 1679254 */   // Label 21745: @1679254
     /* 1679254 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1679358), // Rule ID 6457 //
     /* 1679259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1679270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1679273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1679276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1679279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679305 */     // MIs[0] policy
     /* 1679305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679357 */     // GIR_Coverage, 6457,
     /* 1679357 */     GIR_EraseRootFromParent_Done,
     /* 1679358 */   // Label 21746: @1679358
     /* 1679358 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1679462), // Rule ID 6460 //
     /* 1679363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1679374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1679377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1679380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1679383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679409 */     // MIs[0] policy
     /* 1679409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679419 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679461 */     // GIR_Coverage, 6460,
     /* 1679461 */     GIR_EraseRootFromParent_Done,
     /* 1679462 */   // Label 21747: @1679462
     /* 1679462 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1679566), // Rule ID 6461 //
     /* 1679467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1679478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1679481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1679484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1679487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679513 */     // MIs[0] policy
     /* 1679513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679523 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1679540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679565 */     // GIR_Coverage, 6461,
     /* 1679565 */     GIR_EraseRootFromParent_Done,
     /* 1679566 */   // Label 21748: @1679566
     /* 1679566 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1679670), // Rule ID 6464 //
     /* 1679571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679617 */     // MIs[0] policy
     /* 1679617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679669 */     // GIR_Coverage, 6464,
     /* 1679669 */     GIR_EraseRootFromParent_Done,
     /* 1679670 */   // Label 21749: @1679670
     /* 1679670 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1679774), // Rule ID 6465 //
     /* 1679675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1679686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1679689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1679692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1679695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1679698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679721 */     // MIs[0] policy
     /* 1679721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1679748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1679770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679773 */     // GIR_Coverage, 6465,
     /* 1679773 */     GIR_EraseRootFromParent_Done,
     /* 1679774 */   // Label 21750: @1679774
     /* 1679774 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1679878), // Rule ID 6468 //
     /* 1679779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679825 */     // MIs[0] policy
     /* 1679825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679877 */     // GIR_Coverage, 6468,
     /* 1679877 */     GIR_EraseRootFromParent_Done,
     /* 1679878 */   // Label 21751: @1679878
     /* 1679878 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1679982), // Rule ID 6469 //
     /* 1679883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1679894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1679897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1679900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1679903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679929 */     // MIs[0] policy
     /* 1679929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1679943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1679949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1679953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1679956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1679970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679981 */     // GIR_Coverage, 6469,
     /* 1679981 */     GIR_EraseRootFromParent_Done,
     /* 1679982 */   // Label 21752: @1679982
     /* 1679982 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1680086), // Rule ID 6472 //
     /* 1679987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1679995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1680001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1680004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1680007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680033 */     // MIs[0] policy
     /* 1680033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1680060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680085 */     // GIR_Coverage, 6472,
     /* 1680085 */     GIR_EraseRootFromParent_Done,
     /* 1680086 */   // Label 21753: @1680086
     /* 1680086 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1680190), // Rule ID 6473 //
     /* 1680091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1680102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1680105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1680108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1680111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680137 */     // MIs[0] policy
     /* 1680137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1680164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680189 */     // GIR_Coverage, 6473,
     /* 1680189 */     GIR_EraseRootFromParent_Done,
     /* 1680190 */   // Label 21754: @1680190
     /* 1680190 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1680294), // Rule ID 6476 //
     /* 1680195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1680206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1680209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1680212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1680215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680241 */     // MIs[0] policy
     /* 1680241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680251 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1680268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680293 */     // GIR_Coverage, 6476,
     /* 1680293 */     GIR_EraseRootFromParent_Done,
     /* 1680294 */   // Label 21755: @1680294
     /* 1680294 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1680398), // Rule ID 6477 //
     /* 1680299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1680310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1680313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1680316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1680319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1680322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680345 */     // MIs[0] policy
     /* 1680345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1680372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680397 */     // GIR_Coverage, 6477,
     /* 1680397 */     GIR_EraseRootFromParent_Done,
     /* 1680398 */   // Label 21756: @1680398
     /* 1680398 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1680502), // Rule ID 6480 //
     /* 1680403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1680414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1680417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1680420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1680423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680449 */     // MIs[0] policy
     /* 1680449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1680476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680501 */     // GIR_Coverage, 6480,
     /* 1680501 */     GIR_EraseRootFromParent_Done,
     /* 1680502 */   // Label 21757: @1680502
     /* 1680502 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1680606), // Rule ID 6481 //
     /* 1680507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1680518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1680521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1680524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1680527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1680537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1680549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680553 */     // MIs[0] policy
     /* 1680553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1680580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680605 */     // GIR_Coverage, 6481,
     /* 1680605 */     GIR_EraseRootFromParent_Done,
     /* 1680606 */   // Label 21758: @1680606
     /* 1680606 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1680710), // Rule ID 6484 //
     /* 1680611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1680622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1680625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1680628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1680631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680657 */     // MIs[0] policy
     /* 1680657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1680684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680709 */     // GIR_Coverage, 6484,
     /* 1680709 */     GIR_EraseRootFromParent_Done,
     /* 1680710 */   // Label 21759: @1680710
     /* 1680710 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1680814), // Rule ID 6485 //
     /* 1680715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1680726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1680729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1680732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1680735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680761 */     // MIs[0] policy
     /* 1680761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1680788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680813 */     // GIR_Coverage, 6485,
     /* 1680813 */     GIR_EraseRootFromParent_Done,
     /* 1680814 */   // Label 21760: @1680814
     /* 1680814 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1680918), // Rule ID 6488 //
     /* 1680819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680865 */     // MIs[0] policy
     /* 1680865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1680892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1680906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1680914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680917 */     // GIR_Coverage, 6488,
     /* 1680917 */     GIR_EraseRootFromParent_Done,
     /* 1680918 */   // Label 21761: @1680918
     /* 1680918 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1681022), // Rule ID 6489 //
     /* 1680923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1680934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1680937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1680940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1680943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1680946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680969 */     // MIs[0] policy
     /* 1680969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1680983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1680989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1680993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1680996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681021 */     // GIR_Coverage, 6489,
     /* 1681021 */     GIR_EraseRootFromParent_Done,
     /* 1681022 */   // Label 21762: @1681022
     /* 1681022 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1681126), // Rule ID 6492 //
     /* 1681027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1681038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1681041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1681044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1681047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681073 */     // MIs[0] policy
     /* 1681073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1681100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681125 */     // GIR_Coverage, 6492,
     /* 1681125 */     GIR_EraseRootFromParent_Done,
     /* 1681126 */   // Label 21763: @1681126
     /* 1681126 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1681230), // Rule ID 6493 //
     /* 1681131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1681142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1681145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1681148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1681151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1681161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1681173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681177 */     // MIs[0] policy
     /* 1681177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1681204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681229 */     // GIR_Coverage, 6493,
     /* 1681229 */     GIR_EraseRootFromParent_Done,
     /* 1681230 */   // Label 21764: @1681230
     /* 1681230 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1681334), // Rule ID 6496 //
     /* 1681235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1681246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1681249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1681252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1681255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681281 */     // MIs[0] policy
     /* 1681281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681291 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1681308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681333 */     // GIR_Coverage, 6496,
     /* 1681333 */     GIR_EraseRootFromParent_Done,
     /* 1681334 */   // Label 21765: @1681334
     /* 1681334 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1681438), // Rule ID 6497 //
     /* 1681339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1681350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1681353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1681356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1681359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1681369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1681381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681385 */     // MIs[0] policy
     /* 1681385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681395 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1681412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681437 */     // GIR_Coverage, 6497,
     /* 1681437 */     GIR_EraseRootFromParent_Done,
     /* 1681438 */   // Label 21766: @1681438
     /* 1681438 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1681542), // Rule ID 6500 //
     /* 1681443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1681454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1681457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1681460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1681463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681489 */     // MIs[0] policy
     /* 1681489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1681516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681541 */     // GIR_Coverage, 6500,
     /* 1681541 */     GIR_EraseRootFromParent_Done,
     /* 1681542 */   // Label 21767: @1681542
     /* 1681542 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1681646), // Rule ID 6501 //
     /* 1681547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1681558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1681561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1681564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1681567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1681577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1681589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681593 */     // MIs[0] policy
     /* 1681593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681603 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1681620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681645 */     // GIR_Coverage, 6501,
     /* 1681645 */     GIR_EraseRootFromParent_Done,
     /* 1681646 */   // Label 21768: @1681646
     /* 1681646 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1681750), // Rule ID 6504 //
     /* 1681651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1681662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1681665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1681668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681697 */     // MIs[0] policy
     /* 1681697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681707 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1681724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681749 */     // GIR_Coverage, 6504,
     /* 1681749 */     GIR_EraseRootFromParent_Done,
     /* 1681750 */   // Label 21769: @1681750
     /* 1681750 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1681854), // Rule ID 6505 //
     /* 1681755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1681766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1681769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1681772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681801 */     // MIs[0] policy
     /* 1681801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1681828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681853 */     // GIR_Coverage, 6505,
     /* 1681853 */     GIR_EraseRootFromParent_Done,
     /* 1681854 */   // Label 21770: @1681854
     /* 1681854 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1681958), // Rule ID 6508 //
     /* 1681859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1681879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1681901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681905 */     // MIs[0] policy
     /* 1681905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1681919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1681925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1681929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1681932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1681946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681957 */     // GIR_Coverage, 6508,
     /* 1681957 */     GIR_EraseRootFromParent_Done,
     /* 1681958 */   // Label 21771: @1681958
     /* 1681958 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1682062), // Rule ID 6509 //
     /* 1681963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1681974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1681977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1681980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1681983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682009 */     // MIs[0] policy
     /* 1682009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1682036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682061 */     // GIR_Coverage, 6509,
     /* 1682061 */     GIR_EraseRootFromParent_Done,
     /* 1682062 */   // Label 21772: @1682062
     /* 1682062 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1682166), // Rule ID 6512 //
     /* 1682067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1682078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1682081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1682084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682113 */     // MIs[0] policy
     /* 1682113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682165 */     // GIR_Coverage, 6512,
     /* 1682165 */     GIR_EraseRootFromParent_Done,
     /* 1682166 */   // Label 21773: @1682166
     /* 1682166 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1682270), // Rule ID 6513 //
     /* 1682171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1682182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1682185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1682188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1682194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682217 */     // MIs[0] policy
     /* 1682217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682269 */     // GIR_Coverage, 6513,
     /* 1682269 */     GIR_EraseRootFromParent_Done,
     /* 1682270 */   // Label 21774: @1682270
     /* 1682270 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1682374), // Rule ID 6516 //
     /* 1682275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1682286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1682289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1682292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682321 */     // MIs[0] policy
     /* 1682321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1682348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682373 */     // GIR_Coverage, 6516,
     /* 1682373 */     GIR_EraseRootFromParent_Done,
     /* 1682374 */   // Label 21775: @1682374
     /* 1682374 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1682478), // Rule ID 6517 //
     /* 1682379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1682390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1682393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1682396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682425 */     // MIs[0] policy
     /* 1682425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1682452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682477 */     // GIR_Coverage, 6517,
     /* 1682477 */     GIR_EraseRootFromParent_Done,
     /* 1682478 */   // Label 21776: @1682478
     /* 1682478 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1682582), // Rule ID 6520 //
     /* 1682483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1682494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1682497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1682500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682529 */     // MIs[0] policy
     /* 1682529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682581 */     // GIR_Coverage, 6520,
     /* 1682581 */     GIR_EraseRootFromParent_Done,
     /* 1682582 */   // Label 21777: @1682582
     /* 1682582 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1682686), // Rule ID 6521 //
     /* 1682587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1682598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1682601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1682604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1682610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682633 */     // MIs[0] policy
     /* 1682633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682685 */     // GIR_Coverage, 6521,
     /* 1682685 */     GIR_EraseRootFromParent_Done,
     /* 1682686 */   // Label 21778: @1682686
     /* 1682686 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1682790), // Rule ID 6524 //
     /* 1682691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1682702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1682705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1682708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682737 */     // MIs[0] policy
     /* 1682737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682789 */     // GIR_Coverage, 6524,
     /* 1682789 */     GIR_EraseRootFromParent_Done,
     /* 1682790 */   // Label 21779: @1682790
     /* 1682790 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1682894), // Rule ID 6525 //
     /* 1682795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1682806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1682809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1682812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1682815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1682818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682841 */     // MIs[0] policy
     /* 1682841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1682868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1682890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682893 */     // GIR_Coverage, 6525,
     /* 1682893 */     GIR_EraseRootFromParent_Done,
     /* 1682894 */   // Label 21780: @1682894
     /* 1682894 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1682998), // Rule ID 6528 //
     /* 1682899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1682910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1682913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1682916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1682919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1682929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1682937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1682941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682945 */     // MIs[0] policy
     /* 1682945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1682959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1682965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1682969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1682972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1682986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682997 */     // GIR_Coverage, 6528,
     /* 1682997 */     GIR_EraseRootFromParent_Done,
     /* 1682998 */   // Label 21781: @1682998
     /* 1682998 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1683102), // Rule ID 6529 //
     /* 1683003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1683014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1683017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1683020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683049 */     // MIs[0] policy
     /* 1683049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11188:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683101 */     // GIR_Coverage, 6529,
     /* 1683101 */     GIR_EraseRootFromParent_Done,
     /* 1683102 */   // Label 21782: @1683102
     /* 1683102 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1683206), // Rule ID 6532 //
     /* 1683107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1683118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1683121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1683124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683153 */     // MIs[0] policy
     /* 1683153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683205 */     // GIR_Coverage, 6532,
     /* 1683205 */     GIR_EraseRootFromParent_Done,
     /* 1683206 */   // Label 21783: @1683206
     /* 1683206 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1683310), // Rule ID 6533 //
     /* 1683211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1683222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1683225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1683228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683257 */     // MIs[0] policy
     /* 1683257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683309 */     // GIR_Coverage, 6533,
     /* 1683309 */     GIR_EraseRootFromParent_Done,
     /* 1683310 */   // Label 21784: @1683310
     /* 1683310 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1683414), // Rule ID 6536 //
     /* 1683315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1683326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1683329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1683332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683361 */     // MIs[0] policy
     /* 1683361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683413 */     // GIR_Coverage, 6536,
     /* 1683413 */     GIR_EraseRootFromParent_Done,
     /* 1683414 */   // Label 21785: @1683414
     /* 1683414 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1683518), // Rule ID 6537 //
     /* 1683419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1683430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1683433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1683436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683465 */     // MIs[0] policy
     /* 1683465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683517 */     // GIR_Coverage, 6537,
     /* 1683517 */     GIR_EraseRootFromParent_Done,
     /* 1683518 */   // Label 21786: @1683518
     /* 1683518 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1683622), // Rule ID 6540 //
     /* 1683523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1683534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1683537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1683540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683569 */     // MIs[0] policy
     /* 1683569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683621 */     // GIR_Coverage, 6540,
     /* 1683621 */     GIR_EraseRootFromParent_Done,
     /* 1683622 */   // Label 21787: @1683622
     /* 1683622 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1683726), // Rule ID 6541 //
     /* 1683627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1683638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1683641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1683644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1683650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1683657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1683665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683673 */     // MIs[0] policy
     /* 1683673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1683700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683725 */     // GIR_Coverage, 6541,
     /* 1683725 */     GIR_EraseRootFromParent_Done,
     /* 1683726 */   // Label 21788: @1683726
     /* 1683726 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1683830), // Rule ID 6544 //
     /* 1683731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1683742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1683745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1683748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683777 */     // MIs[0] policy
     /* 1683777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1683804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683829 */     // GIR_Coverage, 6544,
     /* 1683829 */     GIR_EraseRootFromParent_Done,
     /* 1683830 */   // Label 21789: @1683830
     /* 1683830 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1683934), // Rule ID 6545 //
     /* 1683835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1683846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1683849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1683852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1683855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683881 */     // MIs[0] policy
     /* 1683881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1683901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1683905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1683908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1683922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1683930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683933 */     // GIR_Coverage, 6545,
     /* 1683933 */     GIR_EraseRootFromParent_Done,
     /* 1683934 */   // Label 21790: @1683934
     /* 1683934 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1684038), // Rule ID 6548 //
     /* 1683939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1683950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1683953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1683956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1683959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1683962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1683981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683985 */     // MIs[0] policy
     /* 1683985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683995 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1683999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1684012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684037 */     // GIR_Coverage, 6548,
     /* 1684037 */     GIR_EraseRootFromParent_Done,
     /* 1684038 */   // Label 21791: @1684038
     /* 1684038 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1684142), // Rule ID 6549 //
     /* 1684043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1684054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1684057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1684060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684089 */     // MIs[0] policy
     /* 1684089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1684116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684141 */     // GIR_Coverage, 6549,
     /* 1684141 */     GIR_EraseRootFromParent_Done,
     /* 1684142 */   // Label 21792: @1684142
     /* 1684142 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1684246), // Rule ID 6552 //
     /* 1684147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1684158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1684161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1684164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1684170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684193 */     // MIs[0] policy
     /* 1684193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684203 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1684220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684245 */     // GIR_Coverage, 6552,
     /* 1684245 */     GIR_EraseRootFromParent_Done,
     /* 1684246 */   // Label 21793: @1684246
     /* 1684246 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1684350), // Rule ID 6553 //
     /* 1684251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1684262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1684265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1684268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1684274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684297 */     // MIs[0] policy
     /* 1684297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684307 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1684324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684349 */     // GIR_Coverage, 6553,
     /* 1684349 */     GIR_EraseRootFromParent_Done,
     /* 1684350 */   // Label 21794: @1684350
     /* 1684350 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1684454), // Rule ID 6556 //
     /* 1684355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1684366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1684369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1684372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684401 */     // MIs[0] policy
     /* 1684401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1684428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684453 */     // GIR_Coverage, 6556,
     /* 1684453 */     GIR_EraseRootFromParent_Done,
     /* 1684454 */   // Label 21795: @1684454
     /* 1684454 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1684558), // Rule ID 6557 //
     /* 1684459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1684470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1684473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1684476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1684489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1684497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684505 */     // MIs[0] policy
     /* 1684505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1684532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684557 */     // GIR_Coverage, 6557,
     /* 1684557 */     GIR_EraseRootFromParent_Done,
     /* 1684558 */   // Label 21796: @1684558
     /* 1684558 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1684662), // Rule ID 6560 //
     /* 1684563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1684574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1684577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1684580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684609 */     // MIs[0] policy
     /* 1684609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1684636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684661 */     // GIR_Coverage, 6560,
     /* 1684661 */     GIR_EraseRootFromParent_Done,
     /* 1684662 */   // Label 21797: @1684662
     /* 1684662 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1684766), // Rule ID 6561 //
     /* 1684667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1684678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1684681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1684684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1684690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1684697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1684705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684713 */     // MIs[0] policy
     /* 1684713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1684740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684765 */     // GIR_Coverage, 6561,
     /* 1684765 */     GIR_EraseRootFromParent_Done,
     /* 1684766 */   // Label 21798: @1684766
     /* 1684766 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1684870), // Rule ID 6564 //
     /* 1684771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1684782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1684785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1684788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684817 */     // MIs[0] policy
     /* 1684817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1684844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684869 */     // GIR_Coverage, 6564,
     /* 1684869 */     GIR_EraseRootFromParent_Done,
     /* 1684870 */   // Label 21799: @1684870
     /* 1684870 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1684974), // Rule ID 6565 //
     /* 1684875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1684886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1684889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1684892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1684898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684921 */     // MIs[0] policy
     /* 1684921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1684935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1684941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1684945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1684948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1684962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684973 */     // GIR_Coverage, 6565,
     /* 1684973 */     GIR_EraseRootFromParent_Done,
     /* 1684974 */   // Label 21800: @1684974
     /* 1684974 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1685078), // Rule ID 6568 //
     /* 1684979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1684990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1684993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1684996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685025 */     // MIs[0] policy
     /* 1685025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685077 */     // GIR_Coverage, 6568,
     /* 1685077 */     GIR_EraseRootFromParent_Done,
     /* 1685078 */   // Label 21801: @1685078
     /* 1685078 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1685182), // Rule ID 6569 //
     /* 1685083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1685094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1685097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1685100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685129 */     // MIs[0] policy
     /* 1685129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685181 */     // GIR_Coverage, 6569,
     /* 1685181 */     GIR_EraseRootFromParent_Done,
     /* 1685182 */   // Label 21802: @1685182
     /* 1685182 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1685286), // Rule ID 6572 //
     /* 1685187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1685198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1685201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1685204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685233 */     // MIs[0] policy
     /* 1685233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1685260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685285 */     // GIR_Coverage, 6572,
     /* 1685285 */     GIR_EraseRootFromParent_Done,
     /* 1685286 */   // Label 21803: @1685286
     /* 1685286 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1685390), // Rule ID 6573 //
     /* 1685291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1685302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1685305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1685308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685337 */     // MIs[0] policy
     /* 1685337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1685364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685389 */     // GIR_Coverage, 6573,
     /* 1685389 */     GIR_EraseRootFromParent_Done,
     /* 1685390 */   // Label 21804: @1685390
     /* 1685390 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1685494), // Rule ID 6576 //
     /* 1685395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1685406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1685409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1685412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685441 */     // MIs[0] policy
     /* 1685441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1685468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685493 */     // GIR_Coverage, 6576,
     /* 1685493 */     GIR_EraseRootFromParent_Done,
     /* 1685494 */   // Label 21805: @1685494
     /* 1685494 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1685598), // Rule ID 6577 //
     /* 1685499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1685510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1685513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1685516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1685529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1685537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685545 */     // MIs[0] policy
     /* 1685545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1685572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685597 */     // GIR_Coverage, 6577,
     /* 1685597 */     GIR_EraseRootFromParent_Done,
     /* 1685598 */   // Label 21806: @1685598
     /* 1685598 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1685702), // Rule ID 6580 //
     /* 1685603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1685614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1685617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1685620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685649 */     // MIs[0] policy
     /* 1685649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685701 */     // GIR_Coverage, 6580,
     /* 1685701 */     GIR_EraseRootFromParent_Done,
     /* 1685702 */   // Label 21807: @1685702
     /* 1685702 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1685806), // Rule ID 6581 //
     /* 1685707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1685718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1685721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1685724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685753 */     // MIs[0] policy
     /* 1685753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685805 */     // GIR_Coverage, 6581,
     /* 1685805 */     GIR_EraseRootFromParent_Done,
     /* 1685806 */   // Label 21808: @1685806
     /* 1685806 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1685910), // Rule ID 6584 //
     /* 1685811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1685822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1685825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1685828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685857 */     // MIs[0] policy
     /* 1685857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1685884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1685898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685909 */     // GIR_Coverage, 6584,
     /* 1685909 */     GIR_EraseRootFromParent_Done,
     /* 1685910 */   // Label 21809: @1685910
     /* 1685910 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1686014), // Rule ID 6585 //
     /* 1685915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1685926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1685929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1685932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1685945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1685953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685961 */     // MIs[0] policy
     /* 1685961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1685975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1685981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1685985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1685988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686013 */     // GIR_Coverage, 6585,
     /* 1686013 */     GIR_EraseRootFromParent_Done,
     /* 1686014 */   // Label 21810: @1686014
     /* 1686014 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1686118), // Rule ID 6588 //
     /* 1686019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1686022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686065 */     // MIs[0] policy
     /* 1686065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686117 */     // GIR_Coverage, 6588,
     /* 1686117 */     GIR_EraseRootFromParent_Done,
     /* 1686118 */   // Label 21811: @1686118
     /* 1686118 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1686222), // Rule ID 6589 //
     /* 1686123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1686126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1686134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1686137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1686140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686169 */     // MIs[0] policy
     /* 1686169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1686218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686221 */     // GIR_Coverage, 6589,
     /* 1686221 */     GIR_EraseRootFromParent_Done,
     /* 1686222 */   // Label 21812: @1686222
     /* 1686222 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1686326), // Rule ID 6680 //
     /* 1686227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1686238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1686241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1686244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1686247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686273 */     // MIs[0] policy
     /* 1686273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1686300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686325 */     // GIR_Coverage, 6680,
     /* 1686325 */     GIR_EraseRootFromParent_Done,
     /* 1686326 */   // Label 21813: @1686326
     /* 1686326 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1686430), // Rule ID 6681 //
     /* 1686331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1686342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1686345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1686348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1686351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686377 */     // MIs[0] policy
     /* 1686377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1686404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686429 */     // GIR_Coverage, 6681,
     /* 1686429 */     GIR_EraseRootFromParent_Done,
     /* 1686430 */   // Label 21814: @1686430
     /* 1686430 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1686534), // Rule ID 6684 //
     /* 1686435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1686446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1686449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1686452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1686455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686481 */     // MIs[0] policy
     /* 1686481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686491 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1686508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686533 */     // GIR_Coverage, 6684,
     /* 1686533 */     GIR_EraseRootFromParent_Done,
     /* 1686534 */   // Label 21815: @1686534
     /* 1686534 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1686638), // Rule ID 6685 //
     /* 1686539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1686550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1686553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1686556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1686559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1686562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686585 */     // MIs[0] policy
     /* 1686585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1686612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686637 */     // GIR_Coverage, 6685,
     /* 1686637 */     GIR_EraseRootFromParent_Done,
     /* 1686638 */   // Label 21816: @1686638
     /* 1686638 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1686742), // Rule ID 6688 //
     /* 1686643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1686654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1686657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1686660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1686663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686689 */     // MIs[0] policy
     /* 1686689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1686716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686741 */     // GIR_Coverage, 6688,
     /* 1686741 */     GIR_EraseRootFromParent_Done,
     /* 1686742 */   // Label 21817: @1686742
     /* 1686742 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1686846), // Rule ID 6689 //
     /* 1686747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1686758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1686761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1686764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1686767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686793 */     // MIs[0] policy
     /* 1686793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1686820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686845 */     // GIR_Coverage, 6689,
     /* 1686845 */     GIR_EraseRootFromParent_Done,
     /* 1686846 */   // Label 21818: @1686846
     /* 1686846 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1686950), // Rule ID 6692 //
     /* 1686851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1686862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1686865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1686868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1686871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686897 */     // MIs[0] policy
     /* 1686897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1686911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1686917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1686921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1686924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1686938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686949 */     // GIR_Coverage, 6692,
     /* 1686949 */     GIR_EraseRootFromParent_Done,
     /* 1686950 */   // Label 21819: @1686950
     /* 1686950 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1687054), // Rule ID 6693 //
     /* 1686955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1686963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1686966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1686969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1686972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1686975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1686978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1686985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1686997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687001 */     // MIs[0] policy
     /* 1687001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1687028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687053 */     // GIR_Coverage, 6693,
     /* 1687053 */     GIR_EraseRootFromParent_Done,
     /* 1687054 */   // Label 21820: @1687054
     /* 1687054 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1687158), // Rule ID 6696 //
     /* 1687059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1687079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687105 */     // MIs[0] policy
     /* 1687105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1687132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687157 */     // GIR_Coverage, 6696,
     /* 1687157 */     GIR_EraseRootFromParent_Done,
     /* 1687158 */   // Label 21821: @1687158
     /* 1687158 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1687262), // Rule ID 6697 //
     /* 1687163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1687174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1687177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1687180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1687183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687209 */     // MIs[0] policy
     /* 1687209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1687236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687261 */     // GIR_Coverage, 6697,
     /* 1687261 */     GIR_EraseRootFromParent_Done,
     /* 1687262 */   // Label 21822: @1687262
     /* 1687262 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1687366), // Rule ID 6700 //
     /* 1687267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1687287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687313 */     // MIs[0] policy
     /* 1687313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1687340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687365 */     // GIR_Coverage, 6700,
     /* 1687365 */     GIR_EraseRootFromParent_Done,
     /* 1687366 */   // Label 21823: @1687366
     /* 1687366 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1687470), // Rule ID 6701 //
     /* 1687371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1687382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1687385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1687388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1687391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687417 */     // MIs[0] policy
     /* 1687417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1687444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687469 */     // GIR_Coverage, 6701,
     /* 1687469 */     GIR_EraseRootFromParent_Done,
     /* 1687470 */   // Label 21824: @1687470
     /* 1687470 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1687574), // Rule ID 6704 //
     /* 1687475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1687486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1687489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1687492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1687495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687521 */     // MIs[0] policy
     /* 1687521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1687548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687573 */     // GIR_Coverage, 6704,
     /* 1687573 */     GIR_EraseRootFromParent_Done,
     /* 1687574 */   // Label 21825: @1687574
     /* 1687574 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1687678), // Rule ID 6705 //
     /* 1687579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1687590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1687593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1687596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1687599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687625 */     // MIs[0] policy
     /* 1687625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687635 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1687652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687677 */     // GIR_Coverage, 6705,
     /* 1687677 */     GIR_EraseRootFromParent_Done,
     /* 1687678 */   // Label 21826: @1687678
     /* 1687678 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1687782), // Rule ID 6708 //
     /* 1687683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1687700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1687703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687729 */     // MIs[0] policy
     /* 1687729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1687756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687781 */     // GIR_Coverage, 6708,
     /* 1687781 */     GIR_EraseRootFromParent_Done,
     /* 1687782 */   // Label 21827: @1687782
     /* 1687782 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1687886), // Rule ID 6709 //
     /* 1687787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1687798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1687801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1687804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1687807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687833 */     // MIs[0] policy
     /* 1687833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1687860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1687882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687885 */     // GIR_Coverage, 6709,
     /* 1687885 */     GIR_EraseRootFromParent_Done,
     /* 1687886 */   // Label 21828: @1687886
     /* 1687886 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1687990), // Rule ID 6712 //
     /* 1687891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1687902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1687905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1687908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1687911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687937 */     // MIs[0] policy
     /* 1687937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1687951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1687957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1687961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1687964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1687978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687989 */     // GIR_Coverage, 6712,
     /* 1687989 */     GIR_EraseRootFromParent_Done,
     /* 1687990 */   // Label 21829: @1687990
     /* 1687990 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1688094), // Rule ID 6713 //
     /* 1687995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1688006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1688009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1688012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1688015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688041 */     // MIs[0] policy
     /* 1688041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1688068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688093 */     // GIR_Coverage, 6713,
     /* 1688093 */     GIR_EraseRootFromParent_Done,
     /* 1688094 */   // Label 21830: @1688094
     /* 1688094 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1688198), // Rule ID 6716 //
     /* 1688099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1688102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1688119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688145 */     // MIs[0] policy
     /* 1688145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1688172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688197 */     // GIR_Coverage, 6716,
     /* 1688197 */     GIR_EraseRootFromParent_Done,
     /* 1688198 */   // Label 21831: @1688198
     /* 1688198 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1688302), // Rule ID 6717 //
     /* 1688203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1688206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1688214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1688217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1688220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1688223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688249 */     // MIs[0] policy
     /* 1688249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1688276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1688298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688301 */     // GIR_Coverage, 6717,
     /* 1688301 */     GIR_EraseRootFromParent_Done,
     /* 1688302 */   // Label 21832: @1688302
     /* 1688302 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1688406), // Rule ID 6720 //
     /* 1688307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1688327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688353 */     // MIs[0] policy
     /* 1688353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1688380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688405 */     // GIR_Coverage, 6720,
     /* 1688405 */     GIR_EraseRootFromParent_Done,
     /* 1688406 */   // Label 21833: @1688406
     /* 1688406 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1688510), // Rule ID 6721 //
     /* 1688411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1688422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1688425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1688428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1688431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1688434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688457 */     // MIs[0] policy
     /* 1688457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1688484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688509 */     // GIR_Coverage, 6721,
     /* 1688509 */     GIR_EraseRootFromParent_Done,
     /* 1688510 */   // Label 21834: @1688510
     /* 1688510 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1688614), // Rule ID 6724 //
     /* 1688515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1688526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1688529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1688532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1688535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1688538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688561 */     // MIs[0] policy
     /* 1688561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1688588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688613 */     // GIR_Coverage, 6724,
     /* 1688613 */     GIR_EraseRootFromParent_Done,
     /* 1688614 */   // Label 21835: @1688614
     /* 1688614 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1688718), // Rule ID 6725 //
     /* 1688619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1688630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1688633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1688636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1688639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1688642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1688649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1688661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688665 */     // MIs[0] policy
     /* 1688665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1688692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688717 */     // GIR_Coverage, 6725,
     /* 1688717 */     GIR_EraseRootFromParent_Done,
     /* 1688718 */   // Label 21836: @1688718
     /* 1688718 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1688822), // Rule ID 6728 //
     /* 1688723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1688734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1688737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1688740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1688743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1688746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688769 */     // MIs[0] policy
     /* 1688769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1688796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688821 */     // GIR_Coverage, 6728,
     /* 1688821 */     GIR_EraseRootFromParent_Done,
     /* 1688822 */   // Label 21837: @1688822
     /* 1688822 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1688926), // Rule ID 6729 //
     /* 1688827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1688838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1688841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1688844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1688847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1688850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1688857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1688869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688873 */     // MIs[0] policy
     /* 1688873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1688897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1688900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1688914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688925 */     // GIR_Coverage, 6729,
     /* 1688925 */     GIR_EraseRootFromParent_Done,
     /* 1688926 */   // Label 21838: @1688926
     /* 1688926 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1689030), // Rule ID 6732 //
     /* 1688931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1688942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1688945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1688948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1688951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1688961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1688973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688977 */     // MIs[0] policy
     /* 1688977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1688991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1688997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689029 */     // GIR_Coverage, 6732,
     /* 1689029 */     GIR_EraseRootFromParent_Done,
     /* 1689030 */   // Label 21839: @1689030
     /* 1689030 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1689134), // Rule ID 6733 //
     /* 1689035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1689046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1689049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1689052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1689055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689081 */     // MIs[0] policy
     /* 1689081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689133 */     // GIR_Coverage, 6733,
     /* 1689133 */     GIR_EraseRootFromParent_Done,
     /* 1689134 */   // Label 21840: @1689134
     /* 1689134 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1689238), // Rule ID 6736 //
     /* 1689139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1689159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689185 */     // MIs[0] policy
     /* 1689185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689237 */     // GIR_Coverage, 6736,
     /* 1689237 */     GIR_EraseRootFromParent_Done,
     /* 1689238 */   // Label 21841: @1689238
     /* 1689238 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1689342), // Rule ID 6737 //
     /* 1689243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1689254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1689257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1689260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1689263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689289 */     // MIs[0] policy
     /* 1689289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689341 */     // GIR_Coverage, 6737,
     /* 1689341 */     GIR_EraseRootFromParent_Done,
     /* 1689342 */   // Label 21842: @1689342
     /* 1689342 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1689446), // Rule ID 6740 //
     /* 1689347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1689367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689393 */     // MIs[0] policy
     /* 1689393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1689420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689445 */     // GIR_Coverage, 6740,
     /* 1689445 */     GIR_EraseRootFromParent_Done,
     /* 1689446 */   // Label 21843: @1689446
     /* 1689446 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1689550), // Rule ID 6741 //
     /* 1689451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1689462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1689465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1689468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1689471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689497 */     // MIs[0] policy
     /* 1689497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1689524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689549 */     // GIR_Coverage, 6741,
     /* 1689549 */     GIR_EraseRootFromParent_Done,
     /* 1689550 */   // Label 21844: @1689550
     /* 1689550 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1689654), // Rule ID 6744 //
     /* 1689555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1689575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689601 */     // MIs[0] policy
     /* 1689601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689653 */     // GIR_Coverage, 6744,
     /* 1689653 */     GIR_EraseRootFromParent_Done,
     /* 1689654 */   // Label 21845: @1689654
     /* 1689654 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1689758), // Rule ID 6745 //
     /* 1689659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1689670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1689673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1689676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1689679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689705 */     // MIs[0] policy
     /* 1689705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689757 */     // GIR_Coverage, 6745,
     /* 1689757 */     GIR_EraseRootFromParent_Done,
     /* 1689758 */   // Label 21846: @1689758
     /* 1689758 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1689862), // Rule ID 6748 //
     /* 1689763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1689774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1689777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1689783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689809 */     // MIs[0] policy
     /* 1689809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689861 */     // GIR_Coverage, 6748,
     /* 1689861 */     GIR_EraseRootFromParent_Done,
     /* 1689862 */   // Label 21847: @1689862
     /* 1689862 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1689966), // Rule ID 6749 //
     /* 1689867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1689878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1689881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1689884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1689887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689913 */     // MIs[0] policy
     /* 1689913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1689927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1689933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1689937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1689954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689965 */     // GIR_Coverage, 6749,
     /* 1689965 */     GIR_EraseRootFromParent_Done,
     /* 1689966 */   // Label 21848: @1689966
     /* 1689966 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1690070), // Rule ID 6752 //
     /* 1689971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1689982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1689985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1689988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1689991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690017 */     // MIs[0] policy
     /* 1690017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690027 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690069 */     // GIR_Coverage, 6752,
     /* 1690069 */     GIR_EraseRootFromParent_Done,
     /* 1690070 */   // Label 21849: @1690070
     /* 1690070 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1690174), // Rule ID 6753 //
     /* 1690075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1690095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690121 */     // MIs[0] policy
     /* 1690121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690173 */     // GIR_Coverage, 6753,
     /* 1690173 */     GIR_EraseRootFromParent_Done,
     /* 1690174 */   // Label 21850: @1690174
     /* 1690174 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1690278), // Rule ID 6756 //
     /* 1690179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1690199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690225 */     // MIs[0] policy
     /* 1690225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690277 */     // GIR_Coverage, 6756,
     /* 1690277 */     GIR_EraseRootFromParent_Done,
     /* 1690278 */   // Label 21851: @1690278
     /* 1690278 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1690382), // Rule ID 6757 //
     /* 1690283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1690294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1690297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1690300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1690303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1690306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690329 */     // MIs[0] policy
     /* 1690329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690381 */     // GIR_Coverage, 6757,
     /* 1690381 */     GIR_EraseRootFromParent_Done,
     /* 1690382 */   // Label 21852: @1690382
     /* 1690382 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1690486), // Rule ID 6760 //
     /* 1690387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1690407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690433 */     // MIs[0] policy
     /* 1690433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690485 */     // GIR_Coverage, 6760,
     /* 1690485 */     GIR_EraseRootFromParent_Done,
     /* 1690486 */   // Label 21853: @1690486
     /* 1690486 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1690590), // Rule ID 6761 //
     /* 1690491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1690502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1690505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1690508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1690511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690537 */     // MIs[0] policy
     /* 1690537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690589 */     // GIR_Coverage, 6761,
     /* 1690589 */     GIR_EraseRootFromParent_Done,
     /* 1690590 */   // Label 21854: @1690590
     /* 1690590 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1690694), // Rule ID 6764 //
     /* 1690595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1690598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1690615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690641 */     // MIs[0] policy
     /* 1690641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690693 */     // GIR_Coverage, 6764,
     /* 1690693 */     GIR_EraseRootFromParent_Done,
     /* 1690694 */   // Label 21855: @1690694
     /* 1690694 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1690798), // Rule ID 6765 //
     /* 1690699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1690702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1690710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1690713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1690716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1690719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690745 */     // MIs[0] policy
     /* 1690745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1690794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690797 */     // GIR_Coverage, 6765,
     /* 1690797 */     GIR_EraseRootFromParent_Done,
     /* 1690798 */   // Label 21856: @1690798
     /* 1690798 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1690902), // Rule ID 6768 //
     /* 1690803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1690820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1690823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690849 */     // MIs[0] policy
     /* 1690849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1690876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690901 */     // GIR_Coverage, 6768,
     /* 1690901 */     GIR_EraseRootFromParent_Done,
     /* 1690902 */   // Label 21857: @1690902
     /* 1690902 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1691006), // Rule ID 6769 //
     /* 1690907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1690918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1690921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1690924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1690927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1690930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1690937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1690945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1690949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690953 */     // MIs[0] policy
     /* 1690953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1690967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1690973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1690977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1690980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1690994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691005 */     // GIR_Coverage, 6769,
     /* 1691005 */     GIR_EraseRootFromParent_Done,
     /* 1691006 */   // Label 21858: @1691006
     /* 1691006 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1691110), // Rule ID 6772 //
     /* 1691011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691057 */     // MIs[0] policy
     /* 1691057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691109 */     // GIR_Coverage, 6772,
     /* 1691109 */     GIR_EraseRootFromParent_Done,
     /* 1691110 */   // Label 21859: @1691110
     /* 1691110 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1691214), // Rule ID 6773 //
     /* 1691115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691161 */     // MIs[0] policy
     /* 1691161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691213 */     // GIR_Coverage, 6773,
     /* 1691213 */     GIR_EraseRootFromParent_Done,
     /* 1691214 */   // Label 21860: @1691214
     /* 1691214 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1691318), // Rule ID 6776 //
     /* 1691219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691265 */     // MIs[0] policy
     /* 1691265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1691292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691317 */     // GIR_Coverage, 6776,
     /* 1691317 */     GIR_EraseRootFromParent_Done,
     /* 1691318 */   // Label 21861: @1691318
     /* 1691318 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1691422), // Rule ID 6777 //
     /* 1691323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1691334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1691337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1691340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691369 */     // MIs[0] policy
     /* 1691369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1691396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691421 */     // GIR_Coverage, 6777,
     /* 1691421 */     GIR_EraseRootFromParent_Done,
     /* 1691422 */   // Label 21862: @1691422
     /* 1691422 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1691526), // Rule ID 6780 //
     /* 1691427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691473 */     // MIs[0] policy
     /* 1691473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691525 */     // GIR_Coverage, 6780,
     /* 1691525 */     GIR_EraseRootFromParent_Done,
     /* 1691526 */   // Label 21863: @1691526
     /* 1691526 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1691630), // Rule ID 6781 //
     /* 1691531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1691542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1691545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1691548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691577 */     // MIs[0] policy
     /* 1691577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691629 */     // GIR_Coverage, 6781,
     /* 1691629 */     GIR_EraseRootFromParent_Done,
     /* 1691630 */   // Label 21864: @1691630
     /* 1691630 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1691734), // Rule ID 6784 //
     /* 1691635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691681 */     // MIs[0] policy
     /* 1691681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1691708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691733 */     // GIR_Coverage, 6784,
     /* 1691733 */     GIR_EraseRootFromParent_Done,
     /* 1691734 */   // Label 21865: @1691734
     /* 1691734 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1691838), // Rule ID 6785 //
     /* 1691739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1691750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1691753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1691756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691785 */     // MIs[0] policy
     /* 1691785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691795 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1691812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1691834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691837 */     // GIR_Coverage, 6785,
     /* 1691837 */     GIR_EraseRootFromParent_Done,
     /* 1691838 */   // Label 21866: @1691838
     /* 1691838 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1691942), // Rule ID 6788 //
     /* 1691843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1691854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1691857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691889 */     // MIs[0] policy
     /* 1691889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1691903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1691909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1691913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1691916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1691930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691941 */     // GIR_Coverage, 6788,
     /* 1691941 */     GIR_EraseRootFromParent_Done,
     /* 1691942 */   // Label 21867: @1691942
     /* 1691942 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1692046), // Rule ID 6789 //
     /* 1691947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1691958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1691961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1691964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691993 */     // MIs[0] policy
     /* 1691993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692045 */     // GIR_Coverage, 6789,
     /* 1692045 */     GIR_EraseRootFromParent_Done,
     /* 1692046 */   // Label 21868: @1692046
     /* 1692046 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1692150), // Rule ID 6792 //
     /* 1692051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692097 */     // MIs[0] policy
     /* 1692097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692149 */     // GIR_Coverage, 6792,
     /* 1692149 */     GIR_EraseRootFromParent_Done,
     /* 1692150 */   // Label 21869: @1692150
     /* 1692150 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1692254), // Rule ID 6793 //
     /* 1692155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692201 */     // MIs[0] policy
     /* 1692201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11216:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692253 */     // GIR_Coverage, 6793,
     /* 1692253 */     GIR_EraseRootFromParent_Done,
     /* 1692254 */   // Label 21870: @1692254
     /* 1692254 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1692358), // Rule ID 6796 //
     /* 1692259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692305 */     // MIs[0] policy
     /* 1692305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692357 */     // GIR_Coverage, 6796,
     /* 1692357 */     GIR_EraseRootFromParent_Done,
     /* 1692358 */   // Label 21871: @1692358
     /* 1692358 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1692462), // Rule ID 6797 //
     /* 1692363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692409 */     // MIs[0] policy
     /* 1692409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692461 */     // GIR_Coverage, 6797,
     /* 1692461 */     GIR_EraseRootFromParent_Done,
     /* 1692462 */   // Label 21872: @1692462
     /* 1692462 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1692566), // Rule ID 6800 //
     /* 1692467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692513 */     // MIs[0] policy
     /* 1692513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692565 */     // GIR_Coverage, 6800,
     /* 1692565 */     GIR_EraseRootFromParent_Done,
     /* 1692566 */   // Label 21873: @1692566
     /* 1692566 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1692670), // Rule ID 6801 //
     /* 1692571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1692582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1692585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1692588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692617 */     // MIs[0] policy
     /* 1692617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692669 */     // GIR_Coverage, 6801,
     /* 1692669 */     GIR_EraseRootFromParent_Done,
     /* 1692670 */   // Label 21874: @1692670
     /* 1692670 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1692774), // Rule ID 6804 //
     /* 1692675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1692678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692721 */     // MIs[0] policy
     /* 1692721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692773 */     // GIR_Coverage, 6804,
     /* 1692773 */     GIR_EraseRootFromParent_Done,
     /* 1692774 */   // Label 21875: @1692774
     /* 1692774 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1692878), // Rule ID 6805 //
     /* 1692779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1692782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1692790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1692793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1692796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692825 */     // MIs[0] policy
     /* 1692825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1692874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692877 */     // GIR_Coverage, 6805,
     /* 1692877 */     GIR_EraseRootFromParent_Done,
     /* 1692878 */   // Label 21876: @1692878
     /* 1692878 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1692982), // Rule ID 6808 //
     /* 1692883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1692897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1692900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1692906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1692913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1692921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692929 */     // MIs[0] policy
     /* 1692929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1692943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1692949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1692953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1692956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1692970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692981 */     // GIR_Coverage, 6808,
     /* 1692981 */     GIR_EraseRootFromParent_Done,
     /* 1692982 */   // Label 21877: @1692982
     /* 1692982 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1693086), // Rule ID 6809 //
     /* 1692987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1692998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693033 */     // MIs[0] policy
     /* 1693033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693085 */     // GIR_Coverage, 6809,
     /* 1693085 */     GIR_EraseRootFromParent_Done,
     /* 1693086 */   // Label 21878: @1693086
     /* 1693086 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1693190), // Rule ID 6812 //
     /* 1693091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693137 */     // MIs[0] policy
     /* 1693137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693189 */     // GIR_Coverage, 6812,
     /* 1693189 */     GIR_EraseRootFromParent_Done,
     /* 1693190 */   // Label 21879: @1693190
     /* 1693190 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1693294), // Rule ID 6813 //
     /* 1693195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693241 */     // MIs[0] policy
     /* 1693241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693293 */     // GIR_Coverage, 6813,
     /* 1693293 */     GIR_EraseRootFromParent_Done,
     /* 1693294 */   // Label 21880: @1693294
     /* 1693294 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1693398), // Rule ID 6816 //
     /* 1693299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693345 */     // MIs[0] policy
     /* 1693345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1693372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693397 */     // GIR_Coverage, 6816,
     /* 1693397 */     GIR_EraseRootFromParent_Done,
     /* 1693398 */   // Label 21881: @1693398
     /* 1693398 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1693502), // Rule ID 6817 //
     /* 1693403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693449 */     // MIs[0] policy
     /* 1693449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1693476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693501 */     // GIR_Coverage, 6817,
     /* 1693501 */     GIR_EraseRootFromParent_Done,
     /* 1693502 */   // Label 21882: @1693502
     /* 1693502 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1693606), // Rule ID 6820 //
     /* 1693507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693553 */     // MIs[0] policy
     /* 1693553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693605 */     // GIR_Coverage, 6820,
     /* 1693605 */     GIR_EraseRootFromParent_Done,
     /* 1693606 */   // Label 21883: @1693606
     /* 1693606 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1693710), // Rule ID 6821 //
     /* 1693611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693657 */     // MIs[0] policy
     /* 1693657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693709 */     // GIR_Coverage, 6821,
     /* 1693709 */     GIR_EraseRootFromParent_Done,
     /* 1693710 */   // Label 21884: @1693710
     /* 1693710 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1693814), // Rule ID 6824 //
     /* 1693715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693761 */     // MIs[0] policy
     /* 1693761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693813 */     // GIR_Coverage, 6824,
     /* 1693813 */     GIR_EraseRootFromParent_Done,
     /* 1693814 */   // Label 21885: @1693814
     /* 1693814 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1693918), // Rule ID 6825 //
     /* 1693819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1693830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1693833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1693836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693865 */     // MIs[0] policy
     /* 1693865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1693906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693917 */     // GIR_Coverage, 6825,
     /* 1693917 */     GIR_EraseRootFromParent_Done,
     /* 1693918 */   // Label 21886: @1693918
     /* 1693918 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1694022), // Rule ID 6828 //
     /* 1693923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1693934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1693937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1693940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693969 */     // MIs[0] policy
     /* 1693969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1693983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1693989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1693993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1693996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694021 */     // GIR_Coverage, 6828,
     /* 1694021 */     GIR_EraseRootFromParent_Done,
     /* 1694022 */   // Label 21887: @1694022
     /* 1694022 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1694126), // Rule ID 6829 //
     /* 1694027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1694038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1694041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694073 */     // MIs[0] policy
     /* 1694073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694125 */     // GIR_Coverage, 6829,
     /* 1694125 */     GIR_EraseRootFromParent_Done,
     /* 1694126 */   // Label 21888: @1694126
     /* 1694126 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1694230), // Rule ID 6832 //
     /* 1694131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694177 */     // MIs[0] policy
     /* 1694177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694229 */     // GIR_Coverage, 6832,
     /* 1694229 */     GIR_EraseRootFromParent_Done,
     /* 1694230 */   // Label 21889: @1694230
     /* 1694230 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1694334), // Rule ID 6833 //
     /* 1694235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694281 */     // MIs[0] policy
     /* 1694281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694333 */     // GIR_Coverage, 6833,
     /* 1694333 */     GIR_EraseRootFromParent_Done,
     /* 1694334 */   // Label 21890: @1694334
     /* 1694334 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1694438), // Rule ID 6836 //
     /* 1694339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694385 */     // MIs[0] policy
     /* 1694385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694437 */     // GIR_Coverage, 6836,
     /* 1694437 */     GIR_EraseRootFromParent_Done,
     /* 1694438 */   // Label 21891: @1694438
     /* 1694438 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1694542), // Rule ID 6837 //
     /* 1694443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694489 */     // MIs[0] policy
     /* 1694489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694541 */     // GIR_Coverage, 6837,
     /* 1694541 */     GIR_EraseRootFromParent_Done,
     /* 1694542 */   // Label 21892: @1694542
     /* 1694542 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1694646), // Rule ID 6840 //
     /* 1694547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694593 */     // MIs[0] policy
     /* 1694593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694645 */     // GIR_Coverage, 6840,
     /* 1694645 */     GIR_EraseRootFromParent_Done,
     /* 1694646 */   // Label 21893: @1694646
     /* 1694646 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1694750), // Rule ID 6841 //
     /* 1694651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694697 */     // MIs[0] policy
     /* 1694697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694749 */     // GIR_Coverage, 6841,
     /* 1694749 */     GIR_EraseRootFromParent_Done,
     /* 1694750 */   // Label 21894: @1694750
     /* 1694750 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1694854), // Rule ID 6844 //
     /* 1694755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694801 */     // MIs[0] policy
     /* 1694801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694853 */     // GIR_Coverage, 6844,
     /* 1694853 */     GIR_EraseRootFromParent_Done,
     /* 1694854 */   // Label 21895: @1694854
     /* 1694854 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1694958), // Rule ID 6845 //
     /* 1694859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1694862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694905 */     // MIs[0] policy
     /* 1694905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1694919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1694925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1694929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1694946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1694954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694957 */     // GIR_Coverage, 6845,
     /* 1694957 */     GIR_EraseRootFromParent_Done,
     /* 1694958 */   // Label 21896: @1694958
     /* 1694958 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1695062), // Rule ID 6848 //
     /* 1694963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1694974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1694977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1694980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695009 */     // MIs[0] policy
     /* 1695009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1695036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695061 */     // GIR_Coverage, 6848,
     /* 1695061 */     GIR_EraseRootFromParent_Done,
     /* 1695062 */   // Label 21897: @1695062
     /* 1695062 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1695166), // Rule ID 6849 //
     /* 1695067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1695078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1695081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695113 */     // MIs[0] policy
     /* 1695113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1695140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695165 */     // GIR_Coverage, 6849,
     /* 1695165 */     GIR_EraseRootFromParent_Done,
     /* 1695166 */   // Label 21898: @1695166
     /* 1695166 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1695270), // Rule ID 6852 //
     /* 1695171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1695174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1695182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1695185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695217 */     // MIs[0] policy
     /* 1695217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1695244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695269 */     // GIR_Coverage, 6852,
     /* 1695269 */     GIR_EraseRootFromParent_Done,
     /* 1695270 */   // Label 21899: @1695270
     /* 1695270 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1695374), // Rule ID 6853 //
     /* 1695275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1695286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1695289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695321 */     // MIs[0] policy
     /* 1695321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1695348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695373 */     // GIR_Coverage, 6853,
     /* 1695373 */     GIR_EraseRootFromParent_Done,
     /* 1695374 */   // Label 21900: @1695374
     /* 1695374 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1695478), // Rule ID 6944 //
     /* 1695379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695425 */     // MIs[0] policy
     /* 1695425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1695452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695477 */     // GIR_Coverage, 6944,
     /* 1695477 */     GIR_EraseRootFromParent_Done,
     /* 1695478 */   // Label 21901: @1695478
     /* 1695478 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1695582), // Rule ID 6945 //
     /* 1695483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695529 */     // MIs[0] policy
     /* 1695529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695539 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1695556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695581 */     // GIR_Coverage, 6945,
     /* 1695581 */     GIR_EraseRootFromParent_Done,
     /* 1695582 */   // Label 21902: @1695582
     /* 1695582 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1695686), // Rule ID 6948 //
     /* 1695587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695633 */     // MIs[0] policy
     /* 1695633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695643 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1695660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695685 */     // GIR_Coverage, 6948,
     /* 1695685 */     GIR_EraseRootFromParent_Done,
     /* 1695686 */   // Label 21903: @1695686
     /* 1695686 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1695790), // Rule ID 6949 //
     /* 1695691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695737 */     // MIs[0] policy
     /* 1695737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1695764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695789 */     // GIR_Coverage, 6949,
     /* 1695789 */     GIR_EraseRootFromParent_Done,
     /* 1695790 */   // Label 21904: @1695790
     /* 1695790 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1695894), // Rule ID 6952 //
     /* 1695795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695841 */     // MIs[0] policy
     /* 1695841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1695868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695893 */     // GIR_Coverage, 6952,
     /* 1695893 */     GIR_EraseRootFromParent_Done,
     /* 1695894 */   // Label 21905: @1695894
     /* 1695894 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1695998), // Rule ID 6953 //
     /* 1695899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695945 */     // MIs[0] policy
     /* 1695945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1695959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1695965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1695969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1695972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1695986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695997 */     // GIR_Coverage, 6953,
     /* 1695997 */     GIR_EraseRootFromParent_Done,
     /* 1695998 */   // Label 21906: @1695998
     /* 1695998 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1696102), // Rule ID 6956 //
     /* 1696003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696049 */     // MIs[0] policy
     /* 1696049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1696076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696101 */     // GIR_Coverage, 6956,
     /* 1696101 */     GIR_EraseRootFromParent_Done,
     /* 1696102 */   // Label 21907: @1696102
     /* 1696102 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1696206), // Rule ID 6957 //
     /* 1696107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696153 */     // MIs[0] policy
     /* 1696153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1696180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696205 */     // GIR_Coverage, 6957,
     /* 1696205 */     GIR_EraseRootFromParent_Done,
     /* 1696206 */   // Label 21908: @1696206
     /* 1696206 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1696310), // Rule ID 6960 //
     /* 1696211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696257 */     // MIs[0] policy
     /* 1696257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696309 */     // GIR_Coverage, 6960,
     /* 1696309 */     GIR_EraseRootFromParent_Done,
     /* 1696310 */   // Label 21909: @1696310
     /* 1696310 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1696414), // Rule ID 6961 //
     /* 1696315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696361 */     // MIs[0] policy
     /* 1696361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696413 */     // GIR_Coverage, 6961,
     /* 1696413 */     GIR_EraseRootFromParent_Done,
     /* 1696414 */   // Label 21910: @1696414
     /* 1696414 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1696518), // Rule ID 6964 //
     /* 1696419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1696439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696465 */     // MIs[0] policy
     /* 1696465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696517 */     // GIR_Coverage, 6964,
     /* 1696517 */     GIR_EraseRootFromParent_Done,
     /* 1696518 */   // Label 21911: @1696518
     /* 1696518 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1696622), // Rule ID 6965 //
     /* 1696523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1696543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696569 */     // MIs[0] policy
     /* 1696569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696621 */     // GIR_Coverage, 6965,
     /* 1696621 */     GIR_EraseRootFromParent_Done,
     /* 1696622 */   // Label 21912: @1696622
     /* 1696622 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1696726), // Rule ID 6968 //
     /* 1696627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696673 */     // MIs[0] policy
     /* 1696673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696725 */     // GIR_Coverage, 6968,
     /* 1696725 */     GIR_EraseRootFromParent_Done,
     /* 1696726 */   // Label 21913: @1696726
     /* 1696726 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1696830), // Rule ID 6969 //
     /* 1696731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696777 */     // MIs[0] policy
     /* 1696777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696829 */     // GIR_Coverage, 6969,
     /* 1696829 */     GIR_EraseRootFromParent_Done,
     /* 1696830 */   // Label 21914: @1696830
     /* 1696830 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1696934), // Rule ID 6972 //
     /* 1696835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696881 */     // MIs[0] policy
     /* 1696881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1696901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1696905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1696922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696933 */     // GIR_Coverage, 6972,
     /* 1696933 */     GIR_EraseRootFromParent_Done,
     /* 1696934 */   // Label 21915: @1696934
     /* 1696934 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1697038), // Rule ID 6973 //
     /* 1696939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696985 */     // MIs[0] policy
     /* 1696985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1696999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697037 */     // GIR_Coverage, 6973,
     /* 1697037 */     GIR_EraseRootFromParent_Done,
     /* 1697038 */   // Label 21916: @1697038
     /* 1697038 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1697142), // Rule ID 6976 //
     /* 1697043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697089 */     // MIs[0] policy
     /* 1697089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697141 */     // GIR_Coverage, 6976,
     /* 1697141 */     GIR_EraseRootFromParent_Done,
     /* 1697142 */   // Label 21917: @1697142
     /* 1697142 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1697246), // Rule ID 6977 //
     /* 1697147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1697158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1697161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1697164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1697167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1697170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697193 */     // MIs[0] policy
     /* 1697193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1697242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697245 */     // GIR_Coverage, 6977,
     /* 1697245 */     GIR_EraseRootFromParent_Done,
     /* 1697246 */   // Label 21918: @1697246
     /* 1697246 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1697350), // Rule ID 6980 //
     /* 1697251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1697254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697297 */     // MIs[0] policy
     /* 1697297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697349 */     // GIR_Coverage, 6980,
     /* 1697349 */     GIR_EraseRootFromParent_Done,
     /* 1697350 */   // Label 21919: @1697350
     /* 1697350 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1697454), // Rule ID 6981 //
     /* 1697355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1697358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697401 */     // MIs[0] policy
     /* 1697401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697453 */     // GIR_Coverage, 6981,
     /* 1697453 */     GIR_EraseRootFromParent_Done,
     /* 1697454 */   // Label 21920: @1697454
     /* 1697454 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1697558), // Rule ID 6984 //
     /* 1697459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697505 */     // MIs[0] policy
     /* 1697505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697515 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697557 */     // GIR_Coverage, 6984,
     /* 1697557 */     GIR_EraseRootFromParent_Done,
     /* 1697558 */   // Label 21921: @1697558
     /* 1697558 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1697662), // Rule ID 6985 //
     /* 1697563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697609 */     // MIs[0] policy
     /* 1697609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697661 */     // GIR_Coverage, 6985,
     /* 1697661 */     GIR_EraseRootFromParent_Done,
     /* 1697662 */   // Label 21922: @1697662
     /* 1697662 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1697766), // Rule ID 6988 //
     /* 1697667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697713 */     // MIs[0] policy
     /* 1697713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697765 */     // GIR_Coverage, 6988,
     /* 1697765 */     GIR_EraseRootFromParent_Done,
     /* 1697766 */   // Label 21923: @1697766
     /* 1697766 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1697870), // Rule ID 6989 //
     /* 1697771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697817 */     // MIs[0] policy
     /* 1697817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697869 */     // GIR_Coverage, 6989,
     /* 1697869 */     GIR_EraseRootFromParent_Done,
     /* 1697870 */   // Label 21924: @1697870
     /* 1697870 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1697974), // Rule ID 6992 //
     /* 1697875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1697895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1697898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697921 */     // MIs[0] policy
     /* 1697921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697931 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1697935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1697941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1697945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1697948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1697962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697973 */     // GIR_Coverage, 6992,
     /* 1697973 */     GIR_EraseRootFromParent_Done,
     /* 1697974 */   // Label 21925: @1697974
     /* 1697974 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1698078), // Rule ID 6993 //
     /* 1697979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1697999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1698002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698025 */     // MIs[0] policy
     /* 1698025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1698074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698077 */     // GIR_Coverage, 6993,
     /* 1698077 */     GIR_EraseRootFromParent_Done,
     /* 1698078 */   // Label 21926: @1698078
     /* 1698078 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1698182), // Rule ID 6996 //
     /* 1698083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698129 */     // MIs[0] policy
     /* 1698129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698181 */     // GIR_Coverage, 6996,
     /* 1698181 */     GIR_EraseRootFromParent_Done,
     /* 1698182 */   // Label 21927: @1698182
     /* 1698182 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1698286), // Rule ID 6997 //
     /* 1698187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1698198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1698201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1698204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1698207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698233 */     // MIs[0] policy
     /* 1698233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698285 */     // GIR_Coverage, 6997,
     /* 1698285 */     GIR_EraseRootFromParent_Done,
     /* 1698286 */   // Label 21928: @1698286
     /* 1698286 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1698390), // Rule ID 7000 //
     /* 1698291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698337 */     // MIs[0] policy
     /* 1698337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698389 */     // GIR_Coverage, 7000,
     /* 1698389 */     GIR_EraseRootFromParent_Done,
     /* 1698390 */   // Label 21929: @1698390
     /* 1698390 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1698494), // Rule ID 7001 //
     /* 1698395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1698406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1698409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1698412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1698415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698441 */     // MIs[0] policy
     /* 1698441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698493 */     // GIR_Coverage, 7001,
     /* 1698493 */     GIR_EraseRootFromParent_Done,
     /* 1698494 */   // Label 21930: @1698494
     /* 1698494 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1698598), // Rule ID 7004 //
     /* 1698499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698545 */     // MIs[0] policy
     /* 1698545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698597 */     // GIR_Coverage, 7004,
     /* 1698597 */     GIR_EraseRootFromParent_Done,
     /* 1698598 */   // Label 21931: @1698598
     /* 1698598 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1698702), // Rule ID 7005 //
     /* 1698603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698649 */     // MIs[0] policy
     /* 1698649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698701 */     // GIR_Coverage, 7005,
     /* 1698701 */     GIR_EraseRootFromParent_Done,
     /* 1698702 */   // Label 21932: @1698702
     /* 1698702 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1698806), // Rule ID 7008 //
     /* 1698707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698753 */     // MIs[0] policy
     /* 1698753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698805 */     // GIR_Coverage, 7008,
     /* 1698805 */     GIR_EraseRootFromParent_Done,
     /* 1698806 */   // Label 21933: @1698806
     /* 1698806 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1698910), // Rule ID 7009 //
     /* 1698811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698857 */     // MIs[0] policy
     /* 1698857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1698898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698909 */     // GIR_Coverage, 7009,
     /* 1698909 */     GIR_EraseRootFromParent_Done,
     /* 1698910 */   // Label 21934: @1698910
     /* 1698910 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1699014), // Rule ID 7012 //
     /* 1698915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698961 */     // MIs[0] policy
     /* 1698961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1698975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1698981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1698985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699013 */     // GIR_Coverage, 7012,
     /* 1699013 */     GIR_EraseRootFromParent_Done,
     /* 1699014 */   // Label 21935: @1699014
     /* 1699014 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1699118), // Rule ID 7013 //
     /* 1699019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1699030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1699033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1699036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1699039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699065 */     // MIs[0] policy
     /* 1699065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1699092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699117 */     // GIR_Coverage, 7013,
     /* 1699117 */     GIR_EraseRootFromParent_Done,
     /* 1699118 */   // Label 21936: @1699118
     /* 1699118 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1699222), // Rule ID 7016 //
     /* 1699123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1699143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699169 */     // MIs[0] policy
     /* 1699169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699221 */     // GIR_Coverage, 7016,
     /* 1699221 */     GIR_EraseRootFromParent_Done,
     /* 1699222 */   // Label 21937: @1699222
     /* 1699222 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1699326), // Rule ID 7017 //
     /* 1699227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1699238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1699241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1699244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1699247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1699250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699273 */     // MIs[0] policy
     /* 1699273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1699322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699325 */     // GIR_Coverage, 7017,
     /* 1699325 */     GIR_EraseRootFromParent_Done,
     /* 1699326 */   // Label 21938: @1699326
     /* 1699326 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1699430), // Rule ID 7020 //
     /* 1699331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1699351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699377 */     // MIs[0] policy
     /* 1699377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1699404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699429 */     // GIR_Coverage, 7020,
     /* 1699429 */     GIR_EraseRootFromParent_Done,
     /* 1699430 */   // Label 21939: @1699430
     /* 1699430 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1699534), // Rule ID 7021 //
     /* 1699435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1699446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1699449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1699452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1699455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1699465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1699477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699481 */     // MIs[0] policy
     /* 1699481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1699508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699533 */     // GIR_Coverage, 7021,
     /* 1699533 */     GIR_EraseRootFromParent_Done,
     /* 1699534 */   // Label 21940: @1699534
     /* 1699534 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1699638), // Rule ID 7024 //
     /* 1699539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1699550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1699553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1699559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699585 */     // MIs[0] policy
     /* 1699585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1699612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699637 */     // GIR_Coverage, 7024,
     /* 1699637 */     GIR_EraseRootFromParent_Done,
     /* 1699638 */   // Label 21941: @1699638
     /* 1699638 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1699742), // Rule ID 7025 //
     /* 1699643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1699654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1699657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1699660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1699663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699689 */     // MIs[0] policy
     /* 1699689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1699716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699741 */     // GIR_Coverage, 7025,
     /* 1699741 */     GIR_EraseRootFromParent_Done,
     /* 1699742 */   // Label 21942: @1699742
     /* 1699742 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1699846), // Rule ID 7028 //
     /* 1699747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699793 */     // MIs[0] policy
     /* 1699793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699845 */     // GIR_Coverage, 7028,
     /* 1699845 */     GIR_EraseRootFromParent_Done,
     /* 1699846 */   // Label 21943: @1699846
     /* 1699846 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1699950), // Rule ID 7029 //
     /* 1699851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699897 */     // MIs[0] policy
     /* 1699897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1699911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1699917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1699921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1699938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699949 */     // GIR_Coverage, 7029,
     /* 1699949 */     GIR_EraseRootFromParent_Done,
     /* 1699950 */   // Label 21944: @1699950
     /* 1699950 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1700054), // Rule ID 7032 //
     /* 1699955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1699972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700001 */     // MIs[0] policy
     /* 1700001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1700028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700053 */     // GIR_Coverage, 7032,
     /* 1700053 */     GIR_EraseRootFromParent_Done,
     /* 1700054 */   // Label 21945: @1700054
     /* 1700054 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1700158), // Rule ID 7033 //
     /* 1700059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1700070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1700073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1700076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700105 */     // MIs[0] policy
     /* 1700105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1700132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700157 */     // GIR_Coverage, 7033,
     /* 1700157 */     GIR_EraseRootFromParent_Done,
     /* 1700158 */   // Label 21946: @1700158
     /* 1700158 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1700262), // Rule ID 7036 //
     /* 1700163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700209 */     // MIs[0] policy
     /* 1700209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1700236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700261 */     // GIR_Coverage, 7036,
     /* 1700261 */     GIR_EraseRootFromParent_Done,
     /* 1700262 */   // Label 21947: @1700262
     /* 1700262 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1700366), // Rule ID 7037 //
     /* 1700267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1700278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1700281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1700284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700313 */     // MIs[0] policy
     /* 1700313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1700340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700365 */     // GIR_Coverage, 7037,
     /* 1700365 */     GIR_EraseRootFromParent_Done,
     /* 1700366 */   // Label 21948: @1700366
     /* 1700366 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1700470), // Rule ID 7040 //
     /* 1700371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700417 */     // MIs[0] policy
     /* 1700417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700469 */     // GIR_Coverage, 7040,
     /* 1700469 */     GIR_EraseRootFromParent_Done,
     /* 1700470 */   // Label 21949: @1700470
     /* 1700470 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1700574), // Rule ID 7041 //
     /* 1700475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1700486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1700489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1700492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700521 */     // MIs[0] policy
     /* 1700521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700531 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700573 */     // GIR_Coverage, 7041,
     /* 1700573 */     GIR_EraseRootFromParent_Done,
     /* 1700574 */   // Label 21950: @1700574
     /* 1700574 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1700678), // Rule ID 7044 //
     /* 1700579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1700596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700625 */     // MIs[0] policy
     /* 1700625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1700652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700677 */     // GIR_Coverage, 7044,
     /* 1700677 */     GIR_EraseRootFromParent_Done,
     /* 1700678 */   // Label 21951: @1700678
     /* 1700678 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1700782), // Rule ID 7045 //
     /* 1700683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1700694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1700697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1700700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700729 */     // MIs[0] policy
     /* 1700729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1700756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700781 */     // GIR_Coverage, 7045,
     /* 1700781 */     GIR_EraseRootFromParent_Done,
     /* 1700782 */   // Label 21952: @1700782
     /* 1700782 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1700886), // Rule ID 7048 //
     /* 1700787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700833 */     // MIs[0] policy
     /* 1700833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700885 */     // GIR_Coverage, 7048,
     /* 1700885 */     GIR_EraseRootFromParent_Done,
     /* 1700886 */   // Label 21953: @1700886
     /* 1700886 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1700990), // Rule ID 7049 //
     /* 1700891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700937 */     // MIs[0] policy
     /* 1700937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1700951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1700957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1700961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1700978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700989 */     // GIR_Coverage, 7049,
     /* 1700989 */     GIR_EraseRootFromParent_Done,
     /* 1700990 */   // Label 21954: @1700990
     /* 1700990 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1701094), // Rule ID 7052 //
     /* 1700995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1701012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701041 */     // MIs[0] policy
     /* 1701041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1701068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701093 */     // GIR_Coverage, 7052,
     /* 1701093 */     GIR_EraseRootFromParent_Done,
     /* 1701094 */   // Label 21955: @1701094
     /* 1701094 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1701198), // Rule ID 7053 //
     /* 1701099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1701110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1701113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1701116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701145 */     // MIs[0] policy
     /* 1701145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1701172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701197 */     // GIR_Coverage, 7053,
     /* 1701197 */     GIR_EraseRootFromParent_Done,
     /* 1701198 */   // Label 21956: @1701198
     /* 1701198 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1701302), // Rule ID 7056 //
     /* 1701203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1701220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701249 */     // MIs[0] policy
     /* 1701249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701301 */     // GIR_Coverage, 7056,
     /* 1701301 */     GIR_EraseRootFromParent_Done,
     /* 1701302 */   // Label 21957: @1701302
     /* 1701302 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1701406), // Rule ID 7057 //
     /* 1701307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1701318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1701321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1701324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701353 */     // MIs[0] policy
     /* 1701353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11214:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701405 */     // GIR_Coverage, 7057,
     /* 1701405 */     GIR_EraseRootFromParent_Done,
     /* 1701406 */   // Label 21958: @1701406
     /* 1701406 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1701510), // Rule ID 7060 //
     /* 1701411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701457 */     // MIs[0] policy
     /* 1701457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701509 */     // GIR_Coverage, 7060,
     /* 1701509 */     GIR_EraseRootFromParent_Done,
     /* 1701510 */   // Label 21959: @1701510
     /* 1701510 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1701614), // Rule ID 7061 //
     /* 1701515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1701526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1701529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1701532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1701538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701561 */     // MIs[0] policy
     /* 1701561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701613 */     // GIR_Coverage, 7061,
     /* 1701613 */     GIR_EraseRootFromParent_Done,
     /* 1701614 */   // Label 21960: @1701614
     /* 1701614 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1701718), // Rule ID 7064 //
     /* 1701619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701665 */     // MIs[0] policy
     /* 1701665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701717 */     // GIR_Coverage, 7064,
     /* 1701717 */     GIR_EraseRootFromParent_Done,
     /* 1701718 */   // Label 21961: @1701718
     /* 1701718 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1701822), // Rule ID 7065 //
     /* 1701723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1701734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1701737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1701740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1701746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701769 */     // MIs[0] policy
     /* 1701769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1701818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701821 */     // GIR_Coverage, 7065,
     /* 1701821 */     GIR_EraseRootFromParent_Done,
     /* 1701822 */   // Label 21962: @1701822
     /* 1701822 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1701926), // Rule ID 7068 //
     /* 1701827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1701830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1701838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1701841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701873 */     // MIs[0] policy
     /* 1701873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1701897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1701900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1701914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1701922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701925 */     // GIR_Coverage, 7068,
     /* 1701925 */     GIR_EraseRootFromParent_Done,
     /* 1701926 */   // Label 21963: @1701926
     /* 1701926 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1702030), // Rule ID 7069 //
     /* 1701931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1701934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1701942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1701945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1701948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1701954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1701961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1701969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701977 */     // MIs[0] policy
     /* 1701977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1701991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1701997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1702004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702029 */     // GIR_Coverage, 7069,
     /* 1702029 */     GIR_EraseRootFromParent_Done,
     /* 1702030 */   // Label 21964: @1702030
     /* 1702030 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1702134), // Rule ID 7072 //
     /* 1702035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1702052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702081 */     // MIs[0] policy
     /* 1702081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702133 */     // GIR_Coverage, 7072,
     /* 1702133 */     GIR_EraseRootFromParent_Done,
     /* 1702134 */   // Label 21965: @1702134
     /* 1702134 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1702238), // Rule ID 7073 //
     /* 1702139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1702150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1702153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1702156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702185 */     // MIs[0] policy
     /* 1702185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702237 */     // GIR_Coverage, 7073,
     /* 1702237 */     GIR_EraseRootFromParent_Done,
     /* 1702238 */   // Label 21966: @1702238
     /* 1702238 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1702342), // Rule ID 7076 //
     /* 1702243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1702260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702289 */     // MIs[0] policy
     /* 1702289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702341 */     // GIR_Coverage, 7076,
     /* 1702341 */     GIR_EraseRootFromParent_Done,
     /* 1702342 */   // Label 21967: @1702342
     /* 1702342 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1702446), // Rule ID 7077 //
     /* 1702347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1702358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1702361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1702364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1702370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702393 */     // MIs[0] policy
     /* 1702393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702445 */     // GIR_Coverage, 7077,
     /* 1702445 */     GIR_EraseRootFromParent_Done,
     /* 1702446 */   // Label 21968: @1702446
     /* 1702446 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1702550), // Rule ID 7080 //
     /* 1702451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1702462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1702465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1702468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1702474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702497 */     // MIs[0] policy
     /* 1702497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702507 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702549 */     // GIR_Coverage, 7080,
     /* 1702549 */     GIR_EraseRootFromParent_Done,
     /* 1702550 */   // Label 21969: @1702550
     /* 1702550 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1702654), // Rule ID 7081 //
     /* 1702555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1702566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1702569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1702572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1702578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702601 */     // MIs[0] policy
     /* 1702601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1702650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702653 */     // GIR_Coverage, 7081,
     /* 1702653 */     GIR_EraseRootFromParent_Done,
     /* 1702654 */   // Label 21970: @1702654
     /* 1702654 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1702758), // Rule ID 7084 //
     /* 1702659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702705 */     // MIs[0] policy
     /* 1702705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702715 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702757 */     // GIR_Coverage, 7084,
     /* 1702757 */     GIR_EraseRootFromParent_Done,
     /* 1702758 */   // Label 21971: @1702758
     /* 1702758 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1702862), // Rule ID 7085 //
     /* 1702763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1702774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1702777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1702780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702809 */     // MIs[0] policy
     /* 1702809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702861 */     // GIR_Coverage, 7085,
     /* 1702861 */     GIR_EraseRootFromParent_Done,
     /* 1702862 */   // Label 21972: @1702862
     /* 1702862 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1702966), // Rule ID 7088 //
     /* 1702867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702913 */     // MIs[0] policy
     /* 1702913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1702927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1702933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1702937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1702954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1702962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702965 */     // GIR_Coverage, 7088,
     /* 1702965 */     GIR_EraseRootFromParent_Done,
     /* 1702966 */   // Label 21973: @1702966
     /* 1702966 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1703070), // Rule ID 7089 //
     /* 1702971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1702982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1702985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1702988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703017 */     // MIs[0] policy
     /* 1703017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1703044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703069 */     // GIR_Coverage, 7089,
     /* 1703069 */     GIR_EraseRootFromParent_Done,
     /* 1703070 */   // Label 21974: @1703070
     /* 1703070 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1703174), // Rule ID 7092 //
     /* 1703075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703121 */     // MIs[0] policy
     /* 1703121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1703148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703173 */     // GIR_Coverage, 7092,
     /* 1703173 */     GIR_EraseRootFromParent_Done,
     /* 1703174 */   // Label 21975: @1703174
     /* 1703174 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1703278), // Rule ID 7093 //
     /* 1703179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1703190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1703193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703225 */     // MIs[0] policy
     /* 1703225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1703252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1703274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703277 */     // GIR_Coverage, 7093,
     /* 1703277 */     GIR_EraseRootFromParent_Done,
     /* 1703278 */   // Label 21976: @1703278
     /* 1703278 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1703382), // Rule ID 7096 //
     /* 1703283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1703300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703329 */     // MIs[0] policy
     /* 1703329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1703356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703381 */     // GIR_Coverage, 7096,
     /* 1703381 */     GIR_EraseRootFromParent_Done,
     /* 1703382 */   // Label 21977: @1703382
     /* 1703382 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1703486), // Rule ID 7097 //
     /* 1703387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1703398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1703401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1703404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703433 */     // MIs[0] policy
     /* 1703433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1703460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703485 */     // GIR_Coverage, 7097,
     /* 1703485 */     GIR_EraseRootFromParent_Done,
     /* 1703486 */   // Label 21978: @1703486
     /* 1703486 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1703590), // Rule ID 7100 //
     /* 1703491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703537 */     // MIs[0] policy
     /* 1703537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1703564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703589 */     // GIR_Coverage, 7100,
     /* 1703589 */     GIR_EraseRootFromParent_Done,
     /* 1703590 */   // Label 21979: @1703590
     /* 1703590 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1703694), // Rule ID 7101 //
     /* 1703595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1703606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1703609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1703612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703641 */     // MIs[0] policy
     /* 1703641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1703668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703693 */     // GIR_Coverage, 7101,
     /* 1703693 */     GIR_EraseRootFromParent_Done,
     /* 1703694 */   // Label 21980: @1703694
     /* 1703694 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1703798), // Rule ID 7104 //
     /* 1703699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1703710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1703713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703745 */     // MIs[0] policy
     /* 1703745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703755 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1703772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703797 */     // GIR_Coverage, 7104,
     /* 1703797 */     GIR_EraseRootFromParent_Done,
     /* 1703798 */   // Label 21981: @1703798
     /* 1703798 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1703902), // Rule ID 7105 //
     /* 1703803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1703814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1703817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1703820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1703823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1703833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703849 */     // MIs[0] policy
     /* 1703849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1703876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1703898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703901 */     // GIR_Coverage, 7105,
     /* 1703901 */     GIR_EraseRootFromParent_Done,
     /* 1703902 */   // Label 21982: @1703902
     /* 1703902 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1704006), // Rule ID 7108 //
     /* 1703907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1703910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1703915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1703918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1703921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1703924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1703927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1703949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703953 */     // MIs[0] policy
     /* 1703953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1703967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1703973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1703977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1703980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1703994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704005 */     // GIR_Coverage, 7108,
     /* 1704005 */     GIR_EraseRootFromParent_Done,
     /* 1704006 */   // Label 21983: @1704006
     /* 1704006 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1704110), // Rule ID 7109 //
     /* 1704011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1704019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1704022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1704025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1704028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704057 */     // MIs[0] policy
     /* 1704057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1704084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704109 */     // GIR_Coverage, 7109,
     /* 1704109 */     GIR_EraseRootFromParent_Done,
     /* 1704110 */   // Label 21984: @1704110
     /* 1704110 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1704214), // Rule ID 7112 //
     /* 1704115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1704118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1704123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1704126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1704129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1704132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704161 */     // MIs[0] policy
     /* 1704161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1704188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704213 */     // GIR_Coverage, 7112,
     /* 1704213 */     GIR_EraseRootFromParent_Done,
     /* 1704214 */   // Label 21985: @1704214
     /* 1704214 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1704318), // Rule ID 7113 //
     /* 1704219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1704227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1704230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1704233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1704236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704265 */     // MIs[0] policy
     /* 1704265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1704292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704317 */     // GIR_Coverage, 7113,
     /* 1704317 */     GIR_EraseRootFromParent_Done,
     /* 1704318 */   // Label 21986: @1704318
     /* 1704318 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1704422), // Rule ID 7116 //
     /* 1704323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1704326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1704331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1704334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1704337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1704340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1704343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704369 */     // MIs[0] policy
     /* 1704369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704379 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1704396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704421 */     // GIR_Coverage, 7116,
     /* 1704421 */     GIR_EraseRootFromParent_Done,
     /* 1704422 */   // Label 21987: @1704422
     /* 1704422 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1704526), // Rule ID 7117 //
     /* 1704427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1704430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1704435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1704438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1704441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1704444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1704447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1704457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1704469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704473 */     // MIs[0] policy
     /* 1704473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1704500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1704522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704525 */     // GIR_Coverage, 7117,
     /* 1704525 */     GIR_EraseRootFromParent_Done,
     /* 1704526 */   // Label 21988: @1704526
     /* 1704526 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1704630), // Rule ID 7296 //
     /* 1704531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1704551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704577 */     // MIs[0] policy
     /* 1704577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1704604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704629 */     // GIR_Coverage, 7296,
     /* 1704629 */     GIR_EraseRootFromParent_Done,
     /* 1704630 */   // Label 21989: @1704630
     /* 1704630 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1704734), // Rule ID 7297 //
     /* 1704635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1704646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1704649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1704652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1704655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704681 */     // MIs[0] policy
     /* 1704681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1704708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704733 */     // GIR_Coverage, 7297,
     /* 1704733 */     GIR_EraseRootFromParent_Done,
     /* 1704734 */   // Label 21990: @1704734
     /* 1704734 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1704838), // Rule ID 7300 //
     /* 1704739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1704759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704785 */     // MIs[0] policy
     /* 1704785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704795 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1704812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704837 */     // GIR_Coverage, 7300,
     /* 1704837 */     GIR_EraseRootFromParent_Done,
     /* 1704838 */   // Label 21991: @1704838
     /* 1704838 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1704942), // Rule ID 7301 //
     /* 1704843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1704854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1704857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1704860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1704863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704889 */     // MIs[0] policy
     /* 1704889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1704903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1704909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1704913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1704916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1704930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704941 */     // GIR_Coverage, 7301,
     /* 1704941 */     GIR_EraseRootFromParent_Done,
     /* 1704942 */   // Label 21992: @1704942
     /* 1704942 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1705046), // Rule ID 7304 //
     /* 1704947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1704958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1704961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1704964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1704967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704993 */     // MIs[0] policy
     /* 1704993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1705020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705045 */     // GIR_Coverage, 7304,
     /* 1705045 */     GIR_EraseRootFromParent_Done,
     /* 1705046 */   // Label 21993: @1705046
     /* 1705046 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1705150), // Rule ID 7305 //
     /* 1705051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1705062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1705065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1705068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1705071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705097 */     // MIs[0] policy
     /* 1705097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1705124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705149 */     // GIR_Coverage, 7305,
     /* 1705149 */     GIR_EraseRootFromParent_Done,
     /* 1705150 */   // Label 21994: @1705150
     /* 1705150 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1705254), // Rule ID 7308 //
     /* 1705155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1705166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1705169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1705172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1705175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705201 */     // MIs[0] policy
     /* 1705201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1705228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705253 */     // GIR_Coverage, 7308,
     /* 1705253 */     GIR_EraseRootFromParent_Done,
     /* 1705254 */   // Label 21995: @1705254
     /* 1705254 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1705358), // Rule ID 7309 //
     /* 1705259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1705270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1705273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1705276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1705279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705305 */     // MIs[0] policy
     /* 1705305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1705332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705357 */     // GIR_Coverage, 7309,
     /* 1705357 */     GIR_EraseRootFromParent_Done,
     /* 1705358 */   // Label 21996: @1705358
     /* 1705358 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1705462), // Rule ID 7312 //
     /* 1705363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1705374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1705377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1705380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1705383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705409 */     // MIs[0] policy
     /* 1705409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1705436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705461 */     // GIR_Coverage, 7312,
     /* 1705461 */     GIR_EraseRootFromParent_Done,
     /* 1705462 */   // Label 21997: @1705462
     /* 1705462 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1705566), // Rule ID 7313 //
     /* 1705467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1705478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1705481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1705484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1705487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1705490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705513 */     // MIs[0] policy
     /* 1705513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1705540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705565 */     // GIR_Coverage, 7313,
     /* 1705565 */     GIR_EraseRootFromParent_Done,
     /* 1705566 */   // Label 21998: @1705566
     /* 1705566 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1705670), // Rule ID 7316 //
     /* 1705571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1705582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1705585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1705591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705617 */     // MIs[0] policy
     /* 1705617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1705644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705669 */     // GIR_Coverage, 7316,
     /* 1705669 */     GIR_EraseRootFromParent_Done,
     /* 1705670 */   // Label 21999: @1705670
     /* 1705670 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1705774), // Rule ID 7317 //
     /* 1705675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1705686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1705689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1705692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1705695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1705698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705721 */     // MIs[0] policy
     /* 1705721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1705748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705773 */     // GIR_Coverage, 7317,
     /* 1705773 */     GIR_EraseRootFromParent_Done,
     /* 1705774 */   // Label 22000: @1705774
     /* 1705774 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1705878), // Rule ID 7320 //
     /* 1705779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1705799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705825 */     // MIs[0] policy
     /* 1705825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1705852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705877 */     // GIR_Coverage, 7320,
     /* 1705877 */     GIR_EraseRootFromParent_Done,
     /* 1705878 */   // Label 22001: @1705878
     /* 1705878 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1705982), // Rule ID 7321 //
     /* 1705883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1705894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1705897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1705900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1705903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705929 */     // MIs[0] policy
     /* 1705929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1705943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1705949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1705953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1705956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1705970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1705978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705981 */     // GIR_Coverage, 7321,
     /* 1705981 */     GIR_EraseRootFromParent_Done,
     /* 1705982 */   // Label 22002: @1705982
     /* 1705982 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1706086), // Rule ID 7324 //
     /* 1705987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1705998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1706004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1706007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706033 */     // MIs[0] policy
     /* 1706033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1706060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706085 */     // GIR_Coverage, 7324,
     /* 1706085 */     GIR_EraseRootFromParent_Done,
     /* 1706086 */   // Label 22003: @1706086
     /* 1706086 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1706190), // Rule ID 7325 //
     /* 1706091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1706108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1706111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706137 */     // MIs[0] policy
     /* 1706137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1706164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706189 */     // GIR_Coverage, 7325,
     /* 1706189 */     GIR_EraseRootFromParent_Done,
     /* 1706190 */   // Label 22004: @1706190
     /* 1706190 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1706294), // Rule ID 7328 //
     /* 1706195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1706206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1706209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1706212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1706215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706241 */     // MIs[0] policy
     /* 1706241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1706268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706293 */     // GIR_Coverage, 7328,
     /* 1706293 */     GIR_EraseRootFromParent_Done,
     /* 1706294 */   // Label 22005: @1706294
     /* 1706294 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1706398), // Rule ID 7329 //
     /* 1706299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1706310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1706313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1706316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1706319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706345 */     // MIs[0] policy
     /* 1706345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1706372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706397 */     // GIR_Coverage, 7329,
     /* 1706397 */     GIR_EraseRootFromParent_Done,
     /* 1706398 */   // Label 22006: @1706398
     /* 1706398 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1706502), // Rule ID 7332 //
     /* 1706403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1706414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1706417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1706420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1706423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706449 */     // MIs[0] policy
     /* 1706449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1706476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706501 */     // GIR_Coverage, 7332,
     /* 1706501 */     GIR_EraseRootFromParent_Done,
     /* 1706502 */   // Label 22007: @1706502
     /* 1706502 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1706606), // Rule ID 7333 //
     /* 1706507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1706518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1706521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1706524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1706527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706553 */     // MIs[0] policy
     /* 1706553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1706580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706605 */     // GIR_Coverage, 7333,
     /* 1706605 */     GIR_EraseRootFromParent_Done,
     /* 1706606 */   // Label 22008: @1706606
     /* 1706606 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1706710), // Rule ID 7336 //
     /* 1706611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1706628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1706631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706657 */     // MIs[0] policy
     /* 1706657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1706684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706709 */     // GIR_Coverage, 7336,
     /* 1706709 */     GIR_EraseRootFromParent_Done,
     /* 1706710 */   // Label 22009: @1706710
     /* 1706710 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1706814), // Rule ID 7337 //
     /* 1706715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1706726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1706729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1706732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1706735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706761 */     // MIs[0] policy
     /* 1706761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1706788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706813 */     // GIR_Coverage, 7337,
     /* 1706813 */     GIR_EraseRootFromParent_Done,
     /* 1706814 */   // Label 22010: @1706814
     /* 1706814 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1706918), // Rule ID 7340 //
     /* 1706819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1706822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1706836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1706839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706865 */     // MIs[0] policy
     /* 1706865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1706892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1706906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1706914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706917 */     // GIR_Coverage, 7340,
     /* 1706917 */     GIR_EraseRootFromParent_Done,
     /* 1706918 */   // Label 22011: @1706918
     /* 1706918 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1707022), // Rule ID 7341 //
     /* 1706923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1706926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1706934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1706937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1706940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1706943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706969 */     // MIs[0] policy
     /* 1706969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1706983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1706989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1706993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1706996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707021 */     // GIR_Coverage, 7341,
     /* 1707021 */     GIR_EraseRootFromParent_Done,
     /* 1707022 */   // Label 22012: @1707022
     /* 1707022 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1707126), // Rule ID 7344 //
     /* 1707027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1707047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707073 */     // MIs[0] policy
     /* 1707073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1707100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707125 */     // GIR_Coverage, 7344,
     /* 1707125 */     GIR_EraseRootFromParent_Done,
     /* 1707126 */   // Label 22013: @1707126
     /* 1707126 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1707230), // Rule ID 7345 //
     /* 1707131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1707151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707177 */     // MIs[0] policy
     /* 1707177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1707204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707229 */     // GIR_Coverage, 7345,
     /* 1707229 */     GIR_EraseRootFromParent_Done,
     /* 1707230 */   // Label 22014: @1707230
     /* 1707230 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1707334), // Rule ID 7348 //
     /* 1707235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1707255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707281 */     // MIs[0] policy
     /* 1707281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1707308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707333 */     // GIR_Coverage, 7348,
     /* 1707333 */     GIR_EraseRootFromParent_Done,
     /* 1707334 */   // Label 22015: @1707334
     /* 1707334 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1707438), // Rule ID 7349 //
     /* 1707339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1707359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707385 */     // MIs[0] policy
     /* 1707385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1707412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707437 */     // GIR_Coverage, 7349,
     /* 1707437 */     GIR_EraseRootFromParent_Done,
     /* 1707438 */   // Label 22016: @1707438
     /* 1707438 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1707542), // Rule ID 7352 //
     /* 1707443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1707454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1707457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1707460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1707463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707489 */     // MIs[0] policy
     /* 1707489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1707516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707541 */     // GIR_Coverage, 7352,
     /* 1707541 */     GIR_EraseRootFromParent_Done,
     /* 1707542 */   // Label 22017: @1707542
     /* 1707542 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1707646), // Rule ID 7353 //
     /* 1707547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1707558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1707561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1707564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1707567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707593 */     // MIs[0] policy
     /* 1707593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1707620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707645 */     // GIR_Coverage, 7353,
     /* 1707645 */     GIR_EraseRootFromParent_Done,
     /* 1707646 */   // Label 22018: @1707646
     /* 1707646 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1707750), // Rule ID 7356 //
     /* 1707651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1707662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1707665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1707668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707697 */     // MIs[0] policy
     /* 1707697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707707 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1707724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707749 */     // GIR_Coverage, 7356,
     /* 1707749 */     GIR_EraseRootFromParent_Done,
     /* 1707750 */   // Label 22019: @1707750
     /* 1707750 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1707854), // Rule ID 7357 //
     /* 1707755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1707766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1707769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1707772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707801 */     // MIs[0] policy
     /* 1707801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1707828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707853 */     // GIR_Coverage, 7357,
     /* 1707853 */     GIR_EraseRootFromParent_Done,
     /* 1707854 */   // Label 22020: @1707854
     /* 1707854 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1707958), // Rule ID 7360 //
     /* 1707859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1707870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1707873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1707876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707905 */     // MIs[0] policy
     /* 1707905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1707919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1707925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1707929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1707932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1707946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1707954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707957 */     // GIR_Coverage, 7360,
     /* 1707957 */     GIR_EraseRootFromParent_Done,
     /* 1707958 */   // Label 22021: @1707958
     /* 1707958 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1708062), // Rule ID 7361 //
     /* 1707963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1707974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1707977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1707980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708009 */     // MIs[0] policy
     /* 1708009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1708036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708061 */     // GIR_Coverage, 7361,
     /* 1708061 */     GIR_EraseRootFromParent_Done,
     /* 1708062 */   // Label 22022: @1708062
     /* 1708062 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1708166), // Rule ID 7364 //
     /* 1708067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708113 */     // MIs[0] policy
     /* 1708113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1708140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708165 */     // GIR_Coverage, 7364,
     /* 1708165 */     GIR_EraseRootFromParent_Done,
     /* 1708166 */   // Label 22023: @1708166
     /* 1708166 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1708270), // Rule ID 7365 //
     /* 1708171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708217 */     // MIs[0] policy
     /* 1708217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1708244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708269 */     // GIR_Coverage, 7365,
     /* 1708269 */     GIR_EraseRootFromParent_Done,
     /* 1708270 */   // Label 22024: @1708270
     /* 1708270 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1708374), // Rule ID 7368 //
     /* 1708275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708321 */     // MIs[0] policy
     /* 1708321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1708348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708373 */     // GIR_Coverage, 7368,
     /* 1708373 */     GIR_EraseRootFromParent_Done,
     /* 1708374 */   // Label 22025: @1708374
     /* 1708374 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1708478), // Rule ID 7369 //
     /* 1708379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708425 */     // MIs[0] policy
     /* 1708425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708435 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11128:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1708452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708477 */     // GIR_Coverage, 7369,
     /* 1708477 */     GIR_EraseRootFromParent_Done,
     /* 1708478 */   // Label 22026: @1708478
     /* 1708478 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1708582), // Rule ID 7372 //
     /* 1708483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708529 */     // MIs[0] policy
     /* 1708529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708539 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1708556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708581 */     // GIR_Coverage, 7372,
     /* 1708581 */     GIR_EraseRootFromParent_Done,
     /* 1708582 */   // Label 22027: @1708582
     /* 1708582 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1708686), // Rule ID 7373 //
     /* 1708587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708633 */     // MIs[0] policy
     /* 1708633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1708660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708685 */     // GIR_Coverage, 7373,
     /* 1708685 */     GIR_EraseRootFromParent_Done,
     /* 1708686 */   // Label 22028: @1708686
     /* 1708686 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1708790), // Rule ID 7376 //
     /* 1708691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708737 */     // MIs[0] policy
     /* 1708737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708747 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1708764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708789 */     // GIR_Coverage, 7376,
     /* 1708789 */     GIR_EraseRootFromParent_Done,
     /* 1708790 */   // Label 22029: @1708790
     /* 1708790 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1708894), // Rule ID 7377 //
     /* 1708795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1708806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1708809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1708812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1708818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708841 */     // MIs[0] policy
     /* 1708841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708851 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1708868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708893 */     // GIR_Coverage, 7377,
     /* 1708893 */     GIR_EraseRootFromParent_Done,
     /* 1708894 */   // Label 22030: @1708894
     /* 1708894 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1708998), // Rule ID 7380 //
     /* 1708899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1708910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1708913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1708916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708945 */     // MIs[0] policy
     /* 1708945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708955 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1708959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1708965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1708969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1708972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1708986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1708994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708997 */     // GIR_Coverage, 7380,
     /* 1708997 */     GIR_EraseRootFromParent_Done,
     /* 1708998 */   // Label 22031: @1708998
     /* 1708998 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1709102), // Rule ID 7381 //
     /* 1709003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709049 */     // MIs[0] policy
     /* 1709049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1709076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709101 */     // GIR_Coverage, 7381,
     /* 1709101 */     GIR_EraseRootFromParent_Done,
     /* 1709102 */   // Label 22032: @1709102
     /* 1709102 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1709206), // Rule ID 7384 //
     /* 1709107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709153 */     // MIs[0] policy
     /* 1709153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709163 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1709180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709205 */     // GIR_Coverage, 7384,
     /* 1709205 */     GIR_EraseRootFromParent_Done,
     /* 1709206 */   // Label 22033: @1709206
     /* 1709206 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1709310), // Rule ID 7385 //
     /* 1709211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709257 */     // MIs[0] policy
     /* 1709257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1709284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709309 */     // GIR_Coverage, 7385,
     /* 1709309 */     GIR_EraseRootFromParent_Done,
     /* 1709310 */   // Label 22034: @1709310
     /* 1709310 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1709414), // Rule ID 7388 //
     /* 1709315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709361 */     // MIs[0] policy
     /* 1709361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1709388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709413 */     // GIR_Coverage, 7388,
     /* 1709413 */     GIR_EraseRootFromParent_Done,
     /* 1709414 */   // Label 22035: @1709414
     /* 1709414 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1709518), // Rule ID 7389 //
     /* 1709419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709465 */     // MIs[0] policy
     /* 1709465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709475 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11128:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1709492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709517 */     // GIR_Coverage, 7389,
     /* 1709517 */     GIR_EraseRootFromParent_Done,
     /* 1709518 */   // Label 22036: @1709518
     /* 1709518 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1709622), // Rule ID 7392 //
     /* 1709523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709569 */     // MIs[0] policy
     /* 1709569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709579 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1709596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709621 */     // GIR_Coverage, 7392,
     /* 1709621 */     GIR_EraseRootFromParent_Done,
     /* 1709622 */   // Label 22037: @1709622
     /* 1709622 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1709726), // Rule ID 7393 //
     /* 1709627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709673 */     // MIs[0] policy
     /* 1709673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1709700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709725 */     // GIR_Coverage, 7393,
     /* 1709725 */     GIR_EraseRootFromParent_Done,
     /* 1709726 */   // Label 22038: @1709726
     /* 1709726 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1709830), // Rule ID 7396 //
     /* 1709731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709777 */     // MIs[0] policy
     /* 1709777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1709804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709829 */     // GIR_Coverage, 7396,
     /* 1709829 */     GIR_EraseRootFromParent_Done,
     /* 1709830 */   // Label 22039: @1709830
     /* 1709830 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1709934), // Rule ID 7397 //
     /* 1709835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1709855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709881 */     // MIs[0] policy
     /* 1709881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1709901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1709905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1709908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1709922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709933 */     // GIR_Coverage, 7397,
     /* 1709933 */     GIR_EraseRootFromParent_Done,
     /* 1709934 */   // Label 22040: @1709934
     /* 1709934 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1710038), // Rule ID 7400 //
     /* 1709939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1709942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1709947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1709950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1709953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1709956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1709959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1709981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709985 */     // MIs[0] policy
     /* 1709985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709995 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1709999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1710012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710037 */     // GIR_Coverage, 7400,
     /* 1710037 */     GIR_EraseRootFromParent_Done,
     /* 1710038 */   // Label 22041: @1710038
     /* 1710038 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1710142), // Rule ID 7401 //
     /* 1710043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710089 */     // MIs[0] policy
     /* 1710089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1710116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710141 */     // GIR_Coverage, 7401,
     /* 1710141 */     GIR_EraseRootFromParent_Done,
     /* 1710142 */   // Label 22042: @1710142
     /* 1710142 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1710246), // Rule ID 7404 //
     /* 1710147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710193 */     // MIs[0] policy
     /* 1710193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1710220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710245 */     // GIR_Coverage, 7404,
     /* 1710245 */     GIR_EraseRootFromParent_Done,
     /* 1710246 */   // Label 22043: @1710246
     /* 1710246 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1710350), // Rule ID 7405 //
     /* 1710251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710297 */     // MIs[0] policy
     /* 1710297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1710324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710349 */     // GIR_Coverage, 7405,
     /* 1710349 */     GIR_EraseRootFromParent_Done,
     /* 1710350 */   // Label 22044: @1710350
     /* 1710350 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1710454), // Rule ID 7408 //
     /* 1710355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710401 */     // MIs[0] policy
     /* 1710401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1710428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710453 */     // GIR_Coverage, 7408,
     /* 1710453 */     GIR_EraseRootFromParent_Done,
     /* 1710454 */   // Label 22045: @1710454
     /* 1710454 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1710558), // Rule ID 7409 //
     /* 1710459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710505 */     // MIs[0] policy
     /* 1710505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710515 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1710532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710557 */     // GIR_Coverage, 7409,
     /* 1710557 */     GIR_EraseRootFromParent_Done,
     /* 1710558 */   // Label 22046: @1710558
     /* 1710558 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1710662), // Rule ID 7412 //
     /* 1710563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710609 */     // MIs[0] policy
     /* 1710609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1710636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710661 */     // GIR_Coverage, 7412,
     /* 1710661 */     GIR_EraseRootFromParent_Done,
     /* 1710662 */   // Label 22047: @1710662
     /* 1710662 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1710766), // Rule ID 7413 //
     /* 1710667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1710675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710713 */     // MIs[0] policy
     /* 1710713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710723 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1710740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710765 */     // GIR_Coverage, 7413,
     /* 1710765 */     GIR_EraseRootFromParent_Done,
     /* 1710766 */   // Label 22048: @1710766
     /* 1710766 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1710870), // Rule ID 7476 //
     /* 1710771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710817 */     // MIs[0] policy
     /* 1710817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1710844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710869 */     // GIR_Coverage, 7476,
     /* 1710869 */     GIR_EraseRootFromParent_Done,
     /* 1710870 */   // Label 22049: @1710870
     /* 1710870 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1710974), // Rule ID 7477 //
     /* 1710875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1710895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710921 */     // MIs[0] policy
     /* 1710921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1710935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1710941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1710945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1710948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1710962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710973 */     // GIR_Coverage, 7477,
     /* 1710973 */     GIR_EraseRootFromParent_Done,
     /* 1710974 */   // Label 22050: @1710974
     /* 1710974 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1711078), // Rule ID 7480 //
     /* 1710979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1710999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711025 */     // MIs[0] policy
     /* 1711025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1711052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711077 */     // GIR_Coverage, 7480,
     /* 1711077 */     GIR_EraseRootFromParent_Done,
     /* 1711078 */   // Label 22051: @1711078
     /* 1711078 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1711182), // Rule ID 7481 //
     /* 1711083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1711094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1711097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1711103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711129 */     // MIs[0] policy
     /* 1711129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1711156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711181 */     // GIR_Coverage, 7481,
     /* 1711181 */     GIR_EraseRootFromParent_Done,
     /* 1711182 */   // Label 22052: @1711182
     /* 1711182 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1711286), // Rule ID 7484 //
     /* 1711187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1711207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711233 */     // MIs[0] policy
     /* 1711233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1711260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711285 */     // GIR_Coverage, 7484,
     /* 1711285 */     GIR_EraseRootFromParent_Done,
     /* 1711286 */   // Label 22053: @1711286
     /* 1711286 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1711390), // Rule ID 7485 //
     /* 1711291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1711311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711337 */     // MIs[0] policy
     /* 1711337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1711364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711389 */     // GIR_Coverage, 7485,
     /* 1711389 */     GIR_EraseRootFromParent_Done,
     /* 1711390 */   // Label 22054: @1711390
     /* 1711390 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1711494), // Rule ID 7488 //
     /* 1711395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711441 */     // MIs[0] policy
     /* 1711441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1711468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711493 */     // GIR_Coverage, 7488,
     /* 1711493 */     GIR_EraseRootFromParent_Done,
     /* 1711494 */   // Label 22055: @1711494
     /* 1711494 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1711598), // Rule ID 7489 //
     /* 1711499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1711519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711545 */     // MIs[0] policy
     /* 1711545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1711572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711597 */     // GIR_Coverage, 7489,
     /* 1711597 */     GIR_EraseRootFromParent_Done,
     /* 1711598 */   // Label 22056: @1711598
     /* 1711598 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1711702), // Rule ID 7492 //
     /* 1711603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711649 */     // MIs[0] policy
     /* 1711649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711659 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1711676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711701 */     // GIR_Coverage, 7492,
     /* 1711701 */     GIR_EraseRootFromParent_Done,
     /* 1711702 */   // Label 22057: @1711702
     /* 1711702 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1711806), // Rule ID 7493 //
     /* 1711707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1711727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711753 */     // MIs[0] policy
     /* 1711753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711763 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1711780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711805 */     // GIR_Coverage, 7493,
     /* 1711805 */     GIR_EraseRootFromParent_Done,
     /* 1711806 */   // Label 22058: @1711806
     /* 1711806 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1711910), // Rule ID 7496 //
     /* 1711811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711857 */     // MIs[0] policy
     /* 1711857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1711884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1711898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711909 */     // GIR_Coverage, 7496,
     /* 1711909 */     GIR_EraseRootFromParent_Done,
     /* 1711910 */   // Label 22059: @1711910
     /* 1711910 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1712014), // Rule ID 7497 //
     /* 1711915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1711935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711961 */     // MIs[0] policy
     /* 1711961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711971 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1711975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1711981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1711985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1711988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1712010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712013 */     // GIR_Coverage, 7497,
     /* 1712013 */     GIR_EraseRootFromParent_Done,
     /* 1712014 */   // Label 22060: @1712014
     /* 1712014 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1712118), // Rule ID 7500 //
     /* 1712019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1712030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1712033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1712036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1712039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712065 */     // MIs[0] policy
     /* 1712065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712075 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1712092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712117 */     // GIR_Coverage, 7500,
     /* 1712117 */     GIR_EraseRootFromParent_Done,
     /* 1712118 */   // Label 22061: @1712118
     /* 1712118 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1712222), // Rule ID 7501 //
     /* 1712123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1712134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1712137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1712140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1712143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712169 */     // MIs[0] policy
     /* 1712169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1712196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712221 */     // GIR_Coverage, 7501,
     /* 1712221 */     GIR_EraseRootFromParent_Done,
     /* 1712222 */   // Label 22062: @1712222
     /* 1712222 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1712326), // Rule ID 7504 //
     /* 1712227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1712244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1712247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712273 */     // MIs[0] policy
     /* 1712273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712283 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1712300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712325 */     // GIR_Coverage, 7504,
     /* 1712325 */     GIR_EraseRootFromParent_Done,
     /* 1712326 */   // Label 22063: @1712326
     /* 1712326 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1712430), // Rule ID 7505 //
     /* 1712331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1712348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1712351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712377 */     // MIs[0] policy
     /* 1712377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1712404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712429 */     // GIR_Coverage, 7505,
     /* 1712429 */     GIR_EraseRootFromParent_Done,
     /* 1712430 */   // Label 22064: @1712430
     /* 1712430 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1712534), // Rule ID 7508 //
     /* 1712435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1712455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712481 */     // MIs[0] policy
     /* 1712481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712491 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1712508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712533 */     // GIR_Coverage, 7508,
     /* 1712533 */     GIR_EraseRootFromParent_Done,
     /* 1712534 */   // Label 22065: @1712534
     /* 1712534 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1712638), // Rule ID 7509 //
     /* 1712539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1712559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712585 */     // MIs[0] policy
     /* 1712585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712595 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1712612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712637 */     // GIR_Coverage, 7509,
     /* 1712637 */     GIR_EraseRootFromParent_Done,
     /* 1712638 */   // Label 22066: @1712638
     /* 1712638 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1712742), // Rule ID 7512 //
     /* 1712643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712689 */     // MIs[0] policy
     /* 1712689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1712716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712741 */     // GIR_Coverage, 7512,
     /* 1712741 */     GIR_EraseRootFromParent_Done,
     /* 1712742 */   // Label 22067: @1712742
     /* 1712742 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1712846), // Rule ID 7513 //
     /* 1712747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1712767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712793 */     // MIs[0] policy
     /* 1712793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1712820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712845 */     // GIR_Coverage, 7513,
     /* 1712845 */     GIR_EraseRootFromParent_Done,
     /* 1712846 */   // Label 22068: @1712846
     /* 1712846 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1712950), // Rule ID 7516 //
     /* 1712851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712897 */     // MIs[0] policy
     /* 1712897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712907 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1712911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1712917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1712921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1712924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1712938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712949 */     // GIR_Coverage, 7516,
     /* 1712949 */     GIR_EraseRootFromParent_Done,
     /* 1712950 */   // Label 22069: @1712950
     /* 1712950 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1713054), // Rule ID 7517 //
     /* 1712955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1712975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713001 */     // MIs[0] policy
     /* 1713001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1713028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713053 */     // GIR_Coverage, 7517,
     /* 1713053 */     GIR_EraseRootFromParent_Done,
     /* 1713054 */   // Label 22070: @1713054
     /* 1713054 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1713158), // Rule ID 7520 //
     /* 1713059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1713062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1713076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1713079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713105 */     // MIs[0] policy
     /* 1713105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1713132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713157 */     // GIR_Coverage, 7520,
     /* 1713157 */     GIR_EraseRootFromParent_Done,
     /* 1713158 */   // Label 22071: @1713158
     /* 1713158 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1713262), // Rule ID 7521 //
     /* 1713163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1713174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1713177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1713180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1713183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713209 */     // MIs[0] policy
     /* 1713209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1713236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713261 */     // GIR_Coverage, 7521,
     /* 1713261 */     GIR_EraseRootFromParent_Done,
     /* 1713262 */   // Label 22072: @1713262
     /* 1713262 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1713366), // Rule ID 7524 //
     /* 1713267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1713270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1713287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713313 */     // MIs[0] policy
     /* 1713313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1713340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713365 */     // GIR_Coverage, 7524,
     /* 1713365 */     GIR_EraseRootFromParent_Done,
     /* 1713366 */   // Label 22073: @1713366
     /* 1713366 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1713470), // Rule ID 7525 //
     /* 1713371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1713382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1713385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1713388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1713391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713417 */     // MIs[0] policy
     /* 1713417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713427 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1713444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713469 */     // GIR_Coverage, 7525,
     /* 1713469 */     GIR_EraseRootFromParent_Done,
     /* 1713470 */   // Label 22074: @1713470
     /* 1713470 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1713574), // Rule ID 7528 //
     /* 1713475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1713478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1713495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713521 */     // MIs[0] policy
     /* 1713521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1713548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713573 */     // GIR_Coverage, 7528,
     /* 1713573 */     GIR_EraseRootFromParent_Done,
     /* 1713574 */   // Label 22075: @1713574
     /* 1713574 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1713678), // Rule ID 7529 //
     /* 1713579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1713599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713625 */     // MIs[0] policy
     /* 1713625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713635 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1713652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713677 */     // GIR_Coverage, 7529,
     /* 1713677 */     GIR_EraseRootFromParent_Done,
     /* 1713678 */   // Label 22076: @1713678
     /* 1713678 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1713782), // Rule ID 7532 //
     /* 1713683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1713686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713729 */     // MIs[0] policy
     /* 1713729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1713756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713781 */     // GIR_Coverage, 7532,
     /* 1713781 */     GIR_EraseRootFromParent_Done,
     /* 1713782 */   // Label 22077: @1713782
     /* 1713782 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1713886), // Rule ID 7533 //
     /* 1713787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1713807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713833 */     // MIs[0] policy
     /* 1713833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713843 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1713860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713885 */     // GIR_Coverage, 7533,
     /* 1713885 */     GIR_EraseRootFromParent_Done,
     /* 1713886 */   // Label 22078: @1713886
     /* 1713886 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1713990), // Rule ID 7536 //
     /* 1713891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713937 */     // MIs[0] policy
     /* 1713937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1713951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1713957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1713961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1713964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1713978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713989 */     // GIR_Coverage, 7536,
     /* 1713989 */     GIR_EraseRootFromParent_Done,
     /* 1713990 */   // Label 22079: @1713990
     /* 1713990 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1714094), // Rule ID 7537 //
     /* 1713995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1714006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1714009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1714012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714041 */     // MIs[0] policy
     /* 1714041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1714068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714093 */     // GIR_Coverage, 7537,
     /* 1714093 */     GIR_EraseRootFromParent_Done,
     /* 1714094 */   // Label 22080: @1714094
     /* 1714094 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1714198), // Rule ID 7540 //
     /* 1714099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714145 */     // MIs[0] policy
     /* 1714145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1714172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714197 */     // GIR_Coverage, 7540,
     /* 1714197 */     GIR_EraseRootFromParent_Done,
     /* 1714198 */   // Label 22081: @1714198
     /* 1714198 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1714302), // Rule ID 7541 //
     /* 1714203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1714214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1714217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714249 */     // MIs[0] policy
     /* 1714249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1714276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714301 */     // GIR_Coverage, 7541,
     /* 1714301 */     GIR_EraseRootFromParent_Done,
     /* 1714302 */   // Label 22082: @1714302
     /* 1714302 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1714406), // Rule ID 7544 //
     /* 1714307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714353 */     // MIs[0] policy
     /* 1714353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1714380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714405 */     // GIR_Coverage, 7544,
     /* 1714405 */     GIR_EraseRootFromParent_Done,
     /* 1714406 */   // Label 22083: @1714406
     /* 1714406 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1714510), // Rule ID 7545 //
     /* 1714411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1714422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1714425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714457 */     // MIs[0] policy
     /* 1714457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1714484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714509 */     // GIR_Coverage, 7545,
     /* 1714509 */     GIR_EraseRootFromParent_Done,
     /* 1714510 */   // Label 22084: @1714510
     /* 1714510 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1714614), // Rule ID 7548 //
     /* 1714515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714561 */     // MIs[0] policy
     /* 1714561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1714588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714613 */     // GIR_Coverage, 7548,
     /* 1714613 */     GIR_EraseRootFromParent_Done,
     /* 1714614 */   // Label 22085: @1714614
     /* 1714614 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1714718), // Rule ID 7549 //
     /* 1714619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1714636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714665 */     // MIs[0] policy
     /* 1714665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11126:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1714692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714717 */     // GIR_Coverage, 7549,
     /* 1714717 */     GIR_EraseRootFromParent_Done,
     /* 1714718 */   // Label 22086: @1714718
     /* 1714718 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1714822), // Rule ID 7552 //
     /* 1714723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714769 */     // MIs[0] policy
     /* 1714769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1714796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714821 */     // GIR_Coverage, 7552,
     /* 1714821 */     GIR_EraseRootFromParent_Done,
     /* 1714822 */   // Label 22087: @1714822
     /* 1714822 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1714926), // Rule ID 7553 //
     /* 1714827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1714838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1714841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1714844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1714847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1714850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1714857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1714861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714873 */     // MIs[0] policy
     /* 1714873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714883 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1714897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1714900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1714914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714925 */     // GIR_Coverage, 7553,
     /* 1714925 */     GIR_EraseRootFromParent_Done,
     /* 1714926 */   // Label 22088: @1714926
     /* 1714926 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1715030), // Rule ID 7556 //
     /* 1714931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1714939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1714942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1714945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1714948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1714951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1714954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1714961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1714965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1714969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1714973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714977 */     // MIs[0] policy
     /* 1714977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1714991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1714997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1715004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715029 */     // GIR_Coverage, 7556,
     /* 1715029 */     GIR_EraseRootFromParent_Done,
     /* 1715030 */   // Label 22089: @1715030
     /* 1715030 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1715134), // Rule ID 7557 //
     /* 1715035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715081 */     // MIs[0] policy
     /* 1715081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715091 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1715108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715133 */     // GIR_Coverage, 7557,
     /* 1715133 */     GIR_EraseRootFromParent_Done,
     /* 1715134 */   // Label 22090: @1715134
     /* 1715134 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1715238), // Rule ID 7560 //
     /* 1715139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1715150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1715153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715185 */     // MIs[0] policy
     /* 1715185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1715212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715237 */     // GIR_Coverage, 7560,
     /* 1715237 */     GIR_EraseRootFromParent_Done,
     /* 1715238 */   // Label 22091: @1715238
     /* 1715238 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1715342), // Rule ID 7561 //
     /* 1715243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1715254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1715257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1715260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1715266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715289 */     // MIs[0] policy
     /* 1715289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1715316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715341 */     // GIR_Coverage, 7561,
     /* 1715341 */     GIR_EraseRootFromParent_Done,
     /* 1715342 */   // Label 22092: @1715342
     /* 1715342 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1715446), // Rule ID 7564 //
     /* 1715347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1715358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1715361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715393 */     // MIs[0] policy
     /* 1715393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1715420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715445 */     // GIR_Coverage, 7564,
     /* 1715445 */     GIR_EraseRootFromParent_Done,
     /* 1715446 */   // Label 22093: @1715446
     /* 1715446 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1715550), // Rule ID 7565 //
     /* 1715451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1715462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1715465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1715468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1715474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715497 */     // MIs[0] policy
     /* 1715497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1715524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715549 */     // GIR_Coverage, 7565,
     /* 1715549 */     GIR_EraseRootFromParent_Done,
     /* 1715550 */   // Label 22094: @1715550
     /* 1715550 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1715654), // Rule ID 7568 //
     /* 1715555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715601 */     // MIs[0] policy
     /* 1715601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715611 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1715628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715653 */     // GIR_Coverage, 7568,
     /* 1715653 */     GIR_EraseRootFromParent_Done,
     /* 1715654 */   // Label 22095: @1715654
     /* 1715654 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1715758), // Rule ID 7569 //
     /* 1715659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1715670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1715673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1715676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1715682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1715689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715705 */     // MIs[0] policy
     /* 1715705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715715 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11126:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1715732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715757 */     // GIR_Coverage, 7569,
     /* 1715757 */     GIR_EraseRootFromParent_Done,
     /* 1715758 */   // Label 22096: @1715758
     /* 1715758 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1715862), // Rule ID 7572 //
     /* 1715763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715809 */     // MIs[0] policy
     /* 1715809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1715836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715861 */     // GIR_Coverage, 7572,
     /* 1715861 */     GIR_EraseRootFromParent_Done,
     /* 1715862 */   // Label 22097: @1715862
     /* 1715862 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1715966), // Rule ID 7573 //
     /* 1715867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1715884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1715887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1715909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715913 */     // MIs[0] policy
     /* 1715913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1715927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1715933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1715937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1715940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1715954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715965 */     // GIR_Coverage, 7573,
     /* 1715965 */     GIR_EraseRootFromParent_Done,
     /* 1715966 */   // Label 22098: @1715966
     /* 1715966 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1716070), // Rule ID 7576 //
     /* 1715971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1715979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1715988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1715991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716017 */     // MIs[0] policy
     /* 1716017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1716044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716069 */     // GIR_Coverage, 7576,
     /* 1716069 */     GIR_EraseRootFromParent_Done,
     /* 1716070 */   // Label 22099: @1716070
     /* 1716070 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1716174), // Rule ID 7577 //
     /* 1716075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1716086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1716089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716121 */     // MIs[0] policy
     /* 1716121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1716148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716173 */     // GIR_Coverage, 7577,
     /* 1716173 */     GIR_EraseRootFromParent_Done,
     /* 1716174 */   // Label 22100: @1716174
     /* 1716174 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1716278), // Rule ID 7580 //
     /* 1716179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1716182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1716190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1716193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1716196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716225 */     // MIs[0] policy
     /* 1716225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1716252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716277 */     // GIR_Coverage, 7580,
     /* 1716277 */     GIR_EraseRootFromParent_Done,
     /* 1716278 */   // Label 22101: @1716278
     /* 1716278 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1716382), // Rule ID 7581 //
     /* 1716283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1716286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1716294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1716297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1716300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1716306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716329 */     // MIs[0] policy
     /* 1716329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1716356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716381 */     // GIR_Coverage, 7581,
     /* 1716381 */     GIR_EraseRootFromParent_Done,
     /* 1716382 */   // Label 22102: @1716382
     /* 1716382 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1716486), // Rule ID 7584 //
     /* 1716387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1716390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1716398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1716401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716433 */     // MIs[0] policy
     /* 1716433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1716460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716485 */     // GIR_Coverage, 7584,
     /* 1716485 */     GIR_EraseRootFromParent_Done,
     /* 1716486 */   // Label 22103: @1716486
     /* 1716486 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1716590), // Rule ID 7585 //
     /* 1716491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1716494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1716502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1716505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1716521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1716525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716537 */     // MIs[0] policy
     /* 1716537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11126:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1716564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716589 */     // GIR_Coverage, 7585,
     /* 1716589 */     GIR_EraseRootFromParent_Done,
     /* 1716590 */   // Label 22104: @1716590
     /* 1716590 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1716694), // Rule ID 7588 //
     /* 1716595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1716598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716641 */     // MIs[0] policy
     /* 1716641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1716668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716693 */     // GIR_Coverage, 7588,
     /* 1716693 */     GIR_EraseRootFromParent_Done,
     /* 1716694 */   // Label 22105: @1716694
     /* 1716694 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1716798), // Rule ID 7589 //
     /* 1716699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1716702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716745 */     // MIs[0] policy
     /* 1716745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11126:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1716772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716797 */     // GIR_Coverage, 7589,
     /* 1716797 */     GIR_EraseRootFromParent_Done,
     /* 1716798 */   // Label 22106: @1716798
     /* 1716798 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1716902), // Rule ID 7592 //
     /* 1716803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1716806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1716823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716849 */     // MIs[0] policy
     /* 1716849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1716876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716901 */     // GIR_Coverage, 7592,
     /* 1716901 */     GIR_EraseRootFromParent_Done,
     /* 1716902 */   // Label 22107: @1716902
     /* 1716902 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1717006), // Rule ID 7593 //
     /* 1716907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1716910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1716915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1716927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1716949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716953 */     // MIs[0] policy
     /* 1716953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11126:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1716967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1716973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1716977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1716980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1716994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1717002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717005 */     // GIR_Coverage, 7593,
     /* 1717005 */     GIR_EraseRootFromParent_Done,
     /* 1717006 */   // Label 22108: @1717006
     /* 1717006 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1717110), // Rule ID 10108 //
     /* 1717011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717057 */     // MIs[0] policy
     /* 1717057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717067 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1717084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717109 */     // GIR_Coverage, 10108,
     /* 1717109 */     GIR_EraseRootFromParent_Done,
     /* 1717110 */   // Label 22109: @1717110
     /* 1717110 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1717214), // Rule ID 10109 //
     /* 1717115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1717135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717161 */     // MIs[0] policy
     /* 1717161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717171 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1717188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717213 */     // GIR_Coverage, 10109,
     /* 1717213 */     GIR_EraseRootFromParent_Done,
     /* 1717214 */   // Label 22110: @1717214
     /* 1717214 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1717318), // Rule ID 10112 //
     /* 1717219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717265 */     // MIs[0] policy
     /* 1717265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717275 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1717292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717317 */     // GIR_Coverage, 10112,
     /* 1717317 */     GIR_EraseRootFromParent_Done,
     /* 1717318 */   // Label 22111: @1717318
     /* 1717318 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1717422), // Rule ID 10113 //
     /* 1717323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1717343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717369 */     // MIs[0] policy
     /* 1717369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717379 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1717396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717421 */     // GIR_Coverage, 10113,
     /* 1717421 */     GIR_EraseRootFromParent_Done,
     /* 1717422 */   // Label 22112: @1717422
     /* 1717422 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1717526), // Rule ID 10116 //
     /* 1717427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717473 */     // MIs[0] policy
     /* 1717473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717483 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1717500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717525 */     // GIR_Coverage, 10116,
     /* 1717525 */     GIR_EraseRootFromParent_Done,
     /* 1717526 */   // Label 22113: @1717526
     /* 1717526 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1717630), // Rule ID 10117 //
     /* 1717531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1717551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717577 */     // MIs[0] policy
     /* 1717577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1717604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717629 */     // GIR_Coverage, 10117,
     /* 1717629 */     GIR_EraseRootFromParent_Done,
     /* 1717630 */   // Label 22114: @1717630
     /* 1717630 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1717734), // Rule ID 10120 //
     /* 1717635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717681 */     // MIs[0] policy
     /* 1717681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717691 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1717708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717733 */     // GIR_Coverage, 10120,
     /* 1717733 */     GIR_EraseRootFromParent_Done,
     /* 1717734 */   // Label 22115: @1717734
     /* 1717734 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1717838), // Rule ID 10121 //
     /* 1717739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1717759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717785 */     // MIs[0] policy
     /* 1717785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717795 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1717812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717837 */     // GIR_Coverage, 10121,
     /* 1717837 */     GIR_EraseRootFromParent_Done,
     /* 1717838 */   // Label 22116: @1717838
     /* 1717838 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1717942), // Rule ID 10124 //
     /* 1717843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717889 */     // MIs[0] policy
     /* 1717889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717899 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1717903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1717909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1717913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1717916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1717930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717941 */     // GIR_Coverage, 10124,
     /* 1717941 */     GIR_EraseRootFromParent_Done,
     /* 1717942 */   // Label 22117: @1717942
     /* 1717942 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1718046), // Rule ID 10125 //
     /* 1717947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1717967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717993 */     // MIs[0] policy
     /* 1717993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718003 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1718020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718045 */     // GIR_Coverage, 10125,
     /* 1718045 */     GIR_EraseRootFromParent_Done,
     /* 1718046 */   // Label 22118: @1718046
     /* 1718046 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1718150), // Rule ID 10128 //
     /* 1718051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718097 */     // MIs[0] policy
     /* 1718097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718107 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1718124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718149 */     // GIR_Coverage, 10128,
     /* 1718149 */     GIR_EraseRootFromParent_Done,
     /* 1718150 */   // Label 22119: @1718150
     /* 1718150 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1718254), // Rule ID 10129 //
     /* 1718155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1718175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718201 */     // MIs[0] policy
     /* 1718201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1718228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718253 */     // GIR_Coverage, 10129,
     /* 1718253 */     GIR_EraseRootFromParent_Done,
     /* 1718254 */   // Label 22120: @1718254
     /* 1718254 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1718358), // Rule ID 10132 //
     /* 1718259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718305 */     // MIs[0] policy
     /* 1718305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718315 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718357 */     // GIR_Coverage, 10132,
     /* 1718357 */     GIR_EraseRootFromParent_Done,
     /* 1718358 */   // Label 22121: @1718358
     /* 1718358 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1718462), // Rule ID 10133 //
     /* 1718363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1718383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718409 */     // MIs[0] policy
     /* 1718409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718461 */     // GIR_Coverage, 10133,
     /* 1718461 */     GIR_EraseRootFromParent_Done,
     /* 1718462 */   // Label 22122: @1718462
     /* 1718462 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1718566), // Rule ID 10136 //
     /* 1718467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718513 */     // MIs[0] policy
     /* 1718513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718523 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718565 */     // GIR_Coverage, 10136,
     /* 1718565 */     GIR_EraseRootFromParent_Done,
     /* 1718566 */   // Label 22123: @1718566
     /* 1718566 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1718670), // Rule ID 10137 //
     /* 1718571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1718591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718617 */     // MIs[0] policy
     /* 1718617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718627 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718669 */     // GIR_Coverage, 10137,
     /* 1718669 */     GIR_EraseRootFromParent_Done,
     /* 1718670 */   // Label 22124: @1718670
     /* 1718670 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1718774), // Rule ID 10140 //
     /* 1718675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718721 */     // MIs[0] policy
     /* 1718721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718773 */     // GIR_Coverage, 10140,
     /* 1718773 */     GIR_EraseRootFromParent_Done,
     /* 1718774 */   // Label 22125: @1718774
     /* 1718774 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1718878), // Rule ID 10141 //
     /* 1718779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1718799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718825 */     // MIs[0] policy
     /* 1718825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718877 */     // GIR_Coverage, 10141,
     /* 1718877 */     GIR_EraseRootFromParent_Done,
     /* 1718878 */   // Label 22126: @1718878
     /* 1718878 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1718982), // Rule ID 10144 //
     /* 1718883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1718903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718929 */     // MIs[0] policy
     /* 1718929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718939 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1718943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1718949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1718953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1718956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1718970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718981 */     // GIR_Coverage, 10144,
     /* 1718981 */     GIR_EraseRootFromParent_Done,
     /* 1718982 */   // Label 22127: @1718982
     /* 1718982 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1719086), // Rule ID 10145 //
     /* 1718987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1719001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1719004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1719007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1719010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1719017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1719029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719033 */     // MIs[0] policy
     /* 1719033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1719060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1719082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719085 */     // GIR_Coverage, 10145,
     /* 1719085 */     GIR_EraseRootFromParent_Done,
     /* 1719086 */   // Label 22128: @1719086
     /* 1719086 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1719190), // Rule ID 10148 //
     /* 1719091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719137 */     // MIs[0] policy
     /* 1719137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1719164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719189 */     // GIR_Coverage, 10148,
     /* 1719189 */     GIR_EraseRootFromParent_Done,
     /* 1719190 */   // Label 22129: @1719190
     /* 1719190 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1719294), // Rule ID 10149 //
     /* 1719195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1719206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1719209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1719212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1719215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719241 */     // MIs[0] policy
     /* 1719241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719251 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1719268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719293 */     // GIR_Coverage, 10149,
     /* 1719293 */     GIR_EraseRootFromParent_Done,
     /* 1719294 */   // Label 22130: @1719294
     /* 1719294 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1719398), // Rule ID 10152 //
     /* 1719299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719345 */     // MIs[0] policy
     /* 1719345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719355 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1719372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719397 */     // GIR_Coverage, 10152,
     /* 1719397 */     GIR_EraseRootFromParent_Done,
     /* 1719398 */   // Label 22131: @1719398
     /* 1719398 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1719502), // Rule ID 10153 //
     /* 1719403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1719423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719449 */     // MIs[0] policy
     /* 1719449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719459 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1719476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719501 */     // GIR_Coverage, 10153,
     /* 1719501 */     GIR_EraseRootFromParent_Done,
     /* 1719502 */   // Label 22132: @1719502
     /* 1719502 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1719606), // Rule ID 10156 //
     /* 1719507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719553 */     // MIs[0] policy
     /* 1719553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719563 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1719580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719605 */     // GIR_Coverage, 10156,
     /* 1719605 */     GIR_EraseRootFromParent_Done,
     /* 1719606 */   // Label 22133: @1719606
     /* 1719606 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1719710), // Rule ID 10157 //
     /* 1719611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1719631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719657 */     // MIs[0] policy
     /* 1719657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719667 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1719684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719709 */     // GIR_Coverage, 10157,
     /* 1719709 */     GIR_EraseRootFromParent_Done,
     /* 1719710 */   // Label 22134: @1719710
     /* 1719710 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1719814), // Rule ID 10160 //
     /* 1719715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719761 */     // MIs[0] policy
     /* 1719761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719771 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1719788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719813 */     // GIR_Coverage, 10160,
     /* 1719813 */     GIR_EraseRootFromParent_Done,
     /* 1719814 */   // Label 22135: @1719814
     /* 1719814 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1719918), // Rule ID 10161 //
     /* 1719819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1719839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719865 */     // MIs[0] policy
     /* 1719865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1719892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1719906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719917 */     // GIR_Coverage, 10161,
     /* 1719917 */     GIR_EraseRootFromParent_Done,
     /* 1719918 */   // Label 22136: @1719918
     /* 1719918 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1720022), // Rule ID 10164 //
     /* 1719923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1719943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719969 */     // MIs[0] policy
     /* 1719969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719979 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1719983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1719989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1719993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1719996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720021 */     // GIR_Coverage, 10164,
     /* 1720021 */     GIR_EraseRootFromParent_Done,
     /* 1720022 */   // Label 22137: @1720022
     /* 1720022 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1720126), // Rule ID 10165 //
     /* 1720027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1720038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1720041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1720044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1720047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720073 */     // MIs[0] policy
     /* 1720073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1720100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720125 */     // GIR_Coverage, 10165,
     /* 1720125 */     GIR_EraseRootFromParent_Done,
     /* 1720126 */   // Label 22138: @1720126
     /* 1720126 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1720230), // Rule ID 10168 //
     /* 1720131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720177 */     // MIs[0] policy
     /* 1720177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1720204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720229 */     // GIR_Coverage, 10168,
     /* 1720229 */     GIR_EraseRootFromParent_Done,
     /* 1720230 */   // Label 22139: @1720230
     /* 1720230 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1720334), // Rule ID 10169 //
     /* 1720235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1720246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1720249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1720252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1720255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1720258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720281 */     // MIs[0] policy
     /* 1720281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1720308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1720330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720333 */     // GIR_Coverage, 10169,
     /* 1720333 */     GIR_EraseRootFromParent_Done,
     /* 1720334 */   // Label 22140: @1720334
     /* 1720334 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1720438), // Rule ID 10172 //
     /* 1720339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720385 */     // MIs[0] policy
     /* 1720385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1720412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720437 */     // GIR_Coverage, 10172,
     /* 1720437 */     GIR_EraseRootFromParent_Done,
     /* 1720438 */   // Label 22141: @1720438
     /* 1720438 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1720542), // Rule ID 10173 //
     /* 1720443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1720454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1720457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1720460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1720463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720489 */     // MIs[0] policy
     /* 1720489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1720516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720541 */     // GIR_Coverage, 10173,
     /* 1720541 */     GIR_EraseRootFromParent_Done,
     /* 1720542 */   // Label 22142: @1720542
     /* 1720542 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1720646), // Rule ID 10176 //
     /* 1720547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720593 */     // MIs[0] policy
     /* 1720593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1720620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720645 */     // GIR_Coverage, 10176,
     /* 1720645 */     GIR_EraseRootFromParent_Done,
     /* 1720646 */   // Label 22143: @1720646
     /* 1720646 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1720750), // Rule ID 10177 //
     /* 1720651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1720671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720697 */     // MIs[0] policy
     /* 1720697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1720724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720749 */     // GIR_Coverage, 10177,
     /* 1720749 */     GIR_EraseRootFromParent_Done,
     /* 1720750 */   // Label 22144: @1720750
     /* 1720750 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1720854), // Rule ID 10180 //
     /* 1720755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720801 */     // MIs[0] policy
     /* 1720801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1720828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720853 */     // GIR_Coverage, 10180,
     /* 1720853 */     GIR_EraseRootFromParent_Done,
     /* 1720854 */   // Label 22145: @1720854
     /* 1720854 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1720958), // Rule ID 10181 //
     /* 1720859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1720879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720905 */     // MIs[0] policy
     /* 1720905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1720919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1720925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1720929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1720932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1720946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720957 */     // GIR_Coverage, 10181,
     /* 1720957 */     GIR_EraseRootFromParent_Done,
     /* 1720958 */   // Label 22146: @1720958
     /* 1720958 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1721062), // Rule ID 10184 //
     /* 1720963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1720983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721009 */     // MIs[0] policy
     /* 1721009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1721036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721061 */     // GIR_Coverage, 10184,
     /* 1721061 */     GIR_EraseRootFromParent_Done,
     /* 1721062 */   // Label 22147: @1721062
     /* 1721062 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1721166), // Rule ID 10185 //
     /* 1721067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1721078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1721081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1721084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1721087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1721097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1721109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721113 */     // MIs[0] policy
     /* 1721113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721123 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1721140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721165 */     // GIR_Coverage, 10185,
     /* 1721165 */     GIR_EraseRootFromParent_Done,
     /* 1721166 */   // Label 22148: @1721166
     /* 1721166 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1721270), // Rule ID 10188 //
     /* 1721171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721217 */     // MIs[0] policy
     /* 1721217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721227 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1721244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721269 */     // GIR_Coverage, 10188,
     /* 1721269 */     GIR_EraseRootFromParent_Done,
     /* 1721270 */   // Label 22149: @1721270
     /* 1721270 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1721374), // Rule ID 10189 //
     /* 1721275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1721286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1721289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1721292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1721295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1721305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1721317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721321 */     // MIs[0] policy
     /* 1721321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721331 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1721348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721373 */     // GIR_Coverage, 10189,
     /* 1721373 */     GIR_EraseRootFromParent_Done,
     /* 1721374 */   // Label 22150: @1721374
     /* 1721374 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1721478), // Rule ID 10192 //
     /* 1721379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1721382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721425 */     // MIs[0] policy
     /* 1721425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721435 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1721452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721477 */     // GIR_Coverage, 10192,
     /* 1721477 */     GIR_EraseRootFromParent_Done,
     /* 1721478 */   // Label 22151: @1721478
     /* 1721478 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1721582), // Rule ID 10193 //
     /* 1721483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1721486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1721494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1721497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1721500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1721503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1721513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1721525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721529 */     // MIs[0] policy
     /* 1721529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1721556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1721578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721581 */     // GIR_Coverage, 10193,
     /* 1721581 */     GIR_EraseRootFromParent_Done,
     /* 1721582 */   // Label 22152: @1721582
     /* 1721582 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1721686), // Rule ID 10196 //
     /* 1721587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721633 */     // MIs[0] policy
     /* 1721633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1721660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721685 */     // GIR_Coverage, 10196,
     /* 1721685 */     GIR_EraseRootFromParent_Done,
     /* 1721686 */   // Label 22153: @1721686
     /* 1721686 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1721790), // Rule ID 10197 //
     /* 1721691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1721702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721737 */     // MIs[0] policy
     /* 1721737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1721764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721789 */     // GIR_Coverage, 10197,
     /* 1721789 */     GIR_EraseRootFromParent_Done,
     /* 1721790 */   // Label 22154: @1721790
     /* 1721790 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1721894), // Rule ID 10200 //
     /* 1721795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1721815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721841 */     // MIs[0] policy
     /* 1721841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721851 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1721868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721893 */     // GIR_Coverage, 10200,
     /* 1721893 */     GIR_EraseRootFromParent_Done,
     /* 1721894 */   // Label 22155: @1721894
     /* 1721894 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1721998), // Rule ID 10201 //
     /* 1721899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1721907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1721919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1721941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721945 */     // MIs[0] policy
     /* 1721945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1721959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1721965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1721969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1721972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1721986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721997 */     // GIR_Coverage, 10201,
     /* 1721997 */     GIR_EraseRootFromParent_Done,
     /* 1721998 */   // Label 22156: @1721998
     /* 1721998 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1722102), // Rule ID 10204 //
     /* 1722003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1722020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722049 */     // MIs[0] policy
     /* 1722049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722101 */     // GIR_Coverage, 10204,
     /* 1722101 */     GIR_EraseRootFromParent_Done,
     /* 1722102 */   // Label 22157: @1722102
     /* 1722102 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1722206), // Rule ID 10205 //
     /* 1722107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1722118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1722121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1722124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722153 */     // MIs[0] policy
     /* 1722153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722205 */     // GIR_Coverage, 10205,
     /* 1722205 */     GIR_EraseRootFromParent_Done,
     /* 1722206 */   // Label 22158: @1722206
     /* 1722206 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1722310), // Rule ID 10208 //
     /* 1722211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1722228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722257 */     // MIs[0] policy
     /* 1722257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722267 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1722284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722309 */     // GIR_Coverage, 10208,
     /* 1722309 */     GIR_EraseRootFromParent_Done,
     /* 1722310 */   // Label 22159: @1722310
     /* 1722310 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1722414), // Rule ID 10209 //
     /* 1722315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1722326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1722329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1722332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722361 */     // MIs[0] policy
     /* 1722361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1722388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722413 */     // GIR_Coverage, 10209,
     /* 1722413 */     GIR_EraseRootFromParent_Done,
     /* 1722414 */   // Label 22160: @1722414
     /* 1722414 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1722518), // Rule ID 10212 //
     /* 1722419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722465 */     // MIs[0] policy
     /* 1722465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722475 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722517 */     // GIR_Coverage, 10212,
     /* 1722517 */     GIR_EraseRootFromParent_Done,
     /* 1722518 */   // Label 22161: @1722518
     /* 1722518 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1722622), // Rule ID 10213 //
     /* 1722523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1722534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1722537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1722540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722569 */     // MIs[0] policy
     /* 1722569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722621 */     // GIR_Coverage, 10213,
     /* 1722621 */     GIR_EraseRootFromParent_Done,
     /* 1722622 */   // Label 22162: @1722622
     /* 1722622 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1722726), // Rule ID 10216 //
     /* 1722627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722673 */     // MIs[0] policy
     /* 1722673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722725 */     // GIR_Coverage, 10216,
     /* 1722725 */     GIR_EraseRootFromParent_Done,
     /* 1722726 */   // Label 22163: @1722726
     /* 1722726 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1722830), // Rule ID 10217 //
     /* 1722731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1722742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1722745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1722748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722777 */     // MIs[0] policy
     /* 1722777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722787 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1722804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722829 */     // GIR_Coverage, 10217,
     /* 1722829 */     GIR_EraseRootFromParent_Done,
     /* 1722830 */   // Label 22164: @1722830
     /* 1722830 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1722934), // Rule ID 10220 //
     /* 1722835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1722855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722881 */     // MIs[0] policy
     /* 1722881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722891 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1722901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1722905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1722908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1722922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722933 */     // GIR_Coverage, 10220,
     /* 1722933 */     GIR_EraseRootFromParent_Done,
     /* 1722934 */   // Label 22165: @1722934
     /* 1722934 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1723038), // Rule ID 10221 //
     /* 1722939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1722947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1722959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1722981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722985 */     // MIs[0] policy
     /* 1722985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722995 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1722999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723037 */     // GIR_Coverage, 10221,
     /* 1723037 */     GIR_EraseRootFromParent_Done,
     /* 1723038 */   // Label 22166: @1723038
     /* 1723038 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1723142), // Rule ID 10224 //
     /* 1723043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1723060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723089 */     // MIs[0] policy
     /* 1723089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723141 */     // GIR_Coverage, 10224,
     /* 1723141 */     GIR_EraseRootFromParent_Done,
     /* 1723142 */   // Label 22167: @1723142
     /* 1723142 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1723246), // Rule ID 10225 //
     /* 1723147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1723158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1723161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1723164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723193 */     // MIs[0] policy
     /* 1723193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723245 */     // GIR_Coverage, 10225,
     /* 1723245 */     GIR_EraseRootFromParent_Done,
     /* 1723246 */   // Label 22168: @1723246
     /* 1723246 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1723350), // Rule ID 10228 //
     /* 1723251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1723268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723297 */     // MIs[0] policy
     /* 1723297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723349 */     // GIR_Coverage, 10228,
     /* 1723349 */     GIR_EraseRootFromParent_Done,
     /* 1723350 */   // Label 22169: @1723350
     /* 1723350 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1723454), // Rule ID 10229 //
     /* 1723355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1723366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1723369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1723372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1723378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723401 */     // MIs[0] policy
     /* 1723401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723411 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723453 */     // GIR_Coverage, 10229,
     /* 1723453 */     GIR_EraseRootFromParent_Done,
     /* 1723454 */   // Label 22170: @1723454
     /* 1723454 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1723558), // Rule ID 10232 //
     /* 1723459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1723462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1723476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723505 */     // MIs[0] policy
     /* 1723505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723515 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723557 */     // GIR_Coverage, 10232,
     /* 1723557 */     GIR_EraseRootFromParent_Done,
     /* 1723558 */   // Label 22171: @1723558
     /* 1723558 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1723662), // Rule ID 10233 //
     /* 1723563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1723566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1723574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1723577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1723580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1723586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1723593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1723601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723609 */     // MIs[0] policy
     /* 1723609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1723636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1723658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723661 */     // GIR_Coverage, 10233,
     /* 1723661 */     GIR_EraseRootFromParent_Done,
     /* 1723662 */   // Label 22172: @1723662
     /* 1723662 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1723766), // Rule ID 10236 //
     /* 1723667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723713 */     // MIs[0] policy
     /* 1723713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1723740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723765 */     // GIR_Coverage, 10236,
     /* 1723765 */     GIR_EraseRootFromParent_Done,
     /* 1723766 */   // Label 22173: @1723766
     /* 1723766 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1723870), // Rule ID 10237 //
     /* 1723771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1723782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1723785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1723788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723817 */     // MIs[0] policy
     /* 1723817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723827 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1723844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723869 */     // GIR_Coverage, 10237,
     /* 1723869 */     GIR_EraseRootFromParent_Done,
     /* 1723870 */   // Label 22174: @1723870
     /* 1723870 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1723974), // Rule ID 10240 //
     /* 1723875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1723895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1723917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723921 */     // MIs[0] policy
     /* 1723921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723931 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1723935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1723941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1723945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1723948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1723962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723973 */     // GIR_Coverage, 10240,
     /* 1723973 */     GIR_EraseRootFromParent_Done,
     /* 1723974 */   // Label 22175: @1723974
     /* 1723974 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1724078), // Rule ID 10241 //
     /* 1723979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1723987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1723990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1723993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1723996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1723999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724025 */     // MIs[0] policy
     /* 1724025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724035 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1724052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724077 */     // GIR_Coverage, 10241,
     /* 1724077 */     GIR_EraseRootFromParent_Done,
     /* 1724078 */   // Label 22176: @1724078
     /* 1724078 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1724182), // Rule ID 10244 //
     /* 1724083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1724094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1724097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1724100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1724106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724129 */     // MIs[0] policy
     /* 1724129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724139 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1724156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724181 */     // GIR_Coverage, 10244,
     /* 1724181 */     GIR_EraseRootFromParent_Done,
     /* 1724182 */   // Label 22177: @1724182
     /* 1724182 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1724286), // Rule ID 10245 //
     /* 1724187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1724198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1724201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1724204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1724210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724233 */     // MIs[0] policy
     /* 1724233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724243 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1724260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724285 */     // GIR_Coverage, 10245,
     /* 1724285 */     GIR_EraseRootFromParent_Done,
     /* 1724286 */   // Label 22178: @1724286
     /* 1724286 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1724390), // Rule ID 10248 //
     /* 1724291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1724308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724337 */     // MIs[0] policy
     /* 1724337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1724364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724389 */     // GIR_Coverage, 10248,
     /* 1724389 */     GIR_EraseRootFromParent_Done,
     /* 1724390 */   // Label 22179: @1724390
     /* 1724390 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1724494), // Rule ID 10249 //
     /* 1724395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1724406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1724409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1724412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724441 */     // MIs[0] policy
     /* 1724441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1724468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724493 */     // GIR_Coverage, 10249,
     /* 1724493 */     GIR_EraseRootFromParent_Done,
     /* 1724494 */   // Label 22180: @1724494
     /* 1724494 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1724598), // Rule ID 10252 //
     /* 1724499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1724516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724545 */     // MIs[0] policy
     /* 1724545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1724572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724597 */     // GIR_Coverage, 10252,
     /* 1724597 */     GIR_EraseRootFromParent_Done,
     /* 1724598 */   // Label 22181: @1724598
     /* 1724598 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1724702), // Rule ID 10253 //
     /* 1724603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1724614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1724617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1724620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724649 */     // MIs[0] policy
     /* 1724649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724659 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1724676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724701 */     // GIR_Coverage, 10253,
     /* 1724701 */     GIR_EraseRootFromParent_Done,
     /* 1724702 */   // Label 22182: @1724702
     /* 1724702 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1724806), // Rule ID 10256 //
     /* 1724707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724753 */     // MIs[0] policy
     /* 1724753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724763 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1724780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724805 */     // GIR_Coverage, 10256,
     /* 1724805 */     GIR_EraseRootFromParent_Done,
     /* 1724806 */   // Label 22183: @1724806
     /* 1724806 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1724910), // Rule ID 10257 //
     /* 1724811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1724822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1724825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1724828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1724834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724857 */     // MIs[0] policy
     /* 1724857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724867 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1724884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1724898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1724906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724909 */     // GIR_Coverage, 10257,
     /* 1724909 */     GIR_EraseRootFromParent_Done,
     /* 1724910 */   // Label 22184: @1724910
     /* 1724910 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1725014), // Rule ID 10260 //
     /* 1724915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1724923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1724926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1724929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1724932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724961 */     // MIs[0] policy
     /* 1724961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724971 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1724975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1724981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1724985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1724988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725013 */     // GIR_Coverage, 10260,
     /* 1725013 */     GIR_EraseRootFromParent_Done,
     /* 1725014 */   // Label 22185: @1725014
     /* 1725014 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1725118), // Rule ID 10261 //
     /* 1725019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1725030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1725033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1725036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725065 */     // MIs[0] policy
     /* 1725065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725075 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1725092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725117 */     // GIR_Coverage, 10261,
     /* 1725117 */     GIR_EraseRootFromParent_Done,
     /* 1725118 */   // Label 22186: @1725118
     /* 1725118 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1725222), // Rule ID 10264 //
     /* 1725123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1725134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1725137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1725140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725169 */     // MIs[0] policy
     /* 1725169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725179 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1725196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725221 */     // GIR_Coverage, 10264,
     /* 1725221 */     GIR_EraseRootFromParent_Done,
     /* 1725222 */   // Label 22187: @1725222
     /* 1725222 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1725326), // Rule ID 10265 //
     /* 1725227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1725238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1725241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1725244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725273 */     // MIs[0] policy
     /* 1725273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1725300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725325 */     // GIR_Coverage, 10265,
     /* 1725325 */     GIR_EraseRootFromParent_Done,
     /* 1725326 */   // Label 22188: @1725326
     /* 1725326 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1725430), // Rule ID 10268 //
     /* 1725331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1725342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1725345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1725348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725377 */     // MIs[0] policy
     /* 1725377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1725404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725429 */     // GIR_Coverage, 10268,
     /* 1725429 */     GIR_EraseRootFromParent_Done,
     /* 1725430 */   // Label 22189: @1725430
     /* 1725430 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1725534), // Rule ID 10269 //
     /* 1725435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1725446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1725449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1725452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1725458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725481 */     // MIs[0] policy
     /* 1725481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725491 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1725508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725533 */     // GIR_Coverage, 10269,
     /* 1725533 */     GIR_EraseRootFromParent_Done,
     /* 1725534 */   // Label 22190: @1725534
     /* 1725534 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1725638), // Rule ID 10272 //
     /* 1725539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1725556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725585 */     // MIs[0] policy
     /* 1725585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1725612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725637 */     // GIR_Coverage, 10272,
     /* 1725637 */     GIR_EraseRootFromParent_Done,
     /* 1725638 */   // Label 22191: @1725638
     /* 1725638 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1725742), // Rule ID 10273 //
     /* 1725643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1725654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1725657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1725660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1725673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1725681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725689 */     // MIs[0] policy
     /* 1725689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1725716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725741 */     // GIR_Coverage, 10273,
     /* 1725741 */     GIR_EraseRootFromParent_Done,
     /* 1725742 */   // Label 22192: @1725742
     /* 1725742 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1725846), // Rule ID 10276 //
     /* 1725747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1725764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725793 */     // MIs[0] policy
     /* 1725793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1725820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725845 */     // GIR_Coverage, 10276,
     /* 1725845 */     GIR_EraseRootFromParent_Done,
     /* 1725846 */   // Label 22193: @1725846
     /* 1725846 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1725950), // Rule ID 10277 //
     /* 1725851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1725854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1725862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1725865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1725868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1725881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1725889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725897 */     // MIs[0] policy
     /* 1725897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1725911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1725917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1725921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1725924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1725938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1725946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725949 */     // GIR_Coverage, 10277,
     /* 1725949 */     GIR_EraseRootFromParent_Done,
     /* 1725950 */   // Label 22194: @1725950
     /* 1725950 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1726054), // Rule ID 10280 //
     /* 1725955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1725958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1725963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1725966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1725969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1725972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1725985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1725993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726001 */     // MIs[0] policy
     /* 1726001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1726028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726053 */     // GIR_Coverage, 10280,
     /* 1726053 */     GIR_EraseRootFromParent_Done,
     /* 1726054 */   // Label 22195: @1726054
     /* 1726054 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1726158), // Rule ID 10281 //
     /* 1726059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1726067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1726070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1726073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1726076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726105 */     // MIs[0] policy
     /* 1726105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726115 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1726132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726157 */     // GIR_Coverage, 10281,
     /* 1726157 */     GIR_EraseRootFromParent_Done,
     /* 1726158 */   // Label 22196: @1726158
     /* 1726158 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1726262), // Rule ID 10284 //
     /* 1726163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1726174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1726177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1726180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1726183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726209 */     // MIs[0] policy
     /* 1726209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1726236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726261 */     // GIR_Coverage, 10284,
     /* 1726261 */     GIR_EraseRootFromParent_Done,
     /* 1726262 */   // Label 22197: @1726262
     /* 1726262 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1726366), // Rule ID 10285 //
     /* 1726267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1726278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1726281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1726284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1726287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726313 */     // MIs[0] policy
     /* 1726313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726323 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1726340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726365 */     // GIR_Coverage, 10285,
     /* 1726365 */     GIR_EraseRootFromParent_Done,
     /* 1726366 */   // Label 22198: @1726366
     /* 1726366 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1726470), // Rule ID 10288 //
     /* 1726371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1726382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1726385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1726388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1726391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726417 */     // MIs[0] policy
     /* 1726417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726427 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1726444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726469 */     // GIR_Coverage, 10288,
     /* 1726469 */     GIR_EraseRootFromParent_Done,
     /* 1726470 */   // Label 22199: @1726470
     /* 1726470 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1726574), // Rule ID 10289 //
     /* 1726475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1726486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1726489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1726492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1726495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726521 */     // MIs[0] policy
     /* 1726521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1726548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726573 */     // GIR_Coverage, 10289,
     /* 1726573 */     GIR_EraseRootFromParent_Done,
     /* 1726574 */   // Label 22200: @1726574
     /* 1726574 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1726678), // Rule ID 10292 //
     /* 1726579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1726590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1726593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1726596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1726599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726625 */     // MIs[0] policy
     /* 1726625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726635 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1726652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726677 */     // GIR_Coverage, 10292,
     /* 1726677 */     GIR_EraseRootFromParent_Done,
     /* 1726678 */   // Label 22201: @1726678
     /* 1726678 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1726782), // Rule ID 10293 //
     /* 1726683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1726694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1726697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1726700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1726703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1726706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726729 */     // MIs[0] policy
     /* 1726729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726739 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1726756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726781 */     // GIR_Coverage, 10293,
     /* 1726781 */     GIR_EraseRootFromParent_Done,
     /* 1726782 */   // Label 22202: @1726782
     /* 1726782 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1726886), // Rule ID 10296 //
     /* 1726787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726833 */     // MIs[0] policy
     /* 1726833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1726860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726885 */     // GIR_Coverage, 10296,
     /* 1726885 */     GIR_EraseRootFromParent_Done,
     /* 1726886 */   // Label 22203: @1726886
     /* 1726886 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1726990), // Rule ID 10297 //
     /* 1726891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1726902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1726905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1726908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1726911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726937 */     // MIs[0] policy
     /* 1726937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1726951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1726957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1726961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1726964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1726978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726989 */     // GIR_Coverage, 10297,
     /* 1726989 */     GIR_EraseRootFromParent_Done,
     /* 1726990 */   // Label 22204: @1726990
     /* 1726990 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1727094), // Rule ID 10300 //
     /* 1726995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1727006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1727009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1727012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1727015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727041 */     // MIs[0] policy
     /* 1727041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727051 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1727068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727093 */     // GIR_Coverage, 10300,
     /* 1727093 */     GIR_EraseRootFromParent_Done,
     /* 1727094 */   // Label 22205: @1727094
     /* 1727094 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1727198), // Rule ID 10301 //
     /* 1727099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1727110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1727113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1727116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1727119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727145 */     // MIs[0] policy
     /* 1727145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727155 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1727172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727197 */     // GIR_Coverage, 10301,
     /* 1727197 */     GIR_EraseRootFromParent_Done,
     /* 1727198 */   // Label 22206: @1727198
     /* 1727198 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1727302), // Rule ID 10304 //
     /* 1727203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1727214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1727217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1727220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1727223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727249 */     // MIs[0] policy
     /* 1727249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1727276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727301 */     // GIR_Coverage, 10304,
     /* 1727301 */     GIR_EraseRootFromParent_Done,
     /* 1727302 */   // Label 22207: @1727302
     /* 1727302 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1727406), // Rule ID 10305 //
     /* 1727307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1727318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1727321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1727324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1727327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1727330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727353 */     // MIs[0] policy
     /* 1727353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1727380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727405 */     // GIR_Coverage, 10305,
     /* 1727405 */     GIR_EraseRootFromParent_Done,
     /* 1727406 */   // Label 22208: @1727406
     /* 1727406 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1727510), // Rule ID 10308 //
     /* 1727411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1727422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1727425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1727428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1727431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727457 */     // MIs[0] policy
     /* 1727457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727467 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1727484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727509 */     // GIR_Coverage, 10308,
     /* 1727509 */     GIR_EraseRootFromParent_Done,
     /* 1727510 */   // Label 22209: @1727510
     /* 1727510 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1727614), // Rule ID 10309 //
     /* 1727515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1727526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1727529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1727532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1727535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727561 */     // MIs[0] policy
     /* 1727561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727571 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1727588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1727610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727613 */     // GIR_Coverage, 10309,
     /* 1727613 */     GIR_EraseRootFromParent_Done,
     /* 1727614 */   // Label 22210: @1727614
     /* 1727614 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1727718), // Rule ID 10312 //
     /* 1727619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1727630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1727633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1727636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1727639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727665 */     // MIs[0] policy
     /* 1727665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1727692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727717 */     // GIR_Coverage, 10312,
     /* 1727717 */     GIR_EraseRootFromParent_Done,
     /* 1727718 */   // Label 22211: @1727718
     /* 1727718 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1727822), // Rule ID 10313 //
     /* 1727723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1727734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1727737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1727740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1727743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727769 */     // MIs[0] policy
     /* 1727769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727779 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1727796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727821 */     // GIR_Coverage, 10313,
     /* 1727821 */     GIR_EraseRootFromParent_Done,
     /* 1727822 */   // Label 22212: @1727822
     /* 1727822 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1727926), // Rule ID 10316 //
     /* 1727827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1727838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1727841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1727844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1727847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727873 */     // MIs[0] policy
     /* 1727873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1727897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1727900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1727914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727925 */     // GIR_Coverage, 10316,
     /* 1727925 */     GIR_EraseRootFromParent_Done,
     /* 1727926 */   // Label 22213: @1727926
     /* 1727926 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1728030), // Rule ID 10317 //
     /* 1727931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1727942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1727945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1727948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1727951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1727961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1727973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727977 */     // MIs[0] policy
     /* 1727977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1727991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1727997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1728004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1728026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728029 */     // GIR_Coverage, 10317,
     /* 1728029 */     GIR_EraseRootFromParent_Done,
     /* 1728030 */   // Label 22214: @1728030
     /* 1728030 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1728134), // Rule ID 10320 //
     /* 1728035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1728046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1728049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1728052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1728055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728081 */     // MIs[0] policy
     /* 1728081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728091 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1728108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728133 */     // GIR_Coverage, 10320,
     /* 1728133 */     GIR_EraseRootFromParent_Done,
     /* 1728134 */   // Label 22215: @1728134
     /* 1728134 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1728238), // Rule ID 10321 //
     /* 1728139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1728150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1728153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1728156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1728159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728185 */     // MIs[0] policy
     /* 1728185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728195 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1728212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728237 */     // GIR_Coverage, 10321,
     /* 1728237 */     GIR_EraseRootFromParent_Done,
     /* 1728238 */   // Label 22216: @1728238
     /* 1728238 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1728342), // Rule ID 10324 //
     /* 1728243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1728254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1728257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1728260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1728263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728289 */     // MIs[0] policy
     /* 1728289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728299 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1728316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728341 */     // GIR_Coverage, 10324,
     /* 1728341 */     GIR_EraseRootFromParent_Done,
     /* 1728342 */   // Label 22217: @1728342
     /* 1728342 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1728446), // Rule ID 10325 //
     /* 1728347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1728358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1728361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1728364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1728367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1728370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728393 */     // MIs[0] policy
     /* 1728393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728403 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1728420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728445 */     // GIR_Coverage, 10325,
     /* 1728445 */     GIR_EraseRootFromParent_Done,
     /* 1728446 */   // Label 22218: @1728446
     /* 1728446 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1728550), // Rule ID 10328 //
     /* 1728451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1728462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1728465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1728468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1728471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728497 */     // MIs[0] policy
     /* 1728497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728507 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1728524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728549 */     // GIR_Coverage, 10328,
     /* 1728549 */     GIR_EraseRootFromParent_Done,
     /* 1728550 */   // Label 22219: @1728550
     /* 1728550 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1728654), // Rule ID 10329 //
     /* 1728555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1728566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1728569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1728572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1728575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1728578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728601 */     // MIs[0] policy
     /* 1728601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1728628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728653 */     // GIR_Coverage, 10329,
     /* 1728653 */     GIR_EraseRootFromParent_Done,
     /* 1728654 */   // Label 22220: @1728654
     /* 1728654 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1728758), // Rule ID 10332 //
     /* 1728659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1728670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1728673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1728676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1728679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1728682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728705 */     // MIs[0] policy
     /* 1728705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728715 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1728732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728757 */     // GIR_Coverage, 10332,
     /* 1728757 */     GIR_EraseRootFromParent_Done,
     /* 1728758 */   // Label 22221: @1728758
     /* 1728758 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1728862), // Rule ID 10333 //
     /* 1728763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1728774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1728777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1728780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1728783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1728786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728809 */     // MIs[0] policy
     /* 1728809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1728836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728861 */     // GIR_Coverage, 10333,
     /* 1728861 */     GIR_EraseRootFromParent_Done,
     /* 1728862 */   // Label 22222: @1728862
     /* 1728862 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1728966), // Rule ID 10336 //
     /* 1728867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1728878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1728881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1728884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1728887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728913 */     // MIs[0] policy
     /* 1728913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728923 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1728927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1728933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1728937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1728940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1728954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1728962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728965 */     // GIR_Coverage, 10336,
     /* 1728965 */     GIR_EraseRootFromParent_Done,
     /* 1728966 */   // Label 22223: @1728966
     /* 1728966 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1729070), // Rule ID 10337 //
     /* 1728971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1728982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1728985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1728988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1728991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729017 */     // MIs[0] policy
     /* 1729017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729027 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1729044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729069 */     // GIR_Coverage, 10337,
     /* 1729069 */     GIR_EraseRootFromParent_Done,
     /* 1729070 */   // Label 22224: @1729070
     /* 1729070 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1729174), // Rule ID 10340 //
     /* 1729075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1729086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1729089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1729092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1729095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729121 */     // MIs[0] policy
     /* 1729121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729131 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1729148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729173 */     // GIR_Coverage, 10340,
     /* 1729173 */     GIR_EraseRootFromParent_Done,
     /* 1729174 */   // Label 22225: @1729174
     /* 1729174 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1729278), // Rule ID 10341 //
     /* 1729179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1729190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1729193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1729196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1729199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729225 */     // MIs[0] policy
     /* 1729225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729235 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1729252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729277 */     // GIR_Coverage, 10341,
     /* 1729277 */     GIR_EraseRootFromParent_Done,
     /* 1729278 */   // Label 22226: @1729278
     /* 1729278 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1729382), // Rule ID 10344 //
     /* 1729283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1729294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1729297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1729300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1729303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729329 */     // MIs[0] policy
     /* 1729329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729339 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1729356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729381 */     // GIR_Coverage, 10344,
     /* 1729381 */     GIR_EraseRootFromParent_Done,
     /* 1729382 */   // Label 22227: @1729382
     /* 1729382 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1729486), // Rule ID 10345 //
     /* 1729387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1729398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1729401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1729404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1729407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1729410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729433 */     // MIs[0] policy
     /* 1729433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729443 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1729460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729485 */     // GIR_Coverage, 10345,
     /* 1729485 */     GIR_EraseRootFromParent_Done,
     /* 1729486 */   // Label 22228: @1729486
     /* 1729486 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1729590), // Rule ID 10348 //
     /* 1729491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1729502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1729505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1729508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1729511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729537 */     // MIs[0] policy
     /* 1729537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1729564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729589 */     // GIR_Coverage, 10348,
     /* 1729589 */     GIR_EraseRootFromParent_Done,
     /* 1729590 */   // Label 22229: @1729590
     /* 1729590 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1729694), // Rule ID 10349 //
     /* 1729595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1729606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1729609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1729612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1729615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1729625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1729637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729641 */     // MIs[0] policy
     /* 1729641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1729668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729693 */     // GIR_Coverage, 10349,
     /* 1729693 */     GIR_EraseRootFromParent_Done,
     /* 1729694 */   // Label 22230: @1729694
     /* 1729694 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1729798), // Rule ID 10352 //
     /* 1729699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1729710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1729713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1729716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1729719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729745 */     // MIs[0] policy
     /* 1729745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729755 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1729772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729797 */     // GIR_Coverage, 10352,
     /* 1729797 */     GIR_EraseRootFromParent_Done,
     /* 1729798 */   // Label 22231: @1729798
     /* 1729798 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1729902), // Rule ID 10353 //
     /* 1729803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1729814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1729817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1729820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1729823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1729833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1729845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729849 */     // MIs[0] policy
     /* 1729849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1729876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729901 */     // GIR_Coverage, 10353,
     /* 1729901 */     GIR_EraseRootFromParent_Done,
     /* 1729902 */   // Label 22232: @1729902
     /* 1729902 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1730006), // Rule ID 10356 //
     /* 1729907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1729915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1729918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1729921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1729924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1729927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1729930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1729937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1729949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729953 */     // MIs[0] policy
     /* 1729953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729963 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1729967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1729973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1729977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1729980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1729994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730005 */     // GIR_Coverage, 10356,
     /* 1730005 */     GIR_EraseRootFromParent_Done,
     /* 1730006 */   // Label 22233: @1730006
     /* 1730006 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1730110), // Rule ID 10357 //
     /* 1730011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1730022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1730025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1730028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1730031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730057 */     // MIs[0] policy
     /* 1730057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730067 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1730084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730109 */     // GIR_Coverage, 10357,
     /* 1730109 */     GIR_EraseRootFromParent_Done,
     /* 1730110 */   // Label 22234: @1730110
     /* 1730110 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1730214), // Rule ID 10360 //
     /* 1730115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1730135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730161 */     // MIs[0] policy
     /* 1730161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730171 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1730188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730213 */     // GIR_Coverage, 10360,
     /* 1730213 */     GIR_EraseRootFromParent_Done,
     /* 1730214 */   // Label 22235: @1730214
     /* 1730214 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1730318), // Rule ID 10361 //
     /* 1730219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1730230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1730233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1730236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1730239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730265 */     // MIs[0] policy
     /* 1730265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730275 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1730292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730317 */     // GIR_Coverage, 10361,
     /* 1730317 */     GIR_EraseRootFromParent_Done,
     /* 1730318 */   // Label 22236: @1730318
     /* 1730318 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1730422), // Rule ID 10364 //
     /* 1730323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1730334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1730337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1730340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1730343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730369 */     // MIs[0] policy
     /* 1730369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1730396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730421 */     // GIR_Coverage, 10364,
     /* 1730421 */     GIR_EraseRootFromParent_Done,
     /* 1730422 */   // Label 22237: @1730422
     /* 1730422 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1730526), // Rule ID 10365 //
     /* 1730427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1730438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1730441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1730444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1730447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1730450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730473 */     // MIs[0] policy
     /* 1730473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730483 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1730500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730525 */     // GIR_Coverage, 10365,
     /* 1730525 */     GIR_EraseRootFromParent_Done,
     /* 1730526 */   // Label 22238: @1730526
     /* 1730526 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1730630), // Rule ID 10368 //
     /* 1730531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1730542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1730545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1730548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1730551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730577 */     // MIs[0] policy
     /* 1730577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1730604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730629 */     // GIR_Coverage, 10368,
     /* 1730629 */     GIR_EraseRootFromParent_Done,
     /* 1730630 */   // Label 22239: @1730630
     /* 1730630 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1730734), // Rule ID 10369 //
     /* 1730635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1730646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1730649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1730652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1730655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730681 */     // MIs[0] policy
     /* 1730681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730691 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1730708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730733 */     // GIR_Coverage, 10369,
     /* 1730733 */     GIR_EraseRootFromParent_Done,
     /* 1730734 */   // Label 22240: @1730734
     /* 1730734 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1730838), // Rule ID 10372 //
     /* 1730739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1730750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1730753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1730756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730785 */     // MIs[0] policy
     /* 1730785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1730812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730837 */     // GIR_Coverage, 10372,
     /* 1730837 */     GIR_EraseRootFromParent_Done,
     /* 1730838 */   // Label 22241: @1730838
     /* 1730838 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1730942), // Rule ID 10373 //
     /* 1730843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1730854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1730857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1730860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1730863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730889 */     // MIs[0] policy
     /* 1730889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730899 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1730903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1730909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1730913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1730916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1730930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730941 */     // GIR_Coverage, 10373,
     /* 1730941 */     GIR_EraseRootFromParent_Done,
     /* 1730942 */   // Label 22242: @1730942
     /* 1730942 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1731046), // Rule ID 10376 //
     /* 1730947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1730955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1730958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1730961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1730964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1730967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1730970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1730989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730993 */     // MIs[0] policy
     /* 1730993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1731020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731045 */     // GIR_Coverage, 10376,
     /* 1731045 */     GIR_EraseRootFromParent_Done,
     /* 1731046 */   // Label 22243: @1731046
     /* 1731046 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1731150), // Rule ID 10377 //
     /* 1731051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1731062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1731065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1731068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731097 */     // MIs[0] policy
     /* 1731097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731107 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1731124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731149 */     // GIR_Coverage, 10377,
     /* 1731149 */     GIR_EraseRootFromParent_Done,
     /* 1731150 */   // Label 22244: @1731150
     /* 1731150 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1731254), // Rule ID 10380 //
     /* 1731155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731201 */     // MIs[0] policy
     /* 1731201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731253 */     // GIR_Coverage, 10380,
     /* 1731253 */     GIR_EraseRootFromParent_Done,
     /* 1731254 */   // Label 22245: @1731254
     /* 1731254 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1731358), // Rule ID 10381 //
     /* 1731259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1731270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1731273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1731276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731305 */     // MIs[0] policy
     /* 1731305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731315 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1731354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731357 */     // GIR_Coverage, 10381,
     /* 1731357 */     GIR_EraseRootFromParent_Done,
     /* 1731358 */   // Label 22246: @1731358
     /* 1731358 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1731462), // Rule ID 10384 //
     /* 1731363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1731374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1731377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1731380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731409 */     // MIs[0] policy
     /* 1731409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1731436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731461 */     // GIR_Coverage, 10384,
     /* 1731461 */     GIR_EraseRootFromParent_Done,
     /* 1731462 */   // Label 22247: @1731462
     /* 1731462 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1731566), // Rule ID 10385 //
     /* 1731467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1731478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1731481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1731484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731513 */     // MIs[0] policy
     /* 1731513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731523 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1731540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731565 */     // GIR_Coverage, 10385,
     /* 1731565 */     GIR_EraseRootFromParent_Done,
     /* 1731566 */   // Label 22248: @1731566
     /* 1731566 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1731670), // Rule ID 10388 //
     /* 1731571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1731582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1731585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1731588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731617 */     // MIs[0] policy
     /* 1731617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731669 */     // GIR_Coverage, 10388,
     /* 1731669 */     GIR_EraseRootFromParent_Done,
     /* 1731670 */   // Label 22249: @1731670
     /* 1731670 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1731774), // Rule ID 10389 //
     /* 1731675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1731686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1731689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1731692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731721 */     // MIs[0] policy
     /* 1731721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731731 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731773 */     // GIR_Coverage, 10389,
     /* 1731773 */     GIR_EraseRootFromParent_Done,
     /* 1731774 */   // Label 22250: @1731774
     /* 1731774 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1731878), // Rule ID 10392 //
     /* 1731779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1731790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1731793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1731796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1731799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731825 */     // MIs[0] policy
     /* 1731825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731835 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731877 */     // GIR_Coverage, 10392,
     /* 1731877 */     GIR_EraseRootFromParent_Done,
     /* 1731878 */   // Label 22251: @1731878
     /* 1731878 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1731982), // Rule ID 10393 //
     /* 1731883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1731894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1731897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1731900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1731903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1731906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1731913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1731921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1731925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731929 */     // MIs[0] policy
     /* 1731929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731939 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1731943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1731949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1731953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1731956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1731970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731981 */     // GIR_Coverage, 10393,
     /* 1731981 */     GIR_EraseRootFromParent_Done,
     /* 1731982 */   // Label 22252: @1731982
     /* 1731982 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1732086), // Rule ID 10396 //
     /* 1731987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1731995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1731998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732033 */     // MIs[0] policy
     /* 1732033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732043 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732085 */     // GIR_Coverage, 10396,
     /* 1732085 */     GIR_EraseRootFromParent_Done,
     /* 1732086 */   // Label 22253: @1732086
     /* 1732086 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1732190), // Rule ID 10397 //
     /* 1732091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1732102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1732105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1732108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732137 */     // MIs[0] policy
     /* 1732137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732189 */     // GIR_Coverage, 10397,
     /* 1732189 */     GIR_EraseRootFromParent_Done,
     /* 1732190 */   // Label 22254: @1732190
     /* 1732190 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1732294), // Rule ID 10400 //
     /* 1732195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732241 */     // MIs[0] policy
     /* 1732241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732293 */     // GIR_Coverage, 10400,
     /* 1732293 */     GIR_EraseRootFromParent_Done,
     /* 1732294 */   // Label 22255: @1732294
     /* 1732294 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1732398), // Rule ID 10401 //
     /* 1732299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1732310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1732313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1732316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732345 */     // MIs[0] policy
     /* 1732345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732355 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732397 */     // GIR_Coverage, 10401,
     /* 1732397 */     GIR_EraseRootFromParent_Done,
     /* 1732398 */   // Label 22256: @1732398
     /* 1732398 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1732502), // Rule ID 10404 //
     /* 1732403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732449 */     // MIs[0] policy
     /* 1732449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732459 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732501 */     // GIR_Coverage, 10404,
     /* 1732501 */     GIR_EraseRootFromParent_Done,
     /* 1732502 */   // Label 22257: @1732502
     /* 1732502 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1732606), // Rule ID 10405 //
     /* 1732507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1732518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1732521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1732524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732553 */     // MIs[0] policy
     /* 1732553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1732602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732605 */     // GIR_Coverage, 10405,
     /* 1732605 */     GIR_EraseRootFromParent_Done,
     /* 1732606 */   // Label 22258: @1732606
     /* 1732606 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1732710), // Rule ID 10408 //
     /* 1732611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1732622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1732625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1732628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732657 */     // MIs[0] policy
     /* 1732657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732709 */     // GIR_Coverage, 10408,
     /* 1732709 */     GIR_EraseRootFromParent_Done,
     /* 1732710 */   // Label 22259: @1732710
     /* 1732710 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1732814), // Rule ID 10409 //
     /* 1732715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1732726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1732729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1732732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732761 */     // MIs[0] policy
     /* 1732761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1732788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732813 */     // GIR_Coverage, 10409,
     /* 1732813 */     GIR_EraseRootFromParent_Done,
     /* 1732814 */   // Label 22260: @1732814
     /* 1732814 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1732918), // Rule ID 10412 //
     /* 1732819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1732830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1732833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1732836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732865 */     // MIs[0] policy
     /* 1732865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732875 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1732892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1732906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732917 */     // GIR_Coverage, 10412,
     /* 1732917 */     GIR_EraseRootFromParent_Done,
     /* 1732918 */   // Label 22261: @1732918
     /* 1732918 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1733022), // Rule ID 10413 //
     /* 1732923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1732931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1732934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1732937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1732940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1732946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1732953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1732961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732969 */     // MIs[0] policy
     /* 1732969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1732983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1732989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1732993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1732996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733021 */     // GIR_Coverage, 10413,
     /* 1733021 */     GIR_EraseRootFromParent_Done,
     /* 1733022 */   // Label 22262: @1733022
     /* 1733022 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1733126), // Rule ID 10416 //
     /* 1733027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733073 */     // MIs[0] policy
     /* 1733073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733083 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1733100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733125 */     // GIR_Coverage, 10416,
     /* 1733125 */     GIR_EraseRootFromParent_Done,
     /* 1733126 */   // Label 22263: @1733126
     /* 1733126 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1733230), // Rule ID 10417 //
     /* 1733131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1733142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1733145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1733148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733177 */     // MIs[0] policy
     /* 1733177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733187 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1733204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733229 */     // GIR_Coverage, 10417,
     /* 1733229 */     GIR_EraseRootFromParent_Done,
     /* 1733230 */   // Label 22264: @1733230
     /* 1733230 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1733334), // Rule ID 10420 //
     /* 1733235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733281 */     // MIs[0] policy
     /* 1733281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733291 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1733308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733333 */     // GIR_Coverage, 10420,
     /* 1733333 */     GIR_EraseRootFromParent_Done,
     /* 1733334 */   // Label 22265: @1733334
     /* 1733334 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1733438), // Rule ID 10421 //
     /* 1733339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1733350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1733353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1733356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1733362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733385 */     // MIs[0] policy
     /* 1733385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733395 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1733412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733437 */     // GIR_Coverage, 10421,
     /* 1733437 */     GIR_EraseRootFromParent_Done,
     /* 1733438 */   // Label 22266: @1733438
     /* 1733438 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1733542), // Rule ID 10424 //
     /* 1733443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733489 */     // MIs[0] policy
     /* 1733489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733499 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1733516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733541 */     // GIR_Coverage, 10424,
     /* 1733541 */     GIR_EraseRootFromParent_Done,
     /* 1733542 */   // Label 22267: @1733542
     /* 1733542 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1733646), // Rule ID 10425 //
     /* 1733547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1733558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1733561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1733564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1733577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1733585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733593 */     // MIs[0] policy
     /* 1733593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733603 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1733620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733645 */     // GIR_Coverage, 10425,
     /* 1733645 */     GIR_EraseRootFromParent_Done,
     /* 1733646 */   // Label 22268: @1733646
     /* 1733646 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1733750), // Rule ID 10428 //
     /* 1733651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733697 */     // MIs[0] policy
     /* 1733697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1733724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733749 */     // GIR_Coverage, 10428,
     /* 1733749 */     GIR_EraseRootFromParent_Done,
     /* 1733750 */   // Label 22269: @1733750
     /* 1733750 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1733854), // Rule ID 10429 //
     /* 1733755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1733766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1733769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1733772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1733785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1733793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733801 */     // MIs[0] policy
     /* 1733801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733811 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1733828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733853 */     // GIR_Coverage, 10429,
     /* 1733853 */     GIR_EraseRootFromParent_Done,
     /* 1733854 */   // Label 22270: @1733854
     /* 1733854 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1733958), // Rule ID 10432 //
     /* 1733859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1733870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1733873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1733876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733905 */     // MIs[0] policy
     /* 1733905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733915 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1733919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1733925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1733929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1733932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1733946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733957 */     // GIR_Coverage, 10432,
     /* 1733957 */     GIR_EraseRootFromParent_Done,
     /* 1733958 */   // Label 22271: @1733958
     /* 1733958 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1734062), // Rule ID 10433 //
     /* 1733963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1733971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1733974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1733977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1733980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1733986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1733993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1733997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734009 */     // MIs[0] policy
     /* 1734009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1734036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734061 */     // GIR_Coverage, 10433,
     /* 1734061 */     GIR_EraseRootFromParent_Done,
     /* 1734062 */   // Label 22272: @1734062
     /* 1734062 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1734166), // Rule ID 10436 //
     /* 1734067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734113 */     // MIs[0] policy
     /* 1734113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1734140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734165 */     // GIR_Coverage, 10436,
     /* 1734165 */     GIR_EraseRootFromParent_Done,
     /* 1734166 */   // Label 22273: @1734166
     /* 1734166 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1734270), // Rule ID 10437 //
     /* 1734171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1734182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1734185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1734188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734217 */     // MIs[0] policy
     /* 1734217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734227 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1734244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734269 */     // GIR_Coverage, 10437,
     /* 1734269 */     GIR_EraseRootFromParent_Done,
     /* 1734270 */   // Label 22274: @1734270
     /* 1734270 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1734374), // Rule ID 10440 //
     /* 1734275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734321 */     // MIs[0] policy
     /* 1734321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1734348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734373 */     // GIR_Coverage, 10440,
     /* 1734373 */     GIR_EraseRootFromParent_Done,
     /* 1734374 */   // Label 22275: @1734374
     /* 1734374 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1734478), // Rule ID 10441 //
     /* 1734379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1734390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1734393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1734396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734425 */     // MIs[0] policy
     /* 1734425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734435 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1734452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734477 */     // GIR_Coverage, 10441,
     /* 1734477 */     GIR_EraseRootFromParent_Done,
     /* 1734478 */   // Label 22276: @1734478
     /* 1734478 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1734582), // Rule ID 10444 //
     /* 1734483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734529 */     // MIs[0] policy
     /* 1734529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734539 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1734556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734581 */     // GIR_Coverage, 10444,
     /* 1734581 */     GIR_EraseRootFromParent_Done,
     /* 1734582 */   // Label 22277: @1734582
     /* 1734582 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1734686), // Rule ID 10445 //
     /* 1734587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1734598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1734601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1734604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734633 */     // MIs[0] policy
     /* 1734633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1734660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1734682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734685 */     // GIR_Coverage, 10445,
     /* 1734685 */     GIR_EraseRootFromParent_Done,
     /* 1734686 */   // Label 22278: @1734686
     /* 1734686 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1734790), // Rule ID 10448 //
     /* 1734691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734737 */     // MIs[0] policy
     /* 1734737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1734764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734789 */     // GIR_Coverage, 10448,
     /* 1734789 */     GIR_EraseRootFromParent_Done,
     /* 1734790 */   // Label 22279: @1734790
     /* 1734790 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1734894), // Rule ID 10449 //
     /* 1734795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1734798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1734806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1734809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1734812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1734818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734841 */     // MIs[0] policy
     /* 1734841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1734868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734893 */     // GIR_Coverage, 10449,
     /* 1734893 */     GIR_EraseRootFromParent_Done,
     /* 1734894 */   // Label 22280: @1734894
     /* 1734894 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1734998), // Rule ID 10452 //
     /* 1734899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1734902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1734907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1734910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1734913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1734916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1734922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734945 */     // MIs[0] policy
     /* 1734945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1734959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1734965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1734969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1734972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1734986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1734994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734997 */     // GIR_Coverage, 10452,
     /* 1734997 */     GIR_EraseRootFromParent_Done,
     /* 1734998 */   // Label 22281: @1734998
     /* 1734998 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1735102), // Rule ID 10453 //
     /* 1735003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1735011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735049 */     // MIs[0] policy
     /* 1735049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1735076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735101 */     // GIR_Coverage, 10453,
     /* 1735101 */     GIR_EraseRootFromParent_Done,
     /* 1735102 */   // Label 22282: @1735102
     /* 1735102 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1735206), // Rule ID 10456 //
     /* 1735107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1735115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735153 */     // MIs[0] policy
     /* 1735153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735163 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1735180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735205 */     // GIR_Coverage, 10456,
     /* 1735205 */     GIR_EraseRootFromParent_Done,
     /* 1735206 */   // Label 22283: @1735206
     /* 1735206 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1735310), // Rule ID 10457 //
     /* 1735211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1735219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735257 */     // MIs[0] policy
     /* 1735257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1735284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735309 */     // GIR_Coverage, 10457,
     /* 1735309 */     GIR_EraseRootFromParent_Done,
     /* 1735310 */   // Label 22284: @1735310
     /* 1735310 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1735414), // Rule ID 10460 //
     /* 1735315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1735335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735361 */     // MIs[0] policy
     /* 1735361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1735388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735413 */     // GIR_Coverage, 10460,
     /* 1735413 */     GIR_EraseRootFromParent_Done,
     /* 1735414 */   // Label 22285: @1735414
     /* 1735414 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1735518), // Rule ID 10461 //
     /* 1735419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1735430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1735433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1735436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1735439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735465 */     // MIs[0] policy
     /* 1735465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735475 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1735492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735517 */     // GIR_Coverage, 10461,
     /* 1735517 */     GIR_EraseRootFromParent_Done,
     /* 1735518 */   // Label 22286: @1735518
     /* 1735518 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1735622), // Rule ID 10464 //
     /* 1735523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1735543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735569 */     // MIs[0] policy
     /* 1735569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735579 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1735596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735621 */     // GIR_Coverage, 10464,
     /* 1735621 */     GIR_EraseRootFromParent_Done,
     /* 1735622 */   // Label 22287: @1735622
     /* 1735622 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1735726), // Rule ID 10465 //
     /* 1735627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1735638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1735641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1735644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1735647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735673 */     // MIs[0] policy
     /* 1735673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1735700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735725 */     // GIR_Coverage, 10465,
     /* 1735725 */     GIR_EraseRootFromParent_Done,
     /* 1735726 */   // Label 22288: @1735726
     /* 1735726 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1735830), // Rule ID 10468 //
     /* 1735731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1735751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735777 */     // MIs[0] policy
     /* 1735777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1735804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735829 */     // GIR_Coverage, 10468,
     /* 1735829 */     GIR_EraseRootFromParent_Done,
     /* 1735830 */   // Label 22289: @1735830
     /* 1735830 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1735934), // Rule ID 10469 //
     /* 1735835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1735846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1735849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1735852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1735855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735881 */     // MIs[0] policy
     /* 1735881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735891 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1735901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1735905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1735908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1735922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1735930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735933 */     // GIR_Coverage, 10469,
     /* 1735933 */     GIR_EraseRootFromParent_Done,
     /* 1735934 */   // Label 22290: @1735934
     /* 1735934 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1736038), // Rule ID 10472 //
     /* 1735939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1735950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1735953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1735956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1735959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1735962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1735969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1735981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735985 */     // MIs[0] policy
     /* 1735985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1735999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1736012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736037 */     // GIR_Coverage, 10472,
     /* 1736037 */     GIR_EraseRootFromParent_Done,
     /* 1736038 */   // Label 22291: @1736038
     /* 1736038 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1736142), // Rule ID 10473 //
     /* 1736043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1736063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736089 */     // MIs[0] policy
     /* 1736089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1736116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736141 */     // GIR_Coverage, 10473,
     /* 1736141 */     GIR_EraseRootFromParent_Done,
     /* 1736142 */   // Label 22292: @1736142
     /* 1736142 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1736246), // Rule ID 10476 //
     /* 1736147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1736167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736193 */     // MIs[0] policy
     /* 1736193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1736220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736245 */     // GIR_Coverage, 10476,
     /* 1736245 */     GIR_EraseRootFromParent_Done,
     /* 1736246 */   // Label 22293: @1736246
     /* 1736246 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1736350), // Rule ID 10477 //
     /* 1736251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1736271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736297 */     // MIs[0] policy
     /* 1736297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736307 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1736324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736349 */     // GIR_Coverage, 10477,
     /* 1736349 */     GIR_EraseRootFromParent_Done,
     /* 1736350 */   // Label 22294: @1736350
     /* 1736350 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1736454), // Rule ID 10480 //
     /* 1736355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1736375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736401 */     // MIs[0] policy
     /* 1736401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736411 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1736428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736453 */     // GIR_Coverage, 10480,
     /* 1736453 */     GIR_EraseRootFromParent_Done,
     /* 1736454 */   // Label 22295: @1736454
     /* 1736454 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1736558), // Rule ID 10481 //
     /* 1736459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1736479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736505 */     // MIs[0] policy
     /* 1736505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736515 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1736532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736557 */     // GIR_Coverage, 10481,
     /* 1736557 */     GIR_EraseRootFromParent_Done,
     /* 1736558 */   // Label 22296: @1736558
     /* 1736558 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1736662), // Rule ID 10484 //
     /* 1736563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1736583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736609 */     // MIs[0] policy
     /* 1736609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736619 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1736636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736661 */     // GIR_Coverage, 10484,
     /* 1736661 */     GIR_EraseRootFromParent_Done,
     /* 1736662 */   // Label 22297: @1736662
     /* 1736662 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1736766), // Rule ID 10485 //
     /* 1736667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1736678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1736681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1736684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1736687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1736690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736713 */     // MIs[0] policy
     /* 1736713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1736740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736765 */     // GIR_Coverage, 10485,
     /* 1736765 */     GIR_EraseRootFromParent_Done,
     /* 1736766 */   // Label 22298: @1736766
     /* 1736766 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1736870), // Rule ID 10488 //
     /* 1736771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1736791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736817 */     // MIs[0] policy
     /* 1736817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736827 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1736844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736869 */     // GIR_Coverage, 10488,
     /* 1736869 */     GIR_EraseRootFromParent_Done,
     /* 1736870 */   // Label 22299: @1736870
     /* 1736870 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1736974), // Rule ID 10489 //
     /* 1736875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1736886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1736889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1736892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1736895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736921 */     // MIs[0] policy
     /* 1736921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1736935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1736941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1736945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1736948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1736962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736973 */     // GIR_Coverage, 10489,
     /* 1736973 */     GIR_EraseRootFromParent_Done,
     /* 1736974 */   // Label 22300: @1736974
     /* 1736974 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1737078), // Rule ID 10492 //
     /* 1736979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1736987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1736990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1736993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1736996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1736999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737025 */     // MIs[0] policy
     /* 1737025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1737052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737077 */     // GIR_Coverage, 10492,
     /* 1737077 */     GIR_EraseRootFromParent_Done,
     /* 1737078 */   // Label 22301: @1737078
     /* 1737078 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1737182), // Rule ID 10493 //
     /* 1737083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1737103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737129 */     // MIs[0] policy
     /* 1737129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1737156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737181 */     // GIR_Coverage, 10493,
     /* 1737181 */     GIR_EraseRootFromParent_Done,
     /* 1737182 */   // Label 22302: @1737182
     /* 1737182 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1737286), // Rule ID 10496 //
     /* 1737187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1737190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1737207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737233 */     // MIs[0] policy
     /* 1737233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1737260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737285 */     // GIR_Coverage, 10496,
     /* 1737285 */     GIR_EraseRootFromParent_Done,
     /* 1737286 */   // Label 22303: @1737286
     /* 1737286 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1737390), // Rule ID 10497 //
     /* 1737291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1737294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1737311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737337 */     // MIs[0] policy
     /* 1737337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737347 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1737364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737389 */     // GIR_Coverage, 10497,
     /* 1737389 */     GIR_EraseRootFromParent_Done,
     /* 1737390 */   // Label 22304: @1737390
     /* 1737390 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1737494), // Rule ID 10500 //
     /* 1737395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1737415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737441 */     // MIs[0] policy
     /* 1737441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737451 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1737468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737493 */     // GIR_Coverage, 10500,
     /* 1737493 */     GIR_EraseRootFromParent_Done,
     /* 1737494 */   // Label 22305: @1737494
     /* 1737494 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1737598), // Rule ID 10501 //
     /* 1737499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1737519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737545 */     // MIs[0] policy
     /* 1737545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737555 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1737572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737597 */     // GIR_Coverage, 10501,
     /* 1737597 */     GIR_EraseRootFromParent_Done,
     /* 1737598 */   // Label 22306: @1737598
     /* 1737598 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1737702), // Rule ID 10504 //
     /* 1737603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1737623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737649 */     // MIs[0] policy
     /* 1737649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737659 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1737676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737701 */     // GIR_Coverage, 10504,
     /* 1737701 */     GIR_EraseRootFromParent_Done,
     /* 1737702 */   // Label 22307: @1737702
     /* 1737702 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1737806), // Rule ID 10505 //
     /* 1737707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1737727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737753 */     // MIs[0] policy
     /* 1737753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1737780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737805 */     // GIR_Coverage, 10505,
     /* 1737805 */     GIR_EraseRootFromParent_Done,
     /* 1737806 */   // Label 22308: @1737806
     /* 1737806 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1737910), // Rule ID 10508 //
     /* 1737811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1737831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737857 */     // MIs[0] policy
     /* 1737857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1737884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1737898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737909 */     // GIR_Coverage, 10508,
     /* 1737909 */     GIR_EraseRootFromParent_Done,
     /* 1737910 */   // Label 22309: @1737910
     /* 1737910 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1738014), // Rule ID 10509 //
     /* 1737915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1737923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1737926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1737929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1737932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1737935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1737938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1737945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1737957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737961 */     // MIs[0] policy
     /* 1737961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737971 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1737975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1737981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1737985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1737988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738013 */     // GIR_Coverage, 10509,
     /* 1738013 */     GIR_EraseRootFromParent_Done,
     /* 1738014 */   // Label 22310: @1738014
     /* 1738014 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1738118), // Rule ID 10512 //
     /* 1738019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1738039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738065 */     // MIs[0] policy
     /* 1738065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738075 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1738092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738117 */     // GIR_Coverage, 10512,
     /* 1738117 */     GIR_EraseRootFromParent_Done,
     /* 1738118 */   // Label 22311: @1738118
     /* 1738118 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1738222), // Rule ID 10513 //
     /* 1738123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1738143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738169 */     // MIs[0] policy
     /* 1738169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1738196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738221 */     // GIR_Coverage, 10513,
     /* 1738221 */     GIR_EraseRootFromParent_Done,
     /* 1738222 */   // Label 22312: @1738222
     /* 1738222 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1738326), // Rule ID 10516 //
     /* 1738227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1738247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738273 */     // MIs[0] policy
     /* 1738273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1738300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738325 */     // GIR_Coverage, 10516,
     /* 1738325 */     GIR_EraseRootFromParent_Done,
     /* 1738326 */   // Label 22313: @1738326
     /* 1738326 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1738430), // Rule ID 10517 //
     /* 1738331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1738351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738377 */     // MIs[0] policy
     /* 1738377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1738404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738429 */     // GIR_Coverage, 10517,
     /* 1738429 */     GIR_EraseRootFromParent_Done,
     /* 1738430 */   // Label 22314: @1738430
     /* 1738430 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1738534), // Rule ID 10520 //
     /* 1738435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1738455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738481 */     // MIs[0] policy
     /* 1738481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1738508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738533 */     // GIR_Coverage, 10520,
     /* 1738533 */     GIR_EraseRootFromParent_Done,
     /* 1738534 */   // Label 22315: @1738534
     /* 1738534 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1738638), // Rule ID 10521 //
     /* 1738539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1738559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738585 */     // MIs[0] policy
     /* 1738585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1738612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738637 */     // GIR_Coverage, 10521,
     /* 1738637 */     GIR_EraseRootFromParent_Done,
     /* 1738638 */   // Label 22316: @1738638
     /* 1738638 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1738742), // Rule ID 10524 //
     /* 1738643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1738663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738689 */     // MIs[0] policy
     /* 1738689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1738716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738741 */     // GIR_Coverage, 10524,
     /* 1738741 */     GIR_EraseRootFromParent_Done,
     /* 1738742 */   // Label 22317: @1738742
     /* 1738742 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1738846), // Rule ID 10525 //
     /* 1738747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1738767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738793 */     // MIs[0] policy
     /* 1738793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1738820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738845 */     // GIR_Coverage, 10525,
     /* 1738845 */     GIR_EraseRootFromParent_Done,
     /* 1738846 */   // Label 22318: @1738846
     /* 1738846 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1738950), // Rule ID 10528 //
     /* 1738851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1738871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738897 */     // MIs[0] policy
     /* 1738897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738907 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1738911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1738917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1738921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1738924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1738938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738949 */     // GIR_Coverage, 10528,
     /* 1738949 */     GIR_EraseRootFromParent_Done,
     /* 1738950 */   // Label 22319: @1738950
     /* 1738950 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1739054), // Rule ID 10529 //
     /* 1738955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1738963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1738975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739001 */     // MIs[0] policy
     /* 1739001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1739028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739053 */     // GIR_Coverage, 10529,
     /* 1739053 */     GIR_EraseRootFromParent_Done,
     /* 1739054 */   // Label 22320: @1739054
     /* 1739054 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1739158), // Rule ID 10532 //
     /* 1739059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1739079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739105 */     // MIs[0] policy
     /* 1739105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739115 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1739132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739157 */     // GIR_Coverage, 10532,
     /* 1739157 */     GIR_EraseRootFromParent_Done,
     /* 1739158 */   // Label 22321: @1739158
     /* 1739158 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1739262), // Rule ID 10533 //
     /* 1739163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1739183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739209 */     // MIs[0] policy
     /* 1739209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739219 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1739236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739261 */     // GIR_Coverage, 10533,
     /* 1739261 */     GIR_EraseRootFromParent_Done,
     /* 1739262 */   // Label 22322: @1739262
     /* 1739262 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1739366), // Rule ID 10536 //
     /* 1739267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1739287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739313 */     // MIs[0] policy
     /* 1739313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1739340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739365 */     // GIR_Coverage, 10536,
     /* 1739365 */     GIR_EraseRootFromParent_Done,
     /* 1739366 */   // Label 22323: @1739366
     /* 1739366 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1739470), // Rule ID 10537 //
     /* 1739371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1739391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739417 */     // MIs[0] policy
     /* 1739417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1739444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739469 */     // GIR_Coverage, 10537,
     /* 1739469 */     GIR_EraseRootFromParent_Done,
     /* 1739470 */   // Label 22324: @1739470
     /* 1739470 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1739574), // Rule ID 10540 //
     /* 1739475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1739495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739521 */     // MIs[0] policy
     /* 1739521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1739548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739573 */     // GIR_Coverage, 10540,
     /* 1739573 */     GIR_EraseRootFromParent_Done,
     /* 1739574 */   // Label 22325: @1739574
     /* 1739574 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1739678), // Rule ID 10541 //
     /* 1739579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1739599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739625 */     // MIs[0] policy
     /* 1739625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1739652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739677 */     // GIR_Coverage, 10541,
     /* 1739677 */     GIR_EraseRootFromParent_Done,
     /* 1739678 */   // Label 22326: @1739678
     /* 1739678 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1739782), // Rule ID 10544 //
     /* 1739683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1739703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739729 */     // MIs[0] policy
     /* 1739729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1739756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739781 */     // GIR_Coverage, 10544,
     /* 1739781 */     GIR_EraseRootFromParent_Done,
     /* 1739782 */   // Label 22327: @1739782
     /* 1739782 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1739886), // Rule ID 10545 //
     /* 1739787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1739807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739833 */     // MIs[0] policy
     /* 1739833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1739860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739885 */     // GIR_Coverage, 10545,
     /* 1739885 */     GIR_EraseRootFromParent_Done,
     /* 1739886 */   // Label 22328: @1739886
     /* 1739886 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1739990), // Rule ID 10548 //
     /* 1739891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1739899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739937 */     // MIs[0] policy
     /* 1739937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1739951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1739957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1739961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1739964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1739978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739989 */     // GIR_Coverage, 10548,
     /* 1739989 */     GIR_EraseRootFromParent_Done,
     /* 1739990 */   // Label 22329: @1739990
     /* 1739990 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1740094), // Rule ID 10549 //
     /* 1739995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1740006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1740009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1740012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740041 */     // MIs[0] policy
     /* 1740041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1740068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740093 */     // GIR_Coverage, 10549,
     /* 1740093 */     GIR_EraseRootFromParent_Done,
     /* 1740094 */   // Label 22330: @1740094
     /* 1740094 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1740198), // Rule ID 10552 //
     /* 1740099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740145 */     // MIs[0] policy
     /* 1740145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1740172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740197 */     // GIR_Coverage, 10552,
     /* 1740197 */     GIR_EraseRootFromParent_Done,
     /* 1740198 */   // Label 22331: @1740198
     /* 1740198 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1740302), // Rule ID 10553 //
     /* 1740203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740249 */     // MIs[0] policy
     /* 1740249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1740276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740301 */     // GIR_Coverage, 10553,
     /* 1740301 */     GIR_EraseRootFromParent_Done,
     /* 1740302 */   // Label 22332: @1740302
     /* 1740302 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1740406), // Rule ID 10556 //
     /* 1740307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740353 */     // MIs[0] policy
     /* 1740353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1740380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740405 */     // GIR_Coverage, 10556,
     /* 1740405 */     GIR_EraseRootFromParent_Done,
     /* 1740406 */   // Label 22333: @1740406
     /* 1740406 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1740510), // Rule ID 10557 //
     /* 1740411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740457 */     // MIs[0] policy
     /* 1740457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1740484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740509 */     // GIR_Coverage, 10557,
     /* 1740509 */     GIR_EraseRootFromParent_Done,
     /* 1740510 */   // Label 22334: @1740510
     /* 1740510 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1740614), // Rule ID 10560 //
     /* 1740515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740561 */     // MIs[0] policy
     /* 1740561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1740588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740613 */     // GIR_Coverage, 10560,
     /* 1740613 */     GIR_EraseRootFromParent_Done,
     /* 1740614 */   // Label 22335: @1740614
     /* 1740614 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1740718), // Rule ID 10561 //
     /* 1740619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740665 */     // MIs[0] policy
     /* 1740665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1740692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740717 */     // GIR_Coverage, 10561,
     /* 1740717 */     GIR_EraseRootFromParent_Done,
     /* 1740718 */   // Label 22336: @1740718
     /* 1740718 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1740822), // Rule ID 10564 //
     /* 1740723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740769 */     // MIs[0] policy
     /* 1740769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1740796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740821 */     // GIR_Coverage, 10564,
     /* 1740821 */     GIR_EraseRootFromParent_Done,
     /* 1740822 */   // Label 22337: @1740822
     /* 1740822 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1740926), // Rule ID 10565 //
     /* 1740827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740873 */     // MIs[0] policy
     /* 1740873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1740897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1740900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1740914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740925 */     // GIR_Coverage, 10565,
     /* 1740925 */     GIR_EraseRootFromParent_Done,
     /* 1740926 */   // Label 22338: @1740926
     /* 1740926 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1741030), // Rule ID 10568 //
     /* 1740931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1740939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740977 */     // MIs[0] policy
     /* 1740977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1740991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1740997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1741004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741029 */     // GIR_Coverage, 10568,
     /* 1741029 */     GIR_EraseRootFromParent_Done,
     /* 1741030 */   // Label 22339: @1741030
     /* 1741030 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1741134), // Rule ID 10569 //
     /* 1741035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1741046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1741049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1741052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741081 */     // MIs[0] policy
     /* 1741081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1741108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741133 */     // GIR_Coverage, 10569,
     /* 1741133 */     GIR_EraseRootFromParent_Done,
     /* 1741134 */   // Label 22340: @1741134
     /* 1741134 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1741238), // Rule ID 10572 //
     /* 1741139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741185 */     // MIs[0] policy
     /* 1741185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741237 */     // GIR_Coverage, 10572,
     /* 1741237 */     GIR_EraseRootFromParent_Done,
     /* 1741238 */   // Label 22341: @1741238
     /* 1741238 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1741342), // Rule ID 10573 //
     /* 1741243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1741254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1741257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1741260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1741266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741289 */     // MIs[0] policy
     /* 1741289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11051:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741341 */     // GIR_Coverage, 10573,
     /* 1741341 */     GIR_EraseRootFromParent_Done,
     /* 1741342 */   // Label 22342: @1741342
     /* 1741342 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1741446), // Rule ID 10576 //
     /* 1741347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741393 */     // MIs[0] policy
     /* 1741393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741445 */     // GIR_Coverage, 10576,
     /* 1741445 */     GIR_EraseRootFromParent_Done,
     /* 1741446 */   // Label 22343: @1741446
     /* 1741446 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1741550), // Rule ID 10577 //
     /* 1741451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741497 */     // MIs[0] policy
     /* 1741497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11051:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741549 */     // GIR_Coverage, 10577,
     /* 1741549 */     GIR_EraseRootFromParent_Done,
     /* 1741550 */   // Label 22344: @1741550
     /* 1741550 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1741654), // Rule ID 10580 //
     /* 1741555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741601 */     // MIs[0] policy
     /* 1741601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741653 */     // GIR_Coverage, 10580,
     /* 1741653 */     GIR_EraseRootFromParent_Done,
     /* 1741654 */   // Label 22345: @1741654
     /* 1741654 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1741758), // Rule ID 10581 //
     /* 1741659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741705 */     // MIs[0] policy
     /* 1741705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11051:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741757 */     // GIR_Coverage, 10581,
     /* 1741757 */     GIR_EraseRootFromParent_Done,
     /* 1741758 */   // Label 22346: @1741758
     /* 1741758 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1741862), // Rule ID 10584 //
     /* 1741763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1741766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1741774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1741777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741809 */     // MIs[0] policy
     /* 1741809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741861 */     // GIR_Coverage, 10584,
     /* 1741861 */     GIR_EraseRootFromParent_Done,
     /* 1741862 */   // Label 22347: @1741862
     /* 1741862 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1741966), // Rule ID 10585 //
     /* 1741867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1741870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1741878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1741881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741913 */     // MIs[0] policy
     /* 1741913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11051:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1741927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1741933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1741937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1741940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1741954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741965 */     // GIR_Coverage, 10585,
     /* 1741965 */     GIR_EraseRootFromParent_Done,
     /* 1741966 */   // Label 22348: @1741966
     /* 1741966 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1742070), // Rule ID 10588 //
     /* 1741971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1741979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742017 */     // MIs[0] policy
     /* 1742017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1742044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742069 */     // GIR_Coverage, 10588,
     /* 1742069 */     GIR_EraseRootFromParent_Done,
     /* 1742070 */   // Label 22349: @1742070
     /* 1742070 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1742174), // Rule ID 10589 //
     /* 1742075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1742086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1742089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1742092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742121 */     // MIs[0] policy
     /* 1742121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1742148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742173 */     // GIR_Coverage, 10589,
     /* 1742173 */     GIR_EraseRootFromParent_Done,
     /* 1742174 */   // Label 22350: @1742174
     /* 1742174 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1742278), // Rule ID 10592 //
     /* 1742179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742225 */     // MIs[0] policy
     /* 1742225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742235 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1742252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742277 */     // GIR_Coverage, 10592,
     /* 1742277 */     GIR_EraseRootFromParent_Done,
     /* 1742278 */   // Label 22351: @1742278
     /* 1742278 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1742382), // Rule ID 10593 //
     /* 1742283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1742294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1742297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1742300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742329 */     // MIs[0] policy
     /* 1742329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1742356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742381 */     // GIR_Coverage, 10593,
     /* 1742381 */     GIR_EraseRootFromParent_Done,
     /* 1742382 */   // Label 22352: @1742382
     /* 1742382 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1742486), // Rule ID 10596 //
     /* 1742387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742433 */     // MIs[0] policy
     /* 1742433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1742460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742485 */     // GIR_Coverage, 10596,
     /* 1742485 */     GIR_EraseRootFromParent_Done,
     /* 1742486 */   // Label 22353: @1742486
     /* 1742486 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1742590), // Rule ID 10597 //
     /* 1742491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1742502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1742505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1742508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1742514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742537 */     // MIs[0] policy
     /* 1742537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1742564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742589 */     // GIR_Coverage, 10597,
     /* 1742589 */     GIR_EraseRootFromParent_Done,
     /* 1742590 */   // Label 22354: @1742590
     /* 1742590 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1742694), // Rule ID 10600 //
     /* 1742595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742641 */     // MIs[0] policy
     /* 1742641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1742668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742693 */     // GIR_Coverage, 10600,
     /* 1742693 */     GIR_EraseRootFromParent_Done,
     /* 1742694 */   // Label 22355: @1742694
     /* 1742694 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1742798), // Rule ID 10601 //
     /* 1742699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742745 */     // MIs[0] policy
     /* 1742745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1742772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742797 */     // GIR_Coverage, 10601,
     /* 1742797 */     GIR_EraseRootFromParent_Done,
     /* 1742798 */   // Label 22356: @1742798
     /* 1742798 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1742902), // Rule ID 10604 //
     /* 1742803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742849 */     // MIs[0] policy
     /* 1742849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1742876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742901 */     // GIR_Coverage, 10604,
     /* 1742901 */     GIR_EraseRootFromParent_Done,
     /* 1742902 */   // Label 22357: @1742902
     /* 1742902 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1743006), // Rule ID 10605 //
     /* 1742907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1742915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742953 */     // MIs[0] policy
     /* 1742953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1742967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1742973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1742977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1742980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1742994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743005 */     // GIR_Coverage, 10605,
     /* 1743005 */     GIR_EraseRootFromParent_Done,
     /* 1743006 */   // Label 22358: @1743006
     /* 1743006 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1743110), // Rule ID 10608 //
     /* 1743011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1743022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1743025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1743028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743057 */     // MIs[0] policy
     /* 1743057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1743084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743109 */     // GIR_Coverage, 10608,
     /* 1743109 */     GIR_EraseRootFromParent_Done,
     /* 1743110 */   // Label 22359: @1743110
     /* 1743110 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1743214), // Rule ID 10609 //
     /* 1743115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1743126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1743129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1743132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1743138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743161 */     // MIs[0] policy
     /* 1743161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1743188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1743210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743213 */     // GIR_Coverage, 10609,
     /* 1743213 */     GIR_EraseRootFromParent_Done,
     /* 1743214 */   // Label 22360: @1743214
     /* 1743214 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1743318), // Rule ID 10612 //
     /* 1743219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1743230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1743233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1743236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743265 */     // MIs[0] policy
     /* 1743265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1743292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743317 */     // GIR_Coverage, 10612,
     /* 1743317 */     GIR_EraseRootFromParent_Done,
     /* 1743318 */   // Label 22361: @1743318
     /* 1743318 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1743422), // Rule ID 10613 //
     /* 1743323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1743334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1743337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1743340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743369 */     // MIs[0] policy
     /* 1743369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1743396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743421 */     // GIR_Coverage, 10613,
     /* 1743421 */     GIR_EraseRootFromParent_Done,
     /* 1743422 */   // Label 22362: @1743422
     /* 1743422 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1743526), // Rule ID 10616 //
     /* 1743427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743473 */     // MIs[0] policy
     /* 1743473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1743500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743525 */     // GIR_Coverage, 10616,
     /* 1743525 */     GIR_EraseRootFromParent_Done,
     /* 1743526 */   // Label 22363: @1743526
     /* 1743526 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1743630), // Rule ID 10617 //
     /* 1743531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1743542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1743545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1743548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743577 */     // MIs[0] policy
     /* 1743577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1743604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743629 */     // GIR_Coverage, 10617,
     /* 1743629 */     GIR_EraseRootFromParent_Done,
     /* 1743630 */   // Label 22364: @1743630
     /* 1743630 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1743734), // Rule ID 10620 //
     /* 1743635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743681 */     // MIs[0] policy
     /* 1743681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1743708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743733 */     // GIR_Coverage, 10620,
     /* 1743733 */     GIR_EraseRootFromParent_Done,
     /* 1743734 */   // Label 22365: @1743734
     /* 1743734 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1743838), // Rule ID 10621 //
     /* 1743739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743785 */     // MIs[0] policy
     /* 1743785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1743812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743837 */     // GIR_Coverage, 10621,
     /* 1743837 */     GIR_EraseRootFromParent_Done,
     /* 1743838 */   // Label 22366: @1743838
     /* 1743838 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1743942), // Rule ID 10624 //
     /* 1743843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1743857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1743860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743889 */     // MIs[0] policy
     /* 1743889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1743903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1743909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1743913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1743916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1743930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743941 */     // GIR_Coverage, 10624,
     /* 1743941 */     GIR_EraseRootFromParent_Done,
     /* 1743942 */   // Label 22367: @1743942
     /* 1743942 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1744046), // Rule ID 10625 //
     /* 1743947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1743955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1743961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1743964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743993 */     // MIs[0] policy
     /* 1743993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11051:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1744020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744045 */     // GIR_Coverage, 10625,
     /* 1744045 */     GIR_EraseRootFromParent_Done,
     /* 1744046 */   // Label 22368: @1744046
     /* 1744046 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1744150), // Rule ID 10628 //
     /* 1744051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1744059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1744062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1744065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1744068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744097 */     // MIs[0] policy
     /* 1744097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1744124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744149 */     // GIR_Coverage, 10628,
     /* 1744149 */     GIR_EraseRootFromParent_Done,
     /* 1744150 */   // Label 22369: @1744150
     /* 1744150 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1744254), // Rule ID 10629 //
     /* 1744155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1744163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1744166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1744169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1744172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1744185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1744193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744201 */     // MIs[0] policy
     /* 1744201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11051:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1744228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744253 */     // GIR_Coverage, 10629,
     /* 1744253 */     GIR_EraseRootFromParent_Done,
     /* 1744254 */   // Label 22370: @1744254
     /* 1744254 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1744358), // Rule ID 10632 //
     /* 1744259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1744262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1744267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1744270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1744273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1744276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1744279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744305 */     // MIs[0] policy
     /* 1744305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1744332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744357 */     // GIR_Coverage, 10632,
     /* 1744357 */     GIR_EraseRootFromParent_Done,
     /* 1744358 */   // Label 22371: @1744358
     /* 1744358 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1744462), // Rule ID 10633 //
     /* 1744363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1744366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1744371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1744374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1744377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1744380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1744383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1744393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1744401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1744405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744409 */     // MIs[0] policy
     /* 1744409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11051:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1744436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1744458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744461 */     // GIR_Coverage, 10633,
     /* 1744461 */     GIR_EraseRootFromParent_Done,
     /* 1744462 */   // Label 22372: @1744462
     /* 1744462 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1744566), // Rule ID 10636 //
     /* 1744467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744513 */     // MIs[0] policy
     /* 1744513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1744540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744565 */     // GIR_Coverage, 10636,
     /* 1744565 */     GIR_EraseRootFromParent_Done,
     /* 1744566 */   // Label 22373: @1744566
     /* 1744566 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1744670), // Rule ID 10637 //
     /* 1744571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1744582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1744585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1744588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1744591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744617 */     // MIs[0] policy
     /* 1744617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1744644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744669 */     // GIR_Coverage, 10637,
     /* 1744669 */     GIR_EraseRootFromParent_Done,
     /* 1744670 */   // Label 22374: @1744670
     /* 1744670 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1744774), // Rule ID 10640 //
     /* 1744675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1744686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1744689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1744692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1744695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744721 */     // MIs[0] policy
     /* 1744721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744731 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1744748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744773 */     // GIR_Coverage, 10640,
     /* 1744773 */     GIR_EraseRootFromParent_Done,
     /* 1744774 */   // Label 22375: @1744774
     /* 1744774 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1744878), // Rule ID 10641 //
     /* 1744779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1744790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1744793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1744796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1744799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744825 */     // MIs[0] policy
     /* 1744825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1744852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744877 */     // GIR_Coverage, 10641,
     /* 1744877 */     GIR_EraseRootFromParent_Done,
     /* 1744878 */   // Label 22376: @1744878
     /* 1744878 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1744982), // Rule ID 10644 //
     /* 1744883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1744894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1744897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1744900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1744903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744929 */     // MIs[0] policy
     /* 1744929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1744943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1744949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1744953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1744956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1744970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744981 */     // GIR_Coverage, 10644,
     /* 1744981 */     GIR_EraseRootFromParent_Done,
     /* 1744982 */   // Label 22377: @1744982
     /* 1744982 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1745086), // Rule ID 10645 //
     /* 1744987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1744995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1744998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1745001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1745004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1745007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745033 */     // MIs[0] policy
     /* 1745033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745043 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1745060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745085 */     // GIR_Coverage, 10645,
     /* 1745085 */     GIR_EraseRootFromParent_Done,
     /* 1745086 */   // Label 22378: @1745086
     /* 1745086 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1745190), // Rule ID 10648 //
     /* 1745091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1745108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1745111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745137 */     // MIs[0] policy
     /* 1745137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1745164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745189 */     // GIR_Coverage, 10648,
     /* 1745189 */     GIR_EraseRootFromParent_Done,
     /* 1745190 */   // Label 22379: @1745190
     /* 1745190 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1745294), // Rule ID 10649 //
     /* 1745195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1745206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1745209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1745212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1745215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745241 */     // MIs[0] policy
     /* 1745241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1745268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745293 */     // GIR_Coverage, 10649,
     /* 1745293 */     GIR_EraseRootFromParent_Done,
     /* 1745294 */   // Label 22380: @1745294
     /* 1745294 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1745398), // Rule ID 10652 //
     /* 1745299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745345 */     // MIs[0] policy
     /* 1745345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1745372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745397 */     // GIR_Coverage, 10652,
     /* 1745397 */     GIR_EraseRootFromParent_Done,
     /* 1745398 */   // Label 22381: @1745398
     /* 1745398 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1745502), // Rule ID 10653 //
     /* 1745403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1745414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1745417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1745420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1745423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745449 */     // MIs[0] policy
     /* 1745449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1745476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745501 */     // GIR_Coverage, 10653,
     /* 1745501 */     GIR_EraseRootFromParent_Done,
     /* 1745502 */   // Label 22382: @1745502
     /* 1745502 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1745606), // Rule ID 10656 //
     /* 1745507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745553 */     // MIs[0] policy
     /* 1745553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1745580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745605 */     // GIR_Coverage, 10656,
     /* 1745605 */     GIR_EraseRootFromParent_Done,
     /* 1745606 */   // Label 22383: @1745606
     /* 1745606 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1745710), // Rule ID 10657 //
     /* 1745611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1745622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1745625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1745628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1745631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745657 */     // MIs[0] policy
     /* 1745657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1745684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745709 */     // GIR_Coverage, 10657,
     /* 1745709 */     GIR_EraseRootFromParent_Done,
     /* 1745710 */   // Label 22384: @1745710
     /* 1745710 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1745814), // Rule ID 10660 //
     /* 1745715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745761 */     // MIs[0] policy
     /* 1745761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1745788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745813 */     // GIR_Coverage, 10660,
     /* 1745813 */     GIR_EraseRootFromParent_Done,
     /* 1745814 */   // Label 22385: @1745814
     /* 1745814 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1745918), // Rule ID 10661 //
     /* 1745819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1745830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1745833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1745836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1745839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745865 */     // MIs[0] policy
     /* 1745865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1745892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1745906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745917 */     // GIR_Coverage, 10661,
     /* 1745917 */     GIR_EraseRootFromParent_Done,
     /* 1745918 */   // Label 22386: @1745918
     /* 1745918 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1746022), // Rule ID 10664 //
     /* 1745923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1745931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1745934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1745937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1745940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1745943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1745946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745969 */     // MIs[0] policy
     /* 1745969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1745983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1745989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1745993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1745996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746021 */     // GIR_Coverage, 10664,
     /* 1746021 */     GIR_EraseRootFromParent_Done,
     /* 1746022 */   // Label 22387: @1746022
     /* 1746022 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1746126), // Rule ID 10665 //
     /* 1746027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1746038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1746041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1746044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1746047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746073 */     // MIs[0] policy
     /* 1746073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1746100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746125 */     // GIR_Coverage, 10665,
     /* 1746125 */     GIR_EraseRootFromParent_Done,
     /* 1746126 */   // Label 22388: @1746126
     /* 1746126 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1746230), // Rule ID 10668 //
     /* 1746131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1746142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1746145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1746148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1746151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746177 */     // MIs[0] policy
     /* 1746177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1746204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746229 */     // GIR_Coverage, 10668,
     /* 1746229 */     GIR_EraseRootFromParent_Done,
     /* 1746230 */   // Label 22389: @1746230
     /* 1746230 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1746334), // Rule ID 10669 //
     /* 1746235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1746246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1746249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1746252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1746255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746281 */     // MIs[0] policy
     /* 1746281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1746308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746333 */     // GIR_Coverage, 10669,
     /* 1746333 */     GIR_EraseRootFromParent_Done,
     /* 1746334 */   // Label 22390: @1746334
     /* 1746334 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1746438), // Rule ID 10672 //
     /* 1746339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1746350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1746353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1746356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1746359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746385 */     // MIs[0] policy
     /* 1746385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1746412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746437 */     // GIR_Coverage, 10672,
     /* 1746437 */     GIR_EraseRootFromParent_Done,
     /* 1746438 */   // Label 22391: @1746438
     /* 1746438 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1746542), // Rule ID 10673 //
     /* 1746443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1746454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1746457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1746460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1746463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1746466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1746473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1746485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746489 */     // MIs[0] policy
     /* 1746489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1746516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746541 */     // GIR_Coverage, 10673,
     /* 1746541 */     GIR_EraseRootFromParent_Done,
     /* 1746542 */   // Label 22392: @1746542
     /* 1746542 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1746646), // Rule ID 10676 //
     /* 1746547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1746558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1746561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746593 */     // MIs[0] policy
     /* 1746593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1746620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746645 */     // GIR_Coverage, 10676,
     /* 1746645 */     GIR_EraseRootFromParent_Done,
     /* 1746646 */   // Label 22393: @1746646
     /* 1746646 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1746750), // Rule ID 10677 //
     /* 1746651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1746662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1746665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1746668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1746671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746697 */     // MIs[0] policy
     /* 1746697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1746724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746749 */     // GIR_Coverage, 10677,
     /* 1746749 */     GIR_EraseRootFromParent_Done,
     /* 1746750 */   // Label 22394: @1746750
     /* 1746750 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1746854), // Rule ID 10680 //
     /* 1746755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746801 */     // MIs[0] policy
     /* 1746801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1746828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746853 */     // GIR_Coverage, 10680,
     /* 1746853 */     GIR_EraseRootFromParent_Done,
     /* 1746854 */   // Label 22395: @1746854
     /* 1746854 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1746958), // Rule ID 10681 //
     /* 1746859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1746870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1746873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1746876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1746879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746905 */     // MIs[0] policy
     /* 1746905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746915 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1746919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1746925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1746929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1746932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1746946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1746954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746957 */     // GIR_Coverage, 10681,
     /* 1746957 */     GIR_EraseRootFromParent_Done,
     /* 1746958 */   // Label 22396: @1746958
     /* 1746958 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1747062), // Rule ID 10684 //
     /* 1746963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1746971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1746974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1746977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1746980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1746983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1746986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747009 */     // MIs[0] policy
     /* 1747009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1747036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747061 */     // GIR_Coverage, 10684,
     /* 1747061 */     GIR_EraseRootFromParent_Done,
     /* 1747062 */   // Label 22397: @1747062
     /* 1747062 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1747166), // Rule ID 10685 //
     /* 1747067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1747078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1747081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1747084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1747087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1747090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747113 */     // MIs[0] policy
     /* 1747113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1747140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747165 */     // GIR_Coverage, 10685,
     /* 1747165 */     GIR_EraseRootFromParent_Done,
     /* 1747166 */   // Label 22398: @1747166
     /* 1747166 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1747270), // Rule ID 10688 //
     /* 1747171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1747182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1747185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1747188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1747191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747217 */     // MIs[0] policy
     /* 1747217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1747244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747269 */     // GIR_Coverage, 10688,
     /* 1747269 */     GIR_EraseRootFromParent_Done,
     /* 1747270 */   // Label 22399: @1747270
     /* 1747270 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1747374), // Rule ID 10689 //
     /* 1747275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1747286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1747289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1747292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1747295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747321 */     // MIs[0] policy
     /* 1747321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1747348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747373 */     // GIR_Coverage, 10689,
     /* 1747373 */     GIR_EraseRootFromParent_Done,
     /* 1747374 */   // Label 22400: @1747374
     /* 1747374 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1747478), // Rule ID 10692 //
     /* 1747379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1747390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1747393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747425 */     // MIs[0] policy
     /* 1747425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1747452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747477 */     // GIR_Coverage, 10692,
     /* 1747477 */     GIR_EraseRootFromParent_Done,
     /* 1747478 */   // Label 22401: @1747478
     /* 1747478 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1747582), // Rule ID 10693 //
     /* 1747483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1747494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1747497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1747500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1747503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1747506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747529 */     // MIs[0] policy
     /* 1747529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1747556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747581 */     // GIR_Coverage, 10693,
     /* 1747581 */     GIR_EraseRootFromParent_Done,
     /* 1747582 */   // Label 22402: @1747582
     /* 1747582 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1747686), // Rule ID 10696 //
     /* 1747587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1747598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1747601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1747604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1747607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747633 */     // MIs[0] policy
     /* 1747633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1747660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747685 */     // GIR_Coverage, 10696,
     /* 1747685 */     GIR_EraseRootFromParent_Done,
     /* 1747686 */   // Label 22403: @1747686
     /* 1747686 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1747790), // Rule ID 10697 //
     /* 1747691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1747702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1747705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1747708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1747711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1747714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747737 */     // MIs[0] policy
     /* 1747737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1747764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747789 */     // GIR_Coverage, 10697,
     /* 1747789 */     GIR_EraseRootFromParent_Done,
     /* 1747790 */   // Label 22404: @1747790
     /* 1747790 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1747894), // Rule ID 10700 //
     /* 1747795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747841 */     // MIs[0] policy
     /* 1747841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1747868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747893 */     // GIR_Coverage, 10700,
     /* 1747893 */     GIR_EraseRootFromParent_Done,
     /* 1747894 */   // Label 22405: @1747894
     /* 1747894 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1747998), // Rule ID 10701 //
     /* 1747899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1747907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1747910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1747913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1747916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1747919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1747929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747945 */     // MIs[0] policy
     /* 1747945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1747959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1747965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1747969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1747972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1747986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1747994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747997 */     // GIR_Coverage, 10701,
     /* 1747997 */     GIR_EraseRootFromParent_Done,
     /* 1747998 */   // Label 22406: @1747998
     /* 1747998 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1748102), // Rule ID 10704 //
     /* 1748003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748049 */     // MIs[0] policy
     /* 1748049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1748076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748101 */     // GIR_Coverage, 10704,
     /* 1748101 */     GIR_EraseRootFromParent_Done,
     /* 1748102 */   // Label 22407: @1748102
     /* 1748102 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1748206), // Rule ID 10705 //
     /* 1748107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1748118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1748121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1748124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1748127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748153 */     // MIs[0] policy
     /* 1748153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1748180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748205 */     // GIR_Coverage, 10705,
     /* 1748205 */     GIR_EraseRootFromParent_Done,
     /* 1748206 */   // Label 22408: @1748206
     /* 1748206 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1748310), // Rule ID 10708 //
     /* 1748211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1748222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1748225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1748228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1748231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748257 */     // MIs[0] policy
     /* 1748257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1748284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748309 */     // GIR_Coverage, 10708,
     /* 1748309 */     GIR_EraseRootFromParent_Done,
     /* 1748310 */   // Label 22409: @1748310
     /* 1748310 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1748414), // Rule ID 10709 //
     /* 1748315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1748326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1748329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1748332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1748335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1748338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748361 */     // MIs[0] policy
     /* 1748361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1748388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748413 */     // GIR_Coverage, 10709,
     /* 1748413 */     GIR_EraseRootFromParent_Done,
     /* 1748414 */   // Label 22410: @1748414
     /* 1748414 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1748518), // Rule ID 10712 //
     /* 1748419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1748422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1748430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1748433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1748436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1748439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748465 */     // MIs[0] policy
     /* 1748465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1748492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1748514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748517 */     // GIR_Coverage, 10712,
     /* 1748517 */     GIR_EraseRootFromParent_Done,
     /* 1748518 */   // Label 22411: @1748518
     /* 1748518 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1748622), // Rule ID 10713 //
     /* 1748523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1748526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1748534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1748537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1748540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1748543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1748553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1748565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748569 */     // MIs[0] policy
     /* 1748569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1748596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1748618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748621 */     // GIR_Coverage, 10713,
     /* 1748621 */     GIR_EraseRootFromParent_Done,
     /* 1748622 */   // Label 22412: @1748622
     /* 1748622 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1748726), // Rule ID 10716 //
     /* 1748627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1748630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1748638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1748641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1748644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1748647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748673 */     // MIs[0] policy
     /* 1748673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1748700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1748722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748725 */     // GIR_Coverage, 10716,
     /* 1748725 */     GIR_EraseRootFromParent_Done,
     /* 1748726 */   // Label 22413: @1748726
     /* 1748726 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1748830), // Rule ID 10717 //
     /* 1748731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1748734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1748742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1748745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1748748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1748751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1748761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1748773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748777 */     // MIs[0] policy
     /* 1748777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1748804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1748826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748829 */     // GIR_Coverage, 10717,
     /* 1748829 */     GIR_EraseRootFromParent_Done,
     /* 1748830 */   // Label 22414: @1748830
     /* 1748830 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1748934), // Rule ID 10720 //
     /* 1748835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1748838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1748846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1748849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1748852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1748855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748881 */     // MIs[0] policy
     /* 1748881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1748901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1748905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1748908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1748922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1748930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748933 */     // GIR_Coverage, 10720,
     /* 1748933 */     GIR_EraseRootFromParent_Done,
     /* 1748934 */   // Label 22415: @1748934
     /* 1748934 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1749038), // Rule ID 10721 //
     /* 1748939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1748942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1748947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1748950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1748953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1748956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1748959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1748969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1748981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748985 */     // MIs[0] policy
     /* 1748985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748995 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1748999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1749012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1749034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749037 */     // GIR_Coverage, 10721,
     /* 1749037 */     GIR_EraseRootFromParent_Done,
     /* 1749038 */   // Label 22416: @1749038
     /* 1749038 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1749142), // Rule ID 10724 //
     /* 1749043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749089 */     // MIs[0] policy
     /* 1749089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1749116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749141 */     // GIR_Coverage, 10724,
     /* 1749141 */     GIR_EraseRootFromParent_Done,
     /* 1749142 */   // Label 22417: @1749142
     /* 1749142 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1749246), // Rule ID 10725 //
     /* 1749147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1749158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1749161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1749164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749193 */     // MIs[0] policy
     /* 1749193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1749220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749245 */     // GIR_Coverage, 10725,
     /* 1749245 */     GIR_EraseRootFromParent_Done,
     /* 1749246 */   // Label 22418: @1749246
     /* 1749246 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1749350), // Rule ID 10728 //
     /* 1749251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749297 */     // MIs[0] policy
     /* 1749297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749307 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1749324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749349 */     // GIR_Coverage, 10728,
     /* 1749349 */     GIR_EraseRootFromParent_Done,
     /* 1749350 */   // Label 22419: @1749350
     /* 1749350 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1749454), // Rule ID 10729 //
     /* 1749355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1749366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1749369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1749372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749401 */     // MIs[0] policy
     /* 1749401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1749428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749453 */     // GIR_Coverage, 10729,
     /* 1749453 */     GIR_EraseRootFromParent_Done,
     /* 1749454 */   // Label 22420: @1749454
     /* 1749454 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1749558), // Rule ID 10732 //
     /* 1749459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749505 */     // MIs[0] policy
     /* 1749505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749515 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1749532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749557 */     // GIR_Coverage, 10732,
     /* 1749557 */     GIR_EraseRootFromParent_Done,
     /* 1749558 */   // Label 22421: @1749558
     /* 1749558 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1749662), // Rule ID 10733 //
     /* 1749563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1749574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1749577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1749580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1749586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749609 */     // MIs[0] policy
     /* 1749609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749619 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1749636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749661 */     // GIR_Coverage, 10733,
     /* 1749661 */     GIR_EraseRootFromParent_Done,
     /* 1749662 */   // Label 22422: @1749662
     /* 1749662 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1749766), // Rule ID 10736 //
     /* 1749667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749713 */     // MIs[0] policy
     /* 1749713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1749740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749765 */     // GIR_Coverage, 10736,
     /* 1749765 */     GIR_EraseRootFromParent_Done,
     /* 1749766 */   // Label 22423: @1749766
     /* 1749766 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1749870), // Rule ID 10737 //
     /* 1749771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1749782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1749785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1749788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749817 */     // MIs[0] policy
     /* 1749817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1749844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749869 */     // GIR_Coverage, 10737,
     /* 1749869 */     GIR_EraseRootFromParent_Done,
     /* 1749870 */   // Label 22424: @1749870
     /* 1749870 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1749974), // Rule ID 10740 //
     /* 1749875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1749898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749921 */     // MIs[0] policy
     /* 1749921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1749935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1749941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1749945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1749948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1749962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749973 */     // GIR_Coverage, 10740,
     /* 1749973 */     GIR_EraseRootFromParent_Done,
     /* 1749974 */   // Label 22425: @1749974
     /* 1749974 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1750078), // Rule ID 10741 //
     /* 1749979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1749987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1749990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1749993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1749996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750025 */     // MIs[0] policy
     /* 1750025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1750052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750077 */     // GIR_Coverage, 10741,
     /* 1750077 */     GIR_EraseRootFromParent_Done,
     /* 1750078 */   // Label 22426: @1750078
     /* 1750078 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1750182), // Rule ID 10744 //
     /* 1750083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750129 */     // MIs[0] policy
     /* 1750129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1750156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750181 */     // GIR_Coverage, 10744,
     /* 1750181 */     GIR_EraseRootFromParent_Done,
     /* 1750182 */   // Label 22427: @1750182
     /* 1750182 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1750286), // Rule ID 10745 //
     /* 1750187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1750198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1750201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1750204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750233 */     // MIs[0] policy
     /* 1750233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1750260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750285 */     // GIR_Coverage, 10745,
     /* 1750285 */     GIR_EraseRootFromParent_Done,
     /* 1750286 */   // Label 22428: @1750286
     /* 1750286 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1750390), // Rule ID 10748 //
     /* 1750291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750337 */     // MIs[0] policy
     /* 1750337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750389 */     // GIR_Coverage, 10748,
     /* 1750389 */     GIR_EraseRootFromParent_Done,
     /* 1750390 */   // Label 22429: @1750390
     /* 1750390 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1750494), // Rule ID 10749 //
     /* 1750395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1750406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1750409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1750412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750441 */     // MIs[0] policy
     /* 1750441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11049:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1750490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750493 */     // GIR_Coverage, 10749,
     /* 1750493 */     GIR_EraseRootFromParent_Done,
     /* 1750494 */   // Label 22430: @1750494
     /* 1750494 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1750598), // Rule ID 10752 //
     /* 1750499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750545 */     // MIs[0] policy
     /* 1750545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750597 */     // GIR_Coverage, 10752,
     /* 1750597 */     GIR_EraseRootFromParent_Done,
     /* 1750598 */   // Label 22431: @1750598
     /* 1750598 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1750702), // Rule ID 10753 //
     /* 1750603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1750614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1750617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1750620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750649 */     // MIs[0] policy
     /* 1750649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11049:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750701 */     // GIR_Coverage, 10753,
     /* 1750701 */     GIR_EraseRootFromParent_Done,
     /* 1750702 */   // Label 22432: @1750702
     /* 1750702 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1750806), // Rule ID 10756 //
     /* 1750707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750753 */     // MIs[0] policy
     /* 1750753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750763 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750805 */     // GIR_Coverage, 10756,
     /* 1750805 */     GIR_EraseRootFromParent_Done,
     /* 1750806 */   // Label 22433: @1750806
     /* 1750806 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1750910), // Rule ID 10757 //
     /* 1750811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1750822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1750825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1750828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750857 */     // MIs[0] policy
     /* 1750857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11049:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1750898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750909 */     // GIR_Coverage, 10757,
     /* 1750909 */     GIR_EraseRootFromParent_Done,
     /* 1750910 */   // Label 22434: @1750910
     /* 1750910 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1751014), // Rule ID 10760 //
     /* 1750915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1750918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1750923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1750926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1750929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1750932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1750938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1750945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1750953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750961 */     // MIs[0] policy
     /* 1750961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1750975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1750981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1750985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1750988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1751010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751013 */     // GIR_Coverage, 10760,
     /* 1751013 */     GIR_EraseRootFromParent_Done,
     /* 1751014 */   // Label 22435: @1751014
     /* 1751014 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1751118), // Rule ID 10761 //
     /* 1751019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1751022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1751030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1751033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1751036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751065 */     // MIs[0] policy
     /* 1751065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11049:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1751092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1751114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751117 */     // GIR_Coverage, 10761,
     /* 1751117 */     GIR_EraseRootFromParent_Done,
     /* 1751118 */   // Label 22436: @1751118
     /* 1751118 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1751222), // Rule ID 10764 //
     /* 1751123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751169 */     // MIs[0] policy
     /* 1751169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1751196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751221 */     // GIR_Coverage, 10764,
     /* 1751221 */     GIR_EraseRootFromParent_Done,
     /* 1751222 */   // Label 22437: @1751222
     /* 1751222 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1751326), // Rule ID 10765 //
     /* 1751227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1751238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1751241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1751244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751273 */     // MIs[0] policy
     /* 1751273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1751300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751325 */     // GIR_Coverage, 10765,
     /* 1751325 */     GIR_EraseRootFromParent_Done,
     /* 1751326 */   // Label 22438: @1751326
     /* 1751326 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1751430), // Rule ID 10768 //
     /* 1751331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751377 */     // MIs[0] policy
     /* 1751377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1751404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751429 */     // GIR_Coverage, 10768,
     /* 1751429 */     GIR_EraseRootFromParent_Done,
     /* 1751430 */   // Label 22439: @1751430
     /* 1751430 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1751534), // Rule ID 10769 //
     /* 1751435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1751446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1751449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1751452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1751458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751481 */     // MIs[0] policy
     /* 1751481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1751508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751533 */     // GIR_Coverage, 10769,
     /* 1751533 */     GIR_EraseRootFromParent_Done,
     /* 1751534 */   // Label 22440: @1751534
     /* 1751534 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1751638), // Rule ID 10772 //
     /* 1751539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751585 */     // MIs[0] policy
     /* 1751585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1751612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751637 */     // GIR_Coverage, 10772,
     /* 1751637 */     GIR_EraseRootFromParent_Done,
     /* 1751638 */   // Label 22441: @1751638
     /* 1751638 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1751742), // Rule ID 10773 //
     /* 1751643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1751654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1751657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1751660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1751666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751689 */     // MIs[0] policy
     /* 1751689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1751716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751741 */     // GIR_Coverage, 10773,
     /* 1751741 */     GIR_EraseRootFromParent_Done,
     /* 1751742 */   // Label 22442: @1751742
     /* 1751742 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1751846), // Rule ID 10776 //
     /* 1751747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751793 */     // MIs[0] policy
     /* 1751793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1751820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751845 */     // GIR_Coverage, 10776,
     /* 1751845 */     GIR_EraseRootFromParent_Done,
     /* 1751846 */   // Label 22443: @1751846
     /* 1751846 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1751950), // Rule ID 10777 //
     /* 1751851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1751862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1751865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1751868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1751881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1751889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751897 */     // MIs[0] policy
     /* 1751897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1751911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1751917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1751921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1751924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1751938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751949 */     // GIR_Coverage, 10777,
     /* 1751949 */     GIR_EraseRootFromParent_Done,
     /* 1751950 */   // Label 22444: @1751950
     /* 1751950 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1752054), // Rule ID 10780 //
     /* 1751955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1751963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1751966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1751969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1751972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1751978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1751985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1751993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752001 */     // MIs[0] policy
     /* 1752001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1752028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752053 */     // GIR_Coverage, 10780,
     /* 1752053 */     GIR_EraseRootFromParent_Done,
     /* 1752054 */   // Label 22445: @1752054
     /* 1752054 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1752158), // Rule ID 10781 //
     /* 1752059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1752070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1752073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1752076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752105 */     // MIs[0] policy
     /* 1752105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752115 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1752132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752157 */     // GIR_Coverage, 10781,
     /* 1752157 */     GIR_EraseRootFromParent_Done,
     /* 1752158 */   // Label 22446: @1752158
     /* 1752158 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1752262), // Rule ID 10784 //
     /* 1752163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752209 */     // MIs[0] policy
     /* 1752209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1752236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752261 */     // GIR_Coverage, 10784,
     /* 1752261 */     GIR_EraseRootFromParent_Done,
     /* 1752262 */   // Label 22447: @1752262
     /* 1752262 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1752366), // Rule ID 10785 //
     /* 1752267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1752278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1752281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1752284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752313 */     // MIs[0] policy
     /* 1752313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1752340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752365 */     // GIR_Coverage, 10785,
     /* 1752365 */     GIR_EraseRootFromParent_Done,
     /* 1752366 */   // Label 22448: @1752366
     /* 1752366 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1752470), // Rule ID 10788 //
     /* 1752371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752417 */     // MIs[0] policy
     /* 1752417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1752444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752469 */     // GIR_Coverage, 10788,
     /* 1752469 */     GIR_EraseRootFromParent_Done,
     /* 1752470 */   // Label 22449: @1752470
     /* 1752470 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1752574), // Rule ID 10789 //
     /* 1752475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1752486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1752489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1752492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752521 */     // MIs[0] policy
     /* 1752521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1752548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752573 */     // GIR_Coverage, 10789,
     /* 1752573 */     GIR_EraseRootFromParent_Done,
     /* 1752574 */   // Label 22450: @1752574
     /* 1752574 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1752678), // Rule ID 10792 //
     /* 1752579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752625 */     // MIs[0] policy
     /* 1752625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1752652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752677 */     // GIR_Coverage, 10792,
     /* 1752677 */     GIR_EraseRootFromParent_Done,
     /* 1752678 */   // Label 22451: @1752678
     /* 1752678 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1752782), // Rule ID 10793 //
     /* 1752683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1752694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1752697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1752700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752729 */     // MIs[0] policy
     /* 1752729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1752756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752781 */     // GIR_Coverage, 10793,
     /* 1752781 */     GIR_EraseRootFromParent_Done,
     /* 1752782 */   // Label 22452: @1752782
     /* 1752782 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1752886), // Rule ID 10796 //
     /* 1752787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1752807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752833 */     // MIs[0] policy
     /* 1752833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1752860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752885 */     // GIR_Coverage, 10796,
     /* 1752885 */     GIR_EraseRootFromParent_Done,
     /* 1752886 */   // Label 22453: @1752886
     /* 1752886 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1752990), // Rule ID 10797 //
     /* 1752891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1752899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1752902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1752905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1752908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1752911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1752921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1752929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1752933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752937 */     // MIs[0] policy
     /* 1752937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1752951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1752957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1752961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1752964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1752978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752989 */     // GIR_Coverage, 10797,
     /* 1752989 */     GIR_EraseRootFromParent_Done,
     /* 1752990 */   // Label 22454: @1752990
     /* 1752990 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1753094), // Rule ID 10800 //
     /* 1752995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1752998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1753012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753041 */     // MIs[0] policy
     /* 1753041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1753068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753093 */     // GIR_Coverage, 10800,
     /* 1753093 */     GIR_EraseRootFromParent_Done,
     /* 1753094 */   // Label 22455: @1753094
     /* 1753094 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1753198), // Rule ID 10801 //
     /* 1753099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1753102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1753110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1753113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1753116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753145 */     // MIs[0] policy
     /* 1753145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11049:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1753172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753197 */     // GIR_Coverage, 10801,
     /* 1753197 */     GIR_EraseRootFromParent_Done,
     /* 1753198 */   // Label 22456: @1753198
     /* 1753198 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1753302), // Rule ID 10804 //
     /* 1753203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1753206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1753220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753249 */     // MIs[0] policy
     /* 1753249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1753276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753301 */     // GIR_Coverage, 10804,
     /* 1753301 */     GIR_EraseRootFromParent_Done,
     /* 1753302 */   // Label 22457: @1753302
     /* 1753302 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1753406), // Rule ID 10805 //
     /* 1753307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1753310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1753318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1753321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1753324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753353 */     // MIs[0] policy
     /* 1753353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11049:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1753380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753405 */     // GIR_Coverage, 10805,
     /* 1753405 */     GIR_EraseRootFromParent_Done,
     /* 1753406 */   // Label 22458: @1753406
     /* 1753406 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1753510), // Rule ID 10808 //
     /* 1753411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1753414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1753431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753457 */     // MIs[0] policy
     /* 1753457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1753484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753509 */     // GIR_Coverage, 10808,
     /* 1753509 */     GIR_EraseRootFromParent_Done,
     /* 1753510 */   // Label 22459: @1753510
     /* 1753510 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1753614), // Rule ID 10809 //
     /* 1753515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1753518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1753523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1753526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1753529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1753532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1753535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1753557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753561 */     // MIs[0] policy
     /* 1753561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11049:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1753588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1753610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753613 */     // GIR_Coverage, 10809,
     /* 1753613 */     GIR_EraseRootFromParent_Done,
     /* 1753614 */   // Label 22460: @1753614
     /* 1753614 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1753718), // Rule ID 10812 //
     /* 1753619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1753627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753665 */     // MIs[0] policy
     /* 1753665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1753692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753717 */     // GIR_Coverage, 10812,
     /* 1753717 */     GIR_EraseRootFromParent_Done,
     /* 1753718 */   // Label 22461: @1753718
     /* 1753718 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1753822), // Rule ID 10813 //
     /* 1753723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1753731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1753734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1753737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1753740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1753743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1753746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753769 */     // MIs[0] policy
     /* 1753769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1753796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753821 */     // GIR_Coverage, 10813,
     /* 1753821 */     GIR_EraseRootFromParent_Done,
     /* 1753822 */   // Label 22462: @1753822
     /* 1753822 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1753926), // Rule ID 10816 //
     /* 1753827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1753835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753873 */     // MIs[0] policy
     /* 1753873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1753897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1753900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1753914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753925 */     // GIR_Coverage, 10816,
     /* 1753925 */     GIR_EraseRootFromParent_Done,
     /* 1753926 */   // Label 22463: @1753926
     /* 1753926 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1754030), // Rule ID 10817 //
     /* 1753931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1753939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1753942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1753945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1753948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1753951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1753954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1753961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1753973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753977 */     // MIs[0] policy
     /* 1753977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1753991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1753997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1754004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754029 */     // GIR_Coverage, 10817,
     /* 1754029 */     GIR_EraseRootFromParent_Done,
     /* 1754030 */   // Label 22464: @1754030
     /* 1754030 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1754134), // Rule ID 10820 //
     /* 1754035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1754055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754081 */     // MIs[0] policy
     /* 1754081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754133 */     // GIR_Coverage, 10820,
     /* 1754133 */     GIR_EraseRootFromParent_Done,
     /* 1754134 */   // Label 22465: @1754134
     /* 1754134 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1754238), // Rule ID 10821 //
     /* 1754139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1754159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754185 */     // MIs[0] policy
     /* 1754185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754195 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754237 */     // GIR_Coverage, 10821,
     /* 1754237 */     GIR_EraseRootFromParent_Done,
     /* 1754238 */   // Label 22466: @1754238
     /* 1754238 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1754342), // Rule ID 10824 //
     /* 1754243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1754263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754289 */     // MIs[0] policy
     /* 1754289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1754316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754341 */     // GIR_Coverage, 10824,
     /* 1754341 */     GIR_EraseRootFromParent_Done,
     /* 1754342 */   // Label 22467: @1754342
     /* 1754342 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1754446), // Rule ID 10825 //
     /* 1754347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1754367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754393 */     // MIs[0] policy
     /* 1754393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1754420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754445 */     // GIR_Coverage, 10825,
     /* 1754445 */     GIR_EraseRootFromParent_Done,
     /* 1754446 */   // Label 22468: @1754446
     /* 1754446 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1754550), // Rule ID 10828 //
     /* 1754451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1754471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754497 */     // MIs[0] policy
     /* 1754497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754549 */     // GIR_Coverage, 10828,
     /* 1754549 */     GIR_EraseRootFromParent_Done,
     /* 1754550 */   // Label 22469: @1754550
     /* 1754550 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1754654), // Rule ID 10829 //
     /* 1754555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1754575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754601 */     // MIs[0] policy
     /* 1754601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754653 */     // GIR_Coverage, 10829,
     /* 1754653 */     GIR_EraseRootFromParent_Done,
     /* 1754654 */   // Label 22470: @1754654
     /* 1754654 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1754758), // Rule ID 10832 //
     /* 1754659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1754679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754705 */     // MIs[0] policy
     /* 1754705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754757 */     // GIR_Coverage, 10832,
     /* 1754757 */     GIR_EraseRootFromParent_Done,
     /* 1754758 */   // Label 22471: @1754758
     /* 1754758 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1754862), // Rule ID 10833 //
     /* 1754763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1754774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1754777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1754780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1754783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754809 */     // MIs[0] policy
     /* 1754809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1754836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754861 */     // GIR_Coverage, 10833,
     /* 1754861 */     GIR_EraseRootFromParent_Done,
     /* 1754862 */   // Label 22472: @1754862
     /* 1754862 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1754966), // Rule ID 10836 //
     /* 1754867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754913 */     // MIs[0] policy
     /* 1754913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1754927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1754933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1754937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1754940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1754954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754965 */     // GIR_Coverage, 10836,
     /* 1754965 */     GIR_EraseRootFromParent_Done,
     /* 1754966 */   // Label 22473: @1754966
     /* 1754966 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1755070), // Rule ID 10837 //
     /* 1754971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1754979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1754982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1754985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1754988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1754991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755017 */     // MIs[0] policy
     /* 1755017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755069 */     // GIR_Coverage, 10837,
     /* 1755069 */     GIR_EraseRootFromParent_Done,
     /* 1755070 */   // Label 22474: @1755070
     /* 1755070 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1755174), // Rule ID 10840 //
     /* 1755075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1755095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755121 */     // MIs[0] policy
     /* 1755121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755173 */     // GIR_Coverage, 10840,
     /* 1755173 */     GIR_EraseRootFromParent_Done,
     /* 1755174 */   // Label 22475: @1755174
     /* 1755174 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1755278), // Rule ID 10841 //
     /* 1755179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1755199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755225 */     // MIs[0] policy
     /* 1755225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755277 */     // GIR_Coverage, 10841,
     /* 1755277 */     GIR_EraseRootFromParent_Done,
     /* 1755278 */   // Label 22476: @1755278
     /* 1755278 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1755382), // Rule ID 10844 //
     /* 1755283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1755303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755329 */     // MIs[0] policy
     /* 1755329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755381 */     // GIR_Coverage, 10844,
     /* 1755381 */     GIR_EraseRootFromParent_Done,
     /* 1755382 */   // Label 22477: @1755382
     /* 1755382 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1755486), // Rule ID 10845 //
     /* 1755387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1755407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755433 */     // MIs[0] policy
     /* 1755433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755485 */     // GIR_Coverage, 10845,
     /* 1755485 */     GIR_EraseRootFromParent_Done,
     /* 1755486 */   // Label 22478: @1755486
     /* 1755486 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1755590), // Rule ID 10848 //
     /* 1755491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1755494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1755508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1755511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755537 */     // MIs[0] policy
     /* 1755537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755589 */     // GIR_Coverage, 10848,
     /* 1755589 */     GIR_EraseRootFromParent_Done,
     /* 1755590 */   // Label 22479: @1755590
     /* 1755590 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1755694), // Rule ID 10849 //
     /* 1755595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1755598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1755606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1755609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1755612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1755615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755641 */     // MIs[0] policy
     /* 1755641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1755668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1755690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755693 */     // GIR_Coverage, 10849,
     /* 1755693 */     GIR_EraseRootFromParent_Done,
     /* 1755694 */   // Label 22480: @1755694
     /* 1755694 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1755798), // Rule ID 10852 //
     /* 1755699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1755719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755745 */     // MIs[0] policy
     /* 1755745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1755772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755797 */     // GIR_Coverage, 10852,
     /* 1755797 */     GIR_EraseRootFromParent_Done,
     /* 1755798 */   // Label 22481: @1755798
     /* 1755798 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1755902), // Rule ID 10853 //
     /* 1755803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1755823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755849 */     // MIs[0] policy
     /* 1755849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1755876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755901 */     // GIR_Coverage, 10853,
     /* 1755901 */     GIR_EraseRootFromParent_Done,
     /* 1755902 */   // Label 22482: @1755902
     /* 1755902 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1756006), // Rule ID 10856 //
     /* 1755907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1755915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1755918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1755921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1755924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1755927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1755930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1755937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1755949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755953 */     // MIs[0] policy
     /* 1755953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1755967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1755973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1755977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1755980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1755994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756005 */     // GIR_Coverage, 10856,
     /* 1756005 */     GIR_EraseRootFromParent_Done,
     /* 1756006 */   // Label 22483: @1756006
     /* 1756006 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1756110), // Rule ID 10857 //
     /* 1756011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1756022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1756025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1756028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1756031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756057 */     // MIs[0] policy
     /* 1756057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1756084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756109 */     // GIR_Coverage, 10857,
     /* 1756109 */     GIR_EraseRootFromParent_Done,
     /* 1756110 */   // Label 22484: @1756110
     /* 1756110 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1756214), // Rule ID 10860 //
     /* 1756115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1756135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756161 */     // MIs[0] policy
     /* 1756161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1756188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756213 */     // GIR_Coverage, 10860,
     /* 1756213 */     GIR_EraseRootFromParent_Done,
     /* 1756214 */   // Label 22485: @1756214
     /* 1756214 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1756318), // Rule ID 10861 //
     /* 1756219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1756239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756265 */     // MIs[0] policy
     /* 1756265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756275 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1756292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756317 */     // GIR_Coverage, 10861,
     /* 1756317 */     GIR_EraseRootFromParent_Done,
     /* 1756318 */   // Label 22486: @1756318
     /* 1756318 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1756422), // Rule ID 10864 //
     /* 1756323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1756343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756369 */     // MIs[0] policy
     /* 1756369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756379 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1756396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756421 */     // GIR_Coverage, 10864,
     /* 1756421 */     GIR_EraseRootFromParent_Done,
     /* 1756422 */   // Label 22487: @1756422
     /* 1756422 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1756526), // Rule ID 10865 //
     /* 1756427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1756447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756473 */     // MIs[0] policy
     /* 1756473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1756500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756525 */     // GIR_Coverage, 10865,
     /* 1756525 */     GIR_EraseRootFromParent_Done,
     /* 1756526 */   // Label 22488: @1756526
     /* 1756526 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1756630), // Rule ID 10868 //
     /* 1756531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1756551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756577 */     // MIs[0] policy
     /* 1756577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1756604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756629 */     // GIR_Coverage, 10868,
     /* 1756629 */     GIR_EraseRootFromParent_Done,
     /* 1756630 */   // Label 22489: @1756630
     /* 1756630 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1756734), // Rule ID 10869 //
     /* 1756635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1756655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756681 */     // MIs[0] policy
     /* 1756681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1756708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756733 */     // GIR_Coverage, 10869,
     /* 1756733 */     GIR_EraseRootFromParent_Done,
     /* 1756734 */   // Label 22490: @1756734
     /* 1756734 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1756838), // Rule ID 10872 //
     /* 1756739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1756759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756785 */     // MIs[0] policy
     /* 1756785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1756812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756837 */     // GIR_Coverage, 10872,
     /* 1756837 */     GIR_EraseRootFromParent_Done,
     /* 1756838 */   // Label 22491: @1756838
     /* 1756838 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1756942), // Rule ID 10873 //
     /* 1756843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1756863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756889 */     // MIs[0] policy
     /* 1756889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1756903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1756909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1756913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1756916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1756930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756941 */     // GIR_Coverage, 10873,
     /* 1756941 */     GIR_EraseRootFromParent_Done,
     /* 1756942 */   // Label 22492: @1756942
     /* 1756942 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1757046), // Rule ID 10876 //
     /* 1756947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1756955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1756967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756993 */     // MIs[0] policy
     /* 1756993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1757020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757045 */     // GIR_Coverage, 10876,
     /* 1757045 */     GIR_EraseRootFromParent_Done,
     /* 1757046 */   // Label 22493: @1757046
     /* 1757046 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1757150), // Rule ID 10877 //
     /* 1757051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1757062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1757065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1757068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1757071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757097 */     // MIs[0] policy
     /* 1757097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1757124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757149 */     // GIR_Coverage, 10877,
     /* 1757149 */     GIR_EraseRootFromParent_Done,
     /* 1757150 */   // Label 22494: @1757150
     /* 1757150 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1757254), // Rule ID 10880 //
     /* 1757155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1757172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1757175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757201 */     // MIs[0] policy
     /* 1757201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1757228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757253 */     // GIR_Coverage, 10880,
     /* 1757253 */     GIR_EraseRootFromParent_Done,
     /* 1757254 */   // Label 22495: @1757254
     /* 1757254 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1757358), // Rule ID 10881 //
     /* 1757259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1757276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1757279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757305 */     // MIs[0] policy
     /* 1757305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1757332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757357 */     // GIR_Coverage, 10881,
     /* 1757357 */     GIR_EraseRootFromParent_Done,
     /* 1757358 */   // Label 22496: @1757358
     /* 1757358 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1757462), // Rule ID 10884 //
     /* 1757363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1757383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757409 */     // MIs[0] policy
     /* 1757409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1757436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757461 */     // GIR_Coverage, 10884,
     /* 1757461 */     GIR_EraseRootFromParent_Done,
     /* 1757462 */   // Label 22497: @1757462
     /* 1757462 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1757566), // Rule ID 10885 //
     /* 1757467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1757487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757513 */     // MIs[0] policy
     /* 1757513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1757540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757565 */     // GIR_Coverage, 10885,
     /* 1757565 */     GIR_EraseRootFromParent_Done,
     /* 1757566 */   // Label 22498: @1757566
     /* 1757566 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1757670), // Rule ID 10888 //
     /* 1757571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1757574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1757582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1757585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1757588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1757591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757617 */     // MIs[0] policy
     /* 1757617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1757644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757669 */     // GIR_Coverage, 10888,
     /* 1757669 */     GIR_EraseRootFromParent_Done,
     /* 1757670 */   // Label 22499: @1757670
     /* 1757670 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1757774), // Rule ID 10889 //
     /* 1757675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1757678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1757686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1757689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1757692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1757695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1757705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1757717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757721 */     // MIs[0] policy
     /* 1757721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1757748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757773 */     // GIR_Coverage, 10889,
     /* 1757773 */     GIR_EraseRootFromParent_Done,
     /* 1757774 */   // Label 22500: @1757774
     /* 1757774 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1757878), // Rule ID 10892 //
     /* 1757779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1757782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1757790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1757793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1757796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1757799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757825 */     // MIs[0] policy
     /* 1757825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1757852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757877 */     // GIR_Coverage, 10892,
     /* 1757877 */     GIR_EraseRootFromParent_Done,
     /* 1757878 */   // Label 22501: @1757878
     /* 1757878 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1757982), // Rule ID 10893 //
     /* 1757883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1757886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1757894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1757897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1757900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1757903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757929 */     // MIs[0] policy
     /* 1757929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1757943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1757949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1757953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1757956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1757970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1757978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757981 */     // GIR_Coverage, 10893,
     /* 1757981 */     GIR_EraseRootFromParent_Done,
     /* 1757982 */   // Label 22502: @1757982
     /* 1757982 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1758086), // Rule ID 10896 //
     /* 1757987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1757990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1757995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1757998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1758007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758033 */     // MIs[0] policy
     /* 1758033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1758060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758085 */     // GIR_Coverage, 10896,
     /* 1758085 */     GIR_EraseRootFromParent_Done,
     /* 1758086 */   // Label 22503: @1758086
     /* 1758086 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1758190), // Rule ID 10897 //
     /* 1758091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1758094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1758102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1758105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1758108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1758111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1758121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1758133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758137 */     // MIs[0] policy
     /* 1758137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1758164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1758186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758189 */     // GIR_Coverage, 10897,
     /* 1758189 */     GIR_EraseRootFromParent_Done,
     /* 1758190 */   // Label 22504: @1758190
     /* 1758190 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1758294), // Rule ID 10900 //
     /* 1758195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1758206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1758209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1758212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758241 */     // MIs[0] policy
     /* 1758241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1758268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758293 */     // GIR_Coverage, 10900,
     /* 1758293 */     GIR_EraseRootFromParent_Done,
     /* 1758294 */   // Label 22505: @1758294
     /* 1758294 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1758398), // Rule ID 10901 //
     /* 1758299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1758310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1758313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1758316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758345 */     // MIs[0] policy
     /* 1758345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1758372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758397 */     // GIR_Coverage, 10901,
     /* 1758397 */     GIR_EraseRootFromParent_Done,
     /* 1758398 */   // Label 22506: @1758398
     /* 1758398 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1758502), // Rule ID 10904 //
     /* 1758403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1758414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1758417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1758420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758449 */     // MIs[0] policy
     /* 1758449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1758476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758501 */     // GIR_Coverage, 10904,
     /* 1758501 */     GIR_EraseRootFromParent_Done,
     /* 1758502 */   // Label 22507: @1758502
     /* 1758502 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1758606), // Rule ID 10905 //
     /* 1758507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1758518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1758521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1758524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758553 */     // MIs[0] policy
     /* 1758553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1758580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758605 */     // GIR_Coverage, 10905,
     /* 1758605 */     GIR_EraseRootFromParent_Done,
     /* 1758606 */   // Label 22508: @1758606
     /* 1758606 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1758710), // Rule ID 10908 //
     /* 1758611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1758622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1758625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1758628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758657 */     // MIs[0] policy
     /* 1758657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1758684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758709 */     // GIR_Coverage, 10908,
     /* 1758709 */     GIR_EraseRootFromParent_Done,
     /* 1758710 */   // Label 22509: @1758710
     /* 1758710 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1758814), // Rule ID 10909 //
     /* 1758715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1758726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1758729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1758732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758761 */     // MIs[0] policy
     /* 1758761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1758788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758813 */     // GIR_Coverage, 10909,
     /* 1758813 */     GIR_EraseRootFromParent_Done,
     /* 1758814 */   // Label 22510: @1758814
     /* 1758814 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1758918), // Rule ID 10912 //
     /* 1758819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1758830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1758833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1758836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1758839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758865 */     // MIs[0] policy
     /* 1758865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1758892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1758906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758917 */     // GIR_Coverage, 10912,
     /* 1758917 */     GIR_EraseRootFromParent_Done,
     /* 1758918 */   // Label 22511: @1758918
     /* 1758918 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1759022), // Rule ID 10913 //
     /* 1758923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1758931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1758934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1758937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1758940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1758943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1758965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758969 */     // MIs[0] policy
     /* 1758969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1758983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1758989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1758993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1758996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759021 */     // GIR_Coverage, 10913,
     /* 1759021 */     GIR_EraseRootFromParent_Done,
     /* 1759022 */   // Label 22512: @1759022
     /* 1759022 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1759126), // Rule ID 10916 //
     /* 1759027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759073 */     // MIs[0] policy
     /* 1759073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1759100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759125 */     // GIR_Coverage, 10916,
     /* 1759125 */     GIR_EraseRootFromParent_Done,
     /* 1759126 */   // Label 22513: @1759126
     /* 1759126 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1759230), // Rule ID 10917 //
     /* 1759131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1759142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1759145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1759148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759177 */     // MIs[0] policy
     /* 1759177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1759204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759229 */     // GIR_Coverage, 10917,
     /* 1759229 */     GIR_EraseRootFromParent_Done,
     /* 1759230 */   // Label 22514: @1759230
     /* 1759230 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1759334), // Rule ID 10920 //
     /* 1759235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759281 */     // MIs[0] policy
     /* 1759281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1759308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759333 */     // GIR_Coverage, 10920,
     /* 1759333 */     GIR_EraseRootFromParent_Done,
     /* 1759334 */   // Label 22515: @1759334
     /* 1759334 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1759438), // Rule ID 10921 //
     /* 1759339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1759350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1759353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1759356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1759362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759385 */     // MIs[0] policy
     /* 1759385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1759412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759437 */     // GIR_Coverage, 10921,
     /* 1759437 */     GIR_EraseRootFromParent_Done,
     /* 1759438 */   // Label 22516: @1759438
     /* 1759438 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1759542), // Rule ID 10924 //
     /* 1759443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1759454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1759457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1759460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759489 */     // MIs[0] policy
     /* 1759489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1759516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759541 */     // GIR_Coverage, 10924,
     /* 1759541 */     GIR_EraseRootFromParent_Done,
     /* 1759542 */   // Label 22517: @1759542
     /* 1759542 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1759646), // Rule ID 10925 //
     /* 1759547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1759558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1759561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1759564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759593 */     // MIs[0] policy
     /* 1759593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11104:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1759620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759645 */     // GIR_Coverage, 10925,
     /* 1759645 */     GIR_EraseRootFromParent_Done,
     /* 1759646 */   // Label 22518: @1759646
     /* 1759646 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1759750), // Rule ID 10928 //
     /* 1759651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1759662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1759665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1759668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759697 */     // MIs[0] policy
     /* 1759697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1759724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759749 */     // GIR_Coverage, 10928,
     /* 1759749 */     GIR_EraseRootFromParent_Done,
     /* 1759750 */   // Label 22519: @1759750
     /* 1759750 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1759854), // Rule ID 10929 //
     /* 1759755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1759766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1759769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1759772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759801 */     // MIs[0] policy
     /* 1759801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11104:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1759828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759853 */     // GIR_Coverage, 10929,
     /* 1759853 */     GIR_EraseRootFromParent_Done,
     /* 1759854 */   // Label 22520: @1759854
     /* 1759854 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1759958), // Rule ID 10932 //
     /* 1759859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1759870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1759873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1759876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1759879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1759901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759905 */     // MIs[0] policy
     /* 1759905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1759919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1759925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1759929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1759932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1759946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1759954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759957 */     // GIR_Coverage, 10932,
     /* 1759957 */     GIR_EraseRootFromParent_Done,
     /* 1759958 */   // Label 22521: @1759958
     /* 1759958 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1760062), // Rule ID 10933 //
     /* 1759963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1759971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1759974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1759977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1759980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1759983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1759986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1759993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1759997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760009 */     // MIs[0] policy
     /* 1760009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1760036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760061 */     // GIR_Coverage, 10933,
     /* 1760061 */     GIR_EraseRootFromParent_Done,
     /* 1760062 */   // Label 22522: @1760062
     /* 1760062 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1760166), // Rule ID 10936 //
     /* 1760067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1760070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760113 */     // MIs[0] policy
     /* 1760113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1760140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760165 */     // GIR_Coverage, 10936,
     /* 1760165 */     GIR_EraseRootFromParent_Done,
     /* 1760166 */   // Label 22523: @1760166
     /* 1760166 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1760270), // Rule ID 10937 //
     /* 1760171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1760174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1760182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1760185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1760188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760217 */     // MIs[0] policy
     /* 1760217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11104:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1760244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1760266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760269 */     // GIR_Coverage, 10937,
     /* 1760269 */     GIR_EraseRootFromParent_Done,
     /* 1760270 */   // Label 22524: @1760270
     /* 1760270 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1760374), // Rule ID 10940 //
     /* 1760275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760321 */     // MIs[0] policy
     /* 1760321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1760348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760373 */     // GIR_Coverage, 10940,
     /* 1760373 */     GIR_EraseRootFromParent_Done,
     /* 1760374 */   // Label 22525: @1760374
     /* 1760374 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1760478), // Rule ID 10941 //
     /* 1760379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1760390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1760393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1760396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760425 */     // MIs[0] policy
     /* 1760425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1760452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760477 */     // GIR_Coverage, 10941,
     /* 1760477 */     GIR_EraseRootFromParent_Done,
     /* 1760478 */   // Label 22526: @1760478
     /* 1760478 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1760582), // Rule ID 10944 //
     /* 1760483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760529 */     // MIs[0] policy
     /* 1760529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1760556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760581 */     // GIR_Coverage, 10944,
     /* 1760581 */     GIR_EraseRootFromParent_Done,
     /* 1760582 */   // Label 22527: @1760582
     /* 1760582 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1760686), // Rule ID 10945 //
     /* 1760587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1760598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1760601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1760604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1760610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760633 */     // MIs[0] policy
     /* 1760633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1760660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760685 */     // GIR_Coverage, 10945,
     /* 1760685 */     GIR_EraseRootFromParent_Done,
     /* 1760686 */   // Label 22528: @1760686
     /* 1760686 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1760790), // Rule ID 10948 //
     /* 1760691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760737 */     // MIs[0] policy
     /* 1760737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1760764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760789 */     // GIR_Coverage, 10948,
     /* 1760789 */     GIR_EraseRootFromParent_Done,
     /* 1760790 */   // Label 22529: @1760790
     /* 1760790 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1760894), // Rule ID 10949 //
     /* 1760795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1760806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1760809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1760812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1760818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760841 */     // MIs[0] policy
     /* 1760841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1760868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760893 */     // GIR_Coverage, 10949,
     /* 1760893 */     GIR_EraseRootFromParent_Done,
     /* 1760894 */   // Label 22530: @1760894
     /* 1760894 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1760998), // Rule ID 10952 //
     /* 1760899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1760907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1760910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1760913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1760916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760945 */     // MIs[0] policy
     /* 1760945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1760959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1760965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1760969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1760972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1760986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1760994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760997 */     // GIR_Coverage, 10952,
     /* 1760997 */     GIR_EraseRootFromParent_Done,
     /* 1760998 */   // Label 22531: @1760998
     /* 1760998 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1761102), // Rule ID 10953 //
     /* 1761003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1761014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1761017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1761020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761049 */     // MIs[0] policy
     /* 1761049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1761076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761101 */     // GIR_Coverage, 10953,
     /* 1761101 */     GIR_EraseRootFromParent_Done,
     /* 1761102 */   // Label 22532: @1761102
     /* 1761102 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1761206), // Rule ID 10956 //
     /* 1761107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761153 */     // MIs[0] policy
     /* 1761153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1761180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761205 */     // GIR_Coverage, 10956,
     /* 1761205 */     GIR_EraseRootFromParent_Done,
     /* 1761206 */   // Label 22533: @1761206
     /* 1761206 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1761310), // Rule ID 10957 //
     /* 1761211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1761222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1761225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1761228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761257 */     // MIs[0] policy
     /* 1761257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1761284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761309 */     // GIR_Coverage, 10957,
     /* 1761309 */     GIR_EraseRootFromParent_Done,
     /* 1761310 */   // Label 22534: @1761310
     /* 1761310 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1761414), // Rule ID 10960 //
     /* 1761315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761361 */     // MIs[0] policy
     /* 1761361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1761388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761413 */     // GIR_Coverage, 10960,
     /* 1761413 */     GIR_EraseRootFromParent_Done,
     /* 1761414 */   // Label 22535: @1761414
     /* 1761414 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1761518), // Rule ID 10961 //
     /* 1761419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1761430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1761433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1761436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1761442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761465 */     // MIs[0] policy
     /* 1761465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1761492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761517 */     // GIR_Coverage, 10961,
     /* 1761517 */     GIR_EraseRootFromParent_Done,
     /* 1761518 */   // Label 22536: @1761518
     /* 1761518 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1761622), // Rule ID 10964 //
     /* 1761523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761569 */     // MIs[0] policy
     /* 1761569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1761596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761621 */     // GIR_Coverage, 10964,
     /* 1761621 */     GIR_EraseRootFromParent_Done,
     /* 1761622 */   // Label 22537: @1761622
     /* 1761622 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1761726), // Rule ID 10965 //
     /* 1761627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1761638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1761641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1761644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1761657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1761665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761673 */     // MIs[0] policy
     /* 1761673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1761700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761725 */     // GIR_Coverage, 10965,
     /* 1761725 */     GIR_EraseRootFromParent_Done,
     /* 1761726 */   // Label 22538: @1761726
     /* 1761726 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1761830), // Rule ID 10968 //
     /* 1761731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761777 */     // MIs[0] policy
     /* 1761777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1761804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761829 */     // GIR_Coverage, 10968,
     /* 1761829 */     GIR_EraseRootFromParent_Done,
     /* 1761830 */   // Label 22539: @1761830
     /* 1761830 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1761934), // Rule ID 10969 //
     /* 1761835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1761846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1761849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1761852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1761865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1761873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761881 */     // MIs[0] policy
     /* 1761881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1761901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1761905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1761908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1761922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761933 */     // GIR_Coverage, 10969,
     /* 1761933 */     GIR_EraseRootFromParent_Done,
     /* 1761934 */   // Label 22540: @1761934
     /* 1761934 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1762038), // Rule ID 10972 //
     /* 1761939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1761947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1761950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1761953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1761956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1761962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1761969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1761977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761985 */     // MIs[0] policy
     /* 1761985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1761999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1762012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762037 */     // GIR_Coverage, 10972,
     /* 1762037 */     GIR_EraseRootFromParent_Done,
     /* 1762038 */   // Label 22541: @1762038
     /* 1762038 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1762142), // Rule ID 10973 //
     /* 1762043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1762054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1762057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1762060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762089 */     // MIs[0] policy
     /* 1762089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1762116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762141 */     // GIR_Coverage, 10973,
     /* 1762141 */     GIR_EraseRootFromParent_Done,
     /* 1762142 */   // Label 22542: @1762142
     /* 1762142 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1762246), // Rule ID 10976 //
     /* 1762147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762193 */     // MIs[0] policy
     /* 1762193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1762220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762245 */     // GIR_Coverage, 10976,
     /* 1762245 */     GIR_EraseRootFromParent_Done,
     /* 1762246 */   // Label 22543: @1762246
     /* 1762246 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1762350), // Rule ID 10977 //
     /* 1762251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1762262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1762265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1762268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1762274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762297 */     // MIs[0] policy
     /* 1762297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1762324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762349 */     // GIR_Coverage, 10977,
     /* 1762349 */     GIR_EraseRootFromParent_Done,
     /* 1762350 */   // Label 22544: @1762350
     /* 1762350 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1762454), // Rule ID 10980 //
     /* 1762355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762401 */     // MIs[0] policy
     /* 1762401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1762428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762453 */     // GIR_Coverage, 10980,
     /* 1762453 */     GIR_EraseRootFromParent_Done,
     /* 1762454 */   // Label 22545: @1762454
     /* 1762454 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1762558), // Rule ID 10981 //
     /* 1762459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1762470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1762473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1762476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1762482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762505 */     // MIs[0] policy
     /* 1762505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1762532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762557 */     // GIR_Coverage, 10981,
     /* 1762557 */     GIR_EraseRootFromParent_Done,
     /* 1762558 */   // Label 22546: @1762558
     /* 1762558 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1762662), // Rule ID 10984 //
     /* 1762563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1762566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762609 */     // MIs[0] policy
     /* 1762609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1762636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762661 */     // GIR_Coverage, 10984,
     /* 1762661 */     GIR_EraseRootFromParent_Done,
     /* 1762662 */   // Label 22547: @1762662
     /* 1762662 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1762766), // Rule ID 10985 //
     /* 1762667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1762670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1762675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1762678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1762681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1762684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762713 */     // MIs[0] policy
     /* 1762713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1762740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1762762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762765 */     // GIR_Coverage, 10985,
     /* 1762765 */     GIR_EraseRootFromParent_Done,
     /* 1762766 */   // Label 22548: @1762766
     /* 1762766 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1762870), // Rule ID 10988 //
     /* 1762771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1762779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762817 */     // MIs[0] policy
     /* 1762817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1762844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762869 */     // GIR_Coverage, 10988,
     /* 1762869 */     GIR_EraseRootFromParent_Done,
     /* 1762870 */   // Label 22549: @1762870
     /* 1762870 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1762974), // Rule ID 10989 //
     /* 1762875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1762883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1762886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1762889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1762892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1762895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1762898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1762905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1762917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762921 */     // MIs[0] policy
     /* 1762921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1762935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1762941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1762945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1762948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1762962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762973 */     // GIR_Coverage, 10989,
     /* 1762973 */     GIR_EraseRootFromParent_Done,
     /* 1762974 */   // Label 22550: @1762974
     /* 1762974 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1763078), // Rule ID 10992 //
     /* 1762979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1762987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1762990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1762993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1762996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1762999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763025 */     // MIs[0] policy
     /* 1763025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1763052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763077 */     // GIR_Coverage, 10992,
     /* 1763077 */     GIR_EraseRootFromParent_Done,
     /* 1763078 */   // Label 22551: @1763078
     /* 1763078 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1763182), // Rule ID 10993 //
     /* 1763083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763129 */     // MIs[0] policy
     /* 1763129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1763156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763181 */     // GIR_Coverage, 10993,
     /* 1763181 */     GIR_EraseRootFromParent_Done,
     /* 1763182 */   // Label 22552: @1763182
     /* 1763182 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1763286), // Rule ID 10996 //
     /* 1763187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763233 */     // MIs[0] policy
     /* 1763233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763285 */     // GIR_Coverage, 10996,
     /* 1763285 */     GIR_EraseRootFromParent_Done,
     /* 1763286 */   // Label 22553: @1763286
     /* 1763286 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1763390), // Rule ID 10997 //
     /* 1763291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763337 */     // MIs[0] policy
     /* 1763337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763389 */     // GIR_Coverage, 10997,
     /* 1763389 */     GIR_EraseRootFromParent_Done,
     /* 1763390 */   // Label 22554: @1763390
     /* 1763390 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1763494), // Rule ID 11000 //
     /* 1763395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763441 */     // MIs[0] policy
     /* 1763441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1763468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763493 */     // GIR_Coverage, 11000,
     /* 1763493 */     GIR_EraseRootFromParent_Done,
     /* 1763494 */   // Label 22555: @1763494
     /* 1763494 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1763598), // Rule ID 11001 //
     /* 1763499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1763510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1763513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1763516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1763519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763545 */     // MIs[0] policy
     /* 1763545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1763572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763597 */     // GIR_Coverage, 11001,
     /* 1763597 */     GIR_EraseRootFromParent_Done,
     /* 1763598 */   // Label 22556: @1763598
     /* 1763598 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1763702), // Rule ID 11004 //
     /* 1763603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763649 */     // MIs[0] policy
     /* 1763649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763701 */     // GIR_Coverage, 11004,
     /* 1763701 */     GIR_EraseRootFromParent_Done,
     /* 1763702 */   // Label 22557: @1763702
     /* 1763702 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1763806), // Rule ID 11005 //
     /* 1763707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1763718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1763721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1763724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1763727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763753 */     // MIs[0] policy
     /* 1763753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763805 */     // GIR_Coverage, 11005,
     /* 1763805 */     GIR_EraseRootFromParent_Done,
     /* 1763806 */   // Label 22558: @1763806
     /* 1763806 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1763910), // Rule ID 11008 //
     /* 1763811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763857 */     // MIs[0] policy
     /* 1763857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1763898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763909 */     // GIR_Coverage, 11008,
     /* 1763909 */     GIR_EraseRootFromParent_Done,
     /* 1763910 */   // Label 22559: @1763910
     /* 1763910 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1764014), // Rule ID 11009 //
     /* 1763915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1763923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1763926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1763929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1763932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1763935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763961 */     // MIs[0] policy
     /* 1763961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1763975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1763981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1763985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1763988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764013 */     // GIR_Coverage, 11009,
     /* 1764013 */     GIR_EraseRootFromParent_Done,
     /* 1764014 */   // Label 22560: @1764014
     /* 1764014 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1764118), // Rule ID 11012 //
     /* 1764019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764065 */     // MIs[0] policy
     /* 1764065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764117 */     // GIR_Coverage, 11012,
     /* 1764117 */     GIR_EraseRootFromParent_Done,
     /* 1764118 */   // Label 22561: @1764118
     /* 1764118 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1764222), // Rule ID 11013 //
     /* 1764123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764169 */     // MIs[0] policy
     /* 1764169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764179 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764221 */     // GIR_Coverage, 11013,
     /* 1764221 */     GIR_EraseRootFromParent_Done,
     /* 1764222 */   // Label 22562: @1764222
     /* 1764222 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1764326), // Rule ID 11016 //
     /* 1764227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764273 */     // MIs[0] policy
     /* 1764273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764325 */     // GIR_Coverage, 11016,
     /* 1764325 */     GIR_EraseRootFromParent_Done,
     /* 1764326 */   // Label 22563: @1764326
     /* 1764326 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1764430), // Rule ID 11017 //
     /* 1764331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764377 */     // MIs[0] policy
     /* 1764377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764429 */     // GIR_Coverage, 11017,
     /* 1764429 */     GIR_EraseRootFromParent_Done,
     /* 1764430 */   // Label 22564: @1764430
     /* 1764430 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1764534), // Rule ID 11020 //
     /* 1764435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764481 */     // MIs[0] policy
     /* 1764481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764533 */     // GIR_Coverage, 11020,
     /* 1764533 */     GIR_EraseRootFromParent_Done,
     /* 1764534 */   // Label 22565: @1764534
     /* 1764534 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1764638), // Rule ID 11021 //
     /* 1764539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764585 */     // MIs[0] policy
     /* 1764585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1764612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764637 */     // GIR_Coverage, 11021,
     /* 1764637 */     GIR_EraseRootFromParent_Done,
     /* 1764638 */   // Label 22566: @1764638
     /* 1764638 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1764742), // Rule ID 11024 //
     /* 1764643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764689 */     // MIs[0] policy
     /* 1764689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1764716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764741 */     // GIR_Coverage, 11024,
     /* 1764741 */     GIR_EraseRootFromParent_Done,
     /* 1764742 */   // Label 22567: @1764742
     /* 1764742 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1764846), // Rule ID 11025 //
     /* 1764747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1764758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1764761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1764764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1764767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1764770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1764777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1764789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764793 */     // MIs[0] policy
     /* 1764793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764803 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1764820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764845 */     // GIR_Coverage, 11025,
     /* 1764845 */     GIR_EraseRootFromParent_Done,
     /* 1764846 */   // Label 22568: @1764846
     /* 1764846 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1764950), // Rule ID 11028 //
     /* 1764851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764897 */     // MIs[0] policy
     /* 1764897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764907 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1764911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1764917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1764921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1764924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1764938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764949 */     // GIR_Coverage, 11028,
     /* 1764949 */     GIR_EraseRootFromParent_Done,
     /* 1764950 */   // Label 22569: @1764950
     /* 1764950 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1765054), // Rule ID 11029 //
     /* 1764955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1764963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1764966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1764969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1764972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1764975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1764978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1764985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1764997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765001 */     // MIs[0] policy
     /* 1765001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765011 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765053 */     // GIR_Coverage, 11029,
     /* 1765053 */     GIR_EraseRootFromParent_Done,
     /* 1765054 */   // Label 22570: @1765054
     /* 1765054 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1765158), // Rule ID 11032 //
     /* 1765059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765105 */     // MIs[0] policy
     /* 1765105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765115 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765157 */     // GIR_Coverage, 11032,
     /* 1765157 */     GIR_EraseRootFromParent_Done,
     /* 1765158 */   // Label 22571: @1765158
     /* 1765158 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1765262), // Rule ID 11033 //
     /* 1765163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765209 */     // MIs[0] policy
     /* 1765209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765219 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765261 */     // GIR_Coverage, 11033,
     /* 1765261 */     GIR_EraseRootFromParent_Done,
     /* 1765262 */   // Label 22572: @1765262
     /* 1765262 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1765366), // Rule ID 11036 //
     /* 1765267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765313 */     // MIs[0] policy
     /* 1765313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765323 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765365 */     // GIR_Coverage, 11036,
     /* 1765365 */     GIR_EraseRootFromParent_Done,
     /* 1765366 */   // Label 22573: @1765366
     /* 1765366 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1765470), // Rule ID 11037 //
     /* 1765371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765417 */     // MIs[0] policy
     /* 1765417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765427 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765469 */     // GIR_Coverage, 11037,
     /* 1765469 */     GIR_EraseRootFromParent_Done,
     /* 1765470 */   // Label 22574: @1765470
     /* 1765470 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1765574), // Rule ID 11040 //
     /* 1765475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765521 */     // MIs[0] policy
     /* 1765521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765531 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765573 */     // GIR_Coverage, 11040,
     /* 1765573 */     GIR_EraseRootFromParent_Done,
     /* 1765574 */   // Label 22575: @1765574
     /* 1765574 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1765678), // Rule ID 11041 //
     /* 1765579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765625 */     // MIs[0] policy
     /* 1765625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765635 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1765652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765677 */     // GIR_Coverage, 11041,
     /* 1765677 */     GIR_EraseRootFromParent_Done,
     /* 1765678 */   // Label 22576: @1765678
     /* 1765678 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1765782), // Rule ID 11044 //
     /* 1765683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765729 */     // MIs[0] policy
     /* 1765729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765781 */     // GIR_Coverage, 11044,
     /* 1765781 */     GIR_EraseRootFromParent_Done,
     /* 1765782 */   // Label 22577: @1765782
     /* 1765782 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1765886), // Rule ID 11045 //
     /* 1765787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765833 */     // MIs[0] policy
     /* 1765833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765843 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1765860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765885 */     // GIR_Coverage, 11045,
     /* 1765885 */     GIR_EraseRootFromParent_Done,
     /* 1765886 */   // Label 22578: @1765886
     /* 1765886 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1765990), // Rule ID 11048 //
     /* 1765891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1765899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1765902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1765905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1765908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1765911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1765914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765937 */     // MIs[0] policy
     /* 1765937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1765951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1765957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1765961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1765964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1765978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765989 */     // GIR_Coverage, 11048,
     /* 1765989 */     GIR_EraseRootFromParent_Done,
     /* 1765990 */   // Label 22579: @1765990
     /* 1765990 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1766094), // Rule ID 11049 //
     /* 1765995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1766006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1766009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1766012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1766015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766041 */     // MIs[0] policy
     /* 1766041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766051 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1766068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766093 */     // GIR_Coverage, 11049,
     /* 1766093 */     GIR_EraseRootFromParent_Done,
     /* 1766094 */   // Label 22580: @1766094
     /* 1766094 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1766198), // Rule ID 11052 //
     /* 1766099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1766110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1766113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1766116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1766119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766145 */     // MIs[0] policy
     /* 1766145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1766172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766197 */     // GIR_Coverage, 11052,
     /* 1766197 */     GIR_EraseRootFromParent_Done,
     /* 1766198 */   // Label 22581: @1766198
     /* 1766198 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1766302), // Rule ID 11053 //
     /* 1766203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1766214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1766217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1766220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1766223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766249 */     // MIs[0] policy
     /* 1766249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766259 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1766276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766301 */     // GIR_Coverage, 11053,
     /* 1766301 */     GIR_EraseRootFromParent_Done,
     /* 1766302 */   // Label 22582: @1766302
     /* 1766302 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1766406), // Rule ID 11056 //
     /* 1766307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766353 */     // MIs[0] policy
     /* 1766353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1766380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766405 */     // GIR_Coverage, 11056,
     /* 1766405 */     GIR_EraseRootFromParent_Done,
     /* 1766406 */   // Label 22583: @1766406
     /* 1766406 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1766510), // Rule ID 11057 //
     /* 1766411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766457 */     // MIs[0] policy
     /* 1766457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766467 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1766484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766509 */     // GIR_Coverage, 11057,
     /* 1766509 */     GIR_EraseRootFromParent_Done,
     /* 1766510 */   // Label 22584: @1766510
     /* 1766510 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1766614), // Rule ID 11060 //
     /* 1766515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766561 */     // MIs[0] policy
     /* 1766561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1766588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766613 */     // GIR_Coverage, 11060,
     /* 1766613 */     GIR_EraseRootFromParent_Done,
     /* 1766614 */   // Label 22585: @1766614
     /* 1766614 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1766718), // Rule ID 11061 //
     /* 1766619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766665 */     // MIs[0] policy
     /* 1766665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1766692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766717 */     // GIR_Coverage, 11061,
     /* 1766717 */     GIR_EraseRootFromParent_Done,
     /* 1766718 */   // Label 22586: @1766718
     /* 1766718 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1766822), // Rule ID 11064 //
     /* 1766723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766769 */     // MIs[0] policy
     /* 1766769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1766796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766821 */     // GIR_Coverage, 11064,
     /* 1766821 */     GIR_EraseRootFromParent_Done,
     /* 1766822 */   // Label 22587: @1766822
     /* 1766822 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1766926), // Rule ID 11065 //
     /* 1766827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766873 */     // MIs[0] policy
     /* 1766873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1766897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1766900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1766914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766925 */     // GIR_Coverage, 11065,
     /* 1766925 */     GIR_EraseRootFromParent_Done,
     /* 1766926 */   // Label 22588: @1766926
     /* 1766926 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1767030), // Rule ID 11068 //
     /* 1766931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1766939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1766942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1766945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1766948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766977 */     // MIs[0] policy
     /* 1766977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1766991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1766997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767029 */     // GIR_Coverage, 11068,
     /* 1767029 */     GIR_EraseRootFromParent_Done,
     /* 1767030 */   // Label 22589: @1767030
     /* 1767030 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1767134), // Rule ID 11069 //
     /* 1767035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767081 */     // MIs[0] policy
     /* 1767081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767133 */     // GIR_Coverage, 11069,
     /* 1767133 */     GIR_EraseRootFromParent_Done,
     /* 1767134 */   // Label 22590: @1767134
     /* 1767134 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1767238), // Rule ID 11072 //
     /* 1767139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767185 */     // MIs[0] policy
     /* 1767185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767195 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1767212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767237 */     // GIR_Coverage, 11072,
     /* 1767237 */     GIR_EraseRootFromParent_Done,
     /* 1767238 */   // Label 22591: @1767238
     /* 1767238 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1767342), // Rule ID 11073 //
     /* 1767243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767289 */     // MIs[0] policy
     /* 1767289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1767316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767341 */     // GIR_Coverage, 11073,
     /* 1767341 */     GIR_EraseRootFromParent_Done,
     /* 1767342 */   // Label 22592: @1767342
     /* 1767342 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1767446), // Rule ID 11076 //
     /* 1767347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767393 */     // MIs[0] policy
     /* 1767393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767403 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767445 */     // GIR_Coverage, 11076,
     /* 1767445 */     GIR_EraseRootFromParent_Done,
     /* 1767446 */   // Label 22593: @1767446
     /* 1767446 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1767550), // Rule ID 11077 //
     /* 1767451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767497 */     // MIs[0] policy
     /* 1767497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767549 */     // GIR_Coverage, 11077,
     /* 1767549 */     GIR_EraseRootFromParent_Done,
     /* 1767550 */   // Label 22594: @1767550
     /* 1767550 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1767654), // Rule ID 11080 //
     /* 1767555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767601 */     // MIs[0] policy
     /* 1767601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767653 */     // GIR_Coverage, 11080,
     /* 1767653 */     GIR_EraseRootFromParent_Done,
     /* 1767654 */   // Label 22595: @1767654
     /* 1767654 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1767758), // Rule ID 11081 //
     /* 1767659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767705 */     // MIs[0] policy
     /* 1767705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1767732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767757 */     // GIR_Coverage, 11081,
     /* 1767757 */     GIR_EraseRootFromParent_Done,
     /* 1767758 */   // Label 22596: @1767758
     /* 1767758 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1767862), // Rule ID 11084 //
     /* 1767763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767809 */     // MIs[0] policy
     /* 1767809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767819 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1767836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767861 */     // GIR_Coverage, 11084,
     /* 1767861 */     GIR_EraseRootFromParent_Done,
     /* 1767862 */   // Label 22597: @1767862
     /* 1767862 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1767966), // Rule ID 11085 //
     /* 1767867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767913 */     // MIs[0] policy
     /* 1767913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11106:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1767927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1767933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1767937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1767940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1767954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767965 */     // GIR_Coverage, 11085,
     /* 1767965 */     GIR_EraseRootFromParent_Done,
     /* 1767966 */   // Label 22598: @1767966
     /* 1767966 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1768070), // Rule ID 11088 //
     /* 1767971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1767979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768017 */     // MIs[0] policy
     /* 1768017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1768044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768069 */     // GIR_Coverage, 11088,
     /* 1768069 */     GIR_EraseRootFromParent_Done,
     /* 1768070 */   // Label 22599: @1768070
     /* 1768070 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1768174), // Rule ID 11089 //
     /* 1768075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1768086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1768089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1768092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1768098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768121 */     // MIs[0] policy
     /* 1768121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11106:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1768148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768173 */     // GIR_Coverage, 11089,
     /* 1768173 */     GIR_EraseRootFromParent_Done,
     /* 1768174 */   // Label 22600: @1768174
     /* 1768174 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1768278), // Rule ID 11092 //
     /* 1768179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768225 */     // MIs[0] policy
     /* 1768225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768235 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1768252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768277 */     // GIR_Coverage, 11092,
     /* 1768277 */     GIR_EraseRootFromParent_Done,
     /* 1768278 */   // Label 22601: @1768278
     /* 1768278 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1768382), // Rule ID 11093 //
     /* 1768283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768329 */     // MIs[0] policy
     /* 1768329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1768356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768381 */     // GIR_Coverage, 11093,
     /* 1768381 */     GIR_EraseRootFromParent_Done,
     /* 1768382 */   // Label 22602: @1768382
     /* 1768382 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1768486), // Rule ID 11096 //
     /* 1768387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768433 */     // MIs[0] policy
     /* 1768433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768443 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1768460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768485 */     // GIR_Coverage, 11096,
     /* 1768485 */     GIR_EraseRootFromParent_Done,
     /* 1768486 */   // Label 22603: @1768486
     /* 1768486 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1768590), // Rule ID 11097 //
     /* 1768491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768537 */     // MIs[0] policy
     /* 1768537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1768564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768589 */     // GIR_Coverage, 11097,
     /* 1768589 */     GIR_EraseRootFromParent_Done,
     /* 1768590 */   // Label 22604: @1768590
     /* 1768590 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1768694), // Rule ID 11100 //
     /* 1768595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768641 */     // MIs[0] policy
     /* 1768641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768651 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1768668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768693 */     // GIR_Coverage, 11100,
     /* 1768693 */     GIR_EraseRootFromParent_Done,
     /* 1768694 */   // Label 22605: @1768694
     /* 1768694 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1768798), // Rule ID 11101 //
     /* 1768699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768745 */     // MIs[0] policy
     /* 1768745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768755 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1768772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768797 */     // GIR_Coverage, 11101,
     /* 1768797 */     GIR_EraseRootFromParent_Done,
     /* 1768798 */   // Label 22606: @1768798
     /* 1768798 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1768902), // Rule ID 11104 //
     /* 1768803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768849 */     // MIs[0] policy
     /* 1768849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1768876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768901 */     // GIR_Coverage, 11104,
     /* 1768901 */     GIR_EraseRootFromParent_Done,
     /* 1768902 */   // Label 22607: @1768902
     /* 1768902 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1769006), // Rule ID 11105 //
     /* 1768907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1768915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768953 */     // MIs[0] policy
     /* 1768953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768963 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1768967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1768973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1768977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1768980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1768994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1769002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769005 */     // GIR_Coverage, 11105,
     /* 1769005 */     GIR_EraseRootFromParent_Done,
     /* 1769006 */   // Label 22608: @1769006
     /* 1769006 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1769110), // Rule ID 11108 //
     /* 1769011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769057 */     // MIs[0] policy
     /* 1769057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1769084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769109 */     // GIR_Coverage, 11108,
     /* 1769109 */     GIR_EraseRootFromParent_Done,
     /* 1769110 */   // Label 22609: @1769110
     /* 1769110 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1769214), // Rule ID 11109 //
     /* 1769115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1769126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1769129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1769132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769161 */     // MIs[0] policy
     /* 1769161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769171 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1769188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769213 */     // GIR_Coverage, 11109,
     /* 1769213 */     GIR_EraseRootFromParent_Done,
     /* 1769214 */   // Label 22610: @1769214
     /* 1769214 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1769318), // Rule ID 11112 //
     /* 1769219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769265 */     // MIs[0] policy
     /* 1769265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769275 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1769292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769317 */     // GIR_Coverage, 11112,
     /* 1769317 */     GIR_EraseRootFromParent_Done,
     /* 1769318 */   // Label 22611: @1769318
     /* 1769318 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1769422), // Rule ID 11113 //
     /* 1769323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1769334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1769337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1769340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769369 */     // MIs[0] policy
     /* 1769369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769379 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1769396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769421 */     // GIR_Coverage, 11113,
     /* 1769421 */     GIR_EraseRootFromParent_Done,
     /* 1769422 */   // Label 22612: @1769422
     /* 1769422 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1769526), // Rule ID 11116 //
     /* 1769427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769473 */     // MIs[0] policy
     /* 1769473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1769500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769525 */     // GIR_Coverage, 11116,
     /* 1769525 */     GIR_EraseRootFromParent_Done,
     /* 1769526 */   // Label 22613: @1769526
     /* 1769526 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1769630), // Rule ID 11117 //
     /* 1769531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769577 */     // MIs[0] policy
     /* 1769577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769587 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1769604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769629 */     // GIR_Coverage, 11117,
     /* 1769629 */     GIR_EraseRootFromParent_Done,
     /* 1769630 */   // Label 22614: @1769630
     /* 1769630 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1769734), // Rule ID 11120 //
     /* 1769635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769681 */     // MIs[0] policy
     /* 1769681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1769708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769733 */     // GIR_Coverage, 11120,
     /* 1769733 */     GIR_EraseRootFromParent_Done,
     /* 1769734 */   // Label 22615: @1769734
     /* 1769734 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1769838), // Rule ID 11121 //
     /* 1769739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769785 */     // MIs[0] policy
     /* 1769785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1769812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769837 */     // GIR_Coverage, 11121,
     /* 1769837 */     GIR_EraseRootFromParent_Done,
     /* 1769838 */   // Label 22616: @1769838
     /* 1769838 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1769942), // Rule ID 11124 //
     /* 1769843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769889 */     // MIs[0] policy
     /* 1769889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769899 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1769903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1769909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1769913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1769916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1769930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769941 */     // GIR_Coverage, 11124,
     /* 1769941 */     GIR_EraseRootFromParent_Done,
     /* 1769942 */   // Label 22617: @1769942
     /* 1769942 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1770046), // Rule ID 11125 //
     /* 1769947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769993 */     // MIs[0] policy
     /* 1769993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1770020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770045 */     // GIR_Coverage, 11125,
     /* 1770045 */     GIR_EraseRootFromParent_Done,
     /* 1770046 */   // Label 22618: @1770046
     /* 1770046 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1770150), // Rule ID 11128 //
     /* 1770051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1770062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1770065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1770068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770097 */     // MIs[0] policy
     /* 1770097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770107 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1770124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770149 */     // GIR_Coverage, 11128,
     /* 1770149 */     GIR_EraseRootFromParent_Done,
     /* 1770150 */   // Label 22619: @1770150
     /* 1770150 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1770254), // Rule ID 11129 //
     /* 1770155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1770166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1770169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1770172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1770178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770201 */     // MIs[0] policy
     /* 1770201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1770228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1770250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770253 */     // GIR_Coverage, 11129,
     /* 1770253 */     GIR_EraseRootFromParent_Done,
     /* 1770254 */   // Label 22620: @1770254
     /* 1770254 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1770358), // Rule ID 11132 //
     /* 1770259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770305 */     // MIs[0] policy
     /* 1770305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770315 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1770332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770357 */     // GIR_Coverage, 11132,
     /* 1770357 */     GIR_EraseRootFromParent_Done,
     /* 1770358 */   // Label 22621: @1770358
     /* 1770358 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1770462), // Rule ID 11133 //
     /* 1770363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1770374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1770377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1770380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1770383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770409 */     // MIs[0] policy
     /* 1770409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1770436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770461 */     // GIR_Coverage, 11133,
     /* 1770461 */     GIR_EraseRootFromParent_Done,
     /* 1770462 */   // Label 22622: @1770462
     /* 1770462 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1770566), // Rule ID 11136 //
     /* 1770467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770513 */     // MIs[0] policy
     /* 1770513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1770540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770565 */     // GIR_Coverage, 11136,
     /* 1770565 */     GIR_EraseRootFromParent_Done,
     /* 1770566 */   // Label 22623: @1770566
     /* 1770566 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1770670), // Rule ID 11137 //
     /* 1770571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1770582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1770585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1770588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1770591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770617 */     // MIs[0] policy
     /* 1770617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1770644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770669 */     // GIR_Coverage, 11137,
     /* 1770669 */     GIR_EraseRootFromParent_Done,
     /* 1770670 */   // Label 22624: @1770670
     /* 1770670 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1770774), // Rule ID 11140 //
     /* 1770675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770721 */     // MIs[0] policy
     /* 1770721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1770748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770773 */     // GIR_Coverage, 11140,
     /* 1770773 */     GIR_EraseRootFromParent_Done,
     /* 1770774 */   // Label 22625: @1770774
     /* 1770774 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1770878), // Rule ID 11141 //
     /* 1770779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1770790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1770793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1770796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1770799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770825 */     // MIs[0] policy
     /* 1770825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770835 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1770852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1770874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770877 */     // GIR_Coverage, 11141,
     /* 1770877 */     GIR_EraseRootFromParent_Done,
     /* 1770878 */   // Label 22626: @1770878
     /* 1770878 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1770982), // Rule ID 11144 //
     /* 1770883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1770886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1770897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1770900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1770903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770929 */     // MIs[0] policy
     /* 1770929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1770943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1770949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1770953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1770956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1770970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1770978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770981 */     // GIR_Coverage, 11144,
     /* 1770981 */     GIR_EraseRootFromParent_Done,
     /* 1770982 */   // Label 22627: @1770982
     /* 1770982 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1771086), // Rule ID 11145 //
     /* 1770987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1770990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1770995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1770998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1771001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1771004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1771007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771033 */     // MIs[0] policy
     /* 1771033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1771060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771085 */     // GIR_Coverage, 11145,
     /* 1771085 */     GIR_EraseRootFromParent_Done,
     /* 1771086 */   // Label 22628: @1771086
     /* 1771086 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1771190), // Rule ID 11148 //
     /* 1771091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771137 */     // MIs[0] policy
     /* 1771137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1771164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771189 */     // GIR_Coverage, 11148,
     /* 1771189 */     GIR_EraseRootFromParent_Done,
     /* 1771190 */   // Label 22629: @1771190
     /* 1771190 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1771294), // Rule ID 11149 //
     /* 1771195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1771206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1771209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1771212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1771215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771241 */     // MIs[0] policy
     /* 1771241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1771268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771293 */     // GIR_Coverage, 11149,
     /* 1771293 */     GIR_EraseRootFromParent_Done,
     /* 1771294 */   // Label 22630: @1771294
     /* 1771294 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1771398), // Rule ID 11152 //
     /* 1771299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771345 */     // MIs[0] policy
     /* 1771345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1771372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771397 */     // GIR_Coverage, 11152,
     /* 1771397 */     GIR_EraseRootFromParent_Done,
     /* 1771398 */   // Label 22631: @1771398
     /* 1771398 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1771502), // Rule ID 11153 //
     /* 1771403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1771414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1771417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1771420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1771423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771449 */     // MIs[0] policy
     /* 1771449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1771476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1771498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771501 */     // GIR_Coverage, 11153,
     /* 1771501 */     GIR_EraseRootFromParent_Done,
     /* 1771502 */   // Label 22632: @1771502
     /* 1771502 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1771606), // Rule ID 11156 //
     /* 1771507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771553 */     // MIs[0] policy
     /* 1771553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771605 */     // GIR_Coverage, 11156,
     /* 1771605 */     GIR_EraseRootFromParent_Done,
     /* 1771606 */   // Label 22633: @1771606
     /* 1771606 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1771710), // Rule ID 11157 //
     /* 1771611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1771622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1771625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1771628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1771631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771657 */     // MIs[0] policy
     /* 1771657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1771706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771709 */     // GIR_Coverage, 11157,
     /* 1771709 */     GIR_EraseRootFromParent_Done,
     /* 1771710 */   // Label 22634: @1771710
     /* 1771710 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1771814), // Rule ID 11160 //
     /* 1771715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771761 */     // MIs[0] policy
     /* 1771761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771813 */     // GIR_Coverage, 11160,
     /* 1771813 */     GIR_EraseRootFromParent_Done,
     /* 1771814 */   // Label 22635: @1771814
     /* 1771814 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1771918), // Rule ID 11161 //
     /* 1771819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1771822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1771830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1771833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1771836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1771839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771865 */     // MIs[0] policy
     /* 1771865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1771906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1771914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771917 */     // GIR_Coverage, 11161,
     /* 1771917 */     GIR_EraseRootFromParent_Done,
     /* 1771918 */   // Label 22636: @1771918
     /* 1771918 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1772022), // Rule ID 11164 //
     /* 1771923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1771926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1771934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1771937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1771940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1771943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771969 */     // MIs[0] policy
     /* 1771969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1771983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1771989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1771993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772021 */     // GIR_Coverage, 11164,
     /* 1772021 */     GIR_EraseRootFromParent_Done,
     /* 1772022 */   // Label 22637: @1772022
     /* 1772022 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1772126), // Rule ID 11165 //
     /* 1772027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1772038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1772041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1772044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1772047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772073 */     // MIs[0] policy
     /* 1772073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1772100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1772122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772125 */     // GIR_Coverage, 11165,
     /* 1772125 */     GIR_EraseRootFromParent_Done,
     /* 1772126 */   // Label 22638: @1772126
     /* 1772126 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1772230), // Rule ID 11168 //
     /* 1772131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772177 */     // MIs[0] policy
     /* 1772177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772187 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1772204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772229 */     // GIR_Coverage, 11168,
     /* 1772229 */     GIR_EraseRootFromParent_Done,
     /* 1772230 */   // Label 22639: @1772230
     /* 1772230 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1772334), // Rule ID 11169 //
     /* 1772235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1772246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1772249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1772252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1772255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772281 */     // MIs[0] policy
     /* 1772281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772291 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1772308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772333 */     // GIR_Coverage, 11169,
     /* 1772333 */     GIR_EraseRootFromParent_Done,
     /* 1772334 */   // Label 22640: @1772334
     /* 1772334 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1772438), // Rule ID 11172 //
     /* 1772339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772385 */     // MIs[0] policy
     /* 1772385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772395 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1772412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772437 */     // GIR_Coverage, 11172,
     /* 1772437 */     GIR_EraseRootFromParent_Done,
     /* 1772438 */   // Label 22641: @1772438
     /* 1772438 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1772542), // Rule ID 11173 //
     /* 1772443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1772454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1772457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1772460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1772463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1772466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772489 */     // MIs[0] policy
     /* 1772489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772499 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1772516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772541 */     // GIR_Coverage, 11173,
     /* 1772541 */     GIR_EraseRootFromParent_Done,
     /* 1772542 */   // Label 22642: @1772542
     /* 1772542 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1772646), // Rule ID 11176 //
     /* 1772547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772593 */     // MIs[0] policy
     /* 1772593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772603 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1772620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772645 */     // GIR_Coverage, 11176,
     /* 1772645 */     GIR_EraseRootFromParent_Done,
     /* 1772646 */   // Label 22643: @1772646
     /* 1772646 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1772750), // Rule ID 11177 //
     /* 1772651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1772662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1772665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1772668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1772671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1772674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772697 */     // MIs[0] policy
     /* 1772697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772707 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1772724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1772746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772749 */     // GIR_Coverage, 11177,
     /* 1772749 */     GIR_EraseRootFromParent_Done,
     /* 1772750 */   // Label 22644: @1772750
     /* 1772750 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1772854), // Rule ID 11180 //
     /* 1772755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772801 */     // MIs[0] policy
     /* 1772801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1772828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772853 */     // GIR_Coverage, 11180,
     /* 1772853 */     GIR_EraseRootFromParent_Done,
     /* 1772854 */   // Label 22645: @1772854
     /* 1772854 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1772958), // Rule ID 11181 //
     /* 1772859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1772862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1772870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1772873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1772876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1772879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772905 */     // MIs[0] policy
     /* 1772905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772915 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1772919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1772925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1772929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1772932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1772946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1772954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772957 */     // GIR_Coverage, 11181,
     /* 1772957 */     GIR_EraseRootFromParent_Done,
     /* 1772958 */   // Label 22646: @1772958
     /* 1772958 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1773062), // Rule ID 11184 //
     /* 1772963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1772966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1772974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1772977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1772980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1772983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1772986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773009 */     // MIs[0] policy
     /* 1773009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1773036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773061 */     // GIR_Coverage, 11184,
     /* 1773061 */     GIR_EraseRootFromParent_Done,
     /* 1773062 */   // Label 22647: @1773062
     /* 1773062 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1773166), // Rule ID 11185 //
     /* 1773067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1773078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1773081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1773084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1773087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773113 */     // MIs[0] policy
     /* 1773113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773123 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1773140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773165 */     // GIR_Coverage, 11185,
     /* 1773165 */     GIR_EraseRootFromParent_Done,
     /* 1773166 */   // Label 22648: @1773166
     /* 1773166 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1773270), // Rule ID 11188 //
     /* 1773171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773217 */     // MIs[0] policy
     /* 1773217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1773244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773269 */     // GIR_Coverage, 11188,
     /* 1773269 */     GIR_EraseRootFromParent_Done,
     /* 1773270 */   // Label 22649: @1773270
     /* 1773270 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1773374), // Rule ID 11189 //
     /* 1773275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1773286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1773289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1773292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1773295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1773298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773321 */     // MIs[0] policy
     /* 1773321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1773348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1773370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773373 */     // GIR_Coverage, 11189,
     /* 1773373 */     GIR_EraseRootFromParent_Done,
     /* 1773374 */   // Label 22650: @1773374
     /* 1773374 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1773478), // Rule ID 11192 //
     /* 1773379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773425 */     // MIs[0] policy
     /* 1773425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773435 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1773452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773477 */     // GIR_Coverage, 11192,
     /* 1773477 */     GIR_EraseRootFromParent_Done,
     /* 1773478 */   // Label 22651: @1773478
     /* 1773478 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1773582), // Rule ID 11193 //
     /* 1773483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1773494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1773497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1773500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1773503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773529 */     // MIs[0] policy
     /* 1773529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773539 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1773556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773581 */     // GIR_Coverage, 11193,
     /* 1773581 */     GIR_EraseRootFromParent_Done,
     /* 1773582 */   // Label 22652: @1773582
     /* 1773582 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1773686), // Rule ID 11196 //
     /* 1773587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773633 */     // MIs[0] policy
     /* 1773633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773643 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1773660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773685 */     // GIR_Coverage, 11196,
     /* 1773685 */     GIR_EraseRootFromParent_Done,
     /* 1773686 */   // Label 22653: @1773686
     /* 1773686 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1773790), // Rule ID 11197 //
     /* 1773691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1773702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1773705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1773708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1773711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773737 */     // MIs[0] policy
     /* 1773737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773747 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1773764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773789 */     // GIR_Coverage, 11197,
     /* 1773789 */     GIR_EraseRootFromParent_Done,
     /* 1773790 */   // Label 22654: @1773790
     /* 1773790 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1773894), // Rule ID 11200 //
     /* 1773795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773841 */     // MIs[0] policy
     /* 1773841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773851 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1773868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773893 */     // GIR_Coverage, 11200,
     /* 1773893 */     GIR_EraseRootFromParent_Done,
     /* 1773894 */   // Label 22655: @1773894
     /* 1773894 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1773998), // Rule ID 11201 //
     /* 1773899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1773907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1773910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1773913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1773916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1773919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1773922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773945 */     // MIs[0] policy
     /* 1773945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1773959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1773965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1773969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1773972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1773986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1773994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773997 */     // GIR_Coverage, 11201,
     /* 1773997 */     GIR_EraseRootFromParent_Done,
     /* 1773998 */   // Label 22656: @1773998
     /* 1773998 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1774102), // Rule ID 11204 //
     /* 1774003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774049 */     // MIs[0] policy
     /* 1774049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774059 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1774076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774101 */     // GIR_Coverage, 11204,
     /* 1774101 */     GIR_EraseRootFromParent_Done,
     /* 1774102 */   // Label 22657: @1774102
     /* 1774102 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1774206), // Rule ID 11205 //
     /* 1774107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1774118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1774121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1774124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774153 */     // MIs[0] policy
     /* 1774153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774163 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1774180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774205 */     // GIR_Coverage, 11205,
     /* 1774205 */     GIR_EraseRootFromParent_Done,
     /* 1774206 */   // Label 22658: @1774206
     /* 1774206 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1774310), // Rule ID 11208 //
     /* 1774211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774257 */     // MIs[0] policy
     /* 1774257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1774284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774309 */     // GIR_Coverage, 11208,
     /* 1774309 */     GIR_EraseRootFromParent_Done,
     /* 1774310 */   // Label 22659: @1774310
     /* 1774310 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1774414), // Rule ID 11209 //
     /* 1774315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774361 */     // MIs[0] policy
     /* 1774361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1774388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774413 */     // GIR_Coverage, 11209,
     /* 1774413 */     GIR_EraseRootFromParent_Done,
     /* 1774414 */   // Label 22660: @1774414
     /* 1774414 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1774518), // Rule ID 11212 //
     /* 1774419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774465 */     // MIs[0] policy
     /* 1774465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774475 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1774492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774517 */     // GIR_Coverage, 11212,
     /* 1774517 */     GIR_EraseRootFromParent_Done,
     /* 1774518 */   // Label 22661: @1774518
     /* 1774518 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1774622), // Rule ID 11213 //
     /* 1774523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774569 */     // MIs[0] policy
     /* 1774569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1774596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774621 */     // GIR_Coverage, 11213,
     /* 1774621 */     GIR_EraseRootFromParent_Done,
     /* 1774622 */   // Label 22662: @1774622
     /* 1774622 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1774726), // Rule ID 11216 //
     /* 1774627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774673 */     // MIs[0] policy
     /* 1774673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1774700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774725 */     // GIR_Coverage, 11216,
     /* 1774725 */     GIR_EraseRootFromParent_Done,
     /* 1774726 */   // Label 22663: @1774726
     /* 1774726 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1774830), // Rule ID 11217 //
     /* 1774731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774777 */     // MIs[0] policy
     /* 1774777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1774804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774829 */     // GIR_Coverage, 11217,
     /* 1774829 */     GIR_EraseRootFromParent_Done,
     /* 1774830 */   // Label 22664: @1774830
     /* 1774830 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1774934), // Rule ID 11220 //
     /* 1774835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1774855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774881 */     // MIs[0] policy
     /* 1774881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774891 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1774901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1774905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1774908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1774922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774933 */     // GIR_Coverage, 11220,
     /* 1774933 */     GIR_EraseRootFromParent_Done,
     /* 1774934 */   // Label 22665: @1774934
     /* 1774934 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1775038), // Rule ID 11221 //
     /* 1774939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1774947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1774959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1774981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774985 */     // MIs[0] policy
     /* 1774985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1774999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1775012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775037 */     // GIR_Coverage, 11221,
     /* 1775037 */     GIR_EraseRootFromParent_Done,
     /* 1775038 */   // Label 22666: @1775038
     /* 1775038 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1775142), // Rule ID 11224 //
     /* 1775043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775089 */     // MIs[0] policy
     /* 1775089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1775116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775141 */     // GIR_Coverage, 11224,
     /* 1775141 */     GIR_EraseRootFromParent_Done,
     /* 1775142 */   // Label 22667: @1775142
     /* 1775142 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1775246), // Rule ID 11225 //
     /* 1775147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1775158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1775161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1775164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775193 */     // MIs[0] policy
     /* 1775193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1775220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775245 */     // GIR_Coverage, 11225,
     /* 1775245 */     GIR_EraseRootFromParent_Done,
     /* 1775246 */   // Label 22668: @1775246
     /* 1775246 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1775350), // Rule ID 11228 //
     /* 1775251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775297 */     // MIs[0] policy
     /* 1775297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775349 */     // GIR_Coverage, 11228,
     /* 1775349 */     GIR_EraseRootFromParent_Done,
     /* 1775350 */   // Label 22669: @1775350
     /* 1775350 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1775454), // Rule ID 11229 //
     /* 1775355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775401 */     // MIs[0] policy
     /* 1775401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11110:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775453 */     // GIR_Coverage, 11229,
     /* 1775453 */     GIR_EraseRootFromParent_Done,
     /* 1775454 */   // Label 22670: @1775454
     /* 1775454 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1775558), // Rule ID 11232 //
     /* 1775459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775505 */     // MIs[0] policy
     /* 1775505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775515 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775557 */     // GIR_Coverage, 11232,
     /* 1775557 */     GIR_EraseRootFromParent_Done,
     /* 1775558 */   // Label 22671: @1775558
     /* 1775558 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1775662), // Rule ID 11233 //
     /* 1775563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775609 */     // MIs[0] policy
     /* 1775609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11110:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775661 */     // GIR_Coverage, 11233,
     /* 1775661 */     GIR_EraseRootFromParent_Done,
     /* 1775662 */   // Label 22672: @1775662
     /* 1775662 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1775766), // Rule ID 11236 //
     /* 1775667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775713 */     // MIs[0] policy
     /* 1775713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775765 */     // GIR_Coverage, 11236,
     /* 1775765 */     GIR_EraseRootFromParent_Done,
     /* 1775766 */   // Label 22673: @1775766
     /* 1775766 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1775870), // Rule ID 11237 //
     /* 1775771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775817 */     // MIs[0] policy
     /* 1775817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11110:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1775844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775869 */     // GIR_Coverage, 11237,
     /* 1775869 */     GIR_EraseRootFromParent_Done,
     /* 1775870 */   // Label 22674: @1775870
     /* 1775870 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1775974), // Rule ID 11240 //
     /* 1775875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1775895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1775917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775921 */     // MIs[0] policy
     /* 1775921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775931 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1775935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1775941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1775945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1775948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1775962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775973 */     // GIR_Coverage, 11240,
     /* 1775973 */     GIR_EraseRootFromParent_Done,
     /* 1775974 */   // Label 22675: @1775974
     /* 1775974 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1776078), // Rule ID 11241 //
     /* 1775979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1775987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1775999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776025 */     // MIs[0] policy
     /* 1776025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776035 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1776052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776077 */     // GIR_Coverage, 11241,
     /* 1776077 */     GIR_EraseRootFromParent_Done,
     /* 1776078 */   // Label 22676: @1776078
     /* 1776078 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1776182), // Rule ID 11244 //
     /* 1776083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776129 */     // MIs[0] policy
     /* 1776129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776139 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1776156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776181 */     // GIR_Coverage, 11244,
     /* 1776181 */     GIR_EraseRootFromParent_Done,
     /* 1776182 */   // Label 22677: @1776182
     /* 1776182 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1776286), // Rule ID 11245 //
     /* 1776187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1776198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1776201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1776204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776233 */     // MIs[0] policy
     /* 1776233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776243 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1776260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776285 */     // GIR_Coverage, 11245,
     /* 1776285 */     GIR_EraseRootFromParent_Done,
     /* 1776286 */   // Label 22678: @1776286
     /* 1776286 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1776390), // Rule ID 11248 //
     /* 1776291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776337 */     // MIs[0] policy
     /* 1776337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1776364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776389 */     // GIR_Coverage, 11248,
     /* 1776389 */     GIR_EraseRootFromParent_Done,
     /* 1776390 */   // Label 22679: @1776390
     /* 1776390 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1776494), // Rule ID 11249 //
     /* 1776395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776441 */     // MIs[0] policy
     /* 1776441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776451 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1776468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776493 */     // GIR_Coverage, 11249,
     /* 1776493 */     GIR_EraseRootFromParent_Done,
     /* 1776494 */   // Label 22680: @1776494
     /* 1776494 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1776598), // Rule ID 11252 //
     /* 1776499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776545 */     // MIs[0] policy
     /* 1776545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776555 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1776572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776597 */     // GIR_Coverage, 11252,
     /* 1776597 */     GIR_EraseRootFromParent_Done,
     /* 1776598 */   // Label 22681: @1776598
     /* 1776598 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1776702), // Rule ID 11253 //
     /* 1776603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776649 */     // MIs[0] policy
     /* 1776649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776659 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1776676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776701 */     // GIR_Coverage, 11253,
     /* 1776701 */     GIR_EraseRootFromParent_Done,
     /* 1776702 */   // Label 22682: @1776702
     /* 1776702 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1776806), // Rule ID 11256 //
     /* 1776707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776753 */     // MIs[0] policy
     /* 1776753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1776780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776805 */     // GIR_Coverage, 11256,
     /* 1776805 */     GIR_EraseRootFromParent_Done,
     /* 1776806 */   // Label 22683: @1776806
     /* 1776806 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1776910), // Rule ID 11257 //
     /* 1776811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1776831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776857 */     // MIs[0] policy
     /* 1776857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776867 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1776884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1776898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776909 */     // GIR_Coverage, 11257,
     /* 1776909 */     GIR_EraseRootFromParent_Done,
     /* 1776910 */   // Label 22684: @1776910
     /* 1776910 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1777014), // Rule ID 11260 //
     /* 1776915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1776923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1776935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1776957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776961 */     // MIs[0] policy
     /* 1776961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776971 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1776975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1776981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1776985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1776988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777013 */     // GIR_Coverage, 11260,
     /* 1777013 */     GIR_EraseRootFromParent_Done,
     /* 1777014 */   // Label 22685: @1777014
     /* 1777014 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1777118), // Rule ID 11261 //
     /* 1777019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1777030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1777033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1777036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1777042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777065 */     // MIs[0] policy
     /* 1777065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777075 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1777092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1777114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777117 */     // GIR_Coverage, 11261,
     /* 1777117 */     GIR_EraseRootFromParent_Done,
     /* 1777118 */   // Label 22686: @1777118
     /* 1777118 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1777222), // Rule ID 11264 //
     /* 1777123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777169 */     // MIs[0] policy
     /* 1777169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777179 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1777196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777221 */     // GIR_Coverage, 11264,
     /* 1777221 */     GIR_EraseRootFromParent_Done,
     /* 1777222 */   // Label 22687: @1777222
     /* 1777222 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1777326), // Rule ID 11265 //
     /* 1777227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1777238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1777241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1777244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777273 */     // MIs[0] policy
     /* 1777273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1777300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777325 */     // GIR_Coverage, 11265,
     /* 1777325 */     GIR_EraseRootFromParent_Done,
     /* 1777326 */   // Label 22688: @1777326
     /* 1777326 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1777430), // Rule ID 11268 //
     /* 1777331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777377 */     // MIs[0] policy
     /* 1777377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1777404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777429 */     // GIR_Coverage, 11268,
     /* 1777429 */     GIR_EraseRootFromParent_Done,
     /* 1777430 */   // Label 22689: @1777430
     /* 1777430 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1777534), // Rule ID 11269 //
     /* 1777435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1777446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1777449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1777452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777481 */     // MIs[0] policy
     /* 1777481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777491 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1777508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777533 */     // GIR_Coverage, 11269,
     /* 1777533 */     GIR_EraseRootFromParent_Done,
     /* 1777534 */   // Label 22690: @1777534
     /* 1777534 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1777638), // Rule ID 11272 //
     /* 1777539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777585 */     // MIs[0] policy
     /* 1777585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777595 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1777612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777637 */     // GIR_Coverage, 11272,
     /* 1777637 */     GIR_EraseRootFromParent_Done,
     /* 1777638 */   // Label 22691: @1777638
     /* 1777638 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1777742), // Rule ID 11273 //
     /* 1777643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1777651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777689 */     // MIs[0] policy
     /* 1777689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1777716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777741 */     // GIR_Coverage, 11273,
     /* 1777741 */     GIR_EraseRootFromParent_Done,
     /* 1777742 */   // Label 22692: @1777742
     /* 1777742 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1777846), // Rule ID 11276 //
     /* 1777747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1777755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777793 */     // MIs[0] policy
     /* 1777793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777803 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1777820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777845 */     // GIR_Coverage, 11276,
     /* 1777845 */     GIR_EraseRootFromParent_Done,
     /* 1777846 */   // Label 22693: @1777846
     /* 1777846 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1777950), // Rule ID 11277 //
     /* 1777851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1777859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1777871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777897 */     // MIs[0] policy
     /* 1777897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777907 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1777911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1777917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1777921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1777924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1777938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777949 */     // GIR_Coverage, 11277,
     /* 1777949 */     GIR_EraseRootFromParent_Done,
     /* 1777950 */   // Label 22694: @1777950
     /* 1777950 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1778054), // Rule ID 11280 //
     /* 1777955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1777963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1777975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778001 */     // MIs[0] policy
     /* 1778001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778011 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1778028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778053 */     // GIR_Coverage, 11280,
     /* 1778053 */     GIR_EraseRootFromParent_Done,
     /* 1778054 */   // Label 22695: @1778054
     /* 1778054 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1778158), // Rule ID 11281 //
     /* 1778059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1778070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1778073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1778076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1778079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778105 */     // MIs[0] policy
     /* 1778105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778115 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1778132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778157 */     // GIR_Coverage, 11281,
     /* 1778157 */     GIR_EraseRootFromParent_Done,
     /* 1778158 */   // Label 22696: @1778158
     /* 1778158 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1778262), // Rule ID 11284 //
     /* 1778163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778209 */     // MIs[0] policy
     /* 1778209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778219 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778261 */     // GIR_Coverage, 11284,
     /* 1778261 */     GIR_EraseRootFromParent_Done,
     /* 1778262 */   // Label 22697: @1778262
     /* 1778262 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1778366), // Rule ID 11285 //
     /* 1778267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1778287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778313 */     // MIs[0] policy
     /* 1778313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778365 */     // GIR_Coverage, 11285,
     /* 1778365 */     GIR_EraseRootFromParent_Done,
     /* 1778366 */   // Label 22698: @1778366
     /* 1778366 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1778470), // Rule ID 11288 //
     /* 1778371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778417 */     // MIs[0] policy
     /* 1778417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778427 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1778444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778469 */     // GIR_Coverage, 11288,
     /* 1778469 */     GIR_EraseRootFromParent_Done,
     /* 1778470 */   // Label 22699: @1778470
     /* 1778470 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1778574), // Rule ID 11289 //
     /* 1778475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1778495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778521 */     // MIs[0] policy
     /* 1778521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778531 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1778548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778573 */     // GIR_Coverage, 11289,
     /* 1778573 */     GIR_EraseRootFromParent_Done,
     /* 1778574 */   // Label 22700: @1778574
     /* 1778574 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1778678), // Rule ID 11292 //
     /* 1778579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778625 */     // MIs[0] policy
     /* 1778625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778677 */     // GIR_Coverage, 11292,
     /* 1778677 */     GIR_EraseRootFromParent_Done,
     /* 1778678 */   // Label 22701: @1778678
     /* 1778678 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1778782), // Rule ID 11293 //
     /* 1778683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1778703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778729 */     // MIs[0] policy
     /* 1778729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778739 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778781 */     // GIR_Coverage, 11293,
     /* 1778781 */     GIR_EraseRootFromParent_Done,
     /* 1778782 */   // Label 22702: @1778782
     /* 1778782 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1778886), // Rule ID 11296 //
     /* 1778787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778833 */     // MIs[0] policy
     /* 1778833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778885 */     // GIR_Coverage, 11296,
     /* 1778885 */     GIR_EraseRootFromParent_Done,
     /* 1778886 */   // Label 22703: @1778886
     /* 1778886 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1778990), // Rule ID 11297 //
     /* 1778891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1778899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1778911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778937 */     // MIs[0] policy
     /* 1778937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1778951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1778957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1778961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1778964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1778978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778989 */     // GIR_Coverage, 11297,
     /* 1778989 */     GIR_EraseRootFromParent_Done,
     /* 1778990 */   // Label 22704: @1778990
     /* 1778990 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1779094), // Rule ID 11300 //
     /* 1778995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779041 */     // MIs[0] policy
     /* 1779041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779051 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779093 */     // GIR_Coverage, 11300,
     /* 1779093 */     GIR_EraseRootFromParent_Done,
     /* 1779094 */   // Label 22705: @1779094
     /* 1779094 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1779198), // Rule ID 11301 //
     /* 1779099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1779110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1779113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1779116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1779119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779145 */     // MIs[0] policy
     /* 1779145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779155 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779197 */     // GIR_Coverage, 11301,
     /* 1779197 */     GIR_EraseRootFromParent_Done,
     /* 1779198 */   // Label 22706: @1779198
     /* 1779198 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1779302), // Rule ID 11304 //
     /* 1779203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779249 */     // MIs[0] policy
     /* 1779249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779301 */     // GIR_Coverage, 11304,
     /* 1779301 */     GIR_EraseRootFromParent_Done,
     /* 1779302 */   // Label 22707: @1779302
     /* 1779302 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1779406), // Rule ID 11305 //
     /* 1779307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1779318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1779321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1779324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1779327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1779330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779353 */     // MIs[0] policy
     /* 1779353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779363 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779405 */     // GIR_Coverage, 11305,
     /* 1779405 */     GIR_EraseRootFromParent_Done,
     /* 1779406 */   // Label 22708: @1779406
     /* 1779406 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1779510), // Rule ID 11308 //
     /* 1779411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779457 */     // MIs[0] policy
     /* 1779457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779509 */     // GIR_Coverage, 11308,
     /* 1779509 */     GIR_EraseRootFromParent_Done,
     /* 1779510 */   // Label 22709: @1779510
     /* 1779510 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1779614), // Rule ID 11309 //
     /* 1779515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1779535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779561 */     // MIs[0] policy
     /* 1779561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1779588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779613 */     // GIR_Coverage, 11309,
     /* 1779613 */     GIR_EraseRootFromParent_Done,
     /* 1779614 */   // Label 22710: @1779614
     /* 1779614 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1779718), // Rule ID 11312 //
     /* 1779619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779665 */     // MIs[0] policy
     /* 1779665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779675 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1779692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779717 */     // GIR_Coverage, 11312,
     /* 1779717 */     GIR_EraseRootFromParent_Done,
     /* 1779718 */   // Label 22711: @1779718
     /* 1779718 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1779822), // Rule ID 11313 //
     /* 1779723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1779743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779769 */     // MIs[0] policy
     /* 1779769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779779 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1779796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779821 */     // GIR_Coverage, 11313,
     /* 1779821 */     GIR_EraseRootFromParent_Done,
     /* 1779822 */   // Label 22712: @1779822
     /* 1779822 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1779926), // Rule ID 11316 //
     /* 1779827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779873 */     // MIs[0] policy
     /* 1779873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779883 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1779897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1779900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1779914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779925 */     // GIR_Coverage, 11316,
     /* 1779925 */     GIR_EraseRootFromParent_Done,
     /* 1779926 */   // Label 22713: @1779926
     /* 1779926 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1780030), // Rule ID 11317 //
     /* 1779931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1779939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1779951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779977 */     // MIs[0] policy
     /* 1779977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779987 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1779991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1779997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1780004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780029 */     // GIR_Coverage, 11317,
     /* 1780029 */     GIR_EraseRootFromParent_Done,
     /* 1780030 */   // Label 22714: @1780030
     /* 1780030 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1780134), // Rule ID 11320 //
     /* 1780035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780081 */     // MIs[0] policy
     /* 1780081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1780108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780133 */     // GIR_Coverage, 11320,
     /* 1780133 */     GIR_EraseRootFromParent_Done,
     /* 1780134 */   // Label 22715: @1780134
     /* 1780134 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1780238), // Rule ID 11321 //
     /* 1780139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1780150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1780153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1780156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1780159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1780162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780185 */     // MIs[0] policy
     /* 1780185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780195 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1780212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1780234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780237 */     // GIR_Coverage, 11321,
     /* 1780237 */     GIR_EraseRootFromParent_Done,
     /* 1780238 */   // Label 22716: @1780238
     /* 1780238 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1780342), // Rule ID 11324 //
     /* 1780243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780289 */     // MIs[0] policy
     /* 1780289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1780316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780341 */     // GIR_Coverage, 11324,
     /* 1780341 */     GIR_EraseRootFromParent_Done,
     /* 1780342 */   // Label 22717: @1780342
     /* 1780342 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1780446), // Rule ID 11325 //
     /* 1780347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1780358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1780361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1780367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780393 */     // MIs[0] policy
     /* 1780393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1780420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780445 */     // GIR_Coverage, 11325,
     /* 1780445 */     GIR_EraseRootFromParent_Done,
     /* 1780446 */   // Label 22718: @1780446
     /* 1780446 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1780550), // Rule ID 11328 //
     /* 1780451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780497 */     // MIs[0] policy
     /* 1780497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780507 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1780524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780549 */     // GIR_Coverage, 11328,
     /* 1780549 */     GIR_EraseRootFromParent_Done,
     /* 1780550 */   // Label 22719: @1780550
     /* 1780550 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1780654), // Rule ID 11329 //
     /* 1780555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1780575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780601 */     // MIs[0] policy
     /* 1780601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780611 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1780628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780653 */     // GIR_Coverage, 11329,
     /* 1780653 */     GIR_EraseRootFromParent_Done,
     /* 1780654 */   // Label 22720: @1780654
     /* 1780654 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1780758), // Rule ID 11332 //
     /* 1780659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780705 */     // MIs[0] policy
     /* 1780705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1780732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780757 */     // GIR_Coverage, 11332,
     /* 1780757 */     GIR_EraseRootFromParent_Done,
     /* 1780758 */   // Label 22721: @1780758
     /* 1780758 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1780862), // Rule ID 11333 //
     /* 1780763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1780783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780809 */     // MIs[0] policy
     /* 1780809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1780836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780861 */     // GIR_Coverage, 11333,
     /* 1780861 */     GIR_EraseRootFromParent_Done,
     /* 1780862 */   // Label 22722: @1780862
     /* 1780862 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1780966), // Rule ID 11336 //
     /* 1780867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780913 */     // MIs[0] policy
     /* 1780913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1780927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1780933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1780937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1780940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1780954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780965 */     // GIR_Coverage, 11336,
     /* 1780965 */     GIR_EraseRootFromParent_Done,
     /* 1780966 */   // Label 22723: @1780966
     /* 1780966 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1781070), // Rule ID 11337 //
     /* 1780971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1780979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1780991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781017 */     // MIs[0] policy
     /* 1781017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781027 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1781044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781069 */     // GIR_Coverage, 11337,
     /* 1781069 */     GIR_EraseRootFromParent_Done,
     /* 1781070 */   // Label 22724: @1781070
     /* 1781070 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1781174), // Rule ID 11340 //
     /* 1781075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781121 */     // MIs[0] policy
     /* 1781121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1781148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781173 */     // GIR_Coverage, 11340,
     /* 1781173 */     GIR_EraseRootFromParent_Done,
     /* 1781174 */   // Label 22725: @1781174
     /* 1781174 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1781278), // Rule ID 11341 //
     /* 1781179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1781190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1781193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1781196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1781199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781225 */     // MIs[0] policy
     /* 1781225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781235 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1781252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781277 */     // GIR_Coverage, 11341,
     /* 1781277 */     GIR_EraseRootFromParent_Done,
     /* 1781278 */   // Label 22726: @1781278
     /* 1781278 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1781382), // Rule ID 11344 //
     /* 1781283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781329 */     // MIs[0] policy
     /* 1781329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1781356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781381 */     // GIR_Coverage, 11344,
     /* 1781381 */     GIR_EraseRootFromParent_Done,
     /* 1781382 */   // Label 22727: @1781382
     /* 1781382 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1781486), // Rule ID 11345 //
     /* 1781387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1781398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1781401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1781404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1781407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1781410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781433 */     // MIs[0] policy
     /* 1781433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781443 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1781460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1781482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781485 */     // GIR_Coverage, 11345,
     /* 1781485 */     GIR_EraseRootFromParent_Done,
     /* 1781486 */   // Label 22728: @1781486
     /* 1781486 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1781590), // Rule ID 11348 //
     /* 1781491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781537 */     // MIs[0] policy
     /* 1781537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1781564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781589 */     // GIR_Coverage, 11348,
     /* 1781589 */     GIR_EraseRootFromParent_Done,
     /* 1781590 */   // Label 22729: @1781590
     /* 1781590 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1781694), // Rule ID 11349 //
     /* 1781595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781641 */     // MIs[0] policy
     /* 1781641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1781668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781693 */     // GIR_Coverage, 11349,
     /* 1781693 */     GIR_EraseRootFromParent_Done,
     /* 1781694 */   // Label 22730: @1781694
     /* 1781694 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1781798), // Rule ID 11352 //
     /* 1781699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781745 */     // MIs[0] policy
     /* 1781745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781755 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1781772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781797 */     // GIR_Coverage, 11352,
     /* 1781797 */     GIR_EraseRootFromParent_Done,
     /* 1781798 */   // Label 22731: @1781798
     /* 1781798 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1781902), // Rule ID 11353 //
     /* 1781803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781849 */     // MIs[0] policy
     /* 1781849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1781876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781901 */     // GIR_Coverage, 11353,
     /* 1781901 */     GIR_EraseRootFromParent_Done,
     /* 1781902 */   // Label 22732: @1781902
     /* 1781902 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1782006), // Rule ID 11356 //
     /* 1781907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1781915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781953 */     // MIs[0] policy
     /* 1781953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1781967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1781973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1781977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1781980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1781994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782005 */     // GIR_Coverage, 11356,
     /* 1782005 */     GIR_EraseRootFromParent_Done,
     /* 1782006 */   // Label 22733: @1782006
     /* 1782006 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1782110), // Rule ID 11357 //
     /* 1782011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1782022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1782025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1782028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782057 */     // MIs[0] policy
     /* 1782057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1782084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782109 */     // GIR_Coverage, 11357,
     /* 1782109 */     GIR_EraseRootFromParent_Done,
     /* 1782110 */   // Label 22734: @1782110
     /* 1782110 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1782214), // Rule ID 11360 //
     /* 1782115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782161 */     // MIs[0] policy
     /* 1782161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782171 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1782188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782213 */     // GIR_Coverage, 11360,
     /* 1782213 */     GIR_EraseRootFromParent_Done,
     /* 1782214 */   // Label 22735: @1782214
     /* 1782214 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1782318), // Rule ID 11361 //
     /* 1782219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782265 */     // MIs[0] policy
     /* 1782265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1782292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782317 */     // GIR_Coverage, 11361,
     /* 1782317 */     GIR_EraseRootFromParent_Done,
     /* 1782318 */   // Label 22736: @1782318
     /* 1782318 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1782422), // Rule ID 11364 //
     /* 1782323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782369 */     // MIs[0] policy
     /* 1782369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782379 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1782396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782421 */     // GIR_Coverage, 11364,
     /* 1782421 */     GIR_EraseRootFromParent_Done,
     /* 1782422 */   // Label 22737: @1782422
     /* 1782422 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1782526), // Rule ID 11365 //
     /* 1782427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782473 */     // MIs[0] policy
     /* 1782473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1782500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782525 */     // GIR_Coverage, 11365,
     /* 1782525 */     GIR_EraseRootFromParent_Done,
     /* 1782526 */   // Label 22738: @1782526
     /* 1782526 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1782630), // Rule ID 11368 //
     /* 1782531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782577 */     // MIs[0] policy
     /* 1782577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1782604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782629 */     // GIR_Coverage, 11368,
     /* 1782629 */     GIR_EraseRootFromParent_Done,
     /* 1782630 */   // Label 22739: @1782630
     /* 1782630 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1782734), // Rule ID 11369 //
     /* 1782635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782681 */     // MIs[0] policy
     /* 1782681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1782708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782733 */     // GIR_Coverage, 11369,
     /* 1782733 */     GIR_EraseRootFromParent_Done,
     /* 1782734 */   // Label 22740: @1782734
     /* 1782734 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1782838), // Rule ID 11372 //
     /* 1782739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782785 */     // MIs[0] policy
     /* 1782785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1782812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782837 */     // GIR_Coverage, 11372,
     /* 1782837 */     GIR_EraseRootFromParent_Done,
     /* 1782838 */   // Label 22741: @1782838
     /* 1782838 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1782942), // Rule ID 11373 //
     /* 1782843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1782863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782889 */     // MIs[0] policy
     /* 1782889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11108:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1782903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1782909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1782913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1782916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1782930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782941 */     // GIR_Coverage, 11373,
     /* 1782941 */     GIR_EraseRootFromParent_Done,
     /* 1782942 */   // Label 22742: @1782942
     /* 1782942 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1783046), // Rule ID 11376 //
     /* 1782947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1782955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1782967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1782989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782993 */     // MIs[0] policy
     /* 1782993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1783020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783045 */     // GIR_Coverage, 11376,
     /* 1783045 */     GIR_EraseRootFromParent_Done,
     /* 1783046 */   // Label 22743: @1783046
     /* 1783046 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1783150), // Rule ID 11377 //
     /* 1783051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1783062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1783065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1783068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1783074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783097 */     // MIs[0] policy
     /* 1783097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11108:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1783124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783149 */     // GIR_Coverage, 11377,
     /* 1783149 */     GIR_EraseRootFromParent_Done,
     /* 1783150 */   // Label 22744: @1783150
     /* 1783150 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1783254), // Rule ID 11380 //
     /* 1783155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783201 */     // MIs[0] policy
     /* 1783201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1783228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783253 */     // GIR_Coverage, 11380,
     /* 1783253 */     GIR_EraseRootFromParent_Done,
     /* 1783254 */   // Label 22745: @1783254
     /* 1783254 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1783358), // Rule ID 11381 //
     /* 1783259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1783270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1783273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1783276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1783282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783305 */     // MIs[0] policy
     /* 1783305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1783332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1783354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783357 */     // GIR_Coverage, 11381,
     /* 1783357 */     GIR_EraseRootFromParent_Done,
     /* 1783358 */   // Label 22746: @1783358
     /* 1783358 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1783462), // Rule ID 11384 //
     /* 1783363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783409 */     // MIs[0] policy
     /* 1783409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783419 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1783436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783461 */     // GIR_Coverage, 11384,
     /* 1783461 */     GIR_EraseRootFromParent_Done,
     /* 1783462 */   // Label 22747: @1783462
     /* 1783462 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1783566), // Rule ID 11385 //
     /* 1783467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783513 */     // MIs[0] policy
     /* 1783513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1783540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783565 */     // GIR_Coverage, 11385,
     /* 1783565 */     GIR_EraseRootFromParent_Done,
     /* 1783566 */   // Label 22748: @1783566
     /* 1783566 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1783670), // Rule ID 11388 //
     /* 1783571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783617 */     // MIs[0] policy
     /* 1783617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783627 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1783644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783669 */     // GIR_Coverage, 11388,
     /* 1783669 */     GIR_EraseRootFromParent_Done,
     /* 1783670 */   // Label 22749: @1783670
     /* 1783670 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1783774), // Rule ID 11389 //
     /* 1783675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783721 */     // MIs[0] policy
     /* 1783721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1783748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783773 */     // GIR_Coverage, 11389,
     /* 1783773 */     GIR_EraseRootFromParent_Done,
     /* 1783774 */   // Label 22750: @1783774
     /* 1783774 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1783878), // Rule ID 11392 //
     /* 1783779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1783799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783825 */     // MIs[0] policy
     /* 1783825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1783852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783877 */     // GIR_Coverage, 11392,
     /* 1783877 */     GIR_EraseRootFromParent_Done,
     /* 1783878 */   // Label 22751: @1783878
     /* 1783878 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1783982), // Rule ID 11393 //
     /* 1783883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1783903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1783925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783929 */     // MIs[0] policy
     /* 1783929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783939 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1783943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1783949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1783953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1783956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1783970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783981 */     // GIR_Coverage, 11393,
     /* 1783981 */     GIR_EraseRootFromParent_Done,
     /* 1783982 */   // Label 22752: @1783982
     /* 1783982 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1784086), // Rule ID 11396 //
     /* 1783987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1783995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784033 */     // MIs[0] policy
     /* 1784033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784043 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1784060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784085 */     // GIR_Coverage, 11396,
     /* 1784085 */     GIR_EraseRootFromParent_Done,
     /* 1784086 */   // Label 22753: @1784086
     /* 1784086 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1784190), // Rule ID 11397 //
     /* 1784091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1784102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1784105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1784108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784137 */     // MIs[0] policy
     /* 1784137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1784164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784189 */     // GIR_Coverage, 11397,
     /* 1784189 */     GIR_EraseRootFromParent_Done,
     /* 1784190 */   // Label 22754: @1784190
     /* 1784190 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1784294), // Rule ID 11400 //
     /* 1784195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784241 */     // MIs[0] policy
     /* 1784241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784251 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1784268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784293 */     // GIR_Coverage, 11400,
     /* 1784293 */     GIR_EraseRootFromParent_Done,
     /* 1784294 */   // Label 22755: @1784294
     /* 1784294 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1784398), // Rule ID 11401 //
     /* 1784299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1784310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1784313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1784316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784345 */     // MIs[0] policy
     /* 1784345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1784372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784397 */     // GIR_Coverage, 11401,
     /* 1784397 */     GIR_EraseRootFromParent_Done,
     /* 1784398 */   // Label 22756: @1784398
     /* 1784398 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1784502), // Rule ID 11404 //
     /* 1784403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784449 */     // MIs[0] policy
     /* 1784449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784459 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1784476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784501 */     // GIR_Coverage, 11404,
     /* 1784501 */     GIR_EraseRootFromParent_Done,
     /* 1784502 */   // Label 22757: @1784502
     /* 1784502 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1784606), // Rule ID 11405 //
     /* 1784507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784553 */     // MIs[0] policy
     /* 1784553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1784580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784605 */     // GIR_Coverage, 11405,
     /* 1784605 */     GIR_EraseRootFromParent_Done,
     /* 1784606 */   // Label 22758: @1784606
     /* 1784606 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1784710), // Rule ID 11408 //
     /* 1784611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784657 */     // MIs[0] policy
     /* 1784657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784667 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1784684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784709 */     // GIR_Coverage, 11408,
     /* 1784709 */     GIR_EraseRootFromParent_Done,
     /* 1784710 */   // Label 22759: @1784710
     /* 1784710 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1784814), // Rule ID 11409 //
     /* 1784715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784761 */     // MIs[0] policy
     /* 1784761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1784788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784813 */     // GIR_Coverage, 11409,
     /* 1784813 */     GIR_EraseRootFromParent_Done,
     /* 1784814 */   // Label 22760: @1784814
     /* 1784814 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1784918), // Rule ID 11412 //
     /* 1784819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1784839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784865 */     // MIs[0] policy
     /* 1784865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1784892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1784906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784917 */     // GIR_Coverage, 11412,
     /* 1784917 */     GIR_EraseRootFromParent_Done,
     /* 1784918 */   // Label 22761: @1784918
     /* 1784918 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1785022), // Rule ID 11413 //
     /* 1784923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1784931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1784943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1784965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784969 */     // MIs[0] policy
     /* 1784969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1784983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1784989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1784993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1784996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785021 */     // GIR_Coverage, 11413,
     /* 1785021 */     GIR_EraseRootFromParent_Done,
     /* 1785022 */   // Label 22762: @1785022
     /* 1785022 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1785126), // Rule ID 11416 //
     /* 1785027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1785035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785073 */     // MIs[0] policy
     /* 1785073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1785100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785125 */     // GIR_Coverage, 11416,
     /* 1785125 */     GIR_EraseRootFromParent_Done,
     /* 1785126 */   // Label 22763: @1785126
     /* 1785126 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1785230), // Rule ID 11417 //
     /* 1785131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1785139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1785142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1785145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1785148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1785154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785177 */     // MIs[0] policy
     /* 1785177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1785204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1785226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785229 */     // GIR_Coverage, 11417,
     /* 1785229 */     GIR_EraseRootFromParent_Done,
     /* 1785230 */   // Label 22764: @1785230
     /* 1785230 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1785334), // Rule ID 11420 //
     /* 1785235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1785238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1785246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1785249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1785252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1785255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785281 */     // MIs[0] policy
     /* 1785281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1785308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785333 */     // GIR_Coverage, 11420,
     /* 1785333 */     GIR_EraseRootFromParent_Done,
     /* 1785334 */   // Label 22765: @1785334
     /* 1785334 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1785438), // Rule ID 11421 //
     /* 1785339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1785342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1785350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1785353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1785356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1785359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785385 */     // MIs[0] policy
     /* 1785385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1785412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785437 */     // GIR_Coverage, 11421,
     /* 1785437 */     GIR_EraseRootFromParent_Done,
     /* 1785438 */   // Label 22766: @1785438
     /* 1785438 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1785542), // Rule ID 11424 //
     /* 1785443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1785446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785489 */     // MIs[0] policy
     /* 1785489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1785516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785541 */     // GIR_Coverage, 11424,
     /* 1785541 */     GIR_EraseRootFromParent_Done,
     /* 1785542 */   // Label 22767: @1785542
     /* 1785542 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1785646), // Rule ID 11425 //
     /* 1785547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1785550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1785558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1785561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1785564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1785567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1785577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1785589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785593 */     // MIs[0] policy
     /* 1785593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785603 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1785620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785645 */     // GIR_Coverage, 11425,
     /* 1785645 */     GIR_EraseRootFromParent_Done,
     /* 1785646 */   // Label 22768: @1785646
     /* 1785646 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1785750), // Rule ID 11428 //
     /* 1785651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1785654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785697 */     // MIs[0] policy
     /* 1785697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1785724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785749 */     // GIR_Coverage, 11428,
     /* 1785749 */     GIR_EraseRootFromParent_Done,
     /* 1785750 */   // Label 22769: @1785750
     /* 1785750 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1785854), // Rule ID 11429 //
     /* 1785755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1785758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1785766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1785769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1785772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1785775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785801 */     // MIs[0] policy
     /* 1785801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785811 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1785828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785853 */     // GIR_Coverage, 11429,
     /* 1785853 */     GIR_EraseRootFromParent_Done,
     /* 1785854 */   // Label 22770: @1785854
     /* 1785854 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1785958), // Rule ID 11432 //
     /* 1785859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1785862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785905 */     // MIs[0] policy
     /* 1785905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1785919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1785925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1785929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1785932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1785946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785957 */     // GIR_Coverage, 11432,
     /* 1785957 */     GIR_EraseRootFromParent_Done,
     /* 1785958 */   // Label 22771: @1785958
     /* 1785958 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1786062), // Rule ID 11433 //
     /* 1785963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1785966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1785971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786009 */     // MIs[0] policy
     /* 1786009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1786036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786061 */     // GIR_Coverage, 11433,
     /* 1786061 */     GIR_EraseRootFromParent_Done,
     /* 1786062 */   // Label 22772: @1786062
     /* 1786062 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1786166), // Rule ID 11436 //
     /* 1786067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1786070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786113 */     // MIs[0] policy
     /* 1786113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1786140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786165 */     // GIR_Coverage, 11436,
     /* 1786165 */     GIR_EraseRootFromParent_Done,
     /* 1786166 */   // Label 22773: @1786166
     /* 1786166 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1786270), // Rule ID 11437 //
     /* 1786171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1786174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786217 */     // MIs[0] policy
     /* 1786217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11106:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1786244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786269 */     // GIR_Coverage, 11437,
     /* 1786269 */     GIR_EraseRootFromParent_Done,
     /* 1786270 */   // Label 22774: @1786270
     /* 1786270 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1786374), // Rule ID 11440 //
     /* 1786275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1786278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1786286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1786289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1786292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786321 */     // MIs[0] policy
     /* 1786321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1786348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786373 */     // GIR_Coverage, 11440,
     /* 1786373 */     GIR_EraseRootFromParent_Done,
     /* 1786374 */   // Label 22775: @1786374
     /* 1786374 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1786478), // Rule ID 11441 //
     /* 1786379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1786382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1786390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1786393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1786396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786425 */     // MIs[0] policy
     /* 1786425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786435 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1786452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786477 */     // GIR_Coverage, 11441,
     /* 1786477 */     GIR_EraseRootFromParent_Done,
     /* 1786478 */   // Label 22776: @1786478
     /* 1786478 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1786582), // Rule ID 11444 //
     /* 1786483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1786486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1786494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1786497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1786500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786529 */     // MIs[0] policy
     /* 1786529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1786556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786581 */     // GIR_Coverage, 11444,
     /* 1786581 */     GIR_EraseRootFromParent_Done,
     /* 1786582 */   // Label 22777: @1786582
     /* 1786582 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1786686), // Rule ID 11445 //
     /* 1786587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1786590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1786598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1786601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1786604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1786617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1786625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786633 */     // MIs[0] policy
     /* 1786633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1786660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786685 */     // GIR_Coverage, 11445,
     /* 1786685 */     GIR_EraseRootFromParent_Done,
     /* 1786686 */   // Label 22778: @1786686
     /* 1786686 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1786790), // Rule ID 11448 //
     /* 1786691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1786694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1786702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1786705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786737 */     // MIs[0] policy
     /* 1786737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1786764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786789 */     // GIR_Coverage, 11448,
     /* 1786789 */     GIR_EraseRootFromParent_Done,
     /* 1786790 */   // Label 22779: @1786790
     /* 1786790 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1786894), // Rule ID 11449 //
     /* 1786795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1786798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1786803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1786806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1786809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1786812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1786825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1786833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786841 */     // MIs[0] policy
     /* 1786841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786851 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1786868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786893 */     // GIR_Coverage, 11449,
     /* 1786893 */     GIR_EraseRootFromParent_Done,
     /* 1786894 */   // Label 22780: @1786894
     /* 1786894 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1786998), // Rule ID 11452 //
     /* 1786899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1786902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1786907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1786919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786945 */     // MIs[0] policy
     /* 1786945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1786959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1786965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1786969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1786972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1786986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786997 */     // GIR_Coverage, 11452,
     /* 1786997 */     GIR_EraseRootFromParent_Done,
     /* 1786998 */   // Label 22781: @1786998
     /* 1786998 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1787102), // Rule ID 11453 //
     /* 1787003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1787006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1787023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787049 */     // MIs[0] policy
     /* 1787049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787059 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1787076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787101 */     // GIR_Coverage, 11453,
     /* 1787101 */     GIR_EraseRootFromParent_Done,
     /* 1787102 */   // Label 22782: @1787102
     /* 1787102 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1787206), // Rule ID 11456 //
     /* 1787107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1787110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787153 */     // MIs[0] policy
     /* 1787153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787163 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1787180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787205 */     // GIR_Coverage, 11456,
     /* 1787205 */     GIR_EraseRootFromParent_Done,
     /* 1787206 */   // Label 22783: @1787206
     /* 1787206 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1787310), // Rule ID 11457 //
     /* 1787211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1787214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1787231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787257 */     // MIs[0] policy
     /* 1787257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1787284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787309 */     // GIR_Coverage, 11457,
     /* 1787309 */     GIR_EraseRootFromParent_Done,
     /* 1787310 */   // Label 22784: @1787310
     /* 1787310 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1787414), // Rule ID 11460 //
     /* 1787315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1787318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787361 */     // MIs[0] policy
     /* 1787361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787371 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1787388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787413 */     // GIR_Coverage, 11460,
     /* 1787413 */     GIR_EraseRootFromParent_Done,
     /* 1787414 */   // Label 22785: @1787414
     /* 1787414 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1787518), // Rule ID 11461 //
     /* 1787419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1787422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1787430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1787433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1787436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1787439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1787442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787465 */     // MIs[0] policy
     /* 1787465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1787492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787517 */     // GIR_Coverage, 11461,
     /* 1787517 */     GIR_EraseRootFromParent_Done,
     /* 1787518 */   // Label 22786: @1787518
     /* 1787518 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1787622), // Rule ID 11464 //
     /* 1787523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1787526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1787534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1787537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1787540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1787543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787569 */     // MIs[0] policy
     /* 1787569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787579 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1787596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787621 */     // GIR_Coverage, 11464,
     /* 1787621 */     GIR_EraseRootFromParent_Done,
     /* 1787622 */   // Label 22787: @1787622
     /* 1787622 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1787726), // Rule ID 11465 //
     /* 1787627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1787630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1787638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1787641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1787644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1787647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787673 */     // MIs[0] policy
     /* 1787673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1787700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787725 */     // GIR_Coverage, 11465,
     /* 1787725 */     GIR_EraseRootFromParent_Done,
     /* 1787726 */   // Label 22788: @1787726
     /* 1787726 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1787830), // Rule ID 11468 //
     /* 1787731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1787734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787777 */     // MIs[0] policy
     /* 1787777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1787804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787829 */     // GIR_Coverage, 11468,
     /* 1787829 */     GIR_EraseRootFromParent_Done,
     /* 1787830 */   // Label 22789: @1787830
     /* 1787830 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1787934), // Rule ID 11469 //
     /* 1787835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1787838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1787846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1787849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1787852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1787858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1787865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1787873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787881 */     // MIs[0] policy
     /* 1787881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11110:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1787901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1787905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1787908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1787922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1787930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787933 */     // GIR_Coverage, 11469,
     /* 1787933 */     GIR_EraseRootFromParent_Done,
     /* 1787934 */   // Label 22790: @1787934
     /* 1787934 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1788038), // Rule ID 11472 //
     /* 1787939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1787942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1787947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1787950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1787953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1787956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1787962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787985 */     // MIs[0] policy
     /* 1787985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1787999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1788012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788037 */     // GIR_Coverage, 11472,
     /* 1788037 */     GIR_EraseRootFromParent_Done,
     /* 1788038 */   // Label 22791: @1788038
     /* 1788038 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1788142), // Rule ID 11473 //
     /* 1788043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1788046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1788051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788089 */     // MIs[0] policy
     /* 1788089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11110:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1788116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788141 */     // GIR_Coverage, 11473,
     /* 1788141 */     GIR_EraseRootFromParent_Done,
     /* 1788142 */   // Label 22792: @1788142
     /* 1788142 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1788246), // Rule ID 11476 //
     /* 1788147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1788150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1788155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788193 */     // MIs[0] policy
     /* 1788193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1788220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788245 */     // GIR_Coverage, 11476,
     /* 1788245 */     GIR_EraseRootFromParent_Done,
     /* 1788246 */   // Label 22793: @1788246
     /* 1788246 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1788350), // Rule ID 11477 //
     /* 1788251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1788254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1788259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788297 */     // MIs[0] policy
     /* 1788297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11110:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1788324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788349 */     // GIR_Coverage, 11477,
     /* 1788349 */     GIR_EraseRootFromParent_Done,
     /* 1788350 */   // Label 22794: @1788350
     /* 1788350 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1788454), // Rule ID 11480 //
     /* 1788355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1788358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1788363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788401 */     // MIs[0] policy
     /* 1788401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1788428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788453 */     // GIR_Coverage, 11480,
     /* 1788453 */     GIR_EraseRootFromParent_Done,
     /* 1788454 */   // Label 22795: @1788454
     /* 1788454 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1788558), // Rule ID 11481 //
     /* 1788459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1788462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1788467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788505 */     // MIs[0] policy
     /* 1788505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11110:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1788532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788557 */     // GIR_Coverage, 11481,
     /* 1788557 */     GIR_EraseRootFromParent_Done,
     /* 1788558 */   // Label 22796: @1788558
     /* 1788558 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1788662), // Rule ID 11484 //
     /* 1788563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1788566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1788571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1788574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1788577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1788580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1788583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788609 */     // MIs[0] policy
     /* 1788609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1788636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788661 */     // GIR_Coverage, 11484,
     /* 1788661 */     GIR_EraseRootFromParent_Done,
     /* 1788662 */   // Label 22797: @1788662
     /* 1788662 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1788766), // Rule ID 11485 //
     /* 1788667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1788670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1788675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1788678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1788681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1788684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1788687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1788690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1788697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1788709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788713 */     // MIs[0] policy
     /* 1788713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1788740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788765 */     // GIR_Coverage, 11485,
     /* 1788765 */     GIR_EraseRootFromParent_Done,
     /* 1788766 */   // Label 22798: @1788766
     /* 1788766 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1788870), // Rule ID 11488 //
     /* 1788771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1788774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1788779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788817 */     // MIs[0] policy
     /* 1788817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1788844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788869 */     // GIR_Coverage, 11488,
     /* 1788869 */     GIR_EraseRootFromParent_Done,
     /* 1788870 */   // Label 22799: @1788870
     /* 1788870 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1788974), // Rule ID 11489 //
     /* 1788875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1788878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1788883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1788895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788921 */     // MIs[0] policy
     /* 1788921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1788935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1788941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1788945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1788948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1788962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788973 */     // GIR_Coverage, 11489,
     /* 1788973 */     GIR_EraseRootFromParent_Done,
     /* 1788974 */   // Label 22800: @1788974
     /* 1788974 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1789078), // Rule ID 11492 //
     /* 1788979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1788982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1788987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1788999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789025 */     // MIs[0] policy
     /* 1789025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1789052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789077 */     // GIR_Coverage, 11492,
     /* 1789077 */     GIR_EraseRootFromParent_Done,
     /* 1789078 */   // Label 22801: @1789078
     /* 1789078 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1789182), // Rule ID 11493 //
     /* 1789083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1789086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1789103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789129 */     // MIs[0] policy
     /* 1789129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1789156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789181 */     // GIR_Coverage, 11493,
     /* 1789181 */     GIR_EraseRootFromParent_Done,
     /* 1789182 */   // Label 22802: @1789182
     /* 1789182 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1789286), // Rule ID 11496 //
     /* 1789187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1789190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789233 */     // MIs[0] policy
     /* 1789233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1789260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789285 */     // GIR_Coverage, 11496,
     /* 1789285 */     GIR_EraseRootFromParent_Done,
     /* 1789286 */   // Label 22803: @1789286
     /* 1789286 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1789390), // Rule ID 11497 //
     /* 1789291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1789294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1789302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1789305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1789308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1789311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1789314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1789321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1789333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789337 */     // MIs[0] policy
     /* 1789337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1789364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789389 */     // GIR_Coverage, 11497,
     /* 1789389 */     GIR_EraseRootFromParent_Done,
     /* 1789390 */   // Label 22804: @1789390
     /* 1789390 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1789494), // Rule ID 11500 //
     /* 1789395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1789398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789441 */     // MIs[0] policy
     /* 1789441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1789468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789493 */     // GIR_Coverage, 11500,
     /* 1789493 */     GIR_EraseRootFromParent_Done,
     /* 1789494 */   // Label 22805: @1789494
     /* 1789494 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1789598), // Rule ID 11501 //
     /* 1789499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1789502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1789510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1789513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1789516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789545 */     // MIs[0] policy
     /* 1789545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11108:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1789572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789597 */     // GIR_Coverage, 11501,
     /* 1789597 */     GIR_EraseRootFromParent_Done,
     /* 1789598 */   // Label 22806: @1789598
     /* 1789598 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1789702), // Rule ID 11504 //
     /* 1789603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1789606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789649 */     // MIs[0] policy
     /* 1789649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1789676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789701 */     // GIR_Coverage, 11504,
     /* 1789701 */     GIR_EraseRootFromParent_Done,
     /* 1789702 */   // Label 22807: @1789702
     /* 1789702 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1789806), // Rule ID 11505 //
     /* 1789707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1789710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1789718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1789721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1789724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1789737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1789745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789753 */     // MIs[0] policy
     /* 1789753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1789780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789805 */     // GIR_Coverage, 11505,
     /* 1789805 */     GIR_EraseRootFromParent_Done,
     /* 1789806 */   // Label 22808: @1789806
     /* 1789806 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1789910), // Rule ID 11508 //
     /* 1789811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1789814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1789831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789857 */     // MIs[0] policy
     /* 1789857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1789884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1789898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789909 */     // GIR_Coverage, 11508,
     /* 1789909 */     GIR_EraseRootFromParent_Done,
     /* 1789910 */   // Label 22809: @1789910
     /* 1789910 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1790014), // Rule ID 11509 //
     /* 1789915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1789918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1789923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1789926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1789929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1789932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1789935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1789945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1789953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1789957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789961 */     // MIs[0] policy
     /* 1789961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1789975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1789981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1789985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1789988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790013 */     // GIR_Coverage, 11509,
     /* 1790013 */     GIR_EraseRootFromParent_Done,
     /* 1790014 */   // Label 22810: @1790014
     /* 1790014 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1790118), // Rule ID 11512 //
     /* 1790019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1790022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1790027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1790030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1790033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1790036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1790039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790065 */     // MIs[0] policy
     /* 1790065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1790092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790117 */     // GIR_Coverage, 11512,
     /* 1790117 */     GIR_EraseRootFromParent_Done,
     /* 1790118 */   // Label 22811: @1790118
     /* 1790118 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1790222), // Rule ID 11513 //
     /* 1790123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1790126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1790131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1790134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1790137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1790140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1790143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1790153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1790161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1790165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790169 */     // MIs[0] policy
     /* 1790169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1790196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790221 */     // GIR_Coverage, 11513,
     /* 1790221 */     GIR_EraseRootFromParent_Done,
     /* 1790222 */   // Label 22812: @1790222
     /* 1790222 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1790326), // Rule ID 11516 //
     /* 1790227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1790238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1790241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1790244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1790247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790273 */     // MIs[0] policy
     /* 1790273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1790300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790325 */     // GIR_Coverage, 11516,
     /* 1790325 */     GIR_EraseRootFromParent_Done,
     /* 1790326 */   // Label 22813: @1790326
     /* 1790326 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1790430), // Rule ID 11517 //
     /* 1790331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1790342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1790345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1790348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1790351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790377 */     // MIs[0] policy
     /* 1790377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1790404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790429 */     // GIR_Coverage, 11517,
     /* 1790429 */     GIR_EraseRootFromParent_Done,
     /* 1790430 */   // Label 22814: @1790430
     /* 1790430 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1790534), // Rule ID 11520 //
     /* 1790435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1790446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1790449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1790452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1790455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790481 */     // MIs[0] policy
     /* 1790481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790491 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1790508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790533 */     // GIR_Coverage, 11520,
     /* 1790533 */     GIR_EraseRootFromParent_Done,
     /* 1790534 */   // Label 22815: @1790534
     /* 1790534 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1790638), // Rule ID 11521 //
     /* 1790539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1790550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1790553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1790556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1790559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790585 */     // MIs[0] policy
     /* 1790585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1790612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790637 */     // GIR_Coverage, 11521,
     /* 1790637 */     GIR_EraseRootFromParent_Done,
     /* 1790638 */   // Label 22816: @1790638
     /* 1790638 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1790742), // Rule ID 11524 //
     /* 1790643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1790654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1790657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1790660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1790663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790689 */     // MIs[0] policy
     /* 1790689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1790716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790741 */     // GIR_Coverage, 11524,
     /* 1790741 */     GIR_EraseRootFromParent_Done,
     /* 1790742 */   // Label 22817: @1790742
     /* 1790742 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1790846), // Rule ID 11525 //
     /* 1790747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1790758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1790761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1790764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1790767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790793 */     // MIs[0] policy
     /* 1790793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1790820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790845 */     // GIR_Coverage, 11525,
     /* 1790845 */     GIR_EraseRootFromParent_Done,
     /* 1790846 */   // Label 22818: @1790846
     /* 1790846 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1790950), // Rule ID 11528 //
     /* 1790851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790897 */     // MIs[0] policy
     /* 1790897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1790911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1790917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1790921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1790924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1790938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790949 */     // GIR_Coverage, 11528,
     /* 1790949 */     GIR_EraseRootFromParent_Done,
     /* 1790950 */   // Label 22819: @1790950
     /* 1790950 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1791054), // Rule ID 11529 //
     /* 1790955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1790963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1790966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1790969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1790972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1790975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791001 */     // MIs[0] policy
     /* 1791001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1791028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791053 */     // GIR_Coverage, 11529,
     /* 1791053 */     GIR_EraseRootFromParent_Done,
     /* 1791054 */   // Label 22820: @1791054
     /* 1791054 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1791158), // Rule ID 11532 //
     /* 1791059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1791070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1791073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1791076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1791079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791105 */     // MIs[0] policy
     /* 1791105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1791132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791157 */     // GIR_Coverage, 11532,
     /* 1791157 */     GIR_EraseRootFromParent_Done,
     /* 1791158 */   // Label 22821: @1791158
     /* 1791158 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1791262), // Rule ID 11533 //
     /* 1791163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1791174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1791177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1791180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1791183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791209 */     // MIs[0] policy
     /* 1791209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1791236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791261 */     // GIR_Coverage, 11533,
     /* 1791261 */     GIR_EraseRootFromParent_Done,
     /* 1791262 */   // Label 22822: @1791262
     /* 1791262 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1791366), // Rule ID 11536 //
     /* 1791267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1791278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1791281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1791284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1791287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791313 */     // MIs[0] policy
     /* 1791313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1791340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791365 */     // GIR_Coverage, 11536,
     /* 1791365 */     GIR_EraseRootFromParent_Done,
     /* 1791366 */   // Label 22823: @1791366
     /* 1791366 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1791470), // Rule ID 11537 //
     /* 1791371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1791382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1791385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1791388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1791391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1791394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791417 */     // MIs[0] policy
     /* 1791417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1791444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791469 */     // GIR_Coverage, 11537,
     /* 1791469 */     GIR_EraseRootFromParent_Done,
     /* 1791470 */   // Label 22824: @1791470
     /* 1791470 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1791574), // Rule ID 11540 //
     /* 1791475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1791486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1791489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1791492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1791495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791521 */     // MIs[0] policy
     /* 1791521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1791548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791573 */     // GIR_Coverage, 11540,
     /* 1791573 */     GIR_EraseRootFromParent_Done,
     /* 1791574 */   // Label 22825: @1791574
     /* 1791574 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1791678), // Rule ID 11541 //
     /* 1791579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1791590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1791593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1791596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1791599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791625 */     // MIs[0] policy
     /* 1791625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791635 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1791652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791677 */     // GIR_Coverage, 11541,
     /* 1791677 */     GIR_EraseRootFromParent_Done,
     /* 1791678 */   // Label 22826: @1791678
     /* 1791678 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1791782), // Rule ID 11544 //
     /* 1791683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1791694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1791697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1791700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1791703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791729 */     // MIs[0] policy
     /* 1791729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1791756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791781 */     // GIR_Coverage, 11544,
     /* 1791781 */     GIR_EraseRootFromParent_Done,
     /* 1791782 */   // Label 22827: @1791782
     /* 1791782 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1791886), // Rule ID 11545 //
     /* 1791787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1791798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1791801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1791804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1791807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791833 */     // MIs[0] policy
     /* 1791833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1791860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791885 */     // GIR_Coverage, 11545,
     /* 1791885 */     GIR_EraseRootFromParent_Done,
     /* 1791886 */   // Label 22828: @1791886
     /* 1791886 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1791990), // Rule ID 11548 //
     /* 1791891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1791899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1791902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1791905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1791908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1791911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1791914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1791921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1791933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791937 */     // MIs[0] policy
     /* 1791937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1791951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1791957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1791961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1791964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1791978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791989 */     // GIR_Coverage, 11548,
     /* 1791989 */     GIR_EraseRootFromParent_Done,
     /* 1791990 */   // Label 22829: @1791990
     /* 1791990 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1792094), // Rule ID 11549 //
     /* 1791995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1792006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1792009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1792012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1792015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792041 */     // MIs[0] policy
     /* 1792041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1792068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792093 */     // GIR_Coverage, 11549,
     /* 1792093 */     GIR_EraseRootFromParent_Done,
     /* 1792094 */   // Label 22830: @1792094
     /* 1792094 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1792198), // Rule ID 11552 //
     /* 1792099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1792110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1792113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1792116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1792119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792145 */     // MIs[0] policy
     /* 1792145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1792172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792197 */     // GIR_Coverage, 11552,
     /* 1792197 */     GIR_EraseRootFromParent_Done,
     /* 1792198 */   // Label 22831: @1792198
     /* 1792198 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1792302), // Rule ID 11553 //
     /* 1792203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1792214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1792217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1792220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1792223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792249 */     // MIs[0] policy
     /* 1792249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1792276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792301 */     // GIR_Coverage, 11553,
     /* 1792301 */     GIR_EraseRootFromParent_Done,
     /* 1792302 */   // Label 22832: @1792302
     /* 1792302 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1792406), // Rule ID 11556 //
     /* 1792307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1792318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1792321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792353 */     // MIs[0] policy
     /* 1792353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1792380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792405 */     // GIR_Coverage, 11556,
     /* 1792405 */     GIR_EraseRootFromParent_Done,
     /* 1792406 */   // Label 22833: @1792406
     /* 1792406 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1792510), // Rule ID 11557 //
     /* 1792411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1792422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1792425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1792428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1792431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792457 */     // MIs[0] policy
     /* 1792457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1792484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792509 */     // GIR_Coverage, 11557,
     /* 1792509 */     GIR_EraseRootFromParent_Done,
     /* 1792510 */   // Label 22834: @1792510
     /* 1792510 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1792614), // Rule ID 11560 //
     /* 1792515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1792526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1792529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1792532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1792535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792561 */     // MIs[0] policy
     /* 1792561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1792588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792613 */     // GIR_Coverage, 11560,
     /* 1792613 */     GIR_EraseRootFromParent_Done,
     /* 1792614 */   // Label 22835: @1792614
     /* 1792614 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1792718), // Rule ID 11561 //
     /* 1792619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1792630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1792633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1792636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1792639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1792642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792665 */     // MIs[0] policy
     /* 1792665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1792692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792717 */     // GIR_Coverage, 11561,
     /* 1792717 */     GIR_EraseRootFromParent_Done,
     /* 1792718 */   // Label 22836: @1792718
     /* 1792718 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1792822), // Rule ID 11564 //
     /* 1792723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1792734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1792737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1792740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1792743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1792746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792769 */     // MIs[0] policy
     /* 1792769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1792796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792821 */     // GIR_Coverage, 11564,
     /* 1792821 */     GIR_EraseRootFromParent_Done,
     /* 1792822 */   // Label 22837: @1792822
     /* 1792822 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1792926), // Rule ID 11565 //
     /* 1792827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1792838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1792841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1792844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1792847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1792850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792873 */     // MIs[0] policy
     /* 1792873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1792897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1792900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1792914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792925 */     // GIR_Coverage, 11565,
     /* 1792925 */     GIR_EraseRootFromParent_Done,
     /* 1792926 */   // Label 22838: @1792926
     /* 1792926 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1793030), // Rule ID 11568 //
     /* 1792931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1792939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1792942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1792945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1792948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1792951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792977 */     // MIs[0] policy
     /* 1792977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1792991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1792997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1793004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793029 */     // GIR_Coverage, 11568,
     /* 1793029 */     GIR_EraseRootFromParent_Done,
     /* 1793030 */   // Label 22839: @1793030
     /* 1793030 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1793134), // Rule ID 11569 //
     /* 1793035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1793046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1793049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1793052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1793055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793081 */     // MIs[0] policy
     /* 1793081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1793108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793133 */     // GIR_Coverage, 11569,
     /* 1793133 */     GIR_EraseRootFromParent_Done,
     /* 1793134 */   // Label 22840: @1793134
     /* 1793134 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1793238), // Rule ID 11572 //
     /* 1793139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793185 */     // MIs[0] policy
     /* 1793185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1793212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793237 */     // GIR_Coverage, 11572,
     /* 1793237 */     GIR_EraseRootFromParent_Done,
     /* 1793238 */   // Label 22841: @1793238
     /* 1793238 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1793342), // Rule ID 11573 //
     /* 1793243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1793254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1793257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1793260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1793263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793289 */     // MIs[0] policy
     /* 1793289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1793316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793341 */     // GIR_Coverage, 11573,
     /* 1793341 */     GIR_EraseRootFromParent_Done,
     /* 1793342 */   // Label 22842: @1793342
     /* 1793342 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1793446), // Rule ID 11576 //
     /* 1793347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1793364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1793367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793393 */     // MIs[0] policy
     /* 1793393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1793420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793445 */     // GIR_Coverage, 11576,
     /* 1793445 */     GIR_EraseRootFromParent_Done,
     /* 1793446 */   // Label 22843: @1793446
     /* 1793446 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1793550), // Rule ID 11577 //
     /* 1793451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1793462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1793465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1793468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1793471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1793474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1793481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1793493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793497 */     // MIs[0] policy
     /* 1793497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1793524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793549 */     // GIR_Coverage, 11577,
     /* 1793549 */     GIR_EraseRootFromParent_Done,
     /* 1793550 */   // Label 22844: @1793550
     /* 1793550 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1793654), // Rule ID 11580 //
     /* 1793555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1793566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1793569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1793572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1793575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793601 */     // MIs[0] policy
     /* 1793601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1793628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793653 */     // GIR_Coverage, 11580,
     /* 1793653 */     GIR_EraseRootFromParent_Done,
     /* 1793654 */   // Label 22845: @1793654
     /* 1793654 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1793758), // Rule ID 11581 //
     /* 1793659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1793670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1793673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1793676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1793679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1793689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1793701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793705 */     // MIs[0] policy
     /* 1793705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1793732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793757 */     // GIR_Coverage, 11581,
     /* 1793757 */     GIR_EraseRootFromParent_Done,
     /* 1793758 */   // Label 22846: @1793758
     /* 1793758 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1793862), // Rule ID 11584 //
     /* 1793763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1793780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1793783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793809 */     // MIs[0] policy
     /* 1793809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1793836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793861 */     // GIR_Coverage, 11584,
     /* 1793861 */     GIR_EraseRootFromParent_Done,
     /* 1793862 */   // Label 22847: @1793862
     /* 1793862 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1793966), // Rule ID 11585 //
     /* 1793867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1793878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1793881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1793884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1793887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1793897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1793909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793913 */     // MIs[0] policy
     /* 1793913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1793927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1793933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1793937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1793940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1793954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793965 */     // GIR_Coverage, 11585,
     /* 1793965 */     GIR_EraseRootFromParent_Done,
     /* 1793966 */   // Label 22848: @1793966
     /* 1793966 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1794070), // Rule ID 11588 //
     /* 1793971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1793979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1793982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1793985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1793988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1793991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1793994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794017 */     // MIs[0] policy
     /* 1794017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794027 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1794044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794069 */     // GIR_Coverage, 11588,
     /* 1794069 */     GIR_EraseRootFromParent_Done,
     /* 1794070 */   // Label 22849: @1794070
     /* 1794070 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1794174), // Rule ID 11589 //
     /* 1794075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1794086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1794089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1794092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1794095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794121 */     // MIs[0] policy
     /* 1794121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1794148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794173 */     // GIR_Coverage, 11589,
     /* 1794173 */     GIR_EraseRootFromParent_Done,
     /* 1794174 */   // Label 22850: @1794174
     /* 1794174 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1794278), // Rule ID 11592 //
     /* 1794179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1794182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1794196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1794199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794225 */     // MIs[0] policy
     /* 1794225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1794252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794277 */     // GIR_Coverage, 11592,
     /* 1794277 */     GIR_EraseRootFromParent_Done,
     /* 1794278 */   // Label 22851: @1794278
     /* 1794278 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1794382), // Rule ID 11593 //
     /* 1794283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1794286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1794294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1794297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1794300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1794303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794329 */     // MIs[0] policy
     /* 1794329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1794356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794381 */     // GIR_Coverage, 11593,
     /* 1794381 */     GIR_EraseRootFromParent_Done,
     /* 1794382 */   // Label 22852: @1794382
     /* 1794382 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1794486), // Rule ID 11596 //
     /* 1794387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1794390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1794404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1794407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794433 */     // MIs[0] policy
     /* 1794433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1794460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794485 */     // GIR_Coverage, 11596,
     /* 1794485 */     GIR_EraseRootFromParent_Done,
     /* 1794486 */   // Label 22853: @1794486
     /* 1794486 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1794590), // Rule ID 11597 //
     /* 1794491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1794494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1794502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1794505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1794508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1794511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794537 */     // MIs[0] policy
     /* 1794537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1794564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794589 */     // GIR_Coverage, 11597,
     /* 1794589 */     GIR_EraseRootFromParent_Done,
     /* 1794590 */   // Label 22854: @1794590
     /* 1794590 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1794694), // Rule ID 11600 //
     /* 1794595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1794598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1794612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1794615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794641 */     // MIs[0] policy
     /* 1794641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1794668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794693 */     // GIR_Coverage, 11600,
     /* 1794693 */     GIR_EraseRootFromParent_Done,
     /* 1794694 */   // Label 22855: @1794694
     /* 1794694 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1794798), // Rule ID 11601 //
     /* 1794699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1794702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1794710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1794713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1794716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1794719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1794722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794745 */     // MIs[0] policy
     /* 1794745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1794772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794797 */     // GIR_Coverage, 11601,
     /* 1794797 */     GIR_EraseRootFromParent_Done,
     /* 1794798 */   // Label 22856: @1794798
     /* 1794798 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1794902), // Rule ID 11604 //
     /* 1794803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1794814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1794817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794849 */     // MIs[0] policy
     /* 1794849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1794876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794901 */     // GIR_Coverage, 11604,
     /* 1794901 */     GIR_EraseRootFromParent_Done,
     /* 1794902 */   // Label 22857: @1794902
     /* 1794902 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1795006), // Rule ID 11605 //
     /* 1794907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1794915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1794918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1794921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1794924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794953 */     // MIs[0] policy
     /* 1794953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1794967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1794973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1794977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1794980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1794994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795005 */     // GIR_Coverage, 11605,
     /* 1795005 */     GIR_EraseRootFromParent_Done,
     /* 1795006 */   // Label 22858: @1795006
     /* 1795006 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1795110), // Rule ID 11608 //
     /* 1795011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1795022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1795025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795057 */     // MIs[0] policy
     /* 1795057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1795084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795109 */     // GIR_Coverage, 11608,
     /* 1795109 */     GIR_EraseRootFromParent_Done,
     /* 1795110 */   // Label 22859: @1795110
     /* 1795110 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1795214), // Rule ID 11609 //
     /* 1795115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1795126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1795129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1795132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795161 */     // MIs[0] policy
     /* 1795161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1795188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795213 */     // GIR_Coverage, 11609,
     /* 1795213 */     GIR_EraseRootFromParent_Done,
     /* 1795214 */   // Label 22860: @1795214
     /* 1795214 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1795318), // Rule ID 11612 //
     /* 1795219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1795230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1795233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795265 */     // MIs[0] policy
     /* 1795265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1795292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795317 */     // GIR_Coverage, 11612,
     /* 1795317 */     GIR_EraseRootFromParent_Done,
     /* 1795318 */   // Label 22861: @1795318
     /* 1795318 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1795422), // Rule ID 11613 //
     /* 1795323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1795334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1795337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1795340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795369 */     // MIs[0] policy
     /* 1795369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1795396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795421 */     // GIR_Coverage, 11613,
     /* 1795421 */     GIR_EraseRootFromParent_Done,
     /* 1795422 */   // Label 22862: @1795422
     /* 1795422 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1795526), // Rule ID 11616 //
     /* 1795427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795473 */     // MIs[0] policy
     /* 1795473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1795500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795525 */     // GIR_Coverage, 11616,
     /* 1795525 */     GIR_EraseRootFromParent_Done,
     /* 1795526 */   // Label 22863: @1795526
     /* 1795526 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1795630), // Rule ID 11617 //
     /* 1795531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1795542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1795545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1795548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795577 */     // MIs[0] policy
     /* 1795577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1795604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795629 */     // GIR_Coverage, 11617,
     /* 1795629 */     GIR_EraseRootFromParent_Done,
     /* 1795630 */   // Label 22864: @1795630
     /* 1795630 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1795734), // Rule ID 11620 //
     /* 1795635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795681 */     // MIs[0] policy
     /* 1795681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1795708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795733 */     // GIR_Coverage, 11620,
     /* 1795733 */     GIR_EraseRootFromParent_Done,
     /* 1795734 */   // Label 22865: @1795734
     /* 1795734 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1795838), // Rule ID 11621 //
     /* 1795739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1795750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1795753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1795756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1795762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795785 */     // MIs[0] policy
     /* 1795785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795795 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1795812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795837 */     // GIR_Coverage, 11621,
     /* 1795837 */     GIR_EraseRootFromParent_Done,
     /* 1795838 */   // Label 22866: @1795838
     /* 1795838 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1795942), // Rule ID 11624 //
     /* 1795843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795889 */     // MIs[0] policy
     /* 1795889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1795903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1795909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1795913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1795916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1795930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795941 */     // GIR_Coverage, 11624,
     /* 1795941 */     GIR_EraseRootFromParent_Done,
     /* 1795942 */   // Label 22867: @1795942
     /* 1795942 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1796046), // Rule ID 11625 //
     /* 1795947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1795955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1795958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1795961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1795964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1795970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1795977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1795985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795993 */     // MIs[0] policy
     /* 1795993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1796020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796045 */     // GIR_Coverage, 11625,
     /* 1796045 */     GIR_EraseRootFromParent_Done,
     /* 1796046 */   // Label 22868: @1796046
     /* 1796046 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1796150), // Rule ID 11628 //
     /* 1796051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1796062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1796065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796097 */     // MIs[0] policy
     /* 1796097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1796124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796149 */     // GIR_Coverage, 11628,
     /* 1796149 */     GIR_EraseRootFromParent_Done,
     /* 1796150 */   // Label 22869: @1796150
     /* 1796150 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1796254), // Rule ID 11629 //
     /* 1796155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1796166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1796169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1796172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796201 */     // MIs[0] policy
     /* 1796201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10818:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1796228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796253 */     // GIR_Coverage, 11629,
     /* 1796253 */     GIR_EraseRootFromParent_Done,
     /* 1796254 */   // Label 22870: @1796254
     /* 1796254 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1796358), // Rule ID 11632 //
     /* 1796259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796305 */     // MIs[0] policy
     /* 1796305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1796332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796357 */     // GIR_Coverage, 11632,
     /* 1796357 */     GIR_EraseRootFromParent_Done,
     /* 1796358 */   // Label 22871: @1796358
     /* 1796358 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1796462), // Rule ID 11633 //
     /* 1796363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1796374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1796377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1796380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796409 */     // MIs[0] policy
     /* 1796409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10818:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1796436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1796458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796461 */     // GIR_Coverage, 11633,
     /* 1796461 */     GIR_EraseRootFromParent_Done,
     /* 1796462 */   // Label 22872: @1796462
     /* 1796462 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1796566), // Rule ID 11636 //
     /* 1796467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796513 */     // MIs[0] policy
     /* 1796513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1796540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796565 */     // GIR_Coverage, 11636,
     /* 1796565 */     GIR_EraseRootFromParent_Done,
     /* 1796566 */   // Label 22873: @1796566
     /* 1796566 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1796670), // Rule ID 11637 //
     /* 1796571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1796582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1796585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1796588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796617 */     // MIs[0] policy
     /* 1796617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10818:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1796644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796669 */     // GIR_Coverage, 11637,
     /* 1796669 */     GIR_EraseRootFromParent_Done,
     /* 1796670 */   // Label 22874: @1796670
     /* 1796670 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1796774), // Rule ID 11640 //
     /* 1796675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1796692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796721 */     // MIs[0] policy
     /* 1796721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1796748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796773 */     // GIR_Coverage, 11640,
     /* 1796773 */     GIR_EraseRootFromParent_Done,
     /* 1796774 */   // Label 22875: @1796774
     /* 1796774 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1796878), // Rule ID 11641 //
     /* 1796779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1796790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1796793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1796796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796825 */     // MIs[0] policy
     /* 1796825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10818:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1796852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796877 */     // GIR_Coverage, 11641,
     /* 1796877 */     GIR_EraseRootFromParent_Done,
     /* 1796878 */   // Label 22876: @1796878
     /* 1796878 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1796982), // Rule ID 11644 //
     /* 1796883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1796894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1796897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1796900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796929 */     // MIs[0] policy
     /* 1796929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1796943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1796949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1796953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1796956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1796970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796981 */     // GIR_Coverage, 11644,
     /* 1796981 */     GIR_EraseRootFromParent_Done,
     /* 1796982 */   // Label 22877: @1796982
     /* 1796982 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1797086), // Rule ID 11645 //
     /* 1796987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1796995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1796998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1797001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1797004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797033 */     // MIs[0] policy
     /* 1797033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1797060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797085 */     // GIR_Coverage, 11645,
     /* 1797085 */     GIR_EraseRootFromParent_Done,
     /* 1797086 */   // Label 22878: @1797086
     /* 1797086 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1797190), // Rule ID 11648 //
     /* 1797091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1797102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1797105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797137 */     // MIs[0] policy
     /* 1797137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1797164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797189 */     // GIR_Coverage, 11648,
     /* 1797189 */     GIR_EraseRootFromParent_Done,
     /* 1797190 */   // Label 22879: @1797190
     /* 1797190 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1797294), // Rule ID 11649 //
     /* 1797195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1797206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1797209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1797212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797241 */     // MIs[0] policy
     /* 1797241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1797268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797293 */     // GIR_Coverage, 11649,
     /* 1797293 */     GIR_EraseRootFromParent_Done,
     /* 1797294 */   // Label 22880: @1797294
     /* 1797294 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1797398), // Rule ID 11652 //
     /* 1797299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1797310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1797313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1797316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1797322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797345 */     // MIs[0] policy
     /* 1797345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1797372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797397 */     // GIR_Coverage, 11652,
     /* 1797397 */     GIR_EraseRootFromParent_Done,
     /* 1797398 */   // Label 22881: @1797398
     /* 1797398 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1797502), // Rule ID 11653 //
     /* 1797403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1797414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1797417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1797420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1797426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797449 */     // MIs[0] policy
     /* 1797449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1797476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797501 */     // GIR_Coverage, 11653,
     /* 1797501 */     GIR_EraseRootFromParent_Done,
     /* 1797502 */   // Label 22882: @1797502
     /* 1797502 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1797606), // Rule ID 11656 //
     /* 1797507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797553 */     // MIs[0] policy
     /* 1797553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1797580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797605 */     // GIR_Coverage, 11656,
     /* 1797605 */     GIR_EraseRootFromParent_Done,
     /* 1797606 */   // Label 22883: @1797606
     /* 1797606 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1797710), // Rule ID 11657 //
     /* 1797611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1797622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1797625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1797628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1797641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1797649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797657 */     // MIs[0] policy
     /* 1797657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1797684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797709 */     // GIR_Coverage, 11657,
     /* 1797709 */     GIR_EraseRootFromParent_Done,
     /* 1797710 */   // Label 22884: @1797710
     /* 1797710 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1797814), // Rule ID 11660 //
     /* 1797715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1797726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1797729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797761 */     // MIs[0] policy
     /* 1797761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1797788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797813 */     // GIR_Coverage, 11660,
     /* 1797813 */     GIR_EraseRootFromParent_Done,
     /* 1797814 */   // Label 22885: @1797814
     /* 1797814 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1797918), // Rule ID 11661 //
     /* 1797819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1797830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1797833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1797836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1797839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1797842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1797849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1797857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797865 */     // MIs[0] policy
     /* 1797865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1797892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1797906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797917 */     // GIR_Coverage, 11661,
     /* 1797917 */     GIR_EraseRootFromParent_Done,
     /* 1797918 */   // Label 22886: @1797918
     /* 1797918 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1798022), // Rule ID 11664 //
     /* 1797923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1797931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1797934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1797937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1797940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1797943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1797946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1797953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1797961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1797965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797969 */     // MIs[0] policy
     /* 1797969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1797983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1797989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1797993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1797996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798021 */     // GIR_Coverage, 11664,
     /* 1798021 */     GIR_EraseRootFromParent_Done,
     /* 1798022 */   // Label 22887: @1798022
     /* 1798022 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1798126), // Rule ID 11665 //
     /* 1798027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1798038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1798041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1798044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798073 */     // MIs[0] policy
     /* 1798073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1798100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798125 */     // GIR_Coverage, 11665,
     /* 1798125 */     GIR_EraseRootFromParent_Done,
     /* 1798126 */   // Label 22888: @1798126
     /* 1798126 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1798230), // Rule ID 11668 //
     /* 1798131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798177 */     // MIs[0] policy
     /* 1798177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1798204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798229 */     // GIR_Coverage, 11668,
     /* 1798229 */     GIR_EraseRootFromParent_Done,
     /* 1798230 */   // Label 22889: @1798230
     /* 1798230 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1798334), // Rule ID 11669 //
     /* 1798235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1798246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1798249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1798252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798281 */     // MIs[0] policy
     /* 1798281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1798308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798333 */     // GIR_Coverage, 11669,
     /* 1798333 */     GIR_EraseRootFromParent_Done,
     /* 1798334 */   // Label 22890: @1798334
     /* 1798334 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1798438), // Rule ID 11672 //
     /* 1798339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798385 */     // MIs[0] policy
     /* 1798385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1798412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798437 */     // GIR_Coverage, 11672,
     /* 1798437 */     GIR_EraseRootFromParent_Done,
     /* 1798438 */   // Label 22891: @1798438
     /* 1798438 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1798542), // Rule ID 11673 //
     /* 1798443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1798454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1798457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1798460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798489 */     // MIs[0] policy
     /* 1798489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1798516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798541 */     // GIR_Coverage, 11673,
     /* 1798541 */     GIR_EraseRootFromParent_Done,
     /* 1798542 */   // Label 22892: @1798542
     /* 1798542 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1798646), // Rule ID 11676 //
     /* 1798547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1798564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798593 */     // MIs[0] policy
     /* 1798593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1798620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798645 */     // GIR_Coverage, 11676,
     /* 1798645 */     GIR_EraseRootFromParent_Done,
     /* 1798646 */   // Label 22893: @1798646
     /* 1798646 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1798750), // Rule ID 11677 //
     /* 1798651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1798662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1798665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1798668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798697 */     // MIs[0] policy
     /* 1798697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1798724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798749 */     // GIR_Coverage, 11677,
     /* 1798749 */     GIR_EraseRootFromParent_Done,
     /* 1798750 */   // Label 22894: @1798750
     /* 1798750 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1798854), // Rule ID 11680 //
     /* 1798755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1798758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1798766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1798769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1798772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798801 */     // MIs[0] policy
     /* 1798801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1798828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798853 */     // GIR_Coverage, 11680,
     /* 1798853 */     GIR_EraseRootFromParent_Done,
     /* 1798854 */   // Label 22895: @1798854
     /* 1798854 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1798958), // Rule ID 11681 //
     /* 1798859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1798862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1798870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1798873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1798876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1798879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1798901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798905 */     // MIs[0] policy
     /* 1798905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10818:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1798919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1798925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1798929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1798932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1798946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798957 */     // GIR_Coverage, 11681,
     /* 1798957 */     GIR_EraseRootFromParent_Done,
     /* 1798958 */   // Label 22896: @1798958
     /* 1798958 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1799062), // Rule ID 11684 //
     /* 1798963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1798966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1798971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1798974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1798977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1798980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1798983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1798986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799009 */     // MIs[0] policy
     /* 1799009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1799036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799061 */     // GIR_Coverage, 11684,
     /* 1799061 */     GIR_EraseRootFromParent_Done,
     /* 1799062 */   // Label 22897: @1799062
     /* 1799062 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1799166), // Rule ID 11685 //
     /* 1799067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1799075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1799078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1799081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1799084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799113 */     // MIs[0] policy
     /* 1799113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10818:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1799140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799165 */     // GIR_Coverage, 11685,
     /* 1799165 */     GIR_EraseRootFromParent_Done,
     /* 1799166 */   // Label 22898: @1799166
     /* 1799166 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1799270), // Rule ID 11688 //
     /* 1799171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1799179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1799191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799217 */     // MIs[0] policy
     /* 1799217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1799244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799269 */     // GIR_Coverage, 11688,
     /* 1799269 */     GIR_EraseRootFromParent_Done,
     /* 1799270 */   // Label 22899: @1799270
     /* 1799270 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1799374), // Rule ID 11689 //
     /* 1799275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1799283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1799286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1799289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1799292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1799295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1799317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799321 */     // MIs[0] policy
     /* 1799321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10818:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1799348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799373 */     // GIR_Coverage, 11689,
     /* 1799373 */     GIR_EraseRootFromParent_Done,
     /* 1799374 */   // Label 22900: @1799374
     /* 1799374 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1799478), // Rule ID 11692 //
     /* 1799379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1799390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1799393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1799399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799425 */     // MIs[0] policy
     /* 1799425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1799452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799477 */     // GIR_Coverage, 11692,
     /* 1799477 */     GIR_EraseRootFromParent_Done,
     /* 1799478 */   // Label 22901: @1799478
     /* 1799478 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1799582), // Rule ID 11693 //
     /* 1799483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1799494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1799497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1799500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1799503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1799506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799529 */     // MIs[0] policy
     /* 1799529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799539 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1799556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799581 */     // GIR_Coverage, 11693,
     /* 1799581 */     GIR_EraseRootFromParent_Done,
     /* 1799582 */   // Label 22902: @1799582
     /* 1799582 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1799686), // Rule ID 11696 //
     /* 1799587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1799598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1799601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1799607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799633 */     // MIs[0] policy
     /* 1799633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799643 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1799660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799685 */     // GIR_Coverage, 11696,
     /* 1799685 */     GIR_EraseRootFromParent_Done,
     /* 1799686 */   // Label 22903: @1799686
     /* 1799686 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1799790), // Rule ID 11697 //
     /* 1799691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1799702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1799705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1799708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1799711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799737 */     // MIs[0] policy
     /* 1799737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1799764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799789 */     // GIR_Coverage, 11697,
     /* 1799789 */     GIR_EraseRootFromParent_Done,
     /* 1799790 */   // Label 22904: @1799790
     /* 1799790 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1799894), // Rule ID 11700 //
     /* 1799795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1799806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1799809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1799815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799841 */     // MIs[0] policy
     /* 1799841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1799868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799893 */     // GIR_Coverage, 11700,
     /* 1799893 */     GIR_EraseRootFromParent_Done,
     /* 1799894 */   // Label 22905: @1799894
     /* 1799894 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1799998), // Rule ID 11701 //
     /* 1799899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1799907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1799910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1799913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1799916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1799919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1799929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1799941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799945 */     // MIs[0] policy
     /* 1799945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1799959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1799965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1799969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1799972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1799986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1799994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799997 */     // GIR_Coverage, 11701,
     /* 1799997 */     GIR_EraseRootFromParent_Done,
     /* 1799998 */   // Label 22906: @1799998
     /* 1799998 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1800102), // Rule ID 11704 //
     /* 1800003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800049 */     // MIs[0] policy
     /* 1800049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1800076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800101 */     // GIR_Coverage, 11704,
     /* 1800101 */     GIR_EraseRootFromParent_Done,
     /* 1800102 */   // Label 22907: @1800102
     /* 1800102 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1800206), // Rule ID 11705 //
     /* 1800107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1800127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800153 */     // MIs[0] policy
     /* 1800153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1800180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800205 */     // GIR_Coverage, 11705,
     /* 1800205 */     GIR_EraseRootFromParent_Done,
     /* 1800206 */   // Label 22908: @1800206
     /* 1800206 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1800310), // Rule ID 11708 //
     /* 1800211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800257 */     // MIs[0] policy
     /* 1800257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1800284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800309 */     // GIR_Coverage, 11708,
     /* 1800309 */     GIR_EraseRootFromParent_Done,
     /* 1800310 */   // Label 22909: @1800310
     /* 1800310 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1800414), // Rule ID 11709 //
     /* 1800315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1800326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1800329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1800332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1800335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800361 */     // MIs[0] policy
     /* 1800361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1800388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800413 */     // GIR_Coverage, 11709,
     /* 1800413 */     GIR_EraseRootFromParent_Done,
     /* 1800414 */   // Label 22910: @1800414
     /* 1800414 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1800518), // Rule ID 11712 //
     /* 1800419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800465 */     // MIs[0] policy
     /* 1800465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1800492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800517 */     // GIR_Coverage, 11712,
     /* 1800517 */     GIR_EraseRootFromParent_Done,
     /* 1800518 */   // Label 22911: @1800518
     /* 1800518 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1800622), // Rule ID 11713 //
     /* 1800523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1800534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1800537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1800540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1800543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800569 */     // MIs[0] policy
     /* 1800569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1800596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1800618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800621 */     // GIR_Coverage, 11713,
     /* 1800621 */     GIR_EraseRootFromParent_Done,
     /* 1800622 */   // Label 22912: @1800622
     /* 1800622 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1800726), // Rule ID 11716 //
     /* 1800627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1800638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1800641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800673 */     // MIs[0] policy
     /* 1800673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1800700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800725 */     // GIR_Coverage, 11716,
     /* 1800725 */     GIR_EraseRootFromParent_Done,
     /* 1800726 */   // Label 22913: @1800726
     /* 1800726 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1800830), // Rule ID 11717 //
     /* 1800731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1800742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1800745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1800748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1800751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800777 */     // MIs[0] policy
     /* 1800777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1800804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800829 */     // GIR_Coverage, 11717,
     /* 1800829 */     GIR_EraseRootFromParent_Done,
     /* 1800830 */   // Label 22914: @1800830
     /* 1800830 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1800934), // Rule ID 11720 //
     /* 1800835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1800855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800881 */     // MIs[0] policy
     /* 1800881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1800901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1800905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1800908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1800922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800933 */     // GIR_Coverage, 11720,
     /* 1800933 */     GIR_EraseRootFromParent_Done,
     /* 1800934 */   // Label 22915: @1800934
     /* 1800934 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1801038), // Rule ID 11721 //
     /* 1800939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1800947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1800950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1800953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1800956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1800959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800985 */     // MIs[0] policy
     /* 1800985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1800999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1801012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801037 */     // GIR_Coverage, 11721,
     /* 1801037 */     GIR_EraseRootFromParent_Done,
     /* 1801038 */   // Label 22916: @1801038
     /* 1801038 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1801142), // Rule ID 11724 //
     /* 1801043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801089 */     // MIs[0] policy
     /* 1801089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1801116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801141 */     // GIR_Coverage, 11724,
     /* 1801141 */     GIR_EraseRootFromParent_Done,
     /* 1801142 */   // Label 22917: @1801142
     /* 1801142 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1801246), // Rule ID 11725 //
     /* 1801147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1801167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801193 */     // MIs[0] policy
     /* 1801193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1801220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801245 */     // GIR_Coverage, 11725,
     /* 1801245 */     GIR_EraseRootFromParent_Done,
     /* 1801246 */   // Label 22918: @1801246
     /* 1801246 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1801350), // Rule ID 11728 //
     /* 1801251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1801254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1801268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1801271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801297 */     // MIs[0] policy
     /* 1801297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1801324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1801346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801349 */     // GIR_Coverage, 11728,
     /* 1801349 */     GIR_EraseRootFromParent_Done,
     /* 1801350 */   // Label 22919: @1801350
     /* 1801350 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1801454), // Rule ID 11729 //
     /* 1801355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1801358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1801372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1801375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801401 */     // MIs[0] policy
     /* 1801401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1801428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1801450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801453 */     // GIR_Coverage, 11729,
     /* 1801453 */     GIR_EraseRootFromParent_Done,
     /* 1801454 */   // Label 22920: @1801454
     /* 1801454 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1801558), // Rule ID 11732 //
     /* 1801459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1801470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1801473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1801479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801505 */     // MIs[0] policy
     /* 1801505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801515 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1801532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801557 */     // GIR_Coverage, 11732,
     /* 1801557 */     GIR_EraseRootFromParent_Done,
     /* 1801558 */   // Label 22921: @1801558
     /* 1801558 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1801662), // Rule ID 11733 //
     /* 1801563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1801574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1801577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1801580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1801583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1801586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1801593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1801605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801609 */     // MIs[0] policy
     /* 1801609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1801636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801661 */     // GIR_Coverage, 11733,
     /* 1801661 */     GIR_EraseRootFromParent_Done,
     /* 1801662 */   // Label 22922: @1801662
     /* 1801662 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1801766), // Rule ID 11736 //
     /* 1801667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1801678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1801681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1801687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801713 */     // MIs[0] policy
     /* 1801713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1801740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801765 */     // GIR_Coverage, 11736,
     /* 1801765 */     GIR_EraseRootFromParent_Done,
     /* 1801766 */   // Label 22923: @1801766
     /* 1801766 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1801870), // Rule ID 11737 //
     /* 1801771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1801782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1801785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1801788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1801791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1801794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1801801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1801813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801817 */     // MIs[0] policy
     /* 1801817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1801844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801869 */     // GIR_Coverage, 11737,
     /* 1801869 */     GIR_EraseRootFromParent_Done,
     /* 1801870 */   // Label 22924: @1801870
     /* 1801870 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1801974), // Rule ID 11740 //
     /* 1801875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1801886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1801889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1801892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1801895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1801898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1801905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1801917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801921 */     // MIs[0] policy
     /* 1801921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801931 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1801935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1801941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1801945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1801948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1801962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801973 */     // GIR_Coverage, 11740,
     /* 1801973 */     GIR_EraseRootFromParent_Done,
     /* 1801974 */   // Label 22925: @1801974
     /* 1801974 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1802078), // Rule ID 11741 //
     /* 1801979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1801987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1801990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1801993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1801996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1801999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1802002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802025 */     // MIs[0] policy
     /* 1802025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1802052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802077 */     // GIR_Coverage, 11741,
     /* 1802077 */     GIR_EraseRootFromParent_Done,
     /* 1802078 */   // Label 22926: @1802078
     /* 1802078 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1802182), // Rule ID 11744 //
     /* 1802083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1802103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802129 */     // MIs[0] policy
     /* 1802129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1802156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802181 */     // GIR_Coverage, 11744,
     /* 1802181 */     GIR_EraseRootFromParent_Done,
     /* 1802182 */   // Label 22927: @1802182
     /* 1802182 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1802286), // Rule ID 11745 //
     /* 1802187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1802207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802233 */     // MIs[0] policy
     /* 1802233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1802260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802285 */     // GIR_Coverage, 11745,
     /* 1802285 */     GIR_EraseRootFromParent_Done,
     /* 1802286 */   // Label 22928: @1802286
     /* 1802286 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1802390), // Rule ID 11748 //
     /* 1802291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1802311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802337 */     // MIs[0] policy
     /* 1802337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1802364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802389 */     // GIR_Coverage, 11748,
     /* 1802389 */     GIR_EraseRootFromParent_Done,
     /* 1802390 */   // Label 22929: @1802390
     /* 1802390 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1802494), // Rule ID 11749 //
     /* 1802395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1802415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802441 */     // MIs[0] policy
     /* 1802441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1802468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802493 */     // GIR_Coverage, 11749,
     /* 1802493 */     GIR_EraseRootFromParent_Done,
     /* 1802494 */   // Label 22930: @1802494
     /* 1802494 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1802598), // Rule ID 11752 //
     /* 1802499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1802516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1802519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802545 */     // MIs[0] policy
     /* 1802545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1802572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802597 */     // GIR_Coverage, 11752,
     /* 1802597 */     GIR_EraseRootFromParent_Done,
     /* 1802598 */   // Label 22931: @1802598
     /* 1802598 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1802702), // Rule ID 11753 //
     /* 1802603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1802620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1802623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802649 */     // MIs[0] policy
     /* 1802649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1802676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802701 */     // GIR_Coverage, 11753,
     /* 1802701 */     GIR_EraseRootFromParent_Done,
     /* 1802702 */   // Label 22932: @1802702
     /* 1802702 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1802806), // Rule ID 11756 //
     /* 1802707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1802727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802753 */     // MIs[0] policy
     /* 1802753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1802780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802805 */     // GIR_Coverage, 11756,
     /* 1802805 */     GIR_EraseRootFromParent_Done,
     /* 1802806 */   // Label 22933: @1802806
     /* 1802806 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1802910), // Rule ID 11757 //
     /* 1802811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1802822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1802825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1802828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1802831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1802834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802857 */     // MIs[0] policy
     /* 1802857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1802884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1802898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1802906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802909 */     // GIR_Coverage, 11757,
     /* 1802909 */     GIR_EraseRootFromParent_Done,
     /* 1802910 */   // Label 22934: @1802910
     /* 1802910 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1803014), // Rule ID 11760 //
     /* 1802915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1802923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1802926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1802929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1802932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1802935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802961 */     // MIs[0] policy
     /* 1802961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1802975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1802981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1802985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1802988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803013 */     // GIR_Coverage, 11760,
     /* 1803013 */     GIR_EraseRootFromParent_Done,
     /* 1803014 */   // Label 22935: @1803014
     /* 1803014 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1803118), // Rule ID 11761 //
     /* 1803019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1803039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803065 */     // MIs[0] policy
     /* 1803065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1803092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803117 */     // GIR_Coverage, 11761,
     /* 1803117 */     GIR_EraseRootFromParent_Done,
     /* 1803118 */   // Label 22936: @1803118
     /* 1803118 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1803222), // Rule ID 11764 //
     /* 1803123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1803140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1803143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803169 */     // MIs[0] policy
     /* 1803169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1803196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803221 */     // GIR_Coverage, 11764,
     /* 1803221 */     GIR_EraseRootFromParent_Done,
     /* 1803222 */   // Label 22937: @1803222
     /* 1803222 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1803326), // Rule ID 11765 //
     /* 1803227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1803244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1803247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803273 */     // MIs[0] policy
     /* 1803273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1803300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803325 */     // GIR_Coverage, 11765,
     /* 1803325 */     GIR_EraseRootFromParent_Done,
     /* 1803326 */   // Label 22938: @1803326
     /* 1803326 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1803430), // Rule ID 11768 //
     /* 1803331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1803348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1803351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803377 */     // MIs[0] policy
     /* 1803377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1803404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803429 */     // GIR_Coverage, 11768,
     /* 1803429 */     GIR_EraseRootFromParent_Done,
     /* 1803430 */   // Label 22939: @1803430
     /* 1803430 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1803534), // Rule ID 11769 //
     /* 1803435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1803452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1803455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803481 */     // MIs[0] policy
     /* 1803481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1803508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803533 */     // GIR_Coverage, 11769,
     /* 1803533 */     GIR_EraseRootFromParent_Done,
     /* 1803534 */   // Label 22940: @1803534
     /* 1803534 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1803638), // Rule ID 11772 //
     /* 1803539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1803556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1803559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803585 */     // MIs[0] policy
     /* 1803585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1803612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803637 */     // GIR_Coverage, 11772,
     /* 1803637 */     GIR_EraseRootFromParent_Done,
     /* 1803638 */   // Label 22941: @1803638
     /* 1803638 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1803742), // Rule ID 11773 //
     /* 1803643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1803660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1803663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803689 */     // MIs[0] policy
     /* 1803689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1803716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803741 */     // GIR_Coverage, 11773,
     /* 1803741 */     GIR_EraseRootFromParent_Done,
     /* 1803742 */   // Label 22942: @1803742
     /* 1803742 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1803846), // Rule ID 11776 //
     /* 1803747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1803764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1803767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803793 */     // MIs[0] policy
     /* 1803793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1803820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803845 */     // GIR_Coverage, 11776,
     /* 1803845 */     GIR_EraseRootFromParent_Done,
     /* 1803846 */   // Label 22943: @1803846
     /* 1803846 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1803950), // Rule ID 11777 //
     /* 1803851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1803868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1803871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803897 */     // MIs[0] policy
     /* 1803897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1803911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1803917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1803921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1803924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1803938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803949 */     // GIR_Coverage, 11777,
     /* 1803949 */     GIR_EraseRootFromParent_Done,
     /* 1803950 */   // Label 22944: @1803950
     /* 1803950 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1804054), // Rule ID 11780 //
     /* 1803955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1803963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1803966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1803969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1803972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1803978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1803985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1803993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804001 */     // MIs[0] policy
     /* 1804001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1804028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804053 */     // GIR_Coverage, 11780,
     /* 1804053 */     GIR_EraseRootFromParent_Done,
     /* 1804054 */   // Label 22945: @1804054
     /* 1804054 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1804158), // Rule ID 11781 //
     /* 1804059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1804070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1804073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804105 */     // MIs[0] policy
     /* 1804105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804115 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1804132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804157 */     // GIR_Coverage, 11781,
     /* 1804157 */     GIR_EraseRootFromParent_Done,
     /* 1804158 */   // Label 22946: @1804158
     /* 1804158 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1804262), // Rule ID 11784 //
     /* 1804163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1804174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1804177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804209 */     // MIs[0] policy
     /* 1804209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1804236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804261 */     // GIR_Coverage, 11784,
     /* 1804261 */     GIR_EraseRootFromParent_Done,
     /* 1804262 */   // Label 22947: @1804262
     /* 1804262 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1804366), // Rule ID 11785 //
     /* 1804267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1804278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1804281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804313 */     // MIs[0] policy
     /* 1804313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804323 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1804340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804365 */     // GIR_Coverage, 11785,
     /* 1804365 */     GIR_EraseRootFromParent_Done,
     /* 1804366 */   // Label 22948: @1804366
     /* 1804366 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1804470), // Rule ID 11788 //
     /* 1804371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1804382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1804385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804417 */     // MIs[0] policy
     /* 1804417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804427 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1804444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804469 */     // GIR_Coverage, 11788,
     /* 1804469 */     GIR_EraseRootFromParent_Done,
     /* 1804470 */   // Label 22949: @1804470
     /* 1804470 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1804574), // Rule ID 11789 //
     /* 1804475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1804486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1804489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804521 */     // MIs[0] policy
     /* 1804521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804531 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1804548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804573 */     // GIR_Coverage, 11789,
     /* 1804573 */     GIR_EraseRootFromParent_Done,
     /* 1804574 */   // Label 22950: @1804574
     /* 1804574 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1804678), // Rule ID 11792 //
     /* 1804579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804625 */     // MIs[0] policy
     /* 1804625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804635 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1804652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804677 */     // GIR_Coverage, 11792,
     /* 1804677 */     GIR_EraseRootFromParent_Done,
     /* 1804678 */   // Label 22951: @1804678
     /* 1804678 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1804782), // Rule ID 11793 //
     /* 1804683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1804700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804729 */     // MIs[0] policy
     /* 1804729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804739 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1804756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804781 */     // GIR_Coverage, 11793,
     /* 1804781 */     GIR_EraseRootFromParent_Done,
     /* 1804782 */   // Label 22952: @1804782
     /* 1804782 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1804886), // Rule ID 11796 //
     /* 1804787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1804807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804833 */     // MIs[0] policy
     /* 1804833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804843 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1804860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804885 */     // GIR_Coverage, 11796,
     /* 1804885 */     GIR_EraseRootFromParent_Done,
     /* 1804886 */   // Label 22953: @1804886
     /* 1804886 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1804990), // Rule ID 11797 //
     /* 1804891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1804899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1804908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804937 */     // MIs[0] policy
     /* 1804937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1804951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1804957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1804961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1804964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1804978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1804986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804989 */     // GIR_Coverage, 11797,
     /* 1804989 */     GIR_EraseRootFromParent_Done,
     /* 1804990 */   // Label 22954: @1804990
     /* 1804990 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1805094), // Rule ID 11800 //
     /* 1804995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805041 */     // MIs[0] policy
     /* 1805041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805051 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1805068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805093 */     // GIR_Coverage, 11800,
     /* 1805093 */     GIR_EraseRootFromParent_Done,
     /* 1805094 */   // Label 22955: @1805094
     /* 1805094 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1805198), // Rule ID 11801 //
     /* 1805099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1805116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805145 */     // MIs[0] policy
     /* 1805145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805155 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1805172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805197 */     // GIR_Coverage, 11801,
     /* 1805197 */     GIR_EraseRootFromParent_Done,
     /* 1805198 */   // Label 22956: @1805198
     /* 1805198 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1805302), // Rule ID 11804 //
     /* 1805203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1805214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1805217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805249 */     // MIs[0] policy
     /* 1805249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1805276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805301 */     // GIR_Coverage, 11804,
     /* 1805301 */     GIR_EraseRootFromParent_Done,
     /* 1805302 */   // Label 22957: @1805302
     /* 1805302 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1805406), // Rule ID 11805 //
     /* 1805307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1805318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1805321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1805324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805353 */     // MIs[0] policy
     /* 1805353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805363 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10816:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1805380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805405 */     // GIR_Coverage, 11805,
     /* 1805405 */     GIR_EraseRootFromParent_Done,
     /* 1805406 */   // Label 22958: @1805406
     /* 1805406 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1805510), // Rule ID 11808 //
     /* 1805411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805457 */     // MIs[0] policy
     /* 1805457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805467 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1805484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805509 */     // GIR_Coverage, 11808,
     /* 1805509 */     GIR_EraseRootFromParent_Done,
     /* 1805510 */   // Label 22959: @1805510
     /* 1805510 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1805614), // Rule ID 11809 //
     /* 1805515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1805526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1805529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805561 */     // MIs[0] policy
     /* 1805561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805571 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10816:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1805588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805613 */     // GIR_Coverage, 11809,
     /* 1805613 */     GIR_EraseRootFromParent_Done,
     /* 1805614 */   // Label 22960: @1805614
     /* 1805614 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1805718), // Rule ID 11812 //
     /* 1805619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805665 */     // MIs[0] policy
     /* 1805665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805675 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1805692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805717 */     // GIR_Coverage, 11812,
     /* 1805717 */     GIR_EraseRootFromParent_Done,
     /* 1805718 */   // Label 22961: @1805718
     /* 1805718 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1805822), // Rule ID 11813 //
     /* 1805723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1805740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805769 */     // MIs[0] policy
     /* 1805769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805779 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10816:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1805796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1805818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805821 */     // GIR_Coverage, 11813,
     /* 1805821 */     GIR_EraseRootFromParent_Done,
     /* 1805822 */   // Label 22962: @1805822
     /* 1805822 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1805926), // Rule ID 11816 //
     /* 1805827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1805830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1805844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1805847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805873 */     // MIs[0] policy
     /* 1805873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1805897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1805900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1805914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1805922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805925 */     // GIR_Coverage, 11816,
     /* 1805925 */     GIR_EraseRootFromParent_Done,
     /* 1805926 */   // Label 22963: @1805926
     /* 1805926 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1806030), // Rule ID 11817 //
     /* 1805931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1805934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1805939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1805942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1805945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1805948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1805951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1805973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805977 */     // MIs[0] policy
     /* 1805977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805987 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10816:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1805991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1805997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1806004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1806026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806029 */     // GIR_Coverage, 11817,
     /* 1806029 */     GIR_EraseRootFromParent_Done,
     /* 1806030 */   // Label 22964: @1806030
     /* 1806030 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1806134), // Rule ID 11820 //
     /* 1806035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1806046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1806049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806081 */     // MIs[0] policy
     /* 1806081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806091 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1806108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806133 */     // GIR_Coverage, 11820,
     /* 1806133 */     GIR_EraseRootFromParent_Done,
     /* 1806134 */   // Label 22965: @1806134
     /* 1806134 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1806238), // Rule ID 11821 //
     /* 1806139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1806150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1806153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1806156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806185 */     // MIs[0] policy
     /* 1806185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806195 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1806212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806237 */     // GIR_Coverage, 11821,
     /* 1806237 */     GIR_EraseRootFromParent_Done,
     /* 1806238 */   // Label 22966: @1806238
     /* 1806238 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1806342), // Rule ID 11824 //
     /* 1806243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1806254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1806257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806289 */     // MIs[0] policy
     /* 1806289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806299 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1806316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806341 */     // GIR_Coverage, 11824,
     /* 1806341 */     GIR_EraseRootFromParent_Done,
     /* 1806342 */   // Label 22967: @1806342
     /* 1806342 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1806446), // Rule ID 11825 //
     /* 1806347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1806358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1806361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1806364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1806370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806393 */     // MIs[0] policy
     /* 1806393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806403 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1806420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806445 */     // GIR_Coverage, 11825,
     /* 1806445 */     GIR_EraseRootFromParent_Done,
     /* 1806446 */   // Label 22968: @1806446
     /* 1806446 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1806550), // Rule ID 11828 //
     /* 1806451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1806462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1806465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1806468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1806474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806497 */     // MIs[0] policy
     /* 1806497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806507 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1806524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806549 */     // GIR_Coverage, 11828,
     /* 1806549 */     GIR_EraseRootFromParent_Done,
     /* 1806550 */   // Label 22969: @1806550
     /* 1806550 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1806654), // Rule ID 11829 //
     /* 1806555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1806566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1806569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1806572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1806578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806601 */     // MIs[0] policy
     /* 1806601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806611 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1806628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806653 */     // GIR_Coverage, 11829,
     /* 1806653 */     GIR_EraseRootFromParent_Done,
     /* 1806654 */   // Label 22970: @1806654
     /* 1806654 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1806758), // Rule ID 11832 //
     /* 1806659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806705 */     // MIs[0] policy
     /* 1806705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806715 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1806732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806757 */     // GIR_Coverage, 11832,
     /* 1806757 */     GIR_EraseRootFromParent_Done,
     /* 1806758 */   // Label 22971: @1806758
     /* 1806758 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1806862), // Rule ID 11833 //
     /* 1806763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1806774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1806777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1806780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806809 */     // MIs[0] policy
     /* 1806809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1806836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806861 */     // GIR_Coverage, 11833,
     /* 1806861 */     GIR_EraseRootFromParent_Done,
     /* 1806862 */   // Label 22972: @1806862
     /* 1806862 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1806966), // Rule ID 11836 //
     /* 1806867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806913 */     // MIs[0] policy
     /* 1806913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1806927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1806933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1806937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1806940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1806954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806965 */     // GIR_Coverage, 11836,
     /* 1806965 */     GIR_EraseRootFromParent_Done,
     /* 1806966 */   // Label 22973: @1806966
     /* 1806966 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1807070), // Rule ID 11837 //
     /* 1806971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1806979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1806982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1806985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1806988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1806994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807017 */     // MIs[0] policy
     /* 1807017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1807044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807069 */     // GIR_Coverage, 11837,
     /* 1807069 */     GIR_EraseRootFromParent_Done,
     /* 1807070 */   // Label 22974: @1807070
     /* 1807070 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1807174), // Rule ID 11840 //
     /* 1807075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1807092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807121 */     // MIs[0] policy
     /* 1807121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807131 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1807148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807173 */     // GIR_Coverage, 11840,
     /* 1807173 */     GIR_EraseRootFromParent_Done,
     /* 1807174 */   // Label 22975: @1807174
     /* 1807174 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1807278), // Rule ID 11841 //
     /* 1807179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1807196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807225 */     // MIs[0] policy
     /* 1807225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807235 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1807252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807277 */     // GIR_Coverage, 11841,
     /* 1807277 */     GIR_EraseRootFromParent_Done,
     /* 1807278 */   // Label 22976: @1807278
     /* 1807278 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1807382), // Rule ID 11844 //
     /* 1807283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807329 */     // MIs[0] policy
     /* 1807329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807339 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1807356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807381 */     // GIR_Coverage, 11844,
     /* 1807381 */     GIR_EraseRootFromParent_Done,
     /* 1807382 */   // Label 22977: @1807382
     /* 1807382 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1807486), // Rule ID 11845 //
     /* 1807387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1807398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1807401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1807404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807433 */     // MIs[0] policy
     /* 1807433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807443 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1807460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807485 */     // GIR_Coverage, 11845,
     /* 1807485 */     GIR_EraseRootFromParent_Done,
     /* 1807486 */   // Label 22978: @1807486
     /* 1807486 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1807590), // Rule ID 11848 //
     /* 1807491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807537 */     // MIs[0] policy
     /* 1807537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1807564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807589 */     // GIR_Coverage, 11848,
     /* 1807589 */     GIR_EraseRootFromParent_Done,
     /* 1807590 */   // Label 22979: @1807590
     /* 1807590 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1807694), // Rule ID 11849 //
     /* 1807595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1807606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1807609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1807612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807641 */     // MIs[0] policy
     /* 1807641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807651 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1807668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807693 */     // GIR_Coverage, 11849,
     /* 1807693 */     GIR_EraseRootFromParent_Done,
     /* 1807694 */   // Label 22980: @1807694
     /* 1807694 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1807798), // Rule ID 11852 //
     /* 1807699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1807716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807745 */     // MIs[0] policy
     /* 1807745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807755 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1807772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807797 */     // GIR_Coverage, 11852,
     /* 1807797 */     GIR_EraseRootFromParent_Done,
     /* 1807798 */   // Label 22981: @1807798
     /* 1807798 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1807902), // Rule ID 11853 //
     /* 1807803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1807814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1807817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1807820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807849 */     // MIs[0] policy
     /* 1807849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807859 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1807876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1807898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807901 */     // GIR_Coverage, 11853,
     /* 1807901 */     GIR_EraseRootFromParent_Done,
     /* 1807902 */   // Label 22982: @1807902
     /* 1807902 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1808006), // Rule ID 11856 //
     /* 1807907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1807910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1807915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1807918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1807921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1807924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807953 */     // MIs[0] policy
     /* 1807953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1807967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1807973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1807977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1807980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1807994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808005 */     // GIR_Coverage, 11856,
     /* 1808005 */     GIR_EraseRootFromParent_Done,
     /* 1808006 */   // Label 22983: @1808006
     /* 1808006 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1808110), // Rule ID 11857 //
     /* 1808011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1808014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1808019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1808028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808057 */     // MIs[0] policy
     /* 1808057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808067 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10816:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1808084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808109 */     // GIR_Coverage, 11857,
     /* 1808109 */     GIR_EraseRootFromParent_Done,
     /* 1808110 */   // Label 22984: @1808110
     /* 1808110 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1808214), // Rule ID 11860 //
     /* 1808115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1808118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1808123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1808132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808161 */     // MIs[0] policy
     /* 1808161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808171 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1808188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808213 */     // GIR_Coverage, 11860,
     /* 1808213 */     GIR_EraseRootFromParent_Done,
     /* 1808214 */   // Label 22985: @1808214
     /* 1808214 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1808318), // Rule ID 11861 //
     /* 1808219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1808222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1808227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1808236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808265 */     // MIs[0] policy
     /* 1808265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808275 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10816:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1808292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808317 */     // GIR_Coverage, 11861,
     /* 1808317 */     GIR_EraseRootFromParent_Done,
     /* 1808318 */   // Label 22986: @1808318
     /* 1808318 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1808422), // Rule ID 11864 //
     /* 1808323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1808326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1808331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1808340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808369 */     // MIs[0] policy
     /* 1808369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808379 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1808396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808421 */     // GIR_Coverage, 11864,
     /* 1808421 */     GIR_EraseRootFromParent_Done,
     /* 1808422 */   // Label 22987: @1808422
     /* 1808422 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1808526), // Rule ID 11865 //
     /* 1808427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1808430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1808435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1808438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1808441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1808444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808473 */     // MIs[0] policy
     /* 1808473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10816:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1808500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1808522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808525 */     // GIR_Coverage, 11865,
     /* 1808525 */     GIR_EraseRootFromParent_Done,
     /* 1808526 */   // Label 22988: @1808526
     /* 1808526 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1808630), // Rule ID 11868 //
     /* 1808531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1808539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1808542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1808545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1808548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1808551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808577 */     // MIs[0] policy
     /* 1808577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1808604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808629 */     // GIR_Coverage, 11868,
     /* 1808629 */     GIR_EraseRootFromParent_Done,
     /* 1808630 */   // Label 22989: @1808630
     /* 1808630 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1808734), // Rule ID 11869 //
     /* 1808635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1808643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1808646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1808649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1808652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1808655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808681 */     // MIs[0] policy
     /* 1808681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1808708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808733 */     // GIR_Coverage, 11869,
     /* 1808733 */     GIR_EraseRootFromParent_Done,
     /* 1808734 */   // Label 22990: @1808734
     /* 1808734 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1808838), // Rule ID 11872 //
     /* 1808739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1808747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808785 */     // MIs[0] policy
     /* 1808785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808795 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1808812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808837 */     // GIR_Coverage, 11872,
     /* 1808837 */     GIR_EraseRootFromParent_Done,
     /* 1808838 */   // Label 22991: @1808838
     /* 1808838 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1808942), // Rule ID 11873 //
     /* 1808843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1808851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1808854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1808857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1808860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1808863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808889 */     // MIs[0] policy
     /* 1808889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808899 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1808903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1808909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1808913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1808916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1808930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1808938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808941 */     // GIR_Coverage, 11873,
     /* 1808941 */     GIR_EraseRootFromParent_Done,
     /* 1808942 */   // Label 22992: @1808942
     /* 1808942 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1809046), // Rule ID 11876 //
     /* 1808947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1808955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1808958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1808961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1808964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1808967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808993 */     // MIs[0] policy
     /* 1808993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809003 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1809020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809045 */     // GIR_Coverage, 11876,
     /* 1809045 */     GIR_EraseRootFromParent_Done,
     /* 1809046 */   // Label 22993: @1809046
     /* 1809046 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1809150), // Rule ID 11877 //
     /* 1809051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1809062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1809065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1809068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1809071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809097 */     // MIs[0] policy
     /* 1809097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809107 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1809124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809149 */     // GIR_Coverage, 11877,
     /* 1809149 */     GIR_EraseRootFromParent_Done,
     /* 1809150 */   // Label 22994: @1809150
     /* 1809150 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1809254), // Rule ID 11880 //
     /* 1809155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809201 */     // MIs[0] policy
     /* 1809201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809211 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1809228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809253 */     // GIR_Coverage, 11880,
     /* 1809253 */     GIR_EraseRootFromParent_Done,
     /* 1809254 */   // Label 22995: @1809254
     /* 1809254 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1809358), // Rule ID 11881 //
     /* 1809259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1809276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1809279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809305 */     // MIs[0] policy
     /* 1809305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1809332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809357 */     // GIR_Coverage, 11881,
     /* 1809357 */     GIR_EraseRootFromParent_Done,
     /* 1809358 */   // Label 22996: @1809358
     /* 1809358 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1809462), // Rule ID 11884 //
     /* 1809363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809409 */     // MIs[0] policy
     /* 1809409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1809436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809461 */     // GIR_Coverage, 11884,
     /* 1809461 */     GIR_EraseRootFromParent_Done,
     /* 1809462 */   // Label 22997: @1809462
     /* 1809462 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1809566), // Rule ID 11885 //
     /* 1809467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1809484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1809487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809513 */     // MIs[0] policy
     /* 1809513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809523 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1809540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1809562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809565 */     // GIR_Coverage, 11885,
     /* 1809565 */     GIR_EraseRootFromParent_Done,
     /* 1809566 */   // Label 22998: @1809566
     /* 1809566 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1809670), // Rule ID 11888 //
     /* 1809571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809617 */     // MIs[0] policy
     /* 1809617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1809644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809669 */     // GIR_Coverage, 11888,
     /* 1809669 */     GIR_EraseRootFromParent_Done,
     /* 1809670 */   // Label 22999: @1809670
     /* 1809670 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1809774), // Rule ID 11889 //
     /* 1809675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1809686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1809689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1809692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1809695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809721 */     // MIs[0] policy
     /* 1809721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1809748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809773 */     // GIR_Coverage, 11889,
     /* 1809773 */     GIR_EraseRootFromParent_Done,
     /* 1809774 */   // Label 23000: @1809774
     /* 1809774 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1809878), // Rule ID 11892 //
     /* 1809779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809825 */     // MIs[0] policy
     /* 1809825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1809852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809877 */     // GIR_Coverage, 11892,
     /* 1809877 */     GIR_EraseRootFromParent_Done,
     /* 1809878 */   // Label 23001: @1809878
     /* 1809878 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1809982), // Rule ID 11893 //
     /* 1809883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1809894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1809897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809929 */     // MIs[0] policy
     /* 1809929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809939 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1809943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1809949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1809953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1809956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1809970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809981 */     // GIR_Coverage, 11893,
     /* 1809981 */     GIR_EraseRootFromParent_Done,
     /* 1809982 */   // Label 23002: @1809982
     /* 1809982 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1810086), // Rule ID 11896 //
     /* 1809987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1809995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1810004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1810007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810033 */     // MIs[0] policy
     /* 1810033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1810060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810085 */     // GIR_Coverage, 11896,
     /* 1810085 */     GIR_EraseRootFromParent_Done,
     /* 1810086 */   // Label 23003: @1810086
     /* 1810086 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1810190), // Rule ID 11897 //
     /* 1810091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1810102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1810105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1810108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1810111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810137 */     // MIs[0] policy
     /* 1810137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1810164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810189 */     // GIR_Coverage, 11897,
     /* 1810189 */     GIR_EraseRootFromParent_Done,
     /* 1810190 */   // Label 23004: @1810190
     /* 1810190 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1810294), // Rule ID 11900 //
     /* 1810195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1810212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1810215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810241 */     // MIs[0] policy
     /* 1810241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1810268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810293 */     // GIR_Coverage, 11900,
     /* 1810293 */     GIR_EraseRootFromParent_Done,
     /* 1810294 */   // Label 23005: @1810294
     /* 1810294 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1810398), // Rule ID 11901 //
     /* 1810299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1810316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1810319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810345 */     // MIs[0] policy
     /* 1810345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810355 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1810372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1810394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810397 */     // GIR_Coverage, 11901,
     /* 1810397 */     GIR_EraseRootFromParent_Done,
     /* 1810398 */   // Label 23006: @1810398
     /* 1810398 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1810502), // Rule ID 11904 //
     /* 1810403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1810406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810449 */     // MIs[0] policy
     /* 1810449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810459 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1810476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810501 */     // GIR_Coverage, 11904,
     /* 1810501 */     GIR_EraseRootFromParent_Done,
     /* 1810502 */   // Label 23007: @1810502
     /* 1810502 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1810606), // Rule ID 11905 //
     /* 1810507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1810510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1810518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1810521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1810524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1810527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810553 */     // MIs[0] policy
     /* 1810553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810563 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1810580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1810602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810605 */     // GIR_Coverage, 11905,
     /* 1810605 */     GIR_EraseRootFromParent_Done,
     /* 1810606 */   // Label 23008: @1810606
     /* 1810606 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1810710), // Rule ID 11908 //
     /* 1810611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810657 */     // MIs[0] policy
     /* 1810657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810667 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1810684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810709 */     // GIR_Coverage, 11908,
     /* 1810709 */     GIR_EraseRootFromParent_Done,
     /* 1810710 */   // Label 23009: @1810710
     /* 1810710 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1810814), // Rule ID 11909 //
     /* 1810715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1810726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1810729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810761 */     // MIs[0] policy
     /* 1810761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1810788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810813 */     // GIR_Coverage, 11909,
     /* 1810813 */     GIR_EraseRootFromParent_Done,
     /* 1810814 */   // Label 23010: @1810814
     /* 1810814 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1810918), // Rule ID 11912 //
     /* 1810819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810865 */     // MIs[0] policy
     /* 1810865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810875 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1810892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1810906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810917 */     // GIR_Coverage, 11912,
     /* 1810917 */     GIR_EraseRootFromParent_Done,
     /* 1810918 */   // Label 23011: @1810918
     /* 1810918 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1811022), // Rule ID 11913 //
     /* 1810923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1810931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1810934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1810937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810969 */     // MIs[0] policy
     /* 1810969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1810983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1810989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1810993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1810996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811021 */     // GIR_Coverage, 11913,
     /* 1811021 */     GIR_EraseRootFromParent_Done,
     /* 1811022 */   // Label 23012: @1811022
     /* 1811022 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1811126), // Rule ID 11916 //
     /* 1811027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1811038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1811041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1811044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1811047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1811050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811073 */     // MIs[0] policy
     /* 1811073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811083 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1811100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811125 */     // GIR_Coverage, 11916,
     /* 1811125 */     GIR_EraseRootFromParent_Done,
     /* 1811126 */   // Label 23013: @1811126
     /* 1811126 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1811230), // Rule ID 11917 //
     /* 1811131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1811142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1811145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1811148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1811151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1811154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811177 */     // MIs[0] policy
     /* 1811177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1811204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811229 */     // GIR_Coverage, 11917,
     /* 1811229 */     GIR_EraseRootFromParent_Done,
     /* 1811230 */   // Label 23014: @1811230
     /* 1811230 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1811334), // Rule ID 11920 //
     /* 1811235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1811246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1811249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811281 */     // MIs[0] policy
     /* 1811281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811291 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1811308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811333 */     // GIR_Coverage, 11920,
     /* 1811333 */     GIR_EraseRootFromParent_Done,
     /* 1811334 */   // Label 23015: @1811334
     /* 1811334 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1811438), // Rule ID 11921 //
     /* 1811339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1811350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1811353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1811356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1811359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811385 */     // MIs[0] policy
     /* 1811385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1811412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811437 */     // GIR_Coverage, 11921,
     /* 1811437 */     GIR_EraseRootFromParent_Done,
     /* 1811438 */   // Label 23016: @1811438
     /* 1811438 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1811542), // Rule ID 11924 //
     /* 1811443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811489 */     // MIs[0] policy
     /* 1811489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811499 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1811516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811541 */     // GIR_Coverage, 11924,
     /* 1811541 */     GIR_EraseRootFromParent_Done,
     /* 1811542 */   // Label 23017: @1811542
     /* 1811542 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1811646), // Rule ID 11925 //
     /* 1811547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1811558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1811561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811593 */     // MIs[0] policy
     /* 1811593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1811620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811645 */     // GIR_Coverage, 11925,
     /* 1811645 */     GIR_EraseRootFromParent_Done,
     /* 1811646 */   // Label 23018: @1811646
     /* 1811646 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1811750), // Rule ID 11928 //
     /* 1811651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811697 */     // MIs[0] policy
     /* 1811697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811707 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1811724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811749 */     // GIR_Coverage, 11928,
     /* 1811749 */     GIR_EraseRootFromParent_Done,
     /* 1811750 */   // Label 23019: @1811750
     /* 1811750 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1811854), // Rule ID 11929 //
     /* 1811755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1811766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1811769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1811772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1811775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1811778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811801 */     // MIs[0] policy
     /* 1811801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811811 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1811828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811853 */     // GIR_Coverage, 11929,
     /* 1811853 */     GIR_EraseRootFromParent_Done,
     /* 1811854 */   // Label 23020: @1811854
     /* 1811854 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1811958), // Rule ID 11932 //
     /* 1811859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811905 */     // MIs[0] policy
     /* 1811905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1811919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1811925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1811929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1811932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1811946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811957 */     // GIR_Coverage, 11932,
     /* 1811957 */     GIR_EraseRootFromParent_Done,
     /* 1811958 */   // Label 23021: @1811958
     /* 1811958 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1812062), // Rule ID 11933 //
     /* 1811963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1811971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1811974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1811977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812009 */     // MIs[0] policy
     /* 1812009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1812036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812061 */     // GIR_Coverage, 11933,
     /* 1812061 */     GIR_EraseRootFromParent_Done,
     /* 1812062 */   // Label 23022: @1812062
     /* 1812062 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1812166), // Rule ID 11936 //
     /* 1812067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812113 */     // MIs[0] policy
     /* 1812113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1812140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812165 */     // GIR_Coverage, 11936,
     /* 1812165 */     GIR_EraseRootFromParent_Done,
     /* 1812166 */   // Label 23023: @1812166
     /* 1812166 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1812270), // Rule ID 11937 //
     /* 1812171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1812182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1812185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1812188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1812191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812217 */     // MIs[0] policy
     /* 1812217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1812244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812269 */     // GIR_Coverage, 11937,
     /* 1812269 */     GIR_EraseRootFromParent_Done,
     /* 1812270 */   // Label 23024: @1812270
     /* 1812270 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1812374), // Rule ID 11940 //
     /* 1812275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812321 */     // MIs[0] policy
     /* 1812321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1812348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812373 */     // GIR_Coverage, 11940,
     /* 1812373 */     GIR_EraseRootFromParent_Done,
     /* 1812374 */   // Label 23025: @1812374
     /* 1812374 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1812478), // Rule ID 11941 //
     /* 1812379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1812390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1812393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1812396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1812399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812425 */     // MIs[0] policy
     /* 1812425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1812452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1812474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812477 */     // GIR_Coverage, 11941,
     /* 1812477 */     GIR_EraseRootFromParent_Done,
     /* 1812478 */   // Label 23026: @1812478
     /* 1812478 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1812582), // Rule ID 11944 //
     /* 1812483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1812500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1812503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812529 */     // MIs[0] policy
     /* 1812529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812539 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1812556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812581 */     // GIR_Coverage, 11944,
     /* 1812581 */     GIR_EraseRootFromParent_Done,
     /* 1812582 */   // Label 23027: @1812582
     /* 1812582 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1812686), // Rule ID 11945 //
     /* 1812587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1812598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1812601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1812604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1812607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812633 */     // MIs[0] policy
     /* 1812633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1812660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812685 */     // GIR_Coverage, 11945,
     /* 1812685 */     GIR_EraseRootFromParent_Done,
     /* 1812686 */   // Label 23028: @1812686
     /* 1812686 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1812790), // Rule ID 11948 //
     /* 1812691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812737 */     // MIs[0] policy
     /* 1812737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1812764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812789 */     // GIR_Coverage, 11948,
     /* 1812789 */     GIR_EraseRootFromParent_Done,
     /* 1812790 */   // Label 23029: @1812790
     /* 1812790 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1812894), // Rule ID 11949 //
     /* 1812795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1812798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1812806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1812809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1812812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1812815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812841 */     // MIs[0] policy
     /* 1812841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1812868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812893 */     // GIR_Coverage, 11949,
     /* 1812893 */     GIR_EraseRootFromParent_Done,
     /* 1812894 */   // Label 23030: @1812894
     /* 1812894 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1812998), // Rule ID 11952 //
     /* 1812899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1812902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1812907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1812910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1812913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1812916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1812919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812945 */     // MIs[0] policy
     /* 1812945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812955 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1812959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1812965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1812969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1812972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1812986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1812994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812997 */     // GIR_Coverage, 11952,
     /* 1812997 */     GIR_EraseRootFromParent_Done,
     /* 1812998 */   // Label 23031: @1812998
     /* 1812998 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1813102), // Rule ID 11953 //
     /* 1813003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1813006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1813014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1813017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1813020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1813023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813049 */     // MIs[0] policy
     /* 1813049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813059 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1813076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1813098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813101 */     // GIR_Coverage, 11953,
     /* 1813101 */     GIR_EraseRootFromParent_Done,
     /* 1813102 */   // Label 23032: @1813102
     /* 1813102 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1813206), // Rule ID 11956 //
     /* 1813107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1813118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1813121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1813124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813153 */     // MIs[0] policy
     /* 1813153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813163 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1813180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813205 */     // GIR_Coverage, 11956,
     /* 1813205 */     GIR_EraseRootFromParent_Done,
     /* 1813206 */   // Label 23033: @1813206
     /* 1813206 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1813310), // Rule ID 11957 //
     /* 1813211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1813222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1813225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1813228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813257 */     // MIs[0] policy
     /* 1813257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1813284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813309 */     // GIR_Coverage, 11957,
     /* 1813309 */     GIR_EraseRootFromParent_Done,
     /* 1813310 */   // Label 23034: @1813310
     /* 1813310 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1813414), // Rule ID 11960 //
     /* 1813315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1813326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1813329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1813332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813361 */     // MIs[0] policy
     /* 1813361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813371 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1813388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813413 */     // GIR_Coverage, 11960,
     /* 1813413 */     GIR_EraseRootFromParent_Done,
     /* 1813414 */   // Label 23035: @1813414
     /* 1813414 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1813518), // Rule ID 11961 //
     /* 1813419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1813430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1813433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1813436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813465 */     // MIs[0] policy
     /* 1813465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813475 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1813492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813517 */     // GIR_Coverage, 11961,
     /* 1813517 */     GIR_EraseRootFromParent_Done,
     /* 1813518 */   // Label 23036: @1813518
     /* 1813518 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1813622), // Rule ID 11964 //
     /* 1813523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1813537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813569 */     // MIs[0] policy
     /* 1813569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813579 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1813596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813621 */     // GIR_Coverage, 11964,
     /* 1813621 */     GIR_EraseRootFromParent_Done,
     /* 1813622 */   // Label 23037: @1813622
     /* 1813622 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1813726), // Rule ID 11965 //
     /* 1813627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1813638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1813641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1813644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813673 */     // MIs[0] policy
     /* 1813673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1813700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1813722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813725 */     // GIR_Coverage, 11965,
     /* 1813725 */     GIR_EraseRootFromParent_Done,
     /* 1813726 */   // Label 23038: @1813726
     /* 1813726 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1813830), // Rule ID 11968 //
     /* 1813731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813777 */     // MIs[0] policy
     /* 1813777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1813804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813829 */     // GIR_Coverage, 11968,
     /* 1813829 */     GIR_EraseRootFromParent_Done,
     /* 1813830 */   // Label 23039: @1813830
     /* 1813830 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1813934), // Rule ID 11969 //
     /* 1813835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1813846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1813849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813881 */     // MIs[0] policy
     /* 1813881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1813901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1813905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1813908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1813922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813933 */     // GIR_Coverage, 11969,
     /* 1813933 */     GIR_EraseRootFromParent_Done,
     /* 1813934 */   // Label 23040: @1813934
     /* 1813934 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1814038), // Rule ID 11972 //
     /* 1813939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1813947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1813950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1813953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813985 */     // MIs[0] policy
     /* 1813985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813995 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1813999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1814012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814037 */     // GIR_Coverage, 11972,
     /* 1814037 */     GIR_EraseRootFromParent_Done,
     /* 1814038 */   // Label 23041: @1814038
     /* 1814038 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1814142), // Rule ID 11973 //
     /* 1814043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1814054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1814057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1814060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814089 */     // MIs[0] policy
     /* 1814089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1814116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814141 */     // GIR_Coverage, 11973,
     /* 1814141 */     GIR_EraseRootFromParent_Done,
     /* 1814142 */   // Label 23042: @1814142
     /* 1814142 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1814246), // Rule ID 11976 //
     /* 1814147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1814158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1814161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814193 */     // MIs[0] policy
     /* 1814193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814203 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1814220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814245 */     // GIR_Coverage, 11976,
     /* 1814245 */     GIR_EraseRootFromParent_Done,
     /* 1814246 */   // Label 23043: @1814246
     /* 1814246 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1814350), // Rule ID 11977 //
     /* 1814251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1814262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1814265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1814268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814297 */     // MIs[0] policy
     /* 1814297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1814324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814349 */     // GIR_Coverage, 11977,
     /* 1814349 */     GIR_EraseRootFromParent_Done,
     /* 1814350 */   // Label 23044: @1814350
     /* 1814350 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1814454), // Rule ID 11980 //
     /* 1814355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1814366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1814369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1814372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814401 */     // MIs[0] policy
     /* 1814401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814411 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1814428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814453 */     // GIR_Coverage, 11980,
     /* 1814453 */     GIR_EraseRootFromParent_Done,
     /* 1814454 */   // Label 23045: @1814454
     /* 1814454 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1814558), // Rule ID 11981 //
     /* 1814459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1814470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1814473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1814476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814505 */     // MIs[0] policy
     /* 1814505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814515 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11150:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1814532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814557 */     // GIR_Coverage, 11981,
     /* 1814557 */     GIR_EraseRootFromParent_Done,
     /* 1814558 */   // Label 23046: @1814558
     /* 1814558 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1814662), // Rule ID 11984 //
     /* 1814563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1814580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814609 */     // MIs[0] policy
     /* 1814609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1814636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814661 */     // GIR_Coverage, 11984,
     /* 1814661 */     GIR_EraseRootFromParent_Done,
     /* 1814662 */   // Label 23047: @1814662
     /* 1814662 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1814766), // Rule ID 11985 //
     /* 1814667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1814684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814713 */     // MIs[0] policy
     /* 1814713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814723 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11150:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1814740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1814762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814765 */     // GIR_Coverage, 11985,
     /* 1814765 */     GIR_EraseRootFromParent_Done,
     /* 1814766 */   // Label 23048: @1814766
     /* 1814766 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1814870), // Rule ID 11988 //
     /* 1814771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814817 */     // MIs[0] policy
     /* 1814817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1814844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814869 */     // GIR_Coverage, 11988,
     /* 1814869 */     GIR_EraseRootFromParent_Done,
     /* 1814870 */   // Label 23049: @1814870
     /* 1814870 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1814974), // Rule ID 11989 //
     /* 1814875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1814886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1814889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814921 */     // MIs[0] policy
     /* 1814921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1814935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1814941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1814945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1814948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1814962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814973 */     // GIR_Coverage, 11989,
     /* 1814973 */     GIR_EraseRootFromParent_Done,
     /* 1814974 */   // Label 23050: @1814974
     /* 1814974 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1815078), // Rule ID 11992 //
     /* 1814979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1814982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1814987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1814990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1814993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1814996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815025 */     // MIs[0] policy
     /* 1815025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815035 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1815052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815077 */     // GIR_Coverage, 11992,
     /* 1815077 */     GIR_EraseRootFromParent_Done,
     /* 1815078 */   // Label 23051: @1815078
     /* 1815078 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1815182), // Rule ID 11993 //
     /* 1815083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1815086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1815094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1815097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1815100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815129 */     // MIs[0] policy
     /* 1815129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815139 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1815156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1815178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815181 */     // GIR_Coverage, 11993,
     /* 1815181 */     GIR_EraseRootFromParent_Done,
     /* 1815182 */   // Label 23052: @1815182
     /* 1815182 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1815286), // Rule ID 11996 //
     /* 1815187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1815198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1815201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1815204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815233 */     // MIs[0] policy
     /* 1815233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815243 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1815260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815285 */     // GIR_Coverage, 11996,
     /* 1815285 */     GIR_EraseRootFromParent_Done,
     /* 1815286 */   // Label 23053: @1815286
     /* 1815286 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1815390), // Rule ID 11997 //
     /* 1815291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1815302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1815305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1815308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815337 */     // MIs[0] policy
     /* 1815337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1815364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815389 */     // GIR_Coverage, 11997,
     /* 1815389 */     GIR_EraseRootFromParent_Done,
     /* 1815390 */   // Label 23054: @1815390
     /* 1815390 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1815494), // Rule ID 12000 //
     /* 1815395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1815406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1815409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1815412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815441 */     // MIs[0] policy
     /* 1815441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815451 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1815468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815493 */     // GIR_Coverage, 12000,
     /* 1815493 */     GIR_EraseRootFromParent_Done,
     /* 1815494 */   // Label 23055: @1815494
     /* 1815494 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1815598), // Rule ID 12001 //
     /* 1815499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1815510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1815513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1815516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815545 */     // MIs[0] policy
     /* 1815545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815555 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1815572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815597 */     // GIR_Coverage, 12001,
     /* 1815597 */     GIR_EraseRootFromParent_Done,
     /* 1815598 */   // Label 23056: @1815598
     /* 1815598 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1815702), // Rule ID 12004 //
     /* 1815603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1815614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1815617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1815620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1815626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815649 */     // MIs[0] policy
     /* 1815649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815659 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1815676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815701 */     // GIR_Coverage, 12004,
     /* 1815701 */     GIR_EraseRootFromParent_Done,
     /* 1815702 */   // Label 23057: @1815702
     /* 1815702 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1815806), // Rule ID 12005 //
     /* 1815707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1815718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1815721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1815724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1815730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815753 */     // MIs[0] policy
     /* 1815753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815763 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1815780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815805 */     // GIR_Coverage, 12005,
     /* 1815805 */     GIR_EraseRootFromParent_Done,
     /* 1815806 */   // Label 23058: @1815806
     /* 1815806 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1815910), // Rule ID 12008 //
     /* 1815811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1815828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1815831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815857 */     // MIs[0] policy
     /* 1815857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815867 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1815884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1815898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815909 */     // GIR_Coverage, 12008,
     /* 1815909 */     GIR_EraseRootFromParent_Done,
     /* 1815910 */   // Label 23059: @1815910
     /* 1815910 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1816014), // Rule ID 12009 //
     /* 1815915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1815923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1815932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1815935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1815957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815961 */     // MIs[0] policy
     /* 1815961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815971 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1815975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1815981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1815985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1815988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816013 */     // GIR_Coverage, 12009,
     /* 1816013 */     GIR_EraseRootFromParent_Done,
     /* 1816014 */   // Label 23060: @1816014
     /* 1816014 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1816118), // Rule ID 12012 //
     /* 1816019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1816030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1816033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816065 */     // MIs[0] policy
     /* 1816065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816075 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1816092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816117 */     // GIR_Coverage, 12012,
     /* 1816117 */     GIR_EraseRootFromParent_Done,
     /* 1816118 */   // Label 23061: @1816118
     /* 1816118 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1816222), // Rule ID 12013 //
     /* 1816123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1816134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1816137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816169 */     // MIs[0] policy
     /* 1816169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816179 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1816196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816221 */     // GIR_Coverage, 12013,
     /* 1816221 */     GIR_EraseRootFromParent_Done,
     /* 1816222 */   // Label 23062: @1816222
     /* 1816222 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1816326), // Rule ID 12016 //
     /* 1816227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1816238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1816241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1816244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816273 */     // MIs[0] policy
     /* 1816273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816283 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1816300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816325 */     // GIR_Coverage, 12016,
     /* 1816325 */     GIR_EraseRootFromParent_Done,
     /* 1816326 */   // Label 23063: @1816326
     /* 1816326 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1816430), // Rule ID 12017 //
     /* 1816331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1816342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1816345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1816348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1816354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816377 */     // MIs[0] policy
     /* 1816377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816387 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1816404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816429 */     // GIR_Coverage, 12017,
     /* 1816429 */     GIR_EraseRootFromParent_Done,
     /* 1816430 */   // Label 23064: @1816430
     /* 1816430 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1816534), // Rule ID 12020 //
     /* 1816435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1816446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1816449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1816452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816481 */     // MIs[0] policy
     /* 1816481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1816508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816533 */     // GIR_Coverage, 12020,
     /* 1816533 */     GIR_EraseRootFromParent_Done,
     /* 1816534 */   // Label 23065: @1816534
     /* 1816534 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1816638), // Rule ID 12021 //
     /* 1816539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1816550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1816553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1816556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816585 */     // MIs[0] policy
     /* 1816585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1816612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816637 */     // GIR_Coverage, 12021,
     /* 1816637 */     GIR_EraseRootFromParent_Done,
     /* 1816638 */   // Label 23066: @1816638
     /* 1816638 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1816742), // Rule ID 12024 //
     /* 1816643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1816660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816689 */     // MIs[0] policy
     /* 1816689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1816716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816741 */     // GIR_Coverage, 12024,
     /* 1816741 */     GIR_EraseRootFromParent_Done,
     /* 1816742 */   // Label 23067: @1816742
     /* 1816742 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1816846), // Rule ID 12025 //
     /* 1816747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1816764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816793 */     // MIs[0] policy
     /* 1816793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1816820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816845 */     // GIR_Coverage, 12025,
     /* 1816845 */     GIR_EraseRootFromParent_Done,
     /* 1816846 */   // Label 23068: @1816846
     /* 1816846 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1816950), // Rule ID 12028 //
     /* 1816851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1816868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1816871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816897 */     // MIs[0] policy
     /* 1816897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816907 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1816911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1816917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1816921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1816924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1816938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816949 */     // GIR_Coverage, 12028,
     /* 1816949 */     GIR_EraseRootFromParent_Done,
     /* 1816950 */   // Label 23069: @1816950
     /* 1816950 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1817054), // Rule ID 12029 //
     /* 1816955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1816963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1816972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1816975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1816997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817001 */     // MIs[0] policy
     /* 1817001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817011 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1817028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817053 */     // GIR_Coverage, 12029,
     /* 1817053 */     GIR_EraseRootFromParent_Done,
     /* 1817054 */   // Label 23070: @1817054
     /* 1817054 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1817158), // Rule ID 12032 //
     /* 1817059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1817070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1817073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1817076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817105 */     // MIs[0] policy
     /* 1817105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817115 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1817132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817157 */     // GIR_Coverage, 12032,
     /* 1817157 */     GIR_EraseRootFromParent_Done,
     /* 1817158 */   // Label 23071: @1817158
     /* 1817158 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1817262), // Rule ID 12033 //
     /* 1817163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1817174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1817177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1817180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817209 */     // MIs[0] policy
     /* 1817209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1817236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817261 */     // GIR_Coverage, 12033,
     /* 1817261 */     GIR_EraseRootFromParent_Done,
     /* 1817262 */   // Label 23072: @1817262
     /* 1817262 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1817366), // Rule ID 12036 //
     /* 1817267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1817278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1817281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1817284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817313 */     // MIs[0] policy
     /* 1817313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1817340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817365 */     // GIR_Coverage, 12036,
     /* 1817365 */     GIR_EraseRootFromParent_Done,
     /* 1817366 */   // Label 23073: @1817366
     /* 1817366 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1817470), // Rule ID 12037 //
     /* 1817371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1817382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1817385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1817388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817417 */     // MIs[0] policy
     /* 1817417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817427 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1817444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817469 */     // GIR_Coverage, 12037,
     /* 1817469 */     GIR_EraseRootFromParent_Done,
     /* 1817470 */   // Label 23074: @1817470
     /* 1817470 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1817574), // Rule ID 12040 //
     /* 1817475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1817478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1817486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1817489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1817492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817521 */     // MIs[0] policy
     /* 1817521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817531 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1817548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817573 */     // GIR_Coverage, 12040,
     /* 1817573 */     GIR_EraseRootFromParent_Done,
     /* 1817574 */   // Label 23075: @1817574
     /* 1817574 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1817678), // Rule ID 12041 //
     /* 1817579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1817582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1817587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1817590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1817593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1817596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817625 */     // MIs[0] policy
     /* 1817625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817635 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1817652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1817674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817677 */     // GIR_Coverage, 12041,
     /* 1817677 */     GIR_EraseRootFromParent_Done,
     /* 1817678 */   // Label 23076: @1817678
     /* 1817678 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1817782), // Rule ID 12044 //
     /* 1817683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1817691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1817694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1817697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1817703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817729 */     // MIs[0] policy
     /* 1817729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817739 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1817756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817781 */     // GIR_Coverage, 12044,
     /* 1817781 */     GIR_EraseRootFromParent_Done,
     /* 1817782 */   // Label 23077: @1817782
     /* 1817782 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1817886), // Rule ID 12045 //
     /* 1817787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1817795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1817798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1817801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1817807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817833 */     // MIs[0] policy
     /* 1817833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817843 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1817860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817885 */     // GIR_Coverage, 12045,
     /* 1817885 */     GIR_EraseRootFromParent_Done,
     /* 1817886 */   // Label 23078: @1817886
     /* 1817886 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1817990), // Rule ID 12048 //
     /* 1817891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1817899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1817902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1817905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1817908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1817911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817937 */     // MIs[0] policy
     /* 1817937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1817951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1817957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1817961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1817964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1817978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817989 */     // GIR_Coverage, 12048,
     /* 1817989 */     GIR_EraseRootFromParent_Done,
     /* 1817990 */   // Label 23079: @1817990
     /* 1817990 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1818094), // Rule ID 12049 //
     /* 1817995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1818006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1818009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1818012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1818015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818041 */     // MIs[0] policy
     /* 1818041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818051 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1818068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818093 */     // GIR_Coverage, 12049,
     /* 1818093 */     GIR_EraseRootFromParent_Done,
     /* 1818094 */   // Label 23080: @1818094
     /* 1818094 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1818198), // Rule ID 12052 //
     /* 1818099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1818110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1818113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1818116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1818119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818145 */     // MIs[0] policy
     /* 1818145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818155 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1818172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818197 */     // GIR_Coverage, 12052,
     /* 1818197 */     GIR_EraseRootFromParent_Done,
     /* 1818198 */   // Label 23081: @1818198
     /* 1818198 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1818302), // Rule ID 12053 //
     /* 1818203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1818214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1818217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1818220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1818223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818249 */     // MIs[0] policy
     /* 1818249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818259 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1818276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818301 */     // GIR_Coverage, 12053,
     /* 1818301 */     GIR_EraseRootFromParent_Done,
     /* 1818302 */   // Label 23082: @1818302
     /* 1818302 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1818406), // Rule ID 12056 //
     /* 1818307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1818318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1818321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1818324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1818327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818353 */     // MIs[0] policy
     /* 1818353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818363 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1818380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818405 */     // GIR_Coverage, 12056,
     /* 1818405 */     GIR_EraseRootFromParent_Done,
     /* 1818406 */   // Label 23083: @1818406
     /* 1818406 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1818510), // Rule ID 12057 //
     /* 1818411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1818422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1818425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1818428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1818431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818457 */     // MIs[0] policy
     /* 1818457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818467 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1818484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818509 */     // GIR_Coverage, 12057,
     /* 1818509 */     GIR_EraseRootFromParent_Done,
     /* 1818510 */   // Label 23084: @1818510
     /* 1818510 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1818614), // Rule ID 12060 //
     /* 1818515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1818526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1818529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1818535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818561 */     // MIs[0] policy
     /* 1818561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1818588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818613 */     // GIR_Coverage, 12060,
     /* 1818613 */     GIR_EraseRootFromParent_Done,
     /* 1818614 */   // Label 23085: @1818614
     /* 1818614 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1818718), // Rule ID 12061 //
     /* 1818619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1818630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1818633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1818639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818665 */     // MIs[0] policy
     /* 1818665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1818692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818717 */     // GIR_Coverage, 12061,
     /* 1818717 */     GIR_EraseRootFromParent_Done,
     /* 1818718 */   // Label 23086: @1818718
     /* 1818718 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1818822), // Rule ID 12064 //
     /* 1818723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1818740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1818743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818769 */     // MIs[0] policy
     /* 1818769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1818796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818821 */     // GIR_Coverage, 12064,
     /* 1818821 */     GIR_EraseRootFromParent_Done,
     /* 1818822 */   // Label 23087: @1818822
     /* 1818822 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1818926), // Rule ID 12065 //
     /* 1818827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1818844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1818847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818873 */     // MIs[0] policy
     /* 1818873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818883 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1818897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1818900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1818914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1818922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818925 */     // GIR_Coverage, 12065,
     /* 1818925 */     GIR_EraseRootFromParent_Done,
     /* 1818926 */   // Label 23088: @1818926
     /* 1818926 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1819030), // Rule ID 12068 //
     /* 1818931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1818939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1818942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1818945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1818948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1818951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818977 */     // MIs[0] policy
     /* 1818977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818987 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1818991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1818997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1819004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819029 */     // GIR_Coverage, 12068,
     /* 1819029 */     GIR_EraseRootFromParent_Done,
     /* 1819030 */   // Label 23089: @1819030
     /* 1819030 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1819134), // Rule ID 12069 //
     /* 1819035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1819046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1819049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1819052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1819055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819081 */     // MIs[0] policy
     /* 1819081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1819108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819133 */     // GIR_Coverage, 12069,
     /* 1819133 */     GIR_EraseRootFromParent_Done,
     /* 1819134 */   // Label 23090: @1819134
     /* 1819134 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1819238), // Rule ID 12072 //
     /* 1819139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1819156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819185 */     // MIs[0] policy
     /* 1819185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819195 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1819212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819237 */     // GIR_Coverage, 12072,
     /* 1819237 */     GIR_EraseRootFromParent_Done,
     /* 1819238 */   // Label 23091: @1819238
     /* 1819238 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1819342), // Rule ID 12073 //
     /* 1819243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1819254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1819257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1819260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1819263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819289 */     // MIs[0] policy
     /* 1819289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819299 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1819316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1819338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819341 */     // GIR_Coverage, 12073,
     /* 1819341 */     GIR_EraseRootFromParent_Done,
     /* 1819342 */   // Label 23092: @1819342
     /* 1819342 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1819446), // Rule ID 12076 //
     /* 1819347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1819358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1819361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1819364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1819367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819393 */     // MIs[0] policy
     /* 1819393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1819420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819445 */     // GIR_Coverage, 12076,
     /* 1819445 */     GIR_EraseRootFromParent_Done,
     /* 1819446 */   // Label 23093: @1819446
     /* 1819446 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1819550), // Rule ID 12077 //
     /* 1819451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1819462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1819465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1819468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1819471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819497 */     // MIs[0] policy
     /* 1819497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819507 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1819524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819549 */     // GIR_Coverage, 12077,
     /* 1819549 */     GIR_EraseRootFromParent_Done,
     /* 1819550 */   // Label 23094: @1819550
     /* 1819550 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1819654), // Rule ID 12080 //
     /* 1819555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1819558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1819566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1819569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1819572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1819575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819601 */     // MIs[0] policy
     /* 1819601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819611 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1819628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819653 */     // GIR_Coverage, 12080,
     /* 1819653 */     GIR_EraseRootFromParent_Done,
     /* 1819654 */   // Label 23095: @1819654
     /* 1819654 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1819758), // Rule ID 12081 //
     /* 1819659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1819662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1819670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1819673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1819676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1819679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819705 */     // MIs[0] policy
     /* 1819705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1819732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1819754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819757 */     // GIR_Coverage, 12081,
     /* 1819757 */     GIR_EraseRootFromParent_Done,
     /* 1819758 */   // Label 23096: @1819758
     /* 1819758 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1819862), // Rule ID 12084 //
     /* 1819763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1819774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1819777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1819780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1819783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819809 */     // MIs[0] policy
     /* 1819809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819819 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1819836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819861 */     // GIR_Coverage, 12084,
     /* 1819861 */     GIR_EraseRootFromParent_Done,
     /* 1819862 */   // Label 23097: @1819862
     /* 1819862 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1819966), // Rule ID 12085 //
     /* 1819867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1819878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1819881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1819884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1819887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1819890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819913 */     // MIs[0] policy
     /* 1819913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819923 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1819927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1819933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1819937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1819940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1819954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819965 */     // GIR_Coverage, 12085,
     /* 1819965 */     GIR_EraseRootFromParent_Done,
     /* 1819966 */   // Label 23098: @1819966
     /* 1819966 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1820070), // Rule ID 12088 //
     /* 1819971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1819979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1819982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1819985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1819988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1819991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1819994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820017 */     // MIs[0] policy
     /* 1820017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1820044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820069 */     // GIR_Coverage, 12088,
     /* 1820069 */     GIR_EraseRootFromParent_Done,
     /* 1820070 */   // Label 23099: @1820070
     /* 1820070 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1820174), // Rule ID 12089 //
     /* 1820075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1820086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1820089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1820092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1820095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820121 */     // MIs[0] policy
     /* 1820121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820131 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1820148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820173 */     // GIR_Coverage, 12089,
     /* 1820173 */     GIR_EraseRootFromParent_Done,
     /* 1820174 */   // Label 23100: @1820174
     /* 1820174 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1820278), // Rule ID 12092 //
     /* 1820179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1820196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820225 */     // MIs[0] policy
     /* 1820225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820235 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1820252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820277 */     // GIR_Coverage, 12092,
     /* 1820277 */     GIR_EraseRootFromParent_Done,
     /* 1820278 */   // Label 23101: @1820278
     /* 1820278 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1820382), // Rule ID 12093 //
     /* 1820283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1820294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1820297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1820300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1820303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1820306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820329 */     // MIs[0] policy
     /* 1820329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820339 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1820356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820381 */     // GIR_Coverage, 12093,
     /* 1820381 */     GIR_EraseRootFromParent_Done,
     /* 1820382 */   // Label 23102: @1820382
     /* 1820382 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1820486), // Rule ID 12096 //
     /* 1820387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1820404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820433 */     // MIs[0] policy
     /* 1820433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1820460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820485 */     // GIR_Coverage, 12096,
     /* 1820485 */     GIR_EraseRootFromParent_Done,
     /* 1820486 */   // Label 23103: @1820486
     /* 1820486 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1820590), // Rule ID 12097 //
     /* 1820491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1820502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1820505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1820508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1820511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1820521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1820533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820537 */     // MIs[0] policy
     /* 1820537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1820564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820589 */     // GIR_Coverage, 12097,
     /* 1820589 */     GIR_EraseRootFromParent_Done,
     /* 1820590 */   // Label 23104: @1820590
     /* 1820590 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1820694), // Rule ID 12100 //
     /* 1820595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1820606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1820609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1820612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1820615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820641 */     // MIs[0] policy
     /* 1820641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820651 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1820668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820693 */     // GIR_Coverage, 12100,
     /* 1820693 */     GIR_EraseRootFromParent_Done,
     /* 1820694 */   // Label 23105: @1820694
     /* 1820694 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1820798), // Rule ID 12101 //
     /* 1820699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1820710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1820713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1820716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1820719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1820722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1820729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1820741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820745 */     // MIs[0] policy
     /* 1820745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820755 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1820772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820797 */     // GIR_Coverage, 12101,
     /* 1820797 */     GIR_EraseRootFromParent_Done,
     /* 1820798 */   // Label 23106: @1820798
     /* 1820798 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1820902), // Rule ID 12104 //
     /* 1820803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1820814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1820817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1820820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1820823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820849 */     // MIs[0] policy
     /* 1820849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820859 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1820876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820901 */     // GIR_Coverage, 12104,
     /* 1820901 */     GIR_EraseRootFromParent_Done,
     /* 1820902 */   // Label 23107: @1820902
     /* 1820902 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1821006), // Rule ID 12105 //
     /* 1820907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1820915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1820918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1820921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1820924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1820927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1820930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1820937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1820949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820953 */     // MIs[0] policy
     /* 1820953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820963 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1820967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1820973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1820977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1820980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1820984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1820994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821005 */     // GIR_Coverage, 12105,
     /* 1821005 */     GIR_EraseRootFromParent_Done,
     /* 1821006 */   // Label 23108: @1821006
     /* 1821006 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1821110), // Rule ID 12108 //
     /* 1821011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1821028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821057 */     // MIs[0] policy
     /* 1821057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1821084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821109 */     // GIR_Coverage, 12108,
     /* 1821109 */     GIR_EraseRootFromParent_Done,
     /* 1821110 */   // Label 23109: @1821110
     /* 1821110 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1821214), // Rule ID 12109 //
     /* 1821115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1821126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1821129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1821132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1821135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821161 */     // MIs[0] policy
     /* 1821161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821171 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1821188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821213 */     // GIR_Coverage, 12109,
     /* 1821213 */     GIR_EraseRootFromParent_Done,
     /* 1821214 */   // Label 23110: @1821214
     /* 1821214 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1821318), // Rule ID 12112 //
     /* 1821219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1821236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821265 */     // MIs[0] policy
     /* 1821265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821275 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1821292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821317 */     // GIR_Coverage, 12112,
     /* 1821317 */     GIR_EraseRootFromParent_Done,
     /* 1821318 */   // Label 23111: @1821318
     /* 1821318 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1821422), // Rule ID 12113 //
     /* 1821323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1821334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1821337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1821340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1821343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821369 */     // MIs[0] policy
     /* 1821369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821379 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1821396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821421 */     // GIR_Coverage, 12113,
     /* 1821421 */     GIR_EraseRootFromParent_Done,
     /* 1821422 */   // Label 23112: @1821422
     /* 1821422 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1821526), // Rule ID 12116 //
     /* 1821427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1821444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821473 */     // MIs[0] policy
     /* 1821473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821483 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1821500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821525 */     // GIR_Coverage, 12116,
     /* 1821525 */     GIR_EraseRootFromParent_Done,
     /* 1821526 */   // Label 23113: @1821526
     /* 1821526 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1821630), // Rule ID 12117 //
     /* 1821531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1821542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1821545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1821548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1821551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821577 */     // MIs[0] policy
     /* 1821577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1821604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1821626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821629 */     // GIR_Coverage, 12117,
     /* 1821629 */     GIR_EraseRootFromParent_Done,
     /* 1821630 */   // Label 23114: @1821630
     /* 1821630 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1821734), // Rule ID 12120 //
     /* 1821635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1821652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821681 */     // MIs[0] policy
     /* 1821681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821691 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1821708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821733 */     // GIR_Coverage, 12120,
     /* 1821733 */     GIR_EraseRootFromParent_Done,
     /* 1821734 */   // Label 23115: @1821734
     /* 1821734 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1821838), // Rule ID 12121 //
     /* 1821739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1821750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1821753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1821756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1821759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1821762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821785 */     // MIs[0] policy
     /* 1821785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821795 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1821812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821837 */     // GIR_Coverage, 12121,
     /* 1821837 */     GIR_EraseRootFromParent_Done,
     /* 1821838 */   // Label 23116: @1821838
     /* 1821838 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1821942), // Rule ID 12124 //
     /* 1821843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1821854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1821857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1821860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1821863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821889 */     // MIs[0] policy
     /* 1821889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821899 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1821903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1821909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1821913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1821916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1821920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1821930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821941 */     // GIR_Coverage, 12124,
     /* 1821941 */     GIR_EraseRootFromParent_Done,
     /* 1821942 */   // Label 23117: @1821942
     /* 1821942 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1822046), // Rule ID 12125 //
     /* 1821947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1821955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1821958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1821961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1821964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1821967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1821970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821993 */     // MIs[0] policy
     /* 1821993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1822020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822045 */     // GIR_Coverage, 12125,
     /* 1822045 */     GIR_EraseRootFromParent_Done,
     /* 1822046 */   // Label 23118: @1822046
     /* 1822046 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1822150), // Rule ID 12128 //
     /* 1822051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1822068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822097 */     // MIs[0] policy
     /* 1822097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822107 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1822124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822149 */     // GIR_Coverage, 12128,
     /* 1822149 */     GIR_EraseRootFromParent_Done,
     /* 1822150 */   // Label 23119: @1822150
     /* 1822150 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1822254), // Rule ID 12129 //
     /* 1822155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1822166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1822169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1822172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1822175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822201 */     // MIs[0] policy
     /* 1822201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822211 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1822228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822253 */     // GIR_Coverage, 12129,
     /* 1822253 */     GIR_EraseRootFromParent_Done,
     /* 1822254 */   // Label 23120: @1822254
     /* 1822254 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1822358), // Rule ID 12132 //
     /* 1822259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822305 */     // MIs[0] policy
     /* 1822305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822315 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1822332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822357 */     // GIR_Coverage, 12132,
     /* 1822357 */     GIR_EraseRootFromParent_Done,
     /* 1822358 */   // Label 23121: @1822358
     /* 1822358 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1822462), // Rule ID 12133 //
     /* 1822363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1822374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1822377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1822380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822409 */     // MIs[0] policy
     /* 1822409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1822436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822461 */     // GIR_Coverage, 12133,
     /* 1822461 */     GIR_EraseRootFromParent_Done,
     /* 1822462 */   // Label 23122: @1822462
     /* 1822462 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1822566), // Rule ID 12136 //
     /* 1822467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822513 */     // MIs[0] policy
     /* 1822513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822523 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1822540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822565 */     // GIR_Coverage, 12136,
     /* 1822565 */     GIR_EraseRootFromParent_Done,
     /* 1822566 */   // Label 23123: @1822566
     /* 1822566 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1822670), // Rule ID 12137 //
     /* 1822571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1822582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1822585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1822588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822617 */     // MIs[0] policy
     /* 1822617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822627 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1822644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822669 */     // GIR_Coverage, 12137,
     /* 1822669 */     GIR_EraseRootFromParent_Done,
     /* 1822670 */   // Label 23124: @1822670
     /* 1822670 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1822774), // Rule ID 12140 //
     /* 1822675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822721 */     // MIs[0] policy
     /* 1822721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1822748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822773 */     // GIR_Coverage, 12140,
     /* 1822773 */     GIR_EraseRootFromParent_Done,
     /* 1822774 */   // Label 23125: @1822774
     /* 1822774 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1822878), // Rule ID 12141 //
     /* 1822779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1822790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1822793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1822796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1822799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822825 */     // MIs[0] policy
     /* 1822825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822835 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1822852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1822874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822877 */     // GIR_Coverage, 12141,
     /* 1822877 */     GIR_EraseRootFromParent_Done,
     /* 1822878 */   // Label 23126: @1822878
     /* 1822878 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1822982), // Rule ID 12144 //
     /* 1822883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1822894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1822897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1822900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1822903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1822906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1822913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1822921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1822925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822929 */     // MIs[0] policy
     /* 1822929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822939 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1822943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1822949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1822953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1822956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1822960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1822970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822981 */     // GIR_Coverage, 12144,
     /* 1822981 */     GIR_EraseRootFromParent_Done,
     /* 1822982 */   // Label 23127: @1822982
     /* 1822982 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1823086), // Rule ID 12145 //
     /* 1822987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1822995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1822998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1823004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823033 */     // MIs[0] policy
     /* 1823033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823043 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1823060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823085 */     // GIR_Coverage, 12145,
     /* 1823085 */     GIR_EraseRootFromParent_Done,
     /* 1823086 */   // Label 23128: @1823086
     /* 1823086 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1823190), // Rule ID 12148 //
     /* 1823091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823137 */     // MIs[0] policy
     /* 1823137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1823164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823189 */     // GIR_Coverage, 12148,
     /* 1823189 */     GIR_EraseRootFromParent_Done,
     /* 1823190 */   // Label 23129: @1823190
     /* 1823190 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1823294), // Rule ID 12149 //
     /* 1823195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1823212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823241 */     // MIs[0] policy
     /* 1823241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823251 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1823268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823293 */     // GIR_Coverage, 12149,
     /* 1823293 */     GIR_EraseRootFromParent_Done,
     /* 1823294 */   // Label 23130: @1823294
     /* 1823294 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1823398), // Rule ID 12152 //
     /* 1823299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823345 */     // MIs[0] policy
     /* 1823345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823355 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1823372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823397 */     // GIR_Coverage, 12152,
     /* 1823397 */     GIR_EraseRootFromParent_Done,
     /* 1823398 */   // Label 23131: @1823398
     /* 1823398 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1823502), // Rule ID 12153 //
     /* 1823403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1823414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1823417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1823420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823449 */     // MIs[0] policy
     /* 1823449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1823476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1823498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823501 */     // GIR_Coverage, 12153,
     /* 1823501 */     GIR_EraseRootFromParent_Done,
     /* 1823502 */   // Label 23132: @1823502
     /* 1823502 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1823606), // Rule ID 12156 //
     /* 1823507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823553 */     // MIs[0] policy
     /* 1823553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1823580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823605 */     // GIR_Coverage, 12156,
     /* 1823605 */     GIR_EraseRootFromParent_Done,
     /* 1823606 */   // Label 23133: @1823606
     /* 1823606 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1823710), // Rule ID 12157 //
     /* 1823611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1823622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1823625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1823628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823657 */     // MIs[0] policy
     /* 1823657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11148:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1823684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823709 */     // GIR_Coverage, 12157,
     /* 1823709 */     GIR_EraseRootFromParent_Done,
     /* 1823710 */   // Label 23134: @1823710
     /* 1823710 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1823814), // Rule ID 12160 //
     /* 1823715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823761 */     // MIs[0] policy
     /* 1823761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1823788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823813 */     // GIR_Coverage, 12160,
     /* 1823813 */     GIR_EraseRootFromParent_Done,
     /* 1823814 */   // Label 23135: @1823814
     /* 1823814 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1823918), // Rule ID 12161 //
     /* 1823819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1823830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1823833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1823836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1823839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823865 */     // MIs[0] policy
     /* 1823865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11148:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1823892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1823896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1823906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823917 */     // GIR_Coverage, 12161,
     /* 1823917 */     GIR_EraseRootFromParent_Done,
     /* 1823918 */   // Label 23136: @1823918
     /* 1823918 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1824022), // Rule ID 12164 //
     /* 1823923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1823931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1823934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1823937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1823940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1823943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823969 */     // MIs[0] policy
     /* 1823969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1823983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1823989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1823993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1823996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824021 */     // GIR_Coverage, 12164,
     /* 1824021 */     GIR_EraseRootFromParent_Done,
     /* 1824022 */   // Label 23137: @1824022
     /* 1824022 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1824126), // Rule ID 12165 //
     /* 1824027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1824044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824073 */     // MIs[0] policy
     /* 1824073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824083 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1824100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824125 */     // GIR_Coverage, 12165,
     /* 1824125 */     GIR_EraseRootFromParent_Done,
     /* 1824126 */   // Label 23138: @1824126
     /* 1824126 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1824230), // Rule ID 12168 //
     /* 1824131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824177 */     // MIs[0] policy
     /* 1824177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824187 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1824204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824229 */     // GIR_Coverage, 12168,
     /* 1824229 */     GIR_EraseRootFromParent_Done,
     /* 1824230 */   // Label 23139: @1824230
     /* 1824230 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1824334), // Rule ID 12169 //
     /* 1824235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1824252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824281 */     // MIs[0] policy
     /* 1824281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824291 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1824308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824333 */     // GIR_Coverage, 12169,
     /* 1824333 */     GIR_EraseRootFromParent_Done,
     /* 1824334 */   // Label 23140: @1824334
     /* 1824334 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1824438), // Rule ID 12172 //
     /* 1824339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824385 */     // MIs[0] policy
     /* 1824385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1824412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824437 */     // GIR_Coverage, 12172,
     /* 1824437 */     GIR_EraseRootFromParent_Done,
     /* 1824438 */   // Label 23141: @1824438
     /* 1824438 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1824542), // Rule ID 12173 //
     /* 1824443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1824460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824489 */     // MIs[0] policy
     /* 1824489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824499 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1824516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824541 */     // GIR_Coverage, 12173,
     /* 1824541 */     GIR_EraseRootFromParent_Done,
     /* 1824542 */   // Label 23142: @1824542
     /* 1824542 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1824646), // Rule ID 12176 //
     /* 1824547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824593 */     // MIs[0] policy
     /* 1824593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824603 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1824620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824645 */     // GIR_Coverage, 12176,
     /* 1824645 */     GIR_EraseRootFromParent_Done,
     /* 1824646 */   // Label 23143: @1824646
     /* 1824646 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1824750), // Rule ID 12177 //
     /* 1824651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1824662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1824665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1824668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1824674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1824681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1824689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824697 */     // MIs[0] policy
     /* 1824697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824707 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1824724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824749 */     // GIR_Coverage, 12177,
     /* 1824749 */     GIR_EraseRootFromParent_Done,
     /* 1824750 */   // Label 23144: @1824750
     /* 1824750 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1824854), // Rule ID 12180 //
     /* 1824755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824801 */     // MIs[0] policy
     /* 1824801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1824828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824853 */     // GIR_Coverage, 12180,
     /* 1824853 */     GIR_EraseRootFromParent_Done,
     /* 1824854 */   // Label 23145: @1824854
     /* 1824854 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1824958), // Rule ID 12181 //
     /* 1824859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1824870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1824873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1824876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1824879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1824882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1824889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1824897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824905 */     // MIs[0] policy
     /* 1824905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824915 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1824919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1824925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1824929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1824932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1824936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1824946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824957 */     // GIR_Coverage, 12181,
     /* 1824957 */     GIR_EraseRootFromParent_Done,
     /* 1824958 */   // Label 23146: @1824958
     /* 1824958 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1825062), // Rule ID 12184 //
     /* 1824963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1824971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1824974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1824977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1824980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1824983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825009 */     // MIs[0] policy
     /* 1825009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1825036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825061 */     // GIR_Coverage, 12184,
     /* 1825061 */     GIR_EraseRootFromParent_Done,
     /* 1825062 */   // Label 23147: @1825062
     /* 1825062 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1825166), // Rule ID 12185 //
     /* 1825067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1825084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825113 */     // MIs[0] policy
     /* 1825113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1825140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825165 */     // GIR_Coverage, 12185,
     /* 1825165 */     GIR_EraseRootFromParent_Done,
     /* 1825166 */   // Label 23148: @1825166
     /* 1825166 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1825270), // Rule ID 12188 //
     /* 1825171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825217 */     // MIs[0] policy
     /* 1825217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1825244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825269 */     // GIR_Coverage, 12188,
     /* 1825269 */     GIR_EraseRootFromParent_Done,
     /* 1825270 */   // Label 23149: @1825270
     /* 1825270 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1825374), // Rule ID 12189 //
     /* 1825275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1825292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825321 */     // MIs[0] policy
     /* 1825321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1825348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825373 */     // GIR_Coverage, 12189,
     /* 1825373 */     GIR_EraseRootFromParent_Done,
     /* 1825374 */   // Label 23150: @1825374
     /* 1825374 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1825478), // Rule ID 12192 //
     /* 1825379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825425 */     // MIs[0] policy
     /* 1825425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825435 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1825452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825477 */     // GIR_Coverage, 12192,
     /* 1825477 */     GIR_EraseRootFromParent_Done,
     /* 1825478 */   // Label 23151: @1825478
     /* 1825478 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1825582), // Rule ID 12193 //
     /* 1825483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1825500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825529 */     // MIs[0] policy
     /* 1825529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1825556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825581 */     // GIR_Coverage, 12193,
     /* 1825581 */     GIR_EraseRootFromParent_Done,
     /* 1825582 */   // Label 23152: @1825582
     /* 1825582 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1825686), // Rule ID 12196 //
     /* 1825587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825633 */     // MIs[0] policy
     /* 1825633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825643 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1825660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825685 */     // GIR_Coverage, 12196,
     /* 1825685 */     GIR_EraseRootFromParent_Done,
     /* 1825686 */   // Label 23153: @1825686
     /* 1825686 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1825790), // Rule ID 12197 //
     /* 1825691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1825702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1825705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1825708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1825714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825737 */     // MIs[0] policy
     /* 1825737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1825764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825789 */     // GIR_Coverage, 12197,
     /* 1825789 */     GIR_EraseRootFromParent_Done,
     /* 1825790 */   // Label 23154: @1825790
     /* 1825790 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1825894), // Rule ID 12200 //
     /* 1825795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1825815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825841 */     // MIs[0] policy
     /* 1825841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825851 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1825868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825893 */     // GIR_Coverage, 12200,
     /* 1825893 */     GIR_EraseRootFromParent_Done,
     /* 1825894 */   // Label 23155: @1825894
     /* 1825894 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1825998), // Rule ID 12201 //
     /* 1825899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1825907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1825910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1825913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1825916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1825919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825945 */     // MIs[0] policy
     /* 1825945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825955 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1825959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1825965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1825969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1825972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1825976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1825986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1825994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825997 */     // GIR_Coverage, 12201,
     /* 1825997 */     GIR_EraseRootFromParent_Done,
     /* 1825998 */   // Label 23156: @1825998
     /* 1825998 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1826102), // Rule ID 12204 //
     /* 1826003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826049 */     // MIs[0] policy
     /* 1826049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826059 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1826076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826101 */     // GIR_Coverage, 12204,
     /* 1826101 */     GIR_EraseRootFromParent_Done,
     /* 1826102 */   // Label 23157: @1826102
     /* 1826102 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1826206), // Rule ID 12205 //
     /* 1826107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1826124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826153 */     // MIs[0] policy
     /* 1826153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826163 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1826180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826205 */     // GIR_Coverage, 12205,
     /* 1826205 */     GIR_EraseRootFromParent_Done,
     /* 1826206 */   // Label 23158: @1826206
     /* 1826206 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1826310), // Rule ID 12208 //
     /* 1826211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826257 */     // MIs[0] policy
     /* 1826257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826267 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1826284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826309 */     // GIR_Coverage, 12208,
     /* 1826309 */     GIR_EraseRootFromParent_Done,
     /* 1826310 */   // Label 23159: @1826310
     /* 1826310 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1826414), // Rule ID 12209 //
     /* 1826315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1826332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826361 */     // MIs[0] policy
     /* 1826361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1826388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826413 */     // GIR_Coverage, 12209,
     /* 1826413 */     GIR_EraseRootFromParent_Done,
     /* 1826414 */   // Label 23160: @1826414
     /* 1826414 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1826518), // Rule ID 12212 //
     /* 1826419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826465 */     // MIs[0] policy
     /* 1826465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826475 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1826492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826517 */     // GIR_Coverage, 12212,
     /* 1826517 */     GIR_EraseRootFromParent_Done,
     /* 1826518 */   // Label 23161: @1826518
     /* 1826518 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1826622), // Rule ID 12213 //
     /* 1826523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1826540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826569 */     // MIs[0] policy
     /* 1826569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826579 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1826596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826621 */     // GIR_Coverage, 12213,
     /* 1826621 */     GIR_EraseRootFromParent_Done,
     /* 1826622 */   // Label 23162: @1826622
     /* 1826622 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1826726), // Rule ID 12216 //
     /* 1826627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1826647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826673 */     // MIs[0] policy
     /* 1826673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1826700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826725 */     // GIR_Coverage, 12216,
     /* 1826725 */     GIR_EraseRootFromParent_Done,
     /* 1826726 */   // Label 23163: @1826726
     /* 1826726 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1826830), // Rule ID 12217 //
     /* 1826731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1826739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1826748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1826751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826777 */     // MIs[0] policy
     /* 1826777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826787 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1826804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826829 */     // GIR_Coverage, 12217,
     /* 1826829 */     GIR_EraseRootFromParent_Done,
     /* 1826830 */   // Label 23164: @1826830
     /* 1826830 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1826934), // Rule ID 12220 //
     /* 1826835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1826843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1826852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826881 */     // MIs[0] policy
     /* 1826881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1826901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1826905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1826908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1826912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1826922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1826930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826933 */     // GIR_Coverage, 12220,
     /* 1826933 */     GIR_EraseRootFromParent_Done,
     /* 1826934 */   // Label 23165: @1826934
     /* 1826934 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1827038), // Rule ID 12221 //
     /* 1826939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1826947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1826950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1826953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1826956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1826959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1826962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1826969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1826981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826985 */     // MIs[0] policy
     /* 1826985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826995 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1826999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1827012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827037 */     // GIR_Coverage, 12221,
     /* 1827037 */     GIR_EraseRootFromParent_Done,
     /* 1827038 */   // Label 23166: @1827038
     /* 1827038 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1827142), // Rule ID 12224 //
     /* 1827043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827089 */     // MIs[0] policy
     /* 1827089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827099 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1827116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827141 */     // GIR_Coverage, 12224,
     /* 1827141 */     GIR_EraseRootFromParent_Done,
     /* 1827142 */   // Label 23167: @1827142
     /* 1827142 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1827246), // Rule ID 12225 //
     /* 1827147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827193 */     // MIs[0] policy
     /* 1827193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827203 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1827220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827245 */     // GIR_Coverage, 12225,
     /* 1827245 */     GIR_EraseRootFromParent_Done,
     /* 1827246 */   // Label 23168: @1827246
     /* 1827246 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1827350), // Rule ID 12228 //
     /* 1827251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827297 */     // MIs[0] policy
     /* 1827297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827307 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1827324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827349 */     // GIR_Coverage, 12228,
     /* 1827349 */     GIR_EraseRootFromParent_Done,
     /* 1827350 */   // Label 23169: @1827350
     /* 1827350 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1827454), // Rule ID 12229 //
     /* 1827355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1827366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1827369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827401 */     // MIs[0] policy
     /* 1827401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1827428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827453 */     // GIR_Coverage, 12229,
     /* 1827453 */     GIR_EraseRootFromParent_Done,
     /* 1827454 */   // Label 23170: @1827454
     /* 1827454 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1827558), // Rule ID 12232 //
     /* 1827459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1827470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1827473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1827476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827505 */     // MIs[0] policy
     /* 1827505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1827532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827557 */     // GIR_Coverage, 12232,
     /* 1827557 */     GIR_EraseRootFromParent_Done,
     /* 1827558 */   // Label 23171: @1827558
     /* 1827558 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1827662), // Rule ID 12233 //
     /* 1827563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1827574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1827577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1827580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1827583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1827586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1827593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827609 */     // MIs[0] policy
     /* 1827609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1827636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827661 */     // GIR_Coverage, 12233,
     /* 1827661 */     GIR_EraseRootFromParent_Done,
     /* 1827662 */   // Label 23172: @1827662
     /* 1827662 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1827766), // Rule ID 12236 //
     /* 1827667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1827678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1827681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1827684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1827687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827713 */     // MIs[0] policy
     /* 1827713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1827740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827765 */     // GIR_Coverage, 12236,
     /* 1827765 */     GIR_EraseRootFromParent_Done,
     /* 1827766 */   // Label 23173: @1827766
     /* 1827766 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1827870), // Rule ID 12237 //
     /* 1827771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1827782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1827785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1827788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1827791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1827794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1827801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1827813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827817 */     // MIs[0] policy
     /* 1827817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1827844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827869 */     // GIR_Coverage, 12237,
     /* 1827869 */     GIR_EraseRootFromParent_Done,
     /* 1827870 */   // Label 23174: @1827870
     /* 1827870 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1827974), // Rule ID 12240 //
     /* 1827875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1827886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1827889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1827892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1827895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1827898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1827905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1827909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1827917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827921 */     // MIs[0] policy
     /* 1827921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1827935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1827941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1827945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1827948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1827952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1827962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827973 */     // GIR_Coverage, 12240,
     /* 1827973 */     GIR_EraseRootFromParent_Done,
     /* 1827974 */   // Label 23175: @1827974
     /* 1827974 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1828078), // Rule ID 12241 //
     /* 1827979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1827987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1827990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1827993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1827996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1827999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828025 */     // MIs[0] policy
     /* 1828025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828035 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1828052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828077 */     // GIR_Coverage, 12241,
     /* 1828077 */     GIR_EraseRootFromParent_Done,
     /* 1828078 */   // Label 23176: @1828078
     /* 1828078 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1828182), // Rule ID 12244 //
     /* 1828083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1828100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828129 */     // MIs[0] policy
     /* 1828129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1828156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828181 */     // GIR_Coverage, 12244,
     /* 1828181 */     GIR_EraseRootFromParent_Done,
     /* 1828182 */   // Label 23177: @1828182
     /* 1828182 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1828286), // Rule ID 12245 //
     /* 1828187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1828198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1828201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1828204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1828207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828233 */     // MIs[0] policy
     /* 1828233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1828260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828285 */     // GIR_Coverage, 12245,
     /* 1828285 */     GIR_EraseRootFromParent_Done,
     /* 1828286 */   // Label 23178: @1828286
     /* 1828286 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1828390), // Rule ID 12248 //
     /* 1828291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1828308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828337 */     // MIs[0] policy
     /* 1828337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1828364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828389 */     // GIR_Coverage, 12248,
     /* 1828389 */     GIR_EraseRootFromParent_Done,
     /* 1828390 */   // Label 23179: @1828390
     /* 1828390 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1828494), // Rule ID 12249 //
     /* 1828395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1828412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1828415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828441 */     // MIs[0] policy
     /* 1828441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1828468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828493 */     // GIR_Coverage, 12249,
     /* 1828493 */     GIR_EraseRootFromParent_Done,
     /* 1828494 */   // Label 23180: @1828494
     /* 1828494 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1828598), // Rule ID 12252 //
     /* 1828499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1828510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1828513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828545 */     // MIs[0] policy
     /* 1828545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828555 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1828572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828597 */     // GIR_Coverage, 12252,
     /* 1828597 */     GIR_EraseRootFromParent_Done,
     /* 1828598 */   // Label 23181: @1828598
     /* 1828598 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1828702), // Rule ID 12253 //
     /* 1828603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1828614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1828617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828649 */     // MIs[0] policy
     /* 1828649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1828676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828701 */     // GIR_Coverage, 12253,
     /* 1828701 */     GIR_EraseRootFromParent_Done,
     /* 1828702 */   // Label 23182: @1828702
     /* 1828702 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1828806), // Rule ID 12256 //
     /* 1828707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1828718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1828721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1828724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828753 */     // MIs[0] policy
     /* 1828753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828763 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1828780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828805 */     // GIR_Coverage, 12256,
     /* 1828805 */     GIR_EraseRootFromParent_Done,
     /* 1828806 */   // Label 23183: @1828806
     /* 1828806 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1828910), // Rule ID 12257 //
     /* 1828811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1828822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1828825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1828828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1828831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828857 */     // MIs[0] policy
     /* 1828857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1828884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1828898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828909 */     // GIR_Coverage, 12257,
     /* 1828909 */     GIR_EraseRootFromParent_Done,
     /* 1828910 */   // Label 23184: @1828910
     /* 1828910 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1829014), // Rule ID 12260 //
     /* 1828915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1828923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1828926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1828929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1828932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1828935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1828945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1828949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828961 */     // MIs[0] policy
     /* 1828961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1828975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1828981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1828985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1828988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1828992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829013 */     // GIR_Coverage, 12260,
     /* 1829013 */     GIR_EraseRootFromParent_Done,
     /* 1829014 */   // Label 23185: @1829014
     /* 1829014 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1829118), // Rule ID 12261 //
     /* 1829019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1829030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1829033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1829036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829065 */     // MIs[0] policy
     /* 1829065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829075 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1829092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829117 */     // GIR_Coverage, 12261,
     /* 1829117 */     GIR_EraseRootFromParent_Done,
     /* 1829118 */   // Label 23186: @1829118
     /* 1829118 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1829222), // Rule ID 12264 //
     /* 1829123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1829126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1829140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1829143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829169 */     // MIs[0] policy
     /* 1829169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829179 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1829196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829221 */     // GIR_Coverage, 12264,
     /* 1829221 */     GIR_EraseRootFromParent_Done,
     /* 1829222 */   // Label 23187: @1829222
     /* 1829222 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1829326), // Rule ID 12265 //
     /* 1829227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1829230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1829238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1829241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1829244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1829247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829273 */     // MIs[0] policy
     /* 1829273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1829300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829325 */     // GIR_Coverage, 12265,
     /* 1829325 */     GIR_EraseRootFromParent_Done,
     /* 1829326 */   // Label 23188: @1829326
     /* 1829326 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1829430), // Rule ID 12268 //
     /* 1829331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1829334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1829348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1829351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829377 */     // MIs[0] policy
     /* 1829377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1829404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829429 */     // GIR_Coverage, 12268,
     /* 1829429 */     GIR_EraseRootFromParent_Done,
     /* 1829430 */   // Label 23189: @1829430
     /* 1829430 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1829534), // Rule ID 12269 //
     /* 1829435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1829438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1829446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1829449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1829452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1829455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1829458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829481 */     // MIs[0] policy
     /* 1829481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1829508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829533 */     // GIR_Coverage, 12269,
     /* 1829533 */     GIR_EraseRootFromParent_Done,
     /* 1829534 */   // Label 23190: @1829534
     /* 1829534 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1829638), // Rule ID 12272 //
     /* 1829539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1829542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1829556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829585 */     // MIs[0] policy
     /* 1829585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1829612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829637 */     // GIR_Coverage, 12272,
     /* 1829637 */     GIR_EraseRootFromParent_Done,
     /* 1829638 */   // Label 23191: @1829638
     /* 1829638 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1829742), // Rule ID 12273 //
     /* 1829643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1829646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1829654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1829657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1829660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829689 */     // MIs[0] policy
     /* 1829689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1829716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829741 */     // GIR_Coverage, 12273,
     /* 1829741 */     GIR_EraseRootFromParent_Done,
     /* 1829742 */   // Label 23192: @1829742
     /* 1829742 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1829846), // Rule ID 12276 //
     /* 1829747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1829750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1829764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829793 */     // MIs[0] policy
     /* 1829793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1829820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829845 */     // GIR_Coverage, 12276,
     /* 1829845 */     GIR_EraseRootFromParent_Done,
     /* 1829846 */   // Label 23193: @1829846
     /* 1829846 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1829950), // Rule ID 12277 //
     /* 1829851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1829854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1829862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1829865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1829868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829897 */     // MIs[0] policy
     /* 1829897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1829911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1829917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1829921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1829924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1829928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1829938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829949 */     // GIR_Coverage, 12277,
     /* 1829949 */     GIR_EraseRootFromParent_Done,
     /* 1829950 */   // Label 23194: @1829950
     /* 1829950 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1830054), // Rule ID 12280 //
     /* 1829955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1829963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1829966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1829969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1829972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1829975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1829978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1829985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1829993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1829997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830001 */     // MIs[0] policy
     /* 1830001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1830028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830053 */     // GIR_Coverage, 12280,
     /* 1830053 */     GIR_EraseRootFromParent_Done,
     /* 1830054 */   // Label 23195: @1830054
     /* 1830054 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1830158), // Rule ID 12281 //
     /* 1830059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1830070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1830073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1830076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830105 */     // MIs[0] policy
     /* 1830105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1830132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830157 */     // GIR_Coverage, 12281,
     /* 1830157 */     GIR_EraseRootFromParent_Done,
     /* 1830158 */   // Label 23196: @1830158
     /* 1830158 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1830262), // Rule ID 12284 //
     /* 1830163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830209 */     // MIs[0] policy
     /* 1830209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1830236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830261 */     // GIR_Coverage, 12284,
     /* 1830261 */     GIR_EraseRootFromParent_Done,
     /* 1830262 */   // Label 23197: @1830262
     /* 1830262 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1830366), // Rule ID 12285 //
     /* 1830267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1830278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1830281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1830284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830313 */     // MIs[0] policy
     /* 1830313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1830340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830365 */     // GIR_Coverage, 12285,
     /* 1830365 */     GIR_EraseRootFromParent_Done,
     /* 1830366 */   // Label 23198: @1830366
     /* 1830366 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1830470), // Rule ID 12288 //
     /* 1830371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1830382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1830385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830417 */     // MIs[0] policy
     /* 1830417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1830444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830469 */     // GIR_Coverage, 12288,
     /* 1830469 */     GIR_EraseRootFromParent_Done,
     /* 1830470 */   // Label 23199: @1830470
     /* 1830470 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1830574), // Rule ID 12289 //
     /* 1830475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1830486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1830489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1830492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830521 */     // MIs[0] policy
     /* 1830521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11290:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1830548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830573 */     // GIR_Coverage, 12289,
     /* 1830573 */     GIR_EraseRootFromParent_Done,
     /* 1830574 */   // Label 23200: @1830574
     /* 1830574 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1830678), // Rule ID 12292 //
     /* 1830579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1830590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1830593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1830596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830625 */     // MIs[0] policy
     /* 1830625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1830652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830677 */     // GIR_Coverage, 12292,
     /* 1830677 */     GIR_EraseRootFromParent_Done,
     /* 1830678 */   // Label 23201: @1830678
     /* 1830678 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1830782), // Rule ID 12293 //
     /* 1830683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1830694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1830697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1830700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830729 */     // MIs[0] policy
     /* 1830729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1830756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830781 */     // GIR_Coverage, 12293,
     /* 1830781 */     GIR_EraseRootFromParent_Done,
     /* 1830782 */   // Label 23202: @1830782
     /* 1830782 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1830886), // Rule ID 12296 //
     /* 1830787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1830798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1830801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1830804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1830807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830833 */     // MIs[0] policy
     /* 1830833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1830860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830885 */     // GIR_Coverage, 12296,
     /* 1830885 */     GIR_EraseRootFromParent_Done,
     /* 1830886 */   // Label 23203: @1830886
     /* 1830886 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1830990), // Rule ID 12297 //
     /* 1830891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1830899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1830902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1830905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1830908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1830911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830937 */     // MIs[0] policy
     /* 1830937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1830951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1830957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1830961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1830964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1830968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1830978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830989 */     // GIR_Coverage, 12297,
     /* 1830989 */     GIR_EraseRootFromParent_Done,
     /* 1830990 */   // Label 23204: @1830990
     /* 1830990 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1831094), // Rule ID 12300 //
     /* 1830995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1831006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1831009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831041 */     // MIs[0] policy
     /* 1831041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1831068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831093 */     // GIR_Coverage, 12300,
     /* 1831093 */     GIR_EraseRootFromParent_Done,
     /* 1831094 */   // Label 23205: @1831094
     /* 1831094 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1831198), // Rule ID 12301 //
     /* 1831099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1831110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1831113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1831116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1831122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1831129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1831133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831145 */     // MIs[0] policy
     /* 1831145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1831172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831197 */     // GIR_Coverage, 12301,
     /* 1831197 */     GIR_EraseRootFromParent_Done,
     /* 1831198 */   // Label 23206: @1831198
     /* 1831198 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1831302), // Rule ID 12304 //
     /* 1831203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831249 */     // MIs[0] policy
     /* 1831249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1831276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831301 */     // GIR_Coverage, 12304,
     /* 1831301 */     GIR_EraseRootFromParent_Done,
     /* 1831302 */   // Label 23207: @1831302
     /* 1831302 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1831406), // Rule ID 12305 //
     /* 1831307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1831324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831353 */     // MIs[0] policy
     /* 1831353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1831380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831405 */     // GIR_Coverage, 12305,
     /* 1831405 */     GIR_EraseRootFromParent_Done,
     /* 1831406 */   // Label 23208: @1831406
     /* 1831406 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1831510), // Rule ID 12308 //
     /* 1831411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831457 */     // MIs[0] policy
     /* 1831457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1831484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831509 */     // GIR_Coverage, 12308,
     /* 1831509 */     GIR_EraseRootFromParent_Done,
     /* 1831510 */   // Label 23209: @1831510
     /* 1831510 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1831614), // Rule ID 12309 //
     /* 1831515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1831526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1831529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1831532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831561 */     // MIs[0] policy
     /* 1831561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1831588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831613 */     // GIR_Coverage, 12309,
     /* 1831613 */     GIR_EraseRootFromParent_Done,
     /* 1831614 */   // Label 23210: @1831614
     /* 1831614 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1831718), // Rule ID 12312 //
     /* 1831619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1831630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1831633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831665 */     // MIs[0] policy
     /* 1831665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1831692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831717 */     // GIR_Coverage, 12312,
     /* 1831717 */     GIR_EraseRootFromParent_Done,
     /* 1831718 */   // Label 23211: @1831718
     /* 1831718 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1831822), // Rule ID 12313 //
     /* 1831723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1831734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1831737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1831740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1831753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831769 */     // MIs[0] policy
     /* 1831769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1831796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831821 */     // GIR_Coverage, 12313,
     /* 1831821 */     GIR_EraseRootFromParent_Done,
     /* 1831822 */   // Label 23212: @1831822
     /* 1831822 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1831926), // Rule ID 12316 //
     /* 1831827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1831838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1831841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1831844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1831847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831873 */     // MIs[0] policy
     /* 1831873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1831897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1831900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1831904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1831914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831925 */     // GIR_Coverage, 12316,
     /* 1831925 */     GIR_EraseRootFromParent_Done,
     /* 1831926 */   // Label 23213: @1831926
     /* 1831926 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1832030), // Rule ID 12317 //
     /* 1831931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1831939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1831942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1831945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1831948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1831951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1831961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1831965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1831969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831977 */     // MIs[0] policy
     /* 1831977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1831991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1831997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1832004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832029 */     // GIR_Coverage, 12317,
     /* 1832029 */     GIR_EraseRootFromParent_Done,
     /* 1832030 */   // Label 23214: @1832030
     /* 1832030 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1832134), // Rule ID 12320 //
     /* 1832035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1832046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1832049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832081 */     // MIs[0] policy
     /* 1832081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1832108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832133 */     // GIR_Coverage, 12320,
     /* 1832133 */     GIR_EraseRootFromParent_Done,
     /* 1832134 */   // Label 23215: @1832134
     /* 1832134 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1832238), // Rule ID 12321 //
     /* 1832139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1832150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1832153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1832156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832185 */     // MIs[0] policy
     /* 1832185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1832212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832237 */     // GIR_Coverage, 12321,
     /* 1832237 */     GIR_EraseRootFromParent_Done,
     /* 1832238 */   // Label 23216: @1832238
     /* 1832238 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1832342), // Rule ID 12324 //
     /* 1832243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1832246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832289 */     // MIs[0] policy
     /* 1832289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1832316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832341 */     // GIR_Coverage, 12324,
     /* 1832341 */     GIR_EraseRootFromParent_Done,
     /* 1832342 */   // Label 23217: @1832342
     /* 1832342 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1832446), // Rule ID 12325 //
     /* 1832347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1832350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1832364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832393 */     // MIs[0] policy
     /* 1832393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1832420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832445 */     // GIR_Coverage, 12325,
     /* 1832445 */     GIR_EraseRootFromParent_Done,
     /* 1832446 */   // Label 23218: @1832446
     /* 1832446 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1832550), // Rule ID 12328 //
     /* 1832451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1832454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1832462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1832465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832497 */     // MIs[0] policy
     /* 1832497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1832524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832549 */     // GIR_Coverage, 12328,
     /* 1832549 */     GIR_EraseRootFromParent_Done,
     /* 1832550 */   // Label 23219: @1832550
     /* 1832550 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1832654), // Rule ID 12329 //
     /* 1832555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1832558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1832566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1832569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1832572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832601 */     // MIs[0] policy
     /* 1832601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1832628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832653 */     // GIR_Coverage, 12329,
     /* 1832653 */     GIR_EraseRootFromParent_Done,
     /* 1832654 */   // Label 23220: @1832654
     /* 1832654 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1832758), // Rule ID 12332 //
     /* 1832659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1832662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1832670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1832673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832705 */     // MIs[0] policy
     /* 1832705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1832732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832757 */     // GIR_Coverage, 12332,
     /* 1832757 */     GIR_EraseRootFromParent_Done,
     /* 1832758 */   // Label 23221: @1832758
     /* 1832758 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1832862), // Rule ID 12333 //
     /* 1832763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1832766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1832774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1832777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1832780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832809 */     // MIs[0] policy
     /* 1832809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1832836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832861 */     // GIR_Coverage, 12333,
     /* 1832861 */     GIR_EraseRootFromParent_Done,
     /* 1832862 */   // Label 23222: @1832862
     /* 1832862 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1832966), // Rule ID 12336 //
     /* 1832867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1832870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1832878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1832881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1832887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832913 */     // MIs[0] policy
     /* 1832913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1832927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1832933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1832937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1832940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1832944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1832954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832965 */     // GIR_Coverage, 12336,
     /* 1832965 */     GIR_EraseRootFromParent_Done,
     /* 1832966 */   // Label 23223: @1832966
     /* 1832966 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1833070), // Rule ID 12337 //
     /* 1832971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1832974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1832979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1832982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1832985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1832988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1832991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1832994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833017 */     // MIs[0] policy
     /* 1833017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1833044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833069 */     // GIR_Coverage, 12337,
     /* 1833069 */     GIR_EraseRootFromParent_Done,
     /* 1833070 */   // Label 23224: @1833070
     /* 1833070 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1833174), // Rule ID 12340 //
     /* 1833075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1833086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1833089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1833092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833121 */     // MIs[0] policy
     /* 1833121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1833148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833173 */     // GIR_Coverage, 12340,
     /* 1833173 */     GIR_EraseRootFromParent_Done,
     /* 1833174 */   // Label 23225: @1833174
     /* 1833174 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1833278), // Rule ID 12341 //
     /* 1833179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1833190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1833193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1833196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1833199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1833202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833225 */     // MIs[0] policy
     /* 1833225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1833252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833277 */     // GIR_Coverage, 12341,
     /* 1833277 */     GIR_EraseRootFromParent_Done,
     /* 1833278 */   // Label 23226: @1833278
     /* 1833278 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1833382), // Rule ID 12344 //
     /* 1833283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1833294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1833297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1833300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1833303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833329 */     // MIs[0] policy
     /* 1833329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1833356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833381 */     // GIR_Coverage, 12344,
     /* 1833381 */     GIR_EraseRootFromParent_Done,
     /* 1833382 */   // Label 23227: @1833382
     /* 1833382 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1833486), // Rule ID 12345 //
     /* 1833387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1833398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1833401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1833404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1833407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1833410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833433 */     // MIs[0] policy
     /* 1833433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1833460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833485 */     // GIR_Coverage, 12345,
     /* 1833485 */     GIR_EraseRootFromParent_Done,
     /* 1833486 */   // Label 23228: @1833486
     /* 1833486 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1833590), // Rule ID 12348 //
     /* 1833491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1833502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1833505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1833508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1833511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833537 */     // MIs[0] policy
     /* 1833537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1833564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833589 */     // GIR_Coverage, 12348,
     /* 1833589 */     GIR_EraseRootFromParent_Done,
     /* 1833590 */   // Label 23229: @1833590
     /* 1833590 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1833694), // Rule ID 12349 //
     /* 1833595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1833606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1833609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1833612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1833615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1833625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833641 */     // MIs[0] policy
     /* 1833641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1833668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833693 */     // GIR_Coverage, 12349,
     /* 1833693 */     GIR_EraseRootFromParent_Done,
     /* 1833694 */   // Label 23230: @1833694
     /* 1833694 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1833798), // Rule ID 12352 //
     /* 1833699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1833716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1833719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833745 */     // MIs[0] policy
     /* 1833745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1833772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833797 */     // GIR_Coverage, 12352,
     /* 1833797 */     GIR_EraseRootFromParent_Done,
     /* 1833798 */   // Label 23231: @1833798
     /* 1833798 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1833902), // Rule ID 12353 //
     /* 1833803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1833820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1833823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1833845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833849 */     // MIs[0] policy
     /* 1833849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1833876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833901 */     // GIR_Coverage, 12353,
     /* 1833901 */     GIR_EraseRootFromParent_Done,
     /* 1833902 */   // Label 23232: @1833902
     /* 1833902 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1834006), // Rule ID 12356 //
     /* 1833907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1833915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1833924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1833927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833953 */     // MIs[0] policy
     /* 1833953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1833967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1833973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1833977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1833980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1833984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1833994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834005 */     // GIR_Coverage, 12356,
     /* 1834005 */     GIR_EraseRootFromParent_Done,
     /* 1834006 */   // Label 23233: @1834006
     /* 1834006 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1834110), // Rule ID 12357 //
     /* 1834011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1834022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1834025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1834028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1834031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834057 */     // MIs[0] policy
     /* 1834057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1834084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834109 */     // GIR_Coverage, 12357,
     /* 1834109 */     GIR_EraseRootFromParent_Done,
     /* 1834110 */   // Label 23234: @1834110
     /* 1834110 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1834214), // Rule ID 12360 //
     /* 1834115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1834126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1834129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1834132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1834135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1834138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834161 */     // MIs[0] policy
     /* 1834161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1834188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834213 */     // GIR_Coverage, 12360,
     /* 1834213 */     GIR_EraseRootFromParent_Done,
     /* 1834214 */   // Label 23235: @1834214
     /* 1834214 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1834318), // Rule ID 12361 //
     /* 1834219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1834230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1834233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1834236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1834239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1834242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834265 */     // MIs[0] policy
     /* 1834265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1834292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834317 */     // GIR_Coverage, 12361,
     /* 1834317 */     GIR_EraseRootFromParent_Done,
     /* 1834318 */   // Label 23236: @1834318
     /* 1834318 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1834422), // Rule ID 12364 //
     /* 1834323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1834340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834369 */     // MIs[0] policy
     /* 1834369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1834396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834421 */     // GIR_Coverage, 12364,
     /* 1834421 */     GIR_EraseRootFromParent_Done,
     /* 1834422 */   // Label 23237: @1834422
     /* 1834422 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1834526), // Rule ID 12365 //
     /* 1834427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1834438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1834441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1834444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1834447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834473 */     // MIs[0] policy
     /* 1834473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1834500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834525 */     // GIR_Coverage, 12365,
     /* 1834525 */     GIR_EraseRootFromParent_Done,
     /* 1834526 */   // Label 23238: @1834526
     /* 1834526 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1834630), // Rule ID 12368 //
     /* 1834531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1834548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834577 */     // MIs[0] policy
     /* 1834577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834587 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1834604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834629 */     // GIR_Coverage, 12368,
     /* 1834629 */     GIR_EraseRootFromParent_Done,
     /* 1834630 */   // Label 23239: @1834630
     /* 1834630 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1834734), // Rule ID 12369 //
     /* 1834635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1834646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1834649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1834652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1834655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834681 */     // MIs[0] policy
     /* 1834681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1834708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834733 */     // GIR_Coverage, 12369,
     /* 1834733 */     GIR_EraseRootFromParent_Done,
     /* 1834734 */   // Label 23240: @1834734
     /* 1834734 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1834838), // Rule ID 12372 //
     /* 1834739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1834756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1834759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834785 */     // MIs[0] policy
     /* 1834785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1834812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834837 */     // GIR_Coverage, 12372,
     /* 1834837 */     GIR_EraseRootFromParent_Done,
     /* 1834838 */   // Label 23241: @1834838
     /* 1834838 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1834942), // Rule ID 12373 //
     /* 1834843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1834854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1834857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1834860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1834863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834889 */     // MIs[0] policy
     /* 1834889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1834903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1834909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1834913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1834916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1834920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1834930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1834938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834941 */     // GIR_Coverage, 12373,
     /* 1834941 */     GIR_EraseRootFromParent_Done,
     /* 1834942 */   // Label 23242: @1834942
     /* 1834942 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1835046), // Rule ID 12376 //
     /* 1834947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1834955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1834958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1834961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1834964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1834967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834993 */     // MIs[0] policy
     /* 1834993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1835020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835045 */     // GIR_Coverage, 12376,
     /* 1835045 */     GIR_EraseRootFromParent_Done,
     /* 1835046 */   // Label 23243: @1835046
     /* 1835046 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1835150), // Rule ID 12377 //
     /* 1835051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1835062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1835065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1835068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1835071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835097 */     // MIs[0] policy
     /* 1835097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1835124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835149 */     // GIR_Coverage, 12377,
     /* 1835149 */     GIR_EraseRootFromParent_Done,
     /* 1835150 */   // Label 23244: @1835150
     /* 1835150 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1835254), // Rule ID 12380 //
     /* 1835155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1835166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1835169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1835172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1835175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835201 */     // MIs[0] policy
     /* 1835201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1835228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835253 */     // GIR_Coverage, 12380,
     /* 1835253 */     GIR_EraseRootFromParent_Done,
     /* 1835254 */   // Label 23245: @1835254
     /* 1835254 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1835358), // Rule ID 12381 //
     /* 1835259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1835270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1835273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1835276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1835279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1835282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1835289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1835293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835305 */     // MIs[0] policy
     /* 1835305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1835332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835357 */     // GIR_Coverage, 12381,
     /* 1835357 */     GIR_EraseRootFromParent_Done,
     /* 1835358 */   // Label 23246: @1835358
     /* 1835358 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1835462), // Rule ID 12384 //
     /* 1835363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1835366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1835380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835409 */     // MIs[0] policy
     /* 1835409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1835436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835461 */     // GIR_Coverage, 12384,
     /* 1835461 */     GIR_EraseRootFromParent_Done,
     /* 1835462 */   // Label 23247: @1835462
     /* 1835462 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1835566), // Rule ID 12385 //
     /* 1835467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1835470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1835478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1835481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1835484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835513 */     // MIs[0] policy
     /* 1835513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1835540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835565 */     // GIR_Coverage, 12385,
     /* 1835565 */     GIR_EraseRootFromParent_Done,
     /* 1835566 */   // Label 23248: @1835566
     /* 1835566 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1835670), // Rule ID 12388 //
     /* 1835571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1835574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1835582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1835585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1835588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835617 */     // MIs[0] policy
     /* 1835617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1835644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835669 */     // GIR_Coverage, 12388,
     /* 1835669 */     GIR_EraseRootFromParent_Done,
     /* 1835670 */   // Label 23249: @1835670
     /* 1835670 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1835774), // Rule ID 12389 //
     /* 1835675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1835678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1835686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1835689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1835692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1835705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835721 */     // MIs[0] policy
     /* 1835721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1835748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835773 */     // GIR_Coverage, 12389,
     /* 1835773 */     GIR_EraseRootFromParent_Done,
     /* 1835774 */   // Label 23250: @1835774
     /* 1835774 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1835878), // Rule ID 12392 //
     /* 1835779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1835782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1835796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1835799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835825 */     // MIs[0] policy
     /* 1835825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1835852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835877 */     // GIR_Coverage, 12392,
     /* 1835877 */     GIR_EraseRootFromParent_Done,
     /* 1835878 */   // Label 23251: @1835878
     /* 1835878 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1835982), // Rule ID 12393 //
     /* 1835883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1835886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1835894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1835897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1835900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1835903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1835913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1835917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1835925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835929 */     // MIs[0] policy
     /* 1835929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1835943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1835949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1835953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1835956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1835960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1835970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835981 */     // GIR_Coverage, 12393,
     /* 1835981 */     GIR_EraseRootFromParent_Done,
     /* 1835982 */   // Label 23252: @1835982
     /* 1835982 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1836086), // Rule ID 12396 //
     /* 1835987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1835990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1835995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1835998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1836001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1836004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836033 */     // MIs[0] policy
     /* 1836033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1836060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836085 */     // GIR_Coverage, 12396,
     /* 1836085 */     GIR_EraseRootFromParent_Done,
     /* 1836086 */   // Label 23253: @1836086
     /* 1836086 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1836190), // Rule ID 12397 //
     /* 1836091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1836094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1836102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1836105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1836108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1836111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836137 */     // MIs[0] policy
     /* 1836137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1836164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836189 */     // GIR_Coverage, 12397,
     /* 1836189 */     GIR_EraseRootFromParent_Done,
     /* 1836190 */   // Label 23254: @1836190
     /* 1836190 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1836294), // Rule ID 12400 //
     /* 1836195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1836206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1836209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1836212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1836215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836241 */     // MIs[0] policy
     /* 1836241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1836268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836293 */     // GIR_Coverage, 12400,
     /* 1836293 */     GIR_EraseRootFromParent_Done,
     /* 1836294 */   // Label 23255: @1836294
     /* 1836294 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1836398), // Rule ID 12401 //
     /* 1836299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1836310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1836313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1836316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836345 */     // MIs[0] policy
     /* 1836345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1836372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836397 */     // GIR_Coverage, 12401,
     /* 1836397 */     GIR_EraseRootFromParent_Done,
     /* 1836398 */   // Label 23256: @1836398
     /* 1836398 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1836502), // Rule ID 12404 //
     /* 1836403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1836420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1836423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836449 */     // MIs[0] policy
     /* 1836449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1836476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836501 */     // GIR_Coverage, 12404,
     /* 1836501 */     GIR_EraseRootFromParent_Done,
     /* 1836502 */   // Label 23257: @1836502
     /* 1836502 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1836606), // Rule ID 12405 //
     /* 1836507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1836518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1836521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1836524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836553 */     // MIs[0] policy
     /* 1836553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1836580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836605 */     // GIR_Coverage, 12405,
     /* 1836605 */     GIR_EraseRootFromParent_Done,
     /* 1836606 */   // Label 23258: @1836606
     /* 1836606 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1836710), // Rule ID 12408 //
     /* 1836611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1836628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1836631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836657 */     // MIs[0] policy
     /* 1836657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1836684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836709 */     // GIR_Coverage, 12408,
     /* 1836709 */     GIR_EraseRootFromParent_Done,
     /* 1836710 */   // Label 23259: @1836710
     /* 1836710 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1836814), // Rule ID 12409 //
     /* 1836715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1836726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1836729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1836732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1836738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836761 */     // MIs[0] policy
     /* 1836761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11294:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1836788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836813 */     // GIR_Coverage, 12409,
     /* 1836813 */     GIR_EraseRootFromParent_Done,
     /* 1836814 */   // Label 23260: @1836814
     /* 1836814 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1836918), // Rule ID 12412 //
     /* 1836819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1836836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1836839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836865 */     // MIs[0] policy
     /* 1836865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1836892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1836896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1836906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836917 */     // GIR_Coverage, 12412,
     /* 1836917 */     GIR_EraseRootFromParent_Done,
     /* 1836918 */   // Label 23261: @1836918
     /* 1836918 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1837022), // Rule ID 12413 //
     /* 1836923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1836931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1836940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1836943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1836965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836969 */     // MIs[0] policy
     /* 1836969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1836983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1836989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1836993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1836996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837021 */     // GIR_Coverage, 12413,
     /* 1837021 */     GIR_EraseRootFromParent_Done,
     /* 1837022 */   // Label 23262: @1837022
     /* 1837022 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1837126), // Rule ID 12416 //
     /* 1837027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837073 */     // MIs[0] policy
     /* 1837073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1837100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837125 */     // GIR_Coverage, 12416,
     /* 1837125 */     GIR_EraseRootFromParent_Done,
     /* 1837126 */   // Label 23263: @1837126
     /* 1837126 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1837230), // Rule ID 12417 //
     /* 1837131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1837148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837177 */     // MIs[0] policy
     /* 1837177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1837204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837229 */     // GIR_Coverage, 12417,
     /* 1837229 */     GIR_EraseRootFromParent_Done,
     /* 1837230 */   // Label 23264: @1837230
     /* 1837230 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1837334), // Rule ID 12420 //
     /* 1837235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1837252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837281 */     // MIs[0] policy
     /* 1837281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1837308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837333 */     // GIR_Coverage, 12420,
     /* 1837333 */     GIR_EraseRootFromParent_Done,
     /* 1837334 */   // Label 23265: @1837334
     /* 1837334 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1837438), // Rule ID 12421 //
     /* 1837339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1837356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837385 */     // MIs[0] policy
     /* 1837385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837395 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1837412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1837434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837437 */     // GIR_Coverage, 12421,
     /* 1837437 */     GIR_EraseRootFromParent_Done,
     /* 1837438 */   // Label 23266: @1837438
     /* 1837438 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1837542), // Rule ID 12424 //
     /* 1837443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1837454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1837457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1837460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837489 */     // MIs[0] policy
     /* 1837489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1837516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837541 */     // GIR_Coverage, 12424,
     /* 1837541 */     GIR_EraseRootFromParent_Done,
     /* 1837542 */   // Label 23267: @1837542
     /* 1837542 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1837646), // Rule ID 12425 //
     /* 1837547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1837558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1837561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1837564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1837570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837593 */     // MIs[0] policy
     /* 1837593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1837620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837645 */     // GIR_Coverage, 12425,
     /* 1837645 */     GIR_EraseRootFromParent_Done,
     /* 1837646 */   // Label 23268: @1837646
     /* 1837646 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1837750), // Rule ID 12428 //
     /* 1837651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1837662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1837665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1837668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837697 */     // MIs[0] policy
     /* 1837697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1837724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837749 */     // GIR_Coverage, 12428,
     /* 1837749 */     GIR_EraseRootFromParent_Done,
     /* 1837750 */   // Label 23269: @1837750
     /* 1837750 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1837854), // Rule ID 12429 //
     /* 1837755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1837766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1837769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1837772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1837785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837801 */     // MIs[0] policy
     /* 1837801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1837828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837853 */     // GIR_Coverage, 12429,
     /* 1837853 */     GIR_EraseRootFromParent_Done,
     /* 1837854 */   // Label 23270: @1837854
     /* 1837854 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1837958), // Rule ID 12432 //
     /* 1837859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1837876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1837879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1837897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1837901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837905 */     // MIs[0] policy
     /* 1837905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1837919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1837925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1837929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1837932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1837936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1837946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837957 */     // GIR_Coverage, 12432,
     /* 1837957 */     GIR_EraseRootFromParent_Done,
     /* 1837958 */   // Label 23271: @1837958
     /* 1837958 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1838062), // Rule ID 12433 //
     /* 1837963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1837971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1837980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1837983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838009 */     // MIs[0] policy
     /* 1838009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1838036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838061 */     // GIR_Coverage, 12433,
     /* 1838061 */     GIR_EraseRootFromParent_Done,
     /* 1838062 */   // Label 23272: @1838062
     /* 1838062 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1838166), // Rule ID 12436 //
     /* 1838067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1838084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838113 */     // MIs[0] policy
     /* 1838113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1838140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838165 */     // GIR_Coverage, 12436,
     /* 1838165 */     GIR_EraseRootFromParent_Done,
     /* 1838166 */   // Label 23273: @1838166
     /* 1838166 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1838270), // Rule ID 12437 //
     /* 1838171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1838182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1838185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1838188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838217 */     // MIs[0] policy
     /* 1838217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1838244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838269 */     // GIR_Coverage, 12437,
     /* 1838269 */     GIR_EraseRootFromParent_Done,
     /* 1838270 */   // Label 23274: @1838270
     /* 1838270 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1838374), // Rule ID 12440 //
     /* 1838275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1838292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838321 */     // MIs[0] policy
     /* 1838321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1838348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838373 */     // GIR_Coverage, 12440,
     /* 1838373 */     GIR_EraseRootFromParent_Done,
     /* 1838374 */   // Label 23275: @1838374
     /* 1838374 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1838478), // Rule ID 12441 //
     /* 1838379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1838390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1838393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1838396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1838402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838425 */     // MIs[0] policy
     /* 1838425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1838452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838477 */     // GIR_Coverage, 12441,
     /* 1838477 */     GIR_EraseRootFromParent_Done,
     /* 1838478 */   // Label 23276: @1838478
     /* 1838478 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1838582), // Rule ID 12444 //
     /* 1838483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1838486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1838494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1838497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838529 */     // MIs[0] policy
     /* 1838529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1838556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838581 */     // GIR_Coverage, 12444,
     /* 1838581 */     GIR_EraseRootFromParent_Done,
     /* 1838582 */   // Label 23277: @1838582
     /* 1838582 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1838686), // Rule ID 12445 //
     /* 1838587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1838590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1838598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1838601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1838604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838633 */     // MIs[0] policy
     /* 1838633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1838660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838685 */     // GIR_Coverage, 12445,
     /* 1838685 */     GIR_EraseRootFromParent_Done,
     /* 1838686 */   // Label 23278: @1838686
     /* 1838686 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1838790), // Rule ID 12448 //
     /* 1838691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1838694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1838708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838737 */     // MIs[0] policy
     /* 1838737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1838764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838789 */     // GIR_Coverage, 12448,
     /* 1838789 */     GIR_EraseRootFromParent_Done,
     /* 1838790 */   // Label 23279: @1838790
     /* 1838790 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1838894), // Rule ID 12449 //
     /* 1838795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1838798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1838806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1838809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1838812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1838815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1838825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838841 */     // MIs[0] policy
     /* 1838841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1838868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838893 */     // GIR_Coverage, 12449,
     /* 1838893 */     GIR_EraseRootFromParent_Done,
     /* 1838894 */   // Label 23280: @1838894
     /* 1838894 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1838998), // Rule ID 12452 //
     /* 1838899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1838902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1838907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1838916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1838919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1838937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838945 */     // MIs[0] policy
     /* 1838945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1838959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1838965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1838969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1838972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1838976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1838986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1838994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838997 */     // GIR_Coverage, 12452,
     /* 1838997 */     GIR_EraseRootFromParent_Done,
     /* 1838998 */   // Label 23281: @1838998
     /* 1838998 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1839102), // Rule ID 12453 //
     /* 1839003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1839011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1839014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1839017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1839020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1839033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839049 */     // MIs[0] policy
     /* 1839049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1839076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839101 */     // GIR_Coverage, 12453,
     /* 1839101 */     GIR_EraseRootFromParent_Done,
     /* 1839102 */   // Label 23282: @1839102
     /* 1839102 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1839206), // Rule ID 12456 //
     /* 1839107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1839110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1839115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1839124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1839127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839153 */     // MIs[0] policy
     /* 1839153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839163 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1839180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839205 */     // GIR_Coverage, 12456,
     /* 1839205 */     GIR_EraseRootFromParent_Done,
     /* 1839206 */   // Label 23283: @1839206
     /* 1839206 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1839310), // Rule ID 12457 //
     /* 1839211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1839214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1839219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1839222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1839225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1839228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1839231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1839241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1839245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1839249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839257 */     // MIs[0] policy
     /* 1839257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1839284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839309 */     // GIR_Coverage, 12457,
     /* 1839309 */     GIR_EraseRootFromParent_Done,
     /* 1839310 */   // Label 23284: @1839310
     /* 1839310 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1839414), // Rule ID 12460 //
     /* 1839315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1839332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839361 */     // MIs[0] policy
     /* 1839361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1839388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839413 */     // GIR_Coverage, 12460,
     /* 1839413 */     GIR_EraseRootFromParent_Done,
     /* 1839414 */   // Label 23285: @1839414
     /* 1839414 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1839518), // Rule ID 12461 //
     /* 1839419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1839430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1839433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1839436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1839439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839465 */     // MIs[0] policy
     /* 1839465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1839492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839517 */     // GIR_Coverage, 12461,
     /* 1839517 */     GIR_EraseRootFromParent_Done,
     /* 1839518 */   // Label 23286: @1839518
     /* 1839518 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1839622), // Rule ID 12464 //
     /* 1839523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1839540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839569 */     // MIs[0] policy
     /* 1839569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1839596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839621 */     // GIR_Coverage, 12464,
     /* 1839621 */     GIR_EraseRootFromParent_Done,
     /* 1839622 */   // Label 23287: @1839622
     /* 1839622 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1839726), // Rule ID 12465 //
     /* 1839627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1839644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1839647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839673 */     // MIs[0] policy
     /* 1839673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1839700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839725 */     // GIR_Coverage, 12465,
     /* 1839725 */     GIR_EraseRootFromParent_Done,
     /* 1839726 */   // Label 23288: @1839726
     /* 1839726 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1839830), // Rule ID 12468 //
     /* 1839731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839777 */     // MIs[0] policy
     /* 1839777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1839804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839829 */     // GIR_Coverage, 12468,
     /* 1839829 */     GIR_EraseRootFromParent_Done,
     /* 1839830 */   // Label 23289: @1839830
     /* 1839830 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1839934), // Rule ID 12469 //
     /* 1839835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1839852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1839855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839881 */     // MIs[0] policy
     /* 1839881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1839901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1839905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1839908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1839912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1839922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839933 */     // GIR_Coverage, 12469,
     /* 1839933 */     GIR_EraseRootFromParent_Done,
     /* 1839934 */   // Label 23290: @1839934
     /* 1839934 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1840038), // Rule ID 12472 //
     /* 1839939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1839947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1839950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1839953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1839956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1839969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1839973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839985 */     // MIs[0] policy
     /* 1839985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1839999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1840012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840037 */     // GIR_Coverage, 12472,
     /* 1840037 */     GIR_EraseRootFromParent_Done,
     /* 1840038 */   // Label 23291: @1840038
     /* 1840038 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1840142), // Rule ID 12473 //
     /* 1840043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1840060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1840063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840089 */     // MIs[0] policy
     /* 1840089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1840116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840141 */     // GIR_Coverage, 12473,
     /* 1840141 */     GIR_EraseRootFromParent_Done,
     /* 1840142 */   // Label 23292: @1840142
     /* 1840142 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1840246), // Rule ID 12476 //
     /* 1840147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1840164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840193 */     // MIs[0] policy
     /* 1840193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1840220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840245 */     // GIR_Coverage, 12476,
     /* 1840245 */     GIR_EraseRootFromParent_Done,
     /* 1840246 */   // Label 23293: @1840246
     /* 1840246 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1840350), // Rule ID 12477 //
     /* 1840251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1840268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840297 */     // MIs[0] policy
     /* 1840297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1840324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840349 */     // GIR_Coverage, 12477,
     /* 1840349 */     GIR_EraseRootFromParent_Done,
     /* 1840350 */   // Label 23294: @1840350
     /* 1840350 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1840454), // Rule ID 12480 //
     /* 1840355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1840372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840401 */     // MIs[0] policy
     /* 1840401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1840428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840453 */     // GIR_Coverage, 12480,
     /* 1840453 */     GIR_EraseRootFromParent_Done,
     /* 1840454 */   // Label 23295: @1840454
     /* 1840454 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1840558), // Rule ID 12481 //
     /* 1840459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1840476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840505 */     // MIs[0] policy
     /* 1840505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1840532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840557 */     // GIR_Coverage, 12481,
     /* 1840557 */     GIR_EraseRootFromParent_Done,
     /* 1840558 */   // Label 23296: @1840558
     /* 1840558 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1840662), // Rule ID 12484 //
     /* 1840563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1840580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1840583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840609 */     // MIs[0] policy
     /* 1840609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1840636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840661 */     // GIR_Coverage, 12484,
     /* 1840661 */     GIR_EraseRootFromParent_Done,
     /* 1840662 */   // Label 23297: @1840662
     /* 1840662 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1840766), // Rule ID 12485 //
     /* 1840667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1840678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1840681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1840684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1840687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840713 */     // MIs[0] policy
     /* 1840713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1840740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840765 */     // GIR_Coverage, 12485,
     /* 1840765 */     GIR_EraseRootFromParent_Done,
     /* 1840766 */   // Label 23298: @1840766
     /* 1840766 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1840870), // Rule ID 12488 //
     /* 1840771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840817 */     // MIs[0] policy
     /* 1840817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1840844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840869 */     // GIR_Coverage, 12488,
     /* 1840869 */     GIR_EraseRootFromParent_Done,
     /* 1840870 */   // Label 23299: @1840870
     /* 1840870 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1840974), // Rule ID 12489 //
     /* 1840875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1840886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1840889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1840892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1840895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1840898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840921 */     // MIs[0] policy
     /* 1840921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1840935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1840941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1840945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1840948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1840952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1840962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840973 */     // GIR_Coverage, 12489,
     /* 1840973 */     GIR_EraseRootFromParent_Done,
     /* 1840974 */   // Label 23300: @1840974
     /* 1840974 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1841078), // Rule ID 12492 //
     /* 1840979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1840987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1840990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1840993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1840996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1840999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841025 */     // MIs[0] policy
     /* 1841025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1841052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841077 */     // GIR_Coverage, 12492,
     /* 1841077 */     GIR_EraseRootFromParent_Done,
     /* 1841078 */   // Label 23301: @1841078
     /* 1841078 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1841182), // Rule ID 12493 //
     /* 1841083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1841100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1841103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841129 */     // MIs[0] policy
     /* 1841129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1841156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841181 */     // GIR_Coverage, 12493,
     /* 1841181 */     GIR_EraseRootFromParent_Done,
     /* 1841182 */   // Label 23302: @1841182
     /* 1841182 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1841286), // Rule ID 12496 //
     /* 1841187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1841204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841233 */     // MIs[0] policy
     /* 1841233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1841260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841285 */     // GIR_Coverage, 12496,
     /* 1841285 */     GIR_EraseRootFromParent_Done,
     /* 1841286 */   // Label 23303: @1841286
     /* 1841286 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1841390), // Rule ID 12497 //
     /* 1841291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1841308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1841311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841337 */     // MIs[0] policy
     /* 1841337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1841364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841389 */     // GIR_Coverage, 12497,
     /* 1841389 */     GIR_EraseRootFromParent_Done,
     /* 1841390 */   // Label 23304: @1841390
     /* 1841390 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1841494), // Rule ID 12500 //
     /* 1841395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1841412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841441 */     // MIs[0] policy
     /* 1841441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1841468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841493 */     // GIR_Coverage, 12500,
     /* 1841493 */     GIR_EraseRootFromParent_Done,
     /* 1841494 */   // Label 23305: @1841494
     /* 1841494 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1841598), // Rule ID 12501 //
     /* 1841499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1841516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1841519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841545 */     // MIs[0] policy
     /* 1841545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1841572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841597 */     // GIR_Coverage, 12501,
     /* 1841597 */     GIR_EraseRootFromParent_Done,
     /* 1841598 */   // Label 23306: @1841598
     /* 1841598 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1841702), // Rule ID 12504 //
     /* 1841603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1841614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1841617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1841620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1841623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841649 */     // MIs[0] policy
     /* 1841649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1841676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841701 */     // GIR_Coverage, 12504,
     /* 1841701 */     GIR_EraseRootFromParent_Done,
     /* 1841702 */   // Label 23307: @1841702
     /* 1841702 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1841806), // Rule ID 12505 //
     /* 1841707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1841718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1841721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1841724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1841727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1841730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1841737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841753 */     // MIs[0] policy
     /* 1841753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1841780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841805 */     // GIR_Coverage, 12505,
     /* 1841805 */     GIR_EraseRootFromParent_Done,
     /* 1841806 */   // Label 23308: @1841806
     /* 1841806 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1841910), // Rule ID 12508 //
     /* 1841811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1841814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1841828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1841831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841857 */     // MIs[0] policy
     /* 1841857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1841884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1841898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841909 */     // GIR_Coverage, 12508,
     /* 1841909 */     GIR_EraseRootFromParent_Done,
     /* 1841910 */   // Label 23309: @1841910
     /* 1841910 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1842014), // Rule ID 12509 //
     /* 1841915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1841918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1841923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1841932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1841935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1841957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841961 */     // MIs[0] policy
     /* 1841961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1841975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1841981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1841985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1841988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1841992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842013 */     // GIR_Coverage, 12509,
     /* 1842013 */     GIR_EraseRootFromParent_Done,
     /* 1842014 */   // Label 23310: @1842014
     /* 1842014 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1842118), // Rule ID 12512 //
     /* 1842019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1842036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842065 */     // MIs[0] policy
     /* 1842065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1842092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842117 */     // GIR_Coverage, 12512,
     /* 1842117 */     GIR_EraseRootFromParent_Done,
     /* 1842118 */   // Label 23311: @1842118
     /* 1842118 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1842222), // Rule ID 12513 //
     /* 1842123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1842134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1842137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1842140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1842143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1842153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1842165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842169 */     // MIs[0] policy
     /* 1842169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842179 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1842196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842221 */     // GIR_Coverage, 12513,
     /* 1842221 */     GIR_EraseRootFromParent_Done,
     /* 1842222 */   // Label 23312: @1842222
     /* 1842222 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1842326), // Rule ID 12516 //
     /* 1842227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1842230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1842244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842273 */     // MIs[0] policy
     /* 1842273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1842300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842325 */     // GIR_Coverage, 12516,
     /* 1842325 */     GIR_EraseRootFromParent_Done,
     /* 1842326 */   // Label 23313: @1842326
     /* 1842326 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1842430), // Rule ID 12517 //
     /* 1842331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1842334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1842348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1842351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1842373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842377 */     // MIs[0] policy
     /* 1842377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842387 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1842404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1842426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842429 */     // GIR_Coverage, 12517,
     /* 1842429 */     GIR_EraseRootFromParent_Done,
     /* 1842430 */   // Label 23314: @1842430
     /* 1842430 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1842534), // Rule ID 12520 //
     /* 1842435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1842455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842481 */     // MIs[0] policy
     /* 1842481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1842508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842533 */     // GIR_Coverage, 12520,
     /* 1842533 */     GIR_EraseRootFromParent_Done,
     /* 1842534 */   // Label 23315: @1842534
     /* 1842534 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1842638), // Rule ID 12521 //
     /* 1842539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1842559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842585 */     // MIs[0] policy
     /* 1842585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842595 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1842612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842637 */     // GIR_Coverage, 12521,
     /* 1842637 */     GIR_EraseRootFromParent_Done,
     /* 1842638 */   // Label 23316: @1842638
     /* 1842638 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1842742), // Rule ID 12524 //
     /* 1842643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1842663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842689 */     // MIs[0] policy
     /* 1842689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842699 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1842716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842741 */     // GIR_Coverage, 12524,
     /* 1842741 */     GIR_EraseRootFromParent_Done,
     /* 1842742 */   // Label 23317: @1842742
     /* 1842742 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1842846), // Rule ID 12525 //
     /* 1842747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1842767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842793 */     // MIs[0] policy
     /* 1842793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1842820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842845 */     // GIR_Coverage, 12525,
     /* 1842845 */     GIR_EraseRootFromParent_Done,
     /* 1842846 */   // Label 23318: @1842846
     /* 1842846 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1842950), // Rule ID 12528 //
     /* 1842851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1842871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842897 */     // MIs[0] policy
     /* 1842897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1842911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1842917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1842921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1842924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1842928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1842938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842949 */     // GIR_Coverage, 12528,
     /* 1842949 */     GIR_EraseRootFromParent_Done,
     /* 1842950 */   // Label 23319: @1842950
     /* 1842950 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1843054), // Rule ID 12529 //
     /* 1842955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1842963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1842966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1842969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1842975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843001 */     // MIs[0] policy
     /* 1843001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11292:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1843028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843053 */     // GIR_Coverage, 12529,
     /* 1843053 */     GIR_EraseRootFromParent_Done,
     /* 1843054 */   // Label 23320: @1843054
     /* 1843054 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1843158), // Rule ID 12532 //
     /* 1843059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1843079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843105 */     // MIs[0] policy
     /* 1843105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1843132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843157 */     // GIR_Coverage, 12532,
     /* 1843157 */     GIR_EraseRootFromParent_Done,
     /* 1843158 */   // Label 23321: @1843158
     /* 1843158 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1843262), // Rule ID 12533 //
     /* 1843163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1843174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1843177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1843183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843209 */     // MIs[0] policy
     /* 1843209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1843236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843261 */     // GIR_Coverage, 12533,
     /* 1843261 */     GIR_EraseRootFromParent_Done,
     /* 1843262 */   // Label 23322: @1843262
     /* 1843262 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1843366), // Rule ID 12536 //
     /* 1843267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1843287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843313 */     // MIs[0] policy
     /* 1843313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1843340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843365 */     // GIR_Coverage, 12536,
     /* 1843365 */     GIR_EraseRootFromParent_Done,
     /* 1843366 */   // Label 23323: @1843366
     /* 1843366 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1843470), // Rule ID 12537 //
     /* 1843371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1843382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1843385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1843391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1843401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843417 */     // MIs[0] policy
     /* 1843417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1843444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843469 */     // GIR_Coverage, 12537,
     /* 1843469 */     GIR_EraseRootFromParent_Done,
     /* 1843470 */   // Label 23324: @1843470
     /* 1843470 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1843574), // Rule ID 12540 //
     /* 1843475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1843495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843521 */     // MIs[0] policy
     /* 1843521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843531 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1843548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843573 */     // GIR_Coverage, 12540,
     /* 1843573 */     GIR_EraseRootFromParent_Done,
     /* 1843574 */   // Label 23325: @1843574
     /* 1843574 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1843678), // Rule ID 12541 //
     /* 1843579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1843590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1843593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1843596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1843599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1843602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1843609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1843613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1843617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843625 */     // MIs[0] policy
     /* 1843625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1843652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843677 */     // GIR_Coverage, 12541,
     /* 1843677 */     GIR_EraseRootFromParent_Done,
     /* 1843678 */   // Label 23326: @1843678
     /* 1843678 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1843782), // Rule ID 12544 //
     /* 1843683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1843703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843729 */     // MIs[0] policy
     /* 1843729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1843756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843781 */     // GIR_Coverage, 12544,
     /* 1843781 */     GIR_EraseRootFromParent_Done,
     /* 1843782 */   // Label 23327: @1843782
     /* 1843782 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1843886), // Rule ID 12545 //
     /* 1843787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1843804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1843807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843833 */     // MIs[0] policy
     /* 1843833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1843860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843885 */     // GIR_Coverage, 12545,
     /* 1843885 */     GIR_EraseRootFromParent_Done,
     /* 1843886 */   // Label 23328: @1843886
     /* 1843886 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1843990), // Rule ID 12548 //
     /* 1843891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1843899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1843908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1843911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1843933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843937 */     // MIs[0] policy
     /* 1843937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1843951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1843957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1843961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1843964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1843968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1843978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843989 */     // GIR_Coverage, 12548,
     /* 1843989 */     GIR_EraseRootFromParent_Done,
     /* 1843990 */   // Label 23329: @1843990
     /* 1843990 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1844094), // Rule ID 12549 //
     /* 1843995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1844006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1844009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1844012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1844015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844041 */     // MIs[0] policy
     /* 1844041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1844068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844093 */     // GIR_Coverage, 12549,
     /* 1844093 */     GIR_EraseRootFromParent_Done,
     /* 1844094 */   // Label 23330: @1844094
     /* 1844094 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1844198), // Rule ID 12552 //
     /* 1844099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1844119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844145 */     // MIs[0] policy
     /* 1844145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1844172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844197 */     // GIR_Coverage, 12552,
     /* 1844197 */     GIR_EraseRootFromParent_Done,
     /* 1844198 */   // Label 23331: @1844198
     /* 1844198 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1844302), // Rule ID 12553 //
     /* 1844203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1844220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1844223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844249 */     // MIs[0] policy
     /* 1844249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1844276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844301 */     // GIR_Coverage, 12553,
     /* 1844301 */     GIR_EraseRootFromParent_Done,
     /* 1844302 */   // Label 23332: @1844302
     /* 1844302 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1844406), // Rule ID 12556 //
     /* 1844307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1844327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844353 */     // MIs[0] policy
     /* 1844353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1844380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844405 */     // GIR_Coverage, 12556,
     /* 1844405 */     GIR_EraseRootFromParent_Done,
     /* 1844406 */   // Label 23333: @1844406
     /* 1844406 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1844510), // Rule ID 12557 //
     /* 1844411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1844422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1844425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1844431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844457 */     // MIs[0] policy
     /* 1844457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1844484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844509 */     // GIR_Coverage, 12557,
     /* 1844509 */     GIR_EraseRootFromParent_Done,
     /* 1844510 */   // Label 23334: @1844510
     /* 1844510 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1844614), // Rule ID 12560 //
     /* 1844515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1844535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844561 */     // MIs[0] policy
     /* 1844561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1844588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844613 */     // GIR_Coverage, 12560,
     /* 1844613 */     GIR_EraseRootFromParent_Done,
     /* 1844614 */   // Label 23335: @1844614
     /* 1844614 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1844718), // Rule ID 12561 //
     /* 1844619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1844630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1844633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1844639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844665 */     // MIs[0] policy
     /* 1844665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1844692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844717 */     // GIR_Coverage, 12561,
     /* 1844717 */     GIR_EraseRootFromParent_Done,
     /* 1844718 */   // Label 23336: @1844718
     /* 1844718 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1844822), // Rule ID 12564 //
     /* 1844723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1844743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844769 */     // MIs[0] policy
     /* 1844769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1844796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844821 */     // GIR_Coverage, 12564,
     /* 1844821 */     GIR_EraseRootFromParent_Done,
     /* 1844822 */   // Label 23337: @1844822
     /* 1844822 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1844926), // Rule ID 12565 //
     /* 1844827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1844830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1844838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1844841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1844844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1844847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1844850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1844857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844873 */     // MIs[0] policy
     /* 1844873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1844897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1844900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1844904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1844914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844925 */     // GIR_Coverage, 12565,
     /* 1844925 */     GIR_EraseRootFromParent_Done,
     /* 1844926 */   // Label 23338: @1844926
     /* 1844926 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1845030), // Rule ID 12568 //
     /* 1844931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1844934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1844939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1844942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1844945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1844948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1844951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1844954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1844969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1844973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844977 */     // MIs[0] policy
     /* 1844977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1844991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1844997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1845004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845029 */     // GIR_Coverage, 12568,
     /* 1845029 */     GIR_EraseRootFromParent_Done,
     /* 1845030 */   // Label 23339: @1845030
     /* 1845030 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1845134), // Rule ID 12569 //
     /* 1845035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1845043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1845052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845081 */     // MIs[0] policy
     /* 1845081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1845108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845133 */     // GIR_Coverage, 12569,
     /* 1845133 */     GIR_EraseRootFromParent_Done,
     /* 1845134 */   // Label 23340: @1845134
     /* 1845134 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1845238), // Rule ID 12572 //
     /* 1845139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1845147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845185 */     // MIs[0] policy
     /* 1845185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1845212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845237 */     // GIR_Coverage, 12572,
     /* 1845237 */     GIR_EraseRootFromParent_Done,
     /* 1845238 */   // Label 23341: @1845238
     /* 1845238 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1845342), // Rule ID 12573 //
     /* 1845243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1845251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845289 */     // MIs[0] policy
     /* 1845289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845299 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1845316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845341 */     // GIR_Coverage, 12573,
     /* 1845341 */     GIR_EraseRootFromParent_Done,
     /* 1845342 */   // Label 23342: @1845342
     /* 1845342 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1845446), // Rule ID 12576 //
     /* 1845347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1845350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1845355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1845367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845393 */     // MIs[0] policy
     /* 1845393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1845420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845445 */     // GIR_Coverage, 12576,
     /* 1845445 */     GIR_EraseRootFromParent_Done,
     /* 1845446 */   // Label 23343: @1845446
     /* 1845446 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1845550), // Rule ID 12577 //
     /* 1845451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1845454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1845459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1845471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845497 */     // MIs[0] policy
     /* 1845497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1845524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1845528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845549 */     // GIR_Coverage, 12577,
     /* 1845549 */     GIR_EraseRootFromParent_Done,
     /* 1845550 */   // Label 23344: @1845550
     /* 1845550 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1845654), // Rule ID 12580 //
     /* 1845555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1845563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1845566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1845569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845601 */     // MIs[0] policy
     /* 1845601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1845628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845653 */     // GIR_Coverage, 12580,
     /* 1845653 */     GIR_EraseRootFromParent_Done,
     /* 1845654 */   // Label 23345: @1845654
     /* 1845654 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1845758), // Rule ID 12581 //
     /* 1845659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1845667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1845670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1845673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1845676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1845679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845705 */     // MIs[0] policy
     /* 1845705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1845732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845757 */     // GIR_Coverage, 12581,
     /* 1845757 */     GIR_EraseRootFromParent_Done,
     /* 1845758 */   // Label 23346: @1845758
     /* 1845758 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1845862), // Rule ID 12584 //
     /* 1845763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1845771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1845774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1845777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845809 */     // MIs[0] policy
     /* 1845809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1845836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845861 */     // GIR_Coverage, 12584,
     /* 1845861 */     GIR_EraseRootFromParent_Done,
     /* 1845862 */   // Label 23347: @1845862
     /* 1845862 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1845966), // Rule ID 12585 //
     /* 1845867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1845875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1845878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1845881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1845884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1845887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845913 */     // MIs[0] policy
     /* 1845913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845923 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1845927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1845933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1845937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1845940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1845954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1845962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845965 */     // GIR_Coverage, 12585,
     /* 1845965 */     GIR_EraseRootFromParent_Done,
     /* 1845966 */   // Label 23348: @1845966
     /* 1845966 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1846070), // Rule ID 12588 //
     /* 1845971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1845979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1845982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1845985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1845988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1845991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846017 */     // MIs[0] policy
     /* 1846017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846027 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1846044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846069 */     // GIR_Coverage, 12588,
     /* 1846069 */     GIR_EraseRootFromParent_Done,
     /* 1846070 */   // Label 23349: @1846070
     /* 1846070 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1846174), // Rule ID 12589 //
     /* 1846075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1846092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846121 */     // MIs[0] policy
     /* 1846121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1846148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846173 */     // GIR_Coverage, 12589,
     /* 1846173 */     GIR_EraseRootFromParent_Done,
     /* 1846174 */   // Label 23350: @1846174
     /* 1846174 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1846278), // Rule ID 12592 //
     /* 1846179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846225 */     // MIs[0] policy
     /* 1846225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846235 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1846252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846277 */     // GIR_Coverage, 12592,
     /* 1846277 */     GIR_EraseRootFromParent_Done,
     /* 1846278 */   // Label 23351: @1846278
     /* 1846278 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1846382), // Rule ID 12593 //
     /* 1846283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1846300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846329 */     // MIs[0] policy
     /* 1846329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1846356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846381 */     // GIR_Coverage, 12593,
     /* 1846381 */     GIR_EraseRootFromParent_Done,
     /* 1846382 */   // Label 23352: @1846382
     /* 1846382 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1846486), // Rule ID 12596 //
     /* 1846387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1846404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846433 */     // MIs[0] policy
     /* 1846433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1846460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846485 */     // GIR_Coverage, 12596,
     /* 1846485 */     GIR_EraseRootFromParent_Done,
     /* 1846486 */   // Label 23353: @1846486
     /* 1846486 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1846590), // Rule ID 12597 //
     /* 1846491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1846508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846537 */     // MIs[0] policy
     /* 1846537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1846564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846589 */     // GIR_Coverage, 12597,
     /* 1846589 */     GIR_EraseRootFromParent_Done,
     /* 1846590 */   // Label 23354: @1846590
     /* 1846590 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1846694), // Rule ID 12600 //
     /* 1846595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1846606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1846609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846641 */     // MIs[0] policy
     /* 1846641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846651 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1846668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846693 */     // GIR_Coverage, 12600,
     /* 1846693 */     GIR_EraseRootFromParent_Done,
     /* 1846694 */   // Label 23355: @1846694
     /* 1846694 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1846798), // Rule ID 12601 //
     /* 1846699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1846710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1846713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1846716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1846722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846745 */     // MIs[0] policy
     /* 1846745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846755 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1846772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846797 */     // GIR_Coverage, 12601,
     /* 1846797 */     GIR_EraseRootFromParent_Done,
     /* 1846798 */   // Label 23356: @1846798
     /* 1846798 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1846902), // Rule ID 12604 //
     /* 1846803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846849 */     // MIs[0] policy
     /* 1846849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846859 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1846876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846901 */     // GIR_Coverage, 12604,
     /* 1846901 */     GIR_EraseRootFromParent_Done,
     /* 1846902 */   // Label 23357: @1846902
     /* 1846902 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1847006), // Rule ID 12605 //
     /* 1846907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1846915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1846918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1846921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1846924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1846927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846953 */     // MIs[0] policy
     /* 1846953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1846967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1846973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1846977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1846980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1846994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847005 */     // GIR_Coverage, 12605,
     /* 1847005 */     GIR_EraseRootFromParent_Done,
     /* 1847006 */   // Label 23358: @1847006
     /* 1847006 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1847110), // Rule ID 12608 //
     /* 1847011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847057 */     // MIs[0] policy
     /* 1847057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1847084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847109 */     // GIR_Coverage, 12608,
     /* 1847109 */     GIR_EraseRootFromParent_Done,
     /* 1847110 */   // Label 23359: @1847110
     /* 1847110 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1847214), // Rule ID 12609 //
     /* 1847115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1847132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847161 */     // MIs[0] policy
     /* 1847161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1847188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847213 */     // GIR_Coverage, 12609,
     /* 1847213 */     GIR_EraseRootFromParent_Done,
     /* 1847214 */   // Label 23360: @1847214
     /* 1847214 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1847318), // Rule ID 12612 //
     /* 1847219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1847222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1847236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1847239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847265 */     // MIs[0] policy
     /* 1847265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847275 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1847292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1847314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847317 */     // GIR_Coverage, 12612,
     /* 1847317 */     GIR_EraseRootFromParent_Done,
     /* 1847318 */   // Label 23361: @1847318
     /* 1847318 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1847422), // Rule ID 12613 //
     /* 1847323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1847326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1847340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1847343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847369 */     // MIs[0] policy
     /* 1847369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847379 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1847396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1847418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847421 */     // GIR_Coverage, 12613,
     /* 1847421 */     GIR_EraseRootFromParent_Done,
     /* 1847422 */   // Label 23362: @1847422
     /* 1847422 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1847526), // Rule ID 12616 //
     /* 1847427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1847438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1847441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1847444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847473 */     // MIs[0] policy
     /* 1847473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847483 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1847500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847525 */     // GIR_Coverage, 12616,
     /* 1847525 */     GIR_EraseRootFromParent_Done,
     /* 1847526 */   // Label 23363: @1847526
     /* 1847526 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1847630), // Rule ID 12617 //
     /* 1847531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1847542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1847545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1847548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847577 */     // MIs[0] policy
     /* 1847577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847587 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1847604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847629 */     // GIR_Coverage, 12617,
     /* 1847629 */     GIR_EraseRootFromParent_Done,
     /* 1847630 */   // Label 23364: @1847630
     /* 1847630 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1847734), // Rule ID 12620 //
     /* 1847635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1847652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847681 */     // MIs[0] policy
     /* 1847681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847691 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1847708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847733 */     // GIR_Coverage, 12620,
     /* 1847733 */     GIR_EraseRootFromParent_Done,
     /* 1847734 */   // Label 23365: @1847734
     /* 1847734 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1847838), // Rule ID 12621 //
     /* 1847739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1847756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847785 */     // MIs[0] policy
     /* 1847785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847795 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1847812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847837 */     // GIR_Coverage, 12621,
     /* 1847837 */     GIR_EraseRootFromParent_Done,
     /* 1847838 */   // Label 23366: @1847838
     /* 1847838 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1847942), // Rule ID 12624 //
     /* 1847843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1847854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1847857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1847860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1847863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1847866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847889 */     // MIs[0] policy
     /* 1847889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847899 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1847903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1847909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1847913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1847916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1847930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847941 */     // GIR_Coverage, 12624,
     /* 1847941 */     GIR_EraseRootFromParent_Done,
     /* 1847942 */   // Label 23367: @1847942
     /* 1847942 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1848046), // Rule ID 12625 //
     /* 1847947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1847955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1847958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1847961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1847964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1847967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1847970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1847977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1847989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847993 */     // MIs[0] policy
     /* 1847993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848003 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1848020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848045 */     // GIR_Coverage, 12625,
     /* 1848045 */     GIR_EraseRootFromParent_Done,
     /* 1848046 */   // Label 23368: @1848046
     /* 1848046 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1848150), // Rule ID 12628 //
     /* 1848051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1848068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848097 */     // MIs[0] policy
     /* 1848097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1848124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848149 */     // GIR_Coverage, 12628,
     /* 1848149 */     GIR_EraseRootFromParent_Done,
     /* 1848150 */   // Label 23369: @1848150
     /* 1848150 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1848254), // Rule ID 12629 //
     /* 1848155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1848172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848201 */     // MIs[0] policy
     /* 1848201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848211 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1848228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848253 */     // GIR_Coverage, 12629,
     /* 1848253 */     GIR_EraseRootFromParent_Done,
     /* 1848254 */   // Label 23370: @1848254
     /* 1848254 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1848358), // Rule ID 12632 //
     /* 1848259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1848276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848305 */     // MIs[0] policy
     /* 1848305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1848332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848357 */     // GIR_Coverage, 12632,
     /* 1848357 */     GIR_EraseRootFromParent_Done,
     /* 1848358 */   // Label 23371: @1848358
     /* 1848358 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1848462), // Rule ID 12633 //
     /* 1848363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1848380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848409 */     // MIs[0] policy
     /* 1848409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1848436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848461 */     // GIR_Coverage, 12633,
     /* 1848461 */     GIR_EraseRootFromParent_Done,
     /* 1848462 */   // Label 23372: @1848462
     /* 1848462 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1848566), // Rule ID 12636 //
     /* 1848467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1848484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1848487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848513 */     // MIs[0] policy
     /* 1848513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1848540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848565 */     // GIR_Coverage, 12636,
     /* 1848565 */     GIR_EraseRootFromParent_Done,
     /* 1848566 */   // Label 23373: @1848566
     /* 1848566 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1848670), // Rule ID 12637 //
     /* 1848571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1848588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1848591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848617 */     // MIs[0] policy
     /* 1848617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1848644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848669 */     // GIR_Coverage, 12637,
     /* 1848669 */     GIR_EraseRootFromParent_Done,
     /* 1848670 */   // Label 23374: @1848670
     /* 1848670 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1848774), // Rule ID 12640 //
     /* 1848675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1848692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848721 */     // MIs[0] policy
     /* 1848721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1848748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848773 */     // GIR_Coverage, 12640,
     /* 1848773 */     GIR_EraseRootFromParent_Done,
     /* 1848774 */   // Label 23375: @1848774
     /* 1848774 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1848878), // Rule ID 12641 //
     /* 1848779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1848796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848825 */     // MIs[0] policy
     /* 1848825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848835 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1848852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848877 */     // GIR_Coverage, 12641,
     /* 1848877 */     GIR_EraseRootFromParent_Done,
     /* 1848878 */   // Label 23376: @1848878
     /* 1848878 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1848982), // Rule ID 12644 //
     /* 1848883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1848900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848929 */     // MIs[0] policy
     /* 1848929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848939 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1848943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1848949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1848953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1848956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1848970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848981 */     // GIR_Coverage, 12644,
     /* 1848981 */     GIR_EraseRootFromParent_Done,
     /* 1848982 */   // Label 23377: @1848982
     /* 1848982 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1849086), // Rule ID 12645 //
     /* 1848987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1848995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1849001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1849004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1849007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849033 */     // MIs[0] policy
     /* 1849033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1849060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849085 */     // GIR_Coverage, 12645,
     /* 1849085 */     GIR_EraseRootFromParent_Done,
     /* 1849086 */   // Label 23378: @1849086
     /* 1849086 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1849190), // Rule ID 12648 //
     /* 1849091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1849108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1849111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849137 */     // MIs[0] policy
     /* 1849137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1849164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849189 */     // GIR_Coverage, 12648,
     /* 1849189 */     GIR_EraseRootFromParent_Done,
     /* 1849190 */   // Label 23379: @1849190
     /* 1849190 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1849294), // Rule ID 12649 //
     /* 1849195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1849212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1849215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849241 */     // MIs[0] policy
     /* 1849241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849251 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1849268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849293 */     // GIR_Coverage, 12649,
     /* 1849293 */     GIR_EraseRootFromParent_Done,
     /* 1849294 */   // Label 23380: @1849294
     /* 1849294 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1849398), // Rule ID 12652 //
     /* 1849299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1849316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1849319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849345 */     // MIs[0] policy
     /* 1849345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849355 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1849372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849397 */     // GIR_Coverage, 12652,
     /* 1849397 */     GIR_EraseRootFromParent_Done,
     /* 1849398 */   // Label 23381: @1849398
     /* 1849398 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1849502), // Rule ID 12653 //
     /* 1849403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1849420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1849423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849449 */     // MIs[0] policy
     /* 1849449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1849476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849501 */     // GIR_Coverage, 12653,
     /* 1849501 */     GIR_EraseRootFromParent_Done,
     /* 1849502 */   // Label 23382: @1849502
     /* 1849502 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1849606), // Rule ID 12656 //
     /* 1849507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1849524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1849527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849553 */     // MIs[0] policy
     /* 1849553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1849580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849605 */     // GIR_Coverage, 12656,
     /* 1849605 */     GIR_EraseRootFromParent_Done,
     /* 1849606 */   // Label 23383: @1849606
     /* 1849606 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1849710), // Rule ID 12657 //
     /* 1849611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1849628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1849631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849657 */     // MIs[0] policy
     /* 1849657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849667 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1849684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849709 */     // GIR_Coverage, 12657,
     /* 1849709 */     GIR_EraseRootFromParent_Done,
     /* 1849710 */   // Label 23384: @1849710
     /* 1849710 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1849814), // Rule ID 12660 //
     /* 1849715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1849732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1849735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849761 */     // MIs[0] policy
     /* 1849761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849771 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1849788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849813 */     // GIR_Coverage, 12660,
     /* 1849813 */     GIR_EraseRootFromParent_Done,
     /* 1849814 */   // Label 23385: @1849814
     /* 1849814 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1849918), // Rule ID 12661 //
     /* 1849819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1849836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1849839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849865 */     // MIs[0] policy
     /* 1849865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849875 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1849892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1849906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849917 */     // GIR_Coverage, 12661,
     /* 1849917 */     GIR_EraseRootFromParent_Done,
     /* 1849918 */   // Label 23386: @1849918
     /* 1849918 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1850022), // Rule ID 12664 //
     /* 1849923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1849931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1849934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1849937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849969 */     // MIs[0] policy
     /* 1849969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849979 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1849983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1849989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1849993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1849996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850021 */     // GIR_Coverage, 12664,
     /* 1850021 */     GIR_EraseRootFromParent_Done,
     /* 1850022 */   // Label 23387: @1850022
     /* 1850022 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1850126), // Rule ID 12665 //
     /* 1850027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1850038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1850041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1850047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850073 */     // MIs[0] policy
     /* 1850073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1850100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850125 */     // GIR_Coverage, 12665,
     /* 1850125 */     GIR_EraseRootFromParent_Done,
     /* 1850126 */   // Label 23388: @1850126
     /* 1850126 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1850230), // Rule ID 12668 //
     /* 1850131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1850142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1850145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850177 */     // MIs[0] policy
     /* 1850177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850187 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1850204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850229 */     // GIR_Coverage, 12668,
     /* 1850229 */     GIR_EraseRootFromParent_Done,
     /* 1850230 */   // Label 23389: @1850230
     /* 1850230 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1850334), // Rule ID 12669 //
     /* 1850235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1850246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1850249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850281 */     // MIs[0] policy
     /* 1850281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850291 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1850308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850333 */     // GIR_Coverage, 12669,
     /* 1850333 */     GIR_EraseRootFromParent_Done,
     /* 1850334 */   // Label 23390: @1850334
     /* 1850334 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1850438), // Rule ID 12672 //
     /* 1850339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1850350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1850353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850385 */     // MIs[0] policy
     /* 1850385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850395 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1850412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850437 */     // GIR_Coverage, 12672,
     /* 1850437 */     GIR_EraseRootFromParent_Done,
     /* 1850438 */   // Label 23391: @1850438
     /* 1850438 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1850542), // Rule ID 12673 //
     /* 1850443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1850454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1850457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850489 */     // MIs[0] policy
     /* 1850489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850499 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1850516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850541 */     // GIR_Coverage, 12673,
     /* 1850541 */     GIR_EraseRootFromParent_Done,
     /* 1850542 */   // Label 23392: @1850542
     /* 1850542 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1850646), // Rule ID 12676 //
     /* 1850547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850593 */     // MIs[0] policy
     /* 1850593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1850620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850645 */     // GIR_Coverage, 12676,
     /* 1850645 */     GIR_EraseRootFromParent_Done,
     /* 1850646 */   // Label 23393: @1850646
     /* 1850646 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1850750), // Rule ID 12677 //
     /* 1850651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1850662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1850665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850697 */     // MIs[0] policy
     /* 1850697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1850724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850749 */     // GIR_Coverage, 12677,
     /* 1850749 */     GIR_EraseRootFromParent_Done,
     /* 1850750 */   // Label 23394: @1850750
     /* 1850750 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1850854), // Rule ID 12680 //
     /* 1850755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850801 */     // MIs[0] policy
     /* 1850801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1850828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850853 */     // GIR_Coverage, 12680,
     /* 1850853 */     GIR_EraseRootFromParent_Done,
     /* 1850854 */   // Label 23395: @1850854
     /* 1850854 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1850958), // Rule ID 12681 //
     /* 1850859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1850870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1850876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1850897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850905 */     // MIs[0] policy
     /* 1850905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850915 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1850919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1850925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1850929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1850932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1850946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850957 */     // GIR_Coverage, 12681,
     /* 1850957 */     GIR_EraseRootFromParent_Done,
     /* 1850958 */   // Label 23396: @1850958
     /* 1850958 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1851062), // Rule ID 12684 //
     /* 1850963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1850971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1850980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1850983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851009 */     // MIs[0] policy
     /* 1851009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851019 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1851036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851061 */     // GIR_Coverage, 12684,
     /* 1851061 */     GIR_EraseRootFromParent_Done,
     /* 1851062 */   // Label 23397: @1851062
     /* 1851062 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1851166), // Rule ID 12685 //
     /* 1851067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1851078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1851081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851113 */     // MIs[0] policy
     /* 1851113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851123 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1851140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851165 */     // GIR_Coverage, 12685,
     /* 1851165 */     GIR_EraseRootFromParent_Done,
     /* 1851166 */   // Label 23398: @1851166
     /* 1851166 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1851270), // Rule ID 12688 //
     /* 1851171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1851182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1851185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851217 */     // MIs[0] policy
     /* 1851217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851227 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851269 */     // GIR_Coverage, 12688,
     /* 1851269 */     GIR_EraseRootFromParent_Done,
     /* 1851270 */   // Label 23399: @1851270
     /* 1851270 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1851374), // Rule ID 12689 //
     /* 1851275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1851286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1851289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1851295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851321 */     // MIs[0] policy
     /* 1851321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11045:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1851370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851373 */     // GIR_Coverage, 12689,
     /* 1851373 */     GIR_EraseRootFromParent_Done,
     /* 1851374 */   // Label 23400: @1851374
     /* 1851374 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1851478), // Rule ID 12692 //
     /* 1851379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851425 */     // MIs[0] policy
     /* 1851425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851477 */     // GIR_Coverage, 12692,
     /* 1851477 */     GIR_EraseRootFromParent_Done,
     /* 1851478 */   // Label 23401: @1851478
     /* 1851478 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1851582), // Rule ID 12693 //
     /* 1851483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1851494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1851497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851529 */     // MIs[0] policy
     /* 1851529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11045:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851581 */     // GIR_Coverage, 12693,
     /* 1851581 */     GIR_EraseRootFromParent_Done,
     /* 1851582 */   // Label 23402: @1851582
     /* 1851582 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1851686), // Rule ID 12696 //
     /* 1851587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851633 */     // MIs[0] policy
     /* 1851633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851643 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851685 */     // GIR_Coverage, 12696,
     /* 1851685 */     GIR_EraseRootFromParent_Done,
     /* 1851686 */   // Label 23403: @1851686
     /* 1851686 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1851790), // Rule ID 12697 //
     /* 1851691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851737 */     // MIs[0] policy
     /* 1851737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11045:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851789 */     // GIR_Coverage, 12697,
     /* 1851789 */     GIR_EraseRootFromParent_Done,
     /* 1851790 */   // Label 23404: @1851790
     /* 1851790 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1851894), // Rule ID 12700 //
     /* 1851795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1851798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1851812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1851815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851841 */     // MIs[0] policy
     /* 1851841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851851 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1851890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851893 */     // GIR_Coverage, 12700,
     /* 1851893 */     GIR_EraseRootFromParent_Done,
     /* 1851894 */   // Label 23405: @1851894
     /* 1851894 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1851998), // Rule ID 12701 //
     /* 1851899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1851902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1851907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1851916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1851919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1851937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851945 */     // MIs[0] policy
     /* 1851945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851955 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11045:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1851959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1851965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1851969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1851972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1851986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1851994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851997 */     // GIR_Coverage, 12701,
     /* 1851997 */     GIR_EraseRootFromParent_Done,
     /* 1851998 */   // Label 23406: @1851998
     /* 1851998 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1852102), // Rule ID 12704 //
     /* 1852003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1852014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1852017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852049 */     // MIs[0] policy
     /* 1852049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852059 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1852076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852101 */     // GIR_Coverage, 12704,
     /* 1852101 */     GIR_EraseRootFromParent_Done,
     /* 1852102 */   // Label 23407: @1852102
     /* 1852102 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1852206), // Rule ID 12705 //
     /* 1852107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1852118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1852121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1852127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852153 */     // MIs[0] policy
     /* 1852153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852163 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1852180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852205 */     // GIR_Coverage, 12705,
     /* 1852205 */     GIR_EraseRootFromParent_Done,
     /* 1852206 */   // Label 23408: @1852206
     /* 1852206 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1852310), // Rule ID 12708 //
     /* 1852211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1852222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1852225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852257 */     // MIs[0] policy
     /* 1852257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852267 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1852284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852309 */     // GIR_Coverage, 12708,
     /* 1852309 */     GIR_EraseRootFromParent_Done,
     /* 1852310 */   // Label 23409: @1852310
     /* 1852310 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1852414), // Rule ID 12709 //
     /* 1852315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1852326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1852329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1852335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1852338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852361 */     // MIs[0] policy
     /* 1852361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852371 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1852388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852413 */     // GIR_Coverage, 12709,
     /* 1852413 */     GIR_EraseRootFromParent_Done,
     /* 1852414 */   // Label 23410: @1852414
     /* 1852414 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1852518), // Rule ID 12712 //
     /* 1852419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1852430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1852433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1852439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1852442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852465 */     // MIs[0] policy
     /* 1852465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852475 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1852492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852517 */     // GIR_Coverage, 12712,
     /* 1852517 */     GIR_EraseRootFromParent_Done,
     /* 1852518 */   // Label 23411: @1852518
     /* 1852518 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1852622), // Rule ID 12713 //
     /* 1852523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1852534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1852537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1852543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1852546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852569 */     // MIs[0] policy
     /* 1852569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852579 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1852596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852621 */     // GIR_Coverage, 12713,
     /* 1852621 */     GIR_EraseRootFromParent_Done,
     /* 1852622 */   // Label 23412: @1852622
     /* 1852622 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1852726), // Rule ID 12716 //
     /* 1852627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852673 */     // MIs[0] policy
     /* 1852673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852683 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1852700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852725 */     // GIR_Coverage, 12716,
     /* 1852725 */     GIR_EraseRootFromParent_Done,
     /* 1852726 */   // Label 23413: @1852726
     /* 1852726 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1852830), // Rule ID 12717 //
     /* 1852731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1852751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852777 */     // MIs[0] policy
     /* 1852777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852787 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1852804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852829 */     // GIR_Coverage, 12717,
     /* 1852829 */     GIR_EraseRootFromParent_Done,
     /* 1852830 */   // Label 23414: @1852830
     /* 1852830 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1852934), // Rule ID 12720 //
     /* 1852835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852881 */     // MIs[0] policy
     /* 1852881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852891 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1852901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1852905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1852908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1852922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1852930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852933 */     // GIR_Coverage, 12720,
     /* 1852933 */     GIR_EraseRootFromParent_Done,
     /* 1852934 */   // Label 23415: @1852934
     /* 1852934 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1853038), // Rule ID 12721 //
     /* 1852939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1852947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1852950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1852953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1852959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1852962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852985 */     // MIs[0] policy
     /* 1852985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852995 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1852999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1853012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853037 */     // GIR_Coverage, 12721,
     /* 1853037 */     GIR_EraseRootFromParent_Done,
     /* 1853038 */   // Label 23416: @1853038
     /* 1853038 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1853142), // Rule ID 12724 //
     /* 1853043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1853063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853089 */     // MIs[0] policy
     /* 1853089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1853116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853141 */     // GIR_Coverage, 12724,
     /* 1853141 */     GIR_EraseRootFromParent_Done,
     /* 1853142 */   // Label 23417: @1853142
     /* 1853142 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1853246), // Rule ID 12725 //
     /* 1853147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1853167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853193 */     // MIs[0] policy
     /* 1853193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1853220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853245 */     // GIR_Coverage, 12725,
     /* 1853245 */     GIR_EraseRootFromParent_Done,
     /* 1853246 */   // Label 23418: @1853246
     /* 1853246 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1853350), // Rule ID 12728 //
     /* 1853251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853297 */     // MIs[0] policy
     /* 1853297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853307 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1853324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853349 */     // GIR_Coverage, 12728,
     /* 1853349 */     GIR_EraseRootFromParent_Done,
     /* 1853350 */   // Label 23419: @1853350
     /* 1853350 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1853454), // Rule ID 12729 //
     /* 1853355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1853375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853401 */     // MIs[0] policy
     /* 1853401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1853428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853453 */     // GIR_Coverage, 12729,
     /* 1853453 */     GIR_EraseRootFromParent_Done,
     /* 1853454 */   // Label 23420: @1853454
     /* 1853454 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1853558), // Rule ID 12732 //
     /* 1853459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853505 */     // MIs[0] policy
     /* 1853505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853515 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1853532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853557 */     // GIR_Coverage, 12732,
     /* 1853557 */     GIR_EraseRootFromParent_Done,
     /* 1853558 */   // Label 23421: @1853558
     /* 1853558 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1853662), // Rule ID 12733 //
     /* 1853563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1853583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853609 */     // MIs[0] policy
     /* 1853609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853619 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1853636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853661 */     // GIR_Coverage, 12733,
     /* 1853661 */     GIR_EraseRootFromParent_Done,
     /* 1853662 */   // Label 23422: @1853662
     /* 1853662 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1853766), // Rule ID 12736 //
     /* 1853667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853713 */     // MIs[0] policy
     /* 1853713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853723 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1853740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853765 */     // GIR_Coverage, 12736,
     /* 1853765 */     GIR_EraseRootFromParent_Done,
     /* 1853766 */   // Label 23423: @1853766
     /* 1853766 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1853870), // Rule ID 12737 //
     /* 1853771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1853782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1853785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1853791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853817 */     // MIs[0] policy
     /* 1853817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1853844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1853866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853869 */     // GIR_Coverage, 12737,
     /* 1853869 */     GIR_EraseRootFromParent_Done,
     /* 1853870 */   // Label 23424: @1853870
     /* 1853870 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1853974), // Rule ID 12740 //
     /* 1853875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1853878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1853895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853921 */     // MIs[0] policy
     /* 1853921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1853935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1853941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1853945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1853948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1853962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1853970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853973 */     // GIR_Coverage, 12740,
     /* 1853973 */     GIR_EraseRootFromParent_Done,
     /* 1853974 */   // Label 23425: @1853974
     /* 1853974 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1854078), // Rule ID 12741 //
     /* 1853979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1853982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1853987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1853990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1853993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1853999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854025 */     // MIs[0] policy
     /* 1854025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11045:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1854052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854077 */     // GIR_Coverage, 12741,
     /* 1854077 */     GIR_EraseRootFromParent_Done,
     /* 1854078 */   // Label 23426: @1854078
     /* 1854078 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1854182), // Rule ID 12744 //
     /* 1854083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1854086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1854091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1854103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854129 */     // MIs[0] policy
     /* 1854129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1854156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854181 */     // GIR_Coverage, 12744,
     /* 1854181 */     GIR_EraseRootFromParent_Done,
     /* 1854182 */   // Label 23427: @1854182
     /* 1854182 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1854286), // Rule ID 12745 //
     /* 1854187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1854190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1854195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1854207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854233 */     // MIs[0] policy
     /* 1854233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11045:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1854260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854285 */     // GIR_Coverage, 12745,
     /* 1854285 */     GIR_EraseRootFromParent_Done,
     /* 1854286 */   // Label 23428: @1854286
     /* 1854286 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1854390), // Rule ID 12748 //
     /* 1854291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1854294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1854299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1854311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854337 */     // MIs[0] policy
     /* 1854337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1854364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854389 */     // GIR_Coverage, 12748,
     /* 1854389 */     GIR_EraseRootFromParent_Done,
     /* 1854390 */   // Label 23429: @1854390
     /* 1854390 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1854494), // Rule ID 12749 //
     /* 1854395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1854398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1854403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1854415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854441 */     // MIs[0] policy
     /* 1854441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11045:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1854468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1854490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854493 */     // GIR_Coverage, 12749,
     /* 1854493 */     GIR_EraseRootFromParent_Done,
     /* 1854494 */   // Label 23430: @1854494
     /* 1854494 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1854598), // Rule ID 12752 //
     /* 1854499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1854507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1854510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1854513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854545 */     // MIs[0] policy
     /* 1854545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854555 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1854572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854597 */     // GIR_Coverage, 12752,
     /* 1854597 */     GIR_EraseRootFromParent_Done,
     /* 1854598 */   // Label 23431: @1854598
     /* 1854598 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1854702), // Rule ID 12753 //
     /* 1854603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1854611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1854614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1854617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854649 */     // MIs[0] policy
     /* 1854649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854659 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1854676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854701 */     // GIR_Coverage, 12753,
     /* 1854701 */     GIR_EraseRootFromParent_Done,
     /* 1854702 */   // Label 23432: @1854702
     /* 1854702 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1854806), // Rule ID 12756 //
     /* 1854707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1854715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1854718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1854721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1854724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854753 */     // MIs[0] policy
     /* 1854753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854763 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1854780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854805 */     // GIR_Coverage, 12756,
     /* 1854805 */     GIR_EraseRootFromParent_Done,
     /* 1854806 */   // Label 23433: @1854806
     /* 1854806 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1854910), // Rule ID 12757 //
     /* 1854811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1854819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1854822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1854825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1854828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1854831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854857 */     // MIs[0] policy
     /* 1854857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854867 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1854884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1854898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854909 */     // GIR_Coverage, 12757,
     /* 1854909 */     GIR_EraseRootFromParent_Done,
     /* 1854910 */   // Label 23434: @1854910
     /* 1854910 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1855014), // Rule ID 12760 //
     /* 1854915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1854923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1854926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1854929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1854932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1854935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854961 */     // MIs[0] policy
     /* 1854961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854971 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1854975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1854981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1854985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1854988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855013 */     // GIR_Coverage, 12760,
     /* 1855013 */     GIR_EraseRootFromParent_Done,
     /* 1855014 */   // Label 23435: @1855014
     /* 1855014 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1855118), // Rule ID 12761 //
     /* 1855019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1855030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1855033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855065 */     // MIs[0] policy
     /* 1855065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855075 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1855092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855117 */     // GIR_Coverage, 12761,
     /* 1855117 */     GIR_EraseRootFromParent_Done,
     /* 1855118 */   // Label 23436: @1855118
     /* 1855118 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1855222), // Rule ID 12764 //
     /* 1855123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855169 */     // MIs[0] policy
     /* 1855169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855179 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1855196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855221 */     // GIR_Coverage, 12764,
     /* 1855221 */     GIR_EraseRootFromParent_Done,
     /* 1855222 */   // Label 23437: @1855222
     /* 1855222 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1855326), // Rule ID 12765 //
     /* 1855227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1855238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1855241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855273 */     // MIs[0] policy
     /* 1855273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855283 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1855300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855325 */     // GIR_Coverage, 12765,
     /* 1855325 */     GIR_EraseRootFromParent_Done,
     /* 1855326 */   // Label 23438: @1855326
     /* 1855326 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1855430), // Rule ID 12768 //
     /* 1855331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855377 */     // MIs[0] policy
     /* 1855377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1855404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855429 */     // GIR_Coverage, 12768,
     /* 1855429 */     GIR_EraseRootFromParent_Done,
     /* 1855430 */   // Label 23439: @1855430
     /* 1855430 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1855534), // Rule ID 12769 //
     /* 1855435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1855452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1855455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855481 */     // MIs[0] policy
     /* 1855481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855491 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1855508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855533 */     // GIR_Coverage, 12769,
     /* 1855533 */     GIR_EraseRootFromParent_Done,
     /* 1855534 */   // Label 23440: @1855534
     /* 1855534 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1855638), // Rule ID 12772 //
     /* 1855539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855585 */     // MIs[0] policy
     /* 1855585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855595 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1855612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855637 */     // GIR_Coverage, 12772,
     /* 1855637 */     GIR_EraseRootFromParent_Done,
     /* 1855638 */   // Label 23441: @1855638
     /* 1855638 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1855742), // Rule ID 12773 //
     /* 1855643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1855660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1855663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855689 */     // MIs[0] policy
     /* 1855689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1855716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1855738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855741 */     // GIR_Coverage, 12773,
     /* 1855741 */     GIR_EraseRootFromParent_Done,
     /* 1855742 */   // Label 23442: @1855742
     /* 1855742 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1855846), // Rule ID 12776 //
     /* 1855747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1855758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1855761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1855767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855793 */     // MIs[0] policy
     /* 1855793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1855820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855845 */     // GIR_Coverage, 12776,
     /* 1855845 */     GIR_EraseRootFromParent_Done,
     /* 1855846 */   // Label 23443: @1855846
     /* 1855846 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1855950), // Rule ID 12777 //
     /* 1855851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1855862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1855865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1855871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855897 */     // MIs[0] policy
     /* 1855897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855907 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1855911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1855917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1855921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1855924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1855938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855949 */     // GIR_Coverage, 12777,
     /* 1855949 */     GIR_EraseRootFromParent_Done,
     /* 1855950 */   // Label 23444: @1855950
     /* 1855950 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1856054), // Rule ID 12780 //
     /* 1855955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1855963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1855972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1855975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856001 */     // MIs[0] policy
     /* 1856001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856053 */     // GIR_Coverage, 12780,
     /* 1856053 */     GIR_EraseRootFromParent_Done,
     /* 1856054 */   // Label 23445: @1856054
     /* 1856054 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1856158), // Rule ID 12781 //
     /* 1856059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1856070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1856073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856105 */     // MIs[0] policy
     /* 1856105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856115 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856157 */     // GIR_Coverage, 12781,
     /* 1856157 */     GIR_EraseRootFromParent_Done,
     /* 1856158 */   // Label 23446: @1856158
     /* 1856158 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1856262), // Rule ID 12784 //
     /* 1856163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1856180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856209 */     // MIs[0] policy
     /* 1856209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856261 */     // GIR_Coverage, 12784,
     /* 1856261 */     GIR_EraseRootFromParent_Done,
     /* 1856262 */   // Label 23447: @1856262
     /* 1856262 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1856366), // Rule ID 12785 //
     /* 1856267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1856284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856313 */     // MIs[0] policy
     /* 1856313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856323 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856365 */     // GIR_Coverage, 12785,
     /* 1856365 */     GIR_EraseRootFromParent_Done,
     /* 1856366 */   // Label 23448: @1856366
     /* 1856366 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1856470), // Rule ID 12788 //
     /* 1856371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1856374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1856391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856417 */     // MIs[0] policy
     /* 1856417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1856466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856469 */     // GIR_Coverage, 12788,
     /* 1856469 */     GIR_EraseRootFromParent_Done,
     /* 1856470 */   // Label 23449: @1856470
     /* 1856470 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1856574), // Rule ID 12789 //
     /* 1856475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1856478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1856492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1856495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856521 */     // MIs[0] policy
     /* 1856521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1856548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1856570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856573 */     // GIR_Coverage, 12789,
     /* 1856573 */     GIR_EraseRootFromParent_Done,
     /* 1856574 */   // Label 23450: @1856574
     /* 1856574 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1856678), // Rule ID 12792 //
     /* 1856579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1856590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1856593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856625 */     // MIs[0] policy
     /* 1856625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856635 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1856652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856677 */     // GIR_Coverage, 12792,
     /* 1856677 */     GIR_EraseRootFromParent_Done,
     /* 1856678 */   // Label 23451: @1856678
     /* 1856678 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1856782), // Rule ID 12793 //
     /* 1856683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1856694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1856697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1856700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1856703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856729 */     // MIs[0] policy
     /* 1856729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856739 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1856756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856781 */     // GIR_Coverage, 12793,
     /* 1856781 */     GIR_EraseRootFromParent_Done,
     /* 1856782 */   // Label 23452: @1856782
     /* 1856782 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1856886), // Rule ID 12796 //
     /* 1856787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1856798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1856801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856833 */     // MIs[0] policy
     /* 1856833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856843 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1856860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856885 */     // GIR_Coverage, 12796,
     /* 1856885 */     GIR_EraseRootFromParent_Done,
     /* 1856886 */   // Label 23453: @1856886
     /* 1856886 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1856990), // Rule ID 12797 //
     /* 1856891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1856899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1856902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1856905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1856908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1856911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1856914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856937 */     // MIs[0] policy
     /* 1856937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1856951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1856957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1856961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1856964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1856978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1856986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856989 */     // GIR_Coverage, 12797,
     /* 1856989 */     GIR_EraseRootFromParent_Done,
     /* 1856990 */   // Label 23454: @1856990
     /* 1856990 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1857094), // Rule ID 12800 //
     /* 1856995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1857006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1857009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1857012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1857015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1857018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857041 */     // MIs[0] policy
     /* 1857041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857051 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1857068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857093 */     // GIR_Coverage, 12800,
     /* 1857093 */     GIR_EraseRootFromParent_Done,
     /* 1857094 */   // Label 23455: @1857094
     /* 1857094 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1857198), // Rule ID 12801 //
     /* 1857099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1857110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1857113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1857116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1857119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1857122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857145 */     // MIs[0] policy
     /* 1857145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857155 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1857172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857197 */     // GIR_Coverage, 12801,
     /* 1857197 */     GIR_EraseRootFromParent_Done,
     /* 1857198 */   // Label 23456: @1857198
     /* 1857198 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1857302), // Rule ID 12804 //
     /* 1857203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857249 */     // MIs[0] policy
     /* 1857249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857259 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1857276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857301 */     // GIR_Coverage, 12804,
     /* 1857301 */     GIR_EraseRootFromParent_Done,
     /* 1857302 */   // Label 23457: @1857302
     /* 1857302 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1857406), // Rule ID 12805 //
     /* 1857307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1857321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1857324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1857327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857353 */     // MIs[0] policy
     /* 1857353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857363 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1857380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857405 */     // GIR_Coverage, 12805,
     /* 1857405 */     GIR_EraseRootFromParent_Done,
     /* 1857406 */   // Label 23458: @1857406
     /* 1857406 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1857510), // Rule ID 12808 //
     /* 1857411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857457 */     // MIs[0] policy
     /* 1857457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857467 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1857484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857509 */     // GIR_Coverage, 12808,
     /* 1857509 */     GIR_EraseRootFromParent_Done,
     /* 1857510 */   // Label 23459: @1857510
     /* 1857510 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1857614), // Rule ID 12809 //
     /* 1857515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1857526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1857529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1857532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1857535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1857538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857561 */     // MIs[0] policy
     /* 1857561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857571 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1857588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857613 */     // GIR_Coverage, 12809,
     /* 1857613 */     GIR_EraseRootFromParent_Done,
     /* 1857614 */   // Label 23460: @1857614
     /* 1857614 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1857718), // Rule ID 12812 //
     /* 1857619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1857639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857665 */     // MIs[0] policy
     /* 1857665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857675 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1857692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857717 */     // GIR_Coverage, 12812,
     /* 1857717 */     GIR_EraseRootFromParent_Done,
     /* 1857718 */   // Label 23461: @1857718
     /* 1857718 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1857822), // Rule ID 12813 //
     /* 1857723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1857734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1857737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1857740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1857743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1857746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857769 */     // MIs[0] policy
     /* 1857769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1857796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1857818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857821 */     // GIR_Coverage, 12813,
     /* 1857821 */     GIR_EraseRootFromParent_Done,
     /* 1857822 */   // Label 23462: @1857822
     /* 1857822 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1857926), // Rule ID 12816 //
     /* 1857827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857873 */     // MIs[0] policy
     /* 1857873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1857897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1857900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1857914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857925 */     // GIR_Coverage, 12816,
     /* 1857925 */     GIR_EraseRootFromParent_Done,
     /* 1857926 */   // Label 23463: @1857926
     /* 1857926 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1858030), // Rule ID 12817 //
     /* 1857931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1857939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1857942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1857945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857977 */     // MIs[0] policy
     /* 1857977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1857991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1857997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1858004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858029 */     // GIR_Coverage, 12817,
     /* 1858029 */     GIR_EraseRootFromParent_Done,
     /* 1858030 */   // Label 23464: @1858030
     /* 1858030 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1858134), // Rule ID 12820 //
     /* 1858035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1858046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1858049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858081 */     // MIs[0] policy
     /* 1858081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858091 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1858108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858133 */     // GIR_Coverage, 12820,
     /* 1858133 */     GIR_EraseRootFromParent_Done,
     /* 1858134 */   // Label 23465: @1858134
     /* 1858134 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1858238), // Rule ID 12821 //
     /* 1858139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1858150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1858153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1858156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1858159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858185 */     // MIs[0] policy
     /* 1858185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858195 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1858212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858237 */     // GIR_Coverage, 12821,
     /* 1858237 */     GIR_EraseRootFromParent_Done,
     /* 1858238 */   // Label 23466: @1858238
     /* 1858238 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1858342), // Rule ID 12824 //
     /* 1858243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1858254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1858257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1858260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1858263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858289 */     // MIs[0] policy
     /* 1858289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1858316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858341 */     // GIR_Coverage, 12824,
     /* 1858341 */     GIR_EraseRootFromParent_Done,
     /* 1858342 */   // Label 23467: @1858342
     /* 1858342 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1858446), // Rule ID 12825 //
     /* 1858347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1858358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1858361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1858364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1858367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858393 */     // MIs[0] policy
     /* 1858393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1858420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1858442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858445 */     // GIR_Coverage, 12825,
     /* 1858445 */     GIR_EraseRootFromParent_Done,
     /* 1858446 */   // Label 23468: @1858446
     /* 1858446 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1858550), // Rule ID 12828 //
     /* 1858451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1858468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1858471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858497 */     // MIs[0] policy
     /* 1858497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1858524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858549 */     // GIR_Coverage, 12828,
     /* 1858549 */     GIR_EraseRootFromParent_Done,
     /* 1858550 */   // Label 23469: @1858550
     /* 1858550 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1858654), // Rule ID 12829 //
     /* 1858555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1858566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1858569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1858572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1858575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858601 */     // MIs[0] policy
     /* 1858601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1858628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858653 */     // GIR_Coverage, 12829,
     /* 1858653 */     GIR_EraseRootFromParent_Done,
     /* 1858654 */   // Label 23470: @1858654
     /* 1858654 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1858758), // Rule ID 12832 //
     /* 1858659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1858679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858705 */     // MIs[0] policy
     /* 1858705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1858732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858757 */     // GIR_Coverage, 12832,
     /* 1858757 */     GIR_EraseRootFromParent_Done,
     /* 1858758 */   // Label 23471: @1858758
     /* 1858758 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1858862), // Rule ID 12833 //
     /* 1858763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1858774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1858777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1858780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1858783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858809 */     // MIs[0] policy
     /* 1858809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1858836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858861 */     // GIR_Coverage, 12833,
     /* 1858861 */     GIR_EraseRootFromParent_Done,
     /* 1858862 */   // Label 23472: @1858862
     /* 1858862 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1858966), // Rule ID 12836 //
     /* 1858867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1858870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1858884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1858887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858913 */     // MIs[0] policy
     /* 1858913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1858927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1858933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1858937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1858940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1858954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1858962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858965 */     // GIR_Coverage, 12836,
     /* 1858965 */     GIR_EraseRootFromParent_Done,
     /* 1858966 */   // Label 23473: @1858966
     /* 1858966 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1859070), // Rule ID 12837 //
     /* 1858971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1858974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1858979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1858982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1858985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1858988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1858991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859017 */     // MIs[0] policy
     /* 1859017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1859044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1859066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859069 */     // GIR_Coverage, 12837,
     /* 1859069 */     GIR_EraseRootFromParent_Done,
     /* 1859070 */   // Label 23474: @1859070
     /* 1859070 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1859174), // Rule ID 12840 //
     /* 1859075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1859086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1859089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1859095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859121 */     // MIs[0] policy
     /* 1859121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859131 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1859148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859173 */     // GIR_Coverage, 12840,
     /* 1859173 */     GIR_EraseRootFromParent_Done,
     /* 1859174 */   // Label 23475: @1859174
     /* 1859174 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1859278), // Rule ID 12841 //
     /* 1859179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1859190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1859193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1859199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859225 */     // MIs[0] policy
     /* 1859225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859235 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1859252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859277 */     // GIR_Coverage, 12841,
     /* 1859277 */     GIR_EraseRootFromParent_Done,
     /* 1859278 */   // Label 23476: @1859278
     /* 1859278 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1859382), // Rule ID 12844 //
     /* 1859283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1859294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1859297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1859303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859329 */     // MIs[0] policy
     /* 1859329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859339 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1859356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859381 */     // GIR_Coverage, 12844,
     /* 1859381 */     GIR_EraseRootFromParent_Done,
     /* 1859382 */   // Label 23477: @1859382
     /* 1859382 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1859486), // Rule ID 12845 //
     /* 1859387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1859398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1859401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1859407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859433 */     // MIs[0] policy
     /* 1859433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1859460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859485 */     // GIR_Coverage, 12845,
     /* 1859485 */     GIR_EraseRootFromParent_Done,
     /* 1859486 */   // Label 23478: @1859486
     /* 1859486 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1859590), // Rule ID 12848 //
     /* 1859491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1859502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1859505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1859511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859537 */     // MIs[0] policy
     /* 1859537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1859564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859589 */     // GIR_Coverage, 12848,
     /* 1859589 */     GIR_EraseRootFromParent_Done,
     /* 1859590 */   // Label 23479: @1859590
     /* 1859590 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1859694), // Rule ID 12849 //
     /* 1859595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1859606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1859609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1859615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859641 */     // MIs[0] policy
     /* 1859641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859651 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1859668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1859690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859693 */     // GIR_Coverage, 12849,
     /* 1859693 */     GIR_EraseRootFromParent_Done,
     /* 1859694 */   // Label 23480: @1859694
     /* 1859694 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1859798), // Rule ID 12852 //
     /* 1859699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1859710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1859713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859745 */     // MIs[0] policy
     /* 1859745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859755 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1859772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859797 */     // GIR_Coverage, 12852,
     /* 1859797 */     GIR_EraseRootFromParent_Done,
     /* 1859798 */   // Label 23481: @1859798
     /* 1859798 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1859902), // Rule ID 12853 //
     /* 1859803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1859814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1859817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1859823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859849 */     // MIs[0] policy
     /* 1859849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1859876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859901 */     // GIR_Coverage, 12853,
     /* 1859901 */     GIR_EraseRootFromParent_Done,
     /* 1859902 */   // Label 23482: @1859902
     /* 1859902 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1860006), // Rule ID 12856 //
     /* 1859907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1859915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1859918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1859921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1859927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859953 */     // MIs[0] policy
     /* 1859953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859963 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1859967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1859973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1859977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1859980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1859994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860005 */     // GIR_Coverage, 12856,
     /* 1860005 */     GIR_EraseRootFromParent_Done,
     /* 1860006 */   // Label 23483: @1860006
     /* 1860006 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1860110), // Rule ID 12857 //
     /* 1860011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1860031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860057 */     // MIs[0] policy
     /* 1860057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1860084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860109 */     // GIR_Coverage, 12857,
     /* 1860109 */     GIR_EraseRootFromParent_Done,
     /* 1860110 */   // Label 23484: @1860110
     /* 1860110 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1860214), // Rule ID 12860 //
     /* 1860115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1860126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1860129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860161 */     // MIs[0] policy
     /* 1860161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860171 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1860188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860213 */     // GIR_Coverage, 12860,
     /* 1860213 */     GIR_EraseRootFromParent_Done,
     /* 1860214 */   // Label 23485: @1860214
     /* 1860214 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1860318), // Rule ID 12861 //
     /* 1860219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1860230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1860233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1860239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860265 */     // MIs[0] policy
     /* 1860265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860275 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1860292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860317 */     // GIR_Coverage, 12861,
     /* 1860317 */     GIR_EraseRootFromParent_Done,
     /* 1860318 */   // Label 23486: @1860318
     /* 1860318 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1860422), // Rule ID 12864 //
     /* 1860323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1860334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1860337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860369 */     // MIs[0] policy
     /* 1860369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860379 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860421 */     // GIR_Coverage, 12864,
     /* 1860421 */     GIR_EraseRootFromParent_Done,
     /* 1860422 */   // Label 23487: @1860422
     /* 1860422 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1860526), // Rule ID 12865 //
     /* 1860427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1860438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1860441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860473 */     // MIs[0] policy
     /* 1860473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860483 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11124:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860525 */     // GIR_Coverage, 12865,
     /* 1860525 */     GIR_EraseRootFromParent_Done,
     /* 1860526 */   // Label 23488: @1860526
     /* 1860526 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1860630), // Rule ID 12868 //
     /* 1860531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1860551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860577 */     // MIs[0] policy
     /* 1860577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860587 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860629 */     // GIR_Coverage, 12868,
     /* 1860629 */     GIR_EraseRootFromParent_Done,
     /* 1860630 */   // Label 23489: @1860630
     /* 1860630 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1860734), // Rule ID 12869 //
     /* 1860635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1860655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860681 */     // MIs[0] policy
     /* 1860681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860691 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11124:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1860730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860733 */     // GIR_Coverage, 12869,
     /* 1860733 */     GIR_EraseRootFromParent_Done,
     /* 1860734 */   // Label 23490: @1860734
     /* 1860734 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1860838), // Rule ID 12872 //
     /* 1860739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1860750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1860753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860785 */     // MIs[0] policy
     /* 1860785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860837 */     // GIR_Coverage, 12872,
     /* 1860837 */     GIR_EraseRootFromParent_Done,
     /* 1860838 */   // Label 23491: @1860838
     /* 1860838 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1860942), // Rule ID 12873 //
     /* 1860843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1860854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1860857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1860860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1860863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860889 */     // MIs[0] policy
     /* 1860889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860899 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11124:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1860903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1860909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1860913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1860916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1860930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860941 */     // GIR_Coverage, 12873,
     /* 1860941 */     GIR_EraseRootFromParent_Done,
     /* 1860942 */   // Label 23492: @1860942
     /* 1860942 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1861046), // Rule ID 12876 //
     /* 1860947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1860950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1860955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1860958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1860961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1860964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1860967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860993 */     // MIs[0] policy
     /* 1860993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1861020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1861042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861045 */     // GIR_Coverage, 12876,
     /* 1861045 */     GIR_EraseRootFromParent_Done,
     /* 1861046 */   // Label 23493: @1861046
     /* 1861046 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1861150), // Rule ID 12877 //
     /* 1861051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1861054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1861062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1861065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1861071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861097 */     // MIs[0] policy
     /* 1861097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861107 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11124:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1861124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1861146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861149 */     // GIR_Coverage, 12877,
     /* 1861149 */     GIR_EraseRootFromParent_Done,
     /* 1861150 */   // Label 23494: @1861150
     /* 1861150 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1861254), // Rule ID 12880 //
     /* 1861155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1861166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1861169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861201 */     // MIs[0] policy
     /* 1861201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1861228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861253 */     // GIR_Coverage, 12880,
     /* 1861253 */     GIR_EraseRootFromParent_Done,
     /* 1861254 */   // Label 23495: @1861254
     /* 1861254 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1861358), // Rule ID 12881 //
     /* 1861259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1861270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1861273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1861279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861305 */     // MIs[0] policy
     /* 1861305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861315 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1861332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861357 */     // GIR_Coverage, 12881,
     /* 1861357 */     GIR_EraseRootFromParent_Done,
     /* 1861358 */   // Label 23496: @1861358
     /* 1861358 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1861462), // Rule ID 12884 //
     /* 1861363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1861374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1861377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861409 */     // MIs[0] policy
     /* 1861409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861419 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1861436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861461 */     // GIR_Coverage, 12884,
     /* 1861461 */     GIR_EraseRootFromParent_Done,
     /* 1861462 */   // Label 23497: @1861462
     /* 1861462 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1861566), // Rule ID 12885 //
     /* 1861467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1861478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1861481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861513 */     // MIs[0] policy
     /* 1861513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861523 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1861540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861565 */     // GIR_Coverage, 12885,
     /* 1861565 */     GIR_EraseRootFromParent_Done,
     /* 1861566 */   // Label 23498: @1861566
     /* 1861566 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1861670), // Rule ID 12888 //
     /* 1861571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1861582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1861585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1861591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1861594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861617 */     // MIs[0] policy
     /* 1861617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861627 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1861644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861669 */     // GIR_Coverage, 12888,
     /* 1861669 */     GIR_EraseRootFromParent_Done,
     /* 1861670 */   // Label 23499: @1861670
     /* 1861670 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1861774), // Rule ID 12889 //
     /* 1861675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1861686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1861689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1861695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1861698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861721 */     // MIs[0] policy
     /* 1861721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861731 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1861748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861773 */     // GIR_Coverage, 12889,
     /* 1861773 */     GIR_EraseRootFromParent_Done,
     /* 1861774 */   // Label 23500: @1861774
     /* 1861774 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1861878), // Rule ID 12892 //
     /* 1861779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1861796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861825 */     // MIs[0] policy
     /* 1861825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861835 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1861852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861877 */     // GIR_Coverage, 12892,
     /* 1861877 */     GIR_EraseRootFromParent_Done,
     /* 1861878 */   // Label 23501: @1861878
     /* 1861878 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1861982), // Rule ID 12893 //
     /* 1861883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1861894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1861897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1861900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1861921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861929 */     // MIs[0] policy
     /* 1861929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861939 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1861943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1861949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1861953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1861956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1861970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861981 */     // GIR_Coverage, 12893,
     /* 1861981 */     GIR_EraseRootFromParent_Done,
     /* 1861982 */   // Label 23502: @1861982
     /* 1861982 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1862086), // Rule ID 12896 //
     /* 1861987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1861995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1861998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1862001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862033 */     // MIs[0] policy
     /* 1862033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862043 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1862060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862085 */     // GIR_Coverage, 12896,
     /* 1862085 */     GIR_EraseRootFromParent_Done,
     /* 1862086 */   // Label 23503: @1862086
     /* 1862086 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1862190), // Rule ID 12897 //
     /* 1862091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1862102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1862105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1862111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862137 */     // MIs[0] policy
     /* 1862137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1862164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862189 */     // GIR_Coverage, 12897,
     /* 1862189 */     GIR_EraseRootFromParent_Done,
     /* 1862190 */   // Label 23504: @1862190
     /* 1862190 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1862294), // Rule ID 12900 //
     /* 1862195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1862206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1862209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1862215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862241 */     // MIs[0] policy
     /* 1862241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862251 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1862268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862293 */     // GIR_Coverage, 12900,
     /* 1862293 */     GIR_EraseRootFromParent_Done,
     /* 1862294 */   // Label 23505: @1862294
     /* 1862294 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1862398), // Rule ID 12901 //
     /* 1862299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1862310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1862313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1862319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1862322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862345 */     // MIs[0] policy
     /* 1862345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862355 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1862372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1862394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862397 */     // GIR_Coverage, 12901,
     /* 1862397 */     GIR_EraseRootFromParent_Done,
     /* 1862398 */   // Label 23506: @1862398
     /* 1862398 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1862502), // Rule ID 12904 //
     /* 1862403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862449 */     // MIs[0] policy
     /* 1862449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862459 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1862476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862501 */     // GIR_Coverage, 12904,
     /* 1862501 */     GIR_EraseRootFromParent_Done,
     /* 1862502 */   // Label 23507: @1862502
     /* 1862502 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1862606), // Rule ID 12905 //
     /* 1862507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1862518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1862521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862553 */     // MIs[0] policy
     /* 1862553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862563 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1862580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862605 */     // GIR_Coverage, 12905,
     /* 1862605 */     GIR_EraseRootFromParent_Done,
     /* 1862606 */   // Label 23508: @1862606
     /* 1862606 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1862710), // Rule ID 12908 //
     /* 1862611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862657 */     // MIs[0] policy
     /* 1862657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862667 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1862684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862709 */     // GIR_Coverage, 12908,
     /* 1862709 */     GIR_EraseRootFromParent_Done,
     /* 1862710 */   // Label 23509: @1862710
     /* 1862710 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1862814), // Rule ID 12909 //
     /* 1862715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1862726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1862729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862761 */     // MIs[0] policy
     /* 1862761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1862788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862813 */     // GIR_Coverage, 12909,
     /* 1862813 */     GIR_EraseRootFromParent_Done,
     /* 1862814 */   // Label 23510: @1862814
     /* 1862814 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1862918), // Rule ID 12912 //
     /* 1862819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1862839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862865 */     // MIs[0] policy
     /* 1862865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862875 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1862892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1862906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862917 */     // GIR_Coverage, 12912,
     /* 1862917 */     GIR_EraseRootFromParent_Done,
     /* 1862918 */   // Label 23511: @1862918
     /* 1862918 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1863022), // Rule ID 12913 //
     /* 1862923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1862931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1862934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1862937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1862943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1862946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862969 */     // MIs[0] policy
     /* 1862969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862979 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1862983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1862989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1862993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1862996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1863018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863021 */     // GIR_Coverage, 12913,
     /* 1863021 */     GIR_EraseRootFromParent_Done,
     /* 1863022 */   // Label 23512: @1863022
     /* 1863022 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1863126), // Rule ID 12916 //
     /* 1863027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1863047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863073 */     // MIs[0] policy
     /* 1863073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863083 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1863100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863125 */     // GIR_Coverage, 12916,
     /* 1863125 */     GIR_EraseRootFromParent_Done,
     /* 1863126 */   // Label 23513: @1863126
     /* 1863126 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1863230), // Rule ID 12917 //
     /* 1863131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1863142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1863145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1863151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863177 */     // MIs[0] policy
     /* 1863177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863187 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11124:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1863204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863229 */     // GIR_Coverage, 12917,
     /* 1863229 */     GIR_EraseRootFromParent_Done,
     /* 1863230 */   // Label 23514: @1863230
     /* 1863230 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1863334), // Rule ID 12920 //
     /* 1863235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1863255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863281 */     // MIs[0] policy
     /* 1863281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863291 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1863308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863333 */     // GIR_Coverage, 12920,
     /* 1863333 */     GIR_EraseRootFromParent_Done,
     /* 1863334 */   // Label 23515: @1863334
     /* 1863334 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1863438), // Rule ID 12921 //
     /* 1863339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1863350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1863353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1863359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863385 */     // MIs[0] policy
     /* 1863385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863395 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11124:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1863412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863437 */     // GIR_Coverage, 12921,
     /* 1863437 */     GIR_EraseRootFromParent_Done,
     /* 1863438 */   // Label 23516: @1863438
     /* 1863438 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1863542), // Rule ID 12924 //
     /* 1863443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1863446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1863463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863489 */     // MIs[0] policy
     /* 1863489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863499 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1863516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863541 */     // GIR_Coverage, 12924,
     /* 1863541 */     GIR_EraseRootFromParent_Done,
     /* 1863542 */   // Label 23517: @1863542
     /* 1863542 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1863646), // Rule ID 12925 //
     /* 1863547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1863550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1863555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1863558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1863561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1863567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863593 */     // MIs[0] policy
     /* 1863593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863603 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11124:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1863620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1863642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863645 */     // GIR_Coverage, 12925,
     /* 1863645 */     GIR_EraseRootFromParent_Done,
     /* 1863646 */   // Label 23518: @1863646
     /* 1863646 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1863750), // Rule ID 12928 //
     /* 1863651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1863659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863697 */     // MIs[0] policy
     /* 1863697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863707 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1863724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863749 */     // GIR_Coverage, 12928,
     /* 1863749 */     GIR_EraseRootFromParent_Done,
     /* 1863750 */   // Label 23519: @1863750
     /* 1863750 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1863854), // Rule ID 12929 //
     /* 1863755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1863763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1863766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1863769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1863772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1863775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863801 */     // MIs[0] policy
     /* 1863801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863811 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1863828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863853 */     // GIR_Coverage, 12929,
     /* 1863853 */     GIR_EraseRootFromParent_Done,
     /* 1863854 */   // Label 23520: @1863854
     /* 1863854 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1863958), // Rule ID 12932 //
     /* 1863859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1863867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863905 */     // MIs[0] policy
     /* 1863905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863915 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1863919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1863925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1863929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1863932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1863946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863957 */     // GIR_Coverage, 12932,
     /* 1863957 */     GIR_EraseRootFromParent_Done,
     /* 1863958 */   // Label 23521: @1863958
     /* 1863958 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1864062), // Rule ID 12933 //
     /* 1863963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1863971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1863974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1863977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1863980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1863983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864009 */     // MIs[0] policy
     /* 1864009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1864036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864061 */     // GIR_Coverage, 12933,
     /* 1864061 */     GIR_EraseRootFromParent_Done,
     /* 1864062 */   // Label 23522: @1864062
     /* 1864062 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1864166), // Rule ID 12936 //
     /* 1864067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864113 */     // MIs[0] policy
     /* 1864113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864165 */     // GIR_Coverage, 12936,
     /* 1864165 */     GIR_EraseRootFromParent_Done,
     /* 1864166 */   // Label 23523: @1864166
     /* 1864166 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1864270), // Rule ID 12937 //
     /* 1864171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1864182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1864185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1864188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1864191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864217 */     // MIs[0] policy
     /* 1864217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864227 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864269 */     // GIR_Coverage, 12937,
     /* 1864269 */     GIR_EraseRootFromParent_Done,
     /* 1864270 */   // Label 23524: @1864270
     /* 1864270 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1864374), // Rule ID 12940 //
     /* 1864275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864321 */     // MIs[0] policy
     /* 1864321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1864348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864373 */     // GIR_Coverage, 12940,
     /* 1864373 */     GIR_EraseRootFromParent_Done,
     /* 1864374 */   // Label 23525: @1864374
     /* 1864374 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1864478), // Rule ID 12941 //
     /* 1864379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1864390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1864393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1864396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1864399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864425 */     // MIs[0] policy
     /* 1864425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864435 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1864452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864477 */     // GIR_Coverage, 12941,
     /* 1864477 */     GIR_EraseRootFromParent_Done,
     /* 1864478 */   // Label 23526: @1864478
     /* 1864478 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1864582), // Rule ID 12944 //
     /* 1864483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1864494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1864497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1864503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864529 */     // MIs[0] policy
     /* 1864529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864581 */     // GIR_Coverage, 12944,
     /* 1864581 */     GIR_EraseRootFromParent_Done,
     /* 1864582 */   // Label 23527: @1864582
     /* 1864582 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1864686), // Rule ID 12945 //
     /* 1864587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1864598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1864601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1864604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1864607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864633 */     // MIs[0] policy
     /* 1864633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864643 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864685 */     // GIR_Coverage, 12945,
     /* 1864685 */     GIR_EraseRootFromParent_Done,
     /* 1864686 */   // Label 23528: @1864686
     /* 1864686 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1864790), // Rule ID 12948 //
     /* 1864691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864737 */     // MIs[0] policy
     /* 1864737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864789 */     // GIR_Coverage, 12948,
     /* 1864789 */     GIR_EraseRootFromParent_Done,
     /* 1864790 */   // Label 23529: @1864790
     /* 1864790 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1864894), // Rule ID 12949 //
     /* 1864795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1864806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1864809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1864812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864841 */     // MIs[0] policy
     /* 1864841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1864868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864893 */     // GIR_Coverage, 12949,
     /* 1864893 */     GIR_EraseRootFromParent_Done,
     /* 1864894 */   // Label 23530: @1864894
     /* 1864894 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1864998), // Rule ID 12952 //
     /* 1864899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1864907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1864910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1864913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1864916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1864919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864945 */     // MIs[0] policy
     /* 1864945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864955 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1864959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1864965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1864969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1864972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1864986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1864994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864997 */     // GIR_Coverage, 12952,
     /* 1864997 */     GIR_EraseRootFromParent_Done,
     /* 1864998 */   // Label 23531: @1864998
     /* 1864998 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1865102), // Rule ID 12953 //
     /* 1865003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1865014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1865017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1865020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865049 */     // MIs[0] policy
     /* 1865049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865101 */     // GIR_Coverage, 12953,
     /* 1865101 */     GIR_EraseRootFromParent_Done,
     /* 1865102 */   // Label 23532: @1865102
     /* 1865102 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1865206), // Rule ID 12956 //
     /* 1865107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865153 */     // MIs[0] policy
     /* 1865153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865163 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865205 */     // GIR_Coverage, 12956,
     /* 1865205 */     GIR_EraseRootFromParent_Done,
     /* 1865206 */   // Label 23533: @1865206
     /* 1865206 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1865310), // Rule ID 12957 //
     /* 1865211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1865228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1865231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865257 */     // MIs[0] policy
     /* 1865257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865267 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1865306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865309 */     // GIR_Coverage, 12957,
     /* 1865309 */     GIR_EraseRootFromParent_Done,
     /* 1865310 */   // Label 23534: @1865310
     /* 1865310 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1865414), // Rule ID 12960 //
     /* 1865315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865361 */     // MIs[0] policy
     /* 1865361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865371 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865413 */     // GIR_Coverage, 12960,
     /* 1865413 */     GIR_EraseRootFromParent_Done,
     /* 1865414 */   // Label 23535: @1865414
     /* 1865414 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1865518), // Rule ID 12961 //
     /* 1865419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1865430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1865433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1865436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1865439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865465 */     // MIs[0] policy
     /* 1865465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865517 */     // GIR_Coverage, 12961,
     /* 1865517 */     GIR_EraseRootFromParent_Done,
     /* 1865518 */   // Label 23536: @1865518
     /* 1865518 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1865622), // Rule ID 12964 //
     /* 1865523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1865526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865569 */     // MIs[0] policy
     /* 1865569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865621 */     // GIR_Coverage, 12964,
     /* 1865621 */     GIR_EraseRootFromParent_Done,
     /* 1865622 */   // Label 23537: @1865622
     /* 1865622 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1865726), // Rule ID 12965 //
     /* 1865627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1865630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1865638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1865641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1865644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1865647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865673 */     // MIs[0] policy
     /* 1865673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865683 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1865700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1865722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865725 */     // GIR_Coverage, 12965,
     /* 1865725 */     GIR_EraseRootFromParent_Done,
     /* 1865726 */   // Label 23538: @1865726
     /* 1865726 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1865830), // Rule ID 12968 //
     /* 1865731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1865742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1865745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1865748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865777 */     // MIs[0] policy
     /* 1865777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1865804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865829 */     // GIR_Coverage, 12968,
     /* 1865829 */     GIR_EraseRootFromParent_Done,
     /* 1865830 */   // Label 23539: @1865830
     /* 1865830 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1865934), // Rule ID 12969 //
     /* 1865835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1865846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1865849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1865852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865881 */     // MIs[0] policy
     /* 1865881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865891 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1865901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1865905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1865908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1865922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865933 */     // GIR_Coverage, 12969,
     /* 1865933 */     GIR_EraseRootFromParent_Done,
     /* 1865934 */   // Label 23540: @1865934
     /* 1865934 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1866038), // Rule ID 12972 //
     /* 1865939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1865947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1865950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1865953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1865956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1865959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1865962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865985 */     // MIs[0] policy
     /* 1865985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865995 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1865999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1866012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866037 */     // GIR_Coverage, 12972,
     /* 1866037 */     GIR_EraseRootFromParent_Done,
     /* 1866038 */   // Label 23541: @1866038
     /* 1866038 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1866142), // Rule ID 12973 //
     /* 1866043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1866054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1866057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1866060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866089 */     // MIs[0] policy
     /* 1866089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866099 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1866116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866141 */     // GIR_Coverage, 12973,
     /* 1866141 */     GIR_EraseRootFromParent_Done,
     /* 1866142 */   // Label 23542: @1866142
     /* 1866142 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1866246), // Rule ID 12976 //
     /* 1866147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866193 */     // MIs[0] policy
     /* 1866193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866203 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1866220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866245 */     // GIR_Coverage, 12976,
     /* 1866245 */     GIR_EraseRootFromParent_Done,
     /* 1866246 */   // Label 23543: @1866246
     /* 1866246 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1866350), // Rule ID 12977 //
     /* 1866251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1866262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1866265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1866268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1866271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1866274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866297 */     // MIs[0] policy
     /* 1866297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866307 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1866324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866349 */     // GIR_Coverage, 12977,
     /* 1866349 */     GIR_EraseRootFromParent_Done,
     /* 1866350 */   // Label 23544: @1866350
     /* 1866350 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1866454), // Rule ID 12980 //
     /* 1866355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866401 */     // MIs[0] policy
     /* 1866401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1866428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866453 */     // GIR_Coverage, 12980,
     /* 1866453 */     GIR_EraseRootFromParent_Done,
     /* 1866454 */   // Label 23545: @1866454
     /* 1866454 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1866558), // Rule ID 12981 //
     /* 1866459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1866470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1866473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1866476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866505 */     // MIs[0] policy
     /* 1866505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1866532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866557 */     // GIR_Coverage, 12981,
     /* 1866557 */     GIR_EraseRootFromParent_Done,
     /* 1866558 */   // Label 23546: @1866558
     /* 1866558 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1866662), // Rule ID 12984 //
     /* 1866563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866609 */     // MIs[0] policy
     /* 1866609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866619 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1866636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866661 */     // GIR_Coverage, 12984,
     /* 1866661 */     GIR_EraseRootFromParent_Done,
     /* 1866662 */   // Label 23547: @1866662
     /* 1866662 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1866766), // Rule ID 12985 //
     /* 1866667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1866678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1866681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1866684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866713 */     // MIs[0] policy
     /* 1866713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866723 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1866740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866765 */     // GIR_Coverage, 12985,
     /* 1866765 */     GIR_EraseRootFromParent_Done,
     /* 1866766 */   // Label 23548: @1866766
     /* 1866766 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1866870), // Rule ID 12988 //
     /* 1866771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1866788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1866791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866817 */     // MIs[0] policy
     /* 1866817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866827 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1866844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866869 */     // GIR_Coverage, 12988,
     /* 1866869 */     GIR_EraseRootFromParent_Done,
     /* 1866870 */   // Label 23549: @1866870
     /* 1866870 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1866974), // Rule ID 12989 //
     /* 1866875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1866892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1866895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866921 */     // MIs[0] policy
     /* 1866921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866931 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1866935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1866941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1866945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1866948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1866962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866973 */     // GIR_Coverage, 12989,
     /* 1866973 */     GIR_EraseRootFromParent_Done,
     /* 1866974 */   // Label 23550: @1866974
     /* 1866974 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1867078), // Rule ID 12992 //
     /* 1866979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1866987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1866996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1866999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867025 */     // MIs[0] policy
     /* 1867025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1867052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867077 */     // GIR_Coverage, 12992,
     /* 1867077 */     GIR_EraseRootFromParent_Done,
     /* 1867078 */   // Label 23551: @1867078
     /* 1867078 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1867182), // Rule ID 12993 //
     /* 1867083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1867094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1867097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1867100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867129 */     // MIs[0] policy
     /* 1867129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1867156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867181 */     // GIR_Coverage, 12993,
     /* 1867181 */     GIR_EraseRootFromParent_Done,
     /* 1867182 */   // Label 23552: @1867182
     /* 1867182 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1867286), // Rule ID 12996 //
     /* 1867187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867233 */     // MIs[0] policy
     /* 1867233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1867260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867285 */     // GIR_Coverage, 12996,
     /* 1867285 */     GIR_EraseRootFromParent_Done,
     /* 1867286 */   // Label 23553: @1867286
     /* 1867286 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1867390), // Rule ID 12997 //
     /* 1867291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1867302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1867305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1867308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867337 */     // MIs[0] policy
     /* 1867337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1867364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867389 */     // GIR_Coverage, 12997,
     /* 1867389 */     GIR_EraseRootFromParent_Done,
     /* 1867390 */   // Label 23554: @1867390
     /* 1867390 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1867494), // Rule ID 13000 //
     /* 1867395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867441 */     // MIs[0] policy
     /* 1867441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1867468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867493 */     // GIR_Coverage, 13000,
     /* 1867493 */     GIR_EraseRootFromParent_Done,
     /* 1867494 */   // Label 23555: @1867494
     /* 1867494 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1867598), // Rule ID 13001 //
     /* 1867499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1867516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1867519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867545 */     // MIs[0] policy
     /* 1867545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1867572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867597 */     // GIR_Coverage, 13001,
     /* 1867597 */     GIR_EraseRootFromParent_Done,
     /* 1867598 */   // Label 23556: @1867598
     /* 1867598 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1867702), // Rule ID 13004 //
     /* 1867603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867649 */     // MIs[0] policy
     /* 1867649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1867676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867701 */     // GIR_Coverage, 13004,
     /* 1867701 */     GIR_EraseRootFromParent_Done,
     /* 1867702 */   // Label 23557: @1867702
     /* 1867702 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1867806), // Rule ID 13005 //
     /* 1867707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1867724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1867727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867753 */     // MIs[0] policy
     /* 1867753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1867780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867805 */     // GIR_Coverage, 13005,
     /* 1867805 */     GIR_EraseRootFromParent_Done,
     /* 1867806 */   // Label 23558: @1867806
     /* 1867806 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1867910), // Rule ID 13008 //
     /* 1867811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1867814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867857 */     // MIs[0] policy
     /* 1867857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1867884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1867898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1867906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867909 */     // GIR_Coverage, 13008,
     /* 1867909 */     GIR_EraseRootFromParent_Done,
     /* 1867910 */   // Label 23559: @1867910
     /* 1867910 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1868014), // Rule ID 13009 //
     /* 1867915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1867918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1867923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1867932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1867935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867961 */     // MIs[0] policy
     /* 1867961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1867975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1867981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1867985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1867988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868013 */     // GIR_Coverage, 13009,
     /* 1868013 */     GIR_EraseRootFromParent_Done,
     /* 1868014 */   // Label 23560: @1868014
     /* 1868014 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1868118), // Rule ID 13012 //
     /* 1868019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1868022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868065 */     // MIs[0] policy
     /* 1868065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1868092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868117 */     // GIR_Coverage, 13012,
     /* 1868117 */     GIR_EraseRootFromParent_Done,
     /* 1868118 */   // Label 23561: @1868118
     /* 1868118 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1868222), // Rule ID 13013 //
     /* 1868123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1868126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1868134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1868137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1868140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1868143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1868153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1868165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868169 */     // MIs[0] policy
     /* 1868169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1868196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1868218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868221 */     // GIR_Coverage, 13013,
     /* 1868221 */     GIR_EraseRootFromParent_Done,
     /* 1868222 */   // Label 23562: @1868222
     /* 1868222 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1868326), // Rule ID 13016 //
     /* 1868227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1868244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868273 */     // MIs[0] policy
     /* 1868273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868283 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1868300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868325 */     // GIR_Coverage, 13016,
     /* 1868325 */     GIR_EraseRootFromParent_Done,
     /* 1868326 */   // Label 23563: @1868326
     /* 1868326 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1868430), // Rule ID 13017 //
     /* 1868331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1868342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1868345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1868348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1868351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868377 */     // MIs[0] policy
     /* 1868377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1868404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868429 */     // GIR_Coverage, 13017,
     /* 1868429 */     GIR_EraseRootFromParent_Done,
     /* 1868430 */   // Label 23564: @1868430
     /* 1868430 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1868534), // Rule ID 13020 //
     /* 1868435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1868452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1868455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868481 */     // MIs[0] policy
     /* 1868481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868491 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1868508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868533 */     // GIR_Coverage, 13020,
     /* 1868533 */     GIR_EraseRootFromParent_Done,
     /* 1868534 */   // Label 23565: @1868534
     /* 1868534 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1868638), // Rule ID 13021 //
     /* 1868539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1868556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1868559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868585 */     // MIs[0] policy
     /* 1868585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868595 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1868612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868637 */     // GIR_Coverage, 13021,
     /* 1868637 */     GIR_EraseRootFromParent_Done,
     /* 1868638 */   // Label 23566: @1868638
     /* 1868638 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1868742), // Rule ID 13024 //
     /* 1868643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1868660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868689 */     // MIs[0] policy
     /* 1868689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868699 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1868716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868741 */     // GIR_Coverage, 13024,
     /* 1868741 */     GIR_EraseRootFromParent_Done,
     /* 1868742 */   // Label 23567: @1868742
     /* 1868742 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1868846), // Rule ID 13025 //
     /* 1868747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1868764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868793 */     // MIs[0] policy
     /* 1868793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1868820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868845 */     // GIR_Coverage, 13025,
     /* 1868845 */     GIR_EraseRootFromParent_Done,
     /* 1868846 */   // Label 23568: @1868846
     /* 1868846 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1868950), // Rule ID 13028 //
     /* 1868851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1868868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868897 */     // MIs[0] policy
     /* 1868897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868907 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1868911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1868917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1868921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1868924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1868928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1868938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868949 */     // GIR_Coverage, 13028,
     /* 1868949 */     GIR_EraseRootFromParent_Done,
     /* 1868950 */   // Label 23569: @1868950
     /* 1868950 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1869054), // Rule ID 13029 //
     /* 1868955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1868963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1868972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1868993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869001 */     // MIs[0] policy
     /* 1869001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1869028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869053 */     // GIR_Coverage, 13029,
     /* 1869053 */     GIR_EraseRootFromParent_Done,
     /* 1869054 */   // Label 23570: @1869054
     /* 1869054 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1869158), // Rule ID 13032 //
     /* 1869059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1869076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1869079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869105 */     // MIs[0] policy
     /* 1869105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1869132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869157 */     // GIR_Coverage, 13032,
     /* 1869157 */     GIR_EraseRootFromParent_Done,
     /* 1869158 */   // Label 23571: @1869158
     /* 1869158 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1869262), // Rule ID 13033 //
     /* 1869163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1869174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1869177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1869180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1869183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869209 */     // MIs[0] policy
     /* 1869209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1869236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869261 */     // GIR_Coverage, 13033,
     /* 1869261 */     GIR_EraseRootFromParent_Done,
     /* 1869262 */   // Label 23572: @1869262
     /* 1869262 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1869366), // Rule ID 13036 //
     /* 1869267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1869284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869313 */     // MIs[0] policy
     /* 1869313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1869340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869365 */     // GIR_Coverage, 13036,
     /* 1869365 */     GIR_EraseRootFromParent_Done,
     /* 1869366 */   // Label 23573: @1869366
     /* 1869366 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1869470), // Rule ID 13037 //
     /* 1869371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1869382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1869385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1869388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1869391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869417 */     // MIs[0] policy
     /* 1869417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869427 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1869444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869469 */     // GIR_Coverage, 13037,
     /* 1869469 */     GIR_EraseRootFromParent_Done,
     /* 1869470 */   // Label 23574: @1869470
     /* 1869470 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1869574), // Rule ID 13040 //
     /* 1869475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1869492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1869495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869521 */     // MIs[0] policy
     /* 1869521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1869548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869573 */     // GIR_Coverage, 13040,
     /* 1869573 */     GIR_EraseRootFromParent_Done,
     /* 1869574 */   // Label 23575: @1869574
     /* 1869574 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1869678), // Rule ID 13041 //
     /* 1869579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1869590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1869593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1869596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1869599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1869602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869625 */     // MIs[0] policy
     /* 1869625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869635 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11041:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1869652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869677 */     // GIR_Coverage, 13041,
     /* 1869677 */     GIR_EraseRootFromParent_Done,
     /* 1869678 */   // Label 23576: @1869678
     /* 1869678 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1869782), // Rule ID 13044 //
     /* 1869683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1869700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869729 */     // MIs[0] policy
     /* 1869729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869739 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1869756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869781 */     // GIR_Coverage, 13044,
     /* 1869781 */     GIR_EraseRootFromParent_Done,
     /* 1869782 */   // Label 23577: @1869782
     /* 1869782 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1869886), // Rule ID 13045 //
     /* 1869787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1869804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869833 */     // MIs[0] policy
     /* 1869833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869843 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11041:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1869860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869885 */     // GIR_Coverage, 13045,
     /* 1869885 */     GIR_EraseRootFromParent_Done,
     /* 1869886 */   // Label 23578: @1869886
     /* 1869886 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1869990), // Rule ID 13048 //
     /* 1869891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1869899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1869908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1869911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1869929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869937 */     // MIs[0] policy
     /* 1869937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1869951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1869957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1869961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1869964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1869968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1869978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869989 */     // GIR_Coverage, 13048,
     /* 1869989 */     GIR_EraseRootFromParent_Done,
     /* 1869990 */   // Label 23579: @1869990
     /* 1869990 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1870094), // Rule ID 13049 //
     /* 1869995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1870006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1870009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1870012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1870015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1870018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870041 */     // MIs[0] policy
     /* 1870041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11041:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1870068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870093 */     // GIR_Coverage, 13049,
     /* 1870093 */     GIR_EraseRootFromParent_Done,
     /* 1870094 */   // Label 23580: @1870094
     /* 1870094 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1870198), // Rule ID 13052 //
     /* 1870099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1870102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1870116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1870119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870145 */     // MIs[0] policy
     /* 1870145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1870172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870197 */     // GIR_Coverage, 13052,
     /* 1870197 */     GIR_EraseRootFromParent_Done,
     /* 1870198 */   // Label 23581: @1870198
     /* 1870198 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1870302), // Rule ID 13053 //
     /* 1870203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1870206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1870214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1870217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1870220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1870223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1870226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1870233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1870245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870249 */     // MIs[0] policy
     /* 1870249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870259 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11041:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1870276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1870298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870301 */     // GIR_Coverage, 13053,
     /* 1870301 */     GIR_EraseRootFromParent_Done,
     /* 1870302 */   // Label 23582: @1870302
     /* 1870302 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1870406), // Rule ID 13056 //
     /* 1870307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1870324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1870327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870353 */     // MIs[0] policy
     /* 1870353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1870380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870405 */     // GIR_Coverage, 13056,
     /* 1870405 */     GIR_EraseRootFromParent_Done,
     /* 1870406 */   // Label 23583: @1870406
     /* 1870406 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1870510), // Rule ID 13057 //
     /* 1870411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1870422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1870425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1870428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1870431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870457 */     // MIs[0] policy
     /* 1870457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870467 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1870484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870509 */     // GIR_Coverage, 13057,
     /* 1870509 */     GIR_EraseRootFromParent_Done,
     /* 1870510 */   // Label 23584: @1870510
     /* 1870510 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1870614), // Rule ID 13060 //
     /* 1870515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1870532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870561 */     // MIs[0] policy
     /* 1870561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870571 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1870588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870613 */     // GIR_Coverage, 13060,
     /* 1870613 */     GIR_EraseRootFromParent_Done,
     /* 1870614 */   // Label 23585: @1870614
     /* 1870614 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1870718), // Rule ID 13061 //
     /* 1870619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1870630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1870633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1870636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1870639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870665 */     // MIs[0] policy
     /* 1870665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870675 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1870692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870717 */     // GIR_Coverage, 13061,
     /* 1870717 */     GIR_EraseRootFromParent_Done,
     /* 1870718 */   // Label 23586: @1870718
     /* 1870718 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1870822), // Rule ID 13064 //
     /* 1870723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1870740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1870743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870769 */     // MIs[0] policy
     /* 1870769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1870796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870821 */     // GIR_Coverage, 13064,
     /* 1870821 */     GIR_EraseRootFromParent_Done,
     /* 1870822 */   // Label 23587: @1870822
     /* 1870822 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1870926), // Rule ID 13065 //
     /* 1870827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1870844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1870847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870873 */     // MIs[0] policy
     /* 1870873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870883 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1870897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1870900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1870904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1870914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870925 */     // GIR_Coverage, 13065,
     /* 1870925 */     GIR_EraseRootFromParent_Done,
     /* 1870926 */   // Label 23588: @1870926
     /* 1870926 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1871030), // Rule ID 13068 //
     /* 1870931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1870939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1870948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1870951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1870969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870977 */     // MIs[0] policy
     /* 1870977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870987 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1870991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1870997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1871004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871029 */     // GIR_Coverage, 13068,
     /* 1871029 */     GIR_EraseRootFromParent_Done,
     /* 1871030 */   // Label 23589: @1871030
     /* 1871030 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1871134), // Rule ID 13069 //
     /* 1871035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1871046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1871049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1871052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1871055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871081 */     // MIs[0] policy
     /* 1871081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871091 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1871108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871133 */     // GIR_Coverage, 13069,
     /* 1871133 */     GIR_EraseRootFromParent_Done,
     /* 1871134 */   // Label 23590: @1871134
     /* 1871134 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1871238), // Rule ID 13072 //
     /* 1871139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1871156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1871159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871185 */     // MIs[0] policy
     /* 1871185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871195 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1871212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871237 */     // GIR_Coverage, 13072,
     /* 1871237 */     GIR_EraseRootFromParent_Done,
     /* 1871238 */   // Label 23591: @1871238
     /* 1871238 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1871342), // Rule ID 13073 //
     /* 1871243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1871254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1871257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1871260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1871263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871289 */     // MIs[0] policy
     /* 1871289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871299 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1871316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871341 */     // GIR_Coverage, 13073,
     /* 1871341 */     GIR_EraseRootFromParent_Done,
     /* 1871342 */   // Label 23592: @1871342
     /* 1871342 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1871446), // Rule ID 13076 //
     /* 1871347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1871364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1871367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871393 */     // MIs[0] policy
     /* 1871393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1871420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871445 */     // GIR_Coverage, 13076,
     /* 1871445 */     GIR_EraseRootFromParent_Done,
     /* 1871446 */   // Label 23593: @1871446
     /* 1871446 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1871550), // Rule ID 13077 //
     /* 1871451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1871462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1871465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1871468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1871471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1871474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871497 */     // MIs[0] policy
     /* 1871497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1871524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1871546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871549 */     // GIR_Coverage, 13077,
     /* 1871549 */     GIR_EraseRootFromParent_Done,
     /* 1871550 */   // Label 23594: @1871550
     /* 1871550 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1871654), // Rule ID 13080 //
     /* 1871555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1871572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1871575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871601 */     // MIs[0] policy
     /* 1871601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871611 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1871628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871653 */     // GIR_Coverage, 13080,
     /* 1871653 */     GIR_EraseRootFromParent_Done,
     /* 1871654 */   // Label 23595: @1871654
     /* 1871654 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1871758), // Rule ID 13081 //
     /* 1871659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1871670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1871673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1871676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1871679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871705 */     // MIs[0] policy
     /* 1871705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871715 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1871732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871757 */     // GIR_Coverage, 13081,
     /* 1871757 */     GIR_EraseRootFromParent_Done,
     /* 1871758 */   // Label 23596: @1871758
     /* 1871758 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1871862), // Rule ID 13084 //
     /* 1871763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1871780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871809 */     // MIs[0] policy
     /* 1871809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1871836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871861 */     // GIR_Coverage, 13084,
     /* 1871861 */     GIR_EraseRootFromParent_Done,
     /* 1871862 */   // Label 23597: @1871862
     /* 1871862 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1871966), // Rule ID 13085 //
     /* 1871867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1871878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1871881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1871884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1871887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871913 */     // MIs[0] policy
     /* 1871913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1871927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1871933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1871937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1871940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1871944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1871954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871965 */     // GIR_Coverage, 13085,
     /* 1871965 */     GIR_EraseRootFromParent_Done,
     /* 1871966 */   // Label 23598: @1871966
     /* 1871966 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1872070), // Rule ID 13088 //
     /* 1871971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1871979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1871988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1871991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872017 */     // MIs[0] policy
     /* 1872017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872027 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1872044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872069 */     // GIR_Coverage, 13088,
     /* 1872069 */     GIR_EraseRootFromParent_Done,
     /* 1872070 */   // Label 23599: @1872070
     /* 1872070 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1872174), // Rule ID 13089 //
     /* 1872075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1872086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1872089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1872092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1872095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1872098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872121 */     // MIs[0] policy
     /* 1872121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872131 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1872148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872173 */     // GIR_Coverage, 13089,
     /* 1872173 */     GIR_EraseRootFromParent_Done,
     /* 1872174 */   // Label 23600: @1872174
     /* 1872174 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1872278), // Rule ID 13092 //
     /* 1872179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1872196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1872199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872225 */     // MIs[0] policy
     /* 1872225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1872252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872277 */     // GIR_Coverage, 13092,
     /* 1872277 */     GIR_EraseRootFromParent_Done,
     /* 1872278 */   // Label 23601: @1872278
     /* 1872278 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1872382), // Rule ID 13093 //
     /* 1872283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1872294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1872297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1872300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1872303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1872313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1872325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872329 */     // MIs[0] policy
     /* 1872329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872339 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11041:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1872356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872381 */     // GIR_Coverage, 13093,
     /* 1872381 */     GIR_EraseRootFromParent_Done,
     /* 1872382 */   // Label 23602: @1872382
     /* 1872382 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1872486), // Rule ID 13096 //
     /* 1872387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1872404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1872407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872433 */     // MIs[0] policy
     /* 1872433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872443 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1872460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872485 */     // GIR_Coverage, 13096,
     /* 1872485 */     GIR_EraseRootFromParent_Done,
     /* 1872486 */   // Label 23603: @1872486
     /* 1872486 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1872590), // Rule ID 13097 //
     /* 1872491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1872502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1872505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1872508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1872511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1872521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1872533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872537 */     // MIs[0] policy
     /* 1872537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11041:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1872564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872589 */     // GIR_Coverage, 13097,
     /* 1872589 */     GIR_EraseRootFromParent_Done,
     /* 1872590 */   // Label 23604: @1872590
     /* 1872590 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1872694), // Rule ID 13100 //
     /* 1872595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1872598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1872612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1872615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872641 */     // MIs[0] policy
     /* 1872641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1872668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872693 */     // GIR_Coverage, 13100,
     /* 1872693 */     GIR_EraseRootFromParent_Done,
     /* 1872694 */   // Label 23605: @1872694
     /* 1872694 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1872798), // Rule ID 13101 //
     /* 1872699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1872702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1872707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1872710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1872713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1872716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1872719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1872729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1872741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872745 */     // MIs[0] policy
     /* 1872745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872755 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11041:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1872772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1872794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872797 */     // GIR_Coverage, 13101,
     /* 1872797 */     GIR_EraseRootFromParent_Done,
     /* 1872798 */   // Label 23606: @1872798
     /* 1872798 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1872902), // Rule ID 13104 //
     /* 1872803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1872811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872849 */     // MIs[0] policy
     /* 1872849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1872876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872901 */     // GIR_Coverage, 13104,
     /* 1872901 */     GIR_EraseRootFromParent_Done,
     /* 1872902 */   // Label 23607: @1872902
     /* 1872902 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1873006), // Rule ID 13105 //
     /* 1872907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1872915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1872918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1872921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1872924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1872927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872953 */     // MIs[0] policy
     /* 1872953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872963 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1872967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1872973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1872977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1872980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1872984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1872994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873005 */     // GIR_Coverage, 13105,
     /* 1873005 */     GIR_EraseRootFromParent_Done,
     /* 1873006 */   // Label 23608: @1873006
     /* 1873006 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1873110), // Rule ID 13108 //
     /* 1873011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1873022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1873025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1873028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1873031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873057 */     // MIs[0] policy
     /* 1873057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1873084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873109 */     // GIR_Coverage, 13108,
     /* 1873109 */     GIR_EraseRootFromParent_Done,
     /* 1873110 */   // Label 23609: @1873110
     /* 1873110 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1873214), // Rule ID 13109 //
     /* 1873115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1873126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1873129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1873132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1873135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873161 */     // MIs[0] policy
     /* 1873161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873171 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1873188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873213 */     // GIR_Coverage, 13109,
     /* 1873213 */     GIR_EraseRootFromParent_Done,
     /* 1873214 */   // Label 23610: @1873214
     /* 1873214 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1873318), // Rule ID 13112 //
     /* 1873219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1873230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1873233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1873236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1873239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873265 */     // MIs[0] policy
     /* 1873265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873275 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1873292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873317 */     // GIR_Coverage, 13112,
     /* 1873317 */     GIR_EraseRootFromParent_Done,
     /* 1873318 */   // Label 23611: @1873318
     /* 1873318 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1873422), // Rule ID 13113 //
     /* 1873323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1873334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1873337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1873340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1873343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873369 */     // MIs[0] policy
     /* 1873369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873379 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1873396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873421 */     // GIR_Coverage, 13113,
     /* 1873421 */     GIR_EraseRootFromParent_Done,
     /* 1873422 */   // Label 23612: @1873422
     /* 1873422 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1873526), // Rule ID 13116 //
     /* 1873427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873473 */     // MIs[0] policy
     /* 1873473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1873500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873525 */     // GIR_Coverage, 13116,
     /* 1873525 */     GIR_EraseRootFromParent_Done,
     /* 1873526 */   // Label 23613: @1873526
     /* 1873526 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1873630), // Rule ID 13117 //
     /* 1873531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1873542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1873545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1873548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1873551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873577 */     // MIs[0] policy
     /* 1873577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873587 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1873604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873629 */     // GIR_Coverage, 13117,
     /* 1873629 */     GIR_EraseRootFromParent_Done,
     /* 1873630 */   // Label 23614: @1873630
     /* 1873630 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1873734), // Rule ID 13120 //
     /* 1873635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873681 */     // MIs[0] policy
     /* 1873681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1873708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873733 */     // GIR_Coverage, 13120,
     /* 1873733 */     GIR_EraseRootFromParent_Done,
     /* 1873734 */   // Label 23615: @1873734
     /* 1873734 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1873838), // Rule ID 13121 //
     /* 1873739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1873750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1873753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1873756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1873759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873785 */     // MIs[0] policy
     /* 1873785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873795 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1873812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873837 */     // GIR_Coverage, 13121,
     /* 1873837 */     GIR_EraseRootFromParent_Done,
     /* 1873838 */   // Label 23616: @1873838
     /* 1873838 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1873942), // Rule ID 13124 //
     /* 1873843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873889 */     // MIs[0] policy
     /* 1873889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1873903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1873909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1873913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1873916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1873920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1873930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873941 */     // GIR_Coverage, 13124,
     /* 1873941 */     GIR_EraseRootFromParent_Done,
     /* 1873942 */   // Label 23617: @1873942
     /* 1873942 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1874046), // Rule ID 13125 //
     /* 1873947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1873955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1873958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1873961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1873964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1873967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873993 */     // MIs[0] policy
     /* 1873993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1874020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874045 */     // GIR_Coverage, 13125,
     /* 1874045 */     GIR_EraseRootFromParent_Done,
     /* 1874046 */   // Label 23618: @1874046
     /* 1874046 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1874150), // Rule ID 13128 //
     /* 1874051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1874062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1874065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1874068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1874071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874097 */     // MIs[0] policy
     /* 1874097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874107 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874149 */     // GIR_Coverage, 13128,
     /* 1874149 */     GIR_EraseRootFromParent_Done,
     /* 1874150 */   // Label 23619: @1874150
     /* 1874150 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1874254), // Rule ID 13129 //
     /* 1874155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1874166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1874169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1874172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1874175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874201 */     // MIs[0] policy
     /* 1874201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874211 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874253 */     // GIR_Coverage, 13129,
     /* 1874253 */     GIR_EraseRootFromParent_Done,
     /* 1874254 */   // Label 23620: @1874254
     /* 1874254 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1874358), // Rule ID 13132 //
     /* 1874259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1874270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1874273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1874276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1874279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874305 */     // MIs[0] policy
     /* 1874305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874357 */     // GIR_Coverage, 13132,
     /* 1874357 */     GIR_EraseRootFromParent_Done,
     /* 1874358 */   // Label 23621: @1874358
     /* 1874358 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1874462), // Rule ID 13133 //
     /* 1874363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1874374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1874377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1874380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1874383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874409 */     // MIs[0] policy
     /* 1874409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874461 */     // GIR_Coverage, 13133,
     /* 1874461 */     GIR_EraseRootFromParent_Done,
     /* 1874462 */   // Label 23622: @1874462
     /* 1874462 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1874566), // Rule ID 13136 //
     /* 1874467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1874487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874513 */     // MIs[0] policy
     /* 1874513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874523 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874565 */     // GIR_Coverage, 13136,
     /* 1874565 */     GIR_EraseRootFromParent_Done,
     /* 1874566 */   // Label 23623: @1874566
     /* 1874566 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1874670), // Rule ID 13137 //
     /* 1874571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1874582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1874585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1874588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1874591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1874594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874617 */     // MIs[0] policy
     /* 1874617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874627 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874669 */     // GIR_Coverage, 13137,
     /* 1874669 */     GIR_EraseRootFromParent_Done,
     /* 1874670 */   // Label 23624: @1874670
     /* 1874670 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1874774), // Rule ID 13140 //
     /* 1874675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1874678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874721 */     // MIs[0] policy
     /* 1874721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874731 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874773 */     // GIR_Coverage, 13140,
     /* 1874773 */     GIR_EraseRootFromParent_Done,
     /* 1874774 */   // Label 23625: @1874774
     /* 1874774 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1874878), // Rule ID 13141 //
     /* 1874779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1874782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1874790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1874793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1874796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1874799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1874802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1874809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1874821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874825 */     // MIs[0] policy
     /* 1874825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874835 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1874852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1874874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874877 */     // GIR_Coverage, 13141,
     /* 1874877 */     GIR_EraseRootFromParent_Done,
     /* 1874878 */   // Label 23626: @1874878
     /* 1874878 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1874982), // Rule ID 13144 //
     /* 1874883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1874897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1874900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1874903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874929 */     // MIs[0] policy
     /* 1874929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874939 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1874943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1874949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1874953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1874956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1874960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1874970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874981 */     // GIR_Coverage, 13144,
     /* 1874981 */     GIR_EraseRootFromParent_Done,
     /* 1874982 */   // Label 23627: @1874982
     /* 1874982 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1875086), // Rule ID 13145 //
     /* 1874987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1874995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1874998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1875001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1875004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1875007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875033 */     // MIs[0] policy
     /* 1875033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875043 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1875060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875085 */     // GIR_Coverage, 13145,
     /* 1875085 */     GIR_EraseRootFromParent_Done,
     /* 1875086 */   // Label 23628: @1875086
     /* 1875086 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1875190), // Rule ID 13148 //
     /* 1875091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1875102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1875105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1875108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1875111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875137 */     // MIs[0] policy
     /* 1875137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875147 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1875164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875189 */     // GIR_Coverage, 13148,
     /* 1875189 */     GIR_EraseRootFromParent_Done,
     /* 1875190 */   // Label 23629: @1875190
     /* 1875190 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1875294), // Rule ID 13149 //
     /* 1875195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1875206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1875209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1875212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1875215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875241 */     // MIs[0] policy
     /* 1875241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875251 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1875268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875293 */     // GIR_Coverage, 13149,
     /* 1875293 */     GIR_EraseRootFromParent_Done,
     /* 1875294 */   // Label 23630: @1875294
     /* 1875294 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1875398), // Rule ID 13152 //
     /* 1875299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1875310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1875313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1875316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1875319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1875322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875345 */     // MIs[0] policy
     /* 1875345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875355 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1875372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875397 */     // GIR_Coverage, 13152,
     /* 1875397 */     GIR_EraseRootFromParent_Done,
     /* 1875398 */   // Label 23631: @1875398
     /* 1875398 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1875502), // Rule ID 13153 //
     /* 1875403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1875414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1875417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1875420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1875423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1875426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875449 */     // MIs[0] policy
     /* 1875449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875459 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1875476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875501 */     // GIR_Coverage, 13153,
     /* 1875501 */     GIR_EraseRootFromParent_Done,
     /* 1875502 */   // Label 23632: @1875502
     /* 1875502 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1875606), // Rule ID 13156 //
     /* 1875507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1875518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1875521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1875524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1875527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875553 */     // MIs[0] policy
     /* 1875553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875563 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1875580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875605 */     // GIR_Coverage, 13156,
     /* 1875605 */     GIR_EraseRootFromParent_Done,
     /* 1875606 */   // Label 23633: @1875606
     /* 1875606 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1875710), // Rule ID 13157 //
     /* 1875611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1875622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1875625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1875628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1875631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875657 */     // MIs[0] policy
     /* 1875657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875667 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1875684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875709 */     // GIR_Coverage, 13157,
     /* 1875709 */     GIR_EraseRootFromParent_Done,
     /* 1875710 */   // Label 23634: @1875710
     /* 1875710 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1875814), // Rule ID 13160 //
     /* 1875715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875761 */     // MIs[0] policy
     /* 1875761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875771 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1875788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875813 */     // GIR_Coverage, 13160,
     /* 1875813 */     GIR_EraseRootFromParent_Done,
     /* 1875814 */   // Label 23635: @1875814
     /* 1875814 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1875918), // Rule ID 13161 //
     /* 1875819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1875830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1875833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1875836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1875839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875865 */     // MIs[0] policy
     /* 1875865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875875 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1875892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1875896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1875906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1875914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875917 */     // GIR_Coverage, 13161,
     /* 1875917 */     GIR_EraseRootFromParent_Done,
     /* 1875918 */   // Label 23636: @1875918
     /* 1875918 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1876022), // Rule ID 13164 //
     /* 1875923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1875931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1875934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1875937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1875940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1875943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1875946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875969 */     // MIs[0] policy
     /* 1875969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1875983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1875989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1875993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1875996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876021 */     // GIR_Coverage, 13164,
     /* 1876021 */     GIR_EraseRootFromParent_Done,
     /* 1876022 */   // Label 23637: @1876022
     /* 1876022 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1876126), // Rule ID 13165 //
     /* 1876027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1876038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1876041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1876044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1876047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1876050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876073 */     // MIs[0] policy
     /* 1876073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876083 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1876100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876125 */     // GIR_Coverage, 13165,
     /* 1876125 */     GIR_EraseRootFromParent_Done,
     /* 1876126 */   // Label 23638: @1876126
     /* 1876126 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1876230), // Rule ID 13168 //
     /* 1876131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1876142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1876145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1876148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1876151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876177 */     // MIs[0] policy
     /* 1876177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876187 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1876204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876229 */     // GIR_Coverage, 13168,
     /* 1876229 */     GIR_EraseRootFromParent_Done,
     /* 1876230 */   // Label 23639: @1876230
     /* 1876230 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1876334), // Rule ID 13169 //
     /* 1876235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1876246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1876249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1876252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1876255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876281 */     // MIs[0] policy
     /* 1876281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876291 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1876308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876333 */     // GIR_Coverage, 13169,
     /* 1876333 */     GIR_EraseRootFromParent_Done,
     /* 1876334 */   // Label 23640: @1876334
     /* 1876334 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1876438), // Rule ID 13172 //
     /* 1876339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1876350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1876353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1876356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1876359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876385 */     // MIs[0] policy
     /* 1876385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876395 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1876412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876437 */     // GIR_Coverage, 13172,
     /* 1876437 */     GIR_EraseRootFromParent_Done,
     /* 1876438 */   // Label 23641: @1876438
     /* 1876438 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1876542), // Rule ID 13173 //
     /* 1876443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1876454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1876457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1876460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1876463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876489 */     // MIs[0] policy
     /* 1876489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1876516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876541 */     // GIR_Coverage, 13173,
     /* 1876541 */     GIR_EraseRootFromParent_Done,
     /* 1876542 */   // Label 23642: @1876542
     /* 1876542 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1876646), // Rule ID 13176 //
     /* 1876547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1876558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1876561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1876564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1876567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876593 */     // MIs[0] policy
     /* 1876593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876603 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1876620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876645 */     // GIR_Coverage, 13176,
     /* 1876645 */     GIR_EraseRootFromParent_Done,
     /* 1876646 */   // Label 23643: @1876646
     /* 1876646 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1876750), // Rule ID 13177 //
     /* 1876651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1876662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1876665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1876668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1876671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1876674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1876681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1876693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876697 */     // MIs[0] policy
     /* 1876697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876707 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1876724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876749 */     // GIR_Coverage, 13177,
     /* 1876749 */     GIR_EraseRootFromParent_Done,
     /* 1876750 */   // Label 23644: @1876750
     /* 1876750 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1876854), // Rule ID 13180 //
     /* 1876755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1876775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876801 */     // MIs[0] policy
     /* 1876801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876811 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1876828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876853 */     // GIR_Coverage, 13180,
     /* 1876853 */     GIR_EraseRootFromParent_Done,
     /* 1876854 */   // Label 23645: @1876854
     /* 1876854 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1876958), // Rule ID 13181 //
     /* 1876859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1876862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1876870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1876873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1876876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1876879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1876889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1876901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876905 */     // MIs[0] policy
     /* 1876905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876915 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1876919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1876925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1876929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1876932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1876936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1876946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1876954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876957 */     // GIR_Coverage, 13181,
     /* 1876957 */     GIR_EraseRootFromParent_Done,
     /* 1876958 */   // Label 23646: @1876958
     /* 1876958 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1877062), // Rule ID 13184 //
     /* 1876963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1876966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1876971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1876974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1876977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1876980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1876983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1876993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1876997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877009 */     // MIs[0] policy
     /* 1877009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1877036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877061 */     // GIR_Coverage, 13184,
     /* 1877061 */     GIR_EraseRootFromParent_Done,
     /* 1877062 */   // Label 23647: @1877062
     /* 1877062 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1877166), // Rule ID 13185 //
     /* 1877067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1877078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1877081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1877084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1877087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877113 */     // MIs[0] policy
     /* 1877113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877123 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1877140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877165 */     // GIR_Coverage, 13185,
     /* 1877165 */     GIR_EraseRootFromParent_Done,
     /* 1877166 */   // Label 23648: @1877166
     /* 1877166 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1877270), // Rule ID 13188 //
     /* 1877171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1877182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1877185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1877188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1877191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877217 */     // MIs[0] policy
     /* 1877217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877227 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1877244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877269 */     // GIR_Coverage, 13188,
     /* 1877269 */     GIR_EraseRootFromParent_Done,
     /* 1877270 */   // Label 23649: @1877270
     /* 1877270 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1877374), // Rule ID 13189 //
     /* 1877275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1877286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1877289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1877292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1877295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877321 */     // MIs[0] policy
     /* 1877321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877331 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1877348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877373 */     // GIR_Coverage, 13189,
     /* 1877373 */     GIR_EraseRootFromParent_Done,
     /* 1877374 */   // Label 23650: @1877374
     /* 1877374 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1877478), // Rule ID 13192 //
     /* 1877379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1877390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1877393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1877396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1877399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877425 */     // MIs[0] policy
     /* 1877425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877435 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1877452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877477 */     // GIR_Coverage, 13192,
     /* 1877477 */     GIR_EraseRootFromParent_Done,
     /* 1877478 */   // Label 23651: @1877478
     /* 1877478 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1877582), // Rule ID 13193 //
     /* 1877483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1877494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1877497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1877500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1877503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877529 */     // MIs[0] policy
     /* 1877529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877539 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1877556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877581 */     // GIR_Coverage, 13193,
     /* 1877581 */     GIR_EraseRootFromParent_Done,
     /* 1877582 */   // Label 23652: @1877582
     /* 1877582 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1877686), // Rule ID 13196 //
     /* 1877587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1877598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1877601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1877604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1877607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877633 */     // MIs[0] policy
     /* 1877633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877643 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1877660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877685 */     // GIR_Coverage, 13196,
     /* 1877685 */     GIR_EraseRootFromParent_Done,
     /* 1877686 */   // Label 23653: @1877686
     /* 1877686 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1877790), // Rule ID 13197 //
     /* 1877691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1877702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1877705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1877708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1877711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877737 */     // MIs[0] policy
     /* 1877737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877747 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1877764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877789 */     // GIR_Coverage, 13197,
     /* 1877789 */     GIR_EraseRootFromParent_Done,
     /* 1877790 */   // Label 23654: @1877790
     /* 1877790 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1877894), // Rule ID 13200 //
     /* 1877795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1877806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1877809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1877812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1877815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877841 */     // MIs[0] policy
     /* 1877841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877851 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1877868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877893 */     // GIR_Coverage, 13200,
     /* 1877893 */     GIR_EraseRootFromParent_Done,
     /* 1877894 */   // Label 23655: @1877894
     /* 1877894 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1877998), // Rule ID 13201 //
     /* 1877899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1877907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1877910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1877913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1877916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1877919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1877922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1877937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877945 */     // MIs[0] policy
     /* 1877945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1877959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1877965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1877969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1877972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1877976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1877986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877997 */     // GIR_Coverage, 13201,
     /* 1877997 */     GIR_EraseRootFromParent_Done,
     /* 1877998 */   // Label 23656: @1877998
     /* 1877998 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1878102), // Rule ID 13204 //
     /* 1878003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1878014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1878017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1878020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1878023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878049 */     // MIs[0] policy
     /* 1878049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878059 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1878076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878101 */     // GIR_Coverage, 13204,
     /* 1878101 */     GIR_EraseRootFromParent_Done,
     /* 1878102 */   // Label 23657: @1878102
     /* 1878102 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1878206), // Rule ID 13205 //
     /* 1878107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1878118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1878121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1878124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1878127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878153 */     // MIs[0] policy
     /* 1878153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1878180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878205 */     // GIR_Coverage, 13205,
     /* 1878205 */     GIR_EraseRootFromParent_Done,
     /* 1878206 */   // Label 23658: @1878206
     /* 1878206 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1878310), // Rule ID 13208 //
     /* 1878211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1878222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1878225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1878228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1878231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878257 */     // MIs[0] policy
     /* 1878257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878267 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1878284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878309 */     // GIR_Coverage, 13208,
     /* 1878309 */     GIR_EraseRootFromParent_Done,
     /* 1878310 */   // Label 23659: @1878310
     /* 1878310 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1878414), // Rule ID 13209 //
     /* 1878315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1878326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1878329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1878332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1878335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1878338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878361 */     // MIs[0] policy
     /* 1878361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878371 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1878388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878413 */     // GIR_Coverage, 13209,
     /* 1878413 */     GIR_EraseRootFromParent_Done,
     /* 1878414 */   // Label 23660: @1878414
     /* 1878414 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1878518), // Rule ID 13212 //
     /* 1878419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1878430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1878433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1878436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1878439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878465 */     // MIs[0] policy
     /* 1878465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878475 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1878492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878517 */     // GIR_Coverage, 13212,
     /* 1878517 */     GIR_EraseRootFromParent_Done,
     /* 1878518 */   // Label 23661: @1878518
     /* 1878518 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1878622), // Rule ID 13213 //
     /* 1878523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1878534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1878537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1878540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1878543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1878546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878569 */     // MIs[0] policy
     /* 1878569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1878596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878621 */     // GIR_Coverage, 13213,
     /* 1878621 */     GIR_EraseRootFromParent_Done,
     /* 1878622 */   // Label 23662: @1878622
     /* 1878622 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1878726), // Rule ID 13216 //
     /* 1878627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1878638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1878641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1878644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1878647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878673 */     // MIs[0] policy
     /* 1878673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878683 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1878700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878725 */     // GIR_Coverage, 13216,
     /* 1878725 */     GIR_EraseRootFromParent_Done,
     /* 1878726 */   // Label 23663: @1878726
     /* 1878726 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1878830), // Rule ID 13217 //
     /* 1878731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1878742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1878745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1878748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1878751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878777 */     // MIs[0] policy
     /* 1878777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11122:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1878804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1878826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878829 */     // GIR_Coverage, 13217,
     /* 1878829 */     GIR_EraseRootFromParent_Done,
     /* 1878830 */   // Label 23664: @1878830
     /* 1878830 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1878934), // Rule ID 13220 //
     /* 1878835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1878846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1878849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1878852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1878855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878881 */     // MIs[0] policy
     /* 1878881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1878901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1878905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1878908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1878912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1878922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878933 */     // GIR_Coverage, 13220,
     /* 1878933 */     GIR_EraseRootFromParent_Done,
     /* 1878934 */   // Label 23665: @1878934
     /* 1878934 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1879038), // Rule ID 13221 //
     /* 1878939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1878947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1878950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1878953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1878956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1878959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1878969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1878977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1878981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878985 */     // MIs[0] policy
     /* 1878985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11122:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1878999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1879012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1879034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879037 */     // GIR_Coverage, 13221,
     /* 1879037 */     GIR_EraseRootFromParent_Done,
     /* 1879038 */   // Label 23666: @1879038
     /* 1879038 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1879142), // Rule ID 13224 //
     /* 1879043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1879054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1879057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1879060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1879063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879089 */     // MIs[0] policy
     /* 1879089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879099 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1879116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879141 */     // GIR_Coverage, 13224,
     /* 1879141 */     GIR_EraseRootFromParent_Done,
     /* 1879142 */   // Label 23667: @1879142
     /* 1879142 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1879246), // Rule ID 13225 //
     /* 1879147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1879158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1879161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1879164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1879167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879193 */     // MIs[0] policy
     /* 1879193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11122:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1879220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1879242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879245 */     // GIR_Coverage, 13225,
     /* 1879245 */     GIR_EraseRootFromParent_Done,
     /* 1879246 */   // Label 23668: @1879246
     /* 1879246 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1879350), // Rule ID 13228 //
     /* 1879251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1879262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1879265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1879268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1879271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879297 */     // MIs[0] policy
     /* 1879297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1879324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879349 */     // GIR_Coverage, 13228,
     /* 1879349 */     GIR_EraseRootFromParent_Done,
     /* 1879350 */   // Label 23669: @1879350
     /* 1879350 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1879454), // Rule ID 13229 //
     /* 1879355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1879366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1879369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1879372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1879375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879401 */     // MIs[0] policy
     /* 1879401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11122:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1879428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879453 */     // GIR_Coverage, 13229,
     /* 1879453 */     GIR_EraseRootFromParent_Done,
     /* 1879454 */   // Label 23670: @1879454
     /* 1879454 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1879558), // Rule ID 13232 //
     /* 1879459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1879470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1879473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1879476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1879479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879505 */     // MIs[0] policy
     /* 1879505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879515 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1879532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879557 */     // GIR_Coverage, 13232,
     /* 1879557 */     GIR_EraseRootFromParent_Done,
     /* 1879558 */   // Label 23671: @1879558
     /* 1879558 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1879662), // Rule ID 13233 //
     /* 1879563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1879574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1879577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1879580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1879583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1879586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879609 */     // MIs[0] policy
     /* 1879609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1879636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879661 */     // GIR_Coverage, 13233,
     /* 1879661 */     GIR_EraseRootFromParent_Done,
     /* 1879662 */   // Label 23672: @1879662
     /* 1879662 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1879766), // Rule ID 13236 //
     /* 1879667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1879678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1879681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1879684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1879687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879713 */     // MIs[0] policy
     /* 1879713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879723 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1879740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879765 */     // GIR_Coverage, 13236,
     /* 1879765 */     GIR_EraseRootFromParent_Done,
     /* 1879766 */   // Label 23673: @1879766
     /* 1879766 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1879870), // Rule ID 13237 //
     /* 1879771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1879782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1879785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1879788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1879791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1879794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879817 */     // MIs[0] policy
     /* 1879817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879827 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1879844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879869 */     // GIR_Coverage, 13237,
     /* 1879869 */     GIR_EraseRootFromParent_Done,
     /* 1879870 */   // Label 23674: @1879870
     /* 1879870 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1879974), // Rule ID 13240 //
     /* 1879875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1879886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1879889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1879892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1879895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1879898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879921 */     // MIs[0] policy
     /* 1879921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879931 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1879935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1879941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1879945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1879948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1879952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1879962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879973 */     // GIR_Coverage, 13240,
     /* 1879973 */     GIR_EraseRootFromParent_Done,
     /* 1879974 */   // Label 23675: @1879974
     /* 1879974 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1880078), // Rule ID 13241 //
     /* 1879979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1879987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1879990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1879993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1879996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1879999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1880002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880025 */     // MIs[0] policy
     /* 1880025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880035 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1880052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880077 */     // GIR_Coverage, 13241,
     /* 1880077 */     GIR_EraseRootFromParent_Done,
     /* 1880078 */   // Label 23676: @1880078
     /* 1880078 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1880182), // Rule ID 13244 //
     /* 1880083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1880094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1880097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1880100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1880103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880129 */     // MIs[0] policy
     /* 1880129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1880156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880181 */     // GIR_Coverage, 13244,
     /* 1880181 */     GIR_EraseRootFromParent_Done,
     /* 1880182 */   // Label 23677: @1880182
     /* 1880182 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1880286), // Rule ID 13245 //
     /* 1880187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1880198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1880201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1880204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1880207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880233 */     // MIs[0] policy
     /* 1880233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880243 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1880260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880285 */     // GIR_Coverage, 13245,
     /* 1880285 */     GIR_EraseRootFromParent_Done,
     /* 1880286 */   // Label 23678: @1880286
     /* 1880286 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1880390), // Rule ID 13248 //
     /* 1880291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1880302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1880305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1880308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1880311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880337 */     // MIs[0] policy
     /* 1880337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1880364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880389 */     // GIR_Coverage, 13248,
     /* 1880389 */     GIR_EraseRootFromParent_Done,
     /* 1880390 */   // Label 23679: @1880390
     /* 1880390 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1880494), // Rule ID 13249 //
     /* 1880395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1880406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1880409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1880412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1880415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1880418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880441 */     // MIs[0] policy
     /* 1880441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880451 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1880468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880493 */     // GIR_Coverage, 13249,
     /* 1880493 */     GIR_EraseRootFromParent_Done,
     /* 1880494 */   // Label 23680: @1880494
     /* 1880494 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1880598), // Rule ID 13252 //
     /* 1880499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1880510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1880513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1880516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1880519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880545 */     // MIs[0] policy
     /* 1880545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1880572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880597 */     // GIR_Coverage, 13252,
     /* 1880597 */     GIR_EraseRootFromParent_Done,
     /* 1880598 */   // Label 23681: @1880598
     /* 1880598 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1880702), // Rule ID 13253 //
     /* 1880603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1880614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1880617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1880620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1880623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1880626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1880633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1880645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880649 */     // MIs[0] policy
     /* 1880649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880659 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1880676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880701 */     // GIR_Coverage, 13253,
     /* 1880701 */     GIR_EraseRootFromParent_Done,
     /* 1880702 */   // Label 23682: @1880702
     /* 1880702 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1880806), // Rule ID 13256 //
     /* 1880707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1880718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1880721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1880724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1880727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880753 */     // MIs[0] policy
     /* 1880753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880763 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1880780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880805 */     // GIR_Coverage, 13256,
     /* 1880805 */     GIR_EraseRootFromParent_Done,
     /* 1880806 */   // Label 23683: @1880806
     /* 1880806 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1880910), // Rule ID 13257 //
     /* 1880811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1880822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1880825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1880828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1880831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1880841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1880853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880857 */     // MIs[0] policy
     /* 1880857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1880884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1880898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880909 */     // GIR_Coverage, 13257,
     /* 1880909 */     GIR_EraseRootFromParent_Done,
     /* 1880910 */   // Label 23684: @1880910
     /* 1880910 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1881014), // Rule ID 13260 //
     /* 1880915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1880923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1880926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1880929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1880932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1880935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1880945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1880957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880961 */     // MIs[0] policy
     /* 1880961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880971 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1880975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1880981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1880985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1880988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1880992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881013 */     // GIR_Coverage, 13260,
     /* 1881013 */     GIR_EraseRootFromParent_Done,
     /* 1881014 */   // Label 23685: @1881014
     /* 1881014 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1881118), // Rule ID 13261 //
     /* 1881019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1881030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1881033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1881036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1881039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881065 */     // MIs[0] policy
     /* 1881065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1881092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881117 */     // GIR_Coverage, 13261,
     /* 1881117 */     GIR_EraseRootFromParent_Done,
     /* 1881118 */   // Label 23686: @1881118
     /* 1881118 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1881222), // Rule ID 13264 //
     /* 1881123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1881134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1881137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1881140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1881143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881169 */     // MIs[0] policy
     /* 1881169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1881196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881221 */     // GIR_Coverage, 13264,
     /* 1881221 */     GIR_EraseRootFromParent_Done,
     /* 1881222 */   // Label 23687: @1881222
     /* 1881222 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1881326), // Rule ID 13265 //
     /* 1881227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1881238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1881241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1881244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1881247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881273 */     // MIs[0] policy
     /* 1881273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881283 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1881300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881325 */     // GIR_Coverage, 13265,
     /* 1881325 */     GIR_EraseRootFromParent_Done,
     /* 1881326 */   // Label 23688: @1881326
     /* 1881326 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1881430), // Rule ID 13268 //
     /* 1881331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1881342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1881345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1881348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1881351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881377 */     // MIs[0] policy
     /* 1881377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881387 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1881404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881429 */     // GIR_Coverage, 13268,
     /* 1881429 */     GIR_EraseRootFromParent_Done,
     /* 1881430 */   // Label 23689: @1881430
     /* 1881430 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1881534), // Rule ID 13269 //
     /* 1881435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1881446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1881449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1881452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1881455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881481 */     // MIs[0] policy
     /* 1881481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11122:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1881508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881533 */     // GIR_Coverage, 13269,
     /* 1881533 */     GIR_EraseRootFromParent_Done,
     /* 1881534 */   // Label 23690: @1881534
     /* 1881534 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1881638), // Rule ID 13272 //
     /* 1881539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1881550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1881553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1881556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1881559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881585 */     // MIs[0] policy
     /* 1881585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881595 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1881612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881637 */     // GIR_Coverage, 13272,
     /* 1881637 */     GIR_EraseRootFromParent_Done,
     /* 1881638 */   // Label 23691: @1881638
     /* 1881638 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1881742), // Rule ID 13273 //
     /* 1881643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1881654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1881657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1881660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1881663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1881666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881689 */     // MIs[0] policy
     /* 1881689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11122:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1881716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881741 */     // GIR_Coverage, 13273,
     /* 1881741 */     GIR_EraseRootFromParent_Done,
     /* 1881742 */   // Label 23692: @1881742
     /* 1881742 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1881846), // Rule ID 13276 //
     /* 1881747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1881758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1881761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1881764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1881767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881793 */     // MIs[0] policy
     /* 1881793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881803 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1881820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881845 */     // GIR_Coverage, 13276,
     /* 1881845 */     GIR_EraseRootFromParent_Done,
     /* 1881846 */   // Label 23693: @1881846
     /* 1881846 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1881950), // Rule ID 13277 //
     /* 1881851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1881859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1881862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1881865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1881868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1881871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881897 */     // MIs[0] policy
     /* 1881897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11122:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1881911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1881917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1881921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1881924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1881928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1881938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881949 */     // GIR_Coverage, 13277,
     /* 1881949 */     GIR_EraseRootFromParent_Done,
     /* 1881950 */   // Label 23694: @1881950
     /* 1881950 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1882054), // Rule ID 13280 //
     /* 1881955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1881963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1881966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1881969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1881972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1881975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882001 */     // MIs[0] policy
     /* 1882001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882011 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1882028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882053 */     // GIR_Coverage, 13280,
     /* 1882053 */     GIR_EraseRootFromParent_Done,
     /* 1882054 */   // Label 23695: @1882054
     /* 1882054 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1882158), // Rule ID 13281 //
     /* 1882059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1882070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1882073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1882076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1882079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1882082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882105 */     // MIs[0] policy
     /* 1882105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1882132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882157 */     // GIR_Coverage, 13281,
     /* 1882157 */     GIR_EraseRootFromParent_Done,
     /* 1882158 */   // Label 23696: @1882158
     /* 1882158 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1882262), // Rule ID 13284 //
     /* 1882163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1882174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1882177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1882180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1882183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882209 */     // MIs[0] policy
     /* 1882209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1882236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882261 */     // GIR_Coverage, 13284,
     /* 1882261 */     GIR_EraseRootFromParent_Done,
     /* 1882262 */   // Label 23697: @1882262
     /* 1882262 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1882366), // Rule ID 13285 //
     /* 1882267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1882278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1882281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1882284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1882287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882313 */     // MIs[0] policy
     /* 1882313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882323 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1882340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882365 */     // GIR_Coverage, 13285,
     /* 1882365 */     GIR_EraseRootFromParent_Done,
     /* 1882366 */   // Label 23698: @1882366
     /* 1882366 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1882470), // Rule ID 13288 //
     /* 1882371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1882382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1882385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1882388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1882391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882417 */     // MIs[0] policy
     /* 1882417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1882444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882469 */     // GIR_Coverage, 13288,
     /* 1882469 */     GIR_EraseRootFromParent_Done,
     /* 1882470 */   // Label 23699: @1882470
     /* 1882470 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1882574), // Rule ID 13289 //
     /* 1882475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1882486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1882489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1882492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1882495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1882505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882521 */     // MIs[0] policy
     /* 1882521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1882548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882573 */     // GIR_Coverage, 13289,
     /* 1882573 */     GIR_EraseRootFromParent_Done,
     /* 1882574 */   // Label 23700: @1882574
     /* 1882574 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1882678), // Rule ID 13292 //
     /* 1882579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1882596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1882599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882625 */     // MIs[0] policy
     /* 1882625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1882652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882677 */     // GIR_Coverage, 13292,
     /* 1882677 */     GIR_EraseRootFromParent_Done,
     /* 1882678 */   // Label 23701: @1882678
     /* 1882678 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1882782), // Rule ID 13293 //
     /* 1882683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1882694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1882697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1882700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1882703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1882725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882729 */     // MIs[0] policy
     /* 1882729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882739 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1882756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882781 */     // GIR_Coverage, 13293,
     /* 1882781 */     GIR_EraseRootFromParent_Done,
     /* 1882782 */   // Label 23702: @1882782
     /* 1882782 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1882886), // Rule ID 13296 //
     /* 1882787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882833 */     // MIs[0] policy
     /* 1882833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1882860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882885 */     // GIR_Coverage, 13296,
     /* 1882885 */     GIR_EraseRootFromParent_Done,
     /* 1882886 */   // Label 23703: @1882886
     /* 1882886 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1882990), // Rule ID 13297 //
     /* 1882891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1882899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1882908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1882911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882937 */     // MIs[0] policy
     /* 1882937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1882951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1882957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1882961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1882964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1882968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1882978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1882986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882989 */     // GIR_Coverage, 13297,
     /* 1882989 */     GIR_EraseRootFromParent_Done,
     /* 1882990 */   // Label 23704: @1882990
     /* 1882990 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1883094), // Rule ID 13300 //
     /* 1882995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1883012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1883015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883041 */     // MIs[0] policy
     /* 1883041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1883068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883093 */     // GIR_Coverage, 13300,
     /* 1883093 */     GIR_EraseRootFromParent_Done,
     /* 1883094 */   // Label 23705: @1883094
     /* 1883094 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1883198), // Rule ID 13301 //
     /* 1883099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1883110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1883113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1883116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1883119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1883122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883145 */     // MIs[0] policy
     /* 1883145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883155 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1883172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883197 */     // GIR_Coverage, 13301,
     /* 1883197 */     GIR_EraseRootFromParent_Done,
     /* 1883198 */   // Label 23706: @1883198
     /* 1883198 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1883302), // Rule ID 13304 //
     /* 1883203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1883223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883249 */     // MIs[0] policy
     /* 1883249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883259 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1883276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883301 */     // GIR_Coverage, 13304,
     /* 1883301 */     GIR_EraseRootFromParent_Done,
     /* 1883302 */   // Label 23707: @1883302
     /* 1883302 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1883406), // Rule ID 13305 //
     /* 1883307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1883318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1883321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1883324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1883327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883353 */     // MIs[0] policy
     /* 1883353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883363 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1883380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883405 */     // GIR_Coverage, 13305,
     /* 1883405 */     GIR_EraseRootFromParent_Done,
     /* 1883406 */   // Label 23708: @1883406
     /* 1883406 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1883510), // Rule ID 13308 //
     /* 1883411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1883422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1883425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1883431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883457 */     // MIs[0] policy
     /* 1883457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883467 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1883484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883509 */     // GIR_Coverage, 13308,
     /* 1883509 */     GIR_EraseRootFromParent_Done,
     /* 1883510 */   // Label 23709: @1883510
     /* 1883510 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1883614), // Rule ID 13309 //
     /* 1883515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1883526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1883529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1883532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1883535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883561 */     // MIs[0] policy
     /* 1883561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883571 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1883588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883613 */     // GIR_Coverage, 13309,
     /* 1883613 */     GIR_EraseRootFromParent_Done,
     /* 1883614 */   // Label 23710: @1883614
     /* 1883614 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1883718), // Rule ID 13312 //
     /* 1883619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1883636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1883639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883665 */     // MIs[0] policy
     /* 1883665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883675 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1883692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883717 */     // GIR_Coverage, 13312,
     /* 1883717 */     GIR_EraseRootFromParent_Done,
     /* 1883718 */   // Label 23711: @1883718
     /* 1883718 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1883822), // Rule ID 13313 //
     /* 1883723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1883734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1883737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1883740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1883743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883769 */     // MIs[0] policy
     /* 1883769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883779 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1883796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883821 */     // GIR_Coverage, 13313,
     /* 1883821 */     GIR_EraseRootFromParent_Done,
     /* 1883822 */   // Label 23712: @1883822
     /* 1883822 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1883926), // Rule ID 13316 //
     /* 1883827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1883844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1883847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883873 */     // MIs[0] policy
     /* 1883873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1883897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1883900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1883904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1883914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1883922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883925 */     // GIR_Coverage, 13316,
     /* 1883925 */     GIR_EraseRootFromParent_Done,
     /* 1883926 */   // Label 23713: @1883926
     /* 1883926 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1884030), // Rule ID 13317 //
     /* 1883931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1883939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1883942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1883945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1883948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1883951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883977 */     // MIs[0] policy
     /* 1883977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883987 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1883991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1883997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1884004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884029 */     // GIR_Coverage, 13317,
     /* 1884029 */     GIR_EraseRootFromParent_Done,
     /* 1884030 */   // Label 23714: @1884030
     /* 1884030 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1884134), // Rule ID 13320 //
     /* 1884035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1884046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1884049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1884052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1884055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884081 */     // MIs[0] policy
     /* 1884081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884091 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1884108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884133 */     // GIR_Coverage, 13320,
     /* 1884133 */     GIR_EraseRootFromParent_Done,
     /* 1884134 */   // Label 23715: @1884134
     /* 1884134 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1884238), // Rule ID 13321 //
     /* 1884139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1884150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1884153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1884156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1884159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1884162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884185 */     // MIs[0] policy
     /* 1884185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1884212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884237 */     // GIR_Coverage, 13321,
     /* 1884237 */     GIR_EraseRootFromParent_Done,
     /* 1884238 */   // Label 23716: @1884238
     /* 1884238 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1884342), // Rule ID 13324 //
     /* 1884243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1884246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884289 */     // MIs[0] policy
     /* 1884289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884299 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1884316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884341 */     // GIR_Coverage, 13324,
     /* 1884341 */     GIR_EraseRootFromParent_Done,
     /* 1884342 */   // Label 23717: @1884342
     /* 1884342 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1884446), // Rule ID 13325 //
     /* 1884347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1884350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1884358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1884361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884393 */     // MIs[0] policy
     /* 1884393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1884420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884445 */     // GIR_Coverage, 13325,
     /* 1884445 */     GIR_EraseRootFromParent_Done,
     /* 1884446 */   // Label 23718: @1884446
     /* 1884446 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1884550), // Rule ID 13328 //
     /* 1884451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1884454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1884462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1884465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884497 */     // MIs[0] policy
     /* 1884497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884507 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1884524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884549 */     // GIR_Coverage, 13328,
     /* 1884549 */     GIR_EraseRootFromParent_Done,
     /* 1884550 */   // Label 23719: @1884550
     /* 1884550 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1884654), // Rule ID 13329 //
     /* 1884555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1884558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1884566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1884569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1884585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884601 */     // MIs[0] policy
     /* 1884601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884611 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1884628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884653 */     // GIR_Coverage, 13329,
     /* 1884653 */     GIR_EraseRootFromParent_Done,
     /* 1884654 */   // Label 23720: @1884654
     /* 1884654 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1884758), // Rule ID 13332 //
     /* 1884659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1884662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1884676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1884679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884705 */     // MIs[0] policy
     /* 1884705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884715 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1884732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884757 */     // GIR_Coverage, 13332,
     /* 1884757 */     GIR_EraseRootFromParent_Done,
     /* 1884758 */   // Label 23721: @1884758
     /* 1884758 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1884862), // Rule ID 13333 //
     /* 1884763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1884766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1884774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1884777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1884780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1884783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1884793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1884805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884809 */     // MIs[0] policy
     /* 1884809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884819 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1884836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884861 */     // GIR_Coverage, 13333,
     /* 1884861 */     GIR_EraseRootFromParent_Done,
     /* 1884862 */   // Label 23722: @1884862
     /* 1884862 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1884966), // Rule ID 13336 //
     /* 1884867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1884870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1884884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1884887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1884897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1884901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1884909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884913 */     // MIs[0] policy
     /* 1884913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884923 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1884927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1884933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1884937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1884940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1884944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1884954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884965 */     // GIR_Coverage, 13336,
     /* 1884965 */     GIR_EraseRootFromParent_Done,
     /* 1884966 */   // Label 23723: @1884966
     /* 1884966 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1885070), // Rule ID 13337 //
     /* 1884971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1884974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1884979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1884982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1884985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1884988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1884991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885017 */     // MIs[0] policy
     /* 1885017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885027 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1885044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885069 */     // GIR_Coverage, 13337,
     /* 1885069 */     GIR_EraseRootFromParent_Done,
     /* 1885070 */   // Label 23724: @1885070
     /* 1885070 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1885174), // Rule ID 13340 //
     /* 1885075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1885086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1885089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1885092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1885095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885121 */     // MIs[0] policy
     /* 1885121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1885148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885173 */     // GIR_Coverage, 13340,
     /* 1885173 */     GIR_EraseRootFromParent_Done,
     /* 1885174 */   // Label 23725: @1885174
     /* 1885174 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1885278), // Rule ID 13341 //
     /* 1885179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1885190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1885193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1885196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1885199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885225 */     // MIs[0] policy
     /* 1885225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885235 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1885252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885277 */     // GIR_Coverage, 13341,
     /* 1885277 */     GIR_EraseRootFromParent_Done,
     /* 1885278 */   // Label 23726: @1885278
     /* 1885278 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1885382), // Rule ID 13344 //
     /* 1885283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1885300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1885303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885329 */     // MIs[0] policy
     /* 1885329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1885356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885381 */     // GIR_Coverage, 13344,
     /* 1885381 */     GIR_EraseRootFromParent_Done,
     /* 1885382 */   // Label 23727: @1885382
     /* 1885382 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1885486), // Rule ID 13345 //
     /* 1885387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1885398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1885401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1885404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1885407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1885410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885433 */     // MIs[0] policy
     /* 1885433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1885460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885485 */     // GIR_Coverage, 13345,
     /* 1885485 */     GIR_EraseRootFromParent_Done,
     /* 1885486 */   // Label 23728: @1885486
     /* 1885486 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1885590), // Rule ID 13348 //
     /* 1885491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1885508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1885511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885537 */     // MIs[0] policy
     /* 1885537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1885564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885589 */     // GIR_Coverage, 13348,
     /* 1885589 */     GIR_EraseRootFromParent_Done,
     /* 1885590 */   // Label 23729: @1885590
     /* 1885590 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1885694), // Rule ID 13349 //
     /* 1885595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1885606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1885609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1885612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1885615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1885618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885641 */     // MIs[0] policy
     /* 1885641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1885668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885693 */     // GIR_Coverage, 13349,
     /* 1885693 */     GIR_EraseRootFromParent_Done,
     /* 1885694 */   // Label 23730: @1885694
     /* 1885694 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1885798), // Rule ID 13352 //
     /* 1885699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1885716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1885719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885745 */     // MIs[0] policy
     /* 1885745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1885772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885797 */     // GIR_Coverage, 13352,
     /* 1885797 */     GIR_EraseRootFromParent_Done,
     /* 1885798 */   // Label 23731: @1885798
     /* 1885798 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1885902), // Rule ID 13353 //
     /* 1885803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1885820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1885823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885849 */     // MIs[0] policy
     /* 1885849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1885876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885901 */     // GIR_Coverage, 13353,
     /* 1885901 */     GIR_EraseRootFromParent_Done,
     /* 1885902 */   // Label 23732: @1885902
     /* 1885902 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1886006), // Rule ID 13356 //
     /* 1885907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1885915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1885924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1885927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1885945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885953 */     // MIs[0] policy
     /* 1885953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1885967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1885973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1885977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1885980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1885984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1885994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886005 */     // GIR_Coverage, 13356,
     /* 1886005 */     GIR_EraseRootFromParent_Done,
     /* 1886006 */   // Label 23733: @1886006
     /* 1886006 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1886110), // Rule ID 13357 //
     /* 1886011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1886028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1886031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886057 */     // MIs[0] policy
     /* 1886057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886067 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1886084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886109 */     // GIR_Coverage, 13357,
     /* 1886109 */     GIR_EraseRootFromParent_Done,
     /* 1886110 */   // Label 23734: @1886110
     /* 1886110 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1886214), // Rule ID 13360 //
     /* 1886115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1886132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1886135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886161 */     // MIs[0] policy
     /* 1886161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1886188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886213 */     // GIR_Coverage, 13360,
     /* 1886213 */     GIR_EraseRootFromParent_Done,
     /* 1886214 */   // Label 23735: @1886214
     /* 1886214 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1886318), // Rule ID 13361 //
     /* 1886219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1886236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1886239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886265 */     // MIs[0] policy
     /* 1886265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886275 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1886292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1886314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886317 */     // GIR_Coverage, 13361,
     /* 1886317 */     GIR_EraseRootFromParent_Done,
     /* 1886318 */   // Label 23736: @1886318
     /* 1886318 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1886422), // Rule ID 13364 //
     /* 1886323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1886334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1886337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1886340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1886343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886369 */     // MIs[0] policy
     /* 1886369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1886396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886421 */     // GIR_Coverage, 13364,
     /* 1886421 */     GIR_EraseRootFromParent_Done,
     /* 1886422 */   // Label 23737: @1886422
     /* 1886422 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1886526), // Rule ID 13365 //
     /* 1886427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1886438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1886441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1886444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1886447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1886450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886473 */     // MIs[0] policy
     /* 1886473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1886500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886525 */     // GIR_Coverage, 13365,
     /* 1886525 */     GIR_EraseRootFromParent_Done,
     /* 1886526 */   // Label 23738: @1886526
     /* 1886526 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1886630), // Rule ID 13368 //
     /* 1886531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1886542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1886545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1886548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1886551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886577 */     // MIs[0] policy
     /* 1886577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886587 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1886604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886629 */     // GIR_Coverage, 13368,
     /* 1886629 */     GIR_EraseRootFromParent_Done,
     /* 1886630 */   // Label 23739: @1886630
     /* 1886630 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1886734), // Rule ID 13369 //
     /* 1886635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1886646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1886649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1886652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1886655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1886665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886681 */     // MIs[0] policy
     /* 1886681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1886708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886733 */     // GIR_Coverage, 13369,
     /* 1886733 */     GIR_EraseRootFromParent_Done,
     /* 1886734 */   // Label 23740: @1886734
     /* 1886734 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1886838), // Rule ID 13372 //
     /* 1886739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1886756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1886759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886785 */     // MIs[0] policy
     /* 1886785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886795 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1886812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886837 */     // GIR_Coverage, 13372,
     /* 1886837 */     GIR_EraseRootFromParent_Done,
     /* 1886838 */   // Label 23741: @1886838
     /* 1886838 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1886942), // Rule ID 13373 //
     /* 1886843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1886860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1886863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1886885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886889 */     // MIs[0] policy
     /* 1886889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1886903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1886909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1886913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1886916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1886920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1886930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886941 */     // GIR_Coverage, 13373,
     /* 1886941 */     GIR_EraseRootFromParent_Done,
     /* 1886942 */   // Label 23742: @1886942
     /* 1886942 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1887046), // Rule ID 13376 //
     /* 1886947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1886955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1886964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1886967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1886985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886993 */     // MIs[0] policy
     /* 1886993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887003 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1887020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887045 */     // GIR_Coverage, 13376,
     /* 1887045 */     GIR_EraseRootFromParent_Done,
     /* 1887046 */   // Label 23743: @1887046
     /* 1887046 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1887150), // Rule ID 13377 //
     /* 1887051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1887062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1887065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1887068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1887071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887097 */     // MIs[0] policy
     /* 1887097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1887124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887149 */     // GIR_Coverage, 13377,
     /* 1887149 */     GIR_EraseRootFromParent_Done,
     /* 1887150 */   // Label 23744: @1887150
     /* 1887150 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1887254), // Rule ID 13380 //
     /* 1887155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1887172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887201 */     // MIs[0] policy
     /* 1887201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887211 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1887228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887253 */     // GIR_Coverage, 13380,
     /* 1887253 */     GIR_EraseRootFromParent_Done,
     /* 1887254 */   // Label 23745: @1887254
     /* 1887254 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1887358), // Rule ID 13381 //
     /* 1887259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1887270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1887273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1887276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1887279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1887282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887305 */     // MIs[0] policy
     /* 1887305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1887332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887357 */     // GIR_Coverage, 13381,
     /* 1887357 */     GIR_EraseRootFromParent_Done,
     /* 1887358 */   // Label 23746: @1887358
     /* 1887358 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1887462), // Rule ID 13384 //
     /* 1887363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1887366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1887380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887409 */     // MIs[0] policy
     /* 1887409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1887436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887461 */     // GIR_Coverage, 13384,
     /* 1887461 */     GIR_EraseRootFromParent_Done,
     /* 1887462 */   // Label 23747: @1887462
     /* 1887462 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1887566), // Rule ID 13385 //
     /* 1887467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1887470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1887478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1887481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1887484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1887487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887513 */     // MIs[0] policy
     /* 1887513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1887540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887565 */     // GIR_Coverage, 13385,
     /* 1887565 */     GIR_EraseRootFromParent_Done,
     /* 1887566 */   // Label 23748: @1887566
     /* 1887566 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1887670), // Rule ID 13388 //
     /* 1887571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1887574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1887588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887617 */     // MIs[0] policy
     /* 1887617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1887644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887669 */     // GIR_Coverage, 13388,
     /* 1887669 */     GIR_EraseRootFromParent_Done,
     /* 1887670 */   // Label 23749: @1887670
     /* 1887670 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1887774), // Rule ID 13389 //
     /* 1887675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1887678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1887686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1887689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1887692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1887695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1887705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887721 */     // MIs[0] policy
     /* 1887721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1887748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887773 */     // GIR_Coverage, 13389,
     /* 1887773 */     GIR_EraseRootFromParent_Done,
     /* 1887774 */   // Label 23750: @1887774
     /* 1887774 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1887878), // Rule ID 13392 //
     /* 1887779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1887782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1887796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1887799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887825 */     // MIs[0] policy
     /* 1887825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1887852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887877 */     // GIR_Coverage, 13392,
     /* 1887877 */     GIR_EraseRootFromParent_Done,
     /* 1887878 */   // Label 23751: @1887878
     /* 1887878 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1887982), // Rule ID 13393 //
     /* 1887883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1887886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1887900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1887903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1887925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887929 */     // MIs[0] policy
     /* 1887929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1887943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1887949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1887953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1887956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1887960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1887970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1887978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887981 */     // GIR_Coverage, 13393,
     /* 1887981 */     GIR_EraseRootFromParent_Done,
     /* 1887982 */   // Label 23752: @1887982
     /* 1887982 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1888086), // Rule ID 13396 //
     /* 1887987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1887990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1887995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1888004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888033 */     // MIs[0] policy
     /* 1888033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1888060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888085 */     // GIR_Coverage, 13396,
     /* 1888085 */     GIR_EraseRootFromParent_Done,
     /* 1888086 */   // Label 23753: @1888086
     /* 1888086 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1888190), // Rule ID 13397 //
     /* 1888091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1888094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1888099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1888102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1888105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1888108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1888111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1888121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1888125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1888133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888137 */     // MIs[0] policy
     /* 1888137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1888164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888189 */     // GIR_Coverage, 13397,
     /* 1888189 */     GIR_EraseRootFromParent_Done,
     /* 1888190 */   // Label 23754: @1888190
     /* 1888190 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1888294), // Rule ID 13400 //
     /* 1888195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1888212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1888215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888241 */     // MIs[0] policy
     /* 1888241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1888268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888293 */     // GIR_Coverage, 13400,
     /* 1888293 */     GIR_EraseRootFromParent_Done,
     /* 1888294 */   // Label 23755: @1888294
     /* 1888294 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1888398), // Rule ID 13401 //
     /* 1888299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1888316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1888319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888345 */     // MIs[0] policy
     /* 1888345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1888372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888397 */     // GIR_Coverage, 13401,
     /* 1888397 */     GIR_EraseRootFromParent_Done,
     /* 1888398 */   // Label 23756: @1888398
     /* 1888398 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1888502), // Rule ID 13404 //
     /* 1888403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1888420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1888423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888449 */     // MIs[0] policy
     /* 1888449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1888476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888501 */     // GIR_Coverage, 13404,
     /* 1888501 */     GIR_EraseRootFromParent_Done,
     /* 1888502 */   // Label 23757: @1888502
     /* 1888502 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1888606), // Rule ID 13405 //
     /* 1888507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1888524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1888527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888553 */     // MIs[0] policy
     /* 1888553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1888580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888605 */     // GIR_Coverage, 13405,
     /* 1888605 */     GIR_EraseRootFromParent_Done,
     /* 1888606 */   // Label 23758: @1888606
     /* 1888606 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1888710), // Rule ID 13408 //
     /* 1888611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1888628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1888631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888657 */     // MIs[0] policy
     /* 1888657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888667 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1888684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888709 */     // GIR_Coverage, 13408,
     /* 1888709 */     GIR_EraseRootFromParent_Done,
     /* 1888710 */   // Label 23759: @1888710
     /* 1888710 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1888814), // Rule ID 13409 //
     /* 1888715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1888732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1888735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888761 */     // MIs[0] policy
     /* 1888761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1888788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888813 */     // GIR_Coverage, 13409,
     /* 1888813 */     GIR_EraseRootFromParent_Done,
     /* 1888814 */   // Label 23760: @1888814
     /* 1888814 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1888918), // Rule ID 13412 //
     /* 1888819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1888839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888865 */     // MIs[0] policy
     /* 1888865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1888892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1888896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1888906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888917 */     // GIR_Coverage, 13412,
     /* 1888917 */     GIR_EraseRootFromParent_Done,
     /* 1888918 */   // Label 23761: @1888918
     /* 1888918 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1889022), // Rule ID 13413 //
     /* 1888923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1888931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1888934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1888937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1888943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1888953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1888957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888969 */     // MIs[0] policy
     /* 1888969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888979 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1888983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1888989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1888993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1888996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889021 */     // GIR_Coverage, 13413,
     /* 1889021 */     GIR_EraseRootFromParent_Done,
     /* 1889022 */   // Label 23762: @1889022
     /* 1889022 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1889126), // Rule ID 13416 //
     /* 1889027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1889044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1889047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889073 */     // MIs[0] policy
     /* 1889073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889083 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1889100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889125 */     // GIR_Coverage, 13416,
     /* 1889125 */     GIR_EraseRootFromParent_Done,
     /* 1889126 */   // Label 23763: @1889126
     /* 1889126 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1889230), // Rule ID 13417 //
     /* 1889131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1889148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1889151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889177 */     // MIs[0] policy
     /* 1889177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889187 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1889204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889229 */     // GIR_Coverage, 13417,
     /* 1889229 */     GIR_EraseRootFromParent_Done,
     /* 1889230 */   // Label 23764: @1889230
     /* 1889230 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1889334), // Rule ID 13420 //
     /* 1889235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1889255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889281 */     // MIs[0] policy
     /* 1889281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889291 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1889308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889333 */     // GIR_Coverage, 13420,
     /* 1889333 */     GIR_EraseRootFromParent_Done,
     /* 1889334 */   // Label 23765: @1889334
     /* 1889334 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1889438), // Rule ID 13421 //
     /* 1889339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1889350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1889353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1889359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889385 */     // MIs[0] policy
     /* 1889385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889395 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1889412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889437 */     // GIR_Coverage, 13421,
     /* 1889437 */     GIR_EraseRootFromParent_Done,
     /* 1889438 */   // Label 23766: @1889438
     /* 1889438 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1889542), // Rule ID 13424 //
     /* 1889443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1889463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889489 */     // MIs[0] policy
     /* 1889489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1889516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889541 */     // GIR_Coverage, 13424,
     /* 1889541 */     GIR_EraseRootFromParent_Done,
     /* 1889542 */   // Label 23767: @1889542
     /* 1889542 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1889646), // Rule ID 13425 //
     /* 1889547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1889558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1889561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1889564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1889567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889593 */     // MIs[0] policy
     /* 1889593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1889620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889645 */     // GIR_Coverage, 13425,
     /* 1889645 */     GIR_EraseRootFromParent_Done,
     /* 1889646 */   // Label 23768: @1889646
     /* 1889646 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1889750), // Rule ID 13428 //
     /* 1889651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1889671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889697 */     // MIs[0] policy
     /* 1889697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889707 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1889724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889749 */     // GIR_Coverage, 13428,
     /* 1889749 */     GIR_EraseRootFromParent_Done,
     /* 1889750 */   // Label 23769: @1889750
     /* 1889750 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1889854), // Rule ID 13429 //
     /* 1889755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1889766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1889769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1889772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1889775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1889778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889801 */     // MIs[0] policy
     /* 1889801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1889828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889853 */     // GIR_Coverage, 13429,
     /* 1889853 */     GIR_EraseRootFromParent_Done,
     /* 1889854 */   // Label 23770: @1889854
     /* 1889854 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1889958), // Rule ID 13432 //
     /* 1889859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1889879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889905 */     // MIs[0] policy
     /* 1889905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1889919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1889925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1889929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1889932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1889936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1889946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889957 */     // GIR_Coverage, 13432,
     /* 1889957 */     GIR_EraseRootFromParent_Done,
     /* 1889958 */   // Label 23771: @1889958
     /* 1889958 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1890062), // Rule ID 13433 //
     /* 1889963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1889971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1889974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1889977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1889980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1889983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1889986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890009 */     // MIs[0] policy
     /* 1890009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1890036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890061 */     // GIR_Coverage, 13433,
     /* 1890061 */     GIR_EraseRootFromParent_Done,
     /* 1890062 */   // Label 23772: @1890062
     /* 1890062 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1890166), // Rule ID 13436 //
     /* 1890067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1890087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890113 */     // MIs[0] policy
     /* 1890113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890123 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1890140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890165 */     // GIR_Coverage, 13436,
     /* 1890165 */     GIR_EraseRootFromParent_Done,
     /* 1890166 */   // Label 23773: @1890166
     /* 1890166 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1890270), // Rule ID 13437 //
     /* 1890171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1890188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1890191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890217 */     // MIs[0] policy
     /* 1890217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1890244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890269 */     // GIR_Coverage, 13437,
     /* 1890269 */     GIR_EraseRootFromParent_Done,
     /* 1890270 */   // Label 23774: @1890270
     /* 1890270 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1890374), // Rule ID 13440 //
     /* 1890275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1890295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890321 */     // MIs[0] policy
     /* 1890321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890331 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1890348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890373 */     // GIR_Coverage, 13440,
     /* 1890373 */     GIR_EraseRootFromParent_Done,
     /* 1890374 */   // Label 23775: @1890374
     /* 1890374 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1890478), // Rule ID 13441 //
     /* 1890379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1890396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1890399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890425 */     // MIs[0] policy
     /* 1890425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1890452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890477 */     // GIR_Coverage, 13441,
     /* 1890477 */     GIR_EraseRootFromParent_Done,
     /* 1890478 */   // Label 23776: @1890478
     /* 1890478 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1890582), // Rule ID 13444 //
     /* 1890483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1890486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1890503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890529 */     // MIs[0] policy
     /* 1890529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890539 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1890556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890581 */     // GIR_Coverage, 13444,
     /* 1890581 */     GIR_EraseRootFromParent_Done,
     /* 1890582 */   // Label 23777: @1890582
     /* 1890582 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1890686), // Rule ID 13445 //
     /* 1890587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1890590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1890598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1890601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1890604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1890607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1890610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1890617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890633 */     // MIs[0] policy
     /* 1890633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890643 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1890660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890685 */     // GIR_Coverage, 13445,
     /* 1890685 */     GIR_EraseRootFromParent_Done,
     /* 1890686 */   // Label 23778: @1890686
     /* 1890686 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1890790), // Rule ID 13448 //
     /* 1890691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1890694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1890708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1890711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890737 */     // MIs[0] policy
     /* 1890737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1890764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890789 */     // GIR_Coverage, 13448,
     /* 1890789 */     GIR_EraseRootFromParent_Done,
     /* 1890790 */   // Label 23779: @1890790
     /* 1890790 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1890894), // Rule ID 13449 //
     /* 1890795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1890798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1890812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1890815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1890837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890841 */     // MIs[0] policy
     /* 1890841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890851 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1890868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890893 */     // GIR_Coverage, 13449,
     /* 1890893 */     GIR_EraseRootFromParent_Done,
     /* 1890894 */   // Label 23780: @1890894
     /* 1890894 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1890998), // Rule ID 13452 //
     /* 1890899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1890902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1890907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1890919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890945 */     // MIs[0] policy
     /* 1890945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890955 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1890959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1890965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1890969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1890972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1890976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1890986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890997 */     // GIR_Coverage, 13452,
     /* 1890997 */     GIR_EraseRootFromParent_Done,
     /* 1890998 */   // Label 23781: @1890998
     /* 1890998 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1891102), // Rule ID 13453 //
     /* 1891003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1891006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1891020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1891023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891049 */     // MIs[0] policy
     /* 1891049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891059 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1891076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891101 */     // GIR_Coverage, 13453,
     /* 1891101 */     GIR_EraseRootFromParent_Done,
     /* 1891102 */   // Label 23782: @1891102
     /* 1891102 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1891206), // Rule ID 13456 //
     /* 1891107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1891110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1891127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891153 */     // MIs[0] policy
     /* 1891153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891163 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1891180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891205 */     // GIR_Coverage, 13456,
     /* 1891205 */     GIR_EraseRootFromParent_Done,
     /* 1891206 */   // Label 23783: @1891206
     /* 1891206 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1891310), // Rule ID 13457 //
     /* 1891211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1891214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1891228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1891231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891257 */     // MIs[0] policy
     /* 1891257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891267 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1891284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1891306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891309 */     // GIR_Coverage, 13457,
     /* 1891309 */     GIR_EraseRootFromParent_Done,
     /* 1891310 */   // Label 23784: @1891310
     /* 1891310 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1891414), // Rule ID 13460 //
     /* 1891315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1891335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891361 */     // MIs[0] policy
     /* 1891361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891371 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1891388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891413 */     // GIR_Coverage, 13460,
     /* 1891413 */     GIR_EraseRootFromParent_Done,
     /* 1891414 */   // Label 23785: @1891414
     /* 1891414 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1891518), // Rule ID 13461 //
     /* 1891419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1891436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1891439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891465 */     // MIs[0] policy
     /* 1891465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891475 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1891492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891517 */     // GIR_Coverage, 13461,
     /* 1891517 */     GIR_EraseRootFromParent_Done,
     /* 1891518 */   // Label 23786: @1891518
     /* 1891518 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1891622), // Rule ID 13464 //
     /* 1891523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1891543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891569 */     // MIs[0] policy
     /* 1891569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1891596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891621 */     // GIR_Coverage, 13464,
     /* 1891621 */     GIR_EraseRootFromParent_Done,
     /* 1891622 */   // Label 23787: @1891622
     /* 1891622 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1891726), // Rule ID 13465 //
     /* 1891627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1891638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1891641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1891644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1891647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891673 */     // MIs[0] policy
     /* 1891673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891683 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1891700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891725 */     // GIR_Coverage, 13465,
     /* 1891725 */     GIR_EraseRootFromParent_Done,
     /* 1891726 */   // Label 23788: @1891726
     /* 1891726 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1891830), // Rule ID 13468 //
     /* 1891731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891777 */     // MIs[0] policy
     /* 1891777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1891804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891829 */     // GIR_Coverage, 13468,
     /* 1891829 */     GIR_EraseRootFromParent_Done,
     /* 1891830 */   // Label 23789: @1891830
     /* 1891830 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1891934), // Rule ID 13469 //
     /* 1891835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1891846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1891849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1891852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891881 */     // MIs[0] policy
     /* 1891881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11282:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1891901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1891905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1891908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1891912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1891922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891933 */     // GIR_Coverage, 13469,
     /* 1891933 */     GIR_EraseRootFromParent_Done,
     /* 1891934 */   // Label 23790: @1891934
     /* 1891934 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1892038), // Rule ID 13472 //
     /* 1891939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1891947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1891950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1891953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1891956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1891959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1891969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1891973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891985 */     // MIs[0] policy
     /* 1891985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1891999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1892012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892037 */     // GIR_Coverage, 13472,
     /* 1892037 */     GIR_EraseRootFromParent_Done,
     /* 1892038 */   // Label 23791: @1892038
     /* 1892038 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1892142), // Rule ID 13473 //
     /* 1892043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1892054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1892057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1892073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892089 */     // MIs[0] policy
     /* 1892089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1892116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892141 */     // GIR_Coverage, 13473,
     /* 1892141 */     GIR_EraseRootFromParent_Done,
     /* 1892142 */   // Label 23792: @1892142
     /* 1892142 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1892246), // Rule ID 13476 //
     /* 1892147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1892158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1892167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892193 */     // MIs[0] policy
     /* 1892193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1892220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892245 */     // GIR_Coverage, 13476,
     /* 1892245 */     GIR_EraseRootFromParent_Done,
     /* 1892246 */   // Label 23793: @1892246
     /* 1892246 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1892350), // Rule ID 13477 //
     /* 1892251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1892262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1892265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1892271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1892274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1892281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1892293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892297 */     // MIs[0] policy
     /* 1892297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1892324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892349 */     // GIR_Coverage, 13477,
     /* 1892349 */     GIR_EraseRootFromParent_Done,
     /* 1892350 */   // Label 23794: @1892350
     /* 1892350 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1892454), // Rule ID 13480 //
     /* 1892355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1892375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892401 */     // MIs[0] policy
     /* 1892401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1892428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892453 */     // GIR_Coverage, 13480,
     /* 1892453 */     GIR_EraseRootFromParent_Done,
     /* 1892454 */   // Label 23795: @1892454
     /* 1892454 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1892558), // Rule ID 13481 //
     /* 1892459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1892470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1892473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1892479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1892482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1892489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1892493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1892501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892505 */     // MIs[0] policy
     /* 1892505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1892532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892557 */     // GIR_Coverage, 13481,
     /* 1892557 */     GIR_EraseRootFromParent_Done,
     /* 1892558 */   // Label 23796: @1892558
     /* 1892558 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1892662), // Rule ID 13484 //
     /* 1892563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892609 */     // MIs[0] policy
     /* 1892609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1892636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892661 */     // GIR_Coverage, 13484,
     /* 1892661 */     GIR_EraseRootFromParent_Done,
     /* 1892662 */   // Label 23797: @1892662
     /* 1892662 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1892766), // Rule ID 13485 //
     /* 1892667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1892687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892713 */     // MIs[0] policy
     /* 1892713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892723 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1892740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892765 */     // GIR_Coverage, 13485,
     /* 1892765 */     GIR_EraseRootFromParent_Done,
     /* 1892766 */   // Label 23798: @1892766
     /* 1892766 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1892870), // Rule ID 13488 //
     /* 1892771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892817 */     // MIs[0] policy
     /* 1892817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1892844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892869 */     // GIR_Coverage, 13488,
     /* 1892869 */     GIR_EraseRootFromParent_Done,
     /* 1892870 */   // Label 23799: @1892870
     /* 1892870 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1892974), // Rule ID 13489 //
     /* 1892875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1892892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1892913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892921 */     // MIs[0] policy
     /* 1892921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892931 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1892935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1892941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1892945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1892948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1892952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1892962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892973 */     // GIR_Coverage, 13489,
     /* 1892973 */     GIR_EraseRootFromParent_Done,
     /* 1892974 */   // Label 23800: @1892974
     /* 1892974 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1893078), // Rule ID 13492 //
     /* 1892979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1892987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1892990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1892993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1892996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893025 */     // MIs[0] policy
     /* 1893025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893035 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1893052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893077 */     // GIR_Coverage, 13492,
     /* 1893077 */     GIR_EraseRootFromParent_Done,
     /* 1893078 */   // Label 23801: @1893078
     /* 1893078 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1893182), // Rule ID 13493 //
     /* 1893083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1893094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1893097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1893103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1893106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893129 */     // MIs[0] policy
     /* 1893129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893139 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1893156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893181 */     // GIR_Coverage, 13493,
     /* 1893181 */     GIR_EraseRootFromParent_Done,
     /* 1893182 */   // Label 23802: @1893182
     /* 1893182 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1893286), // Rule ID 13496 //
     /* 1893187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893233 */     // MIs[0] policy
     /* 1893233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1893260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893285 */     // GIR_Coverage, 13496,
     /* 1893285 */     GIR_EraseRootFromParent_Done,
     /* 1893286 */   // Label 23803: @1893286
     /* 1893286 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1893390), // Rule ID 13497 //
     /* 1893291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1893302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1893305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893337 */     // MIs[0] policy
     /* 1893337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1893364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893389 */     // GIR_Coverage, 13497,
     /* 1893389 */     GIR_EraseRootFromParent_Done,
     /* 1893390 */   // Label 23804: @1893390
     /* 1893390 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1893494), // Rule ID 13500 //
     /* 1893395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893441 */     // MIs[0] policy
     /* 1893441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893451 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1893468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893493 */     // GIR_Coverage, 13500,
     /* 1893493 */     GIR_EraseRootFromParent_Done,
     /* 1893494 */   // Label 23805: @1893494
     /* 1893494 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1893598), // Rule ID 13501 //
     /* 1893499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1893510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1893513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893545 */     // MIs[0] policy
     /* 1893545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1893572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893597 */     // GIR_Coverage, 13501,
     /* 1893597 */     GIR_EraseRootFromParent_Done,
     /* 1893598 */   // Label 23806: @1893598
     /* 1893598 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1893702), // Rule ID 13504 //
     /* 1893603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1893606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893649 */     // MIs[0] policy
     /* 1893649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893659 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1893676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893701 */     // GIR_Coverage, 13504,
     /* 1893701 */     GIR_EraseRootFromParent_Done,
     /* 1893702 */   // Label 23807: @1893702
     /* 1893702 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1893806), // Rule ID 13505 //
     /* 1893707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1893710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1893718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1893721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1893727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893753 */     // MIs[0] policy
     /* 1893753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893763 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1893780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893805 */     // GIR_Coverage, 13505,
     /* 1893805 */     GIR_EraseRootFromParent_Done,
     /* 1893806 */   // Label 23808: @1893806
     /* 1893806 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1893910), // Rule ID 13508 //
     /* 1893811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1893814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1893822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1893825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1893828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893857 */     // MIs[0] policy
     /* 1893857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893867 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1893884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1893898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1893906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893909 */     // GIR_Coverage, 13508,
     /* 1893909 */     GIR_EraseRootFromParent_Done,
     /* 1893910 */   // Label 23809: @1893910
     /* 1893910 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1894014), // Rule ID 13509 //
     /* 1893915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1893918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1893923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1893926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1893929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1893932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1893935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1893938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1893953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893961 */     // MIs[0] policy
     /* 1893961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893971 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1893975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1893981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1893985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1893988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1893992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894013 */     // GIR_Coverage, 13509,
     /* 1894013 */     GIR_EraseRootFromParent_Done,
     /* 1894014 */   // Label 23810: @1894014
     /* 1894014 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1894118), // Rule ID 13512 //
     /* 1894019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1894022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1894027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1894036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894065 */     // MIs[0] policy
     /* 1894065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1894092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894117 */     // GIR_Coverage, 13512,
     /* 1894117 */     GIR_EraseRootFromParent_Done,
     /* 1894118 */   // Label 23811: @1894118
     /* 1894118 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1894222), // Rule ID 13513 //
     /* 1894123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1894126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1894131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1894140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894169 */     // MIs[0] policy
     /* 1894169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894179 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1894196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894221 */     // GIR_Coverage, 13513,
     /* 1894221 */     GIR_EraseRootFromParent_Done,
     /* 1894222 */   // Label 23812: @1894222
     /* 1894222 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1894326), // Rule ID 13516 //
     /* 1894227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1894230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1894235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1894244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894273 */     // MIs[0] policy
     /* 1894273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894283 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1894300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894325 */     // GIR_Coverage, 13516,
     /* 1894325 */     GIR_EraseRootFromParent_Done,
     /* 1894326 */   // Label 23813: @1894326
     /* 1894326 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1894430), // Rule ID 13517 //
     /* 1894331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1894334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1894339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1894342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1894345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1894348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1894369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894377 */     // MIs[0] policy
     /* 1894377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894387 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1894404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894429 */     // GIR_Coverage, 13517,
     /* 1894429 */     GIR_EraseRootFromParent_Done,
     /* 1894430 */   // Label 23814: @1894430
     /* 1894430 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1894534), // Rule ID 13520 //
     /* 1894435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1894452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1894455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894481 */     // MIs[0] policy
     /* 1894481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1894508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1894530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894533 */     // GIR_Coverage, 13520,
     /* 1894533 */     GIR_EraseRootFromParent_Done,
     /* 1894534 */   // Label 23815: @1894534
     /* 1894534 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1894638), // Rule ID 13521 //
     /* 1894539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1894550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1894553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1894556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1894559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1894562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894585 */     // MIs[0] policy
     /* 1894585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894595 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1894612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1894634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894637 */     // GIR_Coverage, 13521,
     /* 1894637 */     GIR_EraseRootFromParent_Done,
     /* 1894638 */   // Label 23816: @1894638
     /* 1894638 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1894742), // Rule ID 13524 //
     /* 1894643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1894660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1894663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894689 */     // MIs[0] policy
     /* 1894689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894699 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1894716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1894738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894741 */     // GIR_Coverage, 13524,
     /* 1894741 */     GIR_EraseRootFromParent_Done,
     /* 1894742 */   // Label 23817: @1894742
     /* 1894742 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1894846), // Rule ID 13525 //
     /* 1894747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1894758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1894761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1894764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1894767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894793 */     // MIs[0] policy
     /* 1894793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1894820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1894842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894845 */     // GIR_Coverage, 13525,
     /* 1894845 */     GIR_EraseRootFromParent_Done,
     /* 1894846 */   // Label 23818: @1894846
     /* 1894846 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1894950), // Rule ID 13528 //
     /* 1894851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1894862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1894865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1894868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1894871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894897 */     // MIs[0] policy
     /* 1894897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894907 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1894911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1894917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1894921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1894924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1894928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1894938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1894946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894949 */     // GIR_Coverage, 13528,
     /* 1894949 */     GIR_EraseRootFromParent_Done,
     /* 1894950 */   // Label 23819: @1894950
     /* 1894950 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1895054), // Rule ID 13529 //
     /* 1894955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1894963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1894966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1894969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1894972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1894975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1894985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1894997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895001 */     // MIs[0] policy
     /* 1895001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1895028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895053 */     // GIR_Coverage, 13529,
     /* 1895053 */     GIR_EraseRootFromParent_Done,
     /* 1895054 */   // Label 23820: @1895054
     /* 1895054 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1895158), // Rule ID 13532 //
     /* 1895059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1895076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1895079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895105 */     // MIs[0] policy
     /* 1895105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895115 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1895132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895157 */     // GIR_Coverage, 13532,
     /* 1895157 */     GIR_EraseRootFromParent_Done,
     /* 1895158 */   // Label 23821: @1895158
     /* 1895158 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1895262), // Rule ID 13533 //
     /* 1895163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1895174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1895177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1895180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1895183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1895193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895209 */     // MIs[0] policy
     /* 1895209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895219 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1895236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895261 */     // GIR_Coverage, 13533,
     /* 1895261 */     GIR_EraseRootFromParent_Done,
     /* 1895262 */   // Label 23822: @1895262
     /* 1895262 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1895366), // Rule ID 13536 //
     /* 1895267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1895284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1895287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895313 */     // MIs[0] policy
     /* 1895313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895323 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1895340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895365 */     // GIR_Coverage, 13536,
     /* 1895365 */     GIR_EraseRootFromParent_Done,
     /* 1895366 */   // Label 23823: @1895366
     /* 1895366 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1895470), // Rule ID 13537 //
     /* 1895371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1895382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1895385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1895388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1895391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1895394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1895401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1895413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895417 */     // MIs[0] policy
     /* 1895417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1895444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895469 */     // GIR_Coverage, 13537,
     /* 1895469 */     GIR_EraseRootFromParent_Done,
     /* 1895470 */   // Label 23824: @1895470
     /* 1895470 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1895574), // Rule ID 13540 //
     /* 1895475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1895492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1895495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895521 */     // MIs[0] policy
     /* 1895521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895531 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1895548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895573 */     // GIR_Coverage, 13540,
     /* 1895573 */     GIR_EraseRootFromParent_Done,
     /* 1895574 */   // Label 23825: @1895574
     /* 1895574 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1895678), // Rule ID 13541 //
     /* 1895579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1895590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1895593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1895596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1895599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1895602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1895621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895625 */     // MIs[0] policy
     /* 1895625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895635 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1895652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895677 */     // GIR_Coverage, 13541,
     /* 1895677 */     GIR_EraseRootFromParent_Done,
     /* 1895678 */   // Label 23826: @1895678
     /* 1895678 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1895782), // Rule ID 13544 //
     /* 1895683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1895703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895729 */     // MIs[0] policy
     /* 1895729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895739 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1895756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895781 */     // GIR_Coverage, 13544,
     /* 1895781 */     GIR_EraseRootFromParent_Done,
     /* 1895782 */   // Label 23827: @1895782
     /* 1895782 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1895886), // Rule ID 13545 //
     /* 1895787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1895798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1895801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1895807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895833 */     // MIs[0] policy
     /* 1895833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1895860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895885 */     // GIR_Coverage, 13545,
     /* 1895885 */     GIR_EraseRootFromParent_Done,
     /* 1895886 */   // Label 23828: @1895886
     /* 1895886 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1895990), // Rule ID 13548 //
     /* 1895891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1895899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1895902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1895905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1895911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895937 */     // MIs[0] policy
     /* 1895937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1895951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1895957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1895961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1895964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1895968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1895978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895989 */     // GIR_Coverage, 13548,
     /* 1895989 */     GIR_EraseRootFromParent_Done,
     /* 1895990 */   // Label 23829: @1895990
     /* 1895990 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1896094), // Rule ID 13549 //
     /* 1895995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1896015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896041 */     // MIs[0] policy
     /* 1896041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896051 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1896068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896093 */     // GIR_Coverage, 13549,
     /* 1896093 */     GIR_EraseRootFromParent_Done,
     /* 1896094 */   // Label 23830: @1896094
     /* 1896094 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1896198), // Rule ID 13552 //
     /* 1896099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1896119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896145 */     // MIs[0] policy
     /* 1896145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1896172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896197 */     // GIR_Coverage, 13552,
     /* 1896197 */     GIR_EraseRootFromParent_Done,
     /* 1896198 */   // Label 23831: @1896198
     /* 1896198 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1896302), // Rule ID 13553 //
     /* 1896203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1896214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1896217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1896223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896249 */     // MIs[0] policy
     /* 1896249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1896276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896301 */     // GIR_Coverage, 13553,
     /* 1896301 */     GIR_EraseRootFromParent_Done,
     /* 1896302 */   // Label 23832: @1896302
     /* 1896302 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1896406), // Rule ID 13556 //
     /* 1896307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1896327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896353 */     // MIs[0] policy
     /* 1896353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1896380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896405 */     // GIR_Coverage, 13556,
     /* 1896405 */     GIR_EraseRootFromParent_Done,
     /* 1896406 */   // Label 23833: @1896406
     /* 1896406 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1896510), // Rule ID 13557 //
     /* 1896411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1896422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1896425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1896428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1896431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1896441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896457 */     // MIs[0] policy
     /* 1896457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1896484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896509 */     // GIR_Coverage, 13557,
     /* 1896509 */     GIR_EraseRootFromParent_Done,
     /* 1896510 */   // Label 23834: @1896510
     /* 1896510 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1896614), // Rule ID 13560 //
     /* 1896515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1896535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896561 */     // MIs[0] policy
     /* 1896561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1896588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896613 */     // GIR_Coverage, 13560,
     /* 1896613 */     GIR_EraseRootFromParent_Done,
     /* 1896614 */   // Label 23835: @1896614
     /* 1896614 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1896718), // Rule ID 13561 //
     /* 1896619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1896630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1896633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1896636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1896639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1896642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1896649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1896653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1896661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896665 */     // MIs[0] policy
     /* 1896665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1896692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896717 */     // GIR_Coverage, 13561,
     /* 1896717 */     GIR_EraseRootFromParent_Done,
     /* 1896718 */   // Label 23836: @1896718
     /* 1896718 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1896822), // Rule ID 13564 //
     /* 1896723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1896726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1896743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896769 */     // MIs[0] policy
     /* 1896769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896779 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1896796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896821 */     // GIR_Coverage, 13564,
     /* 1896821 */     GIR_EraseRootFromParent_Done,
     /* 1896822 */   // Label 23837: @1896822
     /* 1896822 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1896926), // Rule ID 13565 //
     /* 1896827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1896830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1896847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896873 */     // MIs[0] policy
     /* 1896873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896883 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1896897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1896900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1896904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1896914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896925 */     // GIR_Coverage, 13565,
     /* 1896925 */     GIR_EraseRootFromParent_Done,
     /* 1896926 */   // Label 23838: @1896926
     /* 1896926 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1897030), // Rule ID 13568 //
     /* 1896931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1896934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1896939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1896942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1896945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1896951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1896961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1896965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896977 */     // MIs[0] policy
     /* 1896977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896987 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1896991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1896997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1897004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897029 */     // GIR_Coverage, 13568,
     /* 1897029 */     GIR_EraseRootFromParent_Done,
     /* 1897030 */   // Label 23839: @1897030
     /* 1897030 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1897134), // Rule ID 13569 //
     /* 1897035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1897038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1897046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1897049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1897052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1897055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897081 */     // MIs[0] policy
     /* 1897081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897091 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1897108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897133 */     // GIR_Coverage, 13569,
     /* 1897133 */     GIR_EraseRootFromParent_Done,
     /* 1897134 */   // Label 23840: @1897134
     /* 1897134 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1897238), // Rule ID 13572 //
     /* 1897139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1897142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1897159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897185 */     // MIs[0] policy
     /* 1897185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897195 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1897212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897237 */     // GIR_Coverage, 13572,
     /* 1897237 */     GIR_EraseRootFromParent_Done,
     /* 1897238 */   // Label 23841: @1897238
     /* 1897238 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1897342), // Rule ID 13573 //
     /* 1897243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1897246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1897254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1897257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1897260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1897263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897289 */     // MIs[0] policy
     /* 1897289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897299 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1897316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897341 */     // GIR_Coverage, 13573,
     /* 1897341 */     GIR_EraseRootFromParent_Done,
     /* 1897342 */   // Label 23842: @1897342
     /* 1897342 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1897446), // Rule ID 13576 //
     /* 1897347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1897350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1897367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897393 */     // MIs[0] policy
     /* 1897393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1897420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897445 */     // GIR_Coverage, 13576,
     /* 1897445 */     GIR_EraseRootFromParent_Done,
     /* 1897446 */   // Label 23843: @1897446
     /* 1897446 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1897550), // Rule ID 13577 //
     /* 1897451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1897454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1897462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1897465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1897468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1897471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897497 */     // MIs[0] policy
     /* 1897497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897507 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1897524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1897546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897549 */     // GIR_Coverage, 13577,
     /* 1897549 */     GIR_EraseRootFromParent_Done,
     /* 1897550 */   // Label 23844: @1897550
     /* 1897550 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1897654), // Rule ID 13580 //
     /* 1897555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1897572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1897575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897601 */     // MIs[0] policy
     /* 1897601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1897628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897653 */     // GIR_Coverage, 13580,
     /* 1897653 */     GIR_EraseRootFromParent_Done,
     /* 1897654 */   // Label 23845: @1897654
     /* 1897654 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1897758), // Rule ID 13581 //
     /* 1897659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1897670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1897673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1897676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1897679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1897682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897705 */     // MIs[0] policy
     /* 1897705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1897732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897757 */     // GIR_Coverage, 13581,
     /* 1897757 */     GIR_EraseRootFromParent_Done,
     /* 1897758 */   // Label 23846: @1897758
     /* 1897758 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1897862), // Rule ID 13584 //
     /* 1897763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1897780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1897783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897809 */     // MIs[0] policy
     /* 1897809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1897836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897861 */     // GIR_Coverage, 13584,
     /* 1897861 */     GIR_EraseRootFromParent_Done,
     /* 1897862 */   // Label 23847: @1897862
     /* 1897862 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1897966), // Rule ID 13585 //
     /* 1897867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1897878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1897881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1897884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1897887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1897890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1897897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1897909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897913 */     // MIs[0] policy
     /* 1897913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897923 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1897927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1897933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1897937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1897940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1897944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1897954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897965 */     // GIR_Coverage, 13585,
     /* 1897965 */     GIR_EraseRootFromParent_Done,
     /* 1897966 */   // Label 23848: @1897966
     /* 1897966 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1898070), // Rule ID 13588 //
     /* 1897971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1897979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1897982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1897985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1897988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1897991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1897994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898017 */     // MIs[0] policy
     /* 1898017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1898044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898069 */     // GIR_Coverage, 13588,
     /* 1898069 */     GIR_EraseRootFromParent_Done,
     /* 1898070 */   // Label 23849: @1898070
     /* 1898070 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1898174), // Rule ID 13589 //
     /* 1898075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1898086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1898089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1898092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1898095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898121 */     // MIs[0] policy
     /* 1898121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11284:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1898148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898173 */     // GIR_Coverage, 13589,
     /* 1898173 */     GIR_EraseRootFromParent_Done,
     /* 1898174 */   // Label 23850: @1898174
     /* 1898174 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1898278), // Rule ID 13592 //
     /* 1898179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1898196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1898199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898225 */     // MIs[0] policy
     /* 1898225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1898252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898277 */     // GIR_Coverage, 13592,
     /* 1898277 */     GIR_EraseRootFromParent_Done,
     /* 1898278 */   // Label 23851: @1898278
     /* 1898278 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1898382), // Rule ID 13593 //
     /* 1898283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1898294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1898297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1898300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1898303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898329 */     // MIs[0] policy
     /* 1898329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898339 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1898356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898381 */     // GIR_Coverage, 13593,
     /* 1898381 */     GIR_EraseRootFromParent_Done,
     /* 1898382 */   // Label 23852: @1898382
     /* 1898382 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1898486), // Rule ID 13596 //
     /* 1898387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1898404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1898407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898433 */     // MIs[0] policy
     /* 1898433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898443 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1898460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898485 */     // GIR_Coverage, 13596,
     /* 1898485 */     GIR_EraseRootFromParent_Done,
     /* 1898486 */   // Label 23853: @1898486
     /* 1898486 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1898590), // Rule ID 13597 //
     /* 1898491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1898502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1898505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1898508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1898511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898537 */     // MIs[0] policy
     /* 1898537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1898564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898589 */     // GIR_Coverage, 13597,
     /* 1898589 */     GIR_EraseRootFromParent_Done,
     /* 1898590 */   // Label 23854: @1898590
     /* 1898590 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1898694), // Rule ID 13600 //
     /* 1898595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1898612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1898615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898641 */     // MIs[0] policy
     /* 1898641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898651 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1898668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898693 */     // GIR_Coverage, 13600,
     /* 1898693 */     GIR_EraseRootFromParent_Done,
     /* 1898694 */   // Label 23855: @1898694
     /* 1898694 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1898798), // Rule ID 13601 //
     /* 1898699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1898710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1898713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1898716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1898719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1898722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898745 */     // MIs[0] policy
     /* 1898745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898755 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1898772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1898794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898797 */     // GIR_Coverage, 13601,
     /* 1898797 */     GIR_EraseRootFromParent_Done,
     /* 1898798 */   // Label 23856: @1898798
     /* 1898798 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1898902), // Rule ID 13604 //
     /* 1898803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1898820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898849 */     // MIs[0] policy
     /* 1898849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1898876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898901 */     // GIR_Coverage, 13604,
     /* 1898901 */     GIR_EraseRootFromParent_Done,
     /* 1898902 */   // Label 23857: @1898902
     /* 1898902 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1899006), // Rule ID 13605 //
     /* 1898907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1898915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1898918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1898921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1898924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1898927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1898930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1898937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1898949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898953 */     // MIs[0] policy
     /* 1898953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1898967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1898973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1898977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1898980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1898984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1898994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899005 */     // GIR_Coverage, 13605,
     /* 1899005 */     GIR_EraseRootFromParent_Done,
     /* 1899006 */   // Label 23858: @1899006
     /* 1899006 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1899110), // Rule ID 13608 //
     /* 1899011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1899014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1899028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899057 */     // MIs[0] policy
     /* 1899057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899067 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1899084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899109 */     // GIR_Coverage, 13608,
     /* 1899109 */     GIR_EraseRootFromParent_Done,
     /* 1899110 */   // Label 23859: @1899110
     /* 1899110 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1899214), // Rule ID 13609 //
     /* 1899115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1899118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1899132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899161 */     // MIs[0] policy
     /* 1899161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1899188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899213 */     // GIR_Coverage, 13609,
     /* 1899213 */     GIR_EraseRootFromParent_Done,
     /* 1899214 */   // Label 23860: @1899214
     /* 1899214 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1899318), // Rule ID 13612 //
     /* 1899219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1899222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1899236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899265 */     // MIs[0] policy
     /* 1899265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1899292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899317 */     // GIR_Coverage, 13612,
     /* 1899317 */     GIR_EraseRootFromParent_Done,
     /* 1899318 */   // Label 23861: @1899318
     /* 1899318 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1899422), // Rule ID 13613 //
     /* 1899323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1899326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1899334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1899337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1899340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1899353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899369 */     // MIs[0] policy
     /* 1899369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1899396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899421 */     // GIR_Coverage, 13613,
     /* 1899421 */     GIR_EraseRootFromParent_Done,
     /* 1899422 */   // Label 23862: @1899422
     /* 1899422 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1899526), // Rule ID 13616 //
     /* 1899427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1899430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1899444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899473 */     // MIs[0] policy
     /* 1899473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1899500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899525 */     // GIR_Coverage, 13616,
     /* 1899525 */     GIR_EraseRootFromParent_Done,
     /* 1899526 */   // Label 23863: @1899526
     /* 1899526 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1899630), // Rule ID 13617 //
     /* 1899531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1899534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1899542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1899545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1899548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1899551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1899561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1899573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899577 */     // MIs[0] policy
     /* 1899577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1899604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899629 */     // GIR_Coverage, 13617,
     /* 1899629 */     GIR_EraseRootFromParent_Done,
     /* 1899630 */   // Label 23864: @1899630
     /* 1899630 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1899734), // Rule ID 13620 //
     /* 1899635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1899638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1899652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899681 */     // MIs[0] policy
     /* 1899681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1899708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899733 */     // GIR_Coverage, 13620,
     /* 1899733 */     GIR_EraseRootFromParent_Done,
     /* 1899734 */   // Label 23865: @1899734
     /* 1899734 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1899838), // Rule ID 13621 //
     /* 1899739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1899742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1899750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1899753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1899756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1899759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1899762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1899781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899785 */     // MIs[0] policy
     /* 1899785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1899812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899837 */     // GIR_Coverage, 13621,
     /* 1899837 */     GIR_EraseRootFromParent_Done,
     /* 1899838 */   // Label 23866: @1899838
     /* 1899838 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1899942), // Rule ID 13624 //
     /* 1899843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1899846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1899860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1899863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899889 */     // MIs[0] policy
     /* 1899889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899899 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1899903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1899909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1899913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1899916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1899920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1899930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899941 */     // GIR_Coverage, 13624,
     /* 1899941 */     GIR_EraseRootFromParent_Done,
     /* 1899942 */   // Label 23867: @1899942
     /* 1899942 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1900046), // Rule ID 13625 //
     /* 1899947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1899950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1899955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1899964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1899967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899993 */     // MIs[0] policy
     /* 1899993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1900020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900045 */     // GIR_Coverage, 13625,
     /* 1900045 */     GIR_EraseRootFromParent_Done,
     /* 1900046 */   // Label 23868: @1900046
     /* 1900046 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1900150), // Rule ID 13628 //
     /* 1900051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1900054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1900068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900097 */     // MIs[0] policy
     /* 1900097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1900124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900149 */     // GIR_Coverage, 13628,
     /* 1900149 */     GIR_EraseRootFromParent_Done,
     /* 1900150 */   // Label 23869: @1900150
     /* 1900150 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1900254), // Rule ID 13629 //
     /* 1900155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1900158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1900166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1900169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1900172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1900175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900201 */     // MIs[0] policy
     /* 1900201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1900228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900253 */     // GIR_Coverage, 13629,
     /* 1900253 */     GIR_EraseRootFromParent_Done,
     /* 1900254 */   // Label 23870: @1900254
     /* 1900254 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1900358), // Rule ID 13632 //
     /* 1900259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1900262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1900276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900305 */     // MIs[0] policy
     /* 1900305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900315 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1900332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900357 */     // GIR_Coverage, 13632,
     /* 1900357 */     GIR_EraseRootFromParent_Done,
     /* 1900358 */   // Label 23871: @1900358
     /* 1900358 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1900462), // Rule ID 13633 //
     /* 1900363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1900366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1900374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1900377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1900380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900409 */     // MIs[0] policy
     /* 1900409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1900436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900461 */     // GIR_Coverage, 13633,
     /* 1900461 */     GIR_EraseRootFromParent_Done,
     /* 1900462 */   // Label 23872: @1900462
     /* 1900462 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1900566), // Rule ID 13636 //
     /* 1900467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1900470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1900484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900513 */     // MIs[0] policy
     /* 1900513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900523 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1900540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900565 */     // GIR_Coverage, 13636,
     /* 1900565 */     GIR_EraseRootFromParent_Done,
     /* 1900566 */   // Label 23873: @1900566
     /* 1900566 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1900670), // Rule ID 13637 //
     /* 1900571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1900574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1900579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1900582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1900585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1900588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900617 */     // MIs[0] policy
     /* 1900617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900627 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1900644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900669 */     // GIR_Coverage, 13637,
     /* 1900669 */     GIR_EraseRootFromParent_Done,
     /* 1900670 */   // Label 23874: @1900670
     /* 1900670 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1900774), // Rule ID 13640 //
     /* 1900675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1900678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1900683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1900692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1900695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900721 */     // MIs[0] policy
     /* 1900721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1900748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1900770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900773 */     // GIR_Coverage, 13640,
     /* 1900773 */     GIR_EraseRootFromParent_Done,
     /* 1900774 */   // Label 23875: @1900774
     /* 1900774 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1900878), // Rule ID 13641 //
     /* 1900779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1900782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1900787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1900790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1900793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1900796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1900799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900825 */     // MIs[0] policy
     /* 1900825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900835 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1900852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1900874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900877 */     // GIR_Coverage, 13641,
     /* 1900877 */     GIR_EraseRootFromParent_Done,
     /* 1900878 */   // Label 23876: @1900878
     /* 1900878 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1900982), // Rule ID 13644 //
     /* 1900883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1900886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1900891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1900897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1900900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1900903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1900906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1900921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900929 */     // MIs[0] policy
     /* 1900929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900939 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1900943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1900949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1900953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1900956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1900960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1900970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1900978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900981 */     // GIR_Coverage, 13644,
     /* 1900981 */     GIR_EraseRootFromParent_Done,
     /* 1900982 */   // Label 23877: @1900982
     /* 1900982 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1901086), // Rule ID 13645 //
     /* 1900987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1900990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1900995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1900998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1901004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1901007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901033 */     // MIs[0] policy
     /* 1901033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901043 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1901060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901085 */     // GIR_Coverage, 13645,
     /* 1901085 */     GIR_EraseRootFromParent_Done,
     /* 1901086 */   // Label 23878: @1901086
     /* 1901086 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1901190), // Rule ID 13648 //
     /* 1901091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1901094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1901108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1901111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901137 */     // MIs[0] policy
     /* 1901137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901147 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1901164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901189 */     // GIR_Coverage, 13648,
     /* 1901189 */     GIR_EraseRootFromParent_Done,
     /* 1901190 */   // Label 23879: @1901190
     /* 1901190 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1901294), // Rule ID 13649 //
     /* 1901195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1901198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1901206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1901209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1901212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1901215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901241 */     // MIs[0] policy
     /* 1901241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901251 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1901268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901293 */     // GIR_Coverage, 13649,
     /* 1901293 */     GIR_EraseRootFromParent_Done,
     /* 1901294 */   // Label 23880: @1901294
     /* 1901294 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1901398), // Rule ID 13652 //
     /* 1901299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1901302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1901316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1901319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901345 */     // MIs[0] policy
     /* 1901345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1901372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901397 */     // GIR_Coverage, 13652,
     /* 1901397 */     GIR_EraseRootFromParent_Done,
     /* 1901398 */   // Label 23881: @1901398
     /* 1901398 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1901502), // Rule ID 13653 //
     /* 1901403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1901406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1901414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1901417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1901420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1901423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901449 */     // MIs[0] policy
     /* 1901449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1901476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901501 */     // GIR_Coverage, 13653,
     /* 1901501 */     GIR_EraseRootFromParent_Done,
     /* 1901502 */   // Label 23882: @1901502
     /* 1901502 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1901606), // Rule ID 13656 //
     /* 1901507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1901510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1901524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1901527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901553 */     // MIs[0] policy
     /* 1901553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1901580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901605 */     // GIR_Coverage, 13656,
     /* 1901605 */     GIR_EraseRootFromParent_Done,
     /* 1901606 */   // Label 23883: @1901606
     /* 1901606 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1901710), // Rule ID 13657 //
     /* 1901611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1901614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1901622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1901625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1901628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1901631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901657 */     // MIs[0] policy
     /* 1901657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901667 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1901684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901709 */     // GIR_Coverage, 13657,
     /* 1901709 */     GIR_EraseRootFromParent_Done,
     /* 1901710 */   // Label 23884: @1901710
     /* 1901710 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1901814), // Rule ID 13660 //
     /* 1901715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1901718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1901732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1901735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901761 */     // MIs[0] policy
     /* 1901761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901771 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1901788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901813 */     // GIR_Coverage, 13660,
     /* 1901813 */     GIR_EraseRootFromParent_Done,
     /* 1901814 */   // Label 23885: @1901814
     /* 1901814 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1901918), // Rule ID 13661 //
     /* 1901819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1901822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1901830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1901833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1901836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1901839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1901842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901865 */     // MIs[0] policy
     /* 1901865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901875 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1901892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1901896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1901906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1901914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901917 */     // GIR_Coverage, 13661,
     /* 1901917 */     GIR_EraseRootFromParent_Done,
     /* 1901918 */   // Label 23886: @1901918
     /* 1901918 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1902022), // Rule ID 13664 //
     /* 1901923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1901926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1901931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1901934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1901937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1901940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1901943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1901961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901969 */     // MIs[0] policy
     /* 1901969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1901983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1901989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1901993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1901996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902021 */     // GIR_Coverage, 13664,
     /* 1902021 */     GIR_EraseRootFromParent_Done,
     /* 1902022 */   // Label 23887: @1902022
     /* 1902022 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1902126), // Rule ID 13665 //
     /* 1902027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1902030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1902044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1902047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902073 */     // MIs[0] policy
     /* 1902073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902083 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1902100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902125 */     // GIR_Coverage, 13665,
     /* 1902125 */     GIR_EraseRootFromParent_Done,
     /* 1902126 */   // Label 23888: @1902126
     /* 1902126 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1902230), // Rule ID 13668 //
     /* 1902131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1902134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1902148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902177 */     // MIs[0] policy
     /* 1902177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1902204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902229 */     // GIR_Coverage, 13668,
     /* 1902229 */     GIR_EraseRootFromParent_Done,
     /* 1902230 */   // Label 23889: @1902230
     /* 1902230 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1902334), // Rule ID 13669 //
     /* 1902235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1902238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1902252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1902255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902281 */     // MIs[0] policy
     /* 1902281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1902308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902333 */     // GIR_Coverage, 13669,
     /* 1902333 */     GIR_EraseRootFromParent_Done,
     /* 1902334 */   // Label 23890: @1902334
     /* 1902334 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1902438), // Rule ID 13672 //
     /* 1902339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1902342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1902356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1902359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902385 */     // MIs[0] policy
     /* 1902385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902395 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1902412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902437 */     // GIR_Coverage, 13672,
     /* 1902437 */     GIR_EraseRootFromParent_Done,
     /* 1902438 */   // Label 23891: @1902438
     /* 1902438 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1902542), // Rule ID 13673 //
     /* 1902443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1902446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1902454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1902457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1902460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1902463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902489 */     // MIs[0] policy
     /* 1902489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902499 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1902516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902541 */     // GIR_Coverage, 13673,
     /* 1902541 */     GIR_EraseRootFromParent_Done,
     /* 1902542 */   // Label 23892: @1902542
     /* 1902542 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1902646), // Rule ID 13676 //
     /* 1902547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1902550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1902564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1902567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902593 */     // MIs[0] policy
     /* 1902593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1902620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902645 */     // GIR_Coverage, 13676,
     /* 1902645 */     GIR_EraseRootFromParent_Done,
     /* 1902646 */   // Label 23893: @1902646
     /* 1902646 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1902750), // Rule ID 13677 //
     /* 1902651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1902654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1902662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1902665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1902668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1902671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902697 */     // MIs[0] policy
     /* 1902697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1902724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902749 */     // GIR_Coverage, 13677,
     /* 1902749 */     GIR_EraseRootFromParent_Done,
     /* 1902750 */   // Label 23894: @1902750
     /* 1902750 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1902854), // Rule ID 13680 //
     /* 1902755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1902758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1902772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1902775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902801 */     // MIs[0] policy
     /* 1902801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1902828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902853 */     // GIR_Coverage, 13680,
     /* 1902853 */     GIR_EraseRootFromParent_Done,
     /* 1902854 */   // Label 23895: @1902854
     /* 1902854 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1902958), // Rule ID 13681 //
     /* 1902859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1902862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1902870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1902873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1902876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1902879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1902889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1902893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1902897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902905 */     // MIs[0] policy
     /* 1902905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1902919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1902925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1902929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1902932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1902936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1902946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902957 */     // GIR_Coverage, 13681,
     /* 1902957 */     GIR_EraseRootFromParent_Done,
     /* 1902958 */   // Label 23896: @1902958
     /* 1902958 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1903062), // Rule ID 13684 //
     /* 1902963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1902966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1902971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1902980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1902983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903009 */     // MIs[0] policy
     /* 1903009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1903036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903061 */     // GIR_Coverage, 13684,
     /* 1903061 */     GIR_EraseRootFromParent_Done,
     /* 1903062 */   // Label 23897: @1903062
     /* 1903062 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1903166), // Rule ID 13685 //
     /* 1903067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1903070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1903078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1903081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1903084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1903087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903113 */     // MIs[0] policy
     /* 1903113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1903140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903165 */     // GIR_Coverage, 13685,
     /* 1903165 */     GIR_EraseRootFromParent_Done,
     /* 1903166 */   // Label 23898: @1903166
     /* 1903166 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1903270), // Rule ID 13688 //
     /* 1903171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1903174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1903188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903217 */     // MIs[0] policy
     /* 1903217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1903244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903269 */     // GIR_Coverage, 13688,
     /* 1903269 */     GIR_EraseRootFromParent_Done,
     /* 1903270 */   // Label 23899: @1903270
     /* 1903270 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1903374), // Rule ID 13689 //
     /* 1903275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1903278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1903292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1903295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903321 */     // MIs[0] policy
     /* 1903321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903331 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1903348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903373 */     // GIR_Coverage, 13689,
     /* 1903373 */     GIR_EraseRootFromParent_Done,
     /* 1903374 */   // Label 23900: @1903374
     /* 1903374 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1903478), // Rule ID 13692 //
     /* 1903379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1903382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1903396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1903399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903425 */     // MIs[0] policy
     /* 1903425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1903452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903477 */     // GIR_Coverage, 13692,
     /* 1903477 */     GIR_EraseRootFromParent_Done,
     /* 1903478 */   // Label 23901: @1903478
     /* 1903478 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1903582), // Rule ID 13693 //
     /* 1903483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1903486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1903500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1903503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903529 */     // MIs[0] policy
     /* 1903529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903539 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1903556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903581 */     // GIR_Coverage, 13693,
     /* 1903581 */     GIR_EraseRootFromParent_Done,
     /* 1903582 */   // Label 23902: @1903582
     /* 1903582 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1903686), // Rule ID 13696 //
     /* 1903587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1903590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1903604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1903607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903633 */     // MIs[0] policy
     /* 1903633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1903660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903685 */     // GIR_Coverage, 13696,
     /* 1903685 */     GIR_EraseRootFromParent_Done,
     /* 1903686 */   // Label 23903: @1903686
     /* 1903686 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1903790), // Rule ID 13697 //
     /* 1903691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1903694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1903699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1903702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1903705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1903708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1903711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1903729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903737 */     // MIs[0] policy
     /* 1903737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903747 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1903764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1903768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903789 */     // GIR_Coverage, 13697,
     /* 1903789 */     GIR_EraseRootFromParent_Done,
     /* 1903790 */   // Label 23904: @1903790
     /* 1903790 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1903897), // Rule ID 13906 //
     /* 1903795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1903798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1903803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1903806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1903809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1903812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1903815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903841 */     // MIs[0] policy
     /* 1903841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1903868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1903890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1903895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903896 */     // GIR_Coverage, 13906,
     /* 1903896 */     GIR_EraseRootFromParent_Done,
     /* 1903897 */   // Label 23905: @1903897
     /* 1903897 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1904004), // Rule ID 13907 //
     /* 1903902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1903905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1903910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1903913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1903916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1903919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1903922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1903925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1903932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1903944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903948 */     // MIs[0] policy
     /* 1903948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903958 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1903962 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1903968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1903972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1903975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1903989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1903997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904003 */     // GIR_Coverage, 13907,
     /* 1904003 */     GIR_EraseRootFromParent_Done,
     /* 1904004 */   // Label 23906: @1904004
     /* 1904004 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1904111), // Rule ID 13910 //
     /* 1904009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1904012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1904020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1904023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1904026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1904029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904055 */     // MIs[0] policy
     /* 1904055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904065 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1904082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1904104 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904106 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904110 */     // GIR_Coverage, 13910,
     /* 1904110 */     GIR_EraseRootFromParent_Done,
     /* 1904111 */   // Label 23907: @1904111
     /* 1904111 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1904218), // Rule ID 13911 //
     /* 1904116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1904119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1904127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1904130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1904133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1904136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904162 */     // MIs[0] policy
     /* 1904162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904172 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904176 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1904189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1904211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904217 */     // GIR_Coverage, 13911,
     /* 1904217 */     GIR_EraseRootFromParent_Done,
     /* 1904218 */   // Label 23908: @1904218
     /* 1904218 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1904325), // Rule ID 13914 //
     /* 1904223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1904226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1904234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1904237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1904240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1904243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904269 */     // MIs[0] policy
     /* 1904269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904279 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1904296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1904318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904324 */     // GIR_Coverage, 13914,
     /* 1904324 */     GIR_EraseRootFromParent_Done,
     /* 1904325 */   // Label 23909: @1904325
     /* 1904325 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1904432), // Rule ID 13915 //
     /* 1904330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1904333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1904341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1904344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1904347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1904350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904376 */     // MIs[0] policy
     /* 1904376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1904403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1904425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904431 */     // GIR_Coverage, 13915,
     /* 1904431 */     GIR_EraseRootFromParent_Done,
     /* 1904432 */   // Label 23910: @1904432
     /* 1904432 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1904539), // Rule ID 13918 //
     /* 1904437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1904440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904483 */     // MIs[0] policy
     /* 1904483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904493 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1904510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904538 */     // GIR_Coverage, 13918,
     /* 1904538 */     GIR_EraseRootFromParent_Done,
     /* 1904539 */   // Label 23911: @1904539
     /* 1904539 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1904646), // Rule ID 13919 //
     /* 1904544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1904547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904590 */     // MIs[0] policy
     /* 1904590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1904617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904645 */     // GIR_Coverage, 13919,
     /* 1904645 */     GIR_EraseRootFromParent_Done,
     /* 1904646 */   // Label 23912: @1904646
     /* 1904646 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1904753), // Rule ID 13922 //
     /* 1904651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1904654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1904671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904697 */     // MIs[0] policy
     /* 1904697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1904724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904752 */     // GIR_Coverage, 13922,
     /* 1904752 */     GIR_EraseRootFromParent_Done,
     /* 1904753 */   // Label 23913: @1904753
     /* 1904753 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1904860), // Rule ID 13923 //
     /* 1904758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1904761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1904778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904804 */     // MIs[0] policy
     /* 1904804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904814 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1904831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904859 */     // GIR_Coverage, 13923,
     /* 1904859 */     GIR_EraseRootFromParent_Done,
     /* 1904860 */   // Label 23914: @1904860
     /* 1904860 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1904967), // Rule ID 13926 //
     /* 1904865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1904868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904911 */     // MIs[0] policy
     /* 1904911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1904925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1904931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1904935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1904938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1904952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1904965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904966 */     // GIR_Coverage, 13926,
     /* 1904966 */     GIR_EraseRootFromParent_Done,
     /* 1904967 */   // Label 23915: @1904967
     /* 1904967 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1905074), // Rule ID 13927 //
     /* 1904972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1904975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1904980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905018 */     // MIs[0] policy
     /* 1905018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905032 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1905045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905073 */     // GIR_Coverage, 13927,
     /* 1905073 */     GIR_EraseRootFromParent_Done,
     /* 1905074 */   // Label 23916: @1905074
     /* 1905074 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1905181), // Rule ID 13930 //
     /* 1905079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1905082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1905090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1905093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1905096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1905099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905125 */     // MIs[0] policy
     /* 1905125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905135 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1905174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905180 */     // GIR_Coverage, 13930,
     /* 1905180 */     GIR_EraseRootFromParent_Done,
     /* 1905181 */   // Label 23917: @1905181
     /* 1905181 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1905288), // Rule ID 13931 //
     /* 1905186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1905189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1905197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1905200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1905203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1905206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905232 */     // MIs[0] policy
     /* 1905232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905246 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1905281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905287 */     // GIR_Coverage, 13931,
     /* 1905287 */     GIR_EraseRootFromParent_Done,
     /* 1905288 */   // Label 23918: @1905288
     /* 1905288 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1905395), // Rule ID 13934 //
     /* 1905293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1905296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905339 */     // MIs[0] policy
     /* 1905339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905349 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905388 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905394 */     // GIR_Coverage, 13934,
     /* 1905394 */     GIR_EraseRootFromParent_Done,
     /* 1905395 */   // Label 23919: @1905395
     /* 1905395 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1905502), // Rule ID 13935 //
     /* 1905400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1905403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1905411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1905414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1905417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1905420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905446 */     // MIs[0] policy
     /* 1905446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905460 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905501 */     // GIR_Coverage, 13935,
     /* 1905501 */     GIR_EraseRootFromParent_Done,
     /* 1905502 */   // Label 23920: @1905502
     /* 1905502 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1905609), // Rule ID 13938 //
     /* 1905507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1905510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905553 */     // MIs[0] policy
     /* 1905553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905563 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905608 */     // GIR_Coverage, 13938,
     /* 1905608 */     GIR_EraseRootFromParent_Done,
     /* 1905609 */   // Label 23921: @1905609
     /* 1905609 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1905716), // Rule ID 13939 //
     /* 1905614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1905617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905660 */     // MIs[0] policy
     /* 1905660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905670 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905715 */     // GIR_Coverage, 13939,
     /* 1905715 */     GIR_EraseRootFromParent_Done,
     /* 1905716 */   // Label 23922: @1905716
     /* 1905716 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1905823), // Rule ID 13942 //
     /* 1905721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1905724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905767 */     // MIs[0] policy
     /* 1905767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905777 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905781 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905787 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905822 */     // GIR_Coverage, 13942,
     /* 1905822 */     GIR_EraseRootFromParent_Done,
     /* 1905823 */   // Label 23923: @1905823
     /* 1905823 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1905930), // Rule ID 13943 //
     /* 1905828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1905831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905874 */     // MIs[0] policy
     /* 1905874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1905894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1905898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1905901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1905915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1905928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905929 */     // GIR_Coverage, 13943,
     /* 1905929 */     GIR_EraseRootFromParent_Done,
     /* 1905930 */   // Label 23924: @1905930
     /* 1905930 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1906037), // Rule ID 13946 //
     /* 1905935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1905938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1905943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1905946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1905949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1905952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1905955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905981 */     // MIs[0] policy
     /* 1905981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1905995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1906008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906030 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906036 */     // GIR_Coverage, 13946,
     /* 1906036 */     GIR_EraseRootFromParent_Done,
     /* 1906037 */   // Label 23925: @1906037
     /* 1906037 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1906144), // Rule ID 13947 //
     /* 1906042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1906053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1906056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1906059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1906062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906088 */     // MIs[0] policy
     /* 1906088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1906115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906143 */     // GIR_Coverage, 13947,
     /* 1906143 */     GIR_EraseRootFromParent_Done,
     /* 1906144 */   // Label 23926: @1906144
     /* 1906144 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1906251), // Rule ID 13950 //
     /* 1906149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1906160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1906163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1906166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1906169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906195 */     // MIs[0] policy
     /* 1906195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906205 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1906222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906250 */     // GIR_Coverage, 13950,
     /* 1906250 */     GIR_EraseRootFromParent_Done,
     /* 1906251 */   // Label 23927: @1906251
     /* 1906251 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1906358), // Rule ID 13951 //
     /* 1906256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1906267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1906270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1906273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1906276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1906279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906302 */     // MIs[0] policy
     /* 1906302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906312 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906316 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1906329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906337 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906353 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906357 */     // GIR_Coverage, 13951,
     /* 1906357 */     GIR_EraseRootFromParent_Done,
     /* 1906358 */   // Label 23928: @1906358
     /* 1906358 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1906465), // Rule ID 13954 //
     /* 1906363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1906374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1906377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1906380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1906383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1906386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906409 */     // MIs[0] policy
     /* 1906409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906419 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1906436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906464 */     // GIR_Coverage, 13954,
     /* 1906464 */     GIR_EraseRootFromParent_Done,
     /* 1906465 */   // Label 23929: @1906465
     /* 1906465 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1906572), // Rule ID 13955 //
     /* 1906470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1906481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1906484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1906487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1906490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1906493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906516 */     // MIs[0] policy
     /* 1906516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906526 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906530 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1906543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1906565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906567 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906571 */     // GIR_Coverage, 13955,
     /* 1906571 */     GIR_EraseRootFromParent_Done,
     /* 1906572 */   // Label 23930: @1906572
     /* 1906572 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1906679), // Rule ID 13958 //
     /* 1906577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1906597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906623 */     // MIs[0] policy
     /* 1906623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1906650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906678 */     // GIR_Coverage, 13958,
     /* 1906678 */     GIR_EraseRootFromParent_Done,
     /* 1906679 */   // Label 23931: @1906679
     /* 1906679 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1906786), // Rule ID 13959 //
     /* 1906684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1906695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1906698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1906701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1906704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906730 */     // MIs[0] policy
     /* 1906730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1906757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906781 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906785 */     // GIR_Coverage, 13959,
     /* 1906785 */     GIR_EraseRootFromParent_Done,
     /* 1906786 */   // Label 23932: @1906786
     /* 1906786 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1906893), // Rule ID 13962 //
     /* 1906791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1906794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906837 */     // MIs[0] policy
     /* 1906837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906851 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1906864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906892 */     // GIR_Coverage, 13962,
     /* 1906892 */     GIR_EraseRootFromParent_Done,
     /* 1906893 */   // Label 23933: @1906893
     /* 1906893 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1907000), // Rule ID 13963 //
     /* 1906898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1906901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1906906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1906909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1906912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1906915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1906918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906944 */     // MIs[0] policy
     /* 1906944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1906958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1906964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1906968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1906971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1906985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1906998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906999 */     // GIR_Coverage, 13963,
     /* 1906999 */     GIR_EraseRootFromParent_Done,
     /* 1907000 */   // Label 23934: @1907000
     /* 1907000 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1907107), // Rule ID 13966 //
     /* 1907005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1907025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907051 */     // MIs[0] policy
     /* 1907051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907061 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1907078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907106 */     // GIR_Coverage, 13966,
     /* 1907106 */     GIR_EraseRootFromParent_Done,
     /* 1907107 */   // Label 23935: @1907107
     /* 1907107 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1907214), // Rule ID 13967 //
     /* 1907112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1907123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1907126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1907129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1907132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1907135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907158 */     // MIs[0] policy
     /* 1907158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1907185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907213 */     // GIR_Coverage, 13967,
     /* 1907213 */     GIR_EraseRootFromParent_Done,
     /* 1907214 */   // Label 23936: @1907214
     /* 1907214 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1907321), // Rule ID 13970 //
     /* 1907219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1907239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907265 */     // MIs[0] policy
     /* 1907265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1907292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907320 */     // GIR_Coverage, 13970,
     /* 1907320 */     GIR_EraseRootFromParent_Done,
     /* 1907321 */   // Label 23937: @1907321
     /* 1907321 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1907428), // Rule ID 13971 //
     /* 1907326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1907337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1907340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1907343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1907346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907372 */     // MIs[0] policy
     /* 1907372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907382 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907386 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1907399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907407 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907427 */     // GIR_Coverage, 13971,
     /* 1907427 */     GIR_EraseRootFromParent_Done,
     /* 1907428 */   // Label 23938: @1907428
     /* 1907428 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1907535), // Rule ID 13974 //
     /* 1907433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1907453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907479 */     // MIs[0] policy
     /* 1907479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1907506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907534 */     // GIR_Coverage, 13974,
     /* 1907534 */     GIR_EraseRootFromParent_Done,
     /* 1907535 */   // Label 23939: @1907535
     /* 1907535 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1907642), // Rule ID 13975 //
     /* 1907540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1907551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1907554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1907557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1907560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1907570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1907582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907586 */     // MIs[0] policy
     /* 1907586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907596 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1907613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907641 */     // GIR_Coverage, 13975,
     /* 1907641 */     GIR_EraseRootFromParent_Done,
     /* 1907642 */   // Label 23940: @1907642
     /* 1907642 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1907749), // Rule ID 13978 //
     /* 1907647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1907650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1907667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907693 */     // MIs[0] policy
     /* 1907693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907703 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1907720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907748 */     // GIR_Coverage, 13978,
     /* 1907748 */     GIR_EraseRootFromParent_Done,
     /* 1907749 */   // Label 23941: @1907749
     /* 1907749 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1907856), // Rule ID 13979 //
     /* 1907754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1907757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1907765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1907768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1907771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1907774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1907777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1907784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1907796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907800 */     // MIs[0] policy
     /* 1907800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1907827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907855 */     // GIR_Coverage, 13979,
     /* 1907855 */     GIR_EraseRootFromParent_Done,
     /* 1907856 */   // Label 23942: @1907856
     /* 1907856 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1907963), // Rule ID 13982 //
     /* 1907861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1907864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1907881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907907 */     // MIs[0] policy
     /* 1907907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1907921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1907927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1907931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1907934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1907948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1907961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907962 */     // GIR_Coverage, 13982,
     /* 1907962 */     GIR_EraseRootFromParent_Done,
     /* 1907963 */   // Label 23943: @1907963
     /* 1907963 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1908070), // Rule ID 13983 //
     /* 1907968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1907971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1907976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1907979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1907982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1907985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1907988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908014 */     // MIs[0] policy
     /* 1908014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1908041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908069 */     // GIR_Coverage, 13983,
     /* 1908069 */     GIR_EraseRootFromParent_Done,
     /* 1908070 */   // Label 23944: @1908070
     /* 1908070 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1908177), // Rule ID 13986 //
     /* 1908075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1908078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1908095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908121 */     // MIs[0] policy
     /* 1908121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1908148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908176 */     // GIR_Coverage, 13986,
     /* 1908176 */     GIR_EraseRootFromParent_Done,
     /* 1908177 */   // Label 23945: @1908177
     /* 1908177 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1908284), // Rule ID 13987 //
     /* 1908182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1908185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1908193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1908196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1908199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1908202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908228 */     // MIs[0] policy
     /* 1908228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1908255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908283 */     // GIR_Coverage, 13987,
     /* 1908283 */     GIR_EraseRootFromParent_Done,
     /* 1908284 */   // Label 23946: @1908284
     /* 1908284 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1908391), // Rule ID 13990 //
     /* 1908289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1908292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1908309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908335 */     // MIs[0] policy
     /* 1908335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908345 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1908362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908390 */     // GIR_Coverage, 13990,
     /* 1908390 */     GIR_EraseRootFromParent_Done,
     /* 1908391 */   // Label 23947: @1908391
     /* 1908391 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1908498), // Rule ID 13991 //
     /* 1908396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1908399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1908407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1908410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1908413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1908416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908442 */     // MIs[0] policy
     /* 1908442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908452 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908456 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1908469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908497 */     // GIR_Coverage, 13991,
     /* 1908497 */     GIR_EraseRootFromParent_Done,
     /* 1908498 */   // Label 23948: @1908498
     /* 1908498 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1908605), // Rule ID 13994 //
     /* 1908503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1908514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1908517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1908520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908549 */     // MIs[0] policy
     /* 1908549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908559 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1908576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908598 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908604 */     // GIR_Coverage, 13994,
     /* 1908604 */     GIR_EraseRootFromParent_Done,
     /* 1908605 */   // Label 23949: @1908605
     /* 1908605 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1908712), // Rule ID 13995 //
     /* 1908610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1908621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1908624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1908627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1908633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908656 */     // MIs[0] policy
     /* 1908656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1908683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908711 */     // GIR_Coverage, 13995,
     /* 1908711 */     GIR_EraseRootFromParent_Done,
     /* 1908712 */   // Label 23950: @1908712
     /* 1908712 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1908819), // Rule ID 13998 //
     /* 1908717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1908728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1908731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1908734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908763 */     // MIs[0] policy
     /* 1908763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908773 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1908790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908818 */     // GIR_Coverage, 13998,
     /* 1908818 */     GIR_EraseRootFromParent_Done,
     /* 1908819 */   // Label 23951: @1908819
     /* 1908819 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1908926), // Rule ID 13999 //
     /* 1908824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1908827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1908835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1908838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1908841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908870 */     // MIs[0] policy
     /* 1908870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1908894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1908897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1908911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1908919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1908924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908925 */     // GIR_Coverage, 13999,
     /* 1908925 */     GIR_EraseRootFromParent_Done,
     /* 1908926 */   // Label 23952: @1908926
     /* 1908926 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1909033), // Rule ID 14002 //
     /* 1908931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1908934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1908939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1908942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1908945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1908948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1908961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1908969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1908973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908977 */     // MIs[0] policy
     /* 1908977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1908991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1908997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909032 */     // GIR_Coverage, 14002,
     /* 1909032 */     GIR_EraseRootFromParent_Done,
     /* 1909033 */   // Label 23953: @1909033
     /* 1909033 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1909140), // Rule ID 14003 //
     /* 1909038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1909049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1909052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1909055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909084 */     // MIs[0] policy
     /* 1909084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909119 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909139 */     // GIR_Coverage, 14003,
     /* 1909139 */     GIR_EraseRootFromParent_Done,
     /* 1909140 */   // Label 23954: @1909140
     /* 1909140 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1909247), // Rule ID 14006 //
     /* 1909145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909191 */     // MIs[0] policy
     /* 1909191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909201 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1909218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909240 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909246 */     // GIR_Coverage, 14006,
     /* 1909246 */     GIR_EraseRootFromParent_Done,
     /* 1909247 */   // Label 23955: @1909247
     /* 1909247 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1909354), // Rule ID 14007 //
     /* 1909252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909298 */     // MIs[0] policy
     /* 1909298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909308 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1909325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909353 */     // GIR_Coverage, 14007,
     /* 1909353 */     GIR_EraseRootFromParent_Done,
     /* 1909354 */   // Label 23956: @1909354
     /* 1909354 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1909461), // Rule ID 14010 //
     /* 1909359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909405 */     // MIs[0] policy
     /* 1909405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909460 */     // GIR_Coverage, 14010,
     /* 1909460 */     GIR_EraseRootFromParent_Done,
     /* 1909461 */   // Label 23957: @1909461
     /* 1909461 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1909568), // Rule ID 14011 //
     /* 1909466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909512 */     // MIs[0] policy
     /* 1909512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909567 */     // GIR_Coverage, 14011,
     /* 1909567 */     GIR_EraseRootFromParent_Done,
     /* 1909568 */   // Label 23958: @1909568
     /* 1909568 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1909675), // Rule ID 14014 //
     /* 1909573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909619 */     // MIs[0] policy
     /* 1909619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909629 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909674 */     // GIR_Coverage, 14014,
     /* 1909674 */     GIR_EraseRootFromParent_Done,
     /* 1909675 */   // Label 23959: @1909675
     /* 1909675 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1909782), // Rule ID 14015 //
     /* 1909680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909726 */     // MIs[0] policy
     /* 1909726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1909753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909781 */     // GIR_Coverage, 14015,
     /* 1909781 */     GIR_EraseRootFromParent_Done,
     /* 1909782 */   // Label 23960: @1909782
     /* 1909782 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1909889), // Rule ID 14018 //
     /* 1909787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1909790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1909798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1909801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1909804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909833 */     // MIs[0] policy
     /* 1909833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909843 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1909860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909888 */     // GIR_Coverage, 14018,
     /* 1909888 */     GIR_EraseRootFromParent_Done,
     /* 1909889 */   // Label 23961: @1909889
     /* 1909889 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1909996), // Rule ID 14019 //
     /* 1909894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1909897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1909902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1909905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1909908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1909911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1909914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1909936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909940 */     // MIs[0] policy
     /* 1909940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909950 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11168:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1909954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1909960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1909964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1909967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1909981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1909989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1909994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909995 */     // GIR_Coverage, 14019,
     /* 1909995 */     GIR_EraseRootFromParent_Done,
     /* 1909996 */   // Label 23962: @1909996
     /* 1909996 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1910103), // Rule ID 14022 //
     /* 1910001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910047 */     // MIs[0] policy
     /* 1910047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910057 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910102 */     // GIR_Coverage, 14022,
     /* 1910102 */     GIR_EraseRootFromParent_Done,
     /* 1910103 */   // Label 23963: @1910103
     /* 1910103 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1910210), // Rule ID 14023 //
     /* 1910108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910154 */     // MIs[0] policy
     /* 1910154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910164 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11168:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910209 */     // GIR_Coverage, 14023,
     /* 1910209 */     GIR_EraseRootFromParent_Done,
     /* 1910210 */   // Label 23964: @1910210
     /* 1910210 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1910317), // Rule ID 14026 //
     /* 1910215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910261 */     // MIs[0] policy
     /* 1910261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910316 */     // GIR_Coverage, 14026,
     /* 1910316 */     GIR_EraseRootFromParent_Done,
     /* 1910317 */   // Label 23965: @1910317
     /* 1910317 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1910424), // Rule ID 14027 //
     /* 1910322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910368 */     // MIs[0] policy
     /* 1910368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11168:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910423 */     // GIR_Coverage, 14027,
     /* 1910423 */     GIR_EraseRootFromParent_Done,
     /* 1910424 */   // Label 23966: @1910424
     /* 1910424 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1910531), // Rule ID 14030 //
     /* 1910429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1910432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910475 */     // MIs[0] policy
     /* 1910475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910485 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910524 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910530 */     // GIR_Coverage, 14030,
     /* 1910530 */     GIR_EraseRootFromParent_Done,
     /* 1910531 */   // Label 23967: @1910531
     /* 1910531 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1910638), // Rule ID 14031 //
     /* 1910536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1910539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910582 */     // MIs[0] policy
     /* 1910582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910596 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1910609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910637 */     // GIR_Coverage, 14031,
     /* 1910637 */     GIR_EraseRootFromParent_Done,
     /* 1910638 */   // Label 23968: @1910638
     /* 1910638 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1910745), // Rule ID 14034 //
     /* 1910643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1910654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1910657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1910660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910689 */     // MIs[0] policy
     /* 1910689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910699 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1910716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910744 */     // GIR_Coverage, 14034,
     /* 1910744 */     GIR_EraseRootFromParent_Done,
     /* 1910745 */   // Label 23969: @1910745
     /* 1910745 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1910852), // Rule ID 14035 //
     /* 1910750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1910761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1910764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1910767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910796 */     // MIs[0] policy
     /* 1910796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910810 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1910823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910851 */     // GIR_Coverage, 14035,
     /* 1910851 */     GIR_EraseRootFromParent_Done,
     /* 1910852 */   // Label 23970: @1910852
     /* 1910852 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1910959), // Rule ID 14038 //
     /* 1910857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1910860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1910868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1910871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1910874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1910877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1910899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910903 */     // MIs[0] policy
     /* 1910903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1910917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1910923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1910927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1910930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1910944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1910952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1910957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910958 */     // GIR_Coverage, 14038,
     /* 1910958 */     GIR_EraseRootFromParent_Done,
     /* 1910959 */   // Label 23971: @1910959
     /* 1910959 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1911066), // Rule ID 14039 //
     /* 1910964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1910967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1910972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1910975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1910978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1910981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1910984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911010 */     // MIs[0] policy
     /* 1911010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911020 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1911037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911065 */     // GIR_Coverage, 14039,
     /* 1911065 */     GIR_EraseRootFromParent_Done,
     /* 1911066 */   // Label 23972: @1911066
     /* 1911066 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1911173), // Rule ID 14042 //
     /* 1911071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1911082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1911085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1911088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1911094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911117 */     // MIs[0] policy
     /* 1911117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911127 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1911144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911166 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911172 */     // GIR_Coverage, 14042,
     /* 1911172 */     GIR_EraseRootFromParent_Done,
     /* 1911173 */   // Label 23973: @1911173
     /* 1911173 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1911280), // Rule ID 14043 //
     /* 1911178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1911189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1911192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1911195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1911201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911224 */     // MIs[0] policy
     /* 1911224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911234 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1911251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1911273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911279 */     // GIR_Coverage, 14043,
     /* 1911279 */     GIR_EraseRootFromParent_Done,
     /* 1911280 */   // Label 23974: @1911280
     /* 1911280 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1911387), // Rule ID 14046 //
     /* 1911285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911331 */     // MIs[0] policy
     /* 1911331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911341 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1911358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911386 */     // GIR_Coverage, 14046,
     /* 1911386 */     GIR_EraseRootFromParent_Done,
     /* 1911387 */   // Label 23975: @1911387
     /* 1911387 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1911494), // Rule ID 14047 //
     /* 1911392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1911403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1911406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1911409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911438 */     // MIs[0] policy
     /* 1911438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911448 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1911465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911493 */     // GIR_Coverage, 14047,
     /* 1911493 */     GIR_EraseRootFromParent_Done,
     /* 1911494 */   // Label 23976: @1911494
     /* 1911494 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1911601), // Rule ID 14050 //
     /* 1911499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911545 */     // MIs[0] policy
     /* 1911545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911555 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1911572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911600 */     // GIR_Coverage, 14050,
     /* 1911600 */     GIR_EraseRootFromParent_Done,
     /* 1911601 */   // Label 23977: @1911601
     /* 1911601 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1911708), // Rule ID 14051 //
     /* 1911606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1911617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1911620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1911623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911652 */     // MIs[0] policy
     /* 1911652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911666 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1911679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911687 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911707 */     // GIR_Coverage, 14051,
     /* 1911707 */     GIR_EraseRootFromParent_Done,
     /* 1911708 */   // Label 23978: @1911708
     /* 1911708 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1911815), // Rule ID 14054 //
     /* 1911713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911759 */     // MIs[0] policy
     /* 1911759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911769 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1911786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911814 */     // GIR_Coverage, 14054,
     /* 1911814 */     GIR_EraseRootFromParent_Done,
     /* 1911815 */   // Label 23979: @1911815
     /* 1911815 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1911922), // Rule ID 14055 //
     /* 1911820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1911823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1911831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1911834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1911837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1911840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1911843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911866 */     // MIs[0] policy
     /* 1911866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911880 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1911893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1911907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1911915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1911920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911921 */     // GIR_Coverage, 14055,
     /* 1911921 */     GIR_EraseRootFromParent_Done,
     /* 1911922 */   // Label 23980: @1911922
     /* 1911922 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1912029), // Rule ID 14058 //
     /* 1911927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1911930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1911935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1911947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1911969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911973 */     // MIs[0] policy
     /* 1911973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911983 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1911987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1911993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1911997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1912000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912028 */     // GIR_Coverage, 14058,
     /* 1912028 */     GIR_EraseRootFromParent_Done,
     /* 1912029 */   // Label 23981: @1912029
     /* 1912029 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1912136), // Rule ID 14059 //
     /* 1912034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1912045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1912048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1912051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912080 */     // MIs[0] policy
     /* 1912080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1912107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912135 */     // GIR_Coverage, 14059,
     /* 1912135 */     GIR_EraseRootFromParent_Done,
     /* 1912136 */   // Label 23982: @1912136
     /* 1912136 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1912243), // Rule ID 14062 //
     /* 1912141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912187 */     // MIs[0] policy
     /* 1912187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1912214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912236 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912242 */     // GIR_Coverage, 14062,
     /* 1912242 */     GIR_EraseRootFromParent_Done,
     /* 1912243 */   // Label 23983: @1912243
     /* 1912243 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1912350), // Rule ID 14063 //
     /* 1912248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1912259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1912262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1912265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1912271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912294 */     // MIs[0] policy
     /* 1912294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1912321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912349 */     // GIR_Coverage, 14063,
     /* 1912349 */     GIR_EraseRootFromParent_Done,
     /* 1912350 */   // Label 23984: @1912350
     /* 1912350 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1912457), // Rule ID 14066 //
     /* 1912355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1912358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912401 */     // MIs[0] policy
     /* 1912401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912411 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1912428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912456 */     // GIR_Coverage, 14066,
     /* 1912456 */     GIR_EraseRootFromParent_Done,
     /* 1912457 */   // Label 23985: @1912457
     /* 1912457 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1912564), // Rule ID 14067 //
     /* 1912462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1912465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1912473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1912476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1912479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1912485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1912492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1912500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912508 */     // MIs[0] policy
     /* 1912508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1912535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912563 */     // GIR_Coverage, 14067,
     /* 1912563 */     GIR_EraseRootFromParent_Done,
     /* 1912564 */   // Label 23986: @1912564
     /* 1912564 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1912671), // Rule ID 14070 //
     /* 1912569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1912572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912615 */     // MIs[0] policy
     /* 1912615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912625 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1912642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912670 */     // GIR_Coverage, 14070,
     /* 1912670 */     GIR_EraseRootFromParent_Done,
     /* 1912671 */   // Label 23987: @1912671
     /* 1912671 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1912778), // Rule ID 14071 //
     /* 1912676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1912679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1912687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1912690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1912693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1912706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1912714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912722 */     // MIs[0] policy
     /* 1912722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912732 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1912749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912777 */     // GIR_Coverage, 14071,
     /* 1912777 */     GIR_EraseRootFromParent_Done,
     /* 1912778 */   // Label 23988: @1912778
     /* 1912778 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1912885), // Rule ID 14074 //
     /* 1912783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1912786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912829 */     // MIs[0] policy
     /* 1912829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912839 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1912856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912878 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912884 */     // GIR_Coverage, 14074,
     /* 1912884 */     GIR_EraseRootFromParent_Done,
     /* 1912885 */   // Label 23989: @1912885
     /* 1912885 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1912992), // Rule ID 14075 //
     /* 1912890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1912893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1912898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1912901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1912904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1912907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1912920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1912928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1912932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912936 */     // MIs[0] policy
     /* 1912936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912946 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1912950 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1912956 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1912960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1912963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912971 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1912977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1912990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912991 */     // GIR_Coverage, 14075,
     /* 1912991 */     GIR_EraseRootFromParent_Done,
     /* 1912992 */   // Label 23990: @1912992
     /* 1912992 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1913099), // Rule ID 14078 //
     /* 1912997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1913000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1913005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1913017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913043 */     // MIs[0] policy
     /* 1913043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913053 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1913070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913098 */     // GIR_Coverage, 14078,
     /* 1913098 */     GIR_EraseRootFromParent_Done,
     /* 1913099 */   // Label 23991: @1913099
     /* 1913099 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1913206), // Rule ID 14079 //
     /* 1913104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1913107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1913112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1913115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1913118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1913121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1913146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913150 */     // MIs[0] policy
     /* 1913150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1913177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913205 */     // GIR_Coverage, 14079,
     /* 1913205 */     GIR_EraseRootFromParent_Done,
     /* 1913206 */   // Label 23992: @1913206
     /* 1913206 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1913313), // Rule ID 14170 //
     /* 1913211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1913231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913257 */     // MIs[0] policy
     /* 1913257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913267 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1913284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913312 */     // GIR_Coverage, 14170,
     /* 1913312 */     GIR_EraseRootFromParent_Done,
     /* 1913313 */   // Label 23993: @1913313
     /* 1913313 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1913420), // Rule ID 14171 //
     /* 1913318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1913329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1913332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1913335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1913338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913364 */     // MIs[0] policy
     /* 1913364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1913391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913419 */     // GIR_Coverage, 14171,
     /* 1913419 */     GIR_EraseRootFromParent_Done,
     /* 1913420 */   // Label 23994: @1913420
     /* 1913420 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1913527), // Rule ID 14174 //
     /* 1913425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1913445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913471 */     // MIs[0] policy
     /* 1913471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913481 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1913498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913526 */     // GIR_Coverage, 14174,
     /* 1913526 */     GIR_EraseRootFromParent_Done,
     /* 1913527 */   // Label 23995: @1913527
     /* 1913527 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1913634), // Rule ID 14175 //
     /* 1913532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1913543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1913546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1913549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1913552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1913555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913578 */     // MIs[0] policy
     /* 1913578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913588 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1913605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913633 */     // GIR_Coverage, 14175,
     /* 1913633 */     GIR_EraseRootFromParent_Done,
     /* 1913634 */   // Label 23996: @1913634
     /* 1913634 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1913741), // Rule ID 14178 //
     /* 1913639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1913650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1913653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1913656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1913659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913685 */     // MIs[0] policy
     /* 1913685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913695 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1913712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913734 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913740 */     // GIR_Coverage, 14178,
     /* 1913740 */     GIR_EraseRootFromParent_Done,
     /* 1913741 */   // Label 23997: @1913741
     /* 1913741 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1913848), // Rule ID 14179 //
     /* 1913746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1913757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1913760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1913763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1913766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913792 */     // MIs[0] policy
     /* 1913792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913802 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913806 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1913819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913827 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1913841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913847 */     // GIR_Coverage, 14179,
     /* 1913847 */     GIR_EraseRootFromParent_Done,
     /* 1913848 */   // Label 23998: @1913848
     /* 1913848 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1913955), // Rule ID 14182 //
     /* 1913853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1913856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1913873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913899 */     // MIs[0] policy
     /* 1913899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1913913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1913919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1913923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1913926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1913940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1913953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913954 */     // GIR_Coverage, 14182,
     /* 1913954 */     GIR_EraseRootFromParent_Done,
     /* 1913955 */   // Label 23999: @1913955
     /* 1913955 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1914062), // Rule ID 14183 //
     /* 1913960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1913963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1913968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1913971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1913974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1913977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1913980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1913983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1913990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914006 */     // MIs[0] policy
     /* 1914006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1914033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914041 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914061 */     // GIR_Coverage, 14183,
     /* 1914061 */     GIR_EraseRootFromParent_Done,
     /* 1914062 */   // Label 24000: @1914062
     /* 1914062 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1914169), // Rule ID 14186 //
     /* 1914067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1914087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914113 */     // MIs[0] policy
     /* 1914113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1914140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914168 */     // GIR_Coverage, 14186,
     /* 1914168 */     GIR_EraseRootFromParent_Done,
     /* 1914169 */   // Label 24001: @1914169
     /* 1914169 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1914276), // Rule ID 14187 //
     /* 1914174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1914194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914220 */     // MIs[0] policy
     /* 1914220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1914247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914275 */     // GIR_Coverage, 14187,
     /* 1914275 */     GIR_EraseRootFromParent_Done,
     /* 1914276 */   // Label 24002: @1914276
     /* 1914276 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1914383), // Rule ID 14190 //
     /* 1914281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1914301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914327 */     // MIs[0] policy
     /* 1914327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914341 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1914354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914382 */     // GIR_Coverage, 14190,
     /* 1914382 */     GIR_EraseRootFromParent_Done,
     /* 1914383 */   // Label 24003: @1914383
     /* 1914383 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1914490), // Rule ID 14191 //
     /* 1914388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1914408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914434 */     // MIs[0] policy
     /* 1914434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1914461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914489 */     // GIR_Coverage, 14191,
     /* 1914489 */     GIR_EraseRootFromParent_Done,
     /* 1914490 */   // Label 24004: @1914490
     /* 1914490 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1914597), // Rule ID 14194 //
     /* 1914495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1914515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914541 */     // MIs[0] policy
     /* 1914541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914551 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1914568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914596 */     // GIR_Coverage, 14194,
     /* 1914596 */     GIR_EraseRootFromParent_Done,
     /* 1914597 */   // Label 24005: @1914597
     /* 1914597 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1914704), // Rule ID 14195 //
     /* 1914602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1914613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1914616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1914619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1914622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914648 */     // MIs[0] policy
     /* 1914648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914658 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914662 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914668 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1914675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1914697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914703 */     // GIR_Coverage, 14195,
     /* 1914703 */     GIR_EraseRootFromParent_Done,
     /* 1914704 */   // Label 24006: @1914704
     /* 1914704 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1914811), // Rule ID 14198 //
     /* 1914709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1914729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914755 */     // MIs[0] policy
     /* 1914755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1914782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914810 */     // GIR_Coverage, 14198,
     /* 1914810 */     GIR_EraseRootFromParent_Done,
     /* 1914811 */   // Label 24007: @1914811
     /* 1914811 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1914918), // Rule ID 14199 //
     /* 1914816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1914819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1914827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1914830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1914833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1914836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914862 */     // MIs[0] policy
     /* 1914862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1914889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1914903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1914916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914917 */     // GIR_Coverage, 14199,
     /* 1914917 */     GIR_EraseRootFromParent_Done,
     /* 1914918 */   // Label 24008: @1914918
     /* 1914918 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1915025), // Rule ID 14202 //
     /* 1914923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1914926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1914931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1914934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1914937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1914940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1914943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914969 */     // MIs[0] policy
     /* 1914969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914979 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1914983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1914989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1914993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1914996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915024 */     // GIR_Coverage, 14202,
     /* 1915024 */     GIR_EraseRootFromParent_Done,
     /* 1915025 */   // Label 24009: @1915025
     /* 1915025 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1915132), // Rule ID 14203 //
     /* 1915030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1915050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915076 */     // MIs[0] policy
     /* 1915076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915090 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1915103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915111 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915131 */     // GIR_Coverage, 14203,
     /* 1915131 */     GIR_EraseRootFromParent_Done,
     /* 1915132 */   // Label 24010: @1915132
     /* 1915132 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1915239), // Rule ID 14206 //
     /* 1915137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1915140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1915157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915183 */     // MIs[0] policy
     /* 1915183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915193 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1915210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915238 */     // GIR_Coverage, 14206,
     /* 1915238 */     GIR_EraseRootFromParent_Done,
     /* 1915239 */   // Label 24011: @1915239
     /* 1915239 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1915346), // Rule ID 14207 //
     /* 1915244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1915247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1915264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915290 */     // MIs[0] policy
     /* 1915290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915300 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1915317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915345 */     // GIR_Coverage, 14207,
     /* 1915345 */     GIR_EraseRootFromParent_Done,
     /* 1915346 */   // Label 24012: @1915346
     /* 1915346 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1915453), // Rule ID 14210 //
     /* 1915351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1915371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915397 */     // MIs[0] policy
     /* 1915397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915407 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1915424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915446 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915452 */     // GIR_Coverage, 14210,
     /* 1915452 */     GIR_EraseRootFromParent_Done,
     /* 1915453 */   // Label 24013: @1915453
     /* 1915453 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1915560), // Rule ID 14211 //
     /* 1915458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1915469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1915472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1915475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1915478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915504 */     // MIs[0] policy
     /* 1915504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1915531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915559 */     // GIR_Coverage, 14211,
     /* 1915559 */     GIR_EraseRootFromParent_Done,
     /* 1915560 */   // Label 24014: @1915560
     /* 1915560 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1915667), // Rule ID 14214 //
     /* 1915565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1915585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915611 */     // MIs[0] policy
     /* 1915611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915621 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1915638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915666 */     // GIR_Coverage, 14214,
     /* 1915666 */     GIR_EraseRootFromParent_Done,
     /* 1915667 */   // Label 24015: @1915667
     /* 1915667 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1915774), // Rule ID 14215 //
     /* 1915672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1915683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1915686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1915689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1915692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915718 */     // MIs[0] policy
     /* 1915718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915732 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1915745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915773 */     // GIR_Coverage, 14215,
     /* 1915773 */     GIR_EraseRootFromParent_Done,
     /* 1915774 */   // Label 24016: @1915774
     /* 1915774 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1915881), // Rule ID 14218 //
     /* 1915779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1915799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915825 */     // MIs[0] policy
     /* 1915825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915835 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1915852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915880 */     // GIR_Coverage, 14218,
     /* 1915880 */     GIR_EraseRootFromParent_Done,
     /* 1915881 */   // Label 24017: @1915881
     /* 1915881 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1915988), // Rule ID 14219 //
     /* 1915886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1915889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1915894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1915897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1915900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1915903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1915906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1915909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1915916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1915928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915932 */     // MIs[0] policy
     /* 1915932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1915946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1915952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1915956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1915959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1915973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1915981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1915986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915987 */     // GIR_Coverage, 14219,
     /* 1915987 */     GIR_EraseRootFromParent_Done,
     /* 1915988 */   // Label 24018: @1915988
     /* 1915988 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1916095), // Rule ID 14222 //
     /* 1915993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1915996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916039 */     // MIs[0] policy
     /* 1916039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916049 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1916066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916088 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916094 */     // GIR_Coverage, 14222,
     /* 1916094 */     GIR_EraseRootFromParent_Done,
     /* 1916095 */   // Label 24019: @1916095
     /* 1916095 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1916202), // Rule ID 14223 //
     /* 1916100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1916111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1916114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1916117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1916120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916146 */     // MIs[0] policy
     /* 1916146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916160 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916166 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1916173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916201 */     // GIR_Coverage, 14223,
     /* 1916201 */     GIR_EraseRootFromParent_Done,
     /* 1916202 */   // Label 24020: @1916202
     /* 1916202 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1916309), // Rule ID 14226 //
     /* 1916207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916253 */     // MIs[0] policy
     /* 1916253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916263 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1916280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916308 */     // GIR_Coverage, 14226,
     /* 1916308 */     GIR_EraseRootFromParent_Done,
     /* 1916309 */   // Label 24021: @1916309
     /* 1916309 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1916416), // Rule ID 14227 //
     /* 1916314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1916325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1916328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1916331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1916334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916360 */     // MIs[0] policy
     /* 1916360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1916387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916415 */     // GIR_Coverage, 14227,
     /* 1916415 */     GIR_EraseRootFromParent_Done,
     /* 1916416 */   // Label 24022: @1916416
     /* 1916416 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1916523), // Rule ID 14230 //
     /* 1916421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916467 */     // MIs[0] policy
     /* 1916467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916477 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1916494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916522 */     // GIR_Coverage, 14230,
     /* 1916522 */     GIR_EraseRootFromParent_Done,
     /* 1916523 */   // Label 24023: @1916523
     /* 1916523 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1916630), // Rule ID 14231 //
     /* 1916528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916574 */     // MIs[0] policy
     /* 1916574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916584 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1916601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916629 */     // GIR_Coverage, 14231,
     /* 1916629 */     GIR_EraseRootFromParent_Done,
     /* 1916630 */   // Label 24024: @1916630
     /* 1916630 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1916737), // Rule ID 14234 //
     /* 1916635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916681 */     // MIs[0] policy
     /* 1916681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1916708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916736 */     // GIR_Coverage, 14234,
     /* 1916736 */     GIR_EraseRootFromParent_Done,
     /* 1916737 */   // Label 24025: @1916737
     /* 1916737 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1916844), // Rule ID 14235 //
     /* 1916742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916788 */     // MIs[0] policy
     /* 1916788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1916815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916839 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916843 */     // GIR_Coverage, 14235,
     /* 1916843 */     GIR_EraseRootFromParent_Done,
     /* 1916844 */   // Label 24026: @1916844
     /* 1916844 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1916951), // Rule ID 14238 //
     /* 1916849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1916852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916895 */     // MIs[0] policy
     /* 1916895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916905 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1916909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1916915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1916919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1916922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1916936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1916949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916950 */     // GIR_Coverage, 14238,
     /* 1916950 */     GIR_EraseRootFromParent_Done,
     /* 1916951 */   // Label 24027: @1916951
     /* 1916951 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1917058), // Rule ID 14239 //
     /* 1916956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1916959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1916964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917002 */     // MIs[0] policy
     /* 1917002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1917029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917057 */     // GIR_Coverage, 14239,
     /* 1917057 */     GIR_EraseRootFromParent_Done,
     /* 1917058 */   // Label 24028: @1917058
     /* 1917058 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1917165), // Rule ID 14242 //
     /* 1917063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917109 */     // MIs[0] policy
     /* 1917109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1917136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917164 */     // GIR_Coverage, 14242,
     /* 1917164 */     GIR_EraseRootFromParent_Done,
     /* 1917165 */   // Label 24029: @1917165
     /* 1917165 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1917272), // Rule ID 14243 //
     /* 1917170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1917173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1917181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1917184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1917187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1917190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1917193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917216 */     // MIs[0] policy
     /* 1917216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1917243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917267 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917271 */     // GIR_Coverage, 14243,
     /* 1917271 */     GIR_EraseRootFromParent_Done,
     /* 1917272 */   // Label 24030: @1917272
     /* 1917272 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1917379), // Rule ID 14246 //
     /* 1917277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917323 */     // MIs[0] policy
     /* 1917323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1917350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917372 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917378 */     // GIR_Coverage, 14246,
     /* 1917378 */     GIR_EraseRootFromParent_Done,
     /* 1917379 */   // Label 24031: @1917379
     /* 1917379 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1917486), // Rule ID 14247 //
     /* 1917384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1917395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1917398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1917401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1917404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1917414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1917426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917430 */     // MIs[0] policy
     /* 1917430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1917457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917485 */     // GIR_Coverage, 14247,
     /* 1917485 */     GIR_EraseRootFromParent_Done,
     /* 1917486 */   // Label 24032: @1917486
     /* 1917486 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1917593), // Rule ID 14250 //
     /* 1917491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917537 */     // MIs[0] policy
     /* 1917537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1917564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917588 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917592 */     // GIR_Coverage, 14250,
     /* 1917592 */     GIR_EraseRootFromParent_Done,
     /* 1917593 */   // Label 24033: @1917593
     /* 1917593 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1917700), // Rule ID 14251 //
     /* 1917598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1917609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1917612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1917615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1917618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1917628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1917640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917644 */     // MIs[0] policy
     /* 1917644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1917671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917699 */     // GIR_Coverage, 14251,
     /* 1917699 */     GIR_EraseRootFromParent_Done,
     /* 1917700 */   // Label 24034: @1917700
     /* 1917700 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1917807), // Rule ID 14254 //
     /* 1917705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1917708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917751 */     // MIs[0] policy
     /* 1917751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917761 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1917778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917802 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917806 */     // GIR_Coverage, 14254,
     /* 1917806 */     GIR_EraseRootFromParent_Done,
     /* 1917807 */   // Label 24035: @1917807
     /* 1917807 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1917914), // Rule ID 14255 //
     /* 1917812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1917815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917858 */     // MIs[0] policy
     /* 1917858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917868 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1917885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1917899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1917912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917913 */     // GIR_Coverage, 14255,
     /* 1917913 */     GIR_EraseRootFromParent_Done,
     /* 1917914 */   // Label 24036: @1917914
     /* 1917914 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1918021), // Rule ID 14258 //
     /* 1917919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1917922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1917927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1917930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1917933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1917936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1917939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1917961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917965 */     // MIs[0] policy
     /* 1917965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917975 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1917979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1917985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1917989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1917992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918014 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918020 */     // GIR_Coverage, 14258,
     /* 1918020 */     GIR_EraseRootFromParent_Done,
     /* 1918021 */   // Label 24037: @1918021
     /* 1918021 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1918128), // Rule ID 14259 //
     /* 1918026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1918037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1918040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1918043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918072 */     // MIs[0] policy
     /* 1918072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918086 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1918099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918127 */     // GIR_Coverage, 14259,
     /* 1918127 */     GIR_EraseRootFromParent_Done,
     /* 1918128 */   // Label 24038: @1918128
     /* 1918128 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1918235), // Rule ID 14262 //
     /* 1918133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918179 */     // MIs[0] policy
     /* 1918179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918189 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1918206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918234 */     // GIR_Coverage, 14262,
     /* 1918234 */     GIR_EraseRootFromParent_Done,
     /* 1918235 */   // Label 24039: @1918235
     /* 1918235 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1918342), // Rule ID 14263 //
     /* 1918240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1918251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1918254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1918257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918286 */     // MIs[0] policy
     /* 1918286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1918313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918341 */     // GIR_Coverage, 14263,
     /* 1918341 */     GIR_EraseRootFromParent_Done,
     /* 1918342 */   // Label 24040: @1918342
     /* 1918342 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1918449), // Rule ID 14266 //
     /* 1918347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918393 */     // MIs[0] policy
     /* 1918393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918403 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1918420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918448 */     // GIR_Coverage, 14266,
     /* 1918448 */     GIR_EraseRootFromParent_Done,
     /* 1918449 */   // Label 24041: @1918449
     /* 1918449 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1918556), // Rule ID 14267 //
     /* 1918454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1918465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1918468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1918471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918500 */     // MIs[0] policy
     /* 1918500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918510 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1918527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1918549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918551 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918555 */     // GIR_Coverage, 14267,
     /* 1918555 */     GIR_EraseRootFromParent_Done,
     /* 1918556 */   // Label 24042: @1918556
     /* 1918556 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1918663), // Rule ID 14270 //
     /* 1918561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918607 */     // MIs[0] policy
     /* 1918607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918617 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918621 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1918634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918662 */     // GIR_Coverage, 14270,
     /* 1918662 */     GIR_EraseRootFromParent_Done,
     /* 1918663 */   // Label 24043: @1918663
     /* 1918663 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1918770), // Rule ID 14271 //
     /* 1918668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1918679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1918682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1918685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918714 */     // MIs[0] policy
     /* 1918714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918724 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1918741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918765 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918769 */     // GIR_Coverage, 14271,
     /* 1918769 */     GIR_EraseRootFromParent_Done,
     /* 1918770 */   // Label 24044: @1918770
     /* 1918770 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1918877), // Rule ID 14274 //
     /* 1918775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918821 */     // MIs[0] policy
     /* 1918821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1918848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918876 */     // GIR_Coverage, 14274,
     /* 1918876 */     GIR_EraseRootFromParent_Done,
     /* 1918877 */   // Label 24045: @1918877
     /* 1918877 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1918984), // Rule ID 14275 //
     /* 1918882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1918885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1918893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1918896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1918899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1918905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1918924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918928 */     // MIs[0] policy
     /* 1918928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918938 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1918942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1918948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1918952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1918955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1918969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1918982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918983 */     // GIR_Coverage, 14275,
     /* 1918983 */     GIR_EraseRootFromParent_Done,
     /* 1918984 */   // Label 24046: @1918984
     /* 1918984 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1919091), // Rule ID 14278 //
     /* 1918989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1918992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1918997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919035 */     // MIs[0] policy
     /* 1919035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919045 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1919062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919090 */     // GIR_Coverage, 14278,
     /* 1919090 */     GIR_EraseRootFromParent_Done,
     /* 1919091 */   // Label 24047: @1919091
     /* 1919091 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1919198), // Rule ID 14279 //
     /* 1919096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1919107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1919110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1919113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919142 */     // MIs[0] policy
     /* 1919142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919156 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1919169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919197 */     // GIR_Coverage, 14279,
     /* 1919197 */     GIR_EraseRootFromParent_Done,
     /* 1919198 */   // Label 24048: @1919198
     /* 1919198 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1919305), // Rule ID 14282 //
     /* 1919203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1919214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1919217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1919220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919249 */     // MIs[0] policy
     /* 1919249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919259 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919304 */     // GIR_Coverage, 14282,
     /* 1919304 */     GIR_EraseRootFromParent_Done,
     /* 1919305 */   // Label 24049: @1919305
     /* 1919305 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1919412), // Rule ID 14283 //
     /* 1919310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1919321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1919324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1919327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919356 */     // MIs[0] policy
     /* 1919356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919370 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1919405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919411 */     // GIR_Coverage, 14283,
     /* 1919411 */     GIR_EraseRootFromParent_Done,
     /* 1919412 */   // Label 24050: @1919412
     /* 1919412 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1919519), // Rule ID 14286 //
     /* 1919417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919463 */     // MIs[0] policy
     /* 1919463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919473 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919518 */     // GIR_Coverage, 14286,
     /* 1919518 */     GIR_EraseRootFromParent_Done,
     /* 1919519 */   // Label 24051: @1919519
     /* 1919519 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1919626), // Rule ID 14287 //
     /* 1919524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1919535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1919538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1919541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919570 */     // MIs[0] policy
     /* 1919570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919580 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919625 */     // GIR_Coverage, 14287,
     /* 1919625 */     GIR_EraseRootFromParent_Done,
     /* 1919626 */   // Label 24052: @1919626
     /* 1919626 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1919733), // Rule ID 14290 //
     /* 1919631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1919634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919677 */     // MIs[0] policy
     /* 1919677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919687 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919732 */     // GIR_Coverage, 14290,
     /* 1919732 */     GIR_EraseRootFromParent_Done,
     /* 1919733 */   // Label 24053: @1919733
     /* 1919733 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1919840), // Rule ID 14291 //
     /* 1919738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1919741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1919749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1919752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1919755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919784 */     // MIs[0] policy
     /* 1919784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919839 */     // GIR_Coverage, 14291,
     /* 1919839 */     GIR_EraseRootFromParent_Done,
     /* 1919840 */   // Label 24054: @1919840
     /* 1919840 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1919947), // Rule ID 14294 //
     /* 1919845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1919848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919891 */     // MIs[0] policy
     /* 1919891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919901 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1919905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1919911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1919915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1919918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1919932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1919945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919946 */     // GIR_Coverage, 14294,
     /* 1919946 */     GIR_EraseRootFromParent_Done,
     /* 1919947 */   // Label 24055: @1919947
     /* 1919947 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1920054), // Rule ID 14295 //
     /* 1919952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1919955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1919960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1919963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1919966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1919969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1919994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919998 */     // MIs[0] policy
     /* 1919998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920008 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1920025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920053 */     // GIR_Coverage, 14295,
     /* 1920053 */     GIR_EraseRootFromParent_Done,
     /* 1920054 */   // Label 24056: @1920054
     /* 1920054 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1920161), // Rule ID 14298 //
     /* 1920059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1920070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1920073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1920076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920105 */     // MIs[0] policy
     /* 1920105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1920132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920160 */     // GIR_Coverage, 14298,
     /* 1920160 */     GIR_EraseRootFromParent_Done,
     /* 1920161 */   // Label 24057: @1920161
     /* 1920161 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1920268), // Rule ID 14299 //
     /* 1920166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1920177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1920180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1920183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920212 */     // MIs[0] policy
     /* 1920212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920226 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1920239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920267 */     // GIR_Coverage, 14299,
     /* 1920267 */     GIR_EraseRootFromParent_Done,
     /* 1920268 */   // Label 24058: @1920268
     /* 1920268 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1920375), // Rule ID 14302 //
     /* 1920273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1920284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1920287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1920290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920319 */     // MIs[0] policy
     /* 1920319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920329 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1920346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920374 */     // GIR_Coverage, 14302,
     /* 1920374 */     GIR_EraseRootFromParent_Done,
     /* 1920375 */   // Label 24059: @1920375
     /* 1920375 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1920482), // Rule ID 14303 //
     /* 1920380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1920391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1920394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1920397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1920403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920426 */     // MIs[0] policy
     /* 1920426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1920453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920477 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920481 */     // GIR_Coverage, 14303,
     /* 1920481 */     GIR_EraseRootFromParent_Done,
     /* 1920482 */   // Label 24060: @1920482
     /* 1920482 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1920589), // Rule ID 14306 //
     /* 1920487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1920498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1920501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1920504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1920510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920533 */     // MIs[0] policy
     /* 1920533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920543 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1920560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920582 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920588 */     // GIR_Coverage, 14306,
     /* 1920588 */     GIR_EraseRootFromParent_Done,
     /* 1920589 */   // Label 24061: @1920589
     /* 1920589 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1920696), // Rule ID 14307 //
     /* 1920594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1920605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1920608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1920611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1920617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1920624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1920632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920640 */     // MIs[0] policy
     /* 1920640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920650 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1920667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1920689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920691 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920695 */     // GIR_Coverage, 14307,
     /* 1920695 */     GIR_EraseRootFromParent_Done,
     /* 1920696 */   // Label 24062: @1920696
     /* 1920696 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1920803), // Rule ID 14310 //
     /* 1920701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920747 */     // MIs[0] policy
     /* 1920747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920757 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1920774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920802 */     // GIR_Coverage, 14310,
     /* 1920802 */     GIR_EraseRootFromParent_Done,
     /* 1920803 */   // Label 24063: @1920803
     /* 1920803 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1920910), // Rule ID 14311 //
     /* 1920808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1920811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1920828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920854 */     // MIs[0] policy
     /* 1920854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1920881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1920895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1920908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920909 */     // GIR_Coverage, 14311,
     /* 1920909 */     GIR_EraseRootFromParent_Done,
     /* 1920910 */   // Label 24064: @1920910
     /* 1920910 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1921017), // Rule ID 14314 //
     /* 1920915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1920918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1920923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1920935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1920957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920961 */     // MIs[0] policy
     /* 1920961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920971 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1920975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1920981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1920985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1920988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921016 */     // GIR_Coverage, 14314,
     /* 1921016 */     GIR_EraseRootFromParent_Done,
     /* 1921017 */   // Label 24065: @1921017
     /* 1921017 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1921124), // Rule ID 14315 //
     /* 1921022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1921033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1921036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1921039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921068 */     // MIs[0] policy
     /* 1921068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921078 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1921095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921123 */     // GIR_Coverage, 14315,
     /* 1921123 */     GIR_EraseRootFromParent_Done,
     /* 1921124 */   // Label 24066: @1921124
     /* 1921124 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1921231), // Rule ID 14318 //
     /* 1921129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921175 */     // MIs[0] policy
     /* 1921175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1921202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921230 */     // GIR_Coverage, 14318,
     /* 1921230 */     GIR_EraseRootFromParent_Done,
     /* 1921231 */   // Label 24067: @1921231
     /* 1921231 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1921338), // Rule ID 14319 //
     /* 1921236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921282 */     // MIs[0] policy
     /* 1921282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921292 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921296 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1921309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921337 */     // GIR_Coverage, 14319,
     /* 1921337 */     GIR_EraseRootFromParent_Done,
     /* 1921338 */   // Label 24068: @1921338
     /* 1921338 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1921445), // Rule ID 14322 //
     /* 1921343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921389 */     // MIs[0] policy
     /* 1921389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921399 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1921416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921440 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921444 */     // GIR_Coverage, 14322,
     /* 1921444 */     GIR_EraseRootFromParent_Done,
     /* 1921445 */   // Label 24069: @1921445
     /* 1921445 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1921552), // Rule ID 14323 //
     /* 1921450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921496 */     // MIs[0] policy
     /* 1921496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921506 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921510 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1921523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921551 */     // GIR_Coverage, 14323,
     /* 1921551 */     GIR_EraseRootFromParent_Done,
     /* 1921552 */   // Label 24070: @1921552
     /* 1921552 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1921659), // Rule ID 14326 //
     /* 1921557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921603 */     // MIs[0] policy
     /* 1921603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921613 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1921630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921658 */     // GIR_Coverage, 14326,
     /* 1921658 */     GIR_EraseRootFromParent_Done,
     /* 1921659 */   // Label 24071: @1921659
     /* 1921659 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1921766), // Rule ID 14327 //
     /* 1921664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921710 */     // MIs[0] policy
     /* 1921710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921720 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1921737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921765 */     // GIR_Coverage, 14327,
     /* 1921765 */     GIR_EraseRootFromParent_Done,
     /* 1921766 */   // Label 24072: @1921766
     /* 1921766 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1921873), // Rule ID 14330 //
     /* 1921771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1921774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1921791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921817 */     // MIs[0] policy
     /* 1921817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921827 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1921844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921872 */     // GIR_Coverage, 14330,
     /* 1921872 */     GIR_EraseRootFromParent_Done,
     /* 1921873 */   // Label 24073: @1921873
     /* 1921873 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1921980), // Rule ID 14331 //
     /* 1921878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1921881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1921898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1921920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921924 */     // MIs[0] policy
     /* 1921924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921934 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1921938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1921944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1921948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1921951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1921965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921975 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1921978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921979 */     // GIR_Coverage, 14331,
     /* 1921979 */     GIR_EraseRootFromParent_Done,
     /* 1921980 */   // Label 24074: @1921980
     /* 1921980 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1922087), // Rule ID 14334 //
     /* 1921985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1921988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1921993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1922002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922031 */     // MIs[0] policy
     /* 1922031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922041 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1922058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922086 */     // GIR_Coverage, 14334,
     /* 1922086 */     GIR_EraseRootFromParent_Done,
     /* 1922087 */   // Label 24075: @1922087
     /* 1922087 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1922194), // Rule ID 14335 //
     /* 1922092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1922100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1922103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1922106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1922109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1922122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1922130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922138 */     // MIs[0] policy
     /* 1922138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1922165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922189 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922193 */     // GIR_Coverage, 14335,
     /* 1922193 */     GIR_EraseRootFromParent_Done,
     /* 1922194 */   // Label 24076: @1922194
     /* 1922194 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1922301), // Rule ID 14338 //
     /* 1922199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1922207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922245 */     // MIs[0] policy
     /* 1922245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922255 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1922272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922300 */     // GIR_Coverage, 14338,
     /* 1922300 */     GIR_EraseRootFromParent_Done,
     /* 1922301 */   // Label 24077: @1922301
     /* 1922301 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1922408), // Rule ID 14339 //
     /* 1922306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1922314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922352 */     // MIs[0] policy
     /* 1922352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922362 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922366 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1922379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922407 */     // GIR_Coverage, 14339,
     /* 1922407 */     GIR_EraseRootFromParent_Done,
     /* 1922408 */   // Label 24078: @1922408
     /* 1922408 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1922515), // Rule ID 14342 //
     /* 1922413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1922416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1922421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1922433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922459 */     // MIs[0] policy
     /* 1922459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922469 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1922486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922508 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922514 */     // GIR_Coverage, 14342,
     /* 1922514 */     GIR_EraseRootFromParent_Done,
     /* 1922515 */   // Label 24079: @1922515
     /* 1922515 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1922622), // Rule ID 14343 //
     /* 1922520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1922523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1922528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1922562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922566 */     // MIs[0] policy
     /* 1922566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1922593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922621 */     // GIR_Coverage, 14343,
     /* 1922621 */     GIR_EraseRootFromParent_Done,
     /* 1922622 */   // Label 24080: @1922622
     /* 1922622 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1922729), // Rule ID 14434 //
     /* 1922627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1922635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1922638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1922641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1922644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1922647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922673 */     // MIs[0] policy
     /* 1922673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1922700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922724 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922728 */     // GIR_Coverage, 14434,
     /* 1922728 */     GIR_EraseRootFromParent_Done,
     /* 1922729 */   // Label 24081: @1922729
     /* 1922729 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1922836), // Rule ID 14435 //
     /* 1922734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1922742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1922745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1922748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1922751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1922754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922780 */     // MIs[0] policy
     /* 1922780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922790 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1922807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922835 */     // GIR_Coverage, 14435,
     /* 1922835 */     GIR_EraseRootFromParent_Done,
     /* 1922836 */   // Label 24082: @1922836
     /* 1922836 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1922943), // Rule ID 14438 //
     /* 1922841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1922844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1922849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1922852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1922855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1922858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1922861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922887 */     // MIs[0] policy
     /* 1922887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1922901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1922907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1922911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1922914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1922928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1922936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1922941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922942 */     // GIR_Coverage, 14438,
     /* 1922942 */     GIR_EraseRootFromParent_Done,
     /* 1922943 */   // Label 24083: @1922943
     /* 1922943 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1923050), // Rule ID 14439 //
     /* 1922948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1922951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1922956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1922959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1922962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1922965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1922968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922994 */     // MIs[0] policy
     /* 1922994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923004 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1923021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923045 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923049 */     // GIR_Coverage, 14439,
     /* 1923049 */     GIR_EraseRootFromParent_Done,
     /* 1923050 */   // Label 24084: @1923050
     /* 1923050 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1923157), // Rule ID 14442 //
     /* 1923055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1923066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1923069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1923072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1923075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923101 */     // MIs[0] policy
     /* 1923101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923150 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923156 */     // GIR_Coverage, 14442,
     /* 1923156 */     GIR_EraseRootFromParent_Done,
     /* 1923157 */   // Label 24085: @1923157
     /* 1923157 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1923264), // Rule ID 14443 //
     /* 1923162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1923173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1923176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1923179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1923182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923208 */     // MIs[0] policy
     /* 1923208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923218 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1923257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923259 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923263 */     // GIR_Coverage, 14443,
     /* 1923263 */     GIR_EraseRootFromParent_Done,
     /* 1923264 */   // Label 24086: @1923264
     /* 1923264 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1923371), // Rule ID 14446 //
     /* 1923269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1923280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1923283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1923286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1923289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923315 */     // MIs[0] policy
     /* 1923315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923325 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1923342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923370 */     // GIR_Coverage, 14446,
     /* 1923370 */     GIR_EraseRootFromParent_Done,
     /* 1923371 */   // Label 24087: @1923371
     /* 1923371 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1923478), // Rule ID 14447 //
     /* 1923376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1923387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1923390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1923393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1923396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923422 */     // MIs[0] policy
     /* 1923422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923436 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1923449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923473 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923477 */     // GIR_Coverage, 14447,
     /* 1923477 */     GIR_EraseRootFromParent_Done,
     /* 1923478 */   // Label 24088: @1923478
     /* 1923478 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1923585), // Rule ID 14450 //
     /* 1923483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1923494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1923497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1923500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1923503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923529 */     // MIs[0] policy
     /* 1923529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923539 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923584 */     // GIR_Coverage, 14450,
     /* 1923584 */     GIR_EraseRootFromParent_Done,
     /* 1923585 */   // Label 24089: @1923585
     /* 1923585 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1923692), // Rule ID 14451 //
     /* 1923590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1923601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1923604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1923607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1923610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923636 */     // MIs[0] policy
     /* 1923636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923687 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923691 */     // GIR_Coverage, 14451,
     /* 1923691 */     GIR_EraseRootFromParent_Done,
     /* 1923692 */   // Label 24090: @1923692
     /* 1923692 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1923799), // Rule ID 14454 //
     /* 1923697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1923714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1923717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923743 */     // MIs[0] policy
     /* 1923743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923753 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923798 */     // GIR_Coverage, 14454,
     /* 1923798 */     GIR_EraseRootFromParent_Done,
     /* 1923799 */   // Label 24091: @1923799
     /* 1923799 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1923906), // Rule ID 14455 //
     /* 1923804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1923807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1923815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1923818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1923821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1923824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923850 */     // MIs[0] policy
     /* 1923850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923860 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1923877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1923904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923905 */     // GIR_Coverage, 14455,
     /* 1923905 */     GIR_EraseRootFromParent_Done,
     /* 1923906 */   // Label 24092: @1923906
     /* 1923906 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1924013), // Rule ID 14458 //
     /* 1923911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1923914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1923919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1923922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1923925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1923928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1923931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923957 */     // MIs[0] policy
     /* 1923957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923967 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1923971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1923977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1923981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1923984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1923998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924012 */     // GIR_Coverage, 14458,
     /* 1924012 */     GIR_EraseRootFromParent_Done,
     /* 1924013 */   // Label 24093: @1924013
     /* 1924013 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1924120), // Rule ID 14459 //
     /* 1924018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1924029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1924032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1924035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1924038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924064 */     // MIs[0] policy
     /* 1924064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924119 */     // GIR_Coverage, 14459,
     /* 1924119 */     GIR_EraseRootFromParent_Done,
     /* 1924120 */   // Label 24094: @1924120
     /* 1924120 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1924227), // Rule ID 14462 //
     /* 1924125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1924136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1924139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1924142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1924145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924171 */     // MIs[0] policy
     /* 1924171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924226 */     // GIR_Coverage, 14462,
     /* 1924226 */     GIR_EraseRootFromParent_Done,
     /* 1924227 */   // Label 24095: @1924227
     /* 1924227 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1924334), // Rule ID 14463 //
     /* 1924232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1924243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1924246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1924249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1924252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924278 */     // MIs[0] policy
     /* 1924278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1924327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924333 */     // GIR_Coverage, 14463,
     /* 1924333 */     GIR_EraseRootFromParent_Done,
     /* 1924334 */   // Label 24096: @1924334
     /* 1924334 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1924441), // Rule ID 14466 //
     /* 1924339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1924350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1924353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1924356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1924359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924385 */     // MIs[0] policy
     /* 1924385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924395 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924440 */     // GIR_Coverage, 14466,
     /* 1924440 */     GIR_EraseRootFromParent_Done,
     /* 1924441 */   // Label 24097: @1924441
     /* 1924441 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1924548), // Rule ID 14467 //
     /* 1924446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1924457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1924460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1924463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1924466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924492 */     // MIs[0] policy
     /* 1924492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924527 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924547 */     // GIR_Coverage, 14467,
     /* 1924547 */     GIR_EraseRootFromParent_Done,
     /* 1924548 */   // Label 24098: @1924548
     /* 1924548 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1924655), // Rule ID 14470 //
     /* 1924553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1924556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1924564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1924567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1924570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1924573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924599 */     // MIs[0] policy
     /* 1924599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924609 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924654 */     // GIR_Coverage, 14470,
     /* 1924654 */     GIR_EraseRootFromParent_Done,
     /* 1924655 */   // Label 24099: @1924655
     /* 1924655 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1924762), // Rule ID 14471 //
     /* 1924660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1924663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1924671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1924674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1924677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1924680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924706 */     // MIs[0] policy
     /* 1924706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1924733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924761 */     // GIR_Coverage, 14471,
     /* 1924761 */     GIR_EraseRootFromParent_Done,
     /* 1924762 */   // Label 24100: @1924762
     /* 1924762 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1924869), // Rule ID 14474 //
     /* 1924767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1924778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1924781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1924784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1924787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924813 */     // MIs[0] policy
     /* 1924813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1924840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924868 */     // GIR_Coverage, 14474,
     /* 1924868 */     GIR_EraseRootFromParent_Done,
     /* 1924869 */   // Label 24101: @1924869
     /* 1924869 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1924976), // Rule ID 14475 //
     /* 1924874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1924877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1924885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1924888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1924891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1924894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924920 */     // MIs[0] policy
     /* 1924920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924930 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1924934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1924940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1924944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1924947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1924961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1924974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924975 */     // GIR_Coverage, 14475,
     /* 1924975 */     GIR_EraseRootFromParent_Done,
     /* 1924976 */   // Label 24102: @1924976
     /* 1924976 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1925083), // Rule ID 14478 //
     /* 1924981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1924989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1924992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1924995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1924998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1925001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925027 */     // MIs[0] policy
     /* 1925027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925037 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1925054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925082 */     // GIR_Coverage, 14478,
     /* 1925082 */     GIR_EraseRootFromParent_Done,
     /* 1925083 */   // Label 24103: @1925083
     /* 1925083 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1925190), // Rule ID 14479 //
     /* 1925088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1925099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1925102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1925105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1925108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925134 */     // MIs[0] policy
     /* 1925134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1925161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925189 */     // GIR_Coverage, 14479,
     /* 1925189 */     GIR_EraseRootFromParent_Done,
     /* 1925190 */   // Label 24104: @1925190
     /* 1925190 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1925297), // Rule ID 14482 //
     /* 1925195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1925206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1925209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1925212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1925215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1925218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925241 */     // MIs[0] policy
     /* 1925241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925251 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1925268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925296 */     // GIR_Coverage, 14482,
     /* 1925296 */     GIR_EraseRootFromParent_Done,
     /* 1925297 */   // Label 24105: @1925297
     /* 1925297 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1925404), // Rule ID 14483 //
     /* 1925302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1925313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1925316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1925319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1925322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1925325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925348 */     // MIs[0] policy
     /* 1925348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925358 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1925375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925403 */     // GIR_Coverage, 14483,
     /* 1925403 */     GIR_EraseRootFromParent_Done,
     /* 1925404 */   // Label 24106: @1925404
     /* 1925404 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1925511), // Rule ID 14486 //
     /* 1925409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1925420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1925423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1925426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1925429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925455 */     // MIs[0] policy
     /* 1925455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925465 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1925482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925510 */     // GIR_Coverage, 14486,
     /* 1925510 */     GIR_EraseRootFromParent_Done,
     /* 1925511 */   // Label 24107: @1925511
     /* 1925511 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1925618), // Rule ID 14487 //
     /* 1925516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1925527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1925530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1925533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1925536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1925546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1925558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925562 */     // MIs[0] policy
     /* 1925562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1925589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925617 */     // GIR_Coverage, 14487,
     /* 1925617 */     GIR_EraseRootFromParent_Done,
     /* 1925618 */   // Label 24108: @1925618
     /* 1925618 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1925725), // Rule ID 14490 //
     /* 1925623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1925634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1925637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1925640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1925643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925669 */     // MIs[0] policy
     /* 1925669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1925696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925718 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925724 */     // GIR_Coverage, 14490,
     /* 1925724 */     GIR_EraseRootFromParent_Done,
     /* 1925725 */   // Label 24109: @1925725
     /* 1925725 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1925832), // Rule ID 14491 //
     /* 1925730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1925741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1925744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1925747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1925750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1925753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1925760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1925772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925776 */     // MIs[0] policy
     /* 1925776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1925803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925831 */     // GIR_Coverage, 14491,
     /* 1925831 */     GIR_EraseRootFromParent_Done,
     /* 1925832 */   // Label 24110: @1925832
     /* 1925832 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1925939), // Rule ID 14494 //
     /* 1925837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1925848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1925851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1925854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1925857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925883 */     // MIs[0] policy
     /* 1925883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925893 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1925897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1925903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1925907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1925910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1925914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1925924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1925937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925938 */     // GIR_Coverage, 14494,
     /* 1925938 */     GIR_EraseRootFromParent_Done,
     /* 1925939 */   // Label 24111: @1925939
     /* 1925939 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1926046), // Rule ID 14495 //
     /* 1925944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1925952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1925955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1925958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1925961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1925964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1925967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1925974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1925986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925990 */     // MIs[0] policy
     /* 1925990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1926017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926045 */     // GIR_Coverage, 14495,
     /* 1926045 */     GIR_EraseRootFromParent_Done,
     /* 1926046 */   // Label 24112: @1926046
     /* 1926046 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1926153), // Rule ID 14498 //
     /* 1926051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1926071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926097 */     // MIs[0] policy
     /* 1926097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1926124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926152 */     // GIR_Coverage, 14498,
     /* 1926152 */     GIR_EraseRootFromParent_Done,
     /* 1926153 */   // Label 24113: @1926153
     /* 1926153 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1926260), // Rule ID 14499 //
     /* 1926158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1926169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1926172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1926175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1926178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926204 */     // MIs[0] policy
     /* 1926204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926214 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1926231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926259 */     // GIR_Coverage, 14499,
     /* 1926259 */     GIR_EraseRootFromParent_Done,
     /* 1926260 */   // Label 24114: @1926260
     /* 1926260 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1926367), // Rule ID 14502 //
     /* 1926265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1926276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1926279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1926282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1926285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926311 */     // MIs[0] policy
     /* 1926311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926321 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1926338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926360 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926362 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926366 */     // GIR_Coverage, 14502,
     /* 1926366 */     GIR_EraseRootFromParent_Done,
     /* 1926367 */   // Label 24115: @1926367
     /* 1926367 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1926474), // Rule ID 14503 //
     /* 1926372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1926383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1926386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1926389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1926392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926418 */     // MIs[0] policy
     /* 1926418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1926445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926473 */     // GIR_Coverage, 14503,
     /* 1926473 */     GIR_EraseRootFromParent_Done,
     /* 1926474 */   // Label 24116: @1926474
     /* 1926474 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1926581), // Rule ID 14506 //
     /* 1926479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1926490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1926493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1926496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1926499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926525 */     // MIs[0] policy
     /* 1926525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926535 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1926552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926580 */     // GIR_Coverage, 14506,
     /* 1926580 */     GIR_EraseRootFromParent_Done,
     /* 1926581 */   // Label 24117: @1926581
     /* 1926581 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1926688), // Rule ID 14507 //
     /* 1926586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1926597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1926600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1926603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1926606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1926616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1926628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926632 */     // MIs[0] policy
     /* 1926632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1926659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926687 */     // GIR_Coverage, 14507,
     /* 1926687 */     GIR_EraseRootFromParent_Done,
     /* 1926688 */   // Label 24118: @1926688
     /* 1926688 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1926795), // Rule ID 14510 //
     /* 1926693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1926704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1926707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1926710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1926713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926739 */     // MIs[0] policy
     /* 1926739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926749 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1926766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926794 */     // GIR_Coverage, 14510,
     /* 1926794 */     GIR_EraseRootFromParent_Done,
     /* 1926795 */   // Label 24119: @1926795
     /* 1926795 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1926902), // Rule ID 14511 //
     /* 1926800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1926811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1926814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1926817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1926820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926846 */     // MIs[0] policy
     /* 1926846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1926873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1926900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926901 */     // GIR_Coverage, 14511,
     /* 1926901 */     GIR_EraseRootFromParent_Done,
     /* 1926902 */   // Label 24120: @1926902
     /* 1926902 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1927009), // Rule ID 14514 //
     /* 1926907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1926915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1926918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1926921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1926924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1926927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926953 */     // MIs[0] policy
     /* 1926953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926963 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1926967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1926973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1926977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1926980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1926984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1926994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927008 */     // GIR_Coverage, 14514,
     /* 1927008 */     GIR_EraseRootFromParent_Done,
     /* 1927009 */   // Label 24121: @1927009
     /* 1927009 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1927116), // Rule ID 14515 //
     /* 1927014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1927025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1927028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1927031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1927034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927060 */     // MIs[0] policy
     /* 1927060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1927087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927115 */     // GIR_Coverage, 14515,
     /* 1927115 */     GIR_EraseRootFromParent_Done,
     /* 1927116 */   // Label 24122: @1927116
     /* 1927116 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1927223), // Rule ID 14518 //
     /* 1927121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1927124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1927141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927167 */     // MIs[0] policy
     /* 1927167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927177 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1927194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927222 */     // GIR_Coverage, 14518,
     /* 1927222 */     GIR_EraseRootFromParent_Done,
     /* 1927223 */   // Label 24123: @1927223
     /* 1927223 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1927330), // Rule ID 14519 //
     /* 1927228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1927231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1927239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1927242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1927245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1927248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927274 */     // MIs[0] policy
     /* 1927274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1927301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1927323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927329 */     // GIR_Coverage, 14519,
     /* 1927329 */     GIR_EraseRootFromParent_Done,
     /* 1927330 */   // Label 24124: @1927330
     /* 1927330 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1927437), // Rule ID 14522 //
     /* 1927335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1927346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1927349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1927352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927381 */     // MIs[0] policy
     /* 1927381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927391 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1927408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927430 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927436 */     // GIR_Coverage, 14522,
     /* 1927436 */     GIR_EraseRootFromParent_Done,
     /* 1927437 */   // Label 24125: @1927437
     /* 1927437 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1927544), // Rule ID 14523 //
     /* 1927442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1927453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1927456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1927459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1927465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927488 */     // MIs[0] policy
     /* 1927488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1927515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927543 */     // GIR_Coverage, 14523,
     /* 1927543 */     GIR_EraseRootFromParent_Done,
     /* 1927544 */   // Label 24126: @1927544
     /* 1927544 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1927651), // Rule ID 14526 //
     /* 1927549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1927560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1927563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1927566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927595 */     // MIs[0] policy
     /* 1927595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927605 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1927622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927644 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927650 */     // GIR_Coverage, 14526,
     /* 1927650 */     GIR_EraseRootFromParent_Done,
     /* 1927651 */   // Label 24127: @1927651
     /* 1927651 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1927758), // Rule ID 14527 //
     /* 1927656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1927667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1927670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1927673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1927679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927702 */     // MIs[0] policy
     /* 1927702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927712 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927716 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1927729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927757 */     // GIR_Coverage, 14527,
     /* 1927757 */     GIR_EraseRootFromParent_Done,
     /* 1927758 */   // Label 24128: @1927758
     /* 1927758 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1927865), // Rule ID 14530 //
     /* 1927763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1927774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1927777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1927780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927809 */     // MIs[0] policy
     /* 1927809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927819 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1927836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927864 */     // GIR_Coverage, 14530,
     /* 1927864 */     GIR_EraseRootFromParent_Done,
     /* 1927865 */   // Label 24129: @1927865
     /* 1927865 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1927972), // Rule ID 14531 //
     /* 1927870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1927881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1927884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1927887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1927900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1927908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927916 */     // MIs[0] policy
     /* 1927916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1927930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1927936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1927940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1927943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1927947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1927957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1927970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927971 */     // GIR_Coverage, 14531,
     /* 1927971 */     GIR_EraseRootFromParent_Done,
     /* 1927972 */   // Label 24130: @1927972
     /* 1927972 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1928079), // Rule ID 14534 //
     /* 1927977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1927985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1927988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1927991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1927994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928023 */     // MIs[0] policy
     /* 1928023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928033 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1928050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928072 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928078 */     // GIR_Coverage, 14534,
     /* 1928078 */     GIR_EraseRootFromParent_Done,
     /* 1928079 */   // Label 24131: @1928079
     /* 1928079 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1928186), // Rule ID 14535 //
     /* 1928084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1928095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1928098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1928101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928130 */     // MIs[0] policy
     /* 1928130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1928157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928185 */     // GIR_Coverage, 14535,
     /* 1928185 */     GIR_EraseRootFromParent_Done,
     /* 1928186 */   // Label 24132: @1928186
     /* 1928186 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1928293), // Rule ID 14538 //
     /* 1928191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928237 */     // MIs[0] policy
     /* 1928237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1928264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928286 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928292 */     // GIR_Coverage, 14538,
     /* 1928292 */     GIR_EraseRootFromParent_Done,
     /* 1928293 */   // Label 24133: @1928293
     /* 1928293 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1928400), // Rule ID 14539 //
     /* 1928298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1928309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1928312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1928315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928344 */     // MIs[0] policy
     /* 1928344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1928371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928399 */     // GIR_Coverage, 14539,
     /* 1928399 */     GIR_EraseRootFromParent_Done,
     /* 1928400 */   // Label 24134: @1928400
     /* 1928400 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1928507), // Rule ID 14542 //
     /* 1928405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928451 */     // MIs[0] policy
     /* 1928451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928461 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1928478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928506 */     // GIR_Coverage, 14542,
     /* 1928506 */     GIR_EraseRootFromParent_Done,
     /* 1928507 */   // Label 24135: @1928507
     /* 1928507 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1928614), // Rule ID 14543 //
     /* 1928512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1928523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1928526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1928529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928558 */     // MIs[0] policy
     /* 1928558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1928585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928613 */     // GIR_Coverage, 14543,
     /* 1928613 */     GIR_EraseRootFromParent_Done,
     /* 1928614 */   // Label 24136: @1928614
     /* 1928614 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1928721), // Rule ID 14546 //
     /* 1928619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1928630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1928633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1928636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928665 */     // MIs[0] policy
     /* 1928665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1928692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928720 */     // GIR_Coverage, 14546,
     /* 1928720 */     GIR_EraseRootFromParent_Done,
     /* 1928721 */   // Label 24137: @1928721
     /* 1928721 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1928828), // Rule ID 14547 //
     /* 1928726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1928737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1928740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1928743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928772 */     // MIs[0] policy
     /* 1928772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11254:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1928799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928823 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928827 */     // GIR_Coverage, 14547,
     /* 1928827 */     GIR_EraseRootFromParent_Done,
     /* 1928828 */   // Label 24138: @1928828
     /* 1928828 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1928935), // Rule ID 14550 //
     /* 1928833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928879 */     // MIs[0] policy
     /* 1928879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928889 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1928893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1928899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1928903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1928906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1928910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1928920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1928928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1928933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928934 */     // GIR_Coverage, 14550,
     /* 1928934 */     GIR_EraseRootFromParent_Done,
     /* 1928935 */   // Label 24139: @1928935
     /* 1928935 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1929042), // Rule ID 14551 //
     /* 1928940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1928948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1928951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1928954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1928957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928986 */     // MIs[0] policy
     /* 1928986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929000 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929006 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1929013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929041 */     // GIR_Coverage, 14551,
     /* 1929041 */     GIR_EraseRootFromParent_Done,
     /* 1929042 */   // Label 24140: @1929042
     /* 1929042 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1929149), // Rule ID 14554 //
     /* 1929047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929093 */     // MIs[0] policy
     /* 1929093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1929120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929148 */     // GIR_Coverage, 14554,
     /* 1929148 */     GIR_EraseRootFromParent_Done,
     /* 1929149 */   // Label 24141: @1929149
     /* 1929149 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1929256), // Rule ID 14555 //
     /* 1929154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1929165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1929168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1929171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929200 */     // MIs[0] policy
     /* 1929200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929210 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1929227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929255 */     // GIR_Coverage, 14555,
     /* 1929255 */     GIR_EraseRootFromParent_Done,
     /* 1929256 */   // Label 24142: @1929256
     /* 1929256 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1929363), // Rule ID 14558 //
     /* 1929261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1929264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929307 */     // MIs[0] policy
     /* 1929307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929317 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1929334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929356 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929362 */     // GIR_Coverage, 14558,
     /* 1929362 */     GIR_EraseRootFromParent_Done,
     /* 1929363 */   // Label 24143: @1929363
     /* 1929363 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1929470), // Rule ID 14559 //
     /* 1929368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1929371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1929379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1929382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1929385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929414 */     // MIs[0] policy
     /* 1929414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1929441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1929463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929469 */     // GIR_Coverage, 14559,
     /* 1929469 */     GIR_EraseRootFromParent_Done,
     /* 1929470 */   // Label 24144: @1929470
     /* 1929470 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1929577), // Rule ID 14562 //
     /* 1929475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1929486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1929489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1929492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929521 */     // MIs[0] policy
     /* 1929521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929531 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1929548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929576 */     // GIR_Coverage, 14562,
     /* 1929576 */     GIR_EraseRootFromParent_Done,
     /* 1929577 */   // Label 24145: @1929577
     /* 1929577 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1929684), // Rule ID 14563 //
     /* 1929582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1929593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1929596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1929599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1929605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1929612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1929620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929628 */     // MIs[0] policy
     /* 1929628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929638 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1929655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929683 */     // GIR_Coverage, 14563,
     /* 1929683 */     GIR_EraseRootFromParent_Done,
     /* 1929684 */   // Label 24146: @1929684
     /* 1929684 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1929791), // Rule ID 14566 //
     /* 1929689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1929700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1929703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1929706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929735 */     // MIs[0] policy
     /* 1929735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929745 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1929762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929790 */     // GIR_Coverage, 14566,
     /* 1929790 */     GIR_EraseRootFromParent_Done,
     /* 1929791 */   // Label 24147: @1929791
     /* 1929791 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1929898), // Rule ID 14567 //
     /* 1929796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1929807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1929810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1929813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1929819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1929826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1929834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929842 */     // MIs[0] policy
     /* 1929842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929852 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1929869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1929896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929897 */     // GIR_Coverage, 14567,
     /* 1929897 */     GIR_EraseRootFromParent_Done,
     /* 1929898 */   // Label 24148: @1929898
     /* 1929898 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1930005), // Rule ID 14570 //
     /* 1929903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1929911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1929914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1929917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1929920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1929926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1929933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1929941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929949 */     // MIs[0] policy
     /* 1929949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929959 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1929963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1929969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1929973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1929976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1929980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1929990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929998 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930004 */     // GIR_Coverage, 14570,
     /* 1930004 */     GIR_EraseRootFromParent_Done,
     /* 1930005 */   // Label 24149: @1930005
     /* 1930005 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1930112), // Rule ID 14571 //
     /* 1930010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930056 */     // MIs[0] policy
     /* 1930056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930066 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930070 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1930083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930111 */     // GIR_Coverage, 14571,
     /* 1930111 */     GIR_EraseRootFromParent_Done,
     /* 1930112 */   // Label 24150: @1930112
     /* 1930112 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1930219), // Rule ID 14574 //
     /* 1930117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930163 */     // MIs[0] policy
     /* 1930163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930173 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1930190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930218 */     // GIR_Coverage, 14574,
     /* 1930218 */     GIR_EraseRootFromParent_Done,
     /* 1930219 */   // Label 24151: @1930219
     /* 1930219 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1930326), // Rule ID 14575 //
     /* 1930224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930270 */     // MIs[0] policy
     /* 1930270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1930297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930325 */     // GIR_Coverage, 14575,
     /* 1930325 */     GIR_EraseRootFromParent_Done,
     /* 1930326 */   // Label 24152: @1930326
     /* 1930326 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1930433), // Rule ID 14578 //
     /* 1930331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930377 */     // MIs[0] policy
     /* 1930377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1930404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930432 */     // GIR_Coverage, 14578,
     /* 1930432 */     GIR_EraseRootFromParent_Done,
     /* 1930433 */   // Label 24153: @1930433
     /* 1930433 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1930540), // Rule ID 14579 //
     /* 1930438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1930449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1930452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1930455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930484 */     // MIs[0] policy
     /* 1930484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1930511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930539 */     // GIR_Coverage, 14579,
     /* 1930539 */     GIR_EraseRootFromParent_Done,
     /* 1930540 */   // Label 24154: @1930540
     /* 1930540 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1930647), // Rule ID 14582 //
     /* 1930545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930591 */     // MIs[0] policy
     /* 1930591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930601 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1930618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930646 */     // GIR_Coverage, 14582,
     /* 1930646 */     GIR_EraseRootFromParent_Done,
     /* 1930647 */   // Label 24155: @1930647
     /* 1930647 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1930754), // Rule ID 14583 //
     /* 1930652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1930663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1930666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1930669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930698 */     // MIs[0] policy
     /* 1930698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1930725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930753 */     // GIR_Coverage, 14583,
     /* 1930753 */     GIR_EraseRootFromParent_Done,
     /* 1930754 */   // Label 24156: @1930754
     /* 1930754 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1930861), // Rule ID 14586 //
     /* 1930759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930805 */     // MIs[0] policy
     /* 1930805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930815 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1930832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930860 */     // GIR_Coverage, 14586,
     /* 1930860 */     GIR_EraseRootFromParent_Done,
     /* 1930861 */   // Label 24157: @1930861
     /* 1930861 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1930968), // Rule ID 14587 //
     /* 1930866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1930877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1930880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1930883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930912 */     // MIs[0] policy
     /* 1930912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1930926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1930932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1930936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1930939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1930943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1930953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1930966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930967 */     // GIR_Coverage, 14587,
     /* 1930967 */     GIR_EraseRootFromParent_Done,
     /* 1930968 */   // Label 24158: @1930968
     /* 1930968 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1931075), // Rule ID 14590 //
     /* 1930973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1930981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1930984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1930987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1930990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931019 */     // MIs[0] policy
     /* 1931019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931029 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1931046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931074 */     // GIR_Coverage, 14590,
     /* 1931074 */     GIR_EraseRootFromParent_Done,
     /* 1931075 */   // Label 24159: @1931075
     /* 1931075 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1931182), // Rule ID 14591 //
     /* 1931080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931126 */     // MIs[0] policy
     /* 1931126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931140 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1931153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931181 */     // GIR_Coverage, 14591,
     /* 1931181 */     GIR_EraseRootFromParent_Done,
     /* 1931182 */   // Label 24160: @1931182
     /* 1931182 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1931289), // Rule ID 14594 //
     /* 1931187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931233 */     // MIs[0] policy
     /* 1931233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931243 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1931260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931288 */     // GIR_Coverage, 14594,
     /* 1931288 */     GIR_EraseRootFromParent_Done,
     /* 1931289 */   // Label 24161: @1931289
     /* 1931289 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1931396), // Rule ID 14595 //
     /* 1931294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931340 */     // MIs[0] policy
     /* 1931340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931350 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1931367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931395 */     // GIR_Coverage, 14595,
     /* 1931395 */     GIR_EraseRootFromParent_Done,
     /* 1931396 */   // Label 24162: @1931396
     /* 1931396 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1931503), // Rule ID 14598 //
     /* 1931401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931447 */     // MIs[0] policy
     /* 1931447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931457 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1931474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931502 */     // GIR_Coverage, 14598,
     /* 1931502 */     GIR_EraseRootFromParent_Done,
     /* 1931503 */   // Label 24163: @1931503
     /* 1931503 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1931610), // Rule ID 14599 //
     /* 1931508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931554 */     // MIs[0] policy
     /* 1931554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931564 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11254:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1931581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931609 */     // GIR_Coverage, 14599,
     /* 1931609 */     GIR_EraseRootFromParent_Done,
     /* 1931610 */   // Label 24164: @1931610
     /* 1931610 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1931717), // Rule ID 14602 //
     /* 1931615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931661 */     // MIs[0] policy
     /* 1931661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931671 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1931688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931716 */     // GIR_Coverage, 14602,
     /* 1931716 */     GIR_EraseRootFromParent_Done,
     /* 1931717 */   // Label 24165: @1931717
     /* 1931717 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1931824), // Rule ID 14603 //
     /* 1931722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1931733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1931736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1931739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931768 */     // MIs[0] policy
     /* 1931768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11254:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1931795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931819 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931823 */     // GIR_Coverage, 14603,
     /* 1931823 */     GIR_EraseRootFromParent_Done,
     /* 1931824 */   // Label 24166: @1931824
     /* 1931824 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1931931), // Rule ID 14606 //
     /* 1931829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931875 */     // MIs[0] policy
     /* 1931875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931885 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1931895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1931899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1931902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1931906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1931916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1931924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1931929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931930 */     // GIR_Coverage, 14606,
     /* 1931930 */     GIR_EraseRootFromParent_Done,
     /* 1931931 */   // Label 24167: @1931931
     /* 1931931 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1932038), // Rule ID 14607 //
     /* 1931936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1931939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1931944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1931947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1931950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1931953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931982 */     // MIs[0] policy
     /* 1931982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11254:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1931996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1932009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932033 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932037 */     // GIR_Coverage, 14607,
     /* 1932037 */     GIR_EraseRootFromParent_Done,
     /* 1932038 */   // Label 24168: @1932038
     /* 1932038 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1932145), // Rule ID 14610 //
     /* 1932043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1932063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932089 */     // MIs[0] policy
     /* 1932089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1932116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932144 */     // GIR_Coverage, 14610,
     /* 1932144 */     GIR_EraseRootFromParent_Done,
     /* 1932145 */   // Label 24169: @1932145
     /* 1932145 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1932252), // Rule ID 14611 //
     /* 1932150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1932170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932196 */     // MIs[0] policy
     /* 1932196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932206 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1932223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932251 */     // GIR_Coverage, 14611,
     /* 1932251 */     GIR_EraseRootFromParent_Done,
     /* 1932252 */   // Label 24170: @1932252
     /* 1932252 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1932359), // Rule ID 14614 //
     /* 1932257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1932277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932303 */     // MIs[0] policy
     /* 1932303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932313 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1932330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932354 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932358 */     // GIR_Coverage, 14614,
     /* 1932358 */     GIR_EraseRootFromParent_Done,
     /* 1932359 */   // Label 24171: @1932359
     /* 1932359 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1932466), // Rule ID 14615 //
     /* 1932364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1932384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932410 */     // MIs[0] policy
     /* 1932410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1932437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932465 */     // GIR_Coverage, 14615,
     /* 1932465 */     GIR_EraseRootFromParent_Done,
     /* 1932466 */   // Label 24172: @1932466
     /* 1932466 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1932573), // Rule ID 14618 //
     /* 1932471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1932491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932517 */     // MIs[0] policy
     /* 1932517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932527 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1932544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932566 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932572 */     // GIR_Coverage, 14618,
     /* 1932572 */     GIR_EraseRootFromParent_Done,
     /* 1932573 */   // Label 24173: @1932573
     /* 1932573 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1932680), // Rule ID 14619 //
     /* 1932578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1932598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932624 */     // MIs[0] policy
     /* 1932624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932634 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1932651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932679 */     // GIR_Coverage, 14619,
     /* 1932679 */     GIR_EraseRootFromParent_Done,
     /* 1932680 */   // Label 24174: @1932680
     /* 1932680 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1932787), // Rule ID 14622 //
     /* 1932685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1932705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932731 */     // MIs[0] policy
     /* 1932731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932741 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1932758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932786 */     // GIR_Coverage, 14622,
     /* 1932786 */     GIR_EraseRootFromParent_Done,
     /* 1932787 */   // Label 24175: @1932787
     /* 1932787 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1932894), // Rule ID 14623 //
     /* 1932792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1932803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1932806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1932809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1932812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932838 */     // MIs[0] policy
     /* 1932838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1932865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932893 */     // GIR_Coverage, 14623,
     /* 1932893 */     GIR_EraseRootFromParent_Done,
     /* 1932894 */   // Label 24176: @1932894
     /* 1932894 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1933001), // Rule ID 14626 //
     /* 1932899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1932907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1932910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1932913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1932916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1932919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932945 */     // MIs[0] policy
     /* 1932945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1932959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1932965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1932969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1932972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1932986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1932994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1932999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933000 */     // GIR_Coverage, 14626,
     /* 1933000 */     GIR_EraseRootFromParent_Done,
     /* 1933001 */   // Label 24177: @1933001
     /* 1933001 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1933108), // Rule ID 14627 //
     /* 1933006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1933026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933052 */     // MIs[0] policy
     /* 1933052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933066 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1933079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933107 */     // GIR_Coverage, 14627,
     /* 1933107 */     GIR_EraseRootFromParent_Done,
     /* 1933108 */   // Label 24178: @1933108
     /* 1933108 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1933215), // Rule ID 14630 //
     /* 1933113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1933133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933159 */     // MIs[0] policy
     /* 1933159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1933186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933208 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933214 */     // GIR_Coverage, 14630,
     /* 1933214 */     GIR_EraseRootFromParent_Done,
     /* 1933215 */   // Label 24179: @1933215
     /* 1933215 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1933322), // Rule ID 14631 //
     /* 1933220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1933240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933266 */     // MIs[0] policy
     /* 1933266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933276 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933280 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1933293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933321 */     // GIR_Coverage, 14631,
     /* 1933321 */     GIR_EraseRootFromParent_Done,
     /* 1933322 */   // Label 24180: @1933322
     /* 1933322 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1933429), // Rule ID 14634 //
     /* 1933327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1933347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933373 */     // MIs[0] policy
     /* 1933373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933383 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933428 */     // GIR_Coverage, 14634,
     /* 1933428 */     GIR_EraseRootFromParent_Done,
     /* 1933429 */   // Label 24181: @1933429
     /* 1933429 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1933536), // Rule ID 14635 //
     /* 1933434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1933454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933480 */     // MIs[0] policy
     /* 1933480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933535 */     // GIR_Coverage, 14635,
     /* 1933535 */     GIR_EraseRootFromParent_Done,
     /* 1933536 */   // Label 24182: @1933536
     /* 1933536 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1933643), // Rule ID 14638 //
     /* 1933541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1933561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933587 */     // MIs[0] policy
     /* 1933587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933642 */     // GIR_Coverage, 14638,
     /* 1933642 */     GIR_EraseRootFromParent_Done,
     /* 1933643 */   // Label 24183: @1933643
     /* 1933643 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1933750), // Rule ID 14639 //
     /* 1933648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1933668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933694 */     // MIs[0] policy
     /* 1933694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933749 */     // GIR_Coverage, 14639,
     /* 1933749 */     GIR_EraseRootFromParent_Done,
     /* 1933750 */   // Label 24184: @1933750
     /* 1933750 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1933857), // Rule ID 14642 //
     /* 1933755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1933775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933801 */     // MIs[0] policy
     /* 1933801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933856 */     // GIR_Coverage, 14642,
     /* 1933856 */     GIR_EraseRootFromParent_Done,
     /* 1933857 */   // Label 24185: @1933857
     /* 1933857 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1933964), // Rule ID 14643 //
     /* 1933862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1933882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933908 */     // MIs[0] policy
     /* 1933908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1933922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1933928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1933932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1933935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1933949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933959 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1933962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933963 */     // GIR_Coverage, 14643,
     /* 1933963 */     GIR_EraseRootFromParent_Done,
     /* 1933964 */   // Label 24186: @1933964
     /* 1933964 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1934071), // Rule ID 14646 //
     /* 1933969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1933972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1933977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1933980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1933983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1933986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1933989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934015 */     // MIs[0] policy
     /* 1934015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934025 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1934042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934070 */     // GIR_Coverage, 14646,
     /* 1934070 */     GIR_EraseRootFromParent_Done,
     /* 1934071 */   // Label 24187: @1934071
     /* 1934071 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1934178), // Rule ID 14647 //
     /* 1934076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1934079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1934096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934122 */     // MIs[0] policy
     /* 1934122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934132 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934136 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1934149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934173 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934177 */     // GIR_Coverage, 14647,
     /* 1934177 */     GIR_EraseRootFromParent_Done,
     /* 1934178 */   // Label 24188: @1934178
     /* 1934178 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1934285), // Rule ID 14650 //
     /* 1934183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934229 */     // MIs[0] policy
     /* 1934229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934239 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1934256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934284 */     // GIR_Coverage, 14650,
     /* 1934284 */     GIR_EraseRootFromParent_Done,
     /* 1934285 */   // Label 24189: @1934285
     /* 1934285 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1934392), // Rule ID 14651 //
     /* 1934290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1934310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934336 */     // MIs[0] policy
     /* 1934336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934346 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934350 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1934363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934391 */     // GIR_Coverage, 14651,
     /* 1934391 */     GIR_EraseRootFromParent_Done,
     /* 1934392 */   // Label 24190: @1934392
     /* 1934392 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1934499), // Rule ID 14654 //
     /* 1934397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1934417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934443 */     // MIs[0] policy
     /* 1934443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934453 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1934470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934492 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934498 */     // GIR_Coverage, 14654,
     /* 1934498 */     GIR_EraseRootFromParent_Done,
     /* 1934499 */   // Label 24191: @1934499
     /* 1934499 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1934606), // Rule ID 14655 //
     /* 1934504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1934524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934550 */     // MIs[0] policy
     /* 1934550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1934577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934605 */     // GIR_Coverage, 14655,
     /* 1934605 */     GIR_EraseRootFromParent_Done,
     /* 1934606 */   // Label 24192: @1934606
     /* 1934606 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1934713), // Rule ID 14658 //
     /* 1934611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1934631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934657 */     // MIs[0] policy
     /* 1934657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934667 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1934684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934712 */     // GIR_Coverage, 14658,
     /* 1934712 */     GIR_EraseRootFromParent_Done,
     /* 1934713 */   // Label 24193: @1934713
     /* 1934713 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1934820), // Rule ID 14659 //
     /* 1934718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1934738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934764 */     // MIs[0] policy
     /* 1934764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934774 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1934791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934819 */     // GIR_Coverage, 14659,
     /* 1934819 */     GIR_EraseRootFromParent_Done,
     /* 1934820 */   // Label 24194: @1934820
     /* 1934820 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1934927), // Rule ID 14662 //
     /* 1934825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1934845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934871 */     // MIs[0] policy
     /* 1934871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934881 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1934895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1934898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1934912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1934925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934926 */     // GIR_Coverage, 14662,
     /* 1934926 */     GIR_EraseRootFromParent_Done,
     /* 1934927 */   // Label 24195: @1934927
     /* 1934927 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1935034), // Rule ID 14663 //
     /* 1934932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1934940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1934952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934978 */     // MIs[0] policy
     /* 1934978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934988 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1934992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1934998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1935005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935033 */     // GIR_Coverage, 14663,
     /* 1935033 */     GIR_EraseRootFromParent_Done,
     /* 1935034 */   // Label 24196: @1935034
     /* 1935034 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1935141), // Rule ID 14666 //
     /* 1935039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935085 */     // MIs[0] policy
     /* 1935085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935095 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1935112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935140 */     // GIR_Coverage, 14666,
     /* 1935140 */     GIR_EraseRootFromParent_Done,
     /* 1935141 */   // Label 24197: @1935141
     /* 1935141 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1935248), // Rule ID 14667 //
     /* 1935146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1935157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1935160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1935163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1935166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935192 */     // MIs[0] policy
     /* 1935192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935206 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1935219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935227 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935247 */     // GIR_Coverage, 14667,
     /* 1935247 */     GIR_EraseRootFromParent_Done,
     /* 1935248 */   // Label 24198: @1935248
     /* 1935248 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1935355), // Rule ID 14670 //
     /* 1935253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935299 */     // MIs[0] policy
     /* 1935299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935309 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1935326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935354 */     // GIR_Coverage, 14670,
     /* 1935354 */     GIR_EraseRootFromParent_Done,
     /* 1935355 */   // Label 24199: @1935355
     /* 1935355 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1935462), // Rule ID 14671 //
     /* 1935360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1935380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935406 */     // MIs[0] policy
     /* 1935406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1935433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935461 */     // GIR_Coverage, 14671,
     /* 1935461 */     GIR_EraseRootFromParent_Done,
     /* 1935462 */   // Label 24200: @1935462
     /* 1935462 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1935569), // Rule ID 14674 //
     /* 1935467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935513 */     // MIs[0] policy
     /* 1935513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935523 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1935540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935568 */     // GIR_Coverage, 14674,
     /* 1935568 */     GIR_EraseRootFromParent_Done,
     /* 1935569 */   // Label 24201: @1935569
     /* 1935569 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1935676), // Rule ID 14675 //
     /* 1935574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1935594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935620 */     // MIs[0] policy
     /* 1935620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935634 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1935647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935675 */     // GIR_Coverage, 14675,
     /* 1935675 */     GIR_EraseRootFromParent_Done,
     /* 1935676 */   // Label 24202: @1935676
     /* 1935676 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1935783), // Rule ID 14678 //
     /* 1935681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1935701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935727 */     // MIs[0] policy
     /* 1935727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1935754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935776 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935782 */     // GIR_Coverage, 14678,
     /* 1935782 */     GIR_EraseRootFromParent_Done,
     /* 1935783 */   // Label 24203: @1935783
     /* 1935783 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1935890), // Rule ID 14679 //
     /* 1935788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1935808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935834 */     // MIs[0] policy
     /* 1935834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1935861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935889 */     // GIR_Coverage, 14679,
     /* 1935889 */     GIR_EraseRootFromParent_Done,
     /* 1935890 */   // Label 24204: @1935890
     /* 1935890 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1935997), // Rule ID 14682 //
     /* 1935895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1935903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1935915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935941 */     // MIs[0] policy
     /* 1935941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935951 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1935955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1935961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1935965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1935968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1935982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1935995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935996 */     // GIR_Coverage, 14682,
     /* 1935996 */     GIR_EraseRootFromParent_Done,
     /* 1935997 */   // Label 24205: @1935997
     /* 1935997 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1936104), // Rule ID 14683 //
     /* 1936002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1936013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1936016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1936019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1936022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1936025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936048 */     // MIs[0] policy
     /* 1936048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1936075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1936097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936103 */     // GIR_Coverage, 14683,
     /* 1936103 */     GIR_EraseRootFromParent_Done,
     /* 1936104 */   // Label 24206: @1936104
     /* 1936104 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1936211), // Rule ID 14686 //
     /* 1936109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936155 */     // MIs[0] policy
     /* 1936155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936165 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1936182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936210 */     // GIR_Coverage, 14686,
     /* 1936210 */     GIR_EraseRootFromParent_Done,
     /* 1936211 */   // Label 24207: @1936211
     /* 1936211 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1936318), // Rule ID 14687 //
     /* 1936216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1936227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1936230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1936233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1936236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1936246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1936258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936262 */     // MIs[0] policy
     /* 1936262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1936289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936317 */     // GIR_Coverage, 14687,
     /* 1936317 */     GIR_EraseRootFromParent_Done,
     /* 1936318 */   // Label 24208: @1936318
     /* 1936318 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1936425), // Rule ID 14690 //
     /* 1936323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936369 */     // MIs[0] policy
     /* 1936369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936379 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1936396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936424 */     // GIR_Coverage, 14690,
     /* 1936424 */     GIR_EraseRootFromParent_Done,
     /* 1936425 */   // Label 24209: @1936425
     /* 1936425 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1936532), // Rule ID 14691 //
     /* 1936430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1936450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936476 */     // MIs[0] policy
     /* 1936476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936490 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1936503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936531 */     // GIR_Coverage, 14691,
     /* 1936531 */     GIR_EraseRootFromParent_Done,
     /* 1936532 */   // Label 24210: @1936532
     /* 1936532 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1936639), // Rule ID 14694 //
     /* 1936537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936583 */     // MIs[0] policy
     /* 1936583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936593 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1936610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936638 */     // GIR_Coverage, 14694,
     /* 1936638 */     GIR_EraseRootFromParent_Done,
     /* 1936639 */   // Label 24211: @1936639
     /* 1936639 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1936746), // Rule ID 14695 //
     /* 1936644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1936664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936690 */     // MIs[0] policy
     /* 1936690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1936717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936745 */     // GIR_Coverage, 14695,
     /* 1936745 */     GIR_EraseRootFromParent_Done,
     /* 1936746 */   // Label 24212: @1936746
     /* 1936746 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1936853), // Rule ID 14698 //
     /* 1936751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936797 */     // MIs[0] policy
     /* 1936797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936807 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1936824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936852 */     // GIR_Coverage, 14698,
     /* 1936852 */     GIR_EraseRootFromParent_Done,
     /* 1936853 */   // Label 24213: @1936853
     /* 1936853 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1936960), // Rule ID 14699 //
     /* 1936858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936904 */     // MIs[0] policy
     /* 1936904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936914 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1936918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1936924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1936928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1936931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1936945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1936958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936959 */     // GIR_Coverage, 14699,
     /* 1936959 */     GIR_EraseRootFromParent_Done,
     /* 1936960 */   // Label 24214: @1936960
     /* 1936960 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1937067), // Rule ID 14702 //
     /* 1936965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1936973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1936976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1936979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1936982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937011 */     // MIs[0] policy
     /* 1937011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937021 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1937038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937066 */     // GIR_Coverage, 14702,
     /* 1937066 */     GIR_EraseRootFromParent_Done,
     /* 1937067 */   // Label 24215: @1937067
     /* 1937067 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1937174), // Rule ID 14703 //
     /* 1937072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1937083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1937086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1937089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937118 */     // MIs[0] policy
     /* 1937118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937128 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937132 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1937145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937169 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937173 */     // GIR_Coverage, 14703,
     /* 1937173 */     GIR_EraseRootFromParent_Done,
     /* 1937174 */   // Label 24216: @1937174
     /* 1937174 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1937281), // Rule ID 14706 //
     /* 1937179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937225 */     // MIs[0] policy
     /* 1937225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1937252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937280 */     // GIR_Coverage, 14706,
     /* 1937280 */     GIR_EraseRootFromParent_Done,
     /* 1937281 */   // Label 24217: @1937281
     /* 1937281 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1937388), // Rule ID 14707 //
     /* 1937286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1937297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1937300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1937303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937332 */     // MIs[0] policy
     /* 1937332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1937359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937383 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937387 */     // GIR_Coverage, 14707,
     /* 1937387 */     GIR_EraseRootFromParent_Done,
     /* 1937388 */   // Label 24218: @1937388
     /* 1937388 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1937495), // Rule ID 14710 //
     /* 1937393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937439 */     // MIs[0] policy
     /* 1937439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1937466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937494 */     // GIR_Coverage, 14710,
     /* 1937494 */     GIR_EraseRootFromParent_Done,
     /* 1937495 */   // Label 24219: @1937495
     /* 1937495 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1937602), // Rule ID 14711 //
     /* 1937500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1937511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1937514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1937517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937546 */     // MIs[0] policy
     /* 1937546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937556 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1937573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937597 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937601 */     // GIR_Coverage, 14711,
     /* 1937601 */     GIR_EraseRootFromParent_Done,
     /* 1937602 */   // Label 24220: @1937602
     /* 1937602 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1937709), // Rule ID 14714 //
     /* 1937607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937653 */     // MIs[0] policy
     /* 1937653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937663 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937667 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1937680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937702 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937708 */     // GIR_Coverage, 14714,
     /* 1937708 */     GIR_EraseRootFromParent_Done,
     /* 1937709 */   // Label 24221: @1937709
     /* 1937709 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1937816), // Rule ID 14715 //
     /* 1937714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937760 */     // MIs[0] policy
     /* 1937760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1937787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937815 */     // GIR_Coverage, 14715,
     /* 1937815 */     GIR_EraseRootFromParent_Done,
     /* 1937816 */   // Label 24222: @1937816
     /* 1937816 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1937923), // Rule ID 14718 //
     /* 1937821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937867 */     // MIs[0] policy
     /* 1937867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937877 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937881 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1937894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1937908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1937921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937922 */     // GIR_Coverage, 14718,
     /* 1937922 */     GIR_EraseRootFromParent_Done,
     /* 1937923 */   // Label 24223: @1937923
     /* 1937923 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1938030), // Rule ID 14719 //
     /* 1937928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1937936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937974 */     // MIs[0] policy
     /* 1937974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937984 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1937988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1937994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1937998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1938001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938029 */     // GIR_Coverage, 14719,
     /* 1938029 */     GIR_EraseRootFromParent_Done,
     /* 1938030 */   // Label 24224: @1938030
     /* 1938030 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1938137), // Rule ID 14722 //
     /* 1938035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938081 */     // MIs[0] policy
     /* 1938081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938136 */     // GIR_Coverage, 14722,
     /* 1938136 */     GIR_EraseRootFromParent_Done,
     /* 1938137 */   // Label 24225: @1938137
     /* 1938137 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1938244), // Rule ID 14723 //
     /* 1938142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1938153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1938156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1938159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938188 */     // MIs[0] policy
     /* 1938188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938198 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11252:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938243 */     // GIR_Coverage, 14723,
     /* 1938243 */     GIR_EraseRootFromParent_Done,
     /* 1938244 */   // Label 24226: @1938244
     /* 1938244 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1938351), // Rule ID 14726 //
     /* 1938249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938295 */     // MIs[0] policy
     /* 1938295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938305 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938344 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938350 */     // GIR_Coverage, 14726,
     /* 1938350 */     GIR_EraseRootFromParent_Done,
     /* 1938351 */   // Label 24227: @1938351
     /* 1938351 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1938458), // Rule ID 14727 //
     /* 1938356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1938367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1938370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1938373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1938379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938402 */     // MIs[0] policy
     /* 1938402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938412 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938416 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938437 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938457 */     // GIR_Coverage, 14727,
     /* 1938457 */     GIR_EraseRootFromParent_Done,
     /* 1938458 */   // Label 24228: @1938458
     /* 1938458 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1938565), // Rule ID 14730 //
     /* 1938463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938509 */     // MIs[0] policy
     /* 1938509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938564 */     // GIR_Coverage, 14730,
     /* 1938564 */     GIR_EraseRootFromParent_Done,
     /* 1938565 */   // Label 24229: @1938565
     /* 1938565 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1938672), // Rule ID 14731 //
     /* 1938570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1938581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1938584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1938587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1938593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938616 */     // MIs[0] policy
     /* 1938616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938630 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938651 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1938665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938671 */     // GIR_Coverage, 14731,
     /* 1938671 */     GIR_EraseRootFromParent_Done,
     /* 1938672 */   // Label 24230: @1938672
     /* 1938672 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1938779), // Rule ID 14734 //
     /* 1938677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1938680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938723 */     // MIs[0] policy
     /* 1938723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938733 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938778 */     // GIR_Coverage, 14734,
     /* 1938778 */     GIR_EraseRootFromParent_Done,
     /* 1938779 */   // Label 24231: @1938779
     /* 1938779 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1938886), // Rule ID 14735 //
     /* 1938784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1938787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1938795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1938798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1938801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1938807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1938814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1938822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938830 */     // MIs[0] policy
     /* 1938830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938840 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1938857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1938879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938885 */     // GIR_Coverage, 14735,
     /* 1938885 */     GIR_EraseRootFromParent_Done,
     /* 1938886 */   // Label 24232: @1938886
     /* 1938886 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1938993), // Rule ID 14738 //
     /* 1938891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1938899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938937 */     // MIs[0] policy
     /* 1938937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1938951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1938957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1938961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1938964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1938978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1938991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938992 */     // GIR_Coverage, 14738,
     /* 1938992 */     GIR_EraseRootFromParent_Done,
     /* 1938993 */   // Label 24233: @1938993
     /* 1938993 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1939100), // Rule ID 14739 //
     /* 1938998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1939009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1939012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1939015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939044 */     // MIs[0] policy
     /* 1939044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1939071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939099 */     // GIR_Coverage, 14739,
     /* 1939099 */     GIR_EraseRootFromParent_Done,
     /* 1939100 */   // Label 24234: @1939100
     /* 1939100 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1939207), // Rule ID 14742 //
     /* 1939105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1939116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1939119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1939122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939151 */     // MIs[0] policy
     /* 1939151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939161 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1939178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939206 */     // GIR_Coverage, 14742,
     /* 1939206 */     GIR_EraseRootFromParent_Done,
     /* 1939207 */   // Label 24235: @1939207
     /* 1939207 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1939314), // Rule ID 14743 //
     /* 1939212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1939223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1939226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1939229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939258 */     // MIs[0] policy
     /* 1939258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939268 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1939285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939309 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939313 */     // GIR_Coverage, 14743,
     /* 1939313 */     GIR_EraseRootFromParent_Done,
     /* 1939314 */   // Label 24236: @1939314
     /* 1939314 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1939421), // Rule ID 14746 //
     /* 1939319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939365 */     // MIs[0] policy
     /* 1939365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939375 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1939392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939420 */     // GIR_Coverage, 14746,
     /* 1939420 */     GIR_EraseRootFromParent_Done,
     /* 1939421 */   // Label 24237: @1939421
     /* 1939421 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1939528), // Rule ID 14747 //
     /* 1939426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1939437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1939440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1939443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1939449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939472 */     // MIs[0] policy
     /* 1939472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939486 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1939499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1939521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939527 */     // GIR_Coverage, 14747,
     /* 1939527 */     GIR_EraseRootFromParent_Done,
     /* 1939528 */   // Label 24238: @1939528
     /* 1939528 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1939635), // Rule ID 14750 //
     /* 1939533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939579 */     // MIs[0] policy
     /* 1939579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1939606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939628 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939634 */     // GIR_Coverage, 14750,
     /* 1939634 */     GIR_EraseRootFromParent_Done,
     /* 1939635 */   // Label 24239: @1939635
     /* 1939635 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1939742), // Rule ID 14751 //
     /* 1939640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1939651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1939654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1939657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939686 */     // MIs[0] policy
     /* 1939686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939696 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939700 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1939713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939741 */     // GIR_Coverage, 14751,
     /* 1939741 */     GIR_EraseRootFromParent_Done,
     /* 1939742 */   // Label 24240: @1939742
     /* 1939742 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1939849), // Rule ID 14754 //
     /* 1939747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939793 */     // MIs[0] policy
     /* 1939793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939803 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1939820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939844 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939848 */     // GIR_Coverage, 14754,
     /* 1939848 */     GIR_EraseRootFromParent_Done,
     /* 1939849 */   // Label 24241: @1939849
     /* 1939849 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1939956), // Rule ID 14755 //
     /* 1939854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1939865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1939868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1939871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939900 */     // MIs[0] policy
     /* 1939900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1939914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1939920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1939924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1939927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1939941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1939954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939955 */     // GIR_Coverage, 14755,
     /* 1939955 */     GIR_EraseRootFromParent_Done,
     /* 1939956 */   // Label 24242: @1939956
     /* 1939956 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1940063), // Rule ID 14758 //
     /* 1939961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1939969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1939972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1939975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1939978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1939984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940007 */     // MIs[0] policy
     /* 1940007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1940034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940062 */     // GIR_Coverage, 14758,
     /* 1940062 */     GIR_EraseRootFromParent_Done,
     /* 1940063 */   // Label 24243: @1940063
     /* 1940063 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1940170), // Rule ID 14759 //
     /* 1940068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1940079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1940082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1940085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1940091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940114 */     // MIs[0] policy
     /* 1940114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940124 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1940141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940169 */     // GIR_Coverage, 14759,
     /* 1940169 */     GIR_EraseRootFromParent_Done,
     /* 1940170 */   // Label 24244: @1940170
     /* 1940170 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1940277), // Rule ID 14762 //
     /* 1940175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940221 */     // MIs[0] policy
     /* 1940221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940231 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1940248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940276 */     // GIR_Coverage, 14762,
     /* 1940276 */     GIR_EraseRootFromParent_Done,
     /* 1940277 */   // Label 24245: @1940277
     /* 1940277 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1940384), // Rule ID 14763 //
     /* 1940282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1940293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1940296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1940299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940328 */     // MIs[0] policy
     /* 1940328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940338 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1940355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940379 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940383 */     // GIR_Coverage, 14763,
     /* 1940383 */     GIR_EraseRootFromParent_Done,
     /* 1940384 */   // Label 24246: @1940384
     /* 1940384 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1940491), // Rule ID 14766 //
     /* 1940389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940435 */     // MIs[0] policy
     /* 1940435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1940462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940490 */     // GIR_Coverage, 14766,
     /* 1940490 */     GIR_EraseRootFromParent_Done,
     /* 1940491 */   // Label 24247: @1940491
     /* 1940491 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1940598), // Rule ID 14767 //
     /* 1940496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1940507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1940510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1940513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1940519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1940526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1940534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940542 */     // MIs[0] policy
     /* 1940542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1940569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940593 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940597 */     // GIR_Coverage, 14767,
     /* 1940597 */     GIR_EraseRootFromParent_Done,
     /* 1940598 */   // Label 24248: @1940598
     /* 1940598 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1940705), // Rule ID 14770 //
     /* 1940603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1940606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940649 */     // MIs[0] policy
     /* 1940649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940659 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1940676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940704 */     // GIR_Coverage, 14770,
     /* 1940704 */     GIR_EraseRootFromParent_Done,
     /* 1940705 */   // Label 24249: @1940705
     /* 1940705 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1940812), // Rule ID 14771 //
     /* 1940710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1940713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1940721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1940724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1940727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1940733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1940740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940756 */     // MIs[0] policy
     /* 1940756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940770 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940776 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1940783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940807 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940811 */     // GIR_Coverage, 14771,
     /* 1940811 */     GIR_EraseRootFromParent_Done,
     /* 1940812 */   // Label 24250: @1940812
     /* 1940812 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1940919), // Rule ID 14774 //
     /* 1940817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1940820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940863 */     // MIs[0] policy
     /* 1940863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940873 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1940890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1940904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940912 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940914 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1940917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940918 */     // GIR_Coverage, 14774,
     /* 1940918 */     GIR_EraseRootFromParent_Done,
     /* 1940919 */   // Label 24251: @1940919
     /* 1940919 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1941026), // Rule ID 14775 //
     /* 1940924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1940927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1940932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1940935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1940938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1940941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1940954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1940962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940970 */     // MIs[0] policy
     /* 1940970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940980 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1940984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1940990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1940994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1940997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1941024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941025 */     // GIR_Coverage, 14775,
     /* 1941025 */     GIR_EraseRootFromParent_Done,
     /* 1941026 */   // Label 24252: @1941026
     /* 1941026 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1941133), // Rule ID 14778 //
     /* 1941031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1941039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1941042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1941045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1941048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941077 */     // MIs[0] policy
     /* 1941077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941087 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1941104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941128 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1941131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941132 */     // GIR_Coverage, 14778,
     /* 1941132 */     GIR_EraseRootFromParent_Done,
     /* 1941133 */   // Label 24253: @1941133
     /* 1941133 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1941240), // Rule ID 14779 //
     /* 1941138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1941146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1941149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1941152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1941155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941184 */     // MIs[0] policy
     /* 1941184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1941211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1941238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941239 */     // GIR_Coverage, 14779,
     /* 1941239 */     GIR_EraseRootFromParent_Done,
     /* 1941240 */   // Label 24254: @1941240
     /* 1941240 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1941347), // Rule ID 14782 //
     /* 1941245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1941248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1941253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1941256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1941259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1941262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941291 */     // MIs[0] policy
     /* 1941291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941301 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1941318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1941345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941346 */     // GIR_Coverage, 14782,
     /* 1941346 */     GIR_EraseRootFromParent_Done,
     /* 1941347 */   // Label 24255: @1941347
     /* 1941347 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1941454), // Rule ID 14783 //
     /* 1941352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1941355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1941360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1941363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1941366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1941369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941398 */     // MIs[0] policy
     /* 1941398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941412 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941418 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1941425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1941452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941453 */     // GIR_Coverage, 14783,
     /* 1941453 */     GIR_EraseRootFromParent_Done,
     /* 1941454 */   // Label 24256: @1941454
     /* 1941454 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1941558), // Rule ID 19024 //
     /* 1941459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941505 */     // MIs[0] policy
     /* 1941505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941515 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1941532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941557 */     // GIR_Coverage, 19024,
     /* 1941557 */     GIR_EraseRootFromParent_Done,
     /* 1941558 */   // Label 24257: @1941558
     /* 1941558 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1941662), // Rule ID 19025 //
     /* 1941563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1941574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1941577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1941580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1941583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941609 */     // MIs[0] policy
     /* 1941609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941619 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1941636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941661 */     // GIR_Coverage, 19025,
     /* 1941661 */     GIR_EraseRootFromParent_Done,
     /* 1941662 */   // Label 24258: @1941662
     /* 1941662 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1941766), // Rule ID 19028 //
     /* 1941667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1941670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941713 */     // MIs[0] policy
     /* 1941713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941723 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1941740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941765 */     // GIR_Coverage, 19028,
     /* 1941765 */     GIR_EraseRootFromParent_Done,
     /* 1941766 */   // Label 24259: @1941766
     /* 1941766 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1941870), // Rule ID 19029 //
     /* 1941771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1941774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1941782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1941785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1941788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1941791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1941794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941817 */     // MIs[0] policy
     /* 1941817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941827 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1941844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941869 */     // GIR_Coverage, 19029,
     /* 1941869 */     GIR_EraseRootFromParent_Done,
     /* 1941870 */   // Label 24260: @1941870
     /* 1941870 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1941974), // Rule ID 19032 //
     /* 1941875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1941895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941921 */     // MIs[0] policy
     /* 1941921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941931 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1941935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1941941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1941945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1941948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1941952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1941962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941973 */     // GIR_Coverage, 19032,
     /* 1941973 */     GIR_EraseRootFromParent_Done,
     /* 1941974 */   // Label 24261: @1941974
     /* 1941974 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1942078), // Rule ID 19033 //
     /* 1941979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1941987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1941990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1941993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1941996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1941999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942025 */     // MIs[0] policy
     /* 1942025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942035 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1942052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942077 */     // GIR_Coverage, 19033,
     /* 1942077 */     GIR_EraseRootFromParent_Done,
     /* 1942078 */   // Label 24262: @1942078
     /* 1942078 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1942182), // Rule ID 19036 //
     /* 1942083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1942103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942129 */     // MIs[0] policy
     /* 1942129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942139 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1942156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942181 */     // GIR_Coverage, 19036,
     /* 1942181 */     GIR_EraseRootFromParent_Done,
     /* 1942182 */   // Label 24263: @1942182
     /* 1942182 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1942286), // Rule ID 19037 //
     /* 1942187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1942198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1942201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1942204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1942207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942233 */     // MIs[0] policy
     /* 1942233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942243 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1942260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942285 */     // GIR_Coverage, 19037,
     /* 1942285 */     GIR_EraseRootFromParent_Done,
     /* 1942286 */   // Label 24264: @1942286
     /* 1942286 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1942390), // Rule ID 19040 //
     /* 1942291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1942311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942337 */     // MIs[0] policy
     /* 1942337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1942364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942389 */     // GIR_Coverage, 19040,
     /* 1942389 */     GIR_EraseRootFromParent_Done,
     /* 1942390 */   // Label 24265: @1942390
     /* 1942390 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1942494), // Rule ID 19041 //
     /* 1942395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1942406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1942409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1942412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1942415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942441 */     // MIs[0] policy
     /* 1942441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942451 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1942468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942493 */     // GIR_Coverage, 19041,
     /* 1942493 */     GIR_EraseRootFromParent_Done,
     /* 1942494 */   // Label 24266: @1942494
     /* 1942494 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1942598), // Rule ID 19044 //
     /* 1942499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1942519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942545 */     // MIs[0] policy
     /* 1942545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942555 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1942572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942597 */     // GIR_Coverage, 19044,
     /* 1942597 */     GIR_EraseRootFromParent_Done,
     /* 1942598 */   // Label 24267: @1942598
     /* 1942598 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1942702), // Rule ID 19045 //
     /* 1942603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1942614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1942617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1942620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1942623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942649 */     // MIs[0] policy
     /* 1942649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942659 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1942676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942701 */     // GIR_Coverage, 19045,
     /* 1942701 */     GIR_EraseRootFromParent_Done,
     /* 1942702 */   // Label 24268: @1942702
     /* 1942702 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1942806), // Rule ID 19048 //
     /* 1942707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1942727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942753 */     // MIs[0] policy
     /* 1942753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942763 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1942780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942805 */     // GIR_Coverage, 19048,
     /* 1942805 */     GIR_EraseRootFromParent_Done,
     /* 1942806 */   // Label 24269: @1942806
     /* 1942806 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1942910), // Rule ID 19049 //
     /* 1942811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1942814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1942822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1942825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1942828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1942831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942857 */     // MIs[0] policy
     /* 1942857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942867 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1942884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1942898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942909 */     // GIR_Coverage, 19049,
     /* 1942909 */     GIR_EraseRootFromParent_Done,
     /* 1942910 */   // Label 24270: @1942910
     /* 1942910 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1943014), // Rule ID 19052 //
     /* 1942915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1942918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1942923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1942926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1942929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1942932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1942935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942961 */     // MIs[0] policy
     /* 1942961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942971 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1942975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1942981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1942985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1942988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1942992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943013 */     // GIR_Coverage, 19052,
     /* 1943013 */     GIR_EraseRootFromParent_Done,
     /* 1943014 */   // Label 24271: @1943014
     /* 1943014 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1943118), // Rule ID 19053 //
     /* 1943019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1943039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943065 */     // MIs[0] policy
     /* 1943065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943075 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1943092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943117 */     // GIR_Coverage, 19053,
     /* 1943117 */     GIR_EraseRootFromParent_Done,
     /* 1943118 */   // Label 24272: @1943118
     /* 1943118 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1943222), // Rule ID 19056 //
     /* 1943123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1943126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943169 */     // MIs[0] policy
     /* 1943169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943179 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1943196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943221 */     // GIR_Coverage, 19056,
     /* 1943221 */     GIR_EraseRootFromParent_Done,
     /* 1943222 */   // Label 24273: @1943222
     /* 1943222 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1943326), // Rule ID 19057 //
     /* 1943227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1943230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1943238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1943241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1943244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1943247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1943250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943273 */     // MIs[0] policy
     /* 1943273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943283 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1943300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943325 */     // GIR_Coverage, 19057,
     /* 1943325 */     GIR_EraseRootFromParent_Done,
     /* 1943326 */   // Label 24274: @1943326
     /* 1943326 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1943430), // Rule ID 19060 //
     /* 1943331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1943351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943377 */     // MIs[0] policy
     /* 1943377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943387 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1943404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943429 */     // GIR_Coverage, 19060,
     /* 1943429 */     GIR_EraseRootFromParent_Done,
     /* 1943430 */   // Label 24275: @1943430
     /* 1943430 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1943534), // Rule ID 19061 //
     /* 1943435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1943446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1943449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1943452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1943455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943481 */     // MIs[0] policy
     /* 1943481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943491 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1943508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943533 */     // GIR_Coverage, 19061,
     /* 1943533 */     GIR_EraseRootFromParent_Done,
     /* 1943534 */   // Label 24276: @1943534
     /* 1943534 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1943638), // Rule ID 19064 //
     /* 1943539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1943550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1943553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1943556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1943559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943585 */     // MIs[0] policy
     /* 1943585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943595 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1943612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943637 */     // GIR_Coverage, 19064,
     /* 1943637 */     GIR_EraseRootFromParent_Done,
     /* 1943638 */   // Label 24277: @1943638
     /* 1943638 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1943742), // Rule ID 19065 //
     /* 1943643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1943654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1943657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1943660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1943663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943689 */     // MIs[0] policy
     /* 1943689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943699 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1943716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943741 */     // GIR_Coverage, 19065,
     /* 1943741 */     GIR_EraseRootFromParent_Done,
     /* 1943742 */   // Label 24278: @1943742
     /* 1943742 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1943846), // Rule ID 19068 //
     /* 1943747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1943767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943793 */     // MIs[0] policy
     /* 1943793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943803 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1943820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943845 */     // GIR_Coverage, 19068,
     /* 1943845 */     GIR_EraseRootFromParent_Done,
     /* 1943846 */   // Label 24279: @1943846
     /* 1943846 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1943950), // Rule ID 19069 //
     /* 1943851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1943862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1943865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1943868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1943871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1943881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1943893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943897 */     // MIs[0] policy
     /* 1943897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943907 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1943911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1943917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1943921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1943924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1943928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1943938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943949 */     // GIR_Coverage, 19069,
     /* 1943949 */     GIR_EraseRootFromParent_Done,
     /* 1943950 */   // Label 24280: @1943950
     /* 1943950 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1944054), // Rule ID 19072 //
     /* 1943955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1943963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1943966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1943969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1943972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1943975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944001 */     // MIs[0] policy
     /* 1944001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944011 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1944028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944053 */     // GIR_Coverage, 19072,
     /* 1944053 */     GIR_EraseRootFromParent_Done,
     /* 1944054 */   // Label 24281: @1944054
     /* 1944054 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1944158), // Rule ID 19073 //
     /* 1944059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1944079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944105 */     // MIs[0] policy
     /* 1944105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944115 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1944132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944157 */     // GIR_Coverage, 19073,
     /* 1944157 */     GIR_EraseRootFromParent_Done,
     /* 1944158 */   // Label 24282: @1944158
     /* 1944158 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1944262), // Rule ID 19076 //
     /* 1944163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1944183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944209 */     // MIs[0] policy
     /* 1944209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944219 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1944236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944261 */     // GIR_Coverage, 19076,
     /* 1944261 */     GIR_EraseRootFromParent_Done,
     /* 1944262 */   // Label 24283: @1944262
     /* 1944262 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1944366), // Rule ID 19077 //
     /* 1944267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1944287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944313 */     // MIs[0] policy
     /* 1944313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944323 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1944340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944365 */     // GIR_Coverage, 19077,
     /* 1944365 */     GIR_EraseRootFromParent_Done,
     /* 1944366 */   // Label 24284: @1944366
     /* 1944366 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1944470), // Rule ID 19080 //
     /* 1944371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1944391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944417 */     // MIs[0] policy
     /* 1944417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944427 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1944444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944469 */     // GIR_Coverage, 19080,
     /* 1944469 */     GIR_EraseRootFromParent_Done,
     /* 1944470 */   // Label 24285: @1944470
     /* 1944470 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1944574), // Rule ID 19081 //
     /* 1944475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1944486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1944489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1944492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1944495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944521 */     // MIs[0] policy
     /* 1944521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944531 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1944548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944573 */     // GIR_Coverage, 19081,
     /* 1944573 */     GIR_EraseRootFromParent_Done,
     /* 1944574 */   // Label 24286: @1944574
     /* 1944574 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1944678), // Rule ID 19084 //
     /* 1944579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1944590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1944593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1944596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944625 */     // MIs[0] policy
     /* 1944625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944635 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1944652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944677 */     // GIR_Coverage, 19084,
     /* 1944677 */     GIR_EraseRootFromParent_Done,
     /* 1944678 */   // Label 24287: @1944678
     /* 1944678 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1944782), // Rule ID 19085 //
     /* 1944683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1944694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1944697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1944700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1944706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944729 */     // MIs[0] policy
     /* 1944729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944739 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1944756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944781 */     // GIR_Coverage, 19085,
     /* 1944781 */     GIR_EraseRootFromParent_Done,
     /* 1944782 */   // Label 24288: @1944782
     /* 1944782 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1944886), // Rule ID 19088 //
     /* 1944787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1944790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944833 */     // MIs[0] policy
     /* 1944833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944843 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1944860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944885 */     // GIR_Coverage, 19088,
     /* 1944885 */     GIR_EraseRootFromParent_Done,
     /* 1944886 */   // Label 24289: @1944886
     /* 1944886 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1944990), // Rule ID 19089 //
     /* 1944891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1944894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1944899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1944902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1944905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1944908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1944911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1944921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1944929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1944933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944937 */     // MIs[0] policy
     /* 1944937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944947 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1944951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1944957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1944961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1944964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1944968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1944978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944989 */     // GIR_Coverage, 19089,
     /* 1944989 */     GIR_EraseRootFromParent_Done,
     /* 1944990 */   // Label 24290: @1944990
     /* 1944990 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1945094), // Rule ID 19092 //
     /* 1944995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945041 */     // MIs[0] policy
     /* 1945041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945051 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1945068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945093 */     // GIR_Coverage, 19092,
     /* 1945093 */     GIR_EraseRootFromParent_Done,
     /* 1945094 */   // Label 24291: @1945094
     /* 1945094 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1945198), // Rule ID 19093 //
     /* 1945099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945145 */     // MIs[0] policy
     /* 1945145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945155 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1945172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945197 */     // GIR_Coverage, 19093,
     /* 1945197 */     GIR_EraseRootFromParent_Done,
     /* 1945198 */   // Label 24292: @1945198
     /* 1945198 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1945302), // Rule ID 19096 //
     /* 1945203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1945214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1945217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1945220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945249 */     // MIs[0] policy
     /* 1945249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945259 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1945276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945301 */     // GIR_Coverage, 19096,
     /* 1945301 */     GIR_EraseRootFromParent_Done,
     /* 1945302 */   // Label 24293: @1945302
     /* 1945302 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1945406), // Rule ID 19097 //
     /* 1945307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1945318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1945321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1945324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945353 */     // MIs[0] policy
     /* 1945353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945363 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10847:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1945380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945405 */     // GIR_Coverage, 19097,
     /* 1945405 */     GIR_EraseRootFromParent_Done,
     /* 1945406 */   // Label 24294: @1945406
     /* 1945406 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1945510), // Rule ID 19100 //
     /* 1945411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1945425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1945428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945457 */     // MIs[0] policy
     /* 1945457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945467 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1945484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945509 */     // GIR_Coverage, 19100,
     /* 1945509 */     GIR_EraseRootFromParent_Done,
     /* 1945510 */   // Label 24295: @1945510
     /* 1945510 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1945614), // Rule ID 19101 //
     /* 1945515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1945529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1945532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945561 */     // MIs[0] policy
     /* 1945561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945571 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10847:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1945588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945613 */     // GIR_Coverage, 19101,
     /* 1945613 */     GIR_EraseRootFromParent_Done,
     /* 1945614 */   // Label 24296: @1945614
     /* 1945614 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1945718), // Rule ID 19104 //
     /* 1945619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1945630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1945633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1945636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945665 */     // MIs[0] policy
     /* 1945665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1945692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945717 */     // GIR_Coverage, 19104,
     /* 1945717 */     GIR_EraseRootFromParent_Done,
     /* 1945718 */   // Label 24297: @1945718
     /* 1945718 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1945822), // Rule ID 19105 //
     /* 1945723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1945734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1945737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1945740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1945765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945769 */     // MIs[0] policy
     /* 1945769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945779 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10847:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1945796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945821 */     // GIR_Coverage, 19105,
     /* 1945821 */     GIR_EraseRootFromParent_Done,
     /* 1945822 */   // Label 24298: @1945822
     /* 1945822 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1945926), // Rule ID 19108 //
     /* 1945827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945873 */     // MIs[0] policy
     /* 1945873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945883 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1945897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1945900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1945914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945925 */     // GIR_Coverage, 19108,
     /* 1945925 */     GIR_EraseRootFromParent_Done,
     /* 1945926 */   // Label 24299: @1945926
     /* 1945926 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1946030), // Rule ID 19109 //
     /* 1945931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1945939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1945942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1945945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1945948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1945961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1945969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945977 */     // MIs[0] policy
     /* 1945977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945987 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1945991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1945997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1946004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946029 */     // GIR_Coverage, 19109,
     /* 1946029 */     GIR_EraseRootFromParent_Done,
     /* 1946030 */   // Label 24300: @1946030
     /* 1946030 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1946134), // Rule ID 19112 //
     /* 1946035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1946038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946081 */     // MIs[0] policy
     /* 1946081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946091 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1946108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946133 */     // GIR_Coverage, 19112,
     /* 1946133 */     GIR_EraseRootFromParent_Done,
     /* 1946134 */   // Label 24301: @1946134
     /* 1946134 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1946238), // Rule ID 19113 //
     /* 1946139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1946142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946185 */     // MIs[0] policy
     /* 1946185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946195 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1946212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946237 */     // GIR_Coverage, 19113,
     /* 1946237 */     GIR_EraseRootFromParent_Done,
     /* 1946238 */   // Label 24302: @1946238
     /* 1946238 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1946342), // Rule ID 19116 //
     /* 1946243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1946246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946289 */     // MIs[0] policy
     /* 1946289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946299 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1946316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946341 */     // GIR_Coverage, 19116,
     /* 1946341 */     GIR_EraseRootFromParent_Done,
     /* 1946342 */   // Label 24303: @1946342
     /* 1946342 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1946446), // Rule ID 19117 //
     /* 1946347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1946350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946393 */     // MIs[0] policy
     /* 1946393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1946420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946445 */     // GIR_Coverage, 19117,
     /* 1946445 */     GIR_EraseRootFromParent_Done,
     /* 1946446 */   // Label 24304: @1946446
     /* 1946446 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1946550), // Rule ID 19120 //
     /* 1946451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946497 */     // MIs[0] policy
     /* 1946497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946507 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1946524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946549 */     // GIR_Coverage, 19120,
     /* 1946549 */     GIR_EraseRootFromParent_Done,
     /* 1946550 */   // Label 24305: @1946550
     /* 1946550 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1946654), // Rule ID 19121 //
     /* 1946555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946601 */     // MIs[0] policy
     /* 1946601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946611 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1946628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946653 */     // GIR_Coverage, 19121,
     /* 1946653 */     GIR_EraseRootFromParent_Done,
     /* 1946654 */   // Label 24306: @1946654
     /* 1946654 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1946758), // Rule ID 19124 //
     /* 1946659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946705 */     // MIs[0] policy
     /* 1946705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946715 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1946732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946757 */     // GIR_Coverage, 19124,
     /* 1946757 */     GIR_EraseRootFromParent_Done,
     /* 1946758 */   // Label 24307: @1946758
     /* 1946758 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1946862), // Rule ID 19125 //
     /* 1946763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946809 */     // MIs[0] policy
     /* 1946809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946819 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1946836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946861 */     // GIR_Coverage, 19125,
     /* 1946861 */     GIR_EraseRootFromParent_Done,
     /* 1946862 */   // Label 24308: @1946862
     /* 1946862 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1946966), // Rule ID 19128 //
     /* 1946867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946913 */     // MIs[0] policy
     /* 1946913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946923 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1946927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1946933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1946937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1946940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1946954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946965 */     // GIR_Coverage, 19128,
     /* 1946965 */     GIR_EraseRootFromParent_Done,
     /* 1946966 */   // Label 24309: @1946966
     /* 1946966 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1947070), // Rule ID 19129 //
     /* 1946971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1946979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1946982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1946985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1946988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1947013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947017 */     // MIs[0] policy
     /* 1947017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947027 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1947044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947069 */     // GIR_Coverage, 19129,
     /* 1947069 */     GIR_EraseRootFromParent_Done,
     /* 1947070 */   // Label 24310: @1947070
     /* 1947070 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1947174), // Rule ID 19132 //
     /* 1947075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1947086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1947089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1947092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947121 */     // MIs[0] policy
     /* 1947121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947131 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1947148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947173 */     // GIR_Coverage, 19132,
     /* 1947173 */     GIR_EraseRootFromParent_Done,
     /* 1947174 */   // Label 24311: @1947174
     /* 1947174 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1947278), // Rule ID 19133 //
     /* 1947179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1947190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1947193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1947196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947225 */     // MIs[0] policy
     /* 1947225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947235 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10847:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1947252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947277 */     // GIR_Coverage, 19133,
     /* 1947277 */     GIR_EraseRootFromParent_Done,
     /* 1947278 */   // Label 24312: @1947278
     /* 1947278 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1947382), // Rule ID 19136 //
     /* 1947283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947329 */     // MIs[0] policy
     /* 1947329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947339 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1947356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947381 */     // GIR_Coverage, 19136,
     /* 1947381 */     GIR_EraseRootFromParent_Done,
     /* 1947382 */   // Label 24313: @1947382
     /* 1947382 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1947486), // Rule ID 19137 //
     /* 1947387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947433 */     // MIs[0] policy
     /* 1947433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947443 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10847:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1947460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947485 */     // GIR_Coverage, 19137,
     /* 1947485 */     GIR_EraseRootFromParent_Done,
     /* 1947486 */   // Label 24314: @1947486
     /* 1947486 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1947590), // Rule ID 19140 //
     /* 1947491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947537 */     // MIs[0] policy
     /* 1947537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1947564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947589 */     // GIR_Coverage, 19140,
     /* 1947589 */     GIR_EraseRootFromParent_Done,
     /* 1947590 */   // Label 24315: @1947590
     /* 1947590 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1947694), // Rule ID 19141 //
     /* 1947595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1947603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947641 */     // MIs[0] policy
     /* 1947641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947651 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10847:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1947668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947693 */     // GIR_Coverage, 19141,
     /* 1947693 */     GIR_EraseRootFromParent_Done,
     /* 1947694 */   // Label 24316: @1947694
     /* 1947694 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1947798), // Rule ID 19144 //
     /* 1947699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1947702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1947707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947745 */     // MIs[0] policy
     /* 1947745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947755 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1947772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947797 */     // GIR_Coverage, 19144,
     /* 1947797 */     GIR_EraseRootFromParent_Done,
     /* 1947798 */   // Label 24317: @1947798
     /* 1947798 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1947902), // Rule ID 19145 //
     /* 1947803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1947806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1947811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1947823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947849 */     // MIs[0] policy
     /* 1947849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947859 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1947876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947901 */     // GIR_Coverage, 19145,
     /* 1947901 */     GIR_EraseRootFromParent_Done,
     /* 1947902 */   // Label 24318: @1947902
     /* 1947902 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1948006), // Rule ID 19148 //
     /* 1947907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1947910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1947915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1947927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947953 */     // MIs[0] policy
     /* 1947953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947963 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1947967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1947973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1947977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1947980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1947994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948005 */     // GIR_Coverage, 19148,
     /* 1948005 */     GIR_EraseRootFromParent_Done,
     /* 1948006 */   // Label 24319: @1948006
     /* 1948006 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1948110), // Rule ID 19149 //
     /* 1948011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1948014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1948031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948057 */     // MIs[0] policy
     /* 1948057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948067 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1948084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948109 */     // GIR_Coverage, 19149,
     /* 1948109 */     GIR_EraseRootFromParent_Done,
     /* 1948110 */   // Label 24320: @1948110
     /* 1948110 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1948214), // Rule ID 19152 //
     /* 1948115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1948118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1948135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948161 */     // MIs[0] policy
     /* 1948161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1948188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948213 */     // GIR_Coverage, 19152,
     /* 1948213 */     GIR_EraseRootFromParent_Done,
     /* 1948214 */   // Label 24321: @1948214
     /* 1948214 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1948318), // Rule ID 19153 //
     /* 1948219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1948222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1948239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948265 */     // MIs[0] policy
     /* 1948265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948275 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1948292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948317 */     // GIR_Coverage, 19153,
     /* 1948317 */     GIR_EraseRootFromParent_Done,
     /* 1948318 */   // Label 24322: @1948318
     /* 1948318 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1948422), // Rule ID 19156 //
     /* 1948323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1948326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948369 */     // MIs[0] policy
     /* 1948369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948379 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1948396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948421 */     // GIR_Coverage, 19156,
     /* 1948421 */     GIR_EraseRootFromParent_Done,
     /* 1948422 */   // Label 24323: @1948422
     /* 1948422 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1948526), // Rule ID 19157 //
     /* 1948427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1948430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1948447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948473 */     // MIs[0] policy
     /* 1948473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948483 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1948500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948525 */     // GIR_Coverage, 19157,
     /* 1948525 */     GIR_EraseRootFromParent_Done,
     /* 1948526 */   // Label 24324: @1948526
     /* 1948526 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1948630), // Rule ID 19160 //
     /* 1948531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1948534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1948551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948577 */     // MIs[0] policy
     /* 1948577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948587 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1948604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948629 */     // GIR_Coverage, 19160,
     /* 1948629 */     GIR_EraseRootFromParent_Done,
     /* 1948630 */   // Label 24325: @1948630
     /* 1948630 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1948734), // Rule ID 19161 //
     /* 1948635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1948638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1948655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948681 */     // MIs[0] policy
     /* 1948681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948691 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1948708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948733 */     // GIR_Coverage, 19161,
     /* 1948733 */     GIR_EraseRootFromParent_Done,
     /* 1948734 */   // Label 24326: @1948734
     /* 1948734 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1948838), // Rule ID 19164 //
     /* 1948739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1948742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1948759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948785 */     // MIs[0] policy
     /* 1948785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948795 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1948812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948837 */     // GIR_Coverage, 19164,
     /* 1948837 */     GIR_EraseRootFromParent_Done,
     /* 1948838 */   // Label 24327: @1948838
     /* 1948838 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1948942), // Rule ID 19165 //
     /* 1948843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1948846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1948863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948889 */     // MIs[0] policy
     /* 1948889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948899 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1948903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1948909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1948913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1948916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1948930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948941 */     // GIR_Coverage, 19165,
     /* 1948941 */     GIR_EraseRootFromParent_Done,
     /* 1948942 */   // Label 24328: @1948942
     /* 1948942 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1949046), // Rule ID 19168 //
     /* 1948947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1948950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1948955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1948967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948993 */     // MIs[0] policy
     /* 1948993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949003 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1949020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949045 */     // GIR_Coverage, 19168,
     /* 1949045 */     GIR_EraseRootFromParent_Done,
     /* 1949046 */   // Label 24329: @1949046
     /* 1949046 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1949150), // Rule ID 19169 //
     /* 1949051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1949054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1949062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1949065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1949068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1949071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949097 */     // MIs[0] policy
     /* 1949097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949107 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1949124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949149 */     // GIR_Coverage, 19169,
     /* 1949149 */     GIR_EraseRootFromParent_Done,
     /* 1949150 */   // Label 24330: @1949150
     /* 1949150 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1949254), // Rule ID 19172 //
     /* 1949155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1949158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949201 */     // MIs[0] policy
     /* 1949201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949211 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1949228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949253 */     // GIR_Coverage, 19172,
     /* 1949253 */     GIR_EraseRootFromParent_Done,
     /* 1949254 */   // Label 24331: @1949254
     /* 1949254 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1949358), // Rule ID 19173 //
     /* 1949259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1949262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1949279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949305 */     // MIs[0] policy
     /* 1949305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949315 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1949332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949357 */     // GIR_Coverage, 19173,
     /* 1949357 */     GIR_EraseRootFromParent_Done,
     /* 1949358 */   // Label 24332: @1949358
     /* 1949358 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1949462), // Rule ID 19176 //
     /* 1949363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1949366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949409 */     // MIs[0] policy
     /* 1949409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949419 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1949436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949461 */     // GIR_Coverage, 19176,
     /* 1949461 */     GIR_EraseRootFromParent_Done,
     /* 1949462 */   // Label 24333: @1949462
     /* 1949462 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1949566), // Rule ID 19177 //
     /* 1949467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1949470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1949487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949513 */     // MIs[0] policy
     /* 1949513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949523 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1949540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949565 */     // GIR_Coverage, 19177,
     /* 1949565 */     GIR_EraseRootFromParent_Done,
     /* 1949566 */   // Label 24334: @1949566
     /* 1949566 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1949670), // Rule ID 19180 //
     /* 1949571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1949591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949617 */     // MIs[0] policy
     /* 1949617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949627 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1949644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949669 */     // GIR_Coverage, 19180,
     /* 1949669 */     GIR_EraseRootFromParent_Done,
     /* 1949670 */   // Label 24335: @1949670
     /* 1949670 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1949774), // Rule ID 19181 //
     /* 1949675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1949695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949721 */     // MIs[0] policy
     /* 1949721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949731 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1949748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949773 */     // GIR_Coverage, 19181,
     /* 1949773 */     GIR_EraseRootFromParent_Done,
     /* 1949774 */   // Label 24336: @1949774
     /* 1949774 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1949878), // Rule ID 19184 //
     /* 1949779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949825 */     // MIs[0] policy
     /* 1949825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949835 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1949852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949877 */     // GIR_Coverage, 19184,
     /* 1949877 */     GIR_EraseRootFromParent_Done,
     /* 1949878 */   // Label 24337: @1949878
     /* 1949878 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1949982), // Rule ID 19185 //
     /* 1949883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1949903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949929 */     // MIs[0] policy
     /* 1949929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949939 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1949943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1949949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1949953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1949956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1949970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949981 */     // GIR_Coverage, 19185,
     /* 1949981 */     GIR_EraseRootFromParent_Done,
     /* 1949982 */   // Label 24338: @1949982
     /* 1949982 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1950086), // Rule ID 19188 //
     /* 1949987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1949995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1950007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950033 */     // MIs[0] policy
     /* 1950033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950043 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1950060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950085 */     // GIR_Coverage, 19188,
     /* 1950085 */     GIR_EraseRootFromParent_Done,
     /* 1950086 */   // Label 24339: @1950086
     /* 1950086 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1950190), // Rule ID 19189 //
     /* 1950091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1950094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1950102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1950105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1950108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1950111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1950114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950137 */     // MIs[0] policy
     /* 1950137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950147 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1950164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1950186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950189 */     // GIR_Coverage, 19189,
     /* 1950189 */     GIR_EraseRootFromParent_Done,
     /* 1950190 */   // Label 24340: @1950190
     /* 1950190 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1950294), // Rule ID 19192 //
     /* 1950195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1950215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950241 */     // MIs[0] policy
     /* 1950241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950251 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1950268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950293 */     // GIR_Coverage, 19192,
     /* 1950293 */     GIR_EraseRootFromParent_Done,
     /* 1950294 */   // Label 24341: @1950294
     /* 1950294 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1950398), // Rule ID 19193 //
     /* 1950299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1950310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1950313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1950316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1950319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1950329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1950341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950345 */     // MIs[0] policy
     /* 1950345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950355 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1950372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950397 */     // GIR_Coverage, 19193,
     /* 1950397 */     GIR_EraseRootFromParent_Done,
     /* 1950398 */   // Label 24342: @1950398
     /* 1950398 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1950502), // Rule ID 19196 //
     /* 1950403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1950423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950449 */     // MIs[0] policy
     /* 1950449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950459 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1950476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950501 */     // GIR_Coverage, 19196,
     /* 1950501 */     GIR_EraseRootFromParent_Done,
     /* 1950502 */   // Label 24343: @1950502
     /* 1950502 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1950606), // Rule ID 19197 //
     /* 1950507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1950527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950553 */     // MIs[0] policy
     /* 1950553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950563 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1950580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950605 */     // GIR_Coverage, 19197,
     /* 1950605 */     GIR_EraseRootFromParent_Done,
     /* 1950606 */   // Label 24344: @1950606
     /* 1950606 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1950710), // Rule ID 19200 //
     /* 1950611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1950631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950657 */     // MIs[0] policy
     /* 1950657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950667 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1950684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950709 */     // GIR_Coverage, 19200,
     /* 1950709 */     GIR_EraseRootFromParent_Done,
     /* 1950710 */   // Label 24345: @1950710
     /* 1950710 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1950814), // Rule ID 19201 //
     /* 1950715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1950735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950761 */     // MIs[0] policy
     /* 1950761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950771 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1950788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950813 */     // GIR_Coverage, 19201,
     /* 1950813 */     GIR_EraseRootFromParent_Done,
     /* 1950814 */   // Label 24346: @1950814
     /* 1950814 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1950918), // Rule ID 19204 //
     /* 1950819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1950822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1950839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1950861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950865 */     // MIs[0] policy
     /* 1950865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950875 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1950892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1950906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950917 */     // GIR_Coverage, 19204,
     /* 1950917 */     GIR_EraseRootFromParent_Done,
     /* 1950918 */   // Label 24347: @1950918
     /* 1950918 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1951022), // Rule ID 19205 //
     /* 1950923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1950926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1950931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1950943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1950965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950969 */     // MIs[0] policy
     /* 1950969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950979 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1950983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1950989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1950993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1950996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951021 */     // GIR_Coverage, 19205,
     /* 1951021 */     GIR_EraseRootFromParent_Done,
     /* 1951022 */   // Label 24348: @1951022
     /* 1951022 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1951126), // Rule ID 19208 //
     /* 1951027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1951030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1951047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1951069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951073 */     // MIs[0] policy
     /* 1951073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951083 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1951100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951125 */     // GIR_Coverage, 19208,
     /* 1951125 */     GIR_EraseRootFromParent_Done,
     /* 1951126 */   // Label 24349: @1951126
     /* 1951126 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1951230), // Rule ID 19209 //
     /* 1951131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1951134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1951151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1951173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951177 */     // MIs[0] policy
     /* 1951177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951187 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1951204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951229 */     // GIR_Coverage, 19209,
     /* 1951229 */     GIR_EraseRootFromParent_Done,
     /* 1951230 */   // Label 24350: @1951230
     /* 1951230 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1951334), // Rule ID 19212 //
     /* 1951235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1951277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951281 */     // MIs[0] policy
     /* 1951281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951291 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1951308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951333 */     // GIR_Coverage, 19212,
     /* 1951333 */     GIR_EraseRootFromParent_Done,
     /* 1951334 */   // Label 24351: @1951334
     /* 1951334 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1951438), // Rule ID 19213 //
     /* 1951339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1951381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951385 */     // MIs[0] policy
     /* 1951385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951395 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1951412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951437 */     // GIR_Coverage, 19213,
     /* 1951437 */     GIR_EraseRootFromParent_Done,
     /* 1951438 */   // Label 24352: @1951438
     /* 1951438 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1951542), // Rule ID 19216 //
     /* 1951443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1951446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1951463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1951485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951489 */     // MIs[0] policy
     /* 1951489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951499 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1951516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951541 */     // GIR_Coverage, 19216,
     /* 1951541 */     GIR_EraseRootFromParent_Done,
     /* 1951542 */   // Label 24353: @1951542
     /* 1951542 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1951646), // Rule ID 19217 //
     /* 1951547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1951550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1951567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1951589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951593 */     // MIs[0] policy
     /* 1951593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951603 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10844:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1951620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951645 */     // GIR_Coverage, 19217,
     /* 1951645 */     GIR_EraseRootFromParent_Done,
     /* 1951646 */   // Label 24354: @1951646
     /* 1951646 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1951750), // Rule ID 19220 //
     /* 1951651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1951654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1951693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951697 */     // MIs[0] policy
     /* 1951697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951707 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1951724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951749 */     // GIR_Coverage, 19220,
     /* 1951749 */     GIR_EraseRootFromParent_Done,
     /* 1951750 */   // Label 24355: @1951750
     /* 1951750 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1951854), // Rule ID 19221 //
     /* 1951755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1951758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1951775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1951797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951801 */     // MIs[0] policy
     /* 1951801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951811 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10844:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1951828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951853 */     // GIR_Coverage, 19221,
     /* 1951853 */     GIR_EraseRootFromParent_Done,
     /* 1951854 */   // Label 24356: @1951854
     /* 1951854 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1951958), // Rule ID 19224 //
     /* 1951859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1951862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1951901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951905 */     // MIs[0] policy
     /* 1951905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951915 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1951919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1951925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1951929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1951932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1951946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951957 */     // GIR_Coverage, 19224,
     /* 1951957 */     GIR_EraseRootFromParent_Done,
     /* 1951958 */   // Label 24357: @1951958
     /* 1951958 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1952062), // Rule ID 19225 //
     /* 1951963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1951966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1951971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1951983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1952005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952009 */     // MIs[0] policy
     /* 1952009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952019 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10844:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1952036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952061 */     // GIR_Coverage, 19225,
     /* 1952061 */     GIR_EraseRootFromParent_Done,
     /* 1952062 */   // Label 24358: @1952062
     /* 1952062 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1952166), // Rule ID 19228 //
     /* 1952067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1952070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952113 */     // MIs[0] policy
     /* 1952113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952123 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1952140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952165 */     // GIR_Coverage, 19228,
     /* 1952165 */     GIR_EraseRootFromParent_Done,
     /* 1952166 */   // Label 24359: @1952166
     /* 1952166 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1952270), // Rule ID 19229 //
     /* 1952171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1952174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952217 */     // MIs[0] policy
     /* 1952217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952227 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1952244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952269 */     // GIR_Coverage, 19229,
     /* 1952269 */     GIR_EraseRootFromParent_Done,
     /* 1952270 */   // Label 24360: @1952270
     /* 1952270 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1952374), // Rule ID 19232 //
     /* 1952275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1952278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952321 */     // MIs[0] policy
     /* 1952321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952331 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1952348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952373 */     // GIR_Coverage, 19232,
     /* 1952373 */     GIR_EraseRootFromParent_Done,
     /* 1952374 */   // Label 24361: @1952374
     /* 1952374 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1952478), // Rule ID 19233 //
     /* 1952379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1952382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952425 */     // MIs[0] policy
     /* 1952425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952435 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1952452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952477 */     // GIR_Coverage, 19233,
     /* 1952477 */     GIR_EraseRootFromParent_Done,
     /* 1952478 */   // Label 24362: @1952478
     /* 1952478 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1952582), // Rule ID 19236 //
     /* 1952483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1952486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952529 */     // MIs[0] policy
     /* 1952529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952539 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1952556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952581 */     // GIR_Coverage, 19236,
     /* 1952581 */     GIR_EraseRootFromParent_Done,
     /* 1952582 */   // Label 24363: @1952582
     /* 1952582 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1952686), // Rule ID 19237 //
     /* 1952587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1952590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1952607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1952629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952633 */     // MIs[0] policy
     /* 1952633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952643 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1952660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952685 */     // GIR_Coverage, 19237,
     /* 1952685 */     GIR_EraseRootFromParent_Done,
     /* 1952686 */   // Label 24364: @1952686
     /* 1952686 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1952790), // Rule ID 19240 //
     /* 1952691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1952733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952737 */     // MIs[0] policy
     /* 1952737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1952764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952789 */     // GIR_Coverage, 19240,
     /* 1952789 */     GIR_EraseRootFromParent_Done,
     /* 1952790 */   // Label 24365: @1952790
     /* 1952790 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1952894), // Rule ID 19241 //
     /* 1952795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1952798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1952806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1952809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1952812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1952818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1952837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952841 */     // MIs[0] policy
     /* 1952841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952851 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1952868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952893 */     // GIR_Coverage, 19241,
     /* 1952893 */     GIR_EraseRootFromParent_Done,
     /* 1952894 */   // Label 24366: @1952894
     /* 1952894 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1952998), // Rule ID 19244 //
     /* 1952899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1952902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1952907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1952910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1952913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1952916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1952919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1952941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952945 */     // MIs[0] policy
     /* 1952945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1952959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1952965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1952969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1952972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1952986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1952994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952997 */     // GIR_Coverage, 19244,
     /* 1952997 */     GIR_EraseRootFromParent_Done,
     /* 1952998 */   // Label 24367: @1952998
     /* 1952998 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1953102), // Rule ID 19245 //
     /* 1953003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1953006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1953020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1953045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953049 */     // MIs[0] policy
     /* 1953049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953059 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1953076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953101 */     // GIR_Coverage, 19245,
     /* 1953101 */     GIR_EraseRootFromParent_Done,
     /* 1953102 */   // Label 24368: @1953102
     /* 1953102 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1953206), // Rule ID 19248 //
     /* 1953107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1953110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1953149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953153 */     // MIs[0] policy
     /* 1953153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953163 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1953180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953205 */     // GIR_Coverage, 19248,
     /* 1953205 */     GIR_EraseRootFromParent_Done,
     /* 1953206 */   // Label 24369: @1953206
     /* 1953206 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1953310), // Rule ID 19249 //
     /* 1953211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1953214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1953231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1953253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953257 */     // MIs[0] policy
     /* 1953257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953267 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1953284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953309 */     // GIR_Coverage, 19249,
     /* 1953309 */     GIR_EraseRootFromParent_Done,
     /* 1953310 */   // Label 24370: @1953310
     /* 1953310 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1953414), // Rule ID 19252 //
     /* 1953315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953361 */     // MIs[0] policy
     /* 1953361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953371 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1953388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953413 */     // GIR_Coverage, 19252,
     /* 1953413 */     GIR_EraseRootFromParent_Done,
     /* 1953414 */   // Label 24371: @1953414
     /* 1953414 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1953518), // Rule ID 19253 //
     /* 1953419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953465 */     // MIs[0] policy
     /* 1953465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953475 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10844:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1953492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953517 */     // GIR_Coverage, 19253,
     /* 1953517 */     GIR_EraseRootFromParent_Done,
     /* 1953518 */   // Label 24372: @1953518
     /* 1953518 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1953622), // Rule ID 19256 //
     /* 1953523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953569 */     // MIs[0] policy
     /* 1953569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953579 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1953596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953621 */     // GIR_Coverage, 19256,
     /* 1953621 */     GIR_EraseRootFromParent_Done,
     /* 1953622 */   // Label 24373: @1953622
     /* 1953622 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1953726), // Rule ID 19257 //
     /* 1953627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953673 */     // MIs[0] policy
     /* 1953673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953683 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10844:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1953700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953725 */     // GIR_Coverage, 19257,
     /* 1953725 */     GIR_EraseRootFromParent_Done,
     /* 1953726 */   // Label 24374: @1953726
     /* 1953726 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1953830), // Rule ID 19260 //
     /* 1953731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1953734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953777 */     // MIs[0] policy
     /* 1953777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1953804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953829 */     // GIR_Coverage, 19260,
     /* 1953829 */     GIR_EraseRootFromParent_Done,
     /* 1953830 */   // Label 24375: @1953830
     /* 1953830 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1953934), // Rule ID 19261 //
     /* 1953835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1953838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1953843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1953849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1953852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1953855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1953877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953881 */     // MIs[0] policy
     /* 1953881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953891 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10844:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1953901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1953905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1953908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1953922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953933 */     // GIR_Coverage, 19261,
     /* 1953933 */     GIR_EraseRootFromParent_Done,
     /* 1953934 */   // Label 24376: @1953934
     /* 1953934 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1954038), // Rule ID 19264 //
     /* 1953939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1953942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1953947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1953950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1953953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1953956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1953959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1953962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1953969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1953981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953985 */     // MIs[0] policy
     /* 1953985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953995 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1953999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1954012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954037 */     // GIR_Coverage, 19264,
     /* 1954037 */     GIR_EraseRootFromParent_Done,
     /* 1954038 */   // Label 24377: @1954038
     /* 1954038 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1954142), // Rule ID 19265 //
     /* 1954043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1954046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1954063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954089 */     // MIs[0] policy
     /* 1954089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954099 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1954116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954141 */     // GIR_Coverage, 19265,
     /* 1954141 */     GIR_EraseRootFromParent_Done,
     /* 1954142 */   // Label 24378: @1954142
     /* 1954142 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1954246), // Rule ID 19268 //
     /* 1954147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1954150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954193 */     // MIs[0] policy
     /* 1954193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954203 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1954220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954245 */     // GIR_Coverage, 19268,
     /* 1954245 */     GIR_EraseRootFromParent_Done,
     /* 1954246 */   // Label 24379: @1954246
     /* 1954246 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1954350), // Rule ID 19269 //
     /* 1954251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1954254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1954271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954297 */     // MIs[0] policy
     /* 1954297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954307 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1954324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954349 */     // GIR_Coverage, 19269,
     /* 1954349 */     GIR_EraseRootFromParent_Done,
     /* 1954350 */   // Label 24380: @1954350
     /* 1954350 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1954454), // Rule ID 19272 //
     /* 1954355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1954358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1954375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954401 */     // MIs[0] policy
     /* 1954401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954411 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1954428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954453 */     // GIR_Coverage, 19272,
     /* 1954453 */     GIR_EraseRootFromParent_Done,
     /* 1954454 */   // Label 24381: @1954454
     /* 1954454 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1954558), // Rule ID 19273 //
     /* 1954459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1954462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1954470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1954473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1954476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1954479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954505 */     // MIs[0] policy
     /* 1954505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954515 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1954532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954557 */     // GIR_Coverage, 19273,
     /* 1954557 */     GIR_EraseRootFromParent_Done,
     /* 1954558 */   // Label 24382: @1954558
     /* 1954558 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1954662), // Rule ID 19276 //
     /* 1954563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1954566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954609 */     // MIs[0] policy
     /* 1954609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954619 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1954636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954661 */     // GIR_Coverage, 19276,
     /* 1954661 */     GIR_EraseRootFromParent_Done,
     /* 1954662 */   // Label 24383: @1954662
     /* 1954662 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1954766), // Rule ID 19277 //
     /* 1954667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1954670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1954678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1954681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1954684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1954687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954713 */     // MIs[0] policy
     /* 1954713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954723 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1954740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954765 */     // GIR_Coverage, 19277,
     /* 1954765 */     GIR_EraseRootFromParent_Done,
     /* 1954766 */   // Label 24384: @1954766
     /* 1954766 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1954870), // Rule ID 19280 //
     /* 1954771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1954774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1954791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954817 */     // MIs[0] policy
     /* 1954817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954827 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1954844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954869 */     // GIR_Coverage, 19280,
     /* 1954869 */     GIR_EraseRootFromParent_Done,
     /* 1954870 */   // Label 24385: @1954870
     /* 1954870 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1954974), // Rule ID 19281 //
     /* 1954875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1954878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1954886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1954889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1954892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1954895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954921 */     // MIs[0] policy
     /* 1954921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954931 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1954935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1954941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1954945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1954948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1954962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1954970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954973 */     // GIR_Coverage, 19281,
     /* 1954973 */     GIR_EraseRootFromParent_Done,
     /* 1954974 */   // Label 24386: @1954974
     /* 1954974 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1955078), // Rule ID 19284 //
     /* 1954979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1954982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1954987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1954990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1954993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1954996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1954999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955025 */     // MIs[0] policy
     /* 1955025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955035 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1955052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955077 */     // GIR_Coverage, 19284,
     /* 1955077 */     GIR_EraseRootFromParent_Done,
     /* 1955078 */   // Label 24387: @1955078
     /* 1955078 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1955182), // Rule ID 19285 //
     /* 1955083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1955086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1955103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955129 */     // MIs[0] policy
     /* 1955129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955139 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1955156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955181 */     // GIR_Coverage, 19285,
     /* 1955181 */     GIR_EraseRootFromParent_Done,
     /* 1955182 */   // Label 24388: @1955182
     /* 1955182 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1955286), // Rule ID 19288 //
     /* 1955187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1955190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955233 */     // MIs[0] policy
     /* 1955233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955243 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1955260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955285 */     // GIR_Coverage, 19288,
     /* 1955285 */     GIR_EraseRootFromParent_Done,
     /* 1955286 */   // Label 24389: @1955286
     /* 1955286 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1955390), // Rule ID 19289 //
     /* 1955291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1955294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1955302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1955305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1955308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1955311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955337 */     // MIs[0] policy
     /* 1955337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955347 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1955364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955389 */     // GIR_Coverage, 19289,
     /* 1955389 */     GIR_EraseRootFromParent_Done,
     /* 1955390 */   // Label 24390: @1955390
     /* 1955390 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1955494), // Rule ID 19292 //
     /* 1955395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1955398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955441 */     // MIs[0] policy
     /* 1955441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955451 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1955468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955493 */     // GIR_Coverage, 19292,
     /* 1955493 */     GIR_EraseRootFromParent_Done,
     /* 1955494 */   // Label 24391: @1955494
     /* 1955494 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1955598), // Rule ID 19293 //
     /* 1955499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1955502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1955510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1955513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1955516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1955519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1955529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1955541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955545 */     // MIs[0] policy
     /* 1955545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955555 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1955572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955597 */     // GIR_Coverage, 19293,
     /* 1955597 */     GIR_EraseRootFromParent_Done,
     /* 1955598 */   // Label 24392: @1955598
     /* 1955598 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1955702), // Rule ID 19296 //
     /* 1955603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1955606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955649 */     // MIs[0] policy
     /* 1955649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955659 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1955676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955701 */     // GIR_Coverage, 19296,
     /* 1955701 */     GIR_EraseRootFromParent_Done,
     /* 1955702 */   // Label 24393: @1955702
     /* 1955702 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1955806), // Rule ID 19297 //
     /* 1955707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1955710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1955718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1955721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1955724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1955727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1955730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1955737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1955749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955753 */     // MIs[0] policy
     /* 1955753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955763 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1955780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955805 */     // GIR_Coverage, 19297,
     /* 1955805 */     GIR_EraseRootFromParent_Done,
     /* 1955806 */   // Label 24394: @1955806
     /* 1955806 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1955910), // Rule ID 19300 //
     /* 1955811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1955814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1955831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955857 */     // MIs[0] policy
     /* 1955857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955867 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1955884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1955898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955909 */     // GIR_Coverage, 19300,
     /* 1955909 */     GIR_EraseRootFromParent_Done,
     /* 1955910 */   // Label 24395: @1955910
     /* 1955910 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1956014), // Rule ID 19301 //
     /* 1955915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1955918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1955923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1955926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1955929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1955932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1955935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955961 */     // MIs[0] policy
     /* 1955961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955971 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1955975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1955981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1955985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1955988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956013 */     // GIR_Coverage, 19301,
     /* 1956013 */     GIR_EraseRootFromParent_Done,
     /* 1956014 */   // Label 24396: @1956014
     /* 1956014 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1956118), // Rule ID 19304 //
     /* 1956019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1956039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956065 */     // MIs[0] policy
     /* 1956065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956075 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1956092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956117 */     // GIR_Coverage, 19304,
     /* 1956117 */     GIR_EraseRootFromParent_Done,
     /* 1956118 */   // Label 24397: @1956118
     /* 1956118 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1956222), // Rule ID 19305 //
     /* 1956123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1956126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1956134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1956137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1956140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1956143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956169 */     // MIs[0] policy
     /* 1956169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956179 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1956196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956221 */     // GIR_Coverage, 19305,
     /* 1956221 */     GIR_EraseRootFromParent_Done,
     /* 1956222 */   // Label 24398: @1956222
     /* 1956222 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1956326), // Rule ID 19308 //
     /* 1956227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1956230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1956247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956273 */     // MIs[0] policy
     /* 1956273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956283 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1956300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956325 */     // GIR_Coverage, 19308,
     /* 1956325 */     GIR_EraseRootFromParent_Done,
     /* 1956326 */   // Label 24399: @1956326
     /* 1956326 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1956430), // Rule ID 19309 //
     /* 1956331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1956334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1956342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1956345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1956348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1956351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956377 */     // MIs[0] policy
     /* 1956377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956387 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1956404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956429 */     // GIR_Coverage, 19309,
     /* 1956429 */     GIR_EraseRootFromParent_Done,
     /* 1956430 */   // Label 24400: @1956430
     /* 1956430 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1956534), // Rule ID 19312 //
     /* 1956435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1956455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956481 */     // MIs[0] policy
     /* 1956481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956491 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1956508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956533 */     // GIR_Coverage, 19312,
     /* 1956533 */     GIR_EraseRootFromParent_Done,
     /* 1956534 */   // Label 24401: @1956534
     /* 1956534 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1956638), // Rule ID 19313 //
     /* 1956539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1956550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1956553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1956556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1956559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1956562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956585 */     // MIs[0] policy
     /* 1956585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956595 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1956612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956637 */     // GIR_Coverage, 19313,
     /* 1956637 */     GIR_EraseRootFromParent_Done,
     /* 1956638 */   // Label 24402: @1956638
     /* 1956638 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1956742), // Rule ID 19316 //
     /* 1956643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1956663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956689 */     // MIs[0] policy
     /* 1956689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956699 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1956716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956741 */     // GIR_Coverage, 19316,
     /* 1956741 */     GIR_EraseRootFromParent_Done,
     /* 1956742 */   // Label 24403: @1956742
     /* 1956742 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1956846), // Rule ID 19317 //
     /* 1956747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1956758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1956761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1956764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1956767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956793 */     // MIs[0] policy
     /* 1956793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1956820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956845 */     // GIR_Coverage, 19317,
     /* 1956845 */     GIR_EraseRootFromParent_Done,
     /* 1956846 */   // Label 24404: @1956846
     /* 1956846 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1956950), // Rule ID 19320 //
     /* 1956851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1956854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1956871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956897 */     // MIs[0] policy
     /* 1956897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956907 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1956911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1956917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1956921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1956924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1956938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1956946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956949 */     // GIR_Coverage, 19320,
     /* 1956949 */     GIR_EraseRootFromParent_Done,
     /* 1956950 */   // Label 24405: @1956950
     /* 1956950 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1957054), // Rule ID 19321 //
     /* 1956955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1956958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1956963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1956966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1956969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1956972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1956975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957001 */     // MIs[0] policy
     /* 1957001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957011 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1957028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957053 */     // GIR_Coverage, 19321,
     /* 1957053 */     GIR_EraseRootFromParent_Done,
     /* 1957054 */   // Label 24406: @1957054
     /* 1957054 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1957158), // Rule ID 19324 //
     /* 1957059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1957062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957105 */     // MIs[0] policy
     /* 1957105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957115 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1957132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957157 */     // GIR_Coverage, 19324,
     /* 1957157 */     GIR_EraseRootFromParent_Done,
     /* 1957158 */   // Label 24407: @1957158
     /* 1957158 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1957262), // Rule ID 19325 //
     /* 1957163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1957166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1957174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1957177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1957180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957209 */     // MIs[0] policy
     /* 1957209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957219 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1957236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957261 */     // GIR_Coverage, 19325,
     /* 1957261 */     GIR_EraseRootFromParent_Done,
     /* 1957262 */   // Label 24408: @1957262
     /* 1957262 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1957366), // Rule ID 19328 //
     /* 1957267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1957270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957313 */     // MIs[0] policy
     /* 1957313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1957340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957365 */     // GIR_Coverage, 19328,
     /* 1957365 */     GIR_EraseRootFromParent_Done,
     /* 1957366 */   // Label 24409: @1957366
     /* 1957366 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1957470), // Rule ID 19329 //
     /* 1957371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1957374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1957382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1957385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1957388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957417 */     // MIs[0] policy
     /* 1957417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957427 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1957444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957469 */     // GIR_Coverage, 19329,
     /* 1957469 */     GIR_EraseRootFromParent_Done,
     /* 1957470 */   // Label 24410: @1957470
     /* 1957470 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1957574), // Rule ID 19332 //
     /* 1957475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1957517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957521 */     // MIs[0] policy
     /* 1957521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957531 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1957548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957573 */     // GIR_Coverage, 19332,
     /* 1957573 */     GIR_EraseRootFromParent_Done,
     /* 1957574 */   // Label 24411: @1957574
     /* 1957574 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1957678), // Rule ID 19333 //
     /* 1957579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1957590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1957593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1957596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1957621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957625 */     // MIs[0] policy
     /* 1957625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957635 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1957652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957677 */     // GIR_Coverage, 19333,
     /* 1957677 */     GIR_EraseRootFromParent_Done,
     /* 1957678 */   // Label 24412: @1957678
     /* 1957678 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1957782), // Rule ID 19336 //
     /* 1957683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1957686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1957697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1957700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957729 */     // MIs[0] policy
     /* 1957729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957739 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1957756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957781 */     // GIR_Coverage, 19336,
     /* 1957781 */     GIR_EraseRootFromParent_Done,
     /* 1957782 */   // Label 24413: @1957782
     /* 1957782 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1957886), // Rule ID 19337 //
     /* 1957787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1957790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1957798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1957801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1957804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1957807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1957829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957833 */     // MIs[0] policy
     /* 1957833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957843 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10900:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1957860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1957882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957885 */     // GIR_Coverage, 19337,
     /* 1957885 */     GIR_EraseRootFromParent_Done,
     /* 1957886 */   // Label 24414: @1957886
     /* 1957886 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1957990), // Rule ID 19340 //
     /* 1957891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1957894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1957899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1957902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1957905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1957908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1957933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957937 */     // MIs[0] policy
     /* 1957937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957947 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1957951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1957957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1957961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1957964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1957978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957989 */     // GIR_Coverage, 19340,
     /* 1957989 */     GIR_EraseRootFromParent_Done,
     /* 1957990 */   // Label 24415: @1957990
     /* 1957990 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1958094), // Rule ID 19341 //
     /* 1957995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1957998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1958006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1958009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1958012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1958037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958041 */     // MIs[0] policy
     /* 1958041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958051 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10900:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1958068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958093 */     // GIR_Coverage, 19341,
     /* 1958093 */     GIR_EraseRootFromParent_Done,
     /* 1958094 */   // Label 24416: @1958094
     /* 1958094 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1958198), // Rule ID 19344 //
     /* 1958099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1958102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1958141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958145 */     // MIs[0] policy
     /* 1958145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958155 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1958172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958197 */     // GIR_Coverage, 19344,
     /* 1958197 */     GIR_EraseRootFromParent_Done,
     /* 1958198 */   // Label 24417: @1958198
     /* 1958198 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1958302), // Rule ID 19345 //
     /* 1958203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1958206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1958214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1958217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1958220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1958223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1958245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958249 */     // MIs[0] policy
     /* 1958249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958259 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10900:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1958276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1958298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958301 */     // GIR_Coverage, 19345,
     /* 1958301 */     GIR_EraseRootFromParent_Done,
     /* 1958302 */   // Label 24418: @1958302
     /* 1958302 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1958406), // Rule ID 19348 //
     /* 1958307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1958310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958353 */     // MIs[0] policy
     /* 1958353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958363 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1958380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958405 */     // GIR_Coverage, 19348,
     /* 1958405 */     GIR_EraseRootFromParent_Done,
     /* 1958406 */   // Label 24419: @1958406
     /* 1958406 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1958510), // Rule ID 19349 //
     /* 1958411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1958414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1958422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1958425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1958428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958457 */     // MIs[0] policy
     /* 1958457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958467 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1958484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958509 */     // GIR_Coverage, 19349,
     /* 1958509 */     GIR_EraseRootFromParent_Done,
     /* 1958510 */   // Label 24420: @1958510
     /* 1958510 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1958614), // Rule ID 19352 //
     /* 1958515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1958518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958561 */     // MIs[0] policy
     /* 1958561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958571 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1958588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958613 */     // GIR_Coverage, 19352,
     /* 1958613 */     GIR_EraseRootFromParent_Done,
     /* 1958614 */   // Label 24421: @1958614
     /* 1958614 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1958718), // Rule ID 19353 //
     /* 1958619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1958622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1958630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1958633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1958636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1958642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1958649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1958657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958665 */     // MIs[0] policy
     /* 1958665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958675 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1958692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958717 */     // GIR_Coverage, 19353,
     /* 1958717 */     GIR_EraseRootFromParent_Done,
     /* 1958718 */   // Label 24422: @1958718
     /* 1958718 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1958822), // Rule ID 19356 //
     /* 1958723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1958726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958769 */     // MIs[0] policy
     /* 1958769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958779 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1958796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958821 */     // GIR_Coverage, 19356,
     /* 1958821 */     GIR_EraseRootFromParent_Done,
     /* 1958822 */   // Label 24423: @1958822
     /* 1958822 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1958926), // Rule ID 19357 //
     /* 1958827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1958830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1958838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1958841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1958844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1958847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1958850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1958857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1958865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1958869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958873 */     // MIs[0] policy
     /* 1958873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958883 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1958897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1958900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1958914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958925 */     // GIR_Coverage, 19357,
     /* 1958925 */     GIR_EraseRootFromParent_Done,
     /* 1958926 */   // Label 24424: @1958926
     /* 1958926 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1959030), // Rule ID 19360 //
     /* 1958931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1958934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1958939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1958942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1958945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1958948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1958951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1958961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1958969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1958973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958977 */     // MIs[0] policy
     /* 1958977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1958991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1958997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1959004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959029 */     // GIR_Coverage, 19360,
     /* 1959029 */     GIR_EraseRootFromParent_Done,
     /* 1959030 */   // Label 24425: @1959030
     /* 1959030 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1959134), // Rule ID 19361 //
     /* 1959035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1959046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1959049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1959052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1959077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959081 */     // MIs[0] policy
     /* 1959081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959091 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1959108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959133 */     // GIR_Coverage, 19361,
     /* 1959133 */     GIR_EraseRootFromParent_Done,
     /* 1959134 */   // Label 24426: @1959134
     /* 1959134 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1959238), // Rule ID 19364 //
     /* 1959139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1959142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1959181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959185 */     // MIs[0] policy
     /* 1959185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959195 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1959212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959237 */     // GIR_Coverage, 19364,
     /* 1959237 */     GIR_EraseRootFromParent_Done,
     /* 1959238 */   // Label 24427: @1959238
     /* 1959238 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1959342), // Rule ID 19365 //
     /* 1959243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1959254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1959257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1959260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1959285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959289 */     // MIs[0] policy
     /* 1959289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959299 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1959316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959341 */     // GIR_Coverage, 19365,
     /* 1959341 */     GIR_EraseRootFromParent_Done,
     /* 1959342 */   // Label 24428: @1959342
     /* 1959342 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1959446), // Rule ID 19368 //
     /* 1959347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1959350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1959389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959393 */     // MIs[0] policy
     /* 1959393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959403 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1959420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959445 */     // GIR_Coverage, 19368,
     /* 1959445 */     GIR_EraseRootFromParent_Done,
     /* 1959446 */   // Label 24429: @1959446
     /* 1959446 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1959550), // Rule ID 19369 //
     /* 1959451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1959454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1959462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1959465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1959468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1959471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1959481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1959493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959497 */     // MIs[0] policy
     /* 1959497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959507 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1959524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959549 */     // GIR_Coverage, 19369,
     /* 1959549 */     GIR_EraseRootFromParent_Done,
     /* 1959550 */   // Label 24430: @1959550
     /* 1959550 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1959654), // Rule ID 19372 //
     /* 1959555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1959597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959601 */     // MIs[0] policy
     /* 1959601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959611 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1959628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959653 */     // GIR_Coverage, 19372,
     /* 1959653 */     GIR_EraseRootFromParent_Done,
     /* 1959654 */   // Label 24431: @1959654
     /* 1959654 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1959758), // Rule ID 19373 //
     /* 1959659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1959662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1959670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1959673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1959676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1959701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959705 */     // MIs[0] policy
     /* 1959705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959715 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10900:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1959732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959757 */     // GIR_Coverage, 19373,
     /* 1959757 */     GIR_EraseRootFromParent_Done,
     /* 1959758 */   // Label 24432: @1959758
     /* 1959758 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1959862), // Rule ID 19376 //
     /* 1959763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1959805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959809 */     // MIs[0] policy
     /* 1959809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959819 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1959836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959861 */     // GIR_Coverage, 19376,
     /* 1959861 */     GIR_EraseRootFromParent_Done,
     /* 1959862 */   // Label 24433: @1959862
     /* 1959862 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1959966), // Rule ID 19377 //
     /* 1959867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1959870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1959878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1959881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1959884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1959909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959913 */     // MIs[0] policy
     /* 1959913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959923 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10900:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1959927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1959933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1959937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1959940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1959954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959965 */     // GIR_Coverage, 19377,
     /* 1959965 */     GIR_EraseRootFromParent_Done,
     /* 1959966 */   // Label 24434: @1959966
     /* 1959966 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1960070), // Rule ID 19380 //
     /* 1959971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1959974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1959979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1959982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1959985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1959988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1959991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1960013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960017 */     // MIs[0] policy
     /* 1960017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960027 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1960044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960069 */     // GIR_Coverage, 19380,
     /* 1960069 */     GIR_EraseRootFromParent_Done,
     /* 1960070 */   // Label 24435: @1960070
     /* 1960070 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1960174), // Rule ID 19381 //
     /* 1960075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1960078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1960083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1960086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1960089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1960092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1960095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1960117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960121 */     // MIs[0] policy
     /* 1960121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960131 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10900:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1960148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1960170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960173 */     // GIR_Coverage, 19381,
     /* 1960173 */     GIR_EraseRootFromParent_Done,
     /* 1960174 */   // Label 24436: @1960174
     /* 1960174 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1960278), // Rule ID 19384 //
     /* 1960179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1960182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960225 */     // MIs[0] policy
     /* 1960225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960235 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1960252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960277 */     // GIR_Coverage, 19384,
     /* 1960277 */     GIR_EraseRootFromParent_Done,
     /* 1960278 */   // Label 24437: @1960278
     /* 1960278 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1960382), // Rule ID 19385 //
     /* 1960283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1960286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1960294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1960297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1960300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1960303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960329 */     // MIs[0] policy
     /* 1960329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960339 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1960356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960381 */     // GIR_Coverage, 19385,
     /* 1960381 */     GIR_EraseRootFromParent_Done,
     /* 1960382 */   // Label 24438: @1960382
     /* 1960382 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1960486), // Rule ID 19388 //
     /* 1960387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1960390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960433 */     // MIs[0] policy
     /* 1960433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960443 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1960460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960485 */     // GIR_Coverage, 19388,
     /* 1960485 */     GIR_EraseRootFromParent_Done,
     /* 1960486 */   // Label 24439: @1960486
     /* 1960486 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1960590), // Rule ID 19389 //
     /* 1960491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1960494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1960502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1960505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1960508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1960511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1960514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960537 */     // MIs[0] policy
     /* 1960537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960547 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1960564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960589 */     // GIR_Coverage, 19389,
     /* 1960589 */     GIR_EraseRootFromParent_Done,
     /* 1960590 */   // Label 24440: @1960590
     /* 1960590 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1960694), // Rule ID 19392 //
     /* 1960595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1960598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960641 */     // MIs[0] policy
     /* 1960641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960651 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1960668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960693 */     // GIR_Coverage, 19392,
     /* 1960693 */     GIR_EraseRootFromParent_Done,
     /* 1960694 */   // Label 24441: @1960694
     /* 1960694 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1960798), // Rule ID 19393 //
     /* 1960699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1960702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1960710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1960713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1960716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1960719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1960722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960745 */     // MIs[0] policy
     /* 1960745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960755 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1960772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960797 */     // GIR_Coverage, 19393,
     /* 1960797 */     GIR_EraseRootFromParent_Done,
     /* 1960798 */   // Label 24442: @1960798
     /* 1960798 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1960902), // Rule ID 19396 //
     /* 1960803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1960806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960849 */     // MIs[0] policy
     /* 1960849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960859 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1960876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960901 */     // GIR_Coverage, 19396,
     /* 1960901 */     GIR_EraseRootFromParent_Done,
     /* 1960902 */   // Label 24443: @1960902
     /* 1960902 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1961006), // Rule ID 19397 //
     /* 1960907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1960910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1960915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1960918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1960921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1960924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1960937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960953 */     // MIs[0] policy
     /* 1960953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960963 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1960967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1960973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1960977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1960980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1960994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961005 */     // GIR_Coverage, 19397,
     /* 1961005 */     GIR_EraseRootFromParent_Done,
     /* 1961006 */   // Label 24444: @1961006
     /* 1961006 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1961110), // Rule ID 19400 //
     /* 1961011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1961014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1961031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961057 */     // MIs[0] policy
     /* 1961057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1961084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961109 */     // GIR_Coverage, 19400,
     /* 1961109 */     GIR_EraseRootFromParent_Done,
     /* 1961110 */   // Label 24445: @1961110
     /* 1961110 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1961214), // Rule ID 19401 //
     /* 1961115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1961118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1961126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1961129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1961132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1961135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961161 */     // MIs[0] policy
     /* 1961161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961171 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1961188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961213 */     // GIR_Coverage, 19401,
     /* 1961213 */     GIR_EraseRootFromParent_Done,
     /* 1961214 */   // Label 24446: @1961214
     /* 1961214 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1961318), // Rule ID 19404 //
     /* 1961219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1961222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1961236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1961239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961265 */     // MIs[0] policy
     /* 1961265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961275 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1961292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961317 */     // GIR_Coverage, 19404,
     /* 1961317 */     GIR_EraseRootFromParent_Done,
     /* 1961318 */   // Label 24447: @1961318
     /* 1961318 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1961422), // Rule ID 19405 //
     /* 1961323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1961326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1961334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1961337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1961340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1961343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961369 */     // MIs[0] policy
     /* 1961369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961379 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1961396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961421 */     // GIR_Coverage, 19405,
     /* 1961421 */     GIR_EraseRootFromParent_Done,
     /* 1961422 */   // Label 24448: @1961422
     /* 1961422 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1961526), // Rule ID 19408 //
     /* 1961427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1961430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961473 */     // MIs[0] policy
     /* 1961473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961483 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1961500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961525 */     // GIR_Coverage, 19408,
     /* 1961525 */     GIR_EraseRootFromParent_Done,
     /* 1961526 */   // Label 24449: @1961526
     /* 1961526 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1961630), // Rule ID 19409 //
     /* 1961531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1961534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1961542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1961545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1961548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961577 */     // MIs[0] policy
     /* 1961577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961587 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1961604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961629 */     // GIR_Coverage, 19409,
     /* 1961629 */     GIR_EraseRootFromParent_Done,
     /* 1961630 */   // Label 24450: @1961630
     /* 1961630 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1961734), // Rule ID 19412 //
     /* 1961635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1961638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961681 */     // MIs[0] policy
     /* 1961681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961691 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1961708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961733 */     // GIR_Coverage, 19412,
     /* 1961733 */     GIR_EraseRootFromParent_Done,
     /* 1961734 */   // Label 24451: @1961734
     /* 1961734 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1961838), // Rule ID 19413 //
     /* 1961739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1961742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1961750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1961753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1961756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1961759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1961762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961785 */     // MIs[0] policy
     /* 1961785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961795 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1961812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961837 */     // GIR_Coverage, 19413,
     /* 1961837 */     GIR_EraseRootFromParent_Done,
     /* 1961838 */   // Label 24452: @1961838
     /* 1961838 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1961942), // Rule ID 19416 //
     /* 1961843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1961846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1961863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961889 */     // MIs[0] policy
     /* 1961889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961899 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1961903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1961909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1961913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1961916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1961930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961941 */     // GIR_Coverage, 19416,
     /* 1961941 */     GIR_EraseRootFromParent_Done,
     /* 1961942 */   // Label 24453: @1961942
     /* 1961942 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1962046), // Rule ID 19417 //
     /* 1961947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1961950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1961955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1961958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1961961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1961964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1961967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1961970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961993 */     // MIs[0] policy
     /* 1961993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962003 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1962020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962045 */     // GIR_Coverage, 19417,
     /* 1962045 */     GIR_EraseRootFromParent_Done,
     /* 1962046 */   // Label 24454: @1962046
     /* 1962046 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1962150), // Rule ID 19420 //
     /* 1962051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1962054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1962071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962097 */     // MIs[0] policy
     /* 1962097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962107 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1962124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962149 */     // GIR_Coverage, 19420,
     /* 1962149 */     GIR_EraseRootFromParent_Done,
     /* 1962150 */   // Label 24455: @1962150
     /* 1962150 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1962254), // Rule ID 19421 //
     /* 1962155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1962158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1962166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1962169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1962172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1962175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962201 */     // MIs[0] policy
     /* 1962201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962211 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1962228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962253 */     // GIR_Coverage, 19421,
     /* 1962253 */     GIR_EraseRootFromParent_Done,
     /* 1962254 */   // Label 24456: @1962254
     /* 1962254 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1962358), // Rule ID 19424 //
     /* 1962259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1962262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1962279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962305 */     // MIs[0] policy
     /* 1962305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962315 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1962332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962357 */     // GIR_Coverage, 19424,
     /* 1962357 */     GIR_EraseRootFromParent_Done,
     /* 1962358 */   // Label 24457: @1962358
     /* 1962358 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1962462), // Rule ID 19425 //
     /* 1962363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1962366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1962374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1962377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1962380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1962383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962409 */     // MIs[0] policy
     /* 1962409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962419 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1962436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962461 */     // GIR_Coverage, 19425,
     /* 1962461 */     GIR_EraseRootFromParent_Done,
     /* 1962462 */   // Label 24458: @1962462
     /* 1962462 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1962566), // Rule ID 19428 //
     /* 1962467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1962470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1962484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1962487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962513 */     // MIs[0] policy
     /* 1962513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962523 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1962540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962565 */     // GIR_Coverage, 19428,
     /* 1962565 */     GIR_EraseRootFromParent_Done,
     /* 1962566 */   // Label 24459: @1962566
     /* 1962566 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1962670), // Rule ID 19429 //
     /* 1962571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1962574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1962582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1962585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1962588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1962591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962617 */     // MIs[0] policy
     /* 1962617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962627 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1962644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962669 */     // GIR_Coverage, 19429,
     /* 1962669 */     GIR_EraseRootFromParent_Done,
     /* 1962670 */   // Label 24460: @1962670
     /* 1962670 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1962774), // Rule ID 19432 //
     /* 1962675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1962678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1962695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962721 */     // MIs[0] policy
     /* 1962721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962731 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1962748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962773 */     // GIR_Coverage, 19432,
     /* 1962773 */     GIR_EraseRootFromParent_Done,
     /* 1962774 */   // Label 24461: @1962774
     /* 1962774 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1962878), // Rule ID 19433 //
     /* 1962779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1962782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1962790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1962793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1962796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1962799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962825 */     // MIs[0] policy
     /* 1962825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962835 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1962852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962877 */     // GIR_Coverage, 19433,
     /* 1962877 */     GIR_EraseRootFromParent_Done,
     /* 1962878 */   // Label 24462: @1962878
     /* 1962878 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1962982), // Rule ID 19436 //
     /* 1962883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1962886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1962897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1962900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1962903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962929 */     // MIs[0] policy
     /* 1962929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1962943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1962949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1962953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1962956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1962970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962981 */     // GIR_Coverage, 19436,
     /* 1962981 */     GIR_EraseRootFromParent_Done,
     /* 1962982 */   // Label 24463: @1962982
     /* 1962982 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1963086), // Rule ID 19437 //
     /* 1962987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1962990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1962995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1962998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963033 */     // MIs[0] policy
     /* 1963033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963043 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1963060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963085 */     // GIR_Coverage, 19437,
     /* 1963085 */     GIR_EraseRootFromParent_Done,
     /* 1963086 */   // Label 24464: @1963086
     /* 1963086 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1963190), // Rule ID 19440 //
     /* 1963091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1963094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963137 */     // MIs[0] policy
     /* 1963137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963147 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1963164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963189 */     // GIR_Coverage, 19440,
     /* 1963189 */     GIR_EraseRootFromParent_Done,
     /* 1963190 */   // Label 24465: @1963190
     /* 1963190 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1963294), // Rule ID 19441 //
     /* 1963195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1963198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963241 */     // MIs[0] policy
     /* 1963241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963251 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1963268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963293 */     // GIR_Coverage, 19441,
     /* 1963293 */     GIR_EraseRootFromParent_Done,
     /* 1963294 */   // Label 24466: @1963294
     /* 1963294 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1963398), // Rule ID 19444 //
     /* 1963299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1963302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1963310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1963313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1963316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1963319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1963341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963345 */     // MIs[0] policy
     /* 1963345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963355 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1963372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963397 */     // GIR_Coverage, 19444,
     /* 1963397 */     GIR_EraseRootFromParent_Done,
     /* 1963398 */   // Label 24467: @1963398
     /* 1963398 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1963502), // Rule ID 19445 //
     /* 1963403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1963406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1963414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1963417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1963420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1963423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1963445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963449 */     // MIs[0] policy
     /* 1963449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963459 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1963476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963501 */     // GIR_Coverage, 19445,
     /* 1963501 */     GIR_EraseRootFromParent_Done,
     /* 1963502 */   // Label 24468: @1963502
     /* 1963502 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1963606), // Rule ID 19448 //
     /* 1963507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1963510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1963518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1963521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1963524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1963527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1963549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963553 */     // MIs[0] policy
     /* 1963553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963563 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1963580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963605 */     // GIR_Coverage, 19448,
     /* 1963605 */     GIR_EraseRootFromParent_Done,
     /* 1963606 */   // Label 24469: @1963606
     /* 1963606 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1963710), // Rule ID 19449 //
     /* 1963611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1963614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1963622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1963625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1963628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1963631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1963653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963657 */     // MIs[0] policy
     /* 1963657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963667 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1963684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963709 */     // GIR_Coverage, 19449,
     /* 1963709 */     GIR_EraseRootFromParent_Done,
     /* 1963710 */   // Label 24470: @1963710
     /* 1963710 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1963814), // Rule ID 19452 //
     /* 1963715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1963718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1963726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1963729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1963732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1963757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963761 */     // MIs[0] policy
     /* 1963761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963771 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1963788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963813 */     // GIR_Coverage, 19452,
     /* 1963813 */     GIR_EraseRootFromParent_Done,
     /* 1963814 */   // Label 24471: @1963814
     /* 1963814 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1963918), // Rule ID 19453 //
     /* 1963819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1963822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1963830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1963833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1963836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1963839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1963842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1963861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963865 */     // MIs[0] policy
     /* 1963865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963875 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1963892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1963906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963917 */     // GIR_Coverage, 19453,
     /* 1963917 */     GIR_EraseRootFromParent_Done,
     /* 1963918 */   // Label 24472: @1963918
     /* 1963918 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1964022), // Rule ID 19456 //
     /* 1963923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1963926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1963931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1963934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1963937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1963940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1963943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1963953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1963961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1963965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963969 */     // MIs[0] policy
     /* 1963969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963979 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1963983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1963989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1963993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1963996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964021 */     // GIR_Coverage, 19456,
     /* 1964021 */     GIR_EraseRootFromParent_Done,
     /* 1964022 */   // Label 24473: @1964022
     /* 1964022 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1964126), // Rule ID 19457 //
     /* 1964027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1964030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1964038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1964041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1964044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1964069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964073 */     // MIs[0] policy
     /* 1964073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964083 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10902:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1964100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964125 */     // GIR_Coverage, 19457,
     /* 1964125 */     GIR_EraseRootFromParent_Done,
     /* 1964126 */   // Label 24474: @1964126
     /* 1964126 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1964230), // Rule ID 19460 //
     /* 1964131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1964134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1964142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1964145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1964173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964177 */     // MIs[0] policy
     /* 1964177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964187 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1964204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964229 */     // GIR_Coverage, 19460,
     /* 1964229 */     GIR_EraseRootFromParent_Done,
     /* 1964230 */   // Label 24475: @1964230
     /* 1964230 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1964334), // Rule ID 19461 //
     /* 1964235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1964238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1964246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1964249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1964277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964281 */     // MIs[0] policy
     /* 1964281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964291 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10902:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1964308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964333 */     // GIR_Coverage, 19461,
     /* 1964333 */     GIR_EraseRootFromParent_Done,
     /* 1964334 */   // Label 24476: @1964334
     /* 1964334 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1964438), // Rule ID 19464 //
     /* 1964339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1964342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1964381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964385 */     // MIs[0] policy
     /* 1964385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964395 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1964412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964437 */     // GIR_Coverage, 19464,
     /* 1964437 */     GIR_EraseRootFromParent_Done,
     /* 1964438 */   // Label 24477: @1964438
     /* 1964438 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1964542), // Rule ID 19465 //
     /* 1964443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1964446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1964454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1964457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1964460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1964485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964489 */     // MIs[0] policy
     /* 1964489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964499 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10902:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1964516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964541 */     // GIR_Coverage, 19465,
     /* 1964541 */     GIR_EraseRootFromParent_Done,
     /* 1964542 */   // Label 24478: @1964542
     /* 1964542 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1964646), // Rule ID 19468 //
     /* 1964547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1964550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1964558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1964561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1964564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1964589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964593 */     // MIs[0] policy
     /* 1964593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1964620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964645 */     // GIR_Coverage, 19468,
     /* 1964645 */     GIR_EraseRootFromParent_Done,
     /* 1964646 */   // Label 24479: @1964646
     /* 1964646 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1964750), // Rule ID 19469 //
     /* 1964651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1964654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1964662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1964665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1964668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1964681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1964689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1964693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964697 */     // MIs[0] policy
     /* 1964697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964707 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1964724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964749 */     // GIR_Coverage, 19469,
     /* 1964749 */     GIR_EraseRootFromParent_Done,
     /* 1964750 */   // Label 24480: @1964750
     /* 1964750 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1964854), // Rule ID 19472 //
     /* 1964755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1964758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1964766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1964769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1964772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1964797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964801 */     // MIs[0] policy
     /* 1964801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964811 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1964828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964853 */     // GIR_Coverage, 19472,
     /* 1964853 */     GIR_EraseRootFromParent_Done,
     /* 1964854 */   // Label 24481: @1964854
     /* 1964854 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1964958), // Rule ID 19473 //
     /* 1964859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1964862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1964870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1964873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1964876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1964882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1964889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1964897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1964901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964905 */     // MIs[0] policy
     /* 1964905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964915 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1964919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1964925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1964929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1964932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1964946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964957 */     // GIR_Coverage, 19473,
     /* 1964957 */     GIR_EraseRootFromParent_Done,
     /* 1964958 */   // Label 24482: @1964958
     /* 1964958 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1965062), // Rule ID 19476 //
     /* 1964963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1964966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1964971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1964974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1964977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1964980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1964983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1964986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1965005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965009 */     // MIs[0] policy
     /* 1965009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965019 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1965036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965061 */     // GIR_Coverage, 19476,
     /* 1965061 */     GIR_EraseRootFromParent_Done,
     /* 1965062 */   // Label 24483: @1965062
     /* 1965062 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1965166), // Rule ID 19477 //
     /* 1965067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1965070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1965084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1965087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1965109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965113 */     // MIs[0] policy
     /* 1965113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965123 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1965140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965165 */     // GIR_Coverage, 19477,
     /* 1965165 */     GIR_EraseRootFromParent_Done,
     /* 1965166 */   // Label 24484: @1965166
     /* 1965166 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1965270), // Rule ID 19480 //
     /* 1965171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1965174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1965182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1965185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1965188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965217 */     // MIs[0] policy
     /* 1965217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965227 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1965244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965269 */     // GIR_Coverage, 19480,
     /* 1965269 */     GIR_EraseRootFromParent_Done,
     /* 1965270 */   // Label 24485: @1965270
     /* 1965270 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1965374), // Rule ID 19481 //
     /* 1965275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1965278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1965286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1965289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1965292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965321 */     // MIs[0] policy
     /* 1965321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965331 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1965348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965373 */     // GIR_Coverage, 19481,
     /* 1965373 */     GIR_EraseRootFromParent_Done,
     /* 1965374 */   // Label 24486: @1965374
     /* 1965374 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1965478), // Rule ID 19484 //
     /* 1965379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1965382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1965390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1965393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1965396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965425 */     // MIs[0] policy
     /* 1965425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965435 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1965452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965477 */     // GIR_Coverage, 19484,
     /* 1965477 */     GIR_EraseRootFromParent_Done,
     /* 1965478 */   // Label 24487: @1965478
     /* 1965478 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1965582), // Rule ID 19485 //
     /* 1965483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1965486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1965494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1965497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1965500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965529 */     // MIs[0] policy
     /* 1965529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965539 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1965556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965581 */     // GIR_Coverage, 19485,
     /* 1965581 */     GIR_EraseRootFromParent_Done,
     /* 1965582 */   // Label 24488: @1965582
     /* 1965582 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1965686), // Rule ID 19488 //
     /* 1965587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1965590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1965598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1965601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1965604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965633 */     // MIs[0] policy
     /* 1965633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965643 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1965660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965685 */     // GIR_Coverage, 19488,
     /* 1965685 */     GIR_EraseRootFromParent_Done,
     /* 1965686 */   // Label 24489: @1965686
     /* 1965686 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1965790), // Rule ID 19489 //
     /* 1965691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1965694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1965702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1965705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1965708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1965733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965737 */     // MIs[0] policy
     /* 1965737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965747 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1965764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965789 */     // GIR_Coverage, 19489,
     /* 1965789 */     GIR_EraseRootFromParent_Done,
     /* 1965790 */   // Label 24490: @1965790
     /* 1965790 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1965894), // Rule ID 19492 //
     /* 1965795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1965798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1965837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965841 */     // MIs[0] policy
     /* 1965841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965851 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1965868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965893 */     // GIR_Coverage, 19492,
     /* 1965893 */     GIR_EraseRootFromParent_Done,
     /* 1965894 */   // Label 24491: @1965894
     /* 1965894 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1965998), // Rule ID 19493 //
     /* 1965899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1965902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1965907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1965910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1965913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1965916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1965922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1965941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965945 */     // MIs[0] policy
     /* 1965945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965955 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10902:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1965959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1965965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1965969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1965972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1965986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965997 */     // GIR_Coverage, 19493,
     /* 1965997 */     GIR_EraseRootFromParent_Done,
     /* 1965998 */   // Label 24492: @1965998
     /* 1965998 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1966102), // Rule ID 19496 //
     /* 1966003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1966006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1966011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1966045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966049 */     // MIs[0] policy
     /* 1966049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966059 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1966076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966101 */     // GIR_Coverage, 19496,
     /* 1966101 */     GIR_EraseRootFromParent_Done,
     /* 1966102 */   // Label 24493: @1966102
     /* 1966102 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1966206), // Rule ID 19497 //
     /* 1966107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1966110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1966115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1966149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966153 */     // MIs[0] policy
     /* 1966153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966163 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10902:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1966180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966205 */     // GIR_Coverage, 19497,
     /* 1966205 */     GIR_EraseRootFromParent_Done,
     /* 1966206 */   // Label 24494: @1966206
     /* 1966206 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1966310), // Rule ID 19500 //
     /* 1966211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1966214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1966219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1966253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966257 */     // MIs[0] policy
     /* 1966257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966267 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1966284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966309 */     // GIR_Coverage, 19500,
     /* 1966309 */     GIR_EraseRootFromParent_Done,
     /* 1966310 */   // Label 24495: @1966310
     /* 1966310 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1966414), // Rule ID 19501 //
     /* 1966315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1966318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1966323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1966357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966361 */     // MIs[0] policy
     /* 1966361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966371 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10902:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1966388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966413 */     // GIR_Coverage, 19501,
     /* 1966413 */     GIR_EraseRootFromParent_Done,
     /* 1966414 */   // Label 24496: @1966414
     /* 1966414 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1966518), // Rule ID 19504 //
     /* 1966419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1966422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966465 */     // MIs[0] policy
     /* 1966465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966475 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1966492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966517 */     // GIR_Coverage, 19504,
     /* 1966517 */     GIR_EraseRootFromParent_Done,
     /* 1966518 */   // Label 24497: @1966518
     /* 1966518 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1966622), // Rule ID 19505 //
     /* 1966523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1966526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966569 */     // MIs[0] policy
     /* 1966569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966579 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1966596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966621 */     // GIR_Coverage, 19505,
     /* 1966621 */     GIR_EraseRootFromParent_Done,
     /* 1966622 */   // Label 24498: @1966622
     /* 1966622 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1966726), // Rule ID 19508 //
     /* 1966627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1966630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966673 */     // MIs[0] policy
     /* 1966673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1966700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966725 */     // GIR_Coverage, 19508,
     /* 1966725 */     GIR_EraseRootFromParent_Done,
     /* 1966726 */   // Label 24499: @1966726
     /* 1966726 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1966830), // Rule ID 19509 //
     /* 1966731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1966734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966777 */     // MIs[0] policy
     /* 1966777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966787 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1966804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966829 */     // GIR_Coverage, 19509,
     /* 1966829 */     GIR_EraseRootFromParent_Done,
     /* 1966830 */   // Label 24500: @1966830
     /* 1966830 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1966934), // Rule ID 19512 //
     /* 1966835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1966838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966881 */     // MIs[0] policy
     /* 1966881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966891 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1966901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1966905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1966908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1966922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966933 */     // GIR_Coverage, 19512,
     /* 1966933 */     GIR_EraseRootFromParent_Done,
     /* 1966934 */   // Label 24501: @1966934
     /* 1966934 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1967038), // Rule ID 19513 //
     /* 1966939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1966942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1966947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1966950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1966953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1966956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1966959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966985 */     // MIs[0] policy
     /* 1966985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966995 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1966999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1967012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967037 */     // GIR_Coverage, 19513,
     /* 1967037 */     GIR_EraseRootFromParent_Done,
     /* 1967038 */   // Label 24502: @1967038
     /* 1967038 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1967142), // Rule ID 19516 //
     /* 1967043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1967046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967089 */     // MIs[0] policy
     /* 1967089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967099 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1967116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967141 */     // GIR_Coverage, 19516,
     /* 1967141 */     GIR_EraseRootFromParent_Done,
     /* 1967142 */   // Label 24503: @1967142
     /* 1967142 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1967246), // Rule ID 19517 //
     /* 1967147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1967150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967193 */     // MIs[0] policy
     /* 1967193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967203 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1967220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967245 */     // GIR_Coverage, 19517,
     /* 1967245 */     GIR_EraseRootFromParent_Done,
     /* 1967246 */   // Label 24504: @1967246
     /* 1967246 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1967350), // Rule ID 19520 //
     /* 1967251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1967254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967297 */     // MIs[0] policy
     /* 1967297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967307 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1967324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967349 */     // GIR_Coverage, 19520,
     /* 1967349 */     GIR_EraseRootFromParent_Done,
     /* 1967350 */   // Label 24505: @1967350
     /* 1967350 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1967454), // Rule ID 19521 //
     /* 1967355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1967358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1967375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967401 */     // MIs[0] policy
     /* 1967401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967411 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1967428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967453 */     // GIR_Coverage, 19521,
     /* 1967453 */     GIR_EraseRootFromParent_Done,
     /* 1967454 */   // Label 24506: @1967454
     /* 1967454 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1967558), // Rule ID 19524 //
     /* 1967459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1967462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967505 */     // MIs[0] policy
     /* 1967505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967515 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1967532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967557 */     // GIR_Coverage, 19524,
     /* 1967557 */     GIR_EraseRootFromParent_Done,
     /* 1967558 */   // Label 24507: @1967558
     /* 1967558 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1967662), // Rule ID 19525 //
     /* 1967563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1967566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1967583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967609 */     // MIs[0] policy
     /* 1967609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967619 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1967636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967661 */     // GIR_Coverage, 19525,
     /* 1967661 */     GIR_EraseRootFromParent_Done,
     /* 1967662 */   // Label 24508: @1967662
     /* 1967662 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1967766), // Rule ID 19528 //
     /* 1967667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1967670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967713 */     // MIs[0] policy
     /* 1967713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967723 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1967740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967765 */     // GIR_Coverage, 19528,
     /* 1967765 */     GIR_EraseRootFromParent_Done,
     /* 1967766 */   // Label 24509: @1967766
     /* 1967766 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1967870), // Rule ID 19529 //
     /* 1967771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1967774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967817 */     // MIs[0] policy
     /* 1967817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1967844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967869 */     // GIR_Coverage, 19529,
     /* 1967869 */     GIR_EraseRootFromParent_Done,
     /* 1967870 */   // Label 24510: @1967870
     /* 1967870 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1967974), // Rule ID 19532 //
     /* 1967875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1967878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967921 */     // MIs[0] policy
     /* 1967921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967931 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1967935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1967941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1967945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1967948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1967962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967973 */     // GIR_Coverage, 19532,
     /* 1967973 */     GIR_EraseRootFromParent_Done,
     /* 1967974 */   // Label 24511: @1967974
     /* 1967974 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1968078), // Rule ID 19533 //
     /* 1967979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1967982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1967987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968025 */     // MIs[0] policy
     /* 1968025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968035 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1968052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968077 */     // GIR_Coverage, 19533,
     /* 1968077 */     GIR_EraseRootFromParent_Done,
     /* 1968078 */   // Label 24512: @1968078
     /* 1968078 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1968182), // Rule ID 19536 //
     /* 1968083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1968086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968129 */     // MIs[0] policy
     /* 1968129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968139 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1968156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968181 */     // GIR_Coverage, 19536,
     /* 1968181 */     GIR_EraseRootFromParent_Done,
     /* 1968182 */   // Label 24513: @1968182
     /* 1968182 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1968286), // Rule ID 19537 //
     /* 1968187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1968190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968233 */     // MIs[0] policy
     /* 1968233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968243 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1968260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968285 */     // GIR_Coverage, 19537,
     /* 1968285 */     GIR_EraseRootFromParent_Done,
     /* 1968286 */   // Label 24514: @1968286
     /* 1968286 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1968390), // Rule ID 19540 //
     /* 1968291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1968294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968337 */     // MIs[0] policy
     /* 1968337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968347 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1968364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968389 */     // GIR_Coverage, 19540,
     /* 1968389 */     GIR_EraseRootFromParent_Done,
     /* 1968390 */   // Label 24515: @1968390
     /* 1968390 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1968494), // Rule ID 19541 //
     /* 1968395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1968398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1968415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968441 */     // MIs[0] policy
     /* 1968441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968451 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1968468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968493 */     // GIR_Coverage, 19541,
     /* 1968493 */     GIR_EraseRootFromParent_Done,
     /* 1968494 */   // Label 24516: @1968494
     /* 1968494 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1968598), // Rule ID 19544 //
     /* 1968499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1968502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968545 */     // MIs[0] policy
     /* 1968545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968555 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1968572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968597 */     // GIR_Coverage, 19544,
     /* 1968597 */     GIR_EraseRootFromParent_Done,
     /* 1968598 */   // Label 24517: @1968598
     /* 1968598 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1968702), // Rule ID 19545 //
     /* 1968603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1968606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1968623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968649 */     // MIs[0] policy
     /* 1968649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968659 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1968676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968701 */     // GIR_Coverage, 19545,
     /* 1968701 */     GIR_EraseRootFromParent_Done,
     /* 1968702 */   // Label 24518: @1968702
     /* 1968702 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1968806), // Rule ID 19548 //
     /* 1968707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1968710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1968727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968753 */     // MIs[0] policy
     /* 1968753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968763 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1968780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968805 */     // GIR_Coverage, 19548,
     /* 1968805 */     GIR_EraseRootFromParent_Done,
     /* 1968806 */   // Label 24519: @1968806
     /* 1968806 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1968910), // Rule ID 19549 //
     /* 1968811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1968814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1968831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968857 */     // MIs[0] policy
     /* 1968857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968867 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1968884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1968898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968909 */     // GIR_Coverage, 19549,
     /* 1968909 */     GIR_EraseRootFromParent_Done,
     /* 1968910 */   // Label 24520: @1968910
     /* 1968910 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1969014), // Rule ID 19552 //
     /* 1968915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1968918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1968923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1968935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968961 */     // MIs[0] policy
     /* 1968961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1968975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1968981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1968985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1968988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969013 */     // GIR_Coverage, 19552,
     /* 1969013 */     GIR_EraseRootFromParent_Done,
     /* 1969014 */   // Label 24521: @1969014
     /* 1969014 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1969118), // Rule ID 19553 //
     /* 1969019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1969022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1969030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1969033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1969036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1969039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969065 */     // MIs[0] policy
     /* 1969065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969075 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1969092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969117 */     // GIR_Coverage, 19553,
     /* 1969117 */     GIR_EraseRootFromParent_Done,
     /* 1969118 */   // Label 24522: @1969118
     /* 1969118 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1969222), // Rule ID 19556 //
     /* 1969123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1969126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969169 */     // MIs[0] policy
     /* 1969169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969179 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1969196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969221 */     // GIR_Coverage, 19556,
     /* 1969221 */     GIR_EraseRootFromParent_Done,
     /* 1969222 */   // Label 24523: @1969222
     /* 1969222 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1969326), // Rule ID 19557 //
     /* 1969227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1969230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1969247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969273 */     // MIs[0] policy
     /* 1969273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969283 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1969300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969325 */     // GIR_Coverage, 19557,
     /* 1969325 */     GIR_EraseRootFromParent_Done,
     /* 1969326 */   // Label 24524: @1969326
     /* 1969326 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1969430), // Rule ID 19560 //
     /* 1969331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1969334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969377 */     // MIs[0] policy
     /* 1969377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969387 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1969404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969429 */     // GIR_Coverage, 19560,
     /* 1969429 */     GIR_EraseRootFromParent_Done,
     /* 1969430 */   // Label 24525: @1969430
     /* 1969430 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1969534), // Rule ID 19561 //
     /* 1969435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1969438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1969455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969481 */     // MIs[0] policy
     /* 1969481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969491 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1969508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969533 */     // GIR_Coverage, 19561,
     /* 1969533 */     GIR_EraseRootFromParent_Done,
     /* 1969534 */   // Label 24526: @1969534
     /* 1969534 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1969638), // Rule ID 19564 //
     /* 1969539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1969542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1969556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1969559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1969581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969585 */     // MIs[0] policy
     /* 1969585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969595 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1969612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969637 */     // GIR_Coverage, 19564,
     /* 1969637 */     GIR_EraseRootFromParent_Done,
     /* 1969638 */   // Label 24527: @1969638
     /* 1969638 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1969742), // Rule ID 19565 //
     /* 1969643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1969646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1969660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1969663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1969685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969689 */     // MIs[0] policy
     /* 1969689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969699 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1969716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969741 */     // GIR_Coverage, 19565,
     /* 1969741 */     GIR_EraseRootFromParent_Done,
     /* 1969742 */   // Label 24528: @1969742
     /* 1969742 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1969846), // Rule ID 19568 //
     /* 1969747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1969750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1969767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1969789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969793 */     // MIs[0] policy
     /* 1969793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969803 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1969820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969845 */     // GIR_Coverage, 19568,
     /* 1969845 */     GIR_EraseRootFromParent_Done,
     /* 1969846 */   // Label 24529: @1969846
     /* 1969846 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1969950), // Rule ID 19569 //
     /* 1969851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1969854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1969868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1969871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1969893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969897 */     // MIs[0] policy
     /* 1969897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969907 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1969911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1969917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1969921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1969924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1969938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1969946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969949 */     // GIR_Coverage, 19569,
     /* 1969949 */     GIR_EraseRootFromParent_Done,
     /* 1969950 */   // Label 24530: @1969950
     /* 1969950 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1970054), // Rule ID 19572 //
     /* 1969955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1969958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1969963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1969966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1969969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1969972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1969975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1969997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970001 */     // MIs[0] policy
     /* 1970001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1970028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970053 */     // GIR_Coverage, 19572,
     /* 1970053 */     GIR_EraseRootFromParent_Done,
     /* 1970054 */   // Label 24531: @1970054
     /* 1970054 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1970158), // Rule ID 19573 //
     /* 1970059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1970062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1970076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1970101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970105 */     // MIs[0] policy
     /* 1970105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970115 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1970132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970157 */     // GIR_Coverage, 19573,
     /* 1970157 */     GIR_EraseRootFromParent_Done,
     /* 1970158 */   // Label 24532: @1970158
     /* 1970158 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1970262), // Rule ID 19576 //
     /* 1970163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1970166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1970183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1970205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970209 */     // MIs[0] policy
     /* 1970209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970219 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1970236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970261 */     // GIR_Coverage, 19576,
     /* 1970261 */     GIR_EraseRootFromParent_Done,
     /* 1970262 */   // Label 24533: @1970262
     /* 1970262 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1970366), // Rule ID 19577 //
     /* 1970267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1970270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1970278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1970281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1970287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1970309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970313 */     // MIs[0] policy
     /* 1970313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970323 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10904:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1970340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970365 */     // GIR_Coverage, 19577,
     /* 1970365 */     GIR_EraseRootFromParent_Done,
     /* 1970366 */   // Label 24534: @1970366
     /* 1970366 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1970470), // Rule ID 19580 //
     /* 1970371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1970374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1970388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1970413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970417 */     // MIs[0] policy
     /* 1970417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970427 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1970444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970469 */     // GIR_Coverage, 19580,
     /* 1970469 */     GIR_EraseRootFromParent_Done,
     /* 1970470 */   // Label 24535: @1970470
     /* 1970470 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1970574), // Rule ID 19581 //
     /* 1970475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1970478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1970492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1970495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1970517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970521 */     // MIs[0] policy
     /* 1970521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970531 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10904:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1970548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1970570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970573 */     // GIR_Coverage, 19581,
     /* 1970573 */     GIR_EraseRootFromParent_Done,
     /* 1970574 */   // Label 24536: @1970574
     /* 1970574 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1970678), // Rule ID 19584 //
     /* 1970579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1970582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1970621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970625 */     // MIs[0] policy
     /* 1970625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970635 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1970652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970677 */     // GIR_Coverage, 19584,
     /* 1970677 */     GIR_EraseRootFromParent_Done,
     /* 1970678 */   // Label 24537: @1970678
     /* 1970678 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1970782), // Rule ID 19585 //
     /* 1970683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1970686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1970694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1970697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1970700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1970703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1970725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970729 */     // MIs[0] policy
     /* 1970729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970739 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10904:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1970756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1970778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970781 */     // GIR_Coverage, 19585,
     /* 1970781 */     GIR_EraseRootFromParent_Done,
     /* 1970782 */   // Label 24538: @1970782
     /* 1970782 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1970886), // Rule ID 19588 //
     /* 1970787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1970790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1970798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1970801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1970807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1970829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970833 */     // MIs[0] policy
     /* 1970833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970843 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1970860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970885 */     // GIR_Coverage, 19588,
     /* 1970885 */     GIR_EraseRootFromParent_Done,
     /* 1970886 */   // Label 24539: @1970886
     /* 1970886 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1970990), // Rule ID 19589 //
     /* 1970891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1970894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1970899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1970902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1970905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1970911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1970933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970937 */     // MIs[0] policy
     /* 1970937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970947 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1970951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1970957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1970961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1970964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1970978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970989 */     // GIR_Coverage, 19589,
     /* 1970989 */     GIR_EraseRootFromParent_Done,
     /* 1970990 */   // Label 24540: @1970990
     /* 1970990 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1971094), // Rule ID 19592 //
     /* 1970995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1970998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1971006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1971009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1971015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1971037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971041 */     // MIs[0] policy
     /* 1971041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971051 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1971068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971093 */     // GIR_Coverage, 19592,
     /* 1971093 */     GIR_EraseRootFromParent_Done,
     /* 1971094 */   // Label 24541: @1971094
     /* 1971094 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1971198), // Rule ID 19593 //
     /* 1971099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1971102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1971110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1971113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1971119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1971141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971145 */     // MIs[0] policy
     /* 1971145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971155 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1971172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971197 */     // GIR_Coverage, 19593,
     /* 1971197 */     GIR_EraseRootFromParent_Done,
     /* 1971198 */   // Label 24542: @1971198
     /* 1971198 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1971302), // Rule ID 19596 //
     /* 1971203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1971206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1971214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1971217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1971220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1971223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1971245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971249 */     // MIs[0] policy
     /* 1971249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971259 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1971276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971301 */     // GIR_Coverage, 19596,
     /* 1971301 */     GIR_EraseRootFromParent_Done,
     /* 1971302 */   // Label 24543: @1971302
     /* 1971302 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1971406), // Rule ID 19597 //
     /* 1971307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1971310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1971318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1971321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1971324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1971327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1971330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1971349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971353 */     // MIs[0] policy
     /* 1971353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971363 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1971380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971405 */     // GIR_Coverage, 19597,
     /* 1971405 */     GIR_EraseRootFromParent_Done,
     /* 1971406 */   // Label 24544: @1971406
     /* 1971406 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1971510), // Rule ID 19600 //
     /* 1971411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1971414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1971422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1971425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971457 */     // MIs[0] policy
     /* 1971457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1971484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971509 */     // GIR_Coverage, 19600,
     /* 1971509 */     GIR_EraseRootFromParent_Done,
     /* 1971510 */   // Label 24545: @1971510
     /* 1971510 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1971614), // Rule ID 19601 //
     /* 1971515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1971518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1971526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1971529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971561 */     // MIs[0] policy
     /* 1971561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971571 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1971588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971613 */     // GIR_Coverage, 19601,
     /* 1971613 */     GIR_EraseRootFromParent_Done,
     /* 1971614 */   // Label 24546: @1971614
     /* 1971614 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1971718), // Rule ID 19604 //
     /* 1971619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1971622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1971630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1971633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971665 */     // MIs[0] policy
     /* 1971665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971675 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1971692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971717 */     // GIR_Coverage, 19604,
     /* 1971717 */     GIR_EraseRootFromParent_Done,
     /* 1971718 */   // Label 24547: @1971718
     /* 1971718 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1971822), // Rule ID 19605 //
     /* 1971723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1971726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1971734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1971737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971769 */     // MIs[0] policy
     /* 1971769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971779 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1971796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971821 */     // GIR_Coverage, 19605,
     /* 1971821 */     GIR_EraseRootFromParent_Done,
     /* 1971822 */   // Label 24548: @1971822
     /* 1971822 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1971926), // Rule ID 19608 //
     /* 1971827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1971830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1971844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971873 */     // MIs[0] policy
     /* 1971873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971883 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1971897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1971900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1971914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971925 */     // GIR_Coverage, 19608,
     /* 1971925 */     GIR_EraseRootFromParent_Done,
     /* 1971926 */   // Label 24549: @1971926
     /* 1971926 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1972030), // Rule ID 19609 //
     /* 1971931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1971934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1971939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1971948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1971973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971977 */     // MIs[0] policy
     /* 1971977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971987 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1971991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1971997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1972004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1972026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972029 */     // GIR_Coverage, 19609,
     /* 1972029 */     GIR_EraseRootFromParent_Done,
     /* 1972030 */   // Label 24550: @1972030
     /* 1972030 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1972134), // Rule ID 19612 //
     /* 1972035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1972038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972081 */     // MIs[0] policy
     /* 1972081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972091 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1972108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972133 */     // GIR_Coverage, 19612,
     /* 1972133 */     GIR_EraseRootFromParent_Done,
     /* 1972134 */   // Label 24551: @1972134
     /* 1972134 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1972238), // Rule ID 19613 //
     /* 1972139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1972142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1972150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1972153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1972156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972185 */     // MIs[0] policy
     /* 1972185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972195 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10904:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1972212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972237 */     // GIR_Coverage, 19613,
     /* 1972237 */     GIR_EraseRootFromParent_Done,
     /* 1972238 */   // Label 24552: @1972238
     /* 1972238 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1972342), // Rule ID 19616 //
     /* 1972243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1972246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972289 */     // MIs[0] policy
     /* 1972289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972299 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1972316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972341 */     // GIR_Coverage, 19616,
     /* 1972341 */     GIR_EraseRootFromParent_Done,
     /* 1972342 */   // Label 24553: @1972342
     /* 1972342 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1972446), // Rule ID 19617 //
     /* 1972347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1972350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1972358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1972361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1972364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972393 */     // MIs[0] policy
     /* 1972393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10904:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1972420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972445 */     // GIR_Coverage, 19617,
     /* 1972445 */     GIR_EraseRootFromParent_Done,
     /* 1972446 */   // Label 24554: @1972446
     /* 1972446 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1972550), // Rule ID 19620 //
     /* 1972451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1972454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972497 */     // MIs[0] policy
     /* 1972497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972507 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1972524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972549 */     // GIR_Coverage, 19620,
     /* 1972549 */     GIR_EraseRootFromParent_Done,
     /* 1972550 */   // Label 24555: @1972550
     /* 1972550 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1972654), // Rule ID 19621 //
     /* 1972555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1972558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1972563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1972566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1972569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1972572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1972597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972601 */     // MIs[0] policy
     /* 1972601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972611 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10904:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1972628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1972650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972653 */     // GIR_Coverage, 19621,
     /* 1972653 */     GIR_EraseRootFromParent_Done,
     /* 1972654 */   // Label 24556: @1972654
     /* 1972654 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1972758), // Rule ID 23462 //
     /* 1972659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1972662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1972667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972705 */     // MIs[0] policy
     /* 1972705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972715 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1972732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1972736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972757 */     // GIR_Coverage, 23462,
     /* 1972757 */     GIR_EraseRootFromParent_Done,
     /* 1972758 */   // Label 24557: @1972758
     /* 1972758 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1972862), // Rule ID 23463 //
     /* 1972763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1972771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1972774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1972777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1972780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972809 */     // MIs[0] policy
     /* 1972809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972819 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1972836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1972840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972861 */     // GIR_Coverage, 23463,
     /* 1972861 */     GIR_EraseRootFromParent_Done,
     /* 1972862 */   // Label 24558: @1972862
     /* 1972862 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1972966), // Rule ID 23466 //
     /* 1972867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1972870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1972875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972913 */     // MIs[0] policy
     /* 1972913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972923 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1972927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1972933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1972937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1972940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1972944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1972954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972965 */     // GIR_Coverage, 23466,
     /* 1972965 */     GIR_EraseRootFromParent_Done,
     /* 1972966 */   // Label 24559: @1972966
     /* 1972966 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1973070), // Rule ID 23467 //
     /* 1972971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1972974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1972979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1972982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1972985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973017 */     // MIs[0] policy
     /* 1973017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1973044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973069 */     // GIR_Coverage, 23467,
     /* 1973069 */     GIR_EraseRootFromParent_Done,
     /* 1973070 */   // Label 24560: @1973070
     /* 1973070 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1973174), // Rule ID 23470 //
     /* 1973075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973121 */     // MIs[0] policy
     /* 1973121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973131 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973173 */     // GIR_Coverage, 23470,
     /* 1973173 */     GIR_EraseRootFromParent_Done,
     /* 1973174 */   // Label 24561: @1973174
     /* 1973174 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1973278), // Rule ID 23471 //
     /* 1973179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1973190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1973193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1973196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973225 */     // MIs[0] policy
     /* 1973225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973235 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1973274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973277 */     // GIR_Coverage, 23471,
     /* 1973277 */     GIR_EraseRootFromParent_Done,
     /* 1973278 */   // Label 24562: @1973278
     /* 1973278 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1973382), // Rule ID 23474 //
     /* 1973283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973329 */     // MIs[0] policy
     /* 1973329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973339 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1973356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973381 */     // GIR_Coverage, 23474,
     /* 1973381 */     GIR_EraseRootFromParent_Done,
     /* 1973382 */   // Label 24563: @1973382
     /* 1973382 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1973486), // Rule ID 23475 //
     /* 1973387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1973398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1973401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973433 */     // MIs[0] policy
     /* 1973433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973443 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1973460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973485 */     // GIR_Coverage, 23475,
     /* 1973485 */     GIR_EraseRootFromParent_Done,
     /* 1973486 */   // Label 24564: @1973486
     /* 1973486 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1973590), // Rule ID 23478 //
     /* 1973491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973537 */     // MIs[0] policy
     /* 1973537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973589 */     // GIR_Coverage, 23478,
     /* 1973589 */     GIR_EraseRootFromParent_Done,
     /* 1973590 */   // Label 24565: @1973590
     /* 1973590 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1973694), // Rule ID 23479 //
     /* 1973595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1973606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1973609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973641 */     // MIs[0] policy
     /* 1973641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973651 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973693 */     // GIR_Coverage, 23479,
     /* 1973693 */     GIR_EraseRootFromParent_Done,
     /* 1973694 */   // Label 24566: @1973694
     /* 1973694 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1973798), // Rule ID 23482 //
     /* 1973699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973745 */     // MIs[0] policy
     /* 1973745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973755 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973797 */     // GIR_Coverage, 23482,
     /* 1973797 */     GIR_EraseRootFromParent_Done,
     /* 1973798 */   // Label 24567: @1973798
     /* 1973798 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1973902), // Rule ID 23483 //
     /* 1973803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1973806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973849 */     // MIs[0] policy
     /* 1973849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973859 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1973876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973901 */     // GIR_Coverage, 23483,
     /* 1973901 */     GIR_EraseRootFromParent_Done,
     /* 1973902 */   // Label 24568: @1973902
     /* 1973902 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1974006), // Rule ID 23486 //
     /* 1973907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1973910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1973915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1973918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1973921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1973924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973953 */     // MIs[0] policy
     /* 1973953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973963 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1973967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1973973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1973977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1973980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1973984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1973994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974005 */     // GIR_Coverage, 23486,
     /* 1974005 */     GIR_EraseRootFromParent_Done,
     /* 1974006 */   // Label 24569: @1974006
     /* 1974006 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1974110), // Rule ID 23487 //
     /* 1974011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1974022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1974025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1974028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974057 */     // MIs[0] policy
     /* 1974057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974067 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11186:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974109 */     // GIR_Coverage, 23487,
     /* 1974109 */     GIR_EraseRootFromParent_Done,
     /* 1974110 */   // Label 24570: @1974110
     /* 1974110 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1974214), // Rule ID 23490 //
     /* 1974115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974161 */     // MIs[0] policy
     /* 1974161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974171 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974213 */     // GIR_Coverage, 23490,
     /* 1974213 */     GIR_EraseRootFromParent_Done,
     /* 1974214 */   // Label 24571: @1974214
     /* 1974214 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1974318), // Rule ID 23491 //
     /* 1974219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1974230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1974233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1974236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974265 */     // MIs[0] policy
     /* 1974265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974275 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1974314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974317 */     // GIR_Coverage, 23491,
     /* 1974317 */     GIR_EraseRootFromParent_Done,
     /* 1974318 */   // Label 24572: @1974318
     /* 1974318 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1974422), // Rule ID 23494 //
     /* 1974323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974369 */     // MIs[0] policy
     /* 1974369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974379 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974421 */     // GIR_Coverage, 23494,
     /* 1974421 */     GIR_EraseRootFromParent_Done,
     /* 1974422 */   // Label 24573: @1974422
     /* 1974422 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1974526), // Rule ID 23495 //
     /* 1974427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1974438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1974441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974473 */     // MIs[0] policy
     /* 1974473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974483 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974525 */     // GIR_Coverage, 23495,
     /* 1974525 */     GIR_EraseRootFromParent_Done,
     /* 1974526 */   // Label 24574: @1974526
     /* 1974526 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1974630), // Rule ID 23498 //
     /* 1974531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1974534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974577 */     // MIs[0] policy
     /* 1974577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974629 */     // GIR_Coverage, 23498,
     /* 1974629 */     GIR_EraseRootFromParent_Done,
     /* 1974630 */   // Label 24575: @1974630
     /* 1974630 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1974734), // Rule ID 23499 //
     /* 1974635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1974638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974681 */     // MIs[0] policy
     /* 1974681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1974708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974733 */     // GIR_Coverage, 23499,
     /* 1974733 */     GIR_EraseRootFromParent_Done,
     /* 1974734 */   // Label 24576: @1974734
     /* 1974734 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1974838), // Rule ID 23502 //
     /* 1974739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974785 */     // MIs[0] policy
     /* 1974785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974795 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1974812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974837 */     // GIR_Coverage, 23502,
     /* 1974837 */     GIR_EraseRootFromParent_Done,
     /* 1974838 */   // Label 24577: @1974838
     /* 1974838 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1974942), // Rule ID 23503 //
     /* 1974843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1974846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1974854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1974857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1974860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1974866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974889 */     // MIs[0] policy
     /* 1974889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1974903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1974909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1974913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1974916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1974920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1974930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1974938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974941 */     // GIR_Coverage, 23503,
     /* 1974941 */     GIR_EraseRootFromParent_Done,
     /* 1974942 */   // Label 24578: @1974942
     /* 1974942 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1975046), // Rule ID 23506 //
     /* 1974947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1974950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1974955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1974958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1974961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1974964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1974970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974993 */     // MIs[0] policy
     /* 1974993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975003 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1975020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975045 */     // GIR_Coverage, 23506,
     /* 1975045 */     GIR_EraseRootFromParent_Done,
     /* 1975046 */   // Label 24579: @1975046
     /* 1975046 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1975150), // Rule ID 23507 //
     /* 1975051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1975062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1975065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1975068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975097 */     // MIs[0] policy
     /* 1975097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975107 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1975124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975149 */     // GIR_Coverage, 23507,
     /* 1975149 */     GIR_EraseRootFromParent_Done,
     /* 1975150 */   // Label 24580: @1975150
     /* 1975150 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1975254), // Rule ID 23510 //
     /* 1975155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975201 */     // MIs[0] policy
     /* 1975201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975211 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1975228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975253 */     // GIR_Coverage, 23510,
     /* 1975253 */     GIR_EraseRootFromParent_Done,
     /* 1975254 */   // Label 24581: @1975254
     /* 1975254 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1975358), // Rule ID 23511 //
     /* 1975259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1975270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1975273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1975276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1975282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975305 */     // MIs[0] policy
     /* 1975305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975315 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1975332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1975354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975357 */     // GIR_Coverage, 23511,
     /* 1975357 */     GIR_EraseRootFromParent_Done,
     /* 1975358 */   // Label 24582: @1975358
     /* 1975358 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1975462), // Rule ID 23514 //
     /* 1975363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975409 */     // MIs[0] policy
     /* 1975409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1975436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975461 */     // GIR_Coverage, 23514,
     /* 1975461 */     GIR_EraseRootFromParent_Done,
     /* 1975462 */   // Label 24583: @1975462
     /* 1975462 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1975566), // Rule ID 23515 //
     /* 1975467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1975478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1975481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1975484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975513 */     // MIs[0] policy
     /* 1975513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975523 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1975540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975565 */     // GIR_Coverage, 23515,
     /* 1975565 */     GIR_EraseRootFromParent_Done,
     /* 1975566 */   // Label 24584: @1975566
     /* 1975566 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1975670), // Rule ID 23518 //
     /* 1975571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975617 */     // MIs[0] policy
     /* 1975617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1975644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975669 */     // GIR_Coverage, 23518,
     /* 1975669 */     GIR_EraseRootFromParent_Done,
     /* 1975670 */   // Label 24585: @1975670
     /* 1975670 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1975774), // Rule ID 23519 //
     /* 1975675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1975686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1975689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1975692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1975698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975721 */     // MIs[0] policy
     /* 1975721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1975748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975773 */     // GIR_Coverage, 23519,
     /* 1975773 */     GIR_EraseRootFromParent_Done,
     /* 1975774 */   // Label 24586: @1975774
     /* 1975774 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1975878), // Rule ID 23522 //
     /* 1975779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975825 */     // MIs[0] policy
     /* 1975825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975835 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1975852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975877 */     // GIR_Coverage, 23522,
     /* 1975877 */     GIR_EraseRootFromParent_Done,
     /* 1975878 */   // Label 24587: @1975878
     /* 1975878 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1975982), // Rule ID 23523 //
     /* 1975883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1975886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1975894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1975897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1975900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1975906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975929 */     // MIs[0] policy
     /* 1975929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975939 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1975943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1975949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1975953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1975956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1975960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1975970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1975978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975981 */     // GIR_Coverage, 23523,
     /* 1975981 */     GIR_EraseRootFromParent_Done,
     /* 1975982 */   // Label 24588: @1975982
     /* 1975982 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1976086), // Rule ID 23526 //
     /* 1975987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1975990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1975995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1975998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976033 */     // MIs[0] policy
     /* 1976033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1976060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976085 */     // GIR_Coverage, 23526,
     /* 1976085 */     GIR_EraseRootFromParent_Done,
     /* 1976086 */   // Label 24589: @1976086
     /* 1976086 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1976190), // Rule ID 23527 //
     /* 1976091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1976102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1976105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1976108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976137 */     // MIs[0] policy
     /* 1976137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1976164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976189 */     // GIR_Coverage, 23527,
     /* 1976189 */     GIR_EraseRootFromParent_Done,
     /* 1976190 */   // Label 24590: @1976190
     /* 1976190 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1976294), // Rule ID 23530 //
     /* 1976195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1976198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976241 */     // MIs[0] policy
     /* 1976241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1976268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976293 */     // GIR_Coverage, 23530,
     /* 1976293 */     GIR_EraseRootFromParent_Done,
     /* 1976294 */   // Label 24591: @1976294
     /* 1976294 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1976398), // Rule ID 23531 //
     /* 1976299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1976310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1976313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1976316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976345 */     // MIs[0] policy
     /* 1976345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1976372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976397 */     // GIR_Coverage, 23531,
     /* 1976397 */     GIR_EraseRootFromParent_Done,
     /* 1976398 */   // Label 24592: @1976398
     /* 1976398 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1976502), // Rule ID 23534 //
     /* 1976403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1976406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976449 */     // MIs[0] policy
     /* 1976449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1976476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976501 */     // GIR_Coverage, 23534,
     /* 1976501 */     GIR_EraseRootFromParent_Done,
     /* 1976502 */   // Label 24593: @1976502
     /* 1976502 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1976606), // Rule ID 23535 //
     /* 1976507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1976510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1976518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1976521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1976524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1976530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976553 */     // MIs[0] policy
     /* 1976553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976563 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1976580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1976602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976605 */     // GIR_Coverage, 23535,
     /* 1976605 */     GIR_EraseRootFromParent_Done,
     /* 1976606 */   // Label 24594: @1976606
     /* 1976606 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1976710), // Rule ID 23538 //
     /* 1976611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1976614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976657 */     // MIs[0] policy
     /* 1976657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1976684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976709 */     // GIR_Coverage, 23538,
     /* 1976709 */     GIR_EraseRootFromParent_Done,
     /* 1976710 */   // Label 24595: @1976710
     /* 1976710 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1976814), // Rule ID 23539 //
     /* 1976715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1976718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976761 */     // MIs[0] policy
     /* 1976761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1976788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976813 */     // GIR_Coverage, 23539,
     /* 1976813 */     GIR_EraseRootFromParent_Done,
     /* 1976814 */   // Label 24596: @1976814
     /* 1976814 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1976918), // Rule ID 23542 //
     /* 1976819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1976822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976865 */     // MIs[0] policy
     /* 1976865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1976892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1976896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1976906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976917 */     // GIR_Coverage, 23542,
     /* 1976917 */     GIR_EraseRootFromParent_Done,
     /* 1976918 */   // Label 24597: @1976918
     /* 1976918 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1977022), // Rule ID 23543 //
     /* 1976923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1976926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1976931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976969 */     // MIs[0] policy
     /* 1976969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1976983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1976989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1976993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1976996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977021 */     // GIR_Coverage, 23543,
     /* 1977021 */     GIR_EraseRootFromParent_Done,
     /* 1977022 */   // Label 24598: @1977022
     /* 1977022 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1977126), // Rule ID 23546 //
     /* 1977027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1977030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1977035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977073 */     // MIs[0] policy
     /* 1977073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1977100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977125 */     // GIR_Coverage, 23546,
     /* 1977125 */     GIR_EraseRootFromParent_Done,
     /* 1977126 */   // Label 24599: @1977126
     /* 1977126 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1977230), // Rule ID 23547 //
     /* 1977131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1977134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1977139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977177 */     // MIs[0] policy
     /* 1977177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1977204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977229 */     // GIR_Coverage, 23547,
     /* 1977229 */     GIR_EraseRootFromParent_Done,
     /* 1977230 */   // Label 24600: @1977230
     /* 1977230 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1977334), // Rule ID 23638 //
     /* 1977235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977281 */     // MIs[0] policy
     /* 1977281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977291 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1977308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977333 */     // GIR_Coverage, 23638,
     /* 1977333 */     GIR_EraseRootFromParent_Done,
     /* 1977334 */   // Label 24601: @1977334
     /* 1977334 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1977438), // Rule ID 23639 //
     /* 1977339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977385 */     // MIs[0] policy
     /* 1977385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977395 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1977412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977437 */     // GIR_Coverage, 23639,
     /* 1977437 */     GIR_EraseRootFromParent_Done,
     /* 1977438 */   // Label 24602: @1977438
     /* 1977438 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1977542), // Rule ID 23642 //
     /* 1977443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977489 */     // MIs[0] policy
     /* 1977489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977499 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1977516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977541 */     // GIR_Coverage, 23642,
     /* 1977541 */     GIR_EraseRootFromParent_Done,
     /* 1977542 */   // Label 24603: @1977542
     /* 1977542 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1977646), // Rule ID 23643 //
     /* 1977547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977593 */     // MIs[0] policy
     /* 1977593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1977620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977645 */     // GIR_Coverage, 23643,
     /* 1977645 */     GIR_EraseRootFromParent_Done,
     /* 1977646 */   // Label 24604: @1977646
     /* 1977646 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1977750), // Rule ID 23646 //
     /* 1977651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977697 */     // MIs[0] policy
     /* 1977697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977707 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1977724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977749 */     // GIR_Coverage, 23646,
     /* 1977749 */     GIR_EraseRootFromParent_Done,
     /* 1977750 */   // Label 24605: @1977750
     /* 1977750 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1977854), // Rule ID 23647 //
     /* 1977755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977801 */     // MIs[0] policy
     /* 1977801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977811 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1977828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977853 */     // GIR_Coverage, 23647,
     /* 1977853 */     GIR_EraseRootFromParent_Done,
     /* 1977854 */   // Label 24606: @1977854
     /* 1977854 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1977958), // Rule ID 23650 //
     /* 1977859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1977862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977905 */     // MIs[0] policy
     /* 1977905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977915 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1977919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1977925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1977929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1977932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1977936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1977946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977957 */     // GIR_Coverage, 23650,
     /* 1977957 */     GIR_EraseRootFromParent_Done,
     /* 1977958 */   // Label 24607: @1977958
     /* 1977958 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1978062), // Rule ID 23651 //
     /* 1977963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1977966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1977971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978009 */     // MIs[0] policy
     /* 1978009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1978036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978061 */     // GIR_Coverage, 23651,
     /* 1978061 */     GIR_EraseRootFromParent_Done,
     /* 1978062 */   // Label 24608: @1978062
     /* 1978062 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1978166), // Rule ID 23654 //
     /* 1978067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978113 */     // MIs[0] policy
     /* 1978113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978123 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1978140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978165 */     // GIR_Coverage, 23654,
     /* 1978165 */     GIR_EraseRootFromParent_Done,
     /* 1978166 */   // Label 24609: @1978166
     /* 1978166 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1978270), // Rule ID 23655 //
     /* 1978171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1978182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1978185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1978188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978217 */     // MIs[0] policy
     /* 1978217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1978244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978269 */     // GIR_Coverage, 23655,
     /* 1978269 */     GIR_EraseRootFromParent_Done,
     /* 1978270 */   // Label 24610: @1978270
     /* 1978270 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1978374), // Rule ID 23658 //
     /* 1978275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978321 */     // MIs[0] policy
     /* 1978321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978331 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1978348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978373 */     // GIR_Coverage, 23658,
     /* 1978373 */     GIR_EraseRootFromParent_Done,
     /* 1978374 */   // Label 24611: @1978374
     /* 1978374 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1978478), // Rule ID 23659 //
     /* 1978379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978425 */     // MIs[0] policy
     /* 1978425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978435 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1978452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978477 */     // GIR_Coverage, 23659,
     /* 1978477 */     GIR_EraseRootFromParent_Done,
     /* 1978478 */   // Label 24612: @1978478
     /* 1978478 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1978582), // Rule ID 23662 //
     /* 1978483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978529 */     // MIs[0] policy
     /* 1978529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978539 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1978556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978581 */     // GIR_Coverage, 23662,
     /* 1978581 */     GIR_EraseRootFromParent_Done,
     /* 1978582 */   // Label 24613: @1978582
     /* 1978582 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1978686), // Rule ID 23663 //
     /* 1978587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978633 */     // MIs[0] policy
     /* 1978633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978643 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1978660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978685 */     // GIR_Coverage, 23663,
     /* 1978685 */     GIR_EraseRootFromParent_Done,
     /* 1978686 */   // Label 24614: @1978686
     /* 1978686 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1978790), // Rule ID 23666 //
     /* 1978691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978737 */     // MIs[0] policy
     /* 1978737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1978764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978789 */     // GIR_Coverage, 23666,
     /* 1978789 */     GIR_EraseRootFromParent_Done,
     /* 1978790 */   // Label 24615: @1978790
     /* 1978790 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1978894), // Rule ID 23667 //
     /* 1978795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1978798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1978815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978841 */     // MIs[0] policy
     /* 1978841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978851 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1978868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978893 */     // GIR_Coverage, 23667,
     /* 1978893 */     GIR_EraseRootFromParent_Done,
     /* 1978894 */   // Label 24616: @1978894
     /* 1978894 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1978998), // Rule ID 23670 //
     /* 1978899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1978902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1978907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1978919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1978941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978945 */     // MIs[0] policy
     /* 1978945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1978959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1978965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1978969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1978972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1978976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1978986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978997 */     // GIR_Coverage, 23670,
     /* 1978997 */     GIR_EraseRootFromParent_Done,
     /* 1978998 */   // Label 24617: @1978998
     /* 1978998 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1979102), // Rule ID 23671 //
     /* 1979003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1979014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1979017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1979020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1979026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979049 */     // MIs[0] policy
     /* 1979049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1979076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1979098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979101 */     // GIR_Coverage, 23671,
     /* 1979101 */     GIR_EraseRootFromParent_Done,
     /* 1979102 */   // Label 24618: @1979102
     /* 1979102 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1979206), // Rule ID 23674 //
     /* 1979107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1979110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979153 */     // MIs[0] policy
     /* 1979153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979163 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1979180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979205 */     // GIR_Coverage, 23674,
     /* 1979205 */     GIR_EraseRootFromParent_Done,
     /* 1979206 */   // Label 24619: @1979206
     /* 1979206 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1979310), // Rule ID 23675 //
     /* 1979211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1979214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1979222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1979225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1979228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1979234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1979241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1979249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979257 */     // MIs[0] policy
     /* 1979257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979267 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1979284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1979306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979309 */     // GIR_Coverage, 23675,
     /* 1979309 */     GIR_EraseRootFromParent_Done,
     /* 1979310 */   // Label 24620: @1979310
     /* 1979310 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1979414), // Rule ID 23678 //
     /* 1979315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979361 */     // MIs[0] policy
     /* 1979361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979371 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1979388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979413 */     // GIR_Coverage, 23678,
     /* 1979413 */     GIR_EraseRootFromParent_Done,
     /* 1979414 */   // Label 24621: @1979414
     /* 1979414 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1979518), // Rule ID 23679 //
     /* 1979419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979465 */     // MIs[0] policy
     /* 1979465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1979492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979517 */     // GIR_Coverage, 23679,
     /* 1979517 */     GIR_EraseRootFromParent_Done,
     /* 1979518 */   // Label 24622: @1979518
     /* 1979518 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1979622), // Rule ID 23682 //
     /* 1979523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979569 */     // MIs[0] policy
     /* 1979569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979579 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1979596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979621 */     // GIR_Coverage, 23682,
     /* 1979621 */     GIR_EraseRootFromParent_Done,
     /* 1979622 */   // Label 24623: @1979622
     /* 1979622 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1979726), // Rule ID 23683 //
     /* 1979627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979673 */     // MIs[0] policy
     /* 1979673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979683 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1979700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979725 */     // GIR_Coverage, 23683,
     /* 1979725 */     GIR_EraseRootFromParent_Done,
     /* 1979726 */   // Label 24624: @1979726
     /* 1979726 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1979830), // Rule ID 23686 //
     /* 1979731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979777 */     // MIs[0] policy
     /* 1979777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979787 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1979804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979829 */     // GIR_Coverage, 23686,
     /* 1979829 */     GIR_EraseRootFromParent_Done,
     /* 1979830 */   // Label 24625: @1979830
     /* 1979830 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1979934), // Rule ID 23687 //
     /* 1979835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1979838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1979855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979881 */     // MIs[0] policy
     /* 1979881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979891 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1979901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1979905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1979908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1979912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1979922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979933 */     // GIR_Coverage, 23687,
     /* 1979933 */     GIR_EraseRootFromParent_Done,
     /* 1979934 */   // Label 24626: @1979934
     /* 1979934 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1980038), // Rule ID 23690 //
     /* 1979939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1979942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1979947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1979959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1979981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979985 */     // MIs[0] policy
     /* 1979985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979995 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1979999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1980012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980037 */     // GIR_Coverage, 23690,
     /* 1980037 */     GIR_EraseRootFromParent_Done,
     /* 1980038 */   // Label 24627: @1980038
     /* 1980038 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1980142), // Rule ID 23691 //
     /* 1980043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1980054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1980057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1980060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980089 */     // MIs[0] policy
     /* 1980089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980099 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1980116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980141 */     // GIR_Coverage, 23691,
     /* 1980141 */     GIR_EraseRootFromParent_Done,
     /* 1980142 */   // Label 24628: @1980142
     /* 1980142 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1980246), // Rule ID 23694 //
     /* 1980147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980193 */     // MIs[0] policy
     /* 1980193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980203 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1980220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980245 */     // GIR_Coverage, 23694,
     /* 1980245 */     GIR_EraseRootFromParent_Done,
     /* 1980246 */   // Label 24629: @1980246
     /* 1980246 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1980350), // Rule ID 23695 //
     /* 1980251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1980262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1980265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1980268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980297 */     // MIs[0] policy
     /* 1980297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980307 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1980324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980349 */     // GIR_Coverage, 23695,
     /* 1980349 */     GIR_EraseRootFromParent_Done,
     /* 1980350 */   // Label 24630: @1980350
     /* 1980350 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1980454), // Rule ID 23698 //
     /* 1980355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980401 */     // MIs[0] policy
     /* 1980401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980411 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1980428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980453 */     // GIR_Coverage, 23698,
     /* 1980453 */     GIR_EraseRootFromParent_Done,
     /* 1980454 */   // Label 24631: @1980454
     /* 1980454 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1980558), // Rule ID 23699 //
     /* 1980459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1980470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1980473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1980476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1980482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980505 */     // MIs[0] policy
     /* 1980505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1980532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1980554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980557 */     // GIR_Coverage, 23699,
     /* 1980557 */     GIR_EraseRootFromParent_Done,
     /* 1980558 */   // Label 24632: @1980558
     /* 1980558 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1980662), // Rule ID 23702 //
     /* 1980563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980609 */     // MIs[0] policy
     /* 1980609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1980636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980661 */     // GIR_Coverage, 23702,
     /* 1980661 */     GIR_EraseRootFromParent_Done,
     /* 1980662 */   // Label 24633: @1980662
     /* 1980662 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1980766), // Rule ID 23703 //
     /* 1980667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980713 */     // MIs[0] policy
     /* 1980713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980723 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1980740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980765 */     // GIR_Coverage, 23703,
     /* 1980765 */     GIR_EraseRootFromParent_Done,
     /* 1980766 */   // Label 24634: @1980766
     /* 1980766 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1980870), // Rule ID 23706 //
     /* 1980771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980817 */     // MIs[0] policy
     /* 1980817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980827 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1980844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980869 */     // GIR_Coverage, 23706,
     /* 1980869 */     GIR_EraseRootFromParent_Done,
     /* 1980870 */   // Label 24635: @1980870
     /* 1980870 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1980974), // Rule ID 23707 //
     /* 1980875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1980878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1980895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1980917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980921 */     // MIs[0] policy
     /* 1980921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1980935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1980941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1980945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1980948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1980952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1980962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980973 */     // GIR_Coverage, 23707,
     /* 1980973 */     GIR_EraseRootFromParent_Done,
     /* 1980974 */   // Label 24636: @1980974
     /* 1980974 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1981078), // Rule ID 23710 //
     /* 1980979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1980982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1980987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1980999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981025 */     // MIs[0] policy
     /* 1981025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1981052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981077 */     // GIR_Coverage, 23710,
     /* 1981077 */     GIR_EraseRootFromParent_Done,
     /* 1981078 */   // Label 24637: @1981078
     /* 1981078 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1981182), // Rule ID 23711 //
     /* 1981083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1981094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1981097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1981100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1981106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981129 */     // MIs[0] policy
     /* 1981129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1981156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981181 */     // GIR_Coverage, 23711,
     /* 1981181 */     GIR_EraseRootFromParent_Done,
     /* 1981182 */   // Label 24638: @1981182
     /* 1981182 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1981286), // Rule ID 23714 //
     /* 1981187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1981190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981233 */     // MIs[0] policy
     /* 1981233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1981260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981285 */     // GIR_Coverage, 23714,
     /* 1981285 */     GIR_EraseRootFromParent_Done,
     /* 1981286 */   // Label 24639: @1981286
     /* 1981286 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1981390), // Rule ID 23715 //
     /* 1981291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1981294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1981302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1981305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1981308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1981321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1981329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981337 */     // MIs[0] policy
     /* 1981337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981347 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1981364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981389 */     // GIR_Coverage, 23715,
     /* 1981389 */     GIR_EraseRootFromParent_Done,
     /* 1981390 */   // Label 24640: @1981390
     /* 1981390 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1981494), // Rule ID 23718 //
     /* 1981395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1981398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981441 */     // MIs[0] policy
     /* 1981441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981451 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1981468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981493 */     // GIR_Coverage, 23718,
     /* 1981493 */     GIR_EraseRootFromParent_Done,
     /* 1981494 */   // Label 24641: @1981494
     /* 1981494 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1981598), // Rule ID 23719 //
     /* 1981499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1981502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1981510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1981513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1981516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1981529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1981537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981545 */     // MIs[0] policy
     /* 1981545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981555 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1981572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981597 */     // GIR_Coverage, 23719,
     /* 1981597 */     GIR_EraseRootFromParent_Done,
     /* 1981598 */   // Label 24642: @1981598
     /* 1981598 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1981702), // Rule ID 23722 //
     /* 1981603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1981606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981649 */     // MIs[0] policy
     /* 1981649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981659 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1981676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981701 */     // GIR_Coverage, 23722,
     /* 1981701 */     GIR_EraseRootFromParent_Done,
     /* 1981702 */   // Label 24643: @1981702
     /* 1981702 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1981806), // Rule ID 23723 //
     /* 1981707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1981710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1981715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1981718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1981721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1981724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1981730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1981737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1981745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981753 */     // MIs[0] policy
     /* 1981753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981763 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1981780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1981784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1981802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981805 */     // GIR_Coverage, 23723,
     /* 1981805 */     GIR_EraseRootFromParent_Done,
     /* 1981806 */   // Label 24644: @1981806
     /* 1981806 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1981910), // Rule ID 23814 //
     /* 1981811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1981814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1981819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981857 */     // MIs[0] policy
     /* 1981857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981867 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1981884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1981898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981909 */     // GIR_Coverage, 23814,
     /* 1981909 */     GIR_EraseRootFromParent_Done,
     /* 1981910 */   // Label 24645: @1981910
     /* 1981910 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1982014), // Rule ID 23815 //
     /* 1981915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1981918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1981923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981961 */     // MIs[0] policy
     /* 1981961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981971 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1981975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1981981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1981985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1981988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982013 */     // GIR_Coverage, 23815,
     /* 1982013 */     GIR_EraseRootFromParent_Done,
     /* 1982014 */   // Label 24646: @1982014
     /* 1982014 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1982118), // Rule ID 23818 //
     /* 1982019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1982030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1982033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1982036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982065 */     // MIs[0] policy
     /* 1982065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982075 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1982092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982117 */     // GIR_Coverage, 23818,
     /* 1982117 */     GIR_EraseRootFromParent_Done,
     /* 1982118 */   // Label 24647: @1982118
     /* 1982118 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1982222), // Rule ID 23819 //
     /* 1982123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1982134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1982137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1982140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982169 */     // MIs[0] policy
     /* 1982169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982179 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1982196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982221 */     // GIR_Coverage, 23819,
     /* 1982221 */     GIR_EraseRootFromParent_Done,
     /* 1982222 */   // Label 24648: @1982222
     /* 1982222 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1982326), // Rule ID 23822 //
     /* 1982227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1982238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1982241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982273 */     // MIs[0] policy
     /* 1982273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982283 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1982300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982325 */     // GIR_Coverage, 23822,
     /* 1982325 */     GIR_EraseRootFromParent_Done,
     /* 1982326 */   // Label 24649: @1982326
     /* 1982326 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1982430), // Rule ID 23823 //
     /* 1982331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1982342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1982345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1982348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982377 */     // MIs[0] policy
     /* 1982377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982387 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1982404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982429 */     // GIR_Coverage, 23823,
     /* 1982429 */     GIR_EraseRootFromParent_Done,
     /* 1982430 */   // Label 24650: @1982430
     /* 1982430 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1982534), // Rule ID 23826 //
     /* 1982435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982481 */     // MIs[0] policy
     /* 1982481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982491 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1982508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982533 */     // GIR_Coverage, 23826,
     /* 1982533 */     GIR_EraseRootFromParent_Done,
     /* 1982534 */   // Label 24651: @1982534
     /* 1982534 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1982638), // Rule ID 23827 //
     /* 1982539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1982550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1982553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1982556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982585 */     // MIs[0] policy
     /* 1982585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982595 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1982612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982637 */     // GIR_Coverage, 23827,
     /* 1982637 */     GIR_EraseRootFromParent_Done,
     /* 1982638 */   // Label 24652: @1982638
     /* 1982638 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1982742), // Rule ID 23830 //
     /* 1982643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982689 */     // MIs[0] policy
     /* 1982689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982699 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1982716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982741 */     // GIR_Coverage, 23830,
     /* 1982741 */     GIR_EraseRootFromParent_Done,
     /* 1982742 */   // Label 24653: @1982742
     /* 1982742 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1982846), // Rule ID 23831 //
     /* 1982747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1982758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1982761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1982764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982793 */     // MIs[0] policy
     /* 1982793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982803 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1982820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982845 */     // GIR_Coverage, 23831,
     /* 1982845 */     GIR_EraseRootFromParent_Done,
     /* 1982846 */   // Label 24654: @1982846
     /* 1982846 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1982950), // Rule ID 23834 //
     /* 1982851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1982854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982897 */     // MIs[0] policy
     /* 1982897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1982911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1982917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1982921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1982924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1982938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982949 */     // GIR_Coverage, 23834,
     /* 1982949 */     GIR_EraseRootFromParent_Done,
     /* 1982950 */   // Label 24655: @1982950
     /* 1982950 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1983054), // Rule ID 23835 //
     /* 1982955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1982958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1982963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1982966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1982969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1982972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983001 */     // MIs[0] policy
     /* 1983001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983011 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1983028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983053 */     // GIR_Coverage, 23835,
     /* 1983053 */     GIR_EraseRootFromParent_Done,
     /* 1983054 */   // Label 24656: @1983054
     /* 1983054 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1983158), // Rule ID 23838 //
     /* 1983059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1983062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1983070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1983073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1983076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983105 */     // MIs[0] policy
     /* 1983105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983115 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983157 */     // GIR_Coverage, 23838,
     /* 1983157 */     GIR_EraseRootFromParent_Done,
     /* 1983158 */   // Label 24657: @1983158
     /* 1983158 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1983262), // Rule ID 23839 //
     /* 1983163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1983174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1983177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1983180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983209 */     // MIs[0] policy
     /* 1983209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983219 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983261 */     // GIR_Coverage, 23839,
     /* 1983261 */     GIR_EraseRootFromParent_Done,
     /* 1983262 */   // Label 24658: @1983262
     /* 1983262 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1983366), // Rule ID 23842 //
     /* 1983267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1983270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1983278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1983281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1983284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983313 */     // MIs[0] policy
     /* 1983313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983365 */     // GIR_Coverage, 23842,
     /* 1983365 */     GIR_EraseRootFromParent_Done,
     /* 1983366 */   // Label 24659: @1983366
     /* 1983366 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1983470), // Rule ID 23843 //
     /* 1983371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1983382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1983385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1983388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983417 */     // MIs[0] policy
     /* 1983417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983469 */     // GIR_Coverage, 23843,
     /* 1983469 */     GIR_EraseRootFromParent_Done,
     /* 1983470 */   // Label 24660: @1983470
     /* 1983470 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1983574), // Rule ID 23846 //
     /* 1983475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1983478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1983492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983521 */     // MIs[0] policy
     /* 1983521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983573 */     // GIR_Coverage, 23846,
     /* 1983573 */     GIR_EraseRootFromParent_Done,
     /* 1983574 */   // Label 24661: @1983574
     /* 1983574 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1983678), // Rule ID 23847 //
     /* 1983579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1983590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1983593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1983596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1983602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983625 */     // MIs[0] policy
     /* 1983625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983635 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983677 */     // GIR_Coverage, 23847,
     /* 1983677 */     GIR_EraseRootFromParent_Done,
     /* 1983678 */   // Label 24662: @1983678
     /* 1983678 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1983782), // Rule ID 23850 //
     /* 1983683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1983686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983729 */     // MIs[0] policy
     /* 1983729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983781 */     // GIR_Coverage, 23850,
     /* 1983781 */     GIR_EraseRootFromParent_Done,
     /* 1983782 */   // Label 24663: @1983782
     /* 1983782 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1983886), // Rule ID 23851 //
     /* 1983787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1983790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1983798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1983801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1983804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1983810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1983817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1983825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983833 */     // MIs[0] policy
     /* 1983833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983843 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1983860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1983882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983885 */     // GIR_Coverage, 23851,
     /* 1983885 */     GIR_EraseRootFromParent_Done,
     /* 1983886 */   // Label 24664: @1983886
     /* 1983886 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1983990), // Rule ID 23854 //
     /* 1983891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1983894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1983899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1983902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1983905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1983908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983937 */     // MIs[0] policy
     /* 1983937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1983951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1983957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1983961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1983964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1983978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983989 */     // GIR_Coverage, 23854,
     /* 1983989 */     GIR_EraseRootFromParent_Done,
     /* 1983990 */   // Label 24665: @1983990
     /* 1983990 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1984094), // Rule ID 23855 //
     /* 1983995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1983998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1984006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1984009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1984012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984041 */     // MIs[0] policy
     /* 1984041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984051 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1984068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984093 */     // GIR_Coverage, 23855,
     /* 1984093 */     GIR_EraseRootFromParent_Done,
     /* 1984094 */   // Label 24666: @1984094
     /* 1984094 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1984198), // Rule ID 23858 //
     /* 1984099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1984110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1984113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1984116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984145 */     // MIs[0] policy
     /* 1984145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984155 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1984172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984197 */     // GIR_Coverage, 23858,
     /* 1984197 */     GIR_EraseRootFromParent_Done,
     /* 1984198 */   // Label 24667: @1984198
     /* 1984198 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1984302), // Rule ID 23859 //
     /* 1984203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1984214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1984217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1984220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984249 */     // MIs[0] policy
     /* 1984249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984259 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1984276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984301 */     // GIR_Coverage, 23859,
     /* 1984301 */     GIR_EraseRootFromParent_Done,
     /* 1984302 */   // Label 24668: @1984302
     /* 1984302 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1984406), // Rule ID 23862 //
     /* 1984307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1984318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1984321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1984324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1984330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984353 */     // MIs[0] policy
     /* 1984353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984363 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1984380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984405 */     // GIR_Coverage, 23862,
     /* 1984405 */     GIR_EraseRootFromParent_Done,
     /* 1984406 */   // Label 24669: @1984406
     /* 1984406 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1984510), // Rule ID 23863 //
     /* 1984411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1984422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1984425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1984428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1984434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984457 */     // MIs[0] policy
     /* 1984457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984467 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1984484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984509 */     // GIR_Coverage, 23863,
     /* 1984509 */     GIR_EraseRootFromParent_Done,
     /* 1984510 */   // Label 24670: @1984510
     /* 1984510 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1984614), // Rule ID 23866 //
     /* 1984515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1984526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1984529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984561 */     // MIs[0] policy
     /* 1984561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984571 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1984588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984613 */     // GIR_Coverage, 23866,
     /* 1984613 */     GIR_EraseRootFromParent_Done,
     /* 1984614 */   // Label 24671: @1984614
     /* 1984614 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1984718), // Rule ID 23867 //
     /* 1984619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1984630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1984633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1984636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984665 */     // MIs[0] policy
     /* 1984665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984675 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1984692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984717 */     // GIR_Coverage, 23867,
     /* 1984717 */     GIR_EraseRootFromParent_Done,
     /* 1984718 */   // Label 24672: @1984718
     /* 1984718 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1984822), // Rule ID 23870 //
     /* 1984723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1984734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1984737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984769 */     // MIs[0] policy
     /* 1984769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984779 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1984796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984821 */     // GIR_Coverage, 23870,
     /* 1984821 */     GIR_EraseRootFromParent_Done,
     /* 1984822 */   // Label 24673: @1984822
     /* 1984822 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1984926), // Rule ID 23871 //
     /* 1984827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1984830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1984838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1984841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1984844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984873 */     // MIs[0] policy
     /* 1984873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984883 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1984897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1984900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1984914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1984922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984925 */     // GIR_Coverage, 23871,
     /* 1984925 */     GIR_EraseRootFromParent_Done,
     /* 1984926 */   // Label 24674: @1984926
     /* 1984926 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1985030), // Rule ID 23874 //
     /* 1984931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1984934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1984939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1984942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1984945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1984948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1984954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984977 */     // MIs[0] policy
     /* 1984977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984987 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1984991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1984997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1985004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985029 */     // GIR_Coverage, 23874,
     /* 1985029 */     GIR_EraseRootFromParent_Done,
     /* 1985030 */   // Label 24675: @1985030
     /* 1985030 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1985134), // Rule ID 23875 //
     /* 1985035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1985046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1985049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1985052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1985058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985081 */     // MIs[0] policy
     /* 1985081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985091 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1985108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985133 */     // GIR_Coverage, 23875,
     /* 1985133 */     GIR_EraseRootFromParent_Done,
     /* 1985134 */   // Label 24676: @1985134
     /* 1985134 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1985238), // Rule ID 23878 //
     /* 1985139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1985150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1985153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1985156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985185 */     // MIs[0] policy
     /* 1985185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1985212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985237 */     // GIR_Coverage, 23878,
     /* 1985237 */     GIR_EraseRootFromParent_Done,
     /* 1985238 */   // Label 24677: @1985238
     /* 1985238 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1985342), // Rule ID 23879 //
     /* 1985243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1985254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1985257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1985260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985289 */     // MIs[0] policy
     /* 1985289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1985316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985341 */     // GIR_Coverage, 23879,
     /* 1985341 */     GIR_EraseRootFromParent_Done,
     /* 1985342 */   // Label 24678: @1985342
     /* 1985342 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1985446), // Rule ID 23882 //
     /* 1985347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1985358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1985361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1985364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985393 */     // MIs[0] policy
     /* 1985393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1985420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985445 */     // GIR_Coverage, 23882,
     /* 1985445 */     GIR_EraseRootFromParent_Done,
     /* 1985446 */   // Label 24679: @1985446
     /* 1985446 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1985550), // Rule ID 23883 //
     /* 1985451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1985462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1985465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1985468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1985481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1985489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985497 */     // MIs[0] policy
     /* 1985497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985507 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1985524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985549 */     // GIR_Coverage, 23883,
     /* 1985549 */     GIR_EraseRootFromParent_Done,
     /* 1985550 */   // Label 24680: @1985550
     /* 1985550 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1985654), // Rule ID 23886 //
     /* 1985555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1985558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1985566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1985569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1985572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985601 */     // MIs[0] policy
     /* 1985601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985611 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1985628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985653 */     // GIR_Coverage, 23886,
     /* 1985653 */     GIR_EraseRootFromParent_Done,
     /* 1985654 */   // Label 24681: @1985654
     /* 1985654 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1985758), // Rule ID 23887 //
     /* 1985659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1985662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1985670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1985673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1985676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1985682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1985689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1985697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985705 */     // MIs[0] policy
     /* 1985705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1985732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985757 */     // GIR_Coverage, 23887,
     /* 1985757 */     GIR_EraseRootFromParent_Done,
     /* 1985758 */   // Label 24682: @1985758
     /* 1985758 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1985862), // Rule ID 23890 //
     /* 1985763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1985766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1985774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1985777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1985780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985809 */     // MIs[0] policy
     /* 1985809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985819 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1985836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985861 */     // GIR_Coverage, 23890,
     /* 1985861 */     GIR_EraseRootFromParent_Done,
     /* 1985862 */   // Label 24683: @1985862
     /* 1985862 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1985966), // Rule ID 23891 //
     /* 1985867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1985870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1985878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1985881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1985884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1985887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1985897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1985905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1985909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985913 */     // MIs[0] policy
     /* 1985913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985923 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1985927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1985933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1985937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1985940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1985954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1985962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985965 */     // GIR_Coverage, 23891,
     /* 1985965 */     GIR_EraseRootFromParent_Done,
     /* 1985966 */   // Label 24684: @1985966
     /* 1985966 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1986070), // Rule ID 23894 //
     /* 1985971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1985974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1985979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1985982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1985985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1985988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1985991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986017 */     // MIs[0] policy
     /* 1986017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1986044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986069 */     // GIR_Coverage, 23894,
     /* 1986069 */     GIR_EraseRootFromParent_Done,
     /* 1986070 */   // Label 24685: @1986070
     /* 1986070 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1986174), // Rule ID 23895 //
     /* 1986075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1986078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1986083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1986086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1986089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1986092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986121 */     // MIs[0] policy
     /* 1986121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986131 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1986148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986173 */     // GIR_Coverage, 23895,
     /* 1986173 */     GIR_EraseRootFromParent_Done,
     /* 1986174 */   // Label 24686: @1986174
     /* 1986174 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1986278), // Rule ID 23898 //
     /* 1986179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1986182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1986187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1986190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1986193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1986196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986225 */     // MIs[0] policy
     /* 1986225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986235 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1986252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986277 */     // GIR_Coverage, 23898,
     /* 1986277 */     GIR_EraseRootFromParent_Done,
     /* 1986278 */   // Label 24687: @1986278
     /* 1986278 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1986382), // Rule ID 23899 //
     /* 1986283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1986286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1986291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1986294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1986297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1986300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1986306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986329 */     // MIs[0] policy
     /* 1986329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986339 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1986356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986381 */     // GIR_Coverage, 23899,
     /* 1986381 */     GIR_EraseRootFromParent_Done,
     /* 1986382 */   // Label 24688: @1986382
     /* 1986382 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1986486), // Rule ID 23902 //
     /* 1986387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1986390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1986398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1986401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1986404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986433 */     // MIs[0] policy
     /* 1986433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986443 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1986460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986485 */     // GIR_Coverage, 23902,
     /* 1986485 */     GIR_EraseRootFromParent_Done,
     /* 1986486 */   // Label 24689: @1986486
     /* 1986486 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1986590), // Rule ID 23903 //
     /* 1986491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1986494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1986502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1986505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1986508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986537 */     // MIs[0] policy
     /* 1986537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1986564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986589 */     // GIR_Coverage, 23903,
     /* 1986589 */     GIR_EraseRootFromParent_Done,
     /* 1986590 */   // Label 24690: @1986590
     /* 1986590 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1986694), // Rule ID 23906 //
     /* 1986595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1986598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1986606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1986609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1986612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986641 */     // MIs[0] policy
     /* 1986641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986651 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1986668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986693 */     // GIR_Coverage, 23906,
     /* 1986693 */     GIR_EraseRootFromParent_Done,
     /* 1986694 */   // Label 24691: @1986694
     /* 1986694 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1986798), // Rule ID 23907 //
     /* 1986699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1986702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1986710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1986713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1986716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986745 */     // MIs[0] policy
     /* 1986745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986755 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1986772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986797 */     // GIR_Coverage, 23907,
     /* 1986797 */     GIR_EraseRootFromParent_Done,
     /* 1986798 */   // Label 24692: @1986798
     /* 1986798 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1986902), // Rule ID 23910 //
     /* 1986803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1986806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1986814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1986817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1986820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1986823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986849 */     // MIs[0] policy
     /* 1986849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986859 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1986876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986901 */     // GIR_Coverage, 23910,
     /* 1986901 */     GIR_EraseRootFromParent_Done,
     /* 1986902 */   // Label 24693: @1986902
     /* 1986902 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1987006), // Rule ID 23911 //
     /* 1986907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1986910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1986915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1986918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1986921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1986924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1986927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1986949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986953 */     // MIs[0] policy
     /* 1986953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986963 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1986967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1986973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1986977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1986980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1986994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987005 */     // GIR_Coverage, 23911,
     /* 1987005 */     GIR_EraseRootFromParent_Done,
     /* 1987006 */   // Label 24694: @1987006
     /* 1987006 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1987110), // Rule ID 23914 //
     /* 1987011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1987022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1987025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1987028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987057 */     // MIs[0] policy
     /* 1987057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987067 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1987084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987109 */     // GIR_Coverage, 23914,
     /* 1987109 */     GIR_EraseRootFromParent_Done,
     /* 1987110 */   // Label 24695: @1987110
     /* 1987110 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1987214), // Rule ID 23915 //
     /* 1987115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1987126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1987129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1987132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987161 */     // MIs[0] policy
     /* 1987161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987171 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1987188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987213 */     // GIR_Coverage, 23915,
     /* 1987213 */     GIR_EraseRootFromParent_Done,
     /* 1987214 */   // Label 24696: @1987214
     /* 1987214 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1987318), // Rule ID 23918 //
     /* 1987219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1987230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1987233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1987236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987265 */     // MIs[0] policy
     /* 1987265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1987292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987317 */     // GIR_Coverage, 23918,
     /* 1987317 */     GIR_EraseRootFromParent_Done,
     /* 1987318 */   // Label 24697: @1987318
     /* 1987318 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1987422), // Rule ID 23919 //
     /* 1987323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1987334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1987337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1987340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1987346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987369 */     // MIs[0] policy
     /* 1987369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987379 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1987396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987421 */     // GIR_Coverage, 23919,
     /* 1987421 */     GIR_EraseRootFromParent_Done,
     /* 1987422 */   // Label 24698: @1987422
     /* 1987422 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1987526), // Rule ID 23922 //
     /* 1987427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1987444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987473 */     // MIs[0] policy
     /* 1987473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1987500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987525 */     // GIR_Coverage, 23922,
     /* 1987525 */     GIR_EraseRootFromParent_Done,
     /* 1987526 */   // Label 24699: @1987526
     /* 1987526 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1987630), // Rule ID 23923 //
     /* 1987531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1987542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1987545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1987548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1987554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987577 */     // MIs[0] policy
     /* 1987577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1987604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987629 */     // GIR_Coverage, 23923,
     /* 1987629 */     GIR_EraseRootFromParent_Done,
     /* 1987630 */   // Label 24700: @1987630
     /* 1987630 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1987734), // Rule ID 23926 //
     /* 1987635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1987646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1987649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1987652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987681 */     // MIs[0] policy
     /* 1987681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1987708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987733 */     // GIR_Coverage, 23926,
     /* 1987733 */     GIR_EraseRootFromParent_Done,
     /* 1987734 */   // Label 24701: @1987734
     /* 1987734 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1987838), // Rule ID 23927 //
     /* 1987739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1987750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1987753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1987756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987785 */     // MIs[0] policy
     /* 1987785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1987812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987837 */     // GIR_Coverage, 23927,
     /* 1987837 */     GIR_EraseRootFromParent_Done,
     /* 1987838 */   // Label 24702: @1987838
     /* 1987838 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1987942), // Rule ID 23930 //
     /* 1987843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1987846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1987854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1987857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1987860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1987863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987889 */     // MIs[0] policy
     /* 1987889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1987903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1987909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1987913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1987916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1987930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987941 */     // GIR_Coverage, 23930,
     /* 1987941 */     GIR_EraseRootFromParent_Done,
     /* 1987942 */   // Label 24703: @1987942
     /* 1987942 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1988046), // Rule ID 23931 //
     /* 1987947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1987950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1987955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1987958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1987961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1987964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1987967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1987977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1987985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1987989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987993 */     // MIs[0] policy
     /* 1987993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1988020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1988042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988045 */     // GIR_Coverage, 23931,
     /* 1988045 */     GIR_EraseRootFromParent_Done,
     /* 1988046 */   // Label 24704: @1988046
     /* 1988046 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1988150), // Rule ID 23934 //
     /* 1988051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1988068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988097 */     // MIs[0] policy
     /* 1988097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1988124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988149 */     // GIR_Coverage, 23934,
     /* 1988149 */     GIR_EraseRootFromParent_Done,
     /* 1988150 */   // Label 24705: @1988150
     /* 1988150 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1988254), // Rule ID 23935 //
     /* 1988155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1988166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1988169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1988172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988201 */     // MIs[0] policy
     /* 1988201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988211 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1988228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988253 */     // GIR_Coverage, 23935,
     /* 1988253 */     GIR_EraseRootFromParent_Done,
     /* 1988254 */   // Label 24706: @1988254
     /* 1988254 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1988358), // Rule ID 23938 //
     /* 1988259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1988262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1988270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1988273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1988276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988305 */     // MIs[0] policy
     /* 1988305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988315 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1988332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988357 */     // GIR_Coverage, 23938,
     /* 1988357 */     GIR_EraseRootFromParent_Done,
     /* 1988358 */   // Label 24707: @1988358
     /* 1988358 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1988462), // Rule ID 23939 //
     /* 1988363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1988366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1988374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1988377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1988380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988409 */     // MIs[0] policy
     /* 1988409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1988436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988461 */     // GIR_Coverage, 23939,
     /* 1988461 */     GIR_EraseRootFromParent_Done,
     /* 1988462 */   // Label 24708: @1988462
     /* 1988462 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1988566), // Rule ID 23942 //
     /* 1988467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1988478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1988481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1988484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988513 */     // MIs[0] policy
     /* 1988513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988523 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1988540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988565 */     // GIR_Coverage, 23942,
     /* 1988565 */     GIR_EraseRootFromParent_Done,
     /* 1988566 */   // Label 24709: @1988566
     /* 1988566 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1988670), // Rule ID 23943 //
     /* 1988571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1988582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1988585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1988588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1988594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988617 */     // MIs[0] policy
     /* 1988617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988627 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1988644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988669 */     // GIR_Coverage, 23943,
     /* 1988669 */     GIR_EraseRootFromParent_Done,
     /* 1988670 */   // Label 24710: @1988670
     /* 1988670 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1988774), // Rule ID 23946 //
     /* 1988675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1988686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1988689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1988692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988721 */     // MIs[0] policy
     /* 1988721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1988748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988773 */     // GIR_Coverage, 23946,
     /* 1988773 */     GIR_EraseRootFromParent_Done,
     /* 1988774 */   // Label 24711: @1988774
     /* 1988774 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1988878), // Rule ID 23947 //
     /* 1988779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1988790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1988793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1988796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1988802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988825 */     // MIs[0] policy
     /* 1988825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1988852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988877 */     // GIR_Coverage, 23947,
     /* 1988877 */     GIR_EraseRootFromParent_Done,
     /* 1988878 */   // Label 24712: @1988878
     /* 1988878 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1988982), // Rule ID 23950 //
     /* 1988883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1988886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1988894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1988897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1988900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1988906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988929 */     // MIs[0] policy
     /* 1988929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988939 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1988943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1988949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1988953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1988956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1988970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988981 */     // GIR_Coverage, 23950,
     /* 1988981 */     GIR_EraseRootFromParent_Done,
     /* 1988982 */   // Label 24713: @1988982
     /* 1988982 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1989086), // Rule ID 23951 //
     /* 1988987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1988990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1988995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1988998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1989001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1989004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1989010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989033 */     // MIs[0] policy
     /* 1989033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989043 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1989060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989085 */     // GIR_Coverage, 23951,
     /* 1989085 */     GIR_EraseRootFromParent_Done,
     /* 1989086 */   // Label 24714: @1989086
     /* 1989086 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1989190), // Rule ID 23954 //
     /* 1989091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1989102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1989105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1989108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989137 */     // MIs[0] policy
     /* 1989137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1989164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989189 */     // GIR_Coverage, 23954,
     /* 1989189 */     GIR_EraseRootFromParent_Done,
     /* 1989190 */   // Label 24715: @1989190
     /* 1989190 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1989294), // Rule ID 23955 //
     /* 1989195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1989206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1989209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1989212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989241 */     // MIs[0] policy
     /* 1989241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1989268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989293 */     // GIR_Coverage, 23955,
     /* 1989293 */     GIR_EraseRootFromParent_Done,
     /* 1989294 */   // Label 24716: @1989294
     /* 1989294 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1989398), // Rule ID 23958 //
     /* 1989299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1989310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1989313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1989316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989345 */     // MIs[0] policy
     /* 1989345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1989372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989397 */     // GIR_Coverage, 23958,
     /* 1989397 */     GIR_EraseRootFromParent_Done,
     /* 1989398 */   // Label 24717: @1989398
     /* 1989398 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1989502), // Rule ID 23959 //
     /* 1989403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1989414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1989417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1989420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1989426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989449 */     // MIs[0] policy
     /* 1989449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1989476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989501 */     // GIR_Coverage, 23959,
     /* 1989501 */     GIR_EraseRootFromParent_Done,
     /* 1989502 */   // Label 24718: @1989502
     /* 1989502 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1989606), // Rule ID 23962 //
     /* 1989507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1989518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1989521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1989524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989553 */     // MIs[0] policy
     /* 1989553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1989580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989605 */     // GIR_Coverage, 23962,
     /* 1989605 */     GIR_EraseRootFromParent_Done,
     /* 1989606 */   // Label 24719: @1989606
     /* 1989606 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1989710), // Rule ID 23963 //
     /* 1989611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1989622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1989625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1989628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1989634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1989641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1989649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989657 */     // MIs[0] policy
     /* 1989657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989667 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1989684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989709 */     // GIR_Coverage, 23963,
     /* 1989709 */     GIR_EraseRootFromParent_Done,
     /* 1989710 */   // Label 24720: @1989710
     /* 1989710 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1989814), // Rule ID 23966 //
     /* 1989715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1989732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989761 */     // MIs[0] policy
     /* 1989761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1989788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989813 */     // GIR_Coverage, 23966,
     /* 1989813 */     GIR_EraseRootFromParent_Done,
     /* 1989814 */   // Label 24721: @1989814
     /* 1989814 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1989918), // Rule ID 23967 //
     /* 1989819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1989822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1989830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1989833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1989836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1989849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1989857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989865 */     // MIs[0] policy
     /* 1989865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989875 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1989892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1989906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989917 */     // GIR_Coverage, 23967,
     /* 1989917 */     GIR_EraseRootFromParent_Done,
     /* 1989918 */   // Label 24722: @1989918
     /* 1989918 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1990022), // Rule ID 23970 //
     /* 1989923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1989926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1989931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1989934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1989937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1989940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1989953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1989961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989969 */     // MIs[0] policy
     /* 1989969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1989983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1989989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1989993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1989996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990021 */     // GIR_Coverage, 23970,
     /* 1990021 */     GIR_EraseRootFromParent_Done,
     /* 1990022 */   // Label 24723: @1990022
     /* 1990022 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1990126), // Rule ID 23971 //
     /* 1990027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1990038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1990041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1990044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990073 */     // MIs[0] policy
     /* 1990073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1990100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990125 */     // GIR_Coverage, 23971,
     /* 1990125 */     GIR_EraseRootFromParent_Done,
     /* 1990126 */   // Label 24724: @1990126
     /* 1990126 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1990230), // Rule ID 23974 //
     /* 1990131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1990134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990177 */     // MIs[0] policy
     /* 1990177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1990204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990229 */     // GIR_Coverage, 23974,
     /* 1990229 */     GIR_EraseRootFromParent_Done,
     /* 1990230 */   // Label 24725: @1990230
     /* 1990230 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1990334), // Rule ID 23975 //
     /* 1990235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1990238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1990246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1990249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1990252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990281 */     // MIs[0] policy
     /* 1990281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1990308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990333 */     // GIR_Coverage, 23975,
     /* 1990333 */     GIR_EraseRootFromParent_Done,
     /* 1990334 */   // Label 24726: @1990334
     /* 1990334 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1990438), // Rule ID 23978 //
     /* 1990339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1990342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1990350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1990353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1990356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990385 */     // MIs[0] policy
     /* 1990385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1990412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990437 */     // GIR_Coverage, 23978,
     /* 1990437 */     GIR_EraseRootFromParent_Done,
     /* 1990438 */   // Label 24727: @1990438
     /* 1990438 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1990542), // Rule ID 23979 //
     /* 1990443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1990446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1990454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1990457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1990460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990489 */     // MIs[0] policy
     /* 1990489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1990516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990541 */     // GIR_Coverage, 23979,
     /* 1990541 */     GIR_EraseRootFromParent_Done,
     /* 1990542 */   // Label 24728: @1990542
     /* 1990542 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1990646), // Rule ID 23982 //
     /* 1990547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1990550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1990558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1990561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1990564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990593 */     // MIs[0] policy
     /* 1990593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1990620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990645 */     // GIR_Coverage, 23982,
     /* 1990645 */     GIR_EraseRootFromParent_Done,
     /* 1990646 */   // Label 24729: @1990646
     /* 1990646 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1990750), // Rule ID 23983 //
     /* 1990651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1990654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1990662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1990665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1990668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1990674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990697 */     // MIs[0] policy
     /* 1990697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1990724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990749 */     // GIR_Coverage, 23983,
     /* 1990749 */     GIR_EraseRootFromParent_Done,
     /* 1990750 */   // Label 24730: @1990750
     /* 1990750 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1990854), // Rule ID 23986 //
     /* 1990755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1990758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1990766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1990769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1990772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990801 */     // MIs[0] policy
     /* 1990801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1990828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990853 */     // GIR_Coverage, 23986,
     /* 1990853 */     GIR_EraseRootFromParent_Done,
     /* 1990854 */   // Label 24731: @1990854
     /* 1990854 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1990958), // Rule ID 23987 //
     /* 1990859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1990862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1990867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1990870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1990873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1990876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990905 */     // MIs[0] policy
     /* 1990905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1990919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1990925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1990929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1990932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1990946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990957 */     // GIR_Coverage, 23987,
     /* 1990957 */     GIR_EraseRootFromParent_Done,
     /* 1990958 */   // Label 24732: @1990958
     /* 1990958 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1991062), // Rule ID 23990 //
     /* 1990963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1990966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1990971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1990974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1990977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1990980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991009 */     // MIs[0] policy
     /* 1991009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991019 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1991036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991061 */     // GIR_Coverage, 23990,
     /* 1991061 */     GIR_EraseRootFromParent_Done,
     /* 1991062 */   // Label 24733: @1991062
     /* 1991062 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1991166), // Rule ID 23991 //
     /* 1991067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1991078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1991081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1991084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991113 */     // MIs[0] policy
     /* 1991113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991123 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1991140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991165 */     // GIR_Coverage, 23991,
     /* 1991165 */     GIR_EraseRootFromParent_Done,
     /* 1991166 */   // Label 24734: @1991166
     /* 1991166 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1991270), // Rule ID 23994 //
     /* 1991171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1991174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1991182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1991185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1991188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991217 */     // MIs[0] policy
     /* 1991217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991227 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1991244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991269 */     // GIR_Coverage, 23994,
     /* 1991269 */     GIR_EraseRootFromParent_Done,
     /* 1991270 */   // Label 24735: @1991270
     /* 1991270 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1991374), // Rule ID 23995 //
     /* 1991275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1991286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1991289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1991292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991321 */     // MIs[0] policy
     /* 1991321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991331 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1991348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991373 */     // GIR_Coverage, 23995,
     /* 1991373 */     GIR_EraseRootFromParent_Done,
     /* 1991374 */   // Label 24736: @1991374
     /* 1991374 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1991478), // Rule ID 23998 //
     /* 1991379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1991382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1991396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991425 */     // MIs[0] policy
     /* 1991425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991435 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1991452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991477 */     // GIR_Coverage, 23998,
     /* 1991477 */     GIR_EraseRootFromParent_Done,
     /* 1991478 */   // Label 24737: @1991478
     /* 1991478 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1991582), // Rule ID 23999 //
     /* 1991483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1991486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1991494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1991497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1991500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1991506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991529 */     // MIs[0] policy
     /* 1991529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991539 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1991556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991581 */     // GIR_Coverage, 23999,
     /* 1991581 */     GIR_EraseRootFromParent_Done,
     /* 1991582 */   // Label 24738: @1991582
     /* 1991582 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1991686), // Rule ID 24002 //
     /* 1991587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1991590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1991604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991633 */     // MIs[0] policy
     /* 1991633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991643 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1991660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991685 */     // GIR_Coverage, 24002,
     /* 1991685 */     GIR_EraseRootFromParent_Done,
     /* 1991686 */   // Label 24739: @1991686
     /* 1991686 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1991790), // Rule ID 24003 //
     /* 1991691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1991694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1991702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1991705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1991708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991737 */     // MIs[0] policy
     /* 1991737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991747 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1991764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991789 */     // GIR_Coverage, 24003,
     /* 1991789 */     GIR_EraseRootFromParent_Done,
     /* 1991790 */   // Label 24740: @1991790
     /* 1991790 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1991894), // Rule ID 24006 //
     /* 1991795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1991798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1991812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991841 */     // MIs[0] policy
     /* 1991841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991851 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1991868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991893 */     // GIR_Coverage, 24006,
     /* 1991893 */     GIR_EraseRootFromParent_Done,
     /* 1991894 */   // Label 24741: @1991894
     /* 1991894 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1991998), // Rule ID 24007 //
     /* 1991899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1991902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1991907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1991910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1991913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1991916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1991929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1991937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991945 */     // MIs[0] policy
     /* 1991945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1991959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1991965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1991969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1991972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1991976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1991986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991997 */     // GIR_Coverage, 24007,
     /* 1991997 */     GIR_EraseRootFromParent_Done,
     /* 1991998 */   // Label 24742: @1991998
     /* 1991998 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1992102), // Rule ID 24010 //
     /* 1992003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1992006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1992014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1992017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1992020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992049 */     // MIs[0] policy
     /* 1992049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992059 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1992076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992101 */     // GIR_Coverage, 24010,
     /* 1992101 */     GIR_EraseRootFromParent_Done,
     /* 1992102 */   // Label 24743: @1992102
     /* 1992102 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1992206), // Rule ID 24011 //
     /* 1992107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1992110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1992118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1992121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1992124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992153 */     // MIs[0] policy
     /* 1992153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992163 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1992180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992205 */     // GIR_Coverage, 24011,
     /* 1992205 */     GIR_EraseRootFromParent_Done,
     /* 1992206 */   // Label 24744: @1992206
     /* 1992206 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1992310), // Rule ID 24014 //
     /* 1992211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1992222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1992225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1992228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992257 */     // MIs[0] policy
     /* 1992257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992267 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1992284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992309 */     // GIR_Coverage, 24014,
     /* 1992309 */     GIR_EraseRootFromParent_Done,
     /* 1992310 */   // Label 24745: @1992310
     /* 1992310 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1992414), // Rule ID 24015 //
     /* 1992315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1992326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1992329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1992332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992361 */     // MIs[0] policy
     /* 1992361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992371 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1992388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992413 */     // GIR_Coverage, 24015,
     /* 1992413 */     GIR_EraseRootFromParent_Done,
     /* 1992414 */   // Label 24746: @1992414
     /* 1992414 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1992518), // Rule ID 24018 //
     /* 1992419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1992430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1992433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1992436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992465 */     // MIs[0] policy
     /* 1992465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992475 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1992492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992517 */     // GIR_Coverage, 24018,
     /* 1992517 */     GIR_EraseRootFromParent_Done,
     /* 1992518 */   // Label 24747: @1992518
     /* 1992518 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1992622), // Rule ID 24019 //
     /* 1992523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1992534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1992537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1992540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1992546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992569 */     // MIs[0] policy
     /* 1992569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992579 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1992596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992621 */     // GIR_Coverage, 24019,
     /* 1992621 */     GIR_EraseRootFromParent_Done,
     /* 1992622 */   // Label 24748: @1992622
     /* 1992622 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1992726), // Rule ID 24022 //
     /* 1992627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1992630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1992638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1992641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1992644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992673 */     // MIs[0] policy
     /* 1992673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992683 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1992700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992725 */     // GIR_Coverage, 24022,
     /* 1992725 */     GIR_EraseRootFromParent_Done,
     /* 1992726 */   // Label 24749: @1992726
     /* 1992726 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1992830), // Rule ID 24023 //
     /* 1992731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1992734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1992742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1992745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1992748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1992754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992777 */     // MIs[0] policy
     /* 1992777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992787 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1992804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992829 */     // GIR_Coverage, 24023,
     /* 1992829 */     GIR_EraseRootFromParent_Done,
     /* 1992830 */   // Label 24750: @1992830
     /* 1992830 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1992934), // Rule ID 24026 //
     /* 1992835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1992838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1992852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992881 */     // MIs[0] policy
     /* 1992881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992891 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1992901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1992905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1992908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1992912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1992922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1992930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992933 */     // GIR_Coverage, 24026,
     /* 1992933 */     GIR_EraseRootFromParent_Done,
     /* 1992934 */   // Label 24751: @1992934
     /* 1992934 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1993038), // Rule ID 24027 //
     /* 1992939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1992942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1992947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1992950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1992953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1992956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1992969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1992977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992985 */     // MIs[0] policy
     /* 1992985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992995 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1992999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1993012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993037 */     // GIR_Coverage, 24027,
     /* 1993037 */     GIR_EraseRootFromParent_Done,
     /* 1993038 */   // Label 24752: @1993038
     /* 1993038 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1993142), // Rule ID 24030 //
     /* 1993043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1993060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993089 */     // MIs[0] policy
     /* 1993089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993099 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1993116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993141 */     // GIR_Coverage, 24030,
     /* 1993141 */     GIR_EraseRootFromParent_Done,
     /* 1993142 */   // Label 24753: @1993142
     /* 1993142 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1993246), // Rule ID 24031 //
     /* 1993147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1993158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1993161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1993164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993193 */     // MIs[0] policy
     /* 1993193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1993220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993245 */     // GIR_Coverage, 24031,
     /* 1993245 */     GIR_EraseRootFromParent_Done,
     /* 1993246 */   // Label 24754: @1993246
     /* 1993246 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1993350), // Rule ID 24034 //
     /* 1993251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1993254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1993268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993297 */     // MIs[0] policy
     /* 1993297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993307 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1993324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993349 */     // GIR_Coverage, 24034,
     /* 1993349 */     GIR_EraseRootFromParent_Done,
     /* 1993350 */   // Label 24755: @1993350
     /* 1993350 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1993454), // Rule ID 24035 //
     /* 1993355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1993358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1993366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1993369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1993372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1993378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993401 */     // MIs[0] policy
     /* 1993401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993411 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1993428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993453 */     // GIR_Coverage, 24035,
     /* 1993453 */     GIR_EraseRootFromParent_Done,
     /* 1993454 */   // Label 24756: @1993454
     /* 1993454 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1993558), // Rule ID 24038 //
     /* 1993459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1993470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1993473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1993476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993505 */     // MIs[0] policy
     /* 1993505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993515 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1993532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993557 */     // GIR_Coverage, 24038,
     /* 1993557 */     GIR_EraseRootFromParent_Done,
     /* 1993558 */   // Label 24757: @1993558
     /* 1993558 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1993662), // Rule ID 24039 //
     /* 1993563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1993574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1993577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1993580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1993593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1993601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993609 */     // MIs[0] policy
     /* 1993609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993619 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1993636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993661 */     // GIR_Coverage, 24039,
     /* 1993661 */     GIR_EraseRootFromParent_Done,
     /* 1993662 */   // Label 24758: @1993662
     /* 1993662 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1993766), // Rule ID 24042 //
     /* 1993667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1993678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1993681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1993684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993713 */     // MIs[0] policy
     /* 1993713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993723 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1993740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993765 */     // GIR_Coverage, 24042,
     /* 1993765 */     GIR_EraseRootFromParent_Done,
     /* 1993766 */   // Label 24759: @1993766
     /* 1993766 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1993870), // Rule ID 24043 //
     /* 1993771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1993782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1993785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1993788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1993801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1993809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993817 */     // MIs[0] policy
     /* 1993817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993827 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1993844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993869 */     // GIR_Coverage, 24043,
     /* 1993869 */     GIR_EraseRootFromParent_Done,
     /* 1993870 */   // Label 24760: @1993870
     /* 1993870 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1993974), // Rule ID 24046 //
     /* 1993875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1993878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1993886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1993889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1993892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1993895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1993905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1993913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1993917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993921 */     // MIs[0] policy
     /* 1993921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993931 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1993935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1993941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1993945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1993948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1993952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1993962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993973 */     // GIR_Coverage, 24046,
     /* 1993973 */     GIR_EraseRootFromParent_Done,
     /* 1993974 */   // Label 24761: @1993974
     /* 1993974 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1994078), // Rule ID 24047 //
     /* 1993979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1993982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1993987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1993990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1993993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1993996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1993999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994025 */     // MIs[0] policy
     /* 1994025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994035 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1994052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994077 */     // GIR_Coverage, 24047,
     /* 1994077 */     GIR_EraseRootFromParent_Done,
     /* 1994078 */   // Label 24762: @1994078
     /* 1994078 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1994182), // Rule ID 24110 //
     /* 1994083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1994094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1994097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994129 */     // MIs[0] policy
     /* 1994129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994139 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1994156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994181 */     // GIR_Coverage, 24110,
     /* 1994181 */     GIR_EraseRootFromParent_Done,
     /* 1994182 */   // Label 24763: @1994182
     /* 1994182 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1994286), // Rule ID 24111 //
     /* 1994187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1994198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1994201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1994204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994233 */     // MIs[0] policy
     /* 1994233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994243 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1994260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994285 */     // GIR_Coverage, 24111,
     /* 1994285 */     GIR_EraseRootFromParent_Done,
     /* 1994286 */   // Label 24764: @1994286
     /* 1994286 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1994390), // Rule ID 24114 //
     /* 1994291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1994302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1994305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994337 */     // MIs[0] policy
     /* 1994337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994347 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1994364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994389 */     // GIR_Coverage, 24114,
     /* 1994389 */     GIR_EraseRootFromParent_Done,
     /* 1994390 */   // Label 24765: @1994390
     /* 1994390 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1994494), // Rule ID 24115 //
     /* 1994395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1994406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1994409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1994412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994441 */     // MIs[0] policy
     /* 1994441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994451 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1994468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994493 */     // GIR_Coverage, 24115,
     /* 1994493 */     GIR_EraseRootFromParent_Done,
     /* 1994494 */   // Label 24766: @1994494
     /* 1994494 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1994598), // Rule ID 24118 //
     /* 1994499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1994516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994545 */     // MIs[0] policy
     /* 1994545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994555 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1994572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994597 */     // GIR_Coverage, 24118,
     /* 1994597 */     GIR_EraseRootFromParent_Done,
     /* 1994598 */   // Label 24767: @1994598
     /* 1994598 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1994702), // Rule ID 24119 //
     /* 1994603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1994606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1994614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1994617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1994620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1994626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994649 */     // MIs[0] policy
     /* 1994649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994659 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1994676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1994698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994701 */     // GIR_Coverage, 24119,
     /* 1994701 */     GIR_EraseRootFromParent_Done,
     /* 1994702 */   // Label 24768: @1994702
     /* 1994702 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1994806), // Rule ID 24122 //
     /* 1994707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1994710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1994724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994753 */     // MIs[0] policy
     /* 1994753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994763 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1994780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994805 */     // GIR_Coverage, 24122,
     /* 1994805 */     GIR_EraseRootFromParent_Done,
     /* 1994806 */   // Label 24769: @1994806
     /* 1994806 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1994910), // Rule ID 24123 //
     /* 1994811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1994814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1994822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1994825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1994828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1994831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1994834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994857 */     // MIs[0] policy
     /* 1994857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994867 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1994884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1994898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994909 */     // GIR_Coverage, 24123,
     /* 1994909 */     GIR_EraseRootFromParent_Done,
     /* 1994910 */   // Label 24770: @1994910
     /* 1994910 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1995014), // Rule ID 24126 //
     /* 1994915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1994918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1994923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1994926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1994929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1994932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1994935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1994938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1994957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994961 */     // MIs[0] policy
     /* 1994961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994971 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1994975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1994981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1994985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1994988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1994992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995013 */     // GIR_Coverage, 24126,
     /* 1995013 */     GIR_EraseRootFromParent_Done,
     /* 1995014 */   // Label 24771: @1995014
     /* 1995014 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1995118), // Rule ID 24127 //
     /* 1995019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1995022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1995030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1995033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1995036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995065 */     // MIs[0] policy
     /* 1995065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995075 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1995092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995117 */     // GIR_Coverage, 24127,
     /* 1995117 */     GIR_EraseRootFromParent_Done,
     /* 1995118 */   // Label 24772: @1995118
     /* 1995118 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1995222), // Rule ID 24130 //
     /* 1995123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1995126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995169 */     // MIs[0] policy
     /* 1995169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995179 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1995196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995221 */     // GIR_Coverage, 24130,
     /* 1995221 */     GIR_EraseRootFromParent_Done,
     /* 1995222 */   // Label 24773: @1995222
     /* 1995222 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1995326), // Rule ID 24131 //
     /* 1995227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1995230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1995238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1995241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1995244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1995250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1995257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1995265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995273 */     // MIs[0] policy
     /* 1995273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995283 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1995300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995325 */     // GIR_Coverage, 24131,
     /* 1995325 */     GIR_EraseRootFromParent_Done,
     /* 1995326 */   // Label 24774: @1995326
     /* 1995326 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1995430), // Rule ID 24134 //
     /* 1995331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1995342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1995345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995377 */     // MIs[0] policy
     /* 1995377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1995404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995429 */     // GIR_Coverage, 24134,
     /* 1995429 */     GIR_EraseRootFromParent_Done,
     /* 1995430 */   // Label 24775: @1995430
     /* 1995430 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1995534), // Rule ID 24135 //
     /* 1995435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1995446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1995449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1995452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995481 */     // MIs[0] policy
     /* 1995481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995491 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1995508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995533 */     // GIR_Coverage, 24135,
     /* 1995533 */     GIR_EraseRootFromParent_Done,
     /* 1995534 */   // Label 24776: @1995534
     /* 1995534 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1995638), // Rule ID 24138 //
     /* 1995539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1995550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1995553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995585 */     // MIs[0] policy
     /* 1995585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995595 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1995612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995637 */     // GIR_Coverage, 24138,
     /* 1995637 */     GIR_EraseRootFromParent_Done,
     /* 1995638 */   // Label 24777: @1995638
     /* 1995638 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1995742), // Rule ID 24139 //
     /* 1995643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1995654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1995657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1995660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995689 */     // MIs[0] policy
     /* 1995689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995699 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1995716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995741 */     // GIR_Coverage, 24139,
     /* 1995741 */     GIR_EraseRootFromParent_Done,
     /* 1995742 */   // Label 24778: @1995742
     /* 1995742 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1995846), // Rule ID 24142 //
     /* 1995747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1995750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1995758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1995761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1995764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995793 */     // MIs[0] policy
     /* 1995793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1995820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995845 */     // GIR_Coverage, 24142,
     /* 1995845 */     GIR_EraseRootFromParent_Done,
     /* 1995846 */   // Label 24779: @1995846
     /* 1995846 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1995950), // Rule ID 24143 //
     /* 1995851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1995854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1995862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1995865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1995868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1995871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995897 */     // MIs[0] policy
     /* 1995897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1995911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1995917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1995921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1995924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1995928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1995938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995949 */     // GIR_Coverage, 24143,
     /* 1995949 */     GIR_EraseRootFromParent_Done,
     /* 1995950 */   // Label 24780: @1995950
     /* 1995950 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1996054), // Rule ID 24146 //
     /* 1995955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1995958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1995963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1995975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1995997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996001 */     // MIs[0] policy
     /* 1996001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996011 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1996028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996053 */     // GIR_Coverage, 24146,
     /* 1996053 */     GIR_EraseRootFromParent_Done,
     /* 1996054 */   // Label 24781: @1996054
     /* 1996054 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1996158), // Rule ID 24147 //
     /* 1996059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1996070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1996073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1996076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996105 */     // MIs[0] policy
     /* 1996105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1996132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996157 */     // GIR_Coverage, 24147,
     /* 1996157 */     GIR_EraseRootFromParent_Done,
     /* 1996158 */   // Label 24782: @1996158
     /* 1996158 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1996262), // Rule ID 24150 //
     /* 1996163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996209 */     // MIs[0] policy
     /* 1996209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996219 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1996236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996261 */     // GIR_Coverage, 24150,
     /* 1996261 */     GIR_EraseRootFromParent_Done,
     /* 1996262 */   // Label 24783: @1996262
     /* 1996262 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1996366), // Rule ID 24151 //
     /* 1996267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1996278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1996281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1996284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996313 */     // MIs[0] policy
     /* 1996313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996323 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1996340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996365 */     // GIR_Coverage, 24151,
     /* 1996365 */     GIR_EraseRootFromParent_Done,
     /* 1996366 */   // Label 24784: @1996366
     /* 1996366 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1996470), // Rule ID 24154 //
     /* 1996371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1996374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996417 */     // MIs[0] policy
     /* 1996417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996427 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1996444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996469 */     // GIR_Coverage, 24154,
     /* 1996469 */     GIR_EraseRootFromParent_Done,
     /* 1996470 */   // Label 24785: @1996470
     /* 1996470 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1996574), // Rule ID 24155 //
     /* 1996475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1996478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1996486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1996489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1996492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1996498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996521 */     // MIs[0] policy
     /* 1996521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996531 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1996548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1996570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996573 */     // GIR_Coverage, 24155,
     /* 1996573 */     GIR_EraseRootFromParent_Done,
     /* 1996574 */   // Label 24786: @1996574
     /* 1996574 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1996678), // Rule ID 24158 //
     /* 1996579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1996590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1996593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996625 */     // MIs[0] policy
     /* 1996625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996635 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1996652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996677 */     // GIR_Coverage, 24158,
     /* 1996677 */     GIR_EraseRootFromParent_Done,
     /* 1996678 */   // Label 24787: @1996678
     /* 1996678 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1996782), // Rule ID 24159 //
     /* 1996683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1996694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1996697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1996700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1996713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1996721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996729 */     // MIs[0] policy
     /* 1996729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996739 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1996756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996781 */     // GIR_Coverage, 24159,
     /* 1996781 */     GIR_EraseRootFromParent_Done,
     /* 1996782 */   // Label 24788: @1996782
     /* 1996782 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1996886), // Rule ID 24162 //
     /* 1996787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1996798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1996801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1996804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996833 */     // MIs[0] policy
     /* 1996833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996843 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1996860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996885 */     // GIR_Coverage, 24162,
     /* 1996885 */     GIR_EraseRootFromParent_Done,
     /* 1996886 */   // Label 24789: @1996886
     /* 1996886 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1996990), // Rule ID 24163 //
     /* 1996891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1996894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1996899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1996902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1996905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1996908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1996921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1996929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996937 */     // MIs[0] policy
     /* 1996937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996947 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1996951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1996957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1996961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1996964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1996968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1996978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996989 */     // GIR_Coverage, 24163,
     /* 1996989 */     GIR_EraseRootFromParent_Done,
     /* 1996990 */   // Label 24790: @1996990
     /* 1996990 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1997094), // Rule ID 24166 //
     /* 1996995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1996998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1997003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1997006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1997009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997041 */     // MIs[0] policy
     /* 1997041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997051 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1997068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997093 */     // GIR_Coverage, 24166,
     /* 1997093 */     GIR_EraseRootFromParent_Done,
     /* 1997094 */   // Label 24791: @1997094
     /* 1997094 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1997198), // Rule ID 24167 //
     /* 1997099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1997102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1997107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1997110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1997113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1997116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1997129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1997137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997145 */     // MIs[0] policy
     /* 1997145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997155 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1997172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1997176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997197 */     // GIR_Coverage, 24167,
     /* 1997197 */     GIR_EraseRootFromParent_Done,
     /* 1997198 */   // Label 24792: @1997198
     /* 1997198 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1997302), // Rule ID 24230 //
     /* 1997203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1997214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1997217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997249 */     // MIs[0] policy
     /* 1997249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997259 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1997276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997301 */     // GIR_Coverage, 24230,
     /* 1997301 */     GIR_EraseRootFromParent_Done,
     /* 1997302 */   // Label 24793: @1997302
     /* 1997302 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1997406), // Rule ID 24231 //
     /* 1997307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1997318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1997321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1997324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997353 */     // MIs[0] policy
     /* 1997353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997363 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1997380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997405 */     // GIR_Coverage, 24231,
     /* 1997405 */     GIR_EraseRootFromParent_Done,
     /* 1997406 */   // Label 24794: @1997406
     /* 1997406 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1997510), // Rule ID 24234 //
     /* 1997411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1997422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1997425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997457 */     // MIs[0] policy
     /* 1997457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1997484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997509 */     // GIR_Coverage, 24234,
     /* 1997509 */     GIR_EraseRootFromParent_Done,
     /* 1997510 */   // Label 24795: @1997510
     /* 1997510 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1997614), // Rule ID 24235 //
     /* 1997515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1997526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1997529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1997532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997561 */     // MIs[0] policy
     /* 1997561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997571 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1997588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997613 */     // GIR_Coverage, 24235,
     /* 1997613 */     GIR_EraseRootFromParent_Done,
     /* 1997614 */   // Label 24796: @1997614
     /* 1997614 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1997718), // Rule ID 24238 //
     /* 1997619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1997622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997665 */     // MIs[0] policy
     /* 1997665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1997692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997717 */     // GIR_Coverage, 24238,
     /* 1997717 */     GIR_EraseRootFromParent_Done,
     /* 1997718 */   // Label 24797: @1997718
     /* 1997718 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1997822), // Rule ID 24239 //
     /* 1997723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1997726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1997765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997769 */     // MIs[0] policy
     /* 1997769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997779 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1997796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997821 */     // GIR_Coverage, 24239,
     /* 1997821 */     GIR_EraseRootFromParent_Done,
     /* 1997822 */   // Label 24798: @1997822
     /* 1997822 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1997926), // Rule ID 24242 //
     /* 1997827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1997830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997873 */     // MIs[0] policy
     /* 1997873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997883 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1997897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1997900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1997914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997925 */     // GIR_Coverage, 24242,
     /* 1997925 */     GIR_EraseRootFromParent_Done,
     /* 1997926 */   // Label 24799: @1997926
     /* 1997926 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1998030), // Rule ID 24243 //
     /* 1997931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1997934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1997939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1997951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1997973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997977 */     // MIs[0] policy
     /* 1997977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10908:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1997991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1997997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1998004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998029 */     // GIR_Coverage, 24243,
     /* 1998029 */     GIR_EraseRootFromParent_Done,
     /* 1998030 */   // Label 24800: @1998030
     /* 1998030 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1998134), // Rule ID 24246 //
     /* 1998035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1998038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1998077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998081 */     // MIs[0] policy
     /* 1998081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998091 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1998108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998133 */     // GIR_Coverage, 24246,
     /* 1998133 */     GIR_EraseRootFromParent_Done,
     /* 1998134 */   // Label 24801: @1998134
     /* 1998134 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1998238), // Rule ID 24247 //
     /* 1998139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1998142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1998150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1998153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1998156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1998162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1998181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998185 */     // MIs[0] policy
     /* 1998185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10908:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1998212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998237 */     // GIR_Coverage, 24247,
     /* 1998237 */     GIR_EraseRootFromParent_Done,
     /* 1998238 */   // Label 24802: @1998238
     /* 1998238 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1998342), // Rule ID 24250 //
     /* 1998243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1998246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1998285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998289 */     // MIs[0] policy
     /* 1998289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998299 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1998316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998341 */     // GIR_Coverage, 24250,
     /* 1998341 */     GIR_EraseRootFromParent_Done,
     /* 1998342 */   // Label 24803: @1998342
     /* 1998342 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1998446), // Rule ID 24251 //
     /* 1998347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1998350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1998358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1998361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1998364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1998370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1998377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1998385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1998389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998393 */     // MIs[0] policy
     /* 1998393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998403 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10908:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1998420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1998442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998445 */     // GIR_Coverage, 24251,
     /* 1998445 */     GIR_EraseRootFromParent_Done,
     /* 1998446 */   // Label 24804: @1998446
     /* 1998446 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1998550), // Rule ID 24254 //
     /* 1998451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1998462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1998465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1998493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998497 */     // MIs[0] policy
     /* 1998497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1998524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998549 */     // GIR_Coverage, 24254,
     /* 1998549 */     GIR_EraseRootFromParent_Done,
     /* 1998550 */   // Label 24805: @1998550
     /* 1998550 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1998654), // Rule ID 24255 //
     /* 1998555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1998566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1998569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1998597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998601 */     // MIs[0] policy
     /* 1998601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998611 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1998628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998653 */     // GIR_Coverage, 24255,
     /* 1998653 */     GIR_EraseRootFromParent_Done,
     /* 1998654 */   // Label 24806: @1998654
     /* 1998654 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1998758), // Rule ID 24258 //
     /* 1998659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1998670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1998673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1998701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998705 */     // MIs[0] policy
     /* 1998705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1998732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998757 */     // GIR_Coverage, 24258,
     /* 1998757 */     GIR_EraseRootFromParent_Done,
     /* 1998758 */   // Label 24807: @1998758
     /* 1998758 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1998862), // Rule ID 24259 //
     /* 1998763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1998774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1998777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1998805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998809 */     // MIs[0] policy
     /* 1998809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998819 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1998836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998861 */     // GIR_Coverage, 24259,
     /* 1998861 */     GIR_EraseRootFromParent_Done,
     /* 1998862 */   // Label 24808: @1998862
     /* 1998862 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1998966), // Rule ID 24262 //
     /* 1998867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1998870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1998878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1998881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1998909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998913 */     // MIs[0] policy
     /* 1998913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998923 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1998927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1998933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1998937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1998940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1998954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998965 */     // GIR_Coverage, 24262,
     /* 1998965 */     GIR_EraseRootFromParent_Done,
     /* 1998966 */   // Label 24809: @1998966
     /* 1998966 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1999070), // Rule ID 24263 //
     /* 1998971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1998974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1998979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1998982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1998985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1998991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1999013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999017 */     // MIs[0] policy
     /* 1999017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999027 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1999044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1999066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999069 */     // GIR_Coverage, 24263,
     /* 1999069 */     GIR_EraseRootFromParent_Done,
     /* 1999070 */   // Label 24810: @1999070
     /* 1999070 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1999174), // Rule ID 24266 //
     /* 1999075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999121 */     // MIs[0] policy
     /* 1999121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1999148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999173 */     // GIR_Coverage, 24266,
     /* 1999173 */     GIR_EraseRootFromParent_Done,
     /* 1999174 */   // Label 24811: @1999174
     /* 1999174 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1999278), // Rule ID 24267 //
     /* 1999179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1999190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1999193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1999196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999225 */     // MIs[0] policy
     /* 1999225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1999252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999277 */     // GIR_Coverage, 24267,
     /* 1999277 */     GIR_EraseRootFromParent_Done,
     /* 1999278 */   // Label 24812: @1999278
     /* 1999278 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1999382), // Rule ID 24270 //
     /* 1999283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999329 */     // MIs[0] policy
     /* 1999329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999339 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1999356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999381 */     // GIR_Coverage, 24270,
     /* 1999381 */     GIR_EraseRootFromParent_Done,
     /* 1999382 */   // Label 24813: @1999382
     /* 1999382 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1999486), // Rule ID 24271 //
     /* 1999387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999433 */     // MIs[0] policy
     /* 1999433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999443 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1999460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999485 */     // GIR_Coverage, 24271,
     /* 1999485 */     GIR_EraseRootFromParent_Done,
     /* 1999486 */   // Label 24814: @1999486
     /* 1999486 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1999590), // Rule ID 24274 //
     /* 1999491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1999494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999537 */     // MIs[0] policy
     /* 1999537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999547 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1999564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999589 */     // GIR_Coverage, 24274,
     /* 1999589 */     GIR_EraseRootFromParent_Done,
     /* 1999590 */   // Label 24815: @1999590
     /* 1999590 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1999694), // Rule ID 24275 //
     /* 1999595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1999598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1999637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999641 */     // MIs[0] policy
     /* 1999641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999651 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1999668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999693 */     // GIR_Coverage, 24275,
     /* 1999693 */     GIR_EraseRootFromParent_Done,
     /* 1999694 */   // Label 24816: @1999694
     /* 1999694 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1999798), // Rule ID 24278 //
     /* 1999699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1999710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1999713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1999741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999745 */     // MIs[0] policy
     /* 1999745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999755 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1999772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999797 */     // GIR_Coverage, 24278,
     /* 1999797 */     GIR_EraseRootFromParent_Done,
     /* 1999798 */   // Label 24817: @1999798
     /* 1999798 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1999902), // Rule ID 24279 //
     /* 1999803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1999806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1999814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1999817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1999845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999849 */     // MIs[0] policy
     /* 1999849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999859 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10908:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1999876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999901 */     // GIR_Coverage, 24279,
     /* 1999901 */     GIR_EraseRootFromParent_Done,
     /* 1999902 */   // Label 24818: @1999902
     /* 1999902 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(2000006), // Rule ID 24282 //
     /* 1999907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1999910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1999915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1999918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1999921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1999949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999953 */     // MIs[0] policy
     /* 1999953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999963 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 1999967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 1999973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 1999977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1999980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 1999994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000005 */     // GIR_Coverage, 24282,
     /* 2000005 */     GIR_EraseRootFromParent_Done,
     /* 2000006 */   // Label 24819: @2000006
     /* 2000006 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(2000110), // Rule ID 24283 //
     /* 2000011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 2000019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2000022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2000025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2000028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2000053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000057 */     // MIs[0] policy
     /* 2000057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10908:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 2000084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000109 */     // GIR_Coverage, 24283,
     /* 2000109 */     GIR_EraseRootFromParent_Done,
     /* 2000110 */   // Label 24820: @2000110
     /* 2000110 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(2000214), // Rule ID 24286 //
     /* 2000115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2000118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 2000123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2000126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2000129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2000157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000161 */     // MIs[0] policy
     /* 2000161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000171 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 2000188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000213 */     // GIR_Coverage, 24286,
     /* 2000213 */     GIR_EraseRootFromParent_Done,
     /* 2000214 */   // Label 24821: @2000214
     /* 2000214 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(2000318), // Rule ID 24287 //
     /* 2000219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2000222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 2000227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2000230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2000233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2000236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2000239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2000261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000265 */     // MIs[0] policy
     /* 2000265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000275 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10908:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 2000292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2000314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000317 */     // GIR_Coverage, 24287,
     /* 2000317 */     GIR_EraseRootFromParent_Done,
     /* 2000318 */   // Label 24822: @2000318
     /* 2000318 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(2000422), // Rule ID 24290 //
     /* 2000323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2000334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2000337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000369 */     // MIs[0] policy
     /* 2000369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000379 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 2000396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000421 */     // GIR_Coverage, 24290,
     /* 2000421 */     GIR_EraseRootFromParent_Done,
     /* 2000422 */   // Label 24823: @2000422
     /* 2000422 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(2000526), // Rule ID 24291 //
     /* 2000427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2000438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2000441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2000444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000473 */     // MIs[0] policy
     /* 2000473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000483 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 2000500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000525 */     // GIR_Coverage, 24291,
     /* 2000525 */     GIR_EraseRootFromParent_Done,
     /* 2000526 */   // Label 24824: @2000526
     /* 2000526 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(2000630), // Rule ID 24294 //
     /* 2000531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2000542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2000545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000577 */     // MIs[0] policy
     /* 2000577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000587 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 2000604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000629 */     // GIR_Coverage, 24294,
     /* 2000629 */     GIR_EraseRootFromParent_Done,
     /* 2000630 */   // Label 24825: @2000630
     /* 2000630 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(2000734), // Rule ID 24295 //
     /* 2000635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2000638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2000646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2000649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2000652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2000658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000681 */     // MIs[0] policy
     /* 2000681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000691 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 2000708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2000730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000733 */     // GIR_Coverage, 24295,
     /* 2000733 */     GIR_EraseRootFromParent_Done,
     /* 2000734 */   // Label 24826: @2000734
     /* 2000734 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(2000838), // Rule ID 24298 //
     /* 2000739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2000742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2000781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000785 */     // MIs[0] policy
     /* 2000785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000795 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 2000812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000837 */     // GIR_Coverage, 24298,
     /* 2000837 */     GIR_EraseRootFromParent_Done,
     /* 2000838 */   // Label 24827: @2000838
     /* 2000838 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(2000942), // Rule ID 24299 //
     /* 2000843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2000846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2000860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2000863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2000866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2000885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000889 */     // MIs[0] policy
     /* 2000889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000899 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2000903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2000909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2000913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 2000916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2000920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2000930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000941 */     // GIR_Coverage, 24299,
     /* 2000941 */     GIR_EraseRootFromParent_Done,
     /* 2000942 */   // Label 24828: @2000942
     /* 2000942 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(2001046), // Rule ID 24302 //
     /* 2000947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2000950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2000955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2000958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2000961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2000964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2000967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2000989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000993 */     // MIs[0] policy
     /* 2000993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001003 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 2001020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001045 */     // GIR_Coverage, 24302,
     /* 2001045 */     GIR_EraseRootFromParent_Done,
     /* 2001046 */   // Label 24829: @2001046
     /* 2001046 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(2001150), // Rule ID 24303 //
     /* 2001051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2001062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2001065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2001068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001097 */     // MIs[0] policy
     /* 2001097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10906:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 2001124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001149 */     // GIR_Coverage, 24303,
     /* 2001149 */     GIR_EraseRootFromParent_Done,
     /* 2001150 */   // Label 24830: @2001150
     /* 2001150 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(2001254), // Rule ID 24306 //
     /* 2001155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2001158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001201 */     // MIs[0] policy
     /* 2001201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001211 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 2001228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001253 */     // GIR_Coverage, 24306,
     /* 2001253 */     GIR_EraseRootFromParent_Done,
     /* 2001254 */   // Label 24831: @2001254
     /* 2001254 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(2001358), // Rule ID 24307 //
     /* 2001259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2001262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2001276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2001279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2001282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2001301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001305 */     // MIs[0] policy
     /* 2001305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001315 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10906:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 2001332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001357 */     // GIR_Coverage, 24307,
     /* 2001357 */     GIR_EraseRootFromParent_Done,
     /* 2001358 */   // Label 24832: @2001358
     /* 2001358 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(2001462), // Rule ID 24310 //
     /* 2001363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2001366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2001380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2001405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001409 */     // MIs[0] policy
     /* 2001409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001419 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 2001436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001461 */     // GIR_Coverage, 24310,
     /* 2001461 */     GIR_EraseRootFromParent_Done,
     /* 2001462 */   // Label 24833: @2001462
     /* 2001462 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(2001566), // Rule ID 24311 //
     /* 2001467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2001470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2001478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2001481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2001484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2001487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2001490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2001509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001513 */     // MIs[0] policy
     /* 2001513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001523 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10906:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 2001540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2001562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001565 */     // GIR_Coverage, 24311,
     /* 2001565 */     GIR_EraseRootFromParent_Done,
     /* 2001566 */   // Label 24834: @2001566
     /* 2001566 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(2001670), // Rule ID 24314 //
     /* 2001571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2001582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2001585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001617 */     // MIs[0] policy
     /* 2001617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001627 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 2001644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001669 */     // GIR_Coverage, 24314,
     /* 2001669 */     GIR_EraseRootFromParent_Done,
     /* 2001670 */   // Label 24835: @2001670
     /* 2001670 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(2001774), // Rule ID 24315 //
     /* 2001675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2001686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2001689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2001692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001721 */     // MIs[0] policy
     /* 2001721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001731 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 2001748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001773 */     // GIR_Coverage, 24315,
     /* 2001773 */     GIR_EraseRootFromParent_Done,
     /* 2001774 */   // Label 24836: @2001774
     /* 2001774 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(2001878), // Rule ID 24318 //
     /* 2001779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2001790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2001793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001825 */     // MIs[0] policy
     /* 2001825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001835 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 2001852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001877 */     // GIR_Coverage, 24318,
     /* 2001877 */     GIR_EraseRootFromParent_Done,
     /* 2001878 */   // Label 24837: @2001878
     /* 2001878 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(2001982), // Rule ID 24319 //
     /* 2001883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2001886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2001894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2001897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2001900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2001903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2001925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001929 */     // MIs[0] policy
     /* 2001929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001939 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2001943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2001949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2001953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 2001956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2001960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2001970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2001978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001981 */     // GIR_Coverage, 24319,
     /* 2001981 */     GIR_EraseRootFromParent_Done,
     /* 2001982 */   // Label 24838: @2001982
     /* 2001982 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(2002086), // Rule ID 24322 //
     /* 2001987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2001990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2001995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2001998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2002001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002033 */     // MIs[0] policy
     /* 2002033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002043 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 2002060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002085 */     // GIR_Coverage, 24322,
     /* 2002085 */     GIR_EraseRootFromParent_Done,
     /* 2002086 */   // Label 24839: @2002086
     /* 2002086 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(2002190), // Rule ID 24323 //
     /* 2002091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2002094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2002102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2002105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2002108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2002111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2002133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002137 */     // MIs[0] policy
     /* 2002137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002147 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 2002164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2002186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002189 */     // GIR_Coverage, 24323,
     /* 2002189 */     GIR_EraseRootFromParent_Done,
     /* 2002190 */   // Label 24840: @2002190
     /* 2002190 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(2002294), // Rule ID 24326 //
     /* 2002195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002241 */     // MIs[0] policy
     /* 2002241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002251 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 2002268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002293 */     // GIR_Coverage, 24326,
     /* 2002293 */     GIR_EraseRootFromParent_Done,
     /* 2002294 */   // Label 24841: @2002294
     /* 2002294 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(2002398), // Rule ID 24327 //
     /* 2002299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2002316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002345 */     // MIs[0] policy
     /* 2002345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002355 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 2002372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002397 */     // GIR_Coverage, 24327,
     /* 2002397 */     GIR_EraseRootFromParent_Done,
     /* 2002398 */   // Label 24842: @2002398
     /* 2002398 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(2002502), // Rule ID 24330 //
     /* 2002403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002449 */     // MIs[0] policy
     /* 2002449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002459 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 2002476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002501 */     // GIR_Coverage, 24330,
     /* 2002501 */     GIR_EraseRootFromParent_Done,
     /* 2002502 */   // Label 24843: @2002502
     /* 2002502 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(2002606), // Rule ID 24331 //
     /* 2002507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2002524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002553 */     // MIs[0] policy
     /* 2002553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002563 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 2002580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002605 */     // GIR_Coverage, 24331,
     /* 2002605 */     GIR_EraseRootFromParent_Done,
     /* 2002606 */   // Label 24844: @2002606
     /* 2002606 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(2002710), // Rule ID 24334 //
     /* 2002611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2002614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002657 */     // MIs[0] policy
     /* 2002657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002667 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 2002684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002709 */     // GIR_Coverage, 24334,
     /* 2002709 */     GIR_EraseRootFromParent_Done,
     /* 2002710 */   // Label 24845: @2002710
     /* 2002710 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(2002814), // Rule ID 24335 //
     /* 2002715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2002718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2002732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2002735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2002757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002761 */     // MIs[0] policy
     /* 2002761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002771 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 2002788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002813 */     // GIR_Coverage, 24335,
     /* 2002813 */     GIR_EraseRootFromParent_Done,
     /* 2002814 */   // Label 24846: @2002814
     /* 2002814 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(2002918), // Rule ID 24338 //
     /* 2002819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2002822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2002830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2002833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2002836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2002861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002865 */     // MIs[0] policy
     /* 2002865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002875 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 2002892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2002896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2002906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2002914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002917 */     // GIR_Coverage, 24338,
     /* 2002917 */     GIR_EraseRootFromParent_Done,
     /* 2002918 */   // Label 24847: @2002918
     /* 2002918 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(2003022), // Rule ID 24339 //
     /* 2002923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2002926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2002931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2002934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2002937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2002940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2002943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2002946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2002965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002969 */     // MIs[0] policy
     /* 2002969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002979 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10906:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2002983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2002989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2002993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 2002996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003021 */     // GIR_Coverage, 24339,
     /* 2003021 */     GIR_EraseRootFromParent_Done,
     /* 2003022 */   // Label 24848: @2003022
     /* 2003022 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(2003126), // Rule ID 24342 //
     /* 2003027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2003035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2003038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2003041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003073 */     // MIs[0] policy
     /* 2003073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003083 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 2003100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003125 */     // GIR_Coverage, 24342,
     /* 2003125 */     GIR_EraseRootFromParent_Done,
     /* 2003126 */   // Label 24849: @2003126
     /* 2003126 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(2003230), // Rule ID 24343 //
     /* 2003131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2003139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2003142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2003145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2003148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003177 */     // MIs[0] policy
     /* 2003177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003187 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10906:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 2003204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003229 */     // GIR_Coverage, 24343,
     /* 2003229 */     GIR_EraseRootFromParent_Done,
     /* 2003230 */   // Label 24850: @2003230
     /* 2003230 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(2003334), // Rule ID 24346 //
     /* 2003235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2003238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2003243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003281 */     // MIs[0] policy
     /* 2003281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003291 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 2003308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003333 */     // GIR_Coverage, 24346,
     /* 2003333 */     GIR_EraseRootFromParent_Done,
     /* 2003334 */   // Label 24851: @2003334
     /* 2003334 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(2003438), // Rule ID 24347 //
     /* 2003339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2003342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 2003347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2003350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2003353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2003356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2003359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2003381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003385 */     // MIs[0] policy
     /* 2003385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003395 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10906:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 2003412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2003434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003437 */     // GIR_Coverage, 24347,
     /* 2003437 */     GIR_EraseRootFromParent_Done,
     /* 2003438 */   // Label 24852: @2003438
     /* 2003438 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(2003542), // Rule ID 24350 //
     /* 2003443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2003454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2003457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2003460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2003463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003489 */     // MIs[0] policy
     /* 2003489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 2003516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003541 */     // GIR_Coverage, 24350,
     /* 2003541 */     GIR_EraseRootFromParent_Done,
     /* 2003542 */   // Label 24853: @2003542
     /* 2003542 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(2003646), // Rule ID 24351 //
     /* 2003547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2003558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2003561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2003564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2003567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2003570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003593 */     // MIs[0] policy
     /* 2003593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003603 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 2003620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003645 */     // GIR_Coverage, 24351,
     /* 2003645 */     GIR_EraseRootFromParent_Done,
     /* 2003646 */   // Label 24854: @2003646
     /* 2003646 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(2003750), // Rule ID 24354 //
     /* 2003651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2003662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2003665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2003668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2003671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003697 */     // MIs[0] policy
     /* 2003697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003707 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 2003724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003749 */     // GIR_Coverage, 24354,
     /* 2003749 */     GIR_EraseRootFromParent_Done,
     /* 2003750 */   // Label 24855: @2003750
     /* 2003750 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(2003854), // Rule ID 24355 //
     /* 2003755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2003766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2003769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2003772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2003775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2003778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003801 */     // MIs[0] policy
     /* 2003801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003811 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 2003828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003853 */     // GIR_Coverage, 24355,
     /* 2003853 */     GIR_EraseRootFromParent_Done,
     /* 2003854 */   // Label 24856: @2003854
     /* 2003854 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(2003958), // Rule ID 24358 //
     /* 2003859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2003862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2003870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2003873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003905 */     // MIs[0] policy
     /* 2003905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2003919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2003925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2003929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 2003932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2003936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2003946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2003954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003957 */     // GIR_Coverage, 24358,
     /* 2003957 */     GIR_EraseRootFromParent_Done,
     /* 2003958 */   // Label 24857: @2003958
     /* 2003958 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(2004062), // Rule ID 24359 //
     /* 2003963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2003966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2003971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2003974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2003977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004009 */     // MIs[0] policy
     /* 2004009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004019 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 2004036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004061 */     // GIR_Coverage, 24359,
     /* 2004061 */     GIR_EraseRootFromParent_Done,
     /* 2004062 */   // Label 24858: @2004062
     /* 2004062 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(2004166), // Rule ID 24362 //
     /* 2004067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2004087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004113 */     // MIs[0] policy
     /* 2004113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 2004140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004165 */     // GIR_Coverage, 24362,
     /* 2004165 */     GIR_EraseRootFromParent_Done,
     /* 2004166 */   // Label 24859: @2004166
     /* 2004166 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(2004270), // Rule ID 24363 //
     /* 2004171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2004182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2004185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2004188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2004191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004217 */     // MIs[0] policy
     /* 2004217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004227 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 2004244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004269 */     // GIR_Coverage, 24363,
     /* 2004269 */     GIR_EraseRootFromParent_Done,
     /* 2004270 */   // Label 24860: @2004270
     /* 2004270 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(2004374), // Rule ID 24366 //
     /* 2004275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2004295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004321 */     // MIs[0] policy
     /* 2004321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004331 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 2004348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004373 */     // GIR_Coverage, 24366,
     /* 2004373 */     GIR_EraseRootFromParent_Done,
     /* 2004374 */   // Label 24861: @2004374
     /* 2004374 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(2004478), // Rule ID 24367 //
     /* 2004379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2004390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2004393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2004396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2004399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2004402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004425 */     // MIs[0] policy
     /* 2004425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004435 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 2004452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004477 */     // GIR_Coverage, 24367,
     /* 2004477 */     GIR_EraseRootFromParent_Done,
     /* 2004478 */   // Label 24862: @2004478
     /* 2004478 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(2004582), // Rule ID 24370 //
     /* 2004483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2004503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004529 */     // MIs[0] policy
     /* 2004529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004539 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 2004556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004581 */     // GIR_Coverage, 24370,
     /* 2004581 */     GIR_EraseRootFromParent_Done,
     /* 2004582 */   // Label 24863: @2004582
     /* 2004582 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(2004686), // Rule ID 24371 //
     /* 2004587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2004604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2004607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2004610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004633 */     // MIs[0] policy
     /* 2004633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 2004660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004685 */     // GIR_Coverage, 24371,
     /* 2004685 */     GIR_EraseRootFromParent_Done,
     /* 2004686 */   // Label 24864: @2004686
     /* 2004686 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(2004790), // Rule ID 24374 //
     /* 2004691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2004702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2004705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2004708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2004711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004737 */     // MIs[0] policy
     /* 2004737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 2004764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004789 */     // GIR_Coverage, 24374,
     /* 2004789 */     GIR_EraseRootFromParent_Done,
     /* 2004790 */   // Label 24865: @2004790
     /* 2004790 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(2004894), // Rule ID 24375 //
     /* 2004795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2004798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2004806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2004809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2004812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2004815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004841 */     // MIs[0] policy
     /* 2004841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004851 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11154:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 2004868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2004890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004893 */     // GIR_Coverage, 24375,
     /* 2004893 */     GIR_EraseRootFromParent_Done,
     /* 2004894 */   // Label 24866: @2004894
     /* 2004894 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(2004998), // Rule ID 24378 //
     /* 2004899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2004902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2004907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2004910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2004913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2004916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2004919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004945 */     // MIs[0] policy
     /* 2004945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004955 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2004959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2004965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2004969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 2004972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2004976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2004986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2004994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004997 */     // GIR_Coverage, 24378,
     /* 2004997 */     GIR_EraseRootFromParent_Done,
     /* 2004998 */   // Label 24867: @2004998
     /* 2004998 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(2005102), // Rule ID 24379 //
     /* 2005003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2005014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2005017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2005020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2005023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005049 */     // MIs[0] policy
     /* 2005049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 2005076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2005098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005101 */     // GIR_Coverage, 24379,
     /* 2005101 */     GIR_EraseRootFromParent_Done,
     /* 2005102 */   // Label 24868: @2005102
     /* 2005102 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(2005206), // Rule ID 24382 //
     /* 2005107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005153 */     // MIs[0] policy
     /* 2005153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005163 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 2005180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005205 */     // GIR_Coverage, 24382,
     /* 2005205 */     GIR_EraseRootFromParent_Done,
     /* 2005206 */   // Label 24869: @2005206
     /* 2005206 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(2005310), // Rule ID 24383 //
     /* 2005211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2005228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2005231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2005234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005257 */     // MIs[0] policy
     /* 2005257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 2005284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005309 */     // GIR_Coverage, 24383,
     /* 2005309 */     GIR_EraseRootFromParent_Done,
     /* 2005310 */   // Label 24870: @2005310
     /* 2005310 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(2005414), // Rule ID 24386 //
     /* 2005315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2005318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2005335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005361 */     // MIs[0] policy
     /* 2005361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 2005388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005413 */     // GIR_Coverage, 24386,
     /* 2005413 */     GIR_EraseRootFromParent_Done,
     /* 2005414 */   // Label 24871: @2005414
     /* 2005414 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(2005518), // Rule ID 24387 //
     /* 2005419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2005422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2005430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2005433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2005436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2005439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005465 */     // MIs[0] policy
     /* 2005465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005475 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 2005492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2005514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005517 */     // GIR_Coverage, 24387,
     /* 2005517 */     GIR_EraseRootFromParent_Done,
     /* 2005518 */   // Label 24872: @2005518
     /* 2005518 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(2005622), // Rule ID 24390 //
     /* 2005523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2005534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2005537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005569 */     // MIs[0] policy
     /* 2005569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005579 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 2005596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005621 */     // GIR_Coverage, 24390,
     /* 2005621 */     GIR_EraseRootFromParent_Done,
     /* 2005622 */   // Label 24873: @2005622
     /* 2005622 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(2005726), // Rule ID 24391 //
     /* 2005627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2005638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2005641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2005644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005673 */     // MIs[0] policy
     /* 2005673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005683 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 2005700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005725 */     // GIR_Coverage, 24391,
     /* 2005725 */     GIR_EraseRootFromParent_Done,
     /* 2005726 */   // Label 24874: @2005726
     /* 2005726 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(2005830), // Rule ID 24394 //
     /* 2005731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2005742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2005745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2005748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005777 */     // MIs[0] policy
     /* 2005777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 2005804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005829 */     // GIR_Coverage, 24394,
     /* 2005829 */     GIR_EraseRootFromParent_Done,
     /* 2005830 */   // Label 24875: @2005830
     /* 2005830 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(2005934), // Rule ID 24395 //
     /* 2005835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2005838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2005846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2005849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2005852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005881 */     // MIs[0] policy
     /* 2005881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005891 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2005901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2005905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 2005908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2005912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2005922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2005930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005933 */     // GIR_Coverage, 24395,
     /* 2005933 */     GIR_EraseRootFromParent_Done,
     /* 2005934 */   // Label 24876: @2005934
     /* 2005934 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(2006038), // Rule ID 24398 //
     /* 2005939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2005947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2005950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2005953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2005956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005985 */     // MIs[0] policy
     /* 2005985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005995 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2005999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 2006012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006037 */     // GIR_Coverage, 24398,
     /* 2006037 */     GIR_EraseRootFromParent_Done,
     /* 2006038 */   // Label 24877: @2006038
     /* 2006038 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(2006142), // Rule ID 24399 //
     /* 2006043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2006054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2006057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2006063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2006066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006089 */     // MIs[0] policy
     /* 2006089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006099 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 2006116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2006138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006141 */     // GIR_Coverage, 24399,
     /* 2006141 */     GIR_EraseRootFromParent_Done,
     /* 2006142 */   // Label 24878: @2006142
     /* 2006142 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(2006246), // Rule ID 24402 //
     /* 2006147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2006167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006193 */     // MIs[0] policy
     /* 2006193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006203 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 2006220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006245 */     // GIR_Coverage, 24402,
     /* 2006245 */     GIR_EraseRootFromParent_Done,
     /* 2006246 */   // Label 24879: @2006246
     /* 2006246 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(2006350), // Rule ID 24403 //
     /* 2006251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2006262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2006265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2006271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006297 */     // MIs[0] policy
     /* 2006297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 2006324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006349 */     // GIR_Coverage, 24403,
     /* 2006349 */     GIR_EraseRootFromParent_Done,
     /* 2006350 */   // Label 24880: @2006350
     /* 2006350 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(2006454), // Rule ID 24406 //
     /* 2006355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2006375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006401 */     // MIs[0] policy
     /* 2006401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006411 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 2006428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006453 */     // GIR_Coverage, 24406,
     /* 2006453 */     GIR_EraseRootFromParent_Done,
     /* 2006454 */   // Label 24881: @2006454
     /* 2006454 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(2006558), // Rule ID 24407 //
     /* 2006459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2006470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2006473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2006476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2006479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006505 */     // MIs[0] policy
     /* 2006505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006515 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 2006532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006557 */     // GIR_Coverage, 24407,
     /* 2006557 */     GIR_EraseRootFromParent_Done,
     /* 2006558 */   // Label 24882: @2006558
     /* 2006558 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(2006662), // Rule ID 24410 //
     /* 2006563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2006574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2006577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2006583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006609 */     // MIs[0] policy
     /* 2006609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006619 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 2006636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006661 */     // GIR_Coverage, 24410,
     /* 2006661 */     GIR_EraseRootFromParent_Done,
     /* 2006662 */   // Label 24883: @2006662
     /* 2006662 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(2006766), // Rule ID 24411 //
     /* 2006667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2006678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2006681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2006684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2006687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2006690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006713 */     // MIs[0] policy
     /* 2006713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006723 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 2006740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2006762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006765 */     // GIR_Coverage, 24411,
     /* 2006765 */     GIR_EraseRootFromParent_Done,
     /* 2006766 */   // Label 24884: @2006766
     /* 2006766 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(2006870), // Rule ID 24414 //
     /* 2006771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2006788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2006791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006817 */     // MIs[0] policy
     /* 2006817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 2006844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006869 */     // GIR_Coverage, 24414,
     /* 2006869 */     GIR_EraseRootFromParent_Done,
     /* 2006870 */   // Label 24885: @2006870
     /* 2006870 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(2006974), // Rule ID 24415 //
     /* 2006875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2006892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2006895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006921 */     // MIs[0] policy
     /* 2006921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006931 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2006935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2006941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2006945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 2006948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2006952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2006962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006973 */     // GIR_Coverage, 24415,
     /* 2006973 */     GIR_EraseRootFromParent_Done,
     /* 2006974 */   // Label 24886: @2006974
     /* 2006974 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(2007078), // Rule ID 24418 //
     /* 2006979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2006987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2006996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2006999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007025 */     // MIs[0] policy
     /* 2007025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007035 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 2007052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007077 */     // GIR_Coverage, 24418,
     /* 2007077 */     GIR_EraseRootFromParent_Done,
     /* 2007078 */   // Label 24887: @2007078
     /* 2007078 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(2007182), // Rule ID 24419 //
     /* 2007083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2007094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2007097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2007100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2007103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007129 */     // MIs[0] policy
     /* 2007129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007139 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 2007156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007181 */     // GIR_Coverage, 24419,
     /* 2007181 */     GIR_EraseRootFromParent_Done,
     /* 2007182 */   // Label 24888: @2007182
     /* 2007182 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(2007286), // Rule ID 24422 //
     /* 2007187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2007207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007233 */     // MIs[0] policy
     /* 2007233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007243 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 2007260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007285 */     // GIR_Coverage, 24422,
     /* 2007285 */     GIR_EraseRootFromParent_Done,
     /* 2007286 */   // Label 24889: @2007286
     /* 2007286 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(2007390), // Rule ID 24423 //
     /* 2007291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2007302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2007305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2007308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2007311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2007314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007337 */     // MIs[0] policy
     /* 2007337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 2007364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007389 */     // GIR_Coverage, 24423,
     /* 2007389 */     GIR_EraseRootFromParent_Done,
     /* 2007390 */   // Label 24890: @2007390
     /* 2007390 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(2007494), // Rule ID 24426 //
     /* 2007395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2007415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007441 */     // MIs[0] policy
     /* 2007441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 2007468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007493 */     // GIR_Coverage, 24426,
     /* 2007493 */     GIR_EraseRootFromParent_Done,
     /* 2007494 */   // Label 24891: @2007494
     /* 2007494 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(2007598), // Rule ID 24427 //
     /* 2007499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2007516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2007519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007545 */     // MIs[0] policy
     /* 2007545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007555 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 2007572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007597 */     // GIR_Coverage, 24427,
     /* 2007597 */     GIR_EraseRootFromParent_Done,
     /* 2007598 */   // Label 24892: @2007598
     /* 2007598 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(2007702), // Rule ID 24430 //
     /* 2007603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2007620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2007623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007649 */     // MIs[0] policy
     /* 2007649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007659 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 2007676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007701 */     // GIR_Coverage, 24430,
     /* 2007701 */     GIR_EraseRootFromParent_Done,
     /* 2007702 */   // Label 24893: @2007702
     /* 2007702 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(2007806), // Rule ID 24431 //
     /* 2007707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2007724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2007727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007753 */     // MIs[0] policy
     /* 2007753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007763 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 2007780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007805 */     // GIR_Coverage, 24431,
     /* 2007805 */     GIR_EraseRootFromParent_Done,
     /* 2007806 */   // Label 24894: @2007806
     /* 2007806 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(2007910), // Rule ID 24434 //
     /* 2007811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2007828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2007831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007857 */     // MIs[0] policy
     /* 2007857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007867 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 2007884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2007898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007909 */     // GIR_Coverage, 24434,
     /* 2007909 */     GIR_EraseRootFromParent_Done,
     /* 2007910 */   // Label 24895: @2007910
     /* 2007910 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(2008014), // Rule ID 24435 //
     /* 2007915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2007923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2007932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2007935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007961 */     // MIs[0] policy
     /* 2007961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007971 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2007975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2007981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2007985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 2007988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2007992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008013 */     // GIR_Coverage, 24435,
     /* 2008013 */     GIR_EraseRootFromParent_Done,
     /* 2008014 */   // Label 24896: @2008014
     /* 2008014 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(2008118), // Rule ID 24438 //
     /* 2008019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008065 */     // MIs[0] policy
     /* 2008065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008075 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 2008092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008117 */     // GIR_Coverage, 24438,
     /* 2008117 */     GIR_EraseRootFromParent_Done,
     /* 2008118 */   // Label 24897: @2008118
     /* 2008118 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(2008222), // Rule ID 24439 //
     /* 2008123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2008134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2008137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2008140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008169 */     // MIs[0] policy
     /* 2008169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008179 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 2008196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008221 */     // GIR_Coverage, 24439,
     /* 2008221 */     GIR_EraseRootFromParent_Done,
     /* 2008222 */   // Label 24898: @2008222
     /* 2008222 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(2008326), // Rule ID 24442 //
     /* 2008227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008273 */     // MIs[0] policy
     /* 2008273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008283 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2008300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008325 */     // GIR_Coverage, 24442,
     /* 2008325 */     GIR_EraseRootFromParent_Done,
     /* 2008326 */   // Label 24899: @2008326
     /* 2008326 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(2008430), // Rule ID 24443 //
     /* 2008331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2008342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2008345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2008348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008377 */     // MIs[0] policy
     /* 2008377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008387 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2008404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008429 */     // GIR_Coverage, 24443,
     /* 2008429 */     GIR_EraseRootFromParent_Done,
     /* 2008430 */   // Label 24900: @2008430
     /* 2008430 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(2008534), // Rule ID 24446 //
     /* 2008435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008481 */     // MIs[0] policy
     /* 2008481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008491 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2008508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008533 */     // GIR_Coverage, 24446,
     /* 2008533 */     GIR_EraseRootFromParent_Done,
     /* 2008534 */   // Label 24901: @2008534
     /* 2008534 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(2008638), // Rule ID 24447 //
     /* 2008539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2008550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2008553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2008556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008585 */     // MIs[0] policy
     /* 2008585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2008612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2008634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008637 */     // GIR_Coverage, 24447,
     /* 2008637 */     GIR_EraseRootFromParent_Done,
     /* 2008638 */   // Label 24902: @2008638
     /* 2008638 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(2008742), // Rule ID 24450 //
     /* 2008643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2008654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2008657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2008660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008689 */     // MIs[0] policy
     /* 2008689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008699 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2008716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008741 */     // GIR_Coverage, 24450,
     /* 2008741 */     GIR_EraseRootFromParent_Done,
     /* 2008742 */   // Label 24903: @2008742
     /* 2008742 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(2008846), // Rule ID 24451 //
     /* 2008747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2008758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2008761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2008764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008793 */     // MIs[0] policy
     /* 2008793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008803 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2008820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008845 */     // GIR_Coverage, 24451,
     /* 2008845 */     GIR_EraseRootFromParent_Done,
     /* 2008846 */   // Label 24904: @2008846
     /* 2008846 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(2008950), // Rule ID 24454 //
     /* 2008851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2008862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2008865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2008871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008897 */     // MIs[0] policy
     /* 2008897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008907 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2008911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2008917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2008921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2008924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2008928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2008938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2008946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008949 */     // GIR_Coverage, 24454,
     /* 2008949 */     GIR_EraseRootFromParent_Done,
     /* 2008950 */   // Label 24905: @2008950
     /* 2008950 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(2009054), // Rule ID 24455 //
     /* 2008955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2008963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2008966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2008969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2008972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2008975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2008997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009001 */     // MIs[0] policy
     /* 2009001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009011 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2009028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009053 */     // GIR_Coverage, 24455,
     /* 2009053 */     GIR_EraseRootFromParent_Done,
     /* 2009054 */   // Label 24906: @2009054
     /* 2009054 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(2009158), // Rule ID 24458 //
     /* 2009059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009105 */     // MIs[0] policy
     /* 2009105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009115 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2009132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009157 */     // GIR_Coverage, 24458,
     /* 2009157 */     GIR_EraseRootFromParent_Done,
     /* 2009158 */   // Label 24907: @2009158
     /* 2009158 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(2009262), // Rule ID 24459 //
     /* 2009163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2009180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009209 */     // MIs[0] policy
     /* 2009209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2009236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009261 */     // GIR_Coverage, 24459,
     /* 2009261 */     GIR_EraseRootFromParent_Done,
     /* 2009262 */   // Label 24908: @2009262
     /* 2009262 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(2009366), // Rule ID 24462 //
     /* 2009267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009313 */     // MIs[0] policy
     /* 2009313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009323 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009365 */     // GIR_Coverage, 24462,
     /* 2009365 */     GIR_EraseRootFromParent_Done,
     /* 2009366 */   // Label 24909: @2009366
     /* 2009366 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(2009470), // Rule ID 24463 //
     /* 2009371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2009382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2009385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009417 */     // MIs[0] policy
     /* 2009417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009427 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2009466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009469 */     // GIR_Coverage, 24463,
     /* 2009469 */     GIR_EraseRootFromParent_Done,
     /* 2009470 */   // Label 24910: @2009470
     /* 2009470 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(2009574), // Rule ID 24466 //
     /* 2009475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009521 */     // MIs[0] policy
     /* 2009521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009531 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009573 */     // GIR_Coverage, 24466,
     /* 2009573 */     GIR_EraseRootFromParent_Done,
     /* 2009574 */   // Label 24911: @2009574
     /* 2009574 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(2009678), // Rule ID 24467 //
     /* 2009579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2009590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2009593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009625 */     // MIs[0] policy
     /* 2009625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2009674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009677 */     // GIR_Coverage, 24467,
     /* 2009677 */     GIR_EraseRootFromParent_Done,
     /* 2009678 */   // Label 24912: @2009678
     /* 2009678 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(2009782), // Rule ID 24470 //
     /* 2009683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009729 */     // MIs[0] policy
     /* 2009729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009781 */     // GIR_Coverage, 24470,
     /* 2009781 */     GIR_EraseRootFromParent_Done,
     /* 2009782 */   // Label 24913: @2009782
     /* 2009782 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(2009886), // Rule ID 24471 //
     /* 2009787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2009804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2009807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009833 */     // MIs[0] policy
     /* 2009833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009843 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009885 */     // GIR_Coverage, 24471,
     /* 2009885 */     GIR_EraseRootFromParent_Done,
     /* 2009886 */   // Label 24914: @2009886
     /* 2009886 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(2009990), // Rule ID 24474 //
     /* 2009891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2009894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2009899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2009908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2009911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2009933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009937 */     // MIs[0] policy
     /* 2009937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009947 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2009951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2009957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2009961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2009964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2009968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2009978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009989 */     // GIR_Coverage, 24474,
     /* 2009989 */     GIR_EraseRootFromParent_Done,
     /* 2009990 */   // Label 24915: @2009990
     /* 2009990 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(2010094), // Rule ID 24475 //
     /* 2009995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2009998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2010006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2010009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2010012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010041 */     // MIs[0] policy
     /* 2010041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010051 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2010068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010093 */     // GIR_Coverage, 24475,
     /* 2010093 */     GIR_EraseRootFromParent_Done,
     /* 2010094 */   // Label 24916: @2010094
     /* 2010094 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(2010198), // Rule ID 24478 //
     /* 2010099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010145 */     // MIs[0] policy
     /* 2010145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010155 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2010172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010197 */     // GIR_Coverage, 24478,
     /* 2010197 */     GIR_EraseRootFromParent_Done,
     /* 2010198 */   // Label 24917: @2010198
     /* 2010198 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(2010302), // Rule ID 24479 //
     /* 2010203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2010214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2010217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2010220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010249 */     // MIs[0] policy
     /* 2010249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2010276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010301 */     // GIR_Coverage, 24479,
     /* 2010301 */     GIR_EraseRootFromParent_Done,
     /* 2010302 */   // Label 24918: @2010302
     /* 2010302 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(2010406), // Rule ID 24482 //
     /* 2010307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010353 */     // MIs[0] policy
     /* 2010353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010363 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2010380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010405 */     // GIR_Coverage, 24482,
     /* 2010405 */     GIR_EraseRootFromParent_Done,
     /* 2010406 */   // Label 24919: @2010406
     /* 2010406 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(2010510), // Rule ID 24483 //
     /* 2010411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2010422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2010425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2010428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2010434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010457 */     // MIs[0] policy
     /* 2010457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010467 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2010484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010509 */     // GIR_Coverage, 24483,
     /* 2010509 */     GIR_EraseRootFromParent_Done,
     /* 2010510 */   // Label 24920: @2010510
     /* 2010510 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(2010614), // Rule ID 24486 //
     /* 2010515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010561 */     // MIs[0] policy
     /* 2010561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010571 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2010588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010613 */     // GIR_Coverage, 24486,
     /* 2010613 */     GIR_EraseRootFromParent_Done,
     /* 2010614 */   // Label 24921: @2010614
     /* 2010614 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(2010718), // Rule ID 24487 //
     /* 2010619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2010630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2010633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2010636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2010642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010665 */     // MIs[0] policy
     /* 2010665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010675 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2010692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2010714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010717 */     // GIR_Coverage, 24487,
     /* 2010717 */     GIR_EraseRootFromParent_Done,
     /* 2010718 */   // Label 24922: @2010718
     /* 2010718 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(2010822), // Rule ID 24490 //
     /* 2010723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2010734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2010737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010769 */     // MIs[0] policy
     /* 2010769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010779 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2010796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010821 */     // GIR_Coverage, 24490,
     /* 2010821 */     GIR_EraseRootFromParent_Done,
     /* 2010822 */   // Label 24923: @2010822
     /* 2010822 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(2010926), // Rule ID 24491 //
     /* 2010827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2010830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2010838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2010841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2010847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010873 */     // MIs[0] policy
     /* 2010873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010883 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2010897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2010900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2010904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2010914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010925 */     // GIR_Coverage, 24491,
     /* 2010925 */     GIR_EraseRootFromParent_Done,
     /* 2010926 */   // Label 24924: @2010926
     /* 2010926 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(2011030), // Rule ID 24494 //
     /* 2010931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2010934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2010939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2010942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2010945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2010951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2010954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2010973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010977 */     // MIs[0] policy
     /* 2010977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2010991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2010997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2011004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011029 */     // GIR_Coverage, 24494,
     /* 2011029 */     GIR_EraseRootFromParent_Done,
     /* 2011030 */   // Label 24925: @2011030
     /* 2011030 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(2011134), // Rule ID 24495 //
     /* 2011035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2011046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2011049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2011061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011081 */     // MIs[0] policy
     /* 2011081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2011108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011133 */     // GIR_Coverage, 24495,
     /* 2011133 */     GIR_EraseRootFromParent_Done,
     /* 2011134 */   // Label 24926: @2011134
     /* 2011134 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(2011238), // Rule ID 24498 //
     /* 2011139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2011165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011185 */     // MIs[0] policy
     /* 2011185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011195 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2011212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011237 */     // GIR_Coverage, 24498,
     /* 2011237 */     GIR_EraseRootFromParent_Done,
     /* 2011238 */   // Label 24927: @2011238
     /* 2011238 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(2011342), // Rule ID 24499 //
     /* 2011243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2011254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2011257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2011260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2011266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2011269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011289 */     // MIs[0] policy
     /* 2011289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011299 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2011316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011341 */     // GIR_Coverage, 24499,
     /* 2011341 */     GIR_EraseRootFromParent_Done,
     /* 2011342 */   // Label 24928: @2011342
     /* 2011342 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(2011446), // Rule ID 24502 //
     /* 2011347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2011373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011393 */     // MIs[0] policy
     /* 2011393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011403 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2011420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011445 */     // GIR_Coverage, 24502,
     /* 2011445 */     GIR_EraseRootFromParent_Done,
     /* 2011446 */   // Label 24929: @2011446
     /* 2011446 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(2011550), // Rule ID 24503 //
     /* 2011451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2011462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2011465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2011468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2011477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2011481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011497 */     // MIs[0] policy
     /* 2011497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2011524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011549 */     // GIR_Coverage, 24503,
     /* 2011549 */     GIR_EraseRootFromParent_Done,
     /* 2011550 */   // Label 24930: @2011550
     /* 2011550 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(2011654), // Rule ID 24506 //
     /* 2011555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2011581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011601 */     // MIs[0] policy
     /* 2011601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011611 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2011628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011653 */     // GIR_Coverage, 24506,
     /* 2011653 */     GIR_EraseRootFromParent_Done,
     /* 2011654 */   // Label 24931: @2011654
     /* 2011654 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(2011758), // Rule ID 24507 //
     /* 2011659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2011670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2011673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2011676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2011685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2011689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011705 */     // MIs[0] policy
     /* 2011705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2011732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011757 */     // GIR_Coverage, 24507,
     /* 2011757 */     GIR_EraseRootFromParent_Done,
     /* 2011758 */   // Label 24932: @2011758
     /* 2011758 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(2011862), // Rule ID 24510 //
     /* 2011763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2011766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2011774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2011777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2011780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2011789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011809 */     // MIs[0] policy
     /* 2011809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2011819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2011836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011861 */     // GIR_Coverage, 24510,
     /* 2011861 */     GIR_EraseRootFromParent_Done,
     /* 2011862 */   // Label 24933: @2011862
     /* 2011862 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(2011966), // Rule ID 24511 //
     /* 2011867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2011870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2011878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2011881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2011884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2011887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2011893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2011897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2011905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2011909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011913 */     // MIs[0] policy
     /* 2011913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2011916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2011923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2011927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2011933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2011937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2011940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2011944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2011954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2011964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011965 */     // GIR_Coverage, 24511,
     /* 2011965 */     GIR_EraseRootFromParent_Done,
     /* 2011966 */   // Label 24934: @2011966
     /* 2011966 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(2012070), // Rule ID 24514 //
     /* 2011971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2011974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2011979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2011982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2011985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2011988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2011991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2011997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012017 */     // MIs[0] policy
     /* 2012017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012027 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2012044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012069 */     // GIR_Coverage, 24514,
     /* 2012069 */     GIR_EraseRootFromParent_Done,
     /* 2012070 */   // Label 24935: @2012070
     /* 2012070 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(2012174), // Rule ID 24515 //
     /* 2012075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2012083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2012086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2012089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2012101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2012105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012121 */     // MIs[0] policy
     /* 2012121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012131 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2012148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012173 */     // GIR_Coverage, 24515,
     /* 2012173 */     GIR_EraseRootFromParent_Done,
     /* 2012174 */   // Label 24936: @2012174
     /* 2012174 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(2012278), // Rule ID 24518 //
     /* 2012179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2012187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2012205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012225 */     // MIs[0] policy
     /* 2012225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012235 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2012252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012277 */     // GIR_Coverage, 24518,
     /* 2012277 */     GIR_EraseRootFromParent_Done,
     /* 2012278 */   // Label 24937: @2012278
     /* 2012278 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(2012382), // Rule ID 24519 //
     /* 2012283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2012291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2012294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2012297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2012309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2012313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012329 */     // MIs[0] policy
     /* 2012329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012339 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2012356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012381 */     // GIR_Coverage, 24519,
     /* 2012381 */     GIR_EraseRootFromParent_Done,
     /* 2012382 */   // Label 24938: @2012382
     /* 2012382 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(2012486), // Rule ID 24522 //
     /* 2012387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2012390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2012395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2012407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2012413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012433 */     // MIs[0] policy
     /* 2012433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012443 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2012460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012485 */     // GIR_Coverage, 24522,
     /* 2012485 */     GIR_EraseRootFromParent_Done,
     /* 2012486 */   // Label 24939: @2012486
     /* 2012486 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(2012590), // Rule ID 24523 //
     /* 2012491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2012494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2012499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2012502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2012505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2012508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2012511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2012517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2012521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2012533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012537 */     // MIs[0] policy
     /* 2012537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012547 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2012564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012589 */     // GIR_Coverage, 24523,
     /* 2012589 */     GIR_EraseRootFromParent_Done,
     /* 2012590 */   // Label 24940: @2012590
     /* 2012590 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(2012694), // Rule ID 24614 //
     /* 2012595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2012603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2012612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2012615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2012621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012641 */     // MIs[0] policy
     /* 2012641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 2012668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012693 */     // GIR_Coverage, 24614,
     /* 2012693 */     GIR_EraseRootFromParent_Done,
     /* 2012694 */   // Label 24941: @2012694
     /* 2012694 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(2012798), // Rule ID 24615 //
     /* 2012699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2012707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2012710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2012713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2012716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2012719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2012722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2012725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012745 */     // MIs[0] policy
     /* 2012745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 2012772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012797 */     // GIR_Coverage, 24615,
     /* 2012797 */     GIR_EraseRootFromParent_Done,
     /* 2012798 */   // Label 24942: @2012798
     /* 2012798 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(2012902), // Rule ID 24618 //
     /* 2012803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2012806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2012811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2012814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2012817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2012820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2012823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2012829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012849 */     // MIs[0] policy
     /* 2012849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012859 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2012859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 2012876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2012898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2012900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012901 */     // GIR_Coverage, 24618,
     /* 2012901 */     GIR_EraseRootFromParent_Done,
     /* 2012902 */   // Label 24943: @2012902
     /* 2012902 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(2013006), // Rule ID 24619 //
     /* 2012907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2012910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2012915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2012918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2012921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2012924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2012927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2012933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012953 */     // MIs[0] policy
     /* 2012953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2012956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012963 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2012963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2012967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2012973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2012977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 2012980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2012984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2012994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013005 */     // GIR_Coverage, 24619,
     /* 2013005 */     GIR_EraseRootFromParent_Done,
     /* 2013006 */   // Label 24944: @2013006
     /* 2013006 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(2013110), // Rule ID 24622 //
     /* 2013011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2013028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2013037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013057 */     // MIs[0] policy
     /* 2013057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013067 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 2013084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013109 */     // GIR_Coverage, 24622,
     /* 2013109 */     GIR_EraseRootFromParent_Done,
     /* 2013110 */   // Label 24945: @2013110
     /* 2013110 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(2013214), // Rule ID 24623 //
     /* 2013115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2013126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2013129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2013132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2013141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013161 */     // MIs[0] policy
     /* 2013161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013171 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 2013188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013213 */     // GIR_Coverage, 24623,
     /* 2013213 */     GIR_EraseRootFromParent_Done,
     /* 2013214 */   // Label 24946: @2013214
     /* 2013214 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(2013318), // Rule ID 24626 //
     /* 2013219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2013230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2013233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2013245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013265 */     // MIs[0] policy
     /* 2013265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013275 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 2013292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013317 */     // GIR_Coverage, 24626,
     /* 2013317 */     GIR_EraseRootFromParent_Done,
     /* 2013318 */   // Label 24947: @2013318
     /* 2013318 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(2013422), // Rule ID 24627 //
     /* 2013323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2013334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2013337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2013349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013369 */     // MIs[0] policy
     /* 2013369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013379 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 2013396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013421 */     // GIR_Coverage, 24627,
     /* 2013421 */     GIR_EraseRootFromParent_Done,
     /* 2013422 */   // Label 24948: @2013422
     /* 2013422 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(2013526), // Rule ID 24630 //
     /* 2013427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2013447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2013453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013473 */     // MIs[0] policy
     /* 2013473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013483 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 2013500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013525 */     // GIR_Coverage, 24630,
     /* 2013525 */     GIR_EraseRootFromParent_Done,
     /* 2013526 */   // Label 24949: @2013526
     /* 2013526 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(2013630), // Rule ID 24631 //
     /* 2013531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2013542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2013545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2013551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2013557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013577 */     // MIs[0] policy
     /* 2013577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 2013604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013629 */     // GIR_Coverage, 24631,
     /* 2013629 */     GIR_EraseRootFromParent_Done,
     /* 2013630 */   // Label 24950: @2013630
     /* 2013630 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(2013734), // Rule ID 24634 //
     /* 2013635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2013661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013681 */     // MIs[0] policy
     /* 2013681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 2013708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013733 */     // GIR_Coverage, 24634,
     /* 2013733 */     GIR_EraseRootFromParent_Done,
     /* 2013734 */   // Label 24951: @2013734
     /* 2013734 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(2013838), // Rule ID 24635 //
     /* 2013739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2013750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2013753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2013759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2013765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013785 */     // MIs[0] policy
     /* 2013785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013795 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2013795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 2013812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013837 */     // GIR_Coverage, 24635,
     /* 2013837 */     GIR_EraseRootFromParent_Done,
     /* 2013838 */   // Label 24952: @2013838
     /* 2013838 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(2013942), // Rule ID 24638 //
     /* 2013843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2013846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2013860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2013869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013889 */     // MIs[0] policy
     /* 2013889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2013899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2013903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2013909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2013913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 2013916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2013920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2013930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2013938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2013940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013941 */     // GIR_Coverage, 24638,
     /* 2013941 */     GIR_EraseRootFromParent_Done,
     /* 2013942 */   // Label 24953: @2013942
     /* 2013942 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(2014046), // Rule ID 24639 //
     /* 2013947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2013950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2013955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2013958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2013961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2013964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2013967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2013973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2013989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013993 */     // MIs[0] policy
     /* 2013993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2013996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 2014020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014045 */     // GIR_Coverage, 24639,
     /* 2014045 */     GIR_EraseRootFromParent_Done,
     /* 2014046 */   // Label 24954: @2014046
     /* 2014046 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(2014150), // Rule ID 24642 //
     /* 2014051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2014077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014097 */     // MIs[0] policy
     /* 2014097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014107 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 2014124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014149 */     // GIR_Coverage, 24642,
     /* 2014149 */     GIR_EraseRootFromParent_Done,
     /* 2014150 */   // Label 24955: @2014150
     /* 2014150 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(2014254), // Rule ID 24643 //
     /* 2014155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2014172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2014181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014201 */     // MIs[0] policy
     /* 2014201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014211 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 2014228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014253 */     // GIR_Coverage, 24643,
     /* 2014253 */     GIR_EraseRootFromParent_Done,
     /* 2014254 */   // Label 24956: @2014254
     /* 2014254 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(2014358), // Rule ID 24646 //
     /* 2014259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2014279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2014285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014305 */     // MIs[0] policy
     /* 2014305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 2014332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014357 */     // GIR_Coverage, 24646,
     /* 2014357 */     GIR_EraseRootFromParent_Done,
     /* 2014358 */   // Label 24957: @2014358
     /* 2014358 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(2014462), // Rule ID 24647 //
     /* 2014363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2014383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2014389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014409 */     // MIs[0] policy
     /* 2014409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014419 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 2014436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014461 */     // GIR_Coverage, 24647,
     /* 2014461 */     GIR_EraseRootFromParent_Done,
     /* 2014462 */   // Label 24958: @2014462
     /* 2014462 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(2014566), // Rule ID 24650 //
     /* 2014467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2014470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2014487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2014493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014513 */     // MIs[0] policy
     /* 2014513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 2014540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014565 */     // GIR_Coverage, 24650,
     /* 2014565 */     GIR_EraseRootFromParent_Done,
     /* 2014566 */   // Label 24959: @2014566
     /* 2014566 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(2014670), // Rule ID 24651 //
     /* 2014571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2014574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2014591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2014597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014617 */     // MIs[0] policy
     /* 2014617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014627 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 2014644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014669 */     // GIR_Coverage, 24651,
     /* 2014669 */     GIR_EraseRootFromParent_Done,
     /* 2014670 */   // Label 24960: @2014670
     /* 2014670 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(2014774), // Rule ID 24654 //
     /* 2014675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2014692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2014695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2014701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014721 */     // MIs[0] policy
     /* 2014721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014731 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 2014748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014773 */     // GIR_Coverage, 24654,
     /* 2014773 */     GIR_EraseRootFromParent_Done,
     /* 2014774 */   // Label 24961: @2014774
     /* 2014774 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(2014878), // Rule ID 24655 //
     /* 2014779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2014790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2014793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2014796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2014799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2014805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2014809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014825 */     // MIs[0] policy
     /* 2014825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014835 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2014835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 2014852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014877 */     // GIR_Coverage, 24655,
     /* 2014877 */     GIR_EraseRootFromParent_Done,
     /* 2014878 */   // Label 24962: @2014878
     /* 2014878 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(2014982), // Rule ID 24658 //
     /* 2014883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2014886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2014897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2014900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2014903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2014909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2014913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014929 */     // MIs[0] policy
     /* 2014929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2014932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2014939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2014943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2014949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2014953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 2014956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2014960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2014970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2014978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2014980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014981 */     // GIR_Coverage, 24658,
     /* 2014981 */     GIR_EraseRootFromParent_Done,
     /* 2014982 */   // Label 24963: @2014982
     /* 2014982 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(2015086), // Rule ID 24659 //
     /* 2014987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2014990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2014995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2014998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2015001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2015004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2015007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2015013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015033 */     // MIs[0] policy
     /* 2015033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015043 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 2015060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2015082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015085 */     // GIR_Coverage, 24659,
     /* 2015085 */     GIR_EraseRootFromParent_Done,
     /* 2015086 */   // Label 24964: @2015086
     /* 2015086 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(2015190), // Rule ID 24662 //
     /* 2015091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2015111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2015117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015137 */     // MIs[0] policy
     /* 2015137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 2015164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015189 */     // GIR_Coverage, 24662,
     /* 2015189 */     GIR_EraseRootFromParent_Done,
     /* 2015190 */   // Label 24965: @2015190
     /* 2015190 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(2015294), // Rule ID 24663 //
     /* 2015195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2015206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2015209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2015212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2015215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2015221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015241 */     // MIs[0] policy
     /* 2015241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015251 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 2015268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015293 */     // GIR_Coverage, 24663,
     /* 2015293 */     GIR_EraseRootFromParent_Done,
     /* 2015294 */   // Label 24966: @2015294
     /* 2015294 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(2015398), // Rule ID 24666 //
     /* 2015299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2015319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2015325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015345 */     // MIs[0] policy
     /* 2015345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015355 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 2015372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015397 */     // GIR_Coverage, 24666,
     /* 2015397 */     GIR_EraseRootFromParent_Done,
     /* 2015398 */   // Label 24967: @2015398
     /* 2015398 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(2015502), // Rule ID 24667 //
     /* 2015403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2015414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2015417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2015420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2015423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2015429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015449 */     // MIs[0] policy
     /* 2015449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 2015476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015501 */     // GIR_Coverage, 24667,
     /* 2015501 */     GIR_EraseRootFromParent_Done,
     /* 2015502 */   // Label 24968: @2015502
     /* 2015502 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(2015606), // Rule ID 24670 //
     /* 2015507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2015518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2015521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2015524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2015527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2015533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015553 */     // MIs[0] policy
     /* 2015553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015563 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 2015580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015605 */     // GIR_Coverage, 24670,
     /* 2015605 */     GIR_EraseRootFromParent_Done,
     /* 2015606 */   // Label 24969: @2015606
     /* 2015606 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(2015710), // Rule ID 24671 //
     /* 2015611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2015622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2015625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2015628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2015631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2015634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2015637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2015641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015657 */     // MIs[0] policy
     /* 2015657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015667 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 2015684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015709 */     // GIR_Coverage, 24671,
     /* 2015709 */     GIR_EraseRootFromParent_Done,
     /* 2015710 */   // Label 24970: @2015710
     /* 2015710 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(2015814), // Rule ID 24674 //
     /* 2015715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2015735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2015741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015761 */     // MIs[0] policy
     /* 2015761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 2015788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015813 */     // GIR_Coverage, 24674,
     /* 2015813 */     GIR_EraseRootFromParent_Done,
     /* 2015814 */   // Label 24971: @2015814
     /* 2015814 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(2015918), // Rule ID 24675 //
     /* 2015819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2015822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2015830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2015833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2015836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2015839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2015845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2015849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015865 */     // MIs[0] policy
     /* 2015865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015875 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2015875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 2015892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2015896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2015906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2015916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015917 */     // GIR_Coverage, 24675,
     /* 2015917 */     GIR_EraseRootFromParent_Done,
     /* 2015918 */   // Label 24972: @2015918
     /* 2015918 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(2016022), // Rule ID 24678 //
     /* 2015923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2015926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2015931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2015934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2015937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2015943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2015949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2015953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015969 */     // MIs[0] policy
     /* 2015969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2015972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015979 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2015979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2015983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2015989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2015993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 2015996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016021 */     // GIR_Coverage, 24678,
     /* 2016021 */     GIR_EraseRootFromParent_Done,
     /* 2016022 */   // Label 24973: @2016022
     /* 2016022 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(2016126), // Rule ID 24679 //
     /* 2016027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2016038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2016041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2016044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2016047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2016053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016073 */     // MIs[0] policy
     /* 2016073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016083 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 2016100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016125 */     // GIR_Coverage, 24679,
     /* 2016125 */     GIR_EraseRootFromParent_Done,
     /* 2016126 */   // Label 24974: @2016126
     /* 2016126 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(2016230), // Rule ID 24682 //
     /* 2016131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2016134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2016151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2016157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016177 */     // MIs[0] policy
     /* 2016177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 2016204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016229 */     // GIR_Coverage, 24682,
     /* 2016229 */     GIR_EraseRootFromParent_Done,
     /* 2016230 */   // Label 24975: @2016230
     /* 2016230 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(2016334), // Rule ID 24683 //
     /* 2016235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2016238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2016246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2016249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2016252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2016255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2016258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2016261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016281 */     // MIs[0] policy
     /* 2016281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 2016308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016333 */     // GIR_Coverage, 24683,
     /* 2016333 */     GIR_EraseRootFromParent_Done,
     /* 2016334 */   // Label 24976: @2016334
     /* 2016334 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(2016438), // Rule ID 24686 //
     /* 2016339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2016342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2016350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2016353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2016356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2016359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2016365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016385 */     // MIs[0] policy
     /* 2016385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 2016412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016437 */     // GIR_Coverage, 24686,
     /* 2016437 */     GIR_EraseRootFromParent_Done,
     /* 2016438 */   // Label 24977: @2016438
     /* 2016438 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(2016542), // Rule ID 24687 //
     /* 2016443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2016454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2016457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2016460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2016463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2016469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2016473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016489 */     // MIs[0] policy
     /* 2016489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016499 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 2016516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016541 */     // GIR_Coverage, 24687,
     /* 2016541 */     GIR_EraseRootFromParent_Done,
     /* 2016542 */   // Label 24978: @2016542
     /* 2016542 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(2016646), // Rule ID 24690 //
     /* 2016547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2016550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2016558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2016561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2016564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2016567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2016573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016593 */     // MIs[0] policy
     /* 2016593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016603 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 2016620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016645 */     // GIR_Coverage, 24690,
     /* 2016645 */     GIR_EraseRootFromParent_Done,
     /* 2016646 */   // Label 24979: @2016646
     /* 2016646 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(2016750), // Rule ID 24691 //
     /* 2016651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2016662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2016665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2016668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2016671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2016677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2016681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2016689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016697 */     // MIs[0] policy
     /* 2016697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016707 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 2016724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016749 */     // GIR_Coverage, 24691,
     /* 2016749 */     GIR_EraseRootFromParent_Done,
     /* 2016750 */   // Label 24980: @2016750
     /* 2016750 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(2016854), // Rule ID 24694 //
     /* 2016755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2016758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2016766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2016769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2016775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2016781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016801 */     // MIs[0] policy
     /* 2016801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016811 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2016811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 2016828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016853 */     // GIR_Coverage, 24694,
     /* 2016853 */     GIR_EraseRootFromParent_Done,
     /* 2016854 */   // Label 24981: @2016854
     /* 2016854 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(2016958), // Rule ID 24695 //
     /* 2016859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2016862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2016867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2016870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2016873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2016876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2016879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2016885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2016889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2016897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016905 */     // MIs[0] policy
     /* 2016905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2016908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016915 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2016915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2016919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2016925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2016929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 2016932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2016936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2016946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2016954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2016956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016957 */     // GIR_Coverage, 24695,
     /* 2016957 */     GIR_EraseRootFromParent_Done,
     /* 2016958 */   // Label 24982: @2016958
     /* 2016958 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(2017062), // Rule ID 24698 //
     /* 2016963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2016966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2016971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2016974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2016977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2016983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2016989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017009 */     // MIs[0] policy
     /* 2017009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 2017036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017061 */     // GIR_Coverage, 24698,
     /* 2017061 */     GIR_EraseRootFromParent_Done,
     /* 2017062 */   // Label 24983: @2017062
     /* 2017062 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(2017166), // Rule ID 24699 //
     /* 2017067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2017078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2017081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2017084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2017087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2017093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017113 */     // MIs[0] policy
     /* 2017113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017123 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 2017140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017165 */     // GIR_Coverage, 24699,
     /* 2017165 */     GIR_EraseRootFromParent_Done,
     /* 2017166 */   // Label 24984: @2017166
     /* 2017166 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(2017270), // Rule ID 24702 //
     /* 2017171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2017197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017217 */     // MIs[0] policy
     /* 2017217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017227 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 2017244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017269 */     // GIR_Coverage, 24702,
     /* 2017269 */     GIR_EraseRootFromParent_Done,
     /* 2017270 */   // Label 24985: @2017270
     /* 2017270 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(2017374), // Rule ID 24703 //
     /* 2017275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2017292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2017298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2017301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017321 */     // MIs[0] policy
     /* 2017321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017331 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 2017348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017373 */     // GIR_Coverage, 24703,
     /* 2017373 */     GIR_EraseRootFromParent_Done,
     /* 2017374 */   // Label 24986: @2017374
     /* 2017374 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(2017478), // Rule ID 24706 //
     /* 2017379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2017382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2017405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017425 */     // MIs[0] policy
     /* 2017425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017435 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 2017452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017477 */     // GIR_Coverage, 24706,
     /* 2017477 */     GIR_EraseRootFromParent_Done,
     /* 2017478 */   // Label 24987: @2017478
     /* 2017478 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(2017582), // Rule ID 24707 //
     /* 2017483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2017486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2017500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2017509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017529 */     // MIs[0] policy
     /* 2017529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017539 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 2017556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2017578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017581 */     // GIR_Coverage, 24707,
     /* 2017581 */     GIR_EraseRootFromParent_Done,
     /* 2017582 */   // Label 24988: @2017582
     /* 2017582 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(2017686), // Rule ID 24710 //
     /* 2017587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2017607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2017613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017633 */     // MIs[0] policy
     /* 2017633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017643 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 2017660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017685 */     // GIR_Coverage, 24710,
     /* 2017685 */     GIR_EraseRootFromParent_Done,
     /* 2017686 */   // Label 24989: @2017686
     /* 2017686 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(2017790), // Rule ID 24711 //
     /* 2017691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2017702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2017705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2017711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2017717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2017721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017737 */     // MIs[0] policy
     /* 2017737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017747 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 2017764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017789 */     // GIR_Coverage, 24711,
     /* 2017789 */     GIR_EraseRootFromParent_Done,
     /* 2017790 */   // Label 24990: @2017790
     /* 2017790 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(2017894), // Rule ID 24714 //
     /* 2017795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2017806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2017809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2017815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2017821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017841 */     // MIs[0] policy
     /* 2017841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017851 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2017851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 2017868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017893 */     // GIR_Coverage, 24714,
     /* 2017893 */     GIR_EraseRootFromParent_Done,
     /* 2017894 */   // Label 24991: @2017894
     /* 2017894 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(2017998), // Rule ID 24715 //
     /* 2017899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2017907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2017910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2017913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2017919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2017925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2017929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017945 */     // MIs[0] policy
     /* 2017945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2017948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017955 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2017955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2017959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2017965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2017969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 2017972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2017976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2017986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2017996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017997 */     // GIR_Coverage, 24715,
     /* 2017997 */     GIR_EraseRootFromParent_Done,
     /* 2017998 */   // Label 24992: @2017998
     /* 2017998 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(2018102), // Rule ID 24718 //
     /* 2018003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2018006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2018023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2018029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018049 */     // MIs[0] policy
     /* 2018049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018059 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 2018076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018101 */     // GIR_Coverage, 24718,
     /* 2018101 */     GIR_EraseRootFromParent_Done,
     /* 2018102 */   // Label 24993: @2018102
     /* 2018102 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(2018206), // Rule ID 24719 //
     /* 2018107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2018110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2018118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2018121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2018124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2018127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2018133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018153 */     // MIs[0] policy
     /* 2018153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018163 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 2018180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018205 */     // GIR_Coverage, 24719,
     /* 2018205 */     GIR_EraseRootFromParent_Done,
     /* 2018206 */   // Label 24994: @2018206
     /* 2018206 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(2018310), // Rule ID 24722 //
     /* 2018211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2018214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2018231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2018237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018257 */     // MIs[0] policy
     /* 2018257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018267 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 2018284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018309 */     // GIR_Coverage, 24722,
     /* 2018309 */     GIR_EraseRootFromParent_Done,
     /* 2018310 */   // Label 24995: @2018310
     /* 2018310 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(2018414), // Rule ID 24723 //
     /* 2018315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2018318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2018326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2018329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2018332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2018335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2018341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2018345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018361 */     // MIs[0] policy
     /* 2018361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018371 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 2018388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018413 */     // GIR_Coverage, 24723,
     /* 2018413 */     GIR_EraseRootFromParent_Done,
     /* 2018414 */   // Label 24996: @2018414
     /* 2018414 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(2018518), // Rule ID 24726 //
     /* 2018419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2018422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2018430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2018433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2018439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2018445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018465 */     // MIs[0] policy
     /* 2018465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018475 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 2018492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018517 */     // GIR_Coverage, 24726,
     /* 2018517 */     GIR_EraseRootFromParent_Done,
     /* 2018518 */   // Label 24997: @2018518
     /* 2018518 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(2018622), // Rule ID 24727 //
     /* 2018523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2018526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2018534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2018537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2018540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2018543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2018549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2018553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018569 */     // MIs[0] policy
     /* 2018569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018579 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 2018596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018621 */     // GIR_Coverage, 24727,
     /* 2018621 */     GIR_EraseRootFromParent_Done,
     /* 2018622 */   // Label 24998: @2018622
     /* 2018622 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(2018726), // Rule ID 24730 //
     /* 2018627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2018630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2018638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2018641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2018644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2018647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2018653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018673 */     // MIs[0] policy
     /* 2018673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018683 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 2018700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018725 */     // GIR_Coverage, 24730,
     /* 2018725 */     GIR_EraseRootFromParent_Done,
     /* 2018726 */   // Label 24999: @2018726
     /* 2018726 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(2018830), // Rule ID 24731 //
     /* 2018731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2018734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2018739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2018742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2018745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2018748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2018751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2018757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2018761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2018773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018777 */     // MIs[0] policy
     /* 2018777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 2018804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2018826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018829 */     // GIR_Coverage, 24731,
     /* 2018829 */     GIR_EraseRootFromParent_Done,
     /* 2018830 */   // Label 25000: @2018830
     /* 2018830 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(2018934), // Rule ID 24734 //
     /* 2018835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2018838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2018843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2018855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2018861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2018877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018881 */     // MIs[0] policy
     /* 2018881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018891 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2018891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2018901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2018905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2018908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2018912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2018922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2018932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018933 */     // GIR_Coverage, 24734,
     /* 2018933 */     GIR_EraseRootFromParent_Done,
     /* 2018934 */   // Label 25001: @2018934
     /* 2018934 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(2019038), // Rule ID 24735 //
     /* 2018939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2018942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2018947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2018950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2018953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2018959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2018965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2018981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018985 */     // MIs[0] policy
     /* 2018985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2018988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018995 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2018995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2018999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2019012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019037 */     // GIR_Coverage, 24735,
     /* 2019037 */     GIR_EraseRootFromParent_Done,
     /* 2019038 */   // Label 25002: @2019038
     /* 2019038 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(2019142), // Rule ID 24738 //
     /* 2019043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2019060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2019069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019089 */     // MIs[0] policy
     /* 2019089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019099 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2019116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019141 */     // GIR_Coverage, 24738,
     /* 2019141 */     GIR_EraseRootFromParent_Done,
     /* 2019142 */   // Label 25003: @2019142
     /* 2019142 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(2019246), // Rule ID 24739 //
     /* 2019147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2019164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2019170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2019173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019193 */     // MIs[0] policy
     /* 2019193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2019220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019245 */     // GIR_Coverage, 24739,
     /* 2019245 */     GIR_EraseRootFromParent_Done,
     /* 2019246 */   // Label 25004: @2019246
     /* 2019246 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(2019350), // Rule ID 24742 //
     /* 2019251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2019254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2019268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2019277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019297 */     // MIs[0] policy
     /* 2019297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019307 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2019324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019349 */     // GIR_Coverage, 24742,
     /* 2019349 */     GIR_EraseRootFromParent_Done,
     /* 2019350 */   // Label 25005: @2019350
     /* 2019350 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(2019454), // Rule ID 24743 //
     /* 2019355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2019358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2019372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2019381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019401 */     // MIs[0] policy
     /* 2019401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019411 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2019428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2019450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019453 */     // GIR_Coverage, 24743,
     /* 2019453 */     GIR_EraseRootFromParent_Done,
     /* 2019454 */   // Label 25006: @2019454
     /* 2019454 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(2019558), // Rule ID 24746 //
     /* 2019459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2019485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019505 */     // MIs[0] policy
     /* 2019505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019515 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2019532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019557 */     // GIR_Coverage, 24746,
     /* 2019557 */     GIR_EraseRootFromParent_Done,
     /* 2019558 */   // Label 25007: @2019558
     /* 2019558 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(2019662), // Rule ID 24747 //
     /* 2019563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2019574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2019577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2019589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2019593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019609 */     // MIs[0] policy
     /* 2019609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019619 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2019636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019661 */     // GIR_Coverage, 24747,
     /* 2019661 */     GIR_EraseRootFromParent_Done,
     /* 2019662 */   // Label 25008: @2019662
     /* 2019662 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(2019766), // Rule ID 24750 //
     /* 2019667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2019693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019713 */     // MIs[0] policy
     /* 2019713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019723 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2019740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019765 */     // GIR_Coverage, 24750,
     /* 2019765 */     GIR_EraseRootFromParent_Done,
     /* 2019766 */   // Label 25009: @2019766
     /* 2019766 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(2019870), // Rule ID 24751 //
     /* 2019771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2019782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2019785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2019797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2019801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019817 */     // MIs[0] policy
     /* 2019817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019827 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2019827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2019844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019869 */     // GIR_Coverage, 24751,
     /* 2019869 */     GIR_EraseRootFromParent_Done,
     /* 2019870 */   // Label 25010: @2019870
     /* 2019870 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(2019974), // Rule ID 24754 //
     /* 2019875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2019901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2019905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2019917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019921 */     // MIs[0] policy
     /* 2019921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2019924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019931 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2019935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2019941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2019945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2019948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2019962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2019972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019973 */     // GIR_Coverage, 24754,
     /* 2019973 */     GIR_EraseRootFromParent_Done,
     /* 2019974 */   // Label 25011: @2019974
     /* 2019974 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(2020078), // Rule ID 24755 //
     /* 2019979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2019987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2019990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2019993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2020002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2020005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020025 */     // MIs[0] policy
     /* 2020025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020035 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2020052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020077 */     // GIR_Coverage, 24755,
     /* 2020077 */     GIR_EraseRootFromParent_Done,
     /* 2020078 */   // Label 25012: @2020078
     /* 2020078 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(2020182), // Rule ID 24758 //
     /* 2020083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2020086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2020100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2020109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020129 */     // MIs[0] policy
     /* 2020129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020139 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2020156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020181 */     // GIR_Coverage, 24758,
     /* 2020181 */     GIR_EraseRootFromParent_Done,
     /* 2020182 */   // Label 25013: @2020182
     /* 2020182 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(2020286), // Rule ID 24759 //
     /* 2020187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2020190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2020198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2020201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2020204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2020213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2020217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2020225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020233 */     // MIs[0] policy
     /* 2020233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020243 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2020260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020285 */     // GIR_Coverage, 24759,
     /* 2020285 */     GIR_EraseRootFromParent_Done,
     /* 2020286 */   // Label 25014: @2020286
     /* 2020286 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(2020390), // Rule ID 24762 //
     /* 2020291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2020294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2020317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020337 */     // MIs[0] policy
     /* 2020337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020347 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2020364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020389 */     // GIR_Coverage, 24762,
     /* 2020389 */     GIR_EraseRootFromParent_Done,
     /* 2020390 */   // Label 25015: @2020390
     /* 2020390 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(2020494), // Rule ID 24763 //
     /* 2020395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2020398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2020406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2020409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2020412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2020421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2020425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2020433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020441 */     // MIs[0] policy
     /* 2020441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020451 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2020468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020493 */     // GIR_Coverage, 24763,
     /* 2020493 */     GIR_EraseRootFromParent_Done,
     /* 2020494 */   // Label 25016: @2020494
     /* 2020494 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(2020598), // Rule ID 24766 //
     /* 2020499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2020502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2020525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020545 */     // MIs[0] policy
     /* 2020545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020555 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2020572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020597 */     // GIR_Coverage, 24766,
     /* 2020597 */     GIR_EraseRootFromParent_Done,
     /* 2020598 */   // Label 25017: @2020598
     /* 2020598 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(2020702), // Rule ID 24767 //
     /* 2020603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2020606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2020611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2020614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2020617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2020620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2020626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2020629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2020633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2020641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2020645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020649 */     // MIs[0] policy
     /* 2020649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020659 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2020676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2020698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020701 */     // GIR_Coverage, 24767,
     /* 2020701 */     GIR_EraseRootFromParent_Done,
     /* 2020702 */   // Label 25018: @2020702
     /* 2020702 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(2020806), // Rule ID 24806 //
     /* 2020707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2020710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2020715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2020733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020753 */     // MIs[0] policy
     /* 2020753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020763 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 2020780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020805 */     // GIR_Coverage, 24806,
     /* 2020805 */     GIR_EraseRootFromParent_Done,
     /* 2020806 */   // Label 25019: @2020806
     /* 2020806 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(2020910), // Rule ID 24807 //
     /* 2020811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2020814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2020819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2020831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2020837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020857 */     // MIs[0] policy
     /* 2020857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 2020884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2020898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2020908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020909 */     // GIR_Coverage, 24807,
     /* 2020909 */     GIR_EraseRootFromParent_Done,
     /* 2020910 */   // Label 25020: @2020910
     /* 2020910 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(2021014), // Rule ID 24810 //
     /* 2020915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2020918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2020923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2020926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2020929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2020935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2020941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020961 */     // MIs[0] policy
     /* 2020961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2020964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020971 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2020975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2020981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2020985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 2020988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2020996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021013 */     // GIR_Coverage, 24810,
     /* 2021013 */     GIR_EraseRootFromParent_Done,
     /* 2021014 */   // Label 25021: @2021014
     /* 2021014 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(2021118), // Rule ID 24811 //
     /* 2021019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2021022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2021030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2021033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2021036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2021039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2021045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021065 */     // MIs[0] policy
     /* 2021065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021075 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 2021092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021117 */     // GIR_Coverage, 24811,
     /* 2021117 */     GIR_EraseRootFromParent_Done,
     /* 2021118 */   // Label 25022: @2021118
     /* 2021118 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(2021222), // Rule ID 24814 //
     /* 2021123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2021126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2021149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021169 */     // MIs[0] policy
     /* 2021169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021179 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 2021196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021221 */     // GIR_Coverage, 24814,
     /* 2021221 */     GIR_EraseRootFromParent_Done,
     /* 2021222 */   // Label 25023: @2021222
     /* 2021222 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(2021326), // Rule ID 24815 //
     /* 2021227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2021230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2021247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2021253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021273 */     // MIs[0] policy
     /* 2021273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021283 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11154:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 2021300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021325 */     // GIR_Coverage, 24815,
     /* 2021325 */     GIR_EraseRootFromParent_Done,
     /* 2021326 */   // Label 25024: @2021326
     /* 2021326 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(2021430), // Rule ID 24818 //
     /* 2021331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2021334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2021342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2021345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2021348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2021357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021377 */     // MIs[0] policy
     /* 2021377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021387 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 2021404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021429 */     // GIR_Coverage, 24818,
     /* 2021429 */     GIR_EraseRootFromParent_Done,
     /* 2021430 */   // Label 25025: @2021430
     /* 2021430 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(2021534), // Rule ID 24819 //
     /* 2021435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2021438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2021446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2021449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2021452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2021455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2021461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021481 */     // MIs[0] policy
     /* 2021481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021491 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 2021508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021533 */     // GIR_Coverage, 24819,
     /* 2021533 */     GIR_EraseRootFromParent_Done,
     /* 2021534 */   // Label 25026: @2021534
     /* 2021534 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(2021638), // Rule ID 24822 //
     /* 2021539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2021542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2021550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2021553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2021556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2021565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021585 */     // MIs[0] policy
     /* 2021585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021595 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 2021612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021637 */     // GIR_Coverage, 24822,
     /* 2021637 */     GIR_EraseRootFromParent_Done,
     /* 2021638 */   // Label 25027: @2021638
     /* 2021638 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(2021742), // Rule ID 24823 //
     /* 2021643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2021646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2021654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2021657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2021660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2021663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2021669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2021673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2021685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021689 */     // MIs[0] policy
     /* 2021689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021699 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 2021716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021741 */     // GIR_Coverage, 24823,
     /* 2021741 */     GIR_EraseRootFromParent_Done,
     /* 2021742 */   // Label 25028: @2021742
     /* 2021742 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(2021846), // Rule ID 24826 //
     /* 2021747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2021750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2021758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2021761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2021764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2021767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2021770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2021773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021793 */     // MIs[0] policy
     /* 2021793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021803 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 2021820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021845 */     // GIR_Coverage, 24826,
     /* 2021845 */     GIR_EraseRootFromParent_Done,
     /* 2021846 */   // Label 25029: @2021846
     /* 2021846 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(2021950), // Rule ID 24827 //
     /* 2021851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2021854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 2021859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2021862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2021865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2021868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2021871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2021874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2021877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2021881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2021893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021897 */     // MIs[0] policy
     /* 2021897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2021900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021907 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2021911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2021917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2021921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 2021924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2021932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2021938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2021948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021949 */     // GIR_Coverage, 24827,
     /* 2021949 */     GIR_EraseRootFromParent_Done,
     /* 2021950 */   // Label 25030: @2021950
     /* 2021950 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(2022054), // Rule ID 24830 //
     /* 2021955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2021958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2021963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2021966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2021969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2021972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2021981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2021997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022001 */     // MIs[0] policy
     /* 2022001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022011 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2022028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022053 */     // GIR_Coverage, 24830,
     /* 2022053 */     GIR_EraseRootFromParent_Done,
     /* 2022054 */   // Label 25031: @2022054
     /* 2022054 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(2022158), // Rule ID 24831 //
     /* 2022059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2022062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2022070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2022073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2022076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2022082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2022085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022105 */     // MIs[0] policy
     /* 2022105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022115 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 2022132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022157 */     // GIR_Coverage, 24831,
     /* 2022157 */     GIR_EraseRootFromParent_Done,
     /* 2022158 */   // Label 25032: @2022158
     /* 2022158 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(2022262), // Rule ID 24834 //
     /* 2022163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2022166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2022189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022209 */     // MIs[0] policy
     /* 2022209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022219 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2022236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022261 */     // GIR_Coverage, 24834,
     /* 2022261 */     GIR_EraseRootFromParent_Done,
     /* 2022262 */   // Label 25033: @2022262
     /* 2022262 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(2022366), // Rule ID 24835 //
     /* 2022267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2022270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2022278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2022281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2022284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2022290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2022293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022313 */     // MIs[0] policy
     /* 2022313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022323 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 2022340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022365 */     // GIR_Coverage, 24835,
     /* 2022365 */     GIR_EraseRootFromParent_Done,
     /* 2022366 */   // Label 25034: @2022366
     /* 2022366 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(2022470), // Rule ID 24838 //
     /* 2022371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2022374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2022397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022417 */     // MIs[0] policy
     /* 2022417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022427 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2022444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022469 */     // GIR_Coverage, 24838,
     /* 2022469 */     GIR_EraseRootFromParent_Done,
     /* 2022470 */   // Label 25035: @2022470
     /* 2022470 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(2022574), // Rule ID 24839 //
     /* 2022475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2022478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2022486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2022489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2022492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2022498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2022501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2022505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2022513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022521 */     // MIs[0] policy
     /* 2022521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022531 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 2022548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022573 */     // GIR_Coverage, 24839,
     /* 2022573 */     GIR_EraseRootFromParent_Done,
     /* 2022574 */   // Label 25036: @2022574
     /* 2022574 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(2022678), // Rule ID 24842 //
     /* 2022579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2022582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2022605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022625 */     // MIs[0] policy
     /* 2022625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022635 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2022652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022677 */     // GIR_Coverage, 24842,
     /* 2022677 */     GIR_EraseRootFromParent_Done,
     /* 2022678 */   // Label 25037: @2022678
     /* 2022678 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(2022782), // Rule ID 24843 //
     /* 2022683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2022686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2022709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022729 */     // MIs[0] policy
     /* 2022729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022739 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 2022756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022781 */     // GIR_Coverage, 24843,
     /* 2022781 */     GIR_EraseRootFromParent_Done,
     /* 2022782 */   // Label 25038: @2022782
     /* 2022782 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(2022886), // Rule ID 24846 //
     /* 2022787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2022790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2022804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2022813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022833 */     // MIs[0] policy
     /* 2022833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022843 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2022860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022885 */     // GIR_Coverage, 24846,
     /* 2022885 */     GIR_EraseRootFromParent_Done,
     /* 2022886 */   // Label 25039: @2022886
     /* 2022886 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(2022990), // Rule ID 24847 //
     /* 2022891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2022894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2022899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2022908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2022917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2022933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022937 */     // MIs[0] policy
     /* 2022937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2022940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022947 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2022951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2022957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2022961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 2022964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2022972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2022978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2022988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022989 */     // GIR_Coverage, 24847,
     /* 2022989 */     GIR_EraseRootFromParent_Done,
     /* 2022990 */   // Label 25040: @2022990
     /* 2022990 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(2023094), // Rule ID 24850 //
     /* 2022995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2022998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2023003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2023021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023041 */     // MIs[0] policy
     /* 2023041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023051 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2023068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023093 */     // GIR_Coverage, 24850,
     /* 2023093 */     GIR_EraseRootFromParent_Done,
     /* 2023094 */   // Label 25041: @2023094
     /* 2023094 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(2023198), // Rule ID 24851 //
     /* 2023099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2023102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 2023107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2023125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2023141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023145 */     // MIs[0] policy
     /* 2023145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 2023172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023197 */     // GIR_Coverage, 24851,
     /* 2023197 */     GIR_EraseRootFromParent_Done,
     /* 2023198 */   // Label 25042: @2023198
     /* 2023198 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(2023302), // Rule ID 24878 //
     /* 2023203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2023206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2023229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023249 */     // MIs[0] policy
     /* 2023249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023259 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 2023276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023301 */     // GIR_Coverage, 24878,
     /* 2023301 */     GIR_EraseRootFromParent_Done,
     /* 2023302 */   // Label 25043: @2023302
     /* 2023302 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(2023406), // Rule ID 24879 //
     /* 2023307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2023310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2023318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2023321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2023324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2023333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023353 */     // MIs[0] policy
     /* 2023353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023363 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 2023380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023405 */     // GIR_Coverage, 24879,
     /* 2023405 */     GIR_EraseRootFromParent_Done,
     /* 2023406 */   // Label 25044: @2023406
     /* 2023406 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(2023510), // Rule ID 24882 //
     /* 2023411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2023414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2023437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023457 */     // MIs[0] policy
     /* 2023457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023467 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 2023484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023509 */     // GIR_Coverage, 24882,
     /* 2023509 */     GIR_EraseRootFromParent_Done,
     /* 2023510 */   // Label 25045: @2023510
     /* 2023510 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(2023614), // Rule ID 24883 //
     /* 2023515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2023518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2023526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2023529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2023532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2023535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2023541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023561 */     // MIs[0] policy
     /* 2023561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023571 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 2023588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023613 */     // GIR_Coverage, 24883,
     /* 2023613 */     GIR_EraseRootFromParent_Done,
     /* 2023614 */   // Label 25046: @2023614
     /* 2023614 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(2023718), // Rule ID 24886 //
     /* 2023619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2023622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2023645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023665 */     // MIs[0] policy
     /* 2023665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023675 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 2023692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023717 */     // GIR_Coverage, 24886,
     /* 2023717 */     GIR_EraseRootFromParent_Done,
     /* 2023718 */   // Label 25047: @2023718
     /* 2023718 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(2023822), // Rule ID 24887 //
     /* 2023723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2023726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2023734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2023737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2023740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2023743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2023746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2023749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023769 */     // MIs[0] policy
     /* 2023769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023779 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 2023796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023821 */     // GIR_Coverage, 24887,
     /* 2023821 */     GIR_EraseRootFromParent_Done,
     /* 2023822 */   // Label 25048: @2023822
     /* 2023822 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(2023926), // Rule ID 24890 //
     /* 2023827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2023830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2023838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2023841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2023847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2023853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023873 */     // MIs[0] policy
     /* 2023873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023883 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2023897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 2023900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2023908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2023914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2023924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023925 */     // GIR_Coverage, 24890,
     /* 2023925 */     GIR_EraseRootFromParent_Done,
     /* 2023926 */   // Label 25049: @2023926
     /* 2023926 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(2024030), // Rule ID 24891 //
     /* 2023931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2023934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2023939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2023942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2023945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2023948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2023951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2023957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2023961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2023973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023977 */     // MIs[0] policy
     /* 2023977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2023980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023987 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2023991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2023997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 2024004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024029 */     // GIR_Coverage, 24891,
     /* 2024029 */     GIR_EraseRootFromParent_Done,
     /* 2024030 */   // Label 25050: @2024030
     /* 2024030 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(2024134), // Rule ID 24894 //
     /* 2024035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2024038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2024055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2024061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024081 */     // MIs[0] policy
     /* 2024081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024091 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 2024108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024133 */     // GIR_Coverage, 24894,
     /* 2024133 */     GIR_EraseRootFromParent_Done,
     /* 2024134 */   // Label 25051: @2024134
     /* 2024134 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(2024238), // Rule ID 24895 //
     /* 2024139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2024142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2024150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2024153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2024156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2024159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2024165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024185 */     // MIs[0] policy
     /* 2024185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 2024212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2024234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024237 */     // GIR_Coverage, 24895,
     /* 2024237 */     GIR_EraseRootFromParent_Done,
     /* 2024238 */   // Label 25052: @2024238
     /* 2024238 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(2024342), // Rule ID 24898 //
     /* 2024243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2024246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2024263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2024269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024289 */     // MIs[0] policy
     /* 2024289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024299 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 2024316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024341 */     // GIR_Coverage, 24898,
     /* 2024341 */     GIR_EraseRootFromParent_Done,
     /* 2024342 */   // Label 25053: @2024342
     /* 2024342 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(2024446), // Rule ID 24899 //
     /* 2024347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2024350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2024358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2024361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2024364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2024367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2024373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024393 */     // MIs[0] policy
     /* 2024393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024403 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 2024420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024445 */     // GIR_Coverage, 24899,
     /* 2024445 */     GIR_EraseRootFromParent_Done,
     /* 2024446 */   // Label 25054: @2024446
     /* 2024446 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(2024550), // Rule ID 24902 //
     /* 2024451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2024454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2024462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2024465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2024468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2024471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2024477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024497 */     // MIs[0] policy
     /* 2024497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024507 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 2024524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024549 */     // GIR_Coverage, 24902,
     /* 2024549 */     GIR_EraseRootFromParent_Done,
     /* 2024550 */   // Label 25055: @2024550
     /* 2024550 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(2024654), // Rule ID 24903 //
     /* 2024555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2024558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2024566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2024569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2024572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2024575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2024581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2024585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2024597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024601 */     // MIs[0] policy
     /* 2024601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024611 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 2024628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024653 */     // GIR_Coverage, 24903,
     /* 2024653 */     GIR_EraseRootFromParent_Done,
     /* 2024654 */   // Label 25056: @2024654
     /* 2024654 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(2024758), // Rule ID 24906 //
     /* 2024659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2024662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2024670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2024673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2024676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2024679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2024685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024705 */     // MIs[0] policy
     /* 2024705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024715 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 2024732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024757 */     // GIR_Coverage, 24906,
     /* 2024757 */     GIR_EraseRootFromParent_Done,
     /* 2024758 */   // Label 25057: @2024758
     /* 2024758 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(2024862), // Rule ID 24907 //
     /* 2024763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2024766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2024774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2024777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2024780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2024783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2024786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2024789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024809 */     // MIs[0] policy
     /* 2024809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024819 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 2024836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024861 */     // GIR_Coverage, 24907,
     /* 2024861 */     GIR_EraseRootFromParent_Done,
     /* 2024862 */   // Label 25058: @2024862
     /* 2024862 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(2024966), // Rule ID 24910 //
     /* 2024867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2024870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2024878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2024881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2024884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2024887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2024893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024913 */     // MIs[0] policy
     /* 2024913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2024916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024923 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2024927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2024933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2024937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 2024940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2024948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2024954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2024962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2024964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024965 */     // GIR_Coverage, 24910,
     /* 2024965 */     GIR_EraseRootFromParent_Done,
     /* 2024966 */   // Label 25059: @2024966
     /* 2024966 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(2025070), // Rule ID 24911 //
     /* 2024971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2024974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2024979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2024982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2024985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2024988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2024991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2024994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2024997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025017 */     // MIs[0] policy
     /* 2025017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025027 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 2025044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025069 */     // GIR_Coverage, 24911,
     /* 2025069 */     GIR_EraseRootFromParent_Done,
     /* 2025070 */   // Label 25060: @2025070
     /* 2025070 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(2025174), // Rule ID 24914 //
     /* 2025075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2025078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2025101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025121 */     // MIs[0] policy
     /* 2025121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025131 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 2025148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025173 */     // GIR_Coverage, 24914,
     /* 2025173 */     GIR_EraseRootFromParent_Done,
     /* 2025174 */   // Label 25061: @2025174
     /* 2025174 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(2025278), // Rule ID 24915 //
     /* 2025179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2025182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2025190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2025193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2025196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2025205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025225 */     // MIs[0] policy
     /* 2025225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 2025252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025277 */     // GIR_Coverage, 24915,
     /* 2025277 */     GIR_EraseRootFromParent_Done,
     /* 2025278 */   // Label 25062: @2025278
     /* 2025278 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(2025382), // Rule ID 24918 //
     /* 2025283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2025286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2025309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025329 */     // MIs[0] policy
     /* 2025329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025339 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 2025356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025381 */     // GIR_Coverage, 24918,
     /* 2025381 */     GIR_EraseRootFromParent_Done,
     /* 2025382 */   // Label 25063: @2025382
     /* 2025382 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(2025486), // Rule ID 24919 //
     /* 2025387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2025390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2025398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2025401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2025404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2025407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2025413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025433 */     // MIs[0] policy
     /* 2025433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025443 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 2025460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025485 */     // GIR_Coverage, 24919,
     /* 2025485 */     GIR_EraseRootFromParent_Done,
     /* 2025486 */   // Label 25064: @2025486
     /* 2025486 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(2025590), // Rule ID 24922 //
     /* 2025491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2025494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2025508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2025517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025537 */     // MIs[0] policy
     /* 2025537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025547 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 2025564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025589 */     // GIR_Coverage, 24922,
     /* 2025589 */     GIR_EraseRootFromParent_Done,
     /* 2025590 */   // Label 25065: @2025590
     /* 2025590 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(2025694), // Rule ID 24923 //
     /* 2025595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2025598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2025606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2025609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2025612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2025615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2025618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2025621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2025625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2025633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025641 */     // MIs[0] policy
     /* 2025641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025651 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 2025668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025693 */     // GIR_Coverage, 24923,
     /* 2025693 */     GIR_EraseRootFromParent_Done,
     /* 2025694 */   // Label 25066: @2025694
     /* 2025694 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(2025798), // Rule ID 24926 //
     /* 2025699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2025702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2025710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2025713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2025716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2025725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025745 */     // MIs[0] policy
     /* 2025745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025755 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 2025772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025797 */     // GIR_Coverage, 24926,
     /* 2025797 */     GIR_EraseRootFromParent_Done,
     /* 2025798 */   // Label 25067: @2025798
     /* 2025798 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(2025902), // Rule ID 24927 //
     /* 2025803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2025806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2025814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2025817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2025820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2025823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2025829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2025833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2025841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025849 */     // MIs[0] policy
     /* 2025849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025859 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 2025876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2025898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2025900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025901 */     // GIR_Coverage, 24927,
     /* 2025901 */     GIR_EraseRootFromParent_Done,
     /* 2025902 */   // Label 25068: @2025902
     /* 2025902 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(2026006), // Rule ID 24930 //
     /* 2025907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2025910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2025915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2025918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2025921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2025924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2025927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2025933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2025937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2025945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025953 */     // MIs[0] policy
     /* 2025953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2025956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025963 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2025967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2025973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2025977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 2025980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2025988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2025994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026005 */     // GIR_Coverage, 24930,
     /* 2026005 */     GIR_EraseRootFromParent_Done,
     /* 2026006 */   // Label 25069: @2026006
     /* 2026006 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(2026110), // Rule ID 24931 //
     /* 2026011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2026014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2026019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2026022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2026025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2026028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2026031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2026037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026057 */     // MIs[0] policy
     /* 2026057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026067 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 2026084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026109 */     // GIR_Coverage, 24931,
     /* 2026109 */     GIR_EraseRootFromParent_Done,
     /* 2026110 */   // Label 25070: @2026110
     /* 2026110 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(2026214), // Rule ID 24934 //
     /* 2026115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2026118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2026123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2026135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2026141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026161 */     // MIs[0] policy
     /* 2026161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026171 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 2026188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026213 */     // GIR_Coverage, 24934,
     /* 2026213 */     GIR_EraseRootFromParent_Done,
     /* 2026214 */   // Label 25071: @2026214
     /* 2026214 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(2026318), // Rule ID 24935 //
     /* 2026219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2026222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 2026227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2026230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2026233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2026236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2026239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2026245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026265 */     // MIs[0] policy
     /* 2026265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026275 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 2026292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026317 */     // GIR_Coverage, 24935,
     /* 2026317 */     GIR_EraseRootFromParent_Done,
     /* 2026318 */   // Label 25072: @2026318
     /* 2026318 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(2026422), // Rule ID 60274 //
     /* 2026323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2026326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2026334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2026337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2026343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2026349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026369 */     // MIs[0] policy
     /* 2026369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026379 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 2026396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026421 */     // GIR_Coverage, 60274,
     /* 2026421 */     GIR_EraseRootFromParent_Done,
     /* 2026422 */   // Label 25073: @2026422
     /* 2026422 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(2026526), // Rule ID 60275 //
     /* 2026427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2026430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2026438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2026441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2026444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2026447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2026453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026473 */     // MIs[0] policy
     /* 2026473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 2026500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026525 */     // GIR_Coverage, 60275,
     /* 2026525 */     GIR_EraseRootFromParent_Done,
     /* 2026526 */   // Label 25074: @2026526
     /* 2026526 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(2026630), // Rule ID 60278 //
     /* 2026531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2026534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2026551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2026557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026577 */     // MIs[0] policy
     /* 2026577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 2026604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026629 */     // GIR_Coverage, 60278,
     /* 2026629 */     GIR_EraseRootFromParent_Done,
     /* 2026630 */   // Label 25075: @2026630
     /* 2026630 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(2026734), // Rule ID 60279 //
     /* 2026635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2026638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2026646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2026649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2026652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2026655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2026661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026681 */     // MIs[0] policy
     /* 2026681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026691 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 2026708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026733 */     // GIR_Coverage, 60279,
     /* 2026733 */     GIR_EraseRootFromParent_Done,
     /* 2026734 */   // Label 25076: @2026734
     /* 2026734 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(2026838), // Rule ID 60282 //
     /* 2026739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2026742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2026756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2026759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2026765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026785 */     // MIs[0] policy
     /* 2026785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026795 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2026812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026837 */     // GIR_Coverage, 60282,
     /* 2026837 */     GIR_EraseRootFromParent_Done,
     /* 2026838 */   // Label 25077: @2026838
     /* 2026838 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(2026942), // Rule ID 60283 //
     /* 2026843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2026846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2026854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2026857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2026860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2026863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2026866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2026869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026889 */     // MIs[0] policy
     /* 2026889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2026903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2026909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2026913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2026916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2026924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2026930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2026940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026941 */     // GIR_Coverage, 60283,
     /* 2026941 */     GIR_EraseRootFromParent_Done,
     /* 2026942 */   // Label 25078: @2026942
     /* 2026942 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(2027046), // Rule ID 60286 //
     /* 2026947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2026950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2026955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2026958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2026961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2026964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2026967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2026970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2026973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026993 */     // MIs[0] policy
     /* 2026993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2026996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027003 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2027020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027045 */     // GIR_Coverage, 60286,
     /* 2027045 */     GIR_EraseRootFromParent_Done,
     /* 2027046 */   // Label 25079: @2027046
     /* 2027046 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(2027150), // Rule ID 60287 //
     /* 2027051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2027054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2027068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2027071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2027077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027097 */     // MIs[0] policy
     /* 2027097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2027124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027149 */     // GIR_Coverage, 60287,
     /* 2027149 */     GIR_EraseRootFromParent_Done,
     /* 2027150 */   // Label 25080: @2027150
     /* 2027150 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(2027254), // Rule ID 60290 //
     /* 2027155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2027158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2027172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2027175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2027181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027201 */     // MIs[0] policy
     /* 2027201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027211 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2027228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027253 */     // GIR_Coverage, 60290,
     /* 2027253 */     GIR_EraseRootFromParent_Done,
     /* 2027254 */   // Label 25081: @2027254
     /* 2027254 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(2027358), // Rule ID 60291 //
     /* 2027259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2027262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2027276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2027279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2027285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027305 */     // MIs[0] policy
     /* 2027305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027315 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2027332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027357 */     // GIR_Coverage, 60291,
     /* 2027357 */     GIR_EraseRootFromParent_Done,
     /* 2027358 */   // Label 25082: @2027358
     /* 2027358 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(2027462), // Rule ID 60294 //
     /* 2027363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2027366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2027380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2027383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2027389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027409 */     // MIs[0] policy
     /* 2027409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2027436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027461 */     // GIR_Coverage, 60294,
     /* 2027461 */     GIR_EraseRootFromParent_Done,
     /* 2027462 */   // Label 25083: @2027462
     /* 2027462 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(2027566), // Rule ID 60295 //
     /* 2027467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2027470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2027484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2027487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2027493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027513 */     // MIs[0] policy
     /* 2027513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027523 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2027540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2027562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027565 */     // GIR_Coverage, 60295,
     /* 2027565 */     GIR_EraseRootFromParent_Done,
     /* 2027566 */   // Label 25084: @2027566
     /* 2027566 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(2027670), // Rule ID 60298 //
     /* 2027571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2027574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2027597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027617 */     // MIs[0] policy
     /* 2027617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 2027644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027669 */     // GIR_Coverage, 60298,
     /* 2027669 */     GIR_EraseRootFromParent_Done,
     /* 2027670 */   // Label 25085: @2027670
     /* 2027670 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(2027774), // Rule ID 60299 //
     /* 2027675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2027678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2027686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2027689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2027692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2027695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2027698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2027701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027721 */     // MIs[0] policy
     /* 2027721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027731 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 2027748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027773 */     // GIR_Coverage, 60299,
     /* 2027773 */     GIR_EraseRootFromParent_Done,
     /* 2027774 */   // Label 25086: @2027774
     /* 2027774 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(2027878), // Rule ID 60302 //
     /* 2027779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2027782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2027799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2027805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027825 */     // MIs[0] policy
     /* 2027825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2027852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027877 */     // GIR_Coverage, 60302,
     /* 2027877 */     GIR_EraseRootFromParent_Done,
     /* 2027878 */   // Label 25087: @2027878
     /* 2027878 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(2027982), // Rule ID 60303 //
     /* 2027883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2027886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2027894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2027897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2027900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2027903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2027906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2027909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2027913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2027925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027929 */     // MIs[0] policy
     /* 2027929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2027932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2027943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2027949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2027953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2027956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2027964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2027970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2027980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027981 */     // GIR_Coverage, 60303,
     /* 2027981 */     GIR_EraseRootFromParent_Done,
     /* 2027982 */   // Label 25088: @2027982
     /* 2027982 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(2028086), // Rule ID 60306 //
     /* 2027987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2027990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2027995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2028001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2028007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2028013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028033 */     // MIs[0] policy
     /* 2028033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2028060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028085 */     // GIR_Coverage, 60306,
     /* 2028085 */     GIR_EraseRootFromParent_Done,
     /* 2028086 */   // Label 25089: @2028086
     /* 2028086 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(2028190), // Rule ID 60307 //
     /* 2028091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2028094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2028102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2028105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2028108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2028111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2028117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028137 */     // MIs[0] policy
     /* 2028137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2028164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028189 */     // GIR_Coverage, 60307,
     /* 2028189 */     GIR_EraseRootFromParent_Done,
     /* 2028190 */   // Label 25090: @2028190
     /* 2028190 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(2028294), // Rule ID 60310 //
     /* 2028195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2028198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2028206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2028209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2028215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2028221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028241 */     // MIs[0] policy
     /* 2028241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2028268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028293 */     // GIR_Coverage, 60310,
     /* 2028293 */     GIR_EraseRootFromParent_Done,
     /* 2028294 */   // Label 25091: @2028294
     /* 2028294 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(2028398), // Rule ID 60311 //
     /* 2028299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2028302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2028310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2028313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2028316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2028319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2028325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028345 */     // MIs[0] policy
     /* 2028345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2028372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028397 */     // GIR_Coverage, 60311,
     /* 2028397 */     GIR_EraseRootFromParent_Done,
     /* 2028398 */   // Label 25092: @2028398
     /* 2028398 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(2028502), // Rule ID 60314 //
     /* 2028403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2028406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2028423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2028429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028449 */     // MIs[0] policy
     /* 2028449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2028476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028501 */     // GIR_Coverage, 60314,
     /* 2028501 */     GIR_EraseRootFromParent_Done,
     /* 2028502 */   // Label 25093: @2028502
     /* 2028502 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(2028606), // Rule ID 60315 //
     /* 2028507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2028510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2028524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2028527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2028533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028553 */     // MIs[0] policy
     /* 2028553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028563 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2028580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2028602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028605 */     // GIR_Coverage, 60315,
     /* 2028605 */     GIR_EraseRootFromParent_Done,
     /* 2028606 */   // Label 25094: @2028606
     /* 2028606 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(2028710), // Rule ID 60318 //
     /* 2028611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2028614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2028637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028657 */     // MIs[0] policy
     /* 2028657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028667 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2028684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028709 */     // GIR_Coverage, 60318,
     /* 2028709 */     GIR_EraseRootFromParent_Done,
     /* 2028710 */   // Label 25095: @2028710
     /* 2028710 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(2028814), // Rule ID 60319 //
     /* 2028715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2028718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2028726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2028729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2028732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2028735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2028741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028761 */     // MIs[0] policy
     /* 2028761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028771 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 2028788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028813 */     // GIR_Coverage, 60319,
     /* 2028813 */     GIR_EraseRootFromParent_Done,
     /* 2028814 */   // Label 25096: @2028814
     /* 2028814 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(2028918), // Rule ID 60322 //
     /* 2028819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2028822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2028845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028865 */     // MIs[0] policy
     /* 2028865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2028892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2028900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2028906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2028916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028917 */     // GIR_Coverage, 60322,
     /* 2028917 */     GIR_EraseRootFromParent_Done,
     /* 2028918 */   // Label 25097: @2028918
     /* 2028918 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(2029022), // Rule ID 60323 //
     /* 2028923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2028926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2028931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2028940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2028943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2028949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028969 */     // MIs[0] policy
     /* 2028969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2028972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028979 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2028983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2028989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2028993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 2028996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029021 */     // GIR_Coverage, 60323,
     /* 2029021 */     GIR_EraseRootFromParent_Done,
     /* 2029022 */   // Label 25098: @2029022
     /* 2029022 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(2029126), // Rule ID 60326 //
     /* 2029027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2029030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2029047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2029053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029073 */     // MIs[0] policy
     /* 2029073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029083 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2029100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029125 */     // GIR_Coverage, 60326,
     /* 2029125 */     GIR_EraseRootFromParent_Done,
     /* 2029126 */   // Label 25099: @2029126
     /* 2029126 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(2029230), // Rule ID 60327 //
     /* 2029131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2029134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2029142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2029145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2029148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2029151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2029157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029177 */     // MIs[0] policy
     /* 2029177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 2029204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029229 */     // GIR_Coverage, 60327,
     /* 2029229 */     GIR_EraseRootFromParent_Done,
     /* 2029230 */   // Label 25100: @2029230
     /* 2029230 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(2029334), // Rule ID 60330 //
     /* 2029235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2029238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2029255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2029261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029281 */     // MIs[0] policy
     /* 2029281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029291 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2029308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029333 */     // GIR_Coverage, 60330,
     /* 2029333 */     GIR_EraseRootFromParent_Done,
     /* 2029334 */   // Label 25101: @2029334
     /* 2029334 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(2029438), // Rule ID 60331 //
     /* 2029339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2029342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2029350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2029353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2029356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2029359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2029365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2029369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029385 */     // MIs[0] policy
     /* 2029385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029395 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 2029412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2029434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029437 */     // GIR_Coverage, 60331,
     /* 2029437 */     GIR_EraseRootFromParent_Done,
     /* 2029438 */   // Label 25102: @2029438
     /* 2029438 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(2029542), // Rule ID 60334 //
     /* 2029443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2029446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2029460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2029469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029489 */     // MIs[0] policy
     /* 2029489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029499 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 2029516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029541 */     // GIR_Coverage, 60334,
     /* 2029541 */     GIR_EraseRootFromParent_Done,
     /* 2029542 */   // Label 25103: @2029542
     /* 2029542 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(2029646), // Rule ID 60335 //
     /* 2029547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2029550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2029558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2029561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2029564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2029570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2029573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029593 */     // MIs[0] policy
     /* 2029593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 2029620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029645 */     // GIR_Coverage, 60335,
     /* 2029645 */     GIR_EraseRootFromParent_Done,
     /* 2029646 */   // Label 25104: @2029646
     /* 2029646 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(2029750), // Rule ID 60342 //
     /* 2029651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2029654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2029677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029697 */     // MIs[0] policy
     /* 2029697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029707 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 2029724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029749 */     // GIR_Coverage, 60342,
     /* 2029749 */     GIR_EraseRootFromParent_Done,
     /* 2029750 */   // Label 25105: @2029750
     /* 2029750 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(2029854), // Rule ID 60343 //
     /* 2029755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2029758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2029766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2029769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2029772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2029781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029801 */     // MIs[0] policy
     /* 2029801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029811 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 2029828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029853 */     // GIR_Coverage, 60343,
     /* 2029853 */     GIR_EraseRootFromParent_Done,
     /* 2029854 */   // Label 25106: @2029854
     /* 2029854 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(2029958), // Rule ID 60350 //
     /* 2029859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2029862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2029870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2029873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2029885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2029901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029905 */     // MIs[0] policy
     /* 2029905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2029908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2029919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2029925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2029929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2029932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2029940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2029946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2029956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029957 */     // GIR_Coverage, 60350,
     /* 2029957 */     GIR_EraseRootFromParent_Done,
     /* 2029958 */   // Label 25107: @2029958
     /* 2029958 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(2030062), // Rule ID 60351 //
     /* 2029963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2029966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2029971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2029974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2029977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2029980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2029989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030009 */     // MIs[0] policy
     /* 2030009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030019 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11300:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2030036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030061 */     // GIR_Coverage, 60351,
     /* 2030061 */     GIR_EraseRootFromParent_Done,
     /* 2030062 */   // Label 25108: @2030062
     /* 2030062 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(2030166), // Rule ID 60358 //
     /* 2030067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2030070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2030078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2030081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2030093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030113 */     // MIs[0] policy
     /* 2030113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2030140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030165 */     // GIR_Coverage, 60358,
     /* 2030165 */     GIR_EraseRootFromParent_Done,
     /* 2030166 */   // Label 25109: @2030166
     /* 2030166 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(2030270), // Rule ID 60359 //
     /* 2030171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2030174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2030182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2030185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2030188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2030197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030217 */     // MIs[0] policy
     /* 2030217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2030244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030269 */     // GIR_Coverage, 60359,
     /* 2030269 */     GIR_EraseRootFromParent_Done,
     /* 2030270 */   // Label 25110: @2030270
     /* 2030270 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(2030374), // Rule ID 60366 //
     /* 2030275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2030278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2030286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2030289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2030292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2030301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030321 */     // MIs[0] policy
     /* 2030321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030331 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2030348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030373 */     // GIR_Coverage, 60366,
     /* 2030373 */     GIR_EraseRootFromParent_Done,
     /* 2030374 */   // Label 25111: @2030374
     /* 2030374 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(2030478), // Rule ID 60367 //
     /* 2030379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2030382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2030390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2030393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2030396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2030405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030425 */     // MIs[0] policy
     /* 2030425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2030452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030477 */     // GIR_Coverage, 60367,
     /* 2030477 */     GIR_EraseRootFromParent_Done,
     /* 2030478 */   // Label 25112: @2030478
     /* 2030478 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(2030582), // Rule ID 60374 //
     /* 2030483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2030486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2030494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2030497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2030500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2030506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2030509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030529 */     // MIs[0] policy
     /* 2030529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030539 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2030556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030581 */     // GIR_Coverage, 60374,
     /* 2030581 */     GIR_EraseRootFromParent_Done,
     /* 2030582 */   // Label 25113: @2030582
     /* 2030582 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(2030686), // Rule ID 60375 //
     /* 2030587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2030590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2030598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2030601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2030604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2030610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2030613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2030617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030633 */     // MIs[0] policy
     /* 2030633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2030660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030685 */     // GIR_Coverage, 60375,
     /* 2030685 */     GIR_EraseRootFromParent_Done,
     /* 2030686 */   // Label 25114: @2030686
     /* 2030686 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(2030790), // Rule ID 60382 //
     /* 2030691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2030694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2030708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2030717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030737 */     // MIs[0] policy
     /* 2030737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 2030764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030789 */     // GIR_Coverage, 60382,
     /* 2030789 */     GIR_EraseRootFromParent_Done,
     /* 2030790 */   // Label 25115: @2030790
     /* 2030790 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(2030894), // Rule ID 60383 //
     /* 2030795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2030798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2030806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2030809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2030812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2030821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030841 */     // MIs[0] policy
     /* 2030841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 2030868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030893 */     // GIR_Coverage, 60383,
     /* 2030893 */     GIR_EraseRootFromParent_Done,
     /* 2030894 */   // Label 25116: @2030894
     /* 2030894 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(2030998), // Rule ID 60390 //
     /* 2030899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2030902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2030907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2030910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2030913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2030916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2030925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2030941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030945 */     // MIs[0] policy
     /* 2030945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2030948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2030959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2030965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2030969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2030972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2030980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2030986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2030996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030997 */     // GIR_Coverage, 60390,
     /* 2030997 */     GIR_EraseRootFromParent_Done,
     /* 2030998 */   // Label 25117: @2030998
     /* 2030998 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(2031102), // Rule ID 60391 //
     /* 2031003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2031006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2031014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2031017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2031020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2031029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031049 */     // MIs[0] policy
     /* 2031049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2031076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031101 */     // GIR_Coverage, 60391,
     /* 2031101 */     GIR_EraseRootFromParent_Done,
     /* 2031102 */   // Label 25118: @2031102
     /* 2031102 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(2031206), // Rule ID 60398 //
     /* 2031107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2031110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2031124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2031133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031153 */     // MIs[0] policy
     /* 2031153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2031180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031205 */     // GIR_Coverage, 60398,
     /* 2031205 */     GIR_EraseRootFromParent_Done,
     /* 2031206 */   // Label 25119: @2031206
     /* 2031206 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(2031310), // Rule ID 60399 //
     /* 2031211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2031214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2031228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2031237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031257 */     // MIs[0] policy
     /* 2031257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031267 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2031284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031309 */     // GIR_Coverage, 60399,
     /* 2031309 */     GIR_EraseRootFromParent_Done,
     /* 2031310 */   // Label 25120: @2031310
     /* 2031310 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(2031414), // Rule ID 60406 //
     /* 2031315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2031318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2031341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031361 */     // MIs[0] policy
     /* 2031361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2031388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031413 */     // GIR_Coverage, 60406,
     /* 2031413 */     GIR_EraseRootFromParent_Done,
     /* 2031414 */   // Label 25121: @2031414
     /* 2031414 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(2031518), // Rule ID 60407 //
     /* 2031419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2031422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2031436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2031445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031465 */     // MIs[0] policy
     /* 2031465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2031492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031517 */     // GIR_Coverage, 60407,
     /* 2031517 */     GIR_EraseRootFromParent_Done,
     /* 2031518 */   // Label 25122: @2031518
     /* 2031518 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(2031622), // Rule ID 60414 //
     /* 2031523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2031526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2031534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2031537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2031549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031569 */     // MIs[0] policy
     /* 2031569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2031596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031621 */     // GIR_Coverage, 60414,
     /* 2031621 */     GIR_EraseRootFromParent_Done,
     /* 2031622 */   // Label 25123: @2031622
     /* 2031622 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(2031726), // Rule ID 60415 //
     /* 2031627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2031630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2031638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2031641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2031644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2031653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2031657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031673 */     // MIs[0] policy
     /* 2031673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031683 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2031700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031725 */     // GIR_Coverage, 60415,
     /* 2031725 */     GIR_EraseRootFromParent_Done,
     /* 2031726 */   // Label 25124: @2031726
     /* 2031726 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(2031830), // Rule ID 60422 //
     /* 2031731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2031734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2031757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031777 */     // MIs[0] policy
     /* 2031777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031787 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2031804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031829 */     // GIR_Coverage, 60422,
     /* 2031829 */     GIR_EraseRootFromParent_Done,
     /* 2031830 */   // Label 25125: @2031830
     /* 2031830 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(2031934), // Rule ID 60423 //
     /* 2031835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2031838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2031846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2031849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2031852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2031861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031881 */     // MIs[0] policy
     /* 2031881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031891 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2031901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2031905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 2031908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2031916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2031922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2031932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031933 */     // GIR_Coverage, 60423,
     /* 2031933 */     GIR_EraseRootFromParent_Done,
     /* 2031934 */   // Label 25126: @2031934
     /* 2031934 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(2032038), // Rule ID 60430 //
     /* 2031939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2031942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2031947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2031950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2031953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2031956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2031965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2031981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031985 */     // MIs[0] policy
     /* 2031985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2031988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031995 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2031999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2032012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032037 */     // GIR_Coverage, 60430,
     /* 2032037 */     GIR_EraseRootFromParent_Done,
     /* 2032038 */   // Label 25127: @2032038
     /* 2032038 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(2032142), // Rule ID 60431 //
     /* 2032043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2032046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2032051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2032060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2032069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032089 */     // MIs[0] policy
     /* 2032089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 2032116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032141 */     // GIR_Coverage, 60431,
     /* 2032141 */     GIR_EraseRootFromParent_Done,
     /* 2032142 */   // Label 25128: @2032142
     /* 2032142 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(2032246), // Rule ID 60438 //
     /* 2032147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2032150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2032155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2032173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032193 */     // MIs[0] policy
     /* 2032193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032203 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2032220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032245 */     // GIR_Coverage, 60438,
     /* 2032245 */     GIR_EraseRootFromParent_Done,
     /* 2032246 */   // Label 25129: @2032246
     /* 2032246 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(2032350), // Rule ID 60439 //
     /* 2032251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2032254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2032259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2032268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2032277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2032281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032297 */     // MIs[0] policy
     /* 2032297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032307 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 2032324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032349 */     // GIR_Coverage, 60439,
     /* 2032349 */     GIR_EraseRootFromParent_Done,
     /* 2032350 */   // Label 25130: @2032350
     /* 2032350 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(2032454), // Rule ID 60446 //
     /* 2032355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 2032358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2032363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2032381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032401 */     // MIs[0] policy
     /* 2032401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2032428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032453 */     // GIR_Coverage, 60446,
     /* 2032453 */     GIR_EraseRootFromParent_Done,
     /* 2032454 */   // Label 25131: @2032454
     /* 2032454 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(2032558), // Rule ID 60447 //
     /* 2032459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 2032462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 2032467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2032470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2032473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2032476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2032485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2032489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2032493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2032501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032505 */     // MIs[0] policy
     /* 2032505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032515 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 2032532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2032554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032557 */     // GIR_Coverage, 60447,
     /* 2032557 */     GIR_EraseRootFromParent_Done,
     /* 2032558 */   // Label 25132: @2032558
     /* 2032558 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(2032662), // Rule ID 60454 //
     /* 2032563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2032566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2032571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2032589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032609 */     // MIs[0] policy
     /* 2032609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 2032636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032661 */     // GIR_Coverage, 60454,
     /* 2032661 */     GIR_EraseRootFromParent_Done,
     /* 2032662 */   // Label 25133: @2032662
     /* 2032662 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(2032766), // Rule ID 60455 //
     /* 2032667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2032670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2032675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2032678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2032681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2032684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2032687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2032693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032713 */     // MIs[0] policy
     /* 2032713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 2032740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032765 */     // GIR_Coverage, 60455,
     /* 2032765 */     GIR_EraseRootFromParent_Done,
     /* 2032766 */   // Label 25134: @2032766
     /* 2032766 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(2032870), // Rule ID 60458 //
     /* 2032771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2032774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2032779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2032791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2032797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032817 */     // MIs[0] policy
     /* 2032817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 2032844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032869 */     // GIR_Coverage, 60458,
     /* 2032869 */     GIR_EraseRootFromParent_Done,
     /* 2032870 */   // Label 25135: @2032870
     /* 2032870 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(2032974), // Rule ID 60459 //
     /* 2032875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2032878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2032883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2032886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2032889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2032892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2032895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2032901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032921 */     // MIs[0] policy
     /* 2032921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2032924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032931 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2032935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2032941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2032945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 2032948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2032956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2032962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2032970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2032972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032973 */     // GIR_Coverage, 60459,
     /* 2032973 */     GIR_EraseRootFromParent_Done,
     /* 2032974 */   // Label 25136: @2032974
     /* 2032974 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(2033078), // Rule ID 60462 //
     /* 2032979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2032982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2032987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2032990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2032993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2032996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2032999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2033005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033025 */     // MIs[0] policy
     /* 2033025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033035 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 2033052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033077 */     // GIR_Coverage, 60462,
     /* 2033077 */     GIR_EraseRootFromParent_Done,
     /* 2033078 */   // Label 25137: @2033078
     /* 2033078 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(2033182), // Rule ID 60463 //
     /* 2033083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2033086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2033103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2033109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033129 */     // MIs[0] policy
     /* 2033129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033139 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 2033156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033181 */     // GIR_Coverage, 60463,
     /* 2033181 */     GIR_EraseRootFromParent_Done,
     /* 2033182 */   // Label 25138: @2033182
     /* 2033182 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(2033286), // Rule ID 60466 //
     /* 2033187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2033190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2033213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033233 */     // MIs[0] policy
     /* 2033233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033243 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 2033260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033285 */     // GIR_Coverage, 60466,
     /* 2033285 */     GIR_EraseRootFromParent_Done,
     /* 2033286 */   // Label 25139: @2033286
     /* 2033286 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(2033390), // Rule ID 60467 //
     /* 2033291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2033294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2033302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2033305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2033308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2033311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2033317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2033321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033337 */     // MIs[0] policy
     /* 2033337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 2033364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033389 */     // GIR_Coverage, 60467,
     /* 2033389 */     GIR_EraseRootFromParent_Done,
     /* 2033390 */   // Label 25140: @2033390
     /* 2033390 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(2033494), // Rule ID 60470 //
     /* 2033395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2033398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2033412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2033421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033441 */     // MIs[0] policy
     /* 2033441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033451 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 2033468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033493 */     // GIR_Coverage, 60470,
     /* 2033493 */     GIR_EraseRootFromParent_Done,
     /* 2033494 */   // Label 25141: @2033494
     /* 2033494 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(2033598), // Rule ID 60471 //
     /* 2033499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2033502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2033510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2033513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2033516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2033525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033545 */     // MIs[0] policy
     /* 2033545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033555 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10803:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 2033572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033597 */     // GIR_Coverage, 60471,
     /* 2033597 */     GIR_EraseRootFromParent_Done,
     /* 2033598 */   // Label 25142: @2033598
     /* 2033598 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(2033702), // Rule ID 60474 //
     /* 2033603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2033606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2033620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2033629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033649 */     // MIs[0] policy
     /* 2033649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033659 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 2033676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033701 */     // GIR_Coverage, 60474,
     /* 2033701 */     GIR_EraseRootFromParent_Done,
     /* 2033702 */   // Label 25143: @2033702
     /* 2033702 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(2033806), // Rule ID 60475 //
     /* 2033707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2033710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2033718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2033721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2033724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2033733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033753 */     // MIs[0] policy
     /* 2033753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033763 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10803:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 2033780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033805 */     // GIR_Coverage, 60475,
     /* 2033805 */     GIR_EraseRootFromParent_Done,
     /* 2033806 */   // Label 25144: @2033806
     /* 2033806 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(2033910), // Rule ID 60478 //
     /* 2033811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2033814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2033837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033857 */     // MIs[0] policy
     /* 2033857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 2033884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2033898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2033906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2033908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033909 */     // GIR_Coverage, 60478,
     /* 2033909 */     GIR_EraseRootFromParent_Done,
     /* 2033910 */   // Label 25145: @2033910
     /* 2033910 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(2034014), // Rule ID 60479 //
     /* 2033915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2033918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2033923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2033926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2033929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2033932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2033941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2033957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033961 */     // MIs[0] policy
     /* 2033961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2033964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10803:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2033975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2033981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2033985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 2033988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2033996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034013 */     // GIR_Coverage, 60479,
     /* 2034013 */     GIR_EraseRootFromParent_Done,
     /* 2034014 */   // Label 25146: @2034014
     /* 2034014 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(2034118), // Rule ID 60482 //
     /* 2034019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2034022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2034027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2034045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034065 */     // MIs[0] policy
     /* 2034065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034075 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 2034092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034117 */     // GIR_Coverage, 60482,
     /* 2034117 */     GIR_EraseRootFromParent_Done,
     /* 2034118 */   // Label 25147: @2034118
     /* 2034118 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(2034222), // Rule ID 60483 //
     /* 2034123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2034126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 2034131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2034149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2034165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034169 */     // MIs[0] policy
     /* 2034169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034179 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10803:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 2034196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034221 */     // GIR_Coverage, 60483,
     /* 2034221 */     GIR_EraseRootFromParent_Done,
     /* 2034222 */   // Label 25148: @2034222
     /* 2034222 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(2034326), // Rule ID 60486 //
     /* 2034227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2034230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2034238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2034241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2034247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2034253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034273 */     // MIs[0] policy
     /* 2034273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034283 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 2034300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034325 */     // GIR_Coverage, 60486,
     /* 2034325 */     GIR_EraseRootFromParent_Done,
     /* 2034326 */   // Label 25149: @2034326
     /* 2034326 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(2034430), // Rule ID 60487 //
     /* 2034331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2034334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2034342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2034345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2034351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2034357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034377 */     // MIs[0] policy
     /* 2034377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034387 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 2034404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034429 */     // GIR_Coverage, 60487,
     /* 2034429 */     GIR_EraseRootFromParent_Done,
     /* 2034430 */   // Label 25150: @2034430
     /* 2034430 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(2034534), // Rule ID 60490 //
     /* 2034435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2034438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2034461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034481 */     // MIs[0] policy
     /* 2034481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034491 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 2034508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034533 */     // GIR_Coverage, 60490,
     /* 2034533 */     GIR_EraseRootFromParent_Done,
     /* 2034534 */   // Label 25151: @2034534
     /* 2034534 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(2034638), // Rule ID 60491 //
     /* 2034539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2034542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2034550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2034553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2034559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2034565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034585 */     // MIs[0] policy
     /* 2034585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034595 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 2034612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034637 */     // GIR_Coverage, 60491,
     /* 2034637 */     GIR_EraseRootFromParent_Done,
     /* 2034638 */   // Label 25152: @2034638
     /* 2034638 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(2034742), // Rule ID 60494 //
     /* 2034643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2034646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2034669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034689 */     // MIs[0] policy
     /* 2034689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034699 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 2034716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034741 */     // GIR_Coverage, 60494,
     /* 2034741 */     GIR_EraseRootFromParent_Done,
     /* 2034742 */   // Label 25153: @2034742
     /* 2034742 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(2034846), // Rule ID 60495 //
     /* 2034747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2034750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2034758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2034761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2034767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2034773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034793 */     // MIs[0] policy
     /* 2034793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 2034820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034845 */     // GIR_Coverage, 60495,
     /* 2034845 */     GIR_EraseRootFromParent_Done,
     /* 2034846 */   // Label 25154: @2034846
     /* 2034846 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(2034950), // Rule ID 60498 //
     /* 2034851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2034854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2034877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034897 */     // MIs[0] policy
     /* 2034897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2034900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2034911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2034917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2034921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 2034924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2034932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2034938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2034946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2034948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034949 */     // GIR_Coverage, 60498,
     /* 2034949 */     GIR_EraseRootFromParent_Done,
     /* 2034950 */   // Label 25155: @2034950
     /* 2034950 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(2035054), // Rule ID 60499 //
     /* 2034955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2034958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2034963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2034966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2034969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2034975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2034981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2034985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035001 */     // MIs[0] policy
     /* 2035001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035011 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 2035028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035053 */     // GIR_Coverage, 60499,
     /* 2035053 */     GIR_EraseRootFromParent_Done,
     /* 2035054 */   // Label 25156: @2035054
     /* 2035054 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(2035158), // Rule ID 60502 //
     /* 2035059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2035062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2035076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2035085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035105 */     // MIs[0] policy
     /* 2035105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035115 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 2035132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035157 */     // GIR_Coverage, 60502,
     /* 2035157 */     GIR_EraseRootFromParent_Done,
     /* 2035158 */   // Label 25157: @2035158
     /* 2035158 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(2035262), // Rule ID 60503 //
     /* 2035163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2035166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2035180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2035189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035209 */     // MIs[0] policy
     /* 2035209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10805:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 2035236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035261 */     // GIR_Coverage, 60503,
     /* 2035261 */     GIR_EraseRootFromParent_Done,
     /* 2035262 */   // Label 25158: @2035262
     /* 2035262 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(2035366), // Rule ID 60506 //
     /* 2035267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2035270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2035278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2035281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2035284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2035293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035313 */     // MIs[0] policy
     /* 2035313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035323 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 2035340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035365 */     // GIR_Coverage, 60506,
     /* 2035365 */     GIR_EraseRootFromParent_Done,
     /* 2035366 */   // Label 25159: @2035366
     /* 2035366 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(2035470), // Rule ID 60507 //
     /* 2035371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2035374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2035382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2035385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2035388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2035397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035417 */     // MIs[0] policy
     /* 2035417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035427 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10805:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 2035444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035469 */     // GIR_Coverage, 60507,
     /* 2035469 */     GIR_EraseRootFromParent_Done,
     /* 2035470 */   // Label 25160: @2035470
     /* 2035470 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(2035574), // Rule ID 60510 //
     /* 2035475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2035478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2035486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2035489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2035492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2035501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035521 */     // MIs[0] policy
     /* 2035521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035531 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 2035548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035573 */     // GIR_Coverage, 60510,
     /* 2035573 */     GIR_EraseRootFromParent_Done,
     /* 2035574 */   // Label 25161: @2035574
     /* 2035574 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(2035678), // Rule ID 60511 //
     /* 2035579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2035582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2035590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2035593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2035596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2035605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035625 */     // MIs[0] policy
     /* 2035625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035635 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10805:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 2035652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035677 */     // GIR_Coverage, 60511,
     /* 2035677 */     GIR_EraseRootFromParent_Done,
     /* 2035678 */   // Label 25162: @2035678
     /* 2035678 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(2035782), // Rule ID 60514 //
     /* 2035683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 2035686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2035700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2035703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2035709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035729 */     // MIs[0] policy
     /* 2035729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035739 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 2035756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035781 */     // GIR_Coverage, 60514,
     /* 2035781 */     GIR_EraseRootFromParent_Done,
     /* 2035782 */   // Label 25163: @2035782
     /* 2035782 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(2035886), // Rule ID 60515 //
     /* 2035787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 2035790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 2035795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2035798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2035801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2035804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2035813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2035829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035833 */     // MIs[0] policy
     /* 2035833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035843 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10805:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 2035860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2035882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035885 */     // GIR_Coverage, 60515,
     /* 2035885 */     GIR_EraseRootFromParent_Done,
     /* 2035886 */   // Label 25164: @2035886
     /* 2035886 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(2035990), // Rule ID 60518 //
     /* 2035891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2035894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2035899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2035902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2035905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2035908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2035911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2035917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035937 */     // MIs[0] policy
     /* 2035937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2035940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2035951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2035957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2035961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 2035964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2035978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2035986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2035988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035989 */     // GIR_Coverage, 60518,
     /* 2035989 */     GIR_EraseRootFromParent_Done,
     /* 2035990 */   // Label 25165: @2035990
     /* 2035990 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(2036094), // Rule ID 60519 //
     /* 2035995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2035998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2036006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2036009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2036012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2036015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2036021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036041 */     // MIs[0] policy
     /* 2036041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036051 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 2036068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036093 */     // GIR_Coverage, 60519,
     /* 2036093 */     GIR_EraseRootFromParent_Done,
     /* 2036094 */   // Label 25166: @2036094
     /* 2036094 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(2036198), // Rule ID 60522 //
     /* 2036099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2036102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2036110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2036113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2036116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2036119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2036125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036145 */     // MIs[0] policy
     /* 2036145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036155 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 2036172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036197 */     // GIR_Coverage, 60522,
     /* 2036197 */     GIR_EraseRootFromParent_Done,
     /* 2036198 */   // Label 25167: @2036198
     /* 2036198 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(2036302), // Rule ID 60523 //
     /* 2036203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2036206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2036214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2036217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2036220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2036223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2036229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036249 */     // MIs[0] policy
     /* 2036249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 2036276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036301 */     // GIR_Coverage, 60523,
     /* 2036301 */     GIR_EraseRootFromParent_Done,
     /* 2036302 */   // Label 25168: @2036302
     /* 2036302 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(2036406), // Rule ID 60526 //
     /* 2036307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2036310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2036318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2036321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2036324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2036327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2036333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036353 */     // MIs[0] policy
     /* 2036353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036363 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2036380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036405 */     // GIR_Coverage, 60526,
     /* 2036405 */     GIR_EraseRootFromParent_Done,
     /* 2036406 */   // Label 25169: @2036406
     /* 2036406 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(2036510), // Rule ID 60527 //
     /* 2036411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2036414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2036422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2036425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2036428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2036431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2036437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036457 */     // MIs[0] policy
     /* 2036457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036467 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2036484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2036506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036509 */     // GIR_Coverage, 60527,
     /* 2036509 */     GIR_EraseRootFromParent_Done,
     /* 2036510 */   // Label 25170: @2036510
     /* 2036510 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(2036614), // Rule ID 60530 //
     /* 2036515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2036518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2036526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2036529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2036532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2036535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2036541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036561 */     // MIs[0] policy
     /* 2036561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036571 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 2036588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036613 */     // GIR_Coverage, 60530,
     /* 2036613 */     GIR_EraseRootFromParent_Done,
     /* 2036614 */   // Label 25171: @2036614
     /* 2036614 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(2036718), // Rule ID 60531 //
     /* 2036619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2036622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2036630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2036633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2036636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2036639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2036645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036665 */     // MIs[0] policy
     /* 2036665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036675 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 2036692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036717 */     // GIR_Coverage, 60531,
     /* 2036717 */     GIR_EraseRootFromParent_Done,
     /* 2036718 */   // Label 25172: @2036718
     /* 2036718 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(2036822), // Rule ID 60534 //
     /* 2036723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2036726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2036734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2036737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2036740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2036749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036769 */     // MIs[0] policy
     /* 2036769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036779 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2036796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036821 */     // GIR_Coverage, 60534,
     /* 2036821 */     GIR_EraseRootFromParent_Done,
     /* 2036822 */   // Label 25173: @2036822
     /* 2036822 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(2036926), // Rule ID 60535 //
     /* 2036827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2036830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2036838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2036841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2036844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2036853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036873 */     // MIs[0] policy
     /* 2036873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2036897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2036900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2036906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2036914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2036924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036925 */     // GIR_Coverage, 60535,
     /* 2036925 */     GIR_EraseRootFromParent_Done,
     /* 2036926 */   // Label 25174: @2036926
     /* 2036926 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(2037030), // Rule ID 60538 //
     /* 2036931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2036934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2036939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2036948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2036957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036977 */     // MIs[0] policy
     /* 2036977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2036980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2036991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2036997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2037004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037029 */     // GIR_Coverage, 60538,
     /* 2037029 */     GIR_EraseRootFromParent_Done,
     /* 2037030 */   // Label 25175: @2037030
     /* 2037030 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(2037134), // Rule ID 60539 //
     /* 2037035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2037038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2037046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2037049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2037052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2037055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2037061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037081 */     // MIs[0] policy
     /* 2037081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037091 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 2037108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037133 */     // GIR_Coverage, 60539,
     /* 2037133 */     GIR_EraseRootFromParent_Done,
     /* 2037134 */   // Label 25176: @2037134
     /* 2037134 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(2037238), // Rule ID 60542 //
     /* 2037139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2037142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2037150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2037153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2037156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2037159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2037165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037185 */     // MIs[0] policy
     /* 2037185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037195 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037237 */     // GIR_Coverage, 60542,
     /* 2037237 */     GIR_EraseRootFromParent_Done,
     /* 2037238 */   // Label 25177: @2037238
     /* 2037238 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(2037342), // Rule ID 60543 //
     /* 2037243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2037246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2037254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2037257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2037260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2037263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2037269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037289 */     // MIs[0] policy
     /* 2037289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037299 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2037338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037341 */     // GIR_Coverage, 60543,
     /* 2037341 */     GIR_EraseRootFromParent_Done,
     /* 2037342 */   // Label 25178: @2037342
     /* 2037342 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(2037446), // Rule ID 60546 //
     /* 2037347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2037350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2037358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2037361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2037364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2037367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2037373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037393 */     // MIs[0] policy
     /* 2037393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037445 */     // GIR_Coverage, 60546,
     /* 2037445 */     GIR_EraseRootFromParent_Done,
     /* 2037446 */   // Label 25179: @2037446
     /* 2037446 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(2037550), // Rule ID 60547 //
     /* 2037451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2037454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2037462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2037465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2037468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2037471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2037477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037497 */     // MIs[0] policy
     /* 2037497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037507 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037549 */     // GIR_Coverage, 60547,
     /* 2037549 */     GIR_EraseRootFromParent_Done,
     /* 2037550 */   // Label 25180: @2037550
     /* 2037550 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(2037654), // Rule ID 60550 //
     /* 2037555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2037558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2037566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2037569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2037572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2037575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2037581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037601 */     // MIs[0] policy
     /* 2037601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037653 */     // GIR_Coverage, 60550,
     /* 2037653 */     GIR_EraseRootFromParent_Done,
     /* 2037654 */   // Label 25181: @2037654
     /* 2037654 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(2037758), // Rule ID 60551 //
     /* 2037659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2037662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2037670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2037673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2037676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2037679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2037685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037705 */     // MIs[0] policy
     /* 2037705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037757 */     // GIR_Coverage, 60551,
     /* 2037757 */     GIR_EraseRootFromParent_Done,
     /* 2037758 */   // Label 25182: @2037758
     /* 2037758 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(2037862), // Rule ID 60554 //
     /* 2037763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2037766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2037774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2037777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2037780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2037783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2037789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037809 */     // MIs[0] policy
     /* 2037809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037861 */     // GIR_Coverage, 60554,
     /* 2037861 */     GIR_EraseRootFromParent_Done,
     /* 2037862 */   // Label 25183: @2037862
     /* 2037862 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(2037966), // Rule ID 60555 //
     /* 2037867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2037870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2037878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2037881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2037884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2037887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2037893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037913 */     // MIs[0] policy
     /* 2037913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2037916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037923 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2037927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2037933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2037937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 2037940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2037946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2037954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2037962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2037964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037965 */     // GIR_Coverage, 60555,
     /* 2037965 */     GIR_EraseRootFromParent_Done,
     /* 2037966 */   // Label 25184: @2037966
     /* 2037966 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(2038070), // Rule ID 60558 //
     /* 2037971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2037974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2037979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2037982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2037985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2037988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2037991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2037997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038017 */     // MIs[0] policy
     /* 2038017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038027 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2038044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038069 */     // GIR_Coverage, 60558,
     /* 2038069 */     GIR_EraseRootFromParent_Done,
     /* 2038070 */   // Label 25185: @2038070
     /* 2038070 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(2038174), // Rule ID 60559 //
     /* 2038075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2038078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2038086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2038089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2038092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2038095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2038101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038121 */     // MIs[0] policy
     /* 2038121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038131 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2038148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038173 */     // GIR_Coverage, 60559,
     /* 2038173 */     GIR_EraseRootFromParent_Done,
     /* 2038174 */   // Label 25186: @2038174
     /* 2038174 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(2038278), // Rule ID 60562 //
     /* 2038179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2038182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2038190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2038193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2038196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2038199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2038202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2038205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038225 */     // MIs[0] policy
     /* 2038225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038235 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2038252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038277 */     // GIR_Coverage, 60562,
     /* 2038277 */     GIR_EraseRootFromParent_Done,
     /* 2038278 */   // Label 25187: @2038278
     /* 2038278 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(2038382), // Rule ID 60563 //
     /* 2038283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2038286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2038294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2038297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2038300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2038303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2038306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2038309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038329 */     // MIs[0] policy
     /* 2038329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2038356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038381 */     // GIR_Coverage, 60563,
     /* 2038381 */     GIR_EraseRootFromParent_Done,
     /* 2038382 */   // Label 25188: @2038382
     /* 2038382 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(2038486), // Rule ID 60566 //
     /* 2038387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2038390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2038398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2038401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2038404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2038407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2038410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2038413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038433 */     // MIs[0] policy
     /* 2038433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2038460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038485 */     // GIR_Coverage, 60566,
     /* 2038485 */     GIR_EraseRootFromParent_Done,
     /* 2038486 */   // Label 25189: @2038486
     /* 2038486 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(2038590), // Rule ID 60567 //
     /* 2038491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2038494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2038502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2038505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2038508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2038511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2038514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2038517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038537 */     // MIs[0] policy
     /* 2038537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2038564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038589 */     // GIR_Coverage, 60567,
     /* 2038589 */     GIR_EraseRootFromParent_Done,
     /* 2038590 */   // Label 25190: @2038590
     /* 2038590 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(2038694), // Rule ID 60570 //
     /* 2038595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2038598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2038606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2038609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2038612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2038615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2038621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038641 */     // MIs[0] policy
     /* 2038641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038651 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2038668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038693 */     // GIR_Coverage, 60570,
     /* 2038693 */     GIR_EraseRootFromParent_Done,
     /* 2038694 */   // Label 25191: @2038694
     /* 2038694 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(2038798), // Rule ID 60571 //
     /* 2038699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2038702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2038710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2038713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2038716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2038719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2038725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2038729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038745 */     // MIs[0] policy
     /* 2038745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038755 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2038772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038797 */     // GIR_Coverage, 60571,
     /* 2038797 */     GIR_EraseRootFromParent_Done,
     /* 2038798 */   // Label 25192: @2038798
     /* 2038798 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(2038902), // Rule ID 60574 //
     /* 2038803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2038806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2038814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2038817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2038820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2038823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2038829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038849 */     // MIs[0] policy
     /* 2038849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2038876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2038900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038901 */     // GIR_Coverage, 60574,
     /* 2038901 */     GIR_EraseRootFromParent_Done,
     /* 2038902 */   // Label 25193: @2038902
     /* 2038902 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(2039006), // Rule ID 60575 //
     /* 2038907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2038910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2038915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2038918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2038921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2038924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2038927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2038930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2038933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038953 */     // MIs[0] policy
     /* 2038953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2038956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2038967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2038973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2038977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2038980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2038994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039005 */     // GIR_Coverage, 60575,
     /* 2039005 */     GIR_EraseRootFromParent_Done,
     /* 2039006 */   // Label 25194: @2039006
     /* 2039006 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(2039110), // Rule ID 60578 //
     /* 2039011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2039014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2039022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2039025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2039028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2039031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2039037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039057 */     // MIs[0] policy
     /* 2039057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039067 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2039084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039109 */     // GIR_Coverage, 60578,
     /* 2039109 */     GIR_EraseRootFromParent_Done,
     /* 2039110 */   // Label 25195: @2039110
     /* 2039110 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(2039214), // Rule ID 60579 //
     /* 2039115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2039118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2039126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2039129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2039132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2039135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2039138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2039141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039161 */     // MIs[0] policy
     /* 2039161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2039188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039213 */     // GIR_Coverage, 60579,
     /* 2039213 */     GIR_EraseRootFromParent_Done,
     /* 2039214 */   // Label 25196: @2039214
     /* 2039214 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(2039318), // Rule ID 60582 //
     /* 2039219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2039222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2039230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2039233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2039236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2039239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2039245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039265 */     // MIs[0] policy
     /* 2039265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2039292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039317 */     // GIR_Coverage, 60582,
     /* 2039317 */     GIR_EraseRootFromParent_Done,
     /* 2039318 */   // Label 25197: @2039318
     /* 2039318 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(2039422), // Rule ID 60583 //
     /* 2039323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2039326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2039334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2039337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2039340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2039343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2039349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039369 */     // MIs[0] policy
     /* 2039369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2039396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039421 */     // GIR_Coverage, 60583,
     /* 2039421 */     GIR_EraseRootFromParent_Done,
     /* 2039422 */   // Label 25198: @2039422
     /* 2039422 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(2039526), // Rule ID 60586 //
     /* 2039427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2039430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2039438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2039441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2039444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2039447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2039453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039473 */     // MIs[0] policy
     /* 2039473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2039500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039525 */     // GIR_Coverage, 60586,
     /* 2039525 */     GIR_EraseRootFromParent_Done,
     /* 2039526 */   // Label 25199: @2039526
     /* 2039526 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(2039630), // Rule ID 60587 //
     /* 2039531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2039534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2039542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2039545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2039548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2039551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2039557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2039561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2039573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039577 */     // MIs[0] policy
     /* 2039577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039587 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2039604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039629 */     // GIR_Coverage, 60587,
     /* 2039629 */     GIR_EraseRootFromParent_Done,
     /* 2039630 */   // Label 25200: @2039630
     /* 2039630 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(2039734), // Rule ID 60590 //
     /* 2039635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2039638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2039646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2039649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2039652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2039655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2039661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039681 */     // MIs[0] policy
     /* 2039681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039691 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2039708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039733 */     // GIR_Coverage, 60590,
     /* 2039733 */     GIR_EraseRootFromParent_Done,
     /* 2039734 */   // Label 25201: @2039734
     /* 2039734 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(2039838), // Rule ID 60591 //
     /* 2039739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2039742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2039750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2039753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2039756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2039759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2039762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2039765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2039769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2039781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039785 */     // MIs[0] policy
     /* 2039785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039795 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2039812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039837 */     // GIR_Coverage, 60591,
     /* 2039837 */     GIR_EraseRootFromParent_Done,
     /* 2039838 */   // Label 25202: @2039838
     /* 2039838 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(2039942), // Rule ID 60594 //
     /* 2039843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2039846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2039854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2039857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2039860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2039863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2039869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039889 */     // MIs[0] policy
     /* 2039889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039899 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2039903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2039909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2039913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2039916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2039930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2039938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2039940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039941 */     // GIR_Coverage, 60594,
     /* 2039941 */     GIR_EraseRootFromParent_Done,
     /* 2039942 */   // Label 25203: @2039942
     /* 2039942 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(2040046), // Rule ID 60595 //
     /* 2039947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2039950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2039955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2039958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2039961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2039964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2039967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2039973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2039977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2039989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039993 */     // MIs[0] policy
     /* 2039993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2039996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 2040020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040045 */     // GIR_Coverage, 60595,
     /* 2040045 */     GIR_EraseRootFromParent_Done,
     /* 2040046 */   // Label 25204: @2040046
     /* 2040046 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(2040150), // Rule ID 60598 //
     /* 2040051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2040054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2040068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2040071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2040077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040097 */     // MIs[0] policy
     /* 2040097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040107 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2040124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040149 */     // GIR_Coverage, 60598,
     /* 2040149 */     GIR_EraseRootFromParent_Done,
     /* 2040150 */   // Label 25205: @2040150
     /* 2040150 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(2040254), // Rule ID 60599 //
     /* 2040155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2040158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2040166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2040169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2040172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2040175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2040181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040201 */     // MIs[0] policy
     /* 2040201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040211 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 2040228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040253 */     // GIR_Coverage, 60599,
     /* 2040253 */     GIR_EraseRootFromParent_Done,
     /* 2040254 */   // Label 25206: @2040254
     /* 2040254 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(2040358), // Rule ID 60602 //
     /* 2040259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2040262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2040270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2040273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2040276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2040279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2040285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040305 */     // MIs[0] policy
     /* 2040305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2040332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040357 */     // GIR_Coverage, 60602,
     /* 2040357 */     GIR_EraseRootFromParent_Done,
     /* 2040358 */   // Label 25207: @2040358
     /* 2040358 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(2040462), // Rule ID 60603 //
     /* 2040363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2040366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2040374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2040377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2040380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2040383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2040386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2040389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040409 */     // MIs[0] policy
     /* 2040409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 2040436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040461 */     // GIR_Coverage, 60603,
     /* 2040461 */     GIR_EraseRootFromParent_Done,
     /* 2040462 */   // Label 25208: @2040462
     /* 2040462 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(2040566), // Rule ID 60606 //
     /* 2040467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2040470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2040478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2040481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2040484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2040493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040513 */     // MIs[0] policy
     /* 2040513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040523 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 2040540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040565 */     // GIR_Coverage, 60606,
     /* 2040565 */     GIR_EraseRootFromParent_Done,
     /* 2040566 */   // Label 25209: @2040566
     /* 2040566 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(2040670), // Rule ID 60607 //
     /* 2040571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2040574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2040582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2040585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2040588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2040597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040617 */     // MIs[0] policy
     /* 2040617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040627 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 2040644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040669 */     // GIR_Coverage, 60607,
     /* 2040669 */     GIR_EraseRootFromParent_Done,
     /* 2040670 */   // Label 25210: @2040670
     /* 2040670 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(2040774), // Rule ID 60610 //
     /* 2040675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2040678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2040686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2040689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2040692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2040701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040721 */     // MIs[0] policy
     /* 2040721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040731 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 2040748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040773 */     // GIR_Coverage, 60610,
     /* 2040773 */     GIR_EraseRootFromParent_Done,
     /* 2040774 */   // Label 25211: @2040774
     /* 2040774 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(2040878), // Rule ID 60611 //
     /* 2040779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2040782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2040790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2040793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2040796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2040799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2040805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040825 */     // MIs[0] policy
     /* 2040825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040835 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 2040852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040877 */     // GIR_Coverage, 60611,
     /* 2040877 */     GIR_EraseRootFromParent_Done,
     /* 2040878 */   // Label 25212: @2040878
     /* 2040878 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(2040982), // Rule ID 60614 //
     /* 2040883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2040886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2040894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2040897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2040900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2040903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2040906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2040909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2040925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040929 */     // MIs[0] policy
     /* 2040929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2040932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2040943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2040949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2040953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2040956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2040970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2040980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040981 */     // GIR_Coverage, 60614,
     /* 2040981 */     GIR_EraseRootFromParent_Done,
     /* 2040982 */   // Label 25213: @2040982
     /* 2040982 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(2041086), // Rule ID 60615 //
     /* 2040987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2040990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2040995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2040998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2041001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2041004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2041013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041033 */     // MIs[0] policy
     /* 2041033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041043 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2041060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041085 */     // GIR_Coverage, 60615,
     /* 2041085 */     GIR_EraseRootFromParent_Done,
     /* 2041086 */   // Label 25214: @2041086
     /* 2041086 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(2041190), // Rule ID 60618 //
     /* 2041091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2041094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2041117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041137 */     // MIs[0] policy
     /* 2041137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041147 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 2041164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041189 */     // GIR_Coverage, 60618,
     /* 2041189 */     GIR_EraseRootFromParent_Done,
     /* 2041190 */   // Label 25215: @2041190
     /* 2041190 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(2041294), // Rule ID 60619 //
     /* 2041195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2041198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2041206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2041209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2041212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2041221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041241 */     // MIs[0] policy
     /* 2041241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 2041268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041293 */     // GIR_Coverage, 60619,
     /* 2041293 */     GIR_EraseRootFromParent_Done,
     /* 2041294 */   // Label 25216: @2041294
     /* 2041294 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(2041398), // Rule ID 60622 //
     /* 2041299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2041302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2041325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041345 */     // MIs[0] policy
     /* 2041345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2041372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041397 */     // GIR_Coverage, 60622,
     /* 2041397 */     GIR_EraseRootFromParent_Done,
     /* 2041398 */   // Label 25217: @2041398
     /* 2041398 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(2041502), // Rule ID 60623 //
     /* 2041403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2041406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2041414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2041417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2041420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2041426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2041429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041449 */     // MIs[0] policy
     /* 2041449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2041476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041501 */     // GIR_Coverage, 60623,
     /* 2041501 */     GIR_EraseRootFromParent_Done,
     /* 2041502 */   // Label 25218: @2041502
     /* 2041502 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(2041606), // Rule ID 60626 //
     /* 2041507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2041510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2041533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041553 */     // MIs[0] policy
     /* 2041553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2041580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041605 */     // GIR_Coverage, 60626,
     /* 2041605 */     GIR_EraseRootFromParent_Done,
     /* 2041606 */   // Label 25219: @2041606
     /* 2041606 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(2041710), // Rule ID 60627 //
     /* 2041611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2041614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2041622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2041625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2041628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2041634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2041637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041657 */     // MIs[0] policy
     /* 2041657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 2041684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041709 */     // GIR_Coverage, 60627,
     /* 2041709 */     GIR_EraseRootFromParent_Done,
     /* 2041710 */   // Label 25220: @2041710
     /* 2041710 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(2041814), // Rule ID 60630 //
     /* 2041715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2041718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2041726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2041729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2041732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2041741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041761 */     // MIs[0] policy
     /* 2041761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041771 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2041788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041813 */     // GIR_Coverage, 60630,
     /* 2041813 */     GIR_EraseRootFromParent_Done,
     /* 2041814 */   // Label 25221: @2041814
     /* 2041814 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(2041918), // Rule ID 60631 //
     /* 2041819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2041822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2041830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2041833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2041836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2041839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2041845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041865 */     // MIs[0] policy
     /* 2041865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041875 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10793:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2041892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2041906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2041914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2041916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041917 */     // GIR_Coverage, 60631,
     /* 2041917 */     GIR_EraseRootFromParent_Done,
     /* 2041918 */   // Label 25222: @2041918
     /* 2041918 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(2042022), // Rule ID 60634 //
     /* 2041923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2041926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2041931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2041934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2041937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2041940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2041943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2041949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2041953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2041961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2041965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041969 */     // MIs[0] policy
     /* 2041969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2041972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041979 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2041983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2041989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2041993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2041996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042021 */     // GIR_Coverage, 60634,
     /* 2042021 */     GIR_EraseRootFromParent_Done,
     /* 2042022 */   // Label 25223: @2042022
     /* 2042022 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(2042126), // Rule ID 60635 //
     /* 2042027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2042030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2042038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2042041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2042044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2042053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042073 */     // MIs[0] policy
     /* 2042073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042083 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10793:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2042100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2042122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042125 */     // GIR_Coverage, 60635,
     /* 2042125 */     GIR_EraseRootFromParent_Done,
     /* 2042126 */   // Label 25224: @2042126
     /* 2042126 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(2042230), // Rule ID 60638 //
     /* 2042131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2042134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2042157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042177 */     // MIs[0] policy
     /* 2042177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2042204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042229 */     // GIR_Coverage, 60638,
     /* 2042229 */     GIR_EraseRootFromParent_Done,
     /* 2042230 */   // Label 25225: @2042230
     /* 2042230 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(2042334), // Rule ID 60639 //
     /* 2042235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2042238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2042246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2042249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2042252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2042261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042281 */     // MIs[0] policy
     /* 2042281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042291 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10793:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2042308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042333 */     // GIR_Coverage, 60639,
     /* 2042333 */     GIR_EraseRootFromParent_Done,
     /* 2042334 */   // Label 25226: @2042334
     /* 2042334 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(2042438), // Rule ID 60642 //
     /* 2042339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2042342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2042365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042385 */     // MIs[0] policy
     /* 2042385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042395 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2042412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042437 */     // GIR_Coverage, 60642,
     /* 2042437 */     GIR_EraseRootFromParent_Done,
     /* 2042438 */   // Label 25227: @2042438
     /* 2042438 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(2042542), // Rule ID 60643 //
     /* 2042443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2042446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2042454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2042457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2042460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2042469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042489 */     // MIs[0] policy
     /* 2042489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10793:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 2042516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042541 */     // GIR_Coverage, 60643,
     /* 2042541 */     GIR_EraseRootFromParent_Done,
     /* 2042542 */   // Label 25228: @2042542
     /* 2042542 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(2042646), // Rule ID 60646 //
     /* 2042547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2042550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2042558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2042561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2042564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2042573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042593 */     // MIs[0] policy
     /* 2042593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042603 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2042620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042645 */     // GIR_Coverage, 60646,
     /* 2042645 */     GIR_EraseRootFromParent_Done,
     /* 2042646 */   // Label 25229: @2042646
     /* 2042646 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(2042750), // Rule ID 60647 //
     /* 2042651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2042654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2042662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2042665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2042668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2042677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042697 */     // MIs[0] policy
     /* 2042697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042707 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2042724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042749 */     // GIR_Coverage, 60647,
     /* 2042749 */     GIR_EraseRootFromParent_Done,
     /* 2042750 */   // Label 25230: @2042750
     /* 2042750 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(2042854), // Rule ID 60650 //
     /* 2042755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2042758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2042766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2042769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2042772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2042781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042801 */     // MIs[0] policy
     /* 2042801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2042828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042853 */     // GIR_Coverage, 60650,
     /* 2042853 */     GIR_EraseRootFromParent_Done,
     /* 2042854 */   // Label 25231: @2042854
     /* 2042854 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(2042958), // Rule ID 60651 //
     /* 2042859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2042862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2042870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2042873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2042876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2042882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2042885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042905 */     // MIs[0] policy
     /* 2042905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2042908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042915 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2042919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2042925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2042929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2042932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2042946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2042956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042957 */     // GIR_Coverage, 60651,
     /* 2042957 */     GIR_EraseRootFromParent_Done,
     /* 2042958 */   // Label 25232: @2042958
     /* 2042958 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(2043062), // Rule ID 60654 //
     /* 2042963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2042966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2042971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2042974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2042977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2042980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2042986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2042989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043009 */     // MIs[0] policy
     /* 2043009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043019 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2043036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043061 */     // GIR_Coverage, 60654,
     /* 2043061 */     GIR_EraseRootFromParent_Done,
     /* 2043062 */   // Label 25233: @2043062
     /* 2043062 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(2043166), // Rule ID 60655 //
     /* 2043067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2043070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2043078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2043081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2043084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2043090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2043093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043113 */     // MIs[0] policy
     /* 2043113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043123 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2043140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043165 */     // GIR_Coverage, 60655,
     /* 2043165 */     GIR_EraseRootFromParent_Done,
     /* 2043166 */   // Label 25234: @2043166
     /* 2043166 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(2043270), // Rule ID 60658 //
     /* 2043171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2043174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2043197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043217 */     // MIs[0] policy
     /* 2043217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043227 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2043244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043269 */     // GIR_Coverage, 60658,
     /* 2043269 */     GIR_EraseRootFromParent_Done,
     /* 2043270 */   // Label 25235: @2043270
     /* 2043270 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(2043374), // Rule ID 60659 //
     /* 2043275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2043278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2043286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2043289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2043292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2043301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043321 */     // MIs[0] policy
     /* 2043321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043331 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2043348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043373 */     // GIR_Coverage, 60659,
     /* 2043373 */     GIR_EraseRootFromParent_Done,
     /* 2043374 */   // Label 25236: @2043374
     /* 2043374 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(2043478), // Rule ID 60662 //
     /* 2043379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2043382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2043396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2043405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043425 */     // MIs[0] policy
     /* 2043425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2043452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043477 */     // GIR_Coverage, 60662,
     /* 2043477 */     GIR_EraseRootFromParent_Done,
     /* 2043478 */   // Label 25237: @2043478
     /* 2043478 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(2043582), // Rule ID 60663 //
     /* 2043483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2043486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2043494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2043497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2043500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2043506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2043509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2043513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2043521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043529 */     // MIs[0] policy
     /* 2043529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2043556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043581 */     // GIR_Coverage, 60663,
     /* 2043581 */     GIR_EraseRootFromParent_Done,
     /* 2043582 */   // Label 25238: @2043582
     /* 2043582 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(2043686), // Rule ID 60666 //
     /* 2043587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2043590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2043598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2043601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2043604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2043613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043633 */     // MIs[0] policy
     /* 2043633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043643 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2043660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043685 */     // GIR_Coverage, 60666,
     /* 2043685 */     GIR_EraseRootFromParent_Done,
     /* 2043686 */   // Label 25239: @2043686
     /* 2043686 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(2043790), // Rule ID 60667 //
     /* 2043691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2043694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2043702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2043705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2043708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2043714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2043717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2043721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2043729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043737 */     // MIs[0] policy
     /* 2043737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2043764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043789 */     // GIR_Coverage, 60667,
     /* 2043789 */     GIR_EraseRootFromParent_Done,
     /* 2043790 */   // Label 25240: @2043790
     /* 2043790 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(2043894), // Rule ID 60670 //
     /* 2043795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2043798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2043806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2043809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2043812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2043821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043841 */     // MIs[0] policy
     /* 2043841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2043868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043893 */     // GIR_Coverage, 60670,
     /* 2043893 */     GIR_EraseRootFromParent_Done,
     /* 2043894 */   // Label 25241: @2043894
     /* 2043894 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(2043998), // Rule ID 60671 //
     /* 2043899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2043902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2043907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2043910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2043913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2043916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2043925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2043929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2043937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043945 */     // MIs[0] policy
     /* 2043945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2043948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043955 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2043959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2043965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2043969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2043972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2043986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2043996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043997 */     // GIR_Coverage, 60671,
     /* 2043997 */     GIR_EraseRootFromParent_Done,
     /* 2043998 */   // Label 25242: @2043998
     /* 2043998 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(2044102), // Rule ID 60674 //
     /* 2044003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2044006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2044029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044049 */     // MIs[0] policy
     /* 2044049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2044076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044101 */     // GIR_Coverage, 60674,
     /* 2044101 */     GIR_EraseRootFromParent_Done,
     /* 2044102 */   // Label 25243: @2044102
     /* 2044102 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(2044206), // Rule ID 60675 //
     /* 2044107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2044110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2044118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2044121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2044124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2044133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044153 */     // MIs[0] policy
     /* 2044153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2044180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044205 */     // GIR_Coverage, 60675,
     /* 2044205 */     GIR_EraseRootFromParent_Done,
     /* 2044206 */   // Label 25244: @2044206
     /* 2044206 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(2044310), // Rule ID 60678 //
     /* 2044211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2044214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2044237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044257 */     // MIs[0] policy
     /* 2044257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2044284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044309 */     // GIR_Coverage, 60678,
     /* 2044309 */     GIR_EraseRootFromParent_Done,
     /* 2044310 */   // Label 25245: @2044310
     /* 2044310 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(2044414), // Rule ID 60679 //
     /* 2044315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2044318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2044326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2044329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2044332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2044341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044361 */     // MIs[0] policy
     /* 2044361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044371 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2044388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044413 */     // GIR_Coverage, 60679,
     /* 2044413 */     GIR_EraseRootFromParent_Done,
     /* 2044414 */   // Label 25246: @2044414
     /* 2044414 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(2044518), // Rule ID 60682 //
     /* 2044419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2044422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2044445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044465 */     // MIs[0] policy
     /* 2044465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044475 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2044492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044517 */     // GIR_Coverage, 60682,
     /* 2044517 */     GIR_EraseRootFromParent_Done,
     /* 2044518 */   // Label 25247: @2044518
     /* 2044518 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(2044622), // Rule ID 60683 //
     /* 2044523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2044526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2044534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2044537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2044540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2044549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044569 */     // MIs[0] policy
     /* 2044569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044579 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10793:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 2044596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044621 */     // GIR_Coverage, 60683,
     /* 2044621 */     GIR_EraseRootFromParent_Done,
     /* 2044622 */   // Label 25248: @2044622
     /* 2044622 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(2044726), // Rule ID 60686 //
     /* 2044627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2044630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2044638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2044641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2044644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2044653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044673 */     // MIs[0] policy
     /* 2044673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044683 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2044700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044725 */     // GIR_Coverage, 60686,
     /* 2044725 */     GIR_EraseRootFromParent_Done,
     /* 2044726 */   // Label 25249: @2044726
     /* 2044726 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(2044830), // Rule ID 60687 //
     /* 2044731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2044734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2044742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2044745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2044748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2044757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044777 */     // MIs[0] policy
     /* 2044777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10793:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 2044804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044829 */     // GIR_Coverage, 60687,
     /* 2044829 */     GIR_EraseRootFromParent_Done,
     /* 2044830 */   // Label 25250: @2044830
     /* 2044830 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(2044934), // Rule ID 60690 //
     /* 2044835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2044838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2044846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2044849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2044852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2044861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044881 */     // MIs[0] policy
     /* 2044881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2044901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2044905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2044908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2044922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2044932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044933 */     // GIR_Coverage, 60690,
     /* 2044933 */     GIR_EraseRootFromParent_Done,
     /* 2044934 */   // Label 25251: @2044934
     /* 2044934 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(2045038), // Rule ID 60691 //
     /* 2044939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2044942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 2044947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2044950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2044953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2044956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2044962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2044965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044985 */     // MIs[0] policy
     /* 2044985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2044988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044995 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10793:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2044999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 2045012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2045034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045037 */     // GIR_Coverage, 60691,
     /* 2045037 */     GIR_EraseRootFromParent_Done,
     /* 2045038 */   // Label 25252: @2045038
     /* 2045038 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(2045142), // Rule ID 60870 //
     /* 2045043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2045046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2045069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045089 */     // MIs[0] policy
     /* 2045089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045099 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 2045116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045141 */     // GIR_Coverage, 60870,
     /* 2045141 */     GIR_EraseRootFromParent_Done,
     /* 2045142 */   // Label 25253: @2045142
     /* 2045142 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(2045246), // Rule ID 60871 //
     /* 2045147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2045150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2045158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2045161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2045164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2045167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2045173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045193 */     // MIs[0] policy
     /* 2045193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 2045220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045245 */     // GIR_Coverage, 60871,
     /* 2045245 */     GIR_EraseRootFromParent_Done,
     /* 2045246 */   // Label 25254: @2045246
     /* 2045246 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(2045350), // Rule ID 60874 //
     /* 2045251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2045254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2045277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045297 */     // MIs[0] policy
     /* 2045297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045307 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 2045324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045349 */     // GIR_Coverage, 60874,
     /* 2045349 */     GIR_EraseRootFromParent_Done,
     /* 2045350 */   // Label 25255: @2045350
     /* 2045350 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(2045454), // Rule ID 60875 //
     /* 2045355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2045358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2045366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2045369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2045372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2045375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2045381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045401 */     // MIs[0] policy
     /* 2045401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045411 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 2045428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045453 */     // GIR_Coverage, 60875,
     /* 2045453 */     GIR_EraseRootFromParent_Done,
     /* 2045454 */   // Label 25256: @2045454
     /* 2045454 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(2045558), // Rule ID 60878 //
     /* 2045459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2045462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2045485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045505 */     // MIs[0] policy
     /* 2045505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045515 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2045532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045557 */     // GIR_Coverage, 60878,
     /* 2045557 */     GIR_EraseRootFromParent_Done,
     /* 2045558 */   // Label 25257: @2045558
     /* 2045558 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(2045662), // Rule ID 60879 //
     /* 2045563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2045566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2045574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2045577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2045580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2045583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2045589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045609 */     // MIs[0] policy
     /* 2045609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045619 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2045636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2045658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045661 */     // GIR_Coverage, 60879,
     /* 2045661 */     GIR_EraseRootFromParent_Done,
     /* 2045662 */   // Label 25258: @2045662
     /* 2045662 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(2045766), // Rule ID 60882 //
     /* 2045667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2045670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2045681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2045684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2045687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2045693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045713 */     // MIs[0] policy
     /* 2045713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 2045740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045765 */     // GIR_Coverage, 60882,
     /* 2045765 */     GIR_EraseRootFromParent_Done,
     /* 2045766 */   // Label 25259: @2045766
     /* 2045766 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(2045870), // Rule ID 60883 //
     /* 2045771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2045774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2045782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2045785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2045788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2045791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2045794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2045797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045817 */     // MIs[0] policy
     /* 2045817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045827 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 2045844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045869 */     // GIR_Coverage, 60883,
     /* 2045869 */     GIR_EraseRootFromParent_Done,
     /* 2045870 */   // Label 25260: @2045870
     /* 2045870 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(2045974), // Rule ID 60886 //
     /* 2045875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2045878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2045886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2045889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2045892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2045895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2045898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2045901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2045905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2045917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045921 */     // MIs[0] policy
     /* 2045921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2045924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045931 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2045935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2045941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2045945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2045948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2045962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2045972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045973 */     // GIR_Coverage, 60886,
     /* 2045973 */     GIR_EraseRootFromParent_Done,
     /* 2045974 */   // Label 25261: @2045974
     /* 2045974 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(2046078), // Rule ID 60887 //
     /* 2045979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2045982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2045987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2045990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2045993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2045996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2045999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2046005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046025 */     // MIs[0] policy
     /* 2046025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2046052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046077 */     // GIR_Coverage, 60887,
     /* 2046077 */     GIR_EraseRootFromParent_Done,
     /* 2046078 */   // Label 25262: @2046078
     /* 2046078 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(2046182), // Rule ID 60890 //
     /* 2046083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2046086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2046109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046129 */     // MIs[0] policy
     /* 2046129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046139 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2046156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046181 */     // GIR_Coverage, 60890,
     /* 2046181 */     GIR_EraseRootFromParent_Done,
     /* 2046182 */   // Label 25263: @2046182
     /* 2046182 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(2046286), // Rule ID 60891 //
     /* 2046187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2046190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2046198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2046201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2046204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2046207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2046213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046233 */     // MIs[0] policy
     /* 2046233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046243 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 2046260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046285 */     // GIR_Coverage, 60891,
     /* 2046285 */     GIR_EraseRootFromParent_Done,
     /* 2046286 */   // Label 25264: @2046286
     /* 2046286 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(2046390), // Rule ID 60894 //
     /* 2046291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2046294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2046317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046337 */     // MIs[0] policy
     /* 2046337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046389 */     // GIR_Coverage, 60894,
     /* 2046389 */     GIR_EraseRootFromParent_Done,
     /* 2046390 */   // Label 25265: @2046390
     /* 2046390 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(2046494), // Rule ID 60895 //
     /* 2046395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2046398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2046406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2046409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2046412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2046415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2046421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046441 */     // MIs[0] policy
     /* 2046441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046451 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046493 */     // GIR_Coverage, 60895,
     /* 2046493 */     GIR_EraseRootFromParent_Done,
     /* 2046494 */   // Label 25266: @2046494
     /* 2046494 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(2046598), // Rule ID 60898 //
     /* 2046499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2046502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2046525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046545 */     // MIs[0] policy
     /* 2046545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046555 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046597 */     // GIR_Coverage, 60898,
     /* 2046597 */     GIR_EraseRootFromParent_Done,
     /* 2046598 */   // Label 25267: @2046598
     /* 2046598 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(2046702), // Rule ID 60899 //
     /* 2046603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2046606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2046614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2046617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2046620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2046623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2046629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046649 */     // MIs[0] policy
     /* 2046649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046659 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2046698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046701 */     // GIR_Coverage, 60899,
     /* 2046701 */     GIR_EraseRootFromParent_Done,
     /* 2046702 */   // Label 25268: @2046702
     /* 2046702 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(2046806), // Rule ID 60902 //
     /* 2046707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2046710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2046727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2046733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046753 */     // MIs[0] policy
     /* 2046753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046763 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046805 */     // GIR_Coverage, 60902,
     /* 2046805 */     GIR_EraseRootFromParent_Done,
     /* 2046806 */   // Label 25269: @2046806
     /* 2046806 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(2046910), // Rule ID 60903 //
     /* 2046811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2046814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2046822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2046825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2046828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2046831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2046837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046857 */     // MIs[0] policy
     /* 2046857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046867 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2046898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2046908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046909 */     // GIR_Coverage, 60903,
     /* 2046909 */     GIR_EraseRootFromParent_Done,
     /* 2046910 */   // Label 25270: @2046910
     /* 2046910 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(2047014), // Rule ID 60906 //
     /* 2046915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2046918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2046923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2046926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2046929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2046932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2046935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2046941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046961 */     // MIs[0] policy
     /* 2046961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2046964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046971 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2046975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2046981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2046985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2046988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047013 */     // GIR_Coverage, 60906,
     /* 2047013 */     GIR_EraseRootFromParent_Done,
     /* 2047014 */   // Label 25271: @2047014
     /* 2047014 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(2047118), // Rule ID 60907 //
     /* 2047019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2047022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2047030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2047033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2047036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2047039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2047045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047065 */     // MIs[0] policy
     /* 2047065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047075 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 2047092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2047114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047117 */     // GIR_Coverage, 60907,
     /* 2047117 */     GIR_EraseRootFromParent_Done,
     /* 2047118 */   // Label 25272: @2047118
     /* 2047118 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(2047222), // Rule ID 60910 //
     /* 2047123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2047126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2047149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047169 */     // MIs[0] policy
     /* 2047169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2047196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047221 */     // GIR_Coverage, 60910,
     /* 2047221 */     GIR_EraseRootFromParent_Done,
     /* 2047222 */   // Label 25273: @2047222
     /* 2047222 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(2047326), // Rule ID 60911 //
     /* 2047227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2047230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2047238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2047241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2047244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2047247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2047253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047273 */     // MIs[0] policy
     /* 2047273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2047300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047325 */     // GIR_Coverage, 60911,
     /* 2047325 */     GIR_EraseRootFromParent_Done,
     /* 2047326 */   // Label 25274: @2047326
     /* 2047326 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(2047430), // Rule ID 60914 //
     /* 2047331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2047334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2047357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047377 */     // MIs[0] policy
     /* 2047377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2047404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047429 */     // GIR_Coverage, 60914,
     /* 2047429 */     GIR_EraseRootFromParent_Done,
     /* 2047430 */   // Label 25275: @2047430
     /* 2047430 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(2047534), // Rule ID 60915 //
     /* 2047435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2047438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2047446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2047449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2047452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2047455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2047458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2047461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047481 */     // MIs[0] policy
     /* 2047481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2047508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047533 */     // GIR_Coverage, 60915,
     /* 2047533 */     GIR_EraseRootFromParent_Done,
     /* 2047534 */   // Label 25276: @2047534
     /* 2047534 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(2047638), // Rule ID 60918 //
     /* 2047539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2047542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2047565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047585 */     // MIs[0] policy
     /* 2047585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2047612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047637 */     // GIR_Coverage, 60918,
     /* 2047637 */     GIR_EraseRootFromParent_Done,
     /* 2047638 */   // Label 25277: @2047638
     /* 2047638 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(2047742), // Rule ID 60919 //
     /* 2047643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2047646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2047654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2047657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2047660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2047663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2047666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2047669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2047673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2047685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047689 */     // MIs[0] policy
     /* 2047689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047699 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2047716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047741 */     // GIR_Coverage, 60919,
     /* 2047741 */     GIR_EraseRootFromParent_Done,
     /* 2047742 */   // Label 25278: @2047742
     /* 2047742 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(2047846), // Rule ID 60922 //
     /* 2047747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2047750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2047773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047793 */     // MIs[0] policy
     /* 2047793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2047820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047845 */     // GIR_Coverage, 60922,
     /* 2047845 */     GIR_EraseRootFromParent_Done,
     /* 2047846 */   // Label 25279: @2047846
     /* 2047846 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(2047950), // Rule ID 60923 //
     /* 2047851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2047854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2047862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2047865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2047868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2047871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2047877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2047881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2047893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047897 */     // MIs[0] policy
     /* 2047897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2047900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047907 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2047911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2047917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2047921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2047924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2047938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2047948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047949 */     // GIR_Coverage, 60923,
     /* 2047949 */     GIR_EraseRootFromParent_Done,
     /* 2047950 */   // Label 25280: @2047950
     /* 2047950 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(2048054), // Rule ID 60926 //
     /* 2047955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2047958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2047963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2047966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2047969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2047972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2047975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2047978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2047981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2047985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2047997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048001 */     // MIs[0] policy
     /* 2048001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2048028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048053 */     // GIR_Coverage, 60926,
     /* 2048053 */     GIR_EraseRootFromParent_Done,
     /* 2048054 */   // Label 25281: @2048054
     /* 2048054 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(2048158), // Rule ID 60927 //
     /* 2048059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2048062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2048070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2048073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2048076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2048079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2048085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048105 */     // MIs[0] policy
     /* 2048105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048115 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2048132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048157 */     // GIR_Coverage, 60927,
     /* 2048157 */     GIR_EraseRootFromParent_Done,
     /* 2048158 */   // Label 25282: @2048158
     /* 2048158 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(2048262), // Rule ID 60930 //
     /* 2048163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2048166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2048189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048209 */     // MIs[0] policy
     /* 2048209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048219 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2048236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048261 */     // GIR_Coverage, 60930,
     /* 2048261 */     GIR_EraseRootFromParent_Done,
     /* 2048262 */   // Label 25283: @2048262
     /* 2048262 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(2048366), // Rule ID 60931 //
     /* 2048267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2048270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2048278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2048281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2048284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2048287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2048293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048313 */     // MIs[0] policy
     /* 2048313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048323 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2048340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048365 */     // GIR_Coverage, 60931,
     /* 2048365 */     GIR_EraseRootFromParent_Done,
     /* 2048366 */   // Label 25284: @2048366
     /* 2048366 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(2048470), // Rule ID 60934 //
     /* 2048371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2048374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2048397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048417 */     // MIs[0] policy
     /* 2048417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2048444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048469 */     // GIR_Coverage, 60934,
     /* 2048469 */     GIR_EraseRootFromParent_Done,
     /* 2048470 */   // Label 25285: @2048470
     /* 2048470 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(2048574), // Rule ID 60935 //
     /* 2048475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2048478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2048486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2048489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2048492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2048495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2048501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048521 */     // MIs[0] policy
     /* 2048521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2048548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048573 */     // GIR_Coverage, 60935,
     /* 2048573 */     GIR_EraseRootFromParent_Done,
     /* 2048574 */   // Label 25286: @2048574
     /* 2048574 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(2048678), // Rule ID 60938 //
     /* 2048579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2048582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2048605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048625 */     // MIs[0] policy
     /* 2048625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2048652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048677 */     // GIR_Coverage, 60938,
     /* 2048677 */     GIR_EraseRootFromParent_Done,
     /* 2048678 */   // Label 25287: @2048678
     /* 2048678 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(2048782), // Rule ID 60939 //
     /* 2048683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2048686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2048694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2048697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2048700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2048703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2048706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2048709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048729 */     // MIs[0] policy
     /* 2048729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048739 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2048756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048781 */     // GIR_Coverage, 60939,
     /* 2048781 */     GIR_EraseRootFromParent_Done,
     /* 2048782 */   // Label 25288: @2048782
     /* 2048782 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(2048886), // Rule ID 60942 //
     /* 2048787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2048790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2048813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048833 */     // MIs[0] policy
     /* 2048833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048843 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2048860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048885 */     // GIR_Coverage, 60942,
     /* 2048885 */     GIR_EraseRootFromParent_Done,
     /* 2048886 */   // Label 25289: @2048886
     /* 2048886 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(2048990), // Rule ID 60943 //
     /* 2048891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2048894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2048899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2048902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2048905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2048908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2048911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2048917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048937 */     // MIs[0] policy
     /* 2048937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2048940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2048951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2048957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2048961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2048964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2048978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2048988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048989 */     // GIR_Coverage, 60943,
     /* 2048989 */     GIR_EraseRootFromParent_Done,
     /* 2048990 */   // Label 25290: @2048990
     /* 2048990 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(2049094), // Rule ID 60946 //
     /* 2048995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2048998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2049006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2049009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2049012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2049015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2049021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049041 */     // MIs[0] policy
     /* 2049041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049051 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2049068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049093 */     // GIR_Coverage, 60946,
     /* 2049093 */     GIR_EraseRootFromParent_Done,
     /* 2049094 */   // Label 25291: @2049094
     /* 2049094 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(2049198), // Rule ID 60947 //
     /* 2049099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2049102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2049110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2049113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2049116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2049119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2049125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049145 */     // MIs[0] policy
     /* 2049145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049155 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 2049172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049197 */     // GIR_Coverage, 60947,
     /* 2049197 */     GIR_EraseRootFromParent_Done,
     /* 2049198 */   // Label 25292: @2049198
     /* 2049198 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(2049302), // Rule ID 60950 //
     /* 2049203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2049206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2049229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049249 */     // MIs[0] policy
     /* 2049249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049259 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2049276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049301 */     // GIR_Coverage, 60950,
     /* 2049301 */     GIR_EraseRootFromParent_Done,
     /* 2049302 */   // Label 25293: @2049302
     /* 2049302 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(2049406), // Rule ID 60951 //
     /* 2049307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2049310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2049318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2049321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2049324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2049327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2049333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049353 */     // MIs[0] policy
     /* 2049353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049363 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 2049380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049405 */     // GIR_Coverage, 60951,
     /* 2049405 */     GIR_EraseRootFromParent_Done,
     /* 2049406 */   // Label 25294: @2049406
     /* 2049406 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(2049510), // Rule ID 60954 //
     /* 2049411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2049414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2049437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049457 */     // MIs[0] policy
     /* 2049457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049467 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2049484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049509 */     // GIR_Coverage, 60954,
     /* 2049509 */     GIR_EraseRootFromParent_Done,
     /* 2049510 */   // Label 25295: @2049510
     /* 2049510 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(2049614), // Rule ID 60955 //
     /* 2049515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2049518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2049526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2049529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2049532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2049535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2049541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049561 */     // MIs[0] policy
     /* 2049561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049571 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 2049588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2049610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049613 */     // GIR_Coverage, 60955,
     /* 2049613 */     GIR_EraseRootFromParent_Done,
     /* 2049614 */   // Label 25296: @2049614
     /* 2049614 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(2049718), // Rule ID 60958 //
     /* 2049619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2049622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2049645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049665 */     // MIs[0] policy
     /* 2049665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049675 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 2049692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049717 */     // GIR_Coverage, 60958,
     /* 2049717 */     GIR_EraseRootFromParent_Done,
     /* 2049718 */   // Label 25297: @2049718
     /* 2049718 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(2049822), // Rule ID 60959 //
     /* 2049723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2049726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2049734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2049737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2049740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2049746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2049749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049769 */     // MIs[0] policy
     /* 2049769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049779 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 2049796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049821 */     // GIR_Coverage, 60959,
     /* 2049821 */     GIR_EraseRootFromParent_Done,
     /* 2049822 */   // Label 25298: @2049822
     /* 2049822 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(2049926), // Rule ID 60962 //
     /* 2049827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2049830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2049847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2049853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049873 */     // MIs[0] policy
     /* 2049873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049883 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2049897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 2049900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2049914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2049922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2049924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049925 */     // GIR_Coverage, 60962,
     /* 2049925 */     GIR_EraseRootFromParent_Done,
     /* 2049926 */   // Label 25299: @2049926
     /* 2049926 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(2050030), // Rule ID 60963 //
     /* 2049931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2049934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2049939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2049942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2049945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2049948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2049951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2049954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2049957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2049961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2049969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2049973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049977 */     // MIs[0] policy
     /* 2049977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2049980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049987 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2049991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2049997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 2050004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050029 */     // GIR_Coverage, 60963,
     /* 2050029 */     GIR_EraseRootFromParent_Done,
     /* 2050030 */   // Label 25300: @2050030
     /* 2050030 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(2050134), // Rule ID 60966 //
     /* 2050035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2050038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2050046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2050049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2050052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2050061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050081 */     // MIs[0] policy
     /* 2050081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050091 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050133 */     // GIR_Coverage, 60966,
     /* 2050133 */     GIR_EraseRootFromParent_Done,
     /* 2050134 */   // Label 25301: @2050134
     /* 2050134 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(2050238), // Rule ID 60967 //
     /* 2050139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2050142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2050150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2050153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2050156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2050165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050185 */     // MIs[0] policy
     /* 2050185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050195 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050237 */     // GIR_Coverage, 60967,
     /* 2050237 */     GIR_EraseRootFromParent_Done,
     /* 2050238 */   // Label 25302: @2050238
     /* 2050238 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(2050342), // Rule ID 60970 //
     /* 2050243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2050246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2050254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2050257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2050260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2050269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050289 */     // MIs[0] policy
     /* 2050289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 2050316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050341 */     // GIR_Coverage, 60970,
     /* 2050341 */     GIR_EraseRootFromParent_Done,
     /* 2050342 */   // Label 25303: @2050342
     /* 2050342 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(2050446), // Rule ID 60971 //
     /* 2050347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2050350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2050358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2050361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2050364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2050373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050393 */     // MIs[0] policy
     /* 2050393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 2050420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050445 */     // GIR_Coverage, 60971,
     /* 2050445 */     GIR_EraseRootFromParent_Done,
     /* 2050446 */   // Label 25304: @2050446
     /* 2050446 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(2050550), // Rule ID 60974 //
     /* 2050451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2050454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2050477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050497 */     // MIs[0] policy
     /* 2050497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050549 */     // GIR_Coverage, 60974,
     /* 2050549 */     GIR_EraseRootFromParent_Done,
     /* 2050550 */   // Label 25305: @2050550
     /* 2050550 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(2050654), // Rule ID 60975 //
     /* 2050555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2050558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2050566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2050569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2050572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2050581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050601 */     // MIs[0] policy
     /* 2050601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050611 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2050650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050653 */     // GIR_Coverage, 60975,
     /* 2050653 */     GIR_EraseRootFromParent_Done,
     /* 2050654 */   // Label 25306: @2050654
     /* 2050654 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(2050758), // Rule ID 60978 //
     /* 2050659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2050662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2050685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050705 */     // MIs[0] policy
     /* 2050705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050715 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050757 */     // GIR_Coverage, 60978,
     /* 2050757 */     GIR_EraseRootFromParent_Done,
     /* 2050758 */   // Label 25307: @2050758
     /* 2050758 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(2050862), // Rule ID 60979 //
     /* 2050763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2050766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2050774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2050777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2050780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2050789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050809 */     // MIs[0] policy
     /* 2050809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 2050836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050861 */     // GIR_Coverage, 60979,
     /* 2050861 */     GIR_EraseRootFromParent_Done,
     /* 2050862 */   // Label 25308: @2050862
     /* 2050862 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(2050966), // Rule ID 60982 //
     /* 2050867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2050870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2050893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050913 */     // MIs[0] policy
     /* 2050913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2050916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050923 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2050927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2050933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2050937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2050940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2050954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2050964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050965 */     // GIR_Coverage, 60982,
     /* 2050965 */     GIR_EraseRootFromParent_Done,
     /* 2050966 */   // Label 25309: @2050966
     /* 2050966 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(2051070), // Rule ID 60983 //
     /* 2050971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2050974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2050979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2050982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2050985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2050988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2050997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051017 */     // MIs[0] policy
     /* 2051017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051027 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051069 */     // GIR_Coverage, 60983,
     /* 2051069 */     GIR_EraseRootFromParent_Done,
     /* 2051070 */   // Label 25310: @2051070
     /* 2051070 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(2051174), // Rule ID 60986 //
     /* 2051075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2051078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2051101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051121 */     // MIs[0] policy
     /* 2051121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051131 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051173 */     // GIR_Coverage, 60986,
     /* 2051173 */     GIR_EraseRootFromParent_Done,
     /* 2051174 */   // Label 25311: @2051174
     /* 2051174 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(2051278), // Rule ID 60987 //
     /* 2051179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2051182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2051205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051225 */     // MIs[0] policy
     /* 2051225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051235 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051277 */     // GIR_Coverage, 60987,
     /* 2051277 */     GIR_EraseRootFromParent_Done,
     /* 2051278 */   // Label 25312: @2051278
     /* 2051278 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(2051382), // Rule ID 60990 //
     /* 2051283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2051286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2051294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2051297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2051300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2051309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051329 */     // MIs[0] policy
     /* 2051329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051339 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051381 */     // GIR_Coverage, 60990,
     /* 2051381 */     GIR_EraseRootFromParent_Done,
     /* 2051382 */   // Label 25313: @2051382
     /* 2051382 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(2051486), // Rule ID 60991 //
     /* 2051387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2051390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2051398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2051401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2051404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2051413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051433 */     // MIs[0] policy
     /* 2051433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051443 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051485 */     // GIR_Coverage, 60991,
     /* 2051485 */     GIR_EraseRootFromParent_Done,
     /* 2051486 */   // Label 25314: @2051486
     /* 2051486 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(2051590), // Rule ID 60994 //
     /* 2051491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2051494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2051517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051537 */     // MIs[0] policy
     /* 2051537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051547 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051589 */     // GIR_Coverage, 60994,
     /* 2051589 */     GIR_EraseRootFromParent_Done,
     /* 2051590 */   // Label 25315: @2051590
     /* 2051590 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(2051694), // Rule ID 60995 //
     /* 2051595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2051598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2051606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2051609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2051612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2051621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051641 */     // MIs[0] policy
     /* 2051641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051651 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 2051668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2051690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051693 */     // GIR_Coverage, 60995,
     /* 2051693 */     GIR_EraseRootFromParent_Done,
     /* 2051694 */   // Label 25316: @2051694
     /* 2051694 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(2051798), // Rule ID 60998 //
     /* 2051699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2051702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2051725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051745 */     // MIs[0] policy
     /* 2051745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2051772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051797 */     // GIR_Coverage, 60998,
     /* 2051797 */     GIR_EraseRootFromParent_Done,
     /* 2051798 */   // Label 25317: @2051798
     /* 2051798 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(2051902), // Rule ID 60999 //
     /* 2051803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2051806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2051814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2051817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2051820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2051826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2051829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2051833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2051841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051849 */     // MIs[0] policy
     /* 2051849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051859 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2051876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2051900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051901 */     // GIR_Coverage, 60999,
     /* 2051901 */     GIR_EraseRootFromParent_Done,
     /* 2051902 */   // Label 25318: @2051902
     /* 2051902 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(2052006), // Rule ID 61002 //
     /* 2051907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2051910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2051915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2051918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2051921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2051924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2051930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2051933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2051937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2051945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051953 */     // MIs[0] policy
     /* 2051953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2051956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051963 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2051967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2051973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2051977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2051980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2051994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052005 */     // GIR_Coverage, 61002,
     /* 2052005 */     GIR_EraseRootFromParent_Done,
     /* 2052006 */   // Label 25319: @2052006
     /* 2052006 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(2052110), // Rule ID 61003 //
     /* 2052011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2052014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2052037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052057 */     // MIs[0] policy
     /* 2052057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2052084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052109 */     // GIR_Coverage, 61003,
     /* 2052109 */     GIR_EraseRootFromParent_Done,
     /* 2052110 */   // Label 25320: @2052110
     /* 2052110 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(2052214), // Rule ID 61006 //
     /* 2052115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2052118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2052141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052161 */     // MIs[0] policy
     /* 2052161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052171 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2052188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052213 */     // GIR_Coverage, 61006,
     /* 2052213 */     GIR_EraseRootFromParent_Done,
     /* 2052214 */   // Label 25321: @2052214
     /* 2052214 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(2052318), // Rule ID 61007 //
     /* 2052219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2052222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2052245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052265 */     // MIs[0] policy
     /* 2052265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052275 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2052292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052317 */     // GIR_Coverage, 61007,
     /* 2052317 */     GIR_EraseRootFromParent_Done,
     /* 2052318 */   // Label 25322: @2052318
     /* 2052318 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(2052422), // Rule ID 61010 //
     /* 2052323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2052326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2052334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2052337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2052340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2052349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052369 */     // MIs[0] policy
     /* 2052369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052379 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2052396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052421 */     // GIR_Coverage, 61010,
     /* 2052421 */     GIR_EraseRootFromParent_Done,
     /* 2052422 */   // Label 25323: @2052422
     /* 2052422 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(2052526), // Rule ID 61011 //
     /* 2052427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2052430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2052438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2052441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2052444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2052450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2052453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052473 */     // MIs[0] policy
     /* 2052473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2052500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052525 */     // GIR_Coverage, 61011,
     /* 2052525 */     GIR_EraseRootFromParent_Done,
     /* 2052526 */   // Label 25324: @2052526
     /* 2052526 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(2052630), // Rule ID 61014 //
     /* 2052531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2052534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2052542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2052545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2052548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2052557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052577 */     // MIs[0] policy
     /* 2052577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052587 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2052604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052629 */     // GIR_Coverage, 61014,
     /* 2052629 */     GIR_EraseRootFromParent_Done,
     /* 2052630 */   // Label 25325: @2052630
     /* 2052630 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(2052734), // Rule ID 61015 //
     /* 2052635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2052638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2052646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2052649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2052652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2052661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052681 */     // MIs[0] policy
     /* 2052681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052691 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2052708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052733 */     // GIR_Coverage, 61015,
     /* 2052733 */     GIR_EraseRootFromParent_Done,
     /* 2052734 */   // Label 25326: @2052734
     /* 2052734 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(2052838), // Rule ID 61018 //
     /* 2052739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2052742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2052765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052785 */     // MIs[0] policy
     /* 2052785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2052812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052837 */     // GIR_Coverage, 61018,
     /* 2052837 */     GIR_EraseRootFromParent_Done,
     /* 2052838 */   // Label 25327: @2052838
     /* 2052838 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(2052942), // Rule ID 61019 //
     /* 2052843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2052846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2052854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2052857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2052860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2052869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052889 */     // MIs[0] policy
     /* 2052889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2052903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2052909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2052913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2052916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2052930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2052940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052941 */     // GIR_Coverage, 61019,
     /* 2052941 */     GIR_EraseRootFromParent_Done,
     /* 2052942 */   // Label 25328: @2052942
     /* 2052942 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(2053046), // Rule ID 61022 //
     /* 2052947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2052950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2052955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2052958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2052961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2052964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2052973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052993 */     // MIs[0] policy
     /* 2052993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2052996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2053020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053045 */     // GIR_Coverage, 61022,
     /* 2053045 */     GIR_EraseRootFromParent_Done,
     /* 2053046 */   // Label 25329: @2053046
     /* 2053046 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(2053150), // Rule ID 61023 //
     /* 2053051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2053054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2053077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053097 */     // MIs[0] policy
     /* 2053097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2053124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053149 */     // GIR_Coverage, 61023,
     /* 2053149 */     GIR_EraseRootFromParent_Done,
     /* 2053150 */   // Label 25330: @2053150
     /* 2053150 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(2053254), // Rule ID 61026 //
     /* 2053155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2053158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2053181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053201 */     // MIs[0] policy
     /* 2053201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2053228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053253 */     // GIR_Coverage, 61026,
     /* 2053253 */     GIR_EraseRootFromParent_Done,
     /* 2053254 */   // Label 25331: @2053254
     /* 2053254 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(2053358), // Rule ID 61027 //
     /* 2053259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2053262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2053285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053305 */     // MIs[0] policy
     /* 2053305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053315 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2053332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053357 */     // GIR_Coverage, 61027,
     /* 2053357 */     GIR_EraseRootFromParent_Done,
     /* 2053358 */   // Label 25332: @2053358
     /* 2053358 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(2053462), // Rule ID 61030 //
     /* 2053363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2053366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2053389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053409 */     // MIs[0] policy
     /* 2053409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2053436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053461 */     // GIR_Coverage, 61030,
     /* 2053461 */     GIR_EraseRootFromParent_Done,
     /* 2053462 */   // Label 25333: @2053462
     /* 2053462 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(2053566), // Rule ID 61031 //
     /* 2053467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2053470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2053493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053513 */     // MIs[0] policy
     /* 2053513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053523 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2053540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053565 */     // GIR_Coverage, 61031,
     /* 2053565 */     GIR_EraseRootFromParent_Done,
     /* 2053566 */   // Label 25334: @2053566
     /* 2053566 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(2053670), // Rule ID 61034 //
     /* 2053571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2053574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2053582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2053585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2053588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2053597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053617 */     // MIs[0] policy
     /* 2053617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053627 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2053644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053669 */     // GIR_Coverage, 61034,
     /* 2053669 */     GIR_EraseRootFromParent_Done,
     /* 2053670 */   // Label 25335: @2053670
     /* 2053670 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(2053774), // Rule ID 61035 //
     /* 2053675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2053678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2053686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2053689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2053692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2053698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2053701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053721 */     // MIs[0] policy
     /* 2053721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053731 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 2053748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053773 */     // GIR_Coverage, 61035,
     /* 2053773 */     GIR_EraseRootFromParent_Done,
     /* 2053774 */   // Label 25336: @2053774
     /* 2053774 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(2053878), // Rule ID 61038 //
     /* 2053779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2053782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2053805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053825 */     // MIs[0] policy
     /* 2053825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053835 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2053852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053877 */     // GIR_Coverage, 61038,
     /* 2053877 */     GIR_EraseRootFromParent_Done,
     /* 2053878 */   // Label 25337: @2053878
     /* 2053878 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(2053982), // Rule ID 61039 //
     /* 2053883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2053886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2053894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2053897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2053900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2053909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053929 */     // MIs[0] policy
     /* 2053929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2053932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053939 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2053943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2053949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2053953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 2053956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2053970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2053978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2053980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053981 */     // GIR_Coverage, 61039,
     /* 2053981 */     GIR_EraseRootFromParent_Done,
     /* 2053982 */   // Label 25338: @2053982
     /* 2053982 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(2054086), // Rule ID 61042 //
     /* 2053987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2053990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2053995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2053998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2054013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054033 */     // MIs[0] policy
     /* 2054033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054043 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2054060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054085 */     // GIR_Coverage, 61042,
     /* 2054085 */     GIR_EraseRootFromParent_Done,
     /* 2054086 */   // Label 25339: @2054086
     /* 2054086 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(2054190), // Rule ID 61043 //
     /* 2054091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2054094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 2054099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2054117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054137 */     // MIs[0] policy
     /* 2054137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054147 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 2054164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054189 */     // GIR_Coverage, 61043,
     /* 2054189 */     GIR_EraseRootFromParent_Done,
     /* 2054190 */   // Label 25340: @2054190
     /* 2054190 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(2054294), // Rule ID 61130 //
     /* 2054195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2054198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2054221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054241 */     // MIs[0] policy
     /* 2054241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054251 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 2054268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054293 */     // GIR_Coverage, 61130,
     /* 2054293 */     GIR_EraseRootFromParent_Done,
     /* 2054294 */   // Label 25341: @2054294
     /* 2054294 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(2054398), // Rule ID 61131 //
     /* 2054299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2054302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2054325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054345 */     // MIs[0] policy
     /* 2054345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054355 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 2054372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054397 */     // GIR_Coverage, 61131,
     /* 2054397 */     GIR_EraseRootFromParent_Done,
     /* 2054398 */   // Label 25342: @2054398
     /* 2054398 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(2054502), // Rule ID 61134 //
     /* 2054403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2054406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2054429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054449 */     // MIs[0] policy
     /* 2054449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 2054476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054501 */     // GIR_Coverage, 61134,
     /* 2054501 */     GIR_EraseRootFromParent_Done,
     /* 2054502 */   // Label 25343: @2054502
     /* 2054502 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(2054606), // Rule ID 61135 //
     /* 2054507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2054510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2054533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054553 */     // MIs[0] policy
     /* 2054553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 2054580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054605 */     // GIR_Coverage, 61135,
     /* 2054605 */     GIR_EraseRootFromParent_Done,
     /* 2054606 */   // Label 25344: @2054606
     /* 2054606 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(2054710), // Rule ID 61138 //
     /* 2054611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2054614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2054622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2054625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2054628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2054631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2054637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054657 */     // MIs[0] policy
     /* 2054657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2054684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054709 */     // GIR_Coverage, 61138,
     /* 2054709 */     GIR_EraseRootFromParent_Done,
     /* 2054710 */   // Label 25345: @2054710
     /* 2054710 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(2054814), // Rule ID 61139 //
     /* 2054715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2054718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2054726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2054729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2054732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2054735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2054741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054761 */     // MIs[0] policy
     /* 2054761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2054788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054813 */     // GIR_Coverage, 61139,
     /* 2054813 */     GIR_EraseRootFromParent_Done,
     /* 2054814 */   // Label 25346: @2054814
     /* 2054814 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(2054918), // Rule ID 61142 //
     /* 2054819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2054822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2054836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2054845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054865 */     // MIs[0] policy
     /* 2054865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054875 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 2054892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2054906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2054914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2054916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054917 */     // GIR_Coverage, 61142,
     /* 2054917 */     GIR_EraseRootFromParent_Done,
     /* 2054918 */   // Label 25347: @2054918
     /* 2054918 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(2055022), // Rule ID 61143 //
     /* 2054923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2054926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2054931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2054934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2054937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2054940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2054943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2054949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054969 */     // MIs[0] policy
     /* 2054969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2054972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054979 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2054983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2054989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2054993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 2054996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055021 */     // GIR_Coverage, 61143,
     /* 2055021 */     GIR_EraseRootFromParent_Done,
     /* 2055022 */   // Label 25348: @2055022
     /* 2055022 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(2055126), // Rule ID 61146 //
     /* 2055027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2055030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2055053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055073 */     // MIs[0] policy
     /* 2055073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055083 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2055100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055125 */     // GIR_Coverage, 61146,
     /* 2055125 */     GIR_EraseRootFromParent_Done,
     /* 2055126 */   // Label 25349: @2055126
     /* 2055126 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(2055230), // Rule ID 61147 //
     /* 2055131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2055134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2055157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055177 */     // MIs[0] policy
     /* 2055177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2055204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055229 */     // GIR_Coverage, 61147,
     /* 2055229 */     GIR_EraseRootFromParent_Done,
     /* 2055230 */   // Label 25350: @2055230
     /* 2055230 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(2055334), // Rule ID 61150 //
     /* 2055235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2055238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2055261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055281 */     // MIs[0] policy
     /* 2055281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055291 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2055308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055333 */     // GIR_Coverage, 61150,
     /* 2055333 */     GIR_EraseRootFromParent_Done,
     /* 2055334 */   // Label 25351: @2055334
     /* 2055334 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(2055438), // Rule ID 61151 //
     /* 2055339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2055342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2055365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055385 */     // MIs[0] policy
     /* 2055385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055395 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 2055412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055437 */     // GIR_Coverage, 61151,
     /* 2055437 */     GIR_EraseRootFromParent_Done,
     /* 2055438 */   // Label 25352: @2055438
     /* 2055438 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(2055542), // Rule ID 61154 //
     /* 2055443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2055446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2055469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055489 */     // MIs[0] policy
     /* 2055489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2055516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055541 */     // GIR_Coverage, 61154,
     /* 2055541 */     GIR_EraseRootFromParent_Done,
     /* 2055542 */   // Label 25353: @2055542
     /* 2055542 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(2055646), // Rule ID 61155 //
     /* 2055547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2055550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2055573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055593 */     // MIs[0] policy
     /* 2055593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2055620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055645 */     // GIR_Coverage, 61155,
     /* 2055645 */     GIR_EraseRootFromParent_Done,
     /* 2055646 */   // Label 25354: @2055646
     /* 2055646 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(2055750), // Rule ID 61158 //
     /* 2055651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2055654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2055677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055697 */     // MIs[0] policy
     /* 2055697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055707 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2055724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055749 */     // GIR_Coverage, 61158,
     /* 2055749 */     GIR_EraseRootFromParent_Done,
     /* 2055750 */   // Label 25355: @2055750
     /* 2055750 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(2055854), // Rule ID 61159 //
     /* 2055755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2055758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2055781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055801 */     // MIs[0] policy
     /* 2055801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055811 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2055828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055853 */     // GIR_Coverage, 61159,
     /* 2055853 */     GIR_EraseRootFromParent_Done,
     /* 2055854 */   // Label 25356: @2055854
     /* 2055854 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(2055958), // Rule ID 61162 //
     /* 2055859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2055862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2055876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2055879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2055885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055905 */     // MIs[0] policy
     /* 2055905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2055908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2055919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2055925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2055929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2055932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2055946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2055956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055957 */     // GIR_Coverage, 61162,
     /* 2055957 */     GIR_EraseRootFromParent_Done,
     /* 2055958 */   // Label 25357: @2055958
     /* 2055958 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(2056062), // Rule ID 61163 //
     /* 2055963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2055966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2055971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2055974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2055977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2055980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2055983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2055989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056009 */     // MIs[0] policy
     /* 2056009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056019 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2056036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056061 */     // GIR_Coverage, 61163,
     /* 2056061 */     GIR_EraseRootFromParent_Done,
     /* 2056062 */   // Label 25358: @2056062
     /* 2056062 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(2056166), // Rule ID 61166 //
     /* 2056067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2056070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2056087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2056093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056113 */     // MIs[0] policy
     /* 2056113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056123 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2056140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056165 */     // GIR_Coverage, 61166,
     /* 2056165 */     GIR_EraseRootFromParent_Done,
     /* 2056166 */   // Label 25359: @2056166
     /* 2056166 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(2056270), // Rule ID 61167 //
     /* 2056171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2056174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2056191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2056197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056217 */     // MIs[0] policy
     /* 2056217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056227 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 2056244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056269 */     // GIR_Coverage, 61167,
     /* 2056269 */     GIR_EraseRootFromParent_Done,
     /* 2056270 */   // Label 25360: @2056270
     /* 2056270 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(2056374), // Rule ID 61170 //
     /* 2056275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2056278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2056301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056321 */     // MIs[0] policy
     /* 2056321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056331 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2056348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056373 */     // GIR_Coverage, 61170,
     /* 2056373 */     GIR_EraseRootFromParent_Done,
     /* 2056374 */   // Label 25361: @2056374
     /* 2056374 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(2056478), // Rule ID 61171 //
     /* 2056379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2056382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2056405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056425 */     // MIs[0] policy
     /* 2056425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056435 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2056452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056477 */     // GIR_Coverage, 61171,
     /* 2056477 */     GIR_EraseRootFromParent_Done,
     /* 2056478 */   // Label 25362: @2056478
     /* 2056478 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(2056582), // Rule ID 61174 //
     /* 2056483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2056486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2056509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056529 */     // MIs[0] policy
     /* 2056529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056539 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2056556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056581 */     // GIR_Coverage, 61174,
     /* 2056581 */     GIR_EraseRootFromParent_Done,
     /* 2056582 */   // Label 25363: @2056582
     /* 2056582 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(2056686), // Rule ID 61175 //
     /* 2056587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2056590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2056613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056633 */     // MIs[0] policy
     /* 2056633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056643 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2056660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056685 */     // GIR_Coverage, 61175,
     /* 2056685 */     GIR_EraseRootFromParent_Done,
     /* 2056686 */   // Label 25364: @2056686
     /* 2056686 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(2056790), // Rule ID 61178 //
     /* 2056691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2056694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2056717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056737 */     // MIs[0] policy
     /* 2056737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2056764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056789 */     // GIR_Coverage, 61178,
     /* 2056789 */     GIR_EraseRootFromParent_Done,
     /* 2056790 */   // Label 25365: @2056790
     /* 2056790 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(2056894), // Rule ID 61179 //
     /* 2056795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2056798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2056821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056841 */     // MIs[0] policy
     /* 2056841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056851 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2056868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056893 */     // GIR_Coverage, 61179,
     /* 2056893 */     GIR_EraseRootFromParent_Done,
     /* 2056894 */   // Label 25366: @2056894
     /* 2056894 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(2056998), // Rule ID 61182 //
     /* 2056899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2056902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2056907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2056910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2056913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2056916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2056919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2056922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2056925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056945 */     // MIs[0] policy
     /* 2056945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2056948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056955 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2056959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2056965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2056969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2056972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2056986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2056996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056997 */     // GIR_Coverage, 61182,
     /* 2056997 */     GIR_EraseRootFromParent_Done,
     /* 2056998 */   // Label 25367: @2056998
     /* 2056998 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(2057102), // Rule ID 61183 //
     /* 2057003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2057006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2057029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057049 */     // MIs[0] policy
     /* 2057049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057059 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2057076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057101 */     // GIR_Coverage, 61183,
     /* 2057101 */     GIR_EraseRootFromParent_Done,
     /* 2057102 */   // Label 25368: @2057102
     /* 2057102 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(2057206), // Rule ID 61186 //
     /* 2057107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2057110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2057133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057153 */     // MIs[0] policy
     /* 2057153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057163 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2057180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057205 */     // GIR_Coverage, 61186,
     /* 2057205 */     GIR_EraseRootFromParent_Done,
     /* 2057206 */   // Label 25369: @2057206
     /* 2057206 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(2057310), // Rule ID 61187 //
     /* 2057211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2057214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2057237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057257 */     // MIs[0] policy
     /* 2057257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2057284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057309 */     // GIR_Coverage, 61187,
     /* 2057309 */     GIR_EraseRootFromParent_Done,
     /* 2057310 */   // Label 25370: @2057310
     /* 2057310 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(2057414), // Rule ID 61190 //
     /* 2057315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2057318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2057341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057361 */     // MIs[0] policy
     /* 2057361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057371 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2057388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057413 */     // GIR_Coverage, 61190,
     /* 2057413 */     GIR_EraseRootFromParent_Done,
     /* 2057414 */   // Label 25371: @2057414
     /* 2057414 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(2057518), // Rule ID 61191 //
     /* 2057419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2057422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2057445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057465 */     // MIs[0] policy
     /* 2057465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057475 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2057492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057517 */     // GIR_Coverage, 61191,
     /* 2057517 */     GIR_EraseRootFromParent_Done,
     /* 2057518 */   // Label 25372: @2057518
     /* 2057518 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(2057622), // Rule ID 61194 //
     /* 2057523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2057526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2057549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057569 */     // MIs[0] policy
     /* 2057569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057579 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2057596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057621 */     // GIR_Coverage, 61194,
     /* 2057621 */     GIR_EraseRootFromParent_Done,
     /* 2057622 */   // Label 25373: @2057622
     /* 2057622 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(2057726), // Rule ID 61195 //
     /* 2057627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2057630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2057653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057673 */     // MIs[0] policy
     /* 2057673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057683 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2057700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057725 */     // GIR_Coverage, 61195,
     /* 2057725 */     GIR_EraseRootFromParent_Done,
     /* 2057726 */   // Label 25374: @2057726
     /* 2057726 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(2057830), // Rule ID 61198 //
     /* 2057731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2057734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2057757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057777 */     // MIs[0] policy
     /* 2057777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2057804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057829 */     // GIR_Coverage, 61198,
     /* 2057829 */     GIR_EraseRootFromParent_Done,
     /* 2057830 */   // Label 25375: @2057830
     /* 2057830 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(2057934), // Rule ID 61199 //
     /* 2057835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2057838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2057861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057881 */     // MIs[0] policy
     /* 2057881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057891 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2057901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2057905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2057908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2057922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2057932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057933 */     // GIR_Coverage, 61199,
     /* 2057933 */     GIR_EraseRootFromParent_Done,
     /* 2057934 */   // Label 25376: @2057934
     /* 2057934 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(2058038), // Rule ID 61202 //
     /* 2057939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2057942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2057947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2057965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057985 */     // MIs[0] policy
     /* 2057985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2057988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057995 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2057999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2058012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058037 */     // GIR_Coverage, 61202,
     /* 2058037 */     GIR_EraseRootFromParent_Done,
     /* 2058038 */   // Label 25377: @2058038
     /* 2058038 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(2058142), // Rule ID 61203 //
     /* 2058043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2058046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2058069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058089 */     // MIs[0] policy
     /* 2058089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058099 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2058116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058141 */     // GIR_Coverage, 61203,
     /* 2058141 */     GIR_EraseRootFromParent_Done,
     /* 2058142 */   // Label 25378: @2058142
     /* 2058142 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(2058246), // Rule ID 61206 //
     /* 2058147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2058150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2058167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2058173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058193 */     // MIs[0] policy
     /* 2058193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058203 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2058220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058245 */     // GIR_Coverage, 61206,
     /* 2058245 */     GIR_EraseRootFromParent_Done,
     /* 2058246 */   // Label 25379: @2058246
     /* 2058246 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(2058350), // Rule ID 61207 //
     /* 2058251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2058254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2058271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2058277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058297 */     // MIs[0] policy
     /* 2058297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058307 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 2058324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058346 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058349 */     // GIR_Coverage, 61207,
     /* 2058349 */     GIR_EraseRootFromParent_Done,
     /* 2058350 */   // Label 25380: @2058350
     /* 2058350 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(2058454), // Rule ID 61210 //
     /* 2058355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2058358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2058375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2058381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058401 */     // MIs[0] policy
     /* 2058401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2058428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058450 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058453 */     // GIR_Coverage, 61210,
     /* 2058453 */     GIR_EraseRootFromParent_Done,
     /* 2058454 */   // Label 25381: @2058454
     /* 2058454 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(2058558), // Rule ID 61211 //
     /* 2058459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2058462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2058479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2058485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058505 */     // MIs[0] policy
     /* 2058505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058515 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 2058532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058554 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058557 */     // GIR_Coverage, 61211,
     /* 2058557 */     GIR_EraseRootFromParent_Done,
     /* 2058558 */   // Label 25382: @2058558
     /* 2058558 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(2058662), // Rule ID 61214 //
     /* 2058563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2058566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2058583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2058589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058609 */     // MIs[0] policy
     /* 2058609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2058636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058661 */     // GIR_Coverage, 61214,
     /* 2058661 */     GIR_EraseRootFromParent_Done,
     /* 2058662 */   // Label 25383: @2058662
     /* 2058662 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(2058766), // Rule ID 61215 //
     /* 2058667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2058670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2058687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2058693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058713 */     // MIs[0] policy
     /* 2058713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 2058740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058765 */     // GIR_Coverage, 61215,
     /* 2058765 */     GIR_EraseRootFromParent_Done,
     /* 2058766 */   // Label 25384: @2058766
     /* 2058766 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(2058870), // Rule ID 61218 //
     /* 2058771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2058774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2058797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058817 */     // MIs[0] policy
     /* 2058817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058827 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 2058844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058869 */     // GIR_Coverage, 61218,
     /* 2058869 */     GIR_EraseRootFromParent_Done,
     /* 2058870 */   // Label 25385: @2058870
     /* 2058870 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(2058974), // Rule ID 61219 //
     /* 2058875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2058878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2058901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058921 */     // MIs[0] policy
     /* 2058921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2058924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058931 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2058935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2058941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2058945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 2058948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2058962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2058972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058973 */     // GIR_Coverage, 61219,
     /* 2058973 */     GIR_EraseRootFromParent_Done,
     /* 2058974 */   // Label 25386: @2058974
     /* 2058974 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(2059078), // Rule ID 61222 //
     /* 2058979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2058982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2058987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2059005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059025 */     // MIs[0] policy
     /* 2059025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 2059052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059074 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059077 */     // GIR_Coverage, 61222,
     /* 2059077 */     GIR_EraseRootFromParent_Done,
     /* 2059078 */   // Label 25387: @2059078
     /* 2059078 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(2059182), // Rule ID 61223 //
     /* 2059083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2059086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2059094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2059097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2059100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2059109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059129 */     // MIs[0] policy
     /* 2059129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 2059156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059178 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059181 */     // GIR_Coverage, 61223,
     /* 2059181 */     GIR_EraseRootFromParent_Done,
     /* 2059182 */   // Label 25388: @2059182
     /* 2059182 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(2059286), // Rule ID 61226 //
     /* 2059187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2059190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2059213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059233 */     // MIs[0] policy
     /* 2059233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059243 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059282 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059285 */     // GIR_Coverage, 61226,
     /* 2059285 */     GIR_EraseRootFromParent_Done,
     /* 2059286 */   // Label 25389: @2059286
     /* 2059286 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(2059390), // Rule ID 61227 //
     /* 2059291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2059294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2059317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059337 */     // MIs[0] policy
     /* 2059337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059386 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059389 */     // GIR_Coverage, 61227,
     /* 2059389 */     GIR_EraseRootFromParent_Done,
     /* 2059390 */   // Label 25390: @2059390
     /* 2059390 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(2059494), // Rule ID 61230 //
     /* 2059395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2059398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2059421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059441 */     // MIs[0] policy
     /* 2059441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 2059468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059493 */     // GIR_Coverage, 61230,
     /* 2059493 */     GIR_EraseRootFromParent_Done,
     /* 2059494 */   // Label 25391: @2059494
     /* 2059494 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(2059598), // Rule ID 61231 //
     /* 2059499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2059502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2059525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059545 */     // MIs[0] policy
     /* 2059545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059555 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 2059572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059597 */     // GIR_Coverage, 61231,
     /* 2059597 */     GIR_EraseRootFromParent_Done,
     /* 2059598 */   // Label 25392: @2059598
     /* 2059598 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(2059702), // Rule ID 61234 //
     /* 2059603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2059606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2059629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059649 */     // MIs[0] policy
     /* 2059649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059701 */     // GIR_Coverage, 61234,
     /* 2059701 */     GIR_EraseRootFromParent_Done,
     /* 2059702 */   // Label 25393: @2059702
     /* 2059702 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(2059806), // Rule ID 61235 //
     /* 2059707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2059710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2059733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059753 */     // MIs[0] policy
     /* 2059753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059763 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059805 */     // GIR_Coverage, 61235,
     /* 2059805 */     GIR_EraseRootFromParent_Done,
     /* 2059806 */   // Label 25394: @2059806
     /* 2059806 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(2059910), // Rule ID 61238 //
     /* 2059811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2059814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2059837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059857 */     // MIs[0] policy
     /* 2059857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059867 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2059898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2059908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059909 */     // GIR_Coverage, 61238,
     /* 2059909 */     GIR_EraseRootFromParent_Done,
     /* 2059910 */   // Label 25395: @2059910
     /* 2059910 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(2060014), // Rule ID 61239 //
     /* 2059915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2059918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2059923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2059941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059961 */     // MIs[0] policy
     /* 2059961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2059964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2059975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2059981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2059985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 2059988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060013 */     // GIR_Coverage, 61239,
     /* 2060013 */     GIR_EraseRootFromParent_Done,
     /* 2060014 */   // Label 25396: @2060014
     /* 2060014 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(2060118), // Rule ID 61242 //
     /* 2060019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2060022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2060030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2060033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2060036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2060045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060065 */     // MIs[0] policy
     /* 2060065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060075 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060117 */     // GIR_Coverage, 61242,
     /* 2060117 */     GIR_EraseRootFromParent_Done,
     /* 2060118 */   // Label 25397: @2060118
     /* 2060118 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(2060222), // Rule ID 61243 //
     /* 2060123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2060126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2060134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2060137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2060140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2060146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2060149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060169 */     // MIs[0] policy
     /* 2060169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060179 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060221 */     // GIR_Coverage, 61243,
     /* 2060221 */     GIR_EraseRootFromParent_Done,
     /* 2060222 */   // Label 25398: @2060222
     /* 2060222 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(2060326), // Rule ID 61246 //
     /* 2060227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2060230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2060244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2060253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060273 */     // MIs[0] policy
     /* 2060273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060283 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060325 */     // GIR_Coverage, 61246,
     /* 2060325 */     GIR_EraseRootFromParent_Done,
     /* 2060326 */   // Label 25399: @2060326
     /* 2060326 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(2060430), // Rule ID 61247 //
     /* 2060331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2060334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2060348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2060357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060377 */     // MIs[0] policy
     /* 2060377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060387 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060429 */     // GIR_Coverage, 61247,
     /* 2060429 */     GIR_EraseRootFromParent_Done,
     /* 2060430 */   // Label 25400: @2060430
     /* 2060430 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(2060534), // Rule ID 61250 //
     /* 2060435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2060438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2060461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060481 */     // MIs[0] policy
     /* 2060481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060491 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060533 */     // GIR_Coverage, 61250,
     /* 2060533 */     GIR_EraseRootFromParent_Done,
     /* 2060534 */   // Label 25401: @2060534
     /* 2060534 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(2060638), // Rule ID 61251 //
     /* 2060539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2060542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2060565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060585 */     // MIs[0] policy
     /* 2060585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060595 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060637 */     // GIR_Coverage, 61251,
     /* 2060637 */     GIR_EraseRootFromParent_Done,
     /* 2060638 */   // Label 25402: @2060638
     /* 2060638 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(2060742), // Rule ID 61254 //
     /* 2060643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2060646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2060669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060689 */     // MIs[0] policy
     /* 2060689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060699 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060741 */     // GIR_Coverage, 61254,
     /* 2060741 */     GIR_EraseRootFromParent_Done,
     /* 2060742 */   // Label 25403: @2060742
     /* 2060742 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(2060846), // Rule ID 61255 //
     /* 2060747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2060750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2060773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060793 */     // MIs[0] policy
     /* 2060793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 2060820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060845 */     // GIR_Coverage, 61255,
     /* 2060845 */     GIR_EraseRootFromParent_Done,
     /* 2060846 */   // Label 25404: @2060846
     /* 2060846 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(2060950), // Rule ID 61258 //
     /* 2060851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2060854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2060877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060897 */     // MIs[0] policy
     /* 2060897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2060900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060907 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2060911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2060917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2060921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2060924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2060938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2060948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060949 */     // GIR_Coverage, 61258,
     /* 2060949 */     GIR_EraseRootFromParent_Done,
     /* 2060950 */   // Label 25405: @2060950
     /* 2060950 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(2061054), // Rule ID 61259 //
     /* 2060955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2060958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2060963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2060981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061001 */     // MIs[0] policy
     /* 2061001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061011 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2061028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061053 */     // GIR_Coverage, 61259,
     /* 2061053 */     GIR_EraseRootFromParent_Done,
     /* 2061054 */   // Label 25406: @2061054
     /* 2061054 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(2061158), // Rule ID 61262 //
     /* 2061059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2061062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2061070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2061073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2061076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2061085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061105 */     // MIs[0] policy
     /* 2061105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2061132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061157 */     // GIR_Coverage, 61262,
     /* 2061157 */     GIR_EraseRootFromParent_Done,
     /* 2061158 */   // Label 25407: @2061158
     /* 2061158 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(2061262), // Rule ID 61263 //
     /* 2061163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2061166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2061174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2061177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2061180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2061189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061209 */     // MIs[0] policy
     /* 2061209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2061236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061261 */     // GIR_Coverage, 61263,
     /* 2061261 */     GIR_EraseRootFromParent_Done,
     /* 2061262 */   // Label 25408: @2061262
     /* 2061262 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(2061366), // Rule ID 61266 //
     /* 2061267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2061270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2061278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2061281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2061284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2061290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2061293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061313 */     // MIs[0] policy
     /* 2061313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061323 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2061340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061365 */     // GIR_Coverage, 61266,
     /* 2061365 */     GIR_EraseRootFromParent_Done,
     /* 2061366 */   // Label 25409: @2061366
     /* 2061366 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(2061470), // Rule ID 61267 //
     /* 2061371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2061374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2061382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2061385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2061388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2061394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2061397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061417 */     // MIs[0] policy
     /* 2061417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061427 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2061444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2061466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061469 */     // GIR_Coverage, 61267,
     /* 2061469 */     GIR_EraseRootFromParent_Done,
     /* 2061470 */   // Label 25410: @2061470
     /* 2061470 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(2061574), // Rule ID 61270 //
     /* 2061475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2061478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2061501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061521 */     // MIs[0] policy
     /* 2061521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061531 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2061548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061573 */     // GIR_Coverage, 61270,
     /* 2061573 */     GIR_EraseRootFromParent_Done,
     /* 2061574 */   // Label 25411: @2061574
     /* 2061574 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(2061678), // Rule ID 61271 //
     /* 2061579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2061582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2061605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061625 */     // MIs[0] policy
     /* 2061625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2061652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061674 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061677 */     // GIR_Coverage, 61271,
     /* 2061677 */     GIR_EraseRootFromParent_Done,
     /* 2061678 */   // Label 25412: @2061678
     /* 2061678 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(2061782), // Rule ID 61274 //
     /* 2061683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2061686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2061709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061729 */     // MIs[0] policy
     /* 2061729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2061756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061778 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061781 */     // GIR_Coverage, 61274,
     /* 2061781 */     GIR_EraseRootFromParent_Done,
     /* 2061782 */   // Label 25413: @2061782
     /* 2061782 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(2061886), // Rule ID 61275 //
     /* 2061787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2061790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2061813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061833 */     // MIs[0] policy
     /* 2061833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2061860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061885 */     // GIR_Coverage, 61275,
     /* 2061885 */     GIR_EraseRootFromParent_Done,
     /* 2061886 */   // Label 25414: @2061886
     /* 2061886 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(2061990), // Rule ID 61278 //
     /* 2061891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2061894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2061899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2061917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061937 */     // MIs[0] policy
     /* 2061937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2061940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2061951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2061957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2061961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2061964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2061978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2061988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061989 */     // GIR_Coverage, 61278,
     /* 2061989 */     GIR_EraseRootFromParent_Done,
     /* 2061990 */   // Label 25415: @2061990
     /* 2061990 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(2062094), // Rule ID 61279 //
     /* 2061995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2061998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2062006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2062009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2062012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2062018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2062021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062041 */     // MIs[0] policy
     /* 2062041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2062068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2062090 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062093 */     // GIR_Coverage, 61279,
     /* 2062093 */     GIR_EraseRootFromParent_Done,
     /* 2062094 */   // Label 25416: @2062094
     /* 2062094 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(2062198), // Rule ID 61282 //
     /* 2062099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2062102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2062116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2062125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062145 */     // MIs[0] policy
     /* 2062145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2062172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062194 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062197 */     // GIR_Coverage, 61282,
     /* 2062197 */     GIR_EraseRootFromParent_Done,
     /* 2062198 */   // Label 25417: @2062198
     /* 2062198 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(2062302), // Rule ID 61283 //
     /* 2062203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2062206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2062214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2062217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2062220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2062229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062249 */     // MIs[0] policy
     /* 2062249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2062276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062298 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062301 */     // GIR_Coverage, 61283,
     /* 2062301 */     GIR_EraseRootFromParent_Done,
     /* 2062302 */   // Label 25418: @2062302
     /* 2062302 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(2062406), // Rule ID 61286 //
     /* 2062307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2062310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2062324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2062333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062353 */     // MIs[0] policy
     /* 2062353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2062380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062405 */     // GIR_Coverage, 61286,
     /* 2062405 */     GIR_EraseRootFromParent_Done,
     /* 2062406 */   // Label 25419: @2062406
     /* 2062406 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(2062510), // Rule ID 61287 //
     /* 2062411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2062414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2062422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2062425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2062428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2062437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062457 */     // MIs[0] policy
     /* 2062457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062467 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2062484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062506 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062509 */     // GIR_Coverage, 61287,
     /* 2062509 */     GIR_EraseRootFromParent_Done,
     /* 2062510 */   // Label 25420: @2062510
     /* 2062510 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(2062614), // Rule ID 61290 //
     /* 2062515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2062518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2062532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2062541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062561 */     // MIs[0] policy
     /* 2062561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2062588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062613 */     // GIR_Coverage, 61290,
     /* 2062613 */     GIR_EraseRootFromParent_Done,
     /* 2062614 */   // Label 25421: @2062614
     /* 2062614 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(2062718), // Rule ID 61291 //
     /* 2062619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2062622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2062636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2062645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062665 */     // MIs[0] policy
     /* 2062665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062675 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2062692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062717 */     // GIR_Coverage, 61291,
     /* 2062717 */     GIR_EraseRootFromParent_Done,
     /* 2062718 */   // Label 25422: @2062718
     /* 2062718 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(2062822), // Rule ID 61294 //
     /* 2062723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2062726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2062749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062769 */     // MIs[0] policy
     /* 2062769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2062796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062821 */     // GIR_Coverage, 61294,
     /* 2062821 */     GIR_EraseRootFromParent_Done,
     /* 2062822 */   // Label 25423: @2062822
     /* 2062822 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(2062926), // Rule ID 61295 //
     /* 2062827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2062830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2062853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062873 */     // MIs[0] policy
     /* 2062873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062883 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2062897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 2062900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2062914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2062924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062925 */     // GIR_Coverage, 61295,
     /* 2062925 */     GIR_EraseRootFromParent_Done,
     /* 2062926 */   // Label 25424: @2062926
     /* 2062926 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(2063030), // Rule ID 61298 //
     /* 2062931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2062934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2062939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2062957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062977 */     // MIs[0] policy
     /* 2062977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2062980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2062991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2062997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2063004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063029 */     // GIR_Coverage, 61298,
     /* 2063029 */     GIR_EraseRootFromParent_Done,
     /* 2063030 */   // Label 25425: @2063030
     /* 2063030 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(2063134), // Rule ID 61299 //
     /* 2063035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2063038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2063043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2063046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2063049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2063052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2063061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2063065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2063073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063081 */     // MIs[0] policy
     /* 2063081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063091 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 2063108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063133 */     // GIR_Coverage, 61299,
     /* 2063133 */     GIR_EraseRootFromParent_Done,
     /* 2063134 */   // Label 25426: @2063134
     /* 2063134 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(2063238), // Rule ID 61302 //
     /* 2063139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 2063142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2063147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2063159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2063165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063185 */     // MIs[0] policy
     /* 2063185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2063212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063237 */     // GIR_Coverage, 61302,
     /* 2063237 */     GIR_EraseRootFromParent_Done,
     /* 2063238 */   // Label 25427: @2063238
     /* 2063238 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(2063342), // Rule ID 61303 //
     /* 2063243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 2063246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 2063251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2063254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2063257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2063260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2063263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2063269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2063273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2063281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2063285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063289 */     // MIs[0] policy
     /* 2063289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063299 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 2063316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2063338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063341 */     // GIR_Coverage, 61303,
     /* 2063341 */     GIR_EraseRootFromParent_Done,
     /* 2063342 */   // Label 25428: @2063342
     /* 2063342 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(2063446), // Rule ID 61944 //
     /* 2063347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2063350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2063373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063393 */     // MIs[0] policy
     /* 2063393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 2063420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063445 */     // GIR_Coverage, 61944,
     /* 2063445 */     GIR_EraseRootFromParent_Done,
     /* 2063446 */   // Label 25429: @2063446
     /* 2063446 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(2063550), // Rule ID 61945 //
     /* 2063451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2063454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2063477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063497 */     // MIs[0] policy
     /* 2063497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063507 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 2063524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063549 */     // GIR_Coverage, 61945,
     /* 2063549 */     GIR_EraseRootFromParent_Done,
     /* 2063550 */   // Label 25430: @2063550
     /* 2063550 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(2063654), // Rule ID 61948 //
     /* 2063555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2063558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2063575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2063581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063601 */     // MIs[0] policy
     /* 2063601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063611 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 2063628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063653 */     // GIR_Coverage, 61948,
     /* 2063653 */     GIR_EraseRootFromParent_Done,
     /* 2063654 */   // Label 25431: @2063654
     /* 2063654 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(2063758), // Rule ID 61949 //
     /* 2063659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2063662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2063670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2063673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2063679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2063685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063705 */     // MIs[0] policy
     /* 2063705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063715 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 2063732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063757 */     // GIR_Coverage, 61949,
     /* 2063757 */     GIR_EraseRootFromParent_Done,
     /* 2063758 */   // Label 25432: @2063758
     /* 2063758 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(2063862), // Rule ID 61952 //
     /* 2063763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2063766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2063774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2063777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2063789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063809 */     // MIs[0] policy
     /* 2063809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10762:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 2063836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063861 */     // GIR_Coverage, 61952,
     /* 2063861 */     GIR_EraseRootFromParent_Done,
     /* 2063862 */   // Label 25433: @2063862
     /* 2063862 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(2063966), // Rule ID 61953 //
     /* 2063867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2063870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2063878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2063881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2063884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2063887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2063890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2063893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2063897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2063909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063913 */     // MIs[0] policy
     /* 2063913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2063916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063923 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10762:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2063927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2063933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2063937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 2063940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2063944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2063954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2063964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063965 */     // GIR_Coverage, 61953,
     /* 2063965 */     GIR_EraseRootFromParent_Done,
     /* 2063966 */   // Label 25434: @2063966
     /* 2063966 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(2064070), // Rule ID 61956 //
     /* 2063971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2063974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2063979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2063982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2063985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2063988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2063991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2063994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2063997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064017 */     // MIs[0] policy
     /* 2064017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10762:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 2064044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064069 */     // GIR_Coverage, 61956,
     /* 2064069 */     GIR_EraseRootFromParent_Done,
     /* 2064070 */   // Label 25435: @2064070
     /* 2064070 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(2064174), // Rule ID 61957 //
     /* 2064075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2064078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2064086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2064089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2064095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2064101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064121 */     // MIs[0] policy
     /* 2064121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10762:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 2064148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064173 */     // GIR_Coverage, 61957,
     /* 2064173 */     GIR_EraseRootFromParent_Done,
     /* 2064174 */   // Label 25436: @2064174
     /* 2064174 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(2064278), // Rule ID 61960 //
     /* 2064179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2064182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2064199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2064205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064225 */     // MIs[0] policy
     /* 2064225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064235 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10762:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 2064252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064277 */     // GIR_Coverage, 61960,
     /* 2064277 */     GIR_EraseRootFromParent_Done,
     /* 2064278 */   // Label 25437: @2064278
     /* 2064278 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(2064382), // Rule ID 61961 //
     /* 2064283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2064286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2064294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2064297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2064303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2064309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064329 */     // MIs[0] policy
     /* 2064329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064339 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10762:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 2064356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064381 */     // GIR_Coverage, 61961,
     /* 2064381 */     GIR_EraseRootFromParent_Done,
     /* 2064382 */   // Label 25438: @2064382
     /* 2064382 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(2064486), // Rule ID 61964 //
     /* 2064387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2064390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2064404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2064407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2064413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064433 */     // MIs[0] policy
     /* 2064433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064443 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 2064460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064485 */     // GIR_Coverage, 61964,
     /* 2064485 */     GIR_EraseRootFromParent_Done,
     /* 2064486 */   // Label 25439: @2064486
     /* 2064486 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(2064590), // Rule ID 61965 //
     /* 2064491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2064494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2064502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2064505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2064508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2064511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2064517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064537 */     // MIs[0] policy
     /* 2064537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064547 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 2064564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064589 */     // GIR_Coverage, 61965,
     /* 2064589 */     GIR_EraseRootFromParent_Done,
     /* 2064590 */   // Label 25440: @2064590
     /* 2064590 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(2064694), // Rule ID 61968 //
     /* 2064595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2064598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2064612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2064621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064641 */     // MIs[0] policy
     /* 2064641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064651 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 2064668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064693 */     // GIR_Coverage, 61968,
     /* 2064693 */     GIR_EraseRootFromParent_Done,
     /* 2064694 */   // Label 25441: @2064694
     /* 2064694 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(2064798), // Rule ID 61969 //
     /* 2064699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2064702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2064716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2064719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2064722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2064725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064745 */     // MIs[0] policy
     /* 2064745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064755 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10762:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 2064772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064797 */     // GIR_Coverage, 61969,
     /* 2064797 */     GIR_EraseRootFromParent_Done,
     /* 2064798 */   // Label 25442: @2064798
     /* 2064798 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(2064902), // Rule ID 61972 //
     /* 2064803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2064806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2064820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2064829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064849 */     // MIs[0] policy
     /* 2064849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064859 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10762:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 2064876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2064900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064901 */     // GIR_Coverage, 61972,
     /* 2064901 */     GIR_EraseRootFromParent_Done,
     /* 2064902 */   // Label 25443: @2064902
     /* 2064902 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(2065006), // Rule ID 61973 //
     /* 2064907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2064910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2064915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2064918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2064921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2064924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2064933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2064945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064953 */     // MIs[0] policy
     /* 2064953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2064956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064963 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10762:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2064967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2064973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2064977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 2064980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2064984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2064994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065005 */     // GIR_Coverage, 61973,
     /* 2065005 */     GIR_EraseRootFromParent_Done,
     /* 2065006 */   // Label 25444: @2065006
     /* 2065006 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(2065110), // Rule ID 61976 //
     /* 2065011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2065014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2065019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2065028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2065037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065057 */     // MIs[0] policy
     /* 2065057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065067 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10762:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 2065084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065109 */     // GIR_Coverage, 61976,
     /* 2065109 */     GIR_EraseRootFromParent_Done,
     /* 2065110 */   // Label 25445: @2065110
     /* 2065110 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(2065214), // Rule ID 61977 //
     /* 2065115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2065118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2065123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2065132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2065135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2065141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065161 */     // MIs[0] policy
     /* 2065161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10762:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 2065188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065210 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065213 */     // GIR_Coverage, 61977,
     /* 2065213 */     GIR_EraseRootFromParent_Done,
     /* 2065214 */   // Label 25446: @2065214
     /* 2065214 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(2065318), // Rule ID 61980 //
     /* 2065219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2065222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2065227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2065236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2065245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065265 */     // MIs[0] policy
     /* 2065265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10762:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 2065292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065314 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065317 */     // GIR_Coverage, 61980,
     /* 2065317 */     GIR_EraseRootFromParent_Done,
     /* 2065318 */   // Label 25447: @2065318
     /* 2065318 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(2065422), // Rule ID 61981 //
     /* 2065323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2065326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2065331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2065340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2065343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2065346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2065349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2065361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065369 */     // MIs[0] policy
     /* 2065369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065379 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10762:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 2065396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065418 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065421 */     // GIR_Coverage, 61981,
     /* 2065421 */     GIR_EraseRootFromParent_Done,
     /* 2065422 */   // Label 25448: @2065422
     /* 2065422 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(2065526), // Rule ID 61984 //
     /* 2065427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2065430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2065438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2065441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2065447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2065453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065473 */     // MIs[0] policy
     /* 2065473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065483 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 2065500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065522 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065525 */     // GIR_Coverage, 61984,
     /* 2065525 */     GIR_EraseRootFromParent_Done,
     /* 2065526 */   // Label 25449: @2065526
     /* 2065526 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(2065630), // Rule ID 61985 //
     /* 2065531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2065534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2065542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2065545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2065548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2065551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2065557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065577 */     // MIs[0] policy
     /* 2065577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065587 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 2065604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065629 */     // GIR_Coverage, 61985,
     /* 2065629 */     GIR_EraseRootFromParent_Done,
     /* 2065630 */   // Label 25450: @2065630
     /* 2065630 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(2065734), // Rule ID 61988 //
     /* 2065635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2065638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2065646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2065649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2065652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2065655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2065661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065681 */     // MIs[0] policy
     /* 2065681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065691 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 2065708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065733 */     // GIR_Coverage, 61988,
     /* 2065733 */     GIR_EraseRootFromParent_Done,
     /* 2065734 */   // Label 25451: @2065734
     /* 2065734 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(2065838), // Rule ID 61989 //
     /* 2065739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2065742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2065750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2065753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2065756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2065759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2065765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2065769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2065781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065785 */     // MIs[0] policy
     /* 2065785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 2065812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065837 */     // GIR_Coverage, 61989,
     /* 2065837 */     GIR_EraseRootFromParent_Done,
     /* 2065838 */   // Label 25452: @2065838
     /* 2065838 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(2065942), // Rule ID 61992 //
     /* 2065843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2065846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2065869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065889 */     // MIs[0] policy
     /* 2065889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065899 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10766:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2065903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2065909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2065913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 2065916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2065920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2065930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065938 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2065940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065941 */     // GIR_Coverage, 61992,
     /* 2065941 */     GIR_EraseRootFromParent_Done,
     /* 2065942 */   // Label 25453: @2065942
     /* 2065942 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(2066046), // Rule ID 61993 //
     /* 2065947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2065950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2065955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2065964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2065967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2065973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065993 */     // MIs[0] policy
     /* 2065993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2065996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066003 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10766:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 2066020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066042 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066045 */     // GIR_Coverage, 61993,
     /* 2066045 */     GIR_EraseRootFromParent_Done,
     /* 2066046 */   // Label 25454: @2066046
     /* 2066046 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(2066150), // Rule ID 61996 //
     /* 2066051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2066054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2066068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2066071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2066077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066097 */     // MIs[0] policy
     /* 2066097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066107 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10766:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 2066124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066149 */     // GIR_Coverage, 61996,
     /* 2066149 */     GIR_EraseRootFromParent_Done,
     /* 2066150 */   // Label 25455: @2066150
     /* 2066150 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(2066254), // Rule ID 61997 //
     /* 2066155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2066158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2066166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2066169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2066172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2066175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2066178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2066181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066201 */     // MIs[0] policy
     /* 2066201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066211 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10766:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 2066228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066253 */     // GIR_Coverage, 61997,
     /* 2066253 */     GIR_EraseRootFromParent_Done,
     /* 2066254 */   // Label 25456: @2066254
     /* 2066254 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(2066358), // Rule ID 62000 //
     /* 2066259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2066262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2066276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2066279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2066282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2066285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066305 */     // MIs[0] policy
     /* 2066305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066315 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10766:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 2066332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066357 */     // GIR_Coverage, 62000,
     /* 2066357 */     GIR_EraseRootFromParent_Done,
     /* 2066358 */   // Label 25457: @2066358
     /* 2066358 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(2066462), // Rule ID 62001 //
     /* 2066363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2066366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2066380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2066383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2066386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2066389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066409 */     // MIs[0] policy
     /* 2066409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10766:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 2066436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066461 */     // GIR_Coverage, 62001,
     /* 2066461 */     GIR_EraseRootFromParent_Done,
     /* 2066462 */   // Label 25458: @2066462
     /* 2066462 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(2066566), // Rule ID 62004 //
     /* 2066467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2066470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2066484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2066487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2066493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066513 */     // MIs[0] policy
     /* 2066513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066523 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 2066540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066565 */     // GIR_Coverage, 62004,
     /* 2066565 */     GIR_EraseRootFromParent_Done,
     /* 2066566 */   // Label 25459: @2066566
     /* 2066566 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(2066670), // Rule ID 62005 //
     /* 2066571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2066574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2066582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2066585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2066591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2066597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066617 */     // MIs[0] policy
     /* 2066617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 2066644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066669 */     // GIR_Coverage, 62005,
     /* 2066669 */     GIR_EraseRootFromParent_Done,
     /* 2066670 */   // Label 25460: @2066670
     /* 2066670 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(2066774), // Rule ID 62008 //
     /* 2066675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2066678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2066692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2066695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2066701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066721 */     // MIs[0] policy
     /* 2066721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 2066748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066773 */     // GIR_Coverage, 62008,
     /* 2066773 */     GIR_EraseRootFromParent_Done,
     /* 2066774 */   // Label 25461: @2066774
     /* 2066774 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(2066878), // Rule ID 62009 //
     /* 2066779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2066782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2066790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2066793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2066796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2066799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2066805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066825 */     // MIs[0] policy
     /* 2066825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10766:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 2066852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066877 */     // GIR_Coverage, 62009,
     /* 2066877 */     GIR_EraseRootFromParent_Done,
     /* 2066878 */   // Label 25462: @2066878
     /* 2066878 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(2066982), // Rule ID 62012 //
     /* 2066883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2066886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2066897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2066900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2066903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2066909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066929 */     // MIs[0] policy
     /* 2066929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2066932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066939 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10766:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2066943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2066949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2066953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 2066956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2066960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2066970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2066980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066981 */     // GIR_Coverage, 62012,
     /* 2066981 */     GIR_EraseRootFromParent_Done,
     /* 2066982 */   // Label 25463: @2066982
     /* 2066982 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(2067086), // Rule ID 62013 //
     /* 2066987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2066990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2066995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2066998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2067007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2067013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067033 */     // MIs[0] policy
     /* 2067033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10766:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 2067060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067085 */     // GIR_Coverage, 62013,
     /* 2067085 */     GIR_EraseRootFromParent_Done,
     /* 2067086 */   // Label 25464: @2067086
     /* 2067086 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(2067190), // Rule ID 62016 //
     /* 2067091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2067094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2067099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2067108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2067111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2067117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067137 */     // MIs[0] policy
     /* 2067137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10766:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 2067164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067189 */     // GIR_Coverage, 62016,
     /* 2067189 */     GIR_EraseRootFromParent_Done,
     /* 2067190 */   // Label 25465: @2067190
     /* 2067190 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(2067294), // Rule ID 62017 //
     /* 2067195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2067198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2067203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2067206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2067209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2067215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2067218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2067221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2067225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2067237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067241 */     // MIs[0] policy
     /* 2067241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10766:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 2067268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067293 */     // GIR_Coverage, 62017,
     /* 2067293 */     GIR_EraseRootFromParent_Done,
     /* 2067294 */   // Label 25466: @2067294
     /* 2067294 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(2067398), // Rule ID 62020 //
     /* 2067299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2067302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2067307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2067310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2067313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2067316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2067319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2067322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2067325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067345 */     // MIs[0] policy
     /* 2067345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067355 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10766:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 2067372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067397 */     // GIR_Coverage, 62020,
     /* 2067397 */     GIR_EraseRootFromParent_Done,
     /* 2067398 */   // Label 25467: @2067398
     /* 2067398 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(2067502), // Rule ID 62021 //
     /* 2067403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2067406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2067411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2067414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2067417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2067420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2067423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2067426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2067429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2067433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2067445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067449 */     // MIs[0] policy
     /* 2067449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10766:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 2067476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067501 */     // GIR_Coverage, 62021,
     /* 2067501 */     GIR_EraseRootFromParent_Done,
     /* 2067502 */   // Label 25468: @2067502
     /* 2067502 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(2067606), // Rule ID 62024 //
     /* 2067507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2067510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2067515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2067527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2067533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067553 */     // MIs[0] policy
     /* 2067553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 2067580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067605 */     // GIR_Coverage, 62024,
     /* 2067605 */     GIR_EraseRootFromParent_Done,
     /* 2067606 */   // Label 25469: @2067606
     /* 2067606 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(2067710), // Rule ID 62025 //
     /* 2067611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2067614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2067619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2067631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2067637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067657 */     // MIs[0] policy
     /* 2067657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067667 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 2067684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067709 */     // GIR_Coverage, 62025,
     /* 2067709 */     GIR_EraseRootFromParent_Done,
     /* 2067710 */   // Label 25470: @2067710
     /* 2067710 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(2067814), // Rule ID 62028 //
     /* 2067715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2067718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2067723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2067726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2067729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2067735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2067741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067761 */     // MIs[0] policy
     /* 2067761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 2067788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067813 */     // GIR_Coverage, 62028,
     /* 2067813 */     GIR_EraseRootFromParent_Done,
     /* 2067814 */   // Label 25471: @2067814
     /* 2067814 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(2067918), // Rule ID 62029 //
     /* 2067819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2067822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2067827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2067830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2067833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2067839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2067845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067865 */     // MIs[0] policy
     /* 2067865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 2067892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2067896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2067906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2067916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067917 */     // GIR_Coverage, 62029,
     /* 2067917 */     GIR_EraseRootFromParent_Done,
     /* 2067918 */   // Label 25472: @2067918
     /* 2067918 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(2068022), // Rule ID 62032 //
     /* 2067923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2067926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2067931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2067934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2067937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2067940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2067943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2067946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2067949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2067953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2067965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067969 */     // MIs[0] policy
     /* 2067969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2067972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067979 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10764:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2067983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2067989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2067993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 2067996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068021 */     // GIR_Coverage, 62032,
     /* 2068021 */     GIR_EraseRootFromParent_Done,
     /* 2068022 */   // Label 25473: @2068022
     /* 2068022 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(2068126), // Rule ID 62033 //
     /* 2068027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2068030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2068038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2068041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2068047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2068053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068073 */     // MIs[0] policy
     /* 2068073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068083 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10764:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 2068100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068125 */     // GIR_Coverage, 62033,
     /* 2068125 */     GIR_EraseRootFromParent_Done,
     /* 2068126 */   // Label 25474: @2068126
     /* 2068126 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(2068230), // Rule ID 62036 //
     /* 2068131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2068134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2068151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2068157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068177 */     // MIs[0] policy
     /* 2068177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068187 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10764:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 2068204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068226 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068229 */     // GIR_Coverage, 62036,
     /* 2068229 */     GIR_EraseRootFromParent_Done,
     /* 2068230 */   // Label 25475: @2068230
     /* 2068230 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(2068334), // Rule ID 62037 //
     /* 2068235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2068238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2068246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2068249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2068255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2068261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068281 */     // MIs[0] policy
     /* 2068281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068291 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10764:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 2068308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068330 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068333 */     // GIR_Coverage, 62037,
     /* 2068333 */     GIR_EraseRootFromParent_Done,
     /* 2068334 */   // Label 25476: @2068334
     /* 2068334 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(2068438), // Rule ID 62040 //
     /* 2068339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2068342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2068350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2068353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2068359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2068365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068385 */     // MIs[0] policy
     /* 2068385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10764:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 2068412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068434 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068437 */     // GIR_Coverage, 62040,
     /* 2068437 */     GIR_EraseRootFromParent_Done,
     /* 2068438 */   // Label 25477: @2068438
     /* 2068438 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(2068542), // Rule ID 62041 //
     /* 2068443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2068446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2068454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2068457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2068463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2068469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068489 */     // MIs[0] policy
     /* 2068489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068499 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10764:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 2068516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068538 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068541 */     // GIR_Coverage, 62041,
     /* 2068541 */     GIR_EraseRootFromParent_Done,
     /* 2068542 */   // Label 25478: @2068542
     /* 2068542 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(2068646), // Rule ID 62044 //
     /* 2068547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2068550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2068567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2068573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068593 */     // MIs[0] policy
     /* 2068593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 2068620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068642 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068645 */     // GIR_Coverage, 62044,
     /* 2068645 */     GIR_EraseRootFromParent_Done,
     /* 2068646 */   // Label 25479: @2068646
     /* 2068646 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(2068750), // Rule ID 62045 //
     /* 2068651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2068654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2068662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2068665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2068668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2068671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2068677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068697 */     // MIs[0] policy
     /* 2068697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068707 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 2068724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068749 */     // GIR_Coverage, 62045,
     /* 2068749 */     GIR_EraseRootFromParent_Done,
     /* 2068750 */   // Label 25480: @2068750
     /* 2068750 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(2068854), // Rule ID 62048 //
     /* 2068755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2068758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2068775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2068781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068801 */     // MIs[0] policy
     /* 2068801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068811 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 2068828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068853 */     // GIR_Coverage, 62048,
     /* 2068853 */     GIR_EraseRootFromParent_Done,
     /* 2068854 */   // Label 25481: @2068854
     /* 2068854 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(2068958), // Rule ID 62049 //
     /* 2068859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2068862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2068876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2068879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2068882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2068885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068905 */     // MIs[0] policy
     /* 2068905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2068908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068915 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10764:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2068919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2068925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2068929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 2068932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2068936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2068946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068954 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2068956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068957 */     // GIR_Coverage, 62049,
     /* 2068957 */     GIR_EraseRootFromParent_Done,
     /* 2068958 */   // Label 25482: @2068958
     /* 2068958 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(2069062), // Rule ID 62052 //
     /* 2068963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2068966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2068971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2068974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2068977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2068980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2068983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2068989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069009 */     // MIs[0] policy
     /* 2069009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10764:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 2069036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069061 */     // GIR_Coverage, 62052,
     /* 2069061 */     GIR_EraseRootFromParent_Done,
     /* 2069062 */   // Label 25483: @2069062
     /* 2069062 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(2069166), // Rule ID 62053 //
     /* 2069067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2069070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2069075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2069084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2069087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2069093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069113 */     // MIs[0] policy
     /* 2069113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10764:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 2069140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069162 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069165 */     // GIR_Coverage, 62053,
     /* 2069165 */     GIR_EraseRootFromParent_Done,
     /* 2069166 */   // Label 25484: @2069166
     /* 2069166 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(2069270), // Rule ID 62056 //
     /* 2069171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2069174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2069179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2069188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2069191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2069197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069217 */     // MIs[0] policy
     /* 2069217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069227 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10764:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2069244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069266 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069269 */     // GIR_Coverage, 62056,
     /* 2069269 */     GIR_EraseRootFromParent_Done,
     /* 2069270 */   // Label 25485: @2069270
     /* 2069270 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(2069374), // Rule ID 62057 //
     /* 2069275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2069278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2069283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2069292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2069295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2069301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069321 */     // MIs[0] policy
     /* 2069321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069331 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10764:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2069348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069370 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069373 */     // GIR_Coverage, 62057,
     /* 2069373 */     GIR_EraseRootFromParent_Done,
     /* 2069374 */   // Label 25486: @2069374
     /* 2069374 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(2069478), // Rule ID 62060 //
     /* 2069379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2069382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2069387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2069396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2069399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2069405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069425 */     // MIs[0] policy
     /* 2069425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069435 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10764:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2069452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069477 */     // GIR_Coverage, 62060,
     /* 2069477 */     GIR_EraseRootFromParent_Done,
     /* 2069478 */   // Label 25487: @2069478
     /* 2069478 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(2069582), // Rule ID 62061 //
     /* 2069483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2069486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2069491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2069500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2069503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2069506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2069509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069529 */     // MIs[0] policy
     /* 2069529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069539 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10764:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2069556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069581 */     // GIR_Coverage, 62061,
     /* 2069581 */     GIR_EraseRootFromParent_Done,
     /* 2069582 */   // Label 25488: @2069582
     /* 2069582 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(2069686), // Rule ID 62064 //
     /* 2069587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2069590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2069595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2069598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2069601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2069604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2069607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2069613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069633 */     // MIs[0] policy
     /* 2069633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069643 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10768:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2069660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069685 */     // GIR_Coverage, 62064,
     /* 2069685 */     GIR_EraseRootFromParent_Done,
     /* 2069686 */   // Label 25489: @2069686
     /* 2069686 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(2069790), // Rule ID 62065 //
     /* 2069691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2069694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2069699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2069702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2069705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2069708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2069711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2069717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069737 */     // MIs[0] policy
     /* 2069737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10768:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2069764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069789 */     // GIR_Coverage, 62065,
     /* 2069789 */     GIR_EraseRootFromParent_Done,
     /* 2069790 */   // Label 25490: @2069790
     /* 2069790 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(2069894), // Rule ID 62068 //
     /* 2069795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2069798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2069803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2069806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2069809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2069812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2069815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2069821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069841 */     // MIs[0] policy
     /* 2069841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069851 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10768:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2069868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069893 */     // GIR_Coverage, 62068,
     /* 2069893 */     GIR_EraseRootFromParent_Done,
     /* 2069894 */   // Label 25491: @2069894
     /* 2069894 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(2069998), // Rule ID 62069 //
     /* 2069899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2069902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2069907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2069910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2069913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2069916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2069919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2069925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2069929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2069941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069945 */     // MIs[0] policy
     /* 2069945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2069948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069955 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10768:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2069959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2069965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2069969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2069972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2069976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2069986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2069996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069997 */     // GIR_Coverage, 62069,
     /* 2069997 */     GIR_EraseRootFromParent_Done,
     /* 2069998 */   // Label 25492: @2069998
     /* 2069998 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(2070102), // Rule ID 62072 //
     /* 2070003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2070006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2070020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2070023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2070029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070049 */     // MIs[0] policy
     /* 2070049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10768:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2070076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070101 */     // GIR_Coverage, 62072,
     /* 2070101 */     GIR_EraseRootFromParent_Done,
     /* 2070102 */   // Label 25493: @2070102
     /* 2070102 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(2070206), // Rule ID 62073 //
     /* 2070107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2070110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2070118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2070121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2070124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2070127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2070133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070153 */     // MIs[0] policy
     /* 2070153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070163 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10768:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2070180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070205 */     // GIR_Coverage, 62073,
     /* 2070205 */     GIR_EraseRootFromParent_Done,
     /* 2070206 */   // Label 25494: @2070206
     /* 2070206 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(2070310), // Rule ID 62076 //
     /* 2070211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2070214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2070228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2070231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2070237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070257 */     // MIs[0] policy
     /* 2070257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10768:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2070284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070309 */     // GIR_Coverage, 62076,
     /* 2070309 */     GIR_EraseRootFromParent_Done,
     /* 2070310 */   // Label 25495: @2070310
     /* 2070310 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(2070414), // Rule ID 62077 //
     /* 2070315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2070318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2070326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2070329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2070332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2070335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2070338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2070341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070361 */     // MIs[0] policy
     /* 2070361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070371 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10768:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2070388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070413 */     // GIR_Coverage, 62077,
     /* 2070413 */     GIR_EraseRootFromParent_Done,
     /* 2070414 */   // Label 25496: @2070414
     /* 2070414 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(2070518), // Rule ID 62080 //
     /* 2070419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2070422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2070436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2070439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2070442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2070445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070465 */     // MIs[0] policy
     /* 2070465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10768:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2070492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070517 */     // GIR_Coverage, 62080,
     /* 2070517 */     GIR_EraseRootFromParent_Done,
     /* 2070518 */   // Label 25497: @2070518
     /* 2070518 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(2070622), // Rule ID 62081 //
     /* 2070523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2070526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2070531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2070540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2070543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2070546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2070549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070569 */     // MIs[0] policy
     /* 2070569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2070572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070579 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10768:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2070596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2070620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070621 */     // GIR_Coverage, 62081,
     /* 2070621 */     GIR_EraseRootFromParent_Done,
     /* 2070622 */   // Label 25498: @2070622
     /* 2070622 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(2070729), // Rule ID 2644 //
     /* 2070627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2070630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2070635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2070647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070673 */     // MIs[0] round
     /* 2070673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070683 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2070683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2070700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2070727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070728 */     // GIR_Coverage, 2644,
     /* 2070728 */     GIR_EraseRootFromParent_Done,
     /* 2070729 */   // Label 25499: @2070729
     /* 2070729 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(2070836), // Rule ID 2645 //
     /* 2070734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2070737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2070742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2070751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2070754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070780 */     // MIs[0] round
     /* 2070780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070790 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2070790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2070807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2070834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070835 */     // GIR_Coverage, 2645,
     /* 2070835 */     GIR_EraseRootFromParent_Done,
     /* 2070836 */   // Label 25500: @2070836
     /* 2070836 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(2070943), // Rule ID 22682 //
     /* 2070841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2070844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2070849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2070861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070887 */     // MIs[0] round
     /* 2070887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2070897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2070901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2070907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2070911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2070914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2070918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2070928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2070938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2070941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070942 */     // GIR_Coverage, 22682,
     /* 2070942 */     GIR_EraseRootFromParent_Done,
     /* 2070943 */   // Label 25501: @2070943
     /* 2070943 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(2071050), // Rule ID 22683 //
     /* 2070948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2070951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2070956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2070959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2070962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2070965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2070968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070994 */     // MIs[0] round
     /* 2070994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071004 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2071004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2071021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071049 */     // GIR_Coverage, 22683,
     /* 2071049 */     GIR_EraseRootFromParent_Done,
     /* 2071050 */   // Label 25502: @2071050
     /* 2071050 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(2071157), // Rule ID 22686 //
     /* 2071055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2071058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071101 */     // MIs[0] round
     /* 2071101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2071111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2071128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071156 */     // GIR_Coverage, 22686,
     /* 2071156 */     GIR_EraseRootFromParent_Done,
     /* 2071157 */   // Label 25503: @2071157
     /* 2071157 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(2071264), // Rule ID 22687 //
     /* 2071162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2071165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071208 */     // MIs[0] round
     /* 2071208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071218 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2071218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2071235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071263 */     // GIR_Coverage, 22687,
     /* 2071263 */     GIR_EraseRootFromParent_Done,
     /* 2071264 */   // Label 25504: @2071264
     /* 2071264 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(2071371), // Rule ID 22690 //
     /* 2071269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2071272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071315 */     // MIs[0] round
     /* 2071315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071325 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2071325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2071342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071370 */     // GIR_Coverage, 22690,
     /* 2071370 */     GIR_EraseRootFromParent_Done,
     /* 2071371 */   // Label 25505: @2071371
     /* 2071371 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(2071478), // Rule ID 22691 //
     /* 2071376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2071379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071422 */     // MIs[0] round
     /* 2071422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2071432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071436 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2071449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071477 */     // GIR_Coverage, 22691,
     /* 2071477 */     GIR_EraseRootFromParent_Done,
     /* 2071478 */   // Label 25506: @2071478
     /* 2071478 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(2071585), // Rule ID 22694 //
     /* 2071483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2071486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071529 */     // MIs[0] round
     /* 2071529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071539 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2071539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2071556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071584 */     // GIR_Coverage, 22694,
     /* 2071584 */     GIR_EraseRootFromParent_Done,
     /* 2071585 */   // Label 25507: @2071585
     /* 2071585 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(2071692), // Rule ID 22695 //
     /* 2071590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2071593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2071601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2071604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2071607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2071610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071636 */     // MIs[0] round
     /* 2071636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071646 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2071646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2071663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071691 */     // GIR_Coverage, 22695,
     /* 2071691 */     GIR_EraseRootFromParent_Done,
     /* 2071692 */   // Label 25508: @2071692
     /* 2071692 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(2071799), // Rule ID 22698 //
     /* 2071697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2071700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071743 */     // MIs[0] round
     /* 2071743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071753 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2071753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2071770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071798 */     // GIR_Coverage, 22698,
     /* 2071798 */     GIR_EraseRootFromParent_Done,
     /* 2071799 */   // Label 25509: @2071799
     /* 2071799 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(2071906), // Rule ID 22699 //
     /* 2071804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2071807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2071815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2071818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2071821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2071824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071850 */     // MIs[0] round
     /* 2071850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071860 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2071860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2071877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2071901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2071904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071905 */     // GIR_Coverage, 22699,
     /* 2071905 */     GIR_EraseRootFromParent_Done,
     /* 2071906 */   // Label 25510: @2071906
     /* 2071906 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(2072013), // Rule ID 22702 //
     /* 2071911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2071914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2071919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2071928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2071949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071957 */     // MIs[0] round
     /* 2071957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071967 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2071967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2071971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2071977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2071981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2071984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2071988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2071998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072012 */     // GIR_Coverage, 22702,
     /* 2072012 */     GIR_EraseRootFromParent_Done,
     /* 2072013 */   // Label 25511: @2072013
     /* 2072013 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(2072120), // Rule ID 22703 //
     /* 2072018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072064 */     // MIs[0] round
     /* 2072064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072074 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2072074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2072091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072119 */     // GIR_Coverage, 22703,
     /* 2072119 */     GIR_EraseRootFromParent_Done,
     /* 2072120 */   // Label 25512: @2072120
     /* 2072120 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(2072227), // Rule ID 22706 //
     /* 2072125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2072128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072171 */     // MIs[0] round
     /* 2072171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072181 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2072181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2072198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072226 */     // GIR_Coverage, 22706,
     /* 2072226 */     GIR_EraseRootFromParent_Done,
     /* 2072227 */   // Label 25513: @2072227
     /* 2072227 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(2072334), // Rule ID 22707 //
     /* 2072232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2072249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072278 */     // MIs[0] round
     /* 2072278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072288 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2072288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2072305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072333 */     // GIR_Coverage, 22707,
     /* 2072333 */     GIR_EraseRootFromParent_Done,
     /* 2072334 */   // Label 25514: @2072334
     /* 2072334 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(2072441), // Rule ID 22710 //
     /* 2072339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2072342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072385 */     // MIs[0] round
     /* 2072385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072395 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2072395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2072412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072440 */     // GIR_Coverage, 22710,
     /* 2072440 */     GIR_EraseRootFromParent_Done,
     /* 2072441 */   // Label 25515: @2072441
     /* 2072441 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(2072548), // Rule ID 22711 //
     /* 2072446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2072449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2072463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072492 */     // MIs[0] round
     /* 2072492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072502 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10892:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2072502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2072519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072527 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072547 */     // GIR_Coverage, 22711,
     /* 2072547 */     GIR_EraseRootFromParent_Done,
     /* 2072548 */   // Label 25516: @2072548
     /* 2072548 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(2072655), // Rule ID 22714 //
     /* 2072553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2072556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072599 */     // MIs[0] round
     /* 2072599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072609 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2072609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2072626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072654 */     // GIR_Coverage, 22714,
     /* 2072654 */     GIR_EraseRootFromParent_Done,
     /* 2072655 */   // Label 25517: @2072655
     /* 2072655 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(2072762), // Rule ID 22715 //
     /* 2072660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2072663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2072677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072706 */     // MIs[0] round
     /* 2072706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2072716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2072733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072761 */     // GIR_Coverage, 22715,
     /* 2072761 */     GIR_EraseRootFromParent_Done,
     /* 2072762 */   // Label 25518: @2072762
     /* 2072762 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(2072869), // Rule ID 22718 //
     /* 2072767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2072770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072813 */     // MIs[0] round
     /* 2072813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2072823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2072840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072868 */     // GIR_Coverage, 22718,
     /* 2072868 */     GIR_EraseRootFromParent_Done,
     /* 2072869 */   // Label 25519: @2072869
     /* 2072869 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(2072976), // Rule ID 22719 //
     /* 2072874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2072877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2072891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072920 */     // MIs[0] round
     /* 2072920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2072930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2072934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2072940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2072944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2072947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2072951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2072961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2072974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072975 */     // GIR_Coverage, 22719,
     /* 2072975 */     GIR_EraseRootFromParent_Done,
     /* 2072976 */   // Label 25520: @2072976
     /* 2072976 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(2073083), // Rule ID 22722 //
     /* 2072981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2072984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2072989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2072998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2073001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073027 */     // MIs[0] round
     /* 2073027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073037 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2073037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2073054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073082 */     // GIR_Coverage, 22722,
     /* 2073082 */     GIR_EraseRootFromParent_Done,
     /* 2073083 */   // Label 25521: @2073083
     /* 2073083 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(2073190), // Rule ID 22723 //
     /* 2073088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2073091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2073099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2073102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2073108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073134 */     // MIs[0] round
     /* 2073134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073144 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10892:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2073144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2073161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073189 */     // GIR_Coverage, 22723,
     /* 2073189 */     GIR_EraseRootFromParent_Done,
     /* 2073190 */   // Label 25522: @2073190
     /* 2073190 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(2073297), // Rule ID 22726 //
     /* 2073195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073241 */     // MIs[0] round
     /* 2073241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073251 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2073251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2073268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073296 */     // GIR_Coverage, 22726,
     /* 2073296 */     GIR_EraseRootFromParent_Done,
     /* 2073297 */   // Label 25523: @2073297
     /* 2073297 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(2073404), // Rule ID 22727 //
     /* 2073302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2073319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2073325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073348 */     // MIs[0] round
     /* 2073348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073358 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2073358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2073375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073403 */     // GIR_Coverage, 22727,
     /* 2073403 */     GIR_EraseRootFromParent_Done,
     /* 2073404 */   // Label 25524: @2073404
     /* 2073404 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(2073511), // Rule ID 22730 //
     /* 2073409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073455 */     // MIs[0] round
     /* 2073455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073465 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2073465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2073482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073510 */     // GIR_Coverage, 22730,
     /* 2073510 */     GIR_EraseRootFromParent_Done,
     /* 2073511 */   // Label 25525: @2073511
     /* 2073511 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(2073618), // Rule ID 22731 //
     /* 2073516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2073533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073562 */     // MIs[0] round
     /* 2073562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073572 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2073572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2073589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073617 */     // GIR_Coverage, 22731,
     /* 2073617 */     GIR_EraseRootFromParent_Done,
     /* 2073618 */   // Label 25526: @2073618
     /* 2073618 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(2073725), // Rule ID 22734 //
     /* 2073623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2073626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073669 */     // MIs[0] round
     /* 2073669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073679 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2073679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2073696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073724 */     // GIR_Coverage, 22734,
     /* 2073724 */     GIR_EraseRootFromParent_Done,
     /* 2073725 */   // Label 25527: @2073725
     /* 2073725 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(2073832), // Rule ID 22735 //
     /* 2073730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2073733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2073738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2073741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2073744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2073747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2073750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073776 */     // MIs[0] round
     /* 2073776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073786 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10892:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2073786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2073803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2073827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073831 */     // GIR_Coverage, 22735,
     /* 2073831 */     GIR_EraseRootFromParent_Done,
     /* 2073832 */   // Label 25528: @2073832
     /* 2073832 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(2073939), // Rule ID 22738 //
     /* 2073837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2073840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2073845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2073848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2073851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2073854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2073857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073883 */     // MIs[0] round
     /* 2073883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073893 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2073893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2073897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2073903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2073907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2073910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2073914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2073924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2073937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073938 */     // GIR_Coverage, 22738,
     /* 2073938 */     GIR_EraseRootFromParent_Done,
     /* 2073939 */   // Label 25529: @2073939
     /* 2073939 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(2074046), // Rule ID 22739 //
     /* 2073944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2073947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2073952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2073955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2073958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2073961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2073964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2073967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2073974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2073986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073990 */     // MIs[0] round
     /* 2073990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074000 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2074000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2074017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074045 */     // GIR_Coverage, 22739,
     /* 2074045 */     GIR_EraseRootFromParent_Done,
     /* 2074046 */   // Label 25530: @2074046
     /* 2074046 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(2074153), // Rule ID 22742 //
     /* 2074051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2074054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074097 */     // MIs[0] round
     /* 2074097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074107 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2074107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2074124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074152 */     // GIR_Coverage, 22742,
     /* 2074152 */     GIR_EraseRootFromParent_Done,
     /* 2074153 */   // Label 25531: @2074153
     /* 2074153 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(2074260), // Rule ID 22743 //
     /* 2074158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2074161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074204 */     // MIs[0] round
     /* 2074204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074214 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2074214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2074231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074259 */     // GIR_Coverage, 22743,
     /* 2074259 */     GIR_EraseRootFromParent_Done,
     /* 2074260 */   // Label 25532: @2074260
     /* 2074260 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(2074367), // Rule ID 22746 //
     /* 2074265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2074268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074311 */     // MIs[0] round
     /* 2074311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074321 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2074321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2074338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074366 */     // GIR_Coverage, 22746,
     /* 2074366 */     GIR_EraseRootFromParent_Done,
     /* 2074367 */   // Label 25533: @2074367
     /* 2074367 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(2074474), // Rule ID 22747 //
     /* 2074372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2074375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074418 */     // MIs[0] round
     /* 2074418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2074428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2074445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074473 */     // GIR_Coverage, 22747,
     /* 2074473 */     GIR_EraseRootFromParent_Done,
     /* 2074474 */   // Label 25534: @2074474
     /* 2074474 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(2074581), // Rule ID 22750 //
     /* 2074479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2074482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2074496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074525 */     // MIs[0] round
     /* 2074525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074535 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2074535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2074552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074580 */     // GIR_Coverage, 22750,
     /* 2074580 */     GIR_EraseRootFromParent_Done,
     /* 2074581 */   // Label 25535: @2074581
     /* 2074581 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(2074688), // Rule ID 22751 //
     /* 2074586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2074589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2074597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2074600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2074603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2074606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074632 */     // MIs[0] round
     /* 2074632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074642 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2074642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2074659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074687 */     // GIR_Coverage, 22751,
     /* 2074687 */     GIR_EraseRootFromParent_Done,
     /* 2074688 */   // Label 25536: @2074688
     /* 2074688 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(2074795), // Rule ID 22754 //
     /* 2074693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2074696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074739 */     // MIs[0] round
     /* 2074739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074749 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2074749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2074766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074794 */     // GIR_Coverage, 22754,
     /* 2074794 */     GIR_EraseRootFromParent_Done,
     /* 2074795 */   // Label 25537: @2074795
     /* 2074795 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(2074902), // Rule ID 22755 //
     /* 2074800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2074803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2074811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2074814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2074817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2074820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074846 */     // MIs[0] round
     /* 2074846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074856 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2074856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2074873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2074900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074901 */     // GIR_Coverage, 22755,
     /* 2074901 */     GIR_EraseRootFromParent_Done,
     /* 2074902 */   // Label 25538: @2074902
     /* 2074902 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(2075009), // Rule ID 22758 //
     /* 2074907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2074910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2074915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2074918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2074921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2074924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2074927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074953 */     // MIs[0] round
     /* 2074953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074963 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2074963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2074967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2074973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2074977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2074980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2074984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2074994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075008 */     // GIR_Coverage, 22758,
     /* 2075008 */     GIR_EraseRootFromParent_Done,
     /* 2075009 */   // Label 25539: @2075009
     /* 2075009 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(2075116), // Rule ID 22759 //
     /* 2075014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2075017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2075025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2075028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2075031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2075034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075060 */     // MIs[0] round
     /* 2075060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075070 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2075070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2075087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2075111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075115 */     // GIR_Coverage, 22759,
     /* 2075115 */     GIR_EraseRootFromParent_Done,
     /* 2075116 */   // Label 25540: @2075116
     /* 2075116 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(2075223), // Rule ID 22762 //
     /* 2075121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2075138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075167 */     // MIs[0] round
     /* 2075167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075177 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2075177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2075194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075222 */     // GIR_Coverage, 22762,
     /* 2075222 */     GIR_EraseRootFromParent_Done,
     /* 2075223 */   // Label 25541: @2075223
     /* 2075223 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(2075330), // Rule ID 22763 //
     /* 2075228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2075245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075274 */     // MIs[0] round
     /* 2075274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075284 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2075284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2075301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075329 */     // GIR_Coverage, 22763,
     /* 2075329 */     GIR_EraseRootFromParent_Done,
     /* 2075330 */   // Label 25542: @2075330
     /* 2075330 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(2075437), // Rule ID 22766 //
     /* 2075335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2075352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075381 */     // MIs[0] round
     /* 2075381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075391 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2075391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2075408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075436 */     // GIR_Coverage, 22766,
     /* 2075436 */     GIR_EraseRootFromParent_Done,
     /* 2075437 */   // Label 25543: @2075437
     /* 2075437 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(2075544), // Rule ID 22767 //
     /* 2075442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2075459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075488 */     // MIs[0] round
     /* 2075488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2075498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2075515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075543 */     // GIR_Coverage, 22767,
     /* 2075543 */     GIR_EraseRootFromParent_Done,
     /* 2075544 */   // Label 25544: @2075544
     /* 2075544 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(2075651), // Rule ID 22770 //
     /* 2075549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2075552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2075566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075595 */     // MIs[0] round
     /* 2075595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2075605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2075622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075650 */     // GIR_Coverage, 22770,
     /* 2075650 */     GIR_EraseRootFromParent_Done,
     /* 2075651 */   // Label 25545: @2075651
     /* 2075651 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(2075758), // Rule ID 22771 //
     /* 2075656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2075659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2075673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2075676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2075694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075702 */     // MIs[0] round
     /* 2075702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10894:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2075712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075716 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2075729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075757 */     // GIR_Coverage, 22771,
     /* 2075757 */     GIR_EraseRootFromParent_Done,
     /* 2075758 */   // Label 25546: @2075758
     /* 2075758 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(2075865), // Rule ID 22774 //
     /* 2075763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2075766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2075780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2075783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075809 */     // MIs[0] round
     /* 2075809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075819 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2075819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2075836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075864 */     // GIR_Coverage, 22774,
     /* 2075864 */     GIR_EraseRootFromParent_Done,
     /* 2075865 */   // Label 25547: @2075865
     /* 2075865 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(2075972), // Rule ID 22775 //
     /* 2075870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2075873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2075887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2075890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075916 */     // MIs[0] round
     /* 2075916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075926 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2075926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2075930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2075936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2075940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2075943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2075947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2075957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2075970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075971 */     // GIR_Coverage, 22775,
     /* 2075971 */     GIR_EraseRootFromParent_Done,
     /* 2075972 */   // Label 25548: @2075972
     /* 2075972 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(2076079), // Rule ID 22778 //
     /* 2075977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2075980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2075985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2075994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2075997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076023 */     // MIs[0] round
     /* 2076023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076033 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2076033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2076050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076078 */     // GIR_Coverage, 22778,
     /* 2076078 */     GIR_EraseRootFromParent_Done,
     /* 2076079 */   // Label 25549: @2076079
     /* 2076079 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(2076186), // Rule ID 22779 //
     /* 2076084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2076087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2076101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076130 */     // MIs[0] round
     /* 2076130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076140 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2076140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2076157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076185 */     // GIR_Coverage, 22779,
     /* 2076185 */     GIR_EraseRootFromParent_Done,
     /* 2076186 */   // Label 25550: @2076186
     /* 2076186 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(2076293), // Rule ID 22782 //
     /* 2076191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2076194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2076208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076237 */     // MIs[0] round
     /* 2076237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076247 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2076247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2076264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076292 */     // GIR_Coverage, 22782,
     /* 2076292 */     GIR_EraseRootFromParent_Done,
     /* 2076293 */   // Label 25551: @2076293
     /* 2076293 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(2076400), // Rule ID 22783 //
     /* 2076298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2076301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2076309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2076312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2076315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2076318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076344 */     // MIs[0] round
     /* 2076344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076354 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10894:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2076354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2076371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076399 */     // GIR_Coverage, 22783,
     /* 2076399 */     GIR_EraseRootFromParent_Done,
     /* 2076400 */   // Label 25552: @2076400
     /* 2076400 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(2076507), // Rule ID 22786 //
     /* 2076405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2076422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076451 */     // MIs[0] round
     /* 2076451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076461 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2076461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2076478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076506 */     // GIR_Coverage, 22786,
     /* 2076506 */     GIR_EraseRootFromParent_Done,
     /* 2076507 */   // Label 25553: @2076507
     /* 2076507 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(2076614), // Rule ID 22787 //
     /* 2076512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2076529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2076535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076558 */     // MIs[0] round
     /* 2076558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076568 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2076568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2076585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076613 */     // GIR_Coverage, 22787,
     /* 2076613 */     GIR_EraseRootFromParent_Done,
     /* 2076614 */   // Label 25554: @2076614
     /* 2076614 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(2076721), // Rule ID 22790 //
     /* 2076619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2076636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076665 */     // MIs[0] round
     /* 2076665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076675 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2076675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2076692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076720 */     // GIR_Coverage, 22790,
     /* 2076720 */     GIR_EraseRootFromParent_Done,
     /* 2076721 */   // Label 25555: @2076721
     /* 2076721 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(2076828), // Rule ID 22791 //
     /* 2076726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2076743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076772 */     // MIs[0] round
     /* 2076772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076782 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2076782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2076799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076827 */     // GIR_Coverage, 22791,
     /* 2076827 */     GIR_EraseRootFromParent_Done,
     /* 2076828 */   // Label 25556: @2076828
     /* 2076828 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(2076935), // Rule ID 22794 //
     /* 2076833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2076836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2076850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076879 */     // MIs[0] round
     /* 2076879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076889 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2076889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2076893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2076899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2076903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2076906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2076910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2076920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2076930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2076933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076934 */     // GIR_Coverage, 22794,
     /* 2076934 */     GIR_EraseRootFromParent_Done,
     /* 2076935 */   // Label 25557: @2076935
     /* 2076935 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(2077042), // Rule ID 22795 //
     /* 2076940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2076943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2076948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2076951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2076954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2076957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2076960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2076970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2076982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076986 */     // MIs[0] round
     /* 2076986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076996 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10894:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2076996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077000 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077006 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2077013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077041 */     // GIR_Coverage, 22795,
     /* 2077041 */     GIR_EraseRootFromParent_Done,
     /* 2077042 */   // Label 25558: @2077042
     /* 2077042 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(2077149), // Rule ID 22918 //
     /* 2077047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2077050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2077064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077093 */     // MIs[0] round
     /* 2077093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077103 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2077103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2077120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077148 */     // GIR_Coverage, 22918,
     /* 2077148 */     GIR_EraseRootFromParent_Done,
     /* 2077149 */   // Label 25559: @2077149
     /* 2077149 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(2077256), // Rule ID 22919 //
     /* 2077154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2077171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077200 */     // MIs[0] round
     /* 2077200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2077210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2077227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077255 */     // GIR_Coverage, 22919,
     /* 2077255 */     GIR_EraseRootFromParent_Done,
     /* 2077256 */   // Label 25560: @2077256
     /* 2077256 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(2077363), // Rule ID 22922 //
     /* 2077261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2077264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2077278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077307 */     // MIs[0] round
     /* 2077307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077317 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2077317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2077334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077362 */     // GIR_Coverage, 22922,
     /* 2077362 */     GIR_EraseRootFromParent_Done,
     /* 2077363 */   // Label 25561: @2077363
     /* 2077363 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(2077470), // Rule ID 22923 //
     /* 2077368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2077385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077414 */     // MIs[0] round
     /* 2077414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2077424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2077441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077469 */     // GIR_Coverage, 22923,
     /* 2077469 */     GIR_EraseRootFromParent_Done,
     /* 2077470 */   // Label 25562: @2077470
     /* 2077470 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(2077577), // Rule ID 22926 //
     /* 2077475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2077478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2077492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077521 */     // MIs[0] round
     /* 2077521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077531 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2077531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2077548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077576 */     // GIR_Coverage, 22926,
     /* 2077576 */     GIR_EraseRootFromParent_Done,
     /* 2077577 */   // Label 25563: @2077577
     /* 2077577 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(2077684), // Rule ID 22927 //
     /* 2077582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2077585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2077599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077628 */     // MIs[0] round
     /* 2077628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077638 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2077638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2077655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077683 */     // GIR_Coverage, 22927,
     /* 2077683 */     GIR_EraseRootFromParent_Done,
     /* 2077684 */   // Label 25564: @2077684
     /* 2077684 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(2077791), // Rule ID 22930 //
     /* 2077689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2077692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2077706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077735 */     // MIs[0] round
     /* 2077735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077745 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2077745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2077762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077790 */     // GIR_Coverage, 22930,
     /* 2077790 */     GIR_EraseRootFromParent_Done,
     /* 2077791 */   // Label 25565: @2077791
     /* 2077791 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(2077898), // Rule ID 22931 //
     /* 2077796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2077799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2077807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2077810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2077813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2077816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077842 */     // MIs[0] round
     /* 2077842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2077852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2077869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2077893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2077896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077897 */     // GIR_Coverage, 22931,
     /* 2077897 */     GIR_EraseRootFromParent_Done,
     /* 2077898 */   // Label 25566: @2077898
     /* 2077898 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(2078005), // Rule ID 22934 //
     /* 2077903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2077906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2077911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2077920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077949 */     // MIs[0] round
     /* 2077949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077959 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2077959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2077963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2077969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2077973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2077976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2077980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2077990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078004 */     // GIR_Coverage, 22934,
     /* 2078004 */     GIR_EraseRootFromParent_Done,
     /* 2078005 */   // Label 25567: @2078005
     /* 2078005 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(2078112), // Rule ID 22935 //
     /* 2078010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2078013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2078027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2078030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078056 */     // MIs[0] round
     /* 2078056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078066 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2078066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078070 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2078083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078111 */     // GIR_Coverage, 22935,
     /* 2078111 */     GIR_EraseRootFromParent_Done,
     /* 2078112 */   // Label 25568: @2078112
     /* 2078112 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(2078219), // Rule ID 22938 //
     /* 2078117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2078120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2078134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078163 */     // MIs[0] round
     /* 2078163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078173 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2078173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2078190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078218 */     // GIR_Coverage, 22938,
     /* 2078218 */     GIR_EraseRootFromParent_Done,
     /* 2078219 */   // Label 25569: @2078219
     /* 2078219 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(2078326), // Rule ID 22939 //
     /* 2078224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2078227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2078241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078270 */     // MIs[0] round
     /* 2078270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078280 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2078280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2078297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078325 */     // GIR_Coverage, 22939,
     /* 2078325 */     GIR_EraseRootFromParent_Done,
     /* 2078326 */   // Label 25570: @2078326
     /* 2078326 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(2078433), // Rule ID 22942 //
     /* 2078331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2078334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078377 */     // MIs[0] round
     /* 2078377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078387 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2078387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2078404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078432 */     // GIR_Coverage, 22942,
     /* 2078432 */     GIR_EraseRootFromParent_Done,
     /* 2078433 */   // Label 25571: @2078433
     /* 2078433 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(2078540), // Rule ID 22943 //
     /* 2078438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2078441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2078455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2078461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078484 */     // MIs[0] round
     /* 2078484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078494 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2078494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2078511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078539 */     // GIR_Coverage, 22943,
     /* 2078539 */     GIR_EraseRootFromParent_Done,
     /* 2078540 */   // Label 25572: @2078540
     /* 2078540 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(2078647), // Rule ID 22946 //
     /* 2078545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2078548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078591 */     // MIs[0] round
     /* 2078591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078601 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2078601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2078618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078646 */     // GIR_Coverage, 22946,
     /* 2078646 */     GIR_EraseRootFromParent_Done,
     /* 2078647 */   // Label 25573: @2078647
     /* 2078647 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(2078754), // Rule ID 22947 //
     /* 2078652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2078655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2078663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2078666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2078669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2078672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2078675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078698 */     // MIs[0] round
     /* 2078698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078708 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10948:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2078708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2078725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2078749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078753 */     // GIR_Coverage, 22947,
     /* 2078753 */     GIR_EraseRootFromParent_Done,
     /* 2078754 */   // Label 25574: @2078754
     /* 2078754 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(2078861), // Rule ID 22950 //
     /* 2078759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2078762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2078779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078805 */     // MIs[0] round
     /* 2078805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078815 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2078815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2078832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078860 */     // GIR_Coverage, 22950,
     /* 2078860 */     GIR_EraseRootFromParent_Done,
     /* 2078861 */   // Label 25575: @2078861
     /* 2078861 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(2078968), // Rule ID 22951 //
     /* 2078866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2078869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2078883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2078886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078912 */     // MIs[0] round
     /* 2078912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078922 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2078922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2078926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2078932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2078936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2078939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2078943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2078953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2078963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2078966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078967 */     // GIR_Coverage, 22951,
     /* 2078967 */     GIR_EraseRootFromParent_Done,
     /* 2078968 */   // Label 25576: @2078968
     /* 2078968 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(2079075), // Rule ID 22954 //
     /* 2078973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2078976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2078981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2078990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2078993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079019 */     // MIs[0] round
     /* 2079019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079029 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2079029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2079046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079074 */     // GIR_Coverage, 22954,
     /* 2079074 */     GIR_EraseRootFromParent_Done,
     /* 2079075 */   // Label 25577: @2079075
     /* 2079075 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(2079182), // Rule ID 22955 //
     /* 2079080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2079083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2079088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2079097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2079103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2079118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079126 */     // MIs[0] round
     /* 2079126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2079136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079140 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2079153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079181 */     // GIR_Coverage, 22955,
     /* 2079181 */     GIR_EraseRootFromParent_Done,
     /* 2079182 */   // Label 25578: @2079182
     /* 2079182 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(2079289), // Rule ID 22958 //
     /* 2079187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2079190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2079195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2079204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079233 */     // MIs[0] round
     /* 2079233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079243 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2079243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2079260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079288 */     // GIR_Coverage, 22958,
     /* 2079288 */     GIR_EraseRootFromParent_Done,
     /* 2079289 */   // Label 25579: @2079289
     /* 2079289 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(2079396), // Rule ID 22959 //
     /* 2079294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2079297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2079302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2079311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2079317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2079332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079340 */     // MIs[0] round
     /* 2079340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079350 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10948:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2079350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2079367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079395 */     // GIR_Coverage, 22959,
     /* 2079395 */     GIR_EraseRootFromParent_Done,
     /* 2079396 */   // Label 25580: @2079396
     /* 2079396 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(2079503), // Rule ID 22962 //
     /* 2079401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2079404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079447 */     // MIs[0] round
     /* 2079447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079457 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2079457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2079474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079502 */     // GIR_Coverage, 22962,
     /* 2079502 */     GIR_EraseRootFromParent_Done,
     /* 2079503 */   // Label 25581: @2079503
     /* 2079503 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(2079610), // Rule ID 22963 //
     /* 2079508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2079511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079554 */     // MIs[0] round
     /* 2079554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079564 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2079564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2079581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079609 */     // GIR_Coverage, 22963,
     /* 2079609 */     GIR_EraseRootFromParent_Done,
     /* 2079610 */   // Label 25582: @2079610
     /* 2079610 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(2079717), // Rule ID 22966 //
     /* 2079615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2079618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079661 */     // MIs[0] round
     /* 2079661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079671 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2079671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2079688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079716 */     // GIR_Coverage, 22966,
     /* 2079716 */     GIR_EraseRootFromParent_Done,
     /* 2079717 */   // Label 25583: @2079717
     /* 2079717 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(2079824), // Rule ID 22967 //
     /* 2079722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2079725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2079733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2079736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2079742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079768 */     // MIs[0] round
     /* 2079768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2079778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2079795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079823 */     // GIR_Coverage, 22967,
     /* 2079823 */     GIR_EraseRootFromParent_Done,
     /* 2079824 */   // Label 25584: @2079824
     /* 2079824 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(2079931), // Rule ID 22970 //
     /* 2079829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2079832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079875 */     // MIs[0] round
     /* 2079875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079885 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2079885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2079895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2079899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2079902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2079906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2079916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2079929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079930 */     // GIR_Coverage, 22970,
     /* 2079930 */     GIR_EraseRootFromParent_Done,
     /* 2079931 */   // Label 25585: @2079931
     /* 2079931 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(2080038), // Rule ID 22971 //
     /* 2079936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2079939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2079944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2079947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2079950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2079956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079982 */     // MIs[0] round
     /* 2079982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079992 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2079992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2079996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2080009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080037 */     // GIR_Coverage, 22971,
     /* 2080037 */     GIR_EraseRootFromParent_Done,
     /* 2080038 */   // Label 25586: @2080038
     /* 2080038 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(2080145), // Rule ID 22974 //
     /* 2080043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2080046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080089 */     // MIs[0] round
     /* 2080089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080099 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2080099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2080116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080144 */     // GIR_Coverage, 22974,
     /* 2080144 */     GIR_EraseRootFromParent_Done,
     /* 2080145 */   // Label 25587: @2080145
     /* 2080145 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(2080252), // Rule ID 22975 //
     /* 2080150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2080153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080196 */     // MIs[0] round
     /* 2080196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080206 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2080206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2080223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080251 */     // GIR_Coverage, 22975,
     /* 2080251 */     GIR_EraseRootFromParent_Done,
     /* 2080252 */   // Label 25588: @2080252
     /* 2080252 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(2080359), // Rule ID 22978 //
     /* 2080257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2080260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2080277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080303 */     // MIs[0] round
     /* 2080303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080313 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2080313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2080330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080358 */     // GIR_Coverage, 22978,
     /* 2080358 */     GIR_EraseRootFromParent_Done,
     /* 2080359 */   // Label 25589: @2080359
     /* 2080359 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(2080466), // Rule ID 22979 //
     /* 2080364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2080367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2080384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080410 */     // MIs[0] round
     /* 2080410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2080420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2080437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080465 */     // GIR_Coverage, 22979,
     /* 2080465 */     GIR_EraseRootFromParent_Done,
     /* 2080466 */   // Label 25590: @2080466
     /* 2080466 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(2080573), // Rule ID 22982 //
     /* 2080471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2080474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080517 */     // MIs[0] round
     /* 2080517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2080527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2080544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080572 */     // GIR_Coverage, 22982,
     /* 2080572 */     GIR_EraseRootFromParent_Done,
     /* 2080573 */   // Label 25591: @2080573
     /* 2080573 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(2080680), // Rule ID 22983 //
     /* 2080578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2080581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2080595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080624 */     // MIs[0] round
     /* 2080624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080634 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2080634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2080651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080679 */     // GIR_Coverage, 22983,
     /* 2080679 */     GIR_EraseRootFromParent_Done,
     /* 2080680 */   // Label 25592: @2080680
     /* 2080680 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(2080787), // Rule ID 22986 //
     /* 2080685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2080688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080731 */     // MIs[0] round
     /* 2080731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080741 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2080741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2080758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080786 */     // GIR_Coverage, 22986,
     /* 2080786 */     GIR_EraseRootFromParent_Done,
     /* 2080787 */   // Label 25593: @2080787
     /* 2080787 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(2080894), // Rule ID 22987 //
     /* 2080792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2080795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2080809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080838 */     // MIs[0] round
     /* 2080838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2080848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2080865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080893 */     // GIR_Coverage, 22987,
     /* 2080893 */     GIR_EraseRootFromParent_Done,
     /* 2080894 */   // Label 25594: @2080894
     /* 2080894 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(2081001), // Rule ID 22990 //
     /* 2080899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2080902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2080907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2080916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2080937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080945 */     // MIs[0] round
     /* 2080945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080955 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2080955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2080959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2080965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2080969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2080972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2080976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2080986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2080999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081000 */     // GIR_Coverage, 22990,
     /* 2081000 */     GIR_EraseRootFromParent_Done,
     /* 2081001 */   // Label 25595: @2081001
     /* 2081001 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(2081108), // Rule ID 22991 //
     /* 2081006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2081009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2081017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2081020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2081026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081052 */     // MIs[0] round
     /* 2081052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081062 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10946:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2081062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081066 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2081079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081107 */     // GIR_Coverage, 22991,
     /* 2081107 */     GIR_EraseRootFromParent_Done,
     /* 2081108 */   // Label 25596: @2081108
     /* 2081108 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(2081215), // Rule ID 22994 //
     /* 2081113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2081116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081159 */     // MIs[0] round
     /* 2081159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081169 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2081169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2081186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081214 */     // GIR_Coverage, 22994,
     /* 2081214 */     GIR_EraseRootFromParent_Done,
     /* 2081215 */   // Label 25597: @2081215
     /* 2081215 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(2081322), // Rule ID 22995 //
     /* 2081220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2081223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081266 */     // MIs[0] round
     /* 2081266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081276 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2081276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081280 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2081293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081321 */     // GIR_Coverage, 22995,
     /* 2081321 */     GIR_EraseRootFromParent_Done,
     /* 2081322 */   // Label 25598: @2081322
     /* 2081322 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(2081429), // Rule ID 22998 //
     /* 2081327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2081330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081373 */     // MIs[0] round
     /* 2081373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081383 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2081383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2081400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081428 */     // GIR_Coverage, 22998,
     /* 2081428 */     GIR_EraseRootFromParent_Done,
     /* 2081429 */   // Label 25599: @2081429
     /* 2081429 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(2081536), // Rule ID 22999 //
     /* 2081434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2081437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2081451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081480 */     // MIs[0] round
     /* 2081480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2081490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2081507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081535 */     // GIR_Coverage, 22999,
     /* 2081535 */     GIR_EraseRootFromParent_Done,
     /* 2081536 */   // Label 25600: @2081536
     /* 2081536 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(2081643), // Rule ID 23002 //
     /* 2081541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2081544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081587 */     // MIs[0] round
     /* 2081587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081597 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2081597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2081614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081642 */     // GIR_Coverage, 23002,
     /* 2081642 */     GIR_EraseRootFromParent_Done,
     /* 2081643 */   // Label 25601: @2081643
     /* 2081643 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(2081750), // Rule ID 23003 //
     /* 2081648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2081651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2081656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2081659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2081662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2081665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2081668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081694 */     // MIs[0] round
     /* 2081694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081704 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10946:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2081704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2081721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2081725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2081748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081749 */     // GIR_Coverage, 23003,
     /* 2081749 */     GIR_EraseRootFromParent_Done,
     /* 2081750 */   // Label 25602: @2081750
     /* 2081750 */   GIM_Reject,
     /* 2081751 */ // Label 18600: @2081751
     /* 2081751 */ GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(2306844),
     /* 2081756 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2081759 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(2081879), // Rule ID 15838 //
     /* 2081764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2081781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2081784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2081806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2081810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2081814 */     // MIs[1] Operand 1
     /* 2081814 */     // No operand predicates
     /* 2081814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081818 */     // MIs[0] round
     /* 2081818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081821 */     // MIs[0] policy
     /* 2081821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2081826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081833 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2081850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2081859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081878 */     // GIR_Coverage, 15838,
     /* 2081878 */     GIR_EraseRootFromParent_Done,
     /* 2081879 */   // Label 25604: @2081879
     /* 2081879 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(2081999), // Rule ID 15839 //
     /* 2081884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2081895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2081898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2081901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2081904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2081907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2081914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2081922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2081926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2081930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2081934 */     // MIs[1] Operand 1
     /* 2081934 */     // No operand predicates
     /* 2081934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081938 */     // MIs[0] round
     /* 2081938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081941 */     // MIs[0] policy
     /* 2081941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2081946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2081957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2081963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2081967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2081970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2081979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2081985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081998 */     // GIR_Coverage, 15839,
     /* 2081998 */     GIR_EraseRootFromParent_Done,
     /* 2081999 */   // Label 25605: @2081999
     /* 2081999 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(2082119), // Rule ID 15842 //
     /* 2082004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2082021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082054 */     // MIs[1] Operand 1
     /* 2082054 */     // No operand predicates
     /* 2082054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082058 */     // MIs[0] round
     /* 2082058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082061 */     // MIs[0] policy
     /* 2082061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082073 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2082090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082118 */     // GIR_Coverage, 15842,
     /* 2082118 */     GIR_EraseRootFromParent_Done,
     /* 2082119 */   // Label 25606: @2082119
     /* 2082119 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(2082239), // Rule ID 15843 //
     /* 2082124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2082135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2082138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2082141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082174 */     // MIs[1] Operand 1
     /* 2082174 */     // No operand predicates
     /* 2082174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082178 */     // MIs[0] round
     /* 2082178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082181 */     // MIs[0] policy
     /* 2082181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082193 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2082210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082238 */     // GIR_Coverage, 15843,
     /* 2082238 */     GIR_EraseRootFromParent_Done,
     /* 2082239 */   // Label 25607: @2082239
     /* 2082239 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(2082359), // Rule ID 15846 //
     /* 2082244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2082261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082294 */     // MIs[1] Operand 1
     /* 2082294 */     // No operand predicates
     /* 2082294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082298 */     // MIs[0] round
     /* 2082298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082301 */     // MIs[0] policy
     /* 2082301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082313 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2082330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082358 */     // GIR_Coverage, 15846,
     /* 2082358 */     GIR_EraseRootFromParent_Done,
     /* 2082359 */   // Label 25608: @2082359
     /* 2082359 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(2082479), // Rule ID 15847 //
     /* 2082364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2082375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2082378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2082381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082414 */     // MIs[1] Operand 1
     /* 2082414 */     // No operand predicates
     /* 2082414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082418 */     // MIs[0] round
     /* 2082418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082421 */     // MIs[0] policy
     /* 2082421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2082450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2082475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082478 */     // GIR_Coverage, 15847,
     /* 2082478 */     GIR_EraseRootFromParent_Done,
     /* 2082479 */   // Label 25609: @2082479
     /* 2082479 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(2082599), // Rule ID 15850 //
     /* 2082484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082534 */     // MIs[1] Operand 1
     /* 2082534 */     // No operand predicates
     /* 2082534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082538 */     // MIs[0] round
     /* 2082538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082541 */     // MIs[0] policy
     /* 2082541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082553 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2082570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082598 */     // GIR_Coverage, 15850,
     /* 2082598 */     GIR_EraseRootFromParent_Done,
     /* 2082599 */   // Label 25610: @2082599
     /* 2082599 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(2082719), // Rule ID 15851 //
     /* 2082604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2082615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2082618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2082621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082654 */     // MIs[1] Operand 1
     /* 2082654 */     // No operand predicates
     /* 2082654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082658 */     // MIs[0] round
     /* 2082658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082661 */     // MIs[0] policy
     /* 2082661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082673 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2082690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082718 */     // GIR_Coverage, 15851,
     /* 2082718 */     GIR_EraseRootFromParent_Done,
     /* 2082719 */   // Label 25611: @2082719
     /* 2082719 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(2082839), // Rule ID 15854 //
     /* 2082724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082774 */     // MIs[1] Operand 1
     /* 2082774 */     // No operand predicates
     /* 2082774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082778 */     // MIs[0] round
     /* 2082778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082781 */     // MIs[0] policy
     /* 2082781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2082810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082838 */     // GIR_Coverage, 15854,
     /* 2082838 */     GIR_EraseRootFromParent_Done,
     /* 2082839 */   // Label 25612: @2082839
     /* 2082839 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(2082959), // Rule ID 15855 //
     /* 2082844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2082855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2082858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2082861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2082864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2082886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2082890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2082894 */     // MIs[1] Operand 1
     /* 2082894 */     // No operand predicates
     /* 2082894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082898 */     // MIs[0] round
     /* 2082898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082901 */     // MIs[0] policy
     /* 2082901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2082906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082913 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2082917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2082923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2082927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2082930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2082939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2082945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2082955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082958 */     // GIR_Coverage, 15855,
     /* 2082958 */     GIR_EraseRootFromParent_Done,
     /* 2082959 */   // Label 25613: @2082959
     /* 2082959 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(2083079), // Rule ID 15858 //
     /* 2082964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2082975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2082978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2082981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083014 */     // MIs[1] Operand 1
     /* 2083014 */     // No operand predicates
     /* 2083014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083018 */     // MIs[0] round
     /* 2083018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083021 */     // MIs[0] policy
     /* 2083021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083033 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2083050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083078 */     // GIR_Coverage, 15858,
     /* 2083078 */     GIR_EraseRootFromParent_Done,
     /* 2083079 */   // Label 25614: @2083079
     /* 2083079 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(2083199), // Rule ID 15859 //
     /* 2083084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083134 */     // MIs[1] Operand 1
     /* 2083134 */     // No operand predicates
     /* 2083134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083138 */     // MIs[0] round
     /* 2083138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083141 */     // MIs[0] policy
     /* 2083141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2083170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083198 */     // GIR_Coverage, 15859,
     /* 2083198 */     GIR_EraseRootFromParent_Done,
     /* 2083199 */   // Label 25615: @2083199
     /* 2083199 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(2083319), // Rule ID 15862 //
     /* 2083204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2083215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2083218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2083221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083254 */     // MIs[1] Operand 1
     /* 2083254 */     // No operand predicates
     /* 2083254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083258 */     // MIs[0] round
     /* 2083258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083261 */     // MIs[0] policy
     /* 2083261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083273 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083318 */     // GIR_Coverage, 15862,
     /* 2083318 */     GIR_EraseRootFromParent_Done,
     /* 2083319 */   // Label 25616: @2083319
     /* 2083319 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(2083439), // Rule ID 15863 //
     /* 2083324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2083335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2083338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2083341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2083347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083374 */     // MIs[1] Operand 1
     /* 2083374 */     // No operand predicates
     /* 2083374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083378 */     // MIs[0] round
     /* 2083378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083381 */     // MIs[0] policy
     /* 2083381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083438 */     // GIR_Coverage, 15863,
     /* 2083438 */     GIR_EraseRootFromParent_Done,
     /* 2083439 */   // Label 25617: @2083439
     /* 2083439 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(2083559), // Rule ID 15866 //
     /* 2083444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083494 */     // MIs[1] Operand 1
     /* 2083494 */     // No operand predicates
     /* 2083494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083498 */     // MIs[0] round
     /* 2083498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083501 */     // MIs[0] policy
     /* 2083501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083513 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083558 */     // GIR_Coverage, 15866,
     /* 2083558 */     GIR_EraseRootFromParent_Done,
     /* 2083559 */   // Label 25618: @2083559
     /* 2083559 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(2083679), // Rule ID 15867 //
     /* 2083564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2083575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2083578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2083581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083614 */     // MIs[1] Operand 1
     /* 2083614 */     // No operand predicates
     /* 2083614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083618 */     // MIs[0] round
     /* 2083618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083621 */     // MIs[0] policy
     /* 2083621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083633 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083678 */     // GIR_Coverage, 15867,
     /* 2083678 */     GIR_EraseRootFromParent_Done,
     /* 2083679 */   // Label 25619: @2083679
     /* 2083679 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(2083799), // Rule ID 15870 //
     /* 2083684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083734 */     // MIs[1] Operand 1
     /* 2083734 */     // No operand predicates
     /* 2083734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083738 */     // MIs[0] round
     /* 2083738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083741 */     // MIs[0] policy
     /* 2083741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083798 */     // GIR_Coverage, 15870,
     /* 2083798 */     GIR_EraseRootFromParent_Done,
     /* 2083799 */   // Label 25620: @2083799
     /* 2083799 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(2083919), // Rule ID 15871 //
     /* 2083804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2083815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2083818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2083821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083854 */     // MIs[1] Operand 1
     /* 2083854 */     // No operand predicates
     /* 2083854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083858 */     // MIs[0] round
     /* 2083858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083861 */     // MIs[0] policy
     /* 2083861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083873 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2083883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2083887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2083890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2083899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2083905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083918 */     // GIR_Coverage, 15871,
     /* 2083918 */     GIR_EraseRootFromParent_Done,
     /* 2083919 */   // Label 25621: @2083919
     /* 2083919 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(2084039), // Rule ID 15874 //
     /* 2083924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2083927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2083935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2083938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2083941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2083966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2083970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2083974 */     // MIs[1] Operand 1
     /* 2083974 */     // No operand predicates
     /* 2083974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083978 */     // MIs[0] round
     /* 2083978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083981 */     // MIs[0] policy
     /* 2083981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2083986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2083997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2084010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084038 */     // GIR_Coverage, 15874,
     /* 2084038 */     GIR_EraseRootFromParent_Done,
     /* 2084039 */   // Label 25622: @2084039
     /* 2084039 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(2084159), // Rule ID 15875 //
     /* 2084044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2084047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2084055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2084058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084094 */     // MIs[1] Operand 1
     /* 2084094 */     // No operand predicates
     /* 2084094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084098 */     // MIs[0] round
     /* 2084098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084101 */     // MIs[0] policy
     /* 2084101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084113 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2084130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084158 */     // GIR_Coverage, 15875,
     /* 2084158 */     GIR_EraseRootFromParent_Done,
     /* 2084159 */   // Label 25623: @2084159
     /* 2084159 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(2084279), // Rule ID 15878 //
     /* 2084164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084214 */     // MIs[1] Operand 1
     /* 2084214 */     // No operand predicates
     /* 2084214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084218 */     // MIs[0] round
     /* 2084218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084221 */     // MIs[0] policy
     /* 2084221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2084250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084278 */     // GIR_Coverage, 15878,
     /* 2084278 */     GIR_EraseRootFromParent_Done,
     /* 2084279 */   // Label 25624: @2084279
     /* 2084279 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(2084399), // Rule ID 15879 //
     /* 2084284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084334 */     // MIs[1] Operand 1
     /* 2084334 */     // No operand predicates
     /* 2084334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084338 */     // MIs[0] round
     /* 2084338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084341 */     // MIs[0] policy
     /* 2084341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2084370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084398 */     // GIR_Coverage, 15879,
     /* 2084398 */     GIR_EraseRootFromParent_Done,
     /* 2084399 */   // Label 25625: @2084399
     /* 2084399 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(2084519), // Rule ID 15882 //
     /* 2084404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2084421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084454 */     // MIs[1] Operand 1
     /* 2084454 */     // No operand predicates
     /* 2084454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084458 */     // MIs[0] round
     /* 2084458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084461 */     // MIs[0] policy
     /* 2084461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2084490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084518 */     // GIR_Coverage, 15882,
     /* 2084518 */     GIR_EraseRootFromParent_Done,
     /* 2084519 */   // Label 25626: @2084519
     /* 2084519 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(2084639), // Rule ID 15883 //
     /* 2084524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2084541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084574 */     // MIs[1] Operand 1
     /* 2084574 */     // No operand predicates
     /* 2084574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084578 */     // MIs[0] round
     /* 2084578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084581 */     // MIs[0] policy
     /* 2084581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084593 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2084610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084638 */     // GIR_Coverage, 15883,
     /* 2084638 */     GIR_EraseRootFromParent_Done,
     /* 2084639 */   // Label 25627: @2084639
     /* 2084639 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(2084759), // Rule ID 15886 //
     /* 2084644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2084655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2084658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2084661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2084667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084694 */     // MIs[1] Operand 1
     /* 2084694 */     // No operand predicates
     /* 2084694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084698 */     // MIs[0] round
     /* 2084698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084701 */     // MIs[0] policy
     /* 2084701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084713 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2084730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084758 */     // GIR_Coverage, 15886,
     /* 2084758 */     GIR_EraseRootFromParent_Done,
     /* 2084759 */   // Label 25628: @2084759
     /* 2084759 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(2084879), // Rule ID 15887 //
     /* 2084764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2084775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2084778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2084781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2084787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2084794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2084802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084814 */     // MIs[1] Operand 1
     /* 2084814 */     // No operand predicates
     /* 2084814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084818 */     // MIs[0] round
     /* 2084818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084821 */     // MIs[0] policy
     /* 2084821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084833 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2084850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084878 */     // GIR_Coverage, 15887,
     /* 2084878 */     GIR_EraseRootFromParent_Done,
     /* 2084879 */   // Label 25629: @2084879
     /* 2084879 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(2084999), // Rule ID 15890 //
     /* 2084884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2084895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2084898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2084901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2084926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2084930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2084934 */     // MIs[1] Operand 1
     /* 2084934 */     // No operand predicates
     /* 2084934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084938 */     // MIs[0] round
     /* 2084938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084941 */     // MIs[0] policy
     /* 2084941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2084946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084953 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2084957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2084963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2084967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2084970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2084979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2084985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084998 */     // GIR_Coverage, 15890,
     /* 2084998 */     GIR_EraseRootFromParent_Done,
     /* 2084999 */   // Label 25630: @2084999
     /* 2084999 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(2085119), // Rule ID 15891 //
     /* 2085004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085054 */     // MIs[1] Operand 1
     /* 2085054 */     // No operand predicates
     /* 2085054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085058 */     // MIs[0] round
     /* 2085058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085061 */     // MIs[0] policy
     /* 2085061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085073 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2085090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085118 */     // GIR_Coverage, 15891,
     /* 2085118 */     GIR_EraseRootFromParent_Done,
     /* 2085119 */   // Label 25631: @2085119
     /* 2085119 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(2085239), // Rule ID 15894 //
     /* 2085124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085174 */     // MIs[1] Operand 1
     /* 2085174 */     // No operand predicates
     /* 2085174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085178 */     // MIs[0] round
     /* 2085178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085181 */     // MIs[0] policy
     /* 2085181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085193 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2085210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085238 */     // GIR_Coverage, 15894,
     /* 2085238 */     GIR_EraseRootFromParent_Done,
     /* 2085239 */   // Label 25632: @2085239
     /* 2085239 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(2085359), // Rule ID 15895 //
     /* 2085244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085294 */     // MIs[1] Operand 1
     /* 2085294 */     // No operand predicates
     /* 2085294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085298 */     // MIs[0] round
     /* 2085298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085301 */     // MIs[0] policy
     /* 2085301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085313 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2085330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085358 */     // GIR_Coverage, 15895,
     /* 2085358 */     GIR_EraseRootFromParent_Done,
     /* 2085359 */   // Label 25633: @2085359
     /* 2085359 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(2085479), // Rule ID 15898 //
     /* 2085364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085414 */     // MIs[1] Operand 1
     /* 2085414 */     // No operand predicates
     /* 2085414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085418 */     // MIs[0] round
     /* 2085418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085421 */     // MIs[0] policy
     /* 2085421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2085450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085478 */     // GIR_Coverage, 15898,
     /* 2085478 */     GIR_EraseRootFromParent_Done,
     /* 2085479 */   // Label 25634: @2085479
     /* 2085479 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(2085599), // Rule ID 15899 //
     /* 2085484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085534 */     // MIs[1] Operand 1
     /* 2085534 */     // No operand predicates
     /* 2085534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085538 */     // MIs[0] round
     /* 2085538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085541 */     // MIs[0] policy
     /* 2085541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2085570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085598 */     // GIR_Coverage, 15899,
     /* 2085598 */     GIR_EraseRootFromParent_Done,
     /* 2085599 */   // Label 25635: @2085599
     /* 2085599 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(2085719), // Rule ID 15902 //
     /* 2085604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085654 */     // MIs[1] Operand 1
     /* 2085654 */     // No operand predicates
     /* 2085654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085658 */     // MIs[0] round
     /* 2085658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085661 */     // MIs[0] policy
     /* 2085661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2085690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085718 */     // GIR_Coverage, 15902,
     /* 2085718 */     GIR_EraseRootFromParent_Done,
     /* 2085719 */   // Label 25636: @2085719
     /* 2085719 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(2085839), // Rule ID 15903 //
     /* 2085724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085774 */     // MIs[1] Operand 1
     /* 2085774 */     // No operand predicates
     /* 2085774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085778 */     // MIs[0] round
     /* 2085778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085781 */     // MIs[0] policy
     /* 2085781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085793 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2085810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085838 */     // GIR_Coverage, 15903,
     /* 2085838 */     GIR_EraseRootFromParent_Done,
     /* 2085839 */   // Label 25637: @2085839
     /* 2085839 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(2085959), // Rule ID 15906 //
     /* 2085844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2085855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2085858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2085886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2085890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2085894 */     // MIs[1] Operand 1
     /* 2085894 */     // No operand predicates
     /* 2085894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085898 */     // MIs[0] round
     /* 2085898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085901 */     // MIs[0] policy
     /* 2085901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2085906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085913 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2085917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2085923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2085927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2085930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2085939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2085945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085958 */     // GIR_Coverage, 15906,
     /* 2085958 */     GIR_EraseRootFromParent_Done,
     /* 2085959 */   // Label 25638: @2085959
     /* 2085959 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(2086079), // Rule ID 15907 //
     /* 2085964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2085975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2085978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2085981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086014 */     // MIs[1] Operand 1
     /* 2086014 */     // No operand predicates
     /* 2086014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086018 */     // MIs[0] round
     /* 2086018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086021 */     // MIs[0] policy
     /* 2086021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086033 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2086050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086078 */     // GIR_Coverage, 15907,
     /* 2086078 */     GIR_EraseRootFromParent_Done,
     /* 2086079 */   // Label 25639: @2086079
     /* 2086079 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(2086199), // Rule ID 15910 //
     /* 2086084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086134 */     // MIs[1] Operand 1
     /* 2086134 */     // No operand predicates
     /* 2086134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086138 */     // MIs[0] round
     /* 2086138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086141 */     // MIs[0] policy
     /* 2086141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086153 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2086170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086198 */     // GIR_Coverage, 15910,
     /* 2086198 */     GIR_EraseRootFromParent_Done,
     /* 2086199 */   // Label 25640: @2086199
     /* 2086199 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(2086319), // Rule ID 15911 //
     /* 2086204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086254 */     // MIs[1] Operand 1
     /* 2086254 */     // No operand predicates
     /* 2086254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086258 */     // MIs[0] round
     /* 2086258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086261 */     // MIs[0] policy
     /* 2086261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086273 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2086290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086318 */     // GIR_Coverage, 15911,
     /* 2086318 */     GIR_EraseRootFromParent_Done,
     /* 2086319 */   // Label 25641: @2086319
     /* 2086319 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(2086439), // Rule ID 15914 //
     /* 2086324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086374 */     // MIs[1] Operand 1
     /* 2086374 */     // No operand predicates
     /* 2086374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086378 */     // MIs[0] round
     /* 2086378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086381 */     // MIs[0] policy
     /* 2086381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086393 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2086410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086438 */     // GIR_Coverage, 15914,
     /* 2086438 */     GIR_EraseRootFromParent_Done,
     /* 2086439 */   // Label 25642: @2086439
     /* 2086439 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(2086559), // Rule ID 15915 //
     /* 2086444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086494 */     // MIs[1] Operand 1
     /* 2086494 */     // No operand predicates
     /* 2086494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086498 */     // MIs[0] round
     /* 2086498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086501 */     // MIs[0] policy
     /* 2086501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086513 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2086530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086558 */     // GIR_Coverage, 15915,
     /* 2086558 */     GIR_EraseRootFromParent_Done,
     /* 2086559 */   // Label 25643: @2086559
     /* 2086559 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(2086679), // Rule ID 15918 //
     /* 2086564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086614 */     // MIs[1] Operand 1
     /* 2086614 */     // No operand predicates
     /* 2086614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086618 */     // MIs[0] round
     /* 2086618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086621 */     // MIs[0] policy
     /* 2086621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086633 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2086650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086678 */     // GIR_Coverage, 15918,
     /* 2086678 */     GIR_EraseRootFromParent_Done,
     /* 2086679 */   // Label 25644: @2086679
     /* 2086679 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(2086799), // Rule ID 15919 //
     /* 2086684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086734 */     // MIs[1] Operand 1
     /* 2086734 */     // No operand predicates
     /* 2086734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086738 */     // MIs[0] round
     /* 2086738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086741 */     // MIs[0] policy
     /* 2086741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2086770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086798 */     // GIR_Coverage, 15919,
     /* 2086798 */     GIR_EraseRootFromParent_Done,
     /* 2086799 */   // Label 25645: @2086799
     /* 2086799 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(2086919), // Rule ID 15922 //
     /* 2086804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086854 */     // MIs[1] Operand 1
     /* 2086854 */     // No operand predicates
     /* 2086854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086858 */     // MIs[0] round
     /* 2086858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086861 */     // MIs[0] policy
     /* 2086861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2086883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2086887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2086890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2086899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2086905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086918 */     // GIR_Coverage, 15922,
     /* 2086918 */     GIR_EraseRootFromParent_Done,
     /* 2086919 */   // Label 25646: @2086919
     /* 2086919 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(2087039), // Rule ID 15923 //
     /* 2086924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2086966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2086970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2086974 */     // MIs[1] Operand 1
     /* 2086974 */     // No operand predicates
     /* 2086974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086978 */     // MIs[0] round
     /* 2086978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086981 */     // MIs[0] policy
     /* 2086981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2086986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2086997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2087010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2087035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087038 */     // GIR_Coverage, 15923,
     /* 2087038 */     GIR_EraseRootFromParent_Done,
     /* 2087039 */   // Label 25647: @2087039
     /* 2087039 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(2087159), // Rule ID 16102 //
     /* 2087044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2087061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087094 */     // MIs[1] Operand 1
     /* 2087094 */     // No operand predicates
     /* 2087094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087098 */     // MIs[0] round
     /* 2087098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087101 */     // MIs[0] policy
     /* 2087101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087113 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2087130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087158 */     // GIR_Coverage, 16102,
     /* 2087158 */     GIR_EraseRootFromParent_Done,
     /* 2087159 */   // Label 25648: @2087159
     /* 2087159 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(2087279), // Rule ID 16103 //
     /* 2087164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2087181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087214 */     // MIs[1] Operand 1
     /* 2087214 */     // No operand predicates
     /* 2087214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087218 */     // MIs[0] round
     /* 2087218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087221 */     // MIs[0] policy
     /* 2087221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087233 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2087250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087278 */     // GIR_Coverage, 16103,
     /* 2087278 */     GIR_EraseRootFromParent_Done,
     /* 2087279 */   // Label 25649: @2087279
     /* 2087279 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(2087399), // Rule ID 16106 //
     /* 2087284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2087301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087334 */     // MIs[1] Operand 1
     /* 2087334 */     // No operand predicates
     /* 2087334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087338 */     // MIs[0] round
     /* 2087338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087341 */     // MIs[0] policy
     /* 2087341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087353 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2087370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087398 */     // GIR_Coverage, 16106,
     /* 2087398 */     GIR_EraseRootFromParent_Done,
     /* 2087399 */   // Label 25650: @2087399
     /* 2087399 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(2087519), // Rule ID 16107 //
     /* 2087404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2087421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087454 */     // MIs[1] Operand 1
     /* 2087454 */     // No operand predicates
     /* 2087454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087458 */     // MIs[0] round
     /* 2087458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087461 */     // MIs[0] policy
     /* 2087461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087473 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2087490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087518 */     // GIR_Coverage, 16107,
     /* 2087518 */     GIR_EraseRootFromParent_Done,
     /* 2087519 */   // Label 25651: @2087519
     /* 2087519 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(2087639), // Rule ID 16110 //
     /* 2087524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087574 */     // MIs[1] Operand 1
     /* 2087574 */     // No operand predicates
     /* 2087574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087578 */     // MIs[0] round
     /* 2087578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087581 */     // MIs[0] policy
     /* 2087581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087593 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2087610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087638 */     // GIR_Coverage, 16110,
     /* 2087638 */     GIR_EraseRootFromParent_Done,
     /* 2087639 */   // Label 25652: @2087639
     /* 2087639 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(2087759), // Rule ID 16111 //
     /* 2087644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087694 */     // MIs[1] Operand 1
     /* 2087694 */     // No operand predicates
     /* 2087694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087698 */     // MIs[0] round
     /* 2087698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087701 */     // MIs[0] policy
     /* 2087701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087713 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2087730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087758 */     // GIR_Coverage, 16111,
     /* 2087758 */     GIR_EraseRootFromParent_Done,
     /* 2087759 */   // Label 25653: @2087759
     /* 2087759 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(2087879), // Rule ID 16114 //
     /* 2087764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2087784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087814 */     // MIs[1] Operand 1
     /* 2087814 */     // No operand predicates
     /* 2087814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087818 */     // MIs[0] round
     /* 2087818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087821 */     // MIs[0] policy
     /* 2087821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087833 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2087850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087878 */     // GIR_Coverage, 16114,
     /* 2087878 */     GIR_EraseRootFromParent_Done,
     /* 2087879 */   // Label 25654: @2087879
     /* 2087879 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(2087999), // Rule ID 16115 //
     /* 2087884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2087904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2087926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2087930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2087934 */     // MIs[1] Operand 1
     /* 2087934 */     // No operand predicates
     /* 2087934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087938 */     // MIs[0] round
     /* 2087938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087941 */     // MIs[0] policy
     /* 2087941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2087946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087953 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2087957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2087963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2087967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2087970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2087979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2087985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087998 */     // GIR_Coverage, 16115,
     /* 2087998 */     GIR_EraseRootFromParent_Done,
     /* 2087999 */   // Label 25655: @2087999
     /* 2087999 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(2088119), // Rule ID 16118 //
     /* 2088004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088054 */     // MIs[1] Operand 1
     /* 2088054 */     // No operand predicates
     /* 2088054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088058 */     // MIs[0] round
     /* 2088058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088061 */     // MIs[0] policy
     /* 2088061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088073 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2088090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088118 */     // GIR_Coverage, 16118,
     /* 2088118 */     GIR_EraseRootFromParent_Done,
     /* 2088119 */   // Label 25656: @2088119
     /* 2088119 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(2088239), // Rule ID 16119 //
     /* 2088124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2088135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2088138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2088141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088174 */     // MIs[1] Operand 1
     /* 2088174 */     // No operand predicates
     /* 2088174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088178 */     // MIs[0] round
     /* 2088178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088181 */     // MIs[0] policy
     /* 2088181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088193 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2088210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088238 */     // GIR_Coverage, 16119,
     /* 2088238 */     GIR_EraseRootFromParent_Done,
     /* 2088239 */   // Label 25657: @2088239
     /* 2088239 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(2088359), // Rule ID 16122 //
     /* 2088244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088294 */     // MIs[1] Operand 1
     /* 2088294 */     // No operand predicates
     /* 2088294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088298 */     // MIs[0] round
     /* 2088298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088301 */     // MIs[0] policy
     /* 2088301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088313 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2088330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088358 */     // GIR_Coverage, 16122,
     /* 2088358 */     GIR_EraseRootFromParent_Done,
     /* 2088359 */   // Label 25658: @2088359
     /* 2088359 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(2088479), // Rule ID 16123 //
     /* 2088364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2088375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2088378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2088381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088414 */     // MIs[1] Operand 1
     /* 2088414 */     // No operand predicates
     /* 2088414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088418 */     // MIs[0] round
     /* 2088418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088421 */     // MIs[0] policy
     /* 2088421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088433 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2088450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088478 */     // GIR_Coverage, 16123,
     /* 2088478 */     GIR_EraseRootFromParent_Done,
     /* 2088479 */   // Label 25659: @2088479
     /* 2088479 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(2088599), // Rule ID 16126 //
     /* 2088484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2088501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088534 */     // MIs[1] Operand 1
     /* 2088534 */     // No operand predicates
     /* 2088534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088538 */     // MIs[0] round
     /* 2088538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088541 */     // MIs[0] policy
     /* 2088541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2088570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088598 */     // GIR_Coverage, 16126,
     /* 2088598 */     GIR_EraseRootFromParent_Done,
     /* 2088599 */   // Label 25660: @2088599
     /* 2088599 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(2088719), // Rule ID 16127 //
     /* 2088604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2088621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088654 */     // MIs[1] Operand 1
     /* 2088654 */     // No operand predicates
     /* 2088654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088658 */     // MIs[0] round
     /* 2088658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088661 */     // MIs[0] policy
     /* 2088661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088673 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2088690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088718 */     // GIR_Coverage, 16127,
     /* 2088718 */     GIR_EraseRootFromParent_Done,
     /* 2088719 */   // Label 25661: @2088719
     /* 2088719 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(2088839), // Rule ID 16130 //
     /* 2088724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088774 */     // MIs[1] Operand 1
     /* 2088774 */     // No operand predicates
     /* 2088774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088778 */     // MIs[0] round
     /* 2088778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088781 */     // MIs[0] policy
     /* 2088781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088793 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2088810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088838 */     // GIR_Coverage, 16130,
     /* 2088838 */     GIR_EraseRootFromParent_Done,
     /* 2088839 */   // Label 25662: @2088839
     /* 2088839 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(2088959), // Rule ID 16131 //
     /* 2088844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2088864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2088886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2088890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2088894 */     // MIs[1] Operand 1
     /* 2088894 */     // No operand predicates
     /* 2088894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088898 */     // MIs[0] round
     /* 2088898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088901 */     // MIs[0] policy
     /* 2088901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2088906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088913 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2088917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2088923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2088927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2088930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2088939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2088945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088958 */     // GIR_Coverage, 16131,
     /* 2088958 */     GIR_EraseRootFromParent_Done,
     /* 2088959 */   // Label 25663: @2088959
     /* 2088959 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(2089079), // Rule ID 16134 //
     /* 2088964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2088984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089014 */     // MIs[1] Operand 1
     /* 2089014 */     // No operand predicates
     /* 2089014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089018 */     // MIs[0] round
     /* 2089018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089021 */     // MIs[0] policy
     /* 2089021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089033 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2089050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089078 */     // GIR_Coverage, 16134,
     /* 2089078 */     GIR_EraseRootFromParent_Done,
     /* 2089079 */   // Label 25664: @2089079
     /* 2089079 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(2089199), // Rule ID 16135 //
     /* 2089084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2089095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2089098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2089101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2089107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089134 */     // MIs[1] Operand 1
     /* 2089134 */     // No operand predicates
     /* 2089134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089138 */     // MIs[0] round
     /* 2089138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089141 */     // MIs[0] policy
     /* 2089141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2089170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089198 */     // GIR_Coverage, 16135,
     /* 2089198 */     GIR_EraseRootFromParent_Done,
     /* 2089199 */   // Label 25665: @2089199
     /* 2089199 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(2089319), // Rule ID 16138 //
     /* 2089204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2089207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2089215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2089218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089254 */     // MIs[1] Operand 1
     /* 2089254 */     // No operand predicates
     /* 2089254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089258 */     // MIs[0] round
     /* 2089258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089261 */     // MIs[0] policy
     /* 2089261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089273 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2089290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089318 */     // GIR_Coverage, 16138,
     /* 2089318 */     GIR_EraseRootFromParent_Done,
     /* 2089319 */   // Label 25666: @2089319
     /* 2089319 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(2089439), // Rule ID 16139 //
     /* 2089324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2089327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2089335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2089338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2089341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2089347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2089354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2089362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089374 */     // MIs[1] Operand 1
     /* 2089374 */     // No operand predicates
     /* 2089374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089378 */     // MIs[0] round
     /* 2089378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089381 */     // MIs[0] policy
     /* 2089381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089393 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2089410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2089435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089438 */     // GIR_Coverage, 16139,
     /* 2089438 */     GIR_EraseRootFromParent_Done,
     /* 2089439 */   // Label 25667: @2089439
     /* 2089439 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(2089559), // Rule ID 16142 //
     /* 2089444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2089455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2089458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2089461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089494 */     // MIs[1] Operand 1
     /* 2089494 */     // No operand predicates
     /* 2089494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089498 */     // MIs[0] round
     /* 2089498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089501 */     // MIs[0] policy
     /* 2089501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089513 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2089530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089558 */     // GIR_Coverage, 16142,
     /* 2089558 */     GIR_EraseRootFromParent_Done,
     /* 2089559 */   // Label 25668: @2089559
     /* 2089559 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(2089679), // Rule ID 16143 //
     /* 2089564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2089575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2089578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2089581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089614 */     // MIs[1] Operand 1
     /* 2089614 */     // No operand predicates
     /* 2089614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089618 */     // MIs[0] round
     /* 2089618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089621 */     // MIs[0] policy
     /* 2089621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089633 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2089650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089678 */     // GIR_Coverage, 16143,
     /* 2089678 */     GIR_EraseRootFromParent_Done,
     /* 2089679 */   // Label 25669: @2089679
     /* 2089679 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(2089799), // Rule ID 16146 //
     /* 2089684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2089695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2089698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2089701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089734 */     // MIs[1] Operand 1
     /* 2089734 */     // No operand predicates
     /* 2089734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089738 */     // MIs[0] round
     /* 2089738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089741 */     // MIs[0] policy
     /* 2089741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089753 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2089770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089798 */     // GIR_Coverage, 16146,
     /* 2089798 */     GIR_EraseRootFromParent_Done,
     /* 2089799 */   // Label 25670: @2089799
     /* 2089799 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(2089919), // Rule ID 16147 //
     /* 2089804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2089815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2089818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2089821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2089824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089854 */     // MIs[1] Operand 1
     /* 2089854 */     // No operand predicates
     /* 2089854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089858 */     // MIs[0] round
     /* 2089858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089861 */     // MIs[0] policy
     /* 2089861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089873 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2089883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2089887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2089890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2089899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2089905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089918 */     // GIR_Coverage, 16147,
     /* 2089918 */     GIR_EraseRootFromParent_Done,
     /* 2089919 */   // Label 25671: @2089919
     /* 2089919 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(2090039), // Rule ID 16150 //
     /* 2089924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2089935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2089938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2089941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2089944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2089947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2089966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2089970 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2089974 */     // MIs[1] Operand 1
     /* 2089974 */     // No operand predicates
     /* 2089974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089978 */     // MIs[0] round
     /* 2089978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089981 */     // MIs[0] policy
     /* 2089981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2089986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089993 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2089997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2090010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090038 */     // GIR_Coverage, 16150,
     /* 2090038 */     GIR_EraseRootFromParent_Done,
     /* 2090039 */   // Label 25672: @2090039
     /* 2090039 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(2090159), // Rule ID 16151 //
     /* 2090044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2090055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2090058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2090061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2090067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090090 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090094 */     // MIs[1] Operand 1
     /* 2090094 */     // No operand predicates
     /* 2090094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090098 */     // MIs[0] round
     /* 2090098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090101 */     // MIs[0] policy
     /* 2090101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090113 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2090130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2090155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090158 */     // GIR_Coverage, 16151,
     /* 2090158 */     GIR_EraseRootFromParent_Done,
     /* 2090159 */   // Label 25673: @2090159
     /* 2090159 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(2090279), // Rule ID 16154 //
     /* 2090164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090214 */     // MIs[1] Operand 1
     /* 2090214 */     // No operand predicates
     /* 2090214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090218 */     // MIs[0] round
     /* 2090218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090221 */     // MIs[0] policy
     /* 2090221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2090250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090278 */     // GIR_Coverage, 16154,
     /* 2090278 */     GIR_EraseRootFromParent_Done,
     /* 2090279 */   // Label 25674: @2090279
     /* 2090279 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(2090399), // Rule ID 16155 //
     /* 2090284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2090295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2090298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2090301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090330 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090334 */     // MIs[1] Operand 1
     /* 2090334 */     // No operand predicates
     /* 2090334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090338 */     // MIs[0] round
     /* 2090338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090341 */     // MIs[0] policy
     /* 2090341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2090370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090398 */     // GIR_Coverage, 16155,
     /* 2090398 */     GIR_EraseRootFromParent_Done,
     /* 2090399 */   // Label 25675: @2090399
     /* 2090399 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(2090519), // Rule ID 16158 //
     /* 2090404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090450 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090454 */     // MIs[1] Operand 1
     /* 2090454 */     // No operand predicates
     /* 2090454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090458 */     // MIs[0] round
     /* 2090458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090461 */     // MIs[0] policy
     /* 2090461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090473 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2090490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090518 */     // GIR_Coverage, 16158,
     /* 2090518 */     GIR_EraseRootFromParent_Done,
     /* 2090519 */   // Label 25676: @2090519
     /* 2090519 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(2090639), // Rule ID 16159 //
     /* 2090524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2090535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2090538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2090541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090574 */     // MIs[1] Operand 1
     /* 2090574 */     // No operand predicates
     /* 2090574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090578 */     // MIs[0] round
     /* 2090578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090581 */     // MIs[0] policy
     /* 2090581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090593 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2090610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090638 */     // GIR_Coverage, 16159,
     /* 2090638 */     GIR_EraseRootFromParent_Done,
     /* 2090639 */   // Label 25677: @2090639
     /* 2090639 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(2090759), // Rule ID 16162 //
     /* 2090644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2090655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2090658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090682 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090686 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090690 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090694 */     // MIs[1] Operand 1
     /* 2090694 */     // No operand predicates
     /* 2090694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090698 */     // MIs[0] round
     /* 2090698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090701 */     // MIs[0] policy
     /* 2090701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090713 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2090730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090758 */     // GIR_Coverage, 16162,
     /* 2090758 */     GIR_EraseRootFromParent_Done,
     /* 2090759 */   // Label 25678: @2090759
     /* 2090759 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(2090879), // Rule ID 16163 //
     /* 2090764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2090775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2090778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2090781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2090784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2090787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090814 */     // MIs[1] Operand 1
     /* 2090814 */     // No operand predicates
     /* 2090814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090818 */     // MIs[0] round
     /* 2090818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090821 */     // MIs[0] policy
     /* 2090821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090833 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2090850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2090875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090878 */     // GIR_Coverage, 16163,
     /* 2090878 */     GIR_EraseRootFromParent_Done,
     /* 2090879 */   // Label 25679: @2090879
     /* 2090879 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(2090999), // Rule ID 16166 //
     /* 2090884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2090895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2090898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2090901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2090926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2090930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2090934 */     // MIs[1] Operand 1
     /* 2090934 */     // No operand predicates
     /* 2090934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090938 */     // MIs[0] round
     /* 2090938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090941 */     // MIs[0] policy
     /* 2090941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2090946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090953 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2090957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2090963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2090967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2090970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2090979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2090985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090998 */     // GIR_Coverage, 16166,
     /* 2090998 */     GIR_EraseRootFromParent_Done,
     /* 2090999 */   // Label 25680: @2090999
     /* 2090999 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(2091119), // Rule ID 16167 //
     /* 2091004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2091015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2091018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2091021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091054 */     // MIs[1] Operand 1
     /* 2091054 */     // No operand predicates
     /* 2091054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091058 */     // MIs[0] round
     /* 2091058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091061 */     // MIs[0] policy
     /* 2091061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2091090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091096 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091118 */     // GIR_Coverage, 16167,
     /* 2091118 */     GIR_EraseRootFromParent_Done,
     /* 2091119 */   // Label 25681: @2091119
     /* 2091119 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(2091239), // Rule ID 16170 //
     /* 2091124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2091141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091174 */     // MIs[1] Operand 1
     /* 2091174 */     // No operand predicates
     /* 2091174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091178 */     // MIs[0] round
     /* 2091178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091181 */     // MIs[0] policy
     /* 2091181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2091210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091238 */     // GIR_Coverage, 16170,
     /* 2091238 */     GIR_EraseRootFromParent_Done,
     /* 2091239 */   // Label 25682: @2091239
     /* 2091239 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(2091359), // Rule ID 16171 //
     /* 2091244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2091255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2091258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2091261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2091267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091294 */     // MIs[1] Operand 1
     /* 2091294 */     // No operand predicates
     /* 2091294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091298 */     // MIs[0] round
     /* 2091298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091301 */     // MIs[0] policy
     /* 2091301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091313 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2091330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091358 */     // GIR_Coverage, 16171,
     /* 2091358 */     GIR_EraseRootFromParent_Done,
     /* 2091359 */   // Label 25683: @2091359
     /* 2091359 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(2091479), // Rule ID 16174 //
     /* 2091364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091414 */     // MIs[1] Operand 1
     /* 2091414 */     // No operand predicates
     /* 2091414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091418 */     // MIs[0] round
     /* 2091418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091421 */     // MIs[0] policy
     /* 2091421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091433 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2091450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091478 */     // GIR_Coverage, 16174,
     /* 2091478 */     GIR_EraseRootFromParent_Done,
     /* 2091479 */   // Label 25684: @2091479
     /* 2091479 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(2091599), // Rule ID 16175 //
     /* 2091484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2091495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2091498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2091501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2091507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2091514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2091522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091534 */     // MIs[1] Operand 1
     /* 2091534 */     // No operand predicates
     /* 2091534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091538 */     // MIs[0] round
     /* 2091538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091541 */     // MIs[0] policy
     /* 2091541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2091570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091576 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091598 */     // GIR_Coverage, 16175,
     /* 2091598 */     GIR_EraseRootFromParent_Done,
     /* 2091599 */   // Label 25685: @2091599
     /* 2091599 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(2091719), // Rule ID 16178 //
     /* 2091604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2091607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2091615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2091618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091654 */     // MIs[1] Operand 1
     /* 2091654 */     // No operand predicates
     /* 2091654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091658 */     // MIs[0] round
     /* 2091658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091661 */     // MIs[0] policy
     /* 2091661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091673 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2091690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091718 */     // GIR_Coverage, 16178,
     /* 2091718 */     GIR_EraseRootFromParent_Done,
     /* 2091719 */   // Label 25686: @2091719
     /* 2091719 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(2091839), // Rule ID 16179 //
     /* 2091724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2091727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2091735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2091738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2091741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2091754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2091762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091774 */     // MIs[1] Operand 1
     /* 2091774 */     // No operand predicates
     /* 2091774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091778 */     // MIs[0] round
     /* 2091778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091781 */     // MIs[0] policy
     /* 2091781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091793 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2091810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091838 */     // GIR_Coverage, 16179,
     /* 2091838 */     GIR_EraseRootFromParent_Done,
     /* 2091839 */   // Label 25687: @2091839
     /* 2091839 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(2091959), // Rule ID 16182 //
     /* 2091844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2091847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2091855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2091858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2091886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2091890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2091894 */     // MIs[1] Operand 1
     /* 2091894 */     // No operand predicates
     /* 2091894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091898 */     // MIs[0] round
     /* 2091898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091901 */     // MIs[0] policy
     /* 2091901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2091906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091913 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2091917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2091923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2091927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2091930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091936 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2091939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2091945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2091955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091958 */     // GIR_Coverage, 16182,
     /* 2091958 */     GIR_EraseRootFromParent_Done,
     /* 2091959 */   // Label 25688: @2091959
     /* 2091959 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(2092079), // Rule ID 16183 //
     /* 2091964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2091967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2091975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2091978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2091981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2091994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2091998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092014 */     // MIs[1] Operand 1
     /* 2092014 */     // No operand predicates
     /* 2092014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092018 */     // MIs[0] round
     /* 2092018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092021 */     // MIs[0] policy
     /* 2092021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2092050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092056 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092078 */     // GIR_Coverage, 16183,
     /* 2092078 */     GIR_EraseRootFromParent_Done,
     /* 2092079 */   // Label 25689: @2092079
     /* 2092079 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(2092199), // Rule ID 16186 //
     /* 2092084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2092087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092134 */     // MIs[1] Operand 1
     /* 2092134 */     // No operand predicates
     /* 2092134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092138 */     // MIs[0] round
     /* 2092138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092141 */     // MIs[0] policy
     /* 2092141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092153 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2092170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092198 */     // GIR_Coverage, 16186,
     /* 2092198 */     GIR_EraseRootFromParent_Done,
     /* 2092199 */   // Label 25690: @2092199
     /* 2092199 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(2092319), // Rule ID 16187 //
     /* 2092204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2092207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2092215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2092218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2092221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2092234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2092242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092254 */     // MIs[1] Operand 1
     /* 2092254 */     // No operand predicates
     /* 2092254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092258 */     // MIs[0] round
     /* 2092258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092261 */     // MIs[0] policy
     /* 2092261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092273 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2092290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092318 */     // GIR_Coverage, 16187,
     /* 2092318 */     GIR_EraseRootFromParent_Done,
     /* 2092319 */   // Label 25691: @2092319
     /* 2092319 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(2092442), // Rule ID 16310 //
     /* 2092324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092374 */     // MIs[1] Operand 1
     /* 2092374 */     // No operand predicates
     /* 2092374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092378 */     // MIs[0] round
     /* 2092378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092381 */     // MIs[0] policy
     /* 2092381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092393 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2092410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092441 */     // GIR_Coverage, 16310,
     /* 2092441 */     GIR_EraseRootFromParent_Done,
     /* 2092442 */   // Label 25692: @2092442
     /* 2092442 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(2092565), // Rule ID 16311 //
     /* 2092447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2092458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2092461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2092464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092497 */     // MIs[1] Operand 1
     /* 2092497 */     // No operand predicates
     /* 2092497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092501 */     // MIs[0] round
     /* 2092501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092504 */     // MIs[0] policy
     /* 2092504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092520 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2092533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092564 */     // GIR_Coverage, 16311,
     /* 2092564 */     GIR_EraseRootFromParent_Done,
     /* 2092565 */   // Label 25693: @2092565
     /* 2092565 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(2092688), // Rule ID 16314 //
     /* 2092570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092620 */     // MIs[1] Operand 1
     /* 2092620 */     // No operand predicates
     /* 2092620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092624 */     // MIs[0] round
     /* 2092624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092627 */     // MIs[0] policy
     /* 2092627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092639 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2092656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092687 */     // GIR_Coverage, 16314,
     /* 2092687 */     GIR_EraseRootFromParent_Done,
     /* 2092688 */   // Label 25694: @2092688
     /* 2092688 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(2092811), // Rule ID 16315 //
     /* 2092693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2092704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2092707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2092710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092743 */     // MIs[1] Operand 1
     /* 2092743 */     // No operand predicates
     /* 2092743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092747 */     // MIs[0] round
     /* 2092747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092750 */     // MIs[0] policy
     /* 2092750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092766 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2092779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092810 */     // GIR_Coverage, 16315,
     /* 2092810 */     GIR_EraseRootFromParent_Done,
     /* 2092811 */   // Label 25695: @2092811
     /* 2092811 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(2092934), // Rule ID 16318 //
     /* 2092816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2092827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2092830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092866 */     // MIs[1] Operand 1
     /* 2092866 */     // No operand predicates
     /* 2092866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092870 */     // MIs[0] round
     /* 2092870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092873 */     // MIs[0] policy
     /* 2092873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2092878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092885 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2092889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2092895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2092899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2092902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2092911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2092917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2092932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092933 */     // GIR_Coverage, 16318,
     /* 2092933 */     GIR_EraseRootFromParent_Done,
     /* 2092934 */   // Label 25696: @2092934
     /* 2092934 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(2093057), // Rule ID 16319 //
     /* 2092939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2092947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2092950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2092953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2092981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2092985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2092989 */     // MIs[1] Operand 1
     /* 2092989 */     // No operand predicates
     /* 2092989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092993 */     // MIs[0] round
     /* 2092993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092996 */     // MIs[0] policy
     /* 2092996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2093025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093056 */     // GIR_Coverage, 16319,
     /* 2093056 */     GIR_EraseRootFromParent_Done,
     /* 2093057 */   // Label 25697: @2093057
     /* 2093057 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(2093180), // Rule ID 16322 //
     /* 2093062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2093073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2093076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093112 */     // MIs[1] Operand 1
     /* 2093112 */     // No operand predicates
     /* 2093112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093116 */     // MIs[0] round
     /* 2093116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093119 */     // MIs[0] policy
     /* 2093119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093131 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2093148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093175 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093179 */     // GIR_Coverage, 16322,
     /* 2093179 */     GIR_EraseRootFromParent_Done,
     /* 2093180 */   // Label 25698: @2093180
     /* 2093180 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(2093303), // Rule ID 16323 //
     /* 2093185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2093196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2093199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093235 */     // MIs[1] Operand 1
     /* 2093235 */     // No operand predicates
     /* 2093235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093239 */     // MIs[0] round
     /* 2093239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093242 */     // MIs[0] policy
     /* 2093242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2093271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093302 */     // GIR_Coverage, 16323,
     /* 2093302 */     GIR_EraseRootFromParent_Done,
     /* 2093303 */   // Label 25699: @2093303
     /* 2093303 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(2093426), // Rule ID 16326 //
     /* 2093308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2093319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2093322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093358 */     // MIs[1] Operand 1
     /* 2093358 */     // No operand predicates
     /* 2093358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093362 */     // MIs[0] round
     /* 2093362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093365 */     // MIs[0] policy
     /* 2093365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093377 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093381 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2093394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093400 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093421 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093425 */     // GIR_Coverage, 16326,
     /* 2093425 */     GIR_EraseRootFromParent_Done,
     /* 2093426 */   // Label 25700: @2093426
     /* 2093426 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(2093549), // Rule ID 16327 //
     /* 2093431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2093442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2093445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093481 */     // MIs[1] Operand 1
     /* 2093481 */     // No operand predicates
     /* 2093481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093485 */     // MIs[0] round
     /* 2093485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093488 */     // MIs[0] policy
     /* 2093488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093500 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2093517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093548 */     // GIR_Coverage, 16327,
     /* 2093548 */     GIR_EraseRootFromParent_Done,
     /* 2093549 */   // Label 25701: @2093549
     /* 2093549 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(2093672), // Rule ID 16330 //
     /* 2093554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2093565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2093568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093604 */     // MIs[1] Operand 1
     /* 2093604 */     // No operand predicates
     /* 2093604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093608 */     // MIs[0] round
     /* 2093608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093611 */     // MIs[0] policy
     /* 2093611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093623 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2093640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093671 */     // GIR_Coverage, 16330,
     /* 2093671 */     GIR_EraseRootFromParent_Done,
     /* 2093672 */   // Label 25702: @2093672
     /* 2093672 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(2093795), // Rule ID 16331 //
     /* 2093677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2093688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2093691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093727 */     // MIs[1] Operand 1
     /* 2093727 */     // No operand predicates
     /* 2093727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093731 */     // MIs[0] round
     /* 2093731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093734 */     // MIs[0] policy
     /* 2093734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2093763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093794 */     // GIR_Coverage, 16331,
     /* 2093794 */     GIR_EraseRootFromParent_Done,
     /* 2093795 */   // Label 25703: @2093795
     /* 2093795 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(2093918), // Rule ID 16334 //
     /* 2093800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093850 */     // MIs[1] Operand 1
     /* 2093850 */     // No operand predicates
     /* 2093850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093854 */     // MIs[0] round
     /* 2093854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093857 */     // MIs[0] policy
     /* 2093857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2093879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2093883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2093886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2093895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2093901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2093916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093917 */     // GIR_Coverage, 16334,
     /* 2093917 */     GIR_EraseRootFromParent_Done,
     /* 2093918 */   // Label 25704: @2093918
     /* 2093918 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(2094041), // Rule ID 16335 //
     /* 2093923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2093931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2093934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2093937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2093940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2093946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2093953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2093961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2093965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2093969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2093973 */     // MIs[1] Operand 1
     /* 2093973 */     // No operand predicates
     /* 2093973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093977 */     // MIs[0] round
     /* 2093977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093980 */     // MIs[0] policy
     /* 2093980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2093985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2093996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2094009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094040 */     // GIR_Coverage, 16335,
     /* 2094040 */     GIR_EraseRootFromParent_Done,
     /* 2094041 */   // Label 25705: @2094041
     /* 2094041 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(2094164), // Rule ID 16338 //
     /* 2094046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2094057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2094060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094092 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094096 */     // MIs[1] Operand 1
     /* 2094096 */     // No operand predicates
     /* 2094096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094100 */     // MIs[0] round
     /* 2094100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094103 */     // MIs[0] policy
     /* 2094103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094115 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2094132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094163 */     // GIR_Coverage, 16338,
     /* 2094163 */     GIR_EraseRootFromParent_Done,
     /* 2094164 */   // Label 25706: @2094164
     /* 2094164 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(2094287), // Rule ID 16339 //
     /* 2094169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2094180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2094183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2094186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094219 */     // MIs[1] Operand 1
     /* 2094219 */     // No operand predicates
     /* 2094219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094223 */     // MIs[0] round
     /* 2094223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094226 */     // MIs[0] policy
     /* 2094226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2094255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094286 */     // GIR_Coverage, 16339,
     /* 2094286 */     GIR_EraseRootFromParent_Done,
     /* 2094287 */   // Label 25707: @2094287
     /* 2094287 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(2094410), // Rule ID 16342 //
     /* 2094292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2094303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2094306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094342 */     // MIs[1] Operand 1
     /* 2094342 */     // No operand predicates
     /* 2094342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094346 */     // MIs[0] round
     /* 2094346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094349 */     // MIs[0] policy
     /* 2094349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094361 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2094378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094384 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094409 */     // GIR_Coverage, 16342,
     /* 2094409 */     GIR_EraseRootFromParent_Done,
     /* 2094410 */   // Label 25708: @2094410
     /* 2094410 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(2094533), // Rule ID 16343 //
     /* 2094415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2094426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2094429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2094432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094465 */     // MIs[1] Operand 1
     /* 2094465 */     // No operand predicates
     /* 2094465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094469 */     // MIs[0] round
     /* 2094469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094472 */     // MIs[0] policy
     /* 2094472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094484 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2094501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094532 */     // GIR_Coverage, 16343,
     /* 2094532 */     GIR_EraseRootFromParent_Done,
     /* 2094533 */   // Label 25709: @2094533
     /* 2094533 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(2094656), // Rule ID 16346 //
     /* 2094538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094588 */     // MIs[1] Operand 1
     /* 2094588 */     // No operand predicates
     /* 2094588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094592 */     // MIs[0] round
     /* 2094592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094595 */     // MIs[0] policy
     /* 2094595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094607 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094611 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2094624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094655 */     // GIR_Coverage, 16346,
     /* 2094655 */     GIR_EraseRootFromParent_Done,
     /* 2094656 */   // Label 25710: @2094656
     /* 2094656 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(2094779), // Rule ID 16347 //
     /* 2094661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2094672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2094675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094711 */     // MIs[1] Operand 1
     /* 2094711 */     // No operand predicates
     /* 2094711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094715 */     // MIs[0] round
     /* 2094715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094718 */     // MIs[0] policy
     /* 2094718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094734 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2094747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094778 */     // GIR_Coverage, 16347,
     /* 2094778 */     GIR_EraseRootFromParent_Done,
     /* 2094779 */   // Label 25711: @2094779
     /* 2094779 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(2094902), // Rule ID 16350 //
     /* 2094784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094834 */     // MIs[1] Operand 1
     /* 2094834 */     // No operand predicates
     /* 2094834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094838 */     // MIs[0] round
     /* 2094838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094841 */     // MIs[0] policy
     /* 2094841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094853 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2094870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094876 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2094879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2094885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2094895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2094900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094901 */     // GIR_Coverage, 16350,
     /* 2094901 */     GIR_EraseRootFromParent_Done,
     /* 2094902 */   // Label 25712: @2094902
     /* 2094902 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(2095025), // Rule ID 16351 //
     /* 2094907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2094918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2094921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2094949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2094953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2094957 */     // MIs[1] Operand 1
     /* 2094957 */     // No operand predicates
     /* 2094957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094961 */     // MIs[0] round
     /* 2094961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094964 */     // MIs[0] policy
     /* 2094964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2094969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094976 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2094980 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2094986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2094990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2094993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2095018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095024 */     // GIR_Coverage, 16351,
     /* 2095024 */     GIR_EraseRootFromParent_Done,
     /* 2095025 */   // Label 25713: @2095025
     /* 2095025 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(2095148), // Rule ID 16354 //
     /* 2095030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095080 */     // MIs[1] Operand 1
     /* 2095080 */     // No operand predicates
     /* 2095080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095084 */     // MIs[0] round
     /* 2095084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095087 */     // MIs[0] policy
     /* 2095087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095099 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2095116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095147 */     // GIR_Coverage, 16354,
     /* 2095147 */     GIR_EraseRootFromParent_Done,
     /* 2095148 */   // Label 25714: @2095148
     /* 2095148 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(2095271), // Rule ID 16355 //
     /* 2095153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2095164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2095167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2095170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095203 */     // MIs[1] Operand 1
     /* 2095203 */     // No operand predicates
     /* 2095203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095207 */     // MIs[0] round
     /* 2095207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095210 */     // MIs[0] policy
     /* 2095210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095226 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2095239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095270 */     // GIR_Coverage, 16355,
     /* 2095270 */     GIR_EraseRootFromParent_Done,
     /* 2095271 */   // Label 25715: @2095271
     /* 2095271 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(2095394), // Rule ID 16358 //
     /* 2095276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095326 */     // MIs[1] Operand 1
     /* 2095326 */     // No operand predicates
     /* 2095326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095330 */     // MIs[0] round
     /* 2095330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095333 */     // MIs[0] policy
     /* 2095333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095336 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095345 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2095362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095368 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095389 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095393 */     // GIR_Coverage, 16358,
     /* 2095393 */     GIR_EraseRootFromParent_Done,
     /* 2095394 */   // Label 25716: @2095394
     /* 2095394 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(2095517), // Rule ID 16359 //
     /* 2095399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2095410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2095413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2095416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095449 */     // MIs[1] Operand 1
     /* 2095449 */     // No operand predicates
     /* 2095449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095453 */     // MIs[0] round
     /* 2095453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095456 */     // MIs[0] policy
     /* 2095456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095468 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2095485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095516 */     // GIR_Coverage, 16359,
     /* 2095516 */     GIR_EraseRootFromParent_Done,
     /* 2095517 */   // Label 25717: @2095517
     /* 2095517 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(2095640), // Rule ID 16362 //
     /* 2095522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095572 */     // MIs[1] Operand 1
     /* 2095572 */     // No operand predicates
     /* 2095572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095576 */     // MIs[0] round
     /* 2095576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095579 */     // MIs[0] policy
     /* 2095579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2095608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095639 */     // GIR_Coverage, 16362,
     /* 2095639 */     GIR_EraseRootFromParent_Done,
     /* 2095640 */   // Label 25718: @2095640
     /* 2095640 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(2095763), // Rule ID 16363 //
     /* 2095645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2095656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2095659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2095662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095695 */     // MIs[1] Operand 1
     /* 2095695 */     // No operand predicates
     /* 2095695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095699 */     // MIs[0] round
     /* 2095699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095702 */     // MIs[0] policy
     /* 2095702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095714 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2095731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095762 */     // GIR_Coverage, 16363,
     /* 2095762 */     GIR_EraseRootFromParent_Done,
     /* 2095763 */   // Label 25719: @2095763
     /* 2095763 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(2095886), // Rule ID 16366 //
     /* 2095768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2095771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2095788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095818 */     // MIs[1] Operand 1
     /* 2095818 */     // No operand predicates
     /* 2095818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095822 */     // MIs[0] round
     /* 2095822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095825 */     // MIs[0] policy
     /* 2095825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095841 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095847 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2095854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095860 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2095879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095885 */     // GIR_Coverage, 16366,
     /* 2095885 */     GIR_EraseRootFromParent_Done,
     /* 2095886 */   // Label 25720: @2095886
     /* 2095886 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(2096009), // Rule ID 16367 //
     /* 2095891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2095894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2095902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2095905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2095908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2095911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2095933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2095937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2095941 */     // MIs[1] Operand 1
     /* 2095941 */     // No operand predicates
     /* 2095941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095945 */     // MIs[0] round
     /* 2095945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095948 */     // MIs[0] policy
     /* 2095948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2095953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2095964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2095970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2095974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2095977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2095986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2095992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2096002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096008 */     // GIR_Coverage, 16367,
     /* 2096008 */     GIR_EraseRootFromParent_Done,
     /* 2096009 */   // Label 25721: @2096009
     /* 2096009 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(2096132), // Rule ID 16490 //
     /* 2096014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2096025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2096028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096064 */     // MIs[1] Operand 1
     /* 2096064 */     // No operand predicates
     /* 2096064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096068 */     // MIs[0] round
     /* 2096068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096071 */     // MIs[0] policy
     /* 2096071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2096100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096131 */     // GIR_Coverage, 16490,
     /* 2096131 */     GIR_EraseRootFromParent_Done,
     /* 2096132 */   // Label 25722: @2096132
     /* 2096132 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(2096255), // Rule ID 16491 //
     /* 2096137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2096148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2096151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2096154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096187 */     // MIs[1] Operand 1
     /* 2096187 */     // No operand predicates
     /* 2096187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096191 */     // MIs[0] round
     /* 2096191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096194 */     // MIs[0] policy
     /* 2096194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096206 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2096223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096254 */     // GIR_Coverage, 16491,
     /* 2096254 */     GIR_EraseRootFromParent_Done,
     /* 2096255 */   // Label 25723: @2096255
     /* 2096255 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(2096378), // Rule ID 16494 //
     /* 2096260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2096271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2096274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096310 */     // MIs[1] Operand 1
     /* 2096310 */     // No operand predicates
     /* 2096310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096314 */     // MIs[0] round
     /* 2096314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096317 */     // MIs[0] policy
     /* 2096317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096329 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2096346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096377 */     // GIR_Coverage, 16494,
     /* 2096377 */     GIR_EraseRootFromParent_Done,
     /* 2096378 */   // Label 25724: @2096378
     /* 2096378 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(2096501), // Rule ID 16495 //
     /* 2096383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2096394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2096397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2096400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096433 */     // MIs[1] Operand 1
     /* 2096433 */     // No operand predicates
     /* 2096433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096437 */     // MIs[0] round
     /* 2096437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096440 */     // MIs[0] policy
     /* 2096440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096456 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2096469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096500 */     // GIR_Coverage, 16495,
     /* 2096500 */     GIR_EraseRootFromParent_Done,
     /* 2096501 */   // Label 25725: @2096501
     /* 2096501 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(2096624), // Rule ID 16498 //
     /* 2096506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2096517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2096520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096556 */     // MIs[1] Operand 1
     /* 2096556 */     // No operand predicates
     /* 2096556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096560 */     // MIs[0] round
     /* 2096560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096563 */     // MIs[0] policy
     /* 2096563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096575 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2096592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096623 */     // GIR_Coverage, 16498,
     /* 2096623 */     GIR_EraseRootFromParent_Done,
     /* 2096624 */   // Label 25726: @2096624
     /* 2096624 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(2096747), // Rule ID 16499 //
     /* 2096629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2096640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2096643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2096646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096679 */     // MIs[1] Operand 1
     /* 2096679 */     // No operand predicates
     /* 2096679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096683 */     // MIs[0] round
     /* 2096683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096686 */     // MIs[0] policy
     /* 2096686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2096715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096746 */     // GIR_Coverage, 16499,
     /* 2096746 */     GIR_EraseRootFromParent_Done,
     /* 2096747 */   // Label 25727: @2096747
     /* 2096747 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(2096870), // Rule ID 16502 //
     /* 2096752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2096763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2096766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2096772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096802 */     // MIs[1] Operand 1
     /* 2096802 */     // No operand predicates
     /* 2096802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096806 */     // MIs[0] round
     /* 2096806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096809 */     // MIs[0] policy
     /* 2096809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096821 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2096838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096844 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096869 */     // GIR_Coverage, 16502,
     /* 2096869 */     GIR_EraseRootFromParent_Done,
     /* 2096870 */   // Label 25728: @2096870
     /* 2096870 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(2096993), // Rule ID 16503 //
     /* 2096875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2096883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2096886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2096889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2096892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2096895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2096917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2096921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2096925 */     // MIs[1] Operand 1
     /* 2096925 */     // No operand predicates
     /* 2096925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096929 */     // MIs[0] round
     /* 2096929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096932 */     // MIs[0] policy
     /* 2096932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2096937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096944 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2096948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2096954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2096958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2096961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2096970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2096976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096992 */     // GIR_Coverage, 16503,
     /* 2096992 */     GIR_EraseRootFromParent_Done,
     /* 2096993 */   // Label 25729: @2096993
     /* 2096993 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(2097116), // Rule ID 16506 //
     /* 2096998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2097009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2097012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097048 */     // MIs[1] Operand 1
     /* 2097048 */     // No operand predicates
     /* 2097048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097052 */     // MIs[0] round
     /* 2097052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097055 */     // MIs[0] policy
     /* 2097055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2097084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097115 */     // GIR_Coverage, 16506,
     /* 2097115 */     GIR_EraseRootFromParent_Done,
     /* 2097116 */   // Label 25730: @2097116
     /* 2097116 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(2097239), // Rule ID 16507 //
     /* 2097121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2097132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2097135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2097138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2097144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097171 */     // MIs[1] Operand 1
     /* 2097171 */     // No operand predicates
     /* 2097171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097175 */     // MIs[0] round
     /* 2097175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097178 */     // MIs[0] policy
     /* 2097178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2097207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097238 */     // GIR_Coverage, 16507,
     /* 2097238 */     GIR_EraseRootFromParent_Done,
     /* 2097239 */   // Label 25731: @2097239
     /* 2097239 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(2097362), // Rule ID 16510 //
     /* 2097244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2097255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2097258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097294 */     // MIs[1] Operand 1
     /* 2097294 */     // No operand predicates
     /* 2097294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097298 */     // MIs[0] round
     /* 2097298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097301 */     // MIs[0] policy
     /* 2097301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097313 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2097330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097336 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097357 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097361 */     // GIR_Coverage, 16510,
     /* 2097361 */     GIR_EraseRootFromParent_Done,
     /* 2097362 */   // Label 25732: @2097362
     /* 2097362 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(2097485), // Rule ID 16511 //
     /* 2097367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2097378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2097381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2097384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2097390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097417 */     // MIs[1] Operand 1
     /* 2097417 */     // No operand predicates
     /* 2097417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097421 */     // MIs[0] round
     /* 2097421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097424 */     // MIs[0] policy
     /* 2097424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097436 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2097453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097484 */     // GIR_Coverage, 16511,
     /* 2097484 */     GIR_EraseRootFromParent_Done,
     /* 2097485 */   // Label 25733: @2097485
     /* 2097485 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(2097608), // Rule ID 16514 //
     /* 2097490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097540 */     // MIs[1] Operand 1
     /* 2097540 */     // No operand predicates
     /* 2097540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097544 */     // MIs[0] round
     /* 2097544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097547 */     // MIs[0] policy
     /* 2097547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097559 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2097576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097607 */     // GIR_Coverage, 16514,
     /* 2097607 */     GIR_EraseRootFromParent_Done,
     /* 2097608 */   // Label 25734: @2097608
     /* 2097608 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(2097731), // Rule ID 16515 //
     /* 2097613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2097624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2097627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2097630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097663 */     // MIs[1] Operand 1
     /* 2097663 */     // No operand predicates
     /* 2097663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097667 */     // MIs[0] round
     /* 2097667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097670 */     // MIs[0] policy
     /* 2097670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097686 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2097699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097730 */     // GIR_Coverage, 16515,
     /* 2097730 */     GIR_EraseRootFromParent_Done,
     /* 2097731 */   // Label 25735: @2097731
     /* 2097731 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(2097854), // Rule ID 16518 //
     /* 2097736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097786 */     // MIs[1] Operand 1
     /* 2097786 */     // No operand predicates
     /* 2097786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097790 */     // MIs[0] round
     /* 2097790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097793 */     // MIs[0] policy
     /* 2097793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2097822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097849 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097853 */     // GIR_Coverage, 16518,
     /* 2097853 */     GIR_EraseRootFromParent_Done,
     /* 2097854 */   // Label 25736: @2097854
     /* 2097854 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(2097977), // Rule ID 16519 //
     /* 2097859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2097870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2097873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2097876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2097901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2097905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2097909 */     // MIs[1] Operand 1
     /* 2097909 */     // No operand predicates
     /* 2097909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097913 */     // MIs[0] round
     /* 2097913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097916 */     // MIs[0] policy
     /* 2097916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2097921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097928 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2097932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2097938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2097942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2097945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2097954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2097960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2097970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097976 */     // GIR_Coverage, 16519,
     /* 2097976 */     GIR_EraseRootFromParent_Done,
     /* 2097977 */   // Label 25737: @2097977
     /* 2097977 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(2098100), // Rule ID 16522 //
     /* 2097982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2097990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2097993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2097996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2097999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098032 */     // MIs[1] Operand 1
     /* 2098032 */     // No operand predicates
     /* 2098032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098036 */     // MIs[0] round
     /* 2098036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098039 */     // MIs[0] policy
     /* 2098039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2098068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098077 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098099 */     // GIR_Coverage, 16522,
     /* 2098099 */     GIR_EraseRootFromParent_Done,
     /* 2098100 */   // Label 25738: @2098100
     /* 2098100 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(2098223), // Rule ID 16523 //
     /* 2098105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2098116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2098119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2098122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098155 */     // MIs[1] Operand 1
     /* 2098155 */     // No operand predicates
     /* 2098155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098159 */     // MIs[0] round
     /* 2098159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098162 */     // MIs[0] policy
     /* 2098162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2098191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098222 */     // GIR_Coverage, 16523,
     /* 2098222 */     GIR_EraseRootFromParent_Done,
     /* 2098223 */   // Label 25739: @2098223
     /* 2098223 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(2098346), // Rule ID 16526 //
     /* 2098228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098274 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098278 */     // MIs[1] Operand 1
     /* 2098278 */     // No operand predicates
     /* 2098278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098282 */     // MIs[0] round
     /* 2098282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098285 */     // MIs[0] policy
     /* 2098285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2098314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098320 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098345 */     // GIR_Coverage, 16526,
     /* 2098345 */     GIR_EraseRootFromParent_Done,
     /* 2098346 */   // Label 25740: @2098346
     /* 2098346 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(2098469), // Rule ID 16527 //
     /* 2098351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2098362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2098365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2098368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098397 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098401 */     // MIs[1] Operand 1
     /* 2098401 */     // No operand predicates
     /* 2098401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098405 */     // MIs[0] round
     /* 2098405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098408 */     // MIs[0] policy
     /* 2098408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098420 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2098437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098468 */     // GIR_Coverage, 16527,
     /* 2098468 */     GIR_EraseRootFromParent_Done,
     /* 2098469 */   // Label 25741: @2098469
     /* 2098469 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(2098592), // Rule ID 16530 //
     /* 2098474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098524 */     // MIs[1] Operand 1
     /* 2098524 */     // No operand predicates
     /* 2098524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098528 */     // MIs[0] round
     /* 2098528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098531 */     // MIs[0] policy
     /* 2098531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098543 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2098560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098591 */     // GIR_Coverage, 16530,
     /* 2098591 */     GIR_EraseRootFromParent_Done,
     /* 2098592 */   // Label 25742: @2098592
     /* 2098592 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(2098715), // Rule ID 16531 //
     /* 2098597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2098608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2098611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2098614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098647 */     // MIs[1] Operand 1
     /* 2098647 */     // No operand predicates
     /* 2098647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098651 */     // MIs[0] round
     /* 2098651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098654 */     // MIs[0] policy
     /* 2098654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098666 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2098683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098714 */     // GIR_Coverage, 16531,
     /* 2098714 */     GIR_EraseRootFromParent_Done,
     /* 2098715 */   // Label 25743: @2098715
     /* 2098715 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(2098838), // Rule ID 16534 //
     /* 2098720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098770 */     // MIs[1] Operand 1
     /* 2098770 */     // No operand predicates
     /* 2098770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098774 */     // MIs[0] round
     /* 2098774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098777 */     // MIs[0] policy
     /* 2098777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098780 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2098806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098837 */     // GIR_Coverage, 16534,
     /* 2098837 */     GIR_EraseRootFromParent_Done,
     /* 2098838 */   // Label 25744: @2098838
     /* 2098838 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(2098961), // Rule ID 16535 //
     /* 2098843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2098846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2098854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2098857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2098860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2098885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2098889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2098893 */     // MIs[1] Operand 1
     /* 2098893 */     // No operand predicates
     /* 2098893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098897 */     // MIs[0] round
     /* 2098897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098900 */     // MIs[0] policy
     /* 2098900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2098905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2098916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2098922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2098926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2098929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2098938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2098944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2098954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098960 */     // GIR_Coverage, 16535,
     /* 2098960 */     GIR_EraseRootFromParent_Done,
     /* 2098961 */   // Label 25745: @2098961
     /* 2098961 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(2099084), // Rule ID 16538 //
     /* 2098966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2098969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2098974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2098977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2098980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2098983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099016 */     // MIs[1] Operand 1
     /* 2099016 */     // No operand predicates
     /* 2099016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099020 */     // MIs[0] round
     /* 2099020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099023 */     // MIs[0] policy
     /* 2099023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2099052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099061 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099083 */     // GIR_Coverage, 16538,
     /* 2099083 */     GIR_EraseRootFromParent_Done,
     /* 2099084 */   // Label 25746: @2099084
     /* 2099084 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(2099207), // Rule ID 16539 //
     /* 2099089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2099106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099139 */     // MIs[1] Operand 1
     /* 2099139 */     // No operand predicates
     /* 2099139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099143 */     // MIs[0] round
     /* 2099143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099146 */     // MIs[0] policy
     /* 2099146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2099175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099206 */     // GIR_Coverage, 16539,
     /* 2099206 */     GIR_EraseRootFromParent_Done,
     /* 2099207 */   // Label 25747: @2099207
     /* 2099207 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(2099330), // Rule ID 16542 //
     /* 2099212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2099223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2099226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099262 */     // MIs[1] Operand 1
     /* 2099262 */     // No operand predicates
     /* 2099262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099266 */     // MIs[0] round
     /* 2099266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099269 */     // MIs[0] policy
     /* 2099269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2099298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099329 */     // GIR_Coverage, 16542,
     /* 2099329 */     GIR_EraseRootFromParent_Done,
     /* 2099330 */   // Label 25748: @2099330
     /* 2099330 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(2099453), // Rule ID 16543 //
     /* 2099335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2099346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2099349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2099352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099385 */     // MIs[1] Operand 1
     /* 2099385 */     // No operand predicates
     /* 2099385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099389 */     // MIs[0] round
     /* 2099389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099392 */     // MIs[0] policy
     /* 2099392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099404 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2099421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099452 */     // GIR_Coverage, 16543,
     /* 2099452 */     GIR_EraseRootFromParent_Done,
     /* 2099453 */   // Label 25749: @2099453
     /* 2099453 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(2099576), // Rule ID 16546 //
     /* 2099458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099508 */     // MIs[1] Operand 1
     /* 2099508 */     // No operand predicates
     /* 2099508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099512 */     // MIs[0] round
     /* 2099512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099515 */     // MIs[0] policy
     /* 2099515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099527 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2099544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099571 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099575 */     // GIR_Coverage, 16546,
     /* 2099575 */     GIR_EraseRootFromParent_Done,
     /* 2099576 */   // Label 25750: @2099576
     /* 2099576 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(2099699), // Rule ID 16547 //
     /* 2099581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2099589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2099592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2099595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2099598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2099623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2099627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2099631 */     // MIs[1] Operand 1
     /* 2099631 */     // No operand predicates
     /* 2099631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099635 */     // MIs[0] round
     /* 2099635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099638 */     // MIs[0] policy
     /* 2099638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2099643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2099667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2099676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099698 */     // GIR_Coverage, 16547,
     /* 2099698 */     GIR_EraseRootFromParent_Done,
     /* 2099699 */   // Label 25751: @2099699
     /* 2099699 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(2099804), // Rule ID 2626 //
     /* 2099704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2099707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2099712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2099721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099735 */     // MIs[0] passthru
     /* 2099735 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2099740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099748 */     // MIs[0] round
     /* 2099748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099751 */     // MIs[0] policy
     /* 2099751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2099778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099803 */     // GIR_Coverage, 2626,
     /* 2099803 */     GIR_EraseRootFromParent_Done,
     /* 2099804 */   // Label 25752: @2099804
     /* 2099804 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(2099909), // Rule ID 2627 //
     /* 2099809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2099812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2099817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2099826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099840 */     // MIs[0] passthru
     /* 2099840 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2099845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099853 */     // MIs[0] round
     /* 2099853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099856 */     // MIs[0] policy
     /* 2099856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099866 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099870 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2099883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2099895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099908 */     // GIR_Coverage, 2627,
     /* 2099908 */     GIR_EraseRootFromParent_Done,
     /* 2099909 */   // Label 25753: @2099909
     /* 2099909 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(2100014), // Rule ID 16998 //
     /* 2099914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2099917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2099922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2099925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2099928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2099931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099945 */     // MIs[0] passthru
     /* 2099945 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2099950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099958 */     // MIs[0] round
     /* 2099958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099961 */     // MIs[0] policy
     /* 2099961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099971 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2099975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2099981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2099985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2099988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100013 */     // GIR_Coverage, 16998,
     /* 2100013 */     GIR_EraseRootFromParent_Done,
     /* 2100014 */   // Label 25754: @2100014
     /* 2100014 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(2100119), // Rule ID 16999 //
     /* 2100019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2100036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100050 */     // MIs[0] passthru
     /* 2100050 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100063 */     // MIs[0] round
     /* 2100063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100066 */     // MIs[0] policy
     /* 2100066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100076 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2100093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100118 */     // GIR_Coverage, 16999,
     /* 2100118 */     GIR_EraseRootFromParent_Done,
     /* 2100119 */   // Label 25755: @2100119
     /* 2100119 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(2100224), // Rule ID 17008 //
     /* 2100124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2100127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2100141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100155 */     // MIs[0] passthru
     /* 2100155 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100168 */     // MIs[0] round
     /* 2100168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100171 */     // MIs[0] policy
     /* 2100171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100181 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2100198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100223 */     // GIR_Coverage, 17008,
     /* 2100223 */     GIR_EraseRootFromParent_Done,
     /* 2100224 */   // Label 25756: @2100224
     /* 2100224 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(2100329), // Rule ID 17009 //
     /* 2100229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2100246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100260 */     // MIs[0] passthru
     /* 2100260 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100273 */     // MIs[0] round
     /* 2100273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100276 */     // MIs[0] policy
     /* 2100276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100286 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100290 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2100303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100328 */     // GIR_Coverage, 17009,
     /* 2100328 */     GIR_EraseRootFromParent_Done,
     /* 2100329 */   // Label 25757: @2100329
     /* 2100329 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(2100434), // Rule ID 17018 //
     /* 2100334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2100337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2100351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100365 */     // MIs[0] passthru
     /* 2100365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100378 */     // MIs[0] round
     /* 2100378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100381 */     // MIs[0] policy
     /* 2100381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100391 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2100408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100433 */     // GIR_Coverage, 17018,
     /* 2100433 */     GIR_EraseRootFromParent_Done,
     /* 2100434 */   // Label 25758: @2100434
     /* 2100434 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(2100539), // Rule ID 17019 //
     /* 2100439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2100456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100470 */     // MIs[0] passthru
     /* 2100470 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100483 */     // MIs[0] round
     /* 2100483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100486 */     // MIs[0] policy
     /* 2100486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2100513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100538 */     // GIR_Coverage, 17019,
     /* 2100538 */     GIR_EraseRootFromParent_Done,
     /* 2100539 */   // Label 25759: @2100539
     /* 2100539 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(2100644), // Rule ID 17028 //
     /* 2100544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2100547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2100561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100575 */     // MIs[0] passthru
     /* 2100575 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100588 */     // MIs[0] round
     /* 2100588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100591 */     // MIs[0] policy
     /* 2100591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100601 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2100618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100643 */     // GIR_Coverage, 17028,
     /* 2100643 */     GIR_EraseRootFromParent_Done,
     /* 2100644 */   // Label 25760: @2100644
     /* 2100644 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(2100749), // Rule ID 17029 //
     /* 2100649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2100652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2100660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2100663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2100666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2100669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2100676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100680 */     // MIs[0] passthru
     /* 2100680 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100693 */     // MIs[0] round
     /* 2100693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100696 */     // MIs[0] policy
     /* 2100696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100710 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2100723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2100745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100748 */     // GIR_Coverage, 17029,
     /* 2100748 */     GIR_EraseRootFromParent_Done,
     /* 2100749 */   // Label 25761: @2100749
     /* 2100749 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(2100854), // Rule ID 17038 //
     /* 2100754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2100757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2100771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100785 */     // MIs[0] passthru
     /* 2100785 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100798 */     // MIs[0] round
     /* 2100798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100801 */     // MIs[0] policy
     /* 2100801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100811 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2100828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100853 */     // GIR_Coverage, 17038,
     /* 2100853 */     GIR_EraseRootFromParent_Done,
     /* 2100854 */   // Label 25762: @2100854
     /* 2100854 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(2100959), // Rule ID 17039 //
     /* 2100859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2100862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2100870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2100873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2100876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100890 */     // MIs[0] passthru
     /* 2100890 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2100895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100903 */     // MIs[0] round
     /* 2100903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100906 */     // MIs[0] policy
     /* 2100906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100916 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2100920 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2100926 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2100930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2100933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2100945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100958 */     // GIR_Coverage, 17039,
     /* 2100958 */     GIR_EraseRootFromParent_Done,
     /* 2100959 */   // Label 25763: @2100959
     /* 2100959 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(2101064), // Rule ID 17048 //
     /* 2100964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2100967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2100972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2100975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2100978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2100981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100995 */     // MIs[0] passthru
     /* 2100995 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101008 */     // MIs[0] round
     /* 2101008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101011 */     // MIs[0] policy
     /* 2101011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101021 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2101038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101063 */     // GIR_Coverage, 17048,
     /* 2101063 */     GIR_EraseRootFromParent_Done,
     /* 2101064 */   // Label 25764: @2101064
     /* 2101064 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(2101169), // Rule ID 17049 //
     /* 2101069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2101072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2101077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2101080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2101083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2101086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101100 */     // MIs[0] passthru
     /* 2101100 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101113 */     // MIs[0] round
     /* 2101113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101116 */     // MIs[0] policy
     /* 2101116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101126 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101130 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2101143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101168 */     // GIR_Coverage, 17049,
     /* 2101168 */     GIR_EraseRootFromParent_Done,
     /* 2101169 */   // Label 25765: @2101169
     /* 2101169 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(2101274), // Rule ID 17058 //
     /* 2101174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2101177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2101182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2101191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101205 */     // MIs[0] passthru
     /* 2101205 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101218 */     // MIs[0] round
     /* 2101218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101221 */     // MIs[0] policy
     /* 2101221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101231 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2101248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101273 */     // GIR_Coverage, 17058,
     /* 2101273 */     GIR_EraseRootFromParent_Done,
     /* 2101274 */   // Label 25766: @2101274
     /* 2101274 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(2101379), // Rule ID 17059 //
     /* 2101279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2101282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2101287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2101290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2101293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2101296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101310 */     // MIs[0] passthru
     /* 2101310 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101323 */     // MIs[0] round
     /* 2101323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101326 */     // MIs[0] policy
     /* 2101326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101340 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2101353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101378 */     // GIR_Coverage, 17059,
     /* 2101378 */     GIR_EraseRootFromParent_Done,
     /* 2101379 */   // Label 25767: @2101379
     /* 2101379 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(2101484), // Rule ID 17068 //
     /* 2101384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2101387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2101392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2101401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101415 */     // MIs[0] passthru
     /* 2101415 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101428 */     // MIs[0] round
     /* 2101428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101431 */     // MIs[0] policy
     /* 2101431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101441 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2101458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101483 */     // GIR_Coverage, 17068,
     /* 2101483 */     GIR_EraseRootFromParent_Done,
     /* 2101484 */   // Label 25768: @2101484
     /* 2101484 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(2101589), // Rule ID 17069 //
     /* 2101489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2101492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2101497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2101500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2101503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2101506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2101516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101520 */     // MIs[0] passthru
     /* 2101520 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101533 */     // MIs[0] round
     /* 2101533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101536 */     // MIs[0] policy
     /* 2101536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101550 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101556 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2101563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2101585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101588 */     // GIR_Coverage, 17069,
     /* 2101588 */     GIR_EraseRootFromParent_Done,
     /* 2101589 */   // Label 25769: @2101589
     /* 2101589 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(2101694), // Rule ID 17114 //
     /* 2101594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2101602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101625 */     // MIs[0] passthru
     /* 2101625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101638 */     // MIs[0] round
     /* 2101638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101641 */     // MIs[0] policy
     /* 2101641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101651 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2101668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101693 */     // GIR_Coverage, 17114,
     /* 2101693 */     GIR_EraseRootFromParent_Done,
     /* 2101694 */   // Label 25770: @2101694
     /* 2101694 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(2101799), // Rule ID 17115 //
     /* 2101699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2101707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2101710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2101713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101730 */     // MIs[0] passthru
     /* 2101730 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101743 */     // MIs[0] round
     /* 2101743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101746 */     // MIs[0] policy
     /* 2101746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101756 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101760 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2101773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101798 */     // GIR_Coverage, 17115,
     /* 2101798 */     GIR_EraseRootFromParent_Done,
     /* 2101799 */   // Label 25771: @2101799
     /* 2101799 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(2101904), // Rule ID 17124 //
     /* 2101804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2101807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2101812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2101821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101835 */     // MIs[0] passthru
     /* 2101835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101848 */     // MIs[0] round
     /* 2101848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101851 */     // MIs[0] policy
     /* 2101851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101861 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2101878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101903 */     // GIR_Coverage, 17124,
     /* 2101903 */     GIR_EraseRootFromParent_Done,
     /* 2101904 */   // Label 25772: @2101904
     /* 2101904 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(2102009), // Rule ID 17125 //
     /* 2101909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2101912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2101917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2101920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2101923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2101926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101940 */     // MIs[0] passthru
     /* 2101940 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2101945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101953 */     // MIs[0] round
     /* 2101953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101956 */     // MIs[0] policy
     /* 2101956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101966 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2101970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2101976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2101980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2101983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2101995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102008 */     // GIR_Coverage, 17125,
     /* 2102008 */     GIR_EraseRootFromParent_Done,
     /* 2102009 */   // Label 25773: @2102009
     /* 2102009 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(2102114), // Rule ID 17134 //
     /* 2102014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102045 */     // MIs[0] passthru
     /* 2102045 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102058 */     // MIs[0] round
     /* 2102058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102061 */     // MIs[0] policy
     /* 2102061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102071 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2102088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102113 */     // GIR_Coverage, 17134,
     /* 2102113 */     GIR_EraseRootFromParent_Done,
     /* 2102114 */   // Label 25774: @2102114
     /* 2102114 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(2102219), // Rule ID 17135 //
     /* 2102119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2102130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2102133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102150 */     // MIs[0] passthru
     /* 2102150 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102163 */     // MIs[0] round
     /* 2102163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102166 */     // MIs[0] policy
     /* 2102166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102176 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102180 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2102193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102218 */     // GIR_Coverage, 17135,
     /* 2102218 */     GIR_EraseRootFromParent_Done,
     /* 2102219 */   // Label 25775: @2102219
     /* 2102219 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(2102324), // Rule ID 17144 //
     /* 2102224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2102235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2102238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2102241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102255 */     // MIs[0] passthru
     /* 2102255 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102268 */     // MIs[0] round
     /* 2102268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102271 */     // MIs[0] policy
     /* 2102271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102281 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2102298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102323 */     // GIR_Coverage, 17144,
     /* 2102323 */     GIR_EraseRootFromParent_Done,
     /* 2102324 */   // Label 25776: @2102324
     /* 2102324 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(2102429), // Rule ID 17145 //
     /* 2102329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2102340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2102343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2102346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102360 */     // MIs[0] passthru
     /* 2102360 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102373 */     // MIs[0] round
     /* 2102373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102376 */     // MIs[0] policy
     /* 2102376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102386 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2102403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102428 */     // GIR_Coverage, 17145,
     /* 2102428 */     GIR_EraseRootFromParent_Done,
     /* 2102429 */   // Label 25777: @2102429
     /* 2102429 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(2102534), // Rule ID 17154 //
     /* 2102434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2102437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2102451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102465 */     // MIs[0] passthru
     /* 2102465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102478 */     // MIs[0] round
     /* 2102478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102481 */     // MIs[0] policy
     /* 2102481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102491 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2102508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102533 */     // GIR_Coverage, 17154,
     /* 2102533 */     GIR_EraseRootFromParent_Done,
     /* 2102534 */   // Label 25778: @2102534
     /* 2102534 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(2102639), // Rule ID 17155 //
     /* 2102539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2102542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2102550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2102553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2102556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2102566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102570 */     // MIs[0] passthru
     /* 2102570 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102583 */     // MIs[0] round
     /* 2102583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102586 */     // MIs[0] policy
     /* 2102586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102596 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2102613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102638 */     // GIR_Coverage, 17155,
     /* 2102638 */     GIR_EraseRootFromParent_Done,
     /* 2102639 */   // Label 25779: @2102639
     /* 2102639 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(2102744), // Rule ID 17164 //
     /* 2102644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102675 */     // MIs[0] passthru
     /* 2102675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102688 */     // MIs[0] round
     /* 2102688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102691 */     // MIs[0] policy
     /* 2102691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102701 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2102718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102743 */     // GIR_Coverage, 17164,
     /* 2102743 */     GIR_EraseRootFromParent_Done,
     /* 2102744 */   // Label 25780: @2102744
     /* 2102744 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(2102849), // Rule ID 17165 //
     /* 2102749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2102760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2102763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102780 */     // MIs[0] passthru
     /* 2102780 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102793 */     // MIs[0] round
     /* 2102793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102796 */     // MIs[0] policy
     /* 2102796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102806 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102810 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2102823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102848 */     // GIR_Coverage, 17165,
     /* 2102848 */     GIR_EraseRootFromParent_Done,
     /* 2102849 */   // Label 25781: @2102849
     /* 2102849 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(2102954), // Rule ID 17174 //
     /* 2102854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2102857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102885 */     // MIs[0] passthru
     /* 2102885 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102898 */     // MIs[0] round
     /* 2102898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102901 */     // MIs[0] policy
     /* 2102901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102911 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2102915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2102921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2102925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2102928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2102940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102953 */     // GIR_Coverage, 17174,
     /* 2102953 */     GIR_EraseRootFromParent_Done,
     /* 2102954 */   // Label 25782: @2102954
     /* 2102954 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(2103059), // Rule ID 17175 //
     /* 2102959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2102962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2102967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2102970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2102973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102990 */     // MIs[0] passthru
     /* 2102990 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2102995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103003 */     // MIs[0] round
     /* 2103003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103006 */     // MIs[0] policy
     /* 2103006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103016 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2103033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103058 */     // GIR_Coverage, 17175,
     /* 2103058 */     GIR_EraseRootFromParent_Done,
     /* 2103059 */   // Label 25783: @2103059
     /* 2103059 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(2103164), // Rule ID 17184 //
     /* 2103064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2103072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103095 */     // MIs[0] passthru
     /* 2103095 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2103100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103108 */     // MIs[0] round
     /* 2103108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103111 */     // MIs[0] policy
     /* 2103111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103121 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2103138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103163 */     // GIR_Coverage, 17184,
     /* 2103163 */     GIR_EraseRootFromParent_Done,
     /* 2103164 */   // Label 25784: @2103164
     /* 2103164 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(2103269), // Rule ID 17185 //
     /* 2103169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2103172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2103177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2103180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2103183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103200 */     // MIs[0] passthru
     /* 2103200 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2103205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103213 */     // MIs[0] round
     /* 2103213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103216 */     // MIs[0] policy
     /* 2103216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103226 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2103243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103268 */     // GIR_Coverage, 17185,
     /* 2103268 */     GIR_EraseRootFromParent_Done,
     /* 2103269 */   // Label 25785: @2103269
     /* 2103269 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(2103374), // Rule ID 17194 //
     /* 2103274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2103277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2103282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103305 */     // MIs[0] passthru
     /* 2103305 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2103310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103318 */     // MIs[0] round
     /* 2103318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103321 */     // MIs[0] policy
     /* 2103321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103331 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2103348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103373 */     // GIR_Coverage, 17194,
     /* 2103373 */     GIR_EraseRootFromParent_Done,
     /* 2103374 */   // Label 25786: @2103374
     /* 2103374 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(2103479), // Rule ID 17195 //
     /* 2103379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2103382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2103387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2103390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2103393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2103406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103410 */     // MIs[0] passthru
     /* 2103410 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2103415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103423 */     // MIs[0] round
     /* 2103423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103426 */     // MIs[0] policy
     /* 2103426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103436 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2103453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103478 */     // GIR_Coverage, 17195,
     /* 2103478 */     GIR_EraseRootFromParent_Done,
     /* 2103479 */   // Label 25787: @2103479
     /* 2103479 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(2103588), // Rule ID 2584 //
     /* 2103484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2103492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2103495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2103498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2103501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2103504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103530 */     // MIs[0] round
     /* 2103530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103533 */     // MIs[0] policy
     /* 2103533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103543 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2103560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103587 */     // GIR_Coverage, 2584,
     /* 2103587 */     GIR_EraseRootFromParent_Done,
     /* 2103588 */   // Label 25788: @2103588
     /* 2103588 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(2103697), // Rule ID 2585 //
     /* 2103593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2103601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2103604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2103607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2103610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2103613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103639 */     // MIs[0] round
     /* 2103639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103642 */     // MIs[0] policy
     /* 2103642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103652 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2103669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103696 */     // GIR_Coverage, 2585,
     /* 2103696 */     GIR_EraseRootFromParent_Done,
     /* 2103697 */   // Label 25789: @2103697
     /* 2103697 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(2103806), // Rule ID 2628 //
     /* 2103702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2103705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2103710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103748 */     // MIs[0] round
     /* 2103748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103751 */     // MIs[0] policy
     /* 2103751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103761 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2103778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103805 */     // GIR_Coverage, 2628,
     /* 2103805 */     GIR_EraseRootFromParent_Done,
     /* 2103806 */   // Label 25790: @2103806
     /* 2103806 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(2103915), // Rule ID 2629 //
     /* 2103811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2103814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2103819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2103822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2103825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2103828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103857 */     // MIs[0] round
     /* 2103857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103860 */     // MIs[0] policy
     /* 2103860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103870 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103874 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103880 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2103887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2103901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2103911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103914 */     // GIR_Coverage, 2629,
     /* 2103914 */     GIR_EraseRootFromParent_Done,
     /* 2103915 */   // Label 25791: @2103915
     /* 2103915 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(2104024), // Rule ID 2636 //
     /* 2103920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2103923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2103928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2103931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2103934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2103940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103966 */     // MIs[0] round
     /* 2103966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103969 */     // MIs[0] policy
     /* 2103969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103979 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2103983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2103989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2103993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2103996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2104000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104023 */     // GIR_Coverage, 2636,
     /* 2104023 */     GIR_EraseRootFromParent_Done,
     /* 2104024 */   // Label 25792: @2104024
     /* 2104024 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(2104133), // Rule ID 2637 //
     /* 2104029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2104032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2104037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104075 */     // MIs[0] round
     /* 2104075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104078 */     // MIs[0] policy
     /* 2104078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104088 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104092 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2104105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2104109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104132 */     // GIR_Coverage, 2637,
     /* 2104132 */     GIR_EraseRootFromParent_Done,
     /* 2104133 */   // Label 25793: @2104133
     /* 2104133 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(2104242), // Rule ID 14786 //
     /* 2104138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2104149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2104152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2104155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2104158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104184 */     // MIs[0] round
     /* 2104184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104187 */     // MIs[0] policy
     /* 2104187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2104214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104241 */     // GIR_Coverage, 14786,
     /* 2104241 */     GIR_EraseRootFromParent_Done,
     /* 2104242 */   // Label 25794: @2104242
     /* 2104242 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(2104351), // Rule ID 14787 //
     /* 2104247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2104258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2104261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2104264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2104267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104293 */     // MIs[0] round
     /* 2104293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104296 */     // MIs[0] policy
     /* 2104296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104310 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2104323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104350 */     // GIR_Coverage, 14787,
     /* 2104350 */     GIR_EraseRootFromParent_Done,
     /* 2104351 */   // Label 25795: @2104351
     /* 2104351 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(2104460), // Rule ID 14790 //
     /* 2104356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2104367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2104370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2104373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2104376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104402 */     // MIs[0] round
     /* 2104402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104405 */     // MIs[0] policy
     /* 2104405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104415 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2104432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104459 */     // GIR_Coverage, 14790,
     /* 2104459 */     GIR_EraseRootFromParent_Done,
     /* 2104460 */   // Label 25796: @2104460
     /* 2104460 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(2104569), // Rule ID 14791 //
     /* 2104465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2104476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2104479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2104482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2104485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104511 */     // MIs[0] round
     /* 2104511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104514 */     // MIs[0] policy
     /* 2104514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2104541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104568 */     // GIR_Coverage, 14791,
     /* 2104568 */     GIR_EraseRootFromParent_Done,
     /* 2104569 */   // Label 25797: @2104569
     /* 2104569 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(2104678), // Rule ID 14794 //
     /* 2104574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104620 */     // MIs[0] round
     /* 2104620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104623 */     // MIs[0] policy
     /* 2104623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104633 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2104650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104677 */     // GIR_Coverage, 14794,
     /* 2104677 */     GIR_EraseRootFromParent_Done,
     /* 2104678 */   // Label 25798: @2104678
     /* 2104678 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(2104787), // Rule ID 14795 //
     /* 2104683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2104700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2104703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104729 */     // MIs[0] round
     /* 2104729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104732 */     // MIs[0] policy
     /* 2104732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104742 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104746 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104752 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2104759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104767 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104786 */     // GIR_Coverage, 14795,
     /* 2104786 */     GIR_EraseRootFromParent_Done,
     /* 2104787 */   // Label 25799: @2104787
     /* 2104787 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(2104896), // Rule ID 14798 //
     /* 2104792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2104803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2104806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104838 */     // MIs[0] round
     /* 2104838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104841 */     // MIs[0] policy
     /* 2104841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104851 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2104868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104895 */     // GIR_Coverage, 14798,
     /* 2104895 */     GIR_EraseRootFromParent_Done,
     /* 2104896 */   // Label 25800: @2104896
     /* 2104896 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(2105005), // Rule ID 14799 //
     /* 2104901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2104909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2104912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2104915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2104918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2104921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104947 */     // MIs[0] round
     /* 2104947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104950 */     // MIs[0] policy
     /* 2104950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104960 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2104964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2104970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2104974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2104977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2104991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105004 */     // GIR_Coverage, 14799,
     /* 2105004 */     GIR_EraseRootFromParent_Done,
     /* 2105005 */   // Label 25801: @2105005
     /* 2105005 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(2105114), // Rule ID 14802 //
     /* 2105010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105056 */     // MIs[0] round
     /* 2105056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105059 */     // MIs[0] policy
     /* 2105059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2105086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105113 */     // GIR_Coverage, 14802,
     /* 2105113 */     GIR_EraseRootFromParent_Done,
     /* 2105114 */   // Label 25802: @2105114
     /* 2105114 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(2105223), // Rule ID 14803 //
     /* 2105119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2105136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2105139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105165 */     // MIs[0] round
     /* 2105165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105168 */     // MIs[0] policy
     /* 2105168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2105195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105222 */     // GIR_Coverage, 14803,
     /* 2105222 */     GIR_EraseRootFromParent_Done,
     /* 2105223 */   // Label 25803: @2105223
     /* 2105223 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(2105332), // Rule ID 14806 //
     /* 2105228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2105239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2105242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2105245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2105248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105274 */     // MIs[0] round
     /* 2105274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105277 */     // MIs[0] policy
     /* 2105277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105287 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105331 */     // GIR_Coverage, 14806,
     /* 2105331 */     GIR_EraseRootFromParent_Done,
     /* 2105332 */   // Label 25804: @2105332
     /* 2105332 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(2105441), // Rule ID 14807 //
     /* 2105337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2105348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2105351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2105354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2105357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105383 */     // MIs[0] round
     /* 2105383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105386 */     // MIs[0] policy
     /* 2105386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105396 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105400 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2105437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105440 */     // GIR_Coverage, 14807,
     /* 2105440 */     GIR_EraseRootFromParent_Done,
     /* 2105441 */   // Label 25805: @2105441
     /* 2105441 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(2105550), // Rule ID 14810 //
     /* 2105446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2105466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105492 */     // MIs[0] round
     /* 2105492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105495 */     // MIs[0] policy
     /* 2105495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105505 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105549 */     // GIR_Coverage, 14810,
     /* 2105549 */     GIR_EraseRootFromParent_Done,
     /* 2105550 */   // Label 25806: @2105550
     /* 2105550 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(2105659), // Rule ID 14811 //
     /* 2105555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2105572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2105575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105601 */     // MIs[0] round
     /* 2105601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105604 */     // MIs[0] policy
     /* 2105604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105658 */     // GIR_Coverage, 14811,
     /* 2105658 */     GIR_EraseRootFromParent_Done,
     /* 2105659 */   // Label 25807: @2105659
     /* 2105659 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(2105768), // Rule ID 14814 //
     /* 2105664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105710 */     // MIs[0] round
     /* 2105710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105713 */     // MIs[0] policy
     /* 2105713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105767 */     // GIR_Coverage, 14814,
     /* 2105767 */     GIR_EraseRootFromParent_Done,
     /* 2105768 */   // Label 25808: @2105768
     /* 2105768 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(2105877), // Rule ID 14815 //
     /* 2105773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2105790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2105793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105819 */     // MIs[0] round
     /* 2105819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105822 */     // MIs[0] policy
     /* 2105822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105832 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105836 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105876 */     // GIR_Coverage, 14815,
     /* 2105876 */     GIR_EraseRootFromParent_Done,
     /* 2105877 */   // Label 25809: @2105877
     /* 2105877 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(2105986), // Rule ID 14818 //
     /* 2105882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2105885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2105893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2105896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2105902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105928 */     // MIs[0] round
     /* 2105928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105931 */     // MIs[0] policy
     /* 2105931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105941 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2105945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2105951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2105955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2105958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2105972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2105982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105985 */     // GIR_Coverage, 14818,
     /* 2105985 */     GIR_EraseRootFromParent_Done,
     /* 2105986 */   // Label 25810: @2105986
     /* 2105986 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(2106095), // Rule ID 14819 //
     /* 2105991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2105994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2105999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2106002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2106005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2106008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2106011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106037 */     // MIs[0] round
     /* 2106037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106040 */     // MIs[0] policy
     /* 2106040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2106067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2106091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106094 */     // GIR_Coverage, 14819,
     /* 2106094 */     GIR_EraseRootFromParent_Done,
     /* 2106095 */   // Label 25811: @2106095
     /* 2106095 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(2106204), // Rule ID 14822 //
     /* 2106100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2106111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2106114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2106117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2106120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106146 */     // MIs[0] round
     /* 2106146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106149 */     // MIs[0] policy
     /* 2106149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106159 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2106176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106203 */     // GIR_Coverage, 14822,
     /* 2106203 */     GIR_EraseRootFromParent_Done,
     /* 2106204 */   // Label 25812: @2106204
     /* 2106204 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(2106313), // Rule ID 14823 //
     /* 2106209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2106220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2106223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2106226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2106229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106255 */     // MIs[0] round
     /* 2106255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106258 */     // MIs[0] policy
     /* 2106258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2106285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106312 */     // GIR_Coverage, 14823,
     /* 2106312 */     GIR_EraseRootFromParent_Done,
     /* 2106313 */   // Label 25813: @2106313
     /* 2106313 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(2106422), // Rule ID 14826 //
     /* 2106318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2106329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2106332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2106335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2106338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106364 */     // MIs[0] round
     /* 2106364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106367 */     // MIs[0] policy
     /* 2106367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106377 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106381 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2106394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106421 */     // GIR_Coverage, 14826,
     /* 2106421 */     GIR_EraseRootFromParent_Done,
     /* 2106422 */   // Label 25814: @2106422
     /* 2106422 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(2106531), // Rule ID 14827 //
     /* 2106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2106438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2106441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2106444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2106447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2106450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106473 */     // MIs[0] round
     /* 2106473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106476 */     // MIs[0] policy
     /* 2106476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106486 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106490 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2106503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106530 */     // GIR_Coverage, 14827,
     /* 2106530 */     GIR_EraseRootFromParent_Done,
     /* 2106531 */   // Label 25815: @2106531
     /* 2106531 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(2106640), // Rule ID 14830 //
     /* 2106536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2106547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2106550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2106553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2106556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2106559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106582 */     // MIs[0] round
     /* 2106582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106585 */     // MIs[0] policy
     /* 2106585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106595 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2106612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106639 */     // GIR_Coverage, 14830,
     /* 2106639 */     GIR_EraseRootFromParent_Done,
     /* 2106640 */   // Label 25816: @2106640
     /* 2106640 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(2106749), // Rule ID 14831 //
     /* 2106645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2106656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2106659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2106662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2106665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2106668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2106675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106691 */     // MIs[0] round
     /* 2106691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106694 */     // MIs[0] policy
     /* 2106694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2106721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2106745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106748 */     // GIR_Coverage, 14831,
     /* 2106748 */     GIR_EraseRootFromParent_Done,
     /* 2106749 */   // Label 25817: @2106749
     /* 2106749 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(2106858), // Rule ID 14834 //
     /* 2106754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2106774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106800 */     // MIs[0] round
     /* 2106800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106803 */     // MIs[0] policy
     /* 2106803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106813 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2106830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106857 */     // GIR_Coverage, 14834,
     /* 2106857 */     GIR_EraseRootFromParent_Done,
     /* 2106858 */   // Label 25818: @2106858
     /* 2106858 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(2106967), // Rule ID 14835 //
     /* 2106863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2106866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2106874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2106877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2106880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2106883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2106893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2106905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106909 */     // MIs[0] round
     /* 2106909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106912 */     // MIs[0] policy
     /* 2106912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2106926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2106932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2106936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2106939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2106953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106966 */     // GIR_Coverage, 14835,
     /* 2106966 */     GIR_EraseRootFromParent_Done,
     /* 2106967 */   // Label 25819: @2106967
     /* 2106967 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(2107076), // Rule ID 14838 //
     /* 2106972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2106975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2106980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2106983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2106986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2106989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2106992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2106995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107018 */     // MIs[0] round
     /* 2107018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107021 */     // MIs[0] policy
     /* 2107021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107031 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2107048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107075 */     // GIR_Coverage, 14838,
     /* 2107075 */     GIR_EraseRootFromParent_Done,
     /* 2107076 */   // Label 25820: @2107076
     /* 2107076 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(2107185), // Rule ID 14839 //
     /* 2107081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2107092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2107095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107127 */     // MIs[0] round
     /* 2107127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107130 */     // MIs[0] policy
     /* 2107130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2107157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107184 */     // GIR_Coverage, 14839,
     /* 2107184 */     GIR_EraseRootFromParent_Done,
     /* 2107185 */   // Label 25821: @2107185
     /* 2107185 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(2107294), // Rule ID 14842 //
     /* 2107190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2107210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107236 */     // MIs[0] round
     /* 2107236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107239 */     // MIs[0] policy
     /* 2107239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107249 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2107266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107293 */     // GIR_Coverage, 14842,
     /* 2107293 */     GIR_EraseRootFromParent_Done,
     /* 2107294 */   // Label 25822: @2107294
     /* 2107294 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(2107403), // Rule ID 14843 //
     /* 2107299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2107319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107345 */     // MIs[0] round
     /* 2107345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107348 */     // MIs[0] policy
     /* 2107348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107358 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2107375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107402 */     // GIR_Coverage, 14843,
     /* 2107402 */     GIR_EraseRootFromParent_Done,
     /* 2107403 */   // Label 25823: @2107403
     /* 2107403 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(2107512), // Rule ID 14846 //
     /* 2107408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107454 */     // MIs[0] round
     /* 2107454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107457 */     // MIs[0] policy
     /* 2107457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107467 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2107484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107511 */     // GIR_Coverage, 14846,
     /* 2107511 */     GIR_EraseRootFromParent_Done,
     /* 2107512 */   // Label 25824: @2107512
     /* 2107512 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(2107621), // Rule ID 14847 //
     /* 2107517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107563 */     // MIs[0] round
     /* 2107563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107566 */     // MIs[0] policy
     /* 2107566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2107593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107620 */     // GIR_Coverage, 14847,
     /* 2107620 */     GIR_EraseRootFromParent_Done,
     /* 2107621 */   // Label 25825: @2107621
     /* 2107621 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(2107730), // Rule ID 14850 //
     /* 2107626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2107646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107672 */     // MIs[0] round
     /* 2107672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107675 */     // MIs[0] policy
     /* 2107675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107685 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2107702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107729 */     // GIR_Coverage, 14850,
     /* 2107729 */     GIR_EraseRootFromParent_Done,
     /* 2107730 */   // Label 25826: @2107730
     /* 2107730 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(2107839), // Rule ID 14851 //
     /* 2107735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2107746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2107749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2107752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2107755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107781 */     // MIs[0] round
     /* 2107781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107784 */     // MIs[0] policy
     /* 2107784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2107811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107838 */     // GIR_Coverage, 14851,
     /* 2107838 */     GIR_EraseRootFromParent_Done,
     /* 2107839 */   // Label 25827: @2107839
     /* 2107839 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(2107948), // Rule ID 14854 //
     /* 2107844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2107847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2107864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107890 */     // MIs[0] round
     /* 2107890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107893 */     // MIs[0] policy
     /* 2107893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2107907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2107913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2107917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2107920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2107934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107947 */     // GIR_Coverage, 14854,
     /* 2107947 */     GIR_EraseRootFromParent_Done,
     /* 2107948 */   // Label 25828: @2107948
     /* 2107948 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(2108057), // Rule ID 14855 //
     /* 2107953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2107956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2107961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2107964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2107967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2107970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2107973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107999 */     // MIs[0] round
     /* 2107999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108002 */     // MIs[0] policy
     /* 2108002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2108029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108056 */     // GIR_Coverage, 14855,
     /* 2108056 */     GIR_EraseRootFromParent_Done,
     /* 2108057 */   // Label 25829: @2108057
     /* 2108057 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(2108166), // Rule ID 14858 //
     /* 2108062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2108065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2108082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108108 */     // MIs[0] round
     /* 2108108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108111 */     // MIs[0] policy
     /* 2108111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108121 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2108138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108165 */     // GIR_Coverage, 14858,
     /* 2108165 */     GIR_EraseRootFromParent_Done,
     /* 2108166 */   // Label 25830: @2108166
     /* 2108166 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(2108275), // Rule ID 14859 //
     /* 2108171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2108174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2108191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108217 */     // MIs[0] round
     /* 2108217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108220 */     // MIs[0] policy
     /* 2108220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108230 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2108247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108274 */     // GIR_Coverage, 14859,
     /* 2108274 */     GIR_EraseRootFromParent_Done,
     /* 2108275 */   // Label 25831: @2108275
     /* 2108275 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(2108384), // Rule ID 14862 //
     /* 2108280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2108283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2108300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108326 */     // MIs[0] round
     /* 2108326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108329 */     // MIs[0] policy
     /* 2108329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108339 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2108356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108383 */     // GIR_Coverage, 14862,
     /* 2108383 */     GIR_EraseRootFromParent_Done,
     /* 2108384 */   // Label 25832: @2108384
     /* 2108384 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(2108493), // Rule ID 14863 //
     /* 2108389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2108392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2108409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108435 */     // MIs[0] round
     /* 2108435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108438 */     // MIs[0] policy
     /* 2108438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108448 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2108465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108492 */     // GIR_Coverage, 14863,
     /* 2108492 */     GIR_EraseRootFromParent_Done,
     /* 2108493 */   // Label 25833: @2108493
     /* 2108493 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(2108602), // Rule ID 14866 //
     /* 2108498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2108501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2108518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108544 */     // MIs[0] round
     /* 2108544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108547 */     // MIs[0] policy
     /* 2108547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108557 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108561 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2108574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108601 */     // GIR_Coverage, 14866,
     /* 2108601 */     GIR_EraseRootFromParent_Done,
     /* 2108602 */   // Label 25834: @2108602
     /* 2108602 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(2108711), // Rule ID 14867 //
     /* 2108607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2108610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2108627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108653 */     // MIs[0] round
     /* 2108653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108656 */     // MIs[0] policy
     /* 2108656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108666 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2108683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108710 */     // GIR_Coverage, 14867,
     /* 2108710 */     GIR_EraseRootFromParent_Done,
     /* 2108711 */   // Label 25835: @2108711
     /* 2108711 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(2108820), // Rule ID 14870 //
     /* 2108716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2108727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2108730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2108733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2108758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108762 */     // MIs[0] round
     /* 2108762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108765 */     // MIs[0] policy
     /* 2108765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108775 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2108792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108819 */     // GIR_Coverage, 14870,
     /* 2108819 */     GIR_EraseRootFromParent_Done,
     /* 2108820 */   // Label 25836: @2108820
     /* 2108820 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(2108929), // Rule ID 14871 //
     /* 2108825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2108828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2108836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2108839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2108842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2108845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2108867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108871 */     // MIs[0] round
     /* 2108871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108874 */     // MIs[0] policy
     /* 2108874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2108894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2108898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2108901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2108915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2108925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108928 */     // GIR_Coverage, 14871,
     /* 2108928 */     GIR_EraseRootFromParent_Done,
     /* 2108929 */   // Label 25837: @2108929
     /* 2108929 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(2109038), // Rule ID 14874 //
     /* 2108934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2108937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2108942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2108945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2108948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2108951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2108954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2108976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108980 */     // MIs[0] round
     /* 2108980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108983 */     // MIs[0] policy
     /* 2108983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108993 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2108997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2109010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109037 */     // GIR_Coverage, 14874,
     /* 2109037 */     GIR_EraseRootFromParent_Done,
     /* 2109038 */   // Label 25838: @2109038
     /* 2109038 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(2109147), // Rule ID 14875 //
     /* 2109043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2109054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2109057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2109060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109089 */     // MIs[0] round
     /* 2109089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109092 */     // MIs[0] policy
     /* 2109092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109102 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109106 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2109119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109127 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109146 */     // GIR_Coverage, 14875,
     /* 2109146 */     GIR_EraseRootFromParent_Done,
     /* 2109147 */   // Label 25839: @2109147
     /* 2109147 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(2109256), // Rule ID 14878 //
     /* 2109152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2109163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2109166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2109169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109198 */     // MIs[0] round
     /* 2109198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109201 */     // MIs[0] policy
     /* 2109201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109211 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109255 */     // GIR_Coverage, 14878,
     /* 2109255 */     GIR_EraseRootFromParent_Done,
     /* 2109256 */   // Label 25840: @2109256
     /* 2109256 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(2109365), // Rule ID 14879 //
     /* 2109261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2109272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2109275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2109278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109307 */     // MIs[0] round
     /* 2109307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109310 */     // MIs[0] policy
     /* 2109310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109320 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2109361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109364 */     // GIR_Coverage, 14879,
     /* 2109364 */     GIR_EraseRootFromParent_Done,
     /* 2109365 */   // Label 25841: @2109365
     /* 2109365 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(2109474), // Rule ID 14882 //
     /* 2109370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2109381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2109384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109416 */     // MIs[0] round
     /* 2109416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109419 */     // MIs[0] policy
     /* 2109419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109429 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2109446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109473 */     // GIR_Coverage, 14882,
     /* 2109473 */     GIR_EraseRootFromParent_Done,
     /* 2109474 */   // Label 25842: @2109474
     /* 2109474 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(2109583), // Rule ID 14883 //
     /* 2109479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2109490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2109493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109525 */     // MIs[0] round
     /* 2109525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109528 */     // MIs[0] policy
     /* 2109528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2109555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109582 */     // GIR_Coverage, 14883,
     /* 2109582 */     GIR_EraseRootFromParent_Done,
     /* 2109583 */   // Label 25843: @2109583
     /* 2109583 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(2109692), // Rule ID 14886 //
     /* 2109588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2109599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2109602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109634 */     // MIs[0] round
     /* 2109634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109637 */     // MIs[0] policy
     /* 2109637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109691 */     // GIR_Coverage, 14886,
     /* 2109691 */     GIR_EraseRootFromParent_Done,
     /* 2109692 */   // Label 25844: @2109692
     /* 2109692 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(2109801), // Rule ID 14887 //
     /* 2109697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2109708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2109711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109743 */     // MIs[0] round
     /* 2109743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109746 */     // MIs[0] policy
     /* 2109746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109760 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109800 */     // GIR_Coverage, 14887,
     /* 2109800 */     GIR_EraseRootFromParent_Done,
     /* 2109801 */   // Label 25845: @2109801
     /* 2109801 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(2109910), // Rule ID 14890 //
     /* 2109806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2109809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109852 */     // MIs[0] round
     /* 2109852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109855 */     // MIs[0] policy
     /* 2109855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109865 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2109896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109909 */     // GIR_Coverage, 14890,
     /* 2109909 */     GIR_EraseRootFromParent_Done,
     /* 2109910 */   // Label 25846: @2109910
     /* 2109910 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(2110019), // Rule ID 14891 //
     /* 2109915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2109918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2109923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2109957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109961 */     // MIs[0] round
     /* 2109961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109964 */     // MIs[0] policy
     /* 2109964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2109978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2109984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2109988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2109991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110018 */     // GIR_Coverage, 14891,
     /* 2110018 */     GIR_EraseRootFromParent_Done,
     /* 2110019 */   // Label 25847: @2110019
     /* 2110019 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(2110128), // Rule ID 14894 //
     /* 2110024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2110035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2110038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2110041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110070 */     // MIs[0] round
     /* 2110070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110073 */     // MIs[0] policy
     /* 2110073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110083 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110127 */     // GIR_Coverage, 14894,
     /* 2110127 */     GIR_EraseRootFromParent_Done,
     /* 2110128 */   // Label 25848: @2110128
     /* 2110128 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(2110237), // Rule ID 14895 //
     /* 2110133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2110144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2110147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2110150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110179 */     // MIs[0] round
     /* 2110179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110182 */     // MIs[0] policy
     /* 2110182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110192 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10775:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110196 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110217 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110236 */     // GIR_Coverage, 14895,
     /* 2110236 */     GIR_EraseRootFromParent_Done,
     /* 2110237 */   // Label 25849: @2110237
     /* 2110237 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(2110346), // Rule ID 14898 //
     /* 2110242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2110253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2110256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110288 */     // MIs[0] round
     /* 2110288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110291 */     // MIs[0] policy
     /* 2110291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110345 */     // GIR_Coverage, 14898,
     /* 2110345 */     GIR_EraseRootFromParent_Done,
     /* 2110346 */   // Label 25850: @2110346
     /* 2110346 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(2110455), // Rule ID 14899 //
     /* 2110351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2110362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2110365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2110368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110397 */     // MIs[0] round
     /* 2110397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110400 */     // MIs[0] policy
     /* 2110400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10775:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110454 */     // GIR_Coverage, 14899,
     /* 2110454 */     GIR_EraseRootFromParent_Done,
     /* 2110455 */   // Label 25851: @2110455
     /* 2110455 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(2110564), // Rule ID 14902 //
     /* 2110460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110506 */     // MIs[0] round
     /* 2110506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110509 */     // MIs[0] policy
     /* 2110509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110519 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110563 */     // GIR_Coverage, 14902,
     /* 2110563 */     GIR_EraseRootFromParent_Done,
     /* 2110564 */   // Label 25852: @2110564
     /* 2110564 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(2110673), // Rule ID 14903 //
     /* 2110569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2110572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2110580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2110583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2110586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2110592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110615 */     // MIs[0] round
     /* 2110615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110618 */     // MIs[0] policy
     /* 2110618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10775:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110672 */     // GIR_Coverage, 14903,
     /* 2110672 */     GIR_EraseRootFromParent_Done,
     /* 2110673 */   // Label 25853: @2110673
     /* 2110673 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(2110782), // Rule ID 14906 //
     /* 2110678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2110681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2110695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110724 */     // MIs[0] round
     /* 2110724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110727 */     // MIs[0] policy
     /* 2110727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110737 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110781 */     // GIR_Coverage, 14906,
     /* 2110781 */     GIR_EraseRootFromParent_Done,
     /* 2110782 */   // Label 25854: @2110782
     /* 2110782 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(2110891), // Rule ID 14907 //
     /* 2110787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2110790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2110798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2110801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2110804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2110810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2110817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2110825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110833 */     // MIs[0] round
     /* 2110833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110836 */     // MIs[0] policy
     /* 2110836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10775:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2110863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110890 */     // GIR_Coverage, 14907,
     /* 2110890 */     GIR_EraseRootFromParent_Done,
     /* 2110891 */   // Label 25855: @2110891
     /* 2110891 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(2111000), // Rule ID 14910 //
     /* 2110896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2110899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2110904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2110907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2110910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2110913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2110916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2110938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110942 */     // MIs[0] round
     /* 2110942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110945 */     // MIs[0] policy
     /* 2110945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110955 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2110959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2110965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2110969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2110972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2110986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2110996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110999 */     // GIR_Coverage, 14910,
     /* 2110999 */     GIR_EraseRootFromParent_Done,
     /* 2111000 */   // Label 25856: @2111000
     /* 2111000 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(2111109), // Rule ID 14911 //
     /* 2111005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2111016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2111019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2111022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111051 */     // MIs[0] round
     /* 2111051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111054 */     // MIs[0] policy
     /* 2111054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111064 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2111081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111108 */     // GIR_Coverage, 14911,
     /* 2111108 */     GIR_EraseRootFromParent_Done,
     /* 2111109 */   // Label 25857: @2111109
     /* 2111109 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(2111218), // Rule ID 14914 //
     /* 2111114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2111125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2111128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2111131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2111137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111160 */     // MIs[0] round
     /* 2111160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111163 */     // MIs[0] policy
     /* 2111163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111173 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2111190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111217 */     // GIR_Coverage, 14914,
     /* 2111217 */     GIR_EraseRootFromParent_Done,
     /* 2111218 */   // Label 25858: @2111218
     /* 2111218 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(2111327), // Rule ID 14915 //
     /* 2111223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2111234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2111237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2111240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2111246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111269 */     // MIs[0] round
     /* 2111269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111272 */     // MIs[0] policy
     /* 2111272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111286 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111292 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2111299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111326 */     // GIR_Coverage, 14915,
     /* 2111326 */     GIR_EraseRootFromParent_Done,
     /* 2111327 */   // Label 25859: @2111327
     /* 2111327 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(2111436), // Rule ID 14918 //
     /* 2111332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2111343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2111346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2111349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2111355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111378 */     // MIs[0] round
     /* 2111378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111381 */     // MIs[0] policy
     /* 2111381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2111408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111435 */     // GIR_Coverage, 14918,
     /* 2111435 */     GIR_EraseRootFromParent_Done,
     /* 2111436 */   // Label 25860: @2111436
     /* 2111436 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(2111545), // Rule ID 14919 //
     /* 2111441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2111452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2111455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2111458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2111464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111487 */     // MIs[0] round
     /* 2111487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111490 */     // MIs[0] policy
     /* 2111490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111500 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2111517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2111541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111544 */     // GIR_Coverage, 14919,
     /* 2111544 */     GIR_EraseRootFromParent_Done,
     /* 2111545 */   // Label 25861: @2111545
     /* 2111545 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(2111654), // Rule ID 14922 //
     /* 2111550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2111561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111596 */     // MIs[0] round
     /* 2111596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111599 */     // MIs[0] policy
     /* 2111599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111609 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2111626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111653 */     // GIR_Coverage, 14922,
     /* 2111653 */     GIR_EraseRootFromParent_Done,
     /* 2111654 */   // Label 25862: @2111654
     /* 2111654 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(2111763), // Rule ID 14923 //
     /* 2111659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2111670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2111673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2111676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111705 */     // MIs[0] round
     /* 2111705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111708 */     // MIs[0] policy
     /* 2111708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111718 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111722 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2111735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111762 */     // GIR_Coverage, 14923,
     /* 2111762 */     GIR_EraseRootFromParent_Done,
     /* 2111763 */   // Label 25863: @2111763
     /* 2111763 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(2111872), // Rule ID 14926 //
     /* 2111768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2111779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2111782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111814 */     // MIs[0] round
     /* 2111814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111817 */     // MIs[0] policy
     /* 2111817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2111844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111871 */     // GIR_Coverage, 14926,
     /* 2111871 */     GIR_EraseRootFromParent_Done,
     /* 2111872 */   // Label 25864: @2111872
     /* 2111872 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(2111981), // Rule ID 14927 //
     /* 2111877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2111880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2111888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2111891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2111894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2111919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111923 */     // MIs[0] round
     /* 2111923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111926 */     // MIs[0] policy
     /* 2111926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2111940 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2111946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2111950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2111953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2111967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111980 */     // GIR_Coverage, 14927,
     /* 2111980 */     GIR_EraseRootFromParent_Done,
     /* 2111981 */   // Label 25865: @2111981
     /* 2111981 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(2112090), // Rule ID 14930 //
     /* 2111986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2111989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2111994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2111997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2112000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2112003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2112009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112032 */     // MIs[0] round
     /* 2112032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112035 */     // MIs[0] policy
     /* 2112035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112045 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2112062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112089 */     // GIR_Coverage, 14930,
     /* 2112089 */     GIR_EraseRootFromParent_Done,
     /* 2112090 */   // Label 25866: @2112090
     /* 2112090 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(2112199), // Rule ID 14931 //
     /* 2112095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2112106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2112109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2112112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2112118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112141 */     // MIs[0] round
     /* 2112141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112144 */     // MIs[0] policy
     /* 2112144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2112171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112198 */     // GIR_Coverage, 14931,
     /* 2112198 */     GIR_EraseRootFromParent_Done,
     /* 2112199 */   // Label 25867: @2112199
     /* 2112199 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(2112308), // Rule ID 14934 //
     /* 2112204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112250 */     // MIs[0] round
     /* 2112250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112253 */     // MIs[0] policy
     /* 2112253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2112280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112307 */     // GIR_Coverage, 14934,
     /* 2112307 */     GIR_EraseRootFromParent_Done,
     /* 2112308 */   // Label 25868: @2112308
     /* 2112308 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(2112417), // Rule ID 14935 //
     /* 2112313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2112324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2112327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2112330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112359 */     // MIs[0] round
     /* 2112359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112362 */     // MIs[0] policy
     /* 2112362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112376 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2112389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112416 */     // GIR_Coverage, 14935,
     /* 2112416 */     GIR_EraseRootFromParent_Done,
     /* 2112417 */   // Label 25869: @2112417
     /* 2112417 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(2112526), // Rule ID 14938 //
     /* 2112422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112468 */     // MIs[0] round
     /* 2112468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112471 */     // MIs[0] policy
     /* 2112471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112481 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2112498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112525 */     // GIR_Coverage, 14938,
     /* 2112525 */     GIR_EraseRootFromParent_Done,
     /* 2112526 */   // Label 25870: @2112526
     /* 2112526 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(2112635), // Rule ID 14939 //
     /* 2112531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2112542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2112545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2112548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112577 */     // MIs[0] round
     /* 2112577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112580 */     // MIs[0] policy
     /* 2112580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112590 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2112607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112634 */     // GIR_Coverage, 14939,
     /* 2112634 */     GIR_EraseRootFromParent_Done,
     /* 2112635 */   // Label 25871: @2112635
     /* 2112635 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(2112744), // Rule ID 14942 //
     /* 2112640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2112643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112686 */     // MIs[0] round
     /* 2112686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112689 */     // MIs[0] policy
     /* 2112689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112699 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2112716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112743 */     // GIR_Coverage, 14942,
     /* 2112743 */     GIR_EraseRootFromParent_Done,
     /* 2112744 */   // Label 25872: @2112744
     /* 2112744 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(2112853), // Rule ID 14943 //
     /* 2112749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2112752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2112760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2112763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2112766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2112779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2112787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112795 */     // MIs[0] round
     /* 2112795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112798 */     // MIs[0] policy
     /* 2112798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112808 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2112825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112852 */     // GIR_Coverage, 14943,
     /* 2112852 */     GIR_EraseRootFromParent_Done,
     /* 2112853 */   // Label 25873: @2112853
     /* 2112853 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(2112962), // Rule ID 14946 //
     /* 2112858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2112861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2112875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2112878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2112900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112904 */     // MIs[0] round
     /* 2112904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112907 */     // MIs[0] policy
     /* 2112907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112917 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2112921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2112927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2112931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2112934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2112948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112961 */     // GIR_Coverage, 14946,
     /* 2112961 */     GIR_EraseRootFromParent_Done,
     /* 2112962 */   // Label 25874: @2112962
     /* 2112962 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(2113071), // Rule ID 14947 //
     /* 2112967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2112970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2112975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2112978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2112981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2112984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2112987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113013 */     // MIs[0] round
     /* 2113013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113016 */     // MIs[0] policy
     /* 2113016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10775:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113030 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2113043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113070 */     // GIR_Coverage, 14947,
     /* 2113070 */     GIR_EraseRootFromParent_Done,
     /* 2113071 */   // Label 25875: @2113071
     /* 2113071 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(2113180), // Rule ID 14950 //
     /* 2113076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2113079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2113084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2113096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113122 */     // MIs[0] round
     /* 2113122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113125 */     // MIs[0] policy
     /* 2113125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113135 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2113152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113179 */     // GIR_Coverage, 14950,
     /* 2113179 */     GIR_EraseRootFromParent_Done,
     /* 2113180 */   // Label 25876: @2113180
     /* 2113180 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(2113289), // Rule ID 14951 //
     /* 2113185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2113188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2113193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2113196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2113199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2113202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113231 */     // MIs[0] round
     /* 2113231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113234 */     // MIs[0] policy
     /* 2113234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10775:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2113261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113288 */     // GIR_Coverage, 14951,
     /* 2113288 */     GIR_EraseRootFromParent_Done,
     /* 2113289 */   // Label 25877: @2113289
     /* 2113289 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(2113398), // Rule ID 14954 //
     /* 2113294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2113297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2113302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2113314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113340 */     // MIs[0] round
     /* 2113340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113343 */     // MIs[0] policy
     /* 2113343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113353 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2113370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113397 */     // GIR_Coverage, 14954,
     /* 2113397 */     GIR_EraseRootFromParent_Done,
     /* 2113398 */   // Label 25878: @2113398
     /* 2113398 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(2113507), // Rule ID 14955 //
     /* 2113403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2113406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2113411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2113414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2113417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2113420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2113423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2113445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113449 */     // MIs[0] round
     /* 2113449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113452 */     // MIs[0] policy
     /* 2113452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10775:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113466 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2113479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113506 */     // GIR_Coverage, 14955,
     /* 2113506 */     GIR_EraseRootFromParent_Done,
     /* 2113507 */   // Label 25879: @2113507
     /* 2113507 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(2113616), // Rule ID 14958 //
     /* 2113512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2113520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2113523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2113526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2113529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2113532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113558 */     // MIs[0] round
     /* 2113558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113561 */     // MIs[0] policy
     /* 2113561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113571 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2113588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113615 */     // GIR_Coverage, 14958,
     /* 2113615 */     GIR_EraseRootFromParent_Done,
     /* 2113616 */   // Label 25880: @2113616
     /* 2113616 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(2113725), // Rule ID 14959 //
     /* 2113621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2113629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2113632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2113635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2113638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2113641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2113644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113667 */     // MIs[0] round
     /* 2113667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113670 */     // MIs[0] policy
     /* 2113670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113680 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2113697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113724 */     // GIR_Coverage, 14959,
     /* 2113724 */     GIR_EraseRootFromParent_Done,
     /* 2113725 */   // Label 25881: @2113725
     /* 2113725 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(2113834), // Rule ID 14962 //
     /* 2113730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2113738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2113741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2113744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2113747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2113750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113776 */     // MIs[0] round
     /* 2113776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113779 */     // MIs[0] policy
     /* 2113779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113789 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2113806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113833 */     // GIR_Coverage, 14962,
     /* 2113833 */     GIR_EraseRootFromParent_Done,
     /* 2113834 */   // Label 25882: @2113834
     /* 2113834 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(2113943), // Rule ID 14963 //
     /* 2113839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2113842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2113847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2113850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2113853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2113856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2113859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113885 */     // MIs[0] round
     /* 2113885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113888 */     // MIs[0] policy
     /* 2113888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113898 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2113902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2113908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2113912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2113915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2113929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2113939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113942 */     // GIR_Coverage, 14963,
     /* 2113942 */     GIR_EraseRootFromParent_Done,
     /* 2113943 */   // Label 25883: @2113943
     /* 2113943 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(2114052), // Rule ID 14966 //
     /* 2113948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2113951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2113956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2113959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2113962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2113965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2113968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2113978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2113990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113994 */     // MIs[0] round
     /* 2113994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113997 */     // MIs[0] policy
     /* 2113997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114007 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114051 */     // GIR_Coverage, 14966,
     /* 2114051 */     GIR_EraseRootFromParent_Done,
     /* 2114052 */   // Label 25884: @2114052
     /* 2114052 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(2114161), // Rule ID 14967 //
     /* 2114057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2114068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2114071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2114074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2114077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114103 */     // MIs[0] round
     /* 2114103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114106 */     // MIs[0] policy
     /* 2114106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114116 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114120 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114160 */     // GIR_Coverage, 14967,
     /* 2114160 */     GIR_EraseRootFromParent_Done,
     /* 2114161 */   // Label 25885: @2114161
     /* 2114161 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(2114270), // Rule ID 14970 //
     /* 2114166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2114177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2114180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2114183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2114186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114212 */     // MIs[0] round
     /* 2114212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114215 */     // MIs[0] policy
     /* 2114215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114225 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2114242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114269 */     // GIR_Coverage, 14970,
     /* 2114269 */     GIR_EraseRootFromParent_Done,
     /* 2114270 */   // Label 25886: @2114270
     /* 2114270 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(2114379), // Rule ID 14971 //
     /* 2114275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2114286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2114289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2114292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2114295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114321 */     // MIs[0] round
     /* 2114321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114324 */     // MIs[0] policy
     /* 2114324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114334 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2114351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114378 */     // GIR_Coverage, 14971,
     /* 2114378 */     GIR_EraseRootFromParent_Done,
     /* 2114379 */   // Label 25887: @2114379
     /* 2114379 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(2114488), // Rule ID 14974 //
     /* 2114384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2114395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2114398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114430 */     // MIs[0] round
     /* 2114430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114433 */     // MIs[0] policy
     /* 2114433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114487 */     // GIR_Coverage, 14974,
     /* 2114487 */     GIR_EraseRootFromParent_Done,
     /* 2114488 */   // Label 25888: @2114488
     /* 2114488 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(2114597), // Rule ID 14975 //
     /* 2114493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2114504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2114507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2114513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114539 */     // MIs[0] round
     /* 2114539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114542 */     // MIs[0] policy
     /* 2114542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114596 */     // GIR_Coverage, 14975,
     /* 2114596 */     GIR_EraseRootFromParent_Done,
     /* 2114597 */   // Label 25889: @2114597
     /* 2114597 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(2114706), // Rule ID 14978 //
     /* 2114602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114648 */     // MIs[0] round
     /* 2114648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114651 */     // MIs[0] policy
     /* 2114651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114661 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114705 */     // GIR_Coverage, 14978,
     /* 2114705 */     GIR_EraseRootFromParent_Done,
     /* 2114706 */   // Label 25890: @2114706
     /* 2114706 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(2114815), // Rule ID 14979 //
     /* 2114711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2114731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114757 */     // MIs[0] round
     /* 2114757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114760 */     // MIs[0] policy
     /* 2114760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2114787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114814 */     // GIR_Coverage, 14979,
     /* 2114814 */     GIR_EraseRootFromParent_Done,
     /* 2114815 */   // Label 25891: @2114815
     /* 2114815 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(2114924), // Rule ID 14982 //
     /* 2114820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2114823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2114831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2114834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2114837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2114840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114866 */     // MIs[0] round
     /* 2114866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114869 */     // MIs[0] policy
     /* 2114869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114879 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2114893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2114896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2114910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2114920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114923 */     // GIR_Coverage, 14982,
     /* 2114923 */     GIR_EraseRootFromParent_Done,
     /* 2114924 */   // Label 25892: @2114924
     /* 2114924 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(2115033), // Rule ID 14983 //
     /* 2114929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2114932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2114937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2114940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2114943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2114946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2114949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114975 */     // MIs[0] round
     /* 2114975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114978 */     // MIs[0] policy
     /* 2114978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114988 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2114992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2114998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115032 */     // GIR_Coverage, 14983,
     /* 2115032 */     GIR_EraseRootFromParent_Done,
     /* 2115033 */   // Label 25893: @2115033
     /* 2115033 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(2115142), // Rule ID 14986 //
     /* 2115038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2115049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2115052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2115055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2115058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115084 */     // MIs[0] round
     /* 2115084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115087 */     // MIs[0] policy
     /* 2115087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115141 */     // GIR_Coverage, 14986,
     /* 2115141 */     GIR_EraseRootFromParent_Done,
     /* 2115142 */   // Label 25894: @2115142
     /* 2115142 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(2115251), // Rule ID 14987 //
     /* 2115147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2115158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2115161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2115164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2115167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115193 */     // MIs[0] round
     /* 2115193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115196 */     // MIs[0] policy
     /* 2115196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115250 */     // GIR_Coverage, 14987,
     /* 2115250 */     GIR_EraseRootFromParent_Done,
     /* 2115251 */   // Label 25895: @2115251
     /* 2115251 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(2115360), // Rule ID 14990 //
     /* 2115256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115302 */     // MIs[0] round
     /* 2115302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115305 */     // MIs[0] policy
     /* 2115305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115315 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115359 */     // GIR_Coverage, 14990,
     /* 2115359 */     GIR_EraseRootFromParent_Done,
     /* 2115360 */   // Label 25896: @2115360
     /* 2115360 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(2115469), // Rule ID 14991 //
     /* 2115365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2115385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115411 */     // MIs[0] round
     /* 2115411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115414 */     // MIs[0] policy
     /* 2115414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115468 */     // GIR_Coverage, 14991,
     /* 2115468 */     GIR_EraseRootFromParent_Done,
     /* 2115469 */   // Label 25897: @2115469
     /* 2115469 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(2115578), // Rule ID 14994 //
     /* 2115474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2115477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2115494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115520 */     // MIs[0] round
     /* 2115520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115523 */     // MIs[0] policy
     /* 2115523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115533 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115577 */     // GIR_Coverage, 14994,
     /* 2115577 */     GIR_EraseRootFromParent_Done,
     /* 2115578 */   // Label 25898: @2115578
     /* 2115578 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(2115687), // Rule ID 14995 //
     /* 2115583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2115586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2115603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115629 */     // MIs[0] round
     /* 2115629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115632 */     // MIs[0] policy
     /* 2115632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2115659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115686 */     // GIR_Coverage, 14995,
     /* 2115686 */     GIR_EraseRootFromParent_Done,
     /* 2115687 */   // Label 25899: @2115687
     /* 2115687 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(2115796), // Rule ID 14998 //
     /* 2115692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2115703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2115706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2115709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2115712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115738 */     // MIs[0] round
     /* 2115738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115741 */     // MIs[0] policy
     /* 2115741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115751 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2115768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115795 */     // GIR_Coverage, 14998,
     /* 2115795 */     GIR_EraseRootFromParent_Done,
     /* 2115796 */   // Label 25900: @2115796
     /* 2115796 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(2115905), // Rule ID 14999 //
     /* 2115801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2115804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2115812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2115815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2115818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2115821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115847 */     // MIs[0] round
     /* 2115847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115850 */     // MIs[0] policy
     /* 2115850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2115877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2115891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2115901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115904 */     // GIR_Coverage, 14999,
     /* 2115904 */     GIR_EraseRootFromParent_Done,
     /* 2115905 */   // Label 25901: @2115905
     /* 2115905 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(2116014), // Rule ID 15002 //
     /* 2115910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2115913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2115918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2115921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2115924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2115927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2115930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2115933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115956 */     // MIs[0] round
     /* 2115956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115959 */     // MIs[0] policy
     /* 2115959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2115973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2115979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2115983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2115986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116013 */     // GIR_Coverage, 15002,
     /* 2116013 */     GIR_EraseRootFromParent_Done,
     /* 2116014 */   // Label 25902: @2116014
     /* 2116014 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(2116123), // Rule ID 15003 //
     /* 2116019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2116030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2116033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2116036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2116039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2116042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116065 */     // MIs[0] round
     /* 2116065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116068 */     // MIs[0] policy
     /* 2116068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116078 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2116095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116122 */     // GIR_Coverage, 15003,
     /* 2116122 */     GIR_EraseRootFromParent_Done,
     /* 2116123 */   // Label 25903: @2116123
     /* 2116123 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(2116232), // Rule ID 15006 //
     /* 2116128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2116139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2116142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2116145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2116148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2116151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116174 */     // MIs[0] round
     /* 2116174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116177 */     // MIs[0] policy
     /* 2116177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116187 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2116204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116231 */     // GIR_Coverage, 15006,
     /* 2116231 */     GIR_EraseRootFromParent_Done,
     /* 2116232 */   // Label 25904: @2116232
     /* 2116232 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(2116341), // Rule ID 15007 //
     /* 2116237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2116248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2116251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2116254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2116257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2116260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116283 */     // MIs[0] round
     /* 2116283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116286 */     // MIs[0] policy
     /* 2116286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116296 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2116313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2116337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116340 */     // GIR_Coverage, 15007,
     /* 2116340 */     GIR_EraseRootFromParent_Done,
     /* 2116341 */   // Label 25905: @2116341
     /* 2116341 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(2116450), // Rule ID 15010 //
     /* 2116346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2116357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2116360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116392 */     // MIs[0] round
     /* 2116392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116395 */     // MIs[0] policy
     /* 2116395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116405 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2116422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116449 */     // GIR_Coverage, 15010,
     /* 2116449 */     GIR_EraseRootFromParent_Done,
     /* 2116450 */   // Label 25906: @2116450
     /* 2116450 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(2116559), // Rule ID 15011 //
     /* 2116455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2116466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2116469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2116472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2116475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116501 */     // MIs[0] round
     /* 2116501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116504 */     // MIs[0] policy
     /* 2116504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2116531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116558 */     // GIR_Coverage, 15011,
     /* 2116558 */     GIR_EraseRootFromParent_Done,
     /* 2116559 */   // Label 25907: @2116559
     /* 2116559 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(2116668), // Rule ID 15014 //
     /* 2116564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2116575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2116578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116610 */     // MIs[0] round
     /* 2116610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116613 */     // MIs[0] policy
     /* 2116613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116623 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2116640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116667 */     // GIR_Coverage, 15014,
     /* 2116667 */     GIR_EraseRootFromParent_Done,
     /* 2116668 */   // Label 25908: @2116668
     /* 2116668 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(2116777), // Rule ID 15015 //
     /* 2116673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2116684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2116687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2116690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2116693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116719 */     // MIs[0] round
     /* 2116719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116722 */     // MIs[0] policy
     /* 2116722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116732 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2116749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116776 */     // GIR_Coverage, 15015,
     /* 2116776 */     GIR_EraseRootFromParent_Done,
     /* 2116777 */   // Label 25909: @2116777
     /* 2116777 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(2116886), // Rule ID 15018 //
     /* 2116782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2116785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2116793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2116796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2116799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2116802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2116805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116828 */     // MIs[0] round
     /* 2116828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116831 */     // MIs[0] policy
     /* 2116831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116841 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2116858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116885 */     // GIR_Coverage, 15018,
     /* 2116885 */     GIR_EraseRootFromParent_Done,
     /* 2116886 */   // Label 25910: @2116886
     /* 2116886 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(2116995), // Rule ID 15019 //
     /* 2116891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2116894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2116899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2116902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2116905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2116908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2116911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2116914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116937 */     // MIs[0] round
     /* 2116937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116940 */     // MIs[0] policy
     /* 2116940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116950 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2116954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2116960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2116964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2116967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2116981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116994 */     // GIR_Coverage, 15019,
     /* 2116994 */     GIR_EraseRootFromParent_Done,
     /* 2116995 */   // Label 25911: @2116995
     /* 2116995 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(2117104), // Rule ID 15022 //
     /* 2117000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2117020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117046 */     // MIs[0] round
     /* 2117046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117049 */     // MIs[0] policy
     /* 2117049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117059 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2117076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117103 */     // GIR_Coverage, 15022,
     /* 2117103 */     GIR_EraseRootFromParent_Done,
     /* 2117104 */   // Label 25912: @2117104
     /* 2117104 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(2117213), // Rule ID 15023 //
     /* 2117109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2117120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2117123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2117126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2117129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117155 */     // MIs[0] round
     /* 2117155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117158 */     // MIs[0] policy
     /* 2117158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2117185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117212 */     // GIR_Coverage, 15023,
     /* 2117212 */     GIR_EraseRootFromParent_Done,
     /* 2117213 */   // Label 25913: @2117213
     /* 2117213 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(2117322), // Rule ID 15026 //
     /* 2117218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117264 */     // MIs[0] round
     /* 2117264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117267 */     // MIs[0] policy
     /* 2117267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2117294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117321 */     // GIR_Coverage, 15026,
     /* 2117321 */     GIR_EraseRootFromParent_Done,
     /* 2117322 */   // Label 25914: @2117322
     /* 2117322 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(2117431), // Rule ID 15027 //
     /* 2117327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2117338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2117341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2117344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2117347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117373 */     // MIs[0] round
     /* 2117373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117376 */     // MIs[0] policy
     /* 2117376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2117403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117430 */     // GIR_Coverage, 15027,
     /* 2117430 */     GIR_EraseRootFromParent_Done,
     /* 2117431 */   // Label 25915: @2117431
     /* 2117431 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(2117540), // Rule ID 15030 //
     /* 2117436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2117439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2117456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117482 */     // MIs[0] round
     /* 2117482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117485 */     // MIs[0] policy
     /* 2117485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117495 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2117512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117539 */     // GIR_Coverage, 15030,
     /* 2117539 */     GIR_EraseRootFromParent_Done,
     /* 2117540 */   // Label 25916: @2117540
     /* 2117540 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(2117649), // Rule ID 15031 //
     /* 2117545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2117548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2117556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2117559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2117562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2117565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2117568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117591 */     // MIs[0] round
     /* 2117591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117594 */     // MIs[0] policy
     /* 2117594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2117621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117648 */     // GIR_Coverage, 15031,
     /* 2117648 */     GIR_EraseRootFromParent_Done,
     /* 2117649 */   // Label 25917: @2117649
     /* 2117649 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(2117758), // Rule ID 15034 //
     /* 2117654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2117657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2117674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117700 */     // MIs[0] round
     /* 2117700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117703 */     // MIs[0] policy
     /* 2117703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117713 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2117730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117757 */     // GIR_Coverage, 15034,
     /* 2117757 */     GIR_EraseRootFromParent_Done,
     /* 2117758 */   // Label 25918: @2117758
     /* 2117758 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(2117867), // Rule ID 15035 //
     /* 2117763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2117766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2117774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2117777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2117780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2117783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2117793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2117805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117809 */     // MIs[0] round
     /* 2117809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117812 */     // MIs[0] policy
     /* 2117812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2117839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117866 */     // GIR_Coverage, 15035,
     /* 2117866 */     GIR_EraseRootFromParent_Done,
     /* 2117867 */   // Label 25919: @2117867
     /* 2117867 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(2117976), // Rule ID 15038 //
     /* 2117872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2117875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2117889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2117892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2117902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2117914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117918 */     // MIs[0] round
     /* 2117918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117921 */     // MIs[0] policy
     /* 2117921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117931 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2117935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2117941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2117945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2117948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2117962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117975 */     // GIR_Coverage, 15038,
     /* 2117975 */     GIR_EraseRootFromParent_Done,
     /* 2117976 */   // Label 25920: @2117976
     /* 2117976 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(2118085), // Rule ID 15039 //
     /* 2117981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2117984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2117989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2117992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2117995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2117998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2118001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118027 */     // MIs[0] round
     /* 2118027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118030 */     // MIs[0] policy
     /* 2118030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2118057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118084 */     // GIR_Coverage, 15039,
     /* 2118084 */     GIR_EraseRootFromParent_Done,
     /* 2118085 */   // Label 25921: @2118085
     /* 2118085 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(2118194), // Rule ID 15042 //
     /* 2118090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2118093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2118110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118136 */     // MIs[0] round
     /* 2118136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118139 */     // MIs[0] policy
     /* 2118139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118149 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2118166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118193 */     // GIR_Coverage, 15042,
     /* 2118193 */     GIR_EraseRootFromParent_Done,
     /* 2118194 */   // Label 25922: @2118194
     /* 2118194 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(2118303), // Rule ID 15043 //
     /* 2118199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2118202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2118210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2118213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2118216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2118219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118245 */     // MIs[0] round
     /* 2118245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118248 */     // MIs[0] policy
     /* 2118248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2118275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118302 */     // GIR_Coverage, 15043,
     /* 2118302 */     GIR_EraseRootFromParent_Done,
     /* 2118303 */   // Label 25923: @2118303
     /* 2118303 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(2118412), // Rule ID 15046 //
     /* 2118308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2118319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2118322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2118325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118354 */     // MIs[0] round
     /* 2118354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118357 */     // MIs[0] policy
     /* 2118357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2118384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118411 */     // GIR_Coverage, 15046,
     /* 2118411 */     GIR_EraseRootFromParent_Done,
     /* 2118412 */   // Label 25924: @2118412
     /* 2118412 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(2118521), // Rule ID 15047 //
     /* 2118417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2118428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2118431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2118434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118463 */     // MIs[0] round
     /* 2118463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118466 */     // MIs[0] policy
     /* 2118466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118480 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2118493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118520 */     // GIR_Coverage, 15047,
     /* 2118520 */     GIR_EraseRootFromParent_Done,
     /* 2118521 */   // Label 25925: @2118521
     /* 2118521 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(2118630), // Rule ID 15050 //
     /* 2118526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2118537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2118540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2118543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118572 */     // MIs[0] round
     /* 2118572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118575 */     // MIs[0] policy
     /* 2118575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118585 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2118602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118629 */     // GIR_Coverage, 15050,
     /* 2118629 */     GIR_EraseRootFromParent_Done,
     /* 2118630 */   // Label 25926: @2118630
     /* 2118630 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(2118739), // Rule ID 15051 //
     /* 2118635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2118646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2118649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2118652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2118658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118681 */     // MIs[0] round
     /* 2118681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118684 */     // MIs[0] policy
     /* 2118684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118694 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2118711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118738 */     // GIR_Coverage, 15051,
     /* 2118738 */     GIR_EraseRootFromParent_Done,
     /* 2118739 */   // Label 25927: @2118739
     /* 2118739 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(2118848), // Rule ID 15054 //
     /* 2118744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2118755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2118758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2118761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118790 */     // MIs[0] round
     /* 2118790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118793 */     // MIs[0] policy
     /* 2118793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118803 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2118820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118847 */     // GIR_Coverage, 15054,
     /* 2118847 */     GIR_EraseRootFromParent_Done,
     /* 2118848 */   // Label 25928: @2118848
     /* 2118848 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(2118957), // Rule ID 15055 //
     /* 2118853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2118856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2118864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2118867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2118870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2118895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118899 */     // MIs[0] round
     /* 2118899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118902 */     // MIs[0] policy
     /* 2118902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2118916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2118922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2118926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2118929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118937 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2118943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2118953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118956 */     // GIR_Coverage, 15055,
     /* 2118956 */     GIR_EraseRootFromParent_Done,
     /* 2118957 */   // Label 25929: @2118957
     /* 2118957 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(2119066), // Rule ID 15058 //
     /* 2118962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2118965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2118970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2118973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2118976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2118979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119008 */     // MIs[0] round
     /* 2119008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119011 */     // MIs[0] policy
     /* 2119011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119021 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2119038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119065 */     // GIR_Coverage, 15058,
     /* 2119065 */     GIR_EraseRootFromParent_Done,
     /* 2119066 */   // Label 25930: @2119066
     /* 2119066 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(2119175), // Rule ID 15059 //
     /* 2119071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2119082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2119085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119117 */     // MIs[0] round
     /* 2119117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119120 */     // MIs[0] policy
     /* 2119120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2119147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119174 */     // GIR_Coverage, 15059,
     /* 2119174 */     GIR_EraseRootFromParent_Done,
     /* 2119175 */   // Label 25931: @2119175
     /* 2119175 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(2119284), // Rule ID 15062 //
     /* 2119180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119226 */     // MIs[0] round
     /* 2119226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119229 */     // MIs[0] policy
     /* 2119229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119239 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2119256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119283 */     // GIR_Coverage, 15062,
     /* 2119283 */     GIR_EraseRootFromParent_Done,
     /* 2119284 */   // Label 25932: @2119284
     /* 2119284 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(2119393), // Rule ID 15063 //
     /* 2119289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2119300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2119303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2119306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119335 */     // MIs[0] round
     /* 2119335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119338 */     // MIs[0] policy
     /* 2119338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2119365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119392 */     // GIR_Coverage, 15063,
     /* 2119392 */     GIR_EraseRootFromParent_Done,
     /* 2119393 */   // Label 25933: @2119393
     /* 2119393 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(2119502), // Rule ID 15066 //
     /* 2119398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119444 */     // MIs[0] round
     /* 2119444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119447 */     // MIs[0] policy
     /* 2119447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119457 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2119474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119501 */     // GIR_Coverage, 15066,
     /* 2119501 */     GIR_EraseRootFromParent_Done,
     /* 2119502 */   // Label 25934: @2119502
     /* 2119502 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(2119611), // Rule ID 15067 //
     /* 2119507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2119524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119553 */     // MIs[0] round
     /* 2119553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119556 */     // MIs[0] policy
     /* 2119556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119566 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2119583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119610 */     // GIR_Coverage, 15067,
     /* 2119610 */     GIR_EraseRootFromParent_Done,
     /* 2119611 */   // Label 25935: @2119611
     /* 2119611 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(2119720), // Rule ID 15070 //
     /* 2119616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2119627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2119630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2119633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119662 */     // MIs[0] round
     /* 2119662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119665 */     // MIs[0] policy
     /* 2119665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119675 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2119692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119719 */     // GIR_Coverage, 15070,
     /* 2119719 */     GIR_EraseRootFromParent_Done,
     /* 2119720 */   // Label 25936: @2119720
     /* 2119720 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(2119829), // Rule ID 15071 //
     /* 2119725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2119736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2119739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2119742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119771 */     // MIs[0] round
     /* 2119771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119774 */     // MIs[0] policy
     /* 2119774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119784 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10797:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2119801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2119825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119828 */     // GIR_Coverage, 15071,
     /* 2119828 */     GIR_EraseRootFromParent_Done,
     /* 2119829 */   // Label 25937: @2119829
     /* 2119829 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(2119938), // Rule ID 15074 //
     /* 2119834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2119837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2119845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2119848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119880 */     // MIs[0] round
     /* 2119880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119883 */     // MIs[0] policy
     /* 2119883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119893 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2119897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2119903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2119907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2119910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2119924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119937 */     // GIR_Coverage, 15074,
     /* 2119937 */     GIR_EraseRootFromParent_Done,
     /* 2119938 */   // Label 25938: @2119938
     /* 2119938 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(2120047), // Rule ID 15075 //
     /* 2119943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2119946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2119951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2119954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2119957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2119960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2119985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119989 */     // MIs[0] round
     /* 2119989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119992 */     // MIs[0] policy
     /* 2119992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10797:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2120019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120046 */     // GIR_Coverage, 15075,
     /* 2120046 */     GIR_EraseRootFromParent_Done,
     /* 2120047 */   // Label 25939: @2120047
     /* 2120047 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(2120156), // Rule ID 15078 //
     /* 2120052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120098 */     // MIs[0] round
     /* 2120098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120101 */     // MIs[0] policy
     /* 2120101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120111 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2120128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120155 */     // GIR_Coverage, 15078,
     /* 2120155 */     GIR_EraseRootFromParent_Done,
     /* 2120156 */   // Label 25940: @2120156
     /* 2120156 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(2120265), // Rule ID 15079 //
     /* 2120161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120207 */     // MIs[0] round
     /* 2120207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120210 */     // MIs[0] policy
     /* 2120210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10797:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2120237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120264 */     // GIR_Coverage, 15079,
     /* 2120264 */     GIR_EraseRootFromParent_Done,
     /* 2120265 */   // Label 25941: @2120265
     /* 2120265 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(2120374), // Rule ID 15082 //
     /* 2120270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2120273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120316 */     // MIs[0] round
     /* 2120316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120319 */     // MIs[0] policy
     /* 2120319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120329 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2120346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120373 */     // GIR_Coverage, 15082,
     /* 2120373 */     GIR_EraseRootFromParent_Done,
     /* 2120374 */   // Label 25942: @2120374
     /* 2120374 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(2120483), // Rule ID 15083 //
     /* 2120379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2120382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2120396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120425 */     // MIs[0] round
     /* 2120425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120428 */     // MIs[0] policy
     /* 2120428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120438 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10797:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2120455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2120479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120482 */     // GIR_Coverage, 15083,
     /* 2120482 */     GIR_EraseRootFromParent_Done,
     /* 2120483 */   // Label 25943: @2120483
     /* 2120483 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(2120592), // Rule ID 15086 //
     /* 2120488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2120499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2120502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2120505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120534 */     // MIs[0] round
     /* 2120534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120537 */     // MIs[0] policy
     /* 2120537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2120564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120591 */     // GIR_Coverage, 15086,
     /* 2120591 */     GIR_EraseRootFromParent_Done,
     /* 2120592 */   // Label 25944: @2120592
     /* 2120592 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(2120701), // Rule ID 15087 //
     /* 2120597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2120608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2120611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2120614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120643 */     // MIs[0] round
     /* 2120643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120646 */     // MIs[0] policy
     /* 2120646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2120673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120700 */     // GIR_Coverage, 15087,
     /* 2120700 */     GIR_EraseRootFromParent_Done,
     /* 2120701 */   // Label 25945: @2120701
     /* 2120701 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(2120810), // Rule ID 15090 //
     /* 2120706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2120717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2120720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2120723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2120729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120752 */     // MIs[0] round
     /* 2120752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120755 */     // MIs[0] policy
     /* 2120755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120765 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2120782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120809 */     // GIR_Coverage, 15090,
     /* 2120809 */     GIR_EraseRootFromParent_Done,
     /* 2120810 */   // Label 25946: @2120810
     /* 2120810 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(2120919), // Rule ID 15091 //
     /* 2120815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2120818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2120826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2120829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2120832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2120835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2120838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120861 */     // MIs[0] round
     /* 2120861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120864 */     // MIs[0] policy
     /* 2120864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120874 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2120891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2120905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2120915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120918 */     // GIR_Coverage, 15091,
     /* 2120918 */     GIR_EraseRootFromParent_Done,
     /* 2120919 */   // Label 25947: @2120919
     /* 2120919 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(2121028), // Rule ID 15094 //
     /* 2120924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2120927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2120932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2120935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2120938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2120941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2120944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2120947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2120966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120970 */     // MIs[0] round
     /* 2120970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120973 */     // MIs[0] policy
     /* 2120973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120983 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2120987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2120993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2120997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2121000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121027 */     // GIR_Coverage, 15094,
     /* 2121027 */     GIR_EraseRootFromParent_Done,
     /* 2121028 */   // Label 25948: @2121028
     /* 2121028 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(2121137), // Rule ID 15095 //
     /* 2121033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2121044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2121047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2121050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2121056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121079 */     // MIs[0] round
     /* 2121079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121082 */     // MIs[0] policy
     /* 2121082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121092 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121096 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2121109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2121133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121136 */     // GIR_Coverage, 15095,
     /* 2121136 */     GIR_EraseRootFromParent_Done,
     /* 2121137 */   // Label 25949: @2121137
     /* 2121137 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(2121246), // Rule ID 15098 //
     /* 2121142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121188 */     // MIs[0] round
     /* 2121188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121191 */     // MIs[0] policy
     /* 2121191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121201 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2121218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121245 */     // GIR_Coverage, 15098,
     /* 2121245 */     GIR_EraseRootFromParent_Done,
     /* 2121246 */   // Label 25950: @2121246
     /* 2121246 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(2121355), // Rule ID 15099 //
     /* 2121251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2121262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2121265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2121268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121297 */     // MIs[0] round
     /* 2121297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121300 */     // MIs[0] policy
     /* 2121300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121310 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2121327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121354 */     // GIR_Coverage, 15099,
     /* 2121354 */     GIR_EraseRootFromParent_Done,
     /* 2121355 */   // Label 25951: @2121355
     /* 2121355 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(2121464), // Rule ID 15102 //
     /* 2121360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121406 */     // MIs[0] round
     /* 2121406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121409 */     // MIs[0] policy
     /* 2121409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2121436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121463 */     // GIR_Coverage, 15102,
     /* 2121463 */     GIR_EraseRootFromParent_Done,
     /* 2121464 */   // Label 25952: @2121464
     /* 2121464 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(2121573), // Rule ID 15103 //
     /* 2121469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2121480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2121483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2121486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2121492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121515 */     // MIs[0] round
     /* 2121515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121518 */     // MIs[0] policy
     /* 2121518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2121545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121572 */     // GIR_Coverage, 15103,
     /* 2121572 */     GIR_EraseRootFromParent_Done,
     /* 2121573 */   // Label 25953: @2121573
     /* 2121573 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(2121682), // Rule ID 15106 //
     /* 2121578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121624 */     // MIs[0] round
     /* 2121624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121627 */     // MIs[0] policy
     /* 2121627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121637 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2121654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121681 */     // GIR_Coverage, 15106,
     /* 2121681 */     GIR_EraseRootFromParent_Done,
     /* 2121682 */   // Label 25954: @2121682
     /* 2121682 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(2121791), // Rule ID 15107 //
     /* 2121687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2121698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2121701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2121704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2121710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121733 */     // MIs[0] round
     /* 2121733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121736 */     // MIs[0] policy
     /* 2121736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121746 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2121763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121790 */     // GIR_Coverage, 15107,
     /* 2121790 */     GIR_EraseRootFromParent_Done,
     /* 2121791 */   // Label 25955: @2121791
     /* 2121791 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(2121900), // Rule ID 15110 //
     /* 2121796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2121799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2121816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121842 */     // MIs[0] round
     /* 2121842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121845 */     // MIs[0] policy
     /* 2121845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121855 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2121872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121899 */     // GIR_Coverage, 15110,
     /* 2121899 */     GIR_EraseRootFromParent_Done,
     /* 2121900 */   // Label 25956: @2121900
     /* 2121900 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(2122009), // Rule ID 15111 //
     /* 2121905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2121908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2121913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2121925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2121947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121951 */     // MIs[0] round
     /* 2121951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121954 */     // MIs[0] policy
     /* 2121954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2121968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2121974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2121978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2121981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2121995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122008 */     // GIR_Coverage, 15111,
     /* 2122008 */     GIR_EraseRootFromParent_Done,
     /* 2122009 */   // Label 25957: @2122009
     /* 2122009 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(2122118), // Rule ID 15114 //
     /* 2122014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2122017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122060 */     // MIs[0] round
     /* 2122060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122063 */     // MIs[0] policy
     /* 2122063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122073 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2122090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122117 */     // GIR_Coverage, 15114,
     /* 2122117 */     GIR_EraseRootFromParent_Done,
     /* 2122118 */   // Label 25958: @2122118
     /* 2122118 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(2122227), // Rule ID 15115 //
     /* 2122123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2122126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122169 */     // MIs[0] round
     /* 2122169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122172 */     // MIs[0] policy
     /* 2122172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122186 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2122199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122226 */     // GIR_Coverage, 15115,
     /* 2122226 */     GIR_EraseRootFromParent_Done,
     /* 2122227 */   // Label 25959: @2122227
     /* 2122227 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(2122336), // Rule ID 15118 //
     /* 2122232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2122235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122278 */     // MIs[0] round
     /* 2122278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122281 */     // MIs[0] policy
     /* 2122281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122291 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2122308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122335 */     // GIR_Coverage, 15118,
     /* 2122335 */     GIR_EraseRootFromParent_Done,
     /* 2122336 */   // Label 25960: @2122336
     /* 2122336 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(2122445), // Rule ID 15119 //
     /* 2122341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2122344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2122358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122387 */     // MIs[0] round
     /* 2122387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122390 */     // MIs[0] policy
     /* 2122390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2122417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122444 */     // GIR_Coverage, 15119,
     /* 2122444 */     GIR_EraseRootFromParent_Done,
     /* 2122445 */   // Label 25961: @2122445
     /* 2122445 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(2122554), // Rule ID 15122 //
     /* 2122450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2122453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122496 */     // MIs[0] round
     /* 2122496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122499 */     // MIs[0] policy
     /* 2122499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2122526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122553 */     // GIR_Coverage, 15122,
     /* 2122553 */     GIR_EraseRootFromParent_Done,
     /* 2122554 */   // Label 25962: @2122554
     /* 2122554 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(2122663), // Rule ID 15123 //
     /* 2122559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2122562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2122576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122605 */     // MIs[0] round
     /* 2122605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122608 */     // MIs[0] policy
     /* 2122608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10797:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2122635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122662 */     // GIR_Coverage, 15123,
     /* 2122662 */     GIR_EraseRootFromParent_Done,
     /* 2122663 */   // Label 25963: @2122663
     /* 2122663 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(2122772), // Rule ID 15126 //
     /* 2122668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2122671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122714 */     // MIs[0] round
     /* 2122714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122717 */     // MIs[0] policy
     /* 2122717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122727 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2122744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122771 */     // GIR_Coverage, 15126,
     /* 2122771 */     GIR_EraseRootFromParent_Done,
     /* 2122772 */   // Label 25964: @2122772
     /* 2122772 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(2122881), // Rule ID 15127 //
     /* 2122777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2122780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2122794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122823 */     // MIs[0] round
     /* 2122823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122826 */     // MIs[0] policy
     /* 2122826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10797:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122840 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2122853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122880 */     // GIR_Coverage, 15127,
     /* 2122880 */     GIR_EraseRootFromParent_Done,
     /* 2122881 */   // Label 25965: @2122881
     /* 2122881 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(2122990), // Rule ID 15130 //
     /* 2122886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2122889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2122894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2122903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2122906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2122928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122932 */     // MIs[0] round
     /* 2122932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122935 */     // MIs[0] policy
     /* 2122935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122945 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2122949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2122955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2122959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2122962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2122976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2122986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122989 */     // GIR_Coverage, 15130,
     /* 2122989 */     GIR_EraseRootFromParent_Done,
     /* 2122990 */   // Label 25966: @2122990
     /* 2122990 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(2123099), // Rule ID 15131 //
     /* 2122995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2122998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2123003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2123012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2123037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123041 */     // MIs[0] round
     /* 2123041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123044 */     // MIs[0] policy
     /* 2123044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123054 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10797:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2123071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2123095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123098 */     // GIR_Coverage, 15131,
     /* 2123098 */     GIR_EraseRootFromParent_Done,
     /* 2123099 */   // Label 25967: @2123099
     /* 2123099 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(2123208), // Rule ID 15134 //
     /* 2123104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2123107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2123115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2123118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2123121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2123124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123150 */     // MIs[0] round
     /* 2123150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123153 */     // MIs[0] policy
     /* 2123153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123163 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2123180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123207 */     // GIR_Coverage, 15134,
     /* 2123207 */     GIR_EraseRootFromParent_Done,
     /* 2123208 */   // Label 25968: @2123208
     /* 2123208 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(2123317), // Rule ID 15135 //
     /* 2123213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2123216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2123224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2123227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2123230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2123233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123259 */     // MIs[0] round
     /* 2123259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123262 */     // MIs[0] policy
     /* 2123262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2123289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123316 */     // GIR_Coverage, 15135,
     /* 2123316 */     GIR_EraseRootFromParent_Done,
     /* 2123317 */   // Label 25969: @2123317
     /* 2123317 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(2123426), // Rule ID 15138 //
     /* 2123322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2123325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2123333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2123336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2123339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2123342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123368 */     // MIs[0] round
     /* 2123368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123371 */     // MIs[0] policy
     /* 2123371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123381 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2123398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123425 */     // GIR_Coverage, 15138,
     /* 2123425 */     GIR_EraseRootFromParent_Done,
     /* 2123426 */   // Label 25970: @2123426
     /* 2123426 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(2123535), // Rule ID 15139 //
     /* 2123431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2123434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2123442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2123445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2123448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2123451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123477 */     // MIs[0] round
     /* 2123477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123480 */     // MIs[0] policy
     /* 2123480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123490 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2123507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123534 */     // GIR_Coverage, 15139,
     /* 2123534 */     GIR_EraseRootFromParent_Done,
     /* 2123535 */   // Label 25971: @2123535
     /* 2123535 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(2123644), // Rule ID 15142 //
     /* 2123540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2123543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2123551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2123554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2123557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2123560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123586 */     // MIs[0] round
     /* 2123586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123589 */     // MIs[0] policy
     /* 2123589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123599 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2123616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123643 */     // GIR_Coverage, 15142,
     /* 2123643 */     GIR_EraseRootFromParent_Done,
     /* 2123644 */   // Label 25972: @2123644
     /* 2123644 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(2123753), // Rule ID 15143 //
     /* 2123649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2123652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2123660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2123663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2123666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2123669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123695 */     // MIs[0] round
     /* 2123695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123698 */     // MIs[0] policy
     /* 2123698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123708 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2123725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2123749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123752 */     // GIR_Coverage, 15143,
     /* 2123752 */     GIR_EraseRootFromParent_Done,
     /* 2123753 */   // Label 25973: @2123753
     /* 2123753 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(2123862), // Rule ID 15146 //
     /* 2123758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2123761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123804 */     // MIs[0] round
     /* 2123804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123807 */     // MIs[0] policy
     /* 2123807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123817 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2123834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123861 */     // GIR_Coverage, 15146,
     /* 2123861 */     GIR_EraseRootFromParent_Done,
     /* 2123862 */   // Label 25974: @2123862
     /* 2123862 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(2123971), // Rule ID 15147 //
     /* 2123867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2123870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2123878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2123881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123913 */     // MIs[0] round
     /* 2123913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123916 */     // MIs[0] policy
     /* 2123916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123926 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2123930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2123936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2123940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2123943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2123957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123970 */     // GIR_Coverage, 15147,
     /* 2123970 */     GIR_EraseRootFromParent_Done,
     /* 2123971 */   // Label 25975: @2123971
     /* 2123971 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(2124080), // Rule ID 15150 //
     /* 2123976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2123979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2123984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2123987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2123990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2123996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124022 */     // MIs[0] round
     /* 2124022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124025 */     // MIs[0] policy
     /* 2124025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2124052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124079 */     // GIR_Coverage, 15150,
     /* 2124079 */     GIR_EraseRootFromParent_Done,
     /* 2124080 */   // Label 25976: @2124080
     /* 2124080 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(2124189), // Rule ID 15151 //
     /* 2124085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2124088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2124096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2124099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2124105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124131 */     // MIs[0] round
     /* 2124131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124134 */     // MIs[0] policy
     /* 2124134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2124161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124188 */     // GIR_Coverage, 15151,
     /* 2124188 */     GIR_EraseRootFromParent_Done,
     /* 2124189 */   // Label 25977: @2124189
     /* 2124189 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(2124298), // Rule ID 15154 //
     /* 2124194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2124197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2124214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124240 */     // MIs[0] round
     /* 2124240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124243 */     // MIs[0] policy
     /* 2124243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124253 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2124270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124297 */     // GIR_Coverage, 15154,
     /* 2124297 */     GIR_EraseRootFromParent_Done,
     /* 2124298 */   // Label 25978: @2124298
     /* 2124298 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(2124407), // Rule ID 15155 //
     /* 2124303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2124306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2124323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124349 */     // MIs[0] round
     /* 2124349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124352 */     // MIs[0] policy
     /* 2124352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124366 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2124379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124406 */     // GIR_Coverage, 15155,
     /* 2124406 */     GIR_EraseRootFromParent_Done,
     /* 2124407 */   // Label 25979: @2124407
     /* 2124407 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(2124516), // Rule ID 15158 //
     /* 2124412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2124415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2124423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2124426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2124429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2124432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124458 */     // MIs[0] round
     /* 2124458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124461 */     // MIs[0] policy
     /* 2124461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2124488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2124512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124515 */     // GIR_Coverage, 15158,
     /* 2124515 */     GIR_EraseRootFromParent_Done,
     /* 2124516 */   // Label 25980: @2124516
     /* 2124516 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(2124625), // Rule ID 15159 //
     /* 2124521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2124524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2124532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2124535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2124538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2124541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124567 */     // MIs[0] round
     /* 2124567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124570 */     // MIs[0] policy
     /* 2124570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2124597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2124621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124624 */     // GIR_Coverage, 15159,
     /* 2124624 */     GIR_EraseRootFromParent_Done,
     /* 2124625 */   // Label 25981: @2124625
     /* 2124625 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(2124734), // Rule ID 15162 //
     /* 2124630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2124633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2124650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124676 */     // MIs[0] round
     /* 2124676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124679 */     // MIs[0] policy
     /* 2124679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124689 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2124706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124733 */     // GIR_Coverage, 15162,
     /* 2124733 */     GIR_EraseRootFromParent_Done,
     /* 2124734 */   // Label 25982: @2124734
     /* 2124734 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(2124843), // Rule ID 15163 //
     /* 2124739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2124742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2124750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2124753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2124756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2124759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124785 */     // MIs[0] round
     /* 2124785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124788 */     // MIs[0] policy
     /* 2124788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2124815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124842 */     // GIR_Coverage, 15163,
     /* 2124842 */     GIR_EraseRootFromParent_Done,
     /* 2124843 */   // Label 25983: @2124843
     /* 2124843 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(2124952), // Rule ID 15166 //
     /* 2124848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2124851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124894 */     // MIs[0] round
     /* 2124894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124897 */     // MIs[0] policy
     /* 2124897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2124911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2124917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2124921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2124924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2124938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124951 */     // GIR_Coverage, 15166,
     /* 2124951 */     GIR_EraseRootFromParent_Done,
     /* 2124952 */   // Label 25984: @2124952
     /* 2124952 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(2125061), // Rule ID 15167 //
     /* 2124957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2124960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2124965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125003 */     // MIs[0] round
     /* 2125003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125006 */     // MIs[0] policy
     /* 2125006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125016 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2125033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125041 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125060 */     // GIR_Coverage, 15167,
     /* 2125060 */     GIR_EraseRootFromParent_Done,
     /* 2125061 */   // Label 25985: @2125061
     /* 2125061 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(2125170), // Rule ID 15170 //
     /* 2125066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2125069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2125086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125112 */     // MIs[0] round
     /* 2125112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125115 */     // MIs[0] policy
     /* 2125115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2125142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125169 */     // GIR_Coverage, 15170,
     /* 2125169 */     GIR_EraseRootFromParent_Done,
     /* 2125170 */   // Label 25986: @2125170
     /* 2125170 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(2125279), // Rule ID 15171 //
     /* 2125175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2125178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2125192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2125195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125221 */     // MIs[0] round
     /* 2125221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125224 */     // MIs[0] policy
     /* 2125224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2125251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2125275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125278 */     // GIR_Coverage, 15171,
     /* 2125278 */     GIR_EraseRootFromParent_Done,
     /* 2125279 */   // Label 25987: @2125279
     /* 2125279 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(2125388), // Rule ID 15174 //
     /* 2125284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2125287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2125295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2125298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2125301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2125304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125330 */     // MIs[0] round
     /* 2125330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125333 */     // MIs[0] policy
     /* 2125333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125343 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2125360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125387 */     // GIR_Coverage, 15174,
     /* 2125387 */     GIR_EraseRootFromParent_Done,
     /* 2125388 */   // Label 25988: @2125388
     /* 2125388 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(2125497), // Rule ID 15175 //
     /* 2125393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2125396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2125404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2125407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2125410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2125413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125439 */     // MIs[0] round
     /* 2125439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125442 */     // MIs[0] policy
     /* 2125442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125452 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125456 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2125469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125496 */     // GIR_Coverage, 15175,
     /* 2125496 */     GIR_EraseRootFromParent_Done,
     /* 2125497 */   // Label 25989: @2125497
     /* 2125497 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(2125606), // Rule ID 15178 //
     /* 2125502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2125505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2125513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2125516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2125519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2125522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125548 */     // MIs[0] round
     /* 2125548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125551 */     // MIs[0] policy
     /* 2125551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125561 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2125578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125586 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125605 */     // GIR_Coverage, 15178,
     /* 2125605 */     GIR_EraseRootFromParent_Done,
     /* 2125606 */   // Label 25990: @2125606
     /* 2125606 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(2125715), // Rule ID 15179 //
     /* 2125611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2125614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2125622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2125625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2125628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2125631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2125634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125657 */     // MIs[0] round
     /* 2125657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125660 */     // MIs[0] policy
     /* 2125660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125670 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2125687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125714 */     // GIR_Coverage, 15179,
     /* 2125714 */     GIR_EraseRootFromParent_Done,
     /* 2125715 */   // Label 25991: @2125715
     /* 2125715 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(2125824), // Rule ID 15182 //
     /* 2125720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2125723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2125731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2125734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2125737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2125740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2125743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125766 */     // MIs[0] round
     /* 2125766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125769 */     // MIs[0] policy
     /* 2125769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125779 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2125796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125823 */     // GIR_Coverage, 15182,
     /* 2125823 */     GIR_EraseRootFromParent_Done,
     /* 2125824 */   // Label 25992: @2125824
     /* 2125824 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(2125933), // Rule ID 15183 //
     /* 2125829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2125832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2125840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2125843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2125846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2125849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2125852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125875 */     // MIs[0] round
     /* 2125875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125878 */     // MIs[0] policy
     /* 2125878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125888 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2125892 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2125898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2125902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2125905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2125919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2125929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125932 */     // GIR_Coverage, 15183,
     /* 2125932 */     GIR_EraseRootFromParent_Done,
     /* 2125933 */   // Label 25993: @2125933
     /* 2125933 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(2126042), // Rule ID 15186 //
     /* 2125938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2125941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2125946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2125949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2125952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2125958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125984 */     // MIs[0] round
     /* 2125984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125987 */     // MIs[0] policy
     /* 2125987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2126014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126022 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126041 */     // GIR_Coverage, 15186,
     /* 2126041 */     GIR_EraseRootFromParent_Done,
     /* 2126042 */   // Label 25994: @2126042
     /* 2126042 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(2126151), // Rule ID 15187 //
     /* 2126047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2126050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2126058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2126061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2126064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2126067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126093 */     // MIs[0] round
     /* 2126093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126096 */     // MIs[0] policy
     /* 2126096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126110 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2126123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126131 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126150 */     // GIR_Coverage, 15187,
     /* 2126150 */     GIR_EraseRootFromParent_Done,
     /* 2126151 */   // Label 25995: @2126151
     /* 2126151 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(2126260), // Rule ID 15190 //
     /* 2126156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2126159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2126176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126202 */     // MIs[0] round
     /* 2126202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126205 */     // MIs[0] policy
     /* 2126205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126215 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2126232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126259 */     // GIR_Coverage, 15190,
     /* 2126259 */     GIR_EraseRootFromParent_Done,
     /* 2126260 */   // Label 25996: @2126260
     /* 2126260 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(2126369), // Rule ID 15191 //
     /* 2126265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2126268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2126276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2126279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2126282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2126285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126311 */     // MIs[0] round
     /* 2126311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126314 */     // MIs[0] policy
     /* 2126314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126328 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2126341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126368 */     // GIR_Coverage, 15191,
     /* 2126368 */     GIR_EraseRootFromParent_Done,
     /* 2126369 */   // Label 25997: @2126369
     /* 2126369 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(2126478), // Rule ID 15194 //
     /* 2126374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2126377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2126394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126420 */     // MIs[0] round
     /* 2126420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126423 */     // MIs[0] policy
     /* 2126423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126433 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2126450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126477 */     // GIR_Coverage, 15194,
     /* 2126477 */     GIR_EraseRootFromParent_Done,
     /* 2126478 */   // Label 25998: @2126478
     /* 2126478 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(2126587), // Rule ID 15195 //
     /* 2126483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2126486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2126494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2126497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2126500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2126503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2126506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126529 */     // MIs[0] round
     /* 2126529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126532 */     // MIs[0] policy
     /* 2126532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126542 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126546 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2126559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126586 */     // GIR_Coverage, 15195,
     /* 2126586 */     GIR_EraseRootFromParent_Done,
     /* 2126587 */   // Label 25999: @2126587
     /* 2126587 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(2126696), // Rule ID 15198 //
     /* 2126592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2126595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2126612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126638 */     // MIs[0] round
     /* 2126638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126641 */     // MIs[0] policy
     /* 2126641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126651 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2126668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126695 */     // GIR_Coverage, 15198,
     /* 2126695 */     GIR_EraseRootFromParent_Done,
     /* 2126696 */   // Label 26000: @2126696
     /* 2126696 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(2126805), // Rule ID 15199 //
     /* 2126701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2126704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2126721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126747 */     // MIs[0] round
     /* 2126747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126750 */     // MIs[0] policy
     /* 2126750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2126777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126804 */     // GIR_Coverage, 15199,
     /* 2126804 */     GIR_EraseRootFromParent_Done,
     /* 2126805 */   // Label 26001: @2126805
     /* 2126805 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(2126914), // Rule ID 15202 //
     /* 2126810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2126813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126856 */     // MIs[0] round
     /* 2126856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126859 */     // MIs[0] policy
     /* 2126859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126869 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2126886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2126900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126913 */     // GIR_Coverage, 15202,
     /* 2126913 */     GIR_EraseRootFromParent_Done,
     /* 2126914 */   // Label 26002: @2126914
     /* 2126914 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(2127023), // Rule ID 15203 //
     /* 2126919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2126922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2126927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2126939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126965 */     // MIs[0] round
     /* 2126965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126968 */     // MIs[0] policy
     /* 2126968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126978 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2126982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2126988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2126992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2126995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127022 */     // GIR_Coverage, 15203,
     /* 2127022 */     GIR_EraseRootFromParent_Done,
     /* 2127023 */   // Label 26003: @2127023
     /* 2127023 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(2127132), // Rule ID 15206 //
     /* 2127028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2127048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127074 */     // MIs[0] round
     /* 2127074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127077 */     // MIs[0] policy
     /* 2127077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127087 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2127104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127131 */     // GIR_Coverage, 15206,
     /* 2127131 */     GIR_EraseRootFromParent_Done,
     /* 2127132 */   // Label 26004: @2127132
     /* 2127132 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(2127241), // Rule ID 15207 //
     /* 2127137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2127140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2127157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127183 */     // MIs[0] round
     /* 2127183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127186 */     // MIs[0] policy
     /* 2127186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127200 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2127213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127221 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127240 */     // GIR_Coverage, 15207,
     /* 2127240 */     GIR_EraseRootFromParent_Done,
     /* 2127241 */   // Label 26005: @2127241
     /* 2127241 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(2127350), // Rule ID 15210 //
     /* 2127246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2127249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2127266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127292 */     // MIs[0] round
     /* 2127292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127295 */     // MIs[0] policy
     /* 2127295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127305 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2127322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127349 */     // GIR_Coverage, 15210,
     /* 2127349 */     GIR_EraseRootFromParent_Done,
     /* 2127350 */   // Label 26006: @2127350
     /* 2127350 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(2127459), // Rule ID 15211 //
     /* 2127355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2127358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2127375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127401 */     // MIs[0] round
     /* 2127401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127404 */     // MIs[0] policy
     /* 2127404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127418 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2127431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127458 */     // GIR_Coverage, 15211,
     /* 2127458 */     GIR_EraseRootFromParent_Done,
     /* 2127459 */   // Label 26007: @2127459
     /* 2127459 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(2127568), // Rule ID 15214 //
     /* 2127464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2127467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2127484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127510 */     // MIs[0] round
     /* 2127510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127513 */     // MIs[0] policy
     /* 2127513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127523 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2127540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127567 */     // GIR_Coverage, 15214,
     /* 2127567 */     GIR_EraseRootFromParent_Done,
     /* 2127568 */   // Label 26008: @2127568
     /* 2127568 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(2127677), // Rule ID 15215 //
     /* 2127573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2127576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2127593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127619 */     // MIs[0] round
     /* 2127619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127622 */     // MIs[0] policy
     /* 2127622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127632 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127636 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2127649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127657 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127676 */     // GIR_Coverage, 15215,
     /* 2127676 */     GIR_EraseRootFromParent_Done,
     /* 2127677 */   // Label 26009: @2127677
     /* 2127677 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(2127786), // Rule ID 15218 //
     /* 2127682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2127685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2127702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127728 */     // MIs[0] round
     /* 2127728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127731 */     // MIs[0] policy
     /* 2127731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127741 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2127758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127785 */     // GIR_Coverage, 15218,
     /* 2127785 */     GIR_EraseRootFromParent_Done,
     /* 2127786 */   // Label 26010: @2127786
     /* 2127786 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(2127895), // Rule ID 15219 //
     /* 2127791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2127794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2127811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127837 */     // MIs[0] round
     /* 2127837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127840 */     // MIs[0] policy
     /* 2127840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2127867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2127891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127894 */     // GIR_Coverage, 15219,
     /* 2127894 */     GIR_EraseRootFromParent_Done,
     /* 2127895 */   // Label 26011: @2127895
     /* 2127895 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(2128004), // Rule ID 15222 //
     /* 2127900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2127903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2127908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2127911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2127914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2127917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2127920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2127942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127946 */     // MIs[0] round
     /* 2127946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127949 */     // MIs[0] policy
     /* 2127949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127959 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2127963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2127969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2127973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2127976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2127990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128003 */     // GIR_Coverage, 15222,
     /* 2128003 */     GIR_EraseRootFromParent_Done,
     /* 2128004 */   // Label 26012: @2128004
     /* 2128004 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(2128113), // Rule ID 15223 //
     /* 2128009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2128020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2128023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2128026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128055 */     // MIs[0] round
     /* 2128055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128058 */     // MIs[0] policy
     /* 2128058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128068 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2128085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128112 */     // GIR_Coverage, 15223,
     /* 2128112 */     GIR_EraseRootFromParent_Done,
     /* 2128113 */   // Label 26013: @2128113
     /* 2128113 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(2128222), // Rule ID 15226 //
     /* 2128118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2128129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2128132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2128135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128164 */     // MIs[0] round
     /* 2128164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128167 */     // MIs[0] policy
     /* 2128167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128177 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2128194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128221 */     // GIR_Coverage, 15226,
     /* 2128221 */     GIR_EraseRootFromParent_Done,
     /* 2128222 */   // Label 26014: @2128222
     /* 2128222 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(2128331), // Rule ID 15227 //
     /* 2128227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2128238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2128241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2128244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128273 */     // MIs[0] round
     /* 2128273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128276 */     // MIs[0] policy
     /* 2128276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128290 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2128303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128330 */     // GIR_Coverage, 15227,
     /* 2128330 */     GIR_EraseRootFromParent_Done,
     /* 2128331 */   // Label 26015: @2128331
     /* 2128331 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(2128440), // Rule ID 15230 //
     /* 2128336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2128347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2128350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2128353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128382 */     // MIs[0] round
     /* 2128382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128385 */     // MIs[0] policy
     /* 2128385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128395 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2128412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128439 */     // GIR_Coverage, 15230,
     /* 2128439 */     GIR_EraseRootFromParent_Done,
     /* 2128440 */   // Label 26016: @2128440
     /* 2128440 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(2128549), // Rule ID 15231 //
     /* 2128445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2128456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2128459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2128462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128491 */     // MIs[0] round
     /* 2128491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128494 */     // MIs[0] policy
     /* 2128494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2128521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2128545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128548 */     // GIR_Coverage, 15231,
     /* 2128548 */     GIR_EraseRootFromParent_Done,
     /* 2128549 */   // Label 26017: @2128549
     /* 2128549 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(2128658), // Rule ID 15234 //
     /* 2128554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128600 */     // MIs[0] round
     /* 2128600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128603 */     // MIs[0] policy
     /* 2128603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128613 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2128630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128657 */     // GIR_Coverage, 15234,
     /* 2128657 */     GIR_EraseRootFromParent_Done,
     /* 2128658 */   // Label 26018: @2128658
     /* 2128658 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(2128767), // Rule ID 15235 //
     /* 2128663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2128674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2128677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2128680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128709 */     // MIs[0] round
     /* 2128709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128712 */     // MIs[0] policy
     /* 2128712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128726 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2128739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128747 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128766 */     // GIR_Coverage, 15235,
     /* 2128766 */     GIR_EraseRootFromParent_Done,
     /* 2128767 */   // Label 26019: @2128767
     /* 2128767 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(2128876), // Rule ID 15238 //
     /* 2128772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2128792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128818 */     // MIs[0] round
     /* 2128818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128821 */     // MIs[0] policy
     /* 2128821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128831 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2128848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128875 */     // GIR_Coverage, 15238,
     /* 2128875 */     GIR_EraseRootFromParent_Done,
     /* 2128876 */   // Label 26020: @2128876
     /* 2128876 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(2128985), // Rule ID 15239 //
     /* 2128881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2128884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2128892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2128895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2128898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2128923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128927 */     // MIs[0] round
     /* 2128927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128930 */     // MIs[0] policy
     /* 2128930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2128944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2128950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2128954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2128957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2128971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128984 */     // GIR_Coverage, 15239,
     /* 2128984 */     GIR_EraseRootFromParent_Done,
     /* 2128985 */   // Label 26021: @2128985
     /* 2128985 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(2129094), // Rule ID 15242 //
     /* 2128990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2128993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2128998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129036 */     // MIs[0] round
     /* 2129036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129039 */     // MIs[0] policy
     /* 2129039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129049 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2129066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129093 */     // GIR_Coverage, 15242,
     /* 2129093 */     GIR_EraseRootFromParent_Done,
     /* 2129094 */   // Label 26022: @2129094
     /* 2129094 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(2129203), // Rule ID 15243 //
     /* 2129099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129145 */     // MIs[0] round
     /* 2129145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129148 */     // MIs[0] policy
     /* 2129148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2129175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129202 */     // GIR_Coverage, 15243,
     /* 2129202 */     GIR_EraseRootFromParent_Done,
     /* 2129203 */   // Label 26023: @2129203
     /* 2129203 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(2129312), // Rule ID 15246 //
     /* 2129208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2129219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2129222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2129225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129254 */     // MIs[0] round
     /* 2129254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129257 */     // MIs[0] policy
     /* 2129257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129267 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129311 */     // GIR_Coverage, 15246,
     /* 2129311 */     GIR_EraseRootFromParent_Done,
     /* 2129312 */   // Label 26024: @2129312
     /* 2129312 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(2129421), // Rule ID 15247 //
     /* 2129317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2129328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2129331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2129334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129363 */     // MIs[0] round
     /* 2129363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129366 */     // MIs[0] policy
     /* 2129366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129376 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10795:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129380 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129401 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2129417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129420 */     // GIR_Coverage, 15247,
     /* 2129420 */     GIR_EraseRootFromParent_Done,
     /* 2129421 */   // Label 26025: @2129421
     /* 2129421 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(2129530), // Rule ID 15250 //
     /* 2129426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129472 */     // MIs[0] round
     /* 2129472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129475 */     // MIs[0] policy
     /* 2129475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129529 */     // GIR_Coverage, 15250,
     /* 2129529 */     GIR_EraseRootFromParent_Done,
     /* 2129530 */   // Label 26026: @2129530
     /* 2129530 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(2129639), // Rule ID 15251 //
     /* 2129535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2129546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2129549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2129552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129581 */     // MIs[0] round
     /* 2129581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129584 */     // MIs[0] policy
     /* 2129584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10795:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129638 */     // GIR_Coverage, 15251,
     /* 2129638 */     GIR_EraseRootFromParent_Done,
     /* 2129639 */   // Label 26027: @2129639
     /* 2129639 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(2129748), // Rule ID 15254 //
     /* 2129644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2129647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129690 */     // MIs[0] round
     /* 2129690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129693 */     // MIs[0] policy
     /* 2129693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129747 */     // GIR_Coverage, 15254,
     /* 2129747 */     GIR_EraseRootFromParent_Done,
     /* 2129748 */   // Label 26028: @2129748
     /* 2129748 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(2129857), // Rule ID 15255 //
     /* 2129753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2129756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129799 */     // MIs[0] round
     /* 2129799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129802 */     // MIs[0] policy
     /* 2129802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10795:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129816 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129856 */     // GIR_Coverage, 15255,
     /* 2129856 */     GIR_EraseRootFromParent_Done,
     /* 2129857 */   // Label 26029: @2129857
     /* 2129857 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(2129966), // Rule ID 15258 //
     /* 2129862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2129865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2129882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2129904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129908 */     // MIs[0] round
     /* 2129908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129911 */     // MIs[0] policy
     /* 2129911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129921 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2129925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2129931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2129935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2129938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2129952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2129962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129965 */     // GIR_Coverage, 15258,
     /* 2129965 */     GIR_EraseRootFromParent_Done,
     /* 2129966 */   // Label 26030: @2129966
     /* 2129966 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(2130075), // Rule ID 15259 //
     /* 2129971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2129974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2129979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2129982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2129985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2129988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130017 */     // MIs[0] round
     /* 2130017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130020 */     // MIs[0] policy
     /* 2130020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130030 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10795:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2130047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2130071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130074 */     // GIR_Coverage, 15259,
     /* 2130074 */     GIR_EraseRootFromParent_Done,
     /* 2130075 */   // Label 26031: @2130075
     /* 2130075 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(2130184), // Rule ID 15262 //
     /* 2130080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2130091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2130094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2130097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130126 */     // MIs[0] round
     /* 2130126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130129 */     // MIs[0] policy
     /* 2130129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130139 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2130156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130183 */     // GIR_Coverage, 15262,
     /* 2130183 */     GIR_EraseRootFromParent_Done,
     /* 2130184 */   // Label 26032: @2130184
     /* 2130184 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(2130293), // Rule ID 15263 //
     /* 2130189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2130200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2130203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2130206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130235 */     // MIs[0] round
     /* 2130235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130238 */     // MIs[0] policy
     /* 2130238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2130265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130292 */     // GIR_Coverage, 15263,
     /* 2130292 */     GIR_EraseRootFromParent_Done,
     /* 2130293 */   // Label 26033: @2130293
     /* 2130293 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(2130402), // Rule ID 15266 //
     /* 2130298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2130309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2130312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2130315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130344 */     // MIs[0] round
     /* 2130344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130347 */     // MIs[0] policy
     /* 2130347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130357 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2130374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130401 */     // GIR_Coverage, 15266,
     /* 2130401 */     GIR_EraseRootFromParent_Done,
     /* 2130402 */   // Label 26034: @2130402
     /* 2130402 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(2130511), // Rule ID 15267 //
     /* 2130407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2130418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2130421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2130424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2130430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130453 */     // MIs[0] round
     /* 2130453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130456 */     // MIs[0] policy
     /* 2130456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130470 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2130483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130510 */     // GIR_Coverage, 15267,
     /* 2130510 */     GIR_EraseRootFromParent_Done,
     /* 2130511 */   // Label 26035: @2130511
     /* 2130511 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(2130620), // Rule ID 15270 //
     /* 2130516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2130527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2130530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2130533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2130539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130562 */     // MIs[0] round
     /* 2130562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130565 */     // MIs[0] policy
     /* 2130565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130575 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2130592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130619 */     // GIR_Coverage, 15270,
     /* 2130619 */     GIR_EraseRootFromParent_Done,
     /* 2130620 */   // Label 26036: @2130620
     /* 2130620 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(2130729), // Rule ID 15271 //
     /* 2130625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2130636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2130639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2130642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2130648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130671 */     // MIs[0] round
     /* 2130671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130674 */     // MIs[0] policy
     /* 2130674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130684 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2130701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2130725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130728 */     // GIR_Coverage, 15271,
     /* 2130728 */     GIR_EraseRootFromParent_Done,
     /* 2130729 */   // Label 26037: @2130729
     /* 2130729 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(2130838), // Rule ID 15274 //
     /* 2130734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130780 */     // MIs[0] round
     /* 2130780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130783 */     // MIs[0] policy
     /* 2130783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130793 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2130810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130837 */     // GIR_Coverage, 15274,
     /* 2130837 */     GIR_EraseRootFromParent_Done,
     /* 2130838 */   // Label 26038: @2130838
     /* 2130838 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(2130947), // Rule ID 15275 //
     /* 2130843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2130846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2130854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2130857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2130860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2130863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130889 */     // MIs[0] round
     /* 2130889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130892 */     // MIs[0] policy
     /* 2130892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130902 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2130906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2130912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2130916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2130919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2130933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130946 */     // GIR_Coverage, 15275,
     /* 2130946 */     GIR_EraseRootFromParent_Done,
     /* 2130947 */   // Label 26039: @2130947
     /* 2130947 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(2131056), // Rule ID 15278 //
     /* 2130952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2130955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2130960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2130963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2130966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2130969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2130972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2130994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130998 */     // MIs[0] round
     /* 2130998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131001 */     // MIs[0] policy
     /* 2131001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2131028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131055 */     // GIR_Coverage, 15278,
     /* 2131055 */     GIR_EraseRootFromParent_Done,
     /* 2131056 */   // Label 26040: @2131056
     /* 2131056 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(2131165), // Rule ID 15279 //
     /* 2131061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2131072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2131075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2131078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131107 */     // MIs[0] round
     /* 2131107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131110 */     // MIs[0] policy
     /* 2131110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2131137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131164 */     // GIR_Coverage, 15279,
     /* 2131164 */     GIR_EraseRootFromParent_Done,
     /* 2131165 */   // Label 26041: @2131165
     /* 2131165 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(2131274), // Rule ID 15282 //
     /* 2131170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2131187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131216 */     // MIs[0] round
     /* 2131216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131219 */     // MIs[0] policy
     /* 2131219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131229 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2131246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131273 */     // GIR_Coverage, 15282,
     /* 2131273 */     GIR_EraseRootFromParent_Done,
     /* 2131274 */   // Label 26042: @2131274
     /* 2131274 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(2131383), // Rule ID 15283 //
     /* 2131279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2131290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2131293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2131296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2131302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131325 */     // MIs[0] round
     /* 2131325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131328 */     // MIs[0] policy
     /* 2131328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2131355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131382 */     // GIR_Coverage, 15283,
     /* 2131382 */     GIR_EraseRootFromParent_Done,
     /* 2131383 */   // Label 26043: @2131383
     /* 2131383 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(2131492), // Rule ID 15286 //
     /* 2131388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131434 */     // MIs[0] round
     /* 2131434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131437 */     // MIs[0] policy
     /* 2131437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131451 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2131464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131491 */     // GIR_Coverage, 15286,
     /* 2131491 */     GIR_EraseRootFromParent_Done,
     /* 2131492 */   // Label 26044: @2131492
     /* 2131492 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(2131601), // Rule ID 15287 //
     /* 2131497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131543 */     // MIs[0] round
     /* 2131543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131546 */     // MIs[0] policy
     /* 2131546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2131573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131600 */     // GIR_Coverage, 15287,
     /* 2131600 */     GIR_EraseRootFromParent_Done,
     /* 2131601 */   // Label 26045: @2131601
     /* 2131601 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(2131710), // Rule ID 15290 //
     /* 2131606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131652 */     // MIs[0] round
     /* 2131652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131655 */     // MIs[0] policy
     /* 2131655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131665 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2131682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131709 */     // GIR_Coverage, 15290,
     /* 2131709 */     GIR_EraseRootFromParent_Done,
     /* 2131710 */   // Label 26046: @2131710
     /* 2131710 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(2131819), // Rule ID 15291 //
     /* 2131715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131761 */     // MIs[0] round
     /* 2131761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131764 */     // MIs[0] policy
     /* 2131764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131774 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2131791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131818 */     // GIR_Coverage, 15291,
     /* 2131818 */     GIR_EraseRootFromParent_Done,
     /* 2131819 */   // Label 26047: @2131819
     /* 2131819 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(2131928), // Rule ID 15294 //
     /* 2131824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2131827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2131844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131870 */     // MIs[0] round
     /* 2131870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131873 */     // MIs[0] policy
     /* 2131873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2131893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2131897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2131900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2131914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131927 */     // GIR_Coverage, 15294,
     /* 2131927 */     GIR_EraseRootFromParent_Done,
     /* 2131928 */   // Label 26048: @2131928
     /* 2131928 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(2132037), // Rule ID 15295 //
     /* 2131933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2131936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2131941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2131953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2131975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131979 */     // MIs[0] round
     /* 2131979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131982 */     // MIs[0] policy
     /* 2131982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2131996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2132009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132036 */     // GIR_Coverage, 15295,
     /* 2132036 */     GIR_EraseRootFromParent_Done,
     /* 2132037 */   // Label 26049: @2132037
     /* 2132037 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(2132146), // Rule ID 15298 //
     /* 2132042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2132045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132088 */     // MIs[0] round
     /* 2132088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132091 */     // MIs[0] policy
     /* 2132091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132101 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2132118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132145 */     // GIR_Coverage, 15298,
     /* 2132145 */     GIR_EraseRootFromParent_Done,
     /* 2132146 */   // Label 26050: @2132146
     /* 2132146 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(2132255), // Rule ID 15299 //
     /* 2132151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132197 */     // MIs[0] round
     /* 2132197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132200 */     // MIs[0] policy
     /* 2132200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132210 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10795:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2132227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132254 */     // GIR_Coverage, 15299,
     /* 2132254 */     GIR_EraseRootFromParent_Done,
     /* 2132255 */   // Label 26051: @2132255
     /* 2132255 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(2132364), // Rule ID 15302 //
     /* 2132260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2132263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2132277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132306 */     // MIs[0] round
     /* 2132306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132309 */     // MIs[0] policy
     /* 2132309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132319 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2132336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132363 */     // GIR_Coverage, 15302,
     /* 2132363 */     GIR_EraseRootFromParent_Done,
     /* 2132364 */   // Label 26052: @2132364
     /* 2132364 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(2132473), // Rule ID 15303 //
     /* 2132369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2132386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132415 */     // MIs[0] round
     /* 2132415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132418 */     // MIs[0] policy
     /* 2132418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10795:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2132445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132472 */     // GIR_Coverage, 15303,
     /* 2132472 */     GIR_EraseRootFromParent_Done,
     /* 2132473 */   // Label 26053: @2132473
     /* 2132473 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(2132582), // Rule ID 15306 //
     /* 2132478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2132481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2132498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132524 */     // MIs[0] round
     /* 2132524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132527 */     // MIs[0] policy
     /* 2132527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2132554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132581 */     // GIR_Coverage, 15306,
     /* 2132581 */     GIR_EraseRootFromParent_Done,
     /* 2132582 */   // Label 26054: @2132582
     /* 2132582 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(2132691), // Rule ID 15307 //
     /* 2132587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2132590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2132595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2132629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132633 */     // MIs[0] round
     /* 2132633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132636 */     // MIs[0] policy
     /* 2132636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132646 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10795:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2132663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2132687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132690 */     // GIR_Coverage, 15307,
     /* 2132690 */     GIR_EraseRootFromParent_Done,
     /* 2132691 */   // Label 26055: @2132691
     /* 2132691 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(2132800), // Rule ID 15310 //
     /* 2132696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2132704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2132707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2132710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2132713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2132716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132742 */     // MIs[0] round
     /* 2132742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132745 */     // MIs[0] policy
     /* 2132745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132755 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2132772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132799 */     // GIR_Coverage, 15310,
     /* 2132799 */     GIR_EraseRootFromParent_Done,
     /* 2132800 */   // Label 26056: @2132800
     /* 2132800 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(2132909), // Rule ID 15311 //
     /* 2132805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2132808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2132813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2132816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2132819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2132822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2132825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132851 */     // MIs[0] round
     /* 2132851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132854 */     // MIs[0] policy
     /* 2132854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132864 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2132881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2132895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2132905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132908 */     // GIR_Coverage, 15311,
     /* 2132908 */     GIR_EraseRootFromParent_Done,
     /* 2132909 */   // Label 26057: @2132909
     /* 2132909 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(2133018), // Rule ID 15314 //
     /* 2132914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2132917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2132922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2132925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2132928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2132931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2132934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132960 */     // MIs[0] round
     /* 2132960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132963 */     // MIs[0] policy
     /* 2132963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132973 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2132977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2132983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2132987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2132990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133017 */     // GIR_Coverage, 15314,
     /* 2133017 */     GIR_EraseRootFromParent_Done,
     /* 2133018 */   // Label 26058: @2133018
     /* 2133018 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(2133127), // Rule ID 15315 //
     /* 2133023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2133034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2133037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2133040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2133043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133069 */     // MIs[0] round
     /* 2133069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133072 */     // MIs[0] policy
     /* 2133072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133082 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133086 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2133099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133126 */     // GIR_Coverage, 15315,
     /* 2133126 */     GIR_EraseRootFromParent_Done,
     /* 2133127 */   // Label 26059: @2133127
     /* 2133127 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(2133236), // Rule ID 15318 //
     /* 2133132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2133143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2133146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2133149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2133152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133178 */     // MIs[0] round
     /* 2133178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133181 */     // MIs[0] policy
     /* 2133181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133191 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133235 */     // GIR_Coverage, 15318,
     /* 2133235 */     GIR_EraseRootFromParent_Done,
     /* 2133236 */   // Label 26060: @2133236
     /* 2133236 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(2133345), // Rule ID 15319 //
     /* 2133241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2133252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2133255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2133258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2133261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133287 */     // MIs[0] round
     /* 2133287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133290 */     // MIs[0] policy
     /* 2133290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133300 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2133341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133344 */     // GIR_Coverage, 15319,
     /* 2133344 */     GIR_EraseRootFromParent_Done,
     /* 2133345 */   // Label 26061: @2133345
     /* 2133345 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(2133454), // Rule ID 15322 //
     /* 2133350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2133361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2133364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2133367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2133370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133396 */     // MIs[0] round
     /* 2133396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133399 */     // MIs[0] policy
     /* 2133399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133409 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2133426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133453 */     // GIR_Coverage, 15322,
     /* 2133453 */     GIR_EraseRootFromParent_Done,
     /* 2133454 */   // Label 26062: @2133454
     /* 2133454 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(2133563), // Rule ID 15323 //
     /* 2133459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2133470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2133473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2133476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2133479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133505 */     // MIs[0] round
     /* 2133505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133508 */     // MIs[0] policy
     /* 2133508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2133535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133562 */     // GIR_Coverage, 15323,
     /* 2133562 */     GIR_EraseRootFromParent_Done,
     /* 2133563 */   // Label 26063: @2133563
     /* 2133563 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(2133672), // Rule ID 15326 //
     /* 2133568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133614 */     // MIs[0] round
     /* 2133614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133617 */     // MIs[0] policy
     /* 2133617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133627 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133671 */     // GIR_Coverage, 15326,
     /* 2133671 */     GIR_EraseRootFromParent_Done,
     /* 2133672 */   // Label 26064: @2133672
     /* 2133672 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(2133781), // Rule ID 15327 //
     /* 2133677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133723 */     // MIs[0] round
     /* 2133723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133726 */     // MIs[0] policy
     /* 2133726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133780 */     // GIR_Coverage, 15327,
     /* 2133780 */     GIR_EraseRootFromParent_Done,
     /* 2133781 */   // Label 26065: @2133781
     /* 2133781 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(2133890), // Rule ID 15330 //
     /* 2133786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2133789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133832 */     // MIs[0] round
     /* 2133832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133835 */     // MIs[0] policy
     /* 2133835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133845 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133889 */     // GIR_Coverage, 15330,
     /* 2133889 */     GIR_EraseRootFromParent_Done,
     /* 2133890 */   // Label 26066: @2133890
     /* 2133890 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(2133999), // Rule ID 15331 //
     /* 2133895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2133898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2133903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133941 */     // MIs[0] round
     /* 2133941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133944 */     // MIs[0] policy
     /* 2133944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2133958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2133964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2133968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2133971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2133985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133998 */     // GIR_Coverage, 15331,
     /* 2133998 */     GIR_EraseRootFromParent_Done,
     /* 2133999 */   // Label 26067: @2133999
     /* 2133999 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(2134108), // Rule ID 15334 //
     /* 2134004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2134015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2134018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2134021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2134024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134050 */     // MIs[0] round
     /* 2134050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134053 */     // MIs[0] policy
     /* 2134053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134063 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134107 */     // GIR_Coverage, 15334,
     /* 2134107 */     GIR_EraseRootFromParent_Done,
     /* 2134108 */   // Label 26068: @2134108
     /* 2134108 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(2134217), // Rule ID 15335 //
     /* 2134113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2134124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2134127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2134130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2134133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134159 */     // MIs[0] round
     /* 2134159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134162 */     // MIs[0] policy
     /* 2134162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134176 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134216 */     // GIR_Coverage, 15335,
     /* 2134216 */     GIR_EraseRootFromParent_Done,
     /* 2134217 */   // Label 26069: @2134217
     /* 2134217 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(2134326), // Rule ID 15338 //
     /* 2134222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134268 */     // MIs[0] round
     /* 2134268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134271 */     // MIs[0] policy
     /* 2134271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134281 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134325 */     // GIR_Coverage, 15338,
     /* 2134325 */     GIR_EraseRootFromParent_Done,
     /* 2134326 */   // Label 26070: @2134326
     /* 2134326 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(2134435), // Rule ID 15339 //
     /* 2134331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2134342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2134345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2134348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2134351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134377 */     // MIs[0] round
     /* 2134377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134380 */     // MIs[0] policy
     /* 2134380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134434 */     // GIR_Coverage, 15339,
     /* 2134434 */     GIR_EraseRootFromParent_Done,
     /* 2134435 */   // Label 26071: @2134435
     /* 2134435 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(2134544), // Rule ID 15342 //
     /* 2134440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134486 */     // MIs[0] round
     /* 2134486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134489 */     // MIs[0] policy
     /* 2134489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134543 */     // GIR_Coverage, 15342,
     /* 2134543 */     GIR_EraseRootFromParent_Done,
     /* 2134544 */   // Label 26072: @2134544
     /* 2134544 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(2134653), // Rule ID 15343 //
     /* 2134549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2134560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2134563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2134566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2134569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134595 */     // MIs[0] round
     /* 2134595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134598 */     // MIs[0] policy
     /* 2134598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134652 */     // GIR_Coverage, 15343,
     /* 2134652 */     GIR_EraseRootFromParent_Done,
     /* 2134653 */   // Label 26073: @2134653
     /* 2134653 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(2134762), // Rule ID 15346 //
     /* 2134658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2134661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134704 */     // MIs[0] round
     /* 2134704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134707 */     // MIs[0] policy
     /* 2134707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134717 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134761 */     // GIR_Coverage, 15346,
     /* 2134761 */     GIR_EraseRootFromParent_Done,
     /* 2134762 */   // Label 26074: @2134762
     /* 2134762 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(2134871), // Rule ID 15347 //
     /* 2134767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2134770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2134778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2134781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2134784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2134787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2134790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2134797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2134809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134813 */     // MIs[0] round
     /* 2134813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134816 */     // MIs[0] policy
     /* 2134816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2134843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2134867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134870 */     // GIR_Coverage, 15347,
     /* 2134870 */     GIR_EraseRootFromParent_Done,
     /* 2134871 */   // Label 26075: @2134871
     /* 2134871 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(2134980), // Rule ID 15350 //
     /* 2134876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2134879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2134887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2134890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2134893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2134896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134922 */     // MIs[0] round
     /* 2134922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134925 */     // MIs[0] policy
     /* 2134925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134935 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2134939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2134945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2134949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2134952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2134966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2134976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134979 */     // GIR_Coverage, 15350,
     /* 2134979 */     GIR_EraseRootFromParent_Done,
     /* 2134980 */   // Label 26076: @2134980
     /* 2134980 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(2135089), // Rule ID 15351 //
     /* 2134985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2134988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2134993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2134996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2134999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2135002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2135005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135031 */     // MIs[0] round
     /* 2135031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135034 */     // MIs[0] policy
     /* 2135034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135044 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2135061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135088 */     // GIR_Coverage, 15351,
     /* 2135088 */     GIR_EraseRootFromParent_Done,
     /* 2135089 */   // Label 26077: @2135089
     /* 2135089 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(2135198), // Rule ID 15354 //
     /* 2135094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2135105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2135108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2135111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2135114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135140 */     // MIs[0] round
     /* 2135140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135143 */     // MIs[0] policy
     /* 2135143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135153 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2135170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135197 */     // GIR_Coverage, 15354,
     /* 2135197 */     GIR_EraseRootFromParent_Done,
     /* 2135198 */   // Label 26078: @2135198
     /* 2135198 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(2135307), // Rule ID 15355 //
     /* 2135203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2135214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2135217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2135220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2135223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135249 */     // MIs[0] round
     /* 2135249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135252 */     // MIs[0] policy
     /* 2135252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135266 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2135279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135287 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135306 */     // GIR_Coverage, 15355,
     /* 2135306 */     GIR_EraseRootFromParent_Done,
     /* 2135307 */   // Label 26079: @2135307
     /* 2135307 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(2135416), // Rule ID 15358 //
     /* 2135312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2135323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2135326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2135329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2135332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2135335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135358 */     // MIs[0] round
     /* 2135358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135361 */     // MIs[0] policy
     /* 2135361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135371 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2135388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135415 */     // GIR_Coverage, 15358,
     /* 2135415 */     GIR_EraseRootFromParent_Done,
     /* 2135416 */   // Label 26080: @2135416
     /* 2135416 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(2135525), // Rule ID 15359 //
     /* 2135421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2135432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2135435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2135438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2135441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2135444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135467 */     // MIs[0] round
     /* 2135467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135470 */     // MIs[0] policy
     /* 2135470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2135497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2135521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135524 */     // GIR_Coverage, 15359,
     /* 2135524 */     GIR_EraseRootFromParent_Done,
     /* 2135525 */   // Label 26081: @2135525
     /* 2135525 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(2135634), // Rule ID 15362 //
     /* 2135530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135576 */     // MIs[0] round
     /* 2135576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135579 */     // MIs[0] policy
     /* 2135579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135589 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2135606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135633 */     // GIR_Coverage, 15362,
     /* 2135633 */     GIR_EraseRootFromParent_Done,
     /* 2135634 */   // Label 26082: @2135634
     /* 2135634 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(2135743), // Rule ID 15363 //
     /* 2135639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2135650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2135653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2135656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2135659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135685 */     // MIs[0] round
     /* 2135685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135688 */     // MIs[0] policy
     /* 2135688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2135715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135742 */     // GIR_Coverage, 15363,
     /* 2135742 */     GIR_EraseRootFromParent_Done,
     /* 2135743 */   // Label 26083: @2135743
     /* 2135743 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(2135852), // Rule ID 15366 //
     /* 2135748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135794 */     // MIs[0] round
     /* 2135794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135797 */     // MIs[0] policy
     /* 2135797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135807 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2135824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135851 */     // GIR_Coverage, 15366,
     /* 2135851 */     GIR_EraseRootFromParent_Done,
     /* 2135852 */   // Label 26084: @2135852
     /* 2135852 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(2135961), // Rule ID 15367 //
     /* 2135857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2135860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2135868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2135871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2135874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2135877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2135880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135903 */     // MIs[0] round
     /* 2135903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135906 */     // MIs[0] policy
     /* 2135906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2135920 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2135926 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2135930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2135933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135941 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2135947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135960 */     // GIR_Coverage, 15367,
     /* 2135960 */     GIR_EraseRootFromParent_Done,
     /* 2135961 */   // Label 26085: @2135961
     /* 2135961 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(2136070), // Rule ID 15370 //
     /* 2135966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2135969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2135974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2135977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2135980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2135983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2135986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2135989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136012 */     // MIs[0] round
     /* 2136012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136015 */     // MIs[0] policy
     /* 2136015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136025 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2136042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136069 */     // GIR_Coverage, 15370,
     /* 2136069 */     GIR_EraseRootFromParent_Done,
     /* 2136070 */   // Label 26086: @2136070
     /* 2136070 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(2136179), // Rule ID 15371 //
     /* 2136075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2136086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2136089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2136092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2136095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2136098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136121 */     // MIs[0] round
     /* 2136121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136124 */     // MIs[0] policy
     /* 2136124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2136151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136178 */     // GIR_Coverage, 15371,
     /* 2136178 */     GIR_EraseRootFromParent_Done,
     /* 2136179 */   // Label 26087: @2136179
     /* 2136179 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(2136288), // Rule ID 15374 //
     /* 2136184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136230 */     // MIs[0] round
     /* 2136230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136233 */     // MIs[0] policy
     /* 2136233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136243 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2136260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136287 */     // GIR_Coverage, 15374,
     /* 2136287 */     GIR_EraseRootFromParent_Done,
     /* 2136288 */   // Label 26088: @2136288
     /* 2136288 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(2136397), // Rule ID 15375 //
     /* 2136293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2136304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2136307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2136310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2136313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136339 */     // MIs[0] round
     /* 2136339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136342 */     // MIs[0] policy
     /* 2136342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136356 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2136369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136396 */     // GIR_Coverage, 15375,
     /* 2136396 */     GIR_EraseRootFromParent_Done,
     /* 2136397 */   // Label 26089: @2136397
     /* 2136397 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(2136506), // Rule ID 15378 //
     /* 2136402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136448 */     // MIs[0] round
     /* 2136448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136451 */     // MIs[0] policy
     /* 2136451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2136478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136505 */     // GIR_Coverage, 15378,
     /* 2136505 */     GIR_EraseRootFromParent_Done,
     /* 2136506 */   // Label 26090: @2136506
     /* 2136506 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(2136615), // Rule ID 15379 //
     /* 2136511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2136522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2136525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2136528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2136531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136557 */     // MIs[0] round
     /* 2136557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136560 */     // MIs[0] policy
     /* 2136560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2136587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136614 */     // GIR_Coverage, 15379,
     /* 2136614 */     GIR_EraseRootFromParent_Done,
     /* 2136615 */   // Label 26091: @2136615
     /* 2136615 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(2136724), // Rule ID 15382 //
     /* 2136620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2136623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136666 */     // MIs[0] round
     /* 2136666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136669 */     // MIs[0] policy
     /* 2136669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136679 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2136696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136723 */     // GIR_Coverage, 15382,
     /* 2136723 */     GIR_EraseRootFromParent_Done,
     /* 2136724 */   // Label 26092: @2136724
     /* 2136724 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(2136833), // Rule ID 15383 //
     /* 2136729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2136732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2136740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2136743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2136746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2136749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2136771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136775 */     // MIs[0] round
     /* 2136775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136778 */     // MIs[0] policy
     /* 2136778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136788 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2136805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136832 */     // GIR_Coverage, 15383,
     /* 2136832 */     GIR_EraseRootFromParent_Done,
     /* 2136833 */   // Label 26093: @2136833
     /* 2136833 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(2136942), // Rule ID 15386 //
     /* 2136838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2136841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136884 */     // MIs[0] round
     /* 2136884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136887 */     // MIs[0] policy
     /* 2136887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2136901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2136907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2136911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2136914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2136928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136941 */     // GIR_Coverage, 15386,
     /* 2136941 */     GIR_EraseRootFromParent_Done,
     /* 2136942 */   // Label 26094: @2136942
     /* 2136942 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(2137051), // Rule ID 15387 //
     /* 2136947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2136950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2136955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2136958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2136961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2136964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2136967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136993 */     // MIs[0] round
     /* 2136993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136996 */     // MIs[0] policy
     /* 2136996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137006 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2137023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137050 */     // GIR_Coverage, 15387,
     /* 2137050 */     GIR_EraseRootFromParent_Done,
     /* 2137051 */   // Label 26095: @2137051
     /* 2137051 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(2137160), // Rule ID 15390 //
     /* 2137056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2137059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2137076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137102 */     // MIs[0] round
     /* 2137102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137105 */     // MIs[0] policy
     /* 2137105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137115 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2137132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137159 */     // GIR_Coverage, 15390,
     /* 2137159 */     GIR_EraseRootFromParent_Done,
     /* 2137160 */   // Label 26096: @2137160
     /* 2137160 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(2137269), // Rule ID 15391 //
     /* 2137165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2137168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2137185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137211 */     // MIs[0] round
     /* 2137211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137214 */     // MIs[0] policy
     /* 2137214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2137241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137268 */     // GIR_Coverage, 15391,
     /* 2137268 */     GIR_EraseRootFromParent_Done,
     /* 2137269 */   // Label 26097: @2137269
     /* 2137269 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(2137378), // Rule ID 15394 //
     /* 2137274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2137277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2137285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2137288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2137291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2137294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137320 */     // MIs[0] round
     /* 2137320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137323 */     // MIs[0] policy
     /* 2137323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137333 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2137350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137377 */     // GIR_Coverage, 15394,
     /* 2137377 */     GIR_EraseRootFromParent_Done,
     /* 2137378 */   // Label 26098: @2137378
     /* 2137378 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(2137487), // Rule ID 15395 //
     /* 2137383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2137386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2137394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2137397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2137400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2137403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137429 */     // MIs[0] round
     /* 2137429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137432 */     // MIs[0] policy
     /* 2137432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137446 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2137459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137467 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137486 */     // GIR_Coverage, 15395,
     /* 2137486 */     GIR_EraseRootFromParent_Done,
     /* 2137487 */   // Label 26099: @2137487
     /* 2137487 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(2137596), // Rule ID 15398 //
     /* 2137492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2137503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2137506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2137509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2137534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137538 */     // MIs[0] round
     /* 2137538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137541 */     // MIs[0] policy
     /* 2137541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137551 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2137568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137595 */     // GIR_Coverage, 15398,
     /* 2137595 */     GIR_EraseRootFromParent_Done,
     /* 2137596 */   // Label 26100: @2137596
     /* 2137596 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(2137705), // Rule ID 15399 //
     /* 2137601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2137612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2137615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2137618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2137624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2137643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137647 */     // MIs[0] round
     /* 2137647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137650 */     // MIs[0] policy
     /* 2137650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2137677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137704 */     // GIR_Coverage, 15399,
     /* 2137704 */     GIR_EraseRootFromParent_Done,
     /* 2137705 */   // Label 26101: @2137705
     /* 2137705 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(2137814), // Rule ID 15402 //
     /* 2137710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2137721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2137724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2137727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2137752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137756 */     // MIs[0] round
     /* 2137756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137759 */     // MIs[0] policy
     /* 2137759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137769 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2137786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137813 */     // GIR_Coverage, 15402,
     /* 2137813 */     GIR_EraseRootFromParent_Done,
     /* 2137814 */   // Label 26102: @2137814
     /* 2137814 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(2137923), // Rule ID 15403 //
     /* 2137819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2137822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2137830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2137833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2137836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2137861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137865 */     // MIs[0] round
     /* 2137865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137868 */     // MIs[0] policy
     /* 2137868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137878 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137882 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2137892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2137895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2137909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2137919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137922 */     // GIR_Coverage, 15403,
     /* 2137922 */     GIR_EraseRootFromParent_Done,
     /* 2137923 */   // Label 26103: @2137923
     /* 2137923 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(2138032), // Rule ID 15406 //
     /* 2137928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2137931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2137936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2137939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2137942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2137945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2137958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2137966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2137970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137974 */     // MIs[0] round
     /* 2137974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137977 */     // MIs[0] policy
     /* 2137977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2137991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2137997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138031 */     // GIR_Coverage, 15406,
     /* 2138031 */     GIR_EraseRootFromParent_Done,
     /* 2138032 */   // Label 26104: @2138032
     /* 2138032 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(2138141), // Rule ID 15407 //
     /* 2138037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2138048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2138051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2138054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138083 */     // MIs[0] round
     /* 2138083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138086 */     // MIs[0] policy
     /* 2138086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138096 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138100 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138121 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138140 */     // GIR_Coverage, 15407,
     /* 2138140 */     GIR_EraseRootFromParent_Done,
     /* 2138141 */   // Label 26105: @2138141
     /* 2138141 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(2138250), // Rule ID 15410 //
     /* 2138146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138192 */     // MIs[0] round
     /* 2138192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138195 */     // MIs[0] policy
     /* 2138195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138205 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2138222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138249 */     // GIR_Coverage, 15410,
     /* 2138249 */     GIR_EraseRootFromParent_Done,
     /* 2138250 */   // Label 26106: @2138250
     /* 2138250 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(2138359), // Rule ID 15411 //
     /* 2138255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138301 */     // MIs[0] round
     /* 2138301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138304 */     // MIs[0] policy
     /* 2138304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138318 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2138331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138358 */     // GIR_Coverage, 15411,
     /* 2138358 */     GIR_EraseRootFromParent_Done,
     /* 2138359 */   // Label 26107: @2138359
     /* 2138359 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(2138468), // Rule ID 15414 //
     /* 2138364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138410 */     // MIs[0] round
     /* 2138410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138413 */     // MIs[0] policy
     /* 2138413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138423 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138467 */     // GIR_Coverage, 15414,
     /* 2138467 */     GIR_EraseRootFromParent_Done,
     /* 2138468 */   // Label 26108: @2138468
     /* 2138468 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(2138577), // Rule ID 15415 //
     /* 2138473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138519 */     // MIs[0] round
     /* 2138519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138522 */     // MIs[0] policy
     /* 2138522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138536 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138542 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138576 */     // GIR_Coverage, 15415,
     /* 2138576 */     GIR_EraseRootFromParent_Done,
     /* 2138577 */   // Label 26109: @2138577
     /* 2138577 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(2138686), // Rule ID 15418 //
     /* 2138582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138628 */     // MIs[0] round
     /* 2138628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138631 */     // MIs[0] policy
     /* 2138631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138641 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138685 */     // GIR_Coverage, 15418,
     /* 2138685 */     GIR_EraseRootFromParent_Done,
     /* 2138686 */   // Label 26110: @2138686
     /* 2138686 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(2138795), // Rule ID 15419 //
     /* 2138691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138737 */     // MIs[0] round
     /* 2138737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138740 */     // MIs[0] policy
     /* 2138740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138750 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2138767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138794 */     // GIR_Coverage, 15419,
     /* 2138794 */     GIR_EraseRootFromParent_Done,
     /* 2138795 */   // Label 26111: @2138795
     /* 2138795 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(2138904), // Rule ID 15422 //
     /* 2138800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2138803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2138811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2138814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2138817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138846 */     // MIs[0] round
     /* 2138846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138849 */     // MIs[0] policy
     /* 2138849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138859 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2138876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2138900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138903 */     // GIR_Coverage, 15422,
     /* 2138903 */     GIR_EraseRootFromParent_Done,
     /* 2138904 */   // Label 26112: @2138904
     /* 2138904 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(2139013), // Rule ID 15423 //
     /* 2138909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2138912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2138917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2138920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2138923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2138926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2138929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2138951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138955 */     // MIs[0] round
     /* 2138955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138958 */     // MIs[0] policy
     /* 2138958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138968 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10773:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2138972 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2138978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2138982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2138985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2138999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139012 */     // GIR_Coverage, 15423,
     /* 2139012 */     GIR_EraseRootFromParent_Done,
     /* 2139013 */   // Label 26113: @2139013
     /* 2139013 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(2139122), // Rule ID 15426 //
     /* 2139018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139064 */     // MIs[0] round
     /* 2139064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139067 */     // MIs[0] policy
     /* 2139067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139077 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139081 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139121 */     // GIR_Coverage, 15426,
     /* 2139121 */     GIR_EraseRootFromParent_Done,
     /* 2139122 */   // Label 26114: @2139122
     /* 2139122 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(2139231), // Rule ID 15427 //
     /* 2139127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2139138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2139141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2139144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139173 */     // MIs[0] round
     /* 2139173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139176 */     // MIs[0] policy
     /* 2139176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 10773:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139190 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139196 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139230 */     // GIR_Coverage, 15427,
     /* 2139230 */     GIR_EraseRootFromParent_Done,
     /* 2139231 */   // Label 26115: @2139231
     /* 2139231 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(2139340), // Rule ID 15430 //
     /* 2139236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139282 */     // MIs[0] round
     /* 2139282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139285 */     // MIs[0] policy
     /* 2139285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139339 */     // GIR_Coverage, 15430,
     /* 2139339 */     GIR_EraseRootFromParent_Done,
     /* 2139340 */   // Label 26116: @2139340
     /* 2139340 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(2139449), // Rule ID 15431 //
     /* 2139345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139391 */     // MIs[0] round
     /* 2139391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139394 */     // MIs[0] policy
     /* 2139394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 10773:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139448 */     // GIR_Coverage, 15431,
     /* 2139448 */     GIR_EraseRootFromParent_Done,
     /* 2139449 */   // Label 26117: @2139449
     /* 2139449 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(2139558), // Rule ID 15434 //
     /* 2139454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2139457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139500 */     // MIs[0] round
     /* 2139500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139503 */     // MIs[0] policy
     /* 2139503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139513 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139557 */     // GIR_Coverage, 15434,
     /* 2139557 */     GIR_EraseRootFromParent_Done,
     /* 2139558 */   // Label 26118: @2139558
     /* 2139558 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(2139667), // Rule ID 15435 //
     /* 2139563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2139566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139609 */     // MIs[0] round
     /* 2139609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139612 */     // MIs[0] policy
     /* 2139612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 10773:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139626 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2139639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139666 */     // GIR_Coverage, 15435,
     /* 2139666 */     GIR_EraseRootFromParent_Done,
     /* 2139667 */   // Label 26119: @2139667
     /* 2139667 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(2139776), // Rule ID 15438 //
     /* 2139672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2139683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2139686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2139689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139718 */     // MIs[0] round
     /* 2139718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139721 */     // MIs[0] policy
     /* 2139721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139731 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2139748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139775 */     // GIR_Coverage, 15438,
     /* 2139775 */     GIR_EraseRootFromParent_Done,
     /* 2139776 */   // Label 26120: @2139776
     /* 2139776 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(2139885), // Rule ID 15439 //
     /* 2139781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2139784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2139792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2139795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2139798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2139801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139827 */     // MIs[0] round
     /* 2139827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139830 */     // MIs[0] policy
     /* 2139830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139840 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2139857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139884 */     // GIR_Coverage, 15439,
     /* 2139884 */     GIR_EraseRootFromParent_Done,
     /* 2139885 */   // Label 26121: @2139885
     /* 2139885 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(2139994), // Rule ID 15442 //
     /* 2139890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2139893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2139898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2139901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2139904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2139907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2139910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2139932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139936 */     // MIs[0] round
     /* 2139936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139939 */     // MIs[0] policy
     /* 2139939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139949 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2139953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2139959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2139963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2139966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2139980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2139990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139993 */     // GIR_Coverage, 15442,
     /* 2139993 */     GIR_EraseRootFromParent_Done,
     /* 2139994 */   // Label 26122: @2139994
     /* 2139994 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(2140103), // Rule ID 15443 //
     /* 2139999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2140010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2140013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2140016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140045 */     // MIs[0] round
     /* 2140045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140048 */     // MIs[0] policy
     /* 2140048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2140075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140102 */     // GIR_Coverage, 15443,
     /* 2140102 */     GIR_EraseRootFromParent_Done,
     /* 2140103 */   // Label 26123: @2140103
     /* 2140103 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(2140212), // Rule ID 15446 //
     /* 2140108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2140119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2140122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2140125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2140131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140154 */     // MIs[0] round
     /* 2140154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140157 */     // MIs[0] policy
     /* 2140157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140167 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2140184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140211 */     // GIR_Coverage, 15446,
     /* 2140211 */     GIR_EraseRootFromParent_Done,
     /* 2140212 */   // Label 26124: @2140212
     /* 2140212 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(2140321), // Rule ID 15447 //
     /* 2140217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2140228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2140231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2140234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2140240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140263 */     // MIs[0] round
     /* 2140263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140266 */     // MIs[0] policy
     /* 2140266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140276 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140280 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2140293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2140317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140320 */     // GIR_Coverage, 15447,
     /* 2140320 */     GIR_EraseRootFromParent_Done,
     /* 2140321 */   // Label 26125: @2140321
     /* 2140321 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(2140430), // Rule ID 15450 //
     /* 2140326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140372 */     // MIs[0] round
     /* 2140372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140375 */     // MIs[0] policy
     /* 2140375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140385 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2140402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140429 */     // GIR_Coverage, 15450,
     /* 2140429 */     GIR_EraseRootFromParent_Done,
     /* 2140430 */   // Label 26126: @2140430
     /* 2140430 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(2140539), // Rule ID 15451 //
     /* 2140435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2140446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2140449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2140452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140481 */     // MIs[0] round
     /* 2140481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140484 */     // MIs[0] policy
     /* 2140484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2140511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140538 */     // GIR_Coverage, 15451,
     /* 2140538 */     GIR_EraseRootFromParent_Done,
     /* 2140539 */   // Label 26127: @2140539
     /* 2140539 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(2140648), // Rule ID 15454 //
     /* 2140544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140590 */     // MIs[0] round
     /* 2140590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140593 */     // MIs[0] policy
     /* 2140593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140603 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2140620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140647 */     // GIR_Coverage, 15454,
     /* 2140647 */     GIR_EraseRootFromParent_Done,
     /* 2140648 */   // Label 26128: @2140648
     /* 2140648 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(2140757), // Rule ID 15455 //
     /* 2140653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2140664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2140667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2140670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140699 */     // MIs[0] round
     /* 2140699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140702 */     // MIs[0] policy
     /* 2140702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140716 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2140729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140756 */     // GIR_Coverage, 15455,
     /* 2140756 */     GIR_EraseRootFromParent_Done,
     /* 2140757 */   // Label 26129: @2140757
     /* 2140757 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(2140866), // Rule ID 15458 //
     /* 2140762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2140782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140808 */     // MIs[0] round
     /* 2140808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140811 */     // MIs[0] policy
     /* 2140811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140821 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2140838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140865 */     // GIR_Coverage, 15458,
     /* 2140865 */     GIR_EraseRootFromParent_Done,
     /* 2140866 */   // Label 26130: @2140866
     /* 2140866 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(2140975), // Rule ID 15459 //
     /* 2140871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2140874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2140882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2140885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2140888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2140891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2140894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2140913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140917 */     // MIs[0] round
     /* 2140917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140920 */     // MIs[0] policy
     /* 2140920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2140934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2140940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2140944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2140947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2140961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2140971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140974 */     // GIR_Coverage, 15459,
     /* 2140974 */     GIR_EraseRootFromParent_Done,
     /* 2140975 */   // Label 26131: @2140975
     /* 2140975 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(2141084), // Rule ID 15462 //
     /* 2140980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2140983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2140988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2140991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2140994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2140997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141026 */     // MIs[0] round
     /* 2141026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141029 */     // MIs[0] policy
     /* 2141029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2141056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141083 */     // GIR_Coverage, 15462,
     /* 2141083 */     GIR_EraseRootFromParent_Done,
     /* 2141084 */   // Label 26132: @2141084
     /* 2141084 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(2141193), // Rule ID 15463 //
     /* 2141089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2141100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2141103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2141106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141135 */     // MIs[0] round
     /* 2141135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141138 */     // MIs[0] policy
     /* 2141138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2141165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141192 */     // GIR_Coverage, 15463,
     /* 2141192 */     GIR_EraseRootFromParent_Done,
     /* 2141193 */   // Label 26133: @2141193
     /* 2141193 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(2141302), // Rule ID 15466 //
     /* 2141198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141244 */     // MIs[0] round
     /* 2141244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141247 */     // MIs[0] policy
     /* 2141247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141257 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141261 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141267 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2141274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141301 */     // GIR_Coverage, 15466,
     /* 2141301 */     GIR_EraseRootFromParent_Done,
     /* 2141302 */   // Label 26134: @2141302
     /* 2141302 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(2141411), // Rule ID 15467 //
     /* 2141307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2141318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2141321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2141324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2141330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141353 */     // MIs[0] round
     /* 2141353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141356 */     // MIs[0] policy
     /* 2141356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141370 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2141383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141410 */     // GIR_Coverage, 15467,
     /* 2141410 */     GIR_EraseRootFromParent_Done,
     /* 2141411 */   // Label 26135: @2141411
     /* 2141411 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(2141520), // Rule ID 15470 //
     /* 2141416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2141419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141462 */     // MIs[0] round
     /* 2141462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141465 */     // MIs[0] policy
     /* 2141465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141475 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2141492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141519 */     // GIR_Coverage, 15470,
     /* 2141519 */     GIR_EraseRootFromParent_Done,
     /* 2141520 */   // Label 26136: @2141520
     /* 2141520 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(2141629), // Rule ID 15471 //
     /* 2141525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2141528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2141536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2141539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2141542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2141548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2141555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2141563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141571 */     // MIs[0] round
     /* 2141571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141574 */     // MIs[0] policy
     /* 2141574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2141601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141628 */     // GIR_Coverage, 15471,
     /* 2141628 */     GIR_EraseRootFromParent_Done,
     /* 2141629 */   // Label 26137: @2141629
     /* 2141629 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(2141738), // Rule ID 15474 //
     /* 2141634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2141637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141680 */     // MIs[0] round
     /* 2141680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141683 */     // MIs[0] policy
     /* 2141683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141693 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2141710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141737 */     // GIR_Coverage, 15474,
     /* 2141737 */     GIR_EraseRootFromParent_Done,
     /* 2141738 */   // Label 26138: @2141738
     /* 2141738 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(2141847), // Rule ID 15475 //
     /* 2141743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2141746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2141754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2141757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2141760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2141773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2141781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141789 */     // MIs[0] round
     /* 2141789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141792 */     // MIs[0] policy
     /* 2141792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 10773:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141806 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2141819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141827 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141846 */     // GIR_Coverage, 15475,
     /* 2141846 */     GIR_EraseRootFromParent_Done,
     /* 2141847 */   // Label 26139: @2141847
     /* 2141847 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(2141956), // Rule ID 15478 //
     /* 2141852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2141855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2141894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141898 */     // MIs[0] round
     /* 2141898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141901 */     // MIs[0] policy
     /* 2141901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2141915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2141921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2141925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2141928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2141942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141955 */     // GIR_Coverage, 15478,
     /* 2141955 */     GIR_EraseRootFromParent_Done,
     /* 2141956 */   // Label 26140: @2141956
     /* 2141956 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(2142065), // Rule ID 15479 //
     /* 2141961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2141964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2141969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2141972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2141975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2141978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2141991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2141999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2142003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142007 */     // MIs[0] round
     /* 2142007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142010 */     // MIs[0] policy
     /* 2142010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142020 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 10773:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2142037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142064 */     // GIR_Coverage, 15479,
     /* 2142064 */     GIR_EraseRootFromParent_Done,
     /* 2142065 */   // Label 26141: @2142065
     /* 2142065 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(2142174), // Rule ID 15482 //
     /* 2142070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2142073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2142078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2142090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2142112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142116 */     // MIs[0] round
     /* 2142116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142119 */     // MIs[0] policy
     /* 2142119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142129 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2142146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142173 */     // GIR_Coverage, 15482,
     /* 2142173 */     GIR_EraseRootFromParent_Done,
     /* 2142174 */   // Label 26142: @2142174
     /* 2142174 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(2142283), // Rule ID 15483 //
     /* 2142179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2142182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2142187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2142190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2142193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2142196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2142221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142225 */     // MIs[0] round
     /* 2142225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142228 */     // MIs[0] policy
     /* 2142228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 10773:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2142255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142282 */     // GIR_Coverage, 15483,
     /* 2142282 */     GIR_EraseRootFromParent_Done,
     /* 2142283 */   // Label 26143: @2142283
     /* 2142283 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(2142395), // Rule ID 15486 //
     /* 2142288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2142299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2142302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2142305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2142308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142334 */     // MIs[0] round
     /* 2142334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142337 */     // MIs[0] policy
     /* 2142337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2142364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142394 */     // GIR_Coverage, 15486,
     /* 2142394 */     GIR_EraseRootFromParent_Done,
     /* 2142395 */   // Label 26144: @2142395
     /* 2142395 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(2142507), // Rule ID 15487 //
     /* 2142400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2142411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2142414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2142417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2142420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142446 */     // MIs[0] round
     /* 2142446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142449 */     // MIs[0] policy
     /* 2142449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142459 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2142476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142506 */     // GIR_Coverage, 15487,
     /* 2142506 */     GIR_EraseRootFromParent_Done,
     /* 2142507 */   // Label 26145: @2142507
     /* 2142507 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(2142619), // Rule ID 15490 //
     /* 2142512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2142523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2142526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2142529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2142532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142558 */     // MIs[0] round
     /* 2142558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142561 */     // MIs[0] policy
     /* 2142561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142571 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2142588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142618 */     // GIR_Coverage, 15490,
     /* 2142618 */     GIR_EraseRootFromParent_Done,
     /* 2142619 */   // Label 26146: @2142619
     /* 2142619 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(2142731), // Rule ID 15491 //
     /* 2142624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2142635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2142638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2142641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2142644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2142647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142670 */     // MIs[0] round
     /* 2142670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142673 */     // MIs[0] policy
     /* 2142673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142683 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2142700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142730 */     // GIR_Coverage, 15491,
     /* 2142730 */     GIR_EraseRootFromParent_Done,
     /* 2142731 */   // Label 26147: @2142731
     /* 2142731 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(2142843), // Rule ID 15494 //
     /* 2142736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2142747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2142750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2142753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2142756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142782 */     // MIs[0] round
     /* 2142782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142785 */     // MIs[0] policy
     /* 2142785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142795 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2142812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142842 */     // GIR_Coverage, 15494,
     /* 2142842 */     GIR_EraseRootFromParent_Done,
     /* 2142843 */   // Label 26148: @2142843
     /* 2142843 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(2142955), // Rule ID 15495 //
     /* 2142848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2142851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2142859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2142862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2142865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2142868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142894 */     // MIs[0] round
     /* 2142894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142897 */     // MIs[0] policy
     /* 2142897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142907 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2142911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2142917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2142921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2142924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2142938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2142948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2142953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142954 */     // GIR_Coverage, 15495,
     /* 2142954 */     GIR_EraseRootFromParent_Done,
     /* 2142955 */   // Label 26149: @2142955
     /* 2142955 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(2143067), // Rule ID 15498 //
     /* 2142960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2142963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2142968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2142971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2142974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2142977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2142980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2142983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143006 */     // MIs[0] round
     /* 2143006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143009 */     // MIs[0] policy
     /* 2143009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2143036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143066 */     // GIR_Coverage, 15498,
     /* 2143066 */     GIR_EraseRootFromParent_Done,
     /* 2143067 */   // Label 26150: @2143067
     /* 2143067 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(2143179), // Rule ID 15499 //
     /* 2143072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2143092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143118 */     // MIs[0] round
     /* 2143118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143121 */     // MIs[0] policy
     /* 2143121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143131 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2143148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143178 */     // GIR_Coverage, 15499,
     /* 2143178 */     GIR_EraseRootFromParent_Done,
     /* 2143179 */   // Label 26151: @2143179
     /* 2143179 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(2143291), // Rule ID 15502 //
     /* 2143184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143230 */     // MIs[0] round
     /* 2143230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143233 */     // MIs[0] policy
     /* 2143233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2143260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143290 */     // GIR_Coverage, 15502,
     /* 2143290 */     GIR_EraseRootFromParent_Done,
     /* 2143291 */   // Label 26152: @2143291
     /* 2143291 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(2143403), // Rule ID 15503 //
     /* 2143296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2143316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143342 */     // MIs[0] round
     /* 2143342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143345 */     // MIs[0] policy
     /* 2143345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143355 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2143372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143402 */     // GIR_Coverage, 15503,
     /* 2143402 */     GIR_EraseRootFromParent_Done,
     /* 2143403 */   // Label 26153: @2143403
     /* 2143403 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(2143515), // Rule ID 15506 //
     /* 2143408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143454 */     // MIs[0] round
     /* 2143454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143457 */     // MIs[0] policy
     /* 2143457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143467 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2143484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143514 */     // GIR_Coverage, 15506,
     /* 2143514 */     GIR_EraseRootFromParent_Done,
     /* 2143515 */   // Label 26154: @2143515
     /* 2143515 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(2143627), // Rule ID 15507 //
     /* 2143520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2143531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2143534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2143537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2143540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143566 */     // MIs[0] round
     /* 2143566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143569 */     // MIs[0] policy
     /* 2143569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143579 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2143596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143626 */     // GIR_Coverage, 15507,
     /* 2143626 */     GIR_EraseRootFromParent_Done,
     /* 2143627 */   // Label 26155: @2143627
     /* 2143627 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(2143739), // Rule ID 15510 //
     /* 2143632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2143643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2143646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2143649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2143652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143678 */     // MIs[0] round
     /* 2143678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143681 */     // MIs[0] policy
     /* 2143681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143691 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2143708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143738 */     // GIR_Coverage, 15510,
     /* 2143738 */     GIR_EraseRootFromParent_Done,
     /* 2143739 */   // Label 26156: @2143739
     /* 2143739 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(2143851), // Rule ID 15511 //
     /* 2143744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2143755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2143758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2143761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2143764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143790 */     // MIs[0] round
     /* 2143790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143793 */     // MIs[0] policy
     /* 2143793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2143820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2143844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143850 */     // GIR_Coverage, 15511,
     /* 2143850 */     GIR_EraseRootFromParent_Done,
     /* 2143851 */   // Label 26157: @2143851
     /* 2143851 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(2143963), // Rule ID 15514 //
     /* 2143856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2143859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2143873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143902 */     // MIs[0] round
     /* 2143902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143905 */     // MIs[0] policy
     /* 2143905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143915 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2143919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2143925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2143929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2143932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2143946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2143961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143962 */     // GIR_Coverage, 15514,
     /* 2143962 */     GIR_EraseRootFromParent_Done,
     /* 2143963 */   // Label 26158: @2143963
     /* 2143963 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(2144075), // Rule ID 15515 //
     /* 2143968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2143971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2143976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2143979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2143982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2143985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2143988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144014 */     // MIs[0] round
     /* 2144014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144017 */     // MIs[0] policy
     /* 2144017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144027 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2144044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144074 */     // GIR_Coverage, 15515,
     /* 2144074 */     GIR_EraseRootFromParent_Done,
     /* 2144075 */   // Label 26159: @2144075
     /* 2144075 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(2144187), // Rule ID 15518 //
     /* 2144080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144126 */     // MIs[0] round
     /* 2144126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144129 */     // MIs[0] policy
     /* 2144129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144139 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2144156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144186 */     // GIR_Coverage, 15518,
     /* 2144186 */     GIR_EraseRootFromParent_Done,
     /* 2144187 */   // Label 26160: @2144187
     /* 2144187 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(2144299), // Rule ID 15519 //
     /* 2144192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2144212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144238 */     // MIs[0] round
     /* 2144238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144241 */     // MIs[0] policy
     /* 2144241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2144268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144298 */     // GIR_Coverage, 15519,
     /* 2144298 */     GIR_EraseRootFromParent_Done,
     /* 2144299 */   // Label 26161: @2144299
     /* 2144299 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(2144411), // Rule ID 15522 //
     /* 2144304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2144315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2144324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144350 */     // MIs[0] round
     /* 2144350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144353 */     // MIs[0] policy
     /* 2144353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2144380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144410 */     // GIR_Coverage, 15522,
     /* 2144410 */     GIR_EraseRootFromParent_Done,
     /* 2144411 */   // Label 26162: @2144411
     /* 2144411 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(2144523), // Rule ID 15523 //
     /* 2144416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2144427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2144430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2144433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2144436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2144439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144462 */     // MIs[0] round
     /* 2144462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144465 */     // MIs[0] policy
     /* 2144465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2144492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144522 */     // GIR_Coverage, 15523,
     /* 2144522 */     GIR_EraseRootFromParent_Done,
     /* 2144523 */   // Label 26163: @2144523
     /* 2144523 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(2144635), // Rule ID 15526 //
     /* 2144528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2144539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2144542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2144545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2144548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144574 */     // MIs[0] round
     /* 2144574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144577 */     // MIs[0] policy
     /* 2144577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2144604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144634 */     // GIR_Coverage, 15526,
     /* 2144634 */     GIR_EraseRootFromParent_Done,
     /* 2144635 */   // Label 26164: @2144635
     /* 2144635 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(2144747), // Rule ID 15527 //
     /* 2144640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2144651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2144654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2144657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2144660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2144663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2144670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2144682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144686 */     // MIs[0] round
     /* 2144686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144689 */     // MIs[0] policy
     /* 2144689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2144716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144746 */     // GIR_Coverage, 15527,
     /* 2144746 */     GIR_EraseRootFromParent_Done,
     /* 2144747 */   // Label 26165: @2144747
     /* 2144747 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(2144859), // Rule ID 15530 //
     /* 2144752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2144763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2144766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2144769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2144772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2144775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144798 */     // MIs[0] round
     /* 2144798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144801 */     // MIs[0] policy
     /* 2144801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144811 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2144828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144858 */     // GIR_Coverage, 15530,
     /* 2144858 */     GIR_EraseRootFromParent_Done,
     /* 2144859 */   // Label 26166: @2144859
     /* 2144859 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(2144971), // Rule ID 15531 //
     /* 2144864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2144867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2144875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2144878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2144881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2144884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2144887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2144894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2144906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144910 */     // MIs[0] round
     /* 2144910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144913 */     // MIs[0] policy
     /* 2144913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144923 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2144927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2144933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2144937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2144940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2144954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2144964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2144969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144970 */     // GIR_Coverage, 15531,
     /* 2144970 */     GIR_EraseRootFromParent_Done,
     /* 2144971 */   // Label 26167: @2144971
     /* 2144971 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(2145083), // Rule ID 15534 //
     /* 2144976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2144979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2144984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2144996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145022 */     // MIs[0] round
     /* 2145022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145025 */     // MIs[0] policy
     /* 2145025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145035 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2145052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145082 */     // GIR_Coverage, 15534,
     /* 2145082 */     GIR_EraseRootFromParent_Done,
     /* 2145083 */   // Label 26168: @2145083
     /* 2145083 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(2145195), // Rule ID 15535 //
     /* 2145088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2145099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2145102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2145105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2145108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145134 */     // MIs[0] round
     /* 2145134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145137 */     // MIs[0] policy
     /* 2145137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2145164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145194 */     // GIR_Coverage, 15535,
     /* 2145194 */     GIR_EraseRootFromParent_Done,
     /* 2145195 */   // Label 26169: @2145195
     /* 2145195 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(2145307), // Rule ID 15538 //
     /* 2145200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145246 */     // MIs[0] round
     /* 2145246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145249 */     // MIs[0] policy
     /* 2145249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2145276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145306 */     // GIR_Coverage, 15538,
     /* 2145306 */     GIR_EraseRootFromParent_Done,
     /* 2145307 */   // Label 26170: @2145307
     /* 2145307 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(2145419), // Rule ID 15539 //
     /* 2145312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2145332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145358 */     // MIs[0] round
     /* 2145358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145361 */     // MIs[0] policy
     /* 2145361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145371 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2145388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145418 */     // GIR_Coverage, 15539,
     /* 2145418 */     GIR_EraseRootFromParent_Done,
     /* 2145419 */   // Label 26171: @2145419
     /* 2145419 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(2145531), // Rule ID 15542 //
     /* 2145424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145470 */     // MIs[0] round
     /* 2145470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145473 */     // MIs[0] policy
     /* 2145473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145483 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2145500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145530 */     // GIR_Coverage, 15542,
     /* 2145530 */     GIR_EraseRootFromParent_Done,
     /* 2145531 */   // Label 26172: @2145531
     /* 2145531 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(2145643), // Rule ID 15543 //
     /* 2145536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2145556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145582 */     // MIs[0] round
     /* 2145582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145585 */     // MIs[0] policy
     /* 2145585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145595 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2145612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145642 */     // GIR_Coverage, 15543,
     /* 2145642 */     GIR_EraseRootFromParent_Done,
     /* 2145643 */   // Label 26173: @2145643
     /* 2145643 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(2145755), // Rule ID 15546 //
     /* 2145648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145694 */     // MIs[0] round
     /* 2145694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145697 */     // MIs[0] policy
     /* 2145697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2145724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145754 */     // GIR_Coverage, 15546,
     /* 2145754 */     GIR_EraseRootFromParent_Done,
     /* 2145755 */   // Label 26174: @2145755
     /* 2145755 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(2145867), // Rule ID 15547 //
     /* 2145760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2145780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145806 */     // MIs[0] round
     /* 2145806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145809 */     // MIs[0] policy
     /* 2145809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2145836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145866 */     // GIR_Coverage, 15547,
     /* 2145866 */     GIR_EraseRootFromParent_Done,
     /* 2145867 */   // Label 26175: @2145867
     /* 2145867 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(2145979), // Rule ID 15550 //
     /* 2145872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2145875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2145892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145918 */     // MIs[0] round
     /* 2145918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145921 */     // MIs[0] policy
     /* 2145921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145931 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2145935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2145941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2145945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2145948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2145962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2145977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145978 */     // GIR_Coverage, 15550,
     /* 2145978 */     GIR_EraseRootFromParent_Done,
     /* 2145979 */   // Label 26176: @2145979
     /* 2145979 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(2146091), // Rule ID 15551 //
     /* 2145984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2145987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2145992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2146001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2146004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146030 */     // MIs[0] round
     /* 2146030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146033 */     // MIs[0] policy
     /* 2146033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146043 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2146060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146090 */     // GIR_Coverage, 15551,
     /* 2146090 */     GIR_EraseRootFromParent_Done,
     /* 2146091 */   // Label 26177: @2146091
     /* 2146091 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(2146203), // Rule ID 15554 //
     /* 2146096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146142 */     // MIs[0] round
     /* 2146142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146145 */     // MIs[0] policy
     /* 2146145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146155 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2146172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146202 */     // GIR_Coverage, 15554,
     /* 2146202 */     GIR_EraseRootFromParent_Done,
     /* 2146203 */   // Label 26178: @2146203
     /* 2146203 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(2146315), // Rule ID 15555 //
     /* 2146208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2146219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2146222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2146225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2146228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2146231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146254 */     // MIs[0] round
     /* 2146254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146257 */     // MIs[0] policy
     /* 2146257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146267 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2146284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2146308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146314 */     // GIR_Coverage, 15555,
     /* 2146314 */     GIR_EraseRootFromParent_Done,
     /* 2146315 */   // Label 26179: @2146315
     /* 2146315 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(2146427), // Rule ID 15558 //
     /* 2146320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2146331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2146334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2146337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146366 */     // MIs[0] round
     /* 2146366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146369 */     // MIs[0] policy
     /* 2146369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146379 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2146396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146426 */     // GIR_Coverage, 15558,
     /* 2146426 */     GIR_EraseRootFromParent_Done,
     /* 2146427 */   // Label 26180: @2146427
     /* 2146427 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(2146539), // Rule ID 15559 //
     /* 2146432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2146443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2146446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2146449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2146452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146478 */     // MIs[0] round
     /* 2146478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146481 */     // MIs[0] policy
     /* 2146481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146491 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2146508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146538 */     // GIR_Coverage, 15559,
     /* 2146538 */     GIR_EraseRootFromParent_Done,
     /* 2146539 */   // Label 26181: @2146539
     /* 2146539 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(2146651), // Rule ID 15562 //
     /* 2146544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2146555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2146558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2146561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146590 */     // MIs[0] round
     /* 2146590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146593 */     // MIs[0] policy
     /* 2146593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2146620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146650 */     // GIR_Coverage, 15562,
     /* 2146650 */     GIR_EraseRootFromParent_Done,
     /* 2146651 */   // Label 26182: @2146651
     /* 2146651 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(2146763), // Rule ID 15563 //
     /* 2146656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2146667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2146670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2146673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2146676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146702 */     // MIs[0] round
     /* 2146702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146705 */     // MIs[0] policy
     /* 2146705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146715 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2146732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146762 */     // GIR_Coverage, 15563,
     /* 2146762 */     GIR_EraseRootFromParent_Done,
     /* 2146763 */   // Label 26183: @2146763
     /* 2146763 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(2146875), // Rule ID 15566 //
     /* 2146768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2146779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2146782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2146785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146814 */     // MIs[0] round
     /* 2146814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146817 */     // MIs[0] policy
     /* 2146817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146827 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2146844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146874 */     // GIR_Coverage, 15566,
     /* 2146874 */     GIR_EraseRootFromParent_Done,
     /* 2146875 */   // Label 26184: @2146875
     /* 2146875 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(2146987), // Rule ID 15567 //
     /* 2146880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2146883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2146888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2146891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2146894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2146897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2146900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2146922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146926 */     // MIs[0] round
     /* 2146926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146929 */     // MIs[0] policy
     /* 2146929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2146943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2146949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2146953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2146956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2146970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2146980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2146985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146986 */     // GIR_Coverage, 15567,
     /* 2146986 */     GIR_EraseRootFromParent_Done,
     /* 2146987 */   // Label 26185: @2146987
     /* 2146987 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(2147099), // Rule ID 15570 //
     /* 2146992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2146995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2147009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2147012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147038 */     // MIs[0] round
     /* 2147038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147041 */     // MIs[0] policy
     /* 2147041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147051 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2147068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147098 */     // GIR_Coverage, 15570,
     /* 2147098 */     GIR_EraseRootFromParent_Done,
     /* 2147099 */   // Label 26186: @2147099
     /* 2147099 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(2147211), // Rule ID 15571 //
     /* 2147104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2147115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2147118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2147121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2147124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147150 */     // MIs[0] round
     /* 2147150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147153 */     // MIs[0] policy
     /* 2147153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147163 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2147180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147210 */     // GIR_Coverage, 15571,
     /* 2147210 */     GIR_EraseRootFromParent_Done,
     /* 2147211 */   // Label 26187: @2147211
     /* 2147211 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(2147323), // Rule ID 15574 //
     /* 2147216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2147233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2147236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147262 */     // MIs[0] round
     /* 2147262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147265 */     // MIs[0] policy
     /* 2147265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147275 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2147292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147322 */     // GIR_Coverage, 15574,
     /* 2147322 */     GIR_EraseRootFromParent_Done,
     /* 2147323 */   // Label 26188: @2147323
     /* 2147323 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(2147435), // Rule ID 15575 //
     /* 2147328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2147339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2147342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2147345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2147348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147374 */     // MIs[0] round
     /* 2147374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147377 */     // MIs[0] policy
     /* 2147377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147387 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2147404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147434 */     // GIR_Coverage, 15575,
     /* 2147434 */     GIR_EraseRootFromParent_Done,
     /* 2147435 */   // Label 26189: @2147435
     /* 2147435 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(2147547), // Rule ID 15578 //
     /* 2147440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2147457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2147460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147486 */     // MIs[0] round
     /* 2147486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147489 */     // MIs[0] policy
     /* 2147489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147499 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2147516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147546 */     // GIR_Coverage, 15578,
     /* 2147546 */     GIR_EraseRootFromParent_Done,
     /* 2147547 */   // Label 26190: @2147547
     /* 2147547 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(2147659), // Rule ID 15579 //
     /* 2147552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2147563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2147566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2147569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2147572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147598 */     // MIs[0] round
     /* 2147598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147601 */     // MIs[0] policy
     /* 2147601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147611 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2147628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147658 */     // GIR_Coverage, 15579,
     /* 2147658 */     GIR_EraseRootFromParent_Done,
     /* 2147659 */   // Label 26191: @2147659
     /* 2147659 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(2147771), // Rule ID 15582 //
     /* 2147664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2147675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2147678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2147681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2147684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147710 */     // MIs[0] round
     /* 2147710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147713 */     // MIs[0] policy
     /* 2147713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147723 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2147740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147770 */     // GIR_Coverage, 15582,
     /* 2147770 */     GIR_EraseRootFromParent_Done,
     /* 2147771 */   // Label 26192: @2147771
     /* 2147771 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(2147883), // Rule ID 15583 //
     /* 2147776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2147779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2147787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2147790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2147793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2147796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147822 */     // MIs[0] round
     /* 2147822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147825 */     // MIs[0] policy
     /* 2147825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11196:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2147852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2147876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147882 */     // GIR_Coverage, 15583,
     /* 2147882 */     GIR_EraseRootFromParent_Done,
     /* 2147883 */   // Label 26193: @2147883
     /* 2147883 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(2147995), // Rule ID 15586 //
     /* 2147888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2147891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2147896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2147899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2147902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2147905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2147908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2147930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147934 */     // MIs[0] round
     /* 2147934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147937 */     // MIs[0] policy
     /* 2147937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147947 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2147951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2147957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2147961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2147964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2147978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2147993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147994 */     // GIR_Coverage, 15586,
     /* 2147994 */     GIR_EraseRootFromParent_Done,
     /* 2147995 */   // Label 26194: @2147995
     /* 2147995 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(2148107), // Rule ID 15587 //
     /* 2148000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2148011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2148014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2148017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2148020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148046 */     // MIs[0] round
     /* 2148046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148049 */     // MIs[0] policy
     /* 2148049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2148076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148106 */     // GIR_Coverage, 15587,
     /* 2148106 */     GIR_EraseRootFromParent_Done,
     /* 2148107 */   // Label 26195: @2148107
     /* 2148107 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(2148219), // Rule ID 15590 //
     /* 2148112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2148129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2148132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148158 */     // MIs[0] round
     /* 2148158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148161 */     // MIs[0] policy
     /* 2148161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148171 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2148188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148218 */     // GIR_Coverage, 15590,
     /* 2148218 */     GIR_EraseRootFromParent_Done,
     /* 2148219 */   // Label 26196: @2148219
     /* 2148219 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(2148331), // Rule ID 15591 //
     /* 2148224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2148241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2148244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148270 */     // MIs[0] round
     /* 2148270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148273 */     // MIs[0] policy
     /* 2148273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2148300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148330 */     // GIR_Coverage, 15591,
     /* 2148330 */     GIR_EraseRootFromParent_Done,
     /* 2148331 */   // Label 26197: @2148331
     /* 2148331 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(2148443), // Rule ID 15594 //
     /* 2148336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2148347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2148350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2148353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2148356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148382 */     // MIs[0] round
     /* 2148382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148385 */     // MIs[0] policy
     /* 2148385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2148412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148442 */     // GIR_Coverage, 15594,
     /* 2148442 */     GIR_EraseRootFromParent_Done,
     /* 2148443 */   // Label 26198: @2148443
     /* 2148443 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(2148555), // Rule ID 15595 //
     /* 2148448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2148459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2148462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2148465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2148468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148494 */     // MIs[0] round
     /* 2148494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148497 */     // MIs[0] policy
     /* 2148497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148507 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2148524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148554 */     // GIR_Coverage, 15595,
     /* 2148554 */     GIR_EraseRootFromParent_Done,
     /* 2148555 */   // Label 26199: @2148555
     /* 2148555 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(2148667), // Rule ID 15598 //
     /* 2148560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2148571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2148574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2148577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2148580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148606 */     // MIs[0] round
     /* 2148606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148609 */     // MIs[0] policy
     /* 2148609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148619 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2148636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148666 */     // GIR_Coverage, 15598,
     /* 2148666 */     GIR_EraseRootFromParent_Done,
     /* 2148667 */   // Label 26200: @2148667
     /* 2148667 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(2148779), // Rule ID 15599 //
     /* 2148672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2148683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2148686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2148689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2148692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2148695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148718 */     // MIs[0] round
     /* 2148718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148721 */     // MIs[0] policy
     /* 2148721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148731 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2148748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148778 */     // GIR_Coverage, 15599,
     /* 2148778 */     GIR_EraseRootFromParent_Done,
     /* 2148779 */   // Label 26201: @2148779
     /* 2148779 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(2148891), // Rule ID 15602 //
     /* 2148784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2148787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2148795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2148798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2148801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2148804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2148807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148830 */     // MIs[0] round
     /* 2148830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148833 */     // MIs[0] policy
     /* 2148833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148843 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2148860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2148889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148890 */     // GIR_Coverage, 15602,
     /* 2148890 */     GIR_EraseRootFromParent_Done,
     /* 2148891 */   // Label 26202: @2148891
     /* 2148891 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(2149003), // Rule ID 15603 //
     /* 2148896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2148899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2148904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2148907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2148910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2148913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2148916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2148919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2148938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148942 */     // MIs[0] round
     /* 2148942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148945 */     // MIs[0] policy
     /* 2148945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148955 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2148959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2148965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2148969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2148972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2148986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2148996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149002 */     // GIR_Coverage, 15603,
     /* 2149002 */     GIR_EraseRootFromParent_Done,
     /* 2149003 */   // Label 26203: @2149003
     /* 2149003 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(2149115), // Rule ID 15606 //
     /* 2149008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2149011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2149025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2149028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149054 */     // MIs[0] round
     /* 2149054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149057 */     // MIs[0] policy
     /* 2149057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149067 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2149084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149114 */     // GIR_Coverage, 15606,
     /* 2149114 */     GIR_EraseRootFromParent_Done,
     /* 2149115 */   // Label 26204: @2149115
     /* 2149115 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(2149227), // Rule ID 15607 //
     /* 2149120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2149123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2149131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2149134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2149137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149166 */     // MIs[0] round
     /* 2149166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149169 */     // MIs[0] policy
     /* 2149169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149179 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2149196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149226 */     // GIR_Coverage, 15607,
     /* 2149226 */     GIR_EraseRootFromParent_Done,
     /* 2149227 */   // Label 26205: @2149227
     /* 2149227 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(2149339), // Rule ID 15610 //
     /* 2149232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2149235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2149249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2149252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149278 */     // MIs[0] round
     /* 2149278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149281 */     // MIs[0] policy
     /* 2149281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149291 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2149308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149338 */     // GIR_Coverage, 15610,
     /* 2149338 */     GIR_EraseRootFromParent_Done,
     /* 2149339 */   // Label 26206: @2149339
     /* 2149339 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(2149451), // Rule ID 15611 //
     /* 2149344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2149347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2149355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2149358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2149361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2149367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149390 */     // MIs[0] round
     /* 2149390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149393 */     // MIs[0] policy
     /* 2149393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149403 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2149420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149450 */     // GIR_Coverage, 15611,
     /* 2149450 */     GIR_EraseRootFromParent_Done,
     /* 2149451 */   // Label 26207: @2149451
     /* 2149451 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(2149563), // Rule ID 15614 //
     /* 2149456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2149459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2149473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2149476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149502 */     // MIs[0] round
     /* 2149502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149505 */     // MIs[0] policy
     /* 2149505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2149532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149562 */     // GIR_Coverage, 15614,
     /* 2149562 */     GIR_EraseRootFromParent_Done,
     /* 2149563 */   // Label 26208: @2149563
     /* 2149563 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(2149675), // Rule ID 15615 //
     /* 2149568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2149571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2149579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2149582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2149585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2149591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149614 */     // MIs[0] round
     /* 2149614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149617 */     // MIs[0] policy
     /* 2149617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149627 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2149644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149674 */     // GIR_Coverage, 15615,
     /* 2149674 */     GIR_EraseRootFromParent_Done,
     /* 2149675 */   // Label 26209: @2149675
     /* 2149675 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(2149787), // Rule ID 15618 //
     /* 2149680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2149683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2149697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2149700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149726 */     // MIs[0] round
     /* 2149726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149729 */     // MIs[0] policy
     /* 2149729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149739 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2149756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149786 */     // GIR_Coverage, 15618,
     /* 2149786 */     GIR_EraseRootFromParent_Done,
     /* 2149787 */   // Label 26210: @2149787
     /* 2149787 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(2149899), // Rule ID 15619 //
     /* 2149792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2149795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2149803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2149806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2149809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149838 */     // MIs[0] round
     /* 2149838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149841 */     // MIs[0] policy
     /* 2149841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149851 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2149868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2149897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149898 */     // GIR_Coverage, 15619,
     /* 2149898 */     GIR_EraseRootFromParent_Done,
     /* 2149899 */   // Label 26211: @2149899
     /* 2149899 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(2150011), // Rule ID 15622 //
     /* 2149904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2149907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2149912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2149915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2149918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2149921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2149924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2149946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149950 */     // MIs[0] round
     /* 2149950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149953 */     // MIs[0] policy
     /* 2149953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149963 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2149967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2149973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2149977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2149980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2149994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150010 */     // GIR_Coverage, 15622,
     /* 2150010 */     GIR_EraseRootFromParent_Done,
     /* 2150011 */   // Label 26212: @2150011
     /* 2150011 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(2150123), // Rule ID 15623 //
     /* 2150016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2150019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2150027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2150030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2150033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2150036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150062 */     // MIs[0] round
     /* 2150062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150065 */     // MIs[0] policy
     /* 2150065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150075 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2150092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150122 */     // GIR_Coverage, 15623,
     /* 2150122 */     GIR_EraseRootFromParent_Done,
     /* 2150123 */   // Label 26213: @2150123
     /* 2150123 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(2150235), // Rule ID 15626 //
     /* 2150128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2150131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2150145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2150148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150174 */     // MIs[0] round
     /* 2150174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150177 */     // MIs[0] policy
     /* 2150177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150187 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2150204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150234 */     // GIR_Coverage, 15626,
     /* 2150234 */     GIR_EraseRootFromParent_Done,
     /* 2150235 */   // Label 26214: @2150235
     /* 2150235 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(2150347), // Rule ID 15627 //
     /* 2150240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2150243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2150251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2150254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2150257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2150260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2150270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2150278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2150282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150286 */     // MIs[0] round
     /* 2150286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150289 */     // MIs[0] policy
     /* 2150289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150299 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2150316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150346 */     // GIR_Coverage, 15627,
     /* 2150346 */     GIR_EraseRootFromParent_Done,
     /* 2150347 */   // Label 26215: @2150347
     /* 2150347 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(2150459), // Rule ID 15630 //
     /* 2150352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2150355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150398 */     // MIs[0] round
     /* 2150398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150401 */     // MIs[0] policy
     /* 2150401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2150428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150458 */     // GIR_Coverage, 15630,
     /* 2150458 */     GIR_EraseRootFromParent_Done,
     /* 2150459 */   // Label 26216: @2150459
     /* 2150459 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(2150571), // Rule ID 15631 //
     /* 2150464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2150467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150510 */     // MIs[0] round
     /* 2150510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150513 */     // MIs[0] policy
     /* 2150513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150523 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2150540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150570 */     // GIR_Coverage, 15631,
     /* 2150570 */     GIR_EraseRootFromParent_Done,
     /* 2150571 */   // Label 26217: @2150571
     /* 2150571 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(2150683), // Rule ID 15634 //
     /* 2150576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2150579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2150593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150622 */     // MIs[0] round
     /* 2150622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150625 */     // MIs[0] policy
     /* 2150625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150635 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2150652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150682 */     // GIR_Coverage, 15634,
     /* 2150682 */     GIR_EraseRootFromParent_Done,
     /* 2150683 */   // Label 26218: @2150683
     /* 2150683 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(2150795), // Rule ID 15635 //
     /* 2150688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2150691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2150699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2150702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2150705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2150708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150734 */     // MIs[0] round
     /* 2150734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150737 */     // MIs[0] policy
     /* 2150737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150747 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2150764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150794 */     // GIR_Coverage, 15635,
     /* 2150794 */     GIR_EraseRootFromParent_Done,
     /* 2150795 */   // Label 26219: @2150795
     /* 2150795 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(2150907), // Rule ID 15638 //
     /* 2150800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2150803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2150817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150846 */     // MIs[0] round
     /* 2150846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150849 */     // MIs[0] policy
     /* 2150849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150859 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2150876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2150890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2150905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150906 */     // GIR_Coverage, 15638,
     /* 2150906 */     GIR_EraseRootFromParent_Done,
     /* 2150907 */   // Label 26220: @2150907
     /* 2150907 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(2151019), // Rule ID 15639 //
     /* 2150912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2150915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2150920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2150923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2150926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2150929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2150932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150958 */     // MIs[0] round
     /* 2150958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150961 */     // MIs[0] policy
     /* 2150961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150971 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2150975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2150981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2150985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2150988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2150992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151018 */     // GIR_Coverage, 15639,
     /* 2151018 */     GIR_EraseRootFromParent_Done,
     /* 2151019 */   // Label 26221: @2151019
     /* 2151019 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(2151131), // Rule ID 15642 //
     /* 2151024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2151027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151070 */     // MIs[0] round
     /* 2151070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151073 */     // MIs[0] policy
     /* 2151073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2151100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151130 */     // GIR_Coverage, 15642,
     /* 2151130 */     GIR_EraseRootFromParent_Done,
     /* 2151131 */   // Label 26222: @2151131
     /* 2151131 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(2151243), // Rule ID 15643 //
     /* 2151136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2151139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2151156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151182 */     // MIs[0] round
     /* 2151182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151185 */     // MIs[0] policy
     /* 2151185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151195 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2151212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151242 */     // GIR_Coverage, 15643,
     /* 2151242 */     GIR_EraseRootFromParent_Done,
     /* 2151243 */   // Label 26223: @2151243
     /* 2151243 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(2151355), // Rule ID 15646 //
     /* 2151248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2151251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2151268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151294 */     // MIs[0] round
     /* 2151294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151297 */     // MIs[0] policy
     /* 2151297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2151324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151354 */     // GIR_Coverage, 15646,
     /* 2151354 */     GIR_EraseRootFromParent_Done,
     /* 2151355 */   // Label 26224: @2151355
     /* 2151355 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(2151467), // Rule ID 15647 //
     /* 2151360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2151363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2151371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2151374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2151377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2151380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2151383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2151390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2151398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151406 */     // MIs[0] round
     /* 2151406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151409 */     // MIs[0] policy
     /* 2151409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2151436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151466 */     // GIR_Coverage, 15647,
     /* 2151466 */     GIR_EraseRootFromParent_Done,
     /* 2151467 */   // Label 26225: @2151467
     /* 2151467 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(2151579), // Rule ID 15650 //
     /* 2151472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2151475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2151492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151518 */     // MIs[0] round
     /* 2151518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151521 */     // MIs[0] policy
     /* 2151521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2151548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151578 */     // GIR_Coverage, 15650,
     /* 2151578 */     GIR_EraseRootFromParent_Done,
     /* 2151579 */   // Label 26226: @2151579
     /* 2151579 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(2151691), // Rule ID 15651 //
     /* 2151584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2151587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2151604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151630 */     // MIs[0] round
     /* 2151630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151633 */     // MIs[0] policy
     /* 2151633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151643 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2151660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151690 */     // GIR_Coverage, 15651,
     /* 2151690 */     GIR_EraseRootFromParent_Done,
     /* 2151691 */   // Label 26227: @2151691
     /* 2151691 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(2151803), // Rule ID 15654 //
     /* 2151696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2151699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2151716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151742 */     // MIs[0] round
     /* 2151742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151745 */     // MIs[0] policy
     /* 2151745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151755 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2151772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151802 */     // GIR_Coverage, 15654,
     /* 2151802 */     GIR_EraseRootFromParent_Done,
     /* 2151803 */   // Label 26228: @2151803
     /* 2151803 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(2151915), // Rule ID 15655 //
     /* 2151808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2151811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2151828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151854 */     // MIs[0] round
     /* 2151854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151857 */     // MIs[0] policy
     /* 2151857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151867 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2151884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2151888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2151898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2151913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151914 */     // GIR_Coverage, 15655,
     /* 2151914 */     GIR_EraseRootFromParent_Done,
     /* 2151915 */   // Label 26229: @2151915
     /* 2151915 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(2152027), // Rule ID 15658 //
     /* 2151920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2151923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2151928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2151931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2151934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2151937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2151940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2151962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151966 */     // MIs[0] round
     /* 2151966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151969 */     // MIs[0] policy
     /* 2151969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151979 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2151983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2151989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2151993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2151996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2152025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152026 */     // GIR_Coverage, 15658,
     /* 2152026 */     GIR_EraseRootFromParent_Done,
     /* 2152027 */   // Label 26230: @2152027
     /* 2152027 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(2152139), // Rule ID 15659 //
     /* 2152032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2152035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2152040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2152052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2152074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152078 */     // MIs[0] round
     /* 2152078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152081 */     // MIs[0] policy
     /* 2152081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2152108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2152137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152138 */     // GIR_Coverage, 15659,
     /* 2152138 */     GIR_EraseRootFromParent_Done,
     /* 2152139 */   // Label 26231: @2152139
     /* 2152139 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(2152248), // Rule ID 15662 //
     /* 2152144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2152147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2152155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2152158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2152161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2152164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152190 */     // MIs[0] round
     /* 2152190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152193 */     // MIs[0] policy
     /* 2152193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152203 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2152220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152247 */     // GIR_Coverage, 15662,
     /* 2152247 */     GIR_EraseRootFromParent_Done,
     /* 2152248 */   // Label 26232: @2152248
     /* 2152248 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(2152357), // Rule ID 15663 //
     /* 2152253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2152256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2152264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2152267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2152270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2152273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152299 */     // MIs[0] round
     /* 2152299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152302 */     // MIs[0] policy
     /* 2152302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152316 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2152329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152337 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152356 */     // GIR_Coverage, 15663,
     /* 2152356 */     GIR_EraseRootFromParent_Done,
     /* 2152357 */   // Label 26233: @2152357
     /* 2152357 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(2152466), // Rule ID 15666 //
     /* 2152362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2152365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2152373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2152376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2152379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2152382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152408 */     // MIs[0] round
     /* 2152408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152411 */     // MIs[0] policy
     /* 2152411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152421 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2152438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152465 */     // GIR_Coverage, 15666,
     /* 2152465 */     GIR_EraseRootFromParent_Done,
     /* 2152466 */   // Label 26234: @2152466
     /* 2152466 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(2152575), // Rule ID 15667 //
     /* 2152471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2152474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2152482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2152485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2152488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2152491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152517 */     // MIs[0] round
     /* 2152517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152520 */     // MIs[0] policy
     /* 2152520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152530 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2152547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152574 */     // GIR_Coverage, 15667,
     /* 2152574 */     GIR_EraseRootFromParent_Done,
     /* 2152575 */   // Label 26235: @2152575
     /* 2152575 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(2152684), // Rule ID 15670 //
     /* 2152580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2152583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2152591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2152594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2152597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2152600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152626 */     // MIs[0] round
     /* 2152626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152629 */     // MIs[0] policy
     /* 2152629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152639 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2152656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152683 */     // GIR_Coverage, 15670,
     /* 2152683 */     GIR_EraseRootFromParent_Done,
     /* 2152684 */   // Label 26236: @2152684
     /* 2152684 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(2152793), // Rule ID 15671 //
     /* 2152689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2152692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2152700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2152703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2152706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2152709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152735 */     // MIs[0] round
     /* 2152735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152738 */     // MIs[0] policy
     /* 2152738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152748 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152752 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2152765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2152789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152792 */     // GIR_Coverage, 15671,
     /* 2152792 */     GIR_EraseRootFromParent_Done,
     /* 2152793 */   // Label 26237: @2152793
     /* 2152793 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(2152902), // Rule ID 15674 //
     /* 2152798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2152801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2152815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152844 */     // MIs[0] round
     /* 2152844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152847 */     // MIs[0] policy
     /* 2152847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152857 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152861 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2152874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152901 */     // GIR_Coverage, 15674,
     /* 2152901 */     GIR_EraseRootFromParent_Done,
     /* 2152902 */   // Label 26238: @2152902
     /* 2152902 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(2153011), // Rule ID 15675 //
     /* 2152907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2152910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2152915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2152924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152953 */     // MIs[0] round
     /* 2152953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152956 */     // MIs[0] policy
     /* 2152956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152966 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2152970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2152976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2152980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2152983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2152987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2152997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153010 */     // GIR_Coverage, 15675,
     /* 2153010 */     GIR_EraseRootFromParent_Done,
     /* 2153011 */   // Label 26239: @2153011
     /* 2153011 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(2153120), // Rule ID 15678 //
     /* 2153016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2153019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2153033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153062 */     // MIs[0] round
     /* 2153062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153065 */     // MIs[0] policy
     /* 2153065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153075 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2153092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153119 */     // GIR_Coverage, 15678,
     /* 2153119 */     GIR_EraseRootFromParent_Done,
     /* 2153120 */   // Label 26240: @2153120
     /* 2153120 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(2153229), // Rule ID 15679 //
     /* 2153125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2153128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2153136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2153139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2153142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2153145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153171 */     // MIs[0] round
     /* 2153171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153174 */     // MIs[0] policy
     /* 2153174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153184 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2153201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153228 */     // GIR_Coverage, 15679,
     /* 2153228 */     GIR_EraseRootFromParent_Done,
     /* 2153229 */   // Label 26241: @2153229
     /* 2153229 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(2153338), // Rule ID 15682 //
     /* 2153234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2153237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2153251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153280 */     // MIs[0] round
     /* 2153280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153283 */     // MIs[0] policy
     /* 2153283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153293 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153297 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2153310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153337 */     // GIR_Coverage, 15682,
     /* 2153337 */     GIR_EraseRootFromParent_Done,
     /* 2153338 */   // Label 26242: @2153338
     /* 2153338 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(2153447), // Rule ID 15683 //
     /* 2153343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2153346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2153354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2153357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2153360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2153363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153389 */     // MIs[0] round
     /* 2153389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153392 */     // MIs[0] policy
     /* 2153392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153406 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153412 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2153419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153427 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153446 */     // GIR_Coverage, 15683,
     /* 2153446 */     GIR_EraseRootFromParent_Done,
     /* 2153447 */   // Label 26243: @2153447
     /* 2153447 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(2153556), // Rule ID 15686 //
     /* 2153452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2153455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2153463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2153466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2153469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2153472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153498 */     // MIs[0] round
     /* 2153498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153501 */     // MIs[0] policy
     /* 2153501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153511 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2153528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153536 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2153552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153555 */     // GIR_Coverage, 15686,
     /* 2153555 */     GIR_EraseRootFromParent_Done,
     /* 2153556 */   // Label 26244: @2153556
     /* 2153556 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(2153665), // Rule ID 15687 //
     /* 2153561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2153564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2153572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2153575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2153578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2153581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153607 */     // MIs[0] round
     /* 2153607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153610 */     // MIs[0] policy
     /* 2153610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2153637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2153661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153664 */     // GIR_Coverage, 15687,
     /* 2153664 */     GIR_EraseRootFromParent_Done,
     /* 2153665 */   // Label 26245: @2153665
     /* 2153665 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(2153774), // Rule ID 15690 //
     /* 2153670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2153673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153716 */     // MIs[0] round
     /* 2153716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153719 */     // MIs[0] policy
     /* 2153719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153729 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2153746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153773 */     // GIR_Coverage, 15690,
     /* 2153773 */     GIR_EraseRootFromParent_Done,
     /* 2153774 */   // Label 26246: @2153774
     /* 2153774 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(2153883), // Rule ID 15691 //
     /* 2153779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2153782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2153790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2153793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2153796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2153799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153825 */     // MIs[0] round
     /* 2153825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153828 */     // MIs[0] policy
     /* 2153828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2153855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153882 */     // GIR_Coverage, 15691,
     /* 2153882 */     GIR_EraseRootFromParent_Done,
     /* 2153883 */   // Label 26247: @2153883
     /* 2153883 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(2153992), // Rule ID 15694 //
     /* 2153888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2153891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2153896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2153905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153934 */     // MIs[0] round
     /* 2153934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153937 */     // MIs[0] policy
     /* 2153937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2153951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2153957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2153961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2153964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2153968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2153978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153991 */     // GIR_Coverage, 15694,
     /* 2153991 */     GIR_EraseRootFromParent_Done,
     /* 2153992 */   // Label 26248: @2153992
     /* 2153992 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(2154101), // Rule ID 15695 //
     /* 2153997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2154000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2154008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2154011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2154014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2154017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154043 */     // MIs[0] round
     /* 2154043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154046 */     // MIs[0] policy
     /* 2154046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154056 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154060 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154066 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2154073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154100 */     // GIR_Coverage, 15695,
     /* 2154100 */     GIR_EraseRootFromParent_Done,
     /* 2154101 */   // Label 26249: @2154101
     /* 2154101 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(2154210), // Rule ID 15698 //
     /* 2154106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2154109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2154123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154152 */     // MIs[0] round
     /* 2154152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154155 */     // MIs[0] policy
     /* 2154155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154165 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2154182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154209 */     // GIR_Coverage, 15698,
     /* 2154209 */     GIR_EraseRootFromParent_Done,
     /* 2154210 */   // Label 26250: @2154210
     /* 2154210 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(2154319), // Rule ID 15699 //
     /* 2154215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2154218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2154226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2154229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2154232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2154235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2154238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2154245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2154257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154261 */     // MIs[0] round
     /* 2154261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154264 */     // MIs[0] policy
     /* 2154264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2154291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154318 */     // GIR_Coverage, 15699,
     /* 2154318 */     GIR_EraseRootFromParent_Done,
     /* 2154319 */   // Label 26251: @2154319
     /* 2154319 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(2154428), // Rule ID 15702 //
     /* 2154324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2154327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2154335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2154338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2154341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2154344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154370 */     // MIs[0] round
     /* 2154370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154373 */     // MIs[0] policy
     /* 2154373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154383 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2154400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154427 */     // GIR_Coverage, 15702,
     /* 2154427 */     GIR_EraseRootFromParent_Done,
     /* 2154428 */   // Label 26252: @2154428
     /* 2154428 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(2154537), // Rule ID 15703 //
     /* 2154433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2154436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2154444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2154447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2154450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2154453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154479 */     // MIs[0] round
     /* 2154479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154482 */     // MIs[0] policy
     /* 2154482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154492 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154496 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2154509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154517 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154536 */     // GIR_Coverage, 15703,
     /* 2154536 */     GIR_EraseRootFromParent_Done,
     /* 2154537 */   // Label 26253: @2154537
     /* 2154537 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(2154646), // Rule ID 15706 //
     /* 2154542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2154545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2154553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2154556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2154559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2154562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154588 */     // MIs[0] round
     /* 2154588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154591 */     // MIs[0] policy
     /* 2154591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154601 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2154618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154645 */     // GIR_Coverage, 15706,
     /* 2154645 */     GIR_EraseRootFromParent_Done,
     /* 2154646 */   // Label 26254: @2154646
     /* 2154646 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(2154755), // Rule ID 15707 //
     /* 2154651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2154654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2154662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2154665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2154668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2154671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2154674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154697 */     // MIs[0] round
     /* 2154697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154700 */     // MIs[0] policy
     /* 2154700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154710 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2154727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154754 */     // GIR_Coverage, 15707,
     /* 2154754 */     GIR_EraseRootFromParent_Done,
     /* 2154755 */   // Label 26255: @2154755
     /* 2154755 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(2154864), // Rule ID 15710 //
     /* 2154760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2154763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2154771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2154774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2154777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2154780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2154783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154806 */     // MIs[0] round
     /* 2154806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154809 */     // MIs[0] policy
     /* 2154809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2154836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154863 */     // GIR_Coverage, 15710,
     /* 2154863 */     GIR_EraseRootFromParent_Done,
     /* 2154864 */   // Label 26256: @2154864
     /* 2154864 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(2154973), // Rule ID 15711 //
     /* 2154869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2154872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2154880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2154883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2154886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2154889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2154892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154915 */     // MIs[0] round
     /* 2154915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154918 */     // MIs[0] policy
     /* 2154918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154928 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2154932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2154938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2154942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2154945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2154949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2154959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2154969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154972 */     // GIR_Coverage, 15711,
     /* 2154972 */     GIR_EraseRootFromParent_Done,
     /* 2154973 */   // Label 26257: @2154973
     /* 2154973 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(2155082), // Rule ID 15714 //
     /* 2154978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2154981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2154986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2154989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2154992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2154995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2154998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155024 */     // MIs[0] round
     /* 2155024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155027 */     // MIs[0] policy
     /* 2155027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2155054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155081 */     // GIR_Coverage, 15714,
     /* 2155081 */     GIR_EraseRootFromParent_Done,
     /* 2155082 */   // Label 26258: @2155082
     /* 2155082 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(2155191), // Rule ID 15715 //
     /* 2155087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2155090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2155098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2155101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2155104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2155107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155133 */     // MIs[0] round
     /* 2155133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155136 */     // MIs[0] policy
     /* 2155136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155150 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2155163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155171 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155190 */     // GIR_Coverage, 15715,
     /* 2155190 */     GIR_EraseRootFromParent_Done,
     /* 2155191 */   // Label 26259: @2155191
     /* 2155191 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(2155300), // Rule ID 15718 //
     /* 2155196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2155199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155242 */     // MIs[0] round
     /* 2155242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155245 */     // MIs[0] policy
     /* 2155245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155255 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2155272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155299 */     // GIR_Coverage, 15718,
     /* 2155299 */     GIR_EraseRootFromParent_Done,
     /* 2155300 */   // Label 26260: @2155300
     /* 2155300 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(2155409), // Rule ID 15719 //
     /* 2155305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2155308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2155316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2155319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2155322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2155325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2155328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155351 */     // MIs[0] round
     /* 2155351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155354 */     // MIs[0] policy
     /* 2155354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155364 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2155381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155408 */     // GIR_Coverage, 15719,
     /* 2155408 */     GIR_EraseRootFromParent_Done,
     /* 2155409 */   // Label 26261: @2155409
     /* 2155409 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(2155518), // Rule ID 15722 //
     /* 2155414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2155417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155460 */     // MIs[0] round
     /* 2155460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155463 */     // MIs[0] policy
     /* 2155463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155473 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2155490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155517 */     // GIR_Coverage, 15722,
     /* 2155517 */     GIR_EraseRootFromParent_Done,
     /* 2155518 */   // Label 26262: @2155518
     /* 2155518 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(2155627), // Rule ID 15723 //
     /* 2155523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2155526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2155534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2155537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2155540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2155543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2155546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2155553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2155565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155569 */     // MIs[0] round
     /* 2155569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155572 */     // MIs[0] policy
     /* 2155572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155582 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155586 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2155599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155607 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155626 */     // GIR_Coverage, 15723,
     /* 2155626 */     GIR_EraseRootFromParent_Done,
     /* 2155627 */   // Label 26263: @2155627
     /* 2155627 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(2155736), // Rule ID 15726 //
     /* 2155632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2155635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2155649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155678 */     // MIs[0] round
     /* 2155678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155681 */     // MIs[0] policy
     /* 2155681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155691 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2155708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155735 */     // GIR_Coverage, 15726,
     /* 2155735 */     GIR_EraseRootFromParent_Done,
     /* 2155736 */   // Label 26264: @2155736
     /* 2155736 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(2155845), // Rule ID 15727 //
     /* 2155741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2155744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2155752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2155755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2155758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2155761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2155771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2155783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155787 */     // MIs[0] round
     /* 2155787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155790 */     // MIs[0] policy
     /* 2155790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2155817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155844 */     // GIR_Coverage, 15727,
     /* 2155844 */     GIR_EraseRootFromParent_Done,
     /* 2155845 */   // Label 26265: @2155845
     /* 2155845 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(2155954), // Rule ID 15730 //
     /* 2155850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2155853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2155867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155896 */     // MIs[0] round
     /* 2155896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155899 */     // MIs[0] policy
     /* 2155899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155909 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2155913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2155919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2155923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2155926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2155930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2155940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155953 */     // GIR_Coverage, 15730,
     /* 2155953 */     GIR_EraseRootFromParent_Done,
     /* 2155954 */   // Label 26266: @2155954
     /* 2155954 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(2156063), // Rule ID 15731 //
     /* 2155959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2155962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2155967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2155970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2155973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2155976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2155979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2155982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2155989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2155997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156005 */     // MIs[0] round
     /* 2156005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156008 */     // MIs[0] policy
     /* 2156008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156022 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2156035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156062 */     // GIR_Coverage, 15731,
     /* 2156062 */     GIR_EraseRootFromParent_Done,
     /* 2156063 */   // Label 26267: @2156063
     /* 2156063 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(2156172), // Rule ID 15734 //
     /* 2156068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156114 */     // MIs[0] round
     /* 2156114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156117 */     // MIs[0] policy
     /* 2156117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156127 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2156144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156171 */     // GIR_Coverage, 15734,
     /* 2156171 */     GIR_EraseRootFromParent_Done,
     /* 2156172 */   // Label 26268: @2156172
     /* 2156172 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(2156281), // Rule ID 15735 //
     /* 2156177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2156180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2156188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2156191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2156194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2156197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156223 */     // MIs[0] round
     /* 2156223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156226 */     // MIs[0] policy
     /* 2156226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156236 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2156253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156280 */     // GIR_Coverage, 15735,
     /* 2156280 */     GIR_EraseRootFromParent_Done,
     /* 2156281 */   // Label 26269: @2156281
     /* 2156281 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(2156390), // Rule ID 15738 //
     /* 2156286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2156289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156332 */     // MIs[0] round
     /* 2156332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156335 */     // MIs[0] policy
     /* 2156335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156345 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2156362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156389 */     // GIR_Coverage, 15738,
     /* 2156389 */     GIR_EraseRootFromParent_Done,
     /* 2156390 */   // Label 26270: @2156390
     /* 2156390 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(2156499), // Rule ID 15739 //
     /* 2156395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2156398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2156406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2156409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2156412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2156415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2156418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156441 */     // MIs[0] round
     /* 2156441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156444 */     // MIs[0] policy
     /* 2156444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156454 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2156471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156498 */     // GIR_Coverage, 15739,
     /* 2156498 */     GIR_EraseRootFromParent_Done,
     /* 2156499 */   // Label 26271: @2156499
     /* 2156499 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(2156608), // Rule ID 15742 //
     /* 2156504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2156507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156550 */     // MIs[0] round
     /* 2156550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156553 */     // MIs[0] policy
     /* 2156553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156563 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2156580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156607 */     // GIR_Coverage, 15742,
     /* 2156607 */     GIR_EraseRootFromParent_Done,
     /* 2156608 */   // Label 26272: @2156608
     /* 2156608 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(2156717), // Rule ID 15743 //
     /* 2156613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2156616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2156624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2156627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2156630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2156633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156659 */     // MIs[0] round
     /* 2156659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156662 */     // MIs[0] policy
     /* 2156662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156676 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2156689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156716 */     // GIR_Coverage, 15743,
     /* 2156716 */     GIR_EraseRootFromParent_Done,
     /* 2156717 */   // Label 26273: @2156717
     /* 2156717 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(2156826), // Rule ID 15746 //
     /* 2156722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2156725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2156739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156768 */     // MIs[0] round
     /* 2156768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156771 */     // MIs[0] policy
     /* 2156771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156781 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2156798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156806 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156825 */     // GIR_Coverage, 15746,
     /* 2156825 */     GIR_EraseRootFromParent_Done,
     /* 2156826 */   // Label 26274: @2156826
     /* 2156826 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(2156935), // Rule ID 15747 //
     /* 2156831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2156834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2156842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2156845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2156848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2156851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156877 */     // MIs[0] round
     /* 2156877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156880 */     // MIs[0] policy
     /* 2156880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2156894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2156900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2156904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2156907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2156911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2156921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156934 */     // GIR_Coverage, 15747,
     /* 2156934 */     GIR_EraseRootFromParent_Done,
     /* 2156935 */   // Label 26275: @2156935
     /* 2156935 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(2157044), // Rule ID 15750 //
     /* 2156940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2156943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2156948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2156951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2156954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2156957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2156960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2156982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156986 */     // MIs[0] round
     /* 2156986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156989 */     // MIs[0] policy
     /* 2156989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156999 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2157016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157043 */     // GIR_Coverage, 15750,
     /* 2157043 */     GIR_EraseRootFromParent_Done,
     /* 2157044 */   // Label 26276: @2157044
     /* 2157044 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(2157153), // Rule ID 15751 //
     /* 2157049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2157060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2157063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2157066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2157069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157095 */     // MIs[0] round
     /* 2157095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157098 */     // MIs[0] policy
     /* 2157098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157112 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2157125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157133 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157152 */     // GIR_Coverage, 15751,
     /* 2157152 */     GIR_EraseRootFromParent_Done,
     /* 2157153 */   // Label 26277: @2157153
     /* 2157153 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(2157262), // Rule ID 15754 //
     /* 2157158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2157169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2157172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2157175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2157178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157204 */     // MIs[0] round
     /* 2157204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157207 */     // MIs[0] policy
     /* 2157207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157217 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2157234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157261 */     // GIR_Coverage, 15754,
     /* 2157261 */     GIR_EraseRootFromParent_Done,
     /* 2157262 */   // Label 26278: @2157262
     /* 2157262 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(2157371), // Rule ID 15755 //
     /* 2157267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2157278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2157281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2157284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2157287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157313 */     // MIs[0] round
     /* 2157313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157316 */     // MIs[0] policy
     /* 2157316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157326 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157330 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2157343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157351 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157370 */     // GIR_Coverage, 15755,
     /* 2157370 */     GIR_EraseRootFromParent_Done,
     /* 2157371 */   // Label 26279: @2157371
     /* 2157371 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(2157480), // Rule ID 15758 //
     /* 2157376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2157387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2157390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2157393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2157396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157422 */     // MIs[0] round
     /* 2157422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157425 */     // MIs[0] policy
     /* 2157425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157435 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2157452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157479 */     // GIR_Coverage, 15758,
     /* 2157479 */     GIR_EraseRootFromParent_Done,
     /* 2157480 */   // Label 26280: @2157480
     /* 2157480 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(2157589), // Rule ID 15759 //
     /* 2157485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2157496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2157499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2157502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2157505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157531 */     // MIs[0] round
     /* 2157531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157534 */     // MIs[0] policy
     /* 2157534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157544 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2157561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2157585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157588 */     // GIR_Coverage, 15759,
     /* 2157588 */     GIR_EraseRootFromParent_Done,
     /* 2157589 */   // Label 26281: @2157589
     /* 2157589 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(2157698), // Rule ID 15762 //
     /* 2157594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2157611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2157614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157640 */     // MIs[0] round
     /* 2157640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157643 */     // MIs[0] policy
     /* 2157643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157653 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2157670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157697 */     // GIR_Coverage, 15762,
     /* 2157697 */     GIR_EraseRootFromParent_Done,
     /* 2157698 */   // Label 26282: @2157698
     /* 2157698 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(2157807), // Rule ID 15763 //
     /* 2157703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2157720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2157723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157749 */     // MIs[0] round
     /* 2157749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157752 */     // MIs[0] policy
     /* 2157752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157766 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2157779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157806 */     // GIR_Coverage, 15763,
     /* 2157806 */     GIR_EraseRootFromParent_Done,
     /* 2157807 */   // Label 26283: @2157807
     /* 2157807 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(2157916), // Rule ID 15766 //
     /* 2157812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2157815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2157829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2157832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157858 */     // MIs[0] round
     /* 2157858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157861 */     // MIs[0] policy
     /* 2157861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157871 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2157888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2157892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2157902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157915 */     // GIR_Coverage, 15766,
     /* 2157915 */     GIR_EraseRootFromParent_Done,
     /* 2157916 */   // Label 26284: @2157916
     /* 2157916 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(2158025), // Rule ID 15767 //
     /* 2157921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2157924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2157929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2157938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2157941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2157963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157967 */     // MIs[0] round
     /* 2157967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157970 */     // MIs[0] policy
     /* 2157970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2157984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2157990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2157994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2157997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158024 */     // GIR_Coverage, 15767,
     /* 2158024 */     GIR_EraseRootFromParent_Done,
     /* 2158025 */   // Label 26285: @2158025
     /* 2158025 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(2158134), // Rule ID 15770 //
     /* 2158030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2158047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2158050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158076 */     // MIs[0] round
     /* 2158076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158079 */     // MIs[0] policy
     /* 2158079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158089 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2158106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158133 */     // GIR_Coverage, 15770,
     /* 2158133 */     GIR_EraseRootFromParent_Done,
     /* 2158134 */   // Label 26286: @2158134
     /* 2158134 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(2158243), // Rule ID 15771 //
     /* 2158139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2158156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2158159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158185 */     // MIs[0] round
     /* 2158185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158188 */     // MIs[0] policy
     /* 2158188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2158215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158242 */     // GIR_Coverage, 15771,
     /* 2158242 */     GIR_EraseRootFromParent_Done,
     /* 2158243 */   // Label 26287: @2158243
     /* 2158243 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(2158352), // Rule ID 15774 //
     /* 2158248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2158259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2158262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2158265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2158268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158294 */     // MIs[0] round
     /* 2158294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158297 */     // MIs[0] policy
     /* 2158297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158307 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2158348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158351 */     // GIR_Coverage, 15774,
     /* 2158351 */     GIR_EraseRootFromParent_Done,
     /* 2158352 */   // Label 26288: @2158352
     /* 2158352 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(2158461), // Rule ID 15775 //
     /* 2158357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2158368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2158371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2158374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2158377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158403 */     // MIs[0] round
     /* 2158403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158406 */     // MIs[0] policy
     /* 2158406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2158457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158460 */     // GIR_Coverage, 15775,
     /* 2158460 */     GIR_EraseRootFromParent_Done,
     /* 2158461 */   // Label 26289: @2158461
     /* 2158461 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(2158570), // Rule ID 15778 //
     /* 2158466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2158483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2158486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158512 */     // MIs[0] round
     /* 2158512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158515 */     // MIs[0] policy
     /* 2158515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158525 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158569 */     // GIR_Coverage, 15778,
     /* 2158569 */     GIR_EraseRootFromParent_Done,
     /* 2158570 */   // Label 26290: @2158570
     /* 2158570 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(2158679), // Rule ID 15779 //
     /* 2158575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2158592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2158595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158621 */     // MIs[0] round
     /* 2158621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158624 */     // MIs[0] policy
     /* 2158624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158678 */     // GIR_Coverage, 15779,
     /* 2158678 */     GIR_EraseRootFromParent_Done,
     /* 2158679 */   // Label 26291: @2158679
     /* 2158679 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(2158788), // Rule ID 15782 //
     /* 2158684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2158687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2158701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2158704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158730 */     // MIs[0] round
     /* 2158730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158733 */     // MIs[0] policy
     /* 2158733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158787 */     // GIR_Coverage, 15782,
     /* 2158787 */     GIR_EraseRootFromParent_Done,
     /* 2158788 */   // Label 26292: @2158788
     /* 2158788 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(2158897), // Rule ID 15783 //
     /* 2158793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2158796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2158810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2158813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158839 */     // MIs[0] round
     /* 2158839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158842 */     // MIs[0] policy
     /* 2158842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158896 */     // GIR_Coverage, 15783,
     /* 2158896 */     GIR_EraseRootFromParent_Done,
     /* 2158897 */   // Label 26293: @2158897
     /* 2158897 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(2159006), // Rule ID 15786 //
     /* 2158902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2158905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2158910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2158919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2158922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2158944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158948 */     // MIs[0] round
     /* 2158948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158951 */     // MIs[0] policy
     /* 2158951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158961 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2158965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2158971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2158975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2158978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2158982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2158992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159005 */     // GIR_Coverage, 15786,
     /* 2159005 */     GIR_EraseRootFromParent_Done,
     /* 2159006 */   // Label 26294: @2159006
     /* 2159006 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(2159115), // Rule ID 15787 //
     /* 2159011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2159014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2159022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2159025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2159028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2159031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2159034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2159041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2159049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159057 */     // MIs[0] round
     /* 2159057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159060 */     // MIs[0] policy
     /* 2159060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159070 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2159087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159114 */     // GIR_Coverage, 15787,
     /* 2159114 */     GIR_EraseRootFromParent_Done,
     /* 2159115 */   // Label 26295: @2159115
     /* 2159115 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(2159224), // Rule ID 15790 //
     /* 2159120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2159131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2159134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2159137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2159140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159166 */     // MIs[0] round
     /* 2159166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159169 */     // MIs[0] policy
     /* 2159169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159179 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2159196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159223 */     // GIR_Coverage, 15790,
     /* 2159223 */     GIR_EraseRootFromParent_Done,
     /* 2159224 */   // Label 26296: @2159224
     /* 2159224 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(2159333), // Rule ID 15791 //
     /* 2159229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2159240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2159243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2159246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2159249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159275 */     // MIs[0] round
     /* 2159275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159278 */     // MIs[0] policy
     /* 2159278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159288 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2159305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159332 */     // GIR_Coverage, 15791,
     /* 2159332 */     GIR_EraseRootFromParent_Done,
     /* 2159333 */   // Label 26297: @2159333
     /* 2159333 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(2159442), // Rule ID 15794 //
     /* 2159338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2159349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2159352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2159355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2159358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159384 */     // MIs[0] round
     /* 2159384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159387 */     // MIs[0] policy
     /* 2159387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2159414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159441 */     // GIR_Coverage, 15794,
     /* 2159441 */     GIR_EraseRootFromParent_Done,
     /* 2159442 */   // Label 26298: @2159442
     /* 2159442 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(2159551), // Rule ID 15795 //
     /* 2159447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2159458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2159461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2159464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2159467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159493 */     // MIs[0] round
     /* 2159493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159496 */     // MIs[0] policy
     /* 2159496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159510 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2159523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159550 */     // GIR_Coverage, 15795,
     /* 2159550 */     GIR_EraseRootFromParent_Done,
     /* 2159551 */   // Label 26299: @2159551
     /* 2159551 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(2159660), // Rule ID 15798 //
     /* 2159556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2159567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2159570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2159573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2159576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2159579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159602 */     // MIs[0] round
     /* 2159602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159605 */     // MIs[0] policy
     /* 2159605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159615 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2159632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159659 */     // GIR_Coverage, 15798,
     /* 2159659 */     GIR_EraseRootFromParent_Done,
     /* 2159660 */   // Label 26300: @2159660
     /* 2159660 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(2159769), // Rule ID 15799 //
     /* 2159665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2159676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2159679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2159682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2159685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2159688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159711 */     // MIs[0] round
     /* 2159711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159714 */     // MIs[0] policy
     /* 2159714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159724 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2159741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2159765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159768 */     // GIR_Coverage, 15799,
     /* 2159768 */     GIR_EraseRootFromParent_Done,
     /* 2159769 */   // Label 26301: @2159769
     /* 2159769 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(2159878), // Rule ID 15802 //
     /* 2159774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2159791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2159794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159820 */     // MIs[0] round
     /* 2159820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159823 */     // MIs[0] policy
     /* 2159823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159833 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2159850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159877 */     // GIR_Coverage, 15802,
     /* 2159877 */     GIR_EraseRootFromParent_Done,
     /* 2159878 */   // Label 26302: @2159878
     /* 2159878 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(2159987), // Rule ID 15803 //
     /* 2159883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2159886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2159891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2159894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2159897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2159900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2159903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2159925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159929 */     // MIs[0] round
     /* 2159929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159932 */     // MIs[0] policy
     /* 2159932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159942 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2159946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2159952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2159956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2159959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2159963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2159973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159986 */     // GIR_Coverage, 15803,
     /* 2159986 */     GIR_EraseRootFromParent_Done,
     /* 2159987 */   // Label 26303: @2159987
     /* 2159987 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(2160096), // Rule ID 15806 //
     /* 2159992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2159995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2160009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2160012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160038 */     // MIs[0] round
     /* 2160038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160041 */     // MIs[0] policy
     /* 2160041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160051 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2160068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160095 */     // GIR_Coverage, 15806,
     /* 2160095 */     GIR_EraseRootFromParent_Done,
     /* 2160096 */   // Label 26304: @2160096
     /* 2160096 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(2160205), // Rule ID 15807 //
     /* 2160101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2160112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2160115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2160118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2160121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160147 */     // MIs[0] round
     /* 2160147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160150 */     // MIs[0] policy
     /* 2160150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2160177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160204 */     // GIR_Coverage, 15807,
     /* 2160204 */     GIR_EraseRootFromParent_Done,
     /* 2160205 */   // Label 26305: @2160205
     /* 2160205 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(2160314), // Rule ID 15810 //
     /* 2160210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2160227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2160230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160256 */     // MIs[0] round
     /* 2160256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160259 */     // MIs[0] policy
     /* 2160259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2160286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160313 */     // GIR_Coverage, 15810,
     /* 2160313 */     GIR_EraseRootFromParent_Done,
     /* 2160314 */   // Label 26306: @2160314
     /* 2160314 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(2160423), // Rule ID 15811 //
     /* 2160319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2160330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2160333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2160336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2160339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2160342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160365 */     // MIs[0] round
     /* 2160365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160368 */     // MIs[0] policy
     /* 2160368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2160395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160422 */     // GIR_Coverage, 15811,
     /* 2160422 */     GIR_EraseRootFromParent_Done,
     /* 2160423 */   // Label 26307: @2160423
     /* 2160423 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(2160532), // Rule ID 15814 //
     /* 2160428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2160445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2160448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160474 */     // MIs[0] round
     /* 2160474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160477 */     // MIs[0] policy
     /* 2160477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160487 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2160504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160531 */     // GIR_Coverage, 15814,
     /* 2160531 */     GIR_EraseRootFromParent_Done,
     /* 2160532 */   // Label 26308: @2160532
     /* 2160532 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(2160641), // Rule ID 15815 //
     /* 2160537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2160548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2160551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2160554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2160557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160583 */     // MIs[0] round
     /* 2160583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160586 */     // MIs[0] policy
     /* 2160586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2160613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160640 */     // GIR_Coverage, 15815,
     /* 2160640 */     GIR_EraseRootFromParent_Done,
     /* 2160641 */   // Label 26309: @2160641
     /* 2160641 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(2160750), // Rule ID 15818 //
     /* 2160646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2160663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2160666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160692 */     // MIs[0] round
     /* 2160692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160695 */     // MIs[0] policy
     /* 2160695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160705 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2160722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160749 */     // GIR_Coverage, 15818,
     /* 2160749 */     GIR_EraseRootFromParent_Done,
     /* 2160750 */   // Label 26310: @2160750
     /* 2160750 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(2160859), // Rule ID 15819 //
     /* 2160755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2160766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2160769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2160772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2160775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160801 */     // MIs[0] round
     /* 2160801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160804 */     // MIs[0] policy
     /* 2160804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2160831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160858 */     // GIR_Coverage, 15819,
     /* 2160858 */     GIR_EraseRootFromParent_Done,
     /* 2160859 */   // Label 26311: @2160859
     /* 2160859 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(2160968), // Rule ID 15822 //
     /* 2160864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2160867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2160881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2160884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2160906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160910 */     // MIs[0] round
     /* 2160910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160913 */     // MIs[0] policy
     /* 2160913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160923 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2160927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2160933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2160937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2160940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2160944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2160954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160967 */     // GIR_Coverage, 15822,
     /* 2160967 */     GIR_EraseRootFromParent_Done,
     /* 2160968 */   // Label 26312: @2160968
     /* 2160968 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(2161077), // Rule ID 15823 //
     /* 2160973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2160976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2160981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2160984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2160987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2160990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2160993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2160996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161019 */     // MIs[0] round
     /* 2161019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161022 */     // MIs[0] policy
     /* 2161022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161032 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161036 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2161049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161076 */     // GIR_Coverage, 15823,
     /* 2161076 */     GIR_EraseRootFromParent_Done,
     /* 2161077 */   // Label 26313: @2161077
     /* 2161077 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(2161186), // Rule ID 15826 //
     /* 2161082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2161085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2161099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2161102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161128 */     // MIs[0] round
     /* 2161128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161131 */     // MIs[0] policy
     /* 2161131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161141 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2161158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161185 */     // GIR_Coverage, 15826,
     /* 2161185 */     GIR_EraseRootFromParent_Done,
     /* 2161186 */   // Label 26314: @2161186
     /* 2161186 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(2161295), // Rule ID 15827 //
     /* 2161191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2161194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2161202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2161205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2161208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2161211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161237 */     // MIs[0] round
     /* 2161237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161240 */     // MIs[0] policy
     /* 2161240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161250 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2161267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161294 */     // GIR_Coverage, 15827,
     /* 2161294 */     GIR_EraseRootFromParent_Done,
     /* 2161295 */   // Label 26315: @2161295
     /* 2161295 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(2161404), // Rule ID 15830 //
     /* 2161300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2161303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2161317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2161320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161346 */     // MIs[0] round
     /* 2161346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161349 */     // MIs[0] policy
     /* 2161349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2161376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161403 */     // GIR_Coverage, 15830,
     /* 2161403 */     GIR_EraseRootFromParent_Done,
     /* 2161404 */   // Label 26316: @2161404
     /* 2161404 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(2161513), // Rule ID 15831 //
     /* 2161409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2161412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2161420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2161423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2161426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2161429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161455 */     // MIs[0] round
     /* 2161455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161458 */     // MIs[0] policy
     /* 2161458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161468 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2161485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161512 */     // GIR_Coverage, 15831,
     /* 2161512 */     GIR_EraseRootFromParent_Done,
     /* 2161513 */   // Label 26317: @2161513
     /* 2161513 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(2161622), // Rule ID 15834 //
     /* 2161518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2161521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2161535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2161538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161564 */     // MIs[0] round
     /* 2161564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161567 */     // MIs[0] policy
     /* 2161567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161577 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2161594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161621 */     // GIR_Coverage, 15834,
     /* 2161621 */     GIR_EraseRootFromParent_Done,
     /* 2161622 */   // Label 26318: @2161622
     /* 2161622 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(2161731), // Rule ID 15835 //
     /* 2161627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2161630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2161635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2161638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2161641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2161644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2161647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2161669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161673 */     // MIs[0] round
     /* 2161673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161676 */     // MIs[0] policy
     /* 2161676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161686 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11236:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161690 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2161703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161730 */     // GIR_Coverage, 15835,
     /* 2161730 */     GIR_EraseRootFromParent_Done,
     /* 2161731 */   // Label 26319: @2161731
     /* 2161731 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(2161840), // Rule ID 15926 //
     /* 2161736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2161744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2161747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2161750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2161753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2161756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161782 */     // MIs[0] round
     /* 2161782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161785 */     // MIs[0] policy
     /* 2161785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2161812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161839 */     // GIR_Coverage, 15926,
     /* 2161839 */     GIR_EraseRootFromParent_Done,
     /* 2161840 */   // Label 26320: @2161840
     /* 2161840 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(2161949), // Rule ID 15927 //
     /* 2161845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2161848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2161853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2161856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2161859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2161862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2161865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161891 */     // MIs[0] round
     /* 2161891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161894 */     // MIs[0] policy
     /* 2161894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2161908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2161914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2161918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2161921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2161925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2161935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2161945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161948 */     // GIR_Coverage, 15927,
     /* 2161948 */     GIR_EraseRootFromParent_Done,
     /* 2161949 */   // Label 26321: @2161949
     /* 2161949 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(2162058), // Rule ID 15930 //
     /* 2161954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2161957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2161962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2161965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2161968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2161971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2161974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162000 */     // MIs[0] round
     /* 2162000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162003 */     // MIs[0] policy
     /* 2162003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162013 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2162030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162057 */     // GIR_Coverage, 15930,
     /* 2162057 */     GIR_EraseRootFromParent_Done,
     /* 2162058 */   // Label 26322: @2162058
     /* 2162058 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(2162167), // Rule ID 15931 //
     /* 2162063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2162074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2162077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2162080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2162083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162109 */     // MIs[0] round
     /* 2162109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162112 */     // MIs[0] policy
     /* 2162112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162126 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2162139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162166 */     // GIR_Coverage, 15931,
     /* 2162166 */     GIR_EraseRootFromParent_Done,
     /* 2162167 */   // Label 26323: @2162167
     /* 2162167 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(2162276), // Rule ID 15934 //
     /* 2162172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2162183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2162186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2162189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2162192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162218 */     // MIs[0] round
     /* 2162218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162221 */     // MIs[0] policy
     /* 2162221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162231 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2162248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162275 */     // GIR_Coverage, 15934,
     /* 2162275 */     GIR_EraseRootFromParent_Done,
     /* 2162276 */   // Label 26324: @2162276
     /* 2162276 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(2162385), // Rule ID 15935 //
     /* 2162281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2162292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2162295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2162298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2162301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162327 */     // MIs[0] round
     /* 2162327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162330 */     // MIs[0] policy
     /* 2162330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162340 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2162357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2162381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162384 */     // GIR_Coverage, 15935,
     /* 2162384 */     GIR_EraseRootFromParent_Done,
     /* 2162385 */   // Label 26325: @2162385
     /* 2162385 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(2162494), // Rule ID 15938 //
     /* 2162390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2162407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162436 */     // MIs[0] round
     /* 2162436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162439 */     // MIs[0] policy
     /* 2162439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162449 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2162466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162493 */     // GIR_Coverage, 15938,
     /* 2162493 */     GIR_EraseRootFromParent_Done,
     /* 2162494 */   // Label 26326: @2162494
     /* 2162494 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(2162603), // Rule ID 15939 //
     /* 2162499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2162510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2162513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2162516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2162519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162545 */     // MIs[0] round
     /* 2162545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162548 */     // MIs[0] policy
     /* 2162548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162558 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2162575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162602 */     // GIR_Coverage, 15939,
     /* 2162602 */     GIR_EraseRootFromParent_Done,
     /* 2162603 */   // Label 26327: @2162603
     /* 2162603 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(2162712), // Rule ID 15942 //
     /* 2162608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2162625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162654 */     // MIs[0] round
     /* 2162654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162657 */     // MIs[0] policy
     /* 2162657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162667 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2162684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162711 */     // GIR_Coverage, 15942,
     /* 2162711 */     GIR_EraseRootFromParent_Done,
     /* 2162712 */   // Label 26328: @2162712
     /* 2162712 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(2162821), // Rule ID 15943 //
     /* 2162717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2162728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2162731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2162734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2162737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162763 */     // MIs[0] round
     /* 2162763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162766 */     // MIs[0] policy
     /* 2162766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162780 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2162793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162820 */     // GIR_Coverage, 15943,
     /* 2162820 */     GIR_EraseRootFromParent_Done,
     /* 2162821 */   // Label 26329: @2162821
     /* 2162821 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(2162930), // Rule ID 15946 //
     /* 2162826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2162829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162872 */     // MIs[0] round
     /* 2162872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162875 */     // MIs[0] policy
     /* 2162875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162885 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2162895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2162899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2162902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2162906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2162916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162929 */     // GIR_Coverage, 15946,
     /* 2162929 */     GIR_EraseRootFromParent_Done,
     /* 2162930 */   // Label 26330: @2162930
     /* 2162930 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(2163039), // Rule ID 15947 //
     /* 2162935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2162938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2162943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2162946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2162949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2162952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2162955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2162958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2162965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2162977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162981 */     // MIs[0] round
     /* 2162981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162984 */     // MIs[0] policy
     /* 2162984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2162998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2163011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163038 */     // GIR_Coverage, 15947,
     /* 2163038 */     GIR_EraseRootFromParent_Done,
     /* 2163039 */   // Label 26331: @2163039
     /* 2163039 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(2163148), // Rule ID 15950 //
     /* 2163044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2163055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2163058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2163061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2163064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163090 */     // MIs[0] round
     /* 2163090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163093 */     // MIs[0] policy
     /* 2163093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163147 */     // GIR_Coverage, 15950,
     /* 2163147 */     GIR_EraseRootFromParent_Done,
     /* 2163148 */   // Label 26332: @2163148
     /* 2163148 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(2163257), // Rule ID 15951 //
     /* 2163153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2163164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2163167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2163170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2163173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163199 */     // MIs[0] round
     /* 2163199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163202 */     // MIs[0] policy
     /* 2163202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163216 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2163253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163256 */     // GIR_Coverage, 15951,
     /* 2163256 */     GIR_EraseRootFromParent_Done,
     /* 2163257 */   // Label 26333: @2163257
     /* 2163257 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(2163366), // Rule ID 15954 //
     /* 2163262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2163279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163308 */     // MIs[0] round
     /* 2163308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163311 */     // MIs[0] policy
     /* 2163311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163365 */     // GIR_Coverage, 15954,
     /* 2163365 */     GIR_EraseRootFromParent_Done,
     /* 2163366 */   // Label 26334: @2163366
     /* 2163366 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(2163475), // Rule ID 15955 //
     /* 2163371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2163388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163417 */     // MIs[0] round
     /* 2163417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163420 */     // MIs[0] policy
     /* 2163420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163430 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163474 */     // GIR_Coverage, 15955,
     /* 2163474 */     GIR_EraseRootFromParent_Done,
     /* 2163475 */   // Label 26335: @2163475
     /* 2163475 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(2163584), // Rule ID 15958 //
     /* 2163480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2163497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163526 */     // MIs[0] round
     /* 2163526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163529 */     // MIs[0] policy
     /* 2163529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163539 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163583 */     // GIR_Coverage, 15958,
     /* 2163583 */     GIR_EraseRootFromParent_Done,
     /* 2163584 */   // Label 26336: @2163584
     /* 2163584 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(2163693), // Rule ID 15959 //
     /* 2163589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2163592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2163606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163635 */     // MIs[0] round
     /* 2163635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163638 */     // MIs[0] policy
     /* 2163638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163652 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163692 */     // GIR_Coverage, 15959,
     /* 2163692 */     GIR_EraseRootFromParent_Done,
     /* 2163693 */   // Label 26337: @2163693
     /* 2163693 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(2163802), // Rule ID 15962 //
     /* 2163698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2163701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2163715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163744 */     // MIs[0] round
     /* 2163744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163747 */     // MIs[0] policy
     /* 2163747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163757 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163801 */     // GIR_Coverage, 15962,
     /* 2163801 */     GIR_EraseRootFromParent_Done,
     /* 2163802 */   // Label 26338: @2163802
     /* 2163802 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(2163911), // Rule ID 15963 //
     /* 2163807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2163810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2163818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2163821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2163824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2163827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163853 */     // MIs[0] round
     /* 2163853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163856 */     // MIs[0] policy
     /* 2163856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163870 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2163883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2163897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163910 */     // GIR_Coverage, 15963,
     /* 2163910 */     GIR_EraseRootFromParent_Done,
     /* 2163911 */   // Label 26339: @2163911
     /* 2163911 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(2164020), // Rule ID 15966 //
     /* 2163916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2163919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2163924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2163927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2163930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2163933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2163936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2163939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2163946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2163958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163962 */     // MIs[0] round
     /* 2163962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163965 */     // MIs[0] policy
     /* 2163965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163975 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2163979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2163985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2163989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2163992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2163996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164019 */     // GIR_Coverage, 15966,
     /* 2164019 */     GIR_EraseRootFromParent_Done,
     /* 2164020 */   // Label 26340: @2164020
     /* 2164020 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(2164129), // Rule ID 15967 //
     /* 2164025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2164036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2164039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2164042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2164045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164071 */     // MIs[0] round
     /* 2164071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164074 */     // MIs[0] policy
     /* 2164074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164084 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164088 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2164101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164128 */     // GIR_Coverage, 15967,
     /* 2164128 */     GIR_EraseRootFromParent_Done,
     /* 2164129 */   // Label 26341: @2164129
     /* 2164129 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(2164238), // Rule ID 15970 //
     /* 2164134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2164145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2164148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2164151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2164154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164180 */     // MIs[0] round
     /* 2164180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164183 */     // MIs[0] policy
     /* 2164183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164193 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2164210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164237 */     // GIR_Coverage, 15970,
     /* 2164237 */     GIR_EraseRootFromParent_Done,
     /* 2164238 */   // Label 26342: @2164238
     /* 2164238 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(2164347), // Rule ID 15971 //
     /* 2164243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2164254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2164257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2164260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2164263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164289 */     // MIs[0] round
     /* 2164289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164292 */     // MIs[0] policy
     /* 2164292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164302 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164306 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164312 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2164319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164327 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164346 */     // GIR_Coverage, 15971,
     /* 2164346 */     GIR_EraseRootFromParent_Done,
     /* 2164347 */   // Label 26343: @2164347
     /* 2164347 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(2164456), // Rule ID 15974 //
     /* 2164352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2164363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2164366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2164369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2164372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2164375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164398 */     // MIs[0] round
     /* 2164398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164401 */     // MIs[0] policy
     /* 2164401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164411 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2164428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164455 */     // GIR_Coverage, 15974,
     /* 2164455 */     GIR_EraseRootFromParent_Done,
     /* 2164456 */   // Label 26344: @2164456
     /* 2164456 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(2164565), // Rule ID 15975 //
     /* 2164461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2164472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2164475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2164478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2164481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2164484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164507 */     // MIs[0] round
     /* 2164507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164510 */     // MIs[0] policy
     /* 2164510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164520 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2164537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2164561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164564 */     // GIR_Coverage, 15975,
     /* 2164564 */     GIR_EraseRootFromParent_Done,
     /* 2164565 */   // Label 26345: @2164565
     /* 2164565 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(2164674), // Rule ID 15978 //
     /* 2164570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2164587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164616 */     // MIs[0] round
     /* 2164616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164619 */     // MIs[0] policy
     /* 2164619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164629 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2164646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164673 */     // GIR_Coverage, 15978,
     /* 2164673 */     GIR_EraseRootFromParent_Done,
     /* 2164674 */   // Label 26346: @2164674
     /* 2164674 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(2164783), // Rule ID 15979 //
     /* 2164679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2164696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164725 */     // MIs[0] round
     /* 2164725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164728 */     // MIs[0] policy
     /* 2164728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164742 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2164755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164782 */     // GIR_Coverage, 15979,
     /* 2164782 */     GIR_EraseRootFromParent_Done,
     /* 2164783 */   // Label 26347: @2164783
     /* 2164783 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(2164892), // Rule ID 15982 //
     /* 2164788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2164791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2164805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164834 */     // MIs[0] round
     /* 2164834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164837 */     // MIs[0] policy
     /* 2164837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164851 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2164864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164891 */     // GIR_Coverage, 15982,
     /* 2164891 */     GIR_EraseRootFromParent_Done,
     /* 2164892 */   // Label 26348: @2164892
     /* 2164892 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(2165001), // Rule ID 15983 //
     /* 2164897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2164900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2164905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2164914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164943 */     // MIs[0] round
     /* 2164943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164946 */     // MIs[0] policy
     /* 2164946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2164960 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2164966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2164970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2164973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2164977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164981 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2164987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165000 */     // GIR_Coverage, 15983,
     /* 2165000 */     GIR_EraseRootFromParent_Done,
     /* 2165001 */   // Label 26349: @2165001
     /* 2165001 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(2165110), // Rule ID 15986 //
     /* 2165006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2165023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165052 */     // MIs[0] round
     /* 2165052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165055 */     // MIs[0] policy
     /* 2165055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165065 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2165082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165109 */     // GIR_Coverage, 15986,
     /* 2165109 */     GIR_EraseRootFromParent_Done,
     /* 2165110 */   // Label 26350: @2165110
     /* 2165110 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(2165219), // Rule ID 15987 //
     /* 2165115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2165126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2165129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2165132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2165135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2165138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165161 */     // MIs[0] round
     /* 2165161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165164 */     // MIs[0] policy
     /* 2165164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165174 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2165191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165218 */     // GIR_Coverage, 15987,
     /* 2165218 */     GIR_EraseRootFromParent_Done,
     /* 2165219 */   // Label 26351: @2165219
     /* 2165219 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(2165328), // Rule ID 15990 //
     /* 2165224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2165241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165270 */     // MIs[0] round
     /* 2165270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165273 */     // MIs[0] policy
     /* 2165273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2165300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165327 */     // GIR_Coverage, 15990,
     /* 2165327 */     GIR_EraseRootFromParent_Done,
     /* 2165328 */   // Label 26352: @2165328
     /* 2165328 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(2165437), // Rule ID 15991 //
     /* 2165333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2165344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2165347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2165350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2165353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165379 */     // MIs[0] round
     /* 2165379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165382 */     // MIs[0] policy
     /* 2165382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165396 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165402 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2165409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165417 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165436 */     // GIR_Coverage, 15991,
     /* 2165436 */     GIR_EraseRootFromParent_Done,
     /* 2165437 */   // Label 26353: @2165437
     /* 2165437 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(2165546), // Rule ID 15994 //
     /* 2165442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2165459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165488 */     // MIs[0] round
     /* 2165488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165491 */     // MIs[0] policy
     /* 2165491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2165518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165545 */     // GIR_Coverage, 15994,
     /* 2165545 */     GIR_EraseRootFromParent_Done,
     /* 2165546 */   // Label 26354: @2165546
     /* 2165546 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(2165655), // Rule ID 15995 //
     /* 2165551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2165568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165597 */     // MIs[0] round
     /* 2165597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165600 */     // MIs[0] policy
     /* 2165600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2165627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165654 */     // GIR_Coverage, 15995,
     /* 2165654 */     GIR_EraseRootFromParent_Done,
     /* 2165655 */   // Label 26355: @2165655
     /* 2165655 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(2165764), // Rule ID 15998 //
     /* 2165660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2165663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2165677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165706 */     // MIs[0] round
     /* 2165706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165709 */     // MIs[0] policy
     /* 2165709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2165736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165763 */     // GIR_Coverage, 15998,
     /* 2165763 */     GIR_EraseRootFromParent_Done,
     /* 2165764 */   // Label 26356: @2165764
     /* 2165764 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(2165873), // Rule ID 15999 //
     /* 2165769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2165772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2165786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165815 */     // MIs[0] round
     /* 2165815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165818 */     // MIs[0] policy
     /* 2165818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165832 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165838 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2165845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165872 */     // GIR_Coverage, 15999,
     /* 2165872 */     GIR_EraseRootFromParent_Done,
     /* 2165873 */   // Label 26357: @2165873
     /* 2165873 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(2165982), // Rule ID 16002 //
     /* 2165878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2165881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2165895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165924 */     // MIs[0] round
     /* 2165924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165927 */     // MIs[0] policy
     /* 2165927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165937 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2165941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2165947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2165951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2165954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2165958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2165968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165981 */     // GIR_Coverage, 16002,
     /* 2165981 */     GIR_EraseRootFromParent_Done,
     /* 2165982 */   // Label 26358: @2165982
     /* 2165982 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(2166091), // Rule ID 16003 //
     /* 2165987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2165990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2165995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2166001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2166004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2166007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2166017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2166029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166033 */     // MIs[0] round
     /* 2166033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166036 */     // MIs[0] policy
     /* 2166036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166046 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166050 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2166063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166071 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166090 */     // GIR_Coverage, 16003,
     /* 2166090 */     GIR_EraseRootFromParent_Done,
     /* 2166091 */   // Label 26359: @2166091
     /* 2166091 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(2166200), // Rule ID 16006 //
     /* 2166096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2166099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2166113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166142 */     // MIs[0] round
     /* 2166142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166145 */     // MIs[0] policy
     /* 2166145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166155 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2166172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166199 */     // GIR_Coverage, 16006,
     /* 2166199 */     GIR_EraseRootFromParent_Done,
     /* 2166200 */   // Label 26360: @2166200
     /* 2166200 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(2166309), // Rule ID 16007 //
     /* 2166205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2166208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2166216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2166219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2166222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2166225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2166235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2166247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166251 */     // MIs[0] round
     /* 2166251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166254 */     // MIs[0] policy
     /* 2166254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166264 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166268 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2166281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166308 */     // GIR_Coverage, 16007,
     /* 2166308 */     GIR_EraseRootFromParent_Done,
     /* 2166309 */   // Label 26361: @2166309
     /* 2166309 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(2166418), // Rule ID 16010 //
     /* 2166314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2166317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2166331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166360 */     // MIs[0] round
     /* 2166360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166363 */     // MIs[0] policy
     /* 2166363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166373 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2166390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166417 */     // GIR_Coverage, 16010,
     /* 2166417 */     GIR_EraseRootFromParent_Done,
     /* 2166418 */   // Label 26362: @2166418
     /* 2166418 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(2166527), // Rule ID 16011 //
     /* 2166423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2166426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2166434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2166437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2166440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2166443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2166446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2166453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2166465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166469 */     // MIs[0] round
     /* 2166469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166472 */     // MIs[0] policy
     /* 2166472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166482 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166486 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2166499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166526 */     // GIR_Coverage, 16011,
     /* 2166526 */     GIR_EraseRootFromParent_Done,
     /* 2166527 */   // Label 26363: @2166527
     /* 2166527 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(2166636), // Rule ID 16014 //
     /* 2166532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2166543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2166546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2166549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2166552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2166574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166578 */     // MIs[0] round
     /* 2166578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166581 */     // MIs[0] policy
     /* 2166581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166591 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2166608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166635 */     // GIR_Coverage, 16014,
     /* 2166635 */     GIR_EraseRootFromParent_Done,
     /* 2166636 */   // Label 26364: @2166636
     /* 2166636 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(2166745), // Rule ID 16015 //
     /* 2166641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2166652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2166655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2166658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2166661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2166683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166687 */     // MIs[0] round
     /* 2166687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166690 */     // MIs[0] policy
     /* 2166690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2166717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166744 */     // GIR_Coverage, 16015,
     /* 2166744 */     GIR_EraseRootFromParent_Done,
     /* 2166745 */   // Label 26365: @2166745
     /* 2166745 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(2166854), // Rule ID 16018 //
     /* 2166750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2166761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2166764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2166767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2166770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2166792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166796 */     // MIs[0] round
     /* 2166796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166799 */     // MIs[0] policy
     /* 2166799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166809 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2166826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166853 */     // GIR_Coverage, 16018,
     /* 2166853 */     GIR_EraseRootFromParent_Done,
     /* 2166854 */   // Label 26366: @2166854
     /* 2166854 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(2166963), // Rule ID 16019 //
     /* 2166859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2166862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2166870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2166873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2166876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2166879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2166901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166905 */     // MIs[0] round
     /* 2166905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166908 */     // MIs[0] policy
     /* 2166908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166918 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2166922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2166928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2166932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2166935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2166939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2166949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2166959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166962 */     // GIR_Coverage, 16019,
     /* 2166962 */     GIR_EraseRootFromParent_Done,
     /* 2166963 */   // Label 26367: @2166963
     /* 2166963 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(2167072), // Rule ID 16022 //
     /* 2166968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2166971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2166976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2166979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2166982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2166985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2166988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167014 */     // MIs[0] round
     /* 2167014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167017 */     // MIs[0] policy
     /* 2167017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167071 */     // GIR_Coverage, 16022,
     /* 2167071 */     GIR_EraseRootFromParent_Done,
     /* 2167072 */   // Label 26368: @2167072
     /* 2167072 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(2167181), // Rule ID 16023 //
     /* 2167077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2167088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2167091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2167094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2167097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167123 */     // MIs[0] round
     /* 2167123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167126 */     // MIs[0] policy
     /* 2167126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167136 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167140 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167180 */     // GIR_Coverage, 16023,
     /* 2167180 */     GIR_EraseRootFromParent_Done,
     /* 2167181 */   // Label 26369: @2167181
     /* 2167181 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(2167290), // Rule ID 16026 //
     /* 2167186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2167206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167232 */     // MIs[0] round
     /* 2167232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167235 */     // MIs[0] policy
     /* 2167235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167245 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2167262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167289 */     // GIR_Coverage, 16026,
     /* 2167289 */     GIR_EraseRootFromParent_Done,
     /* 2167290 */   // Label 26370: @2167290
     /* 2167290 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(2167399), // Rule ID 16027 //
     /* 2167295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2167306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2167309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2167312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2167315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167341 */     // MIs[0] round
     /* 2167341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167344 */     // MIs[0] policy
     /* 2167344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167354 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2167371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167398 */     // GIR_Coverage, 16027,
     /* 2167398 */     GIR_EraseRootFromParent_Done,
     /* 2167399 */   // Label 26371: @2167399
     /* 2167399 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(2167508), // Rule ID 16030 //
     /* 2167404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2167424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167450 */     // MIs[0] round
     /* 2167450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167453 */     // MIs[0] policy
     /* 2167453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167463 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167507 */     // GIR_Coverage, 16030,
     /* 2167507 */     GIR_EraseRootFromParent_Done,
     /* 2167508 */   // Label 26372: @2167508
     /* 2167508 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(2167617), // Rule ID 16031 //
     /* 2167513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2167524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2167527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2167530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2167533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2167536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167559 */     // MIs[0] round
     /* 2167559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167562 */     // MIs[0] policy
     /* 2167562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167616 */     // GIR_Coverage, 16031,
     /* 2167616 */     GIR_EraseRootFromParent_Done,
     /* 2167617 */   // Label 26373: @2167617
     /* 2167617 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(2167726), // Rule ID 16034 //
     /* 2167622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2167642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167668 */     // MIs[0] round
     /* 2167668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167671 */     // MIs[0] policy
     /* 2167671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167681 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167725 */     // GIR_Coverage, 16034,
     /* 2167725 */     GIR_EraseRootFromParent_Done,
     /* 2167726 */   // Label 26374: @2167726
     /* 2167726 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(2167835), // Rule ID 16035 //
     /* 2167731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2167742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2167745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2167748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2167751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2167754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167777 */     // MIs[0] round
     /* 2167777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167780 */     // MIs[0] policy
     /* 2167780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167790 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2167807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167834 */     // GIR_Coverage, 16035,
     /* 2167834 */     GIR_EraseRootFromParent_Done,
     /* 2167835 */   // Label 26375: @2167835
     /* 2167835 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(2167944), // Rule ID 16038 //
     /* 2167840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2167843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2167851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2167854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2167857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2167860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167886 */     // MIs[0] round
     /* 2167886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167889 */     // MIs[0] policy
     /* 2167889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167899 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2167903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2167909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2167913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2167916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2167920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2167930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2167940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167943 */     // GIR_Coverage, 16038,
     /* 2167943 */     GIR_EraseRootFromParent_Done,
     /* 2167944 */   // Label 26376: @2167944
     /* 2167944 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(2168053), // Rule ID 16039 //
     /* 2167949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2167952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2167957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2167960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2167963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2167966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2167969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2167979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2167987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2167991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167995 */     // MIs[0] round
     /* 2167995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167998 */     // MIs[0] policy
     /* 2167998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168052 */     // GIR_Coverage, 16039,
     /* 2168052 */     GIR_EraseRootFromParent_Done,
     /* 2168053 */   // Label 26377: @2168053
     /* 2168053 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(2168162), // Rule ID 16042 //
     /* 2168058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2168075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2168078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168104 */     // MIs[0] round
     /* 2168104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168107 */     // MIs[0] policy
     /* 2168107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168117 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168161 */     // GIR_Coverage, 16042,
     /* 2168161 */     GIR_EraseRootFromParent_Done,
     /* 2168162 */   // Label 26378: @2168162
     /* 2168162 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(2168271), // Rule ID 16043 //
     /* 2168167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2168178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2168181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2168184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2168187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168213 */     // MIs[0] round
     /* 2168213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168216 */     // MIs[0] policy
     /* 2168216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168270 */     // GIR_Coverage, 16043,
     /* 2168270 */     GIR_EraseRootFromParent_Done,
     /* 2168271 */   // Label 26379: @2168271
     /* 2168271 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(2168380), // Rule ID 16046 //
     /* 2168276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2168293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2168296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168322 */     // MIs[0] round
     /* 2168322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168325 */     // MIs[0] policy
     /* 2168325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168335 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168379 */     // GIR_Coverage, 16046,
     /* 2168379 */     GIR_EraseRootFromParent_Done,
     /* 2168380 */   // Label 26380: @2168380
     /* 2168380 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(2168489), // Rule ID 16047 //
     /* 2168385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2168396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2168399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2168402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2168405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168431 */     // MIs[0] round
     /* 2168431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168434 */     // MIs[0] policy
     /* 2168434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168488 */     // GIR_Coverage, 16047,
     /* 2168488 */     GIR_EraseRootFromParent_Done,
     /* 2168489 */   // Label 26381: @2168489
     /* 2168489 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(2168598), // Rule ID 16050 //
     /* 2168494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2168497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2168514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168540 */     // MIs[0] round
     /* 2168540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168543 */     // MIs[0] policy
     /* 2168543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168597 */     // GIR_Coverage, 16050,
     /* 2168597 */     GIR_EraseRootFromParent_Done,
     /* 2168598 */   // Label 26382: @2168598
     /* 2168598 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(2168707), // Rule ID 16051 //
     /* 2168603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2168606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2168614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2168617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2168620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2168623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168649 */     // MIs[0] round
     /* 2168649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168652 */     // MIs[0] policy
     /* 2168652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168666 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2168679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168687 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168706 */     // GIR_Coverage, 16051,
     /* 2168706 */     GIR_EraseRootFromParent_Done,
     /* 2168707 */   // Label 26383: @2168707
     /* 2168707 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(2168816), // Rule ID 16054 //
     /* 2168712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2168723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2168726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2168729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2168732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168758 */     // MIs[0] round
     /* 2168758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168761 */     // MIs[0] policy
     /* 2168761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168771 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2168788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168815 */     // GIR_Coverage, 16054,
     /* 2168815 */     GIR_EraseRootFromParent_Done,
     /* 2168816 */   // Label 26384: @2168816
     /* 2168816 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(2168925), // Rule ID 16055 //
     /* 2168821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2168824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2168832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2168835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2168838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2168841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168867 */     // MIs[0] round
     /* 2168867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168870 */     // MIs[0] policy
     /* 2168870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2168894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2168897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2168901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2168911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2168921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168924 */     // GIR_Coverage, 16055,
     /* 2168924 */     GIR_EraseRootFromParent_Done,
     /* 2168925 */   // Label 26385: @2168925
     /* 2168925 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(2169034), // Rule ID 16058 //
     /* 2168930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2168933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2168938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2168941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2168944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2168947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2168950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2168953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2168972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168976 */     // MIs[0] round
     /* 2168976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168979 */     // MIs[0] policy
     /* 2168979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168989 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2168993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2168999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2169006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169033 */     // GIR_Coverage, 16058,
     /* 2169033 */     GIR_EraseRootFromParent_Done,
     /* 2169034 */   // Label 26386: @2169034
     /* 2169034 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(2169143), // Rule ID 16059 //
     /* 2169039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2169050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2169053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2169056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2169059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169085 */     // MIs[0] round
     /* 2169085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169088 */     // MIs[0] policy
     /* 2169088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169098 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2169115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169142 */     // GIR_Coverage, 16059,
     /* 2169142 */     GIR_EraseRootFromParent_Done,
     /* 2169143 */   // Label 26387: @2169143
     /* 2169143 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(2169252), // Rule ID 16062 //
     /* 2169148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2169159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2169162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2169165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2169168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2169171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169194 */     // MIs[0] round
     /* 2169194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169197 */     // MIs[0] policy
     /* 2169197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169207 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169211 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2169224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169251 */     // GIR_Coverage, 16062,
     /* 2169251 */     GIR_EraseRootFromParent_Done,
     /* 2169252 */   // Label 26388: @2169252
     /* 2169252 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(2169361), // Rule ID 16063 //
     /* 2169257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2169268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2169271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2169274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2169277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2169280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169303 */     // MIs[0] round
     /* 2169303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169306 */     // MIs[0] policy
     /* 2169306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169320 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2169333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169341 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2169357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169360 */     // GIR_Coverage, 16063,
     /* 2169360 */     GIR_EraseRootFromParent_Done,
     /* 2169361 */   // Label 26389: @2169361
     /* 2169361 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(2169470), // Rule ID 16066 //
     /* 2169366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2169383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2169386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169412 */     // MIs[0] round
     /* 2169412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169415 */     // MIs[0] policy
     /* 2169415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169425 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2169442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169469 */     // GIR_Coverage, 16066,
     /* 2169469 */     GIR_EraseRootFromParent_Done,
     /* 2169470 */   // Label 26390: @2169470
     /* 2169470 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(2169579), // Rule ID 16067 //
     /* 2169475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2169492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2169495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169521 */     // MIs[0] round
     /* 2169521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169524 */     // MIs[0] policy
     /* 2169524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169538 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2169551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169578 */     // GIR_Coverage, 16067,
     /* 2169578 */     GIR_EraseRootFromParent_Done,
     /* 2169579 */   // Label 26391: @2169579
     /* 2169579 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(2169688), // Rule ID 16070 //
     /* 2169584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2169601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2169604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169630 */     // MIs[0] round
     /* 2169630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169633 */     // MIs[0] policy
     /* 2169633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169643 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2169660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169687 */     // GIR_Coverage, 16070,
     /* 2169687 */     GIR_EraseRootFromParent_Done,
     /* 2169688 */   // Label 26392: @2169688
     /* 2169688 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(2169797), // Rule ID 16071 //
     /* 2169693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2169710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2169713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169739 */     // MIs[0] round
     /* 2169739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169742 */     // MIs[0] policy
     /* 2169742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169756 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2169769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169796 */     // GIR_Coverage, 16071,
     /* 2169796 */     GIR_EraseRootFromParent_Done,
     /* 2169797 */   // Label 26393: @2169797
     /* 2169797 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(2169906), // Rule ID 16074 //
     /* 2169802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2169805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2169819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2169822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169848 */     // MIs[0] round
     /* 2169848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169851 */     // MIs[0] policy
     /* 2169851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169861 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2169878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2169892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169905 */     // GIR_Coverage, 16074,
     /* 2169905 */     GIR_EraseRootFromParent_Done,
     /* 2169906 */   // Label 26394: @2169906
     /* 2169906 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(2170015), // Rule ID 16075 //
     /* 2169911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2169914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2169919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2169922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2169925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2169928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2169931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2169934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2169941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2169949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2169953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169957 */     // MIs[0] round
     /* 2169957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169960 */     // MIs[0] policy
     /* 2169960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2169974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2169980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2169984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2169987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2169991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170014 */     // GIR_Coverage, 16075,
     /* 2170014 */     GIR_EraseRootFromParent_Done,
     /* 2170015 */   // Label 26395: @2170015
     /* 2170015 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(2170124), // Rule ID 16078 //
     /* 2170020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2170037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2170040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170066 */     // MIs[0] round
     /* 2170066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170069 */     // MIs[0] policy
     /* 2170069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170079 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2170096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170123 */     // GIR_Coverage, 16078,
     /* 2170123 */     GIR_EraseRootFromParent_Done,
     /* 2170124 */   // Label 26396: @2170124
     /* 2170124 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(2170233), // Rule ID 16079 //
     /* 2170129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2170146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2170149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170175 */     // MIs[0] round
     /* 2170175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170178 */     // MIs[0] policy
     /* 2170178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2170205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170232 */     // GIR_Coverage, 16079,
     /* 2170232 */     GIR_EraseRootFromParent_Done,
     /* 2170233 */   // Label 26397: @2170233
     /* 2170233 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(2170342), // Rule ID 16082 //
     /* 2170238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2170255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2170258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170284 */     // MIs[0] round
     /* 2170284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170287 */     // MIs[0] policy
     /* 2170287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2170314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170341 */     // GIR_Coverage, 16082,
     /* 2170341 */     GIR_EraseRootFromParent_Done,
     /* 2170342 */   // Label 26398: @2170342
     /* 2170342 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(2170451), // Rule ID 16083 //
     /* 2170347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2170364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2170367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170393 */     // MIs[0] round
     /* 2170393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170396 */     // MIs[0] policy
     /* 2170396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170406 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170410 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2170423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170431 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170450 */     // GIR_Coverage, 16083,
     /* 2170450 */     GIR_EraseRootFromParent_Done,
     /* 2170451 */   // Label 26399: @2170451
     /* 2170451 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(2170560), // Rule ID 16086 //
     /* 2170456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2170459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2170473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2170476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170502 */     // MIs[0] round
     /* 2170502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170505 */     // MIs[0] policy
     /* 2170505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2170532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170559 */     // GIR_Coverage, 16086,
     /* 2170559 */     GIR_EraseRootFromParent_Done,
     /* 2170560 */   // Label 26400: @2170560
     /* 2170560 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(2170669), // Rule ID 16087 //
     /* 2170565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2170568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2170582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2170585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170611 */     // MIs[0] round
     /* 2170611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170614 */     // MIs[0] policy
     /* 2170614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2170641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170668 */     // GIR_Coverage, 16087,
     /* 2170668 */     GIR_EraseRootFromParent_Done,
     /* 2170669 */   // Label 26401: @2170669
     /* 2170669 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(2170778), // Rule ID 16090 //
     /* 2170674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2170677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2170691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2170694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170720 */     // MIs[0] round
     /* 2170720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170723 */     // MIs[0] policy
     /* 2170723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170733 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2170750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170777 */     // GIR_Coverage, 16090,
     /* 2170777 */     GIR_EraseRootFromParent_Done,
     /* 2170778 */   // Label 26402: @2170778
     /* 2170778 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(2170887), // Rule ID 16091 //
     /* 2170783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2170786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2170800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2170803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170829 */     // MIs[0] round
     /* 2170829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170832 */     // MIs[0] policy
     /* 2170832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170842 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170846 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2170859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170867 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170886 */     // GIR_Coverage, 16091,
     /* 2170886 */     GIR_EraseRootFromParent_Done,
     /* 2170887 */   // Label 26403: @2170887
     /* 2170887 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(2170996), // Rule ID 16094 //
     /* 2170892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2170895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2170900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2170903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2170906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2170909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2170912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2170934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170938 */     // MIs[0] round
     /* 2170938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170941 */     // MIs[0] policy
     /* 2170941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2170955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2170961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2170965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2170968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2170972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2170982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170995 */     // GIR_Coverage, 16094,
     /* 2170995 */     GIR_EraseRootFromParent_Done,
     /* 2170996 */   // Label 26404: @2170996
     /* 2170996 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(2171105), // Rule ID 16095 //
     /* 2171001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2171004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2171009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2171018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2171021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2171043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171047 */     // MIs[0] round
     /* 2171047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171050 */     // MIs[0] policy
     /* 2171050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2171077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171104 */     // GIR_Coverage, 16095,
     /* 2171104 */     GIR_EraseRootFromParent_Done,
     /* 2171105 */   // Label 26405: @2171105
     /* 2171105 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(2171214), // Rule ID 16098 //
     /* 2171110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2171113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2171118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2171127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2171130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2171152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171156 */     // MIs[0] round
     /* 2171156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171159 */     // MIs[0] policy
     /* 2171159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2171186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171213 */     // GIR_Coverage, 16098,
     /* 2171213 */     GIR_EraseRootFromParent_Done,
     /* 2171214 */   // Label 26406: @2171214
     /* 2171214 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(2171323), // Rule ID 16099 //
     /* 2171219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2171222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2171227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2171236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2171239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2171261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171265 */     // MIs[0] round
     /* 2171265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171268 */     // MIs[0] policy
     /* 2171268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11234:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2171295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171322 */     // GIR_Coverage, 16099,
     /* 2171322 */     GIR_EraseRootFromParent_Done,
     /* 2171323 */   // Label 26407: @2171323
     /* 2171323 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(2171435), // Rule ID 16190 //
     /* 2171328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2171339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2171342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2171348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171374 */     // MIs[0] round
     /* 2171374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171377 */     // MIs[0] policy
     /* 2171377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171387 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2171404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171434 */     // GIR_Coverage, 16190,
     /* 2171434 */     GIR_EraseRootFromParent_Done,
     /* 2171435 */   // Label 26408: @2171435
     /* 2171435 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(2171547), // Rule ID 16191 //
     /* 2171440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2171451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2171454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2171460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171486 */     // MIs[0] round
     /* 2171486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171489 */     // MIs[0] policy
     /* 2171489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171499 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2171516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171546 */     // GIR_Coverage, 16191,
     /* 2171546 */     GIR_EraseRootFromParent_Done,
     /* 2171547 */   // Label 26409: @2171547
     /* 2171547 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(2171659), // Rule ID 16194 //
     /* 2171552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2171563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2171566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2171572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171598 */     // MIs[0] round
     /* 2171598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171601 */     // MIs[0] policy
     /* 2171601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171611 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2171628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171658 */     // GIR_Coverage, 16194,
     /* 2171658 */     GIR_EraseRootFromParent_Done,
     /* 2171659 */   // Label 26410: @2171659
     /* 2171659 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(2171771), // Rule ID 16195 //
     /* 2171664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2171675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2171678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2171684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171710 */     // MIs[0] round
     /* 2171710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171713 */     // MIs[0] policy
     /* 2171713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171723 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2171740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171766 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171770 */     // GIR_Coverage, 16195,
     /* 2171770 */     GIR_EraseRootFromParent_Done,
     /* 2171771 */   // Label 26411: @2171771
     /* 2171771 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(2171883), // Rule ID 16198 //
     /* 2171776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2171779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2171787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2171790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2171796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171822 */     // MIs[0] round
     /* 2171822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171825 */     // MIs[0] policy
     /* 2171825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171835 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2171852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171882 */     // GIR_Coverage, 16198,
     /* 2171882 */     GIR_EraseRootFromParent_Done,
     /* 2171883 */   // Label 26412: @2171883
     /* 2171883 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(2171995), // Rule ID 16199 //
     /* 2171888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2171891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2171896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2171899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2171902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2171908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171934 */     // MIs[0] round
     /* 2171934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171937 */     // MIs[0] policy
     /* 2171937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2171951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2171957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2171961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2171964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2171968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2171978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2171988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2171993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171994 */     // GIR_Coverage, 16199,
     /* 2171994 */     GIR_EraseRootFromParent_Done,
     /* 2171995 */   // Label 26413: @2171995
     /* 2171995 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(2172107), // Rule ID 16202 //
     /* 2172000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2172011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2172014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2172020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172046 */     // MIs[0] round
     /* 2172046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172049 */     // MIs[0] policy
     /* 2172049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172059 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2172076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172106 */     // GIR_Coverage, 16202,
     /* 2172106 */     GIR_EraseRootFromParent_Done,
     /* 2172107 */   // Label 26414: @2172107
     /* 2172107 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(2172219), // Rule ID 16203 //
     /* 2172112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2172123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2172126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2172132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172158 */     // MIs[0] round
     /* 2172158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172161 */     // MIs[0] policy
     /* 2172161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172171 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2172188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172218 */     // GIR_Coverage, 16203,
     /* 2172218 */     GIR_EraseRootFromParent_Done,
     /* 2172219 */   // Label 26415: @2172219
     /* 2172219 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(2172331), // Rule ID 16206 //
     /* 2172224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2172235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2172238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2172244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172270 */     // MIs[0] round
     /* 2172270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172273 */     // MIs[0] policy
     /* 2172273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172283 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2172300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172326 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172330 */     // GIR_Coverage, 16206,
     /* 2172330 */     GIR_EraseRootFromParent_Done,
     /* 2172331 */   // Label 26416: @2172331
     /* 2172331 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(2172443), // Rule ID 16207 //
     /* 2172336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2172347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2172350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2172356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172382 */     // MIs[0] round
     /* 2172382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172385 */     // MIs[0] policy
     /* 2172385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2172412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172442 */     // GIR_Coverage, 16207,
     /* 2172442 */     GIR_EraseRootFromParent_Done,
     /* 2172443 */   // Label 26417: @2172443
     /* 2172443 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(2172555), // Rule ID 16210 //
     /* 2172448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2172459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2172462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2172468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172494 */     // MIs[0] round
     /* 2172494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172497 */     // MIs[0] policy
     /* 2172497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172507 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2172524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172554 */     // GIR_Coverage, 16210,
     /* 2172554 */     GIR_EraseRootFromParent_Done,
     /* 2172555 */   // Label 26418: @2172555
     /* 2172555 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(2172667), // Rule ID 16211 //
     /* 2172560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2172571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2172574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2172580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172606 */     // MIs[0] round
     /* 2172606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172609 */     // MIs[0] policy
     /* 2172609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172619 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2172636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2172660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172666 */     // GIR_Coverage, 16211,
     /* 2172666 */     GIR_EraseRootFromParent_Done,
     /* 2172667 */   // Label 26419: @2172667
     /* 2172667 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(2172779), // Rule ID 16214 //
     /* 2172672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172718 */     // MIs[0] round
     /* 2172718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172721 */     // MIs[0] policy
     /* 2172721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172731 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2172748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172778 */     // GIR_Coverage, 16214,
     /* 2172778 */     GIR_EraseRootFromParent_Done,
     /* 2172779 */   // Label 26420: @2172779
     /* 2172779 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(2172891), // Rule ID 16215 //
     /* 2172784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2172787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2172795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2172798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2172801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2172804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172830 */     // MIs[0] round
     /* 2172830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172833 */     // MIs[0] policy
     /* 2172833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172843 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2172860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2172889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172890 */     // GIR_Coverage, 16215,
     /* 2172890 */     GIR_EraseRootFromParent_Done,
     /* 2172891 */   // Label 26421: @2172891
     /* 2172891 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(2173003), // Rule ID 16218 //
     /* 2172896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2172899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2172904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2172907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2172910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2172916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172942 */     // MIs[0] round
     /* 2172942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172945 */     // MIs[0] policy
     /* 2172945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172955 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2172959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2172965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2172969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2172972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2172976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2172986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173002 */     // GIR_Coverage, 16218,
     /* 2173002 */     GIR_EraseRootFromParent_Done,
     /* 2173003 */   // Label 26422: @2173003
     /* 2173003 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(2173115), // Rule ID 16219 //
     /* 2173008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2173019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2173022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2173025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2173028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173054 */     // MIs[0] round
     /* 2173054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173057 */     // MIs[0] policy
     /* 2173057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173067 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2173084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173114 */     // GIR_Coverage, 16219,
     /* 2173114 */     GIR_EraseRootFromParent_Done,
     /* 2173115 */   // Label 26423: @2173115
     /* 2173115 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(2173227), // Rule ID 16222 //
     /* 2173120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173166 */     // MIs[0] round
     /* 2173166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173169 */     // MIs[0] policy
     /* 2173169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173179 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2173196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173226 */     // GIR_Coverage, 16222,
     /* 2173226 */     GIR_EraseRootFromParent_Done,
     /* 2173227 */   // Label 26424: @2173227
     /* 2173227 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(2173339), // Rule ID 16223 //
     /* 2173232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2173243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2173246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2173252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173278 */     // MIs[0] round
     /* 2173278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173281 */     // MIs[0] policy
     /* 2173281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173291 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2173308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173338 */     // GIR_Coverage, 16223,
     /* 2173338 */     GIR_EraseRootFromParent_Done,
     /* 2173339 */   // Label 26425: @2173339
     /* 2173339 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(2173451), // Rule ID 16226 //
     /* 2173344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173390 */     // MIs[0] round
     /* 2173390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173393 */     // MIs[0] policy
     /* 2173393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173403 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2173420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173446 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173450 */     // GIR_Coverage, 16226,
     /* 2173450 */     GIR_EraseRootFromParent_Done,
     /* 2173451 */   // Label 26426: @2173451
     /* 2173451 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(2173563), // Rule ID 16227 //
     /* 2173456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2173467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2173470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2173476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173502 */     // MIs[0] round
     /* 2173502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173505 */     // MIs[0] policy
     /* 2173505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2173532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173562 */     // GIR_Coverage, 16227,
     /* 2173562 */     GIR_EraseRootFromParent_Done,
     /* 2173563 */   // Label 26427: @2173563
     /* 2173563 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(2173675), // Rule ID 16230 //
     /* 2173568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2173571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173614 */     // MIs[0] round
     /* 2173614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173617 */     // MIs[0] policy
     /* 2173617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173627 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2173644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173674 */     // GIR_Coverage, 16230,
     /* 2173674 */     GIR_EraseRootFromParent_Done,
     /* 2173675 */   // Label 26428: @2173675
     /* 2173675 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(2173787), // Rule ID 16231 //
     /* 2173680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2173683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2173691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2173694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2173700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173726 */     // MIs[0] round
     /* 2173726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173729 */     // MIs[0] policy
     /* 2173729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173739 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2173756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2173780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173786 */     // GIR_Coverage, 16231,
     /* 2173786 */     GIR_EraseRootFromParent_Done,
     /* 2173787 */   // Label 26429: @2173787
     /* 2173787 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(2173899), // Rule ID 16234 //
     /* 2173792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2173795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173838 */     // MIs[0] round
     /* 2173838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173841 */     // MIs[0] policy
     /* 2173841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2173868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2173897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173898 */     // GIR_Coverage, 16234,
     /* 2173898 */     GIR_EraseRootFromParent_Done,
     /* 2173899 */   // Label 26430: @2173899
     /* 2173899 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(2174011), // Rule ID 16235 //
     /* 2173904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2173907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2173912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2173915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2173918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2173921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2173924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2173927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2173934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2173946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173950 */     // MIs[0] round
     /* 2173950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173953 */     // MIs[0] policy
     /* 2173953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173963 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2173967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2173973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2173977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2173980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2173984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2173994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174010 */     // GIR_Coverage, 16235,
     /* 2174010 */     GIR_EraseRootFromParent_Done,
     /* 2174011 */   // Label 26431: @2174011
     /* 2174011 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(2174123), // Rule ID 16238 //
     /* 2174016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2174019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174062 */     // MIs[0] round
     /* 2174062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174065 */     // MIs[0] policy
     /* 2174065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2174092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174122 */     // GIR_Coverage, 16238,
     /* 2174122 */     GIR_EraseRootFromParent_Done,
     /* 2174123 */   // Label 26432: @2174123
     /* 2174123 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(2174235), // Rule ID 16239 //
     /* 2174128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2174131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2174145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174174 */     // MIs[0] round
     /* 2174174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174177 */     // MIs[0] policy
     /* 2174177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2174204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174234 */     // GIR_Coverage, 16239,
     /* 2174234 */     GIR_EraseRootFromParent_Done,
     /* 2174235 */   // Label 26433: @2174235
     /* 2174235 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(2174347), // Rule ID 16242 //
     /* 2174240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2174243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174286 */     // MIs[0] round
     /* 2174286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174289 */     // MIs[0] policy
     /* 2174289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174299 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2174316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174346 */     // GIR_Coverage, 16242,
     /* 2174346 */     GIR_EraseRootFromParent_Done,
     /* 2174347 */   // Label 26434: @2174347
     /* 2174347 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(2174459), // Rule ID 16243 //
     /* 2174352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2174355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2174363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2174366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2174369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2174372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2174382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2174394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174398 */     // MIs[0] round
     /* 2174398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174401 */     // MIs[0] policy
     /* 2174401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174411 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2174428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174458 */     // GIR_Coverage, 16243,
     /* 2174458 */     GIR_EraseRootFromParent_Done,
     /* 2174459 */   // Label 26435: @2174459
     /* 2174459 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(2174571), // Rule ID 16246 //
     /* 2174464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2174467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174510 */     // MIs[0] round
     /* 2174510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174513 */     // MIs[0] policy
     /* 2174513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174523 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2174540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174570 */     // GIR_Coverage, 16246,
     /* 2174570 */     GIR_EraseRootFromParent_Done,
     /* 2174571 */   // Label 26436: @2174571
     /* 2174571 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(2174683), // Rule ID 16247 //
     /* 2174576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2174579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2174587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2174590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2174596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2174606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2174618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174622 */     // MIs[0] round
     /* 2174622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174625 */     // MIs[0] policy
     /* 2174625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2174652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174682 */     // GIR_Coverage, 16247,
     /* 2174682 */     GIR_EraseRootFromParent_Done,
     /* 2174683 */   // Label 26437: @2174683
     /* 2174683 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(2174795), // Rule ID 16250 //
     /* 2174688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2174699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2174702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2174705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2174708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2174730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174734 */     // MIs[0] round
     /* 2174734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174737 */     // MIs[0] policy
     /* 2174737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2174764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174794 */     // GIR_Coverage, 16250,
     /* 2174794 */     GIR_EraseRootFromParent_Done,
     /* 2174795 */   // Label 26438: @2174795
     /* 2174795 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(2174907), // Rule ID 16251 //
     /* 2174800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2174803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2174811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2174814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2174817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2174820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2174842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174846 */     // MIs[0] round
     /* 2174846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174849 */     // MIs[0] policy
     /* 2174849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174859 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2174876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2174890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2174900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2174905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174906 */     // GIR_Coverage, 16251,
     /* 2174906 */     GIR_EraseRootFromParent_Done,
     /* 2174907 */   // Label 26439: @2174907
     /* 2174907 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(2175019), // Rule ID 16254 //
     /* 2174912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2174915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2174920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2174923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2174926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2174929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2174932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2174954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174958 */     // MIs[0] round
     /* 2174958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174961 */     // MIs[0] policy
     /* 2174961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2174975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2174981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2174985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2174988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2174992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175018 */     // GIR_Coverage, 16254,
     /* 2175018 */     GIR_EraseRootFromParent_Done,
     /* 2175019 */   // Label 26440: @2175019
     /* 2175019 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(2175131), // Rule ID 16255 //
     /* 2175024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2175035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2175038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2175041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2175044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2175047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175070 */     // MIs[0] round
     /* 2175070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175073 */     // MIs[0] policy
     /* 2175073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175083 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2175100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175130 */     // GIR_Coverage, 16255,
     /* 2175130 */     GIR_EraseRootFromParent_Done,
     /* 2175131 */   // Label 26441: @2175131
     /* 2175131 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(2175243), // Rule ID 16258 //
     /* 2175136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2175147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2175150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2175153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2175156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175182 */     // MIs[0] round
     /* 2175182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175185 */     // MIs[0] policy
     /* 2175185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175195 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2175212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175242 */     // GIR_Coverage, 16258,
     /* 2175242 */     GIR_EraseRootFromParent_Done,
     /* 2175243 */   // Label 26442: @2175243
     /* 2175243 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(2175355), // Rule ID 16259 //
     /* 2175248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2175259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2175262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2175265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2175268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175294 */     // MIs[0] round
     /* 2175294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175297 */     // MIs[0] policy
     /* 2175297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175307 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2175324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175354 */     // GIR_Coverage, 16259,
     /* 2175354 */     GIR_EraseRootFromParent_Done,
     /* 2175355 */   // Label 26443: @2175355
     /* 2175355 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(2175467), // Rule ID 16262 //
     /* 2175360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2175371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2175374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2175377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2175380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175406 */     // MIs[0] round
     /* 2175406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175409 */     // MIs[0] policy
     /* 2175409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2175436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175462 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175466 */     // GIR_Coverage, 16262,
     /* 2175466 */     GIR_EraseRootFromParent_Done,
     /* 2175467 */   // Label 26444: @2175467
     /* 2175467 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(2175579), // Rule ID 16263 //
     /* 2175472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2175483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2175486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2175489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2175492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175518 */     // MIs[0] round
     /* 2175518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175521 */     // MIs[0] policy
     /* 2175521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175531 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11120:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2175548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175578 */     // GIR_Coverage, 16263,
     /* 2175578 */     GIR_EraseRootFromParent_Done,
     /* 2175579 */   // Label 26445: @2175579
     /* 2175579 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(2175691), // Rule ID 16266 //
     /* 2175584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2175595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2175598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2175601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2175604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175630 */     // MIs[0] round
     /* 2175630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175633 */     // MIs[0] policy
     /* 2175633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175643 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2175660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175690 */     // GIR_Coverage, 16266,
     /* 2175690 */     GIR_EraseRootFromParent_Done,
     /* 2175691 */   // Label 26446: @2175691
     /* 2175691 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(2175803), // Rule ID 16267 //
     /* 2175696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2175707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2175710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2175713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2175716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175742 */     // MIs[0] round
     /* 2175742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175745 */     // MIs[0] policy
     /* 2175745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175755 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2175772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175802 */     // GIR_Coverage, 16267,
     /* 2175802 */     GIR_EraseRootFromParent_Done,
     /* 2175803 */   // Label 26447: @2175803
     /* 2175803 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(2175915), // Rule ID 16270 //
     /* 2175808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2175811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2175819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2175822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2175825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2175828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175854 */     // MIs[0] round
     /* 2175854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175857 */     // MIs[0] policy
     /* 2175857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175867 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2175884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2175888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2175898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2175908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2175913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175914 */     // GIR_Coverage, 16270,
     /* 2175914 */     GIR_EraseRootFromParent_Done,
     /* 2175915 */   // Label 26448: @2175915
     /* 2175915 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(2176027), // Rule ID 16271 //
     /* 2175920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2175923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2175928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2175931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2175934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2175937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2175940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2175962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175966 */     // MIs[0] round
     /* 2175966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175969 */     // MIs[0] policy
     /* 2175969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175979 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2175983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2175989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2175993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2175996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2176020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176022 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176026 */     // GIR_Coverage, 16271,
     /* 2176026 */     GIR_EraseRootFromParent_Done,
     /* 2176027 */   // Label 26449: @2176027
     /* 2176027 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(2176139), // Rule ID 16274 //
     /* 2176032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2176049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2176052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176078 */     // MIs[0] round
     /* 2176078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176081 */     // MIs[0] policy
     /* 2176081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176091 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2176108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176138 */     // GIR_Coverage, 16274,
     /* 2176138 */     GIR_EraseRootFromParent_Done,
     /* 2176139 */   // Label 26450: @2176139
     /* 2176139 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(2176251), // Rule ID 16275 //
     /* 2176144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2176161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2176164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176190 */     // MIs[0] round
     /* 2176190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176193 */     // MIs[0] policy
     /* 2176193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176203 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2176220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176250 */     // GIR_Coverage, 16275,
     /* 2176250 */     GIR_EraseRootFromParent_Done,
     /* 2176251 */   // Label 26451: @2176251
     /* 2176251 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(2176363), // Rule ID 16278 //
     /* 2176256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2176267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2176270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2176273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2176276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176302 */     // MIs[0] round
     /* 2176302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176305 */     // MIs[0] policy
     /* 2176305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176315 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2176332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176362 */     // GIR_Coverage, 16278,
     /* 2176362 */     GIR_EraseRootFromParent_Done,
     /* 2176363 */   // Label 26452: @2176363
     /* 2176363 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(2176475), // Rule ID 16279 //
     /* 2176368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2176379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2176382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2176385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2176388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176414 */     // MIs[0] round
     /* 2176414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176417 */     // MIs[0] policy
     /* 2176417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176427 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2176444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176474 */     // GIR_Coverage, 16279,
     /* 2176474 */     GIR_EraseRootFromParent_Done,
     /* 2176475 */   // Label 26453: @2176475
     /* 2176475 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(2176587), // Rule ID 16282 //
     /* 2176480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2176497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2176500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176526 */     // MIs[0] round
     /* 2176526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176529 */     // MIs[0] policy
     /* 2176529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176539 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2176556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176582 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176586 */     // GIR_Coverage, 16282,
     /* 2176586 */     GIR_EraseRootFromParent_Done,
     /* 2176587 */   // Label 26454: @2176587
     /* 2176587 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(2176699), // Rule ID 16283 //
     /* 2176592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2176603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2176606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2176609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2176612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176638 */     // MIs[0] round
     /* 2176638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176641 */     // MIs[0] policy
     /* 2176641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176651 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11120:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2176668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176698 */     // GIR_Coverage, 16283,
     /* 2176698 */     GIR_EraseRootFromParent_Done,
     /* 2176699 */   // Label 26455: @2176699
     /* 2176699 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(2176811), // Rule ID 16286 //
     /* 2176704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2176721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2176724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176750 */     // MIs[0] round
     /* 2176750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176753 */     // MIs[0] policy
     /* 2176753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2176780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176810 */     // GIR_Coverage, 16286,
     /* 2176810 */     GIR_EraseRootFromParent_Done,
     /* 2176811 */   // Label 26456: @2176811
     /* 2176811 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(2176923), // Rule ID 16287 //
     /* 2176816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2176819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2176827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2176830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2176833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2176836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176862 */     // MIs[0] round
     /* 2176862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176865 */     // MIs[0] policy
     /* 2176865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176875 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2176889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2176892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2176896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2176906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2176921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176922 */     // GIR_Coverage, 16287,
     /* 2176922 */     GIR_EraseRootFromParent_Done,
     /* 2176923 */   // Label 26457: @2176923
     /* 2176923 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(2177035), // Rule ID 16290 //
     /* 2176928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2176931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2176936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2176939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2176942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2176945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2176948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2176970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176974 */     // MIs[0] round
     /* 2176974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176977 */     // MIs[0] policy
     /* 2176977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2176991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2176997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2177004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177034 */     // GIR_Coverage, 16290,
     /* 2177034 */     GIR_EraseRootFromParent_Done,
     /* 2177035 */   // Label 26458: @2177035
     /* 2177035 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(2177147), // Rule ID 16291 //
     /* 2177040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2177043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2177051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2177054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2177057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2177060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2177063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177086 */     // MIs[0] round
     /* 2177086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177089 */     // MIs[0] policy
     /* 2177089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177099 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2177116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177146 */     // GIR_Coverage, 16291,
     /* 2177146 */     GIR_EraseRootFromParent_Done,
     /* 2177147 */   // Label 26459: @2177147
     /* 2177147 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(2177259), // Rule ID 16294 //
     /* 2177152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2177155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2177172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177198 */     // MIs[0] round
     /* 2177198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177201 */     // MIs[0] policy
     /* 2177201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177211 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2177228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177258 */     // GIR_Coverage, 16294,
     /* 2177258 */     GIR_EraseRootFromParent_Done,
     /* 2177259 */   // Label 26460: @2177259
     /* 2177259 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(2177371), // Rule ID 16295 //
     /* 2177264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2177267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2177284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177310 */     // MIs[0] round
     /* 2177310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177313 */     // MIs[0] policy
     /* 2177313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177323 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2177340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177370 */     // GIR_Coverage, 16295,
     /* 2177370 */     GIR_EraseRootFromParent_Done,
     /* 2177371 */   // Label 26461: @2177371
     /* 2177371 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(2177483), // Rule ID 16298 //
     /* 2177376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2177379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2177393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2177396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177422 */     // MIs[0] round
     /* 2177422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177425 */     // MIs[0] policy
     /* 2177425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177435 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2177452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177482 */     // GIR_Coverage, 16298,
     /* 2177482 */     GIR_EraseRootFromParent_Done,
     /* 2177483 */   // Label 26462: @2177483
     /* 2177483 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(2177595), // Rule ID 16299 //
     /* 2177488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2177491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2177505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2177508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177534 */     // MIs[0] round
     /* 2177534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177537 */     // MIs[0] policy
     /* 2177537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11120:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2177564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177594 */     // GIR_Coverage, 16299,
     /* 2177594 */     GIR_EraseRootFromParent_Done,
     /* 2177595 */   // Label 26463: @2177595
     /* 2177595 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(2177707), // Rule ID 16302 //
     /* 2177600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2177603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2177617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2177620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177646 */     // MIs[0] round
     /* 2177646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177649 */     // MIs[0] policy
     /* 2177649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2177676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177702 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177706 */     // GIR_Coverage, 16302,
     /* 2177706 */     GIR_EraseRootFromParent_Done,
     /* 2177707 */   // Label 26464: @2177707
     /* 2177707 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(2177819), // Rule ID 16303 //
     /* 2177712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2177715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2177723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2177726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2177729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2177732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177758 */     // MIs[0] round
     /* 2177758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177761 */     // MIs[0] policy
     /* 2177761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11120:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2177788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177818 */     // GIR_Coverage, 16303,
     /* 2177818 */     GIR_EraseRootFromParent_Done,
     /* 2177819 */   // Label 26465: @2177819
     /* 2177819 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(2177931), // Rule ID 16306 //
     /* 2177824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2177827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2177841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2177844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177870 */     // MIs[0] round
     /* 2177870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177873 */     // MIs[0] policy
     /* 2177873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2177893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2177897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2177900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2177904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2177914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2177929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177930 */     // GIR_Coverage, 16306,
     /* 2177930 */     GIR_EraseRootFromParent_Done,
     /* 2177931 */   // Label 26466: @2177931
     /* 2177931 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(2178043), // Rule ID 16307 //
     /* 2177936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2177939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2177944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2177947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2177950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2177953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2177956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2177966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2177970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2177974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2177978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177982 */     // MIs[0] round
     /* 2177982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177985 */     // MIs[0] policy
     /* 2177985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177995 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11120:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2177999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2178012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178042 */     // GIR_Coverage, 16307,
     /* 2178042 */     GIR_EraseRootFromParent_Done,
     /* 2178043 */   // Label 26467: @2178043
     /* 2178043 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(2178155), // Rule ID 16370 //
     /* 2178048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2178051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2178059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2178062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2178068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178094 */     // MIs[0] round
     /* 2178094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178097 */     // MIs[0] policy
     /* 2178097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178107 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2178124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178154 */     // GIR_Coverage, 16370,
     /* 2178154 */     GIR_EraseRootFromParent_Done,
     /* 2178155 */   // Label 26468: @2178155
     /* 2178155 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(2178267), // Rule ID 16371 //
     /* 2178160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2178163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2178171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2178174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2178177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2178180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2178183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178206 */     // MIs[0] round
     /* 2178206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178209 */     // MIs[0] policy
     /* 2178209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178219 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2178236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178262 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178266 */     // GIR_Coverage, 16371,
     /* 2178266 */     GIR_EraseRootFromParent_Done,
     /* 2178267 */   // Label 26469: @2178267
     /* 2178267 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(2178379), // Rule ID 16374 //
     /* 2178272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2178275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2178283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2178286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2178292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178318 */     // MIs[0] round
     /* 2178318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178321 */     // MIs[0] policy
     /* 2178321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178331 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2178348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178378 */     // GIR_Coverage, 16374,
     /* 2178378 */     GIR_EraseRootFromParent_Done,
     /* 2178379 */   // Label 26470: @2178379
     /* 2178379 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(2178491), // Rule ID 16375 //
     /* 2178384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2178387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2178395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2178398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2178401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2178404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2178407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178430 */     // MIs[0] round
     /* 2178430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178433 */     // MIs[0] policy
     /* 2178433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2178460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178490 */     // GIR_Coverage, 16375,
     /* 2178490 */     GIR_EraseRootFromParent_Done,
     /* 2178491 */   // Label 26471: @2178491
     /* 2178491 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(2178603), // Rule ID 16378 //
     /* 2178496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2178499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2178507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2178510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2178516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178542 */     // MIs[0] round
     /* 2178542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178545 */     // MIs[0] policy
     /* 2178545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178555 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2178572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178602 */     // GIR_Coverage, 16378,
     /* 2178602 */     GIR_EraseRootFromParent_Done,
     /* 2178603 */   // Label 26472: @2178603
     /* 2178603 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(2178715), // Rule ID 16379 //
     /* 2178608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2178611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2178619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2178622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2178625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2178628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178654 */     // MIs[0] round
     /* 2178654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178657 */     // MIs[0] policy
     /* 2178657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178667 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2178684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178714 */     // GIR_Coverage, 16379,
     /* 2178714 */     GIR_EraseRootFromParent_Done,
     /* 2178715 */   // Label 26473: @2178715
     /* 2178715 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(2178827), // Rule ID 16382 //
     /* 2178720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2178723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2178731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2178734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2178740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178766 */     // MIs[0] round
     /* 2178766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178769 */     // MIs[0] policy
     /* 2178769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2178796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178826 */     // GIR_Coverage, 16382,
     /* 2178826 */     GIR_EraseRootFromParent_Done,
     /* 2178827 */   // Label 26474: @2178827
     /* 2178827 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(2178939), // Rule ID 16383 //
     /* 2178832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2178835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2178843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2178846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2178852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2178862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2178874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178878 */     // MIs[0] round
     /* 2178878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178881 */     // MIs[0] policy
     /* 2178881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178891 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2178895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2178901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2178905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2178908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2178912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2178922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2178932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2178937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178938 */     // GIR_Coverage, 16383,
     /* 2178938 */     GIR_EraseRootFromParent_Done,
     /* 2178939 */   // Label 26475: @2178939
     /* 2178939 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(2179051), // Rule ID 16386 //
     /* 2178944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2178947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2178952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2178955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2178958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2178964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178990 */     // MIs[0] round
     /* 2178990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178993 */     // MIs[0] policy
     /* 2178993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179003 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2179020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179050 */     // GIR_Coverage, 16386,
     /* 2179050 */     GIR_EraseRootFromParent_Done,
     /* 2179051 */   // Label 26476: @2179051
     /* 2179051 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(2179163), // Rule ID 16387 //
     /* 2179056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2179059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2179067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2179070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2179073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2179076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2179079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179102 */     // MIs[0] round
     /* 2179102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179105 */     // MIs[0] policy
     /* 2179105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179115 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2179132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179162 */     // GIR_Coverage, 16387,
     /* 2179162 */     GIR_EraseRootFromParent_Done,
     /* 2179163 */   // Label 26477: @2179163
     /* 2179163 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(2179275), // Rule ID 16390 //
     /* 2179168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2179171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2179179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2179182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2179185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2179188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2179191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179214 */     // MIs[0] round
     /* 2179214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179217 */     // MIs[0] policy
     /* 2179217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179227 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2179244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179274 */     // GIR_Coverage, 16390,
     /* 2179274 */     GIR_EraseRootFromParent_Done,
     /* 2179275 */   // Label 26478: @2179275
     /* 2179275 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(2179387), // Rule ID 16391 //
     /* 2179280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2179283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2179291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2179294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2179297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2179300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2179303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179326 */     // MIs[0] round
     /* 2179326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179329 */     // MIs[0] policy
     /* 2179329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179339 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2179356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2179380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179386 */     // GIR_Coverage, 16391,
     /* 2179386 */     GIR_EraseRootFromParent_Done,
     /* 2179387 */   // Label 26479: @2179387
     /* 2179387 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(2179499), // Rule ID 16394 //
     /* 2179392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2179395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2179409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179438 */     // MIs[0] round
     /* 2179438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179441 */     // MIs[0] policy
     /* 2179441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179451 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2179468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179498 */     // GIR_Coverage, 16394,
     /* 2179498 */     GIR_EraseRootFromParent_Done,
     /* 2179499 */   // Label 26480: @2179499
     /* 2179499 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(2179611), // Rule ID 16395 //
     /* 2179504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2179507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2179521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179550 */     // MIs[0] round
     /* 2179550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179553 */     // MIs[0] policy
     /* 2179553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179563 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2179580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179610 */     // GIR_Coverage, 16395,
     /* 2179610 */     GIR_EraseRootFromParent_Done,
     /* 2179611 */   // Label 26481: @2179611
     /* 2179611 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(2179723), // Rule ID 16398 //
     /* 2179616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2179619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2179633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179662 */     // MIs[0] round
     /* 2179662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179665 */     // MIs[0] policy
     /* 2179665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179675 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2179692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179722 */     // GIR_Coverage, 16398,
     /* 2179722 */     GIR_EraseRootFromParent_Done,
     /* 2179723 */   // Label 26482: @2179723
     /* 2179723 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(2179835), // Rule ID 16399 //
     /* 2179728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2179731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2179745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179774 */     // MIs[0] round
     /* 2179774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179777 */     // MIs[0] policy
     /* 2179777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2179804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179834 */     // GIR_Coverage, 16399,
     /* 2179834 */     GIR_EraseRootFromParent_Done,
     /* 2179835 */   // Label 26483: @2179835
     /* 2179835 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(2179947), // Rule ID 16402 //
     /* 2179840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2179843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179886 */     // MIs[0] round
     /* 2179886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179889 */     // MIs[0] policy
     /* 2179889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179899 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2179903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2179909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2179913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2179916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2179920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2179930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2179945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179946 */     // GIR_Coverage, 16402,
     /* 2179946 */     GIR_EraseRootFromParent_Done,
     /* 2179947 */   // Label 26484: @2179947
     /* 2179947 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(2180059), // Rule ID 16403 //
     /* 2179952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2179955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2179960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2179963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2179966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2179969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2179972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179998 */     // MIs[0] round
     /* 2179998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180001 */     // MIs[0] policy
     /* 2180001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180011 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2180028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180058 */     // GIR_Coverage, 16403,
     /* 2180058 */     GIR_EraseRootFromParent_Done,
     /* 2180059 */   // Label 26485: @2180059
     /* 2180059 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(2180171), // Rule ID 16406 //
     /* 2180064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2180067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180110 */     // MIs[0] round
     /* 2180110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180113 */     // MIs[0] policy
     /* 2180113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180123 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2180140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180170 */     // GIR_Coverage, 16406,
     /* 2180170 */     GIR_EraseRootFromParent_Done,
     /* 2180171 */   // Label 26486: @2180171
     /* 2180171 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(2180283), // Rule ID 16407 //
     /* 2180176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2180179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2180193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180222 */     // MIs[0] round
     /* 2180222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180225 */     // MIs[0] policy
     /* 2180225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180235 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2180252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180282 */     // GIR_Coverage, 16407,
     /* 2180282 */     GIR_EraseRootFromParent_Done,
     /* 2180283 */   // Label 26487: @2180283
     /* 2180283 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(2180395), // Rule ID 16410 //
     /* 2180288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2180291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180334 */     // MIs[0] round
     /* 2180334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180337 */     // MIs[0] policy
     /* 2180337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2180364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180394 */     // GIR_Coverage, 16410,
     /* 2180394 */     GIR_EraseRootFromParent_Done,
     /* 2180395 */   // Label 26488: @2180395
     /* 2180395 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(2180507), // Rule ID 16411 //
     /* 2180400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2180403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2180417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2180438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180446 */     // MIs[0] round
     /* 2180446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180449 */     // MIs[0] policy
     /* 2180449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2180476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180506 */     // GIR_Coverage, 16411,
     /* 2180506 */     GIR_EraseRootFromParent_Done,
     /* 2180507 */   // Label 26489: @2180507
     /* 2180507 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(2180619), // Rule ID 16414 //
     /* 2180512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2180515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2180529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180558 */     // MIs[0] round
     /* 2180558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180561 */     // MIs[0] policy
     /* 2180561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180571 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2180588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180618 */     // GIR_Coverage, 16414,
     /* 2180618 */     GIR_EraseRootFromParent_Done,
     /* 2180619 */   // Label 26490: @2180619
     /* 2180619 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(2180731), // Rule ID 16415 //
     /* 2180624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2180627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2180641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180670 */     // MIs[0] round
     /* 2180670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180673 */     // MIs[0] policy
     /* 2180673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2180700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180730 */     // GIR_Coverage, 16415,
     /* 2180730 */     GIR_EraseRootFromParent_Done,
     /* 2180731 */   // Label 26491: @2180731
     /* 2180731 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(2180843), // Rule ID 16418 //
     /* 2180736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2180739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180782 */     // MIs[0] round
     /* 2180782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180785 */     // MIs[0] policy
     /* 2180785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180795 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2180812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180842 */     // GIR_Coverage, 16418,
     /* 2180842 */     GIR_EraseRootFromParent_Done,
     /* 2180843 */   // Label 26492: @2180843
     /* 2180843 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(2180955), // Rule ID 16419 //
     /* 2180848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2180851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2180865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180894 */     // MIs[0] round
     /* 2180894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180897 */     // MIs[0] policy
     /* 2180897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180907 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2180911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2180917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2180921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2180924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2180928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2180938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2180953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180954 */     // GIR_Coverage, 16419,
     /* 2180954 */     GIR_EraseRootFromParent_Done,
     /* 2180955 */   // Label 26493: @2180955
     /* 2180955 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(2181067), // Rule ID 16422 //
     /* 2180960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2180963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2180968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2180971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2180974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2180977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2180980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181006 */     // MIs[0] round
     /* 2181006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181009 */     // MIs[0] policy
     /* 2181009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2181036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181066 */     // GIR_Coverage, 16422,
     /* 2181066 */     GIR_EraseRootFromParent_Done,
     /* 2181067 */   // Label 26494: @2181067
     /* 2181067 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(2181179), // Rule ID 16423 //
     /* 2181072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2181075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2181089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181118 */     // MIs[0] round
     /* 2181118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181121 */     // MIs[0] policy
     /* 2181121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181131 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2181148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181178 */     // GIR_Coverage, 16423,
     /* 2181178 */     GIR_EraseRootFromParent_Done,
     /* 2181179 */   // Label 26495: @2181179
     /* 2181179 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(2181291), // Rule ID 16426 //
     /* 2181184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2181187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2181201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181230 */     // MIs[0] round
     /* 2181230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181233 */     // MIs[0] policy
     /* 2181233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2181260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181290 */     // GIR_Coverage, 16426,
     /* 2181290 */     GIR_EraseRootFromParent_Done,
     /* 2181291 */   // Label 26496: @2181291
     /* 2181291 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(2181403), // Rule ID 16427 //
     /* 2181296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2181299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2181313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181342 */     // MIs[0] round
     /* 2181342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181345 */     // MIs[0] policy
     /* 2181345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181355 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2181372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181398 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181402 */     // GIR_Coverage, 16427,
     /* 2181402 */     GIR_EraseRootFromParent_Done,
     /* 2181403 */   // Label 26497: @2181403
     /* 2181403 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(2181515), // Rule ID 16430 //
     /* 2181408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2181411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2181419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2181422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2181428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2181450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181454 */     // MIs[0] round
     /* 2181454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181457 */     // MIs[0] policy
     /* 2181457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181467 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2181484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181510 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181514 */     // GIR_Coverage, 16430,
     /* 2181514 */     GIR_EraseRootFromParent_Done,
     /* 2181515 */   // Label 26498: @2181515
     /* 2181515 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(2181627), // Rule ID 16431 //
     /* 2181520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2181523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2181531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2181534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2181537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2181540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2181543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2181562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181566 */     // MIs[0] round
     /* 2181566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181569 */     // MIs[0] policy
     /* 2181569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181579 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2181596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181626 */     // GIR_Coverage, 16431,
     /* 2181626 */     GIR_EraseRootFromParent_Done,
     /* 2181627 */   // Label 26499: @2181627
     /* 2181627 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(2181739), // Rule ID 16434 //
     /* 2181632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2181635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2181643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2181646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2181652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2181674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181678 */     // MIs[0] round
     /* 2181678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181681 */     // MIs[0] policy
     /* 2181681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181691 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2181708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181738 */     // GIR_Coverage, 16434,
     /* 2181738 */     GIR_EraseRootFromParent_Done,
     /* 2181739 */   // Label 26500: @2181739
     /* 2181739 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(2181851), // Rule ID 16435 //
     /* 2181744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2181747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2181755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2181758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2181761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2181764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2181786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181790 */     // MIs[0] round
     /* 2181790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181793 */     // MIs[0] policy
     /* 2181793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181803 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2181820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181850 */     // GIR_Coverage, 16435,
     /* 2181850 */     GIR_EraseRootFromParent_Done,
     /* 2181851 */   // Label 26501: @2181851
     /* 2181851 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(2181963), // Rule ID 16438 //
     /* 2181856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2181859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2181867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2181870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2181876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2181894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2181898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181902 */     // MIs[0] round
     /* 2181902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181905 */     // MIs[0] policy
     /* 2181905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181915 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2181919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2181925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2181929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2181932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2181936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2181946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2181956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2181961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181962 */     // GIR_Coverage, 16438,
     /* 2181962 */     GIR_EraseRootFromParent_Done,
     /* 2181963 */   // Label 26502: @2181963
     /* 2181963 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(2182075), // Rule ID 16439 //
     /* 2181968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2181971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2181976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2181979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2181982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2181985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2181988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2181998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182014 */     // MIs[0] round
     /* 2182014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182017 */     // MIs[0] policy
     /* 2182017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182027 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2182044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182074 */     // GIR_Coverage, 16439,
     /* 2182074 */     GIR_EraseRootFromParent_Done,
     /* 2182075 */   // Label 26503: @2182075
     /* 2182075 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(2182187), // Rule ID 16442 //
     /* 2182080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2182083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2182091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2182094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2182097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2182100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182126 */     // MIs[0] round
     /* 2182126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182129 */     // MIs[0] policy
     /* 2182129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182139 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2182156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182186 */     // GIR_Coverage, 16442,
     /* 2182186 */     GIR_EraseRootFromParent_Done,
     /* 2182187 */   // Label 26504: @2182187
     /* 2182187 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(2182299), // Rule ID 16443 //
     /* 2182192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2182195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2182203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2182206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2182209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2182212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182238 */     // MIs[0] round
     /* 2182238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182241 */     // MIs[0] policy
     /* 2182241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182251 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11118:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2182268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182298 */     // GIR_Coverage, 16443,
     /* 2182298 */     GIR_EraseRootFromParent_Done,
     /* 2182299 */   // Label 26505: @2182299
     /* 2182299 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(2182411), // Rule ID 16446 //
     /* 2182304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2182307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2182315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2182318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2182321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2182324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182350 */     // MIs[0] round
     /* 2182350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182353 */     // MIs[0] policy
     /* 2182353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182363 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2182380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182410 */     // GIR_Coverage, 16446,
     /* 2182410 */     GIR_EraseRootFromParent_Done,
     /* 2182411 */   // Label 26506: @2182411
     /* 2182411 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(2182523), // Rule ID 16447 //
     /* 2182416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2182419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2182427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2182430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2182433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2182436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2182439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2182446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2182450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182462 */     // MIs[0] round
     /* 2182462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182465 */     // MIs[0] policy
     /* 2182465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182475 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2182492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182522 */     // GIR_Coverage, 16447,
     /* 2182522 */     GIR_EraseRootFromParent_Done,
     /* 2182523 */   // Label 26507: @2182523
     /* 2182523 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(2182635), // Rule ID 16450 //
     /* 2182528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2182531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2182539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2182542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2182545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2182548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182574 */     // MIs[0] round
     /* 2182574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182577 */     // MIs[0] policy
     /* 2182577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182587 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2182604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182634 */     // GIR_Coverage, 16450,
     /* 2182634 */     GIR_EraseRootFromParent_Done,
     /* 2182635 */   // Label 26508: @2182635
     /* 2182635 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(2182747), // Rule ID 16451 //
     /* 2182640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2182643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2182651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2182654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2182657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2182660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2182663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182686 */     // MIs[0] round
     /* 2182686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182689 */     // MIs[0] policy
     /* 2182689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182699 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2182716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2182740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182746 */     // GIR_Coverage, 16451,
     /* 2182746 */     GIR_EraseRootFromParent_Done,
     /* 2182747 */   // Label 26509: @2182747
     /* 2182747 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(2182859), // Rule ID 16454 //
     /* 2182752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2182755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2182763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2182766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2182772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182798 */     // MIs[0] round
     /* 2182798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182801 */     // MIs[0] policy
     /* 2182801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182811 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2182828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182858 */     // GIR_Coverage, 16454,
     /* 2182858 */     GIR_EraseRootFromParent_Done,
     /* 2182859 */   // Label 26510: @2182859
     /* 2182859 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(2182971), // Rule ID 16455 //
     /* 2182864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2182867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2182875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2182878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2182884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2182906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182910 */     // MIs[0] round
     /* 2182910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182913 */     // MIs[0] policy
     /* 2182913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2182927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2182933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2182937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2182940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2182944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2182954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2182969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182970 */     // GIR_Coverage, 16455,
     /* 2182970 */     GIR_EraseRootFromParent_Done,
     /* 2182971 */   // Label 26511: @2182971
     /* 2182971 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(2183083), // Rule ID 16458 //
     /* 2182976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2182979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2182984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2182987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2182990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2182993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2182996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183022 */     // MIs[0] round
     /* 2183022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183025 */     // MIs[0] policy
     /* 2183025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183035 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2183052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183082 */     // GIR_Coverage, 16458,
     /* 2183082 */     GIR_EraseRootFromParent_Done,
     /* 2183083 */   // Label 26512: @2183083
     /* 2183083 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(2183195), // Rule ID 16459 //
     /* 2183088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2183091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2183099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2183102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2183108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183134 */     // MIs[0] round
     /* 2183134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183137 */     // MIs[0] policy
     /* 2183137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2183164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183194 */     // GIR_Coverage, 16459,
     /* 2183194 */     GIR_EraseRootFromParent_Done,
     /* 2183195 */   // Label 26513: @2183195
     /* 2183195 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(2183307), // Rule ID 16462 //
     /* 2183200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2183203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2183211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2183214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2183220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183246 */     // MIs[0] round
     /* 2183246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183249 */     // MIs[0] policy
     /* 2183249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2183276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183306 */     // GIR_Coverage, 16462,
     /* 2183306 */     GIR_EraseRootFromParent_Done,
     /* 2183307 */   // Label 26514: @2183307
     /* 2183307 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(2183419), // Rule ID 16463 //
     /* 2183312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2183315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2183323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2183326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2183332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183358 */     // MIs[0] round
     /* 2183358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183361 */     // MIs[0] policy
     /* 2183361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183371 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11118:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2183388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183418 */     // GIR_Coverage, 16463,
     /* 2183418 */     GIR_EraseRootFromParent_Done,
     /* 2183419 */   // Label 26515: @2183419
     /* 2183419 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(2183531), // Rule ID 16466 //
     /* 2183424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2183427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2183435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2183438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2183441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2183444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183470 */     // MIs[0] round
     /* 2183470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183473 */     // MIs[0] policy
     /* 2183473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183483 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2183500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183530 */     // GIR_Coverage, 16466,
     /* 2183530 */     GIR_EraseRootFromParent_Done,
     /* 2183531 */   // Label 26516: @2183531
     /* 2183531 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(2183643), // Rule ID 16467 //
     /* 2183536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2183539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2183547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2183550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2183553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2183556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183582 */     // MIs[0] round
     /* 2183582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183585 */     // MIs[0] policy
     /* 2183585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183595 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2183612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183642 */     // GIR_Coverage, 16467,
     /* 2183642 */     GIR_EraseRootFromParent_Done,
     /* 2183643 */   // Label 26517: @2183643
     /* 2183643 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(2183755), // Rule ID 16470 //
     /* 2183648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2183651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2183659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2183662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2183665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2183668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183694 */     // MIs[0] round
     /* 2183694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183697 */     // MIs[0] policy
     /* 2183697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183707 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2183724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183754 */     // GIR_Coverage, 16470,
     /* 2183754 */     GIR_EraseRootFromParent_Done,
     /* 2183755 */   // Label 26518: @2183755
     /* 2183755 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(2183867), // Rule ID 16471 //
     /* 2183760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2183763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2183771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2183774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2183777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2183780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183806 */     // MIs[0] round
     /* 2183806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183809 */     // MIs[0] policy
     /* 2183809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183819 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2183836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183866 */     // GIR_Coverage, 16471,
     /* 2183866 */     GIR_EraseRootFromParent_Done,
     /* 2183867 */   // Label 26519: @2183867
     /* 2183867 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(2183979), // Rule ID 16474 //
     /* 2183872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2183875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2183889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2183892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2183914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183918 */     // MIs[0] round
     /* 2183918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183921 */     // MIs[0] policy
     /* 2183921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183931 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2183935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2183941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2183945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2183948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2183952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2183962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2183977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183978 */     // GIR_Coverage, 16474,
     /* 2183978 */     GIR_EraseRootFromParent_Done,
     /* 2183979 */   // Label 26520: @2183979
     /* 2183979 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(2184091), // Rule ID 16475 //
     /* 2183984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2183987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2183992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2183995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2183998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2184001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184030 */     // MIs[0] round
     /* 2184030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184033 */     // MIs[0] policy
     /* 2184033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184043 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2184060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184086 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184090 */     // GIR_Coverage, 16475,
     /* 2184090 */     GIR_EraseRootFromParent_Done,
     /* 2184091 */   // Label 26521: @2184091
     /* 2184091 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(2184203), // Rule ID 16478 //
     /* 2184096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2184099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2184113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2184116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184142 */     // MIs[0] round
     /* 2184142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184145 */     // MIs[0] policy
     /* 2184145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184155 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2184172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184202 */     // GIR_Coverage, 16478,
     /* 2184202 */     GIR_EraseRootFromParent_Done,
     /* 2184203 */   // Label 26522: @2184203
     /* 2184203 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(2184315), // Rule ID 16479 //
     /* 2184208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2184211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2184219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2184222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2184225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184254 */     // MIs[0] round
     /* 2184254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184257 */     // MIs[0] policy
     /* 2184257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184267 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11118:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2184284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184314 */     // GIR_Coverage, 16479,
     /* 2184314 */     GIR_EraseRootFromParent_Done,
     /* 2184315 */   // Label 26523: @2184315
     /* 2184315 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(2184427), // Rule ID 16482 //
     /* 2184320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2184323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2184337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2184340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184366 */     // MIs[0] round
     /* 2184366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184369 */     // MIs[0] policy
     /* 2184369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184379 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2184396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184426 */     // GIR_Coverage, 16482,
     /* 2184426 */     GIR_EraseRootFromParent_Done,
     /* 2184427 */   // Label 26524: @2184427
     /* 2184427 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(2184539), // Rule ID 16483 //
     /* 2184432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2184435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2184449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184478 */     // MIs[0] round
     /* 2184478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184481 */     // MIs[0] policy
     /* 2184481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184491 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11118:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2184508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184538 */     // GIR_Coverage, 16483,
     /* 2184538 */     GIR_EraseRootFromParent_Done,
     /* 2184539 */   // Label 26525: @2184539
     /* 2184539 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(2184651), // Rule ID 16486 //
     /* 2184544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2184547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2184561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2184564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184590 */     // MIs[0] round
     /* 2184590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184593 */     // MIs[0] policy
     /* 2184593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2184620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184646 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184650 */     // GIR_Coverage, 16486,
     /* 2184650 */     GIR_EraseRootFromParent_Done,
     /* 2184651 */   // Label 26526: @2184651
     /* 2184651 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(2184763), // Rule ID 16487 //
     /* 2184656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2184659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2184664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2184673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2184676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2184698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184702 */     // MIs[0] round
     /* 2184702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184705 */     // MIs[0] policy
     /* 2184705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184715 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11118:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2184732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2184761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184762 */     // GIR_Coverage, 16487,
     /* 2184762 */     GIR_EraseRootFromParent_Done,
     /* 2184763 */   // Label 26527: @2184763
     /* 2184763 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(2184872), // Rule ID 16550 //
     /* 2184768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2184776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2184779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2184782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184814 */     // MIs[0] round
     /* 2184814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184817 */     // MIs[0] policy
     /* 2184817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184827 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2184844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184871 */     // GIR_Coverage, 16550,
     /* 2184871 */     GIR_EraseRootFromParent_Done,
     /* 2184872 */   // Label 26528: @2184872
     /* 2184872 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(2184981), // Rule ID 16551 //
     /* 2184877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2184880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2184885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2184888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2184891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2184894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2184897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2184900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2184907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2184919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184923 */     // MIs[0] round
     /* 2184923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184926 */     // MIs[0] policy
     /* 2184926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2184940 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2184946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2184950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2184953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2184957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2184967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2184977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184980 */     // GIR_Coverage, 16551,
     /* 2184980 */     GIR_EraseRootFromParent_Done,
     /* 2184981 */   // Label 26529: @2184981
     /* 2184981 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(2185090), // Rule ID 16554 //
     /* 2184986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2184989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2184994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2184997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2185000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2185003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185032 */     // MIs[0] round
     /* 2185032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185035 */     // MIs[0] policy
     /* 2185035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185045 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2185062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185089 */     // GIR_Coverage, 16554,
     /* 2185089 */     GIR_EraseRootFromParent_Done,
     /* 2185090 */   // Label 26530: @2185090
     /* 2185090 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(2185199), // Rule ID 16555 //
     /* 2185095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2185106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2185109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2185112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185141 */     // MIs[0] round
     /* 2185141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185144 */     // MIs[0] policy
     /* 2185144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185154 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2185171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185198 */     // GIR_Coverage, 16555,
     /* 2185198 */     GIR_EraseRootFromParent_Done,
     /* 2185199 */   // Label 26531: @2185199
     /* 2185199 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(2185308), // Rule ID 16558 //
     /* 2185204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185250 */     // MIs[0] round
     /* 2185250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185253 */     // MIs[0] policy
     /* 2185253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185263 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2185280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185307 */     // GIR_Coverage, 16558,
     /* 2185307 */     GIR_EraseRootFromParent_Done,
     /* 2185308 */   // Label 26532: @2185308
     /* 2185308 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(2185417), // Rule ID 16559 //
     /* 2185313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2185330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185359 */     // MIs[0] round
     /* 2185359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185362 */     // MIs[0] policy
     /* 2185362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185372 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185376 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2185389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185416 */     // GIR_Coverage, 16559,
     /* 2185416 */     GIR_EraseRootFromParent_Done,
     /* 2185417 */   // Label 26533: @2185417
     /* 2185417 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(2185526), // Rule ID 16562 //
     /* 2185422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2185425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2185433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2185436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2185439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185468 */     // MIs[0] round
     /* 2185468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185471 */     // MIs[0] policy
     /* 2185471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185481 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2185498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185525 */     // GIR_Coverage, 16562,
     /* 2185525 */     GIR_EraseRootFromParent_Done,
     /* 2185526 */   // Label 26534: @2185526
     /* 2185526 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(2185635), // Rule ID 16563 //
     /* 2185531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2185542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2185545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2185548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185577 */     // MIs[0] round
     /* 2185577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185580 */     // MIs[0] policy
     /* 2185580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185590 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2185607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185634 */     // GIR_Coverage, 16563,
     /* 2185634 */     GIR_EraseRootFromParent_Done,
     /* 2185635 */   // Label 26535: @2185635
     /* 2185635 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(2185744), // Rule ID 16566 //
     /* 2185640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185686 */     // MIs[0] round
     /* 2185686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185689 */     // MIs[0] policy
     /* 2185689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185699 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2185716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185743 */     // GIR_Coverage, 16566,
     /* 2185743 */     GIR_EraseRootFromParent_Done,
     /* 2185744 */   // Label 26536: @2185744
     /* 2185744 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(2185853), // Rule ID 16567 //
     /* 2185749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2185766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185795 */     // MIs[0] round
     /* 2185795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185798 */     // MIs[0] policy
     /* 2185798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185808 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2185825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185852 */     // GIR_Coverage, 16567,
     /* 2185852 */     GIR_EraseRootFromParent_Done,
     /* 2185853 */   // Label 26537: @2185853
     /* 2185853 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(2185962), // Rule ID 16570 //
     /* 2185858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2185861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2185875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2185878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185904 */     // MIs[0] round
     /* 2185904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185907 */     // MIs[0] policy
     /* 2185907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185917 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2185921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2185927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2185931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2185934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2185938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2185948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2185958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185961 */     // GIR_Coverage, 16570,
     /* 2185961 */     GIR_EraseRootFromParent_Done,
     /* 2185962 */   // Label 26538: @2185962
     /* 2185962 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(2186071), // Rule ID 16571 //
     /* 2185967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2185970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2185975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2185984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2185987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186013 */     // MIs[0] round
     /* 2186013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186016 */     // MIs[0] policy
     /* 2186016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186026 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186030 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2186043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186070 */     // GIR_Coverage, 16571,
     /* 2186070 */     GIR_EraseRootFromParent_Done,
     /* 2186071 */   // Label 26539: @2186071
     /* 2186071 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(2186180), // Rule ID 16574 //
     /* 2186076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2186087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2186090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2186093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186122 */     // MIs[0] round
     /* 2186122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186125 */     // MIs[0] policy
     /* 2186125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186135 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2186152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186179 */     // GIR_Coverage, 16574,
     /* 2186179 */     GIR_EraseRootFromParent_Done,
     /* 2186180 */   // Label 26540: @2186180
     /* 2186180 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(2186289), // Rule ID 16575 //
     /* 2186185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2186196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2186199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2186202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186231 */     // MIs[0] round
     /* 2186231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186234 */     // MIs[0] policy
     /* 2186234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186244 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2186261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186288 */     // GIR_Coverage, 16575,
     /* 2186288 */     GIR_EraseRootFromParent_Done,
     /* 2186289 */   // Label 26541: @2186289
     /* 2186289 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(2186398), // Rule ID 16578 //
     /* 2186294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2186305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2186308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2186311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186340 */     // MIs[0] round
     /* 2186340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186343 */     // MIs[0] policy
     /* 2186343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186353 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2186370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186397 */     // GIR_Coverage, 16578,
     /* 2186397 */     GIR_EraseRootFromParent_Done,
     /* 2186398 */   // Label 26542: @2186398
     /* 2186398 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(2186507), // Rule ID 16579 //
     /* 2186403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2186414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2186417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2186420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186449 */     // MIs[0] round
     /* 2186449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186452 */     // MIs[0] policy
     /* 2186452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186462 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186466 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2186479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186506 */     // GIR_Coverage, 16579,
     /* 2186506 */     GIR_EraseRootFromParent_Done,
     /* 2186507 */   // Label 26543: @2186507
     /* 2186507 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(2186616), // Rule ID 16582 //
     /* 2186512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2186523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2186526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2186529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2186532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2186535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186558 */     // MIs[0] round
     /* 2186558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186561 */     // MIs[0] policy
     /* 2186561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186571 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2186588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186615 */     // GIR_Coverage, 16582,
     /* 2186615 */     GIR_EraseRootFromParent_Done,
     /* 2186616 */   // Label 26544: @2186616
     /* 2186616 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(2186725), // Rule ID 16583 //
     /* 2186621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2186632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2186635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2186638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2186641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2186644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186667 */     // MIs[0] round
     /* 2186667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186670 */     // MIs[0] policy
     /* 2186670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186680 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2186697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186724 */     // GIR_Coverage, 16583,
     /* 2186724 */     GIR_EraseRootFromParent_Done,
     /* 2186725 */   // Label 26545: @2186725
     /* 2186725 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(2186834), // Rule ID 16586 //
     /* 2186730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2186733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2186747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186776 */     // MIs[0] round
     /* 2186776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186779 */     // MIs[0] policy
     /* 2186779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186789 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2186806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186833 */     // GIR_Coverage, 16586,
     /* 2186833 */     GIR_EraseRootFromParent_Done,
     /* 2186834 */   // Label 26546: @2186834
     /* 2186834 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(2186943), // Rule ID 16587 //
     /* 2186839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2186842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2186856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186885 */     // MIs[0] round
     /* 2186885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186888 */     // MIs[0] policy
     /* 2186888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186898 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2186902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2186908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2186912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2186915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2186919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2186929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186942 */     // GIR_Coverage, 16587,
     /* 2186942 */     GIR_EraseRootFromParent_Done,
     /* 2186943 */   // Label 26547: @2186943
     /* 2186943 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(2187052), // Rule ID 16590 //
     /* 2186948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2186951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2186956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2186965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186994 */     // MIs[0] round
     /* 2186994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186997 */     // MIs[0] policy
     /* 2186997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187007 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2187024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187051 */     // GIR_Coverage, 16590,
     /* 2187051 */     GIR_EraseRootFromParent_Done,
     /* 2187052 */   // Label 26548: @2187052
     /* 2187052 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(2187161), // Rule ID 16591 //
     /* 2187057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2187060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2187068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2187071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2187074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2187077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187103 */     // MIs[0] round
     /* 2187103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187106 */     // MIs[0] policy
     /* 2187106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187116 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187120 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2187133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187160 */     // GIR_Coverage, 16591,
     /* 2187160 */     GIR_EraseRootFromParent_Done,
     /* 2187161 */   // Label 26549: @2187161
     /* 2187161 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(2187270), // Rule ID 16594 //
     /* 2187166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2187169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2187183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2187186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187212 */     // MIs[0] round
     /* 2187212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187215 */     // MIs[0] policy
     /* 2187215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187225 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2187242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187269 */     // GIR_Coverage, 16594,
     /* 2187269 */     GIR_EraseRootFromParent_Done,
     /* 2187270 */   // Label 26550: @2187270
     /* 2187270 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(2187379), // Rule ID 16595 //
     /* 2187275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2187278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2187292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2187295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187321 */     // MIs[0] round
     /* 2187321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187324 */     // MIs[0] policy
     /* 2187324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187334 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2187351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187378 */     // GIR_Coverage, 16595,
     /* 2187378 */     GIR_EraseRootFromParent_Done,
     /* 2187379 */   // Label 26551: @2187379
     /* 2187379 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(2187488), // Rule ID 16598 //
     /* 2187384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2187401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2187404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187430 */     // MIs[0] round
     /* 2187430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187433 */     // MIs[0] policy
     /* 2187433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187443 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2187460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187487 */     // GIR_Coverage, 16598,
     /* 2187487 */     GIR_EraseRootFromParent_Done,
     /* 2187488 */   // Label 26552: @2187488
     /* 2187488 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(2187597), // Rule ID 16599 //
     /* 2187493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2187510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2187513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187539 */     // MIs[0] round
     /* 2187539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187542 */     // MIs[0] policy
     /* 2187542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187552 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2187569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187596 */     // GIR_Coverage, 16599,
     /* 2187596 */     GIR_EraseRootFromParent_Done,
     /* 2187597 */   // Label 26553: @2187597
     /* 2187597 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(2187706), // Rule ID 16602 //
     /* 2187602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2187619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2187622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187648 */     // MIs[0] round
     /* 2187648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187651 */     // MIs[0] policy
     /* 2187651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187661 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2187678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187705 */     // GIR_Coverage, 16602,
     /* 2187705 */     GIR_EraseRootFromParent_Done,
     /* 2187706 */   // Label 26554: @2187706
     /* 2187706 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(2187815), // Rule ID 16603 //
     /* 2187711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2187728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2187731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187757 */     // MIs[0] round
     /* 2187757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187760 */     // MIs[0] policy
     /* 2187760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2187787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187814 */     // GIR_Coverage, 16603,
     /* 2187814 */     GIR_EraseRootFromParent_Done,
     /* 2187815 */   // Label 26555: @2187815
     /* 2187815 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(2187924), // Rule ID 16606 //
     /* 2187820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2187837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2187840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187866 */     // MIs[0] round
     /* 2187866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187869 */     // MIs[0] policy
     /* 2187869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187879 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2187893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2187896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2187900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2187910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187923 */     // GIR_Coverage, 16606,
     /* 2187923 */     GIR_EraseRootFromParent_Done,
     /* 2187924 */   // Label 26556: @2187924
     /* 2187924 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(2188033), // Rule ID 16607 //
     /* 2187929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2187937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2187946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2187949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187975 */     // MIs[0] round
     /* 2187975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187978 */     // MIs[0] policy
     /* 2187978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2187992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2187998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2188005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188032 */     // GIR_Coverage, 16607,
     /* 2188032 */     GIR_EraseRootFromParent_Done,
     /* 2188033 */   // Label 26557: @2188033
     /* 2188033 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(2188142), // Rule ID 16610 //
     /* 2188038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2188049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2188052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2188055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188084 */     // MIs[0] round
     /* 2188084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188087 */     // MIs[0] policy
     /* 2188087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188097 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2188114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188141 */     // GIR_Coverage, 16610,
     /* 2188141 */     GIR_EraseRootFromParent_Done,
     /* 2188142 */   // Label 26558: @2188142
     /* 2188142 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(2188251), // Rule ID 16611 //
     /* 2188147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2188158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2188161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2188164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188193 */     // MIs[0] round
     /* 2188193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188196 */     // MIs[0] policy
     /* 2188196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188206 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2188223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188250 */     // GIR_Coverage, 16611,
     /* 2188250 */     GIR_EraseRootFromParent_Done,
     /* 2188251 */   // Label 26559: @2188251
     /* 2188251 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(2188360), // Rule ID 16614 //
     /* 2188256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2188267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2188270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2188273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188302 */     // MIs[0] round
     /* 2188302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188305 */     // MIs[0] policy
     /* 2188305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188315 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2188332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188359 */     // GIR_Coverage, 16614,
     /* 2188359 */     GIR_EraseRootFromParent_Done,
     /* 2188360 */   // Label 26560: @2188360
     /* 2188360 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(2188469), // Rule ID 16615 //
     /* 2188365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2188376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2188379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2188382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188411 */     // MIs[0] round
     /* 2188411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188414 */     // MIs[0] policy
     /* 2188414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188424 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2188441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188468 */     // GIR_Coverage, 16615,
     /* 2188468 */     GIR_EraseRootFromParent_Done,
     /* 2188469 */   // Label 26561: @2188469
     /* 2188469 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(2188578), // Rule ID 16618 //
     /* 2188474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2188494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188520 */     // MIs[0] round
     /* 2188520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188523 */     // MIs[0] policy
     /* 2188523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188533 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2188550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188577 */     // GIR_Coverage, 16618,
     /* 2188577 */     GIR_EraseRootFromParent_Done,
     /* 2188578 */   // Label 26562: @2188578
     /* 2188578 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(2188687), // Rule ID 16619 //
     /* 2188583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2188603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188629 */     // MIs[0] round
     /* 2188629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188632 */     // MIs[0] policy
     /* 2188632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188642 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2188659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188686 */     // GIR_Coverage, 16619,
     /* 2188686 */     GIR_EraseRootFromParent_Done,
     /* 2188687 */   // Label 26563: @2188687
     /* 2188687 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(2188796), // Rule ID 16622 //
     /* 2188692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2188703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2188706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188738 */     // MIs[0] round
     /* 2188738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188741 */     // MIs[0] policy
     /* 2188741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188751 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2188768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188795 */     // GIR_Coverage, 16622,
     /* 2188795 */     GIR_EraseRootFromParent_Done,
     /* 2188796 */   // Label 26564: @2188796
     /* 2188796 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(2188905), // Rule ID 16623 //
     /* 2188801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2188812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2188815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2188821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2188843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188847 */     // MIs[0] round
     /* 2188847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188850 */     // MIs[0] policy
     /* 2188850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188860 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10820:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2188877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2188891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188904 */     // GIR_Coverage, 16623,
     /* 2188904 */     GIR_EraseRootFromParent_Done,
     /* 2188905 */   // Label 26565: @2188905
     /* 2188905 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(2189014), // Rule ID 16626 //
     /* 2188910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2188918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2188930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2188952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188956 */     // MIs[0] round
     /* 2188956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188959 */     // MIs[0] policy
     /* 2188959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188969 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2188973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2188979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2188983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2188986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2188990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189013 */     // GIR_Coverage, 16626,
     /* 2189013 */     GIR_EraseRootFromParent_Done,
     /* 2189014 */   // Label 26566: @2189014
     /* 2189014 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(2189123), // Rule ID 16627 //
     /* 2189019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2189022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2189030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2189033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2189036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2189039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2189061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189065 */     // MIs[0] round
     /* 2189065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189068 */     // MIs[0] policy
     /* 2189068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189078 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10820:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2189095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189122 */     // GIR_Coverage, 16627,
     /* 2189122 */     GIR_EraseRootFromParent_Done,
     /* 2189123 */   // Label 26567: @2189123
     /* 2189123 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(2189232), // Rule ID 16630 //
     /* 2189128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2189131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2189145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2189148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2189170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189174 */     // MIs[0] round
     /* 2189174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189177 */     // MIs[0] policy
     /* 2189177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189187 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2189204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189231 */     // GIR_Coverage, 16630,
     /* 2189231 */     GIR_EraseRootFromParent_Done,
     /* 2189232 */   // Label 26568: @2189232
     /* 2189232 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(2189341), // Rule ID 16631 //
     /* 2189237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2189240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2189248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2189251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2189254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2189257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2189260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2189267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2189275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2189279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189283 */     // MIs[0] round
     /* 2189283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189286 */     // MIs[0] policy
     /* 2189286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189296 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10820:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2189313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2189337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189340 */     // GIR_Coverage, 16631,
     /* 2189340 */     GIR_EraseRootFromParent_Done,
     /* 2189341 */   // Label 26569: @2189341
     /* 2189341 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(2189450), // Rule ID 16634 //
     /* 2189346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2189357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2189360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2189363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189392 */     // MIs[0] round
     /* 2189392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189395 */     // MIs[0] policy
     /* 2189395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189405 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2189422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189449 */     // GIR_Coverage, 16634,
     /* 2189449 */     GIR_EraseRootFromParent_Done,
     /* 2189450 */   // Label 26570: @2189450
     /* 2189450 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(2189559), // Rule ID 16635 //
     /* 2189455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2189466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2189469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2189472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189501 */     // MIs[0] round
     /* 2189501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189504 */     // MIs[0] policy
     /* 2189504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189514 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2189531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189558 */     // GIR_Coverage, 16635,
     /* 2189558 */     GIR_EraseRootFromParent_Done,
     /* 2189559 */   // Label 26571: @2189559
     /* 2189559 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(2189668), // Rule ID 16638 //
     /* 2189564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2189575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2189578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189610 */     // MIs[0] round
     /* 2189610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189613 */     // MIs[0] policy
     /* 2189613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189623 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2189640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189667 */     // GIR_Coverage, 16638,
     /* 2189667 */     GIR_EraseRootFromParent_Done,
     /* 2189668 */   // Label 26572: @2189668
     /* 2189668 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(2189777), // Rule ID 16639 //
     /* 2189673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2189684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2189687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189719 */     // MIs[0] round
     /* 2189719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189722 */     // MIs[0] policy
     /* 2189722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189732 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2189749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189776 */     // GIR_Coverage, 16639,
     /* 2189776 */     GIR_EraseRootFromParent_Done,
     /* 2189777 */   // Label 26573: @2189777
     /* 2189777 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(2189886), // Rule ID 16642 //
     /* 2189782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2189793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2189796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2189799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2189805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189828 */     // MIs[0] round
     /* 2189828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189831 */     // MIs[0] policy
     /* 2189831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189841 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2189858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189885 */     // GIR_Coverage, 16642,
     /* 2189885 */     GIR_EraseRootFromParent_Done,
     /* 2189886 */   // Label 26574: @2189886
     /* 2189886 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(2189995), // Rule ID 16643 //
     /* 2189891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2189899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2189902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2189905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2189908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2189911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2189914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2189933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189937 */     // MIs[0] round
     /* 2189937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189940 */     // MIs[0] policy
     /* 2189940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189950 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2189954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2189960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2189964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2189967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2189971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2189981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189994 */     // GIR_Coverage, 16643,
     /* 2189994 */     GIR_EraseRootFromParent_Done,
     /* 2189995 */   // Label 26575: @2189995
     /* 2189995 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(2190104), // Rule ID 16646 //
     /* 2190000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190046 */     // MIs[0] round
     /* 2190046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190049 */     // MIs[0] policy
     /* 2190049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190059 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2190076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190103 */     // GIR_Coverage, 16646,
     /* 2190103 */     GIR_EraseRootFromParent_Done,
     /* 2190104 */   // Label 26576: @2190104
     /* 2190104 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(2190213), // Rule ID 16647 //
     /* 2190109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2190120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2190123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2190126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190155 */     // MIs[0] round
     /* 2190155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190158 */     // MIs[0] policy
     /* 2190158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190168 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2190185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190212 */     // GIR_Coverage, 16647,
     /* 2190212 */     GIR_EraseRootFromParent_Done,
     /* 2190213 */   // Label 26577: @2190213
     /* 2190213 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(2190322), // Rule ID 16650 //
     /* 2190218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2190229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2190232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190264 */     // MIs[0] round
     /* 2190264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190267 */     // MIs[0] policy
     /* 2190267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190277 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2190294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190321 */     // GIR_Coverage, 16650,
     /* 2190321 */     GIR_EraseRootFromParent_Done,
     /* 2190322 */   // Label 26578: @2190322
     /* 2190322 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(2190431), // Rule ID 16651 //
     /* 2190327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2190338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2190341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2190344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190373 */     // MIs[0] round
     /* 2190373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190376 */     // MIs[0] policy
     /* 2190376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190386 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2190403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190430 */     // GIR_Coverage, 16651,
     /* 2190430 */     GIR_EraseRootFromParent_Done,
     /* 2190431 */   // Label 26579: @2190431
     /* 2190431 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(2190540), // Rule ID 16654 //
     /* 2190436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2190447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2190450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2190453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190482 */     // MIs[0] round
     /* 2190482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190485 */     // MIs[0] policy
     /* 2190485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190495 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2190512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190539 */     // GIR_Coverage, 16654,
     /* 2190539 */     GIR_EraseRootFromParent_Done,
     /* 2190540 */   // Label 26580: @2190540
     /* 2190540 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(2190649), // Rule ID 16655 //
     /* 2190545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2190556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2190559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2190562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2190565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2190568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190591 */     // MIs[0] round
     /* 2190591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190594 */     // MIs[0] policy
     /* 2190594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190604 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2190621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190648 */     // GIR_Coverage, 16655,
     /* 2190648 */     GIR_EraseRootFromParent_Done,
     /* 2190649 */   // Label 26581: @2190649
     /* 2190649 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(2190758), // Rule ID 16658 //
     /* 2190654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2190671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2190674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2190696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190700 */     // MIs[0] round
     /* 2190700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190703 */     // MIs[0] policy
     /* 2190703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190713 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2190730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190757 */     // GIR_Coverage, 16658,
     /* 2190757 */     GIR_EraseRootFromParent_Done,
     /* 2190758 */   // Label 26582: @2190758
     /* 2190758 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(2190867), // Rule ID 16659 //
     /* 2190763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2190780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2190783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2190805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190809 */     // MIs[0] round
     /* 2190809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190812 */     // MIs[0] policy
     /* 2190812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190822 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10820:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2190839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190866 */     // GIR_Coverage, 16659,
     /* 2190866 */     GIR_EraseRootFromParent_Done,
     /* 2190867 */   // Label 26583: @2190867
     /* 2190867 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(2190976), // Rule ID 16662 //
     /* 2190872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2190889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2190892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2190914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190918 */     // MIs[0] round
     /* 2190918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190921 */     // MIs[0] policy
     /* 2190921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190931 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2190935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2190941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2190945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2190948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2190952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2190962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190975 */     // GIR_Coverage, 16662,
     /* 2190975 */     GIR_EraseRootFromParent_Done,
     /* 2190976 */   // Label 26584: @2190976
     /* 2190976 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(2191085), // Rule ID 16663 //
     /* 2190981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2190989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2190998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2191023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191027 */     // MIs[0] round
     /* 2191027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191030 */     // MIs[0] policy
     /* 2191030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191040 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10820:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2191057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191084 */     // GIR_Coverage, 16663,
     /* 2191084 */     GIR_EraseRootFromParent_Done,
     /* 2191085 */   // Label 26585: @2191085
     /* 2191085 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(2191194), // Rule ID 16666 //
     /* 2191090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2191093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2191098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2191101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2191104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2191107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2191132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191136 */     // MIs[0] round
     /* 2191136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191139 */     // MIs[0] policy
     /* 2191139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191149 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2191166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191193 */     // GIR_Coverage, 16666,
     /* 2191193 */     GIR_EraseRootFromParent_Done,
     /* 2191194 */   // Label 26586: @2191194
     /* 2191194 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(2191303), // Rule ID 16667 //
     /* 2191199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2191202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2191207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2191210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2191213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2191216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2191219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2191241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191245 */     // MIs[0] round
     /* 2191245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191248 */     // MIs[0] policy
     /* 2191248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191258 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10820:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2191275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191302 */     // GIR_Coverage, 16667,
     /* 2191302 */     GIR_EraseRootFromParent_Done,
     /* 2191303 */   // Label 26587: @2191303
     /* 2191303 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(2191412), // Rule ID 16670 //
     /* 2191308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2191319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2191322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2191325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2191328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191354 */     // MIs[0] round
     /* 2191354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191357 */     // MIs[0] policy
     /* 2191357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191367 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2191384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191411 */     // GIR_Coverage, 16670,
     /* 2191411 */     GIR_EraseRootFromParent_Done,
     /* 2191412 */   // Label 26588: @2191412
     /* 2191412 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(2191521), // Rule ID 16671 //
     /* 2191417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2191428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2191431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2191434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2191437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191463 */     // MIs[0] round
     /* 2191463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191466 */     // MIs[0] policy
     /* 2191466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191476 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191480 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2191493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191520 */     // GIR_Coverage, 16671,
     /* 2191520 */     GIR_EraseRootFromParent_Done,
     /* 2191521 */   // Label 26589: @2191521
     /* 2191521 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(2191630), // Rule ID 16674 //
     /* 2191526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2191537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2191540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2191543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2191546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191572 */     // MIs[0] round
     /* 2191572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191575 */     // MIs[0] policy
     /* 2191575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191585 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2191602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191629 */     // GIR_Coverage, 16674,
     /* 2191629 */     GIR_EraseRootFromParent_Done,
     /* 2191630 */   // Label 26590: @2191630
     /* 2191630 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(2191739), // Rule ID 16675 //
     /* 2191635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2191646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2191649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2191652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2191655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191681 */     // MIs[0] round
     /* 2191681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191684 */     // MIs[0] policy
     /* 2191684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191694 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2191711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191738 */     // GIR_Coverage, 16675,
     /* 2191738 */     GIR_EraseRootFromParent_Done,
     /* 2191739 */   // Label 26591: @2191739
     /* 2191739 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(2191848), // Rule ID 16678 //
     /* 2191744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2191747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2191755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2191758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191790 */     // MIs[0] round
     /* 2191790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191793 */     // MIs[0] policy
     /* 2191793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191803 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2191820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191847 */     // GIR_Coverage, 16678,
     /* 2191847 */     GIR_EraseRootFromParent_Done,
     /* 2191848 */   // Label 26592: @2191848
     /* 2191848 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(2191957), // Rule ID 16679 //
     /* 2191853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2191856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2191864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2191867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2191870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2191873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191899 */     // MIs[0] round
     /* 2191899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191902 */     // MIs[0] policy
     /* 2191902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2191916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2191922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2191926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2191929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2191933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191937 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2191943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191956 */     // GIR_Coverage, 16679,
     /* 2191956 */     GIR_EraseRootFromParent_Done,
     /* 2191957 */   // Label 26593: @2191957
     /* 2191957 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(2192066), // Rule ID 16682 //
     /* 2191962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2191970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2191973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2191976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2191979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2191982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192008 */     // MIs[0] round
     /* 2192008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192011 */     // MIs[0] policy
     /* 2192011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192021 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2192038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192065 */     // GIR_Coverage, 16682,
     /* 2192065 */     GIR_EraseRootFromParent_Done,
     /* 2192066 */   // Label 26594: @2192066
     /* 2192066 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(2192175), // Rule ID 16683 //
     /* 2192071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2192074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2192082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2192085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2192088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2192091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192117 */     // MIs[0] round
     /* 2192117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192120 */     // MIs[0] policy
     /* 2192120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2192147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192174 */     // GIR_Coverage, 16683,
     /* 2192174 */     GIR_EraseRootFromParent_Done,
     /* 2192175 */   // Label 26595: @2192175
     /* 2192175 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(2192284), // Rule ID 16686 //
     /* 2192180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2192197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2192200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192226 */     // MIs[0] round
     /* 2192226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192229 */     // MIs[0] policy
     /* 2192229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192239 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2192256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192283 */     // GIR_Coverage, 16686,
     /* 2192283 */     GIR_EraseRootFromParent_Done,
     /* 2192284 */   // Label 26596: @2192284
     /* 2192284 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(2192393), // Rule ID 16687 //
     /* 2192289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2192300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2192303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2192306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2192309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192335 */     // MIs[0] round
     /* 2192335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192338 */     // MIs[0] policy
     /* 2192338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192348 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2192365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192392 */     // GIR_Coverage, 16687,
     /* 2192392 */     GIR_EraseRootFromParent_Done,
     /* 2192393 */   // Label 26597: @2192393
     /* 2192393 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(2192502), // Rule ID 16690 //
     /* 2192398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2192401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2192409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2192412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2192415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2192418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192444 */     // MIs[0] round
     /* 2192444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192447 */     // MIs[0] policy
     /* 2192447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2192474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192501 */     // GIR_Coverage, 16690,
     /* 2192501 */     GIR_EraseRootFromParent_Done,
     /* 2192502 */   // Label 26598: @2192502
     /* 2192502 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(2192611), // Rule ID 16691 //
     /* 2192507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2192510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2192518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2192521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2192524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2192527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2192530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2192537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2192549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192553 */     // MIs[0] round
     /* 2192553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192556 */     // MIs[0] policy
     /* 2192556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192566 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2192583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192610 */     // GIR_Coverage, 16691,
     /* 2192610 */     GIR_EraseRootFromParent_Done,
     /* 2192611 */   // Label 26599: @2192611
     /* 2192611 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(2192720), // Rule ID 16694 //
     /* 2192616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2192619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2192627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2192630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192662 */     // MIs[0] round
     /* 2192662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192665 */     // MIs[0] policy
     /* 2192665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192675 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2192692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192719 */     // GIR_Coverage, 16694,
     /* 2192719 */     GIR_EraseRootFromParent_Done,
     /* 2192720 */   // Label 26600: @2192720
     /* 2192720 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(2192829), // Rule ID 16695 //
     /* 2192725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2192728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2192736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2192739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2192742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2192745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192771 */     // MIs[0] round
     /* 2192771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192774 */     // MIs[0] policy
     /* 2192774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192784 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2192801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192828 */     // GIR_Coverage, 16695,
     /* 2192828 */     GIR_EraseRootFromParent_Done,
     /* 2192829 */   // Label 26601: @2192829
     /* 2192829 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(2192938), // Rule ID 16698 //
     /* 2192834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2192837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2192845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2192848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2192851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192880 */     // MIs[0] round
     /* 2192880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192883 */     // MIs[0] policy
     /* 2192883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192893 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2192897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2192903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2192907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2192910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2192914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2192924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192937 */     // GIR_Coverage, 16698,
     /* 2192937 */     GIR_EraseRootFromParent_Done,
     /* 2192938 */   // Label 26602: @2192938
     /* 2192938 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(2193047), // Rule ID 16699 //
     /* 2192943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2192946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2192951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2192954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2192957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2192960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2192963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192989 */     // MIs[0] round
     /* 2192989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192992 */     // MIs[0] policy
     /* 2192992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2193019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193046 */     // GIR_Coverage, 16699,
     /* 2193046 */     GIR_EraseRootFromParent_Done,
     /* 2193047 */   // Label 26603: @2193047
     /* 2193047 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(2193156), // Rule ID 16702 //
     /* 2193052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2193055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2193063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2193066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2193069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2193072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2193075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193098 */     // MIs[0] round
     /* 2193098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193101 */     // MIs[0] policy
     /* 2193101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193111 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2193128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193155 */     // GIR_Coverage, 16702,
     /* 2193155 */     GIR_EraseRootFromParent_Done,
     /* 2193156 */   // Label 26604: @2193156
     /* 2193156 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(2193265), // Rule ID 16703 //
     /* 2193161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2193164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2193172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2193175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2193178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2193181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2193184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193207 */     // MIs[0] round
     /* 2193207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193210 */     // MIs[0] policy
     /* 2193210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193220 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2193237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193264 */     // GIR_Coverage, 16703,
     /* 2193264 */     GIR_EraseRootFromParent_Done,
     /* 2193265 */   // Label 26605: @2193265
     /* 2193265 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(2193374), // Rule ID 16706 //
     /* 2193270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2193273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2193287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193316 */     // MIs[0] round
     /* 2193316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193319 */     // MIs[0] policy
     /* 2193319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193329 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2193346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193373 */     // GIR_Coverage, 16706,
     /* 2193373 */     GIR_EraseRootFromParent_Done,
     /* 2193374 */   // Label 26606: @2193374
     /* 2193374 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(2193483), // Rule ID 16707 //
     /* 2193379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2193382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2193396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2193399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193425 */     // MIs[0] round
     /* 2193425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193428 */     // MIs[0] policy
     /* 2193428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193438 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2193455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193482 */     // GIR_Coverage, 16707,
     /* 2193482 */     GIR_EraseRootFromParent_Done,
     /* 2193483 */   // Label 26607: @2193483
     /* 2193483 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(2193592), // Rule ID 16710 //
     /* 2193488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2193491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193534 */     // MIs[0] round
     /* 2193534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193537 */     // MIs[0] policy
     /* 2193537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193547 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2193564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193591 */     // GIR_Coverage, 16710,
     /* 2193591 */     GIR_EraseRootFromParent_Done,
     /* 2193592 */   // Label 26608: @2193592
     /* 2193592 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(2193701), // Rule ID 16711 //
     /* 2193597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2193600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2193614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2193617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193643 */     // MIs[0] round
     /* 2193643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193646 */     // MIs[0] policy
     /* 2193646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2193673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193700 */     // GIR_Coverage, 16711,
     /* 2193700 */     GIR_EraseRootFromParent_Done,
     /* 2193701 */   // Label 26609: @2193701
     /* 2193701 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(2193810), // Rule ID 16714 //
     /* 2193706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2193709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2193717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2193720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2193723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2193726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2193729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193752 */     // MIs[0] round
     /* 2193752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193755 */     // MIs[0] policy
     /* 2193755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193765 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2193782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193809 */     // GIR_Coverage, 16714,
     /* 2193809 */     GIR_EraseRootFromParent_Done,
     /* 2193810 */   // Label 26610: @2193810
     /* 2193810 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(2193919), // Rule ID 16715 //
     /* 2193815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2193818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2193826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2193829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2193832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2193835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2193838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193861 */     // MIs[0] round
     /* 2193861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193864 */     // MIs[0] policy
     /* 2193864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193874 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2193891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2193895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2193905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2193915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193918 */     // GIR_Coverage, 16715,
     /* 2193918 */     GIR_EraseRootFromParent_Done,
     /* 2193919 */   // Label 26611: @2193919
     /* 2193919 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(2194028), // Rule ID 16718 //
     /* 2193924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2193932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2193935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2193938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2193941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2193944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193970 */     // MIs[0] round
     /* 2193970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193973 */     // MIs[0] policy
     /* 2193973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193983 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2193987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2193993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2193997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2194000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194027 */     // GIR_Coverage, 16718,
     /* 2194027 */     GIR_EraseRootFromParent_Done,
     /* 2194028 */   // Label 26612: @2194028
     /* 2194028 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(2194137), // Rule ID 16719 //
     /* 2194033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2194036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2194050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2194053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194079 */     // MIs[0] round
     /* 2194079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194082 */     // MIs[0] policy
     /* 2194082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194096 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2194109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194136 */     // GIR_Coverage, 16719,
     /* 2194136 */     GIR_EraseRootFromParent_Done,
     /* 2194137 */   // Label 26613: @2194137
     /* 2194137 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(2194246), // Rule ID 16722 //
     /* 2194142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2194145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2194159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2194162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194188 */     // MIs[0] round
     /* 2194188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194191 */     // MIs[0] policy
     /* 2194191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194201 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2194218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194245 */     // GIR_Coverage, 16722,
     /* 2194245 */     GIR_EraseRootFromParent_Done,
     /* 2194246 */   // Label 26614: @2194246
     /* 2194246 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(2194355), // Rule ID 16723 //
     /* 2194251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2194254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2194268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2194271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194297 */     // MIs[0] round
     /* 2194297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194300 */     // MIs[0] policy
     /* 2194300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194310 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2194327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194354 */     // GIR_Coverage, 16723,
     /* 2194354 */     GIR_EraseRootFromParent_Done,
     /* 2194355 */   // Label 26615: @2194355
     /* 2194355 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(2194464), // Rule ID 16726 //
     /* 2194360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2194363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2194377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2194380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194406 */     // MIs[0] round
     /* 2194406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194409 */     // MIs[0] policy
     /* 2194409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194419 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2194436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194463 */     // GIR_Coverage, 16726,
     /* 2194463 */     GIR_EraseRootFromParent_Done,
     /* 2194464 */   // Label 26616: @2194464
     /* 2194464 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(2194573), // Rule ID 16727 //
     /* 2194469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2194472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2194486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2194489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194515 */     // MIs[0] round
     /* 2194515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194518 */     // MIs[0] policy
     /* 2194518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194528 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2194545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2194569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194572 */     // GIR_Coverage, 16727,
     /* 2194572 */     GIR_EraseRootFromParent_Done,
     /* 2194573 */   // Label 26617: @2194573
     /* 2194573 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(2194682), // Rule ID 16730 //
     /* 2194578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2194589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2194592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2194595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2194598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194624 */     // MIs[0] round
     /* 2194624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194627 */     // MIs[0] policy
     /* 2194627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194637 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2194654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194681 */     // GIR_Coverage, 16730,
     /* 2194681 */     GIR_EraseRootFromParent_Done,
     /* 2194682 */   // Label 26618: @2194682
     /* 2194682 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(2194791), // Rule ID 16731 //
     /* 2194687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2194698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2194701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2194704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2194707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194733 */     // MIs[0] round
     /* 2194733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194736 */     // MIs[0] policy
     /* 2194736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194746 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2194763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194790 */     // GIR_Coverage, 16731,
     /* 2194790 */     GIR_EraseRootFromParent_Done,
     /* 2194791 */   // Label 26619: @2194791
     /* 2194791 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(2194900), // Rule ID 16734 //
     /* 2194796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2194799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2194807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2194810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2194813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2194816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194842 */     // MIs[0] round
     /* 2194842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194845 */     // MIs[0] policy
     /* 2194845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194855 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2194872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194899 */     // GIR_Coverage, 16734,
     /* 2194899 */     GIR_EraseRootFromParent_Done,
     /* 2194900 */   // Label 26620: @2194900
     /* 2194900 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(2195009), // Rule ID 16735 //
     /* 2194905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2194908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2194913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2194916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2194919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2194922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2194925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194951 */     // MIs[0] round
     /* 2194951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194954 */     // MIs[0] policy
     /* 2194954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194964 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2194968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2194974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2194978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2194981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2194985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2194995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195008 */     // GIR_Coverage, 16735,
     /* 2195008 */     GIR_EraseRootFromParent_Done,
     /* 2195009 */   // Label 26621: @2195009
     /* 2195009 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(2195118), // Rule ID 16738 //
     /* 2195014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2195017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2195031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195060 */     // MIs[0] round
     /* 2195060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195063 */     // MIs[0] policy
     /* 2195063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195073 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2195090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195117 */     // GIR_Coverage, 16738,
     /* 2195117 */     GIR_EraseRootFromParent_Done,
     /* 2195118 */   // Label 26622: @2195118
     /* 2195118 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(2195227), // Rule ID 16739 //
     /* 2195123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2195126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2195134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2195137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2195140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195169 */     // MIs[0] round
     /* 2195169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195172 */     // MIs[0] policy
     /* 2195172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195182 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195186 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2195199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195226 */     // GIR_Coverage, 16739,
     /* 2195226 */     GIR_EraseRootFromParent_Done,
     /* 2195227 */   // Label 26623: @2195227
     /* 2195227 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(2195336), // Rule ID 16742 //
     /* 2195232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2195235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2195243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2195246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2195249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2195252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195278 */     // MIs[0] round
     /* 2195278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195281 */     // MIs[0] policy
     /* 2195281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195291 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2195308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195335 */     // GIR_Coverage, 16742,
     /* 2195335 */     GIR_EraseRootFromParent_Done,
     /* 2195336 */   // Label 26624: @2195336
     /* 2195336 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(2195445), // Rule ID 16743 //
     /* 2195341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2195344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2195352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2195355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2195358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2195361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195387 */     // MIs[0] round
     /* 2195387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195390 */     // MIs[0] policy
     /* 2195390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195400 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10912:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2195417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195444 */     // GIR_Coverage, 16743,
     /* 2195444 */     GIR_EraseRootFromParent_Done,
     /* 2195445 */   // Label 26625: @2195445
     /* 2195445 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(2195554), // Rule ID 16746 //
     /* 2195450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2195453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2195467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195496 */     // MIs[0] round
     /* 2195496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195499 */     // MIs[0] policy
     /* 2195499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195509 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2195526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195553 */     // GIR_Coverage, 16746,
     /* 2195553 */     GIR_EraseRootFromParent_Done,
     /* 2195554 */   // Label 26626: @2195554
     /* 2195554 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(2195663), // Rule ID 16747 //
     /* 2195559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2195562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2195576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2195579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195605 */     // MIs[0] round
     /* 2195605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195608 */     // MIs[0] policy
     /* 2195608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195618 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10912:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2195635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195662 */     // GIR_Coverage, 16747,
     /* 2195662 */     GIR_EraseRootFromParent_Done,
     /* 2195663 */   // Label 26627: @2195663
     /* 2195663 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(2195772), // Rule ID 16750 //
     /* 2195668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2195671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2195679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2195682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2195685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2195688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2195710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195714 */     // MIs[0] round
     /* 2195714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195717 */     // MIs[0] policy
     /* 2195717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195727 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2195744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195771 */     // GIR_Coverage, 16750,
     /* 2195771 */     GIR_EraseRootFromParent_Done,
     /* 2195772 */   // Label 26628: @2195772
     /* 2195772 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(2195881), // Rule ID 16751 //
     /* 2195777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2195780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2195788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2195791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2195794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2195797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2195819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195823 */     // MIs[0] round
     /* 2195823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195826 */     // MIs[0] policy
     /* 2195826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195836 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10912:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195840 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2195853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2195877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195880 */     // GIR_Coverage, 16751,
     /* 2195880 */     GIR_EraseRootFromParent_Done,
     /* 2195881 */   // Label 26629: @2195881
     /* 2195881 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(2195990), // Rule ID 16754 //
     /* 2195886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2195889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2195894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2195897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2195900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2195903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2195906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195932 */     // MIs[0] round
     /* 2195932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195935 */     // MIs[0] policy
     /* 2195935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195945 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2195949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2195955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2195959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2195962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2195966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2195976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195989 */     // GIR_Coverage, 16754,
     /* 2195989 */     GIR_EraseRootFromParent_Done,
     /* 2195990 */   // Label 26630: @2195990
     /* 2195990 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(2196099), // Rule ID 16755 //
     /* 2195995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2195998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2196006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2196009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2196012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2196015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196041 */     // MIs[0] round
     /* 2196041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196044 */     // MIs[0] policy
     /* 2196044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196054 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2196071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196098 */     // GIR_Coverage, 16755,
     /* 2196098 */     GIR_EraseRootFromParent_Done,
     /* 2196099 */   // Label 26631: @2196099
     /* 2196099 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(2196208), // Rule ID 16758 //
     /* 2196104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2196115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2196118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2196121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2196124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196150 */     // MIs[0] round
     /* 2196150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196153 */     // MIs[0] policy
     /* 2196153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196163 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2196180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196207 */     // GIR_Coverage, 16758,
     /* 2196207 */     GIR_EraseRootFromParent_Done,
     /* 2196208 */   // Label 26632: @2196208
     /* 2196208 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(2196317), // Rule ID 16759 //
     /* 2196213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2196224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2196227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2196230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2196233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196259 */     // MIs[0] round
     /* 2196259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196262 */     // MIs[0] policy
     /* 2196262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196272 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2196289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196316 */     // GIR_Coverage, 16759,
     /* 2196316 */     GIR_EraseRootFromParent_Done,
     /* 2196317 */   // Label 26633: @2196317
     /* 2196317 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(2196426), // Rule ID 16762 //
     /* 2196322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2196325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2196333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2196336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2196339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2196342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2196345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196368 */     // MIs[0] round
     /* 2196368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196371 */     // MIs[0] policy
     /* 2196371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196381 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2196398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196425 */     // GIR_Coverage, 16762,
     /* 2196425 */     GIR_EraseRootFromParent_Done,
     /* 2196426 */   // Label 26634: @2196426
     /* 2196426 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(2196535), // Rule ID 16763 //
     /* 2196431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2196434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2196442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2196445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2196448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2196451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2196454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2196473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196477 */     // MIs[0] round
     /* 2196477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196480 */     // MIs[0] policy
     /* 2196480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196490 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2196507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196534 */     // GIR_Coverage, 16763,
     /* 2196534 */     GIR_EraseRootFromParent_Done,
     /* 2196535 */   // Label 26635: @2196535
     /* 2196535 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(2196644), // Rule ID 16766 //
     /* 2196540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2196543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2196551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2196554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196586 */     // MIs[0] round
     /* 2196586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196589 */     // MIs[0] policy
     /* 2196589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196599 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2196616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196643 */     // GIR_Coverage, 16766,
     /* 2196643 */     GIR_EraseRootFromParent_Done,
     /* 2196644 */   // Label 26636: @2196644
     /* 2196644 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(2196753), // Rule ID 16767 //
     /* 2196649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2196652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2196660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2196663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2196666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196695 */     // MIs[0] round
     /* 2196695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196698 */     // MIs[0] policy
     /* 2196698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2196725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196752 */     // GIR_Coverage, 16767,
     /* 2196752 */     GIR_EraseRootFromParent_Done,
     /* 2196753 */   // Label 26637: @2196753
     /* 2196753 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(2196862), // Rule ID 16770 //
     /* 2196758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2196761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2196769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2196775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196804 */     // MIs[0] round
     /* 2196804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196807 */     // MIs[0] policy
     /* 2196807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2196834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196861 */     // GIR_Coverage, 16770,
     /* 2196861 */     GIR_EraseRootFromParent_Done,
     /* 2196862 */   // Label 26638: @2196862
     /* 2196862 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(2196971), // Rule ID 16771 //
     /* 2196867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2196870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2196878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2196881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2196884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196913 */     // MIs[0] round
     /* 2196913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196916 */     // MIs[0] policy
     /* 2196916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196926 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2196930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2196936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2196940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2196943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2196947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2196957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196970 */     // GIR_Coverage, 16771,
     /* 2196970 */     GIR_EraseRootFromParent_Done,
     /* 2196971 */   // Label 26639: @2196971
     /* 2196971 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(2197080), // Rule ID 16774 //
     /* 2196976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2196979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2196984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2196987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2196990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2196993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2196996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2196999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197022 */     // MIs[0] round
     /* 2197022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197025 */     // MIs[0] policy
     /* 2197025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197035 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2197052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197079 */     // GIR_Coverage, 16774,
     /* 2197079 */     GIR_EraseRootFromParent_Done,
     /* 2197080 */   // Label 26640: @2197080
     /* 2197080 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(2197189), // Rule ID 16775 //
     /* 2197085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2197088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2197096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2197099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2197102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2197105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2197127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197131 */     // MIs[0] round
     /* 2197131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197134 */     // MIs[0] policy
     /* 2197134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197144 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2197161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197188 */     // GIR_Coverage, 16775,
     /* 2197188 */     GIR_EraseRootFromParent_Done,
     /* 2197189 */   // Label 26641: @2197189
     /* 2197189 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(2197298), // Rule ID 16778 //
     /* 2197194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2197205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2197208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2197211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197240 */     // MIs[0] round
     /* 2197240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197243 */     // MIs[0] policy
     /* 2197243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2197270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197297 */     // GIR_Coverage, 16778,
     /* 2197297 */     GIR_EraseRootFromParent_Done,
     /* 2197298 */   // Label 26642: @2197298
     /* 2197298 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(2197407), // Rule ID 16779 //
     /* 2197303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2197306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2197314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2197317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2197320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197349 */     // MIs[0] round
     /* 2197349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197352 */     // MIs[0] policy
     /* 2197352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197362 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10912:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197366 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2197379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197406 */     // GIR_Coverage, 16779,
     /* 2197406 */     GIR_EraseRootFromParent_Done,
     /* 2197407 */   // Label 26643: @2197407
     /* 2197407 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(2197516), // Rule ID 16782 //
     /* 2197412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2197423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2197426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2197429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197458 */     // MIs[0] round
     /* 2197458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197461 */     // MIs[0] policy
     /* 2197461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197471 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2197488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197515 */     // GIR_Coverage, 16782,
     /* 2197515 */     GIR_EraseRootFromParent_Done,
     /* 2197516 */   // Label 26644: @2197516
     /* 2197516 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(2197625), // Rule ID 16783 //
     /* 2197521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2197524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2197532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2197535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2197538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197567 */     // MIs[0] round
     /* 2197567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197570 */     // MIs[0] policy
     /* 2197570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197580 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10912:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2197597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197624 */     // GIR_Coverage, 16783,
     /* 2197624 */     GIR_EraseRootFromParent_Done,
     /* 2197625 */   // Label 26645: @2197625
     /* 2197625 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(2197734), // Rule ID 16786 //
     /* 2197630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2197633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2197641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2197647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197676 */     // MIs[0] round
     /* 2197676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197679 */     // MIs[0] policy
     /* 2197679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197689 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2197706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197733 */     // GIR_Coverage, 16786,
     /* 2197733 */     GIR_EraseRootFromParent_Done,
     /* 2197734 */   // Label 26646: @2197734
     /* 2197734 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(2197843), // Rule ID 16787 //
     /* 2197739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2197742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2197747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2197750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2197756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2197759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2197781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197785 */     // MIs[0] round
     /* 2197785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197788 */     // MIs[0] policy
     /* 2197788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197798 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10912:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2197815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2197839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197842 */     // GIR_Coverage, 16787,
     /* 2197842 */     GIR_EraseRootFromParent_Done,
     /* 2197843 */   // Label 26647: @2197843
     /* 2197843 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(2197952), // Rule ID 16790 //
     /* 2197848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2197851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2197856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2197859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2197862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2197865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2197868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197894 */     // MIs[0] round
     /* 2197894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197897 */     // MIs[0] policy
     /* 2197897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197907 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2197911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2197917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2197921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2197924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2197928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2197938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197951 */     // GIR_Coverage, 16790,
     /* 2197951 */     GIR_EraseRootFromParent_Done,
     /* 2197952 */   // Label 26648: @2197952
     /* 2197952 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(2198061), // Rule ID 16791 //
     /* 2197957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2197960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2197965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2197968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2197971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2197974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2197977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2197999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198003 */     // MIs[0] round
     /* 2198003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198006 */     // MIs[0] policy
     /* 2198006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198016 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198020 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2198033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198041 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198060 */     // GIR_Coverage, 16791,
     /* 2198060 */     GIR_EraseRootFromParent_Done,
     /* 2198061 */   // Label 26649: @2198061
     /* 2198061 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(2198170), // Rule ID 16794 //
     /* 2198066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2198077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2198080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2198083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2198086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198112 */     // MIs[0] round
     /* 2198112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198115 */     // MIs[0] policy
     /* 2198115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198125 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2198142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198169 */     // GIR_Coverage, 16794,
     /* 2198169 */     GIR_EraseRootFromParent_Done,
     /* 2198170 */   // Label 26650: @2198170
     /* 2198170 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(2198279), // Rule ID 16795 //
     /* 2198175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2198186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2198189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2198192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2198195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198221 */     // MIs[0] round
     /* 2198221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198224 */     // MIs[0] policy
     /* 2198224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198234 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198238 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198244 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2198251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198259 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198278 */     // GIR_Coverage, 16795,
     /* 2198278 */     GIR_EraseRootFromParent_Done,
     /* 2198279 */   // Label 26651: @2198279
     /* 2198279 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(2198388), // Rule ID 16798 //
     /* 2198284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2198287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2198301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198330 */     // MIs[0] round
     /* 2198330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198333 */     // MIs[0] policy
     /* 2198333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198343 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198347 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198353 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2198360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198368 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198387 */     // GIR_Coverage, 16798,
     /* 2198387 */     GIR_EraseRootFromParent_Done,
     /* 2198388 */   // Label 26652: @2198388
     /* 2198388 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(2198497), // Rule ID 16799 //
     /* 2198393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2198396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2198410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198439 */     // MIs[0] round
     /* 2198439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198442 */     // MIs[0] policy
     /* 2198442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198452 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198456 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198462 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2198469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198496 */     // GIR_Coverage, 16799,
     /* 2198496 */     GIR_EraseRootFromParent_Done,
     /* 2198497 */   // Label 26653: @2198497
     /* 2198497 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(2198606), // Rule ID 16802 //
     /* 2198502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2198505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2198513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2198516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2198519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2198522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198548 */     // MIs[0] round
     /* 2198548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198551 */     // MIs[0] policy
     /* 2198551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198561 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2198578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198586 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198605 */     // GIR_Coverage, 16802,
     /* 2198605 */     GIR_EraseRootFromParent_Done,
     /* 2198606 */   // Label 26654: @2198606
     /* 2198606 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(2198715), // Rule ID 16803 //
     /* 2198611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2198614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2198622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2198625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2198628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2198631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198657 */     // MIs[0] round
     /* 2198657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198660 */     // MIs[0] policy
     /* 2198660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198670 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10898:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198674 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198680 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2198687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198695 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198714 */     // GIR_Coverage, 16803,
     /* 2198714 */     GIR_EraseRootFromParent_Done,
     /* 2198715 */   // Label 26655: @2198715
     /* 2198715 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(2198824), // Rule ID 16806 //
     /* 2198720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2198723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2198731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2198734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2198737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198766 */     // MIs[0] round
     /* 2198766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198769 */     // MIs[0] policy
     /* 2198769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198779 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198783 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198789 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2198796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198823 */     // GIR_Coverage, 16806,
     /* 2198823 */     GIR_EraseRootFromParent_Done,
     /* 2198824 */   // Label 26656: @2198824
     /* 2198824 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(2198933), // Rule ID 16807 //
     /* 2198829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2198832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2198840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2198843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2198846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2198849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2198871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198875 */     // MIs[0] round
     /* 2198875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198878 */     // MIs[0] policy
     /* 2198878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198888 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10898:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2198892 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2198898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2198902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2198905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2198909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2198919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198932 */     // GIR_Coverage, 16807,
     /* 2198932 */     GIR_EraseRootFromParent_Done,
     /* 2198933 */   // Label 26657: @2198933
     /* 2198933 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(2199042), // Rule ID 16810 //
     /* 2198938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2198941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2198946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2198949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2198952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2198955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2198958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2198980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198984 */     // MIs[0] round
     /* 2198984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198987 */     // MIs[0] policy
     /* 2198987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198997 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199001 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2199014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199022 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199041 */     // GIR_Coverage, 16810,
     /* 2199041 */     GIR_EraseRootFromParent_Done,
     /* 2199042 */   // Label 26658: @2199042
     /* 2199042 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(2199151), // Rule ID 16811 //
     /* 2199047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2199050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2199058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2199061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2199064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2199067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2199089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199093 */     // MIs[0] round
     /* 2199093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199096 */     // MIs[0] policy
     /* 2199096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199106 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10898:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199110 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199116 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2199123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199131 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2199147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199150 */     // GIR_Coverage, 16811,
     /* 2199150 */     GIR_EraseRootFromParent_Done,
     /* 2199151 */   // Label 26659: @2199151
     /* 2199151 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(2199260), // Rule ID 16814 //
     /* 2199156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2199159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2199167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2199170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199202 */     // MIs[0] round
     /* 2199202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199205 */     // MIs[0] policy
     /* 2199205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199215 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199219 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199225 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2199232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199240 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199259 */     // GIR_Coverage, 16814,
     /* 2199259 */     GIR_EraseRootFromParent_Done,
     /* 2199260 */   // Label 26660: @2199260
     /* 2199260 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(2199369), // Rule ID 16815 //
     /* 2199265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2199268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2199276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2199279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2199282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199311 */     // MIs[0] round
     /* 2199311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199314 */     // MIs[0] policy
     /* 2199314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199324 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199328 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199334 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2199341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199349 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199368 */     // GIR_Coverage, 16815,
     /* 2199368 */     GIR_EraseRootFromParent_Done,
     /* 2199369 */   // Label 26661: @2199369
     /* 2199369 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(2199478), // Rule ID 16818 //
     /* 2199374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2199377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2199385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2199388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199420 */     // MIs[0] round
     /* 2199420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199423 */     // MIs[0] policy
     /* 2199423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199433 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2199450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199458 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199477 */     // GIR_Coverage, 16818,
     /* 2199477 */     GIR_EraseRootFromParent_Done,
     /* 2199478 */   // Label 26662: @2199478
     /* 2199478 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(2199587), // Rule ID 16819 //
     /* 2199483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2199486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2199494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2199497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2199500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2199506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199529 */     // MIs[0] round
     /* 2199529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199532 */     // MIs[0] policy
     /* 2199532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199542 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199546 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199552 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2199559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199567 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199586 */     // GIR_Coverage, 16819,
     /* 2199586 */     GIR_EraseRootFromParent_Done,
     /* 2199587 */   // Label 26663: @2199587
     /* 2199587 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(2199696), // Rule ID 16822 //
     /* 2199592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2199595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2199603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2199606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2199609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2199615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199638 */     // MIs[0] round
     /* 2199638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199641 */     // MIs[0] policy
     /* 2199641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199651 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2199668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199676 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199695 */     // GIR_Coverage, 16822,
     /* 2199695 */     GIR_EraseRootFromParent_Done,
     /* 2199696 */   // Label 26664: @2199696
     /* 2199696 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(2199805), // Rule ID 16823 //
     /* 2199701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2199704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2199712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2199715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2199718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2199721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2199724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2199743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199747 */     // MIs[0] round
     /* 2199747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199750 */     // MIs[0] policy
     /* 2199750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199760 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199764 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199770 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2199777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199785 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199804 */     // GIR_Coverage, 16823,
     /* 2199804 */     GIR_EraseRootFromParent_Done,
     /* 2199805 */   // Label 26665: @2199805
     /* 2199805 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(2199914), // Rule ID 16826 //
     /* 2199810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2199813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2199821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2199824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2199827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199856 */     // MIs[0] round
     /* 2199856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199859 */     // MIs[0] policy
     /* 2199859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199869 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199873 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199879 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2199886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199894 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2199900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199913 */     // GIR_Coverage, 16826,
     /* 2199913 */     GIR_EraseRootFromParent_Done,
     /* 2199914 */   // Label 26666: @2199914
     /* 2199914 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(2200023), // Rule ID 16827 //
     /* 2199919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2199922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2199927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2199930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2199933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2199936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2199939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199965 */     // MIs[0] round
     /* 2199965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199968 */     // MIs[0] policy
     /* 2199968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2199982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2199988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2199992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2199995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2199999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200022 */     // GIR_Coverage, 16827,
     /* 2200022 */     GIR_EraseRootFromParent_Done,
     /* 2200023 */   // Label 26667: @2200023
     /* 2200023 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(2200132), // Rule ID 16830 //
     /* 2200028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2200031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2200039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2200042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2200045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200074 */     // MIs[0] round
     /* 2200074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200077 */     // MIs[0] policy
     /* 2200077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200087 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2200104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200131 */     // GIR_Coverage, 16830,
     /* 2200131 */     GIR_EraseRootFromParent_Done,
     /* 2200132 */   // Label 26668: @2200132
     /* 2200132 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(2200241), // Rule ID 16831 //
     /* 2200137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2200140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2200148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2200151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2200154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200183 */     // MIs[0] round
     /* 2200183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200186 */     // MIs[0] policy
     /* 2200186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200196 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200200 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2200213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200221 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200240 */     // GIR_Coverage, 16831,
     /* 2200240 */     GIR_EraseRootFromParent_Done,
     /* 2200241 */   // Label 26669: @2200241
     /* 2200241 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(2200350), // Rule ID 16834 //
     /* 2200246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2200249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2200257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2200260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2200263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200292 */     // MIs[0] round
     /* 2200292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200295 */     // MIs[0] policy
     /* 2200295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200305 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2200322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200330 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200349 */     // GIR_Coverage, 16834,
     /* 2200349 */     GIR_EraseRootFromParent_Done,
     /* 2200350 */   // Label 26670: @2200350
     /* 2200350 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(2200459), // Rule ID 16835 //
     /* 2200355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2200358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2200366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2200369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2200372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2200375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2200397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200401 */     // MIs[0] round
     /* 2200401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200404 */     // MIs[0] policy
     /* 2200404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200414 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200418 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200424 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2200431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200439 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200458 */     // GIR_Coverage, 16835,
     /* 2200458 */     GIR_EraseRootFromParent_Done,
     /* 2200459 */   // Label 26671: @2200459
     /* 2200459 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(2200568), // Rule ID 16838 //
     /* 2200464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2200467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2200475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2200478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2200481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2200484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2200506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200510 */     // MIs[0] round
     /* 2200510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200513 */     // MIs[0] policy
     /* 2200513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200523 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2200540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200548 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200567 */     // GIR_Coverage, 16838,
     /* 2200567 */     GIR_EraseRootFromParent_Done,
     /* 2200568 */   // Label 26672: @2200568
     /* 2200568 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(2200677), // Rule ID 16839 //
     /* 2200573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2200576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2200584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2200587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2200590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2200593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2200615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200619 */     // MIs[0] round
     /* 2200619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200622 */     // MIs[0] policy
     /* 2200622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200632 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10898:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200636 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2200649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200657 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200676 */     // GIR_Coverage, 16839,
     /* 2200676 */     GIR_EraseRootFromParent_Done,
     /* 2200677 */   // Label 26673: @2200677
     /* 2200677 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(2200786), // Rule ID 16842 //
     /* 2200682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2200685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2200693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2200696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2200699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2200702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2200724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200728 */     // MIs[0] round
     /* 2200728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200731 */     // MIs[0] policy
     /* 2200731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200741 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2200758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200766 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200785 */     // GIR_Coverage, 16842,
     /* 2200785 */     GIR_EraseRootFromParent_Done,
     /* 2200786 */   // Label 26674: @2200786
     /* 2200786 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(2200895), // Rule ID 16843 //
     /* 2200791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2200794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2200802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2200805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2200808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2200811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2200833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200837 */     // MIs[0] round
     /* 2200837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200840 */     // MIs[0] policy
     /* 2200840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200850 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10898:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2200867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200875 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2200891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200894 */     // GIR_Coverage, 16843,
     /* 2200894 */     GIR_EraseRootFromParent_Done,
     /* 2200895 */   // Label 26675: @2200895
     /* 2200895 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(2201004), // Rule ID 16846 //
     /* 2200900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2200903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2200908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2200911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2200914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2200917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2200920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2200942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200946 */     // MIs[0] round
     /* 2200946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200949 */     // MIs[0] policy
     /* 2200949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200959 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2200963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2200969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2200973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2200976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2200980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200984 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2200990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201003 */     // GIR_Coverage, 16846,
     /* 2201003 */     GIR_EraseRootFromParent_Done,
     /* 2201004 */   // Label 26676: @2201004
     /* 2201004 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(2201113), // Rule ID 16847 //
     /* 2201009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2201012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2201017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2201020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2201023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2201026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2201029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2201051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201055 */     // MIs[0] round
     /* 2201055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201058 */     // MIs[0] policy
     /* 2201058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201068 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10898:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2201085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2201109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201112 */     // GIR_Coverage, 16847,
     /* 2201112 */     GIR_EraseRootFromParent_Done,
     /* 2201113 */   // Label 26677: @2201113
     /* 2201113 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(2201222), // Rule ID 16850 //
     /* 2201118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2201129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2201132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2201135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2201138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201164 */     // MIs[0] round
     /* 2201164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201167 */     // MIs[0] policy
     /* 2201167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201177 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2201194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201221 */     // GIR_Coverage, 16850,
     /* 2201221 */     GIR_EraseRootFromParent_Done,
     /* 2201222 */   // Label 26678: @2201222
     /* 2201222 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(2201331), // Rule ID 16851 //
     /* 2201227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2201238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2201241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2201244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2201247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201273 */     // MIs[0] round
     /* 2201273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201276 */     // MIs[0] policy
     /* 2201276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201286 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201290 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201296 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2201303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201311 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201330 */     // GIR_Coverage, 16851,
     /* 2201330 */     GIR_EraseRootFromParent_Done,
     /* 2201331 */   // Label 26679: @2201331
     /* 2201331 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(2201440), // Rule ID 16854 //
     /* 2201336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2201347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2201353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2201356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201382 */     // MIs[0] round
     /* 2201382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201385 */     // MIs[0] policy
     /* 2201385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201395 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201399 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201405 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2201412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201439 */     // GIR_Coverage, 16854,
     /* 2201439 */     GIR_EraseRootFromParent_Done,
     /* 2201440 */   // Label 26680: @2201440
     /* 2201440 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(2201549), // Rule ID 16855 //
     /* 2201445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2201456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2201462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2201465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201491 */     // MIs[0] round
     /* 2201491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201494 */     // MIs[0] policy
     /* 2201494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2201521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201529 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201548 */     // GIR_Coverage, 16855,
     /* 2201548 */     GIR_EraseRootFromParent_Done,
     /* 2201549 */   // Label 26681: @2201549
     /* 2201549 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(2201658), // Rule ID 16858 //
     /* 2201554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2201565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2201568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2201571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2201574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201600 */     // MIs[0] round
     /* 2201600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201603 */     // MIs[0] policy
     /* 2201603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201613 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2201630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201638 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201657 */     // GIR_Coverage, 16858,
     /* 2201657 */     GIR_EraseRootFromParent_Done,
     /* 2201658 */   // Label 26682: @2201658
     /* 2201658 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(2201767), // Rule ID 16859 //
     /* 2201663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2201674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2201677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2201680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2201683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201709 */     // MIs[0] round
     /* 2201709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201712 */     // MIs[0] policy
     /* 2201712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201722 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201726 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201732 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2201739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201747 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201766 */     // GIR_Coverage, 16859,
     /* 2201766 */     GIR_EraseRootFromParent_Done,
     /* 2201767 */   // Label 26683: @2201767
     /* 2201767 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(2201876), // Rule ID 16862 //
     /* 2201772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2201783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2201786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2201789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2201792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201818 */     // MIs[0] round
     /* 2201818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201821 */     // MIs[0] policy
     /* 2201821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201831 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201835 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201841 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2201848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201856 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201875 */     // GIR_Coverage, 16862,
     /* 2201875 */     GIR_EraseRootFromParent_Done,
     /* 2201876 */   // Label 26684: @2201876
     /* 2201876 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(2201985), // Rule ID 16863 //
     /* 2201881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2201892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2201895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2201898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2201901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201927 */     // MIs[0] round
     /* 2201927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201930 */     // MIs[0] policy
     /* 2201930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201940 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2201944 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2201950 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2201954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2201957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2201961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201965 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2201971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201984 */     // GIR_Coverage, 16863,
     /* 2201984 */     GIR_EraseRootFromParent_Done,
     /* 2201985 */   // Label 26685: @2201985
     /* 2201985 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(2202094), // Rule ID 16866 //
     /* 2201990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2201998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2202001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2202004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2202007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2202010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202036 */     // MIs[0] round
     /* 2202036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202039 */     // MIs[0] policy
     /* 2202039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202049 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2202066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202093 */     // GIR_Coverage, 16866,
     /* 2202093 */     GIR_EraseRootFromParent_Done,
     /* 2202094 */   // Label 26686: @2202094
     /* 2202094 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(2202203), // Rule ID 16867 //
     /* 2202099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2202102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2202110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2202113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2202116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2202119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202145 */     // MIs[0] round
     /* 2202145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202148 */     // MIs[0] policy
     /* 2202148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2202175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202202 */     // GIR_Coverage, 16867,
     /* 2202202 */     GIR_EraseRootFromParent_Done,
     /* 2202203 */   // Label 26687: @2202203
     /* 2202203 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(2202312), // Rule ID 16870 //
     /* 2202208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2202219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2202222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2202225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2202228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202254 */     // MIs[0] round
     /* 2202254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202257 */     // MIs[0] policy
     /* 2202257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202267 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202271 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202277 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2202284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202292 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202311 */     // GIR_Coverage, 16870,
     /* 2202311 */     GIR_EraseRootFromParent_Done,
     /* 2202312 */   // Label 26688: @2202312
     /* 2202312 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(2202421), // Rule ID 16871 //
     /* 2202317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2202328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2202331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2202334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2202337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202363 */     // MIs[0] round
     /* 2202363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202366 */     // MIs[0] policy
     /* 2202366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202376 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202380 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202386 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2202393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202401 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202420 */     // GIR_Coverage, 16871,
     /* 2202420 */     GIR_EraseRootFromParent_Done,
     /* 2202421 */   // Label 26689: @2202421
     /* 2202421 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(2202530), // Rule ID 16874 //
     /* 2202426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2202437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2202440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2202443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2202446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202472 */     // MIs[0] round
     /* 2202472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202475 */     // MIs[0] policy
     /* 2202475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202485 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202489 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2202502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202510 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202529 */     // GIR_Coverage, 16874,
     /* 2202529 */     GIR_EraseRootFromParent_Done,
     /* 2202530 */   // Label 26690: @2202530
     /* 2202530 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(2202639), // Rule ID 16875 //
     /* 2202535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2202546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2202549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2202552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2202555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202581 */     // MIs[0] round
     /* 2202581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202584 */     // MIs[0] policy
     /* 2202584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202594 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202598 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2202611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202638 */     // GIR_Coverage, 16875,
     /* 2202638 */     GIR_EraseRootFromParent_Done,
     /* 2202639 */   // Label 26691: @2202639
     /* 2202639 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(2202748), // Rule ID 16878 //
     /* 2202644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2202655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2202658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2202661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2202664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2202674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202690 */     // MIs[0] round
     /* 2202690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202693 */     // MIs[0] policy
     /* 2202693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202703 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2202720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202728 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202747 */     // GIR_Coverage, 16878,
     /* 2202747 */     GIR_EraseRootFromParent_Done,
     /* 2202748 */   // Label 26692: @2202748
     /* 2202748 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(2202857), // Rule ID 16879 //
     /* 2202753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2202764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2202767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2202770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2202773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2202783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202799 */     // MIs[0] round
     /* 2202799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202802 */     // MIs[0] policy
     /* 2202802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202812 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202816 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202822 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2202829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202856 */     // GIR_Coverage, 16879,
     /* 2202856 */     GIR_EraseRootFromParent_Done,
     /* 2202857 */   // Label 26693: @2202857
     /* 2202857 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(2202966), // Rule ID 16882 //
     /* 2202862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2202873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2202879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2202882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202908 */     // MIs[0] round
     /* 2202908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202911 */     // MIs[0] policy
     /* 2202911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202921 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2202925 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2202931 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2202935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2202938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2202942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202946 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2202952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202965 */     // GIR_Coverage, 16882,
     /* 2202965 */     GIR_EraseRootFromParent_Done,
     /* 2202966 */   // Label 26694: @2202966
     /* 2202966 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(2203075), // Rule ID 16883 //
     /* 2202971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2202979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2202982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2202988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2202991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2203001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203017 */     // MIs[0] round
     /* 2203017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203020 */     // MIs[0] policy
     /* 2203020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203030 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203034 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2203047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203074 */     // GIR_Coverage, 16883,
     /* 2203074 */     GIR_EraseRootFromParent_Done,
     /* 2203075 */   // Label 26695: @2203075
     /* 2203075 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(2203184), // Rule ID 16886 //
     /* 2203080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2203091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2203094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2203097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203126 */     // MIs[0] round
     /* 2203126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203129 */     // MIs[0] policy
     /* 2203129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203139 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203143 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203149 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2203156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203164 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203183 */     // GIR_Coverage, 16886,
     /* 2203183 */     GIR_EraseRootFromParent_Done,
     /* 2203184 */   // Label 26696: @2203184
     /* 2203184 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(2203293), // Rule ID 16887 //
     /* 2203189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2203200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2203203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2203206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203235 */     // MIs[0] round
     /* 2203235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203238 */     // MIs[0] policy
     /* 2203238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203248 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2203265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203292 */     // GIR_Coverage, 16887,
     /* 2203292 */     GIR_EraseRootFromParent_Done,
     /* 2203293 */   // Label 26697: @2203293
     /* 2203293 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(2203402), // Rule ID 16890 //
     /* 2203298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2203309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2203312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2203315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203344 */     // MIs[0] round
     /* 2203344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203347 */     // MIs[0] policy
     /* 2203347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203357 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203361 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203367 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2203374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203382 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203401 */     // GIR_Coverage, 16890,
     /* 2203401 */     GIR_EraseRootFromParent_Done,
     /* 2203402 */   // Label 26698: @2203402
     /* 2203402 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(2203511), // Rule ID 16891 //
     /* 2203407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2203418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2203421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2203424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203453 */     // MIs[0] round
     /* 2203453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203456 */     // MIs[0] policy
     /* 2203456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203466 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10914:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203470 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2203483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203510 */     // GIR_Coverage, 16891,
     /* 2203510 */     GIR_EraseRootFromParent_Done,
     /* 2203511 */   // Label 26699: @2203511
     /* 2203511 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(2203620), // Rule ID 16894 //
     /* 2203516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2203527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2203530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2203533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203562 */     // MIs[0] round
     /* 2203562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203565 */     // MIs[0] policy
     /* 2203565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203575 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203579 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203585 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2203592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203600 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203619 */     // GIR_Coverage, 16894,
     /* 2203619 */     GIR_EraseRootFromParent_Done,
     /* 2203620 */   // Label 26700: @2203620
     /* 2203620 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(2203729), // Rule ID 16895 //
     /* 2203625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2203636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2203639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2203642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203671 */     // MIs[0] round
     /* 2203671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203674 */     // MIs[0] policy
     /* 2203674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203684 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203688 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203694 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2203701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203728 */     // GIR_Coverage, 16895,
     /* 2203728 */     GIR_EraseRootFromParent_Done,
     /* 2203729 */   // Label 26701: @2203729
     /* 2203729 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(2203838), // Rule ID 16898 //
     /* 2203734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2203745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2203748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2203751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2203764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203780 */     // MIs[0] round
     /* 2203780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203783 */     // MIs[0] policy
     /* 2203783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203793 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203797 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203803 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2203810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203818 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203837 */     // GIR_Coverage, 16898,
     /* 2203837 */     GIR_EraseRootFromParent_Done,
     /* 2203838 */   // Label 26702: @2203838
     /* 2203838 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(2203947), // Rule ID 16899 //
     /* 2203843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2203854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2203857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2203860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2203873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203889 */     // MIs[0] round
     /* 2203889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203892 */     // MIs[0] policy
     /* 2203892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203902 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2203906 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2203912 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2203916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2203919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2203923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2203933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203946 */     // GIR_Coverage, 16899,
     /* 2203946 */     GIR_EraseRootFromParent_Done,
     /* 2203947 */   // Label 26703: @2203947
     /* 2203947 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(2204056), // Rule ID 16902 //
     /* 2203952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2203960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2203963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2203966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2203969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2203972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2203975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2203982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2203994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203998 */     // MIs[0] round
     /* 2203998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204001 */     // MIs[0] policy
     /* 2204001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204011 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204015 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204021 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2204028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204036 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204055 */     // GIR_Coverage, 16902,
     /* 2204055 */     GIR_EraseRootFromParent_Done,
     /* 2204056 */   // Label 26704: @2204056
     /* 2204056 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(2204165), // Rule ID 16903 //
     /* 2204061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2204064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2204072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2204075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2204078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2204081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2204084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2204103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204107 */     // MIs[0] round
     /* 2204107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204110 */     // MIs[0] policy
     /* 2204110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204120 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2204137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204145 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204164 */     // GIR_Coverage, 16903,
     /* 2204164 */     GIR_EraseRootFromParent_Done,
     /* 2204165 */   // Label 26705: @2204165
     /* 2204165 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(2204274), // Rule ID 16906 //
     /* 2204170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2204181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2204184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2204187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204216 */     // MIs[0] round
     /* 2204216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204219 */     // MIs[0] policy
     /* 2204219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204229 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204233 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204239 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2204246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204254 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204273 */     // GIR_Coverage, 16906,
     /* 2204273 */     GIR_EraseRootFromParent_Done,
     /* 2204274 */   // Label 26706: @2204274
     /* 2204274 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(2204383), // Rule ID 16907 //
     /* 2204279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2204290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2204293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2204296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204325 */     // MIs[0] round
     /* 2204325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204328 */     // MIs[0] policy
     /* 2204328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204338 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10914:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2204355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204382 */     // GIR_Coverage, 16907,
     /* 2204382 */     GIR_EraseRootFromParent_Done,
     /* 2204383 */   // Label 26707: @2204383
     /* 2204383 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(2204492), // Rule ID 16910 //
     /* 2204388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2204399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2204402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2204405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204434 */     // MIs[0] round
     /* 2204434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204437 */     // MIs[0] policy
     /* 2204437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204447 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204451 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204457 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2204464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204472 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204491 */     // GIR_Coverage, 16910,
     /* 2204491 */     GIR_EraseRootFromParent_Done,
     /* 2204492 */   // Label 26708: @2204492
     /* 2204492 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(2204601), // Rule ID 16911 //
     /* 2204497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2204508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2204511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2204514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204543 */     // MIs[0] round
     /* 2204543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204546 */     // MIs[0] policy
     /* 2204546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204556 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10914:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2204573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204600 */     // GIR_Coverage, 16911,
     /* 2204600 */     GIR_EraseRootFromParent_Done,
     /* 2204601 */   // Label 26709: @2204601
     /* 2204601 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(2204710), // Rule ID 16914 //
     /* 2204606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2204617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2204620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2204623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204652 */     // MIs[0] round
     /* 2204652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204655 */     // MIs[0] policy
     /* 2204655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204665 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204669 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204675 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2204682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204690 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204709 */     // GIR_Coverage, 16914,
     /* 2204709 */     GIR_EraseRootFromParent_Done,
     /* 2204710 */   // Label 26710: @2204710
     /* 2204710 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(2204819), // Rule ID 16915 //
     /* 2204715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2204726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2204729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2204732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204761 */     // MIs[0] round
     /* 2204761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204764 */     // MIs[0] policy
     /* 2204764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204774 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10914:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2204791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204799 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204818 */     // GIR_Coverage, 16915,
     /* 2204818 */     GIR_EraseRootFromParent_Done,
     /* 2204819 */   // Label 26711: @2204819
     /* 2204819 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(2204928), // Rule ID 16918 //
     /* 2204824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2204835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2204838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2204841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204870 */     // MIs[0] round
     /* 2204870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204873 */     // MIs[0] policy
     /* 2204873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204883 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204887 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2204893 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2204897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2204900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2204904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204908 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2204914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204927 */     // GIR_Coverage, 16918,
     /* 2204927 */     GIR_EraseRootFromParent_Done,
     /* 2204928 */   // Label 26712: @2204928
     /* 2204928 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(2205037), // Rule ID 16919 //
     /* 2204933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2204941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2204944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2204947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2204950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2204953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2204975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204979 */     // MIs[0] round
     /* 2204979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204982 */     // MIs[0] policy
     /* 2204982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10914:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2204996 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205002 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2205009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205017 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205036 */     // GIR_Coverage, 16919,
     /* 2205036 */     GIR_EraseRootFromParent_Done,
     /* 2205037 */   // Label 26713: @2205037
     /* 2205037 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(2205146), // Rule ID 16922 //
     /* 2205042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2205053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2205056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2205059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2205062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205088 */     // MIs[0] round
     /* 2205088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205091 */     // MIs[0] policy
     /* 2205091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205101 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205105 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205111 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2205118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205145 */     // GIR_Coverage, 16922,
     /* 2205145 */     GIR_EraseRootFromParent_Done,
     /* 2205146 */   // Label 26714: @2205146
     /* 2205146 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(2205255), // Rule ID 16923 //
     /* 2205151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2205162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2205165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2205168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2205171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205197 */     // MIs[0] round
     /* 2205197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205200 */     // MIs[0] policy
     /* 2205200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205210 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205214 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205220 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2205227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205235 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205254 */     // GIR_Coverage, 16923,
     /* 2205254 */     GIR_EraseRootFromParent_Done,
     /* 2205255 */   // Label 26715: @2205255
     /* 2205255 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(2205364), // Rule ID 16926 //
     /* 2205260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2205271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2205274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2205277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2205280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205306 */     // MIs[0] round
     /* 2205306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205309 */     // MIs[0] policy
     /* 2205309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205319 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205323 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205329 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2205336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205344 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205363 */     // GIR_Coverage, 16926,
     /* 2205363 */     GIR_EraseRootFromParent_Done,
     /* 2205364 */   // Label 26716: @2205364
     /* 2205364 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(2205473), // Rule ID 16927 //
     /* 2205369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2205380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2205383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2205386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2205389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205415 */     // MIs[0] round
     /* 2205415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205418 */     // MIs[0] policy
     /* 2205418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205432 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2205445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205453 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205472 */     // GIR_Coverage, 16927,
     /* 2205472 */     GIR_EraseRootFromParent_Done,
     /* 2205473 */   // Label 26717: @2205473
     /* 2205473 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(2205582), // Rule ID 16930 //
     /* 2205478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2205489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2205492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2205495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2205498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205524 */     // MIs[0] round
     /* 2205524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205527 */     // MIs[0] policy
     /* 2205527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205537 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205541 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2205554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205562 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205581 */     // GIR_Coverage, 16930,
     /* 2205581 */     GIR_EraseRootFromParent_Done,
     /* 2205582 */   // Label 26718: @2205582
     /* 2205582 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(2205691), // Rule ID 16931 //
     /* 2205587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2205598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2205601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2205604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2205607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205633 */     // MIs[0] round
     /* 2205633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205636 */     // MIs[0] policy
     /* 2205636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205646 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205650 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205656 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2205663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205690 */     // GIR_Coverage, 16931,
     /* 2205690 */     GIR_EraseRootFromParent_Done,
     /* 2205691 */   // Label 26719: @2205691
     /* 2205691 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(2205800), // Rule ID 16934 //
     /* 2205696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2205707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2205710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2205713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2205716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205742 */     // MIs[0] round
     /* 2205742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205745 */     // MIs[0] policy
     /* 2205745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205755 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205759 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205765 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2205772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205799 */     // GIR_Coverage, 16934,
     /* 2205799 */     GIR_EraseRootFromParent_Done,
     /* 2205800 */   // Label 26720: @2205800
     /* 2205800 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(2205909), // Rule ID 16935 //
     /* 2205805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2205816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2205819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2205822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2205825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205851 */     // MIs[0] round
     /* 2205851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205854 */     // MIs[0] policy
     /* 2205854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205868 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205874 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2205881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205889 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2205895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205908 */     // GIR_Coverage, 16935,
     /* 2205908 */     GIR_EraseRootFromParent_Done,
     /* 2205909 */   // Label 26721: @2205909
     /* 2205909 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(2206018), // Rule ID 16938 //
     /* 2205914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2205922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2205925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2205928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2205931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2205934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2205937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2205944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205960 */     // MIs[0] round
     /* 2205960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205963 */     // MIs[0] policy
     /* 2205963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205973 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2205977 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2205983 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2205987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2205990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2205994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205998 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206017 */     // GIR_Coverage, 16938,
     /* 2206017 */     GIR_EraseRootFromParent_Done,
     /* 2206018 */   // Label 26722: @2206018
     /* 2206018 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(2206127), // Rule ID 16939 //
     /* 2206023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2206026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2206034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2206037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2206040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2206043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2206046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206069 */     // MIs[0] round
     /* 2206069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206072 */     // MIs[0] policy
     /* 2206072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206082 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206086 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206092 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2206099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206107 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2206123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206126 */     // GIR_Coverage, 16939,
     /* 2206126 */     GIR_EraseRootFromParent_Done,
     /* 2206127 */   // Label 26723: @2206127
     /* 2206127 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(2206236), // Rule ID 16942 //
     /* 2206132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2206143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2206149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2206152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2206155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206178 */     // MIs[0] round
     /* 2206178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206181 */     // MIs[0] policy
     /* 2206181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206191 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2206208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206235 */     // GIR_Coverage, 16942,
     /* 2206235 */     GIR_EraseRootFromParent_Done,
     /* 2206236 */   // Label 26724: @2206236
     /* 2206236 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(2206345), // Rule ID 16943 //
     /* 2206241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2206252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2206255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2206258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2206261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2206264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206287 */     // MIs[0] round
     /* 2206287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206290 */     // MIs[0] policy
     /* 2206290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206300 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206304 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2206317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206325 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206344 */     // GIR_Coverage, 16943,
     /* 2206344 */     GIR_EraseRootFromParent_Done,
     /* 2206345 */   // Label 26725: @2206345
     /* 2206345 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(2206454), // Rule ID 16946 //
     /* 2206350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2206361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2206364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2206367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2206370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2206373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2206380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206396 */     // MIs[0] round
     /* 2206396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206399 */     // MIs[0] policy
     /* 2206399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206409 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2206426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206434 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206453 */     // GIR_Coverage, 16946,
     /* 2206453 */     GIR_EraseRootFromParent_Done,
     /* 2206454 */   // Label 26726: @2206454
     /* 2206454 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(2206563), // Rule ID 16947 //
     /* 2206459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2206470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2206473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2206476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2206479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2206482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2206489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206505 */     // MIs[0] round
     /* 2206505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206508 */     // MIs[0] policy
     /* 2206508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206518 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206522 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206528 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2206535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206543 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206562 */     // GIR_Coverage, 16947,
     /* 2206562 */     GIR_EraseRootFromParent_Done,
     /* 2206563 */   // Label 26727: @2206563
     /* 2206563 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(2206672), // Rule ID 16950 //
     /* 2206568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2206579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2206582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2206585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2206588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2206591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2206598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206614 */     // MIs[0] round
     /* 2206614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206617 */     // MIs[0] policy
     /* 2206617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206627 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2206644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206652 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206671 */     // GIR_Coverage, 16950,
     /* 2206671 */     GIR_EraseRootFromParent_Done,
     /* 2206672 */   // Label 26728: @2206672
     /* 2206672 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(2206781), // Rule ID 16951 //
     /* 2206677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2206688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2206691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2206694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2206697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2206700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2206707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206723 */     // MIs[0] round
     /* 2206723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206726 */     // MIs[0] policy
     /* 2206726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206740 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2206753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206761 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206780 */     // GIR_Coverage, 16951,
     /* 2206780 */     GIR_EraseRootFromParent_Done,
     /* 2206781 */   // Label 26729: @2206781
     /* 2206781 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(2206890), // Rule ID 16954 //
     /* 2206786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2206797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2206800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2206803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2206806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206832 */     // MIs[0] round
     /* 2206832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206835 */     // MIs[0] policy
     /* 2206835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206845 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206849 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206855 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2206862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206870 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206889 */     // GIR_Coverage, 16954,
     /* 2206889 */     GIR_EraseRootFromParent_Done,
     /* 2206890 */   // Label 26730: @2206890
     /* 2206890 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(2206999), // Rule ID 16955 //
     /* 2206895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2206903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2206906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2206909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2206912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2206915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206941 */     // MIs[0] round
     /* 2206941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206944 */     // MIs[0] policy
     /* 2206944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206954 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2206958 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2206964 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2206968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2206971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2206985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206998 */     // GIR_Coverage, 16955,
     /* 2206998 */     GIR_EraseRootFromParent_Done,
     /* 2206999 */   // Label 26731: @2206999
     /* 2206999 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(2207108), // Rule ID 16958 //
     /* 2207004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2207007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2207015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2207018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2207021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2207027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207050 */     // MIs[0] round
     /* 2207050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207053 */     // MIs[0] policy
     /* 2207053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207063 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207067 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2207080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207088 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207107 */     // GIR_Coverage, 16958,
     /* 2207107 */     GIR_EraseRootFromParent_Done,
     /* 2207108 */   // Label 26732: @2207108
     /* 2207108 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(2207217), // Rule ID 16959 //
     /* 2207113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2207116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2207124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2207127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2207130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2207136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207159 */     // MIs[0] round
     /* 2207159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207162 */     // MIs[0] policy
     /* 2207162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207176 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207182 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2207189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207216 */     // GIR_Coverage, 16959,
     /* 2207216 */     GIR_EraseRootFromParent_Done,
     /* 2207217 */   // Label 26733: @2207217
     /* 2207217 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(2207326), // Rule ID 16962 //
     /* 2207222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2207225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2207233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2207239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2207245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207268 */     // MIs[0] round
     /* 2207268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207271 */     // MIs[0] policy
     /* 2207271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207281 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2207298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207325 */     // GIR_Coverage, 16962,
     /* 2207325 */     GIR_EraseRootFromParent_Done,
     /* 2207326 */   // Label 26734: @2207326
     /* 2207326 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(2207435), // Rule ID 16963 //
     /* 2207331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2207334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2207342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2207345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2207348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2207354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207377 */     // MIs[0] round
     /* 2207377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207380 */     // MIs[0] policy
     /* 2207380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207390 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10950:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207394 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207400 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2207407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207434 */     // GIR_Coverage, 16963,
     /* 2207434 */     GIR_EraseRootFromParent_Done,
     /* 2207435 */   // Label 26735: @2207435
     /* 2207435 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(2207544), // Rule ID 16966 //
     /* 2207440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2207443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2207451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2207454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2207457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2207463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2207470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207486 */     // MIs[0] round
     /* 2207486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207489 */     // MIs[0] policy
     /* 2207489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207499 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207503 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207509 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2207516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207524 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207543 */     // GIR_Coverage, 16966,
     /* 2207543 */     GIR_EraseRootFromParent_Done,
     /* 2207544 */   // Label 26736: @2207544
     /* 2207544 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(2207653), // Rule ID 16967 //
     /* 2207549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2207552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2207560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2207563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2207566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2207572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2207579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207595 */     // MIs[0] round
     /* 2207595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207598 */     // MIs[0] policy
     /* 2207598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207608 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207612 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2207625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207633 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207652 */     // GIR_Coverage, 16967,
     /* 2207652 */     GIR_EraseRootFromParent_Done,
     /* 2207653 */   // Label 26737: @2207653
     /* 2207653 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(2207762), // Rule ID 16970 //
     /* 2207658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2207661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2207669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2207672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2207675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2207681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2207688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207704 */     // MIs[0] round
     /* 2207704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207707 */     // MIs[0] policy
     /* 2207707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207717 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207721 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207727 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2207734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207742 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207761 */     // GIR_Coverage, 16970,
     /* 2207761 */     GIR_EraseRootFromParent_Done,
     /* 2207762 */   // Label 26738: @2207762
     /* 2207762 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(2207871), // Rule ID 16971 //
     /* 2207767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2207770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2207778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2207781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2207784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2207790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2207797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207813 */     // MIs[0] round
     /* 2207813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207816 */     // MIs[0] policy
     /* 2207816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207826 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2207843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207870 */     // GIR_Coverage, 16971,
     /* 2207870 */     GIR_EraseRootFromParent_Done,
     /* 2207871 */   // Label 26739: @2207871
     /* 2207871 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(2207980), // Rule ID 16974 //
     /* 2207876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2207879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2207887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2207890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2207893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2207896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2207899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2207906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2207918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207922 */     // MIs[0] round
     /* 2207922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207925 */     // MIs[0] policy
     /* 2207925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2207939 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2207945 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2207949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2207952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2207966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2207976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207979 */     // GIR_Coverage, 16974,
     /* 2207979 */     GIR_EraseRootFromParent_Done,
     /* 2207980 */   // Label 26740: @2207980
     /* 2207980 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(2208089), // Rule ID 16975 //
     /* 2207985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2207988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2207993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2207996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2207999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2208002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2208005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2208008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2208015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2208027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208031 */     // MIs[0] round
     /* 2208031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208034 */     // MIs[0] policy
     /* 2208034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208044 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2208061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208088 */     // GIR_Coverage, 16975,
     /* 2208088 */     GIR_EraseRootFromParent_Done,
     /* 2208089 */   // Label 26741: @2208089
     /* 2208089 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(2208198), // Rule ID 16978 //
     /* 2208094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2208097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2208105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2208108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2208111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2208117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208140 */     // MIs[0] round
     /* 2208140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208143 */     // MIs[0] policy
     /* 2208143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208153 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2208170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208178 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208197 */     // GIR_Coverage, 16978,
     /* 2208197 */     GIR_EraseRootFromParent_Done,
     /* 2208198 */   // Label 26742: @2208198
     /* 2208198 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(2208307), // Rule ID 16979 //
     /* 2208203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2208206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2208214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2208217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2208220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2208226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208249 */     // MIs[0] round
     /* 2208249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208252 */     // MIs[0] policy
     /* 2208252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10950:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208266 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208272 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2208279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208287 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208306 */     // GIR_Coverage, 16979,
     /* 2208306 */     GIR_EraseRootFromParent_Done,
     /* 2208307 */   // Label 26743: @2208307
     /* 2208307 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(2208416), // Rule ID 16982 //
     /* 2208312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2208315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2208323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2208326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2208329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2208335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2208342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208358 */     // MIs[0] round
     /* 2208358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208361 */     // MIs[0] policy
     /* 2208361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208371 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2208388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208396 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208415 */     // GIR_Coverage, 16982,
     /* 2208415 */     GIR_EraseRootFromParent_Done,
     /* 2208416 */   // Label 26744: @2208416
     /* 2208416 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(2208525), // Rule ID 16983 //
     /* 2208421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2208424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2208432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2208435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2208438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2208444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2208451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208467 */     // MIs[0] round
     /* 2208467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208470 */     // MIs[0] policy
     /* 2208470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208480 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10950:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2208497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208505 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208524 */     // GIR_Coverage, 16983,
     /* 2208524 */     GIR_EraseRootFromParent_Done,
     /* 2208525 */   // Label 26745: @2208525
     /* 2208525 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(2208634), // Rule ID 16986 //
     /* 2208530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2208533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2208541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2208544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2208547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2208553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2208560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208576 */     // MIs[0] round
     /* 2208576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208579 */     // MIs[0] policy
     /* 2208579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208589 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2208606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208614 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208633 */     // GIR_Coverage, 16986,
     /* 2208633 */     GIR_EraseRootFromParent_Done,
     /* 2208634 */   // Label 26746: @2208634
     /* 2208634 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(2208743), // Rule ID 16987 //
     /* 2208639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2208642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2208650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2208653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2208656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2208662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2208669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208685 */     // MIs[0] round
     /* 2208685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208688 */     // MIs[0] policy
     /* 2208688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208698 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10950:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208702 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208708 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2208715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208742 */     // GIR_Coverage, 16987,
     /* 2208742 */     GIR_EraseRootFromParent_Done,
     /* 2208743 */   // Label 26747: @2208743
     /* 2208743 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(2208852), // Rule ID 16990 //
     /* 2208748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2208751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2208759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2208762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2208765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2208771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2208778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208794 */     // MIs[0] round
     /* 2208794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208797 */     // MIs[0] policy
     /* 2208797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208807 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2208824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208832 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208851 */     // GIR_Coverage, 16990,
     /* 2208851 */     GIR_EraseRootFromParent_Done,
     /* 2208852 */   // Label 26748: @2208852
     /* 2208852 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(2208961), // Rule ID 16991 //
     /* 2208857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2208860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2208865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2208868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2208871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2208874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2208880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2208887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208903 */     // MIs[0] round
     /* 2208903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208906 */     // MIs[0] policy
     /* 2208906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208916 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10950:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2208920 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2208926 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2208930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2208933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208941 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2208947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2208957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208960 */     // GIR_Coverage, 16991,
     /* 2208960 */     GIR_EraseRootFromParent_Done,
     /* 2208961 */   // Label 26749: @2208961
     /* 2208961 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(2209070), // Rule ID 17000 //
     /* 2208966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2208969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2208974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2208977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2208980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2208983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2208986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2208989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209012 */     // MIs[0] round
     /* 2209012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209015 */     // MIs[0] policy
     /* 2209015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209025 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2209042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209069 */     // GIR_Coverage, 17000,
     /* 2209069 */     GIR_EraseRootFromParent_Done,
     /* 2209070 */   // Label 26750: @2209070
     /* 2209070 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(2209179), // Rule ID 17001 //
     /* 2209075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2209078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2209086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2209089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2209092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2209095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2209098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209121 */     // MIs[0] round
     /* 2209121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209124 */     // MIs[0] policy
     /* 2209124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209134 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2209151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209178 */     // GIR_Coverage, 17001,
     /* 2209178 */     GIR_EraseRootFromParent_Done,
     /* 2209179 */   // Label 26751: @2209179
     /* 2209179 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(2209288), // Rule ID 17010 //
     /* 2209184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2209187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2209195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2209198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2209201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2209204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2209207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2209214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209230 */     // MIs[0] round
     /* 2209230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209233 */     // MIs[0] policy
     /* 2209233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209243 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2209260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209268 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209287 */     // GIR_Coverage, 17010,
     /* 2209287 */     GIR_EraseRootFromParent_Done,
     /* 2209288 */   // Label 26752: @2209288
     /* 2209288 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(2209397), // Rule ID 17011 //
     /* 2209293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2209296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2209304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2209307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2209310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2209313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2209316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2209323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209339 */     // MIs[0] round
     /* 2209339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209342 */     // MIs[0] policy
     /* 2209342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209352 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209356 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209362 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2209369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209377 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209396 */     // GIR_Coverage, 17011,
     /* 2209396 */     GIR_EraseRootFromParent_Done,
     /* 2209397 */   // Label 26753: @2209397
     /* 2209397 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2209506), // Rule ID 17020 //
     /* 2209402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2209405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2209413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2209416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2209419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2209422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2209425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2209432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209448 */     // MIs[0] round
     /* 2209448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209451 */     // MIs[0] policy
     /* 2209451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209461 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2209478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209505 */     // GIR_Coverage, 17020,
     /* 2209505 */     GIR_EraseRootFromParent_Done,
     /* 2209506 */   // Label 26754: @2209506
     /* 2209506 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2209615), // Rule ID 17021 //
     /* 2209511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2209514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2209522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2209525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2209528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2209531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2209534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2209541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209557 */     // MIs[0] round
     /* 2209557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209560 */     // MIs[0] policy
     /* 2209560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209574 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209580 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2209587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209595 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209614 */     // GIR_Coverage, 17021,
     /* 2209614 */     GIR_EraseRootFromParent_Done,
     /* 2209615 */   // Label 26755: @2209615
     /* 2209615 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2209724), // Rule ID 17030 //
     /* 2209620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2209623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2209631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2209634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2209637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2209640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2209643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2209650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209666 */     // MIs[0] round
     /* 2209666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209669 */     // MIs[0] policy
     /* 2209669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209679 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209683 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209689 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2209696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209704 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209723 */     // GIR_Coverage, 17030,
     /* 2209723 */     GIR_EraseRootFromParent_Done,
     /* 2209724 */   // Label 26756: @2209724
     /* 2209724 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2209833), // Rule ID 17031 //
     /* 2209729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2209732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2209740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2209743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2209746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2209749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2209752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2209759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209775 */     // MIs[0] round
     /* 2209775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209778 */     // MIs[0] policy
     /* 2209778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2209805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209832 */     // GIR_Coverage, 17031,
     /* 2209832 */     GIR_EraseRootFromParent_Done,
     /* 2209833 */   // Label 26757: @2209833
     /* 2209833 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2209942), // Rule ID 17040 //
     /* 2209838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2209841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2209849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2209852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2209855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2209858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2209861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209884 */     // MIs[0] round
     /* 2209884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209887 */     // MIs[0] policy
     /* 2209887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209897 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2209901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2209907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2209911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2209914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209922 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2209928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2209938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209941 */     // GIR_Coverage, 17040,
     /* 2209941 */     GIR_EraseRootFromParent_Done,
     /* 2209942 */   // Label 26758: @2209942
     /* 2209942 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2210051), // Rule ID 17041 //
     /* 2209947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2209950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2209955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2209958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2209961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2209964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2209967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2209970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209993 */     // MIs[0] round
     /* 2209993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209996 */     // MIs[0] policy
     /* 2209996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210006 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2210023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210031 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210050 */     // GIR_Coverage, 17041,
     /* 2210050 */     GIR_EraseRootFromParent_Done,
     /* 2210051 */   // Label 26759: @2210051
     /* 2210051 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2210160), // Rule ID 17050 //
     /* 2210056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2210059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2210067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2210070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2210073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2210076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2210079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2210086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210102 */     // MIs[0] round
     /* 2210102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210105 */     // MIs[0] policy
     /* 2210105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210115 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210119 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210125 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2210132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210140 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210159 */     // GIR_Coverage, 17050,
     /* 2210159 */     GIR_EraseRootFromParent_Done,
     /* 2210160 */   // Label 26760: @2210160
     /* 2210160 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2210269), // Rule ID 17051 //
     /* 2210165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2210168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2210176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2210179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2210182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2210185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2210188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2210195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210211 */     // MIs[0] round
     /* 2210211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210214 */     // MIs[0] policy
     /* 2210214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210224 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210228 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210234 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2210241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210249 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210268 */     // GIR_Coverage, 17051,
     /* 2210268 */     GIR_EraseRootFromParent_Done,
     /* 2210269 */   // Label 26761: @2210269
     /* 2210269 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2210378), // Rule ID 17060 //
     /* 2210274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2210277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2210285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2210288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2210291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2210294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2210297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2210304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210320 */     // MIs[0] round
     /* 2210320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210323 */     // MIs[0] policy
     /* 2210323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210333 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210337 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210343 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2210350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210377 */     // GIR_Coverage, 17060,
     /* 2210377 */     GIR_EraseRootFromParent_Done,
     /* 2210378 */   // Label 26762: @2210378
     /* 2210378 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2210487), // Rule ID 17061 //
     /* 2210383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2210386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2210394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2210397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2210400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2210403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2210406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2210413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2210425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210429 */     // MIs[0] round
     /* 2210429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210432 */     // MIs[0] policy
     /* 2210432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210442 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210446 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210452 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2210459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210467 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210486 */     // GIR_Coverage, 17061,
     /* 2210486 */     GIR_EraseRootFromParent_Done,
     /* 2210487 */   // Label 26763: @2210487
     /* 2210487 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2210596), // Rule ID 17070 //
     /* 2210492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2210495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2210503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2210506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2210509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2210512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2210515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2210522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210538 */     // MIs[0] round
     /* 2210538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210541 */     // MIs[0] policy
     /* 2210541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210551 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2210568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210595 */     // GIR_Coverage, 17070,
     /* 2210595 */     GIR_EraseRootFromParent_Done,
     /* 2210596 */   // Label 26764: @2210596
     /* 2210596 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2210705), // Rule ID 17071 //
     /* 2210601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2210604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2210612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2210615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2210618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2210621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2210624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2210631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210647 */     // MIs[0] round
     /* 2210647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210650 */     // MIs[0] policy
     /* 2210650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210660 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210664 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210670 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2210677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2210701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210704 */     // GIR_Coverage, 17071,
     /* 2210704 */     GIR_EraseRootFromParent_Done,
     /* 2210705 */   // Label 26765: @2210705
     /* 2210705 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2210814), // Rule ID 17074 //
     /* 2210710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2210713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2210721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2210724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2210727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2210730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2210733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2210740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2210752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210756 */     // MIs[0] round
     /* 2210756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210759 */     // MIs[0] policy
     /* 2210759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210769 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210773 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2210786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210794 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210813 */     // GIR_Coverage, 17074,
     /* 2210813 */     GIR_EraseRootFromParent_Done,
     /* 2210814 */   // Label 26766: @2210814
     /* 2210814 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2210923), // Rule ID 17075 //
     /* 2210819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2210822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2210830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2210833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2210836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2210839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2210842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2210849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2210861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210865 */     // MIs[0] round
     /* 2210865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210868 */     // MIs[0] policy
     /* 2210868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210878 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210882 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2210892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2210895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2210909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210922 */     // GIR_Coverage, 17075,
     /* 2210922 */     GIR_EraseRootFromParent_Done,
     /* 2210923 */   // Label 26767: @2210923
     /* 2210923 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2211032), // Rule ID 17078 //
     /* 2210928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2210931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2210936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2210939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2210942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2210945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2210948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2210951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2210958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2210966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2210970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210974 */     // MIs[0] round
     /* 2210974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210977 */     // MIs[0] policy
     /* 2210977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210987 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210991 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210997 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2211004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211012 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211031 */     // GIR_Coverage, 17078,
     /* 2211031 */     GIR_EraseRootFromParent_Done,
     /* 2211032 */   // Label 26768: @2211032
     /* 2211032 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2211141), // Rule ID 17079 //
     /* 2211037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2211040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2211048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2211051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2211054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2211060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2211063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2211067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211083 */     // MIs[0] round
     /* 2211083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211086 */     // MIs[0] policy
     /* 2211086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211096 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10916:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2211096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211100 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211106 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2211113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211121 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211140 */     // GIR_Coverage, 17079,
     /* 2211140 */     GIR_EraseRootFromParent_Done,
     /* 2211141 */   // Label 26769: @2211141
     /* 2211141 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2211250), // Rule ID 17082 //
     /* 2211146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2211149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2211157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2211160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2211163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2211169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2211172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2211176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211192 */     // MIs[0] round
     /* 2211192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211195 */     // MIs[0] policy
     /* 2211195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211205 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2211205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211209 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2211222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211230 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211249 */     // GIR_Coverage, 17082,
     /* 2211249 */     GIR_EraseRootFromParent_Done,
     /* 2211250 */   // Label 26770: @2211250
     /* 2211250 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2211359), // Rule ID 17083 //
     /* 2211255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2211258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2211266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2211269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2211272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2211278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2211281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2211285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2211293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211301 */     // MIs[0] round
     /* 2211301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211304 */     // MIs[0] policy
     /* 2211304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211314 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2211314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211318 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211324 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2211331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211358 */     // GIR_Coverage, 17083,
     /* 2211358 */     GIR_EraseRootFromParent_Done,
     /* 2211359 */   // Label 26771: @2211359
     /* 2211359 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2211468), // Rule ID 17086 //
     /* 2211364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2211367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2211375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2211378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2211381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2211387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2211390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2211394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211410 */     // MIs[0] round
     /* 2211410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211413 */     // MIs[0] policy
     /* 2211413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211423 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2211423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2211440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211448 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211467 */     // GIR_Coverage, 17086,
     /* 2211467 */     GIR_EraseRootFromParent_Done,
     /* 2211468 */   // Label 26772: @2211468
     /* 2211468 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2211577), // Rule ID 17087 //
     /* 2211473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2211476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2211484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2211487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2211490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2211496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2211499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2211503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2211511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211519 */     // MIs[0] round
     /* 2211519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211522 */     // MIs[0] policy
     /* 2211522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211532 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2211532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211536 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211542 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2211549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211576 */     // GIR_Coverage, 17087,
     /* 2211576 */     GIR_EraseRootFromParent_Done,
     /* 2211577 */   // Label 26773: @2211577
     /* 2211577 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2211686), // Rule ID 17090 //
     /* 2211582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2211585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2211593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2211596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2211599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2211605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2211608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2211612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211628 */     // MIs[0] round
     /* 2211628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211631 */     // MIs[0] policy
     /* 2211631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211641 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2211641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2211658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211685 */     // GIR_Coverage, 17090,
     /* 2211685 */     GIR_EraseRootFromParent_Done,
     /* 2211686 */   // Label 26774: @2211686
     /* 2211686 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2211795), // Rule ID 17091 //
     /* 2211691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2211694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2211702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2211705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2211708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2211711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2211714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2211717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2211721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2211729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2211733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211737 */     // MIs[0] round
     /* 2211737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211740 */     // MIs[0] policy
     /* 2211740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211750 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2211750 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211754 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2211767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2211791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211794 */     // GIR_Coverage, 17091,
     /* 2211794 */     GIR_EraseRootFromParent_Done,
     /* 2211795 */   // Label 26775: @2211795
     /* 2211795 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2211904), // Rule ID 17094 //
     /* 2211800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2211803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2211811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2211814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2211817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2211820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2211823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2211826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2211830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2211842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211846 */     // MIs[0] round
     /* 2211846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211849 */     // MIs[0] policy
     /* 2211849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211859 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2211859 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211863 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211869 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2211876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211884 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2211892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2211897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2211900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2211902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211903 */     // GIR_Coverage, 17094,
     /* 2211903 */     GIR_EraseRootFromParent_Done,
     /* 2211904 */   // Label 26776: @2211904
     /* 2211904 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2212013), // Rule ID 17095 //
     /* 2211909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2211912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2211917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2211920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2211923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2211926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2211929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2211932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2211935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2211939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2211947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2211951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2211955 */     // MIs[0] round
     /* 2211955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211958 */     // MIs[0] policy
     /* 2211958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2211961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2211968 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10916:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2211968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2211972 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2211978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2211982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2211985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2211987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2211989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2211991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2211993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2211999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212012 */     // GIR_Coverage, 17095,
     /* 2212012 */     GIR_EraseRootFromParent_Done,
     /* 2212013 */   // Label 26777: @2212013
     /* 2212013 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2212122), // Rule ID 17098 //
     /* 2212018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2212021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2212029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2212032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2212035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2212041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2212044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2212048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212064 */     // MIs[0] round
     /* 2212064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212067 */     // MIs[0] policy
     /* 2212067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212077 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2212077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212081 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212087 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2212094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212102 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212121 */     // GIR_Coverage, 17098,
     /* 2212121 */     GIR_EraseRootFromParent_Done,
     /* 2212122 */   // Label 26778: @2212122
     /* 2212122 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2212231), // Rule ID 17099 //
     /* 2212127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2212130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2212138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2212141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2212144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2212150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2212153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2212157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212173 */     // MIs[0] round
     /* 2212173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212176 */     // MIs[0] policy
     /* 2212176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212186 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10916:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2212186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212190 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212196 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2212203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212230 */     // GIR_Coverage, 17099,
     /* 2212230 */     GIR_EraseRootFromParent_Done,
     /* 2212231 */   // Label 26779: @2212231
     /* 2212231 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2212340), // Rule ID 17102 //
     /* 2212236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2212239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2212247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2212250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2212253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2212259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2212262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2212266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212282 */     // MIs[0] round
     /* 2212282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212285 */     // MIs[0] policy
     /* 2212285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212295 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2212295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212299 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212305 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2212312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212320 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212339 */     // GIR_Coverage, 17102,
     /* 2212339 */     GIR_EraseRootFromParent_Done,
     /* 2212340 */   // Label 26780: @2212340
     /* 2212340 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2212449), // Rule ID 17103 //
     /* 2212345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2212348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2212356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2212359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2212362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2212368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2212371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2212375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2212383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212391 */     // MIs[0] round
     /* 2212391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212394 */     // MIs[0] policy
     /* 2212394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10916:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2212404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2212421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212448 */     // GIR_Coverage, 17103,
     /* 2212448 */     GIR_EraseRootFromParent_Done,
     /* 2212449 */   // Label 26781: @2212449
     /* 2212449 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2212558), // Rule ID 17106 //
     /* 2212454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2212457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2212465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2212468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2212471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2212477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2212480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2212484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212500 */     // MIs[0] round
     /* 2212500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212503 */     // MIs[0] policy
     /* 2212503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212513 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2212513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212517 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2212530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212538 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212557 */     // GIR_Coverage, 17106,
     /* 2212557 */     GIR_EraseRootFromParent_Done,
     /* 2212558 */   // Label 26782: @2212558
     /* 2212558 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2212667), // Rule ID 17107 //
     /* 2212563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2212566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2212571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2212574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2212577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2212580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2212583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2212586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2212589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2212593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2212601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2212605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212609 */     // MIs[0] round
     /* 2212609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212612 */     // MIs[0] policy
     /* 2212612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212622 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10916:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2212622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212626 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212632 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2212639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212647 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212666 */     // GIR_Coverage, 17107,
     /* 2212666 */     GIR_EraseRootFromParent_Done,
     /* 2212667 */   // Label 26783: @2212667
     /* 2212667 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2212776), // Rule ID 17116 //
     /* 2212672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2212675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2212680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2212683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2212686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2212689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2212692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2212695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2212698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2212702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212718 */     // MIs[0] round
     /* 2212718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212721 */     // MIs[0] policy
     /* 2212721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212731 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2212731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2212748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212775 */     // GIR_Coverage, 17116,
     /* 2212775 */     GIR_EraseRootFromParent_Done,
     /* 2212776 */   // Label 26784: @2212776
     /* 2212776 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2212885), // Rule ID 17117 //
     /* 2212781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2212784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2212789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2212792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2212795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2212798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2212801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2212804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2212807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2212811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212827 */     // MIs[0] round
     /* 2212827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212830 */     // MIs[0] policy
     /* 2212830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212840 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2212840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212844 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212850 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2212857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212865 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212884 */     // GIR_Coverage, 17117,
     /* 2212884 */     GIR_EraseRootFromParent_Done,
     /* 2212885 */   // Label 26785: @2212885
     /* 2212885 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2212994), // Rule ID 17126 //
     /* 2212890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2212893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2212898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2212901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2212904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2212907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2212910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2212913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2212916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2212920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2212936 */     // MIs[0] round
     /* 2212936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2212939 */     // MIs[0] policy
     /* 2212939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2212942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2212949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2212949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2212953 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212959 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2212963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2212966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2212970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2212972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2212974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2212980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2212982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2212987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2212992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212993 */     // GIR_Coverage, 17126,
     /* 2212993 */     GIR_EraseRootFromParent_Done,
     /* 2212994 */   // Label 26786: @2212994
     /* 2212994 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2213103), // Rule ID 17127 //
     /* 2212999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2213002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2213010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2213013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2213016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2213019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2213022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2213025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2213029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213045 */     // MIs[0] round
     /* 2213045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213048 */     // MIs[0] policy
     /* 2213048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213058 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2213058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2213075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213102 */     // GIR_Coverage, 17127,
     /* 2213102 */     GIR_EraseRootFromParent_Done,
     /* 2213103 */   // Label 26787: @2213103
     /* 2213103 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2213212), // Rule ID 17136 //
     /* 2213108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2213111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2213119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2213122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2213125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2213128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2213131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2213134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2213138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213154 */     // MIs[0] round
     /* 2213154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213157 */     // MIs[0] policy
     /* 2213157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213167 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2213167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213171 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213177 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2213184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213192 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213211 */     // GIR_Coverage, 17136,
     /* 2213211 */     GIR_EraseRootFromParent_Done,
     /* 2213212 */   // Label 26788: @2213212
     /* 2213212 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2213321), // Rule ID 17137 //
     /* 2213217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2213220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2213228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2213231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2213234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2213237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2213240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2213243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2213247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213263 */     // MIs[0] round
     /* 2213263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213266 */     // MIs[0] policy
     /* 2213266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213276 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2213276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213280 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213286 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2213293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213301 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213320 */     // GIR_Coverage, 17137,
     /* 2213320 */     GIR_EraseRootFromParent_Done,
     /* 2213321 */   // Label 26789: @2213321
     /* 2213321 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2213430), // Rule ID 17146 //
     /* 2213326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2213329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2213337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2213340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2213343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2213346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2213349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2213352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2213356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213372 */     // MIs[0] round
     /* 2213372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213375 */     // MIs[0] policy
     /* 2213375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213385 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2213385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213389 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213395 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2213402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213410 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213429 */     // GIR_Coverage, 17146,
     /* 2213429 */     GIR_EraseRootFromParent_Done,
     /* 2213430 */   // Label 26790: @2213430
     /* 2213430 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2213539), // Rule ID 17147 //
     /* 2213435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2213438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2213446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2213449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2213452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2213455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2213458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2213461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2213465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213481 */     // MIs[0] round
     /* 2213481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213484 */     // MIs[0] policy
     /* 2213484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213494 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2213494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213498 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213504 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2213511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213519 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213538 */     // GIR_Coverage, 17147,
     /* 2213538 */     GIR_EraseRootFromParent_Done,
     /* 2213539 */   // Label 26791: @2213539
     /* 2213539 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2213648), // Rule ID 17156 //
     /* 2213544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2213547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2213555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2213558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2213561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2213564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2213567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2213570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2213574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213590 */     // MIs[0] round
     /* 2213590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213593 */     // MIs[0] policy
     /* 2213593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2213603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213607 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213613 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2213620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213647 */     // GIR_Coverage, 17156,
     /* 2213647 */     GIR_EraseRootFromParent_Done,
     /* 2213648 */   // Label 26792: @2213648
     /* 2213648 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2213757), // Rule ID 17157 //
     /* 2213653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2213656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2213664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2213667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2213670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2213673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2213676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2213679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2213683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2213691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213699 */     // MIs[0] round
     /* 2213699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213702 */     // MIs[0] policy
     /* 2213702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213712 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2213712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213716 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213722 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2213729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213737 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213756 */     // GIR_Coverage, 17157,
     /* 2213756 */     GIR_EraseRootFromParent_Done,
     /* 2213757 */   // Label 26793: @2213757
     /* 2213757 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2213866), // Rule ID 17166 //
     /* 2213762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2213765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2213773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2213776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2213779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2213782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2213785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2213788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2213792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213808 */     // MIs[0] round
     /* 2213808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213811 */     // MIs[0] policy
     /* 2213811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213821 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2213821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2213838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213865 */     // GIR_Coverage, 17166,
     /* 2213865 */     GIR_EraseRootFromParent_Done,
     /* 2213866 */   // Label 26794: @2213866
     /* 2213866 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2213975), // Rule ID 17167 //
     /* 2213871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2213874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2213882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2213885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2213888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2213891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2213894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2213897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2213901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2213917 */     // MIs[0] round
     /* 2213917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2213920 */     // MIs[0] policy
     /* 2213920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2213923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2213930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2213930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2213934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2213944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2213947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2213951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2213953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2213955 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2213961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2213963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2213968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2213973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213974 */     // GIR_Coverage, 17167,
     /* 2213974 */     GIR_EraseRootFromParent_Done,
     /* 2213975 */   // Label 26795: @2213975
     /* 2213975 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2214084), // Rule ID 17176 //
     /* 2213980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2213983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2213988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2213991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2213994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2213997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2214000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2214003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2214006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2214010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214026 */     // MIs[0] round
     /* 2214026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214029 */     // MIs[0] policy
     /* 2214029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214039 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2214039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214043 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214049 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2214056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214064 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214083 */     // GIR_Coverage, 17176,
     /* 2214083 */     GIR_EraseRootFromParent_Done,
     /* 2214084 */   // Label 26796: @2214084
     /* 2214084 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2214193), // Rule ID 17177 //
     /* 2214089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2214092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2214100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2214103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2214106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2214109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2214112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2214115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2214119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214135 */     // MIs[0] round
     /* 2214135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214138 */     // MIs[0] policy
     /* 2214138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214148 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2214148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2214165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214192 */     // GIR_Coverage, 17177,
     /* 2214192 */     GIR_EraseRootFromParent_Done,
     /* 2214193 */   // Label 26797: @2214193
     /* 2214193 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2214302), // Rule ID 17186 //
     /* 2214198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2214201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2214209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2214212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2214215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2214218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2214221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2214224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2214228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214244 */     // MIs[0] round
     /* 2214244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214247 */     // MIs[0] policy
     /* 2214247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214257 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2214257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214261 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214267 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2214274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214282 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214301 */     // GIR_Coverage, 17186,
     /* 2214301 */     GIR_EraseRootFromParent_Done,
     /* 2214302 */   // Label 26798: @2214302
     /* 2214302 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2214411), // Rule ID 17187 //
     /* 2214307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2214310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2214318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2214321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2214324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2214327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2214330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2214333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2214337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214353 */     // MIs[0] round
     /* 2214353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214356 */     // MIs[0] policy
     /* 2214356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214366 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2214366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214370 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214376 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2214383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214391 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214410 */     // GIR_Coverage, 17187,
     /* 2214410 */     GIR_EraseRootFromParent_Done,
     /* 2214411 */   // Label 26799: @2214411
     /* 2214411 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2214520), // Rule ID 17196 //
     /* 2214416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2214419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2214427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2214430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2214433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2214436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2214439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2214442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2214446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214462 */     // MIs[0] round
     /* 2214462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214465 */     // MIs[0] policy
     /* 2214465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214475 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2214475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214479 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214485 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2214492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214519 */     // GIR_Coverage, 17196,
     /* 2214519 */     GIR_EraseRootFromParent_Done,
     /* 2214520 */   // Label 26800: @2214520
     /* 2214520 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2214629), // Rule ID 17197 //
     /* 2214525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2214528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2214536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2214539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2214542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2214545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2214548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2214551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2214555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214571 */     // MIs[0] round
     /* 2214571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214574 */     // MIs[0] policy
     /* 2214574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214584 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2214584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214588 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214594 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2214601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214609 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214628 */     // GIR_Coverage, 17197,
     /* 2214628 */     GIR_EraseRootFromParent_Done,
     /* 2214629 */   // Label 26801: @2214629
     /* 2214629 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2214738), // Rule ID 17200 //
     /* 2214634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2214637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2214645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2214648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2214651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2214654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2214657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2214660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2214664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2214676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214680 */     // MIs[0] round
     /* 2214680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214683 */     // MIs[0] policy
     /* 2214683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214693 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2214693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214697 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214703 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2214710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214718 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214737 */     // GIR_Coverage, 17200,
     /* 2214737 */     GIR_EraseRootFromParent_Done,
     /* 2214738 */   // Label 26802: @2214738
     /* 2214738 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2214847), // Rule ID 17201 //
     /* 2214743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2214746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2214754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2214757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2214760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2214763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2214766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2214769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2214773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2214785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214789 */     // MIs[0] round
     /* 2214789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214792 */     // MIs[0] policy
     /* 2214792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214802 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2214802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214806 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214812 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2214819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214827 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214846 */     // GIR_Coverage, 17201,
     /* 2214846 */     GIR_EraseRootFromParent_Done,
     /* 2214847 */   // Label 26803: @2214847
     /* 2214847 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2214956), // Rule ID 17204 //
     /* 2214852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2214855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2214863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2214869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2214872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2214875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2214878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2214882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2214894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2214898 */     // MIs[0] round
     /* 2214898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2214901 */     // MIs[0] policy
     /* 2214901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2214904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2214911 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2214911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2214915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2214925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2214928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2214932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2214934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2214936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2214942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2214944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2214949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2214954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214955 */     // GIR_Coverage, 17204,
     /* 2214955 */     GIR_EraseRootFromParent_Done,
     /* 2214956 */   // Label 26804: @2214956
     /* 2214956 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2215065), // Rule ID 17205 //
     /* 2214961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2214964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2214969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2214972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2214975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2214978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2214981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2214984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2214987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2214991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215007 */     // MIs[0] round
     /* 2215007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215010 */     // MIs[0] policy
     /* 2215010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10952:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2215020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215024 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215030 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2215037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215045 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215064 */     // GIR_Coverage, 17205,
     /* 2215064 */     GIR_EraseRootFromParent_Done,
     /* 2215065 */   // Label 26805: @2215065
     /* 2215065 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2215174), // Rule ID 17208 //
     /* 2215070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2215073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2215081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2215084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2215087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2215093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2215096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2215100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215116 */     // MIs[0] round
     /* 2215116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215119 */     // MIs[0] policy
     /* 2215119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215129 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2215129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2215146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215173 */     // GIR_Coverage, 17208,
     /* 2215173 */     GIR_EraseRootFromParent_Done,
     /* 2215174 */   // Label 26806: @2215174
     /* 2215174 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2215283), // Rule ID 17209 //
     /* 2215179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2215182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2215190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2215193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2215196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2215202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2215205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2215209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215225 */     // MIs[0] round
     /* 2215225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215228 */     // MIs[0] policy
     /* 2215228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2215238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2215255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215282 */     // GIR_Coverage, 17209,
     /* 2215282 */     GIR_EraseRootFromParent_Done,
     /* 2215283 */   // Label 26807: @2215283
     /* 2215283 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2215392), // Rule ID 17212 //
     /* 2215288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2215291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2215299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2215305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2215311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2215314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2215318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215334 */     // MIs[0] round
     /* 2215334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215337 */     // MIs[0] policy
     /* 2215337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215347 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2215347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215351 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215357 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2215364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215372 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215391 */     // GIR_Coverage, 17212,
     /* 2215391 */     GIR_EraseRootFromParent_Done,
     /* 2215392 */   // Label 26808: @2215392
     /* 2215392 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2215501), // Rule ID 17213 //
     /* 2215397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2215400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2215408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2215411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2215414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2215420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2215423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2215427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2215435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215443 */     // MIs[0] round
     /* 2215443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215446 */     // MIs[0] policy
     /* 2215446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215456 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2215456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215460 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215466 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2215473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215500 */     // GIR_Coverage, 17213,
     /* 2215500 */     GIR_EraseRootFromParent_Done,
     /* 2215501 */   // Label 26809: @2215501
     /* 2215501 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2215610), // Rule ID 17216 //
     /* 2215506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2215509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2215517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2215520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2215523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2215529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2215532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2215536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215552 */     // MIs[0] round
     /* 2215552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215555 */     // MIs[0] policy
     /* 2215555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215565 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2215565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2215582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215609 */     // GIR_Coverage, 17216,
     /* 2215609 */     GIR_EraseRootFromParent_Done,
     /* 2215610 */   // Label 26810: @2215610
     /* 2215610 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2215719), // Rule ID 17217 //
     /* 2215615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2215618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2215626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2215629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2215632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2215635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2215638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2215641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2215645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2215653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2215657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215661 */     // MIs[0] round
     /* 2215661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215664 */     // MIs[0] policy
     /* 2215664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215674 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2215674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2215691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215718 */     // GIR_Coverage, 17217,
     /* 2215718 */     GIR_EraseRootFromParent_Done,
     /* 2215719 */   // Label 26811: @2215719
     /* 2215719 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2215828), // Rule ID 17220 //
     /* 2215724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2215727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2215735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2215738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2215741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2215744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2215747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2215750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2215754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2215766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215770 */     // MIs[0] round
     /* 2215770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215773 */     // MIs[0] policy
     /* 2215773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215783 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2215783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215787 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215793 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2215800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215808 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215827 */     // GIR_Coverage, 17220,
     /* 2215827 */     GIR_EraseRootFromParent_Done,
     /* 2215828 */   // Label 26812: @2215828
     /* 2215828 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2215937), // Rule ID 17221 //
     /* 2215833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2215836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2215844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2215847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2215850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2215853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2215856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2215859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2215863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2215875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215879 */     // MIs[0] round
     /* 2215879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215882 */     // MIs[0] policy
     /* 2215882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2215892 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10952:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2215892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2215896 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215902 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2215906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2215909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2215913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2215915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2215917 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2215923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2215925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2215930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2215935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215936 */     // GIR_Coverage, 17221,
     /* 2215936 */     GIR_EraseRootFromParent_Done,
     /* 2215937 */   // Label 26813: @2215937
     /* 2215937 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2216046), // Rule ID 17224 //
     /* 2215942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2215945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2215950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2215953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2215956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2215959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2215962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2215965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2215968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2215972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2215980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2215984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2215988 */     // MIs[0] round
     /* 2215988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2215991 */     // MIs[0] policy
     /* 2215991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2215994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216001 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2216001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216005 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216011 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2216018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216026 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216045 */     // GIR_Coverage, 17224,
     /* 2216045 */     GIR_EraseRootFromParent_Done,
     /* 2216046 */   // Label 26814: @2216046
     /* 2216046 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2216155), // Rule ID 17225 //
     /* 2216051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2216054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2216059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2216062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2216065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2216068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2216071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2216074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2216077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2216081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2216093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216097 */     // MIs[0] round
     /* 2216097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216100 */     // MIs[0] policy
     /* 2216100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216110 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10952:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2216110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216114 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216120 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2216127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216135 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216154 */     // GIR_Coverage, 17225,
     /* 2216154 */     GIR_EraseRootFromParent_Done,
     /* 2216155 */   // Label 26815: @2216155
     /* 2216155 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2216264), // Rule ID 17228 //
     /* 2216160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2216163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2216168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2216171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2216174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2216177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2216180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2216183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2216186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2216190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2216202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216206 */     // MIs[0] round
     /* 2216206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216209 */     // MIs[0] policy
     /* 2216209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216219 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2216219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216223 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216229 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2216236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216244 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216263 */     // GIR_Coverage, 17228,
     /* 2216263 */     GIR_EraseRootFromParent_Done,
     /* 2216264 */   // Label 26816: @2216264
     /* 2216264 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2216373), // Rule ID 17229 //
     /* 2216269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2216272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2216277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2216280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2216283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2216286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2216289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2216292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2216295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2216299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2216307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2216311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216315 */     // MIs[0] round
     /* 2216315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216318 */     // MIs[0] policy
     /* 2216318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10952:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2216328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2216345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216372 */     // GIR_Coverage, 17229,
     /* 2216372 */     GIR_EraseRootFromParent_Done,
     /* 2216373 */   // Label 26817: @2216373
     /* 2216373 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2216482), // Rule ID 17232 //
     /* 2216378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2216381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2216386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2216389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2216392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2216395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2216398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2216401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2216404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2216408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2216420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216424 */     // MIs[0] round
     /* 2216424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216427 */     // MIs[0] policy
     /* 2216427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216437 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2216437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216441 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216447 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2216454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216462 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216481 */     // GIR_Coverage, 17232,
     /* 2216481 */     GIR_EraseRootFromParent_Done,
     /* 2216482 */   // Label 26818: @2216482
     /* 2216482 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2216591), // Rule ID 17233 //
     /* 2216487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2216490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2216495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2216498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2216501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2216504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2216507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2216510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2216513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2216517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2216525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2216529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216533 */     // MIs[0] round
     /* 2216533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216536 */     // MIs[0] policy
     /* 2216536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216546 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10952:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2216546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216550 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216556 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2216563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216571 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216590 */     // GIR_Coverage, 17233,
     /* 2216590 */     GIR_EraseRootFromParent_Done,
     /* 2216591 */   // Label 26819: @2216591
     /* 2216591 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2216700), // Rule ID 17236 //
     /* 2216596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2216599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2216604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2216607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2216610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2216613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2216616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2216619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2216622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2216626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216642 */     // MIs[0] round
     /* 2216642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216645 */     // MIs[0] policy
     /* 2216645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216655 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2216655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2216672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216699 */     // GIR_Coverage, 17236,
     /* 2216699 */     GIR_EraseRootFromParent_Done,
     /* 2216700 */   // Label 26820: @2216700
     /* 2216700 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2216809), // Rule ID 17237 //
     /* 2216705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2216708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2216713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2216716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2216719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2216722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2216725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2216728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2216731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2216735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216751 */     // MIs[0] round
     /* 2216751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216754 */     // MIs[0] policy
     /* 2216754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2216764 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216768 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216774 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2216781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216789 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216808 */     // GIR_Coverage, 17237,
     /* 2216808 */     GIR_EraseRootFromParent_Done,
     /* 2216809 */   // Label 26821: @2216809
     /* 2216809 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2216918), // Rule ID 17240 //
     /* 2216814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2216817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2216822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2216825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2216828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2216831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2216834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2216837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2216840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2216844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216860 */     // MIs[0] round
     /* 2216860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216863 */     // MIs[0] policy
     /* 2216863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216873 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2216873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216877 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2216890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2216894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2216896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2216898 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2216904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2216906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2216911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2216916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216917 */     // GIR_Coverage, 17240,
     /* 2216917 */     GIR_EraseRootFromParent_Done,
     /* 2216918 */   // Label 26822: @2216918
     /* 2216918 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2217027), // Rule ID 17241 //
     /* 2216923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2216926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2216931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2216934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2216937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2216940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2216943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2216946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2216949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2216953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2216969 */     // MIs[0] round
     /* 2216969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2216972 */     // MIs[0] policy
     /* 2216972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2216975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2216982 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2216982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2216986 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216992 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2216996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2216999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217007 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217026 */     // GIR_Coverage, 17241,
     /* 2217026 */     GIR_EraseRootFromParent_Done,
     /* 2217027 */   // Label 26823: @2217027
     /* 2217027 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2217136), // Rule ID 17244 //
     /* 2217032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2217035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2217043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2217046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2217049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2217052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2217055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2217058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217078 */     // MIs[0] round
     /* 2217078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217081 */     // MIs[0] policy
     /* 2217081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217091 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2217091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2217108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217116 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217135 */     // GIR_Coverage, 17244,
     /* 2217135 */     GIR_EraseRootFromParent_Done,
     /* 2217136 */   // Label 26824: @2217136
     /* 2217136 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2217245), // Rule ID 17245 //
     /* 2217141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2217144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2217152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2217155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2217158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2217161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2217164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2217167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217187 */     // MIs[0] round
     /* 2217187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217190 */     // MIs[0] policy
     /* 2217190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2217200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2217217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217225 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217244 */     // GIR_Coverage, 17245,
     /* 2217244 */     GIR_EraseRootFromParent_Done,
     /* 2217245 */   // Label 26825: @2217245
     /* 2217245 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2217354), // Rule ID 17248 //
     /* 2217250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2217253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2217261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2217267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2217270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2217273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2217276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217296 */     // MIs[0] round
     /* 2217296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217299 */     // MIs[0] policy
     /* 2217299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217309 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2217309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2217326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217353 */     // GIR_Coverage, 17248,
     /* 2217353 */     GIR_EraseRootFromParent_Done,
     /* 2217354 */   // Label 26826: @2217354
     /* 2217354 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2217463), // Rule ID 17249 //
     /* 2217359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2217362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2217370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2217373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2217376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2217379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2217382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2217385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217405 */     // MIs[0] round
     /* 2217405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217408 */     // MIs[0] policy
     /* 2217408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217418 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2217418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217422 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2217435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217462 */     // GIR_Coverage, 17249,
     /* 2217462 */     GIR_EraseRootFromParent_Done,
     /* 2217463 */   // Label 26827: @2217463
     /* 2217463 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2217572), // Rule ID 17252 //
     /* 2217468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2217471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2217479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2217485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2217488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2217491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2217494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217514 */     // MIs[0] round
     /* 2217514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217517 */     // MIs[0] policy
     /* 2217517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217527 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2217527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2217544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217552 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217571 */     // GIR_Coverage, 17252,
     /* 2217571 */     GIR_EraseRootFromParent_Done,
     /* 2217572 */   // Label 26828: @2217572
     /* 2217572 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2217681), // Rule ID 17253 //
     /* 2217577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2217580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2217588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2217591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2217594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2217597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2217600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2217603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217623 */     // MIs[0] round
     /* 2217623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217626 */     // MIs[0] policy
     /* 2217626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217636 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2217636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217640 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2217653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217661 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217680 */     // GIR_Coverage, 17253,
     /* 2217680 */     GIR_EraseRootFromParent_Done,
     /* 2217681 */   // Label 26829: @2217681
     /* 2217681 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2217790), // Rule ID 17256 //
     /* 2217686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2217689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2217697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2217700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2217703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2217706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2217709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2217712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217732 */     // MIs[0] round
     /* 2217732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217735 */     // MIs[0] policy
     /* 2217735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217745 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2217745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2217762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217789 */     // GIR_Coverage, 17256,
     /* 2217789 */     GIR_EraseRootFromParent_Done,
     /* 2217790 */   // Label 26830: @2217790
     /* 2217790 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2217899), // Rule ID 17257 //
     /* 2217795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2217798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2217806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2217809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2217812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2217815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2217818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2217821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2217825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217841 */     // MIs[0] round
     /* 2217841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217844 */     // MIs[0] policy
     /* 2217844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217854 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2217854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217858 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217864 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2217871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217879 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2217892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2217897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217898 */     // GIR_Coverage, 17257,
     /* 2217898 */     GIR_EraseRootFromParent_Done,
     /* 2217899 */   // Label 26831: @2217899
     /* 2217899 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2218008), // Rule ID 17260 //
     /* 2217904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2217907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2217912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2217915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2217918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2217921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2217924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2217927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2217930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2217934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2217950 */     // MIs[0] round
     /* 2217950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2217953 */     // MIs[0] policy
     /* 2217953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2217956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2217963 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2217963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2217967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2217977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2217980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2217984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2217986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2217988 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2217994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2217996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218007 */     // GIR_Coverage, 17260,
     /* 2218007 */     GIR_EraseRootFromParent_Done,
     /* 2218008 */   // Label 26832: @2218008
     /* 2218008 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2218117), // Rule ID 17261 //
     /* 2218013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2218016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2218024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2218027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2218030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2218033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2218036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2218039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2218043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218059 */     // MIs[0] round
     /* 2218059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218062 */     // MIs[0] policy
     /* 2218062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218072 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2218072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218076 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218082 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2218089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218097 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218116 */     // GIR_Coverage, 17261,
     /* 2218116 */     GIR_EraseRootFromParent_Done,
     /* 2218117 */   // Label 26833: @2218117
     /* 2218117 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2218226), // Rule ID 17264 //
     /* 2218122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2218125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2218133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2218139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2218142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2218145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2218148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2218152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218168 */     // MIs[0] round
     /* 2218168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218171 */     // MIs[0] policy
     /* 2218171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218181 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2218181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2218198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218225 */     // GIR_Coverage, 17264,
     /* 2218225 */     GIR_EraseRootFromParent_Done,
     /* 2218226 */   // Label 26834: @2218226
     /* 2218226 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2218335), // Rule ID 17265 //
     /* 2218231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2218234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2218242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2218245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2218248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2218251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2218254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2218257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2218261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218277 */     // MIs[0] round
     /* 2218277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218280 */     // MIs[0] policy
     /* 2218280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2218290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218294 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218300 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2218307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218315 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218334 */     // GIR_Coverage, 17265,
     /* 2218334 */     GIR_EraseRootFromParent_Done,
     /* 2218335 */   // Label 26835: @2218335
     /* 2218335 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2218444), // Rule ID 17268 //
     /* 2218340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2218343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2218351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2218354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2218357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2218360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2218363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2218366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2218370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218386 */     // MIs[0] round
     /* 2218386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218389 */     // MIs[0] policy
     /* 2218389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218399 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2218399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2218416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218424 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218443 */     // GIR_Coverage, 17268,
     /* 2218443 */     GIR_EraseRootFromParent_Done,
     /* 2218444 */   // Label 26836: @2218444
     /* 2218444 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2218553), // Rule ID 17269 //
     /* 2218449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2218452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2218460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2218463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2218466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2218469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2218472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2218475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2218479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218495 */     // MIs[0] round
     /* 2218495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218498 */     // MIs[0] policy
     /* 2218498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218508 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2218508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218512 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218518 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2218525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218533 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218552 */     // GIR_Coverage, 17269,
     /* 2218552 */     GIR_EraseRootFromParent_Done,
     /* 2218553 */   // Label 26837: @2218553
     /* 2218553 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2218662), // Rule ID 17272 //
     /* 2218558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2218561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2218569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2218572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2218575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2218578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2218581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2218584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2218588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218604 */     // MIs[0] round
     /* 2218604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218607 */     // MIs[0] policy
     /* 2218607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218617 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2218617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218621 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218627 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2218634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218642 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218661 */     // GIR_Coverage, 17272,
     /* 2218661 */     GIR_EraseRootFromParent_Done,
     /* 2218662 */   // Label 26838: @2218662
     /* 2218662 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2218771), // Rule ID 17273 //
     /* 2218667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2218670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2218678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2218681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2218684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2218687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2218690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2218693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2218697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218713 */     // MIs[0] round
     /* 2218713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218716 */     // MIs[0] policy
     /* 2218716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218726 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2218726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218730 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218736 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2218743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218770 */     // GIR_Coverage, 17273,
     /* 2218770 */     GIR_EraseRootFromParent_Done,
     /* 2218771 */   // Label 26839: @2218771
     /* 2218771 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2218880), // Rule ID 17276 //
     /* 2218776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2218779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2218787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2218793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2218796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2218799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2218802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2218806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218822 */     // MIs[0] round
     /* 2218822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218825 */     // MIs[0] policy
     /* 2218825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218835 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2218835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2218852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218879 */     // GIR_Coverage, 17276,
     /* 2218879 */     GIR_EraseRootFromParent_Done,
     /* 2218880 */   // Label 26840: @2218880
     /* 2218880 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2218989), // Rule ID 17277 //
     /* 2218885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2218888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2218893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2218896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2218899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2218902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2218905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2218908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2218911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2218915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2218931 */     // MIs[0] round
     /* 2218931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2218934 */     // MIs[0] policy
     /* 2218934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2218937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2218944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2218944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2218948 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218954 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2218958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2218961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2218965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2218967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2218969 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2218975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2218977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2218982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2218987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218988 */     // GIR_Coverage, 17277,
     /* 2218988 */     GIR_EraseRootFromParent_Done,
     /* 2218989 */   // Label 26841: @2218989
     /* 2218989 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2219098), // Rule ID 17280 //
     /* 2218994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2218997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2219005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2219008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2219011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2219014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2219017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2219020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2219024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219040 */     // MIs[0] round
     /* 2219040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219043 */     // MIs[0] policy
     /* 2219043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219053 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2219053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219057 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219063 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2219070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219097 */     // GIR_Coverage, 17280,
     /* 2219097 */     GIR_EraseRootFromParent_Done,
     /* 2219098 */   // Label 26842: @2219098
     /* 2219098 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2219207), // Rule ID 17281 //
     /* 2219103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2219106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2219114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2219117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2219120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2219123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2219126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2219129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2219133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219149 */     // MIs[0] round
     /* 2219149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219152 */     // MIs[0] policy
     /* 2219152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219162 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2219162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219166 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219172 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2219179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219187 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2219203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219206 */     // GIR_Coverage, 17281,
     /* 2219206 */     GIR_EraseRootFromParent_Done,
     /* 2219207 */   // Label 26843: @2219207
     /* 2219207 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2219316), // Rule ID 17284 //
     /* 2219212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2219215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2219223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2219226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2219229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2219232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2219235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2219238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2219242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219258 */     // MIs[0] round
     /* 2219258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219261 */     // MIs[0] policy
     /* 2219261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219271 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2219271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219275 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219281 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2219288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219296 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219315 */     // GIR_Coverage, 17284,
     /* 2219315 */     GIR_EraseRootFromParent_Done,
     /* 2219316 */   // Label 26844: @2219316
     /* 2219316 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2219425), // Rule ID 17285 //
     /* 2219321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2219324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2219332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2219335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2219338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2219341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2219344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2219347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2219351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2219363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219367 */     // MIs[0] round
     /* 2219367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219370 */     // MIs[0] policy
     /* 2219370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219380 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2219380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219384 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219390 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2219397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219424 */     // GIR_Coverage, 17285,
     /* 2219424 */     GIR_EraseRootFromParent_Done,
     /* 2219425 */   // Label 26845: @2219425
     /* 2219425 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2219534), // Rule ID 17288 //
     /* 2219430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2219433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2219441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2219444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2219447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2219450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2219453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2219456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2219460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219476 */     // MIs[0] round
     /* 2219476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219479 */     // MIs[0] policy
     /* 2219479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219489 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2219489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219493 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219499 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2219506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219514 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219533 */     // GIR_Coverage, 17288,
     /* 2219533 */     GIR_EraseRootFromParent_Done,
     /* 2219534 */   // Label 26846: @2219534
     /* 2219534 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2219643), // Rule ID 17289 //
     /* 2219539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2219542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2219550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2219553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2219556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2219559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2219562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2219565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2219569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2219581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219585 */     // MIs[0] round
     /* 2219585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219588 */     // MIs[0] policy
     /* 2219588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219598 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2219598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219602 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219608 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2219615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219642 */     // GIR_Coverage, 17289,
     /* 2219642 */     GIR_EraseRootFromParent_Done,
     /* 2219643 */   // Label 26847: @2219643
     /* 2219643 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2219752), // Rule ID 17292 //
     /* 2219648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2219651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2219659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2219662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2219665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2219668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2219671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2219674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2219678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219694 */     // MIs[0] round
     /* 2219694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219697 */     // MIs[0] policy
     /* 2219697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219707 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2219707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2219724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219732 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219751 */     // GIR_Coverage, 17292,
     /* 2219751 */     GIR_EraseRootFromParent_Done,
     /* 2219752 */   // Label 26848: @2219752
     /* 2219752 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2219861), // Rule ID 17293 //
     /* 2219757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2219760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2219768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2219771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2219774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2219777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2219780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2219783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2219787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2219799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219803 */     // MIs[0] round
     /* 2219803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219806 */     // MIs[0] policy
     /* 2219806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219816 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2219816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219820 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219826 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2219833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219841 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2219857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219860 */     // GIR_Coverage, 17293,
     /* 2219860 */     GIR_EraseRootFromParent_Done,
     /* 2219861 */   // Label 26849: @2219861
     /* 2219861 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2219970), // Rule ID 17296 //
     /* 2219866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2219869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2219877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2219880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2219883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2219886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2219889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2219892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2219896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2219904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2219908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2219912 */     // MIs[0] round
     /* 2219912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2219915 */     // MIs[0] policy
     /* 2219915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2219918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2219925 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2219925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2219929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2219939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2219942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2219946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2219948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2219950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2219958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2219963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2219966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2219968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219969 */     // GIR_Coverage, 17296,
     /* 2219969 */     GIR_EraseRootFromParent_Done,
     /* 2219970 */   // Label 26850: @2219970
     /* 2219970 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2220079), // Rule ID 17297 //
     /* 2219975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2219978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2219983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2219986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2219989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2219992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2219995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2219998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2220001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2220017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220021 */     // MIs[0] round
     /* 2220021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220024 */     // MIs[0] policy
     /* 2220024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220034 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2220034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220038 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220044 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2220051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220078 */     // GIR_Coverage, 17297,
     /* 2220078 */     GIR_EraseRootFromParent_Done,
     /* 2220079 */   // Label 26851: @2220079
     /* 2220079 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2220188), // Rule ID 17300 //
     /* 2220084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2220087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2220095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2220101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2220104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2220107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2220110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2220126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220130 */     // MIs[0] round
     /* 2220130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220133 */     // MIs[0] policy
     /* 2220133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220143 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2220143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220147 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220153 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2220160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220168 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220187 */     // GIR_Coverage, 17300,
     /* 2220187 */     GIR_EraseRootFromParent_Done,
     /* 2220188 */   // Label 26852: @2220188
     /* 2220188 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2220297), // Rule ID 17301 //
     /* 2220193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2220196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2220204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2220207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2220210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2220213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2220216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2220219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2220235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220239 */     // MIs[0] round
     /* 2220239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220242 */     // MIs[0] policy
     /* 2220242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220252 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2220252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220256 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220262 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2220269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220296 */     // GIR_Coverage, 17301,
     /* 2220296 */     GIR_EraseRootFromParent_Done,
     /* 2220297 */   // Label 26853: @2220297
     /* 2220297 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2220406), // Rule ID 17304 //
     /* 2220302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2220305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2220313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2220316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2220319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2220322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2220325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2220328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2220344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220348 */     // MIs[0] round
     /* 2220348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220351 */     // MIs[0] policy
     /* 2220351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220361 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2220361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220365 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220371 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2220378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220386 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220405 */     // GIR_Coverage, 17304,
     /* 2220405 */     GIR_EraseRootFromParent_Done,
     /* 2220406 */   // Label 26854: @2220406
     /* 2220406 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2220515), // Rule ID 17305 //
     /* 2220411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2220414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2220422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2220425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2220428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2220431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2220434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2220437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2220453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220457 */     // MIs[0] round
     /* 2220457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220460 */     // MIs[0] policy
     /* 2220460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2220470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220474 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220480 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2220487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220514 */     // GIR_Coverage, 17305,
     /* 2220514 */     GIR_EraseRootFromParent_Done,
     /* 2220515 */   // Label 26855: @2220515
     /* 2220515 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2220624), // Rule ID 17308 //
     /* 2220520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2220523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2220531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2220537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2220540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2220543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2220546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2220562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220566 */     // MIs[0] round
     /* 2220566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220569 */     // MIs[0] policy
     /* 2220569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220579 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2220579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220583 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220589 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2220596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220604 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220623 */     // GIR_Coverage, 17308,
     /* 2220623 */     GIR_EraseRootFromParent_Done,
     /* 2220624 */   // Label 26856: @2220624
     /* 2220624 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2220733), // Rule ID 17309 //
     /* 2220629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2220632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2220640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2220643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2220646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2220649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2220652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2220655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2220671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220675 */     // MIs[0] round
     /* 2220675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220678 */     // MIs[0] policy
     /* 2220678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220688 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10853:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2220688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220692 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220698 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2220705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220713 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220732 */     // GIR_Coverage, 17309,
     /* 2220732 */     GIR_EraseRootFromParent_Done,
     /* 2220733 */   // Label 26857: @2220733
     /* 2220733 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2220842), // Rule ID 17312 //
     /* 2220738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2220741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2220749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2220755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2220758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2220761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2220764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2220780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220784 */     // MIs[0] round
     /* 2220784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220787 */     // MIs[0] policy
     /* 2220787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220797 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2220797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220801 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220807 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2220814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220822 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220841 */     // GIR_Coverage, 17312,
     /* 2220841 */     GIR_EraseRootFromParent_Done,
     /* 2220842 */   // Label 26858: @2220842
     /* 2220842 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2220951), // Rule ID 17313 //
     /* 2220847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2220850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2220858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2220861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2220864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2220867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2220870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2220873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2220889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2220893 */     // MIs[0] round
     /* 2220893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2220896 */     // MIs[0] policy
     /* 2220896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2220899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2220906 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10853:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2220906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2220910 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2220920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2220923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2220927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2220929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2220931 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2220939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2220944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2220949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220950 */     // GIR_Coverage, 17313,
     /* 2220950 */     GIR_EraseRootFromParent_Done,
     /* 2220951 */   // Label 26859: @2220951
     /* 2220951 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2221060), // Rule ID 17316 //
     /* 2220956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2220959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2220964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2220967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2220970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2220973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2220976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2220979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2220982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2220986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2220998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221002 */     // MIs[0] round
     /* 2221002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221005 */     // MIs[0] policy
     /* 2221005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221015 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2221015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2221032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221059 */     // GIR_Coverage, 17316,
     /* 2221059 */     GIR_EraseRootFromParent_Done,
     /* 2221060 */   // Label 26860: @2221060
     /* 2221060 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2221169), // Rule ID 17317 //
     /* 2221065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2221068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2221076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2221079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2221082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2221085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2221088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2221091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2221095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2221107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221111 */     // MIs[0] round
     /* 2221111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221114 */     // MIs[0] policy
     /* 2221114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10853:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2221124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221128 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221134 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2221141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221149 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221168 */     // GIR_Coverage, 17317,
     /* 2221168 */     GIR_EraseRootFromParent_Done,
     /* 2221169 */   // Label 26861: @2221169
     /* 2221169 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2221278), // Rule ID 17320 //
     /* 2221174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2221177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2221185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2221188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2221191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2221197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2221200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2221204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221220 */     // MIs[0] round
     /* 2221220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221223 */     // MIs[0] policy
     /* 2221223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221233 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2221233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221237 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221243 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2221250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221258 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221277 */     // GIR_Coverage, 17320,
     /* 2221277 */     GIR_EraseRootFromParent_Done,
     /* 2221278 */   // Label 26862: @2221278
     /* 2221278 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2221387), // Rule ID 17321 //
     /* 2221283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2221286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2221294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2221297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2221300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2221306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2221309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2221313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221329 */     // MIs[0] round
     /* 2221329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221332 */     // MIs[0] policy
     /* 2221332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221342 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2221342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2221359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221386 */     // GIR_Coverage, 17321,
     /* 2221386 */     GIR_EraseRootFromParent_Done,
     /* 2221387 */   // Label 26863: @2221387
     /* 2221387 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2221496), // Rule ID 17324 //
     /* 2221392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2221395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2221403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2221409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2221415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2221418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2221422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221438 */     // MIs[0] round
     /* 2221438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221441 */     // MIs[0] policy
     /* 2221441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221451 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2221451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2221468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221495 */     // GIR_Coverage, 17324,
     /* 2221495 */     GIR_EraseRootFromParent_Done,
     /* 2221496 */   // Label 26864: @2221496
     /* 2221496 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2221605), // Rule ID 17325 //
     /* 2221501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2221504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2221512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2221515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2221518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2221524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2221527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2221531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221547 */     // MIs[0] round
     /* 2221547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221550 */     // MIs[0] policy
     /* 2221550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221560 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2221560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221564 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221570 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2221577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221585 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221604 */     // GIR_Coverage, 17325,
     /* 2221604 */     GIR_EraseRootFromParent_Done,
     /* 2221605 */   // Label 26865: @2221605
     /* 2221605 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2221714), // Rule ID 17328 //
     /* 2221610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2221613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2221621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2221624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2221627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2221633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2221636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2221640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221656 */     // MIs[0] round
     /* 2221656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221659 */     // MIs[0] policy
     /* 2221659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221669 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2221669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221673 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221679 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2221686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221694 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221713 */     // GIR_Coverage, 17328,
     /* 2221713 */     GIR_EraseRootFromParent_Done,
     /* 2221714 */   // Label 26866: @2221714
     /* 2221714 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2221823), // Rule ID 17329 //
     /* 2221719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2221722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2221730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2221733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2221736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2221739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2221742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2221745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2221749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2221757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2221761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221765 */     // MIs[0] round
     /* 2221765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221768 */     // MIs[0] policy
     /* 2221768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221778 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2221778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2221795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221803 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221822 */     // GIR_Coverage, 17329,
     /* 2221822 */     GIR_EraseRootFromParent_Done,
     /* 2221823 */   // Label 26867: @2221823
     /* 2221823 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2221932), // Rule ID 17332 //
     /* 2221828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2221831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2221839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2221842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2221845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2221848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2221851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2221854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2221858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2221870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221874 */     // MIs[0] round
     /* 2221874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221877 */     // MIs[0] policy
     /* 2221877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221887 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2221887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2221891 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221897 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2221901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2221904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2221908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2221910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2221912 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2221918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2221920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2221925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2221930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221931 */     // GIR_Coverage, 17332,
     /* 2221931 */     GIR_EraseRootFromParent_Done,
     /* 2221932 */   // Label 26868: @2221932
     /* 2221932 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2222041), // Rule ID 17333 //
     /* 2221937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2221940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2221945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2221948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2221951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2221954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2221957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2221960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2221963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2221967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2221979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2221983 */     // MIs[0] round
     /* 2221983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2221986 */     // MIs[0] policy
     /* 2221986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2221989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2221996 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2221996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222000 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222006 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2222013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222021 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222040 */     // GIR_Coverage, 17333,
     /* 2222040 */     GIR_EraseRootFromParent_Done,
     /* 2222041 */   // Label 26869: @2222041
     /* 2222041 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2222150), // Rule ID 17336 //
     /* 2222046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2222049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2222057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2222060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2222063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2222066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2222069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2222072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2222076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222092 */     // MIs[0] round
     /* 2222092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222095 */     // MIs[0] policy
     /* 2222095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222105 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2222105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2222122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222149 */     // GIR_Coverage, 17336,
     /* 2222149 */     GIR_EraseRootFromParent_Done,
     /* 2222150 */   // Label 26870: @2222150
     /* 2222150 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2222259), // Rule ID 17337 //
     /* 2222155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2222158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2222166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2222169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2222172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2222175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2222178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2222181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2222185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222201 */     // MIs[0] round
     /* 2222201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222204 */     // MIs[0] policy
     /* 2222204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2222214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222218 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222224 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2222231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222239 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222258 */     // GIR_Coverage, 17337,
     /* 2222258 */     GIR_EraseRootFromParent_Done,
     /* 2222259 */   // Label 26871: @2222259
     /* 2222259 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2222368), // Rule ID 17340 //
     /* 2222264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2222267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2222275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2222278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2222281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2222284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2222287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2222290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2222294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222310 */     // MIs[0] round
     /* 2222310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222313 */     // MIs[0] policy
     /* 2222313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222323 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2222323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222327 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2222340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222367 */     // GIR_Coverage, 17340,
     /* 2222367 */     GIR_EraseRootFromParent_Done,
     /* 2222368 */   // Label 26872: @2222368
     /* 2222368 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2222477), // Rule ID 17341 //
     /* 2222373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2222376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2222384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2222387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2222390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2222393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2222396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2222399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2222403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2222415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222419 */     // MIs[0] round
     /* 2222419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222422 */     // MIs[0] policy
     /* 2222422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222432 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2222432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222436 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2222449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222476 */     // GIR_Coverage, 17341,
     /* 2222476 */     GIR_EraseRootFromParent_Done,
     /* 2222477 */   // Label 26873: @2222477
     /* 2222477 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2222586), // Rule ID 17344 //
     /* 2222482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2222485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2222493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2222496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2222499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2222502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2222505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2222508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2222512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222528 */     // MIs[0] round
     /* 2222528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222531 */     // MIs[0] policy
     /* 2222531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222541 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2222541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222545 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2222558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222566 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222585 */     // GIR_Coverage, 17344,
     /* 2222585 */     GIR_EraseRootFromParent_Done,
     /* 2222586 */   // Label 26874: @2222586
     /* 2222586 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2222695), // Rule ID 17345 //
     /* 2222591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2222594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2222602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2222605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2222608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2222611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2222614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2222617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2222621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222637 */     // MIs[0] round
     /* 2222637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222640 */     // MIs[0] policy
     /* 2222640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10853:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2222650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222654 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222660 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2222667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222675 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222694 */     // GIR_Coverage, 17345,
     /* 2222694 */     GIR_EraseRootFromParent_Done,
     /* 2222695 */   // Label 26875: @2222695
     /* 2222695 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2222804), // Rule ID 17348 //
     /* 2222700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2222703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2222711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2222714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2222717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2222720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2222723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2222726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2222730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222746 */     // MIs[0] round
     /* 2222746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222749 */     // MIs[0] policy
     /* 2222749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222759 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2222759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222763 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222769 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2222776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222784 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222803 */     // GIR_Coverage, 17348,
     /* 2222803 */     GIR_EraseRootFromParent_Done,
     /* 2222804 */   // Label 26876: @2222804
     /* 2222804 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2222913), // Rule ID 17349 //
     /* 2222809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2222812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2222820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2222823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2222826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2222829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2222832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2222835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2222839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222855 */     // MIs[0] round
     /* 2222855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222858 */     // MIs[0] policy
     /* 2222858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10853:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2222868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222872 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222878 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2222885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2222891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2222893 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2222899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2222901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2222906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2222911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222912 */     // GIR_Coverage, 17349,
     /* 2222912 */     GIR_EraseRootFromParent_Done,
     /* 2222913 */   // Label 26877: @2222913
     /* 2222913 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2223022), // Rule ID 17352 //
     /* 2222918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2222921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2222926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2222929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2222932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2222935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2222938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2222941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2222944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2222948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2222960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2222964 */     // MIs[0] round
     /* 2222964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2222967 */     // MIs[0] policy
     /* 2222967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2222970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2222977 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2222977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2222981 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2222991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2222994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2222998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223002 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223021 */     // GIR_Coverage, 17352,
     /* 2223021 */     GIR_EraseRootFromParent_Done,
     /* 2223022 */   // Label 26878: @2223022
     /* 2223022 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2223131), // Rule ID 17353 //
     /* 2223027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2223030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2223035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2223038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2223041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2223044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2223047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2223050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2223053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2223057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2223069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223073 */     // MIs[0] round
     /* 2223073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223076 */     // MIs[0] policy
     /* 2223076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223086 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10853:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2223086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223090 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223096 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2223103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223111 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2223127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223130 */     // GIR_Coverage, 17353,
     /* 2223130 */     GIR_EraseRootFromParent_Done,
     /* 2223131 */   // Label 26879: @2223131
     /* 2223131 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2223240), // Rule ID 17356 //
     /* 2223136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2223139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2223147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2223150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2223153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2223156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2223159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2223162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223182 */     // MIs[0] round
     /* 2223182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223185 */     // MIs[0] policy
     /* 2223185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223195 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2223195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2223212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223239 */     // GIR_Coverage, 17356,
     /* 2223239 */     GIR_EraseRootFromParent_Done,
     /* 2223240 */   // Label 26880: @2223240
     /* 2223240 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2223349), // Rule ID 17357 //
     /* 2223245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2223248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2223256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2223259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2223262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2223265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2223268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2223271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223291 */     // MIs[0] round
     /* 2223291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223294 */     // MIs[0] policy
     /* 2223294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2223304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223308 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223314 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2223321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223329 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223348 */     // GIR_Coverage, 17357,
     /* 2223348 */     GIR_EraseRootFromParent_Done,
     /* 2223349 */   // Label 26881: @2223349
     /* 2223349 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2223458), // Rule ID 17360 //
     /* 2223354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2223357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2223365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2223371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2223374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2223377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2223380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223400 */     // MIs[0] round
     /* 2223400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223403 */     // MIs[0] policy
     /* 2223403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223413 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2223413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223417 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223423 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2223430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223438 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223457 */     // GIR_Coverage, 17360,
     /* 2223457 */     GIR_EraseRootFromParent_Done,
     /* 2223458 */   // Label 26882: @2223458
     /* 2223458 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2223567), // Rule ID 17361 //
     /* 2223463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2223466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2223474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2223477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2223480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2223483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2223486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2223489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223509 */     // MIs[0] round
     /* 2223509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223512 */     // MIs[0] policy
     /* 2223512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223522 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2223522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2223539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223566 */     // GIR_Coverage, 17361,
     /* 2223566 */     GIR_EraseRootFromParent_Done,
     /* 2223567 */   // Label 26883: @2223567
     /* 2223567 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2223676), // Rule ID 17364 //
     /* 2223572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2223575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2223583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2223586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2223589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2223592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2223595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2223598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223618 */     // MIs[0] round
     /* 2223618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223621 */     // MIs[0] policy
     /* 2223621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223631 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2223631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223635 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223641 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2223648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223656 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223675 */     // GIR_Coverage, 17364,
     /* 2223675 */     GIR_EraseRootFromParent_Done,
     /* 2223676 */   // Label 26884: @2223676
     /* 2223676 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2223785), // Rule ID 17365 //
     /* 2223681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2223684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2223692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2223695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2223698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2223701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2223704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2223707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223727 */     // MIs[0] round
     /* 2223727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223730 */     // MIs[0] policy
     /* 2223730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223740 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2223740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223744 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223750 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2223757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223765 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223784 */     // GIR_Coverage, 17365,
     /* 2223784 */     GIR_EraseRootFromParent_Done,
     /* 2223785 */   // Label 26885: @2223785
     /* 2223785 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2223894), // Rule ID 17368 //
     /* 2223790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2223793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2223801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2223807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2223810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2223813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2223816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223836 */     // MIs[0] round
     /* 2223836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223839 */     // MIs[0] policy
     /* 2223839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223849 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2223849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223853 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223859 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2223866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223874 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2223892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223893 */     // GIR_Coverage, 17368,
     /* 2223893 */     GIR_EraseRootFromParent_Done,
     /* 2223894 */   // Label 26886: @2223894
     /* 2223894 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2224003), // Rule ID 17369 //
     /* 2223899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2223902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2223907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2223910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2223913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2223916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2223919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2223922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2223925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2223929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2223945 */     // MIs[0] round
     /* 2223945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2223948 */     // MIs[0] policy
     /* 2223948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2223951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2223958 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2223958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2223962 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223968 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2223972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2223975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2223979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2223981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2223983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2223991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2223996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224002 */     // GIR_Coverage, 17369,
     /* 2224002 */     GIR_EraseRootFromParent_Done,
     /* 2224003 */   // Label 26887: @2224003
     /* 2224003 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2224112), // Rule ID 17372 //
     /* 2224008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2224011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2224019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2224022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2224025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2224028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2224031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2224034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2224038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224054 */     // MIs[0] round
     /* 2224054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224057 */     // MIs[0] policy
     /* 2224057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224067 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2224067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224071 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224077 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2224084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224092 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224111 */     // GIR_Coverage, 17372,
     /* 2224111 */     GIR_EraseRootFromParent_Done,
     /* 2224112 */   // Label 26888: @2224112
     /* 2224112 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2224221), // Rule ID 17373 //
     /* 2224117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2224120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2224128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2224131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2224134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2224137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2224140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2224143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2224147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224163 */     // MIs[0] round
     /* 2224163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224166 */     // MIs[0] policy
     /* 2224166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224176 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2224176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224180 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2224193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224201 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224220 */     // GIR_Coverage, 17373,
     /* 2224220 */     GIR_EraseRootFromParent_Done,
     /* 2224221 */   // Label 26889: @2224221
     /* 2224221 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2224330), // Rule ID 17376 //
     /* 2224226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2224229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2224237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2224240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2224243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2224246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2224249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2224252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2224256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224272 */     // MIs[0] round
     /* 2224272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224275 */     // MIs[0] policy
     /* 2224275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224285 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2224285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224289 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224295 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2224302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224310 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224329 */     // GIR_Coverage, 17376,
     /* 2224329 */     GIR_EraseRootFromParent_Done,
     /* 2224330 */   // Label 26890: @2224330
     /* 2224330 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2224439), // Rule ID 17377 //
     /* 2224335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2224338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2224346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2224349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2224352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2224355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2224358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2224361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2224365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224381 */     // MIs[0] round
     /* 2224381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224384 */     // MIs[0] policy
     /* 2224384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2224394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2224411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224419 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2224435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224438 */     // GIR_Coverage, 17377,
     /* 2224438 */     GIR_EraseRootFromParent_Done,
     /* 2224439 */   // Label 26891: @2224439
     /* 2224439 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2224548), // Rule ID 17380 //
     /* 2224444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2224447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2224455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2224461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2224464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2224467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2224470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2224474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224490 */     // MIs[0] round
     /* 2224490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224493 */     // MIs[0] policy
     /* 2224493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224503 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2224503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224507 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224513 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2224520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224528 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224547 */     // GIR_Coverage, 17380,
     /* 2224547 */     GIR_EraseRootFromParent_Done,
     /* 2224548 */   // Label 26892: @2224548
     /* 2224548 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2224657), // Rule ID 17381 //
     /* 2224553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2224556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2224564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2224567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2224570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2224573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2224576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2224579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2224583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2224595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224599 */     // MIs[0] round
     /* 2224599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224602 */     // MIs[0] policy
     /* 2224602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224612 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2224612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2224629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224637 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224656 */     // GIR_Coverage, 17381,
     /* 2224656 */     GIR_EraseRootFromParent_Done,
     /* 2224657 */   // Label 26893: @2224657
     /* 2224657 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2224766), // Rule ID 17384 //
     /* 2224662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2224665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2224673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2224679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2224682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2224685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2224688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2224692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224708 */     // MIs[0] round
     /* 2224708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224711 */     // MIs[0] policy
     /* 2224711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224721 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2224721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224725 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224731 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2224738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224746 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224765 */     // GIR_Coverage, 17384,
     /* 2224765 */     GIR_EraseRootFromParent_Done,
     /* 2224766 */   // Label 26894: @2224766
     /* 2224766 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2224875), // Rule ID 17385 //
     /* 2224771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2224774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2224782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2224785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2224788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2224791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2224794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2224797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2224801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2224813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224817 */     // MIs[0] round
     /* 2224817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224820 */     // MIs[0] policy
     /* 2224820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2224830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224834 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224840 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2224847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224874 */     // GIR_Coverage, 17385,
     /* 2224874 */     GIR_EraseRootFromParent_Done,
     /* 2224875 */   // Label 26895: @2224875
     /* 2224875 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2224984), // Rule ID 17388 //
     /* 2224880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2224883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2224891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2224894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2224897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2224900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2224903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2224906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2224910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2224922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2224926 */     // MIs[0] round
     /* 2224926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2224929 */     // MIs[0] policy
     /* 2224929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2224932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2224939 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2224939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2224943 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224949 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2224953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2224956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2224960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2224962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2224964 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2224970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2224972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2224977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2224982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224983 */     // GIR_Coverage, 17388,
     /* 2224983 */     GIR_EraseRootFromParent_Done,
     /* 2224984 */   // Label 26896: @2224984
     /* 2224984 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2225093), // Rule ID 17389 //
     /* 2224989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2224992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2224997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2225000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2225003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2225006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2225009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2225012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2225015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2225019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225035 */     // MIs[0] round
     /* 2225035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225038 */     // MIs[0] policy
     /* 2225038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225048 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2225048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225052 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2225065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225073 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225092 */     // GIR_Coverage, 17389,
     /* 2225092 */     GIR_EraseRootFromParent_Done,
     /* 2225093 */   // Label 26897: @2225093
     /* 2225093 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2225202), // Rule ID 17392 //
     /* 2225098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2225101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2225109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2225112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2225115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2225118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2225121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2225124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2225128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225144 */     // MIs[0] round
     /* 2225144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225147 */     // MIs[0] policy
     /* 2225147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225157 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2225157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225161 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225167 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2225174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225182 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225201 */     // GIR_Coverage, 17392,
     /* 2225201 */     GIR_EraseRootFromParent_Done,
     /* 2225202 */   // Label 26898: @2225202
     /* 2225202 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2225311), // Rule ID 17393 //
     /* 2225207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2225210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2225218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2225221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2225224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2225227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2225230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2225233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2225237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225253 */     // MIs[0] round
     /* 2225253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225256 */     // MIs[0] policy
     /* 2225256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225266 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2225266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225270 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225276 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2225283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225291 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225310 */     // GIR_Coverage, 17393,
     /* 2225310 */     GIR_EraseRootFromParent_Done,
     /* 2225311 */   // Label 26899: @2225311
     /* 2225311 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2225420), // Rule ID 17396 //
     /* 2225316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2225319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2225327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2225330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2225333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2225336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2225339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2225342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2225346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225362 */     // MIs[0] round
     /* 2225362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225365 */     // MIs[0] policy
     /* 2225365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225375 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2225375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2225392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225400 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225419 */     // GIR_Coverage, 17396,
     /* 2225419 */     GIR_EraseRootFromParent_Done,
     /* 2225420 */   // Label 26900: @2225420
     /* 2225420 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2225529), // Rule ID 17397 //
     /* 2225425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2225428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2225436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2225439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2225442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2225445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2225448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2225451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2225455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2225467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225471 */     // MIs[0] round
     /* 2225471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225474 */     // MIs[0] policy
     /* 2225474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225484 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2225484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225488 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225494 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2225501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225509 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225528 */     // GIR_Coverage, 17397,
     /* 2225528 */     GIR_EraseRootFromParent_Done,
     /* 2225529 */   // Label 26901: @2225529
     /* 2225529 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2225638), // Rule ID 17400 //
     /* 2225534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2225537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2225545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2225548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2225551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2225554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2225557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2225560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2225564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225580 */     // MIs[0] round
     /* 2225580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225583 */     // MIs[0] policy
     /* 2225583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225593 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2225593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2225610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225618 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225637 */     // GIR_Coverage, 17400,
     /* 2225637 */     GIR_EraseRootFromParent_Done,
     /* 2225638 */   // Label 26902: @2225638
     /* 2225638 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2225747), // Rule ID 17401 //
     /* 2225643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2225646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2225654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2225657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2225660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2225663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2225666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2225669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2225673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2225685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225689 */     // MIs[0] round
     /* 2225689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225692 */     // MIs[0] policy
     /* 2225692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225702 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2225702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225706 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225712 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2225719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225727 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225746 */     // GIR_Coverage, 17401,
     /* 2225746 */     GIR_EraseRootFromParent_Done,
     /* 2225747 */   // Label 26903: @2225747
     /* 2225747 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2225856), // Rule ID 17404 //
     /* 2225752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2225755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2225763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2225766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2225769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2225772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2225775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2225778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2225782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225798 */     // MIs[0] round
     /* 2225798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225801 */     // MIs[0] policy
     /* 2225801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225811 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2225811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2225828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225836 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225855 */     // GIR_Coverage, 17404,
     /* 2225855 */     GIR_EraseRootFromParent_Done,
     /* 2225856 */   // Label 26904: @2225856
     /* 2225856 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2225965), // Rule ID 17405 //
     /* 2225861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2225864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2225872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2225875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2225878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2225881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2225884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2225887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2225891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2225903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2225907 */     // MIs[0] round
     /* 2225907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2225910 */     // MIs[0] policy
     /* 2225910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2225913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2225920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2225920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2225924 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225930 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2225934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2225937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2225941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2225943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2225945 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2225951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2225953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2225958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2225963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225964 */     // GIR_Coverage, 17405,
     /* 2225964 */     GIR_EraseRootFromParent_Done,
     /* 2225965 */   // Label 26905: @2225965
     /* 2225965 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2226074), // Rule ID 17408 //
     /* 2225970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2225973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2225978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2225981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2225984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2225987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2225990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2225993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2225996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2226000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226016 */     // MIs[0] round
     /* 2226016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226019 */     // MIs[0] policy
     /* 2226019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2226029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2226046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226073 */     // GIR_Coverage, 17408,
     /* 2226073 */     GIR_EraseRootFromParent_Done,
     /* 2226074 */   // Label 26906: @2226074
     /* 2226074 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2226183), // Rule ID 17409 //
     /* 2226079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2226082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2226090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2226093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2226096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2226099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2226102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2226105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2226109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2226121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226125 */     // MIs[0] round
     /* 2226125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226128 */     // MIs[0] policy
     /* 2226128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226138 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2226138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226142 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226148 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2226155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226163 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226182 */     // GIR_Coverage, 17409,
     /* 2226182 */     GIR_EraseRootFromParent_Done,
     /* 2226183 */   // Label 26907: @2226183
     /* 2226183 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2226292), // Rule ID 17412 //
     /* 2226188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2226191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2226199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2226202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2226205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2226208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2226211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2226214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2226218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226234 */     // MIs[0] round
     /* 2226234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226237 */     // MIs[0] policy
     /* 2226237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226247 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2226247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2226264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226272 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226291 */     // GIR_Coverage, 17412,
     /* 2226291 */     GIR_EraseRootFromParent_Done,
     /* 2226292 */   // Label 26908: @2226292
     /* 2226292 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2226401), // Rule ID 17413 //
     /* 2226297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2226300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2226308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2226311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2226314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2226317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2226320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2226323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2226327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2226339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226343 */     // MIs[0] round
     /* 2226343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226346 */     // MIs[0] policy
     /* 2226346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226356 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2226356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226360 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2226373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226381 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226400 */     // GIR_Coverage, 17413,
     /* 2226400 */     GIR_EraseRootFromParent_Done,
     /* 2226401 */   // Label 26909: @2226401
     /* 2226401 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2226510), // Rule ID 17416 //
     /* 2226406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2226409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2226417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2226426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2226429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2226432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2226448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226452 */     // MIs[0] round
     /* 2226452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226455 */     // MIs[0] policy
     /* 2226455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226465 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2226465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2226482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226490 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226509 */     // GIR_Coverage, 17416,
     /* 2226509 */     GIR_EraseRootFromParent_Done,
     /* 2226510 */   // Label 26910: @2226510
     /* 2226510 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2226619), // Rule ID 17417 //
     /* 2226515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2226518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2226526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2226529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2226532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2226535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2226538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2226541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2226557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226561 */     // MIs[0] round
     /* 2226561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226564 */     // MIs[0] policy
     /* 2226564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226574 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2226574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226578 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226584 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2226591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226599 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226618 */     // GIR_Coverage, 17417,
     /* 2226618 */     GIR_EraseRootFromParent_Done,
     /* 2226619 */   // Label 26911: @2226619
     /* 2226619 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2226728), // Rule ID 17420 //
     /* 2226624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2226627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2226635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2226638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2226641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2226644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2226647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2226650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2226666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226670 */     // MIs[0] round
     /* 2226670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226673 */     // MIs[0] policy
     /* 2226673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226683 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2226683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2226700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226708 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226727 */     // GIR_Coverage, 17420,
     /* 2226727 */     GIR_EraseRootFromParent_Done,
     /* 2226728 */   // Label 26912: @2226728
     /* 2226728 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2226837), // Rule ID 17421 //
     /* 2226733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2226736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2226744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2226747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2226750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2226753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2226756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2226759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2226775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226779 */     // MIs[0] round
     /* 2226779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226782 */     // MIs[0] policy
     /* 2226782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226792 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2226792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226796 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2226809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226817 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226836 */     // GIR_Coverage, 17421,
     /* 2226836 */     GIR_EraseRootFromParent_Done,
     /* 2226837 */   // Label 26913: @2226837
     /* 2226837 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2226946), // Rule ID 17424 //
     /* 2226842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2226845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2226853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2226862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2226865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2226868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2226884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226888 */     // MIs[0] round
     /* 2226888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2226891 */     // MIs[0] policy
     /* 2226891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2226894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2226901 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2226901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2226905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2226915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2226918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2226922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2226924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2226926 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2226932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2226934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2226939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2226944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226945 */     // GIR_Coverage, 17424,
     /* 2226945 */     GIR_EraseRootFromParent_Done,
     /* 2226946 */   // Label 26914: @2226946
     /* 2226946 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2227055), // Rule ID 17425 //
     /* 2226951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2226954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2226959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2226962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2226965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2226968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2226971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2226974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2226977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2226981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2226993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2226997 */     // MIs[0] round
     /* 2226997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227000 */     // MIs[0] policy
     /* 2227000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2227010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227014 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227020 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2227027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227035 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227054 */     // GIR_Coverage, 17425,
     /* 2227054 */     GIR_EraseRootFromParent_Done,
     /* 2227055 */   // Label 26915: @2227055
     /* 2227055 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2227164), // Rule ID 17428 //
     /* 2227060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2227063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2227071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2227074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2227077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2227080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2227083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2227086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227106 */     // MIs[0] round
     /* 2227106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227109 */     // MIs[0] policy
     /* 2227109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227119 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2227119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227123 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2227136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227144 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227163 */     // GIR_Coverage, 17428,
     /* 2227163 */     GIR_EraseRootFromParent_Done,
     /* 2227164 */   // Label 26916: @2227164
     /* 2227164 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2227273), // Rule ID 17429 //
     /* 2227169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2227172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2227180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2227183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2227186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2227189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2227192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2227195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227215 */     // MIs[0] round
     /* 2227215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227218 */     // MIs[0] policy
     /* 2227218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227228 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10836:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2227228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227232 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2227245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227272 */     // GIR_Coverage, 17429,
     /* 2227272 */     GIR_EraseRootFromParent_Done,
     /* 2227273 */   // Label 26917: @2227273
     /* 2227273 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2227382), // Rule ID 17432 //
     /* 2227278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2227281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2227289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2227292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2227295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2227298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2227301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2227304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2227320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227324 */     // MIs[0] round
     /* 2227324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227327 */     // MIs[0] policy
     /* 2227327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227337 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2227337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227341 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2227354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227362 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227381 */     // GIR_Coverage, 17432,
     /* 2227381 */     GIR_EraseRootFromParent_Done,
     /* 2227382 */   // Label 26918: @2227382
     /* 2227382 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2227491), // Rule ID 17433 //
     /* 2227387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2227390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2227398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2227401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2227404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2227407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2227410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2227413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2227429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227433 */     // MIs[0] round
     /* 2227433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227436 */     // MIs[0] policy
     /* 2227436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227446 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10836:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2227446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227450 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227456 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2227463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227471 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227490 */     // GIR_Coverage, 17433,
     /* 2227490 */     GIR_EraseRootFromParent_Done,
     /* 2227491 */   // Label 26919: @2227491
     /* 2227491 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2227600), // Rule ID 17436 //
     /* 2227496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2227499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2227507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2227516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2227519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2227522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2227538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227542 */     // MIs[0] round
     /* 2227542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227545 */     // MIs[0] policy
     /* 2227545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227555 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2227555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2227572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227580 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227599 */     // GIR_Coverage, 17436,
     /* 2227599 */     GIR_EraseRootFromParent_Done,
     /* 2227600 */   // Label 26920: @2227600
     /* 2227600 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2227709), // Rule ID 17437 //
     /* 2227605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2227608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2227616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2227619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2227622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2227625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2227628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2227631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2227635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2227647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227651 */     // MIs[0] round
     /* 2227651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227654 */     // MIs[0] policy
     /* 2227654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10836:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2227664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227668 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227674 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2227681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227689 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2227705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227708 */     // GIR_Coverage, 17437,
     /* 2227708 */     GIR_EraseRootFromParent_Done,
     /* 2227709 */   // Label 26921: @2227709
     /* 2227709 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2227818), // Rule ID 17440 //
     /* 2227714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2227717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2227725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2227728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2227731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2227734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2227737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2227740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2227744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227760 */     // MIs[0] round
     /* 2227760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227763 */     // MIs[0] policy
     /* 2227763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227773 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2227773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227777 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227783 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2227790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227798 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227817 */     // GIR_Coverage, 17440,
     /* 2227817 */     GIR_EraseRootFromParent_Done,
     /* 2227818 */   // Label 26922: @2227818
     /* 2227818 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2227927), // Rule ID 17441 //
     /* 2227823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2227826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2227834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2227837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2227840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2227843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2227846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2227849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2227853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227869 */     // MIs[0] round
     /* 2227869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227872 */     // MIs[0] policy
     /* 2227872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2227882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227886 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227892 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2227896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2227899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2227903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2227905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2227907 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2227913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2227915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2227920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2227925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227926 */     // GIR_Coverage, 17441,
     /* 2227926 */     GIR_EraseRootFromParent_Done,
     /* 2227927 */   // Label 26923: @2227927
     /* 2227927 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2228036), // Rule ID 17444 //
     /* 2227932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2227935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2227940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2227943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2227946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2227949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2227952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2227955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2227958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2227962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2227970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2227974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2227978 */     // MIs[0] round
     /* 2227978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2227981 */     // MIs[0] policy
     /* 2227981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2227984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2227991 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2227991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2227995 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228001 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2228008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228016 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228035 */     // GIR_Coverage, 17444,
     /* 2228035 */     GIR_EraseRootFromParent_Done,
     /* 2228036 */   // Label 26924: @2228036
     /* 2228036 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2228145), // Rule ID 17445 //
     /* 2228041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2228044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2228052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2228055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2228058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2228061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2228064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2228067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2228071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2228083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228087 */     // MIs[0] round
     /* 2228087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228090 */     // MIs[0] policy
     /* 2228090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228100 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2228100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2228117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228144 */     // GIR_Coverage, 17445,
     /* 2228144 */     GIR_EraseRootFromParent_Done,
     /* 2228145 */   // Label 26925: @2228145
     /* 2228145 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2228254), // Rule ID 17448 //
     /* 2228150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2228153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2228161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2228164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2228167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2228170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2228173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2228176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2228180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2228192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228196 */     // MIs[0] round
     /* 2228196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228199 */     // MIs[0] policy
     /* 2228199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228209 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2228209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228213 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228219 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2228226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228234 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228253 */     // GIR_Coverage, 17448,
     /* 2228253 */     GIR_EraseRootFromParent_Done,
     /* 2228254 */   // Label 26926: @2228254
     /* 2228254 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2228363), // Rule ID 17449 //
     /* 2228259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2228262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2228270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2228273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2228276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2228279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2228282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2228285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2228289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2228301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228305 */     // MIs[0] round
     /* 2228305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228308 */     // MIs[0] policy
     /* 2228308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228318 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2228318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228322 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228328 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2228335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2228359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228362 */     // GIR_Coverage, 17449,
     /* 2228362 */     GIR_EraseRootFromParent_Done,
     /* 2228363 */   // Label 26927: @2228363
     /* 2228363 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2228472), // Rule ID 17452 //
     /* 2228368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2228379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2228382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2228385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2228391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2228394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2228398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228414 */     // MIs[0] round
     /* 2228414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228417 */     // MIs[0] policy
     /* 2228417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228427 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2228427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228431 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228437 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2228444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228452 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228471 */     // GIR_Coverage, 17452,
     /* 2228471 */     GIR_EraseRootFromParent_Done,
     /* 2228472 */   // Label 26928: @2228472
     /* 2228472 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2228581), // Rule ID 17453 //
     /* 2228477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2228488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2228491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2228494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2228500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2228503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2228507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228523 */     // MIs[0] round
     /* 2228523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228526 */     // MIs[0] policy
     /* 2228526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2228536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228540 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228546 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2228553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228580 */     // GIR_Coverage, 17453,
     /* 2228580 */     GIR_EraseRootFromParent_Done,
     /* 2228581 */   // Label 26929: @2228581
     /* 2228581 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2228690), // Rule ID 17456 //
     /* 2228586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2228597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2228600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2228603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2228609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2228612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2228616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228632 */     // MIs[0] round
     /* 2228632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228635 */     // MIs[0] policy
     /* 2228635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228645 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2228645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228649 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228655 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2228662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228670 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228689 */     // GIR_Coverage, 17456,
     /* 2228689 */     GIR_EraseRootFromParent_Done,
     /* 2228690 */   // Label 26930: @2228690
     /* 2228690 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2228799), // Rule ID 17457 //
     /* 2228695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2228706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2228709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2228712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2228718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2228721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2228725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228741 */     // MIs[0] round
     /* 2228741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228744 */     // MIs[0] policy
     /* 2228744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228754 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2228754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2228771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228798 */     // GIR_Coverage, 17457,
     /* 2228798 */     GIR_EraseRootFromParent_Done,
     /* 2228799 */   // Label 26931: @2228799
     /* 2228799 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2228908), // Rule ID 17460 //
     /* 2228804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2228807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2228815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2228818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2228821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2228827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2228830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2228834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228850 */     // MIs[0] round
     /* 2228850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228853 */     // MIs[0] policy
     /* 2228853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228863 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2228863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228867 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228873 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2228880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228888 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2228894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2228896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2228901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2228906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228907 */     // GIR_Coverage, 17460,
     /* 2228907 */     GIR_EraseRootFromParent_Done,
     /* 2228908 */   // Label 26932: @2228908
     /* 2228908 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2229017), // Rule ID 17461 //
     /* 2228913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2228916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2228921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2228924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2228927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2228930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2228933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2228936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2228939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2228943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2228951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2228955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2228959 */     // MIs[0] round
     /* 2228959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2228962 */     // MIs[0] policy
     /* 2228962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2228965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2228972 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2228972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2228976 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228982 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2228986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2228989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2228993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2228995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2228997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229016 */     // GIR_Coverage, 17461,
     /* 2229016 */     GIR_EraseRootFromParent_Done,
     /* 2229017 */   // Label 26933: @2229017
     /* 2229017 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2229126), // Rule ID 17464 //
     /* 2229022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2229025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2229033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2229045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2229048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2229052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229068 */     // MIs[0] round
     /* 2229068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229071 */     // MIs[0] policy
     /* 2229071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229081 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2229081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229085 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229091 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2229098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229106 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229125 */     // GIR_Coverage, 17464,
     /* 2229125 */     GIR_EraseRootFromParent_Done,
     /* 2229126 */   // Label 26934: @2229126
     /* 2229126 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2229235), // Rule ID 17465 //
     /* 2229131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2229134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2229142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2229145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2229148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2229154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2229157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2229161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229177 */     // MIs[0] round
     /* 2229177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229180 */     // MIs[0] policy
     /* 2229180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10836:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2229190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229194 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229200 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2229207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229234 */     // GIR_Coverage, 17465,
     /* 2229234 */     GIR_EraseRootFromParent_Done,
     /* 2229235 */   // Label 26935: @2229235
     /* 2229235 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2229344), // Rule ID 17468 //
     /* 2229240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2229243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2229251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2229254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2229257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2229263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2229266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2229270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229286 */     // MIs[0] round
     /* 2229286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229289 */     // MIs[0] policy
     /* 2229289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229299 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2229299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229303 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229309 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2229316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229343 */     // GIR_Coverage, 17468,
     /* 2229343 */     GIR_EraseRootFromParent_Done,
     /* 2229344 */   // Label 26936: @2229344
     /* 2229344 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2229453), // Rule ID 17469 //
     /* 2229349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2229352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2229360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2229363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2229366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2229372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2229375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2229379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229395 */     // MIs[0] round
     /* 2229395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229398 */     // MIs[0] policy
     /* 2229398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229408 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10836:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2229408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229412 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229418 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2229425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229433 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229452 */     // GIR_Coverage, 17469,
     /* 2229452 */     GIR_EraseRootFromParent_Done,
     /* 2229453 */   // Label 26937: @2229453
     /* 2229453 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2229562), // Rule ID 17472 //
     /* 2229458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2229461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2229469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2229472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2229475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2229481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2229484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2229488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229504 */     // MIs[0] round
     /* 2229504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229507 */     // MIs[0] policy
     /* 2229507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229517 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2229517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229521 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229527 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2229534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229542 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229561 */     // GIR_Coverage, 17472,
     /* 2229561 */     GIR_EraseRootFromParent_Done,
     /* 2229562 */   // Label 26938: @2229562
     /* 2229562 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2229671), // Rule ID 17473 //
     /* 2229567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2229570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2229575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2229578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2229581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2229584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2229587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2229590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2229593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2229597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2229609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229613 */     // MIs[0] round
     /* 2229613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229616 */     // MIs[0] policy
     /* 2229616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229626 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10836:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2229626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229630 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229636 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2229643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229651 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229670 */     // GIR_Coverage, 17473,
     /* 2229670 */     GIR_EraseRootFromParent_Done,
     /* 2229671 */   // Label 26939: @2229671
     /* 2229671 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2229780), // Rule ID 17476 //
     /* 2229676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2229679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2229684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2229687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2229690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2229693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2229696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2229699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2229702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2229706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229722 */     // MIs[0] round
     /* 2229722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229725 */     // MIs[0] policy
     /* 2229725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229735 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2229735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229739 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229745 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2229752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229779 */     // GIR_Coverage, 17476,
     /* 2229779 */     GIR_EraseRootFromParent_Done,
     /* 2229780 */   // Label 26940: @2229780
     /* 2229780 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2229889), // Rule ID 17477 //
     /* 2229785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2229788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2229793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2229796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2229799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2229802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2229805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2229808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2229811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2229815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229831 */     // MIs[0] round
     /* 2229831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229834 */     // MIs[0] policy
     /* 2229834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229844 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2229844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229848 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229854 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2229861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229869 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229888 */     // GIR_Coverage, 17477,
     /* 2229888 */     GIR_EraseRootFromParent_Done,
     /* 2229889 */   // Label 26941: @2229889
     /* 2229889 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2229998), // Rule ID 17480 //
     /* 2229894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2229897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2229902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2229905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2229908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2229911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2229914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2229917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2229920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2229924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2229932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2229936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2229940 */     // MIs[0] round
     /* 2229940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2229943 */     // MIs[0] policy
     /* 2229943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2229946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2229953 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2229953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2229957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2229967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2229970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2229974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2229976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2229978 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2229984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2229986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2229991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2229996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229997 */     // GIR_Coverage, 17480,
     /* 2229997 */     GIR_EraseRootFromParent_Done,
     /* 2229998 */   // Label 26942: @2229998
     /* 2229998 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2230107), // Rule ID 17481 //
     /* 2230003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2230006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2230014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2230017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2230020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2230023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2230026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2230029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230049 */     // MIs[0] round
     /* 2230049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230052 */     // MIs[0] policy
     /* 2230052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230062 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2230062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230066 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230072 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2230079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230087 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230106 */     // GIR_Coverage, 17481,
     /* 2230106 */     GIR_EraseRootFromParent_Done,
     /* 2230107 */   // Label 26943: @2230107
     /* 2230107 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2230216), // Rule ID 17484 //
     /* 2230112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2230115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2230123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2230132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2230135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2230138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230158 */     // MIs[0] round
     /* 2230158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230161 */     // MIs[0] policy
     /* 2230161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230171 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2230171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2230188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230196 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230215 */     // GIR_Coverage, 17484,
     /* 2230215 */     GIR_EraseRootFromParent_Done,
     /* 2230216 */   // Label 26944: @2230216
     /* 2230216 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2230325), // Rule ID 17485 //
     /* 2230221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2230224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2230232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2230235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2230238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2230241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2230244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2230247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230267 */     // MIs[0] round
     /* 2230267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230270 */     // MIs[0] policy
     /* 2230270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2230280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230284 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230290 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2230297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230305 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230324 */     // GIR_Coverage, 17485,
     /* 2230324 */     GIR_EraseRootFromParent_Done,
     /* 2230325 */   // Label 26945: @2230325
     /* 2230325 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2230434), // Rule ID 17488 //
     /* 2230330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2230333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2230341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2230344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2230347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2230350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2230353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2230356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230376 */     // MIs[0] round
     /* 2230376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230379 */     // MIs[0] policy
     /* 2230379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2230389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230393 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230399 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2230406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230414 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230433 */     // GIR_Coverage, 17488,
     /* 2230433 */     GIR_EraseRootFromParent_Done,
     /* 2230434 */   // Label 26946: @2230434
     /* 2230434 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2230543), // Rule ID 17489 //
     /* 2230439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2230442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2230450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2230453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2230456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2230459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2230462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2230465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2230481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230485 */     // MIs[0] round
     /* 2230485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230488 */     // MIs[0] policy
     /* 2230488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230498 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10884:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2230498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230502 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230508 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2230515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230523 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230542 */     // GIR_Coverage, 17489,
     /* 2230542 */     GIR_EraseRootFromParent_Done,
     /* 2230543 */   // Label 26947: @2230543
     /* 2230543 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2230652), // Rule ID 17492 //
     /* 2230548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2230551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2230559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2230568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2230571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2230574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230594 */     // MIs[0] round
     /* 2230594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230597 */     // MIs[0] policy
     /* 2230597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230607 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2230607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230611 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230617 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2230624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230651 */     // GIR_Coverage, 17492,
     /* 2230651 */     GIR_EraseRootFromParent_Done,
     /* 2230652 */   // Label 26948: @2230652
     /* 2230652 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2230761), // Rule ID 17493 //
     /* 2230657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2230660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2230668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2230671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2230674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2230677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2230680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2230683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2230699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230703 */     // MIs[0] round
     /* 2230703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230706 */     // MIs[0] policy
     /* 2230706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230716 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10884:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2230716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230720 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230726 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2230733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230741 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2230757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230760 */     // GIR_Coverage, 17493,
     /* 2230760 */     GIR_EraseRootFromParent_Done,
     /* 2230761 */   // Label 26949: @2230761
     /* 2230761 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2230870), // Rule ID 17496 //
     /* 2230766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2230769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2230777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2230786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2230789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2230792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230812 */     // MIs[0] round
     /* 2230812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230815 */     // MIs[0] policy
     /* 2230815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230825 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2230825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2230842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230869 */     // GIR_Coverage, 17496,
     /* 2230869 */     GIR_EraseRootFromParent_Done,
     /* 2230870 */   // Label 26950: @2230870
     /* 2230870 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2230979), // Rule ID 17497 //
     /* 2230875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2230878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2230886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2230889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2230892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2230895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2230898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2230901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2230905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2230913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2230917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2230921 */     // MIs[0] round
     /* 2230921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2230924 */     // MIs[0] policy
     /* 2230924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2230927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2230934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10884:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2230934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2230938 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230944 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2230948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2230951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2230955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2230957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2230959 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2230965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2230967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2230972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2230977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230978 */     // GIR_Coverage, 17497,
     /* 2230978 */     GIR_EraseRootFromParent_Done,
     /* 2230979 */   // Label 26951: @2230979
     /* 2230979 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2231088), // Rule ID 17500 //
     /* 2230984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2230987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2230992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2230995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2230998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2231001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2231007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2231010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2231014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231030 */     // MIs[0] round
     /* 2231030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231033 */     // MIs[0] policy
     /* 2231033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231043 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2231043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231047 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231053 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2231060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231068 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231087 */     // GIR_Coverage, 17500,
     /* 2231087 */     GIR_EraseRootFromParent_Done,
     /* 2231088 */   // Label 26952: @2231088
     /* 2231088 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2231197), // Rule ID 17501 //
     /* 2231093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2231096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2231104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2231107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2231110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2231116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2231119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2231123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231139 */     // MIs[0] round
     /* 2231139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231142 */     // MIs[0] policy
     /* 2231142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231152 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2231152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231156 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231162 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2231169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231177 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231196 */     // GIR_Coverage, 17501,
     /* 2231196 */     GIR_EraseRootFromParent_Done,
     /* 2231197 */   // Label 26953: @2231197
     /* 2231197 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2231306), // Rule ID 17504 //
     /* 2231202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2231205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2231213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2231216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2231219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2231225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2231228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2231232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231248 */     // MIs[0] round
     /* 2231248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231251 */     // MIs[0] policy
     /* 2231251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231261 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2231261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231265 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2231278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231286 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231305 */     // GIR_Coverage, 17504,
     /* 2231305 */     GIR_EraseRootFromParent_Done,
     /* 2231306 */   // Label 26954: @2231306
     /* 2231306 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2231415), // Rule ID 17505 //
     /* 2231311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2231314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2231322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2231325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2231328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2231334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2231337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2231341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231357 */     // MIs[0] round
     /* 2231357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231360 */     // MIs[0] policy
     /* 2231360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2231370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231374 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231380 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2231387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231395 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231414 */     // GIR_Coverage, 17505,
     /* 2231414 */     GIR_EraseRootFromParent_Done,
     /* 2231415 */   // Label 26955: @2231415
     /* 2231415 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2231524), // Rule ID 17508 //
     /* 2231420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2231423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2231431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2231434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2231437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2231443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2231446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2231450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231466 */     // MIs[0] round
     /* 2231466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231469 */     // MIs[0] policy
     /* 2231469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231479 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2231479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231483 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231489 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2231496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231504 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231523 */     // GIR_Coverage, 17508,
     /* 2231523 */     GIR_EraseRootFromParent_Done,
     /* 2231524 */   // Label 26956: @2231524
     /* 2231524 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2231633), // Rule ID 17509 //
     /* 2231529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2231532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2231540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2231543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2231546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2231549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2231552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2231555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2231559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2231571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231575 */     // MIs[0] round
     /* 2231575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231578 */     // MIs[0] policy
     /* 2231578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231588 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2231588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231592 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231598 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2231605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231613 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231632 */     // GIR_Coverage, 17509,
     /* 2231632 */     GIR_EraseRootFromParent_Done,
     /* 2231633 */   // Label 26957: @2231633
     /* 2231633 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2231742), // Rule ID 17512 //
     /* 2231638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2231641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2231649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2231652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2231655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2231658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2231661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2231664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2231668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2231680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231684 */     // MIs[0] round
     /* 2231684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231687 */     // MIs[0] policy
     /* 2231687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231697 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2231697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231701 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2231714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231722 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231741 */     // GIR_Coverage, 17512,
     /* 2231741 */     GIR_EraseRootFromParent_Done,
     /* 2231742 */   // Label 26958: @2231742
     /* 2231742 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2231851), // Rule ID 17513 //
     /* 2231747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2231750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2231758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2231761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2231764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2231767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2231770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2231773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2231777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2231785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2231789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231793 */     // MIs[0] round
     /* 2231793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231796 */     // MIs[0] policy
     /* 2231796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231806 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2231806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231810 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2231823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231850 */     // GIR_Coverage, 17513,
     /* 2231850 */     GIR_EraseRootFromParent_Done,
     /* 2231851 */   // Label 26959: @2231851
     /* 2231851 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2231960), // Rule ID 17516 //
     /* 2231856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2231859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2231867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2231870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2231873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2231876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2231879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2231882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2231886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2231898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2231902 */     // MIs[0] round
     /* 2231902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2231905 */     // MIs[0] policy
     /* 2231905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2231908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2231915 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2231915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2231919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2231929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2231932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2231936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2231938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2231940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2231946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2231948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2231953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2231958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231959 */     // GIR_Coverage, 17516,
     /* 2231959 */     GIR_EraseRootFromParent_Done,
     /* 2231960 */   // Label 26960: @2231960
     /* 2231960 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2232069), // Rule ID 17517 //
     /* 2231965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2231968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2231973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2231976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2231979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2231982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2231985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2231988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2231991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2231995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2232007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232011 */     // MIs[0] round
     /* 2232011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232014 */     // MIs[0] policy
     /* 2232014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232024 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2232024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2232041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232049 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232068 */     // GIR_Coverage, 17517,
     /* 2232068 */     GIR_EraseRootFromParent_Done,
     /* 2232069 */   // Label 26961: @2232069
     /* 2232069 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2232178), // Rule ID 17520 //
     /* 2232074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2232077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2232085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2232088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2232091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2232094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2232097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2232100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2232104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2232116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232120 */     // MIs[0] round
     /* 2232120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232123 */     // MIs[0] policy
     /* 2232123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232133 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2232133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232137 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2232150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232158 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232177 */     // GIR_Coverage, 17520,
     /* 2232177 */     GIR_EraseRootFromParent_Done,
     /* 2232178 */   // Label 26962: @2232178
     /* 2232178 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2232287), // Rule ID 17521 //
     /* 2232183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2232186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2232194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2232197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2232200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2232203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2232206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2232209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2232213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2232225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232229 */     // MIs[0] round
     /* 2232229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232232 */     // MIs[0] policy
     /* 2232232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232242 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2232242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232246 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232252 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2232259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232267 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232286 */     // GIR_Coverage, 17521,
     /* 2232286 */     GIR_EraseRootFromParent_Done,
     /* 2232287 */   // Label 26963: @2232287
     /* 2232287 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2232396), // Rule ID 17524 //
     /* 2232292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2232295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2232303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2232306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2232309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2232315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2232318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2232322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232338 */     // MIs[0] round
     /* 2232338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232341 */     // MIs[0] policy
     /* 2232341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2232351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232355 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232361 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2232368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232376 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232395 */     // GIR_Coverage, 17524,
     /* 2232395 */     GIR_EraseRootFromParent_Done,
     /* 2232396 */   // Label 26964: @2232396
     /* 2232396 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2232505), // Rule ID 17525 //
     /* 2232401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2232404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2232412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2232415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2232418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2232424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2232427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2232431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2232439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232447 */     // MIs[0] round
     /* 2232447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232450 */     // MIs[0] policy
     /* 2232450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10884:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2232460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2232477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232485 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232504 */     // GIR_Coverage, 17525,
     /* 2232504 */     GIR_EraseRootFromParent_Done,
     /* 2232505 */   // Label 26965: @2232505
     /* 2232505 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2232614), // Rule ID 17528 //
     /* 2232510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2232513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2232521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2232524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2232527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2232533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2232536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2232540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232556 */     // MIs[0] round
     /* 2232556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232559 */     // MIs[0] policy
     /* 2232559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232569 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2232569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232573 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232579 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2232586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232594 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232613 */     // GIR_Coverage, 17528,
     /* 2232613 */     GIR_EraseRootFromParent_Done,
     /* 2232614 */   // Label 26966: @2232614
     /* 2232614 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2232723), // Rule ID 17529 //
     /* 2232619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2232622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2232630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2232633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2232636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2232642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2232645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2232649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2232657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232665 */     // MIs[0] round
     /* 2232665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232668 */     // MIs[0] policy
     /* 2232668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232678 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10884:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2232678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232682 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232688 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2232695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232722 */     // GIR_Coverage, 17529,
     /* 2232722 */     GIR_EraseRootFromParent_Done,
     /* 2232723 */   // Label 26967: @2232723
     /* 2232723 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2232832), // Rule ID 17532 //
     /* 2232728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2232731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2232739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2232742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2232745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2232751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2232754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2232758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232774 */     // MIs[0] round
     /* 2232774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232777 */     // MIs[0] policy
     /* 2232777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232787 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2232787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232791 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232797 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2232804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232812 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232831 */     // GIR_Coverage, 17532,
     /* 2232831 */     GIR_EraseRootFromParent_Done,
     /* 2232832 */   // Label 26968: @2232832
     /* 2232832 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2232941), // Rule ID 17533 //
     /* 2232837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2232840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2232845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2232848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2232851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2232854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2232857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2232860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2232863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2232867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2232875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2232879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232883 */     // MIs[0] round
     /* 2232883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232886 */     // MIs[0] policy
     /* 2232886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2232896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10884:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2232896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2232900 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232906 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2232910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2232913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2232917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2232919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2232921 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2232927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2232929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2232934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2232939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232940 */     // GIR_Coverage, 17533,
     /* 2232940 */     GIR_EraseRootFromParent_Done,
     /* 2232941 */   // Label 26969: @2232941
     /* 2232941 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2233050), // Rule ID 17536 //
     /* 2232946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2232949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2232954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2232957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2232963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2232966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2232969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2232972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2232976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2232992 */     // MIs[0] round
     /* 2232992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2232995 */     // MIs[0] policy
     /* 2232995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2232998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233005 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2233005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233009 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233015 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2233022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233049 */     // GIR_Coverage, 17536,
     /* 2233049 */     GIR_EraseRootFromParent_Done,
     /* 2233050 */   // Label 26970: @2233050
     /* 2233050 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2233159), // Rule ID 17537 //
     /* 2233055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2233058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2233066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2233069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2233072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2233075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2233078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2233081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2233085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233101 */     // MIs[0] round
     /* 2233101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233104 */     // MIs[0] policy
     /* 2233104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233114 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2233114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233118 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233124 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2233131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233139 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233158 */     // GIR_Coverage, 17537,
     /* 2233158 */     GIR_EraseRootFromParent_Done,
     /* 2233159 */   // Label 26971: @2233159
     /* 2233159 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2233268), // Rule ID 17540 //
     /* 2233164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2233167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2233175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2233184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2233187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2233190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2233194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233210 */     // MIs[0] round
     /* 2233210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233213 */     // MIs[0] policy
     /* 2233213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233223 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2233223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233227 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233233 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2233240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233248 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233267 */     // GIR_Coverage, 17540,
     /* 2233267 */     GIR_EraseRootFromParent_Done,
     /* 2233268 */   // Label 26972: @2233268
     /* 2233268 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2233377), // Rule ID 17541 //
     /* 2233273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2233276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2233284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2233290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2233293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2233296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2233299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2233303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233319 */     // MIs[0] round
     /* 2233319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233322 */     // MIs[0] policy
     /* 2233322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2233332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233336 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2233349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233357 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233376 */     // GIR_Coverage, 17541,
     /* 2233376 */     GIR_EraseRootFromParent_Done,
     /* 2233377 */   // Label 26973: @2233377
     /* 2233377 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2233486), // Rule ID 17544 //
     /* 2233382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2233385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2233393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2233402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2233405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2233408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2233412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233428 */     // MIs[0] round
     /* 2233428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233431 */     // MIs[0] policy
     /* 2233431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233441 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2233441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233445 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233451 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2233458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233466 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233485 */     // GIR_Coverage, 17544,
     /* 2233485 */     GIR_EraseRootFromParent_Done,
     /* 2233486 */   // Label 26974: @2233486
     /* 2233486 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2233595), // Rule ID 17545 //
     /* 2233491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2233494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2233502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2233508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2233511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2233514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2233517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2233521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233537 */     // MIs[0] round
     /* 2233537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233540 */     // MIs[0] policy
     /* 2233540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233550 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2233550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2233567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233575 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233594 */     // GIR_Coverage, 17545,
     /* 2233594 */     GIR_EraseRootFromParent_Done,
     /* 2233595 */   // Label 26975: @2233595
     /* 2233595 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2233704), // Rule ID 17548 //
     /* 2233600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2233603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2233611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2233614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2233617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2233620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2233623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2233626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2233630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233646 */     // MIs[0] round
     /* 2233646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233649 */     // MIs[0] policy
     /* 2233649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233659 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2233659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2233676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233684 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233703 */     // GIR_Coverage, 17548,
     /* 2233703 */     GIR_EraseRootFromParent_Done,
     /* 2233704 */   // Label 26976: @2233704
     /* 2233704 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2233813), // Rule ID 17549 //
     /* 2233709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2233712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2233720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2233723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2233726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2233729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2233732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2233735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2233739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233755 */     // MIs[0] round
     /* 2233755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233758 */     // MIs[0] policy
     /* 2233758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233768 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2233768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233772 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233778 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2233785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233793 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233812 */     // GIR_Coverage, 17549,
     /* 2233812 */     GIR_EraseRootFromParent_Done,
     /* 2233813 */   // Label 26977: @2233813
     /* 2233813 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2233922), // Rule ID 17552 //
     /* 2233818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2233821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2233829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2233832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2233835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2233838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2233841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2233844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2233848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233864 */     // MIs[0] round
     /* 2233864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233867 */     // MIs[0] policy
     /* 2233867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233877 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2233877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233881 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233887 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2233891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2233894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2233898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2233900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2233902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2233908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2233910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2233915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2233920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233921 */     // GIR_Coverage, 17552,
     /* 2233921 */     GIR_EraseRootFromParent_Done,
     /* 2233922 */   // Label 26978: @2233922
     /* 2233922 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2234031), // Rule ID 17553 //
     /* 2233927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2233930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2233935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2233938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2233941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2233944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2233947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2233950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2233953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2233957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2233961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2233973 */     // MIs[0] round
     /* 2233973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2233976 */     // MIs[0] policy
     /* 2233976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2233979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2233986 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2233986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2233990 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233996 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2234003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234011 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234030 */     // GIR_Coverage, 17553,
     /* 2234030 */     GIR_EraseRootFromParent_Done,
     /* 2234031 */   // Label 26979: @2234031
     /* 2234031 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2234140), // Rule ID 17556 //
     /* 2234036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2234039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2234047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2234056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2234059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2234062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2234066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234082 */     // MIs[0] round
     /* 2234082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234085 */     // MIs[0] policy
     /* 2234085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234095 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2234095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2234112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234139 */     // GIR_Coverage, 17556,
     /* 2234139 */     GIR_EraseRootFromParent_Done,
     /* 2234140 */   // Label 26980: @2234140
     /* 2234140 */   GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2234249), // Rule ID 17557 //
     /* 2234145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2234148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2234156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2234159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2234162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2234165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2234168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2234171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2234175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234191 */     // MIs[0] round
     /* 2234191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234194 */     // MIs[0] policy
     /* 2234194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234204 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2234204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234208 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234214 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2234221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234229 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234248 */     // GIR_Coverage, 17557,
     /* 2234248 */     GIR_EraseRootFromParent_Done,
     /* 2234249 */   // Label 26981: @2234249
     /* 2234249 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2234358), // Rule ID 17560 //
     /* 2234254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2234257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2234265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2234274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2234277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2234280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2234284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234300 */     // MIs[0] round
     /* 2234300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234303 */     // MIs[0] policy
     /* 2234303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234313 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2234313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2234330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234338 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234357 */     // GIR_Coverage, 17560,
     /* 2234357 */     GIR_EraseRootFromParent_Done,
     /* 2234358 */   // Label 26982: @2234358
     /* 2234358 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2234467), // Rule ID 17561 //
     /* 2234363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2234366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2234374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2234377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2234380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2234383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2234386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2234389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2234393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234409 */     // MIs[0] round
     /* 2234409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234412 */     // MIs[0] policy
     /* 2234412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234422 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2234422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234426 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234432 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2234439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234466 */     // GIR_Coverage, 17561,
     /* 2234466 */     GIR_EraseRootFromParent_Done,
     /* 2234467 */   // Label 26983: @2234467
     /* 2234467 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2234576), // Rule ID 17564 //
     /* 2234472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2234475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2234483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2234492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2234495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2234498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2234502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234518 */     // MIs[0] round
     /* 2234518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234521 */     // MIs[0] policy
     /* 2234521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234531 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2234531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2234548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234556 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234575 */     // GIR_Coverage, 17564,
     /* 2234575 */     GIR_EraseRootFromParent_Done,
     /* 2234576 */   // Label 26984: @2234576
     /* 2234576 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2234685), // Rule ID 17565 //
     /* 2234581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2234584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2234592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2234595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2234598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2234601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2234604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2234607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2234611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234627 */     // MIs[0] round
     /* 2234627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234630 */     // MIs[0] policy
     /* 2234630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234640 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2234640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234644 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234650 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2234657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234665 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234684 */     // GIR_Coverage, 17565,
     /* 2234684 */     GIR_EraseRootFromParent_Done,
     /* 2234685 */   // Label 26985: @2234685
     /* 2234685 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2234794), // Rule ID 17568 //
     /* 2234690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2234693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2234701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2234704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2234707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2234710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2234713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2234716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2234720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234736 */     // MIs[0] round
     /* 2234736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234739 */     // MIs[0] policy
     /* 2234739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234749 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2234749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2234766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234774 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234793 */     // GIR_Coverage, 17568,
     /* 2234793 */     GIR_EraseRootFromParent_Done,
     /* 2234794 */   // Label 26986: @2234794
     /* 2234794 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2234903), // Rule ID 17569 //
     /* 2234799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2234802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2234810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2234813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2234816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2234819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2234822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2234825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2234829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234845 */     // MIs[0] round
     /* 2234845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234848 */     // MIs[0] policy
     /* 2234848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234858 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2234858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234862 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234868 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2234875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234883 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2234891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2234896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2234901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234902 */     // GIR_Coverage, 17569,
     /* 2234902 */     GIR_EraseRootFromParent_Done,
     /* 2234903 */   // Label 26987: @2234903
     /* 2234903 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2235012), // Rule ID 17572 //
     /* 2234908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2234911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2234916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2234919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2234922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2234925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2234928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2234931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2234934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2234938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2234946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2234950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2234954 */     // MIs[0] round
     /* 2234954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2234957 */     // MIs[0] policy
     /* 2234957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2234960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2234967 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2234967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2234971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2234981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2234984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2234988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2234990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2234992 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2234998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235011 */     // GIR_Coverage, 17572,
     /* 2235011 */     GIR_EraseRootFromParent_Done,
     /* 2235012 */   // Label 26988: @2235012
     /* 2235012 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2235121), // Rule ID 17573 //
     /* 2235017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2235020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2235028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2235034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2235040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2235043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2235047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235063 */     // MIs[0] round
     /* 2235063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235066 */     // MIs[0] policy
     /* 2235066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235076 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2235076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235080 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235086 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2235093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235120 */     // GIR_Coverage, 17573,
     /* 2235120 */     GIR_EraseRootFromParent_Done,
     /* 2235121 */   // Label 26989: @2235121
     /* 2235121 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2235230), // Rule ID 17576 //
     /* 2235126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2235129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2235137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2235149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2235152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2235156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235172 */     // MIs[0] round
     /* 2235172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235175 */     // MIs[0] policy
     /* 2235175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235185 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2235185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2235202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235229 */     // GIR_Coverage, 17576,
     /* 2235229 */     GIR_EraseRootFromParent_Done,
     /* 2235230 */   // Label 26990: @2235230
     /* 2235230 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2235339), // Rule ID 17577 //
     /* 2235235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2235238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2235246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2235252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2235258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2235261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2235265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235281 */     // MIs[0] round
     /* 2235281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235284 */     // MIs[0] policy
     /* 2235284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235294 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10940:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2235294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235298 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235304 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2235311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235319 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235338 */     // GIR_Coverage, 17577,
     /* 2235338 */     GIR_EraseRootFromParent_Done,
     /* 2235339 */   // Label 26991: @2235339
     /* 2235339 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2235448), // Rule ID 17580 //
     /* 2235344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2235347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2235355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2235367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2235370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2235374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235390 */     // MIs[0] round
     /* 2235390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235393 */     // MIs[0] policy
     /* 2235393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235403 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2235403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2235420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235428 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235447 */     // GIR_Coverage, 17580,
     /* 2235447 */     GIR_EraseRootFromParent_Done,
     /* 2235448 */   // Label 26992: @2235448
     /* 2235448 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2235557), // Rule ID 17581 //
     /* 2235453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2235456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2235464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2235467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2235470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2235476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2235479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2235483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235499 */     // MIs[0] round
     /* 2235499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235502 */     // MIs[0] policy
     /* 2235502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235512 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2235512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2235529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235537 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235556 */     // GIR_Coverage, 17581,
     /* 2235556 */     GIR_EraseRootFromParent_Done,
     /* 2235557 */   // Label 26993: @2235557
     /* 2235557 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2235666), // Rule ID 17584 //
     /* 2235562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2235565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2235573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2235576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2235579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2235585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2235588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2235592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235608 */     // MIs[0] round
     /* 2235608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235611 */     // MIs[0] policy
     /* 2235611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235621 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2235621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235625 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235631 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2235638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235646 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235665 */     // GIR_Coverage, 17584,
     /* 2235665 */     GIR_EraseRootFromParent_Done,
     /* 2235666 */   // Label 26994: @2235666
     /* 2235666 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2235775), // Rule ID 17585 //
     /* 2235671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2235674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2235682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2235685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2235688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2235694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2235697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2235701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2235709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235717 */     // MIs[0] round
     /* 2235717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235720 */     // MIs[0] policy
     /* 2235720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2235730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235734 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235740 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2235747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235755 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235774 */     // GIR_Coverage, 17585,
     /* 2235774 */     GIR_EraseRootFromParent_Done,
     /* 2235775 */   // Label 26995: @2235775
     /* 2235775 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2235884), // Rule ID 17588 //
     /* 2235780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2235783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2235791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2235794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2235797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2235803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2235806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2235810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235826 */     // MIs[0] round
     /* 2235826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235829 */     // MIs[0] policy
     /* 2235829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235839 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2235839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235843 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235849 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2235856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235864 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235883 */     // GIR_Coverage, 17588,
     /* 2235883 */     GIR_EraseRootFromParent_Done,
     /* 2235884 */   // Label 26996: @2235884
     /* 2235884 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2235993), // Rule ID 17589 //
     /* 2235889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2235892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2235897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2235900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2235903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2235906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2235909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2235912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2235915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2235919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2235923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2235927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2235931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2235935 */     // MIs[0] round
     /* 2235935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2235938 */     // MIs[0] policy
     /* 2235938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2235941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2235948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2235948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2235952 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2235962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2235965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2235969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2235971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2235973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2235979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2235981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2235986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2235991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235992 */     // GIR_Coverage, 17589,
     /* 2235992 */     GIR_EraseRootFromParent_Done,
     /* 2235993 */   // Label 26997: @2235993
     /* 2235993 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2236102), // Rule ID 17592 //
     /* 2235998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2236001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2236009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2236021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2236024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2236028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236044 */     // MIs[0] round
     /* 2236044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236047 */     // MIs[0] policy
     /* 2236047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236057 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2236057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2236074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236082 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236101 */     // GIR_Coverage, 17592,
     /* 2236101 */     GIR_EraseRootFromParent_Done,
     /* 2236102 */   // Label 26998: @2236102
     /* 2236102 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2236211), // Rule ID 17593 //
     /* 2236107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2236110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2236118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2236121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2236124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2236130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2236133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2236137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236153 */     // MIs[0] round
     /* 2236153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236156 */     // MIs[0] policy
     /* 2236156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236166 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10940:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2236166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236170 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236176 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2236183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236191 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236210 */     // GIR_Coverage, 17593,
     /* 2236210 */     GIR_EraseRootFromParent_Done,
     /* 2236211 */   // Label 26999: @2236211
     /* 2236211 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2236320), // Rule ID 17596 //
     /* 2236216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2236219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2236227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2236239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2236242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2236246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236262 */     // MIs[0] round
     /* 2236262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236265 */     // MIs[0] policy
     /* 2236265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236275 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2236275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236279 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236285 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2236292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236300 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236319 */     // GIR_Coverage, 17596,
     /* 2236319 */     GIR_EraseRootFromParent_Done,
     /* 2236320 */   // Label 27000: @2236320
     /* 2236320 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2236429), // Rule ID 17597 //
     /* 2236325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2236328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2236336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2236342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2236348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2236351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2236355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236371 */     // MIs[0] round
     /* 2236371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236374 */     // MIs[0] policy
     /* 2236374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236384 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10940:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2236384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236388 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236394 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2236401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236409 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236428 */     // GIR_Coverage, 17597,
     /* 2236428 */     GIR_EraseRootFromParent_Done,
     /* 2236429 */   // Label 27001: @2236429
     /* 2236429 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2236538), // Rule ID 17600 //
     /* 2236434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2236437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2236445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2236448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2236451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2236457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2236460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2236464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236480 */     // MIs[0] round
     /* 2236480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236483 */     // MIs[0] policy
     /* 2236483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236493 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2236493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236497 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236503 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2236510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236518 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236537 */     // GIR_Coverage, 17600,
     /* 2236537 */     GIR_EraseRootFromParent_Done,
     /* 2236538 */   // Label 27002: @2236538
     /* 2236538 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2236647), // Rule ID 17601 //
     /* 2236543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2236546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2236554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2236557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2236560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2236566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2236569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2236573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236589 */     // MIs[0] round
     /* 2236589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236592 */     // MIs[0] policy
     /* 2236592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10940:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2236602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236606 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236612 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2236619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236646 */     // GIR_Coverage, 17601,
     /* 2236646 */     GIR_EraseRootFromParent_Done,
     /* 2236647 */   // Label 27003: @2236647
     /* 2236647 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2236756), // Rule ID 17604 //
     /* 2236652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2236655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2236663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2236675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2236678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2236682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236698 */     // MIs[0] round
     /* 2236698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236701 */     // MIs[0] policy
     /* 2236701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236711 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2236711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236715 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236721 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2236728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236736 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236755 */     // GIR_Coverage, 17604,
     /* 2236755 */     GIR_EraseRootFromParent_Done,
     /* 2236756 */   // Label 27004: @2236756
     /* 2236756 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2236865), // Rule ID 17605 //
     /* 2236761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2236764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2236769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2236772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2236778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2236781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2236784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2236787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2236791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2236803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236807 */     // MIs[0] round
     /* 2236807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236810 */     // MIs[0] policy
     /* 2236810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236820 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10940:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2236820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236824 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236830 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2236837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2236841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236864 */     // GIR_Coverage, 17605,
     /* 2236864 */     GIR_EraseRootFromParent_Done,
     /* 2236865 */   // Label 27005: @2236865
     /* 2236865 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2236974), // Rule ID 17608 //
     /* 2236870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2236873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2236878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2236881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2236890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2236893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2236896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2236900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2236916 */     // MIs[0] round
     /* 2236916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2236919 */     // MIs[0] policy
     /* 2236919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2236922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2236929 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2236929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2236933 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236939 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2236943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2236946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2236950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2236952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2236954 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2236960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2236962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2236967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2236972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236973 */     // GIR_Coverage, 17608,
     /* 2236973 */     GIR_EraseRootFromParent_Done,
     /* 2236974 */   // Label 27006: @2236974
     /* 2236974 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2237083), // Rule ID 17609 //
     /* 2236979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2236982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2236987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2236990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2236993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2236996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2236999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2237002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2237005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237025 */     // MIs[0] round
     /* 2237025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237028 */     // MIs[0] policy
     /* 2237028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237038 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2237038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237042 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2237055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237082 */     // GIR_Coverage, 17609,
     /* 2237082 */     GIR_EraseRootFromParent_Done,
     /* 2237083 */   // Label 27007: @2237083
     /* 2237083 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2237192), // Rule ID 17612 //
     /* 2237088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2237091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2237099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2237108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2237111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2237114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237134 */     // MIs[0] round
     /* 2237134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237137 */     // MIs[0] policy
     /* 2237137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237147 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2237147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237151 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237157 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2237164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237172 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237191 */     // GIR_Coverage, 17612,
     /* 2237191 */     GIR_EraseRootFromParent_Done,
     /* 2237192 */   // Label 27008: @2237192
     /* 2237192 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2237301), // Rule ID 17613 //
     /* 2237197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2237200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2237208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2237211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2237214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2237217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2237220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2237223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237243 */     // MIs[0] round
     /* 2237243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237246 */     // MIs[0] policy
     /* 2237246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2237256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237260 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237266 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2237273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237281 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237300 */     // GIR_Coverage, 17613,
     /* 2237300 */     GIR_EraseRootFromParent_Done,
     /* 2237301 */   // Label 27009: @2237301
     /* 2237301 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2237410), // Rule ID 17616 //
     /* 2237306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2237309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2237317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2237326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2237329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2237332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237352 */     // MIs[0] round
     /* 2237352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237355 */     // MIs[0] policy
     /* 2237355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237365 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2237365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237369 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237375 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2237382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237390 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237409 */     // GIR_Coverage, 17616,
     /* 2237409 */     GIR_EraseRootFromParent_Done,
     /* 2237410 */   // Label 27010: @2237410
     /* 2237410 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2237519), // Rule ID 17617 //
     /* 2237415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2237418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2237426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2237429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2237432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2237435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2237438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2237441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237461 */     // MIs[0] round
     /* 2237461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237464 */     // MIs[0] policy
     /* 2237464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2237474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2237491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237518 */     // GIR_Coverage, 17617,
     /* 2237518 */     GIR_EraseRootFromParent_Done,
     /* 2237519 */   // Label 27011: @2237519
     /* 2237519 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2237628), // Rule ID 17620 //
     /* 2237524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2237527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2237535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2237544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2237547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2237550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237570 */     // MIs[0] round
     /* 2237570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237573 */     // MIs[0] policy
     /* 2237573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237583 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2237583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237587 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237593 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2237600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237627 */     // GIR_Coverage, 17620,
     /* 2237627 */     GIR_EraseRootFromParent_Done,
     /* 2237628 */   // Label 27012: @2237628
     /* 2237628 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2237737), // Rule ID 17621 //
     /* 2237633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2237636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2237644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2237647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2237650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2237653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2237656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2237659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237679 */     // MIs[0] round
     /* 2237679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237682 */     // MIs[0] policy
     /* 2237682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237692 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2237692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2237709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237717 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237736 */     // GIR_Coverage, 17621,
     /* 2237736 */     GIR_EraseRootFromParent_Done,
     /* 2237737 */   // Label 27013: @2237737
     /* 2237737 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2237846), // Rule ID 17624 //
     /* 2237742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2237745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2237753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2237762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2237765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2237768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237788 */     // MIs[0] round
     /* 2237788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237791 */     // MIs[0] policy
     /* 2237791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237801 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2237801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237805 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237811 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2237818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237826 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237845 */     // GIR_Coverage, 17624,
     /* 2237845 */     GIR_EraseRootFromParent_Done,
     /* 2237846 */   // Label 27014: @2237846
     /* 2237846 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2237955), // Rule ID 17625 //
     /* 2237851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2237854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2237862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2237865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2237868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2237871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2237874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2237877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2237881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2237893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2237897 */     // MIs[0] round
     /* 2237897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2237900 */     // MIs[0] policy
     /* 2237900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2237903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2237910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2237910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2237914 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237920 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2237924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2237927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2237931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2237933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2237935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2237941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2237943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2237948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2237953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237954 */     // GIR_Coverage, 17625,
     /* 2237954 */     GIR_EraseRootFromParent_Done,
     /* 2237955 */   // Label 27015: @2237955
     /* 2237955 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2238064), // Rule ID 17628 //
     /* 2237960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2237963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2237968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2237971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2237974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2237977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2237980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2237983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2237986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2237990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238006 */     // MIs[0] round
     /* 2238006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238009 */     // MIs[0] policy
     /* 2238009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238019 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2238019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238023 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2238036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238044 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238063 */     // GIR_Coverage, 17628,
     /* 2238063 */     GIR_EraseRootFromParent_Done,
     /* 2238064 */   // Label 27016: @2238064
     /* 2238064 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2238173), // Rule ID 17629 //
     /* 2238069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2238080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2238083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2238086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2238089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2238092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2238095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2238099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238115 */     // MIs[0] round
     /* 2238115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238118 */     // MIs[0] policy
     /* 2238118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238128 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2238128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238132 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238138 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2238145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238153 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238172 */     // GIR_Coverage, 17629,
     /* 2238172 */     GIR_EraseRootFromParent_Done,
     /* 2238173 */   // Label 27017: @2238173
     /* 2238173 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2238282), // Rule ID 17632 //
     /* 2238178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2238181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2238189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2238192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2238195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2238198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2238201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2238204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2238208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238224 */     // MIs[0] round
     /* 2238224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238227 */     // MIs[0] policy
     /* 2238227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238237 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2238237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238241 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238247 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2238254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238262 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238281 */     // GIR_Coverage, 17632,
     /* 2238281 */     GIR_EraseRootFromParent_Done,
     /* 2238282 */   // Label 27018: @2238282
     /* 2238282 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2238391), // Rule ID 17633 //
     /* 2238287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2238298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2238301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2238304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2238307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2238310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2238313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2238317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238333 */     // MIs[0] round
     /* 2238333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238336 */     // MIs[0] policy
     /* 2238336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238346 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2238346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238350 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238356 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2238363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238371 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238390 */     // GIR_Coverage, 17633,
     /* 2238390 */     GIR_EraseRootFromParent_Done,
     /* 2238391 */   // Label 27019: @2238391
     /* 2238391 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2238500), // Rule ID 17636 //
     /* 2238396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2238399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2238407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2238410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2238413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2238416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2238419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2238422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2238426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238442 */     // MIs[0] round
     /* 2238442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238445 */     // MIs[0] policy
     /* 2238445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238455 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2238455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2238472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238499 */     // GIR_Coverage, 17636,
     /* 2238499 */     GIR_EraseRootFromParent_Done,
     /* 2238500 */   // Label 27020: @2238500
     /* 2238500 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2238609), // Rule ID 17637 //
     /* 2238505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2238508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2238516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2238519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2238522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2238525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2238528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2238531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2238535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2238547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238551 */     // MIs[0] round
     /* 2238551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238554 */     // MIs[0] policy
     /* 2238554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238564 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2238564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238568 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238574 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2238581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238589 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238608 */     // GIR_Coverage, 17637,
     /* 2238608 */     GIR_EraseRootFromParent_Done,
     /* 2238609 */   // Label 27021: @2238609
     /* 2238609 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2238718), // Rule ID 17640 //
     /* 2238614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2238617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2238625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2238634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2238637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2238640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2238644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238660 */     // MIs[0] round
     /* 2238660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238663 */     // MIs[0] policy
     /* 2238663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238673 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2238673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2238690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238698 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238717 */     // GIR_Coverage, 17640,
     /* 2238717 */     GIR_EraseRootFromParent_Done,
     /* 2238718 */   // Label 27022: @2238718
     /* 2238718 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2238827), // Rule ID 17641 //
     /* 2238723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2238726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2238734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2238737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2238740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2238743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2238746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2238749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2238753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2238765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238769 */     // MIs[0] round
     /* 2238769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238772 */     // MIs[0] policy
     /* 2238772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2238782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2238799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238826 */     // GIR_Coverage, 17641,
     /* 2238826 */     GIR_EraseRootFromParent_Done,
     /* 2238827 */   // Label 27023: @2238827
     /* 2238827 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2238936), // Rule ID 17644 //
     /* 2238832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2238835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2238843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2238852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2238855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2238858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2238862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238878 */     // MIs[0] round
     /* 2238878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238881 */     // MIs[0] policy
     /* 2238881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2238891 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2238891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2238895 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238901 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2238905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2238908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2238912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2238914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2238916 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2238922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2238924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2238929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2238934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238935 */     // GIR_Coverage, 17644,
     /* 2238935 */     GIR_EraseRootFromParent_Done,
     /* 2238936 */   // Label 27024: @2238936
     /* 2238936 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2239045), // Rule ID 17645 //
     /* 2238941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2238944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2238949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2238952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2238955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2238958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2238961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2238964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2238967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2238971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2238983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2238987 */     // MIs[0] round
     /* 2238987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2238990 */     // MIs[0] policy
     /* 2238990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2238993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239000 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2239000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239004 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239010 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2239017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239044 */     // GIR_Coverage, 17645,
     /* 2239044 */     GIR_EraseRootFromParent_Done,
     /* 2239045 */   // Label 27025: @2239045
     /* 2239045 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2239154), // Rule ID 17648 //
     /* 2239050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2239053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2239061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2239064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2239067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2239070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2239073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2239076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2239080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239096 */     // MIs[0] round
     /* 2239096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239099 */     // MIs[0] policy
     /* 2239099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239109 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2239109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239113 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239119 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2239126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239153 */     // GIR_Coverage, 17648,
     /* 2239153 */     GIR_EraseRootFromParent_Done,
     /* 2239154 */   // Label 27026: @2239154
     /* 2239154 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2239263), // Rule ID 17649 //
     /* 2239159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2239162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2239170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2239173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2239176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2239179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2239182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2239185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2239189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239205 */     // MIs[0] round
     /* 2239205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239208 */     // MIs[0] policy
     /* 2239208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239218 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2239218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239222 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239228 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2239235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239243 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239262 */     // GIR_Coverage, 17649,
     /* 2239262 */     GIR_EraseRootFromParent_Done,
     /* 2239263 */   // Label 27027: @2239263
     /* 2239263 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2239372), // Rule ID 17652 //
     /* 2239268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2239271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2239279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2239288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2239291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2239294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2239298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239314 */     // MIs[0] round
     /* 2239314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239317 */     // MIs[0] policy
     /* 2239317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239327 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2239327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239331 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239337 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2239344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239352 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239371 */     // GIR_Coverage, 17652,
     /* 2239371 */     GIR_EraseRootFromParent_Done,
     /* 2239372 */   // Label 27028: @2239372
     /* 2239372 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2239481), // Rule ID 17653 //
     /* 2239377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2239380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2239388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2239391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2239394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2239397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2239400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2239403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2239407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239423 */     // MIs[0] round
     /* 2239423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239426 */     // MIs[0] policy
     /* 2239426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2239436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239440 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239446 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2239453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239461 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239480 */     // GIR_Coverage, 17653,
     /* 2239480 */     GIR_EraseRootFromParent_Done,
     /* 2239481 */   // Label 27029: @2239481
     /* 2239481 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2239590), // Rule ID 17656 //
     /* 2239486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2239489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2239497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2239506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2239509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2239512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2239516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239532 */     // MIs[0] round
     /* 2239532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239535 */     // MIs[0] policy
     /* 2239535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239545 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2239545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239549 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239555 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2239562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239570 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239589 */     // GIR_Coverage, 17656,
     /* 2239589 */     GIR_EraseRootFromParent_Done,
     /* 2239590 */   // Label 27030: @2239590
     /* 2239590 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2239699), // Rule ID 17657 //
     /* 2239595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2239598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2239606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2239612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2239615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2239618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2239621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2239625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239641 */     // MIs[0] round
     /* 2239641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239644 */     // MIs[0] policy
     /* 2239644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2239654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239658 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239664 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2239671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239679 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239698 */     // GIR_Coverage, 17657,
     /* 2239698 */     GIR_EraseRootFromParent_Done,
     /* 2239699 */   // Label 27031: @2239699
     /* 2239699 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2239808), // Rule ID 17660 //
     /* 2239704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2239707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2239715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2239724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2239727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2239730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2239734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239750 */     // MIs[0] round
     /* 2239750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239753 */     // MIs[0] policy
     /* 2239753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239763 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2239763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239767 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239773 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2239780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239788 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239807 */     // GIR_Coverage, 17660,
     /* 2239807 */     GIR_EraseRootFromParent_Done,
     /* 2239808 */   // Label 27032: @2239808
     /* 2239808 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2239917), // Rule ID 17661 //
     /* 2239813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2239816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2239824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2239830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2239833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2239836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2239839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2239843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239859 */     // MIs[0] round
     /* 2239859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239862 */     // MIs[0] policy
     /* 2239862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239872 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2239872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2239889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2239893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2239895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2239897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2239903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2239905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2239910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2239915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239916 */     // GIR_Coverage, 17661,
     /* 2239916 */     GIR_EraseRootFromParent_Done,
     /* 2239917 */   // Label 27033: @2239917
     /* 2239917 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2240026), // Rule ID 17664 //
     /* 2239922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2239925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2239930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2239933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2239936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2239939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2239942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2239945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2239948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2239952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2239960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2239968 */     // MIs[0] round
     /* 2239968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2239971 */     // MIs[0] policy
     /* 2239971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2239974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2239981 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2239981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2239985 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239991 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2239995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2239998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240006 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240025 */     // GIR_Coverage, 17664,
     /* 2240025 */     GIR_EraseRootFromParent_Done,
     /* 2240026 */   // Label 27034: @2240026
     /* 2240026 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2240135), // Rule ID 17665 //
     /* 2240031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2240034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2240042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2240045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2240048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2240051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2240054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2240057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240077 */     // MIs[0] round
     /* 2240077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240080 */     // MIs[0] policy
     /* 2240080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240090 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2240090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240094 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240100 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2240107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240115 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240134 */     // GIR_Coverage, 17665,
     /* 2240134 */     GIR_EraseRootFromParent_Done,
     /* 2240135 */   // Label 27035: @2240135
     /* 2240135 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2240244), // Rule ID 17668 //
     /* 2240140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2240143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2240151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2240157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2240160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2240163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2240166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240186 */     // MIs[0] round
     /* 2240186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240189 */     // MIs[0] policy
     /* 2240189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240199 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2240199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2240216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240243 */     // GIR_Coverage, 17668,
     /* 2240243 */     GIR_EraseRootFromParent_Done,
     /* 2240244 */   // Label 27036: @2240244
     /* 2240244 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2240353), // Rule ID 17669 //
     /* 2240249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2240252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2240260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2240263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2240266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2240269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2240272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2240275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240295 */     // MIs[0] round
     /* 2240295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240298 */     // MIs[0] policy
     /* 2240298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2240308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2240325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240333 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240352 */     // GIR_Coverage, 17669,
     /* 2240352 */     GIR_EraseRootFromParent_Done,
     /* 2240353 */   // Label 27037: @2240353
     /* 2240353 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2240462), // Rule ID 17672 //
     /* 2240358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2240361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2240369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2240378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2240381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2240384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240404 */     // MIs[0] round
     /* 2240404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240407 */     // MIs[0] policy
     /* 2240407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240417 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2240417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240421 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240427 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2240434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240442 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240461 */     // GIR_Coverage, 17672,
     /* 2240461 */     GIR_EraseRootFromParent_Done,
     /* 2240462 */   // Label 27038: @2240462
     /* 2240462 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2240571), // Rule ID 17673 //
     /* 2240467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2240470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2240478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2240481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2240487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2240490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2240493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240513 */     // MIs[0] round
     /* 2240513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240516 */     // MIs[0] policy
     /* 2240516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240526 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2240526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240530 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240536 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2240543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240551 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240570 */     // GIR_Coverage, 17673,
     /* 2240570 */     GIR_EraseRootFromParent_Done,
     /* 2240571 */   // Label 27039: @2240571
     /* 2240571 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2240680), // Rule ID 17676 //
     /* 2240576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2240579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2240587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2240593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2240596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2240599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2240602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240622 */     // MIs[0] round
     /* 2240622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240625 */     // MIs[0] policy
     /* 2240625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240635 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2240635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240639 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2240652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240660 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240679 */     // GIR_Coverage, 17676,
     /* 2240679 */     GIR_EraseRootFromParent_Done,
     /* 2240680 */   // Label 27040: @2240680
     /* 2240680 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2240789), // Rule ID 17677 //
     /* 2240685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2240688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2240696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2240699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2240702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2240705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2240708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2240711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2240723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240731 */     // MIs[0] round
     /* 2240731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240734 */     // MIs[0] policy
     /* 2240734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240744 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10840:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2240744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240748 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240754 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2240761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240769 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240788 */     // GIR_Coverage, 17677,
     /* 2240788 */     GIR_EraseRootFromParent_Done,
     /* 2240789 */   // Label 27041: @2240789
     /* 2240789 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2240898), // Rule ID 17680 //
     /* 2240794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2240797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2240805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2240814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2240817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2240820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240840 */     // MIs[0] round
     /* 2240840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240843 */     // MIs[0] policy
     /* 2240843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240853 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2240853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240857 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240863 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2240870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2240891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2240896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240897 */     // GIR_Coverage, 17680,
     /* 2240897 */     GIR_EraseRootFromParent_Done,
     /* 2240898 */   // Label 27042: @2240898
     /* 2240898 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2241007), // Rule ID 17681 //
     /* 2240903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2240906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2240911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2240914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2240917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2240920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2240923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2240926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2240929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2240933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2240941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2240945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2240949 */     // MIs[0] round
     /* 2240949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2240952 */     // MIs[0] policy
     /* 2240952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2240955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2240962 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10840:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2240962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2240966 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2240976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2240979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2240983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2240985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2240987 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2240993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2240995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241006 */     // GIR_Coverage, 17681,
     /* 2241006 */     GIR_EraseRootFromParent_Done,
     /* 2241007 */   // Label 27043: @2241007
     /* 2241007 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2241116), // Rule ID 17684 //
     /* 2241012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2241015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2241023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2241029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2241032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2241035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2241038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2241042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2241050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241058 */     // MIs[0] round
     /* 2241058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241061 */     // MIs[0] policy
     /* 2241061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241071 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2241071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241075 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241081 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2241088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241096 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241115 */     // GIR_Coverage, 17684,
     /* 2241115 */     GIR_EraseRootFromParent_Done,
     /* 2241116 */   // Label 27044: @2241116
     /* 2241116 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2241225), // Rule ID 17685 //
     /* 2241121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2241124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2241132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2241138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2241141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2241144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2241147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2241151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2241159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241167 */     // MIs[0] round
     /* 2241167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241170 */     // MIs[0] policy
     /* 2241170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10840:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2241180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2241197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241205 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241224 */     // GIR_Coverage, 17685,
     /* 2241224 */     GIR_EraseRootFromParent_Done,
     /* 2241225 */   // Label 27045: @2241225
     /* 2241225 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2241334), // Rule ID 17688 //
     /* 2241230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2241233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2241241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2241250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2241253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2241256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2241260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241276 */     // MIs[0] round
     /* 2241276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241279 */     // MIs[0] policy
     /* 2241279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241289 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2241289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2241306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241333 */     // GIR_Coverage, 17688,
     /* 2241333 */     GIR_EraseRootFromParent_Done,
     /* 2241334 */   // Label 27046: @2241334
     /* 2241334 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2241443), // Rule ID 17689 //
     /* 2241339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2241342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2241350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2241353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2241359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2241362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2241365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2241369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241385 */     // MIs[0] round
     /* 2241385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241388 */     // MIs[0] policy
     /* 2241388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241398 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2241398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241402 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241408 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2241415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241423 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241442 */     // GIR_Coverage, 17689,
     /* 2241442 */     GIR_EraseRootFromParent_Done,
     /* 2241443 */   // Label 27047: @2241443
     /* 2241443 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2241552), // Rule ID 17692 //
     /* 2241448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2241451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2241459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2241468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2241471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2241474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2241478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241494 */     // MIs[0] round
     /* 2241494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241497 */     // MIs[0] policy
     /* 2241497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241507 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2241507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241511 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241517 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2241524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241532 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241551 */     // GIR_Coverage, 17692,
     /* 2241551 */     GIR_EraseRootFromParent_Done,
     /* 2241552 */   // Label 27048: @2241552
     /* 2241552 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2241661), // Rule ID 17693 //
     /* 2241557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2241560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2241568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2241571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2241577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2241580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2241583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2241587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2241599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241603 */     // MIs[0] round
     /* 2241603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241606 */     // MIs[0] policy
     /* 2241606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241616 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2241616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241620 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241626 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2241633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241641 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241660 */     // GIR_Coverage, 17693,
     /* 2241660 */     GIR_EraseRootFromParent_Done,
     /* 2241661 */   // Label 27049: @2241661
     /* 2241661 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2241770), // Rule ID 17696 //
     /* 2241666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2241669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2241677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2241680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2241686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2241689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2241692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2241696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241712 */     // MIs[0] round
     /* 2241712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241715 */     // MIs[0] policy
     /* 2241715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241725 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2241725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2241742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241769 */     // GIR_Coverage, 17696,
     /* 2241769 */     GIR_EraseRootFromParent_Done,
     /* 2241770 */   // Label 27050: @2241770
     /* 2241770 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2241879), // Rule ID 17697 //
     /* 2241775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2241778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2241786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2241789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2241792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2241795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2241798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2241801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2241805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2241813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2241817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241821 */     // MIs[0] round
     /* 2241821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241824 */     // MIs[0] policy
     /* 2241824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241834 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2241834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2241851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241859 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241878 */     // GIR_Coverage, 17697,
     /* 2241878 */     GIR_EraseRootFromParent_Done,
     /* 2241879 */   // Label 27051: @2241879
     /* 2241879 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2241988), // Rule ID 17700 //
     /* 2241884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2241887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2241892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2241895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2241898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2241901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2241904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2241907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2241910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2241914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2241922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2241930 */     // MIs[0] round
     /* 2241930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2241933 */     // MIs[0] policy
     /* 2241933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2241936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2241943 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2241943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2241947 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241953 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2241957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2241960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2241964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2241966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2241968 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2241974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2241976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2241981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2241986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241987 */     // GIR_Coverage, 17700,
     /* 2241987 */     GIR_EraseRootFromParent_Done,
     /* 2241988 */   // Label 27052: @2241988
     /* 2241988 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2242097), // Rule ID 17701 //
     /* 2241993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2241996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2242004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2242013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2242016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2242019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2242023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2242031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242039 */     // MIs[0] round
     /* 2242039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242042 */     // MIs[0] policy
     /* 2242042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2242052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242056 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2242069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242077 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242096 */     // GIR_Coverage, 17701,
     /* 2242096 */     GIR_EraseRootFromParent_Done,
     /* 2242097 */   // Label 27053: @2242097
     /* 2242097 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2242206), // Rule ID 17704 //
     /* 2242102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2242105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2242113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2242122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2242125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2242128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2242132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2242140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242148 */     // MIs[0] round
     /* 2242148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242151 */     // MIs[0] policy
     /* 2242151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242161 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2242161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242165 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2242178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242186 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242205 */     // GIR_Coverage, 17704,
     /* 2242205 */     GIR_EraseRootFromParent_Done,
     /* 2242206 */   // Label 27054: @2242206
     /* 2242206 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2242315), // Rule ID 17705 //
     /* 2242211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2242214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2242222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2242231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2242234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2242237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2242241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2242249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242257 */     // MIs[0] round
     /* 2242257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242260 */     // MIs[0] policy
     /* 2242260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242270 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2242270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242274 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242280 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2242287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242295 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242314 */     // GIR_Coverage, 17705,
     /* 2242314 */     GIR_EraseRootFromParent_Done,
     /* 2242315 */   // Label 27055: @2242315
     /* 2242315 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2242424), // Rule ID 17708 //
     /* 2242320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2242323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2242331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2242340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2242343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2242346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2242350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2242358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242366 */     // MIs[0] round
     /* 2242366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242369 */     // MIs[0] policy
     /* 2242369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242379 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2242379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2242396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242423 */     // GIR_Coverage, 17708,
     /* 2242423 */     GIR_EraseRootFromParent_Done,
     /* 2242424 */   // Label 27056: @2242424
     /* 2242424 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2242533), // Rule ID 17709 //
     /* 2242429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2242432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2242440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2242443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2242446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2242449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2242452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2242455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2242459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2242467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242475 */     // MIs[0] round
     /* 2242475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242478 */     // MIs[0] policy
     /* 2242478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2242488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242492 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242498 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2242505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242513 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242532 */     // GIR_Coverage, 17709,
     /* 2242532 */     GIR_EraseRootFromParent_Done,
     /* 2242533 */   // Label 27057: @2242533
     /* 2242533 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2242642), // Rule ID 17712 //
     /* 2242538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2242541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2242549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2242558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2242561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2242564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2242568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2242576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242584 */     // MIs[0] round
     /* 2242584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242587 */     // MIs[0] policy
     /* 2242587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242597 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2242597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2242614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242641 */     // GIR_Coverage, 17712,
     /* 2242641 */     GIR_EraseRootFromParent_Done,
     /* 2242642 */   // Label 27058: @2242642
     /* 2242642 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2242751), // Rule ID 17713 //
     /* 2242647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2242650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2242658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2242661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2242667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2242670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2242673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2242677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2242685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242693 */     // MIs[0] round
     /* 2242693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242696 */     // MIs[0] policy
     /* 2242696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242706 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10840:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2242706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242710 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242716 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2242723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242731 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242750 */     // GIR_Coverage, 17713,
     /* 2242750 */     GIR_EraseRootFromParent_Done,
     /* 2242751 */   // Label 27059: @2242751
     /* 2242751 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2242860), // Rule ID 17716 //
     /* 2242756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2242759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2242767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2242776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2242779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2242782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2242786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2242794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242802 */     // MIs[0] round
     /* 2242802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242805 */     // MIs[0] policy
     /* 2242805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242815 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2242815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2242832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242840 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242859 */     // GIR_Coverage, 17716,
     /* 2242859 */     GIR_EraseRootFromParent_Done,
     /* 2242860 */   // Label 27060: @2242860
     /* 2242860 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2242969), // Rule ID 17717 //
     /* 2242865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2242868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2242876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2242885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2242888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2242891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2242895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2242903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2242911 */     // MIs[0] round
     /* 2242911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2242914 */     // MIs[0] policy
     /* 2242914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2242917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2242924 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10840:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2242924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2242928 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242934 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2242938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2242941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2242945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2242947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2242949 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2242955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2242957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2242962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2242967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242968 */     // GIR_Coverage, 17717,
     /* 2242968 */     GIR_EraseRootFromParent_Done,
     /* 2242969 */   // Label 27061: @2242969
     /* 2242969 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2243078), // Rule ID 17720 //
     /* 2242974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2242977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2242982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2242985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2242991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2242994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2242997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2243000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2243004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2243012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243020 */     // MIs[0] round
     /* 2243020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243023 */     // MIs[0] policy
     /* 2243023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243033 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2243033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2243050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243058 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243077 */     // GIR_Coverage, 17720,
     /* 2243077 */     GIR_EraseRootFromParent_Done,
     /* 2243078 */   // Label 27062: @2243078
     /* 2243078 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2243187), // Rule ID 17721 //
     /* 2243083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2243086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2243091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2243094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2243097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2243100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2243103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2243106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2243109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2243113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2243121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243129 */     // MIs[0] round
     /* 2243129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243132 */     // MIs[0] policy
     /* 2243132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243142 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10840:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2243142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243146 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243152 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2243159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243167 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2243183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243186 */     // GIR_Coverage, 17721,
     /* 2243186 */     GIR_EraseRootFromParent_Done,
     /* 2243187 */   // Label 27063: @2243187
     /* 2243187 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2243296), // Rule ID 17724 //
     /* 2243192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2243195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2243203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2243212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2243215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2243218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243238 */     // MIs[0] round
     /* 2243238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243241 */     // MIs[0] policy
     /* 2243241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243251 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2243251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2243268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243276 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243295 */     // GIR_Coverage, 17724,
     /* 2243295 */     GIR_EraseRootFromParent_Done,
     /* 2243296 */   // Label 27064: @2243296
     /* 2243296 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2243405), // Rule ID 17725 //
     /* 2243301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2243304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2243312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2243315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2243318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2243321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2243324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2243327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243347 */     // MIs[0] round
     /* 2243347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243350 */     // MIs[0] policy
     /* 2243350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2243360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243364 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243370 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2243377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243404 */     // GIR_Coverage, 17725,
     /* 2243404 */     GIR_EraseRootFromParent_Done,
     /* 2243405 */   // Label 27065: @2243405
     /* 2243405 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2243514), // Rule ID 17728 //
     /* 2243410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2243413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2243421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2243424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2243427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2243430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2243433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2243436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243456 */     // MIs[0] round
     /* 2243456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243459 */     // MIs[0] policy
     /* 2243459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243469 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2243469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2243486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243513 */     // GIR_Coverage, 17728,
     /* 2243513 */     GIR_EraseRootFromParent_Done,
     /* 2243514 */   // Label 27066: @2243514
     /* 2243514 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2243623), // Rule ID 17729 //
     /* 2243519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2243522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2243530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2243533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2243536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2243539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2243542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2243545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243565 */     // MIs[0] round
     /* 2243565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243568 */     // MIs[0] policy
     /* 2243568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243578 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2243578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243582 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243588 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2243595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243603 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243622 */     // GIR_Coverage, 17729,
     /* 2243622 */     GIR_EraseRootFromParent_Done,
     /* 2243623 */   // Label 27067: @2243623
     /* 2243623 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2243732), // Rule ID 17732 //
     /* 2243628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2243631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2243639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2243648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2243651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2243654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243674 */     // MIs[0] round
     /* 2243674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243677 */     // MIs[0] policy
     /* 2243677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243687 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2243687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243691 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243697 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2243704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243712 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243731 */     // GIR_Coverage, 17732,
     /* 2243731 */     GIR_EraseRootFromParent_Done,
     /* 2243732 */   // Label 27068: @2243732
     /* 2243732 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2243841), // Rule ID 17733 //
     /* 2243737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2243740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2243748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2243751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2243754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2243757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2243760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2243763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243783 */     // MIs[0] round
     /* 2243783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243786 */     // MIs[0] policy
     /* 2243786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243796 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2243796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243800 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243806 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2243813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243821 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243840 */     // GIR_Coverage, 17733,
     /* 2243840 */     GIR_EraseRootFromParent_Done,
     /* 2243841 */   // Label 27069: @2243841
     /* 2243841 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2243950), // Rule ID 17736 //
     /* 2243846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2243849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2243857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2243866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2243869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2243872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2243892 */     // MIs[0] round
     /* 2243892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2243895 */     // MIs[0] policy
     /* 2243895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2243898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2243905 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2243905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2243909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2243919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2243922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2243926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2243928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2243930 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2243938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2243943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2243948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243949 */     // GIR_Coverage, 17736,
     /* 2243949 */     GIR_EraseRootFromParent_Done,
     /* 2243950 */   // Label 27070: @2243950
     /* 2243950 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2244059), // Rule ID 17737 //
     /* 2243955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2243958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2243963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2243966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2243969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2243972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2243975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2243978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2243981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2243985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2243997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244001 */     // MIs[0] round
     /* 2244001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244004 */     // MIs[0] policy
     /* 2244004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2244014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244018 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244024 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2244031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244039 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244058 */     // GIR_Coverage, 17737,
     /* 2244058 */     GIR_EraseRootFromParent_Done,
     /* 2244059 */   // Label 27071: @2244059
     /* 2244059 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2244168), // Rule ID 17740 //
     /* 2244064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2244067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2244075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2244084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2244087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2244090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2244094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244110 */     // MIs[0] round
     /* 2244110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244113 */     // MIs[0] policy
     /* 2244113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244123 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2244123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244127 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244133 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2244140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244148 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244167 */     // GIR_Coverage, 17740,
     /* 2244167 */     GIR_EraseRootFromParent_Done,
     /* 2244168 */   // Label 27072: @2244168
     /* 2244168 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2244277), // Rule ID 17741 //
     /* 2244173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2244176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2244184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2244187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2244190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2244193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2244196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2244199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2244203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244219 */     // MIs[0] round
     /* 2244219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244222 */     // MIs[0] policy
     /* 2244222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2244232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244236 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244242 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2244249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2244273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244276 */     // GIR_Coverage, 17741,
     /* 2244276 */     GIR_EraseRootFromParent_Done,
     /* 2244277 */   // Label 27073: @2244277
     /* 2244277 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2244386), // Rule ID 17744 //
     /* 2244282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2244285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2244293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2244296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2244299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2244302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2244305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2244308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2244312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244328 */     // MIs[0] round
     /* 2244328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244331 */     // MIs[0] policy
     /* 2244331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244341 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2244341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244345 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244351 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2244358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244366 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244385 */     // GIR_Coverage, 17744,
     /* 2244385 */     GIR_EraseRootFromParent_Done,
     /* 2244386 */   // Label 27074: @2244386
     /* 2244386 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2244495), // Rule ID 17745 //
     /* 2244391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2244394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2244402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2244405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2244408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2244411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2244414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2244417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2244421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2244433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244437 */     // MIs[0] round
     /* 2244437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244440 */     // MIs[0] policy
     /* 2244440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244450 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2244450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2244467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2244491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244494 */     // GIR_Coverage, 17745,
     /* 2244494 */     GIR_EraseRootFromParent_Done,
     /* 2244495 */   // Label 27075: @2244495
     /* 2244495 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2244604), // Rule ID 17748 //
     /* 2244500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2244503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2244511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2244520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2244523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2244526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2244530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244546 */     // MIs[0] round
     /* 2244546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244549 */     // MIs[0] policy
     /* 2244549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244559 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2244559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2244576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244603 */     // GIR_Coverage, 17748,
     /* 2244603 */     GIR_EraseRootFromParent_Done,
     /* 2244604 */   // Label 27076: @2244604
     /* 2244604 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2244713), // Rule ID 17749 //
     /* 2244609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2244612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2244620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2244623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2244626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2244629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2244632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2244635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2244639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2244651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244655 */     // MIs[0] round
     /* 2244655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244658 */     // MIs[0] policy
     /* 2244658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2244668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244672 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244678 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2244685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244693 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244712 */     // GIR_Coverage, 17749,
     /* 2244712 */     GIR_EraseRootFromParent_Done,
     /* 2244713 */   // Label 27077: @2244713
     /* 2244713 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2244822), // Rule ID 17752 //
     /* 2244718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2244721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2244729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2244732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2244735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2244738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2244741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2244744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2244748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244764 */     // MIs[0] round
     /* 2244764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244767 */     // MIs[0] policy
     /* 2244767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244777 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2244777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244781 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244787 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2244794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244802 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244821 */     // GIR_Coverage, 17752,
     /* 2244821 */     GIR_EraseRootFromParent_Done,
     /* 2244822 */   // Label 27078: @2244822
     /* 2244822 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2244931), // Rule ID 17753 //
     /* 2244827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2244830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2244838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2244841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2244844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2244847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2244850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2244853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2244857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2244869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244873 */     // MIs[0] round
     /* 2244873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244876 */     // MIs[0] policy
     /* 2244876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244886 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2244886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244890 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244896 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2244900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2244903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2244907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2244909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2244911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2244919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2244924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2244927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2244929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2244930 */     // GIR_Coverage, 17753,
     /* 2244930 */     GIR_EraseRootFromParent_Done,
     /* 2244931 */   // Label 27079: @2244931
     /* 2244931 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2245040), // Rule ID 17756 //
     /* 2244936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2244939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2244944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2244947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2244950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2244953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2244956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2244959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2244962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2244966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2244978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2244982 */     // MIs[0] round
     /* 2244982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2244985 */     // MIs[0] policy
     /* 2244985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2244988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2244995 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2244995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2244999 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245005 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2245012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245020 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245039 */     // GIR_Coverage, 17756,
     /* 2245039 */     GIR_EraseRootFromParent_Done,
     /* 2245040 */   // Label 27080: @2245040
     /* 2245040 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2245149), // Rule ID 17757 //
     /* 2245045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2245048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2245056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2245059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2245062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2245065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2245068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2245071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2245075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245091 */     // MIs[0] round
     /* 2245091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245094 */     // MIs[0] policy
     /* 2245094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245104 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2245104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245108 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245114 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2245121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245129 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2245145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245148 */     // GIR_Coverage, 17757,
     /* 2245148 */     GIR_EraseRootFromParent_Done,
     /* 2245149 */   // Label 27081: @2245149
     /* 2245149 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2245258), // Rule ID 17760 //
     /* 2245154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2245157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2245165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2245174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2245177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2245180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2245184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245200 */     // MIs[0] round
     /* 2245200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245203 */     // MIs[0] policy
     /* 2245203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245213 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2245213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245217 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245223 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2245230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245238 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245257 */     // GIR_Coverage, 17760,
     /* 2245257 */     GIR_EraseRootFromParent_Done,
     /* 2245258 */   // Label 27082: @2245258
     /* 2245258 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2245367), // Rule ID 17761 //
     /* 2245263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2245266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2245274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2245277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2245280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2245283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2245286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2245289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2245293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245309 */     // MIs[0] round
     /* 2245309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245312 */     // MIs[0] policy
     /* 2245312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245322 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2245322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245326 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2245339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245347 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245366 */     // GIR_Coverage, 17761,
     /* 2245366 */     GIR_EraseRootFromParent_Done,
     /* 2245367 */   // Label 27083: @2245367
     /* 2245367 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2245476), // Rule ID 17764 //
     /* 2245372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2245375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2245383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2245392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2245395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2245398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2245402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245418 */     // MIs[0] round
     /* 2245418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245421 */     // MIs[0] policy
     /* 2245421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245431 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2245431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245435 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245441 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2245448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245456 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245475 */     // GIR_Coverage, 17764,
     /* 2245475 */     GIR_EraseRootFromParent_Done,
     /* 2245476 */   // Label 27084: @2245476
     /* 2245476 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2245585), // Rule ID 17765 //
     /* 2245481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2245484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2245492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2245495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2245498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2245501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2245504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2245507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2245511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2245523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245527 */     // MIs[0] round
     /* 2245527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245530 */     // MIs[0] policy
     /* 2245530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245540 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2245540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245544 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245550 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2245557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245565 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245584 */     // GIR_Coverage, 17765,
     /* 2245584 */     GIR_EraseRootFromParent_Done,
     /* 2245585 */   // Label 27085: @2245585
     /* 2245585 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2245694), // Rule ID 17768 //
     /* 2245590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2245593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2245601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2245610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2245613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2245616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2245620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245636 */     // MIs[0] round
     /* 2245636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245639 */     // MIs[0] policy
     /* 2245639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245649 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2245649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2245666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245693 */     // GIR_Coverage, 17768,
     /* 2245693 */     GIR_EraseRootFromParent_Done,
     /* 2245694 */   // Label 27086: @2245694
     /* 2245694 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2245803), // Rule ID 17769 //
     /* 2245699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2245702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2245710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2245713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2245716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2245719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2245722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2245725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2245729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2245741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245745 */     // MIs[0] round
     /* 2245745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245748 */     // MIs[0] policy
     /* 2245748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245758 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2245758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245762 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245768 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2245775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2245799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245802 */     // GIR_Coverage, 17769,
     /* 2245802 */     GIR_EraseRootFromParent_Done,
     /* 2245803 */   // Label 27087: @2245803
     /* 2245803 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2245912), // Rule ID 17772 //
     /* 2245808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2245811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2245819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2245828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2245831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2245834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2245838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245854 */     // MIs[0] round
     /* 2245854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245857 */     // MIs[0] policy
     /* 2245857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245867 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2245867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245871 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245877 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2245884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2245892 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2245900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2245905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2245908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2245910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2245911 */     // GIR_Coverage, 17772,
     /* 2245911 */     GIR_EraseRootFromParent_Done,
     /* 2245912 */   // Label 27088: @2245912
     /* 2245912 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2246021), // Rule ID 17773 //
     /* 2245917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2245920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2245925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2245928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2245931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2245934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2245937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2245940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2245943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2245947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2245959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2245963 */     // MIs[0] round
     /* 2245963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2245966 */     // MIs[0] policy
     /* 2245966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2245969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2245976 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2245976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2245980 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2245990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2245993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2245997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2245999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246001 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246020 */     // GIR_Coverage, 17773,
     /* 2246020 */     GIR_EraseRootFromParent_Done,
     /* 2246021 */   // Label 27089: @2246021
     /* 2246021 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2246130), // Rule ID 17776 //
     /* 2246026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2246029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2246037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2246046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2246049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2246052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2246056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246072 */     // MIs[0] round
     /* 2246072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246075 */     // MIs[0] policy
     /* 2246075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246085 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2246085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246089 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246095 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2246102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246110 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246129 */     // GIR_Coverage, 17776,
     /* 2246129 */     GIR_EraseRootFromParent_Done,
     /* 2246130 */   // Label 27090: @2246130
     /* 2246130 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2246239), // Rule ID 17777 //
     /* 2246135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2246138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2246146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2246149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2246152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2246155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2246158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2246161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2246165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2246177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246181 */     // MIs[0] round
     /* 2246181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246184 */     // MIs[0] policy
     /* 2246184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2246194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246198 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246204 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2246211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246238 */     // GIR_Coverage, 17777,
     /* 2246238 */     GIR_EraseRootFromParent_Done,
     /* 2246239 */   // Label 27091: @2246239
     /* 2246239 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2246348), // Rule ID 17780 //
     /* 2246244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2246247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2246255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2246264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2246267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2246270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2246274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246290 */     // MIs[0] round
     /* 2246290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246293 */     // MIs[0] policy
     /* 2246293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2246303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246307 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246313 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2246320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246347 */     // GIR_Coverage, 17780,
     /* 2246347 */     GIR_EraseRootFromParent_Done,
     /* 2246348 */   // Label 27092: @2246348
     /* 2246348 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2246457), // Rule ID 17781 //
     /* 2246353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2246356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2246364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2246367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2246370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2246373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2246376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2246379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2246383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2246395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246399 */     // MIs[0] round
     /* 2246399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246402 */     // MIs[0] policy
     /* 2246402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246412 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2246412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246416 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2246429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246437 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2246453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246456 */     // GIR_Coverage, 17781,
     /* 2246456 */     GIR_EraseRootFromParent_Done,
     /* 2246457 */   // Label 27093: @2246457
     /* 2246457 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2246566), // Rule ID 17784 //
     /* 2246462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2246465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2246473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2246482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2246485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2246488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2246492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246508 */     // MIs[0] round
     /* 2246508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246511 */     // MIs[0] policy
     /* 2246511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246521 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2246521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246525 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246531 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2246538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246546 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246565 */     // GIR_Coverage, 17784,
     /* 2246565 */     GIR_EraseRootFromParent_Done,
     /* 2246566 */   // Label 27094: @2246566
     /* 2246566 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2246675), // Rule ID 17785 //
     /* 2246571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2246574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2246582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2246585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2246591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2246594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2246597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2246601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246617 */     // MIs[0] round
     /* 2246617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246620 */     // MIs[0] policy
     /* 2246620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246630 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2246630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246634 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246640 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2246647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246655 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246674 */     // GIR_Coverage, 17785,
     /* 2246674 */     GIR_EraseRootFromParent_Done,
     /* 2246675 */   // Label 27095: @2246675
     /* 2246675 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2246784), // Rule ID 17788 //
     /* 2246680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2246683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2246691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2246700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2246703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2246706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2246710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246726 */     // MIs[0] round
     /* 2246726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246729 */     // MIs[0] policy
     /* 2246729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246739 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2246739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2246756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246783 */     // GIR_Coverage, 17788,
     /* 2246783 */     GIR_EraseRootFromParent_Done,
     /* 2246784 */   // Label 27096: @2246784
     /* 2246784 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2246893), // Rule ID 17789 //
     /* 2246789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2246792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2246800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2246803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2246806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2246809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2246812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2246815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2246819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2246827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246835 */     // MIs[0] round
     /* 2246835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246838 */     // MIs[0] policy
     /* 2246838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2246848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246852 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2246865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2246889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2246891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2246892 */     // GIR_Coverage, 17789,
     /* 2246892 */     GIR_EraseRootFromParent_Done,
     /* 2246893 */   // Label 27097: @2246893
     /* 2246893 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2247002), // Rule ID 17792 //
     /* 2246898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2246901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2246906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2246909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2246912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2246918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2246921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2246924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2246928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2246936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2246940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2246944 */     // MIs[0] round
     /* 2246944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2246947 */     // MIs[0] policy
     /* 2246947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2246950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2246957 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2246957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2246961 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2246971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2246974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2246978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2246980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2246982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2246990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2246995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2246998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247001 */     // GIR_Coverage, 17792,
     /* 2247001 */     GIR_EraseRootFromParent_Done,
     /* 2247002 */   // Label 27098: @2247002
     /* 2247002 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2247111), // Rule ID 17793 //
     /* 2247007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2247010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2247018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2247021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2247024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2247027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2247030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2247033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2247045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247053 */     // MIs[0] round
     /* 2247053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247056 */     // MIs[0] policy
     /* 2247056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247066 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2247066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247070 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2247083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247110 */     // GIR_Coverage, 17793,
     /* 2247110 */     GIR_EraseRootFromParent_Done,
     /* 2247111 */   // Label 27099: @2247111
     /* 2247111 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2247220), // Rule ID 17796 //
     /* 2247116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2247119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2247127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2247130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2247136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2247139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2247142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247162 */     // MIs[0] round
     /* 2247162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247165 */     // MIs[0] policy
     /* 2247165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247175 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2247175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247179 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247185 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2247192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247200 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247219 */     // GIR_Coverage, 17796,
     /* 2247219 */     GIR_EraseRootFromParent_Done,
     /* 2247220 */   // Label 27100: @2247220
     /* 2247220 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2247329), // Rule ID 17797 //
     /* 2247225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2247228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2247236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2247239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2247245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2247248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2247251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247271 */     // MIs[0] round
     /* 2247271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247274 */     // MIs[0] policy
     /* 2247274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247284 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10876:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2247284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247288 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247294 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2247301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247309 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247328 */     // GIR_Coverage, 17797,
     /* 2247328 */     GIR_EraseRootFromParent_Done,
     /* 2247329 */   // Label 27101: @2247329
     /* 2247329 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2247438), // Rule ID 17800 //
     /* 2247334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2247337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2247345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2247351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2247354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2247357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2247360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2247372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247380 */     // MIs[0] round
     /* 2247380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247383 */     // MIs[0] policy
     /* 2247383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247393 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2247393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247397 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2247410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247418 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247437 */     // GIR_Coverage, 17800,
     /* 2247437 */     GIR_EraseRootFromParent_Done,
     /* 2247438 */   // Label 27102: @2247438
     /* 2247438 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2247547), // Rule ID 17801 //
     /* 2247443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2247446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2247454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2247457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2247460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2247463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2247466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2247469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2247481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247489 */     // MIs[0] round
     /* 2247489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247492 */     // MIs[0] policy
     /* 2247492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10876:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2247502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247506 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247512 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2247519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247527 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2247543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247546 */     // GIR_Coverage, 17801,
     /* 2247546 */     GIR_EraseRootFromParent_Done,
     /* 2247547 */   // Label 27103: @2247547
     /* 2247547 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2247656), // Rule ID 17804 //
     /* 2247552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2247555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2247563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2247572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2247575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2247578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2247590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247598 */     // MIs[0] round
     /* 2247598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247601 */     // MIs[0] policy
     /* 2247601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247611 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2247611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247615 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247621 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2247628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247636 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247655 */     // GIR_Coverage, 17804,
     /* 2247655 */     GIR_EraseRootFromParent_Done,
     /* 2247656 */   // Label 27104: @2247656
     /* 2247656 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2247765), // Rule ID 17805 //
     /* 2247661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2247664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2247672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2247675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2247681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2247684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2247687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2247691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2247699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2247703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247707 */     // MIs[0] round
     /* 2247707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247710 */     // MIs[0] policy
     /* 2247710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247720 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10876:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2247720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247724 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247730 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2247737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247745 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2247761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247764 */     // GIR_Coverage, 17805,
     /* 2247764 */     GIR_EraseRootFromParent_Done,
     /* 2247765 */   // Label 27105: @2247765
     /* 2247765 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2247874), // Rule ID 17808 //
     /* 2247770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2247773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2247781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2247790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2247793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2247796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2247800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247816 */     // MIs[0] round
     /* 2247816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247819 */     // MIs[0] policy
     /* 2247819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247829 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2247829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2247846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247854 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247873 */     // GIR_Coverage, 17808,
     /* 2247873 */     GIR_EraseRootFromParent_Done,
     /* 2247874 */   // Label 27106: @2247874
     /* 2247874 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2247983), // Rule ID 17809 //
     /* 2247879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2247882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2247890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2247893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2247896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2247899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2247902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2247905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2247909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2247917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2247921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2247925 */     // MIs[0] round
     /* 2247925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2247928 */     // MIs[0] policy
     /* 2247928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2247931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2247938 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2247938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2247942 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247948 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2247952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2247955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2247959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2247961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2247963 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2247971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2247976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2247979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2247981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2247982 */     // GIR_Coverage, 17809,
     /* 2247982 */     GIR_EraseRootFromParent_Done,
     /* 2247983 */   // Label 27107: @2247983
     /* 2247983 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2248092), // Rule ID 17812 //
     /* 2247988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2247991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2247996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2247999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2248005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2248008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2248011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2248014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2248018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2248026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248034 */     // MIs[0] round
     /* 2248034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248037 */     // MIs[0] policy
     /* 2248037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248047 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2248047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248051 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248057 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2248064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248072 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248091 */     // GIR_Coverage, 17812,
     /* 2248091 */     GIR_EraseRootFromParent_Done,
     /* 2248092 */   // Label 27108: @2248092
     /* 2248092 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2248201), // Rule ID 17813 //
     /* 2248097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2248108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2248111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2248114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2248117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2248120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2248123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2248127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2248135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248143 */     // MIs[0] round
     /* 2248143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248146 */     // MIs[0] policy
     /* 2248146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248156 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2248156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248160 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248166 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2248173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248200 */     // GIR_Coverage, 17813,
     /* 2248200 */     GIR_EraseRootFromParent_Done,
     /* 2248201 */   // Label 27109: @2248201
     /* 2248201 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2248310), // Rule ID 17816 //
     /* 2248206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2248209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2248217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2248223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2248226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2248229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2248232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2248236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2248244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248252 */     // MIs[0] round
     /* 2248252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248255 */     // MIs[0] policy
     /* 2248255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248265 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2248265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248269 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248275 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2248282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248290 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248309 */     // GIR_Coverage, 17816,
     /* 2248309 */     GIR_EraseRootFromParent_Done,
     /* 2248310 */   // Label 27110: @2248310
     /* 2248310 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2248419), // Rule ID 17817 //
     /* 2248315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2248318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2248326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2248329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2248332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2248335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2248338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2248341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2248345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2248353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248361 */     // MIs[0] round
     /* 2248361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248364 */     // MIs[0] policy
     /* 2248364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248374 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2248374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248378 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248384 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2248391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2248415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248418 */     // GIR_Coverage, 17817,
     /* 2248418 */     GIR_EraseRootFromParent_Done,
     /* 2248419 */   // Label 27111: @2248419
     /* 2248419 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2248528), // Rule ID 17820 //
     /* 2248424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2248435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2248444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2248447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2248450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2248454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2248462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248470 */     // MIs[0] round
     /* 2248470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248473 */     // MIs[0] policy
     /* 2248473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248483 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2248483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248487 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248493 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2248500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248508 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248527 */     // GIR_Coverage, 17820,
     /* 2248527 */     GIR_EraseRootFromParent_Done,
     /* 2248528 */   // Label 27112: @2248528
     /* 2248528 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2248637), // Rule ID 17821 //
     /* 2248533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2248544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2248547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2248553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2248556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2248559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2248563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2248571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2248575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248579 */     // MIs[0] round
     /* 2248579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248582 */     // MIs[0] policy
     /* 2248582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248592 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2248592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248596 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248602 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2248609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248617 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248636 */     // GIR_Coverage, 17821,
     /* 2248636 */     GIR_EraseRootFromParent_Done,
     /* 2248637 */   // Label 27113: @2248637
     /* 2248637 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2248746), // Rule ID 17824 //
     /* 2248642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2248653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2248662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2248665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2248668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2248672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2248680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248688 */     // MIs[0] round
     /* 2248688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248691 */     // MIs[0] policy
     /* 2248691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248701 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2248701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248705 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2248718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248726 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248745 */     // GIR_Coverage, 17824,
     /* 2248745 */     GIR_EraseRootFromParent_Done,
     /* 2248746 */   // Label 27114: @2248746
     /* 2248746 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2248855), // Rule ID 17825 //
     /* 2248751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2248762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2248765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2248771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2248774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2248777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2248781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2248789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2248793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248797 */     // MIs[0] round
     /* 2248797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248800 */     // MIs[0] policy
     /* 2248800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248810 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2248810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248814 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248820 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2248827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248835 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248854 */     // GIR_Coverage, 17825,
     /* 2248854 */     GIR_EraseRootFromParent_Done,
     /* 2248855 */   // Label 27115: @2248855
     /* 2248855 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2248964), // Rule ID 17828 //
     /* 2248860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2248863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2248871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2248880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2248883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2248886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2248890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2248898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2248902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2248906 */     // MIs[0] round
     /* 2248906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2248909 */     // MIs[0] policy
     /* 2248909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2248912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2248919 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2248919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2248923 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248929 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2248933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2248936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2248940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2248942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2248944 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2248952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2248957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2248960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2248962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2248963 */     // GIR_Coverage, 17828,
     /* 2248963 */     GIR_EraseRootFromParent_Done,
     /* 2248964 */   // Label 27116: @2248964
     /* 2248964 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2249073), // Rule ID 17829 //
     /* 2248969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2248972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2248977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2248980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2248983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2248986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2248989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2248992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2248995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2248999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2249007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249015 */     // MIs[0] round
     /* 2249015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249018 */     // MIs[0] policy
     /* 2249018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2249028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249032 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2249045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249053 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249072 */     // GIR_Coverage, 17829,
     /* 2249072 */     GIR_EraseRootFromParent_Done,
     /* 2249073 */   // Label 27117: @2249073
     /* 2249073 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2249182), // Rule ID 17832 //
     /* 2249078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2249089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2249098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2249101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2249104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2249108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249124 */     // MIs[0] round
     /* 2249124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249127 */     // MIs[0] policy
     /* 2249127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249137 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2249137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249141 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249147 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2249154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249162 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249181 */     // GIR_Coverage, 17832,
     /* 2249181 */     GIR_EraseRootFromParent_Done,
     /* 2249182 */   // Label 27118: @2249182
     /* 2249182 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2249291), // Rule ID 17833 //
     /* 2249187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2249198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2249201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2249207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2249210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2249213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2249217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2249229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249233 */     // MIs[0] round
     /* 2249233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249236 */     // MIs[0] policy
     /* 2249236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249246 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10876:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2249246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249250 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249256 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2249263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249290 */     // GIR_Coverage, 17833,
     /* 2249290 */     GIR_EraseRootFromParent_Done,
     /* 2249291 */   // Label 27119: @2249291
     /* 2249291 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2249400), // Rule ID 17836 //
     /* 2249296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2249307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2249316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2249319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2249322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2249326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249342 */     // MIs[0] round
     /* 2249342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249345 */     // MIs[0] policy
     /* 2249345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249355 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2249355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249359 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249365 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2249372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249399 */     // GIR_Coverage, 17836,
     /* 2249399 */     GIR_EraseRootFromParent_Done,
     /* 2249400 */   // Label 27120: @2249400
     /* 2249400 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2249509), // Rule ID 17837 //
     /* 2249405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2249416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2249419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2249425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2249428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2249431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2249435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2249447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249451 */     // MIs[0] round
     /* 2249451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249454 */     // MIs[0] policy
     /* 2249454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249464 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10876:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2249464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249468 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249474 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2249481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249489 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249508 */     // GIR_Coverage, 17837,
     /* 2249508 */     GIR_EraseRootFromParent_Done,
     /* 2249509 */   // Label 27121: @2249509
     /* 2249509 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2249618), // Rule ID 17840 //
     /* 2249514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2249517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2249525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2249534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2249537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2249540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2249544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249560 */     // MIs[0] round
     /* 2249560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249563 */     // MIs[0] policy
     /* 2249563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249573 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2249573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249577 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249583 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2249590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249617 */     // GIR_Coverage, 17840,
     /* 2249617 */     GIR_EraseRootFromParent_Done,
     /* 2249618 */   // Label 27122: @2249618
     /* 2249618 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2249727), // Rule ID 17841 //
     /* 2249623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2249626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2249631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2249634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2249637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2249643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2249646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2249649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2249653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2249661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2249665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249669 */     // MIs[0] round
     /* 2249669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249672 */     // MIs[0] policy
     /* 2249672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249682 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10876:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2249682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249686 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249692 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2249699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249707 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249726 */     // GIR_Coverage, 17841,
     /* 2249726 */     GIR_EraseRootFromParent_Done,
     /* 2249727 */   // Label 27123: @2249727
     /* 2249727 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2249836), // Rule ID 17844 //
     /* 2249732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2249735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2249740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2249743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2249752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2249755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2249758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2249762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249778 */     // MIs[0] round
     /* 2249778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249781 */     // MIs[0] policy
     /* 2249781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249791 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2249791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249795 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249801 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2249808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249816 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249835 */     // GIR_Coverage, 17844,
     /* 2249835 */     GIR_EraseRootFromParent_Done,
     /* 2249836 */   // Label 27124: @2249836
     /* 2249836 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2249945), // Rule ID 17845 //
     /* 2249841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2249844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2249849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2249852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2249861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2249864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2249867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2249871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249887 */     // MIs[0] round
     /* 2249887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249890 */     // MIs[0] policy
     /* 2249890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2249893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2249900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2249900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2249904 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249910 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2249914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2249917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2249921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2249925 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2249931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2249933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2249938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2249943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2249944 */     // GIR_Coverage, 17845,
     /* 2249944 */     GIR_EraseRootFromParent_Done,
     /* 2249945 */   // Label 27125: @2249945
     /* 2249945 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2250054), // Rule ID 17848 //
     /* 2249950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2249953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2249958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2249961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2249964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2249967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2249970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2249973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2249976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2249980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2249996 */     // MIs[0] round
     /* 2249996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2249999 */     // MIs[0] policy
     /* 2249999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250009 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2250009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250013 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250019 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2250026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250053 */     // GIR_Coverage, 17848,
     /* 2250053 */     GIR_EraseRootFromParent_Done,
     /* 2250054 */   // Label 27126: @2250054
     /* 2250054 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2250163), // Rule ID 17849 //
     /* 2250059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2250070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2250073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2250076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2250079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2250082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2250085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250105 */     // MIs[0] round
     /* 2250105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250108 */     // MIs[0] policy
     /* 2250108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250118 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2250118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250122 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250128 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2250135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250143 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250162 */     // GIR_Coverage, 17849,
     /* 2250162 */     GIR_EraseRootFromParent_Done,
     /* 2250163 */   // Label 27127: @2250163
     /* 2250163 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2250272), // Rule ID 17852 //
     /* 2250168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2250179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2250188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2250191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2250194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250214 */     // MIs[0] round
     /* 2250214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250217 */     // MIs[0] policy
     /* 2250217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250227 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2250227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2250244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250252 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250271 */     // GIR_Coverage, 17852,
     /* 2250271 */     GIR_EraseRootFromParent_Done,
     /* 2250272 */   // Label 27128: @2250272
     /* 2250272 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2250381), // Rule ID 17853 //
     /* 2250277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2250280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2250288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2250297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2250300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2250303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250323 */     // MIs[0] round
     /* 2250323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250326 */     // MIs[0] policy
     /* 2250326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250336 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2250336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250340 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250346 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2250353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250361 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250380 */     // GIR_Coverage, 17853,
     /* 2250380 */     GIR_EraseRootFromParent_Done,
     /* 2250381 */   // Label 27129: @2250381
     /* 2250381 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2250490), // Rule ID 17856 //
     /* 2250386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2250389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2250397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2250406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2250409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2250412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250432 */     // MIs[0] round
     /* 2250432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250435 */     // MIs[0] policy
     /* 2250435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250445 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2250445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250449 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250455 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2250462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250470 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250489 */     // GIR_Coverage, 17856,
     /* 2250489 */     GIR_EraseRootFromParent_Done,
     /* 2250490 */   // Label 27130: @2250490
     /* 2250490 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2250599), // Rule ID 17857 //
     /* 2250495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2250498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2250506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2250509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2250512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2250515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2250518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2250521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250541 */     // MIs[0] round
     /* 2250541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250544 */     // MIs[0] policy
     /* 2250544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2250554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250558 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250564 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2250571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250579 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250598 */     // GIR_Coverage, 17857,
     /* 2250598 */     GIR_EraseRootFromParent_Done,
     /* 2250599 */   // Label 27131: @2250599
     /* 2250599 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2250708), // Rule ID 17860 //
     /* 2250604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2250607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2250615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2250624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2250627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2250630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250650 */     // MIs[0] round
     /* 2250650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250653 */     // MIs[0] policy
     /* 2250653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250663 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2250663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250667 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250673 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2250680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250688 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250707 */     // GIR_Coverage, 17860,
     /* 2250707 */     GIR_EraseRootFromParent_Done,
     /* 2250708 */   // Label 27132: @2250708
     /* 2250708 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2250817), // Rule ID 17861 //
     /* 2250713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2250716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2250724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2250727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2250730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2250733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2250736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2250739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250759 */     // MIs[0] round
     /* 2250759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250762 */     // MIs[0] policy
     /* 2250762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250772 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2250772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250776 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250782 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2250789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250797 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250816 */     // GIR_Coverage, 17861,
     /* 2250816 */     GIR_EraseRootFromParent_Done,
     /* 2250817 */   // Label 27133: @2250817
     /* 2250817 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2250926), // Rule ID 17864 //
     /* 2250822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2250825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2250833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2250842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2250845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2250848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250868 */     // MIs[0] round
     /* 2250868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250871 */     // MIs[0] policy
     /* 2250871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250881 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2250881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250885 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2250891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2250895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2250898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2250902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2250906 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2250912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2250914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2250919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2250924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2250925 */     // GIR_Coverage, 17864,
     /* 2250925 */     GIR_EraseRootFromParent_Done,
     /* 2250926 */   // Label 27134: @2250926
     /* 2250926 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2251035), // Rule ID 17865 //
     /* 2250931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2250934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2250939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2250942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2250951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2250954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2250957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2250961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2250977 */     // MIs[0] round
     /* 2250977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2250980 */     // MIs[0] policy
     /* 2250980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2250983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2250990 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2250990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2250994 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251000 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2251007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251015 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251034 */     // GIR_Coverage, 17865,
     /* 2251034 */     GIR_EraseRootFromParent_Done,
     /* 2251035 */   // Label 27135: @2251035
     /* 2251035 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2251144), // Rule ID 17868 //
     /* 2251040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2251051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2251060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2251063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2251066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2251070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251086 */     // MIs[0] round
     /* 2251086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251089 */     // MIs[0] policy
     /* 2251089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251099 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2251099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2251116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251143 */     // GIR_Coverage, 17868,
     /* 2251143 */     GIR_EraseRootFromParent_Done,
     /* 2251144 */   // Label 27136: @2251144
     /* 2251144 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2251253), // Rule ID 17869 //
     /* 2251149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2251160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2251163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2251166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2251169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2251172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2251175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2251179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251195 */     // MIs[0] round
     /* 2251195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251198 */     // MIs[0] policy
     /* 2251198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2251208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251212 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251218 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2251225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251233 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251252 */     // GIR_Coverage, 17869,
     /* 2251252 */     GIR_EraseRootFromParent_Done,
     /* 2251253 */   // Label 27137: @2251253
     /* 2251253 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2251362), // Rule ID 17872 //
     /* 2251258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2251269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2251278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2251281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2251284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2251288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251304 */     // MIs[0] round
     /* 2251304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251307 */     // MIs[0] policy
     /* 2251307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251317 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2251317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2251334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251342 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251361 */     // GIR_Coverage, 17872,
     /* 2251361 */     GIR_EraseRootFromParent_Done,
     /* 2251362 */   // Label 27138: @2251362
     /* 2251362 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2251471), // Rule ID 17873 //
     /* 2251367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2251378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2251381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2251384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2251387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2251390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2251393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2251397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251413 */     // MIs[0] round
     /* 2251413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251416 */     // MIs[0] policy
     /* 2251416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251426 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2251426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251430 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251436 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2251443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251451 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251470 */     // GIR_Coverage, 17873,
     /* 2251470 */     GIR_EraseRootFromParent_Done,
     /* 2251471 */   // Label 27139: @2251471
     /* 2251471 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2251580), // Rule ID 17876 //
     /* 2251476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2251479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2251487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2251496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2251499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2251502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2251506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251522 */     // MIs[0] round
     /* 2251522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251525 */     // MIs[0] policy
     /* 2251525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251535 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2251535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2251552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251560 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251579 */     // GIR_Coverage, 17876,
     /* 2251579 */     GIR_EraseRootFromParent_Done,
     /* 2251580 */   // Label 27140: @2251580
     /* 2251580 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2251689), // Rule ID 17877 //
     /* 2251585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2251588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2251596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2251599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2251602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2251605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2251608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2251611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2251615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2251627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251631 */     // MIs[0] round
     /* 2251631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251634 */     // MIs[0] policy
     /* 2251634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251644 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2251644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251648 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251654 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2251661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251669 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251688 */     // GIR_Coverage, 17877,
     /* 2251688 */     GIR_EraseRootFromParent_Done,
     /* 2251689 */   // Label 27141: @2251689
     /* 2251689 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2251798), // Rule ID 17880 //
     /* 2251694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2251697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2251705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2251714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2251717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2251720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2251724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251740 */     // MIs[0] round
     /* 2251740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251743 */     // MIs[0] policy
     /* 2251743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251753 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2251753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2251770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251778 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251797 */     // GIR_Coverage, 17880,
     /* 2251797 */     GIR_EraseRootFromParent_Done,
     /* 2251798 */   // Label 27142: @2251798
     /* 2251798 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2251907), // Rule ID 17881 //
     /* 2251803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2251806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2251814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2251817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2251820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2251823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2251826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2251829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2251833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2251845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251849 */     // MIs[0] round
     /* 2251849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251852 */     // MIs[0] policy
     /* 2251852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251862 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2251862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251866 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2251879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251887 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2251893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2251895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2251900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2251905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2251906 */     // GIR_Coverage, 17881,
     /* 2251906 */     GIR_EraseRootFromParent_Done,
     /* 2251907 */   // Label 27143: @2251907
     /* 2251907 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2252016), // Rule ID 17884 //
     /* 2251912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2251915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2251920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2251923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2251926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2251929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2251932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2251935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2251938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2251942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2251954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2251958 */     // MIs[0] round
     /* 2251958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2251961 */     // MIs[0] policy
     /* 2251961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2251964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2251971 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2251971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2251975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2251981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2251985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2251988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2251992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2251996 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252015 */     // GIR_Coverage, 17884,
     /* 2252015 */     GIR_EraseRootFromParent_Done,
     /* 2252016 */   // Label 27144: @2252016
     /* 2252016 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2252125), // Rule ID 17885 //
     /* 2252021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2252032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2252035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2252038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2252041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2252044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2252047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2252051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252067 */     // MIs[0] round
     /* 2252067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252070 */     // MIs[0] policy
     /* 2252070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2252080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252084 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252090 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2252097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252124 */     // GIR_Coverage, 17885,
     /* 2252124 */     GIR_EraseRootFromParent_Done,
     /* 2252125 */   // Label 27145: @2252125
     /* 2252125 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2252234), // Rule ID 17888 //
     /* 2252130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2252133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2252141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2252150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2252153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2252156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2252160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252176 */     // MIs[0] round
     /* 2252176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252179 */     // MIs[0] policy
     /* 2252179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252189 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2252189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2252206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252233 */     // GIR_Coverage, 17888,
     /* 2252233 */     GIR_EraseRootFromParent_Done,
     /* 2252234 */   // Label 27146: @2252234
     /* 2252234 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2252343), // Rule ID 17889 //
     /* 2252239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2252242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2252250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2252253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2252256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2252259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2252262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2252265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2252269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252285 */     // MIs[0] round
     /* 2252285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252288 */     // MIs[0] policy
     /* 2252288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252298 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2252298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2252315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252323 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252342 */     // GIR_Coverage, 17889,
     /* 2252342 */     GIR_EraseRootFromParent_Done,
     /* 2252343 */   // Label 27147: @2252343
     /* 2252343 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2252452), // Rule ID 17892 //
     /* 2252348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2252359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2252368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2252371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2252374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2252378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252394 */     // MIs[0] round
     /* 2252394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252397 */     // MIs[0] policy
     /* 2252397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252407 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2252407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252411 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252417 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2252424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252432 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252451 */     // GIR_Coverage, 17892,
     /* 2252451 */     GIR_EraseRootFromParent_Done,
     /* 2252452 */   // Label 27148: @2252452
     /* 2252452 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2252561), // Rule ID 17893 //
     /* 2252457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2252468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2252471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2252474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2252477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2252480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2252483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2252487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2252499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252503 */     // MIs[0] round
     /* 2252503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252506 */     // MIs[0] policy
     /* 2252506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252516 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2252516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252520 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252526 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2252533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252541 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252560 */     // GIR_Coverage, 17893,
     /* 2252560 */     GIR_EraseRootFromParent_Done,
     /* 2252561 */   // Label 27149: @2252561
     /* 2252561 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2252670), // Rule ID 17896 //
     /* 2252566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2252577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2252580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2252583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2252586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2252589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2252592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2252596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252612 */     // MIs[0] round
     /* 2252612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252615 */     // MIs[0] policy
     /* 2252615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252625 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2252625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252629 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252635 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2252642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252650 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252669 */     // GIR_Coverage, 17896,
     /* 2252669 */     GIR_EraseRootFromParent_Done,
     /* 2252670 */   // Label 27150: @2252670
     /* 2252670 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2252779), // Rule ID 17897 //
     /* 2252675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2252686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2252689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2252692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2252695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2252698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2252701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2252705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2252717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252721 */     // MIs[0] round
     /* 2252721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252724 */     // MIs[0] policy
     /* 2252724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2252734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2252751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252778 */     // GIR_Coverage, 17897,
     /* 2252778 */     GIR_EraseRootFromParent_Done,
     /* 2252779 */   // Label 27151: @2252779
     /* 2252779 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2252888), // Rule ID 17900 //
     /* 2252784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2252787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2252795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2252804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2252807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2252810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2252814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252830 */     // MIs[0] round
     /* 2252830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252833 */     // MIs[0] policy
     /* 2252833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252843 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2252843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252847 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252853 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2252860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252868 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252887 */     // GIR_Coverage, 17900,
     /* 2252887 */     GIR_EraseRootFromParent_Done,
     /* 2252888 */   // Label 27152: @2252888
     /* 2252888 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2252997), // Rule ID 17901 //
     /* 2252893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2252896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2252901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2252904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2252907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2252910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2252913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2252916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2252919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2252923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2252935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2252939 */     // MIs[0] round
     /* 2252939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2252942 */     // MIs[0] policy
     /* 2252942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2252945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2252952 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2252952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2252956 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2252962 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2252966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2252969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2252973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2252977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2252983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2252985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2252990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2252995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2252996 */     // GIR_Coverage, 17901,
     /* 2252996 */     GIR_EraseRootFromParent_Done,
     /* 2252997 */   // Label 27153: @2252997
     /* 2252997 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2253106), // Rule ID 17904 //
     /* 2253002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2253013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2253022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2253025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2253028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253048 */     // MIs[0] round
     /* 2253048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253051 */     // MIs[0] policy
     /* 2253051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253061 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2253061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253065 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253071 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2253078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253086 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253105 */     // GIR_Coverage, 17904,
     /* 2253105 */     GIR_EraseRootFromParent_Done,
     /* 2253106 */   // Label 27154: @2253106
     /* 2253106 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2253215), // Rule ID 17905 //
     /* 2253111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2253122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2253125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2253131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2253134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2253137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253157 */     // MIs[0] round
     /* 2253157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253160 */     // MIs[0] policy
     /* 2253160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253170 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2253170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253174 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253180 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2253187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253195 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253214 */     // GIR_Coverage, 17905,
     /* 2253214 */     GIR_EraseRootFromParent_Done,
     /* 2253215 */   // Label 27155: @2253215
     /* 2253215 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2253324), // Rule ID 17908 //
     /* 2253220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2253231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2253240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2253243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2253246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253266 */     // MIs[0] round
     /* 2253266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253269 */     // MIs[0] policy
     /* 2253269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253279 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2253279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253283 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253289 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2253296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253323 */     // GIR_Coverage, 17908,
     /* 2253323 */     GIR_EraseRootFromParent_Done,
     /* 2253324 */   // Label 27156: @2253324
     /* 2253324 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2253433), // Rule ID 17909 //
     /* 2253329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2253340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2253349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2253352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2253355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253375 */     // MIs[0] round
     /* 2253375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253378 */     // MIs[0] policy
     /* 2253378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2253388 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253392 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253398 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2253405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253413 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253432 */     // GIR_Coverage, 17909,
     /* 2253432 */     GIR_EraseRootFromParent_Done,
     /* 2253433 */   // Label 27157: @2253433
     /* 2253433 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2253542), // Rule ID 17912 //
     /* 2253438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2253449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2253458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2253461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2253464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253484 */     // MIs[0] round
     /* 2253484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253487 */     // MIs[0] policy
     /* 2253487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253497 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2253497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253501 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253507 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2253514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253522 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253541 */     // GIR_Coverage, 17912,
     /* 2253541 */     GIR_EraseRootFromParent_Done,
     /* 2253542 */   // Label 27158: @2253542
     /* 2253542 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2253651), // Rule ID 17913 //
     /* 2253547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2253558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2253567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2253570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2253573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253593 */     // MIs[0] round
     /* 2253593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253596 */     // MIs[0] policy
     /* 2253596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253606 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2253606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253610 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253616 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2253623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253650 */     // GIR_Coverage, 17913,
     /* 2253650 */     GIR_EraseRootFromParent_Done,
     /* 2253651 */   // Label 27159: @2253651
     /* 2253651 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2253760), // Rule ID 17916 //
     /* 2253656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2253659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2253667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2253676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2253679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2253682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253702 */     // MIs[0] round
     /* 2253702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253705 */     // MIs[0] policy
     /* 2253705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253715 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2253715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253719 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253725 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2253732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253740 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253759 */     // GIR_Coverage, 17916,
     /* 2253759 */     GIR_EraseRootFromParent_Done,
     /* 2253760 */   // Label 27160: @2253760
     /* 2253760 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2253869), // Rule ID 17917 //
     /* 2253765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2253768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2253776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2253779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2253782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2253785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2253788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2253791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2253803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253811 */     // MIs[0] round
     /* 2253811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253814 */     // MIs[0] policy
     /* 2253814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253824 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10849:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2253824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253828 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253834 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2253841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253868 */     // GIR_Coverage, 17917,
     /* 2253868 */     GIR_EraseRootFromParent_Done,
     /* 2253869 */   // Label 27161: @2253869
     /* 2253869 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2253978), // Rule ID 17920 //
     /* 2253874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2253877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2253885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2253891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2253894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2253897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2253900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2253904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2253912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2253920 */     // MIs[0] round
     /* 2253920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2253923 */     // MIs[0] policy
     /* 2253923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2253926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2253933 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2253933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2253937 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2253943 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2253947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2253950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2253954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2253958 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2253964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2253966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2253971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2253976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2253977 */     // GIR_Coverage, 17920,
     /* 2253977 */     GIR_EraseRootFromParent_Done,
     /* 2253978 */   // Label 27162: @2253978
     /* 2253978 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2254087), // Rule ID 17921 //
     /* 2253983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2253986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2253991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2253994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2254000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2254003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2254006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2254009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2254021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254029 */     // MIs[0] round
     /* 2254029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254032 */     // MIs[0] policy
     /* 2254032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254042 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10849:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2254042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254046 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254052 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2254059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254067 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254086 */     // GIR_Coverage, 17921,
     /* 2254086 */     GIR_EraseRootFromParent_Done,
     /* 2254087 */   // Label 27163: @2254087
     /* 2254087 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2254196), // Rule ID 17924 //
     /* 2254092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2254095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2254103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2254109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2254112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2254115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2254118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2254130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254138 */     // MIs[0] round
     /* 2254138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254141 */     // MIs[0] policy
     /* 2254141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254151 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2254151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254155 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254161 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2254168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254176 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254195 */     // GIR_Coverage, 17924,
     /* 2254195 */     GIR_EraseRootFromParent_Done,
     /* 2254196 */   // Label 27164: @2254196
     /* 2254196 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2254305), // Rule ID 17925 //
     /* 2254201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2254204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2254212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2254215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2254218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2254221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2254224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2254227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2254231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2254239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254247 */     // MIs[0] round
     /* 2254247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254250 */     // MIs[0] policy
     /* 2254250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254260 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10849:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2254260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254264 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254270 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2254277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254285 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254304 */     // GIR_Coverage, 17925,
     /* 2254304 */     GIR_EraseRootFromParent_Done,
     /* 2254305 */   // Label 27165: @2254305
     /* 2254305 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2254414), // Rule ID 17928 //
     /* 2254310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2254321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2254330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2254333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2254336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2254340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254356 */     // MIs[0] round
     /* 2254356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254359 */     // MIs[0] policy
     /* 2254359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254369 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2254369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2254386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254413 */     // GIR_Coverage, 17928,
     /* 2254413 */     GIR_EraseRootFromParent_Done,
     /* 2254414 */   // Label 27166: @2254414
     /* 2254414 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2254523), // Rule ID 17929 //
     /* 2254419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2254430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2254433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2254439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2254442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2254445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2254449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254465 */     // MIs[0] round
     /* 2254465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254468 */     // MIs[0] policy
     /* 2254468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254478 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2254478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254482 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254488 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2254495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254503 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254522 */     // GIR_Coverage, 17929,
     /* 2254522 */     GIR_EraseRootFromParent_Done,
     /* 2254523 */   // Label 27167: @2254523
     /* 2254523 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2254632), // Rule ID 17932 //
     /* 2254528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2254539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2254542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2254548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2254551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2254554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2254558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254574 */     // MIs[0] round
     /* 2254574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254577 */     // MIs[0] policy
     /* 2254577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254587 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2254587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254591 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254597 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2254604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254612 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254631 */     // GIR_Coverage, 17932,
     /* 2254631 */     GIR_EraseRootFromParent_Done,
     /* 2254632 */   // Label 27168: @2254632
     /* 2254632 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2254741), // Rule ID 17933 //
     /* 2254637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2254648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2254651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2254657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2254660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2254663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2254667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2254679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254683 */     // MIs[0] round
     /* 2254683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254686 */     // MIs[0] policy
     /* 2254686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254696 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2254696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254700 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2254713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254740 */     // GIR_Coverage, 17933,
     /* 2254740 */     GIR_EraseRootFromParent_Done,
     /* 2254741 */   // Label 27169: @2254741
     /* 2254741 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2254850), // Rule ID 17936 //
     /* 2254746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2254749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2254757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2254766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2254769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2254772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2254776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254792 */     // MIs[0] round
     /* 2254792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254795 */     // MIs[0] policy
     /* 2254795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254805 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2254805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2254822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254849 */     // GIR_Coverage, 17936,
     /* 2254849 */     GIR_EraseRootFromParent_Done,
     /* 2254850 */   // Label 27170: @2254850
     /* 2254850 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2254959), // Rule ID 17937 //
     /* 2254855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2254858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2254866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2254869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2254872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2254875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2254878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2254881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2254885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2254893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2254897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2254901 */     // MIs[0] round
     /* 2254901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2254904 */     // MIs[0] policy
     /* 2254904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2254907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2254914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2254914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2254918 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2254924 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2254928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2254931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2254935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2254939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2254945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2254947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2254952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2254957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2254958 */     // GIR_Coverage, 17937,
     /* 2254958 */     GIR_EraseRootFromParent_Done,
     /* 2254959 */   // Label 27171: @2254959
     /* 2254959 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2255068), // Rule ID 17940 //
     /* 2254964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2254967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2254972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2254975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2254978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2254981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2254984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2254987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2254990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2254994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255010 */     // MIs[0] round
     /* 2255010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255013 */     // MIs[0] policy
     /* 2255013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255023 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2255023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255027 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255033 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2255040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255048 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255067 */     // GIR_Coverage, 17940,
     /* 2255067 */     GIR_EraseRootFromParent_Done,
     /* 2255068 */   // Label 27172: @2255068
     /* 2255068 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2255177), // Rule ID 17941 //
     /* 2255073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2255084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2255087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2255090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2255093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2255096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2255099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2255103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255119 */     // MIs[0] round
     /* 2255119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255122 */     // MIs[0] policy
     /* 2255122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255132 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2255132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255136 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255142 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2255149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255157 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255176 */     // GIR_Coverage, 17941,
     /* 2255176 */     GIR_EraseRootFromParent_Done,
     /* 2255177 */   // Label 27173: @2255177
     /* 2255177 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2255286), // Rule ID 17944 //
     /* 2255182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2255193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2255199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2255202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2255205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2255208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2255212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255228 */     // MIs[0] round
     /* 2255228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255231 */     // MIs[0] policy
     /* 2255231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255241 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2255241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255245 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255251 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2255258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255266 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255285 */     // GIR_Coverage, 17944,
     /* 2255285 */     GIR_EraseRootFromParent_Done,
     /* 2255286 */   // Label 27174: @2255286
     /* 2255286 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2255395), // Rule ID 17945 //
     /* 2255291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2255302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2255305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2255308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2255311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2255314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2255317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2255321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255337 */     // MIs[0] round
     /* 2255337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255340 */     // MIs[0] policy
     /* 2255340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255350 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2255350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255354 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255360 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2255367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255394 */     // GIR_Coverage, 17945,
     /* 2255394 */     GIR_EraseRootFromParent_Done,
     /* 2255395 */   // Label 27175: @2255395
     /* 2255395 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2255504), // Rule ID 17948 //
     /* 2255400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2255403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2255411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2255417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2255420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2255423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2255426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2255430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255446 */     // MIs[0] round
     /* 2255446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255449 */     // MIs[0] policy
     /* 2255449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255459 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2255459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2255476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255503 */     // GIR_Coverage, 17948,
     /* 2255503 */     GIR_EraseRootFromParent_Done,
     /* 2255504 */   // Label 27176: @2255504
     /* 2255504 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2255613), // Rule ID 17949 //
     /* 2255509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2255512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2255520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2255523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2255526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2255529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2255532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2255535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2255539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2255547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2255551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255555 */     // MIs[0] round
     /* 2255555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255558 */     // MIs[0] policy
     /* 2255558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2255568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255572 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255578 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2255585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255593 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255612 */     // GIR_Coverage, 17949,
     /* 2255612 */     GIR_EraseRootFromParent_Done,
     /* 2255613 */   // Label 27177: @2255613
     /* 2255613 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2255722), // Rule ID 17952 //
     /* 2255618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2255629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2255635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2255638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2255641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2255644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2255648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2255656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255664 */     // MIs[0] round
     /* 2255664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255667 */     // MIs[0] policy
     /* 2255667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255677 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2255677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255681 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2255694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255702 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255721 */     // GIR_Coverage, 17952,
     /* 2255721 */     GIR_EraseRootFromParent_Done,
     /* 2255722 */   // Label 27178: @2255722
     /* 2255722 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2255831), // Rule ID 17953 //
     /* 2255727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2255738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2255744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2255747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2255750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2255753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2255757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2255765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255773 */     // MIs[0] round
     /* 2255773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255776 */     // MIs[0] policy
     /* 2255776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255786 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10849:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2255786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2255803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255830 */     // GIR_Coverage, 17953,
     /* 2255830 */     GIR_EraseRootFromParent_Done,
     /* 2255831 */   // Label 27179: @2255831
     /* 2255831 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2255940), // Rule ID 17956 //
     /* 2255836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2255839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2255847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2255853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2255856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2255859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2255862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2255866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2255874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255882 */     // MIs[0] round
     /* 2255882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255885 */     // MIs[0] policy
     /* 2255885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2255895 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2255895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2255899 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2255905 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2255909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2255912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2255916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2255920 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2255926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2255928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2255933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2255938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2255939 */     // GIR_Coverage, 17956,
     /* 2255939 */     GIR_EraseRootFromParent_Done,
     /* 2255940 */   // Label 27180: @2255940
     /* 2255940 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2256049), // Rule ID 17957 //
     /* 2255945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2255948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2255953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2255956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2255959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2255962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2255965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2255968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2255971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2255975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2255983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2255987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2255991 */     // MIs[0] round
     /* 2255991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2255994 */     // MIs[0] policy
     /* 2255994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2255997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256004 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10849:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2256004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2256021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256029 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256048 */     // GIR_Coverage, 17957,
     /* 2256048 */     GIR_EraseRootFromParent_Done,
     /* 2256049 */   // Label 27181: @2256049
     /* 2256049 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2256158), // Rule ID 17960 //
     /* 2256054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2256057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2256062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2256065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2256074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2256077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2256080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2256084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256100 */     // MIs[0] round
     /* 2256100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256103 */     // MIs[0] policy
     /* 2256103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256113 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2256113 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256117 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256123 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2256130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256138 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256157 */     // GIR_Coverage, 17960,
     /* 2256157 */     GIR_EraseRootFromParent_Done,
     /* 2256158 */   // Label 27182: @2256158
     /* 2256158 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2256267), // Rule ID 17961 //
     /* 2256163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2256166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2256171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2256174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2256177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2256180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2256183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2256186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2256189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2256193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2256201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2256205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256209 */     // MIs[0] round
     /* 2256209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256212 */     // MIs[0] policy
     /* 2256212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10849:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2256222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256226 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256232 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2256239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256266 */     // GIR_Coverage, 17961,
     /* 2256266 */     GIR_EraseRootFromParent_Done,
     /* 2256267 */   // Label 27183: @2256267
     /* 2256267 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2256376), // Rule ID 17964 //
     /* 2256272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2256283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2256286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2256289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2256292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2256295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2256298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256318 */     // MIs[0] round
     /* 2256318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256321 */     // MIs[0] policy
     /* 2256321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256331 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2256331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2256348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256356 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256375 */     // GIR_Coverage, 17964,
     /* 2256375 */     GIR_EraseRootFromParent_Done,
     /* 2256376 */   // Label 27184: @2256376
     /* 2256376 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2256485), // Rule ID 17965 //
     /* 2256381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2256392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2256395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2256398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2256401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2256404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2256407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256427 */     // MIs[0] round
     /* 2256427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256430 */     // MIs[0] policy
     /* 2256430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256440 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2256440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256444 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256450 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2256457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256465 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256484 */     // GIR_Coverage, 17965,
     /* 2256484 */     GIR_EraseRootFromParent_Done,
     /* 2256485 */   // Label 27185: @2256485
     /* 2256485 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2256594), // Rule ID 17968 //
     /* 2256490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2256501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2256510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2256513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2256516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256536 */     // MIs[0] round
     /* 2256536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256539 */     // MIs[0] policy
     /* 2256539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256549 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2256549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256553 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256559 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2256566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256574 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256593 */     // GIR_Coverage, 17968,
     /* 2256593 */     GIR_EraseRootFromParent_Done,
     /* 2256594 */   // Label 27186: @2256594
     /* 2256594 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2256703), // Rule ID 17969 //
     /* 2256599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2256602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2256610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2256619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2256622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2256625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256645 */     // MIs[0] round
     /* 2256645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256648 */     // MIs[0] policy
     /* 2256648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256658 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2256658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256662 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256668 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2256675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256683 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256702 */     // GIR_Coverage, 17969,
     /* 2256702 */     GIR_EraseRootFromParent_Done,
     /* 2256703 */   // Label 27187: @2256703
     /* 2256703 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2256812), // Rule ID 17972 //
     /* 2256708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2256711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2256719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2256722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2256725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2256728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2256731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2256734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256754 */     // MIs[0] round
     /* 2256754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256757 */     // MIs[0] policy
     /* 2256757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256767 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2256767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256771 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256777 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2256784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256792 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256811 */     // GIR_Coverage, 17972,
     /* 2256811 */     GIR_EraseRootFromParent_Done,
     /* 2256812 */   // Label 27188: @2256812
     /* 2256812 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2256921), // Rule ID 17973 //
     /* 2256817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2256820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2256828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2256831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2256834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2256837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2256840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2256843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256863 */     // MIs[0] round
     /* 2256863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256866 */     // MIs[0] policy
     /* 2256866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256876 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2256876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256880 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2256893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2256897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2256901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2256907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2256909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2256914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2256919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2256920 */     // GIR_Coverage, 17973,
     /* 2256920 */     GIR_EraseRootFromParent_Done,
     /* 2256921 */   // Label 27189: @2256921
     /* 2256921 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2257030), // Rule ID 17976 //
     /* 2256926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2256929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2256934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2256937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2256940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2256943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2256946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2256949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2256952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2256956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2256972 */     // MIs[0] round
     /* 2256972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2256975 */     // MIs[0] policy
     /* 2256975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2256978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2256985 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2256985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2256989 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2256995 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2256999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2257002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257010 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257029 */     // GIR_Coverage, 17976,
     /* 2257029 */     GIR_EraseRootFromParent_Done,
     /* 2257030 */   // Label 27190: @2257030
     /* 2257030 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2257139), // Rule ID 17977 //
     /* 2257035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2257046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2257055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2257058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2257061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2257065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257081 */     // MIs[0] round
     /* 2257081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257084 */     // MIs[0] policy
     /* 2257084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2257094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257098 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257104 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2257111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257119 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257138 */     // GIR_Coverage, 17977,
     /* 2257138 */     GIR_EraseRootFromParent_Done,
     /* 2257139 */   // Label 27191: @2257139
     /* 2257139 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2257248), // Rule ID 17980 //
     /* 2257144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2257147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2257155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2257158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2257161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2257164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2257167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2257170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2257174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257190 */     // MIs[0] round
     /* 2257190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257193 */     // MIs[0] policy
     /* 2257193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2257203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257207 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257213 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2257220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257228 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257247 */     // GIR_Coverage, 17980,
     /* 2257247 */     GIR_EraseRootFromParent_Done,
     /* 2257248 */   // Label 27192: @2257248
     /* 2257248 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2257357), // Rule ID 17981 //
     /* 2257253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2257256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2257264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2257267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2257270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2257273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2257276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2257279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2257283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257299 */     // MIs[0] round
     /* 2257299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257302 */     // MIs[0] policy
     /* 2257302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2257312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257316 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257322 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2257329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257337 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257356 */     // GIR_Coverage, 17981,
     /* 2257356 */     GIR_EraseRootFromParent_Done,
     /* 2257357 */   // Label 27193: @2257357
     /* 2257357 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2257466), // Rule ID 17984 //
     /* 2257362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2257365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2257373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2257376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2257379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2257382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2257385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2257388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2257392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257408 */     // MIs[0] round
     /* 2257408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257411 */     // MIs[0] policy
     /* 2257411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257421 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2257421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257425 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257431 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2257438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257446 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257465 */     // GIR_Coverage, 17984,
     /* 2257465 */     GIR_EraseRootFromParent_Done,
     /* 2257466 */   // Label 27194: @2257466
     /* 2257466 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2257575), // Rule ID 17985 //
     /* 2257471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2257474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2257482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2257485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2257488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2257491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2257494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2257497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2257501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257517 */     // MIs[0] round
     /* 2257517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257520 */     // MIs[0] policy
     /* 2257520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2257530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257534 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257540 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2257547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257555 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257574 */     // GIR_Coverage, 17985,
     /* 2257574 */     GIR_EraseRootFromParent_Done,
     /* 2257575 */   // Label 27195: @2257575
     /* 2257575 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2257684), // Rule ID 17988 //
     /* 2257580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2257591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2257600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2257603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2257606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2257610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257626 */     // MIs[0] round
     /* 2257626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257629 */     // MIs[0] policy
     /* 2257629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257639 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2257639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257643 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257649 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2257656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257664 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257683 */     // GIR_Coverage, 17988,
     /* 2257683 */     GIR_EraseRootFromParent_Done,
     /* 2257684 */   // Label 27196: @2257684
     /* 2257684 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2257793), // Rule ID 17989 //
     /* 2257689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2257700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2257703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2257706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2257709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2257712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2257715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2257719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257735 */     // MIs[0] round
     /* 2257735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257738 */     // MIs[0] policy
     /* 2257738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257748 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2257748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257752 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257758 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2257765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257773 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257792 */     // GIR_Coverage, 17989,
     /* 2257792 */     GIR_EraseRootFromParent_Done,
     /* 2257793 */   // Label 27197: @2257793
     /* 2257793 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2257902), // Rule ID 17992 //
     /* 2257798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2257801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2257809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2257818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2257821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2257824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2257828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257844 */     // MIs[0] round
     /* 2257844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257847 */     // MIs[0] policy
     /* 2257847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257857 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2257857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257861 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257867 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2257874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2257895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2257900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2257901 */     // GIR_Coverage, 17992,
     /* 2257901 */     GIR_EraseRootFromParent_Done,
     /* 2257902 */   // Label 27198: @2257902
     /* 2257902 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2258011), // Rule ID 17993 //
     /* 2257907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2257910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2257915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2257918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2257921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2257924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2257927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2257930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2257933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2257937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2257953 */     // MIs[0] round
     /* 2257953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2257956 */     // MIs[0] policy
     /* 2257956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2257959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2257966 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2257966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2257970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2257976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2257980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2257983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2257987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2257991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2257997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2257999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258010 */     // GIR_Coverage, 17993,
     /* 2258010 */     GIR_EraseRootFromParent_Done,
     /* 2258011 */   // Label 27199: @2258011
     /* 2258011 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2258120), // Rule ID 17996 //
     /* 2258016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2258019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2258027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2258036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2258039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2258042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2258046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258062 */     // MIs[0] round
     /* 2258062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258065 */     // MIs[0] policy
     /* 2258065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258075 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2258075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2258092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258100 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258119 */     // GIR_Coverage, 17996,
     /* 2258119 */     GIR_EraseRootFromParent_Done,
     /* 2258120 */   // Label 27200: @2258120
     /* 2258120 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2258229), // Rule ID 17997 //
     /* 2258125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2258128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2258136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2258139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2258142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2258145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2258148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2258151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2258155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258171 */     // MIs[0] round
     /* 2258171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258174 */     // MIs[0] policy
     /* 2258174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258184 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2258184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258188 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258194 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2258201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258209 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258228 */     // GIR_Coverage, 17997,
     /* 2258228 */     GIR_EraseRootFromParent_Done,
     /* 2258229 */   // Label 27201: @2258229
     /* 2258229 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2258338), // Rule ID 18000 //
     /* 2258234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2258245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2258254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2258257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2258260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2258264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258280 */     // MIs[0] round
     /* 2258280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258283 */     // MIs[0] policy
     /* 2258283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258293 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2258293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258297 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258303 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2258310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258318 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258337 */     // GIR_Coverage, 18000,
     /* 2258337 */     GIR_EraseRootFromParent_Done,
     /* 2258338 */   // Label 27202: @2258338
     /* 2258338 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2258447), // Rule ID 18001 //
     /* 2258343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2258354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2258363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2258366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2258369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2258373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258389 */     // MIs[0] round
     /* 2258389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258392 */     // MIs[0] policy
     /* 2258392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258402 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2258402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258406 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258412 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2258419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258427 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258446 */     // GIR_Coverage, 18001,
     /* 2258446 */     GIR_EraseRootFromParent_Done,
     /* 2258447 */   // Label 27203: @2258447
     /* 2258447 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2258556), // Rule ID 18004 //
     /* 2258452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2258463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2258472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2258475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2258478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2258482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258498 */     // MIs[0] round
     /* 2258498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258501 */     // MIs[0] policy
     /* 2258501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258511 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2258511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258515 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2258528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258536 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258555 */     // GIR_Coverage, 18004,
     /* 2258555 */     GIR_EraseRootFromParent_Done,
     /* 2258556 */   // Label 27204: @2258556
     /* 2258556 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2258665), // Rule ID 18005 //
     /* 2258561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2258572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2258575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2258578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2258581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2258584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2258587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2258591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258607 */     // MIs[0] round
     /* 2258607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258610 */     // MIs[0] policy
     /* 2258610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2258620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258624 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258630 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2258637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258645 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258664 */     // GIR_Coverage, 18005,
     /* 2258664 */     GIR_EraseRootFromParent_Done,
     /* 2258665 */   // Label 27205: @2258665
     /* 2258665 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2258774), // Rule ID 18008 //
     /* 2258670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2258673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2258681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2258690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2258693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2258696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2258700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258716 */     // MIs[0] round
     /* 2258716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258719 */     // MIs[0] policy
     /* 2258719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258729 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2258729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258733 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258739 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2258746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258773 */     // GIR_Coverage, 18008,
     /* 2258773 */     GIR_EraseRootFromParent_Done,
     /* 2258774 */   // Label 27206: @2258774
     /* 2258774 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2258883), // Rule ID 18009 //
     /* 2258779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2258782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2258790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2258793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2258796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2258799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2258802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2258805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2258809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2258821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258825 */     // MIs[0] round
     /* 2258825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258828 */     // MIs[0] policy
     /* 2258828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258838 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2258838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258842 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258848 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2258855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258882 */     // GIR_Coverage, 18009,
     /* 2258882 */     GIR_EraseRootFromParent_Done,
     /* 2258883 */   // Label 27207: @2258883
     /* 2258883 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2258992), // Rule ID 18012 //
     /* 2258888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2258891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2258896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2258899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2258902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2258905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2258908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2258911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2258914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2258918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2258934 */     // MIs[0] round
     /* 2258934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2258937 */     // MIs[0] policy
     /* 2258937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2258940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2258947 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2258947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2258951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2258957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2258961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2258964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2258968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2258972 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2258978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2258980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2258985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2258990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2258991 */     // GIR_Coverage, 18012,
     /* 2258991 */     GIR_EraseRootFromParent_Done,
     /* 2258992 */   // Label 27208: @2258992
     /* 2258992 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2259101), // Rule ID 18013 //
     /* 2258997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2259008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2259011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2259014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2259017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2259020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2259023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2259027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259043 */     // MIs[0] round
     /* 2259043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259046 */     // MIs[0] policy
     /* 2259046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259056 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2259056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259060 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259066 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2259073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259100 */     // GIR_Coverage, 18013,
     /* 2259100 */     GIR_EraseRootFromParent_Done,
     /* 2259101 */   // Label 27209: @2259101
     /* 2259101 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2259210), // Rule ID 18016 //
     /* 2259106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2259109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2259117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2259126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2259129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2259132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2259136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259152 */     // MIs[0] round
     /* 2259152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259155 */     // MIs[0] policy
     /* 2259155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259165 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2259165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259169 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259175 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2259182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259190 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259209 */     // GIR_Coverage, 18016,
     /* 2259209 */     GIR_EraseRootFromParent_Done,
     /* 2259210 */   // Label 27210: @2259210
     /* 2259210 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2259319), // Rule ID 18017 //
     /* 2259215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2259226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2259235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2259238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2259241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2259245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259261 */     // MIs[0] round
     /* 2259261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259264 */     // MIs[0] policy
     /* 2259264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2259274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259278 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259284 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2259291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259299 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259318 */     // GIR_Coverage, 18017,
     /* 2259318 */     GIR_EraseRootFromParent_Done,
     /* 2259319 */   // Label 27211: @2259319
     /* 2259319 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2259428), // Rule ID 18020 //
     /* 2259324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2259327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2259335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2259344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2259347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2259350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2259354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259370 */     // MIs[0] round
     /* 2259370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259373 */     // MIs[0] policy
     /* 2259373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259383 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2259383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259387 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259393 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2259400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259427 */     // GIR_Coverage, 18020,
     /* 2259427 */     GIR_EraseRootFromParent_Done,
     /* 2259428 */   // Label 27212: @2259428
     /* 2259428 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2259537), // Rule ID 18021 //
     /* 2259433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2259436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2259444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2259447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2259450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2259453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2259456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2259459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2259463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2259475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259479 */     // MIs[0] round
     /* 2259479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259482 */     // MIs[0] policy
     /* 2259482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259492 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2259492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259496 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259502 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2259509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259517 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259536 */     // GIR_Coverage, 18021,
     /* 2259536 */     GIR_EraseRootFromParent_Done,
     /* 2259537 */   // Label 27213: @2259537
     /* 2259537 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2259646), // Rule ID 18024 //
     /* 2259542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2259553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2259556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2259559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2259562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2259565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2259568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2259580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259588 */     // MIs[0] round
     /* 2259588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259591 */     // MIs[0] policy
     /* 2259591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259601 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2259601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2259618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259626 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259645 */     // GIR_Coverage, 18024,
     /* 2259645 */     GIR_EraseRootFromParent_Done,
     /* 2259646 */   // Label 27214: @2259646
     /* 2259646 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2259755), // Rule ID 18025 //
     /* 2259651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2259662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2259665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2259668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2259671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2259674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2259677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2259689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259697 */     // MIs[0] round
     /* 2259697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259700 */     // MIs[0] policy
     /* 2259700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259710 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2259710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259714 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259720 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2259727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259735 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259754 */     // GIR_Coverage, 18025,
     /* 2259754 */     GIR_EraseRootFromParent_Done,
     /* 2259755 */   // Label 27215: @2259755
     /* 2259755 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2259864), // Rule ID 18028 //
     /* 2259760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2259763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2259771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2259777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2259780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2259783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2259786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2259798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259806 */     // MIs[0] round
     /* 2259806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259809 */     // MIs[0] policy
     /* 2259809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259819 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2259819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2259836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259844 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259863 */     // GIR_Coverage, 18028,
     /* 2259863 */     GIR_EraseRootFromParent_Done,
     /* 2259864 */   // Label 27216: @2259864
     /* 2259864 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2259973), // Rule ID 18029 //
     /* 2259869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2259872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2259880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2259883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2259886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2259889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2259892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2259895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2259899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2259907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2259915 */     // MIs[0] round
     /* 2259915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2259918 */     // MIs[0] policy
     /* 2259918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2259921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2259928 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2259928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2259932 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2259938 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2259942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2259945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2259949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2259953 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2259959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2259961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2259966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2259971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2259972 */     // GIR_Coverage, 18029,
     /* 2259972 */     GIR_EraseRootFromParent_Done,
     /* 2259973 */   // Label 27217: @2259973
     /* 2259973 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2260082), // Rule ID 18032 //
     /* 2259978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2259981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2259986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2259989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2259992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2259995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2259998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2260001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2260004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2260016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260024 */     // MIs[0] round
     /* 2260024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260027 */     // MIs[0] policy
     /* 2260027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260037 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2260037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2260054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260062 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260081 */     // GIR_Coverage, 18032,
     /* 2260081 */     GIR_EraseRootFromParent_Done,
     /* 2260082 */   // Label 27218: @2260082
     /* 2260082 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2260191), // Rule ID 18033 //
     /* 2260087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2260098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2260101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2260104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2260107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2260110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2260113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2260125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260133 */     // MIs[0] round
     /* 2260133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260136 */     // MIs[0] policy
     /* 2260136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260146 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2260146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260150 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2260163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260171 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260190 */     // GIR_Coverage, 18033,
     /* 2260190 */     GIR_EraseRootFromParent_Done,
     /* 2260191 */   // Label 27219: @2260191
     /* 2260191 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2260300), // Rule ID 18036 //
     /* 2260196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2260199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2260207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2260213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2260216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2260219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2260222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2260234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260242 */     // MIs[0] round
     /* 2260242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260245 */     // MIs[0] policy
     /* 2260245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260255 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2260255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2260272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260280 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260299 */     // GIR_Coverage, 18036,
     /* 2260299 */     GIR_EraseRootFromParent_Done,
     /* 2260300 */   // Label 27220: @2260300
     /* 2260300 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2260409), // Rule ID 18037 //
     /* 2260305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2260308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2260316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2260322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2260325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2260328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2260331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2260343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260351 */     // MIs[0] round
     /* 2260351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260354 */     // MIs[0] policy
     /* 2260354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260364 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10880:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2260364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260368 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2260381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260408 */     // GIR_Coverage, 18037,
     /* 2260408 */     GIR_EraseRootFromParent_Done,
     /* 2260409 */   // Label 27221: @2260409
     /* 2260409 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2260518), // Rule ID 18040 //
     /* 2260414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2260417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2260425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2260431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2260434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2260437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2260440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2260452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260460 */     // MIs[0] round
     /* 2260460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260463 */     // MIs[0] policy
     /* 2260463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260473 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2260473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2260490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260517 */     // GIR_Coverage, 18040,
     /* 2260517 */     GIR_EraseRootFromParent_Done,
     /* 2260518 */   // Label 27222: @2260518
     /* 2260518 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2260627), // Rule ID 18041 //
     /* 2260523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2260526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2260534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2260537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2260540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2260543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2260546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2260549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2260561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260569 */     // MIs[0] round
     /* 2260569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260572 */     // MIs[0] policy
     /* 2260572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260582 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10880:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2260582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260586 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2260599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260607 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260626 */     // GIR_Coverage, 18041,
     /* 2260626 */     GIR_EraseRootFromParent_Done,
     /* 2260627 */   // Label 27223: @2260627
     /* 2260627 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2260736), // Rule ID 18044 //
     /* 2260632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2260635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2260643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2260649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2260652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2260655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2260658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2260670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260678 */     // MIs[0] round
     /* 2260678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260681 */     // MIs[0] policy
     /* 2260681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260691 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2260691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260695 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260701 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2260708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260716 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260735 */     // GIR_Coverage, 18044,
     /* 2260735 */     GIR_EraseRootFromParent_Done,
     /* 2260736 */   // Label 27224: @2260736
     /* 2260736 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2260845), // Rule ID 18045 //
     /* 2260741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2260744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2260752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2260755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2260758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2260761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2260764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2260767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2260771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2260779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260787 */     // MIs[0] round
     /* 2260787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260790 */     // MIs[0] policy
     /* 2260790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260800 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10880:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2260800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260804 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260810 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2260817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260844 */     // GIR_Coverage, 18045,
     /* 2260844 */     GIR_EraseRootFromParent_Done,
     /* 2260845 */   // Label 27225: @2260845
     /* 2260845 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2260954), // Rule ID 18048 //
     /* 2260850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2260853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2260861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2260867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2260870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2260873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2260876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2260888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2260896 */     // MIs[0] round
     /* 2260896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2260899 */     // MIs[0] policy
     /* 2260899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2260902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2260909 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2260909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2260913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2260919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2260923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2260926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2260930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2260934 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2260940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2260942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2260947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2260952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2260953 */     // GIR_Coverage, 18048,
     /* 2260953 */     GIR_EraseRootFromParent_Done,
     /* 2260954 */   // Label 27226: @2260954
     /* 2260954 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2261063), // Rule ID 18049 //
     /* 2260959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2260962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2260967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2260970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2260976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2260979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2260982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2260985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2260989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2260997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261005 */     // MIs[0] round
     /* 2261005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261008 */     // MIs[0] policy
     /* 2261008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261018 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2261018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261022 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261028 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2261035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261043 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261062 */     // GIR_Coverage, 18049,
     /* 2261062 */     GIR_EraseRootFromParent_Done,
     /* 2261063 */   // Label 27227: @2261063
     /* 2261063 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2261172), // Rule ID 18052 //
     /* 2261068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2261079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2261088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2261091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2261094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261114 */     // MIs[0] round
     /* 2261114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261117 */     // MIs[0] policy
     /* 2261117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2261127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261131 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261137 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2261144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261171 */     // GIR_Coverage, 18052,
     /* 2261171 */     GIR_EraseRootFromParent_Done,
     /* 2261172 */   // Label 27228: @2261172
     /* 2261172 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2261281), // Rule ID 18053 //
     /* 2261177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2261188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2261191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2261197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2261200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2261203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261223 */     // MIs[0] round
     /* 2261223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261226 */     // MIs[0] policy
     /* 2261226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261236 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2261236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2261253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261280 */     // GIR_Coverage, 18053,
     /* 2261280 */     GIR_EraseRootFromParent_Done,
     /* 2261281 */   // Label 27229: @2261281
     /* 2261281 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2261390), // Rule ID 18056 //
     /* 2261286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2261289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2261297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2261300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2261306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2261309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2261312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261332 */     // MIs[0] round
     /* 2261332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261335 */     // MIs[0] policy
     /* 2261335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261345 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2261345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261349 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261355 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2261362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261370 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261389 */     // GIR_Coverage, 18056,
     /* 2261389 */     GIR_EraseRootFromParent_Done,
     /* 2261390 */   // Label 27230: @2261390
     /* 2261390 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2261499), // Rule ID 18057 //
     /* 2261395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2261398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2261406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2261409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2261412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2261415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2261418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2261421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2261433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261441 */     // MIs[0] round
     /* 2261441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261444 */     // MIs[0] policy
     /* 2261444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261454 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2261454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2261471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261479 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261498 */     // GIR_Coverage, 18057,
     /* 2261498 */     GIR_EraseRootFromParent_Done,
     /* 2261499 */   // Label 27231: @2261499
     /* 2261499 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2261608), // Rule ID 18060 //
     /* 2261504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2261515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2261524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2261527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2261530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261550 */     // MIs[0] round
     /* 2261550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261553 */     // MIs[0] policy
     /* 2261553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261563 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2261563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2261580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261607 */     // GIR_Coverage, 18060,
     /* 2261607 */     GIR_EraseRootFromParent_Done,
     /* 2261608 */   // Label 27232: @2261608
     /* 2261608 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2261717), // Rule ID 18061 //
     /* 2261613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2261616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2261624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2261627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2261633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2261636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2261639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2261643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261659 */     // MIs[0] round
     /* 2261659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261662 */     // MIs[0] policy
     /* 2261662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261672 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2261672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261676 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2261689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261716 */     // GIR_Coverage, 18061,
     /* 2261716 */     GIR_EraseRootFromParent_Done,
     /* 2261717 */   // Label 27233: @2261717
     /* 2261717 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2261826), // Rule ID 18064 //
     /* 2261722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2261733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2261742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2261745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2261748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261768 */     // MIs[0] round
     /* 2261768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261771 */     // MIs[0] policy
     /* 2261771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2261781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261785 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261791 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2261798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261806 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261825 */     // GIR_Coverage, 18064,
     /* 2261825 */     GIR_EraseRootFromParent_Done,
     /* 2261826 */   // Label 27234: @2261826
     /* 2261826 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2261935), // Rule ID 18065 //
     /* 2261831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2261834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2261842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2261851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2261854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2261857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2261861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261877 */     // MIs[0] round
     /* 2261877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261880 */     // MIs[0] policy
     /* 2261880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261890 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2261890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2261894 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2261900 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2261904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2261907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2261911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2261913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2261915 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2261921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2261923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2261928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2261933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2261934 */     // GIR_Coverage, 18065,
     /* 2261934 */     GIR_EraseRootFromParent_Done,
     /* 2261935 */   // Label 27235: @2261935
     /* 2261935 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2262044), // Rule ID 18068 //
     /* 2261940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2261943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2261948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2261951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2261954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2261957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2261960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2261963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2261966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2261970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2261978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2261986 */     // MIs[0] round
     /* 2261986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2261989 */     // MIs[0] policy
     /* 2261989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2261992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2261999 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2261999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2262016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262043 */     // GIR_Coverage, 18068,
     /* 2262043 */     GIR_EraseRootFromParent_Done,
     /* 2262044 */   // Label 27236: @2262044
     /* 2262044 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2262153), // Rule ID 18069 //
     /* 2262049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2262052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2262060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2262063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2262066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2262069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2262072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2262075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2262087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262095 */     // MIs[0] round
     /* 2262095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262098 */     // MIs[0] policy
     /* 2262098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2262108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262112 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2262125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262133 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262152 */     // GIR_Coverage, 18069,
     /* 2262152 */     GIR_EraseRootFromParent_Done,
     /* 2262153 */   // Label 27237: @2262153
     /* 2262153 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2262262), // Rule ID 18072 //
     /* 2262158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2262169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2262172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2262178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2262181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2262184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262204 */     // MIs[0] round
     /* 2262204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262207 */     // MIs[0] policy
     /* 2262207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262217 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2262217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262221 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2262234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262242 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262261 */     // GIR_Coverage, 18072,
     /* 2262261 */     GIR_EraseRootFromParent_Done,
     /* 2262262 */   // Label 27238: @2262262
     /* 2262262 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2262371), // Rule ID 18073 //
     /* 2262267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2262270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2262278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2262281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2262287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2262290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2262293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2262297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262313 */     // MIs[0] round
     /* 2262313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262316 */     // MIs[0] policy
     /* 2262316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262326 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10880:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2262326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262330 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262336 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2262343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262351 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262370 */     // GIR_Coverage, 18073,
     /* 2262370 */     GIR_EraseRootFromParent_Done,
     /* 2262371 */   // Label 27239: @2262371
     /* 2262371 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2262480), // Rule ID 18076 //
     /* 2262376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2262387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2262390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2262396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2262399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2262402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262422 */     // MIs[0] round
     /* 2262422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262425 */     // MIs[0] policy
     /* 2262425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262435 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2262435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262439 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262445 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2262452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262460 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262479 */     // GIR_Coverage, 18076,
     /* 2262479 */     GIR_EraseRootFromParent_Done,
     /* 2262480 */   // Label 27240: @2262480
     /* 2262480 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2262589), // Rule ID 18077 //
     /* 2262485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2262488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2262496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2262499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2262505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2262508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2262511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2262515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262531 */     // MIs[0] round
     /* 2262531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262534 */     // MIs[0] policy
     /* 2262534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262544 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10880:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2262544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262548 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262554 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2262561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262569 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262588 */     // GIR_Coverage, 18077,
     /* 2262588 */     GIR_EraseRootFromParent_Done,
     /* 2262589 */   // Label 27241: @2262589
     /* 2262589 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2262698), // Rule ID 18080 //
     /* 2262594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2262597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2262605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2262614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2262617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2262620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262640 */     // MIs[0] round
     /* 2262640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262643 */     // MIs[0] policy
     /* 2262643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262653 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2262653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2262670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262697 */     // GIR_Coverage, 18080,
     /* 2262697 */     GIR_EraseRootFromParent_Done,
     /* 2262698 */   // Label 27242: @2262698
     /* 2262698 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2262807), // Rule ID 18081 //
     /* 2262703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2262706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2262711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2262714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2262720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2262723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2262726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2262729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2262733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2262741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262749 */     // MIs[0] round
     /* 2262749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262752 */     // MIs[0] policy
     /* 2262752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10880:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2262762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262766 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2262779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262806 */     // GIR_Coverage, 18081,
     /* 2262806 */     GIR_EraseRootFromParent_Done,
     /* 2262807 */   // Label 27243: @2262807
     /* 2262807 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2262916), // Rule ID 18084 //
     /* 2262812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2262815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2262820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2262823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2262826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2262829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2262832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2262835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2262838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2262842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262858 */     // MIs[0] round
     /* 2262858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262861 */     // MIs[0] policy
     /* 2262861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262871 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2262871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262875 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262881 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2262888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2262892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2262896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2262902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2262904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2262909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2262914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2262915 */     // GIR_Coverage, 18084,
     /* 2262915 */     GIR_EraseRootFromParent_Done,
     /* 2262916 */   // Label 27244: @2262916
     /* 2262916 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2263025), // Rule ID 18085 //
     /* 2262921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2262924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2262929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2262932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2262935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2262938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2262941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2262944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2262947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2262951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2262967 */     // MIs[0] round
     /* 2262967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2262970 */     // MIs[0] policy
     /* 2262970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2262973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2262980 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2262980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2262984 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2262990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2262994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2262997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263005 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263024 */     // GIR_Coverage, 18085,
     /* 2263024 */     GIR_EraseRootFromParent_Done,
     /* 2263025 */   // Label 27245: @2263025
     /* 2263025 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2263134), // Rule ID 18088 //
     /* 2263030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2263041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2263047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2263050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2263053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2263056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263076 */     // MIs[0] round
     /* 2263076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263079 */     // MIs[0] policy
     /* 2263079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263089 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2263089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263093 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263099 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2263106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263114 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263133 */     // GIR_Coverage, 18088,
     /* 2263133 */     GIR_EraseRootFromParent_Done,
     /* 2263134 */   // Label 27246: @2263134
     /* 2263134 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2263243), // Rule ID 18089 //
     /* 2263139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2263150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2263153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2263156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2263159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2263162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2263165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263185 */     // MIs[0] round
     /* 2263185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263188 */     // MIs[0] policy
     /* 2263188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263198 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2263198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263202 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263208 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2263215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263223 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263242 */     // GIR_Coverage, 18089,
     /* 2263242 */     GIR_EraseRootFromParent_Done,
     /* 2263243 */   // Label 27247: @2263243
     /* 2263243 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2263352), // Rule ID 18092 //
     /* 2263248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2263259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2263268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2263271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2263274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263294 */     // MIs[0] round
     /* 2263294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263297 */     // MIs[0] policy
     /* 2263297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263307 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2263307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263311 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263317 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2263324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263332 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263351 */     // GIR_Coverage, 18092,
     /* 2263351 */     GIR_EraseRootFromParent_Done,
     /* 2263352 */   // Label 27248: @2263352
     /* 2263352 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2263461), // Rule ID 18093 //
     /* 2263357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2263368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2263371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2263374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2263377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2263380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2263383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263403 */     // MIs[0] round
     /* 2263403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263406 */     // MIs[0] policy
     /* 2263406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263416 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2263416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263420 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263426 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2263433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263441 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263460 */     // GIR_Coverage, 18093,
     /* 2263460 */     GIR_EraseRootFromParent_Done,
     /* 2263461 */   // Label 27249: @2263461
     /* 2263461 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2263570), // Rule ID 18096 //
     /* 2263466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2263469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2263477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2263480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2263483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2263486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2263489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2263492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263512 */     // MIs[0] round
     /* 2263512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263515 */     // MIs[0] policy
     /* 2263515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263525 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2263525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263529 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263535 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2263542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263550 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263569 */     // GIR_Coverage, 18096,
     /* 2263569 */     GIR_EraseRootFromParent_Done,
     /* 2263570 */   // Label 27250: @2263570
     /* 2263570 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2263679), // Rule ID 18097 //
     /* 2263575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2263578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2263586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2263589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2263592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2263595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2263598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2263601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263621 */     // MIs[0] round
     /* 2263621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263624 */     // MIs[0] policy
     /* 2263624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263634 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2263634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263638 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263644 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2263651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263678 */     // GIR_Coverage, 18097,
     /* 2263678 */     GIR_EraseRootFromParent_Done,
     /* 2263679 */   // Label 27251: @2263679
     /* 2263679 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2263788), // Rule ID 18100 //
     /* 2263684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2263687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2263695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2263698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2263701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2263704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2263707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2263710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263730 */     // MIs[0] round
     /* 2263730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263733 */     // MIs[0] policy
     /* 2263733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263743 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2263743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2263760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263787 */     // GIR_Coverage, 18100,
     /* 2263787 */     GIR_EraseRootFromParent_Done,
     /* 2263788 */   // Label 27252: @2263788
     /* 2263788 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2263897), // Rule ID 18101 //
     /* 2263793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2263796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2263804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2263807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2263810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2263813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2263816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2263819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263839 */     // MIs[0] round
     /* 2263839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263842 */     // MIs[0] policy
     /* 2263842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263852 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2263852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2263869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263877 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2263895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2263896 */     // GIR_Coverage, 18101,
     /* 2263896 */     GIR_EraseRootFromParent_Done,
     /* 2263897 */   // Label 27253: @2263897
     /* 2263897 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2264006), // Rule ID 18104 //
     /* 2263902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2263905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2263910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2263913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2263916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2263919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2263922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2263925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2263928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2263932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2263948 */     // MIs[0] round
     /* 2263948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2263951 */     // MIs[0] policy
     /* 2263951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2263954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2263961 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2263961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2263965 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2263971 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2263975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2263978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2263982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2263986 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2263992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2263994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2263999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264005 */     // GIR_Coverage, 18104,
     /* 2264005 */     GIR_EraseRootFromParent_Done,
     /* 2264006 */   // Label 27254: @2264006
     /* 2264006 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2264115), // Rule ID 18105 //
     /* 2264011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2264014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2264022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2264025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2264028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2264031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2264034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2264037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2264041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264057 */     // MIs[0] round
     /* 2264057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264060 */     // MIs[0] policy
     /* 2264060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264070 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2264070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264074 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264080 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2264087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264095 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264114 */     // GIR_Coverage, 18105,
     /* 2264114 */     GIR_EraseRootFromParent_Done,
     /* 2264115 */   // Label 27255: @2264115
     /* 2264115 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2264224), // Rule ID 18108 //
     /* 2264120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2264131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2264140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2264143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2264146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2264150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264166 */     // MIs[0] round
     /* 2264166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264169 */     // MIs[0] policy
     /* 2264169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264179 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2264179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264183 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264189 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2264196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264204 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264223 */     // GIR_Coverage, 18108,
     /* 2264223 */     GIR_EraseRootFromParent_Done,
     /* 2264224 */   // Label 27256: @2264224
     /* 2264224 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2264333), // Rule ID 18109 //
     /* 2264229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2264240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2264249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2264252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2264255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2264259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264275 */     // MIs[0] round
     /* 2264275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264278 */     // MIs[0] policy
     /* 2264278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2264288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264292 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264298 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2264305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264313 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264332 */     // GIR_Coverage, 18109,
     /* 2264332 */     GIR_EraseRootFromParent_Done,
     /* 2264333 */   // Label 27257: @2264333
     /* 2264333 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2264442), // Rule ID 18112 //
     /* 2264338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2264349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2264352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2264355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2264358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2264361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2264364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2264368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264384 */     // MIs[0] round
     /* 2264384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264387 */     // MIs[0] policy
     /* 2264387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2264397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264401 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264407 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2264414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264422 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264441 */     // GIR_Coverage, 18112,
     /* 2264441 */     GIR_EraseRootFromParent_Done,
     /* 2264442 */   // Label 27258: @2264442
     /* 2264442 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2264551), // Rule ID 18113 //
     /* 2264447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2264458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2264461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2264464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2264467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2264470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2264473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2264477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264493 */     // MIs[0] round
     /* 2264493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264496 */     // MIs[0] policy
     /* 2264496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264506 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2264506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264510 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264516 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2264523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264550 */     // GIR_Coverage, 18113,
     /* 2264550 */     GIR_EraseRootFromParent_Done,
     /* 2264551 */   // Label 27259: @2264551
     /* 2264551 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2264660), // Rule ID 18116 //
     /* 2264556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2264559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2264567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2264576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2264579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2264582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2264586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264602 */     // MIs[0] round
     /* 2264602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264605 */     // MIs[0] policy
     /* 2264605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264615 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2264615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264619 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264625 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2264632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264640 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264659 */     // GIR_Coverage, 18116,
     /* 2264659 */     GIR_EraseRootFromParent_Done,
     /* 2264660 */   // Label 27260: @2264660
     /* 2264660 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2264769), // Rule ID 18117 //
     /* 2264665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2264668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2264676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2264679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2264682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2264685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2264688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2264691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2264695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264711 */     // MIs[0] round
     /* 2264711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264714 */     // MIs[0] policy
     /* 2264714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264724 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2264724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2264741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264749 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264768 */     // GIR_Coverage, 18117,
     /* 2264768 */     GIR_EraseRootFromParent_Done,
     /* 2264769 */   // Label 27261: @2264769
     /* 2264769 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2264878), // Rule ID 18120 //
     /* 2264774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2264785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2264788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2264791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2264794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2264797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2264800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2264804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264820 */     // MIs[0] round
     /* 2264820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264823 */     // MIs[0] policy
     /* 2264823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264833 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2264833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2264850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264877 */     // GIR_Coverage, 18120,
     /* 2264877 */     GIR_EraseRootFromParent_Done,
     /* 2264878 */   // Label 27262: @2264878
     /* 2264878 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2264987), // Rule ID 18121 //
     /* 2264883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2264886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2264891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2264894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2264897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2264900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2264903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2264906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2264909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2264913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2264929 */     // MIs[0] round
     /* 2264929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2264932 */     // MIs[0] policy
     /* 2264932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2264935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2264942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2264942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2264946 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2264952 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2264956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2264959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2264963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2264967 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2264973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2264975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2264980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2264985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2264986 */     // GIR_Coverage, 18121,
     /* 2264986 */     GIR_EraseRootFromParent_Done,
     /* 2264987 */   // Label 27263: @2264987
     /* 2264987 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2265096), // Rule ID 18124 //
     /* 2264992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2264995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2265003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2265009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2265012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2265015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2265018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2265022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265038 */     // MIs[0] round
     /* 2265038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265041 */     // MIs[0] policy
     /* 2265041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265051 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2265051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265055 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265061 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2265068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265076 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265095 */     // GIR_Coverage, 18124,
     /* 2265095 */     GIR_EraseRootFromParent_Done,
     /* 2265096 */   // Label 27264: @2265096
     /* 2265096 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2265205), // Rule ID 18125 //
     /* 2265101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2265112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2265115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2265118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2265121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2265124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2265127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2265131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265147 */     // MIs[0] round
     /* 2265147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265150 */     // MIs[0] policy
     /* 2265150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265160 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2265160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265164 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265170 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2265177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265204 */     // GIR_Coverage, 18125,
     /* 2265204 */     GIR_EraseRootFromParent_Done,
     /* 2265205 */   // Label 27265: @2265205
     /* 2265205 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2265314), // Rule ID 18128 //
     /* 2265210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2265213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2265221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2265230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2265233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2265236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2265240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265256 */     // MIs[0] round
     /* 2265256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265259 */     // MIs[0] policy
     /* 2265259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265269 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2265269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265273 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265279 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2265286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265294 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265313 */     // GIR_Coverage, 18128,
     /* 2265313 */     GIR_EraseRootFromParent_Done,
     /* 2265314 */   // Label 27266: @2265314
     /* 2265314 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2265423), // Rule ID 18129 //
     /* 2265319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2265322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2265330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2265339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2265342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2265345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2265349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265365 */     // MIs[0] round
     /* 2265365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265368 */     // MIs[0] policy
     /* 2265368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265378 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2265378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2265395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265403 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265422 */     // GIR_Coverage, 18129,
     /* 2265422 */     GIR_EraseRootFromParent_Done,
     /* 2265423 */   // Label 27267: @2265423
     /* 2265423 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2265532), // Rule ID 18132 //
     /* 2265428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2265439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2265442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2265445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2265448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2265451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2265454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2265458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265474 */     // MIs[0] round
     /* 2265474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265477 */     // MIs[0] policy
     /* 2265477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265487 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2265487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265491 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265497 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2265504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265512 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265531 */     // GIR_Coverage, 18132,
     /* 2265531 */     GIR_EraseRootFromParent_Done,
     /* 2265532 */   // Label 27268: @2265532
     /* 2265532 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2265641), // Rule ID 18133 //
     /* 2265537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2265548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2265551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2265554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2265557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2265560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2265563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2265567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265583 */     // MIs[0] round
     /* 2265583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265586 */     // MIs[0] policy
     /* 2265586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265596 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2265596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2265613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265621 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265640 */     // GIR_Coverage, 18133,
     /* 2265640 */     GIR_EraseRootFromParent_Done,
     /* 2265641 */   // Label 27269: @2265641
     /* 2265641 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2265750), // Rule ID 18136 //
     /* 2265646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2265657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2265666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2265669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2265672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2265676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265692 */     // MIs[0] round
     /* 2265692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265695 */     // MIs[0] policy
     /* 2265695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265705 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2265705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265709 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265715 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2265722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265730 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265749 */     // GIR_Coverage, 18136,
     /* 2265749 */     GIR_EraseRootFromParent_Done,
     /* 2265750 */   // Label 27270: @2265750
     /* 2265750 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2265859), // Rule ID 18137 //
     /* 2265755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2265766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2265769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2265772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2265775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2265778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2265781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2265785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265801 */     // MIs[0] round
     /* 2265801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265804 */     // MIs[0] policy
     /* 2265804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2265814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265818 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265824 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2265831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265839 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265858 */     // GIR_Coverage, 18137,
     /* 2265858 */     GIR_EraseRootFromParent_Done,
     /* 2265859 */   // Label 27271: @2265859
     /* 2265859 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2265968), // Rule ID 18140 //
     /* 2265864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2265867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2265875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2265881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2265884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2265887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2265890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2265894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2265910 */     // MIs[0] round
     /* 2265910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2265913 */     // MIs[0] policy
     /* 2265913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2265916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2265923 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2265923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2265927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2265933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2265937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2265940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2265944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2265948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2265954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2265956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2265961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2265964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2265966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2265967 */     // GIR_Coverage, 18140,
     /* 2265967 */     GIR_EraseRootFromParent_Done,
     /* 2265968 */   // Label 27272: @2265968
     /* 2265968 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2266077), // Rule ID 18141 //
     /* 2265973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2265976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2265981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2265984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2265987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2265990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2265993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2265996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2265999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2266003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266019 */     // MIs[0] round
     /* 2266019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266022 */     // MIs[0] policy
     /* 2266022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266032 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2266032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266036 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266042 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2266049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266057 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2266073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266076 */     // GIR_Coverage, 18141,
     /* 2266076 */     GIR_EraseRootFromParent_Done,
     /* 2266077 */   // Label 27273: @2266077
     /* 2266077 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2266186), // Rule ID 18144 //
     /* 2266082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2266093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2266102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2266105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2266108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266128 */     // MIs[0] round
     /* 2266128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266131 */     // MIs[0] policy
     /* 2266131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266141 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2266141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266145 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2266158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266166 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266185 */     // GIR_Coverage, 18144,
     /* 2266185 */     GIR_EraseRootFromParent_Done,
     /* 2266186 */   // Label 27274: @2266186
     /* 2266186 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2266295), // Rule ID 18145 //
     /* 2266191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2266202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2266205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2266211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2266214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2266217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266237 */     // MIs[0] round
     /* 2266237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266240 */     // MIs[0] policy
     /* 2266240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2266250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2266267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266294 */     // GIR_Coverage, 18145,
     /* 2266294 */     GIR_EraseRootFromParent_Done,
     /* 2266295 */   // Label 27275: @2266295
     /* 2266295 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2266404), // Rule ID 18148 //
     /* 2266300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2266311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2266314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2266320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2266323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2266326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266346 */     // MIs[0] round
     /* 2266346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266349 */     // MIs[0] policy
     /* 2266349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266359 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2266359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2266376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266384 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266403 */     // GIR_Coverage, 18148,
     /* 2266403 */     GIR_EraseRootFromParent_Done,
     /* 2266404 */   // Label 27276: @2266404
     /* 2266404 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2266513), // Rule ID 18149 //
     /* 2266409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2266420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2266423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2266429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2266432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2266435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266455 */     // MIs[0] round
     /* 2266455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266458 */     // MIs[0] policy
     /* 2266458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2266468 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266472 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2266485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266493 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266512 */     // GIR_Coverage, 18149,
     /* 2266512 */     GIR_EraseRootFromParent_Done,
     /* 2266513 */   // Label 27277: @2266513
     /* 2266513 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2266622), // Rule ID 18152 //
     /* 2266518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2266529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2266532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2266538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2266541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2266544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266564 */     // MIs[0] round
     /* 2266564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266567 */     // MIs[0] policy
     /* 2266567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266577 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2266577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266581 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266587 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2266594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266621 */     // GIR_Coverage, 18152,
     /* 2266621 */     GIR_EraseRootFromParent_Done,
     /* 2266622 */   // Label 27278: @2266622
     /* 2266622 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2266731), // Rule ID 18153 //
     /* 2266627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2266630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2266638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2266641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2266647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2266650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2266653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266673 */     // MIs[0] round
     /* 2266673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266676 */     // MIs[0] policy
     /* 2266676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266686 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2266686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266690 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266696 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2266703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266711 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266730 */     // GIR_Coverage, 18153,
     /* 2266730 */     GIR_EraseRootFromParent_Done,
     /* 2266731 */   // Label 27279: @2266731
     /* 2266731 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2266840), // Rule ID 18156 //
     /* 2266736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2266739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2266747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2266750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2266756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2266759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2266762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266782 */     // MIs[0] round
     /* 2266782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266785 */     // MIs[0] policy
     /* 2266785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266795 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2266795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266799 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266805 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2266812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266820 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266839 */     // GIR_Coverage, 18156,
     /* 2266839 */     GIR_EraseRootFromParent_Done,
     /* 2266840 */   // Label 27280: @2266840
     /* 2266840 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2266949), // Rule ID 18157 //
     /* 2266845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2266848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2266856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2266859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2266862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2266865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2266868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2266871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2266883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2266891 */     // MIs[0] round
     /* 2266891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2266894 */     // MIs[0] policy
     /* 2266894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2266897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2266904 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10842:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2266904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2266908 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2266914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2266918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2266921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2266925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2266929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2266935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2266937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2266942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2266947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2266948 */     // GIR_Coverage, 18157,
     /* 2266948 */     GIR_EraseRootFromParent_Done,
     /* 2266949 */   // Label 27281: @2266949
     /* 2266949 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2267058), // Rule ID 18160 //
     /* 2266954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2266957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2266962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2266965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2266968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2266971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2266974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2266977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2266980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2266984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2266992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267000 */     // MIs[0] round
     /* 2267000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267003 */     // MIs[0] policy
     /* 2267003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267013 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2267013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2267030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267057 */     // GIR_Coverage, 18160,
     /* 2267057 */     GIR_EraseRootFromParent_Done,
     /* 2267058 */   // Label 27282: @2267058
     /* 2267058 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2267167), // Rule ID 18161 //
     /* 2267063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2267066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2267074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2267077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2267080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2267083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2267086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2267089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2267093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2267101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267109 */     // MIs[0] round
     /* 2267109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267112 */     // MIs[0] policy
     /* 2267112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267122 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10842:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2267122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267126 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267132 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2267139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267147 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267166 */     // GIR_Coverage, 18161,
     /* 2267166 */     GIR_EraseRootFromParent_Done,
     /* 2267167 */   // Label 27283: @2267167
     /* 2267167 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2267276), // Rule ID 18164 //
     /* 2267172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2267175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2267183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2267186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2267192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2267195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2267198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2267202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267218 */     // MIs[0] round
     /* 2267218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267221 */     // MIs[0] policy
     /* 2267221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267231 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2267231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2267248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267275 */     // GIR_Coverage, 18164,
     /* 2267275 */     GIR_EraseRootFromParent_Done,
     /* 2267276 */   // Label 27284: @2267276
     /* 2267276 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2267385), // Rule ID 18165 //
     /* 2267281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2267284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2267292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2267295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2267298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2267301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2267304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2267307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2267311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2267319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267327 */     // MIs[0] round
     /* 2267327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267330 */     // MIs[0] policy
     /* 2267330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10842:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2267340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2267357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2267381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267384 */     // GIR_Coverage, 18165,
     /* 2267384 */     GIR_EraseRootFromParent_Done,
     /* 2267385 */   // Label 27285: @2267385
     /* 2267385 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2267494), // Rule ID 18168 //
     /* 2267390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2267401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2267410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2267413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2267416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2267420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267436 */     // MIs[0] round
     /* 2267436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267439 */     // MIs[0] policy
     /* 2267439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267449 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2267449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2267466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267474 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267493 */     // GIR_Coverage, 18168,
     /* 2267493 */     GIR_EraseRootFromParent_Done,
     /* 2267494 */   // Label 27286: @2267494
     /* 2267494 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2267603), // Rule ID 18169 //
     /* 2267499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2267510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2267513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2267519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2267522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2267525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2267529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267545 */     // MIs[0] round
     /* 2267545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267548 */     // MIs[0] policy
     /* 2267548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267558 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2267558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267562 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267568 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2267575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267583 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267602 */     // GIR_Coverage, 18169,
     /* 2267602 */     GIR_EraseRootFromParent_Done,
     /* 2267603 */   // Label 27287: @2267603
     /* 2267603 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2267712), // Rule ID 18172 //
     /* 2267608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2267619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2267628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2267631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2267634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2267638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267654 */     // MIs[0] round
     /* 2267654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267657 */     // MIs[0] policy
     /* 2267657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2267667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267671 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267677 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2267684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267692 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267711 */     // GIR_Coverage, 18172,
     /* 2267711 */     GIR_EraseRootFromParent_Done,
     /* 2267712 */   // Label 27288: @2267712
     /* 2267712 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2267821), // Rule ID 18173 //
     /* 2267717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2267728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2267737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2267740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2267743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2267747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267763 */     // MIs[0] round
     /* 2267763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267766 */     // MIs[0] policy
     /* 2267766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267776 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2267776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267780 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267786 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2267793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267820 */     // GIR_Coverage, 18173,
     /* 2267820 */     GIR_EraseRootFromParent_Done,
     /* 2267821 */   // Label 27289: @2267821
     /* 2267821 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2267930), // Rule ID 18176 //
     /* 2267826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2267829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2267837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2267846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2267849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2267852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2267856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267872 */     // MIs[0] round
     /* 2267872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267875 */     // MIs[0] policy
     /* 2267875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267885 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2267885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2267895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2267899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2267902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2267906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2267910 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2267916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2267918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2267923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2267928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2267929 */     // GIR_Coverage, 18176,
     /* 2267929 */     GIR_EraseRootFromParent_Done,
     /* 2267930 */   // Label 27290: @2267930
     /* 2267930 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2268039), // Rule ID 18177 //
     /* 2267935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2267938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2267943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2267946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2267952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2267955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2267958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2267961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2267965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2267973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2267981 */     // MIs[0] round
     /* 2267981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2267984 */     // MIs[0] policy
     /* 2267984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2267987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2267994 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2267994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2267998 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268004 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2268011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268019 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268038 */     // GIR_Coverage, 18177,
     /* 2268038 */     GIR_EraseRootFromParent_Done,
     /* 2268039 */   // Label 27291: @2268039
     /* 2268039 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2268148), // Rule ID 18180 //
     /* 2268044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2268055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2268058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2268064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2268067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2268070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2268074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268090 */     // MIs[0] round
     /* 2268090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268093 */     // MIs[0] policy
     /* 2268093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268103 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2268103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268107 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268113 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2268120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268128 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268147 */     // GIR_Coverage, 18180,
     /* 2268147 */     GIR_EraseRootFromParent_Done,
     /* 2268148 */   // Label 27292: @2268148
     /* 2268148 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2268257), // Rule ID 18181 //
     /* 2268153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2268164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2268167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2268173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2268176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2268179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2268183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268199 */     // MIs[0] round
     /* 2268199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268202 */     // MIs[0] policy
     /* 2268202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268212 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2268212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268216 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2268229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268237 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268256 */     // GIR_Coverage, 18181,
     /* 2268256 */     GIR_EraseRootFromParent_Done,
     /* 2268257 */   // Label 27293: @2268257
     /* 2268257 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2268366), // Rule ID 18184 //
     /* 2268262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2268273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2268276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2268282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2268285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2268288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2268292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268308 */     // MIs[0] round
     /* 2268308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268311 */     // MIs[0] policy
     /* 2268311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268321 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2268321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268325 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268331 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2268338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268346 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268365 */     // GIR_Coverage, 18184,
     /* 2268365 */     GIR_EraseRootFromParent_Done,
     /* 2268366 */   // Label 27294: @2268366
     /* 2268366 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2268475), // Rule ID 18185 //
     /* 2268371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2268382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2268385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2268391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2268394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2268397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2268401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268417 */     // MIs[0] round
     /* 2268417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268420 */     // MIs[0] policy
     /* 2268420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268430 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2268430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2268447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268474 */     // GIR_Coverage, 18185,
     /* 2268474 */     GIR_EraseRootFromParent_Done,
     /* 2268475 */   // Label 27295: @2268475
     /* 2268475 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2268584), // Rule ID 18188 //
     /* 2268480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2268483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2268491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2268500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2268503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2268506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2268510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268526 */     // MIs[0] round
     /* 2268526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268529 */     // MIs[0] policy
     /* 2268529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268539 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2268539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268543 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268549 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2268556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268564 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268583 */     // GIR_Coverage, 18188,
     /* 2268583 */     GIR_EraseRootFromParent_Done,
     /* 2268584 */   // Label 27296: @2268584
     /* 2268584 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2268693), // Rule ID 18189 //
     /* 2268589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2268592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2268600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2268603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2268606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2268609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2268612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2268615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2268619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2268627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268635 */     // MIs[0] round
     /* 2268635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268638 */     // MIs[0] policy
     /* 2268638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2268648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268652 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268658 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2268665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2268689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268692 */     // GIR_Coverage, 18189,
     /* 2268692 */     GIR_EraseRootFromParent_Done,
     /* 2268693 */   // Label 27297: @2268693
     /* 2268693 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2268802), // Rule ID 18192 //
     /* 2268698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2268701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2268709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2268712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2268715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2268718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2268721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2268724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2268728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268744 */     // MIs[0] round
     /* 2268744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268747 */     // MIs[0] policy
     /* 2268747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268757 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2268757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2268774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268782 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268801 */     // GIR_Coverage, 18192,
     /* 2268801 */     GIR_EraseRootFromParent_Done,
     /* 2268802 */   // Label 27298: @2268802
     /* 2268802 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2268911), // Rule ID 18193 //
     /* 2268807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2268810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2268818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2268821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2268824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2268827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2268830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2268833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2268837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2268849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268853 */     // MIs[0] round
     /* 2268853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268856 */     // MIs[0] policy
     /* 2268856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268866 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10842:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2268866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268870 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268876 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2268883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2268891 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2268897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2268899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2268904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2268907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2268909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2268910 */     // GIR_Coverage, 18193,
     /* 2268910 */     GIR_EraseRootFromParent_Done,
     /* 2268911 */   // Label 27299: @2268911
     /* 2268911 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2269020), // Rule ID 18196 //
     /* 2268916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2268919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2268924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2268927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2268930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2268933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2268936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2268939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2268942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2268946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2268954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2268962 */     // MIs[0] round
     /* 2268962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2268965 */     // MIs[0] policy
     /* 2268965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2268968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2268975 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2268975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2268979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2268985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2268989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2268992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2268996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269000 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269019 */     // GIR_Coverage, 18196,
     /* 2269019 */     GIR_EraseRootFromParent_Done,
     /* 2269020 */   // Label 27300: @2269020
     /* 2269020 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2269129), // Rule ID 18197 //
     /* 2269025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2269033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2269036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2269039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2269042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2269045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2269048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2269051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2269055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2269063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269071 */     // MIs[0] round
     /* 2269071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269074 */     // MIs[0] policy
     /* 2269074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269084 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10842:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2269084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269088 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269094 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2269101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269128 */     // GIR_Coverage, 18197,
     /* 2269128 */     GIR_EraseRootFromParent_Done,
     /* 2269129 */   // Label 27301: @2269129
     /* 2269129 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2269238), // Rule ID 18200 //
     /* 2269134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2269137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2269142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2269145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2269148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2269151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2269154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2269157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2269160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2269164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2269172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269180 */     // MIs[0] round
     /* 2269180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269183 */     // MIs[0] policy
     /* 2269183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269193 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2269193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2269210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269218 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269237 */     // GIR_Coverage, 18200,
     /* 2269237 */     GIR_EraseRootFromParent_Done,
     /* 2269238 */   // Label 27302: @2269238
     /* 2269238 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2269347), // Rule ID 18201 //
     /* 2269243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2269246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2269251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2269254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2269257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2269260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2269263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2269266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2269269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2269273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2269281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269289 */     // MIs[0] round
     /* 2269289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269292 */     // MIs[0] policy
     /* 2269292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269302 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10842:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2269302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269306 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269312 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2269319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269327 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2269343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269346 */     // GIR_Coverage, 18201,
     /* 2269346 */     GIR_EraseRootFromParent_Done,
     /* 2269347 */   // Label 27303: @2269347
     /* 2269347 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2269456), // Rule ID 18204 //
     /* 2269352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2269363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2269369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2269372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2269375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2269378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269398 */     // MIs[0] round
     /* 2269398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269401 */     // MIs[0] policy
     /* 2269401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269411 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2269411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269415 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269421 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2269428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269436 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269455 */     // GIR_Coverage, 18204,
     /* 2269455 */     GIR_EraseRootFromParent_Done,
     /* 2269456 */   // Label 27304: @2269456
     /* 2269456 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2269565), // Rule ID 18205 //
     /* 2269461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2269472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2269475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2269478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2269481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2269484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2269487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269507 */     // MIs[0] round
     /* 2269507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269510 */     // MIs[0] policy
     /* 2269510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269520 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2269520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2269537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269564 */     // GIR_Coverage, 18205,
     /* 2269564 */     GIR_EraseRootFromParent_Done,
     /* 2269565 */   // Label 27305: @2269565
     /* 2269565 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2269674), // Rule ID 18208 //
     /* 2269570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2269573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2269581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2269590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2269593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2269596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269616 */     // MIs[0] round
     /* 2269616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269619 */     // MIs[0] policy
     /* 2269619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269629 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2269629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269633 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269639 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2269646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269654 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269673 */     // GIR_Coverage, 18208,
     /* 2269673 */     GIR_EraseRootFromParent_Done,
     /* 2269674 */   // Label 27306: @2269674
     /* 2269674 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2269783), // Rule ID 18209 //
     /* 2269679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2269682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2269690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2269693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2269696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2269699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2269702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2269705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269725 */     // MIs[0] round
     /* 2269725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269728 */     // MIs[0] policy
     /* 2269728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269738 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2269738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269742 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269748 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2269755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269782 */     // GIR_Coverage, 18209,
     /* 2269782 */     GIR_EraseRootFromParent_Done,
     /* 2269783 */   // Label 27307: @2269783
     /* 2269783 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2269892), // Rule ID 18212 //
     /* 2269788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2269791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2269799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2269808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2269811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2269814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269834 */     // MIs[0] round
     /* 2269834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269837 */     // MIs[0] policy
     /* 2269837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269847 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2269847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269851 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269857 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2269864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269891 */     // GIR_Coverage, 18212,
     /* 2269891 */     GIR_EraseRootFromParent_Done,
     /* 2269892 */   // Label 27308: @2269892
     /* 2269892 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2270001), // Rule ID 18213 //
     /* 2269897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2269900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2269905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2269908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2269911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2269914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2269917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2269920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2269923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2269927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2269943 */     // MIs[0] round
     /* 2269943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2269946 */     // MIs[0] policy
     /* 2269946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2269949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2269956 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2269956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2269960 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2269966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2269970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2269973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2269977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2269981 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2269987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2269989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2269994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2269997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2269999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270000 */     // GIR_Coverage, 18213,
     /* 2270000 */     GIR_EraseRootFromParent_Done,
     /* 2270001 */   // Label 27309: @2270001
     /* 2270001 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2270110), // Rule ID 18216 //
     /* 2270006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2270017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2270026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2270029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2270032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270052 */     // MIs[0] round
     /* 2270052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270055 */     // MIs[0] policy
     /* 2270055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270065 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2270065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270069 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270075 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2270082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270090 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270109 */     // GIR_Coverage, 18216,
     /* 2270109 */     GIR_EraseRootFromParent_Done,
     /* 2270110 */   // Label 27310: @2270110
     /* 2270110 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2270219), // Rule ID 18217 //
     /* 2270115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2270126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2270129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2270132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2270135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2270138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2270141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270161 */     // MIs[0] round
     /* 2270161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270164 */     // MIs[0] policy
     /* 2270164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270174 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2270174 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270178 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270184 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2270191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270199 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270218 */     // GIR_Coverage, 18217,
     /* 2270218 */     GIR_EraseRootFromParent_Done,
     /* 2270219 */   // Label 27311: @2270219
     /* 2270219 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2270328), // Rule ID 18220 //
     /* 2270224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2270227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2270235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2270244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2270247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2270250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270270 */     // MIs[0] round
     /* 2270270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270273 */     // MIs[0] policy
     /* 2270273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270283 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2270283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270287 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270293 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2270300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270327 */     // GIR_Coverage, 18220,
     /* 2270327 */     GIR_EraseRootFromParent_Done,
     /* 2270328 */   // Label 27312: @2270328
     /* 2270328 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2270437), // Rule ID 18221 //
     /* 2270333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2270336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2270344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2270347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2270350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2270353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2270356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2270359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270379 */     // MIs[0] round
     /* 2270379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270382 */     // MIs[0] policy
     /* 2270382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270392 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2270392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270396 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270402 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2270409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270417 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2270433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270436 */     // GIR_Coverage, 18221,
     /* 2270436 */     GIR_EraseRootFromParent_Done,
     /* 2270437 */   // Label 27313: @2270437
     /* 2270437 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2270546), // Rule ID 18224 //
     /* 2270442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2270445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2270453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2270456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2270459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2270462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2270465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2270468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270488 */     // MIs[0] round
     /* 2270488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270491 */     // MIs[0] policy
     /* 2270491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270501 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2270501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2270518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270545 */     // GIR_Coverage, 18224,
     /* 2270545 */     GIR_EraseRootFromParent_Done,
     /* 2270546 */   // Label 27314: @2270546
     /* 2270546 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2270655), // Rule ID 18225 //
     /* 2270551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2270554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2270562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2270565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2270568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2270571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2270574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2270577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2270581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2270593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270597 */     // MIs[0] round
     /* 2270597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270600 */     // MIs[0] policy
     /* 2270600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270610 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2270610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2270627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2270651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270654 */     // GIR_Coverage, 18225,
     /* 2270654 */     GIR_EraseRootFromParent_Done,
     /* 2270655 */   // Label 27315: @2270655
     /* 2270655 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2270764), // Rule ID 18228 //
     /* 2270660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2270671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2270674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2270677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2270680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2270683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2270686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2270690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270706 */     // MIs[0] round
     /* 2270706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270709 */     // MIs[0] policy
     /* 2270709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270719 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2270719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270723 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2270736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270744 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270763 */     // GIR_Coverage, 18228,
     /* 2270763 */     GIR_EraseRootFromParent_Done,
     /* 2270764 */   // Label 27316: @2270764
     /* 2270764 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2270873), // Rule ID 18229 //
     /* 2270769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2270780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2270783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2270786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2270789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2270792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2270795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2270799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2270811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270815 */     // MIs[0] round
     /* 2270815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270818 */     // MIs[0] policy
     /* 2270818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2270828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270832 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270838 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2270845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270853 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270872 */     // GIR_Coverage, 18229,
     /* 2270872 */     GIR_EraseRootFromParent_Done,
     /* 2270873 */   // Label 27317: @2270873
     /* 2270873 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2270982), // Rule ID 18232 //
     /* 2270878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2270881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2270889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2270892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2270895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2270898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2270901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2270904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2270908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2270920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2270924 */     // MIs[0] round
     /* 2270924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2270927 */     // MIs[0] policy
     /* 2270927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2270930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2270937 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2270937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2270941 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2270947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2270951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2270954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2270958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2270962 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2270968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2270970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2270975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2270978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2270980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270981 */     // GIR_Coverage, 18232,
     /* 2270981 */     GIR_EraseRootFromParent_Done,
     /* 2270982 */   // Label 27318: @2270982
     /* 2270982 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2271091), // Rule ID 18233 //
     /* 2270987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2270990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2270995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2270998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2271001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2271004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2271007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2271010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2271013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2271017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271033 */     // MIs[0] round
     /* 2271033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271036 */     // MIs[0] policy
     /* 2271036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271046 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2271046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271050 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2271063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271071 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271090 */     // GIR_Coverage, 18233,
     /* 2271090 */     GIR_EraseRootFromParent_Done,
     /* 2271091 */   // Label 27319: @2271091
     /* 2271091 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2271200), // Rule ID 18236 //
     /* 2271096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2271099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2271107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2271113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2271116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2271119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2271122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2271126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271142 */     // MIs[0] round
     /* 2271142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271145 */     // MIs[0] policy
     /* 2271145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271155 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2271155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271159 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271165 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2271172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271180 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271199 */     // GIR_Coverage, 18236,
     /* 2271199 */     GIR_EraseRootFromParent_Done,
     /* 2271200 */   // Label 27320: @2271200
     /* 2271200 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2271309), // Rule ID 18237 //
     /* 2271205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2271208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2271216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2271219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2271222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2271225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2271228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2271231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2271235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271251 */     // MIs[0] round
     /* 2271251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271254 */     // MIs[0] policy
     /* 2271254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271264 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2271264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271268 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2271281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271289 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2271305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271308 */     // GIR_Coverage, 18237,
     /* 2271308 */     GIR_EraseRootFromParent_Done,
     /* 2271309 */   // Label 27321: @2271309
     /* 2271309 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2271418), // Rule ID 18240 //
     /* 2271314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2271325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2271334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2271337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2271340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2271344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271360 */     // MIs[0] round
     /* 2271360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271363 */     // MIs[0] policy
     /* 2271363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271373 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2271373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2271390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271417 */     // GIR_Coverage, 18240,
     /* 2271417 */     GIR_EraseRootFromParent_Done,
     /* 2271418 */   // Label 27322: @2271418
     /* 2271418 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2271527), // Rule ID 18241 //
     /* 2271423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2271434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2271437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2271440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2271443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2271446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2271449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2271453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2271465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271469 */     // MIs[0] round
     /* 2271469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271472 */     // MIs[0] policy
     /* 2271472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271482 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2271482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271486 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271492 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2271499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271507 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271526 */     // GIR_Coverage, 18241,
     /* 2271526 */     GIR_EraseRootFromParent_Done,
     /* 2271527 */   // Label 27323: @2271527
     /* 2271527 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2271636), // Rule ID 18244 //
     /* 2271532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2271543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2271549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2271552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2271555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2271558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2271562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271578 */     // MIs[0] round
     /* 2271578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271581 */     // MIs[0] policy
     /* 2271581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271591 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2271591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271595 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271601 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2271608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271616 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271635 */     // GIR_Coverage, 18244,
     /* 2271635 */     GIR_EraseRootFromParent_Done,
     /* 2271636 */   // Label 27324: @2271636
     /* 2271636 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2271745), // Rule ID 18245 //
     /* 2271641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2271652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2271655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2271658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2271661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2271664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2271667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2271671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2271683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271687 */     // MIs[0] round
     /* 2271687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271690 */     // MIs[0] policy
     /* 2271690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271700 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2271700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2271717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271744 */     // GIR_Coverage, 18245,
     /* 2271744 */     GIR_EraseRootFromParent_Done,
     /* 2271745 */   // Label 27325: @2271745
     /* 2271745 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2271854), // Rule ID 18248 //
     /* 2271750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2271753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2271761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2271767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2271770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2271773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2271776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2271780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271796 */     // MIs[0] round
     /* 2271796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271799 */     // MIs[0] policy
     /* 2271799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271809 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2271809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271813 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271819 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2271826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271834 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271853 */     // GIR_Coverage, 18248,
     /* 2271853 */     GIR_EraseRootFromParent_Done,
     /* 2271854 */   // Label 27326: @2271854
     /* 2271854 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2271963), // Rule ID 18249 //
     /* 2271859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2271862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2271870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2271873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2271876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2271879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2271882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2271885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2271889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2271901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2271905 */     // MIs[0] round
     /* 2271905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2271908 */     // MIs[0] policy
     /* 2271908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2271911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2271918 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2271918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2271922 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2271928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2271932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2271935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2271939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2271941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2271943 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2271949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2271951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2271956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2271959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2271961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2271962 */     // GIR_Coverage, 18249,
     /* 2271962 */     GIR_EraseRootFromParent_Done,
     /* 2271963 */   // Label 27327: @2271963
     /* 2271963 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2272072), // Rule ID 18252 //
     /* 2271968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2271971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2271976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2271979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2271982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2271985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2271988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2271991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2271994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2271998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272014 */     // MIs[0] round
     /* 2272014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272017 */     // MIs[0] policy
     /* 2272017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272027 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2272027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272031 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272037 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2272044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272052 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272071 */     // GIR_Coverage, 18252,
     /* 2272071 */     GIR_EraseRootFromParent_Done,
     /* 2272072 */   // Label 27328: @2272072
     /* 2272072 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2272181), // Rule ID 18253 //
     /* 2272077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2272088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2272091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2272094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2272097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2272100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2272103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2272107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2272119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272123 */     // MIs[0] round
     /* 2272123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272126 */     // MIs[0] policy
     /* 2272126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272136 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2272136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272140 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272146 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2272153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272161 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272180 */     // GIR_Coverage, 18253,
     /* 2272180 */     GIR_EraseRootFromParent_Done,
     /* 2272181 */   // Label 27329: @2272181
     /* 2272181 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2272290), // Rule ID 18256 //
     /* 2272186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2272197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2272200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2272203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2272206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2272209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2272212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2272216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272232 */     // MIs[0] round
     /* 2272232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272235 */     // MIs[0] policy
     /* 2272235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272245 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2272245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272249 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272255 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2272262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272270 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272289 */     // GIR_Coverage, 18256,
     /* 2272289 */     GIR_EraseRootFromParent_Done,
     /* 2272290 */   // Label 27330: @2272290
     /* 2272290 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2272399), // Rule ID 18257 //
     /* 2272295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2272306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2272309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2272312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2272315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2272318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2272321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2272325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2272337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272341 */     // MIs[0] round
     /* 2272341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272344 */     // MIs[0] policy
     /* 2272344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2272354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272358 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272364 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2272371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272398 */     // GIR_Coverage, 18257,
     /* 2272398 */     GIR_EraseRootFromParent_Done,
     /* 2272399 */   // Label 27331: @2272399
     /* 2272399 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2272508), // Rule ID 18260 //
     /* 2272404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2272415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2272424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2272427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2272430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2272434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272450 */     // MIs[0] round
     /* 2272450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272453 */     // MIs[0] policy
     /* 2272453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272463 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2272463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2272480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272507 */     // GIR_Coverage, 18260,
     /* 2272507 */     GIR_EraseRootFromParent_Done,
     /* 2272508 */   // Label 27332: @2272508
     /* 2272508 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2272617), // Rule ID 18261 //
     /* 2272513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2272524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2272527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2272530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2272533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2272536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2272539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2272543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2272555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272559 */     // MIs[0] round
     /* 2272559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272562 */     // MIs[0] policy
     /* 2272562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272572 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2272572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2272589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272597 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272616 */     // GIR_Coverage, 18261,
     /* 2272616 */     GIR_EraseRootFromParent_Done,
     /* 2272617 */   // Label 27333: @2272617
     /* 2272617 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2272726), // Rule ID 18264 //
     /* 2272622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2272633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2272639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2272642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2272645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2272648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2272652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272668 */     // MIs[0] round
     /* 2272668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272671 */     // MIs[0] policy
     /* 2272671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272681 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2272681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272685 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272691 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2272698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272706 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272725 */     // GIR_Coverage, 18264,
     /* 2272725 */     GIR_EraseRootFromParent_Done,
     /* 2272726 */   // Label 27334: @2272726
     /* 2272726 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2272835), // Rule ID 18265 //
     /* 2272731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2272742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2272748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2272751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2272754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2272757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2272761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272777 */     // MIs[0] round
     /* 2272777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272780 */     // MIs[0] policy
     /* 2272780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272790 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2272790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2272807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272834 */     // GIR_Coverage, 18265,
     /* 2272834 */     GIR_EraseRootFromParent_Done,
     /* 2272835 */   // Label 27335: @2272835
     /* 2272835 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2272944), // Rule ID 18268 //
     /* 2272840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2272851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2272857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2272860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2272863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2272866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2272870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272886 */     // MIs[0] round
     /* 2272886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272889 */     // MIs[0] policy
     /* 2272889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2272892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2272899 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2272899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2272903 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2272909 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2272913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2272916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2272920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2272922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2272924 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2272930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2272932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2272937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2272942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2272943 */     // GIR_Coverage, 18268,
     /* 2272943 */     GIR_EraseRootFromParent_Done,
     /* 2272944 */   // Label 27336: @2272944
     /* 2272944 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2273053), // Rule ID 18269 //
     /* 2272949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2272957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2272960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2272963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2272966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2272969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2272972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2272975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2272979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2272987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2272995 */     // MIs[0] round
     /* 2272995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2272998 */     // MIs[0] policy
     /* 2272998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273008 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2273008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2273025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273052 */     // GIR_Coverage, 18269,
     /* 2273052 */     GIR_EraseRootFromParent_Done,
     /* 2273053 */   // Label 27337: @2273053
     /* 2273053 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2273162), // Rule ID 18272 //
     /* 2273058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2273069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2273075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2273078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2273081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2273084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273104 */     // MIs[0] round
     /* 2273104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273107 */     // MIs[0] policy
     /* 2273107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273117 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2273117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273127 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2273134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273142 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273161 */     // GIR_Coverage, 18272,
     /* 2273161 */     GIR_EraseRootFromParent_Done,
     /* 2273162 */   // Label 27338: @2273162
     /* 2273162 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2273271), // Rule ID 18273 //
     /* 2273167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2273178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2273184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2273187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2273190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2273193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273213 */     // MIs[0] round
     /* 2273213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273216 */     // MIs[0] policy
     /* 2273216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273226 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2273226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273230 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273236 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2273243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273251 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273270 */     // GIR_Coverage, 18273,
     /* 2273270 */     GIR_EraseRootFromParent_Done,
     /* 2273271 */   // Label 27339: @2273271
     /* 2273271 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2273380), // Rule ID 18276 //
     /* 2273276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2273287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2273293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2273296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2273299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2273302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273322 */     // MIs[0] round
     /* 2273322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273325 */     // MIs[0] policy
     /* 2273325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273335 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2273335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273339 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273345 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2273352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273360 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273379 */     // GIR_Coverage, 18276,
     /* 2273379 */     GIR_EraseRootFromParent_Done,
     /* 2273380 */   // Label 27340: @2273380
     /* 2273380 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2273489), // Rule ID 18277 //
     /* 2273385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2273396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2273399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2273402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2273405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2273408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2273411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273431 */     // MIs[0] round
     /* 2273431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273434 */     // MIs[0] policy
     /* 2273434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273444 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10878:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2273444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273448 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273454 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2273461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273469 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273488 */     // GIR_Coverage, 18277,
     /* 2273488 */     GIR_EraseRootFromParent_Done,
     /* 2273489 */   // Label 27341: @2273489
     /* 2273489 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2273598), // Rule ID 18280 //
     /* 2273494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2273505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2273511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2273514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2273517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2273520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273540 */     // MIs[0] round
     /* 2273540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273543 */     // MIs[0] policy
     /* 2273543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2273553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273557 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273563 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2273570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273597 */     // GIR_Coverage, 18280,
     /* 2273597 */     GIR_EraseRootFromParent_Done,
     /* 2273598 */   // Label 27342: @2273598
     /* 2273598 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2273707), // Rule ID 18281 //
     /* 2273603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2273614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2273620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2273623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2273626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2273629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2273641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273649 */     // MIs[0] round
     /* 2273649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273652 */     // MIs[0] policy
     /* 2273652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273662 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10878:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2273662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273666 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273672 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2273679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273687 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273706 */     // GIR_Coverage, 18281,
     /* 2273706 */     GIR_EraseRootFromParent_Done,
     /* 2273707 */   // Label 27343: @2273707
     /* 2273707 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2273816), // Rule ID 18284 //
     /* 2273712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2273723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2273729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2273732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2273735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2273738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273758 */     // MIs[0] round
     /* 2273758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273761 */     // MIs[0] policy
     /* 2273761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273771 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2273771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273775 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273781 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2273788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273796 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273815 */     // GIR_Coverage, 18284,
     /* 2273815 */     GIR_EraseRootFromParent_Done,
     /* 2273816 */   // Label 27344: @2273816
     /* 2273816 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2273925), // Rule ID 18285 //
     /* 2273821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2273824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2273832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2273838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2273841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2273844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2273847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2273851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2273859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273867 */     // MIs[0] round
     /* 2273867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273870 */     // MIs[0] policy
     /* 2273870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10878:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2273880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273884 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273890 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2273894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2273897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2273901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2273903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2273905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2273911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2273913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2273918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2273923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2273924 */     // GIR_Coverage, 18285,
     /* 2273924 */     GIR_EraseRootFromParent_Done,
     /* 2273925 */   // Label 27345: @2273925
     /* 2273925 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2274034), // Rule ID 18288 //
     /* 2273930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2273938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2273941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2273944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2273947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2273950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2273953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2273956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2273960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2273968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2273976 */     // MIs[0] round
     /* 2273976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2273979 */     // MIs[0] policy
     /* 2273979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2273982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2273989 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2273989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2273993 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2273999 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2274006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274014 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274033 */     // GIR_Coverage, 18288,
     /* 2274033 */     GIR_EraseRootFromParent_Done,
     /* 2274034 */   // Label 27346: @2274034
     /* 2274034 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2274143), // Rule ID 18289 //
     /* 2274039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2274050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2274053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2274056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2274059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2274062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2274065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2274069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274085 */     // MIs[0] round
     /* 2274085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274088 */     // MIs[0] policy
     /* 2274088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274098 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2274098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274102 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274108 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2274115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274123 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274142 */     // GIR_Coverage, 18289,
     /* 2274142 */     GIR_EraseRootFromParent_Done,
     /* 2274143 */   // Label 27347: @2274143
     /* 2274143 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2274252), // Rule ID 18292 //
     /* 2274148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2274159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2274165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2274168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2274171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2274174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2274178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274194 */     // MIs[0] round
     /* 2274194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274197 */     // MIs[0] policy
     /* 2274197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274207 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2274207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274211 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274217 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2274224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274232 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274251 */     // GIR_Coverage, 18292,
     /* 2274251 */     GIR_EraseRootFromParent_Done,
     /* 2274252 */   // Label 27348: @2274252
     /* 2274252 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2274361), // Rule ID 18293 //
     /* 2274257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2274268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2274271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2274274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2274277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2274280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2274283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2274287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274303 */     // MIs[0] round
     /* 2274303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274306 */     // MIs[0] policy
     /* 2274306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274316 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2274316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274320 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274326 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2274333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274341 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274360 */     // GIR_Coverage, 18293,
     /* 2274360 */     GIR_EraseRootFromParent_Done,
     /* 2274361 */   // Label 27349: @2274361
     /* 2274361 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2274470), // Rule ID 18296 //
     /* 2274366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2274377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2274383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2274386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2274389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2274392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2274396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274412 */     // MIs[0] round
     /* 2274412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274415 */     // MIs[0] policy
     /* 2274415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274425 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2274425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274429 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274435 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2274442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274450 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274469 */     // GIR_Coverage, 18296,
     /* 2274469 */     GIR_EraseRootFromParent_Done,
     /* 2274470 */   // Label 27350: @2274470
     /* 2274470 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2274579), // Rule ID 18297 //
     /* 2274475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2274486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2274489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2274492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2274495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2274498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2274501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2274505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2274513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2274517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274521 */     // MIs[0] round
     /* 2274521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274524 */     // MIs[0] policy
     /* 2274524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274534 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2274534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274538 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274544 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2274551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274559 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274578 */     // GIR_Coverage, 18297,
     /* 2274578 */     GIR_EraseRootFromParent_Done,
     /* 2274579 */   // Label 27351: @2274579
     /* 2274579 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2274688), // Rule ID 18300 //
     /* 2274584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2274595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2274604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2274607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2274610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2274614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274630 */     // MIs[0] round
     /* 2274630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274633 */     // MIs[0] policy
     /* 2274633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274643 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2274643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2274660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274687 */     // GIR_Coverage, 18300,
     /* 2274687 */     GIR_EraseRootFromParent_Done,
     /* 2274688 */   // Label 27352: @2274688
     /* 2274688 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2274797), // Rule ID 18301 //
     /* 2274693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2274704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2274713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2274716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2274719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2274723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274739 */     // MIs[0] round
     /* 2274739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274742 */     // MIs[0] policy
     /* 2274742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274752 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2274752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274756 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274762 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2274769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274777 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274796 */     // GIR_Coverage, 18301,
     /* 2274796 */     GIR_EraseRootFromParent_Done,
     /* 2274797 */   // Label 27353: @2274797
     /* 2274797 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2274906), // Rule ID 18304 //
     /* 2274802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2274813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2274822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2274825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2274828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2274832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274848 */     // MIs[0] round
     /* 2274848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274851 */     // MIs[0] policy
     /* 2274851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274861 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2274861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274865 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274871 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2274878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2274892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2274894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2274899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2274904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2274905 */     // GIR_Coverage, 18304,
     /* 2274905 */     GIR_EraseRootFromParent_Done,
     /* 2274906 */   // Label 27354: @2274906
     /* 2274906 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2275015), // Rule ID 18305 //
     /* 2274911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2274919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2274922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2274925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2274928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2274931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2274934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2274937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2274941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2274949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2274957 */     // MIs[0] round
     /* 2274957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2274960 */     // MIs[0] policy
     /* 2274960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2274963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2274970 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2274970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2274974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2274980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2274984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2274987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2274991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2274993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2274995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275014 */     // GIR_Coverage, 18305,
     /* 2275014 */     GIR_EraseRootFromParent_Done,
     /* 2275015 */   // Label 27355: @2275015
     /* 2275015 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2275124), // Rule ID 18308 //
     /* 2275020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2275031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2275040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2275043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2275046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2275050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275066 */     // MIs[0] round
     /* 2275066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275069 */     // MIs[0] policy
     /* 2275069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275079 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2275079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2275096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275104 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275123 */     // GIR_Coverage, 18308,
     /* 2275123 */     GIR_EraseRootFromParent_Done,
     /* 2275124 */   // Label 27356: @2275124
     /* 2275124 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2275233), // Rule ID 18309 //
     /* 2275129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2275140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2275143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2275146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2275149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2275152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2275155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2275159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2275167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275175 */     // MIs[0] round
     /* 2275175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275178 */     // MIs[0] policy
     /* 2275178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275188 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2275188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275192 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275198 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2275205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275213 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275232 */     // GIR_Coverage, 18309,
     /* 2275232 */     GIR_EraseRootFromParent_Done,
     /* 2275233 */   // Label 27357: @2275233
     /* 2275233 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2275342), // Rule ID 18312 //
     /* 2275238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2275249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2275252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2275258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2275261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2275264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2275268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275284 */     // MIs[0] round
     /* 2275284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275287 */     // MIs[0] policy
     /* 2275287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275297 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2275297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275301 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275307 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2275314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275322 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275341 */     // GIR_Coverage, 18312,
     /* 2275341 */     GIR_EraseRootFromParent_Done,
     /* 2275342 */   // Label 27358: @2275342
     /* 2275342 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2275451), // Rule ID 18313 //
     /* 2275347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2275358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2275361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2275367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2275370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2275373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2275377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275393 */     // MIs[0] round
     /* 2275393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275396 */     // MIs[0] policy
     /* 2275396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275406 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10878:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2275406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275410 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275416 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2275423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275431 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275450 */     // GIR_Coverage, 18313,
     /* 2275450 */     GIR_EraseRootFromParent_Done,
     /* 2275451 */   // Label 27359: @2275451
     /* 2275451 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2275560), // Rule ID 18316 //
     /* 2275456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2275467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2275476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2275479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2275482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2275486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275502 */     // MIs[0] round
     /* 2275502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275505 */     // MIs[0] policy
     /* 2275505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275515 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2275515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275519 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275525 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2275532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275540 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275559 */     // GIR_Coverage, 18316,
     /* 2275559 */     GIR_EraseRootFromParent_Done,
     /* 2275560 */   // Label 27360: @2275560
     /* 2275560 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2275669), // Rule ID 18317 //
     /* 2275565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2275576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2275585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2275588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2275591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2275595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275611 */     // MIs[0] round
     /* 2275611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275614 */     // MIs[0] policy
     /* 2275614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275624 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10878:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2275624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275628 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275634 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2275641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275668 */     // GIR_Coverage, 18317,
     /* 2275668 */     GIR_EraseRootFromParent_Done,
     /* 2275669 */   // Label 27361: @2275669
     /* 2275669 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2275778), // Rule ID 18320 //
     /* 2275674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2275685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2275694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2275697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2275700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2275704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275720 */     // MIs[0] round
     /* 2275720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275723 */     // MIs[0] policy
     /* 2275723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275733 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2275733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2275750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275777 */     // GIR_Coverage, 18320,
     /* 2275777 */     GIR_EraseRootFromParent_Done,
     /* 2275778 */   // Label 27362: @2275778
     /* 2275778 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2275887), // Rule ID 18321 //
     /* 2275783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2275791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2275794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2275800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2275803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2275806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2275809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2275813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2275821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275829 */     // MIs[0] round
     /* 2275829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275832 */     // MIs[0] policy
     /* 2275832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275842 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10878:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2275842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275846 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275852 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2275859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275867 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275886 */     // GIR_Coverage, 18321,
     /* 2275886 */     GIR_EraseRootFromParent_Done,
     /* 2275887 */   // Label 27363: @2275887
     /* 2275887 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2275996), // Rule ID 18324 //
     /* 2275892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2275900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2275903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2275906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2275909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2275912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2275915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2275918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2275922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2275938 */     // MIs[0] round
     /* 2275938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2275941 */     // MIs[0] policy
     /* 2275941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2275944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2275951 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2275951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2275955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2275961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2275965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2275968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2275972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2275974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2275976 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2275982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2275984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2275989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2275994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2275995 */     // GIR_Coverage, 18324,
     /* 2275995 */     GIR_EraseRootFromParent_Done,
     /* 2275996 */   // Label 27364: @2275996
     /* 2275996 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2276105), // Rule ID 18325 //
     /* 2276001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2276012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2276015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2276018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2276021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2276024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2276027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276047 */     // MIs[0] round
     /* 2276047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276050 */     // MIs[0] policy
     /* 2276050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276060 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2276060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2276077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276104 */     // GIR_Coverage, 18325,
     /* 2276104 */     GIR_EraseRootFromParent_Done,
     /* 2276105 */   // Label 27365: @2276105
     /* 2276105 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2276214), // Rule ID 18328 //
     /* 2276110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2276121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2276124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2276127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2276130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2276133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2276136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276156 */     // MIs[0] round
     /* 2276156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276159 */     // MIs[0] policy
     /* 2276159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276169 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2276169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276173 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2276186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276194 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276213 */     // GIR_Coverage, 18328,
     /* 2276213 */     GIR_EraseRootFromParent_Done,
     /* 2276214 */   // Label 27366: @2276214
     /* 2276214 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2276323), // Rule ID 18329 //
     /* 2276219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2276230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2276233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2276236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2276239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2276242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2276245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276265 */     // MIs[0] round
     /* 2276265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276268 */     // MIs[0] policy
     /* 2276268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2276278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2276295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276322 */     // GIR_Coverage, 18329,
     /* 2276322 */     GIR_EraseRootFromParent_Done,
     /* 2276323 */   // Label 27367: @2276323
     /* 2276323 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2276432), // Rule ID 18332 //
     /* 2276328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2276339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2276345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2276348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2276351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2276354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276374 */     // MIs[0] round
     /* 2276374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276377 */     // MIs[0] policy
     /* 2276377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276387 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2276387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276391 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276397 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2276404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276412 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276431 */     // GIR_Coverage, 18332,
     /* 2276431 */     GIR_EraseRootFromParent_Done,
     /* 2276432 */   // Label 27368: @2276432
     /* 2276432 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2276541), // Rule ID 18333 //
     /* 2276437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2276448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2276451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2276454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2276457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2276460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2276463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276483 */     // MIs[0] round
     /* 2276483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276486 */     // MIs[0] policy
     /* 2276486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276496 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2276496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276500 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2276513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276540 */     // GIR_Coverage, 18333,
     /* 2276540 */     GIR_EraseRootFromParent_Done,
     /* 2276541 */   // Label 27369: @2276541
     /* 2276541 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2276650), // Rule ID 18336 //
     /* 2276546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2276557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2276563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2276566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2276569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2276572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276592 */     // MIs[0] round
     /* 2276592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276595 */     // MIs[0] policy
     /* 2276595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276605 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2276605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2276622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276630 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276649 */     // GIR_Coverage, 18336,
     /* 2276649 */     GIR_EraseRootFromParent_Done,
     /* 2276650 */   // Label 27370: @2276650
     /* 2276650 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2276759), // Rule ID 18337 //
     /* 2276655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2276666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2276669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2276672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2276675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2276678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2276681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276701 */     // MIs[0] round
     /* 2276701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276704 */     // MIs[0] policy
     /* 2276704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2276714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276718 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2276731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276739 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276758 */     // GIR_Coverage, 18337,
     /* 2276758 */     GIR_EraseRootFromParent_Done,
     /* 2276759 */   // Label 27371: @2276759
     /* 2276759 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2276868), // Rule ID 18340 //
     /* 2276764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2276775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2276778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2276781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2276784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2276787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2276790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276810 */     // MIs[0] round
     /* 2276810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276813 */     // MIs[0] policy
     /* 2276813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276823 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2276823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276827 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276833 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2276840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276848 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276867 */     // GIR_Coverage, 18340,
     /* 2276867 */     GIR_EraseRootFromParent_Done,
     /* 2276868 */   // Label 27372: @2276868
     /* 2276868 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2276977), // Rule ID 18341 //
     /* 2276873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2276884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2276887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2276890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2276893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2276896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2276899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2276903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2276919 */     // MIs[0] round
     /* 2276919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2276922 */     // MIs[0] policy
     /* 2276922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2276925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2276932 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2276932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2276936 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2276942 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2276946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2276949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2276953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2276955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2276957 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2276963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2276965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2276970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2276975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2276976 */     // GIR_Coverage, 18341,
     /* 2276976 */     GIR_EraseRootFromParent_Done,
     /* 2276977 */   // Label 27373: @2276977
     /* 2276977 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2277086), // Rule ID 18344 //
     /* 2276982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2276990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2276993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2276996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2276999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2277002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2277005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2277008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277028 */     // MIs[0] round
     /* 2277028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277031 */     // MIs[0] policy
     /* 2277031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277041 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2277041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277045 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277051 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2277058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277066 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277085 */     // GIR_Coverage, 18344,
     /* 2277085 */     GIR_EraseRootFromParent_Done,
     /* 2277086 */   // Label 27374: @2277086
     /* 2277086 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2277195), // Rule ID 18345 //
     /* 2277091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2277094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2277102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2277105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2277108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2277111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2277114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2277117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2277121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277137 */     // MIs[0] round
     /* 2277137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277140 */     // MIs[0] policy
     /* 2277140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277150 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2277150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2277167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2277191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277194 */     // GIR_Coverage, 18345,
     /* 2277194 */     GIR_EraseRootFromParent_Done,
     /* 2277195 */   // Label 27375: @2277195
     /* 2277195 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2277304), // Rule ID 18348 //
     /* 2277200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2277211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2277214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2277217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2277220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2277223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2277226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2277230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277246 */     // MIs[0] round
     /* 2277246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277249 */     // MIs[0] policy
     /* 2277249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2277259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277263 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2277276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277284 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277303 */     // GIR_Coverage, 18348,
     /* 2277303 */     GIR_EraseRootFromParent_Done,
     /* 2277304 */   // Label 27376: @2277304
     /* 2277304 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2277413), // Rule ID 18349 //
     /* 2277309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2277320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2277323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2277326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2277329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2277332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2277335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2277339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277355 */     // MIs[0] round
     /* 2277355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277358 */     // MIs[0] policy
     /* 2277358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277368 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2277368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277372 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277378 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2277385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277412 */     // GIR_Coverage, 18349,
     /* 2277412 */     GIR_EraseRootFromParent_Done,
     /* 2277413 */   // Label 27377: @2277413
     /* 2277413 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2277522), // Rule ID 18352 //
     /* 2277418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2277429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2277438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2277441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2277444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2277448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277464 */     // MIs[0] round
     /* 2277464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277467 */     // MIs[0] policy
     /* 2277467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277477 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2277477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277481 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277487 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2277494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277502 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277521 */     // GIR_Coverage, 18352,
     /* 2277521 */     GIR_EraseRootFromParent_Done,
     /* 2277522 */   // Label 27378: @2277522
     /* 2277522 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2277631), // Rule ID 18353 //
     /* 2277527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2277538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2277547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2277550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2277553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2277557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277573 */     // MIs[0] round
     /* 2277573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277576 */     // MIs[0] policy
     /* 2277576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277586 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2277586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277590 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277596 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2277603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277630 */     // GIR_Coverage, 18353,
     /* 2277630 */     GIR_EraseRootFromParent_Done,
     /* 2277631 */   // Label 27379: @2277631
     /* 2277631 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2277740), // Rule ID 18356 //
     /* 2277636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2277647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2277653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2277656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2277659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2277662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2277666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277682 */     // MIs[0] round
     /* 2277682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277685 */     // MIs[0] policy
     /* 2277685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277695 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2277695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277699 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277705 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2277712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277720 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277739 */     // GIR_Coverage, 18356,
     /* 2277739 */     GIR_EraseRootFromParent_Done,
     /* 2277740 */   // Label 27380: @2277740
     /* 2277740 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2277849), // Rule ID 18357 //
     /* 2277745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2277756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2277762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2277765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2277768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2277771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2277775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277791 */     // MIs[0] round
     /* 2277791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277794 */     // MIs[0] policy
     /* 2277794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277804 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2277804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2277821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277848 */     // GIR_Coverage, 18357,
     /* 2277848 */     GIR_EraseRootFromParent_Done,
     /* 2277849 */   // Label 27381: @2277849
     /* 2277849 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2277958), // Rule ID 18360 //
     /* 2277854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2277865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2277868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2277871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2277874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2277877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2277880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2277884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2277900 */     // MIs[0] round
     /* 2277900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2277903 */     // MIs[0] policy
     /* 2277903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2277906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2277913 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2277913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2277917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2277923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2277927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2277930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2277934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2277936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2277938 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2277946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2277951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2277956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277957 */     // GIR_Coverage, 18360,
     /* 2277957 */     GIR_EraseRootFromParent_Done,
     /* 2277958 */   // Label 27382: @2277958
     /* 2277958 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2278067), // Rule ID 18361 //
     /* 2277963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2277971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2277974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2277977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2277980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2277983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2277986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2277989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2277993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2277997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278009 */     // MIs[0] round
     /* 2278009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278012 */     // MIs[0] policy
     /* 2278012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278022 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2278022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278026 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278032 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2278039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278066 */     // GIR_Coverage, 18361,
     /* 2278066 */     GIR_EraseRootFromParent_Done,
     /* 2278067 */   // Label 27383: @2278067
     /* 2278067 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2278176), // Rule ID 18364 //
     /* 2278072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2278075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2278083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2278086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2278089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2278092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2278095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2278098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2278102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278118 */     // MIs[0] round
     /* 2278118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278121 */     // MIs[0] policy
     /* 2278121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278131 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2278131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278135 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278141 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2278148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278175 */     // GIR_Coverage, 18364,
     /* 2278175 */     GIR_EraseRootFromParent_Done,
     /* 2278176 */   // Label 27384: @2278176
     /* 2278176 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2278285), // Rule ID 18365 //
     /* 2278181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2278184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2278192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2278195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2278198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2278201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2278204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2278207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2278211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278227 */     // MIs[0] round
     /* 2278227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278230 */     // MIs[0] policy
     /* 2278230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278240 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2278240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2278257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278284 */     // GIR_Coverage, 18365,
     /* 2278284 */     GIR_EraseRootFromParent_Done,
     /* 2278285 */   // Label 27385: @2278285
     /* 2278285 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2278394), // Rule ID 18368 //
     /* 2278290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2278293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2278301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2278304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2278307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2278310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2278313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2278316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2278320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278336 */     // MIs[0] round
     /* 2278336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278339 */     // MIs[0] policy
     /* 2278339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278349 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2278349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2278366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278393 */     // GIR_Coverage, 18368,
     /* 2278393 */     GIR_EraseRootFromParent_Done,
     /* 2278394 */   // Label 27386: @2278394
     /* 2278394 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2278503), // Rule ID 18369 //
     /* 2278399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2278402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2278410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2278413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2278416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2278419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2278422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2278425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2278429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278445 */     // MIs[0] round
     /* 2278445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278448 */     // MIs[0] policy
     /* 2278448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278458 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2278458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278462 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278468 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2278475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278502 */     // GIR_Coverage, 18369,
     /* 2278502 */     GIR_EraseRootFromParent_Done,
     /* 2278503 */   // Label 27387: @2278503
     /* 2278503 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2278612), // Rule ID 18372 //
     /* 2278508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2278511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2278519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2278525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2278528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2278531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2278534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2278538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278554 */     // MIs[0] round
     /* 2278554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278557 */     // MIs[0] policy
     /* 2278557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278567 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2278567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278571 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278577 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2278584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278592 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278611 */     // GIR_Coverage, 18372,
     /* 2278611 */     GIR_EraseRootFromParent_Done,
     /* 2278612 */   // Label 27388: @2278612
     /* 2278612 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2278721), // Rule ID 18373 //
     /* 2278617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2278620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2278628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2278631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2278634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2278637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2278640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2278643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2278647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2278659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278663 */     // MIs[0] round
     /* 2278663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278666 */     // MIs[0] policy
     /* 2278666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278676 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2278676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278680 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278686 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2278693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278701 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278720 */     // GIR_Coverage, 18373,
     /* 2278720 */     GIR_EraseRootFromParent_Done,
     /* 2278721 */   // Label 27389: @2278721
     /* 2278721 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2278830), // Rule ID 18376 //
     /* 2278726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2278729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2278737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2278740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2278743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2278746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2278749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2278752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2278756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278772 */     // MIs[0] round
     /* 2278772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278775 */     // MIs[0] policy
     /* 2278775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278785 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2278785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278789 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278795 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2278802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278829 */     // GIR_Coverage, 18376,
     /* 2278829 */     GIR_EraseRootFromParent_Done,
     /* 2278830 */   // Label 27390: @2278830
     /* 2278830 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2278939), // Rule ID 18377 //
     /* 2278835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2278838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2278846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2278849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2278852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2278855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2278858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2278861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2278865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2278877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278881 */     // MIs[0] round
     /* 2278881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278884 */     // MIs[0] policy
     /* 2278884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2278894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2278894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2278898 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278904 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2278908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2278911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2278915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2278917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2278919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2278927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2278932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2278937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278938 */     // GIR_Coverage, 18377,
     /* 2278938 */     GIR_EraseRootFromParent_Done,
     /* 2278939 */   // Label 27391: @2278939
     /* 2278939 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2279048), // Rule ID 18380 //
     /* 2278944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2278947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2278952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2278955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2278958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2278961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2278964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2278967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2278970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2278974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2278986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278990 */     // MIs[0] round
     /* 2278990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2278993 */     // MIs[0] policy
     /* 2278993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2278996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279003 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2279003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279007 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279013 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2279020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279028 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279047 */     // GIR_Coverage, 18380,
     /* 2279047 */     GIR_EraseRootFromParent_Done,
     /* 2279048 */   // Label 27392: @2279048
     /* 2279048 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2279157), // Rule ID 18381 //
     /* 2279053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2279056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2279064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2279067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2279070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2279073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2279076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2279079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2279083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2279095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279099 */     // MIs[0] round
     /* 2279099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279102 */     // MIs[0] policy
     /* 2279102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279112 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2279112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279116 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279122 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2279129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279137 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279156 */     // GIR_Coverage, 18381,
     /* 2279156 */     GIR_EraseRootFromParent_Done,
     /* 2279157 */   // Label 27393: @2279157
     /* 2279157 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2279266), // Rule ID 18384 //
     /* 2279162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2279173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2279176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2279182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2279185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2279188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279208 */     // MIs[0] round
     /* 2279208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279211 */     // MIs[0] policy
     /* 2279211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279221 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2279221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2279238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279246 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279265 */     // GIR_Coverage, 18384,
     /* 2279265 */     GIR_EraseRootFromParent_Done,
     /* 2279266 */   // Label 27394: @2279266
     /* 2279266 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2279375), // Rule ID 18385 //
     /* 2279271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2279282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2279285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2279291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2279294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2279297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279317 */     // MIs[0] round
     /* 2279317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279320 */     // MIs[0] policy
     /* 2279320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279330 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2279330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2279347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279374 */     // GIR_Coverage, 18385,
     /* 2279374 */     GIR_EraseRootFromParent_Done,
     /* 2279375 */   // Label 27395: @2279375
     /* 2279375 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2279484), // Rule ID 18388 //
     /* 2279380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2279391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2279400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2279403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2279406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279426 */     // MIs[0] round
     /* 2279426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279429 */     // MIs[0] policy
     /* 2279429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279439 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2279439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279443 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279449 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2279456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279464 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279483 */     // GIR_Coverage, 18388,
     /* 2279483 */     GIR_EraseRootFromParent_Done,
     /* 2279484 */   // Label 27396: @2279484
     /* 2279484 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2279593), // Rule ID 18389 //
     /* 2279489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2279500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2279509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2279512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2279515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279535 */     // MIs[0] round
     /* 2279535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279538 */     // MIs[0] policy
     /* 2279538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279548 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2279548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279552 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279558 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2279565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279573 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279592 */     // GIR_Coverage, 18389,
     /* 2279592 */     GIR_EraseRootFromParent_Done,
     /* 2279593 */   // Label 27397: @2279593
     /* 2279593 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2279702), // Rule ID 18392 //
     /* 2279598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2279601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2279609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2279612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2279615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2279618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2279621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2279624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279644 */     // MIs[0] round
     /* 2279644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279647 */     // MIs[0] policy
     /* 2279647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279657 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2279657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279661 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279667 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2279674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279701 */     // GIR_Coverage, 18392,
     /* 2279701 */     GIR_EraseRootFromParent_Done,
     /* 2279702 */   // Label 27398: @2279702
     /* 2279702 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2279811), // Rule ID 18393 //
     /* 2279707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2279710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2279718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2279721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2279724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2279727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2279730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2279733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2279745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279753 */     // MIs[0] round
     /* 2279753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279756 */     // MIs[0] policy
     /* 2279756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279766 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2279766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279770 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279776 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2279783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279810 */     // GIR_Coverage, 18393,
     /* 2279810 */     GIR_EraseRootFromParent_Done,
     /* 2279811 */   // Label 27399: @2279811
     /* 2279811 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2279920), // Rule ID 18396 //
     /* 2279816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2279819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2279827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2279836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2279839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2279842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279862 */     // MIs[0] round
     /* 2279862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279865 */     // MIs[0] policy
     /* 2279865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279875 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2279875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2279892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2279896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2279898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2279900 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2279906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2279908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2279913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2279918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279919 */     // GIR_Coverage, 18396,
     /* 2279919 */     GIR_EraseRootFromParent_Done,
     /* 2279920 */   // Label 27400: @2279920
     /* 2279920 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2280029), // Rule ID 18397 //
     /* 2279925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2279928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2279933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2279936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2279942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2279945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2279948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2279951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2279963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279971 */     // MIs[0] round
     /* 2279971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2279974 */     // MIs[0] policy
     /* 2279974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2279977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2279984 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10851:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2279984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2279988 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279994 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2279998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2280001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280009 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280028 */     // GIR_Coverage, 18397,
     /* 2280028 */     GIR_EraseRootFromParent_Done,
     /* 2280029 */   // Label 27401: @2280029
     /* 2280029 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2280138), // Rule ID 18400 //
     /* 2280034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2280037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2280045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2280048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2280051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2280054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2280057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2280060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2280064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280080 */     // MIs[0] round
     /* 2280080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280083 */     // MIs[0] policy
     /* 2280083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280093 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2280093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280097 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280103 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2280110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280118 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280137 */     // GIR_Coverage, 18400,
     /* 2280137 */     GIR_EraseRootFromParent_Done,
     /* 2280138 */   // Label 27402: @2280138
     /* 2280138 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2280247), // Rule ID 18401 //
     /* 2280143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2280146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2280154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2280157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2280160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2280163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2280166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2280169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2280173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2280181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280189 */     // MIs[0] round
     /* 2280189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280192 */     // MIs[0] policy
     /* 2280192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280202 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10851:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2280202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280206 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280212 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2280219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280227 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280246 */     // GIR_Coverage, 18401,
     /* 2280246 */     GIR_EraseRootFromParent_Done,
     /* 2280247 */   // Label 27403: @2280247
     /* 2280247 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2280356), // Rule ID 18404 //
     /* 2280252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2280255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2280263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2280266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2280269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2280272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2280275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2280278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2280282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280298 */     // MIs[0] round
     /* 2280298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280301 */     // MIs[0] policy
     /* 2280301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280311 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2280311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280315 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280321 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2280328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280336 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280355 */     // GIR_Coverage, 18404,
     /* 2280355 */     GIR_EraseRootFromParent_Done,
     /* 2280356 */   // Label 27404: @2280356
     /* 2280356 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2280465), // Rule ID 18405 //
     /* 2280361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2280364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2280372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2280375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2280378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2280381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2280384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2280387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2280391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2280399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280407 */     // MIs[0] round
     /* 2280407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280410 */     // MIs[0] policy
     /* 2280410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280420 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10851:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2280420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2280437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280464 */     // GIR_Coverage, 18405,
     /* 2280464 */     GIR_EraseRootFromParent_Done,
     /* 2280465 */   // Label 27405: @2280465
     /* 2280465 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2280574), // Rule ID 18408 //
     /* 2280470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2280481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2280487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2280490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2280493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2280496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2280500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280516 */     // MIs[0] round
     /* 2280516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280519 */     // MIs[0] policy
     /* 2280519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280529 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2280529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280533 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280539 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2280546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280554 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280573 */     // GIR_Coverage, 18408,
     /* 2280573 */     GIR_EraseRootFromParent_Done,
     /* 2280574 */   // Label 27406: @2280574
     /* 2280574 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2280683), // Rule ID 18409 //
     /* 2280579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2280590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2280596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2280599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2280602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2280605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2280609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280625 */     // MIs[0] round
     /* 2280625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280628 */     // MIs[0] policy
     /* 2280628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280638 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2280638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280642 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280648 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2280655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280663 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280682 */     // GIR_Coverage, 18409,
     /* 2280682 */     GIR_EraseRootFromParent_Done,
     /* 2280683 */   // Label 27407: @2280683
     /* 2280683 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2280792), // Rule ID 18412 //
     /* 2280688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2280699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2280705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2280708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2280711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2280714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2280718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280734 */     // MIs[0] round
     /* 2280734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280737 */     // MIs[0] policy
     /* 2280737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280747 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2280747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2280764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280791 */     // GIR_Coverage, 18412,
     /* 2280791 */     GIR_EraseRootFromParent_Done,
     /* 2280792 */   // Label 27408: @2280792
     /* 2280792 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2280901), // Rule ID 18413 //
     /* 2280797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2280800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2280808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2280811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2280814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2280817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2280820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2280823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2280827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280843 */     // MIs[0] round
     /* 2280843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280846 */     // MIs[0] policy
     /* 2280846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280856 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2280856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2280873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2280894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2280899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280900 */     // GIR_Coverage, 18413,
     /* 2280900 */     GIR_EraseRootFromParent_Done,
     /* 2280901 */   // Label 27409: @2280901
     /* 2280901 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2281010), // Rule ID 18416 //
     /* 2280906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2280909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2280914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2280917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2280920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2280923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2280926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2280929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2280932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2280936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2280944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280952 */     // MIs[0] round
     /* 2280952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2280955 */     // MIs[0] policy
     /* 2280955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2280958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2280965 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2280965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2280969 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280975 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2280979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2280982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2280986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2280988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2280990 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2280996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2280998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281009 */     // GIR_Coverage, 18416,
     /* 2281009 */     GIR_EraseRootFromParent_Done,
     /* 2281010 */   // Label 27410: @2281010
     /* 2281010 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2281119), // Rule ID 18417 //
     /* 2281015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2281018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2281026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2281029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2281032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2281035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2281038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2281041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2281045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2281053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281061 */     // MIs[0] round
     /* 2281061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281064 */     // MIs[0] policy
     /* 2281064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281074 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2281074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281078 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281084 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2281091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281099 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281118 */     // GIR_Coverage, 18417,
     /* 2281118 */     GIR_EraseRootFromParent_Done,
     /* 2281119 */   // Label 27411: @2281119
     /* 2281119 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2281228), // Rule ID 18420 //
     /* 2281124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2281135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2281138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2281144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2281147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2281150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2281154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281170 */     // MIs[0] round
     /* 2281170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281173 */     // MIs[0] policy
     /* 2281173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281183 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2281183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281187 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281193 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2281200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281208 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281227 */     // GIR_Coverage, 18420,
     /* 2281227 */     GIR_EraseRootFromParent_Done,
     /* 2281228 */   // Label 27412: @2281228
     /* 2281228 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2281337), // Rule ID 18421 //
     /* 2281233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2281244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2281247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2281253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2281256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2281259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2281263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281279 */     // MIs[0] round
     /* 2281279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281282 */     // MIs[0] policy
     /* 2281282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2281292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281296 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281302 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2281309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281317 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281336 */     // GIR_Coverage, 18421,
     /* 2281336 */     GIR_EraseRootFromParent_Done,
     /* 2281337 */   // Label 27413: @2281337
     /* 2281337 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2281446), // Rule ID 18424 //
     /* 2281342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2281353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2281356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2281362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2281365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2281368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2281372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281388 */     // MIs[0] round
     /* 2281388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281391 */     // MIs[0] policy
     /* 2281391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281401 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2281401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281405 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2281418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281445 */     // GIR_Coverage, 18424,
     /* 2281445 */     GIR_EraseRootFromParent_Done,
     /* 2281446 */   // Label 27414: @2281446
     /* 2281446 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2281555), // Rule ID 18425 //
     /* 2281451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2281462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2281465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2281471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2281474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2281477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2281481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281497 */     // MIs[0] round
     /* 2281497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281500 */     // MIs[0] policy
     /* 2281500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281510 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2281510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2281527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281554 */     // GIR_Coverage, 18425,
     /* 2281554 */     GIR_EraseRootFromParent_Done,
     /* 2281555 */   // Label 27415: @2281555
     /* 2281555 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2281664), // Rule ID 18428 //
     /* 2281560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2281563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2281571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2281580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2281583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2281586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2281590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281606 */     // MIs[0] round
     /* 2281606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281609 */     // MIs[0] policy
     /* 2281609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281619 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2281619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281623 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281629 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2281636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281644 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281663 */     // GIR_Coverage, 18428,
     /* 2281663 */     GIR_EraseRootFromParent_Done,
     /* 2281664 */   // Label 27416: @2281664
     /* 2281664 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2281773), // Rule ID 18429 //
     /* 2281669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2281672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2281680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2281686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2281689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2281692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2281695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2281699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2281707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281715 */     // MIs[0] round
     /* 2281715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281718 */     // MIs[0] policy
     /* 2281718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281728 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2281728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281732 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2281745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281753 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281772 */     // GIR_Coverage, 18429,
     /* 2281772 */     GIR_EraseRootFromParent_Done,
     /* 2281773 */   // Label 27417: @2281773
     /* 2281773 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2281882), // Rule ID 18432 //
     /* 2281778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2281789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2281792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2281795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2281798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2281801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2281804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2281808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281824 */     // MIs[0] round
     /* 2281824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281827 */     // MIs[0] policy
     /* 2281827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281837 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2281837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281841 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281847 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2281854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281862 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281881 */     // GIR_Coverage, 18432,
     /* 2281881 */     GIR_EraseRootFromParent_Done,
     /* 2281882 */   // Label 27418: @2281882
     /* 2281882 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2281991), // Rule ID 18433 //
     /* 2281887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2281890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2281895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2281898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2281901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2281904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2281907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2281910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2281913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2281917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2281925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281933 */     // MIs[0] round
     /* 2281933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2281936 */     // MIs[0] policy
     /* 2281936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2281939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2281946 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10851:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2281946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2281950 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281956 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2281960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2281963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2281967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2281969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2281971 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2281977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2281979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2281984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2281989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281990 */     // GIR_Coverage, 18433,
     /* 2281990 */     GIR_EraseRootFromParent_Done,
     /* 2281991 */   // Label 27419: @2281991
     /* 2281991 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2282100), // Rule ID 18436 //
     /* 2281996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2281999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2282004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2282007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2282013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2282016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2282019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2282022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2282026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282042 */     // MIs[0] round
     /* 2282042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282045 */     // MIs[0] policy
     /* 2282045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282055 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2282055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282059 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282065 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2282072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282080 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282099 */     // GIR_Coverage, 18436,
     /* 2282099 */     GIR_EraseRootFromParent_Done,
     /* 2282100 */   // Label 27420: @2282100
     /* 2282100 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2282209), // Rule ID 18437 //
     /* 2282105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2282113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2282116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2282119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2282122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2282125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2282128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2282131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2282135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2282147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282151 */     // MIs[0] round
     /* 2282151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282154 */     // MIs[0] policy
     /* 2282154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282164 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10851:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2282164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282168 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282174 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2282181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282189 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282208 */     // GIR_Coverage, 18437,
     /* 2282208 */     GIR_EraseRootFromParent_Done,
     /* 2282209 */   // Label 27421: @2282209
     /* 2282209 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2282318), // Rule ID 18440 //
     /* 2282214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2282217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2282222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2282225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2282231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2282234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2282237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2282240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2282244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282260 */     // MIs[0] round
     /* 2282260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282263 */     // MIs[0] policy
     /* 2282263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282273 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2282273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282277 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282283 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2282290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282317 */     // GIR_Coverage, 18440,
     /* 2282317 */     GIR_EraseRootFromParent_Done,
     /* 2282318 */   // Label 27422: @2282318
     /* 2282318 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2282427), // Rule ID 18441 //
     /* 2282323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2282326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2282331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2282334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2282337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2282340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2282343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2282346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2282349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2282353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2282361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282369 */     // MIs[0] round
     /* 2282369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282372 */     // MIs[0] policy
     /* 2282372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10851:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2282382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282386 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2282399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282407 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282426 */     // GIR_Coverage, 18441,
     /* 2282426 */     GIR_EraseRootFromParent_Done,
     /* 2282427 */   // Label 27423: @2282427
     /* 2282427 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2282536), // Rule ID 18444 //
     /* 2282432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2282443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2282446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2282449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2282452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2282455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2282458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2282462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282478 */     // MIs[0] round
     /* 2282478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282481 */     // MIs[0] policy
     /* 2282481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282491 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2282491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282495 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282501 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2282508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282516 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282535 */     // GIR_Coverage, 18444,
     /* 2282535 */     GIR_EraseRootFromParent_Done,
     /* 2282536 */   // Label 27424: @2282536
     /* 2282536 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2282645), // Rule ID 18445 //
     /* 2282541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2282552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2282555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2282558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2282561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2282564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2282567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2282571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282587 */     // MIs[0] round
     /* 2282587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282590 */     // MIs[0] policy
     /* 2282590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282600 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2282600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282604 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282610 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2282617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282625 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282644 */     // GIR_Coverage, 18445,
     /* 2282644 */     GIR_EraseRootFromParent_Done,
     /* 2282645 */   // Label 27425: @2282645
     /* 2282645 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2282754), // Rule ID 18448 //
     /* 2282650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2282653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2282661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2282664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2282667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2282670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2282673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2282676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2282680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282696 */     // MIs[0] round
     /* 2282696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282699 */     // MIs[0] policy
     /* 2282699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282709 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2282709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282713 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282719 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2282726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282734 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282753 */     // GIR_Coverage, 18448,
     /* 2282753 */     GIR_EraseRootFromParent_Done,
     /* 2282754 */   // Label 27426: @2282754
     /* 2282754 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2282863), // Rule ID 18449 //
     /* 2282759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2282762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2282770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2282773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2282776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2282779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2282782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2282785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2282789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282805 */     // MIs[0] round
     /* 2282805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282808 */     // MIs[0] policy
     /* 2282808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2282818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282822 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282828 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2282835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282843 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282862 */     // GIR_Coverage, 18449,
     /* 2282862 */     GIR_EraseRootFromParent_Done,
     /* 2282863 */   // Label 27427: @2282863
     /* 2282863 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2282972), // Rule ID 18452 //
     /* 2282868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2282871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2282879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2282882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2282885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2282888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2282891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2282894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2282898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282914 */     // MIs[0] round
     /* 2282914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2282917 */     // MIs[0] policy
     /* 2282917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2282920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2282927 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2282927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2282931 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2282941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2282944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2282948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2282950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2282952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2282958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2282960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2282965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2282970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282971 */     // GIR_Coverage, 18452,
     /* 2282971 */     GIR_EraseRootFromParent_Done,
     /* 2282972 */   // Label 27428: @2282972
     /* 2282972 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2283081), // Rule ID 18453 //
     /* 2282977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2282980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2282985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2282988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2282991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2282994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2282997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2283000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2283003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283023 */     // MIs[0] round
     /* 2283023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283026 */     // MIs[0] policy
     /* 2283026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283036 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2283036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283040 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283046 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2283053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283061 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283080 */     // GIR_Coverage, 18453,
     /* 2283080 */     GIR_EraseRootFromParent_Done,
     /* 2283081 */   // Label 27429: @2283081
     /* 2283081 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2283190), // Rule ID 18456 //
     /* 2283086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2283097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2283100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2283103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2283106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2283109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2283112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283132 */     // MIs[0] round
     /* 2283132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283135 */     // MIs[0] policy
     /* 2283135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283145 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2283145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283149 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283155 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2283162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283170 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283189 */     // GIR_Coverage, 18456,
     /* 2283189 */     GIR_EraseRootFromParent_Done,
     /* 2283190 */   // Label 27430: @2283190
     /* 2283190 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2283299), // Rule ID 18457 //
     /* 2283195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2283206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2283209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2283212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2283215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2283218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2283221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283241 */     // MIs[0] round
     /* 2283241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283244 */     // MIs[0] policy
     /* 2283244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283254 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2283254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283258 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283264 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2283271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283279 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283298 */     // GIR_Coverage, 18457,
     /* 2283298 */     GIR_EraseRootFromParent_Done,
     /* 2283299 */   // Label 27431: @2283299
     /* 2283299 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2283408), // Rule ID 18460 //
     /* 2283304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2283307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2283315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2283318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2283321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2283324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2283327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2283330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283350 */     // MIs[0] round
     /* 2283350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283353 */     // MIs[0] policy
     /* 2283353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283363 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2283363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2283380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283388 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283407 */     // GIR_Coverage, 18460,
     /* 2283407 */     GIR_EraseRootFromParent_Done,
     /* 2283408 */   // Label 27432: @2283408
     /* 2283408 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2283517), // Rule ID 18461 //
     /* 2283413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2283416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2283424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2283427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2283430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2283433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2283436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2283439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283459 */     // MIs[0] round
     /* 2283459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283462 */     // MIs[0] policy
     /* 2283462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283472 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2283472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283476 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283482 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2283489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283497 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283516 */     // GIR_Coverage, 18461,
     /* 2283516 */     GIR_EraseRootFromParent_Done,
     /* 2283517 */   // Label 27433: @2283517
     /* 2283517 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2283626), // Rule ID 18464 //
     /* 2283522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2283525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2283533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2283536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2283539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2283542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2283545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2283548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283568 */     // MIs[0] round
     /* 2283568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283571 */     // MIs[0] policy
     /* 2283571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283581 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2283581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283585 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2283598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283606 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283625 */     // GIR_Coverage, 18464,
     /* 2283625 */     GIR_EraseRootFromParent_Done,
     /* 2283626 */   // Label 27434: @2283626
     /* 2283626 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2283735), // Rule ID 18465 //
     /* 2283631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2283634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2283642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2283645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2283648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2283651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2283654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2283657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2283661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283677 */     // MIs[0] round
     /* 2283677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283680 */     // MIs[0] policy
     /* 2283680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2283690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283694 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283700 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2283707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283715 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283734 */     // GIR_Coverage, 18465,
     /* 2283734 */     GIR_EraseRootFromParent_Done,
     /* 2283735 */   // Label 27435: @2283735
     /* 2283735 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2283844), // Rule ID 18468 //
     /* 2283740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2283751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2283754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2283757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2283760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2283763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2283766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2283770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283786 */     // MIs[0] round
     /* 2283786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283789 */     // MIs[0] policy
     /* 2283789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283799 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2283799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2283816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283824 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283843 */     // GIR_Coverage, 18468,
     /* 2283843 */     GIR_EraseRootFromParent_Done,
     /* 2283844 */   // Label 27436: @2283844
     /* 2283844 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2283953), // Rule ID 18469 //
     /* 2283849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2283852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2283860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2283863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2283866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2283869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2283872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2283875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2283879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2283895 */     // MIs[0] round
     /* 2283895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2283898 */     // MIs[0] policy
     /* 2283898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2283901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2283908 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2283908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2283912 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283918 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2283922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2283925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2283929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2283931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2283933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2283939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2283941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2283946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2283951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283952 */     // GIR_Coverage, 18469,
     /* 2283952 */     GIR_EraseRootFromParent_Done,
     /* 2283953 */   // Label 27437: @2283953
     /* 2283953 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2284062), // Rule ID 18472 //
     /* 2283958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2283961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2283966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2283969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2283972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2283975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2283978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2283981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2283984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2283988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284004 */     // MIs[0] round
     /* 2284004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284007 */     // MIs[0] policy
     /* 2284007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284017 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2284017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2284034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284061 */     // GIR_Coverage, 18472,
     /* 2284061 */     GIR_EraseRootFromParent_Done,
     /* 2284062 */   // Label 27438: @2284062
     /* 2284062 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2284171), // Rule ID 18473 //
     /* 2284067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2284078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2284081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2284084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2284087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2284090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2284093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2284097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284113 */     // MIs[0] round
     /* 2284113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284116 */     // MIs[0] policy
     /* 2284116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284126 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2284126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284130 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2284143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284170 */     // GIR_Coverage, 18473,
     /* 2284170 */     GIR_EraseRootFromParent_Done,
     /* 2284171 */   // Label 27439: @2284171
     /* 2284171 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2284280), // Rule ID 18476 //
     /* 2284176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2284179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2284187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2284190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2284193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2284196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2284199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2284202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2284206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284222 */     // MIs[0] round
     /* 2284222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284225 */     // MIs[0] policy
     /* 2284225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284235 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2284235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284239 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284245 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2284252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284260 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284279 */     // GIR_Coverage, 18476,
     /* 2284279 */     GIR_EraseRootFromParent_Done,
     /* 2284280 */   // Label 27440: @2284280
     /* 2284280 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2284389), // Rule ID 18477 //
     /* 2284285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2284288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2284296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2284299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2284302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2284305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2284308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2284311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2284315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284331 */     // MIs[0] round
     /* 2284331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284334 */     // MIs[0] policy
     /* 2284334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284344 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2284344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284348 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284354 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2284361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284369 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284388 */     // GIR_Coverage, 18477,
     /* 2284388 */     GIR_EraseRootFromParent_Done,
     /* 2284389 */   // Label 27441: @2284389
     /* 2284389 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2284498), // Rule ID 18480 //
     /* 2284394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2284405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2284411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2284414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2284417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2284420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2284424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284440 */     // MIs[0] round
     /* 2284440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284443 */     // MIs[0] policy
     /* 2284443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284453 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2284453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284457 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284463 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2284470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284478 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284497 */     // GIR_Coverage, 18480,
     /* 2284497 */     GIR_EraseRootFromParent_Done,
     /* 2284498 */   // Label 27442: @2284498
     /* 2284498 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2284607), // Rule ID 18481 //
     /* 2284503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2284514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2284517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2284520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2284523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2284526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2284529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2284533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284549 */     // MIs[0] round
     /* 2284549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284552 */     // MIs[0] policy
     /* 2284552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284562 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2284562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284566 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284572 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2284579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284587 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284606 */     // GIR_Coverage, 18481,
     /* 2284606 */     GIR_EraseRootFromParent_Done,
     /* 2284607 */   // Label 27443: @2284607
     /* 2284607 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2284716), // Rule ID 18484 //
     /* 2284612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2284623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2284626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2284629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2284632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2284635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2284638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2284642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284658 */     // MIs[0] round
     /* 2284658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284661 */     // MIs[0] policy
     /* 2284661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284671 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2284671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284675 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284681 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2284688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284696 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284715 */     // GIR_Coverage, 18484,
     /* 2284715 */     GIR_EraseRootFromParent_Done,
     /* 2284716 */   // Label 27444: @2284716
     /* 2284716 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2284825), // Rule ID 18485 //
     /* 2284721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2284732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2284735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2284738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2284741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2284744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2284747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2284751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284767 */     // MIs[0] round
     /* 2284767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284770 */     // MIs[0] policy
     /* 2284770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284780 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2284780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284784 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284790 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2284797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284805 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284824 */     // GIR_Coverage, 18485,
     /* 2284824 */     GIR_EraseRootFromParent_Done,
     /* 2284825 */   // Label 27445: @2284825
     /* 2284825 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2284934), // Rule ID 18488 //
     /* 2284830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2284833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2284841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2284844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2284847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2284850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2284853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2284856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2284860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284876 */     // MIs[0] round
     /* 2284876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284879 */     // MIs[0] policy
     /* 2284879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284889 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2284889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2284893 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284899 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2284903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2284906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2284910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2284912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2284914 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2284920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2284922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2284927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2284932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284933 */     // GIR_Coverage, 18488,
     /* 2284933 */     GIR_EraseRootFromParent_Done,
     /* 2284934 */   // Label 27446: @2284934
     /* 2284934 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2285043), // Rule ID 18489 //
     /* 2284939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2284942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2284947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2284950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2284953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2284956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2284959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2284962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2284965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2284969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2284985 */     // MIs[0] round
     /* 2284985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2284988 */     // MIs[0] policy
     /* 2284988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2284991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2284998 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2284998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285002 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2285015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285023 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285042 */     // GIR_Coverage, 18489,
     /* 2285042 */     GIR_EraseRootFromParent_Done,
     /* 2285043 */   // Label 27447: @2285043
     /* 2285043 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2285152), // Rule ID 18492 //
     /* 2285048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2285059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2285062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2285065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2285068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2285071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2285074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2285078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285094 */     // MIs[0] round
     /* 2285094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285097 */     // MIs[0] policy
     /* 2285097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285107 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2285107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2285124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285151 */     // GIR_Coverage, 18492,
     /* 2285151 */     GIR_EraseRootFromParent_Done,
     /* 2285152 */   // Label 27448: @2285152
     /* 2285152 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2285261), // Rule ID 18493 //
     /* 2285157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2285168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2285171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2285174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2285177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2285180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2285183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2285187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285203 */     // MIs[0] round
     /* 2285203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285206 */     // MIs[0] policy
     /* 2285206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2285216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285220 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2285233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285260 */     // GIR_Coverage, 18493,
     /* 2285260 */     GIR_EraseRootFromParent_Done,
     /* 2285261 */   // Label 27449: @2285261
     /* 2285261 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2285370), // Rule ID 18496 //
     /* 2285266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2285277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2285280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2285283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2285286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2285289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2285292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2285296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285312 */     // MIs[0] round
     /* 2285312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285315 */     // MIs[0] policy
     /* 2285315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285325 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2285325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285329 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285335 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2285342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285350 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285369 */     // GIR_Coverage, 18496,
     /* 2285369 */     GIR_EraseRootFromParent_Done,
     /* 2285370 */   // Label 27450: @2285370
     /* 2285370 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2285479), // Rule ID 18497 //
     /* 2285375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2285386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2285389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2285392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2285395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2285398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2285401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2285405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2285417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285421 */     // MIs[0] round
     /* 2285421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285424 */     // MIs[0] policy
     /* 2285424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285434 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2285434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285438 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285444 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2285451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285478 */     // GIR_Coverage, 18497,
     /* 2285478 */     GIR_EraseRootFromParent_Done,
     /* 2285479 */   // Label 27451: @2285479
     /* 2285479 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2285588), // Rule ID 18500 //
     /* 2285484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2285487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2285495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2285501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2285504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2285507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2285510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2285514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285530 */     // MIs[0] round
     /* 2285530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285533 */     // MIs[0] policy
     /* 2285533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285543 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2285543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285547 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285553 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2285560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285568 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285587 */     // GIR_Coverage, 18500,
     /* 2285587 */     GIR_EraseRootFromParent_Done,
     /* 2285588 */   // Label 27452: @2285588
     /* 2285588 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2285697), // Rule ID 18501 //
     /* 2285593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2285596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2285604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2285607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2285610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2285613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2285616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2285619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2285623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2285635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285639 */     // MIs[0] round
     /* 2285639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285642 */     // MIs[0] policy
     /* 2285642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2285652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2285669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285696 */     // GIR_Coverage, 18501,
     /* 2285696 */     GIR_EraseRootFromParent_Done,
     /* 2285697 */   // Label 27453: @2285697
     /* 2285697 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2285806), // Rule ID 18504 //
     /* 2285702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2285713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2285719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2285722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2285725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2285728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2285732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285748 */     // MIs[0] round
     /* 2285748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285751 */     // MIs[0] policy
     /* 2285751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285761 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2285761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285765 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2285778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285786 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285805 */     // GIR_Coverage, 18504,
     /* 2285805 */     GIR_EraseRootFromParent_Done,
     /* 2285806 */   // Label 27454: @2285806
     /* 2285806 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2285915), // Rule ID 18505 //
     /* 2285811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2285814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2285822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2285828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2285831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2285834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2285837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2285841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285857 */     // MIs[0] round
     /* 2285857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285860 */     // MIs[0] policy
     /* 2285860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285870 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2285870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285874 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285880 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2285887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2285891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2285893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2285895 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2285901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2285903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2285908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2285913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285914 */     // GIR_Coverage, 18505,
     /* 2285914 */     GIR_EraseRootFromParent_Done,
     /* 2285915 */   // Label 27455: @2285915
     /* 2285915 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2286024), // Rule ID 18508 //
     /* 2285920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2285923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2285928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2285931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2285934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2285937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2285940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2285943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2285946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2285950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2285958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2285966 */     // MIs[0] round
     /* 2285966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2285969 */     // MIs[0] policy
     /* 2285969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2285972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2285979 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2285979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2285983 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285989 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2285993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2285996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286004 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286023 */     // GIR_Coverage, 18508,
     /* 2286023 */     GIR_EraseRootFromParent_Done,
     /* 2286024 */   // Label 27456: @2286024
     /* 2286024 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2286133), // Rule ID 18509 //
     /* 2286029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2286040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2286043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2286046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2286049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2286052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2286055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286075 */     // MIs[0] round
     /* 2286075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286078 */     // MIs[0] policy
     /* 2286078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286088 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2286088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286092 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286098 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2286105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286132 */     // GIR_Coverage, 18509,
     /* 2286132 */     GIR_EraseRootFromParent_Done,
     /* 2286133 */   // Label 27457: @2286133
     /* 2286133 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2286242), // Rule ID 18512 //
     /* 2286138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2286149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2286155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2286158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2286161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2286164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286184 */     // MIs[0] round
     /* 2286184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286187 */     // MIs[0] policy
     /* 2286187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286197 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2286197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2286214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286241 */     // GIR_Coverage, 18512,
     /* 2286241 */     GIR_EraseRootFromParent_Done,
     /* 2286242 */   // Label 27458: @2286242
     /* 2286242 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2286351), // Rule ID 18513 //
     /* 2286247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2286258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2286261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2286264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2286267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2286270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2286273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286293 */     // MIs[0] round
     /* 2286293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286296 */     // MIs[0] policy
     /* 2286296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286306 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2286306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286310 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2286323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286350 */     // GIR_Coverage, 18513,
     /* 2286350 */     GIR_EraseRootFromParent_Done,
     /* 2286351 */   // Label 27459: @2286351
     /* 2286351 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2286460), // Rule ID 18516 //
     /* 2286356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2286359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2286367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2286373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2286376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2286379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2286382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286402 */     // MIs[0] round
     /* 2286402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286405 */     // MIs[0] policy
     /* 2286405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286415 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2286415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286419 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286425 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2286432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286440 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286459 */     // GIR_Coverage, 18516,
     /* 2286459 */     GIR_EraseRootFromParent_Done,
     /* 2286460 */   // Label 27460: @2286460
     /* 2286460 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2286569), // Rule ID 18517 //
     /* 2286465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2286468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2286476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2286482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2286485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2286488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2286491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2286503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286511 */     // MIs[0] round
     /* 2286511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286514 */     // MIs[0] policy
     /* 2286514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286524 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 10882:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2286524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2286541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286568 */     // GIR_Coverage, 18517,
     /* 2286568 */     GIR_EraseRootFromParent_Done,
     /* 2286569 */   // Label 27461: @2286569
     /* 2286569 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2286678), // Rule ID 18520 //
     /* 2286574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2286577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2286585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2286591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2286594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2286597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2286600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286620 */     // MIs[0] round
     /* 2286620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286623 */     // MIs[0] policy
     /* 2286623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286633 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2286633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2286650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286677 */     // GIR_Coverage, 18520,
     /* 2286677 */     GIR_EraseRootFromParent_Done,
     /* 2286678 */   // Label 27462: @2286678
     /* 2286678 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2286787), // Rule ID 18521 //
     /* 2286683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2286686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2286694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2286697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2286700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2286703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2286706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2286709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2286721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286729 */     // MIs[0] round
     /* 2286729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286732 */     // MIs[0] policy
     /* 2286732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286742 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10882:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2286742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286746 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286752 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2286759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286767 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286786 */     // GIR_Coverage, 18521,
     /* 2286786 */     GIR_EraseRootFromParent_Done,
     /* 2286787 */   // Label 27463: @2286787
     /* 2286787 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2286896), // Rule ID 18524 //
     /* 2286792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2286795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2286803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2286809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2286812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2286815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2286818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286838 */     // MIs[0] round
     /* 2286838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286841 */     // MIs[0] policy
     /* 2286841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286851 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2286851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286855 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286861 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2286868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2286894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286895 */     // GIR_Coverage, 18524,
     /* 2286895 */     GIR_EraseRootFromParent_Done,
     /* 2286896 */   // Label 27464: @2286896
     /* 2286896 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2287005), // Rule ID 18525 //
     /* 2286901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2286904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2286909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2286912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2286915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2286918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2286921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2286924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2286927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2286931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2286939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2286947 */     // MIs[0] round
     /* 2286947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2286950 */     // MIs[0] policy
     /* 2286950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2286953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2286960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10882:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2286960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2286964 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2286974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2286977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2286981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2286983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2286985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2286991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2286993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2286998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2287001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287004 */     // GIR_Coverage, 18525,
     /* 2287004 */     GIR_EraseRootFromParent_Done,
     /* 2287005 */   // Label 27465: @2287005
     /* 2287005 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2287114), // Rule ID 18528 //
     /* 2287010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2287021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2287030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2287033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2287036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2287040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287056 */     // MIs[0] round
     /* 2287056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287059 */     // MIs[0] policy
     /* 2287059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287069 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2287069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287073 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287079 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2287086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287094 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287113 */     // GIR_Coverage, 18528,
     /* 2287113 */     GIR_EraseRootFromParent_Done,
     /* 2287114 */   // Label 27466: @2287114
     /* 2287114 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2287223), // Rule ID 18529 //
     /* 2287119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2287130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2287133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2287139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2287142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2287145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2287149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287165 */     // MIs[0] round
     /* 2287165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287168 */     // MIs[0] policy
     /* 2287168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287178 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2287178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287182 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287188 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2287195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287222 */     // GIR_Coverage, 18529,
     /* 2287222 */     GIR_EraseRootFromParent_Done,
     /* 2287223 */   // Label 27467: @2287223
     /* 2287223 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2287332), // Rule ID 18532 //
     /* 2287228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2287239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2287248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2287251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2287254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2287258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287274 */     // MIs[0] round
     /* 2287274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287277 */     // MIs[0] policy
     /* 2287277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287287 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2287287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2287304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287331 */     // GIR_Coverage, 18532,
     /* 2287331 */     GIR_EraseRootFromParent_Done,
     /* 2287332 */   // Label 27468: @2287332
     /* 2287332 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2287441), // Rule ID 18533 //
     /* 2287337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2287348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2287357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2287360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2287363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2287367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287383 */     // MIs[0] round
     /* 2287383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287386 */     // MIs[0] policy
     /* 2287386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287396 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2287396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287400 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287406 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2287413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287421 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287440 */     // GIR_Coverage, 18533,
     /* 2287440 */     GIR_EraseRootFromParent_Done,
     /* 2287441 */   // Label 27469: @2287441
     /* 2287441 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2287550), // Rule ID 18536 //
     /* 2287446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2287449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2287457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2287466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2287469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2287472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2287476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287492 */     // MIs[0] round
     /* 2287492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287495 */     // MIs[0] policy
     /* 2287495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287505 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2287505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2287522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287549 */     // GIR_Coverage, 18536,
     /* 2287549 */     GIR_EraseRootFromParent_Done,
     /* 2287550 */   // Label 27470: @2287550
     /* 2287550 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2287659), // Rule ID 18537 //
     /* 2287555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2287558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2287566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2287572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2287575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2287578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2287581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2287585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2287593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287601 */     // MIs[0] round
     /* 2287601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287604 */     // MIs[0] policy
     /* 2287604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287614 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, V0:{ *:[nxv32i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2287614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2287631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287658 */     // GIR_Coverage, 18537,
     /* 2287658 */     GIR_EraseRootFromParent_Done,
     /* 2287659 */   // Label 27471: @2287659
     /* 2287659 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2287768), // Rule ID 18540 //
     /* 2287664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2287675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2287678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2287681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2287684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2287687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2287690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2287694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287710 */     // MIs[0] round
     /* 2287710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287713 */     // MIs[0] policy
     /* 2287713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287723 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2287723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287727 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287733 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2287740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287748 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287767 */     // GIR_Coverage, 18540,
     /* 2287767 */     GIR_EraseRootFromParent_Done,
     /* 2287768 */   // Label 27472: @2287768
     /* 2287768 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2287877), // Rule ID 18541 //
     /* 2287773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2287784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2287787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2287790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2287793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2287796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2287799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2287803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2287815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287819 */     // MIs[0] round
     /* 2287819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287822 */     // MIs[0] policy
     /* 2287822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287832 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2287832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287836 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287842 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2287849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287857 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287876 */     // GIR_Coverage, 18541,
     /* 2287876 */     GIR_EraseRootFromParent_Done,
     /* 2287877 */   // Label 27473: @2287877
     /* 2287877 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2287986), // Rule ID 18544 //
     /* 2287882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2287885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2287893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2287896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2287899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2287902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2287905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2287908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2287912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2287920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2287928 */     // MIs[0] round
     /* 2287928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2287931 */     // MIs[0] policy
     /* 2287931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2287934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2287941 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2287941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2287945 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2287955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2287958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2287962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2287964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2287966 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2287972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2287974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2287979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2287984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287985 */     // GIR_Coverage, 18544,
     /* 2287985 */     GIR_EraseRootFromParent_Done,
     /* 2287986 */   // Label 27474: @2287986
     /* 2287986 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2288095), // Rule ID 18545 //
     /* 2287991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2287994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2287999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2288002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2288005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2288008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2288011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2288014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2288017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2288021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288037 */     // MIs[0] round
     /* 2288037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288040 */     // MIs[0] policy
     /* 2288040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288050 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2288050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288054 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288060 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2288067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288094 */     // GIR_Coverage, 18545,
     /* 2288094 */     GIR_EraseRootFromParent_Done,
     /* 2288095 */   // Label 27475: @2288095
     /* 2288095 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2288204), // Rule ID 18548 //
     /* 2288100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2288103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2288111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2288114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2288117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2288120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2288123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2288126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2288130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288146 */     // MIs[0] round
     /* 2288146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288149 */     // MIs[0] policy
     /* 2288149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288159 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2288159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2288176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288184 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288203 */     // GIR_Coverage, 18548,
     /* 2288203 */     GIR_EraseRootFromParent_Done,
     /* 2288204 */   // Label 27476: @2288204
     /* 2288204 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2288313), // Rule ID 18549 //
     /* 2288209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2288212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2288220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2288223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2288226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2288229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2288232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2288235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2288239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2288247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288255 */     // MIs[0] round
     /* 2288255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288258 */     // MIs[0] policy
     /* 2288258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288268 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2288268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288272 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288278 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2288285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288293 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288312 */     // GIR_Coverage, 18549,
     /* 2288312 */     GIR_EraseRootFromParent_Done,
     /* 2288313 */   // Label 27477: @2288313
     /* 2288313 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2288422), // Rule ID 18552 //
     /* 2288318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2288329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2288332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2288338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2288341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2288344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2288348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288364 */     // MIs[0] round
     /* 2288364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288367 */     // MIs[0] policy
     /* 2288367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288377 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2288377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288381 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288387 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2288394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288402 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288421 */     // GIR_Coverage, 18552,
     /* 2288421 */     GIR_EraseRootFromParent_Done,
     /* 2288422 */   // Label 27478: @2288422
     /* 2288422 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2288531), // Rule ID 18553 //
     /* 2288427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2288438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2288441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2288447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2288450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2288453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2288457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288473 */     // MIs[0] round
     /* 2288473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288476 */     // MIs[0] policy
     /* 2288476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288486 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10882:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2288486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288490 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288496 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2288503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288511 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288530 */     // GIR_Coverage, 18553,
     /* 2288530 */     GIR_EraseRootFromParent_Done,
     /* 2288531 */   // Label 27479: @2288531
     /* 2288531 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2288640), // Rule ID 18556 //
     /* 2288536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2288547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2288550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2288556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2288559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2288562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2288566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288582 */     // MIs[0] round
     /* 2288582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288585 */     // MIs[0] policy
     /* 2288585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288595 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2288595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288599 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288605 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2288612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288620 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288639 */     // GIR_Coverage, 18556,
     /* 2288639 */     GIR_EraseRootFromParent_Done,
     /* 2288640 */   // Label 27480: @2288640
     /* 2288640 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2288749), // Rule ID 18557 //
     /* 2288645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2288656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2288659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2288665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2288668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2288671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2288675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2288687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288691 */     // MIs[0] round
     /* 2288691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288694 */     // MIs[0] policy
     /* 2288694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288704 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10882:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2288704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2288721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288748 */     // GIR_Coverage, 18557,
     /* 2288748 */     GIR_EraseRootFromParent_Done,
     /* 2288749 */   // Label 27481: @2288749
     /* 2288749 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2288858), // Rule ID 18560 //
     /* 2288754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2288757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2288765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2288768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2288774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2288777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2288780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2288784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288800 */     // MIs[0] round
     /* 2288800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288803 */     // MIs[0] policy
     /* 2288803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288813 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2288813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288817 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288823 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2288830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288838 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288857 */     // GIR_Coverage, 18560,
     /* 2288857 */     GIR_EraseRootFromParent_Done,
     /* 2288858 */   // Label 27482: @2288858
     /* 2288858 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2288967), // Rule ID 18561 //
     /* 2288863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2288866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2288871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2288874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2288877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2288880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2288883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2288886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2288889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2288893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2288901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2288905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2288909 */     // MIs[0] round
     /* 2288909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2288912 */     // MIs[0] policy
     /* 2288912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2288915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2288922 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10882:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2288922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2288926 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288932 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2288936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2288939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2288943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2288945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2288947 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2288953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2288955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2288960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2288965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288966 */     // GIR_Coverage, 18561,
     /* 2288966 */     GIR_EraseRootFromParent_Done,
     /* 2288967 */   // Label 27483: @2288967
     /* 2288967 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2289076), // Rule ID 18564 //
     /* 2288972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2288975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2288980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2288983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2288986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2288989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2288992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2288995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2288998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2289002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289018 */     // MIs[0] round
     /* 2289018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289021 */     // MIs[0] policy
     /* 2289021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289031 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2289031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289035 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289041 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2289048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289056 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289075 */     // GIR_Coverage, 18564,
     /* 2289075 */     GIR_EraseRootFromParent_Done,
     /* 2289076 */   // Label 27484: @2289076
     /* 2289076 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2289185), // Rule ID 18565 //
     /* 2289081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2289084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2289092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2289095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2289098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2289101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2289104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2289107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2289111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289127 */     // MIs[0] round
     /* 2289127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289130 */     // MIs[0] policy
     /* 2289130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2289140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289144 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289150 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2289157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289184 */     // GIR_Coverage, 18565,
     /* 2289184 */     GIR_EraseRootFromParent_Done,
     /* 2289185 */   // Label 27485: @2289185
     /* 2289185 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2289294), // Rule ID 18568 //
     /* 2289190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2289193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2289201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2289204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2289207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2289210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2289213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2289216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2289220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289236 */     // MIs[0] round
     /* 2289236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289239 */     // MIs[0] policy
     /* 2289239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289249 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2289249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289253 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289259 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2289266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289274 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289293 */     // GIR_Coverage, 18568,
     /* 2289293 */     GIR_EraseRootFromParent_Done,
     /* 2289294 */   // Label 27486: @2289294
     /* 2289294 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2289403), // Rule ID 18569 //
     /* 2289299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2289302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2289310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2289313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2289316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2289319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2289322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2289325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2289329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289345 */     // MIs[0] round
     /* 2289345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289348 */     // MIs[0] policy
     /* 2289348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289358 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2289358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289362 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289368 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2289375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289383 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289402 */     // GIR_Coverage, 18569,
     /* 2289402 */     GIR_EraseRootFromParent_Done,
     /* 2289403 */   // Label 27487: @2289403
     /* 2289403 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2289512), // Rule ID 18572 //
     /* 2289408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2289411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2289419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2289422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2289425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2289428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2289431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2289434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2289438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289454 */     // MIs[0] round
     /* 2289454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289457 */     // MIs[0] policy
     /* 2289457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2289467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289471 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289477 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2289484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289492 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289511 */     // GIR_Coverage, 18572,
     /* 2289511 */     GIR_EraseRootFromParent_Done,
     /* 2289512 */   // Label 27488: @2289512
     /* 2289512 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2289621), // Rule ID 18573 //
     /* 2289517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2289520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2289528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2289531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2289534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2289537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2289540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2289543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2289547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289563 */     // MIs[0] round
     /* 2289563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289566 */     // MIs[0] policy
     /* 2289566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2289576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2289593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289601 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289620 */     // GIR_Coverage, 18573,
     /* 2289620 */     GIR_EraseRootFromParent_Done,
     /* 2289621 */   // Label 27489: @2289621
     /* 2289621 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2289730), // Rule ID 18576 //
     /* 2289626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2289629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2289637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2289640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2289643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2289646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2289649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2289652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2289656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289672 */     // MIs[0] round
     /* 2289672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289675 */     // MIs[0] policy
     /* 2289675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289685 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2289685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289689 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289695 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2289702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289710 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289729 */     // GIR_Coverage, 18576,
     /* 2289729 */     GIR_EraseRootFromParent_Done,
     /* 2289730 */   // Label 27490: @2289730
     /* 2289730 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2289839), // Rule ID 18577 //
     /* 2289735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2289738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2289746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2289749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2289752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2289755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2289758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2289761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2289765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289781 */     // MIs[0] round
     /* 2289781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289784 */     // MIs[0] policy
     /* 2289784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289794 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2289794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2289811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289838 */     // GIR_Coverage, 18577,
     /* 2289838 */     GIR_EraseRootFromParent_Done,
     /* 2289839 */   // Label 27491: @2289839
     /* 2289839 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2289948), // Rule ID 18580 //
     /* 2289844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2289847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2289855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2289858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2289861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2289864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2289867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2289870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2289874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289890 */     // MIs[0] round
     /* 2289890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2289893 */     // MIs[0] policy
     /* 2289893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2289896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2289903 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2289903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2289907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2289917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2289920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2289924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2289926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2289928 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2289934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2289936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2289941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2289946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289947 */     // GIR_Coverage, 18580,
     /* 2289947 */     GIR_EraseRootFromParent_Done,
     /* 2289948 */   // Label 27492: @2289948
     /* 2289948 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2290057), // Rule ID 18581 //
     /* 2289953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2289956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2289961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2289964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2289967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2289970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2289973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2289976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2289979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2289983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2289999 */     // MIs[0] round
     /* 2289999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290002 */     // MIs[0] policy
     /* 2290002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290012 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2290012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290016 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290022 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2290029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290037 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290056 */     // GIR_Coverage, 18581,
     /* 2290056 */     GIR_EraseRootFromParent_Done,
     /* 2290057 */   // Label 27493: @2290057
     /* 2290057 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2290166), // Rule ID 18584 //
     /* 2290062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2290065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2290073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2290076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2290079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2290082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2290085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2290088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2290092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290108 */     // MIs[0] round
     /* 2290108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290111 */     // MIs[0] policy
     /* 2290111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290121 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2290121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290125 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290131 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2290138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290165 */     // GIR_Coverage, 18584,
     /* 2290165 */     GIR_EraseRootFromParent_Done,
     /* 2290166 */   // Label 27494: @2290166
     /* 2290166 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2290275), // Rule ID 18585 //
     /* 2290171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2290174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2290182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2290185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2290188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2290191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2290194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2290197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2290201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290217 */     // MIs[0] round
     /* 2290217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290220 */     // MIs[0] policy
     /* 2290220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290230 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2290230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2290247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290255 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290274 */     // GIR_Coverage, 18585,
     /* 2290274 */     GIR_EraseRootFromParent_Done,
     /* 2290275 */   // Label 27495: @2290275
     /* 2290275 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2290384), // Rule ID 18588 //
     /* 2290280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2290283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2290291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2290294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2290297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2290300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2290303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2290306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2290310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290326 */     // MIs[0] round
     /* 2290326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290329 */     // MIs[0] policy
     /* 2290329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290339 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2290339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290343 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2290356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290364 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290383 */     // GIR_Coverage, 18588,
     /* 2290383 */     GIR_EraseRootFromParent_Done,
     /* 2290384 */   // Label 27496: @2290384
     /* 2290384 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2290493), // Rule ID 18589 //
     /* 2290389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2290392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2290400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2290403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2290406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2290409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2290412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2290415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2290419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290435 */     // MIs[0] round
     /* 2290435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290438 */     // MIs[0] policy
     /* 2290438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290448 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2290448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290452 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290458 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2290465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290473 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290492 */     // GIR_Coverage, 18589,
     /* 2290492 */     GIR_EraseRootFromParent_Done,
     /* 2290493 */   // Label 27497: @2290493
     /* 2290493 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2290602), // Rule ID 18592 //
     /* 2290498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2290501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2290509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2290512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2290515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2290518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2290521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2290524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2290528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290544 */     // MIs[0] round
     /* 2290544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290547 */     // MIs[0] policy
     /* 2290547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290557 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2290557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290561 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290567 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2290574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290601 */     // GIR_Coverage, 18592,
     /* 2290601 */     GIR_EraseRootFromParent_Done,
     /* 2290602 */   // Label 27498: @2290602
     /* 2290602 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2290711), // Rule ID 18593 //
     /* 2290607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2290610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2290618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2290621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2290624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2290627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2290630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2290633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2290637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2290649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290653 */     // MIs[0] round
     /* 2290653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290656 */     // MIs[0] policy
     /* 2290656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290666 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2290666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290670 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2290683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290691 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290710 */     // GIR_Coverage, 18593,
     /* 2290710 */     GIR_EraseRootFromParent_Done,
     /* 2290711 */   // Label 27499: @2290711
     /* 2290711 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2290820), // Rule ID 18596 //
     /* 2290716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2290719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2290727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2290730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2290733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2290736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2290739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2290742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2290746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290762 */     // MIs[0] round
     /* 2290762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290765 */     // MIs[0] policy
     /* 2290765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290775 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2290775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2290792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290819 */     // GIR_Coverage, 18596,
     /* 2290819 */     GIR_EraseRootFromParent_Done,
     /* 2290820 */   // Label 27500: @2290820
     /* 2290820 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2290929), // Rule ID 18597 //
     /* 2290825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2290828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2290836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2290839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2290842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2290845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2290848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2290851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2290855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290871 */     // MIs[0] round
     /* 2290871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290874 */     // MIs[0] policy
     /* 2290874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290884 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2290884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2290898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2290901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2290905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2290907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2290909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2290915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2290917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2290922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2290927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290928 */     // GIR_Coverage, 18597,
     /* 2290928 */     GIR_EraseRootFromParent_Done,
     /* 2290929 */   // Label 27501: @2290929
     /* 2290929 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2291038), // Rule ID 18600 //
     /* 2290934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2290937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2290942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2290945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2290948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2290951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2290954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2290957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2290960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2290964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2290972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2290980 */     // MIs[0] round
     /* 2290980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2290983 */     // MIs[0] policy
     /* 2290983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2290986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2290993 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2290993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2290997 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2291010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291018 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291037 */     // GIR_Coverage, 18600,
     /* 2291037 */     GIR_EraseRootFromParent_Done,
     /* 2291038 */   // Label 27502: @2291038
     /* 2291038 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2291147), // Rule ID 18601 //
     /* 2291043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2291046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2291054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2291057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2291063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2291066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2291069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2291073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291089 */     // MIs[0] round
     /* 2291089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291092 */     // MIs[0] policy
     /* 2291092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291102 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2291102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291106 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291112 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2291119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291127 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291146 */     // GIR_Coverage, 18601,
     /* 2291146 */     GIR_EraseRootFromParent_Done,
     /* 2291147 */   // Label 27503: @2291147
     /* 2291147 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2291256), // Rule ID 18604 //
     /* 2291152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2291155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2291163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2291166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2291172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2291175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2291178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2291182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291198 */     // MIs[0] round
     /* 2291198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291201 */     // MIs[0] policy
     /* 2291201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291211 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2291211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291215 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2291228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291236 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291255 */     // GIR_Coverage, 18604,
     /* 2291255 */     GIR_EraseRootFromParent_Done,
     /* 2291256 */   // Label 27504: @2291256
     /* 2291256 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2291365), // Rule ID 18605 //
     /* 2291261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2291264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2291272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2291275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2291281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2291284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2291287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2291291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291307 */     // MIs[0] round
     /* 2291307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291310 */     // MIs[0] policy
     /* 2291310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10934:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2291320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291324 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291330 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2291337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291345 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291364 */     // GIR_Coverage, 18605,
     /* 2291364 */     GIR_EraseRootFromParent_Done,
     /* 2291365 */   // Label 27505: @2291365
     /* 2291365 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2291474), // Rule ID 18608 //
     /* 2291370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2291373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2291381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2291390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2291393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2291396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2291400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291416 */     // MIs[0] round
     /* 2291416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291419 */     // MIs[0] policy
     /* 2291419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291429 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2291429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2291446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291473 */     // GIR_Coverage, 18608,
     /* 2291473 */     GIR_EraseRootFromParent_Done,
     /* 2291474 */   // Label 27506: @2291474
     /* 2291474 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2291583), // Rule ID 18609 //
     /* 2291479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2291482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2291490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2291499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2291502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2291505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2291509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291525 */     // MIs[0] round
     /* 2291525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291528 */     // MIs[0] policy
     /* 2291528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2291538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291542 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2291555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291563 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291582 */     // GIR_Coverage, 18609,
     /* 2291582 */     GIR_EraseRootFromParent_Done,
     /* 2291583 */   // Label 27507: @2291583
     /* 2291583 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2291692), // Rule ID 18612 //
     /* 2291588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2291591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2291599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2291602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2291608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2291611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2291614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2291618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291634 */     // MIs[0] round
     /* 2291634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291637 */     // MIs[0] policy
     /* 2291637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291647 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2291647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2291664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291691 */     // GIR_Coverage, 18612,
     /* 2291691 */     GIR_EraseRootFromParent_Done,
     /* 2291692 */   // Label 27508: @2291692
     /* 2291692 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2291801), // Rule ID 18613 //
     /* 2291697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2291700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2291708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2291711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2291717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2291720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2291723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2291727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291743 */     // MIs[0] round
     /* 2291743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291746 */     // MIs[0] policy
     /* 2291746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291756 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2291756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291760 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2291773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291781 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291800 */     // GIR_Coverage, 18613,
     /* 2291800 */     GIR_EraseRootFromParent_Done,
     /* 2291801 */   // Label 27509: @2291801
     /* 2291801 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2291910), // Rule ID 18616 //
     /* 2291806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2291809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2291817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2291820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2291826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2291829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2291832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2291836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291852 */     // MIs[0] round
     /* 2291852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291855 */     // MIs[0] policy
     /* 2291855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291865 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2291865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291869 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291875 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2291882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291890 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2291896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2291898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2291903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2291908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291909 */     // GIR_Coverage, 18616,
     /* 2291909 */     GIR_EraseRootFromParent_Done,
     /* 2291910 */   // Label 27510: @2291910
     /* 2291910 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2292019), // Rule ID 18617 //
     /* 2291915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2291918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2291923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2291926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2291929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2291932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2291935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2291938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2291941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2291945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2291949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2291953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2291961 */     // MIs[0] round
     /* 2291961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2291964 */     // MIs[0] policy
     /* 2291964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2291967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2291974 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2291974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2291978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2291988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2291991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2291995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2291997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2291999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292018 */     // GIR_Coverage, 18617,
     /* 2292018 */     GIR_EraseRootFromParent_Done,
     /* 2292019 */   // Label 27511: @2292019
     /* 2292019 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2292128), // Rule ID 18620 //
     /* 2292024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2292027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2292035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2292038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2292044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2292047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2292050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2292054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292070 */     // MIs[0] round
     /* 2292070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292073 */     // MIs[0] policy
     /* 2292073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292083 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2292083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2292100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292127 */     // GIR_Coverage, 18620,
     /* 2292127 */     GIR_EraseRootFromParent_Done,
     /* 2292128 */   // Label 27512: @2292128
     /* 2292128 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2292237), // Rule ID 18621 //
     /* 2292133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2292136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2292144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2292147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2292153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2292156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2292159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2292163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292179 */     // MIs[0] round
     /* 2292179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292182 */     // MIs[0] policy
     /* 2292182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292192 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10934:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2292192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292196 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292202 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2292209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292217 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292236 */     // GIR_Coverage, 18621,
     /* 2292236 */     GIR_EraseRootFromParent_Done,
     /* 2292237 */   // Label 27513: @2292237
     /* 2292237 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2292346), // Rule ID 18624 //
     /* 2292242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2292245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2292253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2292256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2292262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2292265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2292268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2292272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292288 */     // MIs[0] round
     /* 2292288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292291 */     // MIs[0] policy
     /* 2292291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292301 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2292301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2292318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292326 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292345 */     // GIR_Coverage, 18624,
     /* 2292345 */     GIR_EraseRootFromParent_Done,
     /* 2292346 */   // Label 27514: @2292346
     /* 2292346 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2292455), // Rule ID 18625 //
     /* 2292351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2292354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2292362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2292365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2292371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2292374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2292377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2292381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292397 */     // MIs[0] round
     /* 2292397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292400 */     // MIs[0] policy
     /* 2292400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10934:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2292410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292414 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292420 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2292427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292454 */     // GIR_Coverage, 18625,
     /* 2292454 */     GIR_EraseRootFromParent_Done,
     /* 2292455 */   // Label 27515: @2292455
     /* 2292455 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2292564), // Rule ID 18628 //
     /* 2292460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2292463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2292471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2292474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2292480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2292483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2292486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2292490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292506 */     // MIs[0] round
     /* 2292506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292509 */     // MIs[0] policy
     /* 2292509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292519 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2292519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2292536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292544 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292563 */     // GIR_Coverage, 18628,
     /* 2292563 */     GIR_EraseRootFromParent_Done,
     /* 2292564 */   // Label 27516: @2292564
     /* 2292564 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2292673), // Rule ID 18629 //
     /* 2292569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2292572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2292580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2292583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2292589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2292592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2292595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2292599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292615 */     // MIs[0] round
     /* 2292615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292618 */     // MIs[0] policy
     /* 2292618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292628 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10934:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2292628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292632 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292638 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2292645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292672 */     // GIR_Coverage, 18629,
     /* 2292672 */     GIR_EraseRootFromParent_Done,
     /* 2292673 */   // Label 27517: @2292673
     /* 2292673 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2292782), // Rule ID 18632 //
     /* 2292678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2292681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2292689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2292692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2292698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2292701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2292704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2292708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292724 */     // MIs[0] round
     /* 2292724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292727 */     // MIs[0] policy
     /* 2292727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292737 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2292737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2292754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292781 */     // GIR_Coverage, 18632,
     /* 2292781 */     GIR_EraseRootFromParent_Done,
     /* 2292782 */   // Label 27518: @2292782
     /* 2292782 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2292891), // Rule ID 18633 //
     /* 2292787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2292790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2292795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2292798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2292801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2292804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2292807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2292810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2292813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2292817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2292825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292833 */     // MIs[0] round
     /* 2292833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292836 */     // MIs[0] policy
     /* 2292836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292846 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10934:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2292846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2292863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292871 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292890 */     // GIR_Coverage, 18633,
     /* 2292890 */     GIR_EraseRootFromParent_Done,
     /* 2292891 */   // Label 27519: @2292891
     /* 2292891 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2293000), // Rule ID 18636 //
     /* 2292896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2292899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2292904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2292907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2292910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2292913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2292916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2292919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2292922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2292926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2292942 */     // MIs[0] round
     /* 2292942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2292945 */     // MIs[0] policy
     /* 2292945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2292948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2292955 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2292955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2292959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2292969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2292972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2292976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2292978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2292980 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2292986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2292988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2292993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2292998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292999 */     // GIR_Coverage, 18636,
     /* 2292999 */     GIR_EraseRootFromParent_Done,
     /* 2293000 */   // Label 27520: @2293000
     /* 2293000 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2293109), // Rule ID 18637 //
     /* 2293005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2293008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2293016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2293022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2293025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2293028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2293031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2293035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293051 */     // MIs[0] round
     /* 2293051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293054 */     // MIs[0] policy
     /* 2293054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293064 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2293064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2293081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293108 */     // GIR_Coverage, 18637,
     /* 2293108 */     GIR_EraseRootFromParent_Done,
     /* 2293109 */   // Label 27521: @2293109
     /* 2293109 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2293218), // Rule ID 18640 //
     /* 2293114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2293117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2293125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2293128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2293131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2293134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2293137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2293140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2293144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293160 */     // MIs[0] round
     /* 2293160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293163 */     // MIs[0] policy
     /* 2293163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293173 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2293173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293177 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293183 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2293190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293198 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293217 */     // GIR_Coverage, 18640,
     /* 2293217 */     GIR_EraseRootFromParent_Done,
     /* 2293218 */   // Label 27522: @2293218
     /* 2293218 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2293327), // Rule ID 18641 //
     /* 2293223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2293226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2293234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2293237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2293240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2293243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2293246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2293249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2293253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293269 */     // MIs[0] round
     /* 2293269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293272 */     // MIs[0] policy
     /* 2293272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293282 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2293282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293286 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293292 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2293299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293326 */     // GIR_Coverage, 18641,
     /* 2293326 */     GIR_EraseRootFromParent_Done,
     /* 2293327 */   // Label 27523: @2293327
     /* 2293327 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2293436), // Rule ID 18644 //
     /* 2293332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2293335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2293343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2293346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2293349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2293352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2293355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2293358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2293362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293378 */     // MIs[0] round
     /* 2293378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293381 */     // MIs[0] policy
     /* 2293381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293391 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2293391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293395 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293401 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2293408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293416 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293435 */     // GIR_Coverage, 18644,
     /* 2293435 */     GIR_EraseRootFromParent_Done,
     /* 2293436 */   // Label 27524: @2293436
     /* 2293436 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2293545), // Rule ID 18645 //
     /* 2293441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2293444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2293452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2293455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2293458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2293461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2293464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2293467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2293471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293487 */     // MIs[0] round
     /* 2293487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293490 */     // MIs[0] policy
     /* 2293490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293500 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2293500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2293517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293544 */     // GIR_Coverage, 18645,
     /* 2293544 */     GIR_EraseRootFromParent_Done,
     /* 2293545 */   // Label 27525: @2293545
     /* 2293545 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2293654), // Rule ID 18648 //
     /* 2293550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2293553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2293561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2293564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2293567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2293570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2293573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2293576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2293580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293596 */     // MIs[0] round
     /* 2293596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293599 */     // MIs[0] policy
     /* 2293599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293609 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2293609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293613 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293619 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2293626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293634 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293653 */     // GIR_Coverage, 18648,
     /* 2293653 */     GIR_EraseRootFromParent_Done,
     /* 2293654 */   // Label 27526: @2293654
     /* 2293654 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2293763), // Rule ID 18649 //
     /* 2293659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2293662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2293670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2293673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2293676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2293679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2293682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2293685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2293689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2293701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293705 */     // MIs[0] round
     /* 2293705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293708 */     // MIs[0] policy
     /* 2293708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293718 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2293718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293722 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293728 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2293735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293743 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293762 */     // GIR_Coverage, 18649,
     /* 2293762 */     GIR_EraseRootFromParent_Done,
     /* 2293763 */   // Label 27527: @2293763
     /* 2293763 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2293872), // Rule ID 18652 //
     /* 2293768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2293771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2293779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2293782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2293785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2293788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2293791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2293794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2293798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293814 */     // MIs[0] round
     /* 2293814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293817 */     // MIs[0] policy
     /* 2293817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293827 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2293827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293831 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293837 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2293844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293871 */     // GIR_Coverage, 18652,
     /* 2293871 */     GIR_EraseRootFromParent_Done,
     /* 2293872 */   // Label 27528: @2293872
     /* 2293872 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2293981), // Rule ID 18653 //
     /* 2293877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2293880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2293888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2293891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2293894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2293897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2293900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2293903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2293907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2293919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2293923 */     // MIs[0] round
     /* 2293923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2293926 */     // MIs[0] policy
     /* 2293926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2293929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2293936 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2293936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2293940 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293946 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2293950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2293953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2293957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2293959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2293961 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2293967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2293969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2293974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2293979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293980 */     // GIR_Coverage, 18653,
     /* 2293980 */     GIR_EraseRootFromParent_Done,
     /* 2293981 */   // Label 27529: @2293981
     /* 2293981 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2294090), // Rule ID 18656 //
     /* 2293986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2293989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2293994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2293997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2294003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2294006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2294009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2294012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2294016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294032 */     // MIs[0] round
     /* 2294032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294035 */     // MIs[0] policy
     /* 2294035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294045 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2294045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294049 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294055 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2294062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294070 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294089 */     // GIR_Coverage, 18656,
     /* 2294089 */     GIR_EraseRootFromParent_Done,
     /* 2294090 */   // Label 27530: @2294090
     /* 2294090 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2294199), // Rule ID 18657 //
     /* 2294095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2294098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2294106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2294109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2294112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2294115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2294118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2294121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2294125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294141 */     // MIs[0] round
     /* 2294141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294144 */     // MIs[0] policy
     /* 2294144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294154 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2294154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294158 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2294171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294198 */     // GIR_Coverage, 18657,
     /* 2294198 */     GIR_EraseRootFromParent_Done,
     /* 2294199 */   // Label 27531: @2294199
     /* 2294199 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2294308), // Rule ID 18660 //
     /* 2294204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2294207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2294215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2294218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2294221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2294224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2294227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2294230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2294234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294250 */     // MIs[0] round
     /* 2294250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294253 */     // MIs[0] policy
     /* 2294253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294263 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2294263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294267 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294273 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2294280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294288 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294307 */     // GIR_Coverage, 18660,
     /* 2294307 */     GIR_EraseRootFromParent_Done,
     /* 2294308 */   // Label 27532: @2294308
     /* 2294308 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2294417), // Rule ID 18661 //
     /* 2294313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2294316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2294324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2294327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2294330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2294333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2294336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2294339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2294343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294359 */     // MIs[0] round
     /* 2294359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294362 */     // MIs[0] policy
     /* 2294362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294372 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2294372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294376 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294382 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2294389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294416 */     // GIR_Coverage, 18661,
     /* 2294416 */     GIR_EraseRootFromParent_Done,
     /* 2294417 */   // Label 27533: @2294417
     /* 2294417 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2294526), // Rule ID 18664 //
     /* 2294422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2294425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2294433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2294436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2294439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2294442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2294445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2294448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2294452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294468 */     // MIs[0] round
     /* 2294468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294471 */     // MIs[0] policy
     /* 2294471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294481 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2294481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294485 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294491 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2294498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294525 */     // GIR_Coverage, 18664,
     /* 2294525 */     GIR_EraseRootFromParent_Done,
     /* 2294526 */   // Label 27534: @2294526
     /* 2294526 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2294635), // Rule ID 18665 //
     /* 2294531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2294534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2294542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2294545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2294548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2294551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2294554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2294557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2294561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294577 */     // MIs[0] round
     /* 2294577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294580 */     // MIs[0] policy
     /* 2294580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294590 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2294590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2294607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294634 */     // GIR_Coverage, 18665,
     /* 2294634 */     GIR_EraseRootFromParent_Done,
     /* 2294635 */   // Label 27535: @2294635
     /* 2294635 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2294744), // Rule ID 18668 //
     /* 2294640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2294643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2294651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2294654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2294657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2294660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2294663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2294666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2294670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294686 */     // MIs[0] round
     /* 2294686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294689 */     // MIs[0] policy
     /* 2294689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294699 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2294699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294703 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294709 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2294716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294724 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294743 */     // GIR_Coverage, 18668,
     /* 2294743 */     GIR_EraseRootFromParent_Done,
     /* 2294744 */   // Label 27536: @2294744
     /* 2294744 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2294853), // Rule ID 18669 //
     /* 2294749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2294752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2294760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2294763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2294766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2294769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2294772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2294775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2294779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2294783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294795 */     // MIs[0] round
     /* 2294795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294798 */     // MIs[0] policy
     /* 2294798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294808 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2294808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294812 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294818 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2294825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294852 */     // GIR_Coverage, 18669,
     /* 2294852 */     GIR_EraseRootFromParent_Done,
     /* 2294853 */   // Label 27537: @2294853
     /* 2294853 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2294962), // Rule ID 18672 //
     /* 2294858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2294861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2294869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2294872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2294875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2294878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2294881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2294884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2294888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2294896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2294904 */     // MIs[0] round
     /* 2294904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2294907 */     // MIs[0] policy
     /* 2294907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2294910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2294917 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2294917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2294921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2294931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2294934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2294938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2294940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2294942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2294948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2294950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2294955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2294960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294961 */     // GIR_Coverage, 18672,
     /* 2294961 */     GIR_EraseRootFromParent_Done,
     /* 2294962 */   // Label 27538: @2294962
     /* 2294962 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2295071), // Rule ID 18673 //
     /* 2294967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2294970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2294975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2294978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2294981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2294984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2294987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2294990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2294993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2294997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295013 */     // MIs[0] round
     /* 2295013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295016 */     // MIs[0] policy
     /* 2295016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2295026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295030 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295036 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2295043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295070 */     // GIR_Coverage, 18673,
     /* 2295070 */     GIR_EraseRootFromParent_Done,
     /* 2295071 */   // Label 27539: @2295071
     /* 2295071 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2295180), // Rule ID 18676 //
     /* 2295076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2295079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2295087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2295096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2295099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2295102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2295106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295122 */     // MIs[0] round
     /* 2295122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295125 */     // MIs[0] policy
     /* 2295125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2295135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295139 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295145 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2295152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295160 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295179 */     // GIR_Coverage, 18676,
     /* 2295179 */     GIR_EraseRootFromParent_Done,
     /* 2295180 */   // Label 27540: @2295180
     /* 2295180 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2295289), // Rule ID 18677 //
     /* 2295185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2295188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2295196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2295199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2295205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2295208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2295211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2295215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295231 */     // MIs[0] round
     /* 2295231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295234 */     // MIs[0] policy
     /* 2295234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295244 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10942:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2295244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2295261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295288 */     // GIR_Coverage, 18677,
     /* 2295288 */     GIR_EraseRootFromParent_Done,
     /* 2295289 */   // Label 27541: @2295289
     /* 2295289 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2295398), // Rule ID 18680 //
     /* 2295294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2295297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2295305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2295308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2295314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2295317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2295320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2295324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295340 */     // MIs[0] round
     /* 2295340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295343 */     // MIs[0] policy
     /* 2295343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295353 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2295353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2295370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295378 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295397 */     // GIR_Coverage, 18680,
     /* 2295397 */     GIR_EraseRootFromParent_Done,
     /* 2295398 */   // Label 27542: @2295398
     /* 2295398 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2295507), // Rule ID 18681 //
     /* 2295403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2295406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2295414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2295417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2295423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2295426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2295429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2295433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295449 */     // MIs[0] round
     /* 2295449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295452 */     // MIs[0] policy
     /* 2295452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295462 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2295462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295466 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295472 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2295479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295506 */     // GIR_Coverage, 18681,
     /* 2295506 */     GIR_EraseRootFromParent_Done,
     /* 2295507 */   // Label 27543: @2295507
     /* 2295507 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2295616), // Rule ID 18684 //
     /* 2295512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2295515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2295523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2295526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2295532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2295535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2295538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2295542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295558 */     // MIs[0] round
     /* 2295558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295561 */     // MIs[0] policy
     /* 2295561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295571 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2295571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295575 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295581 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2295588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295596 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295615 */     // GIR_Coverage, 18684,
     /* 2295615 */     GIR_EraseRootFromParent_Done,
     /* 2295616 */   // Label 27544: @2295616
     /* 2295616 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2295725), // Rule ID 18685 //
     /* 2295621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2295624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2295632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2295635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2295641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2295644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2295647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2295651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295667 */     // MIs[0] round
     /* 2295667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295670 */     // MIs[0] policy
     /* 2295670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295680 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2295680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295684 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2295697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295705 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295724 */     // GIR_Coverage, 18685,
     /* 2295724 */     GIR_EraseRootFromParent_Done,
     /* 2295725 */   // Label 27545: @2295725
     /* 2295725 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2295834), // Rule ID 18688 //
     /* 2295730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2295733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2295741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2295744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2295750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2295753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2295756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2295760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295776 */     // MIs[0] round
     /* 2295776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295779 */     // MIs[0] policy
     /* 2295779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295789 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2295789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295793 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295799 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2295806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295814 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295833 */     // GIR_Coverage, 18688,
     /* 2295833 */     GIR_EraseRootFromParent_Done,
     /* 2295834 */   // Label 27546: @2295834
     /* 2295834 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2295943), // Rule ID 18689 //
     /* 2295839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2295842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2295850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2295853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2295856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2295859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2295862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2295865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2295869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2295877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295885 */     // MIs[0] round
     /* 2295885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295888 */     // MIs[0] policy
     /* 2295888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2295891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2295898 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2295898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2295902 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295908 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2295912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2295915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2295919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2295921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2295923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2295929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2295931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2295936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2295941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295942 */     // GIR_Coverage, 18689,
     /* 2295942 */     GIR_EraseRootFromParent_Done,
     /* 2295943 */   // Label 27547: @2295943
     /* 2295943 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2296052), // Rule ID 18692 //
     /* 2295948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2295951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2295956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2295959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2295962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2295965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2295968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2295971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2295974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2295978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2295986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2295990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2295994 */     // MIs[0] round
     /* 2295994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2295997 */     // MIs[0] policy
     /* 2295997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296007 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2296007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2296024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296051 */     // GIR_Coverage, 18692,
     /* 2296051 */     GIR_EraseRootFromParent_Done,
     /* 2296052 */   // Label 27548: @2296052
     /* 2296052 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2296161), // Rule ID 18693 //
     /* 2296057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2296060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2296068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2296071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2296077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2296080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2296083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2296087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296103 */     // MIs[0] round
     /* 2296103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296106 */     // MIs[0] policy
     /* 2296106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296116 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10942:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2296116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296120 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2296133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296141 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296160 */     // GIR_Coverage, 18693,
     /* 2296160 */     GIR_EraseRootFromParent_Done,
     /* 2296161 */   // Label 27549: @2296161
     /* 2296161 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2296270), // Rule ID 18696 //
     /* 2296166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2296169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2296177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2296186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2296189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2296192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2296196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296212 */     // MIs[0] round
     /* 2296212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296215 */     // MIs[0] policy
     /* 2296215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296225 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2296225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296229 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2296242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296250 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296269 */     // GIR_Coverage, 18696,
     /* 2296269 */     GIR_EraseRootFromParent_Done,
     /* 2296270 */   // Label 27550: @2296270
     /* 2296270 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2296379), // Rule ID 18697 //
     /* 2296275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2296278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2296286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2296289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2296295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2296298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2296301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2296305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296321 */     // MIs[0] round
     /* 2296321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296324 */     // MIs[0] policy
     /* 2296324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10942:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2296334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2296351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296378 */     // GIR_Coverage, 18697,
     /* 2296378 */     GIR_EraseRootFromParent_Done,
     /* 2296379 */   // Label 27551: @2296379
     /* 2296379 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2296488), // Rule ID 18700 //
     /* 2296384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2296387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2296395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2296398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2296404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2296407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2296410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2296414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296430 */     // MIs[0] round
     /* 2296430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296433 */     // MIs[0] policy
     /* 2296433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296443 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2296443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296447 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296453 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2296460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296468 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296487 */     // GIR_Coverage, 18700,
     /* 2296487 */     GIR_EraseRootFromParent_Done,
     /* 2296488 */   // Label 27552: @2296488
     /* 2296488 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2296597), // Rule ID 18701 //
     /* 2296493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2296496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2296504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2296507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2296513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2296516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2296519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2296523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2296535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296539 */     // MIs[0] round
     /* 2296539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296542 */     // MIs[0] policy
     /* 2296542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296552 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10942:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2296552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2296569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296596 */     // GIR_Coverage, 18701,
     /* 2296596 */     GIR_EraseRootFromParent_Done,
     /* 2296597 */   // Label 27553: @2296597
     /* 2296597 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2296706), // Rule ID 18704 //
     /* 2296602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2296605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2296613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2296616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2296622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2296625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2296628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2296632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296648 */     // MIs[0] round
     /* 2296648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296651 */     // MIs[0] policy
     /* 2296651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296661 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2296661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296665 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296671 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2296678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296686 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296705 */     // GIR_Coverage, 18704,
     /* 2296705 */     GIR_EraseRootFromParent_Done,
     /* 2296706 */   // Label 27554: @2296706
     /* 2296706 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2296815), // Rule ID 18705 //
     /* 2296711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2296714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2296719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2296722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2296725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2296728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2296731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2296734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2296737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2296741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2296749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2296753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296757 */     // MIs[0] round
     /* 2296757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296760 */     // MIs[0] policy
     /* 2296760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296770 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10942:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2296770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296774 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296780 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2296787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296795 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296814 */     // GIR_Coverage, 18705,
     /* 2296814 */     GIR_EraseRootFromParent_Done,
     /* 2296815 */   // Label 27555: @2296815
     /* 2296815 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2296924), // Rule ID 18708 //
     /* 2296820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2296823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2296828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2296831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2296834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2296837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2296840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2296843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2296846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2296850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296866 */     // MIs[0] round
     /* 2296866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296869 */     // MIs[0] policy
     /* 2296869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296879 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2296879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2296893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2296896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2296900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2296902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2296904 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2296910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2296912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2296917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2296922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296923 */     // GIR_Coverage, 18708,
     /* 2296923 */     GIR_EraseRootFromParent_Done,
     /* 2296924 */   // Label 27556: @2296924
     /* 2296924 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2297033), // Rule ID 18709 //
     /* 2296929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2296932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2296937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2296940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2296943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2296946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2296949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2296952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2296955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2296959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2296975 */     // MIs[0] round
     /* 2296975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2296978 */     // MIs[0] policy
     /* 2296978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2296981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2296988 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2296988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2296992 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296998 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2297005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297013 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297032 */     // GIR_Coverage, 18709,
     /* 2297032 */     GIR_EraseRootFromParent_Done,
     /* 2297033 */   // Label 27557: @2297033
     /* 2297033 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2297142), // Rule ID 18712 //
     /* 2297038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2297041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2297049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2297052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2297055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2297058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2297061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2297064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2297068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297084 */     // MIs[0] round
     /* 2297084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297087 */     // MIs[0] policy
     /* 2297087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297097 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2297097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2297114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297141 */     // GIR_Coverage, 18712,
     /* 2297141 */     GIR_EraseRootFromParent_Done,
     /* 2297142 */   // Label 27558: @2297142
     /* 2297142 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2297251), // Rule ID 18713 //
     /* 2297147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2297150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2297158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2297161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2297164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2297167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2297170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2297173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2297177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297193 */     // MIs[0] round
     /* 2297193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297196 */     // MIs[0] policy
     /* 2297196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297206 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2297206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297210 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297216 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2297223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297231 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297250 */     // GIR_Coverage, 18713,
     /* 2297250 */     GIR_EraseRootFromParent_Done,
     /* 2297251 */   // Label 27559: @2297251
     /* 2297251 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2297360), // Rule ID 18716 //
     /* 2297256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2297259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2297267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2297270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2297276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2297279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2297282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2297286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297302 */     // MIs[0] round
     /* 2297302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297305 */     // MIs[0] policy
     /* 2297305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297315 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2297315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297319 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297325 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2297332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297340 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297359 */     // GIR_Coverage, 18716,
     /* 2297359 */     GIR_EraseRootFromParent_Done,
     /* 2297360 */   // Label 27560: @2297360
     /* 2297360 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2297469), // Rule ID 18717 //
     /* 2297365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2297368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2297376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2297379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2297382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2297385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2297388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2297391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2297395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297411 */     // MIs[0] round
     /* 2297411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297414 */     // MIs[0] policy
     /* 2297414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297424 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2297424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2297441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297468 */     // GIR_Coverage, 18717,
     /* 2297468 */     GIR_EraseRootFromParent_Done,
     /* 2297469 */   // Label 27561: @2297469
     /* 2297469 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2297578), // Rule ID 18720 //
     /* 2297474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2297477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2297485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2297488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2297491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2297494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2297497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2297500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2297504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297520 */     // MIs[0] round
     /* 2297520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297523 */     // MIs[0] policy
     /* 2297523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297533 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2297533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297537 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297543 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2297550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297558 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297577 */     // GIR_Coverage, 18720,
     /* 2297577 */     GIR_EraseRootFromParent_Done,
     /* 2297578 */   // Label 27562: @2297578
     /* 2297578 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2297687), // Rule ID 18721 //
     /* 2297583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2297586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2297594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2297597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2297600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2297603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2297606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2297609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2297613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297629 */     // MIs[0] round
     /* 2297629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297632 */     // MIs[0] policy
     /* 2297632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297642 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2297642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297646 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297652 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2297659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297667 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297686 */     // GIR_Coverage, 18721,
     /* 2297686 */     GIR_EraseRootFromParent_Done,
     /* 2297687 */   // Label 27563: @2297687
     /* 2297687 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2297796), // Rule ID 18724 //
     /* 2297692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2297695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2297703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2297706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2297709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2297712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2297715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2297718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2297722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297738 */     // MIs[0] round
     /* 2297738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297741 */     // MIs[0] policy
     /* 2297741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297751 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2297751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297755 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297761 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2297768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297776 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297795 */     // GIR_Coverage, 18724,
     /* 2297795 */     GIR_EraseRootFromParent_Done,
     /* 2297796 */   // Label 27564: @2297796
     /* 2297796 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2297905), // Rule ID 18725 //
     /* 2297801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2297804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2297812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2297815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2297818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2297821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2297824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2297827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2297831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2297835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297847 */     // MIs[0] round
     /* 2297847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297850 */     // MIs[0] policy
     /* 2297850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297860 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2297860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297864 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297870 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2297877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297885 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2297891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2297893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2297898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2297903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297904 */     // GIR_Coverage, 18725,
     /* 2297904 */     GIR_EraseRootFromParent_Done,
     /* 2297905 */   // Label 27565: @2297905
     /* 2297905 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2298014), // Rule ID 18728 //
     /* 2297910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2297913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2297918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2297921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2297924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2297927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2297930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2297933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2297936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2297940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2297956 */     // MIs[0] round
     /* 2297956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2297959 */     // MIs[0] policy
     /* 2297959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2297962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2297969 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2297969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2297973 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297979 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2297983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2297986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2297990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2297992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2297994 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298013 */     // GIR_Coverage, 18728,
     /* 2298013 */     GIR_EraseRootFromParent_Done,
     /* 2298014 */   // Label 27566: @2298014
     /* 2298014 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2298123), // Rule ID 18729 //
     /* 2298019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2298022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2298030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2298033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2298036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2298039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2298042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2298045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2298049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298065 */     // MIs[0] round
     /* 2298065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298068 */     // MIs[0] policy
     /* 2298068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298078 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2298078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298082 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298088 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2298095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298103 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298122 */     // GIR_Coverage, 18729,
     /* 2298122 */     GIR_EraseRootFromParent_Done,
     /* 2298123 */   // Label 27567: @2298123
     /* 2298123 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2298232), // Rule ID 18732 //
     /* 2298128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2298131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2298139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2298142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2298145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2298148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2298151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2298154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2298158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298174 */     // MIs[0] round
     /* 2298174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298177 */     // MIs[0] policy
     /* 2298177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298187 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2298187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2298204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298231 */     // GIR_Coverage, 18732,
     /* 2298231 */     GIR_EraseRootFromParent_Done,
     /* 2298232 */   // Label 27568: @2298232
     /* 2298232 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2298341), // Rule ID 18733 //
     /* 2298237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2298240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2298248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2298251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2298254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2298257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2298260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2298263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2298267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298283 */     // MIs[0] round
     /* 2298283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298286 */     // MIs[0] policy
     /* 2298286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2298296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298300 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2298313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298321 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298340 */     // GIR_Coverage, 18733,
     /* 2298340 */     GIR_EraseRootFromParent_Done,
     /* 2298341 */   // Label 27569: @2298341
     /* 2298341 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2298450), // Rule ID 18736 //
     /* 2298346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2298349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2298357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2298360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2298366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2298369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2298372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2298376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298392 */     // MIs[0] round
     /* 2298392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298395 */     // MIs[0] policy
     /* 2298395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298405 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2298405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298409 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298415 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2298422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298449 */     // GIR_Coverage, 18736,
     /* 2298449 */     GIR_EraseRootFromParent_Done,
     /* 2298450 */   // Label 27570: @2298450
     /* 2298450 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2298559), // Rule ID 18737 //
     /* 2298455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2298458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2298466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2298469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2298472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2298475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2298478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2298481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2298485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298501 */     // MIs[0] round
     /* 2298501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298504 */     // MIs[0] policy
     /* 2298504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298514 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2298514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2298531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298558 */     // GIR_Coverage, 18737,
     /* 2298558 */     GIR_EraseRootFromParent_Done,
     /* 2298559 */   // Label 27571: @2298559
     /* 2298559 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2298668), // Rule ID 18740 //
     /* 2298564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2298567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2298575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2298578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2298581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2298584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2298587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2298590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2298594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298610 */     // MIs[0] round
     /* 2298610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298613 */     // MIs[0] policy
     /* 2298613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298623 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2298623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2298640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298648 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298667 */     // GIR_Coverage, 18740,
     /* 2298667 */     GIR_EraseRootFromParent_Done,
     /* 2298668 */   // Label 27572: @2298668
     /* 2298668 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2298777), // Rule ID 18741 //
     /* 2298673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2298676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2298684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2298687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2298690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2298693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2298696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2298699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2298703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298719 */     // MIs[0] round
     /* 2298719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298722 */     // MIs[0] policy
     /* 2298722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298732 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2298732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298736 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298742 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2298749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298757 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298776 */     // GIR_Coverage, 18741,
     /* 2298776 */     GIR_EraseRootFromParent_Done,
     /* 2298777 */   // Label 27573: @2298777
     /* 2298777 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2298886), // Rule ID 18744 //
     /* 2298782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2298785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2298793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2298796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2298799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2298802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2298805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2298808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2298812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298828 */     // MIs[0] round
     /* 2298828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298831 */     // MIs[0] policy
     /* 2298831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298841 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2298841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298845 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298851 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2298858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298866 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298885 */     // GIR_Coverage, 18744,
     /* 2298885 */     GIR_EraseRootFromParent_Done,
     /* 2298886 */   // Label 27574: @2298886
     /* 2298886 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2298995), // Rule ID 18745 //
     /* 2298891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2298894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2298899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2298902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2298905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2298908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2298911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2298914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2298917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2298921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2298929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2298933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2298937 */     // MIs[0] round
     /* 2298937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2298940 */     // MIs[0] policy
     /* 2298940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2298943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2298950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2298950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2298954 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298960 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2298964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2298967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2298971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2298973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2298975 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2298981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2298983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2298988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2298993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298994 */     // GIR_Coverage, 18745,
     /* 2298994 */     GIR_EraseRootFromParent_Done,
     /* 2298995 */   // Label 27575: @2298995
     /* 2298995 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2299104), // Rule ID 18748 //
     /* 2299000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2299003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2299011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2299014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2299020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2299023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2299026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2299030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299046 */     // MIs[0] round
     /* 2299046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299049 */     // MIs[0] policy
     /* 2299049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2299059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299063 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299069 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2299076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299103 */     // GIR_Coverage, 18748,
     /* 2299103 */     GIR_EraseRootFromParent_Done,
     /* 2299104 */   // Label 27576: @2299104
     /* 2299104 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2299213), // Rule ID 18749 //
     /* 2299109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2299112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2299120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2299123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2299129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2299132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2299135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2299139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299155 */     // MIs[0] round
     /* 2299155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299158 */     // MIs[0] policy
     /* 2299158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10938:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2299168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299172 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299178 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2299185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299193 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299212 */     // GIR_Coverage, 18749,
     /* 2299212 */     GIR_EraseRootFromParent_Done,
     /* 2299213 */   // Label 27577: @2299213
     /* 2299213 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2299322), // Rule ID 18752 //
     /* 2299218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2299221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2299229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2299232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2299238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2299241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2299244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2299248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299264 */     // MIs[0] round
     /* 2299264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299267 */     // MIs[0] policy
     /* 2299267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299277 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2299277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2299294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299321 */     // GIR_Coverage, 18752,
     /* 2299321 */     GIR_EraseRootFromParent_Done,
     /* 2299322 */   // Label 27578: @2299322
     /* 2299322 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2299431), // Rule ID 18753 //
     /* 2299327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2299330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2299338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2299341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2299347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2299350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2299353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2299357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299373 */     // MIs[0] round
     /* 2299373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299376 */     // MIs[0] policy
     /* 2299376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299386 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2299386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299390 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299396 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2299403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299411 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299430 */     // GIR_Coverage, 18753,
     /* 2299430 */     GIR_EraseRootFromParent_Done,
     /* 2299431 */   // Label 27579: @2299431
     /* 2299431 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2299540), // Rule ID 18756 //
     /* 2299436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2299439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2299447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2299450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2299456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2299459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2299462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2299466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299482 */     // MIs[0] round
     /* 2299482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299485 */     // MIs[0] policy
     /* 2299485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299495 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2299495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2299512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299520 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299539 */     // GIR_Coverage, 18756,
     /* 2299539 */     GIR_EraseRootFromParent_Done,
     /* 2299540 */   // Label 27580: @2299540
     /* 2299540 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2299649), // Rule ID 18757 //
     /* 2299545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2299548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2299556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2299559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2299565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2299568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2299571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2299575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2299587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299591 */     // MIs[0] round
     /* 2299591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299594 */     // MIs[0] policy
     /* 2299594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299604 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2299604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2299621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299648 */     // GIR_Coverage, 18757,
     /* 2299648 */     GIR_EraseRootFromParent_Done,
     /* 2299649 */   // Label 27581: @2299649
     /* 2299649 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2299758), // Rule ID 18760 //
     /* 2299654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2299657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2299665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2299668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2299674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2299677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2299680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2299684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299700 */     // MIs[0] round
     /* 2299700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299703 */     // MIs[0] policy
     /* 2299703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299713 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2299713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299717 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299723 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2299730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299738 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299757 */     // GIR_Coverage, 18760,
     /* 2299757 */     GIR_EraseRootFromParent_Done,
     /* 2299758 */   // Label 27582: @2299758
     /* 2299758 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2299867), // Rule ID 18761 //
     /* 2299763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2299766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2299774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2299777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2299780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2299783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2299786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2299789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2299793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2299797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2299805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299809 */     // MIs[0] round
     /* 2299809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299812 */     // MIs[0] policy
     /* 2299812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299822 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2299822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299826 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299832 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2299839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299847 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299866 */     // GIR_Coverage, 18761,
     /* 2299866 */     GIR_EraseRootFromParent_Done,
     /* 2299867 */   // Label 27583: @2299867
     /* 2299867 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2299976), // Rule ID 18764 //
     /* 2299872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2299875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2299883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2299886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2299892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2299895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2299898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2299902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2299918 */     // MIs[0] round
     /* 2299918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2299921 */     // MIs[0] policy
     /* 2299921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2299924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2299931 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2299931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2299935 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299941 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2299945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2299948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2299952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2299954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2299956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2299962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2299964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2299969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2299974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299975 */     // GIR_Coverage, 18764,
     /* 2299975 */     GIR_EraseRootFromParent_Done,
     /* 2299976 */   // Label 27584: @2299976
     /* 2299976 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2300085), // Rule ID 18765 //
     /* 2299981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2299984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2299989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2299992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2299995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2299998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2300001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2300004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2300007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2300011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300027 */     // MIs[0] round
     /* 2300027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300030 */     // MIs[0] policy
     /* 2300030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10938:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2300040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300044 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300050 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2300057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300065 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300084 */     // GIR_Coverage, 18765,
     /* 2300084 */     GIR_EraseRootFromParent_Done,
     /* 2300085 */   // Label 27585: @2300085
     /* 2300085 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2300194), // Rule ID 18768 //
     /* 2300090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2300093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2300101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2300104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2300110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2300113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2300116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2300120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300136 */     // MIs[0] round
     /* 2300136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300139 */     // MIs[0] policy
     /* 2300139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300149 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2300149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2300166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300174 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300193 */     // GIR_Coverage, 18768,
     /* 2300193 */     GIR_EraseRootFromParent_Done,
     /* 2300194 */   // Label 27586: @2300194
     /* 2300194 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2300303), // Rule ID 18769 //
     /* 2300199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2300202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2300210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2300213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2300219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2300222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2300225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2300229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300245 */     // MIs[0] round
     /* 2300245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300248 */     // MIs[0] policy
     /* 2300248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300258 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10938:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2300258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300262 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300268 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2300275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300283 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300302 */     // GIR_Coverage, 18769,
     /* 2300302 */     GIR_EraseRootFromParent_Done,
     /* 2300303 */   // Label 27587: @2300303
     /* 2300303 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2300412), // Rule ID 18772 //
     /* 2300308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2300311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2300319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2300322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2300328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2300331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2300334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2300338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300354 */     // MIs[0] round
     /* 2300354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300357 */     // MIs[0] policy
     /* 2300357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300367 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2300367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2300384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300411 */     // GIR_Coverage, 18772,
     /* 2300411 */     GIR_EraseRootFromParent_Done,
     /* 2300412 */   // Label 27588: @2300412
     /* 2300412 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2300521), // Rule ID 18773 //
     /* 2300417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2300420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2300428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2300431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2300437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2300440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2300443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2300447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300463 */     // MIs[0] round
     /* 2300463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300466 */     // MIs[0] policy
     /* 2300466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300476 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10938:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2300476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300480 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300486 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2300493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300501 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300520 */     // GIR_Coverage, 18773,
     /* 2300520 */     GIR_EraseRootFromParent_Done,
     /* 2300521 */   // Label 27589: @2300521
     /* 2300521 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2300630), // Rule ID 18776 //
     /* 2300526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2300529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2300537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2300540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2300546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2300549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2300552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2300556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300572 */     // MIs[0] round
     /* 2300572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300575 */     // MIs[0] policy
     /* 2300575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300585 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2300585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2300602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300610 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300629 */     // GIR_Coverage, 18776,
     /* 2300629 */     GIR_EraseRootFromParent_Done,
     /* 2300630 */   // Label 27590: @2300630
     /* 2300630 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2300739), // Rule ID 18777 //
     /* 2300635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2300638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2300643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2300646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2300649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2300652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2300655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2300658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2300661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2300665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2300669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2300673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300681 */     // MIs[0] round
     /* 2300681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300684 */     // MIs[0] policy
     /* 2300684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300694 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10938:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2300694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2300711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300738 */     // GIR_Coverage, 18777,
     /* 2300738 */     GIR_EraseRootFromParent_Done,
     /* 2300739 */   // Label 27591: @2300739
     /* 2300739 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2300848), // Rule ID 18780 //
     /* 2300744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2300747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2300752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2300755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2300758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2300761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2300764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2300767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2300770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2300774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300790 */     // MIs[0] round
     /* 2300790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300793 */     // MIs[0] policy
     /* 2300793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300803 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2300803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2300820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300828 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300847 */     // GIR_Coverage, 18780,
     /* 2300847 */     GIR_EraseRootFromParent_Done,
     /* 2300848 */   // Label 27592: @2300848
     /* 2300848 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2300957), // Rule ID 18781 //
     /* 2300853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2300856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2300861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2300864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2300867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2300870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2300873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2300876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2300879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2300883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2300899 */     // MIs[0] round
     /* 2300899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2300902 */     // MIs[0] policy
     /* 2300902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2300905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2300912 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2300912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2300916 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300922 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2300926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2300929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2300933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2300935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2300937 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2300943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2300945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2300950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2300955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300956 */     // GIR_Coverage, 18781,
     /* 2300956 */     GIR_EraseRootFromParent_Done,
     /* 2300957 */   // Label 27593: @2300957
     /* 2300957 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2301066), // Rule ID 18784 //
     /* 2300962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2300965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2300970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2300973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2300976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2300979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2300982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2300985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2300988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2300992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301008 */     // MIs[0] round
     /* 2301008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301011 */     // MIs[0] policy
     /* 2301011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301021 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2301021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2301038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301065 */     // GIR_Coverage, 18784,
     /* 2301065 */     GIR_EraseRootFromParent_Done,
     /* 2301066 */   // Label 27594: @2301066
     /* 2301066 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2301175), // Rule ID 18785 //
     /* 2301071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2301074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2301082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2301085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2301088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2301091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2301094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2301097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2301101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301117 */     // MIs[0] round
     /* 2301117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301120 */     // MIs[0] policy
     /* 2301120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2301130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2301147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301174 */     // GIR_Coverage, 18785,
     /* 2301174 */     GIR_EraseRootFromParent_Done,
     /* 2301175 */   // Label 27595: @2301175
     /* 2301175 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2301284), // Rule ID 18788 //
     /* 2301180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2301183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2301191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2301194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2301197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2301200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2301203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2301206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2301210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301226 */     // MIs[0] round
     /* 2301226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301229 */     // MIs[0] policy
     /* 2301229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301239 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2301239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2301256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301264 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301283 */     // GIR_Coverage, 18788,
     /* 2301283 */     GIR_EraseRootFromParent_Done,
     /* 2301284 */   // Label 27596: @2301284
     /* 2301284 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2301393), // Rule ID 18789 //
     /* 2301289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2301292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2301300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2301303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2301306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2301309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2301312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2301315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2301319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301335 */     // MIs[0] round
     /* 2301335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301338 */     // MIs[0] policy
     /* 2301338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2301348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2301365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301373 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301392 */     // GIR_Coverage, 18789,
     /* 2301392 */     GIR_EraseRootFromParent_Done,
     /* 2301393 */   // Label 27597: @2301393
     /* 2301393 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2301502), // Rule ID 18792 //
     /* 2301398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2301401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2301409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2301412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2301415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2301418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2301421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2301424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2301428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301444 */     // MIs[0] round
     /* 2301444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301447 */     // MIs[0] policy
     /* 2301447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301457 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2301457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2301474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301482 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301501 */     // GIR_Coverage, 18792,
     /* 2301501 */     GIR_EraseRootFromParent_Done,
     /* 2301502 */   // Label 27598: @2301502
     /* 2301502 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2301611), // Rule ID 18793 //
     /* 2301507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2301510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2301518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2301521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2301524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2301527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2301530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2301533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2301537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2301549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301553 */     // MIs[0] round
     /* 2301553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301556 */     // MIs[0] policy
     /* 2301556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2301566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301570 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301576 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2301583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301591 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301610 */     // GIR_Coverage, 18793,
     /* 2301610 */     GIR_EraseRootFromParent_Done,
     /* 2301611 */   // Label 27599: @2301611
     /* 2301611 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2301720), // Rule ID 18796 //
     /* 2301616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2301619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2301627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2301630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2301633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2301636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2301639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2301642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2301646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301662 */     // MIs[0] round
     /* 2301662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301665 */     // MIs[0] policy
     /* 2301665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301675 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2301675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2301692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301719 */     // GIR_Coverage, 18796,
     /* 2301719 */     GIR_EraseRootFromParent_Done,
     /* 2301720 */   // Label 27600: @2301720
     /* 2301720 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2301829), // Rule ID 18797 //
     /* 2301725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2301728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2301736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2301739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2301742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2301745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2301748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2301751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2301755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301771 */     // MIs[0] round
     /* 2301771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301774 */     // MIs[0] policy
     /* 2301774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301784 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2301784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2301801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301828 */     // GIR_Coverage, 18797,
     /* 2301828 */     GIR_EraseRootFromParent_Done,
     /* 2301829 */   // Label 27601: @2301829
     /* 2301829 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2301938), // Rule ID 18800 //
     /* 2301834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2301837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2301845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2301848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2301851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2301854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2301857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2301860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2301864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301880 */     // MIs[0] round
     /* 2301880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301883 */     // MIs[0] policy
     /* 2301883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2301893 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2301893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2301897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2301907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2301910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2301914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2301916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2301918 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2301924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2301926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2301931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2301936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301937 */     // GIR_Coverage, 18800,
     /* 2301937 */     GIR_EraseRootFromParent_Done,
     /* 2301938 */   // Label 27602: @2301938
     /* 2301938 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2302047), // Rule ID 18801 //
     /* 2301943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2301946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2301951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2301954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2301957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2301960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2301963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2301966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2301969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2301973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2301985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2301989 */     // MIs[0] round
     /* 2301989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2301992 */     // MIs[0] policy
     /* 2301992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2301995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302002 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2302002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302006 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302012 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2302019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302027 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302046 */     // GIR_Coverage, 18801,
     /* 2302046 */     GIR_EraseRootFromParent_Done,
     /* 2302047 */   // Label 27603: @2302047
     /* 2302047 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2302156), // Rule ID 18804 //
     /* 2302052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2302055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2302063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2302066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2302069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2302072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2302075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2302078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2302082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302098 */     // MIs[0] round
     /* 2302098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302101 */     // MIs[0] policy
     /* 2302101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2302111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2302128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302155 */     // GIR_Coverage, 18804,
     /* 2302155 */     GIR_EraseRootFromParent_Done,
     /* 2302156 */   // Label 27604: @2302156
     /* 2302156 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2302265), // Rule ID 18805 //
     /* 2302161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2302164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2302172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2302175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2302178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2302181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2302184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2302187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2302191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302207 */     // MIs[0] round
     /* 2302207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302210 */     // MIs[0] policy
     /* 2302210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302220 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2302220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302224 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302230 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2302237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302245 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302264 */     // GIR_Coverage, 18805,
     /* 2302264 */     GIR_EraseRootFromParent_Done,
     /* 2302265 */   // Label 27605: @2302265
     /* 2302265 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2302374), // Rule ID 18808 //
     /* 2302270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2302273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2302281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2302284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2302287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2302290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2302293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2302296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2302300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302316 */     // MIs[0] round
     /* 2302316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302319 */     // MIs[0] policy
     /* 2302319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302329 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2302329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302333 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302339 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2302346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302373 */     // GIR_Coverage, 18808,
     /* 2302373 */     GIR_EraseRootFromParent_Done,
     /* 2302374 */   // Label 27606: @2302374
     /* 2302374 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2302483), // Rule ID 18809 //
     /* 2302379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2302382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2302390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2302393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2302396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2302399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2302402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2302405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2302409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302425 */     // MIs[0] round
     /* 2302425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302428 */     // MIs[0] policy
     /* 2302428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302438 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2302438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302442 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302448 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2302455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302463 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302482 */     // GIR_Coverage, 18809,
     /* 2302482 */     GIR_EraseRootFromParent_Done,
     /* 2302483 */   // Label 27607: @2302483
     /* 2302483 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2302592), // Rule ID 18812 //
     /* 2302488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2302491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2302499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2302502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2302505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2302508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2302511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2302514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2302518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302534 */     // MIs[0] round
     /* 2302534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302537 */     // MIs[0] policy
     /* 2302537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2302547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302551 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302557 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2302564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302572 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302591 */     // GIR_Coverage, 18812,
     /* 2302591 */     GIR_EraseRootFromParent_Done,
     /* 2302592 */   // Label 27608: @2302592
     /* 2302592 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2302701), // Rule ID 18813 //
     /* 2302597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2302600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2302608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2302611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2302614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2302617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2302620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2302623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2302627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2302631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2302639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302643 */     // MIs[0] round
     /* 2302643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302646 */     // MIs[0] policy
     /* 2302646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302656 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2302656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2302673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302700 */     // GIR_Coverage, 18813,
     /* 2302700 */     GIR_EraseRootFromParent_Done,
     /* 2302701 */   // Label 27609: @2302701
     /* 2302701 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2302810), // Rule ID 18816 //
     /* 2302706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2302709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2302717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2302720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2302723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2302726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2302729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2302732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2302736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302752 */     // MIs[0] round
     /* 2302752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302755 */     // MIs[0] policy
     /* 2302755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302765 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2302765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302769 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302775 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2302782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302790 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302809 */     // GIR_Coverage, 18816,
     /* 2302809 */     GIR_EraseRootFromParent_Done,
     /* 2302810 */   // Label 27610: @2302810
     /* 2302810 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2302919), // Rule ID 18817 //
     /* 2302815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2302818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2302826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2302829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2302832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2302835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2302838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2302841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2302845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302861 */     // MIs[0] round
     /* 2302861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302864 */     // MIs[0] policy
     /* 2302864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302874 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2302874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302878 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302884 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2302891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2302895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2302897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2302899 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2302905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2302907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2302912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2302917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302918 */     // GIR_Coverage, 18817,
     /* 2302918 */     GIR_EraseRootFromParent_Done,
     /* 2302919 */   // Label 27611: @2302919
     /* 2302919 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2303028), // Rule ID 18820 //
     /* 2302924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2302927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2302932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2302935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2302938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2302941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2302944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2302947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2302950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2302954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2302962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2302970 */     // MIs[0] round
     /* 2302970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2302973 */     // MIs[0] policy
     /* 2302973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2302976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2302983 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2302983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2302987 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302993 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2302997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2303000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303008 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303027 */     // GIR_Coverage, 18820,
     /* 2303027 */     GIR_EraseRootFromParent_Done,
     /* 2303028 */   // Label 27612: @2303028
     /* 2303028 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2303137), // Rule ID 18821 //
     /* 2303033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2303036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2303044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2303047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2303053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2303056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2303059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303079 */     // MIs[0] round
     /* 2303079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303082 */     // MIs[0] policy
     /* 2303082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303092 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 10944:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303096 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303102 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2303109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303136 */     // GIR_Coverage, 18821,
     /* 2303136 */     GIR_EraseRootFromParent_Done,
     /* 2303137 */   // Label 27613: @2303137
     /* 2303137 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2303246), // Rule ID 18824 //
     /* 2303142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2303145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2303153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2303156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2303162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2303165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2303168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2303172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303188 */     // MIs[0] round
     /* 2303188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303191 */     // MIs[0] policy
     /* 2303191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303201 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2303218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303245 */     // GIR_Coverage, 18824,
     /* 2303245 */     GIR_EraseRootFromParent_Done,
     /* 2303246 */   // Label 27614: @2303246
     /* 2303246 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2303355), // Rule ID 18825 //
     /* 2303251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2303254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2303262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2303265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2303271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2303274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2303277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2303281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303297 */     // MIs[0] round
     /* 2303297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303300 */     // MIs[0] policy
     /* 2303300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303310 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303314 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303320 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2303327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303354 */     // GIR_Coverage, 18825,
     /* 2303354 */     GIR_EraseRootFromParent_Done,
     /* 2303355 */   // Label 27615: @2303355
     /* 2303355 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2303464), // Rule ID 18828 //
     /* 2303360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2303363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2303371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2303374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2303380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2303383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2303386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2303390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303406 */     // MIs[0] round
     /* 2303406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303409 */     // MIs[0] policy
     /* 2303409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303419 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303423 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303429 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2303436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303444 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303463 */     // GIR_Coverage, 18828,
     /* 2303463 */     GIR_EraseRootFromParent_Done,
     /* 2303464 */   // Label 27616: @2303464
     /* 2303464 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2303573), // Rule ID 18829 //
     /* 2303469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2303472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2303480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2303483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2303489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2303492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2303495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2303499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303515 */     // MIs[0] round
     /* 2303515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303518 */     // MIs[0] policy
     /* 2303518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303528 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303532 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303538 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2303545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303572 */     // GIR_Coverage, 18829,
     /* 2303572 */     GIR_EraseRootFromParent_Done,
     /* 2303573 */   // Label 27617: @2303573
     /* 2303573 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2303682), // Rule ID 18832 //
     /* 2303578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2303581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2303589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2303592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2303598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2303601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2303604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2303608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303624 */     // MIs[0] round
     /* 2303624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303627 */     // MIs[0] policy
     /* 2303627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303637 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303641 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303647 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2303654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303662 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303681 */     // GIR_Coverage, 18832,
     /* 2303681 */     GIR_EraseRootFromParent_Done,
     /* 2303682 */   // Label 27618: @2303682
     /* 2303682 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2303791), // Rule ID 18833 //
     /* 2303687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2303690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2303698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2303701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2303704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2303707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2303710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2303713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2303717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2303725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303733 */     // MIs[0] round
     /* 2303733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303736 */     // MIs[0] policy
     /* 2303736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303746 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303750 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303756 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2303763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303790 */     // GIR_Coverage, 18833,
     /* 2303790 */     GIR_EraseRootFromParent_Done,
     /* 2303791 */   // Label 27619: @2303791
     /* 2303791 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2303900), // Rule ID 18836 //
     /* 2303796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2303799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2303807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2303810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2303816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2303819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2303822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303842 */     // MIs[0] round
     /* 2303842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303845 */     // MIs[0] policy
     /* 2303845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303855 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2303855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2303872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303880 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2303893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2303898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303899 */     // GIR_Coverage, 18836,
     /* 2303899 */     GIR_EraseRootFromParent_Done,
     /* 2303900 */   // Label 27620: @2303900
     /* 2303900 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2304009), // Rule ID 18837 //
     /* 2303905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2303908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2303913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2303916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2303919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2303922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2303925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2303928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2303931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2303935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2303943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2303947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2303951 */     // MIs[0] round
     /* 2303951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2303954 */     // MIs[0] policy
     /* 2303954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2303957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2303964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 10944:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2303964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2303968 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303974 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2303978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2303981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2303985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2303987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2303989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2303995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2303997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304008 */     // GIR_Coverage, 18837,
     /* 2304008 */     GIR_EraseRootFromParent_Done,
     /* 2304009 */   // Label 27621: @2304009
     /* 2304009 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2304118), // Rule ID 18840 //
     /* 2304014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2304017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2304025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2304028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2304034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2304037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2304040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2304044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304060 */     // MIs[0] round
     /* 2304060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304063 */     // MIs[0] policy
     /* 2304063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304073 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304077 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304083 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2304090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304098 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304117 */     // GIR_Coverage, 18840,
     /* 2304117 */     GIR_EraseRootFromParent_Done,
     /* 2304118 */   // Label 27622: @2304118
     /* 2304118 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2304227), // Rule ID 18841 //
     /* 2304123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2304126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2304134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2304137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2304143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2304146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2304149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2304153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304169 */     // MIs[0] round
     /* 2304169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304172 */     // MIs[0] policy
     /* 2304172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304182 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 10944:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304186 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304192 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2304199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304226 */     // GIR_Coverage, 18841,
     /* 2304226 */     GIR_EraseRootFromParent_Done,
     /* 2304227 */   // Label 27623: @2304227
     /* 2304227 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2304336), // Rule ID 18844 //
     /* 2304232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2304235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2304243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2304246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2304252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2304255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2304258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2304262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304278 */     // MIs[0] round
     /* 2304278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304281 */     // MIs[0] policy
     /* 2304281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304291 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2304308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304335 */     // GIR_Coverage, 18844,
     /* 2304335 */     GIR_EraseRootFromParent_Done,
     /* 2304336 */   // Label 27624: @2304336
     /* 2304336 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2304445), // Rule ID 18845 //
     /* 2304341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2304344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2304352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2304355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2304361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2304364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2304367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2304371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2304383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304387 */     // MIs[0] round
     /* 2304387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304390 */     // MIs[0] policy
     /* 2304390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304400 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 10944:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2304417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304444 */     // GIR_Coverage, 18845,
     /* 2304444 */     GIR_EraseRootFromParent_Done,
     /* 2304445 */   // Label 27625: @2304445
     /* 2304445 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2304554), // Rule ID 18848 //
     /* 2304450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2304453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2304461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2304464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2304470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2304473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2304476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2304480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304496 */     // MIs[0] round
     /* 2304496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304499 */     // MIs[0] policy
     /* 2304499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304509 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304513 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304519 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2304526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304534 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304553 */     // GIR_Coverage, 18848,
     /* 2304553 */     GIR_EraseRootFromParent_Done,
     /* 2304554 */   // Label 27626: @2304554
     /* 2304554 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2304663), // Rule ID 18849 //
     /* 2304559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2304562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2304567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2304570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2304573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2304576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2304579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2304582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2304585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2304589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2304593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2304601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304605 */     // MIs[0] round
     /* 2304605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304608 */     // MIs[0] policy
     /* 2304608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304618 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 10944:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304622 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304628 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2304635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2304639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304643 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304662 */     // GIR_Coverage, 18849,
     /* 2304662 */     GIR_EraseRootFromParent_Done,
     /* 2304663 */   // Label 27627: @2304663
     /* 2304663 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2304772), // Rule ID 63695 //
     /* 2304668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2304671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2304676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2304679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2304682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2304685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2304688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2304691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2304694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304714 */     // MIs[0] round
     /* 2304714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304717 */     // MIs[0] policy
     /* 2304717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304727 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304731 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304737 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2304744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2304748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304752 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304771 */     // GIR_Coverage, 63695,
     /* 2304771 */     GIR_EraseRootFromParent_Done,
     /* 2304772 */   // Label 27628: @2304772
     /* 2304772 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2304881), // Rule ID 63696 //
     /* 2304777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2304780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2304785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2304788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2304791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2304794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2304797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2304800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2304803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304823 */     // MIs[0] round
     /* 2304823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304826 */     // MIs[0] policy
     /* 2304826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304836 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2304836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304840 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304846 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2304853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2304857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304861 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304880 */     // GIR_Coverage, 63696,
     /* 2304880 */     GIR_EraseRootFromParent_Done,
     /* 2304881 */   // Label 27629: @2304881
     /* 2304881 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2304990), // Rule ID 63699 //
     /* 2304886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2304889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2304894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2304897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2304900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2304903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2304906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2304909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2304912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2304916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2304932 */     // MIs[0] round
     /* 2304932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2304935 */     // MIs[0] policy
     /* 2304935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2304938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2304945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2304945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2304949 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304955 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2304959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2304962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2304966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2304968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2304970 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2304976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2304978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2304983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2304988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304989 */     // GIR_Coverage, 63699,
     /* 2304989 */     GIR_EraseRootFromParent_Done,
     /* 2304990 */   // Label 27630: @2304990
     /* 2304990 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2305099), // Rule ID 63700 //
     /* 2304995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2304998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2305006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2305009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2305012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2305018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2305021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305041 */     // MIs[0] round
     /* 2305041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305044 */     // MIs[0] policy
     /* 2305044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305054 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305058 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305064 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2305071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305079 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305098 */     // GIR_Coverage, 63700,
     /* 2305098 */     GIR_EraseRootFromParent_Done,
     /* 2305099 */   // Label 27631: @2305099
     /* 2305099 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2305208), // Rule ID 63703 //
     /* 2305104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2305107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2305115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2305118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2305121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2305127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2305130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305150 */     // MIs[0] round
     /* 2305150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305153 */     // MIs[0] policy
     /* 2305153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305167 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305173 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2305180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305188 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305207 */     // GIR_Coverage, 63703,
     /* 2305207 */     GIR_EraseRootFromParent_Done,
     /* 2305208 */   // Label 27632: @2305208
     /* 2305208 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2305317), // Rule ID 63704 //
     /* 2305213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2305216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2305224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2305227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2305230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2305236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2305239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305259 */     // MIs[0] round
     /* 2305259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305262 */     // MIs[0] policy
     /* 2305262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2305289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305297 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305316 */     // GIR_Coverage, 63704,
     /* 2305316 */     GIR_EraseRootFromParent_Done,
     /* 2305317 */   // Label 27633: @2305317
     /* 2305317 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2305426), // Rule ID 63707 //
     /* 2305322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2305325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2305333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2305336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2305339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2305345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2305348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305368 */     // MIs[0] round
     /* 2305368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305371 */     // MIs[0] policy
     /* 2305371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305381 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2305398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305425 */     // GIR_Coverage, 63707,
     /* 2305425 */     GIR_EraseRootFromParent_Done,
     /* 2305426 */   // Label 27634: @2305426
     /* 2305426 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2305535), // Rule ID 63708 //
     /* 2305431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2305434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2305442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2305445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2305448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2305454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2305457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305477 */     // MIs[0] round
     /* 2305477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305480 */     // MIs[0] policy
     /* 2305480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10733:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305494 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305500 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2305507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305515 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305534 */     // GIR_Coverage, 63708,
     /* 2305534 */     GIR_EraseRootFromParent_Done,
     /* 2305535 */   // Label 27635: @2305535
     /* 2305535 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2305644), // Rule ID 63711 //
     /* 2305540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2305543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2305551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2305554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2305557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2305563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2305566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2305570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305586 */     // MIs[0] round
     /* 2305586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305589 */     // MIs[0] policy
     /* 2305589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305599 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10733:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305603 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305609 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2305616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305624 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305643 */     // GIR_Coverage, 63711,
     /* 2305643 */     GIR_EraseRootFromParent_Done,
     /* 2305644 */   // Label 27636: @2305644
     /* 2305644 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2305753), // Rule ID 63712 //
     /* 2305649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2305652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2305657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2305660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2305663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2305666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2305672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2305675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2305679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305695 */     // MIs[0] round
     /* 2305695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305698 */     // MIs[0] policy
     /* 2305698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10733:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305712 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305718 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2305725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305752 */     // GIR_Coverage, 63712,
     /* 2305752 */     GIR_EraseRootFromParent_Done,
     /* 2305753 */   // Label 27637: @2305753
     /* 2305753 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2305862), // Rule ID 63715 //
     /* 2305758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2305761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2305766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2305769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2305772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2305775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2305781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2305784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305804 */     // MIs[0] round
     /* 2305804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305807 */     // MIs[0] policy
     /* 2305807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305817 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2305817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305821 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305827 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2305834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305842 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305861 */     // GIR_Coverage, 63715,
     /* 2305861 */     GIR_EraseRootFromParent_Done,
     /* 2305862 */   // Label 27638: @2305862
     /* 2305862 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2305971), // Rule ID 63716 //
     /* 2305867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2305870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2305875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2305878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2305881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2305884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2305890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2305893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2305897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2305909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2305913 */     // MIs[0] round
     /* 2305913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2305916 */     // MIs[0] policy
     /* 2305916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2305919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2305926 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv1i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2305926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2305930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2305940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2305943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2305947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2305949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2305951 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2305957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2305959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2305964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2305969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305970 */     // GIR_Coverage, 63716,
     /* 2305970 */     GIR_EraseRootFromParent_Done,
     /* 2305971 */   // Label 27639: @2305971
     /* 2305971 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2306080), // Rule ID 63719 //
     /* 2305976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2305979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2305984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2305987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2305990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2305993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2305996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2305999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2306002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306022 */     // MIs[0] round
     /* 2306022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306025 */     // MIs[0] policy
     /* 2306025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306035 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306039 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306045 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2306052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306060 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306079 */     // GIR_Coverage, 63719,
     /* 2306079 */     GIR_EraseRootFromParent_Done,
     /* 2306080 */   // Label 27640: @2306080
     /* 2306080 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2306189), // Rule ID 63720 //
     /* 2306085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2306088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2306096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2306099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2306102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2306108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2306111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306131 */     // MIs[0] round
     /* 2306131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306134 */     // MIs[0] policy
     /* 2306134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306144 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv2i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306148 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306154 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2306161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306169 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306188 */     // GIR_Coverage, 63720,
     /* 2306188 */     GIR_EraseRootFromParent_Done,
     /* 2306189 */   // Label 27641: @2306189
     /* 2306189 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2306298), // Rule ID 63723 //
     /* 2306194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2306197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2306205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2306208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2306211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2306217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2306220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306240 */     // MIs[0] round
     /* 2306240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306243 */     // MIs[0] policy
     /* 2306243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306257 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2306270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306278 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306297 */     // GIR_Coverage, 63723,
     /* 2306297 */     GIR_EraseRootFromParent_Done,
     /* 2306298 */   // Label 27642: @2306298
     /* 2306298 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2306407), // Rule ID 63724 //
     /* 2306303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2306306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2306314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2306317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2306320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2306326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2306329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306349 */     // MIs[0] round
     /* 2306349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306352 */     // MIs[0] policy
     /* 2306352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306362 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv4i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306366 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306372 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2306379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306387 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306406 */     // GIR_Coverage, 63724,
     /* 2306406 */     GIR_EraseRootFromParent_Done,
     /* 2306407 */   // Label 27643: @2306407
     /* 2306407 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2306516), // Rule ID 63727 //
     /* 2306412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2306415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2306423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2306426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2306429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2306435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2306438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306458 */     // MIs[0] round
     /* 2306458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306461 */     // MIs[0] policy
     /* 2306461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306471 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2306488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306515 */     // GIR_Coverage, 63727,
     /* 2306515 */     GIR_EraseRootFromParent_Done,
     /* 2306516 */   // Label 27644: @2306516
     /* 2306516 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2306625), // Rule ID 63728 //
     /* 2306521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2306524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2306532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2306535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2306538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2306544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2306547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2306551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2306555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306567 */     // MIs[0] round
     /* 2306567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306570 */     // MIs[0] policy
     /* 2306570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 10731:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv8i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306584 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2306597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306605 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306624 */     // GIR_Coverage, 63728,
     /* 2306624 */     GIR_EraseRootFromParent_Done,
     /* 2306625 */   // Label 27645: @2306625
     /* 2306625 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2306734), // Rule ID 63731 //
     /* 2306630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2306633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2306641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2306644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2306647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2306653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2306656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2306660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306676 */     // MIs[0] round
     /* 2306676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306679 */     // MIs[0] policy
     /* 2306679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306689 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10731:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2306689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306693 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306699 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2306706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306714 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306733 */     // GIR_Coverage, 63731,
     /* 2306733 */     GIR_EraseRootFromParent_Done,
     /* 2306734 */   // Label 27646: @2306734
     /* 2306734 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2306843), // Rule ID 63732 //
     /* 2306739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2306742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2306747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2306750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2306753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2306756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2306762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2306765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2306769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2306773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2306781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2306785 */     // MIs[0] round
     /* 2306785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2306788 */     // MIs[0] policy
     /* 2306788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2306791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2306798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 10731:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, V0:{ *:[nxv16i1] }, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2306798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/5, // V0
     /* 2306812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2306815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2306819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2306821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2306823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2306829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2306831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2306836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2306841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306842 */     // GIR_Coverage, 63732,
     /* 2306842 */     GIR_EraseRootFromParent_Done,
     /* 2306843 */   // Label 27647: @2306843
     /* 2306843 */   GIM_Reject,
     /* 2306844 */ // Label 25603: @2306844
     /* 2306844 */ GIM_Reject,
     /* 2306845 */ // Label 38: @2306845
     /* 2306845 */ GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2306928), // Rule ID 35 //
     /* 2306850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2306853 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2306856 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2306861 */   // MIs[0] Operand 1
     /* 2306861 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2306865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2306869 */   // MIs[0] ptr
     /* 2306869 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2306873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2306877 */   // MIs[0] accessinfo
     /* 2306877 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2306880 */   // (intrinsic_void 192:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2306880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2306884 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306890 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2306894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2306897 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2306899 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2306901 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2306904 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2306907 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2306910 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2306913 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2306916 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2306919 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2306922 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2306926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2306927 */   // GIR_Coverage, 35,
     /* 2306927 */   GIR_EraseRootFromParent_Done,
     /* 2306928 */ // Label 27648: @2306928
     /* 2306928 */ GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2307833),
     /* 2306933 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2306936 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2307008), // Rule ID 605 //
     /* 2306941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2306944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2306949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2306952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2306955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2306958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306962 */     // MIs[0] addr
     /* 2306962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2306966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2306978 */     // MIs[0] ordering
     /* 2306978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2306981 */     // (intrinsic_w_chain:{ *:[i32] } 10667:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2306981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2306984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2306987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2306989 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2306994 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2306996 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2306998 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307000 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307002 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307007 */     // GIR_Coverage, 605,
     /* 2307007 */     GIR_EraseRootFromParent_Done,
     /* 2307008 */   // Label 27650: @2307008
     /* 2307008 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2307080), // Rule ID 606 //
     /* 2307013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2307021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307034 */     // MIs[0] addr
     /* 2307034 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307050 */     // MIs[0] ordering
     /* 2307050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307053 */     // (intrinsic_w_chain:{ *:[i32] } 10653:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2307053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2307059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307061 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307066 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307068 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307070 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307072 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307074 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307079 */     // GIR_Coverage, 606,
     /* 2307079 */     GIR_EraseRootFromParent_Done,
     /* 2307080 */   // Label 27651: @2307080
     /* 2307080 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2307152), // Rule ID 607 //
     /* 2307085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2307093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307106 */     // MIs[0] addr
     /* 2307106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307122 */     // MIs[0] ordering
     /* 2307122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307125 */     // (intrinsic_w_chain:{ *:[i32] } 10661:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2307125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2307131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307133 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307138 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307140 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307142 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307144 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307146 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307151 */     // GIR_Coverage, 607,
     /* 2307151 */     GIR_EraseRootFromParent_Done,
     /* 2307152 */   // Label 27652: @2307152
     /* 2307152 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2307224), // Rule ID 608 //
     /* 2307157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2307165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307178 */     // MIs[0] addr
     /* 2307178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307194 */     // MIs[0] ordering
     /* 2307194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307197 */     // (intrinsic_w_chain:{ *:[i32] } 10659:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2307197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2307203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307205 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307210 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307212 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307214 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307216 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307218 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307223 */     // GIR_Coverage, 608,
     /* 2307223 */     GIR_EraseRootFromParent_Done,
     /* 2307224 */   // Label 27653: @2307224
     /* 2307224 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2307304), // Rule ID 611 //
     /* 2307229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2307237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307250 */     // MIs[0] addr
     /* 2307250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307266 */     // MIs[0] ordering
     /* 2307266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307269 */     // (intrinsic_w_chain:{ *:[i32] } 10663:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2307269 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2307278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307280 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307285 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307290 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307292 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307294 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307296 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307298 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307303 */     // GIR_Coverage, 611,
     /* 2307303 */     GIR_EraseRootFromParent_Done,
     /* 2307304 */   // Label 27654: @2307304
     /* 2307304 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2307384), // Rule ID 612 //
     /* 2307309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2307317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307330 */     // MIs[0] addr
     /* 2307330 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307346 */     // MIs[0] ordering
     /* 2307346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307349 */     // (intrinsic_w_chain:{ *:[i32] } 10665:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2307349 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2307358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307360 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307365 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307370 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307372 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307374 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307376 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307378 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307383 */     // GIR_Coverage, 612,
     /* 2307383 */     GIR_EraseRootFromParent_Done,
     /* 2307384 */   // Label 27655: @2307384
     /* 2307384 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2307456), // Rule ID 618 //
     /* 2307389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2307397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307410 */     // MIs[0] addr
     /* 2307410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307426 */     // MIs[0] ordering
     /* 2307426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307429 */     // (intrinsic_w_chain:{ *:[i64] } 10668:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2307435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307437 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307442 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307444 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307446 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307448 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307450 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307455 */     // GIR_Coverage, 618,
     /* 2307455 */     GIR_EraseRootFromParent_Done,
     /* 2307456 */   // Label 27656: @2307456
     /* 2307456 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2307528), // Rule ID 619 //
     /* 2307461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2307469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307482 */     // MIs[0] addr
     /* 2307482 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307498 */     // MIs[0] ordering
     /* 2307498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307501 */     // (intrinsic_w_chain:{ *:[i64] } 10654:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2307507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307509 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307514 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307516 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307518 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307520 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307522 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307527 */     // GIR_Coverage, 619,
     /* 2307527 */     GIR_EraseRootFromParent_Done,
     /* 2307528 */   // Label 27657: @2307528
     /* 2307528 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2307600), // Rule ID 620 //
     /* 2307533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2307541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307554 */     // MIs[0] addr
     /* 2307554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307570 */     // MIs[0] ordering
     /* 2307570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307573 */     // (intrinsic_w_chain:{ *:[i64] } 10662:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2307579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307581 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307586 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307588 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307590 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307592 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307594 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307599 */     // GIR_Coverage, 620,
     /* 2307599 */     GIR_EraseRootFromParent_Done,
     /* 2307600 */   // Label 27658: @2307600
     /* 2307600 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2307672), // Rule ID 621 //
     /* 2307605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2307613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307626 */     // MIs[0] addr
     /* 2307626 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307642 */     // MIs[0] ordering
     /* 2307642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307645 */     // (intrinsic_w_chain:{ *:[i64] } 10660:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2307651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307653 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307658 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307660 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307662 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307664 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307666 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307671 */     // GIR_Coverage, 621,
     /* 2307671 */     GIR_EraseRootFromParent_Done,
     /* 2307672 */   // Label 27659: @2307672
     /* 2307672 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2307752), // Rule ID 624 //
     /* 2307677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2307685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307698 */     // MIs[0] addr
     /* 2307698 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307714 */     // MIs[0] ordering
     /* 2307714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307717 */     // (intrinsic_w_chain:{ *:[i64] } 10664:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307717 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2307726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307728 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307733 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307738 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307740 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307742 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307744 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307746 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307751 */     // GIR_Coverage, 624,
     /* 2307751 */     GIR_EraseRootFromParent_Done,
     /* 2307752 */   // Label 27660: @2307752
     /* 2307752 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2307832), // Rule ID 625 //
     /* 2307757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2307760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2307765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2307768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2307771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2307774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307778 */     // MIs[0] addr
     /* 2307778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307794 */     // MIs[0] ordering
     /* 2307794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2307797 */     // (intrinsic_w_chain:{ *:[i64] } 10666:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2307797 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2307806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307808 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307813 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307818 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307820 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307822 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307824 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2307826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307831 */     // GIR_Coverage, 625,
     /* 2307831 */     GIR_EraseRootFromParent_Done,
     /* 2307832 */   // Label 27661: @2307832
     /* 2307832 */   GIM_Reject,
     /* 2307833 */ // Label 27649: @2307833
     /* 2307833 */ GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2308360),
     /* 2307838 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2307841 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2307930), // Rule ID 609 //
     /* 2307846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2307854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307870 */     // MIs[0] addr
     /* 2307870 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307890 */     // MIs[0] ordering
     /* 2307890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307893 */     // (intrinsic_w_chain:{ *:[i32] } 10655:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2307893 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2307902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307904 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307909 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307914 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2307916 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2307918 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2307920 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2307922 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2307924 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2307928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307929 */     // GIR_Coverage, 609,
     /* 2307929 */     GIR_EraseRootFromParent_Done,
     /* 2307930 */   // Label 27663: @2307930
     /* 2307930 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2308019), // Rule ID 610 //
     /* 2307935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2307938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2307943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2307946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2307949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2307952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2307955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307959 */     // MIs[0] addr
     /* 2307959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2307963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2307979 */     // MIs[0] ordering
     /* 2307979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2307982 */     // (intrinsic_w_chain:{ *:[i32] } 10657:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2307982 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2307985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2307988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2307991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2307993 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2307998 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308003 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2308005 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2308007 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2308009 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2308011 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2308013 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2308017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308018 */     // GIR_Coverage, 610,
     /* 2308018 */     GIR_EraseRootFromParent_Done,
     /* 2308019 */   // Label 27664: @2308019
     /* 2308019 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2308108), // Rule ID 622 //
     /* 2308024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2308027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2308032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2308035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2308041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308048 */     // MIs[0] addr
     /* 2308048 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2308052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308068 */     // MIs[0] ordering
     /* 2308068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308071 */     // (intrinsic_w_chain:{ *:[i64] } 10656:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2308071 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2308074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2308077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2308080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2308082 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308087 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308092 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2308094 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2308096 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2308098 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2308100 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2308102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2308106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308107 */     // GIR_Coverage, 622,
     /* 2308107 */     GIR_EraseRootFromParent_Done,
     /* 2308108 */   // Label 27665: @2308108
     /* 2308108 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2308197), // Rule ID 623 //
     /* 2308113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2308116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2308121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2308124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2308130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308137 */     // MIs[0] addr
     /* 2308137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2308141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308157 */     // MIs[0] ordering
     /* 2308157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308160 */     // (intrinsic_w_chain:{ *:[i64] } 10658:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2308160 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2308163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2308166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2308169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2308171 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308176 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308181 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2308183 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2308185 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2308187 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2308189 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2308191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2308195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308196 */     // GIR_Coverage, 623,
     /* 2308196 */     GIR_EraseRootFromParent_Done,
     /* 2308197 */   // Label 27666: @2308197
     /* 2308197 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2308278), // Rule ID 641 //
     /* 2308202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2308205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2308210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2308213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2308219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2308222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308226 */     // MIs[0] addr
     /* 2308226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2308230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308246 */     // MIs[0] ordering
     /* 2308246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308249 */     // (intrinsic_w_chain:{ *:[i32] } 10669:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2308249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2308252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2308255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2308257 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308262 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2308264 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2308266 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2308268 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2308270 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2308272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2308276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308277 */     // GIR_Coverage, 641,
     /* 2308277 */     GIR_EraseRootFromParent_Done,
     /* 2308278 */   // Label 27667: @2308278
     /* 2308278 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2308359), // Rule ID 642 //
     /* 2308283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2308286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2308291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2308294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2308297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2308300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2308303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308307 */     // MIs[0] addr
     /* 2308307 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2308311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2308327 */     // MIs[0] ordering
     /* 2308327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2308330 */     // (intrinsic_w_chain:{ *:[i64] } 10670:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2308330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2308333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2308336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2308338 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2308343 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2308345 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2308347 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2308349 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2308351 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2308353 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2308357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308358 */     // GIR_Coverage, 642,
     /* 2308358 */     GIR_EraseRootFromParent_Done,
     /* 2308359 */   // Label 27668: @2308359
     /* 2308359 */   GIM_Reject,
     /* 2308360 */ // Label 27662: @2308360
     /* 2308360 */ GIM_Reject,
     /* 2308361 */ // Label 39: @2308361
     /* 2308361 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 27684*/ GIMT_Encode4(2311481),
     /* 2308372 */ /*GILLT_nxv1s16*//*Label 27669*/ GIMT_Encode4(2308472),
     /* 2308376 */ /*GILLT_nxv1s32*//*Label 27670*/ GIMT_Encode4(2308576),
     /* 2308380 */ /*GILLT_nxv1s64*//*Label 27671*/ GIMT_Encode4(2308793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308392 */ /*GILLT_nxv2s16*//*Label 27672*/ GIMT_Encode4(2309118),
     /* 2308396 */ /*GILLT_nxv2s32*//*Label 27673*/ GIMT_Encode4(2309222),
     /* 2308400 */ /*GILLT_nxv2s64*//*Label 27674*/ GIMT_Encode4(2309439), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308412 */ /*GILLT_nxv4s16*//*Label 27675*/ GIMT_Encode4(2309764),
     /* 2308416 */ /*GILLT_nxv4s32*//*Label 27676*/ GIMT_Encode4(2309868),
     /* 2308420 */ /*GILLT_nxv4s64*//*Label 27677*/ GIMT_Encode4(2310085), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308432 */ /*GILLT_nxv8s16*//*Label 27678*/ GIMT_Encode4(2310410),
     /* 2308436 */ /*GILLT_nxv8s32*//*Label 27679*/ GIMT_Encode4(2310514),
     /* 2308440 */ /*GILLT_nxv8s64*//*Label 27680*/ GIMT_Encode4(2310731), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308452 */ /*GILLT_nxv16s16*//*Label 27681*/ GIMT_Encode4(2311056),
     /* 2308456 */ /*GILLT_nxv16s32*//*Label 27682*/ GIMT_Encode4(2311160), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2308468 */ /*GILLT_nxv32s16*//*Label 27683*/ GIMT_Encode4(2311377),
     /* 2308472 */ // Label 27669: @2308472
     /* 2308472 */ GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2308575),
     /* 2308477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2308480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308488 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2308531), // Rule ID 46968 //
     /* 2308493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308496 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2308499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2308513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308530 */     // GIR_Coverage, 46968,
     /* 2308530 */     GIR_EraseRootFromParent_Done,
     /* 2308531 */   // Label 27686: @2308531
     /* 2308531 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2308574), // Rule ID 46969 //
     /* 2308536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308539 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2308542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2308556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2308569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308573 */     // GIR_Coverage, 46969,
     /* 2308573 */     GIR_EraseRootFromParent_Done,
     /* 2308574 */   // Label 27687: @2308574
     /* 2308574 */   GIM_Reject,
     /* 2308575 */ // Label 27685: @2308575
     /* 2308575 */ GIM_Reject,
     /* 2308576 */ // Label 27670: @2308576
     /* 2308576 */ GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2308630), // Rule ID 46992 //
     /* 2308581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2308587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308595 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308595 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308598 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308602 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308607 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308609 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2308612 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308614 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308617 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308629 */   // GIR_Coverage, 46992,
     /* 2308629 */   GIR_EraseRootFromParent_Done,
     /* 2308630 */ // Label 27688: @2308630
     /* 2308630 */ GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2308684), // Rule ID 46993 //
     /* 2308635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2308641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308649 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2308666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308683 */   // GIR_Coverage, 46993,
     /* 2308683 */   GIR_EraseRootFromParent_Done,
     /* 2308684 */ // Label 27689: @2308684
     /* 2308684 */ GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2308738), // Rule ID 47058 //
     /* 2308689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2308692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2308695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308703 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2308720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308737 */   // GIR_Coverage, 47058,
     /* 2308737 */   GIR_EraseRootFromParent_Done,
     /* 2308738 */ // Label 27690: @2308738
     /* 2308738 */ GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2308792), // Rule ID 47059 //
     /* 2308743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2308746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2308749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308757 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308757 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2308760 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308764 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2308774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308779 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2308787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308791 */   // GIR_Coverage, 47059,
     /* 2308791 */   GIR_EraseRootFromParent_Done,
     /* 2308792 */ // Label 27691: @2308792
     /* 2308792 */ GIM_Reject,
     /* 2308793 */ // Label 27671: @2308793
     /* 2308793 */ GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2308847), // Rule ID 47012 //
     /* 2308798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2308801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2308804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308812 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308812 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2308815 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308819 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308824 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308826 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2308829 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308831 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308834 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308846 */   // GIR_Coverage, 47012,
     /* 2308846 */   GIR_EraseRootFromParent_Done,
     /* 2308847 */ // Label 27692: @2308847
     /* 2308847 */ GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2308901), // Rule ID 47013 //
     /* 2308852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2308855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2308858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308866 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2308869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2308883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308900 */   // GIR_Coverage, 47013,
     /* 2308900 */   GIR_EraseRootFromParent_Done,
     /* 2308901 */ // Label 27693: @2308901
     /* 2308901 */ GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2308955), // Rule ID 47078 //
     /* 2308906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2308909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2308912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308920 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2308920 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2308923 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308927 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2308937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308939 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308942 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2308947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2308950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2308953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2308954 */   // GIR_Coverage, 47078,
     /* 2308954 */   GIR_EraseRootFromParent_Done,
     /* 2308955 */ // Label 27694: @2308955
     /* 2308955 */ GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2309009), // Rule ID 47079 //
     /* 2308960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2308963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2308966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2308974 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2308974 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2308977 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2308981 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2308986 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2308988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2308991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308993 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2308996 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309008 */   // GIR_Coverage, 47079,
     /* 2309008 */   GIR_EraseRootFromParent_Done,
     /* 2309009 */ // Label 27695: @2309009
     /* 2309009 */ GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2309063), // Rule ID 47112 //
     /* 2309014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2309017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2309020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309028 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2309031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309040 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2309045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309062 */   // GIR_Coverage, 47112,
     /* 2309062 */   GIR_EraseRootFromParent_Done,
     /* 2309063 */ // Label 27696: @2309063
     /* 2309063 */ GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2309117), // Rule ID 47113 //
     /* 2309068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2309071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2309074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309082 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2309085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2309099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309116 */   // GIR_Coverage, 47113,
     /* 2309116 */   GIR_EraseRootFromParent_Done,
     /* 2309117 */ // Label 27697: @2309117
     /* 2309117 */ GIM_Reject,
     /* 2309118 */ // Label 27672: @2309118
     /* 2309118 */ GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2309221),
     /* 2309123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2309126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309134 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2309177), // Rule ID 46972 //
     /* 2309139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309142 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2309145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2309159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309176 */     // GIR_Coverage, 46972,
     /* 2309176 */     GIR_EraseRootFromParent_Done,
     /* 2309177 */   // Label 27699: @2309177
     /* 2309177 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2309220), // Rule ID 46973 //
     /* 2309182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309185 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2309188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2309202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309219 */     // GIR_Coverage, 46973,
     /* 2309219 */     GIR_EraseRootFromParent_Done,
     /* 2309220 */   // Label 27700: @2309220
     /* 2309220 */   GIM_Reject,
     /* 2309221 */ // Label 27698: @2309221
     /* 2309221 */ GIM_Reject,
     /* 2309222 */ // Label 27673: @2309222
     /* 2309222 */ GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2309276), // Rule ID 46996 //
     /* 2309227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2309233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309241 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309241 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2309244 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309248 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309253 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2309258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309260 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309263 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309275 */   // GIR_Coverage, 46996,
     /* 2309275 */   GIR_EraseRootFromParent_Done,
     /* 2309276 */ // Label 27701: @2309276
     /* 2309276 */ GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2309330), // Rule ID 46997 //
     /* 2309281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2309287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309295 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309295 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2309298 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309302 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309307 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2309312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309314 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309317 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309329 */   // GIR_Coverage, 46997,
     /* 2309329 */   GIR_EraseRootFromParent_Done,
     /* 2309330 */ // Label 27702: @2309330
     /* 2309330 */ GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2309384), // Rule ID 47062 //
     /* 2309335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2309341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309349 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2309352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309361 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2309366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309368 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309383 */   // GIR_Coverage, 47062,
     /* 2309383 */   GIR_EraseRootFromParent_Done,
     /* 2309384 */ // Label 27703: @2309384
     /* 2309384 */ GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2309438), // Rule ID 47063 //
     /* 2309389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2309395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309403 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2309406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2309420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309425 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309437 */   // GIR_Coverage, 47063,
     /* 2309437 */   GIR_EraseRootFromParent_Done,
     /* 2309438 */ // Label 27704: @2309438
     /* 2309438 */ GIM_Reject,
     /* 2309439 */ // Label 27674: @2309439
     /* 2309439 */ GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2309493), // Rule ID 47016 //
     /* 2309444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2309447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2309450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309458 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309458 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309461 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309465 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309470 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2309475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309477 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309480 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309492 */   // GIR_Coverage, 47016,
     /* 2309492 */   GIR_EraseRootFromParent_Done,
     /* 2309493 */ // Label 27705: @2309493
     /* 2309493 */ GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2309547), // Rule ID 47017 //
     /* 2309498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2309501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2309504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309512 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309512 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309515 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309519 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2309529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309534 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309545 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309546 */   // GIR_Coverage, 47017,
     /* 2309546 */   GIR_EraseRootFromParent_Done,
     /* 2309547 */ // Label 27706: @2309547
     /* 2309547 */ GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2309601), // Rule ID 47082 //
     /* 2309552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2309555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2309558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309566 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2309583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309600 */   // GIR_Coverage, 47082,
     /* 2309600 */   GIR_EraseRootFromParent_Done,
     /* 2309601 */ // Label 27707: @2309601
     /* 2309601 */ GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2309655), // Rule ID 47083 //
     /* 2309606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2309609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2309612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309620 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2309637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309654 */   // GIR_Coverage, 47083,
     /* 2309654 */   GIR_EraseRootFromParent_Done,
     /* 2309655 */ // Label 27708: @2309655
     /* 2309655 */ GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2309709), // Rule ID 47116 //
     /* 2309660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2309663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2309666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309674 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2309691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309708 */   // GIR_Coverage, 47116,
     /* 2309708 */   GIR_EraseRootFromParent_Done,
     /* 2309709 */ // Label 27709: @2309709
     /* 2309709 */ GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2309763), // Rule ID 47117 //
     /* 2309714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2309717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2309720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309728 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2309731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2309745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2309758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309762 */   // GIR_Coverage, 47117,
     /* 2309762 */   GIR_EraseRootFromParent_Done,
     /* 2309763 */ // Label 27710: @2309763
     /* 2309763 */ GIM_Reject,
     /* 2309764 */ // Label 27675: @2309764
     /* 2309764 */ GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2309867),
     /* 2309769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2309772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309780 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2309823), // Rule ID 46976 //
     /* 2309785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309788 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2309791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2309805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309822 */     // GIR_Coverage, 46976,
     /* 2309822 */     GIR_EraseRootFromParent_Done,
     /* 2309823 */   // Label 27712: @2309823
     /* 2309823 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2309866), // Rule ID 46977 //
     /* 2309828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309831 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2309834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2309848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2309861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309865 */     // GIR_Coverage, 46977,
     /* 2309865 */     GIR_EraseRootFromParent_Done,
     /* 2309866 */   // Label 27713: @2309866
     /* 2309866 */   GIM_Reject,
     /* 2309867 */ // Label 27711: @2309867
     /* 2309867 */ GIM_Reject,
     /* 2309868 */ // Label 27676: @2309868
     /* 2309868 */ GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2309922), // Rule ID 47000 //
     /* 2309873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2309879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309887 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309887 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2309890 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309894 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309899 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2309904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309906 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309909 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309921 */   // GIR_Coverage, 47000,
     /* 2309921 */   GIR_EraseRootFromParent_Done,
     /* 2309922 */ // Label 27714: @2309922
     /* 2309922 */ GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2309976), // Rule ID 47001 //
     /* 2309927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2309930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2309933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309937 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309941 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2309941 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2309944 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2309948 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2309953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2309955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2309958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2309963 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2309968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2309971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2309974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2309975 */   // GIR_Coverage, 47001,
     /* 2309975 */   GIR_EraseRootFromParent_Done,
     /* 2309976 */ // Label 27715: @2309976
     /* 2309976 */ GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2310030), // Rule ID 47066 //
     /* 2309981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2309984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2309987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2309991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2309995 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2309995 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2309998 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310002 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310007 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2310012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310014 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310029 */   // GIR_Coverage, 47066,
     /* 2310029 */   GIR_EraseRootFromParent_Done,
     /* 2310030 */ // Label 27716: @2310030
     /* 2310030 */ GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2310084), // Rule ID 47067 //
     /* 2310035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2310041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310049 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2310052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2310066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310068 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310083 */   // GIR_Coverage, 47067,
     /* 2310083 */   GIR_EraseRootFromParent_Done,
     /* 2310084 */ // Label 27717: @2310084
     /* 2310084 */ GIM_Reject,
     /* 2310085 */ // Label 27677: @2310085
     /* 2310085 */ GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2310139), // Rule ID 47020 //
     /* 2310090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310104 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310104 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310107 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310111 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310116 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2310121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310123 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310126 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310137 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310138 */   // GIR_Coverage, 47020,
     /* 2310138 */   GIR_EraseRootFromParent_Done,
     /* 2310139 */ // Label 27718: @2310139
     /* 2310139 */ GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2310193), // Rule ID 47021 //
     /* 2310144 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2310147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2310150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310158 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310158 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310161 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310165 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310170 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2310175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310177 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310180 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310192 */   // GIR_Coverage, 47021,
     /* 2310192 */   GIR_EraseRootFromParent_Done,
     /* 2310193 */ // Label 27719: @2310193
     /* 2310193 */ GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2310247), // Rule ID 47086 //
     /* 2310198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2310204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310212 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2310229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310246 */   // GIR_Coverage, 47086,
     /* 2310246 */   GIR_EraseRootFromParent_Done,
     /* 2310247 */ // Label 27720: @2310247
     /* 2310247 */ GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2310301), // Rule ID 47087 //
     /* 2310252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2310255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2310258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310266 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2310283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310300 */   // GIR_Coverage, 47087,
     /* 2310300 */   GIR_EraseRootFromParent_Done,
     /* 2310301 */ // Label 27721: @2310301
     /* 2310301 */ GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2310355), // Rule ID 47120 //
     /* 2310306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2310312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310320 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2310337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310354 */   // GIR_Coverage, 47120,
     /* 2310354 */   GIR_EraseRootFromParent_Done,
     /* 2310355 */ // Label 27722: @2310355
     /* 2310355 */ GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2310409), // Rule ID 47121 //
     /* 2310360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2310363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2310366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310374 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2310377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2310391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310408 */   // GIR_Coverage, 47121,
     /* 2310408 */   GIR_EraseRootFromParent_Done,
     /* 2310409 */ // Label 27723: @2310409
     /* 2310409 */ GIM_Reject,
     /* 2310410 */ // Label 27678: @2310410
     /* 2310410 */ GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2310513),
     /* 2310415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2310418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310426 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2310469), // Rule ID 46980 //
     /* 2310431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310434 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2310451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310468 */     // GIR_Coverage, 46980,
     /* 2310468 */     GIR_EraseRootFromParent_Done,
     /* 2310469 */   // Label 27725: @2310469
     /* 2310469 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2310512), // Rule ID 46981 //
     /* 2310474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310477 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2310480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2310494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2310507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310511 */     // GIR_Coverage, 46981,
     /* 2310511 */     GIR_EraseRootFromParent_Done,
     /* 2310512 */   // Label 27726: @2310512
     /* 2310512 */   GIM_Reject,
     /* 2310513 */ // Label 27724: @2310513
     /* 2310513 */ GIM_Reject,
     /* 2310514 */ // Label 27679: @2310514
     /* 2310514 */ GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2310568), // Rule ID 47004 //
     /* 2310519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310533 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310533 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310536 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310540 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2310550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310567 */   // GIR_Coverage, 47004,
     /* 2310567 */   GIR_EraseRootFromParent_Done,
     /* 2310568 */ // Label 27727: @2310568
     /* 2310568 */ GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2310622), // Rule ID 47005 //
     /* 2310573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310587 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2310604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310609 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310621 */   // GIR_Coverage, 47005,
     /* 2310621 */   GIR_EraseRootFromParent_Done,
     /* 2310622 */ // Label 27728: @2310622
     /* 2310622 */ GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2310676), // Rule ID 47070 //
     /* 2310627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2310630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2310633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310641 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2310658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310675 */   // GIR_Coverage, 47070,
     /* 2310675 */   GIR_EraseRootFromParent_Done,
     /* 2310676 */ // Label 27729: @2310676
     /* 2310676 */ GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2310730), // Rule ID 47071 //
     /* 2310681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2310684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2310687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310695 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2310698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2310712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2310725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310729 */   // GIR_Coverage, 47071,
     /* 2310729 */   GIR_EraseRootFromParent_Done,
     /* 2310730 */ // Label 27730: @2310730
     /* 2310730 */ GIM_Reject,
     /* 2310731 */ // Label 27680: @2310731
     /* 2310731 */ GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2310785), // Rule ID 47024 //
     /* 2310736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310750 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2310767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310784 */   // GIR_Coverage, 47024,
     /* 2310784 */   GIR_EraseRootFromParent_Done,
     /* 2310785 */ // Label 27731: @2310785
     /* 2310785 */ GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2310839), // Rule ID 47025 //
     /* 2310790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2310793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2310796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2310804 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2310821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310838 */   // GIR_Coverage, 47025,
     /* 2310838 */   GIR_EraseRootFromParent_Done,
     /* 2310839 */ // Label 27732: @2310839
     /* 2310839 */ GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2310893), // Rule ID 47090 //
     /* 2310844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310858 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310858 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310861 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310865 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2310875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310892 */   // GIR_Coverage, 47090,
     /* 2310892 */   GIR_EraseRootFromParent_Done,
     /* 2310893 */ // Label 27733: @2310893
     /* 2310893 */ GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2310947), // Rule ID 47091 //
     /* 2310898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2310901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2310904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2310912 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2310912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2310929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310931 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2310946 */   // GIR_Coverage, 47091,
     /* 2310946 */   GIR_EraseRootFromParent_Done,
     /* 2310947 */ // Label 27734: @2310947
     /* 2310947 */ GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2311001), // Rule ID 47124 //
     /* 2310952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2310955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2310958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2310962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2310966 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2310966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2310969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2310973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2310978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2310980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2310983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2310988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2310993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2310996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2310999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311000 */   // GIR_Coverage, 47124,
     /* 2311000 */   GIR_EraseRootFromParent_Done,
     /* 2311001 */ // Label 27735: @2311001
     /* 2311001 */ GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2311055), // Rule ID 47125 //
     /* 2311006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2311009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2311012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311020 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311020 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2311023 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311027 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311032 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2311037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311039 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311042 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2311050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311054 */   // GIR_Coverage, 47125,
     /* 2311054 */   GIR_EraseRootFromParent_Done,
     /* 2311055 */ // Label 27736: @2311055
     /* 2311055 */ GIM_Reject,
     /* 2311056 */ // Label 27681: @2311056
     /* 2311056 */ GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2311159),
     /* 2311061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2311064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311072 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2311115), // Rule ID 46984 //
     /* 2311077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311080 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2311097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311114 */     // GIR_Coverage, 46984,
     /* 2311114 */     GIR_EraseRootFromParent_Done,
     /* 2311115 */   // Label 27738: @2311115
     /* 2311115 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2311158), // Rule ID 46985 //
     /* 2311120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311123 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2311126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2311140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311157 */     // GIR_Coverage, 46985,
     /* 2311157 */     GIR_EraseRootFromParent_Done,
     /* 2311158 */   // Label 27739: @2311158
     /* 2311158 */   GIM_Reject,
     /* 2311159 */ // Label 27737: @2311159
     /* 2311159 */ GIM_Reject,
     /* 2311160 */ // Label 27682: @2311160
     /* 2311160 */ GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2311214), // Rule ID 47008 //
     /* 2311165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311179 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2311196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311213 */   // GIR_Coverage, 47008,
     /* 2311213 */   GIR_EraseRootFromParent_Done,
     /* 2311214 */ // Label 27740: @2311214
     /* 2311214 */ GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2311268), // Rule ID 47009 //
     /* 2311219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2311225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311233 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2311250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311252 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311267 */   // GIR_Coverage, 47009,
     /* 2311267 */   GIR_EraseRootFromParent_Done,
     /* 2311268 */ // Label 27741: @2311268
     /* 2311268 */ GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2311322), // Rule ID 47074 //
     /* 2311273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2311279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311287 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2311304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311321 */   // GIR_Coverage, 47074,
     /* 2311321 */   GIR_EraseRootFromParent_Done,
     /* 2311322 */ // Label 27742: @2311322
     /* 2311322 */ GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2311376), // Rule ID 47075 //
     /* 2311327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2311333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2311341 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2311344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2311358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2311371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311375 */   // GIR_Coverage, 47075,
     /* 2311375 */   GIR_EraseRootFromParent_Done,
     /* 2311376 */ // Label 27743: @2311376
     /* 2311376 */ GIM_Reject,
     /* 2311377 */ // Label 27683: @2311377
     /* 2311377 */ GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2311480),
     /* 2311382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2311385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2311389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2311393 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2311436), // Rule ID 46988 //
     /* 2311398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311401 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2311404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2311418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311435 */     // GIR_Coverage, 46988,
     /* 2311435 */     GIR_EraseRootFromParent_Done,
     /* 2311436 */   // Label 27745: @2311436
     /* 2311436 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2311479), // Rule ID 46989 //
     /* 2311441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2311444 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2311444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2311447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2311461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2311477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311478 */     // GIR_Coverage, 46989,
     /* 2311478 */     GIR_EraseRootFromParent_Done,
     /* 2311479 */   // Label 27746: @2311479
     /* 2311479 */   GIM_Reject,
     /* 2311480 */ // Label 27744: @2311480
     /* 2311480 */ GIM_Reject,
     /* 2311481 */ // Label 27684: @2311481
     /* 2311481 */ GIM_Reject,
     /* 2311482 */ // Label 40: @2311482
     /* 2311482 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 27764*/ GIMT_Encode4(2314956),
     /* 2311493 */ /*GILLT_s32*//*Label 27747*/ GIMT_Encode4(2311609),
     /* 2311497 */ /*GILLT_s64*//*Label 27748*/ GIMT_Encode4(2311783), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311509 */ /*GILLT_nxv1s16*//*Label 27749*/ GIMT_Encode4(2311947),
     /* 2311513 */ /*GILLT_nxv1s32*//*Label 27750*/ GIMT_Encode4(2312051),
     /* 2311517 */ /*GILLT_nxv1s64*//*Label 27751*/ GIMT_Encode4(2312268), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311529 */ /*GILLT_nxv2s16*//*Label 27752*/ GIMT_Encode4(2312593),
     /* 2311533 */ /*GILLT_nxv2s32*//*Label 27753*/ GIMT_Encode4(2312697),
     /* 2311537 */ /*GILLT_nxv2s64*//*Label 27754*/ GIMT_Encode4(2312914), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311549 */ /*GILLT_nxv4s16*//*Label 27755*/ GIMT_Encode4(2313239),
     /* 2311553 */ /*GILLT_nxv4s32*//*Label 27756*/ GIMT_Encode4(2313343),
     /* 2311557 */ /*GILLT_nxv4s64*//*Label 27757*/ GIMT_Encode4(2313560), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311569 */ /*GILLT_nxv8s16*//*Label 27758*/ GIMT_Encode4(2313885),
     /* 2311573 */ /*GILLT_nxv8s32*//*Label 27759*/ GIMT_Encode4(2313989),
     /* 2311577 */ /*GILLT_nxv8s64*//*Label 27760*/ GIMT_Encode4(2314206), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311589 */ /*GILLT_nxv16s16*//*Label 27761*/ GIMT_Encode4(2314531),
     /* 2311593 */ /*GILLT_nxv16s32*//*Label 27762*/ GIMT_Encode4(2314635), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2311605 */ /*GILLT_nxv32s16*//*Label 27763*/ GIMT_Encode4(2314852),
     /* 2311609 */ // Label 27747: @2311609
     /* 2311609 */ GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2311782),
     /* 2311614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311625 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2311667), // Rule ID 64001 //
     /* 2311630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2311633 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2311633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2311636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2311640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311645 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2311649 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2311652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2311657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2311665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311666 */     // GIR_Coverage, 64001,
     /* 2311666 */     GIR_EraseRootFromParent_Done,
     /* 2311667 */   // Label 27766: @2311667
     /* 2311667 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2311709), // Rule ID 64003 //
     /* 2311672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2311675 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2311675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2311678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2311682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2311691 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2311694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2311699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2311707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311708 */     // GIR_Coverage, 64003,
     /* 2311708 */     GIR_EraseRootFromParent_Done,
     /* 2311709 */   // Label 27767: @2311709
     /* 2311709 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2311751), // Rule ID 64004 //
     /* 2311714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2311717 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2311717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2311720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2311724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311729 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2311733 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2311736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2311741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2311749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311750 */     // GIR_Coverage, 64004,
     /* 2311750 */     GIR_EraseRootFromParent_Done,
     /* 2311751 */   // Label 27768: @2311751
     /* 2311751 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2311766), // Rule ID 64006 //
     /* 2311756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2311759 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2311759 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2311764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311765 */     // GIR_Coverage, 64006,
     /* 2311765 */     GIR_Done,
     /* 2311766 */   // Label 27769: @2311766
     /* 2311766 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2311781), // Rule ID 64007 //
     /* 2311771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2311774 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2311774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2311779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311780 */     // GIR_Coverage, 64007,
     /* 2311780 */     GIR_Done,
     /* 2311781 */   // Label 27770: @2311781
     /* 2311781 */   GIM_Reject,
     /* 2311782 */ // Label 27765: @2311782
     /* 2311782 */ GIM_Reject,
     /* 2311783 */ // Label 27748: @2311783
     /* 2311783 */ GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2311814), // Rule ID 63991 //
     /* 2311788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2311791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2311794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311802 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2311802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2311805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311807 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2311809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2311812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311813 */   // GIR_Coverage, 63991,
     /* 2311813 */   GIR_EraseRootFromParent_Done,
     /* 2311814 */ // Label 27771: @2311814
     /* 2311814 */ GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2311867), // Rule ID 64000 //
     /* 2311819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2311822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311833 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2311833 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2311836 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2311840 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311845 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2311849 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2311852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2311857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2311865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311866 */   // GIR_Coverage, 64000,
     /* 2311866 */   GIR_EraseRootFromParent_Done,
     /* 2311867 */ // Label 27772: @2311867
     /* 2311867 */ GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2311920), // Rule ID 64002 //
     /* 2311872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2311875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311886 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2311886 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2311889 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2311893 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311898 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2311902 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2311905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2311910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2311918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311919 */   // GIR_Coverage, 64002,
     /* 2311919 */   GIR_EraseRootFromParent_Done,
     /* 2311920 */ // Label 27773: @2311920
     /* 2311920 */ GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2311946), // Rule ID 64008 //
     /* 2311925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2311928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2311931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311939 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2311939 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2311944 */   GIR_RootConstrainSelectedInstOperands,
     /* 2311945 */   // GIR_Coverage, 64008,
     /* 2311945 */   GIR_Done,
     /* 2311946 */ // Label 27774: @2311946
     /* 2311946 */ GIM_Reject,
     /* 2311947 */ // Label 27749: @2311947
     /* 2311947 */ GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2312050),
     /* 2311952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2311955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311963 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2312006), // Rule ID 47026 //
     /* 2311968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2311971 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2311971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2311974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2311978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2311983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2311985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2311988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2311993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2311995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312005 */     // GIR_Coverage, 47026,
     /* 2312005 */     GIR_EraseRootFromParent_Done,
     /* 2312006 */   // Label 27776: @2312006
     /* 2312006 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2312049), // Rule ID 47027 //
     /* 2312011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312014 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2312017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2312031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312048 */     // GIR_Coverage, 47027,
     /* 2312048 */     GIR_EraseRootFromParent_Done,
     /* 2312049 */   // Label 27777: @2312049
     /* 2312049 */   GIM_Reject,
     /* 2312050 */ // Label 27775: @2312050
     /* 2312050 */ GIM_Reject,
     /* 2312051 */ // Label 27750: @2312051
     /* 2312051 */ GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2312105), // Rule ID 47038 //
     /* 2312056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312070 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2312087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312104 */   // GIR_Coverage, 47038,
     /* 2312104 */   GIR_EraseRootFromParent_Done,
     /* 2312105 */ // Label 27778: @2312105
     /* 2312105 */ GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2312159), // Rule ID 47039 //
     /* 2312110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312124 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312124 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312127 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312131 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312136 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2312141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312143 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312146 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312158 */   // GIR_Coverage, 47039,
     /* 2312158 */   GIR_EraseRootFromParent_Done,
     /* 2312159 */ // Label 27779: @2312159
     /* 2312159 */ GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2312213), // Rule ID 47092 //
     /* 2312164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2312170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312178 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312190 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2312195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312197 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312200 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312212 */   // GIR_Coverage, 47092,
     /* 2312212 */   GIR_EraseRootFromParent_Done,
     /* 2312213 */ // Label 27780: @2312213
     /* 2312213 */ GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2312267), // Rule ID 47093 //
     /* 2312218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2312224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312232 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312232 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2312235 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312239 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312244 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2312249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312251 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312254 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312266 */   // GIR_Coverage, 47093,
     /* 2312266 */   GIR_EraseRootFromParent_Done,
     /* 2312267 */ // Label 27781: @2312267
     /* 2312267 */ GIM_Reject,
     /* 2312268 */ // Label 27751: @2312268
     /* 2312268 */ GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2312322), // Rule ID 47048 //
     /* 2312273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2312276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312287 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2312304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312321 */   // GIR_Coverage, 47048,
     /* 2312321 */   GIR_EraseRootFromParent_Done,
     /* 2312322 */ // Label 27782: @2312322
     /* 2312322 */ GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2312376), // Rule ID 47049 //
     /* 2312327 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2312330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312341 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312341 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312344 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312348 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312353 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2312358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312360 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312363 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312375 */   // GIR_Coverage, 47049,
     /* 2312375 */   GIR_EraseRootFromParent_Done,
     /* 2312376 */ // Label 27783: @2312376
     /* 2312376 */ GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2312430), // Rule ID 47102 //
     /* 2312381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2312384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312395 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312395 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312398 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312402 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312407 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312409 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2312412 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312414 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312417 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312429 */   // GIR_Coverage, 47102,
     /* 2312429 */   GIR_EraseRootFromParent_Done,
     /* 2312430 */ // Label 27784: @2312430
     /* 2312430 */ GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2312484), // Rule ID 47103 //
     /* 2312435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2312438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2312441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312449 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312449 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312452 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312456 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312461 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2312466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312468 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312471 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312483 */   // GIR_Coverage, 47103,
     /* 2312483 */   GIR_EraseRootFromParent_Done,
     /* 2312484 */ // Label 27785: @2312484
     /* 2312484 */ GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2312538), // Rule ID 47126 //
     /* 2312489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2312492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2312495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312503 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312503 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312506 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312510 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312515 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2312520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312522 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312525 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312537 */   // GIR_Coverage, 47126,
     /* 2312537 */   GIR_EraseRootFromParent_Done,
     /* 2312538 */ // Label 27786: @2312538
     /* 2312538 */ GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2312592), // Rule ID 47127 //
     /* 2312543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2312546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2312549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312557 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2312560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2312574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312591 */   // GIR_Coverage, 47127,
     /* 2312591 */   GIR_EraseRootFromParent_Done,
     /* 2312592 */ // Label 27787: @2312592
     /* 2312592 */ GIM_Reject,
     /* 2312593 */ // Label 27752: @2312593
     /* 2312593 */ GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2312696),
     /* 2312598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2312601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312609 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2312652), // Rule ID 47028 //
     /* 2312614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312617 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2312634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312651 */     // GIR_Coverage, 47028,
     /* 2312651 */     GIR_EraseRootFromParent_Done,
     /* 2312652 */   // Label 27789: @2312652
     /* 2312652 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2312695), // Rule ID 47029 //
     /* 2312657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312660 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2312663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2312677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2312690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312694 */     // GIR_Coverage, 47029,
     /* 2312694 */     GIR_EraseRootFromParent_Done,
     /* 2312695 */   // Label 27790: @2312695
     /* 2312695 */   GIM_Reject,
     /* 2312696 */ // Label 27788: @2312696
     /* 2312696 */ GIM_Reject,
     /* 2312697 */ // Label 27753: @2312697
     /* 2312697 */ GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2312751), // Rule ID 47040 //
     /* 2312702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312716 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2312733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312750 */   // GIR_Coverage, 47040,
     /* 2312750 */   GIR_EraseRootFromParent_Done,
     /* 2312751 */ // Label 27791: @2312751
     /* 2312751 */ GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2312805), // Rule ID 47041 //
     /* 2312756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2312762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312770 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312770 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312773 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312777 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312782 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2312787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312789 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312792 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312804 */   // GIR_Coverage, 47041,
     /* 2312804 */   GIR_EraseRootFromParent_Done,
     /* 2312805 */ // Label 27792: @2312805
     /* 2312805 */ GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2312859), // Rule ID 47094 //
     /* 2312810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2312813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2312816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312824 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312824 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312827 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312831 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312836 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2312841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312843 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312846 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312858 */   // GIR_Coverage, 47094,
     /* 2312858 */   GIR_EraseRootFromParent_Done,
     /* 2312859 */ // Label 27793: @2312859
     /* 2312859 */ GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2312913), // Rule ID 47095 //
     /* 2312864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2312867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2312870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312878 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312878 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2312881 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312885 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312890 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2312895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312897 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312900 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312912 */   // GIR_Coverage, 47095,
     /* 2312912 */   GIR_EraseRootFromParent_Done,
     /* 2312913 */ // Label 27794: @2312913
     /* 2312913 */ GIM_Reject,
     /* 2312914 */ // Label 27754: @2312914
     /* 2312914 */ GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2312968), // Rule ID 47050 //
     /* 2312919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2312922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312933 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2312933 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312936 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312940 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312945 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2312947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2312950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312952 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2312955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2312957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2312966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2312967 */   // GIR_Coverage, 47050,
     /* 2312967 */   GIR_EraseRootFromParent_Done,
     /* 2312968 */ // Label 27795: @2312968
     /* 2312968 */ GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2313022), // Rule ID 47051 //
     /* 2312973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2312976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2312979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2312983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312987 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2312987 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2312990 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2312994 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2312999 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2313004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313006 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313021 */   // GIR_Coverage, 47051,
     /* 2313021 */   GIR_EraseRootFromParent_Done,
     /* 2313022 */ // Label 27796: @2313022
     /* 2313022 */ GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2313076), // Rule ID 47104 //
     /* 2313027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2313030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313041 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313041 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313044 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313048 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2313058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313063 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313075 */   // GIR_Coverage, 47104,
     /* 2313075 */   GIR_EraseRootFromParent_Done,
     /* 2313076 */ // Label 27797: @2313076
     /* 2313076 */ GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2313130), // Rule ID 47105 //
     /* 2313081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2313084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313095 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313095 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313098 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313102 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313107 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2313112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313114 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313129 */   // GIR_Coverage, 47105,
     /* 2313129 */   GIR_EraseRootFromParent_Done,
     /* 2313130 */ // Label 27798: @2313130
     /* 2313130 */ GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2313184), // Rule ID 47128 //
     /* 2313135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2313138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2313141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313149 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313149 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313152 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313156 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313161 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2313166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313168 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313183 */   // GIR_Coverage, 47128,
     /* 2313183 */   GIR_EraseRootFromParent_Done,
     /* 2313184 */ // Label 27799: @2313184
     /* 2313184 */ GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2313238), // Rule ID 47129 //
     /* 2313189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2313192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2313195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313203 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313203 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2313206 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313210 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2313220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313225 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313237 */   // GIR_Coverage, 47129,
     /* 2313237 */   GIR_EraseRootFromParent_Done,
     /* 2313238 */ // Label 27800: @2313238
     /* 2313238 */ GIM_Reject,
     /* 2313239 */ // Label 27755: @2313239
     /* 2313239 */ GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2313342),
     /* 2313244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2313247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313255 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2313298), // Rule ID 47030 //
     /* 2313260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313263 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2313280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313297 */     // GIR_Coverage, 47030,
     /* 2313297 */     GIR_EraseRootFromParent_Done,
     /* 2313298 */   // Label 27802: @2313298
     /* 2313298 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2313341), // Rule ID 47031 //
     /* 2313303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313306 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2313309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2313323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313340 */     // GIR_Coverage, 47031,
     /* 2313340 */     GIR_EraseRootFromParent_Done,
     /* 2313341 */   // Label 27803: @2313341
     /* 2313341 */   GIM_Reject,
     /* 2313342 */ // Label 27801: @2313342
     /* 2313342 */ GIM_Reject,
     /* 2313343 */ // Label 27756: @2313343
     /* 2313343 */ GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2313397), // Rule ID 47042 //
     /* 2313348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313362 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2313379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313396 */   // GIR_Coverage, 47042,
     /* 2313396 */   GIR_EraseRootFromParent_Done,
     /* 2313397 */ // Label 27804: @2313397
     /* 2313397 */ GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2313451), // Rule ID 47043 //
     /* 2313402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313416 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2313433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313450 */   // GIR_Coverage, 47043,
     /* 2313450 */   GIR_EraseRootFromParent_Done,
     /* 2313451 */ // Label 27805: @2313451
     /* 2313451 */ GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2313505), // Rule ID 47096 //
     /* 2313456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2313462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313470 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2313487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313504 */   // GIR_Coverage, 47096,
     /* 2313504 */   GIR_EraseRootFromParent_Done,
     /* 2313505 */ // Label 27806: @2313505
     /* 2313505 */ GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2313559), // Rule ID 47097 //
     /* 2313510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2313516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313524 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2313527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2313541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2313554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313558 */   // GIR_Coverage, 47097,
     /* 2313558 */   GIR_EraseRootFromParent_Done,
     /* 2313559 */ // Label 27807: @2313559
     /* 2313559 */ GIM_Reject,
     /* 2313560 */ // Label 27757: @2313560
     /* 2313560 */ GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2313614), // Rule ID 47052 //
     /* 2313565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2313568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313579 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2313596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313613 */   // GIR_Coverage, 47052,
     /* 2313613 */   GIR_EraseRootFromParent_Done,
     /* 2313614 */ // Label 27808: @2313614
     /* 2313614 */ GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2313668), // Rule ID 47053 //
     /* 2313619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2313622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2313625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313633 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313633 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313636 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313640 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313645 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2313650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313652 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313655 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313667 */   // GIR_Coverage, 47053,
     /* 2313667 */   GIR_EraseRootFromParent_Done,
     /* 2313668 */ // Label 27809: @2313668
     /* 2313668 */ GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2313722), // Rule ID 47106 //
     /* 2313673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2313676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313687 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313699 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2313704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313706 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313709 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313721 */   // GIR_Coverage, 47106,
     /* 2313721 */   GIR_EraseRootFromParent_Done,
     /* 2313722 */ // Label 27810: @2313722
     /* 2313722 */ GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2313776), // Rule ID 47107 //
     /* 2313727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2313730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2313733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313741 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313741 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313744 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313748 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313753 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2313758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313760 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313763 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313775 */   // GIR_Coverage, 47107,
     /* 2313775 */   GIR_EraseRootFromParent_Done,
     /* 2313776 */ // Label 27811: @2313776
     /* 2313776 */ GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2313830), // Rule ID 47130 //
     /* 2313781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2313784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2313787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313795 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313795 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313798 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313802 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313807 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2313812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313814 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313817 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313829 */   // GIR_Coverage, 47130,
     /* 2313829 */   GIR_EraseRootFromParent_Done,
     /* 2313830 */ // Label 27812: @2313830
     /* 2313830 */ GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2313884), // Rule ID 47131 //
     /* 2313835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2313838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2313841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2313845 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313849 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313849 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2313852 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313856 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313861 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2313866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313868 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313871 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2313883 */   // GIR_Coverage, 47131,
     /* 2313883 */   GIR_EraseRootFromParent_Done,
     /* 2313884 */ // Label 27813: @2313884
     /* 2313884 */ GIM_Reject,
     /* 2313885 */ // Label 27758: @2313885
     /* 2313885 */ GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2313988),
     /* 2313890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2313893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2313897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313901 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2313944), // Rule ID 47032 //
     /* 2313906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313909 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2313909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2313912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2313926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313943 */     // GIR_Coverage, 47032,
     /* 2313943 */     GIR_EraseRootFromParent_Done,
     /* 2313944 */   // Label 27815: @2313944
     /* 2313944 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2313987), // Rule ID 47033 //
     /* 2313949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2313952 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2313952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2313955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2313959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2313964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2313966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2313969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2313974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2313976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2313985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313986 */     // GIR_Coverage, 47033,
     /* 2313986 */     GIR_EraseRootFromParent_Done,
     /* 2313987 */   // Label 27816: @2313987
     /* 2313987 */   GIM_Reject,
     /* 2313988 */ // Label 27814: @2313988
     /* 2313988 */ GIM_Reject,
     /* 2313989 */ // Label 27759: @2313989
     /* 2313989 */ GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2314043), // Rule ID 47044 //
     /* 2313994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2313997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314008 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2314025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314042 */   // GIR_Coverage, 47044,
     /* 2314042 */   GIR_EraseRootFromParent_Done,
     /* 2314043 */ // Label 27817: @2314043
     /* 2314043 */ GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2314097), // Rule ID 47045 //
     /* 2314048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314062 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2314079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314096 */   // GIR_Coverage, 47045,
     /* 2314096 */   GIR_EraseRootFromParent_Done,
     /* 2314097 */ // Label 27818: @2314097
     /* 2314097 */ GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2314151), // Rule ID 47098 //
     /* 2314102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2314108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314116 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2314133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314150 */   // GIR_Coverage, 47098,
     /* 2314150 */   GIR_EraseRootFromParent_Done,
     /* 2314151 */ // Label 27819: @2314151
     /* 2314151 */ GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2314205), // Rule ID 47099 //
     /* 2314156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2314162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314170 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2314173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2314187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314204 */   // GIR_Coverage, 47099,
     /* 2314204 */   GIR_EraseRootFromParent_Done,
     /* 2314205 */ // Label 27820: @2314205
     /* 2314205 */ GIM_Reject,
     /* 2314206 */ // Label 27760: @2314206
     /* 2314206 */ GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2314260), // Rule ID 47054 //
     /* 2314211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2314214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314225 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314259 */   // GIR_Coverage, 47054,
     /* 2314259 */   GIR_EraseRootFromParent_Done,
     /* 2314260 */ // Label 27821: @2314260
     /* 2314260 */ GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2314314), // Rule ID 47055 //
     /* 2314265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2314268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2314271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314279 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314313 */   // GIR_Coverage, 47055,
     /* 2314313 */   GIR_EraseRootFromParent_Done,
     /* 2314314 */ // Label 27822: @2314314
     /* 2314314 */ GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2314368), // Rule ID 47108 //
     /* 2314319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2314322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314333 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2314350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314367 */   // GIR_Coverage, 47108,
     /* 2314367 */   GIR_EraseRootFromParent_Done,
     /* 2314368 */ // Label 27823: @2314368
     /* 2314368 */ GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2314422), // Rule ID 47109 //
     /* 2314373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2314376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2314379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314387 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2314404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314421 */   // GIR_Coverage, 47109,
     /* 2314421 */   GIR_EraseRootFromParent_Done,
     /* 2314422 */ // Label 27824: @2314422
     /* 2314422 */ GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2314476), // Rule ID 47132 //
     /* 2314427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2314430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2314433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314441 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2314458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314475 */   // GIR_Coverage, 47132,
     /* 2314475 */   GIR_EraseRootFromParent_Done,
     /* 2314476 */ // Label 27825: @2314476
     /* 2314476 */ GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2314530), // Rule ID 47133 //
     /* 2314481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2314484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2314487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314495 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314495 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2314498 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314502 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314507 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2314512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314517 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2314525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314529 */   // GIR_Coverage, 47133,
     /* 2314529 */   GIR_EraseRootFromParent_Done,
     /* 2314530 */ // Label 27826: @2314530
     /* 2314530 */ GIM_Reject,
     /* 2314531 */ // Label 27761: @2314531
     /* 2314531 */ GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2314634),
     /* 2314536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2314539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314547 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2314590), // Rule ID 47034 //
     /* 2314552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314555 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2314558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2314572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314589 */     // GIR_Coverage, 47034,
     /* 2314589 */     GIR_EraseRootFromParent_Done,
     /* 2314590 */   // Label 27828: @2314590
     /* 2314590 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2314633), // Rule ID 47035 //
     /* 2314595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314598 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2314601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2314615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314632 */     // GIR_Coverage, 47035,
     /* 2314632 */     GIR_EraseRootFromParent_Done,
     /* 2314633 */   // Label 27829: @2314633
     /* 2314633 */   GIM_Reject,
     /* 2314634 */ // Label 27827: @2314634
     /* 2314634 */ GIM_Reject,
     /* 2314635 */ // Label 27762: @2314635
     /* 2314635 */ GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2314689), // Rule ID 47046 //
     /* 2314640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2314646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314654 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2314657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314688 */   // GIR_Coverage, 47046,
     /* 2314688 */   GIR_EraseRootFromParent_Done,
     /* 2314689 */ // Label 27830: @2314689
     /* 2314689 */ GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2314743), // Rule ID 47047 //
     /* 2314694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2314700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314708 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2314711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314742 */   // GIR_Coverage, 47047,
     /* 2314742 */   GIR_EraseRootFromParent_Done,
     /* 2314743 */ // Label 27831: @2314743
     /* 2314743 */ GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2314797), // Rule ID 47100 //
     /* 2314748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2314754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314762 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2314765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2314779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314796 */   // GIR_Coverage, 47100,
     /* 2314796 */   GIR_EraseRootFromParent_Done,
     /* 2314797 */ // Label 27832: @2314797
     /* 2314797 */ GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2314851), // Rule ID 47101 //
     /* 2314802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2314808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2314816 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314816 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2314819 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314823 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314828 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2314833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314835 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314838 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314849 */   GIR_RootConstrainSelectedInstOperands,
     /* 2314850 */   // GIR_Coverage, 47101,
     /* 2314850 */   GIR_EraseRootFromParent_Done,
     /* 2314851 */ // Label 27833: @2314851
     /* 2314851 */ GIM_Reject,
     /* 2314852 */ // Label 27763: @2314852
     /* 2314852 */ GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2314955),
     /* 2314857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2314860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2314864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2314868 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2314911), // Rule ID 47036 //
     /* 2314873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2314876 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2314876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2314879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314910 */     // GIR_Coverage, 47036,
     /* 2314910 */     GIR_EraseRootFromParent_Done,
     /* 2314911 */   // Label 27835: @2314911
     /* 2314911 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2314954), // Rule ID 47037 //
     /* 2314916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2314919 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2314919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2314922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2314926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2314931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2314933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2314936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2314941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2314943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2314952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314953 */     // GIR_Coverage, 47037,
     /* 2314953 */     GIR_EraseRootFromParent_Done,
     /* 2314954 */   // Label 27836: @2314954
     /* 2314954 */   GIM_Reject,
     /* 2314955 */ // Label 27834: @2314955
     /* 2314955 */ GIM_Reject,
     /* 2314956 */ // Label 27764: @2314956
     /* 2314956 */ GIM_Reject,
     /* 2314957 */ // Label 41: @2314957
     /* 2314957 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 27839*/ GIMT_Encode4(2315505),
     /* 2314968 */ /*GILLT_s32*//*Label 27837*/ GIMT_Encode4(2314976),
     /* 2314972 */ /*GILLT_s64*//*Label 27838*/ GIMT_Encode4(2315208),
     /* 2314976 */ // Label 27837: @2314976
     /* 2314976 */ GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2315207),
     /* 2314981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2314984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2314992 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2315020), // Rule ID 63811 //
     /* 2314997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2315000 */     // MIs[0] Operand 2
     /* 2315000 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315011 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2315011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2315014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315019 */     // GIR_Coverage, 63811,
     /* 2315019 */     GIR_EraseRootFromParent_Done,
     /* 2315020 */   // Label 27841: @2315020
     /* 2315020 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2315048), // Rule ID 63813 //
     /* 2315025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2315028 */     // MIs[0] Operand 2
     /* 2315028 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315039 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2315039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2315042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315047 */     // GIR_Coverage, 63813,
     /* 2315047 */     GIR_EraseRootFromParent_Done,
     /* 2315048 */   // Label 27842: @2315048
     /* 2315048 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2315076), // Rule ID 2383 //
     /* 2315053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2315056 */     // MIs[0] Operand 2
     /* 2315056 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315067 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2315067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2315070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315075 */     // GIR_Coverage, 2383,
     /* 2315075 */     GIR_EraseRootFromParent_Done,
     /* 2315076 */   // Label 27843: @2315076
     /* 2315076 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2315104), // Rule ID 2385 //
     /* 2315081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2315084 */     // MIs[0] Operand 2
     /* 2315084 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315095 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2315095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2315098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315103 */     // GIR_Coverage, 2385,
     /* 2315103 */     GIR_EraseRootFromParent_Done,
     /* 2315104 */   // Label 27844: @2315104
     /* 2315104 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2315138), // Rule ID 61894 //
     /* 2315109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2315112 */     // MIs[0] Operand 2
     /* 2315112 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315123 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2315123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2315133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315137 */     // GIR_Coverage, 61894,
     /* 2315137 */     GIR_EraseRootFromParent_Done,
     /* 2315138 */   // Label 27845: @2315138
     /* 2315138 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2315172), // Rule ID 61896 //
     /* 2315143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2315146 */     // MIs[0] Operand 2
     /* 2315146 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315157 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2315157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315171 */     // GIR_Coverage, 61896,
     /* 2315171 */     GIR_EraseRootFromParent_Done,
     /* 2315172 */   // Label 27846: @2315172
     /* 2315172 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2315206), // Rule ID 61898 //
     /* 2315177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2315180 */     // MIs[0] Operand 2
     /* 2315180 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2315191 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2315191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315205 */     // GIR_Coverage, 61898,
     /* 2315205 */     GIR_EraseRootFromParent_Done,
     /* 2315206 */   // Label 27847: @2315206
     /* 2315206 */   GIM_Reject,
     /* 2315207 */ // Label 27840: @2315207
     /* 2315207 */ GIM_Reject,
     /* 2315208 */ // Label 27838: @2315208
     /* 2315208 */ GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2315504),
     /* 2315213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2315216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315224 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2315252), // Rule ID 63810 //
     /* 2315229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2315232 */     // MIs[0] Operand 2
     /* 2315232 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315243 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2315243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2315246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315251 */     // GIR_Coverage, 63810,
     /* 2315251 */     GIR_EraseRootFromParent_Done,
     /* 2315252 */   // Label 27849: @2315252
     /* 2315252 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2315280), // Rule ID 63812 //
     /* 2315257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2315260 */     // MIs[0] Operand 2
     /* 2315260 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315271 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2315271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2315274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315279 */     // GIR_Coverage, 63812,
     /* 2315279 */     GIR_EraseRootFromParent_Done,
     /* 2315280 */   // Label 27850: @2315280
     /* 2315280 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2315311), // Rule ID 256 //
     /* 2315285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2315288 */     // MIs[0] Operand 2
     /* 2315288 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2315299 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2315299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2315302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315310 */     // GIR_Coverage, 256,
     /* 2315310 */     GIR_EraseRootFromParent_Done,
     /* 2315311 */   // Label 27851: @2315311
     /* 2315311 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2315339), // Rule ID 2382 //
     /* 2315316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2315319 */     // MIs[0] Operand 2
     /* 2315319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315330 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2315330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2315333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315338 */     // GIR_Coverage, 2382,
     /* 2315338 */     GIR_EraseRootFromParent_Done,
     /* 2315339 */   // Label 27852: @2315339
     /* 2315339 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2315367), // Rule ID 2384 //
     /* 2315344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2315347 */     // MIs[0] Operand 2
     /* 2315347 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315358 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2315358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2315361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315366 */     // GIR_Coverage, 2384,
     /* 2315366 */     GIR_EraseRootFromParent_Done,
     /* 2315367 */   // Label 27853: @2315367
     /* 2315367 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2315401), // Rule ID 61892 //
     /* 2315372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2315375 */     // MIs[0] Operand 2
     /* 2315375 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2315386 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 31:{ *:[i64] }, 0:{ *:[i64] })
     /* 2315386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /* 2315396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315400 */     // GIR_Coverage, 61892,
     /* 2315400 */     GIR_EraseRootFromParent_Done,
     /* 2315401 */   // Label 27854: @2315401
     /* 2315401 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2315435), // Rule ID 61893 //
     /* 2315406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2315409 */     // MIs[0] Operand 2
     /* 2315409 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2315420 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2315420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2315430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315434 */     // GIR_Coverage, 61893,
     /* 2315434 */     GIR_EraseRootFromParent_Done,
     /* 2315435 */   // Label 27855: @2315435
     /* 2315435 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2315469), // Rule ID 61895 //
     /* 2315440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2315443 */     // MIs[0] Operand 2
     /* 2315443 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2315454 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2315454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315468 */     // GIR_Coverage, 61895,
     /* 2315468 */     GIR_EraseRootFromParent_Done,
     /* 2315469 */   // Label 27856: @2315469
     /* 2315469 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2315503), // Rule ID 61897 //
     /* 2315474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2315477 */     // MIs[0] Operand 2
     /* 2315477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2315488 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2315488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2315491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2315501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315502 */     // GIR_Coverage, 61897,
     /* 2315502 */     GIR_EraseRootFromParent_Done,
     /* 2315503 */   // Label 27857: @2315503
     /* 2315503 */   GIM_Reject,
     /* 2315504 */ // Label 27848: @2315504
     /* 2315504 */ GIM_Reject,
     /* 2315505 */ // Label 27839: @2315505
     /* 2315505 */ GIM_Reject,
     /* 2315506 */ // Label 42: @2315506
     /* 2315506 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 27875*/ GIMT_Encode4(2319192),
     /* 2315517 */ /*GILLT_s32*//*Label 27858*/ GIMT_Encode4(2315633),
     /* 2315521 */ /*GILLT_s64*//*Label 27859*/ GIMT_Encode4(2315929), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315533 */ /*GILLT_nxv1s16*//*Label 27860*/ GIMT_Encode4(2316183),
     /* 2315537 */ /*GILLT_nxv1s32*//*Label 27861*/ GIMT_Encode4(2316287),
     /* 2315541 */ /*GILLT_nxv1s64*//*Label 27862*/ GIMT_Encode4(2316504), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315553 */ /*GILLT_nxv2s16*//*Label 27863*/ GIMT_Encode4(2316829),
     /* 2315557 */ /*GILLT_nxv2s32*//*Label 27864*/ GIMT_Encode4(2316933),
     /* 2315561 */ /*GILLT_nxv2s64*//*Label 27865*/ GIMT_Encode4(2317150), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315573 */ /*GILLT_nxv4s16*//*Label 27866*/ GIMT_Encode4(2317475),
     /* 2315577 */ /*GILLT_nxv4s32*//*Label 27867*/ GIMT_Encode4(2317579),
     /* 2315581 */ /*GILLT_nxv4s64*//*Label 27868*/ GIMT_Encode4(2317796), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315593 */ /*GILLT_nxv8s16*//*Label 27869*/ GIMT_Encode4(2318121),
     /* 2315597 */ /*GILLT_nxv8s32*//*Label 27870*/ GIMT_Encode4(2318225),
     /* 2315601 */ /*GILLT_nxv8s64*//*Label 27871*/ GIMT_Encode4(2318442), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315613 */ /*GILLT_nxv16s16*//*Label 27872*/ GIMT_Encode4(2318767),
     /* 2315617 */ /*GILLT_nxv16s32*//*Label 27873*/ GIMT_Encode4(2318871), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2315629 */ /*GILLT_nxv32s16*//*Label 27874*/ GIMT_Encode4(2319088),
     /* 2315633 */ // Label 27858: @2315633
     /* 2315633 */ GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2315928),
     /* 2315638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315649 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2315691), // Rule ID 63996 //
     /* 2315654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2315657 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2315657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2315660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2315664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2315673 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2315676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2315681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2315689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315690 */     // GIR_Coverage, 63996,
     /* 2315690 */     GIR_EraseRootFromParent_Done,
     /* 2315691 */   // Label 27877: @2315691
     /* 2315691 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2315733), // Rule ID 63998 //
     /* 2315696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2315699 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2315699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2315702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2315706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315711 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2315715 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2315718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2315723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2315731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315732 */     // GIR_Coverage, 63998,
     /* 2315732 */     GIR_EraseRootFromParent_Done,
     /* 2315733 */   // Label 27878: @2315733
     /* 2315733 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2315775), // Rule ID 63999 //
     /* 2315738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2315741 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2315741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2315744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2315748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2315757 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2315760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2315765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2315773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315774 */     // GIR_Coverage, 63999,
     /* 2315774 */     GIR_EraseRootFromParent_Done,
     /* 2315775 */   // Label 27879: @2315775
     /* 2315775 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2315790), // Rule ID 64009 //
     /* 2315780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2315783 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2315783 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2315788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315789 */     // GIR_Coverage, 64009,
     /* 2315789 */     GIR_Done,
     /* 2315790 */   // Label 27880: @2315790
     /* 2315790 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2315805), // Rule ID 64010 //
     /* 2315795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2315798 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2315798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2315803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315804 */     // GIR_Coverage, 64010,
     /* 2315804 */     GIR_Done,
     /* 2315805 */   // Label 27881: @2315805
     /* 2315805 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2315820), // Rule ID 64012 //
     /* 2315810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2315813 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2315813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2315818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315819 */     // GIR_Coverage, 64012,
     /* 2315819 */     GIR_Done,
     /* 2315820 */   // Label 27882: @2315820
     /* 2315820 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2315835), // Rule ID 64013 //
     /* 2315825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2315828 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2315828 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2315833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315834 */     // GIR_Coverage, 64013,
     /* 2315834 */     GIR_Done,
     /* 2315835 */   // Label 27883: @2315835
     /* 2315835 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2315858), // Rule ID 64014 //
     /* 2315840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2315843 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2315843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2315846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2315850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2315856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315857 */     // GIR_Coverage, 64014,
     /* 2315857 */     GIR_EraseRootFromParent_Done,
     /* 2315858 */   // Label 27884: @2315858
     /* 2315858 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2315881), // Rule ID 64015 //
     /* 2315863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2315866 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2315866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2315869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2315873 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2315879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315880 */     // GIR_Coverage, 64015,
     /* 2315880 */     GIR_EraseRootFromParent_Done,
     /* 2315881 */   // Label 27885: @2315881
     /* 2315881 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2315904), // Rule ID 64017 //
     /* 2315886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2315889 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2315889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2315892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2315896 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2315902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315903 */     // GIR_Coverage, 64017,
     /* 2315903 */     GIR_EraseRootFromParent_Done,
     /* 2315904 */   // Label 27886: @2315904
     /* 2315904 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2315927), // Rule ID 64018 //
     /* 2315909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2315912 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2315912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2315915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2315919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2315925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315926 */     // GIR_Coverage, 64018,
     /* 2315926 */     GIR_EraseRootFromParent_Done,
     /* 2315927 */   // Label 27887: @2315927
     /* 2315927 */   GIM_Reject,
     /* 2315928 */ // Label 27876: @2315928
     /* 2315928 */ GIM_Reject,
     /* 2315929 */ // Label 27859: @2315929
     /* 2315929 */ GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2315982), // Rule ID 63994 //
     /* 2315934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2315937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2315940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315948 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2315948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2315951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2315955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2315960 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2315964 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2315967 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2315969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2315972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315974 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2315977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2315980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2315981 */   // GIR_Coverage, 63994,
     /* 2315981 */   GIR_EraseRootFromParent_Done,
     /* 2315982 */ // Label 27888: @2315982
     /* 2315982 */ GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2316035), // Rule ID 63995 //
     /* 2315987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2315990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2315993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2315997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316001 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2316001 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2316004 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2316008 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316013 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2316017 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2316020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2316025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2316033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316034 */   // GIR_Coverage, 63995,
     /* 2316034 */   GIR_EraseRootFromParent_Done,
     /* 2316035 */ // Label 27889: @2316035
     /* 2316035 */ GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2316088), // Rule ID 63997 //
     /* 2316040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2316043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316054 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2316054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2316057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2316061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316066 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2316070 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2316073 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2316078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316080 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2316086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316087 */   // GIR_Coverage, 63997,
     /* 2316087 */   GIR_EraseRootFromParent_Done,
     /* 2316088 */ // Label 27890: @2316088
     /* 2316088 */ GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2316122), // Rule ID 64005 //
     /* 2316093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2316096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2316099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316107 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2316107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2316110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316112 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2316114 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2316120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316121 */   // GIR_Coverage, 64005,
     /* 2316121 */   GIR_EraseRootFromParent_Done,
     /* 2316122 */ // Label 27891: @2316122
     /* 2316122 */ GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2316148), // Rule ID 64011 //
     /* 2316127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2316130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316141 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2316141 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2316146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316147 */   // GIR_Coverage, 64011,
     /* 2316147 */   GIR_Done,
     /* 2316148 */ // Label 27892: @2316148
     /* 2316148 */ GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2316182), // Rule ID 64016 //
     /* 2316153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2316156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2316159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2316167 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2316167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2316170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2316174 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2316180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316181 */   // GIR_Coverage, 64016,
     /* 2316181 */   GIR_EraseRootFromParent_Done,
     /* 2316182 */ // Label 27893: @2316182
     /* 2316182 */ GIM_Reject,
     /* 2316183 */ // Label 27860: @2316183
     /* 2316183 */ GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2316286),
     /* 2316188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2316191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316199 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2316242), // Rule ID 45506 //
     /* 2316204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316207 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2316224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316241 */     // GIR_Coverage, 45506,
     /* 2316241 */     GIR_EraseRootFromParent_Done,
     /* 2316242 */   // Label 27895: @2316242
     /* 2316242 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2316285), // Rule ID 45507 //
     /* 2316247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316250 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2316253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2316267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316284 */     // GIR_Coverage, 45507,
     /* 2316284 */     GIR_EraseRootFromParent_Done,
     /* 2316285 */   // Label 27896: @2316285
     /* 2316285 */   GIM_Reject,
     /* 2316286 */ // Label 27894: @2316286
     /* 2316286 */ GIM_Reject,
     /* 2316287 */ // Label 27861: @2316287
     /* 2316287 */ GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2316341), // Rule ID 46990 //
     /* 2316292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316306 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316318 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2316323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316325 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316340 */   // GIR_Coverage, 46990,
     /* 2316340 */   GIR_EraseRootFromParent_Done,
     /* 2316341 */ // Label 27897: @2316341
     /* 2316341 */ GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2316395), // Rule ID 46991 //
     /* 2316346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316360 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316360 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316363 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316367 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316372 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2316377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316379 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316394 */   // GIR_Coverage, 46991,
     /* 2316394 */   GIR_EraseRootFromParent_Done,
     /* 2316395 */ // Label 27898: @2316395
     /* 2316395 */ GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2316449), // Rule ID 47056 //
     /* 2316400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2316406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316414 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316414 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316417 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316421 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2316431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316436 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316448 */   // GIR_Coverage, 47056,
     /* 2316448 */   GIR_EraseRootFromParent_Done,
     /* 2316449 */ // Label 27899: @2316449
     /* 2316449 */ GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2316503), // Rule ID 47057 //
     /* 2316454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2316460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316468 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316468 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2316471 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316475 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316480 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2316485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316487 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316490 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316502 */   // GIR_Coverage, 47057,
     /* 2316502 */   GIR_EraseRootFromParent_Done,
     /* 2316503 */ // Label 27900: @2316503
     /* 2316503 */ GIM_Reject,
     /* 2316504 */ // Label 27862: @2316504
     /* 2316504 */ GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2316558), // Rule ID 47010 //
     /* 2316509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2316512 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316519 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316523 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316523 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316526 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316530 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316535 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2316540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316542 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316545 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316557 */   // GIR_Coverage, 47010,
     /* 2316557 */   GIR_EraseRootFromParent_Done,
     /* 2316558 */ // Label 27901: @2316558
     /* 2316558 */ GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2316612), // Rule ID 47011 //
     /* 2316563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2316566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2316569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316577 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316577 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316580 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316584 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316589 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2316594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316596 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316611 */   // GIR_Coverage, 47011,
     /* 2316611 */   GIR_EraseRootFromParent_Done,
     /* 2316612 */ // Label 27902: @2316612
     /* 2316612 */ GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2316666), // Rule ID 47076 //
     /* 2316617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2316620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316631 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2316648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316665 */   // GIR_Coverage, 47076,
     /* 2316665 */   GIR_EraseRootFromParent_Done,
     /* 2316666 */ // Label 27903: @2316666
     /* 2316666 */ GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2316720), // Rule ID 47077 //
     /* 2316671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2316674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2316677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316685 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316685 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316688 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316692 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2316702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316704 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316707 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316719 */   // GIR_Coverage, 47077,
     /* 2316719 */   GIR_EraseRootFromParent_Done,
     /* 2316720 */ // Label 27904: @2316720
     /* 2316720 */ GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2316774), // Rule ID 47110 //
     /* 2316725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2316728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2316731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316739 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2316756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316773 */   // GIR_Coverage, 47110,
     /* 2316773 */   GIR_EraseRootFromParent_Done,
     /* 2316774 */ // Label 27905: @2316774
     /* 2316774 */ GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2316828), // Rule ID 47111 //
     /* 2316779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2316782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2316785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316793 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2316796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2316810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2316823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316827 */   // GIR_Coverage, 47111,
     /* 2316827 */   GIR_EraseRootFromParent_Done,
     /* 2316828 */ // Label 27906: @2316828
     /* 2316828 */ GIM_Reject,
     /* 2316829 */ // Label 27863: @2316829
     /* 2316829 */ GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2316932),
     /* 2316834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2316837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316845 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2316888), // Rule ID 46970 //
     /* 2316850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316853 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2316870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316887 */     // GIR_Coverage, 46970,
     /* 2316887 */     GIR_EraseRootFromParent_Done,
     /* 2316888 */   // Label 27908: @2316888
     /* 2316888 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2316931), // Rule ID 46971 //
     /* 2316893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316896 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2316896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2316899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2316913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316930 */     // GIR_Coverage, 46971,
     /* 2316930 */     GIR_EraseRootFromParent_Done,
     /* 2316931 */   // Label 27909: @2316931
     /* 2316931 */   GIM_Reject,
     /* 2316932 */ // Label 27907: @2316932
     /* 2316932 */ GIM_Reject,
     /* 2316933 */ // Label 27864: @2316933
     /* 2316933 */ GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2316987), // Rule ID 46994 //
     /* 2316938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2316941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316952 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2316952 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2316955 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2316959 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2316964 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2316966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2316969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316971 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2316974 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2316976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2316985 */   GIR_RootConstrainSelectedInstOperands,
     /* 2316986 */   // GIR_Coverage, 46994,
     /* 2316986 */   GIR_EraseRootFromParent_Done,
     /* 2316987 */ // Label 27910: @2316987
     /* 2316987 */ GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2317041), // Rule ID 46995 //
     /* 2316992 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2316995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2316998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317006 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317006 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317009 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317013 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2317023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317025 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317028 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317040 */   // GIR_Coverage, 46995,
     /* 2317040 */   GIR_EraseRootFromParent_Done,
     /* 2317041 */ // Label 27911: @2317041
     /* 2317041 */ GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2317095), // Rule ID 47060 //
     /* 2317046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2317052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317060 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2317077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317094 */   // GIR_Coverage, 47060,
     /* 2317094 */   GIR_EraseRootFromParent_Done,
     /* 2317095 */ // Label 27912: @2317095
     /* 2317095 */ GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2317149), // Rule ID 47061 //
     /* 2317100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2317106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317114 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2317117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2317131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317148 */   // GIR_Coverage, 47061,
     /* 2317148 */   GIR_EraseRootFromParent_Done,
     /* 2317149 */ // Label 27913: @2317149
     /* 2317149 */ GIM_Reject,
     /* 2317150 */ // Label 27865: @2317150
     /* 2317150 */ GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2317204), // Rule ID 47014 //
     /* 2317155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2317158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317169 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317169 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317172 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317176 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317181 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2317186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317188 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317191 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317203 */   // GIR_Coverage, 47014,
     /* 2317203 */   GIR_EraseRootFromParent_Done,
     /* 2317204 */ // Label 27914: @2317204
     /* 2317204 */ GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2317258), // Rule ID 47015 //
     /* 2317209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2317212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2317215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317223 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317223 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317226 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317230 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317235 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2317240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317242 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317257 */   // GIR_Coverage, 47015,
     /* 2317257 */   GIR_EraseRootFromParent_Done,
     /* 2317258 */ // Label 27915: @2317258
     /* 2317258 */ GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2317312), // Rule ID 47080 //
     /* 2317263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2317266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317277 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2317294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317311 */   // GIR_Coverage, 47080,
     /* 2317311 */   GIR_EraseRootFromParent_Done,
     /* 2317312 */ // Label 27916: @2317312
     /* 2317312 */ GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2317366), // Rule ID 47081 //
     /* 2317317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2317320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2317323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317331 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2317348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317365 */   // GIR_Coverage, 47081,
     /* 2317365 */   GIR_EraseRootFromParent_Done,
     /* 2317366 */ // Label 27917: @2317366
     /* 2317366 */ GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2317420), // Rule ID 47114 //
     /* 2317371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2317374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2317377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317385 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317385 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317388 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317392 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317397 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2317402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317404 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317419 */   // GIR_Coverage, 47114,
     /* 2317419 */   GIR_EraseRootFromParent_Done,
     /* 2317420 */ // Label 27918: @2317420
     /* 2317420 */ GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2317474), // Rule ID 47115 //
     /* 2317425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2317428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2317431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317439 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2317442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2317456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317473 */   // GIR_Coverage, 47115,
     /* 2317473 */   GIR_EraseRootFromParent_Done,
     /* 2317474 */ // Label 27919: @2317474
     /* 2317474 */ GIM_Reject,
     /* 2317475 */ // Label 27866: @2317475
     /* 2317475 */ GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2317578),
     /* 2317480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2317483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317491 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2317534), // Rule ID 46974 //
     /* 2317496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317499 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2317516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317533 */     // GIR_Coverage, 46974,
     /* 2317533 */     GIR_EraseRootFromParent_Done,
     /* 2317534 */   // Label 27921: @2317534
     /* 2317534 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2317577), // Rule ID 46975 //
     /* 2317539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317542 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2317545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2317559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2317572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317576 */     // GIR_Coverage, 46975,
     /* 2317576 */     GIR_EraseRootFromParent_Done,
     /* 2317577 */   // Label 27922: @2317577
     /* 2317577 */   GIM_Reject,
     /* 2317578 */ // Label 27920: @2317578
     /* 2317578 */ GIM_Reject,
     /* 2317579 */ // Label 27867: @2317579
     /* 2317579 */ GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2317633), // Rule ID 46998 //
     /* 2317584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317598 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317598 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317601 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317605 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317610 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2317615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317617 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317620 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317632 */   // GIR_Coverage, 46998,
     /* 2317632 */   GIR_EraseRootFromParent_Done,
     /* 2317633 */ // Label 27923: @2317633
     /* 2317633 */ GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2317687), // Rule ID 46999 //
     /* 2317638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317641 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317652 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317652 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317655 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317659 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317664 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317666 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2317669 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317671 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317674 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317686 */   // GIR_Coverage, 46999,
     /* 2317686 */   GIR_EraseRootFromParent_Done,
     /* 2317687 */ // Label 27924: @2317687
     /* 2317687 */ GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2317741), // Rule ID 47064 //
     /* 2317692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2317695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2317698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317706 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2317723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317740 */   // GIR_Coverage, 47064,
     /* 2317740 */   GIR_EraseRootFromParent_Done,
     /* 2317741 */ // Label 27925: @2317741
     /* 2317741 */ GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2317795), // Rule ID 47065 //
     /* 2317746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2317749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2317752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317760 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2317763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317772 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2317777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317779 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317782 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317794 */   // GIR_Coverage, 47065,
     /* 2317794 */   GIR_EraseRootFromParent_Done,
     /* 2317795 */ // Label 27926: @2317795
     /* 2317795 */ GIM_Reject,
     /* 2317796 */ // Label 27868: @2317796
     /* 2317796 */ GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2317850), // Rule ID 47018 //
     /* 2317801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2317804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317815 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2317832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317837 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317848 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317849 */   // GIR_Coverage, 47018,
     /* 2317849 */   GIR_EraseRootFromParent_Done,
     /* 2317850 */ // Label 27927: @2317850
     /* 2317850 */ GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2317904), // Rule ID 47019 //
     /* 2317855 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2317858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317869 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317869 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317872 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317876 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317881 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317883 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2317886 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317888 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317891 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317903 */   // GIR_Coverage, 47019,
     /* 2317903 */   GIR_EraseRootFromParent_Done,
     /* 2317904 */ // Label 27928: @2317904
     /* 2317904 */ GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2317958), // Rule ID 47084 //
     /* 2317909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2317912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317923 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2317923 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317926 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317930 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317935 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2317940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317945 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2317947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2317956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2317957 */   // GIR_Coverage, 47084,
     /* 2317957 */   GIR_EraseRootFromParent_Done,
     /* 2317958 */ // Label 27929: @2317958
     /* 2317958 */ GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2318012), // Rule ID 47085 //
     /* 2317963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2317966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2317969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2317977 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2317977 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2317980 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2317984 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2317989 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2317991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2317994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317996 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2317999 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318011 */   // GIR_Coverage, 47085,
     /* 2318011 */   GIR_EraseRootFromParent_Done,
     /* 2318012 */ // Label 27930: @2318012
     /* 2318012 */ GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2318066), // Rule ID 47118 //
     /* 2318017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2318020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2318023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318031 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2318048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318053 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318065 */   // GIR_Coverage, 47118,
     /* 2318065 */   GIR_EraseRootFromParent_Done,
     /* 2318066 */ // Label 27931: @2318066
     /* 2318066 */ GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2318120), // Rule ID 47119 //
     /* 2318071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2318074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2318077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318085 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2318088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318097 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2318102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318104 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318119 */   // GIR_Coverage, 47119,
     /* 2318119 */   GIR_EraseRootFromParent_Done,
     /* 2318120 */ // Label 27932: @2318120
     /* 2318120 */ GIM_Reject,
     /* 2318121 */ // Label 27869: @2318121
     /* 2318121 */ GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2318224),
     /* 2318126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2318129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318137 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2318180), // Rule ID 46978 //
     /* 2318142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318145 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2318162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318179 */     // GIR_Coverage, 46978,
     /* 2318179 */     GIR_EraseRootFromParent_Done,
     /* 2318180 */   // Label 27934: @2318180
     /* 2318180 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2318223), // Rule ID 46979 //
     /* 2318185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318188 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2318191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2318205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318222 */     // GIR_Coverage, 46979,
     /* 2318222 */     GIR_EraseRootFromParent_Done,
     /* 2318223 */   // Label 27935: @2318223
     /* 2318223 */   GIM_Reject,
     /* 2318224 */ // Label 27933: @2318224
     /* 2318224 */ GIM_Reject,
     /* 2318225 */ // Label 27870: @2318225
     /* 2318225 */ GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2318279), // Rule ID 47002 //
     /* 2318230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318240 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318244 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318244 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318247 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318251 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318256 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318258 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2318261 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318263 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318266 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318278 */   // GIR_Coverage, 47002,
     /* 2318278 */   GIR_EraseRootFromParent_Done,
     /* 2318279 */ // Label 27936: @2318279
     /* 2318279 */ GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2318333), // Rule ID 47003 //
     /* 2318284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318298 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318298 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318301 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318305 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318310 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2318315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318317 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318332 */   // GIR_Coverage, 47003,
     /* 2318332 */   GIR_EraseRootFromParent_Done,
     /* 2318333 */ // Label 27937: @2318333
     /* 2318333 */ GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2318387), // Rule ID 47068 //
     /* 2318338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2318344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318352 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318352 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318355 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318359 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318364 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2318369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318371 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318374 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318386 */   // GIR_Coverage, 47068,
     /* 2318386 */   GIR_EraseRootFromParent_Done,
     /* 2318387 */ // Label 27938: @2318387
     /* 2318387 */ GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2318441), // Rule ID 47069 //
     /* 2318392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2318398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318406 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318406 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2318409 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318413 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2318423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318440 */   // GIR_Coverage, 47069,
     /* 2318440 */   GIR_EraseRootFromParent_Done,
     /* 2318441 */ // Label 27939: @2318441
     /* 2318441 */ GIM_Reject,
     /* 2318442 */ // Label 27871: @2318442
     /* 2318442 */ GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2318496), // Rule ID 47022 //
     /* 2318447 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2318450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318461 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318473 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2318478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318480 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318483 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318495 */   // GIR_Coverage, 47022,
     /* 2318495 */   GIR_EraseRootFromParent_Done,
     /* 2318496 */ // Label 27940: @2318496
     /* 2318496 */ GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2318550), // Rule ID 47023 //
     /* 2318501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2318504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2318507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318515 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318515 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318518 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318522 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318527 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2318532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318534 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318542 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318549 */   // GIR_Coverage, 47023,
     /* 2318549 */   GIR_EraseRootFromParent_Done,
     /* 2318550 */ // Label 27941: @2318550
     /* 2318550 */ GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2318604), // Rule ID 47088 //
     /* 2318555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2318558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318569 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318569 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318572 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318576 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318581 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2318586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318588 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318591 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318603 */   // GIR_Coverage, 47088,
     /* 2318603 */   GIR_EraseRootFromParent_Done,
     /* 2318604 */ // Label 27942: @2318604
     /* 2318604 */ GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2318658), // Rule ID 47089 //
     /* 2318609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2318612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318623 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318635 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2318640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318645 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318657 */   // GIR_Coverage, 47089,
     /* 2318657 */   GIR_EraseRootFromParent_Done,
     /* 2318658 */ // Label 27943: @2318658
     /* 2318658 */ GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2318712), // Rule ID 47122 //
     /* 2318663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2318666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2318669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318677 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2318694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318711 */   // GIR_Coverage, 47122,
     /* 2318711 */   GIR_EraseRootFromParent_Done,
     /* 2318712 */ // Label 27944: @2318712
     /* 2318712 */ GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2318766), // Rule ID 47123 //
     /* 2318717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2318720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2318723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2318731 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2318734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2318748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318765 */   // GIR_Coverage, 47123,
     /* 2318765 */   GIR_EraseRootFromParent_Done,
     /* 2318766 */ // Label 27945: @2318766
     /* 2318766 */ GIM_Reject,
     /* 2318767 */ // Label 27872: @2318767
     /* 2318767 */ GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2318870),
     /* 2318772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2318775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318783 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2318826), // Rule ID 46982 //
     /* 2318788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318791 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2318808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318825 */     // GIR_Coverage, 46982,
     /* 2318825 */     GIR_EraseRootFromParent_Done,
     /* 2318826 */   // Label 27947: @2318826
     /* 2318826 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2318869), // Rule ID 46983 //
     /* 2318831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318834 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2318837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2318851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318868 */     // GIR_Coverage, 46983,
     /* 2318868 */     GIR_EraseRootFromParent_Done,
     /* 2318869 */   // Label 27948: @2318869
     /* 2318869 */   GIM_Reject,
     /* 2318870 */ // Label 27946: @2318870
     /* 2318870 */ GIM_Reject,
     /* 2318871 */ // Label 27873: @2318871
     /* 2318871 */ GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2318925), // Rule ID 47006 //
     /* 2318876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318890 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318890 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318893 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318897 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318902 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318904 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2318907 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318912 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318924 */   // GIR_Coverage, 47006,
     /* 2318924 */   GIR_EraseRootFromParent_Done,
     /* 2318925 */ // Label 27949: @2318925
     /* 2318925 */ GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2318979), // Rule ID 47007 //
     /* 2318930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2318933 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2318936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318944 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2318944 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2318947 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2318951 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2318956 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2318958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2318961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318963 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2318966 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2318968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2318974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2318977 */   GIR_RootConstrainSelectedInstOperands,
     /* 2318978 */   // GIR_Coverage, 47007,
     /* 2318978 */   GIR_EraseRootFromParent_Done,
     /* 2318979 */ // Label 27950: @2318979
     /* 2318979 */ GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2319033), // Rule ID 47072 //
     /* 2318984 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2318987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2318990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2318994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318998 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2318998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319010 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2319015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319017 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319020 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2319022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319032 */   // GIR_Coverage, 47072,
     /* 2319032 */   GIR_EraseRootFromParent_Done,
     /* 2319033 */ // Label 27951: @2319033
     /* 2319033 */ GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2319087), // Rule ID 47073 //
     /* 2319038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2319044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319052 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319052 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2319055 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319059 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2319069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2319076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2319086 */   // GIR_Coverage, 47073,
     /* 2319086 */   GIR_EraseRootFromParent_Done,
     /* 2319087 */ // Label 27952: @2319087
     /* 2319087 */ GIM_Reject,
     /* 2319088 */ // Label 27874: @2319088
     /* 2319088 */ GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2319191),
     /* 2319093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2319096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319104 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2319147), // Rule ID 46986 //
     /* 2319109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319112 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2319129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2319136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319146 */     // GIR_Coverage, 46986,
     /* 2319146 */     GIR_EraseRootFromParent_Done,
     /* 2319147 */   // Label 27954: @2319147
     /* 2319147 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2319190), // Rule ID 46987 //
     /* 2319152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319155 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2319158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2319172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2319179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319189 */     // GIR_Coverage, 46987,
     /* 2319189 */     GIR_EraseRootFromParent_Done,
     /* 2319190 */   // Label 27955: @2319190
     /* 2319190 */   GIM_Reject,
     /* 2319191 */ // Label 27953: @2319191
     /* 2319191 */ GIM_Reject,
     /* 2319192 */ // Label 27875: @2319192
     /* 2319192 */ GIM_Reject,
     /* 2319193 */ // Label 43: @2319193
     /* 2319193 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 27980*/ GIMT_Encode4(2322328),
     /* 2319204 */ /*GILLT_s32*//*Label 27956*/ GIMT_Encode4(2319328),
     /* 2319208 */ /*GILLT_s64*//*Label 27957*/ GIMT_Encode4(2319453), GIMT_Encode4(0),
     /* 2319216 */ /*GILLT_nxv1s8*//*Label 27958*/ GIMT_Encode4(2319798),
     /* 2319220 */ /*GILLT_nxv1s16*//*Label 27959*/ GIMT_Encode4(2319913),
     /* 2319224 */ /*GILLT_nxv1s32*//*Label 27960*/ GIMT_Encode4(2320028),
     /* 2319228 */ /*GILLT_nxv1s64*//*Label 27961*/ GIMT_Encode4(2320143), GIMT_Encode4(0),
     /* 2319236 */ /*GILLT_nxv2s8*//*Label 27962*/ GIMT_Encode4(2320258),
     /* 2319240 */ /*GILLT_nxv2s16*//*Label 27963*/ GIMT_Encode4(2320373),
     /* 2319244 */ /*GILLT_nxv2s32*//*Label 27964*/ GIMT_Encode4(2320488),
     /* 2319248 */ /*GILLT_nxv2s64*//*Label 27965*/ GIMT_Encode4(2320603), GIMT_Encode4(0),
     /* 2319256 */ /*GILLT_nxv4s8*//*Label 27966*/ GIMT_Encode4(2320718),
     /* 2319260 */ /*GILLT_nxv4s16*//*Label 27967*/ GIMT_Encode4(2320833),
     /* 2319264 */ /*GILLT_nxv4s32*//*Label 27968*/ GIMT_Encode4(2320948),
     /* 2319268 */ /*GILLT_nxv4s64*//*Label 27969*/ GIMT_Encode4(2321063), GIMT_Encode4(0),
     /* 2319276 */ /*GILLT_nxv8s8*//*Label 27970*/ GIMT_Encode4(2321178),
     /* 2319280 */ /*GILLT_nxv8s16*//*Label 27971*/ GIMT_Encode4(2321293),
     /* 2319284 */ /*GILLT_nxv8s32*//*Label 27972*/ GIMT_Encode4(2321408),
     /* 2319288 */ /*GILLT_nxv8s64*//*Label 27973*/ GIMT_Encode4(2321523), GIMT_Encode4(0),
     /* 2319296 */ /*GILLT_nxv16s8*//*Label 27974*/ GIMT_Encode4(2321638),
     /* 2319300 */ /*GILLT_nxv16s16*//*Label 27975*/ GIMT_Encode4(2321753),
     /* 2319304 */ /*GILLT_nxv16s32*//*Label 27976*/ GIMT_Encode4(2321868), GIMT_Encode4(0),
     /* 2319312 */ /*GILLT_nxv32s8*//*Label 27977*/ GIMT_Encode4(2321983),
     /* 2319316 */ /*GILLT_nxv32s16*//*Label 27978*/ GIMT_Encode4(2322098), GIMT_Encode4(0),
     /* 2319324 */ /*GILLT_nxv64s8*//*Label 27979*/ GIMT_Encode4(2322213),
     /* 2319328 */ // Label 27956: @2319328
     /* 2319328 */ GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2319452),
     /* 2319333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2319336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2319339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319343 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2319380), // Rule ID 2339 //
     /* 2319348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2319351 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2319355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2319362 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2319362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2319365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2319373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2319378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319379 */     // GIR_Coverage, 2339,
     /* 2319379 */     GIR_EraseRootFromParent_Done,
     /* 2319380 */   // Label 27982: @2319380
     /* 2319380 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2319418), // Rule ID 91 //
     /* 2319385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2319388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2319404 */     // MIs[1] Operand 1
     /* 2319404 */     // No operand predicates
     /* 2319404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319406 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2319406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2319409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2319416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319417 */     // GIR_Coverage, 91,
     /* 2319417 */     GIR_EraseRootFromParent_Done,
     /* 2319418 */   // Label 27983: @2319418
     /* 2319418 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2319451), // Rule ID 105 //
     /* 2319423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2319426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2319437 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2319437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2319440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2319449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319450 */     // GIR_Coverage, 105,
     /* 2319450 */     GIR_EraseRootFromParent_Done,
     /* 2319451 */   // Label 27984: @2319451
     /* 2319451 */   GIM_Reject,
     /* 2319452 */ // Label 27981: @2319452
     /* 2319452 */ GIM_Reject,
     /* 2319453 */ // Label 27957: @2319453
     /* 2319453 */ GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2319797),
     /* 2319458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2319464 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2319558), // Rule ID 253 //
     /* 2319469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2319472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2319484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2319492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319497 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2319508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2319512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319516 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319520 */     // MIs[2] Operand 1
     /* 2319520 */     // No operand predicates
     /* 2319520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319522 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2319522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2319525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2319529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319538 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2319541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2319546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319551 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2319556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319557 */     // GIR_Coverage, 253,
     /* 2319557 */     GIR_EraseRootFromParent_Done,
     /* 2319558 */   // Label 27986: @2319558
     /* 2319558 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2319630), // Rule ID 2457 //
     /* 2319563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2319566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2319578 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2319582 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2319586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319591 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2319602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2319606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319610 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319614 */     // MIs[2] Operand 1
     /* 2319614 */     // No operand predicates
     /* 2319614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319616 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2319616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2319619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2319628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319629 */     // GIR_Coverage, 2457,
     /* 2319629 */     GIR_EraseRootFromParent_Done,
     /* 2319630 */   // Label 27987: @2319630
     /* 2319630 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2319671), // Rule ID 2338 //
     /* 2319635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2319638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319642 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2319646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2319653 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2319653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2319656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2319664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2319669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319670 */     // GIR_Coverage, 2338,
     /* 2319670 */     GIR_EraseRootFromParent_Done,
     /* 2319671 */   // Label 27988: @2319671
     /* 2319671 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2319717), // Rule ID 268 //
     /* 2319676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2319679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2319699 */     // MIs[1] Operand 1
     /* 2319699 */     // No operand predicates
     /* 2319699 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9629),
     /* 2319703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319705 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_9629>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2319705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2319708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2319715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319716 */     // GIR_Coverage, 268,
     /* 2319716 */     GIR_EraseRootFromParent_Done,
     /* 2319717 */   // Label 27989: @2319717
     /* 2319717 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2319759), // Rule ID 90 //
     /* 2319722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2319725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2319741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2319745 */     // MIs[1] Operand 1
     /* 2319745 */     // No operand predicates
     /* 2319745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319747 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2319747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2319750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2319757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319758 */     // GIR_Coverage, 90,
     /* 2319758 */     GIR_EraseRootFromParent_Done,
     /* 2319759 */   // Label 27990: @2319759
     /* 2319759 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2319796), // Rule ID 104 //
     /* 2319764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2319767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2319775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2319782 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2319782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2319785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2319794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319795 */     // GIR_Coverage, 104,
     /* 2319795 */     GIR_EraseRootFromParent_Done,
     /* 2319796 */   // Label 27991: @2319796
     /* 2319796 */   GIM_Reject,
     /* 2319797 */ // Label 27985: @2319797
     /* 2319797 */ GIM_Reject,
     /* 2319798 */ // Label 27958: @2319798
     /* 2319798 */ GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2319912),
     /* 2319803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2319806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2319809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319817 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319821 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2319866), // Rule ID 47530 //
     /* 2319826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319829 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2319832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2319846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2319855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319865 */     // GIR_Coverage, 47530,
     /* 2319865 */     GIR_EraseRootFromParent_Done,
     /* 2319866 */   // Label 27993: @2319866
     /* 2319866 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2319911), // Rule ID 47531 //
     /* 2319871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319874 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2319877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2319891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2319900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319910 */     // GIR_Coverage, 47531,
     /* 2319910 */     GIR_EraseRootFromParent_Done,
     /* 2319911 */   // Label 27994: @2319911
     /* 2319911 */   GIM_Reject,
     /* 2319912 */ // Label 27992: @2319912
     /* 2319912 */ GIM_Reject,
     /* 2319913 */ // Label 27959: @2319913
     /* 2319913 */ GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2320027),
     /* 2319918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2319921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2319924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2319936 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2319981), // Rule ID 47542 //
     /* 2319941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2319944 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2319944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2319956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2319958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2319961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2319966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2319970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2319979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319980 */     // GIR_Coverage, 47542,
     /* 2319980 */     GIR_EraseRootFromParent_Done,
     /* 2319981 */   // Label 27996: @2319981
     /* 2319981 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2320026), // Rule ID 47543 //
     /* 2319986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2319989 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2319989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2319992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2319996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2320006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320025 */     // GIR_Coverage, 47543,
     /* 2320025 */     GIR_EraseRootFromParent_Done,
     /* 2320026 */   // Label 27997: @2320026
     /* 2320026 */   GIM_Reject,
     /* 2320027 */ // Label 27995: @2320027
     /* 2320027 */ GIM_Reject,
     /* 2320028 */ // Label 27960: @2320028
     /* 2320028 */ GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2320142),
     /* 2320033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2320036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2320039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320051 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2320096), // Rule ID 47550 //
     /* 2320056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320059 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320095 */     // GIR_Coverage, 47550,
     /* 2320095 */     GIR_EraseRootFromParent_Done,
     /* 2320096 */   // Label 27999: @2320096
     /* 2320096 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2320141), // Rule ID 47551 //
     /* 2320101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320104 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2320107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320140 */     // GIR_Coverage, 47551,
     /* 2320140 */     GIR_EraseRootFromParent_Done,
     /* 2320141 */   // Label 28000: @2320141
     /* 2320141 */   GIM_Reject,
     /* 2320142 */ // Label 27998: @2320142
     /* 2320142 */ GIM_Reject,
     /* 2320143 */ // Label 27961: @2320143
     /* 2320143 */ GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2320257),
     /* 2320148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2320151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2320154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320166 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2320211), // Rule ID 47566 //
     /* 2320171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2320174 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320210 */     // GIR_Coverage, 47566,
     /* 2320210 */     GIR_EraseRootFromParent_Done,
     /* 2320211 */   // Label 28002: @2320211
     /* 2320211 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2320256), // Rule ID 47567 //
     /* 2320216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2320219 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2320222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320255 */     // GIR_Coverage, 47567,
     /* 2320255 */     GIR_EraseRootFromParent_Done,
     /* 2320256 */   // Label 28003: @2320256
     /* 2320256 */   GIM_Reject,
     /* 2320257 */ // Label 28001: @2320257
     /* 2320257 */ GIM_Reject,
     /* 2320258 */ // Label 27962: @2320258
     /* 2320258 */ GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2320372),
     /* 2320263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2320266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2320269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320281 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2320326), // Rule ID 47534 //
     /* 2320286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320289 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2320292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2320306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320325 */     // GIR_Coverage, 47534,
     /* 2320325 */     GIR_EraseRootFromParent_Done,
     /* 2320326 */   // Label 28005: @2320326
     /* 2320326 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2320371), // Rule ID 47535 //
     /* 2320331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320334 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2320337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2320351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320370 */     // GIR_Coverage, 47535,
     /* 2320370 */     GIR_EraseRootFromParent_Done,
     /* 2320371 */   // Label 28006: @2320371
     /* 2320371 */   GIM_Reject,
     /* 2320372 */ // Label 28004: @2320372
     /* 2320372 */ GIM_Reject,
     /* 2320373 */ // Label 27963: @2320373
     /* 2320373 */ GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2320487),
     /* 2320378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2320381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2320384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320396 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2320441), // Rule ID 47546 //
     /* 2320401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320404 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320440 */     // GIR_Coverage, 47546,
     /* 2320440 */     GIR_EraseRootFromParent_Done,
     /* 2320441 */   // Label 28008: @2320441
     /* 2320441 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2320486), // Rule ID 47547 //
     /* 2320446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320449 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2320452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320485 */     // GIR_Coverage, 47547,
     /* 2320485 */     GIR_EraseRootFromParent_Done,
     /* 2320486 */   // Label 28009: @2320486
     /* 2320486 */   GIM_Reject,
     /* 2320487 */ // Label 28007: @2320487
     /* 2320487 */ GIM_Reject,
     /* 2320488 */ // Label 27964: @2320488
     /* 2320488 */ GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2320602),
     /* 2320493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2320496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2320499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320511 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2320556), // Rule ID 47562 //
     /* 2320516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320519 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2320522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320555 */     // GIR_Coverage, 47562,
     /* 2320555 */     GIR_EraseRootFromParent_Done,
     /* 2320556 */   // Label 28011: @2320556
     /* 2320556 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2320601), // Rule ID 47563 //
     /* 2320561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320564 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2320567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2320596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320600 */     // GIR_Coverage, 47563,
     /* 2320600 */     GIR_EraseRootFromParent_Done,
     /* 2320601 */   // Label 28012: @2320601
     /* 2320601 */   GIM_Reject,
     /* 2320602 */ // Label 28010: @2320602
     /* 2320602 */ GIM_Reject,
     /* 2320603 */ // Label 27965: @2320603
     /* 2320603 */ GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2320717),
     /* 2320608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2320611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2320614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320626 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2320671), // Rule ID 47606 //
     /* 2320631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2320634 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2320637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2320651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320670 */     // GIR_Coverage, 47606,
     /* 2320670 */     GIR_EraseRootFromParent_Done,
     /* 2320671 */   // Label 28014: @2320671
     /* 2320671 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2320716), // Rule ID 47607 //
     /* 2320676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2320679 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2320682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2320696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320715 */     // GIR_Coverage, 47607,
     /* 2320715 */     GIR_EraseRootFromParent_Done,
     /* 2320716 */   // Label 28015: @2320716
     /* 2320716 */   GIM_Reject,
     /* 2320717 */ // Label 28013: @2320717
     /* 2320717 */ GIM_Reject,
     /* 2320718 */ // Label 27966: @2320718
     /* 2320718 */ GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2320832),
     /* 2320723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2320726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2320729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320741 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2320786), // Rule ID 47538 //
     /* 2320746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320749 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2320752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320785 */     // GIR_Coverage, 47538,
     /* 2320785 */     GIR_EraseRootFromParent_Done,
     /* 2320786 */   // Label 28017: @2320786
     /* 2320786 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2320831), // Rule ID 47539 //
     /* 2320791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320794 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2320797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2320811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320830 */     // GIR_Coverage, 47539,
     /* 2320830 */     GIR_EraseRootFromParent_Done,
     /* 2320831 */   // Label 28018: @2320831
     /* 2320831 */   GIM_Reject,
     /* 2320832 */ // Label 28016: @2320832
     /* 2320832 */ GIM_Reject,
     /* 2320833 */ // Label 27967: @2320833
     /* 2320833 */ GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2320947),
     /* 2320838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2320841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2320844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2320856 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2320901), // Rule ID 47558 //
     /* 2320861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320864 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2320867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320900 */     // GIR_Coverage, 47558,
     /* 2320900 */     GIR_EraseRootFromParent_Done,
     /* 2320901 */   // Label 28020: @2320901
     /* 2320901 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2320946), // Rule ID 47559 //
     /* 2320906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2320909 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2320909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2320912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2320926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2320931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2320935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2320944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320945 */     // GIR_Coverage, 47559,
     /* 2320945 */     GIR_EraseRootFromParent_Done,
     /* 2320946 */   // Label 28021: @2320946
     /* 2320946 */   GIM_Reject,
     /* 2320947 */ // Label 28019: @2320947
     /* 2320947 */ GIM_Reject,
     /* 2320948 */ // Label 27968: @2320948
     /* 2320948 */ GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2321062),
     /* 2320953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2320956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2320959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2320971 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2321016), // Rule ID 47594 //
     /* 2320976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2320979 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2320979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2320982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2320986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2320991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2320993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2320996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321015 */     // GIR_Coverage, 47594,
     /* 2321015 */     GIR_EraseRootFromParent_Done,
     /* 2321016 */   // Label 28023: @2321016
     /* 2321016 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2321061), // Rule ID 47595 //
     /* 2321021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321024 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2321027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2321041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321060 */     // GIR_Coverage, 47595,
     /* 2321060 */     GIR_EraseRootFromParent_Done,
     /* 2321061 */   // Label 28024: @2321061
     /* 2321061 */   GIM_Reject,
     /* 2321062 */ // Label 28022: @2321062
     /* 2321062 */ GIM_Reject,
     /* 2321063 */ // Label 27969: @2321063
     /* 2321063 */ GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2321177),
     /* 2321068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2321071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2321074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321082 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321086 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2321131), // Rule ID 47610 //
     /* 2321091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2321094 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2321097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321130 */     // GIR_Coverage, 47610,
     /* 2321130 */     GIR_EraseRootFromParent_Done,
     /* 2321131 */   // Label 28026: @2321131
     /* 2321131 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2321176), // Rule ID 47611 //
     /* 2321136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2321139 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2321142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321175 */     // GIR_Coverage, 47611,
     /* 2321175 */     GIR_EraseRootFromParent_Done,
     /* 2321176 */   // Label 28027: @2321176
     /* 2321176 */   GIM_Reject,
     /* 2321177 */ // Label 28025: @2321177
     /* 2321177 */ GIM_Reject,
     /* 2321178 */ // Label 27970: @2321178
     /* 2321178 */ GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2321292),
     /* 2321183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2321186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2321189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2321201 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2321246), // Rule ID 47554 //
     /* 2321206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321209 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2321212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2321226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321245 */     // GIR_Coverage, 47554,
     /* 2321245 */     GIR_EraseRootFromParent_Done,
     /* 2321246 */   // Label 28029: @2321246
     /* 2321246 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2321291), // Rule ID 47555 //
     /* 2321251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321254 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2321257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2321271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321290 */     // GIR_Coverage, 47555,
     /* 2321290 */     GIR_EraseRootFromParent_Done,
     /* 2321291 */   // Label 28030: @2321291
     /* 2321291 */   GIM_Reject,
     /* 2321292 */ // Label 28028: @2321292
     /* 2321292 */ GIM_Reject,
     /* 2321293 */ // Label 27971: @2321293
     /* 2321293 */ GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2321407),
     /* 2321298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2321301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2321304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321316 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2321361), // Rule ID 47582 //
     /* 2321321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321324 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2321327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2321341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321360 */     // GIR_Coverage, 47582,
     /* 2321360 */     GIR_EraseRootFromParent_Done,
     /* 2321361 */   // Label 28032: @2321361
     /* 2321361 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2321406), // Rule ID 47583 //
     /* 2321366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321369 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2321372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2321386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321405 */     // GIR_Coverage, 47583,
     /* 2321405 */     GIR_EraseRootFromParent_Done,
     /* 2321406 */   // Label 28033: @2321406
     /* 2321406 */   GIM_Reject,
     /* 2321407 */ // Label 28031: @2321407
     /* 2321407 */ GIM_Reject,
     /* 2321408 */ // Label 27972: @2321408
     /* 2321408 */ GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2321522),
     /* 2321413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2321416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2321419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321431 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2321476), // Rule ID 47598 //
     /* 2321436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321439 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2321442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321475 */     // GIR_Coverage, 47598,
     /* 2321475 */     GIR_EraseRootFromParent_Done,
     /* 2321476 */   // Label 28035: @2321476
     /* 2321476 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2321521), // Rule ID 47599 //
     /* 2321481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321484 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2321487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321520 */     // GIR_Coverage, 47599,
     /* 2321520 */     GIR_EraseRootFromParent_Done,
     /* 2321521 */   // Label 28036: @2321521
     /* 2321521 */   GIM_Reject,
     /* 2321522 */ // Label 28034: @2321522
     /* 2321522 */ GIM_Reject,
     /* 2321523 */ // Label 27973: @2321523
     /* 2321523 */ GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2321637),
     /* 2321528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2321531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2321534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321546 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2321591), // Rule ID 47614 //
     /* 2321551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2321554 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2321557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2321571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321590 */     // GIR_Coverage, 47614,
     /* 2321590 */     GIR_EraseRootFromParent_Done,
     /* 2321591 */   // Label 28038: @2321591
     /* 2321591 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2321636), // Rule ID 47615 //
     /* 2321596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2321599 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2321602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2321616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2321631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321635 */     // GIR_Coverage, 47615,
     /* 2321635 */     GIR_EraseRootFromParent_Done,
     /* 2321636 */   // Label 28039: @2321636
     /* 2321636 */   GIM_Reject,
     /* 2321637 */ // Label 28037: @2321637
     /* 2321637 */ GIM_Reject,
     /* 2321638 */ // Label 27974: @2321638
     /* 2321638 */ GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2321752),
     /* 2321643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2321646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2321649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2321661 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2321706), // Rule ID 47570 //
     /* 2321666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321669 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2321672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2321686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321705 */     // GIR_Coverage, 47570,
     /* 2321705 */     GIR_EraseRootFromParent_Done,
     /* 2321706 */   // Label 28041: @2321706
     /* 2321706 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2321751), // Rule ID 47571 //
     /* 2321711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321714 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2321717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2321731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321750 */     // GIR_Coverage, 47571,
     /* 2321750 */     GIR_EraseRootFromParent_Done,
     /* 2321751 */   // Label 28042: @2321751
     /* 2321751 */   GIM_Reject,
     /* 2321752 */ // Label 28040: @2321752
     /* 2321752 */ GIM_Reject,
     /* 2321753 */ // Label 27975: @2321753
     /* 2321753 */ GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2321867),
     /* 2321758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2321764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321776 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2321821), // Rule ID 47586 //
     /* 2321781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321784 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2321787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321820 */     // GIR_Coverage, 47586,
     /* 2321820 */     GIR_EraseRootFromParent_Done,
     /* 2321821 */   // Label 28044: @2321821
     /* 2321821 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2321866), // Rule ID 47587 //
     /* 2321826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321829 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2321832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2321846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321865 */     // GIR_Coverage, 47587,
     /* 2321865 */     GIR_EraseRootFromParent_Done,
     /* 2321866 */   // Label 28045: @2321866
     /* 2321866 */   GIM_Reject,
     /* 2321867 */ // Label 28043: @2321867
     /* 2321867 */ GIM_Reject,
     /* 2321868 */ // Label 27976: @2321868
     /* 2321868 */ GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2321982),
     /* 2321873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2321879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321891 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2321936), // Rule ID 47602 //
     /* 2321896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2321899 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2321899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2321902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2321916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321935 */     // GIR_Coverage, 47602,
     /* 2321935 */     GIR_EraseRootFromParent_Done,
     /* 2321936 */   // Label 28047: @2321936
     /* 2321936 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2321981), // Rule ID 47603 //
     /* 2321941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2321944 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2321944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2321947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2321951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2321956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2321958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2321961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2321966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2321970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2321979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321980 */     // GIR_Coverage, 47603,
     /* 2321980 */     GIR_EraseRootFromParent_Done,
     /* 2321981 */   // Label 28048: @2321981
     /* 2321981 */   GIM_Reject,
     /* 2321982 */ // Label 28046: @2321982
     /* 2321982 */ GIM_Reject,
     /* 2321983 */ // Label 27977: @2321983
     /* 2321983 */ GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2322097),
     /* 2321988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2321991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2321994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2322006 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2322051), // Rule ID 47574 //
     /* 2322011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322014 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2322017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2322031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322050 */     // GIR_Coverage, 47574,
     /* 2322050 */     GIR_EraseRootFromParent_Done,
     /* 2322051 */   // Label 28050: @2322051
     /* 2322051 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2322096), // Rule ID 47575 //
     /* 2322056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322059 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2322062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2322076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322095 */     // GIR_Coverage, 47575,
     /* 2322095 */     GIR_EraseRootFromParent_Done,
     /* 2322096 */   // Label 28051: @2322096
     /* 2322096 */   GIM_Reject,
     /* 2322097 */ // Label 28049: @2322097
     /* 2322097 */ GIM_Reject,
     /* 2322098 */ // Label 27978: @2322098
     /* 2322098 */ GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2322212),
     /* 2322103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2322109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322121 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2322166), // Rule ID 47590 //
     /* 2322126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322129 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2322132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2322146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322165 */     // GIR_Coverage, 47590,
     /* 2322165 */     GIR_EraseRootFromParent_Done,
     /* 2322166 */   // Label 28053: @2322166
     /* 2322166 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2322211), // Rule ID 47591 //
     /* 2322171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322174 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2322177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2322191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322210 */     // GIR_Coverage, 47591,
     /* 2322210 */     GIR_EraseRootFromParent_Done,
     /* 2322211 */   // Label 28054: @2322211
     /* 2322211 */   GIM_Reject,
     /* 2322212 */ // Label 28052: @2322212
     /* 2322212 */ GIM_Reject,
     /* 2322213 */ // Label 27979: @2322213
     /* 2322213 */ GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2322327),
     /* 2322218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2322221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2322224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322236 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2322281), // Rule ID 47578 //
     /* 2322241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322244 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2322247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2322261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322280 */     // GIR_Coverage, 47578,
     /* 2322280 */     GIR_EraseRootFromParent_Done,
     /* 2322281 */   // Label 28056: @2322281
     /* 2322281 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2322326), // Rule ID 47579 //
     /* 2322286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322289 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2322292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2322306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322325 */     // GIR_Coverage, 47579,
     /* 2322325 */     GIR_EraseRootFromParent_Done,
     /* 2322326 */   // Label 28057: @2322326
     /* 2322326 */   GIM_Reject,
     /* 2322327 */ // Label 28055: @2322327
     /* 2322327 */ GIM_Reject,
     /* 2322328 */ // Label 27980: @2322328
     /* 2322328 */ GIM_Reject,
     /* 2322329 */ // Label 44: @2322329
     /* 2322329 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28082*/ GIMT_Encode4(2325359),
     /* 2322340 */ /*GILLT_s32*//*Label 28058*/ GIMT_Encode4(2322464),
     /* 2322344 */ /*GILLT_s64*//*Label 28059*/ GIMT_Encode4(2322548), GIMT_Encode4(0),
     /* 2322352 */ /*GILLT_nxv1s8*//*Label 28060*/ GIMT_Encode4(2322829),
     /* 2322356 */ /*GILLT_nxv1s16*//*Label 28061*/ GIMT_Encode4(2322944),
     /* 2322360 */ /*GILLT_nxv1s32*//*Label 28062*/ GIMT_Encode4(2323059),
     /* 2322364 */ /*GILLT_nxv1s64*//*Label 28063*/ GIMT_Encode4(2323174), GIMT_Encode4(0),
     /* 2322372 */ /*GILLT_nxv2s8*//*Label 28064*/ GIMT_Encode4(2323289),
     /* 2322376 */ /*GILLT_nxv2s16*//*Label 28065*/ GIMT_Encode4(2323404),
     /* 2322380 */ /*GILLT_nxv2s32*//*Label 28066*/ GIMT_Encode4(2323519),
     /* 2322384 */ /*GILLT_nxv2s64*//*Label 28067*/ GIMT_Encode4(2323634), GIMT_Encode4(0),
     /* 2322392 */ /*GILLT_nxv4s8*//*Label 28068*/ GIMT_Encode4(2323749),
     /* 2322396 */ /*GILLT_nxv4s16*//*Label 28069*/ GIMT_Encode4(2323864),
     /* 2322400 */ /*GILLT_nxv4s32*//*Label 28070*/ GIMT_Encode4(2323979),
     /* 2322404 */ /*GILLT_nxv4s64*//*Label 28071*/ GIMT_Encode4(2324094), GIMT_Encode4(0),
     /* 2322412 */ /*GILLT_nxv8s8*//*Label 28072*/ GIMT_Encode4(2324209),
     /* 2322416 */ /*GILLT_nxv8s16*//*Label 28073*/ GIMT_Encode4(2324324),
     /* 2322420 */ /*GILLT_nxv8s32*//*Label 28074*/ GIMT_Encode4(2324439),
     /* 2322424 */ /*GILLT_nxv8s64*//*Label 28075*/ GIMT_Encode4(2324554), GIMT_Encode4(0),
     /* 2322432 */ /*GILLT_nxv16s8*//*Label 28076*/ GIMT_Encode4(2324669),
     /* 2322436 */ /*GILLT_nxv16s16*//*Label 28077*/ GIMT_Encode4(2324784),
     /* 2322440 */ /*GILLT_nxv16s32*//*Label 28078*/ GIMT_Encode4(2324899), GIMT_Encode4(0),
     /* 2322448 */ /*GILLT_nxv32s8*//*Label 28079*/ GIMT_Encode4(2325014),
     /* 2322452 */ /*GILLT_nxv32s16*//*Label 28080*/ GIMT_Encode4(2325129), GIMT_Encode4(0),
     /* 2322460 */ /*GILLT_nxv64s8*//*Label 28081*/ GIMT_Encode4(2325244),
     /* 2322464 */ // Label 28058: @2322464
     /* 2322464 */ GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2322547),
     /* 2322469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2322472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2322475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322483 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2322517), // Rule ID 93 //
     /* 2322488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2322491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2322503 */     // MIs[1] Operand 1
     /* 2322503 */     // No operand predicates
     /* 2322503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322505 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2322505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2322508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2322515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322516 */     // GIR_Coverage, 93,
     /* 2322516 */     GIR_EraseRootFromParent_Done,
     /* 2322517 */   // Label 28084: @2322517
     /* 2322517 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2322546), // Rule ID 107 //
     /* 2322522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2322525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2322532 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2322532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2322535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2322544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322545 */     // GIR_Coverage, 107,
     /* 2322545 */     GIR_EraseRootFromParent_Done,
     /* 2322546 */   // Label 28085: @2322546
     /* 2322546 */   GIM_Reject,
     /* 2322547 */ // Label 28083: @2322547
     /* 2322547 */ GIM_Reject,
     /* 2322548 */ // Label 28059: @2322548
     /* 2322548 */ GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2322828),
     /* 2322553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2322556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2322559 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2322631), // Rule ID 257 //
     /* 2322564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2322567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2322579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2322583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2322587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322592 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2322603 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2322607 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322611 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322615 */     // MIs[2] Operand 1
     /* 2322615 */     // No operand predicates
     /* 2322615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322617 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2322617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2322620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2322629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322630 */     // GIR_Coverage, 257,
     /* 2322630 */     GIR_EraseRootFromParent_Done,
     /* 2322631 */   // Label 28087: @2322631
     /* 2322631 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2322676), // Rule ID 61908 //
     /* 2322636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2322639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2322651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2322655 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2322659 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9631),
     /* 2322663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322665 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_9631>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2322665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2322668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322675 */     // GIR_Coverage, 61908,
     /* 2322675 */     GIR_EraseRootFromParent_Done,
     /* 2322676 */   // Label 28088: @2322676
     /* 2322676 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2322748), // Rule ID 269 //
     /* 2322681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2322684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2322696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2322700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322705 */     // MIs[1] Operand 2
     /* 2322705 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2322716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2322720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322724 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2322728 */     // MIs[2] Operand 1
     /* 2322728 */     // No operand predicates
     /* 2322728 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9631),
     /* 2322732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322734 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_9631>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2322734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2322737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2322746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322747 */     // GIR_Coverage, 269,
     /* 2322747 */     GIR_EraseRootFromParent_Done,
     /* 2322748 */   // Label 28089: @2322748
     /* 2322748 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2322790), // Rule ID 92 //
     /* 2322753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2322756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2322772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2322776 */     // MIs[1] Operand 1
     /* 2322776 */     // No operand predicates
     /* 2322776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322778 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2322778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2322781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2322788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322789 */     // GIR_Coverage, 92,
     /* 2322789 */     GIR_EraseRootFromParent_Done,
     /* 2322790 */   // Label 28090: @2322790
     /* 2322790 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2322827), // Rule ID 106 //
     /* 2322795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2322798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322802 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2322806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2322813 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2322813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2322816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2322825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322826 */     // GIR_Coverage, 106,
     /* 2322826 */     GIR_EraseRootFromParent_Done,
     /* 2322827 */   // Label 28091: @2322827
     /* 2322827 */   GIM_Reject,
     /* 2322828 */ // Label 28086: @2322828
     /* 2322828 */ GIM_Reject,
     /* 2322829 */ // Label 28060: @2322829
     /* 2322829 */ GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2322943),
     /* 2322834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2322837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2322840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322848 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322852 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2322897), // Rule ID 47662 //
     /* 2322857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322860 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2322863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2322877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322896 */     // GIR_Coverage, 47662,
     /* 2322896 */     GIR_EraseRootFromParent_Done,
     /* 2322897 */   // Label 28093: @2322897
     /* 2322897 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2322942), // Rule ID 47663 //
     /* 2322902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2322905 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2322905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2322908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2322922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2322931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2322940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322941 */     // GIR_Coverage, 47663,
     /* 2322941 */     GIR_EraseRootFromParent_Done,
     /* 2322942 */   // Label 28094: @2322942
     /* 2322942 */   GIM_Reject,
     /* 2322943 */ // Label 28092: @2322943
     /* 2322943 */ GIM_Reject,
     /* 2322944 */ // Label 28061: @2322944
     /* 2322944 */ GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2323058),
     /* 2322949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2322952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2322955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2322967 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2323012), // Rule ID 47674 //
     /* 2322972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2322975 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2322975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2322978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2322982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2322987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2322989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2322992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2322997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323011 */     // GIR_Coverage, 47674,
     /* 2323011 */     GIR_EraseRootFromParent_Done,
     /* 2323012 */   // Label 28096: @2323012
     /* 2323012 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2323057), // Rule ID 47675 //
     /* 2323017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323020 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2323023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2323037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323056 */     // GIR_Coverage, 47675,
     /* 2323056 */     GIR_EraseRootFromParent_Done,
     /* 2323057 */   // Label 28097: @2323057
     /* 2323057 */   GIM_Reject,
     /* 2323058 */ // Label 28095: @2323058
     /* 2323058 */ GIM_Reject,
     /* 2323059 */ // Label 28062: @2323059
     /* 2323059 */ GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2323173),
     /* 2323064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2323067 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2323070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323078 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323082 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2323127), // Rule ID 47682 //
     /* 2323087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323090 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2323093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323126 */     // GIR_Coverage, 47682,
     /* 2323126 */     GIR_EraseRootFromParent_Done,
     /* 2323127 */   // Label 28099: @2323127
     /* 2323127 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2323172), // Rule ID 47683 //
     /* 2323132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323135 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2323138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323171 */     // GIR_Coverage, 47683,
     /* 2323171 */     GIR_EraseRootFromParent_Done,
     /* 2323172 */   // Label 28100: @2323172
     /* 2323172 */   GIM_Reject,
     /* 2323173 */ // Label 28098: @2323173
     /* 2323173 */ GIM_Reject,
     /* 2323174 */ // Label 28063: @2323174
     /* 2323174 */ GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2323288),
     /* 2323179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2323182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2323185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323197 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2323242), // Rule ID 47698 //
     /* 2323202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2323205 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2323208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323241 */     // GIR_Coverage, 47698,
     /* 2323241 */     GIR_EraseRootFromParent_Done,
     /* 2323242 */   // Label 28102: @2323242
     /* 2323242 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2323287), // Rule ID 47699 //
     /* 2323247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2323250 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2323253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323286 */     // GIR_Coverage, 47699,
     /* 2323286 */     GIR_EraseRootFromParent_Done,
     /* 2323287 */   // Label 28103: @2323287
     /* 2323287 */   GIM_Reject,
     /* 2323288 */ // Label 28101: @2323288
     /* 2323288 */ GIM_Reject,
     /* 2323289 */ // Label 28064: @2323289
     /* 2323289 */ GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2323403),
     /* 2323294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2323297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2323300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323312 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2323357), // Rule ID 47666 //
     /* 2323317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323320 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2323323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2323337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323356 */     // GIR_Coverage, 47666,
     /* 2323356 */     GIR_EraseRootFromParent_Done,
     /* 2323357 */   // Label 28105: @2323357
     /* 2323357 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2323402), // Rule ID 47667 //
     /* 2323362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323365 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2323368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2323382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323401 */     // GIR_Coverage, 47667,
     /* 2323401 */     GIR_EraseRootFromParent_Done,
     /* 2323402 */   // Label 28106: @2323402
     /* 2323402 */   GIM_Reject,
     /* 2323403 */ // Label 28104: @2323403
     /* 2323403 */ GIM_Reject,
     /* 2323404 */ // Label 28065: @2323404
     /* 2323404 */ GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2323518),
     /* 2323409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2323412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2323415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323427 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2323472), // Rule ID 47678 //
     /* 2323432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323435 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2323438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323471 */     // GIR_Coverage, 47678,
     /* 2323471 */     GIR_EraseRootFromParent_Done,
     /* 2323472 */   // Label 28108: @2323472
     /* 2323472 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2323517), // Rule ID 47679 //
     /* 2323477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323480 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2323483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323516 */     // GIR_Coverage, 47679,
     /* 2323516 */     GIR_EraseRootFromParent_Done,
     /* 2323517 */   // Label 28109: @2323517
     /* 2323517 */   GIM_Reject,
     /* 2323518 */ // Label 28107: @2323518
     /* 2323518 */ GIM_Reject,
     /* 2323519 */ // Label 28066: @2323519
     /* 2323519 */ GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2323633),
     /* 2323524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2323527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2323530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323538 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323542 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2323587), // Rule ID 47694 //
     /* 2323547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323550 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323586 */     // GIR_Coverage, 47694,
     /* 2323586 */     GIR_EraseRootFromParent_Done,
     /* 2323587 */   // Label 28111: @2323587
     /* 2323587 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2323632), // Rule ID 47695 //
     /* 2323592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323595 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2323598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323631 */     // GIR_Coverage, 47695,
     /* 2323631 */     GIR_EraseRootFromParent_Done,
     /* 2323632 */   // Label 28112: @2323632
     /* 2323632 */   GIM_Reject,
     /* 2323633 */ // Label 28110: @2323633
     /* 2323633 */ GIM_Reject,
     /* 2323634 */ // Label 28067: @2323634
     /* 2323634 */ GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2323748),
     /* 2323639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2323642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2323645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323657 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2323702), // Rule ID 47738 //
     /* 2323662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2323665 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2323682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323701 */     // GIR_Coverage, 47738,
     /* 2323701 */     GIR_EraseRootFromParent_Done,
     /* 2323702 */   // Label 28114: @2323702
     /* 2323702 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2323747), // Rule ID 47739 //
     /* 2323707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2323710 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2323713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2323727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323746 */     // GIR_Coverage, 47739,
     /* 2323746 */     GIR_EraseRootFromParent_Done,
     /* 2323747 */   // Label 28115: @2323747
     /* 2323747 */   GIM_Reject,
     /* 2323748 */ // Label 28113: @2323748
     /* 2323748 */ GIM_Reject,
     /* 2323749 */ // Label 28068: @2323749
     /* 2323749 */ GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2323863),
     /* 2323754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2323757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2323760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323772 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2323817), // Rule ID 47670 //
     /* 2323777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323780 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2323783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323816 */     // GIR_Coverage, 47670,
     /* 2323816 */     GIR_EraseRootFromParent_Done,
     /* 2323817 */   // Label 28117: @2323817
     /* 2323817 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2323862), // Rule ID 47671 //
     /* 2323822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323825 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2323828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2323842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323861 */     // GIR_Coverage, 47671,
     /* 2323861 */     GIR_EraseRootFromParent_Done,
     /* 2323862 */   // Label 28118: @2323862
     /* 2323862 */   GIM_Reject,
     /* 2323863 */ // Label 28116: @2323863
     /* 2323863 */ GIM_Reject,
     /* 2323864 */ // Label 28069: @2323864
     /* 2323864 */ GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2323978),
     /* 2323869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2323872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2323875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323887 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2323932), // Rule ID 47690 //
     /* 2323892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2323895 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323931 */     // GIR_Coverage, 47690,
     /* 2323931 */     GIR_EraseRootFromParent_Done,
     /* 2323932 */   // Label 28120: @2323932
     /* 2323932 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2323977), // Rule ID 47691 //
     /* 2323937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2323940 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2323943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2323957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323976 */     // GIR_Coverage, 47691,
     /* 2323976 */     GIR_EraseRootFromParent_Done,
     /* 2323977 */   // Label 28121: @2323977
     /* 2323977 */   GIM_Reject,
     /* 2323978 */ // Label 28119: @2323978
     /* 2323978 */ GIM_Reject,
     /* 2323979 */ // Label 28070: @2323979
     /* 2323979 */ GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2324093),
     /* 2323984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2323987 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2323990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2323998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324002 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2324047), // Rule ID 47726 //
     /* 2324007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324010 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324046 */     // GIR_Coverage, 47726,
     /* 2324046 */     GIR_EraseRootFromParent_Done,
     /* 2324047 */   // Label 28123: @2324047
     /* 2324047 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2324092), // Rule ID 47727 //
     /* 2324052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324055 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324091 */     // GIR_Coverage, 47727,
     /* 2324091 */     GIR_EraseRootFromParent_Done,
     /* 2324092 */   // Label 28124: @2324092
     /* 2324092 */   GIM_Reject,
     /* 2324093 */ // Label 28122: @2324093
     /* 2324093 */ GIM_Reject,
     /* 2324094 */ // Label 28071: @2324094
     /* 2324094 */ GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2324208),
     /* 2324099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2324105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324113 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324117 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2324162), // Rule ID 47742 //
     /* 2324122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2324125 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324161 */     // GIR_Coverage, 47742,
     /* 2324161 */     GIR_EraseRootFromParent_Done,
     /* 2324162 */   // Label 28126: @2324162
     /* 2324162 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2324207), // Rule ID 47743 //
     /* 2324167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2324170 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324206 */     // GIR_Coverage, 47743,
     /* 2324206 */     GIR_EraseRootFromParent_Done,
     /* 2324207 */   // Label 28127: @2324207
     /* 2324207 */   GIM_Reject,
     /* 2324208 */ // Label 28125: @2324208
     /* 2324208 */ GIM_Reject,
     /* 2324209 */ // Label 28072: @2324209
     /* 2324209 */ GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2324323),
     /* 2324214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2324217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2324220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324232 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2324277), // Rule ID 47686 //
     /* 2324237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324240 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2324243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2324257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324276 */     // GIR_Coverage, 47686,
     /* 2324276 */     GIR_EraseRootFromParent_Done,
     /* 2324277 */   // Label 28129: @2324277
     /* 2324277 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2324322), // Rule ID 47687 //
     /* 2324282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324285 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2324288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2324302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324321 */     // GIR_Coverage, 47687,
     /* 2324321 */     GIR_EraseRootFromParent_Done,
     /* 2324322 */   // Label 28130: @2324322
     /* 2324322 */   GIM_Reject,
     /* 2324323 */ // Label 28128: @2324323
     /* 2324323 */ GIM_Reject,
     /* 2324324 */ // Label 28073: @2324324
     /* 2324324 */ GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2324438),
     /* 2324329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2324335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324347 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2324392), // Rule ID 47714 //
     /* 2324352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324355 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324391 */     // GIR_Coverage, 47714,
     /* 2324391 */     GIR_EraseRootFromParent_Done,
     /* 2324392 */   // Label 28132: @2324392
     /* 2324392 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2324437), // Rule ID 47715 //
     /* 2324397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324400 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324436 */     // GIR_Coverage, 47715,
     /* 2324436 */     GIR_EraseRootFromParent_Done,
     /* 2324437 */   // Label 28133: @2324437
     /* 2324437 */   GIM_Reject,
     /* 2324438 */ // Label 28131: @2324438
     /* 2324438 */ GIM_Reject,
     /* 2324439 */ // Label 28074: @2324439
     /* 2324439 */ GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2324553),
     /* 2324444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2324450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324462 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2324507), // Rule ID 47730 //
     /* 2324467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324470 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324506 */     // GIR_Coverage, 47730,
     /* 2324506 */     GIR_EraseRootFromParent_Done,
     /* 2324507 */   // Label 28135: @2324507
     /* 2324507 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2324552), // Rule ID 47731 //
     /* 2324512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324515 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324551 */     // GIR_Coverage, 47731,
     /* 2324551 */     GIR_EraseRootFromParent_Done,
     /* 2324552 */   // Label 28136: @2324552
     /* 2324552 */   GIM_Reject,
     /* 2324553 */ // Label 28134: @2324553
     /* 2324553 */ GIM_Reject,
     /* 2324554 */ // Label 28075: @2324554
     /* 2324554 */ GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2324668),
     /* 2324559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2324562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2324565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324577 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2324622), // Rule ID 47746 //
     /* 2324582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2324585 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2324602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324621 */     // GIR_Coverage, 47746,
     /* 2324621 */     GIR_EraseRootFromParent_Done,
     /* 2324622 */   // Label 28138: @2324622
     /* 2324622 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2324667), // Rule ID 47747 //
     /* 2324627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2324630 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2324633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2324647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324666 */     // GIR_Coverage, 47747,
     /* 2324666 */     GIR_EraseRootFromParent_Done,
     /* 2324667 */   // Label 28139: @2324667
     /* 2324667 */   GIM_Reject,
     /* 2324668 */ // Label 28137: @2324668
     /* 2324668 */ GIM_Reject,
     /* 2324669 */ // Label 28076: @2324669
     /* 2324669 */ GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2324783),
     /* 2324674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2324677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2324680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324692 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2324737), // Rule ID 47702 //
     /* 2324697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324700 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324736 */     // GIR_Coverage, 47702,
     /* 2324736 */     GIR_EraseRootFromParent_Done,
     /* 2324737 */   // Label 28141: @2324737
     /* 2324737 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2324782), // Rule ID 47703 //
     /* 2324742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324745 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2324748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2324762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324781 */     // GIR_Coverage, 47703,
     /* 2324781 */     GIR_EraseRootFromParent_Done,
     /* 2324782 */   // Label 28142: @2324782
     /* 2324782 */   GIM_Reject,
     /* 2324783 */ // Label 28140: @2324783
     /* 2324783 */ GIM_Reject,
     /* 2324784 */ // Label 28077: @2324784
     /* 2324784 */ GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2324898),
     /* 2324789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2324792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2324795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324799 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324807 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2324852), // Rule ID 47718 //
     /* 2324812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324815 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324851 */     // GIR_Coverage, 47718,
     /* 2324851 */     GIR_EraseRootFromParent_Done,
     /* 2324852 */   // Label 28144: @2324852
     /* 2324852 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2324897), // Rule ID 47719 //
     /* 2324857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324860 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2324863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2324877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324896 */     // GIR_Coverage, 47719,
     /* 2324896 */     GIR_EraseRootFromParent_Done,
     /* 2324897 */   // Label 28145: @2324897
     /* 2324897 */   GIM_Reject,
     /* 2324898 */ // Label 28143: @2324898
     /* 2324898 */ GIM_Reject,
     /* 2324899 */ // Label 28078: @2324899
     /* 2324899 */ GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2325013),
     /* 2324904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2324907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2324910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2324922 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2324967), // Rule ID 47734 //
     /* 2324927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2324930 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2324947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324966 */     // GIR_Coverage, 47734,
     /* 2324966 */     GIR_EraseRootFromParent_Done,
     /* 2324967 */   // Label 28147: @2324967
     /* 2324967 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2325012), // Rule ID 47735 //
     /* 2324972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2324975 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2324978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2324992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325011 */     // GIR_Coverage, 47735,
     /* 2325011 */     GIR_EraseRootFromParent_Done,
     /* 2325012 */   // Label 28148: @2325012
     /* 2325012 */   GIM_Reject,
     /* 2325013 */ // Label 28146: @2325013
     /* 2325013 */ GIM_Reject,
     /* 2325014 */ // Label 28079: @2325014
     /* 2325014 */ GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2325128),
     /* 2325019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2325022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2325025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325033 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325037 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2325082), // Rule ID 47706 //
     /* 2325042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325045 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2325048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2325062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325081 */     // GIR_Coverage, 47706,
     /* 2325081 */     GIR_EraseRootFromParent_Done,
     /* 2325082 */   // Label 28150: @2325082
     /* 2325082 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2325127), // Rule ID 47707 //
     /* 2325087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325090 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2325093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2325107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325126 */     // GIR_Coverage, 47707,
     /* 2325126 */     GIR_EraseRootFromParent_Done,
     /* 2325127 */   // Label 28151: @2325127
     /* 2325127 */   GIM_Reject,
     /* 2325128 */ // Label 28149: @2325128
     /* 2325128 */ GIM_Reject,
     /* 2325129 */ // Label 28080: @2325129
     /* 2325129 */ GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2325243),
     /* 2325134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2325140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325152 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2325197), // Rule ID 47722 //
     /* 2325157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325160 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2325177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325196 */     // GIR_Coverage, 47722,
     /* 2325196 */     GIR_EraseRootFromParent_Done,
     /* 2325197 */   // Label 28153: @2325197
     /* 2325197 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2325242), // Rule ID 47723 //
     /* 2325202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325205 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2325222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325241 */     // GIR_Coverage, 47723,
     /* 2325241 */     GIR_EraseRootFromParent_Done,
     /* 2325242 */   // Label 28154: @2325242
     /* 2325242 */   GIM_Reject,
     /* 2325243 */ // Label 28152: @2325243
     /* 2325243 */ GIM_Reject,
     /* 2325244 */ // Label 28081: @2325244
     /* 2325244 */ GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2325358),
     /* 2325249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2325252 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2325255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325259 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325267 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2325312), // Rule ID 47710 //
     /* 2325272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325275 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2325278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2325292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325311 */     // GIR_Coverage, 47710,
     /* 2325311 */     GIR_EraseRootFromParent_Done,
     /* 2325312 */   // Label 28156: @2325312
     /* 2325312 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2325357), // Rule ID 47711 //
     /* 2325317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325320 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2325323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2325337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325356 */     // GIR_Coverage, 47711,
     /* 2325356 */     GIR_EraseRootFromParent_Done,
     /* 2325357 */   // Label 28157: @2325357
     /* 2325357 */   GIM_Reject,
     /* 2325358 */ // Label 28155: @2325358
     /* 2325358 */ GIM_Reject,
     /* 2325359 */ // Label 28082: @2325359
     /* 2325359 */ GIM_Reject,
     /* 2325360 */ // Label 45: @2325360
     /* 2325360 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28182*/ GIMT_Encode4(2328298),
     /* 2325371 */ /*GILLT_s32*//*Label 28158*/ GIMT_Encode4(2325495),
     /* 2325375 */ /*GILLT_s64*//*Label 28159*/ GIMT_Encode4(2325579), GIMT_Encode4(0),
     /* 2325383 */ /*GILLT_nxv1s8*//*Label 28160*/ GIMT_Encode4(2325768),
     /* 2325387 */ /*GILLT_nxv1s16*//*Label 28161*/ GIMT_Encode4(2325883),
     /* 2325391 */ /*GILLT_nxv1s32*//*Label 28162*/ GIMT_Encode4(2325998),
     /* 2325395 */ /*GILLT_nxv1s64*//*Label 28163*/ GIMT_Encode4(2326113), GIMT_Encode4(0),
     /* 2325403 */ /*GILLT_nxv2s8*//*Label 28164*/ GIMT_Encode4(2326228),
     /* 2325407 */ /*GILLT_nxv2s16*//*Label 28165*/ GIMT_Encode4(2326343),
     /* 2325411 */ /*GILLT_nxv2s32*//*Label 28166*/ GIMT_Encode4(2326458),
     /* 2325415 */ /*GILLT_nxv2s64*//*Label 28167*/ GIMT_Encode4(2326573), GIMT_Encode4(0),
     /* 2325423 */ /*GILLT_nxv4s8*//*Label 28168*/ GIMT_Encode4(2326688),
     /* 2325427 */ /*GILLT_nxv4s16*//*Label 28169*/ GIMT_Encode4(2326803),
     /* 2325431 */ /*GILLT_nxv4s32*//*Label 28170*/ GIMT_Encode4(2326918),
     /* 2325435 */ /*GILLT_nxv4s64*//*Label 28171*/ GIMT_Encode4(2327033), GIMT_Encode4(0),
     /* 2325443 */ /*GILLT_nxv8s8*//*Label 28172*/ GIMT_Encode4(2327148),
     /* 2325447 */ /*GILLT_nxv8s16*//*Label 28173*/ GIMT_Encode4(2327263),
     /* 2325451 */ /*GILLT_nxv8s32*//*Label 28174*/ GIMT_Encode4(2327378),
     /* 2325455 */ /*GILLT_nxv8s64*//*Label 28175*/ GIMT_Encode4(2327493), GIMT_Encode4(0),
     /* 2325463 */ /*GILLT_nxv16s8*//*Label 28176*/ GIMT_Encode4(2327608),
     /* 2325467 */ /*GILLT_nxv16s16*//*Label 28177*/ GIMT_Encode4(2327723),
     /* 2325471 */ /*GILLT_nxv16s32*//*Label 28178*/ GIMT_Encode4(2327838), GIMT_Encode4(0),
     /* 2325479 */ /*GILLT_nxv32s8*//*Label 28179*/ GIMT_Encode4(2327953),
     /* 2325483 */ /*GILLT_nxv32s16*//*Label 28180*/ GIMT_Encode4(2328068), GIMT_Encode4(0),
     /* 2325491 */ /*GILLT_nxv64s8*//*Label 28181*/ GIMT_Encode4(2328183),
     /* 2325495 */ // Label 28158: @2325495
     /* 2325495 */ GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2325578),
     /* 2325500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2325506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325514 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2325548), // Rule ID 95 //
     /* 2325519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2325522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2325526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2325534 */     // MIs[1] Operand 1
     /* 2325534 */     // No operand predicates
     /* 2325534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325536 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2325536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2325539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2325546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325547 */     // GIR_Coverage, 95,
     /* 2325547 */     GIR_EraseRootFromParent_Done,
     /* 2325548 */   // Label 28184: @2325548
     /* 2325548 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2325577), // Rule ID 109 //
     /* 2325553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2325556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2325563 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2325563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2325566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2325575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325576 */     // GIR_Coverage, 109,
     /* 2325576 */     GIR_EraseRootFromParent_Done,
     /* 2325577 */   // Label 28185: @2325577
     /* 2325577 */   GIM_Reject,
     /* 2325578 */ // Label 28183: @2325578
     /* 2325578 */ GIM_Reject,
     /* 2325579 */ // Label 28159: @2325579
     /* 2325579 */ GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2325767),
     /* 2325584 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2325590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325594 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2325631), // Rule ID 61907 //
     /* 2325599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2325602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2325606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2325610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325614 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2325618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325620 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2325620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2325623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2325629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325630 */     // GIR_Coverage, 61907,
     /* 2325630 */     GIR_EraseRootFromParent_Done,
     /* 2325631 */   // Label 28187: @2325631
     /* 2325631 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2325695), // Rule ID 259 //
     /* 2325636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2325639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2325643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2325647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325656 */     // MIs[1] Operand 2
     /* 2325656 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2325667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2325671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325675 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2325679 */     // MIs[2] Operand 1
     /* 2325679 */     // No operand predicates
     /* 2325679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2325681 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2325681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2325684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2325690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2325693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325694 */     // GIR_Coverage, 259,
     /* 2325694 */     GIR_EraseRootFromParent_Done,
     /* 2325695 */   // Label 28188: @2325695
     /* 2325695 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2325733), // Rule ID 94 //
     /* 2325700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2325703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2325711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2325715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2325719 */     // MIs[1] Operand 1
     /* 2325719 */     // No operand predicates
     /* 2325719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2325721 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2325721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2325724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2325731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325732 */     // GIR_Coverage, 94,
     /* 2325732 */     GIR_EraseRootFromParent_Done,
     /* 2325733 */   // Label 28189: @2325733
     /* 2325733 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2325766), // Rule ID 108 //
     /* 2325738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2325741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2325752 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2325752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2325755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2325764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325765 */     // GIR_Coverage, 108,
     /* 2325765 */     GIR_EraseRootFromParent_Done,
     /* 2325766 */   // Label 28190: @2325766
     /* 2325766 */   GIM_Reject,
     /* 2325767 */ // Label 28186: @2325767
     /* 2325767 */ GIM_Reject,
     /* 2325768 */ // Label 28160: @2325768
     /* 2325768 */ GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2325882),
     /* 2325773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2325776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2325779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325791 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2325836), // Rule ID 47794 //
     /* 2325796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325799 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2325802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2325816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325835 */     // GIR_Coverage, 47794,
     /* 2325835 */     GIR_EraseRootFromParent_Done,
     /* 2325836 */   // Label 28192: @2325836
     /* 2325836 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2325881), // Rule ID 47795 //
     /* 2325841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325844 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2325847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2325861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325880 */     // GIR_Coverage, 47795,
     /* 2325880 */     GIR_EraseRootFromParent_Done,
     /* 2325881 */   // Label 28193: @2325881
     /* 2325881 */   GIM_Reject,
     /* 2325882 */ // Label 28191: @2325882
     /* 2325882 */ GIM_Reject,
     /* 2325883 */ // Label 28161: @2325883
     /* 2325883 */ GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2325997),
     /* 2325888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2325894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325906 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2325951), // Rule ID 47806 //
     /* 2325911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2325914 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2325931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325950 */     // GIR_Coverage, 47806,
     /* 2325950 */     GIR_EraseRootFromParent_Done,
     /* 2325951 */   // Label 28195: @2325951
     /* 2325951 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2325996), // Rule ID 47807 //
     /* 2325956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2325959 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2325976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325995 */     // GIR_Coverage, 47807,
     /* 2325995 */     GIR_EraseRootFromParent_Done,
     /* 2325996 */   // Label 28196: @2325996
     /* 2325996 */   GIM_Reject,
     /* 2325997 */ // Label 28194: @2325997
     /* 2325997 */ GIM_Reject,
     /* 2325998 */ // Label 28162: @2325998
     /* 2325998 */ GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2326112),
     /* 2326003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2326006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2326009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326021 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2326066), // Rule ID 47814 //
     /* 2326026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326029 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326065 */     // GIR_Coverage, 47814,
     /* 2326065 */     GIR_EraseRootFromParent_Done,
     /* 2326066 */   // Label 28198: @2326066
     /* 2326066 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2326111), // Rule ID 47815 //
     /* 2326071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326074 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326110 */     // GIR_Coverage, 47815,
     /* 2326110 */     GIR_EraseRootFromParent_Done,
     /* 2326111 */   // Label 28199: @2326111
     /* 2326111 */   GIM_Reject,
     /* 2326112 */ // Label 28197: @2326112
     /* 2326112 */ GIM_Reject,
     /* 2326113 */ // Label 28163: @2326113
     /* 2326113 */ GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2326227),
     /* 2326118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2326124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326136 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2326181), // Rule ID 47830 //
     /* 2326141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2326144 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326180 */     // GIR_Coverage, 47830,
     /* 2326180 */     GIR_EraseRootFromParent_Done,
     /* 2326181 */   // Label 28201: @2326181
     /* 2326181 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2326226), // Rule ID 47831 //
     /* 2326186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2326189 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326225 */     // GIR_Coverage, 47831,
     /* 2326225 */     GIR_EraseRootFromParent_Done,
     /* 2326226 */   // Label 28202: @2326226
     /* 2326226 */   GIM_Reject,
     /* 2326227 */ // Label 28200: @2326227
     /* 2326227 */ GIM_Reject,
     /* 2326228 */ // Label 28164: @2326228
     /* 2326228 */ GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2326342),
     /* 2326233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2326236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2326239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326251 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2326296), // Rule ID 47798 //
     /* 2326256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326259 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2326262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2326276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326295 */     // GIR_Coverage, 47798,
     /* 2326295 */     GIR_EraseRootFromParent_Done,
     /* 2326296 */   // Label 28204: @2326296
     /* 2326296 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2326341), // Rule ID 47799 //
     /* 2326301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326304 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2326307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2326321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326340 */     // GIR_Coverage, 47799,
     /* 2326340 */     GIR_EraseRootFromParent_Done,
     /* 2326341 */   // Label 28205: @2326341
     /* 2326341 */   GIM_Reject,
     /* 2326342 */ // Label 28203: @2326342
     /* 2326342 */ GIM_Reject,
     /* 2326343 */ // Label 28165: @2326343
     /* 2326343 */ GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2326457),
     /* 2326348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2326354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326366 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2326411), // Rule ID 47810 //
     /* 2326371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326374 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326410 */     // GIR_Coverage, 47810,
     /* 2326410 */     GIR_EraseRootFromParent_Done,
     /* 2326411 */   // Label 28207: @2326411
     /* 2326411 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2326456), // Rule ID 47811 //
     /* 2326416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326419 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326455 */     // GIR_Coverage, 47811,
     /* 2326455 */     GIR_EraseRootFromParent_Done,
     /* 2326456 */   // Label 28208: @2326456
     /* 2326456 */   GIM_Reject,
     /* 2326457 */ // Label 28206: @2326457
     /* 2326457 */ GIM_Reject,
     /* 2326458 */ // Label 28166: @2326458
     /* 2326458 */ GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2326572),
     /* 2326463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2326469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326481 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2326526), // Rule ID 47826 //
     /* 2326486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326489 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326525 */     // GIR_Coverage, 47826,
     /* 2326525 */     GIR_EraseRootFromParent_Done,
     /* 2326526 */   // Label 28210: @2326526
     /* 2326526 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2326571), // Rule ID 47827 //
     /* 2326531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326534 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326570 */     // GIR_Coverage, 47827,
     /* 2326570 */     GIR_EraseRootFromParent_Done,
     /* 2326571 */   // Label 28211: @2326571
     /* 2326571 */   GIM_Reject,
     /* 2326572 */ // Label 28209: @2326572
     /* 2326572 */ GIM_Reject,
     /* 2326573 */ // Label 28167: @2326573
     /* 2326573 */ GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2326687),
     /* 2326578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2326584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326596 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2326641), // Rule ID 47870 //
     /* 2326601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2326604 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2326621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326640 */     // GIR_Coverage, 47870,
     /* 2326640 */     GIR_EraseRootFromParent_Done,
     /* 2326641 */   // Label 28213: @2326641
     /* 2326641 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2326686), // Rule ID 47871 //
     /* 2326646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2326649 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2326666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326685 */     // GIR_Coverage, 47871,
     /* 2326685 */     GIR_EraseRootFromParent_Done,
     /* 2326686 */   // Label 28214: @2326686
     /* 2326686 */   GIM_Reject,
     /* 2326687 */ // Label 28212: @2326687
     /* 2326687 */ GIM_Reject,
     /* 2326688 */ // Label 28168: @2326688
     /* 2326688 */ GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2326802),
     /* 2326693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2326696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2326699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326711 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2326756), // Rule ID 47802 //
     /* 2326716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326719 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2326722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326755 */     // GIR_Coverage, 47802,
     /* 2326755 */     GIR_EraseRootFromParent_Done,
     /* 2326756 */   // Label 28216: @2326756
     /* 2326756 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2326801), // Rule ID 47803 //
     /* 2326761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326764 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2326767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2326781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326800 */     // GIR_Coverage, 47803,
     /* 2326800 */     GIR_EraseRootFromParent_Done,
     /* 2326801 */   // Label 28217: @2326801
     /* 2326801 */   GIM_Reject,
     /* 2326802 */ // Label 28215: @2326802
     /* 2326802 */ GIM_Reject,
     /* 2326803 */ // Label 28169: @2326803
     /* 2326803 */ GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2326917),
     /* 2326808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2326811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2326814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326826 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2326871), // Rule ID 47822 //
     /* 2326831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326834 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326870 */     // GIR_Coverage, 47822,
     /* 2326870 */     GIR_EraseRootFromParent_Done,
     /* 2326871 */   // Label 28219: @2326871
     /* 2326871 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2326916), // Rule ID 47823 //
     /* 2326876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326879 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2326896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326915 */     // GIR_Coverage, 47823,
     /* 2326915 */     GIR_EraseRootFromParent_Done,
     /* 2326916 */   // Label 28220: @2326916
     /* 2326916 */   GIM_Reject,
     /* 2326917 */ // Label 28218: @2326917
     /* 2326917 */ GIM_Reject,
     /* 2326918 */ // Label 28170: @2326918
     /* 2326918 */ GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2327032),
     /* 2326923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2326926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2326929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326941 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2326986), // Rule ID 47858 //
     /* 2326946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2326949 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2326952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2326966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2326973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2326975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326985 */     // GIR_Coverage, 47858,
     /* 2326985 */     GIR_EraseRootFromParent_Done,
     /* 2326986 */   // Label 28222: @2326986
     /* 2326986 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2327031), // Rule ID 47859 //
     /* 2326991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2326994 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2326997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2327011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327030 */     // GIR_Coverage, 47859,
     /* 2327030 */     GIR_EraseRootFromParent_Done,
     /* 2327031 */   // Label 28223: @2327031
     /* 2327031 */   GIM_Reject,
     /* 2327032 */ // Label 28221: @2327032
     /* 2327032 */ GIM_Reject,
     /* 2327033 */ // Label 28171: @2327033
     /* 2327033 */ GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2327147),
     /* 2327038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2327041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2327044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327056 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2327101), // Rule ID 47874 //
     /* 2327061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2327064 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327100 */     // GIR_Coverage, 47874,
     /* 2327100 */     GIR_EraseRootFromParent_Done,
     /* 2327101 */   // Label 28225: @2327101
     /* 2327101 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2327146), // Rule ID 47875 //
     /* 2327106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2327109 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2327112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327145 */     // GIR_Coverage, 47875,
     /* 2327145 */     GIR_EraseRootFromParent_Done,
     /* 2327146 */   // Label 28226: @2327146
     /* 2327146 */   GIM_Reject,
     /* 2327147 */ // Label 28224: @2327147
     /* 2327147 */ GIM_Reject,
     /* 2327148 */ // Label 28172: @2327148
     /* 2327148 */ GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2327262),
     /* 2327153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2327156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2327159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2327171 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2327216), // Rule ID 47818 //
     /* 2327176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327179 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2327182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2327196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327215 */     // GIR_Coverage, 47818,
     /* 2327215 */     GIR_EraseRootFromParent_Done,
     /* 2327216 */   // Label 28228: @2327216
     /* 2327216 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2327261), // Rule ID 47819 //
     /* 2327221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327224 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2327227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2327241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327260 */     // GIR_Coverage, 47819,
     /* 2327260 */     GIR_EraseRootFromParent_Done,
     /* 2327261 */   // Label 28229: @2327261
     /* 2327261 */   GIM_Reject,
     /* 2327262 */ // Label 28227: @2327262
     /* 2327262 */ GIM_Reject,
     /* 2327263 */ // Label 28173: @2327263
     /* 2327263 */ GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2327377),
     /* 2327268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2327271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2327274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327282 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327286 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2327331), // Rule ID 47846 //
     /* 2327291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327294 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2327311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327330 */     // GIR_Coverage, 47846,
     /* 2327330 */     GIR_EraseRootFromParent_Done,
     /* 2327331 */   // Label 28231: @2327331
     /* 2327331 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2327376), // Rule ID 47847 //
     /* 2327336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327339 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2327342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2327356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327375 */     // GIR_Coverage, 47847,
     /* 2327375 */     GIR_EraseRootFromParent_Done,
     /* 2327376 */   // Label 28232: @2327376
     /* 2327376 */   GIM_Reject,
     /* 2327377 */ // Label 28230: @2327377
     /* 2327377 */ GIM_Reject,
     /* 2327378 */ // Label 28174: @2327378
     /* 2327378 */ GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2327492),
     /* 2327383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2327386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2327389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327401 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2327446), // Rule ID 47862 //
     /* 2327406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327409 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2327412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327445 */     // GIR_Coverage, 47862,
     /* 2327445 */     GIR_EraseRootFromParent_Done,
     /* 2327446 */   // Label 28234: @2327446
     /* 2327446 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2327491), // Rule ID 47863 //
     /* 2327451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327454 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2327457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327490 */     // GIR_Coverage, 47863,
     /* 2327490 */     GIR_EraseRootFromParent_Done,
     /* 2327491 */   // Label 28235: @2327491
     /* 2327491 */   GIM_Reject,
     /* 2327492 */ // Label 28233: @2327492
     /* 2327492 */ GIM_Reject,
     /* 2327493 */ // Label 28175: @2327493
     /* 2327493 */ GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2327607),
     /* 2327498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2327501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2327504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327516 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2327561), // Rule ID 47878 //
     /* 2327521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2327524 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2327527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2327541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327560 */     // GIR_Coverage, 47878,
     /* 2327560 */     GIR_EraseRootFromParent_Done,
     /* 2327561 */   // Label 28237: @2327561
     /* 2327561 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2327606), // Rule ID 47879 //
     /* 2327566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2327569 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2327572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2327586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327605 */     // GIR_Coverage, 47879,
     /* 2327605 */     GIR_EraseRootFromParent_Done,
     /* 2327606 */   // Label 28238: @2327606
     /* 2327606 */   GIM_Reject,
     /* 2327607 */ // Label 28236: @2327607
     /* 2327607 */ GIM_Reject,
     /* 2327608 */ // Label 28176: @2327608
     /* 2327608 */ GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2327722),
     /* 2327613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2327616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2327619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2327631 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2327676), // Rule ID 47834 //
     /* 2327636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327639 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2327642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2327656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327675 */     // GIR_Coverage, 47834,
     /* 2327675 */     GIR_EraseRootFromParent_Done,
     /* 2327676 */   // Label 28240: @2327676
     /* 2327676 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2327721), // Rule ID 47835 //
     /* 2327681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327684 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2327687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2327701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327720 */     // GIR_Coverage, 47835,
     /* 2327720 */     GIR_EraseRootFromParent_Done,
     /* 2327721 */   // Label 28241: @2327721
     /* 2327721 */   GIM_Reject,
     /* 2327722 */ // Label 28239: @2327722
     /* 2327722 */ GIM_Reject,
     /* 2327723 */ // Label 28177: @2327723
     /* 2327723 */ GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2327837),
     /* 2327728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2327731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2327734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327746 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2327791), // Rule ID 47850 //
     /* 2327751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327754 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2327757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327790 */     // GIR_Coverage, 47850,
     /* 2327790 */     GIR_EraseRootFromParent_Done,
     /* 2327791 */   // Label 28243: @2327791
     /* 2327791 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2327836), // Rule ID 47851 //
     /* 2327796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327799 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2327802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2327816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327835 */     // GIR_Coverage, 47851,
     /* 2327835 */     GIR_EraseRootFromParent_Done,
     /* 2327836 */   // Label 28244: @2327836
     /* 2327836 */   GIM_Reject,
     /* 2327837 */ // Label 28242: @2327837
     /* 2327837 */ GIM_Reject,
     /* 2327838 */ // Label 28178: @2327838
     /* 2327838 */ GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2327952),
     /* 2327843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2327846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2327849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327861 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2327906), // Rule ID 47866 //
     /* 2327866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327869 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2327872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2327886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327905 */     // GIR_Coverage, 47866,
     /* 2327905 */     GIR_EraseRootFromParent_Done,
     /* 2327906 */   // Label 28246: @2327906
     /* 2327906 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2327951), // Rule ID 47867 //
     /* 2327911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2327914 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2327917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2327931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2327940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327950 */     // GIR_Coverage, 47867,
     /* 2327950 */     GIR_EraseRootFromParent_Done,
     /* 2327951 */   // Label 28247: @2327951
     /* 2327951 */   GIM_Reject,
     /* 2327952 */ // Label 28245: @2327952
     /* 2327952 */ GIM_Reject,
     /* 2327953 */ // Label 28179: @2327953
     /* 2327953 */ GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2328067),
     /* 2327958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2327961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2327964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327976 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2328021), // Rule ID 47838 //
     /* 2327981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2327984 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2327987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2328001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328020 */     // GIR_Coverage, 47838,
     /* 2328020 */     GIR_EraseRootFromParent_Done,
     /* 2328021 */   // Label 28249: @2328021
     /* 2328021 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2328066), // Rule ID 47839 //
     /* 2328026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2328029 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2328032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2328046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328065 */     // GIR_Coverage, 47839,
     /* 2328065 */     GIR_EraseRootFromParent_Done,
     /* 2328066 */   // Label 28250: @2328066
     /* 2328066 */   GIM_Reject,
     /* 2328067 */ // Label 28248: @2328067
     /* 2328067 */ GIM_Reject,
     /* 2328068 */ // Label 28180: @2328068
     /* 2328068 */ GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2328182),
     /* 2328073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2328076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2328079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328091 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2328136), // Rule ID 47854 //
     /* 2328096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2328099 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2328102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2328116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328135 */     // GIR_Coverage, 47854,
     /* 2328135 */     GIR_EraseRootFromParent_Done,
     /* 2328136 */   // Label 28252: @2328136
     /* 2328136 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2328181), // Rule ID 47855 //
     /* 2328141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2328144 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2328147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2328161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328180 */     // GIR_Coverage, 47855,
     /* 2328180 */     GIR_EraseRootFromParent_Done,
     /* 2328181 */   // Label 28253: @2328181
     /* 2328181 */   GIM_Reject,
     /* 2328182 */ // Label 28251: @2328182
     /* 2328182 */ GIM_Reject,
     /* 2328183 */ // Label 28181: @2328183
     /* 2328183 */ GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2328297),
     /* 2328188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2328191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2328194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2328206 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2328251), // Rule ID 47842 //
     /* 2328211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2328214 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2328217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2328231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328250 */     // GIR_Coverage, 47842,
     /* 2328250 */     GIR_EraseRootFromParent_Done,
     /* 2328251 */   // Label 28255: @2328251
     /* 2328251 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2328296), // Rule ID 47843 //
     /* 2328256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2328259 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2328262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2328276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328295 */     // GIR_Coverage, 47843,
     /* 2328295 */     GIR_EraseRootFromParent_Done,
     /* 2328296 */   // Label 28256: @2328296
     /* 2328296 */   GIM_Reject,
     /* 2328297 */ // Label 28254: @2328297
     /* 2328297 */ GIM_Reject,
     /* 2328298 */ // Label 28182: @2328298
     /* 2328298 */ GIM_Reject,
     /* 2328299 */ // Label 46: @2328299
     /* 2328299 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28281*/ GIMT_Encode4(2331238),
     /* 2328310 */ /*GILLT_s32*//*Label 28257*/ GIMT_Encode4(2328434),
     /* 2328314 */ /*GILLT_s64*//*Label 28258*/ GIMT_Encode4(2328571), GIMT_Encode4(0),
     /* 2328322 */ /*GILLT_nxv1s8*//*Label 28259*/ GIMT_Encode4(2328708),
     /* 2328326 */ /*GILLT_nxv1s16*//*Label 28260*/ GIMT_Encode4(2328823),
     /* 2328330 */ /*GILLT_nxv1s32*//*Label 28261*/ GIMT_Encode4(2328938),
     /* 2328334 */ /*GILLT_nxv1s64*//*Label 28262*/ GIMT_Encode4(2329053), GIMT_Encode4(0),
     /* 2328342 */ /*GILLT_nxv2s8*//*Label 28263*/ GIMT_Encode4(2329168),
     /* 2328346 */ /*GILLT_nxv2s16*//*Label 28264*/ GIMT_Encode4(2329283),
     /* 2328350 */ /*GILLT_nxv2s32*//*Label 28265*/ GIMT_Encode4(2329398),
     /* 2328354 */ /*GILLT_nxv2s64*//*Label 28266*/ GIMT_Encode4(2329513), GIMT_Encode4(0),
     /* 2328362 */ /*GILLT_nxv4s8*//*Label 28267*/ GIMT_Encode4(2329628),
     /* 2328366 */ /*GILLT_nxv4s16*//*Label 28268*/ GIMT_Encode4(2329743),
     /* 2328370 */ /*GILLT_nxv4s32*//*Label 28269*/ GIMT_Encode4(2329858),
     /* 2328374 */ /*GILLT_nxv4s64*//*Label 28270*/ GIMT_Encode4(2329973), GIMT_Encode4(0),
     /* 2328382 */ /*GILLT_nxv8s8*//*Label 28271*/ GIMT_Encode4(2330088),
     /* 2328386 */ /*GILLT_nxv8s16*//*Label 28272*/ GIMT_Encode4(2330203),
     /* 2328390 */ /*GILLT_nxv8s32*//*Label 28273*/ GIMT_Encode4(2330318),
     /* 2328394 */ /*GILLT_nxv8s64*//*Label 28274*/ GIMT_Encode4(2330433), GIMT_Encode4(0),
     /* 2328402 */ /*GILLT_nxv16s8*//*Label 28275*/ GIMT_Encode4(2330548),
     /* 2328406 */ /*GILLT_nxv16s16*//*Label 28276*/ GIMT_Encode4(2330663),
     /* 2328410 */ /*GILLT_nxv16s32*//*Label 28277*/ GIMT_Encode4(2330778), GIMT_Encode4(0),
     /* 2328418 */ /*GILLT_nxv32s8*//*Label 28278*/ GIMT_Encode4(2330893),
     /* 2328422 */ /*GILLT_nxv32s16*//*Label 28279*/ GIMT_Encode4(2331008), GIMT_Encode4(0),
     /* 2328430 */ /*GILLT_nxv64s8*//*Label 28280*/ GIMT_Encode4(2331123),
     /* 2328434 */ // Label 28257: @2328434
     /* 2328434 */ GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2328570),
     /* 2328439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2328445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328453 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2328487), // Rule ID 2321 //
     /* 2328458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2328461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2328469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2328473 */     // MIs[1] Operand 1
     /* 2328473 */     // No operand predicates
     /* 2328473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328475 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2328475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2328478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2328485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328486 */     // GIR_Coverage, 2321,
     /* 2328486 */     GIR_EraseRootFromParent_Done,
     /* 2328487 */   // Label 28283: @2328487
     /* 2328487 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2328521), // Rule ID 61889 //
     /* 2328492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2328495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2328503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2328507 */     // MIs[1] Operand 1
     /* 2328507 */     // No operand predicates
     /* 2328507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328509 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2328509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2328512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2328519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328520 */     // GIR_Coverage, 61889,
     /* 2328520 */     GIR_EraseRootFromParent_Done,
     /* 2328521 */   // Label 28284: @2328521
     /* 2328521 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2328550), // Rule ID 2319 //
     /* 2328526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2328529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2328536 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2328536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2328539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2328548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328549 */     // GIR_Coverage, 2319,
     /* 2328549 */     GIR_EraseRootFromParent_Done,
     /* 2328550 */   // Label 28285: @2328550
     /* 2328550 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2328569), // Rule ID 63787 //
     /* 2328555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2328558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328562 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2328562 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2328567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328568 */     // GIR_Coverage, 63787,
     /* 2328568 */     GIR_Done,
     /* 2328569 */   // Label 28286: @2328569
     /* 2328569 */   GIM_Reject,
     /* 2328570 */ // Label 28282: @2328570
     /* 2328570 */ GIM_Reject,
     /* 2328571 */ // Label 28258: @2328571
     /* 2328571 */ GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2328707),
     /* 2328576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2328582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328590 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2328624), // Rule ID 2320 //
     /* 2328595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2328598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2328606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2328610 */     // MIs[1] Operand 1
     /* 2328610 */     // No operand predicates
     /* 2328610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328612 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2328612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2328615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2328622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328623 */     // GIR_Coverage, 2320,
     /* 2328623 */     GIR_EraseRootFromParent_Done,
     /* 2328624 */   // Label 28288: @2328624
     /* 2328624 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2328658), // Rule ID 61888 //
     /* 2328629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2328632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2328636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2328640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2328644 */     // MIs[1] Operand 1
     /* 2328644 */     // No operand predicates
     /* 2328644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2328646 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2328646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2328649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2328656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328657 */     // GIR_Coverage, 61888,
     /* 2328657 */     GIR_EraseRootFromParent_Done,
     /* 2328658 */   // Label 28289: @2328658
     /* 2328658 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2328687), // Rule ID 2318 //
     /* 2328663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2328666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2328673 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2328673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2328676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2328685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328686 */     // GIR_Coverage, 2318,
     /* 2328686 */     GIR_EraseRootFromParent_Done,
     /* 2328687 */   // Label 28290: @2328687
     /* 2328687 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2328706), // Rule ID 63786 //
     /* 2328692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2328695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328699 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2328699 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2328704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328705 */     // GIR_Coverage, 63786,
     /* 2328705 */     GIR_Done,
     /* 2328706 */   // Label 28291: @2328706
     /* 2328706 */   GIM_Reject,
     /* 2328707 */ // Label 28287: @2328707
     /* 2328707 */ GIM_Reject,
     /* 2328708 */ // Label 28259: @2328708
     /* 2328708 */ GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2328822),
     /* 2328713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2328716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2328719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328731 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2328776), // Rule ID 58706 //
     /* 2328736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2328739 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2328742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2328756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328775 */     // GIR_Coverage, 58706,
     /* 2328775 */     GIR_EraseRootFromParent_Done,
     /* 2328776 */   // Label 28293: @2328776
     /* 2328776 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2328821), // Rule ID 58707 //
     /* 2328781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2328784 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2328787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2328801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328820 */     // GIR_Coverage, 58707,
     /* 2328820 */     GIR_EraseRootFromParent_Done,
     /* 2328821 */   // Label 28294: @2328821
     /* 2328821 */   GIM_Reject,
     /* 2328822 */ // Label 28292: @2328822
     /* 2328822 */ GIM_Reject,
     /* 2328823 */ // Label 28260: @2328823
     /* 2328823 */ GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2328937),
     /* 2328828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2328831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2328834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328846 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2328891), // Rule ID 58718 //
     /* 2328851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2328854 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2328871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328890 */     // GIR_Coverage, 58718,
     /* 2328890 */     GIR_EraseRootFromParent_Done,
     /* 2328891 */   // Label 28296: @2328891
     /* 2328891 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2328936), // Rule ID 58719 //
     /* 2328896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2328899 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2328916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328935 */     // GIR_Coverage, 58719,
     /* 2328935 */     GIR_EraseRootFromParent_Done,
     /* 2328936 */   // Label 28297: @2328936
     /* 2328936 */   GIM_Reject,
     /* 2328937 */ // Label 28295: @2328937
     /* 2328937 */ GIM_Reject,
     /* 2328938 */ // Label 28261: @2328938
     /* 2328938 */ GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2329052),
     /* 2328943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2328946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2328949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328961 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2329006), // Rule ID 58726 //
     /* 2328966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2328969 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2328972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2328986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2328995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329005 */     // GIR_Coverage, 58726,
     /* 2329005 */     GIR_EraseRootFromParent_Done,
     /* 2329006 */   // Label 28299: @2329006
     /* 2329006 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2329051), // Rule ID 58727 //
     /* 2329011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329014 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2329017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2329031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329050 */     // GIR_Coverage, 58727,
     /* 2329050 */     GIR_EraseRootFromParent_Done,
     /* 2329051 */   // Label 28300: @2329051
     /* 2329051 */   GIM_Reject,
     /* 2329052 */ // Label 28298: @2329052
     /* 2329052 */ GIM_Reject,
     /* 2329053 */ // Label 28262: @2329053
     /* 2329053 */ GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2329167),
     /* 2329058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2329061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2329064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329076 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2329121), // Rule ID 58742 //
     /* 2329081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2329084 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329120 */     // GIR_Coverage, 58742,
     /* 2329120 */     GIR_EraseRootFromParent_Done,
     /* 2329121 */   // Label 28302: @2329121
     /* 2329121 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2329166), // Rule ID 58743 //
     /* 2329126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2329129 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2329132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329165 */     // GIR_Coverage, 58743,
     /* 2329165 */     GIR_EraseRootFromParent_Done,
     /* 2329166 */   // Label 28303: @2329166
     /* 2329166 */   GIM_Reject,
     /* 2329167 */ // Label 28301: @2329167
     /* 2329167 */ GIM_Reject,
     /* 2329168 */ // Label 28263: @2329168
     /* 2329168 */ GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2329282),
     /* 2329173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2329176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2329179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329191 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2329236), // Rule ID 58710 //
     /* 2329196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329199 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2329202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2329216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329235 */     // GIR_Coverage, 58710,
     /* 2329235 */     GIR_EraseRootFromParent_Done,
     /* 2329236 */   // Label 28305: @2329236
     /* 2329236 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2329281), // Rule ID 58711 //
     /* 2329241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329244 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2329247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2329261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329280 */     // GIR_Coverage, 58711,
     /* 2329280 */     GIR_EraseRootFromParent_Done,
     /* 2329281 */   // Label 28306: @2329281
     /* 2329281 */   GIM_Reject,
     /* 2329282 */ // Label 28304: @2329282
     /* 2329282 */ GIM_Reject,
     /* 2329283 */ // Label 28264: @2329283
     /* 2329283 */ GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2329397),
     /* 2329288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2329291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2329294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329306 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2329351), // Rule ID 58722 //
     /* 2329311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329314 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2329331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329350 */     // GIR_Coverage, 58722,
     /* 2329350 */     GIR_EraseRootFromParent_Done,
     /* 2329351 */   // Label 28308: @2329351
     /* 2329351 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2329396), // Rule ID 58723 //
     /* 2329356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329359 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2329362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2329376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329395 */     // GIR_Coverage, 58723,
     /* 2329395 */     GIR_EraseRootFromParent_Done,
     /* 2329396 */   // Label 28309: @2329396
     /* 2329396 */   GIM_Reject,
     /* 2329397 */ // Label 28307: @2329397
     /* 2329397 */ GIM_Reject,
     /* 2329398 */ // Label 28265: @2329398
     /* 2329398 */ GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2329512),
     /* 2329403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2329406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2329409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329421 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2329466), // Rule ID 58738 //
     /* 2329426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329429 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2329432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329465 */     // GIR_Coverage, 58738,
     /* 2329465 */     GIR_EraseRootFromParent_Done,
     /* 2329466 */   // Label 28311: @2329466
     /* 2329466 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2329511), // Rule ID 58739 //
     /* 2329471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329474 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2329477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329510 */     // GIR_Coverage, 58739,
     /* 2329510 */     GIR_EraseRootFromParent_Done,
     /* 2329511 */   // Label 28312: @2329511
     /* 2329511 */   GIM_Reject,
     /* 2329512 */ // Label 28310: @2329512
     /* 2329512 */ GIM_Reject,
     /* 2329513 */ // Label 28266: @2329513
     /* 2329513 */ GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2329627),
     /* 2329518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2329521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2329524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329536 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2329581), // Rule ID 58782 //
     /* 2329541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2329544 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2329547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2329561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329580 */     // GIR_Coverage, 58782,
     /* 2329580 */     GIR_EraseRootFromParent_Done,
     /* 2329581 */   // Label 28314: @2329581
     /* 2329581 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2329626), // Rule ID 58783 //
     /* 2329586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2329589 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2329592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2329606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2329621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329625 */     // GIR_Coverage, 58783,
     /* 2329625 */     GIR_EraseRootFromParent_Done,
     /* 2329626 */   // Label 28315: @2329626
     /* 2329626 */   GIM_Reject,
     /* 2329627 */ // Label 28313: @2329627
     /* 2329627 */ GIM_Reject,
     /* 2329628 */ // Label 28267: @2329628
     /* 2329628 */ GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2329742),
     /* 2329633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2329636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2329639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329651 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2329696), // Rule ID 58714 //
     /* 2329656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329659 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2329662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2329676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329695 */     // GIR_Coverage, 58714,
     /* 2329695 */     GIR_EraseRootFromParent_Done,
     /* 2329696 */   // Label 28317: @2329696
     /* 2329696 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2329741), // Rule ID 58715 //
     /* 2329701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329704 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2329707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2329721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329740 */     // GIR_Coverage, 58715,
     /* 2329740 */     GIR_EraseRootFromParent_Done,
     /* 2329741 */   // Label 28318: @2329741
     /* 2329741 */   GIM_Reject,
     /* 2329742 */ // Label 28316: @2329742
     /* 2329742 */ GIM_Reject,
     /* 2329743 */ // Label 28268: @2329743
     /* 2329743 */ GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2329857),
     /* 2329748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2329751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2329754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2329766 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2329811), // Rule ID 58734 //
     /* 2329771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329774 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329810 */     // GIR_Coverage, 58734,
     /* 2329810 */     GIR_EraseRootFromParent_Done,
     /* 2329811 */   // Label 28320: @2329811
     /* 2329811 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2329856), // Rule ID 58735 //
     /* 2329816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329819 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2329822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2329836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329855 */     // GIR_Coverage, 58735,
     /* 2329855 */     GIR_EraseRootFromParent_Done,
     /* 2329856 */   // Label 28321: @2329856
     /* 2329856 */   GIM_Reject,
     /* 2329857 */ // Label 28319: @2329857
     /* 2329857 */ GIM_Reject,
     /* 2329858 */ // Label 28269: @2329858
     /* 2329858 */ GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2329972),
     /* 2329863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2329866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2329869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329881 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2329926), // Rule ID 58770 //
     /* 2329886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2329889 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2329906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329925 */     // GIR_Coverage, 58770,
     /* 2329925 */     GIR_EraseRootFromParent_Done,
     /* 2329926 */   // Label 28323: @2329926
     /* 2329926 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2329971), // Rule ID 58771 //
     /* 2329931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2329934 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2329951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2329960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329970 */     // GIR_Coverage, 58771,
     /* 2329970 */     GIR_EraseRootFromParent_Done,
     /* 2329971 */   // Label 28324: @2329971
     /* 2329971 */   GIM_Reject,
     /* 2329972 */ // Label 28322: @2329972
     /* 2329972 */ GIM_Reject,
     /* 2329973 */ // Label 28270: @2329973
     /* 2329973 */ GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2330087),
     /* 2329978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2329984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329996 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2330041), // Rule ID 58786 //
     /* 2330001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2330004 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2330007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330040 */     // GIR_Coverage, 58786,
     /* 2330040 */     GIR_EraseRootFromParent_Done,
     /* 2330041 */   // Label 28326: @2330041
     /* 2330041 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2330086), // Rule ID 58787 //
     /* 2330046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2330049 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2330052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330085 */     // GIR_Coverage, 58787,
     /* 2330085 */     GIR_EraseRootFromParent_Done,
     /* 2330086 */   // Label 28327: @2330086
     /* 2330086 */   GIM_Reject,
     /* 2330087 */ // Label 28325: @2330087
     /* 2330087 */ GIM_Reject,
     /* 2330088 */ // Label 28271: @2330088
     /* 2330088 */ GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2330202),
     /* 2330093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2330096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2330099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330111 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2330156), // Rule ID 58730 //
     /* 2330116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330119 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2330122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2330136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330155 */     // GIR_Coverage, 58730,
     /* 2330155 */     GIR_EraseRootFromParent_Done,
     /* 2330156 */   // Label 28329: @2330156
     /* 2330156 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2330201), // Rule ID 58731 //
     /* 2330161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330164 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2330167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2330181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330200 */     // GIR_Coverage, 58731,
     /* 2330200 */     GIR_EraseRootFromParent_Done,
     /* 2330201 */   // Label 28330: @2330201
     /* 2330201 */   GIM_Reject,
     /* 2330202 */ // Label 28328: @2330202
     /* 2330202 */ GIM_Reject,
     /* 2330203 */ // Label 28272: @2330203
     /* 2330203 */ GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2330317),
     /* 2330208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2330211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2330214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330226 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2330271), // Rule ID 58758 //
     /* 2330231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330234 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2330251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330270 */     // GIR_Coverage, 58758,
     /* 2330270 */     GIR_EraseRootFromParent_Done,
     /* 2330271 */   // Label 28332: @2330271
     /* 2330271 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2330316), // Rule ID 58759 //
     /* 2330276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330279 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2330282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2330296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330315 */     // GIR_Coverage, 58759,
     /* 2330315 */     GIR_EraseRootFromParent_Done,
     /* 2330316 */   // Label 28333: @2330316
     /* 2330316 */   GIM_Reject,
     /* 2330317 */ // Label 28331: @2330317
     /* 2330317 */ GIM_Reject,
     /* 2330318 */ // Label 28273: @2330318
     /* 2330318 */ GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2330432),
     /* 2330323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2330326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2330329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330341 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2330386), // Rule ID 58774 //
     /* 2330346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330349 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330385 */     // GIR_Coverage, 58774,
     /* 2330385 */     GIR_EraseRootFromParent_Done,
     /* 2330386 */   // Label 28335: @2330386
     /* 2330386 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2330431), // Rule ID 58775 //
     /* 2330391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330394 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2330397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330430 */     // GIR_Coverage, 58775,
     /* 2330430 */     GIR_EraseRootFromParent_Done,
     /* 2330431 */   // Label 28336: @2330431
     /* 2330431 */   GIM_Reject,
     /* 2330432 */ // Label 28334: @2330432
     /* 2330432 */ GIM_Reject,
     /* 2330433 */ // Label 28274: @2330433
     /* 2330433 */ GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2330547),
     /* 2330438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2330441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2330444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330456 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2330501), // Rule ID 58790 //
     /* 2330461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2330464 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2330481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330500 */     // GIR_Coverage, 58790,
     /* 2330500 */     GIR_EraseRootFromParent_Done,
     /* 2330501 */   // Label 28338: @2330501
     /* 2330501 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2330546), // Rule ID 58791 //
     /* 2330506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2330509 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2330512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2330526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330545 */     // GIR_Coverage, 58791,
     /* 2330545 */     GIR_EraseRootFromParent_Done,
     /* 2330546 */   // Label 28339: @2330546
     /* 2330546 */   GIM_Reject,
     /* 2330547 */ // Label 28337: @2330547
     /* 2330547 */ GIM_Reject,
     /* 2330548 */ // Label 28275: @2330548
     /* 2330548 */ GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2330662),
     /* 2330553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2330556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2330559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2330571 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2330616), // Rule ID 58746 //
     /* 2330576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330579 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2330582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2330596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330615 */     // GIR_Coverage, 58746,
     /* 2330615 */     GIR_EraseRootFromParent_Done,
     /* 2330616 */   // Label 28341: @2330616
     /* 2330616 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2330661), // Rule ID 58747 //
     /* 2330621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330624 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2330627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2330641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330660 */     // GIR_Coverage, 58747,
     /* 2330660 */     GIR_EraseRootFromParent_Done,
     /* 2330661 */   // Label 28342: @2330661
     /* 2330661 */   GIM_Reject,
     /* 2330662 */ // Label 28340: @2330662
     /* 2330662 */ GIM_Reject,
     /* 2330663 */ // Label 28276: @2330663
     /* 2330663 */ GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2330777),
     /* 2330668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2330671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2330674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330686 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2330731), // Rule ID 58762 //
     /* 2330691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330694 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330730 */     // GIR_Coverage, 58762,
     /* 2330730 */     GIR_EraseRootFromParent_Done,
     /* 2330731 */   // Label 28344: @2330731
     /* 2330731 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2330776), // Rule ID 58763 //
     /* 2330736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330739 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2330742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330775 */     // GIR_Coverage, 58763,
     /* 2330775 */     GIR_EraseRootFromParent_Done,
     /* 2330776 */   // Label 28345: @2330776
     /* 2330776 */   GIM_Reject,
     /* 2330777 */ // Label 28343: @2330777
     /* 2330777 */ GIM_Reject,
     /* 2330778 */ // Label 28277: @2330778
     /* 2330778 */ GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2330892),
     /* 2330783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2330786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2330789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330793 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2330801 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2330846), // Rule ID 58778 //
     /* 2330806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330809 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2330826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330845 */     // GIR_Coverage, 58778,
     /* 2330845 */     GIR_EraseRootFromParent_Done,
     /* 2330846 */   // Label 28347: @2330846
     /* 2330846 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2330891), // Rule ID 58779 //
     /* 2330851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330854 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2330857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2330871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330890 */     // GIR_Coverage, 58779,
     /* 2330890 */     GIR_EraseRootFromParent_Done,
     /* 2330891 */   // Label 28348: @2330891
     /* 2330891 */   GIM_Reject,
     /* 2330892 */ // Label 28346: @2330892
     /* 2330892 */ GIM_Reject,
     /* 2330893 */ // Label 28278: @2330893
     /* 2330893 */ GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2331007),
     /* 2330898 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2330901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2330904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2330916 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2330961), // Rule ID 58750 //
     /* 2330921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2330924 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2330927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330960 */     // GIR_Coverage, 58750,
     /* 2330960 */     GIR_EraseRootFromParent_Done,
     /* 2330961 */   // Label 28350: @2330961
     /* 2330961 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2331006), // Rule ID 58751 //
     /* 2330966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2330969 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2330972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2330986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2330995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331005 */     // GIR_Coverage, 58751,
     /* 2331005 */     GIR_EraseRootFromParent_Done,
     /* 2331006 */   // Label 28351: @2331006
     /* 2331006 */   GIM_Reject,
     /* 2331007 */ // Label 28349: @2331007
     /* 2331007 */ GIM_Reject,
     /* 2331008 */ // Label 28279: @2331008
     /* 2331008 */ GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2331122),
     /* 2331013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2331016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2331019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331031 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2331076), // Rule ID 58766 //
     /* 2331036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2331039 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2331056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331075 */     // GIR_Coverage, 58766,
     /* 2331075 */     GIR_EraseRootFromParent_Done,
     /* 2331076 */   // Label 28353: @2331076
     /* 2331076 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2331121), // Rule ID 58767 //
     /* 2331081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2331084 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2331087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2331101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331120 */     // GIR_Coverage, 58767,
     /* 2331120 */     GIR_EraseRootFromParent_Done,
     /* 2331121 */   // Label 28354: @2331121
     /* 2331121 */   GIM_Reject,
     /* 2331122 */ // Label 28352: @2331122
     /* 2331122 */ GIM_Reject,
     /* 2331123 */ // Label 28280: @2331123
     /* 2331123 */ GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2331237),
     /* 2331128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2331131 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2331134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2331146 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2331191), // Rule ID 58754 //
     /* 2331151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2331154 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2331157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2331171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331190 */     // GIR_Coverage, 58754,
     /* 2331190 */     GIR_EraseRootFromParent_Done,
     /* 2331191 */   // Label 28356: @2331191
     /* 2331191 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2331236), // Rule ID 58755 //
     /* 2331196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2331199 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2331202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2331216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331235 */     // GIR_Coverage, 58755,
     /* 2331235 */     GIR_EraseRootFromParent_Done,
     /* 2331236 */   // Label 28357: @2331236
     /* 2331236 */   GIM_Reject,
     /* 2331237 */ // Label 28355: @2331237
     /* 2331237 */ GIM_Reject,
     /* 2331238 */ // Label 28281: @2331238
     /* 2331238 */ GIM_Reject,
     /* 2331239 */ // Label 47: @2331239
     /* 2331239 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 28382*/ GIMT_Encode4(2334148),
     /* 2331250 */ /*GILLT_s32*//*Label 28358*/ GIMT_Encode4(2331374),
     /* 2331254 */ /*GILLT_s64*//*Label 28359*/ GIMT_Encode4(2331496), GIMT_Encode4(0),
     /* 2331262 */ /*GILLT_nxv1s8*//*Label 28360*/ GIMT_Encode4(2331618),
     /* 2331266 */ /*GILLT_nxv1s16*//*Label 28361*/ GIMT_Encode4(2331733),
     /* 2331270 */ /*GILLT_nxv1s32*//*Label 28362*/ GIMT_Encode4(2331848),
     /* 2331274 */ /*GILLT_nxv1s64*//*Label 28363*/ GIMT_Encode4(2331963), GIMT_Encode4(0),
     /* 2331282 */ /*GILLT_nxv2s8*//*Label 28364*/ GIMT_Encode4(2332078),
     /* 2331286 */ /*GILLT_nxv2s16*//*Label 28365*/ GIMT_Encode4(2332193),
     /* 2331290 */ /*GILLT_nxv2s32*//*Label 28366*/ GIMT_Encode4(2332308),
     /* 2331294 */ /*GILLT_nxv2s64*//*Label 28367*/ GIMT_Encode4(2332423), GIMT_Encode4(0),
     /* 2331302 */ /*GILLT_nxv4s8*//*Label 28368*/ GIMT_Encode4(2332538),
     /* 2331306 */ /*GILLT_nxv4s16*//*Label 28369*/ GIMT_Encode4(2332653),
     /* 2331310 */ /*GILLT_nxv4s32*//*Label 28370*/ GIMT_Encode4(2332768),
     /* 2331314 */ /*GILLT_nxv4s64*//*Label 28371*/ GIMT_Encode4(2332883), GIMT_Encode4(0),
     /* 2331322 */ /*GILLT_nxv8s8*//*Label 28372*/ GIMT_Encode4(2332998),
     /* 2331326 */ /*GILLT_nxv8s16*//*Label 28373*/ GIMT_Encode4(2333113),
     /* 2331330 */ /*GILLT_nxv8s32*//*Label 28374*/ GIMT_Encode4(2333228),
     /* 2331334 */ /*GILLT_nxv8s64*//*Label 28375*/ GIMT_Encode4(2333343), GIMT_Encode4(0),
     /* 2331342 */ /*GILLT_nxv16s8*//*Label 28376*/ GIMT_Encode4(2333458),
     /* 2331346 */ /*GILLT_nxv16s16*//*Label 28377*/ GIMT_Encode4(2333573),
     /* 2331350 */ /*GILLT_nxv16s32*//*Label 28378*/ GIMT_Encode4(2333688), GIMT_Encode4(0),
     /* 2331358 */ /*GILLT_nxv32s8*//*Label 28379*/ GIMT_Encode4(2333803),
     /* 2331362 */ /*GILLT_nxv32s16*//*Label 28380*/ GIMT_Encode4(2333918), GIMT_Encode4(0),
     /* 2331370 */ /*GILLT_nxv64s8*//*Label 28381*/ GIMT_Encode4(2334033),
     /* 2331374 */ // Label 28358: @2331374
     /* 2331374 */ GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2331495),
     /* 2331379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2331382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2331385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331393 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2331429), // Rule ID 2323 //
     /* 2331398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2331401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2331409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2331413 */     // MIs[1] Operand 1
     /* 2331413 */     // No operand predicates
     /* 2331413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331415 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2331415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2331418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331422 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2331427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331428 */     // GIR_Coverage, 2323,
     /* 2331428 */     GIR_EraseRootFromParent_Done,
     /* 2331429 */   // Label 28384: @2331429
     /* 2331429 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2331465), // Rule ID 61891 //
     /* 2331434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2331437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2331445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2331449 */     // MIs[1] Operand 1
     /* 2331449 */     // No operand predicates
     /* 2331449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331451 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2331451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2331454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331458 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2331463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331464 */     // GIR_Coverage, 61891,
     /* 2331464 */     GIR_EraseRootFromParent_Done,
     /* 2331465 */   // Label 28385: @2331465
     /* 2331465 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2331494), // Rule ID 2317 //
     /* 2331470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2331473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2331480 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2331480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2331483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2331492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331493 */     // GIR_Coverage, 2317,
     /* 2331493 */     GIR_EraseRootFromParent_Done,
     /* 2331494 */   // Label 28386: @2331494
     /* 2331494 */   GIM_Reject,
     /* 2331495 */ // Label 28383: @2331495
     /* 2331495 */ GIM_Reject,
     /* 2331496 */ // Label 28359: @2331496
     /* 2331496 */ GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2331617),
     /* 2331501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2331504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2331507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2331515 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2331551), // Rule ID 2322 //
     /* 2331520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2331523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2331531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2331535 */     // MIs[1] Operand 1
     /* 2331535 */     // No operand predicates
     /* 2331535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331537 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2331537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2331540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331544 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2331549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331550 */     // GIR_Coverage, 2322,
     /* 2331550 */     GIR_EraseRootFromParent_Done,
     /* 2331551 */   // Label 28388: @2331551
     /* 2331551 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2331587), // Rule ID 61890 //
     /* 2331556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2331559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2331563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2331567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2331571 */     // MIs[1] Operand 1
     /* 2331571 */     // No operand predicates
     /* 2331571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2331573 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2331573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2331576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331580 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2331585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331586 */     // GIR_Coverage, 61890,
     /* 2331586 */     GIR_EraseRootFromParent_Done,
     /* 2331587 */   // Label 28389: @2331587
     /* 2331587 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2331616), // Rule ID 2316 //
     /* 2331592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2331595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2331602 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2331602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2331605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2331614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331615 */     // GIR_Coverage, 2316,
     /* 2331615 */     GIR_EraseRootFromParent_Done,
     /* 2331616 */   // Label 28390: @2331616
     /* 2331616 */   GIM_Reject,
     /* 2331617 */ // Label 28387: @2331617
     /* 2331617 */ GIM_Reject,
     /* 2331618 */ // Label 28360: @2331618
     /* 2331618 */ GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2331732),
     /* 2331623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2331626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2331629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331641 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2331686), // Rule ID 58574 //
     /* 2331646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2331649 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2331652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2331666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331685 */     // GIR_Coverage, 58574,
     /* 2331685 */     GIR_EraseRootFromParent_Done,
     /* 2331686 */   // Label 28392: @2331686
     /* 2331686 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2331731), // Rule ID 58575 //
     /* 2331691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2331694 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2331697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2331711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331730 */     // GIR_Coverage, 58575,
     /* 2331730 */     GIR_EraseRootFromParent_Done,
     /* 2331731 */   // Label 28393: @2331731
     /* 2331731 */   GIM_Reject,
     /* 2331732 */ // Label 28391: @2331732
     /* 2331732 */ GIM_Reject,
     /* 2331733 */ // Label 28361: @2331733
     /* 2331733 */ GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2331847),
     /* 2331738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2331741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2331744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331756 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2331801), // Rule ID 58586 //
     /* 2331761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2331764 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2331781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331800 */     // GIR_Coverage, 58586,
     /* 2331800 */     GIR_EraseRootFromParent_Done,
     /* 2331801 */   // Label 28395: @2331801
     /* 2331801 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2331846), // Rule ID 58587 //
     /* 2331806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2331809 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2331812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2331826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331845 */     // GIR_Coverage, 58587,
     /* 2331845 */     GIR_EraseRootFromParent_Done,
     /* 2331846 */   // Label 28396: @2331846
     /* 2331846 */   GIM_Reject,
     /* 2331847 */ // Label 28394: @2331847
     /* 2331847 */ GIM_Reject,
     /* 2331848 */ // Label 28362: @2331848
     /* 2331848 */ GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2331962),
     /* 2331853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2331856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2331859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331871 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2331916), // Rule ID 58594 //
     /* 2331876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2331879 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2331896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331915 */     // GIR_Coverage, 58594,
     /* 2331915 */     GIR_EraseRootFromParent_Done,
     /* 2331916 */   // Label 28398: @2331916
     /* 2331916 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2331961), // Rule ID 58595 //
     /* 2331921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2331924 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2331927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2331941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2331950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331960 */     // GIR_Coverage, 58595,
     /* 2331960 */     GIR_EraseRootFromParent_Done,
     /* 2331961 */   // Label 28399: @2331961
     /* 2331961 */   GIM_Reject,
     /* 2331962 */ // Label 28397: @2331962
     /* 2331962 */ GIM_Reject,
     /* 2331963 */ // Label 28363: @2331963
     /* 2331963 */ GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2332077),
     /* 2331968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2331971 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2331974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331986 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2332031), // Rule ID 58610 //
     /* 2331991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2331994 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2331997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332030 */     // GIR_Coverage, 58610,
     /* 2332030 */     GIR_EraseRootFromParent_Done,
     /* 2332031 */   // Label 28401: @2332031
     /* 2332031 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2332076), // Rule ID 58611 //
     /* 2332036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2332039 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2332042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332075 */     // GIR_Coverage, 58611,
     /* 2332075 */     GIR_EraseRootFromParent_Done,
     /* 2332076 */   // Label 28402: @2332076
     /* 2332076 */   GIM_Reject,
     /* 2332077 */ // Label 28400: @2332077
     /* 2332077 */ GIM_Reject,
     /* 2332078 */ // Label 28364: @2332078
     /* 2332078 */ GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2332192),
     /* 2332083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2332086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2332089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332101 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2332146), // Rule ID 58578 //
     /* 2332106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332109 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2332112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2332126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332145 */     // GIR_Coverage, 58578,
     /* 2332145 */     GIR_EraseRootFromParent_Done,
     /* 2332146 */   // Label 28404: @2332146
     /* 2332146 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2332191), // Rule ID 58579 //
     /* 2332151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332154 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2332157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2332171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332190 */     // GIR_Coverage, 58579,
     /* 2332190 */     GIR_EraseRootFromParent_Done,
     /* 2332191 */   // Label 28405: @2332191
     /* 2332191 */   GIM_Reject,
     /* 2332192 */ // Label 28403: @2332192
     /* 2332192 */ GIM_Reject,
     /* 2332193 */ // Label 28365: @2332193
     /* 2332193 */ GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2332307),
     /* 2332198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2332201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2332204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332216 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2332261), // Rule ID 58590 //
     /* 2332221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332224 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2332241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332260 */     // GIR_Coverage, 58590,
     /* 2332260 */     GIR_EraseRootFromParent_Done,
     /* 2332261 */   // Label 28407: @2332261
     /* 2332261 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2332306), // Rule ID 58591 //
     /* 2332266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332269 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2332272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2332286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332305 */     // GIR_Coverage, 58591,
     /* 2332305 */     GIR_EraseRootFromParent_Done,
     /* 2332306 */   // Label 28408: @2332306
     /* 2332306 */   GIM_Reject,
     /* 2332307 */ // Label 28406: @2332307
     /* 2332307 */ GIM_Reject,
     /* 2332308 */ // Label 28366: @2332308
     /* 2332308 */ GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2332422),
     /* 2332313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2332316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2332319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332331 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2332376), // Rule ID 58606 //
     /* 2332336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332339 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332375 */     // GIR_Coverage, 58606,
     /* 2332375 */     GIR_EraseRootFromParent_Done,
     /* 2332376 */   // Label 28410: @2332376
     /* 2332376 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2332421), // Rule ID 58607 //
     /* 2332381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332384 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2332387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332420 */     // GIR_Coverage, 58607,
     /* 2332420 */     GIR_EraseRootFromParent_Done,
     /* 2332421 */   // Label 28411: @2332421
     /* 2332421 */   GIM_Reject,
     /* 2332422 */ // Label 28409: @2332422
     /* 2332422 */ GIM_Reject,
     /* 2332423 */ // Label 28367: @2332423
     /* 2332423 */ GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2332537),
     /* 2332428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2332431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2332434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332442 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332446 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2332491), // Rule ID 58650 //
     /* 2332451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2332454 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2332471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332490 */     // GIR_Coverage, 58650,
     /* 2332490 */     GIR_EraseRootFromParent_Done,
     /* 2332491 */   // Label 28413: @2332491
     /* 2332491 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2332536), // Rule ID 58651 //
     /* 2332496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2332499 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2332502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2332516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332535 */     // GIR_Coverage, 58651,
     /* 2332535 */     GIR_EraseRootFromParent_Done,
     /* 2332536 */   // Label 28414: @2332536
     /* 2332536 */   GIM_Reject,
     /* 2332537 */ // Label 28412: @2332537
     /* 2332537 */ GIM_Reject,
     /* 2332538 */ // Label 28368: @2332538
     /* 2332538 */ GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2332652),
     /* 2332543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2332546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2332549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332561 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2332606), // Rule ID 58582 //
     /* 2332566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332569 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2332572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2332586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332605 */     // GIR_Coverage, 58582,
     /* 2332605 */     GIR_EraseRootFromParent_Done,
     /* 2332606 */   // Label 28416: @2332606
     /* 2332606 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2332651), // Rule ID 58583 //
     /* 2332611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332614 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2332617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2332631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332650 */     // GIR_Coverage, 58583,
     /* 2332650 */     GIR_EraseRootFromParent_Done,
     /* 2332651 */   // Label 28417: @2332651
     /* 2332651 */   GIM_Reject,
     /* 2332652 */ // Label 28415: @2332652
     /* 2332652 */ GIM_Reject,
     /* 2332653 */ // Label 28369: @2332653
     /* 2332653 */ GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2332767),
     /* 2332658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2332664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332676 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2332721), // Rule ID 58602 //
     /* 2332681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332684 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332720 */     // GIR_Coverage, 58602,
     /* 2332720 */     GIR_EraseRootFromParent_Done,
     /* 2332721 */   // Label 28419: @2332721
     /* 2332721 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2332766), // Rule ID 58603 //
     /* 2332726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332729 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2332746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332765 */     // GIR_Coverage, 58603,
     /* 2332765 */     GIR_EraseRootFromParent_Done,
     /* 2332766 */   // Label 28420: @2332766
     /* 2332766 */   GIM_Reject,
     /* 2332767 */ // Label 28418: @2332767
     /* 2332767 */ GIM_Reject,
     /* 2332768 */ // Label 28370: @2332768
     /* 2332768 */ GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2332882),
     /* 2332773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2332779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332783 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332791 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2332836), // Rule ID 58638 //
     /* 2332796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2332799 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2332816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332835 */     // GIR_Coverage, 58638,
     /* 2332835 */     GIR_EraseRootFromParent_Done,
     /* 2332836 */   // Label 28422: @2332836
     /* 2332836 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2332881), // Rule ID 58639 //
     /* 2332841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2332844 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2332861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332880 */     // GIR_Coverage, 58639,
     /* 2332880 */     GIR_EraseRootFromParent_Done,
     /* 2332881 */   // Label 28423: @2332881
     /* 2332881 */   GIM_Reject,
     /* 2332882 */ // Label 28421: @2332882
     /* 2332882 */ GIM_Reject,
     /* 2332883 */ // Label 28371: @2332883
     /* 2332883 */ GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2332997),
     /* 2332888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2332894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332906 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2332951), // Rule ID 58654 //
     /* 2332911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2332914 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2332931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332950 */     // GIR_Coverage, 58654,
     /* 2332950 */     GIR_EraseRootFromParent_Done,
     /* 2332951 */   // Label 28425: @2332951
     /* 2332951 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2332996), // Rule ID 58655 //
     /* 2332956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2332959 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2332976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2332985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332995 */     // GIR_Coverage, 58655,
     /* 2332995 */     GIR_EraseRootFromParent_Done,
     /* 2332996 */   // Label 28426: @2332996
     /* 2332996 */   GIM_Reject,
     /* 2332997 */ // Label 28424: @2332997
     /* 2332997 */ GIM_Reject,
     /* 2332998 */ // Label 28372: @2332998
     /* 2332998 */ GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2333112),
     /* 2333003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2333006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2333009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2333021 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2333066), // Rule ID 58598 //
     /* 2333026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333029 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2333032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2333046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333065 */     // GIR_Coverage, 58598,
     /* 2333065 */     GIR_EraseRootFromParent_Done,
     /* 2333066 */   // Label 28428: @2333066
     /* 2333066 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2333111), // Rule ID 58599 //
     /* 2333071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333074 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2333077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2333091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333110 */     // GIR_Coverage, 58599,
     /* 2333110 */     GIR_EraseRootFromParent_Done,
     /* 2333111 */   // Label 28429: @2333111
     /* 2333111 */   GIM_Reject,
     /* 2333112 */ // Label 28427: @2333112
     /* 2333112 */ GIM_Reject,
     /* 2333113 */ // Label 28373: @2333113
     /* 2333113 */ GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2333227),
     /* 2333118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2333124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333136 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2333181), // Rule ID 58626 //
     /* 2333141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333144 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2333161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333180 */     // GIR_Coverage, 58626,
     /* 2333180 */     GIR_EraseRootFromParent_Done,
     /* 2333181 */   // Label 28431: @2333181
     /* 2333181 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2333226), // Rule ID 58627 //
     /* 2333186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333189 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2333206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333225 */     // GIR_Coverage, 58627,
     /* 2333225 */     GIR_EraseRootFromParent_Done,
     /* 2333226 */   // Label 28432: @2333226
     /* 2333226 */   GIM_Reject,
     /* 2333227 */ // Label 28430: @2333227
     /* 2333227 */ GIM_Reject,
     /* 2333228 */ // Label 28374: @2333228
     /* 2333228 */ GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2333342),
     /* 2333233 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2333239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333251 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2333296), // Rule ID 58642 //
     /* 2333256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333259 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333295 */     // GIR_Coverage, 58642,
     /* 2333295 */     GIR_EraseRootFromParent_Done,
     /* 2333296 */   // Label 28434: @2333296
     /* 2333296 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2333341), // Rule ID 58643 //
     /* 2333301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333304 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333340 */     // GIR_Coverage, 58643,
     /* 2333340 */     GIR_EraseRootFromParent_Done,
     /* 2333341 */   // Label 28435: @2333341
     /* 2333341 */   GIM_Reject,
     /* 2333342 */ // Label 28433: @2333342
     /* 2333342 */ GIM_Reject,
     /* 2333343 */ // Label 28375: @2333343
     /* 2333343 */ GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2333457),
     /* 2333348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2333354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333366 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2333411), // Rule ID 58658 //
     /* 2333371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2333374 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2333391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333410 */     // GIR_Coverage, 58658,
     /* 2333410 */     GIR_EraseRootFromParent_Done,
     /* 2333411 */   // Label 28437: @2333411
     /* 2333411 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2333456), // Rule ID 58659 //
     /* 2333416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2333419 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2333436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333455 */     // GIR_Coverage, 58659,
     /* 2333455 */     GIR_EraseRootFromParent_Done,
     /* 2333456 */   // Label 28438: @2333456
     /* 2333456 */   GIM_Reject,
     /* 2333457 */ // Label 28436: @2333457
     /* 2333457 */ GIM_Reject,
     /* 2333458 */ // Label 28376: @2333458
     /* 2333458 */ GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2333572),
     /* 2333463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2333466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2333469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333481 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2333526), // Rule ID 58614 //
     /* 2333486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333489 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2333492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2333506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333525 */     // GIR_Coverage, 58614,
     /* 2333525 */     GIR_EraseRootFromParent_Done,
     /* 2333526 */   // Label 28440: @2333526
     /* 2333526 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2333571), // Rule ID 58615 //
     /* 2333531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333534 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2333537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2333551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333570 */     // GIR_Coverage, 58615,
     /* 2333570 */     GIR_EraseRootFromParent_Done,
     /* 2333571 */   // Label 28441: @2333571
     /* 2333571 */   GIM_Reject,
     /* 2333572 */ // Label 28439: @2333572
     /* 2333572 */ GIM_Reject,
     /* 2333573 */ // Label 28377: @2333573
     /* 2333573 */ GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2333687),
     /* 2333578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2333584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333596 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2333641), // Rule ID 58630 //
     /* 2333601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333604 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333640 */     // GIR_Coverage, 58630,
     /* 2333640 */     GIR_EraseRootFromParent_Done,
     /* 2333641 */   // Label 28443: @2333641
     /* 2333641 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2333686), // Rule ID 58631 //
     /* 2333646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333649 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333685 */     // GIR_Coverage, 58631,
     /* 2333685 */     GIR_EraseRootFromParent_Done,
     /* 2333686 */   // Label 28444: @2333686
     /* 2333686 */   GIM_Reject,
     /* 2333687 */ // Label 28442: @2333687
     /* 2333687 */ GIM_Reject,
     /* 2333688 */ // Label 28378: @2333688
     /* 2333688 */ GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2333802),
     /* 2333693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2333699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333711 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2333756), // Rule ID 58646 //
     /* 2333716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333719 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2333736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333755 */     // GIR_Coverage, 58646,
     /* 2333755 */     GIR_EraseRootFromParent_Done,
     /* 2333756 */   // Label 28446: @2333756
     /* 2333756 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2333801), // Rule ID 58647 //
     /* 2333761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333764 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2333781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333800 */     // GIR_Coverage, 58647,
     /* 2333800 */     GIR_EraseRootFromParent_Done,
     /* 2333801 */   // Label 28447: @2333801
     /* 2333801 */   GIM_Reject,
     /* 2333802 */ // Label 28445: @2333802
     /* 2333802 */ GIM_Reject,
     /* 2333803 */ // Label 28379: @2333803
     /* 2333803 */ GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2333917),
     /* 2333808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2333811 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2333814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333826 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2333871), // Rule ID 58618 //
     /* 2333831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333834 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2333837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333870 */     // GIR_Coverage, 58618,
     /* 2333870 */     GIR_EraseRootFromParent_Done,
     /* 2333871 */   // Label 28449: @2333871
     /* 2333871 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2333916), // Rule ID 58619 //
     /* 2333876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333879 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2333882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2333896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333915 */     // GIR_Coverage, 58619,
     /* 2333915 */     GIR_EraseRootFromParent_Done,
     /* 2333916 */   // Label 28450: @2333916
     /* 2333916 */   GIM_Reject,
     /* 2333917 */ // Label 28448: @2333917
     /* 2333917 */ GIM_Reject,
     /* 2333918 */ // Label 28380: @2333918
     /* 2333918 */ GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2334032),
     /* 2333923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2333926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2333929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333941 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2333986), // Rule ID 58634 //
     /* 2333946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2333949 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2333966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2333975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333985 */     // GIR_Coverage, 58634,
     /* 2333985 */     GIR_EraseRootFromParent_Done,
     /* 2333986 */   // Label 28452: @2333986
     /* 2333986 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2334031), // Rule ID 58635 //
     /* 2333991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2333994 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2333997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2334011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334030 */     // GIR_Coverage, 58635,
     /* 2334030 */     GIR_EraseRootFromParent_Done,
     /* 2334031 */   // Label 28453: @2334031
     /* 2334031 */   GIM_Reject,
     /* 2334032 */ // Label 28451: @2334032
     /* 2334032 */ GIM_Reject,
     /* 2334033 */ // Label 28381: @2334033
     /* 2334033 */ GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2334147),
     /* 2334038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2334041 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2334044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334056 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2334101), // Rule ID 58622 //
     /* 2334061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2334064 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2334067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2334081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334100 */     // GIR_Coverage, 58622,
     /* 2334100 */     GIR_EraseRootFromParent_Done,
     /* 2334101 */   // Label 28455: @2334101
     /* 2334101 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2334146), // Rule ID 58623 //
     /* 2334106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2334109 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2334112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2334126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2334135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334145 */     // GIR_Coverage, 58623,
     /* 2334145 */     GIR_EraseRootFromParent_Done,
     /* 2334146 */   // Label 28456: @2334146
     /* 2334146 */   GIM_Reject,
     /* 2334147 */ // Label 28454: @2334147
     /* 2334147 */ GIM_Reject,
     /* 2334148 */ // Label 28382: @2334148
     /* 2334148 */ GIM_Reject,
     /* 2334149 */ // Label 48: @2334149
     /* 2334149 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 28466*/ GIMT_Encode4(2360811),
     /* 2334160 */ /*GILLT_s32*//*Label 28457*/ GIMT_Encode4(2334280),
     /* 2334164 */ /*GILLT_s64*//*Label 28458*/ GIMT_Encode4(2337074),
     /* 2334168 */ /*GILLT_nxv1s1*//*Label 28459*/ GIMT_Encode4(2339868), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334188 */ /*GILLT_nxv2s1*//*Label 28460*/ GIMT_Encode4(2343709), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334208 */ /*GILLT_nxv4s1*//*Label 28461*/ GIMT_Encode4(2347550), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334228 */ /*GILLT_nxv8s1*//*Label 28462*/ GIMT_Encode4(2351391), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334248 */ /*GILLT_nxv16s1*//*Label 28463*/ GIMT_Encode4(2355232), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334264 */ /*GILLT_nxv32s1*//*Label 28464*/ GIMT_Encode4(2358113), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2334276 */ /*GILLT_nxv64s1*//*Label 28465*/ GIMT_Encode4(2360034),
     /* 2334280 */ // Label 28457: @2334280
     /* 2334280 */ GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2334323), // Rule ID 159 //
     /* 2334285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334298 */   // MIs[0] Operand 1
     /* 2334298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2334303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334307 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2334311 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2334311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334321 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334322 */   // GIR_Coverage, 159,
     /* 2334322 */   GIR_EraseRootFromParent_Done,
     /* 2334323 */ // Label 28467: @2334323
     /* 2334323 */ GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2334366), // Rule ID 63882 //
     /* 2334328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2334337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334341 */   // MIs[0] Operand 1
     /* 2334341 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2334346 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334350 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2334354 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2334354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334359 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334365 */   // GIR_Coverage, 63882,
     /* 2334365 */   GIR_EraseRootFromParent_Done,
     /* 2334366 */ // Label 28468: @2334366
     /* 2334366 */ GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2334412), // Rule ID 63888 //
     /* 2334371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2334380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334384 */   // MIs[0] Operand 1
     /* 2334384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2334389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334393 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2334397 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2334397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2334400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334402 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2334408 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334411 */   // GIR_Coverage, 63888,
     /* 2334411 */   GIR_EraseRootFromParent_Done,
     /* 2334412 */ // Label 28469: @2334412
     /* 2334412 */ GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2334455), // Rule ID 63918 //
     /* 2334417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334430 */   // MIs[0] Operand 1
     /* 2334430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2334435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334439 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2334443 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2334443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334454 */   // GIR_Coverage, 63918,
     /* 2334454 */   GIR_EraseRootFromParent_Done,
     /* 2334455 */ // Label 28470: @2334455
     /* 2334455 */ GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2334501), // Rule ID 63924 //
     /* 2334460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334473 */   // MIs[0] Operand 1
     /* 2334473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2334478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334482 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2334486 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2334486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2334489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334491 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2334497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334500 */   // GIR_Coverage, 63924,
     /* 2334500 */   GIR_EraseRootFromParent_Done,
     /* 2334501 */ // Label 28471: @2334501
     /* 2334501 */ GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2334554), // Rule ID 149 //
     /* 2334506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334519 */   // MIs[0] Operand 1
     /* 2334519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2334524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334528 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334532 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334536 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2334540 */   // MIs[1] Operand 1
     /* 2334540 */   // No operand predicates
     /* 2334540 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334542 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2334542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2334545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334549 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2334552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334553 */   // GIR_Coverage, 149,
     /* 2334553 */   GIR_EraseRootFromParent_Done,
     /* 2334554 */ // Label 28472: @2334554
     /* 2334554 */ GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2334607), // Rule ID 153 //
     /* 2334559 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2334565 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334572 */   // MIs[0] Operand 1
     /* 2334572 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2334577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334581 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334585 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334589 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2334593 */   // MIs[1] Operand 1
     /* 2334593 */   // No operand predicates
     /* 2334593 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334595 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2334595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334600 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334602 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2334605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334606 */   // GIR_Coverage, 153,
     /* 2334606 */   GIR_EraseRootFromParent_Done,
     /* 2334607 */ // Label 28473: @2334607
     /* 2334607 */ GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2334660), // Rule ID 63874 //
     /* 2334612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334625 */   // MIs[0] Operand 1
     /* 2334625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2334630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334634 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334638 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334642 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2334646 */   // MIs[1] Operand 1
     /* 2334646 */   // No operand predicates
     /* 2334646 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334648 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2334648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334653 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334655 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2334658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334659 */   // GIR_Coverage, 63874,
     /* 2334659 */   GIR_EraseRootFromParent_Done,
     /* 2334660 */ // Label 28474: @2334660
     /* 2334660 */ GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2334713), // Rule ID 63878 //
     /* 2334665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334678 */   // MIs[0] Operand 1
     /* 2334678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2334683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334687 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334691 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334695 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2334699 */   // MIs[1] Operand 1
     /* 2334699 */   // No operand predicates
     /* 2334699 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334701 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2334701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2334704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334706 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2334708 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2334711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334712 */   // GIR_Coverage, 63878,
     /* 2334712 */   GIR_EraseRootFromParent_Done,
     /* 2334713 */ // Label 28475: @2334713
     /* 2334713 */ GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2334790), // Rule ID 63884 //
     /* 2334718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334731 */   // MIs[0] Operand 1
     /* 2334731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2334736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334740 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334744 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334748 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2334752 */   // MIs[1] Operand 1
     /* 2334752 */   // No operand predicates
     /* 2334752 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334754 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2334754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2334761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334766 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2334770 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2334775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334789 */   // GIR_Coverage, 63884,
     /* 2334789 */   GIR_EraseRootFromParent_Done,
     /* 2334790 */ // Label 28476: @2334790
     /* 2334790 */ GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2334870), // Rule ID 63890 //
     /* 2334795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334808 */   // MIs[0] Operand 1
     /* 2334808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2334813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334817 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334821 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334825 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2334829 */   // MIs[1] Operand 1
     /* 2334829 */   // No operand predicates
     /* 2334829 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334831 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2334831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2334838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334843 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2334847 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2334852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2334857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334859 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2334865 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334869 */   // GIR_Coverage, 63890,
     /* 2334869 */   GIR_EraseRootFromParent_Done,
     /* 2334870 */ // Label 28477: @2334870
     /* 2334870 */ GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2334947), // Rule ID 63894 //
     /* 2334875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334888 */   // MIs[0] Operand 1
     /* 2334888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2334893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334897 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334901 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334905 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2334909 */   // MIs[1] Operand 1
     /* 2334909 */   // No operand predicates
     /* 2334909 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334911 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2334911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2334918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334923 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2334927 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2334932 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2334937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334939 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334946 */   // GIR_Coverage, 63894,
     /* 2334946 */   GIR_EraseRootFromParent_Done,
     /* 2334947 */ // Label 28478: @2334947
     /* 2334947 */ GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2335024), // Rule ID 63898 //
     /* 2334952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2334955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2334958 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2334961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334965 */   // MIs[0] Operand 1
     /* 2334965 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2334970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334974 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2334978 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2334982 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2334986 */   // MIs[1] Operand 1
     /* 2334986 */   // No operand predicates
     /* 2334986 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2334988 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2334988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2334991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2334995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335000 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335004 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335009 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335016 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335023 */   // GIR_Coverage, 63898,
     /* 2335023 */   GIR_EraseRootFromParent_Done,
     /* 2335024 */ // Label 28479: @2335024
     /* 2335024 */ GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2335099), // Rule ID 63902 //
     /* 2335029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335042 */   // MIs[0] Operand 1
     /* 2335042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2335047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335051 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335055 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335059 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2335063 */   // MIs[1] Operand 1
     /* 2335063 */   // No operand predicates
     /* 2335063 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335065 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2335065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335077 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335081 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2335084 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335086 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335089 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335091 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335098 */   // GIR_Coverage, 63902,
     /* 2335098 */   GIR_EraseRootFromParent_Done,
     /* 2335099 */ // Label 28480: @2335099
     /* 2335099 */ GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2335174), // Rule ID 63906 //
     /* 2335104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2335110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335117 */   // MIs[0] Operand 1
     /* 2335117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2335122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335126 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335130 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335134 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2335138 */   // MIs[1] Operand 1
     /* 2335138 */   // No operand predicates
     /* 2335138 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335140 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2335140 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335143 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2335147 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335152 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335156 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2335159 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335161 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335164 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335166 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335173 */   // GIR_Coverage, 63906,
     /* 2335173 */   GIR_EraseRootFromParent_Done,
     /* 2335174 */ // Label 28481: @2335174
     /* 2335174 */ GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2335229), // Rule ID 63910 //
     /* 2335179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2335185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335192 */   // MIs[0] Operand 1
     /* 2335192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2335197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335201 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335205 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335209 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2335213 */   // MIs[1] Operand 1
     /* 2335213 */   // No operand predicates
     /* 2335213 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335215 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2335215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335222 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335228 */   // GIR_Coverage, 63910,
     /* 2335228 */   GIR_EraseRootFromParent_Done,
     /* 2335229 */ // Label 28482: @2335229
     /* 2335229 */ GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2335284), // Rule ID 63914 //
     /* 2335234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2335240 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335247 */   // MIs[0] Operand 1
     /* 2335247 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2335252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335256 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335260 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335264 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2335268 */   // MIs[1] Operand 1
     /* 2335268 */   // No operand predicates
     /* 2335268 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335270 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2335270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2335273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335275 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335277 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335283 */   // GIR_Coverage, 63914,
     /* 2335283 */   GIR_EraseRootFromParent_Done,
     /* 2335284 */ // Label 28483: @2335284
     /* 2335284 */ GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2335361), // Rule ID 63920 //
     /* 2335289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335302 */   // MIs[0] Operand 1
     /* 2335302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2335307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335311 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335315 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335319 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2335323 */   // MIs[1] Operand 1
     /* 2335323 */   // No operand predicates
     /* 2335323 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335325 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2335325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2335332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335337 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335341 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2335346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335360 */   // GIR_Coverage, 63920,
     /* 2335360 */   GIR_EraseRootFromParent_Done,
     /* 2335361 */ // Label 28484: @2335361
     /* 2335361 */ GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2335441), // Rule ID 63926 //
     /* 2335366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335379 */   // MIs[0] Operand 1
     /* 2335379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2335384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335388 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335392 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335396 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2335400 */   // MIs[1] Operand 1
     /* 2335400 */   // No operand predicates
     /* 2335400 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335402 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2335402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2335409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335414 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335418 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2335423 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2335428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335430 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2335436 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335440 */   // GIR_Coverage, 63926,
     /* 2335440 */   GIR_EraseRootFromParent_Done,
     /* 2335441 */ // Label 28485: @2335441
     /* 2335441 */ GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2335518), // Rule ID 63930 //
     /* 2335446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335459 */   // MIs[0] Operand 1
     /* 2335459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2335464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335468 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335472 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335476 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2335480 */   // MIs[1] Operand 1
     /* 2335480 */   // No operand predicates
     /* 2335480 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335482 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2335482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335494 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335498 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335517 */   // GIR_Coverage, 63930,
     /* 2335517 */   GIR_EraseRootFromParent_Done,
     /* 2335518 */ // Label 28486: @2335518
     /* 2335518 */ GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2335595), // Rule ID 63934 //
     /* 2335523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335536 */   // MIs[0] Operand 1
     /* 2335536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2335541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335545 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335549 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335553 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2335557 */   // MIs[1] Operand 1
     /* 2335557 */   // No operand predicates
     /* 2335557 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335559 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2335559 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335562 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2335566 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335571 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335575 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335594 */   // GIR_Coverage, 63934,
     /* 2335594 */   GIR_EraseRootFromParent_Done,
     /* 2335595 */ // Label 28487: @2335595
     /* 2335595 */ GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2335670), // Rule ID 63938 //
     /* 2335600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335606 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335613 */   // MIs[0] Operand 1
     /* 2335613 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2335618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335622 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335626 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335630 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2335634 */   // MIs[1] Operand 1
     /* 2335634 */   // No operand predicates
     /* 2335634 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335636 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2335636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335648 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335652 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2335655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335669 */   // GIR_Coverage, 63938,
     /* 2335669 */   GIR_EraseRootFromParent_Done,
     /* 2335670 */ // Label 28488: @2335670
     /* 2335670 */ GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2335745), // Rule ID 63942 //
     /* 2335675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335688 */   // MIs[0] Operand 1
     /* 2335688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2335693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335697 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335701 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335705 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2335709 */   // MIs[1] Operand 1
     /* 2335709 */   // No operand predicates
     /* 2335709 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335711 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2335711 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2335714 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2335718 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335723 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2335727 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2335730 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2335735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335737 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335744 */   // GIR_Coverage, 63942,
     /* 2335744 */   GIR_EraseRootFromParent_Done,
     /* 2335745 */ // Label 28489: @2335745
     /* 2335745 */ GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2335800), // Rule ID 63946 //
     /* 2335750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335763 */   // MIs[0] Operand 1
     /* 2335763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2335768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335772 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335776 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335780 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2335784 */   // MIs[1] Operand 1
     /* 2335784 */   // No operand predicates
     /* 2335784 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335786 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2335786 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2335789 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335791 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335793 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335799 */   // GIR_Coverage, 63946,
     /* 2335799 */   GIR_EraseRootFromParent_Done,
     /* 2335800 */ // Label 28490: @2335800
     /* 2335800 */ GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2335855), // Rule ID 63950 //
     /* 2335805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335818 */   // MIs[0] Operand 1
     /* 2335818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2335823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335827 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2335831 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2335835 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2335839 */   // MIs[1] Operand 1
     /* 2335839 */   // No operand predicates
     /* 2335839 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2335841 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2335841 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2335844 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335846 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335848 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2335853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335854 */   // GIR_Coverage, 63950,
     /* 2335854 */   GIR_EraseRootFromParent_Done,
     /* 2335855 */ // Label 28491: @2335855
     /* 2335855 */ GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2335897), // Rule ID 63799 //
     /* 2335860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2335863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335873 */   // MIs[0] Operand 1
     /* 2335873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2335878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335886 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2335886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2335889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2335895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335896 */   // GIR_Coverage, 63799,
     /* 2335896 */   GIR_EraseRootFromParent_Done,
     /* 2335897 */ // Label 28492: @2335897
     /* 2335897 */ GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2335939), // Rule ID 63801 //
     /* 2335902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2335905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335915 */   // MIs[0] Operand 1
     /* 2335915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2335920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335928 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2335928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2335931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2335937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335938 */   // GIR_Coverage, 63801,
     /* 2335938 */   GIR_EraseRootFromParent_Done,
     /* 2335939 */ // Label 28493: @2335939
     /* 2335939 */ GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2335981), // Rule ID 147 //
     /* 2335944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335947 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335950 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335957 */   // MIs[0] Operand 1
     /* 2335957 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2335962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335966 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335970 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2335970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2335973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2335977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2335979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335980 */   // GIR_Coverage, 147,
     /* 2335980 */   GIR_EraseRootFromParent_Done,
     /* 2335981 */ // Label 28494: @2335981
     /* 2335981 */ GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2336023), // Rule ID 151 //
     /* 2335986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2335989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2335992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2335995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335999 */   // MIs[0] Operand 1
     /* 2335999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2336004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336012 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2336012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336022 */   // GIR_Coverage, 151,
     /* 2336022 */   GIR_EraseRootFromParent_Done,
     /* 2336023 */ // Label 28495: @2336023
     /* 2336023 */ GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2336065), // Rule ID 63876 //
     /* 2336028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336041 */   // MIs[0] Operand 1
     /* 2336041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2336046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336054 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2336054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336064 */   // GIR_Coverage, 63876,
     /* 2336064 */   GIR_EraseRootFromParent_Done,
     /* 2336065 */ // Label 28496: @2336065
     /* 2336065 */ GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2336107), // Rule ID 63880 //
     /* 2336070 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336076 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336083 */   // MIs[0] Operand 1
     /* 2336083 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2336088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336092 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336096 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2336096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336101 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336103 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336106 */   // GIR_Coverage, 63880,
     /* 2336106 */   GIR_EraseRootFromParent_Done,
     /* 2336107 */ // Label 28497: @2336107
     /* 2336107 */ GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2336173), // Rule ID 63886 //
     /* 2336112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336118 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336125 */   // MIs[0] Operand 1
     /* 2336125 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2336130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336134 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336138 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336138 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336141 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2336145 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336150 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336154 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336158 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2336163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336165 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336172 */   // GIR_Coverage, 63886,
     /* 2336172 */   GIR_EraseRootFromParent_Done,
     /* 2336173 */ // Label 28498: @2336173
     /* 2336173 */ GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2336242), // Rule ID 63892 //
     /* 2336178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336191 */   // MIs[0] Operand 1
     /* 2336191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2336196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336204 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2336204 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336207 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2336211 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336216 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336220 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336231 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2336237 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336240 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336241 */   // GIR_Coverage, 63892,
     /* 2336241 */   GIR_EraseRootFromParent_Done,
     /* 2336242 */ // Label 28499: @2336242
     /* 2336242 */ GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2336284), // Rule ID 63896 //
     /* 2336247 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336253 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336256 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336260 */   // MIs[0] Operand 1
     /* 2336260 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2336265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336269 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336273 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2336273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336278 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336280 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336283 */   // GIR_Coverage, 63896,
     /* 2336283 */   GIR_EraseRootFromParent_Done,
     /* 2336284 */ // Label 28500: @2336284
     /* 2336284 */ GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2336326), // Rule ID 63900 //
     /* 2336289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336302 */   // MIs[0] Operand 1
     /* 2336302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2336307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336315 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2336315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336320 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336322 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336325 */   // GIR_Coverage, 63900,
     /* 2336325 */   GIR_EraseRootFromParent_Done,
     /* 2336326 */ // Label 28501: @2336326
     /* 2336326 */ GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2336392), // Rule ID 63904 //
     /* 2336331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336344 */   // MIs[0] Operand 1
     /* 2336344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2336349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336357 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336357 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336360 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336364 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336369 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336373 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336391 */   // GIR_Coverage, 63904,
     /* 2336391 */   GIR_EraseRootFromParent_Done,
     /* 2336392 */ // Label 28502: @2336392
     /* 2336392 */ GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2336458), // Rule ID 63908 //
     /* 2336397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336410 */   // MIs[0] Operand 1
     /* 2336410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2336415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336423 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336435 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336439 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336457 */   // GIR_Coverage, 63908,
     /* 2336457 */   GIR_EraseRootFromParent_Done,
     /* 2336458 */ // Label 28503: @2336458
     /* 2336458 */ GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2336524), // Rule ID 63912 //
     /* 2336463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336476 */   // MIs[0] Operand 1
     /* 2336476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2336481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336489 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2336489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336501 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336505 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336509 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336516 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336523 */   // GIR_Coverage, 63912,
     /* 2336523 */   GIR_EraseRootFromParent_Done,
     /* 2336524 */ // Label 28504: @2336524
     /* 2336524 */ GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2336590), // Rule ID 63916 //
     /* 2336529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2336535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2336538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336542 */   // MIs[0] Operand 1
     /* 2336542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2336547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336555 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2336555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336567 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336571 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336589 */   // GIR_Coverage, 63916,
     /* 2336589 */   GIR_EraseRootFromParent_Done,
     /* 2336590 */ // Label 28505: @2336590
     /* 2336590 */ GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2336656), // Rule ID 63922 //
     /* 2336595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336608 */   // MIs[0] Operand 1
     /* 2336608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2336613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336621 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336621 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336624 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2336628 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336633 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336637 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336641 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2336646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336648 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336655 */   // GIR_Coverage, 63922,
     /* 2336655 */   GIR_EraseRootFromParent_Done,
     /* 2336656 */ // Label 28506: @2336656
     /* 2336656 */ GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2336725), // Rule ID 63928 //
     /* 2336661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336674 */   // MIs[0] Operand 1
     /* 2336674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2336679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336687 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2336687 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336690 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2336694 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336699 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336703 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336714 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2336720 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336724 */   // GIR_Coverage, 63928,
     /* 2336724 */   GIR_EraseRootFromParent_Done,
     /* 2336725 */ // Label 28507: @2336725
     /* 2336725 */ GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2336767), // Rule ID 63932 //
     /* 2336730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336743 */   // MIs[0] Operand 1
     /* 2336743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2336748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336756 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2336756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336766 */   // GIR_Coverage, 63932,
     /* 2336766 */   GIR_EraseRootFromParent_Done,
     /* 2336767 */ // Label 28508: @2336767
     /* 2336767 */ GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2336809), // Rule ID 63936 //
     /* 2336772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336785 */   // MIs[0] Operand 1
     /* 2336785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2336790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336798 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2336798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2336805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2336807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336808 */   // GIR_Coverage, 63936,
     /* 2336808 */   GIR_EraseRootFromParent_Done,
     /* 2336809 */ // Label 28509: @2336809
     /* 2336809 */ GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2336875), // Rule ID 63940 //
     /* 2336814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336827 */   // MIs[0] Operand 1
     /* 2336827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2336832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336840 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336852 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336856 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336874 */   // GIR_Coverage, 63940,
     /* 2336874 */   GIR_EraseRootFromParent_Done,
     /* 2336875 */ // Label 28510: @2336875
     /* 2336875 */ GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2336941), // Rule ID 63944 //
     /* 2336880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336893 */   // MIs[0] Operand 1
     /* 2336893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2336898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336906 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2336906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2336913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336918 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336922 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2336939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336940 */   // GIR_Coverage, 63944,
     /* 2336940 */   GIR_EraseRootFromParent_Done,
     /* 2336941 */ // Label 28511: @2336941
     /* 2336941 */ GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2337007), // Rule ID 63948 //
     /* 2336946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2336949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2336952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2336955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336959 */   // MIs[0] Operand 1
     /* 2336959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2336964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2336972 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2336972 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2336975 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2336979 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336984 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2336988 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2336992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2336997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337006 */   // GIR_Coverage, 63948,
     /* 2337006 */   GIR_EraseRootFromParent_Done,
     /* 2337007 */ // Label 28512: @2337007
     /* 2337007 */ GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2337073), // Rule ID 63952 //
     /* 2337012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2337015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2337018 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2337021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337025 */   // MIs[0] Operand 1
     /* 2337025 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2337030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337034 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337038 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2337038 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337041 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2337045 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337050 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2337054 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337058 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2337063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337065 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337072 */   // GIR_Coverage, 63952,
     /* 2337072 */   GIR_EraseRootFromParent_Done,
     /* 2337073 */ // Label 28513: @2337073
     /* 2337073 */ GIM_Reject,
     /* 2337074 */ // Label 28458: @2337074
     /* 2337074 */ GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2337117), // Rule ID 158 //
     /* 2337079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337092 */   // MIs[0] Operand 1
     /* 2337092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2337097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337101 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2337105 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2337105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337116 */   // GIR_Coverage, 158,
     /* 2337116 */   GIR_EraseRootFromParent_Done,
     /* 2337117 */ // Label 28514: @2337117
     /* 2337117 */ GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2337160), // Rule ID 63881 //
     /* 2337122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2337131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337135 */   // MIs[0] Operand 1
     /* 2337135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2337140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337144 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2337148 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2337148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337159 */   // GIR_Coverage, 63881,
     /* 2337159 */   GIR_EraseRootFromParent_Done,
     /* 2337160 */ // Label 28515: @2337160
     /* 2337160 */ GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2337206), // Rule ID 63887 //
     /* 2337165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2337174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337178 */   // MIs[0] Operand 1
     /* 2337178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2337183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337187 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2337191 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2337191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2337194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337196 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2337202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337205 */   // GIR_Coverage, 63887,
     /* 2337205 */   GIR_EraseRootFromParent_Done,
     /* 2337206 */ // Label 28516: @2337206
     /* 2337206 */ GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2337249), // Rule ID 63917 //
     /* 2337211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337224 */   // MIs[0] Operand 1
     /* 2337224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2337229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337233 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2337237 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2337237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337248 */   // GIR_Coverage, 63917,
     /* 2337248 */   GIR_EraseRootFromParent_Done,
     /* 2337249 */ // Label 28517: @2337249
     /* 2337249 */ GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2337295), // Rule ID 63923 //
     /* 2337254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337267 */   // MIs[0] Operand 1
     /* 2337267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2337272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337276 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2337280 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2337280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2337283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337285 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2337291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337294 */   // GIR_Coverage, 63923,
     /* 2337294 */   GIR_EraseRootFromParent_Done,
     /* 2337295 */ // Label 28518: @2337295
     /* 2337295 */ GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2337348), // Rule ID 148 //
     /* 2337300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337306 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337313 */   // MIs[0] Operand 1
     /* 2337313 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2337318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337322 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337326 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337330 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337334 */   // MIs[1] Operand 1
     /* 2337334 */   // No operand predicates
     /* 2337334 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337336 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2337336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2337339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337343 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2337346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337347 */   // GIR_Coverage, 148,
     /* 2337347 */   GIR_EraseRootFromParent_Done,
     /* 2337348 */ // Label 28519: @2337348
     /* 2337348 */ GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2337401), // Rule ID 152 //
     /* 2337353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337366 */   // MIs[0] Operand 1
     /* 2337366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2337371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337375 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337379 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337383 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337387 */   // MIs[1] Operand 1
     /* 2337387 */   // No operand predicates
     /* 2337387 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337389 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2337389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337396 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2337399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337400 */   // GIR_Coverage, 152,
     /* 2337400 */   GIR_EraseRootFromParent_Done,
     /* 2337401 */ // Label 28520: @2337401
     /* 2337401 */ GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2337454), // Rule ID 63873 //
     /* 2337406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337419 */   // MIs[0] Operand 1
     /* 2337419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2337424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337428 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337432 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337436 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337440 */   // MIs[1] Operand 1
     /* 2337440 */   // No operand predicates
     /* 2337440 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337442 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2337442 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337445 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337447 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337449 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2337452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337453 */   // GIR_Coverage, 63873,
     /* 2337453 */   GIR_EraseRootFromParent_Done,
     /* 2337454 */ // Label 28521: @2337454
     /* 2337454 */ GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2337507), // Rule ID 63877 //
     /* 2337459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337472 */   // MIs[0] Operand 1
     /* 2337472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2337477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337481 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337485 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337489 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337493 */   // MIs[1] Operand 1
     /* 2337493 */   // No operand predicates
     /* 2337493 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337495 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2337495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2337498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337500 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2337502 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2337505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337506 */   // GIR_Coverage, 63877,
     /* 2337506 */   GIR_EraseRootFromParent_Done,
     /* 2337507 */ // Label 28522: @2337507
     /* 2337507 */ GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2337584), // Rule ID 63883 //
     /* 2337512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337518 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337525 */   // MIs[0] Operand 1
     /* 2337525 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2337530 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337534 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337538 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337542 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2337546 */   // MIs[1] Operand 1
     /* 2337546 */   // No operand predicates
     /* 2337546 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337548 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2337548 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337551 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2337555 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337560 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337564 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2337569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337583 */   // GIR_Coverage, 63883,
     /* 2337583 */   GIR_EraseRootFromParent_Done,
     /* 2337584 */ // Label 28523: @2337584
     /* 2337584 */ GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2337664), // Rule ID 63889 //
     /* 2337589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337602 */   // MIs[0] Operand 1
     /* 2337602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2337607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337611 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337615 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337619 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2337623 */   // MIs[1] Operand 1
     /* 2337623 */   // No operand predicates
     /* 2337623 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337625 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2337625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2337632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337637 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337641 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2337646 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2337651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337653 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2337659 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337663 */   // GIR_Coverage, 63889,
     /* 2337663 */   GIR_EraseRootFromParent_Done,
     /* 2337664 */ // Label 28524: @2337664
     /* 2337664 */ GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2337741), // Rule ID 63893 //
     /* 2337669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337682 */   // MIs[0] Operand 1
     /* 2337682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2337687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337691 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337695 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337699 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2337703 */   // MIs[1] Operand 1
     /* 2337703 */   // No operand predicates
     /* 2337703 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337705 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2337705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337717 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337721 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2337726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2337731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337740 */   // GIR_Coverage, 63893,
     /* 2337740 */   GIR_EraseRootFromParent_Done,
     /* 2337741 */ // Label 28525: @2337741
     /* 2337741 */ GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2337818), // Rule ID 63897 //
     /* 2337746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337759 */   // MIs[0] Operand 1
     /* 2337759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2337764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337768 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337772 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337776 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2337780 */   // MIs[1] Operand 1
     /* 2337780 */   // No operand predicates
     /* 2337780 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337782 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2337782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2337789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337794 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337798 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2337803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2337808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337817 */   // GIR_Coverage, 63897,
     /* 2337817 */   GIR_EraseRootFromParent_Done,
     /* 2337818 */ // Label 28526: @2337818
     /* 2337818 */ GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2337893), // Rule ID 63901 //
     /* 2337823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337826 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2337829 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337836 */   // MIs[0] Operand 1
     /* 2337836 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2337841 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337845 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337849 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337853 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337857 */   // MIs[1] Operand 1
     /* 2337857 */   // No operand predicates
     /* 2337857 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337859 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2337859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2337866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337871 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337875 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2337878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2337883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337892 */   // GIR_Coverage, 63901,
     /* 2337892 */   GIR_EraseRootFromParent_Done,
     /* 2337893 */ // Label 28527: @2337893
     /* 2337893 */ GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2337968), // Rule ID 63905 //
     /* 2337898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337911 */   // MIs[0] Operand 1
     /* 2337911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2337916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337920 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337924 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2337928 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2337932 */   // MIs[1] Operand 1
     /* 2337932 */   // No operand predicates
     /* 2337932 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2337934 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2337934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2337937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2337941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337946 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2337950 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2337953 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2337958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337960 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2337966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337967 */   // GIR_Coverage, 63905,
     /* 2337967 */   GIR_EraseRootFromParent_Done,
     /* 2337968 */ // Label 28528: @2337968
     /* 2337968 */ GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2338023), // Rule ID 63909 //
     /* 2337973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2337976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2337979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2337982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337986 */   // MIs[0] Operand 1
     /* 2337986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2337991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2337995 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2337999 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338003 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2338007 */   // MIs[1] Operand 1
     /* 2338007 */   // No operand predicates
     /* 2338007 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338009 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2338009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338016 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338022 */   // GIR_Coverage, 63909,
     /* 2338022 */   GIR_EraseRootFromParent_Done,
     /* 2338023 */ // Label 28529: @2338023
     /* 2338023 */ GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2338078), // Rule ID 63913 //
     /* 2338028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2338034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338041 */   // MIs[0] Operand 1
     /* 2338041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2338046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338050 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338054 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338058 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2338062 */   // MIs[1] Operand 1
     /* 2338062 */   // No operand predicates
     /* 2338062 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338064 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2338064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2338067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338069 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338071 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338077 */   // GIR_Coverage, 63913,
     /* 2338077 */   GIR_EraseRootFromParent_Done,
     /* 2338078 */ // Label 28530: @2338078
     /* 2338078 */ GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2338155), // Rule ID 63919 //
     /* 2338083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338096 */   // MIs[0] Operand 1
     /* 2338096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2338101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338105 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338109 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338113 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2338117 */   // MIs[1] Operand 1
     /* 2338117 */   // No operand predicates
     /* 2338117 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338119 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2338119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2338126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338131 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338135 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2338140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338154 */   // GIR_Coverage, 63919,
     /* 2338154 */   GIR_EraseRootFromParent_Done,
     /* 2338155 */ // Label 28531: @2338155
     /* 2338155 */ GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2338235), // Rule ID 63925 //
     /* 2338160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338166 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338173 */   // MIs[0] Operand 1
     /* 2338173 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2338178 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338182 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338186 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338190 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2338194 */   // MIs[1] Operand 1
     /* 2338194 */   // No operand predicates
     /* 2338194 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338196 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2338196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2338203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338208 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338212 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2338217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2338222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338224 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2338230 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338234 */   // GIR_Coverage, 63925,
     /* 2338234 */   GIR_EraseRootFromParent_Done,
     /* 2338235 */ // Label 28532: @2338235
     /* 2338235 */ GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2338312), // Rule ID 63929 //
     /* 2338240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338246 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338253 */   // MIs[0] Operand 1
     /* 2338253 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2338258 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338262 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338266 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338270 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2338274 */   // MIs[1] Operand 1
     /* 2338274 */   // No operand predicates
     /* 2338274 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338276 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2338276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338288 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338292 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2338302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338311 */   // GIR_Coverage, 63929,
     /* 2338311 */   GIR_EraseRootFromParent_Done,
     /* 2338312 */ // Label 28533: @2338312
     /* 2338312 */ GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2338389), // Rule ID 63933 //
     /* 2338317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338330 */   // MIs[0] Operand 1
     /* 2338330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2338335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338339 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338343 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338347 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2338351 */   // MIs[1] Operand 1
     /* 2338351 */   // No operand predicates
     /* 2338351 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338353 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2338353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2338360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338365 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338369 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2338379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338388 */   // GIR_Coverage, 63933,
     /* 2338388 */   GIR_EraseRootFromParent_Done,
     /* 2338389 */ // Label 28534: @2338389
     /* 2338389 */ GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2338464), // Rule ID 63937 //
     /* 2338394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338407 */   // MIs[0] Operand 1
     /* 2338407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2338412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338416 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338420 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338424 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2338428 */   // MIs[1] Operand 1
     /* 2338428 */   // No operand predicates
     /* 2338428 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338430 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2338430 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338433 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338437 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338442 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338446 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2338449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2338454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338463 */   // GIR_Coverage, 63937,
     /* 2338463 */   GIR_EraseRootFromParent_Done,
     /* 2338464 */ // Label 28535: @2338464
     /* 2338464 */ GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2338539), // Rule ID 63941 //
     /* 2338469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338482 */   // MIs[0] Operand 1
     /* 2338482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2338487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338491 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338495 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338499 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2338503 */   // MIs[1] Operand 1
     /* 2338503 */   // No operand predicates
     /* 2338503 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338505 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2338505 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338508 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2338512 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338517 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338521 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2338524 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2338529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338531 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338538 */   // GIR_Coverage, 63941,
     /* 2338538 */   GIR_EraseRootFromParent_Done,
     /* 2338539 */ // Label 28536: @2338539
     /* 2338539 */ GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2338594), // Rule ID 63945 //
     /* 2338544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338557 */   // MIs[0] Operand 1
     /* 2338557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2338562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338566 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338570 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338574 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2338578 */   // MIs[1] Operand 1
     /* 2338578 */   // No operand predicates
     /* 2338578 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338580 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2338580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338587 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338593 */   // GIR_Coverage, 63945,
     /* 2338593 */   GIR_EraseRootFromParent_Done,
     /* 2338594 */ // Label 28537: @2338594
     /* 2338594 */ GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2338649), // Rule ID 63949 //
     /* 2338599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338612 */   // MIs[0] Operand 1
     /* 2338612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2338617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338621 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2338625 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2338629 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2338633 */   // MIs[1] Operand 1
     /* 2338633 */   // No operand predicates
     /* 2338633 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2338635 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2338635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2338638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338640 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338642 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2338647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338648 */   // GIR_Coverage, 63949,
     /* 2338648 */   GIR_EraseRootFromParent_Done,
     /* 2338649 */ // Label 28538: @2338649
     /* 2338649 */ GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2338691), // Rule ID 63798 //
     /* 2338654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2338657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338667 */   // MIs[0] Operand 1
     /* 2338667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2338672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338680 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2338683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338689 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338690 */   // GIR_Coverage, 63798,
     /* 2338690 */   GIR_EraseRootFromParent_Done,
     /* 2338691 */ // Label 28539: @2338691
     /* 2338691 */ GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2338733), // Rule ID 63800 //
     /* 2338696 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2338699 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338702 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338709 */   // MIs[0] Operand 1
     /* 2338709 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2338714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338718 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338722 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2338725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338729 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338732 */   // GIR_Coverage, 63800,
     /* 2338732 */   GIR_EraseRootFromParent_Done,
     /* 2338733 */ // Label 28540: @2338733
     /* 2338733 */ GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2338775), // Rule ID 146 //
     /* 2338738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338751 */   // MIs[0] Operand 1
     /* 2338751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2338756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338764 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2338767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338769 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338774 */   // GIR_Coverage, 146,
     /* 2338774 */   GIR_EraseRootFromParent_Done,
     /* 2338775 */ // Label 28541: @2338775
     /* 2338775 */ GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2338817), // Rule ID 150 //
     /* 2338780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2338786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2338789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338793 */   // MIs[0] Operand 1
     /* 2338793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2338798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338806 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2338809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338811 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338816 */   // GIR_Coverage, 150,
     /* 2338816 */   GIR_EraseRootFromParent_Done,
     /* 2338817 */ // Label 28542: @2338817
     /* 2338817 */ GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2338859), // Rule ID 63875 //
     /* 2338822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2338828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2338831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338835 */   // MIs[0] Operand 1
     /* 2338835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2338840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338848 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2338851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338855 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338858 */   // GIR_Coverage, 63875,
     /* 2338858 */   GIR_EraseRootFromParent_Done,
     /* 2338859 */ // Label 28543: @2338859
     /* 2338859 */ GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2338901), // Rule ID 63879 //
     /* 2338864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2338870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2338873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338877 */   // MIs[0] Operand 1
     /* 2338877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2338882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338890 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2338890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2338893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2338897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2338899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338900 */   // GIR_Coverage, 63879,
     /* 2338900 */   GIR_EraseRootFromParent_Done,
     /* 2338901 */ // Label 28544: @2338901
     /* 2338901 */ GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2338967), // Rule ID 63885 //
     /* 2338906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2338912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2338915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338919 */   // MIs[0] Operand 1
     /* 2338919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2338924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338932 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2338932 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2338935 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2338939 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338944 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2338948 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2338952 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2338957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338959 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2338965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338966 */   // GIR_Coverage, 63885,
     /* 2338966 */   GIR_EraseRootFromParent_Done,
     /* 2338967 */ // Label 28545: @2338967
     /* 2338967 */ GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2339036), // Rule ID 63891 //
     /* 2338972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2338975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2338978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2338981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338985 */   // MIs[0] Operand 1
     /* 2338985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2338990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2338998 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2338998 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339001 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2339005 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339010 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339014 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339018 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339025 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2339031 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339035 */   // GIR_Coverage, 63891,
     /* 2339035 */   GIR_EraseRootFromParent_Done,
     /* 2339036 */ // Label 28546: @2339036
     /* 2339036 */ GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2339078), // Rule ID 63895 //
     /* 2339041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339054 */   // MIs[0] Operand 1
     /* 2339054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2339059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339067 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2339067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339077 */   // GIR_Coverage, 63895,
     /* 2339077 */   GIR_EraseRootFromParent_Done,
     /* 2339078 */ // Label 28547: @2339078
     /* 2339078 */ GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2339120), // Rule ID 63899 //
     /* 2339083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339096 */   // MIs[0] Operand 1
     /* 2339096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2339101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339109 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2339109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339119 */   // GIR_Coverage, 63899,
     /* 2339119 */   GIR_EraseRootFromParent_Done,
     /* 2339120 */ // Label 28548: @2339120
     /* 2339120 */ GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2339186), // Rule ID 63903 //
     /* 2339125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339138 */   // MIs[0] Operand 1
     /* 2339138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2339143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339151 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2339151 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339154 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339158 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339163 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339167 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339171 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339178 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339185 */   // GIR_Coverage, 63903,
     /* 2339185 */   GIR_EraseRootFromParent_Done,
     /* 2339186 */ // Label 28549: @2339186
     /* 2339186 */ GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2339252), // Rule ID 63907 //
     /* 2339191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339204 */   // MIs[0] Operand 1
     /* 2339204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2339209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339213 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339217 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2339217 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339220 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339224 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339229 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339233 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339251 */   // GIR_Coverage, 63907,
     /* 2339251 */   GIR_EraseRootFromParent_Done,
     /* 2339252 */ // Label 28550: @2339252
     /* 2339252 */ GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2339318), // Rule ID 63911 //
     /* 2339257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339270 */   // MIs[0] Operand 1
     /* 2339270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2339275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339283 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2339283 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339286 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339290 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339295 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339299 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339303 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339310 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339317 */   // GIR_Coverage, 63911,
     /* 2339317 */   GIR_EraseRootFromParent_Done,
     /* 2339318 */ // Label 28551: @2339318
     /* 2339318 */ GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2339384), // Rule ID 63915 //
     /* 2339323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2339329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2339332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339336 */   // MIs[0] Operand 1
     /* 2339336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2339341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339349 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2339349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339361 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339365 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339369 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339376 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339383 */   // GIR_Coverage, 63915,
     /* 2339383 */   GIR_EraseRootFromParent_Done,
     /* 2339384 */ // Label 28552: @2339384
     /* 2339384 */ GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2339450), // Rule ID 63921 //
     /* 2339389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339402 */   // MIs[0] Operand 1
     /* 2339402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2339407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339411 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339415 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2339415 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339418 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2339422 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339427 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339431 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2339440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339449 */   // GIR_Coverage, 63921,
     /* 2339449 */   GIR_EraseRootFromParent_Done,
     /* 2339450 */ // Label 28553: @2339450
     /* 2339450 */ GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2339519), // Rule ID 63927 //
     /* 2339455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339468 */   // MIs[0] Operand 1
     /* 2339468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2339473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339481 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2339481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2339488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339493 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339497 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339508 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2339514 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339518 */   // GIR_Coverage, 63927,
     /* 2339518 */   GIR_EraseRootFromParent_Done,
     /* 2339519 */ // Label 28554: @2339519
     /* 2339519 */ GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2339561), // Rule ID 63931 //
     /* 2339524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339537 */   // MIs[0] Operand 1
     /* 2339537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2339542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339550 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2339550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339555 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339560 */   // GIR_Coverage, 63931,
     /* 2339560 */   GIR_EraseRootFromParent_Done,
     /* 2339561 */ // Label 28555: @2339561
     /* 2339561 */ GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2339603), // Rule ID 63935 //
     /* 2339566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339579 */   // MIs[0] Operand 1
     /* 2339579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2339584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339592 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2339592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339599 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339602 */   // GIR_Coverage, 63935,
     /* 2339602 */   GIR_EraseRootFromParent_Done,
     /* 2339603 */ // Label 28556: @2339603
     /* 2339603 */ GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2339669), // Rule ID 63939 //
     /* 2339608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339621 */   // MIs[0] Operand 1
     /* 2339621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2339626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339634 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2339634 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339637 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339641 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339646 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339650 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339654 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339661 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339668 */   // GIR_Coverage, 63939,
     /* 2339668 */   GIR_EraseRootFromParent_Done,
     /* 2339669 */ // Label 28557: @2339669
     /* 2339669 */ GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2339735), // Rule ID 63943 //
     /* 2339674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339687 */   // MIs[0] Operand 1
     /* 2339687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2339692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339700 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2339700 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339703 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339707 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339712 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339716 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339734 */   // GIR_Coverage, 63943,
     /* 2339734 */   GIR_EraseRootFromParent_Done,
     /* 2339735 */ // Label 28558: @2339735
     /* 2339735 */ GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2339801), // Rule ID 63947 //
     /* 2339740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339753 */   // MIs[0] Operand 1
     /* 2339753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2339758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339766 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2339766 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339769 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2339773 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339778 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339782 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339800 */   // GIR_Coverage, 63947,
     /* 2339800 */   GIR_EraseRootFromParent_Done,
     /* 2339801 */ // Label 28559: @2339801
     /* 2339801 */ GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2339867), // Rule ID 63951 //
     /* 2339806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2339809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2339812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2339815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339819 */   // MIs[0] Operand 1
     /* 2339819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2339824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339832 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2339832 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2339835 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2339839 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339844 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2339848 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2339852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2339857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2339865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339866 */   // GIR_Coverage, 63951,
     /* 2339866 */   GIR_EraseRootFromParent_Done,
     /* 2339867 */ // Label 28560: @2339867
     /* 2339867 */ GIM_Reject,
     /* 2339868 */ // Label 28459: @2339868
     /* 2339868 */ GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2339916), // Rule ID 45488 //
     /* 2339873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2339879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2339882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339886 */   // MIs[0] Operand 1
     /* 2339886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2339891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339899 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2339902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339915 */   // GIR_Coverage, 45488,
     /* 2339915 */   GIR_EraseRootFromParent_Done,
     /* 2339916 */ // Label 28561: @2339916
     /* 2339916 */ GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2339964), // Rule ID 45489 //
     /* 2339921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2339924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2339927 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2339930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339934 */   // MIs[0] Operand 1
     /* 2339934 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2339939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339943 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339947 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2339950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2339954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2339956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339963 */   // GIR_Coverage, 45489,
     /* 2339963 */   GIR_EraseRootFromParent_Done,
     /* 2339964 */ // Label 28562: @2339964
     /* 2339964 */ GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2340012), // Rule ID 45490 //
     /* 2339969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2339972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2339975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2339978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339982 */   // MIs[0] Operand 1
     /* 2339982 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2339987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2339995 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2339998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340000 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2340002 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340011 */   // GIR_Coverage, 45490,
     /* 2340011 */   GIR_EraseRootFromParent_Done,
     /* 2340012 */ // Label 28563: @2340012
     /* 2340012 */ GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2340060), // Rule ID 45491 //
     /* 2340017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2340026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340030 */   // MIs[0] Operand 1
     /* 2340030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2340035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340043 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2340046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340048 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2340050 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2340052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340059 */   // GIR_Coverage, 45491,
     /* 2340059 */   GIR_EraseRootFromParent_Done,
     /* 2340060 */ // Label 28564: @2340060
     /* 2340060 */ GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2340108), // Rule ID 47974 //
     /* 2340065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340078 */   // MIs[0] Operand 1
     /* 2340078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340091 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2340091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2340094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340107 */   // GIR_Coverage, 47974,
     /* 2340107 */   GIR_EraseRootFromParent_Done,
     /* 2340108 */ // Label 28565: @2340108
     /* 2340108 */ GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2340156), // Rule ID 47975 //
     /* 2340113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340126 */   // MIs[0] Operand 1
     /* 2340126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340139 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2340139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2340142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340155 */   // GIR_Coverage, 47975,
     /* 2340155 */   GIR_EraseRootFromParent_Done,
     /* 2340156 */ // Label 28566: @2340156
     /* 2340156 */ GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2340204), // Rule ID 47978 //
     /* 2340161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340174 */   // MIs[0] Operand 1
     /* 2340174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340187 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2340187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2340190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340194 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340203 */   // GIR_Coverage, 47978,
     /* 2340203 */   GIR_EraseRootFromParent_Done,
     /* 2340204 */ // Label 28567: @2340204
     /* 2340204 */ GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2340252), // Rule ID 47979 //
     /* 2340209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340222 */   // MIs[0] Operand 1
     /* 2340222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340235 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2340235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2340238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340242 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340251 */   // GIR_Coverage, 47979,
     /* 2340251 */   GIR_EraseRootFromParent_Done,
     /* 2340252 */ // Label 28568: @2340252
     /* 2340252 */ GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2340300), // Rule ID 47986 //
     /* 2340257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2340260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2340266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340270 */   // MIs[0] Operand 1
     /* 2340270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340283 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2340283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2340286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340290 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340299 */   // GIR_Coverage, 47986,
     /* 2340299 */   GIR_EraseRootFromParent_Done,
     /* 2340300 */ // Label 28569: @2340300
     /* 2340300 */ GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2340348), // Rule ID 47987 //
     /* 2340305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2340308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2340314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340318 */   // MIs[0] Operand 1
     /* 2340318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2340323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340331 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2340331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2340334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340347 */   // GIR_Coverage, 47987,
     /* 2340347 */   GIR_EraseRootFromParent_Done,
     /* 2340348 */ // Label 28570: @2340348
     /* 2340348 */ GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2340396), // Rule ID 48012 //
     /* 2340353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2340362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340366 */   // MIs[0] Operand 1
     /* 2340366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340379 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2340382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340395 */   // GIR_Coverage, 48012,
     /* 2340395 */   GIR_EraseRootFromParent_Done,
     /* 2340396 */ // Label 28571: @2340396
     /* 2340396 */ GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2340444), // Rule ID 48013 //
     /* 2340401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2340410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340414 */   // MIs[0] Operand 1
     /* 2340414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340427 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2340430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340443 */   // GIR_Coverage, 48013,
     /* 2340443 */   GIR_EraseRootFromParent_Done,
     /* 2340444 */ // Label 28572: @2340444
     /* 2340444 */ GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2340492), // Rule ID 48018 //
     /* 2340449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340462 */   // MIs[0] Operand 1
     /* 2340462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340475 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2340475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2340478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340491 */   // GIR_Coverage, 48018,
     /* 2340491 */   GIR_EraseRootFromParent_Done,
     /* 2340492 */ // Label 28573: @2340492
     /* 2340492 */ GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2340540), // Rule ID 48019 //
     /* 2340497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340510 */   // MIs[0] Operand 1
     /* 2340510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340523 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2340523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2340526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340539 */   // GIR_Coverage, 48019,
     /* 2340539 */   GIR_EraseRootFromParent_Done,
     /* 2340540 */ // Label 28574: @2340540
     /* 2340540 */ GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2340588), // Rule ID 48022 //
     /* 2340545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340558 */   // MIs[0] Operand 1
     /* 2340558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340571 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2340571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2340574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340587 */   // GIR_Coverage, 48022,
     /* 2340587 */   GIR_EraseRootFromParent_Done,
     /* 2340588 */ // Label 28575: @2340588
     /* 2340588 */ GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2340636), // Rule ID 48023 //
     /* 2340593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340606 */   // MIs[0] Operand 1
     /* 2340606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340619 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2340619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2340622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340635 */   // GIR_Coverage, 48023,
     /* 2340635 */   GIR_EraseRootFromParent_Done,
     /* 2340636 */ // Label 28576: @2340636
     /* 2340636 */ GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2340684), // Rule ID 48030 //
     /* 2340641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2340644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2340650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340654 */   // MIs[0] Operand 1
     /* 2340654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340667 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2340667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2340670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340683 */   // GIR_Coverage, 48030,
     /* 2340683 */   GIR_EraseRootFromParent_Done,
     /* 2340684 */ // Label 28577: @2340684
     /* 2340684 */ GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2340732), // Rule ID 48031 //
     /* 2340689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2340692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2340695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2340698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340702 */   // MIs[0] Operand 1
     /* 2340702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2340707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340715 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2340715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2340718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340731 */   // GIR_Coverage, 48031,
     /* 2340731 */   GIR_EraseRootFromParent_Done,
     /* 2340732 */ // Label 28578: @2340732
     /* 2340732 */ GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2340780), // Rule ID 48056 //
     /* 2340737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2340746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340750 */   // MIs[0] Operand 1
     /* 2340750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340763 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2340766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340779 */   // GIR_Coverage, 48056,
     /* 2340779 */   GIR_EraseRootFromParent_Done,
     /* 2340780 */ // Label 28579: @2340780
     /* 2340780 */ GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2340828), // Rule ID 48057 //
     /* 2340785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2340791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2340794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340798 */   // MIs[0] Operand 1
     /* 2340798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340811 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2340814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340827 */   // GIR_Coverage, 48057,
     /* 2340827 */   GIR_EraseRootFromParent_Done,
     /* 2340828 */ // Label 28580: @2340828
     /* 2340828 */ GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2340876), // Rule ID 48062 //
     /* 2340833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340846 */   // MIs[0] Operand 1
     /* 2340846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340859 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2340859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2340862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340875 */   // GIR_Coverage, 48062,
     /* 2340875 */   GIR_EraseRootFromParent_Done,
     /* 2340876 */ // Label 28581: @2340876
     /* 2340876 */ GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2340924), // Rule ID 48063 //
     /* 2340881 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2340887 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2340890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340894 */   // MIs[0] Operand 1
     /* 2340894 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340899 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340903 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340907 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2340907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2340910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340912 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340916 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340922 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340923 */   // GIR_Coverage, 48063,
     /* 2340923 */   GIR_EraseRootFromParent_Done,
     /* 2340924 */ // Label 28582: @2340924
     /* 2340924 */ GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2340972), // Rule ID 48066 //
     /* 2340929 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2340932 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340935 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340942 */   // MIs[0] Operand 1
     /* 2340942 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340947 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340951 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340955 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2340955 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2340958 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340960 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2340962 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2340964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340971 */   // GIR_Coverage, 48066,
     /* 2340971 */   GIR_EraseRootFromParent_Done,
     /* 2340972 */ // Label 28583: @2340972
     /* 2340972 */ GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2341020), // Rule ID 48067 //
     /* 2340977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2340980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2340983 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2340986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340990 */   // MIs[0] Operand 1
     /* 2340990 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2340995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340999 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341003 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2341003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2341006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341008 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341010 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341019 */   // GIR_Coverage, 48067,
     /* 2341019 */   GIR_EraseRootFromParent_Done,
     /* 2341020 */ // Label 28584: @2341020
     /* 2341020 */ GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2341068), // Rule ID 48074 //
     /* 2341025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2341028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341031 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341038 */   // MIs[0] Operand 1
     /* 2341038 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2341043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341047 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341051 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2341051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2341054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341056 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341058 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341067 */   // GIR_Coverage, 48074,
     /* 2341067 */   GIR_EraseRootFromParent_Done,
     /* 2341068 */ // Label 28585: @2341068
     /* 2341068 */ GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2341116), // Rule ID 48075 //
     /* 2341073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2341076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341086 */   // MIs[0] Operand 1
     /* 2341086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2341091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341095 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341099 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2341099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2341102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341104 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341106 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341108 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341115 */   // GIR_Coverage, 48075,
     /* 2341115 */   GIR_EraseRootFromParent_Done,
     /* 2341116 */ // Label 28586: @2341116
     /* 2341116 */ GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2341164), // Rule ID 48104 //
     /* 2341121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341134 */   // MIs[0] Operand 1
     /* 2341134 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341143 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341147 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2341147 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2341150 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341163 */   // GIR_Coverage, 48104,
     /* 2341163 */   GIR_EraseRootFromParent_Done,
     /* 2341164 */ // Label 28587: @2341164
     /* 2341164 */ GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2341212), // Rule ID 48105 //
     /* 2341169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341182 */   // MIs[0] Operand 1
     /* 2341182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341195 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2341195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2341198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341200 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341211 */   // GIR_Coverage, 48105,
     /* 2341211 */   GIR_EraseRootFromParent_Done,
     /* 2341212 */ // Label 28588: @2341212
     /* 2341212 */ GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2341260), // Rule ID 48108 //
     /* 2341217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341220 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341223 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2341226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341230 */   // MIs[0] Operand 1
     /* 2341230 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341239 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341243 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2341243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2341246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341248 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341258 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341259 */   // GIR_Coverage, 48108,
     /* 2341259 */   GIR_EraseRootFromParent_Done,
     /* 2341260 */ // Label 28589: @2341260
     /* 2341260 */ GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2341308), // Rule ID 48109 //
     /* 2341265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341271 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2341274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341278 */   // MIs[0] Operand 1
     /* 2341278 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341287 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341291 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2341291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2341294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341296 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341307 */   // GIR_Coverage, 48109,
     /* 2341307 */   GIR_EraseRootFromParent_Done,
     /* 2341308 */ // Label 28590: @2341308
     /* 2341308 */ GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2341356), // Rule ID 48116 //
     /* 2341313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2341316 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341319 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341326 */   // MIs[0] Operand 1
     /* 2341326 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341331 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341335 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341339 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2341339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2341342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341344 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341354 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341355 */   // GIR_Coverage, 48116,
     /* 2341355 */   GIR_EraseRootFromParent_Done,
     /* 2341356 */ // Label 28591: @2341356
     /* 2341356 */ GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2341404), // Rule ID 48117 //
     /* 2341361 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2341364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341367 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341374 */   // MIs[0] Operand 1
     /* 2341374 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2341379 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341383 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341387 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2341387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2341390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341392 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341403 */   // GIR_Coverage, 48117,
     /* 2341403 */   GIR_EraseRootFromParent_Done,
     /* 2341404 */ // Label 28592: @2341404
     /* 2341404 */ GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2341452), // Rule ID 48142 //
     /* 2341409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2341415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2341418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341422 */   // MIs[0] Operand 1
     /* 2341422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341435 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2341438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341451 */   // GIR_Coverage, 48142,
     /* 2341451 */   GIR_EraseRootFromParent_Done,
     /* 2341452 */ // Label 28593: @2341452
     /* 2341452 */ GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2341500), // Rule ID 48143 //
     /* 2341457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2341463 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2341466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341470 */   // MIs[0] Operand 1
     /* 2341470 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341479 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341483 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341483 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2341486 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341488 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341490 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341498 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341499 */   // GIR_Coverage, 48143,
     /* 2341499 */   GIR_EraseRootFromParent_Done,
     /* 2341500 */ // Label 28594: @2341500
     /* 2341500 */ GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2341548), // Rule ID 48148 //
     /* 2341505 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341508 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341511 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341518 */   // MIs[0] Operand 1
     /* 2341518 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341523 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341527 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341531 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2341531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2341534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341536 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341538 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341547 */   // GIR_Coverage, 48148,
     /* 2341547 */   GIR_EraseRootFromParent_Done,
     /* 2341548 */ // Label 28595: @2341548
     /* 2341548 */ GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2341596), // Rule ID 48149 //
     /* 2341553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341559 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341566 */   // MIs[0] Operand 1
     /* 2341566 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341575 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341579 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2341579 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2341582 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341586 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341595 */   // GIR_Coverage, 48149,
     /* 2341595 */   GIR_EraseRootFromParent_Done,
     /* 2341596 */ // Label 28596: @2341596
     /* 2341596 */ GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2341644), // Rule ID 48152 //
     /* 2341601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341607 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2341610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341614 */   // MIs[0] Operand 1
     /* 2341614 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341619 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341623 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341627 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2341627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2341630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341634 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341642 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341643 */   // GIR_Coverage, 48152,
     /* 2341643 */   GIR_EraseRootFromParent_Done,
     /* 2341644 */ // Label 28597: @2341644
     /* 2341644 */ GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2341692), // Rule ID 48153 //
     /* 2341649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341655 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2341658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341662 */   // MIs[0] Operand 1
     /* 2341662 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341671 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341675 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2341675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2341678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341682 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341691 */   // GIR_Coverage, 48153,
     /* 2341691 */   GIR_EraseRootFromParent_Done,
     /* 2341692 */ // Label 28598: @2341692
     /* 2341692 */ GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2341740), // Rule ID 48160 //
     /* 2341697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2341700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341703 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341710 */   // MIs[0] Operand 1
     /* 2341710 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341723 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2341723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2341726 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341730 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341739 */   // GIR_Coverage, 48160,
     /* 2341739 */   GIR_EraseRootFromParent_Done,
     /* 2341740 */ // Label 28599: @2341740
     /* 2341740 */ GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2341788), // Rule ID 48161 //
     /* 2341745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2341748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2341751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2341754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341758 */   // MIs[0] Operand 1
     /* 2341758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2341763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341771 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2341771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2341774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2341778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2341780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341787 */   // GIR_Coverage, 48161,
     /* 2341787 */   GIR_EraseRootFromParent_Done,
     /* 2341788 */ // Label 28600: @2341788
     /* 2341788 */ GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2341836), // Rule ID 48186 //
     /* 2341793 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2341799 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2341802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341806 */   // MIs[0] Operand 1
     /* 2341806 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2341811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341815 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341819 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341819 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2341822 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341835 */   // GIR_Coverage, 48186,
     /* 2341835 */   GIR_EraseRootFromParent_Done,
     /* 2341836 */ // Label 28601: @2341836
     /* 2341836 */ GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2341884), // Rule ID 48187 //
     /* 2341841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2341847 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2341850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341854 */   // MIs[0] Operand 1
     /* 2341854 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2341859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341863 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341867 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2341870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341874 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341882 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341883 */   // GIR_Coverage, 48187,
     /* 2341883 */   GIR_EraseRootFromParent_Done,
     /* 2341884 */ // Label 28602: @2341884
     /* 2341884 */ GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2341932), // Rule ID 48192 //
     /* 2341889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341895 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341902 */   // MIs[0] Operand 1
     /* 2341902 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2341907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341911 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341915 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2341915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2341918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341930 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341931 */   // GIR_Coverage, 48192,
     /* 2341931 */   GIR_EraseRootFromParent_Done,
     /* 2341932 */ // Label 28603: @2341932
     /* 2341932 */ GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2341980), // Rule ID 48193 //
     /* 2341937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2341940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2341943 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2341946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341950 */   // MIs[0] Operand 1
     /* 2341950 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2341955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341959 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341963 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2341963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2341966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341968 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2341970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2341972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341979 */   // GIR_Coverage, 48193,
     /* 2341979 */   GIR_EraseRootFromParent_Done,
     /* 2341980 */ // Label 28604: @2341980
     /* 2341980 */ GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2342028), // Rule ID 48196 //
     /* 2341985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2341988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2341991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2341994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341998 */   // MIs[0] Operand 1
     /* 2341998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2342003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342007 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342011 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2342011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2342014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342016 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342027 */   // GIR_Coverage, 48196,
     /* 2342027 */   GIR_EraseRootFromParent_Done,
     /* 2342028 */ // Label 28605: @2342028
     /* 2342028 */ GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2342076), // Rule ID 48197 //
     /* 2342033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342039 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2342042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342046 */   // MIs[0] Operand 1
     /* 2342046 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2342051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342055 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342059 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2342059 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2342062 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342064 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342075 */   // GIR_Coverage, 48197,
     /* 2342075 */   GIR_EraseRootFromParent_Done,
     /* 2342076 */ // Label 28606: @2342076
     /* 2342076 */ GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2342124), // Rule ID 48204 //
     /* 2342081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2342084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342094 */   // MIs[0] Operand 1
     /* 2342094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2342099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342107 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2342107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2342110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342112 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342123 */   // GIR_Coverage, 48204,
     /* 2342123 */   GIR_EraseRootFromParent_Done,
     /* 2342124 */ // Label 28607: @2342124
     /* 2342124 */ GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2342172), // Rule ID 48205 //
     /* 2342129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2342132 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342135 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342142 */   // MIs[0] Operand 1
     /* 2342142 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2342147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342155 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2342155 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2342158 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342171 */   // GIR_Coverage, 48205,
     /* 2342171 */   GIR_EraseRootFromParent_Done,
     /* 2342172 */ // Label 28608: @2342172
     /* 2342172 */ GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2342220), // Rule ID 48230 //
     /* 2342177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342180 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342183 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2342186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342190 */   // MIs[0] Operand 1
     /* 2342190 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342199 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342203 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2342206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342208 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342210 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342218 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342219 */   // GIR_Coverage, 48230,
     /* 2342219 */   GIR_EraseRootFromParent_Done,
     /* 2342220 */ // Label 28609: @2342220
     /* 2342220 */ GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2342268), // Rule ID 48231 //
     /* 2342225 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342228 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342231 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2342234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342238 */   // MIs[0] Operand 1
     /* 2342238 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342247 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342251 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2342254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342256 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342258 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342267 */   // GIR_Coverage, 48231,
     /* 2342267 */   GIR_EraseRootFromParent_Done,
     /* 2342268 */ // Label 28610: @2342268
     /* 2342268 */ GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2342316), // Rule ID 48236 //
     /* 2342273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2342282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342286 */   // MIs[0] Operand 1
     /* 2342286 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342295 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342299 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2342299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2342302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342304 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342306 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342315 */   // GIR_Coverage, 48236,
     /* 2342315 */   GIR_EraseRootFromParent_Done,
     /* 2342316 */ // Label 28611: @2342316
     /* 2342316 */ GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2342364), // Rule ID 48237 //
     /* 2342321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342327 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2342330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342334 */   // MIs[0] Operand 1
     /* 2342334 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342343 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342347 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2342347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2342350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342352 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342354 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342363 */   // GIR_Coverage, 48237,
     /* 2342363 */   GIR_EraseRootFromParent_Done,
     /* 2342364 */ // Label 28612: @2342364
     /* 2342364 */ GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2342412), // Rule ID 48240 //
     /* 2342369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342372 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342375 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2342378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342382 */   // MIs[0] Operand 1
     /* 2342382 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342387 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342391 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342395 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2342395 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2342398 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342402 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342411 */   // GIR_Coverage, 48240,
     /* 2342411 */   GIR_EraseRootFromParent_Done,
     /* 2342412 */ // Label 28613: @2342412
     /* 2342412 */ GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2342460), // Rule ID 48241 //
     /* 2342417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2342426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342430 */   // MIs[0] Operand 1
     /* 2342430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342443 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2342443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2342446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342459 */   // GIR_Coverage, 48241,
     /* 2342459 */   GIR_EraseRootFromParent_Done,
     /* 2342460 */ // Label 28614: @2342460
     /* 2342460 */ GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2342508), // Rule ID 48248 //
     /* 2342465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2342468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342471 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342478 */   // MIs[0] Operand 1
     /* 2342478 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342487 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342491 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2342491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2342494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342498 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342507 */   // GIR_Coverage, 48248,
     /* 2342507 */   GIR_EraseRootFromParent_Done,
     /* 2342508 */ // Label 28615: @2342508
     /* 2342508 */ GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2342556), // Rule ID 48249 //
     /* 2342513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2342516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342519 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342526 */   // MIs[0] Operand 1
     /* 2342526 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2342531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342535 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342539 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2342539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2342542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342544 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342546 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342554 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342555 */   // GIR_Coverage, 48249,
     /* 2342555 */   GIR_EraseRootFromParent_Done,
     /* 2342556 */ // Label 28616: @2342556
     /* 2342556 */ GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2342604), // Rule ID 48274 //
     /* 2342561 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342564 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342567 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2342570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342574 */   // MIs[0] Operand 1
     /* 2342574 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342583 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342587 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2342590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342592 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342602 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342603 */   // GIR_Coverage, 48274,
     /* 2342603 */   GIR_EraseRootFromParent_Done,
     /* 2342604 */ // Label 28617: @2342604
     /* 2342604 */ GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2342652), // Rule ID 48275 //
     /* 2342609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342615 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2342618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342622 */   // MIs[0] Operand 1
     /* 2342622 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342631 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342635 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342635 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2342638 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342640 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342651 */   // GIR_Coverage, 48275,
     /* 2342651 */   GIR_EraseRootFromParent_Done,
     /* 2342652 */ // Label 28618: @2342652
     /* 2342652 */ GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2342700), // Rule ID 48280 //
     /* 2342657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342663 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2342666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342670 */   // MIs[0] Operand 1
     /* 2342670 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342679 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342683 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2342683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2342686 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342688 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342699 */   // GIR_Coverage, 48280,
     /* 2342699 */   GIR_EraseRootFromParent_Done,
     /* 2342700 */ // Label 28619: @2342700
     /* 2342700 */ GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2342748), // Rule ID 48281 //
     /* 2342705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342708 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2342711 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2342714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342718 */   // MIs[0] Operand 1
     /* 2342718 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342731 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2342731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2342734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342738 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342747 */   // GIR_Coverage, 48281,
     /* 2342747 */   GIR_EraseRootFromParent_Done,
     /* 2342748 */ // Label 28620: @2342748
     /* 2342748 */ GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2342796), // Rule ID 48284 //
     /* 2342753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2342762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342766 */   // MIs[0] Operand 1
     /* 2342766 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342771 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342775 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342779 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2342779 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2342782 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342784 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342795 */   // GIR_Coverage, 48284,
     /* 2342795 */   GIR_EraseRootFromParent_Done,
     /* 2342796 */ // Label 28621: @2342796
     /* 2342796 */ GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2342844), // Rule ID 48285 //
     /* 2342801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2342807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2342810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342814 */   // MIs[0] Operand 1
     /* 2342814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342823 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342827 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2342827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2342830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342832 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342842 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342843 */   // GIR_Coverage, 48285,
     /* 2342843 */   GIR_EraseRootFromParent_Done,
     /* 2342844 */ // Label 28622: @2342844
     /* 2342844 */ GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2342892), // Rule ID 48292 //
     /* 2342849 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2342852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342855 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342862 */   // MIs[0] Operand 1
     /* 2342862 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342875 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2342875 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2342878 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342880 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342882 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342891 */   // GIR_Coverage, 48292,
     /* 2342891 */   GIR_EraseRootFromParent_Done,
     /* 2342892 */ // Label 28623: @2342892
     /* 2342892 */ GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2342940), // Rule ID 48293 //
     /* 2342897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2342900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2342903 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2342906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342910 */   // MIs[0] Operand 1
     /* 2342910 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2342915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342919 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342923 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2342923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2342926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342928 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2342930 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2342932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342939 */   // GIR_Coverage, 48293,
     /* 2342939 */   GIR_EraseRootFromParent_Done,
     /* 2342940 */ // Label 28624: @2342940
     /* 2342940 */ GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2342988), // Rule ID 48318 //
     /* 2342945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2342948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2342954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342958 */   // MIs[0] Operand 1
     /* 2342958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2342963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342971 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2342974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2342978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2342980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342986 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342987 */   // GIR_Coverage, 48318,
     /* 2342987 */   GIR_EraseRootFromParent_Done,
     /* 2342988 */ // Label 28625: @2342988
     /* 2342988 */ GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2343036), // Rule ID 48319 //
     /* 2342993 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2342996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2342999 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2343002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343006 */   // MIs[0] Operand 1
     /* 2343006 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343015 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343019 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2343022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343024 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343034 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343035 */   // GIR_Coverage, 48319,
     /* 2343035 */   GIR_EraseRootFromParent_Done,
     /* 2343036 */ // Label 28626: @2343036
     /* 2343036 */ GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2343084), // Rule ID 48324 //
     /* 2343041 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2343047 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2343050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343054 */   // MIs[0] Operand 1
     /* 2343054 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343059 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343063 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343067 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2343067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2343070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343072 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343082 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343083 */   // GIR_Coverage, 48324,
     /* 2343083 */   GIR_EraseRootFromParent_Done,
     /* 2343084 */ // Label 28627: @2343084
     /* 2343084 */ GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2343132), // Rule ID 48325 //
     /* 2343089 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343092 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2343095 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2343098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343102 */   // MIs[0] Operand 1
     /* 2343102 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343111 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343115 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2343115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2343118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343120 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343122 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343131 */   // GIR_Coverage, 48325,
     /* 2343131 */   GIR_EraseRootFromParent_Done,
     /* 2343132 */ // Label 28628: @2343132
     /* 2343132 */ GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2343180), // Rule ID 48328 //
     /* 2343137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343140 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2343143 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2343146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343150 */   // MIs[0] Operand 1
     /* 2343150 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343163 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2343163 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2343166 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343168 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343170 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343179 */   // GIR_Coverage, 48328,
     /* 2343179 */   GIR_EraseRootFromParent_Done,
     /* 2343180 */ // Label 28629: @2343180
     /* 2343180 */ GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2343228), // Rule ID 48329 //
     /* 2343185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2343191 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2343194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343198 */   // MIs[0] Operand 1
     /* 2343198 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343207 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343211 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2343211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2343214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343216 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343218 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343227 */   // GIR_Coverage, 48329,
     /* 2343227 */   GIR_EraseRootFromParent_Done,
     /* 2343228 */ // Label 28630: @2343228
     /* 2343228 */ GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2343276), // Rule ID 48336 //
     /* 2343233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2343236 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2343239 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2343242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343246 */   // MIs[0] Operand 1
     /* 2343246 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343251 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343255 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343259 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2343259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2343262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343264 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343266 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343268 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343275 */   // GIR_Coverage, 48336,
     /* 2343275 */   GIR_EraseRootFromParent_Done,
     /* 2343276 */ // Label 28631: @2343276
     /* 2343276 */ GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2343324), // Rule ID 48337 //
     /* 2343281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2343284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2343287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2343290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343294 */   // MIs[0] Operand 1
     /* 2343294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2343299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343307 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2343307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2343310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343323 */   // GIR_Coverage, 48337,
     /* 2343323 */   GIR_EraseRootFromParent_Done,
     /* 2343324 */ // Label 28632: @2343324
     /* 2343324 */ GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2343372), // Rule ID 48362 //
     /* 2343329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2343335 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2343338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343342 */   // MIs[0] Operand 1
     /* 2343342 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343351 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343355 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343355 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2343358 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343360 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343370 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343371 */   // GIR_Coverage, 48362,
     /* 2343371 */   GIR_EraseRootFromParent_Done,
     /* 2343372 */ // Label 28633: @2343372
     /* 2343372 */ GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2343420), // Rule ID 48363 //
     /* 2343377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2343383 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2343386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343390 */   // MIs[0] Operand 1
     /* 2343390 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343399 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343403 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343403 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2343406 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343419 */   // GIR_Coverage, 48363,
     /* 2343419 */   GIR_EraseRootFromParent_Done,
     /* 2343420 */ // Label 28634: @2343420
     /* 2343420 */ GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2343468), // Rule ID 48368 //
     /* 2343425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2343431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2343434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343438 */   // MIs[0] Operand 1
     /* 2343438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343451 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2343451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2343454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343456 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343467 */   // GIR_Coverage, 48368,
     /* 2343467 */   GIR_EraseRootFromParent_Done,
     /* 2343468 */ // Label 28635: @2343468
     /* 2343468 */ GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2343516), // Rule ID 48369 //
     /* 2343473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2343479 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2343482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343486 */   // MIs[0] Operand 1
     /* 2343486 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343495 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343499 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2343499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2343502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343504 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343506 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343515 */   // GIR_Coverage, 48369,
     /* 2343515 */   GIR_EraseRootFromParent_Done,
     /* 2343516 */ // Label 28636: @2343516
     /* 2343516 */ GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2343564), // Rule ID 48372 //
     /* 2343521 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2343527 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2343530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343534 */   // MIs[0] Operand 1
     /* 2343534 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343543 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343547 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2343547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2343550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343552 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343562 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343563 */   // GIR_Coverage, 48372,
     /* 2343563 */   GIR_EraseRootFromParent_Done,
     /* 2343564 */ // Label 28637: @2343564
     /* 2343564 */ GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2343612), // Rule ID 48373 //
     /* 2343569 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2343575 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2343578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343582 */   // MIs[0] Operand 1
     /* 2343582 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343587 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343591 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343595 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2343595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2343598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343600 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343611 */   // GIR_Coverage, 48373,
     /* 2343611 */   GIR_EraseRootFromParent_Done,
     /* 2343612 */ // Label 28638: @2343612
     /* 2343612 */ GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2343660), // Rule ID 48380 //
     /* 2343617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2343620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2343623 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2343626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343630 */   // MIs[0] Operand 1
     /* 2343630 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343639 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343643 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2343643 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2343646 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343648 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343659 */   // GIR_Coverage, 48380,
     /* 2343659 */   GIR_EraseRootFromParent_Done,
     /* 2343660 */ // Label 28639: @2343660
     /* 2343660 */ GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2343708), // Rule ID 48381 //
     /* 2343665 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2343668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2343671 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2343674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343678 */   // MIs[0] Operand 1
     /* 2343678 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2343683 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343687 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343691 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2343691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2343694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343696 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2343698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2343700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343707 */   // GIR_Coverage, 48381,
     /* 2343707 */   GIR_EraseRootFromParent_Done,
     /* 2343708 */ // Label 28640: @2343708
     /* 2343708 */ GIM_Reject,
     /* 2343709 */ // Label 28460: @2343709
     /* 2343709 */ GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2343757), // Rule ID 47970 //
     /* 2343714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2343720 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2343723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343727 */   // MIs[0] Operand 1
     /* 2343727 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343736 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343740 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2343743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343745 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343756 */   // GIR_Coverage, 47970,
     /* 2343756 */   GIR_EraseRootFromParent_Done,
     /* 2343757 */ // Label 28641: @2343757
     /* 2343757 */ GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2343805), // Rule ID 47971 //
     /* 2343762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2343768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2343771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343775 */   // MIs[0] Operand 1
     /* 2343775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343788 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2343791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343793 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343804 */   // GIR_Coverage, 47971,
     /* 2343804 */   GIR_EraseRootFromParent_Done,
     /* 2343805 */ // Label 28642: @2343805
     /* 2343805 */ GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2343853), // Rule ID 47976 //
     /* 2343810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2343816 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2343819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343823 */   // MIs[0] Operand 1
     /* 2343823 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343828 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343832 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343836 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2343836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2343839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343841 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343843 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343852 */   // GIR_Coverage, 47976,
     /* 2343852 */   GIR_EraseRootFromParent_Done,
     /* 2343853 */ // Label 28643: @2343853
     /* 2343853 */ GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2343901), // Rule ID 47977 //
     /* 2343858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2343864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2343867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343871 */   // MIs[0] Operand 1
     /* 2343871 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343880 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343884 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2343884 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2343887 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343889 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343891 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343900 */   // GIR_Coverage, 47977,
     /* 2343900 */   GIR_EraseRootFromParent_Done,
     /* 2343901 */ // Label 28644: @2343901
     /* 2343901 */ GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2343949), // Rule ID 47984 //
     /* 2343906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2343909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2343912 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2343915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343919 */   // MIs[0] Operand 1
     /* 2343919 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343928 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343932 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2343932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2343935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343937 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343939 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343948 */   // GIR_Coverage, 47984,
     /* 2343948 */   GIR_EraseRootFromParent_Done,
     /* 2343949 */ // Label 28645: @2343949
     /* 2343949 */ GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2343997), // Rule ID 47985 //
     /* 2343954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2343957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2343960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2343963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343967 */   // MIs[0] Operand 1
     /* 2343967 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2343972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343976 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343980 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2343980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2343983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343985 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2343987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2343989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343996 */   // GIR_Coverage, 47985,
     /* 2343996 */   GIR_EraseRootFromParent_Done,
     /* 2343997 */ // Label 28646: @2343997
     /* 2343997 */ GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2344045), // Rule ID 48006 //
     /* 2344002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344015 */   // MIs[0] Operand 1
     /* 2344015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2344020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344028 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2344028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2344031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344033 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344035 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344044 */   // GIR_Coverage, 48006,
     /* 2344044 */   GIR_EraseRootFromParent_Done,
     /* 2344045 */ // Label 28647: @2344045
     /* 2344045 */ GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2344093), // Rule ID 48007 //
     /* 2344050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344056 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344063 */   // MIs[0] Operand 1
     /* 2344063 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2344068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344072 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344076 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2344076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2344079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344081 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344092 */   // GIR_Coverage, 48007,
     /* 2344092 */   GIR_EraseRootFromParent_Done,
     /* 2344093 */ // Label 28648: @2344093
     /* 2344093 */ GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2344141), // Rule ID 48014 //
     /* 2344098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344104 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344111 */   // MIs[0] Operand 1
     /* 2344111 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344120 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344124 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2344127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344129 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344131 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344140 */   // GIR_Coverage, 48014,
     /* 2344140 */   GIR_EraseRootFromParent_Done,
     /* 2344141 */ // Label 28649: @2344141
     /* 2344141 */ GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2344189), // Rule ID 48015 //
     /* 2344146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344159 */   // MIs[0] Operand 1
     /* 2344159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344172 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2344175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344187 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344188 */   // GIR_Coverage, 48015,
     /* 2344188 */   GIR_EraseRootFromParent_Done,
     /* 2344189 */ // Label 28650: @2344189
     /* 2344189 */ GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2344237), // Rule ID 48020 //
     /* 2344194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344200 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2344203 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344207 */   // MIs[0] Operand 1
     /* 2344207 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344212 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344216 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344220 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2344220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2344223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344225 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344227 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344236 */   // GIR_Coverage, 48020,
     /* 2344236 */   GIR_EraseRootFromParent_Done,
     /* 2344237 */ // Label 28651: @2344237
     /* 2344237 */ GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2344285), // Rule ID 48021 //
     /* 2344242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344248 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2344251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344255 */   // MIs[0] Operand 1
     /* 2344255 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344264 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344268 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2344268 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2344271 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344273 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344275 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344284 */   // GIR_Coverage, 48021,
     /* 2344284 */   GIR_EraseRootFromParent_Done,
     /* 2344285 */ // Label 28652: @2344285
     /* 2344285 */ GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2344333), // Rule ID 48028 //
     /* 2344290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344296 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2344299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344303 */   // MIs[0] Operand 1
     /* 2344303 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344312 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344316 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2344316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2344319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344321 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344323 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344332 */   // GIR_Coverage, 48028,
     /* 2344332 */   GIR_EraseRootFromParent_Done,
     /* 2344333 */ // Label 28653: @2344333
     /* 2344333 */ GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2344381), // Rule ID 48029 //
     /* 2344338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344344 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2344347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344351 */   // MIs[0] Operand 1
     /* 2344351 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344360 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344364 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2344364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2344367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344369 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344371 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344380 */   // GIR_Coverage, 48029,
     /* 2344380 */   GIR_EraseRootFromParent_Done,
     /* 2344381 */ // Label 28654: @2344381
     /* 2344381 */ GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2344429), // Rule ID 48050 //
     /* 2344386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344389 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344392 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344399 */   // MIs[0] Operand 1
     /* 2344399 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344408 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344412 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2344412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2344415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344417 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344419 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344428 */   // GIR_Coverage, 48050,
     /* 2344428 */   GIR_EraseRootFromParent_Done,
     /* 2344429 */ // Label 28655: @2344429
     /* 2344429 */ GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2344477), // Rule ID 48051 //
     /* 2344434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344437 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344440 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344447 */   // MIs[0] Operand 1
     /* 2344447 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2344452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344456 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344460 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2344460 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2344463 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344465 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344467 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344476 */   // GIR_Coverage, 48051,
     /* 2344476 */   GIR_EraseRootFromParent_Done,
     /* 2344477 */ // Label 28656: @2344477
     /* 2344477 */ GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2344525), // Rule ID 48058 //
     /* 2344482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344495 */   // MIs[0] Operand 1
     /* 2344495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344508 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2344511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344523 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344524 */   // GIR_Coverage, 48058,
     /* 2344524 */   GIR_EraseRootFromParent_Done,
     /* 2344525 */ // Label 28657: @2344525
     /* 2344525 */ GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2344573), // Rule ID 48059 //
     /* 2344530 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344536 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344543 */   // MIs[0] Operand 1
     /* 2344543 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344552 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344556 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2344559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344561 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344565 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344571 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344572 */   // GIR_Coverage, 48059,
     /* 2344572 */   GIR_EraseRootFromParent_Done,
     /* 2344573 */ // Label 28658: @2344573
     /* 2344573 */ GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2344621), // Rule ID 48064 //
     /* 2344578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344584 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2344587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344591 */   // MIs[0] Operand 1
     /* 2344591 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344600 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344604 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2344604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2344607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344609 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344619 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344620 */   // GIR_Coverage, 48064,
     /* 2344620 */   GIR_EraseRootFromParent_Done,
     /* 2344621 */ // Label 28659: @2344621
     /* 2344621 */ GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2344669), // Rule ID 48065 //
     /* 2344626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344632 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2344635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344639 */   // MIs[0] Operand 1
     /* 2344639 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344648 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344652 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2344652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2344655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344657 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344668 */   // GIR_Coverage, 48065,
     /* 2344668 */   GIR_EraseRootFromParent_Done,
     /* 2344669 */ // Label 28660: @2344669
     /* 2344669 */ GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2344717), // Rule ID 48072 //
     /* 2344674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344677 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344680 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2344683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344687 */   // MIs[0] Operand 1
     /* 2344687 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344696 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344700 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2344700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2344703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344705 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344715 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344716 */   // GIR_Coverage, 48072,
     /* 2344716 */   GIR_EraseRootFromParent_Done,
     /* 2344717 */ // Label 28661: @2344717
     /* 2344717 */ GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2344765), // Rule ID 48073 //
     /* 2344722 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2344728 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2344731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344735 */   // MIs[0] Operand 1
     /* 2344735 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344744 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344748 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2344748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2344751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344757 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344764 */   // GIR_Coverage, 48073,
     /* 2344764 */   GIR_EraseRootFromParent_Done,
     /* 2344765 */ // Label 28662: @2344765
     /* 2344765 */ GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2344813), // Rule ID 48094 //
     /* 2344770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2344773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344776 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344779 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344783 */   // MIs[0] Operand 1
     /* 2344783 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344788 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344792 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344796 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2344796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2344799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344801 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344811 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344812 */   // GIR_Coverage, 48094,
     /* 2344812 */   GIR_EraseRootFromParent_Done,
     /* 2344813 */ // Label 28663: @2344813
     /* 2344813 */ GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2344861), // Rule ID 48095 //
     /* 2344818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2344821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2344824 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2344827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344831 */   // MIs[0] Operand 1
     /* 2344831 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2344836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344840 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2344844 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2344844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2344847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344849 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2344851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2344853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2344859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344860 */   // GIR_Coverage, 48095,
     /* 2344860 */   GIR_EraseRootFromParent_Done,
     /* 2344861 */ // Label 28664: @2344861
     /* 2344861 */ GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2344909), // Rule ID 48100 //
     /* 2344866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344879 */   // MIs[0] Operand 1
     /* 2344879 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2344884 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344888 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344892 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2344895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2344899 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344908 */   // GIR_Coverage, 48100,
     /* 2344908 */   GIR_EraseRootFromParent_Done,
     /* 2344909 */ // Label 28665: @2344909
     /* 2344909 */ GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2344957), // Rule ID 48101 //
     /* 2344914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2344917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2344920 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2344923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344927 */   // MIs[0] Operand 1
     /* 2344927 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2344932 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344936 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344940 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344940 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2344943 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2344947 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344956 */   // GIR_Coverage, 48101,
     /* 2344956 */   GIR_EraseRootFromParent_Done,
     /* 2344957 */ // Label 28666: @2344957
     /* 2344957 */ GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2345005), // Rule ID 48106 //
     /* 2344962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2344965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2344968 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2344971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344975 */   // MIs[0] Operand 1
     /* 2344975 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2344980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344984 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2344988 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2344988 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2344991 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2344995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2344997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345004 */   // GIR_Coverage, 48106,
     /* 2345004 */   GIR_EraseRootFromParent_Done,
     /* 2345005 */ // Label 28667: @2345005
     /* 2345005 */ GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2345053), // Rule ID 48107 //
     /* 2345010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345016 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2345019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345023 */   // MIs[0] Operand 1
     /* 2345023 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2345028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345032 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345036 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2345036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2345039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345043 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345045 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345051 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345052 */   // GIR_Coverage, 48107,
     /* 2345052 */   GIR_EraseRootFromParent_Done,
     /* 2345053 */ // Label 28668: @2345053
     /* 2345053 */ GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2345101), // Rule ID 48114 //
     /* 2345058 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345064 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345071 */   // MIs[0] Operand 1
     /* 2345071 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2345076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345080 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345084 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2345084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2345087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345091 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345100 */   // GIR_Coverage, 48114,
     /* 2345100 */   GIR_EraseRootFromParent_Done,
     /* 2345101 */ // Label 28669: @2345101
     /* 2345101 */ GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2345149), // Rule ID 48115 //
     /* 2345106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345112 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345119 */   // MIs[0] Operand 1
     /* 2345119 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2345124 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345128 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345132 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2345132 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2345135 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345139 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345148 */   // GIR_Coverage, 48115,
     /* 2345148 */   GIR_EraseRootFromParent_Done,
     /* 2345149 */ // Label 28670: @2345149
     /* 2345149 */ GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2345197), // Rule ID 48136 //
     /* 2345154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345157 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345160 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345167 */   // MIs[0] Operand 1
     /* 2345167 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2345172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345176 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345180 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2345180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2345183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345187 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345195 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345196 */   // GIR_Coverage, 48136,
     /* 2345196 */   GIR_EraseRootFromParent_Done,
     /* 2345197 */ // Label 28671: @2345197
     /* 2345197 */ GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2345245), // Rule ID 48137 //
     /* 2345202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345215 */   // MIs[0] Operand 1
     /* 2345215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2345220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345228 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2345228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2345231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345233 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345235 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345244 */   // GIR_Coverage, 48137,
     /* 2345244 */   GIR_EraseRootFromParent_Done,
     /* 2345245 */ // Label 28672: @2345245
     /* 2345245 */ GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2345293), // Rule ID 48144 //
     /* 2345250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2345256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2345259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345263 */   // MIs[0] Operand 1
     /* 2345263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345276 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2345279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345292 */   // GIR_Coverage, 48144,
     /* 2345292 */   GIR_EraseRootFromParent_Done,
     /* 2345293 */ // Label 28673: @2345293
     /* 2345293 */ GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2345341), // Rule ID 48145 //
     /* 2345298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2345304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2345307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345311 */   // MIs[0] Operand 1
     /* 2345311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345324 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2345327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345340 */   // GIR_Coverage, 48145,
     /* 2345340 */   GIR_EraseRootFromParent_Done,
     /* 2345341 */ // Label 28674: @2345341
     /* 2345341 */ GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2345389), // Rule ID 48150 //
     /* 2345346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2345355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345359 */   // MIs[0] Operand 1
     /* 2345359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345372 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2345372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2345375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345388 */   // GIR_Coverage, 48150,
     /* 2345388 */   GIR_EraseRootFromParent_Done,
     /* 2345389 */ // Label 28675: @2345389
     /* 2345389 */ GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2345437), // Rule ID 48151 //
     /* 2345394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2345403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345407 */   // MIs[0] Operand 1
     /* 2345407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345420 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2345420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2345423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345436 */   // GIR_Coverage, 48151,
     /* 2345436 */   GIR_EraseRootFromParent_Done,
     /* 2345437 */ // Label 28676: @2345437
     /* 2345437 */ GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2345485), // Rule ID 48158 //
     /* 2345442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345455 */   // MIs[0] Operand 1
     /* 2345455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345468 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2345468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2345471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345484 */   // GIR_Coverage, 48158,
     /* 2345484 */   GIR_EraseRootFromParent_Done,
     /* 2345485 */ // Label 28677: @2345485
     /* 2345485 */ GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2345533), // Rule ID 48159 //
     /* 2345490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345503 */   // MIs[0] Operand 1
     /* 2345503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345516 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2345516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2345519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345532 */   // GIR_Coverage, 48159,
     /* 2345532 */   GIR_EraseRootFromParent_Done,
     /* 2345533 */ // Label 28678: @2345533
     /* 2345533 */ GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2345581), // Rule ID 48180 //
     /* 2345538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345551 */   // MIs[0] Operand 1
     /* 2345551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345564 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2345564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2345567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345580 */   // GIR_Coverage, 48180,
     /* 2345580 */   GIR_EraseRootFromParent_Done,
     /* 2345581 */ // Label 28679: @2345581
     /* 2345581 */ GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2345629), // Rule ID 48181 //
     /* 2345586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345599 */   // MIs[0] Operand 1
     /* 2345599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2345604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345612 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2345612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2345615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2345619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2345621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345628 */   // GIR_Coverage, 48181,
     /* 2345628 */   GIR_EraseRootFromParent_Done,
     /* 2345629 */ // Label 28680: @2345629
     /* 2345629 */ GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2345677), // Rule ID 48188 //
     /* 2345634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2345640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2345643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345647 */   // MIs[0] Operand 1
     /* 2345647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345660 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2345663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345676 */   // GIR_Coverage, 48188,
     /* 2345676 */   GIR_EraseRootFromParent_Done,
     /* 2345677 */ // Label 28681: @2345677
     /* 2345677 */ GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2345725), // Rule ID 48189 //
     /* 2345682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2345688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2345691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345695 */   // MIs[0] Operand 1
     /* 2345695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345708 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2345711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345724 */   // GIR_Coverage, 48189,
     /* 2345724 */   GIR_EraseRootFromParent_Done,
     /* 2345725 */ // Label 28682: @2345725
     /* 2345725 */ GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2345773), // Rule ID 48194 //
     /* 2345730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2345739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345743 */   // MIs[0] Operand 1
     /* 2345743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345756 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2345756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2345759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345761 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345772 */   // GIR_Coverage, 48194,
     /* 2345772 */   GIR_EraseRootFromParent_Done,
     /* 2345773 */ // Label 28683: @2345773
     /* 2345773 */ GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2345821), // Rule ID 48195 //
     /* 2345778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2345784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2345787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345791 */   // MIs[0] Operand 1
     /* 2345791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345804 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2345804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2345807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345809 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345811 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345820 */   // GIR_Coverage, 48195,
     /* 2345820 */   GIR_EraseRootFromParent_Done,
     /* 2345821 */ // Label 28684: @2345821
     /* 2345821 */ GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2345869), // Rule ID 48202 //
     /* 2345826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2345829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345839 */   // MIs[0] Operand 1
     /* 2345839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345852 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2345852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2345855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345857 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345859 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345868 */   // GIR_Coverage, 48202,
     /* 2345868 */   GIR_EraseRootFromParent_Done,
     /* 2345869 */ // Label 28685: @2345869
     /* 2345869 */ GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2345917), // Rule ID 48203 //
     /* 2345874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2345877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2345880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2345883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345887 */   // MIs[0] Operand 1
     /* 2345887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345900 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2345900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2345903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345905 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345907 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345916 */   // GIR_Coverage, 48203,
     /* 2345916 */   GIR_EraseRootFromParent_Done,
     /* 2345917 */ // Label 28686: @2345917
     /* 2345917 */ GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2345965), // Rule ID 48224 //
     /* 2345922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2345925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345935 */   // MIs[0] Operand 1
     /* 2345935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345948 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2345948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2345951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345953 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2345955 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2345957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2345963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345964 */   // GIR_Coverage, 48224,
     /* 2345964 */   GIR_EraseRootFromParent_Done,
     /* 2345965 */ // Label 28687: @2345965
     /* 2345965 */ GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2346013), // Rule ID 48225 //
     /* 2345970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2345973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2345976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2345979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345983 */   // MIs[0] Operand 1
     /* 2345983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2345988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2345996 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2345996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2345999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346001 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346012 */   // GIR_Coverage, 48225,
     /* 2346012 */   GIR_EraseRootFromParent_Done,
     /* 2346013 */ // Label 28688: @2346013
     /* 2346013 */ GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2346061), // Rule ID 48232 //
     /* 2346018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346031 */   // MIs[0] Operand 1
     /* 2346031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346044 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2346047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346060 */   // GIR_Coverage, 48232,
     /* 2346060 */   GIR_EraseRootFromParent_Done,
     /* 2346061 */ // Label 28689: @2346061
     /* 2346061 */ GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2346109), // Rule ID 48233 //
     /* 2346066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346079 */   // MIs[0] Operand 1
     /* 2346079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346092 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2346095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346099 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346108 */   // GIR_Coverage, 48233,
     /* 2346108 */   GIR_EraseRootFromParent_Done,
     /* 2346109 */ // Label 28690: @2346109
     /* 2346109 */ GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2346157), // Rule ID 48238 //
     /* 2346114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346127 */   // MIs[0] Operand 1
     /* 2346127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346140 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2346140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2346143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346147 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346156 */   // GIR_Coverage, 48238,
     /* 2346156 */   GIR_EraseRootFromParent_Done,
     /* 2346157 */ // Label 28691: @2346157
     /* 2346157 */ GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2346205), // Rule ID 48239 //
     /* 2346162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346175 */   // MIs[0] Operand 1
     /* 2346175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346188 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2346188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2346191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346195 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346204 */   // GIR_Coverage, 48239,
     /* 2346204 */   GIR_EraseRootFromParent_Done,
     /* 2346205 */ // Label 28692: @2346205
     /* 2346205 */ GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2346253), // Rule ID 48246 //
     /* 2346210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2346219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346223 */   // MIs[0] Operand 1
     /* 2346223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346236 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2346236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2346239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346252 */   // GIR_Coverage, 48246,
     /* 2346252 */   GIR_EraseRootFromParent_Done,
     /* 2346253 */ // Label 28693: @2346253
     /* 2346253 */ GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2346301), // Rule ID 48247 //
     /* 2346258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2346267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346271 */   // MIs[0] Operand 1
     /* 2346271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346284 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2346284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2346287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346300 */   // GIR_Coverage, 48247,
     /* 2346300 */   GIR_EraseRootFromParent_Done,
     /* 2346301 */ // Label 28694: @2346301
     /* 2346301 */ GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2346349), // Rule ID 48268 //
     /* 2346306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2346315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346319 */   // MIs[0] Operand 1
     /* 2346319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346332 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2346332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2346335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346339 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346348 */   // GIR_Coverage, 48268,
     /* 2346348 */   GIR_EraseRootFromParent_Done,
     /* 2346349 */ // Label 28695: @2346349
     /* 2346349 */ GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2346397), // Rule ID 48269 //
     /* 2346354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2346363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346367 */   // MIs[0] Operand 1
     /* 2346367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2346372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346380 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2346380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2346383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346396 */   // GIR_Coverage, 48269,
     /* 2346396 */   GIR_EraseRootFromParent_Done,
     /* 2346397 */ // Label 28696: @2346397
     /* 2346397 */ GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2346445), // Rule ID 48276 //
     /* 2346402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346415 */   // MIs[0] Operand 1
     /* 2346415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346428 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2346431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346433 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346444 */   // GIR_Coverage, 48276,
     /* 2346444 */   GIR_EraseRootFromParent_Done,
     /* 2346445 */ // Label 28697: @2346445
     /* 2346445 */ GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2346493), // Rule ID 48277 //
     /* 2346450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346463 */   // MIs[0] Operand 1
     /* 2346463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346476 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2346479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346481 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346492 */   // GIR_Coverage, 48277,
     /* 2346492 */   GIR_EraseRootFromParent_Done,
     /* 2346493 */ // Label 28698: @2346493
     /* 2346493 */ GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2346541), // Rule ID 48282 //
     /* 2346498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346511 */   // MIs[0] Operand 1
     /* 2346511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346524 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2346524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2346527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346529 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346540 */   // GIR_Coverage, 48282,
     /* 2346540 */   GIR_EraseRootFromParent_Done,
     /* 2346541 */ // Label 28699: @2346541
     /* 2346541 */ GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2346589), // Rule ID 48283 //
     /* 2346546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346559 */   // MIs[0] Operand 1
     /* 2346559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346572 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2346572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2346575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346579 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346588 */   // GIR_Coverage, 48283,
     /* 2346588 */   GIR_EraseRootFromParent_Done,
     /* 2346589 */ // Label 28700: @2346589
     /* 2346589 */ GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2346637), // Rule ID 48290 //
     /* 2346594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2346603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346607 */   // MIs[0] Operand 1
     /* 2346607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346620 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2346620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2346623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346636 */   // GIR_Coverage, 48290,
     /* 2346636 */   GIR_EraseRootFromParent_Done,
     /* 2346637 */ // Label 28701: @2346637
     /* 2346637 */ GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2346685), // Rule ID 48291 //
     /* 2346642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2346651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346655 */   // MIs[0] Operand 1
     /* 2346655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346668 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2346668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2346671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346684 */   // GIR_Coverage, 48291,
     /* 2346684 */   GIR_EraseRootFromParent_Done,
     /* 2346685 */ // Label 28702: @2346685
     /* 2346685 */ GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2346733), // Rule ID 48312 //
     /* 2346690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2346693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2346699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346703 */   // MIs[0] Operand 1
     /* 2346703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346716 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2346716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2346719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346732 */   // GIR_Coverage, 48312,
     /* 2346732 */   GIR_EraseRootFromParent_Done,
     /* 2346733 */ // Label 28703: @2346733
     /* 2346733 */ GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2346781), // Rule ID 48313 //
     /* 2346738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2346741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2346744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2346747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346751 */   // MIs[0] Operand 1
     /* 2346751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2346756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346764 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2346764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2346767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2346771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2346773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346780 */   // GIR_Coverage, 48313,
     /* 2346780 */   GIR_EraseRootFromParent_Done,
     /* 2346781 */ // Label 28704: @2346781
     /* 2346781 */ GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2346829), // Rule ID 48320 //
     /* 2346786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346799 */   // MIs[0] Operand 1
     /* 2346799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2346804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346812 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2346815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346817 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346828 */   // GIR_Coverage, 48320,
     /* 2346828 */   GIR_EraseRootFromParent_Done,
     /* 2346829 */ // Label 28705: @2346829
     /* 2346829 */ GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2346877), // Rule ID 48321 //
     /* 2346834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2346840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2346843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346847 */   // MIs[0] Operand 1
     /* 2346847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2346852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346860 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2346863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346865 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346867 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346876 */   // GIR_Coverage, 48321,
     /* 2346876 */   GIR_EraseRootFromParent_Done,
     /* 2346877 */ // Label 28706: @2346877
     /* 2346877 */ GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2346925), // Rule ID 48326 //
     /* 2346882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346895 */   // MIs[0] Operand 1
     /* 2346895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2346900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346908 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2346908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2346911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346913 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346924 */   // GIR_Coverage, 48326,
     /* 2346924 */   GIR_EraseRootFromParent_Done,
     /* 2346925 */ // Label 28707: @2346925
     /* 2346925 */ GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2346973), // Rule ID 48327 //
     /* 2346930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2346933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2346936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2346939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346943 */   // MIs[0] Operand 1
     /* 2346943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2346948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346956 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2346956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2346959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2346963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2346965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346972 */   // GIR_Coverage, 48327,
     /* 2346972 */   GIR_EraseRootFromParent_Done,
     /* 2346973 */ // Label 28708: @2346973
     /* 2346973 */ GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2347021), // Rule ID 48334 //
     /* 2346978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2346981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2346984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2346987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346991 */   // MIs[0] Operand 1
     /* 2346991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2346996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347004 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2347004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2347007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347009 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347011 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347020 */   // GIR_Coverage, 48334,
     /* 2347020 */   GIR_EraseRootFromParent_Done,
     /* 2347021 */ // Label 28709: @2347021
     /* 2347021 */ GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2347069), // Rule ID 48335 //
     /* 2347026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2347035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347039 */   // MIs[0] Operand 1
     /* 2347039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2347044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347052 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2347052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2347055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347059 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347068 */   // GIR_Coverage, 48335,
     /* 2347068 */   GIR_EraseRootFromParent_Done,
     /* 2347069 */ // Label 28710: @2347069
     /* 2347069 */ GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2347117), // Rule ID 48356 //
     /* 2347074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2347083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347087 */   // MIs[0] Operand 1
     /* 2347087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2347092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347100 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2347100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2347103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347105 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347107 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347116 */   // GIR_Coverage, 48356,
     /* 2347116 */   GIR_EraseRootFromParent_Done,
     /* 2347117 */ // Label 28711: @2347117
     /* 2347117 */ GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2347165), // Rule ID 48357 //
     /* 2347122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2347131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347135 */   // MIs[0] Operand 1
     /* 2347135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2347140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347148 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2347148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2347151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347164 */   // GIR_Coverage, 48357,
     /* 2347164 */   GIR_EraseRootFromParent_Done,
     /* 2347165 */ // Label 28712: @2347165
     /* 2347165 */ GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2347213), // Rule ID 48364 //
     /* 2347170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2347179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347183 */   // MIs[0] Operand 1
     /* 2347183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347196 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2347199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347201 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347212 */   // GIR_Coverage, 48364,
     /* 2347212 */   GIR_EraseRootFromParent_Done,
     /* 2347213 */ // Label 28713: @2347213
     /* 2347213 */ GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2347261), // Rule ID 48365 //
     /* 2347218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2347224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2347227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347231 */   // MIs[0] Operand 1
     /* 2347231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347244 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2347247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347249 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347260 */   // GIR_Coverage, 48365,
     /* 2347260 */   GIR_EraseRootFromParent_Done,
     /* 2347261 */ // Label 28714: @2347261
     /* 2347261 */ GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2347309), // Rule ID 48370 //
     /* 2347266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2347275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347279 */   // MIs[0] Operand 1
     /* 2347279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347292 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2347292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2347295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347308 */   // GIR_Coverage, 48370,
     /* 2347308 */   GIR_EraseRootFromParent_Done,
     /* 2347309 */ // Label 28715: @2347309
     /* 2347309 */ GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2347357), // Rule ID 48371 //
     /* 2347314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2347320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2347323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347327 */   // MIs[0] Operand 1
     /* 2347327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347340 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2347340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2347343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347356 */   // GIR_Coverage, 48371,
     /* 2347356 */   GIR_EraseRootFromParent_Done,
     /* 2347357 */ // Label 28716: @2347357
     /* 2347357 */ GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2347405), // Rule ID 48378 //
     /* 2347362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2347371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347375 */   // MIs[0] Operand 1
     /* 2347375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347388 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2347388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2347391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347404 */   // GIR_Coverage, 48378,
     /* 2347404 */   GIR_EraseRootFromParent_Done,
     /* 2347405 */ // Label 28717: @2347405
     /* 2347405 */ GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2347453), // Rule ID 48379 //
     /* 2347410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2347416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2347419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347423 */   // MIs[0] Operand 1
     /* 2347423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347436 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2347436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2347439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347441 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347452 */   // GIR_Coverage, 48379,
     /* 2347452 */   GIR_EraseRootFromParent_Done,
     /* 2347453 */ // Label 28718: @2347453
     /* 2347453 */ GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2347501), // Rule ID 48400 //
     /* 2347458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2347467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347471 */   // MIs[0] Operand 1
     /* 2347471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347484 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2347484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2347487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347489 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347500 */   // GIR_Coverage, 48400,
     /* 2347500 */   GIR_EraseRootFromParent_Done,
     /* 2347501 */ // Label 28719: @2347501
     /* 2347501 */ GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2347549), // Rule ID 48401 //
     /* 2347506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2347512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2347515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347519 */   // MIs[0] Operand 1
     /* 2347519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2347524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347532 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2347532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2347535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2347539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2347541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347548 */   // GIR_Coverage, 48401,
     /* 2347548 */   GIR_EraseRootFromParent_Done,
     /* 2347549 */ // Label 28720: @2347549
     /* 2347549 */ GIM_Reject,
     /* 2347550 */ // Label 28461: @2347550
     /* 2347550 */ GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2347598), // Rule ID 47972 //
     /* 2347555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2347564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347568 */   // MIs[0] Operand 1
     /* 2347568 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347573 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347577 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347581 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2347584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347586 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347596 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347597 */   // GIR_Coverage, 47972,
     /* 2347597 */   GIR_EraseRootFromParent_Done,
     /* 2347598 */ // Label 28721: @2347598
     /* 2347598 */ GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2347646), // Rule ID 47973 //
     /* 2347603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347609 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2347612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347616 */   // MIs[0] Operand 1
     /* 2347616 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347625 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347629 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2347632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347634 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347645 */   // GIR_Coverage, 47973,
     /* 2347645 */   GIR_EraseRootFromParent_Done,
     /* 2347646 */ // Label 28722: @2347646
     /* 2347646 */ GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2347694), // Rule ID 47982 //
     /* 2347651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2347657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2347660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347664 */   // MIs[0] Operand 1
     /* 2347664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347677 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2347677 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2347680 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347682 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347693 */   // GIR_Coverage, 47982,
     /* 2347693 */   GIR_EraseRootFromParent_Done,
     /* 2347694 */ // Label 28723: @2347694
     /* 2347694 */ GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2347742), // Rule ID 47983 //
     /* 2347699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2347705 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2347708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347712 */   // MIs[0] Operand 1
     /* 2347712 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347717 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347721 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347725 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2347725 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2347728 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347730 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347734 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347741 */   // GIR_Coverage, 47983,
     /* 2347741 */   GIR_EraseRootFromParent_Done,
     /* 2347742 */ // Label 28724: @2347742
     /* 2347742 */ GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2347790), // Rule ID 48000 //
     /* 2347747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347753 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2347756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347760 */   // MIs[0] Operand 1
     /* 2347760 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347769 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347773 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2347773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2347776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347778 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347789 */   // GIR_Coverage, 48000,
     /* 2347789 */   GIR_EraseRootFromParent_Done,
     /* 2347790 */ // Label 28725: @2347790
     /* 2347790 */ GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2347838), // Rule ID 48001 //
     /* 2347795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2347801 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2347804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347808 */   // MIs[0] Operand 1
     /* 2347808 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347817 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347821 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2347821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2347824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347826 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347828 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347836 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347837 */   // GIR_Coverage, 48001,
     /* 2347837 */   GIR_EraseRootFromParent_Done,
     /* 2347838 */ // Label 28726: @2347838
     /* 2347838 */ GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2347886), // Rule ID 48008 //
     /* 2347843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2347846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2347849 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2347852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347856 */   // MIs[0] Operand 1
     /* 2347856 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347861 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347865 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347869 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2347869 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2347872 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347874 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347876 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347885 */   // GIR_Coverage, 48008,
     /* 2347885 */   GIR_EraseRootFromParent_Done,
     /* 2347886 */ // Label 28727: @2347886
     /* 2347886 */ GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2347934), // Rule ID 48009 //
     /* 2347891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2347894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2347897 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2347900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347904 */   // MIs[0] Operand 1
     /* 2347904 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2347909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347913 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347917 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2347917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2347920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347922 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347933 */   // GIR_Coverage, 48009,
     /* 2347933 */   GIR_EraseRootFromParent_Done,
     /* 2347934 */ // Label 28728: @2347934
     /* 2347934 */ GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2347982), // Rule ID 48016 //
     /* 2347939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2347942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347945 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2347948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347952 */   // MIs[0] Operand 1
     /* 2347952 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2347957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347961 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347965 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2347968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2347972 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2347974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347981 */   // GIR_Coverage, 48016,
     /* 2347981 */   GIR_EraseRootFromParent_Done,
     /* 2347982 */ // Label 28729: @2347982
     /* 2347982 */ GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2348030), // Rule ID 48017 //
     /* 2347987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2347990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2347993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2347996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348000 */   // MIs[0] Operand 1
     /* 2348000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348013 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2348016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348022 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348028 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348029 */   // GIR_Coverage, 48017,
     /* 2348029 */   GIR_EraseRootFromParent_Done,
     /* 2348030 */ // Label 28730: @2348030
     /* 2348030 */ GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2348078), // Rule ID 48026 //
     /* 2348035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348048 */   // MIs[0] Operand 1
     /* 2348048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348061 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2348061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2348064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348077 */   // GIR_Coverage, 48026,
     /* 2348077 */   GIR_EraseRootFromParent_Done,
     /* 2348078 */ // Label 28731: @2348078
     /* 2348078 */ GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2348126), // Rule ID 48027 //
     /* 2348083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348096 */   // MIs[0] Operand 1
     /* 2348096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348109 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2348109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2348112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348125 */   // GIR_Coverage, 48027,
     /* 2348125 */   GIR_EraseRootFromParent_Done,
     /* 2348126 */ // Label 28732: @2348126
     /* 2348126 */ GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2348174), // Rule ID 48044 //
     /* 2348131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348144 */   // MIs[0] Operand 1
     /* 2348144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348157 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2348157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2348160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348173 */   // GIR_Coverage, 48044,
     /* 2348173 */   GIR_EraseRootFromParent_Done,
     /* 2348174 */ // Label 28733: @2348174
     /* 2348174 */ GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2348222), // Rule ID 48045 //
     /* 2348179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348192 */   // MIs[0] Operand 1
     /* 2348192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348205 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2348205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2348208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348221 */   // GIR_Coverage, 48045,
     /* 2348221 */   GIR_EraseRootFromParent_Done,
     /* 2348222 */ // Label 28734: @2348222
     /* 2348222 */ GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2348270), // Rule ID 48052 //
     /* 2348227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2348236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348240 */   // MIs[0] Operand 1
     /* 2348240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348253 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2348253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2348256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348269 */   // GIR_Coverage, 48052,
     /* 2348269 */   GIR_EraseRootFromParent_Done,
     /* 2348270 */ // Label 28735: @2348270
     /* 2348270 */ GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2348318), // Rule ID 48053 //
     /* 2348275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2348284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348288 */   // MIs[0] Operand 1
     /* 2348288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2348293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348301 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2348301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2348304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348317 */   // GIR_Coverage, 48053,
     /* 2348317 */   GIR_EraseRootFromParent_Done,
     /* 2348318 */ // Label 28736: @2348318
     /* 2348318 */ GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2348366), // Rule ID 48060 //
     /* 2348323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2348332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348336 */   // MIs[0] Operand 1
     /* 2348336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348349 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2348352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348365 */   // GIR_Coverage, 48060,
     /* 2348365 */   GIR_EraseRootFromParent_Done,
     /* 2348366 */ // Label 28737: @2348366
     /* 2348366 */ GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2348414), // Rule ID 48061 //
     /* 2348371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2348380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348384 */   // MIs[0] Operand 1
     /* 2348384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348397 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2348400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348413 */   // GIR_Coverage, 48061,
     /* 2348413 */   GIR_EraseRootFromParent_Done,
     /* 2348414 */ // Label 28738: @2348414
     /* 2348414 */ GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2348462), // Rule ID 48070 //
     /* 2348419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348432 */   // MIs[0] Operand 1
     /* 2348432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348445 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2348445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2348448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348461 */   // GIR_Coverage, 48070,
     /* 2348461 */   GIR_EraseRootFromParent_Done,
     /* 2348462 */ // Label 28739: @2348462
     /* 2348462 */ GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2348510), // Rule ID 48071 //
     /* 2348467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348480 */   // MIs[0] Operand 1
     /* 2348480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348493 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2348493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2348496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348509 */   // GIR_Coverage, 48071,
     /* 2348509 */   GIR_EraseRootFromParent_Done,
     /* 2348510 */ // Label 28740: @2348510
     /* 2348510 */ GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2348558), // Rule ID 48088 //
     /* 2348515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348528 */   // MIs[0] Operand 1
     /* 2348528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348541 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2348541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2348544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348557 */   // GIR_Coverage, 48088,
     /* 2348557 */   GIR_EraseRootFromParent_Done,
     /* 2348558 */ // Label 28741: @2348558
     /* 2348558 */ GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2348606), // Rule ID 48089 //
     /* 2348563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348576 */   // MIs[0] Operand 1
     /* 2348576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348589 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2348589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2348592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348605 */   // GIR_Coverage, 48089,
     /* 2348605 */   GIR_EraseRootFromParent_Done,
     /* 2348606 */ // Label 28742: @2348606
     /* 2348606 */ GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2348654), // Rule ID 48096 //
     /* 2348611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2348620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348624 */   // MIs[0] Operand 1
     /* 2348624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348637 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2348637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2348640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348644 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348653 */   // GIR_Coverage, 48096,
     /* 2348653 */   GIR_EraseRootFromParent_Done,
     /* 2348654 */ // Label 28743: @2348654
     /* 2348654 */ GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2348702), // Rule ID 48097 //
     /* 2348659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2348662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2348665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2348668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348672 */   // MIs[0] Operand 1
     /* 2348672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2348677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348685 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2348685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2348688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2348692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2348694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348701 */   // GIR_Coverage, 48097,
     /* 2348701 */   GIR_EraseRootFromParent_Done,
     /* 2348702 */ // Label 28744: @2348702
     /* 2348702 */ GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2348750), // Rule ID 48102 //
     /* 2348707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2348716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348720 */   // MIs[0] Operand 1
     /* 2348720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348733 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2348736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348738 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348749 */   // GIR_Coverage, 48102,
     /* 2348749 */   GIR_EraseRootFromParent_Done,
     /* 2348750 */ // Label 28745: @2348750
     /* 2348750 */ GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2348798), // Rule ID 48103 //
     /* 2348755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2348761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2348764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348768 */   // MIs[0] Operand 1
     /* 2348768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348781 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2348784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348786 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348797 */   // GIR_Coverage, 48103,
     /* 2348797 */   GIR_EraseRootFromParent_Done,
     /* 2348798 */ // Label 28746: @2348798
     /* 2348798 */ GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2348846), // Rule ID 48112 //
     /* 2348803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348816 */   // MIs[0] Operand 1
     /* 2348816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348829 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2348829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2348832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348834 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348845 */   // GIR_Coverage, 48112,
     /* 2348845 */   GIR_EraseRootFromParent_Done,
     /* 2348846 */ // Label 28747: @2348846
     /* 2348846 */ GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2348894), // Rule ID 48113 //
     /* 2348851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2348857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2348860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348864 */   // MIs[0] Operand 1
     /* 2348864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348877 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2348877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2348880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348882 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348893 */   // GIR_Coverage, 48113,
     /* 2348893 */   GIR_EraseRootFromParent_Done,
     /* 2348894 */ // Label 28748: @2348894
     /* 2348894 */ GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2348942), // Rule ID 48130 //
     /* 2348899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2348902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348912 */   // MIs[0] Operand 1
     /* 2348912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348925 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2348925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2348928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348930 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348941 */   // GIR_Coverage, 48130,
     /* 2348941 */   GIR_EraseRootFromParent_Done,
     /* 2348942 */ // Label 28749: @2348942
     /* 2348942 */ GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2348990), // Rule ID 48131 //
     /* 2348947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2348950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2348953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2348956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348960 */   // MIs[0] Operand 1
     /* 2348960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2348965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348973 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2348973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2348976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2348980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2348982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348989 */   // GIR_Coverage, 48131,
     /* 2348989 */   GIR_EraseRootFromParent_Done,
     /* 2348990 */ // Label 28750: @2348990
     /* 2348990 */ GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2349038), // Rule ID 48138 //
     /* 2348995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2348998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349008 */   // MIs[0] Operand 1
     /* 2349008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2349013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349021 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2349021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2349024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349026 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349037 */   // GIR_Coverage, 48138,
     /* 2349037 */   GIR_EraseRootFromParent_Done,
     /* 2349038 */ // Label 28751: @2349038
     /* 2349038 */ GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2349086), // Rule ID 48139 //
     /* 2349043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349056 */   // MIs[0] Operand 1
     /* 2349056 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2349061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349069 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2349069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2349072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349074 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349085 */   // GIR_Coverage, 48139,
     /* 2349085 */   GIR_EraseRootFromParent_Done,
     /* 2349086 */ // Label 28752: @2349086
     /* 2349086 */ GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2349134), // Rule ID 48146 //
     /* 2349091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349104 */   // MIs[0] Operand 1
     /* 2349104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349117 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2349120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349133 */   // GIR_Coverage, 48146,
     /* 2349133 */   GIR_EraseRootFromParent_Done,
     /* 2349134 */ // Label 28753: @2349134
     /* 2349134 */ GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2349182), // Rule ID 48147 //
     /* 2349139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349152 */   // MIs[0] Operand 1
     /* 2349152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349165 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2349168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349172 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349181 */   // GIR_Coverage, 48147,
     /* 2349181 */   GIR_EraseRootFromParent_Done,
     /* 2349182 */ // Label 28754: @2349182
     /* 2349182 */ GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2349230), // Rule ID 48156 //
     /* 2349187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2349196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349200 */   // MIs[0] Operand 1
     /* 2349200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349213 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2349213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2349216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349220 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349229 */   // GIR_Coverage, 48156,
     /* 2349229 */   GIR_EraseRootFromParent_Done,
     /* 2349230 */ // Label 28755: @2349230
     /* 2349230 */ GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2349278), // Rule ID 48157 //
     /* 2349235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2349244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349248 */   // MIs[0] Operand 1
     /* 2349248 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349257 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349261 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2349261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2349264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349266 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349268 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349277 */   // GIR_Coverage, 48157,
     /* 2349277 */   GIR_EraseRootFromParent_Done,
     /* 2349278 */ // Label 28756: @2349278
     /* 2349278 */ GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2349326), // Rule ID 48174 //
     /* 2349283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2349292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349296 */   // MIs[0] Operand 1
     /* 2349296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349309 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2349309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2349312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349316 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349325 */   // GIR_Coverage, 48174,
     /* 2349325 */   GIR_EraseRootFromParent_Done,
     /* 2349326 */ // Label 28757: @2349326
     /* 2349326 */ GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2349374), // Rule ID 48175 //
     /* 2349331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2349340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349344 */   // MIs[0] Operand 1
     /* 2349344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349357 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2349357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2349360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349373 */   // GIR_Coverage, 48175,
     /* 2349373 */   GIR_EraseRootFromParent_Done,
     /* 2349374 */ // Label 28758: @2349374
     /* 2349374 */ GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2349422), // Rule ID 48182 //
     /* 2349379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349392 */   // MIs[0] Operand 1
     /* 2349392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349405 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2349405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2349408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349412 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349421 */   // GIR_Coverage, 48182,
     /* 2349421 */   GIR_EraseRootFromParent_Done,
     /* 2349422 */ // Label 28759: @2349422
     /* 2349422 */ GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2349470), // Rule ID 48183 //
     /* 2349427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349440 */   // MIs[0] Operand 1
     /* 2349440 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2349445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349449 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349453 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2349453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2349456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349469 */   // GIR_Coverage, 48183,
     /* 2349469 */   GIR_EraseRootFromParent_Done,
     /* 2349470 */ // Label 28760: @2349470
     /* 2349470 */ GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2349518), // Rule ID 48190 //
     /* 2349475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349488 */   // MIs[0] Operand 1
     /* 2349488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349501 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2349504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349506 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349508 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349517 */   // GIR_Coverage, 48190,
     /* 2349517 */   GIR_EraseRootFromParent_Done,
     /* 2349518 */ // Label 28761: @2349518
     /* 2349518 */ GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2349566), // Rule ID 48191 //
     /* 2349523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349536 */   // MIs[0] Operand 1
     /* 2349536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349549 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2349552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349554 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349556 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349565 */   // GIR_Coverage, 48191,
     /* 2349565 */   GIR_EraseRootFromParent_Done,
     /* 2349566 */ // Label 28762: @2349566
     /* 2349566 */ GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2349614), // Rule ID 48200 //
     /* 2349571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2349580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349584 */   // MIs[0] Operand 1
     /* 2349584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349597 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2349597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2349600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349602 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349604 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349613 */   // GIR_Coverage, 48200,
     /* 2349613 */   GIR_EraseRootFromParent_Done,
     /* 2349614 */ // Label 28763: @2349614
     /* 2349614 */ GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2349662), // Rule ID 48201 //
     /* 2349619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2349628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349632 */   // MIs[0] Operand 1
     /* 2349632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349645 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2349645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2349648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349650 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349661 */   // GIR_Coverage, 48201,
     /* 2349661 */   GIR_EraseRootFromParent_Done,
     /* 2349662 */ // Label 28764: @2349662
     /* 2349662 */ GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2349710), // Rule ID 48218 //
     /* 2349667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2349676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349680 */   // MIs[0] Operand 1
     /* 2349680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349693 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2349693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2349696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349698 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349700 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349709 */   // GIR_Coverage, 48218,
     /* 2349709 */   GIR_EraseRootFromParent_Done,
     /* 2349710 */ // Label 28765: @2349710
     /* 2349710 */ GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2349758), // Rule ID 48219 //
     /* 2349715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2349721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2349724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349728 */   // MIs[0] Operand 1
     /* 2349728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349741 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2349741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2349744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349746 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349757 */   // GIR_Coverage, 48219,
     /* 2349757 */   GIR_EraseRootFromParent_Done,
     /* 2349758 */ // Label 28766: @2349758
     /* 2349758 */ GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2349806), // Rule ID 48226 //
     /* 2349763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2349766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349776 */   // MIs[0] Operand 1
     /* 2349776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349789 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2349789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2349792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349794 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349796 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349805 */   // GIR_Coverage, 48226,
     /* 2349805 */   GIR_EraseRootFromParent_Done,
     /* 2349806 */ // Label 28767: @2349806
     /* 2349806 */ GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2349854), // Rule ID 48227 //
     /* 2349811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2349814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2349817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2349820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349824 */   // MIs[0] Operand 1
     /* 2349824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2349829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349837 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2349837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2349840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349842 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2349844 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2349846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2349852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349853 */   // GIR_Coverage, 48227,
     /* 2349853 */   GIR_EraseRootFromParent_Done,
     /* 2349854 */ // Label 28768: @2349854
     /* 2349854 */ GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2349902), // Rule ID 48234 //
     /* 2349859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349872 */   // MIs[0] Operand 1
     /* 2349872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2349877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349885 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2349888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349901 */   // GIR_Coverage, 48234,
     /* 2349901 */   GIR_EraseRootFromParent_Done,
     /* 2349902 */ // Label 28769: @2349902
     /* 2349902 */ GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2349950), // Rule ID 48235 //
     /* 2349907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2349910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2349913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2349916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349920 */   // MIs[0] Operand 1
     /* 2349920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2349925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349933 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2349936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349949 */   // GIR_Coverage, 48235,
     /* 2349949 */   GIR_EraseRootFromParent_Done,
     /* 2349950 */ // Label 28770: @2349950
     /* 2349950 */ GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2349998), // Rule ID 48244 //
     /* 2349955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2349958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2349961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2349964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349968 */   // MIs[0] Operand 1
     /* 2349968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2349973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2349981 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2349981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2349984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2349988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2349990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349997 */   // GIR_Coverage, 48244,
     /* 2349997 */   GIR_EraseRootFromParent_Done,
     /* 2349998 */ // Label 28771: @2349998
     /* 2349998 */ GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2350046), // Rule ID 48245 //
     /* 2350003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2350012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350016 */   // MIs[0] Operand 1
     /* 2350016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2350021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350029 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2350029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2350032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350045 */   // GIR_Coverage, 48245,
     /* 2350045 */   GIR_EraseRootFromParent_Done,
     /* 2350046 */ // Label 28772: @2350046
     /* 2350046 */ GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2350094), // Rule ID 48262 //
     /* 2350051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350064 */   // MIs[0] Operand 1
     /* 2350064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2350069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350077 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2350077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2350080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350084 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350093 */   // GIR_Coverage, 48262,
     /* 2350093 */   GIR_EraseRootFromParent_Done,
     /* 2350094 */ // Label 28773: @2350094
     /* 2350094 */ GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2350142), // Rule ID 48263 //
     /* 2350099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350112 */   // MIs[0] Operand 1
     /* 2350112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2350117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350125 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2350125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2350128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350132 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350141 */   // GIR_Coverage, 48263,
     /* 2350141 */   GIR_EraseRootFromParent_Done,
     /* 2350142 */ // Label 28774: @2350142
     /* 2350142 */ GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2350190), // Rule ID 48270 //
     /* 2350147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350160 */   // MIs[0] Operand 1
     /* 2350160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2350165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350173 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2350173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2350176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350180 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350189 */   // GIR_Coverage, 48270,
     /* 2350189 */   GIR_EraseRootFromParent_Done,
     /* 2350190 */ // Label 28775: @2350190
     /* 2350190 */ GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2350238), // Rule ID 48271 //
     /* 2350195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350208 */   // MIs[0] Operand 1
     /* 2350208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2350213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350221 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2350221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2350224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350237 */   // GIR_Coverage, 48271,
     /* 2350237 */   GIR_EraseRootFromParent_Done,
     /* 2350238 */ // Label 28776: @2350238
     /* 2350238 */ GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2350286), // Rule ID 48278 //
     /* 2350243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2350252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350256 */   // MIs[0] Operand 1
     /* 2350256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350269 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2350272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350276 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350285 */   // GIR_Coverage, 48278,
     /* 2350285 */   GIR_EraseRootFromParent_Done,
     /* 2350286 */ // Label 28777: @2350286
     /* 2350286 */ GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2350334), // Rule ID 48279 //
     /* 2350291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2350300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350304 */   // MIs[0] Operand 1
     /* 2350304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350317 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2350320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350324 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350333 */   // GIR_Coverage, 48279,
     /* 2350333 */   GIR_EraseRootFromParent_Done,
     /* 2350334 */ // Label 28778: @2350334
     /* 2350334 */ GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2350382), // Rule ID 48288 //
     /* 2350339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2350348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350352 */   // MIs[0] Operand 1
     /* 2350352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350365 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2350365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2350368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350381 */   // GIR_Coverage, 48288,
     /* 2350381 */   GIR_EraseRootFromParent_Done,
     /* 2350382 */ // Label 28779: @2350382
     /* 2350382 */ GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2350430), // Rule ID 48289 //
     /* 2350387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2350396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350400 */   // MIs[0] Operand 1
     /* 2350400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350413 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2350413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2350416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350429 */   // GIR_Coverage, 48289,
     /* 2350429 */   GIR_EraseRootFromParent_Done,
     /* 2350430 */ // Label 28780: @2350430
     /* 2350430 */ GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2350478), // Rule ID 48306 //
     /* 2350435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350448 */   // MIs[0] Operand 1
     /* 2350448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350461 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2350461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2350464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350477 */   // GIR_Coverage, 48306,
     /* 2350477 */   GIR_EraseRootFromParent_Done,
     /* 2350478 */ // Label 28781: @2350478
     /* 2350478 */ GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2350526), // Rule ID 48307 //
     /* 2350483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350496 */   // MIs[0] Operand 1
     /* 2350496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350509 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2350509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2350512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350525 */   // GIR_Coverage, 48307,
     /* 2350525 */   GIR_EraseRootFromParent_Done,
     /* 2350526 */ // Label 28782: @2350526
     /* 2350526 */ GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2350574), // Rule ID 48314 //
     /* 2350531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350544 */   // MIs[0] Operand 1
     /* 2350544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350557 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2350557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2350560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350573 */   // GIR_Coverage, 48314,
     /* 2350573 */   GIR_EraseRootFromParent_Done,
     /* 2350574 */ // Label 28783: @2350574
     /* 2350574 */ GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2350622), // Rule ID 48315 //
     /* 2350579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350592 */   // MIs[0] Operand 1
     /* 2350592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2350597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350605 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2350605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2350608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2350612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2350614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350621 */   // GIR_Coverage, 48315,
     /* 2350621 */   GIR_EraseRootFromParent_Done,
     /* 2350622 */ // Label 28784: @2350622
     /* 2350622 */ GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2350670), // Rule ID 48322 //
     /* 2350627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2350636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350640 */   // MIs[0] Operand 1
     /* 2350640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350653 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2350656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350658 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350660 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350669 */   // GIR_Coverage, 48322,
     /* 2350669 */   GIR_EraseRootFromParent_Done,
     /* 2350670 */ // Label 28785: @2350670
     /* 2350670 */ GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2350718), // Rule ID 48323 //
     /* 2350675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2350681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2350684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350688 */   // MIs[0] Operand 1
     /* 2350688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350701 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2350704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350706 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350708 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350717 */   // GIR_Coverage, 48323,
     /* 2350717 */   GIR_EraseRootFromParent_Done,
     /* 2350718 */ // Label 28786: @2350718
     /* 2350718 */ GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2350766), // Rule ID 48332 //
     /* 2350723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2350732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350736 */   // MIs[0] Operand 1
     /* 2350736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350749 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2350749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2350752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350765 */   // GIR_Coverage, 48332,
     /* 2350765 */   GIR_EraseRootFromParent_Done,
     /* 2350766 */ // Label 28787: @2350766
     /* 2350766 */ GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2350814), // Rule ID 48333 //
     /* 2350771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2350777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2350780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350784 */   // MIs[0] Operand 1
     /* 2350784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350797 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2350797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2350800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350813 */   // GIR_Coverage, 48333,
     /* 2350813 */   GIR_EraseRootFromParent_Done,
     /* 2350814 */ // Label 28788: @2350814
     /* 2350814 */ GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2350862), // Rule ID 48350 //
     /* 2350819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2350822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350832 */   // MIs[0] Operand 1
     /* 2350832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350845 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2350845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2350848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350861 */   // GIR_Coverage, 48350,
     /* 2350861 */   GIR_EraseRootFromParent_Done,
     /* 2350862 */ // Label 28789: @2350862
     /* 2350862 */ GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2350910), // Rule ID 48351 //
     /* 2350867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2350870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2350873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2350876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350880 */   // MIs[0] Operand 1
     /* 2350880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350893 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2350893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2350896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350909 */   // GIR_Coverage, 48351,
     /* 2350909 */   GIR_EraseRootFromParent_Done,
     /* 2350910 */ // Label 28790: @2350910
     /* 2350910 */ GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2350958), // Rule ID 48358 //
     /* 2350915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2350918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350928 */   // MIs[0] Operand 1
     /* 2350928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350941 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2350941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2350944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2350957 */   // GIR_Coverage, 48358,
     /* 2350957 */   GIR_EraseRootFromParent_Done,
     /* 2350958 */ // Label 28791: @2350958
     /* 2350958 */ GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2351006), // Rule ID 48359 //
     /* 2350963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2350966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2350969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2350972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350976 */   // MIs[0] Operand 1
     /* 2350976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2350981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2350989 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2350989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2350992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2350996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2350998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351005 */   // GIR_Coverage, 48359,
     /* 2351005 */   GIR_EraseRootFromParent_Done,
     /* 2351006 */ // Label 28792: @2351006
     /* 2351006 */ GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2351054), // Rule ID 48366 //
     /* 2351011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2351017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2351020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351024 */   // MIs[0] Operand 1
     /* 2351024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351037 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2351040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351053 */   // GIR_Coverage, 48366,
     /* 2351053 */   GIR_EraseRootFromParent_Done,
     /* 2351054 */ // Label 28793: @2351054
     /* 2351054 */ GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2351102), // Rule ID 48367 //
     /* 2351059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2351065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2351068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351072 */   // MIs[0] Operand 1
     /* 2351072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351085 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2351088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351101 */   // GIR_Coverage, 48367,
     /* 2351101 */   GIR_EraseRootFromParent_Done,
     /* 2351102 */ // Label 28794: @2351102
     /* 2351102 */ GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2351150), // Rule ID 48376 //
     /* 2351107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2351113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2351116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351120 */   // MIs[0] Operand 1
     /* 2351120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351133 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2351133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2351136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351149 */   // GIR_Coverage, 48376,
     /* 2351149 */   GIR_EraseRootFromParent_Done,
     /* 2351150 */ // Label 28795: @2351150
     /* 2351150 */ GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2351198), // Rule ID 48377 //
     /* 2351155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2351161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2351164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351168 */   // MIs[0] Operand 1
     /* 2351168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351181 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2351181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2351184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351197 */   // GIR_Coverage, 48377,
     /* 2351197 */   GIR_EraseRootFromParent_Done,
     /* 2351198 */ // Label 28796: @2351198
     /* 2351198 */ GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2351246), // Rule ID 48394 //
     /* 2351203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2351212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351216 */   // MIs[0] Operand 1
     /* 2351216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351229 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2351229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2351232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351245 */   // GIR_Coverage, 48394,
     /* 2351245 */   GIR_EraseRootFromParent_Done,
     /* 2351246 */ // Label 28797: @2351246
     /* 2351246 */ GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2351294), // Rule ID 48395 //
     /* 2351251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2351257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2351260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351264 */   // MIs[0] Operand 1
     /* 2351264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351277 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2351277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2351280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351282 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351293 */   // GIR_Coverage, 48395,
     /* 2351293 */   GIR_EraseRootFromParent_Done,
     /* 2351294 */ // Label 28798: @2351294
     /* 2351294 */ GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2351342), // Rule ID 48402 //
     /* 2351299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2351308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351312 */   // MIs[0] Operand 1
     /* 2351312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351325 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2351325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2351328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351330 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351341 */   // GIR_Coverage, 48402,
     /* 2351341 */   GIR_EraseRootFromParent_Done,
     /* 2351342 */ // Label 28799: @2351342
     /* 2351342 */ GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2351390), // Rule ID 48403 //
     /* 2351347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2351353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2351356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351360 */   // MIs[0] Operand 1
     /* 2351360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2351365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351373 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2351373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2351376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2351380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2351382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351389 */   // GIR_Coverage, 48403,
     /* 2351389 */   GIR_EraseRootFromParent_Done,
     /* 2351390 */ // Label 28800: @2351390
     /* 2351390 */ GIM_Reject,
     /* 2351391 */ // Label 28462: @2351391
     /* 2351391 */ GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2351439), // Rule ID 47980 //
     /* 2351396 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351402 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2351405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351409 */   // MIs[0] Operand 1
     /* 2351409 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351418 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351422 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351422 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2351425 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351427 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351438 */   // GIR_Coverage, 47980,
     /* 2351438 */   GIR_EraseRootFromParent_Done,
     /* 2351439 */ // Label 28801: @2351439
     /* 2351439 */ GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2351487), // Rule ID 47981 //
     /* 2351444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351450 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2351453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351457 */   // MIs[0] Operand 1
     /* 2351457 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351466 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351470 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2351473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351486 */   // GIR_Coverage, 47981,
     /* 2351486 */   GIR_EraseRootFromParent_Done,
     /* 2351487 */ // Label 28802: @2351487
     /* 2351487 */ GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2351535), // Rule ID 47994 //
     /* 2351492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351498 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2351501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351505 */   // MIs[0] Operand 1
     /* 2351505 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351514 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351518 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2351518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2351521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351534 */   // GIR_Coverage, 47994,
     /* 2351534 */   GIR_EraseRootFromParent_Done,
     /* 2351535 */ // Label 28803: @2351535
     /* 2351535 */ GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2351583), // Rule ID 47995 //
     /* 2351540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351546 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2351549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351553 */   // MIs[0] Operand 1
     /* 2351553 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351558 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351562 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351566 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2351566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2351569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351571 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351582 */   // GIR_Coverage, 47995,
     /* 2351582 */   GIR_EraseRootFromParent_Done,
     /* 2351583 */ // Label 28804: @2351583
     /* 2351583 */ GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2351631), // Rule ID 48002 //
     /* 2351588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2351597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351601 */   // MIs[0] Operand 1
     /* 2351601 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351610 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351614 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2351614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2351617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351619 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351621 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351629 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351630 */   // GIR_Coverage, 48002,
     /* 2351630 */   GIR_EraseRootFromParent_Done,
     /* 2351631 */ // Label 28805: @2351631
     /* 2351631 */ GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2351679), // Rule ID 48003 //
     /* 2351636 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351642 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2351645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351649 */   // MIs[0] Operand 1
     /* 2351649 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351658 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351662 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2351662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2351665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351667 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351669 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351678 */   // GIR_Coverage, 48003,
     /* 2351678 */   GIR_EraseRootFromParent_Done,
     /* 2351679 */ // Label 28806: @2351679
     /* 2351679 */ GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2351727), // Rule ID 48010 //
     /* 2351684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2351687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2351693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351697 */   // MIs[0] Operand 1
     /* 2351697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351706 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351710 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2351710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2351713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351717 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351726 */   // GIR_Coverage, 48010,
     /* 2351726 */   GIR_EraseRootFromParent_Done,
     /* 2351727 */ // Label 28807: @2351727
     /* 2351727 */ GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2351775), // Rule ID 48011 //
     /* 2351732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2351735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2351738 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2351741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351745 */   // MIs[0] Operand 1
     /* 2351745 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2351750 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351754 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351758 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2351758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2351761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351763 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351765 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351774 */   // GIR_Coverage, 48011,
     /* 2351774 */   GIR_EraseRootFromParent_Done,
     /* 2351775 */ // Label 28808: @2351775
     /* 2351775 */ GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2351823), // Rule ID 48024 //
     /* 2351780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351786 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2351789 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351793 */   // MIs[0] Operand 1
     /* 2351793 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2351798 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351802 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351806 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2351809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351811 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351813 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351822 */   // GIR_Coverage, 48024,
     /* 2351822 */   GIR_EraseRootFromParent_Done,
     /* 2351823 */ // Label 28809: @2351823
     /* 2351823 */ GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2351871), // Rule ID 48025 //
     /* 2351828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2351834 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2351837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351841 */   // MIs[0] Operand 1
     /* 2351841 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2351846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351850 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351854 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2351857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351859 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351861 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351870 */   // GIR_Coverage, 48025,
     /* 2351870 */   GIR_EraseRootFromParent_Done,
     /* 2351871 */ // Label 28810: @2351871
     /* 2351871 */ GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2351919), // Rule ID 48038 //
     /* 2351876 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351882 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2351885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351889 */   // MIs[0] Operand 1
     /* 2351889 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2351894 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351898 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351902 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2351902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2351905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351907 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351909 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351917 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351918 */   // GIR_Coverage, 48038,
     /* 2351918 */   GIR_EraseRootFromParent_Done,
     /* 2351919 */ // Label 28811: @2351919
     /* 2351919 */ GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2351967), // Rule ID 48039 //
     /* 2351924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2351927 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2351930 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2351933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351937 */   // MIs[0] Operand 1
     /* 2351937 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2351942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351946 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351950 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2351950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2351953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351955 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2351957 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2351959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2351966 */   // GIR_Coverage, 48039,
     /* 2351966 */   GIR_EraseRootFromParent_Done,
     /* 2351967 */ // Label 28812: @2351967
     /* 2351967 */ GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2352015), // Rule ID 48046 //
     /* 2351972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2351975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2351978 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2351981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2351985 */   // MIs[0] Operand 1
     /* 2351985 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2351990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351994 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351998 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2351998 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2352001 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352003 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352005 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352014 */   // GIR_Coverage, 48046,
     /* 2352014 */   GIR_EraseRootFromParent_Done,
     /* 2352015 */ // Label 28813: @2352015
     /* 2352015 */ GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2352063), // Rule ID 48047 //
     /* 2352020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2352029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352033 */   // MIs[0] Operand 1
     /* 2352033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2352038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352046 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2352046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2352049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352062 */   // GIR_Coverage, 48047,
     /* 2352062 */   GIR_EraseRootFromParent_Done,
     /* 2352063 */ // Label 28814: @2352063
     /* 2352063 */ GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2352111), // Rule ID 48054 //
     /* 2352068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352081 */   // MIs[0] Operand 1
     /* 2352081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2352086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352094 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2352094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2352097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352099 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352101 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352110 */   // GIR_Coverage, 48054,
     /* 2352110 */   GIR_EraseRootFromParent_Done,
     /* 2352111 */ // Label 28815: @2352111
     /* 2352111 */ GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2352159), // Rule ID 48055 //
     /* 2352116 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352122 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352129 */   // MIs[0] Operand 1
     /* 2352129 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2352134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352138 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352142 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2352142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2352145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352147 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352149 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352157 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352158 */   // GIR_Coverage, 48055,
     /* 2352158 */   GIR_EraseRootFromParent_Done,
     /* 2352159 */ // Label 28816: @2352159
     /* 2352159 */ GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2352207), // Rule ID 48068 //
     /* 2352164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352170 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352177 */   // MIs[0] Operand 1
     /* 2352177 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352182 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352186 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352190 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2352193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352195 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352197 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352205 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352206 */   // GIR_Coverage, 48068,
     /* 2352206 */   GIR_EraseRootFromParent_Done,
     /* 2352207 */ // Label 28817: @2352207
     /* 2352207 */ GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2352255), // Rule ID 48069 //
     /* 2352212 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352218 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352225 */   // MIs[0] Operand 1
     /* 2352225 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352234 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352238 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2352241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352243 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352245 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352254 */   // GIR_Coverage, 48069,
     /* 2352254 */   GIR_EraseRootFromParent_Done,
     /* 2352255 */ // Label 28818: @2352255
     /* 2352255 */ GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2352303), // Rule ID 48082 //
     /* 2352260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352266 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2352269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352273 */   // MIs[0] Operand 1
     /* 2352273 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352282 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352286 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2352286 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2352289 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352291 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352293 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352302 */   // GIR_Coverage, 48082,
     /* 2352302 */   GIR_EraseRootFromParent_Done,
     /* 2352303 */ // Label 28819: @2352303
     /* 2352303 */ GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2352351), // Rule ID 48083 //
     /* 2352308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352314 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2352317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352321 */   // MIs[0] Operand 1
     /* 2352321 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352326 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352330 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352334 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2352334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2352337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352339 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352341 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352350 */   // GIR_Coverage, 48083,
     /* 2352350 */   GIR_EraseRootFromParent_Done,
     /* 2352351 */ // Label 28820: @2352351
     /* 2352351 */ GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2352399), // Rule ID 48090 //
     /* 2352356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2352365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352369 */   // MIs[0] Operand 1
     /* 2352369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352382 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2352382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2352385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352397 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352398 */   // GIR_Coverage, 48090,
     /* 2352398 */   GIR_EraseRootFromParent_Done,
     /* 2352399 */ // Label 28821: @2352399
     /* 2352399 */ GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2352447), // Rule ID 48091 //
     /* 2352404 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352410 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2352413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352417 */   // MIs[0] Operand 1
     /* 2352417 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352426 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352430 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2352430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2352433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352435 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352437 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352446 */   // GIR_Coverage, 48091,
     /* 2352446 */   GIR_EraseRootFromParent_Done,
     /* 2352447 */ // Label 28822: @2352447
     /* 2352447 */ GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2352495), // Rule ID 48098 //
     /* 2352452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352455 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352458 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352465 */   // MIs[0] Operand 1
     /* 2352465 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352470 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352474 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352478 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2352478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2352481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352483 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352485 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352494 */   // GIR_Coverage, 48098,
     /* 2352494 */   GIR_EraseRootFromParent_Done,
     /* 2352495 */ // Label 28823: @2352495
     /* 2352495 */ GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2352543), // Rule ID 48099 //
     /* 2352500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352506 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352513 */   // MIs[0] Operand 1
     /* 2352513 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2352518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352522 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352526 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2352526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2352529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352531 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352533 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352542 */   // GIR_Coverage, 48099,
     /* 2352542 */   GIR_EraseRootFromParent_Done,
     /* 2352543 */ // Label 28824: @2352543
     /* 2352543 */ GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2352591), // Rule ID 48110 //
     /* 2352548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352554 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352561 */   // MIs[0] Operand 1
     /* 2352561 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352570 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352574 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2352577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352590 */   // GIR_Coverage, 48110,
     /* 2352590 */   GIR_EraseRootFromParent_Done,
     /* 2352591 */ // Label 28825: @2352591
     /* 2352591 */ GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2352639), // Rule ID 48111 //
     /* 2352596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352602 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352609 */   // MIs[0] Operand 1
     /* 2352609 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352618 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352622 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2352622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2352625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352627 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352637 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352638 */   // GIR_Coverage, 48111,
     /* 2352638 */   GIR_EraseRootFromParent_Done,
     /* 2352639 */ // Label 28826: @2352639
     /* 2352639 */ GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2352687), // Rule ID 48124 //
     /* 2352644 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352650 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2352653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352657 */   // MIs[0] Operand 1
     /* 2352657 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352666 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352670 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2352670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2352673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352675 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352686 */   // GIR_Coverage, 48124,
     /* 2352686 */   GIR_EraseRootFromParent_Done,
     /* 2352687 */ // Label 28827: @2352687
     /* 2352687 */ GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2352735), // Rule ID 48125 //
     /* 2352692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2352698 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2352701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352705 */   // MIs[0] Operand 1
     /* 2352705 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352710 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352714 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2352718 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2352718 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2352721 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352723 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352725 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2352733 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352734 */   // GIR_Coverage, 48125,
     /* 2352734 */   GIR_EraseRootFromParent_Done,
     /* 2352735 */ // Label 28828: @2352735
     /* 2352735 */ GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2352783), // Rule ID 48132 //
     /* 2352740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352743 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352746 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2352749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352753 */   // MIs[0] Operand 1
     /* 2352753 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352762 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352766 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2352766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2352769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352771 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352773 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352782 */   // GIR_Coverage, 48132,
     /* 2352782 */   GIR_EraseRootFromParent_Done,
     /* 2352783 */ // Label 28829: @2352783
     /* 2352783 */ GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2352831), // Rule ID 48133 //
     /* 2352788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2352794 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2352797 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352801 */   // MIs[0] Operand 1
     /* 2352801 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352806 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352810 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2352814 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2352814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2352817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352819 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352821 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2352829 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352830 */   // GIR_Coverage, 48133,
     /* 2352830 */   GIR_EraseRootFromParent_Done,
     /* 2352831 */ // Label 28830: @2352831
     /* 2352831 */ GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2352879), // Rule ID 48140 //
     /* 2352836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2352839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352842 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352849 */   // MIs[0] Operand 1
     /* 2352849 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352858 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352862 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2352862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2352865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352867 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352877 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352878 */   // GIR_Coverage, 48140,
     /* 2352878 */   GIR_EraseRootFromParent_Done,
     /* 2352879 */ // Label 28831: @2352879
     /* 2352879 */ GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2352927), // Rule ID 48141 //
     /* 2352884 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2352887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2352890 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2352893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352897 */   // MIs[0] Operand 1
     /* 2352897 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2352902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352906 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2352910 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2352910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2352913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2352917 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2352919 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2352925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352926 */   // GIR_Coverage, 48141,
     /* 2352926 */   GIR_EraseRootFromParent_Done,
     /* 2352927 */ // Label 28832: @2352927
     /* 2352927 */ GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2352975), // Rule ID 48154 //
     /* 2352932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2352935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352945 */   // MIs[0] Operand 1
     /* 2352945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2352950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352954 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352958 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2352958 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2352961 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352963 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2352965 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2352967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2352970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2352973 */   GIR_RootConstrainSelectedInstOperands,
     /* 2352974 */   // GIR_Coverage, 48154,
     /* 2352974 */   GIR_EraseRootFromParent_Done,
     /* 2352975 */ // Label 28833: @2352975
     /* 2352975 */ GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2353023), // Rule ID 48155 //
     /* 2352980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2352983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2352986 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2352989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2352993 */   // MIs[0] Operand 1
     /* 2352993 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2352998 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353002 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353006 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2353009 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353011 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353013 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353022 */   // GIR_Coverage, 48155,
     /* 2353022 */   GIR_EraseRootFromParent_Done,
     /* 2353023 */ // Label 28834: @2353023
     /* 2353023 */ GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2353071), // Rule ID 48168 //
     /* 2353028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353041 */   // MIs[0] Operand 1
     /* 2353041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353054 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2353054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2353057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353070 */   // GIR_Coverage, 48168,
     /* 2353070 */   GIR_EraseRootFromParent_Done,
     /* 2353071 */ // Label 28835: @2353071
     /* 2353071 */ GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2353119), // Rule ID 48169 //
     /* 2353076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353089 */   // MIs[0] Operand 1
     /* 2353089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353102 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2353102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2353105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353118 */   // GIR_Coverage, 48169,
     /* 2353118 */   GIR_EraseRootFromParent_Done,
     /* 2353119 */ // Label 28836: @2353119
     /* 2353119 */ GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2353167), // Rule ID 48176 //
     /* 2353124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353137 */   // MIs[0] Operand 1
     /* 2353137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353150 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2353150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2353153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353166 */   // GIR_Coverage, 48176,
     /* 2353166 */   GIR_EraseRootFromParent_Done,
     /* 2353167 */ // Label 28837: @2353167
     /* 2353167 */ GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2353215), // Rule ID 48177 //
     /* 2353172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353185 */   // MIs[0] Operand 1
     /* 2353185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353198 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2353198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2353201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353214 */   // GIR_Coverage, 48177,
     /* 2353214 */   GIR_EraseRootFromParent_Done,
     /* 2353215 */ // Label 28838: @2353215
     /* 2353215 */ GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2353263), // Rule ID 48184 //
     /* 2353220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2353226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2353229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353233 */   // MIs[0] Operand 1
     /* 2353233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353246 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2353246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2353249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353262 */   // GIR_Coverage, 48184,
     /* 2353262 */   GIR_EraseRootFromParent_Done,
     /* 2353263 */ // Label 28839: @2353263
     /* 2353263 */ GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2353311), // Rule ID 48185 //
     /* 2353268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2353274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2353277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353281 */   // MIs[0] Operand 1
     /* 2353281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2353286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353294 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2353294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2353297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353310 */   // GIR_Coverage, 48185,
     /* 2353310 */   GIR_EraseRootFromParent_Done,
     /* 2353311 */ // Label 28840: @2353311
     /* 2353311 */ GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2353359), // Rule ID 48198 //
     /* 2353316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2353325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353329 */   // MIs[0] Operand 1
     /* 2353329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353342 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2353345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353349 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353358 */   // GIR_Coverage, 48198,
     /* 2353358 */   GIR_EraseRootFromParent_Done,
     /* 2353359 */ // Label 28841: @2353359
     /* 2353359 */ GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2353407), // Rule ID 48199 //
     /* 2353364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2353373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353377 */   // MIs[0] Operand 1
     /* 2353377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353390 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2353393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353406 */   // GIR_Coverage, 48199,
     /* 2353406 */   GIR_EraseRootFromParent_Done,
     /* 2353407 */ // Label 28842: @2353407
     /* 2353407 */ GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2353455), // Rule ID 48212 //
     /* 2353412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353425 */   // MIs[0] Operand 1
     /* 2353425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353438 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2353438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2353441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353454 */   // GIR_Coverage, 48212,
     /* 2353454 */   GIR_EraseRootFromParent_Done,
     /* 2353455 */ // Label 28843: @2353455
     /* 2353455 */ GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2353503), // Rule ID 48213 //
     /* 2353460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353473 */   // MIs[0] Operand 1
     /* 2353473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353486 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2353486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2353489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353493 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353502 */   // GIR_Coverage, 48213,
     /* 2353502 */   GIR_EraseRootFromParent_Done,
     /* 2353503 */ // Label 28844: @2353503
     /* 2353503 */ GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2353551), // Rule ID 48220 //
     /* 2353508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353521 */   // MIs[0] Operand 1
     /* 2353521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353534 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2353534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2353537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353541 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353550 */   // GIR_Coverage, 48220,
     /* 2353550 */   GIR_EraseRootFromParent_Done,
     /* 2353551 */ // Label 28845: @2353551
     /* 2353551 */ GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2353599), // Rule ID 48221 //
     /* 2353556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353569 */   // MIs[0] Operand 1
     /* 2353569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353582 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2353582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2353585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353598 */   // GIR_Coverage, 48221,
     /* 2353598 */   GIR_EraseRootFromParent_Done,
     /* 2353599 */ // Label 28846: @2353599
     /* 2353599 */ GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2353647), // Rule ID 48228 //
     /* 2353604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2353610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2353613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353617 */   // MIs[0] Operand 1
     /* 2353617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353630 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2353630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2353633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353637 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353646 */   // GIR_Coverage, 48228,
     /* 2353646 */   GIR_EraseRootFromParent_Done,
     /* 2353647 */ // Label 28847: @2353647
     /* 2353647 */ GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2353695), // Rule ID 48229 //
     /* 2353652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2353655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2353658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2353661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353665 */   // MIs[0] Operand 1
     /* 2353665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2353670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2353678 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2353678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2353681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2353685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2353687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2353693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353694 */   // GIR_Coverage, 48229,
     /* 2353694 */   GIR_EraseRootFromParent_Done,
     /* 2353695 */ // Label 28848: @2353695
     /* 2353695 */ GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2353743), // Rule ID 48242 //
     /* 2353700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2353709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353713 */   // MIs[0] Operand 1
     /* 2353713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353726 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2353726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2353729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353742 */   // GIR_Coverage, 48242,
     /* 2353742 */   GIR_EraseRootFromParent_Done,
     /* 2353743 */ // Label 28849: @2353743
     /* 2353743 */ GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2353791), // Rule ID 48243 //
     /* 2353748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2353754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2353757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353761 */   // MIs[0] Operand 1
     /* 2353761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353774 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2353774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2353777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2353789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353790 */   // GIR_Coverage, 48243,
     /* 2353790 */   GIR_EraseRootFromParent_Done,
     /* 2353791 */ // Label 28850: @2353791
     /* 2353791 */ GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2353839), // Rule ID 48256 //
     /* 2353796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353809 */   // MIs[0] Operand 1
     /* 2353809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353822 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2353822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2353825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353838 */   // GIR_Coverage, 48256,
     /* 2353838 */   GIR_EraseRootFromParent_Done,
     /* 2353839 */ // Label 28851: @2353839
     /* 2353839 */ GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2353887), // Rule ID 48257 //
     /* 2353844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2353850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2353853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353857 */   // MIs[0] Operand 1
     /* 2353857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2353870 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2353870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2353873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2353885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353886 */   // GIR_Coverage, 48257,
     /* 2353886 */   GIR_EraseRootFromParent_Done,
     /* 2353887 */ // Label 28852: @2353887
     /* 2353887 */ GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2353935), // Rule ID 48264 //
     /* 2353892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2353895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353905 */   // MIs[0] Operand 1
     /* 2353905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353918 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2353918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2353921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353934 */   // GIR_Coverage, 48264,
     /* 2353934 */   GIR_EraseRootFromParent_Done,
     /* 2353935 */ // Label 28853: @2353935
     /* 2353935 */ GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2353983), // Rule ID 48265 //
     /* 2353940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2353943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2353946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2353949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2353953 */   // MIs[0] Operand 1
     /* 2353953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2353958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2353966 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2353966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2353969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2353973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2353975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2353978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2353981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2353982 */   // GIR_Coverage, 48265,
     /* 2353982 */   GIR_EraseRootFromParent_Done,
     /* 2353983 */ // Label 28854: @2353983
     /* 2353983 */ GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2354031), // Rule ID 48272 //
     /* 2353988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2353991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2353994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2353997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354001 */   // MIs[0] Operand 1
     /* 2354001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2354006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354014 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2354014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2354017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354030 */   // GIR_Coverage, 48272,
     /* 2354030 */   GIR_EraseRootFromParent_Done,
     /* 2354031 */ // Label 28855: @2354031
     /* 2354031 */ GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2354079), // Rule ID 48273 //
     /* 2354036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2354045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354049 */   // MIs[0] Operand 1
     /* 2354049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2354054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354062 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2354062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2354065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354078 */   // GIR_Coverage, 48273,
     /* 2354078 */   GIR_EraseRootFromParent_Done,
     /* 2354079 */ // Label 28856: @2354079
     /* 2354079 */ GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2354127), // Rule ID 48286 //
     /* 2354084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354097 */   // MIs[0] Operand 1
     /* 2354097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354110 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2354113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354115 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354117 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354126 */   // GIR_Coverage, 48286,
     /* 2354126 */   GIR_EraseRootFromParent_Done,
     /* 2354127 */ // Label 28857: @2354127
     /* 2354127 */ GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2354175), // Rule ID 48287 //
     /* 2354132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354145 */   // MIs[0] Operand 1
     /* 2354145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354158 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2354161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354163 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354165 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354174 */   // GIR_Coverage, 48287,
     /* 2354174 */   GIR_EraseRootFromParent_Done,
     /* 2354175 */ // Label 28858: @2354175
     /* 2354175 */ GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2354223), // Rule ID 48300 //
     /* 2354180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2354189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354193 */   // MIs[0] Operand 1
     /* 2354193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354206 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2354206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2354209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354222 */   // GIR_Coverage, 48300,
     /* 2354222 */   GIR_EraseRootFromParent_Done,
     /* 2354223 */ // Label 28859: @2354223
     /* 2354223 */ GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2354271), // Rule ID 48301 //
     /* 2354228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2354237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354241 */   // MIs[0] Operand 1
     /* 2354241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354254 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2354254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2354257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354270 */   // GIR_Coverage, 48301,
     /* 2354270 */   GIR_EraseRootFromParent_Done,
     /* 2354271 */ // Label 28860: @2354271
     /* 2354271 */ GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2354319), // Rule ID 48308 //
     /* 2354276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2354285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354289 */   // MIs[0] Operand 1
     /* 2354289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354302 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2354302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2354305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354318 */   // GIR_Coverage, 48308,
     /* 2354318 */   GIR_EraseRootFromParent_Done,
     /* 2354319 */ // Label 28861: @2354319
     /* 2354319 */ GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2354367), // Rule ID 48309 //
     /* 2354324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2354333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354337 */   // MIs[0] Operand 1
     /* 2354337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354350 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2354350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2354353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354366 */   // GIR_Coverage, 48309,
     /* 2354366 */   GIR_EraseRootFromParent_Done,
     /* 2354367 */ // Label 28862: @2354367
     /* 2354367 */ GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2354415), // Rule ID 48316 //
     /* 2354372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2354381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354385 */   // MIs[0] Operand 1
     /* 2354385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354398 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2354398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2354401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354414 */   // GIR_Coverage, 48316,
     /* 2354414 */   GIR_EraseRootFromParent_Done,
     /* 2354415 */ // Label 28863: @2354415
     /* 2354415 */ GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2354463), // Rule ID 48317 //
     /* 2354420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2354429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354433 */   // MIs[0] Operand 1
     /* 2354433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2354438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354446 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2354446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2354449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354462 */   // GIR_Coverage, 48317,
     /* 2354462 */   GIR_EraseRootFromParent_Done,
     /* 2354463 */ // Label 28864: @2354463
     /* 2354463 */ GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2354511), // Rule ID 48330 //
     /* 2354468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354481 */   // MIs[0] Operand 1
     /* 2354481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354494 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2354497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354510 */   // GIR_Coverage, 48330,
     /* 2354510 */   GIR_EraseRootFromParent_Done,
     /* 2354511 */ // Label 28865: @2354511
     /* 2354511 */ GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2354559), // Rule ID 48331 //
     /* 2354516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354529 */   // MIs[0] Operand 1
     /* 2354529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354542 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2354545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354558 */   // GIR_Coverage, 48331,
     /* 2354558 */   GIR_EraseRootFromParent_Done,
     /* 2354559 */ // Label 28866: @2354559
     /* 2354559 */ GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2354607), // Rule ID 48344 //
     /* 2354564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2354573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354577 */   // MIs[0] Operand 1
     /* 2354577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354590 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2354590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2354593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354606 */   // GIR_Coverage, 48344,
     /* 2354606 */   GIR_EraseRootFromParent_Done,
     /* 2354607 */ // Label 28867: @2354607
     /* 2354607 */ GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2354655), // Rule ID 48345 //
     /* 2354612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2354621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354625 */   // MIs[0] Operand 1
     /* 2354625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354638 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2354638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2354641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354654 */   // GIR_Coverage, 48345,
     /* 2354654 */   GIR_EraseRootFromParent_Done,
     /* 2354655 */ // Label 28868: @2354655
     /* 2354655 */ GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2354703), // Rule ID 48352 //
     /* 2354660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2354669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354673 */   // MIs[0] Operand 1
     /* 2354673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354686 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2354686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2354689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354693 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354702 */   // GIR_Coverage, 48352,
     /* 2354702 */   GIR_EraseRootFromParent_Done,
     /* 2354703 */ // Label 28869: @2354703
     /* 2354703 */ GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2354751), // Rule ID 48353 //
     /* 2354708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2354714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2354717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354721 */   // MIs[0] Operand 1
     /* 2354721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2354734 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2354734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2354737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354741 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354750 */   // GIR_Coverage, 48353,
     /* 2354750 */   GIR_EraseRootFromParent_Done,
     /* 2354751 */ // Label 28870: @2354751
     /* 2354751 */ GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2354799), // Rule ID 48360 //
     /* 2354756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2354759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2354765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354769 */   // MIs[0] Operand 1
     /* 2354769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354782 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2354782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2354785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354798 */   // GIR_Coverage, 48360,
     /* 2354798 */   GIR_EraseRootFromParent_Done,
     /* 2354799 */ // Label 28871: @2354799
     /* 2354799 */ GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2354847), // Rule ID 48361 //
     /* 2354804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2354807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2354810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2354813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354817 */   // MIs[0] Operand 1
     /* 2354817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2354822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2354830 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2354830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2354833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2354837 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2354839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354846 */   // GIR_Coverage, 48361,
     /* 2354846 */   GIR_EraseRootFromParent_Done,
     /* 2354847 */ // Label 28872: @2354847
     /* 2354847 */ GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2354895), // Rule ID 48374 //
     /* 2354852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354865 */   // MIs[0] Operand 1
     /* 2354865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2354870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354878 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2354881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354883 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354894 */   // GIR_Coverage, 48374,
     /* 2354894 */   GIR_EraseRootFromParent_Done,
     /* 2354895 */ // Label 28873: @2354895
     /* 2354895 */ GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2354943), // Rule ID 48375 //
     /* 2354900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2354906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2354909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354913 */   // MIs[0] Operand 1
     /* 2354913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2354918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354926 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2354929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354931 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354942 */   // GIR_Coverage, 48375,
     /* 2354942 */   GIR_EraseRootFromParent_Done,
     /* 2354943 */ // Label 28874: @2354943
     /* 2354943 */ GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2354991), // Rule ID 48388 //
     /* 2354948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2354951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2354954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2354957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354961 */   // MIs[0] Operand 1
     /* 2354961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2354966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2354974 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2354974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2354977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2354981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2354990 */   // GIR_Coverage, 48388,
     /* 2354990 */   GIR_EraseRootFromParent_Done,
     /* 2354991 */ // Label 28875: @2354991
     /* 2354991 */ GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2355039), // Rule ID 48389 //
     /* 2354996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2354999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2355002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2355005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355009 */   // MIs[0] Operand 1
     /* 2355009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2355014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355022 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2355022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2355025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2355029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355038 */   // GIR_Coverage, 48389,
     /* 2355038 */   GIR_EraseRootFromParent_Done,
     /* 2355039 */ // Label 28876: @2355039
     /* 2355039 */ GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2355087), // Rule ID 48396 //
     /* 2355044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2355050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2355053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355057 */   // MIs[0] Operand 1
     /* 2355057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2355062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355070 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2355070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2355073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2355077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355086 */   // GIR_Coverage, 48396,
     /* 2355086 */   GIR_EraseRootFromParent_Done,
     /* 2355087 */ // Label 28877: @2355087
     /* 2355087 */ GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2355135), // Rule ID 48397 //
     /* 2355092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2355098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2355101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355105 */   // MIs[0] Operand 1
     /* 2355105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2355110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355118 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2355118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2355121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2355125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355134 */   // GIR_Coverage, 48397,
     /* 2355134 */   GIR_EraseRootFromParent_Done,
     /* 2355135 */ // Label 28878: @2355135
     /* 2355135 */ GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2355183), // Rule ID 48404 //
     /* 2355140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2355143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2355146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2355149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355153 */   // MIs[0] Operand 1
     /* 2355153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2355158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355166 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2355166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2355169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355171 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2355173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355182 */   // GIR_Coverage, 48404,
     /* 2355182 */   GIR_EraseRootFromParent_Done,
     /* 2355183 */ // Label 28879: @2355183
     /* 2355183 */ GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2355231), // Rule ID 48405 //
     /* 2355188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2355191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2355194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2355197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355201 */   // MIs[0] Operand 1
     /* 2355201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2355206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355214 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2355214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2355217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2355221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355230 */   // GIR_Coverage, 48405,
     /* 2355230 */   GIR_EraseRootFromParent_Done,
     /* 2355231 */ // Label 28880: @2355231
     /* 2355231 */ GIM_Reject,
     /* 2355232 */ // Label 28463: @2355232
     /* 2355232 */ GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2355280), // Rule ID 47988 //
     /* 2355237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355250 */   // MIs[0] Operand 1
     /* 2355250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355263 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2355266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355279 */   // GIR_Coverage, 47988,
     /* 2355279 */   GIR_EraseRootFromParent_Done,
     /* 2355280 */ // Label 28881: @2355280
     /* 2355280 */ GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2355328), // Rule ID 47989 //
     /* 2355285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355298 */   // MIs[0] Operand 1
     /* 2355298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355311 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2355314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355327 */   // GIR_Coverage, 47989,
     /* 2355327 */   GIR_EraseRootFromParent_Done,
     /* 2355328 */ // Label 28882: @2355328
     /* 2355328 */ GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2355376), // Rule ID 47996 //
     /* 2355333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355346 */   // MIs[0] Operand 1
     /* 2355346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355359 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2355359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2355362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355375 */   // GIR_Coverage, 47996,
     /* 2355375 */   GIR_EraseRootFromParent_Done,
     /* 2355376 */ // Label 28883: @2355376
     /* 2355376 */ GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2355424), // Rule ID 47997 //
     /* 2355381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355394 */   // MIs[0] Operand 1
     /* 2355394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355407 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2355407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2355410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355423 */   // GIR_Coverage, 47997,
     /* 2355423 */   GIR_EraseRootFromParent_Done,
     /* 2355424 */ // Label 28884: @2355424
     /* 2355424 */ GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2355472), // Rule ID 48004 //
     /* 2355429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355432 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355435 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2355438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355442 */   // MIs[0] Operand 1
     /* 2355442 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355451 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355455 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2355455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2355458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355460 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355462 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355471 */   // GIR_Coverage, 48004,
     /* 2355471 */   GIR_EraseRootFromParent_Done,
     /* 2355472 */ // Label 28885: @2355472
     /* 2355472 */ GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2355520), // Rule ID 48005 //
     /* 2355477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355483 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2355486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355490 */   // MIs[0] Operand 1
     /* 2355490 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2355495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355499 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355503 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2355503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2355506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355508 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355510 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355519 */   // GIR_Coverage, 48005,
     /* 2355519 */   GIR_EraseRootFromParent_Done,
     /* 2355520 */ // Label 28886: @2355520
     /* 2355520 */ GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2355568), // Rule ID 48032 //
     /* 2355525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355538 */   // MIs[0] Operand 1
     /* 2355538 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355547 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355551 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2355554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355556 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355558 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355567 */   // GIR_Coverage, 48032,
     /* 2355567 */   GIR_EraseRootFromParent_Done,
     /* 2355568 */ // Label 28887: @2355568
     /* 2355568 */ GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2355616), // Rule ID 48033 //
     /* 2355573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355576 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355579 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355586 */   // MIs[0] Operand 1
     /* 2355586 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355595 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355599 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2355602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355604 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355606 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355615 */   // GIR_Coverage, 48033,
     /* 2355615 */   GIR_EraseRootFromParent_Done,
     /* 2355616 */ // Label 28888: @2355616
     /* 2355616 */ GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2355664), // Rule ID 48040 //
     /* 2355621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355627 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355634 */   // MIs[0] Operand 1
     /* 2355634 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355643 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355647 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2355647 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2355650 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355652 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355654 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355662 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355663 */   // GIR_Coverage, 48040,
     /* 2355663 */   GIR_EraseRootFromParent_Done,
     /* 2355664 */ // Label 28889: @2355664
     /* 2355664 */ GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2355712), // Rule ID 48041 //
     /* 2355669 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355675 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355682 */   // MIs[0] Operand 1
     /* 2355682 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355691 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355695 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2355695 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2355698 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355700 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355702 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355711 */   // GIR_Coverage, 48041,
     /* 2355711 */   GIR_EraseRootFromParent_Done,
     /* 2355712 */ // Label 28890: @2355712
     /* 2355712 */ GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2355760), // Rule ID 48048 //
     /* 2355717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355720 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355723 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2355726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355730 */   // MIs[0] Operand 1
     /* 2355730 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355735 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355739 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355743 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2355743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2355746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355750 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355759 */   // GIR_Coverage, 48048,
     /* 2355759 */   GIR_EraseRootFromParent_Done,
     /* 2355760 */ // Label 28891: @2355760
     /* 2355760 */ GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2355808), // Rule ID 48049 //
     /* 2355765 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355768 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2355771 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2355774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355778 */   // MIs[0] Operand 1
     /* 2355778 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2355783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355787 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2355791 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2355791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2355794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355796 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355798 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355807 */   // GIR_Coverage, 48049,
     /* 2355807 */   GIR_EraseRootFromParent_Done,
     /* 2355808 */ // Label 28892: @2355808
     /* 2355808 */ GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2355856), // Rule ID 48076 //
     /* 2355813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355819 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355826 */   // MIs[0] Operand 1
     /* 2355826 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2355831 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355835 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355839 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2355842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355844 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355846 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355855 */   // GIR_Coverage, 48076,
     /* 2355855 */   GIR_EraseRootFromParent_Done,
     /* 2355856 */ // Label 28893: @2355856
     /* 2355856 */ GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2355904), // Rule ID 48077 //
     /* 2355861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2355867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2355870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355874 */   // MIs[0] Operand 1
     /* 2355874 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2355879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355883 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355887 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2355890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355894 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355903 */   // GIR_Coverage, 48077,
     /* 2355903 */   GIR_EraseRootFromParent_Done,
     /* 2355904 */ // Label 28894: @2355904
     /* 2355904 */ GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2355952), // Rule ID 48084 //
     /* 2355909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2355912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355915 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355922 */   // MIs[0] Operand 1
     /* 2355922 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2355927 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355931 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355935 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2355935 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2355938 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355940 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355942 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355950 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355951 */   // GIR_Coverage, 48084,
     /* 2355951 */   GIR_EraseRootFromParent_Done,
     /* 2355952 */ // Label 28895: @2355952
     /* 2355952 */ GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2356000), // Rule ID 48085 //
     /* 2355957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2355960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2355963 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2355966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355970 */   // MIs[0] Operand 1
     /* 2355970 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2355975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355979 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2355983 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2355983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2355986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355988 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2355990 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2355992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2355999 */   // GIR_Coverage, 48085,
     /* 2355999 */   GIR_EraseRootFromParent_Done,
     /* 2356000 */ // Label 28896: @2356000
     /* 2356000 */ GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2356048), // Rule ID 48092 //
     /* 2356005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356011 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356018 */   // MIs[0] Operand 1
     /* 2356018 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2356023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356027 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356031 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2356031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2356034 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356036 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356038 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356047 */   // GIR_Coverage, 48092,
     /* 2356047 */   GIR_EraseRootFromParent_Done,
     /* 2356048 */ // Label 28897: @2356048
     /* 2356048 */ GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2356096), // Rule ID 48093 //
     /* 2356053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356059 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356066 */   // MIs[0] Operand 1
     /* 2356066 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2356071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356075 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356079 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2356079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2356082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356084 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356086 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356094 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356095 */   // GIR_Coverage, 48093,
     /* 2356095 */   GIR_EraseRootFromParent_Done,
     /* 2356096 */ // Label 28898: @2356096
     /* 2356096 */ GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2356144), // Rule ID 48118 //
     /* 2356101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356107 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356114 */   // MIs[0] Operand 1
     /* 2356114 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356123 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356127 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2356130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356132 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356134 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356143 */   // GIR_Coverage, 48118,
     /* 2356143 */   GIR_EraseRootFromParent_Done,
     /* 2356144 */ // Label 28899: @2356144
     /* 2356144 */ GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2356192), // Rule ID 48119 //
     /* 2356149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356155 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356162 */   // MIs[0] Operand 1
     /* 2356162 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356167 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356171 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356175 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2356178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356180 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356182 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356191 */   // GIR_Coverage, 48119,
     /* 2356191 */   GIR_EraseRootFromParent_Done,
     /* 2356192 */ // Label 28900: @2356192
     /* 2356192 */ GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2356240), // Rule ID 48126 //
     /* 2356197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356210 */   // MIs[0] Operand 1
     /* 2356210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356223 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2356223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2356226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356230 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356239 */   // GIR_Coverage, 48126,
     /* 2356239 */   GIR_EraseRootFromParent_Done,
     /* 2356240 */ // Label 28901: @2356240
     /* 2356240 */ GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2356288), // Rule ID 48127 //
     /* 2356245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356251 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356258 */   // MIs[0] Operand 1
     /* 2356258 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356267 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356271 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2356271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2356274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356287 */   // GIR_Coverage, 48127,
     /* 2356287 */   GIR_EraseRootFromParent_Done,
     /* 2356288 */ // Label 28902: @2356288
     /* 2356288 */ GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2356336), // Rule ID 48134 //
     /* 2356293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356299 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356306 */   // MIs[0] Operand 1
     /* 2356306 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356315 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356319 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2356319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2356322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356324 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356334 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356335 */   // GIR_Coverage, 48134,
     /* 2356335 */   GIR_EraseRootFromParent_Done,
     /* 2356336 */ // Label 28903: @2356336
     /* 2356336 */ GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2356384), // Rule ID 48135 //
     /* 2356341 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356347 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356354 */   // MIs[0] Operand 1
     /* 2356354 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2356359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356363 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356367 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2356367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2356370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356372 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356374 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356383 */   // GIR_Coverage, 48135,
     /* 2356383 */   GIR_EraseRootFromParent_Done,
     /* 2356384 */ // Label 28904: @2356384
     /* 2356384 */ GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2356432), // Rule ID 48162 //
     /* 2356389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356395 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356402 */   // MIs[0] Operand 1
     /* 2356402 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356411 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356415 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2356418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356422 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356431 */   // GIR_Coverage, 48162,
     /* 2356431 */   GIR_EraseRootFromParent_Done,
     /* 2356432 */ // Label 28905: @2356432
     /* 2356432 */ GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2356480), // Rule ID 48163 //
     /* 2356437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356443 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356450 */   // MIs[0] Operand 1
     /* 2356450 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356459 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356463 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356463 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2356466 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356470 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356479 */   // GIR_Coverage, 48163,
     /* 2356479 */   GIR_EraseRootFromParent_Done,
     /* 2356480 */ // Label 28906: @2356480
     /* 2356480 */ GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2356528), // Rule ID 48170 //
     /* 2356485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356498 */   // MIs[0] Operand 1
     /* 2356498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356511 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2356511 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2356514 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356518 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356527 */   // GIR_Coverage, 48170,
     /* 2356527 */   GIR_EraseRootFromParent_Done,
     /* 2356528 */ // Label 28907: @2356528
     /* 2356528 */ GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2356576), // Rule ID 48171 //
     /* 2356533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356546 */   // MIs[0] Operand 1
     /* 2356546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356559 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2356559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2356562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356568 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356574 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356575 */   // GIR_Coverage, 48171,
     /* 2356575 */   GIR_EraseRootFromParent_Done,
     /* 2356576 */ // Label 28908: @2356576
     /* 2356576 */ GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2356624), // Rule ID 48178 //
     /* 2356581 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356587 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356594 */   // MIs[0] Operand 1
     /* 2356594 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356599 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356603 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356607 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2356607 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2356610 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356614 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356623 */   // GIR_Coverage, 48178,
     /* 2356623 */   GIR_EraseRootFromParent_Done,
     /* 2356624 */ // Label 28909: @2356624
     /* 2356624 */ GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2356672), // Rule ID 48179 //
     /* 2356629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356635 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356642 */   // MIs[0] Operand 1
     /* 2356642 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2356647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356651 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356655 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2356655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2356658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356662 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2356664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356671 */   // GIR_Coverage, 48179,
     /* 2356671 */   GIR_EraseRootFromParent_Done,
     /* 2356672 */ // Label 28910: @2356672
     /* 2356672 */ GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2356720), // Rule ID 48206 //
     /* 2356677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356680 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356683 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356690 */   // MIs[0] Operand 1
     /* 2356690 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356699 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356703 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2356706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356708 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356710 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356719 */   // GIR_Coverage, 48206,
     /* 2356719 */   GIR_EraseRootFromParent_Done,
     /* 2356720 */ // Label 28911: @2356720
     /* 2356720 */ GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2356768), // Rule ID 48207 //
     /* 2356725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356731 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356738 */   // MIs[0] Operand 1
     /* 2356738 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356747 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356751 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2356754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356758 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356767 */   // GIR_Coverage, 48207,
     /* 2356767 */   GIR_EraseRootFromParent_Done,
     /* 2356768 */ // Label 28912: @2356768
     /* 2356768 */ GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2356816), // Rule ID 48214 //
     /* 2356773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356786 */   // MIs[0] Operand 1
     /* 2356786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356795 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356799 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2356799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2356802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356806 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356808 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356811 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356814 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356815 */   // GIR_Coverage, 48214,
     /* 2356815 */   GIR_EraseRootFromParent_Done,
     /* 2356816 */ // Label 28913: @2356816
     /* 2356816 */ GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2356864), // Rule ID 48215 //
     /* 2356821 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2356827 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2356830 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356834 */   // MIs[0] Operand 1
     /* 2356834 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356839 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356843 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356847 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2356847 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2356850 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356854 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356863 */   // GIR_Coverage, 48215,
     /* 2356863 */   GIR_EraseRootFromParent_Done,
     /* 2356864 */ // Label 28914: @2356864
     /* 2356864 */ GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2356912), // Rule ID 48222 //
     /* 2356869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356882 */   // MIs[0] Operand 1
     /* 2356882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356895 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2356895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2356898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356911 */   // GIR_Coverage, 48222,
     /* 2356911 */   GIR_EraseRootFromParent_Done,
     /* 2356912 */ // Label 28915: @2356912
     /* 2356912 */ GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2356960), // Rule ID 48223 //
     /* 2356917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2356920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2356923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2356926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356930 */   // MIs[0] Operand 1
     /* 2356930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2356935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356943 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2356943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2356946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2356950 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2356959 */   // GIR_Coverage, 48223,
     /* 2356959 */   GIR_EraseRootFromParent_Done,
     /* 2356960 */ // Label 28916: @2356960
     /* 2356960 */ GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2357008), // Rule ID 48250 //
     /* 2356965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2356968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2356971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2356974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2356978 */   // MIs[0] Operand 1
     /* 2356978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2356983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356991 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2356994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2356998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357007 */   // GIR_Coverage, 48250,
     /* 2357007 */   GIR_EraseRootFromParent_Done,
     /* 2357008 */ // Label 28917: @2357008
     /* 2357008 */ GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2357056), // Rule ID 48251 //
     /* 2357013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357026 */   // MIs[0] Operand 1
     /* 2357026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2357031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357039 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2357042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357055 */   // GIR_Coverage, 48251,
     /* 2357055 */   GIR_EraseRootFromParent_Done,
     /* 2357056 */ // Label 28918: @2357056
     /* 2357056 */ GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2357104), // Rule ID 48258 //
     /* 2357061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357074 */   // MIs[0] Operand 1
     /* 2357074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2357079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357087 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2357087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2357090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357103 */   // GIR_Coverage, 48258,
     /* 2357103 */   GIR_EraseRootFromParent_Done,
     /* 2357104 */ // Label 28919: @2357104
     /* 2357104 */ GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2357152), // Rule ID 48259 //
     /* 2357109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357122 */   // MIs[0] Operand 1
     /* 2357122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2357127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357135 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2357135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2357138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357151 */   // GIR_Coverage, 48259,
     /* 2357151 */   GIR_EraseRootFromParent_Done,
     /* 2357152 */ // Label 28920: @2357152
     /* 2357152 */ GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2357200), // Rule ID 48266 //
     /* 2357157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357170 */   // MIs[0] Operand 1
     /* 2357170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2357175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357183 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2357183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2357186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357199 */   // GIR_Coverage, 48266,
     /* 2357199 */   GIR_EraseRootFromParent_Done,
     /* 2357200 */ // Label 28921: @2357200
     /* 2357200 */ GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2357248), // Rule ID 48267 //
     /* 2357205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357218 */   // MIs[0] Operand 1
     /* 2357218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2357223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357231 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2357231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2357234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357247 */   // GIR_Coverage, 48267,
     /* 2357247 */   GIR_EraseRootFromParent_Done,
     /* 2357248 */ // Label 28922: @2357248
     /* 2357248 */ GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2357296), // Rule ID 48294 //
     /* 2357253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357266 */   // MIs[0] Operand 1
     /* 2357266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357279 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2357282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357284 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357286 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357295 */   // GIR_Coverage, 48294,
     /* 2357295 */   GIR_EraseRootFromParent_Done,
     /* 2357296 */ // Label 28923: @2357296
     /* 2357296 */ GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2357344), // Rule ID 48295 //
     /* 2357301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357314 */   // MIs[0] Operand 1
     /* 2357314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357327 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2357330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357332 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357334 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357343 */   // GIR_Coverage, 48295,
     /* 2357343 */   GIR_EraseRootFromParent_Done,
     /* 2357344 */ // Label 28924: @2357344
     /* 2357344 */ GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2357392), // Rule ID 48302 //
     /* 2357349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357362 */   // MIs[0] Operand 1
     /* 2357362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357375 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2357375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2357378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357380 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357382 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357391 */   // GIR_Coverage, 48302,
     /* 2357391 */   GIR_EraseRootFromParent_Done,
     /* 2357392 */ // Label 28925: @2357392
     /* 2357392 */ GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2357440), // Rule ID 48303 //
     /* 2357397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357410 */   // MIs[0] Operand 1
     /* 2357410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357423 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2357423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2357426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357428 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357430 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357439 */   // GIR_Coverage, 48303,
     /* 2357439 */   GIR_EraseRootFromParent_Done,
     /* 2357440 */ // Label 28926: @2357440
     /* 2357440 */ GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2357488), // Rule ID 48310 //
     /* 2357445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357458 */   // MIs[0] Operand 1
     /* 2357458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357471 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2357471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2357474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357476 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357478 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357487 */   // GIR_Coverage, 48310,
     /* 2357487 */   GIR_EraseRootFromParent_Done,
     /* 2357488 */ // Label 28927: @2357488
     /* 2357488 */ GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2357536), // Rule ID 48311 //
     /* 2357493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357506 */   // MIs[0] Operand 1
     /* 2357506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2357511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357519 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2357519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2357522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357526 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357535 */   // GIR_Coverage, 48311,
     /* 2357535 */   GIR_EraseRootFromParent_Done,
     /* 2357536 */ // Label 28928: @2357536
     /* 2357536 */ GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2357584), // Rule ID 48338 //
     /* 2357541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357554 */   // MIs[0] Operand 1
     /* 2357554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357567 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2357570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357583 */   // GIR_Coverage, 48338,
     /* 2357583 */   GIR_EraseRootFromParent_Done,
     /* 2357584 */ // Label 28929: @2357584
     /* 2357584 */ GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2357632), // Rule ID 48339 //
     /* 2357589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357602 */   // MIs[0] Operand 1
     /* 2357602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357615 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2357618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357631 */   // GIR_Coverage, 48339,
     /* 2357631 */   GIR_EraseRootFromParent_Done,
     /* 2357632 */ // Label 28930: @2357632
     /* 2357632 */ GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2357680), // Rule ID 48346 //
     /* 2357637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357650 */   // MIs[0] Operand 1
     /* 2357650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357663 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2357663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2357666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357679 */   // GIR_Coverage, 48346,
     /* 2357679 */   GIR_EraseRootFromParent_Done,
     /* 2357680 */ // Label 28931: @2357680
     /* 2357680 */ GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2357728), // Rule ID 48347 //
     /* 2357685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357698 */   // MIs[0] Operand 1
     /* 2357698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357711 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2357711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2357714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357727 */   // GIR_Coverage, 48347,
     /* 2357727 */   GIR_EraseRootFromParent_Done,
     /* 2357728 */ // Label 28932: @2357728
     /* 2357728 */ GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2357776), // Rule ID 48354 //
     /* 2357733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357746 */   // MIs[0] Operand 1
     /* 2357746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357759 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2357759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2357762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357775 */   // GIR_Coverage, 48354,
     /* 2357775 */   GIR_EraseRootFromParent_Done,
     /* 2357776 */ // Label 28933: @2357776
     /* 2357776 */ GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2357824), // Rule ID 48355 //
     /* 2357781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2357790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357794 */   // MIs[0] Operand 1
     /* 2357794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2357799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357807 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2357807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2357810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2357814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2357816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357823 */   // GIR_Coverage, 48355,
     /* 2357823 */   GIR_EraseRootFromParent_Done,
     /* 2357824 */ // Label 28934: @2357824
     /* 2357824 */ GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2357872), // Rule ID 48382 //
     /* 2357829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357842 */   // MIs[0] Operand 1
     /* 2357842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2357847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357855 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2357858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357871 */   // GIR_Coverage, 48382,
     /* 2357871 */   GIR_EraseRootFromParent_Done,
     /* 2357872 */ // Label 28935: @2357872
     /* 2357872 */ GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2357920), // Rule ID 48383 //
     /* 2357877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2357883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2357886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357890 */   // MIs[0] Operand 1
     /* 2357890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2357895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2357903 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2357906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357908 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357919 */   // GIR_Coverage, 48383,
     /* 2357919 */   GIR_EraseRootFromParent_Done,
     /* 2357920 */ // Label 28936: @2357920
     /* 2357920 */ GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2357968), // Rule ID 48390 //
     /* 2357925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2357928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357938 */   // MIs[0] Operand 1
     /* 2357938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2357943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357951 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2357951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2357954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357956 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2357958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2357967 */   // GIR_Coverage, 48390,
     /* 2357967 */   GIR_EraseRootFromParent_Done,
     /* 2357968 */ // Label 28937: @2357968
     /* 2357968 */ GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2358016), // Rule ID 48391 //
     /* 2357973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2357976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2357982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2357986 */   // MIs[0] Operand 1
     /* 2357986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2357991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357999 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2357999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2358002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358004 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358015 */   // GIR_Coverage, 48391,
     /* 2358015 */   GIR_EraseRootFromParent_Done,
     /* 2358016 */ // Label 28938: @2358016
     /* 2358016 */ GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2358064), // Rule ID 48398 //
     /* 2358021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2358027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2358030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358034 */   // MIs[0] Operand 1
     /* 2358034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2358039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358047 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2358047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2358050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358063 */   // GIR_Coverage, 48398,
     /* 2358063 */   GIR_EraseRootFromParent_Done,
     /* 2358064 */ // Label 28939: @2358064
     /* 2358064 */ GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2358112), // Rule ID 48399 //
     /* 2358069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2358075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2358078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358082 */   // MIs[0] Operand 1
     /* 2358082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2358087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358095 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2358095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2358098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358111 */   // GIR_Coverage, 48399,
     /* 2358111 */   GIR_EraseRootFromParent_Done,
     /* 2358112 */ // Label 28940: @2358112
     /* 2358112 */ GIM_Reject,
     /* 2358113 */ // Label 28464: @2358113
     /* 2358113 */ GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2358161), // Rule ID 47990 //
     /* 2358118 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358131 */   // MIs[0] Operand 1
     /* 2358131 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2358136 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358140 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358144 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358144 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2358147 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358149 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358151 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358160 */   // GIR_Coverage, 47990,
     /* 2358160 */   GIR_EraseRootFromParent_Done,
     /* 2358161 */ // Label 28941: @2358161
     /* 2358161 */ GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2358209), // Rule ID 47991 //
     /* 2358166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358179 */   // MIs[0] Operand 1
     /* 2358179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2358184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358192 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2358195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358208 */   // GIR_Coverage, 47991,
     /* 2358208 */   GIR_EraseRootFromParent_Done,
     /* 2358209 */ // Label 28942: @2358209
     /* 2358209 */ GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2358257), // Rule ID 47998 //
     /* 2358214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358217 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358220 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358227 */   // MIs[0] Operand 1
     /* 2358227 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2358232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358236 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358240 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2358240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2358243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358245 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358247 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358256 */   // GIR_Coverage, 47998,
     /* 2358256 */   GIR_EraseRootFromParent_Done,
     /* 2358257 */ // Label 28943: @2358257
     /* 2358257 */ GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2358305), // Rule ID 47999 //
     /* 2358262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358268 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358275 */   // MIs[0] Operand 1
     /* 2358275 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2358280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358284 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358288 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2358288 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2358291 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358293 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358295 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358303 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358304 */   // GIR_Coverage, 47999,
     /* 2358304 */   GIR_EraseRootFromParent_Done,
     /* 2358305 */ // Label 28944: @2358305
     /* 2358305 */ GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2358353), // Rule ID 48034 //
     /* 2358310 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358313 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358316 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358323 */   // MIs[0] Operand 1
     /* 2358323 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2358328 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358332 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358336 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2358339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358341 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358343 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358348 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358351 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358352 */   // GIR_Coverage, 48034,
     /* 2358352 */   GIR_EraseRootFromParent_Done,
     /* 2358353 */ // Label 28945: @2358353
     /* 2358353 */ GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2358401), // Rule ID 48035 //
     /* 2358358 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358364 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358371 */   // MIs[0] Operand 1
     /* 2358371 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2358376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358380 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358384 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2358387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358389 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358391 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358400 */   // GIR_Coverage, 48035,
     /* 2358400 */   GIR_EraseRootFromParent_Done,
     /* 2358401 */ // Label 28946: @2358401
     /* 2358401 */ GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2358449), // Rule ID 48042 //
     /* 2358406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358412 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358419 */   // MIs[0] Operand 1
     /* 2358419 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2358424 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358428 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358432 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2358432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2358435 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358437 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358439 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358447 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358448 */   // GIR_Coverage, 48042,
     /* 2358448 */   GIR_EraseRootFromParent_Done,
     /* 2358449 */ // Label 28947: @2358449
     /* 2358449 */ GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2358497), // Rule ID 48043 //
     /* 2358454 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358460 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358467 */   // MIs[0] Operand 1
     /* 2358467 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2358472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358476 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358480 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2358480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2358483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358485 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358487 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358496 */   // GIR_Coverage, 48043,
     /* 2358496 */   GIR_EraseRootFromParent_Done,
     /* 2358497 */ // Label 28948: @2358497
     /* 2358497 */ GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2358545), // Rule ID 48078 //
     /* 2358502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358515 */   // MIs[0] Operand 1
     /* 2358515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2358520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358528 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2358531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358543 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358544 */   // GIR_Coverage, 48078,
     /* 2358544 */   GIR_EraseRootFromParent_Done,
     /* 2358545 */ // Label 28949: @2358545
     /* 2358545 */ GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2358593), // Rule ID 48079 //
     /* 2358550 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358556 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358563 */   // MIs[0] Operand 1
     /* 2358563 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2358568 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358572 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358576 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2358579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358581 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358583 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358592 */   // GIR_Coverage, 48079,
     /* 2358592 */   GIR_EraseRootFromParent_Done,
     /* 2358593 */ // Label 28950: @2358593
     /* 2358593 */ GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2358641), // Rule ID 48086 //
     /* 2358598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358611 */   // MIs[0] Operand 1
     /* 2358611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2358616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358624 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2358624 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2358627 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358629 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358631 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358640 */   // GIR_Coverage, 48086,
     /* 2358640 */   GIR_EraseRootFromParent_Done,
     /* 2358641 */ // Label 28951: @2358641
     /* 2358641 */ GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2358689), // Rule ID 48087 //
     /* 2358646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358652 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358659 */   // MIs[0] Operand 1
     /* 2358659 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2358664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358668 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358672 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2358672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2358675 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358677 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358679 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358688 */   // GIR_Coverage, 48087,
     /* 2358688 */   GIR_EraseRootFromParent_Done,
     /* 2358689 */ // Label 28952: @2358689
     /* 2358689 */ GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2358737), // Rule ID 48120 //
     /* 2358694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358707 */   // MIs[0] Operand 1
     /* 2358707 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2358712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358720 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2358723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358725 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358727 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358735 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358736 */   // GIR_Coverage, 48120,
     /* 2358736 */   GIR_EraseRootFromParent_Done,
     /* 2358737 */ // Label 28953: @2358737
     /* 2358737 */ GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2358785), // Rule ID 48121 //
     /* 2358742 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358748 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358755 */   // MIs[0] Operand 1
     /* 2358755 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2358760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358768 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2358771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358773 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358775 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358784 */   // GIR_Coverage, 48121,
     /* 2358784 */   GIR_EraseRootFromParent_Done,
     /* 2358785 */ // Label 28954: @2358785
     /* 2358785 */ GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2358833), // Rule ID 48128 //
     /* 2358790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358803 */   // MIs[0] Operand 1
     /* 2358803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2358808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358816 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2358816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2358819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358821 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358823 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358832 */   // GIR_Coverage, 48128,
     /* 2358832 */   GIR_EraseRootFromParent_Done,
     /* 2358833 */ // Label 28955: @2358833
     /* 2358833 */ GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2358881), // Rule ID 48129 //
     /* 2358838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358851 */   // MIs[0] Operand 1
     /* 2358851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2358856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2358864 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2358864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2358867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358869 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2358871 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358880 */   // GIR_Coverage, 48129,
     /* 2358880 */   GIR_EraseRootFromParent_Done,
     /* 2358881 */ // Label 28956: @2358881
     /* 2358881 */ GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2358929), // Rule ID 48164 //
     /* 2358886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358892 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358899 */   // MIs[0] Operand 1
     /* 2358899 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2358904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358908 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358912 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358912 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2358915 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358917 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358919 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358928 */   // GIR_Coverage, 48164,
     /* 2358928 */   GIR_EraseRootFromParent_Done,
     /* 2358929 */ // Label 28957: @2358929
     /* 2358929 */ GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2358977), // Rule ID 48165 //
     /* 2358934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2358937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2358940 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2358943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358947 */   // MIs[0] Operand 1
     /* 2358947 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2358952 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358956 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2358960 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2358963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358965 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2358967 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2358969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2358976 */   // GIR_Coverage, 48165,
     /* 2358976 */   GIR_EraseRootFromParent_Done,
     /* 2358977 */ // Label 28958: @2358977
     /* 2358977 */ GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2359025), // Rule ID 48172 //
     /* 2358982 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2358985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2358988 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2358991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358995 */   // MIs[0] Operand 1
     /* 2358995 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2359000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359004 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359008 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359008 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2359011 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359013 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359015 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359024 */   // GIR_Coverage, 48172,
     /* 2359024 */   GIR_EraseRootFromParent_Done,
     /* 2359025 */ // Label 28959: @2359025
     /* 2359025 */ GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2359073), // Rule ID 48173 //
     /* 2359030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359043 */   // MIs[0] Operand 1
     /* 2359043 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2359048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359052 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359056 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2359056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2359059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359061 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359063 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359071 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359072 */   // GIR_Coverage, 48173,
     /* 2359072 */   GIR_EraseRootFromParent_Done,
     /* 2359073 */ // Label 28960: @2359073
     /* 2359073 */ GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2359121), // Rule ID 48208 //
     /* 2359078 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359084 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359091 */   // MIs[0] Operand 1
     /* 2359091 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2359096 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359100 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359104 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2359107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359111 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359120 */   // GIR_Coverage, 48208,
     /* 2359120 */   GIR_EraseRootFromParent_Done,
     /* 2359121 */ // Label 28961: @2359121
     /* 2359121 */ GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2359169), // Rule ID 48209 //
     /* 2359126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359132 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359139 */   // MIs[0] Operand 1
     /* 2359139 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2359144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359148 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359152 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359152 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2359155 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359159 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359167 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359168 */   // GIR_Coverage, 48209,
     /* 2359168 */   GIR_EraseRootFromParent_Done,
     /* 2359169 */ // Label 28962: @2359169
     /* 2359169 */ GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2359217), // Rule ID 48216 //
     /* 2359174 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359180 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359187 */   // MIs[0] Operand 1
     /* 2359187 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2359192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359196 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359200 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359200 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2359203 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359207 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359216 */   // GIR_Coverage, 48216,
     /* 2359216 */   GIR_EraseRootFromParent_Done,
     /* 2359217 */ // Label 28963: @2359217
     /* 2359217 */ GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2359265), // Rule ID 48217 //
     /* 2359222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359228 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359231 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359235 */   // MIs[0] Operand 1
     /* 2359235 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2359240 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359244 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359248 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2359248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2359251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359255 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359264 */   // GIR_Coverage, 48217,
     /* 2359264 */   GIR_EraseRootFromParent_Done,
     /* 2359265 */ // Label 28964: @2359265
     /* 2359265 */ GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2359313), // Rule ID 48252 //
     /* 2359270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359276 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359283 */   // MIs[0] Operand 1
     /* 2359283 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2359288 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359292 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359296 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2359299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359301 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359303 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359312 */   // GIR_Coverage, 48252,
     /* 2359312 */   GIR_EraseRootFromParent_Done,
     /* 2359313 */ // Label 28965: @2359313
     /* 2359313 */ GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2359361), // Rule ID 48253 //
     /* 2359318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359324 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359331 */   // MIs[0] Operand 1
     /* 2359331 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2359336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359340 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359344 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359344 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2359347 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359349 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359351 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359360 */   // GIR_Coverage, 48253,
     /* 2359360 */   GIR_EraseRootFromParent_Done,
     /* 2359361 */ // Label 28966: @2359361
     /* 2359361 */ GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2359409), // Rule ID 48260 //
     /* 2359366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359372 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359379 */   // MIs[0] Operand 1
     /* 2359379 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2359384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359388 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359392 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359392 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2359395 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359397 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359399 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359408 */   // GIR_Coverage, 48260,
     /* 2359408 */   GIR_EraseRootFromParent_Done,
     /* 2359409 */ // Label 28967: @2359409
     /* 2359409 */ GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2359457), // Rule ID 48261 //
     /* 2359414 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359427 */   // MIs[0] Operand 1
     /* 2359427 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2359432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359440 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2359440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2359443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359445 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359447 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359456 */   // GIR_Coverage, 48261,
     /* 2359456 */   GIR_EraseRootFromParent_Done,
     /* 2359457 */ // Label 28968: @2359457
     /* 2359457 */ GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2359505), // Rule ID 48296 //
     /* 2359462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359468 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359475 */   // MIs[0] Operand 1
     /* 2359475 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2359480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359488 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2359491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359495 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359504 */   // GIR_Coverage, 48296,
     /* 2359504 */   GIR_EraseRootFromParent_Done,
     /* 2359505 */ // Label 28969: @2359505
     /* 2359505 */ GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2359553), // Rule ID 48297 //
     /* 2359510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359513 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359516 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359523 */   // MIs[0] Operand 1
     /* 2359523 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2359528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359536 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2359539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359543 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359552 */   // GIR_Coverage, 48297,
     /* 2359552 */   GIR_EraseRootFromParent_Done,
     /* 2359553 */ // Label 28970: @2359553
     /* 2359553 */ GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2359601), // Rule ID 48304 //
     /* 2359558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359571 */   // MIs[0] Operand 1
     /* 2359571 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2359576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359580 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359584 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359584 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2359587 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359591 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359600 */   // GIR_Coverage, 48304,
     /* 2359600 */   GIR_EraseRootFromParent_Done,
     /* 2359601 */ // Label 28971: @2359601
     /* 2359601 */ GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2359649), // Rule ID 48305 //
     /* 2359606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359609 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359612 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359619 */   // MIs[0] Operand 1
     /* 2359619 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2359624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359628 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359632 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2359632 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2359635 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359648 */   // GIR_Coverage, 48305,
     /* 2359648 */   GIR_EraseRootFromParent_Done,
     /* 2359649 */ // Label 28972: @2359649
     /* 2359649 */ GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2359697), // Rule ID 48340 //
     /* 2359654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359660 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359667 */   // MIs[0] Operand 1
     /* 2359667 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2359672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359676 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359680 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2359683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359685 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359687 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359696 */   // GIR_Coverage, 48340,
     /* 2359696 */   GIR_EraseRootFromParent_Done,
     /* 2359697 */ // Label 28973: @2359697
     /* 2359697 */ GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2359745), // Rule ID 48341 //
     /* 2359702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359708 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359715 */   // MIs[0] Operand 1
     /* 2359715 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2359720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359724 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359728 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2359731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359733 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359735 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359743 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359744 */   // GIR_Coverage, 48341,
     /* 2359744 */   GIR_EraseRootFromParent_Done,
     /* 2359745 */ // Label 28974: @2359745
     /* 2359745 */ GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2359793), // Rule ID 48348 //
     /* 2359750 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359756 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359763 */   // MIs[0] Operand 1
     /* 2359763 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2359768 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359772 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359776 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2359779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359781 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359783 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359788 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359792 */   // GIR_Coverage, 48348,
     /* 2359792 */   GIR_EraseRootFromParent_Done,
     /* 2359793 */ // Label 28975: @2359793
     /* 2359793 */ GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2359841), // Rule ID 48349 //
     /* 2359798 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359811 */   // MIs[0] Operand 1
     /* 2359811 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2359816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359820 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359824 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2359824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2359827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359829 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2359831 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2359833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359840 */   // GIR_Coverage, 48349,
     /* 2359840 */   GIR_EraseRootFromParent_Done,
     /* 2359841 */ // Label 28976: @2359841
     /* 2359841 */ GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2359889), // Rule ID 48384 //
     /* 2359846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359859 */   // MIs[0] Operand 1
     /* 2359859 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2359864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359868 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359872 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2359875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359879 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359888 */   // GIR_Coverage, 48384,
     /* 2359888 */   GIR_EraseRootFromParent_Done,
     /* 2359889 */ // Label 28977: @2359889
     /* 2359889 */ GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2359937), // Rule ID 48385 //
     /* 2359894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359897 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2359900 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2359903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359907 */   // MIs[0] Operand 1
     /* 2359907 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2359912 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359916 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359920 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2359923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359927 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359936 */   // GIR_Coverage, 48385,
     /* 2359936 */   GIR_EraseRootFromParent_Done,
     /* 2359937 */ // Label 28978: @2359937
     /* 2359937 */ GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2359985), // Rule ID 48392 //
     /* 2359942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2359945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359955 */   // MIs[0] Operand 1
     /* 2359955 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2359960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359964 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359968 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2359968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2359971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2359975 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2359984 */   // GIR_Coverage, 48392,
     /* 2359984 */   GIR_EraseRootFromParent_Done,
     /* 2359985 */ // Label 28979: @2359985
     /* 2359985 */ GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2360033), // Rule ID 48393 //
     /* 2359990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2359993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359996 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2359999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360003 */   // MIs[0] Operand 1
     /* 2360003 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2360008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360012 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360016 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2360016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2360019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360023 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360025 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360032 */   // GIR_Coverage, 48393,
     /* 2360032 */   GIR_EraseRootFromParent_Done,
     /* 2360033 */ // Label 28980: @2360033
     /* 2360033 */ GIM_Reject,
     /* 2360034 */ // Label 28465: @2360034
     /* 2360034 */ GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2360810),
     /* 2360039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2360042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2360045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360049 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2360087), // Rule ID 47992 //
     /* 2360054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360057 */     // MIs[0] Operand 1
     /* 2360057 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2360062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360070 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2360073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360086 */     // GIR_Coverage, 47992,
     /* 2360086 */     GIR_EraseRootFromParent_Done,
     /* 2360087 */   // Label 28982: @2360087
     /* 2360087 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2360125), // Rule ID 47993 //
     /* 2360092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360095 */     // MIs[0] Operand 1
     /* 2360095 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2360100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360108 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2360111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360124 */     // GIR_Coverage, 47993,
     /* 2360124 */     GIR_EraseRootFromParent_Done,
     /* 2360125 */   // Label 28983: @2360125
     /* 2360125 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2360163), // Rule ID 48036 //
     /* 2360130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360133 */     // MIs[0] Operand 1
     /* 2360133 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2360138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360146 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2360149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360162 */     // GIR_Coverage, 48036,
     /* 2360162 */     GIR_EraseRootFromParent_Done,
     /* 2360163 */   // Label 28984: @2360163
     /* 2360163 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2360201), // Rule ID 48037 //
     /* 2360168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360171 */     // MIs[0] Operand 1
     /* 2360171 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2360176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360184 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2360187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360200 */     // GIR_Coverage, 48037,
     /* 2360200 */     GIR_EraseRootFromParent_Done,
     /* 2360201 */   // Label 28985: @2360201
     /* 2360201 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2360239), // Rule ID 48080 //
     /* 2360206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360209 */     // MIs[0] Operand 1
     /* 2360209 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2360214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360222 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2360225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360238 */     // GIR_Coverage, 48080,
     /* 2360238 */     GIR_EraseRootFromParent_Done,
     /* 2360239 */   // Label 28986: @2360239
     /* 2360239 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2360277), // Rule ID 48081 //
     /* 2360244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360247 */     // MIs[0] Operand 1
     /* 2360247 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2360252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360260 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2360263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360276 */     // GIR_Coverage, 48081,
     /* 2360276 */     GIR_EraseRootFromParent_Done,
     /* 2360277 */   // Label 28987: @2360277
     /* 2360277 */   GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2360315), // Rule ID 48122 //
     /* 2360282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360285 */     // MIs[0] Operand 1
     /* 2360285 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2360290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360298 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2360301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360314 */     // GIR_Coverage, 48122,
     /* 2360314 */     GIR_EraseRootFromParent_Done,
     /* 2360315 */   // Label 28988: @2360315
     /* 2360315 */   GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2360353), // Rule ID 48123 //
     /* 2360320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360323 */     // MIs[0] Operand 1
     /* 2360323 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2360328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360336 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2360339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360352 */     // GIR_Coverage, 48123,
     /* 2360352 */     GIR_EraseRootFromParent_Done,
     /* 2360353 */   // Label 28989: @2360353
     /* 2360353 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2360391), // Rule ID 48166 //
     /* 2360358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360361 */     // MIs[0] Operand 1
     /* 2360361 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2360366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360374 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2360377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360390 */     // GIR_Coverage, 48166,
     /* 2360390 */     GIR_EraseRootFromParent_Done,
     /* 2360391 */   // Label 28990: @2360391
     /* 2360391 */   GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2360429), // Rule ID 48167 //
     /* 2360396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360399 */     // MIs[0] Operand 1
     /* 2360399 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2360404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360412 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2360415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360428 */     // GIR_Coverage, 48167,
     /* 2360428 */     GIR_EraseRootFromParent_Done,
     /* 2360429 */   // Label 28991: @2360429
     /* 2360429 */   GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2360467), // Rule ID 48210 //
     /* 2360434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360437 */     // MIs[0] Operand 1
     /* 2360437 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2360442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360450 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2360453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360466 */     // GIR_Coverage, 48210,
     /* 2360466 */     GIR_EraseRootFromParent_Done,
     /* 2360467 */   // Label 28992: @2360467
     /* 2360467 */   GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2360505), // Rule ID 48211 //
     /* 2360472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360475 */     // MIs[0] Operand 1
     /* 2360475 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2360480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360488 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2360491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360504 */     // GIR_Coverage, 48211,
     /* 2360504 */     GIR_EraseRootFromParent_Done,
     /* 2360505 */   // Label 28993: @2360505
     /* 2360505 */   GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2360543), // Rule ID 48254 //
     /* 2360510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360513 */     // MIs[0] Operand 1
     /* 2360513 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2360518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360526 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2360529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360542 */     // GIR_Coverage, 48254,
     /* 2360542 */     GIR_EraseRootFromParent_Done,
     /* 2360543 */   // Label 28994: @2360543
     /* 2360543 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2360581), // Rule ID 48255 //
     /* 2360548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360551 */     // MIs[0] Operand 1
     /* 2360551 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2360556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360564 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2360567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360580 */     // GIR_Coverage, 48255,
     /* 2360580 */     GIR_EraseRootFromParent_Done,
     /* 2360581 */   // Label 28995: @2360581
     /* 2360581 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2360619), // Rule ID 48298 //
     /* 2360586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360589 */     // MIs[0] Operand 1
     /* 2360589 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2360594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360602 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2360605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360618 */     // GIR_Coverage, 48298,
     /* 2360618 */     GIR_EraseRootFromParent_Done,
     /* 2360619 */   // Label 28996: @2360619
     /* 2360619 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2360657), // Rule ID 48299 //
     /* 2360624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360627 */     // MIs[0] Operand 1
     /* 2360627 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2360632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360640 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2360643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360656 */     // GIR_Coverage, 48299,
     /* 2360656 */     GIR_EraseRootFromParent_Done,
     /* 2360657 */   // Label 28997: @2360657
     /* 2360657 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2360695), // Rule ID 48342 //
     /* 2360662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360665 */     // MIs[0] Operand 1
     /* 2360665 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2360670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360678 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2360681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360694 */     // GIR_Coverage, 48342,
     /* 2360694 */     GIR_EraseRootFromParent_Done,
     /* 2360695 */   // Label 28998: @2360695
     /* 2360695 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2360733), // Rule ID 48343 //
     /* 2360700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360703 */     // MIs[0] Operand 1
     /* 2360703 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2360708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360716 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2360719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360732 */     // GIR_Coverage, 48343,
     /* 2360732 */     GIR_EraseRootFromParent_Done,
     /* 2360733 */   // Label 28999: @2360733
     /* 2360733 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2360771), // Rule ID 48386 //
     /* 2360738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2360741 */     // MIs[0] Operand 1
     /* 2360741 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2360746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360754 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2360757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360770 */     // GIR_Coverage, 48386,
     /* 2360770 */     GIR_EraseRootFromParent_Done,
     /* 2360771 */   // Label 29000: @2360771
     /* 2360771 */   GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2360809), // Rule ID 48387 //
     /* 2360776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2360779 */     // MIs[0] Operand 1
     /* 2360779 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2360784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360792 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2360795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2360799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360808 */     // GIR_Coverage, 48387,
     /* 2360808 */     GIR_EraseRootFromParent_Done,
     /* 2360809 */   // Label 29001: @2360809
     /* 2360809 */   GIM_Reject,
     /* 2360810 */ // Label 28981: @2360810
     /* 2360810 */ GIM_Reject,
     /* 2360811 */ // Label 28466: @2360811
     /* 2360811 */ GIM_Reject,
     /* 2360812 */ // Label 49: @2360812
     /* 2360812 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 29010*/ GIMT_Encode4(2368273),
     /* 2360823 */ /*GILLT_s32*//*Label 29002*/ GIMT_Encode4(2360931),
     /* 2360827 */ /*GILLT_s64*//*Label 29003*/ GIMT_Encode4(2361688),
     /* 2360831 */ /*GILLT_nxv1s1*//*Label 29004*/ GIMT_Encode4(2362571), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360851 */ /*GILLT_nxv2s1*//*Label 29005*/ GIMT_Encode4(2363724), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360871 */ /*GILLT_nxv4s1*//*Label 29006*/ GIMT_Encode4(2364877), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360891 */ /*GILLT_nxv8s1*//*Label 29007*/ GIMT_Encode4(2366030), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360911 */ /*GILLT_nxv16s1*//*Label 29008*/ GIMT_Encode4(2367183), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360927 */ /*GILLT_nxv32s1*//*Label 29009*/ GIMT_Encode4(2367952),
     /* 2360931 */ // Label 29002: @2360931
     /* 2360931 */ GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2360973), // Rule ID 1224 //
     /* 2360936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2360939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2360945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360949 */   // MIs[0] Operand 1
     /* 2360949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2360954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360962 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2360962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2360965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360967 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2360969 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2360971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2360972 */   // GIR_Coverage, 1224,
     /* 2360972 */   GIR_EraseRootFromParent_Done,
     /* 2360973 */ // Label 29011: @2360973
     /* 2360973 */ GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2361015), // Rule ID 1228 //
     /* 2360978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2360981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2360987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360991 */   // MIs[0] Operand 1
     /* 2360991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2360996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361004 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2361007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361009 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361011 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361014 */   // GIR_Coverage, 1228,
     /* 2361014 */   GIR_EraseRootFromParent_Done,
     /* 2361015 */ // Label 29012: @2361015
     /* 2361015 */ GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2361057), // Rule ID 1272 //
     /* 2361020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2361023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361026 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361033 */   // MIs[0] Operand 1
     /* 2361033 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361042 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361046 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2361049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361051 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361053 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361056 */   // GIR_Coverage, 1272,
     /* 2361056 */   GIR_EraseRootFromParent_Done,
     /* 2361057 */ // Label 29013: @2361057
     /* 2361057 */ GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2361099), // Rule ID 1276 //
     /* 2361062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2361065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361075 */   // MIs[0] Operand 1
     /* 2361075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361088 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2361091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361098 */   // GIR_Coverage, 1276,
     /* 2361098 */   GIR_EraseRootFromParent_Done,
     /* 2361099 */ // Label 29014: @2361099
     /* 2361099 */ GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2361141), // Rule ID 1288 //
     /* 2361104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2361107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361117 */   // MIs[0] Operand 1
     /* 2361117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361130 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2361133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361140 */   // GIR_Coverage, 1288,
     /* 2361140 */   GIR_EraseRootFromParent_Done,
     /* 2361141 */ // Label 29015: @2361141
     /* 2361141 */ GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2361183), // Rule ID 1292 //
     /* 2361146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2361149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361159 */   // MIs[0] Operand 1
     /* 2361159 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361168 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361172 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361172 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2361175 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361177 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361179 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361182 */   // GIR_Coverage, 1292,
     /* 2361182 */   GIR_EraseRootFromParent_Done,
     /* 2361183 */ // Label 29016: @2361183
     /* 2361183 */ GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2361225), // Rule ID 1604 //
     /* 2361188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2361191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361201 */   // MIs[0] Operand 1
     /* 2361201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361214 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2361217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361224 */   // GIR_Coverage, 1604,
     /* 2361224 */   GIR_EraseRootFromParent_Done,
     /* 2361225 */ // Label 29017: @2361225
     /* 2361225 */ GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2361267), // Rule ID 1608 //
     /* 2361230 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2361233 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361236 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361243 */   // MIs[0] Operand 1
     /* 2361243 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361252 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361256 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2361259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361263 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361265 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361266 */   // GIR_Coverage, 1608,
     /* 2361266 */   GIR_EraseRootFromParent_Done,
     /* 2361267 */ // Label 29018: @2361267
     /* 2361267 */ GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2361309), // Rule ID 1646 //
     /* 2361272 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2361275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361278 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361285 */   // MIs[0] Operand 1
     /* 2361285 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361294 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361298 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2361301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361303 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361308 */   // GIR_Coverage, 1646,
     /* 2361308 */   GIR_EraseRootFromParent_Done,
     /* 2361309 */ // Label 29019: @2361309
     /* 2361309 */ GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2361351), // Rule ID 1654 //
     /* 2361314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2361317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361327 */   // MIs[0] Operand 1
     /* 2361327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361340 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2361343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361350 */   // GIR_Coverage, 1654,
     /* 2361350 */   GIR_EraseRootFromParent_Done,
     /* 2361351 */ // Label 29020: @2361351
     /* 2361351 */ GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2361393), // Rule ID 1682 //
     /* 2361356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2361359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361362 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361369 */   // MIs[0] Operand 1
     /* 2361369 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361378 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361382 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2361385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361387 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361389 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361392 */   // GIR_Coverage, 1682,
     /* 2361392 */   GIR_EraseRootFromParent_Done,
     /* 2361393 */ // Label 29021: @2361393
     /* 2361393 */ GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2361435), // Rule ID 1690 //
     /* 2361398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2361401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361411 */   // MIs[0] Operand 1
     /* 2361411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2361424 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2361427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361429 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361431 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361434 */   // GIR_Coverage, 1690,
     /* 2361434 */   GIR_EraseRootFromParent_Done,
     /* 2361435 */ // Label 29022: @2361435
     /* 2361435 */ GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2361477), // Rule ID 1937 //
     /* 2361440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2361443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361453 */   // MIs[0] Operand 1
     /* 2361453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361466 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2361469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361475 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361476 */   // GIR_Coverage, 1937,
     /* 2361476 */   GIR_EraseRootFromParent_Done,
     /* 2361477 */ // Label 29023: @2361477
     /* 2361477 */ GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2361519), // Rule ID 1941 //
     /* 2361482 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2361485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361488 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361495 */   // MIs[0] Operand 1
     /* 2361495 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361504 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361508 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2361511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361513 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361518 */   // GIR_Coverage, 1941,
     /* 2361518 */   GIR_EraseRootFromParent_Done,
     /* 2361519 */ // Label 29024: @2361519
     /* 2361519 */ GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2361561), // Rule ID 1985 //
     /* 2361524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2361527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361537 */   // MIs[0] Operand 1
     /* 2361537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361550 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2361553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361559 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361560 */   // GIR_Coverage, 1985,
     /* 2361560 */   GIR_EraseRootFromParent_Done,
     /* 2361561 */ // Label 29025: @2361561
     /* 2361561 */ GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2361603), // Rule ID 1989 //
     /* 2361566 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2361569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361579 */   // MIs[0] Operand 1
     /* 2361579 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361584 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361588 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361592 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2361595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361597 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361599 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361602 */   // GIR_Coverage, 1989,
     /* 2361602 */   GIR_EraseRootFromParent_Done,
     /* 2361603 */ // Label 29026: @2361603
     /* 2361603 */ GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2361645), // Rule ID 2001 //
     /* 2361608 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2361611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361614 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361621 */   // MIs[0] Operand 1
     /* 2361621 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361630 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2361634 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2361637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361639 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361641 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361644 */   // GIR_Coverage, 2001,
     /* 2361644 */   GIR_EraseRootFromParent_Done,
     /* 2361645 */ // Label 29027: @2361645
     /* 2361645 */ GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2361687), // Rule ID 2005 //
     /* 2361650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2361653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2361656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2361659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361663 */   // MIs[0] Operand 1
     /* 2361663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2361676 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2361676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2361679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361686 */   // GIR_Coverage, 2005,
     /* 2361686 */   GIR_EraseRootFromParent_Done,
     /* 2361687 */ // Label 29028: @2361687
     /* 2361687 */ GIM_Reject,
     /* 2361688 */ // Label 29003: @2361688
     /* 2361688 */ GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2361730), // Rule ID 1223 //
     /* 2361693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2361696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361706 */   // MIs[0] Operand 1
     /* 2361706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361719 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2361722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361729 */   // GIR_Coverage, 1223,
     /* 2361729 */   GIR_EraseRootFromParent_Done,
     /* 2361730 */ // Label 29029: @2361730
     /* 2361730 */ GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2361772), // Rule ID 1227 //
     /* 2361735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2361738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361748 */   // MIs[0] Operand 1
     /* 2361748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361761 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2361764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361771 */   // GIR_Coverage, 1227,
     /* 2361771 */   GIR_EraseRootFromParent_Done,
     /* 2361772 */ // Label 29030: @2361772
     /* 2361772 */ GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2361814), // Rule ID 1271 //
     /* 2361777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2361780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361790 */   // MIs[0] Operand 1
     /* 2361790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361803 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2361806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361813 */   // GIR_Coverage, 1271,
     /* 2361813 */   GIR_EraseRootFromParent_Done,
     /* 2361814 */ // Label 29031: @2361814
     /* 2361814 */ GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2361856), // Rule ID 1275 //
     /* 2361819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2361822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361832 */   // MIs[0] Operand 1
     /* 2361832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2361837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361845 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2361848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361854 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361855 */   // GIR_Coverage, 1275,
     /* 2361855 */   GIR_EraseRootFromParent_Done,
     /* 2361856 */ // Label 29032: @2361856
     /* 2361856 */ GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2361898), // Rule ID 1287 //
     /* 2361861 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2361864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361867 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361874 */   // MIs[0] Operand 1
     /* 2361874 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361883 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2361887 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2361890 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361892 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361894 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361897 */   // GIR_Coverage, 1287,
     /* 2361897 */   GIR_EraseRootFromParent_Done,
     /* 2361898 */ // Label 29033: @2361898
     /* 2361898 */ GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2361940), // Rule ID 1291 //
     /* 2361903 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2361906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2361909 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2361912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361916 */   // MIs[0] Operand 1
     /* 2361916 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2361921 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361925 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2361929 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2361929 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2361932 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361934 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361936 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361939 */   // GIR_Coverage, 1291,
     /* 2361939 */   GIR_EraseRootFromParent_Done,
     /* 2361940 */ // Label 29034: @2361940
     /* 2361940 */ GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2361982), // Rule ID 1603 //
     /* 2361945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2361948 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361951 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2361958 */   // MIs[0] Operand 1
     /* 2361958 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2361963 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361967 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2361971 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2361971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2361974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361976 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2361978 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2361980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2361981 */   // GIR_Coverage, 1603,
     /* 2361981 */   GIR_EraseRootFromParent_Done,
     /* 2361982 */ // Label 29035: @2361982
     /* 2361982 */ GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2362024), // Rule ID 1607 //
     /* 2361987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2361990 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2361993 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2361996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362000 */   // MIs[0] Operand 1
     /* 2362000 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362009 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362013 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2362016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362018 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362020 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362023 */   // GIR_Coverage, 1607,
     /* 2362023 */   GIR_EraseRootFromParent_Done,
     /* 2362024 */ // Label 29036: @2362024
     /* 2362024 */ GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2362066), // Rule ID 1610 //
     /* 2362029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2362032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362042 */   // MIs[0] Operand 1
     /* 2362042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362055 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2362058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362060 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362065 */   // GIR_Coverage, 1610,
     /* 2362065 */   GIR_EraseRootFromParent_Done,
     /* 2362066 */ // Label 29037: @2362066
     /* 2362066 */ GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2362108), // Rule ID 1645 //
     /* 2362071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2362074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362084 */   // MIs[0] Operand 1
     /* 2362084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2362089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362097 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2362100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362107 */   // GIR_Coverage, 1645,
     /* 2362107 */   GIR_EraseRootFromParent_Done,
     /* 2362108 */ // Label 29038: @2362108
     /* 2362108 */ GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2362150), // Rule ID 1653 //
     /* 2362113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2362116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362126 */   // MIs[0] Operand 1
     /* 2362126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2362131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362139 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2362142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362149 */   // GIR_Coverage, 1653,
     /* 2362149 */   GIR_EraseRootFromParent_Done,
     /* 2362150 */ // Label 29039: @2362150
     /* 2362150 */ GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2362192), // Rule ID 1662 //
     /* 2362155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2362158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362168 */   // MIs[0] Operand 1
     /* 2362168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2362173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362181 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2362184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362186 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362188 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362190 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362191 */   // GIR_Coverage, 1662,
     /* 2362191 */   GIR_EraseRootFromParent_Done,
     /* 2362192 */ // Label 29040: @2362192
     /* 2362192 */ GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2362234), // Rule ID 1666 //
     /* 2362197 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2362200 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362203 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362210 */   // MIs[0] Operand 1
     /* 2362210 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2362215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362219 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362223 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2362226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362228 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362230 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362233 */   // GIR_Coverage, 1666,
     /* 2362233 */   GIR_EraseRootFromParent_Done,
     /* 2362234 */ // Label 29041: @2362234
     /* 2362234 */ GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2362276), // Rule ID 1681 //
     /* 2362239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2362242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362245 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362252 */   // MIs[0] Operand 1
     /* 2362252 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2362257 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362261 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362265 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2362268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362270 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362272 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362274 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362275 */   // GIR_Coverage, 1681,
     /* 2362275 */   GIR_EraseRootFromParent_Done,
     /* 2362276 */ // Label 29042: @2362276
     /* 2362276 */ GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2362318), // Rule ID 1689 //
     /* 2362281 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2362284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2362290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362294 */   // MIs[0] Operand 1
     /* 2362294 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2362299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362303 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362307 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2362310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362312 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362314 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362317 */   // GIR_Coverage, 1689,
     /* 2362317 */   GIR_EraseRootFromParent_Done,
     /* 2362318 */ // Label 29043: @2362318
     /* 2362318 */ GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2362360), // Rule ID 1936 //
     /* 2362323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2362326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362336 */   // MIs[0] Operand 1
     /* 2362336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362349 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2362352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362359 */   // GIR_Coverage, 1936,
     /* 2362359 */   GIR_EraseRootFromParent_Done,
     /* 2362360 */ // Label 29044: @2362360
     /* 2362360 */ GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2362402), // Rule ID 1940 //
     /* 2362365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2362368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362378 */   // MIs[0] Operand 1
     /* 2362378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362391 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2362394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362401 */   // GIR_Coverage, 1940,
     /* 2362401 */   GIR_EraseRootFromParent_Done,
     /* 2362402 */ // Label 29045: @2362402
     /* 2362402 */ GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2362444), // Rule ID 1984 //
     /* 2362407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2362410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362420 */   // MIs[0] Operand 1
     /* 2362420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2362425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362433 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2362436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362443 */   // GIR_Coverage, 1984,
     /* 2362443 */   GIR_EraseRootFromParent_Done,
     /* 2362444 */ // Label 29046: @2362444
     /* 2362444 */ GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2362486), // Rule ID 1988 //
     /* 2362449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2362452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362462 */   // MIs[0] Operand 1
     /* 2362462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2362467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362475 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2362478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362485 */   // GIR_Coverage, 1988,
     /* 2362485 */   GIR_EraseRootFromParent_Done,
     /* 2362486 */ // Label 29047: @2362486
     /* 2362486 */ GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2362528), // Rule ID 2000 //
     /* 2362491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2362494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362504 */   // MIs[0] Operand 1
     /* 2362504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2362509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362517 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2362520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362527 */   // GIR_Coverage, 2000,
     /* 2362527 */   GIR_EraseRootFromParent_Done,
     /* 2362528 */ // Label 29048: @2362528
     /* 2362528 */ GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2362570), // Rule ID 2004 //
     /* 2362533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2362536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362539 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2362542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362546 */   // MIs[0] Operand 1
     /* 2362546 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2362551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362555 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362559 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2362562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362566 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362568 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362569 */   // GIR_Coverage, 2004,
     /* 2362569 */   GIR_EraseRootFromParent_Done,
     /* 2362570 */ // Label 29049: @2362570
     /* 2362570 */ GIM_Reject,
     /* 2362571 */ // Label 29004: @2362571
     /* 2362571 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2362619), // Rule ID 56332 //
     /* 2362576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2362582 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2362585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362589 */   // MIs[0] Operand 1
     /* 2362589 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362598 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362602 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2362602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2362605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362609 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362618 */   // GIR_Coverage, 56332,
     /* 2362618 */   GIR_EraseRootFromParent_Done,
     /* 2362619 */ // Label 29050: @2362619
     /* 2362619 */ GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2362667), // Rule ID 56333 //
     /* 2362624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362627 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2362630 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2362633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362637 */   // MIs[0] Operand 1
     /* 2362637 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362642 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362646 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362650 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2362650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2362653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362655 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362657 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362666 */   // GIR_Coverage, 56333,
     /* 2362666 */   GIR_EraseRootFromParent_Done,
     /* 2362667 */ // Label 29051: @2362667
     /* 2362667 */ GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2362715), // Rule ID 56352 //
     /* 2362672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2362678 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2362681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362685 */   // MIs[0] Operand 1
     /* 2362685 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362690 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362694 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362698 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2362698 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2362701 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362705 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362714 */   // GIR_Coverage, 56352,
     /* 2362714 */   GIR_EraseRootFromParent_Done,
     /* 2362715 */ // Label 29052: @2362715
     /* 2362715 */ GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2362763), // Rule ID 56353 //
     /* 2362720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2362726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2362729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362733 */   // MIs[0] Operand 1
     /* 2362733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362746 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2362746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2362749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362751 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362753 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362762 */   // GIR_Coverage, 56353,
     /* 2362762 */   GIR_EraseRootFromParent_Done,
     /* 2362763 */ // Label 29053: @2362763
     /* 2362763 */ GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2362811), // Rule ID 56382 //
     /* 2362768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2362771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2362774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2362777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362781 */   // MIs[0] Operand 1
     /* 2362781 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362790 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362794 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2362794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2362797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362801 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362810 */   // GIR_Coverage, 56382,
     /* 2362810 */   GIR_EraseRootFromParent_Done,
     /* 2362811 */ // Label 29054: @2362811
     /* 2362811 */ GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2362859), // Rule ID 56383 //
     /* 2362816 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2362819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2362822 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2362825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362829 */   // MIs[0] Operand 1
     /* 2362829 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2362834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362838 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362842 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2362842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2362845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362849 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362851 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2362857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362858 */   // GIR_Coverage, 56383,
     /* 2362858 */   GIR_EraseRootFromParent_Done,
     /* 2362859 */ // Label 29055: @2362859
     /* 2362859 */ GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2362907), // Rule ID 56632 //
     /* 2362864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2362870 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2362873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362877 */   // MIs[0] Operand 1
     /* 2362877 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2362882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362886 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362890 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2362890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2362893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362895 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362897 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362905 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362906 */   // GIR_Coverage, 56632,
     /* 2362906 */   GIR_EraseRootFromParent_Done,
     /* 2362907 */ // Label 29056: @2362907
     /* 2362907 */ GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2362955), // Rule ID 56633 //
     /* 2362912 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2362918 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2362921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362925 */   // MIs[0] Operand 1
     /* 2362925 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2362930 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362934 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362938 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2362938 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2362941 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362943 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362945 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362953 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362954 */   // GIR_Coverage, 56633,
     /* 2362954 */   GIR_EraseRootFromParent_Done,
     /* 2362955 */ // Label 29057: @2362955
     /* 2362955 */ GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2363003), // Rule ID 56652 //
     /* 2362960 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2362966 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2362969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362973 */   // MIs[0] Operand 1
     /* 2362973 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2362978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362982 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362986 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2362986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2362989 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362991 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2362993 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2362995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363002 */   // GIR_Coverage, 56652,
     /* 2363002 */   GIR_EraseRootFromParent_Done,
     /* 2363003 */ // Label 29058: @2363003
     /* 2363003 */ GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2363051), // Rule ID 56653 //
     /* 2363008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2363017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363021 */   // MIs[0] Operand 1
     /* 2363021 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2363026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363030 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363034 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2363034 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2363037 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363039 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363041 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363050 */   // GIR_Coverage, 56653,
     /* 2363050 */   GIR_EraseRootFromParent_Done,
     /* 2363051 */ // Label 29059: @2363051
     /* 2363051 */ GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2363099), // Rule ID 56682 //
     /* 2363056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363062 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363069 */   // MIs[0] Operand 1
     /* 2363069 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2363074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363078 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363082 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2363082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2363085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363087 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363089 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363091 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363097 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363098 */   // GIR_Coverage, 56682,
     /* 2363098 */   GIR_EraseRootFromParent_Done,
     /* 2363099 */ // Label 29060: @2363099
     /* 2363099 */ GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2363147), // Rule ID 56683 //
     /* 2363104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363110 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363117 */   // MIs[0] Operand 1
     /* 2363117 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2363122 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363126 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363130 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2363130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2363133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363135 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363137 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363146 */   // GIR_Coverage, 56683,
     /* 2363146 */   GIR_EraseRootFromParent_Done,
     /* 2363147 */ // Label 29061: @2363147
     /* 2363147 */ GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2363195), // Rule ID 56932 //
     /* 2363152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363158 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2363161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363165 */   // MIs[0] Operand 1
     /* 2363165 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363174 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363178 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2363178 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2363181 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363185 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363194 */   // GIR_Coverage, 56932,
     /* 2363194 */   GIR_EraseRootFromParent_Done,
     /* 2363195 */ // Label 29062: @2363195
     /* 2363195 */ GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2363243), // Rule ID 56933 //
     /* 2363200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363206 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2363209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363213 */   // MIs[0] Operand 1
     /* 2363213 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363222 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363226 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2363226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2363229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363231 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363233 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363242 */   // GIR_Coverage, 56933,
     /* 2363242 */   GIR_EraseRootFromParent_Done,
     /* 2363243 */ // Label 29063: @2363243
     /* 2363243 */ GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2363291), // Rule ID 56952 //
     /* 2363248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2363257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363261 */   // MIs[0] Operand 1
     /* 2363261 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363266 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363270 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363274 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2363274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2363277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363281 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363290 */   // GIR_Coverage, 56952,
     /* 2363290 */   GIR_EraseRootFromParent_Done,
     /* 2363291 */ // Label 29064: @2363291
     /* 2363291 */ GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2363339), // Rule ID 56953 //
     /* 2363296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2363305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363309 */   // MIs[0] Operand 1
     /* 2363309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363318 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363322 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2363322 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2363325 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363329 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363338 */   // GIR_Coverage, 56953,
     /* 2363338 */   GIR_EraseRootFromParent_Done,
     /* 2363339 */ // Label 29065: @2363339
     /* 2363339 */ GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2363387), // Rule ID 56982 //
     /* 2363344 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363350 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363357 */   // MIs[0] Operand 1
     /* 2363357 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363366 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363370 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2363370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2363373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363377 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363385 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363386 */   // GIR_Coverage, 56982,
     /* 2363386 */   GIR_EraseRootFromParent_Done,
     /* 2363387 */ // Label 29066: @2363387
     /* 2363387 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2363435), // Rule ID 56983 //
     /* 2363392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363398 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363405 */   // MIs[0] Operand 1
     /* 2363405 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2363410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363414 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363418 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2363418 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2363421 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363425 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363434 */   // GIR_Coverage, 56983,
     /* 2363434 */   GIR_EraseRootFromParent_Done,
     /* 2363435 */ // Label 29067: @2363435
     /* 2363435 */ GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2363483), // Rule ID 57232 //
     /* 2363440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363446 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2363449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363453 */   // MIs[0] Operand 1
     /* 2363453 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363462 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363466 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2363466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2363469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363471 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363481 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363482 */   // GIR_Coverage, 57232,
     /* 2363482 */   GIR_EraseRootFromParent_Done,
     /* 2363483 */ // Label 29068: @2363483
     /* 2363483 */ GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2363531), // Rule ID 57233 //
     /* 2363488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2363494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2363497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363501 */   // MIs[0] Operand 1
     /* 2363501 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363510 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363514 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2363514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2363517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363519 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363529 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363530 */   // GIR_Coverage, 57233,
     /* 2363530 */   GIR_EraseRootFromParent_Done,
     /* 2363531 */ // Label 29069: @2363531
     /* 2363531 */ GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2363579), // Rule ID 57252 //
     /* 2363536 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363542 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2363545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363549 */   // MIs[0] Operand 1
     /* 2363549 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363554 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363558 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363562 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2363562 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2363565 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363567 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363569 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363577 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363578 */   // GIR_Coverage, 57252,
     /* 2363578 */   GIR_EraseRootFromParent_Done,
     /* 2363579 */ // Label 29070: @2363579
     /* 2363579 */ GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2363627), // Rule ID 57253 //
     /* 2363584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363587 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2363590 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2363593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363597 */   // MIs[0] Operand 1
     /* 2363597 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363602 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363606 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363610 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2363610 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2363613 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363615 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363617 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363626 */   // GIR_Coverage, 57253,
     /* 2363626 */   GIR_EraseRootFromParent_Done,
     /* 2363627 */ // Label 29071: @2363627
     /* 2363627 */ GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2363675), // Rule ID 57282 //
     /* 2363632 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363638 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363645 */   // MIs[0] Operand 1
     /* 2363645 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363654 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363658 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2363658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2363661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363663 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363665 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363674 */   // GIR_Coverage, 57282,
     /* 2363674 */   GIR_EraseRootFromParent_Done,
     /* 2363675 */ // Label 29072: @2363675
     /* 2363675 */ GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2363723), // Rule ID 57283 //
     /* 2363680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363686 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2363689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363693 */   // MIs[0] Operand 1
     /* 2363693 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2363698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363702 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363706 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2363706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2363709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363711 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363713 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363722 */   // GIR_Coverage, 57283,
     /* 2363722 */   GIR_EraseRootFromParent_Done,
     /* 2363723 */ // Label 29073: @2363723
     /* 2363723 */ GIM_Reject,
     /* 2363724 */ // Label 29005: @2363724
     /* 2363724 */ GIM_Try, /*On fail goto*//*Label 29074*/ GIMT_Encode4(2363772), // Rule ID 56342 //
     /* 2363729 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2363735 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2363738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363742 */   // MIs[0] Operand 1
     /* 2363742 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363751 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363755 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2363755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2363758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363760 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363762 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363771 */   // GIR_Coverage, 56342,
     /* 2363771 */   GIR_EraseRootFromParent_Done,
     /* 2363772 */ // Label 29074: @2363772
     /* 2363772 */ GIM_Try, /*On fail goto*//*Label 29075*/ GIMT_Encode4(2363820), // Rule ID 56343 //
     /* 2363777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2363783 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2363786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363790 */   // MIs[0] Operand 1
     /* 2363790 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363799 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363803 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2363803 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2363806 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363808 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363810 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363819 */   // GIR_Coverage, 56343,
     /* 2363819 */   GIR_EraseRootFromParent_Done,
     /* 2363820 */ // Label 29075: @2363820
     /* 2363820 */ GIM_Try, /*On fail goto*//*Label 29076*/ GIMT_Encode4(2363868), // Rule ID 56372 //
     /* 2363825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2363831 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2363834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363838 */   // MIs[0] Operand 1
     /* 2363838 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363843 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363847 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363851 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2363851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2363854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363856 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363858 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363867 */   // GIR_Coverage, 56372,
     /* 2363867 */   GIR_EraseRootFromParent_Done,
     /* 2363868 */ // Label 29076: @2363868
     /* 2363868 */ GIM_Try, /*On fail goto*//*Label 29077*/ GIMT_Encode4(2363916), // Rule ID 56373 //
     /* 2363873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2363879 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2363882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363886 */   // MIs[0] Operand 1
     /* 2363886 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363895 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363899 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2363899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2363902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363904 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363915 */   // GIR_Coverage, 56373,
     /* 2363915 */   GIR_EraseRootFromParent_Done,
     /* 2363916 */ // Label 29077: @2363916
     /* 2363916 */ GIM_Try, /*On fail goto*//*Label 29078*/ GIMT_Encode4(2363964), // Rule ID 56452 //
     /* 2363921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2363927 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2363930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363934 */   // MIs[0] Operand 1
     /* 2363934 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363943 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363947 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2363947 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2363950 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363952 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2363954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2363956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2363963 */   // GIR_Coverage, 56452,
     /* 2363963 */   GIR_EraseRootFromParent_Done,
     /* 2363964 */ // Label 29078: @2363964
     /* 2363964 */ GIM_Try, /*On fail goto*//*Label 29079*/ GIMT_Encode4(2364012), // Rule ID 56453 //
     /* 2363969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2363975 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2363978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363982 */   // MIs[0] Operand 1
     /* 2363982 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2363987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363991 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363995 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2363995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2363998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364000 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364002 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364011 */   // GIR_Coverage, 56453,
     /* 2364011 */   GIR_EraseRootFromParent_Done,
     /* 2364012 */ // Label 29079: @2364012
     /* 2364012 */ GIM_Try, /*On fail goto*//*Label 29080*/ GIMT_Encode4(2364060), // Rule ID 56642 //
     /* 2364017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364030 */   // MIs[0] Operand 1
     /* 2364030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364039 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364043 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2364043 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2364046 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364048 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364059 */   // GIR_Coverage, 56642,
     /* 2364059 */   GIR_EraseRootFromParent_Done,
     /* 2364060 */ // Label 29080: @2364060
     /* 2364060 */ GIM_Try, /*On fail goto*//*Label 29081*/ GIMT_Encode4(2364108), // Rule ID 56643 //
     /* 2364065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364068 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364071 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364078 */   // MIs[0] Operand 1
     /* 2364078 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364087 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364091 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2364091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2364094 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364096 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364107 */   // GIR_Coverage, 56643,
     /* 2364107 */   GIR_EraseRootFromParent_Done,
     /* 2364108 */ // Label 29081: @2364108
     /* 2364108 */ GIM_Try, /*On fail goto*//*Label 29082*/ GIMT_Encode4(2364156), // Rule ID 56672 //
     /* 2364113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364119 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364126 */   // MIs[0] Operand 1
     /* 2364126 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364131 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364135 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364139 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2364139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2364142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364144 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364154 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364155 */   // GIR_Coverage, 56672,
     /* 2364155 */   GIR_EraseRootFromParent_Done,
     /* 2364156 */ // Label 29082: @2364156
     /* 2364156 */ GIM_Try, /*On fail goto*//*Label 29083*/ GIMT_Encode4(2364204), // Rule ID 56673 //
     /* 2364161 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364167 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364174 */   // MIs[0] Operand 1
     /* 2364174 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364183 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364187 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2364187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2364190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364192 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364194 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364199 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364202 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364203 */   // GIR_Coverage, 56673,
     /* 2364203 */   GIR_EraseRootFromParent_Done,
     /* 2364204 */ // Label 29083: @2364204
     /* 2364204 */ GIM_Try, /*On fail goto*//*Label 29084*/ GIMT_Encode4(2364252), // Rule ID 56752 //
     /* 2364209 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364212 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364215 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364222 */   // MIs[0] Operand 1
     /* 2364222 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364231 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364235 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2364235 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2364238 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364240 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364242 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364251 */   // GIR_Coverage, 56752,
     /* 2364251 */   GIR_EraseRootFromParent_Done,
     /* 2364252 */ // Label 29084: @2364252
     /* 2364252 */ GIM_Try, /*On fail goto*//*Label 29085*/ GIMT_Encode4(2364300), // Rule ID 56753 //
     /* 2364257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364263 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364270 */   // MIs[0] Operand 1
     /* 2364270 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2364275 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364279 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364283 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2364283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2364286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364288 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364290 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364298 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364299 */   // GIR_Coverage, 56753,
     /* 2364299 */   GIR_EraseRootFromParent_Done,
     /* 2364300 */ // Label 29085: @2364300
     /* 2364300 */ GIM_Try, /*On fail goto*//*Label 29086*/ GIMT_Encode4(2364348), // Rule ID 56942 //
     /* 2364305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364311 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364318 */   // MIs[0] Operand 1
     /* 2364318 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364327 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364331 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2364331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2364334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364336 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364338 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364347 */   // GIR_Coverage, 56942,
     /* 2364347 */   GIR_EraseRootFromParent_Done,
     /* 2364348 */ // Label 29086: @2364348
     /* 2364348 */ GIM_Try, /*On fail goto*//*Label 29087*/ GIMT_Encode4(2364396), // Rule ID 56943 //
     /* 2364353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364366 */   // MIs[0] Operand 1
     /* 2364366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364379 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2364379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2364382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364384 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364386 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364395 */   // GIR_Coverage, 56943,
     /* 2364395 */   GIR_EraseRootFromParent_Done,
     /* 2364396 */ // Label 29087: @2364396
     /* 2364396 */ GIM_Try, /*On fail goto*//*Label 29088*/ GIMT_Encode4(2364444), // Rule ID 56972 //
     /* 2364401 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364404 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364407 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364414 */   // MIs[0] Operand 1
     /* 2364414 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364423 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364427 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2364427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2364430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364432 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364434 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364439 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364442 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364443 */   // GIR_Coverage, 56972,
     /* 2364443 */   GIR_EraseRootFromParent_Done,
     /* 2364444 */ // Label 29088: @2364444
     /* 2364444 */ GIM_Try, /*On fail goto*//*Label 29089*/ GIMT_Encode4(2364492), // Rule ID 56973 //
     /* 2364449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364455 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364462 */   // MIs[0] Operand 1
     /* 2364462 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364471 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364475 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2364475 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2364478 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364480 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364482 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364491 */   // GIR_Coverage, 56973,
     /* 2364491 */   GIR_EraseRootFromParent_Done,
     /* 2364492 */ // Label 29089: @2364492
     /* 2364492 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2364540), // Rule ID 57052 //
     /* 2364497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364503 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364510 */   // MIs[0] Operand 1
     /* 2364510 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364519 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364523 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2364523 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2364526 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364528 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364530 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364539 */   // GIR_Coverage, 57052,
     /* 2364539 */   GIR_EraseRootFromParent_Done,
     /* 2364540 */ // Label 29090: @2364540
     /* 2364540 */ GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2364588), // Rule ID 57053 //
     /* 2364545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364551 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364558 */   // MIs[0] Operand 1
     /* 2364558 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2364563 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364567 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364571 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2364571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2364574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364576 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364578 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364587 */   // GIR_Coverage, 57053,
     /* 2364587 */   GIR_EraseRootFromParent_Done,
     /* 2364588 */ // Label 29091: @2364588
     /* 2364588 */ GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2364636), // Rule ID 57242 //
     /* 2364593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364606 */   // MIs[0] Operand 1
     /* 2364606 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364615 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364619 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2364619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2364622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364624 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364626 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364635 */   // GIR_Coverage, 57242,
     /* 2364635 */   GIR_EraseRootFromParent_Done,
     /* 2364636 */ // Label 29092: @2364636
     /* 2364636 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2364684), // Rule ID 57243 //
     /* 2364641 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364644 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2364647 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2364650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364654 */   // MIs[0] Operand 1
     /* 2364654 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364663 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364667 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2364667 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2364670 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364672 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364682 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364683 */   // GIR_Coverage, 57243,
     /* 2364683 */   GIR_EraseRootFromParent_Done,
     /* 2364684 */ // Label 29093: @2364684
     /* 2364684 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2364732), // Rule ID 57272 //
     /* 2364689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364695 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364702 */   // MIs[0] Operand 1
     /* 2364702 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364707 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364711 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364715 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2364715 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2364718 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364720 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364731 */   // GIR_Coverage, 57272,
     /* 2364731 */   GIR_EraseRootFromParent_Done,
     /* 2364732 */ // Label 29094: @2364732
     /* 2364732 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2364780), // Rule ID 57273 //
     /* 2364737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364740 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2364743 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2364746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364750 */   // MIs[0] Operand 1
     /* 2364750 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364759 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364763 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2364763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2364766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364768 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364778 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364779 */   // GIR_Coverage, 57273,
     /* 2364779 */   GIR_EraseRootFromParent_Done,
     /* 2364780 */ // Label 29095: @2364780
     /* 2364780 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2364828), // Rule ID 57352 //
     /* 2364785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364791 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364798 */   // MIs[0] Operand 1
     /* 2364798 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364803 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364807 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364811 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2364811 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2364814 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364816 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364827 */   // GIR_Coverage, 57352,
     /* 2364827 */   GIR_EraseRootFromParent_Done,
     /* 2364828 */ // Label 29096: @2364828
     /* 2364828 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2364876), // Rule ID 57353 //
     /* 2364833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2364839 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2364842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364846 */   // MIs[0] Operand 1
     /* 2364846 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2364851 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364855 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2364859 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2364859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2364862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364864 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364868 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364875 */   // GIR_Coverage, 57353,
     /* 2364875 */   GIR_EraseRootFromParent_Done,
     /* 2364876 */ // Label 29097: @2364876
     /* 2364876 */ GIM_Reject,
     /* 2364877 */ // Label 29006: @2364877
     /* 2364877 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2364925), // Rule ID 56362 //
     /* 2364882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2364888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2364891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364895 */   // MIs[0] Operand 1
     /* 2364895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2364900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364908 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2364908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2364911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364913 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364924 */   // GIR_Coverage, 56362,
     /* 2364924 */   GIR_EraseRootFromParent_Done,
     /* 2364925 */ // Label 29098: @2364925
     /* 2364925 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2364973), // Rule ID 56363 //
     /* 2364930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2364936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2364939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364943 */   // MIs[0] Operand 1
     /* 2364943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2364948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364956 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2364956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2364959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2364963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2364965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2364972 */   // GIR_Coverage, 56363,
     /* 2364972 */   GIR_EraseRootFromParent_Done,
     /* 2364973 */ // Label 29099: @2364973
     /* 2364973 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2365021), // Rule ID 56422 //
     /* 2364978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2364984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2364987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364991 */   // MIs[0] Operand 1
     /* 2364991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2364996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365004 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2365004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2365007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365009 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365011 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365020 */   // GIR_Coverage, 56422,
     /* 2365020 */   GIR_EraseRootFromParent_Done,
     /* 2365021 */ // Label 29100: @2365021
     /* 2365021 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2365069), // Rule ID 56423 //
     /* 2365026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365039 */   // MIs[0] Operand 1
     /* 2365039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2365044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365052 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2365052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2365055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365059 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365068 */   // GIR_Coverage, 56423,
     /* 2365068 */   GIR_EraseRootFromParent_Done,
     /* 2365069 */ // Label 29101: @2365069
     /* 2365069 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2365117), // Rule ID 56462 //
     /* 2365074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365087 */   // MIs[0] Operand 1
     /* 2365087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2365092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365100 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2365100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2365103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365105 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365107 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365116 */   // GIR_Coverage, 56462,
     /* 2365116 */   GIR_EraseRootFromParent_Done,
     /* 2365117 */ // Label 29102: @2365117
     /* 2365117 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2365165), // Rule ID 56463 //
     /* 2365122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365135 */   // MIs[0] Operand 1
     /* 2365135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2365140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365148 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2365148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2365151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365164 */   // GIR_Coverage, 56463,
     /* 2365164 */   GIR_EraseRootFromParent_Done,
     /* 2365165 */ // Label 29103: @2365165
     /* 2365165 */ GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2365213), // Rule ID 56662 //
     /* 2365170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365183 */   // MIs[0] Operand 1
     /* 2365183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365196 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2365196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2365199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365201 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365203 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365212 */   // GIR_Coverage, 56662,
     /* 2365212 */   GIR_EraseRootFromParent_Done,
     /* 2365213 */ // Label 29104: @2365213
     /* 2365213 */ GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2365261), // Rule ID 56663 //
     /* 2365218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365231 */   // MIs[0] Operand 1
     /* 2365231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365244 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2365244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2365247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365249 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365251 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365260 */   // GIR_Coverage, 56663,
     /* 2365260 */   GIR_EraseRootFromParent_Done,
     /* 2365261 */ // Label 29105: @2365261
     /* 2365261 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2365309), // Rule ID 56722 //
     /* 2365266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365279 */   // MIs[0] Operand 1
     /* 2365279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365292 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2365292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2365295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365297 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365299 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365308 */   // GIR_Coverage, 56722,
     /* 2365308 */   GIR_EraseRootFromParent_Done,
     /* 2365309 */ // Label 29106: @2365309
     /* 2365309 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2365357), // Rule ID 56723 //
     /* 2365314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365327 */   // MIs[0] Operand 1
     /* 2365327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365340 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2365340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2365343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365345 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365347 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365356 */   // GIR_Coverage, 56723,
     /* 2365356 */   GIR_EraseRootFromParent_Done,
     /* 2365357 */ // Label 29107: @2365357
     /* 2365357 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2365405), // Rule ID 56762 //
     /* 2365362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365375 */   // MIs[0] Operand 1
     /* 2365375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365388 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2365388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2365391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365393 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365395 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365404 */   // GIR_Coverage, 56762,
     /* 2365404 */   GIR_EraseRootFromParent_Done,
     /* 2365405 */ // Label 29108: @2365405
     /* 2365405 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2365453), // Rule ID 56763 //
     /* 2365410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365423 */   // MIs[0] Operand 1
     /* 2365423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2365428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365436 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2365436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2365439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365441 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365443 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365452 */   // GIR_Coverage, 56763,
     /* 2365452 */   GIR_EraseRootFromParent_Done,
     /* 2365453 */ // Label 29109: @2365453
     /* 2365453 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2365501), // Rule ID 56962 //
     /* 2365458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365471 */   // MIs[0] Operand 1
     /* 2365471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365484 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2365484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2365487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365489 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365491 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365500 */   // GIR_Coverage, 56962,
     /* 2365500 */   GIR_EraseRootFromParent_Done,
     /* 2365501 */ // Label 29110: @2365501
     /* 2365501 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2365549), // Rule ID 56963 //
     /* 2365506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365519 */   // MIs[0] Operand 1
     /* 2365519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365532 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2365532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2365535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365537 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365539 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365548 */   // GIR_Coverage, 56963,
     /* 2365548 */   GIR_EraseRootFromParent_Done,
     /* 2365549 */ // Label 29111: @2365549
     /* 2365549 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2365597), // Rule ID 57022 //
     /* 2365554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365567 */   // MIs[0] Operand 1
     /* 2365567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365580 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2365580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2365583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365585 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365596 */   // GIR_Coverage, 57022,
     /* 2365596 */   GIR_EraseRootFromParent_Done,
     /* 2365597 */ // Label 29112: @2365597
     /* 2365597 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2365645), // Rule ID 57023 //
     /* 2365602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365615 */   // MIs[0] Operand 1
     /* 2365615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365628 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2365628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2365631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365633 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365635 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365644 */   // GIR_Coverage, 57023,
     /* 2365644 */   GIR_EraseRootFromParent_Done,
     /* 2365645 */ // Label 29113: @2365645
     /* 2365645 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2365693), // Rule ID 57062 //
     /* 2365650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365663 */   // MIs[0] Operand 1
     /* 2365663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365676 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2365676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2365679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365692 */   // GIR_Coverage, 57062,
     /* 2365692 */   GIR_EraseRootFromParent_Done,
     /* 2365693 */ // Label 29114: @2365693
     /* 2365693 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2365741), // Rule ID 57063 //
     /* 2365698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365711 */   // MIs[0] Operand 1
     /* 2365711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2365716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365724 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2365724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2365727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365729 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365731 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365740 */   // GIR_Coverage, 57063,
     /* 2365740 */   GIR_EraseRootFromParent_Done,
     /* 2365741 */ // Label 29115: @2365741
     /* 2365741 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2365789), // Rule ID 57262 //
     /* 2365746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365759 */   // MIs[0] Operand 1
     /* 2365759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2365764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365772 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2365772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2365775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365788 */   // GIR_Coverage, 57262,
     /* 2365788 */   GIR_EraseRootFromParent_Done,
     /* 2365789 */ // Label 29116: @2365789
     /* 2365789 */ GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2365837), // Rule ID 57263 //
     /* 2365794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2365803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365807 */   // MIs[0] Operand 1
     /* 2365807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2365812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365820 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2365820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2365823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365827 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365836 */   // GIR_Coverage, 57263,
     /* 2365836 */   GIR_EraseRootFromParent_Done,
     /* 2365837 */ // Label 29117: @2365837
     /* 2365837 */ GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2365885), // Rule ID 57322 //
     /* 2365842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365855 */   // MIs[0] Operand 1
     /* 2365855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2365860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365868 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2365868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2365871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365875 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365884 */   // GIR_Coverage, 57322,
     /* 2365884 */   GIR_EraseRootFromParent_Done,
     /* 2365885 */ // Label 29118: @2365885
     /* 2365885 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2365933), // Rule ID 57323 //
     /* 2365890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2365899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365903 */   // MIs[0] Operand 1
     /* 2365903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2365908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365916 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2365916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2365919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365932 */   // GIR_Coverage, 57323,
     /* 2365932 */   GIR_EraseRootFromParent_Done,
     /* 2365933 */ // Label 29119: @2365933
     /* 2365933 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2365981), // Rule ID 57362 //
     /* 2365938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365951 */   // MIs[0] Operand 1
     /* 2365951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2365956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365964 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2365964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2365967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365969 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2365971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2365973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2365980 */   // GIR_Coverage, 57362,
     /* 2365980 */   GIR_EraseRootFromParent_Done,
     /* 2365981 */ // Label 29120: @2365981
     /* 2365981 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2366029), // Rule ID 57363 //
     /* 2365986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2365995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365999 */   // MIs[0] Operand 1
     /* 2365999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2366004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366012 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2366012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2366015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366028 */   // GIR_Coverage, 57363,
     /* 2366028 */   GIR_EraseRootFromParent_Done,
     /* 2366029 */ // Label 29121: @2366029
     /* 2366029 */ GIM_Reject,
     /* 2366030 */ // Label 29007: @2366030
     /* 2366030 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2366078), // Rule ID 56392 //
     /* 2366035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366048 */   // MIs[0] Operand 1
     /* 2366048 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366053 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366057 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366061 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2366061 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2366064 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366066 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366068 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366077 */   // GIR_Coverage, 56392,
     /* 2366077 */   GIR_EraseRootFromParent_Done,
     /* 2366078 */ // Label 29122: @2366078
     /* 2366078 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2366126), // Rule ID 56393 //
     /* 2366083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366089 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366096 */   // MIs[0] Operand 1
     /* 2366096 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366105 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366109 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2366109 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2366112 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366114 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366116 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366125 */   // GIR_Coverage, 56393,
     /* 2366125 */   GIR_EraseRootFromParent_Done,
     /* 2366126 */ // Label 29123: @2366126
     /* 2366126 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2366174), // Rule ID 56432 //
     /* 2366131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366137 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366144 */   // MIs[0] Operand 1
     /* 2366144 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366153 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366157 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2366157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2366160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366162 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366164 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366173 */   // GIR_Coverage, 56432,
     /* 2366173 */   GIR_EraseRootFromParent_Done,
     /* 2366174 */ // Label 29124: @2366174
     /* 2366174 */ GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2366222), // Rule ID 56433 //
     /* 2366179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366182 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366185 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366192 */   // MIs[0] Operand 1
     /* 2366192 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366201 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366205 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2366205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2366208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366210 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366212 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366221 */   // GIR_Coverage, 56433,
     /* 2366221 */   GIR_EraseRootFromParent_Done,
     /* 2366222 */ // Label 29125: @2366222
     /* 2366222 */ GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2366270), // Rule ID 56472 //
     /* 2366227 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366233 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366236 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366240 */   // MIs[0] Operand 1
     /* 2366240 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366249 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366253 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2366253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2366256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366258 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366260 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366269 */   // GIR_Coverage, 56472,
     /* 2366269 */   GIR_EraseRootFromParent_Done,
     /* 2366270 */ // Label 29126: @2366270
     /* 2366270 */ GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2366318), // Rule ID 56473 //
     /* 2366275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366278 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366281 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366288 */   // MIs[0] Operand 1
     /* 2366288 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2366293 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366297 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366301 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2366301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2366304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366306 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366308 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366317 */   // GIR_Coverage, 56473,
     /* 2366317 */   GIR_EraseRootFromParent_Done,
     /* 2366318 */ // Label 29127: @2366318
     /* 2366318 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2366366), // Rule ID 56692 //
     /* 2366323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366329 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366336 */   // MIs[0] Operand 1
     /* 2366336 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366345 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366349 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2366349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2366352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366354 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366365 */   // GIR_Coverage, 56692,
     /* 2366365 */   GIR_EraseRootFromParent_Done,
     /* 2366366 */ // Label 29128: @2366366
     /* 2366366 */ GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2366414), // Rule ID 56693 //
     /* 2366371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366384 */   // MIs[0] Operand 1
     /* 2366384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366393 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366397 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2366397 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2366400 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366402 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366413 */   // GIR_Coverage, 56693,
     /* 2366413 */   GIR_EraseRootFromParent_Done,
     /* 2366414 */ // Label 29129: @2366414
     /* 2366414 */ GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2366462), // Rule ID 56732 //
     /* 2366419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366432 */   // MIs[0] Operand 1
     /* 2366432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366445 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2366445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2366448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366450 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366461 */   // GIR_Coverage, 56732,
     /* 2366461 */   GIR_EraseRootFromParent_Done,
     /* 2366462 */ // Label 29130: @2366462
     /* 2366462 */ GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2366510), // Rule ID 56733 //
     /* 2366467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366470 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366473 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366480 */   // MIs[0] Operand 1
     /* 2366480 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366489 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366493 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2366493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2366496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366498 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366509 */   // GIR_Coverage, 56733,
     /* 2366509 */   GIR_EraseRootFromParent_Done,
     /* 2366510 */ // Label 29131: @2366510
     /* 2366510 */ GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2366558), // Rule ID 56772 //
     /* 2366515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366521 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366528 */   // MIs[0] Operand 1
     /* 2366528 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366537 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366541 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2366541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2366544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366546 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366550 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366557 */   // GIR_Coverage, 56772,
     /* 2366557 */   GIR_EraseRootFromParent_Done,
     /* 2366558 */ // Label 29132: @2366558
     /* 2366558 */ GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2366606), // Rule ID 56773 //
     /* 2366563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366569 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366576 */   // MIs[0] Operand 1
     /* 2366576 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2366581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366585 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366589 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2366589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2366592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366594 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366605 */   // GIR_Coverage, 56773,
     /* 2366605 */   GIR_EraseRootFromParent_Done,
     /* 2366606 */ // Label 29133: @2366606
     /* 2366606 */ GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2366654), // Rule ID 56992 //
     /* 2366611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366617 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366620 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366624 */   // MIs[0] Operand 1
     /* 2366624 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366629 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366633 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366637 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2366637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2366640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366642 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366644 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366652 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366653 */   // GIR_Coverage, 56992,
     /* 2366653 */   GIR_EraseRootFromParent_Done,
     /* 2366654 */ // Label 29134: @2366654
     /* 2366654 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2366702), // Rule ID 56993 //
     /* 2366659 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366662 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366665 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366672 */   // MIs[0] Operand 1
     /* 2366672 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366681 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366685 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2366685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2366688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366690 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366701 */   // GIR_Coverage, 56993,
     /* 2366701 */   GIR_EraseRootFromParent_Done,
     /* 2366702 */ // Label 29135: @2366702
     /* 2366702 */ GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2366750), // Rule ID 57032 //
     /* 2366707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366720 */   // MIs[0] Operand 1
     /* 2366720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366729 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366733 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2366733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2366736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366738 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366740 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366749 */   // GIR_Coverage, 57032,
     /* 2366749 */   GIR_EraseRootFromParent_Done,
     /* 2366750 */ // Label 29136: @2366750
     /* 2366750 */ GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2366798), // Rule ID 57033 //
     /* 2366755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366761 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2366764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366768 */   // MIs[0] Operand 1
     /* 2366768 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366777 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366781 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2366781 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2366784 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366786 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366788 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366796 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366797 */   // GIR_Coverage, 57033,
     /* 2366797 */   GIR_EraseRootFromParent_Done,
     /* 2366798 */ // Label 29137: @2366798
     /* 2366798 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2366846), // Rule ID 57072 //
     /* 2366803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366816 */   // MIs[0] Operand 1
     /* 2366816 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366825 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366829 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2366829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2366832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366834 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366836 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366845 */   // GIR_Coverage, 57072,
     /* 2366845 */   GIR_EraseRootFromParent_Done,
     /* 2366846 */ // Label 29138: @2366846
     /* 2366846 */ GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2366894), // Rule ID 57073 //
     /* 2366851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366857 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2366860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366864 */   // MIs[0] Operand 1
     /* 2366864 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2366869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366873 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366877 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2366877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2366880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366882 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366884 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366893 */   // GIR_Coverage, 57073,
     /* 2366893 */   GIR_EraseRootFromParent_Done,
     /* 2366894 */ // Label 29139: @2366894
     /* 2366894 */ GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2366942), // Rule ID 57292 //
     /* 2366899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366905 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366912 */   // MIs[0] Operand 1
     /* 2366912 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2366917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366921 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366925 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2366925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2366928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366930 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366932 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366940 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366941 */   // GIR_Coverage, 57292,
     /* 2366941 */   GIR_EraseRootFromParent_Done,
     /* 2366942 */ // Label 29140: @2366942
     /* 2366942 */ GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2366990), // Rule ID 57293 //
     /* 2366947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366950 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2366953 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2366956 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366960 */   // MIs[0] Operand 1
     /* 2366960 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2366965 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366969 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2366973 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2366973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2366976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366978 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2366980 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2366982 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366988 */   GIR_RootConstrainSelectedInstOperands,
     /* 2366989 */   // GIR_Coverage, 57293,
     /* 2366989 */   GIR_EraseRootFromParent_Done,
     /* 2366990 */ // Label 29141: @2366990
     /* 2366990 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2367038), // Rule ID 57332 //
     /* 2366995 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2367001 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2367004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367008 */   // MIs[0] Operand 1
     /* 2367008 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367017 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367021 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2367021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2367024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367026 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367037 */   // GIR_Coverage, 57332,
     /* 2367037 */   GIR_EraseRootFromParent_Done,
     /* 2367038 */ // Label 29142: @2367038
     /* 2367038 */ GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2367086), // Rule ID 57333 //
     /* 2367043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2367049 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2367052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367056 */   // MIs[0] Operand 1
     /* 2367056 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367061 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367065 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367069 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2367069 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2367072 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367074 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367076 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367084 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367085 */   // GIR_Coverage, 57333,
     /* 2367085 */   GIR_EraseRootFromParent_Done,
     /* 2367086 */ // Label 29143: @2367086
     /* 2367086 */ GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2367134), // Rule ID 57372 //
     /* 2367091 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2367094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2367097 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2367100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367104 */   // MIs[0] Operand 1
     /* 2367104 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367113 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367117 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2367117 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2367120 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367122 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367124 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367132 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367133 */   // GIR_Coverage, 57372,
     /* 2367133 */   GIR_EraseRootFromParent_Done,
     /* 2367134 */ // Label 29144: @2367134
     /* 2367134 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2367182), // Rule ID 57373 //
     /* 2367139 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2367142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2367145 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2367148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367152 */   // MIs[0] Operand 1
     /* 2367152 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367157 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367161 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367165 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2367165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2367168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367170 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367172 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367180 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367181 */   // GIR_Coverage, 57373,
     /* 2367181 */   GIR_EraseRootFromParent_Done,
     /* 2367182 */ // Label 29145: @2367182
     /* 2367182 */ GIM_Reject,
     /* 2367183 */ // Label 29008: @2367183
     /* 2367183 */ GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2367231), // Rule ID 56402 //
     /* 2367188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367201 */   // MIs[0] Operand 1
     /* 2367201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2367206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367214 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2367214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2367217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367219 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367221 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367230 */   // GIR_Coverage, 56402,
     /* 2367230 */   GIR_EraseRootFromParent_Done,
     /* 2367231 */ // Label 29146: @2367231
     /* 2367231 */ GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2367279), // Rule ID 56403 //
     /* 2367236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367249 */   // MIs[0] Operand 1
     /* 2367249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2367254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367262 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2367262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2367265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367267 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367269 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367278 */   // GIR_Coverage, 56403,
     /* 2367278 */   GIR_EraseRootFromParent_Done,
     /* 2367279 */ // Label 29147: @2367279
     /* 2367279 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2367327), // Rule ID 56442 //
     /* 2367284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367297 */   // MIs[0] Operand 1
     /* 2367297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2367302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367310 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2367310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2367313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367315 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367317 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367326 */   // GIR_Coverage, 56442,
     /* 2367326 */   GIR_EraseRootFromParent_Done,
     /* 2367327 */ // Label 29148: @2367327
     /* 2367327 */ GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2367375), // Rule ID 56443 //
     /* 2367332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367345 */   // MIs[0] Operand 1
     /* 2367345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2367350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367358 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2367358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2367361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367374 */   // GIR_Coverage, 56443,
     /* 2367374 */   GIR_EraseRootFromParent_Done,
     /* 2367375 */ // Label 29149: @2367375
     /* 2367375 */ GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2367423), // Rule ID 56702 //
     /* 2367380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367393 */   // MIs[0] Operand 1
     /* 2367393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2367398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367406 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2367406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2367409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367422 */   // GIR_Coverage, 56702,
     /* 2367422 */   GIR_EraseRootFromParent_Done,
     /* 2367423 */ // Label 29150: @2367423
     /* 2367423 */ GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2367471), // Rule ID 56703 //
     /* 2367428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367441 */   // MIs[0] Operand 1
     /* 2367441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2367446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367454 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2367454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2367457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367470 */   // GIR_Coverage, 56703,
     /* 2367470 */   GIR_EraseRootFromParent_Done,
     /* 2367471 */ // Label 29151: @2367471
     /* 2367471 */ GIM_Try, /*On fail goto*//*Label 29152*/ GIMT_Encode4(2367519), // Rule ID 56742 //
     /* 2367476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367489 */   // MIs[0] Operand 1
     /* 2367489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2367494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367502 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2367502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2367505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367518 */   // GIR_Coverage, 56742,
     /* 2367518 */   GIR_EraseRootFromParent_Done,
     /* 2367519 */ // Label 29152: @2367519
     /* 2367519 */ GIM_Try, /*On fail goto*//*Label 29153*/ GIMT_Encode4(2367567), // Rule ID 56743 //
     /* 2367524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367537 */   // MIs[0] Operand 1
     /* 2367537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2367542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367550 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2367550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2367553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367566 */   // GIR_Coverage, 56743,
     /* 2367566 */   GIR_EraseRootFromParent_Done,
     /* 2367567 */ // Label 29153: @2367567
     /* 2367567 */ GIM_Try, /*On fail goto*//*Label 29154*/ GIMT_Encode4(2367615), // Rule ID 57002 //
     /* 2367572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367585 */   // MIs[0] Operand 1
     /* 2367585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2367590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367598 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2367598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2367601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367614 */   // GIR_Coverage, 57002,
     /* 2367614 */   GIR_EraseRootFromParent_Done,
     /* 2367615 */ // Label 29154: @2367615
     /* 2367615 */ GIM_Try, /*On fail goto*//*Label 29155*/ GIMT_Encode4(2367663), // Rule ID 57003 //
     /* 2367620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367633 */   // MIs[0] Operand 1
     /* 2367633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2367638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367646 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2367646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2367649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367662 */   // GIR_Coverage, 57003,
     /* 2367662 */   GIR_EraseRootFromParent_Done,
     /* 2367663 */ // Label 29155: @2367663
     /* 2367663 */ GIM_Try, /*On fail goto*//*Label 29156*/ GIMT_Encode4(2367711), // Rule ID 57042 //
     /* 2367668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367681 */   // MIs[0] Operand 1
     /* 2367681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2367686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367694 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2367694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2367697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367699 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367710 */   // GIR_Coverage, 57042,
     /* 2367710 */   GIR_EraseRootFromParent_Done,
     /* 2367711 */ // Label 29156: @2367711
     /* 2367711 */ GIM_Try, /*On fail goto*//*Label 29157*/ GIMT_Encode4(2367759), // Rule ID 57043 //
     /* 2367716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367729 */   // MIs[0] Operand 1
     /* 2367729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2367734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367742 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2367742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2367745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367747 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367749 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367758 */   // GIR_Coverage, 57043,
     /* 2367758 */   GIR_EraseRootFromParent_Done,
     /* 2367759 */ // Label 29157: @2367759
     /* 2367759 */ GIM_Try, /*On fail goto*//*Label 29158*/ GIMT_Encode4(2367807), // Rule ID 57302 //
     /* 2367764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367777 */   // MIs[0] Operand 1
     /* 2367777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367790 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2367790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2367793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367806 */   // GIR_Coverage, 57302,
     /* 2367806 */   GIR_EraseRootFromParent_Done,
     /* 2367807 */ // Label 29158: @2367807
     /* 2367807 */ GIM_Try, /*On fail goto*//*Label 29159*/ GIMT_Encode4(2367855), // Rule ID 57303 //
     /* 2367812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2367815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2367818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2367821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367825 */   // MIs[0] Operand 1
     /* 2367825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2367838 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2367838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2367841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367843 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367854 */   // GIR_Coverage, 57303,
     /* 2367854 */   GIR_EraseRootFromParent_Done,
     /* 2367855 */ // Label 29159: @2367855
     /* 2367855 */ GIM_Try, /*On fail goto*//*Label 29160*/ GIMT_Encode4(2367903), // Rule ID 57342 //
     /* 2367860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2367863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367873 */   // MIs[0] Operand 1
     /* 2367873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367886 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2367886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2367889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367891 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367893 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367902 */   // GIR_Coverage, 57342,
     /* 2367902 */   GIR_EraseRootFromParent_Done,
     /* 2367903 */ // Label 29160: @2367903
     /* 2367903 */ GIM_Try, /*On fail goto*//*Label 29161*/ GIMT_Encode4(2367951), // Rule ID 57343 //
     /* 2367908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2367911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2367914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2367917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367921 */   // MIs[0] Operand 1
     /* 2367921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2367926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367934 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2367934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2367937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367939 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367941 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2367950 */   // GIR_Coverage, 57343,
     /* 2367950 */   GIR_EraseRootFromParent_Done,
     /* 2367951 */ // Label 29161: @2367951
     /* 2367951 */ GIM_Reject,
     /* 2367952 */ // Label 29009: @2367952
     /* 2367952 */ GIM_Try, /*On fail goto*//*Label 29162*/ GIMT_Encode4(2368272),
     /* 2367957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2367960 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2367963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367967 */   GIM_Try, /*On fail goto*//*Label 29163*/ GIMT_Encode4(2368005), // Rule ID 56412 //
     /* 2367972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2367975 */     // MIs[0] Operand 1
     /* 2367975 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2367980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2367988 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2367988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2367991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2367995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2367997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368004 */     // GIR_Coverage, 56412,
     /* 2368004 */     GIR_EraseRootFromParent_Done,
     /* 2368005 */   // Label 29163: @2368005
     /* 2368005 */   GIM_Try, /*On fail goto*//*Label 29164*/ GIMT_Encode4(2368043), // Rule ID 56413 //
     /* 2368010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368013 */     // MIs[0] Operand 1
     /* 2368013 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2368018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368026 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2368026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2368029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368042 */     // GIR_Coverage, 56413,
     /* 2368042 */     GIR_EraseRootFromParent_Done,
     /* 2368043 */   // Label 29164: @2368043
     /* 2368043 */   GIM_Try, /*On fail goto*//*Label 29165*/ GIMT_Encode4(2368081), // Rule ID 56712 //
     /* 2368048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368051 */     // MIs[0] Operand 1
     /* 2368051 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2368056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368064 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2368064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2368067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368080 */     // GIR_Coverage, 56712,
     /* 2368080 */     GIR_EraseRootFromParent_Done,
     /* 2368081 */   // Label 29165: @2368081
     /* 2368081 */   GIM_Try, /*On fail goto*//*Label 29166*/ GIMT_Encode4(2368119), // Rule ID 56713 //
     /* 2368086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368089 */     // MIs[0] Operand 1
     /* 2368089 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2368094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368102 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2368102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2368105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368118 */     // GIR_Coverage, 56713,
     /* 2368118 */     GIR_EraseRootFromParent_Done,
     /* 2368119 */   // Label 29166: @2368119
     /* 2368119 */   GIM_Try, /*On fail goto*//*Label 29167*/ GIMT_Encode4(2368157), // Rule ID 57012 //
     /* 2368124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368127 */     // MIs[0] Operand 1
     /* 2368127 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2368132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368140 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2368140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2368143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368156 */     // GIR_Coverage, 57012,
     /* 2368156 */     GIR_EraseRootFromParent_Done,
     /* 2368157 */   // Label 29167: @2368157
     /* 2368157 */   GIM_Try, /*On fail goto*//*Label 29168*/ GIMT_Encode4(2368195), // Rule ID 57013 //
     /* 2368162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368165 */     // MIs[0] Operand 1
     /* 2368165 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2368170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368178 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2368178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2368181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368194 */     // GIR_Coverage, 57013,
     /* 2368194 */     GIR_EraseRootFromParent_Done,
     /* 2368195 */   // Label 29168: @2368195
     /* 2368195 */   GIM_Try, /*On fail goto*//*Label 29169*/ GIMT_Encode4(2368233), // Rule ID 57312 //
     /* 2368200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2368203 */     // MIs[0] Operand 1
     /* 2368203 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2368208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368216 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2368216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2368219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368232 */     // GIR_Coverage, 57312,
     /* 2368232 */     GIR_EraseRootFromParent_Done,
     /* 2368233 */   // Label 29169: @2368233
     /* 2368233 */   GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2368271), // Rule ID 57313 //
     /* 2368238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2368241 */     // MIs[0] Operand 1
     /* 2368241 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2368246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368254 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2368254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2368257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368270 */     // GIR_Coverage, 57313,
     /* 2368270 */     GIR_EraseRootFromParent_Done,
     /* 2368271 */   // Label 29170: @2368271
     /* 2368271 */   GIM_Reject,
     /* 2368272 */ // Label 29162: @2368272
     /* 2368272 */ GIM_Reject,
     /* 2368273 */ // Label 29010: @2368273
     /* 2368273 */ GIM_Reject,
     /* 2368274 */ // Label 50: @2368274
     /* 2368274 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29195*/ GIMT_Encode4(2373997),
     /* 2368285 */ /*GILLT_s32*//*Label 29171*/ GIMT_Encode4(2368409),
     /* 2368289 */ /*GILLT_s64*//*Label 29172*/ GIMT_Encode4(2368557), GIMT_Encode4(0),
     /* 2368297 */ /*GILLT_nxv1s8*//*Label 29173*/ GIMT_Encode4(2368705),
     /* 2368301 */ /*GILLT_nxv1s16*//*Label 29174*/ GIMT_Encode4(2368861),
     /* 2368305 */ /*GILLT_nxv1s32*//*Label 29175*/ GIMT_Encode4(2369141),
     /* 2368309 */ /*GILLT_nxv1s64*//*Label 29176*/ GIMT_Encode4(2369421), GIMT_Encode4(0),
     /* 2368317 */ /*GILLT_nxv2s8*//*Label 29177*/ GIMT_Encode4(2369701),
     /* 2368321 */ /*GILLT_nxv2s16*//*Label 29178*/ GIMT_Encode4(2369857),
     /* 2368325 */ /*GILLT_nxv2s32*//*Label 29179*/ GIMT_Encode4(2370137),
     /* 2368329 */ /*GILLT_nxv2s64*//*Label 29180*/ GIMT_Encode4(2370417), GIMT_Encode4(0),
     /* 2368337 */ /*GILLT_nxv4s8*//*Label 29181*/ GIMT_Encode4(2370697),
     /* 2368341 */ /*GILLT_nxv4s16*//*Label 29182*/ GIMT_Encode4(2370853),
     /* 2368345 */ /*GILLT_nxv4s32*//*Label 29183*/ GIMT_Encode4(2371133),
     /* 2368349 */ /*GILLT_nxv4s64*//*Label 29184*/ GIMT_Encode4(2371413), GIMT_Encode4(0),
     /* 2368357 */ /*GILLT_nxv8s8*//*Label 29185*/ GIMT_Encode4(2371693),
     /* 2368361 */ /*GILLT_nxv8s16*//*Label 29186*/ GIMT_Encode4(2371849),
     /* 2368365 */ /*GILLT_nxv8s32*//*Label 29187*/ GIMT_Encode4(2372129),
     /* 2368369 */ /*GILLT_nxv8s64*//*Label 29188*/ GIMT_Encode4(2372409), GIMT_Encode4(0),
     /* 2368377 */ /*GILLT_nxv16s8*//*Label 29189*/ GIMT_Encode4(2372689),
     /* 2368381 */ /*GILLT_nxv16s16*//*Label 29190*/ GIMT_Encode4(2372845),
     /* 2368385 */ /*GILLT_nxv16s32*//*Label 29191*/ GIMT_Encode4(2373125), GIMT_Encode4(0),
     /* 2368393 */ /*GILLT_nxv32s8*//*Label 29192*/ GIMT_Encode4(2373405),
     /* 2368397 */ /*GILLT_nxv32s16*//*Label 29193*/ GIMT_Encode4(2373561), GIMT_Encode4(0),
     /* 2368405 */ /*GILLT_nxv64s8*//*Label 29194*/ GIMT_Encode4(2373841),
     /* 2368409 */ // Label 29171: @2368409
     /* 2368409 */ GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2368556),
     /* 2368414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2368417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2368420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2368423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368431 */   GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2368464), // Rule ID 61919 //
     /* 2368436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2368439 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2368443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368447 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2368447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2368450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368452 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2368454 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368460 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368463 */     // GIR_Coverage, 61919,
     /* 2368463 */     GIR_EraseRootFromParent_Done,
     /* 2368464 */   // Label 29197: @2368464
     /* 2368464 */   GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2368497), // Rule ID 61917 //
     /* 2368469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2368472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2368480 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2368480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2368483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368485 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2368487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368493 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368496 */     // GIR_Coverage, 61917,
     /* 2368496 */     GIR_EraseRootFromParent_Done,
     /* 2368497 */   // Label 29198: @2368497
     /* 2368497 */   GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2368526), // Rule ID 61915 //
     /* 2368502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2368505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368513 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2368513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2368516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368518 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2368520 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2368522 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368525 */     // GIR_Coverage, 61915,
     /* 2368525 */     GIR_EraseRootFromParent_Done,
     /* 2368526 */   // Label 29199: @2368526
     /* 2368526 */   GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2368555), // Rule ID 63872 //
     /* 2368531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2368534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368542 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2368542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2368545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2368553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368554 */     // GIR_Coverage, 63872,
     /* 2368554 */     GIR_EraseRootFromParent_Done,
     /* 2368555 */   // Label 29200: @2368555
     /* 2368555 */   GIM_Reject,
     /* 2368556 */ // Label 29196: @2368556
     /* 2368556 */ GIM_Reject,
     /* 2368557 */ // Label 29172: @2368557
     /* 2368557 */ GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2368704),
     /* 2368562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2368565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2368568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2368571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368579 */   GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2368612), // Rule ID 61918 //
     /* 2368584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2368587 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2368591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368595 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2368595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2368598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368600 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2368602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368608 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368611 */     // GIR_Coverage, 61918,
     /* 2368611 */     GIR_EraseRootFromParent_Done,
     /* 2368612 */   // Label 29202: @2368612
     /* 2368612 */   GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2368645), // Rule ID 61916 //
     /* 2368617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2368620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2368628 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2368628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2368631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368633 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2368635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368641 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368644 */     // GIR_Coverage, 61916,
     /* 2368644 */     GIR_EraseRootFromParent_Done,
     /* 2368645 */   // Label 29203: @2368645
     /* 2368645 */   GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2368674), // Rule ID 61914 //
     /* 2368650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2368653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368661 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2368661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2368664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2368666 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2368668 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2368670 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2368672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368673 */     // GIR_Coverage, 61914,
     /* 2368673 */     GIR_EraseRootFromParent_Done,
     /* 2368674 */   // Label 29204: @2368674
     /* 2368674 */   GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2368703), // Rule ID 63871 //
     /* 2368679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2368682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2368690 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2368690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2368693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2368699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2368701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368702 */     // GIR_Coverage, 63871,
     /* 2368702 */     GIR_EraseRootFromParent_Done,
     /* 2368703 */   // Label 29205: @2368703
     /* 2368703 */   GIM_Reject,
     /* 2368704 */ // Label 29201: @2368704
     /* 2368704 */ GIM_Reject,
     /* 2368705 */ // Label 29173: @2368705
     /* 2368705 */ GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2368860),
     /* 2368710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2368713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2368716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2368719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2368723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2368727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368735 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2368797), // Rule ID 51722 //
     /* 2368740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368743 */     // (vselect:{ *:[nxv1i8] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2368746 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368750 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2368757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2368761 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368767 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2368771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2368774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368783 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368796 */     // GIR_Coverage, 51722,
     /* 2368796 */     GIR_EraseRootFromParent_Done,
     /* 2368797 */   // Label 29207: @2368797
     /* 2368797 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2368859), // Rule ID 51723 //
     /* 2368802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368805 */     // (vselect:{ *:[nxv1i8] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2368808 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368812 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2368819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2368823 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368829 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2368833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2368836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368845 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368858 */     // GIR_Coverage, 51723,
     /* 2368858 */     GIR_EraseRootFromParent_Done,
     /* 2368859 */   // Label 29208: @2368859
     /* 2368859 */   GIM_Reject,
     /* 2368860 */ // Label 29206: @2368860
     /* 2368860 */ GIM_Reject,
     /* 2368861 */ // Label 29174: @2368861
     /* 2368861 */ GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2369140),
     /* 2368866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2368869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2368872 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2368875 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2368879 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2368883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368891 */   GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2368953), // Rule ID 51740 //
     /* 2368896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368899 */     // (vselect:{ *:[nxv1i16] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2368899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368902 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368906 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2368913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2368917 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368923 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2368927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2368930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2368939 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2368945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368952 */     // GIR_Coverage, 51740,
     /* 2368952 */     GIR_EraseRootFromParent_Done,
     /* 2368953 */   // Label 29210: @2368953
     /* 2368953 */   GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2369015), // Rule ID 51741 //
     /* 2368958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368961 */     // (vselect:{ *:[nxv1i16] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2368961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2368964 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368968 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2368975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2368979 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368985 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2368989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2368992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2368999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369001 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369014 */     // GIR_Coverage, 51741,
     /* 2369014 */     GIR_EraseRootFromParent_Done,
     /* 2369015 */   // Label 29211: @2369015
     /* 2369015 */   GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2369077), // Rule ID 57382 //
     /* 2369020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369023 */     // (vselect:{ *:[nxv1f16] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2369023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369026 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369030 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369041 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369047 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2369054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369063 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369076 */     // GIR_Coverage, 57382,
     /* 2369076 */     GIR_EraseRootFromParent_Done,
     /* 2369077 */   // Label 29212: @2369077
     /* 2369077 */   GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2369139), // Rule ID 57383 //
     /* 2369082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369085 */     // (vselect:{ *:[nxv1f16] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2369085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369088 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369092 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2369116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369138 */     // GIR_Coverage, 57383,
     /* 2369138 */     GIR_EraseRootFromParent_Done,
     /* 2369139 */   // Label 29213: @2369139
     /* 2369139 */   GIM_Reject,
     /* 2369140 */ // Label 29209: @2369140
     /* 2369140 */ GIM_Reject,
     /* 2369141 */ // Label 29175: @2369141
     /* 2369141 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2369420),
     /* 2369146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2369149 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2369152 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2369155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2369159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2369163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369171 */   GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2369233), // Rule ID 51752 //
     /* 2369176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369179 */     // (vselect:{ *:[nxv1i32] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2369179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369182 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369186 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369197 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369203 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369219 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369232 */     // GIR_Coverage, 51752,
     /* 2369232 */     GIR_EraseRootFromParent_Done,
     /* 2369233 */   // Label 29215: @2369233
     /* 2369233 */   GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2369295), // Rule ID 51753 //
     /* 2369238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369241 */     // (vselect:{ *:[nxv1i32] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2369241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369244 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369248 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369259 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369265 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369281 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369294 */     // GIR_Coverage, 51753,
     /* 2369294 */     GIR_EraseRootFromParent_Done,
     /* 2369295 */   // Label 29216: @2369295
     /* 2369295 */   GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2369357), // Rule ID 57402 //
     /* 2369300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369303 */     // (vselect:{ *:[nxv1f32] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2369303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369306 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369310 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369321 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369343 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369356 */     // GIR_Coverage, 57402,
     /* 2369356 */     GIR_EraseRootFromParent_Done,
     /* 2369357 */   // Label 29217: @2369357
     /* 2369357 */   GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2369419), // Rule ID 57403 //
     /* 2369362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369365 */     // (vselect:{ *:[nxv1f32] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2369365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369368 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369372 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369405 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369418 */     // GIR_Coverage, 57403,
     /* 2369418 */     GIR_EraseRootFromParent_Done,
     /* 2369419 */   // Label 29218: @2369419
     /* 2369419 */   GIM_Reject,
     /* 2369420 */ // Label 29214: @2369420
     /* 2369420 */ GIM_Reject,
     /* 2369421 */ // Label 29176: @2369421
     /* 2369421 */ GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2369700),
     /* 2369426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2369429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2369432 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2369435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2369439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2369443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369447 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369451 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2369513), // Rule ID 51776 //
     /* 2369456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2369459 */     // (vselect:{ *:[nxv1i64] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2369459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369462 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369466 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2369490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369499 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369512 */     // GIR_Coverage, 51776,
     /* 2369512 */     GIR_EraseRootFromParent_Done,
     /* 2369513 */   // Label 29220: @2369513
     /* 2369513 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2369575), // Rule ID 51777 //
     /* 2369518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2369521 */     // (vselect:{ *:[nxv1i64] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2369521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369524 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369528 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369539 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369545 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2369552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369561 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369574 */     // GIR_Coverage, 51777,
     /* 2369574 */     GIR_EraseRootFromParent_Done,
     /* 2369575 */   // Label 29221: @2369575
     /* 2369575 */   GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2369637), // Rule ID 57432 //
     /* 2369580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2369583 */     // (vselect:{ *:[nxv1f64] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2369583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369586 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369590 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369601 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369607 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2369614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369623 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369636 */     // GIR_Coverage, 57432,
     /* 2369636 */     GIR_EraseRootFromParent_Done,
     /* 2369637 */   // Label 29222: @2369637
     /* 2369637 */   GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2369699), // Rule ID 57433 //
     /* 2369642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2369645 */     // (vselect:{ *:[nxv1f64] } V0:{ *:[nxv1i1] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, V0:{ *:[nxv1i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2369645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2369648 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369652 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369663 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369669 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2369676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369685 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2369697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369698 */     // GIR_Coverage, 57433,
     /* 2369698 */     GIR_EraseRootFromParent_Done,
     /* 2369699 */   // Label 29223: @2369699
     /* 2369699 */   GIM_Reject,
     /* 2369700 */ // Label 29219: @2369700
     /* 2369700 */ GIM_Reject,
     /* 2369701 */ // Label 29177: @2369701
     /* 2369701 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2369856),
     /* 2369706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2369709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2369712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2369715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2369719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2369723 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369727 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369731 */   GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2369793), // Rule ID 51728 //
     /* 2369736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369739 */     // (vselect:{ *:[nxv2i8] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2369742 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369746 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369757 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369763 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2369770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369779 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369792 */     // GIR_Coverage, 51728,
     /* 2369792 */     GIR_EraseRootFromParent_Done,
     /* 2369793 */   // Label 29225: @2369793
     /* 2369793 */   GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2369855), // Rule ID 51729 //
     /* 2369798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369801 */     // (vselect:{ *:[nxv2i8] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2369804 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369808 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369819 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369825 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2369832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369841 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369854 */     // GIR_Coverage, 51729,
     /* 2369854 */     GIR_EraseRootFromParent_Done,
     /* 2369855 */   // Label 29226: @2369855
     /* 2369855 */   GIM_Reject,
     /* 2369856 */ // Label 29224: @2369856
     /* 2369856 */ GIM_Reject,
     /* 2369857 */ // Label 29178: @2369857
     /* 2369857 */ GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2370136),
     /* 2369862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2369865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2369868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2369871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2369875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2369879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369883 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369887 */   GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2369949), // Rule ID 51746 //
     /* 2369892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369895 */     // (vselect:{ *:[nxv2i16] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2369895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369898 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369902 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369913 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369919 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369935 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2369941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369948 */     // GIR_Coverage, 51746,
     /* 2369948 */     GIR_EraseRootFromParent_Done,
     /* 2369949 */   // Label 29228: @2369949
     /* 2369949 */   GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2370011), // Rule ID 51747 //
     /* 2369954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369957 */     // (vselect:{ *:[nxv2i16] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2369957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2369960 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369964 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2369971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2369975 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369981 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2369985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2369988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2369995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2369997 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370010 */     // GIR_Coverage, 51747,
     /* 2370010 */     GIR_EraseRootFromParent_Done,
     /* 2370011 */   // Label 29229: @2370011
     /* 2370011 */   GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2370073), // Rule ID 57392 //
     /* 2370016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370019 */     // (vselect:{ *:[nxv2f16] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2370019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370022 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370026 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370037 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370043 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2370050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370059 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370072 */     // GIR_Coverage, 57392,
     /* 2370072 */     GIR_EraseRootFromParent_Done,
     /* 2370073 */   // Label 29230: @2370073
     /* 2370073 */   GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2370135), // Rule ID 57393 //
     /* 2370078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370081 */     // (vselect:{ *:[nxv2f16] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2370081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370084 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370088 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2370112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370121 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370134 */     // GIR_Coverage, 57393,
     /* 2370134 */     GIR_EraseRootFromParent_Done,
     /* 2370135 */   // Label 29231: @2370135
     /* 2370135 */   GIM_Reject,
     /* 2370136 */ // Label 29227: @2370136
     /* 2370136 */ GIM_Reject,
     /* 2370137 */ // Label 29179: @2370137
     /* 2370137 */ GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2370416),
     /* 2370142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2370145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2370148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2370151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2370155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2370159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370167 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2370229), // Rule ID 51770 //
     /* 2370172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370175 */     // (vselect:{ *:[nxv2i32] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2370175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370178 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370182 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370215 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370228 */     // GIR_Coverage, 51770,
     /* 2370228 */     GIR_EraseRootFromParent_Done,
     /* 2370229 */   // Label 29233: @2370229
     /* 2370229 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2370291), // Rule ID 51771 //
     /* 2370234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370237 */     // (vselect:{ *:[nxv2i32] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2370237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370240 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370244 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370290 */     // GIR_Coverage, 51771,
     /* 2370290 */     GIR_EraseRootFromParent_Done,
     /* 2370291 */   // Label 29234: @2370291
     /* 2370291 */   GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2370353), // Rule ID 57422 //
     /* 2370296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370299 */     // (vselect:{ *:[nxv2f32] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2370299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370302 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370306 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370317 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370323 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370339 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370352 */     // GIR_Coverage, 57422,
     /* 2370352 */     GIR_EraseRootFromParent_Done,
     /* 2370353 */   // Label 29235: @2370353
     /* 2370353 */   GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2370415), // Rule ID 57423 //
     /* 2370358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370361 */     // (vselect:{ *:[nxv2f32] } V0:{ *:[nxv2i1] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2370361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370364 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370368 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370379 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370385 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370401 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370414 */     // GIR_Coverage, 57423,
     /* 2370414 */     GIR_EraseRootFromParent_Done,
     /* 2370415 */   // Label 29236: @2370415
     /* 2370415 */   GIM_Reject,
     /* 2370416 */ // Label 29232: @2370416
     /* 2370416 */ GIM_Reject,
     /* 2370417 */ // Label 29180: @2370417
     /* 2370417 */ GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2370696),
     /* 2370422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2370425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2370428 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2370431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2370435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2370439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370447 */   GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2370509), // Rule ID 51836 //
     /* 2370452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2370455 */     // (vselect:{ *:[nxv2i64] } V0:{ *:[nxv2i1] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2370455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370458 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370462 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2370486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370495 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370508 */     // GIR_Coverage, 51836,
     /* 2370508 */     GIR_EraseRootFromParent_Done,
     /* 2370509 */   // Label 29238: @2370509
     /* 2370509 */   GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2370571), // Rule ID 51837 //
     /* 2370514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370517 */     // (vselect:{ *:[nxv2i64] } V0:{ *:[nxv2i1] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2370517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370520 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370524 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2370548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370570 */     // GIR_Coverage, 51837,
     /* 2370570 */     GIR_EraseRootFromParent_Done,
     /* 2370571 */   // Label 29239: @2370571
     /* 2370571 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2370633), // Rule ID 57502 //
     /* 2370576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2370579 */     // (vselect:{ *:[nxv2f64] } V0:{ *:[nxv2i1] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2370579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370582 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370586 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370597 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370603 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2370610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370619 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370632 */     // GIR_Coverage, 57502,
     /* 2370632 */     GIR_EraseRootFromParent_Done,
     /* 2370633 */   // Label 29240: @2370633
     /* 2370633 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2370695), // Rule ID 57503 //
     /* 2370638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370641 */     // (vselect:{ *:[nxv2f64] } V0:{ *:[nxv2i1] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, V0:{ *:[nxv2i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2370641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370644 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370648 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2370672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370681 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370694 */     // GIR_Coverage, 57503,
     /* 2370694 */     GIR_EraseRootFromParent_Done,
     /* 2370695 */   // Label 29241: @2370695
     /* 2370695 */   GIM_Reject,
     /* 2370696 */ // Label 29237: @2370696
     /* 2370696 */ GIM_Reject,
     /* 2370697 */ // Label 29181: @2370697
     /* 2370697 */ GIM_Try, /*On fail goto*//*Label 29242*/ GIMT_Encode4(2370852),
     /* 2370702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2370705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2370708 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2370711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2370715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2370719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370727 */   GIM_Try, /*On fail goto*//*Label 29243*/ GIMT_Encode4(2370789), // Rule ID 51734 //
     /* 2370732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370735 */     // (vselect:{ *:[nxv4i8] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370738 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370742 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370753 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370759 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2370766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370775 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370788 */     // GIR_Coverage, 51734,
     /* 2370788 */     GIR_EraseRootFromParent_Done,
     /* 2370789 */   // Label 29243: @2370789
     /* 2370789 */   GIM_Try, /*On fail goto*//*Label 29244*/ GIMT_Encode4(2370851), // Rule ID 51735 //
     /* 2370794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370797 */     // (vselect:{ *:[nxv4i8] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370800 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370804 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370815 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370821 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2370828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370837 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370850 */     // GIR_Coverage, 51735,
     /* 2370850 */     GIR_EraseRootFromParent_Done,
     /* 2370851 */   // Label 29244: @2370851
     /* 2370851 */   GIM_Reject,
     /* 2370852 */ // Label 29242: @2370852
     /* 2370852 */ GIM_Reject,
     /* 2370853 */ // Label 29182: @2370853
     /* 2370853 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2371132),
     /* 2370858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2370861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2370864 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2370867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2370871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2370875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370879 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370883 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2370945), // Rule ID 51764 //
     /* 2370888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370891 */     // (vselect:{ *:[nxv4i16] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2370891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370894 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370898 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370931 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370944 */     // GIR_Coverage, 51764,
     /* 2370944 */     GIR_EraseRootFromParent_Done,
     /* 2370945 */   // Label 29246: @2370945
     /* 2370945 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2371007), // Rule ID 51765 //
     /* 2370950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370953 */     // (vselect:{ *:[nxv4i16] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2370953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370956 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370960 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2370967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2370971 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370977 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2370981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2370984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2370991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2370993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2370999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371006 */     // GIR_Coverage, 51765,
     /* 2371006 */     GIR_EraseRootFromParent_Done,
     /* 2371007 */   // Label 29247: @2371007
     /* 2371007 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2371069), // Rule ID 57412 //
     /* 2371012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371015 */     // (vselect:{ *:[nxv4f16] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2371015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371018 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371022 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371033 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371039 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2371046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371055 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371068 */     // GIR_Coverage, 57412,
     /* 2371068 */     GIR_EraseRootFromParent_Done,
     /* 2371069 */   // Label 29248: @2371069
     /* 2371069 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2371131), // Rule ID 57413 //
     /* 2371074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371077 */     // (vselect:{ *:[nxv4f16] } V0:{ *:[nxv4i1] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2371077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2371080 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371084 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371095 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371101 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2371108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371117 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371130 */     // GIR_Coverage, 57413,
     /* 2371130 */     GIR_EraseRootFromParent_Done,
     /* 2371131 */   // Label 29249: @2371131
     /* 2371131 */   GIM_Reject,
     /* 2371132 */ // Label 29245: @2371132
     /* 2371132 */ GIM_Reject,
     /* 2371133 */ // Label 29183: @2371133
     /* 2371133 */ GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2371412),
     /* 2371138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2371141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2371144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2371147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2371151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2371155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371159 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371163 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2371225), // Rule ID 51818 //
     /* 2371168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371171 */     // (vselect:{ *:[nxv4i32] } V0:{ *:[nxv4i1] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2371171 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371174 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371178 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371183 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371211 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371224 */     // GIR_Coverage, 51818,
     /* 2371224 */     GIR_EraseRootFromParent_Done,
     /* 2371225 */   // Label 29251: @2371225
     /* 2371225 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2371287), // Rule ID 51819 //
     /* 2371230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371233 */     // (vselect:{ *:[nxv4i32] } V0:{ *:[nxv4i1] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2371233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371236 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371240 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371286 */     // GIR_Coverage, 51819,
     /* 2371286 */     GIR_EraseRootFromParent_Done,
     /* 2371287 */   // Label 29252: @2371287
     /* 2371287 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2371349), // Rule ID 57472 //
     /* 2371292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371295 */     // (vselect:{ *:[nxv4f32] } V0:{ *:[nxv4i1] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2371295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371298 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371302 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371313 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371319 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371335 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371348 */     // GIR_Coverage, 57472,
     /* 2371348 */     GIR_EraseRootFromParent_Done,
     /* 2371349 */   // Label 29253: @2371349
     /* 2371349 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2371411), // Rule ID 57473 //
     /* 2371354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371357 */     // (vselect:{ *:[nxv4f32] } V0:{ *:[nxv4i1] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2371357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2371360 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371364 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371375 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371381 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371397 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371410 */     // GIR_Coverage, 57473,
     /* 2371410 */     GIR_EraseRootFromParent_Done,
     /* 2371411 */   // Label 29254: @2371411
     /* 2371411 */   GIM_Reject,
     /* 2371412 */ // Label 29250: @2371412
     /* 2371412 */ GIM_Reject,
     /* 2371413 */ // Label 29184: @2371413
     /* 2371413 */ GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2371692),
     /* 2371418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2371421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2371424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2371427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2371431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2371435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371443 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2371505), // Rule ID 51842 //
     /* 2371448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2371451 */     // (vselect:{ *:[nxv4i64] } V0:{ *:[nxv4i1] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2371451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371454 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371458 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371469 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371475 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2371482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371484 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371491 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371504 */     // GIR_Coverage, 51842,
     /* 2371504 */     GIR_EraseRootFromParent_Done,
     /* 2371505 */   // Label 29256: @2371505
     /* 2371505 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2371567), // Rule ID 51843 //
     /* 2371510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2371513 */     // (vselect:{ *:[nxv4i64] } V0:{ *:[nxv4i1] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2371513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371516 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371520 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371531 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371537 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2371544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371553 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371566 */     // GIR_Coverage, 51843,
     /* 2371566 */     GIR_EraseRootFromParent_Done,
     /* 2371567 */   // Label 29257: @2371567
     /* 2371567 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2371629), // Rule ID 57512 //
     /* 2371572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2371575 */     // (vselect:{ *:[nxv4f64] } V0:{ *:[nxv4i1] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2371575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371578 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371582 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371593 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371599 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2371606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371628 */     // GIR_Coverage, 57512,
     /* 2371628 */     GIR_EraseRootFromParent_Done,
     /* 2371629 */   // Label 29258: @2371629
     /* 2371629 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2371691), // Rule ID 57513 //
     /* 2371634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2371637 */     // (vselect:{ *:[nxv4f64] } V0:{ *:[nxv4i1] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, V0:{ *:[nxv4i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2371637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2371640 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371644 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371655 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371661 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2371668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371677 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371690 */     // GIR_Coverage, 57513,
     /* 2371690 */     GIR_EraseRootFromParent_Done,
     /* 2371691 */   // Label 29259: @2371691
     /* 2371691 */   GIM_Reject,
     /* 2371692 */ // Label 29255: @2371692
     /* 2371692 */ GIM_Reject,
     /* 2371693 */ // Label 29185: @2371693
     /* 2371693 */ GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2371848),
     /* 2371698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2371701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2371704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2371707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2371711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2371715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371719 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371723 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2371785), // Rule ID 51758 //
     /* 2371728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371731 */     // (vselect:{ *:[nxv8i8] } V0:{ *:[nxv8i1] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371734 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371738 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2371762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371771 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371784 */     // GIR_Coverage, 51758,
     /* 2371784 */     GIR_EraseRootFromParent_Done,
     /* 2371785 */   // Label 29261: @2371785
     /* 2371785 */   GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2371847), // Rule ID 51759 //
     /* 2371790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371793 */     // (vselect:{ *:[nxv8i8] } V0:{ *:[nxv8i1] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371796 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371800 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371811 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371817 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2371824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371833 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371846 */     // GIR_Coverage, 51759,
     /* 2371846 */     GIR_EraseRootFromParent_Done,
     /* 2371847 */   // Label 29262: @2371847
     /* 2371847 */   GIM_Reject,
     /* 2371848 */ // Label 29260: @2371848
     /* 2371848 */ GIM_Reject,
     /* 2371849 */ // Label 29186: @2371849
     /* 2371849 */ GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2372128),
     /* 2371854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2371857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2371860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2371863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2371867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2371871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371879 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2371941), // Rule ID 51800 //
     /* 2371884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371887 */     // (vselect:{ *:[nxv8i16] } V0:{ *:[nxv8i1] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2371887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371890 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371894 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371905 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371911 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371940 */     // GIR_Coverage, 51800,
     /* 2371940 */     GIR_EraseRootFromParent_Done,
     /* 2371941 */   // Label 29264: @2371941
     /* 2371941 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2372003), // Rule ID 51801 //
     /* 2371946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371949 */     // (vselect:{ *:[nxv8i16] } V0:{ *:[nxv8i1] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2371949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371952 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371956 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2371963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2371967 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371973 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2371977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2371980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2371987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2371989 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2371995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372002 */     // GIR_Coverage, 51801,
     /* 2372002 */     GIR_EraseRootFromParent_Done,
     /* 2372003 */   // Label 29265: @2372003
     /* 2372003 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2372065), // Rule ID 57442 //
     /* 2372008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372011 */     // (vselect:{ *:[nxv8f16] } V0:{ *:[nxv8i1] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2372011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2372014 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372018 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372029 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372035 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2372042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372051 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372064 */     // GIR_Coverage, 57442,
     /* 2372064 */     GIR_EraseRootFromParent_Done,
     /* 2372065 */   // Label 29266: @2372065
     /* 2372065 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2372127), // Rule ID 57443 //
     /* 2372070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372073 */     // (vselect:{ *:[nxv8f16] } V0:{ *:[nxv8i1] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2372073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2372076 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372080 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372091 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372097 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2372104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372113 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372126 */     // GIR_Coverage, 57443,
     /* 2372126 */     GIR_EraseRootFromParent_Done,
     /* 2372127 */   // Label 29267: @2372127
     /* 2372127 */   GIM_Reject,
     /* 2372128 */ // Label 29263: @2372128
     /* 2372128 */ GIM_Reject,
     /* 2372129 */ // Label 29187: @2372129
     /* 2372129 */ GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2372408),
     /* 2372134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2372137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2372140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2372143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2372147 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2372151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372159 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2372221), // Rule ID 51824 //
     /* 2372164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372167 */     // (vselect:{ *:[nxv8i32] } V0:{ *:[nxv8i1] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2372167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372170 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372174 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372220 */     // GIR_Coverage, 51824,
     /* 2372220 */     GIR_EraseRootFromParent_Done,
     /* 2372221 */   // Label 29269: @2372221
     /* 2372221 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2372283), // Rule ID 51825 //
     /* 2372226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372229 */     // (vselect:{ *:[nxv8i32] } V0:{ *:[nxv8i1] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2372229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372232 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372236 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372247 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372253 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372282 */     // GIR_Coverage, 51825,
     /* 2372282 */     GIR_EraseRootFromParent_Done,
     /* 2372283 */   // Label 29270: @2372283
     /* 2372283 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2372345), // Rule ID 57482 //
     /* 2372288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372291 */     // (vselect:{ *:[nxv8f32] } V0:{ *:[nxv8i1] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2372291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372294 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372298 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372309 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372315 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372344 */     // GIR_Coverage, 57482,
     /* 2372344 */     GIR_EraseRootFromParent_Done,
     /* 2372345 */   // Label 29271: @2372345
     /* 2372345 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2372407), // Rule ID 57483 //
     /* 2372350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372353 */     // (vselect:{ *:[nxv8f32] } V0:{ *:[nxv8i1] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2372353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2372356 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372360 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372393 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372406 */     // GIR_Coverage, 57483,
     /* 2372406 */     GIR_EraseRootFromParent_Done,
     /* 2372407 */   // Label 29272: @2372407
     /* 2372407 */   GIM_Reject,
     /* 2372408 */ // Label 29268: @2372408
     /* 2372408 */ GIM_Reject,
     /* 2372409 */ // Label 29188: @2372409
     /* 2372409 */ GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2372688),
     /* 2372414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2372417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2372420 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2372423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2372427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2372431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372439 */   GIM_Try, /*On fail goto*//*Label 29274*/ GIMT_Encode4(2372501), // Rule ID 51848 //
     /* 2372444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2372447 */     // (vselect:{ *:[nxv8i64] } V0:{ *:[nxv8i1] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2372447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372450 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372454 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372465 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372471 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2372478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372487 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372500 */     // GIR_Coverage, 51848,
     /* 2372500 */     GIR_EraseRootFromParent_Done,
     /* 2372501 */   // Label 29274: @2372501
     /* 2372501 */   GIM_Try, /*On fail goto*//*Label 29275*/ GIMT_Encode4(2372563), // Rule ID 51849 //
     /* 2372506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2372509 */     // (vselect:{ *:[nxv8i64] } V0:{ *:[nxv8i1] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2372509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372512 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372516 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372527 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372533 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2372540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372562 */     // GIR_Coverage, 51849,
     /* 2372562 */     GIR_EraseRootFromParent_Done,
     /* 2372563 */   // Label 29275: @2372563
     /* 2372563 */   GIM_Try, /*On fail goto*//*Label 29276*/ GIMT_Encode4(2372625), // Rule ID 57522 //
     /* 2372568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2372571 */     // (vselect:{ *:[nxv8f64] } V0:{ *:[nxv8i1] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2372571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372574 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372578 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372589 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2372602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372611 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372624 */     // GIR_Coverage, 57522,
     /* 2372624 */     GIR_EraseRootFromParent_Done,
     /* 2372625 */   // Label 29276: @2372625
     /* 2372625 */   GIM_Try, /*On fail goto*//*Label 29277*/ GIMT_Encode4(2372687), // Rule ID 57523 //
     /* 2372630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2372633 */     // (vselect:{ *:[nxv8f64] } V0:{ *:[nxv8i1] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, V0:{ *:[nxv8i1] }, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2372633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2372636 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372640 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2372664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372673 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372686 */     // GIR_Coverage, 57523,
     /* 2372686 */     GIR_EraseRootFromParent_Done,
     /* 2372687 */   // Label 29277: @2372687
     /* 2372687 */   GIM_Reject,
     /* 2372688 */ // Label 29273: @2372688
     /* 2372688 */ GIM_Reject,
     /* 2372689 */ // Label 29189: @2372689
     /* 2372689 */ GIM_Try, /*On fail goto*//*Label 29278*/ GIMT_Encode4(2372844),
     /* 2372694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2372697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2372700 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2372703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2372707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2372711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2372719 */   GIM_Try, /*On fail goto*//*Label 29279*/ GIMT_Encode4(2372781), // Rule ID 51782 //
     /* 2372724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372727 */     // (vselect:{ *:[nxv16i8] } V0:{ *:[nxv16i1] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2372730 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372734 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372745 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372751 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2372758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372767 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372780 */     // GIR_Coverage, 51782,
     /* 2372780 */     GIR_EraseRootFromParent_Done,
     /* 2372781 */   // Label 29279: @2372781
     /* 2372781 */   GIM_Try, /*On fail goto*//*Label 29280*/ GIMT_Encode4(2372843), // Rule ID 51783 //
     /* 2372786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372789 */     // (vselect:{ *:[nxv16i8] } V0:{ *:[nxv16i1] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2372792 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372796 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372807 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372813 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2372820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372829 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372842 */     // GIR_Coverage, 51783,
     /* 2372842 */     GIR_EraseRootFromParent_Done,
     /* 2372843 */   // Label 29280: @2372843
     /* 2372843 */   GIM_Reject,
     /* 2372844 */ // Label 29278: @2372844
     /* 2372844 */ GIM_Reject,
     /* 2372845 */ // Label 29190: @2372845
     /* 2372845 */ GIM_Try, /*On fail goto*//*Label 29281*/ GIMT_Encode4(2373124),
     /* 2372850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2372853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2372856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2372859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2372863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2372867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372871 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2372875 */   GIM_Try, /*On fail goto*//*Label 29282*/ GIMT_Encode4(2372937), // Rule ID 51806 //
     /* 2372880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372883 */     // (vselect:{ *:[nxv16i16] } V0:{ *:[nxv16i1] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2372883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372886 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372890 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372936 */     // GIR_Coverage, 51806,
     /* 2372936 */     GIR_EraseRootFromParent_Done,
     /* 2372937 */   // Label 29282: @2372937
     /* 2372937 */   GIM_Try, /*On fail goto*//*Label 29283*/ GIMT_Encode4(2372999), // Rule ID 51807 //
     /* 2372942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372945 */     // (vselect:{ *:[nxv16i16] } V0:{ *:[nxv16i1] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2372945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2372948 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372952 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2372959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2372963 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372969 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2372973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2372976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2372983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2372985 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2372991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372998 */     // GIR_Coverage, 51807,
     /* 2372998 */     GIR_EraseRootFromParent_Done,
     /* 2372999 */   // Label 29283: @2372999
     /* 2372999 */   GIM_Try, /*On fail goto*//*Label 29284*/ GIMT_Encode4(2373061), // Rule ID 57452 //
     /* 2373004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373007 */     // (vselect:{ *:[nxv16f16] } V0:{ *:[nxv16i1] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2373007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373010 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373014 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2373038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373047 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373060 */     // GIR_Coverage, 57452,
     /* 2373060 */     GIR_EraseRootFromParent_Done,
     /* 2373061 */   // Label 29284: @2373061
     /* 2373061 */   GIM_Try, /*On fail goto*//*Label 29285*/ GIMT_Encode4(2373123), // Rule ID 57453 //
     /* 2373066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373069 */     // (vselect:{ *:[nxv16f16] } V0:{ *:[nxv16i1] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2373069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2373072 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373076 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373087 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2373100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373109 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373122 */     // GIR_Coverage, 57453,
     /* 2373122 */     GIR_EraseRootFromParent_Done,
     /* 2373123 */   // Label 29285: @2373123
     /* 2373123 */   GIM_Reject,
     /* 2373124 */ // Label 29281: @2373124
     /* 2373124 */ GIM_Reject,
     /* 2373125 */ // Label 29191: @2373125
     /* 2373125 */ GIM_Try, /*On fail goto*//*Label 29286*/ GIMT_Encode4(2373404),
     /* 2373130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2373133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2373136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2373139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2373143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2373147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373151 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373155 */   GIM_Try, /*On fail goto*//*Label 29287*/ GIMT_Encode4(2373217), // Rule ID 51830 //
     /* 2373160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373163 */     // (vselect:{ *:[nxv16i32] } V0:{ *:[nxv16i1] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2373163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373166 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373170 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373216 */     // GIR_Coverage, 51830,
     /* 2373216 */     GIR_EraseRootFromParent_Done,
     /* 2373217 */   // Label 29287: @2373217
     /* 2373217 */   GIM_Try, /*On fail goto*//*Label 29288*/ GIMT_Encode4(2373279), // Rule ID 51831 //
     /* 2373222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373225 */     // (vselect:{ *:[nxv16i32] } V0:{ *:[nxv16i1] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2373225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373228 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373232 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373243 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373249 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373278 */     // GIR_Coverage, 51831,
     /* 2373278 */     GIR_EraseRootFromParent_Done,
     /* 2373279 */   // Label 29288: @2373279
     /* 2373279 */   GIM_Try, /*On fail goto*//*Label 29289*/ GIMT_Encode4(2373341), // Rule ID 57492 //
     /* 2373284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373287 */     // (vselect:{ *:[nxv16f32] } V0:{ *:[nxv16i1] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2373287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373290 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373294 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373305 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373311 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373327 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373340 */     // GIR_Coverage, 57492,
     /* 2373340 */     GIR_EraseRootFromParent_Done,
     /* 2373341 */   // Label 29289: @2373341
     /* 2373341 */   GIM_Try, /*On fail goto*//*Label 29290*/ GIMT_Encode4(2373403), // Rule ID 57493 //
     /* 2373346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373349 */     // (vselect:{ *:[nxv16f32] } V0:{ *:[nxv16i1] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, V0:{ *:[nxv16i1] }, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2373349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2373352 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373356 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373367 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373373 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373389 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373402 */     // GIR_Coverage, 57493,
     /* 2373402 */     GIR_EraseRootFromParent_Done,
     /* 2373403 */   // Label 29290: @2373403
     /* 2373403 */   GIM_Reject,
     /* 2373404 */ // Label 29286: @2373404
     /* 2373404 */ GIM_Reject,
     /* 2373405 */ // Label 29192: @2373405
     /* 2373405 */ GIM_Try, /*On fail goto*//*Label 29291*/ GIMT_Encode4(2373560),
     /* 2373410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2373413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2373416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2373419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2373423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2373427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373435 */   GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2373497), // Rule ID 51788 //
     /* 2373440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373443 */     // (vselect:{ *:[nxv32i8] } V0:{ *:[nxv32i1] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2373446 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373450 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373461 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373467 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2373474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373483 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373496 */     // GIR_Coverage, 51788,
     /* 2373496 */     GIR_EraseRootFromParent_Done,
     /* 2373497 */   // Label 29292: @2373497
     /* 2373497 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2373559), // Rule ID 51789 //
     /* 2373502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373505 */     // (vselect:{ *:[nxv32i8] } V0:{ *:[nxv32i1] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2373508 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373512 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373523 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373529 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2373536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373558 */     // GIR_Coverage, 51789,
     /* 2373558 */     GIR_EraseRootFromParent_Done,
     /* 2373559 */   // Label 29293: @2373559
     /* 2373559 */   GIM_Reject,
     /* 2373560 */ // Label 29291: @2373560
     /* 2373560 */ GIM_Reject,
     /* 2373561 */ // Label 29193: @2373561
     /* 2373561 */ GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2373840),
     /* 2373566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2373569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2373572 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2373575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2373579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2373583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373591 */   GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2373653), // Rule ID 51812 //
     /* 2373596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373599 */     // (vselect:{ *:[nxv32i16] } V0:{ *:[nxv32i1] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2373599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373602 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373606 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373617 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373623 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373652 */     // GIR_Coverage, 51812,
     /* 2373652 */     GIR_EraseRootFromParent_Done,
     /* 2373653 */   // Label 29295: @2373653
     /* 2373653 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2373715), // Rule ID 51813 //
     /* 2373658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373661 */     // (vselect:{ *:[nxv32i16] } V0:{ *:[nxv32i1] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2373661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373664 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373668 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373679 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373685 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373701 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373714 */     // GIR_Coverage, 51813,
     /* 2373714 */     GIR_EraseRootFromParent_Done,
     /* 2373715 */   // Label 29296: @2373715
     /* 2373715 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2373777), // Rule ID 57462 //
     /* 2373720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373723 */     // (vselect:{ *:[nxv32f16] } V0:{ *:[nxv32i1] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2373723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373726 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373730 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373763 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373776 */     // GIR_Coverage, 57462,
     /* 2373776 */     GIR_EraseRootFromParent_Done,
     /* 2373777 */   // Label 29297: @2373777
     /* 2373777 */   GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2373839), // Rule ID 57463 //
     /* 2373782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373785 */     // (vselect:{ *:[nxv32f16] } V0:{ *:[nxv32i1] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, V0:{ *:[nxv32i1] }, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2373785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2373788 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373792 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373803 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373809 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373825 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373838 */     // GIR_Coverage, 57463,
     /* 2373838 */     GIR_EraseRootFromParent_Done,
     /* 2373839 */   // Label 29298: @2373839
     /* 2373839 */   GIM_Reject,
     /* 2373840 */ // Label 29294: @2373840
     /* 2373840 */ GIM_Reject,
     /* 2373841 */ // Label 29194: @2373841
     /* 2373841 */ GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2373996),
     /* 2373846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2373849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2373852 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2373855 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2373859 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2373863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2373871 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2373933), // Rule ID 51794 //
     /* 2373876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373879 */     // (vselect:{ *:[nxv64i8] } V0:{ *:[nxv64i1] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2373882 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373886 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373897 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373903 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373919 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373932 */     // GIR_Coverage, 51794,
     /* 2373932 */     GIR_EraseRootFromParent_Done,
     /* 2373933 */   // Label 29300: @2373933
     /* 2373933 */   GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2373995), // Rule ID 51795 //
     /* 2373938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373941 */     // (vselect:{ *:[nxv64i8] } V0:{ *:[nxv64i1] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, V0:{ *:[nxv64i1] }, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2373944 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373948 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2373955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2373959 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373965 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // V0
     /* 2373969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2373972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2373979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2373981 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2373987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373994 */     // GIR_Coverage, 51795,
     /* 2373994 */     GIR_EraseRootFromParent_Done,
     /* 2373995 */   // Label 29301: @2373995
     /* 2373995 */   GIM_Reject,
     /* 2373996 */ // Label 29299: @2373996
     /* 2373996 */ GIM_Reject,
     /* 2373997 */ // Label 29195: @2373997
     /* 2373997 */ GIM_Reject,
     /* 2373998 */ // Label 51: @2373998
     /* 2373998 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29326*/ GIMT_Encode4(2376731),
     /* 2374009 */ /*GILLT_s32*//*Label 29302*/ GIMT_Encode4(2374133),
     /* 2374013 */ /*GILLT_s64*//*Label 29303*/ GIMT_Encode4(2374167), GIMT_Encode4(0),
     /* 2374021 */ /*GILLT_nxv1s8*//*Label 29304*/ GIMT_Encode4(2374201),
     /* 2374025 */ /*GILLT_nxv1s16*//*Label 29305*/ GIMT_Encode4(2374316),
     /* 2374029 */ /*GILLT_nxv1s32*//*Label 29306*/ GIMT_Encode4(2374431),
     /* 2374033 */ /*GILLT_nxv1s64*//*Label 29307*/ GIMT_Encode4(2374546), GIMT_Encode4(0),
     /* 2374041 */ /*GILLT_nxv2s8*//*Label 29308*/ GIMT_Encode4(2374661),
     /* 2374045 */ /*GILLT_nxv2s16*//*Label 29309*/ GIMT_Encode4(2374776),
     /* 2374049 */ /*GILLT_nxv2s32*//*Label 29310*/ GIMT_Encode4(2374891),
     /* 2374053 */ /*GILLT_nxv2s64*//*Label 29311*/ GIMT_Encode4(2375006), GIMT_Encode4(0),
     /* 2374061 */ /*GILLT_nxv4s8*//*Label 29312*/ GIMT_Encode4(2375121),
     /* 2374065 */ /*GILLT_nxv4s16*//*Label 29313*/ GIMT_Encode4(2375236),
     /* 2374069 */ /*GILLT_nxv4s32*//*Label 29314*/ GIMT_Encode4(2375351),
     /* 2374073 */ /*GILLT_nxv4s64*//*Label 29315*/ GIMT_Encode4(2375466), GIMT_Encode4(0),
     /* 2374081 */ /*GILLT_nxv8s8*//*Label 29316*/ GIMT_Encode4(2375581),
     /* 2374085 */ /*GILLT_nxv8s16*//*Label 29317*/ GIMT_Encode4(2375696),
     /* 2374089 */ /*GILLT_nxv8s32*//*Label 29318*/ GIMT_Encode4(2375811),
     /* 2374093 */ /*GILLT_nxv8s64*//*Label 29319*/ GIMT_Encode4(2375926), GIMT_Encode4(0),
     /* 2374101 */ /*GILLT_nxv16s8*//*Label 29320*/ GIMT_Encode4(2376041),
     /* 2374105 */ /*GILLT_nxv16s16*//*Label 29321*/ GIMT_Encode4(2376156),
     /* 2374109 */ /*GILLT_nxv16s32*//*Label 29322*/ GIMT_Encode4(2376271), GIMT_Encode4(0),
     /* 2374117 */ /*GILLT_nxv32s8*//*Label 29323*/ GIMT_Encode4(2376386),
     /* 2374121 */ /*GILLT_nxv32s16*//*Label 29324*/ GIMT_Encode4(2376501), GIMT_Encode4(0),
     /* 2374129 */ /*GILLT_nxv64s8*//*Label 29325*/ GIMT_Encode4(2376616),
     /* 2374133 */ // Label 29302: @2374133
     /* 2374133 */ GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2374166), // Rule ID 292 //
     /* 2374138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2374141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2374144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2374147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374159 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2374159 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2374164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2374165 */   // GIR_Coverage, 292,
     /* 2374165 */   GIR_Done,
     /* 2374166 */ // Label 29327: @2374166
     /* 2374166 */ GIM_Reject,
     /* 2374167 */ // Label 29303: @2374167
     /* 2374167 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2374200), // Rule ID 291 //
     /* 2374172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2374175 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2374178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2374181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2374193 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2374193 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2374198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2374199 */   // GIR_Coverage, 291,
     /* 2374199 */   GIR_Done,
     /* 2374200 */ // Label 29328: @2374200
     /* 2374200 */ GIM_Reject,
     /* 2374201 */ // Label 29304: @2374201
     /* 2374201 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2374315),
     /* 2374206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2374209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2374212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374224 */   GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2374269), // Rule ID 50498 //
     /* 2374229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374232 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2374235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2374249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374268 */     // GIR_Coverage, 50498,
     /* 2374268 */     GIR_EraseRootFromParent_Done,
     /* 2374269 */   // Label 29330: @2374269
     /* 2374269 */   GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2374314), // Rule ID 50499 //
     /* 2374274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374277 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2374280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2374294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374313 */     // GIR_Coverage, 50499,
     /* 2374313 */     GIR_EraseRootFromParent_Done,
     /* 2374314 */   // Label 29331: @2374314
     /* 2374314 */   GIM_Reject,
     /* 2374315 */ // Label 29329: @2374315
     /* 2374315 */ GIM_Reject,
     /* 2374316 */ // Label 29305: @2374316
     /* 2374316 */ GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2374430),
     /* 2374321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2374324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2374327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374339 */   GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2374384), // Rule ID 50510 //
     /* 2374344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374347 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2374364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374383 */     // GIR_Coverage, 50510,
     /* 2374383 */     GIR_EraseRootFromParent_Done,
     /* 2374384 */   // Label 29333: @2374384
     /* 2374384 */   GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2374429), // Rule ID 50511 //
     /* 2374389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374392 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2374395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2374409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374428 */     // GIR_Coverage, 50511,
     /* 2374428 */     GIR_EraseRootFromParent_Done,
     /* 2374429 */   // Label 29334: @2374429
     /* 2374429 */   GIM_Reject,
     /* 2374430 */ // Label 29332: @2374430
     /* 2374430 */ GIM_Reject,
     /* 2374431 */ // Label 29306: @2374431
     /* 2374431 */ GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2374545),
     /* 2374436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2374439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2374442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374454 */   GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2374499), // Rule ID 50518 //
     /* 2374459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374462 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2374479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374498 */     // GIR_Coverage, 50518,
     /* 2374498 */     GIR_EraseRootFromParent_Done,
     /* 2374499 */   // Label 29336: @2374499
     /* 2374499 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2374544), // Rule ID 50519 //
     /* 2374504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374507 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2374510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2374524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374543 */     // GIR_Coverage, 50519,
     /* 2374543 */     GIR_EraseRootFromParent_Done,
     /* 2374544 */   // Label 29337: @2374544
     /* 2374544 */   GIM_Reject,
     /* 2374545 */ // Label 29335: @2374545
     /* 2374545 */ GIM_Reject,
     /* 2374546 */ // Label 29307: @2374546
     /* 2374546 */ GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2374660),
     /* 2374551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2374554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2374557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374569 */   GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2374614), // Rule ID 50586 //
     /* 2374574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2374577 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2374594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374613 */     // GIR_Coverage, 50586,
     /* 2374613 */     GIR_EraseRootFromParent_Done,
     /* 2374614 */   // Label 29339: @2374614
     /* 2374614 */   GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2374659), // Rule ID 50587 //
     /* 2374619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2374622 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2374625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2374639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374658 */     // GIR_Coverage, 50587,
     /* 2374658 */     GIR_EraseRootFromParent_Done,
     /* 2374659 */   // Label 29340: @2374659
     /* 2374659 */   GIM_Reject,
     /* 2374660 */ // Label 29338: @2374660
     /* 2374660 */ GIM_Reject,
     /* 2374661 */ // Label 29308: @2374661
     /* 2374661 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2374775),
     /* 2374666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2374669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2374672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374684 */   GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2374729), // Rule ID 50502 //
     /* 2374689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374692 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2374695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2374709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374728 */     // GIR_Coverage, 50502,
     /* 2374728 */     GIR_EraseRootFromParent_Done,
     /* 2374729 */   // Label 29342: @2374729
     /* 2374729 */   GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2374774), // Rule ID 50503 //
     /* 2374734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374737 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2374740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2374754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374773 */     // GIR_Coverage, 50503,
     /* 2374773 */     GIR_EraseRootFromParent_Done,
     /* 2374774 */   // Label 29343: @2374774
     /* 2374774 */   GIM_Reject,
     /* 2374775 */ // Label 29341: @2374775
     /* 2374775 */ GIM_Reject,
     /* 2374776 */ // Label 29309: @2374776
     /* 2374776 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2374890),
     /* 2374781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2374784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2374787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374799 */   GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2374844), // Rule ID 50514 //
     /* 2374804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374807 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2374824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374843 */     // GIR_Coverage, 50514,
     /* 2374843 */     GIR_EraseRootFromParent_Done,
     /* 2374844 */   // Label 29345: @2374844
     /* 2374844 */   GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2374889), // Rule ID 50515 //
     /* 2374849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374852 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2374855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2374869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374888 */     // GIR_Coverage, 50515,
     /* 2374888 */     GIR_EraseRootFromParent_Done,
     /* 2374889 */   // Label 29346: @2374889
     /* 2374889 */   GIM_Reject,
     /* 2374890 */ // Label 29344: @2374890
     /* 2374890 */ GIM_Reject,
     /* 2374891 */ // Label 29310: @2374891
     /* 2374891 */ GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2375005),
     /* 2374896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2374899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2374902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2374914 */   GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2374959), // Rule ID 50530 //
     /* 2374919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374922 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2374925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2374939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374958 */     // GIR_Coverage, 50530,
     /* 2374958 */     GIR_EraseRootFromParent_Done,
     /* 2374959 */   // Label 29348: @2374959
     /* 2374959 */   GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2375004), // Rule ID 50531 //
     /* 2374964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374967 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2374970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2374984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375003 */     // GIR_Coverage, 50531,
     /* 2375003 */     GIR_EraseRootFromParent_Done,
     /* 2375004 */   // Label 29349: @2375004
     /* 2375004 */   GIM_Reject,
     /* 2375005 */ // Label 29347: @2375005
     /* 2375005 */ GIM_Reject,
     /* 2375006 */ // Label 29311: @2375006
     /* 2375006 */ GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2375120),
     /* 2375011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2375017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375029 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2375074), // Rule ID 50590 //
     /* 2375034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2375037 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375073 */     // GIR_Coverage, 50590,
     /* 2375073 */     GIR_EraseRootFromParent_Done,
     /* 2375074 */   // Label 29351: @2375074
     /* 2375074 */   GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2375119), // Rule ID 50591 //
     /* 2375079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2375082 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2375085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375118 */     // GIR_Coverage, 50591,
     /* 2375118 */     GIR_EraseRootFromParent_Done,
     /* 2375119 */   // Label 29352: @2375119
     /* 2375119 */   GIM_Reject,
     /* 2375120 */ // Label 29350: @2375120
     /* 2375120 */ GIM_Reject,
     /* 2375121 */ // Label 29312: @2375121
     /* 2375121 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2375235),
     /* 2375126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2375129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2375132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375144 */   GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2375189), // Rule ID 50506 //
     /* 2375149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375152 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2375169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375188 */     // GIR_Coverage, 50506,
     /* 2375188 */     GIR_EraseRootFromParent_Done,
     /* 2375189 */   // Label 29354: @2375189
     /* 2375189 */   GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2375234), // Rule ID 50507 //
     /* 2375194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375197 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2375200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2375214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375233 */     // GIR_Coverage, 50507,
     /* 2375233 */     GIR_EraseRootFromParent_Done,
     /* 2375234 */   // Label 29355: @2375234
     /* 2375234 */   GIM_Reject,
     /* 2375235 */ // Label 29353: @2375235
     /* 2375235 */ GIM_Reject,
     /* 2375236 */ // Label 29313: @2375236
     /* 2375236 */ GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2375350),
     /* 2375241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2375244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2375247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375259 */   GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2375304), // Rule ID 50526 //
     /* 2375264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375267 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2375284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375303 */     // GIR_Coverage, 50526,
     /* 2375303 */     GIR_EraseRootFromParent_Done,
     /* 2375304 */   // Label 29357: @2375304
     /* 2375304 */   GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2375349), // Rule ID 50527 //
     /* 2375309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375312 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2375315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2375329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375348 */     // GIR_Coverage, 50527,
     /* 2375348 */     GIR_EraseRootFromParent_Done,
     /* 2375349 */   // Label 29358: @2375349
     /* 2375349 */   GIM_Reject,
     /* 2375350 */ // Label 29356: @2375350
     /* 2375350 */ GIM_Reject,
     /* 2375351 */ // Label 29314: @2375351
     /* 2375351 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2375465),
     /* 2375356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2375359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2375362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375374 */   GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2375419), // Rule ID 50558 //
     /* 2375379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375382 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375418 */     // GIR_Coverage, 50558,
     /* 2375418 */     GIR_EraseRootFromParent_Done,
     /* 2375419 */   // Label 29360: @2375419
     /* 2375419 */   GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2375464), // Rule ID 50559 //
     /* 2375424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375427 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2375430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375463 */     // GIR_Coverage, 50559,
     /* 2375463 */     GIR_EraseRootFromParent_Done,
     /* 2375464 */   // Label 29361: @2375464
     /* 2375464 */   GIM_Reject,
     /* 2375465 */ // Label 29359: @2375465
     /* 2375465 */ GIM_Reject,
     /* 2375466 */ // Label 29315: @2375466
     /* 2375466 */ GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2375580),
     /* 2375471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2375474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2375477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375489 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2375534), // Rule ID 50594 //
     /* 2375494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2375497 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2375514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375533 */     // GIR_Coverage, 50594,
     /* 2375533 */     GIR_EraseRootFromParent_Done,
     /* 2375534 */   // Label 29363: @2375534
     /* 2375534 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2375579), // Rule ID 50595 //
     /* 2375539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2375542 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2375545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2375559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375578 */     // GIR_Coverage, 50595,
     /* 2375578 */     GIR_EraseRootFromParent_Done,
     /* 2375579 */   // Label 29364: @2375579
     /* 2375579 */   GIM_Reject,
     /* 2375580 */ // Label 29362: @2375580
     /* 2375580 */ GIM_Reject,
     /* 2375581 */ // Label 29316: @2375581
     /* 2375581 */ GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2375695),
     /* 2375586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2375589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2375592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375604 */   GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2375649), // Rule ID 50522 //
     /* 2375609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375612 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2375615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2375629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375648 */     // GIR_Coverage, 50522,
     /* 2375648 */     GIR_EraseRootFromParent_Done,
     /* 2375649 */   // Label 29366: @2375649
     /* 2375649 */   GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2375694), // Rule ID 50523 //
     /* 2375654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375657 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2375660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2375674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375693 */     // GIR_Coverage, 50523,
     /* 2375693 */     GIR_EraseRootFromParent_Done,
     /* 2375694 */   // Label 29367: @2375694
     /* 2375694 */   GIM_Reject,
     /* 2375695 */ // Label 29365: @2375695
     /* 2375695 */ GIM_Reject,
     /* 2375696 */ // Label 29317: @2375696
     /* 2375696 */ GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2375810),
     /* 2375701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2375704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2375707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2375719 */   GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2375764), // Rule ID 50546 //
     /* 2375724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375727 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375763 */     // GIR_Coverage, 50546,
     /* 2375763 */     GIR_EraseRootFromParent_Done,
     /* 2375764 */   // Label 29369: @2375764
     /* 2375764 */   GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2375809), // Rule ID 50547 //
     /* 2375769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375772 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2375775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2375789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375808 */     // GIR_Coverage, 50547,
     /* 2375808 */     GIR_EraseRootFromParent_Done,
     /* 2375809 */   // Label 29370: @2375809
     /* 2375809 */   GIM_Reject,
     /* 2375810 */ // Label 29368: @2375810
     /* 2375810 */ GIM_Reject,
     /* 2375811 */ // Label 29318: @2375811
     /* 2375811 */ GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2375925),
     /* 2375816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2375819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2375822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2375834 */   GIM_Try, /*On fail goto*//*Label 29372*/ GIMT_Encode4(2375879), // Rule ID 50562 //
     /* 2375839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375842 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2375859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375878 */     // GIR_Coverage, 50562,
     /* 2375878 */     GIR_EraseRootFromParent_Done,
     /* 2375879 */   // Label 29372: @2375879
     /* 2375879 */   GIM_Try, /*On fail goto*//*Label 29373*/ GIMT_Encode4(2375924), // Rule ID 50563 //
     /* 2375884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375887 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2375890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2375904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375923 */     // GIR_Coverage, 50563,
     /* 2375923 */     GIR_EraseRootFromParent_Done,
     /* 2375924 */   // Label 29373: @2375924
     /* 2375924 */   GIM_Reject,
     /* 2375925 */ // Label 29371: @2375925
     /* 2375925 */ GIM_Reject,
     /* 2375926 */ // Label 29319: @2375926
     /* 2375926 */ GIM_Try, /*On fail goto*//*Label 29374*/ GIMT_Encode4(2376040),
     /* 2375931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2375934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2375937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2375949 */   GIM_Try, /*On fail goto*//*Label 29375*/ GIMT_Encode4(2375994), // Rule ID 50598 //
     /* 2375954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2375957 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2375960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2375974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375993 */     // GIR_Coverage, 50598,
     /* 2375993 */     GIR_EraseRootFromParent_Done,
     /* 2375994 */   // Label 29375: @2375994
     /* 2375994 */   GIM_Try, /*On fail goto*//*Label 29376*/ GIMT_Encode4(2376039), // Rule ID 50599 //
     /* 2375999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2376002 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376038 */     // GIR_Coverage, 50599,
     /* 2376038 */     GIR_EraseRootFromParent_Done,
     /* 2376039 */   // Label 29376: @2376039
     /* 2376039 */   GIM_Reject,
     /* 2376040 */ // Label 29374: @2376040
     /* 2376040 */ GIM_Reject,
     /* 2376041 */ // Label 29320: @2376041
     /* 2376041 */ GIM_Try, /*On fail goto*//*Label 29377*/ GIMT_Encode4(2376155),
     /* 2376046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2376049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2376052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376064 */   GIM_Try, /*On fail goto*//*Label 29378*/ GIMT_Encode4(2376109), // Rule ID 50534 //
     /* 2376069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376072 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2376089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376108 */     // GIR_Coverage, 50534,
     /* 2376108 */     GIR_EraseRootFromParent_Done,
     /* 2376109 */   // Label 29378: @2376109
     /* 2376109 */   GIM_Try, /*On fail goto*//*Label 29379*/ GIMT_Encode4(2376154), // Rule ID 50535 //
     /* 2376114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376117 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2376120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2376134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376153 */     // GIR_Coverage, 50535,
     /* 2376153 */     GIR_EraseRootFromParent_Done,
     /* 2376154 */   // Label 29379: @2376154
     /* 2376154 */   GIM_Reject,
     /* 2376155 */ // Label 29377: @2376155
     /* 2376155 */ GIM_Reject,
     /* 2376156 */ // Label 29321: @2376156
     /* 2376156 */ GIM_Try, /*On fail goto*//*Label 29380*/ GIMT_Encode4(2376270),
     /* 2376161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2376164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2376167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376179 */   GIM_Try, /*On fail goto*//*Label 29381*/ GIMT_Encode4(2376224), // Rule ID 50550 //
     /* 2376184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376187 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2376204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376223 */     // GIR_Coverage, 50550,
     /* 2376223 */     GIR_EraseRootFromParent_Done,
     /* 2376224 */   // Label 29381: @2376224
     /* 2376224 */   GIM_Try, /*On fail goto*//*Label 29382*/ GIMT_Encode4(2376269), // Rule ID 50551 //
     /* 2376229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376232 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2376235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2376249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376268 */     // GIR_Coverage, 50551,
     /* 2376268 */     GIR_EraseRootFromParent_Done,
     /* 2376269 */   // Label 29382: @2376269
     /* 2376269 */   GIM_Reject,
     /* 2376270 */ // Label 29380: @2376270
     /* 2376270 */ GIM_Reject,
     /* 2376271 */ // Label 29322: @2376271
     /* 2376271 */ GIM_Try, /*On fail goto*//*Label 29383*/ GIMT_Encode4(2376385),
     /* 2376276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2376279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2376282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376294 */   GIM_Try, /*On fail goto*//*Label 29384*/ GIMT_Encode4(2376339), // Rule ID 50566 //
     /* 2376299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376302 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376338 */     // GIR_Coverage, 50566,
     /* 2376338 */     GIR_EraseRootFromParent_Done,
     /* 2376339 */   // Label 29384: @2376339
     /* 2376339 */   GIM_Try, /*On fail goto*//*Label 29385*/ GIMT_Encode4(2376384), // Rule ID 50567 //
     /* 2376344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376347 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2376350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376383 */     // GIR_Coverage, 50567,
     /* 2376383 */     GIR_EraseRootFromParent_Done,
     /* 2376384 */   // Label 29385: @2376384
     /* 2376384 */   GIM_Reject,
     /* 2376385 */ // Label 29383: @2376385
     /* 2376385 */ GIM_Reject,
     /* 2376386 */ // Label 29323: @2376386
     /* 2376386 */ GIM_Try, /*On fail goto*//*Label 29386*/ GIMT_Encode4(2376500),
     /* 2376391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2376394 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2376397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376409 */   GIM_Try, /*On fail goto*//*Label 29387*/ GIMT_Encode4(2376454), // Rule ID 50538 //
     /* 2376414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376417 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2376434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376453 */     // GIR_Coverage, 50538,
     /* 2376453 */     GIR_EraseRootFromParent_Done,
     /* 2376454 */   // Label 29387: @2376454
     /* 2376454 */   GIM_Try, /*On fail goto*//*Label 29388*/ GIMT_Encode4(2376499), // Rule ID 50539 //
     /* 2376459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376462 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2376465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2376479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376498 */     // GIR_Coverage, 50539,
     /* 2376498 */     GIR_EraseRootFromParent_Done,
     /* 2376499 */   // Label 29388: @2376499
     /* 2376499 */   GIM_Reject,
     /* 2376500 */ // Label 29386: @2376500
     /* 2376500 */ GIM_Reject,
     /* 2376501 */ // Label 29324: @2376501
     /* 2376501 */ GIM_Try, /*On fail goto*//*Label 29389*/ GIMT_Encode4(2376615),
     /* 2376506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2376509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2376512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376524 */   GIM_Try, /*On fail goto*//*Label 29390*/ GIMT_Encode4(2376569), // Rule ID 50554 //
     /* 2376529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376532 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376568 */     // GIR_Coverage, 50554,
     /* 2376568 */     GIR_EraseRootFromParent_Done,
     /* 2376569 */   // Label 29390: @2376569
     /* 2376569 */   GIM_Try, /*On fail goto*//*Label 29391*/ GIMT_Encode4(2376614), // Rule ID 50555 //
     /* 2376574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376577 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2376580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376613 */     // GIR_Coverage, 50555,
     /* 2376613 */     GIR_EraseRootFromParent_Done,
     /* 2376614 */   // Label 29391: @2376614
     /* 2376614 */   GIM_Reject,
     /* 2376615 */ // Label 29389: @2376615
     /* 2376615 */ GIM_Reject,
     /* 2376616 */ // Label 29325: @2376616
     /* 2376616 */ GIM_Try, /*On fail goto*//*Label 29392*/ GIMT_Encode4(2376730),
     /* 2376621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2376624 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2376627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376635 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376639 */   GIM_Try, /*On fail goto*//*Label 29393*/ GIMT_Encode4(2376684), // Rule ID 50542 //
     /* 2376644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376647 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2376650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376683 */     // GIR_Coverage, 50542,
     /* 2376683 */     GIR_EraseRootFromParent_Done,
     /* 2376684 */   // Label 29393: @2376684
     /* 2376684 */   GIM_Try, /*On fail goto*//*Label 29394*/ GIMT_Encode4(2376729), // Rule ID 50543 //
     /* 2376689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376692 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2376695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2376709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376728 */     // GIR_Coverage, 50543,
     /* 2376728 */     GIR_EraseRootFromParent_Done,
     /* 2376729 */   // Label 29394: @2376729
     /* 2376729 */   GIM_Reject,
     /* 2376730 */ // Label 29392: @2376730
     /* 2376730 */ GIM_Reject,
     /* 2376731 */ // Label 29326: @2376731
     /* 2376731 */ GIM_Reject,
     /* 2376732 */ // Label 52: @2376732
     /* 2376732 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29419*/ GIMT_Encode4(2379465),
     /* 2376743 */ /*GILLT_s32*//*Label 29395*/ GIMT_Encode4(2376867),
     /* 2376747 */ /*GILLT_s64*//*Label 29396*/ GIMT_Encode4(2376901), GIMT_Encode4(0),
     /* 2376755 */ /*GILLT_nxv1s8*//*Label 29397*/ GIMT_Encode4(2376935),
     /* 2376759 */ /*GILLT_nxv1s16*//*Label 29398*/ GIMT_Encode4(2377050),
     /* 2376763 */ /*GILLT_nxv1s32*//*Label 29399*/ GIMT_Encode4(2377165),
     /* 2376767 */ /*GILLT_nxv1s64*//*Label 29400*/ GIMT_Encode4(2377280), GIMT_Encode4(0),
     /* 2376775 */ /*GILLT_nxv2s8*//*Label 29401*/ GIMT_Encode4(2377395),
     /* 2376779 */ /*GILLT_nxv2s16*//*Label 29402*/ GIMT_Encode4(2377510),
     /* 2376783 */ /*GILLT_nxv2s32*//*Label 29403*/ GIMT_Encode4(2377625),
     /* 2376787 */ /*GILLT_nxv2s64*//*Label 29404*/ GIMT_Encode4(2377740), GIMT_Encode4(0),
     /* 2376795 */ /*GILLT_nxv4s8*//*Label 29405*/ GIMT_Encode4(2377855),
     /* 2376799 */ /*GILLT_nxv4s16*//*Label 29406*/ GIMT_Encode4(2377970),
     /* 2376803 */ /*GILLT_nxv4s32*//*Label 29407*/ GIMT_Encode4(2378085),
     /* 2376807 */ /*GILLT_nxv4s64*//*Label 29408*/ GIMT_Encode4(2378200), GIMT_Encode4(0),
     /* 2376815 */ /*GILLT_nxv8s8*//*Label 29409*/ GIMT_Encode4(2378315),
     /* 2376819 */ /*GILLT_nxv8s16*//*Label 29410*/ GIMT_Encode4(2378430),
     /* 2376823 */ /*GILLT_nxv8s32*//*Label 29411*/ GIMT_Encode4(2378545),
     /* 2376827 */ /*GILLT_nxv8s64*//*Label 29412*/ GIMT_Encode4(2378660), GIMT_Encode4(0),
     /* 2376835 */ /*GILLT_nxv16s8*//*Label 29413*/ GIMT_Encode4(2378775),
     /* 2376839 */ /*GILLT_nxv16s16*//*Label 29414*/ GIMT_Encode4(2378890),
     /* 2376843 */ /*GILLT_nxv16s32*//*Label 29415*/ GIMT_Encode4(2379005), GIMT_Encode4(0),
     /* 2376851 */ /*GILLT_nxv32s8*//*Label 29416*/ GIMT_Encode4(2379120),
     /* 2376855 */ /*GILLT_nxv32s16*//*Label 29417*/ GIMT_Encode4(2379235), GIMT_Encode4(0),
     /* 2376863 */ /*GILLT_nxv64s8*//*Label 29418*/ GIMT_Encode4(2379350),
     /* 2376867 */ // Label 29395: @2376867
     /* 2376867 */ GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2376900), // Rule ID 290 //
     /* 2376872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2376875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2376878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2376881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376893 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2376893 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2376898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376899 */   // GIR_Coverage, 290,
     /* 2376899 */   GIR_Done,
     /* 2376900 */ // Label 29420: @2376900
     /* 2376900 */ GIM_Reject,
     /* 2376901 */ // Label 29396: @2376901
     /* 2376901 */ GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2376934), // Rule ID 289 //
     /* 2376906 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2376909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2376912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2376915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2376927 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2376927 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2376932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2376933 */   // GIR_Coverage, 289,
     /* 2376933 */   GIR_Done,
     /* 2376934 */ // Label 29421: @2376934
     /* 2376934 */ GIM_Reject,
     /* 2376935 */ // Label 29397: @2376935
     /* 2376935 */ GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2377049),
     /* 2376940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2376943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2376946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376958 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2377003), // Rule ID 50426 //
     /* 2376963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376966 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2376969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2376983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377002 */     // GIR_Coverage, 50426,
     /* 2377002 */     GIR_EraseRootFromParent_Done,
     /* 2377003 */   // Label 29423: @2377003
     /* 2377003 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2377048), // Rule ID 50427 //
     /* 2377008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377011 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2377014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2377028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377047 */     // GIR_Coverage, 50427,
     /* 2377047 */     GIR_EraseRootFromParent_Done,
     /* 2377048 */   // Label 29424: @2377048
     /* 2377048 */   GIM_Reject,
     /* 2377049 */ // Label 29422: @2377049
     /* 2377049 */ GIM_Reject,
     /* 2377050 */ // Label 29398: @2377050
     /* 2377050 */ GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2377164),
     /* 2377055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2377058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2377061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377073 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2377118), // Rule ID 50438 //
     /* 2377078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377081 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2377098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377117 */     // GIR_Coverage, 50438,
     /* 2377117 */     GIR_EraseRootFromParent_Done,
     /* 2377118 */   // Label 29426: @2377118
     /* 2377118 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2377163), // Rule ID 50439 //
     /* 2377123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377126 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2377129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2377143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377162 */     // GIR_Coverage, 50439,
     /* 2377162 */     GIR_EraseRootFromParent_Done,
     /* 2377163 */   // Label 29427: @2377163
     /* 2377163 */   GIM_Reject,
     /* 2377164 */ // Label 29425: @2377164
     /* 2377164 */ GIM_Reject,
     /* 2377165 */ // Label 29399: @2377165
     /* 2377165 */ GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2377279),
     /* 2377170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2377173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2377176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377188 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2377233), // Rule ID 50446 //
     /* 2377193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377196 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377232 */     // GIR_Coverage, 50446,
     /* 2377232 */     GIR_EraseRootFromParent_Done,
     /* 2377233 */   // Label 29429: @2377233
     /* 2377233 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2377278), // Rule ID 50447 //
     /* 2377238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377241 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2377244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377277 */     // GIR_Coverage, 50447,
     /* 2377277 */     GIR_EraseRootFromParent_Done,
     /* 2377278 */   // Label 29430: @2377278
     /* 2377278 */   GIM_Reject,
     /* 2377279 */ // Label 29428: @2377279
     /* 2377279 */ GIM_Reject,
     /* 2377280 */ // Label 29400: @2377280
     /* 2377280 */ GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2377394),
     /* 2377285 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2377288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2377291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377299 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377303 */   GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2377348), // Rule ID 50570 //
     /* 2377308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2377311 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2377328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377347 */     // GIR_Coverage, 50570,
     /* 2377347 */     GIR_EraseRootFromParent_Done,
     /* 2377348 */   // Label 29432: @2377348
     /* 2377348 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2377393), // Rule ID 50571 //
     /* 2377353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2377356 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2377359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2377373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377392 */     // GIR_Coverage, 50571,
     /* 2377392 */     GIR_EraseRootFromParent_Done,
     /* 2377393 */   // Label 29433: @2377393
     /* 2377393 */   GIM_Reject,
     /* 2377394 */ // Label 29431: @2377394
     /* 2377394 */ GIM_Reject,
     /* 2377395 */ // Label 29401: @2377395
     /* 2377395 */ GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2377509),
     /* 2377400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2377403 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2377406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377414 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377418 */   GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2377463), // Rule ID 50430 //
     /* 2377423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377426 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2377429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2377443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377462 */     // GIR_Coverage, 50430,
     /* 2377462 */     GIR_EraseRootFromParent_Done,
     /* 2377463 */   // Label 29435: @2377463
     /* 2377463 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2377508), // Rule ID 50431 //
     /* 2377468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377471 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2377474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2377488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377507 */     // GIR_Coverage, 50431,
     /* 2377507 */     GIR_EraseRootFromParent_Done,
     /* 2377508 */   // Label 29436: @2377508
     /* 2377508 */   GIM_Reject,
     /* 2377509 */ // Label 29434: @2377509
     /* 2377509 */ GIM_Reject,
     /* 2377510 */ // Label 29402: @2377510
     /* 2377510 */ GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2377624),
     /* 2377515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2377518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2377521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377529 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377533 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2377578), // Rule ID 50442 //
     /* 2377538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377541 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377577 */     // GIR_Coverage, 50442,
     /* 2377577 */     GIR_EraseRootFromParent_Done,
     /* 2377578 */   // Label 29438: @2377578
     /* 2377578 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2377623), // Rule ID 50443 //
     /* 2377583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377586 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2377589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377622 */     // GIR_Coverage, 50443,
     /* 2377622 */     GIR_EraseRootFromParent_Done,
     /* 2377623 */   // Label 29439: @2377623
     /* 2377623 */   GIM_Reject,
     /* 2377624 */ // Label 29437: @2377624
     /* 2377624 */ GIM_Reject,
     /* 2377625 */ // Label 29403: @2377625
     /* 2377625 */ GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2377739),
     /* 2377630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2377633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2377636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377644 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377648 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2377693), // Rule ID 50458 //
     /* 2377653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377656 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2377673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377692 */     // GIR_Coverage, 50458,
     /* 2377692 */     GIR_EraseRootFromParent_Done,
     /* 2377693 */   // Label 29441: @2377693
     /* 2377693 */   GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2377738), // Rule ID 50459 //
     /* 2377698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377701 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2377704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2377718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377737 */     // GIR_Coverage, 50459,
     /* 2377737 */     GIR_EraseRootFromParent_Done,
     /* 2377738 */   // Label 29442: @2377738
     /* 2377738 */   GIM_Reject,
     /* 2377739 */ // Label 29440: @2377739
     /* 2377739 */ GIM_Reject,
     /* 2377740 */ // Label 29404: @2377740
     /* 2377740 */ GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2377854),
     /* 2377745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2377748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2377751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377763 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2377808), // Rule ID 50574 //
     /* 2377768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2377771 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2377788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377807 */     // GIR_Coverage, 50574,
     /* 2377807 */     GIR_EraseRootFromParent_Done,
     /* 2377808 */   // Label 29444: @2377808
     /* 2377808 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2377853), // Rule ID 50575 //
     /* 2377813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2377816 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2377819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2377833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377852 */     // GIR_Coverage, 50575,
     /* 2377852 */     GIR_EraseRootFromParent_Done,
     /* 2377853 */   // Label 29445: @2377853
     /* 2377853 */   GIM_Reject,
     /* 2377854 */ // Label 29443: @2377854
     /* 2377854 */ GIM_Reject,
     /* 2377855 */ // Label 29405: @2377855
     /* 2377855 */ GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2377969),
     /* 2377860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2377863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2377866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377878 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2377923), // Rule ID 50434 //
     /* 2377883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377886 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2377889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377922 */     // GIR_Coverage, 50434,
     /* 2377922 */     GIR_EraseRootFromParent_Done,
     /* 2377923 */   // Label 29447: @2377923
     /* 2377923 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2377968), // Rule ID 50435 //
     /* 2377928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377931 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2377934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2377948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377967 */     // GIR_Coverage, 50435,
     /* 2377967 */     GIR_EraseRootFromParent_Done,
     /* 2377968 */   // Label 29448: @2377968
     /* 2377968 */   GIM_Reject,
     /* 2377969 */ // Label 29446: @2377969
     /* 2377969 */ GIM_Reject,
     /* 2377970 */ // Label 29406: @2377970
     /* 2377970 */ GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2378084),
     /* 2377975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2377978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2377981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2377993 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2378038), // Rule ID 50454 //
     /* 2377998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378001 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2378018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378037 */     // GIR_Coverage, 50454,
     /* 2378037 */     GIR_EraseRootFromParent_Done,
     /* 2378038 */   // Label 29450: @2378038
     /* 2378038 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2378083), // Rule ID 50455 //
     /* 2378043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378046 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2378049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2378063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378082 */     // GIR_Coverage, 50455,
     /* 2378082 */     GIR_EraseRootFromParent_Done,
     /* 2378083 */   // Label 29451: @2378083
     /* 2378083 */   GIM_Reject,
     /* 2378084 */ // Label 29449: @2378084
     /* 2378084 */ GIM_Reject,
     /* 2378085 */ // Label 29407: @2378085
     /* 2378085 */ GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2378199),
     /* 2378090 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2378093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2378096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378104 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378108 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2378153), // Rule ID 50486 //
     /* 2378113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378116 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378152 */     // GIR_Coverage, 50486,
     /* 2378152 */     GIR_EraseRootFromParent_Done,
     /* 2378153 */   // Label 29453: @2378153
     /* 2378153 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2378198), // Rule ID 50487 //
     /* 2378158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378161 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2378164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378197 */     // GIR_Coverage, 50487,
     /* 2378197 */     GIR_EraseRootFromParent_Done,
     /* 2378198 */   // Label 29454: @2378198
     /* 2378198 */   GIM_Reject,
     /* 2378199 */ // Label 29452: @2378199
     /* 2378199 */ GIM_Reject,
     /* 2378200 */ // Label 29408: @2378200
     /* 2378200 */ GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2378314),
     /* 2378205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2378208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2378211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378219 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378223 */   GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2378268), // Rule ID 50578 //
     /* 2378228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2378231 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378267 */     // GIR_Coverage, 50578,
     /* 2378267 */     GIR_EraseRootFromParent_Done,
     /* 2378268 */   // Label 29456: @2378268
     /* 2378268 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2378313), // Rule ID 50579 //
     /* 2378273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2378276 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2378279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378312 */     // GIR_Coverage, 50579,
     /* 2378312 */     GIR_EraseRootFromParent_Done,
     /* 2378313 */   // Label 29457: @2378313
     /* 2378313 */   GIM_Reject,
     /* 2378314 */ // Label 29455: @2378314
     /* 2378314 */ GIM_Reject,
     /* 2378315 */ // Label 29409: @2378315
     /* 2378315 */ GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2378429),
     /* 2378320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2378323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2378326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2378338 */   GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2378383), // Rule ID 50450 //
     /* 2378343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378346 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2378363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378382 */     // GIR_Coverage, 50450,
     /* 2378382 */     GIR_EraseRootFromParent_Done,
     /* 2378383 */   // Label 29459: @2378383
     /* 2378383 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2378428), // Rule ID 50451 //
     /* 2378388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378391 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2378394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2378408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378427 */     // GIR_Coverage, 50451,
     /* 2378427 */     GIR_EraseRootFromParent_Done,
     /* 2378428 */   // Label 29460: @2378428
     /* 2378428 */   GIM_Reject,
     /* 2378429 */ // Label 29458: @2378429
     /* 2378429 */ GIM_Reject,
     /* 2378430 */ // Label 29410: @2378430
     /* 2378430 */ GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2378544),
     /* 2378435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2378438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2378441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378449 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378453 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2378498), // Rule ID 50474 //
     /* 2378458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378461 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378497 */     // GIR_Coverage, 50474,
     /* 2378497 */     GIR_EraseRootFromParent_Done,
     /* 2378498 */   // Label 29462: @2378498
     /* 2378498 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2378543), // Rule ID 50475 //
     /* 2378503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378506 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378506 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2378509 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378513 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378518 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378525 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378542 */     // GIR_Coverage, 50475,
     /* 2378542 */     GIR_EraseRootFromParent_Done,
     /* 2378543 */   // Label 29463: @2378543
     /* 2378543 */   GIM_Reject,
     /* 2378544 */ // Label 29461: @2378544
     /* 2378544 */ GIM_Reject,
     /* 2378545 */ // Label 29411: @2378545
     /* 2378545 */ GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2378659),
     /* 2378550 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2378553 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2378556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378568 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2378613), // Rule ID 50490 //
     /* 2378573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378576 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378612 */     // GIR_Coverage, 50490,
     /* 2378612 */     GIR_EraseRootFromParent_Done,
     /* 2378613 */   // Label 29465: @2378613
     /* 2378613 */   GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2378658), // Rule ID 50491 //
     /* 2378618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378621 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2378624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2378653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378657 */     // GIR_Coverage, 50491,
     /* 2378657 */     GIR_EraseRootFromParent_Done,
     /* 2378658 */   // Label 29466: @2378658
     /* 2378658 */   GIM_Reject,
     /* 2378659 */ // Label 29464: @2378659
     /* 2378659 */ GIM_Reject,
     /* 2378660 */ // Label 29412: @2378660
     /* 2378660 */ GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2378774),
     /* 2378665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2378668 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2378671 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378675 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2378683 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2378728), // Rule ID 50582 //
     /* 2378688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2378691 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2378708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378727 */     // GIR_Coverage, 50582,
     /* 2378727 */     GIR_EraseRootFromParent_Done,
     /* 2378728 */   // Label 29468: @2378728
     /* 2378728 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2378773), // Rule ID 50583 //
     /* 2378733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2378736 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2378739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2378753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2378768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378772 */     // GIR_Coverage, 50583,
     /* 2378772 */     GIR_EraseRootFromParent_Done,
     /* 2378773 */   // Label 29469: @2378773
     /* 2378773 */   GIM_Reject,
     /* 2378774 */ // Label 29467: @2378774
     /* 2378774 */ GIM_Reject,
     /* 2378775 */ // Label 29413: @2378775
     /* 2378775 */ GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2378889),
     /* 2378780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2378783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2378786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378794 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2378798 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2378843), // Rule ID 50462 //
     /* 2378803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378806 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2378809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378842 */     // GIR_Coverage, 50462,
     /* 2378842 */     GIR_EraseRootFromParent_Done,
     /* 2378843 */   // Label 29471: @2378843
     /* 2378843 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2378888), // Rule ID 50463 //
     /* 2378848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378851 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2378854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2378868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378887 */     // GIR_Coverage, 50463,
     /* 2378887 */     GIR_EraseRootFromParent_Done,
     /* 2378888 */   // Label 29472: @2378888
     /* 2378888 */   GIM_Reject,
     /* 2378889 */ // Label 29470: @2378889
     /* 2378889 */ GIM_Reject,
     /* 2378890 */ // Label 29414: @2378890
     /* 2378890 */ GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2379004),
     /* 2378895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2378898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2378901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378905 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378909 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2378913 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2378958), // Rule ID 50478 //
     /* 2378918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2378921 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2378921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2378956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378957 */     // GIR_Coverage, 50478,
     /* 2378957 */     GIR_EraseRootFromParent_Done,
     /* 2378958 */   // Label 29474: @2378958
     /* 2378958 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2379003), // Rule ID 50479 //
     /* 2378963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2378966 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2378966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2378969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2378973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2378978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2378980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2378983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2378988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2378992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2378995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379002 */     // GIR_Coverage, 50479,
     /* 2379002 */     GIR_EraseRootFromParent_Done,
     /* 2379003 */   // Label 29475: @2379003
     /* 2379003 */   GIM_Reject,
     /* 2379004 */ // Label 29473: @2379004
     /* 2379004 */ GIM_Reject,
     /* 2379005 */ // Label 29415: @2379005
     /* 2379005 */ GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2379119),
     /* 2379010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2379013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2379016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379028 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2379073), // Rule ID 50494 //
     /* 2379033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379036 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379072 */     // GIR_Coverage, 50494,
     /* 2379072 */     GIR_EraseRootFromParent_Done,
     /* 2379073 */   // Label 29477: @2379073
     /* 2379073 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2379118), // Rule ID 50495 //
     /* 2379078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379081 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2379084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379117 */     // GIR_Coverage, 50495,
     /* 2379117 */     GIR_EraseRootFromParent_Done,
     /* 2379118 */   // Label 29478: @2379118
     /* 2379118 */   GIM_Reject,
     /* 2379119 */ // Label 29476: @2379119
     /* 2379119 */ GIM_Reject,
     /* 2379120 */ // Label 29416: @2379120
     /* 2379120 */ GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2379234),
     /* 2379125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2379128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2379131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2379143 */   GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2379188), // Rule ID 50466 //
     /* 2379148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379151 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2379168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379187 */     // GIR_Coverage, 50466,
     /* 2379187 */     GIR_EraseRootFromParent_Done,
     /* 2379188 */   // Label 29480: @2379188
     /* 2379188 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2379233), // Rule ID 50467 //
     /* 2379193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379196 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2379199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2379213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379232 */     // GIR_Coverage, 50467,
     /* 2379232 */     GIR_EraseRootFromParent_Done,
     /* 2379233 */   // Label 29481: @2379233
     /* 2379233 */   GIM_Reject,
     /* 2379234 */ // Label 29479: @2379234
     /* 2379234 */ GIM_Reject,
     /* 2379235 */ // Label 29417: @2379235
     /* 2379235 */ GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2379349),
     /* 2379240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2379243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2379246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379258 */   GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2379303), // Rule ID 50482 //
     /* 2379263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379266 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379302 */     // GIR_Coverage, 50482,
     /* 2379302 */     GIR_EraseRootFromParent_Done,
     /* 2379303 */   // Label 29483: @2379303
     /* 2379303 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2379348), // Rule ID 50483 //
     /* 2379308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379311 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2379314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379347 */     // GIR_Coverage, 50483,
     /* 2379347 */     GIR_EraseRootFromParent_Done,
     /* 2379348 */   // Label 29484: @2379348
     /* 2379348 */   GIM_Reject,
     /* 2379349 */ // Label 29482: @2379349
     /* 2379349 */ GIM_Reject,
     /* 2379350 */ // Label 29418: @2379350
     /* 2379350 */ GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2379464),
     /* 2379355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2379358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2379361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2379373 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2379418), // Rule ID 50470 //
     /* 2379378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379381 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379417 */     // GIR_Coverage, 50470,
     /* 2379417 */     GIR_EraseRootFromParent_Done,
     /* 2379418 */   // Label 29486: @2379418
     /* 2379418 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2379463), // Rule ID 50471 //
     /* 2379423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379426 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2379429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2379443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379462 */     // GIR_Coverage, 50471,
     /* 2379462 */     GIR_EraseRootFromParent_Done,
     /* 2379463 */   // Label 29487: @2379463
     /* 2379463 */   GIM_Reject,
     /* 2379464 */ // Label 29485: @2379464
     /* 2379464 */ GIM_Reject,
     /* 2379465 */ // Label 29419: @2379465
     /* 2379465 */ GIM_Reject,
     /* 2379466 */ // Label 53: @2379466
     /* 2379466 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29510*/ GIMT_Encode4(2382251),
     /* 2379477 */ /*GILLT_nxv1s8*//*Label 29488*/ GIMT_Encode4(2379589),
     /* 2379481 */ /*GILLT_nxv1s16*//*Label 29489*/ GIMT_Encode4(2379710),
     /* 2379485 */ /*GILLT_nxv1s32*//*Label 29490*/ GIMT_Encode4(2379831),
     /* 2379489 */ /*GILLT_nxv1s64*//*Label 29491*/ GIMT_Encode4(2379952), GIMT_Encode4(0),
     /* 2379497 */ /*GILLT_nxv2s8*//*Label 29492*/ GIMT_Encode4(2380073),
     /* 2379501 */ /*GILLT_nxv2s16*//*Label 29493*/ GIMT_Encode4(2380194),
     /* 2379505 */ /*GILLT_nxv2s32*//*Label 29494*/ GIMT_Encode4(2380315),
     /* 2379509 */ /*GILLT_nxv2s64*//*Label 29495*/ GIMT_Encode4(2380436), GIMT_Encode4(0),
     /* 2379517 */ /*GILLT_nxv4s8*//*Label 29496*/ GIMT_Encode4(2380557),
     /* 2379521 */ /*GILLT_nxv4s16*//*Label 29497*/ GIMT_Encode4(2380678),
     /* 2379525 */ /*GILLT_nxv4s32*//*Label 29498*/ GIMT_Encode4(2380799),
     /* 2379529 */ /*GILLT_nxv4s64*//*Label 29499*/ GIMT_Encode4(2380920), GIMT_Encode4(0),
     /* 2379537 */ /*GILLT_nxv8s8*//*Label 29500*/ GIMT_Encode4(2381041),
     /* 2379541 */ /*GILLT_nxv8s16*//*Label 29501*/ GIMT_Encode4(2381162),
     /* 2379545 */ /*GILLT_nxv8s32*//*Label 29502*/ GIMT_Encode4(2381283),
     /* 2379549 */ /*GILLT_nxv8s64*//*Label 29503*/ GIMT_Encode4(2381404), GIMT_Encode4(0),
     /* 2379557 */ /*GILLT_nxv16s8*//*Label 29504*/ GIMT_Encode4(2381525),
     /* 2379561 */ /*GILLT_nxv16s16*//*Label 29505*/ GIMT_Encode4(2381646),
     /* 2379565 */ /*GILLT_nxv16s32*//*Label 29506*/ GIMT_Encode4(2381767), GIMT_Encode4(0),
     /* 2379573 */ /*GILLT_nxv32s8*//*Label 29507*/ GIMT_Encode4(2381888),
     /* 2379577 */ /*GILLT_nxv32s16*//*Label 29508*/ GIMT_Encode4(2382009), GIMT_Encode4(0),
     /* 2379585 */ /*GILLT_nxv64s8*//*Label 29509*/ GIMT_Encode4(2382130),
     /* 2379589 */ // Label 29488: @2379589
     /* 2379589 */ GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2379709),
     /* 2379594 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2379597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2379600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379608 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379612 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2379660), // Rule ID 51986 //
     /* 2379617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379620 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2379637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379659 */     // GIR_Coverage, 51986,
     /* 2379659 */     GIR_EraseRootFromParent_Done,
     /* 2379660 */   // Label 29512: @2379660
     /* 2379660 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2379708), // Rule ID 51987 //
     /* 2379665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379668 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2379685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379703 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379707 */     // GIR_Coverage, 51987,
     /* 2379707 */     GIR_EraseRootFromParent_Done,
     /* 2379708 */   // Label 29513: @2379708
     /* 2379708 */   GIM_Reject,
     /* 2379709 */ // Label 29511: @2379709
     /* 2379709 */ GIM_Reject,
     /* 2379710 */ // Label 29489: @2379710
     /* 2379710 */ GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2379830),
     /* 2379715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2379721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379733 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2379781), // Rule ID 51998 //
     /* 2379738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379741 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2379758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379780 */     // GIR_Coverage, 51998,
     /* 2379780 */     GIR_EraseRootFromParent_Done,
     /* 2379781 */   // Label 29515: @2379781
     /* 2379781 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2379829), // Rule ID 51999 //
     /* 2379786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379789 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2379806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379828 */     // GIR_Coverage, 51999,
     /* 2379828 */     GIR_EraseRootFromParent_Done,
     /* 2379829 */   // Label 29516: @2379829
     /* 2379829 */   GIM_Reject,
     /* 2379830 */ // Label 29514: @2379830
     /* 2379830 */ GIM_Reject,
     /* 2379831 */ // Label 29490: @2379831
     /* 2379831 */ GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2379951),
     /* 2379836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2379842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379846 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379850 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379854 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2379902), // Rule ID 52006 //
     /* 2379859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2379862 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2379879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379901 */     // GIR_Coverage, 52006,
     /* 2379901 */     GIR_EraseRootFromParent_Done,
     /* 2379902 */   // Label 29518: @2379902
     /* 2379902 */   GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2379950), // Rule ID 52007 //
     /* 2379907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2379910 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2379927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2379936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2379948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379949 */     // GIR_Coverage, 52007,
     /* 2379949 */     GIR_EraseRootFromParent_Done,
     /* 2379950 */   // Label 29519: @2379950
     /* 2379950 */   GIM_Reject,
     /* 2379951 */ // Label 29517: @2379951
     /* 2379951 */ GIM_Reject,
     /* 2379952 */ // Label 29491: @2379952
     /* 2379952 */ GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2380072),
     /* 2379957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2379960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2379963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379975 */   GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2380023), // Rule ID 52022 //
     /* 2379980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2379983 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380022 */     // GIR_Coverage, 52022,
     /* 2380022 */     GIR_EraseRootFromParent_Done,
     /* 2380023 */   // Label 29521: @2380023
     /* 2380023 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2380071), // Rule ID 52023 //
     /* 2380028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2380031 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2380034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380070 */     // GIR_Coverage, 52023,
     /* 2380070 */     GIR_EraseRootFromParent_Done,
     /* 2380071 */   // Label 29522: @2380071
     /* 2380071 */   GIM_Reject,
     /* 2380072 */ // Label 29520: @2380072
     /* 2380072 */ GIM_Reject,
     /* 2380073 */ // Label 29492: @2380073
     /* 2380073 */ GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2380193),
     /* 2380078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2380081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2380084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380096 */   GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2380144), // Rule ID 51990 //
     /* 2380101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380104 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2380121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380143 */     // GIR_Coverage, 51990,
     /* 2380143 */     GIR_EraseRootFromParent_Done,
     /* 2380144 */   // Label 29524: @2380144
     /* 2380144 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2380192), // Rule ID 51991 //
     /* 2380149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380152 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2380155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2380169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380191 */     // GIR_Coverage, 51991,
     /* 2380191 */     GIR_EraseRootFromParent_Done,
     /* 2380192 */   // Label 29525: @2380192
     /* 2380192 */   GIM_Reject,
     /* 2380193 */ // Label 29523: @2380193
     /* 2380193 */ GIM_Reject,
     /* 2380194 */ // Label 29493: @2380194
     /* 2380194 */ GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2380314),
     /* 2380199 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2380202 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2380205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380217 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2380265), // Rule ID 52002 //
     /* 2380222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380225 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2380242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380264 */     // GIR_Coverage, 52002,
     /* 2380264 */     GIR_EraseRootFromParent_Done,
     /* 2380265 */   // Label 29527: @2380265
     /* 2380265 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2380313), // Rule ID 52003 //
     /* 2380270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380273 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2380276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2380290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380312 */     // GIR_Coverage, 52003,
     /* 2380312 */     GIR_EraseRootFromParent_Done,
     /* 2380313 */   // Label 29528: @2380313
     /* 2380313 */   GIM_Reject,
     /* 2380314 */ // Label 29526: @2380314
     /* 2380314 */ GIM_Reject,
     /* 2380315 */ // Label 29494: @2380315
     /* 2380315 */ GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2380435),
     /* 2380320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2380323 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2380326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380338 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2380386), // Rule ID 52018 //
     /* 2380343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380346 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380385 */     // GIR_Coverage, 52018,
     /* 2380385 */     GIR_EraseRootFromParent_Done,
     /* 2380386 */   // Label 29530: @2380386
     /* 2380386 */   GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2380434), // Rule ID 52019 //
     /* 2380391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380394 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2380397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380433 */     // GIR_Coverage, 52019,
     /* 2380433 */     GIR_EraseRootFromParent_Done,
     /* 2380434 */   // Label 29531: @2380434
     /* 2380434 */   GIM_Reject,
     /* 2380435 */ // Label 29529: @2380435
     /* 2380435 */ GIM_Reject,
     /* 2380436 */ // Label 29495: @2380436
     /* 2380436 */ GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2380556),
     /* 2380441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2380444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2380447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380459 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2380507), // Rule ID 52062 //
     /* 2380464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2380467 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2380484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380506 */     // GIR_Coverage, 52062,
     /* 2380506 */     GIR_EraseRootFromParent_Done,
     /* 2380507 */   // Label 29533: @2380507
     /* 2380507 */   GIM_Try, /*On fail goto*//*Label 29534*/ GIMT_Encode4(2380555), // Rule ID 52063 //
     /* 2380512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2380515 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2380518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2380532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380554 */     // GIR_Coverage, 52063,
     /* 2380554 */     GIR_EraseRootFromParent_Done,
     /* 2380555 */   // Label 29534: @2380555
     /* 2380555 */   GIM_Reject,
     /* 2380556 */ // Label 29532: @2380556
     /* 2380556 */ GIM_Reject,
     /* 2380557 */ // Label 29496: @2380557
     /* 2380557 */ GIM_Try, /*On fail goto*//*Label 29535*/ GIMT_Encode4(2380677),
     /* 2380562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2380565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2380568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380576 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380580 */   GIM_Try, /*On fail goto*//*Label 29536*/ GIMT_Encode4(2380628), // Rule ID 51994 //
     /* 2380585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380588 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2380591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2380605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380627 */     // GIR_Coverage, 51994,
     /* 2380627 */     GIR_EraseRootFromParent_Done,
     /* 2380628 */   // Label 29536: @2380628
     /* 2380628 */   GIM_Try, /*On fail goto*//*Label 29537*/ GIMT_Encode4(2380676), // Rule ID 51995 //
     /* 2380633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380636 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2380639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2380653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380671 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380675 */     // GIR_Coverage, 51995,
     /* 2380675 */     GIR_EraseRootFromParent_Done,
     /* 2380676 */   // Label 29537: @2380676
     /* 2380676 */   GIM_Reject,
     /* 2380677 */ // Label 29535: @2380677
     /* 2380677 */ GIM_Reject,
     /* 2380678 */ // Label 29497: @2380678
     /* 2380678 */ GIM_Try, /*On fail goto*//*Label 29538*/ GIMT_Encode4(2380798),
     /* 2380683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2380686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2380689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380697 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380701 */   GIM_Try, /*On fail goto*//*Label 29539*/ GIMT_Encode4(2380749), // Rule ID 52014 //
     /* 2380706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380709 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380744 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380748 */     // GIR_Coverage, 52014,
     /* 2380748 */     GIR_EraseRootFromParent_Done,
     /* 2380749 */   // Label 29539: @2380749
     /* 2380749 */   GIM_Try, /*On fail goto*//*Label 29540*/ GIMT_Encode4(2380797), // Rule ID 52015 //
     /* 2380754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380757 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380757 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380760 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380764 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2380774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380796 */     // GIR_Coverage, 52015,
     /* 2380796 */     GIR_EraseRootFromParent_Done,
     /* 2380797 */   // Label 29540: @2380797
     /* 2380797 */   GIM_Reject,
     /* 2380798 */ // Label 29538: @2380798
     /* 2380798 */ GIM_Reject,
     /* 2380799 */ // Label 29498: @2380799
     /* 2380799 */ GIM_Try, /*On fail goto*//*Label 29541*/ GIMT_Encode4(2380919),
     /* 2380804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2380810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380822 */   GIM_Try, /*On fail goto*//*Label 29542*/ GIMT_Encode4(2380870), // Rule ID 52050 //
     /* 2380827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2380830 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2380847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380865 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380869 */     // GIR_Coverage, 52050,
     /* 2380869 */     GIR_EraseRootFromParent_Done,
     /* 2380870 */   // Label 29542: @2380870
     /* 2380870 */   GIM_Try, /*On fail goto*//*Label 29543*/ GIMT_Encode4(2380918), // Rule ID 52051 //
     /* 2380875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2380878 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2380895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380917 */     // GIR_Coverage, 52051,
     /* 2380917 */     GIR_EraseRootFromParent_Done,
     /* 2380918 */   // Label 29543: @2380918
     /* 2380918 */   GIM_Reject,
     /* 2380919 */ // Label 29541: @2380919
     /* 2380919 */ GIM_Reject,
     /* 2380920 */ // Label 29499: @2380920
     /* 2380920 */ GIM_Try, /*On fail goto*//*Label 29544*/ GIMT_Encode4(2381040),
     /* 2380925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2380931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380943 */   GIM_Try, /*On fail goto*//*Label 29545*/ GIMT_Encode4(2380991), // Rule ID 52066 //
     /* 2380948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2380951 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2380968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2380977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380986 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2380989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380990 */     // GIR_Coverage, 52066,
     /* 2380990 */     GIR_EraseRootFromParent_Done,
     /* 2380991 */   // Label 29545: @2380991
     /* 2380991 */   GIM_Try, /*On fail goto*//*Label 29546*/ GIMT_Encode4(2381039), // Rule ID 52067 //
     /* 2380996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2380999 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2381002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381038 */     // GIR_Coverage, 52067,
     /* 2381038 */     GIR_EraseRootFromParent_Done,
     /* 2381039 */   // Label 29546: @2381039
     /* 2381039 */   GIM_Reject,
     /* 2381040 */ // Label 29544: @2381040
     /* 2381040 */ GIM_Reject,
     /* 2381041 */ // Label 29500: @2381041
     /* 2381041 */ GIM_Try, /*On fail goto*//*Label 29547*/ GIMT_Encode4(2381161),
     /* 2381046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2381049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2381052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381064 */   GIM_Try, /*On fail goto*//*Label 29548*/ GIMT_Encode4(2381112), // Rule ID 52010 //
     /* 2381069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381072 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2381089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381111 */     // GIR_Coverage, 52010,
     /* 2381111 */     GIR_EraseRootFromParent_Done,
     /* 2381112 */   // Label 29548: @2381112
     /* 2381112 */   GIM_Try, /*On fail goto*//*Label 29549*/ GIMT_Encode4(2381160), // Rule ID 52011 //
     /* 2381117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381120 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2381123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2381137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381155 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381159 */     // GIR_Coverage, 52011,
     /* 2381159 */     GIR_EraseRootFromParent_Done,
     /* 2381160 */   // Label 29549: @2381160
     /* 2381160 */   GIM_Reject,
     /* 2381161 */ // Label 29547: @2381161
     /* 2381161 */ GIM_Reject,
     /* 2381162 */ // Label 29501: @2381162
     /* 2381162 */ GIM_Try, /*On fail goto*//*Label 29550*/ GIMT_Encode4(2381282),
     /* 2381167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2381170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2381173 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381177 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381185 */   GIM_Try, /*On fail goto*//*Label 29551*/ GIMT_Encode4(2381233), // Rule ID 52038 //
     /* 2381190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381193 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2381210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381232 */     // GIR_Coverage, 52038,
     /* 2381232 */     GIR_EraseRootFromParent_Done,
     /* 2381233 */   // Label 29551: @2381233
     /* 2381233 */   GIM_Try, /*On fail goto*//*Label 29552*/ GIMT_Encode4(2381281), // Rule ID 52039 //
     /* 2381238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381241 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2381244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2381258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381280 */     // GIR_Coverage, 52039,
     /* 2381280 */     GIR_EraseRootFromParent_Done,
     /* 2381281 */   // Label 29552: @2381281
     /* 2381281 */   GIM_Reject,
     /* 2381282 */ // Label 29550: @2381282
     /* 2381282 */ GIM_Reject,
     /* 2381283 */ // Label 29502: @2381283
     /* 2381283 */ GIM_Try, /*On fail goto*//*Label 29553*/ GIMT_Encode4(2381403),
     /* 2381288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2381291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2381294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381306 */   GIM_Try, /*On fail goto*//*Label 29554*/ GIMT_Encode4(2381354), // Rule ID 52054 //
     /* 2381311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381314 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381353 */     // GIR_Coverage, 52054,
     /* 2381353 */     GIR_EraseRootFromParent_Done,
     /* 2381354 */   // Label 29554: @2381354
     /* 2381354 */   GIM_Try, /*On fail goto*//*Label 29555*/ GIMT_Encode4(2381402), // Rule ID 52055 //
     /* 2381359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381362 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2381365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381401 */     // GIR_Coverage, 52055,
     /* 2381401 */     GIR_EraseRootFromParent_Done,
     /* 2381402 */   // Label 29555: @2381402
     /* 2381402 */   GIM_Reject,
     /* 2381403 */ // Label 29553: @2381403
     /* 2381403 */ GIM_Reject,
     /* 2381404 */ // Label 29503: @2381404
     /* 2381404 */ GIM_Try, /*On fail goto*//*Label 29556*/ GIMT_Encode4(2381524),
     /* 2381409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2381412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2381415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381427 */   GIM_Try, /*On fail goto*//*Label 29557*/ GIMT_Encode4(2381475), // Rule ID 52070 //
     /* 2381432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2381435 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2381452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381474 */     // GIR_Coverage, 52070,
     /* 2381474 */     GIR_EraseRootFromParent_Done,
     /* 2381475 */   // Label 29557: @2381475
     /* 2381475 */   GIM_Try, /*On fail goto*//*Label 29558*/ GIMT_Encode4(2381523), // Rule ID 52071 //
     /* 2381480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2381483 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2381486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2381500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2381515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381522 */     // GIR_Coverage, 52071,
     /* 2381522 */     GIR_EraseRootFromParent_Done,
     /* 2381523 */   // Label 29558: @2381523
     /* 2381523 */   GIM_Reject,
     /* 2381524 */ // Label 29556: @2381524
     /* 2381524 */ GIM_Reject,
     /* 2381525 */ // Label 29504: @2381525
     /* 2381525 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2381645),
     /* 2381530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2381533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2381536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2381548 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2381596), // Rule ID 52026 //
     /* 2381553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381556 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2381559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2381573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381595 */     // GIR_Coverage, 52026,
     /* 2381595 */     GIR_EraseRootFromParent_Done,
     /* 2381596 */   // Label 29560: @2381596
     /* 2381596 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2381644), // Rule ID 52027 //
     /* 2381601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381604 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2381607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2381621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381639 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381643 */     // GIR_Coverage, 52027,
     /* 2381643 */     GIR_EraseRootFromParent_Done,
     /* 2381644 */   // Label 29561: @2381644
     /* 2381644 */   GIM_Reject,
     /* 2381645 */ // Label 29559: @2381645
     /* 2381645 */ GIM_Reject,
     /* 2381646 */ // Label 29505: @2381646
     /* 2381646 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2381766),
     /* 2381651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2381654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2381657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381669 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2381717), // Rule ID 52042 //
     /* 2381674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381677 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381716 */     // GIR_Coverage, 52042,
     /* 2381716 */     GIR_EraseRootFromParent_Done,
     /* 2381717 */   // Label 29563: @2381717
     /* 2381717 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2381765), // Rule ID 52043 //
     /* 2381722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381725 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2381728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381764 */     // GIR_Coverage, 52043,
     /* 2381764 */     GIR_EraseRootFromParent_Done,
     /* 2381765 */   // Label 29564: @2381765
     /* 2381765 */   GIM_Reject,
     /* 2381766 */ // Label 29562: @2381766
     /* 2381766 */ GIM_Reject,
     /* 2381767 */ // Label 29506: @2381767
     /* 2381767 */ GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2381887),
     /* 2381772 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2381775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2381778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381786 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381790 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2381838), // Rule ID 52058 //
     /* 2381795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381798 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2381815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381837 */     // GIR_Coverage, 52058,
     /* 2381837 */     GIR_EraseRootFromParent_Done,
     /* 2381838 */   // Label 29566: @2381838
     /* 2381838 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2381886), // Rule ID 52059 //
     /* 2381843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381846 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2381849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2381863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2381878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381881 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381885 */     // GIR_Coverage, 52059,
     /* 2381885 */     GIR_EraseRootFromParent_Done,
     /* 2381886 */   // Label 29567: @2381886
     /* 2381886 */   GIM_Reject,
     /* 2381887 */ // Label 29565: @2381887
     /* 2381887 */ GIM_Reject,
     /* 2381888 */ // Label 29507: @2381888
     /* 2381888 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2382008),
     /* 2381893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2381896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2381899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381911 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2381959), // Rule ID 52030 //
     /* 2381916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2381919 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2381957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381958 */     // GIR_Coverage, 52030,
     /* 2381958 */     GIR_EraseRootFromParent_Done,
     /* 2381959 */   // Label 29569: @2381959
     /* 2381959 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2382007), // Rule ID 52031 //
     /* 2381964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2381967 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2381984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2381993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382006 */     // GIR_Coverage, 52031,
     /* 2382006 */     GIR_EraseRootFromParent_Done,
     /* 2382007 */   // Label 29570: @2382007
     /* 2382007 */   GIM_Reject,
     /* 2382008 */ // Label 29568: @2382008
     /* 2382008 */ GIM_Reject,
     /* 2382009 */ // Label 29508: @2382009
     /* 2382009 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2382129),
     /* 2382014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2382017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2382020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382028 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382032 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2382080), // Rule ID 52046 //
     /* 2382037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382040 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2382057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382079 */     // GIR_Coverage, 52046,
     /* 2382079 */     GIR_EraseRootFromParent_Done,
     /* 2382080 */   // Label 29572: @2382080
     /* 2382080 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2382128), // Rule ID 52047 //
     /* 2382085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382088 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2382091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2382105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382127 */     // GIR_Coverage, 52047,
     /* 2382127 */     GIR_EraseRootFromParent_Done,
     /* 2382128 */   // Label 29573: @2382128
     /* 2382128 */   GIM_Reject,
     /* 2382129 */ // Label 29571: @2382129
     /* 2382129 */ GIM_Reject,
     /* 2382130 */ // Label 29509: @2382130
     /* 2382130 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2382250),
     /* 2382135 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2382138 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2382141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382149 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2382153 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2382201), // Rule ID 52034 //
     /* 2382158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382161 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2382178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382200 */     // GIR_Coverage, 52034,
     /* 2382200 */     GIR_EraseRootFromParent_Done,
     /* 2382201 */   // Label 29575: @2382201
     /* 2382201 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2382249), // Rule ID 52035 //
     /* 2382206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382209 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2382212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2382226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382248 */     // GIR_Coverage, 52035,
     /* 2382248 */     GIR_EraseRootFromParent_Done,
     /* 2382249 */   // Label 29576: @2382249
     /* 2382249 */   GIM_Reject,
     /* 2382250 */ // Label 29574: @2382250
     /* 2382250 */ GIM_Reject,
     /* 2382251 */ // Label 29510: @2382251
     /* 2382251 */ GIM_Reject,
     /* 2382252 */ // Label 54: @2382252
     /* 2382252 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29599*/ GIMT_Encode4(2385037),
     /* 2382263 */ /*GILLT_nxv1s8*//*Label 29577*/ GIMT_Encode4(2382375),
     /* 2382267 */ /*GILLT_nxv1s16*//*Label 29578*/ GIMT_Encode4(2382496),
     /* 2382271 */ /*GILLT_nxv1s32*//*Label 29579*/ GIMT_Encode4(2382617),
     /* 2382275 */ /*GILLT_nxv1s64*//*Label 29580*/ GIMT_Encode4(2382738), GIMT_Encode4(0),
     /* 2382283 */ /*GILLT_nxv2s8*//*Label 29581*/ GIMT_Encode4(2382859),
     /* 2382287 */ /*GILLT_nxv2s16*//*Label 29582*/ GIMT_Encode4(2382980),
     /* 2382291 */ /*GILLT_nxv2s32*//*Label 29583*/ GIMT_Encode4(2383101),
     /* 2382295 */ /*GILLT_nxv2s64*//*Label 29584*/ GIMT_Encode4(2383222), GIMT_Encode4(0),
     /* 2382303 */ /*GILLT_nxv4s8*//*Label 29585*/ GIMT_Encode4(2383343),
     /* 2382307 */ /*GILLT_nxv4s16*//*Label 29586*/ GIMT_Encode4(2383464),
     /* 2382311 */ /*GILLT_nxv4s32*//*Label 29587*/ GIMT_Encode4(2383585),
     /* 2382315 */ /*GILLT_nxv4s64*//*Label 29588*/ GIMT_Encode4(2383706), GIMT_Encode4(0),
     /* 2382323 */ /*GILLT_nxv8s8*//*Label 29589*/ GIMT_Encode4(2383827),
     /* 2382327 */ /*GILLT_nxv8s16*//*Label 29590*/ GIMT_Encode4(2383948),
     /* 2382331 */ /*GILLT_nxv8s32*//*Label 29591*/ GIMT_Encode4(2384069),
     /* 2382335 */ /*GILLT_nxv8s64*//*Label 29592*/ GIMT_Encode4(2384190), GIMT_Encode4(0),
     /* 2382343 */ /*GILLT_nxv16s8*//*Label 29593*/ GIMT_Encode4(2384311),
     /* 2382347 */ /*GILLT_nxv16s16*//*Label 29594*/ GIMT_Encode4(2384432),
     /* 2382351 */ /*GILLT_nxv16s32*//*Label 29595*/ GIMT_Encode4(2384553), GIMT_Encode4(0),
     /* 2382359 */ /*GILLT_nxv32s8*//*Label 29596*/ GIMT_Encode4(2384674),
     /* 2382363 */ /*GILLT_nxv32s16*//*Label 29597*/ GIMT_Encode4(2384795), GIMT_Encode4(0),
     /* 2382371 */ /*GILLT_nxv64s8*//*Label 29598*/ GIMT_Encode4(2384916),
     /* 2382375 */ // Label 29577: @2382375
     /* 2382375 */ GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2382495),
     /* 2382380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2382383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2382386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382398 */   GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2382446), // Rule ID 51854 //
     /* 2382403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382406 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2382409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2382423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382445 */     // GIR_Coverage, 51854,
     /* 2382445 */     GIR_EraseRootFromParent_Done,
     /* 2382446 */   // Label 29601: @2382446
     /* 2382446 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2382494), // Rule ID 51855 //
     /* 2382451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382454 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2382457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2382471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382489 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382493 */     // GIR_Coverage, 51855,
     /* 2382493 */     GIR_EraseRootFromParent_Done,
     /* 2382494 */   // Label 29602: @2382494
     /* 2382494 */   GIM_Reject,
     /* 2382495 */ // Label 29600: @2382495
     /* 2382495 */ GIM_Reject,
     /* 2382496 */ // Label 29578: @2382496
     /* 2382496 */ GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2382616),
     /* 2382501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2382504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2382507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382519 */   GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2382567), // Rule ID 51866 //
     /* 2382524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382527 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2382530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2382544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382566 */     // GIR_Coverage, 51866,
     /* 2382566 */     GIR_EraseRootFromParent_Done,
     /* 2382567 */   // Label 29604: @2382567
     /* 2382567 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2382615), // Rule ID 51867 //
     /* 2382572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382575 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2382578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2382592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382614 */     // GIR_Coverage, 51867,
     /* 2382614 */     GIR_EraseRootFromParent_Done,
     /* 2382615 */   // Label 29605: @2382615
     /* 2382615 */   GIM_Reject,
     /* 2382616 */ // Label 29603: @2382616
     /* 2382616 */ GIM_Reject,
     /* 2382617 */ // Label 29579: @2382617
     /* 2382617 */ GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2382737),
     /* 2382622 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2382625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2382628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382636 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382640 */   GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2382688), // Rule ID 51874 //
     /* 2382645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382648 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2382651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2382665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382687 */     // GIR_Coverage, 51874,
     /* 2382687 */     GIR_EraseRootFromParent_Done,
     /* 2382688 */   // Label 29607: @2382688
     /* 2382688 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2382736), // Rule ID 51875 //
     /* 2382693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382696 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2382699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2382713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382735 */     // GIR_Coverage, 51875,
     /* 2382735 */     GIR_EraseRootFromParent_Done,
     /* 2382736 */   // Label 29608: @2382736
     /* 2382736 */   GIM_Reject,
     /* 2382737 */ // Label 29606: @2382737
     /* 2382737 */ GIM_Reject,
     /* 2382738 */ // Label 29580: @2382738
     /* 2382738 */ GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2382858),
     /* 2382743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2382746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2382749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382761 */   GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2382809), // Rule ID 51890 //
     /* 2382766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2382769 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2382772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2382786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382808 */     // GIR_Coverage, 51890,
     /* 2382808 */     GIR_EraseRootFromParent_Done,
     /* 2382809 */   // Label 29610: @2382809
     /* 2382809 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2382857), // Rule ID 51891 //
     /* 2382814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2382817 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382817 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2382820 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382824 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382829 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2382834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382836 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382856 */     // GIR_Coverage, 51891,
     /* 2382856 */     GIR_EraseRootFromParent_Done,
     /* 2382857 */   // Label 29611: @2382857
     /* 2382857 */   GIM_Reject,
     /* 2382858 */ // Label 29609: @2382858
     /* 2382858 */ GIM_Reject,
     /* 2382859 */ // Label 29581: @2382859
     /* 2382859 */ GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2382979),
     /* 2382864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2382867 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2382870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382882 */   GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2382930), // Rule ID 51858 //
     /* 2382887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2382890 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2382893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2382907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382929 */     // GIR_Coverage, 51858,
     /* 2382929 */     GIR_EraseRootFromParent_Done,
     /* 2382930 */   // Label 29613: @2382930
     /* 2382930 */   GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2382978), // Rule ID 51859 //
     /* 2382935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2382938 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2382941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2382955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2382964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2382976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382977 */     // GIR_Coverage, 51859,
     /* 2382977 */     GIR_EraseRootFromParent_Done,
     /* 2382978 */   // Label 29614: @2382978
     /* 2382978 */   GIM_Reject,
     /* 2382979 */ // Label 29612: @2382979
     /* 2382979 */ GIM_Reject,
     /* 2382980 */ // Label 29582: @2382980
     /* 2382980 */ GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2383100),
     /* 2382985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2382991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383003 */   GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2383051), // Rule ID 51870 //
     /* 2383008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383011 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2383028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383050 */     // GIR_Coverage, 51870,
     /* 2383050 */     GIR_EraseRootFromParent_Done,
     /* 2383051 */   // Label 29616: @2383051
     /* 2383051 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2383099), // Rule ID 51871 //
     /* 2383056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383059 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2383062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2383076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383098 */     // GIR_Coverage, 51871,
     /* 2383098 */     GIR_EraseRootFromParent_Done,
     /* 2383099 */   // Label 29617: @2383099
     /* 2383099 */   GIM_Reject,
     /* 2383100 */ // Label 29615: @2383100
     /* 2383100 */ GIM_Reject,
     /* 2383101 */ // Label 29583: @2383101
     /* 2383101 */ GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2383221),
     /* 2383106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2383109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2383112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383124 */   GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2383172), // Rule ID 51886 //
     /* 2383129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383132 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383171 */     // GIR_Coverage, 51886,
     /* 2383171 */     GIR_EraseRootFromParent_Done,
     /* 2383172 */   // Label 29619: @2383172
     /* 2383172 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2383220), // Rule ID 51887 //
     /* 2383177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383180 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2383183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383219 */     // GIR_Coverage, 51887,
     /* 2383219 */     GIR_EraseRootFromParent_Done,
     /* 2383220 */   // Label 29620: @2383220
     /* 2383220 */   GIM_Reject,
     /* 2383221 */ // Label 29618: @2383221
     /* 2383221 */ GIM_Reject,
     /* 2383222 */ // Label 29584: @2383222
     /* 2383222 */ GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2383342),
     /* 2383227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2383230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2383233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383245 */   GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2383293), // Rule ID 51930 //
     /* 2383250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2383253 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2383270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383292 */     // GIR_Coverage, 51930,
     /* 2383292 */     GIR_EraseRootFromParent_Done,
     /* 2383293 */   // Label 29622: @2383293
     /* 2383293 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2383341), // Rule ID 51931 //
     /* 2383298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2383301 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2383304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2383318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383340 */     // GIR_Coverage, 51931,
     /* 2383340 */     GIR_EraseRootFromParent_Done,
     /* 2383341 */   // Label 29623: @2383341
     /* 2383341 */   GIM_Reject,
     /* 2383342 */ // Label 29621: @2383342
     /* 2383342 */ GIM_Reject,
     /* 2383343 */ // Label 29585: @2383343
     /* 2383343 */ GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2383463),
     /* 2383348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2383351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2383354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383366 */   GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2383414), // Rule ID 51862 //
     /* 2383371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383374 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2383377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2383391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383409 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383413 */     // GIR_Coverage, 51862,
     /* 2383413 */     GIR_EraseRootFromParent_Done,
     /* 2383414 */   // Label 29625: @2383414
     /* 2383414 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2383462), // Rule ID 51863 //
     /* 2383419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383422 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2383425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2383439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383457 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383461 */     // GIR_Coverage, 51863,
     /* 2383461 */     GIR_EraseRootFromParent_Done,
     /* 2383462 */   // Label 29626: @2383462
     /* 2383462 */   GIM_Reject,
     /* 2383463 */ // Label 29624: @2383463
     /* 2383463 */ GIM_Reject,
     /* 2383464 */ // Label 29586: @2383464
     /* 2383464 */ GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2383584),
     /* 2383469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2383472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2383475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383487 */   GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2383535), // Rule ID 51882 //
     /* 2383492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383495 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383534 */     // GIR_Coverage, 51882,
     /* 2383534 */     GIR_EraseRootFromParent_Done,
     /* 2383535 */   // Label 29628: @2383535
     /* 2383535 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2383583), // Rule ID 51883 //
     /* 2383540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383543 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2383546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383582 */     // GIR_Coverage, 51883,
     /* 2383582 */     GIR_EraseRootFromParent_Done,
     /* 2383583 */   // Label 29629: @2383583
     /* 2383583 */   GIM_Reject,
     /* 2383584 */ // Label 29627: @2383584
     /* 2383584 */ GIM_Reject,
     /* 2383585 */ // Label 29587: @2383585
     /* 2383585 */ GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2383705),
     /* 2383590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2383593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2383596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383608 */   GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2383656), // Rule ID 51918 //
     /* 2383613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383616 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2383619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2383633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383651 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383655 */     // GIR_Coverage, 51918,
     /* 2383655 */     GIR_EraseRootFromParent_Done,
     /* 2383656 */   // Label 29631: @2383656
     /* 2383656 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2383704), // Rule ID 51919 //
     /* 2383661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383664 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2383667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2383681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383703 */     // GIR_Coverage, 51919,
     /* 2383703 */     GIR_EraseRootFromParent_Done,
     /* 2383704 */   // Label 29632: @2383704
     /* 2383704 */   GIM_Reject,
     /* 2383705 */ // Label 29630: @2383705
     /* 2383705 */ GIM_Reject,
     /* 2383706 */ // Label 29588: @2383706
     /* 2383706 */ GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2383826),
     /* 2383711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2383714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2383717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383729 */   GIM_Try, /*On fail goto*//*Label 29634*/ GIMT_Encode4(2383777), // Rule ID 51934 //
     /* 2383734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2383737 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2383740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2383754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383776 */     // GIR_Coverage, 51934,
     /* 2383776 */     GIR_EraseRootFromParent_Done,
     /* 2383777 */   // Label 29634: @2383777
     /* 2383777 */   GIM_Try, /*On fail goto*//*Label 29635*/ GIMT_Encode4(2383825), // Rule ID 51935 //
     /* 2383782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2383785 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2383788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2383802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383824 */     // GIR_Coverage, 51935,
     /* 2383824 */     GIR_EraseRootFromParent_Done,
     /* 2383825 */   // Label 29635: @2383825
     /* 2383825 */   GIM_Reject,
     /* 2383826 */ // Label 29633: @2383826
     /* 2383826 */ GIM_Reject,
     /* 2383827 */ // Label 29589: @2383827
     /* 2383827 */ GIM_Try, /*On fail goto*//*Label 29636*/ GIMT_Encode4(2383947),
     /* 2383832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2383835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2383838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383850 */   GIM_Try, /*On fail goto*//*Label 29637*/ GIMT_Encode4(2383898), // Rule ID 51878 //
     /* 2383855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383858 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2383861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383897 */     // GIR_Coverage, 51878,
     /* 2383897 */     GIR_EraseRootFromParent_Done,
     /* 2383898 */   // Label 29637: @2383898
     /* 2383898 */   GIM_Try, /*On fail goto*//*Label 29638*/ GIMT_Encode4(2383946), // Rule ID 51879 //
     /* 2383903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2383906 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2383909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2383923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2383932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2383944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383945 */     // GIR_Coverage, 51879,
     /* 2383945 */     GIR_EraseRootFromParent_Done,
     /* 2383946 */   // Label 29638: @2383946
     /* 2383946 */   GIM_Reject,
     /* 2383947 */ // Label 29636: @2383947
     /* 2383947 */ GIM_Reject,
     /* 2383948 */ // Label 29590: @2383948
     /* 2383948 */ GIM_Try, /*On fail goto*//*Label 29639*/ GIMT_Encode4(2384068),
     /* 2383953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2383956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2383959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383971 */   GIM_Try, /*On fail goto*//*Label 29640*/ GIMT_Encode4(2384019), // Rule ID 51906 //
     /* 2383976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2383979 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2383982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2383996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384018 */     // GIR_Coverage, 51906,
     /* 2384018 */     GIR_EraseRootFromParent_Done,
     /* 2384019 */   // Label 29640: @2384019
     /* 2384019 */   GIM_Try, /*On fail goto*//*Label 29641*/ GIMT_Encode4(2384067), // Rule ID 51907 //
     /* 2384024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384027 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2384030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2384044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384066 */     // GIR_Coverage, 51907,
     /* 2384066 */     GIR_EraseRootFromParent_Done,
     /* 2384067 */   // Label 29641: @2384067
     /* 2384067 */   GIM_Reject,
     /* 2384068 */ // Label 29639: @2384068
     /* 2384068 */ GIM_Reject,
     /* 2384069 */ // Label 29591: @2384069
     /* 2384069 */ GIM_Try, /*On fail goto*//*Label 29642*/ GIMT_Encode4(2384189),
     /* 2384074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2384077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2384080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384092 */   GIM_Try, /*On fail goto*//*Label 29643*/ GIMT_Encode4(2384140), // Rule ID 51922 //
     /* 2384097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384100 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384139 */     // GIR_Coverage, 51922,
     /* 2384139 */     GIR_EraseRootFromParent_Done,
     /* 2384140 */   // Label 29643: @2384140
     /* 2384140 */   GIM_Try, /*On fail goto*//*Label 29644*/ GIMT_Encode4(2384188), // Rule ID 51923 //
     /* 2384145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384148 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2384151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384187 */     // GIR_Coverage, 51923,
     /* 2384187 */     GIR_EraseRootFromParent_Done,
     /* 2384188 */   // Label 29644: @2384188
     /* 2384188 */   GIM_Reject,
     /* 2384189 */ // Label 29642: @2384189
     /* 2384189 */ GIM_Reject,
     /* 2384190 */ // Label 29592: @2384190
     /* 2384190 */ GIM_Try, /*On fail goto*//*Label 29645*/ GIMT_Encode4(2384310),
     /* 2384195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2384198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2384201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384213 */   GIM_Try, /*On fail goto*//*Label 29646*/ GIMT_Encode4(2384261), // Rule ID 51938 //
     /* 2384218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2384221 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384260 */     // GIR_Coverage, 51938,
     /* 2384260 */     GIR_EraseRootFromParent_Done,
     /* 2384261 */   // Label 29646: @2384261
     /* 2384261 */   GIM_Try, /*On fail goto*//*Label 29647*/ GIMT_Encode4(2384309), // Rule ID 51939 //
     /* 2384266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2384269 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2384272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384304 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384308 */     // GIR_Coverage, 51939,
     /* 2384308 */     GIR_EraseRootFromParent_Done,
     /* 2384309 */   // Label 29647: @2384309
     /* 2384309 */   GIM_Reject,
     /* 2384310 */ // Label 29645: @2384310
     /* 2384310 */ GIM_Reject,
     /* 2384311 */ // Label 29593: @2384311
     /* 2384311 */ GIM_Try, /*On fail goto*//*Label 29648*/ GIMT_Encode4(2384431),
     /* 2384316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2384319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2384322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2384334 */   GIM_Try, /*On fail goto*//*Label 29649*/ GIMT_Encode4(2384382), // Rule ID 51894 //
     /* 2384339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384342 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2384345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2384359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384377 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384381 */     // GIR_Coverage, 51894,
     /* 2384381 */     GIR_EraseRootFromParent_Done,
     /* 2384382 */   // Label 29649: @2384382
     /* 2384382 */   GIM_Try, /*On fail goto*//*Label 29650*/ GIMT_Encode4(2384430), // Rule ID 51895 //
     /* 2384387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384390 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2384393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2384407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384429 */     // GIR_Coverage, 51895,
     /* 2384429 */     GIR_EraseRootFromParent_Done,
     /* 2384430 */   // Label 29650: @2384430
     /* 2384430 */   GIM_Reject,
     /* 2384431 */ // Label 29648: @2384431
     /* 2384431 */ GIM_Reject,
     /* 2384432 */ // Label 29594: @2384432
     /* 2384432 */ GIM_Try, /*On fail goto*//*Label 29651*/ GIMT_Encode4(2384552),
     /* 2384437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2384440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2384443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384455 */   GIM_Try, /*On fail goto*//*Label 29652*/ GIMT_Encode4(2384503), // Rule ID 51910 //
     /* 2384460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384463 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384502 */     // GIR_Coverage, 51910,
     /* 2384502 */     GIR_EraseRootFromParent_Done,
     /* 2384503 */   // Label 29652: @2384503
     /* 2384503 */   GIM_Try, /*On fail goto*//*Label 29653*/ GIMT_Encode4(2384551), // Rule ID 51911 //
     /* 2384508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384511 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2384514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384550 */     // GIR_Coverage, 51911,
     /* 2384550 */     GIR_EraseRootFromParent_Done,
     /* 2384551 */   // Label 29653: @2384551
     /* 2384551 */   GIM_Reject,
     /* 2384552 */ // Label 29651: @2384552
     /* 2384552 */ GIM_Reject,
     /* 2384553 */ // Label 29595: @2384553
     /* 2384553 */ GIM_Try, /*On fail goto*//*Label 29654*/ GIMT_Encode4(2384673),
     /* 2384558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2384561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2384564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384576 */   GIM_Try, /*On fail goto*//*Label 29655*/ GIMT_Encode4(2384624), // Rule ID 51926 //
     /* 2384581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384584 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384619 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384623 */     // GIR_Coverage, 51926,
     /* 2384623 */     GIR_EraseRootFromParent_Done,
     /* 2384624 */   // Label 29655: @2384624
     /* 2384624 */   GIM_Try, /*On fail goto*//*Label 29656*/ GIMT_Encode4(2384672), // Rule ID 51927 //
     /* 2384629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384632 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2384635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384671 */     // GIR_Coverage, 51927,
     /* 2384671 */     GIR_EraseRootFromParent_Done,
     /* 2384672 */   // Label 29656: @2384672
     /* 2384672 */   GIM_Reject,
     /* 2384673 */ // Label 29654: @2384673
     /* 2384673 */ GIM_Reject,
     /* 2384674 */ // Label 29596: @2384674
     /* 2384674 */ GIM_Try, /*On fail goto*//*Label 29657*/ GIMT_Encode4(2384794),
     /* 2384679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2384682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2384685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2384697 */   GIM_Try, /*On fail goto*//*Label 29658*/ GIMT_Encode4(2384745), // Rule ID 51898 //
     /* 2384702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384705 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2384708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384744 */     // GIR_Coverage, 51898,
     /* 2384744 */     GIR_EraseRootFromParent_Done,
     /* 2384745 */   // Label 29658: @2384745
     /* 2384745 */   GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2384793), // Rule ID 51899 //
     /* 2384750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384753 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2384756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2384770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384792 */     // GIR_Coverage, 51899,
     /* 2384792 */     GIR_EraseRootFromParent_Done,
     /* 2384793 */   // Label 29659: @2384793
     /* 2384793 */   GIM_Reject,
     /* 2384794 */ // Label 29657: @2384794
     /* 2384794 */ GIM_Reject,
     /* 2384795 */ // Label 29597: @2384795
     /* 2384795 */ GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2384915),
     /* 2384800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2384803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2384806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384818 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2384866), // Rule ID 51914 //
     /* 2384823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384826 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2384829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384865 */     // GIR_Coverage, 51914,
     /* 2384865 */     GIR_EraseRootFromParent_Done,
     /* 2384866 */   // Label 29661: @2384866
     /* 2384866 */   GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2384914), // Rule ID 51915 //
     /* 2384871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384874 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2384877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384913 */     // GIR_Coverage, 51915,
     /* 2384913 */     GIR_EraseRootFromParent_Done,
     /* 2384914 */   // Label 29662: @2384914
     /* 2384914 */   GIM_Reject,
     /* 2384915 */ // Label 29660: @2384915
     /* 2384915 */ GIM_Reject,
     /* 2384916 */ // Label 29598: @2384916
     /* 2384916 */ GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2385036),
     /* 2384921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2384924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2384927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2384939 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2384987), // Rule ID 51902 //
     /* 2384944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2384947 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2384950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2384964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2384973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2384985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384986 */     // GIR_Coverage, 51902,
     /* 2384986 */     GIR_EraseRootFromParent_Done,
     /* 2384987 */   // Label 29664: @2384987
     /* 2384987 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2385035), // Rule ID 51903 //
     /* 2384992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2384995 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2384998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2385012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385034 */     // GIR_Coverage, 51903,
     /* 2385034 */     GIR_EraseRootFromParent_Done,
     /* 2385035 */   // Label 29665: @2385035
     /* 2385035 */   GIM_Reject,
     /* 2385036 */ // Label 29663: @2385036
     /* 2385036 */ GIM_Reject,
     /* 2385037 */ // Label 29599: @2385037
     /* 2385037 */ GIM_Reject,
     /* 2385038 */ // Label 55: @2385038
     /* 2385038 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29688*/ GIMT_Encode4(2387823),
     /* 2385049 */ /*GILLT_nxv1s8*//*Label 29666*/ GIMT_Encode4(2385161),
     /* 2385053 */ /*GILLT_nxv1s16*//*Label 29667*/ GIMT_Encode4(2385282),
     /* 2385057 */ /*GILLT_nxv1s32*//*Label 29668*/ GIMT_Encode4(2385403),
     /* 2385061 */ /*GILLT_nxv1s64*//*Label 29669*/ GIMT_Encode4(2385524), GIMT_Encode4(0),
     /* 2385069 */ /*GILLT_nxv2s8*//*Label 29670*/ GIMT_Encode4(2385645),
     /* 2385073 */ /*GILLT_nxv2s16*//*Label 29671*/ GIMT_Encode4(2385766),
     /* 2385077 */ /*GILLT_nxv2s32*//*Label 29672*/ GIMT_Encode4(2385887),
     /* 2385081 */ /*GILLT_nxv2s64*//*Label 29673*/ GIMT_Encode4(2386008), GIMT_Encode4(0),
     /* 2385089 */ /*GILLT_nxv4s8*//*Label 29674*/ GIMT_Encode4(2386129),
     /* 2385093 */ /*GILLT_nxv4s16*//*Label 29675*/ GIMT_Encode4(2386250),
     /* 2385097 */ /*GILLT_nxv4s32*//*Label 29676*/ GIMT_Encode4(2386371),
     /* 2385101 */ /*GILLT_nxv4s64*//*Label 29677*/ GIMT_Encode4(2386492), GIMT_Encode4(0),
     /* 2385109 */ /*GILLT_nxv8s8*//*Label 29678*/ GIMT_Encode4(2386613),
     /* 2385113 */ /*GILLT_nxv8s16*//*Label 29679*/ GIMT_Encode4(2386734),
     /* 2385117 */ /*GILLT_nxv8s32*//*Label 29680*/ GIMT_Encode4(2386855),
     /* 2385121 */ /*GILLT_nxv8s64*//*Label 29681*/ GIMT_Encode4(2386976), GIMT_Encode4(0),
     /* 2385129 */ /*GILLT_nxv16s8*//*Label 29682*/ GIMT_Encode4(2387097),
     /* 2385133 */ /*GILLT_nxv16s16*//*Label 29683*/ GIMT_Encode4(2387218),
     /* 2385137 */ /*GILLT_nxv16s32*//*Label 29684*/ GIMT_Encode4(2387339), GIMT_Encode4(0),
     /* 2385145 */ /*GILLT_nxv32s8*//*Label 29685*/ GIMT_Encode4(2387460),
     /* 2385149 */ /*GILLT_nxv32s16*//*Label 29686*/ GIMT_Encode4(2387581), GIMT_Encode4(0),
     /* 2385157 */ /*GILLT_nxv64s8*//*Label 29687*/ GIMT_Encode4(2387702),
     /* 2385161 */ // Label 29666: @2385161
     /* 2385161 */ GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2385281),
     /* 2385166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2385169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2385172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385184 */   GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2385232), // Rule ID 52206 //
     /* 2385189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385192 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2385195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2385209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385231 */     // GIR_Coverage, 52206,
     /* 2385231 */     GIR_EraseRootFromParent_Done,
     /* 2385232 */   // Label 29690: @2385232
     /* 2385232 */   GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2385280), // Rule ID 52207 //
     /* 2385237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385240 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2385243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2385257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385279 */     // GIR_Coverage, 52207,
     /* 2385279 */     GIR_EraseRootFromParent_Done,
     /* 2385280 */   // Label 29691: @2385280
     /* 2385280 */   GIM_Reject,
     /* 2385281 */ // Label 29689: @2385281
     /* 2385281 */ GIM_Reject,
     /* 2385282 */ // Label 29667: @2385282
     /* 2385282 */ GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2385402),
     /* 2385287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2385290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2385293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385305 */   GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2385353), // Rule ID 52218 //
     /* 2385310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385313 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2385330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385352 */     // GIR_Coverage, 52218,
     /* 2385352 */     GIR_EraseRootFromParent_Done,
     /* 2385353 */   // Label 29693: @2385353
     /* 2385353 */   GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2385401), // Rule ID 52219 //
     /* 2385358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385361 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2385364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2385378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385400 */     // GIR_Coverage, 52219,
     /* 2385400 */     GIR_EraseRootFromParent_Done,
     /* 2385401 */   // Label 29694: @2385401
     /* 2385401 */   GIM_Reject,
     /* 2385402 */ // Label 29692: @2385402
     /* 2385402 */ GIM_Reject,
     /* 2385403 */ // Label 29668: @2385403
     /* 2385403 */ GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2385523),
     /* 2385408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2385411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2385414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385426 */   GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2385474), // Rule ID 52226 //
     /* 2385431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385434 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2385451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385469 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385473 */     // GIR_Coverage, 52226,
     /* 2385473 */     GIR_EraseRootFromParent_Done,
     /* 2385474 */   // Label 29696: @2385474
     /* 2385474 */   GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2385522), // Rule ID 52227 //
     /* 2385479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385482 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2385485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2385499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385521 */     // GIR_Coverage, 52227,
     /* 2385521 */     GIR_EraseRootFromParent_Done,
     /* 2385522 */   // Label 29697: @2385522
     /* 2385522 */   GIM_Reject,
     /* 2385523 */ // Label 29695: @2385523
     /* 2385523 */ GIM_Reject,
     /* 2385524 */ // Label 29669: @2385524
     /* 2385524 */ GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2385644),
     /* 2385529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2385532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2385535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385547 */   GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2385595), // Rule ID 52242 //
     /* 2385552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2385555 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2385558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2385572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385594 */     // GIR_Coverage, 52242,
     /* 2385594 */     GIR_EraseRootFromParent_Done,
     /* 2385595 */   // Label 29699: @2385595
     /* 2385595 */   GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2385643), // Rule ID 52243 //
     /* 2385600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2385603 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2385606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2385620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385642 */     // GIR_Coverage, 52243,
     /* 2385642 */     GIR_EraseRootFromParent_Done,
     /* 2385643 */   // Label 29700: @2385643
     /* 2385643 */   GIM_Reject,
     /* 2385644 */ // Label 29698: @2385644
     /* 2385644 */ GIM_Reject,
     /* 2385645 */ // Label 29670: @2385645
     /* 2385645 */ GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2385765),
     /* 2385650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2385653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2385656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385660 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385664 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385668 */   GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2385716), // Rule ID 52210 //
     /* 2385673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385676 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2385679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2385693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385715 */     // GIR_Coverage, 52210,
     /* 2385715 */     GIR_EraseRootFromParent_Done,
     /* 2385716 */   // Label 29702: @2385716
     /* 2385716 */   GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2385764), // Rule ID 52211 //
     /* 2385721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385724 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2385727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2385741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385763 */     // GIR_Coverage, 52211,
     /* 2385763 */     GIR_EraseRootFromParent_Done,
     /* 2385764 */   // Label 29703: @2385764
     /* 2385764 */   GIM_Reject,
     /* 2385765 */ // Label 29701: @2385765
     /* 2385765 */ GIM_Reject,
     /* 2385766 */ // Label 29671: @2385766
     /* 2385766 */ GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2385886),
     /* 2385771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2385774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2385777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385789 */   GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2385837), // Rule ID 52222 //
     /* 2385794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385797 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2385800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2385814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385836 */     // GIR_Coverage, 52222,
     /* 2385836 */     GIR_EraseRootFromParent_Done,
     /* 2385837 */   // Label 29705: @2385837
     /* 2385837 */   GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2385885), // Rule ID 52223 //
     /* 2385842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385845 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2385848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2385862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385880 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385884 */     // GIR_Coverage, 52223,
     /* 2385884 */     GIR_EraseRootFromParent_Done,
     /* 2385885 */   // Label 29706: @2385885
     /* 2385885 */   GIM_Reject,
     /* 2385886 */ // Label 29704: @2385886
     /* 2385886 */ GIM_Reject,
     /* 2385887 */ // Label 29672: @2385887
     /* 2385887 */ GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2386007),
     /* 2385892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2385895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2385898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385906 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385910 */   GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2385958), // Rule ID 52238 //
     /* 2385915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2385918 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2385921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2385935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2385956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385957 */     // GIR_Coverage, 52238,
     /* 2385957 */     GIR_EraseRootFromParent_Done,
     /* 2385958 */   // Label 29708: @2385958
     /* 2385958 */   GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2386006), // Rule ID 52239 //
     /* 2385963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2385966 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2385969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2385983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2385992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386001 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386005 */     // GIR_Coverage, 52239,
     /* 2386005 */     GIR_EraseRootFromParent_Done,
     /* 2386006 */   // Label 29709: @2386006
     /* 2386006 */   GIM_Reject,
     /* 2386007 */ // Label 29707: @2386007
     /* 2386007 */ GIM_Reject,
     /* 2386008 */ // Label 29673: @2386008
     /* 2386008 */ GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2386128),
     /* 2386013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2386016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2386019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386031 */   GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2386079), // Rule ID 52282 //
     /* 2386036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2386039 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386078 */     // GIR_Coverage, 52282,
     /* 2386078 */     GIR_EraseRootFromParent_Done,
     /* 2386079 */   // Label 29711: @2386079
     /* 2386079 */   GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2386127), // Rule ID 52283 //
     /* 2386084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2386087 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2386090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386126 */     // GIR_Coverage, 52283,
     /* 2386126 */     GIR_EraseRootFromParent_Done,
     /* 2386127 */   // Label 29712: @2386127
     /* 2386127 */   GIM_Reject,
     /* 2386128 */ // Label 29710: @2386128
     /* 2386128 */ GIM_Reject,
     /* 2386129 */ // Label 29674: @2386129
     /* 2386129 */ GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2386249),
     /* 2386134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2386137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2386140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386152 */   GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2386200), // Rule ID 52214 //
     /* 2386157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386160 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2386163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2386177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386195 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386199 */     // GIR_Coverage, 52214,
     /* 2386199 */     GIR_EraseRootFromParent_Done,
     /* 2386200 */   // Label 29714: @2386200
     /* 2386200 */   GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2386248), // Rule ID 52215 //
     /* 2386205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386208 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2386211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2386225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386243 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386247 */     // GIR_Coverage, 52215,
     /* 2386247 */     GIR_EraseRootFromParent_Done,
     /* 2386248 */   // Label 29715: @2386248
     /* 2386248 */   GIM_Reject,
     /* 2386249 */ // Label 29713: @2386249
     /* 2386249 */ GIM_Reject,
     /* 2386250 */ // Label 29675: @2386250
     /* 2386250 */ GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2386370),
     /* 2386255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2386258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2386261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386273 */   GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2386321), // Rule ID 52234 //
     /* 2386278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386281 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2386298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386320 */     // GIR_Coverage, 52234,
     /* 2386320 */     GIR_EraseRootFromParent_Done,
     /* 2386321 */   // Label 29717: @2386321
     /* 2386321 */   GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2386369), // Rule ID 52235 //
     /* 2386326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386329 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2386332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2386346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386368 */     // GIR_Coverage, 52235,
     /* 2386368 */     GIR_EraseRootFromParent_Done,
     /* 2386369 */   // Label 29718: @2386369
     /* 2386369 */   GIM_Reject,
     /* 2386370 */ // Label 29716: @2386370
     /* 2386370 */ GIM_Reject,
     /* 2386371 */ // Label 29676: @2386371
     /* 2386371 */ GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2386491),
     /* 2386376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2386379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2386382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386394 */   GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2386442), // Rule ID 52270 //
     /* 2386399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386402 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386437 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386441 */     // GIR_Coverage, 52270,
     /* 2386441 */     GIR_EraseRootFromParent_Done,
     /* 2386442 */   // Label 29720: @2386442
     /* 2386442 */   GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2386490), // Rule ID 52271 //
     /* 2386447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386450 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2386453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386489 */     // GIR_Coverage, 52271,
     /* 2386489 */     GIR_EraseRootFromParent_Done,
     /* 2386490 */   // Label 29721: @2386490
     /* 2386490 */   GIM_Reject,
     /* 2386491 */ // Label 29719: @2386491
     /* 2386491 */ GIM_Reject,
     /* 2386492 */ // Label 29677: @2386492
     /* 2386492 */ GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2386612),
     /* 2386497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2386500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2386503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386515 */   GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2386563), // Rule ID 52286 //
     /* 2386520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2386523 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2386540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386562 */     // GIR_Coverage, 52286,
     /* 2386562 */     GIR_EraseRootFromParent_Done,
     /* 2386563 */   // Label 29723: @2386563
     /* 2386563 */   GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2386611), // Rule ID 52287 //
     /* 2386568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2386571 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2386574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2386588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2386603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386610 */     // GIR_Coverage, 52287,
     /* 2386610 */     GIR_EraseRootFromParent_Done,
     /* 2386611 */   // Label 29724: @2386611
     /* 2386611 */   GIM_Reject,
     /* 2386612 */ // Label 29722: @2386612
     /* 2386612 */ GIM_Reject,
     /* 2386613 */ // Label 29678: @2386613
     /* 2386613 */ GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2386733),
     /* 2386618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2386621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2386624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386636 */   GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2386684), // Rule ID 52230 //
     /* 2386641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386644 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2386647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2386661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386683 */     // GIR_Coverage, 52230,
     /* 2386683 */     GIR_EraseRootFromParent_Done,
     /* 2386684 */   // Label 29726: @2386684
     /* 2386684 */   GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2386732), // Rule ID 52231 //
     /* 2386689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386692 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2386695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2386709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386731 */     // GIR_Coverage, 52231,
     /* 2386731 */     GIR_EraseRootFromParent_Done,
     /* 2386732 */   // Label 29727: @2386732
     /* 2386732 */   GIM_Reject,
     /* 2386733 */ // Label 29725: @2386733
     /* 2386733 */ GIM_Reject,
     /* 2386734 */ // Label 29679: @2386734
     /* 2386734 */ GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2386854),
     /* 2386739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2386742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2386745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386757 */   GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2386805), // Rule ID 52258 //
     /* 2386762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386765 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386804 */     // GIR_Coverage, 52258,
     /* 2386804 */     GIR_EraseRootFromParent_Done,
     /* 2386805 */   // Label 29729: @2386805
     /* 2386805 */   GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2386853), // Rule ID 52259 //
     /* 2386810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386813 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2386816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2386830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386852 */     // GIR_Coverage, 52259,
     /* 2386852 */     GIR_EraseRootFromParent_Done,
     /* 2386853 */   // Label 29730: @2386853
     /* 2386853 */   GIM_Reject,
     /* 2386854 */ // Label 29728: @2386854
     /* 2386854 */ GIM_Reject,
     /* 2386855 */ // Label 29680: @2386855
     /* 2386855 */ GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2386975),
     /* 2386860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2386863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2386866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386874 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386878 */   GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2386926), // Rule ID 52274 //
     /* 2386883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2386886 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2386903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386925 */     // GIR_Coverage, 52274,
     /* 2386925 */     GIR_EraseRootFromParent_Done,
     /* 2386926 */   // Label 29732: @2386926
     /* 2386926 */   GIM_Try, /*On fail goto*//*Label 29733*/ GIMT_Encode4(2386974), // Rule ID 52275 //
     /* 2386931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2386934 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2386937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2386951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2386960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2386972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386973 */     // GIR_Coverage, 52275,
     /* 2386973 */     GIR_EraseRootFromParent_Done,
     /* 2386974 */   // Label 29733: @2386974
     /* 2386974 */   GIM_Reject,
     /* 2386975 */ // Label 29731: @2386975
     /* 2386975 */ GIM_Reject,
     /* 2386976 */ // Label 29681: @2386976
     /* 2386976 */ GIM_Try, /*On fail goto*//*Label 29734*/ GIMT_Encode4(2387096),
     /* 2386981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2386984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2386987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386999 */   GIM_Try, /*On fail goto*//*Label 29735*/ GIMT_Encode4(2387047), // Rule ID 52290 //
     /* 2387004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2387007 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387042 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387046 */     // GIR_Coverage, 52290,
     /* 2387046 */     GIR_EraseRootFromParent_Done,
     /* 2387047 */   // Label 29735: @2387047
     /* 2387047 */   GIM_Try, /*On fail goto*//*Label 29736*/ GIMT_Encode4(2387095), // Rule ID 52291 //
     /* 2387052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2387055 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2387058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387094 */     // GIR_Coverage, 52291,
     /* 2387094 */     GIR_EraseRootFromParent_Done,
     /* 2387095 */   // Label 29736: @2387095
     /* 2387095 */   GIM_Reject,
     /* 2387096 */ // Label 29734: @2387096
     /* 2387096 */ GIM_Reject,
     /* 2387097 */ // Label 29682: @2387097
     /* 2387097 */ GIM_Try, /*On fail goto*//*Label 29737*/ GIMT_Encode4(2387217),
     /* 2387102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2387105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2387108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387116 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387120 */   GIM_Try, /*On fail goto*//*Label 29738*/ GIMT_Encode4(2387168), // Rule ID 52246 //
     /* 2387125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387128 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2387131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2387145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387163 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387167 */     // GIR_Coverage, 52246,
     /* 2387167 */     GIR_EraseRootFromParent_Done,
     /* 2387168 */   // Label 29738: @2387168
     /* 2387168 */   GIM_Try, /*On fail goto*//*Label 29739*/ GIMT_Encode4(2387216), // Rule ID 52247 //
     /* 2387173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387176 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2387179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2387193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387215 */     // GIR_Coverage, 52247,
     /* 2387215 */     GIR_EraseRootFromParent_Done,
     /* 2387216 */   // Label 29739: @2387216
     /* 2387216 */   GIM_Reject,
     /* 2387217 */ // Label 29737: @2387217
     /* 2387217 */ GIM_Reject,
     /* 2387218 */ // Label 29683: @2387218
     /* 2387218 */ GIM_Try, /*On fail goto*//*Label 29740*/ GIMT_Encode4(2387338),
     /* 2387223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2387226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2387229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387241 */   GIM_Try, /*On fail goto*//*Label 29741*/ GIMT_Encode4(2387289), // Rule ID 52262 //
     /* 2387246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387249 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2387266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387284 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387288 */     // GIR_Coverage, 52262,
     /* 2387288 */     GIR_EraseRootFromParent_Done,
     /* 2387289 */   // Label 29741: @2387289
     /* 2387289 */   GIM_Try, /*On fail goto*//*Label 29742*/ GIMT_Encode4(2387337), // Rule ID 52263 //
     /* 2387294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387297 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2387300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2387314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387336 */     // GIR_Coverage, 52263,
     /* 2387336 */     GIR_EraseRootFromParent_Done,
     /* 2387337 */   // Label 29742: @2387337
     /* 2387337 */   GIM_Reject,
     /* 2387338 */ // Label 29740: @2387338
     /* 2387338 */ GIM_Reject,
     /* 2387339 */ // Label 29684: @2387339
     /* 2387339 */ GIM_Try, /*On fail goto*//*Label 29743*/ GIMT_Encode4(2387459),
     /* 2387344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2387347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2387350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387362 */   GIM_Try, /*On fail goto*//*Label 29744*/ GIMT_Encode4(2387410), // Rule ID 52278 //
     /* 2387367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387370 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387405 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387409 */     // GIR_Coverage, 52278,
     /* 2387409 */     GIR_EraseRootFromParent_Done,
     /* 2387410 */   // Label 29744: @2387410
     /* 2387410 */   GIM_Try, /*On fail goto*//*Label 29745*/ GIMT_Encode4(2387458), // Rule ID 52279 //
     /* 2387415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387418 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2387421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387457 */     // GIR_Coverage, 52279,
     /* 2387457 */     GIR_EraseRootFromParent_Done,
     /* 2387458 */   // Label 29745: @2387458
     /* 2387458 */   GIM_Reject,
     /* 2387459 */ // Label 29743: @2387459
     /* 2387459 */ GIM_Reject,
     /* 2387460 */ // Label 29685: @2387460
     /* 2387460 */ GIM_Try, /*On fail goto*//*Label 29746*/ GIMT_Encode4(2387580),
     /* 2387465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2387468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2387471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2387483 */   GIM_Try, /*On fail goto*//*Label 29747*/ GIMT_Encode4(2387531), // Rule ID 52250 //
     /* 2387488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387491 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2387494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2387508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387530 */     // GIR_Coverage, 52250,
     /* 2387530 */     GIR_EraseRootFromParent_Done,
     /* 2387531 */   // Label 29747: @2387531
     /* 2387531 */   GIM_Try, /*On fail goto*//*Label 29748*/ GIMT_Encode4(2387579), // Rule ID 52251 //
     /* 2387536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387539 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2387542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2387556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387578 */     // GIR_Coverage, 52251,
     /* 2387578 */     GIR_EraseRootFromParent_Done,
     /* 2387579 */   // Label 29748: @2387579
     /* 2387579 */   GIM_Reject,
     /* 2387580 */ // Label 29746: @2387580
     /* 2387580 */ GIM_Reject,
     /* 2387581 */ // Label 29686: @2387581
     /* 2387581 */ GIM_Try, /*On fail goto*//*Label 29749*/ GIMT_Encode4(2387701),
     /* 2387586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2387589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2387592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387604 */   GIM_Try, /*On fail goto*//*Label 29750*/ GIMT_Encode4(2387652), // Rule ID 52266 //
     /* 2387609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387612 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387651 */     // GIR_Coverage, 52266,
     /* 2387651 */     GIR_EraseRootFromParent_Done,
     /* 2387652 */   // Label 29750: @2387652
     /* 2387652 */   GIM_Try, /*On fail goto*//*Label 29751*/ GIMT_Encode4(2387700), // Rule ID 52267 //
     /* 2387657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387660 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2387663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387699 */     // GIR_Coverage, 52267,
     /* 2387699 */     GIR_EraseRootFromParent_Done,
     /* 2387700 */   // Label 29751: @2387700
     /* 2387700 */   GIM_Reject,
     /* 2387701 */ // Label 29749: @2387701
     /* 2387701 */ GIM_Reject,
     /* 2387702 */ // Label 29687: @2387702
     /* 2387702 */ GIM_Try, /*On fail goto*//*Label 29752*/ GIMT_Encode4(2387822),
     /* 2387707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2387710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2387713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2387725 */   GIM_Try, /*On fail goto*//*Label 29753*/ GIMT_Encode4(2387773), // Rule ID 52254 //
     /* 2387730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387733 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2387736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387772 */     // GIR_Coverage, 52254,
     /* 2387772 */     GIR_EraseRootFromParent_Done,
     /* 2387773 */   // Label 29753: @2387773
     /* 2387773 */   GIM_Try, /*On fail goto*//*Label 29754*/ GIMT_Encode4(2387821), // Rule ID 52255 //
     /* 2387778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2387781 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2387784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2387798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2387807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2387819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387820 */     // GIR_Coverage, 52255,
     /* 2387820 */     GIR_EraseRootFromParent_Done,
     /* 2387821 */   // Label 29754: @2387821
     /* 2387821 */   GIM_Reject,
     /* 2387822 */ // Label 29752: @2387822
     /* 2387822 */ GIM_Reject,
     /* 2387823 */ // Label 29688: @2387823
     /* 2387823 */ GIM_Reject,
     /* 2387824 */ // Label 56: @2387824
     /* 2387824 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 29777*/ GIMT_Encode4(2390609),
     /* 2387835 */ /*GILLT_nxv1s8*//*Label 29755*/ GIMT_Encode4(2387947),
     /* 2387839 */ /*GILLT_nxv1s16*//*Label 29756*/ GIMT_Encode4(2388068),
     /* 2387843 */ /*GILLT_nxv1s32*//*Label 29757*/ GIMT_Encode4(2388189),
     /* 2387847 */ /*GILLT_nxv1s64*//*Label 29758*/ GIMT_Encode4(2388310), GIMT_Encode4(0),
     /* 2387855 */ /*GILLT_nxv2s8*//*Label 29759*/ GIMT_Encode4(2388431),
     /* 2387859 */ /*GILLT_nxv2s16*//*Label 29760*/ GIMT_Encode4(2388552),
     /* 2387863 */ /*GILLT_nxv2s32*//*Label 29761*/ GIMT_Encode4(2388673),
     /* 2387867 */ /*GILLT_nxv2s64*//*Label 29762*/ GIMT_Encode4(2388794), GIMT_Encode4(0),
     /* 2387875 */ /*GILLT_nxv4s8*//*Label 29763*/ GIMT_Encode4(2388915),
     /* 2387879 */ /*GILLT_nxv4s16*//*Label 29764*/ GIMT_Encode4(2389036),
     /* 2387883 */ /*GILLT_nxv4s32*//*Label 29765*/ GIMT_Encode4(2389157),
     /* 2387887 */ /*GILLT_nxv4s64*//*Label 29766*/ GIMT_Encode4(2389278), GIMT_Encode4(0),
     /* 2387895 */ /*GILLT_nxv8s8*//*Label 29767*/ GIMT_Encode4(2389399),
     /* 2387899 */ /*GILLT_nxv8s16*//*Label 29768*/ GIMT_Encode4(2389520),
     /* 2387903 */ /*GILLT_nxv8s32*//*Label 29769*/ GIMT_Encode4(2389641),
     /* 2387907 */ /*GILLT_nxv8s64*//*Label 29770*/ GIMT_Encode4(2389762), GIMT_Encode4(0),
     /* 2387915 */ /*GILLT_nxv16s8*//*Label 29771*/ GIMT_Encode4(2389883),
     /* 2387919 */ /*GILLT_nxv16s16*//*Label 29772*/ GIMT_Encode4(2390004),
     /* 2387923 */ /*GILLT_nxv16s32*//*Label 29773*/ GIMT_Encode4(2390125), GIMT_Encode4(0),
     /* 2387931 */ /*GILLT_nxv32s8*//*Label 29774*/ GIMT_Encode4(2390246),
     /* 2387935 */ /*GILLT_nxv32s16*//*Label 29775*/ GIMT_Encode4(2390367), GIMT_Encode4(0),
     /* 2387943 */ /*GILLT_nxv64s8*//*Label 29776*/ GIMT_Encode4(2390488),
     /* 2387947 */ // Label 29755: @2387947
     /* 2387947 */ GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2388067),
     /* 2387952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2387955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2387958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387970 */   GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2388018), // Rule ID 52118 //
     /* 2387975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2387978 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2387981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2387995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388017 */     // GIR_Coverage, 52118,
     /* 2388017 */     GIR_EraseRootFromParent_Done,
     /* 2388018 */   // Label 29779: @2388018
     /* 2388018 */   GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2388066), // Rule ID 52119 //
     /* 2388023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388026 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2388029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2388043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388065 */     // GIR_Coverage, 52119,
     /* 2388065 */     GIR_EraseRootFromParent_Done,
     /* 2388066 */   // Label 29780: @2388066
     /* 2388066 */   GIM_Reject,
     /* 2388067 */ // Label 29778: @2388067
     /* 2388067 */ GIM_Reject,
     /* 2388068 */ // Label 29756: @2388068
     /* 2388068 */ GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2388188),
     /* 2388073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2388076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2388079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388091 */   GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2388139), // Rule ID 52130 //
     /* 2388096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388099 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2388116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388134 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388138 */     // GIR_Coverage, 52130,
     /* 2388138 */     GIR_EraseRootFromParent_Done,
     /* 2388139 */   // Label 29782: @2388139
     /* 2388139 */   GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2388187), // Rule ID 52131 //
     /* 2388144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388147 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2388150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2388164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388186 */     // GIR_Coverage, 52131,
     /* 2388186 */     GIR_EraseRootFromParent_Done,
     /* 2388187 */   // Label 29783: @2388187
     /* 2388187 */   GIM_Reject,
     /* 2388188 */ // Label 29781: @2388188
     /* 2388188 */ GIM_Reject,
     /* 2388189 */ // Label 29757: @2388189
     /* 2388189 */ GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2388309),
     /* 2388194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2388197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2388200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388212 */   GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2388260), // Rule ID 52138 //
     /* 2388217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388220 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2388237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388259 */     // GIR_Coverage, 52138,
     /* 2388259 */     GIR_EraseRootFromParent_Done,
     /* 2388260 */   // Label 29785: @2388260
     /* 2388260 */   GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2388308), // Rule ID 52139 //
     /* 2388265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388268 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2388271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2388285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388307 */     // GIR_Coverage, 52139,
     /* 2388307 */     GIR_EraseRootFromParent_Done,
     /* 2388308 */   // Label 29786: @2388308
     /* 2388308 */   GIM_Reject,
     /* 2388309 */ // Label 29784: @2388309
     /* 2388309 */ GIM_Reject,
     /* 2388310 */ // Label 29758: @2388310
     /* 2388310 */ GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2388430),
     /* 2388315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2388318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2388321 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388325 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388333 */   GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2388381), // Rule ID 52154 //
     /* 2388338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2388341 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2388358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388380 */     // GIR_Coverage, 52154,
     /* 2388380 */     GIR_EraseRootFromParent_Done,
     /* 2388381 */   // Label 29788: @2388381
     /* 2388381 */   GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2388429), // Rule ID 52155 //
     /* 2388386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2388389 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2388392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2388406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388428 */     // GIR_Coverage, 52155,
     /* 2388428 */     GIR_EraseRootFromParent_Done,
     /* 2388429 */   // Label 29789: @2388429
     /* 2388429 */   GIM_Reject,
     /* 2388430 */ // Label 29787: @2388430
     /* 2388430 */ GIM_Reject,
     /* 2388431 */ // Label 29759: @2388431
     /* 2388431 */ GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2388551),
     /* 2388436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2388439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2388442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388454 */   GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2388502), // Rule ID 52122 //
     /* 2388459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388462 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2388465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2388479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388501 */     // GIR_Coverage, 52122,
     /* 2388501 */     GIR_EraseRootFromParent_Done,
     /* 2388502 */   // Label 29791: @2388502
     /* 2388502 */   GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2388550), // Rule ID 52123 //
     /* 2388507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388510 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2388513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2388527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388545 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388549 */     // GIR_Coverage, 52123,
     /* 2388549 */     GIR_EraseRootFromParent_Done,
     /* 2388550 */   // Label 29792: @2388550
     /* 2388550 */   GIM_Reject,
     /* 2388551 */ // Label 29790: @2388551
     /* 2388551 */ GIM_Reject,
     /* 2388552 */ // Label 29760: @2388552
     /* 2388552 */ GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2388672),
     /* 2388557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2388560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2388563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388575 */   GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2388623), // Rule ID 52134 //
     /* 2388580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388583 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2388600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388618 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388622 */     // GIR_Coverage, 52134,
     /* 2388622 */     GIR_EraseRootFromParent_Done,
     /* 2388623 */   // Label 29794: @2388623
     /* 2388623 */   GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2388671), // Rule ID 52135 //
     /* 2388628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388631 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2388634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2388648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388666 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388670 */     // GIR_Coverage, 52135,
     /* 2388670 */     GIR_EraseRootFromParent_Done,
     /* 2388671 */   // Label 29795: @2388671
     /* 2388671 */   GIM_Reject,
     /* 2388672 */ // Label 29793: @2388672
     /* 2388672 */ GIM_Reject,
     /* 2388673 */ // Label 29761: @2388673
     /* 2388673 */ GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2388793),
     /* 2388678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2388681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2388684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388696 */   GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2388744), // Rule ID 52150 //
     /* 2388701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388704 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2388721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388743 */     // GIR_Coverage, 52150,
     /* 2388743 */     GIR_EraseRootFromParent_Done,
     /* 2388744 */   // Label 29797: @2388744
     /* 2388744 */   GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2388792), // Rule ID 52151 //
     /* 2388749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388752 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2388755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2388769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388791 */     // GIR_Coverage, 52151,
     /* 2388791 */     GIR_EraseRootFromParent_Done,
     /* 2388792 */   // Label 29798: @2388792
     /* 2388792 */   GIM_Reject,
     /* 2388793 */ // Label 29796: @2388793
     /* 2388793 */ GIM_Reject,
     /* 2388794 */ // Label 29762: @2388794
     /* 2388794 */ GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2388914),
     /* 2388799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2388802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2388805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388817 */   GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2388865), // Rule ID 52194 //
     /* 2388822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2388825 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2388842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388864 */     // GIR_Coverage, 52194,
     /* 2388864 */     GIR_EraseRootFromParent_Done,
     /* 2388865 */   // Label 29800: @2388865
     /* 2388865 */   GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2388913), // Rule ID 52195 //
     /* 2388870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2388873 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2388876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2388890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388908 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388912 */     // GIR_Coverage, 52195,
     /* 2388912 */     GIR_EraseRootFromParent_Done,
     /* 2388913 */   // Label 29801: @2388913
     /* 2388913 */   GIM_Reject,
     /* 2388914 */ // Label 29799: @2388914
     /* 2388914 */ GIM_Reject,
     /* 2388915 */ // Label 29763: @2388915
     /* 2388915 */ GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2389035),
     /* 2388920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2388923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2388926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388938 */   GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2388986), // Rule ID 52126 //
     /* 2388943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2388946 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2388949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2388963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2388972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388981 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2388984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388985 */     // GIR_Coverage, 52126,
     /* 2388985 */     GIR_EraseRootFromParent_Done,
     /* 2388986 */   // Label 29803: @2388986
     /* 2388986 */   GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2389034), // Rule ID 52127 //
     /* 2388991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2388994 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2388997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2389011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389033 */     // GIR_Coverage, 52127,
     /* 2389033 */     GIR_EraseRootFromParent_Done,
     /* 2389034 */   // Label 29804: @2389034
     /* 2389034 */   GIM_Reject,
     /* 2389035 */ // Label 29802: @2389035
     /* 2389035 */ GIM_Reject,
     /* 2389036 */ // Label 29764: @2389036
     /* 2389036 */ GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2389156),
     /* 2389041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2389044 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2389047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389059 */   GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2389107), // Rule ID 52146 //
     /* 2389064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389067 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389067 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2389070 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389074 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389079 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2389084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389086 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389106 */     // GIR_Coverage, 52146,
     /* 2389106 */     GIR_EraseRootFromParent_Done,
     /* 2389107 */   // Label 29806: @2389107
     /* 2389107 */   GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2389155), // Rule ID 52147 //
     /* 2389112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389115 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2389118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2389132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389154 */     // GIR_Coverage, 52147,
     /* 2389154 */     GIR_EraseRootFromParent_Done,
     /* 2389155 */   // Label 29807: @2389155
     /* 2389155 */   GIM_Reject,
     /* 2389156 */ // Label 29805: @2389156
     /* 2389156 */ GIM_Reject,
     /* 2389157 */ // Label 29765: @2389157
     /* 2389157 */ GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2389277),
     /* 2389162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2389165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2389168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389180 */   GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2389228), // Rule ID 52182 //
     /* 2389185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389188 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389223 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389227 */     // GIR_Coverage, 52182,
     /* 2389227 */     GIR_EraseRootFromParent_Done,
     /* 2389228 */   // Label 29809: @2389228
     /* 2389228 */   GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2389276), // Rule ID 52183 //
     /* 2389233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389236 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2389239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389275 */     // GIR_Coverage, 52183,
     /* 2389275 */     GIR_EraseRootFromParent_Done,
     /* 2389276 */   // Label 29810: @2389276
     /* 2389276 */   GIM_Reject,
     /* 2389277 */ // Label 29808: @2389277
     /* 2389277 */ GIM_Reject,
     /* 2389278 */ // Label 29766: @2389278
     /* 2389278 */ GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2389398),
     /* 2389283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2389286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2389289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389301 */   GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2389349), // Rule ID 52198 //
     /* 2389306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2389309 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2389326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389348 */     // GIR_Coverage, 52198,
     /* 2389348 */     GIR_EraseRootFromParent_Done,
     /* 2389349 */   // Label 29812: @2389349
     /* 2389349 */   GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2389397), // Rule ID 52199 //
     /* 2389354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2389357 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2389360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2389374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389396 */     // GIR_Coverage, 52199,
     /* 2389396 */     GIR_EraseRootFromParent_Done,
     /* 2389397 */   // Label 29813: @2389397
     /* 2389397 */   GIM_Reject,
     /* 2389398 */ // Label 29811: @2389398
     /* 2389398 */ GIM_Reject,
     /* 2389399 */ // Label 29767: @2389399
     /* 2389399 */ GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2389519),
     /* 2389404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2389407 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2389410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389414 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389418 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389422 */   GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2389470), // Rule ID 52142 //
     /* 2389427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389430 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2389433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2389447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389469 */     // GIR_Coverage, 52142,
     /* 2389469 */     GIR_EraseRootFromParent_Done,
     /* 2389470 */   // Label 29815: @2389470
     /* 2389470 */   GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2389518), // Rule ID 52143 //
     /* 2389475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389478 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2389481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2389495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389517 */     // GIR_Coverage, 52143,
     /* 2389517 */     GIR_EraseRootFromParent_Done,
     /* 2389518 */   // Label 29816: @2389518
     /* 2389518 */   GIM_Reject,
     /* 2389519 */ // Label 29814: @2389519
     /* 2389519 */ GIM_Reject,
     /* 2389520 */ // Label 29768: @2389520
     /* 2389520 */ GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2389640),
     /* 2389525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2389528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2389531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389539 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389543 */   GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2389591), // Rule ID 52170 //
     /* 2389548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389551 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389590 */     // GIR_Coverage, 52170,
     /* 2389590 */     GIR_EraseRootFromParent_Done,
     /* 2389591 */   // Label 29818: @2389591
     /* 2389591 */   GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2389639), // Rule ID 52171 //
     /* 2389596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389599 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2389602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389638 */     // GIR_Coverage, 52171,
     /* 2389638 */     GIR_EraseRootFromParent_Done,
     /* 2389639 */   // Label 29819: @2389639
     /* 2389639 */   GIM_Reject,
     /* 2389640 */ // Label 29817: @2389640
     /* 2389640 */ GIM_Reject,
     /* 2389641 */ // Label 29769: @2389641
     /* 2389641 */ GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2389761),
     /* 2389646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2389649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2389652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2389664 */   GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2389712), // Rule ID 52186 //
     /* 2389669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389672 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2389689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389711 */     // GIR_Coverage, 52186,
     /* 2389711 */     GIR_EraseRootFromParent_Done,
     /* 2389712 */   // Label 29821: @2389712
     /* 2389712 */   GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2389760), // Rule ID 52187 //
     /* 2389717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389720 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2389723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2389737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389755 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389759 */     // GIR_Coverage, 52187,
     /* 2389759 */     GIR_EraseRootFromParent_Done,
     /* 2389760 */   // Label 29822: @2389760
     /* 2389760 */   GIM_Reject,
     /* 2389761 */ // Label 29820: @2389761
     /* 2389761 */ GIM_Reject,
     /* 2389762 */ // Label 29770: @2389762
     /* 2389762 */ GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2389882),
     /* 2389767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2389770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2389773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389785 */   GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2389833), // Rule ID 52202 //
     /* 2389790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2389793 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2389810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389832 */     // GIR_Coverage, 52202,
     /* 2389832 */     GIR_EraseRootFromParent_Done,
     /* 2389833 */   // Label 29824: @2389833
     /* 2389833 */   GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2389881), // Rule ID 52203 //
     /* 2389838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2389841 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2389844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2389858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389880 */     // GIR_Coverage, 52203,
     /* 2389880 */     GIR_EraseRootFromParent_Done,
     /* 2389881 */   // Label 29825: @2389881
     /* 2389881 */   GIM_Reject,
     /* 2389882 */ // Label 29823: @2389882
     /* 2389882 */ GIM_Reject,
     /* 2389883 */ // Label 29771: @2389883
     /* 2389883 */ GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2390003),
     /* 2389888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2389891 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2389894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389902 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2389906 */   GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2389954), // Rule ID 52158 //
     /* 2389911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2389914 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2389917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2389952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389953 */     // GIR_Coverage, 52158,
     /* 2389953 */     GIR_EraseRootFromParent_Done,
     /* 2389954 */   // Label 29827: @2389954
     /* 2389954 */   GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2390002), // Rule ID 52159 //
     /* 2389959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2389962 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2389965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2389979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2389988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390001 */     // GIR_Coverage, 52159,
     /* 2390001 */     GIR_EraseRootFromParent_Done,
     /* 2390002 */   // Label 29828: @2390002
     /* 2390002 */   GIM_Reject,
     /* 2390003 */ // Label 29826: @2390003
     /* 2390003 */ GIM_Reject,
     /* 2390004 */ // Label 29772: @2390004
     /* 2390004 */ GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2390124),
     /* 2390009 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2390012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2390015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390019 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390023 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390027 */   GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2390075), // Rule ID 52174 //
     /* 2390032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2390035 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2390038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2390052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390070 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390074 */     // GIR_Coverage, 52174,
     /* 2390074 */     GIR_EraseRootFromParent_Done,
     /* 2390075 */   // Label 29830: @2390075
     /* 2390075 */   GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2390123), // Rule ID 52175 //
     /* 2390080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2390083 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2390086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2390100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390122 */     // GIR_Coverage, 52175,
     /* 2390122 */     GIR_EraseRootFromParent_Done,
     /* 2390123 */   // Label 29831: @2390123
     /* 2390123 */   GIM_Reject,
     /* 2390124 */ // Label 29829: @2390124
     /* 2390124 */ GIM_Reject,
     /* 2390125 */ // Label 29773: @2390125
     /* 2390125 */ GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2390245),
     /* 2390130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2390133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2390136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390144 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390148 */   GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2390196), // Rule ID 52190 //
     /* 2390153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2390156 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2390159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390191 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390195 */     // GIR_Coverage, 52190,
     /* 2390195 */     GIR_EraseRootFromParent_Done,
     /* 2390196 */   // Label 29833: @2390196
     /* 2390196 */   GIM_Try, /*On fail goto*//*Label 29834*/ GIMT_Encode4(2390244), // Rule ID 52191 //
     /* 2390201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2390204 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2390207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390243 */     // GIR_Coverage, 52191,
     /* 2390243 */     GIR_EraseRootFromParent_Done,
     /* 2390244 */   // Label 29834: @2390244
     /* 2390244 */   GIM_Reject,
     /* 2390245 */ // Label 29832: @2390245
     /* 2390245 */ GIM_Reject,
     /* 2390246 */ // Label 29774: @2390246
     /* 2390246 */ GIM_Try, /*On fail goto*//*Label 29835*/ GIMT_Encode4(2390366),
     /* 2390251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2390254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2390257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390261 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390265 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390269 */   GIM_Try, /*On fail goto*//*Label 29836*/ GIMT_Encode4(2390317), // Rule ID 52162 //
     /* 2390274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2390277 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2390280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2390294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390316 */     // GIR_Coverage, 52162,
     /* 2390316 */     GIR_EraseRootFromParent_Done,
     /* 2390317 */   // Label 29836: @2390317
     /* 2390317 */   GIM_Try, /*On fail goto*//*Label 29837*/ GIMT_Encode4(2390365), // Rule ID 52163 //
     /* 2390322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2390325 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2390328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2390342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390364 */     // GIR_Coverage, 52163,
     /* 2390364 */     GIR_EraseRootFromParent_Done,
     /* 2390365 */   // Label 29837: @2390365
     /* 2390365 */   GIM_Reject,
     /* 2390366 */ // Label 29835: @2390366
     /* 2390366 */ GIM_Reject,
     /* 2390367 */ // Label 29775: @2390367
     /* 2390367 */ GIM_Try, /*On fail goto*//*Label 29838*/ GIMT_Encode4(2390487),
     /* 2390372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2390375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2390378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390390 */   GIM_Try, /*On fail goto*//*Label 29839*/ GIMT_Encode4(2390438), // Rule ID 52178 //
     /* 2390395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2390398 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2390401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390437 */     // GIR_Coverage, 52178,
     /* 2390437 */     GIR_EraseRootFromParent_Done,
     /* 2390438 */   // Label 29839: @2390438
     /* 2390438 */   GIM_Try, /*On fail goto*//*Label 29840*/ GIMT_Encode4(2390486), // Rule ID 52179 //
     /* 2390443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2390446 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2390449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390485 */     // GIR_Coverage, 52179,
     /* 2390485 */     GIR_EraseRootFromParent_Done,
     /* 2390486 */   // Label 29840: @2390486
     /* 2390486 */   GIM_Reject,
     /* 2390487 */ // Label 29838: @2390487
     /* 2390487 */ GIM_Reject,
     /* 2390488 */ // Label 29776: @2390488
     /* 2390488 */ GIM_Try, /*On fail goto*//*Label 29841*/ GIMT_Encode4(2390608),
     /* 2390493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2390496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2390499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390507 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390511 */   GIM_Try, /*On fail goto*//*Label 29842*/ GIMT_Encode4(2390559), // Rule ID 52166 //
     /* 2390516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2390519 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2390522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390558 */     // GIR_Coverage, 52166,
     /* 2390558 */     GIR_EraseRootFromParent_Done,
     /* 2390559 */   // Label 29842: @2390559
     /* 2390559 */   GIM_Try, /*On fail goto*//*Label 29843*/ GIMT_Encode4(2390607), // Rule ID 52167 //
     /* 2390564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2390567 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2390570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2390584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390602 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2390605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390606 */     // GIR_Coverage, 52167,
     /* 2390606 */     GIR_EraseRootFromParent_Done,
     /* 2390607 */   // Label 29843: @2390607
     /* 2390607 */   GIM_Reject,
     /* 2390608 */ // Label 29841: @2390608
     /* 2390608 */ GIM_Reject,
     /* 2390609 */ // Label 29777: @2390609
     /* 2390609 */ GIM_Reject,
     /* 2390610 */ // Label 57: @2390610
     /* 2390610 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 29862*/ GIMT_Encode4(2393037),
     /* 2390621 */ /*GILLT_s16*//*Label 29844*/ GIMT_Encode4(2390741),
     /* 2390625 */ /*GILLT_s32*//*Label 29845*/ GIMT_Encode4(2390890),
     /* 2390629 */ /*GILLT_s64*//*Label 29846*/ GIMT_Encode4(2391039), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390641 */ /*GILLT_nxv1s16*//*Label 29847*/ GIMT_Encode4(2391222),
     /* 2390645 */ /*GILLT_nxv1s32*//*Label 29848*/ GIMT_Encode4(2391343),
     /* 2390649 */ /*GILLT_nxv1s64*//*Label 29849*/ GIMT_Encode4(2391464), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390661 */ /*GILLT_nxv2s16*//*Label 29850*/ GIMT_Encode4(2391585),
     /* 2390665 */ /*GILLT_nxv2s32*//*Label 29851*/ GIMT_Encode4(2391706),
     /* 2390669 */ /*GILLT_nxv2s64*//*Label 29852*/ GIMT_Encode4(2391827), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390681 */ /*GILLT_nxv4s16*//*Label 29853*/ GIMT_Encode4(2391948),
     /* 2390685 */ /*GILLT_nxv4s32*//*Label 29854*/ GIMT_Encode4(2392069),
     /* 2390689 */ /*GILLT_nxv4s64*//*Label 29855*/ GIMT_Encode4(2392190), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390701 */ /*GILLT_nxv8s16*//*Label 29856*/ GIMT_Encode4(2392311),
     /* 2390705 */ /*GILLT_nxv8s32*//*Label 29857*/ GIMT_Encode4(2392432),
     /* 2390709 */ /*GILLT_nxv8s64*//*Label 29858*/ GIMT_Encode4(2392553), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390721 */ /*GILLT_nxv16s16*//*Label 29859*/ GIMT_Encode4(2392674),
     /* 2390725 */ /*GILLT_nxv16s32*//*Label 29860*/ GIMT_Encode4(2392795), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2390737 */ /*GILLT_nxv32s16*//*Label 29861*/ GIMT_Encode4(2392916),
     /* 2390741 */ // Label 29844: @2390741
     /* 2390741 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2390889),
     /* 2390746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2390749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2390752 */   GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2390786), // Rule ID 1816 //
     /* 2390757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2390760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390772 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2390772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2390775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390785 */     // GIR_Coverage, 1816,
     /* 2390785 */     GIR_EraseRootFromParent_Done,
     /* 2390786 */   // Label 29864: @2390786
     /* 2390786 */   GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2390820), // Rule ID 1817 //
     /* 2390791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2390794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2390806 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2390806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2390809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390819 */     // GIR_Coverage, 1817,
     /* 2390819 */     GIR_EraseRootFromParent_Done,
     /* 2390820 */   // Label 29865: @2390820
     /* 2390820 */   GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2390854), // Rule ID 1820 //
     /* 2390825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2390828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390840 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2390840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2390843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390853 */     // GIR_Coverage, 1820,
     /* 2390853 */     GIR_EraseRootFromParent_Done,
     /* 2390854 */   // Label 29866: @2390854
     /* 2390854 */   GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2390888), // Rule ID 1821 //
     /* 2390859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2390862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2390874 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2390874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2390877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390887 */     // GIR_Coverage, 1821,
     /* 2390887 */     GIR_EraseRootFromParent_Done,
     /* 2390888 */   // Label 29867: @2390888
     /* 2390888 */   GIM_Reject,
     /* 2390889 */ // Label 29863: @2390889
     /* 2390889 */ GIM_Reject,
     /* 2390890 */ // Label 29845: @2390890
     /* 2390890 */ GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2391038),
     /* 2390895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2390898 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2390901 */   GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2390935), // Rule ID 1107 //
     /* 2390906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2390909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390921 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2390921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2390924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390934 */     // GIR_Coverage, 1107,
     /* 2390934 */     GIR_EraseRootFromParent_Done,
     /* 2390935 */   // Label 29869: @2390935
     /* 2390935 */   GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2390969), // Rule ID 1108 //
     /* 2390940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2390943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2390955 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2390955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2390958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2390967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390968 */     // GIR_Coverage, 1108,
     /* 2390968 */     GIR_EraseRootFromParent_Done,
     /* 2390969 */   // Label 29870: @2390969
     /* 2390969 */   GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2391003), // Rule ID 1111 //
     /* 2390974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2390977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2390989 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2390989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2390992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2390998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391002 */     // GIR_Coverage, 1111,
     /* 2391002 */     GIR_EraseRootFromParent_Done,
     /* 2391003 */   // Label 29871: @2391003
     /* 2391003 */   GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2391037), // Rule ID 1112 //
     /* 2391008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2391011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2391023 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2391023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2391026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391036 */     // GIR_Coverage, 1112,
     /* 2391036 */     GIR_EraseRootFromParent_Done,
     /* 2391037 */   // Label 29872: @2391037
     /* 2391037 */   GIM_Reject,
     /* 2391038 */ // Label 29868: @2391038
     /* 2391038 */ GIM_Reject,
     /* 2391039 */ // Label 29846: @2391039
     /* 2391039 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2391221),
     /* 2391044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2391047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2391050 */   GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2391084), // Rule ID 1442 //
     /* 2391055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2391058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391070 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2391070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2391073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391083 */     // GIR_Coverage, 1442,
     /* 2391083 */     GIR_EraseRootFromParent_Done,
     /* 2391084 */   // Label 29874: @2391084
     /* 2391084 */   GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2391118), // Rule ID 1443 //
     /* 2391089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2391092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391104 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2391104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2391107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391117 */     // GIR_Coverage, 1443,
     /* 2391117 */     GIR_EraseRootFromParent_Done,
     /* 2391118 */   // Label 29875: @2391118
     /* 2391118 */   GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2391152), // Rule ID 1446 //
     /* 2391123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2391126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391138 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2391138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2391141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391151 */     // GIR_Coverage, 1446,
     /* 2391151 */     GIR_EraseRootFromParent_Done,
     /* 2391152 */   // Label 29876: @2391152
     /* 2391152 */   GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2391186), // Rule ID 1447 //
     /* 2391157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2391160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2391172 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2391172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2391175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391185 */     // GIR_Coverage, 1447,
     /* 2391185 */     GIR_EraseRootFromParent_Done,
     /* 2391186 */   // Label 29877: @2391186
     /* 2391186 */   GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2391220), // Rule ID 1449 //
     /* 2391191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2391194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2391198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2391202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2391206 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2391206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2391209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391219 */     // GIR_Coverage, 1449,
     /* 2391219 */     GIR_EraseRootFromParent_Done,
     /* 2391220 */   // Label 29878: @2391220
     /* 2391220 */   GIM_Reject,
     /* 2391221 */ // Label 29873: @2391221
     /* 2391221 */ GIM_Reject,
     /* 2391222 */ // Label 29847: @2391222
     /* 2391222 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2391342),
     /* 2391227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2391230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2391233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391245 */   GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2391293), // Rule ID 45470 //
     /* 2391250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391253 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2391256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2391270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391292 */     // GIR_Coverage, 45470,
     /* 2391292 */     GIR_EraseRootFromParent_Done,
     /* 2391293 */   // Label 29880: @2391293
     /* 2391293 */   GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2391341), // Rule ID 45471 //
     /* 2391298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391301 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2391304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2391318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391340 */     // GIR_Coverage, 45471,
     /* 2391340 */     GIR_EraseRootFromParent_Done,
     /* 2391341 */   // Label 29881: @2391341
     /* 2391341 */   GIM_Reject,
     /* 2391342 */ // Label 29879: @2391342
     /* 2391342 */ GIM_Reject,
     /* 2391343 */ // Label 29848: @2391343
     /* 2391343 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2391463),
     /* 2391348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2391351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2391354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391362 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391366 */   GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2391414), // Rule ID 52782 //
     /* 2391371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391374 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2391377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2391391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391413 */     // GIR_Coverage, 52782,
     /* 2391413 */     GIR_EraseRootFromParent_Done,
     /* 2391414 */   // Label 29883: @2391414
     /* 2391414 */   GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2391462), // Rule ID 52783 //
     /* 2391419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391422 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2391425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2391439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391461 */     // GIR_Coverage, 52783,
     /* 2391461 */     GIR_EraseRootFromParent_Done,
     /* 2391462 */   // Label 29884: @2391462
     /* 2391462 */   GIM_Reject,
     /* 2391463 */ // Label 29882: @2391463
     /* 2391463 */ GIM_Reject,
     /* 2391464 */ // Label 29849: @2391464
     /* 2391464 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2391584),
     /* 2391469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2391472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2391475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391483 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391487 */   GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2391535), // Rule ID 52818 //
     /* 2391492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391495 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2391498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2391512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391534 */     // GIR_Coverage, 52818,
     /* 2391534 */     GIR_EraseRootFromParent_Done,
     /* 2391535 */   // Label 29886: @2391535
     /* 2391535 */   GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2391583), // Rule ID 52819 //
     /* 2391540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391543 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2391546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2391560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391582 */     // GIR_Coverage, 52819,
     /* 2391582 */     GIR_EraseRootFromParent_Done,
     /* 2391583 */   // Label 29887: @2391583
     /* 2391583 */   GIM_Reject,
     /* 2391584 */ // Label 29885: @2391584
     /* 2391584 */ GIM_Reject,
     /* 2391585 */ // Label 29850: @2391585
     /* 2391585 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2391705),
     /* 2391590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2391593 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2391596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391600 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391608 */   GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2391656), // Rule ID 52770 //
     /* 2391613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391616 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2391619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2391633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391655 */     // GIR_Coverage, 52770,
     /* 2391655 */     GIR_EraseRootFromParent_Done,
     /* 2391656 */   // Label 29889: @2391656
     /* 2391656 */   GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2391704), // Rule ID 52771 //
     /* 2391661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2391664 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2391667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2391681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391703 */     // GIR_Coverage, 52771,
     /* 2391703 */     GIR_EraseRootFromParent_Done,
     /* 2391704 */   // Label 29890: @2391704
     /* 2391704 */   GIM_Reject,
     /* 2391705 */ // Label 29888: @2391705
     /* 2391705 */ GIM_Reject,
     /* 2391706 */ // Label 29851: @2391706
     /* 2391706 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2391826),
     /* 2391711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2391714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2391717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391729 */   GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2391777), // Rule ID 52806 //
     /* 2391734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2391737 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2391754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391776 */     // GIR_Coverage, 52806,
     /* 2391776 */     GIR_EraseRootFromParent_Done,
     /* 2391777 */   // Label 29892: @2391777
     /* 2391777 */   GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2391825), // Rule ID 52807 //
     /* 2391782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2391785 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2391788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2391802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391824 */     // GIR_Coverage, 52807,
     /* 2391824 */     GIR_EraseRootFromParent_Done,
     /* 2391825 */   // Label 29893: @2391825
     /* 2391825 */   GIM_Reject,
     /* 2391826 */ // Label 29891: @2391826
     /* 2391826 */ GIM_Reject,
     /* 2391827 */ // Label 29852: @2391827
     /* 2391827 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2391947),
     /* 2391832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2391835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2391838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391850 */   GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2391898), // Rule ID 52902 //
     /* 2391855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2391858 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2391875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391897 */     // GIR_Coverage, 52902,
     /* 2391897 */     GIR_EraseRootFromParent_Done,
     /* 2391898 */   // Label 29895: @2391898
     /* 2391898 */   GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2391946), // Rule ID 52903 //
     /* 2391903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2391906 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2391909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2391923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2391932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2391935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391945 */     // GIR_Coverage, 52903,
     /* 2391945 */     GIR_EraseRootFromParent_Done,
     /* 2391946 */   // Label 29896: @2391946
     /* 2391946 */   GIM_Reject,
     /* 2391947 */ // Label 29894: @2391947
     /* 2391947 */ GIM_Reject,
     /* 2391948 */ // Label 29853: @2391948
     /* 2391948 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2392068),
     /* 2391953 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2391956 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2391959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2391971 */   GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2392019), // Rule ID 52794 //
     /* 2391976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2391979 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2391982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2391996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392018 */     // GIR_Coverage, 52794,
     /* 2392018 */     GIR_EraseRootFromParent_Done,
     /* 2392019 */   // Label 29898: @2392019
     /* 2392019 */   GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2392067), // Rule ID 52795 //
     /* 2392024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392027 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2392030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2392044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392066 */     // GIR_Coverage, 52795,
     /* 2392066 */     GIR_EraseRootFromParent_Done,
     /* 2392067 */   // Label 29899: @2392067
     /* 2392067 */   GIM_Reject,
     /* 2392068 */ // Label 29897: @2392068
     /* 2392068 */ GIM_Reject,
     /* 2392069 */ // Label 29854: @2392069
     /* 2392069 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2392189),
     /* 2392074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2392077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2392080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392088 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392092 */   GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2392140), // Rule ID 52866 //
     /* 2392097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392100 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2392103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2392117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392139 */     // GIR_Coverage, 52866,
     /* 2392139 */     GIR_EraseRootFromParent_Done,
     /* 2392140 */   // Label 29901: @2392140
     /* 2392140 */   GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2392188), // Rule ID 52867 //
     /* 2392145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392148 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2392151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2392165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392187 */     // GIR_Coverage, 52867,
     /* 2392187 */     GIR_EraseRootFromParent_Done,
     /* 2392188 */   // Label 29902: @2392188
     /* 2392188 */   GIM_Reject,
     /* 2392189 */ // Label 29900: @2392189
     /* 2392189 */ GIM_Reject,
     /* 2392190 */ // Label 29855: @2392190
     /* 2392190 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2392310),
     /* 2392195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2392198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2392201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392213 */   GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2392261), // Rule ID 52914 //
     /* 2392218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392221 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2392224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2392238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392260 */     // GIR_Coverage, 52914,
     /* 2392260 */     GIR_EraseRootFromParent_Done,
     /* 2392261 */   // Label 29904: @2392261
     /* 2392261 */   GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2392309), // Rule ID 52915 //
     /* 2392266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392269 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2392272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2392286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392308 */     // GIR_Coverage, 52915,
     /* 2392308 */     GIR_EraseRootFromParent_Done,
     /* 2392309 */   // Label 29905: @2392309
     /* 2392309 */   GIM_Reject,
     /* 2392310 */ // Label 29903: @2392310
     /* 2392310 */ GIM_Reject,
     /* 2392311 */ // Label 29856: @2392311
     /* 2392311 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2392431),
     /* 2392316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2392319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2392322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392334 */   GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2392382), // Rule ID 52830 //
     /* 2392339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392342 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2392345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2392359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392381 */     // GIR_Coverage, 52830,
     /* 2392381 */     GIR_EraseRootFromParent_Done,
     /* 2392382 */   // Label 29907: @2392382
     /* 2392382 */   GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2392430), // Rule ID 52831 //
     /* 2392387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392390 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392390 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2392393 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392397 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392402 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2392407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392409 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392429 */     // GIR_Coverage, 52831,
     /* 2392429 */     GIR_EraseRootFromParent_Done,
     /* 2392430 */   // Label 29908: @2392430
     /* 2392430 */   GIM_Reject,
     /* 2392431 */ // Label 29906: @2392431
     /* 2392431 */ GIM_Reject,
     /* 2392432 */ // Label 29857: @2392432
     /* 2392432 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2392552),
     /* 2392437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2392440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2392443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392455 */   GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2392503), // Rule ID 52878 //
     /* 2392460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392463 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2392466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2392480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392502 */     // GIR_Coverage, 52878,
     /* 2392502 */     GIR_EraseRootFromParent_Done,
     /* 2392503 */   // Label 29910: @2392503
     /* 2392503 */   GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2392551), // Rule ID 52879 //
     /* 2392508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392511 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2392514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2392528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392550 */     // GIR_Coverage, 52879,
     /* 2392550 */     GIR_EraseRootFromParent_Done,
     /* 2392551 */   // Label 29911: @2392551
     /* 2392551 */   GIM_Reject,
     /* 2392552 */ // Label 29909: @2392552
     /* 2392552 */ GIM_Reject,
     /* 2392553 */ // Label 29858: @2392553
     /* 2392553 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2392673),
     /* 2392558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2392561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2392564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392576 */   GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2392624), // Rule ID 52926 //
     /* 2392581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392584 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2392587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2392601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392623 */     // GIR_Coverage, 52926,
     /* 2392623 */     GIR_EraseRootFromParent_Done,
     /* 2392624 */   // Label 29913: @2392624
     /* 2392624 */   GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2392672), // Rule ID 52927 //
     /* 2392629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392632 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2392635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2392649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392671 */     // GIR_Coverage, 52927,
     /* 2392671 */     GIR_EraseRootFromParent_Done,
     /* 2392672 */   // Label 29914: @2392672
     /* 2392672 */   GIM_Reject,
     /* 2392673 */ // Label 29912: @2392673
     /* 2392673 */ GIM_Reject,
     /* 2392674 */ // Label 29859: @2392674
     /* 2392674 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2392794),
     /* 2392679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2392682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2392685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2392697 */   GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2392745), // Rule ID 52842 //
     /* 2392702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392705 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2392722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392744 */     // GIR_Coverage, 52842,
     /* 2392744 */     GIR_EraseRootFromParent_Done,
     /* 2392745 */   // Label 29916: @2392745
     /* 2392745 */   GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2392793), // Rule ID 52843 //
     /* 2392750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392753 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2392756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2392770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392792 */     // GIR_Coverage, 52843,
     /* 2392792 */     GIR_EraseRootFromParent_Done,
     /* 2392793 */   // Label 29917: @2392793
     /* 2392793 */   GIM_Reject,
     /* 2392794 */ // Label 29915: @2392794
     /* 2392794 */ GIM_Reject,
     /* 2392795 */ // Label 29860: @2392795
     /* 2392795 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2392915),
     /* 2392800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2392803 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2392806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392818 */   GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2392866), // Rule ID 52890 //
     /* 2392823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392826 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2392843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392865 */     // GIR_Coverage, 52890,
     /* 2392865 */     GIR_EraseRootFromParent_Done,
     /* 2392866 */   // Label 29919: @2392866
     /* 2392866 */   GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2392914), // Rule ID 52891 //
     /* 2392871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392874 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2392877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2392891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392913 */     // GIR_Coverage, 52891,
     /* 2392913 */     GIR_EraseRootFromParent_Done,
     /* 2392914 */   // Label 29920: @2392914
     /* 2392914 */   GIM_Reject,
     /* 2392915 */ // Label 29918: @2392915
     /* 2392915 */ GIM_Reject,
     /* 2392916 */ // Label 29861: @2392916
     /* 2392916 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2393036),
     /* 2392921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2392924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2392927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2392939 */   GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2392987), // Rule ID 52854 //
     /* 2392944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392947 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2392964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2392973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392986 */     // GIR_Coverage, 52854,
     /* 2392986 */     GIR_EraseRootFromParent_Done,
     /* 2392987 */   // Label 29922: @2392987
     /* 2392987 */   GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2393035), // Rule ID 52855 //
     /* 2392992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392995 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2392998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393007 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2393012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393014 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393034 */     // GIR_Coverage, 52855,
     /* 2393034 */     GIR_EraseRootFromParent_Done,
     /* 2393035 */   // Label 29923: @2393035
     /* 2393035 */   GIM_Reject,
     /* 2393036 */ // Label 29921: @2393036
     /* 2393036 */ GIM_Reject,
     /* 2393037 */ // Label 29862: @2393037
     /* 2393037 */ GIM_Reject,
     /* 2393038 */ // Label 58: @2393038
     /* 2393038 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 29942*/ GIMT_Encode4(2395465),
     /* 2393049 */ /*GILLT_s16*//*Label 29924*/ GIMT_Encode4(2393169),
     /* 2393053 */ /*GILLT_s32*//*Label 29925*/ GIMT_Encode4(2393318),
     /* 2393057 */ /*GILLT_s64*//*Label 29926*/ GIMT_Encode4(2393467), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393069 */ /*GILLT_nxv1s16*//*Label 29927*/ GIMT_Encode4(2393650),
     /* 2393073 */ /*GILLT_nxv1s32*//*Label 29928*/ GIMT_Encode4(2393771),
     /* 2393077 */ /*GILLT_nxv1s64*//*Label 29929*/ GIMT_Encode4(2393892), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393089 */ /*GILLT_nxv2s16*//*Label 29930*/ GIMT_Encode4(2394013),
     /* 2393093 */ /*GILLT_nxv2s32*//*Label 29931*/ GIMT_Encode4(2394134),
     /* 2393097 */ /*GILLT_nxv2s64*//*Label 29932*/ GIMT_Encode4(2394255), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393109 */ /*GILLT_nxv4s16*//*Label 29933*/ GIMT_Encode4(2394376),
     /* 2393113 */ /*GILLT_nxv4s32*//*Label 29934*/ GIMT_Encode4(2394497),
     /* 2393117 */ /*GILLT_nxv4s64*//*Label 29935*/ GIMT_Encode4(2394618), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393129 */ /*GILLT_nxv8s16*//*Label 29936*/ GIMT_Encode4(2394739),
     /* 2393133 */ /*GILLT_nxv8s32*//*Label 29937*/ GIMT_Encode4(2394860),
     /* 2393137 */ /*GILLT_nxv8s64*//*Label 29938*/ GIMT_Encode4(2394981), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393149 */ /*GILLT_nxv16s16*//*Label 29939*/ GIMT_Encode4(2395102),
     /* 2393153 */ /*GILLT_nxv16s32*//*Label 29940*/ GIMT_Encode4(2395223), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2393165 */ /*GILLT_nxv32s16*//*Label 29941*/ GIMT_Encode4(2395344),
     /* 2393169 */ // Label 29924: @2393169
     /* 2393169 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2393317),
     /* 2393174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2393177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2393180 */   GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2393214), // Rule ID 1824 //
     /* 2393185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2393188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393200 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2393200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2393203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393213 */     // GIR_Coverage, 1824,
     /* 2393213 */     GIR_EraseRootFromParent_Done,
     /* 2393214 */   // Label 29944: @2393214
     /* 2393214 */   GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2393248), // Rule ID 1825 //
     /* 2393219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2393222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393226 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2393234 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2393234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2393237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393247 */     // GIR_Coverage, 1825,
     /* 2393247 */     GIR_EraseRootFromParent_Done,
     /* 2393248 */   // Label 29945: @2393248
     /* 2393248 */   GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2393282), // Rule ID 1828 //
     /* 2393253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2393256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393268 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2393268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2393271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393281 */     // GIR_Coverage, 1828,
     /* 2393281 */     GIR_EraseRootFromParent_Done,
     /* 2393282 */   // Label 29946: @2393282
     /* 2393282 */   GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2393316), // Rule ID 1829 //
     /* 2393287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2393290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2393302 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2393302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2393305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393315 */     // GIR_Coverage, 1829,
     /* 2393315 */     GIR_EraseRootFromParent_Done,
     /* 2393316 */   // Label 29947: @2393316
     /* 2393316 */   GIM_Reject,
     /* 2393317 */ // Label 29943: @2393317
     /* 2393317 */ GIM_Reject,
     /* 2393318 */ // Label 29925: @2393318
     /* 2393318 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2393466),
     /* 2393323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2393326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2393329 */   GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2393363), // Rule ID 1115 //
     /* 2393334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2393337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393349 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2393349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2393352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393362 */     // GIR_Coverage, 1115,
     /* 2393362 */     GIR_EraseRootFromParent_Done,
     /* 2393363 */   // Label 29949: @2393363
     /* 2393363 */   GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2393397), // Rule ID 1116 //
     /* 2393368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2393371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2393383 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2393383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2393386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393396 */     // GIR_Coverage, 1116,
     /* 2393396 */     GIR_EraseRootFromParent_Done,
     /* 2393397 */   // Label 29950: @2393397
     /* 2393397 */   GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2393431), // Rule ID 1119 //
     /* 2393402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2393405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393417 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2393417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2393420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393430 */     // GIR_Coverage, 1119,
     /* 2393430 */     GIR_EraseRootFromParent_Done,
     /* 2393431 */   // Label 29951: @2393431
     /* 2393431 */   GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2393465), // Rule ID 1120 //
     /* 2393436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2393439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2393451 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2393451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2393454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393464 */     // GIR_Coverage, 1120,
     /* 2393464 */     GIR_EraseRootFromParent_Done,
     /* 2393465 */   // Label 29952: @2393465
     /* 2393465 */   GIM_Reject,
     /* 2393466 */ // Label 29948: @2393466
     /* 2393466 */ GIM_Reject,
     /* 2393467 */ // Label 29926: @2393467
     /* 2393467 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2393649),
     /* 2393472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2393475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2393478 */   GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2393512), // Rule ID 1452 //
     /* 2393483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2393486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393498 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2393501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393511 */     // GIR_Coverage, 1452,
     /* 2393511 */     GIR_EraseRootFromParent_Done,
     /* 2393512 */   // Label 29954: @2393512
     /* 2393512 */   GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2393546), // Rule ID 1453 //
     /* 2393517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2393520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393524 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2393532 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2393532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2393535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393545 */     // GIR_Coverage, 1453,
     /* 2393545 */     GIR_EraseRootFromParent_Done,
     /* 2393546 */   // Label 29955: @2393546
     /* 2393546 */   GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2393580), // Rule ID 1456 //
     /* 2393551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2393554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393566 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2393569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393579 */     // GIR_Coverage, 1456,
     /* 2393579 */     GIR_EraseRootFromParent_Done,
     /* 2393580 */   // Label 29956: @2393580
     /* 2393580 */   GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2393614), // Rule ID 1457 //
     /* 2393585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2393588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393592 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2393600 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2393600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2393603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393613 */     // GIR_Coverage, 1457,
     /* 2393613 */     GIR_EraseRootFromParent_Done,
     /* 2393614 */   // Label 29957: @2393614
     /* 2393614 */   GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2393648), // Rule ID 1459 //
     /* 2393619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2393622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2393634 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2393634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2393637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393647 */     // GIR_Coverage, 1459,
     /* 2393647 */     GIR_EraseRootFromParent_Done,
     /* 2393648 */   // Label 29958: @2393648
     /* 2393648 */   GIM_Reject,
     /* 2393649 */ // Label 29953: @2393649
     /* 2393649 */ GIM_Reject,
     /* 2393650 */ // Label 29927: @2393650
     /* 2393650 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2393770),
     /* 2393655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2393658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2393661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393673 */   GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2393721), // Rule ID 52938 //
     /* 2393678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393681 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2393698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393720 */     // GIR_Coverage, 52938,
     /* 2393720 */     GIR_EraseRootFromParent_Done,
     /* 2393721 */   // Label 29960: @2393721
     /* 2393721 */   GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2393769), // Rule ID 52939 //
     /* 2393726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393729 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2393732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2393746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393768 */     // GIR_Coverage, 52939,
     /* 2393768 */     GIR_EraseRootFromParent_Done,
     /* 2393769 */   // Label 29961: @2393769
     /* 2393769 */   GIM_Reject,
     /* 2393770 */ // Label 29959: @2393770
     /* 2393770 */ GIM_Reject,
     /* 2393771 */ // Label 29928: @2393771
     /* 2393771 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2393891),
     /* 2393776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2393779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2393782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393794 */   GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2393842), // Rule ID 52962 //
     /* 2393799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393802 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2393805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2393819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393841 */     // GIR_Coverage, 52962,
     /* 2393841 */     GIR_EraseRootFromParent_Done,
     /* 2393842 */   // Label 29963: @2393842
     /* 2393842 */   GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2393890), // Rule ID 52963 //
     /* 2393847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393850 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2393853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2393867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393889 */     // GIR_Coverage, 52963,
     /* 2393889 */     GIR_EraseRootFromParent_Done,
     /* 2393890 */   // Label 29964: @2393890
     /* 2393890 */   GIM_Reject,
     /* 2393891 */ // Label 29962: @2393891
     /* 2393891 */ GIM_Reject,
     /* 2393892 */ // Label 29929: @2393892
     /* 2393892 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2394012),
     /* 2393897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2393900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2393903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393915 */   GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2393963), // Rule ID 52998 //
     /* 2393920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393923 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2393926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2393940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393962 */     // GIR_Coverage, 52998,
     /* 2393962 */     GIR_EraseRootFromParent_Done,
     /* 2393963 */   // Label 29966: @2393963
     /* 2393963 */   GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2394011), // Rule ID 52999 //
     /* 2393968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393971 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2393974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2393988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2393995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2393997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394010 */     // GIR_Coverage, 52999,
     /* 2394010 */     GIR_EraseRootFromParent_Done,
     /* 2394011 */   // Label 29967: @2394011
     /* 2394011 */   GIM_Reject,
     /* 2394012 */ // Label 29965: @2394012
     /* 2394012 */ GIM_Reject,
     /* 2394013 */ // Label 29930: @2394013
     /* 2394013 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2394133),
     /* 2394018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2394021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2394024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394036 */   GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2394084), // Rule ID 52950 //
     /* 2394041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394044 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2394047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2394061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394083 */     // GIR_Coverage, 52950,
     /* 2394083 */     GIR_EraseRootFromParent_Done,
     /* 2394084 */   // Label 29969: @2394084
     /* 2394084 */   GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2394132), // Rule ID 52951 //
     /* 2394089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394092 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2394095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2394109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394131 */     // GIR_Coverage, 52951,
     /* 2394131 */     GIR_EraseRootFromParent_Done,
     /* 2394132 */   // Label 29970: @2394132
     /* 2394132 */   GIM_Reject,
     /* 2394133 */ // Label 29968: @2394133
     /* 2394133 */ GIM_Reject,
     /* 2394134 */ // Label 29931: @2394134
     /* 2394134 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2394254),
     /* 2394139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2394142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2394145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394157 */   GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2394205), // Rule ID 52986 //
     /* 2394162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394165 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2394168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2394182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394204 */     // GIR_Coverage, 52986,
     /* 2394204 */     GIR_EraseRootFromParent_Done,
     /* 2394205 */   // Label 29972: @2394205
     /* 2394205 */   GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2394253), // Rule ID 52987 //
     /* 2394210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394213 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2394216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2394230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394252 */     // GIR_Coverage, 52987,
     /* 2394252 */     GIR_EraseRootFromParent_Done,
     /* 2394253 */   // Label 29973: @2394253
     /* 2394253 */   GIM_Reject,
     /* 2394254 */ // Label 29971: @2394254
     /* 2394254 */ GIM_Reject,
     /* 2394255 */ // Label 29932: @2394255
     /* 2394255 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2394375),
     /* 2394260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2394263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2394266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394278 */   GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2394326), // Rule ID 53082 //
     /* 2394283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394286 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2394289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2394303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394325 */     // GIR_Coverage, 53082,
     /* 2394325 */     GIR_EraseRootFromParent_Done,
     /* 2394326 */   // Label 29975: @2394326
     /* 2394326 */   GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2394374), // Rule ID 53083 //
     /* 2394331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394334 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2394337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2394351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394373 */     // GIR_Coverage, 53083,
     /* 2394373 */     GIR_EraseRootFromParent_Done,
     /* 2394374 */   // Label 29976: @2394374
     /* 2394374 */   GIM_Reject,
     /* 2394375 */ // Label 29974: @2394375
     /* 2394375 */ GIM_Reject,
     /* 2394376 */ // Label 29933: @2394376
     /* 2394376 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2394496),
     /* 2394381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2394384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2394387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2394399 */   GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2394447), // Rule ID 52974 //
     /* 2394404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394407 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2394410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2394424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394446 */     // GIR_Coverage, 52974,
     /* 2394446 */     GIR_EraseRootFromParent_Done,
     /* 2394447 */   // Label 29978: @2394447
     /* 2394447 */   GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2394495), // Rule ID 52975 //
     /* 2394452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394455 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2394458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2394472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394494 */     // GIR_Coverage, 52975,
     /* 2394494 */     GIR_EraseRootFromParent_Done,
     /* 2394495 */   // Label 29979: @2394495
     /* 2394495 */   GIM_Reject,
     /* 2394496 */ // Label 29977: @2394496
     /* 2394496 */ GIM_Reject,
     /* 2394497 */ // Label 29934: @2394497
     /* 2394497 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2394617),
     /* 2394502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2394505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2394508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394520 */   GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2394568), // Rule ID 53046 //
     /* 2394525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394528 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2394531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2394545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394567 */     // GIR_Coverage, 53046,
     /* 2394567 */     GIR_EraseRootFromParent_Done,
     /* 2394568 */   // Label 29981: @2394568
     /* 2394568 */   GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2394616), // Rule ID 53047 //
     /* 2394573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394576 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2394579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2394593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394615 */     // GIR_Coverage, 53047,
     /* 2394615 */     GIR_EraseRootFromParent_Done,
     /* 2394616 */   // Label 29982: @2394616
     /* 2394616 */   GIM_Reject,
     /* 2394617 */ // Label 29980: @2394617
     /* 2394617 */ GIM_Reject,
     /* 2394618 */ // Label 29935: @2394618
     /* 2394618 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2394738),
     /* 2394623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2394626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2394629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394641 */   GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2394689), // Rule ID 53094 //
     /* 2394646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2394649 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2394666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394688 */     // GIR_Coverage, 53094,
     /* 2394688 */     GIR_EraseRootFromParent_Done,
     /* 2394689 */   // Label 29984: @2394689
     /* 2394689 */   GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2394737), // Rule ID 53095 //
     /* 2394694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2394697 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2394700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2394714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2394732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394736 */     // GIR_Coverage, 53095,
     /* 2394736 */     GIR_EraseRootFromParent_Done,
     /* 2394737 */   // Label 29985: @2394737
     /* 2394737 */   GIM_Reject,
     /* 2394738 */ // Label 29983: @2394738
     /* 2394738 */ GIM_Reject,
     /* 2394739 */ // Label 29936: @2394739
     /* 2394739 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2394859),
     /* 2394744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2394747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2394750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2394762 */   GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2394810), // Rule ID 53010 //
     /* 2394767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2394770 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2394773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2394787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394809 */     // GIR_Coverage, 53010,
     /* 2394809 */     GIR_EraseRootFromParent_Done,
     /* 2394810 */   // Label 29987: @2394810
     /* 2394810 */   GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2394858), // Rule ID 53011 //
     /* 2394815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394818 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2394821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2394835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394857 */     // GIR_Coverage, 53011,
     /* 2394857 */     GIR_EraseRootFromParent_Done,
     /* 2394858 */   // Label 29988: @2394858
     /* 2394858 */   GIM_Reject,
     /* 2394859 */ // Label 29986: @2394859
     /* 2394859 */ GIM_Reject,
     /* 2394860 */ // Label 29937: @2394860
     /* 2394860 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2394980),
     /* 2394865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2394868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2394871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2394883 */   GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2394931), // Rule ID 53058 //
     /* 2394888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2394891 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2394891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2394894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2394908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394930 */     // GIR_Coverage, 53058,
     /* 2394930 */     GIR_EraseRootFromParent_Done,
     /* 2394931 */   // Label 29990: @2394931
     /* 2394931 */   GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2394979), // Rule ID 53059 //
     /* 2394936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2394939 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2394942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2394956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2394974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394978 */     // GIR_Coverage, 53059,
     /* 2394978 */     GIR_EraseRootFromParent_Done,
     /* 2394979 */   // Label 29991: @2394979
     /* 2394979 */   GIM_Reject,
     /* 2394980 */ // Label 29989: @2394980
     /* 2394980 */ GIM_Reject,
     /* 2394981 */ // Label 29938: @2394981
     /* 2394981 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2395101),
     /* 2394986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2394989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2394992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2394996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395004 */   GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2395052), // Rule ID 53106 //
     /* 2395009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395012 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2395015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2395029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395051 */     // GIR_Coverage, 53106,
     /* 2395051 */     GIR_EraseRootFromParent_Done,
     /* 2395052 */   // Label 29993: @2395052
     /* 2395052 */   GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2395100), // Rule ID 53107 //
     /* 2395057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395060 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2395063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2395077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395099 */     // GIR_Coverage, 53107,
     /* 2395099 */     GIR_EraseRootFromParent_Done,
     /* 2395100 */   // Label 29994: @2395100
     /* 2395100 */   GIM_Reject,
     /* 2395101 */ // Label 29992: @2395101
     /* 2395101 */ GIM_Reject,
     /* 2395102 */ // Label 29939: @2395102
     /* 2395102 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2395222),
     /* 2395107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2395110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2395113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2395125 */   GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2395173), // Rule ID 53022 //
     /* 2395130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395133 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2395136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2395150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395172 */     // GIR_Coverage, 53022,
     /* 2395172 */     GIR_EraseRootFromParent_Done,
     /* 2395173 */   // Label 29996: @2395173
     /* 2395173 */   GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2395221), // Rule ID 53023 //
     /* 2395178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395181 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2395184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2395198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395220 */     // GIR_Coverage, 53023,
     /* 2395220 */     GIR_EraseRootFromParent_Done,
     /* 2395221 */   // Label 29997: @2395221
     /* 2395221 */   GIM_Reject,
     /* 2395222 */ // Label 29995: @2395222
     /* 2395222 */ GIM_Reject,
     /* 2395223 */ // Label 29940: @2395223
     /* 2395223 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2395343),
     /* 2395228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2395231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2395234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395246 */   GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2395294), // Rule ID 53070 //
     /* 2395251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395254 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2395257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2395271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395293 */     // GIR_Coverage, 53070,
     /* 2395293 */     GIR_EraseRootFromParent_Done,
     /* 2395294 */   // Label 29999: @2395294
     /* 2395294 */   GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2395342), // Rule ID 53071 //
     /* 2395299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395302 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2395305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2395319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395341 */     // GIR_Coverage, 53071,
     /* 2395341 */     GIR_EraseRootFromParent_Done,
     /* 2395342 */   // Label 30000: @2395342
     /* 2395342 */   GIM_Reject,
     /* 2395343 */ // Label 29998: @2395343
     /* 2395343 */ GIM_Reject,
     /* 2395344 */ // Label 29941: @2395344
     /* 2395344 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2395464),
     /* 2395349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2395352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2395355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2395367 */   GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2395415), // Rule ID 53034 //
     /* 2395372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395375 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2395378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2395392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395414 */     // GIR_Coverage, 53034,
     /* 2395414 */     GIR_EraseRootFromParent_Done,
     /* 2395415 */   // Label 30002: @2395415
     /* 2395415 */   GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2395463), // Rule ID 53035 //
     /* 2395420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395423 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2395426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2395440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395462 */     // GIR_Coverage, 53035,
     /* 2395462 */     GIR_EraseRootFromParent_Done,
     /* 2395463 */   // Label 30003: @2395463
     /* 2395463 */   GIM_Reject,
     /* 2395464 */ // Label 30001: @2395464
     /* 2395464 */ GIM_Reject,
     /* 2395465 */ // Label 29942: @2395465
     /* 2395465 */ GIM_Reject,
     /* 2395466 */ // Label 59: @2395466
     /* 2395466 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30022*/ GIMT_Encode4(2397893),
     /* 2395477 */ /*GILLT_s16*//*Label 30004*/ GIMT_Encode4(2395597),
     /* 2395481 */ /*GILLT_s32*//*Label 30005*/ GIMT_Encode4(2395746),
     /* 2395485 */ /*GILLT_s64*//*Label 30006*/ GIMT_Encode4(2395895), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395497 */ /*GILLT_nxv1s16*//*Label 30007*/ GIMT_Encode4(2396078),
     /* 2395501 */ /*GILLT_nxv1s32*//*Label 30008*/ GIMT_Encode4(2396199),
     /* 2395505 */ /*GILLT_nxv1s64*//*Label 30009*/ GIMT_Encode4(2396320), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395517 */ /*GILLT_nxv2s16*//*Label 30010*/ GIMT_Encode4(2396441),
     /* 2395521 */ /*GILLT_nxv2s32*//*Label 30011*/ GIMT_Encode4(2396562),
     /* 2395525 */ /*GILLT_nxv2s64*//*Label 30012*/ GIMT_Encode4(2396683), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395537 */ /*GILLT_nxv4s16*//*Label 30013*/ GIMT_Encode4(2396804),
     /* 2395541 */ /*GILLT_nxv4s32*//*Label 30014*/ GIMT_Encode4(2396925),
     /* 2395545 */ /*GILLT_nxv4s64*//*Label 30015*/ GIMT_Encode4(2397046), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395557 */ /*GILLT_nxv8s16*//*Label 30016*/ GIMT_Encode4(2397167),
     /* 2395561 */ /*GILLT_nxv8s32*//*Label 30017*/ GIMT_Encode4(2397288),
     /* 2395565 */ /*GILLT_nxv8s64*//*Label 30018*/ GIMT_Encode4(2397409), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395577 */ /*GILLT_nxv16s16*//*Label 30019*/ GIMT_Encode4(2397530),
     /* 2395581 */ /*GILLT_nxv16s32*//*Label 30020*/ GIMT_Encode4(2397651), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2395593 */ /*GILLT_nxv32s16*//*Label 30021*/ GIMT_Encode4(2397772),
     /* 2395597 */ // Label 30004: @2395597
     /* 2395597 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2395745),
     /* 2395602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2395605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2395608 */   GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2395642), // Rule ID 1832 //
     /* 2395613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2395616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395628 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2395628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2395631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395641 */     // GIR_Coverage, 1832,
     /* 2395641 */     GIR_EraseRootFromParent_Done,
     /* 2395642 */   // Label 30024: @2395642
     /* 2395642 */   GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2395676), // Rule ID 1833 //
     /* 2395647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2395650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2395662 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2395662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2395665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395675 */     // GIR_Coverage, 1833,
     /* 2395675 */     GIR_EraseRootFromParent_Done,
     /* 2395676 */   // Label 30025: @2395676
     /* 2395676 */   GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2395710), // Rule ID 1836 //
     /* 2395681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2395684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395696 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2395696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2395699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395709 */     // GIR_Coverage, 1836,
     /* 2395709 */     GIR_EraseRootFromParent_Done,
     /* 2395710 */   // Label 30026: @2395710
     /* 2395710 */   GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2395744), // Rule ID 1837 //
     /* 2395715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2395718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2395730 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2395730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2395733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395743 */     // GIR_Coverage, 1837,
     /* 2395743 */     GIR_EraseRootFromParent_Done,
     /* 2395744 */   // Label 30027: @2395744
     /* 2395744 */   GIM_Reject,
     /* 2395745 */ // Label 30023: @2395745
     /* 2395745 */ GIM_Reject,
     /* 2395746 */ // Label 30005: @2395746
     /* 2395746 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2395894),
     /* 2395751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2395754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2395757 */   GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2395791), // Rule ID 1123 //
     /* 2395762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2395765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395777 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2395777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2395780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395790 */     // GIR_Coverage, 1123,
     /* 2395790 */     GIR_EraseRootFromParent_Done,
     /* 2395791 */   // Label 30029: @2395791
     /* 2395791 */   GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2395825), // Rule ID 1124 //
     /* 2395796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2395799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395811 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2395811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2395814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395824 */     // GIR_Coverage, 1124,
     /* 2395824 */     GIR_EraseRootFromParent_Done,
     /* 2395825 */   // Label 30030: @2395825
     /* 2395825 */   GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2395859), // Rule ID 1127 //
     /* 2395830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2395833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395845 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2395845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2395848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395858 */     // GIR_Coverage, 1127,
     /* 2395858 */     GIR_EraseRootFromParent_Done,
     /* 2395859 */   // Label 30031: @2395859
     /* 2395859 */   GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2395893), // Rule ID 1128 //
     /* 2395864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2395867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395879 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2395879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2395882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395892 */     // GIR_Coverage, 1128,
     /* 2395892 */     GIR_EraseRootFromParent_Done,
     /* 2395893 */   // Label 30032: @2395893
     /* 2395893 */   GIM_Reject,
     /* 2395894 */ // Label 30028: @2395894
     /* 2395894 */ GIM_Reject,
     /* 2395895 */ // Label 30006: @2395895
     /* 2395895 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2396077),
     /* 2395900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2395906 */   GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2395940), // Rule ID 1462 //
     /* 2395911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2395914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395926 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2395926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2395929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395939 */     // GIR_Coverage, 1462,
     /* 2395939 */     GIR_EraseRootFromParent_Done,
     /* 2395940 */   // Label 30034: @2395940
     /* 2395940 */   GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2395974), // Rule ID 1463 //
     /* 2395945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2395948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395960 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2395960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2395963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395973 */     // GIR_Coverage, 1463,
     /* 2395973 */     GIR_EraseRootFromParent_Done,
     /* 2395974 */   // Label 30035: @2395974
     /* 2395974 */   GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2396008), // Rule ID 1466 //
     /* 2395979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2395982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395986 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395994 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2395994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2395997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396007 */     // GIR_Coverage, 1466,
     /* 2396007 */     GIR_EraseRootFromParent_Done,
     /* 2396008 */   // Label 30036: @2396008
     /* 2396008 */   GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2396042), // Rule ID 1467 //
     /* 2396013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2396016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2396028 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2396028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2396031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396041 */     // GIR_Coverage, 1467,
     /* 2396041 */     GIR_EraseRootFromParent_Done,
     /* 2396042 */   // Label 30037: @2396042
     /* 2396042 */   GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2396076), // Rule ID 1469 //
     /* 2396047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2396050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2396062 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2396062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2396065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396075 */     // GIR_Coverage, 1469,
     /* 2396075 */     GIR_EraseRootFromParent_Done,
     /* 2396076 */   // Label 30038: @2396076
     /* 2396076 */   GIM_Reject,
     /* 2396077 */ // Label 30033: @2396077
     /* 2396077 */ GIM_Reject,
     /* 2396078 */ // Label 30007: @2396078
     /* 2396078 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2396198),
     /* 2396083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2396086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2396089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396101 */   GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2396149), // Rule ID 53706 //
     /* 2396106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396109 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2396126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396148 */     // GIR_Coverage, 53706,
     /* 2396148 */     GIR_EraseRootFromParent_Done,
     /* 2396149 */   // Label 30040: @2396149
     /* 2396149 */   GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2396197), // Rule ID 53707 //
     /* 2396154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396157 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2396160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2396174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396196 */     // GIR_Coverage, 53707,
     /* 2396196 */     GIR_EraseRootFromParent_Done,
     /* 2396197 */   // Label 30041: @2396197
     /* 2396197 */   GIM_Reject,
     /* 2396198 */ // Label 30039: @2396198
     /* 2396198 */ GIM_Reject,
     /* 2396199 */ // Label 30008: @2396199
     /* 2396199 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2396319),
     /* 2396204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2396207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2396210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396222 */   GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2396270), // Rule ID 53730 //
     /* 2396227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396230 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2396233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2396247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396269 */     // GIR_Coverage, 53730,
     /* 2396269 */     GIR_EraseRootFromParent_Done,
     /* 2396270 */   // Label 30043: @2396270
     /* 2396270 */   GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2396318), // Rule ID 53731 //
     /* 2396275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396278 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2396281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2396295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396317 */     // GIR_Coverage, 53731,
     /* 2396317 */     GIR_EraseRootFromParent_Done,
     /* 2396318 */   // Label 30044: @2396318
     /* 2396318 */   GIM_Reject,
     /* 2396319 */ // Label 30042: @2396319
     /* 2396319 */ GIM_Reject,
     /* 2396320 */ // Label 30009: @2396320
     /* 2396320 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2396440),
     /* 2396325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2396328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2396331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396343 */   GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2396391), // Rule ID 53766 //
     /* 2396348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396351 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2396354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2396368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396390 */     // GIR_Coverage, 53766,
     /* 2396390 */     GIR_EraseRootFromParent_Done,
     /* 2396391 */   // Label 30046: @2396391
     /* 2396391 */   GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2396439), // Rule ID 53767 //
     /* 2396396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396399 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2396402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2396416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396438 */     // GIR_Coverage, 53767,
     /* 2396438 */     GIR_EraseRootFromParent_Done,
     /* 2396439 */   // Label 30047: @2396439
     /* 2396439 */   GIM_Reject,
     /* 2396440 */ // Label 30045: @2396440
     /* 2396440 */ GIM_Reject,
     /* 2396441 */ // Label 30010: @2396441
     /* 2396441 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2396561),
     /* 2396446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2396449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2396452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396464 */   GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2396512), // Rule ID 53718 //
     /* 2396469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396472 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2396475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2396489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396511 */     // GIR_Coverage, 53718,
     /* 2396511 */     GIR_EraseRootFromParent_Done,
     /* 2396512 */   // Label 30049: @2396512
     /* 2396512 */   GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2396560), // Rule ID 53719 //
     /* 2396517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396520 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2396523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2396537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396559 */     // GIR_Coverage, 53719,
     /* 2396559 */     GIR_EraseRootFromParent_Done,
     /* 2396560 */   // Label 30050: @2396560
     /* 2396560 */   GIM_Reject,
     /* 2396561 */ // Label 30048: @2396561
     /* 2396561 */ GIM_Reject,
     /* 2396562 */ // Label 30011: @2396562
     /* 2396562 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2396682),
     /* 2396567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2396570 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2396573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396581 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396585 */   GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2396633), // Rule ID 53754 //
     /* 2396590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396593 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2396596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2396610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396632 */     // GIR_Coverage, 53754,
     /* 2396632 */     GIR_EraseRootFromParent_Done,
     /* 2396633 */   // Label 30052: @2396633
     /* 2396633 */   GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2396681), // Rule ID 53755 //
     /* 2396638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396641 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2396644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2396658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396680 */     // GIR_Coverage, 53755,
     /* 2396680 */     GIR_EraseRootFromParent_Done,
     /* 2396681 */   // Label 30053: @2396681
     /* 2396681 */   GIM_Reject,
     /* 2396682 */ // Label 30051: @2396682
     /* 2396682 */ GIM_Reject,
     /* 2396683 */ // Label 30012: @2396683
     /* 2396683 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2396803),
     /* 2396688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2396691 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2396694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396706 */   GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2396754), // Rule ID 53850 //
     /* 2396711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396714 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2396717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2396731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396753 */     // GIR_Coverage, 53850,
     /* 2396753 */     GIR_EraseRootFromParent_Done,
     /* 2396754 */   // Label 30055: @2396754
     /* 2396754 */   GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2396802), // Rule ID 53851 //
     /* 2396759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396762 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2396765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2396779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396801 */     // GIR_Coverage, 53851,
     /* 2396801 */     GIR_EraseRootFromParent_Done,
     /* 2396802 */   // Label 30056: @2396802
     /* 2396802 */   GIM_Reject,
     /* 2396803 */ // Label 30054: @2396803
     /* 2396803 */ GIM_Reject,
     /* 2396804 */ // Label 30013: @2396804
     /* 2396804 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2396924),
     /* 2396809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2396812 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2396815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396819 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396827 */   GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2396875), // Rule ID 53742 //
     /* 2396832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396835 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2396838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2396852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396874 */     // GIR_Coverage, 53742,
     /* 2396874 */     GIR_EraseRootFromParent_Done,
     /* 2396875 */   // Label 30058: @2396875
     /* 2396875 */   GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2396923), // Rule ID 53743 //
     /* 2396880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396883 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2396886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2396900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396922 */     // GIR_Coverage, 53743,
     /* 2396922 */     GIR_EraseRootFromParent_Done,
     /* 2396923 */   // Label 30059: @2396923
     /* 2396923 */   GIM_Reject,
     /* 2396924 */ // Label 30057: @2396924
     /* 2396924 */ GIM_Reject,
     /* 2396925 */ // Label 30014: @2396925
     /* 2396925 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2397045),
     /* 2396930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2396933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2396936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396948 */   GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2396996), // Rule ID 53814 //
     /* 2396953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396956 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2396959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2396973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396995 */     // GIR_Coverage, 53814,
     /* 2396995 */     GIR_EraseRootFromParent_Done,
     /* 2396996 */   // Label 30061: @2396996
     /* 2396996 */   GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2397044), // Rule ID 53815 //
     /* 2397001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397004 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2397007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2397021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397043 */     // GIR_Coverage, 53815,
     /* 2397043 */     GIR_EraseRootFromParent_Done,
     /* 2397044 */   // Label 30062: @2397044
     /* 2397044 */   GIM_Reject,
     /* 2397045 */ // Label 30060: @2397045
     /* 2397045 */ GIM_Reject,
     /* 2397046 */ // Label 30015: @2397046
     /* 2397046 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2397166),
     /* 2397051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2397054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2397057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397069 */   GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2397117), // Rule ID 53862 //
     /* 2397074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397077 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2397094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397116 */     // GIR_Coverage, 53862,
     /* 2397116 */     GIR_EraseRootFromParent_Done,
     /* 2397117 */   // Label 30064: @2397117
     /* 2397117 */   GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2397165), // Rule ID 53863 //
     /* 2397122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397125 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2397128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2397142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397164 */     // GIR_Coverage, 53863,
     /* 2397164 */     GIR_EraseRootFromParent_Done,
     /* 2397165 */   // Label 30065: @2397165
     /* 2397165 */   GIM_Reject,
     /* 2397166 */ // Label 30063: @2397166
     /* 2397166 */ GIM_Reject,
     /* 2397167 */ // Label 30016: @2397167
     /* 2397167 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2397287),
     /* 2397172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2397175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2397178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2397190 */   GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2397238), // Rule ID 53778 //
     /* 2397195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397198 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2397215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397237 */     // GIR_Coverage, 53778,
     /* 2397237 */     GIR_EraseRootFromParent_Done,
     /* 2397238 */   // Label 30067: @2397238
     /* 2397238 */   GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2397286), // Rule ID 53779 //
     /* 2397243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397246 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2397249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2397263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397285 */     // GIR_Coverage, 53779,
     /* 2397285 */     GIR_EraseRootFromParent_Done,
     /* 2397286 */   // Label 30068: @2397286
     /* 2397286 */   GIM_Reject,
     /* 2397287 */ // Label 30066: @2397287
     /* 2397287 */ GIM_Reject,
     /* 2397288 */ // Label 30017: @2397288
     /* 2397288 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2397408),
     /* 2397293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2397296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2397299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397311 */   GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2397359), // Rule ID 53826 //
     /* 2397316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397319 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2397336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397358 */     // GIR_Coverage, 53826,
     /* 2397358 */     GIR_EraseRootFromParent_Done,
     /* 2397359 */   // Label 30070: @2397359
     /* 2397359 */   GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2397407), // Rule ID 53827 //
     /* 2397364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397367 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397367 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2397370 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397374 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2397384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397386 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397389 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397406 */     // GIR_Coverage, 53827,
     /* 2397406 */     GIR_EraseRootFromParent_Done,
     /* 2397407 */   // Label 30071: @2397407
     /* 2397407 */   GIM_Reject,
     /* 2397408 */ // Label 30069: @2397408
     /* 2397408 */ GIM_Reject,
     /* 2397409 */ // Label 30018: @2397409
     /* 2397409 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2397529),
     /* 2397414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2397417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2397420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397432 */   GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2397480), // Rule ID 53874 //
     /* 2397437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397440 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2397443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2397457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397479 */     // GIR_Coverage, 53874,
     /* 2397479 */     GIR_EraseRootFromParent_Done,
     /* 2397480 */   // Label 30073: @2397480
     /* 2397480 */   GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2397528), // Rule ID 53875 //
     /* 2397485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2397488 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2397491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2397505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2397523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397527 */     // GIR_Coverage, 53875,
     /* 2397527 */     GIR_EraseRootFromParent_Done,
     /* 2397528 */   // Label 30074: @2397528
     /* 2397528 */   GIM_Reject,
     /* 2397529 */ // Label 30072: @2397529
     /* 2397529 */ GIM_Reject,
     /* 2397530 */ // Label 30019: @2397530
     /* 2397530 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2397650),
     /* 2397535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2397538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2397541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2397553 */   GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2397601), // Rule ID 53790 //
     /* 2397558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397561 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2397564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2397578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397600 */     // GIR_Coverage, 53790,
     /* 2397600 */     GIR_EraseRootFromParent_Done,
     /* 2397601 */   // Label 30076: @2397601
     /* 2397601 */   GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2397649), // Rule ID 53791 //
     /* 2397606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397609 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2397612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2397626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397648 */     // GIR_Coverage, 53791,
     /* 2397648 */     GIR_EraseRootFromParent_Done,
     /* 2397649 */   // Label 30077: @2397649
     /* 2397649 */   GIM_Reject,
     /* 2397650 */ // Label 30075: @2397650
     /* 2397650 */ GIM_Reject,
     /* 2397651 */ // Label 30020: @2397651
     /* 2397651 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2397771),
     /* 2397656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2397659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2397662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397674 */   GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2397722), // Rule ID 53838 //
     /* 2397679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397682 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2397685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2397699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397721 */     // GIR_Coverage, 53838,
     /* 2397721 */     GIR_EraseRootFromParent_Done,
     /* 2397722 */   // Label 30079: @2397722
     /* 2397722 */   GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2397770), // Rule ID 53839 //
     /* 2397727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397730 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2397733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2397747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397769 */     // GIR_Coverage, 53839,
     /* 2397769 */     GIR_EraseRootFromParent_Done,
     /* 2397770 */   // Label 30080: @2397770
     /* 2397770 */   GIM_Reject,
     /* 2397771 */ // Label 30078: @2397771
     /* 2397771 */ GIM_Reject,
     /* 2397772 */ // Label 30021: @2397772
     /* 2397772 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2397892),
     /* 2397777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2397780 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2397783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397795 */   GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2397843), // Rule ID 53802 //
     /* 2397800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397803 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2397806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2397820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397842 */     // GIR_Coverage, 53802,
     /* 2397842 */     GIR_EraseRootFromParent_Done,
     /* 2397843 */   // Label 30082: @2397843
     /* 2397843 */   GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2397891), // Rule ID 53803 //
     /* 2397848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397851 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397851 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2397854 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397858 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397863 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2397868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397870 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397890 */     // GIR_Coverage, 53803,
     /* 2397890 */     GIR_EraseRootFromParent_Done,
     /* 2397891 */   // Label 30083: @2397891
     /* 2397891 */   GIM_Reject,
     /* 2397892 */ // Label 30081: @2397892
     /* 2397892 */ GIM_Reject,
     /* 2397893 */ // Label 30022: @2397893
     /* 2397893 */ GIM_Reject,
     /* 2397894 */ // Label 60: @2397894
     /* 2397894 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30102*/ GIMT_Encode4(2414538),
     /* 2397905 */ /*GILLT_s16*//*Label 30084*/ GIMT_Encode4(2398025),
     /* 2397909 */ /*GILLT_s32*//*Label 30085*/ GIMT_Encode4(2399461),
     /* 2397913 */ /*GILLT_s64*//*Label 30086*/ GIMT_Encode4(2400897), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397925 */ /*GILLT_nxv1s16*//*Label 30087*/ GIMT_Encode4(2402688),
     /* 2397929 */ /*GILLT_nxv1s32*//*Label 30088*/ GIMT_Encode4(2403478),
     /* 2397933 */ /*GILLT_nxv1s64*//*Label 30089*/ GIMT_Encode4(2404268), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397945 */ /*GILLT_nxv2s16*//*Label 30090*/ GIMT_Encode4(2405058),
     /* 2397949 */ /*GILLT_nxv2s32*//*Label 30091*/ GIMT_Encode4(2405848),
     /* 2397953 */ /*GILLT_nxv2s64*//*Label 30092*/ GIMT_Encode4(2406638), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397965 */ /*GILLT_nxv4s16*//*Label 30093*/ GIMT_Encode4(2407428),
     /* 2397969 */ /*GILLT_nxv4s32*//*Label 30094*/ GIMT_Encode4(2408218),
     /* 2397973 */ /*GILLT_nxv4s64*//*Label 30095*/ GIMT_Encode4(2409008), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397985 */ /*GILLT_nxv8s16*//*Label 30096*/ GIMT_Encode4(2409798),
     /* 2397989 */ /*GILLT_nxv8s32*//*Label 30097*/ GIMT_Encode4(2410588),
     /* 2397993 */ /*GILLT_nxv8s64*//*Label 30098*/ GIMT_Encode4(2411378), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398005 */ /*GILLT_nxv16s16*//*Label 30099*/ GIMT_Encode4(2412168),
     /* 2398009 */ /*GILLT_nxv16s32*//*Label 30100*/ GIMT_Encode4(2412958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2398021 */ /*GILLT_nxv32s16*//*Label 30101*/ GIMT_Encode4(2413748),
     /* 2398025 */ // Label 30084: @2398025
     /* 2398025 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2399460),
     /* 2398030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2398036 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2398039 */   GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2398111), // Rule ID 1873 //
     /* 2398044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398059 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398084 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398089 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398091 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2398094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398110 */     // GIR_Coverage, 1873,
     /* 2398110 */     GIR_EraseRootFromParent_Done,
     /* 2398111 */   // Label 30104: @2398111
     /* 2398111 */   GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2398183), // Rule ID 1874 //
     /* 2398116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398144 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398148 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398152 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398156 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398161 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398163 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2398166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398182 */     // GIR_Coverage, 1874,
     /* 2398182 */     GIR_EraseRootFromParent_Done,
     /* 2398183 */   // Label 30105: @2398183
     /* 2398183 */   GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2398255), // Rule ID 1906 //
     /* 2398188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398233 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398235 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2398238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398254 */     // GIR_Coverage, 1906,
     /* 2398254 */     GIR_EraseRootFromParent_Done,
     /* 2398255 */   // Label 30106: @2398255
     /* 2398255 */   GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2398327), // Rule ID 1907 //
     /* 2398260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398307 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2398310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398326 */     // GIR_Coverage, 1907,
     /* 2398326 */     GIR_EraseRootFromParent_Done,
     /* 2398327 */   // Label 30107: @2398327
     /* 2398327 */   GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2398399), // Rule ID 64061 //
     /* 2398332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398372 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398379 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2398382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398398 */     // GIR_Coverage, 64061,
     /* 2398398 */     GIR_EraseRootFromParent_Done,
     /* 2398399 */   // Label 30108: @2398399
     /* 2398399 */   GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2398471), // Rule ID 64062 //
     /* 2398404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398432 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398436 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398440 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398451 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2398454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398470 */     // GIR_Coverage, 64062,
     /* 2398470 */     GIR_EraseRootFromParent_Done,
     /* 2398471 */   // Label 30109: @2398471
     /* 2398471 */   GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2398543), // Rule ID 64069 //
     /* 2398476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398521 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398523 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2398526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398542 */     // GIR_Coverage, 64069,
     /* 2398542 */     GIR_EraseRootFromParent_Done,
     /* 2398543 */   // Label 30110: @2398543
     /* 2398543 */   GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2398615), // Rule ID 64070 //
     /* 2398548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2398580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2398595 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2398598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2398610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398614 */     // GIR_Coverage, 64070,
     /* 2398614 */     GIR_EraseRootFromParent_Done,
     /* 2398615 */   // Label 30111: @2398615
     /* 2398615 */   GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2398672), // Rule ID 1869 //
     /* 2398620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398654 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2398657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398671 */     // GIR_Coverage, 1869,
     /* 2398671 */     GIR_EraseRootFromParent_Done,
     /* 2398672 */   // Label 30112: @2398672
     /* 2398672 */   GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2398729), // Rule ID 1870 //
     /* 2398677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398684 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398688 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398692 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398711 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2398714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398728 */     // GIR_Coverage, 1870,
     /* 2398728 */     GIR_EraseRootFromParent_Done,
     /* 2398729 */   // Label 30113: @2398729
     /* 2398729 */   GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2398786), // Rule ID 1902 //
     /* 2398734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398768 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2398771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398785 */     // GIR_Coverage, 1902,
     /* 2398785 */     GIR_EraseRootFromParent_Done,
     /* 2398786 */   // Label 30114: @2398786
     /* 2398786 */   GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2398843), // Rule ID 1903 //
     /* 2398791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2398794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2398802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398825 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2398828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398842 */     // GIR_Coverage, 1903,
     /* 2398842 */     GIR_EraseRootFromParent_Done,
     /* 2398843 */   // Label 30115: @2398843
     /* 2398843 */   GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2398900), // Rule ID 64057 //
     /* 2398848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2398851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398882 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2398885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398899 */     // GIR_Coverage, 64057,
     /* 2398899 */     GIR_EraseRootFromParent_Done,
     /* 2398900 */   // Label 30116: @2398900
     /* 2398900 */   GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2398957), // Rule ID 64058 //
     /* 2398905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2398908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2398937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398939 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2398939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2398942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2398948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2398950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2398952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398956 */     // GIR_Coverage, 64058,
     /* 2398956 */     GIR_EraseRootFromParent_Done,
     /* 2398957 */   // Label 30117: @2398957
     /* 2398957 */   GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2399014), // Rule ID 64065 //
     /* 2398962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2398965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2398977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2398981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2398985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2398994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2398996 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2398996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2398999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399013 */     // GIR_Coverage, 64065,
     /* 2399013 */     GIR_EraseRootFromParent_Done,
     /* 2399014 */   // Label 30118: @2399014
     /* 2399014 */   GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2399071), // Rule ID 64066 //
     /* 2399019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2399022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399053 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2399053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2399056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399070 */     // GIR_Coverage, 64066,
     /* 2399070 */     GIR_EraseRootFromParent_Done,
     /* 2399071 */   // Label 30119: @2399071
     /* 2399071 */   GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2399128), // Rule ID 1865 //
     /* 2399076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2399079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399108 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399110 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2399110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2399113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399127 */     // GIR_Coverage, 1865,
     /* 2399127 */     GIR_EraseRootFromParent_Done,
     /* 2399128 */   // Label 30120: @2399128
     /* 2399128 */   GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2399185), // Rule ID 1866 //
     /* 2399133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2399136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399160 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399167 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2399167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2399170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399184 */     // GIR_Coverage, 1866,
     /* 2399184 */     GIR_EraseRootFromParent_Done,
     /* 2399185 */   // Label 30121: @2399185
     /* 2399185 */   GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2399242), // Rule ID 1898 //
     /* 2399190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2399193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399224 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2399224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2399227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399241 */     // GIR_Coverage, 1898,
     /* 2399241 */     GIR_EraseRootFromParent_Done,
     /* 2399242 */   // Label 30122: @2399242
     /* 2399242 */   GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2399299), // Rule ID 1899 //
     /* 2399247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2399250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2399266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2399281 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2399281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2399284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2399294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399298 */     // GIR_Coverage, 1899,
     /* 2399298 */     GIR_EraseRootFromParent_Done,
     /* 2399299 */   // Label 30123: @2399299
     /* 2399299 */   GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2399339), // Rule ID 1861 //
     /* 2399304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2399307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399323 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2399323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2399326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399338 */     // GIR_Coverage, 1861,
     /* 2399338 */     GIR_EraseRootFromParent_Done,
     /* 2399339 */   // Label 30124: @2399339
     /* 2399339 */   GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2399379), // Rule ID 1862 //
     /* 2399344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2399347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399363 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2399363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2399366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399378 */     // GIR_Coverage, 1862,
     /* 2399378 */     GIR_EraseRootFromParent_Done,
     /* 2399379 */   // Label 30125: @2399379
     /* 2399379 */   GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2399419), // Rule ID 1894 //
     /* 2399384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2399387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399403 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2399403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2399406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399418 */     // GIR_Coverage, 1894,
     /* 2399418 */     GIR_EraseRootFromParent_Done,
     /* 2399419 */   // Label 30126: @2399419
     /* 2399419 */   GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2399459), // Rule ID 1895 //
     /* 2399424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2399427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399443 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2399443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2399446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2399454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399458 */     // GIR_Coverage, 1895,
     /* 2399458 */     GIR_EraseRootFromParent_Done,
     /* 2399459 */   // Label 30127: @2399459
     /* 2399459 */   GIM_Reject,
     /* 2399460 */ // Label 30103: @2399460
     /* 2399460 */ GIM_Reject,
     /* 2399461 */ // Label 30085: @2399461
     /* 2399461 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2400896),
     /* 2399466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2399472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2399475 */   GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2399547), // Rule ID 1172 //
     /* 2399480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2399483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399508 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399512 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399516 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399520 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399527 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2399527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2399530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399546 */     // GIR_Coverage, 1172,
     /* 2399546 */     GIR_EraseRootFromParent_Done,
     /* 2399547 */   // Label 30129: @2399547
     /* 2399547 */   GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2399619), // Rule ID 1173 //
     /* 2399552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2399555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399599 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2399599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2399602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399618 */     // GIR_Coverage, 1173,
     /* 2399618 */     GIR_EraseRootFromParent_Done,
     /* 2399619 */   // Label 30130: @2399619
     /* 2399619 */   GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2399691), // Rule ID 1193 //
     /* 2399624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2399627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399671 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2399671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2399674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399690 */     // GIR_Coverage, 1193,
     /* 2399690 */     GIR_EraseRootFromParent_Done,
     /* 2399691 */   // Label 30131: @2399691
     /* 2399691 */   GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2399763), // Rule ID 1194 //
     /* 2399696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2399699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2399707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399736 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399741 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399743 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2399743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2399746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399762 */     // GIR_Coverage, 1194,
     /* 2399762 */     GIR_EraseRootFromParent_Done,
     /* 2399763 */   // Label 30132: @2399763
     /* 2399763 */   GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2399835), // Rule ID 64025 //
     /* 2399768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2399771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399791 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399808 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399815 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2399815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2399818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399834 */     // GIR_Coverage, 64025,
     /* 2399834 */     GIR_EraseRootFromParent_Done,
     /* 2399835 */   // Label 30133: @2399835
     /* 2399835 */   GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2399907), // Rule ID 64026 //
     /* 2399840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2399843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399887 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2399887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2399890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399906 */     // GIR_Coverage, 64026,
     /* 2399906 */     GIR_EraseRootFromParent_Done,
     /* 2399907 */   // Label 30134: @2399907
     /* 2399907 */   GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2399979), // Rule ID 64033 //
     /* 2399912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2399915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2399944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2399948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2399959 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2399959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2399962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2399968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2399970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2399974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399978 */     // GIR_Coverage, 64033,
     /* 2399978 */     GIR_EraseRootFromParent_Done,
     /* 2399979 */   // Label 30135: @2399979
     /* 2399979 */   GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2400051), // Rule ID 64034 //
     /* 2399984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2399987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2399999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400029 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400031 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2400034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2400046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400050 */     // GIR_Coverage, 64034,
     /* 2400050 */     GIR_EraseRootFromParent_Done,
     /* 2400051 */   // Label 30136: @2400051
     /* 2400051 */   GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2400108), // Rule ID 1168 //
     /* 2400056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400090 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2400093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400107 */     // GIR_Coverage, 1168,
     /* 2400107 */     GIR_EraseRootFromParent_Done,
     /* 2400108 */   // Label 30137: @2400108
     /* 2400108 */   GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2400165), // Rule ID 1169 //
     /* 2400113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400147 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2400150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400164 */     // GIR_Coverage, 1169,
     /* 2400164 */     GIR_EraseRootFromParent_Done,
     /* 2400165 */   // Label 30138: @2400165
     /* 2400165 */   GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2400222), // Rule ID 1189 //
     /* 2400170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400204 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2400207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400221 */     // GIR_Coverage, 1189,
     /* 2400221 */     GIR_EraseRootFromParent_Done,
     /* 2400222 */   // Label 30139: @2400222
     /* 2400222 */   GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2400279), // Rule ID 1190 //
     /* 2400227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400261 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2400264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400278 */     // GIR_Coverage, 1190,
     /* 2400278 */     GIR_EraseRootFromParent_Done,
     /* 2400279 */   // Label 30140: @2400279
     /* 2400279 */   GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2400336), // Rule ID 64021 //
     /* 2400284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400303 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400318 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2400321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400335 */     // GIR_Coverage, 64021,
     /* 2400335 */     GIR_EraseRootFromParent_Done,
     /* 2400336 */   // Label 30141: @2400336
     /* 2400336 */   GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2400393), // Rule ID 64022 //
     /* 2400341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400375 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2400378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400380 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400392 */     // GIR_Coverage, 64022,
     /* 2400392 */     GIR_EraseRootFromParent_Done,
     /* 2400393 */   // Label 30142: @2400393
     /* 2400393 */   GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2400450), // Rule ID 64029 //
     /* 2400398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400432 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2400435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400449 */     // GIR_Coverage, 64029,
     /* 2400449 */     GIR_EraseRootFromParent_Done,
     /* 2400450 */   // Label 30143: @2400450
     /* 2400450 */   GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2400507), // Rule ID 64030 //
     /* 2400455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2400470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400474 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400489 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2400492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2400500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400506 */     // GIR_Coverage, 64030,
     /* 2400506 */     GIR_EraseRootFromParent_Done,
     /* 2400507 */   // Label 30144: @2400507
     /* 2400507 */   GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2400564), // Rule ID 1164 //
     /* 2400512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400546 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2400549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2400559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400563 */     // GIR_Coverage, 1164,
     /* 2400563 */     GIR_EraseRootFromParent_Done,
     /* 2400564 */   // Label 30145: @2400564
     /* 2400564 */   GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2400621), // Rule ID 1165 //
     /* 2400569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400603 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2400606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2400616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400620 */     // GIR_Coverage, 1165,
     /* 2400620 */     GIR_EraseRootFromParent_Done,
     /* 2400621 */   // Label 30146: @2400621
     /* 2400621 */   GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2400678), // Rule ID 1185 //
     /* 2400626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400660 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2400663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2400673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400677 */     // GIR_Coverage, 1185,
     /* 2400677 */     GIR_EraseRootFromParent_Done,
     /* 2400678 */   // Label 30147: @2400678
     /* 2400678 */   GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2400735), // Rule ID 1186 //
     /* 2400683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2400702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2400710 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2400717 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2400720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2400730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400734 */     // GIR_Coverage, 1186,
     /* 2400734 */     GIR_EraseRootFromParent_Done,
     /* 2400735 */   // Label 30148: @2400735
     /* 2400735 */   GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2400775), // Rule ID 1160 //
     /* 2400740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2400743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400759 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2400762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400774 */     // GIR_Coverage, 1160,
     /* 2400774 */     GIR_EraseRootFromParent_Done,
     /* 2400775 */   // Label 30149: @2400775
     /* 2400775 */   GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2400815), // Rule ID 1161 //
     /* 2400780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2400783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2400799 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2400802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400814 */     // GIR_Coverage, 1161,
     /* 2400814 */     GIR_EraseRootFromParent_Done,
     /* 2400815 */   // Label 30150: @2400815
     /* 2400815 */   GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2400855), // Rule ID 1181 //
     /* 2400820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2400823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400839 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2400839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2400842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400854 */     // GIR_Coverage, 1181,
     /* 2400854 */     GIR_EraseRootFromParent_Done,
     /* 2400855 */   // Label 30151: @2400855
     /* 2400855 */   GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2400895), // Rule ID 1182 //
     /* 2400860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2400863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2400879 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2400879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2400882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2400890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400894 */     // GIR_Coverage, 1182,
     /* 2400894 */     GIR_EraseRootFromParent_Done,
     /* 2400895 */   // Label 30152: @2400895
     /* 2400895 */   GIM_Reject,
     /* 2400896 */ // Label 30128: @2400896
     /* 2400896 */ GIM_Reject,
     /* 2400897 */ // Label 30086: @2400897
     /* 2400897 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2402687),
     /* 2400902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2400908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2400911 */   GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2400983), // Rule ID 1509 //
     /* 2400916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2400919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2400948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2400952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2400956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2400963 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2400963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2400966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2400972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2400978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400982 */     // GIR_Coverage, 1509,
     /* 2400982 */     GIR_EraseRootFromParent_Done,
     /* 2400983 */   // Label 30154: @2400983
     /* 2400983 */   GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2401055), // Rule ID 1510 //
     /* 2400988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2400999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401035 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2401038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401054 */     // GIR_Coverage, 1510,
     /* 2401054 */     GIR_EraseRootFromParent_Done,
     /* 2401055 */   // Label 30155: @2401055
     /* 2401055 */   GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2401127), // Rule ID 1532 //
     /* 2401060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401107 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2401110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401126 */     // GIR_Coverage, 1532,
     /* 2401126 */     GIR_EraseRootFromParent_Done,
     /* 2401127 */   // Label 30156: @2401127
     /* 2401127 */   GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2401199), // Rule ID 1564 //
     /* 2401132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2401135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401179 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2401182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401198 */     // GIR_Coverage, 1564,
     /* 2401198 */     GIR_EraseRootFromParent_Done,
     /* 2401199 */   // Label 30157: @2401199
     /* 2401199 */   GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2401271), // Rule ID 1565 //
     /* 2401204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2401207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401251 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2401254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401270 */     // GIR_Coverage, 1565,
     /* 2401270 */     GIR_EraseRootFromParent_Done,
     /* 2401271 */   // Label 30158: @2401271
     /* 2401271 */   GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2401343), // Rule ID 64041 //
     /* 2401276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2401279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401323 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2401326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401342 */     // GIR_Coverage, 64041,
     /* 2401342 */     GIR_EraseRootFromParent_Done,
     /* 2401343 */   // Label 30159: @2401343
     /* 2401343 */   GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2401415), // Rule ID 64042 //
     /* 2401348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2401351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401376 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401380 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401384 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401395 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2401398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401406 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401414 */     // GIR_Coverage, 64042,
     /* 2401414 */     GIR_EraseRootFromParent_Done,
     /* 2401415 */   // Label 30160: @2401415
     /* 2401415 */   GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2401487), // Rule ID 64046 //
     /* 2401420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401448 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401452 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401456 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401460 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401465 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401467 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2401470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401486 */     // GIR_Coverage, 64046,
     /* 2401486 */     GIR_EraseRootFromParent_Done,
     /* 2401487 */   // Label 30161: @2401487
     /* 2401487 */   GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2401559), // Rule ID 64053 //
     /* 2401492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2401495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401511 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401539 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2401542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401558 */     // GIR_Coverage, 64053,
     /* 2401558 */     GIR_EraseRootFromParent_Done,
     /* 2401559 */   // Label 30162: @2401559
     /* 2401559 */   GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2401631), // Rule ID 64054 //
     /* 2401564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2401567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2401596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401604 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2401611 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2401614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2401626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401630 */     // GIR_Coverage, 64054,
     /* 2401630 */     GIR_EraseRootFromParent_Done,
     /* 2401631 */   // Label 30163: @2401631
     /* 2401631 */   GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2401688), // Rule ID 1505 //
     /* 2401636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2401639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401670 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2401673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401687 */     // GIR_Coverage, 1505,
     /* 2401687 */     GIR_EraseRootFromParent_Done,
     /* 2401688 */   // Label 30164: @2401688
     /* 2401688 */   GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2401745), // Rule ID 1506 //
     /* 2401693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2401696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401727 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2401730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401744 */     // GIR_Coverage, 1506,
     /* 2401744 */     GIR_EraseRootFromParent_Done,
     /* 2401745 */   // Label 30165: @2401745
     /* 2401745 */   GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2401802), // Rule ID 1530 //
     /* 2401750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2401753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2401782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401784 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2401787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401801 */     // GIR_Coverage, 1530,
     /* 2401801 */     GIR_EraseRootFromParent_Done,
     /* 2401802 */   // Label 30166: @2401802
     /* 2401802 */   GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2401859), // Rule ID 1560 //
     /* 2401807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2401810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401841 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2401844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401858 */     // GIR_Coverage, 1560,
     /* 2401858 */     GIR_EraseRootFromParent_Done,
     /* 2401859 */   // Label 30167: @2401859
     /* 2401859 */   GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2401916), // Rule ID 1561 //
     /* 2401864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2401867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2401875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2401896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401898 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2401898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2401901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401915 */     // GIR_Coverage, 1561,
     /* 2401915 */     GIR_EraseRootFromParent_Done,
     /* 2401916 */   // Label 30168: @2401916
     /* 2401916 */   GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2401973), // Rule ID 64037 //
     /* 2401921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2401924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2401944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2401955 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2401955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2401958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2401964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2401966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2401968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401972 */     // GIR_Coverage, 64037,
     /* 2401972 */     GIR_EraseRootFromParent_Done,
     /* 2401973 */   // Label 30169: @2401973
     /* 2401973 */   GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2402030), // Rule ID 64038 //
     /* 2401978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2401981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2401989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2401993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2401997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402012 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2402015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2402023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402029 */     // GIR_Coverage, 64038,
     /* 2402029 */     GIR_EraseRootFromParent_Done,
     /* 2402030 */   // Label 30170: @2402030
     /* 2402030 */   GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2402087), // Rule ID 64044 //
     /* 2402035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2402038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402054 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402069 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2402072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2402080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402086 */     // GIR_Coverage, 64044,
     /* 2402086 */     GIR_EraseRootFromParent_Done,
     /* 2402087 */   // Label 30171: @2402087
     /* 2402087 */   GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2402144), // Rule ID 64049 //
     /* 2402092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2402095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402126 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2402129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2402137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402143 */     // GIR_Coverage, 64049,
     /* 2402143 */     GIR_EraseRootFromParent_Done,
     /* 2402144 */   // Label 30172: @2402144
     /* 2402144 */   GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2402201), // Rule ID 64050 //
     /* 2402149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2402152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402183 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2402186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2402194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402200 */     // GIR_Coverage, 64050,
     /* 2402200 */     GIR_EraseRootFromParent_Done,
     /* 2402201 */   // Label 30173: @2402201
     /* 2402201 */   GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2402258), // Rule ID 1501 //
     /* 2402206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2402209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402240 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2402243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2402253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402257 */     // GIR_Coverage, 1501,
     /* 2402257 */     GIR_EraseRootFromParent_Done,
     /* 2402258 */   // Label 30174: @2402258
     /* 2402258 */   GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2402315), // Rule ID 1502 //
     /* 2402263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2402266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402297 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2402300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2402310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402314 */     // GIR_Coverage, 1502,
     /* 2402314 */     GIR_EraseRootFromParent_Done,
     /* 2402315 */   // Label 30175: @2402315
     /* 2402315 */   GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2402372), // Rule ID 1528 //
     /* 2402320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2402323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402354 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2402357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2402367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402371 */     // GIR_Coverage, 1528,
     /* 2402371 */     GIR_EraseRootFromParent_Done,
     /* 2402372 */   // Label 30176: @2402372
     /* 2402372 */   GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2402429), // Rule ID 1556 //
     /* 2402377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2402380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402411 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2402414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2402424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402428 */     // GIR_Coverage, 1556,
     /* 2402428 */     GIR_EraseRootFromParent_Done,
     /* 2402429 */   // Label 30177: @2402429
     /* 2402429 */   GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2402486), // Rule ID 1557 //
     /* 2402434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2402437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2402453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402461 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402466 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2402468 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2402471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2402481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402485 */     // GIR_Coverage, 1557,
     /* 2402485 */     GIR_EraseRootFromParent_Done,
     /* 2402486 */   // Label 30178: @2402486
     /* 2402486 */   GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2402526), // Rule ID 1497 //
     /* 2402491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2402494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402510 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2402513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402525 */     // GIR_Coverage, 1497,
     /* 2402525 */     GIR_EraseRootFromParent_Done,
     /* 2402526 */   // Label 30179: @2402526
     /* 2402526 */   GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2402566), // Rule ID 1498 //
     /* 2402531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2402534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402550 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2402553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402565 */     // GIR_Coverage, 1498,
     /* 2402565 */     GIR_EraseRootFromParent_Done,
     /* 2402566 */   // Label 30180: @2402566
     /* 2402566 */   GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2402606), // Rule ID 1526 //
     /* 2402571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2402574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402590 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2402593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402605 */     // GIR_Coverage, 1526,
     /* 2402605 */     GIR_EraseRootFromParent_Done,
     /* 2402606 */   // Label 30181: @2402606
     /* 2402606 */   GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2402646), // Rule ID 1552 //
     /* 2402611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2402614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402630 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2402630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2402633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402645 */     // GIR_Coverage, 1552,
     /* 2402645 */     GIR_EraseRootFromParent_Done,
     /* 2402646 */   // Label 30182: @2402646
     /* 2402646 */   GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2402686), // Rule ID 1553 //
     /* 2402651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2402654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402670 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2402670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2402673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2402681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402685 */     // GIR_Coverage, 1553,
     /* 2402685 */     GIR_EraseRootFromParent_Done,
     /* 2402686 */   // Label 30183: @2402686
     /* 2402686 */   GIM_Reject,
     /* 2402687 */ // Label 30153: @2402687
     /* 2402687 */ GIM_Reject,
     /* 2402688 */ // Label 30087: @2402688
     /* 2402688 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2403477),
     /* 2402693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2402699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2402702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402706 */   GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2402783), // Rule ID 54320 //
     /* 2402711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402735 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402739 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402743 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402747 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402754 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2402757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402782 */     // GIR_Coverage, 54320,
     /* 2402782 */     GIR_EraseRootFromParent_Done,
     /* 2402783 */   // Label 30185: @2402783
     /* 2402783 */   GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2402860), // Rule ID 54321 //
     /* 2402788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2402795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402831 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2402834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2402838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402859 */     // GIR_Coverage, 54321,
     /* 2402859 */     GIR_EraseRootFromParent_Done,
     /* 2402860 */   // Label 30186: @2402860
     /* 2402860 */   GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2402937), // Rule ID 70865 //
     /* 2402865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402884 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402889 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402893 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402897 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402908 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2402908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2402911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2402923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2402935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402936 */     // GIR_Coverage, 70865,
     /* 2402936 */     GIR_EraseRootFromParent_Done,
     /* 2402937 */   // Label 30187: @2402937
     /* 2402937 */   GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2403014), // Rule ID 70866 //
     /* 2402942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2402953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402966 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2402970 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2402974 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2402985 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2402985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2402988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2402992 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2402996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403013 */     // GIR_Coverage, 70866,
     /* 2403013 */     GIR_EraseRootFromParent_Done,
     /* 2403014 */   // Label 30188: @2403014
     /* 2403014 */   GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2403076), // Rule ID 54324 //
     /* 2403019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403049 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2403052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403075 */     // GIR_Coverage, 54324,
     /* 2403075 */     GIR_EraseRootFromParent_Done,
     /* 2403076 */   // Label 30189: @2403076
     /* 2403076 */   GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2403138), // Rule ID 54325 //
     /* 2403081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403111 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2403114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403137 */     // GIR_Coverage, 54325,
     /* 2403137 */     GIR_EraseRootFromParent_Done,
     /* 2403138 */   // Label 30190: @2403138
     /* 2403138 */   GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2403200), // Rule ID 70869 //
     /* 2403143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403173 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2403176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403199 */     // GIR_Coverage, 70869,
     /* 2403199 */     GIR_EraseRootFromParent_Done,
     /* 2403200 */   // Label 30191: @2403200
     /* 2403200 */   GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2403262), // Rule ID 70870 //
     /* 2403205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403235 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2403238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403261 */     // GIR_Coverage, 70870,
     /* 2403261 */     GIR_EraseRootFromParent_Done,
     /* 2403262 */   // Label 30192: @2403262
     /* 2403262 */   GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2403324), // Rule ID 54316 //
     /* 2403267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403290 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403297 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2403300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403323 */     // GIR_Coverage, 54316,
     /* 2403323 */     GIR_EraseRootFromParent_Done,
     /* 2403324 */   // Label 30193: @2403324
     /* 2403324 */   GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2403386), // Rule ID 54317 //
     /* 2403329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2403344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2403352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403359 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2403362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2403372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403385 */     // GIR_Coverage, 54317,
     /* 2403385 */     GIR_EraseRootFromParent_Done,
     /* 2403386 */   // Label 30194: @2403386
     /* 2403386 */   GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2403431), // Rule ID 54312 //
     /* 2403391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403406 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2403409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403430 */     // GIR_Coverage, 54312,
     /* 2403430 */     GIR_EraseRootFromParent_Done,
     /* 2403431 */   // Label 30195: @2403431
     /* 2403431 */   GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2403476), // Rule ID 54313 //
     /* 2403436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403451 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2403454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403475 */     // GIR_Coverage, 54313,
     /* 2403475 */     GIR_EraseRootFromParent_Done,
     /* 2403476 */   // Label 30196: @2403476
     /* 2403476 */   GIM_Reject,
     /* 2403477 */ // Label 30184: @2403477
     /* 2403477 */ GIM_Reject,
     /* 2403478 */ // Label 30088: @2403478
     /* 2403478 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2404267),
     /* 2403483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2403489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2403492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403496 */   GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2403573), // Rule ID 54448 //
     /* 2403501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403525 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403529 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403533 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403537 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403544 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2403547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403572 */     // GIR_Coverage, 54448,
     /* 2403572 */     GIR_EraseRootFromParent_Done,
     /* 2403573 */   // Label 30198: @2403573
     /* 2403573 */   GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2403650), // Rule ID 54449 //
     /* 2403578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403619 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403621 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2403624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403649 */     // GIR_Coverage, 54449,
     /* 2403649 */     GIR_EraseRootFromParent_Done,
     /* 2403650 */   // Label 30199: @2403650
     /* 2403650 */   GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2403727), // Rule ID 70977 //
     /* 2403655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403679 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403683 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403687 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403691 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403698 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2403701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403726 */     // GIR_Coverage, 70977,
     /* 2403726 */     GIR_EraseRootFromParent_Done,
     /* 2403727 */   // Label 30200: @2403727
     /* 2403727 */   GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2403804), // Rule ID 70978 //
     /* 2403732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2403760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2403775 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2403778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2403790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403803 */     // GIR_Coverage, 70978,
     /* 2403803 */     GIR_EraseRootFromParent_Done,
     /* 2403804 */   // Label 30201: @2403804
     /* 2403804 */   GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2403866), // Rule ID 54452 //
     /* 2403809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403839 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2403842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403865 */     // GIR_Coverage, 54452,
     /* 2403865 */     GIR_EraseRootFromParent_Done,
     /* 2403866 */   // Label 30202: @2403866
     /* 2403866 */   GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2403928), // Rule ID 54453 //
     /* 2403871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2403878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403901 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2403901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2403904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2403908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403927 */     // GIR_Coverage, 54453,
     /* 2403927 */     GIR_EraseRootFromParent_Done,
     /* 2403928 */   // Label 30203: @2403928
     /* 2403928 */   GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2403990), // Rule ID 70981 //
     /* 2403933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2403944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2403948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2403952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2403963 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2403963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2403966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2403970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2403974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2403976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2403988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403989 */     // GIR_Coverage, 70981,
     /* 2403989 */     GIR_EraseRootFromParent_Done,
     /* 2403990 */   // Label 30204: @2403990
     /* 2403990 */   GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2404052), // Rule ID 70982 //
     /* 2403995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2404014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404025 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2404028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404051 */     // GIR_Coverage, 70982,
     /* 2404051 */     GIR_EraseRootFromParent_Done,
     /* 2404052 */   // Label 30205: @2404052
     /* 2404052 */   GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2404114), // Rule ID 54444 //
     /* 2404057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2404060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2404080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404087 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2404090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404113 */     // GIR_Coverage, 54444,
     /* 2404113 */     GIR_EraseRootFromParent_Done,
     /* 2404114 */   // Label 30206: @2404114
     /* 2404114 */   GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2404176), // Rule ID 54445 //
     /* 2404119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2404122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2404142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404149 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2404152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404175 */     // GIR_Coverage, 54445,
     /* 2404175 */     GIR_EraseRootFromParent_Done,
     /* 2404176 */   // Label 30207: @2404176
     /* 2404176 */   GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2404221), // Rule ID 54440 //
     /* 2404181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2404184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404196 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2404199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404220 */     // GIR_Coverage, 54440,
     /* 2404220 */     GIR_EraseRootFromParent_Done,
     /* 2404221 */   // Label 30208: @2404221
     /* 2404221 */   GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2404266), // Rule ID 54441 //
     /* 2404226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2404229 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404241 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2404244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404265 */     // GIR_Coverage, 54441,
     /* 2404265 */     GIR_EraseRootFromParent_Done,
     /* 2404266 */   // Label 30209: @2404266
     /* 2404266 */   GIM_Reject,
     /* 2404267 */ // Label 30197: @2404267
     /* 2404267 */ GIM_Reject,
     /* 2404268 */ // Label 30089: @2404268
     /* 2404268 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2405057),
     /* 2404273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2404279 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2404282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404286 */   GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2404363), // Rule ID 54640 //
     /* 2404291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404327 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404332 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404334 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2404337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404362 */     // GIR_Coverage, 54640,
     /* 2404362 */     GIR_EraseRootFromParent_Done,
     /* 2404363 */   // Label 30211: @2404363
     /* 2404363 */   GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2404440), // Rule ID 54641 //
     /* 2404368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404411 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2404414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404439 */     // GIR_Coverage, 54641,
     /* 2404439 */     GIR_EraseRootFromParent_Done,
     /* 2404440 */   // Label 30212: @2404440
     /* 2404440 */   GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2404517), // Rule ID 71145 //
     /* 2404445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404460 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404488 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2404491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404516 */     // GIR_Coverage, 71145,
     /* 2404516 */     GIR_EraseRootFromParent_Done,
     /* 2404517 */   // Label 30213: @2404517
     /* 2404517 */   GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2404594), // Rule ID 71146 //
     /* 2404522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404558 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404563 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404565 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2404568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2404580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404593 */     // GIR_Coverage, 71146,
     /* 2404593 */     GIR_EraseRootFromParent_Done,
     /* 2404594 */   // Label 30214: @2404594
     /* 2404594 */   GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2404656), // Rule ID 54644 //
     /* 2404599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404629 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2404632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404655 */     // GIR_Coverage, 54644,
     /* 2404655 */     GIR_EraseRootFromParent_Done,
     /* 2404656 */   // Label 30215: @2404656
     /* 2404656 */   GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2404718), // Rule ID 54645 //
     /* 2404661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404691 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2404694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404717 */     // GIR_Coverage, 54645,
     /* 2404717 */     GIR_EraseRootFromParent_Done,
     /* 2404718 */   // Label 30216: @2404718
     /* 2404718 */   GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2404780), // Rule ID 71149 //
     /* 2404723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404753 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2404756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404779 */     // GIR_Coverage, 71149,
     /* 2404779 */     GIR_EraseRootFromParent_Done,
     /* 2404780 */   // Label 30217: @2404780
     /* 2404780 */   GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2404842), // Rule ID 71150 //
     /* 2404785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404815 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2404818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2404822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404841 */     // GIR_Coverage, 71150,
     /* 2404841 */     GIR_EraseRootFromParent_Done,
     /* 2404842 */   // Label 30218: @2404842
     /* 2404842 */   GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2404904), // Rule ID 54636 //
     /* 2404847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404877 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2404880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404903 */     // GIR_Coverage, 54636,
     /* 2404903 */     GIR_EraseRootFromParent_Done,
     /* 2404904 */   // Label 30219: @2404904
     /* 2404904 */   GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2404966), // Rule ID 54637 //
     /* 2404909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2404912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2404924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2404932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2404939 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2404939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2404942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2404952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2404964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404965 */     // GIR_Coverage, 54637,
     /* 2404965 */     GIR_EraseRootFromParent_Done,
     /* 2404966 */   // Label 30220: @2404966
     /* 2404966 */   GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2405011), // Rule ID 54632 //
     /* 2404971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2404974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2404986 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2404986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2404989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2404993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2404997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405010 */     // GIR_Coverage, 54632,
     /* 2405010 */     GIR_EraseRootFromParent_Done,
     /* 2405011 */   // Label 30221: @2405011
     /* 2405011 */   GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2405056), // Rule ID 54633 //
     /* 2405016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2405019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405031 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2405034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2405051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405055 */     // GIR_Coverage, 54633,
     /* 2405055 */     GIR_EraseRootFromParent_Done,
     /* 2405056 */   // Label 30222: @2405056
     /* 2405056 */   GIM_Reject,
     /* 2405057 */ // Label 30210: @2405057
     /* 2405057 */ GIM_Reject,
     /* 2405058 */ // Label 30090: @2405058
     /* 2405058 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2405847),
     /* 2405063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2405069 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2405072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405076 */   GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2405153), // Rule ID 54384 //
     /* 2405081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405124 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2405127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405152 */     // GIR_Coverage, 54384,
     /* 2405152 */     GIR_EraseRootFromParent_Done,
     /* 2405153 */   // Label 30224: @2405153
     /* 2405153 */   GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2405230), // Rule ID 54385 //
     /* 2405158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405194 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405199 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405201 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2405204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405229 */     // GIR_Coverage, 54385,
     /* 2405229 */     GIR_EraseRootFromParent_Done,
     /* 2405230 */   // Label 30225: @2405230
     /* 2405230 */   GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2405307), // Rule ID 70921 //
     /* 2405235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405259 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405263 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405267 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405271 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405276 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405278 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2405281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405306 */     // GIR_Coverage, 70921,
     /* 2405306 */     GIR_EraseRootFromParent_Done,
     /* 2405307 */   // Label 30226: @2405307
     /* 2405307 */   GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2405384), // Rule ID 70922 //
     /* 2405312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405336 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405340 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405344 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405348 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405355 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2405358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405383 */     // GIR_Coverage, 70922,
     /* 2405383 */     GIR_EraseRootFromParent_Done,
     /* 2405384 */   // Label 30227: @2405384
     /* 2405384 */   GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2405446), // Rule ID 54388 //
     /* 2405389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405419 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2405422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405445 */     // GIR_Coverage, 54388,
     /* 2405445 */     GIR_EraseRootFromParent_Done,
     /* 2405446 */   // Label 30228: @2405446
     /* 2405446 */   GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2405508), // Rule ID 54389 //
     /* 2405451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405481 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2405484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405507 */     // GIR_Coverage, 54389,
     /* 2405507 */     GIR_EraseRootFromParent_Done,
     /* 2405508 */   // Label 30229: @2405508
     /* 2405508 */   GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2405570), // Rule ID 70925 //
     /* 2405513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405543 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2405546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405569 */     // GIR_Coverage, 70925,
     /* 2405569 */     GIR_EraseRootFromParent_Done,
     /* 2405570 */   // Label 30230: @2405570
     /* 2405570 */   GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2405632), // Rule ID 70926 //
     /* 2405575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405605 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2405608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2405612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405631 */     // GIR_Coverage, 70926,
     /* 2405631 */     GIR_EraseRootFromParent_Done,
     /* 2405632 */   // Label 30231: @2405632
     /* 2405632 */   GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2405694), // Rule ID 54380 //
     /* 2405637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405667 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2405670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405693 */     // GIR_Coverage, 54380,
     /* 2405693 */     GIR_EraseRootFromParent_Done,
     /* 2405694 */   // Label 30232: @2405694
     /* 2405694 */   GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2405756), // Rule ID 54381 //
     /* 2405699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2405722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405729 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2405732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2405742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405755 */     // GIR_Coverage, 54381,
     /* 2405755 */     GIR_EraseRootFromParent_Done,
     /* 2405756 */   // Label 30233: @2405756
     /* 2405756 */   GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2405801), // Rule ID 54376 //
     /* 2405761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2405764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405776 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2405779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405800 */     // GIR_Coverage, 54376,
     /* 2405800 */     GIR_EraseRootFromParent_Done,
     /* 2405801 */   // Label 30234: @2405801
     /* 2405801 */   GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2405846), // Rule ID 54377 //
     /* 2405806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2405809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405821 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2405824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2405832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2405841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405845 */     // GIR_Coverage, 54377,
     /* 2405845 */     GIR_EraseRootFromParent_Done,
     /* 2405846 */   // Label 30235: @2405846
     /* 2405846 */   GIM_Reject,
     /* 2405847 */ // Label 30223: @2405847
     /* 2405847 */ GIM_Reject,
     /* 2405848 */ // Label 30091: @2405848
     /* 2405848 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2406637),
     /* 2405853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2405856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2405859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2405862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405866 */   GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2405943), // Rule ID 54576 //
     /* 2405871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2405874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405882 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2405886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405895 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405899 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405903 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2405907 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405912 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405914 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2405914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2405917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2405929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2405935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2405938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2405941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405942 */     // GIR_Coverage, 54576,
     /* 2405942 */     GIR_EraseRootFromParent_Done,
     /* 2405943 */   // Label 30237: @2405943
     /* 2405943 */   GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2406020), // Rule ID 54577 //
     /* 2405948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2405951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405959 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2405963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405972 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405976 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405980 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2405984 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2405989 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405991 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2405991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2405994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2405998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406019 */     // GIR_Coverage, 54577,
     /* 2406019 */     GIR_EraseRootFromParent_Done,
     /* 2406020 */   // Label 30238: @2406020
     /* 2406020 */   GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2406097), // Rule ID 71089 //
     /* 2406025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2406028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406061 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406066 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406068 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2406071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406096 */     // GIR_Coverage, 71089,
     /* 2406096 */     GIR_EraseRootFromParent_Done,
     /* 2406097 */   // Label 30239: @2406097
     /* 2406097 */   GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2406174), // Rule ID 71090 //
     /* 2406102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2406105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406145 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2406148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406173 */     // GIR_Coverage, 71090,
     /* 2406173 */     GIR_EraseRootFromParent_Done,
     /* 2406174 */   // Label 30240: @2406174
     /* 2406174 */   GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2406236), // Rule ID 54580 //
     /* 2406179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2406182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406209 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2406212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406235 */     // GIR_Coverage, 54580,
     /* 2406235 */     GIR_EraseRootFromParent_Done,
     /* 2406236 */   // Label 30241: @2406236
     /* 2406236 */   GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2406298), // Rule ID 54581 //
     /* 2406241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2406244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406271 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2406274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406297 */     // GIR_Coverage, 54581,
     /* 2406297 */     GIR_EraseRootFromParent_Done,
     /* 2406298 */   // Label 30242: @2406298
     /* 2406298 */   GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2406360), // Rule ID 71093 //
     /* 2406303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2406306 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406333 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2406336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406359 */     // GIR_Coverage, 71093,
     /* 2406359 */     GIR_EraseRootFromParent_Done,
     /* 2406360 */   // Label 30243: @2406360
     /* 2406360 */   GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2406422), // Rule ID 71094 //
     /* 2406365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2406368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406395 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2406398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406421 */     // GIR_Coverage, 71094,
     /* 2406421 */     GIR_EraseRootFromParent_Done,
     /* 2406422 */   // Label 30244: @2406422
     /* 2406422 */   GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2406484), // Rule ID 54572 //
     /* 2406427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2406430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406450 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406457 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2406460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406483 */     // GIR_Coverage, 54572,
     /* 2406483 */     GIR_EraseRootFromParent_Done,
     /* 2406484 */   // Label 30245: @2406484
     /* 2406484 */   GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2406546), // Rule ID 54573 //
     /* 2406489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2406492 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2406504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2406512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406519 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2406522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2406532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406545 */     // GIR_Coverage, 54573,
     /* 2406545 */     GIR_EraseRootFromParent_Done,
     /* 2406546 */   // Label 30246: @2406546
     /* 2406546 */   GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2406591), // Rule ID 54568 //
     /* 2406551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2406554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406566 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2406569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406590 */     // GIR_Coverage, 54568,
     /* 2406590 */     GIR_EraseRootFromParent_Done,
     /* 2406591 */   // Label 30247: @2406591
     /* 2406591 */   GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2406636), // Rule ID 54569 //
     /* 2406596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2406599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2406611 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2406614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2406620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2406622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2406631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406635 */     // GIR_Coverage, 54569,
     /* 2406635 */     GIR_EraseRootFromParent_Done,
     /* 2406636 */   // Label 30248: @2406636
     /* 2406636 */   GIM_Reject,
     /* 2406637 */ // Label 30236: @2406637
     /* 2406637 */ GIM_Reject,
     /* 2406638 */ // Label 30092: @2406638
     /* 2406638 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2407427),
     /* 2406643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2406649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2406652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406656 */   GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2406733), // Rule ID 55088 //
     /* 2406661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406704 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2406707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406732 */     // GIR_Coverage, 55088,
     /* 2406732 */     GIR_EraseRootFromParent_Done,
     /* 2406733 */   // Label 30250: @2406733
     /* 2406733 */   GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2406810), // Rule ID 55089 //
     /* 2406738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406781 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2406784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2406788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406809 */     // GIR_Coverage, 55089,
     /* 2406809 */     GIR_EraseRootFromParent_Done,
     /* 2406810 */   // Label 30251: @2406810
     /* 2406810 */   GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2406887), // Rule ID 71537 //
     /* 2406815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406851 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406858 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2406861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406886 */     // GIR_Coverage, 71537,
     /* 2406886 */     GIR_EraseRootFromParent_Done,
     /* 2406887 */   // Label 30252: @2406887
     /* 2406887 */   GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2406964), // Rule ID 71538 //
     /* 2406892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2406895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406916 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406920 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406924 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406928 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406933 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406935 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2406935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2406938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2406942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2406950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2406956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2406959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2406962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406963 */     // GIR_Coverage, 71538,
     /* 2406963 */     GIR_EraseRootFromParent_Done,
     /* 2406964 */   // Label 30253: @2406964
     /* 2406964 */   GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2407026), // Rule ID 55092 //
     /* 2406969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2406972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2406984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2406997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406999 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2406999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2407002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407025 */     // GIR_Coverage, 55092,
     /* 2407025 */     GIR_EraseRootFromParent_Done,
     /* 2407026 */   // Label 30254: @2407026
     /* 2407026 */   GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2407088), // Rule ID 55093 //
     /* 2407031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407061 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2407064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407087 */     // GIR_Coverage, 55093,
     /* 2407087 */     GIR_EraseRootFromParent_Done,
     /* 2407088 */   // Label 30255: @2407088
     /* 2407088 */   GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2407150), // Rule ID 71541 //
     /* 2407093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2407096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407123 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2407126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407149 */     // GIR_Coverage, 71541,
     /* 2407149 */     GIR_EraseRootFromParent_Done,
     /* 2407150 */   // Label 30256: @2407150
     /* 2407150 */   GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2407212), // Rule ID 71542 //
     /* 2407155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407170 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407174 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407185 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2407188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407211 */     // GIR_Coverage, 71542,
     /* 2407211 */     GIR_EraseRootFromParent_Done,
     /* 2407212 */   // Label 30257: @2407212
     /* 2407212 */   GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2407274), // Rule ID 55084 //
     /* 2407217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2407220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407247 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2407250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2407260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407273 */     // GIR_Coverage, 55084,
     /* 2407273 */     GIR_EraseRootFromParent_Done,
     /* 2407274 */   // Label 30258: @2407274
     /* 2407274 */   GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2407336), // Rule ID 55085 //
     /* 2407279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2407302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407309 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2407312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2407322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407335 */     // GIR_Coverage, 55085,
     /* 2407335 */     GIR_EraseRootFromParent_Done,
     /* 2407336 */   // Label 30259: @2407336
     /* 2407336 */   GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2407381), // Rule ID 55080 //
     /* 2407341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2407344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407356 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2407359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407380 */     // GIR_Coverage, 55080,
     /* 2407380 */     GIR_EraseRootFromParent_Done,
     /* 2407381 */   // Label 30260: @2407381
     /* 2407381 */   GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2407426), // Rule ID 55081 //
     /* 2407386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2407389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2407401 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2407404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2407421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407425 */     // GIR_Coverage, 55081,
     /* 2407425 */     GIR_EraseRootFromParent_Done,
     /* 2407426 */   // Label 30261: @2407426
     /* 2407426 */   GIM_Reject,
     /* 2407427 */ // Label 30249: @2407427
     /* 2407427 */ GIM_Reject,
     /* 2407428 */ // Label 30093: @2407428
     /* 2407428 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2408217),
     /* 2407433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2407439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2407442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407446 */   GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2407523), // Rule ID 54512 //
     /* 2407451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407466 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407475 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407479 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407483 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407487 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407492 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407494 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2407497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407522 */     // GIR_Coverage, 54512,
     /* 2407522 */     GIR_EraseRootFromParent_Done,
     /* 2407523 */   // Label 30263: @2407523
     /* 2407523 */   GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2407600), // Rule ID 54513 //
     /* 2407528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407552 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407556 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407560 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407564 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407571 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2407574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407599 */     // GIR_Coverage, 54513,
     /* 2407599 */     GIR_EraseRootFromParent_Done,
     /* 2407600 */   // Label 30264: @2407600
     /* 2407600 */   GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2407677), // Rule ID 71033 //
     /* 2407605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407648 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2407651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407676 */     // GIR_Coverage, 71033,
     /* 2407676 */     GIR_EraseRootFromParent_Done,
     /* 2407677 */   // Label 30265: @2407677
     /* 2407677 */   GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2407754), // Rule ID 71034 //
     /* 2407682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407725 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2407728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2407740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407753 */     // GIR_Coverage, 71034,
     /* 2407753 */     GIR_EraseRootFromParent_Done,
     /* 2407754 */   // Label 30266: @2407754
     /* 2407754 */   GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2407816), // Rule ID 54516 //
     /* 2407759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407789 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2407792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407815 */     // GIR_Coverage, 54516,
     /* 2407815 */     GIR_EraseRootFromParent_Done,
     /* 2407816 */   // Label 30267: @2407816
     /* 2407816 */   GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2407878), // Rule ID 54517 //
     /* 2407821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407851 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2407854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2407858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407877 */     // GIR_Coverage, 54517,
     /* 2407877 */     GIR_EraseRootFromParent_Done,
     /* 2407878 */   // Label 30268: @2407878
     /* 2407878 */   GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2407940), // Rule ID 71037 //
     /* 2407883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2407886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407913 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2407913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2407916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2407938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407939 */     // GIR_Coverage, 71037,
     /* 2407939 */     GIR_EraseRootFromParent_Done,
     /* 2407940 */   // Label 30269: @2407940
     /* 2407940 */   GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2408002), // Rule ID 71038 //
     /* 2407945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2407948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2407964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2407973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407975 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2407975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2407978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2407982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2407988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2407994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2407997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408001 */     // GIR_Coverage, 71038,
     /* 2408001 */     GIR_EraseRootFromParent_Done,
     /* 2408002 */   // Label 30270: @2408002
     /* 2408002 */   GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2408064), // Rule ID 54508 //
     /* 2408007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2408030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408037 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2408040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408063 */     // GIR_Coverage, 54508,
     /* 2408063 */     GIR_EraseRootFromParent_Done,
     /* 2408064 */   // Label 30271: @2408064
     /* 2408064 */   GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2408126), // Rule ID 54509 //
     /* 2408069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2408092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408099 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2408102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408125 */     // GIR_Coverage, 54509,
     /* 2408125 */     GIR_EraseRootFromParent_Done,
     /* 2408126 */   // Label 30272: @2408126
     /* 2408126 */   GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2408171), // Rule ID 54504 //
     /* 2408131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2408134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408146 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2408149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408170 */     // GIR_Coverage, 54504,
     /* 2408170 */     GIR_EraseRootFromParent_Done,
     /* 2408171 */   // Label 30273: @2408171
     /* 2408171 */   GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2408216), // Rule ID 54505 //
     /* 2408176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2408179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2408191 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2408194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2408211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408215 */     // GIR_Coverage, 54505,
     /* 2408215 */     GIR_EraseRootFromParent_Done,
     /* 2408216 */   // Label 30274: @2408216
     /* 2408216 */   GIM_Reject,
     /* 2408217 */ // Label 30262: @2408217
     /* 2408217 */ GIM_Reject,
     /* 2408218 */ // Label 30094: @2408218
     /* 2408218 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2409007),
     /* 2408223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2408229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2408232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408236 */   GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2408313), // Rule ID 54896 //
     /* 2408241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408284 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2408287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408295 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408312 */     // GIR_Coverage, 54896,
     /* 2408312 */     GIR_EraseRootFromParent_Done,
     /* 2408313 */   // Label 30276: @2408313
     /* 2408313 */   GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2408390), // Rule ID 54897 //
     /* 2408318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408354 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408359 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408361 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2408364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408389 */     // GIR_Coverage, 54897,
     /* 2408389 */     GIR_EraseRootFromParent_Done,
     /* 2408390 */   // Label 30277: @2408390
     /* 2408390 */   GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2408467), // Rule ID 71369 //
     /* 2408395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408431 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408436 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408438 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2408441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408466 */     // GIR_Coverage, 71369,
     /* 2408466 */     GIR_EraseRootFromParent_Done,
     /* 2408467 */   // Label 30278: @2408467
     /* 2408467 */   GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2408544), // Rule ID 71370 //
     /* 2408472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408508 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408513 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408515 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2408518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2408530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408543 */     // GIR_Coverage, 71370,
     /* 2408543 */     GIR_EraseRootFromParent_Done,
     /* 2408544 */   // Label 30279: @2408544
     /* 2408544 */   GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2408606), // Rule ID 54900 //
     /* 2408549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408579 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2408582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408605 */     // GIR_Coverage, 54900,
     /* 2408605 */     GIR_EraseRootFromParent_Done,
     /* 2408606 */   // Label 30280: @2408606
     /* 2408606 */   GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2408668), // Rule ID 54901 //
     /* 2408611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408641 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2408644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408667 */     // GIR_Coverage, 54901,
     /* 2408667 */     GIR_EraseRootFromParent_Done,
     /* 2408668 */   // Label 30281: @2408668
     /* 2408668 */   GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2408730), // Rule ID 71373 //
     /* 2408673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408703 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2408706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408729 */     // GIR_Coverage, 71373,
     /* 2408729 */     GIR_EraseRootFromParent_Done,
     /* 2408730 */   // Label 30282: @2408730
     /* 2408730 */   GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2408792), // Rule ID 71374 //
     /* 2408735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408765 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2408768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2408772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408791 */     // GIR_Coverage, 71374,
     /* 2408791 */     GIR_EraseRootFromParent_Done,
     /* 2408792 */   // Label 30283: @2408792
     /* 2408792 */   GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2408854), // Rule ID 54892 //
     /* 2408797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408816 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408820 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408827 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2408830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408853 */     // GIR_Coverage, 54892,
     /* 2408853 */     GIR_EraseRootFromParent_Done,
     /* 2408854 */   // Label 30284: @2408854
     /* 2408854 */   GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2408916), // Rule ID 54893 //
     /* 2408859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2408882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408889 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2408892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2408902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408915 */     // GIR_Coverage, 54893,
     /* 2408915 */     GIR_EraseRootFromParent_Done,
     /* 2408916 */   // Label 30285: @2408916
     /* 2408916 */   GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2408961), // Rule ID 54888 //
     /* 2408921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2408924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408936 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2408936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2408939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2408956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2408959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408960 */     // GIR_Coverage, 54888,
     /* 2408960 */     GIR_EraseRootFromParent_Done,
     /* 2408961 */   // Label 30286: @2408961
     /* 2408961 */   GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2409006), // Rule ID 54889 //
     /* 2408966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2408969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2408981 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2408981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2408984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2408988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2408992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2408998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2409001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409005 */     // GIR_Coverage, 54889,
     /* 2409005 */     GIR_EraseRootFromParent_Done,
     /* 2409006 */   // Label 30287: @2409006
     /* 2409006 */   GIM_Reject,
     /* 2409007 */ // Label 30275: @2409007
     /* 2409007 */ GIM_Reject,
     /* 2409008 */ // Label 30095: @2409008
     /* 2409008 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2409797),
     /* 2409013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2409019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2409022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409026 */   GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2409103), // Rule ID 55152 //
     /* 2409031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409046 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409055 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409059 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409063 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409074 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2409077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409102 */     // GIR_Coverage, 55152,
     /* 2409102 */     GIR_EraseRootFromParent_Done,
     /* 2409103 */   // Label 30289: @2409103
     /* 2409103 */   GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2409180), // Rule ID 55153 //
     /* 2409108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409132 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409136 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409140 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409144 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409151 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2409154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409179 */     // GIR_Coverage, 55153,
     /* 2409179 */     GIR_EraseRootFromParent_Done,
     /* 2409180 */   // Label 30290: @2409180
     /* 2409180 */   GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2409257), // Rule ID 71593 //
     /* 2409185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409209 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409213 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409217 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409228 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2409231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409256 */     // GIR_Coverage, 71593,
     /* 2409256 */     GIR_EraseRootFromParent_Done,
     /* 2409257 */   // Label 30291: @2409257
     /* 2409257 */   GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2409334), // Rule ID 71594 //
     /* 2409262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409305 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2409308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409333 */     // GIR_Coverage, 71594,
     /* 2409333 */     GIR_EraseRootFromParent_Done,
     /* 2409334 */   // Label 30292: @2409334
     /* 2409334 */   GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2409396), // Rule ID 55156 //
     /* 2409339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409369 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2409372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409395 */     // GIR_Coverage, 55156,
     /* 2409395 */     GIR_EraseRootFromParent_Done,
     /* 2409396 */   // Label 30293: @2409396
     /* 2409396 */   GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2409458), // Rule ID 55157 //
     /* 2409401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409431 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2409434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409457 */     // GIR_Coverage, 55157,
     /* 2409457 */     GIR_EraseRootFromParent_Done,
     /* 2409458 */   // Label 30294: @2409458
     /* 2409458 */   GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2409520), // Rule ID 71597 //
     /* 2409463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409493 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2409496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409519 */     // GIR_Coverage, 71597,
     /* 2409519 */     GIR_EraseRootFromParent_Done,
     /* 2409520 */   // Label 30295: @2409520
     /* 2409520 */   GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2409582), // Rule ID 71598 //
     /* 2409525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409555 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2409558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409581 */     // GIR_Coverage, 71598,
     /* 2409581 */     GIR_EraseRootFromParent_Done,
     /* 2409582 */   // Label 30296: @2409582
     /* 2409582 */   GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2409644), // Rule ID 55148 //
     /* 2409587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409617 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2409620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409643 */     // GIR_Coverage, 55148,
     /* 2409643 */     GIR_EraseRootFromParent_Done,
     /* 2409644 */   // Label 30297: @2409644
     /* 2409644 */   GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2409706), // Rule ID 55149 //
     /* 2409649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2409672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409679 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2409682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409688 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409705 */     // GIR_Coverage, 55149,
     /* 2409705 */     GIR_EraseRootFromParent_Done,
     /* 2409706 */   // Label 30298: @2409706
     /* 2409706 */   GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2409751), // Rule ID 55144 //
     /* 2409711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2409714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409726 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2409729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409750 */     // GIR_Coverage, 55144,
     /* 2409750 */     GIR_EraseRootFromParent_Done,
     /* 2409751 */   // Label 30299: @2409751
     /* 2409751 */   GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2409796), // Rule ID 55145 //
     /* 2409756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2409759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2409771 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2409774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2409791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409795 */     // GIR_Coverage, 55145,
     /* 2409795 */     GIR_EraseRootFromParent_Done,
     /* 2409796 */   // Label 30300: @2409796
     /* 2409796 */   GIM_Reject,
     /* 2409797 */ // Label 30288: @2409797
     /* 2409797 */ GIM_Reject,
     /* 2409798 */ // Label 30096: @2409798
     /* 2409798 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2410587),
     /* 2409803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2409809 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2409812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409816 */   GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2409893), // Rule ID 54704 //
     /* 2409821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409845 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409849 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409853 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409864 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2409867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409892 */     // GIR_Coverage, 54704,
     /* 2409892 */     GIR_EraseRootFromParent_Done,
     /* 2409893 */   // Label 30302: @2409893
     /* 2409893 */   GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2409970), // Rule ID 54705 //
     /* 2409898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409941 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2409944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409969 */     // GIR_Coverage, 54705,
     /* 2409969 */     GIR_EraseRootFromParent_Done,
     /* 2409970 */   // Label 30303: @2409970
     /* 2409970 */   GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2410047), // Rule ID 71201 //
     /* 2409975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2409994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2409999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410018 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2410021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410046 */     // GIR_Coverage, 71201,
     /* 2410046 */     GIR_EraseRootFromParent_Done,
     /* 2410047 */   // Label 30304: @2410047
     /* 2410047 */   GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2410124), // Rule ID 71202 //
     /* 2410052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410084 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410088 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410093 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410095 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2410098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410123 */     // GIR_Coverage, 71202,
     /* 2410123 */     GIR_EraseRootFromParent_Done,
     /* 2410124 */   // Label 30305: @2410124
     /* 2410124 */   GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2410186), // Rule ID 54708 //
     /* 2410129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410159 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2410162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410185 */     // GIR_Coverage, 54708,
     /* 2410185 */     GIR_EraseRootFromParent_Done,
     /* 2410186 */   // Label 30306: @2410186
     /* 2410186 */   GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2410248), // Rule ID 54709 //
     /* 2410191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410221 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2410224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410228 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410247 */     // GIR_Coverage, 54709,
     /* 2410247 */     GIR_EraseRootFromParent_Done,
     /* 2410248 */   // Label 30307: @2410248
     /* 2410248 */   GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2410310), // Rule ID 71205 //
     /* 2410253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410283 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2410286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410309 */     // GIR_Coverage, 71205,
     /* 2410309 */     GIR_EraseRootFromParent_Done,
     /* 2410310 */   // Label 30308: @2410310
     /* 2410310 */   GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2410372), // Rule ID 71206 //
     /* 2410315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410345 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2410348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410371 */     // GIR_Coverage, 71206,
     /* 2410371 */     GIR_EraseRootFromParent_Done,
     /* 2410372 */   // Label 30309: @2410372
     /* 2410372 */   GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2410434), // Rule ID 54700 //
     /* 2410377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410407 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2410410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410433 */     // GIR_Coverage, 54700,
     /* 2410433 */     GIR_EraseRootFromParent_Done,
     /* 2410434 */   // Label 30310: @2410434
     /* 2410434 */   GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2410496), // Rule ID 54701 //
     /* 2410439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2410462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410469 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2410472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410495 */     // GIR_Coverage, 54701,
     /* 2410495 */     GIR_EraseRootFromParent_Done,
     /* 2410496 */   // Label 30311: @2410496
     /* 2410496 */   GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2410541), // Rule ID 54696 //
     /* 2410501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2410504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410516 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2410519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410540 */     // GIR_Coverage, 54696,
     /* 2410540 */     GIR_EraseRootFromParent_Done,
     /* 2410541 */   // Label 30312: @2410541
     /* 2410541 */   GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2410586), // Rule ID 54697 //
     /* 2410546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2410549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2410561 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2410564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2410581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410585 */     // GIR_Coverage, 54697,
     /* 2410585 */     GIR_EraseRootFromParent_Done,
     /* 2410586 */   // Label 30313: @2410586
     /* 2410586 */   GIM_Reject,
     /* 2410587 */ // Label 30301: @2410587
     /* 2410587 */ GIM_Reject,
     /* 2410588 */ // Label 30097: @2410588
     /* 2410588 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2411377),
     /* 2410593 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410596 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2410599 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2410602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410606 */   GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2410683), // Rule ID 54960 //
     /* 2410611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410626 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410647 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410654 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2410657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410682 */     // GIR_Coverage, 54960,
     /* 2410682 */     GIR_EraseRootFromParent_Done,
     /* 2410683 */   // Label 30315: @2410683
     /* 2410683 */   GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2410760), // Rule ID 54961 //
     /* 2410688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410720 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410724 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410729 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410731 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2410734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410759 */     // GIR_Coverage, 54961,
     /* 2410759 */     GIR_EraseRootFromParent_Done,
     /* 2410760 */   // Label 30316: @2410760
     /* 2410760 */   GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2410837), // Rule ID 71425 //
     /* 2410765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410789 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410793 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410797 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410808 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2410811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410836 */     // GIR_Coverage, 71425,
     /* 2410836 */     GIR_EraseRootFromParent_Done,
     /* 2410837 */   // Label 30317: @2410837
     /* 2410837 */   GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2410914), // Rule ID 71426 //
     /* 2410842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410885 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2410888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410913 */     // GIR_Coverage, 71426,
     /* 2410913 */     GIR_EraseRootFromParent_Done,
     /* 2410914 */   // Label 30318: @2410914
     /* 2410914 */   GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2410976), // Rule ID 54964 //
     /* 2410919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410934 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2410947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410949 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2410952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410975 */     // GIR_Coverage, 54964,
     /* 2410975 */     GIR_EraseRootFromParent_Done,
     /* 2410976 */   // Label 30319: @2410976
     /* 2410976 */   GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2411038), // Rule ID 54965 //
     /* 2410981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2410996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411011 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2411014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411037 */     // GIR_Coverage, 54965,
     /* 2411037 */     GIR_EraseRootFromParent_Done,
     /* 2411038 */   // Label 30320: @2411038
     /* 2411038 */   GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2411100), // Rule ID 71429 //
     /* 2411043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411046 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2411062 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411073 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2411076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411099 */     // GIR_Coverage, 71429,
     /* 2411099 */     GIR_EraseRootFromParent_Done,
     /* 2411100 */   // Label 30321: @2411100
     /* 2411100 */   GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2411162), // Rule ID 71430 //
     /* 2411105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2411124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411135 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2411138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411161 */     // GIR_Coverage, 71430,
     /* 2411161 */     GIR_EraseRootFromParent_Done,
     /* 2411162 */   // Label 30322: @2411162
     /* 2411162 */   GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2411224), // Rule ID 54956 //
     /* 2411167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2411190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411197 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2411200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411223 */     // GIR_Coverage, 54956,
     /* 2411223 */     GIR_EraseRootFromParent_Done,
     /* 2411224 */   // Label 30323: @2411224
     /* 2411224 */   GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2411286), // Rule ID 54957 //
     /* 2411229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2411252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411259 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2411262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411285 */     // GIR_Coverage, 54957,
     /* 2411285 */     GIR_EraseRootFromParent_Done,
     /* 2411286 */   // Label 30324: @2411286
     /* 2411286 */   GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2411331), // Rule ID 54952 //
     /* 2411291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2411294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411306 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2411309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411330 */     // GIR_Coverage, 54952,
     /* 2411330 */     GIR_EraseRootFromParent_Done,
     /* 2411331 */   // Label 30325: @2411331
     /* 2411331 */   GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2411376), // Rule ID 54953 //
     /* 2411336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2411339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2411351 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2411354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2411371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411375 */     // GIR_Coverage, 54953,
     /* 2411375 */     GIR_EraseRootFromParent_Done,
     /* 2411376 */   // Label 30326: @2411376
     /* 2411376 */   GIM_Reject,
     /* 2411377 */ // Label 30314: @2411377
     /* 2411377 */ GIM_Reject,
     /* 2411378 */ // Label 30098: @2411378
     /* 2411378 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2412167),
     /* 2411383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2411389 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2411392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411396 */   GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2411473), // Rule ID 55216 //
     /* 2411401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411425 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411429 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411433 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411444 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2411447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411472 */     // GIR_Coverage, 55216,
     /* 2411472 */     GIR_EraseRootFromParent_Done,
     /* 2411473 */   // Label 30328: @2411473
     /* 2411473 */   GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2411550), // Rule ID 55217 //
     /* 2411478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411521 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2411524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411528 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411549 */     // GIR_Coverage, 55217,
     /* 2411549 */     GIR_EraseRootFromParent_Done,
     /* 2411550 */   // Label 30329: @2411550
     /* 2411550 */   GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2411627), // Rule ID 71649 //
     /* 2411555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411579 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411583 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411587 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411591 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411596 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411598 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2411601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411626 */     // GIR_Coverage, 71649,
     /* 2411626 */     GIR_EraseRootFromParent_Done,
     /* 2411627 */   // Label 30330: @2411627
     /* 2411627 */   GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2411704), // Rule ID 71650 //
     /* 2411632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411675 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2411678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411703 */     // GIR_Coverage, 71650,
     /* 2411703 */     GIR_EraseRootFromParent_Done,
     /* 2411704 */   // Label 30331: @2411704
     /* 2411704 */   GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2411766), // Rule ID 55220 //
     /* 2411709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411739 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2411742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411746 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411765 */     // GIR_Coverage, 55220,
     /* 2411765 */     GIR_EraseRootFromParent_Done,
     /* 2411766 */   // Label 30332: @2411766
     /* 2411766 */   GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2411828), // Rule ID 55221 //
     /* 2411771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411801 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2411804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411827 */     // GIR_Coverage, 55221,
     /* 2411827 */     GIR_EraseRootFromParent_Done,
     /* 2411828 */   // Label 30333: @2411828
     /* 2411828 */   GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2411890), // Rule ID 71653 //
     /* 2411833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411863 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2411866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411889 */     // GIR_Coverage, 71653,
     /* 2411889 */     GIR_EraseRootFromParent_Done,
     /* 2411890 */   // Label 30334: @2411890
     /* 2411890 */   GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2411952), // Rule ID 71654 //
     /* 2411895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411910 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411925 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2411928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411951 */     // GIR_Coverage, 71654,
     /* 2411951 */     GIR_EraseRootFromParent_Done,
     /* 2411952 */   // Label 30335: @2411952
     /* 2411952 */   GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2412014), // Rule ID 55212 //
     /* 2411957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411976 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2411980 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2411985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411987 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2411990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412013 */     // GIR_Coverage, 55212,
     /* 2412013 */     GIR_EraseRootFromParent_Done,
     /* 2412014 */   // Label 30336: @2412014
     /* 2412014 */   GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2412076), // Rule ID 55213 //
     /* 2412019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2412042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412049 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2412052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412075 */     // GIR_Coverage, 55213,
     /* 2412075 */     GIR_EraseRootFromParent_Done,
     /* 2412076 */   // Label 30337: @2412076
     /* 2412076 */   GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2412121), // Rule ID 55208 //
     /* 2412081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2412084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412096 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2412099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412120 */     // GIR_Coverage, 55208,
     /* 2412120 */     GIR_EraseRootFromParent_Done,
     /* 2412121 */   // Label 30338: @2412121
     /* 2412121 */   GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2412166), // Rule ID 55209 //
     /* 2412126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2412129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412141 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2412144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2412161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412165 */     // GIR_Coverage, 55209,
     /* 2412165 */     GIR_EraseRootFromParent_Done,
     /* 2412166 */   // Label 30339: @2412166
     /* 2412166 */   GIM_Reject,
     /* 2412167 */ // Label 30327: @2412167
     /* 2412167 */ GIM_Reject,
     /* 2412168 */ // Label 30099: @2412168
     /* 2412168 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2412957),
     /* 2412173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2412179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2412182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412186 */   GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2412263), // Rule ID 54768 //
     /* 2412191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412234 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2412237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412262 */     // GIR_Coverage, 54768,
     /* 2412262 */     GIR_EraseRootFromParent_Done,
     /* 2412263 */   // Label 30341: @2412263
     /* 2412263 */   GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2412340), // Rule ID 54769 //
     /* 2412268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412311 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2412314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412339 */     // GIR_Coverage, 54769,
     /* 2412339 */     GIR_EraseRootFromParent_Done,
     /* 2412340 */   // Label 30342: @2412340
     /* 2412340 */   GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2412417), // Rule ID 71257 //
     /* 2412345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412369 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412373 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412377 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412381 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412386 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412388 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2412391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412416 */     // GIR_Coverage, 71257,
     /* 2412416 */     GIR_EraseRootFromParent_Done,
     /* 2412417 */   // Label 30343: @2412417
     /* 2412417 */   GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2412494), // Rule ID 71258 //
     /* 2412422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412458 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412463 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412465 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2412468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412493 */     // GIR_Coverage, 71258,
     /* 2412493 */     GIR_EraseRootFromParent_Done,
     /* 2412494 */   // Label 30344: @2412494
     /* 2412494 */   GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2412556), // Rule ID 54772 //
     /* 2412499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412502 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412506 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412510 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412529 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2412532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412555 */     // GIR_Coverage, 54772,
     /* 2412555 */     GIR_EraseRootFromParent_Done,
     /* 2412556 */   // Label 30345: @2412556
     /* 2412556 */   GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2412618), // Rule ID 54773 //
     /* 2412561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412591 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2412594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412617 */     // GIR_Coverage, 54773,
     /* 2412617 */     GIR_EraseRootFromParent_Done,
     /* 2412618 */   // Label 30346: @2412618
     /* 2412618 */   GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2412680), // Rule ID 71261 //
     /* 2412623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412653 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2412656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412679 */     // GIR_Coverage, 71261,
     /* 2412679 */     GIR_EraseRootFromParent_Done,
     /* 2412680 */   // Label 30347: @2412680
     /* 2412680 */   GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2412742), // Rule ID 71262 //
     /* 2412685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412700 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412715 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2412718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412741 */     // GIR_Coverage, 71262,
     /* 2412741 */     GIR_EraseRootFromParent_Done,
     /* 2412742 */   // Label 30348: @2412742
     /* 2412742 */   GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2412804), // Rule ID 54764 //
     /* 2412747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412777 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2412780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412803 */     // GIR_Coverage, 54764,
     /* 2412803 */     GIR_EraseRootFromParent_Done,
     /* 2412804 */   // Label 30349: @2412804
     /* 2412804 */   GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2412866), // Rule ID 54765 //
     /* 2412809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2412832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412839 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2412842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412865 */     // GIR_Coverage, 54765,
     /* 2412865 */     GIR_EraseRootFromParent_Done,
     /* 2412866 */   // Label 30350: @2412866
     /* 2412866 */   GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2412911), // Rule ID 54760 //
     /* 2412871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412886 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2412889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412910 */     // GIR_Coverage, 54760,
     /* 2412910 */     GIR_EraseRootFromParent_Done,
     /* 2412911 */   // Label 30351: @2412911
     /* 2412911 */   GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2412956), // Rule ID 54761 //
     /* 2412916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2412931 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2412934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412955 */     // GIR_Coverage, 54761,
     /* 2412955 */     GIR_EraseRootFromParent_Done,
     /* 2412956 */   // Label 30352: @2412956
     /* 2412956 */   GIM_Reject,
     /* 2412957 */ // Label 30340: @2412957
     /* 2412957 */ GIM_Reject,
     /* 2412958 */ // Label 30100: @2412958
     /* 2412958 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2413747),
     /* 2412963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2412966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2412969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2412972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2412976 */   GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2413053), // Rule ID 55024 //
     /* 2412981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2412996 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413005 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413009 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413013 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413017 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413022 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413024 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2413027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413052 */     // GIR_Coverage, 55024,
     /* 2413052 */     GIR_EraseRootFromParent_Done,
     /* 2413053 */   // Label 30354: @2413053
     /* 2413053 */   GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2413130), // Rule ID 55025 //
     /* 2413058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413082 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413086 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413090 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413101 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2413104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413129 */     // GIR_Coverage, 55025,
     /* 2413129 */     GIR_EraseRootFromParent_Done,
     /* 2413130 */   // Label 30355: @2413130
     /* 2413130 */   GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2413207), // Rule ID 71481 //
     /* 2413135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413138 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413159 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413163 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413167 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413178 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2413181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413206 */     // GIR_Coverage, 71481,
     /* 2413206 */     GIR_EraseRootFromParent_Done,
     /* 2413207 */   // Label 30356: @2413207
     /* 2413207 */   GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2413284), // Rule ID 71482 //
     /* 2413212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413253 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413255 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2413258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413283 */     // GIR_Coverage, 71482,
     /* 2413283 */     GIR_EraseRootFromParent_Done,
     /* 2413284 */   // Label 30357: @2413284
     /* 2413284 */   GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2413346), // Rule ID 55028 //
     /* 2413289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413319 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2413322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413345 */     // GIR_Coverage, 55028,
     /* 2413345 */     GIR_EraseRootFromParent_Done,
     /* 2413346 */   // Label 30358: @2413346
     /* 2413346 */   GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2413408), // Rule ID 55029 //
     /* 2413351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413381 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2413384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413407 */     // GIR_Coverage, 55029,
     /* 2413407 */     GIR_EraseRootFromParent_Done,
     /* 2413408 */   // Label 30359: @2413408
     /* 2413408 */   GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2413470), // Rule ID 71485 //
     /* 2413413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413432 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413443 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2413446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413469 */     // GIR_Coverage, 71485,
     /* 2413469 */     GIR_EraseRootFromParent_Done,
     /* 2413470 */   // Label 30360: @2413470
     /* 2413470 */   GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2413532), // Rule ID 71486 //
     /* 2413475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413505 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2413508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413531 */     // GIR_Coverage, 71486,
     /* 2413531 */     GIR_EraseRootFromParent_Done,
     /* 2413532 */   // Label 30361: @2413532
     /* 2413532 */   GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2413594), // Rule ID 55020 //
     /* 2413537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413567 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2413570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413593 */     // GIR_Coverage, 55020,
     /* 2413593 */     GIR_EraseRootFromParent_Done,
     /* 2413594 */   // Label 30362: @2413594
     /* 2413594 */   GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2413656), // Rule ID 55021 //
     /* 2413599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2413622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413629 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2413632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413655 */     // GIR_Coverage, 55021,
     /* 2413655 */     GIR_EraseRootFromParent_Done,
     /* 2413656 */   // Label 30363: @2413656
     /* 2413656 */   GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2413701), // Rule ID 55016 //
     /* 2413661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413676 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2413679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413700 */     // GIR_Coverage, 55016,
     /* 2413700 */     GIR_EraseRootFromParent_Done,
     /* 2413701 */   // Label 30364: @2413701
     /* 2413701 */   GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2413746), // Rule ID 55017 //
     /* 2413706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413721 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2413724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413745 */     // GIR_Coverage, 55017,
     /* 2413745 */     GIR_EraseRootFromParent_Done,
     /* 2413746 */   // Label 30365: @2413746
     /* 2413746 */   GIM_Reject,
     /* 2413747 */ // Label 30353: @2413747
     /* 2413747 */ GIM_Reject,
     /* 2413748 */ // Label 30101: @2413748
     /* 2413748 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2414537),
     /* 2413753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2413759 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2413762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413766 */   GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2413843), // Rule ID 54832 //
     /* 2413771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413814 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2413817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413842 */     // GIR_Coverage, 54832,
     /* 2413842 */     GIR_EraseRootFromParent_Done,
     /* 2413843 */   // Label 30367: @2413843
     /* 2413843 */   GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2413920), // Rule ID 54833 //
     /* 2413848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2413851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413891 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2413894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413919 */     // GIR_Coverage, 54833,
     /* 2413919 */     GIR_EraseRootFromParent_Done,
     /* 2413920 */   // Label 30368: @2413920
     /* 2413920 */   GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2413997), // Rule ID 71313 //
     /* 2413925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2413961 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2413966 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413968 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2413971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2413992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413996 */     // GIR_Coverage, 71313,
     /* 2413996 */     GIR_EraseRootFromParent_Done,
     /* 2413997 */   // Label 30369: @2413997
     /* 2413997 */   GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2414074), // Rule ID 71314 //
     /* 2414002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414026 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414030 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414034 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414045 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2414048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414073 */     // GIR_Coverage, 71314,
     /* 2414073 */     GIR_EraseRootFromParent_Done,
     /* 2414074 */   // Label 30370: @2414074
     /* 2414074 */   GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2414136), // Rule ID 54836 //
     /* 2414079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414094 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414109 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2414112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414135 */     // GIR_Coverage, 54836,
     /* 2414135 */     GIR_EraseRootFromParent_Done,
     /* 2414136 */   // Label 30371: @2414136
     /* 2414136 */   GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2414198), // Rule ID 54837 //
     /* 2414141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414171 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2414174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414197 */     // GIR_Coverage, 54837,
     /* 2414197 */     GIR_EraseRootFromParent_Done,
     /* 2414198 */   // Label 30372: @2414198
     /* 2414198 */   GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2414260), // Rule ID 71317 //
     /* 2414203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414218 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414222 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414233 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2414236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414259 */     // GIR_Coverage, 71317,
     /* 2414259 */     GIR_EraseRootFromParent_Done,
     /* 2414260 */   // Label 30373: @2414260
     /* 2414260 */   GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2414322), // Rule ID 71318 //
     /* 2414265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414268 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414280 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414295 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2414298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414321 */     // GIR_Coverage, 71318,
     /* 2414321 */     GIR_EraseRootFromParent_Done,
     /* 2414322 */   // Label 30374: @2414322
     /* 2414322 */   GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2414384), // Rule ID 54828 //
     /* 2414327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414346 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414357 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2414360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414383 */     // GIR_Coverage, 54828,
     /* 2414383 */     GIR_EraseRootFromParent_Done,
     /* 2414384 */   // Label 30375: @2414384
     /* 2414384 */   GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2414446), // Rule ID 54829 //
     /* 2414389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2414412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414419 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2414422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414445 */     // GIR_Coverage, 54829,
     /* 2414445 */     GIR_EraseRootFromParent_Done,
     /* 2414446 */   // Label 30376: @2414446
     /* 2414446 */   GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2414491), // Rule ID 54824 //
     /* 2414451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414466 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2414469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414490 */     // GIR_Coverage, 54824,
     /* 2414490 */     GIR_EraseRootFromParent_Done,
     /* 2414491 */   // Label 30377: @2414491
     /* 2414491 */   GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2414536), // Rule ID 54825 //
     /* 2414496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2414511 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2414514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414535 */     // GIR_Coverage, 54825,
     /* 2414535 */     GIR_EraseRootFromParent_Done,
     /* 2414536 */   // Label 30378: @2414536
     /* 2414536 */   GIM_Reject,
     /* 2414537 */ // Label 30366: @2414537
     /* 2414537 */ GIM_Reject,
     /* 2414538 */ // Label 30102: @2414538
     /* 2414538 */ GIM_Reject,
     /* 2414539 */ // Label 61: @2414539
     /* 2414539 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30397*/ GIMT_Encode4(2416966),
     /* 2414550 */ /*GILLT_s16*//*Label 30379*/ GIMT_Encode4(2414670),
     /* 2414554 */ /*GILLT_s32*//*Label 30380*/ GIMT_Encode4(2414819),
     /* 2414558 */ /*GILLT_s64*//*Label 30381*/ GIMT_Encode4(2414968), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414570 */ /*GILLT_nxv1s16*//*Label 30382*/ GIMT_Encode4(2415151),
     /* 2414574 */ /*GILLT_nxv1s32*//*Label 30383*/ GIMT_Encode4(2415272),
     /* 2414578 */ /*GILLT_nxv1s64*//*Label 30384*/ GIMT_Encode4(2415393), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414590 */ /*GILLT_nxv2s16*//*Label 30385*/ GIMT_Encode4(2415514),
     /* 2414594 */ /*GILLT_nxv2s32*//*Label 30386*/ GIMT_Encode4(2415635),
     /* 2414598 */ /*GILLT_nxv2s64*//*Label 30387*/ GIMT_Encode4(2415756), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414610 */ /*GILLT_nxv4s16*//*Label 30388*/ GIMT_Encode4(2415877),
     /* 2414614 */ /*GILLT_nxv4s32*//*Label 30389*/ GIMT_Encode4(2415998),
     /* 2414618 */ /*GILLT_nxv4s64*//*Label 30390*/ GIMT_Encode4(2416119), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414630 */ /*GILLT_nxv8s16*//*Label 30391*/ GIMT_Encode4(2416240),
     /* 2414634 */ /*GILLT_nxv8s32*//*Label 30392*/ GIMT_Encode4(2416361),
     /* 2414638 */ /*GILLT_nxv8s64*//*Label 30393*/ GIMT_Encode4(2416482), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414650 */ /*GILLT_nxv16s16*//*Label 30394*/ GIMT_Encode4(2416603),
     /* 2414654 */ /*GILLT_nxv16s32*//*Label 30395*/ GIMT_Encode4(2416724), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2414666 */ /*GILLT_nxv32s16*//*Label 30396*/ GIMT_Encode4(2416845),
     /* 2414670 */ // Label 30379: @2414670
     /* 2414670 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2414818),
     /* 2414675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2414678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2414681 */   GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2414715), // Rule ID 1840 //
     /* 2414686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2414689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414701 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2414701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2414704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414714 */     // GIR_Coverage, 1840,
     /* 2414714 */     GIR_EraseRootFromParent_Done,
     /* 2414715 */   // Label 30399: @2414715
     /* 2414715 */   GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2414749), // Rule ID 1841 //
     /* 2414720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2414723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2414735 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2414735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2414738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414748 */     // GIR_Coverage, 1841,
     /* 2414748 */     GIR_EraseRootFromParent_Done,
     /* 2414749 */   // Label 30400: @2414749
     /* 2414749 */   GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2414783), // Rule ID 1844 //
     /* 2414754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2414757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414769 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2414769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2414772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414782 */     // GIR_Coverage, 1844,
     /* 2414782 */     GIR_EraseRootFromParent_Done,
     /* 2414783 */   // Label 30401: @2414783
     /* 2414783 */   GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2414817), // Rule ID 1845 //
     /* 2414788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2414791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2414803 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2414803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2414806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414816 */     // GIR_Coverage, 1845,
     /* 2414816 */     GIR_EraseRootFromParent_Done,
     /* 2414817 */   // Label 30402: @2414817
     /* 2414817 */   GIM_Reject,
     /* 2414818 */ // Label 30398: @2414818
     /* 2414818 */ GIM_Reject,
     /* 2414819 */ // Label 30380: @2414819
     /* 2414819 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2414967),
     /* 2414824 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2414827 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2414830 */   GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2414864), // Rule ID 1131 //
     /* 2414835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2414838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414850 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2414850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2414853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414863 */     // GIR_Coverage, 1131,
     /* 2414863 */     GIR_EraseRootFromParent_Done,
     /* 2414864 */   // Label 30404: @2414864
     /* 2414864 */   GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2414898), // Rule ID 1132 //
     /* 2414869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2414872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2414884 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2414884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2414887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414897 */     // GIR_Coverage, 1132,
     /* 2414897 */     GIR_EraseRootFromParent_Done,
     /* 2414898 */   // Label 30405: @2414898
     /* 2414898 */   GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2414932), // Rule ID 1135 //
     /* 2414903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2414906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414918 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2414918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2414921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414931 */     // GIR_Coverage, 1135,
     /* 2414931 */     GIR_EraseRootFromParent_Done,
     /* 2414932 */   // Label 30406: @2414932
     /* 2414932 */   GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2414966), // Rule ID 1136 //
     /* 2414937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2414940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2414952 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2414952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2414955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2414961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414965 */     // GIR_Coverage, 1136,
     /* 2414965 */     GIR_EraseRootFromParent_Done,
     /* 2414966 */   // Label 30407: @2414966
     /* 2414966 */   GIM_Reject,
     /* 2414967 */ // Label 30403: @2414967
     /* 2414967 */ GIM_Reject,
     /* 2414968 */ // Label 30381: @2414968
     /* 2414968 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2415150),
     /* 2414973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2414976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2414979 */   GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2415013), // Rule ID 1472 //
     /* 2414984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2414987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2414999 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2414999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2415002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415012 */     // GIR_Coverage, 1472,
     /* 2415012 */     GIR_EraseRootFromParent_Done,
     /* 2415013 */   // Label 30409: @2415013
     /* 2415013 */   GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2415047), // Rule ID 1473 //
     /* 2415018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2415021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2415025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2415029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2415033 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2415033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2415036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415046 */     // GIR_Coverage, 1473,
     /* 2415046 */     GIR_EraseRootFromParent_Done,
     /* 2415047 */   // Label 30410: @2415047
     /* 2415047 */   GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2415081), // Rule ID 1476 //
     /* 2415052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2415055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415067 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2415067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2415070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415080 */     // GIR_Coverage, 1476,
     /* 2415080 */     GIR_EraseRootFromParent_Done,
     /* 2415081 */   // Label 30411: @2415081
     /* 2415081 */   GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2415115), // Rule ID 1477 //
     /* 2415086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2415089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2415101 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2415101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2415104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415114 */     // GIR_Coverage, 1477,
     /* 2415114 */     GIR_EraseRootFromParent_Done,
     /* 2415115 */   // Label 30412: @2415115
     /* 2415115 */   GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2415149), // Rule ID 1479 //
     /* 2415120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2415123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2415135 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2415135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2415138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415148 */     // GIR_Coverage, 1479,
     /* 2415148 */     GIR_EraseRootFromParent_Done,
     /* 2415149 */   // Label 30413: @2415149
     /* 2415149 */   GIM_Reject,
     /* 2415150 */ // Label 30408: @2415150
     /* 2415150 */ GIM_Reject,
     /* 2415151 */ // Label 30382: @2415151
     /* 2415151 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2415271),
     /* 2415156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2415159 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2415162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415170 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415174 */   GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2415222), // Rule ID 53886 //
     /* 2415179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415182 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2415185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2415199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415221 */     // GIR_Coverage, 53886,
     /* 2415221 */     GIR_EraseRootFromParent_Done,
     /* 2415222 */   // Label 30415: @2415222
     /* 2415222 */   GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2415270), // Rule ID 53887 //
     /* 2415227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415230 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2415233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2415247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415269 */     // GIR_Coverage, 53887,
     /* 2415269 */     GIR_EraseRootFromParent_Done,
     /* 2415270 */   // Label 30416: @2415270
     /* 2415270 */   GIM_Reject,
     /* 2415271 */ // Label 30414: @2415271
     /* 2415271 */ GIM_Reject,
     /* 2415272 */ // Label 30383: @2415272
     /* 2415272 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2415392),
     /* 2415277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2415280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2415283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415291 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415295 */   GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2415343), // Rule ID 53910 //
     /* 2415300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415303 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2415306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2415320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415342 */     // GIR_Coverage, 53910,
     /* 2415342 */     GIR_EraseRootFromParent_Done,
     /* 2415343 */   // Label 30418: @2415343
     /* 2415343 */   GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2415391), // Rule ID 53911 //
     /* 2415348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415351 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2415354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2415368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415390 */     // GIR_Coverage, 53911,
     /* 2415390 */     GIR_EraseRootFromParent_Done,
     /* 2415391 */   // Label 30419: @2415391
     /* 2415391 */   GIM_Reject,
     /* 2415392 */ // Label 30417: @2415392
     /* 2415392 */ GIM_Reject,
     /* 2415393 */ // Label 30384: @2415393
     /* 2415393 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2415513),
     /* 2415398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2415401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2415404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415416 */   GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2415464), // Rule ID 53946 //
     /* 2415421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415424 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2415427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2415441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415463 */     // GIR_Coverage, 53946,
     /* 2415463 */     GIR_EraseRootFromParent_Done,
     /* 2415464 */   // Label 30421: @2415464
     /* 2415464 */   GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2415512), // Rule ID 53947 //
     /* 2415469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2415472 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2415475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2415489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415511 */     // GIR_Coverage, 53947,
     /* 2415511 */     GIR_EraseRootFromParent_Done,
     /* 2415512 */   // Label 30422: @2415512
     /* 2415512 */   GIM_Reject,
     /* 2415513 */ // Label 30420: @2415513
     /* 2415513 */ GIM_Reject,
     /* 2415514 */ // Label 30385: @2415514
     /* 2415514 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2415634),
     /* 2415519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2415522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2415525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415533 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415537 */   GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2415585), // Rule ID 53898 //
     /* 2415542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415545 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415545 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2415548 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415552 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415557 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2415562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415584 */     // GIR_Coverage, 53898,
     /* 2415584 */     GIR_EraseRootFromParent_Done,
     /* 2415585 */   // Label 30424: @2415585
     /* 2415585 */   GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2415633), // Rule ID 53899 //
     /* 2415590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415593 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2415596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2415610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415632 */     // GIR_Coverage, 53899,
     /* 2415632 */     GIR_EraseRootFromParent_Done,
     /* 2415633 */   // Label 30425: @2415633
     /* 2415633 */   GIM_Reject,
     /* 2415634 */ // Label 30423: @2415634
     /* 2415634 */ GIM_Reject,
     /* 2415635 */ // Label 30386: @2415635
     /* 2415635 */ GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2415755),
     /* 2415640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2415643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2415646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415654 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415658 */   GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2415706), // Rule ID 53934 //
     /* 2415663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415666 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2415669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2415683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415705 */     // GIR_Coverage, 53934,
     /* 2415705 */     GIR_EraseRootFromParent_Done,
     /* 2415706 */   // Label 30427: @2415706
     /* 2415706 */   GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2415754), // Rule ID 53935 //
     /* 2415711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415714 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2415717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2415731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415753 */     // GIR_Coverage, 53935,
     /* 2415753 */     GIR_EraseRootFromParent_Done,
     /* 2415754 */   // Label 30428: @2415754
     /* 2415754 */   GIM_Reject,
     /* 2415755 */ // Label 30426: @2415755
     /* 2415755 */ GIM_Reject,
     /* 2415756 */ // Label 30387: @2415756
     /* 2415756 */ GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2415876),
     /* 2415761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2415764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2415767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415779 */   GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2415827), // Rule ID 54030 //
     /* 2415784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415787 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2415790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2415804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415826 */     // GIR_Coverage, 54030,
     /* 2415826 */     GIR_EraseRootFromParent_Done,
     /* 2415827 */   // Label 30430: @2415827
     /* 2415827 */   GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2415875), // Rule ID 54031 //
     /* 2415832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2415835 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2415838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2415852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415874 */     // GIR_Coverage, 54031,
     /* 2415874 */     GIR_EraseRootFromParent_Done,
     /* 2415875 */   // Label 30431: @2415875
     /* 2415875 */   GIM_Reject,
     /* 2415876 */ // Label 30429: @2415876
     /* 2415876 */ GIM_Reject,
     /* 2415877 */ // Label 30388: @2415877
     /* 2415877 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2415997),
     /* 2415882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2415885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2415888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2415900 */   GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2415948), // Rule ID 53922 //
     /* 2415905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2415908 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2415908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2415911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2415925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415947 */     // GIR_Coverage, 53922,
     /* 2415947 */     GIR_EraseRootFromParent_Done,
     /* 2415948 */   // Label 30433: @2415948
     /* 2415948 */   GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2415996), // Rule ID 53923 //
     /* 2415953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2415956 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2415956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2415959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2415963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2415968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2415970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2415973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2415978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2415982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2415991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2415994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415995 */     // GIR_Coverage, 53923,
     /* 2415995 */     GIR_EraseRootFromParent_Done,
     /* 2415996 */   // Label 30434: @2415996
     /* 2415996 */   GIM_Reject,
     /* 2415997 */ // Label 30432: @2415997
     /* 2415997 */ GIM_Reject,
     /* 2415998 */ // Label 30389: @2415998
     /* 2415998 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2416118),
     /* 2416003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2416006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2416009 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416013 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416017 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416021 */   GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2416069), // Rule ID 53994 //
     /* 2416026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416029 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2416032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2416046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416068 */     // GIR_Coverage, 53994,
     /* 2416068 */     GIR_EraseRootFromParent_Done,
     /* 2416069 */   // Label 30436: @2416069
     /* 2416069 */   GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2416117), // Rule ID 53995 //
     /* 2416074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416077 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2416080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2416094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416116 */     // GIR_Coverage, 53995,
     /* 2416116 */     GIR_EraseRootFromParent_Done,
     /* 2416117 */   // Label 30437: @2416117
     /* 2416117 */   GIM_Reject,
     /* 2416118 */ // Label 30435: @2416118
     /* 2416118 */ GIM_Reject,
     /* 2416119 */ // Label 30390: @2416119
     /* 2416119 */ GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2416239),
     /* 2416124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2416127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2416130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416138 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416142 */   GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2416190), // Rule ID 54042 //
     /* 2416147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416150 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2416153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2416167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416189 */     // GIR_Coverage, 54042,
     /* 2416189 */     GIR_EraseRootFromParent_Done,
     /* 2416190 */   // Label 30439: @2416190
     /* 2416190 */   GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2416238), // Rule ID 54043 //
     /* 2416195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416198 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2416201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2416215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416237 */     // GIR_Coverage, 54043,
     /* 2416237 */     GIR_EraseRootFromParent_Done,
     /* 2416238 */   // Label 30440: @2416238
     /* 2416238 */   GIM_Reject,
     /* 2416239 */ // Label 30438: @2416239
     /* 2416239 */ GIM_Reject,
     /* 2416240 */ // Label 30391: @2416240
     /* 2416240 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2416360),
     /* 2416245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2416251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416263 */   GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2416311), // Rule ID 53958 //
     /* 2416268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416271 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2416274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2416288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416310 */     // GIR_Coverage, 53958,
     /* 2416310 */     GIR_EraseRootFromParent_Done,
     /* 2416311 */   // Label 30442: @2416311
     /* 2416311 */   GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2416359), // Rule ID 53959 //
     /* 2416316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416319 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2416322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2416336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416358 */     // GIR_Coverage, 53959,
     /* 2416358 */     GIR_EraseRootFromParent_Done,
     /* 2416359 */   // Label 30443: @2416359
     /* 2416359 */   GIM_Reject,
     /* 2416360 */ // Label 30441: @2416360
     /* 2416360 */ GIM_Reject,
     /* 2416361 */ // Label 30392: @2416361
     /* 2416361 */ GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2416481),
     /* 2416366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2416369 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2416372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416384 */   GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2416432), // Rule ID 54006 //
     /* 2416389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416392 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2416395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2416409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416431 */     // GIR_Coverage, 54006,
     /* 2416431 */     GIR_EraseRootFromParent_Done,
     /* 2416432 */   // Label 30445: @2416432
     /* 2416432 */   GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2416480), // Rule ID 54007 //
     /* 2416437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416440 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2416443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2416457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416479 */     // GIR_Coverage, 54007,
     /* 2416479 */     GIR_EraseRootFromParent_Done,
     /* 2416480 */   // Label 30446: @2416480
     /* 2416480 */   GIM_Reject,
     /* 2416481 */ // Label 30444: @2416481
     /* 2416481 */ GIM_Reject,
     /* 2416482 */ // Label 30393: @2416482
     /* 2416482 */ GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2416602),
     /* 2416487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2416490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2416493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416505 */   GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2416553), // Rule ID 54054 //
     /* 2416510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416513 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2416516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2416530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416552 */     // GIR_Coverage, 54054,
     /* 2416552 */     GIR_EraseRootFromParent_Done,
     /* 2416553 */   // Label 30448: @2416553
     /* 2416553 */   GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2416601), // Rule ID 54055 //
     /* 2416558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416561 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2416564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2416578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416600 */     // GIR_Coverage, 54055,
     /* 2416600 */     GIR_EraseRootFromParent_Done,
     /* 2416601 */   // Label 30449: @2416601
     /* 2416601 */   GIM_Reject,
     /* 2416602 */ // Label 30447: @2416602
     /* 2416602 */ GIM_Reject,
     /* 2416603 */ // Label 30394: @2416603
     /* 2416603 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2416723),
     /* 2416608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2416611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2416614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416626 */   GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2416674), // Rule ID 53970 //
     /* 2416631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416634 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2416637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2416651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416673 */     // GIR_Coverage, 53970,
     /* 2416673 */     GIR_EraseRootFromParent_Done,
     /* 2416674 */   // Label 30451: @2416674
     /* 2416674 */   GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2416722), // Rule ID 53971 //
     /* 2416679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416682 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2416685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2416699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416721 */     // GIR_Coverage, 53971,
     /* 2416721 */     GIR_EraseRootFromParent_Done,
     /* 2416722 */   // Label 30452: @2416722
     /* 2416722 */   GIM_Reject,
     /* 2416723 */ // Label 30450: @2416723
     /* 2416723 */ GIM_Reject,
     /* 2416724 */ // Label 30395: @2416724
     /* 2416724 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2416844),
     /* 2416729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2416732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2416735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416747 */   GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2416795), // Rule ID 54018 //
     /* 2416752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2416755 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2416758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2416772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416794 */     // GIR_Coverage, 54018,
     /* 2416794 */     GIR_EraseRootFromParent_Done,
     /* 2416795 */   // Label 30454: @2416795
     /* 2416795 */   GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2416843), // Rule ID 54019 //
     /* 2416800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2416803 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2416806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2416820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2416838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416842 */     // GIR_Coverage, 54019,
     /* 2416842 */     GIR_EraseRootFromParent_Done,
     /* 2416843 */   // Label 30455: @2416843
     /* 2416843 */   GIM_Reject,
     /* 2416844 */ // Label 30453: @2416844
     /* 2416844 */ GIM_Reject,
     /* 2416845 */ // Label 30396: @2416845
     /* 2416845 */ GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2416965),
     /* 2416850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2416853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2416856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2416868 */   GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2416916), // Rule ID 53982 //
     /* 2416873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416876 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2416876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2416879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2416893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416915 */     // GIR_Coverage, 53982,
     /* 2416915 */     GIR_EraseRootFromParent_Done,
     /* 2416916 */   // Label 30457: @2416916
     /* 2416916 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2416964), // Rule ID 53983 //
     /* 2416921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416924 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2416924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2416927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2416931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2416936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2416938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2416941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2416946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2416950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2416962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416963 */     // GIR_Coverage, 53983,
     /* 2416963 */     GIR_EraseRootFromParent_Done,
     /* 2416964 */   // Label 30458: @2416964
     /* 2416964 */   GIM_Reject,
     /* 2416965 */ // Label 30456: @2416965
     /* 2416965 */ GIM_Reject,
     /* 2416966 */ // Label 30397: @2416966
     /* 2416966 */ GIM_Reject,
     /* 2416967 */ // Label 62: @2416967
     /* 2416967 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30477*/ GIMT_Encode4(2418937),
     /* 2416978 */ /*GILLT_s16*//*Label 30459*/ GIMT_Encode4(2417098),
     /* 2416982 */ /*GILLT_s32*//*Label 30460*/ GIMT_Encode4(2417162),
     /* 2416986 */ /*GILLT_s64*//*Label 30461*/ GIMT_Encode4(2417226), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2416998 */ /*GILLT_nxv1s16*//*Label 30462*/ GIMT_Encode4(2417317),
     /* 2417002 */ /*GILLT_nxv1s32*//*Label 30463*/ GIMT_Encode4(2417425),
     /* 2417006 */ /*GILLT_nxv1s64*//*Label 30464*/ GIMT_Encode4(2417533), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2417018 */ /*GILLT_nxv2s16*//*Label 30465*/ GIMT_Encode4(2417641),
     /* 2417022 */ /*GILLT_nxv2s32*//*Label 30466*/ GIMT_Encode4(2417749),
     /* 2417026 */ /*GILLT_nxv2s64*//*Label 30467*/ GIMT_Encode4(2417857), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2417038 */ /*GILLT_nxv4s16*//*Label 30468*/ GIMT_Encode4(2417965),
     /* 2417042 */ /*GILLT_nxv4s32*//*Label 30469*/ GIMT_Encode4(2418073),
     /* 2417046 */ /*GILLT_nxv4s64*//*Label 30470*/ GIMT_Encode4(2418181), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2417058 */ /*GILLT_nxv8s16*//*Label 30471*/ GIMT_Encode4(2418289),
     /* 2417062 */ /*GILLT_nxv8s32*//*Label 30472*/ GIMT_Encode4(2418397),
     /* 2417066 */ /*GILLT_nxv8s64*//*Label 30473*/ GIMT_Encode4(2418505), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2417078 */ /*GILLT_nxv16s16*//*Label 30474*/ GIMT_Encode4(2418613),
     /* 2417082 */ /*GILLT_nxv16s32*//*Label 30475*/ GIMT_Encode4(2418721), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2417094 */ /*GILLT_nxv32s16*//*Label 30476*/ GIMT_Encode4(2418829),
     /* 2417098 */ // Label 30459: @2417098
     /* 2417098 */ GIM_Try, /*On fail goto*//*Label 30478*/ GIMT_Encode4(2417161),
     /* 2417103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2417106 */   GIM_Try, /*On fail goto*//*Label 30479*/ GIMT_Encode4(2417133), // Rule ID 1850 //
     /* 2417111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2417114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2417118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2417122 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2417122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2417125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417132 */     // GIR_Coverage, 1850,
     /* 2417132 */     GIR_EraseRootFromParent_Done,
     /* 2417133 */   // Label 30479: @2417133
     /* 2417133 */   GIM_Try, /*On fail goto*//*Label 30480*/ GIMT_Encode4(2417160), // Rule ID 1883 //
     /* 2417138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2417141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2417145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2417149 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2417149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2417152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417159 */     // GIR_Coverage, 1883,
     /* 2417159 */     GIR_EraseRootFromParent_Done,
     /* 2417160 */   // Label 30480: @2417160
     /* 2417160 */   GIM_Reject,
     /* 2417161 */ // Label 30478: @2417161
     /* 2417161 */ GIM_Reject,
     /* 2417162 */ // Label 30460: @2417162
     /* 2417162 */ GIM_Try, /*On fail goto*//*Label 30481*/ GIMT_Encode4(2417225),
     /* 2417167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2417170 */   GIM_Try, /*On fail goto*//*Label 30482*/ GIMT_Encode4(2417197), // Rule ID 1141 //
     /* 2417175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2417178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2417182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2417186 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2417186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2417189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417196 */     // GIR_Coverage, 1141,
     /* 2417196 */     GIR_EraseRootFromParent_Done,
     /* 2417197 */   // Label 30482: @2417197
     /* 2417197 */   GIM_Try, /*On fail goto*//*Label 30483*/ GIMT_Encode4(2417224), // Rule ID 1149 //
     /* 2417202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2417205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2417209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2417213 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2417213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2417216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417223 */     // GIR_Coverage, 1149,
     /* 2417223 */     GIR_EraseRootFromParent_Done,
     /* 2417224 */   // Label 30483: @2417224
     /* 2417224 */   GIM_Reject,
     /* 2417225 */ // Label 30481: @2417225
     /* 2417225 */ GIM_Reject,
     /* 2417226 */ // Label 30461: @2417226
     /* 2417226 */ GIM_Try, /*On fail goto*//*Label 30484*/ GIMT_Encode4(2417316),
     /* 2417231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2417234 */   GIM_Try, /*On fail goto*//*Label 30485*/ GIMT_Encode4(2417261), // Rule ID 1484 //
     /* 2417239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2417242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2417246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2417250 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2417250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2417253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417260 */     // GIR_Coverage, 1484,
     /* 2417260 */     GIR_EraseRootFromParent_Done,
     /* 2417261 */   // Label 30485: @2417261
     /* 2417261 */   GIM_Try, /*On fail goto*//*Label 30486*/ GIMT_Encode4(2417288), // Rule ID 1517 //
     /* 2417266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2417269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2417277 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2417277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2417280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417287 */     // GIR_Coverage, 1517,
     /* 2417287 */     GIR_EraseRootFromParent_Done,
     /* 2417288 */   // Label 30486: @2417288
     /* 2417288 */   GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2417315), // Rule ID 1539 //
     /* 2417293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2417296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2417300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2417304 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2417304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2417307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417314 */     // GIR_Coverage, 1539,
     /* 2417314 */     GIR_EraseRootFromParent_Done,
     /* 2417315 */   // Label 30487: @2417315
     /* 2417315 */   GIM_Reject,
     /* 2417316 */ // Label 30484: @2417316
     /* 2417316 */ GIM_Reject,
     /* 2417317 */ // Label 30462: @2417317
     /* 2417317 */ GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2417424),
     /* 2417322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2417325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417333 */   GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2417378), // Rule ID 55724 //
     /* 2417338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417341 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2417344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2417358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417377 */     // GIR_Coverage, 55724,
     /* 2417377 */     GIR_EraseRootFromParent_Done,
     /* 2417378 */   // Label 30489: @2417378
     /* 2417378 */   GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2417423), // Rule ID 55725 //
     /* 2417383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417386 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2417389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2417403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417422 */     // GIR_Coverage, 55725,
     /* 2417422 */     GIR_EraseRootFromParent_Done,
     /* 2417423 */   // Label 30490: @2417423
     /* 2417423 */   GIM_Reject,
     /* 2417424 */ // Label 30488: @2417424
     /* 2417424 */ GIM_Reject,
     /* 2417425 */ // Label 30463: @2417425
     /* 2417425 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2417532),
     /* 2417430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2417433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417441 */   GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2417486), // Rule ID 55764 //
     /* 2417446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417449 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2417452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2417466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417485 */     // GIR_Coverage, 55764,
     /* 2417485 */     GIR_EraseRootFromParent_Done,
     /* 2417486 */   // Label 30492: @2417486
     /* 2417486 */   GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2417531), // Rule ID 55765 //
     /* 2417491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417494 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2417497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2417511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417530 */     // GIR_Coverage, 55765,
     /* 2417530 */     GIR_EraseRootFromParent_Done,
     /* 2417531 */   // Label 30493: @2417531
     /* 2417531 */   GIM_Reject,
     /* 2417532 */ // Label 30491: @2417532
     /* 2417532 */ GIM_Reject,
     /* 2417533 */ // Label 30464: @2417533
     /* 2417533 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2417640),
     /* 2417538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2417541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417549 */   GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2417594), // Rule ID 55824 //
     /* 2417554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2417557 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2417560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2417574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417593 */     // GIR_Coverage, 55824,
     /* 2417593 */     GIR_EraseRootFromParent_Done,
     /* 2417594 */   // Label 30495: @2417594
     /* 2417594 */   GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2417639), // Rule ID 55825 //
     /* 2417599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2417602 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2417605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2417619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417638 */     // GIR_Coverage, 55825,
     /* 2417638 */     GIR_EraseRootFromParent_Done,
     /* 2417639 */   // Label 30496: @2417639
     /* 2417639 */   GIM_Reject,
     /* 2417640 */ // Label 30494: @2417640
     /* 2417640 */ GIM_Reject,
     /* 2417641 */ // Label 30465: @2417641
     /* 2417641 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2417748),
     /* 2417646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2417649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417657 */   GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2417702), // Rule ID 55744 //
     /* 2417662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417665 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2417668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2417682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417701 */     // GIR_Coverage, 55744,
     /* 2417701 */     GIR_EraseRootFromParent_Done,
     /* 2417702 */   // Label 30498: @2417702
     /* 2417702 */   GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2417747), // Rule ID 55745 //
     /* 2417707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417710 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2417713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2417727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417746 */     // GIR_Coverage, 55745,
     /* 2417746 */     GIR_EraseRootFromParent_Done,
     /* 2417747 */   // Label 30499: @2417747
     /* 2417747 */   GIM_Reject,
     /* 2417748 */ // Label 30497: @2417748
     /* 2417748 */ GIM_Reject,
     /* 2417749 */ // Label 30466: @2417749
     /* 2417749 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2417856),
     /* 2417754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2417757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417765 */   GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2417810), // Rule ID 55804 //
     /* 2417770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417773 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2417776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2417790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417809 */     // GIR_Coverage, 55804,
     /* 2417809 */     GIR_EraseRootFromParent_Done,
     /* 2417810 */   // Label 30501: @2417810
     /* 2417810 */   GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2417855), // Rule ID 55805 //
     /* 2417815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417818 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2417821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2417835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417854 */     // GIR_Coverage, 55805,
     /* 2417854 */     GIR_EraseRootFromParent_Done,
     /* 2417855 */   // Label 30502: @2417855
     /* 2417855 */   GIM_Reject,
     /* 2417856 */ // Label 30500: @2417856
     /* 2417856 */ GIM_Reject,
     /* 2417857 */ // Label 30467: @2417857
     /* 2417857 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2417964),
     /* 2417862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2417865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417873 */   GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2417918), // Rule ID 55964 //
     /* 2417878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2417881 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2417884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2417898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417917 */     // GIR_Coverage, 55964,
     /* 2417917 */     GIR_EraseRootFromParent_Done,
     /* 2417918 */   // Label 30504: @2417918
     /* 2417918 */   GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2417963), // Rule ID 55965 //
     /* 2417923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2417926 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2417926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2417929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2417938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2417940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2417943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2417948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2417952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2417961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417962 */     // GIR_Coverage, 55965,
     /* 2417962 */     GIR_EraseRootFromParent_Done,
     /* 2417963 */   // Label 30505: @2417963
     /* 2417963 */   GIM_Reject,
     /* 2417964 */ // Label 30503: @2417964
     /* 2417964 */ GIM_Reject,
     /* 2417965 */ // Label 30468: @2417965
     /* 2417965 */ GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2418072),
     /* 2417970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2417973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2417981 */   GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2418026), // Rule ID 55784 //
     /* 2417986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2417989 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2417989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2417992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2417996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2418006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418025 */     // GIR_Coverage, 55784,
     /* 2418025 */     GIR_EraseRootFromParent_Done,
     /* 2418026 */   // Label 30507: @2418026
     /* 2418026 */   GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2418071), // Rule ID 55785 //
     /* 2418031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418034 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2418037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2418051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418070 */     // GIR_Coverage, 55785,
     /* 2418070 */     GIR_EraseRootFromParent_Done,
     /* 2418071 */   // Label 30508: @2418071
     /* 2418071 */   GIM_Reject,
     /* 2418072 */ // Label 30506: @2418072
     /* 2418072 */ GIM_Reject,
     /* 2418073 */ // Label 30469: @2418073
     /* 2418073 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2418180),
     /* 2418078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2418081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418089 */   GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2418134), // Rule ID 55904 //
     /* 2418094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418097 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2418100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2418114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418133 */     // GIR_Coverage, 55904,
     /* 2418133 */     GIR_EraseRootFromParent_Done,
     /* 2418134 */   // Label 30510: @2418134
     /* 2418134 */   GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2418179), // Rule ID 55905 //
     /* 2418139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418142 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2418145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2418159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418178 */     // GIR_Coverage, 55905,
     /* 2418178 */     GIR_EraseRootFromParent_Done,
     /* 2418179 */   // Label 30511: @2418179
     /* 2418179 */   GIM_Reject,
     /* 2418180 */ // Label 30509: @2418180
     /* 2418180 */ GIM_Reject,
     /* 2418181 */ // Label 30470: @2418181
     /* 2418181 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2418288),
     /* 2418186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2418189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418197 */   GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2418242), // Rule ID 55984 //
     /* 2418202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418205 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2418208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2418222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418241 */     // GIR_Coverage, 55984,
     /* 2418241 */     GIR_EraseRootFromParent_Done,
     /* 2418242 */   // Label 30513: @2418242
     /* 2418242 */   GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2418287), // Rule ID 55985 //
     /* 2418247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418250 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2418253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2418267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418286 */     // GIR_Coverage, 55985,
     /* 2418286 */     GIR_EraseRootFromParent_Done,
     /* 2418287 */   // Label 30514: @2418287
     /* 2418287 */   GIM_Reject,
     /* 2418288 */ // Label 30512: @2418288
     /* 2418288 */ GIM_Reject,
     /* 2418289 */ // Label 30471: @2418289
     /* 2418289 */ GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2418396),
     /* 2418294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2418297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2418305 */   GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2418350), // Rule ID 55844 //
     /* 2418310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418313 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2418316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2418330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418349 */     // GIR_Coverage, 55844,
     /* 2418349 */     GIR_EraseRootFromParent_Done,
     /* 2418350 */   // Label 30516: @2418350
     /* 2418350 */   GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2418395), // Rule ID 55845 //
     /* 2418355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418358 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2418361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2418375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418394 */     // GIR_Coverage, 55845,
     /* 2418394 */     GIR_EraseRootFromParent_Done,
     /* 2418395 */   // Label 30517: @2418395
     /* 2418395 */   GIM_Reject,
     /* 2418396 */ // Label 30515: @2418396
     /* 2418396 */ GIM_Reject,
     /* 2418397 */ // Label 30472: @2418397
     /* 2418397 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2418504),
     /* 2418402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2418405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418413 */   GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2418458), // Rule ID 55924 //
     /* 2418418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418421 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2418424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2418438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418457 */     // GIR_Coverage, 55924,
     /* 2418457 */     GIR_EraseRootFromParent_Done,
     /* 2418458 */   // Label 30519: @2418458
     /* 2418458 */   GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2418503), // Rule ID 55925 //
     /* 2418463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418466 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2418469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2418483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418502 */     // GIR_Coverage, 55925,
     /* 2418502 */     GIR_EraseRootFromParent_Done,
     /* 2418503 */   // Label 30520: @2418503
     /* 2418503 */   GIM_Reject,
     /* 2418504 */ // Label 30518: @2418504
     /* 2418504 */ GIM_Reject,
     /* 2418505 */ // Label 30473: @2418505
     /* 2418505 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2418612),
     /* 2418510 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418513 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418517 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418521 */   GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2418566), // Rule ID 56004 //
     /* 2418526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418529 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2418532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2418546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418565 */     // GIR_Coverage, 56004,
     /* 2418565 */     GIR_EraseRootFromParent_Done,
     /* 2418566 */   // Label 30522: @2418566
     /* 2418566 */   GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2418611), // Rule ID 56005 //
     /* 2418571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418574 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2418577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2418591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418610 */     // GIR_Coverage, 56005,
     /* 2418610 */     GIR_EraseRootFromParent_Done,
     /* 2418611 */   // Label 30523: @2418611
     /* 2418611 */   GIM_Reject,
     /* 2418612 */ // Label 30521: @2418612
     /* 2418612 */ GIM_Reject,
     /* 2418613 */ // Label 30474: @2418613
     /* 2418613 */ GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2418720),
     /* 2418618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418629 */   GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2418674), // Rule ID 55864 //
     /* 2418634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418637 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2418640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2418654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418673 */     // GIR_Coverage, 55864,
     /* 2418673 */     GIR_EraseRootFromParent_Done,
     /* 2418674 */   // Label 30525: @2418674
     /* 2418674 */   GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2418719), // Rule ID 55865 //
     /* 2418679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418682 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2418685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2418699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418718 */     // GIR_Coverage, 55865,
     /* 2418718 */     GIR_EraseRootFromParent_Done,
     /* 2418719 */   // Label 30526: @2418719
     /* 2418719 */   GIM_Reject,
     /* 2418720 */ // Label 30524: @2418720
     /* 2418720 */ GIM_Reject,
     /* 2418721 */ // Label 30475: @2418721
     /* 2418721 */ GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2418828),
     /* 2418726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2418729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418737 */   GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2418782), // Rule ID 55944 //
     /* 2418742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2418745 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2418748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2418762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418769 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418781 */     // GIR_Coverage, 55944,
     /* 2418781 */     GIR_EraseRootFromParent_Done,
     /* 2418782 */   // Label 30528: @2418782
     /* 2418782 */   GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2418827), // Rule ID 55945 //
     /* 2418787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2418790 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2418793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2418807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2418822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418826 */     // GIR_Coverage, 55945,
     /* 2418826 */     GIR_EraseRootFromParent_Done,
     /* 2418827 */   // Label 30529: @2418827
     /* 2418827 */   GIM_Reject,
     /* 2418828 */ // Label 30527: @2418828
     /* 2418828 */ GIM_Reject,
     /* 2418829 */ // Label 30476: @2418829
     /* 2418829 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2418936),
     /* 2418834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2418837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418845 */   GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2418890), // Rule ID 55884 //
     /* 2418850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418853 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2418853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2418856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2418870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418889 */     // GIR_Coverage, 55884,
     /* 2418889 */     GIR_EraseRootFromParent_Done,
     /* 2418890 */   // Label 30531: @2418890
     /* 2418890 */   GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2418935), // Rule ID 55885 //
     /* 2418895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418898 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2418898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2418901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2418905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2418910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2418912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2418915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2418920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2418924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2418933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418934 */     // GIR_Coverage, 55885,
     /* 2418934 */     GIR_EraseRootFromParent_Done,
     /* 2418935 */   // Label 30532: @2418935
     /* 2418935 */   GIM_Reject,
     /* 2418936 */ // Label 30530: @2418936
     /* 2418936 */ GIM_Reject,
     /* 2418937 */ // Label 30477: @2418937
     /* 2418937 */ GIM_Reject,
     /* 2418938 */ // Label 63: @2418938
     /* 2418938 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 30535*/ GIMT_Encode4(2419390),
     /* 2418949 */ /*GILLT_s32*//*Label 30533*/ GIMT_Encode4(2418957),
     /* 2418953 */ /*GILLT_s64*//*Label 30534*/ GIMT_Encode4(2419079),
     /* 2418957 */ // Label 30533: @2418957
     /* 2418957 */ GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2419078),
     /* 2418962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2418965 */   GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2418993), // Rule ID 2024 //
     /* 2418970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2418973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2418977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2418981 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2418981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2418984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2418991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418992 */     // GIR_Coverage, 2024,
     /* 2418992 */     GIR_EraseRootFromParent_Done,
     /* 2418993 */   // Label 30537: @2418993
     /* 2418993 */   GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2419021), // Rule ID 2025 //
     /* 2418998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2419001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419005 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419009 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2419009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2419012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419020 */     // GIR_Coverage, 2025,
     /* 2419020 */     GIR_EraseRootFromParent_Done,
     /* 2419021 */   // Label 30538: @2419021
     /* 2419021 */   GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2419049), // Rule ID 2040 //
     /* 2419026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2419029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419037 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2419037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2419040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419048 */     // GIR_Coverage, 2040,
     /* 2419048 */     GIR_EraseRootFromParent_Done,
     /* 2419049 */   // Label 30539: @2419049
     /* 2419049 */   GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2419077), // Rule ID 2041 //
     /* 2419054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2419057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419065 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2419065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2419068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419076 */     // GIR_Coverage, 2041,
     /* 2419076 */     GIR_EraseRootFromParent_Done,
     /* 2419077 */   // Label 30540: @2419077
     /* 2419077 */   GIM_Reject,
     /* 2419078 */ // Label 30536: @2419078
     /* 2419078 */ GIM_Reject,
     /* 2419079 */ // Label 30534: @2419079
     /* 2419079 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2419110), // Rule ID 1426 //
     /* 2419084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2419087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419098 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2419098 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2419101 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419103 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419109 */   // GIR_Coverage, 1426,
     /* 2419109 */   GIR_EraseRootFromParent_Done,
     /* 2419110 */ // Label 30541: @2419110
     /* 2419110 */ GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2419141), // Rule ID 1427 //
     /* 2419115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2419118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419129 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2419129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2419132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419134 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419140 */   // GIR_Coverage, 1427,
     /* 2419140 */   GIR_EraseRootFromParent_Done,
     /* 2419141 */ // Label 30542: @2419141
     /* 2419141 */ GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2419172), // Rule ID 1431 //
     /* 2419146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2419149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419160 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2419160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2419163 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419165 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419171 */   // GIR_Coverage, 1431,
     /* 2419171 */   GIR_EraseRootFromParent_Done,
     /* 2419172 */ // Label 30543: @2419172
     /* 2419172 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2419203), // Rule ID 1438 //
     /* 2419177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2419180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419191 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2419191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2419194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419202 */   // GIR_Coverage, 1438,
     /* 2419202 */   GIR_EraseRootFromParent_Done,
     /* 2419203 */ // Label 30544: @2419203
     /* 2419203 */ GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2419234), // Rule ID 1439 //
     /* 2419208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2419211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419222 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2419222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2419225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419233 */   // GIR_Coverage, 1439,
     /* 2419233 */   GIR_EraseRootFromParent_Done,
     /* 2419234 */ // Label 30545: @2419234
     /* 2419234 */ GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2419265), // Rule ID 2158 //
     /* 2419239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2419242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419253 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2419253 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2419256 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419264 */   // GIR_Coverage, 2158,
     /* 2419264 */   GIR_EraseRootFromParent_Done,
     /* 2419265 */ // Label 30546: @2419265
     /* 2419265 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2419296), // Rule ID 2159 //
     /* 2419270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2419273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419284 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2419284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2419287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419295 */   // GIR_Coverage, 2159,
     /* 2419295 */   GIR_EraseRootFromParent_Done,
     /* 2419296 */ // Label 30547: @2419296
     /* 2419296 */ GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2419327), // Rule ID 2170 //
     /* 2419301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2419304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419315 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2419315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2419318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419326 */   // GIR_Coverage, 2170,
     /* 2419326 */   GIR_EraseRootFromParent_Done,
     /* 2419327 */ // Label 30548: @2419327
     /* 2419327 */ GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2419358), // Rule ID 2171 //
     /* 2419332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2419335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419346 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2419346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2419349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419357 */   // GIR_Coverage, 2171,
     /* 2419357 */   GIR_EraseRootFromParent_Done,
     /* 2419358 */ // Label 30549: @2419358
     /* 2419358 */ GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2419389), // Rule ID 2179 //
     /* 2419363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2419366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2419369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419377 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2419377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2419380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2419387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419388 */   // GIR_Coverage, 2179,
     /* 2419388 */   GIR_EraseRootFromParent_Done,
     /* 2419389 */ // Label 30550: @2419389
     /* 2419389 */ GIM_Reject,
     /* 2419390 */ // Label 30535: @2419390
     /* 2419390 */ GIM_Reject,
     /* 2419391 */ // Label 64: @2419391
     /* 2419391 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 30562*/ GIMT_Encode4(2420926),
     /* 2419402 */ /*GILLT_s16*//*Label 30551*/ GIMT_Encode4(2419506),
     /* 2419406 */ /*GILLT_s32*//*Label 30552*/ GIMT_Encode4(2419786), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419422 */ /*GILLT_nxv1s16*//*Label 30553*/ GIMT_Encode4(2419936),
     /* 2419426 */ /*GILLT_nxv1s32*//*Label 30554*/ GIMT_Encode4(2420046), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419442 */ /*GILLT_nxv2s16*//*Label 30555*/ GIMT_Encode4(2420156),
     /* 2419446 */ /*GILLT_nxv2s32*//*Label 30556*/ GIMT_Encode4(2420266), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419462 */ /*GILLT_nxv4s16*//*Label 30557*/ GIMT_Encode4(2420376),
     /* 2419466 */ /*GILLT_nxv4s32*//*Label 30558*/ GIMT_Encode4(2420486), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419482 */ /*GILLT_nxv8s16*//*Label 30559*/ GIMT_Encode4(2420596),
     /* 2419486 */ /*GILLT_nxv8s32*//*Label 30560*/ GIMT_Encode4(2420706), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2419502 */ /*GILLT_nxv16s16*//*Label 30561*/ GIMT_Encode4(2420816),
     /* 2419506 */ // Label 30551: @2419506
     /* 2419506 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2419537), // Rule ID 2020 //
     /* 2419511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2419514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419525 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2419525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2419528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419536 */   // GIR_Coverage, 2020,
     /* 2419536 */   GIR_EraseRootFromParent_Done,
     /* 2419537 */ // Label 30563: @2419537
     /* 2419537 */ GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2419568), // Rule ID 2021 //
     /* 2419542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2419545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419552 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419556 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2419556 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2419559 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419567 */   // GIR_Coverage, 2021,
     /* 2419567 */   GIR_EraseRootFromParent_Done,
     /* 2419568 */ // Label 30564: @2419568
     /* 2419568 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2419599), // Rule ID 2036 //
     /* 2419573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2419576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419587 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2419587 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2419590 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419592 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419598 */   // GIR_Coverage, 2036,
     /* 2419598 */   GIR_EraseRootFromParent_Done,
     /* 2419599 */ // Label 30565: @2419599
     /* 2419599 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2419630), // Rule ID 2037 //
     /* 2419604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2419607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2419610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419618 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2419618 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2419621 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419629 */   // GIR_Coverage, 2037,
     /* 2419629 */   GIR_EraseRootFromParent_Done,
     /* 2419630 */ // Label 30566: @2419630
     /* 2419630 */ GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2419661), // Rule ID 2154 //
     /* 2419635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2419638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419649 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2419652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419659 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419660 */   // GIR_Coverage, 2154,
     /* 2419660 */   GIR_EraseRootFromParent_Done,
     /* 2419661 */ // Label 30567: @2419661
     /* 2419661 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2419692), // Rule ID 2155 //
     /* 2419666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2419669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2419676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419680 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2419680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2419683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419685 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419691 */   // GIR_Coverage, 2155,
     /* 2419691 */   GIR_EraseRootFromParent_Done,
     /* 2419692 */ // Label 30568: @2419692
     /* 2419692 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2419723), // Rule ID 2166 //
     /* 2419697 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2419700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419711 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2419714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419716 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419722 */   // GIR_Coverage, 2166,
     /* 2419722 */   GIR_EraseRootFromParent_Done,
     /* 2419723 */ // Label 30569: @2419723
     /* 2419723 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2419754), // Rule ID 2167 //
     /* 2419728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2419731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419742 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2419742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2419745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419753 */   // GIR_Coverage, 2167,
     /* 2419753 */   GIR_EraseRootFromParent_Done,
     /* 2419754 */ // Label 30570: @2419754
     /* 2419754 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2419785), // Rule ID 2177 //
     /* 2419759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2419762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2419769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419773 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2419776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419778 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2419784 */   // GIR_Coverage, 2177,
     /* 2419784 */   GIR_EraseRootFromParent_Done,
     /* 2419785 */ // Label 30571: @2419785
     /* 2419785 */ GIM_Reject,
     /* 2419786 */ // Label 30552: @2419786
     /* 2419786 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2419935),
     /* 2419791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2419794 */   GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2419822), // Rule ID 1422 //
     /* 2419799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2419802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419810 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2419813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419821 */     // GIR_Coverage, 1422,
     /* 2419821 */     GIR_EraseRootFromParent_Done,
     /* 2419822 */   // Label 30573: @2419822
     /* 2419822 */   GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2419850), // Rule ID 1423 //
     /* 2419827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2419830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2419834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2419838 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2419838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2419841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419849 */     // GIR_Coverage, 1423,
     /* 2419849 */     GIR_EraseRootFromParent_Done,
     /* 2419850 */   // Label 30574: @2419850
     /* 2419850 */   GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2419878), // Rule ID 1429 //
     /* 2419855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2419858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2419866 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2419869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419877 */     // GIR_Coverage, 1429,
     /* 2419877 */     GIR_EraseRootFromParent_Done,
     /* 2419878 */   // Label 30575: @2419878
     /* 2419878 */   GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2419906), // Rule ID 1434 //
     /* 2419883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2419886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419894 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2419894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2419897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419905 */     // GIR_Coverage, 1434,
     /* 2419905 */     GIR_EraseRootFromParent_Done,
     /* 2419906 */   // Label 30576: @2419906
     /* 2419906 */   GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2419934), // Rule ID 1435 //
     /* 2419911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2419914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2419918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2419922 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2419922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2419925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419933 */     // GIR_Coverage, 1435,
     /* 2419933 */     GIR_EraseRootFromParent_Done,
     /* 2419934 */   // Label 30577: @2419934
     /* 2419934 */   GIM_Reject,
     /* 2419935 */ // Label 30572: @2419935
     /* 2419935 */ GIM_Reject,
     /* 2419936 */ // Label 30553: @2419936
     /* 2419936 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2420045),
     /* 2419941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2419944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419948 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2419952 */   GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2419998), // Rule ID 58192 //
     /* 2419957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2419960 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2419960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2419963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2419967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2419972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2419974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2419977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2419982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2419996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419997 */     // GIR_Coverage, 58192,
     /* 2419997 */     GIR_EraseRootFromParent_Done,
     /* 2419998 */   // Label 30579: @2419998
     /* 2419998 */   GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2420044), // Rule ID 58193 //
     /* 2420003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2420006 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2420009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2420023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420043 */     // GIR_Coverage, 58193,
     /* 2420043 */     GIR_EraseRootFromParent_Done,
     /* 2420044 */   // Label 30580: @2420044
     /* 2420044 */   GIM_Reject,
     /* 2420045 */ // Label 30578: @2420045
     /* 2420045 */ GIM_Reject,
     /* 2420046 */ // Label 30554: @2420046
     /* 2420046 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2420155),
     /* 2420051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2420054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420062 */   GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2420108), // Rule ID 58202 //
     /* 2420067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2420070 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2420073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2420087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420107 */     // GIR_Coverage, 58202,
     /* 2420107 */     GIR_EraseRootFromParent_Done,
     /* 2420108 */   // Label 30582: @2420108
     /* 2420108 */   GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2420154), // Rule ID 58203 //
     /* 2420113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2420116 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2420119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2420133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420153 */     // GIR_Coverage, 58203,
     /* 2420153 */     GIR_EraseRootFromParent_Done,
     /* 2420154 */   // Label 30583: @2420154
     /* 2420154 */   GIM_Reject,
     /* 2420155 */ // Label 30581: @2420155
     /* 2420155 */ GIM_Reject,
     /* 2420156 */ // Label 30555: @2420156
     /* 2420156 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2420265),
     /* 2420161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2420164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420172 */   GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2420218), // Rule ID 58194 //
     /* 2420177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2420180 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2420183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2420197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420217 */     // GIR_Coverage, 58194,
     /* 2420217 */     GIR_EraseRootFromParent_Done,
     /* 2420218 */   // Label 30585: @2420218
     /* 2420218 */   GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2420264), // Rule ID 58195 //
     /* 2420223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2420226 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2420229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2420243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420263 */     // GIR_Coverage, 58195,
     /* 2420263 */     GIR_EraseRootFromParent_Done,
     /* 2420264 */   // Label 30586: @2420264
     /* 2420264 */   GIM_Reject,
     /* 2420265 */ // Label 30584: @2420265
     /* 2420265 */ GIM_Reject,
     /* 2420266 */ // Label 30556: @2420266
     /* 2420266 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2420375),
     /* 2420271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2420274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420282 */   GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2420328), // Rule ID 58204 //
     /* 2420287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2420290 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2420293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2420307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420327 */     // GIR_Coverage, 58204,
     /* 2420327 */     GIR_EraseRootFromParent_Done,
     /* 2420328 */   // Label 30588: @2420328
     /* 2420328 */   GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2420374), // Rule ID 58205 //
     /* 2420333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2420336 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2420339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2420353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420373 */     // GIR_Coverage, 58205,
     /* 2420373 */     GIR_EraseRootFromParent_Done,
     /* 2420374 */   // Label 30589: @2420374
     /* 2420374 */   GIM_Reject,
     /* 2420375 */ // Label 30587: @2420375
     /* 2420375 */ GIM_Reject,
     /* 2420376 */ // Label 30557: @2420376
     /* 2420376 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2420485),
     /* 2420381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2420384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2420388 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420392 */   GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2420438), // Rule ID 58196 //
     /* 2420397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2420400 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2420403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2420417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420437 */     // GIR_Coverage, 58196,
     /* 2420437 */     GIR_EraseRootFromParent_Done,
     /* 2420438 */   // Label 30591: @2420438
     /* 2420438 */   GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2420484), // Rule ID 58197 //
     /* 2420443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2420446 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2420449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2420463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420483 */     // GIR_Coverage, 58197,
     /* 2420483 */     GIR_EraseRootFromParent_Done,
     /* 2420484 */   // Label 30592: @2420484
     /* 2420484 */   GIM_Reject,
     /* 2420485 */ // Label 30590: @2420485
     /* 2420485 */ GIM_Reject,
     /* 2420486 */ // Label 30558: @2420486
     /* 2420486 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2420595),
     /* 2420491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2420494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420502 */   GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2420548), // Rule ID 58206 //
     /* 2420507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2420510 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2420513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2420527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420547 */     // GIR_Coverage, 58206,
     /* 2420547 */     GIR_EraseRootFromParent_Done,
     /* 2420548 */   // Label 30594: @2420548
     /* 2420548 */   GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2420594), // Rule ID 58207 //
     /* 2420553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2420556 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2420559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2420573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420593 */     // GIR_Coverage, 58207,
     /* 2420593 */     GIR_EraseRootFromParent_Done,
     /* 2420594 */   // Label 30595: @2420594
     /* 2420594 */   GIM_Reject,
     /* 2420595 */ // Label 30593: @2420595
     /* 2420595 */ GIM_Reject,
     /* 2420596 */ // Label 30559: @2420596
     /* 2420596 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2420705),
     /* 2420601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2420604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2420608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420612 */   GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2420658), // Rule ID 58198 //
     /* 2420617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2420620 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2420623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2420637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420657 */     // GIR_Coverage, 58198,
     /* 2420657 */     GIR_EraseRootFromParent_Done,
     /* 2420658 */   // Label 30597: @2420658
     /* 2420658 */   GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2420704), // Rule ID 58199 //
     /* 2420663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2420666 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2420669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2420683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420703 */     // GIR_Coverage, 58199,
     /* 2420703 */     GIR_EraseRootFromParent_Done,
     /* 2420704 */   // Label 30598: @2420704
     /* 2420704 */   GIM_Reject,
     /* 2420705 */ // Label 30596: @2420705
     /* 2420705 */ GIM_Reject,
     /* 2420706 */ // Label 30560: @2420706
     /* 2420706 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2420815),
     /* 2420711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2420714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420722 */   GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2420768), // Rule ID 58208 //
     /* 2420727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2420730 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2420733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2420747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420767 */     // GIR_Coverage, 58208,
     /* 2420767 */     GIR_EraseRootFromParent_Done,
     /* 2420768 */   // Label 30600: @2420768
     /* 2420768 */   GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2420814), // Rule ID 58209 //
     /* 2420773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2420776 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2420779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2420793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420813 */     // GIR_Coverage, 58209,
     /* 2420813 */     GIR_EraseRootFromParent_Done,
     /* 2420814 */   // Label 30601: @2420814
     /* 2420814 */   GIM_Reject,
     /* 2420815 */ // Label 30599: @2420815
     /* 2420815 */ GIM_Reject,
     /* 2420816 */ // Label 30561: @2420816
     /* 2420816 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2420925),
     /* 2420821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2420824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2420828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420832 */   GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2420878), // Rule ID 58200 //
     /* 2420837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 2420840 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2420840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2420843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2420857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420877 */     // GIR_Coverage, 58200,
     /* 2420877 */     GIR_EraseRootFromParent_Done,
     /* 2420878 */   // Label 30603: @2420878
     /* 2420878 */   GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2420924), // Rule ID 58201 //
     /* 2420883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 2420886 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2420886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2420889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2420893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2420898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2420900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2420903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2420908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2420922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420923 */     // GIR_Coverage, 58201,
     /* 2420923 */     GIR_EraseRootFromParent_Done,
     /* 2420924 */   // Label 30604: @2420924
     /* 2420924 */   GIM_Reject,
     /* 2420925 */ // Label 30602: @2420925
     /* 2420925 */ GIM_Reject,
     /* 2420926 */ // Label 30562: @2420926
     /* 2420926 */ GIM_Reject,
     /* 2420927 */ // Label 65: @2420927
     /* 2420927 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 30628*/ GIMT_Encode4(2425812),
     /* 2420938 */ /*GILLT_s32*//*Label 30605*/ GIMT_Encode4(2421054),
     /* 2420942 */ /*GILLT_s64*//*Label 30606*/ GIMT_Encode4(2421427), GIMT_Encode4(0),
     /* 2420950 */ /*GILLT_nxv1s8*//*Label 30607*/ GIMT_Encode4(2421614),
     /* 2420954 */ /*GILLT_nxv1s16*//*Label 30608*/ GIMT_Encode4(2421718),
     /* 2420958 */ /*GILLT_nxv1s32*//*Label 30609*/ GIMT_Encode4(2421935),
     /* 2420962 */ /*GILLT_nxv1s64*//*Label 30610*/ GIMT_Encode4(2422260), GIMT_Encode4(0),
     /* 2420970 */ /*GILLT_nxv2s8*//*Label 30611*/ GIMT_Encode4(2422477),
     /* 2420974 */ /*GILLT_nxv2s16*//*Label 30612*/ GIMT_Encode4(2422581),
     /* 2420978 */ /*GILLT_nxv2s32*//*Label 30613*/ GIMT_Encode4(2422798),
     /* 2420982 */ /*GILLT_nxv2s64*//*Label 30614*/ GIMT_Encode4(2423123), GIMT_Encode4(0),
     /* 2420990 */ /*GILLT_nxv4s8*//*Label 30615*/ GIMT_Encode4(2423340),
     /* 2420994 */ /*GILLT_nxv4s16*//*Label 30616*/ GIMT_Encode4(2423444),
     /* 2420998 */ /*GILLT_nxv4s32*//*Label 30617*/ GIMT_Encode4(2423661),
     /* 2421002 */ /*GILLT_nxv4s64*//*Label 30618*/ GIMT_Encode4(2423986), GIMT_Encode4(0),
     /* 2421010 */ /*GILLT_nxv8s8*//*Label 30619*/ GIMT_Encode4(2424203),
     /* 2421014 */ /*GILLT_nxv8s16*//*Label 30620*/ GIMT_Encode4(2424307),
     /* 2421018 */ /*GILLT_nxv8s32*//*Label 30621*/ GIMT_Encode4(2424524),
     /* 2421022 */ /*GILLT_nxv8s64*//*Label 30622*/ GIMT_Encode4(2424849), GIMT_Encode4(0),
     /* 2421030 */ /*GILLT_nxv16s8*//*Label 30623*/ GIMT_Encode4(2425066),
     /* 2421034 */ /*GILLT_nxv16s16*//*Label 30624*/ GIMT_Encode4(2425170),
     /* 2421038 */ /*GILLT_nxv16s32*//*Label 30625*/ GIMT_Encode4(2425387), GIMT_Encode4(0),
     /* 2421046 */ /*GILLT_nxv32s8*//*Label 30626*/ GIMT_Encode4(2425604),
     /* 2421050 */ /*GILLT_nxv32s16*//*Label 30627*/ GIMT_Encode4(2425708),
     /* 2421054 */ // Label 30605: @2421054
     /* 2421054 */ GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2421085), // Rule ID 1314 //
     /* 2421059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2421062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421073 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2421073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2421076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421084 */   // GIR_Coverage, 1314,
     /* 2421084 */   GIR_EraseRootFromParent_Done,
     /* 2421085 */ // Label 30629: @2421085
     /* 2421085 */ GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2421116), // Rule ID 1315 //
     /* 2421090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2421093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421104 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2421104 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2421107 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421114 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421115 */   // GIR_Coverage, 1315,
     /* 2421115 */   GIR_EraseRootFromParent_Done,
     /* 2421116 */ // Label 30630: @2421116
     /* 2421116 */ GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2421147), // Rule ID 1340 //
     /* 2421121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2421124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421135 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2421135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2421138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421140 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421145 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421146 */   // GIR_Coverage, 1340,
     /* 2421146 */   GIR_EraseRootFromParent_Done,
     /* 2421147 */ // Label 30631: @2421147
     /* 2421147 */ GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2421178), // Rule ID 1341 //
     /* 2421152 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2421155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421166 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2421166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2421169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421171 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421177 */   // GIR_Coverage, 1341,
     /* 2421177 */   GIR_EraseRootFromParent_Done,
     /* 2421178 */ // Label 30632: @2421178
     /* 2421178 */ GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2421209), // Rule ID 1708 //
     /* 2421183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2421186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421197 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2421197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2421200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421202 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421207 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421208 */   // GIR_Coverage, 1708,
     /* 2421208 */   GIR_EraseRootFromParent_Done,
     /* 2421209 */ // Label 30633: @2421209
     /* 2421209 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2421240), // Rule ID 1709 //
     /* 2421214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2421217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421228 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2421228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2421231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421233 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421239 */   // GIR_Coverage, 1709,
     /* 2421239 */   GIR_EraseRootFromParent_Done,
     /* 2421240 */ // Label 30634: @2421240
     /* 2421240 */ GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2421271), // Rule ID 1734 //
     /* 2421245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2421248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421259 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2421259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2421262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421264 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421270 */   // GIR_Coverage, 1734,
     /* 2421270 */   GIR_EraseRootFromParent_Done,
     /* 2421271 */ // Label 30635: @2421271
     /* 2421271 */ GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2421302), // Rule ID 1735 //
     /* 2421276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2421279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421290 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2421290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2421293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421301 */   // GIR_Coverage, 1735,
     /* 2421301 */   GIR_EraseRootFromParent_Done,
     /* 2421302 */ // Label 30636: @2421302
     /* 2421302 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2421333), // Rule ID 2050 //
     /* 2421307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2421310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421321 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2421321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2421324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421332 */   // GIR_Coverage, 2050,
     /* 2421332 */   GIR_EraseRootFromParent_Done,
     /* 2421333 */ // Label 30637: @2421333
     /* 2421333 */ GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2421364), // Rule ID 2051 //
     /* 2421338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2421341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421352 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2421352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2421355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421362 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421363 */   // GIR_Coverage, 2051,
     /* 2421363 */   GIR_EraseRootFromParent_Done,
     /* 2421364 */ // Label 30638: @2421364
     /* 2421364 */ GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2421395), // Rule ID 2076 //
     /* 2421369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2421372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421375 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421379 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421383 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2421383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2421386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421388 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421393 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421394 */   // GIR_Coverage, 2076,
     /* 2421394 */   GIR_EraseRootFromParent_Done,
     /* 2421395 */ // Label 30639: @2421395
     /* 2421395 */ GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2421426), // Rule ID 2077 //
     /* 2421400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2421403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421410 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421414 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2421414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2421417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421425 */   // GIR_Coverage, 2077,
     /* 2421425 */   GIR_EraseRootFromParent_Done,
     /* 2421426 */ // Label 30640: @2421426
     /* 2421426 */ GIM_Reject,
     /* 2421427 */ // Label 30606: @2421427
     /* 2421427 */ GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2421458), // Rule ID 1371 //
     /* 2421432 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2421435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421438 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421442 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421446 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2421446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2421449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421451 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421457 */   // GIR_Coverage, 1371,
     /* 2421457 */   GIR_EraseRootFromParent_Done,
     /* 2421458 */ // Label 30641: @2421458
     /* 2421458 */ GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2421489), // Rule ID 1399 //
     /* 2421463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2421466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421477 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2421477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2421480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421488 */   // GIR_Coverage, 1399,
     /* 2421488 */   GIR_EraseRootFromParent_Done,
     /* 2421489 */ // Label 30642: @2421489
     /* 2421489 */ GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2421520), // Rule ID 1771 //
     /* 2421494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2421497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421508 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2421508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2421511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421519 */   // GIR_Coverage, 1771,
     /* 2421519 */   GIR_EraseRootFromParent_Done,
     /* 2421520 */ // Label 30643: @2421520
     /* 2421520 */ GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2421551), // Rule ID 1799 //
     /* 2421525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2421528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421539 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2421539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2421542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421550 */   // GIR_Coverage, 1799,
     /* 2421550 */   GIR_EraseRootFromParent_Done,
     /* 2421551 */ // Label 30644: @2421551
     /* 2421551 */ GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2421582), // Rule ID 2105 //
     /* 2421556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2421559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421570 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2421570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2421573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421581 */   // GIR_Coverage, 2105,
     /* 2421581 */   GIR_EraseRootFromParent_Done,
     /* 2421582 */ // Label 30645: @2421582
     /* 2421582 */ GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2421613), // Rule ID 2131 //
     /* 2421587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2421590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421601 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2421601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2421604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421612 */   // GIR_Coverage, 2131,
     /* 2421612 */   GIR_EraseRootFromParent_Done,
     /* 2421613 */ // Label 30646: @2421613
     /* 2421613 */ GIM_Reject,
     /* 2421614 */ // Label 30607: @2421614
     /* 2421614 */ GIM_Try, /*On fail goto*//*Label 30647*/ GIMT_Encode4(2421717),
     /* 2421619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421630 */   GIM_Try, /*On fail goto*//*Label 30648*/ GIMT_Encode4(2421673), // Rule ID 45530 //
     /* 2421635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2421638 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2421641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2421655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421672 */     // GIR_Coverage, 45530,
     /* 2421672 */     GIR_EraseRootFromParent_Done,
     /* 2421673 */   // Label 30648: @2421673
     /* 2421673 */   GIM_Try, /*On fail goto*//*Label 30649*/ GIMT_Encode4(2421716), // Rule ID 45531 //
     /* 2421678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2421681 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2421684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2421698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421715 */     // GIR_Coverage, 45531,
     /* 2421715 */     GIR_EraseRootFromParent_Done,
     /* 2421716 */   // Label 30649: @2421716
     /* 2421716 */   GIM_Reject,
     /* 2421717 */ // Label 30647: @2421717
     /* 2421717 */ GIM_Reject,
     /* 2421718 */ // Label 30608: @2421718
     /* 2421718 */ GIM_Try, /*On fail goto*//*Label 30650*/ GIMT_Encode4(2421772), // Rule ID 45514 //
     /* 2421723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2421726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421737 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2421754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421771 */   // GIR_Coverage, 45514,
     /* 2421771 */   GIR_EraseRootFromParent_Done,
     /* 2421772 */ // Label 30650: @2421772
     /* 2421772 */ GIM_Try, /*On fail goto*//*Label 30651*/ GIMT_Encode4(2421826), // Rule ID 45515 //
     /* 2421777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2421780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421791 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2421808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421825 */   // GIR_Coverage, 45515,
     /* 2421825 */   GIR_EraseRootFromParent_Done,
     /* 2421826 */ // Label 30651: @2421826
     /* 2421826 */ GIM_Try, /*On fail goto*//*Label 30652*/ GIMT_Encode4(2421880), // Rule ID 58030 //
     /* 2421831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2421834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2421837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421845 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2421862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421879 */   // GIR_Coverage, 58030,
     /* 2421879 */   GIR_EraseRootFromParent_Done,
     /* 2421880 */ // Label 30652: @2421880
     /* 2421880 */ GIM_Try, /*On fail goto*//*Label 30653*/ GIMT_Encode4(2421934), // Rule ID 58031 //
     /* 2421885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2421888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2421891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421899 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2421916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421933 */   // GIR_Coverage, 58031,
     /* 2421933 */   GIR_EraseRootFromParent_Done,
     /* 2421934 */ // Label 30653: @2421934
     /* 2421934 */ GIM_Reject,
     /* 2421935 */ // Label 30609: @2421935
     /* 2421935 */ GIM_Try, /*On fail goto*//*Label 30654*/ GIMT_Encode4(2421989), // Rule ID 45522 //
     /* 2421940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2421943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421954 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2421957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2421971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2421988 */   // GIR_Coverage, 45522,
     /* 2421988 */   GIR_EraseRootFromParent_Done,
     /* 2421989 */ // Label 30654: @2421989
     /* 2421989 */ GIM_Try, /*On fail goto*//*Label 30655*/ GIMT_Encode4(2422043), // Rule ID 45523 //
     /* 2421994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2421997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2422000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422008 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2422011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2422025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422042 */   // GIR_Coverage, 45523,
     /* 2422042 */   GIR_EraseRootFromParent_Done,
     /* 2422043 */ // Label 30655: @2422043
     /* 2422043 */ GIM_Try, /*On fail goto*//*Label 30656*/ GIMT_Encode4(2422097), // Rule ID 57598 //
     /* 2422048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2422051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2422054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422062 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2422065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2422079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422096 */   // GIR_Coverage, 57598,
     /* 2422096 */   GIR_EraseRootFromParent_Done,
     /* 2422097 */ // Label 30656: @2422097
     /* 2422097 */ GIM_Try, /*On fail goto*//*Label 30657*/ GIMT_Encode4(2422151), // Rule ID 57599 //
     /* 2422102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2422105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2422108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422116 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2422119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2422133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422150 */   // GIR_Coverage, 57599,
     /* 2422150 */   GIR_EraseRootFromParent_Done,
     /* 2422151 */ // Label 30657: @2422151
     /* 2422151 */ GIM_Try, /*On fail goto*//*Label 30658*/ GIMT_Encode4(2422205), // Rule ID 58050 //
     /* 2422156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2422159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2422162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422170 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2422173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2422187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422204 */   // GIR_Coverage, 58050,
     /* 2422204 */   GIR_EraseRootFromParent_Done,
     /* 2422205 */ // Label 30658: @2422205
     /* 2422205 */ GIM_Try, /*On fail goto*//*Label 30659*/ GIMT_Encode4(2422259), // Rule ID 58051 //
     /* 2422210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2422213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2422216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422224 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2422227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2422241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422258 */   // GIR_Coverage, 58051,
     /* 2422258 */   GIR_EraseRootFromParent_Done,
     /* 2422259 */ // Label 30659: @2422259
     /* 2422259 */ GIM_Reject,
     /* 2422260 */ // Label 30610: @2422260
     /* 2422260 */ GIM_Try, /*On fail goto*//*Label 30660*/ GIMT_Encode4(2422314), // Rule ID 57610 //
     /* 2422265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2422268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2422271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422279 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2422282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2422296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422313 */   // GIR_Coverage, 57610,
     /* 2422313 */   GIR_EraseRootFromParent_Done,
     /* 2422314 */ // Label 30660: @2422314
     /* 2422314 */ GIM_Try, /*On fail goto*//*Label 30661*/ GIMT_Encode4(2422368), // Rule ID 57611 //
     /* 2422319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2422322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2422325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422333 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2422336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2422350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422367 */   // GIR_Coverage, 57611,
     /* 2422367 */   GIR_EraseRootFromParent_Done,
     /* 2422368 */ // Label 30661: @2422368
     /* 2422368 */ GIM_Try, /*On fail goto*//*Label 30662*/ GIMT_Encode4(2422422), // Rule ID 57842 //
     /* 2422373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2422376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2422379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422387 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2422390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2422404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422421 */   // GIR_Coverage, 57842,
     /* 2422421 */   GIR_EraseRootFromParent_Done,
     /* 2422422 */ // Label 30662: @2422422
     /* 2422422 */ GIM_Try, /*On fail goto*//*Label 30663*/ GIMT_Encode4(2422476), // Rule ID 57843 //
     /* 2422427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2422430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2422433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422441 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2422444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2422458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422475 */   // GIR_Coverage, 57843,
     /* 2422475 */   GIR_EraseRootFromParent_Done,
     /* 2422476 */ // Label 30663: @2422476
     /* 2422476 */ GIM_Reject,
     /* 2422477 */ // Label 30611: @2422477
     /* 2422477 */ GIM_Try, /*On fail goto*//*Label 30664*/ GIMT_Encode4(2422580),
     /* 2422482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422493 */   GIM_Try, /*On fail goto*//*Label 30665*/ GIMT_Encode4(2422536), // Rule ID 58010 //
     /* 2422498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2422501 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2422504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2422518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422535 */     // GIR_Coverage, 58010,
     /* 2422535 */     GIR_EraseRootFromParent_Done,
     /* 2422536 */   // Label 30665: @2422536
     /* 2422536 */   GIM_Try, /*On fail goto*//*Label 30666*/ GIMT_Encode4(2422579), // Rule ID 58011 //
     /* 2422541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2422544 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2422547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2422561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422578 */     // GIR_Coverage, 58011,
     /* 2422578 */     GIR_EraseRootFromParent_Done,
     /* 2422579 */   // Label 30666: @2422579
     /* 2422579 */   GIM_Reject,
     /* 2422580 */ // Label 30664: @2422580
     /* 2422580 */ GIM_Reject,
     /* 2422581 */ // Label 30612: @2422581
     /* 2422581 */ GIM_Try, /*On fail goto*//*Label 30667*/ GIMT_Encode4(2422635), // Rule ID 57594 //
     /* 2422586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2422589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422600 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2422603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2422617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422634 */   // GIR_Coverage, 57594,
     /* 2422634 */   GIR_EraseRootFromParent_Done,
     /* 2422635 */ // Label 30667: @2422635
     /* 2422635 */ GIM_Try, /*On fail goto*//*Label 30668*/ GIMT_Encode4(2422689), // Rule ID 57595 //
     /* 2422640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2422643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422654 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2422657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2422671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422688 */   // GIR_Coverage, 57595,
     /* 2422688 */   GIR_EraseRootFromParent_Done,
     /* 2422689 */ // Label 30668: @2422689
     /* 2422689 */ GIM_Try, /*On fail goto*//*Label 30669*/ GIMT_Encode4(2422743), // Rule ID 58034 //
     /* 2422694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2422697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422708 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2422711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2422725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422742 */   // GIR_Coverage, 58034,
     /* 2422742 */   GIR_EraseRootFromParent_Done,
     /* 2422743 */ // Label 30669: @2422743
     /* 2422743 */ GIM_Try, /*On fail goto*//*Label 30670*/ GIMT_Encode4(2422797), // Rule ID 58035 //
     /* 2422748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2422751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422762 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2422765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2422779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422796 */   // GIR_Coverage, 58035,
     /* 2422796 */   GIR_EraseRootFromParent_Done,
     /* 2422797 */ // Label 30670: @2422797
     /* 2422797 */ GIM_Reject,
     /* 2422798 */ // Label 30613: @2422798
     /* 2422798 */ GIM_Try, /*On fail goto*//*Label 30671*/ GIMT_Encode4(2422852), // Rule ID 57606 //
     /* 2422803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2422806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422817 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2422834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422851 */   // GIR_Coverage, 57606,
     /* 2422851 */   GIR_EraseRootFromParent_Done,
     /* 2422852 */ // Label 30671: @2422852
     /* 2422852 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2422906), // Rule ID 57607 //
     /* 2422857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2422860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422871 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422871 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422874 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422878 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2422888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422905 */   // GIR_Coverage, 57607,
     /* 2422905 */   GIR_EraseRootFromParent_Done,
     /* 2422906 */ // Label 30672: @2422906
     /* 2422906 */ GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2422960), // Rule ID 57826 //
     /* 2422911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2422914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422925 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2422942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2422949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2422959 */   // GIR_Coverage, 57826,
     /* 2422959 */   GIR_EraseRootFromParent_Done,
     /* 2422960 */ // Label 30673: @2422960
     /* 2422960 */ GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2423014), // Rule ID 57827 //
     /* 2422965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2422968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2422971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422979 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2422996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423013 */   // GIR_Coverage, 57827,
     /* 2423013 */   GIR_EraseRootFromParent_Done,
     /* 2423014 */ // Label 30674: @2423014
     /* 2423014 */ GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2423068), // Rule ID 58054 //
     /* 2423019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2423022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423033 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423033 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2423036 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423040 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423045 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2423050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423052 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423067 */   // GIR_Coverage, 58054,
     /* 2423067 */   GIR_EraseRootFromParent_Done,
     /* 2423068 */ // Label 30675: @2423068
     /* 2423068 */ GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2423122), // Rule ID 58055 //
     /* 2423073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2423076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423087 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423087 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2423090 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423094 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423099 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2423104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423106 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423109 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423121 */   // GIR_Coverage, 58055,
     /* 2423121 */   GIR_EraseRootFromParent_Done,
     /* 2423122 */ // Label 30676: @2423122
     /* 2423122 */ GIM_Reject,
     /* 2423123 */ // Label 30614: @2423123
     /* 2423123 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2423177), // Rule ID 57638 //
     /* 2423128 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2423131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423138 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423142 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423142 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2423145 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423149 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423154 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2423159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423161 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423176 */   // GIR_Coverage, 57638,
     /* 2423176 */   GIR_EraseRootFromParent_Done,
     /* 2423177 */ // Label 30677: @2423177
     /* 2423177 */ GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2423231), // Rule ID 57639 //
     /* 2423182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2423185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2423188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423196 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2423199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2423213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2423226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423230 */   // GIR_Coverage, 57639,
     /* 2423230 */   GIR_EraseRootFromParent_Done,
     /* 2423231 */ // Label 30678: @2423231
     /* 2423231 */ GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2423285), // Rule ID 57846 //
     /* 2423236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2423239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2423242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423250 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2423253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2423267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423284 */   // GIR_Coverage, 57846,
     /* 2423284 */   GIR_EraseRootFromParent_Done,
     /* 2423285 */ // Label 30679: @2423285
     /* 2423285 */ GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2423339), // Rule ID 57847 //
     /* 2423290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2423293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2423296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423300 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423304 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2423307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423316 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2423321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423323 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423326 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423337 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423338 */   // GIR_Coverage, 57847,
     /* 2423338 */   GIR_EraseRootFromParent_Done,
     /* 2423339 */ // Label 30680: @2423339
     /* 2423339 */ GIM_Reject,
     /* 2423340 */ // Label 30615: @2423340
     /* 2423340 */ GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2423443),
     /* 2423345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423356 */   GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2423399), // Rule ID 58014 //
     /* 2423361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2423364 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2423367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2423381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423398 */     // GIR_Coverage, 58014,
     /* 2423398 */     GIR_EraseRootFromParent_Done,
     /* 2423399 */   // Label 30682: @2423399
     /* 2423399 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2423442), // Rule ID 58015 //
     /* 2423404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2423407 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2423410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2423424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423441 */     // GIR_Coverage, 58015,
     /* 2423441 */     GIR_EraseRootFromParent_Done,
     /* 2423442 */   // Label 30683: @2423442
     /* 2423442 */   GIM_Reject,
     /* 2423443 */ // Label 30681: @2423443
     /* 2423443 */ GIM_Reject,
     /* 2423444 */ // Label 30616: @2423444
     /* 2423444 */ GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2423498), // Rule ID 57602 //
     /* 2423449 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2423452 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423463 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423463 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2423466 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423470 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423475 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2423480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423482 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423485 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423497 */   // GIR_Coverage, 57602,
     /* 2423497 */   GIR_EraseRootFromParent_Done,
     /* 2423498 */ // Label 30684: @2423498
     /* 2423498 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2423552), // Rule ID 57603 //
     /* 2423503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2423506 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423517 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423517 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2423520 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423524 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423529 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423531 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2423534 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423536 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423539 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423551 */   // GIR_Coverage, 57603,
     /* 2423551 */   GIR_EraseRootFromParent_Done,
     /* 2423552 */ // Label 30685: @2423552
     /* 2423552 */ GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2423606), // Rule ID 58038 //
     /* 2423557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2423560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2423563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423571 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423571 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2423574 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423578 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423583 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423585 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2423588 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423590 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423593 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423605 */   // GIR_Coverage, 58038,
     /* 2423605 */   GIR_EraseRootFromParent_Done,
     /* 2423606 */ // Label 30686: @2423606
     /* 2423606 */ GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2423660), // Rule ID 58039 //
     /* 2423611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2423614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2423617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423625 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2423628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2423642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423659 */   // GIR_Coverage, 58039,
     /* 2423659 */   GIR_EraseRootFromParent_Done,
     /* 2423660 */ // Label 30687: @2423660
     /* 2423660 */ GIM_Reject,
     /* 2423661 */ // Label 30617: @2423661
     /* 2423661 */ GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2423715), // Rule ID 57626 //
     /* 2423666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2423669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2423672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423680 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423680 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423683 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423687 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423692 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2423697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423699 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423702 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423714 */   // GIR_Coverage, 57626,
     /* 2423714 */   GIR_EraseRootFromParent_Done,
     /* 2423715 */ // Label 30688: @2423715
     /* 2423715 */ GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2423769), // Rule ID 57627 //
     /* 2423720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2423723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2423726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423734 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2423751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423768 */   // GIR_Coverage, 57627,
     /* 2423768 */   GIR_EraseRootFromParent_Done,
     /* 2423769 */ // Label 30689: @2423769
     /* 2423769 */ GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2423823), // Rule ID 57830 //
     /* 2423774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2423777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423788 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423788 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423791 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423795 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423800 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2423805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423807 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423810 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423822 */   // GIR_Coverage, 57830,
     /* 2423822 */   GIR_EraseRootFromParent_Done,
     /* 2423823 */ // Label 30690: @2423823
     /* 2423823 */ GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2423877), // Rule ID 57831 //
     /* 2423828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2423831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2423834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2423842 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2423859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423876 */   // GIR_Coverage, 57831,
     /* 2423876 */   GIR_EraseRootFromParent_Done,
     /* 2423877 */ // Label 30691: @2423877
     /* 2423877 */ GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2423931), // Rule ID 58058 //
     /* 2423882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2423885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2423888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423896 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2423913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423930 */   // GIR_Coverage, 58058,
     /* 2423930 */   GIR_EraseRootFromParent_Done,
     /* 2423931 */ // Label 30692: @2423931
     /* 2423931 */ GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2423985), // Rule ID 58059 //
     /* 2423936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2423939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2423942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2423946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2423950 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423950 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2423953 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423957 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423962 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2423967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423969 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423972 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2423974 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423984 */   // GIR_Coverage, 58059,
     /* 2423984 */   GIR_EraseRootFromParent_Done,
     /* 2423985 */ // Label 30693: @2423985
     /* 2423985 */ GIM_Reject,
     /* 2423986 */ // Label 30618: @2423986
     /* 2423986 */ GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2424040), // Rule ID 57642 //
     /* 2423991 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2423994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2423997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424005 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424005 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2424008 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424012 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424017 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424019 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2424022 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424024 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424027 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424039 */   // GIR_Coverage, 57642,
     /* 2424039 */   GIR_EraseRootFromParent_Done,
     /* 2424040 */ // Label 30694: @2424040
     /* 2424040 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2424094), // Rule ID 57643 //
     /* 2424045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2424048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2424051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424059 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2424062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2424076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424093 */   // GIR_Coverage, 57643,
     /* 2424093 */   GIR_EraseRootFromParent_Done,
     /* 2424094 */ // Label 30695: @2424094
     /* 2424094 */ GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2424148), // Rule ID 57850 //
     /* 2424099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2424102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424105 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424109 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424113 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424113 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2424116 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424120 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424125 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424127 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2424130 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424135 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424147 */   // GIR_Coverage, 57850,
     /* 2424147 */   GIR_EraseRootFromParent_Done,
     /* 2424148 */ // Label 30696: @2424148
     /* 2424148 */ GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2424202), // Rule ID 57851 //
     /* 2424153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2424156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2424159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424167 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424167 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2424170 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424174 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424179 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2424184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424186 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424201 */   // GIR_Coverage, 57851,
     /* 2424201 */   GIR_EraseRootFromParent_Done,
     /* 2424202 */ // Label 30697: @2424202
     /* 2424202 */ GIM_Reject,
     /* 2424203 */ // Label 30619: @2424203
     /* 2424203 */ GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2424306),
     /* 2424208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424219 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2424262), // Rule ID 58018 //
     /* 2424224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2424227 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2424230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2424244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424261 */     // GIR_Coverage, 58018,
     /* 2424261 */     GIR_EraseRootFromParent_Done,
     /* 2424262 */   // Label 30699: @2424262
     /* 2424262 */   GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2424305), // Rule ID 58019 //
     /* 2424267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2424270 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2424273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2424287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424304 */     // GIR_Coverage, 58019,
     /* 2424304 */     GIR_EraseRootFromParent_Done,
     /* 2424305 */   // Label 30700: @2424305
     /* 2424305 */   GIM_Reject,
     /* 2424306 */ // Label 30698: @2424306
     /* 2424306 */ GIM_Reject,
     /* 2424307 */ // Label 30620: @2424307
     /* 2424307 */ GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2424361), // Rule ID 57614 //
     /* 2424312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2424315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424322 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424326 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424326 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2424329 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424333 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424338 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2424343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424345 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424348 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424360 */   // GIR_Coverage, 57614,
     /* 2424360 */   GIR_EraseRootFromParent_Done,
     /* 2424361 */ // Label 30701: @2424361
     /* 2424361 */ GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2424415), // Rule ID 57615 //
     /* 2424366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2424369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424380 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2424383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2424397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424414 */   // GIR_Coverage, 57615,
     /* 2424414 */   GIR_EraseRootFromParent_Done,
     /* 2424415 */ // Label 30702: @2424415
     /* 2424415 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2424469), // Rule ID 58042 //
     /* 2424420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2424423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2424426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424430 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424434 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424434 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2424437 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424441 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424446 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2424451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424453 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424456 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424468 */   // GIR_Coverage, 58042,
     /* 2424468 */   GIR_EraseRootFromParent_Done,
     /* 2424469 */ // Label 30703: @2424469
     /* 2424469 */ GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2424523), // Rule ID 58043 //
     /* 2424474 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2424477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2424480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424488 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424488 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2424491 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424495 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424500 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2424505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424507 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424510 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424521 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424522 */   // GIR_Coverage, 58043,
     /* 2424522 */   GIR_EraseRootFromParent_Done,
     /* 2424523 */ // Label 30704: @2424523
     /* 2424523 */ GIM_Reject,
     /* 2424524 */ // Label 30621: @2424524
     /* 2424524 */ GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2424578), // Rule ID 57630 //
     /* 2424529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2424532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2424535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424543 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424543 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424546 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424550 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424555 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2424560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424562 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424565 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424576 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424577 */   // GIR_Coverage, 57630,
     /* 2424577 */   GIR_EraseRootFromParent_Done,
     /* 2424578 */ // Label 30705: @2424578
     /* 2424578 */ GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2424632), // Rule ID 57631 //
     /* 2424583 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2424586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2424589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424597 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424597 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424600 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424604 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424609 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424611 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2424614 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424616 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424619 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424631 */   // GIR_Coverage, 57631,
     /* 2424631 */   GIR_EraseRootFromParent_Done,
     /* 2424632 */ // Label 30706: @2424632
     /* 2424632 */ GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2424686), // Rule ID 57834 //
     /* 2424637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2424640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424651 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424651 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424654 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424658 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424663 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2424668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424670 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424673 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424685 */   // GIR_Coverage, 57834,
     /* 2424685 */   GIR_EraseRootFromParent_Done,
     /* 2424686 */ // Label 30707: @2424686
     /* 2424686 */ GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2424740), // Rule ID 57835 //
     /* 2424691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2424694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2424697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2424705 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2424722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2424735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424739 */   // GIR_Coverage, 57835,
     /* 2424739 */   GIR_EraseRootFromParent_Done,
     /* 2424740 */ // Label 30708: @2424740
     /* 2424740 */ GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2424794), // Rule ID 58062 //
     /* 2424745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2424748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2424751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424759 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2424776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424793 */   // GIR_Coverage, 58062,
     /* 2424793 */   GIR_EraseRootFromParent_Done,
     /* 2424794 */ // Label 30709: @2424794
     /* 2424794 */ GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2424848), // Rule ID 58063 //
     /* 2424799 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2424802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2424805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424813 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424813 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2424816 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424820 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424825 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2424830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424832 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424835 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2424843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424847 */   // GIR_Coverage, 58063,
     /* 2424847 */   GIR_EraseRootFromParent_Done,
     /* 2424848 */ // Label 30710: @2424848
     /* 2424848 */ GIM_Reject,
     /* 2424849 */ // Label 30622: @2424849
     /* 2424849 */ GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2424903), // Rule ID 57646 //
     /* 2424854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2424857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2424860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424868 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2424871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2424885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424902 */   // GIR_Coverage, 57646,
     /* 2424902 */   GIR_EraseRootFromParent_Done,
     /* 2424903 */ // Label 30711: @2424903
     /* 2424903 */ GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2424957), // Rule ID 57647 //
     /* 2424908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2424911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2424914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424922 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2424922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2424925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2424939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2424949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2424952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2424955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424956 */   // GIR_Coverage, 57647,
     /* 2424956 */   GIR_EraseRootFromParent_Done,
     /* 2424957 */ // Label 30712: @2424957
     /* 2424957 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2425011), // Rule ID 57854 //
     /* 2424962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2424965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2424968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2424972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2424976 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2424976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2424979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2424983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2424988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2424990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2424993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2424998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425010 */   // GIR_Coverage, 57854,
     /* 2425010 */   GIR_EraseRootFromParent_Done,
     /* 2425011 */ // Label 30713: @2425011
     /* 2425011 */ GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2425065), // Rule ID 57855 //
     /* 2425016 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2425019 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2425022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425030 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425030 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2425033 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425037 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2425047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425063 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425064 */   // GIR_Coverage, 57855,
     /* 2425064 */   GIR_EraseRootFromParent_Done,
     /* 2425065 */ // Label 30714: @2425065
     /* 2425065 */ GIM_Reject,
     /* 2425066 */ // Label 30623: @2425066
     /* 2425066 */ GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2425169),
     /* 2425071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2425078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425082 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2425125), // Rule ID 58022 //
     /* 2425087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2425090 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2425093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2425107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425124 */     // GIR_Coverage, 58022,
     /* 2425124 */     GIR_EraseRootFromParent_Done,
     /* 2425125 */   // Label 30716: @2425125
     /* 2425125 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2425168), // Rule ID 58023 //
     /* 2425130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2425133 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2425136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2425150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425167 */     // GIR_Coverage, 58023,
     /* 2425167 */     GIR_EraseRootFromParent_Done,
     /* 2425168 */   // Label 30717: @2425168
     /* 2425168 */   GIM_Reject,
     /* 2425169 */ // Label 30715: @2425169
     /* 2425169 */ GIM_Reject,
     /* 2425170 */ // Label 30624: @2425170
     /* 2425170 */ GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2425224), // Rule ID 57618 //
     /* 2425175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2425178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425185 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425189 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425189 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2425192 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425196 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425201 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2425206 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425208 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425211 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425223 */   // GIR_Coverage, 57618,
     /* 2425223 */   GIR_EraseRootFromParent_Done,
     /* 2425224 */ // Label 30718: @2425224
     /* 2425224 */ GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2425278), // Rule ID 57619 //
     /* 2425229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2425232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425243 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425243 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2425246 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425250 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425255 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425257 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2425260 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425262 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425265 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425277 */   // GIR_Coverage, 57619,
     /* 2425277 */   GIR_EraseRootFromParent_Done,
     /* 2425278 */ // Label 30719: @2425278
     /* 2425278 */ GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2425332), // Rule ID 58046 //
     /* 2425283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2425286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2425289 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425293 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425297 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425297 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2425300 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425304 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425309 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2425314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425316 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425319 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425331 */   // GIR_Coverage, 58046,
     /* 2425331 */   GIR_EraseRootFromParent_Done,
     /* 2425332 */ // Label 30720: @2425332
     /* 2425332 */ GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2425386), // Rule ID 58047 //
     /* 2425337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2425340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2425343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425351 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2425354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2425368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425385 */   // GIR_Coverage, 58047,
     /* 2425385 */   GIR_EraseRootFromParent_Done,
     /* 2425386 */ // Label 30721: @2425386
     /* 2425386 */ GIM_Reject,
     /* 2425387 */ // Label 30625: @2425387
     /* 2425387 */ GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2425441), // Rule ID 57634 //
     /* 2425392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2425395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2425398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425406 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425406 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2425409 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425413 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2425423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425440 */   // GIR_Coverage, 57634,
     /* 2425440 */   GIR_EraseRootFromParent_Done,
     /* 2425441 */ // Label 30722: @2425441
     /* 2425441 */ GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2425495), // Rule ID 57635 //
     /* 2425446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2425449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2425452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425460 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425460 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2425463 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425467 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2425477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2425490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425494 */   // GIR_Coverage, 57635,
     /* 2425494 */   GIR_EraseRootFromParent_Done,
     /* 2425495 */ // Label 30723: @2425495
     /* 2425495 */ GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2425549), // Rule ID 57838 //
     /* 2425500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2425503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425514 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2425517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2425531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425548 */   // GIR_Coverage, 57838,
     /* 2425548 */   GIR_EraseRootFromParent_Done,
     /* 2425549 */ // Label 30724: @2425549
     /* 2425549 */ GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2425603), // Rule ID 57839 //
     /* 2425554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2425557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2425560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425568 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2425571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2425585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425590 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425602 */   // GIR_Coverage, 57839,
     /* 2425602 */   GIR_EraseRootFromParent_Done,
     /* 2425603 */ // Label 30725: @2425603
     /* 2425603 */ GIM_Reject,
     /* 2425604 */ // Label 30626: @2425604
     /* 2425604 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2425707),
     /* 2425609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2425612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2425616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425620 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2425663), // Rule ID 58026 //
     /* 2425625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2425628 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2425631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2425645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425662 */     // GIR_Coverage, 58026,
     /* 2425662 */     GIR_EraseRootFromParent_Done,
     /* 2425663 */   // Label 30727: @2425663
     /* 2425663 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2425706), // Rule ID 58027 //
     /* 2425668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2425671 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2425674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2425688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425705 */     // GIR_Coverage, 58027,
     /* 2425705 */     GIR_EraseRootFromParent_Done,
     /* 2425706 */   // Label 30728: @2425706
     /* 2425706 */   GIM_Reject,
     /* 2425707 */ // Label 30726: @2425707
     /* 2425707 */ GIM_Reject,
     /* 2425708 */ // Label 30627: @2425708
     /* 2425708 */ GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2425811),
     /* 2425713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2425716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425720 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2425724 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2425767), // Rule ID 57622 //
     /* 2425729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2425732 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2425732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2425735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2425749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425766 */     // GIR_Coverage, 57622,
     /* 2425766 */     GIR_EraseRootFromParent_Done,
     /* 2425767 */   // Label 30730: @2425767
     /* 2425767 */   GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2425810), // Rule ID 57623 //
     /* 2425772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2425775 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2425775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2425778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2425782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2425787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2425789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2425792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2425797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2425802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2425805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2425808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2425809 */     // GIR_Coverage, 57623,
     /* 2425809 */     GIR_EraseRootFromParent_Done,
     /* 2425810 */   // Label 30731: @2425810
     /* 2425810 */   GIM_Reject,
     /* 2425811 */ // Label 30729: @2425811
     /* 2425811 */ GIM_Reject,
     /* 2425812 */ // Label 30628: @2425812
     /* 2425812 */ GIM_Reject,
     /* 2425813 */ // Label 66: @2425813
     /* 2425813 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 30755*/ GIMT_Encode4(2430698),
     /* 2425824 */ /*GILLT_s32*//*Label 30732*/ GIMT_Encode4(2425940),
     /* 2425828 */ /*GILLT_s64*//*Label 30733*/ GIMT_Encode4(2426313), GIMT_Encode4(0),
     /* 2425836 */ /*GILLT_nxv1s8*//*Label 30734*/ GIMT_Encode4(2426500),
     /* 2425840 */ /*GILLT_nxv1s16*//*Label 30735*/ GIMT_Encode4(2426604),
     /* 2425844 */ /*GILLT_nxv1s32*//*Label 30736*/ GIMT_Encode4(2426821),
     /* 2425848 */ /*GILLT_nxv1s64*//*Label 30737*/ GIMT_Encode4(2427146), GIMT_Encode4(0),
     /* 2425856 */ /*GILLT_nxv2s8*//*Label 30738*/ GIMT_Encode4(2427363),
     /* 2425860 */ /*GILLT_nxv2s16*//*Label 30739*/ GIMT_Encode4(2427467),
     /* 2425864 */ /*GILLT_nxv2s32*//*Label 30740*/ GIMT_Encode4(2427684),
     /* 2425868 */ /*GILLT_nxv2s64*//*Label 30741*/ GIMT_Encode4(2428009), GIMT_Encode4(0),
     /* 2425876 */ /*GILLT_nxv4s8*//*Label 30742*/ GIMT_Encode4(2428226),
     /* 2425880 */ /*GILLT_nxv4s16*//*Label 30743*/ GIMT_Encode4(2428330),
     /* 2425884 */ /*GILLT_nxv4s32*//*Label 30744*/ GIMT_Encode4(2428547),
     /* 2425888 */ /*GILLT_nxv4s64*//*Label 30745*/ GIMT_Encode4(2428872), GIMT_Encode4(0),
     /* 2425896 */ /*GILLT_nxv8s8*//*Label 30746*/ GIMT_Encode4(2429089),
     /* 2425900 */ /*GILLT_nxv8s16*//*Label 30747*/ GIMT_Encode4(2429193),
     /* 2425904 */ /*GILLT_nxv8s32*//*Label 30748*/ GIMT_Encode4(2429410),
     /* 2425908 */ /*GILLT_nxv8s64*//*Label 30749*/ GIMT_Encode4(2429735), GIMT_Encode4(0),
     /* 2425916 */ /*GILLT_nxv16s8*//*Label 30750*/ GIMT_Encode4(2429952),
     /* 2425920 */ /*GILLT_nxv16s16*//*Label 30751*/ GIMT_Encode4(2430056),
     /* 2425924 */ /*GILLT_nxv16s32*//*Label 30752*/ GIMT_Encode4(2430273), GIMT_Encode4(0),
     /* 2425932 */ /*GILLT_nxv32s8*//*Label 30753*/ GIMT_Encode4(2430490),
     /* 2425936 */ /*GILLT_nxv32s16*//*Label 30754*/ GIMT_Encode4(2430594),
     /* 2425940 */ // Label 30732: @2425940
     /* 2425940 */ GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2425971), // Rule ID 1318 //
     /* 2425945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2425948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2425959 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2425959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2425962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425964 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2425969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425970 */   // GIR_Coverage, 1318,
     /* 2425970 */   GIR_EraseRootFromParent_Done,
     /* 2425971 */ // Label 30756: @2425971
     /* 2425971 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2426002), // Rule ID 1319 //
     /* 2425976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2425979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2425986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2425990 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2425990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2425993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2425997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426000 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426001 */   // GIR_Coverage, 1319,
     /* 2426001 */   GIR_EraseRootFromParent_Done,
     /* 2426002 */ // Label 30757: @2426002
     /* 2426002 */ GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2426033), // Rule ID 1344 //
     /* 2426007 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2426010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2426013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2426021 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2426021 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2426024 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426026 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426028 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426031 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426032 */   // GIR_Coverage, 1344,
     /* 2426032 */   GIR_EraseRootFromParent_Done,
     /* 2426033 */ // Label 30758: @2426033
     /* 2426033 */ GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2426064), // Rule ID 1345 //
     /* 2426038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2426041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2426044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2426052 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2426052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2426055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426057 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426063 */   // GIR_Coverage, 1345,
     /* 2426063 */   GIR_EraseRootFromParent_Done,
     /* 2426064 */ // Label 30759: @2426064
     /* 2426064 */ GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2426095), // Rule ID 1712 //
     /* 2426069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2426072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2426083 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2426083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2426086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426094 */   // GIR_Coverage, 1712,
     /* 2426094 */   GIR_EraseRootFromParent_Done,
     /* 2426095 */ // Label 30760: @2426095
     /* 2426095 */ GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2426126), // Rule ID 1713 //
     /* 2426100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2426103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2426114 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2426114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2426117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426119 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426125 */   // GIR_Coverage, 1713,
     /* 2426125 */   GIR_EraseRootFromParent_Done,
     /* 2426126 */ // Label 30761: @2426126
     /* 2426126 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2426157), // Rule ID 1738 //
     /* 2426131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2426134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2426145 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2426145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2426148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426156 */   // GIR_Coverage, 1738,
     /* 2426156 */   GIR_EraseRootFromParent_Done,
     /* 2426157 */ // Label 30762: @2426157
     /* 2426157 */ GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2426188), // Rule ID 1739 //
     /* 2426162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2426165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2426176 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2426176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2426179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426181 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426187 */   // GIR_Coverage, 1739,
     /* 2426187 */   GIR_EraseRootFromParent_Done,
     /* 2426188 */ // Label 30763: @2426188
     /* 2426188 */ GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2426219), // Rule ID 2054 //
     /* 2426193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2426196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2426207 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2426207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2426210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426217 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426218 */   // GIR_Coverage, 2054,
     /* 2426218 */   GIR_EraseRootFromParent_Done,
     /* 2426219 */ // Label 30764: @2426219
     /* 2426219 */ GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2426250), // Rule ID 2055 //
     /* 2426224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2426227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2426238 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2426238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2426241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426243 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426248 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426249 */   // GIR_Coverage, 2055,
     /* 2426249 */   GIR_EraseRootFromParent_Done,
     /* 2426250 */ // Label 30765: @2426250
     /* 2426250 */ GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2426281), // Rule ID 2080 //
     /* 2426255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2426258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2426269 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2426269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2426272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426274 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426280 */   // GIR_Coverage, 2080,
     /* 2426280 */   GIR_EraseRootFromParent_Done,
     /* 2426281 */ // Label 30766: @2426281
     /* 2426281 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2426312), // Rule ID 2081 //
     /* 2426286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2426289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2426300 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2426300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2426303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426305 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426311 */   // GIR_Coverage, 2081,
     /* 2426311 */   GIR_EraseRootFromParent_Done,
     /* 2426312 */ // Label 30767: @2426312
     /* 2426312 */ GIM_Reject,
     /* 2426313 */ // Label 30733: @2426313
     /* 2426313 */ GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2426344), // Rule ID 1373 //
     /* 2426318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2426321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2426324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2426332 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2426332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2426335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426337 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426343 */   // GIR_Coverage, 1373,
     /* 2426343 */   GIR_EraseRootFromParent_Done,
     /* 2426344 */ // Label 30768: @2426344
     /* 2426344 */ GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2426375), // Rule ID 1401 //
     /* 2426349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2426352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2426355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2426363 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2426363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2426366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426374 */   // GIR_Coverage, 1401,
     /* 2426374 */   GIR_EraseRootFromParent_Done,
     /* 2426375 */ // Label 30769: @2426375
     /* 2426375 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2426406), // Rule ID 1773 //
     /* 2426380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2426383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2426394 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2426394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2426397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426405 */   // GIR_Coverage, 1773,
     /* 2426405 */   GIR_EraseRootFromParent_Done,
     /* 2426406 */ // Label 30770: @2426406
     /* 2426406 */ GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2426437), // Rule ID 1801 //
     /* 2426411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2426414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2426417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426425 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2426425 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2426428 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426430 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426436 */   // GIR_Coverage, 1801,
     /* 2426436 */   GIR_EraseRootFromParent_Done,
     /* 2426437 */ // Label 30771: @2426437
     /* 2426437 */ GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2426468), // Rule ID 2107 //
     /* 2426442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2426445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2426456 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2426456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2426459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426466 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426467 */   // GIR_Coverage, 2107,
     /* 2426467 */   GIR_EraseRootFromParent_Done,
     /* 2426468 */ // Label 30772: @2426468
     /* 2426468 */ GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2426499), // Rule ID 2133 //
     /* 2426473 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2426476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2426479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2426483 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2426487 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2426487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2426490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2426497 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426498 */   // GIR_Coverage, 2133,
     /* 2426498 */   GIR_EraseRootFromParent_Done,
     /* 2426499 */ // Label 30773: @2426499
     /* 2426499 */ GIM_Reject,
     /* 2426500 */ // Label 30734: @2426500
     /* 2426500 */ GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2426603),
     /* 2426505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426516 */   GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2426559), // Rule ID 58066 //
     /* 2426521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2426524 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2426524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2426527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2426541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426558 */     // GIR_Coverage, 58066,
     /* 2426558 */     GIR_EraseRootFromParent_Done,
     /* 2426559 */   // Label 30775: @2426559
     /* 2426559 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2426602), // Rule ID 58067 //
     /* 2426564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2426567 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2426567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2426570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2426584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426601 */     // GIR_Coverage, 58067,
     /* 2426601 */     GIR_EraseRootFromParent_Done,
     /* 2426602 */   // Label 30776: @2426602
     /* 2426602 */   GIM_Reject,
     /* 2426603 */ // Label 30774: @2426603
     /* 2426603 */ GIM_Reject,
     /* 2426604 */ // Label 30735: @2426604
     /* 2426604 */ GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2426658), // Rule ID 57650 //
     /* 2426609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2426612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426623 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2426623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2426626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426635 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2426640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426645 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426657 */   // GIR_Coverage, 57650,
     /* 2426657 */   GIR_EraseRootFromParent_Done,
     /* 2426658 */ // Label 30777: @2426658
     /* 2426658 */ GIM_Try, /*On fail goto*//*Label 30778*/ GIMT_Encode4(2426712), // Rule ID 57651 //
     /* 2426663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2426666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426677 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2426677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2426680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2426694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426711 */   // GIR_Coverage, 57651,
     /* 2426711 */   GIR_EraseRootFromParent_Done,
     /* 2426712 */ // Label 30778: @2426712
     /* 2426712 */ GIM_Try, /*On fail goto*//*Label 30779*/ GIMT_Encode4(2426766), // Rule ID 58090 //
     /* 2426717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2426720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2426723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426731 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2426731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2426734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2426748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426765 */   // GIR_Coverage, 58090,
     /* 2426765 */   GIR_EraseRootFromParent_Done,
     /* 2426766 */ // Label 30779: @2426766
     /* 2426766 */ GIM_Try, /*On fail goto*//*Label 30780*/ GIMT_Encode4(2426820), // Rule ID 58091 //
     /* 2426771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2426774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2426777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426785 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2426785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2426788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2426802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426819 */   // GIR_Coverage, 58091,
     /* 2426819 */   GIR_EraseRootFromParent_Done,
     /* 2426820 */ // Label 30780: @2426820
     /* 2426820 */ GIM_Reject,
     /* 2426821 */ // Label 30736: @2426821
     /* 2426821 */ GIM_Try, /*On fail goto*//*Label 30781*/ GIMT_Encode4(2426875), // Rule ID 57658 //
     /* 2426826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2426829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2426832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426840 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2426840 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2426843 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426847 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426852 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426854 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2426857 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426859 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426874 */   // GIR_Coverage, 57658,
     /* 2426874 */   GIR_EraseRootFromParent_Done,
     /* 2426875 */ // Label 30781: @2426875
     /* 2426875 */ GIM_Try, /*On fail goto*//*Label 30782*/ GIMT_Encode4(2426929), // Rule ID 57659 //
     /* 2426880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2426883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2426886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426894 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2426894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2426897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2426911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426928 */   // GIR_Coverage, 57659,
     /* 2426928 */   GIR_EraseRootFromParent_Done,
     /* 2426929 */ // Label 30782: @2426929
     /* 2426929 */ GIM_Try, /*On fail goto*//*Label 30783*/ GIMT_Encode4(2426983), // Rule ID 57858 //
     /* 2426934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2426937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426948 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2426948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2426951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2426955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2426960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2426962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2426965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2426970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2426972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2426975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2426982 */   // GIR_Coverage, 57858,
     /* 2426982 */   GIR_EraseRootFromParent_Done,
     /* 2426983 */ // Label 30783: @2426983
     /* 2426983 */ GIM_Try, /*On fail goto*//*Label 30784*/ GIMT_Encode4(2427037), // Rule ID 57859 //
     /* 2426988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2426991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427002 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2427005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2427019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427036 */   // GIR_Coverage, 57859,
     /* 2427036 */   GIR_EraseRootFromParent_Done,
     /* 2427037 */ // Label 30784: @2427037
     /* 2427037 */ GIM_Try, /*On fail goto*//*Label 30785*/ GIMT_Encode4(2427091), // Rule ID 58110 //
     /* 2427042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2427045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2427048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427056 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427056 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2427059 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427063 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427068 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2427073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427075 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427078 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427089 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427090 */   // GIR_Coverage, 58110,
     /* 2427090 */   GIR_EraseRootFromParent_Done,
     /* 2427091 */ // Label 30785: @2427091
     /* 2427091 */ GIM_Try, /*On fail goto*//*Label 30786*/ GIMT_Encode4(2427145), // Rule ID 58111 //
     /* 2427096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2427099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2427102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427110 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427110 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2427113 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427117 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427122 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427124 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2427127 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427129 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427144 */   // GIR_Coverage, 58111,
     /* 2427144 */   GIR_EraseRootFromParent_Done,
     /* 2427145 */ // Label 30786: @2427145
     /* 2427145 */ GIM_Reject,
     /* 2427146 */ // Label 30737: @2427146
     /* 2427146 */ GIM_Try, /*On fail goto*//*Label 30787*/ GIMT_Encode4(2427200), // Rule ID 57670 //
     /* 2427151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2427154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2427157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427165 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2427168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2427182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427187 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427199 */   // GIR_Coverage, 57670,
     /* 2427199 */   GIR_EraseRootFromParent_Done,
     /* 2427200 */ // Label 30787: @2427200
     /* 2427200 */ GIM_Try, /*On fail goto*//*Label 30788*/ GIMT_Encode4(2427254), // Rule ID 57671 //
     /* 2427205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2427208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2427211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427215 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427219 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427219 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2427222 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427226 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427231 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427233 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2427236 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427238 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427241 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427253 */   // GIR_Coverage, 57671,
     /* 2427253 */   GIR_EraseRootFromParent_Done,
     /* 2427254 */ // Label 30788: @2427254
     /* 2427254 */ GIM_Try, /*On fail goto*//*Label 30789*/ GIMT_Encode4(2427308), // Rule ID 57878 //
     /* 2427259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2427262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2427265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427273 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427273 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2427276 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427280 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427285 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2427290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427292 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427295 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427306 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427307 */   // GIR_Coverage, 57878,
     /* 2427307 */   GIR_EraseRootFromParent_Done,
     /* 2427308 */ // Label 30789: @2427308
     /* 2427308 */ GIM_Try, /*On fail goto*//*Label 30790*/ GIMT_Encode4(2427362), // Rule ID 57879 //
     /* 2427313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2427316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2427319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427327 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427327 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2427330 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427334 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427339 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2427344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427346 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427349 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427361 */   // GIR_Coverage, 57879,
     /* 2427361 */   GIR_EraseRootFromParent_Done,
     /* 2427362 */ // Label 30790: @2427362
     /* 2427362 */ GIM_Reject,
     /* 2427363 */ // Label 30738: @2427363
     /* 2427363 */ GIM_Try, /*On fail goto*//*Label 30791*/ GIMT_Encode4(2427466),
     /* 2427368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427379 */   GIM_Try, /*On fail goto*//*Label 30792*/ GIMT_Encode4(2427422), // Rule ID 58070 //
     /* 2427384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2427387 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2427390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2427404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427421 */     // GIR_Coverage, 58070,
     /* 2427421 */     GIR_EraseRootFromParent_Done,
     /* 2427422 */   // Label 30792: @2427422
     /* 2427422 */   GIM_Try, /*On fail goto*//*Label 30793*/ GIMT_Encode4(2427465), // Rule ID 58071 //
     /* 2427427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2427430 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2427433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2427447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427464 */     // GIR_Coverage, 58071,
     /* 2427464 */     GIR_EraseRootFromParent_Done,
     /* 2427465 */   // Label 30793: @2427465
     /* 2427465 */   GIM_Reject,
     /* 2427466 */ // Label 30791: @2427466
     /* 2427466 */ GIM_Reject,
     /* 2427467 */ // Label 30739: @2427467
     /* 2427467 */ GIM_Try, /*On fail goto*//*Label 30794*/ GIMT_Encode4(2427521), // Rule ID 57654 //
     /* 2427472 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2427475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427486 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427486 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2427489 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427493 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427498 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427500 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2427503 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427505 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427508 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427520 */   // GIR_Coverage, 57654,
     /* 2427520 */   GIR_EraseRootFromParent_Done,
     /* 2427521 */ // Label 30794: @2427521
     /* 2427521 */ GIM_Try, /*On fail goto*//*Label 30795*/ GIMT_Encode4(2427575), // Rule ID 57655 //
     /* 2427526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2427529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427540 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2427543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2427557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427574 */   // GIR_Coverage, 57655,
     /* 2427574 */   GIR_EraseRootFromParent_Done,
     /* 2427575 */ // Label 30795: @2427575
     /* 2427575 */ GIM_Try, /*On fail goto*//*Label 30796*/ GIMT_Encode4(2427629), // Rule ID 58094 //
     /* 2427580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2427583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2427586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427594 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427594 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2427597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427601 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2427611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427628 */   // GIR_Coverage, 58094,
     /* 2427628 */   GIR_EraseRootFromParent_Done,
     /* 2427629 */ // Label 30796: @2427629
     /* 2427629 */ GIM_Try, /*On fail goto*//*Label 30797*/ GIMT_Encode4(2427683), // Rule ID 58095 //
     /* 2427634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2427637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2427640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427648 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2427651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2427665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427681 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427682 */   // GIR_Coverage, 58095,
     /* 2427682 */   GIR_EraseRootFromParent_Done,
     /* 2427683 */ // Label 30797: @2427683
     /* 2427683 */ GIM_Reject,
     /* 2427684 */ // Label 30740: @2427684
     /* 2427684 */ GIM_Try, /*On fail goto*//*Label 30798*/ GIMT_Encode4(2427738), // Rule ID 57666 //
     /* 2427689 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2427692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2427695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427703 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427703 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427706 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427710 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427715 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2427720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427722 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427725 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427737 */   // GIR_Coverage, 57666,
     /* 2427737 */   GIR_EraseRootFromParent_Done,
     /* 2427738 */ // Label 30798: @2427738
     /* 2427738 */ GIM_Try, /*On fail goto*//*Label 30799*/ GIMT_Encode4(2427792), // Rule ID 57667 //
     /* 2427743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2427746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2427749 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427753 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427757 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427757 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427760 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427764 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427769 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2427774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427776 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427779 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427791 */   // GIR_Coverage, 57667,
     /* 2427791 */   GIR_EraseRootFromParent_Done,
     /* 2427792 */ // Label 30799: @2427792
     /* 2427792 */ GIM_Try, /*On fail goto*//*Label 30800*/ GIMT_Encode4(2427846), // Rule ID 57862 //
     /* 2427797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2427800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427811 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427811 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427814 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427818 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427823 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2427828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427830 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427833 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427845 */   // GIR_Coverage, 57862,
     /* 2427845 */   GIR_EraseRootFromParent_Done,
     /* 2427846 */ // Label 30800: @2427846
     /* 2427846 */ GIM_Try, /*On fail goto*//*Label 30801*/ GIMT_Encode4(2427900), // Rule ID 57863 //
     /* 2427851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2427854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427865 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2427882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427899 */   // GIR_Coverage, 57863,
     /* 2427899 */   GIR_EraseRootFromParent_Done,
     /* 2427900 */ // Label 30801: @2427900
     /* 2427900 */ GIM_Try, /*On fail goto*//*Label 30802*/ GIMT_Encode4(2427954), // Rule ID 58114 //
     /* 2427905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2427908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2427911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427919 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2427919 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427922 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427926 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427931 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2427936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427938 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427941 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2427946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2427953 */   // GIR_Coverage, 58114,
     /* 2427953 */   GIR_EraseRootFromParent_Done,
     /* 2427954 */ // Label 30802: @2427954
     /* 2427954 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2428008), // Rule ID 58115 //
     /* 2427959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2427962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2427965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427973 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2427973 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2427976 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2427980 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2427985 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2427987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2427990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427992 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2427995 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2427997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428007 */   // GIR_Coverage, 58115,
     /* 2428007 */   GIR_EraseRootFromParent_Done,
     /* 2428008 */ // Label 30803: @2428008
     /* 2428008 */ GIM_Reject,
     /* 2428009 */ // Label 30741: @2428009
     /* 2428009 */ GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2428063), // Rule ID 57698 //
     /* 2428014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2428017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2428020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428024 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428028 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2428031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428040 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428042 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2428045 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428047 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428050 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428062 */   // GIR_Coverage, 57698,
     /* 2428062 */   GIR_EraseRootFromParent_Done,
     /* 2428063 */ // Label 30804: @2428063
     /* 2428063 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2428117), // Rule ID 57699 //
     /* 2428068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2428071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2428074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428082 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2428085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2428099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428116 */   // GIR_Coverage, 57699,
     /* 2428116 */   GIR_EraseRootFromParent_Done,
     /* 2428117 */ // Label 30805: @2428117
     /* 2428117 */ GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2428171), // Rule ID 57882 //
     /* 2428122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2428125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2428128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428132 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428136 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428136 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2428139 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428143 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428148 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2428153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428155 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428158 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428170 */   // GIR_Coverage, 57882,
     /* 2428170 */   GIR_EraseRootFromParent_Done,
     /* 2428171 */ // Label 30806: @2428171
     /* 2428171 */ GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2428225), // Rule ID 57883 //
     /* 2428176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2428179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2428182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428190 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428190 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2428193 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428197 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428202 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2428207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428209 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428212 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428214 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428223 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428224 */   // GIR_Coverage, 57883,
     /* 2428224 */   GIR_EraseRootFromParent_Done,
     /* 2428225 */ // Label 30807: @2428225
     /* 2428225 */ GIM_Reject,
     /* 2428226 */ // Label 30742: @2428226
     /* 2428226 */ GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2428329),
     /* 2428231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2428234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428242 */   GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2428285), // Rule ID 58074 //
     /* 2428247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2428250 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2428253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2428267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428284 */     // GIR_Coverage, 58074,
     /* 2428284 */     GIR_EraseRootFromParent_Done,
     /* 2428285 */   // Label 30809: @2428285
     /* 2428285 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2428328), // Rule ID 58075 //
     /* 2428290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2428293 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2428296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2428310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428327 */     // GIR_Coverage, 58075,
     /* 2428327 */     GIR_EraseRootFromParent_Done,
     /* 2428328 */   // Label 30810: @2428328
     /* 2428328 */   GIM_Reject,
     /* 2428329 */ // Label 30808: @2428329
     /* 2428329 */ GIM_Reject,
     /* 2428330 */ // Label 30743: @2428330
     /* 2428330 */ GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2428384), // Rule ID 57662 //
     /* 2428335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2428338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2428341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428349 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428349 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2428352 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428356 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428361 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2428366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428368 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428371 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428379 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428382 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428383 */   // GIR_Coverage, 57662,
     /* 2428383 */   GIR_EraseRootFromParent_Done,
     /* 2428384 */ // Label 30811: @2428384
     /* 2428384 */ GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2428438), // Rule ID 57663 //
     /* 2428389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2428392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2428395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428403 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428403 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2428406 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428410 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428415 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428417 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2428420 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428422 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428425 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428437 */   // GIR_Coverage, 57663,
     /* 2428437 */   GIR_EraseRootFromParent_Done,
     /* 2428438 */ // Label 30812: @2428438
     /* 2428438 */ GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2428492), // Rule ID 58098 //
     /* 2428443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2428446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428457 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428457 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2428460 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428464 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428469 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2428474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428476 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428479 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428490 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428491 */   // GIR_Coverage, 58098,
     /* 2428491 */   GIR_EraseRootFromParent_Done,
     /* 2428492 */ // Label 30813: @2428492
     /* 2428492 */ GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2428546), // Rule ID 58099 //
     /* 2428497 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2428500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428511 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2428514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428523 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2428528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428530 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428533 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428545 */   // GIR_Coverage, 58099,
     /* 2428545 */   GIR_EraseRootFromParent_Done,
     /* 2428546 */ // Label 30814: @2428546
     /* 2428546 */ GIM_Reject,
     /* 2428547 */ // Label 30744: @2428547
     /* 2428547 */ GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2428601), // Rule ID 57686 //
     /* 2428552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2428555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428566 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428566 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428569 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428573 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428578 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2428583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428585 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428588 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428600 */   // GIR_Coverage, 57686,
     /* 2428600 */   GIR_EraseRootFromParent_Done,
     /* 2428601 */ // Label 30815: @2428601
     /* 2428601 */ GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2428655), // Rule ID 57687 //
     /* 2428606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2428609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428620 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2428637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428654 */   // GIR_Coverage, 57687,
     /* 2428654 */   GIR_EraseRootFromParent_Done,
     /* 2428655 */ // Label 30816: @2428655
     /* 2428655 */ GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2428709), // Rule ID 57866 //
     /* 2428660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2428663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2428666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428674 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2428691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428708 */   // GIR_Coverage, 57866,
     /* 2428708 */   GIR_EraseRootFromParent_Done,
     /* 2428709 */ // Label 30817: @2428709
     /* 2428709 */ GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2428763), // Rule ID 57867 //
     /* 2428714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2428717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2428720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428728 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2428745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428761 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428762 */   // GIR_Coverage, 57867,
     /* 2428762 */   GIR_EraseRootFromParent_Done,
     /* 2428763 */ // Label 30818: @2428763
     /* 2428763 */ GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2428817), // Rule ID 58118 //
     /* 2428768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2428771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2428774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428782 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428782 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428785 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428789 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428794 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2428799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428801 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428804 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428816 */   // GIR_Coverage, 58118,
     /* 2428816 */   GIR_EraseRootFromParent_Done,
     /* 2428817 */ // Label 30819: @2428817
     /* 2428817 */ GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2428871), // Rule ID 58119 //
     /* 2428822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2428825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2428828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428836 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428836 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2428839 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428843 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428848 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428850 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2428853 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428855 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428858 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428869 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428870 */   // GIR_Coverage, 58119,
     /* 2428870 */   GIR_EraseRootFromParent_Done,
     /* 2428871 */ // Label 30820: @2428871
     /* 2428871 */ GIM_Reject,
     /* 2428872 */ // Label 30745: @2428872
     /* 2428872 */ GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2428926), // Rule ID 57702 //
     /* 2428877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2428880 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2428883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428891 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428891 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2428894 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428898 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428903 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2428908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428910 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428925 */   // GIR_Coverage, 57702,
     /* 2428925 */   GIR_EraseRootFromParent_Done,
     /* 2428926 */ // Label 30821: @2428926
     /* 2428926 */ GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2428980), // Rule ID 57703 //
     /* 2428931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2428934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2428937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428945 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2428945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2428948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2428952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2428957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2428959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2428962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2428967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2428969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2428972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2428979 */   // GIR_Coverage, 57703,
     /* 2428979 */   GIR_EraseRootFromParent_Done,
     /* 2428980 */ // Label 30822: @2428980
     /* 2428980 */ GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2429034), // Rule ID 57886 //
     /* 2428985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2428988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428999 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2428999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2429002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2429016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429033 */   // GIR_Coverage, 57886,
     /* 2429033 */   GIR_EraseRootFromParent_Done,
     /* 2429034 */ // Label 30823: @2429034
     /* 2429034 */ GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2429088), // Rule ID 57887 //
     /* 2429039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2429042 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2429045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429049 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429053 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429053 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2429056 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429060 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429065 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429067 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2429070 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429072 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429075 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429087 */   // GIR_Coverage, 57887,
     /* 2429087 */   GIR_EraseRootFromParent_Done,
     /* 2429088 */ // Label 30824: @2429088
     /* 2429088 */ GIM_Reject,
     /* 2429089 */ // Label 30746: @2429089
     /* 2429089 */ GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2429192),
     /* 2429094 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2429097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2429101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429105 */   GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2429148), // Rule ID 58078 //
     /* 2429110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2429113 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2429116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2429130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429147 */     // GIR_Coverage, 58078,
     /* 2429147 */     GIR_EraseRootFromParent_Done,
     /* 2429148 */   // Label 30826: @2429148
     /* 2429148 */   GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2429191), // Rule ID 58079 //
     /* 2429153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2429156 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2429159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2429173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429190 */     // GIR_Coverage, 58079,
     /* 2429190 */     GIR_EraseRootFromParent_Done,
     /* 2429191 */   // Label 30827: @2429191
     /* 2429191 */   GIM_Reject,
     /* 2429192 */ // Label 30825: @2429192
     /* 2429192 */ GIM_Reject,
     /* 2429193 */ // Label 30747: @2429193
     /* 2429193 */ GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2429247), // Rule ID 57674 //
     /* 2429198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2429201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2429204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429212 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429212 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2429215 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429219 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429224 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429226 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2429229 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429231 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429234 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429246 */   // GIR_Coverage, 57674,
     /* 2429246 */   GIR_EraseRootFromParent_Done,
     /* 2429247 */ // Label 30828: @2429247
     /* 2429247 */ GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2429301), // Rule ID 57675 //
     /* 2429252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2429255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2429258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429266 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2429269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2429283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429300 */   // GIR_Coverage, 57675,
     /* 2429300 */   GIR_EraseRootFromParent_Done,
     /* 2429301 */ // Label 30829: @2429301
     /* 2429301 */ GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2429355), // Rule ID 58102 //
     /* 2429306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2429309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429320 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2429323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2429337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429354 */   // GIR_Coverage, 58102,
     /* 2429354 */   GIR_EraseRootFromParent_Done,
     /* 2429355 */ // Label 30830: @2429355
     /* 2429355 */ GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2429409), // Rule ID 58103 //
     /* 2429360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2429363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429374 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2429377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2429391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429407 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429408 */   // GIR_Coverage, 58103,
     /* 2429408 */   GIR_EraseRootFromParent_Done,
     /* 2429409 */ // Label 30831: @2429409
     /* 2429409 */ GIM_Reject,
     /* 2429410 */ // Label 30748: @2429410
     /* 2429410 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2429464), // Rule ID 57690 //
     /* 2429415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2429418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429429 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429429 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429432 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429436 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429441 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2429446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429448 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429451 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429463 */   // GIR_Coverage, 57690,
     /* 2429463 */   GIR_EraseRootFromParent_Done,
     /* 2429464 */ // Label 30832: @2429464
     /* 2429464 */ GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2429518), // Rule ID 57691 //
     /* 2429469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2429472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429483 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2429500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429502 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429517 */   // GIR_Coverage, 57691,
     /* 2429517 */   GIR_EraseRootFromParent_Done,
     /* 2429518 */ // Label 30833: @2429518
     /* 2429518 */ GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2429572), // Rule ID 57870 //
     /* 2429523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2429526 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2429529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429537 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429537 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429540 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429544 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429549 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429551 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2429554 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429556 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429559 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429571 */   // GIR_Coverage, 57870,
     /* 2429571 */   GIR_EraseRootFromParent_Done,
     /* 2429572 */ // Label 30834: @2429572
     /* 2429572 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2429626), // Rule ID 57871 //
     /* 2429577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2429580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2429583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429591 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429591 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429594 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429598 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2429608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429624 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429625 */   // GIR_Coverage, 57871,
     /* 2429625 */   GIR_EraseRootFromParent_Done,
     /* 2429626 */ // Label 30835: @2429626
     /* 2429626 */ GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2429680), // Rule ID 58122 //
     /* 2429631 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2429634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429641 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429645 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429645 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429648 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429652 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429657 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429659 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2429662 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429664 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429667 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429679 */   // GIR_Coverage, 58122,
     /* 2429679 */   GIR_EraseRootFromParent_Done,
     /* 2429680 */ // Label 30836: @2429680
     /* 2429680 */ GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2429734), // Rule ID 58123 //
     /* 2429685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2429688 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429695 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429699 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429699 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2429702 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429706 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429711 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2429716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429718 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429733 */   // GIR_Coverage, 58123,
     /* 2429733 */   GIR_EraseRootFromParent_Done,
     /* 2429734 */ // Label 30837: @2429734
     /* 2429734 */ GIM_Reject,
     /* 2429735 */ // Label 30749: @2429735
     /* 2429735 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2429789), // Rule ID 57706 //
     /* 2429740 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2429743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429746 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429750 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429754 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429754 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2429757 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429761 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429766 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429768 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2429771 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429773 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429788 */   // GIR_Coverage, 57706,
     /* 2429788 */   GIR_EraseRootFromParent_Done,
     /* 2429789 */ // Label 30838: @2429789
     /* 2429789 */ GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2429843), // Rule ID 57707 //
     /* 2429794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2429797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429808 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2429811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2429825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429841 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429842 */   // GIR_Coverage, 57707,
     /* 2429842 */   GIR_EraseRootFromParent_Done,
     /* 2429843 */ // Label 30839: @2429843
     /* 2429843 */ GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2429897), // Rule ID 57890 //
     /* 2429848 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2429851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429862 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429862 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2429865 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429869 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429874 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2429879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429881 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429884 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429896 */   // GIR_Coverage, 57890,
     /* 2429896 */   GIR_EraseRootFromParent_Done,
     /* 2429897 */ // Label 30840: @2429897
     /* 2429897 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2429951), // Rule ID 57891 //
     /* 2429902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2429905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2429908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429916 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2429916 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2429919 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429923 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429928 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2429933 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429935 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429938 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2429940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2429943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2429950 */   // GIR_Coverage, 57891,
     /* 2429950 */   GIR_EraseRootFromParent_Done,
     /* 2429951 */ // Label 30841: @2429951
     /* 2429951 */ GIM_Reject,
     /* 2429952 */ // Label 30750: @2429952
     /* 2429952 */ GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2430055),
     /* 2429957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2429960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429968 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2430011), // Rule ID 58082 //
     /* 2429973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2429976 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2429976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2429979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2429983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2429988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2429990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2429993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2429998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430010 */     // GIR_Coverage, 58082,
     /* 2430010 */     GIR_EraseRootFromParent_Done,
     /* 2430011 */   // Label 30843: @2430011
     /* 2430011 */   GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2430054), // Rule ID 58083 //
     /* 2430016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2430019 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2430022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2430036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430053 */     // GIR_Coverage, 58083,
     /* 2430053 */     GIR_EraseRootFromParent_Done,
     /* 2430054 */   // Label 30844: @2430054
     /* 2430054 */   GIM_Reject,
     /* 2430055 */ // Label 30842: @2430055
     /* 2430055 */ GIM_Reject,
     /* 2430056 */ // Label 30751: @2430056
     /* 2430056 */ GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2430110), // Rule ID 57678 //
     /* 2430061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2430064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2430067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430075 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430075 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2430078 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430082 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430087 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430089 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2430092 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430094 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430097 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430109 */   // GIR_Coverage, 57678,
     /* 2430109 */   GIR_EraseRootFromParent_Done,
     /* 2430110 */ // Label 30845: @2430110
     /* 2430110 */ GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2430164), // Rule ID 57679 //
     /* 2430115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2430118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2430121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430129 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430129 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2430132 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430136 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430141 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2430146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430148 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430151 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430163 */   // GIR_Coverage, 57679,
     /* 2430163 */   GIR_EraseRootFromParent_Done,
     /* 2430164 */ // Label 30846: @2430164
     /* 2430164 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2430218), // Rule ID 58106 //
     /* 2430169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2430172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2430175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430183 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430183 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2430186 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430190 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430195 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2430200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430202 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430205 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430217 */   // GIR_Coverage, 58106,
     /* 2430217 */   GIR_EraseRootFromParent_Done,
     /* 2430218 */ // Label 30847: @2430218
     /* 2430218 */ GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2430272), // Rule ID 58107 //
     /* 2430223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2430226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2430229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430237 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2430240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2430254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430271 */   // GIR_Coverage, 58107,
     /* 2430271 */   GIR_EraseRootFromParent_Done,
     /* 2430272 */ // Label 30848: @2430272
     /* 2430272 */ GIM_Reject,
     /* 2430273 */ // Label 30752: @2430273
     /* 2430273 */ GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2430327), // Rule ID 57694 //
     /* 2430278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2430281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2430284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430288 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430292 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430292 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2430295 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430299 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430304 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430306 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2430309 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430311 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430314 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430326 */   // GIR_Coverage, 57694,
     /* 2430326 */   GIR_EraseRootFromParent_Done,
     /* 2430327 */ // Label 30849: @2430327
     /* 2430327 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2430381), // Rule ID 57695 //
     /* 2430332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2430335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2430338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430346 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430346 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2430349 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430353 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430358 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2430363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430365 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430368 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2430376 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430379 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430380 */   // GIR_Coverage, 57695,
     /* 2430380 */   GIR_EraseRootFromParent_Done,
     /* 2430381 */ // Label 30850: @2430381
     /* 2430381 */ GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2430435), // Rule ID 57874 //
     /* 2430386 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2430389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2430392 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430396 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430400 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430400 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2430403 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430407 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430412 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2430417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430419 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430422 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430434 */   // GIR_Coverage, 57874,
     /* 2430434 */   GIR_EraseRootFromParent_Done,
     /* 2430435 */ // Label 30851: @2430435
     /* 2430435 */ GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2430489), // Rule ID 57875 //
     /* 2430440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2430443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2430446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430454 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2430457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2430471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430488 */   // GIR_Coverage, 57875,
     /* 2430488 */   GIR_EraseRootFromParent_Done,
     /* 2430489 */ // Label 30852: @2430489
     /* 2430489 */ GIM_Reject,
     /* 2430490 */ // Label 30753: @2430490
     /* 2430490 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2430593),
     /* 2430495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2430498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2430502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430506 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2430549), // Rule ID 58086 //
     /* 2430511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2430514 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2430517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2430531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430548 */     // GIR_Coverage, 58086,
     /* 2430548 */     GIR_EraseRootFromParent_Done,
     /* 2430549 */   // Label 30854: @2430549
     /* 2430549 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2430592), // Rule ID 58087 //
     /* 2430554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2430557 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2430560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2430574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430591 */     // GIR_Coverage, 58087,
     /* 2430591 */     GIR_EraseRootFromParent_Done,
     /* 2430592 */   // Label 30855: @2430592
     /* 2430592 */   GIM_Reject,
     /* 2430593 */ // Label 30853: @2430593
     /* 2430593 */ GIM_Reject,
     /* 2430594 */ // Label 30754: @2430594
     /* 2430594 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2430697),
     /* 2430599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2430602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430610 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2430653), // Rule ID 57682 //
     /* 2430615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2430618 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2430618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2430621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2430635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430652 */     // GIR_Coverage, 57682,
     /* 2430652 */     GIR_EraseRootFromParent_Done,
     /* 2430653 */   // Label 30857: @2430653
     /* 2430653 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2430696), // Rule ID 57683 //
     /* 2430658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2430661 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2430661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2430664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2430668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2430673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2430675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2430678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2430683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2430688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430695 */     // GIR_Coverage, 57683,
     /* 2430695 */     GIR_EraseRootFromParent_Done,
     /* 2430696 */   // Label 30858: @2430696
     /* 2430696 */   GIM_Reject,
     /* 2430697 */ // Label 30856: @2430697
     /* 2430697 */ GIM_Reject,
     /* 2430698 */ // Label 30755: @2430698
     /* 2430698 */ GIM_Reject,
     /* 2430699 */ // Label 67: @2430699
     /* 2430699 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30877*/ GIMT_Encode4(2435984),
     /* 2430710 */ /*GILLT_s16*//*Label 30859*/ GIMT_Encode4(2430830),
     /* 2430714 */ /*GILLT_s32*//*Label 30860*/ GIMT_Encode4(2431091),
     /* 2430718 */ /*GILLT_s64*//*Label 30861*/ GIMT_Encode4(2431352), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430730 */ /*GILLT_nxv1s16*//*Label 30862*/ GIMT_Encode4(2431613),
     /* 2430734 */ /*GILLT_nxv1s32*//*Label 30863*/ GIMT_Encode4(2431950),
     /* 2430738 */ /*GILLT_nxv1s64*//*Label 30864*/ GIMT_Encode4(2432287), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430750 */ /*GILLT_nxv2s16*//*Label 30865*/ GIMT_Encode4(2432510),
     /* 2430754 */ /*GILLT_nxv2s32*//*Label 30866*/ GIMT_Encode4(2432847),
     /* 2430758 */ /*GILLT_nxv2s64*//*Label 30867*/ GIMT_Encode4(2433184), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430770 */ /*GILLT_nxv4s16*//*Label 30868*/ GIMT_Encode4(2433407),
     /* 2430774 */ /*GILLT_nxv4s32*//*Label 30869*/ GIMT_Encode4(2433744),
     /* 2430778 */ /*GILLT_nxv4s64*//*Label 30870*/ GIMT_Encode4(2434081), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430790 */ /*GILLT_nxv8s16*//*Label 30871*/ GIMT_Encode4(2434304),
     /* 2430794 */ /*GILLT_nxv8s32*//*Label 30872*/ GIMT_Encode4(2434641),
     /* 2430798 */ /*GILLT_nxv8s64*//*Label 30873*/ GIMT_Encode4(2434978), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430810 */ /*GILLT_nxv16s16*//*Label 30874*/ GIMT_Encode4(2435201),
     /* 2430814 */ /*GILLT_nxv16s32*//*Label 30875*/ GIMT_Encode4(2435538), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2430826 */ /*GILLT_nxv32s16*//*Label 30876*/ GIMT_Encode4(2435761),
     /* 2430830 */ // Label 30859: @2430830
     /* 2430830 */ GIM_Try, /*On fail goto*//*Label 30878*/ GIMT_Encode4(2430867), // Rule ID 2119 //
     /* 2430835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2430838 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2430841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2430845 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2430852 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2430852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2430855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430857 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2430862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2430865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430866 */   // GIR_Coverage, 2119,
     /* 2430866 */   GIR_EraseRootFromParent_Done,
     /* 2430867 */ // Label 30878: @2430867
     /* 2430867 */ GIM_Try, /*On fail goto*//*Label 30879*/ GIMT_Encode4(2430904), // Rule ID 2145 //
     /* 2430872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2430875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2430878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2430882 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2430889 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2430889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2430892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430894 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2430899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2430902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430903 */   // GIR_Coverage, 2145,
     /* 2430903 */   GIR_EraseRootFromParent_Done,
     /* 2430904 */ // Label 30879: @2430904
     /* 2430904 */ GIM_Try, /*On fail goto*//*Label 30880*/ GIMT_Encode4(2430935), // Rule ID 2068 //
     /* 2430909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2430912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2430915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2430919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430923 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2430923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2430926 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2430933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430934 */   // GIR_Coverage, 2068,
     /* 2430934 */   GIR_EraseRootFromParent_Done,
     /* 2430935 */ // Label 30880: @2430935
     /* 2430935 */ GIM_Try, /*On fail goto*//*Label 30881*/ GIMT_Encode4(2430966), // Rule ID 2069 //
     /* 2430940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2430943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2430946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2430950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430954 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2430954 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2430957 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430959 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2430964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430965 */   // GIR_Coverage, 2069,
     /* 2430965 */   GIR_EraseRootFromParent_Done,
     /* 2430966 */ // Label 30881: @2430966
     /* 2430966 */ GIM_Try, /*On fail goto*//*Label 30882*/ GIMT_Encode4(2430997), // Rule ID 2094 //
     /* 2430971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2430974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2430977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2430981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430985 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2430985 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2430988 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2430992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2430995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2430996 */   // GIR_Coverage, 2094,
     /* 2430996 */   GIR_EraseRootFromParent_Done,
     /* 2430997 */ // Label 30882: @2430997
     /* 2430997 */ GIM_Try, /*On fail goto*//*Label 30883*/ GIMT_Encode4(2431028), // Rule ID 2095 //
     /* 2431002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2431005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2431012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431016 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2431016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2431019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431026 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431027 */   // GIR_Coverage, 2095,
     /* 2431027 */   GIR_EraseRootFromParent_Done,
     /* 2431028 */ // Label 30883: @2431028
     /* 2431028 */ GIM_Try, /*On fail goto*//*Label 30884*/ GIMT_Encode4(2431059), // Rule ID 2123 //
     /* 2431033 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2431036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431039 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2431043 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431047 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2431050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431052 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431057 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431058 */   // GIR_Coverage, 2123,
     /* 2431058 */   GIR_EraseRootFromParent_Done,
     /* 2431059 */ // Label 30884: @2431059
     /* 2431059 */ GIM_Try, /*On fail goto*//*Label 30885*/ GIMT_Encode4(2431090), // Rule ID 2149 //
     /* 2431064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2431067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2431074 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431078 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2431081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431083 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431085 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431088 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431089 */   // GIR_Coverage, 2149,
     /* 2431089 */   GIR_EraseRootFromParent_Done,
     /* 2431090 */ // Label 30885: @2431090
     /* 2431090 */ GIM_Reject,
     /* 2431091 */ // Label 30860: @2431091
     /* 2431091 */ GIM_Try, /*On fail goto*//*Label 30886*/ GIMT_Encode4(2431128), // Rule ID 1385 //
     /* 2431096 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2431099 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2431106 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2431113 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431113 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2431116 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431118 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2431123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431127 */   // GIR_Coverage, 1385,
     /* 2431127 */   GIR_EraseRootFromParent_Done,
     /* 2431128 */ // Label 30886: @2431128
     /* 2431128 */ GIM_Try, /*On fail goto*//*Label 30887*/ GIMT_Encode4(2431165), // Rule ID 1413 //
     /* 2431133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2431136 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2431143 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2431150 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2431153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2431160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431164 */   // GIR_Coverage, 1413,
     /* 2431164 */   GIR_EraseRootFromParent_Done,
     /* 2431165 */ // Label 30887: @2431165
     /* 2431165 */ GIM_Try, /*On fail goto*//*Label 30888*/ GIMT_Encode4(2431196), // Rule ID 1332 //
     /* 2431170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2431173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2431180 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431184 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2431184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2431187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431189 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431195 */   // GIR_Coverage, 1332,
     /* 2431195 */   GIR_EraseRootFromParent_Done,
     /* 2431196 */ // Label 30888: @2431196
     /* 2431196 */ GIM_Try, /*On fail goto*//*Label 30889*/ GIMT_Encode4(2431227), // Rule ID 1333 //
     /* 2431201 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2431204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2431211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431215 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2431215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2431218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431220 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431225 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431226 */   // GIR_Coverage, 1333,
     /* 2431226 */   GIR_EraseRootFromParent_Done,
     /* 2431227 */ // Label 30889: @2431227
     /* 2431227 */ GIM_Try, /*On fail goto*//*Label 30890*/ GIMT_Encode4(2431258), // Rule ID 1358 //
     /* 2431232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2431235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2431242 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431246 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2431246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2431249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431251 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431257 */   // GIR_Coverage, 1358,
     /* 2431257 */   GIR_EraseRootFromParent_Done,
     /* 2431258 */ // Label 30890: @2431258
     /* 2431258 */ GIM_Try, /*On fail goto*//*Label 30891*/ GIMT_Encode4(2431289), // Rule ID 1359 //
     /* 2431263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2431266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2431273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431277 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2431277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2431280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431282 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431288 */   // GIR_Coverage, 1359,
     /* 2431288 */   GIR_EraseRootFromParent_Done,
     /* 2431289 */ // Label 30891: @2431289
     /* 2431289 */ GIM_Try, /*On fail goto*//*Label 30892*/ GIMT_Encode4(2431320), // Rule ID 1389 //
     /* 2431294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2431297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2431304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431308 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2431311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431313 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431319 */   // GIR_Coverage, 1389,
     /* 2431319 */   GIR_EraseRootFromParent_Done,
     /* 2431320 */ // Label 30892: @2431320
     /* 2431320 */ GIM_Try, /*On fail goto*//*Label 30893*/ GIMT_Encode4(2431351), // Rule ID 1417 //
     /* 2431325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2431328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2431335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431339 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2431342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431344 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431350 */   // GIR_Coverage, 1417,
     /* 2431350 */   GIR_EraseRootFromParent_Done,
     /* 2431351 */ // Label 30893: @2431351
     /* 2431351 */ GIM_Reject,
     /* 2431352 */ // Label 30861: @2431352
     /* 2431352 */ GIM_Try, /*On fail goto*//*Label 30894*/ GIMT_Encode4(2431389), // Rule ID 1765 //
     /* 2431357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2431360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2431367 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2431374 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2431374 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2431377 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431379 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2431384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431388 */   // GIR_Coverage, 1765,
     /* 2431388 */   GIR_EraseRootFromParent_Done,
     /* 2431389 */ // Label 30894: @2431389
     /* 2431389 */ GIM_Try, /*On fail goto*//*Label 30895*/ GIMT_Encode4(2431426), // Rule ID 1793 //
     /* 2431394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2431397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431404 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2431411 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2431411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2431414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431416 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2431421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431424 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431425 */   // GIR_Coverage, 1793,
     /* 2431425 */   GIR_EraseRootFromParent_Done,
     /* 2431426 */ // Label 30895: @2431426
     /* 2431426 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2431457), // Rule ID 1726 //
     /* 2431431 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2431434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2431441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431445 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2431445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2431448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431450 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431455 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431456 */   // GIR_Coverage, 1726,
     /* 2431456 */   GIR_EraseRootFromParent_Done,
     /* 2431457 */ // Label 30896: @2431457
     /* 2431457 */ GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2431488), // Rule ID 1727 //
     /* 2431462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2431465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2431472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431476 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2431476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2431479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431487 */   // GIR_Coverage, 1727,
     /* 2431487 */   GIR_EraseRootFromParent_Done,
     /* 2431488 */ // Label 30897: @2431488
     /* 2431488 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2431519), // Rule ID 1752 //
     /* 2431493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2431496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2431503 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431507 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2431507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2431510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431512 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431518 */   // GIR_Coverage, 1752,
     /* 2431518 */   GIR_EraseRootFromParent_Done,
     /* 2431519 */ // Label 30898: @2431519
     /* 2431519 */ GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2431550), // Rule ID 1753 //
     /* 2431524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2431527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2431530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2431534 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431538 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2431538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2431541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431543 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431545 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2431548 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431549 */   // GIR_Coverage, 1753,
     /* 2431549 */   GIR_EraseRootFromParent_Done,
     /* 2431550 */ // Label 30899: @2431550
     /* 2431550 */ GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2431581), // Rule ID 1783 //
     /* 2431555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2431558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2431565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431569 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2431572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431574 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431580 */   // GIR_Coverage, 1783,
     /* 2431580 */   GIR_EraseRootFromParent_Done,
     /* 2431581 */ // Label 30900: @2431581
     /* 2431581 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2431612), // Rule ID 1811 //
     /* 2431586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2431589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2431592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431600 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2431600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2431603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431605 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431611 */   // GIR_Coverage, 1811,
     /* 2431611 */   GIR_EraseRootFromParent_Done,
     /* 2431612 */ // Label 30901: @2431612
     /* 2431612 */ GIM_Reject,
     /* 2431613 */ // Label 30862: @2431613
     /* 2431613 */ GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2431670), // Rule ID 45510 //
     /* 2431618 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2431621 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2431624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431632 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2431632 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431635 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431639 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2431649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431654 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431656 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431669 */   // GIR_Coverage, 45510,
     /* 2431669 */   GIR_EraseRootFromParent_Done,
     /* 2431670 */ // Label 30902: @2431670
     /* 2431670 */ GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2431727), // Rule ID 45511 //
     /* 2431675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2431678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2431681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431689 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2431689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2431706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431726 */   // GIR_Coverage, 45511,
     /* 2431726 */   GIR_EraseRootFromParent_Done,
     /* 2431727 */ // Label 30903: @2431727
     /* 2431727 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2431781), // Rule ID 45518 //
     /* 2431732 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2431735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2431738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431746 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2431746 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431749 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431753 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431758 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431760 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2431763 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431765 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431780 */   // GIR_Coverage, 45518,
     /* 2431780 */   GIR_EraseRootFromParent_Done,
     /* 2431781 */ // Label 30904: @2431781
     /* 2431781 */ GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2431835), // Rule ID 45519 //
     /* 2431786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2431789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2431792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431800 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2431800 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431803 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431807 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431812 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431814 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2431817 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431819 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431822 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431834 */   // GIR_Coverage, 45519,
     /* 2431834 */   GIR_EraseRootFromParent_Done,
     /* 2431835 */ // Label 30905: @2431835
     /* 2431835 */ GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2431892), // Rule ID 45526 //
     /* 2431840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2431843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2431846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431854 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2431854 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431857 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431861 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431866 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2431871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431873 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431891 */   // GIR_Coverage, 45526,
     /* 2431891 */   GIR_EraseRootFromParent_Done,
     /* 2431892 */ // Label 30906: @2431892
     /* 2431892 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2431949), // Rule ID 45527 //
     /* 2431897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2431900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2431903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431911 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2431911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2431914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2431928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2431947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2431948 */   // GIR_Coverage, 45527,
     /* 2431948 */   GIR_EraseRootFromParent_Done,
     /* 2431949 */ // Label 30907: @2431949
     /* 2431949 */ GIM_Reject,
     /* 2431950 */ // Label 30863: @2431950
     /* 2431950 */ GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2432007), // Rule ID 57714 //
     /* 2431955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2431958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2431961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431969 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2431969 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2431972 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2431976 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2431981 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2431983 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2431986 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431988 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2431991 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2431993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2431996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2431999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432006 */   // GIR_Coverage, 57714,
     /* 2432006 */   GIR_EraseRootFromParent_Done,
     /* 2432007 */ // Label 30908: @2432007
     /* 2432007 */ GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2432064), // Rule ID 57715 //
     /* 2432012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2432015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2432018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432026 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432026 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2432029 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432033 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432038 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2432043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432045 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432048 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432063 */   // GIR_Coverage, 57715,
     /* 2432063 */   GIR_EraseRootFromParent_Done,
     /* 2432064 */ // Label 30909: @2432064
     /* 2432064 */ GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2432118), // Rule ID 57914 //
     /* 2432069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2432072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2432075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432083 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432083 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2432086 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432090 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432095 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2432100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432102 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432105 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432117 */   // GIR_Coverage, 57914,
     /* 2432117 */   GIR_EraseRootFromParent_Done,
     /* 2432118 */ // Label 30910: @2432118
     /* 2432118 */ GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2432172), // Rule ID 57915 //
     /* 2432123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2432126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2432129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432137 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432137 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2432140 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432144 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432149 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2432154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432156 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432159 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432171 */   // GIR_Coverage, 57915,
     /* 2432171 */   GIR_EraseRootFromParent_Done,
     /* 2432172 */ // Label 30911: @2432172
     /* 2432172 */ GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2432229), // Rule ID 58142 //
     /* 2432177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2432180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2432183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432191 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2432194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2432208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432213 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432228 */   // GIR_Coverage, 58142,
     /* 2432228 */   GIR_EraseRootFromParent_Done,
     /* 2432229 */ // Label 30912: @2432229
     /* 2432229 */ GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2432286), // Rule ID 58143 //
     /* 2432234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2432237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2432240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432248 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2432251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2432265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432270 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432285 */   // GIR_Coverage, 58143,
     /* 2432285 */   GIR_EraseRootFromParent_Done,
     /* 2432286 */ // Label 30913: @2432286
     /* 2432286 */ GIM_Reject,
     /* 2432287 */ // Label 30864: @2432287
     /* 2432287 */ GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2432344), // Rule ID 57726 //
     /* 2432292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2432295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2432298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432306 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432306 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2432309 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432313 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432318 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2432323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432325 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432328 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432343 */   // GIR_Coverage, 57726,
     /* 2432343 */   GIR_EraseRootFromParent_Done,
     /* 2432344 */ // Label 30914: @2432344
     /* 2432344 */ GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2432401), // Rule ID 57727 //
     /* 2432349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2432352 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2432355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432363 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432363 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2432366 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432370 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432375 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2432380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432382 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432385 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432399 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432400 */   // GIR_Coverage, 57727,
     /* 2432400 */   GIR_EraseRootFromParent_Done,
     /* 2432401 */ // Label 30915: @2432401
     /* 2432401 */ GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2432455), // Rule ID 57934 //
     /* 2432406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2432409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2432412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432420 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432420 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2432423 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432427 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432432 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2432437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432439 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432454 */   // GIR_Coverage, 57934,
     /* 2432454 */   GIR_EraseRootFromParent_Done,
     /* 2432455 */ // Label 30916: @2432455
     /* 2432455 */ GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2432509), // Rule ID 57935 //
     /* 2432460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2432463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2432466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432474 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2432477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2432491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432508 */   // GIR_Coverage, 57935,
     /* 2432508 */   GIR_EraseRootFromParent_Done,
     /* 2432509 */ // Label 30917: @2432509
     /* 2432509 */ GIM_Reject,
     /* 2432510 */ // Label 30865: @2432510
     /* 2432510 */ GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2432567), // Rule ID 57710 //
     /* 2432515 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2432518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2432521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432525 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432529 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432529 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432532 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432536 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432541 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2432546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432548 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432556 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432566 */   // GIR_Coverage, 57710,
     /* 2432566 */   GIR_EraseRootFromParent_Done,
     /* 2432567 */ // Label 30918: @2432567
     /* 2432567 */ GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2432624), // Rule ID 57711 //
     /* 2432572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2432575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2432578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432586 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432586 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432589 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432593 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432598 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2432603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432605 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432623 */   // GIR_Coverage, 57711,
     /* 2432623 */   GIR_EraseRootFromParent_Done,
     /* 2432624 */ // Label 30919: @2432624
     /* 2432624 */ GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2432678), // Rule ID 57894 //
     /* 2432629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2432632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2432635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432643 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2432660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432677 */   // GIR_Coverage, 57894,
     /* 2432677 */   GIR_EraseRootFromParent_Done,
     /* 2432678 */ // Label 30920: @2432678
     /* 2432678 */ GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2432732), // Rule ID 57895 //
     /* 2432683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2432686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2432689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432697 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2432714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432731 */   // GIR_Coverage, 57895,
     /* 2432731 */   GIR_EraseRootFromParent_Done,
     /* 2432732 */ // Label 30921: @2432732
     /* 2432732 */ GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2432789), // Rule ID 58126 //
     /* 2432737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2432740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2432743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432751 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2432768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432788 */   // GIR_Coverage, 58126,
     /* 2432788 */   GIR_EraseRootFromParent_Done,
     /* 2432789 */ // Label 30922: @2432789
     /* 2432789 */ GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2432846), // Rule ID 58127 //
     /* 2432794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2432797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2432800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432808 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2432811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2432825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432845 */   // GIR_Coverage, 58127,
     /* 2432845 */   GIR_EraseRootFromParent_Done,
     /* 2432846 */ // Label 30923: @2432846
     /* 2432846 */ GIM_Reject,
     /* 2432847 */ // Label 30866: @2432847
     /* 2432847 */ GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2432904), // Rule ID 57722 //
     /* 2432852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2432855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2432858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432866 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432866 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2432869 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432873 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432878 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2432883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432885 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432888 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432902 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432903 */   // GIR_Coverage, 57722,
     /* 2432903 */   GIR_EraseRootFromParent_Done,
     /* 2432904 */ // Label 30924: @2432904
     /* 2432904 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2432961), // Rule ID 57723 //
     /* 2432909 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2432912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2432915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432923 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2432923 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2432926 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432930 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432935 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432937 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2432940 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432942 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2432945 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2432947 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2432950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2432953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2432956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2432960 */   // GIR_Coverage, 57723,
     /* 2432960 */   GIR_EraseRootFromParent_Done,
     /* 2432961 */ // Label 30925: @2432961
     /* 2432961 */ GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2433015), // Rule ID 57918 //
     /* 2432966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2432969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2432972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432980 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2432980 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2432983 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2432987 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2432992 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2432994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2432997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432999 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433002 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433013 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433014 */   // GIR_Coverage, 57918,
     /* 2433014 */   GIR_EraseRootFromParent_Done,
     /* 2433015 */ // Label 30926: @2433015
     /* 2433015 */ GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2433069), // Rule ID 57919 //
     /* 2433020 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2433023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2433026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433034 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433034 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2433037 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433041 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433046 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433048 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2433051 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433053 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433056 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433068 */   // GIR_Coverage, 57919,
     /* 2433068 */   GIR_EraseRootFromParent_Done,
     /* 2433069 */ // Label 30927: @2433069
     /* 2433069 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2433126), // Rule ID 58146 //
     /* 2433074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2433077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2433080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433088 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2433091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2433105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433110 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433125 */   // GIR_Coverage, 58146,
     /* 2433125 */   GIR_EraseRootFromParent_Done,
     /* 2433126 */ // Label 30928: @2433126
     /* 2433126 */ GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2433183), // Rule ID 58147 //
     /* 2433131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2433134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2433137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433145 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2433148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2433162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433182 */   // GIR_Coverage, 58147,
     /* 2433182 */   GIR_EraseRootFromParent_Done,
     /* 2433183 */ // Label 30929: @2433183
     /* 2433183 */ GIM_Reject,
     /* 2433184 */ // Label 30867: @2433184
     /* 2433184 */ GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2433241), // Rule ID 57754 //
     /* 2433189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2433192 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2433195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433203 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433203 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2433206 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433210 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433215 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433217 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2433220 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433222 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433225 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433240 */   // GIR_Coverage, 57754,
     /* 2433240 */   GIR_EraseRootFromParent_Done,
     /* 2433241 */ // Label 30930: @2433241
     /* 2433241 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2433298), // Rule ID 57755 //
     /* 2433246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2433249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2433252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433260 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2433263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433272 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2433277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433279 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433282 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2433293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433296 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433297 */   // GIR_Coverage, 57755,
     /* 2433297 */   GIR_EraseRootFromParent_Done,
     /* 2433298 */ // Label 30931: @2433298
     /* 2433298 */ GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2433352), // Rule ID 57938 //
     /* 2433303 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2433306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2433309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433317 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433317 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2433320 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433324 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433329 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433331 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2433334 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433336 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433339 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433351 */   // GIR_Coverage, 57938,
     /* 2433351 */   GIR_EraseRootFromParent_Done,
     /* 2433352 */ // Label 30932: @2433352
     /* 2433352 */ GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2433406), // Rule ID 57939 //
     /* 2433357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2433360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2433363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433371 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433371 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2433374 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433378 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433383 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2433388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433390 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433393 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433405 */   // GIR_Coverage, 57939,
     /* 2433405 */   GIR_EraseRootFromParent_Done,
     /* 2433406 */ // Label 30933: @2433406
     /* 2433406 */ GIM_Reject,
     /* 2433407 */ // Label 30868: @2433407
     /* 2433407 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2433464), // Rule ID 57718 //
     /* 2433412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2433415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2433418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433422 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433426 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433426 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433429 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433433 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433438 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433440 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2433443 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433445 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433448 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433463 */   // GIR_Coverage, 57718,
     /* 2433463 */   GIR_EraseRootFromParent_Done,
     /* 2433464 */ // Label 30934: @2433464
     /* 2433464 */ GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2433521), // Rule ID 57719 //
     /* 2433469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2433472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2433475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433479 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433483 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433483 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433486 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433490 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433495 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433497 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2433500 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433502 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433505 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433520 */   // GIR_Coverage, 57719,
     /* 2433520 */   GIR_EraseRootFromParent_Done,
     /* 2433521 */ // Label 30935: @2433521
     /* 2433521 */ GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2433575), // Rule ID 57898 //
     /* 2433526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2433529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2433532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433540 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433540 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433543 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433547 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433552 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433554 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2433557 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433559 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433574 */   // GIR_Coverage, 57898,
     /* 2433574 */   GIR_EraseRootFromParent_Done,
     /* 2433575 */ // Label 30936: @2433575
     /* 2433575 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2433629), // Rule ID 57899 //
     /* 2433580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2433583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2433586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433594 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433594 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433597 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433601 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433606 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2433611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433613 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433616 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433628 */   // GIR_Coverage, 57899,
     /* 2433628 */   GIR_EraseRootFromParent_Done,
     /* 2433629 */ // Label 30937: @2433629
     /* 2433629 */ GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2433686), // Rule ID 58130 //
     /* 2433634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2433637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2433640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433648 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2433665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433685 */   // GIR_Coverage, 58130,
     /* 2433685 */   GIR_EraseRootFromParent_Done,
     /* 2433686 */ // Label 30938: @2433686
     /* 2433686 */ GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2433743), // Rule ID 58131 //
     /* 2433691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2433694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2433697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433705 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2433708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2433722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433742 */   // GIR_Coverage, 58131,
     /* 2433742 */   GIR_EraseRootFromParent_Done,
     /* 2433743 */ // Label 30939: @2433743
     /* 2433743 */ GIM_Reject,
     /* 2433744 */ // Label 30869: @2433744
     /* 2433744 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2433801), // Rule ID 57742 //
     /* 2433749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2433752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2433755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433763 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433763 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2433766 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433770 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433775 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2433780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433782 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433785 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433800 */   // GIR_Coverage, 57742,
     /* 2433800 */   GIR_EraseRootFromParent_Done,
     /* 2433801 */ // Label 30940: @2433801
     /* 2433801 */ GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2433858), // Rule ID 57743 //
     /* 2433806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2433809 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2433812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433820 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433820 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2433823 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433827 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433832 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433834 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2433837 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433839 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433842 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2433847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433857 */   // GIR_Coverage, 57743,
     /* 2433857 */   GIR_EraseRootFromParent_Done,
     /* 2433858 */ // Label 30941: @2433858
     /* 2433858 */ GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2433912), // Rule ID 57922 //
     /* 2433863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2433866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2433869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433877 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433877 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2433880 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433884 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433889 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2433894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433896 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433899 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433911 */   // GIR_Coverage, 57922,
     /* 2433911 */   GIR_EraseRootFromParent_Done,
     /* 2433912 */ // Label 30942: @2433912
     /* 2433912 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2433966), // Rule ID 57923 //
     /* 2433917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2433920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2433923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433931 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2433931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2433934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2433948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433950 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2433953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2433955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2433958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2433964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2433965 */   // GIR_Coverage, 57923,
     /* 2433965 */   GIR_EraseRootFromParent_Done,
     /* 2433966 */ // Label 30943: @2433966
     /* 2433966 */ GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2434023), // Rule ID 58150 //
     /* 2433971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2433974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2433977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2433981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2433985 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2433985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2433988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2433992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2433997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2433999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2434002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434022 */   // GIR_Coverage, 58150,
     /* 2434022 */   GIR_EraseRootFromParent_Done,
     /* 2434023 */ // Label 30944: @2434023
     /* 2434023 */ GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2434080), // Rule ID 58151 //
     /* 2434028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2434031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2434034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434042 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2434045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2434059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434079 */   // GIR_Coverage, 58151,
     /* 2434079 */   GIR_EraseRootFromParent_Done,
     /* 2434080 */ // Label 30945: @2434080
     /* 2434080 */ GIM_Reject,
     /* 2434081 */ // Label 30870: @2434081
     /* 2434081 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2434138), // Rule ID 57758 //
     /* 2434086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2434089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2434092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434100 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434100 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2434103 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434107 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434112 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2434117 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434119 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434122 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434137 */   // GIR_Coverage, 57758,
     /* 2434137 */   GIR_EraseRootFromParent_Done,
     /* 2434138 */ // Label 30946: @2434138
     /* 2434138 */ GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2434195), // Rule ID 57759 //
     /* 2434143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2434146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2434149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434157 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2434160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2434174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434179 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434194 */   // GIR_Coverage, 57759,
     /* 2434194 */   GIR_EraseRootFromParent_Done,
     /* 2434195 */ // Label 30947: @2434195
     /* 2434195 */ GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2434249), // Rule ID 57942 //
     /* 2434200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2434203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2434206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434214 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2434217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2434231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434248 */   // GIR_Coverage, 57942,
     /* 2434248 */   GIR_EraseRootFromParent_Done,
     /* 2434249 */ // Label 30948: @2434249
     /* 2434249 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2434303), // Rule ID 57943 //
     /* 2434254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2434257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2434260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434268 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434268 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2434271 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434275 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434280 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2434285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434287 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434290 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434301 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434302 */   // GIR_Coverage, 57943,
     /* 2434302 */   GIR_EraseRootFromParent_Done,
     /* 2434303 */ // Label 30949: @2434303
     /* 2434303 */ GIM_Reject,
     /* 2434304 */ // Label 30871: @2434304
     /* 2434304 */ GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2434361), // Rule ID 57730 //
     /* 2434309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2434312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2434315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434323 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2434340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434360 */   // GIR_Coverage, 57730,
     /* 2434360 */   GIR_EraseRootFromParent_Done,
     /* 2434361 */ // Label 30950: @2434361
     /* 2434361 */ GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2434418), // Rule ID 57731 //
     /* 2434366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2434369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2434372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434380 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434380 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434383 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434387 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434392 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2434397 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434399 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434402 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434416 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434417 */   // GIR_Coverage, 57731,
     /* 2434417 */   GIR_EraseRootFromParent_Done,
     /* 2434418 */ // Label 30951: @2434418
     /* 2434418 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2434472), // Rule ID 57902 //
     /* 2434423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2434426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2434429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434437 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434437 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434440 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434444 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434449 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434451 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2434454 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434456 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434459 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434470 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434471 */   // GIR_Coverage, 57902,
     /* 2434471 */   GIR_EraseRootFromParent_Done,
     /* 2434472 */ // Label 30952: @2434472
     /* 2434472 */ GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2434526), // Rule ID 57903 //
     /* 2434477 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2434480 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2434483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434491 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434491 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434494 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434498 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434503 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434505 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2434508 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434510 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434513 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434525 */   // GIR_Coverage, 57903,
     /* 2434525 */   GIR_EraseRootFromParent_Done,
     /* 2434526 */ // Label 30953: @2434526
     /* 2434526 */ GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2434583), // Rule ID 58134 //
     /* 2434531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2434534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2434537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434545 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434545 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434548 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434552 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2434562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434567 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434581 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434582 */   // GIR_Coverage, 58134,
     /* 2434582 */   GIR_EraseRootFromParent_Done,
     /* 2434583 */ // Label 30954: @2434583
     /* 2434583 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2434640), // Rule ID 58135 //
     /* 2434588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2434591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2434594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434598 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434602 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434602 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2434605 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434609 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434614 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434616 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2434619 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434621 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434624 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434639 */   // GIR_Coverage, 58135,
     /* 2434639 */   GIR_EraseRootFromParent_Done,
     /* 2434640 */ // Label 30955: @2434640
     /* 2434640 */ GIM_Reject,
     /* 2434641 */ // Label 30872: @2434641
     /* 2434641 */ GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2434698), // Rule ID 57746 //
     /* 2434646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2434649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2434652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434660 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434660 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434663 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434667 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434672 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434674 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2434677 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434679 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434682 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434697 */   // GIR_Coverage, 57746,
     /* 2434697 */   GIR_EraseRootFromParent_Done,
     /* 2434698 */ // Label 30956: @2434698
     /* 2434698 */ GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2434755), // Rule ID 57747 //
     /* 2434703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2434706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2434709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434717 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434717 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434720 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434724 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434729 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2434734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434736 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434753 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434754 */   // GIR_Coverage, 57747,
     /* 2434754 */   GIR_EraseRootFromParent_Done,
     /* 2434755 */ // Label 30957: @2434755
     /* 2434755 */ GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2434809), // Rule ID 57926 //
     /* 2434760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2434763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2434766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434774 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434774 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434777 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434781 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434786 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2434791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434793 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434796 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434808 */   // GIR_Coverage, 57926,
     /* 2434808 */   GIR_EraseRootFromParent_Done,
     /* 2434809 */ // Label 30958: @2434809
     /* 2434809 */ GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2434863), // Rule ID 57927 //
     /* 2434814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2434817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2434820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434828 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2434845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2434858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434862 */   // GIR_Coverage, 57927,
     /* 2434862 */   GIR_EraseRootFromParent_Done,
     /* 2434863 */ // Label 30959: @2434863
     /* 2434863 */ GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2434920), // Rule ID 58154 //
     /* 2434868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2434871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2434874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2434882 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2434899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434919 */   // GIR_Coverage, 58154,
     /* 2434919 */   GIR_EraseRootFromParent_Done,
     /* 2434920 */ // Label 30960: @2434920
     /* 2434920 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2434977), // Rule ID 58155 //
     /* 2434925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2434928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2434931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2434935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2434939 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2434939 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2434942 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2434946 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2434951 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2434953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2434956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434958 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2434961 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2434963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2434966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2434969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434975 */   GIR_RootConstrainSelectedInstOperands,
     /* 2434976 */   // GIR_Coverage, 58155,
     /* 2434976 */   GIR_EraseRootFromParent_Done,
     /* 2434977 */ // Label 30961: @2434977
     /* 2434977 */ GIM_Reject,
     /* 2434978 */ // Label 30873: @2434978
     /* 2434978 */ GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2435035), // Rule ID 57762 //
     /* 2434983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2434986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2434989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2434993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2434997 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2434997 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2435000 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435004 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435009 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435011 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2435014 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435016 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435019 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435033 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435034 */   // GIR_Coverage, 57762,
     /* 2435034 */   GIR_EraseRootFromParent_Done,
     /* 2435035 */ // Label 30962: @2435035
     /* 2435035 */ GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2435092), // Rule ID 57763 //
     /* 2435040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2435043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2435046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435054 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2435057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2435071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435076 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2435087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435091 */   // GIR_Coverage, 57763,
     /* 2435091 */   GIR_EraseRootFromParent_Done,
     /* 2435092 */ // Label 30963: @2435092
     /* 2435092 */ GIM_Try, /*On fail goto*//*Label 30964*/ GIMT_Encode4(2435146), // Rule ID 57946 //
     /* 2435097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2435100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2435103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435111 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2435114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2435128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435144 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435145 */   // GIR_Coverage, 57946,
     /* 2435145 */   GIR_EraseRootFromParent_Done,
     /* 2435146 */ // Label 30964: @2435146
     /* 2435146 */ GIM_Try, /*On fail goto*//*Label 30965*/ GIMT_Encode4(2435200), // Rule ID 57947 //
     /* 2435151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2435154 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2435157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435165 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435165 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2435168 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435172 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435177 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2435182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435184 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435187 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435189 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435199 */   // GIR_Coverage, 57947,
     /* 2435199 */   GIR_EraseRootFromParent_Done,
     /* 2435200 */ // Label 30965: @2435200
     /* 2435200 */ GIM_Reject,
     /* 2435201 */ // Label 30874: @2435201
     /* 2435201 */ GIM_Try, /*On fail goto*//*Label 30966*/ GIMT_Encode4(2435258), // Rule ID 57734 //
     /* 2435206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2435209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2435212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435220 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435220 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435223 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435227 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435232 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2435237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435239 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435242 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435257 */   // GIR_Coverage, 57734,
     /* 2435257 */   GIR_EraseRootFromParent_Done,
     /* 2435258 */ // Label 30966: @2435258
     /* 2435258 */ GIM_Try, /*On fail goto*//*Label 30967*/ GIMT_Encode4(2435315), // Rule ID 57735 //
     /* 2435263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2435266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2435269 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435273 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435277 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435277 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435280 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435284 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435289 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435291 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2435294 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435296 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435299 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435313 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435314 */   // GIR_Coverage, 57735,
     /* 2435314 */   GIR_EraseRootFromParent_Done,
     /* 2435315 */ // Label 30967: @2435315
     /* 2435315 */ GIM_Try, /*On fail goto*//*Label 30968*/ GIMT_Encode4(2435369), // Rule ID 57906 //
     /* 2435320 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2435323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2435326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435330 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435334 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435334 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435337 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435341 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435346 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2435351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435353 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435356 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435367 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435368 */   // GIR_Coverage, 57906,
     /* 2435368 */   GIR_EraseRootFromParent_Done,
     /* 2435369 */ // Label 30968: @2435369
     /* 2435369 */ GIM_Try, /*On fail goto*//*Label 30969*/ GIMT_Encode4(2435423), // Rule ID 57907 //
     /* 2435374 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2435377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2435380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435388 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435388 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435391 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435395 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435400 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2435405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435407 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435410 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435422 */   // GIR_Coverage, 57907,
     /* 2435422 */   GIR_EraseRootFromParent_Done,
     /* 2435423 */ // Label 30969: @2435423
     /* 2435423 */ GIM_Try, /*On fail goto*//*Label 30970*/ GIMT_Encode4(2435480), // Rule ID 58138 //
     /* 2435428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2435431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2435434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435438 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435442 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435442 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435445 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435449 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435454 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2435459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435461 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435464 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435479 */   // GIR_Coverage, 58138,
     /* 2435479 */   GIR_EraseRootFromParent_Done,
     /* 2435480 */ // Label 30970: @2435480
     /* 2435480 */ GIM_Try, /*On fail goto*//*Label 30971*/ GIMT_Encode4(2435537), // Rule ID 58139 //
     /* 2435485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2435488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2435491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435499 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435499 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2435502 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435506 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435511 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435513 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2435516 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435518 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435521 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435536 */   // GIR_Coverage, 58139,
     /* 2435536 */   GIR_EraseRootFromParent_Done,
     /* 2435537 */ // Label 30971: @2435537
     /* 2435537 */ GIM_Reject,
     /* 2435538 */ // Label 30875: @2435538
     /* 2435538 */ GIM_Try, /*On fail goto*//*Label 30972*/ GIMT_Encode4(2435595), // Rule ID 57750 //
     /* 2435543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2435546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2435549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435557 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2435560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2435574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435594 */   // GIR_Coverage, 57750,
     /* 2435594 */   GIR_EraseRootFromParent_Done,
     /* 2435595 */ // Label 30972: @2435595
     /* 2435595 */ GIM_Try, /*On fail goto*//*Label 30973*/ GIMT_Encode4(2435652), // Rule ID 57751 //
     /* 2435600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2435603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2435606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435614 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2435617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2435631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435650 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435651 */   // GIR_Coverage, 57751,
     /* 2435651 */   GIR_EraseRootFromParent_Done,
     /* 2435652 */ // Label 30973: @2435652
     /* 2435652 */ GIM_Try, /*On fail goto*//*Label 30974*/ GIMT_Encode4(2435706), // Rule ID 57930 //
     /* 2435657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2435660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2435663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435671 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435671 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2435674 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435678 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435683 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2435688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435690 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435693 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435704 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435705 */   // GIR_Coverage, 57930,
     /* 2435705 */   GIR_EraseRootFromParent_Done,
     /* 2435706 */ // Label 30974: @2435706
     /* 2435706 */ GIM_Try, /*On fail goto*//*Label 30975*/ GIMT_Encode4(2435760), // Rule ID 57931 //
     /* 2435711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2435714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2435717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435721 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435725 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435725 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2435728 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435732 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435737 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435739 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2435742 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435744 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435747 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435759 */   // GIR_Coverage, 57931,
     /* 2435759 */   GIR_EraseRootFromParent_Done,
     /* 2435760 */ // Label 30975: @2435760
     /* 2435760 */ GIM_Reject,
     /* 2435761 */ // Label 30876: @2435761
     /* 2435761 */ GIM_Try, /*On fail goto*//*Label 30976*/ GIMT_Encode4(2435818), // Rule ID 57738 //
     /* 2435766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2435769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2435772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435780 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2435783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2435797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435817 */   // GIR_Coverage, 57738,
     /* 2435817 */   GIR_EraseRootFromParent_Done,
     /* 2435818 */ // Label 30976: @2435818
     /* 2435818 */ GIM_Try, /*On fail goto*//*Label 30977*/ GIMT_Encode4(2435875), // Rule ID 57739 //
     /* 2435823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2435826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2435829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435837 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435837 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2435840 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435844 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2435854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2435864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435874 */   // GIR_Coverage, 57739,
     /* 2435874 */   GIR_EraseRootFromParent_Done,
     /* 2435875 */ // Label 30977: @2435875
     /* 2435875 */ GIM_Try, /*On fail goto*//*Label 30978*/ GIMT_Encode4(2435929), // Rule ID 57910 //
     /* 2435880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2435883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2435886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435894 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2435894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2435897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2435911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435928 */   // GIR_Coverage, 57910,
     /* 2435928 */   GIR_EraseRootFromParent_Done,
     /* 2435929 */ // Label 30978: @2435929
     /* 2435929 */ GIM_Try, /*On fail goto*//*Label 30979*/ GIMT_Encode4(2435983), // Rule ID 57911 //
     /* 2435934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2435937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2435940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2435944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2435948 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2435948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2435951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2435955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2435960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2435962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2435965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2435970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2435972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2435975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2435982 */   // GIR_Coverage, 57911,
     /* 2435982 */   GIR_EraseRootFromParent_Done,
     /* 2435983 */ // Label 30979: @2435983
     /* 2435983 */ GIM_Reject,
     /* 2435984 */ // Label 30877: @2435984
     /* 2435984 */ GIM_Reject,
     /* 2435985 */ // Label 68: @2435985
     /* 2435985 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 30998*/ GIMT_Encode4(2441270),
     /* 2435996 */ /*GILLT_s16*//*Label 30980*/ GIMT_Encode4(2436116),
     /* 2436000 */ /*GILLT_s32*//*Label 30981*/ GIMT_Encode4(2436377),
     /* 2436004 */ /*GILLT_s64*//*Label 30982*/ GIMT_Encode4(2436638), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436016 */ /*GILLT_nxv1s16*//*Label 30983*/ GIMT_Encode4(2436899),
     /* 2436020 */ /*GILLT_nxv1s32*//*Label 30984*/ GIMT_Encode4(2437236),
     /* 2436024 */ /*GILLT_nxv1s64*//*Label 30985*/ GIMT_Encode4(2437573), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436036 */ /*GILLT_nxv2s16*//*Label 30986*/ GIMT_Encode4(2437796),
     /* 2436040 */ /*GILLT_nxv2s32*//*Label 30987*/ GIMT_Encode4(2438133),
     /* 2436044 */ /*GILLT_nxv2s64*//*Label 30988*/ GIMT_Encode4(2438470), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436056 */ /*GILLT_nxv4s16*//*Label 30989*/ GIMT_Encode4(2438693),
     /* 2436060 */ /*GILLT_nxv4s32*//*Label 30990*/ GIMT_Encode4(2439030),
     /* 2436064 */ /*GILLT_nxv4s64*//*Label 30991*/ GIMT_Encode4(2439367), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436076 */ /*GILLT_nxv8s16*//*Label 30992*/ GIMT_Encode4(2439590),
     /* 2436080 */ /*GILLT_nxv8s32*//*Label 30993*/ GIMT_Encode4(2439927),
     /* 2436084 */ /*GILLT_nxv8s64*//*Label 30994*/ GIMT_Encode4(2440264), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436096 */ /*GILLT_nxv16s16*//*Label 30995*/ GIMT_Encode4(2440487),
     /* 2436100 */ /*GILLT_nxv16s32*//*Label 30996*/ GIMT_Encode4(2440824), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2436112 */ /*GILLT_nxv32s16*//*Label 30997*/ GIMT_Encode4(2441047),
     /* 2436116 */ // Label 30980: @2436116
     /* 2436116 */ GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2436153), // Rule ID 2121 //
     /* 2436121 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2436124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2436131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436138 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2436141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436152 */   // GIR_Coverage, 2121,
     /* 2436152 */   GIR_EraseRootFromParent_Done,
     /* 2436153 */ // Label 30999: @2436153
     /* 2436153 */ GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2436190), // Rule ID 2147 //
     /* 2436158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2436161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2436168 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436175 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2436178 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436180 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436189 */   // GIR_Coverage, 2147,
     /* 2436189 */   GIR_EraseRootFromParent_Done,
     /* 2436190 */ // Label 31000: @2436190
     /* 2436190 */ GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2436221), // Rule ID 2072 //
     /* 2436195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2436198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2436205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436209 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2436209 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2436212 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436214 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436220 */   // GIR_Coverage, 2072,
     /* 2436220 */   GIR_EraseRootFromParent_Done,
     /* 2436221 */ // Label 31001: @2436221
     /* 2436221 */ GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2436252), // Rule ID 2073 //
     /* 2436226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2436229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2436236 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436240 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2436240 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2436243 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436245 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436251 */   // GIR_Coverage, 2073,
     /* 2436251 */   GIR_EraseRootFromParent_Done,
     /* 2436252 */ // Label 31002: @2436252
     /* 2436252 */ GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2436283), // Rule ID 2098 //
     /* 2436257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2436260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2436267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436271 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2436271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2436274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436276 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436282 */   // GIR_Coverage, 2098,
     /* 2436282 */   GIR_EraseRootFromParent_Done,
     /* 2436283 */ // Label 31003: @2436283
     /* 2436283 */ GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2436314), // Rule ID 2099 //
     /* 2436288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2436291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2436298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436302 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2436302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2436305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436313 */   // GIR_Coverage, 2099,
     /* 2436313 */   GIR_EraseRootFromParent_Done,
     /* 2436314 */ // Label 31004: @2436314
     /* 2436314 */ GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2436345), // Rule ID 2125 //
     /* 2436319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2436322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2436329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436333 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2436336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436344 */   // GIR_Coverage, 2125,
     /* 2436344 */   GIR_EraseRootFromParent_Done,
     /* 2436345 */ // Label 31005: @2436345
     /* 2436345 */ GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2436376), // Rule ID 2151 //
     /* 2436350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2436353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2436360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436364 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436364 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2436367 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436369 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436375 */   // GIR_Coverage, 2151,
     /* 2436375 */   GIR_EraseRootFromParent_Done,
     /* 2436376 */ // Label 31006: @2436376
     /* 2436376 */ GIM_Reject,
     /* 2436377 */ // Label 30981: @2436377
     /* 2436377 */ GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2436414), // Rule ID 1387 //
     /* 2436382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2436385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2436392 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436399 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2436402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436413 */   // GIR_Coverage, 1387,
     /* 2436413 */   GIR_EraseRootFromParent_Done,
     /* 2436414 */ // Label 31007: @2436414
     /* 2436414 */ GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2436451), // Rule ID 1415 //
     /* 2436419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2436422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2436429 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436436 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2436439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436450 */   // GIR_Coverage, 1415,
     /* 2436450 */   GIR_EraseRootFromParent_Done,
     /* 2436451 */ // Label 31008: @2436451
     /* 2436451 */ GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2436482), // Rule ID 1336 //
     /* 2436456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2436459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2436466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436470 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2436470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2436473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436475 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436481 */   // GIR_Coverage, 1336,
     /* 2436481 */   GIR_EraseRootFromParent_Done,
     /* 2436482 */ // Label 31009: @2436482
     /* 2436482 */ GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2436513), // Rule ID 1337 //
     /* 2436487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2436490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2436497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436501 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2436501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2436504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436506 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436512 */   // GIR_Coverage, 1337,
     /* 2436512 */   GIR_EraseRootFromParent_Done,
     /* 2436513 */ // Label 31010: @2436513
     /* 2436513 */ GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2436544), // Rule ID 1362 //
     /* 2436518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2436521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2436528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436532 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2436532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2436535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436537 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436543 */   // GIR_Coverage, 1362,
     /* 2436543 */   GIR_EraseRootFromParent_Done,
     /* 2436544 */ // Label 31011: @2436544
     /* 2436544 */ GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2436575), // Rule ID 1363 //
     /* 2436549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2436552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2436559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436563 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2436563 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2436566 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436574 */   // GIR_Coverage, 1363,
     /* 2436574 */   GIR_EraseRootFromParent_Done,
     /* 2436575 */ // Label 31012: @2436575
     /* 2436575 */ GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2436606), // Rule ID 1391 //
     /* 2436580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2436583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2436590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436594 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436594 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2436597 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436599 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436604 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436605 */   // GIR_Coverage, 1391,
     /* 2436605 */   GIR_EraseRootFromParent_Done,
     /* 2436606 */ // Label 31013: @2436606
     /* 2436606 */ GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2436637), // Rule ID 1419 //
     /* 2436611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2436614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2436621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436625 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2436628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436636 */   // GIR_Coverage, 1419,
     /* 2436636 */   GIR_EraseRootFromParent_Done,
     /* 2436637 */ // Label 31014: @2436637
     /* 2436637 */ GIM_Reject,
     /* 2436638 */ // Label 30982: @2436638
     /* 2436638 */ GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2436675), // Rule ID 1767 //
     /* 2436643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2436646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2436653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436660 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2436660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2436663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436665 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436673 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436674 */   // GIR_Coverage, 1767,
     /* 2436674 */   GIR_EraseRootFromParent_Done,
     /* 2436675 */ // Label 31015: @2436675
     /* 2436675 */ GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2436712), // Rule ID 1795 //
     /* 2436680 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2436683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436690 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2436697 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2436697 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2436700 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436702 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2436707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436711 */   // GIR_Coverage, 1795,
     /* 2436711 */   GIR_EraseRootFromParent_Done,
     /* 2436712 */ // Label 31016: @2436712
     /* 2436712 */ GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2436743), // Rule ID 1730 //
     /* 2436717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2436720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2436727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436731 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2436731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2436734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436742 */   // GIR_Coverage, 1730,
     /* 2436742 */   GIR_EraseRootFromParent_Done,
     /* 2436743 */ // Label 31017: @2436743
     /* 2436743 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2436774), // Rule ID 1731 //
     /* 2436748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2436751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2436758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436762 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2436762 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2436765 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436773 */   // GIR_Coverage, 1731,
     /* 2436773 */   GIR_EraseRootFromParent_Done,
     /* 2436774 */ // Label 31018: @2436774
     /* 2436774 */ GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2436805), // Rule ID 1756 //
     /* 2436779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2436782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2436789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436793 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2436793 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2436796 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436798 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436803 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436804 */   // GIR_Coverage, 1756,
     /* 2436804 */   GIR_EraseRootFromParent_Done,
     /* 2436805 */ // Label 31019: @2436805
     /* 2436805 */ GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2436836), // Rule ID 1757 //
     /* 2436810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2436813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2436816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2436820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436824 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2436824 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2436827 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436829 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2436834 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436835 */   // GIR_Coverage, 1757,
     /* 2436835 */   GIR_EraseRootFromParent_Done,
     /* 2436836 */ // Label 31020: @2436836
     /* 2436836 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2436867), // Rule ID 1785 //
     /* 2436841 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2436844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2436851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436855 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2436858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436860 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436865 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436866 */   // GIR_Coverage, 1785,
     /* 2436866 */   GIR_EraseRootFromParent_Done,
     /* 2436867 */ // Label 31021: @2436867
     /* 2436867 */ GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2436898), // Rule ID 1813 //
     /* 2436872 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2436875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2436878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436882 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436886 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2436886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2436889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436891 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436893 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436896 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436897 */   // GIR_Coverage, 1813,
     /* 2436897 */   GIR_EraseRootFromParent_Done,
     /* 2436898 */ // Label 31022: @2436898
     /* 2436898 */ GIM_Reject,
     /* 2436899 */ // Label 30983: @2436899
     /* 2436899 */ GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2436956), // Rule ID 57766 //
     /* 2436904 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2436907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2436910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436918 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2436918 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2436921 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2436925 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2436930 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2436932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2436935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436937 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2436940 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2436945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2436948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2436951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2436954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2436955 */   // GIR_Coverage, 57766,
     /* 2436955 */   GIR_EraseRootFromParent_Done,
     /* 2436956 */ // Label 31023: @2436956
     /* 2436956 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2437013), // Rule ID 57767 //
     /* 2436961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2436964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2436967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2436975 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2436975 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2436978 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2436982 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2436987 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2436989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2436992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436994 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2436997 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2436999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437012 */   // GIR_Coverage, 57767,
     /* 2437012 */   GIR_EraseRootFromParent_Done,
     /* 2437013 */ // Label 31024: @2437013
     /* 2437013 */ GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2437067), // Rule ID 57950 //
     /* 2437018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2437021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2437024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437032 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2437035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437044 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437046 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2437049 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437051 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437054 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437066 */   // GIR_Coverage, 57950,
     /* 2437066 */   GIR_EraseRootFromParent_Done,
     /* 2437067 */ // Label 31025: @2437067
     /* 2437067 */ GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2437121), // Rule ID 57951 //
     /* 2437072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2437075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2437078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437086 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437086 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2437089 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437093 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437098 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2437103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437105 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437108 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437116 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437119 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437120 */   // GIR_Coverage, 57951,
     /* 2437120 */   GIR_EraseRootFromParent_Done,
     /* 2437121 */ // Label 31026: @2437121
     /* 2437121 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2437178), // Rule ID 58158 //
     /* 2437126 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2437129 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437140 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437140 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2437143 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437147 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437152 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2437157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437159 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437162 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437176 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437177 */   // GIR_Coverage, 58158,
     /* 2437177 */   GIR_EraseRootFromParent_Done,
     /* 2437178 */ // Label 31027: @2437178
     /* 2437178 */ GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2437235), // Rule ID 58159 //
     /* 2437183 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2437186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437197 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437197 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2437200 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437204 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437209 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437211 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2437214 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437216 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437219 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437234 */   // GIR_Coverage, 58159,
     /* 2437234 */   GIR_EraseRootFromParent_Done,
     /* 2437235 */ // Label 31028: @2437235
     /* 2437235 */ GIM_Reject,
     /* 2437236 */ // Label 30984: @2437236
     /* 2437236 */ GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2437293), // Rule ID 57774 //
     /* 2437241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2437244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437255 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437267 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2437272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437274 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437277 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437292 */   // GIR_Coverage, 57774,
     /* 2437292 */   GIR_EraseRootFromParent_Done,
     /* 2437293 */ // Label 31029: @2437293
     /* 2437293 */ GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2437350), // Rule ID 57775 //
     /* 2437298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2437301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437312 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437312 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437315 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437319 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437324 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437326 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2437329 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437331 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437334 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437349 */   // GIR_Coverage, 57775,
     /* 2437349 */   GIR_EraseRootFromParent_Done,
     /* 2437350 */ // Label 31030: @2437350
     /* 2437350 */ GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2437404), // Rule ID 57974 //
     /* 2437355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2437358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2437361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437369 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437369 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437372 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437376 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437381 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2437386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437388 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437391 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437396 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437402 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437403 */   // GIR_Coverage, 57974,
     /* 2437403 */   GIR_EraseRootFromParent_Done,
     /* 2437404 */ // Label 31031: @2437404
     /* 2437404 */ GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2437458), // Rule ID 57975 //
     /* 2437409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2437412 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2437415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437423 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437423 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437426 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437430 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437435 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2437440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437442 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437445 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437457 */   // GIR_Coverage, 57975,
     /* 2437457 */   GIR_EraseRootFromParent_Done,
     /* 2437458 */ // Label 31032: @2437458
     /* 2437458 */ GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2437515), // Rule ID 58178 //
     /* 2437463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2437466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2437469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437477 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437477 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437480 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437484 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437489 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437491 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2437494 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437496 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437499 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437513 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437514 */   // GIR_Coverage, 58178,
     /* 2437514 */   GIR_EraseRootFromParent_Done,
     /* 2437515 */ // Label 31033: @2437515
     /* 2437515 */ GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2437572), // Rule ID 58179 //
     /* 2437520 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2437523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2437526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437530 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437534 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437534 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2437537 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437541 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437546 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437548 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2437551 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437553 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437556 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437571 */   // GIR_Coverage, 58179,
     /* 2437571 */   GIR_EraseRootFromParent_Done,
     /* 2437572 */ // Label 31034: @2437572
     /* 2437572 */ GIM_Reject,
     /* 2437573 */ // Label 30985: @2437573
     /* 2437573 */ GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2437630), // Rule ID 57786 //
     /* 2437578 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2437581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2437584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437592 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2437595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437604 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2437609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437611 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437614 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437629 */   // GIR_Coverage, 57786,
     /* 2437629 */   GIR_EraseRootFromParent_Done,
     /* 2437630 */ // Label 31035: @2437630
     /* 2437630 */ GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2437687), // Rule ID 57787 //
     /* 2437635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2437638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2437641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437649 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437649 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2437652 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437656 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437661 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2437666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437668 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437671 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437676 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437679 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437685 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437686 */   // GIR_Coverage, 57787,
     /* 2437686 */   GIR_EraseRootFromParent_Done,
     /* 2437687 */ // Label 31036: @2437687
     /* 2437687 */ GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2437741), // Rule ID 57994 //
     /* 2437692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2437695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437706 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437706 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2437709 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437713 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437718 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437720 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2437723 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437725 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437728 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437740 */   // GIR_Coverage, 57994,
     /* 2437740 */   GIR_EraseRootFromParent_Done,
     /* 2437741 */ // Label 31037: @2437741
     /* 2437741 */ GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2437795), // Rule ID 57995 //
     /* 2437746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2437749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2437752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437760 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2437763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437772 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2437777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437779 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437782 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2437790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437794 */   // GIR_Coverage, 57995,
     /* 2437794 */   GIR_EraseRootFromParent_Done,
     /* 2437795 */ // Label 31038: @2437795
     /* 2437795 */ GIM_Reject,
     /* 2437796 */ // Label 30986: @2437796
     /* 2437796 */ GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2437853), // Rule ID 57770 //
     /* 2437801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2437804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2437807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437815 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437815 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2437818 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437822 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437827 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437829 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2437832 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437834 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437837 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437845 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437848 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437851 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437852 */   // GIR_Coverage, 57770,
     /* 2437852 */   GIR_EraseRootFromParent_Done,
     /* 2437853 */ // Label 31039: @2437853
     /* 2437853 */ GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2437910), // Rule ID 57771 //
     /* 2437858 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2437861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2437864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437872 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437872 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2437875 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437879 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437884 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2437889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437891 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437894 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2437899 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437909 */   // GIR_Coverage, 57771,
     /* 2437909 */   GIR_EraseRootFromParent_Done,
     /* 2437910 */ // Label 31040: @2437910
     /* 2437910 */ GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2437964), // Rule ID 57954 //
     /* 2437915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2437918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2437921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437929 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2437929 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2437932 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437936 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437941 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2437946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437948 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2437951 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2437953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2437956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437962 */   GIR_RootConstrainSelectedInstOperands,
     /* 2437963 */   // GIR_Coverage, 57954,
     /* 2437963 */   GIR_EraseRootFromParent_Done,
     /* 2437964 */ // Label 31041: @2437964
     /* 2437964 */ GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2438018), // Rule ID 57955 //
     /* 2437969 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2437972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2437975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437983 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2437983 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2437986 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2437990 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2437995 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2437997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2438000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438002 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438005 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438017 */   // GIR_Coverage, 57955,
     /* 2438017 */   GIR_EraseRootFromParent_Done,
     /* 2438018 */ // Label 31042: @2438018
     /* 2438018 */ GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2438075), // Rule ID 58162 //
     /* 2438023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2438026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438037 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438037 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2438040 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438044 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438049 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438051 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2438054 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438056 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438059 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438074 */   // GIR_Coverage, 58162,
     /* 2438074 */   GIR_EraseRootFromParent_Done,
     /* 2438075 */ // Label 31043: @2438075
     /* 2438075 */ GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2438132), // Rule ID 58163 //
     /* 2438080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2438083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438094 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2438097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438106 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2438111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438113 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438116 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438130 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438131 */   // GIR_Coverage, 58163,
     /* 2438131 */   GIR_EraseRootFromParent_Done,
     /* 2438132 */ // Label 31044: @2438132
     /* 2438132 */ GIM_Reject,
     /* 2438133 */ // Label 30987: @2438133
     /* 2438133 */ GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2438190), // Rule ID 57782 //
     /* 2438138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2438141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438152 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438152 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438155 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438159 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2438169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438171 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438174 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438189 */   // GIR_Coverage, 57782,
     /* 2438189 */   GIR_EraseRootFromParent_Done,
     /* 2438190 */ // Label 31045: @2438190
     /* 2438190 */ GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2438247), // Rule ID 57783 //
     /* 2438195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2438198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438201 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438205 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438209 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438209 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438212 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438216 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438221 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438223 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2438226 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438228 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438231 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438239 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438246 */   // GIR_Coverage, 57783,
     /* 2438246 */   GIR_EraseRootFromParent_Done,
     /* 2438247 */ // Label 31046: @2438247
     /* 2438247 */ GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2438301), // Rule ID 57978 //
     /* 2438252 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2438255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2438258 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438262 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438266 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438266 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438269 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438273 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438278 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2438283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438285 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438288 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438300 */   // GIR_Coverage, 57978,
     /* 2438300 */   GIR_EraseRootFromParent_Done,
     /* 2438301 */ // Label 31047: @2438301
     /* 2438301 */ GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2438355), // Rule ID 57979 //
     /* 2438306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2438309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2438312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438320 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438320 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438323 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438327 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438332 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2438337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438339 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438342 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438354 */   // GIR_Coverage, 57979,
     /* 2438354 */   GIR_EraseRootFromParent_Done,
     /* 2438355 */ // Label 31048: @2438355
     /* 2438355 */ GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2438412), // Rule ID 58182 //
     /* 2438360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2438363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2438366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438374 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438374 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438377 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438381 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438386 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2438391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438393 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438396 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438411 */   // GIR_Coverage, 58182,
     /* 2438411 */   GIR_EraseRootFromParent_Done,
     /* 2438412 */ // Label 31049: @2438412
     /* 2438412 */ GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2438469), // Rule ID 58183 //
     /* 2438417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2438420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2438423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438431 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2438434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2438448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438464 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438467 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438468 */   // GIR_Coverage, 58183,
     /* 2438468 */   GIR_EraseRootFromParent_Done,
     /* 2438469 */ // Label 31050: @2438469
     /* 2438469 */ GIM_Reject,
     /* 2438470 */ // Label 30988: @2438470
     /* 2438470 */ GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2438527), // Rule ID 57814 //
     /* 2438475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2438478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2438481 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438485 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438489 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438489 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2438492 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438496 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438501 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2438506 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438508 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438511 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438526 */   // GIR_Coverage, 57814,
     /* 2438526 */   GIR_EraseRootFromParent_Done,
     /* 2438527 */ // Label 31051: @2438527
     /* 2438527 */ GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2438584), // Rule ID 57815 //
     /* 2438532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2438535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2438538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438546 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438546 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2438549 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438553 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438558 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2438563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438565 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438568 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438583 */   // GIR_Coverage, 57815,
     /* 2438583 */   GIR_EraseRootFromParent_Done,
     /* 2438584 */ // Label 31052: @2438584
     /* 2438584 */ GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2438638), // Rule ID 57998 //
     /* 2438589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2438592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438603 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438603 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2438606 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438610 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438615 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2438620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438622 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438637 */   // GIR_Coverage, 57998,
     /* 2438637 */   GIR_EraseRootFromParent_Done,
     /* 2438638 */ // Label 31053: @2438638
     /* 2438638 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2438692), // Rule ID 57999 //
     /* 2438643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2438646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2438649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438657 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438657 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2438660 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438664 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438669 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2438674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438676 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438679 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438690 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438691 */   // GIR_Coverage, 57999,
     /* 2438691 */   GIR_EraseRootFromParent_Done,
     /* 2438692 */ // Label 31054: @2438692
     /* 2438692 */ GIM_Reject,
     /* 2438693 */ // Label 30989: @2438693
     /* 2438693 */ GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2438750), // Rule ID 57778 //
     /* 2438698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2438701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2438704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438712 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438712 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438715 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438719 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438724 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2438729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438731 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438734 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438749 */   // GIR_Coverage, 57778,
     /* 2438749 */   GIR_EraseRootFromParent_Done,
     /* 2438750 */ // Label 31055: @2438750
     /* 2438750 */ GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2438807), // Rule ID 57779 //
     /* 2438755 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2438758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2438761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438769 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438769 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438772 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438776 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438781 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2438786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438788 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438791 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438806 */   // GIR_Coverage, 57779,
     /* 2438806 */   GIR_EraseRootFromParent_Done,
     /* 2438807 */ // Label 31056: @2438807
     /* 2438807 */ GIM_Try, /*On fail goto*//*Label 31057*/ GIMT_Encode4(2438861), // Rule ID 57958 //
     /* 2438812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2438815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2438818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438826 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438838 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2438843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438845 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438848 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438859 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438860 */   // GIR_Coverage, 57958,
     /* 2438860 */   GIR_EraseRootFromParent_Done,
     /* 2438861 */ // Label 31057: @2438861
     /* 2438861 */ GIM_Try, /*On fail goto*//*Label 31058*/ GIMT_Encode4(2438915), // Rule ID 57959 //
     /* 2438866 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2438869 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2438872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438880 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438880 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438883 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438887 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438892 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438894 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2438897 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438899 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438913 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438914 */   // GIR_Coverage, 57959,
     /* 2438914 */   GIR_EraseRootFromParent_Done,
     /* 2438915 */ // Label 31058: @2438915
     /* 2438915 */ GIM_Try, /*On fail goto*//*Label 31059*/ GIMT_Encode4(2438972), // Rule ID 58166 //
     /* 2438920 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2438923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2438926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438934 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2438934 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438937 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438941 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2438946 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2438948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2438951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438953 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2438956 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2438958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2438961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2438964 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2438967 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2438970 */   GIR_RootConstrainSelectedInstOperands,
     /* 2438971 */   // GIR_Coverage, 58166,
     /* 2438971 */   GIR_EraseRootFromParent_Done,
     /* 2438972 */ // Label 31059: @2438972
     /* 2438972 */ GIM_Try, /*On fail goto*//*Label 31060*/ GIMT_Encode4(2439029), // Rule ID 58167 //
     /* 2438977 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2438980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2438983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2438987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2438991 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2438991 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2438994 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2438998 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439003 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2439008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439010 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439013 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439028 */   // GIR_Coverage, 58167,
     /* 2439028 */   GIR_EraseRootFromParent_Done,
     /* 2439029 */ // Label 31060: @2439029
     /* 2439029 */ GIM_Reject,
     /* 2439030 */ // Label 30990: @2439030
     /* 2439030 */ GIM_Try, /*On fail goto*//*Label 31061*/ GIMT_Encode4(2439087), // Rule ID 57802 //
     /* 2439035 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2439038 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2439041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439049 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439049 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439052 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439056 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439061 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2439066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439068 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439086 */   // GIR_Coverage, 57802,
     /* 2439086 */   GIR_EraseRootFromParent_Done,
     /* 2439087 */ // Label 31061: @2439087
     /* 2439087 */ GIM_Try, /*On fail goto*//*Label 31062*/ GIMT_Encode4(2439144), // Rule ID 57803 //
     /* 2439092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2439095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2439098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439106 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2439123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439139 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439142 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439143 */   // GIR_Coverage, 57803,
     /* 2439143 */   GIR_EraseRootFromParent_Done,
     /* 2439144 */ // Label 31062: @2439144
     /* 2439144 */ GIM_Try, /*On fail goto*//*Label 31063*/ GIMT_Encode4(2439198), // Rule ID 57982 //
     /* 2439149 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2439152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2439155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439163 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439163 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439166 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439170 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439175 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439177 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2439180 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439182 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439197 */   // GIR_Coverage, 57982,
     /* 2439197 */   GIR_EraseRootFromParent_Done,
     /* 2439198 */ // Label 31063: @2439198
     /* 2439198 */ GIM_Try, /*On fail goto*//*Label 31064*/ GIMT_Encode4(2439252), // Rule ID 57983 //
     /* 2439203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2439206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2439209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439217 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439217 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439220 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439224 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439229 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2439234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439236 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439239 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439251 */   // GIR_Coverage, 57983,
     /* 2439251 */   GIR_EraseRootFromParent_Done,
     /* 2439252 */ // Label 31064: @2439252
     /* 2439252 */ GIM_Try, /*On fail goto*//*Label 31065*/ GIMT_Encode4(2439309), // Rule ID 58186 //
     /* 2439257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2439260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2439263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439271 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2439288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439308 */   // GIR_Coverage, 58186,
     /* 2439308 */   GIR_EraseRootFromParent_Done,
     /* 2439309 */ // Label 31065: @2439309
     /* 2439309 */ GIM_Try, /*On fail goto*//*Label 31066*/ GIMT_Encode4(2439366), // Rule ID 58187 //
     /* 2439314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2439317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2439320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439328 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439328 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2439331 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439335 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439340 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2439345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439347 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439350 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439365 */   // GIR_Coverage, 58187,
     /* 2439365 */   GIR_EraseRootFromParent_Done,
     /* 2439366 */ // Label 31066: @2439366
     /* 2439366 */ GIM_Reject,
     /* 2439367 */ // Label 30991: @2439367
     /* 2439367 */ GIM_Try, /*On fail goto*//*Label 31067*/ GIMT_Encode4(2439424), // Rule ID 57818 //
     /* 2439372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2439375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2439378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439386 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439386 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2439389 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439393 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439398 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439400 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2439403 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439405 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439408 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439413 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439423 */   // GIR_Coverage, 57818,
     /* 2439423 */   GIR_EraseRootFromParent_Done,
     /* 2439424 */ // Label 31067: @2439424
     /* 2439424 */ GIM_Try, /*On fail goto*//*Label 31068*/ GIMT_Encode4(2439481), // Rule ID 57819 //
     /* 2439429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2439432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2439435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439443 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2439446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439455 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2439460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439480 */   // GIR_Coverage, 57819,
     /* 2439480 */   GIR_EraseRootFromParent_Done,
     /* 2439481 */ // Label 31068: @2439481
     /* 2439481 */ GIM_Try, /*On fail goto*//*Label 31069*/ GIMT_Encode4(2439535), // Rule ID 58002 //
     /* 2439486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2439489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2439492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439500 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2439503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2439517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439533 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439534 */   // GIR_Coverage, 58002,
     /* 2439534 */   GIR_EraseRootFromParent_Done,
     /* 2439535 */ // Label 31069: @2439535
     /* 2439535 */ GIM_Try, /*On fail goto*//*Label 31070*/ GIMT_Encode4(2439589), // Rule ID 58003 //
     /* 2439540 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2439543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2439546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439554 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439554 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2439557 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439561 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439566 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2439571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439573 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439576 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439588 */   // GIR_Coverage, 58003,
     /* 2439588 */   GIR_EraseRootFromParent_Done,
     /* 2439589 */ // Label 31070: @2439589
     /* 2439589 */ GIM_Reject,
     /* 2439590 */ // Label 30992: @2439590
     /* 2439590 */ GIM_Try, /*On fail goto*//*Label 31071*/ GIMT_Encode4(2439647), // Rule ID 57790 //
     /* 2439595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2439598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2439601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439609 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439609 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439612 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439616 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439621 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2439626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439628 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439631 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439646 */   // GIR_Coverage, 57790,
     /* 2439646 */   GIR_EraseRootFromParent_Done,
     /* 2439647 */ // Label 31071: @2439647
     /* 2439647 */ GIM_Try, /*On fail goto*//*Label 31072*/ GIMT_Encode4(2439704), // Rule ID 57791 //
     /* 2439652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2439655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2439658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439666 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439666 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439669 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439673 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439678 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439680 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2439683 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439685 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439688 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439703 */   // GIR_Coverage, 57791,
     /* 2439703 */   GIR_EraseRootFromParent_Done,
     /* 2439704 */ // Label 31072: @2439704
     /* 2439704 */ GIM_Try, /*On fail goto*//*Label 31073*/ GIMT_Encode4(2439758), // Rule ID 57962 //
     /* 2439709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2439712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2439715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439719 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439723 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439723 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439726 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439730 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439735 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439737 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2439740 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439742 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439757 */   // GIR_Coverage, 57962,
     /* 2439757 */   GIR_EraseRootFromParent_Done,
     /* 2439758 */ // Label 31073: @2439758
     /* 2439758 */ GIM_Try, /*On fail goto*//*Label 31074*/ GIMT_Encode4(2439812), // Rule ID 57963 //
     /* 2439763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2439766 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2439769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2439777 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439777 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439780 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439784 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439789 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439791 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2439794 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439796 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439811 */   // GIR_Coverage, 57963,
     /* 2439811 */   GIR_EraseRootFromParent_Done,
     /* 2439812 */ // Label 31074: @2439812
     /* 2439812 */ GIM_Try, /*On fail goto*//*Label 31075*/ GIMT_Encode4(2439869), // Rule ID 58170 //
     /* 2439817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2439820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2439823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439831 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2439848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439868 */   // GIR_Coverage, 58170,
     /* 2439868 */   GIR_EraseRootFromParent_Done,
     /* 2439869 */ // Label 31075: @2439869
     /* 2439869 */ GIM_Try, /*On fail goto*//*Label 31076*/ GIMT_Encode4(2439926), // Rule ID 58171 //
     /* 2439874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2439877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2439880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439888 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2439888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2439891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2439905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439925 */   // GIR_Coverage, 58171,
     /* 2439925 */   GIR_EraseRootFromParent_Done,
     /* 2439926 */ // Label 31076: @2439926
     /* 2439926 */ GIM_Reject,
     /* 2439927 */ // Label 30993: @2439927
     /* 2439927 */ GIM_Try, /*On fail goto*//*Label 31077*/ GIMT_Encode4(2439984), // Rule ID 57806 //
     /* 2439932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2439935 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2439938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439946 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2439946 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2439949 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2439953 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2439958 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2439960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2439963 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439965 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2439968 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2439970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2439973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2439976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2439979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2439983 */   // GIR_Coverage, 57806,
     /* 2439983 */   GIR_EraseRootFromParent_Done,
     /* 2439984 */ // Label 31077: @2439984
     /* 2439984 */ GIM_Try, /*On fail goto*//*Label 31078*/ GIMT_Encode4(2440041), // Rule ID 57807 //
     /* 2439989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2439992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2439995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440003 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440003 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2440006 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440010 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440015 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440017 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2440020 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440022 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440030 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440040 */   // GIR_Coverage, 57807,
     /* 2440040 */   GIR_EraseRootFromParent_Done,
     /* 2440041 */ // Label 31078: @2440041
     /* 2440041 */ GIM_Try, /*On fail goto*//*Label 31079*/ GIMT_Encode4(2440095), // Rule ID 57986 //
     /* 2440046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2440049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2440052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440060 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440060 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2440063 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440067 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440072 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440074 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2440077 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440079 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440082 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440094 */   // GIR_Coverage, 57986,
     /* 2440094 */   GIR_EraseRootFromParent_Done,
     /* 2440095 */ // Label 31079: @2440095
     /* 2440095 */ GIM_Try, /*On fail goto*//*Label 31080*/ GIMT_Encode4(2440149), // Rule ID 57987 //
     /* 2440100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2440103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2440106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440114 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2440117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2440131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440148 */   // GIR_Coverage, 57987,
     /* 2440148 */   GIR_EraseRootFromParent_Done,
     /* 2440149 */ // Label 31080: @2440149
     /* 2440149 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2440206), // Rule ID 58190 //
     /* 2440154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2440157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2440160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440168 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2440171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2440185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440205 */   // GIR_Coverage, 58190,
     /* 2440205 */   GIR_EraseRootFromParent_Done,
     /* 2440206 */ // Label 31081: @2440206
     /* 2440206 */ GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2440263), // Rule ID 58191 //
     /* 2440211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2440214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2440217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440225 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440225 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2440228 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440232 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440237 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2440242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440244 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440247 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440262 */   // GIR_Coverage, 58191,
     /* 2440262 */   GIR_EraseRootFromParent_Done,
     /* 2440263 */ // Label 31082: @2440263
     /* 2440263 */ GIM_Reject,
     /* 2440264 */ // Label 30994: @2440264
     /* 2440264 */ GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2440321), // Rule ID 57822 //
     /* 2440269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2440272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2440275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440283 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440283 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2440286 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440290 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440295 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2440300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440302 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440305 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440310 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2440316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440320 */   // GIR_Coverage, 57822,
     /* 2440320 */   GIR_EraseRootFromParent_Done,
     /* 2440321 */ // Label 31083: @2440321
     /* 2440321 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2440378), // Rule ID 57823 //
     /* 2440326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2440329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2440332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440340 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2440343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2440357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440362 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2440373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440377 */   // GIR_Coverage, 57823,
     /* 2440377 */   GIR_EraseRootFromParent_Done,
     /* 2440378 */ // Label 31084: @2440378
     /* 2440378 */ GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2440432), // Rule ID 58006 //
     /* 2440383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2440386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2440389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440397 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2440400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2440414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440431 */   // GIR_Coverage, 58006,
     /* 2440431 */   GIR_EraseRootFromParent_Done,
     /* 2440432 */ // Label 31085: @2440432
     /* 2440432 */ GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2440486), // Rule ID 58007 //
     /* 2440437 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2440440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2440443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440451 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440451 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2440454 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440458 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440463 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2440468 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440470 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440473 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440485 */   // GIR_Coverage, 58007,
     /* 2440485 */   GIR_EraseRootFromParent_Done,
     /* 2440486 */ // Label 31086: @2440486
     /* 2440486 */ GIM_Reject,
     /* 2440487 */ // Label 30995: @2440487
     /* 2440487 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2440544), // Rule ID 57794 //
     /* 2440492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2440495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2440498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440506 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2440523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440525 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440528 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440543 */   // GIR_Coverage, 57794,
     /* 2440543 */   GIR_EraseRootFromParent_Done,
     /* 2440544 */ // Label 31087: @2440544
     /* 2440544 */ GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2440601), // Rule ID 57795 //
     /* 2440549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2440552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2440555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440563 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440563 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440566 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440570 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440575 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2440580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440582 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440585 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440593 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440600 */   // GIR_Coverage, 57795,
     /* 2440600 */   GIR_EraseRootFromParent_Done,
     /* 2440601 */ // Label 31088: @2440601
     /* 2440601 */ GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2440655), // Rule ID 57966 //
     /* 2440606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2440609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2440612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440620 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440620 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440623 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440627 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2440637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440642 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440654 */   // GIR_Coverage, 57966,
     /* 2440654 */   GIR_EraseRootFromParent_Done,
     /* 2440655 */ // Label 31089: @2440655
     /* 2440655 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2440709), // Rule ID 57967 //
     /* 2440660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2440663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2440666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2440674 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440674 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440677 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440681 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440686 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2440691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440693 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440708 */   // GIR_Coverage, 57967,
     /* 2440708 */   GIR_EraseRootFromParent_Done,
     /* 2440709 */ // Label 31090: @2440709
     /* 2440709 */ GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2440766), // Rule ID 58174 //
     /* 2440714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2440717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2440720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440728 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2440745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440765 */   // GIR_Coverage, 58174,
     /* 2440765 */   GIR_EraseRootFromParent_Done,
     /* 2440766 */ // Label 31091: @2440766
     /* 2440766 */ GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2440823), // Rule ID 58175 //
     /* 2440771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2440774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2440777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440785 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2440788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2440802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440822 */   // GIR_Coverage, 58175,
     /* 2440822 */   GIR_EraseRootFromParent_Done,
     /* 2440823 */ // Label 31092: @2440823
     /* 2440823 */ GIM_Reject,
     /* 2440824 */ // Label 30996: @2440824
     /* 2440824 */ GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2440881), // Rule ID 57810 //
     /* 2440829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2440832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2440835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440843 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440843 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2440846 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440850 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440855 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2440860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440862 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440865 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440879 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440880 */   // GIR_Coverage, 57810,
     /* 2440880 */   GIR_EraseRootFromParent_Done,
     /* 2440881 */ // Label 31093: @2440881
     /* 2440881 */ GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2440938), // Rule ID 57811 //
     /* 2440886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2440889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2440892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440900 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2440900 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2440903 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440907 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440912 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2440917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440919 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440922 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2440927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440937 */   // GIR_Coverage, 57811,
     /* 2440937 */   GIR_EraseRootFromParent_Done,
     /* 2440938 */ // Label 31094: @2440938
     /* 2440938 */ GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2440992), // Rule ID 57990 //
     /* 2440943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2440946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2440949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440957 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2440957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2440960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2440964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2440969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2440971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2440974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2440979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2440981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2440984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2440991 */   // GIR_Coverage, 57990,
     /* 2440991 */   GIR_EraseRootFromParent_Done,
     /* 2440992 */ // Label 31095: @2440992
     /* 2440992 */ GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2441046), // Rule ID 57991 //
     /* 2440997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2441000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2441003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441011 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2441014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2441028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2441045 */   // GIR_Coverage, 57991,
     /* 2441045 */   GIR_EraseRootFromParent_Done,
     /* 2441046 */ // Label 31096: @2441046
     /* 2441046 */ GIM_Reject,
     /* 2441047 */ // Label 30997: @2441047
     /* 2441047 */ GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2441104), // Rule ID 57798 //
     /* 2441052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2441055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2441058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441066 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441066 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2441069 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441073 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441078 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2441083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441085 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441088 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2441093 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2441103 */   // GIR_Coverage, 57798,
     /* 2441103 */   GIR_EraseRootFromParent_Done,
     /* 2441104 */ // Label 31097: @2441104
     /* 2441104 */ GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2441161), // Rule ID 57799 //
     /* 2441109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2441112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2441115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441123 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441123 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2441126 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441130 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441135 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441137 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2441140 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441142 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441145 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2441150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2441160 */   // GIR_Coverage, 57799,
     /* 2441160 */   GIR_EraseRootFromParent_Done,
     /* 2441161 */ // Label 31098: @2441161
     /* 2441161 */ GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2441215), // Rule ID 57970 //
     /* 2441166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2441169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2441172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441180 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441180 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2441183 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441187 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441192 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441194 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2441197 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441199 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441202 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2441214 */   // GIR_Coverage, 57970,
     /* 2441214 */   GIR_EraseRootFromParent_Done,
     /* 2441215 */ // Label 31099: @2441215
     /* 2441215 */ GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2441269), // Rule ID 57971 //
     /* 2441220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2441223 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2441226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441234 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441234 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2441237 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441241 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441246 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441248 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2441251 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441253 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441256 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2441268 */   // GIR_Coverage, 57971,
     /* 2441268 */   GIR_EraseRootFromParent_Done,
     /* 2441269 */ // Label 31100: @2441269
     /* 2441269 */ GIM_Reject,
     /* 2441270 */ // Label 30998: @2441270
     /* 2441270 */ GIM_Reject,
     /* 2441271 */ // Label 69: @2441271
     /* 2441271 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31119*/ GIMT_Encode4(2443241),
     /* 2441282 */ /*GILLT_s16*//*Label 31101*/ GIMT_Encode4(2441402),
     /* 2441286 */ /*GILLT_s32*//*Label 31102*/ GIMT_Encode4(2441466),
     /* 2441290 */ /*GILLT_s64*//*Label 31103*/ GIMT_Encode4(2441530), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441302 */ /*GILLT_nxv1s16*//*Label 31104*/ GIMT_Encode4(2441621),
     /* 2441306 */ /*GILLT_nxv1s32*//*Label 31105*/ GIMT_Encode4(2441729),
     /* 2441310 */ /*GILLT_nxv1s64*//*Label 31106*/ GIMT_Encode4(2441837), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441322 */ /*GILLT_nxv2s16*//*Label 31107*/ GIMT_Encode4(2441945),
     /* 2441326 */ /*GILLT_nxv2s32*//*Label 31108*/ GIMT_Encode4(2442053),
     /* 2441330 */ /*GILLT_nxv2s64*//*Label 31109*/ GIMT_Encode4(2442161), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441342 */ /*GILLT_nxv4s16*//*Label 31110*/ GIMT_Encode4(2442269),
     /* 2441346 */ /*GILLT_nxv4s32*//*Label 31111*/ GIMT_Encode4(2442377),
     /* 2441350 */ /*GILLT_nxv4s64*//*Label 31112*/ GIMT_Encode4(2442485), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441362 */ /*GILLT_nxv8s16*//*Label 31113*/ GIMT_Encode4(2442593),
     /* 2441366 */ /*GILLT_nxv8s32*//*Label 31114*/ GIMT_Encode4(2442701),
     /* 2441370 */ /*GILLT_nxv8s64*//*Label 31115*/ GIMT_Encode4(2442809), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441382 */ /*GILLT_nxv16s16*//*Label 31116*/ GIMT_Encode4(2442917),
     /* 2441386 */ /*GILLT_nxv16s32*//*Label 31117*/ GIMT_Encode4(2443025), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2441398 */ /*GILLT_nxv32s16*//*Label 31118*/ GIMT_Encode4(2443133),
     /* 2441402 */ // Label 31101: @2441402
     /* 2441402 */ GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2441465),
     /* 2441407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2441410 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2441437), // Rule ID 1851 //
     /* 2441415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2441418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2441422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2441426 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2441426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2441429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441436 */     // GIR_Coverage, 1851,
     /* 2441436 */     GIR_EraseRootFromParent_Done,
     /* 2441437 */   // Label 31121: @2441437
     /* 2441437 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2441464), // Rule ID 1884 //
     /* 2441442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2441445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2441449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2441453 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2441453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2441456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441463 */     // GIR_Coverage, 1884,
     /* 2441463 */     GIR_EraseRootFromParent_Done,
     /* 2441464 */   // Label 31122: @2441464
     /* 2441464 */   GIM_Reject,
     /* 2441465 */ // Label 31120: @2441465
     /* 2441465 */ GIM_Reject,
     /* 2441466 */ // Label 31102: @2441466
     /* 2441466 */ GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2441529),
     /* 2441471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2441474 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2441501), // Rule ID 1142 //
     /* 2441479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2441482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2441486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2441490 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2441490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2441493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441500 */     // GIR_Coverage, 1142,
     /* 2441500 */     GIR_EraseRootFromParent_Done,
     /* 2441501 */   // Label 31124: @2441501
     /* 2441501 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2441528), // Rule ID 1150 //
     /* 2441506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2441509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2441513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2441517 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2441517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2441520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441527 */     // GIR_Coverage, 1150,
     /* 2441527 */     GIR_EraseRootFromParent_Done,
     /* 2441528 */   // Label 31125: @2441528
     /* 2441528 */   GIM_Reject,
     /* 2441529 */ // Label 31123: @2441529
     /* 2441529 */ GIM_Reject,
     /* 2441530 */ // Label 31103: @2441530
     /* 2441530 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2441620),
     /* 2441535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2441538 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2441565), // Rule ID 1485 //
     /* 2441543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2441546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2441550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2441554 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2441554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2441557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441564 */     // GIR_Coverage, 1485,
     /* 2441564 */     GIR_EraseRootFromParent_Done,
     /* 2441565 */   // Label 31127: @2441565
     /* 2441565 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2441592), // Rule ID 1518 //
     /* 2441570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2441573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441581 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2441581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2441584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441591 */     // GIR_Coverage, 1518,
     /* 2441591 */     GIR_EraseRootFromParent_Done,
     /* 2441592 */   // Label 31128: @2441592
     /* 2441592 */   GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2441619), // Rule ID 1540 //
     /* 2441597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2441600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2441604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2441608 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2441608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2441611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2441617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441618 */     // GIR_Coverage, 1540,
     /* 2441618 */     GIR_EraseRootFromParent_Done,
     /* 2441619 */   // Label 31129: @2441619
     /* 2441619 */   GIM_Reject,
     /* 2441620 */ // Label 31126: @2441620
     /* 2441620 */ GIM_Reject,
     /* 2441621 */ // Label 31104: @2441621
     /* 2441621 */ GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2441728),
     /* 2441626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2441629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441637 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2441682), // Rule ID 55722 //
     /* 2441642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2441645 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2441648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2441662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441681 */     // GIR_Coverage, 55722,
     /* 2441681 */     GIR_EraseRootFromParent_Done,
     /* 2441682 */   // Label 31131: @2441682
     /* 2441682 */   GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2441727), // Rule ID 55723 //
     /* 2441687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2441690 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2441693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2441707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441726 */     // GIR_Coverage, 55723,
     /* 2441726 */     GIR_EraseRootFromParent_Done,
     /* 2441727 */   // Label 31132: @2441727
     /* 2441727 */   GIM_Reject,
     /* 2441728 */ // Label 31130: @2441728
     /* 2441728 */ GIM_Reject,
     /* 2441729 */ // Label 31105: @2441729
     /* 2441729 */ GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2441836),
     /* 2441734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2441737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441745 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2441790), // Rule ID 55762 //
     /* 2441750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2441753 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2441756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2441770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2441785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441789 */     // GIR_Coverage, 55762,
     /* 2441789 */     GIR_EraseRootFromParent_Done,
     /* 2441790 */   // Label 31134: @2441790
     /* 2441790 */   GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2441835), // Rule ID 55763 //
     /* 2441795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2441798 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2441801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2441815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2441830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441834 */     // GIR_Coverage, 55763,
     /* 2441834 */     GIR_EraseRootFromParent_Done,
     /* 2441835 */   // Label 31135: @2441835
     /* 2441835 */   GIM_Reject,
     /* 2441836 */ // Label 31133: @2441836
     /* 2441836 */ GIM_Reject,
     /* 2441837 */ // Label 31106: @2441837
     /* 2441837 */ GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2441944),
     /* 2441842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2441845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441853 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2441898), // Rule ID 55822 //
     /* 2441858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2441861 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2441864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2441878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441897 */     // GIR_Coverage, 55822,
     /* 2441897 */     GIR_EraseRootFromParent_Done,
     /* 2441898 */   // Label 31137: @2441898
     /* 2441898 */   GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2441943), // Rule ID 55823 //
     /* 2441903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2441906 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2441906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2441909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2441923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2441938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441942 */     // GIR_Coverage, 55823,
     /* 2441942 */     GIR_EraseRootFromParent_Done,
     /* 2441943 */   // Label 31138: @2441943
     /* 2441943 */   GIM_Reject,
     /* 2441944 */ // Label 31136: @2441944
     /* 2441944 */ GIM_Reject,
     /* 2441945 */ // Label 31107: @2441945
     /* 2441945 */ GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2442052),
     /* 2441950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2441953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2441961 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2442006), // Rule ID 55742 //
     /* 2441966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2441969 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2441969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2441972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2441976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2441981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2441983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2441986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2441991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2441995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2441998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442005 */     // GIR_Coverage, 55742,
     /* 2442005 */     GIR_EraseRootFromParent_Done,
     /* 2442006 */   // Label 31140: @2442006
     /* 2442006 */   GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2442051), // Rule ID 55743 //
     /* 2442011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2442014 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2442017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2442031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442050 */     // GIR_Coverage, 55743,
     /* 2442050 */     GIR_EraseRootFromParent_Done,
     /* 2442051 */   // Label 31141: @2442051
     /* 2442051 */   GIM_Reject,
     /* 2442052 */ // Label 31139: @2442052
     /* 2442052 */ GIM_Reject,
     /* 2442053 */ // Label 31108: @2442053
     /* 2442053 */ GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2442160),
     /* 2442058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2442061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442069 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2442114), // Rule ID 55802 //
     /* 2442074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2442077 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2442080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2442094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442113 */     // GIR_Coverage, 55802,
     /* 2442113 */     GIR_EraseRootFromParent_Done,
     /* 2442114 */   // Label 31143: @2442114
     /* 2442114 */   GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2442159), // Rule ID 55803 //
     /* 2442119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2442122 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2442125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2442139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442158 */     // GIR_Coverage, 55803,
     /* 2442158 */     GIR_EraseRootFromParent_Done,
     /* 2442159 */   // Label 31144: @2442159
     /* 2442159 */   GIM_Reject,
     /* 2442160 */ // Label 31142: @2442160
     /* 2442160 */ GIM_Reject,
     /* 2442161 */ // Label 31109: @2442161
     /* 2442161 */ GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2442268),
     /* 2442166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2442169 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442173 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442177 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2442222), // Rule ID 55962 //
     /* 2442182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2442185 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2442188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2442202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442221 */     // GIR_Coverage, 55962,
     /* 2442221 */     GIR_EraseRootFromParent_Done,
     /* 2442222 */   // Label 31146: @2442222
     /* 2442222 */   GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2442267), // Rule ID 55963 //
     /* 2442227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2442230 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2442233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2442247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442266 */     // GIR_Coverage, 55963,
     /* 2442266 */     GIR_EraseRootFromParent_Done,
     /* 2442267 */   // Label 31147: @2442267
     /* 2442267 */   GIM_Reject,
     /* 2442268 */ // Label 31145: @2442268
     /* 2442268 */ GIM_Reject,
     /* 2442269 */ // Label 31110: @2442269
     /* 2442269 */ GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2442376),
     /* 2442274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2442277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442285 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2442330), // Rule ID 55782 //
     /* 2442290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2442293 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2442296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2442310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442329 */     // GIR_Coverage, 55782,
     /* 2442329 */     GIR_EraseRootFromParent_Done,
     /* 2442330 */   // Label 31149: @2442330
     /* 2442330 */   GIM_Try, /*On fail goto*//*Label 31150*/ GIMT_Encode4(2442375), // Rule ID 55783 //
     /* 2442335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2442338 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2442341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2442355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442374 */     // GIR_Coverage, 55783,
     /* 2442374 */     GIR_EraseRootFromParent_Done,
     /* 2442375 */   // Label 31150: @2442375
     /* 2442375 */   GIM_Reject,
     /* 2442376 */ // Label 31148: @2442376
     /* 2442376 */ GIM_Reject,
     /* 2442377 */ // Label 31111: @2442377
     /* 2442377 */ GIM_Try, /*On fail goto*//*Label 31151*/ GIMT_Encode4(2442484),
     /* 2442382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2442385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442393 */   GIM_Try, /*On fail goto*//*Label 31152*/ GIMT_Encode4(2442438), // Rule ID 55902 //
     /* 2442398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2442401 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2442404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2442418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442437 */     // GIR_Coverage, 55902,
     /* 2442437 */     GIR_EraseRootFromParent_Done,
     /* 2442438 */   // Label 31152: @2442438
     /* 2442438 */   GIM_Try, /*On fail goto*//*Label 31153*/ GIMT_Encode4(2442483), // Rule ID 55903 //
     /* 2442443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2442446 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2442449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2442463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442482 */     // GIR_Coverage, 55903,
     /* 2442482 */     GIR_EraseRootFromParent_Done,
     /* 2442483 */   // Label 31153: @2442483
     /* 2442483 */   GIM_Reject,
     /* 2442484 */ // Label 31151: @2442484
     /* 2442484 */ GIM_Reject,
     /* 2442485 */ // Label 31112: @2442485
     /* 2442485 */ GIM_Try, /*On fail goto*//*Label 31154*/ GIMT_Encode4(2442592),
     /* 2442490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2442493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442501 */   GIM_Try, /*On fail goto*//*Label 31155*/ GIMT_Encode4(2442546), // Rule ID 55982 //
     /* 2442506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2442509 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2442512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2442526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442545 */     // GIR_Coverage, 55982,
     /* 2442545 */     GIR_EraseRootFromParent_Done,
     /* 2442546 */   // Label 31155: @2442546
     /* 2442546 */   GIM_Try, /*On fail goto*//*Label 31156*/ GIMT_Encode4(2442591), // Rule ID 55983 //
     /* 2442551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2442554 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2442557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2442571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442590 */     // GIR_Coverage, 55983,
     /* 2442590 */     GIR_EraseRootFromParent_Done,
     /* 2442591 */   // Label 31156: @2442591
     /* 2442591 */   GIM_Reject,
     /* 2442592 */ // Label 31154: @2442592
     /* 2442592 */ GIM_Reject,
     /* 2442593 */ // Label 31113: @2442593
     /* 2442593 */ GIM_Try, /*On fail goto*//*Label 31157*/ GIMT_Encode4(2442700),
     /* 2442598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2442601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2442609 */   GIM_Try, /*On fail goto*//*Label 31158*/ GIMT_Encode4(2442654), // Rule ID 55842 //
     /* 2442614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2442617 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2442620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2442634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442653 */     // GIR_Coverage, 55842,
     /* 2442653 */     GIR_EraseRootFromParent_Done,
     /* 2442654 */   // Label 31158: @2442654
     /* 2442654 */   GIM_Try, /*On fail goto*//*Label 31159*/ GIMT_Encode4(2442699), // Rule ID 55843 //
     /* 2442659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2442662 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2442665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2442679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442698 */     // GIR_Coverage, 55843,
     /* 2442698 */     GIR_EraseRootFromParent_Done,
     /* 2442699 */   // Label 31159: @2442699
     /* 2442699 */   GIM_Reject,
     /* 2442700 */ // Label 31157: @2442700
     /* 2442700 */ GIM_Reject,
     /* 2442701 */ // Label 31114: @2442701
     /* 2442701 */ GIM_Try, /*On fail goto*//*Label 31160*/ GIMT_Encode4(2442808),
     /* 2442706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2442709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442717 */   GIM_Try, /*On fail goto*//*Label 31161*/ GIMT_Encode4(2442762), // Rule ID 55922 //
     /* 2442722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2442725 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2442728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2442742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442761 */     // GIR_Coverage, 55922,
     /* 2442761 */     GIR_EraseRootFromParent_Done,
     /* 2442762 */   // Label 31161: @2442762
     /* 2442762 */   GIM_Try, /*On fail goto*//*Label 31162*/ GIMT_Encode4(2442807), // Rule ID 55923 //
     /* 2442767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2442770 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2442773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2442787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2442802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442806 */     // GIR_Coverage, 55923,
     /* 2442806 */     GIR_EraseRootFromParent_Done,
     /* 2442807 */   // Label 31162: @2442807
     /* 2442807 */   GIM_Reject,
     /* 2442808 */ // Label 31160: @2442808
     /* 2442808 */ GIM_Reject,
     /* 2442809 */ // Label 31115: @2442809
     /* 2442809 */ GIM_Try, /*On fail goto*//*Label 31163*/ GIMT_Encode4(2442916),
     /* 2442814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2442817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442825 */   GIM_Try, /*On fail goto*//*Label 31164*/ GIMT_Encode4(2442870), // Rule ID 56002 //
     /* 2442830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2442833 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2442836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2442850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442869 */     // GIR_Coverage, 56002,
     /* 2442869 */     GIR_EraseRootFromParent_Done,
     /* 2442870 */   // Label 31164: @2442870
     /* 2442870 */   GIM_Try, /*On fail goto*//*Label 31165*/ GIMT_Encode4(2442915), // Rule ID 56003 //
     /* 2442875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2442878 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2442881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2442895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2442910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442914 */     // GIR_Coverage, 56003,
     /* 2442914 */     GIR_EraseRootFromParent_Done,
     /* 2442915 */   // Label 31165: @2442915
     /* 2442915 */   GIM_Reject,
     /* 2442916 */ // Label 31163: @2442916
     /* 2442916 */ GIM_Reject,
     /* 2442917 */ // Label 31116: @2442917
     /* 2442917 */ GIM_Try, /*On fail goto*//*Label 31166*/ GIMT_Encode4(2443024),
     /* 2442922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2442925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2442933 */   GIM_Try, /*On fail goto*//*Label 31167*/ GIMT_Encode4(2442978), // Rule ID 55862 //
     /* 2442938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2442941 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2442941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2442944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2442955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2442958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2442963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2442967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2442970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442977 */     // GIR_Coverage, 55862,
     /* 2442977 */     GIR_EraseRootFromParent_Done,
     /* 2442978 */   // Label 31167: @2442978
     /* 2442978 */   GIM_Try, /*On fail goto*//*Label 31168*/ GIMT_Encode4(2443023), // Rule ID 55863 //
     /* 2442983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2442986 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2442986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2442989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2442993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2442998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2443003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2443015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443022 */     // GIR_Coverage, 55863,
     /* 2443022 */     GIR_EraseRootFromParent_Done,
     /* 2443023 */   // Label 31168: @2443023
     /* 2443023 */   GIM_Reject,
     /* 2443024 */ // Label 31166: @2443024
     /* 2443024 */ GIM_Reject,
     /* 2443025 */ // Label 31117: @2443025
     /* 2443025 */ GIM_Try, /*On fail goto*//*Label 31169*/ GIMT_Encode4(2443132),
     /* 2443030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2443033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443041 */   GIM_Try, /*On fail goto*//*Label 31170*/ GIMT_Encode4(2443086), // Rule ID 55942 //
     /* 2443046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2443049 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2443049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2443052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2443056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2443066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2443078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443085 */     // GIR_Coverage, 55942,
     /* 2443085 */     GIR_EraseRootFromParent_Done,
     /* 2443086 */   // Label 31170: @2443086
     /* 2443086 */   GIM_Try, /*On fail goto*//*Label 31171*/ GIMT_Encode4(2443131), // Rule ID 55943 //
     /* 2443091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2443094 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2443094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2443097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2443101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2443111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2443123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443130 */     // GIR_Coverage, 55943,
     /* 2443130 */     GIR_EraseRootFromParent_Done,
     /* 2443131 */   // Label 31171: @2443131
     /* 2443131 */   GIM_Reject,
     /* 2443132 */ // Label 31169: @2443132
     /* 2443132 */ GIM_Reject,
     /* 2443133 */ // Label 31118: @2443133
     /* 2443133 */ GIM_Try, /*On fail goto*//*Label 31172*/ GIMT_Encode4(2443240),
     /* 2443138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2443141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2443149 */   GIM_Try, /*On fail goto*//*Label 31173*/ GIMT_Encode4(2443194), // Rule ID 55882 //
     /* 2443154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2443157 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2443157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2443160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2443164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2443174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2443186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443193 */     // GIR_Coverage, 55882,
     /* 2443193 */     GIR_EraseRootFromParent_Done,
     /* 2443194 */   // Label 31173: @2443194
     /* 2443194 */   GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2443239), // Rule ID 55883 //
     /* 2443199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2443202 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2443202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2443205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2443209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2443219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2443228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2443231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2443237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443238 */     // GIR_Coverage, 55883,
     /* 2443238 */     GIR_EraseRootFromParent_Done,
     /* 2443239 */   // Label 31174: @2443239
     /* 2443239 */   GIM_Reject,
     /* 2443240 */ // Label 31172: @2443240
     /* 2443240 */ GIM_Reject,
     /* 2443241 */ // Label 31119: @2443241
     /* 2443241 */ GIM_Reject,
     /* 2443242 */ // Label 70: @2443242
     /* 2443242 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31193*/ GIMT_Encode4(2449303),
     /* 2443253 */ /*GILLT_s16*//*Label 31175*/ GIMT_Encode4(2443373),
     /* 2443257 */ /*GILLT_s32*//*Label 31176*/ GIMT_Encode4(2444049),
     /* 2443261 */ /*GILLT_s64*//*Label 31177*/ GIMT_Encode4(2444725), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443273 */ /*GILLT_nxv1s16*//*Label 31178*/ GIMT_Encode4(2445538),
     /* 2443277 */ /*GILLT_nxv1s32*//*Label 31179*/ GIMT_Encode4(2445789),
     /* 2443281 */ /*GILLT_nxv1s64*//*Label 31180*/ GIMT_Encode4(2446040), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443293 */ /*GILLT_nxv2s16*//*Label 31181*/ GIMT_Encode4(2446291),
     /* 2443297 */ /*GILLT_nxv2s32*//*Label 31182*/ GIMT_Encode4(2446542),
     /* 2443301 */ /*GILLT_nxv2s64*//*Label 31183*/ GIMT_Encode4(2446793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443313 */ /*GILLT_nxv4s16*//*Label 31184*/ GIMT_Encode4(2447044),
     /* 2443317 */ /*GILLT_nxv4s32*//*Label 31185*/ GIMT_Encode4(2447295),
     /* 2443321 */ /*GILLT_nxv4s64*//*Label 31186*/ GIMT_Encode4(2447546), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443333 */ /*GILLT_nxv8s16*//*Label 31187*/ GIMT_Encode4(2447797),
     /* 2443337 */ /*GILLT_nxv8s32*//*Label 31188*/ GIMT_Encode4(2448048),
     /* 2443341 */ /*GILLT_nxv8s64*//*Label 31189*/ GIMT_Encode4(2448299), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443353 */ /*GILLT_nxv16s16*//*Label 31190*/ GIMT_Encode4(2448550),
     /* 2443357 */ /*GILLT_nxv16s32*//*Label 31191*/ GIMT_Encode4(2448801), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2443369 */ /*GILLT_nxv32s16*//*Label 31192*/ GIMT_Encode4(2449052),
     /* 2443373 */ // Label 31175: @2443373
     /* 2443373 */ GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2444048),
     /* 2443378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2443381 */   GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2443432), // Rule ID 1856 //
     /* 2443386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2443389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2443392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2443404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2443408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2443412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443419 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2443419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2443422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2443430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443431 */     // GIR_Coverage, 1856,
     /* 2443431 */     GIR_EraseRootFromParent_Done,
     /* 2443432 */   // Label 31195: @2443432
     /* 2443432 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2443483), // Rule ID 1889 //
     /* 2443437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2443440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2443443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2443455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2443459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2443463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443470 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2443470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2443473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2443481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443482 */     // GIR_Coverage, 1889,
     /* 2443482 */     GIR_EraseRootFromParent_Done,
     /* 2443483 */   // Label 31196: @2443483
     /* 2443483 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2443513), // Rule ID 1854 //
     /* 2443488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2443491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2443494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443506 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2443506 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2443511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443512 */     // GIR_Coverage, 1854,
     /* 2443512 */     GIR_Done,
     /* 2443513 */   // Label 31197: @2443513
     /* 2443513 */   GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2443569), // Rule ID 1857 //
     /* 2443518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2443521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2443524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2443536 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2443536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2443543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443548 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443552 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2443560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443564 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443568 */     // GIR_Coverage, 1857,
     /* 2443568 */     GIR_EraseRootFromParent_Done,
     /* 2443569 */   // Label 31198: @2443569
     /* 2443569 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2443625), // Rule ID 1858 //
     /* 2443574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2443577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2443580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2443592 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2443592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2443599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443604 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443608 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2443616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443624 */     // GIR_Coverage, 1858,
     /* 2443624 */     GIR_EraseRootFromParent_Done,
     /* 2443625 */   // Label 31199: @2443625
     /* 2443625 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2443655), // Rule ID 1887 //
     /* 2443630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2443633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2443636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443648 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2443648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2443653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443654 */     // GIR_Coverage, 1887,
     /* 2443654 */     GIR_Done,
     /* 2443655 */   // Label 31200: @2443655
     /* 2443655 */   GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2443711), // Rule ID 1890 //
     /* 2443660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2443663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2443666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2443678 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2443678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2443685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443690 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443694 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2443702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443710 */     // GIR_Coverage, 1890,
     /* 2443710 */     GIR_EraseRootFromParent_Done,
     /* 2443711 */   // Label 31201: @2443711
     /* 2443711 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2443767), // Rule ID 1891 //
     /* 2443716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2443719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2443722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2443734 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2443734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2443741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443746 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443750 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2443758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443766 */     // GIR_Coverage, 1891,
     /* 2443766 */     GIR_EraseRootFromParent_Done,
     /* 2443767 */   // Label 31202: @2443767
     /* 2443767 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2443823), // Rule ID 2160 //
     /* 2443772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2443775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2443778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2443790 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2443790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2443797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443802 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443806 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2443814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443822 */     // GIR_Coverage, 2160,
     /* 2443822 */     GIR_EraseRootFromParent_Done,
     /* 2443823 */   // Label 31203: @2443823
     /* 2443823 */   GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2443879), // Rule ID 2161 //
     /* 2443828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2443831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2443834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2443842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2443846 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2443846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2443853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443858 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443862 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2443870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443878 */     // GIR_Coverage, 2161,
     /* 2443878 */     GIR_EraseRootFromParent_Done,
     /* 2443879 */   // Label 31204: @2443879
     /* 2443879 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2443935), // Rule ID 2172 //
     /* 2443884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2443887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2443890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2443902 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2443902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2443909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443914 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443918 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2443926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443934 */     // GIR_Coverage, 2172,
     /* 2443934 */     GIR_EraseRootFromParent_Done,
     /* 2443935 */   // Label 31205: @2443935
     /* 2443935 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2443991), // Rule ID 2173 //
     /* 2443940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2443943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2443946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2443954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2443958 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2443958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2443961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2443965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2443970 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2443974 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2443977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2443979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2443982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2443986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2443989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443990 */     // GIR_Coverage, 2173,
     /* 2443990 */     GIR_EraseRootFromParent_Done,
     /* 2443991 */   // Label 31206: @2443991
     /* 2443991 */   GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2444047), // Rule ID 2180 //
     /* 2443996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2443999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2444006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2444010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444014 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2444014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2444017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2444021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444026 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444030 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2444038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444046 */     // GIR_Coverage, 2180,
     /* 2444046 */     GIR_EraseRootFromParent_Done,
     /* 2444047 */   // Label 31207: @2444047
     /* 2444047 */   GIM_Reject,
     /* 2444048 */ // Label 31194: @2444048
     /* 2444048 */ GIM_Reject,
     /* 2444049 */ // Label 31176: @2444049
     /* 2444049 */ GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2444724),
     /* 2444054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2444057 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2444108), // Rule ID 1157 //
     /* 2444062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2444065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2444080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2444084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2444088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444095 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2444095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2444098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2444106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444107 */     // GIR_Coverage, 1157,
     /* 2444107 */     GIR_EraseRootFromParent_Done,
     /* 2444108 */   // Label 31209: @2444108
     /* 2444108 */   GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2444159), // Rule ID 1178 //
     /* 2444113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2444116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2444131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2444135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2444139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444146 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2444146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2444149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2444157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444158 */     // GIR_Coverage, 1178,
     /* 2444158 */     GIR_EraseRootFromParent_Done,
     /* 2444159 */   // Label 31210: @2444159
     /* 2444159 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2444189), // Rule ID 1153 //
     /* 2444164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2444167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444182 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2444182 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2444187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444188 */     // GIR_Coverage, 1153,
     /* 2444188 */     GIR_Done,
     /* 2444189 */   // Label 31211: @2444189
     /* 2444189 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2444219), // Rule ID 1154 //
     /* 2444194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2444197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444212 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2444212 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444218 */     // GIR_Coverage, 1154,
     /* 2444218 */     GIR_Done,
     /* 2444219 */   // Label 31212: @2444219
     /* 2444219 */   GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2444275), // Rule ID 1493 //
     /* 2444224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2444227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444242 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2444242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2444249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444258 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2444266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444274 */     // GIR_Coverage, 1493,
     /* 2444274 */     GIR_EraseRootFromParent_Done,
     /* 2444275 */   // Label 31213: @2444275
     /* 2444275 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2444331), // Rule ID 1494 //
     /* 2444280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2444283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444298 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2444298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2444305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444310 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444314 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2444322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444330 */     // GIR_Coverage, 1494,
     /* 2444330 */     GIR_EraseRootFromParent_Done,
     /* 2444331 */   // Label 31214: @2444331
     /* 2444331 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2444387), // Rule ID 1524 //
     /* 2444336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2444339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444354 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2444354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2444361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444366 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444370 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444386 */     // GIR_Coverage, 1524,
     /* 2444386 */     GIR_EraseRootFromParent_Done,
     /* 2444387 */   // Label 31215: @2444387
     /* 2444387 */   GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2444443), // Rule ID 1548 //
     /* 2444392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2444395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2444410 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2444410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2444417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444422 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444426 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444442 */     // GIR_Coverage, 1548,
     /* 2444442 */     GIR_EraseRootFromParent_Done,
     /* 2444443 */   // Label 31216: @2444443
     /* 2444443 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2444499), // Rule ID 1549 //
     /* 2444448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2444451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2444466 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2444466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2444473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444478 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444482 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2444485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444498 */     // GIR_Coverage, 1549,
     /* 2444498 */     GIR_EraseRootFromParent_Done,
     /* 2444499 */   // Label 31217: @2444499
     /* 2444499 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2444555), // Rule ID 2032 //
     /* 2444504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2444507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2444510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2444522 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2444522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2444529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444538 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2444541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2444546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444554 */     // GIR_Coverage, 2032,
     /* 2444554 */     GIR_EraseRootFromParent_Done,
     /* 2444555 */   // Label 31218: @2444555
     /* 2444555 */   GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2444611), // Rule ID 2033 //
     /* 2444560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2444563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2444566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2444578 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2444578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2444585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444590 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444594 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2444597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2444602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444610 */     // GIR_Coverage, 2033,
     /* 2444610 */     GIR_EraseRootFromParent_Done,
     /* 2444611 */   // Label 31219: @2444611
     /* 2444611 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2444667), // Rule ID 2046 //
     /* 2444616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2444619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2444622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2444634 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2444634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2444641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444646 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444650 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2444653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444666 */     // GIR_Coverage, 2046,
     /* 2444666 */     GIR_EraseRootFromParent_Done,
     /* 2444667 */   // Label 31220: @2444667
     /* 2444667 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2444723), // Rule ID 2047 //
     /* 2444672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2444675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2444678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2444686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2444690 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2444690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2444693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2444697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444706 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2444709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2444714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444722 */     // GIR_Coverage, 2047,
     /* 2444722 */     GIR_EraseRootFromParent_Done,
     /* 2444723 */   // Label 31221: @2444723
     /* 2444723 */   GIM_Reject,
     /* 2444724 */ // Label 31208: @2444724
     /* 2444724 */ GIM_Reject,
     /* 2444725 */ // Label 31177: @2444725
     /* 2444725 */ GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2445537),
     /* 2444730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2444733 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2444784), // Rule ID 1490 //
     /* 2444738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2444741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2444756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2444760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2444764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444771 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2444771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2444774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2444782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444783 */     // GIR_Coverage, 1490,
     /* 2444783 */     GIR_EraseRootFromParent_Done,
     /* 2444784 */   // Label 31223: @2444784
     /* 2444784 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2444835), // Rule ID 1522 //
     /* 2444789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2444792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2444807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2444811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2444815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444822 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2444822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2444825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2444833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444834 */     // GIR_Coverage, 1522,
     /* 2444834 */     GIR_EraseRootFromParent_Done,
     /* 2444835 */   // Label 31224: @2444835
     /* 2444835 */   GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2444886), // Rule ID 1545 //
     /* 2444840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2444843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2444850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2444854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2444858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2444862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2444866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2444871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444873 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2444873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2444876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2444884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444885 */     // GIR_Coverage, 1545,
     /* 2444885 */     GIR_EraseRootFromParent_Done,
     /* 2444886 */   // Label 31225: @2444886
     /* 2444886 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2444916), // Rule ID 1488 //
     /* 2444891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2444894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2444897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444909 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2444909 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2444914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444915 */     // GIR_Coverage, 1488,
     /* 2444915 */     GIR_Done,
     /* 2444916 */   // Label 31226: @2444916
     /* 2444916 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2444972), // Rule ID 1491 //
     /* 2444921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2444924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444939 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2444939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2444942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2444946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2444951 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2444955 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2444958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2444960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2444963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2444967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2444970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444971 */     // GIR_Coverage, 1491,
     /* 2444971 */     GIR_EraseRootFromParent_Done,
     /* 2444972 */   // Label 31227: @2444972
     /* 2444972 */   GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2445028), // Rule ID 1492 //
     /* 2444977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2444980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2444983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2444991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2444995 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2444995 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2444998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2445002 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445007 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445011 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2445019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445027 */     // GIR_Coverage, 1492,
     /* 2445027 */     GIR_EraseRootFromParent_Done,
     /* 2445028 */   // Label 31228: @2445028
     /* 2445028 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2445058), // Rule ID 1520 //
     /* 2445033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2445036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2445039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445051 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2445051 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2445056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445057 */     // GIR_Coverage, 1520,
     /* 2445057 */     GIR_Done,
     /* 2445058 */   // Label 31229: @2445058
     /* 2445058 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2445114), // Rule ID 1523 //
     /* 2445063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2445066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2445069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2445081 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2445081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2445088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445093 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445097 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2445105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445113 */     // GIR_Coverage, 1523,
     /* 2445113 */     GIR_EraseRootFromParent_Done,
     /* 2445114 */   // Label 31230: @2445114
     /* 2445114 */   GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2445144), // Rule ID 1543 //
     /* 2445119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2445122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2445125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445137 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2445137 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2445142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445143 */     // GIR_Coverage, 1543,
     /* 2445143 */     GIR_Done,
     /* 2445144 */   // Label 31231: @2445144
     /* 2445144 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2445200), // Rule ID 1546 //
     /* 2445149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2445152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2445155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2445167 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2445167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2445174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445179 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445183 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2445191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445199 */     // GIR_Coverage, 1546,
     /* 2445199 */     GIR_EraseRootFromParent_Done,
     /* 2445200 */   // Label 31232: @2445200
     /* 2445200 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2445256), // Rule ID 1547 //
     /* 2445205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2445208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2445211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2445223 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2445223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2445230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445235 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445239 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2445247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445255 */     // GIR_Coverage, 1547,
     /* 2445255 */     GIR_EraseRootFromParent_Done,
     /* 2445256 */   // Label 31233: @2445256
     /* 2445256 */   GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2445312), // Rule ID 2162 //
     /* 2445261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2445264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2445267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2445271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2445275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2445279 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2445279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2445286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445295 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2445303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445311 */     // GIR_Coverage, 2162,
     /* 2445311 */     GIR_EraseRootFromParent_Done,
     /* 2445312 */   // Label 31234: @2445312
     /* 2445312 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2445368), // Rule ID 2163 //
     /* 2445317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2445320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2445323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2445327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2445331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2445335 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2445335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2445342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445347 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445351 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2445359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445367 */     // GIR_Coverage, 2163,
     /* 2445367 */     GIR_EraseRootFromParent_Done,
     /* 2445368 */   // Label 31235: @2445368
     /* 2445368 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2445424), // Rule ID 2174 //
     /* 2445373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2445376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2445379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2445391 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2445391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2445398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445403 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445407 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2445415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445423 */     // GIR_Coverage, 2174,
     /* 2445423 */     GIR_EraseRootFromParent_Done,
     /* 2445424 */   // Label 31236: @2445424
     /* 2445424 */   GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2445480), // Rule ID 2175 //
     /* 2445429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2445432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2445435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2445443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2445447 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2445447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2445454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445463 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2445471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445479 */     // GIR_Coverage, 2175,
     /* 2445479 */     GIR_EraseRootFromParent_Done,
     /* 2445480 */   // Label 31237: @2445480
     /* 2445480 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2445536), // Rule ID 2181 //
     /* 2445485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2445488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2445491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2445503 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2445503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2445506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2445510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2445519 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2445522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2445527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445535 */     // GIR_Coverage, 2181,
     /* 2445535 */     GIR_EraseRootFromParent_Done,
     /* 2445536 */   // Label 31238: @2445536
     /* 2445536 */   GIM_Reject,
     /* 2445537 */ // Label 31222: @2445537
     /* 2445537 */ GIM_Reject,
     /* 2445538 */ // Label 31178: @2445538
     /* 2445538 */ GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2445788),
     /* 2445543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2445546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2445549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445557 */   GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2445623), // Rule ID 55732 //
     /* 2445562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2445565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2445569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2445573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2445577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445584 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2445584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2445587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2445601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2445612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445622 */     // GIR_Coverage, 55732,
     /* 2445622 */     GIR_EraseRootFromParent_Done,
     /* 2445623 */   // Label 31240: @2445623
     /* 2445623 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2445689), // Rule ID 55733 //
     /* 2445628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2445631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2445635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2445639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2445643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445648 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445650 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2445650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2445653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2445667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2445678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445688 */     // GIR_Coverage, 55733,
     /* 2445688 */     GIR_EraseRootFromParent_Done,
     /* 2445689 */   // Label 31241: @2445689
     /* 2445689 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2445738), // Rule ID 55726 //
     /* 2445694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2445697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445701 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2445701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2445704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2445718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2445727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445737 */     // GIR_Coverage, 55726,
     /* 2445737 */     GIR_EraseRootFromParent_Done,
     /* 2445738 */   // Label 31242: @2445738
     /* 2445738 */   GIM_Try, /*On fail goto*//*Label 31243*/ GIMT_Encode4(2445787), // Rule ID 55727 //
     /* 2445743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2445746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445750 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2445750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2445753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2445767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2445776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445786 */     // GIR_Coverage, 55727,
     /* 2445786 */     GIR_EraseRootFromParent_Done,
     /* 2445787 */   // Label 31243: @2445787
     /* 2445787 */   GIM_Reject,
     /* 2445788 */ // Label 31239: @2445788
     /* 2445788 */ GIM_Reject,
     /* 2445789 */ // Label 31179: @2445789
     /* 2445789 */ GIM_Try, /*On fail goto*//*Label 31244*/ GIMT_Encode4(2446039),
     /* 2445794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2445797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2445800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445808 */   GIM_Try, /*On fail goto*//*Label 31245*/ GIMT_Encode4(2445874), // Rule ID 55772 //
     /* 2445813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2445816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2445820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2445824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2445828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445835 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2445835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2445838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2445852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2445863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445873 */     // GIR_Coverage, 55772,
     /* 2445873 */     GIR_EraseRootFromParent_Done,
     /* 2445874 */   // Label 31245: @2445874
     /* 2445874 */   GIM_Try, /*On fail goto*//*Label 31246*/ GIMT_Encode4(2445940), // Rule ID 55773 //
     /* 2445879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2445882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2445886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2445890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2445894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445901 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2445901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2445904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2445918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2445929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445939 */     // GIR_Coverage, 55773,
     /* 2445939 */     GIR_EraseRootFromParent_Done,
     /* 2445940 */   // Label 31246: @2445940
     /* 2445940 */   GIM_Try, /*On fail goto*//*Label 31247*/ GIMT_Encode4(2445989), // Rule ID 55766 //
     /* 2445945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2445948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445952 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2445952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2445955 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2445959 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2445964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2445966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2445969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445971 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2445974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2445976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2445978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2445981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2445987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445988 */     // GIR_Coverage, 55766,
     /* 2445988 */     GIR_EraseRootFromParent_Done,
     /* 2445989 */   // Label 31247: @2445989
     /* 2445989 */   GIM_Try, /*On fail goto*//*Label 31248*/ GIMT_Encode4(2446038), // Rule ID 55767 //
     /* 2445994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2445997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446001 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2446004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2446018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446037 */     // GIR_Coverage, 55767,
     /* 2446037 */     GIR_EraseRootFromParent_Done,
     /* 2446038 */   // Label 31248: @2446038
     /* 2446038 */   GIM_Reject,
     /* 2446039 */ // Label 31244: @2446039
     /* 2446039 */ GIM_Reject,
     /* 2446040 */ // Label 31180: @2446040
     /* 2446040 */ GIM_Try, /*On fail goto*//*Label 31249*/ GIMT_Encode4(2446290),
     /* 2446045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2446048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2446051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446059 */   GIM_Try, /*On fail goto*//*Label 31250*/ GIMT_Encode4(2446125), // Rule ID 55832 //
     /* 2446064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2446067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2446079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446086 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2446089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2446103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446124 */     // GIR_Coverage, 55832,
     /* 2446124 */     GIR_EraseRootFromParent_Done,
     /* 2446125 */   // Label 31250: @2446125
     /* 2446125 */   GIM_Try, /*On fail goto*//*Label 31251*/ GIMT_Encode4(2446191), // Rule ID 55833 //
     /* 2446130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2446133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2446145 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446152 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2446155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2446169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446190 */     // GIR_Coverage, 55833,
     /* 2446190 */     GIR_EraseRootFromParent_Done,
     /* 2446191 */   // Label 31251: @2446191
     /* 2446191 */   GIM_Try, /*On fail goto*//*Label 31252*/ GIMT_Encode4(2446240), // Rule ID 55826 //
     /* 2446196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2446199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446203 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2446206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2446220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446239 */     // GIR_Coverage, 55826,
     /* 2446239 */     GIR_EraseRootFromParent_Done,
     /* 2446240 */   // Label 31252: @2446240
     /* 2446240 */   GIM_Try, /*On fail goto*//*Label 31253*/ GIMT_Encode4(2446289), // Rule ID 55827 //
     /* 2446245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2446248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446252 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2446255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2446269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446288 */     // GIR_Coverage, 55827,
     /* 2446288 */     GIR_EraseRootFromParent_Done,
     /* 2446289 */   // Label 31253: @2446289
     /* 2446289 */   GIM_Reject,
     /* 2446290 */ // Label 31249: @2446290
     /* 2446290 */ GIM_Reject,
     /* 2446291 */ // Label 31181: @2446291
     /* 2446291 */ GIM_Try, /*On fail goto*//*Label 31254*/ GIMT_Encode4(2446541),
     /* 2446296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2446299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2446302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446310 */   GIM_Try, /*On fail goto*//*Label 31255*/ GIMT_Encode4(2446376), // Rule ID 55752 //
     /* 2446315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2446318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2446330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446337 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2446340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2446354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446375 */     // GIR_Coverage, 55752,
     /* 2446375 */     GIR_EraseRootFromParent_Done,
     /* 2446376 */   // Label 31255: @2446376
     /* 2446376 */   GIM_Try, /*On fail goto*//*Label 31256*/ GIMT_Encode4(2446442), // Rule ID 55753 //
     /* 2446381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2446384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2446396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446401 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446403 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2446406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2446420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446441 */     // GIR_Coverage, 55753,
     /* 2446441 */     GIR_EraseRootFromParent_Done,
     /* 2446442 */   // Label 31256: @2446442
     /* 2446442 */   GIM_Try, /*On fail goto*//*Label 31257*/ GIMT_Encode4(2446491), // Rule ID 55746 //
     /* 2446447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2446450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446454 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2446457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2446471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446490 */     // GIR_Coverage, 55746,
     /* 2446490 */     GIR_EraseRootFromParent_Done,
     /* 2446491 */   // Label 31257: @2446491
     /* 2446491 */   GIM_Try, /*On fail goto*//*Label 31258*/ GIMT_Encode4(2446540), // Rule ID 55747 //
     /* 2446496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2446499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446503 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2446506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2446520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2446535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446539 */     // GIR_Coverage, 55747,
     /* 2446539 */     GIR_EraseRootFromParent_Done,
     /* 2446540 */   // Label 31258: @2446540
     /* 2446540 */   GIM_Reject,
     /* 2446541 */ // Label 31254: @2446541
     /* 2446541 */ GIM_Reject,
     /* 2446542 */ // Label 31182: @2446542
     /* 2446542 */ GIM_Try, /*On fail goto*//*Label 31259*/ GIMT_Encode4(2446792),
     /* 2446547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2446550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2446553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446557 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446561 */   GIM_Try, /*On fail goto*//*Label 31260*/ GIMT_Encode4(2446627), // Rule ID 55812 //
     /* 2446566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2446569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2446581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446586 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446588 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2446591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2446605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446626 */     // GIR_Coverage, 55812,
     /* 2446626 */     GIR_EraseRootFromParent_Done,
     /* 2446627 */   // Label 31260: @2446627
     /* 2446627 */   GIM_Try, /*On fail goto*//*Label 31261*/ GIMT_Encode4(2446693), // Rule ID 55813 //
     /* 2446632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2446635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2446647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446654 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2446657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2446671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446692 */     // GIR_Coverage, 55813,
     /* 2446692 */     GIR_EraseRootFromParent_Done,
     /* 2446693 */   // Label 31261: @2446693
     /* 2446693 */   GIM_Try, /*On fail goto*//*Label 31262*/ GIMT_Encode4(2446742), // Rule ID 55806 //
     /* 2446698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2446701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446705 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2446708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2446722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446741 */     // GIR_Coverage, 55806,
     /* 2446741 */     GIR_EraseRootFromParent_Done,
     /* 2446742 */   // Label 31262: @2446742
     /* 2446742 */   GIM_Try, /*On fail goto*//*Label 31263*/ GIMT_Encode4(2446791), // Rule ID 55807 //
     /* 2446747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2446750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446754 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2446757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2446771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446790 */     // GIR_Coverage, 55807,
     /* 2446790 */     GIR_EraseRootFromParent_Done,
     /* 2446791 */   // Label 31263: @2446791
     /* 2446791 */   GIM_Reject,
     /* 2446792 */ // Label 31259: @2446792
     /* 2446792 */ GIM_Reject,
     /* 2446793 */ // Label 31183: @2446793
     /* 2446793 */ GIM_Try, /*On fail goto*//*Label 31264*/ GIMT_Encode4(2447043),
     /* 2446798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2446801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2446804 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446808 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446812 */   GIM_Try, /*On fail goto*//*Label 31265*/ GIMT_Encode4(2446878), // Rule ID 55972 //
     /* 2446817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2446820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2446832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446839 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2446842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2446856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446877 */     // GIR_Coverage, 55972,
     /* 2446877 */     GIR_EraseRootFromParent_Done,
     /* 2446878 */   // Label 31265: @2446878
     /* 2446878 */   GIM_Try, /*On fail goto*//*Label 31266*/ GIMT_Encode4(2446944), // Rule ID 55973 //
     /* 2446883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2446886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2446890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2446894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2446898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446905 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2446905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2446908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2446922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2446933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446943 */     // GIR_Coverage, 55973,
     /* 2446943 */     GIR_EraseRootFromParent_Done,
     /* 2446944 */   // Label 31266: @2446944
     /* 2446944 */   GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2446993), // Rule ID 55966 //
     /* 2446949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2446952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446956 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2446956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2446959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2446963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2446968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2446970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2446973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2446978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2446980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2446982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2446985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446992 */     // GIR_Coverage, 55966,
     /* 2446992 */     GIR_EraseRootFromParent_Done,
     /* 2446993 */   // Label 31267: @2446993
     /* 2446993 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2447042), // Rule ID 55967 //
     /* 2446998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2447001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447005 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2447008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2447022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447041 */     // GIR_Coverage, 55967,
     /* 2447041 */     GIR_EraseRootFromParent_Done,
     /* 2447042 */   // Label 31268: @2447042
     /* 2447042 */   GIM_Reject,
     /* 2447043 */ // Label 31264: @2447043
     /* 2447043 */ GIM_Reject,
     /* 2447044 */ // Label 31184: @2447044
     /* 2447044 */ GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2447294),
     /* 2447049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2447052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2447055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447063 */   GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2447129), // Rule ID 55792 //
     /* 2447068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2447071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2447083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447090 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2447093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2447107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447128 */     // GIR_Coverage, 55792,
     /* 2447128 */     GIR_EraseRootFromParent_Done,
     /* 2447129 */   // Label 31270: @2447129
     /* 2447129 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2447195), // Rule ID 55793 //
     /* 2447134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2447137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2447149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447156 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2447159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2447173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447194 */     // GIR_Coverage, 55793,
     /* 2447194 */     GIR_EraseRootFromParent_Done,
     /* 2447195 */   // Label 31271: @2447195
     /* 2447195 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2447244), // Rule ID 55786 //
     /* 2447200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2447203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447207 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2447210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2447224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447243 */     // GIR_Coverage, 55786,
     /* 2447243 */     GIR_EraseRootFromParent_Done,
     /* 2447244 */   // Label 31272: @2447244
     /* 2447244 */   GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2447293), // Rule ID 55787 //
     /* 2447249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2447252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447256 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2447259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2447273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447292 */     // GIR_Coverage, 55787,
     /* 2447292 */     GIR_EraseRootFromParent_Done,
     /* 2447293 */   // Label 31273: @2447293
     /* 2447293 */   GIM_Reject,
     /* 2447294 */ // Label 31269: @2447294
     /* 2447294 */ GIM_Reject,
     /* 2447295 */ // Label 31185: @2447295
     /* 2447295 */ GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2447545),
     /* 2447300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2447303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2447306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447314 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2447380), // Rule ID 55912 //
     /* 2447319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2447322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2447334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447341 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2447344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2447358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447379 */     // GIR_Coverage, 55912,
     /* 2447379 */     GIR_EraseRootFromParent_Done,
     /* 2447380 */   // Label 31275: @2447380
     /* 2447380 */   GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2447446), // Rule ID 55913 //
     /* 2447385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2447388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2447400 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447407 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2447410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2447424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447445 */     // GIR_Coverage, 55913,
     /* 2447445 */     GIR_EraseRootFromParent_Done,
     /* 2447446 */   // Label 31276: @2447446
     /* 2447446 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2447495), // Rule ID 55906 //
     /* 2447451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2447454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447458 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2447461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2447475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447494 */     // GIR_Coverage, 55906,
     /* 2447494 */     GIR_EraseRootFromParent_Done,
     /* 2447495 */   // Label 31277: @2447495
     /* 2447495 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2447544), // Rule ID 55907 //
     /* 2447500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2447503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447507 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2447510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2447524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447543 */     // GIR_Coverage, 55907,
     /* 2447543 */     GIR_EraseRootFromParent_Done,
     /* 2447544 */   // Label 31278: @2447544
     /* 2447544 */   GIM_Reject,
     /* 2447545 */ // Label 31274: @2447545
     /* 2447545 */ GIM_Reject,
     /* 2447546 */ // Label 31186: @2447546
     /* 2447546 */ GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2447796),
     /* 2447551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2447554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2447557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447565 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2447631), // Rule ID 55992 //
     /* 2447570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2447573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2447585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447592 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2447595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2447609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447630 */     // GIR_Coverage, 55992,
     /* 2447630 */     GIR_EraseRootFromParent_Done,
     /* 2447631 */   // Label 31280: @2447631
     /* 2447631 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2447697), // Rule ID 55993 //
     /* 2447636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2447639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2447651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447658 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2447661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2447675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447696 */     // GIR_Coverage, 55993,
     /* 2447696 */     GIR_EraseRootFromParent_Done,
     /* 2447697 */   // Label 31281: @2447697
     /* 2447697 */   GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2447746), // Rule ID 55986 //
     /* 2447702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2447705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447709 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2447712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2447726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447745 */     // GIR_Coverage, 55986,
     /* 2447745 */     GIR_EraseRootFromParent_Done,
     /* 2447746 */   // Label 31282: @2447746
     /* 2447746 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2447795), // Rule ID 55987 //
     /* 2447751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2447754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2447758 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2447761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2447775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2447790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447794 */     // GIR_Coverage, 55987,
     /* 2447794 */     GIR_EraseRootFromParent_Done,
     /* 2447795 */   // Label 31283: @2447795
     /* 2447795 */   GIM_Reject,
     /* 2447796 */ // Label 31279: @2447796
     /* 2447796 */ GIM_Reject,
     /* 2447797 */ // Label 31187: @2447797
     /* 2447797 */ GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2448047),
     /* 2447802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2447805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2447808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447816 */   GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2447882), // Rule ID 55852 //
     /* 2447821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2447824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2447836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447843 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2447846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2447860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447881 */     // GIR_Coverage, 55852,
     /* 2447881 */     GIR_EraseRootFromParent_Done,
     /* 2447882 */   // Label 31285: @2447882
     /* 2447882 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2447948), // Rule ID 55853 //
     /* 2447887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2447890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2447894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2447898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2447902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447909 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2447909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2447912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2447926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2447937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447947 */     // GIR_Coverage, 55853,
     /* 2447947 */     GIR_EraseRootFromParent_Done,
     /* 2447948 */   // Label 31286: @2447948
     /* 2447948 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2447997), // Rule ID 55846 //
     /* 2447953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2447956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447960 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2447960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2447963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2447967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2447972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2447974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2447977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2447982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2447984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2447986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2447989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2447995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447996 */     // GIR_Coverage, 55846,
     /* 2447996 */     GIR_EraseRootFromParent_Done,
     /* 2447997 */   // Label 31287: @2447997
     /* 2447997 */   GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2448046), // Rule ID 55847 //
     /* 2448002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2448005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448009 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2448012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2448026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448045 */     // GIR_Coverage, 55847,
     /* 2448045 */     GIR_EraseRootFromParent_Done,
     /* 2448046 */   // Label 31288: @2448046
     /* 2448046 */   GIM_Reject,
     /* 2448047 */ // Label 31284: @2448047
     /* 2448047 */ GIM_Reject,
     /* 2448048 */ // Label 31188: @2448048
     /* 2448048 */ GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2448298),
     /* 2448053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2448056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2448059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448067 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2448133), // Rule ID 55932 //
     /* 2448072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2448075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2448087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448094 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2448097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2448111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448132 */     // GIR_Coverage, 55932,
     /* 2448132 */     GIR_EraseRootFromParent_Done,
     /* 2448133 */   // Label 31290: @2448133
     /* 2448133 */   GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2448199), // Rule ID 55933 //
     /* 2448138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2448141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2448153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448160 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2448163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2448177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448198 */     // GIR_Coverage, 55933,
     /* 2448198 */     GIR_EraseRootFromParent_Done,
     /* 2448199 */   // Label 31291: @2448199
     /* 2448199 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2448248), // Rule ID 55926 //
     /* 2448204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2448207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448211 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2448214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2448228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448247 */     // GIR_Coverage, 55926,
     /* 2448247 */     GIR_EraseRootFromParent_Done,
     /* 2448248 */   // Label 31292: @2448248
     /* 2448248 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2448297), // Rule ID 55927 //
     /* 2448253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2448256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448260 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2448263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2448277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448296 */     // GIR_Coverage, 55927,
     /* 2448296 */     GIR_EraseRootFromParent_Done,
     /* 2448297 */   // Label 31293: @2448297
     /* 2448297 */   GIM_Reject,
     /* 2448298 */ // Label 31289: @2448298
     /* 2448298 */ GIM_Reject,
     /* 2448299 */ // Label 31189: @2448299
     /* 2448299 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2448549),
     /* 2448304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2448307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2448310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448318 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2448384), // Rule ID 56012 //
     /* 2448323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2448326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2448338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448345 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2448348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2448362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448383 */     // GIR_Coverage, 56012,
     /* 2448383 */     GIR_EraseRootFromParent_Done,
     /* 2448384 */   // Label 31295: @2448384
     /* 2448384 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2448450), // Rule ID 56013 //
     /* 2448389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2448392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448400 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2448404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448411 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2448414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2448428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448449 */     // GIR_Coverage, 56013,
     /* 2448449 */     GIR_EraseRootFromParent_Done,
     /* 2448450 */   // Label 31296: @2448450
     /* 2448450 */   GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2448499), // Rule ID 56006 //
     /* 2448455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2448458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448462 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2448465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2448479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448498 */     // GIR_Coverage, 56006,
     /* 2448498 */     GIR_EraseRootFromParent_Done,
     /* 2448499 */   // Label 31297: @2448499
     /* 2448499 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2448548), // Rule ID 56007 //
     /* 2448504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2448507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448511 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2448514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2448528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448547 */     // GIR_Coverage, 56007,
     /* 2448547 */     GIR_EraseRootFromParent_Done,
     /* 2448548 */   // Label 31298: @2448548
     /* 2448548 */   GIM_Reject,
     /* 2448549 */ // Label 31294: @2448549
     /* 2448549 */ GIM_Reject,
     /* 2448550 */ // Label 31190: @2448550
     /* 2448550 */ GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2448800),
     /* 2448555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2448558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2448561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448565 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448569 */   GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2448635), // Rule ID 55872 //
     /* 2448574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2448577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2448589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448596 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2448599 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448603 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448608 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2448613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448615 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448634 */     // GIR_Coverage, 55872,
     /* 2448634 */     GIR_EraseRootFromParent_Done,
     /* 2448635 */   // Label 31300: @2448635
     /* 2448635 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2448701), // Rule ID 55873 //
     /* 2448640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2448643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2448655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448662 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2448665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2448679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448700 */     // GIR_Coverage, 55873,
     /* 2448700 */     GIR_EraseRootFromParent_Done,
     /* 2448701 */   // Label 31301: @2448701
     /* 2448701 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2448750), // Rule ID 55866 //
     /* 2448706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2448709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448713 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2448716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2448730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448749 */     // GIR_Coverage, 55866,
     /* 2448749 */     GIR_EraseRootFromParent_Done,
     /* 2448750 */   // Label 31302: @2448750
     /* 2448750 */   GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2448799), // Rule ID 55867 //
     /* 2448755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2448758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448762 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2448765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2448779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2448794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448798 */     // GIR_Coverage, 55867,
     /* 2448798 */     GIR_EraseRootFromParent_Done,
     /* 2448799 */   // Label 31303: @2448799
     /* 2448799 */   GIM_Reject,
     /* 2448800 */ // Label 31299: @2448800
     /* 2448800 */ GIM_Reject,
     /* 2448801 */ // Label 31191: @2448801
     /* 2448801 */ GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2449051),
     /* 2448806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2448809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2448812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448820 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2448886), // Rule ID 55952 //
     /* 2448825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2448828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448836 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2448840 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448847 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2448850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2448864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448885 */     // GIR_Coverage, 55952,
     /* 2448885 */     GIR_EraseRootFromParent_Done,
     /* 2448886 */   // Label 31305: @2448886
     /* 2448886 */   GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2448952), // Rule ID 55953 //
     /* 2448891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2448894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2448898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2448902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2448906 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448913 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2448913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2448916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2448930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2448941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448951 */     // GIR_Coverage, 55953,
     /* 2448951 */     GIR_EraseRootFromParent_Done,
     /* 2448952 */   // Label 31306: @2448952
     /* 2448952 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2449001), // Rule ID 55946 //
     /* 2448957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2448960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2448964 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2448964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2448967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2448971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2448976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2448978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2448981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2448986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2448988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2448990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2448993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449000 */     // GIR_Coverage, 55946,
     /* 2449000 */     GIR_EraseRootFromParent_Done,
     /* 2449001 */   // Label 31307: @2449001
     /* 2449001 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2449050), // Rule ID 55947 //
     /* 2449006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2449009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449013 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2449013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2449016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2449030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2449039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2449045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449049 */     // GIR_Coverage, 55947,
     /* 2449049 */     GIR_EraseRootFromParent_Done,
     /* 2449050 */   // Label 31308: @2449050
     /* 2449050 */   GIM_Reject,
     /* 2449051 */ // Label 31304: @2449051
     /* 2449051 */ GIM_Reject,
     /* 2449052 */ // Label 31192: @2449052
     /* 2449052 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2449302),
     /* 2449057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2449060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2449063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449071 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2449137), // Rule ID 55892 //
     /* 2449076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2449079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2449083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2449087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2449091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449098 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2449098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2449101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2449115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2449126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449136 */     // GIR_Coverage, 55892,
     /* 2449136 */     GIR_EraseRootFromParent_Done,
     /* 2449137 */   // Label 31310: @2449137
     /* 2449137 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2449203), // Rule ID 55893 //
     /* 2449142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2449145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2449149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2449153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2449157 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449164 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2449164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2449167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2449181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2449192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449202 */     // GIR_Coverage, 55893,
     /* 2449202 */     GIR_EraseRootFromParent_Done,
     /* 2449203 */   // Label 31311: @2449203
     /* 2449203 */   GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2449252), // Rule ID 55886 //
     /* 2449208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2449211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449215 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2449215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2449218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2449232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2449241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449251 */     // GIR_Coverage, 55886,
     /* 2449251 */     GIR_EraseRootFromParent_Done,
     /* 2449252 */   // Label 31312: @2449252
     /* 2449252 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2449301), // Rule ID 55887 //
     /* 2449257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2449260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2449264 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2449264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2449267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2449281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2449290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449300 */     // GIR_Coverage, 55887,
     /* 2449300 */     GIR_EraseRootFromParent_Done,
     /* 2449301 */   // Label 31313: @2449301
     /* 2449301 */   GIM_Reject,
     /* 2449302 */ // Label 31309: @2449302
     /* 2449302 */ GIM_Reject,
     /* 2449303 */ // Label 31193: @2449303
     /* 2449303 */ GIM_Reject,
     /* 2449304 */ // Label 71: @2449304
     /* 2449304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31317*/ GIMT_Encode4(2449493),
     /* 2449315 */ /*GILLT_s16*//*Label 31314*/ GIMT_Encode4(2449327),
     /* 2449319 */ /*GILLT_s32*//*Label 31315*/ GIMT_Encode4(2449377),
     /* 2449323 */ /*GILLT_s64*//*Label 31316*/ GIMT_Encode4(2449427),
     /* 2449327 */ // Label 31314: @2449327
     /* 2449327 */ GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2449376),
     /* 2449332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2449335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2449339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2449343 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2449359), // Rule ID 1924 //
     /* 2449348 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2449348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2449351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449358 */     // GIR_Coverage, 1924,
     /* 2449358 */     GIR_EraseRootFromParent_Done,
     /* 2449359 */   // Label 31319: @2449359
     /* 2449359 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2449375), // Rule ID 1925 //
     /* 2449364 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2449364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2449367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449374 */     // GIR_Coverage, 1925,
     /* 2449374 */     GIR_EraseRootFromParent_Done,
     /* 2449375 */   // Label 31320: @2449375
     /* 2449375 */   GIM_Reject,
     /* 2449376 */ // Label 31318: @2449376
     /* 2449376 */ GIM_Reject,
     /* 2449377 */ // Label 31315: @2449377
     /* 2449377 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2449426),
     /* 2449382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2449385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2449389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2449393 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2449409), // Rule ID 1211 //
     /* 2449398 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2449398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2449401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449408 */     // GIR_Coverage, 1211,
     /* 2449408 */     GIR_EraseRootFromParent_Done,
     /* 2449409 */   // Label 31322: @2449409
     /* 2449409 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2449425), // Rule ID 1212 //
     /* 2449414 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2449414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2449417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449424 */     // GIR_Coverage, 1212,
     /* 2449424 */     GIR_EraseRootFromParent_Done,
     /* 2449425 */   // Label 31323: @2449425
     /* 2449425 */   GIM_Reject,
     /* 2449426 */ // Label 31321: @2449426
     /* 2449426 */ GIM_Reject,
     /* 2449427 */ // Label 31316: @2449427
     /* 2449427 */ GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2449492),
     /* 2449432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2449435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2449439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2449443 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2449459), // Rule ID 1588 //
     /* 2449448 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2449448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2449451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449458 */     // GIR_Coverage, 1588,
     /* 2449458 */     GIR_EraseRootFromParent_Done,
     /* 2449459 */   // Label 31325: @2449459
     /* 2449459 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2449475), // Rule ID 1589 //
     /* 2449464 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2449464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2449467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449474 */     // GIR_Coverage, 1589,
     /* 2449474 */     GIR_EraseRootFromParent_Done,
     /* 2449475 */   // Label 31326: @2449475
     /* 2449475 */   GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2449491), // Rule ID 1590 //
     /* 2449480 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2449480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2449483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449490 */     // GIR_Coverage, 1590,
     /* 2449490 */     GIR_EraseRootFromParent_Done,
     /* 2449491 */   // Label 31327: @2449491
     /* 2449491 */   GIM_Reject,
     /* 2449492 */ // Label 31324: @2449492
     /* 2449492 */ GIM_Reject,
     /* 2449493 */ // Label 31317: @2449493
     /* 2449493 */ GIM_Reject,
     /* 2449494 */ // Label 72: @2449494
     /* 2449494 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31346*/ GIMT_Encode4(2451578),
     /* 2449505 */ /*GILLT_s16*//*Label 31328*/ GIMT_Encode4(2449625),
     /* 2449509 */ /*GILLT_s32*//*Label 31329*/ GIMT_Encode4(2449692),
     /* 2449513 */ /*GILLT_s64*//*Label 31330*/ GIMT_Encode4(2449759), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449525 */ /*GILLT_nxv1s16*//*Label 31331*/ GIMT_Encode4(2449853),
     /* 2449529 */ /*GILLT_nxv1s32*//*Label 31332*/ GIMT_Encode4(2449968),
     /* 2449533 */ /*GILLT_nxv1s64*//*Label 31333*/ GIMT_Encode4(2450083), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449545 */ /*GILLT_nxv2s16*//*Label 31334*/ GIMT_Encode4(2450198),
     /* 2449549 */ /*GILLT_nxv2s32*//*Label 31335*/ GIMT_Encode4(2450313),
     /* 2449553 */ /*GILLT_nxv2s64*//*Label 31336*/ GIMT_Encode4(2450428), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449565 */ /*GILLT_nxv4s16*//*Label 31337*/ GIMT_Encode4(2450543),
     /* 2449569 */ /*GILLT_nxv4s32*//*Label 31338*/ GIMT_Encode4(2450658),
     /* 2449573 */ /*GILLT_nxv4s64*//*Label 31339*/ GIMT_Encode4(2450773), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449585 */ /*GILLT_nxv8s16*//*Label 31340*/ GIMT_Encode4(2450888),
     /* 2449589 */ /*GILLT_nxv8s32*//*Label 31341*/ GIMT_Encode4(2451003),
     /* 2449593 */ /*GILLT_nxv8s64*//*Label 31342*/ GIMT_Encode4(2451118), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449605 */ /*GILLT_nxv16s16*//*Label 31343*/ GIMT_Encode4(2451233),
     /* 2449609 */ /*GILLT_nxv16s32*//*Label 31344*/ GIMT_Encode4(2451348), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2449621 */ /*GILLT_nxv32s16*//*Label 31345*/ GIMT_Encode4(2451463),
     /* 2449625 */ // Label 31328: @2449625
     /* 2449625 */ GIM_Try, /*On fail goto*//*Label 31347*/ GIMT_Encode4(2449691),
     /* 2449630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2449633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2449636 */   GIM_Try, /*On fail goto*//*Label 31348*/ GIMT_Encode4(2449663), // Rule ID 1912 //
     /* 2449641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2449644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2449648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2449652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2449656 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2449656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2449661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449662 */     // GIR_Coverage, 1912,
     /* 2449662 */     GIR_Done,
     /* 2449663 */   // Label 31348: @2449663
     /* 2449663 */   GIM_Try, /*On fail goto*//*Label 31349*/ GIMT_Encode4(2449690), // Rule ID 1913 //
     /* 2449668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2449671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2449675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2449679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2449683 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2449683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2449688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449689 */     // GIR_Coverage, 1913,
     /* 2449689 */     GIR_Done,
     /* 2449690 */   // Label 31349: @2449690
     /* 2449690 */   GIM_Reject,
     /* 2449691 */ // Label 31347: @2449691
     /* 2449691 */ GIM_Reject,
     /* 2449692 */ // Label 31329: @2449692
     /* 2449692 */ GIM_Try, /*On fail goto*//*Label 31350*/ GIMT_Encode4(2449758),
     /* 2449697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2449700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2449703 */   GIM_Try, /*On fail goto*//*Label 31351*/ GIMT_Encode4(2449730), // Rule ID 1199 //
     /* 2449708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2449711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2449715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2449719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2449723 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2449723 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2449728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449729 */     // GIR_Coverage, 1199,
     /* 2449729 */     GIR_Done,
     /* 2449730 */   // Label 31351: @2449730
     /* 2449730 */   GIM_Try, /*On fail goto*//*Label 31352*/ GIMT_Encode4(2449757), // Rule ID 1200 //
     /* 2449735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2449738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2449742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2449746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2449750 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2449750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2449755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449756 */     // GIR_Coverage, 1200,
     /* 2449756 */     GIR_Done,
     /* 2449757 */   // Label 31352: @2449757
     /* 2449757 */   GIM_Reject,
     /* 2449758 */ // Label 31350: @2449758
     /* 2449758 */ GIM_Reject,
     /* 2449759 */ // Label 31330: @2449759
     /* 2449759 */ GIM_Try, /*On fail goto*//*Label 31353*/ GIMT_Encode4(2449852),
     /* 2449764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2449767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2449770 */   GIM_Try, /*On fail goto*//*Label 31354*/ GIMT_Encode4(2449797), // Rule ID 1570 //
     /* 2449775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2449778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2449782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2449786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2449790 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2449790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2449795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449796 */     // GIR_Coverage, 1570,
     /* 2449796 */     GIR_Done,
     /* 2449797 */   // Label 31354: @2449797
     /* 2449797 */   GIM_Try, /*On fail goto*//*Label 31355*/ GIMT_Encode4(2449824), // Rule ID 1571 //
     /* 2449802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2449805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2449809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2449813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2449817 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2449817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2449822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449823 */     // GIR_Coverage, 1571,
     /* 2449823 */     GIR_Done,
     /* 2449824 */   // Label 31355: @2449824
     /* 2449824 */   GIM_Try, /*On fail goto*//*Label 31356*/ GIMT_Encode4(2449851), // Rule ID 1572 //
     /* 2449829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2449832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449844 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2449844 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2449849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449850 */     // GIR_Coverage, 1572,
     /* 2449850 */     GIR_Done,
     /* 2449851 */   // Label 31356: @2449851
     /* 2449851 */   GIM_Reject,
     /* 2449852 */ // Label 31353: @2449852
     /* 2449852 */ GIM_Reject,
     /* 2449853 */ // Label 31331: @2449853
     /* 2449853 */ GIM_Try, /*On fail goto*//*Label 31357*/ GIMT_Encode4(2449967),
     /* 2449858 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2449861 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2449864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449868 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449876 */   GIM_Try, /*On fail goto*//*Label 31358*/ GIMT_Encode4(2449921), // Rule ID 45462 //
     /* 2449881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2449884 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2449884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2449887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2449901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2449910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449920 */     // GIR_Coverage, 45462,
     /* 2449920 */     GIR_EraseRootFromParent_Done,
     /* 2449921 */   // Label 31358: @2449921
     /* 2449921 */   GIM_Try, /*On fail goto*//*Label 31359*/ GIMT_Encode4(2449966), // Rule ID 45463 //
     /* 2449926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2449929 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2449929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2449932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2449936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2449941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2449943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2449946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2449951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2449953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2449955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2449958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449965 */     // GIR_Coverage, 45463,
     /* 2449965 */     GIR_EraseRootFromParent_Done,
     /* 2449966 */   // Label 31359: @2449966
     /* 2449966 */   GIM_Reject,
     /* 2449967 */ // Label 31357: @2449967
     /* 2449967 */ GIM_Reject,
     /* 2449968 */ // Label 31332: @2449968
     /* 2449968 */ GIM_Try, /*On fail goto*//*Label 31360*/ GIMT_Encode4(2450082),
     /* 2449973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2449976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2449979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449987 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449991 */   GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2450036), // Rule ID 56024 //
     /* 2449996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2449999 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2449999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2450002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2450016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450035 */     // GIR_Coverage, 56024,
     /* 2450035 */     GIR_EraseRootFromParent_Done,
     /* 2450036 */   // Label 31361: @2450036
     /* 2450036 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2450081), // Rule ID 56025 //
     /* 2450041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2450044 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2450047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2450061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450080 */     // GIR_Coverage, 56025,
     /* 2450080 */     GIR_EraseRootFromParent_Done,
     /* 2450081 */   // Label 31362: @2450081
     /* 2450081 */   GIM_Reject,
     /* 2450082 */ // Label 31360: @2450082
     /* 2450082 */ GIM_Reject,
     /* 2450083 */ // Label 31333: @2450083
     /* 2450083 */ GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2450197),
     /* 2450088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2450091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2450094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450098 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450106 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2450151), // Rule ID 56042 //
     /* 2450111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2450114 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2450117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2450131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450150 */     // GIR_Coverage, 56042,
     /* 2450150 */     GIR_EraseRootFromParent_Done,
     /* 2450151 */   // Label 31364: @2450151
     /* 2450151 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2450196), // Rule ID 56043 //
     /* 2450156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2450159 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2450162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2450176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450195 */     // GIR_Coverage, 56043,
     /* 2450195 */     GIR_EraseRootFromParent_Done,
     /* 2450196 */   // Label 31365: @2450196
     /* 2450196 */   GIM_Reject,
     /* 2450197 */ // Label 31363: @2450197
     /* 2450197 */ GIM_Reject,
     /* 2450198 */ // Label 31334: @2450198
     /* 2450198 */ GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2450312),
     /* 2450203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2450206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2450209 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450213 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450217 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450221 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2450266), // Rule ID 56018 //
     /* 2450226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2450229 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2450232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2450246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450265 */     // GIR_Coverage, 56018,
     /* 2450265 */     GIR_EraseRootFromParent_Done,
     /* 2450266 */   // Label 31367: @2450266
     /* 2450266 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2450311), // Rule ID 56019 //
     /* 2450271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2450274 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2450277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2450291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450310 */     // GIR_Coverage, 56019,
     /* 2450310 */     GIR_EraseRootFromParent_Done,
     /* 2450311 */   // Label 31368: @2450311
     /* 2450311 */   GIM_Reject,
     /* 2450312 */ // Label 31366: @2450312
     /* 2450312 */ GIM_Reject,
     /* 2450313 */ // Label 31335: @2450313
     /* 2450313 */ GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2450427),
     /* 2450318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2450321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2450324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450336 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2450381), // Rule ID 56036 //
     /* 2450341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2450344 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2450347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2450361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450380 */     // GIR_Coverage, 56036,
     /* 2450380 */     GIR_EraseRootFromParent_Done,
     /* 2450381 */   // Label 31370: @2450381
     /* 2450381 */   GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2450426), // Rule ID 56037 //
     /* 2450386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2450389 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2450392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2450406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450425 */     // GIR_Coverage, 56037,
     /* 2450425 */     GIR_EraseRootFromParent_Done,
     /* 2450426 */   // Label 31371: @2450426
     /* 2450426 */   GIM_Reject,
     /* 2450427 */ // Label 31369: @2450427
     /* 2450427 */ GIM_Reject,
     /* 2450428 */ // Label 31336: @2450428
     /* 2450428 */ GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2450542),
     /* 2450433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2450436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2450439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450451 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2450496), // Rule ID 56084 //
     /* 2450456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2450459 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2450462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2450476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450495 */     // GIR_Coverage, 56084,
     /* 2450495 */     GIR_EraseRootFromParent_Done,
     /* 2450496 */   // Label 31373: @2450496
     /* 2450496 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2450541), // Rule ID 56085 //
     /* 2450501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2450504 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2450507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2450521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450540 */     // GIR_Coverage, 56085,
     /* 2450540 */     GIR_EraseRootFromParent_Done,
     /* 2450541 */   // Label 31374: @2450541
     /* 2450541 */   GIM_Reject,
     /* 2450542 */ // Label 31372: @2450542
     /* 2450542 */ GIM_Reject,
     /* 2450543 */ // Label 31337: @2450543
     /* 2450543 */ GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2450657),
     /* 2450548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2450551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2450554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2450566 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2450611), // Rule ID 56030 //
     /* 2450571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2450574 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2450577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2450591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450610 */     // GIR_Coverage, 56030,
     /* 2450610 */     GIR_EraseRootFromParent_Done,
     /* 2450611 */   // Label 31376: @2450611
     /* 2450611 */   GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2450656), // Rule ID 56031 //
     /* 2450616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2450619 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2450622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2450636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450655 */     // GIR_Coverage, 56031,
     /* 2450655 */     GIR_EraseRootFromParent_Done,
     /* 2450656 */   // Label 31377: @2450656
     /* 2450656 */   GIM_Reject,
     /* 2450657 */ // Label 31375: @2450657
     /* 2450657 */ GIM_Reject,
     /* 2450658 */ // Label 31338: @2450658
     /* 2450658 */ GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2450772),
     /* 2450663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2450666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2450669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450681 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2450726), // Rule ID 56066 //
     /* 2450686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2450689 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2450692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2450706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450725 */     // GIR_Coverage, 56066,
     /* 2450725 */     GIR_EraseRootFromParent_Done,
     /* 2450726 */   // Label 31379: @2450726
     /* 2450726 */   GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2450771), // Rule ID 56067 //
     /* 2450731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2450734 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2450737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2450751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450770 */     // GIR_Coverage, 56067,
     /* 2450770 */     GIR_EraseRootFromParent_Done,
     /* 2450771 */   // Label 31380: @2450771
     /* 2450771 */   GIM_Reject,
     /* 2450772 */ // Label 31378: @2450772
     /* 2450772 */ GIM_Reject,
     /* 2450773 */ // Label 31339: @2450773
     /* 2450773 */ GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2450887),
     /* 2450778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2450781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2450784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450796 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2450841), // Rule ID 56090 //
     /* 2450801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2450804 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2450807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2450821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450840 */     // GIR_Coverage, 56090,
     /* 2450840 */     GIR_EraseRootFromParent_Done,
     /* 2450841 */   // Label 31382: @2450841
     /* 2450841 */   GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2450886), // Rule ID 56091 //
     /* 2450846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2450849 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2450852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2450866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450885 */     // GIR_Coverage, 56091,
     /* 2450885 */     GIR_EraseRootFromParent_Done,
     /* 2450886 */   // Label 31383: @2450886
     /* 2450886 */   GIM_Reject,
     /* 2450887 */ // Label 31381: @2450887
     /* 2450887 */ GIM_Reject,
     /* 2450888 */ // Label 31340: @2450888
     /* 2450888 */ GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2451002),
     /* 2450893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2450896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2450899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450903 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450907 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2450911 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2450956), // Rule ID 56048 //
     /* 2450916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2450919 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2450919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2450922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2450936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450955 */     // GIR_Coverage, 56048,
     /* 2450955 */     GIR_EraseRootFromParent_Done,
     /* 2450956 */   // Label 31385: @2450956
     /* 2450956 */   GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2451001), // Rule ID 56049 //
     /* 2450961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2450964 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2450964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2450967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2450971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2450976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2450978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2450981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2450986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2450988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2450990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2450993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2450996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2450999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451000 */     // GIR_Coverage, 56049,
     /* 2451000 */     GIR_EraseRootFromParent_Done,
     /* 2451001 */   // Label 31386: @2451001
     /* 2451001 */   GIM_Reject,
     /* 2451002 */ // Label 31384: @2451002
     /* 2451002 */ GIM_Reject,
     /* 2451003 */ // Label 31341: @2451003
     /* 2451003 */ GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2451117),
     /* 2451008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2451011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2451014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451026 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2451071), // Rule ID 56072 //
     /* 2451031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2451034 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2451037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2451051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451070 */     // GIR_Coverage, 56072,
     /* 2451070 */     GIR_EraseRootFromParent_Done,
     /* 2451071 */   // Label 31388: @2451071
     /* 2451071 */   GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2451116), // Rule ID 56073 //
     /* 2451076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2451079 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2451079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2451082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2451096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451115 */     // GIR_Coverage, 56073,
     /* 2451115 */     GIR_EraseRootFromParent_Done,
     /* 2451116 */   // Label 31389: @2451116
     /* 2451116 */   GIM_Reject,
     /* 2451117 */ // Label 31387: @2451117
     /* 2451117 */ GIM_Reject,
     /* 2451118 */ // Label 31342: @2451118
     /* 2451118 */ GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2451232),
     /* 2451123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2451126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2451129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451141 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2451186), // Rule ID 56096 //
     /* 2451146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2451149 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2451152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2451166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2451181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451185 */     // GIR_Coverage, 56096,
     /* 2451185 */     GIR_EraseRootFromParent_Done,
     /* 2451186 */   // Label 31391: @2451186
     /* 2451186 */   GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2451231), // Rule ID 56097 //
     /* 2451191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2451194 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2451194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2451197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2451211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2451226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451230 */     // GIR_Coverage, 56097,
     /* 2451230 */     GIR_EraseRootFromParent_Done,
     /* 2451231 */   // Label 31392: @2451231
     /* 2451231 */   GIM_Reject,
     /* 2451232 */ // Label 31390: @2451232
     /* 2451232 */ GIM_Reject,
     /* 2451233 */ // Label 31343: @2451233
     /* 2451233 */ GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2451347),
     /* 2451238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2451241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2451244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451252 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451256 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2451301), // Rule ID 56054 //
     /* 2451261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2451264 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2451267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2451281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451300 */     // GIR_Coverage, 56054,
     /* 2451300 */     GIR_EraseRootFromParent_Done,
     /* 2451301 */   // Label 31394: @2451301
     /* 2451301 */   GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2451346), // Rule ID 56055 //
     /* 2451306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2451309 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2451309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2451312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2451326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451345 */     // GIR_Coverage, 56055,
     /* 2451345 */     GIR_EraseRootFromParent_Done,
     /* 2451346 */   // Label 31395: @2451346
     /* 2451346 */   GIM_Reject,
     /* 2451347 */ // Label 31393: @2451347
     /* 2451347 */ GIM_Reject,
     /* 2451348 */ // Label 31344: @2451348
     /* 2451348 */ GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2451462),
     /* 2451353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2451356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2451359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451371 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2451416), // Rule ID 56078 //
     /* 2451376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2451379 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2451382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2451396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451415 */     // GIR_Coverage, 56078,
     /* 2451415 */     GIR_EraseRootFromParent_Done,
     /* 2451416 */   // Label 31397: @2451416
     /* 2451416 */   GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2451461), // Rule ID 56079 //
     /* 2451421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2451424 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2451424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2451427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2451441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2451456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451460 */     // GIR_Coverage, 56079,
     /* 2451460 */     GIR_EraseRootFromParent_Done,
     /* 2451461 */   // Label 31398: @2451461
     /* 2451461 */   GIM_Reject,
     /* 2451462 */ // Label 31396: @2451462
     /* 2451462 */ GIM_Reject,
     /* 2451463 */ // Label 31345: @2451463
     /* 2451463 */ GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2451577),
     /* 2451468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2451471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2451474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451486 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2451531), // Rule ID 56060 //
     /* 2451491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2451494 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2451497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2451511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451530 */     // GIR_Coverage, 56060,
     /* 2451530 */     GIR_EraseRootFromParent_Done,
     /* 2451531 */   // Label 31400: @2451531
     /* 2451531 */   GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2451576), // Rule ID 56061 //
     /* 2451536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2451539 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2451539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2451542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2451556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451575 */     // GIR_Coverage, 56061,
     /* 2451575 */     GIR_EraseRootFromParent_Done,
     /* 2451576 */   // Label 31401: @2451576
     /* 2451576 */   GIM_Reject,
     /* 2451577 */ // Label 31399: @2451577
     /* 2451577 */ GIM_Reject,
     /* 2451578 */ // Label 31346: @2451578
     /* 2451578 */ GIM_Reject,
     /* 2451579 */ // Label 73: @2451579
     /* 2451579 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31420*/ GIMT_Encode4(2453663),
     /* 2451590 */ /*GILLT_s16*//*Label 31402*/ GIMT_Encode4(2451710),
     /* 2451594 */ /*GILLT_s32*//*Label 31403*/ GIMT_Encode4(2451777),
     /* 2451598 */ /*GILLT_s64*//*Label 31404*/ GIMT_Encode4(2451844), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451610 */ /*GILLT_nxv1s16*//*Label 31405*/ GIMT_Encode4(2451938),
     /* 2451614 */ /*GILLT_nxv1s32*//*Label 31406*/ GIMT_Encode4(2452053),
     /* 2451618 */ /*GILLT_nxv1s64*//*Label 31407*/ GIMT_Encode4(2452168), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451630 */ /*GILLT_nxv2s16*//*Label 31408*/ GIMT_Encode4(2452283),
     /* 2451634 */ /*GILLT_nxv2s32*//*Label 31409*/ GIMT_Encode4(2452398),
     /* 2451638 */ /*GILLT_nxv2s64*//*Label 31410*/ GIMT_Encode4(2452513), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451650 */ /*GILLT_nxv4s16*//*Label 31411*/ GIMT_Encode4(2452628),
     /* 2451654 */ /*GILLT_nxv4s32*//*Label 31412*/ GIMT_Encode4(2452743),
     /* 2451658 */ /*GILLT_nxv4s64*//*Label 31413*/ GIMT_Encode4(2452858), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451670 */ /*GILLT_nxv8s16*//*Label 31414*/ GIMT_Encode4(2452973),
     /* 2451674 */ /*GILLT_nxv8s32*//*Label 31415*/ GIMT_Encode4(2453088),
     /* 2451678 */ /*GILLT_nxv8s64*//*Label 31416*/ GIMT_Encode4(2453203), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451690 */ /*GILLT_nxv16s16*//*Label 31417*/ GIMT_Encode4(2453318),
     /* 2451694 */ /*GILLT_nxv16s32*//*Label 31418*/ GIMT_Encode4(2453433), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2451706 */ /*GILLT_nxv32s16*//*Label 31419*/ GIMT_Encode4(2453548),
     /* 2451710 */ // Label 31402: @2451710
     /* 2451710 */ GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2451776),
     /* 2451715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2451718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2451721 */   GIM_Try, /*On fail goto*//*Label 31422*/ GIMT_Encode4(2451748), // Rule ID 1914 //
     /* 2451726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2451729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2451733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2451737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2451741 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2451741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2451746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451747 */     // GIR_Coverage, 1914,
     /* 2451747 */     GIR_Done,
     /* 2451748 */   // Label 31422: @2451748
     /* 2451748 */   GIM_Try, /*On fail goto*//*Label 31423*/ GIMT_Encode4(2451775), // Rule ID 1915 //
     /* 2451753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2451756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2451760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2451764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2451768 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2451768 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2451773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451774 */     // GIR_Coverage, 1915,
     /* 2451774 */     GIR_Done,
     /* 2451775 */   // Label 31423: @2451775
     /* 2451775 */   GIM_Reject,
     /* 2451776 */ // Label 31421: @2451776
     /* 2451776 */ GIM_Reject,
     /* 2451777 */ // Label 31403: @2451777
     /* 2451777 */ GIM_Try, /*On fail goto*//*Label 31424*/ GIMT_Encode4(2451843),
     /* 2451782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2451785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2451788 */   GIM_Try, /*On fail goto*//*Label 31425*/ GIMT_Encode4(2451815), // Rule ID 1201 //
     /* 2451793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2451796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2451800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2451804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2451808 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2451808 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2451813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451814 */     // GIR_Coverage, 1201,
     /* 2451814 */     GIR_Done,
     /* 2451815 */   // Label 31425: @2451815
     /* 2451815 */   GIM_Try, /*On fail goto*//*Label 31426*/ GIMT_Encode4(2451842), // Rule ID 1202 //
     /* 2451820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2451823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2451827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2451831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2451835 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2451835 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2451840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451841 */     // GIR_Coverage, 1202,
     /* 2451841 */     GIR_Done,
     /* 2451842 */   // Label 31426: @2451842
     /* 2451842 */   GIM_Reject,
     /* 2451843 */ // Label 31424: @2451843
     /* 2451843 */ GIM_Reject,
     /* 2451844 */ // Label 31404: @2451844
     /* 2451844 */ GIM_Try, /*On fail goto*//*Label 31427*/ GIMT_Encode4(2451937),
     /* 2451849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2451852 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2451855 */   GIM_Try, /*On fail goto*//*Label 31428*/ GIMT_Encode4(2451882), // Rule ID 1573 //
     /* 2451860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2451863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2451867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2451871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2451875 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2451875 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2451880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451881 */     // GIR_Coverage, 1573,
     /* 2451881 */     GIR_Done,
     /* 2451882 */   // Label 31428: @2451882
     /* 2451882 */   GIM_Try, /*On fail goto*//*Label 31429*/ GIMT_Encode4(2451909), // Rule ID 1574 //
     /* 2451887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2451890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2451894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2451898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2451902 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2451902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2451907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451908 */     // GIR_Coverage, 1574,
     /* 2451908 */     GIR_Done,
     /* 2451909 */   // Label 31429: @2451909
     /* 2451909 */   GIM_Try, /*On fail goto*//*Label 31430*/ GIMT_Encode4(2451936), // Rule ID 1575 //
     /* 2451914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2451917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451929 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2451929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2451934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451935 */     // GIR_Coverage, 1575,
     /* 2451935 */     GIR_Done,
     /* 2451936 */   // Label 31430: @2451936
     /* 2451936 */   GIM_Reject,
     /* 2451937 */ // Label 31427: @2451937
     /* 2451937 */ GIM_Reject,
     /* 2451938 */ // Label 31405: @2451938
     /* 2451938 */ GIM_Try, /*On fail goto*//*Label 31431*/ GIMT_Encode4(2452052),
     /* 2451943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2451946 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2451949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2451953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2451957 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2451961 */   GIM_Try, /*On fail goto*//*Label 31432*/ GIMT_Encode4(2452006), // Rule ID 56102 //
     /* 2451966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2451969 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2451969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2451972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2451976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2451981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2451983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2451986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2451991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2451993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2451995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2451998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452005 */     // GIR_Coverage, 56102,
     /* 2452005 */     GIR_EraseRootFromParent_Done,
     /* 2452006 */   // Label 31432: @2452006
     /* 2452006 */   GIM_Try, /*On fail goto*//*Label 31433*/ GIMT_Encode4(2452051), // Rule ID 56103 //
     /* 2452011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2452014 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2452017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2452031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452050 */     // GIR_Coverage, 56103,
     /* 2452050 */     GIR_EraseRootFromParent_Done,
     /* 2452051 */   // Label 31433: @2452051
     /* 2452051 */   GIM_Reject,
     /* 2452052 */ // Label 31431: @2452052
     /* 2452052 */ GIM_Reject,
     /* 2452053 */ // Label 31406: @2452053
     /* 2452053 */ GIM_Try, /*On fail goto*//*Label 31434*/ GIMT_Encode4(2452167),
     /* 2452058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2452061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2452064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452068 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452076 */   GIM_Try, /*On fail goto*//*Label 31435*/ GIMT_Encode4(2452121), // Rule ID 56114 //
     /* 2452081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2452084 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2452087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2452101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452120 */     // GIR_Coverage, 56114,
     /* 2452120 */     GIR_EraseRootFromParent_Done,
     /* 2452121 */   // Label 31435: @2452121
     /* 2452121 */   GIM_Try, /*On fail goto*//*Label 31436*/ GIMT_Encode4(2452166), // Rule ID 56115 //
     /* 2452126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2452129 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2452132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2452146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452165 */     // GIR_Coverage, 56115,
     /* 2452165 */     GIR_EraseRootFromParent_Done,
     /* 2452166 */   // Label 31436: @2452166
     /* 2452166 */   GIM_Reject,
     /* 2452167 */ // Label 31434: @2452167
     /* 2452167 */ GIM_Reject,
     /* 2452168 */ // Label 31407: @2452168
     /* 2452168 */ GIM_Try, /*On fail goto*//*Label 31437*/ GIMT_Encode4(2452282),
     /* 2452173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2452176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2452179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452191 */   GIM_Try, /*On fail goto*//*Label 31438*/ GIMT_Encode4(2452236), // Rule ID 56132 //
     /* 2452196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2452199 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452199 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2452202 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452206 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452211 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2452216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452235 */     // GIR_Coverage, 56132,
     /* 2452235 */     GIR_EraseRootFromParent_Done,
     /* 2452236 */   // Label 31438: @2452236
     /* 2452236 */   GIM_Try, /*On fail goto*//*Label 31439*/ GIMT_Encode4(2452281), // Rule ID 56133 //
     /* 2452241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2452244 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2452247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2452261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452280 */     // GIR_Coverage, 56133,
     /* 2452280 */     GIR_EraseRootFromParent_Done,
     /* 2452281 */   // Label 31439: @2452281
     /* 2452281 */   GIM_Reject,
     /* 2452282 */ // Label 31437: @2452282
     /* 2452282 */ GIM_Reject,
     /* 2452283 */ // Label 31408: @2452283
     /* 2452283 */ GIM_Try, /*On fail goto*//*Label 31440*/ GIMT_Encode4(2452397),
     /* 2452288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2452291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2452294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452306 */   GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2452351), // Rule ID 56108 //
     /* 2452311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2452314 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2452317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2452331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452350 */     // GIR_Coverage, 56108,
     /* 2452350 */     GIR_EraseRootFromParent_Done,
     /* 2452351 */   // Label 31441: @2452351
     /* 2452351 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2452396), // Rule ID 56109 //
     /* 2452356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2452359 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2452362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2452376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452395 */     // GIR_Coverage, 56109,
     /* 2452395 */     GIR_EraseRootFromParent_Done,
     /* 2452396 */   // Label 31442: @2452396
     /* 2452396 */   GIM_Reject,
     /* 2452397 */ // Label 31440: @2452397
     /* 2452397 */ GIM_Reject,
     /* 2452398 */ // Label 31409: @2452398
     /* 2452398 */ GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2452512),
     /* 2452403 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2452406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2452409 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452413 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452417 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452421 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2452466), // Rule ID 56126 //
     /* 2452426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2452429 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2452432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2452446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452465 */     // GIR_Coverage, 56126,
     /* 2452465 */     GIR_EraseRootFromParent_Done,
     /* 2452466 */   // Label 31444: @2452466
     /* 2452466 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2452511), // Rule ID 56127 //
     /* 2452471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2452474 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2452477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2452491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452510 */     // GIR_Coverage, 56127,
     /* 2452510 */     GIR_EraseRootFromParent_Done,
     /* 2452511 */   // Label 31445: @2452511
     /* 2452511 */   GIM_Reject,
     /* 2452512 */ // Label 31443: @2452512
     /* 2452512 */ GIM_Reject,
     /* 2452513 */ // Label 31410: @2452513
     /* 2452513 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2452627),
     /* 2452518 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2452521 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2452524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452536 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2452581), // Rule ID 56174 //
     /* 2452541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2452544 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2452547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2452561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452580 */     // GIR_Coverage, 56174,
     /* 2452580 */     GIR_EraseRootFromParent_Done,
     /* 2452581 */   // Label 31447: @2452581
     /* 2452581 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2452626), // Rule ID 56175 //
     /* 2452586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2452589 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2452592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2452606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452625 */     // GIR_Coverage, 56175,
     /* 2452625 */     GIR_EraseRootFromParent_Done,
     /* 2452626 */   // Label 31448: @2452626
     /* 2452626 */   GIM_Reject,
     /* 2452627 */ // Label 31446: @2452627
     /* 2452627 */ GIM_Reject,
     /* 2452628 */ // Label 31411: @2452628
     /* 2452628 */ GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2452742),
     /* 2452633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2452636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2452639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2452651 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2452696), // Rule ID 56120 //
     /* 2452656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2452659 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2452662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2452676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452695 */     // GIR_Coverage, 56120,
     /* 2452695 */     GIR_EraseRootFromParent_Done,
     /* 2452696 */   // Label 31450: @2452696
     /* 2452696 */   GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2452741), // Rule ID 56121 //
     /* 2452701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2452704 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2452707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2452721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452740 */     // GIR_Coverage, 56121,
     /* 2452740 */     GIR_EraseRootFromParent_Done,
     /* 2452741 */   // Label 31451: @2452741
     /* 2452741 */   GIM_Reject,
     /* 2452742 */ // Label 31449: @2452742
     /* 2452742 */ GIM_Reject,
     /* 2452743 */ // Label 31412: @2452743
     /* 2452743 */ GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2452857),
     /* 2452748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2452751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2452754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452766 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2452811), // Rule ID 56156 //
     /* 2452771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2452774 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2452777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2452791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452810 */     // GIR_Coverage, 56156,
     /* 2452810 */     GIR_EraseRootFromParent_Done,
     /* 2452811 */   // Label 31453: @2452811
     /* 2452811 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2452856), // Rule ID 56157 //
     /* 2452816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2452819 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2452822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2452836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452855 */     // GIR_Coverage, 56157,
     /* 2452855 */     GIR_EraseRootFromParent_Done,
     /* 2452856 */   // Label 31454: @2452856
     /* 2452856 */   GIM_Reject,
     /* 2452857 */ // Label 31452: @2452857
     /* 2452857 */ GIM_Reject,
     /* 2452858 */ // Label 31413: @2452858
     /* 2452858 */ GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2452972),
     /* 2452863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2452866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2452869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452881 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2452926), // Rule ID 56180 //
     /* 2452886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2452889 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2452889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2452892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2452906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452925 */     // GIR_Coverage, 56180,
     /* 2452925 */     GIR_EraseRootFromParent_Done,
     /* 2452926 */   // Label 31456: @2452926
     /* 2452926 */   GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2452971), // Rule ID 56181 //
     /* 2452931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2452934 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2452934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2452937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2452941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2452946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2452948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2452951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2452956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2452958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2452960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2452963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2452966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452970 */     // GIR_Coverage, 56181,
     /* 2452970 */     GIR_EraseRootFromParent_Done,
     /* 2452971 */   // Label 31457: @2452971
     /* 2452971 */   GIM_Reject,
     /* 2452972 */ // Label 31455: @2452972
     /* 2452972 */ GIM_Reject,
     /* 2452973 */ // Label 31414: @2452973
     /* 2452973 */ GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2453087),
     /* 2452978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2452981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2452984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2452996 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2453041), // Rule ID 56138 //
     /* 2453001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2453004 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2453007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2453021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453040 */     // GIR_Coverage, 56138,
     /* 2453040 */     GIR_EraseRootFromParent_Done,
     /* 2453041 */   // Label 31459: @2453041
     /* 2453041 */   GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2453086), // Rule ID 56139 //
     /* 2453046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2453049 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2453052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2453066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453085 */     // GIR_Coverage, 56139,
     /* 2453085 */     GIR_EraseRootFromParent_Done,
     /* 2453086 */   // Label 31460: @2453086
     /* 2453086 */   GIM_Reject,
     /* 2453087 */ // Label 31458: @2453087
     /* 2453087 */ GIM_Reject,
     /* 2453088 */ // Label 31415: @2453088
     /* 2453088 */ GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2453202),
     /* 2453093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2453096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2453099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453103 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453107 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453111 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2453156), // Rule ID 56162 //
     /* 2453116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2453119 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2453122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2453136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2453151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453155 */     // GIR_Coverage, 56162,
     /* 2453155 */     GIR_EraseRootFromParent_Done,
     /* 2453156 */   // Label 31462: @2453156
     /* 2453156 */   GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2453201), // Rule ID 56163 //
     /* 2453161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2453164 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2453167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2453181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2453196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453200 */     // GIR_Coverage, 56163,
     /* 2453200 */     GIR_EraseRootFromParent_Done,
     /* 2453201 */   // Label 31463: @2453201
     /* 2453201 */   GIM_Reject,
     /* 2453202 */ // Label 31461: @2453202
     /* 2453202 */ GIM_Reject,
     /* 2453203 */ // Label 31416: @2453203
     /* 2453203 */ GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2453317),
     /* 2453208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2453211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2453214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453226 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2453271), // Rule ID 56186 //
     /* 2453231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2453234 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2453237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2453251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2453266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453270 */     // GIR_Coverage, 56186,
     /* 2453270 */     GIR_EraseRootFromParent_Done,
     /* 2453271 */   // Label 31465: @2453271
     /* 2453271 */   GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2453316), // Rule ID 56187 //
     /* 2453276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2453279 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2453282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2453296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2453311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453315 */     // GIR_Coverage, 56187,
     /* 2453315 */     GIR_EraseRootFromParent_Done,
     /* 2453316 */   // Label 31466: @2453316
     /* 2453316 */   GIM_Reject,
     /* 2453317 */ // Label 31464: @2453317
     /* 2453317 */ GIM_Reject,
     /* 2453318 */ // Label 31417: @2453318
     /* 2453318 */ GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2453432),
     /* 2453323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2453326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2453329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2453341 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2453386), // Rule ID 56144 //
     /* 2453346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2453349 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2453352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2453366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453385 */     // GIR_Coverage, 56144,
     /* 2453385 */     GIR_EraseRootFromParent_Done,
     /* 2453386 */   // Label 31468: @2453386
     /* 2453386 */   GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2453431), // Rule ID 56145 //
     /* 2453391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2453394 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2453397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2453411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453430 */     // GIR_Coverage, 56145,
     /* 2453430 */     GIR_EraseRootFromParent_Done,
     /* 2453431 */   // Label 31469: @2453431
     /* 2453431 */   GIM_Reject,
     /* 2453432 */ // Label 31467: @2453432
     /* 2453432 */ GIM_Reject,
     /* 2453433 */ // Label 31418: @2453433
     /* 2453433 */ GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2453547),
     /* 2453438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2453441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2453444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453452 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453456 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2453501), // Rule ID 56168 //
     /* 2453461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2453464 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2453467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2453481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2453496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453500 */     // GIR_Coverage, 56168,
     /* 2453500 */     GIR_EraseRootFromParent_Done,
     /* 2453501 */   // Label 31471: @2453501
     /* 2453501 */   GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2453546), // Rule ID 56169 //
     /* 2453506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2453509 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2453512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2453526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2453541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453545 */     // GIR_Coverage, 56169,
     /* 2453545 */     GIR_EraseRootFromParent_Done,
     /* 2453546 */   // Label 31472: @2453546
     /* 2453546 */   GIM_Reject,
     /* 2453547 */ // Label 31470: @2453547
     /* 2453547 */ GIM_Reject,
     /* 2453548 */ // Label 31419: @2453548
     /* 2453548 */ GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2453662),
     /* 2453553 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2453556 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2453559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453571 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2453616), // Rule ID 56150 //
     /* 2453576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2453579 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2453579 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2453582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453586 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453591 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2453596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453598 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453615 */     // GIR_Coverage, 56150,
     /* 2453615 */     GIR_EraseRootFromParent_Done,
     /* 2453616 */   // Label 31474: @2453616
     /* 2453616 */   GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2453661), // Rule ID 56151 //
     /* 2453621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2453624 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2453624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2453627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2453631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2453636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2453638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2453641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2453646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2453648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2453650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2453653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453660 */     // GIR_Coverage, 56151,
     /* 2453660 */     GIR_EraseRootFromParent_Done,
     /* 2453661 */   // Label 31475: @2453661
     /* 2453661 */   GIM_Reject,
     /* 2453662 */ // Label 31473: @2453662
     /* 2453662 */ GIM_Reject,
     /* 2453663 */ // Label 31420: @2453663
     /* 2453663 */ GIM_Reject,
     /* 2453664 */ // Label 74: @2453664
     /* 2453664 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31479*/ GIMT_Encode4(2453789),
     /* 2453675 */ /*GILLT_s16*//*Label 31476*/ GIMT_Encode4(2453687),
     /* 2453679 */ /*GILLT_s32*//*Label 31477*/ GIMT_Encode4(2453721),
     /* 2453683 */ /*GILLT_s64*//*Label 31478*/ GIMT_Encode4(2453755),
     /* 2453687 */ // Label 31476: @2453687
     /* 2453687 */ GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2453720), // Rule ID 2266 //
     /* 2453692 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2453695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2453698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2453701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453713 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2453713 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2453718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453719 */   // GIR_Coverage, 2266,
     /* 2453719 */   GIR_Done,
     /* 2453720 */ // Label 31480: @2453720
     /* 2453720 */ GIM_Reject,
     /* 2453721 */ // Label 31477: @2453721
     /* 2453721 */ GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2453754), // Rule ID 2184 //
     /* 2453726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2453729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2453732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2453735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453747 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2453747 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2453752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453753 */   // GIR_Coverage, 2184,
     /* 2453753 */   GIR_Done,
     /* 2453754 */ // Label 31481: @2453754
     /* 2453754 */ GIM_Reject,
     /* 2453755 */ // Label 31478: @2453755
     /* 2453755 */ GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2453788), // Rule ID 2224 //
     /* 2453760 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2453763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2453766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2453769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453781 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2453781 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2453786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453787 */   // GIR_Coverage, 2224,
     /* 2453787 */   GIR_Done,
     /* 2453788 */ // Label 31482: @2453788
     /* 2453788 */ GIM_Reject,
     /* 2453789 */ // Label 31479: @2453789
     /* 2453789 */ GIM_Reject,
     /* 2453790 */ // Label 75: @2453790
     /* 2453790 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31486*/ GIMT_Encode4(2453915),
     /* 2453801 */ /*GILLT_s16*//*Label 31483*/ GIMT_Encode4(2453813),
     /* 2453805 */ /*GILLT_s32*//*Label 31484*/ GIMT_Encode4(2453847),
     /* 2453809 */ /*GILLT_s64*//*Label 31485*/ GIMT_Encode4(2453881),
     /* 2453813 */ // Label 31483: @2453813
     /* 2453813 */ GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2453846), // Rule ID 2267 //
     /* 2453818 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2453821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2453824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2453827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2453839 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2453839 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2453844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453845 */   // GIR_Coverage, 2267,
     /* 2453845 */   GIR_Done,
     /* 2453846 */ // Label 31487: @2453846
     /* 2453846 */ GIM_Reject,
     /* 2453847 */ // Label 31484: @2453847
     /* 2453847 */ GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2453880), // Rule ID 2185 //
     /* 2453852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2453855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2453858 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2453861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453865 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453869 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2453873 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2453873 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2453878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453879 */   // GIR_Coverage, 2185,
     /* 2453879 */   GIR_Done,
     /* 2453880 */ // Label 31488: @2453880
     /* 2453880 */ GIM_Reject,
     /* 2453881 */ // Label 31485: @2453881
     /* 2453881 */ GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2453914), // Rule ID 2225 //
     /* 2453886 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2453889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2453892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2453895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2453907 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2453907 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2453912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2453913 */   // GIR_Coverage, 2225,
     /* 2453913 */   GIR_Done,
     /* 2453914 */ // Label 31489: @2453914
     /* 2453914 */ GIM_Reject,
     /* 2453915 */ // Label 31486: @2453915
     /* 2453915 */ GIM_Reject,
     /* 2453916 */ // Label 76: @2453916
     /* 2453916 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31514*/ GIMT_Encode4(2456691),
     /* 2453927 */ /*GILLT_s32*//*Label 31490*/ GIMT_Encode4(2454051),
     /* 2453931 */ /*GILLT_s64*//*Label 31491*/ GIMT_Encode4(2454106), GIMT_Encode4(0),
     /* 2453939 */ /*GILLT_nxv1s8*//*Label 31492*/ GIMT_Encode4(2454161),
     /* 2453943 */ /*GILLT_nxv1s16*//*Label 31493*/ GIMT_Encode4(2454276),
     /* 2453947 */ /*GILLT_nxv1s32*//*Label 31494*/ GIMT_Encode4(2454391),
     /* 2453951 */ /*GILLT_nxv1s64*//*Label 31495*/ GIMT_Encode4(2454506), GIMT_Encode4(0),
     /* 2453959 */ /*GILLT_nxv2s8*//*Label 31496*/ GIMT_Encode4(2454621),
     /* 2453963 */ /*GILLT_nxv2s16*//*Label 31497*/ GIMT_Encode4(2454736),
     /* 2453967 */ /*GILLT_nxv2s32*//*Label 31498*/ GIMT_Encode4(2454851),
     /* 2453971 */ /*GILLT_nxv2s64*//*Label 31499*/ GIMT_Encode4(2454966), GIMT_Encode4(0),
     /* 2453979 */ /*GILLT_nxv4s8*//*Label 31500*/ GIMT_Encode4(2455081),
     /* 2453983 */ /*GILLT_nxv4s16*//*Label 31501*/ GIMT_Encode4(2455196),
     /* 2453987 */ /*GILLT_nxv4s32*//*Label 31502*/ GIMT_Encode4(2455311),
     /* 2453991 */ /*GILLT_nxv4s64*//*Label 31503*/ GIMT_Encode4(2455426), GIMT_Encode4(0),
     /* 2453999 */ /*GILLT_nxv8s8*//*Label 31504*/ GIMT_Encode4(2455541),
     /* 2454003 */ /*GILLT_nxv8s16*//*Label 31505*/ GIMT_Encode4(2455656),
     /* 2454007 */ /*GILLT_nxv8s32*//*Label 31506*/ GIMT_Encode4(2455771),
     /* 2454011 */ /*GILLT_nxv8s64*//*Label 31507*/ GIMT_Encode4(2455886), GIMT_Encode4(0),
     /* 2454019 */ /*GILLT_nxv16s8*//*Label 31508*/ GIMT_Encode4(2456001),
     /* 2454023 */ /*GILLT_nxv16s16*//*Label 31509*/ GIMT_Encode4(2456116),
     /* 2454027 */ /*GILLT_nxv16s32*//*Label 31510*/ GIMT_Encode4(2456231), GIMT_Encode4(0),
     /* 2454035 */ /*GILLT_nxv32s8*//*Label 31511*/ GIMT_Encode4(2456346),
     /* 2454039 */ /*GILLT_nxv32s16*//*Label 31512*/ GIMT_Encode4(2456461), GIMT_Encode4(0),
     /* 2454047 */ /*GILLT_nxv64s8*//*Label 31513*/ GIMT_Encode4(2456576),
     /* 2454051 */ // Label 31490: @2454051
     /* 2454051 */ GIM_Try, /*On fail goto*//*Label 31515*/ GIMT_Encode4(2454105),
     /* 2454056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2454059 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2454062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454074 */   GIM_Try, /*On fail goto*//*Label 31516*/ GIMT_Encode4(2454089), // Rule ID 63803 //
     /* 2454079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2454082 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2454082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2454087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454088 */     // GIR_Coverage, 63803,
     /* 2454088 */     GIR_Done,
     /* 2454089 */   // Label 31516: @2454089
     /* 2454089 */   GIM_Try, /*On fail goto*//*Label 31517*/ GIMT_Encode4(2454104), // Rule ID 2387 //
     /* 2454094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2454097 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2454097 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2454102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454103 */     // GIR_Coverage, 2387,
     /* 2454103 */     GIR_Done,
     /* 2454104 */   // Label 31517: @2454104
     /* 2454104 */   GIM_Reject,
     /* 2454105 */ // Label 31515: @2454105
     /* 2454105 */ GIM_Reject,
     /* 2454106 */ // Label 31491: @2454106
     /* 2454106 */ GIM_Try, /*On fail goto*//*Label 31518*/ GIMT_Encode4(2454160),
     /* 2454111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2454114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2454117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2454129 */   GIM_Try, /*On fail goto*//*Label 31519*/ GIMT_Encode4(2454144), // Rule ID 63802 //
     /* 2454134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2454137 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2454137 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2454142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454143 */     // GIR_Coverage, 63802,
     /* 2454143 */     GIR_Done,
     /* 2454144 */   // Label 31519: @2454144
     /* 2454144 */   GIM_Try, /*On fail goto*//*Label 31520*/ GIMT_Encode4(2454159), // Rule ID 2386 //
     /* 2454149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2454152 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2454152 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2454157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454158 */     // GIR_Coverage, 2386,
     /* 2454158 */     GIR_Done,
     /* 2454159 */   // Label 31520: @2454159
     /* 2454159 */   GIM_Reject,
     /* 2454160 */ // Label 31518: @2454160
     /* 2454160 */ GIM_Reject,
     /* 2454161 */ // Label 31492: @2454161
     /* 2454161 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2454275),
     /* 2454166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2454169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2454172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454184 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2454229), // Rule ID 50074 //
     /* 2454189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454192 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2454195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2454209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454228 */     // GIR_Coverage, 50074,
     /* 2454228 */     GIR_EraseRootFromParent_Done,
     /* 2454229 */   // Label 31522: @2454229
     /* 2454229 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2454274), // Rule ID 50075 //
     /* 2454234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454237 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2454240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2454254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454273 */     // GIR_Coverage, 50075,
     /* 2454273 */     GIR_EraseRootFromParent_Done,
     /* 2454274 */   // Label 31523: @2454274
     /* 2454274 */   GIM_Reject,
     /* 2454275 */ // Label 31521: @2454275
     /* 2454275 */ GIM_Reject,
     /* 2454276 */ // Label 31493: @2454276
     /* 2454276 */ GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2454390),
     /* 2454281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2454284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2454287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454299 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2454344), // Rule ID 50086 //
     /* 2454304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454307 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2454310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2454324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2454339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454343 */     // GIR_Coverage, 50086,
     /* 2454343 */     GIR_EraseRootFromParent_Done,
     /* 2454344 */   // Label 31525: @2454344
     /* 2454344 */   GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2454389), // Rule ID 50087 //
     /* 2454349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454352 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2454355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2454369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2454384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454388 */     // GIR_Coverage, 50087,
     /* 2454388 */     GIR_EraseRootFromParent_Done,
     /* 2454389 */   // Label 31526: @2454389
     /* 2454389 */   GIM_Reject,
     /* 2454390 */ // Label 31524: @2454390
     /* 2454390 */ GIM_Reject,
     /* 2454391 */ // Label 31494: @2454391
     /* 2454391 */ GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2454505),
     /* 2454396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2454399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2454402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454414 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2454459), // Rule ID 50094 //
     /* 2454419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454422 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2454425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2454439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2454454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454458 */     // GIR_Coverage, 50094,
     /* 2454458 */     GIR_EraseRootFromParent_Done,
     /* 2454459 */   // Label 31528: @2454459
     /* 2454459 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2454504), // Rule ID 50095 //
     /* 2454464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454467 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2454470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2454484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2454499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454503 */     // GIR_Coverage, 50095,
     /* 2454503 */     GIR_EraseRootFromParent_Done,
     /* 2454504 */   // Label 31529: @2454504
     /* 2454504 */   GIM_Reject,
     /* 2454505 */ // Label 31527: @2454505
     /* 2454505 */ GIM_Reject,
     /* 2454506 */ // Label 31495: @2454506
     /* 2454506 */ GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2454620),
     /* 2454511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2454514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2454517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454529 */   GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2454574), // Rule ID 50110 //
     /* 2454534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2454537 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2454540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2454554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2454569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454573 */     // GIR_Coverage, 50110,
     /* 2454573 */     GIR_EraseRootFromParent_Done,
     /* 2454574 */   // Label 31531: @2454574
     /* 2454574 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2454619), // Rule ID 50111 //
     /* 2454579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2454582 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2454585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2454599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2454614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454618 */     // GIR_Coverage, 50111,
     /* 2454618 */     GIR_EraseRootFromParent_Done,
     /* 2454619 */   // Label 31532: @2454619
     /* 2454619 */   GIM_Reject,
     /* 2454620 */ // Label 31530: @2454620
     /* 2454620 */ GIM_Reject,
     /* 2454621 */ // Label 31496: @2454621
     /* 2454621 */ GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2454735),
     /* 2454626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2454629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2454632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454644 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2454689), // Rule ID 50078 //
     /* 2454649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454652 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2454655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2454669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454688 */     // GIR_Coverage, 50078,
     /* 2454688 */     GIR_EraseRootFromParent_Done,
     /* 2454689 */   // Label 31534: @2454689
     /* 2454689 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2454734), // Rule ID 50079 //
     /* 2454694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454697 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2454700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2454714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454733 */     // GIR_Coverage, 50079,
     /* 2454733 */     GIR_EraseRootFromParent_Done,
     /* 2454734 */   // Label 31535: @2454734
     /* 2454734 */   GIM_Reject,
     /* 2454735 */ // Label 31533: @2454735
     /* 2454735 */ GIM_Reject,
     /* 2454736 */ // Label 31497: @2454736
     /* 2454736 */ GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2454850),
     /* 2454741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2454744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2454747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454759 */   GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2454804), // Rule ID 50090 //
     /* 2454764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454767 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2454770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2454784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2454799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454803 */     // GIR_Coverage, 50090,
     /* 2454803 */     GIR_EraseRootFromParent_Done,
     /* 2454804 */   // Label 31537: @2454804
     /* 2454804 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2454849), // Rule ID 50091 //
     /* 2454809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454812 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2454815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2454829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2454844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454848 */     // GIR_Coverage, 50091,
     /* 2454848 */     GIR_EraseRootFromParent_Done,
     /* 2454849 */   // Label 31538: @2454849
     /* 2454849 */   GIM_Reject,
     /* 2454850 */ // Label 31536: @2454850
     /* 2454850 */ GIM_Reject,
     /* 2454851 */ // Label 31498: @2454851
     /* 2454851 */ GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2454965),
     /* 2454856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2454859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2454862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2454874 */   GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2454919), // Rule ID 50106 //
     /* 2454879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2454882 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2454885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2454899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2454914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454918 */     // GIR_Coverage, 50106,
     /* 2454918 */     GIR_EraseRootFromParent_Done,
     /* 2454919 */   // Label 31540: @2454919
     /* 2454919 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2454964), // Rule ID 50107 //
     /* 2454924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2454927 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2454927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2454930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2454934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2454939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2454941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2454944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2454946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2454949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2454951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2454953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2454956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2454959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2454962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2454963 */     // GIR_Coverage, 50107,
     /* 2454963 */     GIR_EraseRootFromParent_Done,
     /* 2454964 */   // Label 31541: @2454964
     /* 2454964 */   GIM_Reject,
     /* 2454965 */ // Label 31539: @2454965
     /* 2454965 */ GIM_Reject,
     /* 2454966 */ // Label 31499: @2454966
     /* 2454966 */ GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2455080),
     /* 2454971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2454974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2454977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2454981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2454985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2454989 */   GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2455034), // Rule ID 50150 //
     /* 2454994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2454997 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2454997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2455000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455033 */     // GIR_Coverage, 50150,
     /* 2455033 */     GIR_EraseRootFromParent_Done,
     /* 2455034 */   // Label 31543: @2455034
     /* 2455034 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2455079), // Rule ID 50151 //
     /* 2455039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2455042 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2455045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455078 */     // GIR_Coverage, 50151,
     /* 2455078 */     GIR_EraseRootFromParent_Done,
     /* 2455079 */   // Label 31544: @2455079
     /* 2455079 */   GIM_Reject,
     /* 2455080 */ // Label 31542: @2455080
     /* 2455080 */ GIM_Reject,
     /* 2455081 */ // Label 31500: @2455081
     /* 2455081 */ GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2455195),
     /* 2455086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2455089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2455092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455104 */   GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2455149), // Rule ID 50082 //
     /* 2455109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455112 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2455115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2455129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455148 */     // GIR_Coverage, 50082,
     /* 2455148 */     GIR_EraseRootFromParent_Done,
     /* 2455149 */   // Label 31546: @2455149
     /* 2455149 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2455194), // Rule ID 50083 //
     /* 2455154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455157 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2455160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2455174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455193 */     // GIR_Coverage, 50083,
     /* 2455193 */     GIR_EraseRootFromParent_Done,
     /* 2455194 */   // Label 31547: @2455194
     /* 2455194 */   GIM_Reject,
     /* 2455195 */ // Label 31545: @2455195
     /* 2455195 */ GIM_Reject,
     /* 2455196 */ // Label 31501: @2455196
     /* 2455196 */ GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2455310),
     /* 2455201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2455204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2455207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455219 */   GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2455264), // Rule ID 50102 //
     /* 2455224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455227 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2455230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2455244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2455259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455263 */     // GIR_Coverage, 50102,
     /* 2455263 */     GIR_EraseRootFromParent_Done,
     /* 2455264 */   // Label 31549: @2455264
     /* 2455264 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2455309), // Rule ID 50103 //
     /* 2455269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455272 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2455275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2455289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2455304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455308 */     // GIR_Coverage, 50103,
     /* 2455308 */     GIR_EraseRootFromParent_Done,
     /* 2455309 */   // Label 31550: @2455309
     /* 2455309 */   GIM_Reject,
     /* 2455310 */ // Label 31548: @2455310
     /* 2455310 */ GIM_Reject,
     /* 2455311 */ // Label 31502: @2455311
     /* 2455311 */ GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2455425),
     /* 2455316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2455319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2455322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455334 */   GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2455379), // Rule ID 50138 //
     /* 2455339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455342 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2455345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2455374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455378 */     // GIR_Coverage, 50138,
     /* 2455378 */     GIR_EraseRootFromParent_Done,
     /* 2455379 */   // Label 31552: @2455379
     /* 2455379 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2455424), // Rule ID 50139 //
     /* 2455384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455387 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2455390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2455419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455423 */     // GIR_Coverage, 50139,
     /* 2455423 */     GIR_EraseRootFromParent_Done,
     /* 2455424 */   // Label 31553: @2455424
     /* 2455424 */   GIM_Reject,
     /* 2455425 */ // Label 31551: @2455425
     /* 2455425 */ GIM_Reject,
     /* 2455426 */ // Label 31503: @2455426
     /* 2455426 */ GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2455540),
     /* 2455431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2455434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2455437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455449 */   GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2455494), // Rule ID 50154 //
     /* 2455454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2455457 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2455460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2455474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455493 */     // GIR_Coverage, 50154,
     /* 2455493 */     GIR_EraseRootFromParent_Done,
     /* 2455494 */   // Label 31555: @2455494
     /* 2455494 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2455539), // Rule ID 50155 //
     /* 2455499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2455502 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2455505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2455519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455538 */     // GIR_Coverage, 50155,
     /* 2455538 */     GIR_EraseRootFromParent_Done,
     /* 2455539 */   // Label 31556: @2455539
     /* 2455539 */   GIM_Reject,
     /* 2455540 */ // Label 31554: @2455540
     /* 2455540 */ GIM_Reject,
     /* 2455541 */ // Label 31504: @2455541
     /* 2455541 */ GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2455655),
     /* 2455546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2455549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2455552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2455564 */   GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2455609), // Rule ID 50098 //
     /* 2455569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455572 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2455575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2455589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455608 */     // GIR_Coverage, 50098,
     /* 2455608 */     GIR_EraseRootFromParent_Done,
     /* 2455609 */   // Label 31558: @2455609
     /* 2455609 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2455654), // Rule ID 50099 //
     /* 2455614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455617 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2455620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2455634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455653 */     // GIR_Coverage, 50099,
     /* 2455653 */     GIR_EraseRootFromParent_Done,
     /* 2455654 */   // Label 31559: @2455654
     /* 2455654 */   GIM_Reject,
     /* 2455655 */ // Label 31557: @2455655
     /* 2455655 */ GIM_Reject,
     /* 2455656 */ // Label 31505: @2455656
     /* 2455656 */ GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2455770),
     /* 2455661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2455664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2455667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2455679 */   GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2455724), // Rule ID 50126 //
     /* 2455684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455687 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2455690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2455719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455723 */     // GIR_Coverage, 50126,
     /* 2455723 */     GIR_EraseRootFromParent_Done,
     /* 2455724 */   // Label 31561: @2455724
     /* 2455724 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2455769), // Rule ID 50127 //
     /* 2455729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455732 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2455735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2455749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2455764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455768 */     // GIR_Coverage, 50127,
     /* 2455768 */     GIR_EraseRootFromParent_Done,
     /* 2455769 */   // Label 31562: @2455769
     /* 2455769 */   GIM_Reject,
     /* 2455770 */ // Label 31560: @2455770
     /* 2455770 */ GIM_Reject,
     /* 2455771 */ // Label 31506: @2455771
     /* 2455771 */ GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2455885),
     /* 2455776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2455779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2455782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2455794 */   GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2455839), // Rule ID 50142 //
     /* 2455799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2455802 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2455805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2455819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2455834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455838 */     // GIR_Coverage, 50142,
     /* 2455838 */     GIR_EraseRootFromParent_Done,
     /* 2455839 */   // Label 31564: @2455839
     /* 2455839 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2455884), // Rule ID 50143 //
     /* 2455844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2455847 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2455850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2455864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2455879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455883 */     // GIR_Coverage, 50143,
     /* 2455883 */     GIR_EraseRootFromParent_Done,
     /* 2455884 */   // Label 31565: @2455884
     /* 2455884 */   GIM_Reject,
     /* 2455885 */ // Label 31563: @2455885
     /* 2455885 */ GIM_Reject,
     /* 2455886 */ // Label 31507: @2455886
     /* 2455886 */ GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2456000),
     /* 2455891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2455894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2455897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2455901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2455905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2455909 */   GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2455954), // Rule ID 50158 //
     /* 2455914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2455917 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2455917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2455920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2455934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455953 */     // GIR_Coverage, 50158,
     /* 2455953 */     GIR_EraseRootFromParent_Done,
     /* 2455954 */   // Label 31567: @2455954
     /* 2455954 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2455999), // Rule ID 50159 //
     /* 2455959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2455962 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2455962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2455965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2455969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2455974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2455976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2455979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2455981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2455984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2455986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2455988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2455991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2455994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2455997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2455998 */     // GIR_Coverage, 50159,
     /* 2455998 */     GIR_EraseRootFromParent_Done,
     /* 2455999 */   // Label 31568: @2455999
     /* 2455999 */   GIM_Reject,
     /* 2456000 */ // Label 31566: @2456000
     /* 2456000 */ GIM_Reject,
     /* 2456001 */ // Label 31508: @2456001
     /* 2456001 */ GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2456115),
     /* 2456006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2456009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2456012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2456016 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2456020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2456024 */   GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2456069), // Rule ID 50114 //
     /* 2456029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456032 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2456035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2456049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456068 */     // GIR_Coverage, 50114,
     /* 2456068 */     GIR_EraseRootFromParent_Done,
     /* 2456069 */   // Label 31570: @2456069
     /* 2456069 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2456114), // Rule ID 50115 //
     /* 2456074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456077 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2456080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2456094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456113 */     // GIR_Coverage, 50115,
     /* 2456113 */     GIR_EraseRootFromParent_Done,
     /* 2456114 */   // Label 31571: @2456114
     /* 2456114 */   GIM_Reject,
     /* 2456115 */ // Label 31569: @2456115
     /* 2456115 */ GIM_Reject,
     /* 2456116 */ // Label 31509: @2456116
     /* 2456116 */ GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2456230),
     /* 2456121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2456124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2456127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456139 */   GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2456184), // Rule ID 50130 //
     /* 2456144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456147 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2456150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2456164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2456179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456183 */     // GIR_Coverage, 50130,
     /* 2456183 */     GIR_EraseRootFromParent_Done,
     /* 2456184 */   // Label 31573: @2456184
     /* 2456184 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2456229), // Rule ID 50131 //
     /* 2456189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456192 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2456195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2456209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2456224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456228 */     // GIR_Coverage, 50131,
     /* 2456228 */     GIR_EraseRootFromParent_Done,
     /* 2456229 */   // Label 31574: @2456229
     /* 2456229 */   GIM_Reject,
     /* 2456230 */ // Label 31572: @2456230
     /* 2456230 */ GIM_Reject,
     /* 2456231 */ // Label 31510: @2456231
     /* 2456231 */ GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2456345),
     /* 2456236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2456239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2456242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456254 */   GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2456299), // Rule ID 50146 //
     /* 2456259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456262 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2456265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2456294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456298 */     // GIR_Coverage, 50146,
     /* 2456298 */     GIR_EraseRootFromParent_Done,
     /* 2456299 */   // Label 31576: @2456299
     /* 2456299 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2456344), // Rule ID 50147 //
     /* 2456304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456307 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2456310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2456339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456343 */     // GIR_Coverage, 50147,
     /* 2456343 */     GIR_EraseRootFromParent_Done,
     /* 2456344 */   // Label 31577: @2456344
     /* 2456344 */   GIM_Reject,
     /* 2456345 */ // Label 31575: @2456345
     /* 2456345 */ GIM_Reject,
     /* 2456346 */ // Label 31511: @2456346
     /* 2456346 */ GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2456460),
     /* 2456351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2456354 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2456357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2456369 */   GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2456414), // Rule ID 50118 //
     /* 2456374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456377 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2456380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2456394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456413 */     // GIR_Coverage, 50118,
     /* 2456413 */     GIR_EraseRootFromParent_Done,
     /* 2456414 */   // Label 31579: @2456414
     /* 2456414 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2456459), // Rule ID 50119 //
     /* 2456419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456422 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2456425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2456439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456458 */     // GIR_Coverage, 50119,
     /* 2456458 */     GIR_EraseRootFromParent_Done,
     /* 2456459 */   // Label 31580: @2456459
     /* 2456459 */   GIM_Reject,
     /* 2456460 */ // Label 31578: @2456460
     /* 2456460 */ GIM_Reject,
     /* 2456461 */ // Label 31512: @2456461
     /* 2456461 */ GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2456575),
     /* 2456466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2456469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2456472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456484 */   GIM_Try, /*On fail goto*//*Label 31582*/ GIMT_Encode4(2456529), // Rule ID 50134 //
     /* 2456489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456492 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2456495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2456524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456528 */     // GIR_Coverage, 50134,
     /* 2456528 */     GIR_EraseRootFromParent_Done,
     /* 2456529 */   // Label 31582: @2456529
     /* 2456529 */   GIM_Try, /*On fail goto*//*Label 31583*/ GIMT_Encode4(2456574), // Rule ID 50135 //
     /* 2456534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456537 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2456540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2456569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456573 */     // GIR_Coverage, 50135,
     /* 2456573 */     GIR_EraseRootFromParent_Done,
     /* 2456574 */   // Label 31583: @2456574
     /* 2456574 */   GIM_Reject,
     /* 2456575 */ // Label 31581: @2456575
     /* 2456575 */ GIM_Reject,
     /* 2456576 */ // Label 31513: @2456576
     /* 2456576 */ GIM_Try, /*On fail goto*//*Label 31584*/ GIMT_Encode4(2456690),
     /* 2456581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2456584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2456587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456591 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2456599 */   GIM_Try, /*On fail goto*//*Label 31585*/ GIMT_Encode4(2456644), // Rule ID 50122 //
     /* 2456604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456607 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2456610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456643 */     // GIR_Coverage, 50122,
     /* 2456643 */     GIR_EraseRootFromParent_Done,
     /* 2456644 */   // Label 31585: @2456644
     /* 2456644 */   GIM_Try, /*On fail goto*//*Label 31586*/ GIMT_Encode4(2456689), // Rule ID 50123 //
     /* 2456649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2456652 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2456652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2456655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2456669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2456687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456688 */     // GIR_Coverage, 50123,
     /* 2456688 */     GIR_EraseRootFromParent_Done,
     /* 2456689 */   // Label 31586: @2456689
     /* 2456689 */   GIM_Reject,
     /* 2456690 */ // Label 31584: @2456690
     /* 2456690 */ GIM_Reject,
     /* 2456691 */ // Label 31514: @2456691
     /* 2456691 */ GIM_Reject,
     /* 2456692 */ // Label 77: @2456692
     /* 2456692 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31611*/ GIMT_Encode4(2459467),
     /* 2456703 */ /*GILLT_s32*//*Label 31587*/ GIMT_Encode4(2456827),
     /* 2456707 */ /*GILLT_s64*//*Label 31588*/ GIMT_Encode4(2456882), GIMT_Encode4(0),
     /* 2456715 */ /*GILLT_nxv1s8*//*Label 31589*/ GIMT_Encode4(2456937),
     /* 2456719 */ /*GILLT_nxv1s16*//*Label 31590*/ GIMT_Encode4(2457052),
     /* 2456723 */ /*GILLT_nxv1s32*//*Label 31591*/ GIMT_Encode4(2457167),
     /* 2456727 */ /*GILLT_nxv1s64*//*Label 31592*/ GIMT_Encode4(2457282), GIMT_Encode4(0),
     /* 2456735 */ /*GILLT_nxv2s8*//*Label 31593*/ GIMT_Encode4(2457397),
     /* 2456739 */ /*GILLT_nxv2s16*//*Label 31594*/ GIMT_Encode4(2457512),
     /* 2456743 */ /*GILLT_nxv2s32*//*Label 31595*/ GIMT_Encode4(2457627),
     /* 2456747 */ /*GILLT_nxv2s64*//*Label 31596*/ GIMT_Encode4(2457742), GIMT_Encode4(0),
     /* 2456755 */ /*GILLT_nxv4s8*//*Label 31597*/ GIMT_Encode4(2457857),
     /* 2456759 */ /*GILLT_nxv4s16*//*Label 31598*/ GIMT_Encode4(2457972),
     /* 2456763 */ /*GILLT_nxv4s32*//*Label 31599*/ GIMT_Encode4(2458087),
     /* 2456767 */ /*GILLT_nxv4s64*//*Label 31600*/ GIMT_Encode4(2458202), GIMT_Encode4(0),
     /* 2456775 */ /*GILLT_nxv8s8*//*Label 31601*/ GIMT_Encode4(2458317),
     /* 2456779 */ /*GILLT_nxv8s16*//*Label 31602*/ GIMT_Encode4(2458432),
     /* 2456783 */ /*GILLT_nxv8s32*//*Label 31603*/ GIMT_Encode4(2458547),
     /* 2456787 */ /*GILLT_nxv8s64*//*Label 31604*/ GIMT_Encode4(2458662), GIMT_Encode4(0),
     /* 2456795 */ /*GILLT_nxv16s8*//*Label 31605*/ GIMT_Encode4(2458777),
     /* 2456799 */ /*GILLT_nxv16s16*//*Label 31606*/ GIMT_Encode4(2458892),
     /* 2456803 */ /*GILLT_nxv16s32*//*Label 31607*/ GIMT_Encode4(2459007), GIMT_Encode4(0),
     /* 2456811 */ /*GILLT_nxv32s8*//*Label 31608*/ GIMT_Encode4(2459122),
     /* 2456815 */ /*GILLT_nxv32s16*//*Label 31609*/ GIMT_Encode4(2459237), GIMT_Encode4(0),
     /* 2456823 */ /*GILLT_nxv64s8*//*Label 31610*/ GIMT_Encode4(2459352),
     /* 2456827 */ // Label 31587: @2456827
     /* 2456827 */ GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2456881),
     /* 2456832 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2456835 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2456838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456846 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456850 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2456865), // Rule ID 63807 //
     /* 2456855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2456858 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2456858 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2456863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456864 */     // GIR_Coverage, 63807,
     /* 2456864 */     GIR_Done,
     /* 2456865 */   // Label 31613: @2456865
     /* 2456865 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2456880), // Rule ID 2389 //
     /* 2456870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2456873 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2456873 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2456878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456879 */     // GIR_Coverage, 2389,
     /* 2456879 */     GIR_Done,
     /* 2456880 */   // Label 31614: @2456880
     /* 2456880 */   GIM_Reject,
     /* 2456881 */ // Label 31612: @2456881
     /* 2456881 */ GIM_Reject,
     /* 2456882 */ // Label 31588: @2456882
     /* 2456882 */ GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2456936),
     /* 2456887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2456890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2456893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2456905 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2456920), // Rule ID 63806 //
     /* 2456910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2456913 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2456913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2456918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456919 */     // GIR_Coverage, 63806,
     /* 2456919 */     GIR_Done,
     /* 2456920 */   // Label 31616: @2456920
     /* 2456920 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2456935), // Rule ID 2388 //
     /* 2456925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2456928 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2456928 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2456933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2456934 */     // GIR_Coverage, 2388,
     /* 2456934 */     GIR_Done,
     /* 2456935 */   // Label 31617: @2456935
     /* 2456935 */   GIM_Reject,
     /* 2456936 */ // Label 31615: @2456936
     /* 2456936 */ GIM_Reject,
     /* 2456937 */ // Label 31589: @2456937
     /* 2456937 */ GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2457051),
     /* 2456942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2456945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2456948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2456952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2456956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2456960 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2457005), // Rule ID 50250 //
     /* 2456965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2456968 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2456968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2456971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2456975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2456980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2456982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2456985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2456987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2456990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2456992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2456994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2456997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457004 */     // GIR_Coverage, 50250,
     /* 2457004 */     GIR_EraseRootFromParent_Done,
     /* 2457005 */   // Label 31619: @2457005
     /* 2457005 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2457050), // Rule ID 50251 //
     /* 2457010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457013 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2457016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2457030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457049 */     // GIR_Coverage, 50251,
     /* 2457049 */     GIR_EraseRootFromParent_Done,
     /* 2457050 */   // Label 31620: @2457050
     /* 2457050 */   GIM_Reject,
     /* 2457051 */ // Label 31618: @2457051
     /* 2457051 */ GIM_Reject,
     /* 2457052 */ // Label 31590: @2457052
     /* 2457052 */ GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2457166),
     /* 2457057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2457060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2457063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457071 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457075 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2457120), // Rule ID 50262 //
     /* 2457080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457083 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2457086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2457100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2457115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457119 */     // GIR_Coverage, 50262,
     /* 2457119 */     GIR_EraseRootFromParent_Done,
     /* 2457120 */   // Label 31622: @2457120
     /* 2457120 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2457165), // Rule ID 50263 //
     /* 2457125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457128 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2457131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2457145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2457160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457164 */     // GIR_Coverage, 50263,
     /* 2457164 */     GIR_EraseRootFromParent_Done,
     /* 2457165 */   // Label 31623: @2457165
     /* 2457165 */   GIM_Reject,
     /* 2457166 */ // Label 31621: @2457166
     /* 2457166 */ GIM_Reject,
     /* 2457167 */ // Label 31591: @2457167
     /* 2457167 */ GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2457281),
     /* 2457172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2457175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2457178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457182 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457186 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457190 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2457235), // Rule ID 50270 //
     /* 2457195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457198 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2457201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2457230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457234 */     // GIR_Coverage, 50270,
     /* 2457234 */     GIR_EraseRootFromParent_Done,
     /* 2457235 */   // Label 31625: @2457235
     /* 2457235 */   GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2457280), // Rule ID 50271 //
     /* 2457240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457243 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2457246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2457275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457279 */     // GIR_Coverage, 50271,
     /* 2457279 */     GIR_EraseRootFromParent_Done,
     /* 2457280 */   // Label 31626: @2457280
     /* 2457280 */   GIM_Reject,
     /* 2457281 */ // Label 31624: @2457281
     /* 2457281 */ GIM_Reject,
     /* 2457282 */ // Label 31592: @2457282
     /* 2457282 */ GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2457396),
     /* 2457287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2457290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2457293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457305 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2457350), // Rule ID 50286 //
     /* 2457310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2457313 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2457316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2457330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2457345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457349 */     // GIR_Coverage, 50286,
     /* 2457349 */     GIR_EraseRootFromParent_Done,
     /* 2457350 */   // Label 31628: @2457350
     /* 2457350 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2457395), // Rule ID 50287 //
     /* 2457355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2457358 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2457361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2457375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2457390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457394 */     // GIR_Coverage, 50287,
     /* 2457394 */     GIR_EraseRootFromParent_Done,
     /* 2457395 */   // Label 31629: @2457395
     /* 2457395 */   GIM_Reject,
     /* 2457396 */ // Label 31627: @2457396
     /* 2457396 */ GIM_Reject,
     /* 2457397 */ // Label 31593: @2457397
     /* 2457397 */ GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2457511),
     /* 2457402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2457405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2457408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457420 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2457465), // Rule ID 50254 //
     /* 2457425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457428 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2457431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2457445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457464 */     // GIR_Coverage, 50254,
     /* 2457464 */     GIR_EraseRootFromParent_Done,
     /* 2457465 */   // Label 31631: @2457465
     /* 2457465 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2457510), // Rule ID 50255 //
     /* 2457470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457473 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457473 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2457476 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457480 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457485 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2457490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457509 */     // GIR_Coverage, 50255,
     /* 2457509 */     GIR_EraseRootFromParent_Done,
     /* 2457510 */   // Label 31632: @2457510
     /* 2457510 */   GIM_Reject,
     /* 2457511 */ // Label 31630: @2457511
     /* 2457511 */ GIM_Reject,
     /* 2457512 */ // Label 31594: @2457512
     /* 2457512 */ GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2457626),
     /* 2457517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2457520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2457523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457527 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457531 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457535 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2457580), // Rule ID 50266 //
     /* 2457540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457543 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2457546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2457575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457579 */     // GIR_Coverage, 50266,
     /* 2457579 */     GIR_EraseRootFromParent_Done,
     /* 2457580 */   // Label 31634: @2457580
     /* 2457580 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2457625), // Rule ID 50267 //
     /* 2457585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457588 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2457591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2457620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457624 */     // GIR_Coverage, 50267,
     /* 2457624 */     GIR_EraseRootFromParent_Done,
     /* 2457625 */   // Label 31635: @2457625
     /* 2457625 */   GIM_Reject,
     /* 2457626 */ // Label 31633: @2457626
     /* 2457626 */ GIM_Reject,
     /* 2457627 */ // Label 31595: @2457627
     /* 2457627 */ GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2457741),
     /* 2457632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2457635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2457638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457650 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2457695), // Rule ID 50282 //
     /* 2457655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457658 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2457661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2457675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2457690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457694 */     // GIR_Coverage, 50282,
     /* 2457694 */     GIR_EraseRootFromParent_Done,
     /* 2457695 */   // Label 31637: @2457695
     /* 2457695 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2457740), // Rule ID 50283 //
     /* 2457700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457703 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2457706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2457720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2457735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457739 */     // GIR_Coverage, 50283,
     /* 2457739 */     GIR_EraseRootFromParent_Done,
     /* 2457740 */   // Label 31638: @2457740
     /* 2457740 */   GIM_Reject,
     /* 2457741 */ // Label 31636: @2457741
     /* 2457741 */ GIM_Reject,
     /* 2457742 */ // Label 31596: @2457742
     /* 2457742 */ GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2457856),
     /* 2457747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2457750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2457753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2457757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2457761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2457765 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2457810), // Rule ID 50326 //
     /* 2457770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2457773 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2457776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2457790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2457805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457809 */     // GIR_Coverage, 50326,
     /* 2457809 */     GIR_EraseRootFromParent_Done,
     /* 2457810 */   // Label 31640: @2457810
     /* 2457810 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2457855), // Rule ID 50327 //
     /* 2457815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2457818 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2457821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2457835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2457850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457854 */     // GIR_Coverage, 50327,
     /* 2457854 */     GIR_EraseRootFromParent_Done,
     /* 2457855 */   // Label 31641: @2457855
     /* 2457855 */   GIM_Reject,
     /* 2457856 */ // Label 31639: @2457856
     /* 2457856 */ GIM_Reject,
     /* 2457857 */ // Label 31597: @2457857
     /* 2457857 */ GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2457971),
     /* 2457862 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2457865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2457868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457876 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457880 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2457925), // Rule ID 50258 //
     /* 2457885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2457888 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2457888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2457891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457924 */     // GIR_Coverage, 50258,
     /* 2457924 */     GIR_EraseRootFromParent_Done,
     /* 2457925 */   // Label 31643: @2457925
     /* 2457925 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2457970), // Rule ID 50259 //
     /* 2457930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2457933 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2457933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2457936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2457940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2457945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2457947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2457950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2457952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2457955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2457957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2457959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2457962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2457968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2457969 */     // GIR_Coverage, 50259,
     /* 2457969 */     GIR_EraseRootFromParent_Done,
     /* 2457970 */   // Label 31644: @2457970
     /* 2457970 */   GIM_Reject,
     /* 2457971 */ // Label 31642: @2457971
     /* 2457971 */ GIM_Reject,
     /* 2457972 */ // Label 31598: @2457972
     /* 2457972 */ GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2458086),
     /* 2457977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2457980 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2457983 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2457995 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2458040), // Rule ID 50278 //
     /* 2458000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458003 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458003 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2458006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458010 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458015 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2458020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458022 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2458035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458039 */     // GIR_Coverage, 50278,
     /* 2458039 */     GIR_EraseRootFromParent_Done,
     /* 2458040 */   // Label 31646: @2458040
     /* 2458040 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2458085), // Rule ID 50279 //
     /* 2458045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458048 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2458051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2458065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2458080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458084 */     // GIR_Coverage, 50279,
     /* 2458084 */     GIR_EraseRootFromParent_Done,
     /* 2458085 */   // Label 31647: @2458085
     /* 2458085 */   GIM_Reject,
     /* 2458086 */ // Label 31645: @2458086
     /* 2458086 */ GIM_Reject,
     /* 2458087 */ // Label 31599: @2458087
     /* 2458087 */ GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2458201),
     /* 2458092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2458095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2458098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458110 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2458155), // Rule ID 50314 //
     /* 2458115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458118 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2458121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2458150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458154 */     // GIR_Coverage, 50314,
     /* 2458154 */     GIR_EraseRootFromParent_Done,
     /* 2458155 */   // Label 31649: @2458155
     /* 2458155 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2458200), // Rule ID 50315 //
     /* 2458160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458163 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2458166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2458195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458199 */     // GIR_Coverage, 50315,
     /* 2458199 */     GIR_EraseRootFromParent_Done,
     /* 2458200 */   // Label 31650: @2458200
     /* 2458200 */   GIM_Reject,
     /* 2458201 */ // Label 31648: @2458201
     /* 2458201 */ GIM_Reject,
     /* 2458202 */ // Label 31600: @2458202
     /* 2458202 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2458316),
     /* 2458207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2458210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2458213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458225 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2458270), // Rule ID 50330 //
     /* 2458230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2458233 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2458236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2458265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458269 */     // GIR_Coverage, 50330,
     /* 2458269 */     GIR_EraseRootFromParent_Done,
     /* 2458270 */   // Label 31652: @2458270
     /* 2458270 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2458315), // Rule ID 50331 //
     /* 2458275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2458278 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2458281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2458310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458314 */     // GIR_Coverage, 50331,
     /* 2458314 */     GIR_EraseRootFromParent_Done,
     /* 2458315 */   // Label 31653: @2458315
     /* 2458315 */   GIM_Reject,
     /* 2458316 */ // Label 31651: @2458316
     /* 2458316 */ GIM_Reject,
     /* 2458317 */ // Label 31601: @2458317
     /* 2458317 */ GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2458431),
     /* 2458322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2458325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2458328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2458332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2458336 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2458340 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2458385), // Rule ID 50274 //
     /* 2458345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458348 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2458351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2458365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458384 */     // GIR_Coverage, 50274,
     /* 2458384 */     GIR_EraseRootFromParent_Done,
     /* 2458385 */   // Label 31655: @2458385
     /* 2458385 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2458430), // Rule ID 50275 //
     /* 2458390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458393 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458393 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2458396 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458400 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458405 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2458410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458412 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458429 */     // GIR_Coverage, 50275,
     /* 2458429 */     GIR_EraseRootFromParent_Done,
     /* 2458430 */   // Label 31656: @2458430
     /* 2458430 */   GIM_Reject,
     /* 2458431 */ // Label 31654: @2458431
     /* 2458431 */ GIM_Reject,
     /* 2458432 */ // Label 31602: @2458432
     /* 2458432 */ GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2458546),
     /* 2458437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2458440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2458443 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458447 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458455 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2458500), // Rule ID 50302 //
     /* 2458460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458463 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2458466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2458495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458499 */     // GIR_Coverage, 50302,
     /* 2458499 */     GIR_EraseRootFromParent_Done,
     /* 2458500 */   // Label 31658: @2458500
     /* 2458500 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2458545), // Rule ID 50303 //
     /* 2458505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458508 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2458511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2458540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458544 */     // GIR_Coverage, 50303,
     /* 2458544 */     GIR_EraseRootFromParent_Done,
     /* 2458545 */   // Label 31659: @2458545
     /* 2458545 */   GIM_Reject,
     /* 2458546 */ // Label 31657: @2458546
     /* 2458546 */ GIM_Reject,
     /* 2458547 */ // Label 31603: @2458547
     /* 2458547 */ GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2458661),
     /* 2458552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2458555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2458558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458570 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2458615), // Rule ID 50318 //
     /* 2458575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458578 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2458581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2458610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458614 */     // GIR_Coverage, 50318,
     /* 2458614 */     GIR_EraseRootFromParent_Done,
     /* 2458615 */   // Label 31661: @2458615
     /* 2458615 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2458660), // Rule ID 50319 //
     /* 2458620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458623 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2458626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2458655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458659 */     // GIR_Coverage, 50319,
     /* 2458659 */     GIR_EraseRootFromParent_Done,
     /* 2458660 */   // Label 31662: @2458660
     /* 2458660 */   GIM_Reject,
     /* 2458661 */ // Label 31660: @2458661
     /* 2458661 */ GIM_Reject,
     /* 2458662 */ // Label 31604: @2458662
     /* 2458662 */ GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2458776),
     /* 2458667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2458670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2458673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2458677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2458681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2458685 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2458730), // Rule ID 50334 //
     /* 2458690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2458693 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2458696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2458710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2458725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458729 */     // GIR_Coverage, 50334,
     /* 2458729 */     GIR_EraseRootFromParent_Done,
     /* 2458730 */   // Label 31664: @2458730
     /* 2458730 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2458775), // Rule ID 50335 //
     /* 2458735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2458738 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2458741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2458755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2458770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458774 */     // GIR_Coverage, 50335,
     /* 2458774 */     GIR_EraseRootFromParent_Done,
     /* 2458775 */   // Label 31665: @2458775
     /* 2458775 */   GIM_Reject,
     /* 2458776 */ // Label 31663: @2458776
     /* 2458776 */ GIM_Reject,
     /* 2458777 */ // Label 31605: @2458777
     /* 2458777 */ GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2458891),
     /* 2458782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2458785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2458788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2458800 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2458845), // Rule ID 50290 //
     /* 2458805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458808 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2458811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458844 */     // GIR_Coverage, 50290,
     /* 2458844 */     GIR_EraseRootFromParent_Done,
     /* 2458845 */   // Label 31667: @2458845
     /* 2458845 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2458890), // Rule ID 50291 //
     /* 2458850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458853 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2458856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2458870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458889 */     // GIR_Coverage, 50291,
     /* 2458889 */     GIR_EraseRootFromParent_Done,
     /* 2458890 */   // Label 31668: @2458890
     /* 2458890 */   GIM_Reject,
     /* 2458891 */ // Label 31666: @2458891
     /* 2458891 */ GIM_Reject,
     /* 2458892 */ // Label 31606: @2458892
     /* 2458892 */ GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2459006),
     /* 2458897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2458900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2458903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2458915 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2458960), // Rule ID 50306 //
     /* 2458920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2458923 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2458923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2458926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2458955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2458958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2458959 */     // GIR_Coverage, 50306,
     /* 2458959 */     GIR_EraseRootFromParent_Done,
     /* 2458960 */   // Label 31670: @2458960
     /* 2458960 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2459005), // Rule ID 50307 //
     /* 2458965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2458968 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2458968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2458971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2458975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2458980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2458982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2458985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2458987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2458990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2458992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2458994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2458997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2459000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459004 */     // GIR_Coverage, 50307,
     /* 2459004 */     GIR_EraseRootFromParent_Done,
     /* 2459005 */   // Label 31671: @2459005
     /* 2459005 */   GIM_Reject,
     /* 2459006 */ // Label 31669: @2459006
     /* 2459006 */ GIM_Reject,
     /* 2459007 */ // Label 31607: @2459007
     /* 2459007 */ GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2459121),
     /* 2459012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2459015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2459018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459030 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2459075), // Rule ID 50322 //
     /* 2459035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459038 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2459041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2459070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459074 */     // GIR_Coverage, 50322,
     /* 2459074 */     GIR_EraseRootFromParent_Done,
     /* 2459075 */   // Label 31673: @2459075
     /* 2459075 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2459120), // Rule ID 50323 //
     /* 2459080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459083 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2459086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2459115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459119 */     // GIR_Coverage, 50323,
     /* 2459119 */     GIR_EraseRootFromParent_Done,
     /* 2459120 */   // Label 31674: @2459120
     /* 2459120 */   GIM_Reject,
     /* 2459121 */ // Label 31672: @2459121
     /* 2459121 */ GIM_Reject,
     /* 2459122 */ // Label 31608: @2459122
     /* 2459122 */ GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2459236),
     /* 2459127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2459130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2459133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2459137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2459141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2459145 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2459190), // Rule ID 50294 //
     /* 2459150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459153 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2459156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2459170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459189 */     // GIR_Coverage, 50294,
     /* 2459189 */     GIR_EraseRootFromParent_Done,
     /* 2459190 */   // Label 31676: @2459190
     /* 2459190 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2459235), // Rule ID 50295 //
     /* 2459195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459198 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2459201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2459215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459234 */     // GIR_Coverage, 50295,
     /* 2459234 */     GIR_EraseRootFromParent_Done,
     /* 2459235 */   // Label 31677: @2459235
     /* 2459235 */   GIM_Reject,
     /* 2459236 */ // Label 31675: @2459236
     /* 2459236 */ GIM_Reject,
     /* 2459237 */ // Label 31609: @2459237
     /* 2459237 */ GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2459351),
     /* 2459242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2459245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2459248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459260 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2459305), // Rule ID 50310 //
     /* 2459265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459268 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2459271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2459300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459304 */     // GIR_Coverage, 50310,
     /* 2459304 */     GIR_EraseRootFromParent_Done,
     /* 2459305 */   // Label 31679: @2459305
     /* 2459305 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2459350), // Rule ID 50311 //
     /* 2459310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459313 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2459316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2459345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459349 */     // GIR_Coverage, 50311,
     /* 2459349 */     GIR_EraseRootFromParent_Done,
     /* 2459350 */   // Label 31680: @2459350
     /* 2459350 */   GIM_Reject,
     /* 2459351 */ // Label 31678: @2459351
     /* 2459351 */ GIM_Reject,
     /* 2459352 */ // Label 31610: @2459352
     /* 2459352 */ GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2459466),
     /* 2459357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2459360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2459363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2459375 */   GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2459420), // Rule ID 50298 //
     /* 2459380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459383 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2459386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459419 */     // GIR_Coverage, 50298,
     /* 2459419 */     GIR_EraseRootFromParent_Done,
     /* 2459420 */   // Label 31682: @2459420
     /* 2459420 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2459465), // Rule ID 50299 //
     /* 2459425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459428 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2459431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2459445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459464 */     // GIR_Coverage, 50299,
     /* 2459464 */     GIR_EraseRootFromParent_Done,
     /* 2459465 */   // Label 31683: @2459465
     /* 2459465 */   GIM_Reject,
     /* 2459466 */ // Label 31681: @2459466
     /* 2459466 */ GIM_Reject,
     /* 2459467 */ // Label 31611: @2459467
     /* 2459467 */ GIM_Reject,
     /* 2459468 */ // Label 78: @2459468
     /* 2459468 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31708*/ GIMT_Encode4(2462243),
     /* 2459479 */ /*GILLT_s32*//*Label 31684*/ GIMT_Encode4(2459603),
     /* 2459483 */ /*GILLT_s64*//*Label 31685*/ GIMT_Encode4(2459658), GIMT_Encode4(0),
     /* 2459491 */ /*GILLT_nxv1s8*//*Label 31686*/ GIMT_Encode4(2459713),
     /* 2459495 */ /*GILLT_nxv1s16*//*Label 31687*/ GIMT_Encode4(2459828),
     /* 2459499 */ /*GILLT_nxv1s32*//*Label 31688*/ GIMT_Encode4(2459943),
     /* 2459503 */ /*GILLT_nxv1s64*//*Label 31689*/ GIMT_Encode4(2460058), GIMT_Encode4(0),
     /* 2459511 */ /*GILLT_nxv2s8*//*Label 31690*/ GIMT_Encode4(2460173),
     /* 2459515 */ /*GILLT_nxv2s16*//*Label 31691*/ GIMT_Encode4(2460288),
     /* 2459519 */ /*GILLT_nxv2s32*//*Label 31692*/ GIMT_Encode4(2460403),
     /* 2459523 */ /*GILLT_nxv2s64*//*Label 31693*/ GIMT_Encode4(2460518), GIMT_Encode4(0),
     /* 2459531 */ /*GILLT_nxv4s8*//*Label 31694*/ GIMT_Encode4(2460633),
     /* 2459535 */ /*GILLT_nxv4s16*//*Label 31695*/ GIMT_Encode4(2460748),
     /* 2459539 */ /*GILLT_nxv4s32*//*Label 31696*/ GIMT_Encode4(2460863),
     /* 2459543 */ /*GILLT_nxv4s64*//*Label 31697*/ GIMT_Encode4(2460978), GIMT_Encode4(0),
     /* 2459551 */ /*GILLT_nxv8s8*//*Label 31698*/ GIMT_Encode4(2461093),
     /* 2459555 */ /*GILLT_nxv8s16*//*Label 31699*/ GIMT_Encode4(2461208),
     /* 2459559 */ /*GILLT_nxv8s32*//*Label 31700*/ GIMT_Encode4(2461323),
     /* 2459563 */ /*GILLT_nxv8s64*//*Label 31701*/ GIMT_Encode4(2461438), GIMT_Encode4(0),
     /* 2459571 */ /*GILLT_nxv16s8*//*Label 31702*/ GIMT_Encode4(2461553),
     /* 2459575 */ /*GILLT_nxv16s16*//*Label 31703*/ GIMT_Encode4(2461668),
     /* 2459579 */ /*GILLT_nxv16s32*//*Label 31704*/ GIMT_Encode4(2461783), GIMT_Encode4(0),
     /* 2459587 */ /*GILLT_nxv32s8*//*Label 31705*/ GIMT_Encode4(2461898),
     /* 2459591 */ /*GILLT_nxv32s16*//*Label 31706*/ GIMT_Encode4(2462013), GIMT_Encode4(0),
     /* 2459599 */ /*GILLT_nxv64s8*//*Label 31707*/ GIMT_Encode4(2462128),
     /* 2459603 */ // Label 31684: @2459603
     /* 2459603 */ GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2459657),
     /* 2459608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2459611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2459614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459626 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2459641), // Rule ID 63805 //
     /* 2459631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2459634 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2459634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2459639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459640 */     // GIR_Coverage, 63805,
     /* 2459640 */     GIR_Done,
     /* 2459641 */   // Label 31710: @2459641
     /* 2459641 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2459656), // Rule ID 2391 //
     /* 2459646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2459649 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2459649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2459654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459655 */     // GIR_Coverage, 2391,
     /* 2459655 */     GIR_Done,
     /* 2459656 */   // Label 31711: @2459656
     /* 2459656 */   GIM_Reject,
     /* 2459657 */ // Label 31709: @2459657
     /* 2459657 */ GIM_Reject,
     /* 2459658 */ // Label 31685: @2459658
     /* 2459658 */ GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2459712),
     /* 2459663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2459666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2459669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2459681 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2459696), // Rule ID 63804 //
     /* 2459686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2459689 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2459689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2459694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459695 */     // GIR_Coverage, 63804,
     /* 2459695 */     GIR_Done,
     /* 2459696 */   // Label 31713: @2459696
     /* 2459696 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2459711), // Rule ID 2390 //
     /* 2459701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2459704 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2459704 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2459709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459710 */     // GIR_Coverage, 2390,
     /* 2459710 */     GIR_Done,
     /* 2459711 */   // Label 31714: @2459711
     /* 2459711 */   GIM_Reject,
     /* 2459712 */ // Label 31712: @2459712
     /* 2459712 */ GIM_Reject,
     /* 2459713 */ // Label 31686: @2459713
     /* 2459713 */ GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2459827),
     /* 2459718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2459721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2459724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459736 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2459781), // Rule ID 49986 //
     /* 2459741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459744 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2459747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2459761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459780 */     // GIR_Coverage, 49986,
     /* 2459780 */     GIR_EraseRootFromParent_Done,
     /* 2459781 */   // Label 31716: @2459781
     /* 2459781 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2459826), // Rule ID 49987 //
     /* 2459786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459789 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2459792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2459806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459825 */     // GIR_Coverage, 49987,
     /* 2459825 */     GIR_EraseRootFromParent_Done,
     /* 2459826 */   // Label 31717: @2459826
     /* 2459826 */   GIM_Reject,
     /* 2459827 */ // Label 31715: @2459827
     /* 2459827 */ GIM_Reject,
     /* 2459828 */ // Label 31687: @2459828
     /* 2459828 */ GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2459942),
     /* 2459833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2459836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2459839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459851 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2459896), // Rule ID 49998 //
     /* 2459856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459859 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2459862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2459876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2459891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459895 */     // GIR_Coverage, 49998,
     /* 2459895 */     GIR_EraseRootFromParent_Done,
     /* 2459896 */   // Label 31719: @2459896
     /* 2459896 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2459941), // Rule ID 49999 //
     /* 2459901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2459904 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2459904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2459907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2459921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2459930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2459933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2459936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2459939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2459940 */     // GIR_Coverage, 49999,
     /* 2459940 */     GIR_EraseRootFromParent_Done,
     /* 2459941 */   // Label 31720: @2459941
     /* 2459941 */   GIM_Reject,
     /* 2459942 */ // Label 31718: @2459942
     /* 2459942 */ GIM_Reject,
     /* 2459943 */ // Label 31688: @2459943
     /* 2459943 */ GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2460057),
     /* 2459948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2459951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2459954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459962 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2459966 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2460011), // Rule ID 50006 //
     /* 2459971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2459974 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2459974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2459977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2459981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2459986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2459988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2459991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2459993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2459996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2459998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460010 */     // GIR_Coverage, 50006,
     /* 2460010 */     GIR_EraseRootFromParent_Done,
     /* 2460011 */   // Label 31722: @2460011
     /* 2460011 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2460056), // Rule ID 50007 //
     /* 2460016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460019 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2460022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2460036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460055 */     // GIR_Coverage, 50007,
     /* 2460055 */     GIR_EraseRootFromParent_Done,
     /* 2460056 */   // Label 31723: @2460056
     /* 2460056 */   GIM_Reject,
     /* 2460057 */ // Label 31721: @2460057
     /* 2460057 */ GIM_Reject,
     /* 2460058 */ // Label 31689: @2460058
     /* 2460058 */ GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2460172),
     /* 2460063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2460066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2460069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460081 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2460126), // Rule ID 50022 //
     /* 2460086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2460089 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2460092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2460121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460125 */     // GIR_Coverage, 50022,
     /* 2460125 */     GIR_EraseRootFromParent_Done,
     /* 2460126 */   // Label 31725: @2460126
     /* 2460126 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2460171), // Rule ID 50023 //
     /* 2460131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2460134 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2460137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2460166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460170 */     // GIR_Coverage, 50023,
     /* 2460170 */     GIR_EraseRootFromParent_Done,
     /* 2460171 */   // Label 31726: @2460171
     /* 2460171 */   GIM_Reject,
     /* 2460172 */ // Label 31724: @2460172
     /* 2460172 */ GIM_Reject,
     /* 2460173 */ // Label 31690: @2460173
     /* 2460173 */ GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2460287),
     /* 2460178 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2460181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2460184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460188 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460192 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460196 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2460241), // Rule ID 49990 //
     /* 2460201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460204 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2460207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2460221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460240 */     // GIR_Coverage, 49990,
     /* 2460240 */     GIR_EraseRootFromParent_Done,
     /* 2460241 */   // Label 31728: @2460241
     /* 2460241 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2460286), // Rule ID 49991 //
     /* 2460246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460249 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2460252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2460266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460285 */     // GIR_Coverage, 49991,
     /* 2460285 */     GIR_EraseRootFromParent_Done,
     /* 2460286 */   // Label 31729: @2460286
     /* 2460286 */   GIM_Reject,
     /* 2460287 */ // Label 31727: @2460287
     /* 2460287 */ GIM_Reject,
     /* 2460288 */ // Label 31691: @2460288
     /* 2460288 */ GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2460402),
     /* 2460293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2460296 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2460299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460311 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2460356), // Rule ID 50002 //
     /* 2460316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460319 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2460322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2460336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2460351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460355 */     // GIR_Coverage, 50002,
     /* 2460355 */     GIR_EraseRootFromParent_Done,
     /* 2460356 */   // Label 31731: @2460356
     /* 2460356 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2460401), // Rule ID 50003 //
     /* 2460361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460364 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2460367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2460381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2460396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460400 */     // GIR_Coverage, 50003,
     /* 2460400 */     GIR_EraseRootFromParent_Done,
     /* 2460401 */   // Label 31732: @2460401
     /* 2460401 */   GIM_Reject,
     /* 2460402 */ // Label 31730: @2460402
     /* 2460402 */ GIM_Reject,
     /* 2460403 */ // Label 31692: @2460403
     /* 2460403 */ GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2460517),
     /* 2460408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2460411 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2460414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460418 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460422 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460426 */   GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2460471), // Rule ID 50018 //
     /* 2460431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460434 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2460437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460470 */     // GIR_Coverage, 50018,
     /* 2460470 */     GIR_EraseRootFromParent_Done,
     /* 2460471 */   // Label 31734: @2460471
     /* 2460471 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2460516), // Rule ID 50019 //
     /* 2460476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460479 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2460482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460515 */     // GIR_Coverage, 50019,
     /* 2460515 */     GIR_EraseRootFromParent_Done,
     /* 2460516 */   // Label 31735: @2460516
     /* 2460516 */   GIM_Reject,
     /* 2460517 */ // Label 31733: @2460517
     /* 2460517 */ GIM_Reject,
     /* 2460518 */ // Label 31693: @2460518
     /* 2460518 */ GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2460632),
     /* 2460523 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2460526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2460529 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460533 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460537 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460541 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2460586), // Rule ID 50062 //
     /* 2460546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2460549 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2460552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2460566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2460581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460585 */     // GIR_Coverage, 50062,
     /* 2460585 */     GIR_EraseRootFromParent_Done,
     /* 2460586 */   // Label 31737: @2460586
     /* 2460586 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2460631), // Rule ID 50063 //
     /* 2460591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2460594 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2460597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2460611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2460626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460630 */     // GIR_Coverage, 50063,
     /* 2460630 */     GIR_EraseRootFromParent_Done,
     /* 2460631 */   // Label 31738: @2460631
     /* 2460631 */   GIM_Reject,
     /* 2460632 */ // Label 31736: @2460632
     /* 2460632 */ GIM_Reject,
     /* 2460633 */ // Label 31694: @2460633
     /* 2460633 */ GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2460747),
     /* 2460638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2460641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2460644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460648 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460656 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2460701), // Rule ID 49994 //
     /* 2460661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460664 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2460667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2460681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460700 */     // GIR_Coverage, 49994,
     /* 2460700 */     GIR_EraseRootFromParent_Done,
     /* 2460701 */   // Label 31740: @2460701
     /* 2460701 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2460746), // Rule ID 49995 //
     /* 2460706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460709 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2460712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2460726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460745 */     // GIR_Coverage, 49995,
     /* 2460745 */     GIR_EraseRootFromParent_Done,
     /* 2460746 */   // Label 31741: @2460746
     /* 2460746 */   GIM_Reject,
     /* 2460747 */ // Label 31739: @2460747
     /* 2460747 */ GIM_Reject,
     /* 2460748 */ // Label 31695: @2460748
     /* 2460748 */ GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2460862),
     /* 2460753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2460756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2460759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2460771 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2460816), // Rule ID 50014 //
     /* 2460776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460779 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2460782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2460811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460815 */     // GIR_Coverage, 50014,
     /* 2460815 */     GIR_EraseRootFromParent_Done,
     /* 2460816 */   // Label 31743: @2460816
     /* 2460816 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2460861), // Rule ID 50015 //
     /* 2460821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460824 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2460827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2460841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2460856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460860 */     // GIR_Coverage, 50015,
     /* 2460860 */     GIR_EraseRootFromParent_Done,
     /* 2460861 */   // Label 31744: @2460861
     /* 2460861 */   GIM_Reject,
     /* 2460862 */ // Label 31742: @2460862
     /* 2460862 */ GIM_Reject,
     /* 2460863 */ // Label 31696: @2460863
     /* 2460863 */ GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2460977),
     /* 2460868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2460871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2460874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2460886 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2460931), // Rule ID 50050 //
     /* 2460891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2460894 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2460894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2460897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2460911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460930 */     // GIR_Coverage, 50050,
     /* 2460930 */     GIR_EraseRootFromParent_Done,
     /* 2460931 */   // Label 31746: @2460931
     /* 2460931 */   GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2460976), // Rule ID 50051 //
     /* 2460936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2460939 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2460939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2460942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2460946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2460951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2460953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2460956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2460958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2460961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2460963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2460965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2460968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2460971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2460974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2460975 */     // GIR_Coverage, 50051,
     /* 2460975 */     GIR_EraseRootFromParent_Done,
     /* 2460976 */   // Label 31747: @2460976
     /* 2460976 */   GIM_Reject,
     /* 2460977 */ // Label 31745: @2460977
     /* 2460977 */ GIM_Reject,
     /* 2460978 */ // Label 31697: @2460978
     /* 2460978 */ GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2461092),
     /* 2460983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2460986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2460989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2460993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2460997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461001 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2461046), // Rule ID 50066 //
     /* 2461006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2461009 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2461012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2461041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461045 */     // GIR_Coverage, 50066,
     /* 2461045 */     GIR_EraseRootFromParent_Done,
     /* 2461046 */   // Label 31749: @2461046
     /* 2461046 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2461091), // Rule ID 50067 //
     /* 2461051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2461054 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2461057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2461086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461090 */     // GIR_Coverage, 50067,
     /* 2461090 */     GIR_EraseRootFromParent_Done,
     /* 2461091 */   // Label 31750: @2461091
     /* 2461091 */   GIM_Reject,
     /* 2461092 */ // Label 31748: @2461092
     /* 2461092 */ GIM_Reject,
     /* 2461093 */ // Label 31698: @2461093
     /* 2461093 */ GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2461207),
     /* 2461098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2461101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2461104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2461108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2461112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2461116 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2461161), // Rule ID 50010 //
     /* 2461121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461124 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2461127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2461141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461160 */     // GIR_Coverage, 50010,
     /* 2461160 */     GIR_EraseRootFromParent_Done,
     /* 2461161 */   // Label 31752: @2461161
     /* 2461161 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2461206), // Rule ID 50011 //
     /* 2461166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461169 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2461172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2461186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461205 */     // GIR_Coverage, 50011,
     /* 2461205 */     GIR_EraseRootFromParent_Done,
     /* 2461206 */   // Label 31753: @2461206
     /* 2461206 */   GIM_Reject,
     /* 2461207 */ // Label 31751: @2461207
     /* 2461207 */ GIM_Reject,
     /* 2461208 */ // Label 31699: @2461208
     /* 2461208 */ GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2461322),
     /* 2461213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2461216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2461219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461231 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2461276), // Rule ID 50038 //
     /* 2461236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461239 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2461242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2461256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2461271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461275 */     // GIR_Coverage, 50038,
     /* 2461275 */     GIR_EraseRootFromParent_Done,
     /* 2461276 */   // Label 31755: @2461276
     /* 2461276 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2461321), // Rule ID 50039 //
     /* 2461281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461284 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2461287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2461301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2461316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461320 */     // GIR_Coverage, 50039,
     /* 2461320 */     GIR_EraseRootFromParent_Done,
     /* 2461321 */   // Label 31756: @2461321
     /* 2461321 */   GIM_Reject,
     /* 2461322 */ // Label 31754: @2461322
     /* 2461322 */ GIM_Reject,
     /* 2461323 */ // Label 31700: @2461323
     /* 2461323 */ GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2461437),
     /* 2461328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2461331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2461334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461346 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2461391), // Rule ID 50054 //
     /* 2461351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461354 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2461357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2461386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461390 */     // GIR_Coverage, 50054,
     /* 2461390 */     GIR_EraseRootFromParent_Done,
     /* 2461391 */   // Label 31758: @2461391
     /* 2461391 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2461436), // Rule ID 50055 //
     /* 2461396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461399 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2461402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2461431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461435 */     // GIR_Coverage, 50055,
     /* 2461435 */     GIR_EraseRootFromParent_Done,
     /* 2461436 */   // Label 31759: @2461436
     /* 2461436 */   GIM_Reject,
     /* 2461437 */ // Label 31757: @2461437
     /* 2461437 */ GIM_Reject,
     /* 2461438 */ // Label 31701: @2461438
     /* 2461438 */ GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2461552),
     /* 2461443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2461446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2461449 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461453 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461457 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461461 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2461506), // Rule ID 50070 //
     /* 2461466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2461469 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461469 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2461472 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461476 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461481 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2461486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461488 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461491 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2461501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461505 */     // GIR_Coverage, 50070,
     /* 2461505 */     GIR_EraseRootFromParent_Done,
     /* 2461506 */   // Label 31761: @2461506
     /* 2461506 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2461551), // Rule ID 50071 //
     /* 2461511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2461514 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2461517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2461531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2461546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461550 */     // GIR_Coverage, 50071,
     /* 2461550 */     GIR_EraseRootFromParent_Done,
     /* 2461551 */   // Label 31762: @2461551
     /* 2461551 */   GIM_Reject,
     /* 2461552 */ // Label 31760: @2461552
     /* 2461552 */ GIM_Reject,
     /* 2461553 */ // Label 31702: @2461553
     /* 2461553 */ GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2461667),
     /* 2461558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2461561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2461564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2461576 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2461621), // Rule ID 50026 //
     /* 2461581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461584 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2461587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2461601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461620 */     // GIR_Coverage, 50026,
     /* 2461620 */     GIR_EraseRootFromParent_Done,
     /* 2461621 */   // Label 31764: @2461621
     /* 2461621 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2461666), // Rule ID 50027 //
     /* 2461626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461629 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2461632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2461646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461665 */     // GIR_Coverage, 50027,
     /* 2461665 */     GIR_EraseRootFromParent_Done,
     /* 2461666 */   // Label 31765: @2461666
     /* 2461666 */   GIM_Reject,
     /* 2461667 */ // Label 31763: @2461667
     /* 2461667 */ GIM_Reject,
     /* 2461668 */ // Label 31703: @2461668
     /* 2461668 */ GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2461782),
     /* 2461673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2461676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2461679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461687 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461691 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2461736), // Rule ID 50042 //
     /* 2461696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461699 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2461702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2461731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461735 */     // GIR_Coverage, 50042,
     /* 2461735 */     GIR_EraseRootFromParent_Done,
     /* 2461736 */   // Label 31767: @2461736
     /* 2461736 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2461781), // Rule ID 50043 //
     /* 2461741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461744 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2461747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2461776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461780 */     // GIR_Coverage, 50043,
     /* 2461780 */     GIR_EraseRootFromParent_Done,
     /* 2461781 */   // Label 31768: @2461781
     /* 2461781 */   GIM_Reject,
     /* 2461782 */ // Label 31766: @2461782
     /* 2461782 */ GIM_Reject,
     /* 2461783 */ // Label 31704: @2461783
     /* 2461783 */ GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2461897),
     /* 2461788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2461791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2461794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2461806 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2461851), // Rule ID 50058 //
     /* 2461811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461814 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2461817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2461831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2461846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461850 */     // GIR_Coverage, 50058,
     /* 2461850 */     GIR_EraseRootFromParent_Done,
     /* 2461851 */   // Label 31770: @2461851
     /* 2461851 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2461896), // Rule ID 50059 //
     /* 2461856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461859 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2461862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2461876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2461891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461895 */     // GIR_Coverage, 50059,
     /* 2461895 */     GIR_EraseRootFromParent_Done,
     /* 2461896 */   // Label 31771: @2461896
     /* 2461896 */   GIM_Reject,
     /* 2461897 */ // Label 31769: @2461897
     /* 2461897 */ GIM_Reject,
     /* 2461898 */ // Label 31705: @2461898
     /* 2461898 */ GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2462012),
     /* 2461903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2461906 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2461909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461917 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2461921 */   GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2461966), // Rule ID 50030 //
     /* 2461926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2461929 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2461929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2461932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2461955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2461958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2461964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2461965 */     // GIR_Coverage, 50030,
     /* 2461965 */     GIR_EraseRootFromParent_Done,
     /* 2461966 */   // Label 31773: @2461966
     /* 2461966 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2462011), // Rule ID 50031 //
     /* 2461971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2461974 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2461974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2461977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2461981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2461986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2461988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2461991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2461993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2461996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2461998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462010 */     // GIR_Coverage, 50031,
     /* 2462010 */     GIR_EraseRootFromParent_Done,
     /* 2462011 */   // Label 31774: @2462011
     /* 2462011 */   GIM_Reject,
     /* 2462012 */ // Label 31772: @2462012
     /* 2462012 */ GIM_Reject,
     /* 2462013 */ // Label 31706: @2462013
     /* 2462013 */ GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2462127),
     /* 2462018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2462021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2462024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462036 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2462081), // Rule ID 50046 //
     /* 2462041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462044 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2462047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2462061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2462076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462080 */     // GIR_Coverage, 50046,
     /* 2462080 */     GIR_EraseRootFromParent_Done,
     /* 2462081 */   // Label 31776: @2462081
     /* 2462081 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2462126), // Rule ID 50047 //
     /* 2462086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2462089 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2462092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2462106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2462121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462125 */     // GIR_Coverage, 50047,
     /* 2462125 */     GIR_EraseRootFromParent_Done,
     /* 2462126 */   // Label 31777: @2462126
     /* 2462126 */   GIM_Reject,
     /* 2462127 */ // Label 31775: @2462127
     /* 2462127 */ GIM_Reject,
     /* 2462128 */ // Label 31707: @2462128
     /* 2462128 */ GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2462242),
     /* 2462133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2462136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2462139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2462151 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2462196), // Rule ID 50034 //
     /* 2462156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462159 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2462162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2462176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462195 */     // GIR_Coverage, 50034,
     /* 2462195 */     GIR_EraseRootFromParent_Done,
     /* 2462196 */   // Label 31779: @2462196
     /* 2462196 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2462241), // Rule ID 50035 //
     /* 2462201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2462204 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2462207 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462211 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462216 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2462221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462223 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462240 */     // GIR_Coverage, 50035,
     /* 2462240 */     GIR_EraseRootFromParent_Done,
     /* 2462241 */   // Label 31780: @2462241
     /* 2462241 */   GIM_Reject,
     /* 2462242 */ // Label 31778: @2462242
     /* 2462242 */ GIM_Reject,
     /* 2462243 */ // Label 31708: @2462243
     /* 2462243 */ GIM_Reject,
     /* 2462244 */ // Label 79: @2462244
     /* 2462244 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31805*/ GIMT_Encode4(2465019),
     /* 2462255 */ /*GILLT_s32*//*Label 31781*/ GIMT_Encode4(2462379),
     /* 2462259 */ /*GILLT_s64*//*Label 31782*/ GIMT_Encode4(2462434), GIMT_Encode4(0),
     /* 2462267 */ /*GILLT_nxv1s8*//*Label 31783*/ GIMT_Encode4(2462489),
     /* 2462271 */ /*GILLT_nxv1s16*//*Label 31784*/ GIMT_Encode4(2462604),
     /* 2462275 */ /*GILLT_nxv1s32*//*Label 31785*/ GIMT_Encode4(2462719),
     /* 2462279 */ /*GILLT_nxv1s64*//*Label 31786*/ GIMT_Encode4(2462834), GIMT_Encode4(0),
     /* 2462287 */ /*GILLT_nxv2s8*//*Label 31787*/ GIMT_Encode4(2462949),
     /* 2462291 */ /*GILLT_nxv2s16*//*Label 31788*/ GIMT_Encode4(2463064),
     /* 2462295 */ /*GILLT_nxv2s32*//*Label 31789*/ GIMT_Encode4(2463179),
     /* 2462299 */ /*GILLT_nxv2s64*//*Label 31790*/ GIMT_Encode4(2463294), GIMT_Encode4(0),
     /* 2462307 */ /*GILLT_nxv4s8*//*Label 31791*/ GIMT_Encode4(2463409),
     /* 2462311 */ /*GILLT_nxv4s16*//*Label 31792*/ GIMT_Encode4(2463524),
     /* 2462315 */ /*GILLT_nxv4s32*//*Label 31793*/ GIMT_Encode4(2463639),
     /* 2462319 */ /*GILLT_nxv4s64*//*Label 31794*/ GIMT_Encode4(2463754), GIMT_Encode4(0),
     /* 2462327 */ /*GILLT_nxv8s8*//*Label 31795*/ GIMT_Encode4(2463869),
     /* 2462331 */ /*GILLT_nxv8s16*//*Label 31796*/ GIMT_Encode4(2463984),
     /* 2462335 */ /*GILLT_nxv8s32*//*Label 31797*/ GIMT_Encode4(2464099),
     /* 2462339 */ /*GILLT_nxv8s64*//*Label 31798*/ GIMT_Encode4(2464214), GIMT_Encode4(0),
     /* 2462347 */ /*GILLT_nxv16s8*//*Label 31799*/ GIMT_Encode4(2464329),
     /* 2462351 */ /*GILLT_nxv16s16*//*Label 31800*/ GIMT_Encode4(2464444),
     /* 2462355 */ /*GILLT_nxv16s32*//*Label 31801*/ GIMT_Encode4(2464559), GIMT_Encode4(0),
     /* 2462363 */ /*GILLT_nxv32s8*//*Label 31802*/ GIMT_Encode4(2464674),
     /* 2462367 */ /*GILLT_nxv32s16*//*Label 31803*/ GIMT_Encode4(2464789), GIMT_Encode4(0),
     /* 2462375 */ /*GILLT_nxv64s8*//*Label 31804*/ GIMT_Encode4(2464904),
     /* 2462379 */ // Label 31781: @2462379
     /* 2462379 */ GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2462433),
     /* 2462384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2462387 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2462390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462402 */   GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2462417), // Rule ID 63809 //
     /* 2462407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2462410 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2462410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2462415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462416 */     // GIR_Coverage, 63809,
     /* 2462416 */     GIR_Done,
     /* 2462417 */   // Label 31807: @2462417
     /* 2462417 */   GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2462432), // Rule ID 2393 //
     /* 2462422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2462425 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2462425 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2462430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462431 */     // GIR_Coverage, 2393,
     /* 2462431 */     GIR_Done,
     /* 2462432 */   // Label 31808: @2462432
     /* 2462432 */   GIM_Reject,
     /* 2462433 */ // Label 31806: @2462433
     /* 2462433 */ GIM_Reject,
     /* 2462434 */ // Label 31782: @2462434
     /* 2462434 */ GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2462488),
     /* 2462439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2462442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2462445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462449 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2462457 */   GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2462472), // Rule ID 63808 //
     /* 2462462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2462465 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2462465 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2462470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462471 */     // GIR_Coverage, 63808,
     /* 2462471 */     GIR_Done,
     /* 2462472 */   // Label 31810: @2462472
     /* 2462472 */   GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2462487), // Rule ID 2392 //
     /* 2462477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2462480 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2462480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2462485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462486 */     // GIR_Coverage, 2392,
     /* 2462486 */     GIR_Done,
     /* 2462487 */   // Label 31811: @2462487
     /* 2462487 */   GIM_Reject,
     /* 2462488 */ // Label 31809: @2462488
     /* 2462488 */ GIM_Reject,
     /* 2462489 */ // Label 31783: @2462489
     /* 2462489 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2462603),
     /* 2462494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2462497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2462500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462512 */   GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2462557), // Rule ID 50162 //
     /* 2462517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462520 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2462523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2462537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462556 */     // GIR_Coverage, 50162,
     /* 2462556 */     GIR_EraseRootFromParent_Done,
     /* 2462557 */   // Label 31813: @2462557
     /* 2462557 */   GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2462602), // Rule ID 50163 //
     /* 2462562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2462565 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2462568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2462582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462601 */     // GIR_Coverage, 50163,
     /* 2462601 */     GIR_EraseRootFromParent_Done,
     /* 2462602 */   // Label 31814: @2462602
     /* 2462602 */   GIM_Reject,
     /* 2462603 */ // Label 31812: @2462603
     /* 2462603 */ GIM_Reject,
     /* 2462604 */ // Label 31784: @2462604
     /* 2462604 */ GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2462718),
     /* 2462609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2462612 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2462615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462627 */   GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2462672), // Rule ID 50174 //
     /* 2462632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462635 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2462638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2462652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2462667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462671 */     // GIR_Coverage, 50174,
     /* 2462671 */     GIR_EraseRootFromParent_Done,
     /* 2462672 */   // Label 31816: @2462672
     /* 2462672 */   GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2462717), // Rule ID 50175 //
     /* 2462677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2462680 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2462683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2462697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2462712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462716 */     // GIR_Coverage, 50175,
     /* 2462716 */     GIR_EraseRootFromParent_Done,
     /* 2462717 */   // Label 31817: @2462717
     /* 2462717 */   GIM_Reject,
     /* 2462718 */ // Label 31815: @2462718
     /* 2462718 */ GIM_Reject,
     /* 2462719 */ // Label 31785: @2462719
     /* 2462719 */ GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2462833),
     /* 2462724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2462727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2462730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462742 */   GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2462787), // Rule ID 50182 //
     /* 2462747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462750 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2462753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2462767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2462782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462786 */     // GIR_Coverage, 50182,
     /* 2462786 */     GIR_EraseRootFromParent_Done,
     /* 2462787 */   // Label 31819: @2462787
     /* 2462787 */   GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2462832), // Rule ID 50183 //
     /* 2462792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2462795 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2462798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2462812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2462827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462831 */     // GIR_Coverage, 50183,
     /* 2462831 */     GIR_EraseRootFromParent_Done,
     /* 2462832 */   // Label 31820: @2462832
     /* 2462832 */   GIM_Reject,
     /* 2462833 */ // Label 31818: @2462833
     /* 2462833 */ GIM_Reject,
     /* 2462834 */ // Label 31786: @2462834
     /* 2462834 */ GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2462948),
     /* 2462839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2462842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2462845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462857 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2462902), // Rule ID 50198 //
     /* 2462862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2462865 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2462868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2462882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2462897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462901 */     // GIR_Coverage, 50198,
     /* 2462901 */     GIR_EraseRootFromParent_Done,
     /* 2462902 */   // Label 31822: @2462902
     /* 2462902 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2462947), // Rule ID 50199 //
     /* 2462907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2462910 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2462910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2462913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2462927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2462932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2462934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2462936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2462939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2462942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2462945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2462946 */     // GIR_Coverage, 50199,
     /* 2462946 */     GIR_EraseRootFromParent_Done,
     /* 2462947 */   // Label 31823: @2462947
     /* 2462947 */   GIM_Reject,
     /* 2462948 */ // Label 31821: @2462948
     /* 2462948 */ GIM_Reject,
     /* 2462949 */ // Label 31787: @2462949
     /* 2462949 */ GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2463063),
     /* 2462954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2462957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2462960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2462972 */   GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2463017), // Rule ID 50166 //
     /* 2462977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2462980 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2462980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2462983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2462987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2462992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2462994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2462997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2462999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463016 */     // GIR_Coverage, 50166,
     /* 2463016 */     GIR_EraseRootFromParent_Done,
     /* 2463017 */   // Label 31825: @2463017
     /* 2463017 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2463062), // Rule ID 50167 //
     /* 2463022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463025 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2463028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2463042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463061 */     // GIR_Coverage, 50167,
     /* 2463061 */     GIR_EraseRootFromParent_Done,
     /* 2463062 */   // Label 31826: @2463062
     /* 2463062 */   GIM_Reject,
     /* 2463063 */ // Label 31824: @2463063
     /* 2463063 */ GIM_Reject,
     /* 2463064 */ // Label 31788: @2463064
     /* 2463064 */ GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2463178),
     /* 2463069 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2463072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2463075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463083 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463087 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2463132), // Rule ID 50178 //
     /* 2463092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463095 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2463098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2463112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2463127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463131 */     // GIR_Coverage, 50178,
     /* 2463131 */     GIR_EraseRootFromParent_Done,
     /* 2463132 */   // Label 31828: @2463132
     /* 2463132 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2463177), // Rule ID 50179 //
     /* 2463137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463140 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2463143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2463157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2463172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463176 */     // GIR_Coverage, 50179,
     /* 2463176 */     GIR_EraseRootFromParent_Done,
     /* 2463177 */   // Label 31829: @2463177
     /* 2463177 */   GIM_Reject,
     /* 2463178 */ // Label 31827: @2463178
     /* 2463178 */ GIM_Reject,
     /* 2463179 */ // Label 31789: @2463179
     /* 2463179 */ GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2463293),
     /* 2463184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2463187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2463190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463202 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2463247), // Rule ID 50194 //
     /* 2463207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463210 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2463213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2463242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463246 */     // GIR_Coverage, 50194,
     /* 2463246 */     GIR_EraseRootFromParent_Done,
     /* 2463247 */   // Label 31831: @2463247
     /* 2463247 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2463292), // Rule ID 50195 //
     /* 2463252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463255 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2463258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2463287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463291 */     // GIR_Coverage, 50195,
     /* 2463291 */     GIR_EraseRootFromParent_Done,
     /* 2463292 */   // Label 31832: @2463292
     /* 2463292 */   GIM_Reject,
     /* 2463293 */ // Label 31830: @2463293
     /* 2463293 */ GIM_Reject,
     /* 2463294 */ // Label 31790: @2463294
     /* 2463294 */ GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2463408),
     /* 2463299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2463302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2463305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463317 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2463362), // Rule ID 50238 //
     /* 2463322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2463325 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2463328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2463342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2463357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463361 */     // GIR_Coverage, 50238,
     /* 2463361 */     GIR_EraseRootFromParent_Done,
     /* 2463362 */   // Label 31834: @2463362
     /* 2463362 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2463407), // Rule ID 50239 //
     /* 2463367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2463370 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2463373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2463387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2463402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463406 */     // GIR_Coverage, 50239,
     /* 2463406 */     GIR_EraseRootFromParent_Done,
     /* 2463407 */   // Label 31835: @2463407
     /* 2463407 */   GIM_Reject,
     /* 2463408 */ // Label 31833: @2463408
     /* 2463408 */ GIM_Reject,
     /* 2463409 */ // Label 31791: @2463409
     /* 2463409 */ GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2463523),
     /* 2463414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2463417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2463420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463432 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2463477), // Rule ID 50170 //
     /* 2463437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463440 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2463443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2463457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463476 */     // GIR_Coverage, 50170,
     /* 2463476 */     GIR_EraseRootFromParent_Done,
     /* 2463477 */   // Label 31837: @2463477
     /* 2463477 */   GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2463522), // Rule ID 50171 //
     /* 2463482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463485 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2463488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2463502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463521 */     // GIR_Coverage, 50171,
     /* 2463521 */     GIR_EraseRootFromParent_Done,
     /* 2463522 */   // Label 31838: @2463522
     /* 2463522 */   GIM_Reject,
     /* 2463523 */ // Label 31836: @2463523
     /* 2463523 */ GIM_Reject,
     /* 2463524 */ // Label 31792: @2463524
     /* 2463524 */ GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2463638),
     /* 2463529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2463532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2463535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463543 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463547 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2463592), // Rule ID 50190 //
     /* 2463552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463555 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2463558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2463587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463591 */     // GIR_Coverage, 50190,
     /* 2463591 */     GIR_EraseRootFromParent_Done,
     /* 2463592 */   // Label 31840: @2463592
     /* 2463592 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2463637), // Rule ID 50191 //
     /* 2463597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463600 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2463603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2463632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463636 */     // GIR_Coverage, 50191,
     /* 2463636 */     GIR_EraseRootFromParent_Done,
     /* 2463637 */   // Label 31841: @2463637
     /* 2463637 */   GIM_Reject,
     /* 2463638 */ // Label 31839: @2463638
     /* 2463638 */ GIM_Reject,
     /* 2463639 */ // Label 31793: @2463639
     /* 2463639 */ GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2463753),
     /* 2463644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2463647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2463650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463658 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463662 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2463707), // Rule ID 50226 //
     /* 2463667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463670 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2463673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2463687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2463702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463706 */     // GIR_Coverage, 50226,
     /* 2463706 */     GIR_EraseRootFromParent_Done,
     /* 2463707 */   // Label 31843: @2463707
     /* 2463707 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2463752), // Rule ID 50227 //
     /* 2463712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463715 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2463718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2463732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2463747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463751 */     // GIR_Coverage, 50227,
     /* 2463751 */     GIR_EraseRootFromParent_Done,
     /* 2463752 */   // Label 31844: @2463752
     /* 2463752 */   GIM_Reject,
     /* 2463753 */ // Label 31842: @2463753
     /* 2463753 */ GIM_Reject,
     /* 2463754 */ // Label 31794: @2463754
     /* 2463754 */ GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2463868),
     /* 2463759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2463762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2463765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2463769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2463773 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2463777 */   GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2463822), // Rule ID 50242 //
     /* 2463782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2463785 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2463788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2463802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2463817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463821 */     // GIR_Coverage, 50242,
     /* 2463821 */     GIR_EraseRootFromParent_Done,
     /* 2463822 */   // Label 31846: @2463822
     /* 2463822 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2463867), // Rule ID 50243 //
     /* 2463827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2463830 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2463833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2463847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2463862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463866 */     // GIR_Coverage, 50243,
     /* 2463866 */     GIR_EraseRootFromParent_Done,
     /* 2463867 */   // Label 31847: @2463867
     /* 2463867 */   GIM_Reject,
     /* 2463868 */ // Label 31845: @2463868
     /* 2463868 */ GIM_Reject,
     /* 2463869 */ // Label 31795: @2463869
     /* 2463869 */ GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2463983),
     /* 2463874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2463877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2463880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2463892 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2463937), // Rule ID 50186 //
     /* 2463897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2463900 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2463900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2463903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463936 */     // GIR_Coverage, 50186,
     /* 2463936 */     GIR_EraseRootFromParent_Done,
     /* 2463937 */   // Label 31849: @2463937
     /* 2463937 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2463982), // Rule ID 50187 //
     /* 2463942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2463945 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2463945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2463948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2463952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2463957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2463959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2463962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2463964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2463967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2463969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2463971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2463974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2463980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2463981 */     // GIR_Coverage, 50187,
     /* 2463981 */     GIR_EraseRootFromParent_Done,
     /* 2463982 */   // Label 31850: @2463982
     /* 2463982 */   GIM_Reject,
     /* 2463983 */ // Label 31848: @2463983
     /* 2463983 */ GIM_Reject,
     /* 2463984 */ // Label 31796: @2463984
     /* 2463984 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2464098),
     /* 2463989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2463992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2463995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2463999 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2464003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2464007 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2464052), // Rule ID 50214 //
     /* 2464012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464015 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2464018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2464032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464051 */     // GIR_Coverage, 50214,
     /* 2464051 */     GIR_EraseRootFromParent_Done,
     /* 2464052 */   // Label 31852: @2464052
     /* 2464052 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2464097), // Rule ID 50215 //
     /* 2464057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464060 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2464063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2464077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464096 */     // GIR_Coverage, 50215,
     /* 2464096 */     GIR_EraseRootFromParent_Done,
     /* 2464097 */   // Label 31853: @2464097
     /* 2464097 */   GIM_Reject,
     /* 2464098 */ // Label 31851: @2464098
     /* 2464098 */ GIM_Reject,
     /* 2464099 */ // Label 31797: @2464099
     /* 2464099 */ GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2464213),
     /* 2464104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2464107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2464110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464122 */   GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2464167), // Rule ID 50230 //
     /* 2464127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464130 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2464133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2464162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464166 */     // GIR_Coverage, 50230,
     /* 2464166 */     GIR_EraseRootFromParent_Done,
     /* 2464167 */   // Label 31855: @2464167
     /* 2464167 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2464212), // Rule ID 50231 //
     /* 2464172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464175 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2464178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2464207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464211 */     // GIR_Coverage, 50231,
     /* 2464211 */     GIR_EraseRootFromParent_Done,
     /* 2464212 */   // Label 31856: @2464212
     /* 2464212 */   GIM_Reject,
     /* 2464213 */ // Label 31854: @2464213
     /* 2464213 */ GIM_Reject,
     /* 2464214 */ // Label 31798: @2464214
     /* 2464214 */ GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2464328),
     /* 2464219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2464222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2464225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464237 */   GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2464282), // Rule ID 50246 //
     /* 2464242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2464245 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2464248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2464277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464281 */     // GIR_Coverage, 50246,
     /* 2464281 */     GIR_EraseRootFromParent_Done,
     /* 2464282 */   // Label 31858: @2464282
     /* 2464282 */   GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2464327), // Rule ID 50247 //
     /* 2464287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2464290 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2464293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2464322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464326 */     // GIR_Coverage, 50247,
     /* 2464326 */     GIR_EraseRootFromParent_Done,
     /* 2464327 */   // Label 31859: @2464327
     /* 2464327 */   GIM_Reject,
     /* 2464328 */ // Label 31857: @2464328
     /* 2464328 */ GIM_Reject,
     /* 2464329 */ // Label 31799: @2464329
     /* 2464329 */ GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2464443),
     /* 2464334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2464337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2464340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2464344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2464348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2464352 */   GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2464397), // Rule ID 50202 //
     /* 2464357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464360 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2464363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2464377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464396 */     // GIR_Coverage, 50202,
     /* 2464396 */     GIR_EraseRootFromParent_Done,
     /* 2464397 */   // Label 31861: @2464397
     /* 2464397 */   GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2464442), // Rule ID 50203 //
     /* 2464402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464405 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2464408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2464422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464441 */     // GIR_Coverage, 50203,
     /* 2464441 */     GIR_EraseRootFromParent_Done,
     /* 2464442 */   // Label 31862: @2464442
     /* 2464442 */   GIM_Reject,
     /* 2464443 */ // Label 31860: @2464443
     /* 2464443 */ GIM_Reject,
     /* 2464444 */ // Label 31800: @2464444
     /* 2464444 */ GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2464558),
     /* 2464449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2464452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2464455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464467 */   GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2464512), // Rule ID 50218 //
     /* 2464472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464475 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2464478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464511 */     // GIR_Coverage, 50218,
     /* 2464511 */     GIR_EraseRootFromParent_Done,
     /* 2464512 */   // Label 31864: @2464512
     /* 2464512 */   GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2464557), // Rule ID 50219 //
     /* 2464517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464520 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2464523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464556 */     // GIR_Coverage, 50219,
     /* 2464556 */     GIR_EraseRootFromParent_Done,
     /* 2464557 */   // Label 31865: @2464557
     /* 2464557 */   GIM_Reject,
     /* 2464558 */ // Label 31863: @2464558
     /* 2464558 */ GIM_Reject,
     /* 2464559 */ // Label 31801: @2464559
     /* 2464559 */ GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2464673),
     /* 2464564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2464567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2464570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464578 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464582 */   GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2464627), // Rule ID 50234 //
     /* 2464587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464590 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2464593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2464622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464626 */     // GIR_Coverage, 50234,
     /* 2464626 */     GIR_EraseRootFromParent_Done,
     /* 2464627 */   // Label 31867: @2464627
     /* 2464627 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2464672), // Rule ID 50235 //
     /* 2464632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464635 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2464638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2464667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464671 */     // GIR_Coverage, 50235,
     /* 2464671 */     GIR_EraseRootFromParent_Done,
     /* 2464672 */   // Label 31868: @2464672
     /* 2464672 */   GIM_Reject,
     /* 2464673 */ // Label 31866: @2464673
     /* 2464673 */ GIM_Reject,
     /* 2464674 */ // Label 31802: @2464674
     /* 2464674 */ GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2464788),
     /* 2464679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2464682 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2464685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2464697 */   GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2464742), // Rule ID 50206 //
     /* 2464702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464705 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2464708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464741 */     // GIR_Coverage, 50206,
     /* 2464741 */     GIR_EraseRootFromParent_Done,
     /* 2464742 */   // Label 31870: @2464742
     /* 2464742 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2464787), // Rule ID 50207 //
     /* 2464747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464750 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2464753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2464767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464786 */     // GIR_Coverage, 50207,
     /* 2464786 */     GIR_EraseRootFromParent_Done,
     /* 2464787 */   // Label 31871: @2464787
     /* 2464787 */   GIM_Reject,
     /* 2464788 */ // Label 31869: @2464788
     /* 2464788 */ GIM_Reject,
     /* 2464789 */ // Label 31803: @2464789
     /* 2464789 */ GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2464903),
     /* 2464794 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2464797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2464800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464812 */   GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2464857), // Rule ID 50222 //
     /* 2464817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464820 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2464823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464856 */     // GIR_Coverage, 50222,
     /* 2464856 */     GIR_EraseRootFromParent_Done,
     /* 2464857 */   // Label 31873: @2464857
     /* 2464857 */   GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2464902), // Rule ID 50223 //
     /* 2464862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464865 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2464868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2464897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464901 */     // GIR_Coverage, 50223,
     /* 2464901 */     GIR_EraseRootFromParent_Done,
     /* 2464902 */   // Label 31874: @2464902
     /* 2464902 */   GIM_Reject,
     /* 2464903 */ // Label 31872: @2464903
     /* 2464903 */ GIM_Reject,
     /* 2464904 */ // Label 31804: @2464904
     /* 2464904 */ GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2465018),
     /* 2464909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2464912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2464915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2464927 */   GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2464972), // Rule ID 50210 //
     /* 2464932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2464935 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2464935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2464938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2464957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2464959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2464961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2464964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2464970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2464971 */     // GIR_Coverage, 50210,
     /* 2464971 */     GIR_EraseRootFromParent_Done,
     /* 2464972 */   // Label 31876: @2464972
     /* 2464972 */   GIM_Try, /*On fail goto*//*Label 31877*/ GIMT_Encode4(2465017), // Rule ID 50211 //
     /* 2464977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2464980 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2464980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2464983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2464987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2464992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2464994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2464997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2464999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2465002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2465006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2465009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2465012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2465015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2465016 */     // GIR_Coverage, 50211,
     /* 2465016 */     GIR_EraseRootFromParent_Done,
     /* 2465017 */   // Label 31877: @2465017
     /* 2465017 */   GIM_Reject,
     /* 2465018 */ // Label 31875: @2465018
     /* 2465018 */ GIM_Reject,
     /* 2465019 */ // Label 31805: @2465019
     /* 2465019 */ GIM_Reject,
     /* 2465020 */ // Label 80: @2465020
     /* 2465020 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31880*/ GIMT_Encode4(2465177),
     /* 2465031 */ /*GILLT_s32*//*Label 31878*/ GIMT_Encode4(2465039),
     /* 2465035 */ /*GILLT_s64*//*Label 31879*/ GIMT_Encode4(2465108),
     /* 2465039 */ // Label 31878: @2465039
     /* 2465039 */ GIM_Try, /*On fail goto*//*Label 31881*/ GIMT_Encode4(2465107),
     /* 2465044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465055 */   GIM_Try, /*On fail goto*//*Label 31882*/ GIMT_Encode4(2465070), // Rule ID 63797 //
     /* 2465060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2465063 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2465063 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2465068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2465069 */     // GIR_Coverage, 63797,
     /* 2465069 */     GIR_Done,
     /* 2465070 */   // Label 31882: @2465070
     /* 2465070 */   GIM_Try, /*On fail goto*//*Label 31883*/ GIMT_Encode4(2465106), // Rule ID 63734 //
     /* 2465075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2465078 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2465078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2465081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2465083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2465091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2465094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465096 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2465102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2465105 */     // GIR_Coverage, 63734,
     /* 2465105 */     GIR_EraseRootFromParent_Done,
     /* 2465106 */   // Label 31883: @2465106
     /* 2465106 */   GIM_Reject,
     /* 2465107 */ // Label 31881: @2465107
     /* 2465107 */ GIM_Reject,
     /* 2465108 */ // Label 31879: @2465108
     /* 2465108 */ GIM_Try, /*On fail goto*//*Label 31884*/ GIMT_Encode4(2465176),
     /* 2465113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465120 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465124 */   GIM_Try, /*On fail goto*//*Label 31885*/ GIMT_Encode4(2465139), // Rule ID 63796 //
     /* 2465129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2465132 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2465132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2465137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2465138 */     // GIR_Coverage, 63796,
     /* 2465138 */     GIR_Done,
     /* 2465139 */   // Label 31885: @2465139
     /* 2465139 */   GIM_Try, /*On fail goto*//*Label 31886*/ GIMT_Encode4(2465175), // Rule ID 63733 //
     /* 2465144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2465147 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2465147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2465150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2465152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465154 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2465160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2465163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465165 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2465171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2465174 */     // GIR_Coverage, 63733,
     /* 2465174 */     GIR_EraseRootFromParent_Done,
     /* 2465175 */   // Label 31886: @2465175
     /* 2465175 */   GIM_Reject,
     /* 2465176 */ // Label 31884: @2465176
     /* 2465176 */ GIM_Reject,
     /* 2465177 */ // Label 31880: @2465177
     /* 2465177 */ GIM_Reject,
     /* 2465178 */ // Label 81: @2465178
     /* 2465178 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 31889*/ GIMT_Encode4(2465757),
     /* 2465189 */ /*GILLT_s32*//*Label 31887*/ GIMT_Encode4(2465197),
     /* 2465193 */ /*GILLT_s64*//*Label 31888*/ GIMT_Encode4(2465570),
     /* 2465197 */ // Label 31887: @2465197
     /* 2465197 */ GIM_Try, /*On fail goto*//*Label 31890*/ GIMT_Encode4(2465228), // Rule ID 1328 //
     /* 2465202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2465205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2465216 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2465219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465227 */   // GIR_Coverage, 1328,
     /* 2465227 */   GIR_EraseRootFromParent_Done,
     /* 2465228 */ // Label 31890: @2465228
     /* 2465228 */ GIM_Try, /*On fail goto*//*Label 31891*/ GIMT_Encode4(2465259), // Rule ID 1329 //
     /* 2465233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2465236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2465247 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2465247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2465250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465258 */   // GIR_Coverage, 1329,
     /* 2465258 */   GIR_EraseRootFromParent_Done,
     /* 2465259 */ // Label 31891: @2465259
     /* 2465259 */ GIM_Try, /*On fail goto*//*Label 31892*/ GIMT_Encode4(2465290), // Rule ID 1354 //
     /* 2465264 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2465267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2465278 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2465281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465283 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465289 */   // GIR_Coverage, 1354,
     /* 2465289 */   GIR_EraseRootFromParent_Done,
     /* 2465290 */ // Label 31892: @2465290
     /* 2465290 */ GIM_Try, /*On fail goto*//*Label 31893*/ GIMT_Encode4(2465321), // Rule ID 1355 //
     /* 2465295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2465298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2465309 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2465309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2465312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465314 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465319 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465320 */   // GIR_Coverage, 1355,
     /* 2465320 */   GIR_EraseRootFromParent_Done,
     /* 2465321 */ // Label 31893: @2465321
     /* 2465321 */ GIM_Try, /*On fail goto*//*Label 31894*/ GIMT_Encode4(2465352), // Rule ID 1722 //
     /* 2465326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2465329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2465340 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2465343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465351 */   // GIR_Coverage, 1722,
     /* 2465351 */   GIR_EraseRootFromParent_Done,
     /* 2465352 */ // Label 31894: @2465352
     /* 2465352 */ GIM_Try, /*On fail goto*//*Label 31895*/ GIMT_Encode4(2465383), // Rule ID 1723 //
     /* 2465357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2465360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2465371 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2465371 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2465374 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465376 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465382 */   // GIR_Coverage, 1723,
     /* 2465382 */   GIR_EraseRootFromParent_Done,
     /* 2465383 */ // Label 31895: @2465383
     /* 2465383 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2465414), // Rule ID 1748 //
     /* 2465388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2465391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2465402 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2465405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465413 */   // GIR_Coverage, 1748,
     /* 2465413 */   GIR_EraseRootFromParent_Done,
     /* 2465414 */ // Label 31896: @2465414
     /* 2465414 */ GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2465445), // Rule ID 1749 //
     /* 2465419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2465422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2465433 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2465433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2465436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465444 */   // GIR_Coverage, 1749,
     /* 2465444 */   GIR_EraseRootFromParent_Done,
     /* 2465445 */ // Label 31897: @2465445
     /* 2465445 */ GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2465476), // Rule ID 2064 //
     /* 2465450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2465453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2465464 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2465467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465475 */   // GIR_Coverage, 2064,
     /* 2465475 */   GIR_EraseRootFromParent_Done,
     /* 2465476 */ // Label 31898: @2465476
     /* 2465476 */ GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2465507), // Rule ID 2065 //
     /* 2465481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2465484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2465495 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2465495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2465498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465500 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465505 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465506 */   // GIR_Coverage, 2065,
     /* 2465506 */   GIR_EraseRootFromParent_Done,
     /* 2465507 */ // Label 31899: @2465507
     /* 2465507 */ GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2465538), // Rule ID 2090 //
     /* 2465512 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2465515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2465526 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465526 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2465529 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465531 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465537 */   // GIR_Coverage, 2090,
     /* 2465537 */   GIR_EraseRootFromParent_Done,
     /* 2465538 */ // Label 31900: @2465538
     /* 2465538 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2465569), // Rule ID 2091 //
     /* 2465543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2465546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2465557 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2465557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2465560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465562 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465568 */   // GIR_Coverage, 2091,
     /* 2465568 */   GIR_EraseRootFromParent_Done,
     /* 2465569 */ // Label 31901: @2465569
     /* 2465569 */ GIM_Reject,
     /* 2465570 */ // Label 31888: @2465570
     /* 2465570 */ GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2465601), // Rule ID 1381 //
     /* 2465575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2465578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2465589 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465589 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2465592 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465594 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465596 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465599 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465600 */   // GIR_Coverage, 1381,
     /* 2465600 */   GIR_EraseRootFromParent_Done,
     /* 2465601 */ // Label 31902: @2465601
     /* 2465601 */ GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2465632), // Rule ID 1409 //
     /* 2465606 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2465609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2465612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2465620 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2465623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465625 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465631 */   // GIR_Coverage, 1409,
     /* 2465631 */   GIR_EraseRootFromParent_Done,
     /* 2465632 */ // Label 31903: @2465632
     /* 2465632 */ GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2465663), // Rule ID 1779 //
     /* 2465637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2465640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2465651 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2465654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465656 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465662 */   // GIR_Coverage, 1779,
     /* 2465662 */   GIR_EraseRootFromParent_Done,
     /* 2465663 */ // Label 31904: @2465663
     /* 2465663 */ GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2465694), // Rule ID 1807 //
     /* 2465668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2465671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2465674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465682 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2465685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465692 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465693 */   // GIR_Coverage, 1807,
     /* 2465693 */   GIR_EraseRootFromParent_Done,
     /* 2465694 */ // Label 31905: @2465694
     /* 2465694 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2465725), // Rule ID 2115 //
     /* 2465699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2465702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2465713 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2465716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465718 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465724 */   // GIR_Coverage, 2115,
     /* 2465724 */   GIR_EraseRootFromParent_Done,
     /* 2465725 */ // Label 31906: @2465725
     /* 2465725 */ GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2465756), // Rule ID 2141 //
     /* 2465730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2465733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2465736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2465744 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2465747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465749 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465755 */   // GIR_Coverage, 2141,
     /* 2465755 */   GIR_EraseRootFromParent_Done,
     /* 2465756 */ // Label 31907: @2465756
     /* 2465756 */ GIM_Reject,
     /* 2465757 */ // Label 31889: @2465757
     /* 2465757 */ GIM_Reject,
     /* 2465758 */ // Label 82: @2465758
     /* 2465758 */ GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2465967),
     /* 2465763 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2465766 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 31912*/ GIMT_Encode4(2465966),
     /* 2465777 */   /*GILLT_s16*//*Label 31909*/ GIMT_Encode4(2465789),
     /* 2465781 */   /*GILLT_s32*//*Label 31910*/ GIMT_Encode4(2465848),
     /* 2465785 */   /*GILLT_s64*//*Label 31911*/ GIMT_Encode4(2465907),
     /* 2465789 */   // Label 31909: @2465789
     /* 2465789 */   GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2465847),
     /* 2465794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465798 */     GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2465822), // Rule ID 2117 //
     /* 2465803 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2465806 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2465810 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465810 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2465813 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465815 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465817 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465820 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465821 */       // GIR_Coverage, 2117,
     /* 2465821 */       GIR_EraseRootFromParent_Done,
     /* 2465822 */     // Label 31914: @2465822
     /* 2465822 */     GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2465846), // Rule ID 2143 //
     /* 2465827 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2465830 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2465834 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2465834 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2465837 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465839 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465841 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465844 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465845 */       // GIR_Coverage, 2143,
     /* 2465845 */       GIR_EraseRootFromParent_Done,
     /* 2465846 */     // Label 31915: @2465846
     /* 2465846 */     GIM_Reject,
     /* 2465847 */   // Label 31913: @2465847
     /* 2465847 */   GIM_Reject,
     /* 2465848 */   // Label 31910: @2465848
     /* 2465848 */   GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2465906),
     /* 2465853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465857 */     GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2465881), // Rule ID 1383 //
     /* 2465862 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2465865 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2465869 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465869 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2465872 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465874 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465876 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465879 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465880 */       // GIR_Coverage, 1383,
     /* 2465880 */       GIR_EraseRootFromParent_Done,
     /* 2465881 */     // Label 31917: @2465881
     /* 2465881 */     GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2465905), // Rule ID 1411 //
     /* 2465886 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2465889 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2465893 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2465893 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2465896 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465898 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465900 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465903 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465904 */       // GIR_Coverage, 1411,
     /* 2465904 */       GIR_EraseRootFromParent_Done,
     /* 2465905 */     // Label 31918: @2465905
     /* 2465905 */     GIM_Reject,
     /* 2465906 */   // Label 31916: @2465906
     /* 2465906 */   GIM_Reject,
     /* 2465907 */   // Label 31911: @2465907
     /* 2465907 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2465965),
     /* 2465912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465916 */     GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2465940), // Rule ID 1781 //
     /* 2465921 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2465924 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2465928 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465928 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2465931 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465933 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465935 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465938 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465939 */       // GIR_Coverage, 1781,
     /* 2465939 */       GIR_EraseRootFromParent_Done,
     /* 2465940 */     // Label 31920: @2465940
     /* 2465940 */     GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2465964), // Rule ID 1809 //
     /* 2465945 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2465948 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2465952 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2465952 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2465955 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2465957 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2465959 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2465962 */       GIR_RootConstrainSelectedInstOperands,
     /* 2465963 */       // GIR_Coverage, 1809,
     /* 2465963 */       GIR_EraseRootFromParent_Done,
     /* 2465964 */     // Label 31921: @2465964
     /* 2465964 */     GIM_Reject,
     /* 2465965 */   // Label 31919: @2465965
     /* 2465965 */   GIM_Reject,
     /* 2465966 */   // Label 31912: @2465966
     /* 2465966 */   GIM_Reject,
     /* 2465967 */ // Label 31908: @2465967
     /* 2465967 */ GIM_Reject,
     /* 2465968 */ // Label 83: @2465968
     /* 2465968 */ GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2465983), // Rule ID 4 //
     /* 2465973 */   // MIs[0] imm20
     /* 2465973 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2465976 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2465976 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2465981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2465982 */   // GIR_Coverage, 4,
     /* 2465982 */   GIR_Done,
     /* 2465983 */ // Label 31922: @2465983
     /* 2465983 */ GIM_Reject,
     /* 2465984 */ // Label 84: @2465984
     /* 2465984 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31947*/ GIMT_Encode4(2468503),
     /* 2465995 */ /*GILLT_s32*//*Label 31923*/ GIMT_Encode4(2466119),
     /* 2465999 */ /*GILLT_s64*//*Label 31924*/ GIMT_Encode4(2466167), GIMT_Encode4(0),
     /* 2466007 */ /*GILLT_nxv1s8*//*Label 31925*/ GIMT_Encode4(2466215),
     /* 2466011 */ /*GILLT_nxv1s16*//*Label 31926*/ GIMT_Encode4(2466319),
     /* 2466015 */ /*GILLT_nxv1s32*//*Label 31927*/ GIMT_Encode4(2466423),
     /* 2466019 */ /*GILLT_nxv1s64*//*Label 31928*/ GIMT_Encode4(2466527), GIMT_Encode4(0),
     /* 2466027 */ /*GILLT_nxv2s8*//*Label 31929*/ GIMT_Encode4(2466631),
     /* 2466031 */ /*GILLT_nxv2s16*//*Label 31930*/ GIMT_Encode4(2466735),
     /* 2466035 */ /*GILLT_nxv2s32*//*Label 31931*/ GIMT_Encode4(2466839),
     /* 2466039 */ /*GILLT_nxv2s64*//*Label 31932*/ GIMT_Encode4(2466943), GIMT_Encode4(0),
     /* 2466047 */ /*GILLT_nxv4s8*//*Label 31933*/ GIMT_Encode4(2467047),
     /* 2466051 */ /*GILLT_nxv4s16*//*Label 31934*/ GIMT_Encode4(2467151),
     /* 2466055 */ /*GILLT_nxv4s32*//*Label 31935*/ GIMT_Encode4(2467255),
     /* 2466059 */ /*GILLT_nxv4s64*//*Label 31936*/ GIMT_Encode4(2467359), GIMT_Encode4(0),
     /* 2466067 */ /*GILLT_nxv8s8*//*Label 31937*/ GIMT_Encode4(2467463),
     /* 2466071 */ /*GILLT_nxv8s16*//*Label 31938*/ GIMT_Encode4(2467567),
     /* 2466075 */ /*GILLT_nxv8s32*//*Label 31939*/ GIMT_Encode4(2467671),
     /* 2466079 */ /*GILLT_nxv8s64*//*Label 31940*/ GIMT_Encode4(2467775), GIMT_Encode4(0),
     /* 2466087 */ /*GILLT_nxv16s8*//*Label 31941*/ GIMT_Encode4(2467879),
     /* 2466091 */ /*GILLT_nxv16s16*//*Label 31942*/ GIMT_Encode4(2467983),
     /* 2466095 */ /*GILLT_nxv16s32*//*Label 31943*/ GIMT_Encode4(2468087), GIMT_Encode4(0),
     /* 2466103 */ /*GILLT_nxv32s8*//*Label 31944*/ GIMT_Encode4(2468191),
     /* 2466107 */ /*GILLT_nxv32s16*//*Label 31945*/ GIMT_Encode4(2468295), GIMT_Encode4(0),
     /* 2466115 */ /*GILLT_nxv64s8*//*Label 31946*/ GIMT_Encode4(2468399),
     /* 2466119 */ // Label 31923: @2466119
     /* 2466119 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2466166),
     /* 2466124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2466127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2466131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2466135 */   GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2466150), // Rule ID 2375 //
     /* 2466140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2466143 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2466143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2466148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466149 */     // GIR_Coverage, 2375,
     /* 2466149 */     GIR_Done,
     /* 2466150 */   // Label 31949: @2466150
     /* 2466150 */   GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2466165), // Rule ID 63780 //
     /* 2466155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2466158 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2466158 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2466163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466164 */     // GIR_Coverage, 63780,
     /* 2466164 */     GIR_Done,
     /* 2466165 */   // Label 31950: @2466165
     /* 2466165 */   GIM_Reject,
     /* 2466166 */ // Label 31948: @2466166
     /* 2466166 */ GIM_Reject,
     /* 2466167 */ // Label 31924: @2466167
     /* 2466167 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2466214),
     /* 2466172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2466175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2466179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2466183 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2466198), // Rule ID 2374 //
     /* 2466188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2466191 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2466191 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2466196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466197 */     // GIR_Coverage, 2374,
     /* 2466197 */     GIR_Done,
     /* 2466198 */   // Label 31952: @2466198
     /* 2466198 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2466213), // Rule ID 63779 //
     /* 2466203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2466206 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2466206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2466211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466212 */     // GIR_Coverage, 63779,
     /* 2466212 */     GIR_Done,
     /* 2466213 */   // Label 31953: @2466213
     /* 2466213 */   GIM_Reject,
     /* 2466214 */ // Label 31951: @2466214
     /* 2466214 */ GIM_Reject,
     /* 2466215 */ // Label 31925: @2466215
     /* 2466215 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2466318),
     /* 2466220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2466223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466231 */   GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2466274), // Rule ID 58486 //
     /* 2466236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466239 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2466242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2466256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466273 */     // GIR_Coverage, 58486,
     /* 2466273 */     GIR_EraseRootFromParent_Done,
     /* 2466274 */   // Label 31955: @2466274
     /* 2466274 */   GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2466317), // Rule ID 58487 //
     /* 2466279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466282 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2466285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2466299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466316 */     // GIR_Coverage, 58487,
     /* 2466316 */     GIR_EraseRootFromParent_Done,
     /* 2466317 */   // Label 31956: @2466317
     /* 2466317 */   GIM_Reject,
     /* 2466318 */ // Label 31954: @2466318
     /* 2466318 */ GIM_Reject,
     /* 2466319 */ // Label 31926: @2466319
     /* 2466319 */ GIM_Try, /*On fail goto*//*Label 31957*/ GIMT_Encode4(2466422),
     /* 2466324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2466327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466335 */   GIM_Try, /*On fail goto*//*Label 31958*/ GIMT_Encode4(2466378), // Rule ID 58492 //
     /* 2466340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466343 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2466346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2466360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2466373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466377 */     // GIR_Coverage, 58492,
     /* 2466377 */     GIR_EraseRootFromParent_Done,
     /* 2466378 */   // Label 31958: @2466378
     /* 2466378 */   GIM_Try, /*On fail goto*//*Label 31959*/ GIMT_Encode4(2466421), // Rule ID 58493 //
     /* 2466383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466386 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2466389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2466403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2466416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466420 */     // GIR_Coverage, 58493,
     /* 2466420 */     GIR_EraseRootFromParent_Done,
     /* 2466421 */   // Label 31959: @2466421
     /* 2466421 */   GIM_Reject,
     /* 2466422 */ // Label 31957: @2466422
     /* 2466422 */ GIM_Reject,
     /* 2466423 */ // Label 31927: @2466423
     /* 2466423 */ GIM_Try, /*On fail goto*//*Label 31960*/ GIMT_Encode4(2466526),
     /* 2466428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2466431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466439 */   GIM_Try, /*On fail goto*//*Label 31961*/ GIMT_Encode4(2466482), // Rule ID 58496 //
     /* 2466444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466447 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466447 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2466450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466454 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466459 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2466464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466466 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2466477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466481 */     // GIR_Coverage, 58496,
     /* 2466481 */     GIR_EraseRootFromParent_Done,
     /* 2466482 */   // Label 31961: @2466482
     /* 2466482 */   GIM_Try, /*On fail goto*//*Label 31962*/ GIMT_Encode4(2466525), // Rule ID 58497 //
     /* 2466487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466490 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2466493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2466507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2466520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466524 */     // GIR_Coverage, 58497,
     /* 2466524 */     GIR_EraseRootFromParent_Done,
     /* 2466525 */   // Label 31962: @2466525
     /* 2466525 */   GIM_Reject,
     /* 2466526 */ // Label 31960: @2466526
     /* 2466526 */ GIM_Reject,
     /* 2466527 */ // Label 31928: @2466527
     /* 2466527 */ GIM_Try, /*On fail goto*//*Label 31963*/ GIMT_Encode4(2466630),
     /* 2466532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2466535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466539 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466543 */   GIM_Try, /*On fail goto*//*Label 31964*/ GIMT_Encode4(2466586), // Rule ID 58504 //
     /* 2466548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2466551 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2466554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2466568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2466581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466585 */     // GIR_Coverage, 58504,
     /* 2466585 */     GIR_EraseRootFromParent_Done,
     /* 2466586 */   // Label 31964: @2466586
     /* 2466586 */   GIM_Try, /*On fail goto*//*Label 31965*/ GIMT_Encode4(2466629), // Rule ID 58505 //
     /* 2466591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2466594 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2466597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2466611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2466624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466628 */     // GIR_Coverage, 58505,
     /* 2466628 */     GIR_EraseRootFromParent_Done,
     /* 2466629 */   // Label 31965: @2466629
     /* 2466629 */   GIM_Reject,
     /* 2466630 */ // Label 31963: @2466630
     /* 2466630 */ GIM_Reject,
     /* 2466631 */ // Label 31929: @2466631
     /* 2466631 */ GIM_Try, /*On fail goto*//*Label 31966*/ GIMT_Encode4(2466734),
     /* 2466636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2466639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466647 */   GIM_Try, /*On fail goto*//*Label 31967*/ GIMT_Encode4(2466690), // Rule ID 58488 //
     /* 2466652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466655 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2466658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2466672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466689 */     // GIR_Coverage, 58488,
     /* 2466689 */     GIR_EraseRootFromParent_Done,
     /* 2466690 */   // Label 31967: @2466690
     /* 2466690 */   GIM_Try, /*On fail goto*//*Label 31968*/ GIMT_Encode4(2466733), // Rule ID 58489 //
     /* 2466695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466698 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2466701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2466715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466732 */     // GIR_Coverage, 58489,
     /* 2466732 */     GIR_EraseRootFromParent_Done,
     /* 2466733 */   // Label 31968: @2466733
     /* 2466733 */   GIM_Reject,
     /* 2466734 */ // Label 31966: @2466734
     /* 2466734 */ GIM_Reject,
     /* 2466735 */ // Label 31930: @2466735
     /* 2466735 */ GIM_Try, /*On fail goto*//*Label 31969*/ GIMT_Encode4(2466838),
     /* 2466740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2466743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466751 */   GIM_Try, /*On fail goto*//*Label 31970*/ GIMT_Encode4(2466794), // Rule ID 58494 //
     /* 2466756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466759 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2466762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2466776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2466789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466793 */     // GIR_Coverage, 58494,
     /* 2466793 */     GIR_EraseRootFromParent_Done,
     /* 2466794 */   // Label 31970: @2466794
     /* 2466794 */   GIM_Try, /*On fail goto*//*Label 31971*/ GIMT_Encode4(2466837), // Rule ID 58495 //
     /* 2466799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466802 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2466805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2466819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2466832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466836 */     // GIR_Coverage, 58495,
     /* 2466836 */     GIR_EraseRootFromParent_Done,
     /* 2466837 */   // Label 31971: @2466837
     /* 2466837 */   GIM_Reject,
     /* 2466838 */ // Label 31969: @2466838
     /* 2466838 */ GIM_Reject,
     /* 2466839 */ // Label 31931: @2466839
     /* 2466839 */ GIM_Try, /*On fail goto*//*Label 31972*/ GIMT_Encode4(2466942),
     /* 2466844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2466847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2466855 */   GIM_Try, /*On fail goto*//*Label 31973*/ GIMT_Encode4(2466898), // Rule ID 58502 //
     /* 2466860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2466863 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2466866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2466880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2466893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466897 */     // GIR_Coverage, 58502,
     /* 2466897 */     GIR_EraseRootFromParent_Done,
     /* 2466898 */   // Label 31973: @2466898
     /* 2466898 */   GIM_Try, /*On fail goto*//*Label 31974*/ GIMT_Encode4(2466941), // Rule ID 58503 //
     /* 2466903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2466906 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2466906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2466909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466918 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2466923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466925 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2466936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2466939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2466940 */     // GIR_Coverage, 58503,
     /* 2466940 */     GIR_EraseRootFromParent_Done,
     /* 2466941 */   // Label 31974: @2466941
     /* 2466941 */   GIM_Reject,
     /* 2466942 */ // Label 31972: @2466942
     /* 2466942 */ GIM_Reject,
     /* 2466943 */ // Label 31932: @2466943
     /* 2466943 */ GIM_Try, /*On fail goto*//*Label 31975*/ GIMT_Encode4(2467046),
     /* 2466948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2466951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2466955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2466959 */   GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2467002), // Rule ID 58524 //
     /* 2466964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2466967 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2466967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2466970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2466974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2466979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2466981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2466984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2466986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2466989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2466991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2466994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2466997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467001 */     // GIR_Coverage, 58524,
     /* 2467001 */     GIR_EraseRootFromParent_Done,
     /* 2467002 */   // Label 31976: @2467002
     /* 2467002 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2467045), // Rule ID 58525 //
     /* 2467007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2467010 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2467013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2467040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467044 */     // GIR_Coverage, 58525,
     /* 2467044 */     GIR_EraseRootFromParent_Done,
     /* 2467045 */   // Label 31977: @2467045
     /* 2467045 */   GIM_Reject,
     /* 2467046 */ // Label 31975: @2467046
     /* 2467046 */ GIM_Reject,
     /* 2467047 */ // Label 31933: @2467047
     /* 2467047 */ GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2467150),
     /* 2467052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2467055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467063 */   GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2467106), // Rule ID 58490 //
     /* 2467068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467071 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2467074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2467088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467105 */     // GIR_Coverage, 58490,
     /* 2467105 */     GIR_EraseRootFromParent_Done,
     /* 2467106 */   // Label 31979: @2467106
     /* 2467106 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2467149), // Rule ID 58491 //
     /* 2467111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467114 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2467117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2467131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467148 */     // GIR_Coverage, 58491,
     /* 2467148 */     GIR_EraseRootFromParent_Done,
     /* 2467149 */   // Label 31980: @2467149
     /* 2467149 */   GIM_Reject,
     /* 2467150 */ // Label 31978: @2467150
     /* 2467150 */ GIM_Reject,
     /* 2467151 */ // Label 31934: @2467151
     /* 2467151 */ GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2467254),
     /* 2467156 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2467159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467163 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467167 */   GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2467210), // Rule ID 58500 //
     /* 2467172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467175 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2467178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2467192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2467205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467209 */     // GIR_Coverage, 58500,
     /* 2467209 */     GIR_EraseRootFromParent_Done,
     /* 2467210 */   // Label 31982: @2467210
     /* 2467210 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2467253), // Rule ID 58501 //
     /* 2467215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467218 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2467221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2467235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2467248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467252 */     // GIR_Coverage, 58501,
     /* 2467252 */     GIR_EraseRootFromParent_Done,
     /* 2467253 */   // Label 31983: @2467253
     /* 2467253 */   GIM_Reject,
     /* 2467254 */ // Label 31981: @2467254
     /* 2467254 */ GIM_Reject,
     /* 2467255 */ // Label 31935: @2467255
     /* 2467255 */ GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2467358),
     /* 2467260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2467263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467271 */   GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2467314), // Rule ID 58518 //
     /* 2467276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467279 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2467282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2467309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467313 */     // GIR_Coverage, 58518,
     /* 2467313 */     GIR_EraseRootFromParent_Done,
     /* 2467314 */   // Label 31985: @2467314
     /* 2467314 */   GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2467357), // Rule ID 58519 //
     /* 2467319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467322 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2467325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2467352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467356 */     // GIR_Coverage, 58519,
     /* 2467356 */     GIR_EraseRootFromParent_Done,
     /* 2467357 */   // Label 31986: @2467357
     /* 2467357 */   GIM_Reject,
     /* 2467358 */ // Label 31984: @2467358
     /* 2467358 */ GIM_Reject,
     /* 2467359 */ // Label 31936: @2467359
     /* 2467359 */ GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2467462),
     /* 2467364 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2467367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467375 */   GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2467418), // Rule ID 58526 //
     /* 2467380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2467383 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2467386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2467400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2467413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467417 */     // GIR_Coverage, 58526,
     /* 2467417 */     GIR_EraseRootFromParent_Done,
     /* 2467418 */   // Label 31988: @2467418
     /* 2467418 */   GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2467461), // Rule ID 58527 //
     /* 2467423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2467426 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2467429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2467443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2467456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467460 */     // GIR_Coverage, 58527,
     /* 2467460 */     GIR_EraseRootFromParent_Done,
     /* 2467461 */   // Label 31989: @2467461
     /* 2467461 */   GIM_Reject,
     /* 2467462 */ // Label 31987: @2467462
     /* 2467462 */ GIM_Reject,
     /* 2467463 */ // Label 31937: @2467463
     /* 2467463 */ GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2467566),
     /* 2467468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2467471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2467479 */   GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2467522), // Rule ID 58498 //
     /* 2467484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467487 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2467490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2467504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467521 */     // GIR_Coverage, 58498,
     /* 2467521 */     GIR_EraseRootFromParent_Done,
     /* 2467522 */   // Label 31991: @2467522
     /* 2467522 */   GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2467565), // Rule ID 58499 //
     /* 2467527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467530 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2467533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2467547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467564 */     // GIR_Coverage, 58499,
     /* 2467564 */     GIR_EraseRootFromParent_Done,
     /* 2467565 */   // Label 31992: @2467565
     /* 2467565 */   GIM_Reject,
     /* 2467566 */ // Label 31990: @2467566
     /* 2467566 */ GIM_Reject,
     /* 2467567 */ // Label 31938: @2467567
     /* 2467567 */ GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2467670),
     /* 2467572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2467575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467583 */   GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2467626), // Rule ID 58512 //
     /* 2467588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467591 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2467594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2467621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467625 */     // GIR_Coverage, 58512,
     /* 2467625 */     GIR_EraseRootFromParent_Done,
     /* 2467626 */   // Label 31994: @2467626
     /* 2467626 */   GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2467669), // Rule ID 58513 //
     /* 2467631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467634 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2467637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2467664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467668 */     // GIR_Coverage, 58513,
     /* 2467668 */     GIR_EraseRootFromParent_Done,
     /* 2467669 */   // Label 31995: @2467669
     /* 2467669 */   GIM_Reject,
     /* 2467670 */ // Label 31993: @2467670
     /* 2467670 */ GIM_Reject,
     /* 2467671 */ // Label 31939: @2467671
     /* 2467671 */ GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2467774),
     /* 2467676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2467679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467683 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467687 */   GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2467730), // Rule ID 58520 //
     /* 2467692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467695 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2467698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2467712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2467725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467729 */     // GIR_Coverage, 58520,
     /* 2467729 */     GIR_EraseRootFromParent_Done,
     /* 2467730 */   // Label 31997: @2467730
     /* 2467730 */   GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2467773), // Rule ID 58521 //
     /* 2467735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467738 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2467741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2467755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2467768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467772 */     // GIR_Coverage, 58521,
     /* 2467772 */     GIR_EraseRootFromParent_Done,
     /* 2467773 */   // Label 31998: @2467773
     /* 2467773 */   GIM_Reject,
     /* 2467774 */ // Label 31996: @2467774
     /* 2467774 */ GIM_Reject,
     /* 2467775 */ // Label 31940: @2467775
     /* 2467775 */ GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2467878),
     /* 2467780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2467783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2467787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2467791 */   GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2467834), // Rule ID 58528 //
     /* 2467796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2467799 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2467802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2467816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2467829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467833 */     // GIR_Coverage, 58528,
     /* 2467833 */     GIR_EraseRootFromParent_Done,
     /* 2467834 */   // Label 32000: @2467834
     /* 2467834 */   GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2467877), // Rule ID 58529 //
     /* 2467839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2467842 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2467845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2467859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2467872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467876 */     // GIR_Coverage, 58529,
     /* 2467876 */     GIR_EraseRootFromParent_Done,
     /* 2467877 */   // Label 32001: @2467877
     /* 2467877 */   GIM_Reject,
     /* 2467878 */ // Label 31999: @2467878
     /* 2467878 */ GIM_Reject,
     /* 2467879 */ // Label 31941: @2467879
     /* 2467879 */ GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2467982),
     /* 2467884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2467887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2467895 */   GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2467938), // Rule ID 58506 //
     /* 2467900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2467903 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2467903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2467906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467937 */     // GIR_Coverage, 58506,
     /* 2467937 */     GIR_EraseRootFromParent_Done,
     /* 2467938 */   // Label 32003: @2467938
     /* 2467938 */   GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2467981), // Rule ID 58507 //
     /* 2467943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2467946 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2467946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2467949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2467953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2467958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2467960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2467963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2467965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2467968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2467970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2467973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2467979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2467980 */     // GIR_Coverage, 58507,
     /* 2467980 */     GIR_EraseRootFromParent_Done,
     /* 2467981 */   // Label 32004: @2467981
     /* 2467981 */   GIM_Reject,
     /* 2467982 */ // Label 32002: @2467982
     /* 2467982 */ GIM_Reject,
     /* 2467983 */ // Label 31942: @2467983
     /* 2467983 */ GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2468086),
     /* 2467988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2467991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2467999 */   GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2468042), // Rule ID 58514 //
     /* 2468004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468007 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2468010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2468024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2468037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468041 */     // GIR_Coverage, 58514,
     /* 2468041 */     GIR_EraseRootFromParent_Done,
     /* 2468042 */   // Label 32006: @2468042
     /* 2468042 */   GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2468085), // Rule ID 58515 //
     /* 2468047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468050 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2468053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2468067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2468080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468084 */     // GIR_Coverage, 58515,
     /* 2468084 */     GIR_EraseRootFromParent_Done,
     /* 2468085 */   // Label 32007: @2468085
     /* 2468085 */   GIM_Reject,
     /* 2468086 */ // Label 32005: @2468086
     /* 2468086 */ GIM_Reject,
     /* 2468087 */ // Label 31943: @2468087
     /* 2468087 */ GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2468190),
     /* 2468092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2468095 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468099 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468103 */   GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2468146), // Rule ID 58522 //
     /* 2468108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468111 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2468114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2468141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468145 */     // GIR_Coverage, 58522,
     /* 2468145 */     GIR_EraseRootFromParent_Done,
     /* 2468146 */   // Label 32009: @2468146
     /* 2468146 */   GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2468189), // Rule ID 58523 //
     /* 2468151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468154 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2468157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2468184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468188 */     // GIR_Coverage, 58523,
     /* 2468188 */     GIR_EraseRootFromParent_Done,
     /* 2468189 */   // Label 32010: @2468189
     /* 2468189 */   GIM_Reject,
     /* 2468190 */ // Label 32008: @2468190
     /* 2468190 */ GIM_Reject,
     /* 2468191 */ // Label 31944: @2468191
     /* 2468191 */ GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2468294),
     /* 2468196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2468199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2468203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2468207 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2468250), // Rule ID 58508 //
     /* 2468212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468215 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2468218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2468232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468249 */     // GIR_Coverage, 58508,
     /* 2468249 */     GIR_EraseRootFromParent_Done,
     /* 2468250 */   // Label 32012: @2468250
     /* 2468250 */   GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2468293), // Rule ID 58509 //
     /* 2468255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468258 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2468261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2468275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468292 */     // GIR_Coverage, 58509,
     /* 2468292 */     GIR_EraseRootFromParent_Done,
     /* 2468293 */   // Label 32013: @2468293
     /* 2468293 */   GIM_Reject,
     /* 2468294 */ // Label 32011: @2468294
     /* 2468294 */ GIM_Reject,
     /* 2468295 */ // Label 31945: @2468295
     /* 2468295 */ GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2468398),
     /* 2468300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2468303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468311 */   GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2468354), // Rule ID 58516 //
     /* 2468316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468319 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2468322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2468349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468353 */     // GIR_Coverage, 58516,
     /* 2468353 */     GIR_EraseRootFromParent_Done,
     /* 2468354 */   // Label 32015: @2468354
     /* 2468354 */   GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2468397), // Rule ID 58517 //
     /* 2468359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468362 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2468365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2468392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468396 */     // GIR_Coverage, 58517,
     /* 2468396 */     GIR_EraseRootFromParent_Done,
     /* 2468397 */   // Label 32016: @2468397
     /* 2468397 */   GIM_Reject,
     /* 2468398 */ // Label 32014: @2468398
     /* 2468398 */ GIM_Reject,
     /* 2468399 */ // Label 31946: @2468399
     /* 2468399 */ GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2468502),
     /* 2468404 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2468407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468411 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2468415 */   GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2468458), // Rule ID 58510 //
     /* 2468420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468423 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2468426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468457 */     // GIR_Coverage, 58510,
     /* 2468457 */     GIR_EraseRootFromParent_Done,
     /* 2468458 */   // Label 32018: @2468458
     /* 2468458 */   GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2468501), // Rule ID 58511 //
     /* 2468463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468466 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2468469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2468483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468500 */     // GIR_Coverage, 58511,
     /* 2468500 */     GIR_EraseRootFromParent_Done,
     /* 2468501 */   // Label 32019: @2468501
     /* 2468501 */   GIM_Reject,
     /* 2468502 */ // Label 32017: @2468502
     /* 2468502 */ GIM_Reject,
     /* 2468503 */ // Label 31947: @2468503
     /* 2468503 */ GIM_Reject,
     /* 2468504 */ // Label 85: @2468504
     /* 2468504 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32044*/ GIMT_Encode4(2471161),
     /* 2468515 */ /*GILLT_s32*//*Label 32020*/ GIMT_Encode4(2468639),
     /* 2468519 */ /*GILLT_s64*//*Label 32021*/ GIMT_Encode4(2468756), GIMT_Encode4(0),
     /* 2468527 */ /*GILLT_nxv1s8*//*Label 32022*/ GIMT_Encode4(2468873),
     /* 2468531 */ /*GILLT_nxv1s16*//*Label 32023*/ GIMT_Encode4(2468977),
     /* 2468535 */ /*GILLT_nxv1s32*//*Label 32024*/ GIMT_Encode4(2469081),
     /* 2468539 */ /*GILLT_nxv1s64*//*Label 32025*/ GIMT_Encode4(2469185), GIMT_Encode4(0),
     /* 2468547 */ /*GILLT_nxv2s8*//*Label 32026*/ GIMT_Encode4(2469289),
     /* 2468551 */ /*GILLT_nxv2s16*//*Label 32027*/ GIMT_Encode4(2469393),
     /* 2468555 */ /*GILLT_nxv2s32*//*Label 32028*/ GIMT_Encode4(2469497),
     /* 2468559 */ /*GILLT_nxv2s64*//*Label 32029*/ GIMT_Encode4(2469601), GIMT_Encode4(0),
     /* 2468567 */ /*GILLT_nxv4s8*//*Label 32030*/ GIMT_Encode4(2469705),
     /* 2468571 */ /*GILLT_nxv4s16*//*Label 32031*/ GIMT_Encode4(2469809),
     /* 2468575 */ /*GILLT_nxv4s32*//*Label 32032*/ GIMT_Encode4(2469913),
     /* 2468579 */ /*GILLT_nxv4s64*//*Label 32033*/ GIMT_Encode4(2470017), GIMT_Encode4(0),
     /* 2468587 */ /*GILLT_nxv8s8*//*Label 32034*/ GIMT_Encode4(2470121),
     /* 2468591 */ /*GILLT_nxv8s16*//*Label 32035*/ GIMT_Encode4(2470225),
     /* 2468595 */ /*GILLT_nxv8s32*//*Label 32036*/ GIMT_Encode4(2470329),
     /* 2468599 */ /*GILLT_nxv8s64*//*Label 32037*/ GIMT_Encode4(2470433), GIMT_Encode4(0),
     /* 2468607 */ /*GILLT_nxv16s8*//*Label 32038*/ GIMT_Encode4(2470537),
     /* 2468611 */ /*GILLT_nxv16s16*//*Label 32039*/ GIMT_Encode4(2470641),
     /* 2468615 */ /*GILLT_nxv16s32*//*Label 32040*/ GIMT_Encode4(2470745), GIMT_Encode4(0),
     /* 2468623 */ /*GILLT_nxv32s8*//*Label 32041*/ GIMT_Encode4(2470849),
     /* 2468627 */ /*GILLT_nxv32s16*//*Label 32042*/ GIMT_Encode4(2470953), GIMT_Encode4(0),
     /* 2468635 */ /*GILLT_nxv64s8*//*Label 32043*/ GIMT_Encode4(2471057),
     /* 2468639 */ // Label 32020: @2468639
     /* 2468639 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2468755),
     /* 2468644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2468647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468651 */   GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2468697), // Rule ID 61902 //
     /* 2468656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2468659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2468663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2468667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2468671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2468675 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468680 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2468684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2468686 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2468686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2468689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2468695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468696 */     // GIR_Coverage, 61902,
     /* 2468696 */     GIR_EraseRootFromParent_Done,
     /* 2468697 */   // Label 32046: @2468697
     /* 2468697 */   GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2468716), // Rule ID 2373 //
     /* 2468702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2468705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468709 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2468709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2468714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468715 */     // GIR_Coverage, 2373,
     /* 2468715 */     GIR_Done,
     /* 2468716 */   // Label 32047: @2468716
     /* 2468716 */   GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2468735), // Rule ID 61900 //
     /* 2468721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2468724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468728 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2468728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2468733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468734 */     // GIR_Coverage, 61900,
     /* 2468734 */     GIR_Done,
     /* 2468735 */   // Label 32048: @2468735
     /* 2468735 */   GIM_Try, /*On fail goto*//*Label 32049*/ GIMT_Encode4(2468754), // Rule ID 63782 //
     /* 2468740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2468743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468747 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2468747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2468752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468753 */     // GIR_Coverage, 63782,
     /* 2468753 */     GIR_Done,
     /* 2468754 */   // Label 32049: @2468754
     /* 2468754 */   GIM_Reject,
     /* 2468755 */ // Label 32045: @2468755
     /* 2468755 */ GIM_Reject,
     /* 2468756 */ // Label 32021: @2468756
     /* 2468756 */ GIM_Try, /*On fail goto*//*Label 32050*/ GIMT_Encode4(2468872),
     /* 2468761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2468764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468768 */   GIM_Try, /*On fail goto*//*Label 32051*/ GIMT_Encode4(2468814), // Rule ID 61901 //
     /* 2468773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2468776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2468780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2468784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2468788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2468792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468797 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2468801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2468803 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2468803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2468806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2468812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468813 */     // GIR_Coverage, 61901,
     /* 2468813 */     GIR_EraseRootFromParent_Done,
     /* 2468814 */   // Label 32051: @2468814
     /* 2468814 */   GIM_Try, /*On fail goto*//*Label 32052*/ GIMT_Encode4(2468833), // Rule ID 2372 //
     /* 2468819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2468822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468826 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2468826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2468831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468832 */     // GIR_Coverage, 2372,
     /* 2468832 */     GIR_Done,
     /* 2468833 */   // Label 32052: @2468833
     /* 2468833 */   GIM_Try, /*On fail goto*//*Label 32053*/ GIMT_Encode4(2468852), // Rule ID 61899 //
     /* 2468838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2468841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468845 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2468845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2468850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468851 */     // GIR_Coverage, 61899,
     /* 2468851 */     GIR_Done,
     /* 2468852 */   // Label 32053: @2468852
     /* 2468852 */   GIM_Try, /*On fail goto*//*Label 32054*/ GIMT_Encode4(2468871), // Rule ID 63781 //
     /* 2468857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2468860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2468864 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2468864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2468869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468870 */     // GIR_Coverage, 63781,
     /* 2468870 */     GIR_Done,
     /* 2468871 */   // Label 32054: @2468871
     /* 2468871 */   GIM_Reject,
     /* 2468872 */ // Label 32050: @2468872
     /* 2468872 */ GIM_Reject,
     /* 2468873 */ // Label 32022: @2468873
     /* 2468873 */ GIM_Try, /*On fail goto*//*Label 32055*/ GIMT_Encode4(2468976),
     /* 2468878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2468881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2468885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2468889 */   GIM_Try, /*On fail goto*//*Label 32056*/ GIMT_Encode4(2468932), // Rule ID 58442 //
     /* 2468894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2468897 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2468897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2468900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2468914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468931 */     // GIR_Coverage, 58442,
     /* 2468931 */     GIR_EraseRootFromParent_Done,
     /* 2468932 */   // Label 32056: @2468932
     /* 2468932 */   GIM_Try, /*On fail goto*//*Label 32057*/ GIMT_Encode4(2468975), // Rule ID 58443 //
     /* 2468937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2468940 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2468940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2468943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2468947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2468952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2468954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2468957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2468959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2468962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2468964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2468967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2468973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2468974 */     // GIR_Coverage, 58443,
     /* 2468974 */     GIR_EraseRootFromParent_Done,
     /* 2468975 */   // Label 32057: @2468975
     /* 2468975 */   GIM_Reject,
     /* 2468976 */ // Label 32055: @2468976
     /* 2468976 */ GIM_Reject,
     /* 2468977 */ // Label 32023: @2468977
     /* 2468977 */ GIM_Try, /*On fail goto*//*Label 32058*/ GIMT_Encode4(2469080),
     /* 2468982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2468985 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2468989 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2468993 */   GIM_Try, /*On fail goto*//*Label 32059*/ GIMT_Encode4(2469036), // Rule ID 58448 //
     /* 2468998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469001 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2469004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2469018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469035 */     // GIR_Coverage, 58448,
     /* 2469035 */     GIR_EraseRootFromParent_Done,
     /* 2469036 */   // Label 32059: @2469036
     /* 2469036 */   GIM_Try, /*On fail goto*//*Label 32060*/ GIMT_Encode4(2469079), // Rule ID 58449 //
     /* 2469041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469044 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2469047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2469061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469078 */     // GIR_Coverage, 58449,
     /* 2469078 */     GIR_EraseRootFromParent_Done,
     /* 2469079 */   // Label 32060: @2469079
     /* 2469079 */   GIM_Reject,
     /* 2469080 */ // Label 32058: @2469080
     /* 2469080 */ GIM_Reject,
     /* 2469081 */ // Label 32024: @2469081
     /* 2469081 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2469184),
     /* 2469086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2469089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469097 */   GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2469140), // Rule ID 58452 //
     /* 2469102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469105 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2469108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2469135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469139 */     // GIR_Coverage, 58452,
     /* 2469139 */     GIR_EraseRootFromParent_Done,
     /* 2469140 */   // Label 32062: @2469140
     /* 2469140 */   GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2469183), // Rule ID 58453 //
     /* 2469145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469148 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469148 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2469151 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469155 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469160 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469167 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2469178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469182 */     // GIR_Coverage, 58453,
     /* 2469182 */     GIR_EraseRootFromParent_Done,
     /* 2469183 */   // Label 32063: @2469183
     /* 2469183 */   GIM_Reject,
     /* 2469184 */ // Label 32061: @2469184
     /* 2469184 */ GIM_Reject,
     /* 2469185 */ // Label 32025: @2469185
     /* 2469185 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2469288),
     /* 2469190 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2469193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469201 */   GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2469244), // Rule ID 58460 //
     /* 2469206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2469209 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2469212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2469239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469243 */     // GIR_Coverage, 58460,
     /* 2469243 */     GIR_EraseRootFromParent_Done,
     /* 2469244 */   // Label 32065: @2469244
     /* 2469244 */   GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2469287), // Rule ID 58461 //
     /* 2469249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2469252 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2469255 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469259 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469264 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469271 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2469282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469286 */     // GIR_Coverage, 58461,
     /* 2469286 */     GIR_EraseRootFromParent_Done,
     /* 2469287 */   // Label 32066: @2469287
     /* 2469287 */   GIM_Reject,
     /* 2469288 */ // Label 32064: @2469288
     /* 2469288 */ GIM_Reject,
     /* 2469289 */ // Label 32026: @2469289
     /* 2469289 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2469392),
     /* 2469294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2469297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469305 */   GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2469348), // Rule ID 58444 //
     /* 2469310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469313 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2469316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2469330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469347 */     // GIR_Coverage, 58444,
     /* 2469347 */     GIR_EraseRootFromParent_Done,
     /* 2469348 */   // Label 32068: @2469348
     /* 2469348 */   GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2469391), // Rule ID 58445 //
     /* 2469353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469356 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2469359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2469373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469390 */     // GIR_Coverage, 58445,
     /* 2469390 */     GIR_EraseRootFromParent_Done,
     /* 2469391 */   // Label 32069: @2469391
     /* 2469391 */   GIM_Reject,
     /* 2469392 */ // Label 32067: @2469392
     /* 2469392 */ GIM_Reject,
     /* 2469393 */ // Label 32027: @2469393
     /* 2469393 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2469496),
     /* 2469398 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2469401 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469405 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469409 */   GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2469452), // Rule ID 58450 //
     /* 2469414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469417 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2469420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469451 */     // GIR_Coverage, 58450,
     /* 2469451 */     GIR_EraseRootFromParent_Done,
     /* 2469452 */   // Label 32071: @2469452
     /* 2469452 */   GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2469495), // Rule ID 58451 //
     /* 2469457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469460 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2469463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469494 */     // GIR_Coverage, 58451,
     /* 2469494 */     GIR_EraseRootFromParent_Done,
     /* 2469495 */   // Label 32072: @2469495
     /* 2469495 */   GIM_Reject,
     /* 2469496 */ // Label 32070: @2469496
     /* 2469496 */ GIM_Reject,
     /* 2469497 */ // Label 32028: @2469497
     /* 2469497 */ GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2469600),
     /* 2469502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2469505 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469509 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469513 */   GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2469556), // Rule ID 58458 //
     /* 2469518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469521 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2469524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2469551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469555 */     // GIR_Coverage, 58458,
     /* 2469555 */     GIR_EraseRootFromParent_Done,
     /* 2469556 */   // Label 32074: @2469556
     /* 2469556 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2469599), // Rule ID 58459 //
     /* 2469561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469564 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2469567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2469594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469598 */     // GIR_Coverage, 58459,
     /* 2469598 */     GIR_EraseRootFromParent_Done,
     /* 2469599 */   // Label 32075: @2469599
     /* 2469599 */   GIM_Reject,
     /* 2469600 */ // Label 32073: @2469600
     /* 2469600 */ GIM_Reject,
     /* 2469601 */ // Label 32029: @2469601
     /* 2469601 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2469704),
     /* 2469606 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2469609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2469613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2469617 */   GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2469660), // Rule ID 58480 //
     /* 2469622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2469625 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2469628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2469642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2469655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469659 */     // GIR_Coverage, 58480,
     /* 2469659 */     GIR_EraseRootFromParent_Done,
     /* 2469660 */   // Label 32077: @2469660
     /* 2469660 */   GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2469703), // Rule ID 58481 //
     /* 2469665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2469668 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469668 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2469671 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469675 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469680 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2469685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469687 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2469698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469702 */     // GIR_Coverage, 58481,
     /* 2469702 */     GIR_EraseRootFromParent_Done,
     /* 2469703 */   // Label 32078: @2469703
     /* 2469703 */   GIM_Reject,
     /* 2469704 */ // Label 32076: @2469704
     /* 2469704 */ GIM_Reject,
     /* 2469705 */ // Label 32030: @2469705
     /* 2469705 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2469808),
     /* 2469710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2469713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469721 */   GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2469764), // Rule ID 58446 //
     /* 2469726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469729 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2469732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469763 */     // GIR_Coverage, 58446,
     /* 2469763 */     GIR_EraseRootFromParent_Done,
     /* 2469764 */   // Label 32080: @2469764
     /* 2469764 */   GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2469807), // Rule ID 58447 //
     /* 2469769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469772 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2469775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2469789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469806 */     // GIR_Coverage, 58447,
     /* 2469806 */     GIR_EraseRootFromParent_Done,
     /* 2469807 */   // Label 32081: @2469807
     /* 2469807 */   GIM_Reject,
     /* 2469808 */ // Label 32079: @2469808
     /* 2469808 */ GIM_Reject,
     /* 2469809 */ // Label 32031: @2469809
     /* 2469809 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2469912),
     /* 2469814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2469817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2469825 */   GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2469868), // Rule ID 58456 //
     /* 2469830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469833 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2469836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469867 */     // GIR_Coverage, 58456,
     /* 2469867 */     GIR_EraseRootFromParent_Done,
     /* 2469868 */   // Label 32083: @2469868
     /* 2469868 */   GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2469911), // Rule ID 58457 //
     /* 2469873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469876 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2469879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2469893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2469906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469910 */     // GIR_Coverage, 58457,
     /* 2469910 */     GIR_EraseRootFromParent_Done,
     /* 2469911 */   // Label 32084: @2469911
     /* 2469911 */   GIM_Reject,
     /* 2469912 */ // Label 32082: @2469912
     /* 2469912 */ GIM_Reject,
     /* 2469913 */ // Label 32032: @2469913
     /* 2469913 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2470016),
     /* 2469918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2469921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2469925 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2469929 */   GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2469972), // Rule ID 58474 //
     /* 2469934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2469937 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2469937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2469940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2469954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2469959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2469961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2469964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2469967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2469970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2469971 */     // GIR_Coverage, 58474,
     /* 2469971 */     GIR_EraseRootFromParent_Done,
     /* 2469972 */   // Label 32086: @2469972
     /* 2469972 */   GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2470015), // Rule ID 58475 //
     /* 2469977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2469980 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2469980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2469983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2469987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2469992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2469994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2469997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2469999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2470010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470014 */     // GIR_Coverage, 58475,
     /* 2470014 */     GIR_EraseRootFromParent_Done,
     /* 2470015 */   // Label 32087: @2470015
     /* 2470015 */   GIM_Reject,
     /* 2470016 */ // Label 32085: @2470016
     /* 2470016 */ GIM_Reject,
     /* 2470017 */ // Label 32033: @2470017
     /* 2470017 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2470120),
     /* 2470022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2470025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470033 */   GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2470076), // Rule ID 58482 //
     /* 2470038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2470041 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470041 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2470044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470048 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470053 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470060 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2470071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470075 */     // GIR_Coverage, 58482,
     /* 2470075 */     GIR_EraseRootFromParent_Done,
     /* 2470076 */   // Label 32089: @2470076
     /* 2470076 */   GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2470119), // Rule ID 58483 //
     /* 2470081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2470084 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2470087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2470114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470118 */     // GIR_Coverage, 58483,
     /* 2470118 */     GIR_EraseRootFromParent_Done,
     /* 2470119 */   // Label 32090: @2470119
     /* 2470119 */   GIM_Reject,
     /* 2470120 */ // Label 32088: @2470120
     /* 2470120 */ GIM_Reject,
     /* 2470121 */ // Label 32034: @2470121
     /* 2470121 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2470224),
     /* 2470126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2470129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2470133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2470137 */   GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2470180), // Rule ID 58454 //
     /* 2470142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470145 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2470148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2470162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470179 */     // GIR_Coverage, 58454,
     /* 2470179 */     GIR_EraseRootFromParent_Done,
     /* 2470180 */   // Label 32092: @2470180
     /* 2470180 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2470223), // Rule ID 58455 //
     /* 2470185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470188 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2470191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2470205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470222 */     // GIR_Coverage, 58455,
     /* 2470222 */     GIR_EraseRootFromParent_Done,
     /* 2470223 */   // Label 32093: @2470223
     /* 2470223 */   GIM_Reject,
     /* 2470224 */ // Label 32091: @2470224
     /* 2470224 */ GIM_Reject,
     /* 2470225 */ // Label 32035: @2470225
     /* 2470225 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2470328),
     /* 2470230 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2470233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2470237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2470241 */   GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2470284), // Rule ID 58468 //
     /* 2470246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470249 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2470252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2470266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2470279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470283 */     // GIR_Coverage, 58468,
     /* 2470283 */     GIR_EraseRootFromParent_Done,
     /* 2470284 */   // Label 32095: @2470284
     /* 2470284 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2470327), // Rule ID 58469 //
     /* 2470289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470292 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2470295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2470309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2470322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470326 */     // GIR_Coverage, 58469,
     /* 2470326 */     GIR_EraseRootFromParent_Done,
     /* 2470327 */   // Label 32096: @2470327
     /* 2470327 */   GIM_Reject,
     /* 2470328 */ // Label 32094: @2470328
     /* 2470328 */ GIM_Reject,
     /* 2470329 */ // Label 32036: @2470329
     /* 2470329 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2470432),
     /* 2470334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2470337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470345 */   GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2470388), // Rule ID 58476 //
     /* 2470350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470353 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2470356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2470383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470387 */     // GIR_Coverage, 58476,
     /* 2470387 */     GIR_EraseRootFromParent_Done,
     /* 2470388 */   // Label 32098: @2470388
     /* 2470388 */   GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2470431), // Rule ID 58477 //
     /* 2470393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470396 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2470399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2470426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470430 */     // GIR_Coverage, 58477,
     /* 2470430 */     GIR_EraseRootFromParent_Done,
     /* 2470431 */   // Label 32099: @2470431
     /* 2470431 */   GIM_Reject,
     /* 2470432 */ // Label 32097: @2470432
     /* 2470432 */ GIM_Reject,
     /* 2470433 */ // Label 32037: @2470433
     /* 2470433 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2470536),
     /* 2470438 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2470441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470445 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470449 */   GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2470492), // Rule ID 58484 //
     /* 2470454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2470457 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2470460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2470474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2470487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470491 */     // GIR_Coverage, 58484,
     /* 2470491 */     GIR_EraseRootFromParent_Done,
     /* 2470492 */   // Label 32101: @2470492
     /* 2470492 */   GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2470535), // Rule ID 58485 //
     /* 2470497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2470500 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2470503 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470507 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470512 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2470517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470519 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2470530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470534 */     // GIR_Coverage, 58485,
     /* 2470534 */     GIR_EraseRootFromParent_Done,
     /* 2470535 */   // Label 32102: @2470535
     /* 2470535 */   GIM_Reject,
     /* 2470536 */ // Label 32100: @2470536
     /* 2470536 */ GIM_Reject,
     /* 2470537 */ // Label 32038: @2470537
     /* 2470537 */ GIM_Try, /*On fail goto*//*Label 32103*/ GIMT_Encode4(2470640),
     /* 2470542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2470545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2470549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2470553 */   GIM_Try, /*On fail goto*//*Label 32104*/ GIMT_Encode4(2470596), // Rule ID 58462 //
     /* 2470558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470561 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470561 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2470564 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470568 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470573 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2470578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470580 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470595 */     // GIR_Coverage, 58462,
     /* 2470595 */     GIR_EraseRootFromParent_Done,
     /* 2470596 */   // Label 32104: @2470596
     /* 2470596 */   GIM_Try, /*On fail goto*//*Label 32105*/ GIMT_Encode4(2470639), // Rule ID 58463 //
     /* 2470601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470604 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2470607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2470621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470638 */     // GIR_Coverage, 58463,
     /* 2470638 */     GIR_EraseRootFromParent_Done,
     /* 2470639 */   // Label 32105: @2470639
     /* 2470639 */   GIM_Reject,
     /* 2470640 */ // Label 32103: @2470640
     /* 2470640 */ GIM_Reject,
     /* 2470641 */ // Label 32039: @2470641
     /* 2470641 */ GIM_Try, /*On fail goto*//*Label 32106*/ GIMT_Encode4(2470744),
     /* 2470646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2470649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470657 */   GIM_Try, /*On fail goto*//*Label 32107*/ GIMT_Encode4(2470700), // Rule ID 58470 //
     /* 2470662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470665 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2470668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2470695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470699 */     // GIR_Coverage, 58470,
     /* 2470699 */     GIR_EraseRootFromParent_Done,
     /* 2470700 */   // Label 32107: @2470700
     /* 2470700 */   GIM_Try, /*On fail goto*//*Label 32108*/ GIMT_Encode4(2470743), // Rule ID 58471 //
     /* 2470705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470708 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2470711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2470738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470742 */     // GIR_Coverage, 58471,
     /* 2470742 */     GIR_EraseRootFromParent_Done,
     /* 2470743 */   // Label 32108: @2470743
     /* 2470743 */   GIM_Reject,
     /* 2470744 */ // Label 32106: @2470744
     /* 2470744 */ GIM_Reject,
     /* 2470745 */ // Label 32040: @2470745
     /* 2470745 */ GIM_Try, /*On fail goto*//*Label 32109*/ GIMT_Encode4(2470848),
     /* 2470750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2470753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470761 */   GIM_Try, /*On fail goto*//*Label 32110*/ GIMT_Encode4(2470804), // Rule ID 58478 //
     /* 2470766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470769 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2470772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2470786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2470799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470803 */     // GIR_Coverage, 58478,
     /* 2470803 */     GIR_EraseRootFromParent_Done,
     /* 2470804 */   // Label 32110: @2470804
     /* 2470804 */   GIM_Try, /*On fail goto*//*Label 32111*/ GIMT_Encode4(2470847), // Rule ID 58479 //
     /* 2470809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470812 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2470815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2470829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2470842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470846 */     // GIR_Coverage, 58479,
     /* 2470846 */     GIR_EraseRootFromParent_Done,
     /* 2470847 */   // Label 32111: @2470847
     /* 2470847 */   GIM_Reject,
     /* 2470848 */ // Label 32109: @2470848
     /* 2470848 */ GIM_Reject,
     /* 2470849 */ // Label 32041: @2470849
     /* 2470849 */ GIM_Try, /*On fail goto*//*Label 32112*/ GIMT_Encode4(2470952),
     /* 2470854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2470857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2470865 */   GIM_Try, /*On fail goto*//*Label 32113*/ GIMT_Encode4(2470908), // Rule ID 58464 //
     /* 2470870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470873 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2470876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470907 */     // GIR_Coverage, 58464,
     /* 2470907 */     GIR_EraseRootFromParent_Done,
     /* 2470908 */   // Label 32113: @2470908
     /* 2470908 */   GIM_Try, /*On fail goto*//*Label 32114*/ GIMT_Encode4(2470951), // Rule ID 58465 //
     /* 2470913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2470916 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2470916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2470919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2470933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2470940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2470943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2470949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2470950 */     // GIR_Coverage, 58465,
     /* 2470950 */     GIR_EraseRootFromParent_Done,
     /* 2470951 */   // Label 32114: @2470951
     /* 2470951 */   GIM_Reject,
     /* 2470952 */ // Label 32112: @2470952
     /* 2470952 */ GIM_Reject,
     /* 2470953 */ // Label 32042: @2470953
     /* 2470953 */ GIM_Try, /*On fail goto*//*Label 32115*/ GIMT_Encode4(2471056),
     /* 2470958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2470961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2470969 */   GIM_Try, /*On fail goto*//*Label 32116*/ GIMT_Encode4(2471012), // Rule ID 58472 //
     /* 2470974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2470977 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2470977 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2470980 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2470984 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2470989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2470991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2470994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2470996 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2470999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2471007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471011 */     // GIR_Coverage, 58472,
     /* 2471011 */     GIR_EraseRootFromParent_Done,
     /* 2471012 */   // Label 32116: @2471012
     /* 2471012 */   GIM_Try, /*On fail goto*//*Label 32117*/ GIMT_Encode4(2471055), // Rule ID 58473 //
     /* 2471017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471020 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2471023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2471037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2471050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471054 */     // GIR_Coverage, 58473,
     /* 2471054 */     GIR_EraseRootFromParent_Done,
     /* 2471055 */   // Label 32117: @2471055
     /* 2471055 */   GIM_Reject,
     /* 2471056 */ // Label 32115: @2471056
     /* 2471056 */ GIM_Reject,
     /* 2471057 */ // Label 32043: @2471057
     /* 2471057 */ GIM_Try, /*On fail goto*//*Label 32118*/ GIMT_Encode4(2471160),
     /* 2471062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2471065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2471069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2471073 */   GIM_Try, /*On fail goto*//*Label 32119*/ GIMT_Encode4(2471116), // Rule ID 58466 //
     /* 2471078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471081 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2471084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2471098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471115 */     // GIR_Coverage, 58466,
     /* 2471115 */     GIR_EraseRootFromParent_Done,
     /* 2471116 */   // Label 32119: @2471116
     /* 2471116 */   GIM_Try, /*On fail goto*//*Label 32120*/ GIMT_Encode4(2471159), // Rule ID 58467 //
     /* 2471121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471124 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2471127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2471141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471158 */     // GIR_Coverage, 58467,
     /* 2471158 */     GIR_EraseRootFromParent_Done,
     /* 2471159 */   // Label 32120: @2471159
     /* 2471159 */   GIM_Reject,
     /* 2471160 */ // Label 32118: @2471160
     /* 2471160 */ GIM_Reject,
     /* 2471161 */ // Label 32044: @2471161
     /* 2471161 */ GIM_Reject,
     /* 2471162 */ // Label 86: @2471162
     /* 2471162 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32145*/ GIMT_Encode4(2473712),
     /* 2471173 */ /*GILLT_s32*//*Label 32121*/ GIMT_Encode4(2471297),
     /* 2471177 */ /*GILLT_s64*//*Label 32122*/ GIMT_Encode4(2471345), GIMT_Encode4(0),
     /* 2471185 */ /*GILLT_nxv1s8*//*Label 32123*/ GIMT_Encode4(2471424),
     /* 2471189 */ /*GILLT_nxv1s16*//*Label 32124*/ GIMT_Encode4(2471528),
     /* 2471193 */ /*GILLT_nxv1s32*//*Label 32125*/ GIMT_Encode4(2471632),
     /* 2471197 */ /*GILLT_nxv1s64*//*Label 32126*/ GIMT_Encode4(2471736), GIMT_Encode4(0),
     /* 2471205 */ /*GILLT_nxv2s8*//*Label 32127*/ GIMT_Encode4(2471840),
     /* 2471209 */ /*GILLT_nxv2s16*//*Label 32128*/ GIMT_Encode4(2471944),
     /* 2471213 */ /*GILLT_nxv2s32*//*Label 32129*/ GIMT_Encode4(2472048),
     /* 2471217 */ /*GILLT_nxv2s64*//*Label 32130*/ GIMT_Encode4(2472152), GIMT_Encode4(0),
     /* 2471225 */ /*GILLT_nxv4s8*//*Label 32131*/ GIMT_Encode4(2472256),
     /* 2471229 */ /*GILLT_nxv4s16*//*Label 32132*/ GIMT_Encode4(2472360),
     /* 2471233 */ /*GILLT_nxv4s32*//*Label 32133*/ GIMT_Encode4(2472464),
     /* 2471237 */ /*GILLT_nxv4s64*//*Label 32134*/ GIMT_Encode4(2472568), GIMT_Encode4(0),
     /* 2471245 */ /*GILLT_nxv8s8*//*Label 32135*/ GIMT_Encode4(2472672),
     /* 2471249 */ /*GILLT_nxv8s16*//*Label 32136*/ GIMT_Encode4(2472776),
     /* 2471253 */ /*GILLT_nxv8s32*//*Label 32137*/ GIMT_Encode4(2472880),
     /* 2471257 */ /*GILLT_nxv8s64*//*Label 32138*/ GIMT_Encode4(2472984), GIMT_Encode4(0),
     /* 2471265 */ /*GILLT_nxv16s8*//*Label 32139*/ GIMT_Encode4(2473088),
     /* 2471269 */ /*GILLT_nxv16s16*//*Label 32140*/ GIMT_Encode4(2473192),
     /* 2471273 */ /*GILLT_nxv16s32*//*Label 32141*/ GIMT_Encode4(2473296), GIMT_Encode4(0),
     /* 2471281 */ /*GILLT_nxv32s8*//*Label 32142*/ GIMT_Encode4(2473400),
     /* 2471285 */ /*GILLT_nxv32s16*//*Label 32143*/ GIMT_Encode4(2473504), GIMT_Encode4(0),
     /* 2471293 */ /*GILLT_nxv64s8*//*Label 32144*/ GIMT_Encode4(2473608),
     /* 2471297 */ // Label 32121: @2471297
     /* 2471297 */ GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2471344),
     /* 2471302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2471305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2471309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2471313 */   GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2471328), // Rule ID 2377 //
     /* 2471318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2471321 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2471321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2471326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471327 */     // GIR_Coverage, 2377,
     /* 2471327 */     GIR_Done,
     /* 2471328 */   // Label 32147: @2471328
     /* 2471328 */   GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2471343), // Rule ID 63785 //
     /* 2471333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2471336 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2471336 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2471341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471342 */     // GIR_Coverage, 63785,
     /* 2471342 */     GIR_Done,
     /* 2471343 */   // Label 32148: @2471343
     /* 2471343 */   GIM_Reject,
     /* 2471344 */ // Label 32146: @2471344
     /* 2471344 */ GIM_Reject,
     /* 2471345 */ // Label 32122: @2471345
     /* 2471345 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2471423),
     /* 2471350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2471353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2471357 */   GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2471384), // Rule ID 2380 //
     /* 2471362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2471365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2471372 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2471372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2471375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2471382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471383 */     // GIR_Coverage, 2380,
     /* 2471383 */     GIR_EraseRootFromParent_Done,
     /* 2471384 */   // Label 32150: @2471384
     /* 2471384 */   GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2471403), // Rule ID 2376 //
     /* 2471389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2471392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2471396 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2471396 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2471401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471402 */     // GIR_Coverage, 2376,
     /* 2471402 */     GIR_Done,
     /* 2471403 */   // Label 32151: @2471403
     /* 2471403 */   GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2471422), // Rule ID 63784 //
     /* 2471408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2471411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2471415 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2471415 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2471420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471421 */     // GIR_Coverage, 63784,
     /* 2471421 */     GIR_Done,
     /* 2471422 */   // Label 32152: @2471422
     /* 2471422 */   GIM_Reject,
     /* 2471423 */ // Label 32149: @2471423
     /* 2471423 */ GIM_Reject,
     /* 2471424 */ // Label 32123: @2471424
     /* 2471424 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2471527),
     /* 2471429 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2471432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471440 */   GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2471483), // Rule ID 58530 //
     /* 2471445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471448 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2471451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2471465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471482 */     // GIR_Coverage, 58530,
     /* 2471482 */     GIR_EraseRootFromParent_Done,
     /* 2471483 */   // Label 32154: @2471483
     /* 2471483 */   GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2471526), // Rule ID 58531 //
     /* 2471488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471491 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2471494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2471508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471525 */     // GIR_Coverage, 58531,
     /* 2471525 */     GIR_EraseRootFromParent_Done,
     /* 2471526 */   // Label 32155: @2471526
     /* 2471526 */   GIM_Reject,
     /* 2471527 */ // Label 32153: @2471527
     /* 2471527 */ GIM_Reject,
     /* 2471528 */ // Label 32124: @2471528
     /* 2471528 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2471631),
     /* 2471533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2471536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471544 */   GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2471587), // Rule ID 58536 //
     /* 2471549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471552 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2471555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2471569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2471582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471586 */     // GIR_Coverage, 58536,
     /* 2471586 */     GIR_EraseRootFromParent_Done,
     /* 2471587 */   // Label 32157: @2471587
     /* 2471587 */   GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2471630), // Rule ID 58537 //
     /* 2471592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471595 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2471598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2471612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2471625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471629 */     // GIR_Coverage, 58537,
     /* 2471629 */     GIR_EraseRootFromParent_Done,
     /* 2471630 */   // Label 32158: @2471630
     /* 2471630 */   GIM_Reject,
     /* 2471631 */ // Label 32156: @2471631
     /* 2471631 */ GIM_Reject,
     /* 2471632 */ // Label 32125: @2471632
     /* 2471632 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2471735),
     /* 2471637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2471640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471648 */   GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2471691), // Rule ID 58540 //
     /* 2471653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471656 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2471659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2471673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2471686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471690 */     // GIR_Coverage, 58540,
     /* 2471690 */     GIR_EraseRootFromParent_Done,
     /* 2471691 */   // Label 32160: @2471691
     /* 2471691 */   GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2471734), // Rule ID 58541 //
     /* 2471696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471699 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2471702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2471716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2471729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471733 */     // GIR_Coverage, 58541,
     /* 2471733 */     GIR_EraseRootFromParent_Done,
     /* 2471734 */   // Label 32161: @2471734
     /* 2471734 */   GIM_Reject,
     /* 2471735 */ // Label 32159: @2471735
     /* 2471735 */ GIM_Reject,
     /* 2471736 */ // Label 32126: @2471736
     /* 2471736 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2471839),
     /* 2471741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2471744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471752 */   GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2471795), // Rule ID 58548 //
     /* 2471757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2471760 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2471763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2471777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2471790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471794 */     // GIR_Coverage, 58548,
     /* 2471794 */     GIR_EraseRootFromParent_Done,
     /* 2471795 */   // Label 32163: @2471795
     /* 2471795 */   GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2471838), // Rule ID 58549 //
     /* 2471800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2471803 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2471806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2471820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2471833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471837 */     // GIR_Coverage, 58549,
     /* 2471837 */     GIR_EraseRootFromParent_Done,
     /* 2471838 */   // Label 32164: @2471838
     /* 2471838 */   GIM_Reject,
     /* 2471839 */ // Label 32162: @2471839
     /* 2471839 */ GIM_Reject,
     /* 2471840 */ // Label 32127: @2471840
     /* 2471840 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2471943),
     /* 2471845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2471848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471856 */   GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2471899), // Rule ID 58532 //
     /* 2471861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471864 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2471867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2471881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471898 */     // GIR_Coverage, 58532,
     /* 2471898 */     GIR_EraseRootFromParent_Done,
     /* 2471899 */   // Label 32166: @2471899
     /* 2471899 */   GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2471942), // Rule ID 58533 //
     /* 2471904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2471907 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2471907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2471910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2471924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2471940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2471941 */     // GIR_Coverage, 58533,
     /* 2471941 */     GIR_EraseRootFromParent_Done,
     /* 2471942 */   // Label 32167: @2471942
     /* 2471942 */   GIM_Reject,
     /* 2471943 */ // Label 32165: @2471943
     /* 2471943 */ GIM_Reject,
     /* 2471944 */ // Label 32128: @2471944
     /* 2471944 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2472047),
     /* 2471949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2471952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2471960 */   GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2472003), // Rule ID 58538 //
     /* 2471965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2471968 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2471968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2471971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2471975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2471980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2471982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2471985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2471987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2471990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2471992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2471995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2471998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472002 */     // GIR_Coverage, 58538,
     /* 2472002 */     GIR_EraseRootFromParent_Done,
     /* 2472003 */   // Label 32169: @2472003
     /* 2472003 */   GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2472046), // Rule ID 58539 //
     /* 2472008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472011 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2472014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2472028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2472041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472045 */     // GIR_Coverage, 58539,
     /* 2472045 */     GIR_EraseRootFromParent_Done,
     /* 2472046 */   // Label 32170: @2472046
     /* 2472046 */   GIM_Reject,
     /* 2472047 */ // Label 32168: @2472047
     /* 2472047 */ GIM_Reject,
     /* 2472048 */ // Label 32129: @2472048
     /* 2472048 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2472151),
     /* 2472053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2472056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472064 */   GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2472107), // Rule ID 58546 //
     /* 2472069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472072 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2472075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472106 */     // GIR_Coverage, 58546,
     /* 2472106 */     GIR_EraseRootFromParent_Done,
     /* 2472107 */   // Label 32172: @2472107
     /* 2472107 */   GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2472150), // Rule ID 58547 //
     /* 2472112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472115 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472115 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2472118 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472122 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472127 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472134 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472137 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472149 */     // GIR_Coverage, 58547,
     /* 2472149 */     GIR_EraseRootFromParent_Done,
     /* 2472150 */   // Label 32173: @2472150
     /* 2472150 */   GIM_Reject,
     /* 2472151 */ // Label 32171: @2472151
     /* 2472151 */ GIM_Reject,
     /* 2472152 */ // Label 32130: @2472152
     /* 2472152 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2472255),
     /* 2472157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2472160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472168 */   GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2472211), // Rule ID 58568 //
     /* 2472173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2472176 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2472179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2472206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472210 */     // GIR_Coverage, 58568,
     /* 2472210 */     GIR_EraseRootFromParent_Done,
     /* 2472211 */   // Label 32175: @2472211
     /* 2472211 */   GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2472254), // Rule ID 58569 //
     /* 2472216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2472219 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2472222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2472249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472253 */     // GIR_Coverage, 58569,
     /* 2472253 */     GIR_EraseRootFromParent_Done,
     /* 2472254 */   // Label 32176: @2472254
     /* 2472254 */   GIM_Reject,
     /* 2472255 */ // Label 32174: @2472255
     /* 2472255 */ GIM_Reject,
     /* 2472256 */ // Label 32131: @2472256
     /* 2472256 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2472359),
     /* 2472261 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2472264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472272 */   GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2472315), // Rule ID 58534 //
     /* 2472277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472280 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2472283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2472297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472314 */     // GIR_Coverage, 58534,
     /* 2472314 */     GIR_EraseRootFromParent_Done,
     /* 2472315 */   // Label 32178: @2472315
     /* 2472315 */   GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2472358), // Rule ID 58535 //
     /* 2472320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472323 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2472326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2472340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472357 */     // GIR_Coverage, 58535,
     /* 2472357 */     GIR_EraseRootFromParent_Done,
     /* 2472358 */   // Label 32179: @2472358
     /* 2472358 */   GIM_Reject,
     /* 2472359 */ // Label 32177: @2472359
     /* 2472359 */ GIM_Reject,
     /* 2472360 */ // Label 32132: @2472360
     /* 2472360 */ GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2472463),
     /* 2472365 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2472368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472376 */   GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2472419), // Rule ID 58544 //
     /* 2472381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472384 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472384 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2472387 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472391 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472396 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472403 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2472414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472418 */     // GIR_Coverage, 58544,
     /* 2472418 */     GIR_EraseRootFromParent_Done,
     /* 2472419 */   // Label 32181: @2472419
     /* 2472419 */   GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2472462), // Rule ID 58545 //
     /* 2472424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472427 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2472430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2472457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472461 */     // GIR_Coverage, 58545,
     /* 2472461 */     GIR_EraseRootFromParent_Done,
     /* 2472462 */   // Label 32182: @2472462
     /* 2472462 */   GIM_Reject,
     /* 2472463 */ // Label 32180: @2472463
     /* 2472463 */ GIM_Reject,
     /* 2472464 */ // Label 32133: @2472464
     /* 2472464 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2472567),
     /* 2472469 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2472472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472480 */   GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2472523), // Rule ID 58562 //
     /* 2472485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472488 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2472491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472522 */     // GIR_Coverage, 58562,
     /* 2472522 */     GIR_EraseRootFromParent_Done,
     /* 2472523 */   // Label 32184: @2472523
     /* 2472523 */   GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2472566), // Rule ID 58563 //
     /* 2472528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472531 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2472534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472565 */     // GIR_Coverage, 58563,
     /* 2472565 */     GIR_EraseRootFromParent_Done,
     /* 2472566 */   // Label 32185: @2472566
     /* 2472566 */   GIM_Reject,
     /* 2472567 */ // Label 32183: @2472567
     /* 2472567 */ GIM_Reject,
     /* 2472568 */ // Label 32134: @2472568
     /* 2472568 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2472671),
     /* 2472573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2472576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2472580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2472584 */   GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2472627), // Rule ID 58570 //
     /* 2472589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2472592 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2472595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2472609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2472622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472626 */     // GIR_Coverage, 58570,
     /* 2472626 */     GIR_EraseRootFromParent_Done,
     /* 2472627 */   // Label 32187: @2472627
     /* 2472627 */   GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2472670), // Rule ID 58571 //
     /* 2472632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2472635 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2472638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2472652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2472665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472669 */     // GIR_Coverage, 58571,
     /* 2472669 */     GIR_EraseRootFromParent_Done,
     /* 2472670 */   // Label 32188: @2472670
     /* 2472670 */   GIM_Reject,
     /* 2472671 */ // Label 32186: @2472671
     /* 2472671 */ GIM_Reject,
     /* 2472672 */ // Label 32135: @2472672
     /* 2472672 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2472775),
     /* 2472677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2472680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2472688 */   GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2472731), // Rule ID 58542 //
     /* 2472693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472696 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2472699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472730 */     // GIR_Coverage, 58542,
     /* 2472730 */     GIR_EraseRootFromParent_Done,
     /* 2472731 */   // Label 32190: @2472731
     /* 2472731 */   GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2472774), // Rule ID 58543 //
     /* 2472736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472739 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2472742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2472756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472773 */     // GIR_Coverage, 58543,
     /* 2472773 */     GIR_EraseRootFromParent_Done,
     /* 2472774 */   // Label 32191: @2472774
     /* 2472774 */   GIM_Reject,
     /* 2472775 */ // Label 32189: @2472775
     /* 2472775 */ GIM_Reject,
     /* 2472776 */ // Label 32136: @2472776
     /* 2472776 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2472879),
     /* 2472781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2472784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2472792 */   GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2472835), // Rule ID 58556 //
     /* 2472797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472800 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2472803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2472830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472834 */     // GIR_Coverage, 58556,
     /* 2472834 */     GIR_EraseRootFromParent_Done,
     /* 2472835 */   // Label 32193: @2472835
     /* 2472835 */   GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2472878), // Rule ID 58557 //
     /* 2472840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472843 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472843 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2472846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472850 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472855 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2472860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472862 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2472873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472877 */     // GIR_Coverage, 58557,
     /* 2472877 */     GIR_EraseRootFromParent_Done,
     /* 2472878 */   // Label 32194: @2472878
     /* 2472878 */   GIM_Reject,
     /* 2472879 */ // Label 32192: @2472879
     /* 2472879 */ GIM_Reject,
     /* 2472880 */ // Label 32137: @2472880
     /* 2472880 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2472983),
     /* 2472885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2472888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2472892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2472896 */   GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2472939), // Rule ID 58564 //
     /* 2472901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2472904 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2472904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2472907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2472921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472938 */     // GIR_Coverage, 58564,
     /* 2472938 */     GIR_EraseRootFromParent_Done,
     /* 2472939 */   // Label 32196: @2472939
     /* 2472939 */   GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2472982), // Rule ID 58565 //
     /* 2472944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2472947 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2472947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2472950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2472954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2472959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2472961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2472964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2472966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2472969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2472971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2472974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2472977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2472980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2472981 */     // GIR_Coverage, 58565,
     /* 2472981 */     GIR_EraseRootFromParent_Done,
     /* 2472982 */   // Label 32197: @2472982
     /* 2472982 */   GIM_Reject,
     /* 2472983 */ // Label 32195: @2472983
     /* 2472983 */ GIM_Reject,
     /* 2472984 */ // Label 32138: @2472984
     /* 2472984 */ GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2473087),
     /* 2472989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2472992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2472996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473000 */   GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2473043), // Rule ID 58572 //
     /* 2473005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2473008 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2473011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2473038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473042 */     // GIR_Coverage, 58572,
     /* 2473042 */     GIR_EraseRootFromParent_Done,
     /* 2473043 */   // Label 32199: @2473043
     /* 2473043 */   GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2473086), // Rule ID 58573 //
     /* 2473048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2473051 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2473054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2473081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473085 */     // GIR_Coverage, 58573,
     /* 2473085 */     GIR_EraseRootFromParent_Done,
     /* 2473086 */   // Label 32200: @2473086
     /* 2473086 */   GIM_Reject,
     /* 2473087 */ // Label 32198: @2473087
     /* 2473087 */ GIM_Reject,
     /* 2473088 */ // Label 32139: @2473088
     /* 2473088 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2473191),
     /* 2473093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2473096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2473100 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2473104 */   GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2473147), // Rule ID 58550 //
     /* 2473109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473112 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2473115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2473129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473146 */     // GIR_Coverage, 58550,
     /* 2473146 */     GIR_EraseRootFromParent_Done,
     /* 2473147 */   // Label 32202: @2473147
     /* 2473147 */   GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2473190), // Rule ID 58551 //
     /* 2473152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473155 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2473158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2473172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473189 */     // GIR_Coverage, 58551,
     /* 2473189 */     GIR_EraseRootFromParent_Done,
     /* 2473190 */   // Label 32203: @2473190
     /* 2473190 */   GIM_Reject,
     /* 2473191 */ // Label 32201: @2473191
     /* 2473191 */ GIM_Reject,
     /* 2473192 */ // Label 32140: @2473192
     /* 2473192 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2473295),
     /* 2473197 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2473200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2473204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2473208 */   GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2473251), // Rule ID 58558 //
     /* 2473213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473216 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2473219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2473233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2473246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473250 */     // GIR_Coverage, 58558,
     /* 2473250 */     GIR_EraseRootFromParent_Done,
     /* 2473251 */   // Label 32205: @2473251
     /* 2473251 */   GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2473294), // Rule ID 58559 //
     /* 2473256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473259 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2473262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2473276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2473289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473293 */     // GIR_Coverage, 58559,
     /* 2473293 */     GIR_EraseRootFromParent_Done,
     /* 2473294 */   // Label 32206: @2473294
     /* 2473294 */   GIM_Reject,
     /* 2473295 */ // Label 32204: @2473295
     /* 2473295 */ GIM_Reject,
     /* 2473296 */ // Label 32141: @2473296
     /* 2473296 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2473399),
     /* 2473301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2473304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473308 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473312 */   GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2473355), // Rule ID 58566 //
     /* 2473317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473320 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2473323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2473350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473354 */     // GIR_Coverage, 58566,
     /* 2473354 */     GIR_EraseRootFromParent_Done,
     /* 2473355 */   // Label 32208: @2473355
     /* 2473355 */   GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2473398), // Rule ID 58567 //
     /* 2473360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473363 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2473366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2473393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473397 */     // GIR_Coverage, 58567,
     /* 2473397 */     GIR_EraseRootFromParent_Done,
     /* 2473398 */   // Label 32209: @2473398
     /* 2473398 */   GIM_Reject,
     /* 2473399 */ // Label 32207: @2473399
     /* 2473399 */ GIM_Reject,
     /* 2473400 */ // Label 32142: @2473400
     /* 2473400 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2473503),
     /* 2473405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2473408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2473412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2473416 */   GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2473459), // Rule ID 58552 //
     /* 2473421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473424 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2473427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2473441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473458 */     // GIR_Coverage, 58552,
     /* 2473458 */     GIR_EraseRootFromParent_Done,
     /* 2473459 */   // Label 32211: @2473459
     /* 2473459 */   GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2473502), // Rule ID 58553 //
     /* 2473464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473467 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2473470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2473484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473501 */     // GIR_Coverage, 58553,
     /* 2473501 */     GIR_EraseRootFromParent_Done,
     /* 2473502 */   // Label 32212: @2473502
     /* 2473502 */   GIM_Reject,
     /* 2473503 */ // Label 32210: @2473503
     /* 2473503 */ GIM_Reject,
     /* 2473504 */ // Label 32143: @2473504
     /* 2473504 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2473607),
     /* 2473509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2473512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473520 */   GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2473563), // Rule ID 58560 //
     /* 2473525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473528 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2473531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2473558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473562 */     // GIR_Coverage, 58560,
     /* 2473562 */     GIR_EraseRootFromParent_Done,
     /* 2473563 */   // Label 32214: @2473563
     /* 2473563 */   GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2473606), // Rule ID 58561 //
     /* 2473568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473571 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2473574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2473601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473605 */     // GIR_Coverage, 58561,
     /* 2473605 */     GIR_EraseRootFromParent_Done,
     /* 2473606 */   // Label 32215: @2473606
     /* 2473606 */   GIM_Reject,
     /* 2473607 */ // Label 32213: @2473607
     /* 2473607 */ GIM_Reject,
     /* 2473608 */ // Label 32144: @2473608
     /* 2473608 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2473711),
     /* 2473613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2473616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2473624 */   GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2473667), // Rule ID 58554 //
     /* 2473629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2473632 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2473635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473666 */     // GIR_Coverage, 58554,
     /* 2473666 */     GIR_EraseRootFromParent_Done,
     /* 2473667 */   // Label 32217: @2473667
     /* 2473667 */   GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2473710), // Rule ID 58555 //
     /* 2473672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2473675 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2473675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2473678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2473692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2473694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2473697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2473699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2473702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2473708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473709 */     // GIR_Coverage, 58555,
     /* 2473709 */     GIR_EraseRootFromParent_Done,
     /* 2473710 */   // Label 32218: @2473710
     /* 2473710 */   GIM_Reject,
     /* 2473711 */ // Label 32216: @2473711
     /* 2473711 */ GIM_Reject,
     /* 2473712 */ // Label 32145: @2473712
     /* 2473712 */ GIM_Reject,
     /* 2473713 */ // Label 87: @2473713
     /* 2473713 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32243*/ GIMT_Encode4(2476247),
     /* 2473724 */ /*GILLT_s32*//*Label 32219*/ GIMT_Encode4(2473848),
     /* 2473728 */ /*GILLT_s64*//*Label 32220*/ GIMT_Encode4(2473911), GIMT_Encode4(0),
     /* 2473736 */ /*GILLT_nxv1s8*//*Label 32221*/ GIMT_Encode4(2473959),
     /* 2473740 */ /*GILLT_nxv1s16*//*Label 32222*/ GIMT_Encode4(2474063),
     /* 2473744 */ /*GILLT_nxv1s32*//*Label 32223*/ GIMT_Encode4(2474167),
     /* 2473748 */ /*GILLT_nxv1s64*//*Label 32224*/ GIMT_Encode4(2474271), GIMT_Encode4(0),
     /* 2473756 */ /*GILLT_nxv2s8*//*Label 32225*/ GIMT_Encode4(2474375),
     /* 2473760 */ /*GILLT_nxv2s16*//*Label 32226*/ GIMT_Encode4(2474479),
     /* 2473764 */ /*GILLT_nxv2s32*//*Label 32227*/ GIMT_Encode4(2474583),
     /* 2473768 */ /*GILLT_nxv2s64*//*Label 32228*/ GIMT_Encode4(2474687), GIMT_Encode4(0),
     /* 2473776 */ /*GILLT_nxv4s8*//*Label 32229*/ GIMT_Encode4(2474791),
     /* 2473780 */ /*GILLT_nxv4s16*//*Label 32230*/ GIMT_Encode4(2474895),
     /* 2473784 */ /*GILLT_nxv4s32*//*Label 32231*/ GIMT_Encode4(2474999),
     /* 2473788 */ /*GILLT_nxv4s64*//*Label 32232*/ GIMT_Encode4(2475103), GIMT_Encode4(0),
     /* 2473796 */ /*GILLT_nxv8s8*//*Label 32233*/ GIMT_Encode4(2475207),
     /* 2473800 */ /*GILLT_nxv8s16*//*Label 32234*/ GIMT_Encode4(2475311),
     /* 2473804 */ /*GILLT_nxv8s32*//*Label 32235*/ GIMT_Encode4(2475415),
     /* 2473808 */ /*GILLT_nxv8s64*//*Label 32236*/ GIMT_Encode4(2475519), GIMT_Encode4(0),
     /* 2473816 */ /*GILLT_nxv16s8*//*Label 32237*/ GIMT_Encode4(2475623),
     /* 2473820 */ /*GILLT_nxv16s16*//*Label 32238*/ GIMT_Encode4(2475727),
     /* 2473824 */ /*GILLT_nxv16s32*//*Label 32239*/ GIMT_Encode4(2475831), GIMT_Encode4(0),
     /* 2473832 */ /*GILLT_nxv32s8*//*Label 32240*/ GIMT_Encode4(2475935),
     /* 2473836 */ /*GILLT_nxv32s16*//*Label 32241*/ GIMT_Encode4(2476039), GIMT_Encode4(0),
     /* 2473844 */ /*GILLT_nxv64s8*//*Label 32242*/ GIMT_Encode4(2476143),
     /* 2473848 */ // Label 32219: @2473848
     /* 2473848 */ GIM_Try, /*On fail goto*//*Label 32244*/ GIMT_Encode4(2473910),
     /* 2473853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2473856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2473860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2473864 */   GIM_Try, /*On fail goto*//*Label 32245*/ GIMT_Encode4(2473879), // Rule ID 2394 //
     /* 2473869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2473872 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2473872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2473877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473878 */     // GIR_Coverage, 2394,
     /* 2473878 */     GIR_Done,
     /* 2473879 */   // Label 32245: @2473879
     /* 2473879 */   GIM_Try, /*On fail goto*//*Label 32246*/ GIMT_Encode4(2473894), // Rule ID 2395 //
     /* 2473884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2473887 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2473887 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2473892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473893 */     // GIR_Coverage, 2395,
     /* 2473893 */     GIR_Done,
     /* 2473894 */   // Label 32246: @2473894
     /* 2473894 */   GIM_Try, /*On fail goto*//*Label 32247*/ GIMT_Encode4(2473909), // Rule ID 61904 //
     /* 2473899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2473902 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2473902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2473907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473908 */     // GIR_Coverage, 61904,
     /* 2473908 */     GIR_Done,
     /* 2473909 */   // Label 32247: @2473909
     /* 2473909 */   GIM_Reject,
     /* 2473910 */ // Label 32244: @2473910
     /* 2473910 */ GIM_Reject,
     /* 2473911 */ // Label 32220: @2473911
     /* 2473911 */ GIM_Try, /*On fail goto*//*Label 32248*/ GIMT_Encode4(2473958),
     /* 2473916 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2473919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2473923 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2473927 */   GIM_Try, /*On fail goto*//*Label 32249*/ GIMT_Encode4(2473942), // Rule ID 2396 //
     /* 2473932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2473935 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2473935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2473940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473941 */     // GIR_Coverage, 2396,
     /* 2473941 */     GIR_Done,
     /* 2473942 */   // Label 32249: @2473942
     /* 2473942 */   GIM_Try, /*On fail goto*//*Label 32250*/ GIMT_Encode4(2473957), // Rule ID 61903 //
     /* 2473947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2473950 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2473950 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2473955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2473956 */     // GIR_Coverage, 61903,
     /* 2473956 */     GIR_Done,
     /* 2473957 */   // Label 32250: @2473957
     /* 2473957 */   GIM_Reject,
     /* 2473958 */ // Label 32248: @2473958
     /* 2473958 */ GIM_Reject,
     /* 2473959 */ // Label 32221: @2473959
     /* 2473959 */ GIM_Try, /*On fail goto*//*Label 32251*/ GIMT_Encode4(2474062),
     /* 2473964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2473967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2473971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2473975 */   GIM_Try, /*On fail goto*//*Label 32252*/ GIMT_Encode4(2474018), // Rule ID 58398 //
     /* 2473980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2473983 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2473983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2473986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2473990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2473995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2473997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2474000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474017 */     // GIR_Coverage, 58398,
     /* 2474017 */     GIR_EraseRootFromParent_Done,
     /* 2474018 */   // Label 32252: @2474018
     /* 2474018 */   GIM_Try, /*On fail goto*//*Label 32253*/ GIMT_Encode4(2474061), // Rule ID 58399 //
     /* 2474023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474026 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2474029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2474043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474060 */     // GIR_Coverage, 58399,
     /* 2474060 */     GIR_EraseRootFromParent_Done,
     /* 2474061 */   // Label 32253: @2474061
     /* 2474061 */   GIM_Reject,
     /* 2474062 */ // Label 32251: @2474062
     /* 2474062 */ GIM_Reject,
     /* 2474063 */ // Label 32222: @2474063
     /* 2474063 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2474166),
     /* 2474068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2474071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474079 */   GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2474122), // Rule ID 58404 //
     /* 2474084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474087 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2474090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2474104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474121 */     // GIR_Coverage, 58404,
     /* 2474121 */     GIR_EraseRootFromParent_Done,
     /* 2474122 */   // Label 32255: @2474122
     /* 2474122 */   GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2474165), // Rule ID 58405 //
     /* 2474127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474130 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2474133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2474147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474164 */     // GIR_Coverage, 58405,
     /* 2474164 */     GIR_EraseRootFromParent_Done,
     /* 2474165 */   // Label 32256: @2474165
     /* 2474165 */   GIM_Reject,
     /* 2474166 */ // Label 32254: @2474166
     /* 2474166 */ GIM_Reject,
     /* 2474167 */ // Label 32223: @2474167
     /* 2474167 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2474270),
     /* 2474172 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2474175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474183 */   GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2474226), // Rule ID 58408 //
     /* 2474188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474191 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2474194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2474221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474225 */     // GIR_Coverage, 58408,
     /* 2474225 */     GIR_EraseRootFromParent_Done,
     /* 2474226 */   // Label 32258: @2474226
     /* 2474226 */   GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2474269), // Rule ID 58409 //
     /* 2474231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474234 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2474237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2474264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474268 */     // GIR_Coverage, 58409,
     /* 2474268 */     GIR_EraseRootFromParent_Done,
     /* 2474269 */   // Label 32259: @2474269
     /* 2474269 */   GIM_Reject,
     /* 2474270 */ // Label 32257: @2474270
     /* 2474270 */ GIM_Reject,
     /* 2474271 */ // Label 32224: @2474271
     /* 2474271 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2474374),
     /* 2474276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2474279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474287 */   GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2474330), // Rule ID 58416 //
     /* 2474292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2474295 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2474298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2474325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474329 */     // GIR_Coverage, 58416,
     /* 2474329 */     GIR_EraseRootFromParent_Done,
     /* 2474330 */   // Label 32261: @2474330
     /* 2474330 */   GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2474373), // Rule ID 58417 //
     /* 2474335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2474338 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2474341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2474368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474372 */     // GIR_Coverage, 58417,
     /* 2474372 */     GIR_EraseRootFromParent_Done,
     /* 2474373 */   // Label 32262: @2474373
     /* 2474373 */   GIM_Reject,
     /* 2474374 */ // Label 32260: @2474374
     /* 2474374 */ GIM_Reject,
     /* 2474375 */ // Label 32225: @2474375
     /* 2474375 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2474478),
     /* 2474380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2474383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474391 */   GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2474434), // Rule ID 58400 //
     /* 2474396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474399 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2474402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2474416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474433 */     // GIR_Coverage, 58400,
     /* 2474433 */     GIR_EraseRootFromParent_Done,
     /* 2474434 */   // Label 32264: @2474434
     /* 2474434 */   GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2474477), // Rule ID 58401 //
     /* 2474439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474442 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2474445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2474459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474476 */     // GIR_Coverage, 58401,
     /* 2474476 */     GIR_EraseRootFromParent_Done,
     /* 2474477 */   // Label 32265: @2474477
     /* 2474477 */   GIM_Reject,
     /* 2474478 */ // Label 32263: @2474478
     /* 2474478 */ GIM_Reject,
     /* 2474479 */ // Label 32226: @2474479
     /* 2474479 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2474582),
     /* 2474484 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2474487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474495 */   GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2474538), // Rule ID 58406 //
     /* 2474500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474503 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2474506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474537 */     // GIR_Coverage, 58406,
     /* 2474537 */     GIR_EraseRootFromParent_Done,
     /* 2474538 */   // Label 32267: @2474538
     /* 2474538 */   GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2474581), // Rule ID 58407 //
     /* 2474543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474546 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474546 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2474549 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474553 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474565 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474580 */     // GIR_Coverage, 58407,
     /* 2474580 */     GIR_EraseRootFromParent_Done,
     /* 2474581 */   // Label 32268: @2474581
     /* 2474581 */   GIM_Reject,
     /* 2474582 */ // Label 32266: @2474582
     /* 2474582 */ GIM_Reject,
     /* 2474583 */ // Label 32227: @2474583
     /* 2474583 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2474686),
     /* 2474588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2474591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474595 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474599 */   GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2474642), // Rule ID 58414 //
     /* 2474604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474607 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2474610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2474637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474641 */     // GIR_Coverage, 58414,
     /* 2474641 */     GIR_EraseRootFromParent_Done,
     /* 2474642 */   // Label 32270: @2474642
     /* 2474642 */   GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2474685), // Rule ID 58415 //
     /* 2474647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474650 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2474653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2474680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474684 */     // GIR_Coverage, 58415,
     /* 2474684 */     GIR_EraseRootFromParent_Done,
     /* 2474685 */   // Label 32271: @2474685
     /* 2474685 */   GIM_Reject,
     /* 2474686 */ // Label 32269: @2474686
     /* 2474686 */ GIM_Reject,
     /* 2474687 */ // Label 32228: @2474687
     /* 2474687 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2474790),
     /* 2474692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2474695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2474699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2474703 */   GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2474746), // Rule ID 58436 //
     /* 2474708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2474711 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2474714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2474728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2474741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474745 */     // GIR_Coverage, 58436,
     /* 2474745 */     GIR_EraseRootFromParent_Done,
     /* 2474746 */   // Label 32273: @2474746
     /* 2474746 */   GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2474789), // Rule ID 58437 //
     /* 2474751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2474754 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2474757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2474771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2474784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474788 */     // GIR_Coverage, 58437,
     /* 2474788 */     GIR_EraseRootFromParent_Done,
     /* 2474789 */   // Label 32274: @2474789
     /* 2474789 */   GIM_Reject,
     /* 2474790 */ // Label 32272: @2474790
     /* 2474790 */ GIM_Reject,
     /* 2474791 */ // Label 32229: @2474791
     /* 2474791 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2474894),
     /* 2474796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2474799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474807 */   GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2474850), // Rule ID 58402 //
     /* 2474812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474815 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2474818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474849 */     // GIR_Coverage, 58402,
     /* 2474849 */     GIR_EraseRootFromParent_Done,
     /* 2474850 */   // Label 32276: @2474850
     /* 2474850 */   GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2474893), // Rule ID 58403 //
     /* 2474855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474858 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2474861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2474875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474892 */     // GIR_Coverage, 58403,
     /* 2474892 */     GIR_EraseRootFromParent_Done,
     /* 2474893 */   // Label 32277: @2474893
     /* 2474893 */   GIM_Reject,
     /* 2474894 */ // Label 32275: @2474894
     /* 2474894 */ GIM_Reject,
     /* 2474895 */ // Label 32230: @2474895
     /* 2474895 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2474998),
     /* 2474900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2474903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2474911 */   GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2474954), // Rule ID 58412 //
     /* 2474916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2474919 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2474919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2474922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474953 */     // GIR_Coverage, 58412,
     /* 2474953 */     GIR_EraseRootFromParent_Done,
     /* 2474954 */   // Label 32279: @2474954
     /* 2474954 */   GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2474997), // Rule ID 58413 //
     /* 2474959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2474962 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2474962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2474965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2474969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2474974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2474976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2474979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2474981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2474984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2474986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2474989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2474992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2474995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2474996 */     // GIR_Coverage, 58413,
     /* 2474996 */     GIR_EraseRootFromParent_Done,
     /* 2474997 */   // Label 32280: @2474997
     /* 2474997 */   GIM_Reject,
     /* 2474998 */ // Label 32278: @2474998
     /* 2474998 */ GIM_Reject,
     /* 2474999 */ // Label 32231: @2474999
     /* 2474999 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2475102),
     /* 2475004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2475007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475015 */   GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2475058), // Rule ID 58430 //
     /* 2475020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475023 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2475026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475057 */     // GIR_Coverage, 58430,
     /* 2475057 */     GIR_EraseRootFromParent_Done,
     /* 2475058 */   // Label 32282: @2475058
     /* 2475058 */   GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2475101), // Rule ID 58431 //
     /* 2475063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475066 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2475069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475100 */     // GIR_Coverage, 58431,
     /* 2475100 */     GIR_EraseRootFromParent_Done,
     /* 2475101 */   // Label 32283: @2475101
     /* 2475101 */   GIM_Reject,
     /* 2475102 */ // Label 32281: @2475102
     /* 2475102 */ GIM_Reject,
     /* 2475103 */ // Label 32232: @2475103
     /* 2475103 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2475206),
     /* 2475108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2475111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475119 */   GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2475162), // Rule ID 58438 //
     /* 2475124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2475127 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2475130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2475157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475161 */     // GIR_Coverage, 58438,
     /* 2475161 */     GIR_EraseRootFromParent_Done,
     /* 2475162 */   // Label 32285: @2475162
     /* 2475162 */   GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2475205), // Rule ID 58439 //
     /* 2475167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2475170 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2475173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2475200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475204 */     // GIR_Coverage, 58439,
     /* 2475204 */     GIR_EraseRootFromParent_Done,
     /* 2475205 */   // Label 32286: @2475205
     /* 2475205 */   GIM_Reject,
     /* 2475206 */ // Label 32284: @2475206
     /* 2475206 */ GIM_Reject,
     /* 2475207 */ // Label 32233: @2475207
     /* 2475207 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2475310),
     /* 2475212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2475215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2475219 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2475223 */   GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2475266), // Rule ID 58410 //
     /* 2475228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475231 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2475234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2475248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475265 */     // GIR_Coverage, 58410,
     /* 2475265 */     GIR_EraseRootFromParent_Done,
     /* 2475266 */   // Label 32288: @2475266
     /* 2475266 */   GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2475309), // Rule ID 58411 //
     /* 2475271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475274 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2475277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2475291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475308 */     // GIR_Coverage, 58411,
     /* 2475308 */     GIR_EraseRootFromParent_Done,
     /* 2475309 */   // Label 32289: @2475309
     /* 2475309 */   GIM_Reject,
     /* 2475310 */ // Label 32287: @2475310
     /* 2475310 */ GIM_Reject,
     /* 2475311 */ // Label 32234: @2475311
     /* 2475311 */ GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2475414),
     /* 2475316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2475319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475323 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475327 */   GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2475370), // Rule ID 58424 //
     /* 2475332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475335 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2475338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2475365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475369 */     // GIR_Coverage, 58424,
     /* 2475369 */     GIR_EraseRootFromParent_Done,
     /* 2475370 */   // Label 32291: @2475370
     /* 2475370 */   GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2475413), // Rule ID 58425 //
     /* 2475375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475378 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2475381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2475408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475412 */     // GIR_Coverage, 58425,
     /* 2475412 */     GIR_EraseRootFromParent_Done,
     /* 2475413 */   // Label 32292: @2475413
     /* 2475413 */   GIM_Reject,
     /* 2475414 */ // Label 32290: @2475414
     /* 2475414 */ GIM_Reject,
     /* 2475415 */ // Label 32235: @2475415
     /* 2475415 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2475518),
     /* 2475420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2475423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475431 */   GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2475474), // Rule ID 58432 //
     /* 2475436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475439 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2475442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475473 */     // GIR_Coverage, 58432,
     /* 2475473 */     GIR_EraseRootFromParent_Done,
     /* 2475474 */   // Label 32294: @2475474
     /* 2475474 */   GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2475517), // Rule ID 58433 //
     /* 2475479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475482 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475482 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2475485 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475489 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475494 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475501 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475516 */     // GIR_Coverage, 58433,
     /* 2475516 */     GIR_EraseRootFromParent_Done,
     /* 2475517 */   // Label 32295: @2475517
     /* 2475517 */   GIM_Reject,
     /* 2475518 */ // Label 32293: @2475518
     /* 2475518 */ GIM_Reject,
     /* 2475519 */ // Label 32236: @2475519
     /* 2475519 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2475622),
     /* 2475524 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2475527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2475531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2475535 */   GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2475578), // Rule ID 58440 //
     /* 2475540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2475543 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2475546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2475560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2475573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475577 */     // GIR_Coverage, 58440,
     /* 2475577 */     GIR_EraseRootFromParent_Done,
     /* 2475578 */   // Label 32297: @2475578
     /* 2475578 */   GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2475621), // Rule ID 58441 //
     /* 2475583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2475586 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2475589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2475603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475608 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2475616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475620 */     // GIR_Coverage, 58441,
     /* 2475620 */     GIR_EraseRootFromParent_Done,
     /* 2475621 */   // Label 32298: @2475621
     /* 2475621 */   GIM_Reject,
     /* 2475622 */ // Label 32296: @2475622
     /* 2475622 */ GIM_Reject,
     /* 2475623 */ // Label 32237: @2475623
     /* 2475623 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2475726),
     /* 2475628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2475631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2475639 */   GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2475682), // Rule ID 58418 //
     /* 2475644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475647 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2475650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475681 */     // GIR_Coverage, 58418,
     /* 2475681 */     GIR_EraseRootFromParent_Done,
     /* 2475682 */   // Label 32300: @2475682
     /* 2475682 */   GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2475725), // Rule ID 58419 //
     /* 2475687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475690 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2475693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2475707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475724 */     // GIR_Coverage, 58419,
     /* 2475724 */     GIR_EraseRootFromParent_Done,
     /* 2475725 */   // Label 32301: @2475725
     /* 2475725 */   GIM_Reject,
     /* 2475726 */ // Label 32299: @2475726
     /* 2475726 */ GIM_Reject,
     /* 2475727 */ // Label 32238: @2475727
     /* 2475727 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2475830),
     /* 2475732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2475735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475743 */   GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2475786), // Rule ID 58426 //
     /* 2475748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475751 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2475754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2475781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475785 */     // GIR_Coverage, 58426,
     /* 2475785 */     GIR_EraseRootFromParent_Done,
     /* 2475786 */   // Label 32303: @2475786
     /* 2475786 */   GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2475829), // Rule ID 58427 //
     /* 2475791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475794 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2475797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2475824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475828 */     // GIR_Coverage, 58427,
     /* 2475828 */     GIR_EraseRootFromParent_Done,
     /* 2475829 */   // Label 32304: @2475829
     /* 2475829 */   GIM_Reject,
     /* 2475830 */ // Label 32302: @2475830
     /* 2475830 */ GIM_Reject,
     /* 2475831 */ // Label 32239: @2475831
     /* 2475831 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2475934),
     /* 2475836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2475839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2475843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2475847 */   GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2475890), // Rule ID 58434 //
     /* 2475852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475855 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2475858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2475872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475889 */     // GIR_Coverage, 58434,
     /* 2475889 */     GIR_EraseRootFromParent_Done,
     /* 2475890 */   // Label 32306: @2475890
     /* 2475890 */   GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2475933), // Rule ID 58435 //
     /* 2475895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2475898 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2475898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2475901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2475915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2475928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475932 */     // GIR_Coverage, 58435,
     /* 2475932 */     GIR_EraseRootFromParent_Done,
     /* 2475933 */   // Label 32307: @2475933
     /* 2475933 */   GIM_Reject,
     /* 2475934 */ // Label 32305: @2475934
     /* 2475934 */ GIM_Reject,
     /* 2475935 */ // Label 32240: @2475935
     /* 2475935 */ GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2476038),
     /* 2475940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2475943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2475951 */   GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2475994), // Rule ID 58420 //
     /* 2475956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2475959 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2475959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2475962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2475966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2475971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2475973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2475976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2475978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2475981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2475983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2475986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2475992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2475993 */     // GIR_Coverage, 58420,
     /* 2475993 */     GIR_EraseRootFromParent_Done,
     /* 2475994 */   // Label 32309: @2475994
     /* 2475994 */   GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2476037), // Rule ID 58421 //
     /* 2475999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2476002 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2476005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2476019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476036 */     // GIR_Coverage, 58421,
     /* 2476036 */     GIR_EraseRootFromParent_Done,
     /* 2476037 */   // Label 32310: @2476037
     /* 2476037 */   GIM_Reject,
     /* 2476038 */ // Label 32308: @2476038
     /* 2476038 */ GIM_Reject,
     /* 2476039 */ // Label 32241: @2476039
     /* 2476039 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2476142),
     /* 2476044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2476047 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2476051 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2476055 */   GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2476098), // Rule ID 58428 //
     /* 2476060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2476063 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2476066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2476080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2476093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476097 */     // GIR_Coverage, 58428,
     /* 2476097 */     GIR_EraseRootFromParent_Done,
     /* 2476098 */   // Label 32312: @2476098
     /* 2476098 */   GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2476141), // Rule ID 58429 //
     /* 2476103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2476106 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2476109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2476123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2476136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476140 */     // GIR_Coverage, 58429,
     /* 2476140 */     GIR_EraseRootFromParent_Done,
     /* 2476141 */   // Label 32313: @2476141
     /* 2476141 */   GIM_Reject,
     /* 2476142 */ // Label 32311: @2476142
     /* 2476142 */ GIM_Reject,
     /* 2476143 */ // Label 32242: @2476143
     /* 2476143 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2476246),
     /* 2476148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2476151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2476155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2476159 */   GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2476202), // Rule ID 58422 //
     /* 2476164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2476167 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2476170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2476184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476201 */     // GIR_Coverage, 58422,
     /* 2476201 */     GIR_EraseRootFromParent_Done,
     /* 2476202 */   // Label 32315: @2476202
     /* 2476202 */   GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2476245), // Rule ID 58423 //
     /* 2476207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2476210 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2476213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2476227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476244 */     // GIR_Coverage, 58423,
     /* 2476244 */     GIR_EraseRootFromParent_Done,
     /* 2476245 */   // Label 32316: @2476245
     /* 2476245 */   GIM_Reject,
     /* 2476246 */ // Label 32314: @2476246
     /* 2476246 */ GIM_Reject,
     /* 2476247 */ // Label 32243: @2476247
     /* 2476247 */ GIM_Reject,
     /* 2476248 */ // Label 88: @2476248
     /* 2476248 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 32341*/ GIMT_Encode4(2478741),
     /* 2476259 */ /*GILLT_s32*//*Label 32317*/ GIMT_Encode4(2476383),
     /* 2476263 */ /*GILLT_s64*//*Label 32318*/ GIMT_Encode4(2476418), GIMT_Encode4(0),
     /* 2476271 */ /*GILLT_nxv1s8*//*Label 32319*/ GIMT_Encode4(2476453),
     /* 2476275 */ /*GILLT_nxv1s16*//*Label 32320*/ GIMT_Encode4(2476557),
     /* 2476279 */ /*GILLT_nxv1s32*//*Label 32321*/ GIMT_Encode4(2476661),
     /* 2476283 */ /*GILLT_nxv1s64*//*Label 32322*/ GIMT_Encode4(2476765), GIMT_Encode4(0),
     /* 2476291 */ /*GILLT_nxv2s8*//*Label 32323*/ GIMT_Encode4(2476869),
     /* 2476295 */ /*GILLT_nxv2s16*//*Label 32324*/ GIMT_Encode4(2476973),
     /* 2476299 */ /*GILLT_nxv2s32*//*Label 32325*/ GIMT_Encode4(2477077),
     /* 2476303 */ /*GILLT_nxv2s64*//*Label 32326*/ GIMT_Encode4(2477181), GIMT_Encode4(0),
     /* 2476311 */ /*GILLT_nxv4s8*//*Label 32327*/ GIMT_Encode4(2477285),
     /* 2476315 */ /*GILLT_nxv4s16*//*Label 32328*/ GIMT_Encode4(2477389),
     /* 2476319 */ /*GILLT_nxv4s32*//*Label 32329*/ GIMT_Encode4(2477493),
     /* 2476323 */ /*GILLT_nxv4s64*//*Label 32330*/ GIMT_Encode4(2477597), GIMT_Encode4(0),
     /* 2476331 */ /*GILLT_nxv8s8*//*Label 32331*/ GIMT_Encode4(2477701),
     /* 2476335 */ /*GILLT_nxv8s16*//*Label 32332*/ GIMT_Encode4(2477805),
     /* 2476339 */ /*GILLT_nxv8s32*//*Label 32333*/ GIMT_Encode4(2477909),
     /* 2476343 */ /*GILLT_nxv8s64*//*Label 32334*/ GIMT_Encode4(2478013), GIMT_Encode4(0),
     /* 2476351 */ /*GILLT_nxv16s8*//*Label 32335*/ GIMT_Encode4(2478117),
     /* 2476355 */ /*GILLT_nxv16s16*//*Label 32336*/ GIMT_Encode4(2478221),
     /* 2476359 */ /*GILLT_nxv16s32*//*Label 32337*/ GIMT_Encode4(2478325), GIMT_Encode4(0),
     /* 2476367 */ /*GILLT_nxv32s8*//*Label 32338*/ GIMT_Encode4(2478429),
     /* 2476371 */ /*GILLT_nxv32s16*//*Label 32339*/ GIMT_Encode4(2478533), GIMT_Encode4(0),
     /* 2476379 */ /*GILLT_nxv64s8*//*Label 32340*/ GIMT_Encode4(2478637),
     /* 2476383 */ // Label 32317: @2476383
     /* 2476383 */ GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2476417), // Rule ID 63790 //
     /* 2476388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2476391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2476394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2476398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2476402 */   // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2476402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2476405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2476409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2476412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2476415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2476416 */   // GIR_Coverage, 63790,
     /* 2476416 */   GIR_EraseRootFromParent_Done,
     /* 2476417 */ // Label 32342: @2476417
     /* 2476417 */ GIM_Reject,
     /* 2476418 */ // Label 32318: @2476418
     /* 2476418 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2476452), // Rule ID 63789 //
     /* 2476423 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2476426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2476429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2476433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2476437 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2476437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2476440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476442 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2476444 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2476447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2476450 */   GIR_RootConstrainSelectedInstOperands,
     /* 2476451 */   // GIR_Coverage, 63789,
     /* 2476451 */   GIR_EraseRootFromParent_Done,
     /* 2476452 */ // Label 32343: @2476452
     /* 2476452 */ GIM_Reject,
     /* 2476453 */ // Label 32319: @2476453
     /* 2476453 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2476556),
     /* 2476458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2476461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476469 */   GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2476512), // Rule ID 58222 //
     /* 2476474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2476477 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2476480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2476494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476511 */     // GIR_Coverage, 58222,
     /* 2476511 */     GIR_EraseRootFromParent_Done,
     /* 2476512 */   // Label 32345: @2476512
     /* 2476512 */   GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2476555), // Rule ID 58223 //
     /* 2476517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2476520 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2476523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2476537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476554 */     // GIR_Coverage, 58223,
     /* 2476554 */     GIR_EraseRootFromParent_Done,
     /* 2476555 */   // Label 32346: @2476555
     /* 2476555 */   GIM_Reject,
     /* 2476556 */ // Label 32344: @2476556
     /* 2476556 */ GIM_Reject,
     /* 2476557 */ // Label 32320: @2476557
     /* 2476557 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2476660),
     /* 2476562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2476565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476569 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476573 */   GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2476616), // Rule ID 58360 //
     /* 2476578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2476581 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476581 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2476584 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476588 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476593 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2476598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476600 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2476611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476615 */     // GIR_Coverage, 58360,
     /* 2476615 */     GIR_EraseRootFromParent_Done,
     /* 2476616 */   // Label 32348: @2476616
     /* 2476616 */   GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2476659), // Rule ID 58361 //
     /* 2476621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2476624 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2476627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2476641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2476654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476658 */     // GIR_Coverage, 58361,
     /* 2476658 */     GIR_EraseRootFromParent_Done,
     /* 2476659 */   // Label 32349: @2476659
     /* 2476659 */   GIM_Reject,
     /* 2476660 */ // Label 32347: @2476660
     /* 2476660 */ GIM_Reject,
     /* 2476661 */ // Label 32321: @2476661
     /* 2476661 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2476764),
     /* 2476666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2476669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476677 */   GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2476720), // Rule ID 58364 //
     /* 2476682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2476685 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2476688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2476702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2476715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476719 */     // GIR_Coverage, 58364,
     /* 2476719 */     GIR_EraseRootFromParent_Done,
     /* 2476720 */   // Label 32351: @2476720
     /* 2476720 */   GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2476763), // Rule ID 58365 //
     /* 2476725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2476728 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2476731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2476745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2476758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476762 */     // GIR_Coverage, 58365,
     /* 2476762 */     GIR_EraseRootFromParent_Done,
     /* 2476763 */   // Label 32352: @2476763
     /* 2476763 */   GIM_Reject,
     /* 2476764 */ // Label 32350: @2476764
     /* 2476764 */ GIM_Reject,
     /* 2476765 */ // Label 32322: @2476765
     /* 2476765 */ GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2476868),
     /* 2476770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2476773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476781 */   GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2476824), // Rule ID 58372 //
     /* 2476786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2476789 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2476792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2476806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2476819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476823 */     // GIR_Coverage, 58372,
     /* 2476823 */     GIR_EraseRootFromParent_Done,
     /* 2476824 */   // Label 32354: @2476824
     /* 2476824 */   GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2476867), // Rule ID 58373 //
     /* 2476829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2476832 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2476835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2476849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2476862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476866 */     // GIR_Coverage, 58373,
     /* 2476866 */     GIR_EraseRootFromParent_Done,
     /* 2476867 */   // Label 32355: @2476867
     /* 2476867 */   GIM_Reject,
     /* 2476868 */ // Label 32353: @2476868
     /* 2476868 */ GIM_Reject,
     /* 2476869 */ // Label 32323: @2476869
     /* 2476869 */ GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2476972),
     /* 2476874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2476877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476885 */   GIM_Try, /*On fail goto*//*Label 32357*/ GIMT_Encode4(2476928), // Rule ID 58356 //
     /* 2476890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2476893 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2476896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2476910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476927 */     // GIR_Coverage, 58356,
     /* 2476927 */     GIR_EraseRootFromParent_Done,
     /* 2476928 */   // Label 32357: @2476928
     /* 2476928 */   GIM_Try, /*On fail goto*//*Label 32358*/ GIMT_Encode4(2476971), // Rule ID 58357 //
     /* 2476933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2476936 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2476936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2476939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2476943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2476948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2476950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2476953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2476955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2476958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2476960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2476963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2476969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2476970 */     // GIR_Coverage, 58357,
     /* 2476970 */     GIR_EraseRootFromParent_Done,
     /* 2476971 */   // Label 32358: @2476971
     /* 2476971 */   GIM_Reject,
     /* 2476972 */ // Label 32356: @2476972
     /* 2476972 */ GIM_Reject,
     /* 2476973 */ // Label 32324: @2476973
     /* 2476973 */ GIM_Try, /*On fail goto*//*Label 32359*/ GIMT_Encode4(2477076),
     /* 2476978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2476981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2476989 */   GIM_Try, /*On fail goto*//*Label 32360*/ GIMT_Encode4(2477032), // Rule ID 58362 //
     /* 2476994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2476997 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2476997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2477000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2477014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477031 */     // GIR_Coverage, 58362,
     /* 2477031 */     GIR_EraseRootFromParent_Done,
     /* 2477032 */   // Label 32360: @2477032
     /* 2477032 */   GIM_Try, /*On fail goto*//*Label 32361*/ GIMT_Encode4(2477075), // Rule ID 58363 //
     /* 2477037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477040 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2477043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2477057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477074 */     // GIR_Coverage, 58363,
     /* 2477074 */     GIR_EraseRootFromParent_Done,
     /* 2477075 */   // Label 32361: @2477075
     /* 2477075 */   GIM_Reject,
     /* 2477076 */ // Label 32359: @2477076
     /* 2477076 */ GIM_Reject,
     /* 2477077 */ // Label 32325: @2477077
     /* 2477077 */ GIM_Try, /*On fail goto*//*Label 32362*/ GIMT_Encode4(2477180),
     /* 2477082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2477085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477093 */   GIM_Try, /*On fail goto*//*Label 32363*/ GIMT_Encode4(2477136), // Rule ID 58370 //
     /* 2477098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477101 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2477104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2477131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477135 */     // GIR_Coverage, 58370,
     /* 2477135 */     GIR_EraseRootFromParent_Done,
     /* 2477136 */   // Label 32363: @2477136
     /* 2477136 */   GIM_Try, /*On fail goto*//*Label 32364*/ GIMT_Encode4(2477179), // Rule ID 58371 //
     /* 2477141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477144 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2477147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2477174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477178 */     // GIR_Coverage, 58371,
     /* 2477178 */     GIR_EraseRootFromParent_Done,
     /* 2477179 */   // Label 32364: @2477179
     /* 2477179 */   GIM_Reject,
     /* 2477180 */ // Label 32362: @2477180
     /* 2477180 */ GIM_Reject,
     /* 2477181 */ // Label 32326: @2477181
     /* 2477181 */ GIM_Try, /*On fail goto*//*Label 32365*/ GIMT_Encode4(2477284),
     /* 2477186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2477189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477197 */   GIM_Try, /*On fail goto*//*Label 32366*/ GIMT_Encode4(2477240), // Rule ID 58392 //
     /* 2477202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2477205 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2477208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2477235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477239 */     // GIR_Coverage, 58392,
     /* 2477239 */     GIR_EraseRootFromParent_Done,
     /* 2477240 */   // Label 32366: @2477240
     /* 2477240 */   GIM_Try, /*On fail goto*//*Label 32367*/ GIMT_Encode4(2477283), // Rule ID 58393 //
     /* 2477245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2477248 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2477251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2477278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477282 */     // GIR_Coverage, 58393,
     /* 2477282 */     GIR_EraseRootFromParent_Done,
     /* 2477283 */   // Label 32367: @2477283
     /* 2477283 */   GIM_Reject,
     /* 2477284 */ // Label 32365: @2477284
     /* 2477284 */ GIM_Reject,
     /* 2477285 */ // Label 32327: @2477285
     /* 2477285 */ GIM_Try, /*On fail goto*//*Label 32368*/ GIMT_Encode4(2477388),
     /* 2477290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2477293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477297 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477301 */   GIM_Try, /*On fail goto*//*Label 32369*/ GIMT_Encode4(2477344), // Rule ID 58358 //
     /* 2477306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477309 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2477312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2477326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477343 */     // GIR_Coverage, 58358,
     /* 2477343 */     GIR_EraseRootFromParent_Done,
     /* 2477344 */   // Label 32369: @2477344
     /* 2477344 */   GIM_Try, /*On fail goto*//*Label 32370*/ GIMT_Encode4(2477387), // Rule ID 58359 //
     /* 2477349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477352 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2477355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2477369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477386 */     // GIR_Coverage, 58359,
     /* 2477386 */     GIR_EraseRootFromParent_Done,
     /* 2477387 */   // Label 32370: @2477387
     /* 2477387 */   GIM_Reject,
     /* 2477388 */ // Label 32368: @2477388
     /* 2477388 */ GIM_Reject,
     /* 2477389 */ // Label 32328: @2477389
     /* 2477389 */ GIM_Try, /*On fail goto*//*Label 32371*/ GIMT_Encode4(2477492),
     /* 2477394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2477397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477405 */   GIM_Try, /*On fail goto*//*Label 32372*/ GIMT_Encode4(2477448), // Rule ID 58368 //
     /* 2477410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477413 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2477416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477447 */     // GIR_Coverage, 58368,
     /* 2477447 */     GIR_EraseRootFromParent_Done,
     /* 2477448 */   // Label 32372: @2477448
     /* 2477448 */   GIM_Try, /*On fail goto*//*Label 32373*/ GIMT_Encode4(2477491), // Rule ID 58369 //
     /* 2477453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477456 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2477459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477490 */     // GIR_Coverage, 58369,
     /* 2477490 */     GIR_EraseRootFromParent_Done,
     /* 2477491 */   // Label 32373: @2477491
     /* 2477491 */   GIM_Reject,
     /* 2477492 */ // Label 32371: @2477492
     /* 2477492 */ GIM_Reject,
     /* 2477493 */ // Label 32329: @2477493
     /* 2477493 */ GIM_Try, /*On fail goto*//*Label 32374*/ GIMT_Encode4(2477596),
     /* 2477498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2477501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477509 */   GIM_Try, /*On fail goto*//*Label 32375*/ GIMT_Encode4(2477552), // Rule ID 58386 //
     /* 2477514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477517 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2477520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2477547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477551 */     // GIR_Coverage, 58386,
     /* 2477551 */     GIR_EraseRootFromParent_Done,
     /* 2477552 */   // Label 32375: @2477552
     /* 2477552 */   GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2477595), // Rule ID 58387 //
     /* 2477557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477560 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2477563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2477590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477594 */     // GIR_Coverage, 58387,
     /* 2477594 */     GIR_EraseRootFromParent_Done,
     /* 2477595 */   // Label 32376: @2477595
     /* 2477595 */   GIM_Reject,
     /* 2477596 */ // Label 32374: @2477596
     /* 2477596 */ GIM_Reject,
     /* 2477597 */ // Label 32330: @2477597
     /* 2477597 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2477700),
     /* 2477602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2477605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2477609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2477613 */   GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2477656), // Rule ID 58394 //
     /* 2477618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2477621 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2477624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2477638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2477651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477655 */     // GIR_Coverage, 58394,
     /* 2477655 */     GIR_EraseRootFromParent_Done,
     /* 2477656 */   // Label 32378: @2477656
     /* 2477656 */   GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2477699), // Rule ID 58395 //
     /* 2477661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2477664 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2477667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477676 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2477681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477683 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477686 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2477694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477698 */     // GIR_Coverage, 58395,
     /* 2477698 */     GIR_EraseRootFromParent_Done,
     /* 2477699 */   // Label 32379: @2477699
     /* 2477699 */   GIM_Reject,
     /* 2477700 */ // Label 32377: @2477700
     /* 2477700 */ GIM_Reject,
     /* 2477701 */ // Label 32331: @2477701
     /* 2477701 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2477804),
     /* 2477706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2477709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477713 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2477717 */   GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2477760), // Rule ID 58366 //
     /* 2477722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477725 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2477728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477759 */     // GIR_Coverage, 58366,
     /* 2477759 */     GIR_EraseRootFromParent_Done,
     /* 2477760 */   // Label 32381: @2477760
     /* 2477760 */   GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2477803), // Rule ID 58367 //
     /* 2477765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477768 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2477771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2477785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477802 */     // GIR_Coverage, 58367,
     /* 2477802 */     GIR_EraseRootFromParent_Done,
     /* 2477803 */   // Label 32382: @2477803
     /* 2477803 */   GIM_Reject,
     /* 2477804 */ // Label 32380: @2477804
     /* 2477804 */ GIM_Reject,
     /* 2477805 */ // Label 32332: @2477805
     /* 2477805 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2477908),
     /* 2477810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2477813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2477821 */   GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2477864), // Rule ID 58380 //
     /* 2477826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477829 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2477832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477863 */     // GIR_Coverage, 58380,
     /* 2477863 */     GIR_EraseRootFromParent_Done,
     /* 2477864 */   // Label 32384: @2477864
     /* 2477864 */   GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2477907), // Rule ID 58381 //
     /* 2477869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477872 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2477875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2477889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2477902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477906 */     // GIR_Coverage, 58381,
     /* 2477906 */     GIR_EraseRootFromParent_Done,
     /* 2477907 */   // Label 32385: @2477907
     /* 2477907 */   GIM_Reject,
     /* 2477908 */ // Label 32383: @2477908
     /* 2477908 */ GIM_Reject,
     /* 2477909 */ // Label 32333: @2477909
     /* 2477909 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2478012),
     /* 2477914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2477917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2477921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2477925 */   GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2477968), // Rule ID 58388 //
     /* 2477930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2477933 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2477933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2477936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2477950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2477957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2477960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2477963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2477966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2477967 */     // GIR_Coverage, 58388,
     /* 2477967 */     GIR_EraseRootFromParent_Done,
     /* 2477968 */   // Label 32387: @2477968
     /* 2477968 */   GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2478011), // Rule ID 58389 //
     /* 2477973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2477976 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2477976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2477979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2477983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2477988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2477990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2477993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2477995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2477998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2478006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478010 */     // GIR_Coverage, 58389,
     /* 2478010 */     GIR_EraseRootFromParent_Done,
     /* 2478011 */   // Label 32388: @2478011
     /* 2478011 */   GIM_Reject,
     /* 2478012 */ // Label 32386: @2478012
     /* 2478012 */ GIM_Reject,
     /* 2478013 */ // Label 32334: @2478013
     /* 2478013 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2478116),
     /* 2478018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2478021 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478025 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478029 */   GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2478072), // Rule ID 58396 //
     /* 2478034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2478037 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2478040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2478067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478071 */     // GIR_Coverage, 58396,
     /* 2478071 */     GIR_EraseRootFromParent_Done,
     /* 2478072 */   // Label 32390: @2478072
     /* 2478072 */   GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2478115), // Rule ID 58397 //
     /* 2478077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2478080 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2478083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2478110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478114 */     // GIR_Coverage, 58397,
     /* 2478114 */     GIR_EraseRootFromParent_Done,
     /* 2478115 */   // Label 32391: @2478115
     /* 2478115 */   GIM_Reject,
     /* 2478116 */ // Label 32389: @2478116
     /* 2478116 */ GIM_Reject,
     /* 2478117 */ // Label 32335: @2478117
     /* 2478117 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2478220),
     /* 2478122 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2478125 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2478129 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2478133 */   GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2478176), // Rule ID 58374 //
     /* 2478138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478141 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2478144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2478158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478175 */     // GIR_Coverage, 58374,
     /* 2478175 */     GIR_EraseRootFromParent_Done,
     /* 2478176 */   // Label 32393: @2478176
     /* 2478176 */   GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2478219), // Rule ID 58375 //
     /* 2478181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478184 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2478187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2478201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478218 */     // GIR_Coverage, 58375,
     /* 2478218 */     GIR_EraseRootFromParent_Done,
     /* 2478219 */   // Label 32394: @2478219
     /* 2478219 */   GIM_Reject,
     /* 2478220 */ // Label 32392: @2478220
     /* 2478220 */ GIM_Reject,
     /* 2478221 */ // Label 32336: @2478221
     /* 2478221 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2478324),
     /* 2478226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2478229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2478233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2478237 */   GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2478280), // Rule ID 58382 //
     /* 2478242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478245 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478245 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2478248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478252 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478257 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2478262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478264 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2478275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478279 */     // GIR_Coverage, 58382,
     /* 2478279 */     GIR_EraseRootFromParent_Done,
     /* 2478280 */   // Label 32396: @2478280
     /* 2478280 */   GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2478323), // Rule ID 58383 //
     /* 2478285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478288 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2478291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2478305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2478318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478322 */     // GIR_Coverage, 58383,
     /* 2478322 */     GIR_EraseRootFromParent_Done,
     /* 2478323 */   // Label 32397: @2478323
     /* 2478323 */   GIM_Reject,
     /* 2478324 */ // Label 32395: @2478324
     /* 2478324 */ GIM_Reject,
     /* 2478325 */ // Label 32337: @2478325
     /* 2478325 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2478428),
     /* 2478330 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2478333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478341 */   GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2478384), // Rule ID 58390 //
     /* 2478346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478349 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2478352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2478379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478383 */     // GIR_Coverage, 58390,
     /* 2478383 */     GIR_EraseRootFromParent_Done,
     /* 2478384 */   // Label 32399: @2478384
     /* 2478384 */   GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2478427), // Rule ID 58391 //
     /* 2478389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478392 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2478395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2478422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478426 */     // GIR_Coverage, 58391,
     /* 2478426 */     GIR_EraseRootFromParent_Done,
     /* 2478427 */   // Label 32400: @2478427
     /* 2478427 */   GIM_Reject,
     /* 2478428 */ // Label 32398: @2478428
     /* 2478428 */ GIM_Reject,
     /* 2478429 */ // Label 32338: @2478429
     /* 2478429 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2478532),
     /* 2478434 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2478437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2478441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2478445 */   GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2478488), // Rule ID 58376 //
     /* 2478450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478453 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2478456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2478470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478487 */     // GIR_Coverage, 58376,
     /* 2478487 */     GIR_EraseRootFromParent_Done,
     /* 2478488 */   // Label 32402: @2478488
     /* 2478488 */   GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2478531), // Rule ID 58377 //
     /* 2478493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478496 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2478499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2478513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478530 */     // GIR_Coverage, 58377,
     /* 2478530 */     GIR_EraseRootFromParent_Done,
     /* 2478531 */   // Label 32403: @2478531
     /* 2478531 */   GIM_Reject,
     /* 2478532 */ // Label 32401: @2478532
     /* 2478532 */ GIM_Reject,
     /* 2478533 */ // Label 32339: @2478533
     /* 2478533 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2478636),
     /* 2478538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2478541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478549 */   GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2478592), // Rule ID 58384 //
     /* 2478554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478557 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2478560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2478587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478591 */     // GIR_Coverage, 58384,
     /* 2478591 */     GIR_EraseRootFromParent_Done,
     /* 2478592 */   // Label 32405: @2478592
     /* 2478592 */   GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2478635), // Rule ID 58385 //
     /* 2478597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478600 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2478603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2478630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478634 */     // GIR_Coverage, 58385,
     /* 2478634 */     GIR_EraseRootFromParent_Done,
     /* 2478635 */   // Label 32406: @2478635
     /* 2478635 */   GIM_Reject,
     /* 2478636 */ // Label 32404: @2478636
     /* 2478636 */ GIM_Reject,
     /* 2478637 */ // Label 32340: @2478637
     /* 2478637 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2478740),
     /* 2478642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2478645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2478653 */   GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2478696), // Rule ID 58378 //
     /* 2478658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2478661 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2478661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2478664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478695 */     // GIR_Coverage, 58378,
     /* 2478695 */     GIR_EraseRootFromParent_Done,
     /* 2478696 */   // Label 32408: @2478696
     /* 2478696 */   GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2478739), // Rule ID 58379 //
     /* 2478701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2478704 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2478704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2478707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2478711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2478716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2478718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2478721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2478726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2478731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478738 */     // GIR_Coverage, 58379,
     /* 2478738 */     GIR_EraseRootFromParent_Done,
     /* 2478739 */   // Label 32409: @2478739
     /* 2478739 */   GIM_Reject,
     /* 2478740 */ // Label 32407: @2478740
     /* 2478740 */ GIM_Reject,
     /* 2478741 */ // Label 32341: @2478741
     /* 2478741 */ GIM_Reject,
     /* 2478742 */ // Label 89: @2478742
     /* 2478742 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32413*/ GIMT_Encode4(2478939),
     /* 2478753 */ /*GILLT_s16*//*Label 32410*/ GIMT_Encode4(2478765),
     /* 2478757 */ /*GILLT_s32*//*Label 32411*/ GIMT_Encode4(2478823),
     /* 2478761 */ /*GILLT_s64*//*Label 32412*/ GIMT_Encode4(2478881),
     /* 2478765 */ // Label 32410: @2478765
     /* 2478765 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2478822),
     /* 2478770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2478773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2478777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2478781 */   GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2478801), // Rule ID 2290 //
     /* 2478786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2478789 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2478789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2478792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478800 */     // GIR_Coverage, 2290,
     /* 2478800 */     GIR_EraseRootFromParent_Done,
     /* 2478801 */   // Label 32415: @2478801
     /* 2478801 */   GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2478821), // Rule ID 2291 //
     /* 2478806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2478809 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2478809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2478812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478820 */     // GIR_Coverage, 2291,
     /* 2478820 */     GIR_EraseRootFromParent_Done,
     /* 2478821 */   // Label 32416: @2478821
     /* 2478821 */   GIM_Reject,
     /* 2478822 */ // Label 32414: @2478822
     /* 2478822 */ GIM_Reject,
     /* 2478823 */ // Label 32411: @2478823
     /* 2478823 */ GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2478880),
     /* 2478828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2478831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2478835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2478839 */   GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2478859), // Rule ID 2208 //
     /* 2478844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2478847 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2478847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2478850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478858 */     // GIR_Coverage, 2208,
     /* 2478858 */     GIR_EraseRootFromParent_Done,
     /* 2478859 */   // Label 32418: @2478859
     /* 2478859 */   GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2478879), // Rule ID 2209 //
     /* 2478864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2478867 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2478867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2478870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478878 */     // GIR_Coverage, 2209,
     /* 2478878 */     GIR_EraseRootFromParent_Done,
     /* 2478879 */   // Label 32419: @2478879
     /* 2478879 */   GIM_Reject,
     /* 2478880 */ // Label 32417: @2478880
     /* 2478880 */ GIM_Reject,
     /* 2478881 */ // Label 32412: @2478881
     /* 2478881 */ GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2478938),
     /* 2478886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2478889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2478893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2478897 */   GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2478917), // Rule ID 2248 //
     /* 2478902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2478905 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2478905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2478908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478916 */     // GIR_Coverage, 2248,
     /* 2478916 */     GIR_EraseRootFromParent_Done,
     /* 2478917 */   // Label 32421: @2478917
     /* 2478917 */   GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2478937), // Rule ID 2249 //
     /* 2478922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2478925 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2478925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2478928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2478930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2478932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2478935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2478936 */     // GIR_Coverage, 2249,
     /* 2478936 */     GIR_EraseRootFromParent_Done,
     /* 2478937 */   // Label 32422: @2478937
     /* 2478937 */   GIM_Reject,
     /* 2478938 */ // Label 32420: @2478938
     /* 2478938 */ GIM_Reject,
     /* 2478939 */ // Label 32413: @2478939
     /* 2478939 */ GIM_Reject,
     /* 2478940 */ // Label 90: @2478940
     /* 2478940 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32441*/ GIMT_Encode4(2481115),
     /* 2478951 */ /*GILLT_s16*//*Label 32423*/ GIMT_Encode4(2479071),
     /* 2478955 */ /*GILLT_s32*//*Label 32424*/ GIMT_Encode4(2479193),
     /* 2478959 */ /*GILLT_s64*//*Label 32425*/ GIMT_Encode4(2479315), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2478971 */ /*GILLT_nxv1s16*//*Label 32426*/ GIMT_Encode4(2479465),
     /* 2478975 */ /*GILLT_nxv1s32*//*Label 32427*/ GIMT_Encode4(2479575),
     /* 2478979 */ /*GILLT_nxv1s64*//*Label 32428*/ GIMT_Encode4(2479685), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2478991 */ /*GILLT_nxv2s16*//*Label 32429*/ GIMT_Encode4(2479795),
     /* 2478995 */ /*GILLT_nxv2s32*//*Label 32430*/ GIMT_Encode4(2479905),
     /* 2478999 */ /*GILLT_nxv2s64*//*Label 32431*/ GIMT_Encode4(2480015), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2479011 */ /*GILLT_nxv4s16*//*Label 32432*/ GIMT_Encode4(2480125),
     /* 2479015 */ /*GILLT_nxv4s32*//*Label 32433*/ GIMT_Encode4(2480235),
     /* 2479019 */ /*GILLT_nxv4s64*//*Label 32434*/ GIMT_Encode4(2480345), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2479031 */ /*GILLT_nxv8s16*//*Label 32435*/ GIMT_Encode4(2480455),
     /* 2479035 */ /*GILLT_nxv8s32*//*Label 32436*/ GIMT_Encode4(2480565),
     /* 2479039 */ /*GILLT_nxv8s64*//*Label 32437*/ GIMT_Encode4(2480675), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2479051 */ /*GILLT_nxv16s16*//*Label 32438*/ GIMT_Encode4(2480785),
     /* 2479055 */ /*GILLT_nxv16s32*//*Label 32439*/ GIMT_Encode4(2480895), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2479067 */ /*GILLT_nxv32s16*//*Label 32440*/ GIMT_Encode4(2481005),
     /* 2479071 */ // Label 32423: @2479071
     /* 2479071 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2479192),
     /* 2479076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2479079 */   GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2479107), // Rule ID 1848 //
     /* 2479084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2479087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2479091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2479095 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2479095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2479098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479106 */     // GIR_Coverage, 1848,
     /* 2479106 */     GIR_EraseRootFromParent_Done,
     /* 2479107 */   // Label 32443: @2479107
     /* 2479107 */   GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2479135), // Rule ID 1849 //
     /* 2479112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2479115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2479119 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2479123 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2479123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2479126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479134 */     // GIR_Coverage, 1849,
     /* 2479134 */     GIR_EraseRootFromParent_Done,
     /* 2479135 */   // Label 32444: @2479135
     /* 2479135 */   GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2479163), // Rule ID 1881 //
     /* 2479140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2479143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2479147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2479151 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2479151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2479154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479162 */     // GIR_Coverage, 1881,
     /* 2479162 */     GIR_EraseRootFromParent_Done,
     /* 2479163 */   // Label 32445: @2479163
     /* 2479163 */   GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2479191), // Rule ID 1882 //
     /* 2479168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2479171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2479175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2479179 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2479179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2479182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479190 */     // GIR_Coverage, 1882,
     /* 2479190 */     GIR_EraseRootFromParent_Done,
     /* 2479191 */   // Label 32446: @2479191
     /* 2479191 */   GIM_Reject,
     /* 2479192 */ // Label 32442: @2479192
     /* 2479192 */ GIM_Reject,
     /* 2479193 */ // Label 32424: @2479193
     /* 2479193 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2479314),
     /* 2479198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2479201 */   GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2479229), // Rule ID 1139 //
     /* 2479206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2479209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2479213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2479217 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2479217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2479220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479228 */     // GIR_Coverage, 1139,
     /* 2479228 */     GIR_EraseRootFromParent_Done,
     /* 2479229 */   // Label 32448: @2479229
     /* 2479229 */   GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2479257), // Rule ID 1140 //
     /* 2479234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2479237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2479241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2479245 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2479245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2479248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479256 */     // GIR_Coverage, 1140,
     /* 2479256 */     GIR_EraseRootFromParent_Done,
     /* 2479257 */   // Label 32449: @2479257
     /* 2479257 */   GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2479285), // Rule ID 1147 //
     /* 2479262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2479265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2479269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2479273 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2479273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2479276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479284 */     // GIR_Coverage, 1147,
     /* 2479284 */     GIR_EraseRootFromParent_Done,
     /* 2479285 */   // Label 32450: @2479285
     /* 2479285 */   GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2479313), // Rule ID 1148 //
     /* 2479290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2479293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2479297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2479301 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2479301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2479304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479312 */     // GIR_Coverage, 1148,
     /* 2479312 */     GIR_EraseRootFromParent_Done,
     /* 2479313 */   // Label 32451: @2479313
     /* 2479313 */   GIM_Reject,
     /* 2479314 */ // Label 32447: @2479314
     /* 2479314 */ GIM_Reject,
     /* 2479315 */ // Label 32425: @2479315
     /* 2479315 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2479464),
     /* 2479320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2479323 */   GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2479351), // Rule ID 1482 //
     /* 2479328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2479331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2479335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2479339 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2479339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2479342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479350 */     // GIR_Coverage, 1482,
     /* 2479350 */     GIR_EraseRootFromParent_Done,
     /* 2479351 */   // Label 32453: @2479351
     /* 2479351 */   GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2479379), // Rule ID 1483 //
     /* 2479356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2479359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2479363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2479367 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2479367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2479370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479378 */     // GIR_Coverage, 1483,
     /* 2479378 */     GIR_EraseRootFromParent_Done,
     /* 2479379 */   // Label 32454: @2479379
     /* 2479379 */   GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2479407), // Rule ID 1516 //
     /* 2479384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2479387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2479391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2479395 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2479395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2479398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479406 */     // GIR_Coverage, 1516,
     /* 2479406 */     GIR_EraseRootFromParent_Done,
     /* 2479407 */   // Label 32455: @2479407
     /* 2479407 */   GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2479435), // Rule ID 1537 //
     /* 2479412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2479415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2479419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2479423 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2479423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2479426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479434 */     // GIR_Coverage, 1537,
     /* 2479434 */     GIR_EraseRootFromParent_Done,
     /* 2479435 */   // Label 32456: @2479435
     /* 2479435 */   GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2479463), // Rule ID 1538 //
     /* 2479440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2479443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2479447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2479451 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2479451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2479454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2479458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479462 */     // GIR_Coverage, 1538,
     /* 2479462 */     GIR_EraseRootFromParent_Done,
     /* 2479463 */   // Label 32457: @2479463
     /* 2479463 */   GIM_Reject,
     /* 2479464 */ // Label 32452: @2479464
     /* 2479464 */ GIM_Reject,
     /* 2479465 */ // Label 32426: @2479465
     /* 2479465 */ GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2479574),
     /* 2479470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2479473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479481 */   GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2479527), // Rule ID 55720 //
     /* 2479486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2479489 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2479489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2479492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2479506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2479522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479526 */     // GIR_Coverage, 55720,
     /* 2479526 */     GIR_EraseRootFromParent_Done,
     /* 2479527 */   // Label 32459: @2479527
     /* 2479527 */   GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2479573), // Rule ID 55721 //
     /* 2479532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2479535 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2479535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2479538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479547 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2479552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479554 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2479568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479572 */     // GIR_Coverage, 55721,
     /* 2479572 */     GIR_EraseRootFromParent_Done,
     /* 2479573 */   // Label 32460: @2479573
     /* 2479573 */   GIM_Reject,
     /* 2479574 */ // Label 32458: @2479574
     /* 2479574 */ GIM_Reject,
     /* 2479575 */ // Label 32427: @2479575
     /* 2479575 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2479684),
     /* 2479580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2479583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479591 */   GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2479637), // Rule ID 55760 //
     /* 2479596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2479599 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2479599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2479602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2479616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2479632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479636 */     // GIR_Coverage, 55760,
     /* 2479636 */     GIR_EraseRootFromParent_Done,
     /* 2479637 */   // Label 32462: @2479637
     /* 2479637 */   GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2479683), // Rule ID 55761 //
     /* 2479642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2479645 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2479645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2479648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2479662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2479678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479682 */     // GIR_Coverage, 55761,
     /* 2479682 */     GIR_EraseRootFromParent_Done,
     /* 2479683 */   // Label 32463: @2479683
     /* 2479683 */   GIM_Reject,
     /* 2479684 */ // Label 32461: @2479684
     /* 2479684 */ GIM_Reject,
     /* 2479685 */ // Label 32428: @2479685
     /* 2479685 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2479794),
     /* 2479690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2479693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479701 */   GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2479747), // Rule ID 55820 //
     /* 2479706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2479709 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2479709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2479712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2479726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2479742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479746 */     // GIR_Coverage, 55820,
     /* 2479746 */     GIR_EraseRootFromParent_Done,
     /* 2479747 */   // Label 32465: @2479747
     /* 2479747 */   GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2479793), // Rule ID 55821 //
     /* 2479752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2479755 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2479755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2479758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2479772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2479788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479792 */     // GIR_Coverage, 55821,
     /* 2479792 */     GIR_EraseRootFromParent_Done,
     /* 2479793 */   // Label 32466: @2479793
     /* 2479793 */   GIM_Reject,
     /* 2479794 */ // Label 32464: @2479794
     /* 2479794 */ GIM_Reject,
     /* 2479795 */ // Label 32429: @2479795
     /* 2479795 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2479904),
     /* 2479800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2479803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479811 */   GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2479857), // Rule ID 55740 //
     /* 2479816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2479819 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2479819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2479822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2479836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2479852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479856 */     // GIR_Coverage, 55740,
     /* 2479856 */     GIR_EraseRootFromParent_Done,
     /* 2479857 */   // Label 32468: @2479857
     /* 2479857 */   GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2479903), // Rule ID 55741 //
     /* 2479862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2479865 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2479865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2479868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2479882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2479898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479902 */     // GIR_Coverage, 55741,
     /* 2479902 */     GIR_EraseRootFromParent_Done,
     /* 2479903 */   // Label 32469: @2479903
     /* 2479903 */   GIM_Reject,
     /* 2479904 */ // Label 32467: @2479904
     /* 2479904 */ GIM_Reject,
     /* 2479905 */ // Label 32430: @2479905
     /* 2479905 */ GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2480014),
     /* 2479910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2479913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479917 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2479921 */   GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2479967), // Rule ID 55800 //
     /* 2479926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2479929 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2479929 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2479932 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479936 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479941 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2479946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2479956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2479959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2479962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2479965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2479966 */     // GIR_Coverage, 55800,
     /* 2479966 */     GIR_EraseRootFromParent_Done,
     /* 2479967 */   // Label 32471: @2479967
     /* 2479967 */   GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2480013), // Rule ID 55801 //
     /* 2479972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2479975 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2479975 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2479978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2479982 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2479987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2479989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2479992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2479994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2479997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2479999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480012 */     // GIR_Coverage, 55801,
     /* 2480012 */     GIR_EraseRootFromParent_Done,
     /* 2480013 */   // Label 32472: @2480013
     /* 2480013 */   GIM_Reject,
     /* 2480014 */ // Label 32470: @2480014
     /* 2480014 */ GIM_Reject,
     /* 2480015 */ // Label 32431: @2480015
     /* 2480015 */ GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2480124),
     /* 2480020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2480023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480031 */   GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2480077), // Rule ID 55960 //
     /* 2480036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2480039 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2480042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2480056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480076 */     // GIR_Coverage, 55960,
     /* 2480076 */     GIR_EraseRootFromParent_Done,
     /* 2480077 */   // Label 32474: @2480077
     /* 2480077 */   GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2480123), // Rule ID 55961 //
     /* 2480082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2480085 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2480088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2480102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480122 */     // GIR_Coverage, 55961,
     /* 2480122 */     GIR_EraseRootFromParent_Done,
     /* 2480123 */   // Label 32475: @2480123
     /* 2480123 */   GIM_Reject,
     /* 2480124 */ // Label 32473: @2480124
     /* 2480124 */ GIM_Reject,
     /* 2480125 */ // Label 32432: @2480125
     /* 2480125 */ GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2480234),
     /* 2480130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2480133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2480137 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2480141 */   GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2480187), // Rule ID 55780 //
     /* 2480146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2480149 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2480152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2480166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480186 */     // GIR_Coverage, 55780,
     /* 2480186 */     GIR_EraseRootFromParent_Done,
     /* 2480187 */   // Label 32477: @2480187
     /* 2480187 */   GIM_Try, /*On fail goto*//*Label 32478*/ GIMT_Encode4(2480233), // Rule ID 55781 //
     /* 2480192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2480195 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2480198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2480212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480232 */     // GIR_Coverage, 55781,
     /* 2480232 */     GIR_EraseRootFromParent_Done,
     /* 2480233 */   // Label 32478: @2480233
     /* 2480233 */   GIM_Reject,
     /* 2480234 */ // Label 32476: @2480234
     /* 2480234 */ GIM_Reject,
     /* 2480235 */ // Label 32433: @2480235
     /* 2480235 */ GIM_Try, /*On fail goto*//*Label 32479*/ GIMT_Encode4(2480344),
     /* 2480240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2480243 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480247 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480251 */   GIM_Try, /*On fail goto*//*Label 32480*/ GIMT_Encode4(2480297), // Rule ID 55900 //
     /* 2480256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2480259 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2480262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2480276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480296 */     // GIR_Coverage, 55900,
     /* 2480296 */     GIR_EraseRootFromParent_Done,
     /* 2480297 */   // Label 32480: @2480297
     /* 2480297 */   GIM_Try, /*On fail goto*//*Label 32481*/ GIMT_Encode4(2480343), // Rule ID 55901 //
     /* 2480302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2480305 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2480308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2480322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480342 */     // GIR_Coverage, 55901,
     /* 2480342 */     GIR_EraseRootFromParent_Done,
     /* 2480343 */   // Label 32481: @2480343
     /* 2480343 */   GIM_Reject,
     /* 2480344 */ // Label 32479: @2480344
     /* 2480344 */ GIM_Reject,
     /* 2480345 */ // Label 32434: @2480345
     /* 2480345 */ GIM_Try, /*On fail goto*//*Label 32482*/ GIMT_Encode4(2480454),
     /* 2480350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2480353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480361 */   GIM_Try, /*On fail goto*//*Label 32483*/ GIMT_Encode4(2480407), // Rule ID 55980 //
     /* 2480366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2480369 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2480372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2480386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480406 */     // GIR_Coverage, 55980,
     /* 2480406 */     GIR_EraseRootFromParent_Done,
     /* 2480407 */   // Label 32483: @2480407
     /* 2480407 */   GIM_Try, /*On fail goto*//*Label 32484*/ GIMT_Encode4(2480453), // Rule ID 55981 //
     /* 2480412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2480415 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2480418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2480432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480452 */     // GIR_Coverage, 55981,
     /* 2480452 */     GIR_EraseRootFromParent_Done,
     /* 2480453 */   // Label 32484: @2480453
     /* 2480453 */   GIM_Reject,
     /* 2480454 */ // Label 32482: @2480454
     /* 2480454 */ GIM_Reject,
     /* 2480455 */ // Label 32435: @2480455
     /* 2480455 */ GIM_Try, /*On fail goto*//*Label 32485*/ GIMT_Encode4(2480564),
     /* 2480460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2480463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2480471 */   GIM_Try, /*On fail goto*//*Label 32486*/ GIMT_Encode4(2480517), // Rule ID 55840 //
     /* 2480476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2480479 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2480482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2480496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480516 */     // GIR_Coverage, 55840,
     /* 2480516 */     GIR_EraseRootFromParent_Done,
     /* 2480517 */   // Label 32486: @2480517
     /* 2480517 */   GIM_Try, /*On fail goto*//*Label 32487*/ GIMT_Encode4(2480563), // Rule ID 55841 //
     /* 2480522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2480525 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2480528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2480542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480562 */     // GIR_Coverage, 55841,
     /* 2480562 */     GIR_EraseRootFromParent_Done,
     /* 2480563 */   // Label 32487: @2480563
     /* 2480563 */   GIM_Reject,
     /* 2480564 */ // Label 32485: @2480564
     /* 2480564 */ GIM_Reject,
     /* 2480565 */ // Label 32436: @2480565
     /* 2480565 */ GIM_Try, /*On fail goto*//*Label 32488*/ GIMT_Encode4(2480674),
     /* 2480570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2480573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480581 */   GIM_Try, /*On fail goto*//*Label 32489*/ GIMT_Encode4(2480627), // Rule ID 55920 //
     /* 2480586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2480589 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2480592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2480606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480626 */     // GIR_Coverage, 55920,
     /* 2480626 */     GIR_EraseRootFromParent_Done,
     /* 2480627 */   // Label 32489: @2480627
     /* 2480627 */   GIM_Try, /*On fail goto*//*Label 32490*/ GIMT_Encode4(2480673), // Rule ID 55921 //
     /* 2480632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2480635 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480635 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2480638 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480642 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480647 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2480652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480654 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480672 */     // GIR_Coverage, 55921,
     /* 2480672 */     GIR_EraseRootFromParent_Done,
     /* 2480673 */   // Label 32490: @2480673
     /* 2480673 */   GIM_Reject,
     /* 2480674 */ // Label 32488: @2480674
     /* 2480674 */ GIM_Reject,
     /* 2480675 */ // Label 32437: @2480675
     /* 2480675 */ GIM_Try, /*On fail goto*//*Label 32491*/ GIMT_Encode4(2480784),
     /* 2480680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2480683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2480687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2480691 */   GIM_Try, /*On fail goto*//*Label 32492*/ GIMT_Encode4(2480737), // Rule ID 56000 //
     /* 2480696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2480699 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2480702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2480716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480736 */     // GIR_Coverage, 56000,
     /* 2480736 */     GIR_EraseRootFromParent_Done,
     /* 2480737 */   // Label 32492: @2480737
     /* 2480737 */   GIM_Try, /*On fail goto*//*Label 32493*/ GIMT_Encode4(2480783), // Rule ID 56001 //
     /* 2480742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2480745 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2480748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2480762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2480778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480782 */     // GIR_Coverage, 56001,
     /* 2480782 */     GIR_EraseRootFromParent_Done,
     /* 2480783 */   // Label 32493: @2480783
     /* 2480783 */   GIM_Reject,
     /* 2480784 */ // Label 32491: @2480784
     /* 2480784 */ GIM_Reject,
     /* 2480785 */ // Label 32438: @2480785
     /* 2480785 */ GIM_Try, /*On fail goto*//*Label 32494*/ GIMT_Encode4(2480894),
     /* 2480790 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2480793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2480801 */   GIM_Try, /*On fail goto*//*Label 32495*/ GIMT_Encode4(2480847), // Rule ID 55860 //
     /* 2480806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2480809 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480809 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2480812 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480816 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480821 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2480826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480846 */     // GIR_Coverage, 55860,
     /* 2480846 */     GIR_EraseRootFromParent_Done,
     /* 2480847 */   // Label 32495: @2480847
     /* 2480847 */   GIM_Try, /*On fail goto*//*Label 32496*/ GIMT_Encode4(2480893), // Rule ID 55861 //
     /* 2480852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2480855 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2480858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2480872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2480888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480892 */     // GIR_Coverage, 55861,
     /* 2480892 */     GIR_EraseRootFromParent_Done,
     /* 2480893 */   // Label 32496: @2480893
     /* 2480893 */   GIM_Reject,
     /* 2480894 */ // Label 32494: @2480894
     /* 2480894 */ GIM_Reject,
     /* 2480895 */ // Label 32439: @2480895
     /* 2480895 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2481004),
     /* 2480900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2480903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2480907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2480911 */   GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2480957), // Rule ID 55940 //
     /* 2480916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2480919 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2480919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2480922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2480936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2480955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2480956 */     // GIR_Coverage, 55940,
     /* 2480956 */     GIR_EraseRootFromParent_Done,
     /* 2480957 */   // Label 32498: @2480957
     /* 2480957 */   GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2481003), // Rule ID 55941 //
     /* 2480962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2480965 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2480965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2480968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2480972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2480977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2480979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2480982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2480984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2480987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2480989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2480992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2480995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2480998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2481001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481002 */     // GIR_Coverage, 55941,
     /* 2481002 */     GIR_EraseRootFromParent_Done,
     /* 2481003 */   // Label 32499: @2481003
     /* 2481003 */   GIM_Reject,
     /* 2481004 */ // Label 32497: @2481004
     /* 2481004 */ GIM_Reject,
     /* 2481005 */ // Label 32440: @2481005
     /* 2481005 */ GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2481114),
     /* 2481010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2481013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2481017 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2481021 */   GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2481067), // Rule ID 55880 //
     /* 2481026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2481029 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2481029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2481032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2481036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2481041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2481043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2481046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2481051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2481053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2481059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2481062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2481065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481066 */     // GIR_Coverage, 55880,
     /* 2481066 */     GIR_EraseRootFromParent_Done,
     /* 2481067 */   // Label 32501: @2481067
     /* 2481067 */   GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2481113), // Rule ID 55881 //
     /* 2481072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2481075 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2481075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2481078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2481082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2481087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2481089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2481092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2481097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2481099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2481105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2481108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2481111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481112 */     // GIR_Coverage, 55881,
     /* 2481112 */     GIR_EraseRootFromParent_Done,
     /* 2481113 */   // Label 32502: @2481113
     /* 2481113 */   GIM_Reject,
     /* 2481114 */ // Label 32500: @2481114
     /* 2481114 */ GIM_Reject,
     /* 2481115 */ // Label 32441: @2481115
     /* 2481115 */ GIM_Reject,
     /* 2481116 */ // Label 91: @2481116
     /* 2481116 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32506*/ GIMT_Encode4(2481313),
     /* 2481127 */ /*GILLT_s16*//*Label 32503*/ GIMT_Encode4(2481139),
     /* 2481131 */ /*GILLT_s32*//*Label 32504*/ GIMT_Encode4(2481197),
     /* 2481135 */ /*GILLT_s64*//*Label 32505*/ GIMT_Encode4(2481255),
     /* 2481139 */ // Label 32503: @2481139
     /* 2481139 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2481196),
     /* 2481144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2481147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481155 */   GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2481175), // Rule ID 2286 //
     /* 2481160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2481163 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2481163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2481166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481174 */     // GIR_Coverage, 2286,
     /* 2481174 */     GIR_EraseRootFromParent_Done,
     /* 2481175 */   // Label 32508: @2481175
     /* 2481175 */   GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2481195), // Rule ID 2287 //
     /* 2481180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2481183 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2481183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2481186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481194 */     // GIR_Coverage, 2287,
     /* 2481194 */     GIR_EraseRootFromParent_Done,
     /* 2481195 */   // Label 32509: @2481195
     /* 2481195 */   GIM_Reject,
     /* 2481196 */ // Label 32507: @2481196
     /* 2481196 */ GIM_Reject,
     /* 2481197 */ // Label 32504: @2481197
     /* 2481197 */ GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2481254),
     /* 2481202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2481205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481209 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481213 */   GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2481233), // Rule ID 2204 //
     /* 2481218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2481221 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2481221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2481224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481232 */     // GIR_Coverage, 2204,
     /* 2481232 */     GIR_EraseRootFromParent_Done,
     /* 2481233 */   // Label 32511: @2481233
     /* 2481233 */   GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2481253), // Rule ID 2205 //
     /* 2481238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2481241 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2481241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2481244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481252 */     // GIR_Coverage, 2205,
     /* 2481252 */     GIR_EraseRootFromParent_Done,
     /* 2481253 */   // Label 32512: @2481253
     /* 2481253 */   GIM_Reject,
     /* 2481254 */ // Label 32510: @2481254
     /* 2481254 */ GIM_Reject,
     /* 2481255 */ // Label 32505: @2481255
     /* 2481255 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2481312),
     /* 2481260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2481263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481271 */   GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2481291), // Rule ID 2244 //
     /* 2481276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2481279 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2481279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2481282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481290 */     // GIR_Coverage, 2244,
     /* 2481290 */     GIR_EraseRootFromParent_Done,
     /* 2481291 */   // Label 32514: @2481291
     /* 2481291 */   GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2481311), // Rule ID 2245 //
     /* 2481296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2481299 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2481299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2481302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2481309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481310 */     // GIR_Coverage, 2245,
     /* 2481310 */     GIR_EraseRootFromParent_Done,
     /* 2481311 */   // Label 32515: @2481311
     /* 2481311 */   GIM_Reject,
     /* 2481312 */ // Label 32513: @2481312
     /* 2481312 */ GIM_Reject,
     /* 2481313 */ // Label 32506: @2481313
     /* 2481313 */ GIM_Reject,
     /* 2481314 */ // Label 92: @2481314
     /* 2481314 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32519*/ GIMT_Encode4(2481511),
     /* 2481325 */ /*GILLT_s16*//*Label 32516*/ GIMT_Encode4(2481337),
     /* 2481329 */ /*GILLT_s32*//*Label 32517*/ GIMT_Encode4(2481395),
     /* 2481333 */ /*GILLT_s64*//*Label 32518*/ GIMT_Encode4(2481453),
     /* 2481337 */ // Label 32516: @2481337
     /* 2481337 */ GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2481394),
     /* 2481342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2481345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481353 */   GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2481373), // Rule ID 2270 //
     /* 2481358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2481361 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2481361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2481364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481372 */     // GIR_Coverage, 2270,
     /* 2481372 */     GIR_EraseRootFromParent_Done,
     /* 2481373 */   // Label 32521: @2481373
     /* 2481373 */   GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2481393), // Rule ID 2271 //
     /* 2481378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2481381 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2481381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2481384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481392 */     // GIR_Coverage, 2271,
     /* 2481392 */     GIR_EraseRootFromParent_Done,
     /* 2481393 */   // Label 32522: @2481393
     /* 2481393 */   GIM_Reject,
     /* 2481394 */ // Label 32520: @2481394
     /* 2481394 */ GIM_Reject,
     /* 2481395 */ // Label 32517: @2481395
     /* 2481395 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2481452),
     /* 2481400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2481403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481411 */   GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2481431), // Rule ID 2188 //
     /* 2481416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2481419 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2481419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2481422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481430 */     // GIR_Coverage, 2188,
     /* 2481430 */     GIR_EraseRootFromParent_Done,
     /* 2481431 */   // Label 32524: @2481431
     /* 2481431 */   GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2481451), // Rule ID 2189 //
     /* 2481436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2481439 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2481439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2481442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481450 */     // GIR_Coverage, 2189,
     /* 2481450 */     GIR_EraseRootFromParent_Done,
     /* 2481451 */   // Label 32525: @2481451
     /* 2481451 */   GIM_Reject,
     /* 2481452 */ // Label 32523: @2481452
     /* 2481452 */ GIM_Reject,
     /* 2481453 */ // Label 32518: @2481453
     /* 2481453 */ GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2481510),
     /* 2481458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2481461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481469 */   GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2481489), // Rule ID 2228 //
     /* 2481474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2481477 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2481477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2481480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481488 */     // GIR_Coverage, 2228,
     /* 2481488 */     GIR_EraseRootFromParent_Done,
     /* 2481489 */   // Label 32527: @2481489
     /* 2481489 */   GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2481509), // Rule ID 2229 //
     /* 2481494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2481497 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2481497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2481500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481508 */     // GIR_Coverage, 2229,
     /* 2481508 */     GIR_EraseRootFromParent_Done,
     /* 2481509 */   // Label 32528: @2481509
     /* 2481509 */   GIM_Reject,
     /* 2481510 */ // Label 32526: @2481510
     /* 2481510 */ GIM_Reject,
     /* 2481511 */ // Label 32519: @2481511
     /* 2481511 */ GIM_Reject,
     /* 2481512 */ // Label 93: @2481512
     /* 2481512 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32532*/ GIMT_Encode4(2481709),
     /* 2481523 */ /*GILLT_s16*//*Label 32529*/ GIMT_Encode4(2481535),
     /* 2481527 */ /*GILLT_s32*//*Label 32530*/ GIMT_Encode4(2481593),
     /* 2481531 */ /*GILLT_s64*//*Label 32531*/ GIMT_Encode4(2481651),
     /* 2481535 */ // Label 32529: @2481535
     /* 2481535 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2481592),
     /* 2481540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2481543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481551 */   GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2481571), // Rule ID 2274 //
     /* 2481556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2481559 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2481559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2481562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481570 */     // GIR_Coverage, 2274,
     /* 2481570 */     GIR_EraseRootFromParent_Done,
     /* 2481571 */   // Label 32534: @2481571
     /* 2481571 */   GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2481591), // Rule ID 2275 //
     /* 2481576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2481579 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2481579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2481582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481590 */     // GIR_Coverage, 2275,
     /* 2481590 */     GIR_EraseRootFromParent_Done,
     /* 2481591 */   // Label 32535: @2481591
     /* 2481591 */   GIM_Reject,
     /* 2481592 */ // Label 32533: @2481592
     /* 2481592 */ GIM_Reject,
     /* 2481593 */ // Label 32530: @2481593
     /* 2481593 */ GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2481650),
     /* 2481598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2481601 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481605 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2481609 */   GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2481629), // Rule ID 2192 //
     /* 2481614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2481617 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2481617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2481620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481628 */     // GIR_Coverage, 2192,
     /* 2481628 */     GIR_EraseRootFromParent_Done,
     /* 2481629 */   // Label 32537: @2481629
     /* 2481629 */   GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2481649), // Rule ID 2193 //
     /* 2481634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2481637 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2481637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2481640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481648 */     // GIR_Coverage, 2193,
     /* 2481648 */     GIR_EraseRootFromParent_Done,
     /* 2481649 */   // Label 32538: @2481649
     /* 2481649 */   GIM_Reject,
     /* 2481650 */ // Label 32536: @2481650
     /* 2481650 */ GIM_Reject,
     /* 2481651 */ // Label 32531: @2481651
     /* 2481651 */ GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2481708),
     /* 2481656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2481659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2481667 */   GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2481687), // Rule ID 2232 //
     /* 2481672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2481675 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2481675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2481678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481686 */     // GIR_Coverage, 2232,
     /* 2481686 */     GIR_EraseRootFromParent_Done,
     /* 2481687 */   // Label 32540: @2481687
     /* 2481687 */   GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2481707), // Rule ID 2233 //
     /* 2481692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2481695 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2481695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2481698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481706 */     // GIR_Coverage, 2233,
     /* 2481706 */     GIR_EraseRootFromParent_Done,
     /* 2481707 */   // Label 32541: @2481707
     /* 2481707 */   GIM_Reject,
     /* 2481708 */ // Label 32539: @2481708
     /* 2481708 */ GIM_Reject,
     /* 2481709 */ // Label 32532: @2481709
     /* 2481709 */ GIM_Reject,
     /* 2481710 */ // Label 94: @2481710
     /* 2481710 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32560*/ GIMT_Encode4(2484137),
     /* 2481721 */ /*GILLT_s16*//*Label 32542*/ GIMT_Encode4(2481841),
     /* 2481725 */ /*GILLT_s32*//*Label 32543*/ GIMT_Encode4(2481990),
     /* 2481729 */ /*GILLT_s64*//*Label 32544*/ GIMT_Encode4(2482139), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481741 */ /*GILLT_nxv1s16*//*Label 32545*/ GIMT_Encode4(2482322),
     /* 2481745 */ /*GILLT_nxv1s32*//*Label 32546*/ GIMT_Encode4(2482443),
     /* 2481749 */ /*GILLT_nxv1s64*//*Label 32547*/ GIMT_Encode4(2482564), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481761 */ /*GILLT_nxv2s16*//*Label 32548*/ GIMT_Encode4(2482685),
     /* 2481765 */ /*GILLT_nxv2s32*//*Label 32549*/ GIMT_Encode4(2482806),
     /* 2481769 */ /*GILLT_nxv2s64*//*Label 32550*/ GIMT_Encode4(2482927), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481781 */ /*GILLT_nxv4s16*//*Label 32551*/ GIMT_Encode4(2483048),
     /* 2481785 */ /*GILLT_nxv4s32*//*Label 32552*/ GIMT_Encode4(2483169),
     /* 2481789 */ /*GILLT_nxv4s64*//*Label 32553*/ GIMT_Encode4(2483290), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481801 */ /*GILLT_nxv8s16*//*Label 32554*/ GIMT_Encode4(2483411),
     /* 2481805 */ /*GILLT_nxv8s32*//*Label 32555*/ GIMT_Encode4(2483532),
     /* 2481809 */ /*GILLT_nxv8s64*//*Label 32556*/ GIMT_Encode4(2483653), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481821 */ /*GILLT_nxv16s16*//*Label 32557*/ GIMT_Encode4(2483774),
     /* 2481825 */ /*GILLT_nxv16s32*//*Label 32558*/ GIMT_Encode4(2483895), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2481837 */ /*GILLT_nxv32s16*//*Label 32559*/ GIMT_Encode4(2484016),
     /* 2481841 */ // Label 32542: @2481841
     /* 2481841 */ GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2481989),
     /* 2481846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2481849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2481852 */   GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2481886), // Rule ID 1814 //
     /* 2481857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2481860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481872 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2481872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2481875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2481881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481885 */     // GIR_Coverage, 1814,
     /* 2481885 */     GIR_EraseRootFromParent_Done,
     /* 2481886 */   // Label 32562: @2481886
     /* 2481886 */   GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2481920), // Rule ID 1815 //
     /* 2481891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2481894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481898 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2481906 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2481906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2481909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2481915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481919 */     // GIR_Coverage, 1815,
     /* 2481919 */     GIR_EraseRootFromParent_Done,
     /* 2481920 */   // Label 32563: @2481920
     /* 2481920 */   GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2481954), // Rule ID 1818 //
     /* 2481925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2481928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481940 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2481940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2481943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2481949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481953 */     // GIR_Coverage, 1818,
     /* 2481953 */     GIR_EraseRootFromParent_Done,
     /* 2481954 */   // Label 32564: @2481954
     /* 2481954 */   GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2481988), // Rule ID 1819 //
     /* 2481959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2481962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2481974 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2481974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2481977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2481979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2481981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2481983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2481986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2481987 */     // GIR_Coverage, 1819,
     /* 2481987 */     GIR_EraseRootFromParent_Done,
     /* 2481988 */   // Label 32565: @2481988
     /* 2481988 */   GIM_Reject,
     /* 2481989 */ // Label 32561: @2481989
     /* 2481989 */ GIM_Reject,
     /* 2481990 */ // Label 32543: @2481990
     /* 2481990 */ GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2482138),
     /* 2481995 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2481998 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2482001 */   GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2482035), // Rule ID 1105 //
     /* 2482006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2482009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482021 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2482021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2482024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482034 */     // GIR_Coverage, 1105,
     /* 2482034 */     GIR_EraseRootFromParent_Done,
     /* 2482035 */   // Label 32567: @2482035
     /* 2482035 */   GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2482069), // Rule ID 1106 //
     /* 2482040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2482043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2482055 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2482055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2482058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482068 */     // GIR_Coverage, 1106,
     /* 2482068 */     GIR_EraseRootFromParent_Done,
     /* 2482069 */   // Label 32568: @2482069
     /* 2482069 */   GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2482103), // Rule ID 1109 //
     /* 2482074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2482077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482089 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2482089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2482092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482102 */     // GIR_Coverage, 1109,
     /* 2482102 */     GIR_EraseRootFromParent_Done,
     /* 2482103 */   // Label 32569: @2482103
     /* 2482103 */   GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2482137), // Rule ID 1110 //
     /* 2482108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2482111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2482123 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2482123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2482126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482136 */     // GIR_Coverage, 1110,
     /* 2482136 */     GIR_EraseRootFromParent_Done,
     /* 2482137 */   // Label 32570: @2482137
     /* 2482137 */   GIM_Reject,
     /* 2482138 */ // Label 32566: @2482138
     /* 2482138 */ GIM_Reject,
     /* 2482139 */ // Label 32544: @2482139
     /* 2482139 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2482321),
     /* 2482144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2482147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2482150 */   GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2482184), // Rule ID 1440 //
     /* 2482155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2482158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482170 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2482170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2482173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482183 */     // GIR_Coverage, 1440,
     /* 2482183 */     GIR_EraseRootFromParent_Done,
     /* 2482184 */   // Label 32572: @2482184
     /* 2482184 */   GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2482218), // Rule ID 1441 //
     /* 2482189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2482192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482196 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2482204 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2482204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2482207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482217 */     // GIR_Coverage, 1441,
     /* 2482217 */     GIR_EraseRootFromParent_Done,
     /* 2482218 */   // Label 32573: @2482218
     /* 2482218 */   GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2482252), // Rule ID 1444 //
     /* 2482223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2482226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482238 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2482238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2482241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482251 */     // GIR_Coverage, 1444,
     /* 2482251 */     GIR_EraseRootFromParent_Done,
     /* 2482252 */   // Label 32574: @2482252
     /* 2482252 */   GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2482286), // Rule ID 1445 //
     /* 2482257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2482260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2482272 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2482272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2482275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482285 */     // GIR_Coverage, 1445,
     /* 2482285 */     GIR_EraseRootFromParent_Done,
     /* 2482286 */   // Label 32575: @2482286
     /* 2482286 */   GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2482320), // Rule ID 1448 //
     /* 2482291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2482294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2482298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2482302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2482306 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2482306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2482309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482319 */     // GIR_Coverage, 1448,
     /* 2482319 */     GIR_EraseRootFromParent_Done,
     /* 2482320 */   // Label 32576: @2482320
     /* 2482320 */   GIM_Reject,
     /* 2482321 */ // Label 32571: @2482321
     /* 2482321 */ GIM_Reject,
     /* 2482322 */ // Label 32545: @2482322
     /* 2482322 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2482442),
     /* 2482327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2482330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2482333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482345 */   GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2482393), // Rule ID 45468 //
     /* 2482350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2482353 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2482356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2482370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2482388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482392 */     // GIR_Coverage, 45468,
     /* 2482392 */     GIR_EraseRootFromParent_Done,
     /* 2482393 */   // Label 32578: @2482393
     /* 2482393 */   GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2482441), // Rule ID 45469 //
     /* 2482398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2482401 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2482401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2482404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2482418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2482436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482440 */     // GIR_Coverage, 45469,
     /* 2482440 */     GIR_EraseRootFromParent_Done,
     /* 2482441 */   // Label 32579: @2482441
     /* 2482441 */   GIM_Reject,
     /* 2482442 */ // Label 32577: @2482442
     /* 2482442 */ GIM_Reject,
     /* 2482443 */ // Label 32546: @2482443
     /* 2482443 */ GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2482563),
     /* 2482448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2482451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2482454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482466 */   GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2482514), // Rule ID 52780 //
     /* 2482471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2482474 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2482477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2482491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2482509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482513 */     // GIR_Coverage, 52780,
     /* 2482513 */     GIR_EraseRootFromParent_Done,
     /* 2482514 */   // Label 32581: @2482514
     /* 2482514 */   GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2482562), // Rule ID 52781 //
     /* 2482519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2482522 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2482522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2482525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2482539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2482557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482561 */     // GIR_Coverage, 52781,
     /* 2482561 */     GIR_EraseRootFromParent_Done,
     /* 2482562 */   // Label 32582: @2482562
     /* 2482562 */   GIM_Reject,
     /* 2482563 */ // Label 32580: @2482563
     /* 2482563 */ GIM_Reject,
     /* 2482564 */ // Label 32547: @2482564
     /* 2482564 */ GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2482684),
     /* 2482569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2482572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2482575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482587 */   GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2482635), // Rule ID 52816 //
     /* 2482592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2482595 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2482598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2482612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2482630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482634 */     // GIR_Coverage, 52816,
     /* 2482634 */     GIR_EraseRootFromParent_Done,
     /* 2482635 */   // Label 32584: @2482635
     /* 2482635 */   GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2482683), // Rule ID 52817 //
     /* 2482640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2482643 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2482643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2482646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2482660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2482678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482682 */     // GIR_Coverage, 52817,
     /* 2482682 */     GIR_EraseRootFromParent_Done,
     /* 2482683 */   // Label 32585: @2482683
     /* 2482683 */   GIM_Reject,
     /* 2482684 */ // Label 32583: @2482684
     /* 2482684 */ GIM_Reject,
     /* 2482685 */ // Label 32548: @2482685
     /* 2482685 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2482805),
     /* 2482690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2482693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2482696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482708 */   GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2482756), // Rule ID 52768 //
     /* 2482713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2482716 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2482719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2482733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2482751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482755 */     // GIR_Coverage, 52768,
     /* 2482755 */     GIR_EraseRootFromParent_Done,
     /* 2482756 */   // Label 32587: @2482756
     /* 2482756 */   GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2482804), // Rule ID 52769 //
     /* 2482761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2482764 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2482764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2482767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2482781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2482799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482803 */     // GIR_Coverage, 52769,
     /* 2482803 */     GIR_EraseRootFromParent_Done,
     /* 2482804 */   // Label 32588: @2482804
     /* 2482804 */   GIM_Reject,
     /* 2482805 */ // Label 32586: @2482805
     /* 2482805 */ GIM_Reject,
     /* 2482806 */ // Label 32549: @2482806
     /* 2482806 */ GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2482926),
     /* 2482811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2482814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2482817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2482829 */   GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2482877), // Rule ID 52804 //
     /* 2482834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2482837 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2482840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2482854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2482872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482876 */     // GIR_Coverage, 52804,
     /* 2482876 */     GIR_EraseRootFromParent_Done,
     /* 2482877 */   // Label 32590: @2482877
     /* 2482877 */   GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2482925), // Rule ID 52805 //
     /* 2482882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2482885 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2482885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2482888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2482902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2482920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482924 */     // GIR_Coverage, 52805,
     /* 2482924 */     GIR_EraseRootFromParent_Done,
     /* 2482925 */   // Label 32591: @2482925
     /* 2482925 */   GIM_Reject,
     /* 2482926 */ // Label 32589: @2482926
     /* 2482926 */ GIM_Reject,
     /* 2482927 */ // Label 32550: @2482927
     /* 2482927 */ GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2483047),
     /* 2482932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2482935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2482938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2482942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2482946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2482950 */   GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2482998), // Rule ID 52900 //
     /* 2482955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2482958 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2482958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2482961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2482965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2482970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2482972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2482975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2482977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2482980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2482982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2482984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2482987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2482990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2482993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2482996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2482997 */     // GIR_Coverage, 52900,
     /* 2482997 */     GIR_EraseRootFromParent_Done,
     /* 2482998 */   // Label 32593: @2482998
     /* 2482998 */   GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2483046), // Rule ID 52901 //
     /* 2483003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2483006 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2483009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2483023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2483041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483045 */     // GIR_Coverage, 52901,
     /* 2483045 */     GIR_EraseRootFromParent_Done,
     /* 2483046 */   // Label 32594: @2483046
     /* 2483046 */   GIM_Reject,
     /* 2483047 */ // Label 32592: @2483047
     /* 2483047 */ GIM_Reject,
     /* 2483048 */ // Label 32551: @2483048
     /* 2483048 */ GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2483168),
     /* 2483053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2483056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2483059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2483063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2483067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2483071 */   GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2483119), // Rule ID 52792 //
     /* 2483076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2483079 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2483082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2483096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483118 */     // GIR_Coverage, 52792,
     /* 2483118 */     GIR_EraseRootFromParent_Done,
     /* 2483119 */   // Label 32596: @2483119
     /* 2483119 */   GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2483167), // Rule ID 52793 //
     /* 2483124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2483127 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2483130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2483144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483166 */     // GIR_Coverage, 52793,
     /* 2483166 */     GIR_EraseRootFromParent_Done,
     /* 2483167 */   // Label 32597: @2483167
     /* 2483167 */   GIM_Reject,
     /* 2483168 */ // Label 32595: @2483168
     /* 2483168 */ GIM_Reject,
     /* 2483169 */ // Label 32552: @2483169
     /* 2483169 */ GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2483289),
     /* 2483174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2483177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2483180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483192 */   GIM_Try, /*On fail goto*//*Label 32599*/ GIMT_Encode4(2483240), // Rule ID 52864 //
     /* 2483197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2483200 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2483203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2483217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2483235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483239 */     // GIR_Coverage, 52864,
     /* 2483239 */     GIR_EraseRootFromParent_Done,
     /* 2483240 */   // Label 32599: @2483240
     /* 2483240 */   GIM_Try, /*On fail goto*//*Label 32600*/ GIMT_Encode4(2483288), // Rule ID 52865 //
     /* 2483245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2483248 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2483251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2483265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2483283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483287 */     // GIR_Coverage, 52865,
     /* 2483287 */     GIR_EraseRootFromParent_Done,
     /* 2483288 */   // Label 32600: @2483288
     /* 2483288 */   GIM_Reject,
     /* 2483289 */ // Label 32598: @2483289
     /* 2483289 */ GIM_Reject,
     /* 2483290 */ // Label 32553: @2483290
     /* 2483290 */ GIM_Try, /*On fail goto*//*Label 32601*/ GIMT_Encode4(2483410),
     /* 2483295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2483298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2483301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483313 */   GIM_Try, /*On fail goto*//*Label 32602*/ GIMT_Encode4(2483361), // Rule ID 52912 //
     /* 2483318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2483321 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2483324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2483338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2483356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483360 */     // GIR_Coverage, 52912,
     /* 2483360 */     GIR_EraseRootFromParent_Done,
     /* 2483361 */   // Label 32602: @2483361
     /* 2483361 */   GIM_Try, /*On fail goto*//*Label 32603*/ GIMT_Encode4(2483409), // Rule ID 52913 //
     /* 2483366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2483369 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2483372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2483386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2483404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483408 */     // GIR_Coverage, 52913,
     /* 2483408 */     GIR_EraseRootFromParent_Done,
     /* 2483409 */   // Label 32603: @2483409
     /* 2483409 */   GIM_Reject,
     /* 2483410 */ // Label 32601: @2483410
     /* 2483410 */ GIM_Reject,
     /* 2483411 */ // Label 32554: @2483411
     /* 2483411 */ GIM_Try, /*On fail goto*//*Label 32604*/ GIMT_Encode4(2483531),
     /* 2483416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2483419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2483422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2483434 */   GIM_Try, /*On fail goto*//*Label 32605*/ GIMT_Encode4(2483482), // Rule ID 52828 //
     /* 2483439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2483442 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2483445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2483459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483481 */     // GIR_Coverage, 52828,
     /* 2483481 */     GIR_EraseRootFromParent_Done,
     /* 2483482 */   // Label 32605: @2483482
     /* 2483482 */   GIM_Try, /*On fail goto*//*Label 32606*/ GIMT_Encode4(2483530), // Rule ID 52829 //
     /* 2483487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2483490 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2483493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2483507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483529 */     // GIR_Coverage, 52829,
     /* 2483529 */     GIR_EraseRootFromParent_Done,
     /* 2483530 */   // Label 32606: @2483530
     /* 2483530 */   GIM_Reject,
     /* 2483531 */ // Label 32604: @2483531
     /* 2483531 */ GIM_Reject,
     /* 2483532 */ // Label 32555: @2483532
     /* 2483532 */ GIM_Try, /*On fail goto*//*Label 32607*/ GIMT_Encode4(2483652),
     /* 2483537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2483540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2483543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483555 */   GIM_Try, /*On fail goto*//*Label 32608*/ GIMT_Encode4(2483603), // Rule ID 52876 //
     /* 2483560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2483563 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2483566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2483580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2483598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483602 */     // GIR_Coverage, 52876,
     /* 2483602 */     GIR_EraseRootFromParent_Done,
     /* 2483603 */   // Label 32608: @2483603
     /* 2483603 */   GIM_Try, /*On fail goto*//*Label 32609*/ GIMT_Encode4(2483651), // Rule ID 52877 //
     /* 2483608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2483611 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2483614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2483628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2483646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483650 */     // GIR_Coverage, 52877,
     /* 2483650 */     GIR_EraseRootFromParent_Done,
     /* 2483651 */   // Label 32609: @2483651
     /* 2483651 */   GIM_Reject,
     /* 2483652 */ // Label 32607: @2483652
     /* 2483652 */ GIM_Reject,
     /* 2483653 */ // Label 32556: @2483653
     /* 2483653 */ GIM_Try, /*On fail goto*//*Label 32610*/ GIMT_Encode4(2483773),
     /* 2483658 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2483661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2483664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483668 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483672 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483676 */   GIM_Try, /*On fail goto*//*Label 32611*/ GIMT_Encode4(2483724), // Rule ID 52924 //
     /* 2483681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2483684 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2483687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2483701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2483719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483723 */     // GIR_Coverage, 52924,
     /* 2483723 */     GIR_EraseRootFromParent_Done,
     /* 2483724 */   // Label 32611: @2483724
     /* 2483724 */   GIM_Try, /*On fail goto*//*Label 32612*/ GIMT_Encode4(2483772), // Rule ID 52925 //
     /* 2483729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2483732 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2483735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2483749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2483767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483771 */     // GIR_Coverage, 52925,
     /* 2483771 */     GIR_EraseRootFromParent_Done,
     /* 2483772 */   // Label 32612: @2483772
     /* 2483772 */   GIM_Reject,
     /* 2483773 */ // Label 32610: @2483773
     /* 2483773 */ GIM_Reject,
     /* 2483774 */ // Label 32557: @2483774
     /* 2483774 */ GIM_Try, /*On fail goto*//*Label 32613*/ GIMT_Encode4(2483894),
     /* 2483779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2483782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2483785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483793 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2483797 */   GIM_Try, /*On fail goto*//*Label 32614*/ GIMT_Encode4(2483845), // Rule ID 52840 //
     /* 2483802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2483805 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483805 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2483808 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483812 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483817 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2483822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483824 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483844 */     // GIR_Coverage, 52840,
     /* 2483844 */     GIR_EraseRootFromParent_Done,
     /* 2483845 */   // Label 32614: @2483845
     /* 2483845 */   GIM_Try, /*On fail goto*//*Label 32615*/ GIMT_Encode4(2483893), // Rule ID 52841 //
     /* 2483850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2483853 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2483856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2483870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2483888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483892 */     // GIR_Coverage, 52841,
     /* 2483892 */     GIR_EraseRootFromParent_Done,
     /* 2483893 */   // Label 32615: @2483893
     /* 2483893 */   GIM_Reject,
     /* 2483894 */ // Label 32613: @2483894
     /* 2483894 */ GIM_Reject,
     /* 2483895 */ // Label 32558: @2483895
     /* 2483895 */ GIM_Try, /*On fail goto*//*Label 32616*/ GIMT_Encode4(2484015),
     /* 2483900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2483903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2483906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483914 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2483918 */   GIM_Try, /*On fail goto*//*Label 32617*/ GIMT_Encode4(2483966), // Rule ID 52888 //
     /* 2483923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2483926 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2483926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2483929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2483943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2483952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2483955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2483958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2483961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2483964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2483965 */     // GIR_Coverage, 52888,
     /* 2483965 */     GIR_EraseRootFromParent_Done,
     /* 2483966 */   // Label 32617: @2483966
     /* 2483966 */   GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2484014), // Rule ID 52889 //
     /* 2483971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2483974 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2483974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2483977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2483981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2483986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2483988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2483991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2483993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2483996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2483998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2484009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484013 */     // GIR_Coverage, 52889,
     /* 2484013 */     GIR_EraseRootFromParent_Done,
     /* 2484014 */   // Label 32618: @2484014
     /* 2484014 */   GIM_Reject,
     /* 2484015 */ // Label 32616: @2484015
     /* 2484015 */ GIM_Reject,
     /* 2484016 */ // Label 32559: @2484016
     /* 2484016 */ GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2484136),
     /* 2484021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2484024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2484027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2484031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2484035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2484039 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2484087), // Rule ID 52852 //
     /* 2484044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2484047 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2484047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2484050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2484064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2484082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484086 */     // GIR_Coverage, 52852,
     /* 2484086 */     GIR_EraseRootFromParent_Done,
     /* 2484087 */   // Label 32620: @2484087
     /* 2484087 */   GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2484135), // Rule ID 52853 //
     /* 2484092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2484095 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2484095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2484098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2484112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2484130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484134 */     // GIR_Coverage, 52853,
     /* 2484134 */     GIR_EraseRootFromParent_Done,
     /* 2484135 */   // Label 32621: @2484135
     /* 2484135 */   GIM_Reject,
     /* 2484136 */ // Label 32619: @2484136
     /* 2484136 */ GIM_Reject,
     /* 2484137 */ // Label 32560: @2484137
     /* 2484137 */ GIM_Reject,
     /* 2484138 */ // Label 95: @2484138
     /* 2484138 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32640*/ GIMT_Encode4(2486565),
     /* 2484149 */ /*GILLT_s16*//*Label 32622*/ GIMT_Encode4(2484269),
     /* 2484153 */ /*GILLT_s32*//*Label 32623*/ GIMT_Encode4(2484418),
     /* 2484157 */ /*GILLT_s64*//*Label 32624*/ GIMT_Encode4(2484567), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484169 */ /*GILLT_nxv1s16*//*Label 32625*/ GIMT_Encode4(2484750),
     /* 2484173 */ /*GILLT_nxv1s32*//*Label 32626*/ GIMT_Encode4(2484871),
     /* 2484177 */ /*GILLT_nxv1s64*//*Label 32627*/ GIMT_Encode4(2484992), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484189 */ /*GILLT_nxv2s16*//*Label 32628*/ GIMT_Encode4(2485113),
     /* 2484193 */ /*GILLT_nxv2s32*//*Label 32629*/ GIMT_Encode4(2485234),
     /* 2484197 */ /*GILLT_nxv2s64*//*Label 32630*/ GIMT_Encode4(2485355), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484209 */ /*GILLT_nxv4s16*//*Label 32631*/ GIMT_Encode4(2485476),
     /* 2484213 */ /*GILLT_nxv4s32*//*Label 32632*/ GIMT_Encode4(2485597),
     /* 2484217 */ /*GILLT_nxv4s64*//*Label 32633*/ GIMT_Encode4(2485718), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484229 */ /*GILLT_nxv8s16*//*Label 32634*/ GIMT_Encode4(2485839),
     /* 2484233 */ /*GILLT_nxv8s32*//*Label 32635*/ GIMT_Encode4(2485960),
     /* 2484237 */ /*GILLT_nxv8s64*//*Label 32636*/ GIMT_Encode4(2486081), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484249 */ /*GILLT_nxv16s16*//*Label 32637*/ GIMT_Encode4(2486202),
     /* 2484253 */ /*GILLT_nxv16s32*//*Label 32638*/ GIMT_Encode4(2486323), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2484265 */ /*GILLT_nxv32s16*//*Label 32639*/ GIMT_Encode4(2486444),
     /* 2484269 */ // Label 32622: @2484269
     /* 2484269 */ GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2484417),
     /* 2484274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2484277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2484280 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2484314), // Rule ID 1822 //
     /* 2484285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2484288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484300 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2484300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2484303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484313 */     // GIR_Coverage, 1822,
     /* 2484313 */     GIR_EraseRootFromParent_Done,
     /* 2484314 */   // Label 32642: @2484314
     /* 2484314 */   GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2484348), // Rule ID 1823 //
     /* 2484319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2484322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2484334 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2484334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2484337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484347 */     // GIR_Coverage, 1823,
     /* 2484347 */     GIR_EraseRootFromParent_Done,
     /* 2484348 */   // Label 32643: @2484348
     /* 2484348 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2484382), // Rule ID 1826 //
     /* 2484353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2484356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484368 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2484368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2484371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484381 */     // GIR_Coverage, 1826,
     /* 2484381 */     GIR_EraseRootFromParent_Done,
     /* 2484382 */   // Label 32644: @2484382
     /* 2484382 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2484416), // Rule ID 1827 //
     /* 2484387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2484390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2484402 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2484402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2484405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484407 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484415 */     // GIR_Coverage, 1827,
     /* 2484415 */     GIR_EraseRootFromParent_Done,
     /* 2484416 */   // Label 32645: @2484416
     /* 2484416 */   GIM_Reject,
     /* 2484417 */ // Label 32641: @2484417
     /* 2484417 */ GIM_Reject,
     /* 2484418 */ // Label 32623: @2484418
     /* 2484418 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2484566),
     /* 2484423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2484426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2484429 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2484463), // Rule ID 1113 //
     /* 2484434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2484437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484449 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2484449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2484452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484462 */     // GIR_Coverage, 1113,
     /* 2484462 */     GIR_EraseRootFromParent_Done,
     /* 2484463 */   // Label 32647: @2484463
     /* 2484463 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2484497), // Rule ID 1114 //
     /* 2484468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2484471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2484483 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2484483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2484486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484496 */     // GIR_Coverage, 1114,
     /* 2484496 */     GIR_EraseRootFromParent_Done,
     /* 2484497 */   // Label 32648: @2484497
     /* 2484497 */   GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2484531), // Rule ID 1117 //
     /* 2484502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2484505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484517 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2484517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2484520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484530 */     // GIR_Coverage, 1117,
     /* 2484530 */     GIR_EraseRootFromParent_Done,
     /* 2484531 */   // Label 32649: @2484531
     /* 2484531 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2484565), // Rule ID 1118 //
     /* 2484536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2484539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2484551 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2484551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2484554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484564 */     // GIR_Coverage, 1118,
     /* 2484564 */     GIR_EraseRootFromParent_Done,
     /* 2484565 */   // Label 32650: @2484565
     /* 2484565 */   GIM_Reject,
     /* 2484566 */ // Label 32646: @2484566
     /* 2484566 */ GIM_Reject,
     /* 2484567 */ // Label 32624: @2484567
     /* 2484567 */ GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2484749),
     /* 2484572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2484575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2484578 */   GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2484612), // Rule ID 1450 //
     /* 2484583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2484586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484598 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2484598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2484601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484611 */     // GIR_Coverage, 1450,
     /* 2484611 */     GIR_EraseRootFromParent_Done,
     /* 2484612 */   // Label 32652: @2484612
     /* 2484612 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2484646), // Rule ID 1451 //
     /* 2484617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2484620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2484632 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2484632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2484635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484645 */     // GIR_Coverage, 1451,
     /* 2484645 */     GIR_EraseRootFromParent_Done,
     /* 2484646 */   // Label 32653: @2484646
     /* 2484646 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2484680), // Rule ID 1454 //
     /* 2484651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2484654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484666 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2484666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2484669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484679 */     // GIR_Coverage, 1454,
     /* 2484679 */     GIR_EraseRootFromParent_Done,
     /* 2484680 */   // Label 32654: @2484680
     /* 2484680 */   GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2484714), // Rule ID 1455 //
     /* 2484685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2484688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2484700 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2484700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2484703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484713 */     // GIR_Coverage, 1455,
     /* 2484713 */     GIR_EraseRootFromParent_Done,
     /* 2484714 */   // Label 32655: @2484714
     /* 2484714 */   GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2484748), // Rule ID 1458 //
     /* 2484719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2484722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2484726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2484730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2484734 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2484734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2484737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484747 */     // GIR_Coverage, 1458,
     /* 2484747 */     GIR_EraseRootFromParent_Done,
     /* 2484748 */   // Label 32656: @2484748
     /* 2484748 */   GIM_Reject,
     /* 2484749 */ // Label 32651: @2484749
     /* 2484749 */ GIM_Reject,
     /* 2484750 */ // Label 32625: @2484750
     /* 2484750 */ GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2484870),
     /* 2484755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2484758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2484761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484773 */   GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2484821), // Rule ID 52936 //
     /* 2484778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2484781 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2484781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2484784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2484798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2484816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484820 */     // GIR_Coverage, 52936,
     /* 2484820 */     GIR_EraseRootFromParent_Done,
     /* 2484821 */   // Label 32658: @2484821
     /* 2484821 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2484869), // Rule ID 52937 //
     /* 2484826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2484829 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2484829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2484832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2484846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2484864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484868 */     // GIR_Coverage, 52937,
     /* 2484868 */     GIR_EraseRootFromParent_Done,
     /* 2484869 */   // Label 32659: @2484869
     /* 2484869 */   GIM_Reject,
     /* 2484870 */ // Label 32657: @2484870
     /* 2484870 */ GIM_Reject,
     /* 2484871 */ // Label 32626: @2484871
     /* 2484871 */ GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2484991),
     /* 2484876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2484879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2484882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2484894 */   GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2484942), // Rule ID 52960 //
     /* 2484899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2484902 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2484902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2484905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2484919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2484937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484941 */     // GIR_Coverage, 52960,
     /* 2484941 */     GIR_EraseRootFromParent_Done,
     /* 2484942 */   // Label 32661: @2484942
     /* 2484942 */   GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2484990), // Rule ID 52961 //
     /* 2484947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2484950 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2484950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2484953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2484957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2484962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2484964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2484967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2484969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2484972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2484974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2484976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2484979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2484982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2484985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2484988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2484989 */     // GIR_Coverage, 52961,
     /* 2484989 */     GIR_EraseRootFromParent_Done,
     /* 2484990 */   // Label 32662: @2484990
     /* 2484990 */   GIM_Reject,
     /* 2484991 */ // Label 32660: @2484991
     /* 2484991 */ GIM_Reject,
     /* 2484992 */ // Label 32627: @2484992
     /* 2484992 */ GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2485112),
     /* 2484997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2485000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2485003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485015 */   GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2485063), // Rule ID 52996 //
     /* 2485020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2485023 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2485026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2485040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485062 */     // GIR_Coverage, 52996,
     /* 2485062 */     GIR_EraseRootFromParent_Done,
     /* 2485063 */   // Label 32664: @2485063
     /* 2485063 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2485111), // Rule ID 52997 //
     /* 2485068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2485071 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2485074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2485088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485110 */     // GIR_Coverage, 52997,
     /* 2485110 */     GIR_EraseRootFromParent_Done,
     /* 2485111 */   // Label 32665: @2485111
     /* 2485111 */   GIM_Reject,
     /* 2485112 */ // Label 32663: @2485112
     /* 2485112 */ GIM_Reject,
     /* 2485113 */ // Label 32628: @2485113
     /* 2485113 */ GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2485233),
     /* 2485118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2485121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2485124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485136 */   GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2485184), // Rule ID 52948 //
     /* 2485141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2485144 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2485147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2485161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485183 */     // GIR_Coverage, 52948,
     /* 2485183 */     GIR_EraseRootFromParent_Done,
     /* 2485184 */   // Label 32667: @2485184
     /* 2485184 */   GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2485232), // Rule ID 52949 //
     /* 2485189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2485192 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2485195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2485209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485231 */     // GIR_Coverage, 52949,
     /* 2485231 */     GIR_EraseRootFromParent_Done,
     /* 2485232 */   // Label 32668: @2485232
     /* 2485232 */   GIM_Reject,
     /* 2485233 */ // Label 32666: @2485233
     /* 2485233 */ GIM_Reject,
     /* 2485234 */ // Label 32629: @2485234
     /* 2485234 */ GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2485354),
     /* 2485239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2485242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2485245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485257 */   GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2485305), // Rule ID 52984 //
     /* 2485262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2485265 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2485268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2485282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2485300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485304 */     // GIR_Coverage, 52984,
     /* 2485304 */     GIR_EraseRootFromParent_Done,
     /* 2485305 */   // Label 32670: @2485305
     /* 2485305 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2485353), // Rule ID 52985 //
     /* 2485310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2485313 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2485316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2485330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2485348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485352 */     // GIR_Coverage, 52985,
     /* 2485352 */     GIR_EraseRootFromParent_Done,
     /* 2485353 */   // Label 32671: @2485353
     /* 2485353 */   GIM_Reject,
     /* 2485354 */ // Label 32669: @2485354
     /* 2485354 */ GIM_Reject,
     /* 2485355 */ // Label 32630: @2485355
     /* 2485355 */ GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2485475),
     /* 2485360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2485363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2485366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485378 */   GIM_Try, /*On fail goto*//*Label 32673*/ GIMT_Encode4(2485426), // Rule ID 53080 //
     /* 2485383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2485386 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2485389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2485403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485425 */     // GIR_Coverage, 53080,
     /* 2485425 */     GIR_EraseRootFromParent_Done,
     /* 2485426 */   // Label 32673: @2485426
     /* 2485426 */   GIM_Try, /*On fail goto*//*Label 32674*/ GIMT_Encode4(2485474), // Rule ID 53081 //
     /* 2485431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2485434 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2485437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2485451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485473 */     // GIR_Coverage, 53081,
     /* 2485473 */     GIR_EraseRootFromParent_Done,
     /* 2485474 */   // Label 32674: @2485474
     /* 2485474 */   GIM_Reject,
     /* 2485475 */ // Label 32672: @2485475
     /* 2485475 */ GIM_Reject,
     /* 2485476 */ // Label 32631: @2485476
     /* 2485476 */ GIM_Try, /*On fail goto*//*Label 32675*/ GIMT_Encode4(2485596),
     /* 2485481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2485484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2485487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2485499 */   GIM_Try, /*On fail goto*//*Label 32676*/ GIMT_Encode4(2485547), // Rule ID 52972 //
     /* 2485504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2485507 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2485510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2485524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485546 */     // GIR_Coverage, 52972,
     /* 2485546 */     GIR_EraseRootFromParent_Done,
     /* 2485547 */   // Label 32676: @2485547
     /* 2485547 */   GIM_Try, /*On fail goto*//*Label 32677*/ GIMT_Encode4(2485595), // Rule ID 52973 //
     /* 2485552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2485555 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2485558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2485572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485594 */     // GIR_Coverage, 52973,
     /* 2485594 */     GIR_EraseRootFromParent_Done,
     /* 2485595 */   // Label 32677: @2485595
     /* 2485595 */   GIM_Reject,
     /* 2485596 */ // Label 32675: @2485596
     /* 2485596 */ GIM_Reject,
     /* 2485597 */ // Label 32632: @2485597
     /* 2485597 */ GIM_Try, /*On fail goto*//*Label 32678*/ GIMT_Encode4(2485717),
     /* 2485602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2485605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2485608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485620 */   GIM_Try, /*On fail goto*//*Label 32679*/ GIMT_Encode4(2485668), // Rule ID 53044 //
     /* 2485625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2485628 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2485631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2485645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2485663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485667 */     // GIR_Coverage, 53044,
     /* 2485667 */     GIR_EraseRootFromParent_Done,
     /* 2485668 */   // Label 32679: @2485668
     /* 2485668 */   GIM_Try, /*On fail goto*//*Label 32680*/ GIMT_Encode4(2485716), // Rule ID 53045 //
     /* 2485673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2485676 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2485679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2485693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2485711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485715 */     // GIR_Coverage, 53045,
     /* 2485715 */     GIR_EraseRootFromParent_Done,
     /* 2485716 */   // Label 32680: @2485716
     /* 2485716 */   GIM_Reject,
     /* 2485717 */ // Label 32678: @2485717
     /* 2485717 */ GIM_Reject,
     /* 2485718 */ // Label 32633: @2485718
     /* 2485718 */ GIM_Try, /*On fail goto*//*Label 32681*/ GIMT_Encode4(2485838),
     /* 2485723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2485726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2485729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485741 */   GIM_Try, /*On fail goto*//*Label 32682*/ GIMT_Encode4(2485789), // Rule ID 53092 //
     /* 2485746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2485749 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2485752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2485766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485788 */     // GIR_Coverage, 53092,
     /* 2485788 */     GIR_EraseRootFromParent_Done,
     /* 2485789 */   // Label 32682: @2485789
     /* 2485789 */   GIM_Try, /*On fail goto*//*Label 32683*/ GIMT_Encode4(2485837), // Rule ID 53093 //
     /* 2485794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2485797 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2485800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2485814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2485832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485836 */     // GIR_Coverage, 53093,
     /* 2485836 */     GIR_EraseRootFromParent_Done,
     /* 2485837 */   // Label 32683: @2485837
     /* 2485837 */   GIM_Reject,
     /* 2485838 */ // Label 32681: @2485838
     /* 2485838 */ GIM_Reject,
     /* 2485839 */ // Label 32634: @2485839
     /* 2485839 */ GIM_Try, /*On fail goto*//*Label 32684*/ GIMT_Encode4(2485959),
     /* 2485844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2485847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2485850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2485862 */   GIM_Try, /*On fail goto*//*Label 32685*/ GIMT_Encode4(2485910), // Rule ID 53008 //
     /* 2485867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2485870 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2485873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2485887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485909 */     // GIR_Coverage, 53008,
     /* 2485909 */     GIR_EraseRootFromParent_Done,
     /* 2485910 */   // Label 32685: @2485910
     /* 2485910 */   GIM_Try, /*On fail goto*//*Label 32686*/ GIMT_Encode4(2485958), // Rule ID 53009 //
     /* 2485915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2485918 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2485918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2485921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2485930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2485932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2485935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2485937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2485940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2485942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2485944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2485947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2485950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2485953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2485956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2485957 */     // GIR_Coverage, 53009,
     /* 2485957 */     GIR_EraseRootFromParent_Done,
     /* 2485958 */   // Label 32686: @2485958
     /* 2485958 */   GIM_Reject,
     /* 2485959 */ // Label 32684: @2485959
     /* 2485959 */ GIM_Reject,
     /* 2485960 */ // Label 32635: @2485960
     /* 2485960 */ GIM_Try, /*On fail goto*//*Label 32687*/ GIMT_Encode4(2486080),
     /* 2485965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2485968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2485971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2485983 */   GIM_Try, /*On fail goto*//*Label 32688*/ GIMT_Encode4(2486031), // Rule ID 53056 //
     /* 2485988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2485991 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2485991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2485994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2485998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2486008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2486026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486030 */     // GIR_Coverage, 53056,
     /* 2486030 */     GIR_EraseRootFromParent_Done,
     /* 2486031 */   // Label 32688: @2486031
     /* 2486031 */   GIM_Try, /*On fail goto*//*Label 32689*/ GIMT_Encode4(2486079), // Rule ID 53057 //
     /* 2486036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2486039 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2486039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2486042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2486056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2486074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486078 */     // GIR_Coverage, 53057,
     /* 2486078 */     GIR_EraseRootFromParent_Done,
     /* 2486079 */   // Label 32689: @2486079
     /* 2486079 */   GIM_Reject,
     /* 2486080 */ // Label 32687: @2486080
     /* 2486080 */ GIM_Reject,
     /* 2486081 */ // Label 32636: @2486081
     /* 2486081 */ GIM_Try, /*On fail goto*//*Label 32690*/ GIMT_Encode4(2486201),
     /* 2486086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2486089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2486092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486104 */   GIM_Try, /*On fail goto*//*Label 32691*/ GIMT_Encode4(2486152), // Rule ID 53104 //
     /* 2486109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2486112 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2486112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2486115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2486129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2486147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486151 */     // GIR_Coverage, 53104,
     /* 2486151 */     GIR_EraseRootFromParent_Done,
     /* 2486152 */   // Label 32691: @2486152
     /* 2486152 */   GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2486200), // Rule ID 53105 //
     /* 2486157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2486160 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2486160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2486163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2486177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2486195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486199 */     // GIR_Coverage, 53105,
     /* 2486199 */     GIR_EraseRootFromParent_Done,
     /* 2486200 */   // Label 32692: @2486200
     /* 2486200 */   GIM_Reject,
     /* 2486201 */ // Label 32690: @2486201
     /* 2486201 */ GIM_Reject,
     /* 2486202 */ // Label 32637: @2486202
     /* 2486202 */ GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2486322),
     /* 2486207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2486210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2486213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2486217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2486221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2486225 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2486273), // Rule ID 53020 //
     /* 2486230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2486233 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2486233 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2486236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486240 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2486250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2486268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486272 */     // GIR_Coverage, 53020,
     /* 2486272 */     GIR_EraseRootFromParent_Done,
     /* 2486273 */   // Label 32694: @2486273
     /* 2486273 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2486321), // Rule ID 53021 //
     /* 2486278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2486281 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2486281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2486284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2486298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2486316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486320 */     // GIR_Coverage, 53021,
     /* 2486320 */     GIR_EraseRootFromParent_Done,
     /* 2486321 */   // Label 32695: @2486321
     /* 2486321 */   GIM_Reject,
     /* 2486322 */ // Label 32693: @2486322
     /* 2486322 */ GIM_Reject,
     /* 2486323 */ // Label 32638: @2486323
     /* 2486323 */ GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2486443),
     /* 2486328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2486331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2486334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486346 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2486394), // Rule ID 53068 //
     /* 2486351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2486354 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2486354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2486357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2486371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2486389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486393 */     // GIR_Coverage, 53068,
     /* 2486393 */     GIR_EraseRootFromParent_Done,
     /* 2486394 */   // Label 32697: @2486394
     /* 2486394 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2486442), // Rule ID 53069 //
     /* 2486399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2486402 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2486402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2486405 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486409 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486414 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2486419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486421 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2486437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486441 */     // GIR_Coverage, 53069,
     /* 2486441 */     GIR_EraseRootFromParent_Done,
     /* 2486442 */   // Label 32698: @2486442
     /* 2486442 */   GIM_Reject,
     /* 2486443 */ // Label 32696: @2486443
     /* 2486443 */ GIM_Reject,
     /* 2486444 */ // Label 32639: @2486444
     /* 2486444 */ GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2486564),
     /* 2486449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2486452 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2486455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486459 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2486467 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2486515), // Rule ID 53032 //
     /* 2486472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2486475 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2486475 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2486478 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486482 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486487 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2486492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486494 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486497 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2486510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486514 */     // GIR_Coverage, 53032,
     /* 2486514 */     GIR_EraseRootFromParent_Done,
     /* 2486515 */   // Label 32700: @2486515
     /* 2486515 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2486563), // Rule ID 53033 //
     /* 2486520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2486523 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2486523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2486526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2486530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2486535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2486537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2486540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2486545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2486555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2486558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2486561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486562 */     // GIR_Coverage, 53033,
     /* 2486562 */     GIR_EraseRootFromParent_Done,
     /* 2486563 */   // Label 32701: @2486563
     /* 2486563 */   GIM_Reject,
     /* 2486564 */ // Label 32699: @2486564
     /* 2486564 */ GIM_Reject,
     /* 2486565 */ // Label 32640: @2486565
     /* 2486565 */ GIM_Reject,
     /* 2486566 */ // Label 96: @2486566
     /* 2486566 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32720*/ GIMT_Encode4(2488993),
     /* 2486577 */ /*GILLT_s16*//*Label 32702*/ GIMT_Encode4(2486697),
     /* 2486581 */ /*GILLT_s32*//*Label 32703*/ GIMT_Encode4(2486846),
     /* 2486585 */ /*GILLT_s64*//*Label 32704*/ GIMT_Encode4(2486995), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486597 */ /*GILLT_nxv1s16*//*Label 32705*/ GIMT_Encode4(2487178),
     /* 2486601 */ /*GILLT_nxv1s32*//*Label 32706*/ GIMT_Encode4(2487299),
     /* 2486605 */ /*GILLT_nxv1s64*//*Label 32707*/ GIMT_Encode4(2487420), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486617 */ /*GILLT_nxv2s16*//*Label 32708*/ GIMT_Encode4(2487541),
     /* 2486621 */ /*GILLT_nxv2s32*//*Label 32709*/ GIMT_Encode4(2487662),
     /* 2486625 */ /*GILLT_nxv2s64*//*Label 32710*/ GIMT_Encode4(2487783), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486637 */ /*GILLT_nxv4s16*//*Label 32711*/ GIMT_Encode4(2487904),
     /* 2486641 */ /*GILLT_nxv4s32*//*Label 32712*/ GIMT_Encode4(2488025),
     /* 2486645 */ /*GILLT_nxv4s64*//*Label 32713*/ GIMT_Encode4(2488146), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486657 */ /*GILLT_nxv8s16*//*Label 32714*/ GIMT_Encode4(2488267),
     /* 2486661 */ /*GILLT_nxv8s32*//*Label 32715*/ GIMT_Encode4(2488388),
     /* 2486665 */ /*GILLT_nxv8s64*//*Label 32716*/ GIMT_Encode4(2488509), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486677 */ /*GILLT_nxv16s16*//*Label 32717*/ GIMT_Encode4(2488630),
     /* 2486681 */ /*GILLT_nxv16s32*//*Label 32718*/ GIMT_Encode4(2488751), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2486693 */ /*GILLT_nxv32s16*//*Label 32719*/ GIMT_Encode4(2488872),
     /* 2486697 */ // Label 32702: @2486697
     /* 2486697 */ GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2486845),
     /* 2486702 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2486705 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2486708 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2486742), // Rule ID 1830 //
     /* 2486713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2486716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486728 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2486728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2486731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486741 */     // GIR_Coverage, 1830,
     /* 2486741 */     GIR_EraseRootFromParent_Done,
     /* 2486742 */   // Label 32722: @2486742
     /* 2486742 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2486776), // Rule ID 1831 //
     /* 2486747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2486750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2486762 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2486762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2486765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486775 */     // GIR_Coverage, 1831,
     /* 2486775 */     GIR_EraseRootFromParent_Done,
     /* 2486776 */   // Label 32723: @2486776
     /* 2486776 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2486810), // Rule ID 1834 //
     /* 2486781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2486784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486796 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2486796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2486799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486809 */     // GIR_Coverage, 1834,
     /* 2486809 */     GIR_EraseRootFromParent_Done,
     /* 2486810 */   // Label 32724: @2486810
     /* 2486810 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2486844), // Rule ID 1835 //
     /* 2486815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2486818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2486830 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2486830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2486833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486843 */     // GIR_Coverage, 1835,
     /* 2486843 */     GIR_EraseRootFromParent_Done,
     /* 2486844 */   // Label 32725: @2486844
     /* 2486844 */   GIM_Reject,
     /* 2486845 */ // Label 32721: @2486845
     /* 2486845 */ GIM_Reject,
     /* 2486846 */ // Label 32703: @2486846
     /* 2486846 */ GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2486994),
     /* 2486851 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2486854 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2486857 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2486891), // Rule ID 1121 //
     /* 2486862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2486865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486877 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2486877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2486880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486890 */     // GIR_Coverage, 1121,
     /* 2486890 */     GIR_EraseRootFromParent_Done,
     /* 2486891 */   // Label 32727: @2486891
     /* 2486891 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2486925), // Rule ID 1122 //
     /* 2486896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2486899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2486911 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2486911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2486914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486924 */     // GIR_Coverage, 1122,
     /* 2486924 */     GIR_EraseRootFromParent_Done,
     /* 2486925 */   // Label 32728: @2486925
     /* 2486925 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2486959), // Rule ID 1125 //
     /* 2486930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2486933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486945 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2486945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2486948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486958 */     // GIR_Coverage, 1125,
     /* 2486958 */     GIR_EraseRootFromParent_Done,
     /* 2486959 */   // Label 32729: @2486959
     /* 2486959 */   GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2486993), // Rule ID 1126 //
     /* 2486964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2486967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2486979 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2486979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2486982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2486984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2486986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2486988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2486991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2486992 */     // GIR_Coverage, 1126,
     /* 2486992 */     GIR_EraseRootFromParent_Done,
     /* 2486993 */   // Label 32730: @2486993
     /* 2486993 */   GIM_Reject,
     /* 2486994 */ // Label 32726: @2486994
     /* 2486994 */ GIM_Reject,
     /* 2486995 */ // Label 32704: @2486995
     /* 2486995 */ GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2487177),
     /* 2487000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2487003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2487006 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2487040), // Rule ID 1460 //
     /* 2487011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2487014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487026 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2487026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2487029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487039 */     // GIR_Coverage, 1460,
     /* 2487039 */     GIR_EraseRootFromParent_Done,
     /* 2487040 */   // Label 32732: @2487040
     /* 2487040 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2487074), // Rule ID 1461 //
     /* 2487045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2487048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2487060 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2487060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2487063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487073 */     // GIR_Coverage, 1461,
     /* 2487073 */     GIR_EraseRootFromParent_Done,
     /* 2487074 */   // Label 32733: @2487074
     /* 2487074 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2487108), // Rule ID 1464 //
     /* 2487079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2487082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487094 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2487094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2487097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487107 */     // GIR_Coverage, 1464,
     /* 2487107 */     GIR_EraseRootFromParent_Done,
     /* 2487108 */   // Label 32734: @2487108
     /* 2487108 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2487142), // Rule ID 1465 //
     /* 2487113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2487116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2487128 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2487128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2487131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487141 */     // GIR_Coverage, 1465,
     /* 2487141 */     GIR_EraseRootFromParent_Done,
     /* 2487142 */   // Label 32735: @2487142
     /* 2487142 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2487176), // Rule ID 1468 //
     /* 2487147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2487150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2487154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2487158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2487162 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2487162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2487165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487175 */     // GIR_Coverage, 1468,
     /* 2487175 */     GIR_EraseRootFromParent_Done,
     /* 2487176 */   // Label 32736: @2487176
     /* 2487176 */   GIM_Reject,
     /* 2487177 */ // Label 32731: @2487177
     /* 2487177 */ GIM_Reject,
     /* 2487178 */ // Label 32705: @2487178
     /* 2487178 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2487298),
     /* 2487183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2487186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2487189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487201 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2487249), // Rule ID 53704 //
     /* 2487206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2487209 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2487212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2487226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2487244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487248 */     // GIR_Coverage, 53704,
     /* 2487248 */     GIR_EraseRootFromParent_Done,
     /* 2487249 */   // Label 32738: @2487249
     /* 2487249 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2487297), // Rule ID 53705 //
     /* 2487254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2487257 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2487260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2487274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2487292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487296 */     // GIR_Coverage, 53705,
     /* 2487296 */     GIR_EraseRootFromParent_Done,
     /* 2487297 */   // Label 32739: @2487297
     /* 2487297 */   GIM_Reject,
     /* 2487298 */ // Label 32737: @2487298
     /* 2487298 */ GIM_Reject,
     /* 2487299 */ // Label 32706: @2487299
     /* 2487299 */ GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2487419),
     /* 2487304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2487307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2487310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487322 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2487370), // Rule ID 53728 //
     /* 2487327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2487330 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2487333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2487347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2487365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487369 */     // GIR_Coverage, 53728,
     /* 2487369 */     GIR_EraseRootFromParent_Done,
     /* 2487370 */   // Label 32741: @2487370
     /* 2487370 */   GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2487418), // Rule ID 53729 //
     /* 2487375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2487378 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2487381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2487395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2487413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487417 */     // GIR_Coverage, 53729,
     /* 2487417 */     GIR_EraseRootFromParent_Done,
     /* 2487418 */   // Label 32742: @2487418
     /* 2487418 */   GIM_Reject,
     /* 2487419 */ // Label 32740: @2487419
     /* 2487419 */ GIM_Reject,
     /* 2487420 */ // Label 32707: @2487420
     /* 2487420 */ GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2487540),
     /* 2487425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2487428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2487431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487443 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2487491), // Rule ID 53764 //
     /* 2487448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2487451 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2487454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2487468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2487486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487490 */     // GIR_Coverage, 53764,
     /* 2487490 */     GIR_EraseRootFromParent_Done,
     /* 2487491 */   // Label 32744: @2487491
     /* 2487491 */   GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2487539), // Rule ID 53765 //
     /* 2487496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2487499 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2487502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2487516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2487534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487538 */     // GIR_Coverage, 53765,
     /* 2487538 */     GIR_EraseRootFromParent_Done,
     /* 2487539 */   // Label 32745: @2487539
     /* 2487539 */   GIM_Reject,
     /* 2487540 */ // Label 32743: @2487540
     /* 2487540 */ GIM_Reject,
     /* 2487541 */ // Label 32708: @2487541
     /* 2487541 */ GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2487661),
     /* 2487546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2487549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2487552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487564 */   GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2487612), // Rule ID 53716 //
     /* 2487569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2487572 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2487575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2487589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2487607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487611 */     // GIR_Coverage, 53716,
     /* 2487611 */     GIR_EraseRootFromParent_Done,
     /* 2487612 */   // Label 32747: @2487612
     /* 2487612 */   GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2487660), // Rule ID 53717 //
     /* 2487617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2487620 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2487623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2487637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2487655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487659 */     // GIR_Coverage, 53717,
     /* 2487659 */     GIR_EraseRootFromParent_Done,
     /* 2487660 */   // Label 32748: @2487660
     /* 2487660 */   GIM_Reject,
     /* 2487661 */ // Label 32746: @2487661
     /* 2487661 */ GIM_Reject,
     /* 2487662 */ // Label 32709: @2487662
     /* 2487662 */ GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2487782),
     /* 2487667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2487670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2487673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487685 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2487733), // Rule ID 53752 //
     /* 2487690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2487693 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2487696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2487710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2487728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487732 */     // GIR_Coverage, 53752,
     /* 2487732 */     GIR_EraseRootFromParent_Done,
     /* 2487733 */   // Label 32750: @2487733
     /* 2487733 */   GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2487781), // Rule ID 53753 //
     /* 2487738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2487741 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2487744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2487758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2487776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487780 */     // GIR_Coverage, 53753,
     /* 2487780 */     GIR_EraseRootFromParent_Done,
     /* 2487781 */   // Label 32751: @2487781
     /* 2487781 */   GIM_Reject,
     /* 2487782 */ // Label 32749: @2487782
     /* 2487782 */ GIM_Reject,
     /* 2487783 */ // Label 32710: @2487783
     /* 2487783 */ GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2487903),
     /* 2487788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2487791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2487794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2487798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2487802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2487806 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2487854), // Rule ID 53848 //
     /* 2487811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2487814 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2487817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2487831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2487849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487853 */     // GIR_Coverage, 53848,
     /* 2487853 */     GIR_EraseRootFromParent_Done,
     /* 2487854 */   // Label 32753: @2487854
     /* 2487854 */   GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2487902), // Rule ID 53849 //
     /* 2487859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2487862 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2487865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2487879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2487897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487901 */     // GIR_Coverage, 53849,
     /* 2487901 */     GIR_EraseRootFromParent_Done,
     /* 2487902 */   // Label 32754: @2487902
     /* 2487902 */   GIM_Reject,
     /* 2487903 */ // Label 32752: @2487903
     /* 2487903 */ GIM_Reject,
     /* 2487904 */ // Label 32711: @2487904
     /* 2487904 */ GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2488024),
     /* 2487909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2487912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2487915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2487927 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2487975), // Rule ID 53740 //
     /* 2487932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2487935 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2487935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2487938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2487952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2487954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2487957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2487959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2487961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2487964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2487967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2487970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2487973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2487974 */     // GIR_Coverage, 53740,
     /* 2487974 */     GIR_EraseRootFromParent_Done,
     /* 2487975 */   // Label 32756: @2487975
     /* 2487975 */   GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2488023), // Rule ID 53741 //
     /* 2487980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2487983 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2487983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2487986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2487990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2487995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2487997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2488000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488022 */     // GIR_Coverage, 53741,
     /* 2488022 */     GIR_EraseRootFromParent_Done,
     /* 2488023 */   // Label 32757: @2488023
     /* 2488023 */   GIM_Reject,
     /* 2488024 */ // Label 32755: @2488024
     /* 2488024 */ GIM_Reject,
     /* 2488025 */ // Label 32712: @2488025
     /* 2488025 */ GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2488145),
     /* 2488030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2488033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2488036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488048 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2488096), // Rule ID 53812 //
     /* 2488053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2488056 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2488059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2488073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488095 */     // GIR_Coverage, 53812,
     /* 2488095 */     GIR_EraseRootFromParent_Done,
     /* 2488096 */   // Label 32759: @2488096
     /* 2488096 */   GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2488144), // Rule ID 53813 //
     /* 2488101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2488104 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2488107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2488121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488143 */     // GIR_Coverage, 53813,
     /* 2488143 */     GIR_EraseRootFromParent_Done,
     /* 2488144 */   // Label 32760: @2488144
     /* 2488144 */   GIM_Reject,
     /* 2488145 */ // Label 32758: @2488145
     /* 2488145 */ GIM_Reject,
     /* 2488146 */ // Label 32713: @2488146
     /* 2488146 */ GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2488266),
     /* 2488151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2488154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2488157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488169 */   GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2488217), // Rule ID 53860 //
     /* 2488174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2488177 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2488180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2488194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2488212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488216 */     // GIR_Coverage, 53860,
     /* 2488216 */     GIR_EraseRootFromParent_Done,
     /* 2488217 */   // Label 32762: @2488217
     /* 2488217 */   GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2488265), // Rule ID 53861 //
     /* 2488222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2488225 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2488228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2488242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2488260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488264 */     // GIR_Coverage, 53861,
     /* 2488264 */     GIR_EraseRootFromParent_Done,
     /* 2488265 */   // Label 32763: @2488265
     /* 2488265 */   GIM_Reject,
     /* 2488266 */ // Label 32761: @2488266
     /* 2488266 */ GIM_Reject,
     /* 2488267 */ // Label 32714: @2488267
     /* 2488267 */ GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2488387),
     /* 2488272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2488275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2488278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2488290 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2488338), // Rule ID 53776 //
     /* 2488295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2488298 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2488301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2488315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488337 */     // GIR_Coverage, 53776,
     /* 2488337 */     GIR_EraseRootFromParent_Done,
     /* 2488338 */   // Label 32765: @2488338
     /* 2488338 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2488386), // Rule ID 53777 //
     /* 2488343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2488346 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2488349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2488363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488385 */     // GIR_Coverage, 53777,
     /* 2488385 */     GIR_EraseRootFromParent_Done,
     /* 2488386 */   // Label 32766: @2488386
     /* 2488386 */   GIM_Reject,
     /* 2488387 */ // Label 32764: @2488387
     /* 2488387 */ GIM_Reject,
     /* 2488388 */ // Label 32715: @2488388
     /* 2488388 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2488508),
     /* 2488393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2488396 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2488399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488407 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488411 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2488459), // Rule ID 53824 //
     /* 2488416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2488419 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2488422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2488436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488458 */     // GIR_Coverage, 53824,
     /* 2488458 */     GIR_EraseRootFromParent_Done,
     /* 2488459 */   // Label 32768: @2488459
     /* 2488459 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2488507), // Rule ID 53825 //
     /* 2488464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2488467 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2488470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2488484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488506 */     // GIR_Coverage, 53825,
     /* 2488506 */     GIR_EraseRootFromParent_Done,
     /* 2488507 */   // Label 32769: @2488507
     /* 2488507 */   GIM_Reject,
     /* 2488508 */ // Label 32767: @2488508
     /* 2488508 */ GIM_Reject,
     /* 2488509 */ // Label 32716: @2488509
     /* 2488509 */ GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2488629),
     /* 2488514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2488517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2488520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488532 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2488580), // Rule ID 53872 //
     /* 2488537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2488540 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2488543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2488557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2488575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488579 */     // GIR_Coverage, 53872,
     /* 2488579 */     GIR_EraseRootFromParent_Done,
     /* 2488580 */   // Label 32771: @2488580
     /* 2488580 */   GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2488628), // Rule ID 53873 //
     /* 2488585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2488588 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2488591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2488605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2488623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488627 */     // GIR_Coverage, 53873,
     /* 2488627 */     GIR_EraseRootFromParent_Done,
     /* 2488628 */   // Label 32772: @2488628
     /* 2488628 */   GIM_Reject,
     /* 2488629 */ // Label 32770: @2488629
     /* 2488629 */ GIM_Reject,
     /* 2488630 */ // Label 32717: @2488630
     /* 2488630 */ GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2488750),
     /* 2488635 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2488638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2488641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488645 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488649 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2488653 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2488701), // Rule ID 53788 //
     /* 2488658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2488661 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2488664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2488678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488700 */     // GIR_Coverage, 53788,
     /* 2488700 */     GIR_EraseRootFromParent_Done,
     /* 2488701 */   // Label 32774: @2488701
     /* 2488701 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2488749), // Rule ID 53789 //
     /* 2488706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2488709 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2488712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2488726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488748 */     // GIR_Coverage, 53789,
     /* 2488748 */     GIR_EraseRootFromParent_Done,
     /* 2488749 */   // Label 32775: @2488749
     /* 2488749 */   GIM_Reject,
     /* 2488750 */ // Label 32773: @2488750
     /* 2488750 */ GIM_Reject,
     /* 2488751 */ // Label 32718: @2488751
     /* 2488751 */ GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2488871),
     /* 2488756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2488759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2488762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488766 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488770 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488774 */   GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2488822), // Rule ID 53836 //
     /* 2488779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2488782 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2488785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2488799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488821 */     // GIR_Coverage, 53836,
     /* 2488821 */     GIR_EraseRootFromParent_Done,
     /* 2488822 */   // Label 32777: @2488822
     /* 2488822 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2488870), // Rule ID 53837 //
     /* 2488827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2488830 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2488833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2488847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2488865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488869 */     // GIR_Coverage, 53837,
     /* 2488869 */     GIR_EraseRootFromParent_Done,
     /* 2488870 */   // Label 32778: @2488870
     /* 2488870 */   GIM_Reject,
     /* 2488871 */ // Label 32776: @2488871
     /* 2488871 */ GIM_Reject,
     /* 2488872 */ // Label 32719: @2488872
     /* 2488872 */ GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2488992),
     /* 2488877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2488880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2488883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488887 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488891 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2488895 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2488943), // Rule ID 53800 //
     /* 2488900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2488903 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2488903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2488906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2488920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488942 */     // GIR_Coverage, 53800,
     /* 2488942 */     GIR_EraseRootFromParent_Done,
     /* 2488943 */   // Label 32780: @2488943
     /* 2488943 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2488991), // Rule ID 53801 //
     /* 2488948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2488951 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2488951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2488954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2488958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2488963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2488965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2488968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2488970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2488973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2488975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2488977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2488980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2488983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2488986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2488989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2488990 */     // GIR_Coverage, 53801,
     /* 2488990 */     GIR_EraseRootFromParent_Done,
     /* 2488991 */   // Label 32781: @2488991
     /* 2488991 */   GIM_Reject,
     /* 2488992 */ // Label 32779: @2488992
     /* 2488992 */ GIM_Reject,
     /* 2488993 */ // Label 32720: @2488993
     /* 2488993 */ GIM_Reject,
     /* 2488994 */ // Label 97: @2488994
     /* 2488994 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32800*/ GIMT_Encode4(2491421),
     /* 2489005 */ /*GILLT_s16*//*Label 32782*/ GIMT_Encode4(2489125),
     /* 2489009 */ /*GILLT_s32*//*Label 32783*/ GIMT_Encode4(2489274),
     /* 2489013 */ /*GILLT_s64*//*Label 32784*/ GIMT_Encode4(2489423), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489025 */ /*GILLT_nxv1s16*//*Label 32785*/ GIMT_Encode4(2489606),
     /* 2489029 */ /*GILLT_nxv1s32*//*Label 32786*/ GIMT_Encode4(2489727),
     /* 2489033 */ /*GILLT_nxv1s64*//*Label 32787*/ GIMT_Encode4(2489848), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489045 */ /*GILLT_nxv2s16*//*Label 32788*/ GIMT_Encode4(2489969),
     /* 2489049 */ /*GILLT_nxv2s32*//*Label 32789*/ GIMT_Encode4(2490090),
     /* 2489053 */ /*GILLT_nxv2s64*//*Label 32790*/ GIMT_Encode4(2490211), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489065 */ /*GILLT_nxv4s16*//*Label 32791*/ GIMT_Encode4(2490332),
     /* 2489069 */ /*GILLT_nxv4s32*//*Label 32792*/ GIMT_Encode4(2490453),
     /* 2489073 */ /*GILLT_nxv4s64*//*Label 32793*/ GIMT_Encode4(2490574), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489085 */ /*GILLT_nxv8s16*//*Label 32794*/ GIMT_Encode4(2490695),
     /* 2489089 */ /*GILLT_nxv8s32*//*Label 32795*/ GIMT_Encode4(2490816),
     /* 2489093 */ /*GILLT_nxv8s64*//*Label 32796*/ GIMT_Encode4(2490937), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489105 */ /*GILLT_nxv16s16*//*Label 32797*/ GIMT_Encode4(2491058),
     /* 2489109 */ /*GILLT_nxv16s32*//*Label 32798*/ GIMT_Encode4(2491179), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2489121 */ /*GILLT_nxv32s16*//*Label 32799*/ GIMT_Encode4(2491300),
     /* 2489125 */ // Label 32782: @2489125
     /* 2489125 */ GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2489273),
     /* 2489130 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2489133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2489136 */   GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2489170), // Rule ID 1838 //
     /* 2489141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2489144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489156 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2489156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2489159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489169 */     // GIR_Coverage, 1838,
     /* 2489169 */     GIR_EraseRootFromParent_Done,
     /* 2489170 */   // Label 32802: @2489170
     /* 2489170 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2489204), // Rule ID 1839 //
     /* 2489175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2489178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2489190 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2489190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2489193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489203 */     // GIR_Coverage, 1839,
     /* 2489203 */     GIR_EraseRootFromParent_Done,
     /* 2489204 */   // Label 32803: @2489204
     /* 2489204 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2489238), // Rule ID 1842 //
     /* 2489209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2489212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489224 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2489224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2489227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489237 */     // GIR_Coverage, 1842,
     /* 2489237 */     GIR_EraseRootFromParent_Done,
     /* 2489238 */   // Label 32804: @2489238
     /* 2489238 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2489272), // Rule ID 1843 //
     /* 2489243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2489246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2489258 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2489258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2489261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489271 */     // GIR_Coverage, 1843,
     /* 2489271 */     GIR_EraseRootFromParent_Done,
     /* 2489272 */   // Label 32805: @2489272
     /* 2489272 */   GIM_Reject,
     /* 2489273 */ // Label 32801: @2489273
     /* 2489273 */ GIM_Reject,
     /* 2489274 */ // Label 32783: @2489274
     /* 2489274 */ GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2489422),
     /* 2489279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2489282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2489285 */   GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2489319), // Rule ID 1129 //
     /* 2489290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2489293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489305 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2489305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2489308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489318 */     // GIR_Coverage, 1129,
     /* 2489318 */     GIR_EraseRootFromParent_Done,
     /* 2489319 */   // Label 32807: @2489319
     /* 2489319 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2489353), // Rule ID 1130 //
     /* 2489324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2489327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2489339 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2489339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2489342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489352 */     // GIR_Coverage, 1130,
     /* 2489352 */     GIR_EraseRootFromParent_Done,
     /* 2489353 */   // Label 32808: @2489353
     /* 2489353 */   GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2489387), // Rule ID 1133 //
     /* 2489358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2489361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489373 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2489373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2489376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489386 */     // GIR_Coverage, 1133,
     /* 2489386 */     GIR_EraseRootFromParent_Done,
     /* 2489387 */   // Label 32809: @2489387
     /* 2489387 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2489421), // Rule ID 1134 //
     /* 2489392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2489395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2489407 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2489407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2489410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489420 */     // GIR_Coverage, 1134,
     /* 2489420 */     GIR_EraseRootFromParent_Done,
     /* 2489421 */   // Label 32810: @2489421
     /* 2489421 */   GIM_Reject,
     /* 2489422 */ // Label 32806: @2489422
     /* 2489422 */ GIM_Reject,
     /* 2489423 */ // Label 32784: @2489423
     /* 2489423 */ GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2489605),
     /* 2489428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2489431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2489434 */   GIM_Try, /*On fail goto*//*Label 32812*/ GIMT_Encode4(2489468), // Rule ID 1470 //
     /* 2489439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2489442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489454 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2489454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2489457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489467 */     // GIR_Coverage, 1470,
     /* 2489467 */     GIR_EraseRootFromParent_Done,
     /* 2489468 */   // Label 32812: @2489468
     /* 2489468 */   GIM_Try, /*On fail goto*//*Label 32813*/ GIMT_Encode4(2489502), // Rule ID 1471 //
     /* 2489473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2489476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2489488 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2489488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2489491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489501 */     // GIR_Coverage, 1471,
     /* 2489501 */     GIR_EraseRootFromParent_Done,
     /* 2489502 */   // Label 32813: @2489502
     /* 2489502 */   GIM_Try, /*On fail goto*//*Label 32814*/ GIMT_Encode4(2489536), // Rule ID 1474 //
     /* 2489507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2489510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489522 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2489522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2489525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489535 */     // GIR_Coverage, 1474,
     /* 2489535 */     GIR_EraseRootFromParent_Done,
     /* 2489536 */   // Label 32814: @2489536
     /* 2489536 */   GIM_Try, /*On fail goto*//*Label 32815*/ GIMT_Encode4(2489570), // Rule ID 1475 //
     /* 2489541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2489544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2489556 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2489556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2489559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489569 */     // GIR_Coverage, 1475,
     /* 2489569 */     GIR_EraseRootFromParent_Done,
     /* 2489570 */   // Label 32815: @2489570
     /* 2489570 */   GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2489604), // Rule ID 1478 //
     /* 2489575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2489578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2489582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2489586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2489590 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2489590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2489593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489603 */     // GIR_Coverage, 1478,
     /* 2489603 */     GIR_EraseRootFromParent_Done,
     /* 2489604 */   // Label 32816: @2489604
     /* 2489604 */   GIM_Reject,
     /* 2489605 */ // Label 32811: @2489605
     /* 2489605 */ GIM_Reject,
     /* 2489606 */ // Label 32785: @2489606
     /* 2489606 */ GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2489726),
     /* 2489611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2489614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2489617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489625 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489629 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2489677), // Rule ID 53884 //
     /* 2489634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2489637 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2489637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2489640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2489654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2489672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489676 */     // GIR_Coverage, 53884,
     /* 2489676 */     GIR_EraseRootFromParent_Done,
     /* 2489677 */   // Label 32818: @2489677
     /* 2489677 */   GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2489725), // Rule ID 53885 //
     /* 2489682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2489685 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2489685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2489688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2489702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2489720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489724 */     // GIR_Coverage, 53885,
     /* 2489724 */     GIR_EraseRootFromParent_Done,
     /* 2489725 */   // Label 32819: @2489725
     /* 2489725 */   GIM_Reject,
     /* 2489726 */ // Label 32817: @2489726
     /* 2489726 */ GIM_Reject,
     /* 2489727 */ // Label 32786: @2489727
     /* 2489727 */ GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2489847),
     /* 2489732 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2489735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2489738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489746 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489750 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2489798), // Rule ID 53908 //
     /* 2489755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2489758 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2489758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2489761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2489775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2489793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489797 */     // GIR_Coverage, 53908,
     /* 2489797 */     GIR_EraseRootFromParent_Done,
     /* 2489798 */   // Label 32821: @2489798
     /* 2489798 */   GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2489846), // Rule ID 53909 //
     /* 2489803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2489806 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2489806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2489809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2489823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2489841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489845 */     // GIR_Coverage, 53909,
     /* 2489845 */     GIR_EraseRootFromParent_Done,
     /* 2489846 */   // Label 32822: @2489846
     /* 2489846 */   GIM_Reject,
     /* 2489847 */ // Label 32820: @2489847
     /* 2489847 */ GIM_Reject,
     /* 2489848 */ // Label 32787: @2489848
     /* 2489848 */ GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2489968),
     /* 2489853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2489856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2489859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489863 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489867 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489871 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2489919), // Rule ID 53944 //
     /* 2489876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2489879 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2489879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2489882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489891 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2489896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489898 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2489914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489918 */     // GIR_Coverage, 53944,
     /* 2489918 */     GIR_EraseRootFromParent_Done,
     /* 2489919 */   // Label 32824: @2489919
     /* 2489919 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2489967), // Rule ID 53945 //
     /* 2489924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2489927 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2489927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2489930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2489934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2489939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2489941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2489944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2489946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2489949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2489951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2489953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2489956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2489959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2489962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2489965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2489966 */     // GIR_Coverage, 53945,
     /* 2489966 */     GIR_EraseRootFromParent_Done,
     /* 2489967 */   // Label 32825: @2489967
     /* 2489967 */   GIM_Reject,
     /* 2489968 */ // Label 32823: @2489968
     /* 2489968 */ GIM_Reject,
     /* 2489969 */ // Label 32788: @2489969
     /* 2489969 */ GIM_Try, /*On fail goto*//*Label 32826*/ GIMT_Encode4(2490089),
     /* 2489974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2489977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2489980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2489992 */   GIM_Try, /*On fail goto*//*Label 32827*/ GIMT_Encode4(2490040), // Rule ID 53896 //
     /* 2489997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2490000 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2490003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2490017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490039 */     // GIR_Coverage, 53896,
     /* 2490039 */     GIR_EraseRootFromParent_Done,
     /* 2490040 */   // Label 32827: @2490040
     /* 2490040 */   GIM_Try, /*On fail goto*//*Label 32828*/ GIMT_Encode4(2490088), // Rule ID 53897 //
     /* 2490045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2490048 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2490051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2490065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490070 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490087 */     // GIR_Coverage, 53897,
     /* 2490087 */     GIR_EraseRootFromParent_Done,
     /* 2490088 */   // Label 32828: @2490088
     /* 2490088 */   GIM_Reject,
     /* 2490089 */ // Label 32826: @2490089
     /* 2490089 */ GIM_Reject,
     /* 2490090 */ // Label 32789: @2490090
     /* 2490090 */ GIM_Try, /*On fail goto*//*Label 32829*/ GIMT_Encode4(2490210),
     /* 2490095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2490098 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2490101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490105 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490109 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490113 */   GIM_Try, /*On fail goto*//*Label 32830*/ GIMT_Encode4(2490161), // Rule ID 53932 //
     /* 2490118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2490121 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2490124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2490138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490160 */     // GIR_Coverage, 53932,
     /* 2490160 */     GIR_EraseRootFromParent_Done,
     /* 2490161 */   // Label 32830: @2490161
     /* 2490161 */   GIM_Try, /*On fail goto*//*Label 32831*/ GIMT_Encode4(2490209), // Rule ID 53933 //
     /* 2490166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2490169 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2490172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2490186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490208 */     // GIR_Coverage, 53933,
     /* 2490208 */     GIR_EraseRootFromParent_Done,
     /* 2490209 */   // Label 32831: @2490209
     /* 2490209 */   GIM_Reject,
     /* 2490210 */ // Label 32829: @2490210
     /* 2490210 */ GIM_Reject,
     /* 2490211 */ // Label 32790: @2490211
     /* 2490211 */ GIM_Try, /*On fail goto*//*Label 32832*/ GIMT_Encode4(2490331),
     /* 2490216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2490219 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2490222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490230 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490234 */   GIM_Try, /*On fail goto*//*Label 32833*/ GIMT_Encode4(2490282), // Rule ID 54028 //
     /* 2490239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2490242 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490242 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2490245 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490249 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490254 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2490259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490261 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2490277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490281 */     // GIR_Coverage, 54028,
     /* 2490281 */     GIR_EraseRootFromParent_Done,
     /* 2490282 */   // Label 32833: @2490282
     /* 2490282 */   GIM_Try, /*On fail goto*//*Label 32834*/ GIMT_Encode4(2490330), // Rule ID 54029 //
     /* 2490287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2490290 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2490293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2490307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2490325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490329 */     // GIR_Coverage, 54029,
     /* 2490329 */     GIR_EraseRootFromParent_Done,
     /* 2490330 */   // Label 32834: @2490330
     /* 2490330 */   GIM_Reject,
     /* 2490331 */ // Label 32832: @2490331
     /* 2490331 */ GIM_Reject,
     /* 2490332 */ // Label 32791: @2490332
     /* 2490332 */ GIM_Try, /*On fail goto*//*Label 32835*/ GIMT_Encode4(2490452),
     /* 2490337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2490340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2490343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2490355 */   GIM_Try, /*On fail goto*//*Label 32836*/ GIMT_Encode4(2490403), // Rule ID 53920 //
     /* 2490360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2490363 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2490366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2490380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490402 */     // GIR_Coverage, 53920,
     /* 2490402 */     GIR_EraseRootFromParent_Done,
     /* 2490403 */   // Label 32836: @2490403
     /* 2490403 */   GIM_Try, /*On fail goto*//*Label 32837*/ GIMT_Encode4(2490451), // Rule ID 53921 //
     /* 2490408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2490411 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2490414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2490428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490450 */     // GIR_Coverage, 53921,
     /* 2490450 */     GIR_EraseRootFromParent_Done,
     /* 2490451 */   // Label 32837: @2490451
     /* 2490451 */   GIM_Reject,
     /* 2490452 */ // Label 32835: @2490452
     /* 2490452 */ GIM_Reject,
     /* 2490453 */ // Label 32792: @2490453
     /* 2490453 */ GIM_Try, /*On fail goto*//*Label 32838*/ GIMT_Encode4(2490573),
     /* 2490458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2490461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2490464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490468 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490472 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490476 */   GIM_Try, /*On fail goto*//*Label 32839*/ GIMT_Encode4(2490524), // Rule ID 53992 //
     /* 2490481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2490484 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2490487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2490501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490523 */     // GIR_Coverage, 53992,
     /* 2490523 */     GIR_EraseRootFromParent_Done,
     /* 2490524 */   // Label 32839: @2490524
     /* 2490524 */   GIM_Try, /*On fail goto*//*Label 32840*/ GIMT_Encode4(2490572), // Rule ID 53993 //
     /* 2490529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2490532 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2490535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2490549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490571 */     // GIR_Coverage, 53993,
     /* 2490571 */     GIR_EraseRootFromParent_Done,
     /* 2490572 */   // Label 32840: @2490572
     /* 2490572 */   GIM_Reject,
     /* 2490573 */ // Label 32838: @2490573
     /* 2490573 */ GIM_Reject,
     /* 2490574 */ // Label 32793: @2490574
     /* 2490574 */ GIM_Try, /*On fail goto*//*Label 32841*/ GIMT_Encode4(2490694),
     /* 2490579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2490582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2490585 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490589 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490593 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490597 */   GIM_Try, /*On fail goto*//*Label 32842*/ GIMT_Encode4(2490645), // Rule ID 54040 //
     /* 2490602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2490605 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2490608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2490622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2490640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490644 */     // GIR_Coverage, 54040,
     /* 2490644 */     GIR_EraseRootFromParent_Done,
     /* 2490645 */   // Label 32842: @2490645
     /* 2490645 */   GIM_Try, /*On fail goto*//*Label 32843*/ GIMT_Encode4(2490693), // Rule ID 54041 //
     /* 2490650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2490653 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2490656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2490670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2490688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490692 */     // GIR_Coverage, 54041,
     /* 2490692 */     GIR_EraseRootFromParent_Done,
     /* 2490693 */   // Label 32843: @2490693
     /* 2490693 */   GIM_Reject,
     /* 2490694 */ // Label 32841: @2490694
     /* 2490694 */ GIM_Reject,
     /* 2490695 */ // Label 32794: @2490695
     /* 2490695 */ GIM_Try, /*On fail goto*//*Label 32844*/ GIMT_Encode4(2490815),
     /* 2490700 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2490703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2490706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490714 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2490718 */   GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2490766), // Rule ID 53956 //
     /* 2490723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2490726 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2490729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2490743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490765 */     // GIR_Coverage, 53956,
     /* 2490765 */     GIR_EraseRootFromParent_Done,
     /* 2490766 */   // Label 32845: @2490766
     /* 2490766 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2490814), // Rule ID 53957 //
     /* 2490771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2490774 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2490777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2490791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2490809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490813 */     // GIR_Coverage, 53957,
     /* 2490813 */     GIR_EraseRootFromParent_Done,
     /* 2490814 */   // Label 32846: @2490814
     /* 2490814 */   GIM_Reject,
     /* 2490815 */ // Label 32844: @2490815
     /* 2490815 */ GIM_Reject,
     /* 2490816 */ // Label 32795: @2490816
     /* 2490816 */ GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2490936),
     /* 2490821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2490824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2490827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2490839 */   GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2490887), // Rule ID 54004 //
     /* 2490844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2490847 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2490850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2490864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490886 */     // GIR_Coverage, 54004,
     /* 2490886 */     GIR_EraseRootFromParent_Done,
     /* 2490887 */   // Label 32848: @2490887
     /* 2490887 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2490935), // Rule ID 54005 //
     /* 2490892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2490895 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2490895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2490898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2490912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2490927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2490930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2490933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2490934 */     // GIR_Coverage, 54005,
     /* 2490934 */     GIR_EraseRootFromParent_Done,
     /* 2490935 */   // Label 32849: @2490935
     /* 2490935 */   GIM_Reject,
     /* 2490936 */ // Label 32847: @2490936
     /* 2490936 */ GIM_Reject,
     /* 2490937 */ // Label 32796: @2490937
     /* 2490937 */ GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2491057),
     /* 2490942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2490945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2490948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2490952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2490956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2490960 */   GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2491008), // Rule ID 54052 //
     /* 2490965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2490968 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2490968 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2490971 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2490975 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2490980 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2490982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2490985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2490987 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2490990 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2490992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2490994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2490997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2491003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491007 */     // GIR_Coverage, 54052,
     /* 2491007 */     GIR_EraseRootFromParent_Done,
     /* 2491008 */   // Label 32851: @2491008
     /* 2491008 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2491056), // Rule ID 54053 //
     /* 2491013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2491016 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2491016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2491019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2491033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2491051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491055 */     // GIR_Coverage, 54053,
     /* 2491055 */     GIR_EraseRootFromParent_Done,
     /* 2491056 */   // Label 32852: @2491056
     /* 2491056 */   GIM_Reject,
     /* 2491057 */ // Label 32850: @2491057
     /* 2491057 */ GIM_Reject,
     /* 2491058 */ // Label 32797: @2491058
     /* 2491058 */ GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2491178),
     /* 2491063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2491066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2491069 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2491073 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2491077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2491081 */   GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2491129), // Rule ID 53968 //
     /* 2491086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2491089 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2491089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2491092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2491106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2491124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491128 */     // GIR_Coverage, 53968,
     /* 2491128 */     GIR_EraseRootFromParent_Done,
     /* 2491129 */   // Label 32854: @2491129
     /* 2491129 */   GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2491177), // Rule ID 53969 //
     /* 2491134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2491137 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2491137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2491140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2491154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491159 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2491172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491176 */     // GIR_Coverage, 53969,
     /* 2491176 */     GIR_EraseRootFromParent_Done,
     /* 2491177 */   // Label 32855: @2491177
     /* 2491177 */   GIM_Reject,
     /* 2491178 */ // Label 32853: @2491178
     /* 2491178 */ GIM_Reject,
     /* 2491179 */ // Label 32798: @2491179
     /* 2491179 */ GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2491299),
     /* 2491184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2491187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2491190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491194 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491202 */   GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2491250), // Rule ID 54016 //
     /* 2491207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2491210 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2491210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2491213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2491227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2491245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491249 */     // GIR_Coverage, 54016,
     /* 2491249 */     GIR_EraseRootFromParent_Done,
     /* 2491250 */   // Label 32857: @2491250
     /* 2491250 */   GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2491298), // Rule ID 54017 //
     /* 2491255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2491258 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2491258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2491261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2491275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2491293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491297 */     // GIR_Coverage, 54017,
     /* 2491297 */     GIR_EraseRootFromParent_Done,
     /* 2491298 */   // Label 32858: @2491298
     /* 2491298 */   GIM_Reject,
     /* 2491299 */ // Label 32856: @2491299
     /* 2491299 */ GIM_Reject,
     /* 2491300 */ // Label 32799: @2491300
     /* 2491300 */ GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2491420),
     /* 2491305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2491308 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2491311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2491323 */   GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2491371), // Rule ID 53980 //
     /* 2491328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2491331 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2491331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2491334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491343 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2491348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491350 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2491366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491370 */     // GIR_Coverage, 53980,
     /* 2491370 */     GIR_EraseRootFromParent_Done,
     /* 2491371 */   // Label 32860: @2491371
     /* 2491371 */   GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2491419), // Rule ID 53981 //
     /* 2491376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2491379 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2491379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2491382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2491386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2491391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2491393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2491396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2491401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2491403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2491411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2491414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2491417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491418 */     // GIR_Coverage, 53981,
     /* 2491418 */     GIR_EraseRootFromParent_Done,
     /* 2491419 */   // Label 32861: @2491419
     /* 2491419 */   GIM_Reject,
     /* 2491420 */ // Label 32859: @2491420
     /* 2491420 */ GIM_Reject,
     /* 2491421 */ // Label 32800: @2491421
     /* 2491421 */ GIM_Reject,
     /* 2491422 */ // Label 98: @2491422
     /* 2491422 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32880*/ GIMT_Encode4(2508066),
     /* 2491433 */ /*GILLT_s16*//*Label 32862*/ GIMT_Encode4(2491553),
     /* 2491437 */ /*GILLT_s32*//*Label 32863*/ GIMT_Encode4(2492989),
     /* 2491441 */ /*GILLT_s64*//*Label 32864*/ GIMT_Encode4(2494425), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491453 */ /*GILLT_nxv1s16*//*Label 32865*/ GIMT_Encode4(2496216),
     /* 2491457 */ /*GILLT_nxv1s32*//*Label 32866*/ GIMT_Encode4(2497006),
     /* 2491461 */ /*GILLT_nxv1s64*//*Label 32867*/ GIMT_Encode4(2497796), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491473 */ /*GILLT_nxv2s16*//*Label 32868*/ GIMT_Encode4(2498586),
     /* 2491477 */ /*GILLT_nxv2s32*//*Label 32869*/ GIMT_Encode4(2499376),
     /* 2491481 */ /*GILLT_nxv2s64*//*Label 32870*/ GIMT_Encode4(2500166), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491493 */ /*GILLT_nxv4s16*//*Label 32871*/ GIMT_Encode4(2500956),
     /* 2491497 */ /*GILLT_nxv4s32*//*Label 32872*/ GIMT_Encode4(2501746),
     /* 2491501 */ /*GILLT_nxv4s64*//*Label 32873*/ GIMT_Encode4(2502536), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491513 */ /*GILLT_nxv8s16*//*Label 32874*/ GIMT_Encode4(2503326),
     /* 2491517 */ /*GILLT_nxv8s32*//*Label 32875*/ GIMT_Encode4(2504116),
     /* 2491521 */ /*GILLT_nxv8s64*//*Label 32876*/ GIMT_Encode4(2504906), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491533 */ /*GILLT_nxv16s16*//*Label 32877*/ GIMT_Encode4(2505696),
     /* 2491537 */ /*GILLT_nxv16s32*//*Label 32878*/ GIMT_Encode4(2506486), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2491549 */ /*GILLT_nxv32s16*//*Label 32879*/ GIMT_Encode4(2507276),
     /* 2491553 */ // Label 32862: @2491553
     /* 2491553 */ GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2492988),
     /* 2491558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2491564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2491567 */   GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2491639), // Rule ID 1871 //
     /* 2491572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2491575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2491583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491619 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2491619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2491622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491638 */     // GIR_Coverage, 1871,
     /* 2491638 */     GIR_EraseRootFromParent_Done,
     /* 2491639 */   // Label 32882: @2491639
     /* 2491639 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2491711), // Rule ID 1872 //
     /* 2491644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2491647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2491655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491672 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491676 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491680 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491691 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2491691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2491694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491710 */     // GIR_Coverage, 1872,
     /* 2491710 */     GIR_EraseRootFromParent_Done,
     /* 2491711 */   // Label 32883: @2491711
     /* 2491711 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2491783), // Rule ID 1904 //
     /* 2491716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2491719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2491727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491763 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2491763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2491766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491782 */     // GIR_Coverage, 1904,
     /* 2491782 */     GIR_EraseRootFromParent_Done,
     /* 2491783 */   // Label 32884: @2491783
     /* 2491783 */   GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2491855), // Rule ID 1905 //
     /* 2491788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2491791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2491799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2491833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491835 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2491835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2491838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2491846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491854 */     // GIR_Coverage, 1905,
     /* 2491854 */     GIR_EraseRootFromParent_Done,
     /* 2491855 */   // Label 32885: @2491855
     /* 2491855 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2491927), // Rule ID 64059 //
     /* 2491860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2491863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2491875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491879 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491905 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491907 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2491907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2491910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2491918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491926 */     // GIR_Coverage, 64059,
     /* 2491926 */     GIR_EraseRootFromParent_Done,
     /* 2491927 */   // Label 32886: @2491927
     /* 2491927 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2491999), // Rule ID 64060 //
     /* 2491932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2491935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2491947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491951 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491960 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2491964 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2491968 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2491972 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2491977 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2491979 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2491979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2491982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2491984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2491988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2491990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2491994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2491997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2491998 */     // GIR_Coverage, 64060,
     /* 2491998 */     GIR_EraseRootFromParent_Done,
     /* 2491999 */   // Label 32887: @2491999
     /* 2491999 */   GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2492071), // Rule ID 64067 //
     /* 2492004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2492007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2492036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2492051 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2492054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2492066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492070 */     // GIR_Coverage, 64067,
     /* 2492070 */     GIR_EraseRootFromParent_Done,
     /* 2492071 */   // Label 32888: @2492071
     /* 2492071 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2492143), // Rule ID 64068 //
     /* 2492076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2492079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2492108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2492123 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2492126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2492138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492142 */     // GIR_Coverage, 64068,
     /* 2492142 */     GIR_EraseRootFromParent_Done,
     /* 2492143 */   // Label 32889: @2492143
     /* 2492143 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2492200), // Rule ID 1867 //
     /* 2492148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2492151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2492159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492182 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2492185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492199 */     // GIR_Coverage, 1867,
     /* 2492199 */     GIR_EraseRootFromParent_Done,
     /* 2492200 */   // Label 32890: @2492200
     /* 2492200 */   GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2492257), // Rule ID 1868 //
     /* 2492205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2492208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2492216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492220 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492239 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2492242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492256 */     // GIR_Coverage, 1868,
     /* 2492256 */     GIR_EraseRootFromParent_Done,
     /* 2492257 */   // Label 32891: @2492257
     /* 2492257 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2492314), // Rule ID 1900 //
     /* 2492262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2492265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2492273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492296 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2492299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492313 */     // GIR_Coverage, 1900,
     /* 2492313 */     GIR_EraseRootFromParent_Done,
     /* 2492314 */   // Label 32892: @2492314
     /* 2492314 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2492371), // Rule ID 1901 //
     /* 2492319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2492322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2492330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492353 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2492356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492370 */     // GIR_Coverage, 1901,
     /* 2492370 */     GIR_EraseRootFromParent_Done,
     /* 2492371 */   // Label 32893: @2492371
     /* 2492371 */   GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2492428), // Rule ID 64055 //
     /* 2492376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2492379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492383 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492410 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2492413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492427 */     // GIR_Coverage, 64055,
     /* 2492427 */     GIR_EraseRootFromParent_Done,
     /* 2492428 */   // Label 32894: @2492428
     /* 2492428 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2492485), // Rule ID 64056 //
     /* 2492433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2492436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492467 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2492470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492484 */     // GIR_Coverage, 64056,
     /* 2492484 */     GIR_EraseRootFromParent_Done,
     /* 2492485 */   // Label 32895: @2492485
     /* 2492485 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2492542), // Rule ID 64063 //
     /* 2492490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2492493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492524 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2492527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492541 */     // GIR_Coverage, 64063,
     /* 2492541 */     GIR_EraseRootFromParent_Done,
     /* 2492542 */   // Label 32896: @2492542
     /* 2492542 */   GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2492599), // Rule ID 64064 //
     /* 2492547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2492550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2492562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492581 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2492584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2492590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2492592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492598 */     // GIR_Coverage, 64064,
     /* 2492598 */     GIR_EraseRootFromParent_Done,
     /* 2492599 */   // Label 32897: @2492599
     /* 2492599 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2492656), // Rule ID 1863 //
     /* 2492604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2492607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2492623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492638 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2492641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2492651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492655 */     // GIR_Coverage, 1863,
     /* 2492655 */     GIR_EraseRootFromParent_Done,
     /* 2492656 */   // Label 32898: @2492656
     /* 2492656 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2492713), // Rule ID 1864 //
     /* 2492661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2492664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2492680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492688 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492695 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2492698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2492708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492712 */     // GIR_Coverage, 1864,
     /* 2492712 */     GIR_EraseRootFromParent_Done,
     /* 2492713 */   // Label 32899: @2492713
     /* 2492713 */   GIM_Try, /*On fail goto*//*Label 32900*/ GIMT_Encode4(2492770), // Rule ID 1896 //
     /* 2492718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2492721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2492737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492750 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492752 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2492755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2492765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492769 */     // GIR_Coverage, 1896,
     /* 2492769 */     GIR_EraseRootFromParent_Done,
     /* 2492770 */   // Label 32900: @2492770
     /* 2492770 */   GIM_Try, /*On fail goto*//*Label 32901*/ GIMT_Encode4(2492827), // Rule ID 1897 //
     /* 2492775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2492778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2492794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2492798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2492802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2492809 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2492812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2492822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492826 */     // GIR_Coverage, 1897,
     /* 2492826 */     GIR_EraseRootFromParent_Done,
     /* 2492827 */   // Label 32901: @2492827
     /* 2492827 */   GIM_Try, /*On fail goto*//*Label 32902*/ GIMT_Encode4(2492867), // Rule ID 1859 //
     /* 2492832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2492835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492851 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2492854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492866 */     // GIR_Coverage, 1859,
     /* 2492866 */     GIR_EraseRootFromParent_Done,
     /* 2492867 */   // Label 32902: @2492867
     /* 2492867 */   GIM_Try, /*On fail goto*//*Label 32903*/ GIMT_Encode4(2492907), // Rule ID 1860 //
     /* 2492872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2492875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2492891 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2492894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492906 */     // GIR_Coverage, 1860,
     /* 2492906 */     GIR_EraseRootFromParent_Done,
     /* 2492907 */   // Label 32903: @2492907
     /* 2492907 */   GIM_Try, /*On fail goto*//*Label 32904*/ GIMT_Encode4(2492947), // Rule ID 1892 //
     /* 2492912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2492915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492931 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2492931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2492934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492946 */     // GIR_Coverage, 1892,
     /* 2492946 */     GIR_EraseRootFromParent_Done,
     /* 2492947 */   // Label 32904: @2492947
     /* 2492947 */   GIM_Try, /*On fail goto*//*Label 32905*/ GIMT_Encode4(2492987), // Rule ID 1893 //
     /* 2492952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2492955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492959 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2492971 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2492971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2492974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2492976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2492978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2492980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2492982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2492985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2492986 */     // GIR_Coverage, 1893,
     /* 2492986 */     GIR_EraseRootFromParent_Done,
     /* 2492987 */   // Label 32905: @2492987
     /* 2492987 */   GIM_Reject,
     /* 2492988 */ // Label 32881: @2492988
     /* 2492988 */ GIM_Reject,
     /* 2492989 */ // Label 32863: @2492989
     /* 2492989 */ GIM_Try, /*On fail goto*//*Label 32906*/ GIMT_Encode4(2494424),
     /* 2492994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2492997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2493000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2493003 */   GIM_Try, /*On fail goto*//*Label 32907*/ GIMT_Encode4(2493075), // Rule ID 1170 //
     /* 2493008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2493011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493048 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493055 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2493058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493074 */     // GIR_Coverage, 1170,
     /* 2493074 */     GIR_EraseRootFromParent_Done,
     /* 2493075 */   // Label 32907: @2493075
     /* 2493075 */   GIM_Try, /*On fail goto*//*Label 32908*/ GIMT_Encode4(2493147), // Rule ID 1171 //
     /* 2493080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2493083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493120 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493125 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493127 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2493130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493146 */     // GIR_Coverage, 1171,
     /* 2493146 */     GIR_EraseRootFromParent_Done,
     /* 2493147 */   // Label 32908: @2493147
     /* 2493147 */   GIM_Try, /*On fail goto*//*Label 32909*/ GIMT_Encode4(2493219), // Rule ID 1191 //
     /* 2493152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2493155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493199 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2493202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493218 */     // GIR_Coverage, 1191,
     /* 2493218 */     GIR_EraseRootFromParent_Done,
     /* 2493219 */   // Label 32909: @2493219
     /* 2493219 */   GIM_Try, /*On fail goto*//*Label 32910*/ GIMT_Encode4(2493291), // Rule ID 1192 //
     /* 2493224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2493227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493252 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493256 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493260 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493271 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2493274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493290 */     // GIR_Coverage, 1192,
     /* 2493290 */     GIR_EraseRootFromParent_Done,
     /* 2493291 */   // Label 32910: @2493291
     /* 2493291 */   GIM_Try, /*On fail goto*//*Label 32911*/ GIMT_Encode4(2493363), // Rule ID 64023 //
     /* 2493296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2493299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493303 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493324 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493328 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493332 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493343 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2493346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493362 */     // GIR_Coverage, 64023,
     /* 2493362 */     GIR_EraseRootFromParent_Done,
     /* 2493363 */   // Label 32911: @2493363
     /* 2493363 */   GIM_Try, /*On fail goto*//*Label 32912*/ GIMT_Encode4(2493435), // Rule ID 64024 //
     /* 2493368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2493371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493408 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493413 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493415 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2493418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493434 */     // GIR_Coverage, 64024,
     /* 2493434 */     GIR_EraseRootFromParent_Done,
     /* 2493435 */   // Label 32912: @2493435
     /* 2493435 */   GIM_Try, /*On fail goto*//*Label 32913*/ GIMT_Encode4(2493507), // Rule ID 64031 //
     /* 2493440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2493443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493487 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2493490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493506 */     // GIR_Coverage, 64031,
     /* 2493506 */     GIR_EraseRootFromParent_Done,
     /* 2493507 */   // Label 32913: @2493507
     /* 2493507 */   GIM_Try, /*On fail goto*//*Label 32914*/ GIMT_Encode4(2493579), // Rule ID 64032 //
     /* 2493512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2493515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2493544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2493559 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2493562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2493574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493578 */     // GIR_Coverage, 64032,
     /* 2493578 */     GIR_EraseRootFromParent_Done,
     /* 2493579 */   // Label 32914: @2493579
     /* 2493579 */   GIM_Try, /*On fail goto*//*Label 32915*/ GIMT_Encode4(2493636), // Rule ID 1166 //
     /* 2493584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2493587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493599 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493618 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2493621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493635 */     // GIR_Coverage, 1166,
     /* 2493635 */     GIR_EraseRootFromParent_Done,
     /* 2493636 */   // Label 32915: @2493636
     /* 2493636 */   GIM_Try, /*On fail goto*//*Label 32916*/ GIMT_Encode4(2493693), // Rule ID 1167 //
     /* 2493641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2493644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493675 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2493678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493692 */     // GIR_Coverage, 1167,
     /* 2493692 */     GIR_EraseRootFromParent_Done,
     /* 2493693 */   // Label 32916: @2493693
     /* 2493693 */   GIM_Try, /*On fail goto*//*Label 32917*/ GIMT_Encode4(2493750), // Rule ID 1187 //
     /* 2493698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2493701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493732 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2493735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493749 */     // GIR_Coverage, 1187,
     /* 2493749 */     GIR_EraseRootFromParent_Done,
     /* 2493750 */   // Label 32917: @2493750
     /* 2493750 */   GIM_Try, /*On fail goto*//*Label 32918*/ GIMT_Encode4(2493807), // Rule ID 1188 //
     /* 2493755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2493758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2493766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493789 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2493792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2493800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493806 */     // GIR_Coverage, 1188,
     /* 2493806 */     GIR_EraseRootFromParent_Done,
     /* 2493807 */   // Label 32918: @2493807
     /* 2493807 */   GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2493864), // Rule ID 64019 //
     /* 2493812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2493815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493835 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493846 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2493849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493863 */     // GIR_Coverage, 64019,
     /* 2493863 */     GIR_EraseRootFromParent_Done,
     /* 2493864 */   // Label 32919: @2493864
     /* 2493864 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2493921), // Rule ID 64020 //
     /* 2493869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2493872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2493901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493903 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2493903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2493906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493920 */     // GIR_Coverage, 64020,
     /* 2493920 */     GIR_EraseRootFromParent_Done,
     /* 2493921 */   // Label 32920: @2493921
     /* 2493921 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2493978), // Rule ID 64027 //
     /* 2493926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2493929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2493945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2493949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2493960 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2493960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2493963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2493965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2493969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2493971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2493973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2493976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2493977 */     // GIR_Coverage, 64027,
     /* 2493977 */     GIR_EraseRootFromParent_Done,
     /* 2493978 */   // Label 32921: @2493978
     /* 2493978 */   GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2494035), // Rule ID 64028 //
     /* 2493983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2493986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2493994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2493998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2494006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2494017 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2494017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2494020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2494028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2494030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494034 */     // GIR_Coverage, 64028,
     /* 2494034 */     GIR_EraseRootFromParent_Done,
     /* 2494035 */   // Label 32922: @2494035
     /* 2494035 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2494092), // Rule ID 1162 //
     /* 2494040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2494043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494047 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2494059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2494067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2494074 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2494074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2494077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2494087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494091 */     // GIR_Coverage, 1162,
     /* 2494091 */     GIR_EraseRootFromParent_Done,
     /* 2494092 */   // Label 32923: @2494092
     /* 2494092 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2494149), // Rule ID 1163 //
     /* 2494097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2494100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2494116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2494124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2494131 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2494131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2494134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2494144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494148 */     // GIR_Coverage, 1163,
     /* 2494148 */     GIR_EraseRootFromParent_Done,
     /* 2494149 */   // Label 32924: @2494149
     /* 2494149 */   GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2494206), // Rule ID 1183 //
     /* 2494154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2494157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2494173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2494181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2494188 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2494188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2494191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2494201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494205 */     // GIR_Coverage, 1183,
     /* 2494205 */     GIR_EraseRootFromParent_Done,
     /* 2494206 */   // Label 32925: @2494206
     /* 2494206 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2494263), // Rule ID 1184 //
     /* 2494211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2494214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2494230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2494238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2494245 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2494245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2494248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2494258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494262 */     // GIR_Coverage, 1184,
     /* 2494262 */     GIR_EraseRootFromParent_Done,
     /* 2494263 */   // Label 32926: @2494263
     /* 2494263 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2494303), // Rule ID 1158 //
     /* 2494268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2494271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494287 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2494287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2494290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2494298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494302 */     // GIR_Coverage, 1158,
     /* 2494302 */     GIR_EraseRootFromParent_Done,
     /* 2494303 */   // Label 32927: @2494303
     /* 2494303 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2494343), // Rule ID 1159 //
     /* 2494308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2494311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2494327 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2494327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2494330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2494338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494342 */     // GIR_Coverage, 1159,
     /* 2494342 */     GIR_EraseRootFromParent_Done,
     /* 2494343 */   // Label 32928: @2494343
     /* 2494343 */   GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2494383), // Rule ID 1179 //
     /* 2494348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2494351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494367 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2494367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2494370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2494378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494382 */     // GIR_Coverage, 1179,
     /* 2494382 */     GIR_EraseRootFromParent_Done,
     /* 2494383 */   // Label 32929: @2494383
     /* 2494383 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2494423), // Rule ID 1180 //
     /* 2494388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2494391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2494407 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2494407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2494410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2494414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2494418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494422 */     // GIR_Coverage, 1180,
     /* 2494422 */     GIR_EraseRootFromParent_Done,
     /* 2494423 */   // Label 32930: @2494423
     /* 2494423 */   GIM_Reject,
     /* 2494424 */ // Label 32906: @2494424
     /* 2494424 */ GIM_Reject,
     /* 2494425 */ // Label 32864: @2494425
     /* 2494425 */ GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2496215),
     /* 2494430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2494436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2494439 */   GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2494511), // Rule ID 1507 //
     /* 2494444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2494447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2494455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494459 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494484 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494489 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494491 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2494491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2494494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494510 */     // GIR_Coverage, 1507,
     /* 2494510 */     GIR_EraseRootFromParent_Done,
     /* 2494511 */   // Label 32932: @2494511
     /* 2494511 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2494583), // Rule ID 1508 //
     /* 2494516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2494519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2494527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494531 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494563 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2494563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2494566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494582 */     // GIR_Coverage, 1508,
     /* 2494582 */     GIR_EraseRootFromParent_Done,
     /* 2494583 */   // Label 32933: @2494583
     /* 2494583 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2494655), // Rule ID 1531 //
     /* 2494588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2494591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2494599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494628 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494633 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494635 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2494635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2494638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494654 */     // GIR_Coverage, 1531,
     /* 2494654 */     GIR_EraseRootFromParent_Done,
     /* 2494655 */   // Label 32934: @2494655
     /* 2494655 */   GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2494727), // Rule ID 1562 //
     /* 2494660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2494663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2494671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494700 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494705 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494707 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2494707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2494710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494726 */     // GIR_Coverage, 1562,
     /* 2494726 */     GIR_EraseRootFromParent_Done,
     /* 2494727 */   // Label 32935: @2494727
     /* 2494727 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2494799), // Rule ID 1563 //
     /* 2494732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2494735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2494743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2494777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494779 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2494779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2494782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2494790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494798 */     // GIR_Coverage, 1563,
     /* 2494798 */     GIR_EraseRootFromParent_Done,
     /* 2494799 */   // Label 32936: @2494799
     /* 2494799 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2494871), // Rule ID 64039 //
     /* 2494804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2494807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2494819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494832 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494836 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494840 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494849 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494851 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2494851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2494854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2494862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494870 */     // GIR_Coverage, 64039,
     /* 2494870 */     GIR_EraseRootFromParent_Done,
     /* 2494871 */   // Label 32937: @2494871
     /* 2494871 */   GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2494943), // Rule ID 64040 //
     /* 2494876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2494879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2494891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2494921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494923 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2494923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2494926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2494928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2494932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2494934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2494938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2494941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2494942 */     // GIR_Coverage, 64040,
     /* 2494942 */     GIR_EraseRootFromParent_Done,
     /* 2494943 */   // Label 32938: @2494943
     /* 2494943 */   GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2495015), // Rule ID 64045 //
     /* 2494948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2494951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2494963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494976 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2494980 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2494984 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2494988 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2494993 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2494995 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2494995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2494998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2495010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495014 */     // GIR_Coverage, 64045,
     /* 2495014 */     GIR_EraseRootFromParent_Done,
     /* 2495015 */   // Label 32939: @2495015
     /* 2495015 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2495087), // Rule ID 64051 //
     /* 2495020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2495023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2495052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2495067 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2495070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2495082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495086 */     // GIR_Coverage, 64051,
     /* 2495086 */     GIR_EraseRootFromParent_Done,
     /* 2495087 */   // Label 32940: @2495087
     /* 2495087 */   GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2495159), // Rule ID 64052 //
     /* 2495092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2495095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495111 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495115 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495120 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2495124 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495128 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2495139 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2495142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2495154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495158 */     // GIR_Coverage, 64052,
     /* 2495158 */     GIR_EraseRootFromParent_Done,
     /* 2495159 */   // Label 32941: @2495159
     /* 2495159 */   GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2495216), // Rule ID 1503 //
     /* 2495164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2495167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2495175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495198 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2495201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495215 */     // GIR_Coverage, 1503,
     /* 2495215 */     GIR_EraseRootFromParent_Done,
     /* 2495216 */   // Label 32942: @2495216
     /* 2495216 */   GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2495273), // Rule ID 1504 //
     /* 2495221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2495224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2495232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495255 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2495258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495272 */     // GIR_Coverage, 1504,
     /* 2495272 */     GIR_EraseRootFromParent_Done,
     /* 2495273 */   // Label 32943: @2495273
     /* 2495273 */   GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2495330), // Rule ID 1529 //
     /* 2495278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2495281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2495289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495312 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2495315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495329 */     // GIR_Coverage, 1529,
     /* 2495329 */     GIR_EraseRootFromParent_Done,
     /* 2495330 */   // Label 32944: @2495330
     /* 2495330 */   GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2495387), // Rule ID 1558 //
     /* 2495335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2495338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2495346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495350 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495369 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2495372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495386 */     // GIR_Coverage, 1558,
     /* 2495386 */     GIR_EraseRootFromParent_Done,
     /* 2495387 */   // Label 32945: @2495387
     /* 2495387 */   GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2495444), // Rule ID 1559 //
     /* 2495392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2495395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2495403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495426 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2495429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495443 */     // GIR_Coverage, 1559,
     /* 2495443 */     GIR_EraseRootFromParent_Done,
     /* 2495444 */   // Label 32946: @2495444
     /* 2495444 */   GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2495501), // Rule ID 64035 //
     /* 2495449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2495452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495483 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2495486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495500 */     // GIR_Coverage, 64035,
     /* 2495500 */     GIR_EraseRootFromParent_Done,
     /* 2495501 */   // Label 32947: @2495501
     /* 2495501 */   GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2495558), // Rule ID 64036 //
     /* 2495506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2495509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495540 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2495543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495545 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495557 */     // GIR_Coverage, 64036,
     /* 2495557 */     GIR_EraseRootFromParent_Done,
     /* 2495558 */   // Label 32948: @2495558
     /* 2495558 */   GIM_Try, /*On fail goto*//*Label 32949*/ GIMT_Encode4(2495615), // Rule ID 64043 //
     /* 2495563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2495566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495586 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495597 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2495600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495614 */     // GIR_Coverage, 64043,
     /* 2495614 */     GIR_EraseRootFromParent_Done,
     /* 2495615 */   // Label 32949: @2495615
     /* 2495615 */   GIM_Try, /*On fail goto*//*Label 32950*/ GIMT_Encode4(2495672), // Rule ID 64047 //
     /* 2495620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2495623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495654 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2495657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495671 */     // GIR_Coverage, 64047,
     /* 2495671 */     GIR_EraseRootFromParent_Done,
     /* 2495672 */   // Label 32950: @2495672
     /* 2495672 */   GIM_Try, /*On fail goto*//*Label 32951*/ GIMT_Encode4(2495729), // Rule ID 64048 //
     /* 2495677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2495680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2495692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495711 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2495714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2495720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2495722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2495724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495728 */     // GIR_Coverage, 64048,
     /* 2495728 */     GIR_EraseRootFromParent_Done,
     /* 2495729 */   // Label 32951: @2495729
     /* 2495729 */   GIM_Try, /*On fail goto*//*Label 32952*/ GIMT_Encode4(2495786), // Rule ID 1499 //
     /* 2495734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2495737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2495753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495757 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495761 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495768 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2495771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2495775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495777 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2495781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495785 */     // GIR_Coverage, 1499,
     /* 2495785 */     GIR_EraseRootFromParent_Done,
     /* 2495786 */   // Label 32952: @2495786
     /* 2495786 */   GIM_Try, /*On fail goto*//*Label 32953*/ GIMT_Encode4(2495843), // Rule ID 1500 //
     /* 2495791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2495794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2495810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2495823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495825 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2495828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2495832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2495838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495842 */     // GIR_Coverage, 1500,
     /* 2495842 */     GIR_EraseRootFromParent_Done,
     /* 2495843 */   // Label 32953: @2495843
     /* 2495843 */   GIM_Try, /*On fail goto*//*Label 32954*/ GIMT_Encode4(2495900), // Rule ID 1527 //
     /* 2495848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2495851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2495867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2495880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495882 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2495885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2495889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2495895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495899 */     // GIR_Coverage, 1527,
     /* 2495899 */     GIR_EraseRootFromParent_Done,
     /* 2495900 */   // Label 32954: @2495900
     /* 2495900 */   GIM_Try, /*On fail goto*//*Label 32955*/ GIMT_Encode4(2495957), // Rule ID 1554 //
     /* 2495905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2495908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2495924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495939 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2495939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2495942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2495944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2495946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2495948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2495952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2495955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2495956 */     // GIR_Coverage, 1554,
     /* 2495956 */     GIR_EraseRootFromParent_Done,
     /* 2495957 */   // Label 32955: @2495957
     /* 2495957 */   GIM_Try, /*On fail goto*//*Label 32956*/ GIMT_Encode4(2496014), // Rule ID 1555 //
     /* 2495962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2495965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2495981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2495985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2495989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2495994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2495996 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2495996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2495999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496005 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2496009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496013 */     // GIR_Coverage, 1555,
     /* 2496013 */     GIR_EraseRootFromParent_Done,
     /* 2496014 */   // Label 32956: @2496014
     /* 2496014 */   GIM_Try, /*On fail goto*//*Label 32957*/ GIMT_Encode4(2496054), // Rule ID 1495 //
     /* 2496019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2496022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496038 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2496038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2496041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2496049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496053 */     // GIR_Coverage, 1495,
     /* 2496053 */     GIR_EraseRootFromParent_Done,
     /* 2496054 */   // Label 32957: @2496054
     /* 2496054 */   GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2496094), // Rule ID 1496 //
     /* 2496059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2496062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2496078 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2496078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2496081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2496089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496093 */     // GIR_Coverage, 1496,
     /* 2496093 */     GIR_EraseRootFromParent_Done,
     /* 2496094 */   // Label 32958: @2496094
     /* 2496094 */   GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2496134), // Rule ID 1525 //
     /* 2496099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2496102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2496106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2496110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2496114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2496118 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2496118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2496121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2496129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496133 */     // GIR_Coverage, 1525,
     /* 2496133 */     GIR_EraseRootFromParent_Done,
     /* 2496134 */   // Label 32959: @2496134
     /* 2496134 */   GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2496174), // Rule ID 1550 //
     /* 2496139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2496142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496158 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2496158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2496161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2496169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496173 */     // GIR_Coverage, 1550,
     /* 2496173 */     GIR_EraseRootFromParent_Done,
     /* 2496174 */   // Label 32960: @2496174
     /* 2496174 */   GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2496214), // Rule ID 1551 //
     /* 2496179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2496182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2496198 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2496198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2496201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2496207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2496209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496213 */     // GIR_Coverage, 1551,
     /* 2496213 */     GIR_EraseRootFromParent_Done,
     /* 2496214 */   // Label 32961: @2496214
     /* 2496214 */   GIM_Reject,
     /* 2496215 */ // Label 32931: @2496215
     /* 2496215 */ GIM_Reject,
     /* 2496216 */ // Label 32865: @2496216
     /* 2496216 */ GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2497005),
     /* 2496221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2496227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2496230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496234 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2496311), // Rule ID 54318 //
     /* 2496239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2496246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2496267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2496282 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2496285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2496297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496310 */     // GIR_Coverage, 54318,
     /* 2496310 */     GIR_EraseRootFromParent_Done,
     /* 2496311 */   // Label 32963: @2496311
     /* 2496311 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2496388), // Rule ID 54319 //
     /* 2496316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2496323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2496344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2496359 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2496362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2496374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496387 */     // GIR_Coverage, 54319,
     /* 2496387 */     GIR_EraseRootFromParent_Done,
     /* 2496388 */   // Label 32964: @2496388
     /* 2496388 */   GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2496465), // Rule ID 70863 //
     /* 2496393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2496404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496408 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2496421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2496436 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2496439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2496443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2496451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496464 */     // GIR_Coverage, 70863,
     /* 2496464 */     GIR_EraseRootFromParent_Done,
     /* 2496465 */   // Label 32965: @2496465
     /* 2496465 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2496542), // Rule ID 70864 //
     /* 2496470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2496481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2496498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2496513 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2496516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2496520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2496528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496541 */     // GIR_Coverage, 70864,
     /* 2496541 */     GIR_EraseRootFromParent_Done,
     /* 2496542 */   // Label 32966: @2496542
     /* 2496542 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2496604), // Rule ID 54322 //
     /* 2496547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2496554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496577 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2496580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496603 */     // GIR_Coverage, 54322,
     /* 2496603 */     GIR_EraseRootFromParent_Done,
     /* 2496604 */   // Label 32967: @2496604
     /* 2496604 */   GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2496666), // Rule ID 54323 //
     /* 2496609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2496616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496639 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2496642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496665 */     // GIR_Coverage, 54323,
     /* 2496665 */     GIR_EraseRootFromParent_Done,
     /* 2496666 */   // Label 32968: @2496666
     /* 2496666 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2496728), // Rule ID 70867 //
     /* 2496671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2496682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496701 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2496704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2496708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496727 */     // GIR_Coverage, 70867,
     /* 2496727 */     GIR_EraseRootFromParent_Done,
     /* 2496728 */   // Label 32969: @2496728
     /* 2496728 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2496790), // Rule ID 70868 //
     /* 2496733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2496744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496763 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2496766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2496770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2496774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496789 */     // GIR_Coverage, 70868,
     /* 2496789 */     GIR_EraseRootFromParent_Done,
     /* 2496790 */   // Label 32970: @2496790
     /* 2496790 */   GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2496852), // Rule ID 54314 //
     /* 2496795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2496810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496814 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496818 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496825 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2496828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2496838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496851 */     // GIR_Coverage, 54314,
     /* 2496851 */     GIR_EraseRootFromParent_Done,
     /* 2496852 */   // Label 32971: @2496852
     /* 2496852 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2496914), // Rule ID 54315 //
     /* 2496857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2496872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2496876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2496880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2496887 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2496890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2496900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496913 */     // GIR_Coverage, 54315,
     /* 2496913 */     GIR_EraseRootFromParent_Done,
     /* 2496914 */   // Label 32972: @2496914
     /* 2496914 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2496959), // Rule ID 54310 //
     /* 2496919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2496922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496934 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2496934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2496937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2496957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2496958 */     // GIR_Coverage, 54310,
     /* 2496958 */     GIR_EraseRootFromParent_Done,
     /* 2496959 */   // Label 32973: @2496959
     /* 2496959 */   GIM_Try, /*On fail goto*//*Label 32974*/ GIMT_Encode4(2497004), // Rule ID 54311 //
     /* 2496964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2496967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2496979 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2496979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2496982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2496984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2496986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2496988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2496990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2496993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2496996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2496999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497003 */     // GIR_Coverage, 54311,
     /* 2497003 */     GIR_EraseRootFromParent_Done,
     /* 2497004 */   // Label 32974: @2497004
     /* 2497004 */   GIM_Reject,
     /* 2497005 */ // Label 32962: @2497005
     /* 2497005 */ GIM_Reject,
     /* 2497006 */ // Label 32866: @2497006
     /* 2497006 */ GIM_Try, /*On fail goto*//*Label 32975*/ GIMT_Encode4(2497795),
     /* 2497011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2497017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2497020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497024 */   GIM_Try, /*On fail goto*//*Label 32976*/ GIMT_Encode4(2497101), // Rule ID 54446 //
     /* 2497029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497044 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497070 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497072 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2497075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497083 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497100 */     // GIR_Coverage, 54446,
     /* 2497100 */     GIR_EraseRootFromParent_Done,
     /* 2497101 */   // Label 32976: @2497101
     /* 2497101 */   GIM_Try, /*On fail goto*//*Label 32977*/ GIMT_Encode4(2497178), // Rule ID 54447 //
     /* 2497106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497149 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2497152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497177 */     // GIR_Coverage, 54447,
     /* 2497177 */     GIR_EraseRootFromParent_Done,
     /* 2497178 */   // Label 32977: @2497178
     /* 2497178 */   GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2497255), // Rule ID 70975 //
     /* 2497183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2497194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497226 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2497229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2497233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497254 */     // GIR_Coverage, 70975,
     /* 2497254 */     GIR_EraseRootFromParent_Done,
     /* 2497255 */   // Label 32978: @2497255
     /* 2497255 */   GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2497332), // Rule ID 70976 //
     /* 2497260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2497271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497303 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2497306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2497310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497331 */     // GIR_Coverage, 70976,
     /* 2497331 */     GIR_EraseRootFromParent_Done,
     /* 2497332 */   // Label 32979: @2497332
     /* 2497332 */   GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2497394), // Rule ID 54450 //
     /* 2497337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497348 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497367 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2497370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497393 */     // GIR_Coverage, 54450,
     /* 2497393 */     GIR_EraseRootFromParent_Done,
     /* 2497394 */   // Label 32980: @2497394
     /* 2497394 */   GIM_Try, /*On fail goto*//*Label 32981*/ GIMT_Encode4(2497456), // Rule ID 54451 //
     /* 2497399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497429 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2497432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497455 */     // GIR_Coverage, 54451,
     /* 2497455 */     GIR_EraseRootFromParent_Done,
     /* 2497456 */   // Label 32981: @2497456
     /* 2497456 */   GIM_Try, /*On fail goto*//*Label 32982*/ GIMT_Encode4(2497518), // Rule ID 70979 //
     /* 2497461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2497472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497491 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2497494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2497498 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497517 */     // GIR_Coverage, 70979,
     /* 2497517 */     GIR_EraseRootFromParent_Done,
     /* 2497518 */   // Label 32982: @2497518
     /* 2497518 */   GIM_Try, /*On fail goto*//*Label 32983*/ GIMT_Encode4(2497580), // Rule ID 70980 //
     /* 2497523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2497534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497542 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497553 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2497556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2497560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497579 */     // GIR_Coverage, 70980,
     /* 2497579 */     GIR_EraseRootFromParent_Done,
     /* 2497580 */   // Label 32983: @2497580
     /* 2497580 */   GIM_Try, /*On fail goto*//*Label 32984*/ GIMT_Encode4(2497642), // Rule ID 54442 //
     /* 2497585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2497600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497615 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2497618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2497624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2497628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497641 */     // GIR_Coverage, 54442,
     /* 2497641 */     GIR_EraseRootFromParent_Done,
     /* 2497642 */   // Label 32984: @2497642
     /* 2497642 */   GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2497704), // Rule ID 54443 //
     /* 2497647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2497662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2497670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2497677 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2497680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2497686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2497690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497703 */     // GIR_Coverage, 54443,
     /* 2497703 */     GIR_EraseRootFromParent_Done,
     /* 2497704 */   // Label 32985: @2497704
     /* 2497704 */   GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2497749), // Rule ID 54438 //
     /* 2497709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2497712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497724 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2497727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2497733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497748 */     // GIR_Coverage, 54438,
     /* 2497748 */     GIR_EraseRootFromParent_Done,
     /* 2497749 */   // Label 32986: @2497749
     /* 2497749 */   GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2497794), // Rule ID 54439 //
     /* 2497754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2497757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497769 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2497772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2497778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2497780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2497789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497793 */     // GIR_Coverage, 54439,
     /* 2497793 */     GIR_EraseRootFromParent_Done,
     /* 2497794 */   // Label 32987: @2497794
     /* 2497794 */   GIM_Reject,
     /* 2497795 */ // Label 32975: @2497795
     /* 2497795 */ GIM_Reject,
     /* 2497796 */ // Label 32867: @2497796
     /* 2497796 */ GIM_Try, /*On fail goto*//*Label 32988*/ GIMT_Encode4(2498585),
     /* 2497801 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2497807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2497810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497814 */   GIM_Try, /*On fail goto*//*Label 32989*/ GIMT_Encode4(2497891), // Rule ID 54638 //
     /* 2497819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2497822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497862 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2497862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2497865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2497886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497890 */     // GIR_Coverage, 54638,
     /* 2497890 */     GIR_EraseRootFromParent_Done,
     /* 2497891 */   // Label 32989: @2497891
     /* 2497891 */   GIM_Try, /*On fail goto*//*Label 32990*/ GIMT_Encode4(2497968), // Rule ID 54639 //
     /* 2497896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2497899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2497903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2497924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2497939 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2497939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2497942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2497944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2497946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2497950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2497954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2497957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2497960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2497963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2497966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2497967 */     // GIR_Coverage, 54639,
     /* 2497967 */     GIR_EraseRootFromParent_Done,
     /* 2497968 */   // Label 32990: @2497968
     /* 2497968 */   GIM_Try, /*On fail goto*//*Label 32991*/ GIMT_Encode4(2498045), // Rule ID 71143 //
     /* 2497973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2497976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2497984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2497988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2497992 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2497997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498016 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2498019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498044 */     // GIR_Coverage, 71143,
     /* 2498044 */     GIR_EraseRootFromParent_Done,
     /* 2498045 */   // Label 32991: @2498045
     /* 2498045 */   GIM_Try, /*On fail goto*//*Label 32992*/ GIMT_Encode4(2498122), // Rule ID 71144 //
     /* 2498050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2498053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2498061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498093 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2498096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498121 */     // GIR_Coverage, 71144,
     /* 2498121 */     GIR_EraseRootFromParent_Done,
     /* 2498122 */   // Label 32992: @2498122
     /* 2498122 */   GIM_Try, /*On fail goto*//*Label 32993*/ GIMT_Encode4(2498184), // Rule ID 54642 //
     /* 2498127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2498130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498157 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2498160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498183 */     // GIR_Coverage, 54642,
     /* 2498183 */     GIR_EraseRootFromParent_Done,
     /* 2498184 */   // Label 32993: @2498184
     /* 2498184 */   GIM_Try, /*On fail goto*//*Label 32994*/ GIMT_Encode4(2498246), // Rule ID 54643 //
     /* 2498189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2498192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498219 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2498222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498226 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498245 */     // GIR_Coverage, 54643,
     /* 2498245 */     GIR_EraseRootFromParent_Done,
     /* 2498246 */   // Label 32994: @2498246
     /* 2498246 */   GIM_Try, /*On fail goto*//*Label 32995*/ GIMT_Encode4(2498308), // Rule ID 71147 //
     /* 2498251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2498254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2498262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498266 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498281 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2498284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498307 */     // GIR_Coverage, 71147,
     /* 2498307 */     GIR_EraseRootFromParent_Done,
     /* 2498308 */   // Label 32995: @2498308
     /* 2498308 */   GIM_Try, /*On fail goto*//*Label 32996*/ GIMT_Encode4(2498370), // Rule ID 71148 //
     /* 2498313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2498316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2498324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498332 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498343 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2498346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498369 */     // GIR_Coverage, 71148,
     /* 2498369 */     GIR_EraseRootFromParent_Done,
     /* 2498370 */   // Label 32996: @2498370
     /* 2498370 */   GIM_Try, /*On fail goto*//*Label 32997*/ GIMT_Encode4(2498432), // Rule ID 54634 //
     /* 2498375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2498378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2498390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498405 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2498408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498412 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2498414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2498418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498431 */     // GIR_Coverage, 54634,
     /* 2498431 */     GIR_EraseRootFromParent_Done,
     /* 2498432 */   // Label 32997: @2498432
     /* 2498432 */   GIM_Try, /*On fail goto*//*Label 32998*/ GIMT_Encode4(2498494), // Rule ID 54635 //
     /* 2498437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2498440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2498452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2498460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498467 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2498470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2498476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2498480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498493 */     // GIR_Coverage, 54635,
     /* 2498493 */     GIR_EraseRootFromParent_Done,
     /* 2498494 */   // Label 32998: @2498494
     /* 2498494 */   GIM_Try, /*On fail goto*//*Label 32999*/ GIMT_Encode4(2498539), // Rule ID 54630 //
     /* 2498499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2498502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498514 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2498517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2498523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498538 */     // GIR_Coverage, 54630,
     /* 2498538 */     GIR_EraseRootFromParent_Done,
     /* 2498539 */   // Label 32999: @2498539
     /* 2498539 */   GIM_Try, /*On fail goto*//*Label 33000*/ GIMT_Encode4(2498584), // Rule ID 54631 //
     /* 2498544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2498547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498559 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2498562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2498568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2498579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498583 */     // GIR_Coverage, 54631,
     /* 2498583 */     GIR_EraseRootFromParent_Done,
     /* 2498584 */   // Label 33000: @2498584
     /* 2498584 */   GIM_Reject,
     /* 2498585 */ // Label 32988: @2498585
     /* 2498585 */ GIM_Reject,
     /* 2498586 */ // Label 32868: @2498586
     /* 2498586 */ GIM_Try, /*On fail goto*//*Label 33001*/ GIMT_Encode4(2499375),
     /* 2498591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2498597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2498600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498604 */   GIM_Try, /*On fail goto*//*Label 33002*/ GIMT_Encode4(2498681), // Rule ID 54382 //
     /* 2498609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2498612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498620 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498633 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498637 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498641 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498645 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498650 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498652 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2498655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2498676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498680 */     // GIR_Coverage, 54382,
     /* 2498680 */     GIR_EraseRootFromParent_Done,
     /* 2498681 */   // Label 33002: @2498681
     /* 2498681 */   GIM_Try, /*On fail goto*//*Label 33003*/ GIMT_Encode4(2498758), // Rule ID 54383 //
     /* 2498686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2498689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498729 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2498732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2498753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498757 */     // GIR_Coverage, 54383,
     /* 2498757 */     GIR_EraseRootFromParent_Done,
     /* 2498758 */   // Label 33003: @2498758
     /* 2498758 */   GIM_Try, /*On fail goto*//*Label 33004*/ GIMT_Encode4(2498835), // Rule ID 70919 //
     /* 2498763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2498766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2498774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498806 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2498809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2498830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498834 */     // GIR_Coverage, 70919,
     /* 2498834 */     GIR_EraseRootFromParent_Done,
     /* 2498835 */   // Label 33004: @2498835
     /* 2498835 */   GIM_Try, /*On fail goto*//*Label 33005*/ GIMT_Encode4(2498912), // Rule ID 70920 //
     /* 2498840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2498843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2498851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2498868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2498883 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2498883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2498886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2498890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2498898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2498907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498911 */     // GIR_Coverage, 70920,
     /* 2498911 */     GIR_EraseRootFromParent_Done,
     /* 2498912 */   // Label 33005: @2498912
     /* 2498912 */   GIM_Try, /*On fail goto*//*Label 33006*/ GIMT_Encode4(2498974), // Rule ID 54386 //
     /* 2498917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2498920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498932 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2498947 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2498947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2498950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2498952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2498954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2498958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2498960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2498963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2498966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2498969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2498972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2498973 */     // GIR_Coverage, 54386,
     /* 2498973 */     GIR_EraseRootFromParent_Done,
     /* 2498974 */   // Label 33006: @2498974
     /* 2498974 */   GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2499036), // Rule ID 54387 //
     /* 2498979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2498982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2498986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2498990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2498994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2498999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499009 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2499012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499035 */     // GIR_Coverage, 54387,
     /* 2499035 */     GIR_EraseRootFromParent_Done,
     /* 2499036 */   // Label 33007: @2499036
     /* 2499036 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2499098), // Rule ID 70923 //
     /* 2499041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2499044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499056 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2499060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499071 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2499074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499078 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499097 */     // GIR_Coverage, 70923,
     /* 2499097 */     GIR_EraseRootFromParent_Done,
     /* 2499098 */   // Label 33008: @2499098
     /* 2499098 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2499160), // Rule ID 70924 //
     /* 2499103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2499106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2499122 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499133 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2499136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499159 */     // GIR_Coverage, 70924,
     /* 2499159 */     GIR_EraseRootFromParent_Done,
     /* 2499160 */   // Label 33009: @2499160
     /* 2499160 */   GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2499222), // Rule ID 54378 //
     /* 2499165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2499168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2499180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499184 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2499188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499195 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2499198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2499204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2499208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499221 */     // GIR_Coverage, 54378,
     /* 2499221 */     GIR_EraseRootFromParent_Done,
     /* 2499222 */   // Label 33010: @2499222
     /* 2499222 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2499284), // Rule ID 54379 //
     /* 2499227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2499230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2499242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499246 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2499250 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499257 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2499260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2499266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2499270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499283 */     // GIR_Coverage, 54379,
     /* 2499283 */     GIR_EraseRootFromParent_Done,
     /* 2499284 */   // Label 33011: @2499284
     /* 2499284 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2499329), // Rule ID 54374 //
     /* 2499289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2499292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499304 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2499307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2499313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499328 */     // GIR_Coverage, 54374,
     /* 2499328 */     GIR_EraseRootFromParent_Done,
     /* 2499329 */   // Label 33012: @2499329
     /* 2499329 */   GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2499374), // Rule ID 54375 //
     /* 2499334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2499337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499349 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2499352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2499358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2499369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499373 */     // GIR_Coverage, 54375,
     /* 2499373 */     GIR_EraseRootFromParent_Done,
     /* 2499374 */   // Label 33013: @2499374
     /* 2499374 */   GIM_Reject,
     /* 2499375 */ // Label 33001: @2499375
     /* 2499375 */ GIM_Reject,
     /* 2499376 */ // Label 32869: @2499376
     /* 2499376 */ GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2500165),
     /* 2499381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2499387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2499390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499394 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2499471), // Rule ID 54574 //
     /* 2499399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2499402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2499406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2499427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2499442 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2499445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2499457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499470 */     // GIR_Coverage, 54574,
     /* 2499470 */     GIR_EraseRootFromParent_Done,
     /* 2499471 */   // Label 33015: @2499471
     /* 2499471 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2499548), // Rule ID 54575 //
     /* 2499476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2499479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2499483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2499504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2499519 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2499522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2499534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499547 */     // GIR_Coverage, 54575,
     /* 2499547 */     GIR_EraseRootFromParent_Done,
     /* 2499548 */   // Label 33016: @2499548
     /* 2499548 */   GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2499625), // Rule ID 71087 //
     /* 2499553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2499556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499572 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2499581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2499596 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2499599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2499611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499624 */     // GIR_Coverage, 71087,
     /* 2499624 */     GIR_EraseRootFromParent_Done,
     /* 2499625 */   // Label 33017: @2499625
     /* 2499625 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2499702), // Rule ID 71088 //
     /* 2499630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2499633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2499658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2499673 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2499676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2499688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499701 */     // GIR_Coverage, 71088,
     /* 2499701 */     GIR_EraseRootFromParent_Done,
     /* 2499702 */   // Label 33018: @2499702
     /* 2499702 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2499764), // Rule ID 54578 //
     /* 2499707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2499710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2499714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499737 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2499740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499763 */     // GIR_Coverage, 54578,
     /* 2499763 */     GIR_EraseRootFromParent_Done,
     /* 2499764 */   // Label 33019: @2499764
     /* 2499764 */   GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2499826), // Rule ID 54579 //
     /* 2499769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2499772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2499776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499799 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2499802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499825 */     // GIR_Coverage, 54579,
     /* 2499825 */     GIR_EraseRootFromParent_Done,
     /* 2499826 */   // Label 33020: @2499826
     /* 2499826 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2499888), // Rule ID 71091 //
     /* 2499831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2499834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499861 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2499864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499887 */     // GIR_Coverage, 71091,
     /* 2499887 */     GIR_EraseRootFromParent_Done,
     /* 2499888 */   // Label 33021: @2499888
     /* 2499888 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2499950), // Rule ID 71092 //
     /* 2499893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2499896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2499904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499908 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499923 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2499923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2499926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2499930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2499934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2499936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2499939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2499942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2499945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2499948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2499949 */     // GIR_Coverage, 71092,
     /* 2499949 */     GIR_EraseRootFromParent_Done,
     /* 2499950 */   // Label 33022: @2499950
     /* 2499950 */   GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2500012), // Rule ID 54570 //
     /* 2499955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2499958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2499970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2499974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2499978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2499983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2499985 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2499985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2499988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2499990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2499992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2499994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2499998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2500007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500011 */     // GIR_Coverage, 54570,
     /* 2500011 */     GIR_EraseRootFromParent_Done,
     /* 2500012 */   // Label 33023: @2500012
     /* 2500012 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2500074), // Rule ID 54571 //
     /* 2500017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2500020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2500032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2500040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500047 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2500050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2500060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2500069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500073 */     // GIR_Coverage, 54571,
     /* 2500073 */     GIR_EraseRootFromParent_Done,
     /* 2500074 */   // Label 33024: @2500074
     /* 2500074 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2500119), // Rule ID 54566 //
     /* 2500079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2500082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500094 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2500097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2500114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500118 */     // GIR_Coverage, 54566,
     /* 2500118 */     GIR_EraseRootFromParent_Done,
     /* 2500119 */   // Label 33025: @2500119
     /* 2500119 */   GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2500164), // Rule ID 54567 //
     /* 2500124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2500127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500139 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2500142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2500159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500163 */     // GIR_Coverage, 54567,
     /* 2500163 */     GIR_EraseRootFromParent_Done,
     /* 2500164 */   // Label 33026: @2500164
     /* 2500164 */   GIM_Reject,
     /* 2500165 */ // Label 33014: @2500165
     /* 2500165 */ GIM_Reject,
     /* 2500166 */ // Label 32870: @2500166
     /* 2500166 */ GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2500955),
     /* 2500171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2500177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2500180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500184 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2500261), // Rule ID 55086 //
     /* 2500189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2500196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2500217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500225 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500230 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2500232 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2500235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2500247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500260 */     // GIR_Coverage, 55086,
     /* 2500260 */     GIR_EraseRootFromParent_Done,
     /* 2500261 */   // Label 33028: @2500261
     /* 2500261 */   GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2500338), // Rule ID 55087 //
     /* 2500266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2500273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2500294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2500309 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2500312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2500324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500337 */     // GIR_Coverage, 55087,
     /* 2500337 */     GIR_EraseRootFromParent_Done,
     /* 2500338 */   // Label 33029: @2500338
     /* 2500338 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2500415), // Rule ID 71535 //
     /* 2500343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2500354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2500371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2500386 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2500389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2500393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2500401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500414 */     // GIR_Coverage, 71535,
     /* 2500414 */     GIR_EraseRootFromParent_Done,
     /* 2500415 */   // Label 33030: @2500415
     /* 2500415 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2500492), // Rule ID 71536 //
     /* 2500420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2500431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2500448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2500463 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2500466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2500470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2500478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500491 */     // GIR_Coverage, 71536,
     /* 2500491 */     GIR_EraseRootFromParent_Done,
     /* 2500492 */   // Label 33031: @2500492
     /* 2500492 */   GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2500554), // Rule ID 55090 //
     /* 2500497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500500 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2500504 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500508 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500527 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2500530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500553 */     // GIR_Coverage, 55090,
     /* 2500553 */     GIR_EraseRootFromParent_Done,
     /* 2500554 */   // Label 33032: @2500554
     /* 2500554 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2500616), // Rule ID 55091 //
     /* 2500559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2500566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500589 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2500592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500615 */     // GIR_Coverage, 55091,
     /* 2500615 */     GIR_EraseRootFromParent_Done,
     /* 2500616 */   // Label 33033: @2500616
     /* 2500616 */   GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2500678), // Rule ID 71539 //
     /* 2500621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2500632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500651 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2500654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2500658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500677 */     // GIR_Coverage, 71539,
     /* 2500677 */     GIR_EraseRootFromParent_Done,
     /* 2500678 */   // Label 33034: @2500678
     /* 2500678 */   GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2500740), // Rule ID 71540 //
     /* 2500683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500686 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2500694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500713 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2500716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2500720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2500724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500739 */     // GIR_Coverage, 71540,
     /* 2500739 */     GIR_EraseRootFromParent_Done,
     /* 2500740 */   // Label 33035: @2500740
     /* 2500740 */   GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2500802), // Rule ID 55082 //
     /* 2500745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2500760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500775 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2500778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2500788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500801 */     // GIR_Coverage, 55082,
     /* 2500801 */     GIR_EraseRootFromParent_Done,
     /* 2500802 */   // Label 33036: @2500802
     /* 2500802 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2500864), // Rule ID 55083 //
     /* 2500807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2500822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2500830 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2500837 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2500840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2500850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500863 */     // GIR_Coverage, 55083,
     /* 2500863 */     GIR_EraseRootFromParent_Done,
     /* 2500864 */   // Label 33037: @2500864
     /* 2500864 */   GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2500909), // Rule ID 55078 //
     /* 2500869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2500872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500884 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2500884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2500887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500908 */     // GIR_Coverage, 55078,
     /* 2500908 */     GIR_EraseRootFromParent_Done,
     /* 2500909 */   // Label 33038: @2500909
     /* 2500909 */   GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2500954), // Rule ID 55079 //
     /* 2500914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2500917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2500929 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2500929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2500932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2500934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2500936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2500938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2500940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2500943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2500946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2500949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2500952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2500953 */     // GIR_Coverage, 55079,
     /* 2500953 */     GIR_EraseRootFromParent_Done,
     /* 2500954 */   // Label 33039: @2500954
     /* 2500954 */   GIM_Reject,
     /* 2500955 */ // Label 33027: @2500955
     /* 2500955 */ GIM_Reject,
     /* 2500956 */ // Label 32871: @2500956
     /* 2500956 */ GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2501745),
     /* 2500961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2500964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2500967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2500970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500974 */   GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2501051), // Rule ID 54510 //
     /* 2500979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2500982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2500986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2500990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2500994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2500999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501022 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2501025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501050 */     // GIR_Coverage, 54510,
     /* 2501050 */     GIR_EraseRootFromParent_Done,
     /* 2501051 */   // Label 33041: @2501051
     /* 2501051 */   GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2501128), // Rule ID 54511 //
     /* 2501056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2501063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501099 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2501102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501127 */     // GIR_Coverage, 54511,
     /* 2501127 */     GIR_EraseRootFromParent_Done,
     /* 2501128 */   // Label 33042: @2501128
     /* 2501128 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2501205), // Rule ID 71031 //
     /* 2501133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2501136 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2501144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501176 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2501179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2501183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501204 */     // GIR_Coverage, 71031,
     /* 2501204 */     GIR_EraseRootFromParent_Done,
     /* 2501205 */   // Label 33043: @2501205
     /* 2501205 */   GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2501282), // Rule ID 71032 //
     /* 2501210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2501221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501253 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2501256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2501260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501281 */     // GIR_Coverage, 71032,
     /* 2501281 */     GIR_EraseRootFromParent_Done,
     /* 2501282 */   // Label 33044: @2501282
     /* 2501282 */   GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2501344), // Rule ID 54514 //
     /* 2501287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2501290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2501294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501317 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2501320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501343 */     // GIR_Coverage, 54514,
     /* 2501343 */     GIR_EraseRootFromParent_Done,
     /* 2501344 */   // Label 33045: @2501344
     /* 2501344 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2501406), // Rule ID 54515 //
     /* 2501349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2501356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501379 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2501382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501405 */     // GIR_Coverage, 54515,
     /* 2501405 */     GIR_EraseRootFromParent_Done,
     /* 2501406 */   // Label 33046: @2501406
     /* 2501406 */   GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2501468), // Rule ID 71035 //
     /* 2501411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2501414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2501422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501441 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2501444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501446 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2501448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501467 */     // GIR_Coverage, 71035,
     /* 2501467 */     GIR_EraseRootFromParent_Done,
     /* 2501468 */   // Label 33047: @2501468
     /* 2501468 */   GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2501530), // Rule ID 71036 //
     /* 2501473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2501484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501503 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2501506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2501510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501529 */     // GIR_Coverage, 71036,
     /* 2501529 */     GIR_EraseRootFromParent_Done,
     /* 2501530 */   // Label 33048: @2501530
     /* 2501530 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2501592), // Rule ID 54506 //
     /* 2501535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2501538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2501550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501565 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2501568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2501574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2501578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501591 */     // GIR_Coverage, 54506,
     /* 2501591 */     GIR_EraseRootFromParent_Done,
     /* 2501592 */   // Label 33049: @2501592
     /* 2501592 */   GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2501654), // Rule ID 54507 //
     /* 2501597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2501612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2501620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2501627 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2501630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2501636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2501640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501653 */     // GIR_Coverage, 54507,
     /* 2501653 */     GIR_EraseRootFromParent_Done,
     /* 2501654 */   // Label 33050: @2501654
     /* 2501654 */   GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2501699), // Rule ID 54502 //
     /* 2501659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2501662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501674 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2501677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2501683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501698 */     // GIR_Coverage, 54502,
     /* 2501698 */     GIR_EraseRootFromParent_Done,
     /* 2501699 */   // Label 33051: @2501699
     /* 2501699 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2501744), // Rule ID 54503 //
     /* 2501704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2501707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2501719 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2501722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2501728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2501730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2501739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501743 */     // GIR_Coverage, 54503,
     /* 2501743 */     GIR_EraseRootFromParent_Done,
     /* 2501744 */   // Label 33052: @2501744
     /* 2501744 */   GIM_Reject,
     /* 2501745 */ // Label 33040: @2501745
     /* 2501745 */ GIM_Reject,
     /* 2501746 */ // Label 32872: @2501746
     /* 2501746 */ GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2502535),
     /* 2501751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2501757 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2501760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501764 */   GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2501841), // Rule ID 54894 //
     /* 2501769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2501772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2501776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501805 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501810 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501812 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2501815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2501836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501840 */     // GIR_Coverage, 54894,
     /* 2501840 */     GIR_EraseRootFromParent_Done,
     /* 2501841 */   // Label 33054: @2501841
     /* 2501841 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2501918), // Rule ID 54895 //
     /* 2501846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2501849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2501853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501889 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2501889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2501892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2501896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2501913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501917 */     // GIR_Coverage, 54895,
     /* 2501917 */     GIR_EraseRootFromParent_Done,
     /* 2501918 */   // Label 33055: @2501918
     /* 2501918 */   GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2501995), // Rule ID 71367 //
     /* 2501923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2501926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2501934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501942 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501947 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2501951 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2501955 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2501959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2501964 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2501966 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2501966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2501969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2501971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2501973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2501977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2501981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2501984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2501987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2501990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2501993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2501994 */     // GIR_Coverage, 71367,
     /* 2501994 */     GIR_EraseRootFromParent_Done,
     /* 2501995 */   // Label 33056: @2501995
     /* 2501995 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2502072), // Rule ID 71368 //
     /* 2502000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2502003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2502011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2502028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502041 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2502043 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2502046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2502050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2502058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502071 */     // GIR_Coverage, 71368,
     /* 2502071 */     GIR_EraseRootFromParent_Done,
     /* 2502072 */   // Label 33057: @2502072
     /* 2502072 */   GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2502134), // Rule ID 54898 //
     /* 2502077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2502080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502107 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2502110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502133 */     // GIR_Coverage, 54898,
     /* 2502133 */     GIR_EraseRootFromParent_Done,
     /* 2502134 */   // Label 33058: @2502134
     /* 2502134 */   GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2502196), // Rule ID 54899 //
     /* 2502139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2502142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502169 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2502172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502195 */     // GIR_Coverage, 54899,
     /* 2502195 */     GIR_EraseRootFromParent_Done,
     /* 2502196 */   // Label 33059: @2502196
     /* 2502196 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2502258), // Rule ID 71371 //
     /* 2502201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2502204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2502212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502216 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502231 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2502234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2502238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502257 */     // GIR_Coverage, 71371,
     /* 2502257 */     GIR_EraseRootFromParent_Done,
     /* 2502258 */   // Label 33060: @2502258
     /* 2502258 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2502320), // Rule ID 71372 //
     /* 2502263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2502266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2502274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502293 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2502296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2502300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502319 */     // GIR_Coverage, 71372,
     /* 2502319 */     GIR_EraseRootFromParent_Done,
     /* 2502320 */   // Label 33061: @2502320
     /* 2502320 */   GIM_Try, /*On fail goto*//*Label 33062*/ GIMT_Encode4(2502382), // Rule ID 54890 //
     /* 2502325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2502328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2502340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502355 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2502358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2502364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2502368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502381 */     // GIR_Coverage, 54890,
     /* 2502381 */     GIR_EraseRootFromParent_Done,
     /* 2502382 */   // Label 33062: @2502382
     /* 2502382 */   GIM_Try, /*On fail goto*//*Label 33063*/ GIMT_Encode4(2502444), // Rule ID 54891 //
     /* 2502387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2502390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2502402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502406 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2502410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502417 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2502420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2502426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2502430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502443 */     // GIR_Coverage, 54891,
     /* 2502443 */     GIR_EraseRootFromParent_Done,
     /* 2502444 */   // Label 33063: @2502444
     /* 2502444 */   GIM_Try, /*On fail goto*//*Label 33064*/ GIMT_Encode4(2502489), // Rule ID 54886 //
     /* 2502449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2502452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502464 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2502467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2502473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502488 */     // GIR_Coverage, 54886,
     /* 2502488 */     GIR_EraseRootFromParent_Done,
     /* 2502489 */   // Label 33064: @2502489
     /* 2502489 */   GIM_Try, /*On fail goto*//*Label 33065*/ GIMT_Encode4(2502534), // Rule ID 54887 //
     /* 2502494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2502497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2502509 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2502512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2502518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2502529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502533 */     // GIR_Coverage, 54887,
     /* 2502533 */     GIR_EraseRootFromParent_Done,
     /* 2502534 */   // Label 33065: @2502534
     /* 2502534 */   GIM_Reject,
     /* 2502535 */ // Label 33053: @2502535
     /* 2502535 */ GIM_Reject,
     /* 2502536 */ // Label 32873: @2502536
     /* 2502536 */ GIM_Try, /*On fail goto*//*Label 33066*/ GIMT_Encode4(2503325),
     /* 2502541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2502547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2502550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502554 */   GIM_Try, /*On fail goto*//*Label 33067*/ GIMT_Encode4(2502631), // Rule ID 55150 //
     /* 2502559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2502562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2502587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2502602 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2502605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2502617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502630 */     // GIR_Coverage, 55150,
     /* 2502630 */     GIR_EraseRootFromParent_Done,
     /* 2502631 */   // Label 33067: @2502631
     /* 2502631 */   GIM_Try, /*On fail goto*//*Label 33068*/ GIMT_Encode4(2502708), // Rule ID 55151 //
     /* 2502636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2502639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2502664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2502679 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2502682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2502694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502707 */     // GIR_Coverage, 55151,
     /* 2502707 */     GIR_EraseRootFromParent_Done,
     /* 2502708 */   // Label 33068: @2502708
     /* 2502708 */   GIM_Try, /*On fail goto*//*Label 33069*/ GIMT_Encode4(2502785), // Rule ID 71591 //
     /* 2502713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2502716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2502724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2502741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502749 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502754 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2502756 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2502759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2502763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2502771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502784 */     // GIR_Coverage, 71591,
     /* 2502784 */     GIR_EraseRootFromParent_Done,
     /* 2502785 */   // Label 33069: @2502785
     /* 2502785 */   GIM_Try, /*On fail goto*//*Label 33070*/ GIMT_Encode4(2502862), // Rule ID 71592 //
     /* 2502790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2502793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2502801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2502818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2502833 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2502836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2502840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2502848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502861 */     // GIR_Coverage, 71592,
     /* 2502861 */     GIR_EraseRootFromParent_Done,
     /* 2502862 */   // Label 33070: @2502862
     /* 2502862 */   GIM_Try, /*On fail goto*//*Label 33071*/ GIMT_Encode4(2502924), // Rule ID 55154 //
     /* 2502867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2502870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502882 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502897 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2502897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2502900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502923 */     // GIR_Coverage, 55154,
     /* 2502923 */     GIR_EraseRootFromParent_Done,
     /* 2502924 */   // Label 33071: @2502924
     /* 2502924 */   GIM_Try, /*On fail goto*//*Label 33072*/ GIMT_Encode4(2502986), // Rule ID 55155 //
     /* 2502929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2502932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2502936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2502940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2502944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2502959 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2502959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2502962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2502964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2502966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2502970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2502972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2502975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2502978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2502981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2502984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2502985 */     // GIR_Coverage, 55155,
     /* 2502985 */     GIR_EraseRootFromParent_Done,
     /* 2502986 */   // Label 33072: @2502986
     /* 2502986 */   GIM_Try, /*On fail goto*//*Label 33073*/ GIMT_Encode4(2503048), // Rule ID 71595 //
     /* 2502991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2502994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2502998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2503010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503021 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2503024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503047 */     // GIR_Coverage, 71595,
     /* 2503047 */     GIR_EraseRootFromParent_Done,
     /* 2503048 */   // Label 33073: @2503048
     /* 2503048 */   GIM_Try, /*On fail goto*//*Label 33074*/ GIMT_Encode4(2503110), // Rule ID 71596 //
     /* 2503053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2503056 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2503072 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503083 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2503086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503090 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503109 */     // GIR_Coverage, 71596,
     /* 2503109 */     GIR_EraseRootFromParent_Done,
     /* 2503110 */   // Label 33074: @2503110
     /* 2503110 */   GIM_Try, /*On fail goto*//*Label 33075*/ GIMT_Encode4(2503172), // Rule ID 55146 //
     /* 2503115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2503118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2503130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2503138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503145 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2503148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2503154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2503158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503171 */     // GIR_Coverage, 55146,
     /* 2503171 */     GIR_EraseRootFromParent_Done,
     /* 2503172 */   // Label 33075: @2503172
     /* 2503172 */   GIM_Try, /*On fail goto*//*Label 33076*/ GIMT_Encode4(2503234), // Rule ID 55147 //
     /* 2503177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2503180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2503192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2503200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503207 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2503210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2503216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2503220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503233 */     // GIR_Coverage, 55147,
     /* 2503233 */     GIR_EraseRootFromParent_Done,
     /* 2503234 */   // Label 33076: @2503234
     /* 2503234 */   GIM_Try, /*On fail goto*//*Label 33077*/ GIMT_Encode4(2503279), // Rule ID 55142 //
     /* 2503239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2503242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503254 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2503257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2503263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503278 */     // GIR_Coverage, 55142,
     /* 2503278 */     GIR_EraseRootFromParent_Done,
     /* 2503279 */   // Label 33077: @2503279
     /* 2503279 */   GIM_Try, /*On fail goto*//*Label 33078*/ GIMT_Encode4(2503324), // Rule ID 55143 //
     /* 2503284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2503287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2503299 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2503302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2503308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2503319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503323 */     // GIR_Coverage, 55143,
     /* 2503323 */     GIR_EraseRootFromParent_Done,
     /* 2503324 */   // Label 33078: @2503324
     /* 2503324 */   GIM_Reject,
     /* 2503325 */ // Label 33066: @2503325
     /* 2503325 */ GIM_Reject,
     /* 2503326 */ // Label 32874: @2503326
     /* 2503326 */ GIM_Try, /*On fail goto*//*Label 33079*/ GIMT_Encode4(2504115),
     /* 2503331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2503337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2503340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503344 */   GIM_Try, /*On fail goto*//*Label 33080*/ GIMT_Encode4(2503421), // Rule ID 54702 //
     /* 2503349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2503352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2503356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503364 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2503377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2503392 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2503395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2503407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503420 */     // GIR_Coverage, 54702,
     /* 2503420 */     GIR_EraseRootFromParent_Done,
     /* 2503421 */   // Label 33080: @2503421
     /* 2503421 */   GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2503498), // Rule ID 54703 //
     /* 2503426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2503429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2503433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503437 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503441 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503450 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2503454 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503458 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503462 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503467 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2503469 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2503472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503480 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2503484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503497 */     // GIR_Coverage, 54703,
     /* 2503497 */     GIR_EraseRootFromParent_Done,
     /* 2503498 */   // Label 33081: @2503498
     /* 2503498 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2503575), // Rule ID 71199 //
     /* 2503503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2503506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503522 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503527 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2503531 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503535 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503539 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503544 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2503546 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2503549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2503561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503574 */     // GIR_Coverage, 71199,
     /* 2503574 */     GIR_EraseRootFromParent_Done,
     /* 2503575 */   // Label 33082: @2503575
     /* 2503575 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2503652), // Rule ID 71200 //
     /* 2503580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2503583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503604 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2503608 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503612 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503616 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2503623 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2503626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2503638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503651 */     // GIR_Coverage, 71200,
     /* 2503651 */     GIR_EraseRootFromParent_Done,
     /* 2503652 */   // Label 33083: @2503652
     /* 2503652 */   GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2503714), // Rule ID 54706 //
     /* 2503657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2503660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2503664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503687 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2503690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503713 */     // GIR_Coverage, 54706,
     /* 2503713 */     GIR_EraseRootFromParent_Done,
     /* 2503714 */   // Label 33084: @2503714
     /* 2503714 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2503776), // Rule ID 54707 //
     /* 2503719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2503722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2503726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503749 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2503752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503775 */     // GIR_Coverage, 54707,
     /* 2503775 */     GIR_EraseRootFromParent_Done,
     /* 2503776 */   // Label 33085: @2503776
     /* 2503776 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2503838), // Rule ID 71203 //
     /* 2503781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2503784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503796 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503811 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2503814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503837 */     // GIR_Coverage, 71203,
     /* 2503837 */     GIR_EraseRootFromParent_Done,
     /* 2503838 */   // Label 33086: @2503838
     /* 2503838 */   GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2503900), // Rule ID 71204 //
     /* 2503843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2503846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2503854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503862 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503873 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2503876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2503880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2503884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2503886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503899 */     // GIR_Coverage, 71204,
     /* 2503899 */     GIR_EraseRootFromParent_Done,
     /* 2503900 */   // Label 33087: @2503900
     /* 2503900 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2503962), // Rule ID 54698 //
     /* 2503905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2503908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2503920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503935 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2503935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2503938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2503940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2503942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2503944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2503948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2503951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2503954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2503957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2503960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2503961 */     // GIR_Coverage, 54698,
     /* 2503961 */     GIR_EraseRootFromParent_Done,
     /* 2503962 */   // Label 33088: @2503962
     /* 2503962 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2504024), // Rule ID 54699 //
     /* 2503967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2503970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2503982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2503986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2503990 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2503995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2503997 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2503997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2504000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2504010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2504019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504023 */     // GIR_Coverage, 54699,
     /* 2504023 */     GIR_EraseRootFromParent_Done,
     /* 2504024 */   // Label 33089: @2504024
     /* 2504024 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2504069), // Rule ID 54694 //
     /* 2504029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2504032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504044 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2504047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2504064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504068 */     // GIR_Coverage, 54694,
     /* 2504068 */     GIR_EraseRootFromParent_Done,
     /* 2504069 */   // Label 33090: @2504069
     /* 2504069 */   GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2504114), // Rule ID 54695 //
     /* 2504074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2504077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2504089 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2504092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2504109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504113 */     // GIR_Coverage, 54695,
     /* 2504113 */     GIR_EraseRootFromParent_Done,
     /* 2504114 */   // Label 33091: @2504114
     /* 2504114 */   GIM_Reject,
     /* 2504115 */ // Label 33079: @2504115
     /* 2504115 */ GIM_Reject,
     /* 2504116 */ // Label 32875: @2504116
     /* 2504116 */ GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2504905),
     /* 2504121 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504124 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2504127 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2504130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504134 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2504211), // Rule ID 54958 //
     /* 2504139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2504146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504154 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504163 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2504167 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504171 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2504182 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2504185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2504197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504210 */     // GIR_Coverage, 54958,
     /* 2504210 */     GIR_EraseRootFromParent_Done,
     /* 2504211 */   // Label 33093: @2504211
     /* 2504211 */   GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2504288), // Rule ID 54959 //
     /* 2504216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2504223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2504244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2504259 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2504262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504270 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2504274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504287 */     // GIR_Coverage, 54959,
     /* 2504287 */     GIR_EraseRootFromParent_Done,
     /* 2504288 */   // Label 33094: @2504288
     /* 2504288 */   GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2504365), // Rule ID 71423 //
     /* 2504293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2504304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2504321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504329 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504334 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2504336 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2504339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2504343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2504351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504364 */     // GIR_Coverage, 71423,
     /* 2504364 */     GIR_EraseRootFromParent_Done,
     /* 2504365 */   // Label 33095: @2504365
     /* 2504365 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2504442), // Rule ID 71424 //
     /* 2504370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2504381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504385 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504389 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504394 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2504398 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504402 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504406 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504411 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2504413 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2504416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2504420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2504428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504441 */     // GIR_Coverage, 71424,
     /* 2504441 */     GIR_EraseRootFromParent_Done,
     /* 2504442 */   // Label 33096: @2504442
     /* 2504442 */   GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2504504), // Rule ID 54962 //
     /* 2504447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2504454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504458 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504477 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2504480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504503 */     // GIR_Coverage, 54962,
     /* 2504503 */     GIR_EraseRootFromParent_Done,
     /* 2504504 */   // Label 33097: @2504504
     /* 2504504 */   GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2504566), // Rule ID 54963 //
     /* 2504509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2504516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504539 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2504542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504565 */     // GIR_Coverage, 54963,
     /* 2504565 */     GIR_EraseRootFromParent_Done,
     /* 2504566 */   // Label 33098: @2504566
     /* 2504566 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2504628), // Rule ID 71427 //
     /* 2504571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2504582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504601 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2504604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504606 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2504608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504627 */     // GIR_Coverage, 71427,
     /* 2504627 */     GIR_EraseRootFromParent_Done,
     /* 2504628 */   // Label 33099: @2504628
     /* 2504628 */   GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2504690), // Rule ID 71428 //
     /* 2504633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2504644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504652 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504663 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2504666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2504670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504689 */     // GIR_Coverage, 71428,
     /* 2504689 */     GIR_EraseRootFromParent_Done,
     /* 2504690 */   // Label 33100: @2504690
     /* 2504690 */   GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2504752), // Rule ID 54954 //
     /* 2504695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2504710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504725 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2504728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2504738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504751 */     // GIR_Coverage, 54954,
     /* 2504751 */     GIR_EraseRootFromParent_Done,
     /* 2504752 */   // Label 33101: @2504752
     /* 2504752 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2504814), // Rule ID 54955 //
     /* 2504757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2504772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2504780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2504787 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2504790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2504800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504813 */     // GIR_Coverage, 54955,
     /* 2504813 */     GIR_EraseRootFromParent_Done,
     /* 2504814 */   // Label 33102: @2504814
     /* 2504814 */   GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2504859), // Rule ID 54950 //
     /* 2504819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2504822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504834 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2504837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504858 */     // GIR_Coverage, 54950,
     /* 2504858 */     GIR_EraseRootFromParent_Done,
     /* 2504859 */   // Label 33103: @2504859
     /* 2504859 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2504904), // Rule ID 54951 //
     /* 2504864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2504867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2504879 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2504879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2504882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2504888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2504890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2504899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2504903 */     // GIR_Coverage, 54951,
     /* 2504903 */     GIR_EraseRootFromParent_Done,
     /* 2504904 */   // Label 33104: @2504904
     /* 2504904 */   GIM_Reject,
     /* 2504905 */ // Label 33092: @2504905
     /* 2504905 */ GIM_Reject,
     /* 2504906 */ // Label 32876: @2504906
     /* 2504906 */ GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2505695),
     /* 2504911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2504914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2504917 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2504920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2504924 */   GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2505001), // Rule ID 55214 //
     /* 2504929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2504932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2504936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2504944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2504949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2504953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2504957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2504961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2504965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2504970 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2504972 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2504972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2504975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2504977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2504979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2504983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2504987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2504990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2504993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2504996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2504999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505000 */     // GIR_Coverage, 55214,
     /* 2505000 */     GIR_EraseRootFromParent_Done,
     /* 2505001 */   // Label 33106: @2505001
     /* 2505001 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2505078), // Rule ID 55215 //
     /* 2505006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2505013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505042 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505047 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505049 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2505052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505077 */     // GIR_Coverage, 55215,
     /* 2505077 */     GIR_EraseRootFromParent_Done,
     /* 2505078 */   // Label 33107: @2505078
     /* 2505078 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2505155), // Rule ID 71647 //
     /* 2505083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2505086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505126 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2505129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2505133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505154 */     // GIR_Coverage, 71647,
     /* 2505154 */     GIR_EraseRootFromParent_Done,
     /* 2505155 */   // Label 33108: @2505155
     /* 2505155 */   GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2505232), // Rule ID 71648 //
     /* 2505160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505175 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505203 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2505206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2505210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505231 */     // GIR_Coverage, 71648,
     /* 2505231 */     GIR_EraseRootFromParent_Done,
     /* 2505232 */   // Label 33109: @2505232
     /* 2505232 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2505294), // Rule ID 55218 //
     /* 2505237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2505240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2505244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505248 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505252 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505267 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2505270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505293 */     // GIR_Coverage, 55218,
     /* 2505293 */     GIR_EraseRootFromParent_Done,
     /* 2505294 */   // Label 33110: @2505294
     /* 2505294 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2505356), // Rule ID 55219 //
     /* 2505299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2505306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505329 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2505332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505355 */     // GIR_Coverage, 55219,
     /* 2505355 */     GIR_EraseRootFromParent_Done,
     /* 2505356 */   // Label 33111: @2505356
     /* 2505356 */   GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2505418), // Rule ID 71651 //
     /* 2505361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2505364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505391 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2505394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2505398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505417 */     // GIR_Coverage, 71651,
     /* 2505417 */     GIR_EraseRootFromParent_Done,
     /* 2505418 */   // Label 33112: @2505418
     /* 2505418 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2505480), // Rule ID 71652 //
     /* 2505423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505453 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2505456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2505460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505479 */     // GIR_Coverage, 71652,
     /* 2505479 */     GIR_EraseRootFromParent_Done,
     /* 2505480 */   // Label 33113: @2505480
     /* 2505480 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2505542), // Rule ID 55210 //
     /* 2505485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2505488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2505500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505515 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2505518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2505524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2505528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505541 */     // GIR_Coverage, 55210,
     /* 2505541 */     GIR_EraseRootFromParent_Done,
     /* 2505542 */   // Label 33114: @2505542
     /* 2505542 */   GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2505604), // Rule ID 55211 //
     /* 2505547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2505562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2505570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2505577 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2505580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2505586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2505590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505603 */     // GIR_Coverage, 55211,
     /* 2505603 */     GIR_EraseRootFromParent_Done,
     /* 2505604 */   // Label 33115: @2505604
     /* 2505604 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2505649), // Rule ID 55206 //
     /* 2505609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2505612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505624 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2505627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2505633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505648 */     // GIR_Coverage, 55206,
     /* 2505648 */     GIR_EraseRootFromParent_Done,
     /* 2505649 */   // Label 33116: @2505649
     /* 2505649 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2505694), // Rule ID 55207 //
     /* 2505654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2505657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2505669 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2505672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2505678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2505680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2505689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505693 */     // GIR_Coverage, 55207,
     /* 2505693 */     GIR_EraseRootFromParent_Done,
     /* 2505694 */   // Label 33117: @2505694
     /* 2505694 */   GIM_Reject,
     /* 2505695 */ // Label 33105: @2505695
     /* 2505695 */ GIM_Reject,
     /* 2505696 */ // Label 32877: @2505696
     /* 2505696 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2506485),
     /* 2505701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2505707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2505710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505714 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2505791), // Rule ID 54766 //
     /* 2505719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2505722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2505726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505755 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505762 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2505765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2505786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505790 */     // GIR_Coverage, 54766,
     /* 2505790 */     GIR_EraseRootFromParent_Done,
     /* 2505791 */   // Label 33119: @2505791
     /* 2505791 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2505868), // Rule ID 54767 //
     /* 2505796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2505799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2505803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505811 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505839 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2505842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2505846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2505863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505867 */     // GIR_Coverage, 54767,
     /* 2505867 */     GIR_EraseRootFromParent_Done,
     /* 2505868 */   // Label 33120: @2505868
     /* 2505868 */   GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2505945), // Rule ID 71255 //
     /* 2505873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2505876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505888 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505909 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505914 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505916 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2505916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2505919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2505923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2505927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2505931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2505934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2505937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2505940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2505943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2505944 */     // GIR_Coverage, 71255,
     /* 2505944 */     GIR_EraseRootFromParent_Done,
     /* 2505945 */   // Label 33121: @2505945
     /* 2505945 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2506022), // Rule ID 71256 //
     /* 2505950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2505953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2505961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505969 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505974 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2505978 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2505982 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2505986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2505991 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2505993 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2505993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2505996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2505998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2506008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506021 */     // GIR_Coverage, 71256,
     /* 2506021 */     GIR_EraseRootFromParent_Done,
     /* 2506022 */   // Label 33122: @2506022
     /* 2506022 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2506084), // Rule ID 54770 //
     /* 2506027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2506030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506038 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506057 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2506060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506083 */     // GIR_Coverage, 54770,
     /* 2506083 */     GIR_EraseRootFromParent_Done,
     /* 2506084 */   // Label 33123: @2506084
     /* 2506084 */   GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2506146), // Rule ID 54771 //
     /* 2506089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2506092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506100 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506104 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506119 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2506122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506145 */     // GIR_Coverage, 54771,
     /* 2506145 */     GIR_EraseRootFromParent_Done,
     /* 2506146 */   // Label 33124: @2506146
     /* 2506146 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2506208), // Rule ID 71259 //
     /* 2506151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2506154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2506162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506181 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2506184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506207 */     // GIR_Coverage, 71259,
     /* 2506207 */     GIR_EraseRootFromParent_Done,
     /* 2506208 */   // Label 33125: @2506208
     /* 2506208 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2506270), // Rule ID 71260 //
     /* 2506213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2506216 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2506224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506243 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2506246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506269 */     // GIR_Coverage, 71260,
     /* 2506269 */     GIR_EraseRootFromParent_Done,
     /* 2506270 */   // Label 33126: @2506270
     /* 2506270 */   GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2506332), // Rule ID 54762 //
     /* 2506275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2506278 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2506290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506305 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2506308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2506314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2506318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506331 */     // GIR_Coverage, 54762,
     /* 2506331 */     GIR_EraseRootFromParent_Done,
     /* 2506332 */   // Label 33127: @2506332
     /* 2506332 */   GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2506394), // Rule ID 54763 //
     /* 2506337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2506340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2506352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2506360 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506367 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2506370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2506376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2506380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506393 */     // GIR_Coverage, 54763,
     /* 2506393 */     GIR_EraseRootFromParent_Done,
     /* 2506394 */   // Label 33128: @2506394
     /* 2506394 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2506439), // Rule ID 54758 //
     /* 2506399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2506402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506414 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2506417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2506423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506438 */     // GIR_Coverage, 54758,
     /* 2506438 */     GIR_EraseRootFromParent_Done,
     /* 2506439 */   // Label 33129: @2506439
     /* 2506439 */   GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2506484), // Rule ID 54759 //
     /* 2506444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2506447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2506459 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2506462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2506468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2506479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506483 */     // GIR_Coverage, 54759,
     /* 2506483 */     GIR_EraseRootFromParent_Done,
     /* 2506484 */   // Label 33130: @2506484
     /* 2506484 */   GIM_Reject,
     /* 2506485 */ // Label 33118: @2506485
     /* 2506485 */ GIM_Reject,
     /* 2506486 */ // Label 32878: @2506486
     /* 2506486 */ GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2507275),
     /* 2506491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2506497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2506500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506504 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2506581), // Rule ID 55022 //
     /* 2506509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2506512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2506537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2506552 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2506555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2506567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506580 */     // GIR_Coverage, 55022,
     /* 2506580 */     GIR_EraseRootFromParent_Done,
     /* 2506581 */   // Label 33132: @2506581
     /* 2506581 */   GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2506658), // Rule ID 55023 //
     /* 2506586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2506589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506610 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2506614 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506618 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2506629 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2506632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506636 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2506644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506657 */     // GIR_Coverage, 55023,
     /* 2506657 */     GIR_EraseRootFromParent_Done,
     /* 2506658 */   // Label 33133: @2506658
     /* 2506658 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2506735), // Rule ID 71479 //
     /* 2506663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2506666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2506674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2506691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506704 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2506706 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2506709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2506721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506734 */     // GIR_Coverage, 71479,
     /* 2506734 */     GIR_EraseRootFromParent_Done,
     /* 2506735 */   // Label 33134: @2506735
     /* 2506735 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2506812), // Rule ID 71480 //
     /* 2506740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2506743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2506751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2506768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2506783 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2506786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2506798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506811 */     // GIR_Coverage, 71480,
     /* 2506811 */     GIR_EraseRootFromParent_Done,
     /* 2506812 */   // Label 33135: @2506812
     /* 2506812 */   GIM_Try, /*On fail goto*//*Label 33136*/ GIMT_Encode4(2506874), // Rule ID 55026 //
     /* 2506817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2506820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506847 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2506850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506873 */     // GIR_Coverage, 55026,
     /* 2506873 */     GIR_EraseRootFromParent_Done,
     /* 2506874 */   // Label 33136: @2506874
     /* 2506874 */   GIM_Try, /*On fail goto*//*Label 33137*/ GIMT_Encode4(2506936), // Rule ID 55027 //
     /* 2506879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2506882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2506886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506894 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506909 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2506909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2506912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2506916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506935 */     // GIR_Coverage, 55027,
     /* 2506935 */     GIR_EraseRootFromParent_Done,
     /* 2506936 */   // Label 33137: @2506936
     /* 2506936 */   GIM_Try, /*On fail goto*//*Label 33138*/ GIMT_Encode4(2506998), // Rule ID 71483 //
     /* 2506941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2506944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2506952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2506956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2506960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2506969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2506971 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2506971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2506974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2506976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2506978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2506982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2506984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2506987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2506990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2506993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2506996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2506997 */     // GIR_Coverage, 71483,
     /* 2506997 */     GIR_EraseRootFromParent_Done,
     /* 2506998 */   // Label 33138: @2506998
     /* 2506998 */   GIM_Try, /*On fail goto*//*Label 33139*/ GIMT_Encode4(2507060), // Rule ID 71484 //
     /* 2507003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2507006 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2507014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2507022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507033 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2507036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2507040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2507055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507059 */     // GIR_Coverage, 71484,
     /* 2507059 */     GIR_EraseRootFromParent_Done,
     /* 2507060 */   // Label 33139: @2507060
     /* 2507060 */   GIM_Try, /*On fail goto*//*Label 33140*/ GIMT_Encode4(2507122), // Rule ID 55018 //
     /* 2507065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2507068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2507080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2507088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507095 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2507098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2507108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2507117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507121 */     // GIR_Coverage, 55018,
     /* 2507121 */     GIR_EraseRootFromParent_Done,
     /* 2507122 */   // Label 33140: @2507122
     /* 2507122 */   GIM_Try, /*On fail goto*//*Label 33141*/ GIMT_Encode4(2507184), // Rule ID 55019 //
     /* 2507127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2507130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2507142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2507150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507157 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2507160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2507170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2507179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507183 */     // GIR_Coverage, 55019,
     /* 2507183 */     GIR_EraseRootFromParent_Done,
     /* 2507184 */   // Label 33141: @2507184
     /* 2507184 */   GIM_Try, /*On fail goto*//*Label 33142*/ GIMT_Encode4(2507229), // Rule ID 55014 //
     /* 2507189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2507192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507204 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2507207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2507224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507228 */     // GIR_Coverage, 55014,
     /* 2507228 */     GIR_EraseRootFromParent_Done,
     /* 2507229 */   // Label 33142: @2507229
     /* 2507229 */   GIM_Try, /*On fail goto*//*Label 33143*/ GIMT_Encode4(2507274), // Rule ID 55015 //
     /* 2507234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2507237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507249 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2507252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2507269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507273 */     // GIR_Coverage, 55015,
     /* 2507273 */     GIR_EraseRootFromParent_Done,
     /* 2507274 */   // Label 33143: @2507274
     /* 2507274 */   GIM_Reject,
     /* 2507275 */ // Label 33131: @2507275
     /* 2507275 */ GIM_Reject,
     /* 2507276 */ // Label 32879: @2507276
     /* 2507276 */ GIM_Try, /*On fail goto*//*Label 33144*/ GIMT_Encode4(2508065),
     /* 2507281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2507287 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2507290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507294 */   GIM_Try, /*On fail goto*//*Label 33145*/ GIMT_Encode4(2507371), // Rule ID 54830 //
     /* 2507299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2507306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2507327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507335 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507340 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2507342 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2507345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2507357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507370 */     // GIR_Coverage, 54830,
     /* 2507370 */     GIR_EraseRootFromParent_Done,
     /* 2507371 */   // Label 33145: @2507371
     /* 2507371 */   GIM_Try, /*On fail goto*//*Label 33146*/ GIMT_Encode4(2507448), // Rule ID 54831 //
     /* 2507376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2507379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2507383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2507404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2507419 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2507422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2507434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507447 */     // GIR_Coverage, 54831,
     /* 2507447 */     GIR_EraseRootFromParent_Done,
     /* 2507448 */   // Label 33146: @2507448
     /* 2507448 */   GIM_Try, /*On fail goto*//*Label 33147*/ GIMT_Encode4(2507525), // Rule ID 71311 //
     /* 2507453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2507464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507477 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2507481 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507485 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507489 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507494 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2507496 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2507499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2507503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2507511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507524 */     // GIR_Coverage, 71311,
     /* 2507524 */     GIR_EraseRootFromParent_Done,
     /* 2507525 */   // Label 33147: @2507525
     /* 2507525 */   GIM_Try, /*On fail goto*//*Label 33148*/ GIMT_Encode4(2507602), // Rule ID 71312 //
     /* 2507530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2507533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2507541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2507558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507566 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2507573 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2507576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2507580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2507588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507601 */     // GIR_Coverage, 71312,
     /* 2507601 */     GIR_EraseRootFromParent_Done,
     /* 2507602 */   // Label 33148: @2507602
     /* 2507602 */   GIM_Try, /*On fail goto*//*Label 33149*/ GIMT_Encode4(2507664), // Rule ID 54834 //
     /* 2507607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2507614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507637 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2507640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507663 */     // GIR_Coverage, 54834,
     /* 2507663 */     GIR_EraseRootFromParent_Done,
     /* 2507664 */   // Label 33149: @2507664
     /* 2507664 */   GIM_Try, /*On fail goto*//*Label 33150*/ GIMT_Encode4(2507726), // Rule ID 54835 //
     /* 2507669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2507672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2507676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507699 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2507702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507725 */     // GIR_Coverage, 54835,
     /* 2507725 */     GIR_EraseRootFromParent_Done,
     /* 2507726 */   // Label 33150: @2507726
     /* 2507726 */   GIM_Try, /*On fail goto*//*Label 33151*/ GIMT_Encode4(2507788), // Rule ID 71315 //
     /* 2507731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2507742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507750 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507761 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2507764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2507768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507787 */     // GIR_Coverage, 71315,
     /* 2507787 */     GIR_EraseRootFromParent_Done,
     /* 2507788 */   // Label 33151: @2507788
     /* 2507788 */   GIM_Try, /*On fail goto*//*Label 33152*/ GIMT_Encode4(2507850), // Rule ID 71316 //
     /* 2507793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2507796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2507804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507823 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2507826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2507830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2507834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2507836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507849 */     // GIR_Coverage, 71316,
     /* 2507849 */     GIR_EraseRootFromParent_Done,
     /* 2507850 */   // Label 33152: @2507850
     /* 2507850 */   GIM_Try, /*On fail goto*//*Label 33153*/ GIMT_Encode4(2507912), // Rule ID 54826 //
     /* 2507855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2507870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507885 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2507888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2507898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507911 */     // GIR_Coverage, 54826,
     /* 2507911 */     GIR_EraseRootFromParent_Done,
     /* 2507912 */   // Label 33153: @2507912
     /* 2507912 */   GIM_Try, /*On fail goto*//*Label 33154*/ GIMT_Encode4(2507974), // Rule ID 54827 //
     /* 2507917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2507920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2507932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2507936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2507940 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2507947 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2507947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2507950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2507954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2507956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2507960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2507963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2507966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2507969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2507972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2507973 */     // GIR_Coverage, 54827,
     /* 2507973 */     GIR_EraseRootFromParent_Done,
     /* 2507974 */   // Label 33154: @2507974
     /* 2507974 */   GIM_Try, /*On fail goto*//*Label 33155*/ GIMT_Encode4(2508019), // Rule ID 54822 //
     /* 2507979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2507982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2507994 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2507994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2507997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2507999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2508001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2508005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2508014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2508017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508018 */     // GIR_Coverage, 54822,
     /* 2508018 */     GIR_EraseRootFromParent_Done,
     /* 2508019 */   // Label 33155: @2508019
     /* 2508019 */   GIM_Try, /*On fail goto*//*Label 33156*/ GIMT_Encode4(2508064), // Rule ID 54823 //
     /* 2508024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2508027 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2508031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2508035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2508039 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2508039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2508042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2508046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2508050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2508059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2508062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508063 */     // GIR_Coverage, 54823,
     /* 2508063 */     GIR_EraseRootFromParent_Done,
     /* 2508064 */   // Label 33156: @2508064
     /* 2508064 */   GIM_Reject,
     /* 2508065 */ // Label 33144: @2508065
     /* 2508065 */ GIM_Reject,
     /* 2508066 */ // Label 32880: @2508066
     /* 2508066 */ GIM_Reject,
     /* 2508067 */ // Label 99: @2508067
     /* 2508067 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33175*/ GIMT_Encode4(2510242),
     /* 2508078 */ /*GILLT_s16*//*Label 33157*/ GIMT_Encode4(2508198),
     /* 2508082 */ /*GILLT_s32*//*Label 33158*/ GIMT_Encode4(2508320),
     /* 2508086 */ /*GILLT_s64*//*Label 33159*/ GIMT_Encode4(2508442), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508098 */ /*GILLT_nxv1s16*//*Label 33160*/ GIMT_Encode4(2508592),
     /* 2508102 */ /*GILLT_nxv1s32*//*Label 33161*/ GIMT_Encode4(2508702),
     /* 2508106 */ /*GILLT_nxv1s64*//*Label 33162*/ GIMT_Encode4(2508812), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508118 */ /*GILLT_nxv2s16*//*Label 33163*/ GIMT_Encode4(2508922),
     /* 2508122 */ /*GILLT_nxv2s32*//*Label 33164*/ GIMT_Encode4(2509032),
     /* 2508126 */ /*GILLT_nxv2s64*//*Label 33165*/ GIMT_Encode4(2509142), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508138 */ /*GILLT_nxv4s16*//*Label 33166*/ GIMT_Encode4(2509252),
     /* 2508142 */ /*GILLT_nxv4s32*//*Label 33167*/ GIMT_Encode4(2509362),
     /* 2508146 */ /*GILLT_nxv4s64*//*Label 33168*/ GIMT_Encode4(2509472), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508158 */ /*GILLT_nxv8s16*//*Label 33169*/ GIMT_Encode4(2509582),
     /* 2508162 */ /*GILLT_nxv8s32*//*Label 33170*/ GIMT_Encode4(2509692),
     /* 2508166 */ /*GILLT_nxv8s64*//*Label 33171*/ GIMT_Encode4(2509802), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508178 */ /*GILLT_nxv16s16*//*Label 33172*/ GIMT_Encode4(2509912),
     /* 2508182 */ /*GILLT_nxv16s32*//*Label 33173*/ GIMT_Encode4(2510022), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2508194 */ /*GILLT_nxv32s16*//*Label 33174*/ GIMT_Encode4(2510132),
     /* 2508198 */ // Label 33157: @2508198
     /* 2508198 */ GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2508319),
     /* 2508203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2508206 */   GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2508234), // Rule ID 1846 //
     /* 2508211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2508214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2508218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2508222 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2508222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2508225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508233 */     // GIR_Coverage, 1846,
     /* 2508233 */     GIR_EraseRootFromParent_Done,
     /* 2508234 */   // Label 33177: @2508234
     /* 2508234 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2508262), // Rule ID 1847 //
     /* 2508239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2508242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2508246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2508250 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2508250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2508253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508261 */     // GIR_Coverage, 1847,
     /* 2508261 */     GIR_EraseRootFromParent_Done,
     /* 2508262 */   // Label 33178: @2508262
     /* 2508262 */   GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2508290), // Rule ID 1879 //
     /* 2508267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2508270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2508274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2508278 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2508278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2508281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508289 */     // GIR_Coverage, 1879,
     /* 2508289 */     GIR_EraseRootFromParent_Done,
     /* 2508290 */   // Label 33179: @2508290
     /* 2508290 */   GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2508318), // Rule ID 1880 //
     /* 2508295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2508298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2508302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2508306 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2508306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2508309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508317 */     // GIR_Coverage, 1880,
     /* 2508317 */     GIR_EraseRootFromParent_Done,
     /* 2508318 */   // Label 33180: @2508318
     /* 2508318 */   GIM_Reject,
     /* 2508319 */ // Label 33176: @2508319
     /* 2508319 */ GIM_Reject,
     /* 2508320 */ // Label 33158: @2508320
     /* 2508320 */ GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2508441),
     /* 2508325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2508328 */   GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2508356), // Rule ID 1137 //
     /* 2508333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2508336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2508340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2508344 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2508344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2508347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508355 */     // GIR_Coverage, 1137,
     /* 2508355 */     GIR_EraseRootFromParent_Done,
     /* 2508356 */   // Label 33182: @2508356
     /* 2508356 */   GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2508384), // Rule ID 1138 //
     /* 2508361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2508364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2508368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2508372 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2508372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2508375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508383 */     // GIR_Coverage, 1138,
     /* 2508383 */     GIR_EraseRootFromParent_Done,
     /* 2508384 */   // Label 33183: @2508384
     /* 2508384 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2508412), // Rule ID 1145 //
     /* 2508389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2508392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2508396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2508400 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2508400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2508403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508411 */     // GIR_Coverage, 1145,
     /* 2508411 */     GIR_EraseRootFromParent_Done,
     /* 2508412 */   // Label 33184: @2508412
     /* 2508412 */   GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2508440), // Rule ID 1146 //
     /* 2508417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2508420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2508424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2508428 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2508428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2508431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508439 */     // GIR_Coverage, 1146,
     /* 2508439 */     GIR_EraseRootFromParent_Done,
     /* 2508440 */   // Label 33185: @2508440
     /* 2508440 */   GIM_Reject,
     /* 2508441 */ // Label 33181: @2508441
     /* 2508441 */ GIM_Reject,
     /* 2508442 */ // Label 33159: @2508442
     /* 2508442 */ GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2508591),
     /* 2508447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2508450 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2508478), // Rule ID 1480 //
     /* 2508455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2508458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2508462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2508466 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2508466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2508469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508477 */     // GIR_Coverage, 1480,
     /* 2508477 */     GIR_EraseRootFromParent_Done,
     /* 2508478 */   // Label 33187: @2508478
     /* 2508478 */   GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2508506), // Rule ID 1481 //
     /* 2508483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2508486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2508490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2508494 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2508494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2508497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508505 */     // GIR_Coverage, 1481,
     /* 2508505 */     GIR_EraseRootFromParent_Done,
     /* 2508506 */   // Label 33188: @2508506
     /* 2508506 */   GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2508534), // Rule ID 1515 //
     /* 2508511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2508514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2508518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2508522 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2508522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2508525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508527 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508533 */     // GIR_Coverage, 1515,
     /* 2508533 */     GIR_EraseRootFromParent_Done,
     /* 2508534 */   // Label 33189: @2508534
     /* 2508534 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2508562), // Rule ID 1535 //
     /* 2508539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2508542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2508546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2508550 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2508550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2508553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508561 */     // GIR_Coverage, 1535,
     /* 2508561 */     GIR_EraseRootFromParent_Done,
     /* 2508562 */   // Label 33190: @2508562
     /* 2508562 */   GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2508590), // Rule ID 1536 //
     /* 2508567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2508570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2508574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2508578 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2508578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2508581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2508585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508589 */     // GIR_Coverage, 1536,
     /* 2508589 */     GIR_EraseRootFromParent_Done,
     /* 2508590 */   // Label 33191: @2508590
     /* 2508590 */   GIM_Reject,
     /* 2508591 */ // Label 33186: @2508591
     /* 2508591 */ GIM_Reject,
     /* 2508592 */ // Label 33160: @2508592
     /* 2508592 */ GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2508701),
     /* 2508597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2508600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508608 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2508654), // Rule ID 55718 //
     /* 2508613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2508616 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2508616 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2508619 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508623 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508628 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2508633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508635 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2508649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508653 */     // GIR_Coverage, 55718,
     /* 2508653 */     GIR_EraseRootFromParent_Done,
     /* 2508654 */   // Label 33193: @2508654
     /* 2508654 */   GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2508700), // Rule ID 55719 //
     /* 2508659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2508662 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2508662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2508665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2508679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2508695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508699 */     // GIR_Coverage, 55719,
     /* 2508699 */     GIR_EraseRootFromParent_Done,
     /* 2508700 */   // Label 33194: @2508700
     /* 2508700 */   GIM_Reject,
     /* 2508701 */ // Label 33192: @2508701
     /* 2508701 */ GIM_Reject,
     /* 2508702 */ // Label 33161: @2508702
     /* 2508702 */ GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2508811),
     /* 2508707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2508710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508718 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2508764), // Rule ID 55758 //
     /* 2508723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2508726 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2508726 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2508729 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508733 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508738 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2508743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508745 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2508759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508763 */     // GIR_Coverage, 55758,
     /* 2508763 */     GIR_EraseRootFromParent_Done,
     /* 2508764 */   // Label 33196: @2508764
     /* 2508764 */   GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2508810), // Rule ID 55759 //
     /* 2508769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2508772 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2508772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2508775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2508789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2508805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508809 */     // GIR_Coverage, 55759,
     /* 2508809 */     GIR_EraseRootFromParent_Done,
     /* 2508810 */   // Label 33197: @2508810
     /* 2508810 */   GIM_Reject,
     /* 2508811 */ // Label 33195: @2508811
     /* 2508811 */ GIM_Reject,
     /* 2508812 */ // Label 33162: @2508812
     /* 2508812 */ GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2508921),
     /* 2508817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2508820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508828 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2508874), // Rule ID 55818 //
     /* 2508833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2508836 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2508836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2508839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2508853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2508869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508873 */     // GIR_Coverage, 55818,
     /* 2508873 */     GIR_EraseRootFromParent_Done,
     /* 2508874 */   // Label 33199: @2508874
     /* 2508874 */   GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2508920), // Rule ID 55819 //
     /* 2508879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2508882 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2508882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2508885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2508899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2508915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508919 */     // GIR_Coverage, 55819,
     /* 2508919 */     GIR_EraseRootFromParent_Done,
     /* 2508920 */   // Label 33200: @2508920
     /* 2508920 */   GIM_Reject,
     /* 2508921 */ // Label 33198: @2508921
     /* 2508921 */ GIM_Reject,
     /* 2508922 */ // Label 33163: @2508922
     /* 2508922 */ GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2509031),
     /* 2508927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2508930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2508938 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2508984), // Rule ID 55738 //
     /* 2508943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2508946 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2508946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2508949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2508958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2508960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2508963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2508965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2508968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2508970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2508973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2508976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2508979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2508982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2508983 */     // GIR_Coverage, 55738,
     /* 2508983 */     GIR_EraseRootFromParent_Done,
     /* 2508984 */   // Label 33202: @2508984
     /* 2508984 */   GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2509030), // Rule ID 55739 //
     /* 2508989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2508992 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2508992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2508995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2508999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2509009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509029 */     // GIR_Coverage, 55739,
     /* 2509029 */     GIR_EraseRootFromParent_Done,
     /* 2509030 */   // Label 33203: @2509030
     /* 2509030 */   GIM_Reject,
     /* 2509031 */ // Label 33201: @2509031
     /* 2509031 */ GIM_Reject,
     /* 2509032 */ // Label 33164: @2509032
     /* 2509032 */ GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2509141),
     /* 2509037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2509040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2509044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2509048 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2509094), // Rule ID 55798 //
     /* 2509053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2509056 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2509059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2509073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509093 */     // GIR_Coverage, 55798,
     /* 2509093 */     GIR_EraseRootFromParent_Done,
     /* 2509094 */   // Label 33205: @2509094
     /* 2509094 */   GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2509140), // Rule ID 55799 //
     /* 2509099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2509102 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2509105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2509119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509139 */     // GIR_Coverage, 55799,
     /* 2509139 */     GIR_EraseRootFromParent_Done,
     /* 2509140 */   // Label 33206: @2509140
     /* 2509140 */   GIM_Reject,
     /* 2509141 */ // Label 33204: @2509141
     /* 2509141 */ GIM_Reject,
     /* 2509142 */ // Label 33165: @2509142
     /* 2509142 */ GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2509251),
     /* 2509147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2509150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509158 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2509204), // Rule ID 55958 //
     /* 2509163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2509166 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2509169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2509183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509203 */     // GIR_Coverage, 55958,
     /* 2509203 */     GIR_EraseRootFromParent_Done,
     /* 2509204 */   // Label 33208: @2509204
     /* 2509204 */   GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2509250), // Rule ID 55959 //
     /* 2509209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2509212 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2509215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2509229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509249 */     // GIR_Coverage, 55959,
     /* 2509249 */     GIR_EraseRootFromParent_Done,
     /* 2509250 */   // Label 33209: @2509250
     /* 2509250 */   GIM_Reject,
     /* 2509251 */ // Label 33207: @2509251
     /* 2509251 */ GIM_Reject,
     /* 2509252 */ // Label 33166: @2509252
     /* 2509252 */ GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2509361),
     /* 2509257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2509260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2509264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2509268 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2509314), // Rule ID 55778 //
     /* 2509273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2509276 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2509279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2509293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509313 */     // GIR_Coverage, 55778,
     /* 2509313 */     GIR_EraseRootFromParent_Done,
     /* 2509314 */   // Label 33211: @2509314
     /* 2509314 */   GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2509360), // Rule ID 55779 //
     /* 2509319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2509322 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2509325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2509339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509359 */     // GIR_Coverage, 55779,
     /* 2509359 */     GIR_EraseRootFromParent_Done,
     /* 2509360 */   // Label 33212: @2509360
     /* 2509360 */   GIM_Reject,
     /* 2509361 */ // Label 33210: @2509361
     /* 2509361 */ GIM_Reject,
     /* 2509362 */ // Label 33167: @2509362
     /* 2509362 */ GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2509471),
     /* 2509367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2509370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509378 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2509424), // Rule ID 55898 //
     /* 2509383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2509386 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2509389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2509403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509423 */     // GIR_Coverage, 55898,
     /* 2509423 */     GIR_EraseRootFromParent_Done,
     /* 2509424 */   // Label 33214: @2509424
     /* 2509424 */   GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2509470), // Rule ID 55899 //
     /* 2509429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2509432 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2509435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2509449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509469 */     // GIR_Coverage, 55899,
     /* 2509469 */     GIR_EraseRootFromParent_Done,
     /* 2509470 */   // Label 33215: @2509470
     /* 2509470 */   GIM_Reject,
     /* 2509471 */ // Label 33213: @2509471
     /* 2509471 */ GIM_Reject,
     /* 2509472 */ // Label 33168: @2509472
     /* 2509472 */ GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2509581),
     /* 2509477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2509480 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509484 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509488 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2509534), // Rule ID 55978 //
     /* 2509493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2509496 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2509499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2509513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509533 */     // GIR_Coverage, 55978,
     /* 2509533 */     GIR_EraseRootFromParent_Done,
     /* 2509534 */   // Label 33217: @2509534
     /* 2509534 */   GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2509580), // Rule ID 55979 //
     /* 2509539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2509542 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2509545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2509559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509579 */     // GIR_Coverage, 55979,
     /* 2509579 */     GIR_EraseRootFromParent_Done,
     /* 2509580 */   // Label 33218: @2509580
     /* 2509580 */   GIM_Reject,
     /* 2509581 */ // Label 33216: @2509581
     /* 2509581 */ GIM_Reject,
     /* 2509582 */ // Label 33169: @2509582
     /* 2509582 */ GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2509691),
     /* 2509587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2509590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2509598 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2509644), // Rule ID 55838 //
     /* 2509603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2509606 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2509609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2509623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509643 */     // GIR_Coverage, 55838,
     /* 2509643 */     GIR_EraseRootFromParent_Done,
     /* 2509644 */   // Label 33220: @2509644
     /* 2509644 */   GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2509690), // Rule ID 55839 //
     /* 2509649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2509652 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2509655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2509669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509689 */     // GIR_Coverage, 55839,
     /* 2509689 */     GIR_EraseRootFromParent_Done,
     /* 2509690 */   // Label 33221: @2509690
     /* 2509690 */   GIM_Reject,
     /* 2509691 */ // Label 33219: @2509691
     /* 2509691 */ GIM_Reject,
     /* 2509692 */ // Label 33170: @2509692
     /* 2509692 */ GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2509801),
     /* 2509697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2509700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509708 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2509754), // Rule ID 55918 //
     /* 2509713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2509716 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2509719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2509733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509753 */     // GIR_Coverage, 55918,
     /* 2509753 */     GIR_EraseRootFromParent_Done,
     /* 2509754 */   // Label 33223: @2509754
     /* 2509754 */   GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2509800), // Rule ID 55919 //
     /* 2509759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2509762 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2509765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2509779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2509795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509799 */     // GIR_Coverage, 55919,
     /* 2509799 */     GIR_EraseRootFromParent_Done,
     /* 2509800 */   // Label 33224: @2509800
     /* 2509800 */   GIM_Reject,
     /* 2509801 */ // Label 33222: @2509801
     /* 2509801 */ GIM_Reject,
     /* 2509802 */ // Label 33171: @2509802
     /* 2509802 */ GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2509911),
     /* 2509807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2509810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2509814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2509818 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2509864), // Rule ID 55998 //
     /* 2509823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2509826 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2509829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2509843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509863 */     // GIR_Coverage, 55998,
     /* 2509863 */     GIR_EraseRootFromParent_Done,
     /* 2509864 */   // Label 33226: @2509864
     /* 2509864 */   GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2509910), // Rule ID 55999 //
     /* 2509869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2509872 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2509875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2509889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2509905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509909 */     // GIR_Coverage, 55999,
     /* 2509909 */     GIR_EraseRootFromParent_Done,
     /* 2509910 */   // Label 33227: @2509910
     /* 2509910 */   GIM_Reject,
     /* 2509911 */ // Label 33225: @2509911
     /* 2509911 */ GIM_Reject,
     /* 2509912 */ // Label 33172: @2509912
     /* 2509912 */ GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2510021),
     /* 2509917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2509920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2509928 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2509974), // Rule ID 55858 //
     /* 2509933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2509936 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2509936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2509939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2509953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2509955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2509958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2509960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2509963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2509966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2509969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2509972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2509973 */     // GIR_Coverage, 55858,
     /* 2509973 */     GIR_EraseRootFromParent_Done,
     /* 2509974 */   // Label 33229: @2509974
     /* 2509974 */   GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2510020), // Rule ID 55859 //
     /* 2509979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2509982 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2509982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2509985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2509989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2509994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2509996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2509999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2510006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2510009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2510012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2510015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2510018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510019 */     // GIR_Coverage, 55859,
     /* 2510019 */     GIR_EraseRootFromParent_Done,
     /* 2510020 */   // Label 33230: @2510020
     /* 2510020 */   GIM_Reject,
     /* 2510021 */ // Label 33228: @2510021
     /* 2510021 */ GIM_Reject,
     /* 2510022 */ // Label 33173: @2510022
     /* 2510022 */ GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2510131),
     /* 2510027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2510030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2510034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2510038 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2510084), // Rule ID 55938 //
     /* 2510043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2510046 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2510046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2510049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2510053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2510060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2510063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2510070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2510073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2510076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2510079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2510082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510083 */     // GIR_Coverage, 55938,
     /* 2510083 */     GIR_EraseRootFromParent_Done,
     /* 2510084 */   // Label 33232: @2510084
     /* 2510084 */   GIM_Try, /*On fail goto*//*Label 33233*/ GIMT_Encode4(2510130), // Rule ID 55939 //
     /* 2510089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2510092 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2510092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2510095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2510099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2510106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2510109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2510116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2510119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2510122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2510125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2510128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510129 */     // GIR_Coverage, 55939,
     /* 2510129 */     GIR_EraseRootFromParent_Done,
     /* 2510130 */   // Label 33233: @2510130
     /* 2510130 */   GIM_Reject,
     /* 2510131 */ // Label 33231: @2510131
     /* 2510131 */ GIM_Reject,
     /* 2510132 */ // Label 33174: @2510132
     /* 2510132 */ GIM_Try, /*On fail goto*//*Label 33234*/ GIMT_Encode4(2510241),
     /* 2510137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2510140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2510144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2510148 */   GIM_Try, /*On fail goto*//*Label 33235*/ GIMT_Encode4(2510194), // Rule ID 55878 //
     /* 2510153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2510156 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2510156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2510159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2510163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2510170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2510173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2510180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2510183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2510186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2510189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2510192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510193 */     // GIR_Coverage, 55878,
     /* 2510193 */     GIR_EraseRootFromParent_Done,
     /* 2510194 */   // Label 33235: @2510194
     /* 2510194 */   GIM_Try, /*On fail goto*//*Label 33236*/ GIMT_Encode4(2510240), // Rule ID 55879 //
     /* 2510199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2510202 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2510202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2510205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2510209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2510216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2510219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2510226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2510229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2510232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2510235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2510238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510239 */     // GIR_Coverage, 55879,
     /* 2510239 */     GIR_EraseRootFromParent_Done,
     /* 2510240 */   // Label 33236: @2510240
     /* 2510240 */   GIM_Reject,
     /* 2510241 */ // Label 33234: @2510241
     /* 2510241 */ GIM_Reject,
     /* 2510242 */ // Label 33175: @2510242
     /* 2510242 */ GIM_Reject,
     /* 2510243 */ // Label 100: @2510243
     /* 2510243 */ GIM_Try, /*On fail goto*//*Label 33237*/ GIMT_Encode4(2510255), // Rule ID 282 //
     /* 2510248 */   // (trap)  =>  (UNIMP)
     /* 2510248 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2510253 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510254 */   // GIR_Coverage, 282,
     /* 2510254 */   GIR_Done,
     /* 2510255 */ // Label 33237: @2510255
     /* 2510255 */ GIM_Reject,
     /* 2510256 */ // Label 101: @2510256
     /* 2510256 */ GIM_Try, /*On fail goto*//*Label 33238*/ GIMT_Encode4(2510268), // Rule ID 283 //
     /* 2510261 */   // (debugtrap)  =>  (EBREAK)
     /* 2510261 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2510266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510267 */   // GIR_Coverage, 283,
     /* 2510267 */   GIR_Done,
     /* 2510268 */ // Label 33238: @2510268
     /* 2510268 */ GIM_Reject,
     /* 2510269 */ // Label 102: @2510269
     /* 2510269 */ GIM_Try, /*On fail goto*//*Label 33239*/ GIMT_Encode4(2510363),
     /* 2510274 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2510277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510284 */   GIM_Try, /*On fail goto*//*Label 33240*/ GIMT_Encode4(2510303), // Rule ID 2378 //
     /* 2510289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2510292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510296 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2510296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2510301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510302 */     // GIR_Coverage, 2378,
     /* 2510302 */     GIR_Done,
     /* 2510303 */   // Label 33240: @2510303
     /* 2510303 */   GIM_Try, /*On fail goto*//*Label 33241*/ GIMT_Encode4(2510362), // Rule ID 61909 //
     /* 2510308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2510311 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2510311 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2510314 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2510318 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510323 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2510327 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2510330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2510332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2510335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2510339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2510344 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2510347 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2510350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2510352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2510355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2510357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2510360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2510361 */     // GIR_Coverage, 61909,
     /* 2510361 */     GIR_EraseRootFromParent_Done,
     /* 2510362 */   // Label 33241: @2510362
     /* 2510362 */   GIM_Reject,
     /* 2510363 */ // Label 33239: @2510363
     /* 2510363 */ GIM_Reject,
     /* 2510364 */ // Label 103: @2510364
     /* 2510364 */ GIM_Try, /*On fail goto*//*Label 33242*/ GIMT_Encode4(2510393), // Rule ID 2379 //
     /* 2510369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2510372 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2510375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510386 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2510386 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2510391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510392 */   // GIR_Coverage, 2379,
     /* 2510392 */   GIR_Done,
     /* 2510393 */ // Label 33242: @2510393
     /* 2510393 */ GIM_Reject,
     /* 2510394 */ // Label 104: @2510394
     /* 2510394 */ GIM_Try, /*On fail goto*//*Label 33243*/ GIMT_Encode4(2510430), // Rule ID 305 //
     /* 2510399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2510402 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2510405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2510411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510419 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510423 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2510423 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2510428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510429 */   // GIR_Coverage, 305,
     /* 2510429 */   GIR_Done,
     /* 2510430 */ // Label 33243: @2510430
     /* 2510430 */ GIM_Reject,
     /* 2510431 */ // Label 105: @2510431
     /* 2510431 */ GIM_Try, /*On fail goto*//*Label 33244*/ GIMT_Encode4(2510467), // Rule ID 304 //
     /* 2510436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2510439 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2510442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2510448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510460 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2510460 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2510465 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510466 */   // GIR_Coverage, 304,
     /* 2510466 */   GIR_Done,
     /* 2510467 */ // Label 33244: @2510467
     /* 2510467 */ GIM_Reject,
     /* 2510468 */ // Label 106: @2510468
     /* 2510468 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33247*/ GIMT_Encode4(2510827),
     /* 2510479 */ /*GILLT_s32*//*Label 33245*/ GIMT_Encode4(2510487),
     /* 2510483 */ /*GILLT_s64*//*Label 33246*/ GIMT_Encode4(2510644),
     /* 2510487 */ // Label 33245: @2510487
     /* 2510487 */ GIM_Try, /*On fail goto*//*Label 33248*/ GIMT_Encode4(2510513), // Rule ID 1144 //
     /* 2510492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2510495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2510498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2510506 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2510506 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2510511 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510512 */   // GIR_Coverage, 1144,
     /* 2510512 */   GIR_Done,
     /* 2510513 */ // Label 33248: @2510513
     /* 2510513 */ GIM_Try, /*On fail goto*//*Label 33249*/ GIMT_Encode4(2510539), // Rule ID 1152 //
     /* 2510518 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2510521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2510524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2510532 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2510532 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2510537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510538 */   // GIR_Coverage, 1152,
     /* 2510538 */   GIR_Done,
     /* 2510539 */ // Label 33249: @2510539
     /* 2510539 */ GIM_Try, /*On fail goto*//*Label 33250*/ GIMT_Encode4(2510565), // Rule ID 1487 //
     /* 2510544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2510547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2510558 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2510558 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2510563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510564 */   // GIR_Coverage, 1487,
     /* 2510564 */   GIR_Done,
     /* 2510565 */ // Label 33250: @2510565
     /* 2510565 */ GIM_Try, /*On fail goto*//*Label 33251*/ GIMT_Encode4(2510591), // Rule ID 1542 //
     /* 2510570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2510573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2510584 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2510584 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2510589 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510590 */   // GIR_Coverage, 1542,
     /* 2510590 */   GIR_Done,
     /* 2510591 */ // Label 33251: @2510591
     /* 2510591 */ GIM_Try, /*On fail goto*//*Label 33252*/ GIMT_Encode4(2510617), // Rule ID 1853 //
     /* 2510596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2510599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2510602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510606 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2510610 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2510610 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2510615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510616 */   // GIR_Coverage, 1853,
     /* 2510616 */   GIR_Done,
     /* 2510617 */ // Label 33252: @2510617
     /* 2510617 */ GIM_Try, /*On fail goto*//*Label 33253*/ GIMT_Encode4(2510643), // Rule ID 1886 //
     /* 2510622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2510625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2510628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2510636 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2510636 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2510641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510642 */   // GIR_Coverage, 1886,
     /* 2510642 */   GIR_Done,
     /* 2510643 */ // Label 33253: @2510643
     /* 2510643 */ GIM_Reject,
     /* 2510644 */ // Label 33246: @2510644
     /* 2510644 */ GIM_Try, /*On fail goto*//*Label 33254*/ GIMT_Encode4(2510670), // Rule ID 1143 //
     /* 2510649 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2510652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2510655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2510663 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2510663 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2510668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510669 */   // GIR_Coverage, 1143,
     /* 2510669 */   GIR_Done,
     /* 2510670 */ // Label 33254: @2510670
     /* 2510670 */ GIM_Try, /*On fail goto*//*Label 33255*/ GIMT_Encode4(2510696), // Rule ID 1151 //
     /* 2510675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2510678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2510681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2510689 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2510689 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2510694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510695 */   // GIR_Coverage, 1151,
     /* 2510695 */   GIR_Done,
     /* 2510696 */ // Label 33255: @2510696
     /* 2510696 */ GIM_Try, /*On fail goto*//*Label 33256*/ GIMT_Encode4(2510722), // Rule ID 1486 //
     /* 2510701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2510704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2510715 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2510715 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2510720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510721 */   // GIR_Coverage, 1486,
     /* 2510721 */   GIR_Done,
     /* 2510722 */ // Label 33256: @2510722
     /* 2510722 */ GIM_Try, /*On fail goto*//*Label 33257*/ GIMT_Encode4(2510748), // Rule ID 1519 //
     /* 2510727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2510730 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510741 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2510741 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2510746 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510747 */   // GIR_Coverage, 1519,
     /* 2510747 */   GIR_Done,
     /* 2510748 */ // Label 33257: @2510748
     /* 2510748 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2510774), // Rule ID 1541 //
     /* 2510753 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2510756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2510759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2510767 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2510767 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2510772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510773 */   // GIR_Coverage, 1541,
     /* 2510773 */   GIR_Done,
     /* 2510774 */ // Label 33258: @2510774
     /* 2510774 */ GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2510800), // Rule ID 1852 //
     /* 2510779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2510782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2510785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2510793 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2510793 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2510798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510799 */   // GIR_Coverage, 1852,
     /* 2510799 */   GIR_Done,
     /* 2510800 */ // Label 33259: @2510800
     /* 2510800 */ GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2510826), // Rule ID 1885 //
     /* 2510805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2510808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2510811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2510819 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2510819 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2510824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2510825 */   // GIR_Coverage, 1885,
     /* 2510825 */   GIR_Done,
     /* 2510826 */ // Label 33260: @2510826
     /* 2510826 */ GIM_Reject,
     /* 2510827 */ // Label 33247: @2510827
     /* 2510827 */ GIM_Reject,
     /* 2510828 */ // Label 107: @2510828
     /* 2510828 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2511025),
     /* 2510833 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2510836 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33265*/ GIMT_Encode4(2511024),
     /* 2510847 */   /*GILLT_s16*//*Label 33262*/ GIMT_Encode4(2510859),
     /* 2510851 */   /*GILLT_s32*//*Label 33263*/ GIMT_Encode4(2510914),
     /* 2510855 */   /*GILLT_s64*//*Label 33264*/ GIMT_Encode4(2510969),
     /* 2510859 */   // Label 33262: @2510859
     /* 2510859 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2510913),
     /* 2510864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510868 */     GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2510890), // Rule ID 2103 //
     /* 2510873 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2510876 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2510880 */       // MIs[0] frm
     /* 2510880 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2510883 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2510883 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2510888 */       GIR_RootConstrainSelectedInstOperands,
     /* 2510889 */       // GIR_Coverage, 2103,
     /* 2510889 */       GIR_Done,
     /* 2510890 */     // Label 33267: @2510890
     /* 2510890 */     GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2510912), // Rule ID 2129 //
     /* 2510895 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2510898 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2510902 */       // MIs[0] frm
     /* 2510902 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2510905 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2510905 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2510910 */       GIR_RootConstrainSelectedInstOperands,
     /* 2510911 */       // GIR_Coverage, 2129,
     /* 2510911 */       GIR_Done,
     /* 2510912 */     // Label 33268: @2510912
     /* 2510912 */     GIM_Reject,
     /* 2510913 */   // Label 33266: @2510913
     /* 2510913 */   GIM_Reject,
     /* 2510914 */   // Label 33263: @2510914
     /* 2510914 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2510968),
     /* 2510919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510923 */     GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2510945), // Rule ID 1369 //
     /* 2510928 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2510931 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2510935 */       // MIs[0] frm
     /* 2510935 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2510938 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2510938 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2510943 */       GIR_RootConstrainSelectedInstOperands,
     /* 2510944 */       // GIR_Coverage, 1369,
     /* 2510944 */       GIR_Done,
     /* 2510945 */     // Label 33270: @2510945
     /* 2510945 */     GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2510967), // Rule ID 1397 //
     /* 2510950 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2510953 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2510957 */       // MIs[0] frm
     /* 2510957 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2510960 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2510960 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2510965 */       GIR_RootConstrainSelectedInstOperands,
     /* 2510966 */       // GIR_Coverage, 1397,
     /* 2510966 */       GIR_Done,
     /* 2510967 */     // Label 33271: @2510967
     /* 2510967 */     GIM_Reject,
     /* 2510968 */   // Label 33269: @2510968
     /* 2510968 */   GIM_Reject,
     /* 2510969 */   // Label 33264: @2510969
     /* 2510969 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2511023),
     /* 2510974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2510978 */     GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2511000), // Rule ID 1763 //
     /* 2510983 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2510986 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2510990 */       // MIs[0] frm
     /* 2510990 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2510993 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2510993 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2510998 */       GIR_RootConstrainSelectedInstOperands,
     /* 2510999 */       // GIR_Coverage, 1763,
     /* 2510999 */       GIR_Done,
     /* 2511000 */     // Label 33273: @2511000
     /* 2511000 */     GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2511022), // Rule ID 1791 //
     /* 2511005 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2511008 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511012 */       // MIs[0] frm
     /* 2511012 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511015 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511015 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2511020 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511021 */       // GIR_Coverage, 1791,
     /* 2511021 */       GIR_Done,
     /* 2511022 */     // Label 33274: @2511022
     /* 2511022 */     GIM_Reject,
     /* 2511023 */   // Label 33272: @2511023
     /* 2511023 */   GIM_Reject,
     /* 2511024 */   // Label 33265: @2511024
     /* 2511024 */   GIM_Reject,
     /* 2511025 */ // Label 33261: @2511025
     /* 2511025 */ GIM_Reject,
     /* 2511026 */ // Label 108: @2511026
     /* 2511026 */ GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2511223),
     /* 2511031 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511034 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33279*/ GIMT_Encode4(2511222),
     /* 2511045 */   /*GILLT_s16*//*Label 33276*/ GIMT_Encode4(2511057),
     /* 2511049 */   /*GILLT_s32*//*Label 33277*/ GIMT_Encode4(2511112),
     /* 2511053 */   /*GILLT_s64*//*Label 33278*/ GIMT_Encode4(2511167),
     /* 2511057 */   // Label 33276: @2511057
     /* 2511057 */   GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2511111),
     /* 2511062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511066 */     GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2511088), // Rule ID 2101 //
     /* 2511071 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2511074 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2511078 */       // MIs[0] frm
     /* 2511078 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511081 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511081 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2511086 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511087 */       // GIR_Coverage, 2101,
     /* 2511087 */       GIR_Done,
     /* 2511088 */     // Label 33281: @2511088
     /* 2511088 */     GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2511110), // Rule ID 2127 //
     /* 2511093 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2511096 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2511100 */       // MIs[0] frm
     /* 2511100 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511103 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511103 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2511108 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511109 */       // GIR_Coverage, 2127,
     /* 2511109 */       GIR_Done,
     /* 2511110 */     // Label 33282: @2511110
     /* 2511110 */     GIM_Reject,
     /* 2511111 */   // Label 33280: @2511111
     /* 2511111 */   GIM_Reject,
     /* 2511112 */   // Label 33277: @2511112
     /* 2511112 */   GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2511166),
     /* 2511117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511121 */     GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2511143), // Rule ID 1367 //
     /* 2511126 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2511129 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2511133 */       // MIs[0] frm
     /* 2511133 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511136 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511136 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2511141 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511142 */       // GIR_Coverage, 1367,
     /* 2511142 */       GIR_Done,
     /* 2511143 */     // Label 33284: @2511143
     /* 2511143 */     GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2511165), // Rule ID 1395 //
     /* 2511148 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2511151 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2511155 */       // MIs[0] frm
     /* 2511155 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511158 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511158 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2511163 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511164 */       // GIR_Coverage, 1395,
     /* 2511164 */       GIR_Done,
     /* 2511165 */     // Label 33285: @2511165
     /* 2511165 */     GIM_Reject,
     /* 2511166 */   // Label 33283: @2511166
     /* 2511166 */   GIM_Reject,
     /* 2511167 */   // Label 33278: @2511167
     /* 2511167 */   GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2511221),
     /* 2511172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511176 */     GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2511198), // Rule ID 1761 //
     /* 2511181 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2511184 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2511188 */       // MIs[0] frm
     /* 2511188 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511191 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511191 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2511196 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511197 */       // GIR_Coverage, 1761,
     /* 2511197 */       GIR_Done,
     /* 2511198 */     // Label 33287: @2511198
     /* 2511198 */     GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2511220), // Rule ID 1789 //
     /* 2511203 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2511206 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511210 */       // MIs[0] frm
     /* 2511210 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2511213 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2511213 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2511218 */       GIR_RootConstrainSelectedInstOperands,
     /* 2511219 */       // GIR_Coverage, 1789,
     /* 2511219 */       GIR_Done,
     /* 2511220 */     // Label 33288: @2511220
     /* 2511220 */     GIM_Reject,
     /* 2511221 */   // Label 33286: @2511221
     /* 2511221 */   GIM_Reject,
     /* 2511222 */   // Label 33279: @2511222
     /* 2511222 */   GIM_Reject,
     /* 2511223 */ // Label 33275: @2511223
     /* 2511223 */ GIM_Reject,
     /* 2511224 */ // Label 109: @2511224
     /* 2511224 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33291*/ GIMT_Encode4(2511283),
     /* 2511235 */ /*GILLT_s32*//*Label 33289*/ GIMT_Encode4(2511243),
     /* 2511239 */ /*GILLT_s64*//*Label 33290*/ GIMT_Encode4(2511263),
     /* 2511243 */ // Label 33289: @2511243
     /* 2511243 */ GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2511262), // Rule ID 67 //
     /* 2511248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2511251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511255 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2511255 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2511260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511261 */   // GIR_Coverage, 67,
     /* 2511261 */   GIR_Done,
     /* 2511262 */ // Label 33292: @2511262
     /* 2511262 */ GIM_Reject,
     /* 2511263 */ // Label 33290: @2511263
     /* 2511263 */ GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2511282), // Rule ID 66 //
     /* 2511268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2511271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511275 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2511275 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2511280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511281 */   // GIR_Coverage, 66,
     /* 2511281 */   GIR_Done,
     /* 2511282 */ // Label 33293: @2511282
     /* 2511282 */ GIM_Reject,
     /* 2511283 */ // Label 33291: @2511283
     /* 2511283 */ GIM_Reject,
     /* 2511284 */ // Label 110: @2511284
     /* 2511284 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2511320), // Rule ID 306 //
     /* 2511289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2511292 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511313 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511313 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2511318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511319 */   // GIR_Coverage, 306,
     /* 2511319 */   GIR_Done,
     /* 2511320 */ // Label 33294: @2511320
     /* 2511320 */ GIM_Reject,
     /* 2511321 */ // Label 111: @2511321
     /* 2511321 */ GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2511445),
     /* 2511326 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511343 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2511379), // Rule ID 2327 //
     /* 2511348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2511351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2511355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2511359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2511363 */     // MIs[1] Operand 1
     /* 2511363 */     // No operand predicates
     /* 2511363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2511365 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2511365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2511368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511372 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2511377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511378 */     // GIR_Coverage, 2327,
     /* 2511378 */     GIR_EraseRootFromParent_Done,
     /* 2511379 */   // Label 33296: @2511379
     /* 2511379 */   GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2511415), // Rule ID 61906 //
     /* 2511384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2511387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2511391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2511395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2511399 */     // MIs[1] Operand 1
     /* 2511399 */     // No operand predicates
     /* 2511399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2511401 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2511401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2511404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511408 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2511413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511414 */     // GIR_Coverage, 61906,
     /* 2511414 */     GIR_EraseRootFromParent_Done,
     /* 2511415 */   // Label 33297: @2511415
     /* 2511415 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2511444), // Rule ID 2324 //
     /* 2511420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2511423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2511430 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2511433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2511442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511443 */     // GIR_Coverage, 2324,
     /* 2511443 */     GIR_EraseRootFromParent_Done,
     /* 2511444 */   // Label 33298: @2511444
     /* 2511444 */   GIM_Reject,
     /* 2511445 */ // Label 33295: @2511445
     /* 2511445 */ GIM_Reject,
     /* 2511446 */ // Label 112: @2511446
     /* 2511446 */ GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2511566),
     /* 2511451 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511468 */   GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2511502), // Rule ID 2326 //
     /* 2511473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2511476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2511480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2511484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2511488 */     // MIs[1] Operand 1
     /* 2511488 */     // No operand predicates
     /* 2511488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2511490 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2511490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2511493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2511500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511501 */     // GIR_Coverage, 2326,
     /* 2511501 */     GIR_EraseRootFromParent_Done,
     /* 2511502 */   // Label 33300: @2511502
     /* 2511502 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2511536), // Rule ID 61905 //
     /* 2511507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2511510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2511514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2511518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2511522 */     // MIs[1] Operand 1
     /* 2511522 */     // No operand predicates
     /* 2511522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2511524 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2511524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2511527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2511534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511535 */     // GIR_Coverage, 61905,
     /* 2511535 */     GIR_EraseRootFromParent_Done,
     /* 2511536 */   // Label 33301: @2511536
     /* 2511536 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2511565), // Rule ID 2325 //
     /* 2511541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2511544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2511551 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2511554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2511563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2511564 */     // GIR_Coverage, 2325,
     /* 2511564 */     GIR_EraseRootFromParent_Done,
     /* 2511565 */   // Label 33302: @2511565
     /* 2511565 */   GIM_Reject,
     /* 2511566 */ // Label 33299: @2511566
     /* 2511566 */ GIM_Reject,
     /* 2511567 */ // Label 113: @2511567
     /* 2511567 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2511613), // Rule ID 261 //
     /* 2511572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2511575 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511592 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2511599 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2511602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511606 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2511611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511612 */   // GIR_Coverage, 261,
     /* 2511612 */   GIR_EraseRootFromParent_Done,
     /* 2511613 */ // Label 33303: @2511613
     /* 2511613 */ GIM_Reject,
     /* 2511614 */ // Label 114: @2511614
     /* 2511614 */ GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2511660), // Rule ID 263 //
     /* 2511619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2511622 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511639 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2511646 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2511649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511651 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511653 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2511658 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511659 */   // GIR_Coverage, 263,
     /* 2511659 */   GIR_EraseRootFromParent_Done,
     /* 2511660 */ // Label 33304: @2511660
     /* 2511660 */ GIM_Reject,
     /* 2511661 */ // Label 115: @2511661
     /* 2511661 */ GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2511707), // Rule ID 262 //
     /* 2511666 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2511669 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2511672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2511678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2511686 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2511693 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2511693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2511696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511698 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2511700 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2511705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511706 */   // GIR_Coverage, 262,
     /* 2511706 */   GIR_EraseRootFromParent_Done,
     /* 2511707 */ // Label 33305: @2511707
     /* 2511707 */ GIM_Reject,
     /* 2511708 */ // Label 116: @2511708
     /* 2511708 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 33313*/ GIMT_Encode4(2512356),
     /* 2511719 */ /*GILLT_nxv1s1*//*Label 33306*/ GIMT_Encode4(2511831), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511739 */ /*GILLT_nxv2s1*//*Label 33307*/ GIMT_Encode4(2511906), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511759 */ /*GILLT_nxv4s1*//*Label 33308*/ GIMT_Encode4(2511981), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511779 */ /*GILLT_nxv8s1*//*Label 33309*/ GIMT_Encode4(2512056), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511799 */ /*GILLT_nxv16s1*//*Label 33310*/ GIMT_Encode4(2512131), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511815 */ /*GILLT_nxv32s1*//*Label 33311*/ GIMT_Encode4(2512206), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2511827 */ /*GILLT_nxv64s1*//*Label 33312*/ GIMT_Encode4(2512281),
     /* 2511831 */ // Label 33306: @2511831
     /* 2511831 */ GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2511868), // Rule ID 44396 //
     /* 2511836 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2511839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511842 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2511846 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2511853 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2511853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2511856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511858 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2511863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2511866 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511867 */   // GIR_Coverage, 44396,
     /* 2511867 */   GIR_EraseRootFromParent_Done,
     /* 2511868 */ // Label 33314: @2511868
     /* 2511868 */ GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2511905), // Rule ID 44397 //
     /* 2511873 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2511876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2511879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2511883 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2511890 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2511890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2511893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511895 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2511900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2511903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511904 */   // GIR_Coverage, 44397,
     /* 2511904 */   GIR_EraseRootFromParent_Done,
     /* 2511905 */ // Label 33315: @2511905
     /* 2511905 */ GIM_Reject,
     /* 2511906 */ // Label 33307: @2511906
     /* 2511906 */ GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2511943), // Rule ID 44428 //
     /* 2511911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2511914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2511921 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2511928 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2511928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2511931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2511938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2511941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511942 */   // GIR_Coverage, 44428,
     /* 2511942 */   GIR_EraseRootFromParent_Done,
     /* 2511943 */ // Label 33316: @2511943
     /* 2511943 */ GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2511980), // Rule ID 44429 //
     /* 2511948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2511951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2511954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2511958 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2511965 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2511965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2511968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2511970 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2511975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2511978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2511979 */   // GIR_Coverage, 44429,
     /* 2511979 */   GIR_EraseRootFromParent_Done,
     /* 2511980 */ // Label 33317: @2511980
     /* 2511980 */ GIM_Reject,
     /* 2511981 */ // Label 33308: @2511981
     /* 2511981 */ GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2512018), // Rule ID 44460 //
     /* 2511986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2511989 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2511992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2511996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512003 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2512006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512017 */   // GIR_Coverage, 44460,
     /* 2512017 */   GIR_EraseRootFromParent_Done,
     /* 2512018 */ // Label 33318: @2512018
     /* 2512018 */ GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2512055), // Rule ID 44461 //
     /* 2512023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512033 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512040 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2512043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512045 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512050 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512053 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512054 */   // GIR_Coverage, 44461,
     /* 2512054 */   GIR_EraseRootFromParent_Done,
     /* 2512055 */ // Label 33319: @2512055
     /* 2512055 */ GIM_Reject,
     /* 2512056 */ // Label 33309: @2512056
     /* 2512056 */ GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2512093), // Rule ID 44492 //
     /* 2512061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512064 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512071 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512078 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2512081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512083 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512092 */   // GIR_Coverage, 44492,
     /* 2512092 */   GIR_EraseRootFromParent_Done,
     /* 2512093 */ // Label 33320: @2512093
     /* 2512093 */ GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2512130), // Rule ID 44493 //
     /* 2512098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512108 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512115 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512115 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2512118 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512120 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512128 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512129 */   // GIR_Coverage, 44493,
     /* 2512129 */   GIR_EraseRootFromParent_Done,
     /* 2512130 */ // Label 33321: @2512130
     /* 2512130 */ GIM_Reject,
     /* 2512131 */ // Label 33310: @2512131
     /* 2512131 */ GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2512168), // Rule ID 44524 //
     /* 2512136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512146 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512153 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2512156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512158 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512167 */   // GIR_Coverage, 44524,
     /* 2512167 */   GIR_EraseRootFromParent_Done,
     /* 2512168 */ // Label 33322: @2512168
     /* 2512168 */ GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2512205), // Rule ID 44525 //
     /* 2512173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512190 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2512193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512204 */   // GIR_Coverage, 44525,
     /* 2512204 */   GIR_EraseRootFromParent_Done,
     /* 2512205 */ // Label 33323: @2512205
     /* 2512205 */ GIM_Reject,
     /* 2512206 */ // Label 33311: @2512206
     /* 2512206 */ GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2512243), // Rule ID 44556 //
     /* 2512211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512214 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512221 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512228 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2512231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512233 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512241 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512242 */   // GIR_Coverage, 44556,
     /* 2512242 */   GIR_EraseRootFromParent_Done,
     /* 2512243 */ // Label 33324: @2512243
     /* 2512243 */ GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2512280), // Rule ID 44557 //
     /* 2512248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512258 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512265 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512265 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2512268 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512270 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512279 */   // GIR_Coverage, 44557,
     /* 2512279 */   GIR_EraseRootFromParent_Done,
     /* 2512280 */ // Label 33325: @2512280
     /* 2512280 */ GIM_Reject,
     /* 2512281 */ // Label 33312: @2512281
     /* 2512281 */ GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2512318), // Rule ID 44588 //
     /* 2512286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512296 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512303 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2512306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512308 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512316 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512317 */   // GIR_Coverage, 44588,
     /* 2512317 */   GIR_EraseRootFromParent_Done,
     /* 2512318 */ // Label 33326: @2512318
     /* 2512318 */ GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2512355), // Rule ID 44589 //
     /* 2512323 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512333 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512340 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2512343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512345 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512353 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512354 */   // GIR_Coverage, 44589,
     /* 2512354 */   GIR_EraseRootFromParent_Done,
     /* 2512355 */ // Label 33327: @2512355
     /* 2512355 */ GIM_Reject,
     /* 2512356 */ // Label 33313: @2512356
     /* 2512356 */ GIM_Reject,
     /* 2512357 */ // Label 117: @2512357
     /* 2512357 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 33335*/ GIMT_Encode4(2513005),
     /* 2512368 */ /*GILLT_nxv1s1*//*Label 33328*/ GIMT_Encode4(2512480), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512388 */ /*GILLT_nxv2s1*//*Label 33329*/ GIMT_Encode4(2512555), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512408 */ /*GILLT_nxv4s1*//*Label 33330*/ GIMT_Encode4(2512630), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512428 */ /*GILLT_nxv8s1*//*Label 33331*/ GIMT_Encode4(2512705), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512448 */ /*GILLT_nxv16s1*//*Label 33332*/ GIMT_Encode4(2512780), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512464 */ /*GILLT_nxv32s1*//*Label 33333*/ GIMT_Encode4(2512855), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2512476 */ /*GILLT_nxv64s1*//*Label 33334*/ GIMT_Encode4(2512930),
     /* 2512480 */ // Label 33328: @2512480
     /* 2512480 */ GIM_Try, /*On fail goto*//*Label 33336*/ GIMT_Encode4(2512517), // Rule ID 44394 //
     /* 2512485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512495 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512502 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2512505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512507 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512516 */   // GIR_Coverage, 44394,
     /* 2512516 */   GIR_EraseRootFromParent_Done,
     /* 2512517 */ // Label 33336: @2512517
     /* 2512517 */ GIM_Try, /*On fail goto*//*Label 33337*/ GIMT_Encode4(2512554), // Rule ID 44395 //
     /* 2512522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512532 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512539 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512539 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2512542 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512544 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512553 */   // GIR_Coverage, 44395,
     /* 2512553 */   GIR_EraseRootFromParent_Done,
     /* 2512554 */ // Label 33337: @2512554
     /* 2512554 */ GIM_Reject,
     /* 2512555 */ // Label 33329: @2512555
     /* 2512555 */ GIM_Try, /*On fail goto*//*Label 33338*/ GIMT_Encode4(2512592), // Rule ID 44426 //
     /* 2512560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512570 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512577 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2512580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512591 */   // GIR_Coverage, 44426,
     /* 2512591 */   GIR_EraseRootFromParent_Done,
     /* 2512592 */ // Label 33338: @2512592
     /* 2512592 */ GIM_Try, /*On fail goto*//*Label 33339*/ GIMT_Encode4(2512629), // Rule ID 44427 //
     /* 2512597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512607 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512614 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2512617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512619 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512628 */   // GIR_Coverage, 44427,
     /* 2512628 */   GIR_EraseRootFromParent_Done,
     /* 2512629 */ // Label 33339: @2512629
     /* 2512629 */ GIM_Reject,
     /* 2512630 */ // Label 33330: @2512630
     /* 2512630 */ GIM_Try, /*On fail goto*//*Label 33340*/ GIMT_Encode4(2512667), // Rule ID 44458 //
     /* 2512635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512638 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512641 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512645 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512652 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2512655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512657 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512665 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512666 */   // GIR_Coverage, 44458,
     /* 2512666 */   GIR_EraseRootFromParent_Done,
     /* 2512667 */ // Label 33340: @2512667
     /* 2512667 */ GIM_Try, /*On fail goto*//*Label 33341*/ GIMT_Encode4(2512704), // Rule ID 44459 //
     /* 2512672 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512675 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512682 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512689 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512689 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2512692 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512694 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512703 */   // GIR_Coverage, 44459,
     /* 2512703 */   GIR_EraseRootFromParent_Done,
     /* 2512704 */ // Label 33341: @2512704
     /* 2512704 */ GIM_Reject,
     /* 2512705 */ // Label 33331: @2512705
     /* 2512705 */ GIM_Try, /*On fail goto*//*Label 33342*/ GIMT_Encode4(2512742), // Rule ID 44490 //
     /* 2512710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512720 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512727 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2512730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512732 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512737 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512740 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512741 */   // GIR_Coverage, 44490,
     /* 2512741 */   GIR_EraseRootFromParent_Done,
     /* 2512742 */ // Label 33342: @2512742
     /* 2512742 */ GIM_Try, /*On fail goto*//*Label 33343*/ GIMT_Encode4(2512779), // Rule ID 44491 //
     /* 2512747 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512757 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512764 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2512767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512769 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512778 */   // GIR_Coverage, 44491,
     /* 2512778 */   GIR_EraseRootFromParent_Done,
     /* 2512779 */ // Label 33343: @2512779
     /* 2512779 */ GIM_Reject,
     /* 2512780 */ // Label 33332: @2512780
     /* 2512780 */ GIM_Try, /*On fail goto*//*Label 33344*/ GIMT_Encode4(2512817), // Rule ID 44522 //
     /* 2512785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512795 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512802 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2512805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512807 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512816 */   // GIR_Coverage, 44522,
     /* 2512816 */   GIR_EraseRootFromParent_Done,
     /* 2512817 */ // Label 33344: @2512817
     /* 2512817 */ GIM_Try, /*On fail goto*//*Label 33345*/ GIMT_Encode4(2512854), // Rule ID 44523 //
     /* 2512822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512832 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512839 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2512842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512844 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512853 */   // GIR_Coverage, 44523,
     /* 2512853 */   GIR_EraseRootFromParent_Done,
     /* 2512854 */ // Label 33345: @2512854
     /* 2512854 */ GIM_Reject,
     /* 2512855 */ // Label 33333: @2512855
     /* 2512855 */ GIM_Try, /*On fail goto*//*Label 33346*/ GIMT_Encode4(2512892), // Rule ID 44554 //
     /* 2512860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512870 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512877 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2512880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512882 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512890 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512891 */   // GIR_Coverage, 44554,
     /* 2512891 */   GIR_EraseRootFromParent_Done,
     /* 2512892 */ // Label 33346: @2512892
     /* 2512892 */ GIM_Try, /*On fail goto*//*Label 33347*/ GIMT_Encode4(2512929), // Rule ID 44555 //
     /* 2512897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512907 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512914 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512914 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2512917 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512919 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512928 */   // GIR_Coverage, 44555,
     /* 2512928 */   GIR_EraseRootFromParent_Done,
     /* 2512929 */ // Label 33347: @2512929
     /* 2512929 */ GIM_Reject,
     /* 2512930 */ // Label 33334: @2512930
     /* 2512930 */ GIM_Try, /*On fail goto*//*Label 33348*/ GIMT_Encode4(2512967), // Rule ID 44586 //
     /* 2512935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2512938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2512941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512945 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512952 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2512952 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2512955 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512957 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2512965 */   GIR_RootConstrainSelectedInstOperands,
     /* 2512966 */   // GIR_Coverage, 44586,
     /* 2512966 */   GIR_EraseRootFromParent_Done,
     /* 2512967 */ // Label 33348: @2512967
     /* 2512967 */ GIM_Try, /*On fail goto*//*Label 33349*/ GIMT_Encode4(2513004), // Rule ID 44587 //
     /* 2512972 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2512975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2512978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2512982 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2512989 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2512989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2512992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2512994 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2512999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2513003 */   // GIR_Coverage, 44587,
     /* 2513003 */   GIR_EraseRootFromParent_Done,
     /* 2513004 */ // Label 33349: @2513004
     /* 2513004 */ GIM_Reject,
     /* 2513005 */ // Label 33335: @2513005
     /* 2513005 */ GIM_Reject,
     /* 2513006 */ // Label 118: @2513006
     /* 2513006 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33372*/ GIMT_Encode4(2517263),
     /* 2513017 */ /*GILLT_nxv1s8*//*Label 33350*/ GIMT_Encode4(2513129),
     /* 2513021 */ /*GILLT_nxv1s16*//*Label 33351*/ GIMT_Encode4(2513246),
     /* 2513025 */ /*GILLT_nxv1s32*//*Label 33352*/ GIMT_Encode4(2513467),
     /* 2513029 */ /*GILLT_nxv1s64*//*Label 33353*/ GIMT_Encode4(2513688), GIMT_Encode4(0),
     /* 2513037 */ /*GILLT_nxv2s8*//*Label 33354*/ GIMT_Encode4(2513909),
     /* 2513041 */ /*GILLT_nxv2s16*//*Label 33355*/ GIMT_Encode4(2514026),
     /* 2513045 */ /*GILLT_nxv2s32*//*Label 33356*/ GIMT_Encode4(2514247),
     /* 2513049 */ /*GILLT_nxv2s64*//*Label 33357*/ GIMT_Encode4(2514468), GIMT_Encode4(0),
     /* 2513057 */ /*GILLT_nxv4s8*//*Label 33358*/ GIMT_Encode4(2514689),
     /* 2513061 */ /*GILLT_nxv4s16*//*Label 33359*/ GIMT_Encode4(2514806),
     /* 2513065 */ /*GILLT_nxv4s32*//*Label 33360*/ GIMT_Encode4(2515027),
     /* 2513069 */ /*GILLT_nxv4s64*//*Label 33361*/ GIMT_Encode4(2515248), GIMT_Encode4(0),
     /* 2513077 */ /*GILLT_nxv8s8*//*Label 33362*/ GIMT_Encode4(2515469),
     /* 2513081 */ /*GILLT_nxv8s16*//*Label 33363*/ GIMT_Encode4(2515586),
     /* 2513085 */ /*GILLT_nxv8s32*//*Label 33364*/ GIMT_Encode4(2515807),
     /* 2513089 */ /*GILLT_nxv8s64*//*Label 33365*/ GIMT_Encode4(2516028), GIMT_Encode4(0),
     /* 2513097 */ /*GILLT_nxv16s8*//*Label 33366*/ GIMT_Encode4(2516249),
     /* 2513101 */ /*GILLT_nxv16s16*//*Label 33367*/ GIMT_Encode4(2516366),
     /* 2513105 */ /*GILLT_nxv16s32*//*Label 33368*/ GIMT_Encode4(2516587), GIMT_Encode4(0),
     /* 2513113 */ /*GILLT_nxv32s8*//*Label 33369*/ GIMT_Encode4(2516808),
     /* 2513117 */ /*GILLT_nxv32s16*//*Label 33370*/ GIMT_Encode4(2516925), GIMT_Encode4(0),
     /* 2513125 */ /*GILLT_nxv64s8*//*Label 33371*/ GIMT_Encode4(2517146),
     /* 2513129 */ // Label 33350: @2513129
     /* 2513129 */ GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2513245),
     /* 2513134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2513137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2513140 */   GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2513192), // Rule ID 31984 //
     /* 2513145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513155 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513170 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2513173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513175 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2513187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513191 */     // GIR_Coverage, 31984,
     /* 2513191 */     GIR_EraseRootFromParent_Done,
     /* 2513192 */   // Label 33374: @2513192
     /* 2513192 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2513244), // Rule ID 31985 //
     /* 2513197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513222 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2513225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513227 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2513239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513243 */     // GIR_Coverage, 31985,
     /* 2513243 */     GIR_EraseRootFromParent_Done,
     /* 2513244 */   // Label 33375: @2513244
     /* 2513244 */   GIM_Reject,
     /* 2513245 */ // Label 33373: @2513245
     /* 2513245 */ GIM_Reject,
     /* 2513246 */ // Label 33351: @2513246
     /* 2513246 */ GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2513466),
     /* 2513251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2513254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2513257 */   GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2513309), // Rule ID 32254 //
     /* 2513262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513287 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2513290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513292 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2513304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513308 */     // GIR_Coverage, 32254,
     /* 2513308 */     GIR_EraseRootFromParent_Done,
     /* 2513309 */   // Label 33377: @2513309
     /* 2513309 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2513361), // Rule ID 32255 //
     /* 2513314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513339 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2513342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513344 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2513356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513360 */     // GIR_Coverage, 32255,
     /* 2513360 */     GIR_EraseRootFromParent_Done,
     /* 2513361 */   // Label 33378: @2513361
     /* 2513361 */   GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2513413), // Rule ID 33964 //
     /* 2513366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513376 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513391 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2513394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513396 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2513408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513412 */     // GIR_Coverage, 33964,
     /* 2513412 */     GIR_EraseRootFromParent_Done,
     /* 2513413 */   // Label 33379: @2513413
     /* 2513413 */   GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2513465), // Rule ID 33965 //
     /* 2513418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513443 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2513446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513448 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2513460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513464 */     // GIR_Coverage, 33965,
     /* 2513464 */     GIR_EraseRootFromParent_Done,
     /* 2513465 */   // Label 33380: @2513465
     /* 2513465 */   GIM_Reject,
     /* 2513466 */ // Label 33376: @2513466
     /* 2513466 */ GIM_Reject,
     /* 2513467 */ // Label 33352: @2513467
     /* 2513467 */ GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2513687),
     /* 2513472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2513475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2513478 */   GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2513530), // Rule ID 32434 //
     /* 2513483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513508 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2513511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513513 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2513525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513529 */     // GIR_Coverage, 32434,
     /* 2513529 */     GIR_EraseRootFromParent_Done,
     /* 2513530 */   // Label 33382: @2513530
     /* 2513530 */   GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2513582), // Rule ID 32435 //
     /* 2513535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513560 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2513563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513565 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2513577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513581 */     // GIR_Coverage, 32435,
     /* 2513581 */     GIR_EraseRootFromParent_Done,
     /* 2513582 */   // Label 33383: @2513582
     /* 2513582 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2513634), // Rule ID 34144 //
     /* 2513587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513612 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2513615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513617 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2513629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513633 */     // GIR_Coverage, 34144,
     /* 2513633 */     GIR_EraseRootFromParent_Done,
     /* 2513634 */   // Label 33384: @2513634
     /* 2513634 */   GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2513686), // Rule ID 34145 //
     /* 2513639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513664 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2513667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513669 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2513681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513685 */     // GIR_Coverage, 34145,
     /* 2513685 */     GIR_EraseRootFromParent_Done,
     /* 2513686 */   // Label 33385: @2513686
     /* 2513686 */   GIM_Reject,
     /* 2513687 */ // Label 33381: @2513687
     /* 2513687 */ GIM_Reject,
     /* 2513688 */ // Label 33353: @2513688
     /* 2513688 */ GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2513908),
     /* 2513693 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2513696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2513699 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2513751), // Rule ID 32794 //
     /* 2513704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2513707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513729 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2513732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513734 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2513746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513750 */     // GIR_Coverage, 32794,
     /* 2513750 */     GIR_EraseRootFromParent_Done,
     /* 2513751 */   // Label 33387: @2513751
     /* 2513751 */   GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2513803), // Rule ID 32795 //
     /* 2513756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2513759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513781 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2513784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513786 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2513798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513802 */     // GIR_Coverage, 32795,
     /* 2513802 */     GIR_EraseRootFromParent_Done,
     /* 2513803 */   // Label 33388: @2513803
     /* 2513803 */   GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2513855), // Rule ID 34414 //
     /* 2513808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2513811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513833 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2513836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513838 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2513850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513854 */     // GIR_Coverage, 34414,
     /* 2513854 */     GIR_EraseRootFromParent_Done,
     /* 2513855 */   // Label 33389: @2513855
     /* 2513855 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2513907), // Rule ID 34415 //
     /* 2513860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2513863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513885 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2513885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2513888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513890 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2513902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513906 */     // GIR_Coverage, 34415,
     /* 2513906 */     GIR_EraseRootFromParent_Done,
     /* 2513907 */   // Label 33390: @2513907
     /* 2513907 */   GIM_Reject,
     /* 2513908 */ // Label 33386: @2513908
     /* 2513908 */ GIM_Reject,
     /* 2513909 */ // Label 33354: @2513909
     /* 2513909 */ GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2514025),
     /* 2513914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2513917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2513920 */   GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2513972), // Rule ID 32074 //
     /* 2513925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2513928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2513931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2513950 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2513950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2513953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2513955 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2513957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2513959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2513964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2513967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2513970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2513971 */     // GIR_Coverage, 32074,
     /* 2513971 */     GIR_EraseRootFromParent_Done,
     /* 2513972 */   // Label 33392: @2513972
     /* 2513972 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2514024), // Rule ID 32075 //
     /* 2513977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2513980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2513983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2513995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514002 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2514005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514007 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2514019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514023 */     // GIR_Coverage, 32075,
     /* 2514023 */     GIR_EraseRootFromParent_Done,
     /* 2514024 */   // Label 33393: @2514024
     /* 2514024 */   GIM_Reject,
     /* 2514025 */ // Label 33391: @2514025
     /* 2514025 */ GIM_Reject,
     /* 2514026 */ // Label 33355: @2514026
     /* 2514026 */ GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2514246),
     /* 2514031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2514034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2514037 */   GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2514089), // Rule ID 32344 //
     /* 2514042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514067 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514072 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514088 */     // GIR_Coverage, 32344,
     /* 2514088 */     GIR_EraseRootFromParent_Done,
     /* 2514089 */   // Label 33395: @2514089
     /* 2514089 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2514141), // Rule ID 32345 //
     /* 2514094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514119 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514124 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514140 */     // GIR_Coverage, 32345,
     /* 2514140 */     GIR_EraseRootFromParent_Done,
     /* 2514141 */   // Label 33396: @2514141
     /* 2514141 */   GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2514193), // Rule ID 34054 //
     /* 2514146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514171 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514176 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514192 */     // GIR_Coverage, 34054,
     /* 2514192 */     GIR_EraseRootFromParent_Done,
     /* 2514193 */   // Label 33397: @2514193
     /* 2514193 */   GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2514245), // Rule ID 34055 //
     /* 2514198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514223 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514228 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514244 */     // GIR_Coverage, 34055,
     /* 2514244 */     GIR_EraseRootFromParent_Done,
     /* 2514245 */   // Label 33398: @2514245
     /* 2514245 */   GIM_Reject,
     /* 2514246 */ // Label 33394: @2514246
     /* 2514246 */ GIM_Reject,
     /* 2514247 */ // Label 33356: @2514247
     /* 2514247 */ GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2514467),
     /* 2514252 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2514255 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2514258 */   GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2514310), // Rule ID 32704 //
     /* 2514263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514288 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514293 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2514305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514309 */     // GIR_Coverage, 32704,
     /* 2514309 */     GIR_EraseRootFromParent_Done,
     /* 2514310 */   // Label 33400: @2514310
     /* 2514310 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2514362), // Rule ID 32705 //
     /* 2514315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514340 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514345 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2514357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514361 */     // GIR_Coverage, 32705,
     /* 2514361 */     GIR_EraseRootFromParent_Done,
     /* 2514362 */   // Label 33401: @2514362
     /* 2514362 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2514414), // Rule ID 34324 //
     /* 2514367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514392 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514397 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2514409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514413 */     // GIR_Coverage, 34324,
     /* 2514413 */     GIR_EraseRootFromParent_Done,
     /* 2514414 */   // Label 33402: @2514414
     /* 2514414 */   GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2514466), // Rule ID 34325 //
     /* 2514419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514444 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514449 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2514461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514465 */     // GIR_Coverage, 34325,
     /* 2514465 */     GIR_EraseRootFromParent_Done,
     /* 2514466 */   // Label 33403: @2514466
     /* 2514466 */   GIM_Reject,
     /* 2514467 */ // Label 33399: @2514467
     /* 2514467 */ GIM_Reject,
     /* 2514468 */ // Label 33357: @2514468
     /* 2514468 */ GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2514688),
     /* 2514473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2514476 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2514479 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2514531), // Rule ID 33694 //
     /* 2514484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2514487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514509 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2514512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514514 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2514526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514530 */     // GIR_Coverage, 33694,
     /* 2514530 */     GIR_EraseRootFromParent_Done,
     /* 2514531 */   // Label 33405: @2514531
     /* 2514531 */   GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2514583), // Rule ID 33695 //
     /* 2514536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2514539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514561 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2514564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514566 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2514578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514582 */     // GIR_Coverage, 33695,
     /* 2514582 */     GIR_EraseRootFromParent_Done,
     /* 2514583 */   // Label 33406: @2514583
     /* 2514583 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2514635), // Rule ID 35044 //
     /* 2514588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2514591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514613 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2514616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514618 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2514630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514634 */     // GIR_Coverage, 35044,
     /* 2514634 */     GIR_EraseRootFromParent_Done,
     /* 2514635 */   // Label 33407: @2514635
     /* 2514635 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2514687), // Rule ID 35045 //
     /* 2514640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2514643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2514658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514665 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2514668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514670 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2514682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514686 */     // GIR_Coverage, 35045,
     /* 2514686 */     GIR_EraseRootFromParent_Done,
     /* 2514687 */   // Label 33408: @2514687
     /* 2514687 */   GIM_Reject,
     /* 2514688 */ // Label 33404: @2514688
     /* 2514688 */ GIM_Reject,
     /* 2514689 */ // Label 33358: @2514689
     /* 2514689 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2514805),
     /* 2514694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2514697 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2514700 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2514752), // Rule ID 32164 //
     /* 2514705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514730 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514735 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2514747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514751 */     // GIR_Coverage, 32164,
     /* 2514751 */     GIR_EraseRootFromParent_Done,
     /* 2514752 */   // Label 33410: @2514752
     /* 2514752 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2514804), // Rule ID 32165 //
     /* 2514757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514767 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514782 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2514785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514787 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2514799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514803 */     // GIR_Coverage, 32165,
     /* 2514803 */     GIR_EraseRootFromParent_Done,
     /* 2514804 */   // Label 33411: @2514804
     /* 2514804 */   GIM_Reject,
     /* 2514805 */ // Label 33409: @2514805
     /* 2514805 */ GIM_Reject,
     /* 2514806 */ // Label 33359: @2514806
     /* 2514806 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2515026),
     /* 2514811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2514814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2514817 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2514869), // Rule ID 32614 //
     /* 2514822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514847 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514852 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514868 */     // GIR_Coverage, 32614,
     /* 2514868 */     GIR_EraseRootFromParent_Done,
     /* 2514869 */   // Label 33413: @2514869
     /* 2514869 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2514921), // Rule ID 32615 //
     /* 2514874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514899 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2514899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514904 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514920 */     // GIR_Coverage, 32615,
     /* 2514920 */     GIR_EraseRootFromParent_Done,
     /* 2514921 */   // Label 33414: @2514921
     /* 2514921 */   GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2514973), // Rule ID 34234 //
     /* 2514926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2514929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2514932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2514951 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2514951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2514954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2514956 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2514958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2514960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2514965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2514968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2514971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2514972 */     // GIR_Coverage, 34234,
     /* 2514972 */     GIR_EraseRootFromParent_Done,
     /* 2514973 */   // Label 33415: @2514973
     /* 2514973 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2515025), // Rule ID 34235 //
     /* 2514978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2514981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2514984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2514996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515003 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2515006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515008 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2515020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515024 */     // GIR_Coverage, 34235,
     /* 2515024 */     GIR_EraseRootFromParent_Done,
     /* 2515025 */   // Label 33416: @2515025
     /* 2515025 */   GIM_Reject,
     /* 2515026 */ // Label 33412: @2515026
     /* 2515026 */ GIM_Reject,
     /* 2515027 */ // Label 33360: @2515027
     /* 2515027 */ GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2515247),
     /* 2515032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2515035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2515038 */   GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2515090), // Rule ID 33424 //
     /* 2515043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515068 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515073 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515089 */     // GIR_Coverage, 33424,
     /* 2515089 */     GIR_EraseRootFromParent_Done,
     /* 2515090 */   // Label 33418: @2515090
     /* 2515090 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2515142), // Rule ID 33425 //
     /* 2515095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515120 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515125 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515141 */     // GIR_Coverage, 33425,
     /* 2515141 */     GIR_EraseRootFromParent_Done,
     /* 2515142 */   // Label 33419: @2515142
     /* 2515142 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2515194), // Rule ID 34774 //
     /* 2515147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515172 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515177 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515193 */     // GIR_Coverage, 34774,
     /* 2515193 */     GIR_EraseRootFromParent_Done,
     /* 2515194 */   // Label 33420: @2515194
     /* 2515194 */   GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2515246), // Rule ID 34775 //
     /* 2515199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515224 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515229 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515245 */     // GIR_Coverage, 34775,
     /* 2515245 */     GIR_EraseRootFromParent_Done,
     /* 2515246 */   // Label 33421: @2515246
     /* 2515246 */   GIM_Reject,
     /* 2515247 */ // Label 33417: @2515247
     /* 2515247 */ GIM_Reject,
     /* 2515248 */ // Label 33361: @2515248
     /* 2515248 */ GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2515468),
     /* 2515253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2515256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2515259 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2515311), // Rule ID 33784 //
     /* 2515264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2515267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515289 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515294 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2515306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515310 */     // GIR_Coverage, 33784,
     /* 2515310 */     GIR_EraseRootFromParent_Done,
     /* 2515311 */   // Label 33423: @2515311
     /* 2515311 */   GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2515363), // Rule ID 33785 //
     /* 2515316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2515319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515341 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515346 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2515358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515362 */     // GIR_Coverage, 33785,
     /* 2515362 */     GIR_EraseRootFromParent_Done,
     /* 2515363 */   // Label 33424: @2515363
     /* 2515363 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2515415), // Rule ID 35134 //
     /* 2515368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2515371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515393 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515398 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2515410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515414 */     // GIR_Coverage, 35134,
     /* 2515414 */     GIR_EraseRootFromParent_Done,
     /* 2515415 */   // Label 33425: @2515415
     /* 2515415 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2515467), // Rule ID 35135 //
     /* 2515420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2515423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515445 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515450 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2515462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515466 */     // GIR_Coverage, 35135,
     /* 2515466 */     GIR_EraseRootFromParent_Done,
     /* 2515467 */   // Label 33426: @2515467
     /* 2515467 */   GIM_Reject,
     /* 2515468 */ // Label 33422: @2515468
     /* 2515468 */ GIM_Reject,
     /* 2515469 */ // Label 33362: @2515469
     /* 2515469 */ GIM_Try, /*On fail goto*//*Label 33427*/ GIMT_Encode4(2515585),
     /* 2515474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2515477 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2515480 */   GIM_Try, /*On fail goto*//*Label 33428*/ GIMT_Encode4(2515532), // Rule ID 32524 //
     /* 2515485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515510 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2515513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515515 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2515527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515531 */     // GIR_Coverage, 32524,
     /* 2515531 */     GIR_EraseRootFromParent_Done,
     /* 2515532 */   // Label 33428: @2515532
     /* 2515532 */   GIM_Try, /*On fail goto*//*Label 33429*/ GIMT_Encode4(2515584), // Rule ID 32525 //
     /* 2515537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2515555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515562 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2515565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515567 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2515579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515583 */     // GIR_Coverage, 32525,
     /* 2515583 */     GIR_EraseRootFromParent_Done,
     /* 2515584 */   // Label 33429: @2515584
     /* 2515584 */   GIM_Reject,
     /* 2515585 */ // Label 33427: @2515585
     /* 2515585 */ GIM_Reject,
     /* 2515586 */ // Label 33363: @2515586
     /* 2515586 */ GIM_Try, /*On fail goto*//*Label 33430*/ GIMT_Encode4(2515806),
     /* 2515591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2515594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2515597 */   GIM_Try, /*On fail goto*//*Label 33431*/ GIMT_Encode4(2515649), // Rule ID 33154 //
     /* 2515602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515627 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515632 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2515644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515648 */     // GIR_Coverage, 33154,
     /* 2515648 */     GIR_EraseRootFromParent_Done,
     /* 2515649 */   // Label 33431: @2515649
     /* 2515649 */   GIM_Try, /*On fail goto*//*Label 33432*/ GIMT_Encode4(2515701), // Rule ID 33155 //
     /* 2515654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515664 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515679 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515684 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2515696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515700 */     // GIR_Coverage, 33155,
     /* 2515700 */     GIR_EraseRootFromParent_Done,
     /* 2515701 */   // Label 33432: @2515701
     /* 2515701 */   GIM_Try, /*On fail goto*//*Label 33433*/ GIMT_Encode4(2515753), // Rule ID 34504 //
     /* 2515706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515731 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515736 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2515748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515752 */     // GIR_Coverage, 34504,
     /* 2515752 */     GIR_EraseRootFromParent_Done,
     /* 2515753 */   // Label 33433: @2515753
     /* 2515753 */   GIM_Try, /*On fail goto*//*Label 33434*/ GIMT_Encode4(2515805), // Rule ID 34505 //
     /* 2515758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2515776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515783 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2515786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515788 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2515800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515804 */     // GIR_Coverage, 34505,
     /* 2515804 */     GIR_EraseRootFromParent_Done,
     /* 2515805 */   // Label 33434: @2515805
     /* 2515805 */   GIM_Reject,
     /* 2515806 */ // Label 33430: @2515806
     /* 2515806 */ GIM_Reject,
     /* 2515807 */ // Label 33364: @2515807
     /* 2515807 */ GIM_Try, /*On fail goto*//*Label 33435*/ GIMT_Encode4(2516027),
     /* 2515812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2515815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2515818 */   GIM_Try, /*On fail goto*//*Label 33436*/ GIMT_Encode4(2515870), // Rule ID 33514 //
     /* 2515823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515848 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515853 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515869 */     // GIR_Coverage, 33514,
     /* 2515869 */     GIR_EraseRootFromParent_Done,
     /* 2515870 */   // Label 33436: @2515870
     /* 2515870 */   GIM_Try, /*On fail goto*//*Label 33437*/ GIMT_Encode4(2515922), // Rule ID 33515 //
     /* 2515875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515900 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2515900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515905 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515921 */     // GIR_Coverage, 33515,
     /* 2515921 */     GIR_EraseRootFromParent_Done,
     /* 2515922 */   // Label 33437: @2515922
     /* 2515922 */   GIM_Try, /*On fail goto*//*Label 33438*/ GIMT_Encode4(2515974), // Rule ID 34864 //
     /* 2515927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2515930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2515933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2515952 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2515952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2515955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2515957 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2515959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2515961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2515966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2515969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2515972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2515973 */     // GIR_Coverage, 34864,
     /* 2515973 */     GIR_EraseRootFromParent_Done,
     /* 2515974 */   // Label 33438: @2515974
     /* 2515974 */   GIM_Try, /*On fail goto*//*Label 33439*/ GIMT_Encode4(2516026), // Rule ID 34865 //
     /* 2515979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2515982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2515985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2515997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516004 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516009 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2516021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516025 */     // GIR_Coverage, 34865,
     /* 2516025 */     GIR_EraseRootFromParent_Done,
     /* 2516026 */   // Label 33439: @2516026
     /* 2516026 */   GIM_Reject,
     /* 2516027 */ // Label 33435: @2516027
     /* 2516027 */ GIM_Reject,
     /* 2516028 */ // Label 33365: @2516028
     /* 2516028 */ GIM_Try, /*On fail goto*//*Label 33440*/ GIMT_Encode4(2516248),
     /* 2516033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2516036 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2516039 */   GIM_Try, /*On fail goto*//*Label 33441*/ GIMT_Encode4(2516091), // Rule ID 33874 //
     /* 2516044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2516047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516069 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516074 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2516086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516090 */     // GIR_Coverage, 33874,
     /* 2516090 */     GIR_EraseRootFromParent_Done,
     /* 2516091 */   // Label 33441: @2516091
     /* 2516091 */   GIM_Try, /*On fail goto*//*Label 33442*/ GIMT_Encode4(2516143), // Rule ID 33875 //
     /* 2516096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2516099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516106 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516121 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516126 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2516138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516142 */     // GIR_Coverage, 33875,
     /* 2516142 */     GIR_EraseRootFromParent_Done,
     /* 2516143 */   // Label 33442: @2516143
     /* 2516143 */   GIM_Try, /*On fail goto*//*Label 33443*/ GIMT_Encode4(2516195), // Rule ID 35224 //
     /* 2516148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2516151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516173 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516178 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2516190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516194 */     // GIR_Coverage, 35224,
     /* 2516194 */     GIR_EraseRootFromParent_Done,
     /* 2516195 */   // Label 33443: @2516195
     /* 2516195 */   GIM_Try, /*On fail goto*//*Label 33444*/ GIMT_Encode4(2516247), // Rule ID 35225 //
     /* 2516200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2516203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516225 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516230 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2516242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516246 */     // GIR_Coverage, 35225,
     /* 2516246 */     GIR_EraseRootFromParent_Done,
     /* 2516247 */   // Label 33444: @2516247
     /* 2516247 */   GIM_Reject,
     /* 2516248 */ // Label 33440: @2516248
     /* 2516248 */ GIM_Reject,
     /* 2516249 */ // Label 33366: @2516249
     /* 2516249 */ GIM_Try, /*On fail goto*//*Label 33445*/ GIMT_Encode4(2516365),
     /* 2516254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2516257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2516260 */   GIM_Try, /*On fail goto*//*Label 33446*/ GIMT_Encode4(2516312), // Rule ID 32884 //
     /* 2516265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516290 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2516293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516295 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2516307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516311 */     // GIR_Coverage, 32884,
     /* 2516311 */     GIR_EraseRootFromParent_Done,
     /* 2516312 */   // Label 33446: @2516312
     /* 2516312 */   GIM_Try, /*On fail goto*//*Label 33447*/ GIMT_Encode4(2516364), // Rule ID 32885 //
     /* 2516317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2516335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516342 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2516345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516347 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2516359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516363 */     // GIR_Coverage, 32885,
     /* 2516363 */     GIR_EraseRootFromParent_Done,
     /* 2516364 */   // Label 33447: @2516364
     /* 2516364 */   GIM_Reject,
     /* 2516365 */ // Label 33445: @2516365
     /* 2516365 */ GIM_Reject,
     /* 2516366 */ // Label 33367: @2516366
     /* 2516366 */ GIM_Try, /*On fail goto*//*Label 33448*/ GIMT_Encode4(2516586),
     /* 2516371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2516374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2516377 */   GIM_Try, /*On fail goto*//*Label 33449*/ GIMT_Encode4(2516429), // Rule ID 33244 //
     /* 2516382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516407 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516412 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2516424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516428 */     // GIR_Coverage, 33244,
     /* 2516428 */     GIR_EraseRootFromParent_Done,
     /* 2516429 */   // Label 33449: @2516429
     /* 2516429 */   GIM_Try, /*On fail goto*//*Label 33450*/ GIMT_Encode4(2516481), // Rule ID 33245 //
     /* 2516434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516459 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516464 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2516476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516480 */     // GIR_Coverage, 33245,
     /* 2516480 */     GIR_EraseRootFromParent_Done,
     /* 2516481 */   // Label 33450: @2516481
     /* 2516481 */   GIM_Try, /*On fail goto*//*Label 33451*/ GIMT_Encode4(2516533), // Rule ID 34594 //
     /* 2516486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516511 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516516 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2516528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516532 */     // GIR_Coverage, 34594,
     /* 2516532 */     GIR_EraseRootFromParent_Done,
     /* 2516533 */   // Label 33451: @2516533
     /* 2516533 */   GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2516585), // Rule ID 34595 //
     /* 2516538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516563 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516568 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2516580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516584 */     // GIR_Coverage, 34595,
     /* 2516584 */     GIR_EraseRootFromParent_Done,
     /* 2516585 */   // Label 33452: @2516585
     /* 2516585 */   GIM_Reject,
     /* 2516586 */ // Label 33448: @2516586
     /* 2516586 */ GIM_Reject,
     /* 2516587 */ // Label 33368: @2516587
     /* 2516587 */ GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2516807),
     /* 2516592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2516595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2516598 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2516650), // Rule ID 33604 //
     /* 2516603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516628 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516633 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2516645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516649 */     // GIR_Coverage, 33604,
     /* 2516649 */     GIR_EraseRootFromParent_Done,
     /* 2516650 */   // Label 33454: @2516650
     /* 2516650 */   GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2516702), // Rule ID 33605 //
     /* 2516655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516680 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516685 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2516697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516701 */     // GIR_Coverage, 33605,
     /* 2516701 */     GIR_EraseRootFromParent_Done,
     /* 2516702 */   // Label 33455: @2516702
     /* 2516702 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2516754), // Rule ID 34954 //
     /* 2516707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516732 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516737 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2516749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516753 */     // GIR_Coverage, 34954,
     /* 2516753 */     GIR_EraseRootFromParent_Done,
     /* 2516754 */   // Label 33456: @2516754
     /* 2516754 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2516806), // Rule ID 34955 //
     /* 2516759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516784 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516789 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2516801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516805 */     // GIR_Coverage, 34955,
     /* 2516805 */     GIR_EraseRootFromParent_Done,
     /* 2516806 */   // Label 33457: @2516806
     /* 2516806 */   GIM_Reject,
     /* 2516807 */ // Label 33453: @2516807
     /* 2516807 */ GIM_Reject,
     /* 2516808 */ // Label 33369: @2516808
     /* 2516808 */ GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2516924),
     /* 2516813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2516816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2516819 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2516871), // Rule ID 32974 //
     /* 2516824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516849 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516854 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2516866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516870 */     // GIR_Coverage, 32974,
     /* 2516870 */     GIR_EraseRootFromParent_Done,
     /* 2516871 */   // Label 33459: @2516871
     /* 2516871 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2516923), // Rule ID 32975 //
     /* 2516876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2516894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516901 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2516901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2516904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516906 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2516918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516922 */     // GIR_Coverage, 32975,
     /* 2516922 */     GIR_EraseRootFromParent_Done,
     /* 2516923 */   // Label 33460: @2516923
     /* 2516923 */   GIM_Reject,
     /* 2516924 */ // Label 33458: @2516924
     /* 2516924 */ GIM_Reject,
     /* 2516925 */ // Label 33370: @2516925
     /* 2516925 */ GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2517145),
     /* 2516930 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2516933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2516936 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2516988), // Rule ID 33334 //
     /* 2516941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2516944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2516947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516951 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2516959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2516966 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2516966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2516969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2516971 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2516973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2516975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2516980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2516983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2516986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2516987 */     // GIR_Coverage, 33334,
     /* 2516987 */     GIR_EraseRootFromParent_Done,
     /* 2516988 */   // Label 33462: @2516988
     /* 2516988 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2517040), // Rule ID 33335 //
     /* 2516993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2516996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2516999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517018 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2517018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2517021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517023 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2517025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2517027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2517035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2517038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517039 */     // GIR_Coverage, 33335,
     /* 2517039 */     GIR_EraseRootFromParent_Done,
     /* 2517040 */   // Label 33463: @2517040
     /* 2517040 */   GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2517092), // Rule ID 34684 //
     /* 2517045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2517048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2517051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517070 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2517070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2517073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517075 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2517077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2517079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2517087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2517090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517091 */     // GIR_Coverage, 34684,
     /* 2517091 */     GIR_EraseRootFromParent_Done,
     /* 2517092 */   // Label 33464: @2517092
     /* 2517092 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2517144), // Rule ID 34685 //
     /* 2517097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2517100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2517103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517122 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2517122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2517125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517127 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2517129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2517131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2517139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2517142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517143 */     // GIR_Coverage, 34685,
     /* 2517143 */     GIR_EraseRootFromParent_Done,
     /* 2517144 */   // Label 33465: @2517144
     /* 2517144 */   GIM_Reject,
     /* 2517145 */ // Label 33461: @2517145
     /* 2517145 */ GIM_Reject,
     /* 2517146 */ // Label 33371: @2517146
     /* 2517146 */ GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2517262),
     /* 2517151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2517154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2517157 */   GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2517209), // Rule ID 33064 //
     /* 2517162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2517165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2517168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517187 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2517187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2517190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517192 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2517194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2517196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2517207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517208 */     // GIR_Coverage, 33064,
     /* 2517208 */     GIR_EraseRootFromParent_Done,
     /* 2517209 */   // Label 33467: @2517209
     /* 2517209 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2517261), // Rule ID 33065 //
     /* 2517214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2517217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2517220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2517232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517239 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2517239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2517242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517244 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2517246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2517248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2517259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517260 */     // GIR_Coverage, 33065,
     /* 2517260 */     GIR_EraseRootFromParent_Done,
     /* 2517261 */   // Label 33468: @2517261
     /* 2517261 */   GIM_Reject,
     /* 2517262 */ // Label 33466: @2517262
     /* 2517262 */ GIM_Reject,
     /* 2517263 */ // Label 33372: @2517263
     /* 2517263 */ GIM_Reject,
     /* 2517264 */ // Label 119: @2517264
     /* 2517264 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33491*/ GIMT_Encode4(2531807),
     /* 2517275 */ /*GILLT_nxv1s8*//*Label 33469*/ GIMT_Encode4(2517387),
     /* 2517279 */ /*GILLT_nxv1s16*//*Label 33470*/ GIMT_Encode4(2517782),
     /* 2517283 */ /*GILLT_nxv1s32*//*Label 33471*/ GIMT_Encode4(2518559),
     /* 2517287 */ /*GILLT_nxv1s64*//*Label 33472*/ GIMT_Encode4(2519336), GIMT_Encode4(0),
     /* 2517295 */ /*GILLT_nxv2s8*//*Label 33473*/ GIMT_Encode4(2520113),
     /* 2517299 */ /*GILLT_nxv2s16*//*Label 33474*/ GIMT_Encode4(2520508),
     /* 2517303 */ /*GILLT_nxv2s32*//*Label 33475*/ GIMT_Encode4(2521285),
     /* 2517307 */ /*GILLT_nxv2s64*//*Label 33476*/ GIMT_Encode4(2522062), GIMT_Encode4(0),
     /* 2517315 */ /*GILLT_nxv4s8*//*Label 33477*/ GIMT_Encode4(2522839),
     /* 2517319 */ /*GILLT_nxv4s16*//*Label 33478*/ GIMT_Encode4(2523234),
     /* 2517323 */ /*GILLT_nxv4s32*//*Label 33479*/ GIMT_Encode4(2524011),
     /* 2517327 */ /*GILLT_nxv4s64*//*Label 33480*/ GIMT_Encode4(2524788), GIMT_Encode4(0),
     /* 2517335 */ /*GILLT_nxv8s8*//*Label 33481*/ GIMT_Encode4(2525565),
     /* 2517339 */ /*GILLT_nxv8s16*//*Label 33482*/ GIMT_Encode4(2525960),
     /* 2517343 */ /*GILLT_nxv8s32*//*Label 33483*/ GIMT_Encode4(2526737),
     /* 2517347 */ /*GILLT_nxv8s64*//*Label 33484*/ GIMT_Encode4(2527514), GIMT_Encode4(0),
     /* 2517355 */ /*GILLT_nxv16s8*//*Label 33485*/ GIMT_Encode4(2528291),
     /* 2517359 */ /*GILLT_nxv16s16*//*Label 33486*/ GIMT_Encode4(2528686),
     /* 2517363 */ /*GILLT_nxv16s32*//*Label 33487*/ GIMT_Encode4(2529463), GIMT_Encode4(0),
     /* 2517371 */ /*GILLT_nxv32s8*//*Label 33488*/ GIMT_Encode4(2530240),
     /* 2517375 */ /*GILLT_nxv32s16*//*Label 33489*/ GIMT_Encode4(2530635), GIMT_Encode4(0),
     /* 2517383 */ /*GILLT_nxv64s8*//*Label 33490*/ GIMT_Encode4(2531412),
     /* 2517387 */ // Label 33469: @2517387
     /* 2517387 */ GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2517781),
     /* 2517392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2517395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2517398 */   GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2517499), // Rule ID 45156 //
     /* 2517403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2517406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2517409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2517415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2517431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2517435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2517439 */     // MIs[1] Operand 1
     /* 2517439 */     // No operand predicates
     /* 2517439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517443 */     // MIs[0] policy
     /* 2517443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2517448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517455 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2517455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517459 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517465 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2517472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2517481 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517498 */     // GIR_Coverage, 45156,
     /* 2517498 */     GIR_EraseRootFromParent_Done,
     /* 2517499 */   // Label 33493: @2517499
     /* 2517499 */   GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2517600), // Rule ID 45157 //
     /* 2517504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2517507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2517510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2517516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2517532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2517536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2517540 */     // MIs[1] Operand 1
     /* 2517540 */     // No operand predicates
     /* 2517540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517544 */     // MIs[0] policy
     /* 2517544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2517549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517556 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2517556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517560 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517566 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2517573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2517582 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517599 */     // GIR_Coverage, 45157,
     /* 2517599 */     GIR_EraseRootFromParent_Done,
     /* 2517600 */   // Label 33494: @2517600
     /* 2517600 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2517690), // Rule ID 45158 //
     /* 2517605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2517608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2517611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2517617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2517633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517637 */     // MIs[0] policy
     /* 2517637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517647 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2517647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517651 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517657 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2517664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2517672 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517689 */     // GIR_Coverage, 45158,
     /* 2517689 */     GIR_EraseRootFromParent_Done,
     /* 2517690 */   // Label 33495: @2517690
     /* 2517690 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2517780), // Rule ID 45159 //
     /* 2517695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2517698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2517701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2517707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517711 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2517723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517727 */     // MIs[0] policy
     /* 2517727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517737 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2517737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517741 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517747 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2517754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2517762 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2517776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517779 */     // GIR_Coverage, 45159,
     /* 2517779 */     GIR_EraseRootFromParent_Done,
     /* 2517780 */   // Label 33496: @2517780
     /* 2517780 */   GIM_Reject,
     /* 2517781 */ // Label 33492: @2517781
     /* 2517781 */ GIM_Reject,
     /* 2517782 */ // Label 33470: @2517782
     /* 2517782 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2518558),
     /* 2517787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2517790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2517793 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2517894), // Rule ID 45168 //
     /* 2517798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2517801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2517804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2517810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2517826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2517830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2517834 */     // MIs[1] Operand 1
     /* 2517834 */     // No operand predicates
     /* 2517834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517838 */     // MIs[0] policy
     /* 2517838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2517843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517850 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2517850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517854 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517860 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2517867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2517876 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2517890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517893 */     // GIR_Coverage, 45168,
     /* 2517893 */     GIR_EraseRootFromParent_Done,
     /* 2517894 */   // Label 33498: @2517894
     /* 2517894 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2517995), // Rule ID 45169 //
     /* 2517899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2517902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2517905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2517908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2517911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2517915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2517923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2517927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2517931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2517935 */     // MIs[1] Operand 1
     /* 2517935 */     // No operand predicates
     /* 2517935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2517939 */     // MIs[0] policy
     /* 2517939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2517942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2517944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2517951 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2517951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2517955 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2517961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2517965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2517968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2517970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2517972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2517974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2517977 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2517983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2517988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2517991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2517993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2517994 */     // GIR_Coverage, 45169,
     /* 2517994 */     GIR_EraseRootFromParent_Done,
     /* 2517995 */   // Label 33499: @2517995
     /* 2517995 */   GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2518096), // Rule ID 45244 //
     /* 2518000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518036 */     // MIs[1] Operand 1
     /* 2518036 */     // No operand predicates
     /* 2518036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518040 */     // MIs[0] policy
     /* 2518040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518052 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2518052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518056 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518062 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2518069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518078 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518095 */     // GIR_Coverage, 45244,
     /* 2518095 */     GIR_EraseRootFromParent_Done,
     /* 2518096 */   // Label 33500: @2518096
     /* 2518096 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2518197), // Rule ID 45245 //
     /* 2518101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2518104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2518107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2518113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518137 */     // MIs[1] Operand 1
     /* 2518137 */     // No operand predicates
     /* 2518137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518141 */     // MIs[0] policy
     /* 2518141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518153 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2518153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518157 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518163 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2518170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518179 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518196 */     // GIR_Coverage, 45245,
     /* 2518196 */     GIR_EraseRootFromParent_Done,
     /* 2518197 */   // Label 33501: @2518197
     /* 2518197 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2518287), // Rule ID 45170 //
     /* 2518202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2518230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518234 */     // MIs[0] policy
     /* 2518234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518244 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2518244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518248 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518254 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2518261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2518269 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518286 */     // GIR_Coverage, 45170,
     /* 2518286 */     GIR_EraseRootFromParent_Done,
     /* 2518287 */   // Label 33502: @2518287
     /* 2518287 */   GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2518377), // Rule ID 45171 //
     /* 2518292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2518295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2518298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2518304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2518320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518324 */     // MIs[0] policy
     /* 2518324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518334 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2518334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518338 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518344 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2518351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2518359 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518376 */     // GIR_Coverage, 45171,
     /* 2518376 */     GIR_EraseRootFromParent_Done,
     /* 2518377 */   // Label 33503: @2518377
     /* 2518377 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2518467), // Rule ID 45246 //
     /* 2518382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2518410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518414 */     // MIs[0] policy
     /* 2518414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518424 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2518424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518428 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518434 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2518441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2518449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518466 */     // GIR_Coverage, 45246,
     /* 2518466 */     GIR_EraseRootFromParent_Done,
     /* 2518467 */   // Label 33504: @2518467
     /* 2518467 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2518557), // Rule ID 45247 //
     /* 2518472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2518475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2518478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2518484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2518500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518504 */     // MIs[0] policy
     /* 2518504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518514 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2518514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2518531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2518539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2518553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518556 */     // GIR_Coverage, 45247,
     /* 2518556 */     GIR_EraseRootFromParent_Done,
     /* 2518557 */   // Label 33505: @2518557
     /* 2518557 */   GIM_Reject,
     /* 2518558 */ // Label 33497: @2518558
     /* 2518558 */ GIM_Reject,
     /* 2518559 */ // Label 33471: @2518559
     /* 2518559 */ GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2519335),
     /* 2518564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2518567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2518570 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2518671), // Rule ID 45176 //
     /* 2518575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518611 */     // MIs[1] Operand 1
     /* 2518611 */     // No operand predicates
     /* 2518611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518615 */     // MIs[0] policy
     /* 2518615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518627 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2518627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518631 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518637 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2518644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518653 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2518667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518670 */     // GIR_Coverage, 45176,
     /* 2518670 */     GIR_EraseRootFromParent_Done,
     /* 2518671 */   // Label 33507: @2518671
     /* 2518671 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2518772), // Rule ID 45177 //
     /* 2518676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2518679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2518682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2518688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518712 */     // MIs[1] Operand 1
     /* 2518712 */     // No operand predicates
     /* 2518712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518716 */     // MIs[0] policy
     /* 2518716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518728 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2518728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518732 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518738 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2518745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518754 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2518768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518771 */     // GIR_Coverage, 45177,
     /* 2518771 */     GIR_EraseRootFromParent_Done,
     /* 2518772 */   // Label 33508: @2518772
     /* 2518772 */   GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2518873), // Rule ID 45252 //
     /* 2518777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518813 */     // MIs[1] Operand 1
     /* 2518813 */     // No operand predicates
     /* 2518813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518817 */     // MIs[0] policy
     /* 2518817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518829 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2518829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518833 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518839 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2518846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518855 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2518869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518872 */     // GIR_Coverage, 45252,
     /* 2518872 */     GIR_EraseRootFromParent_Done,
     /* 2518873 */   // Label 33509: @2518873
     /* 2518873 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2518974), // Rule ID 45253 //
     /* 2518878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2518881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2518884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2518890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2518906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2518910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2518914 */     // MIs[1] Operand 1
     /* 2518914 */     // No operand predicates
     /* 2518914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2518918 */     // MIs[0] policy
     /* 2518918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2518921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2518923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2518930 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2518930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2518934 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2518940 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2518944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2518947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2518949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2518951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2518953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2518956 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2518962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2518967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2518970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2518972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2518973 */     // GIR_Coverage, 45253,
     /* 2518973 */     GIR_EraseRootFromParent_Done,
     /* 2518974 */   // Label 33510: @2518974
     /* 2518974 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2519064), // Rule ID 45178 //
     /* 2518979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2518982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2518985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2518988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2518991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2518995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2518999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519011 */     // MIs[0] policy
     /* 2519011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519021 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519025 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2519038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519046 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2519060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519063 */     // GIR_Coverage, 45178,
     /* 2519063 */     GIR_EraseRootFromParent_Done,
     /* 2519064 */   // Label 33511: @2519064
     /* 2519064 */   GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2519154), // Rule ID 45179 //
     /* 2519069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2519072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2519075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2519081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519101 */     // MIs[0] policy
     /* 2519101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519111 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2519111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519115 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519121 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2519128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519136 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2519150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519153 */     // GIR_Coverage, 45179,
     /* 2519153 */     GIR_EraseRootFromParent_Done,
     /* 2519154 */   // Label 33512: @2519154
     /* 2519154 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2519244), // Rule ID 45254 //
     /* 2519159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2519162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2519165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2519171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519191 */     // MIs[0] policy
     /* 2519191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519201 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519205 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519211 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2519218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2519240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519243 */     // GIR_Coverage, 45254,
     /* 2519243 */     GIR_EraseRootFromParent_Done,
     /* 2519244 */   // Label 33513: @2519244
     /* 2519244 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2519334), // Rule ID 45255 //
     /* 2519249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2519252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2519255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2519261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519281 */     // MIs[0] policy
     /* 2519281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519291 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2519291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2519308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2519330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519333 */     // GIR_Coverage, 45255,
     /* 2519333 */     GIR_EraseRootFromParent_Done,
     /* 2519334 */   // Label 33514: @2519334
     /* 2519334 */   GIM_Reject,
     /* 2519335 */ // Label 33506: @2519335
     /* 2519335 */ GIM_Reject,
     /* 2519336 */ // Label 33472: @2519336
     /* 2519336 */ GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2520112),
     /* 2519341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2519344 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2519347 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2519448), // Rule ID 45192 //
     /* 2519352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2519355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2519358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2519364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2519380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2519384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2519388 */     // MIs[1] Operand 1
     /* 2519388 */     // No operand predicates
     /* 2519388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519392 */     // MIs[0] policy
     /* 2519392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2519397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519404 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519408 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519414 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2519421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2519430 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519447 */     // GIR_Coverage, 45192,
     /* 2519447 */     GIR_EraseRootFromParent_Done,
     /* 2519448 */   // Label 33516: @2519448
     /* 2519448 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2519549), // Rule ID 45193 //
     /* 2519453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2519456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2519459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2519465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2519481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2519485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2519489 */     // MIs[1] Operand 1
     /* 2519489 */     // No operand predicates
     /* 2519489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519493 */     // MIs[0] policy
     /* 2519493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2519498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519505 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2519505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519509 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519515 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2519522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2519531 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519548 */     // GIR_Coverage, 45193,
     /* 2519548 */     GIR_EraseRootFromParent_Done,
     /* 2519549 */   // Label 33517: @2519549
     /* 2519549 */   GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2519650), // Rule ID 45264 //
     /* 2519554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2519557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2519560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2519566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2519582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2519586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2519590 */     // MIs[1] Operand 1
     /* 2519590 */     // No operand predicates
     /* 2519590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519594 */     // MIs[0] policy
     /* 2519594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2519599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519606 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519610 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519616 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2519623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2519632 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519649 */     // GIR_Coverage, 45264,
     /* 2519649 */     GIR_EraseRootFromParent_Done,
     /* 2519650 */   // Label 33518: @2519650
     /* 2519650 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2519751), // Rule ID 45265 //
     /* 2519655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2519658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2519661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2519667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2519683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2519687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2519691 */     // MIs[1] Operand 1
     /* 2519691 */     // No operand predicates
     /* 2519691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519695 */     // MIs[0] policy
     /* 2519695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2519700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519707 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2519707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519711 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519717 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2519724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2519733 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519750 */     // GIR_Coverage, 45265,
     /* 2519750 */     GIR_EraseRootFromParent_Done,
     /* 2519751 */   // Label 33519: @2519751
     /* 2519751 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2519841), // Rule ID 45194 //
     /* 2519756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2519759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2519762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2519768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519788 */     // MIs[0] policy
     /* 2519788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519798 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519802 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519808 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2519815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519823 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519840 */     // GIR_Coverage, 45194,
     /* 2519840 */     GIR_EraseRootFromParent_Done,
     /* 2519841 */   // Label 33520: @2519841
     /* 2519841 */   GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2519931), // Rule ID 45195 //
     /* 2519846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2519849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2519852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2519858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519878 */     // MIs[0] policy
     /* 2519878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519888 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2519888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519892 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519898 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2519905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2519911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2519913 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2519919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2519924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2519927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2519929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2519930 */     // GIR_Coverage, 45195,
     /* 2519930 */     GIR_EraseRootFromParent_Done,
     /* 2519931 */   // Label 33521: @2519931
     /* 2519931 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2520021), // Rule ID 45266 //
     /* 2519936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2519939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2519942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2519945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2519948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2519952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2519960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2519964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2519968 */     // MIs[0] policy
     /* 2519968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2519971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2519978 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2519978 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2519982 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2519988 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2519992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2519995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2519997 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2519999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2520003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2520017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520020 */     // GIR_Coverage, 45266,
     /* 2520020 */     GIR_EraseRootFromParent_Done,
     /* 2520021 */   // Label 33522: @2520021
     /* 2520021 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2520111), // Rule ID 45267 //
     /* 2520026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2520029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2520032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2520035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2520038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2520054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520058 */     // MIs[0] policy
     /* 2520058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520068 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2520068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2520085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2520093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2520107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520110 */     // GIR_Coverage, 45267,
     /* 2520110 */     GIR_EraseRootFromParent_Done,
     /* 2520111 */   // Label 33523: @2520111
     /* 2520111 */   GIM_Reject,
     /* 2520112 */ // Label 33515: @2520112
     /* 2520112 */ GIM_Reject,
     /* 2520113 */ // Label 33473: @2520113
     /* 2520113 */ GIM_Try, /*On fail goto*//*Label 33524*/ GIMT_Encode4(2520507),
     /* 2520118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2520121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2520124 */   GIM_Try, /*On fail goto*//*Label 33525*/ GIMT_Encode4(2520225), // Rule ID 45160 //
     /* 2520129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2520132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2520135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2520141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520165 */     // MIs[1] Operand 1
     /* 2520165 */     // No operand predicates
     /* 2520165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520169 */     // MIs[0] policy
     /* 2520169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520181 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2520181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520185 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520191 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2520198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520204 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520207 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2520221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520224 */     // GIR_Coverage, 45160,
     /* 2520224 */     GIR_EraseRootFromParent_Done,
     /* 2520225 */   // Label 33525: @2520225
     /* 2520225 */   GIM_Try, /*On fail goto*//*Label 33526*/ GIMT_Encode4(2520326), // Rule ID 45161 //
     /* 2520230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2520233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2520236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2520242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520246 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520266 */     // MIs[1] Operand 1
     /* 2520266 */     // No operand predicates
     /* 2520266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520270 */     // MIs[0] policy
     /* 2520270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520282 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2520282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520286 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520292 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2520299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520308 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2520322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520325 */     // GIR_Coverage, 45161,
     /* 2520325 */     GIR_EraseRootFromParent_Done,
     /* 2520326 */   // Label 33526: @2520326
     /* 2520326 */   GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2520416), // Rule ID 45162 //
     /* 2520331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2520334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2520337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2520343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2520359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520363 */     // MIs[0] policy
     /* 2520363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520373 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2520373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2520390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2520398 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2520412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520415 */     // GIR_Coverage, 45162,
     /* 2520415 */     GIR_EraseRootFromParent_Done,
     /* 2520416 */   // Label 33527: @2520416
     /* 2520416 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2520506), // Rule ID 45163 //
     /* 2520421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2520424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2520427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2520433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2520449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520453 */     // MIs[0] policy
     /* 2520453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520463 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2520463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520467 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520473 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2520480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2520488 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2520502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520505 */     // GIR_Coverage, 45163,
     /* 2520505 */     GIR_EraseRootFromParent_Done,
     /* 2520506 */   // Label 33528: @2520506
     /* 2520506 */   GIM_Reject,
     /* 2520507 */ // Label 33524: @2520507
     /* 2520507 */ GIM_Reject,
     /* 2520508 */ // Label 33474: @2520508
     /* 2520508 */ GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2521284),
     /* 2520513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2520516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2520519 */   GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2520620), // Rule ID 45172 //
     /* 2520524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2520527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2520530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2520536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520560 */     // MIs[1] Operand 1
     /* 2520560 */     // No operand predicates
     /* 2520560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520564 */     // MIs[0] policy
     /* 2520564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520576 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2520576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520580 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520586 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2520593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520602 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2520616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520619 */     // GIR_Coverage, 45172,
     /* 2520619 */     GIR_EraseRootFromParent_Done,
     /* 2520620 */   // Label 33530: @2520620
     /* 2520620 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2520721), // Rule ID 45173 //
     /* 2520625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2520628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2520631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2520637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520661 */     // MIs[1] Operand 1
     /* 2520661 */     // No operand predicates
     /* 2520661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520665 */     // MIs[0] policy
     /* 2520665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520677 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2520677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520681 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520687 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2520694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520703 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2520717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520720 */     // GIR_Coverage, 45173,
     /* 2520720 */     GIR_EraseRootFromParent_Done,
     /* 2520721 */   // Label 33531: @2520721
     /* 2520721 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2520822), // Rule ID 45248 //
     /* 2520726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2520729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2520732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2520738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520762 */     // MIs[1] Operand 1
     /* 2520762 */     // No operand predicates
     /* 2520762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520766 */     // MIs[0] policy
     /* 2520766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520778 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2520778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520782 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2520795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520804 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2520818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520821 */     // GIR_Coverage, 45248,
     /* 2520821 */     GIR_EraseRootFromParent_Done,
     /* 2520822 */   // Label 33532: @2520822
     /* 2520822 */   GIM_Try, /*On fail goto*//*Label 33533*/ GIMT_Encode4(2520923), // Rule ID 45249 //
     /* 2520827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2520830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2520833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2520839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2520855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2520859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2520863 */     // MIs[1] Operand 1
     /* 2520863 */     // No operand predicates
     /* 2520863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520867 */     // MIs[0] policy
     /* 2520867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2520872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520879 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2520879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520883 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520889 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2520896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2520905 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2520911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2520916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2520919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2520921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2520922 */     // GIR_Coverage, 45249,
     /* 2520922 */     GIR_EraseRootFromParent_Done,
     /* 2520923 */   // Label 33533: @2520923
     /* 2520923 */   GIM_Try, /*On fail goto*//*Label 33534*/ GIMT_Encode4(2521013), // Rule ID 45174 //
     /* 2520928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2520931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2520934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2520937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2520940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2520944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2520952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2520956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2520960 */     // MIs[0] policy
     /* 2520960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2520963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2520970 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2520970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2520974 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2520980 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2520984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2520987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2520989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2520991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2520993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2520995 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2521009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521012 */     // GIR_Coverage, 45174,
     /* 2521012 */     GIR_EraseRootFromParent_Done,
     /* 2521013 */   // Label 33534: @2521013
     /* 2521013 */   GIM_Try, /*On fail goto*//*Label 33535*/ GIMT_Encode4(2521103), // Rule ID 45175 //
     /* 2521018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521050 */     // MIs[0] policy
     /* 2521050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521060 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2521060 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521064 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521070 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2521077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521079 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521085 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2521099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521102 */     // GIR_Coverage, 45175,
     /* 2521102 */     GIR_EraseRootFromParent_Done,
     /* 2521103 */   // Label 33535: @2521103
     /* 2521103 */   GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2521193), // Rule ID 45250 //
     /* 2521108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2521111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2521114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2521120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521140 */     // MIs[0] policy
     /* 2521140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521150 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2521150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2521167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2521189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521192 */     // GIR_Coverage, 45250,
     /* 2521192 */     GIR_EraseRootFromParent_Done,
     /* 2521193 */   // Label 33536: @2521193
     /* 2521193 */   GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2521283), // Rule ID 45251 //
     /* 2521198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521230 */     // MIs[0] policy
     /* 2521230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521240 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2521240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2521257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2521279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521282 */     // GIR_Coverage, 45251,
     /* 2521282 */     GIR_EraseRootFromParent_Done,
     /* 2521283 */   // Label 33537: @2521283
     /* 2521283 */   GIM_Reject,
     /* 2521284 */ // Label 33529: @2521284
     /* 2521284 */ GIM_Reject,
     /* 2521285 */ // Label 33475: @2521285
     /* 2521285 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2522061),
     /* 2521290 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2521293 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2521296 */   GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2521397), // Rule ID 45188 //
     /* 2521301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2521304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2521307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2521313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2521329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2521333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2521337 */     // MIs[1] Operand 1
     /* 2521337 */     // No operand predicates
     /* 2521337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521341 */     // MIs[0] policy
     /* 2521341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2521346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521353 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2521353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521357 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521363 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2521370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2521379 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521396 */     // GIR_Coverage, 45188,
     /* 2521396 */     GIR_EraseRootFromParent_Done,
     /* 2521397 */   // Label 33539: @2521397
     /* 2521397 */   GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2521498), // Rule ID 45189 //
     /* 2521402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521418 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2521430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2521434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2521438 */     // MIs[1] Operand 1
     /* 2521438 */     // No operand predicates
     /* 2521438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521442 */     // MIs[0] policy
     /* 2521442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2521447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521454 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2521454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521458 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521464 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2521471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2521480 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521497 */     // GIR_Coverage, 45189,
     /* 2521497 */     GIR_EraseRootFromParent_Done,
     /* 2521498 */   // Label 33540: @2521498
     /* 2521498 */   GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2521599), // Rule ID 45260 //
     /* 2521503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2521506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2521509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2521515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2521531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2521535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2521539 */     // MIs[1] Operand 1
     /* 2521539 */     // No operand predicates
     /* 2521539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521543 */     // MIs[0] policy
     /* 2521543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2521548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521555 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2521555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521559 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521565 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2521572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521578 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2521581 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521598 */     // GIR_Coverage, 45260,
     /* 2521598 */     GIR_EraseRootFromParent_Done,
     /* 2521599 */   // Label 33541: @2521599
     /* 2521599 */   GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2521700), // Rule ID 45261 //
     /* 2521604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2521632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2521636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2521640 */     // MIs[1] Operand 1
     /* 2521640 */     // No operand predicates
     /* 2521640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521644 */     // MIs[0] policy
     /* 2521644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2521649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521656 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2521656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521660 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521666 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2521673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2521682 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521699 */     // GIR_Coverage, 45261,
     /* 2521699 */     GIR_EraseRootFromParent_Done,
     /* 2521700 */   // Label 33542: @2521700
     /* 2521700 */   GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2521790), // Rule ID 45190 //
     /* 2521705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2521708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2521711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2521717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521737 */     // MIs[0] policy
     /* 2521737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521747 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2521747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521751 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521757 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2521764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521772 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521789 */     // GIR_Coverage, 45190,
     /* 2521789 */     GIR_EraseRootFromParent_Done,
     /* 2521790 */   // Label 33543: @2521790
     /* 2521790 */   GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2521880), // Rule ID 45191 //
     /* 2521795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521827 */     // MIs[0] policy
     /* 2521827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521837 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2521837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521841 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521847 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2521854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521862 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521879 */     // GIR_Coverage, 45191,
     /* 2521879 */     GIR_EraseRootFromParent_Done,
     /* 2521880 */   // Label 33544: @2521880
     /* 2521880 */   GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2521970), // Rule ID 45262 //
     /* 2521885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2521888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2521891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2521897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2521913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2521917 */     // MIs[0] policy
     /* 2521917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2521920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2521927 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2521927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2521931 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2521937 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2521941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2521944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2521946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2521948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2521950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2521952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2521958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2521963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2521966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2521968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2521969 */     // GIR_Coverage, 45262,
     /* 2521969 */     GIR_EraseRootFromParent_Done,
     /* 2521970 */   // Label 33545: @2521970
     /* 2521970 */   GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2522060), // Rule ID 45263 //
     /* 2521975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2521978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2521981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2521984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2521987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2521991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2521999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2522003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522007 */     // MIs[0] policy
     /* 2522007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522017 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2522017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2522034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2522042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2522056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522059 */     // GIR_Coverage, 45263,
     /* 2522059 */     GIR_EraseRootFromParent_Done,
     /* 2522060 */   // Label 33546: @2522060
     /* 2522060 */   GIM_Reject,
     /* 2522061 */ // Label 33538: @2522061
     /* 2522061 */ GIM_Reject,
     /* 2522062 */ // Label 33476: @2522062
     /* 2522062 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2522838),
     /* 2522067 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2522070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2522073 */   GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2522174), // Rule ID 45232 //
     /* 2522078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2522081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2522084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2522090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522114 */     // MIs[1] Operand 1
     /* 2522114 */     // No operand predicates
     /* 2522114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522118 */     // MIs[0] policy
     /* 2522118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2522123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522130 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2522130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522134 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522140 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2522147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2522156 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522173 */     // GIR_Coverage, 45232,
     /* 2522173 */     GIR_EraseRootFromParent_Done,
     /* 2522174 */   // Label 33548: @2522174
     /* 2522174 */   GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2522275), // Rule ID 45233 //
     /* 2522179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2522182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2522185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2522191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522215 */     // MIs[1] Operand 1
     /* 2522215 */     // No operand predicates
     /* 2522215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522219 */     // MIs[0] policy
     /* 2522219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2522224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522231 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2522231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522235 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522241 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2522248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2522257 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522274 */     // GIR_Coverage, 45233,
     /* 2522274 */     GIR_EraseRootFromParent_Done,
     /* 2522275 */   // Label 33549: @2522275
     /* 2522275 */   GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2522376), // Rule ID 45292 //
     /* 2522280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2522283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2522286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2522292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522316 */     // MIs[1] Operand 1
     /* 2522316 */     // No operand predicates
     /* 2522316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522320 */     // MIs[0] policy
     /* 2522320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2522325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522332 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2522332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522336 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522342 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2522349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2522358 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522375 */     // GIR_Coverage, 45292,
     /* 2522375 */     GIR_EraseRootFromParent_Done,
     /* 2522376 */   // Label 33550: @2522376
     /* 2522376 */   GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2522477), // Rule ID 45293 //
     /* 2522381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2522384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2522387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2522393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522417 */     // MIs[1] Operand 1
     /* 2522417 */     // No operand predicates
     /* 2522417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522421 */     // MIs[0] policy
     /* 2522421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2522426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522433 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2522433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522437 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522443 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2522450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522456 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2522459 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522476 */     // GIR_Coverage, 45293,
     /* 2522476 */     GIR_EraseRootFromParent_Done,
     /* 2522477 */   // Label 33551: @2522477
     /* 2522477 */   GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2522567), // Rule ID 45234 //
     /* 2522482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2522485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2522488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2522494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522498 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2522510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522514 */     // MIs[0] policy
     /* 2522514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522524 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2522524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522528 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522534 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2522541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2522549 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522566 */     // GIR_Coverage, 45234,
     /* 2522566 */     GIR_EraseRootFromParent_Done,
     /* 2522567 */   // Label 33552: @2522567
     /* 2522567 */   GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2522657), // Rule ID 45235 //
     /* 2522572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2522575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2522578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2522584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2522600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522604 */     // MIs[0] policy
     /* 2522604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522614 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2522614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522618 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522624 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2522631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2522639 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522656 */     // GIR_Coverage, 45235,
     /* 2522656 */     GIR_EraseRootFromParent_Done,
     /* 2522657 */   // Label 33553: @2522657
     /* 2522657 */   GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2522747), // Rule ID 45294 //
     /* 2522662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2522665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2522668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2522674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522678 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2522690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522694 */     // MIs[0] policy
     /* 2522694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522704 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2522704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522708 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522714 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2522721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2522729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522746 */     // GIR_Coverage, 45294,
     /* 2522746 */     GIR_EraseRootFromParent_Done,
     /* 2522747 */   // Label 33554: @2522747
     /* 2522747 */   GIM_Try, /*On fail goto*//*Label 33555*/ GIMT_Encode4(2522837), // Rule ID 45295 //
     /* 2522752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2522755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2522758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2522761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2522764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2522768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2522776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2522780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522784 */     // MIs[0] policy
     /* 2522784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522794 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2522794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2522811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2522819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2522833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522836 */     // GIR_Coverage, 45295,
     /* 2522836 */     GIR_EraseRootFromParent_Done,
     /* 2522837 */   // Label 33555: @2522837
     /* 2522837 */   GIM_Reject,
     /* 2522838 */ // Label 33547: @2522838
     /* 2522838 */ GIM_Reject,
     /* 2522839 */ // Label 33477: @2522839
     /* 2522839 */ GIM_Try, /*On fail goto*//*Label 33556*/ GIMT_Encode4(2523233),
     /* 2522844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2522847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2522850 */   GIM_Try, /*On fail goto*//*Label 33557*/ GIMT_Encode4(2522951), // Rule ID 45164 //
     /* 2522855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2522858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2522861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2522864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2522867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2522871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2522875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2522879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522891 */     // MIs[1] Operand 1
     /* 2522891 */     // No operand predicates
     /* 2522891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522895 */     // MIs[0] policy
     /* 2522895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2522900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2522907 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2522907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2522911 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2522917 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2522921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2522924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2522926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2522928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2522930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2522933 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2522939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2522944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2522947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2522949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2522950 */     // GIR_Coverage, 45164,
     /* 2522950 */     GIR_EraseRootFromParent_Done,
     /* 2522951 */   // Label 33557: @2522951
     /* 2522951 */   GIM_Try, /*On fail goto*//*Label 33558*/ GIMT_Encode4(2523052), // Rule ID 45165 //
     /* 2522956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2522959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2522962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2522965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2522968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2522972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2522976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2522980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2522984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2522988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2522992 */     // MIs[1] Operand 1
     /* 2522992 */     // No operand predicates
     /* 2522992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2522996 */     // MIs[0] policy
     /* 2522996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2522999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2523001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523008 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523012 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523018 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2523025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2523034 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2523048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523051 */     // GIR_Coverage, 45165,
     /* 2523051 */     GIR_EraseRootFromParent_Done,
     /* 2523052 */   // Label 33558: @2523052
     /* 2523052 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2523142), // Rule ID 45166 //
     /* 2523057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2523060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2523063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2523069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523089 */     // MIs[0] policy
     /* 2523089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523099 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2523099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2523116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523124 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2523138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523141 */     // GIR_Coverage, 45166,
     /* 2523141 */     GIR_EraseRootFromParent_Done,
     /* 2523142 */   // Label 33559: @2523142
     /* 2523142 */   GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2523232), // Rule ID 45167 //
     /* 2523147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2523150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2523153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2523159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523179 */     // MIs[0] policy
     /* 2523179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523189 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523193 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523199 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2523206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523214 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2523228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523231 */     // GIR_Coverage, 45167,
     /* 2523231 */     GIR_EraseRootFromParent_Done,
     /* 2523232 */   // Label 33560: @2523232
     /* 2523232 */   GIM_Reject,
     /* 2523233 */ // Label 33556: @2523233
     /* 2523233 */ GIM_Reject,
     /* 2523234 */ // Label 33478: @2523234
     /* 2523234 */ GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2524010),
     /* 2523239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2523242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2523245 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2523346), // Rule ID 45184 //
     /* 2523250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2523253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2523256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2523262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2523278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2523282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2523286 */     // MIs[1] Operand 1
     /* 2523286 */     // No operand predicates
     /* 2523286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523290 */     // MIs[0] policy
     /* 2523290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2523295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523302 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2523302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523306 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523312 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2523319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2523328 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523345 */     // GIR_Coverage, 45184,
     /* 2523345 */     GIR_EraseRootFromParent_Done,
     /* 2523346 */   // Label 33562: @2523346
     /* 2523346 */   GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2523447), // Rule ID 45185 //
     /* 2523351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2523354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2523357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2523363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2523379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2523383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2523387 */     // MIs[1] Operand 1
     /* 2523387 */     // No operand predicates
     /* 2523387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523391 */     // MIs[0] policy
     /* 2523391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2523396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523403 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523407 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523413 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2523420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2523429 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523446 */     // GIR_Coverage, 45185,
     /* 2523446 */     GIR_EraseRootFromParent_Done,
     /* 2523447 */   // Label 33563: @2523447
     /* 2523447 */   GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2523548), // Rule ID 45256 //
     /* 2523452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2523455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2523458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2523464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2523480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2523484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2523488 */     // MIs[1] Operand 1
     /* 2523488 */     // No operand predicates
     /* 2523488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523492 */     // MIs[0] policy
     /* 2523492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2523497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523504 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2523504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523508 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523514 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2523521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2523530 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523547 */     // GIR_Coverage, 45256,
     /* 2523547 */     GIR_EraseRootFromParent_Done,
     /* 2523548 */   // Label 33564: @2523548
     /* 2523548 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2523649), // Rule ID 45257 //
     /* 2523553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2523556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2523559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2523565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2523581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2523585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2523589 */     // MIs[1] Operand 1
     /* 2523589 */     // No operand predicates
     /* 2523589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523593 */     // MIs[0] policy
     /* 2523593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2523598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523605 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523609 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523615 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2523622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2523631 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523648 */     // GIR_Coverage, 45257,
     /* 2523648 */     GIR_EraseRootFromParent_Done,
     /* 2523649 */   // Label 33565: @2523649
     /* 2523649 */   GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2523739), // Rule ID 45186 //
     /* 2523654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2523657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2523660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2523666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523686 */     // MIs[0] policy
     /* 2523686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523696 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2523696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523700 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523706 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2523713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523721 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523738 */     // GIR_Coverage, 45186,
     /* 2523738 */     GIR_EraseRootFromParent_Done,
     /* 2523739 */   // Label 33566: @2523739
     /* 2523739 */   GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2523829), // Rule ID 45187 //
     /* 2523744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2523747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2523750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2523756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523776 */     // MIs[0] policy
     /* 2523776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523786 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523790 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523796 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2523803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523811 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523828 */     // GIR_Coverage, 45187,
     /* 2523828 */     GIR_EraseRootFromParent_Done,
     /* 2523829 */   // Label 33567: @2523829
     /* 2523829 */   GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2523919), // Rule ID 45258 //
     /* 2523834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2523837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2523840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2523846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523866 */     // MIs[0] policy
     /* 2523866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523876 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2523876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523880 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2523893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2523912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2523915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2523917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2523918 */     // GIR_Coverage, 45258,
     /* 2523918 */     GIR_EraseRootFromParent_Done,
     /* 2523919 */   // Label 33568: @2523919
     /* 2523919 */   GIM_Try, /*On fail goto*//*Label 33569*/ GIMT_Encode4(2524009), // Rule ID 45259 //
     /* 2523924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2523927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2523930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2523933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2523936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2523940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2523948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2523952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2523956 */     // MIs[0] policy
     /* 2523956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2523959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2523966 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2523966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2523970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2523976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2523980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2523983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2523985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2523987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2523989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2523991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2523997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2524005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524008 */     // GIR_Coverage, 45259,
     /* 2524008 */     GIR_EraseRootFromParent_Done,
     /* 2524009 */   // Label 33569: @2524009
     /* 2524009 */   GIM_Reject,
     /* 2524010 */ // Label 33561: @2524010
     /* 2524010 */ GIM_Reject,
     /* 2524011 */ // Label 33479: @2524011
     /* 2524011 */ GIM_Try, /*On fail goto*//*Label 33570*/ GIMT_Encode4(2524787),
     /* 2524016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2524019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2524022 */   GIM_Try, /*On fail goto*//*Label 33571*/ GIMT_Encode4(2524123), // Rule ID 45220 //
     /* 2524027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2524030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2524033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2524039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524043 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524063 */     // MIs[1] Operand 1
     /* 2524063 */     // No operand predicates
     /* 2524063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524067 */     // MIs[0] policy
     /* 2524067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524079 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2524079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524083 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524089 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2524096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524105 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524122 */     // GIR_Coverage, 45220,
     /* 2524122 */     GIR_EraseRootFromParent_Done,
     /* 2524123 */   // Label 33571: @2524123
     /* 2524123 */   GIM_Try, /*On fail goto*//*Label 33572*/ GIMT_Encode4(2524224), // Rule ID 45221 //
     /* 2524128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2524131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2524134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2524140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524164 */     // MIs[1] Operand 1
     /* 2524164 */     // No operand predicates
     /* 2524164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524168 */     // MIs[0] policy
     /* 2524168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524180 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2524180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524184 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524190 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2524197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524206 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524223 */     // GIR_Coverage, 45221,
     /* 2524223 */     GIR_EraseRootFromParent_Done,
     /* 2524224 */   // Label 33572: @2524224
     /* 2524224 */   GIM_Try, /*On fail goto*//*Label 33573*/ GIMT_Encode4(2524325), // Rule ID 45280 //
     /* 2524229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2524232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2524235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2524241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524265 */     // MIs[1] Operand 1
     /* 2524265 */     // No operand predicates
     /* 2524265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524269 */     // MIs[0] policy
     /* 2524269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524272 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524281 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2524281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2524298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524307 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524324 */     // GIR_Coverage, 45280,
     /* 2524324 */     GIR_EraseRootFromParent_Done,
     /* 2524325 */   // Label 33573: @2524325
     /* 2524325 */   GIM_Try, /*On fail goto*//*Label 33574*/ GIMT_Encode4(2524426), // Rule ID 45281 //
     /* 2524330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2524333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2524336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2524342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524366 */     // MIs[1] Operand 1
     /* 2524366 */     // No operand predicates
     /* 2524366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524370 */     // MIs[0] policy
     /* 2524370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524382 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2524382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524386 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524392 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2524399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524408 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524425 */     // GIR_Coverage, 45281,
     /* 2524425 */     GIR_EraseRootFromParent_Done,
     /* 2524426 */   // Label 33574: @2524426
     /* 2524426 */   GIM_Try, /*On fail goto*//*Label 33575*/ GIMT_Encode4(2524516), // Rule ID 45222 //
     /* 2524431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2524434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2524437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2524443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2524459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524463 */     // MIs[0] policy
     /* 2524463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524473 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2524473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524477 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524483 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2524490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2524498 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524515 */     // GIR_Coverage, 45222,
     /* 2524515 */     GIR_EraseRootFromParent_Done,
     /* 2524516 */   // Label 33575: @2524516
     /* 2524516 */   GIM_Try, /*On fail goto*//*Label 33576*/ GIMT_Encode4(2524606), // Rule ID 45223 //
     /* 2524521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2524524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2524527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2524533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2524549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524553 */     // MIs[0] policy
     /* 2524553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524563 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2524563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524567 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524573 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2524580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2524588 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524605 */     // GIR_Coverage, 45223,
     /* 2524605 */     GIR_EraseRootFromParent_Done,
     /* 2524606 */   // Label 33576: @2524606
     /* 2524606 */   GIM_Try, /*On fail goto*//*Label 33577*/ GIMT_Encode4(2524696), // Rule ID 45282 //
     /* 2524611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2524614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2524617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2524623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2524639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524643 */     // MIs[0] policy
     /* 2524643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524653 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2524653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524657 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524663 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2524670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2524678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524695 */     // GIR_Coverage, 45282,
     /* 2524695 */     GIR_EraseRootFromParent_Done,
     /* 2524696 */   // Label 33577: @2524696
     /* 2524696 */   GIM_Try, /*On fail goto*//*Label 33578*/ GIMT_Encode4(2524786), // Rule ID 45283 //
     /* 2524701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2524704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2524707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2524713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2524717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2524725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2524729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524733 */     // MIs[0] policy
     /* 2524733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524743 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2524743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2524760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2524768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2524782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524785 */     // GIR_Coverage, 45283,
     /* 2524785 */     GIR_EraseRootFromParent_Done,
     /* 2524786 */   // Label 33578: @2524786
     /* 2524786 */   GIM_Reject,
     /* 2524787 */ // Label 33570: @2524787
     /* 2524787 */ GIM_Reject,
     /* 2524788 */ // Label 33480: @2524788
     /* 2524788 */ GIM_Try, /*On fail goto*//*Label 33579*/ GIMT_Encode4(2525564),
     /* 2524793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2524796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2524799 */   GIM_Try, /*On fail goto*//*Label 33580*/ GIMT_Encode4(2524900), // Rule ID 45236 //
     /* 2524804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2524807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2524810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2524816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2524820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2524824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2524828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524840 */     // MIs[1] Operand 1
     /* 2524840 */     // No operand predicates
     /* 2524840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524844 */     // MIs[0] policy
     /* 2524844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524856 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2524856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524860 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2524873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524882 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2524896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2524899 */     // GIR_Coverage, 45236,
     /* 2524899 */     GIR_EraseRootFromParent_Done,
     /* 2524900 */   // Label 33580: @2524900
     /* 2524900 */   GIM_Try, /*On fail goto*//*Label 33581*/ GIMT_Encode4(2525001), // Rule ID 45237 //
     /* 2524905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2524908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2524911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2524914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2524917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2524921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2524925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2524929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2524933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2524937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2524941 */     // MIs[1] Operand 1
     /* 2524941 */     // No operand predicates
     /* 2524941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2524945 */     // MIs[0] policy
     /* 2524945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2524948 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2524950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2524957 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2524957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2524961 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2524967 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2524971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2524974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2524976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2524978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2524980 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2524983 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2524989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2524994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2524997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2524999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525000 */     // GIR_Coverage, 45237,
     /* 2525000 */     GIR_EraseRootFromParent_Done,
     /* 2525001 */   // Label 33581: @2525001
     /* 2525001 */   GIM_Try, /*On fail goto*//*Label 33582*/ GIMT_Encode4(2525102), // Rule ID 45296 //
     /* 2525006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2525009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2525034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2525038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2525042 */     // MIs[1] Operand 1
     /* 2525042 */     // No operand predicates
     /* 2525042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525046 */     // MIs[0] policy
     /* 2525046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2525051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525058 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2525058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2525075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2525084 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525101 */     // GIR_Coverage, 45296,
     /* 2525101 */     GIR_EraseRootFromParent_Done,
     /* 2525102 */   // Label 33582: @2525102
     /* 2525102 */   GIM_Try, /*On fail goto*//*Label 33583*/ GIMT_Encode4(2525203), // Rule ID 45297 //
     /* 2525107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2525110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2525113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2525119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2525135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2525139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2525143 */     // MIs[1] Operand 1
     /* 2525143 */     // No operand predicates
     /* 2525143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525147 */     // MIs[0] policy
     /* 2525147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2525152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525159 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2525159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525163 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525169 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2525176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2525185 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525202 */     // GIR_Coverage, 45297,
     /* 2525202 */     GIR_EraseRootFromParent_Done,
     /* 2525203 */   // Label 33583: @2525203
     /* 2525203 */   GIM_Try, /*On fail goto*//*Label 33584*/ GIMT_Encode4(2525293), // Rule ID 45238 //
     /* 2525208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2525211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525240 */     // MIs[0] policy
     /* 2525240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525250 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2525250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525254 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525260 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2525267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525275 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525292 */     // GIR_Coverage, 45238,
     /* 2525292 */     GIR_EraseRootFromParent_Done,
     /* 2525293 */   // Label 33584: @2525293
     /* 2525293 */   GIM_Try, /*On fail goto*//*Label 33585*/ GIMT_Encode4(2525383), // Rule ID 45239 //
     /* 2525298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2525301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2525304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2525310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525330 */     // MIs[0] policy
     /* 2525330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525340 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2525340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525344 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525350 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2525357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525365 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525382 */     // GIR_Coverage, 45239,
     /* 2525382 */     GIR_EraseRootFromParent_Done,
     /* 2525383 */   // Label 33585: @2525383
     /* 2525383 */   GIM_Try, /*On fail goto*//*Label 33586*/ GIMT_Encode4(2525473), // Rule ID 45298 //
     /* 2525388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2525391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525420 */     // MIs[0] policy
     /* 2525420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525430 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2525430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525434 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525440 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2525447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525472 */     // GIR_Coverage, 45298,
     /* 2525472 */     GIR_EraseRootFromParent_Done,
     /* 2525473 */   // Label 33586: @2525473
     /* 2525473 */   GIM_Try, /*On fail goto*//*Label 33587*/ GIMT_Encode4(2525563), // Rule ID 45299 //
     /* 2525478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2525481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2525484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2525487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2525490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2525494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2525502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525510 */     // MIs[0] policy
     /* 2525510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525520 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2525520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2525537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2525559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525562 */     // GIR_Coverage, 45299,
     /* 2525562 */     GIR_EraseRootFromParent_Done,
     /* 2525563 */   // Label 33587: @2525563
     /* 2525563 */   GIM_Reject,
     /* 2525564 */ // Label 33579: @2525564
     /* 2525564 */ GIM_Reject,
     /* 2525565 */ // Label 33481: @2525565
     /* 2525565 */ GIM_Try, /*On fail goto*//*Label 33588*/ GIMT_Encode4(2525959),
     /* 2525570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2525573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2525576 */   GIM_Try, /*On fail goto*//*Label 33589*/ GIMT_Encode4(2525677), // Rule ID 45180 //
     /* 2525581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2525584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2525590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2525597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2525609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2525613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2525617 */     // MIs[1] Operand 1
     /* 2525617 */     // No operand predicates
     /* 2525617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525621 */     // MIs[0] policy
     /* 2525621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2525626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525633 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2525633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525637 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525643 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2525650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2525659 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2525673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525676 */     // GIR_Coverage, 45180,
     /* 2525676 */     GIR_EraseRootFromParent_Done,
     /* 2525677 */   // Label 33589: @2525677
     /* 2525677 */   GIM_Try, /*On fail goto*//*Label 33590*/ GIMT_Encode4(2525778), // Rule ID 45181 //
     /* 2525682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2525685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2525688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2525691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2525694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2525698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2525710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2525714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2525718 */     // MIs[1] Operand 1
     /* 2525718 */     // No operand predicates
     /* 2525718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525722 */     // MIs[0] policy
     /* 2525722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2525727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525734 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2525734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525738 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525744 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2525751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2525760 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2525774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525777 */     // GIR_Coverage, 45181,
     /* 2525777 */     GIR_EraseRootFromParent_Done,
     /* 2525778 */   // Label 33590: @2525778
     /* 2525778 */   GIM_Try, /*On fail goto*//*Label 33591*/ GIMT_Encode4(2525868), // Rule ID 45182 //
     /* 2525783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2525786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2525792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2525799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525815 */     // MIs[0] policy
     /* 2525815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525825 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2525825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2525842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525850 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2525864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525867 */     // GIR_Coverage, 45182,
     /* 2525867 */     GIR_EraseRootFromParent_Done,
     /* 2525868 */   // Label 33591: @2525868
     /* 2525868 */   GIM_Try, /*On fail goto*//*Label 33592*/ GIMT_Encode4(2525958), // Rule ID 45183 //
     /* 2525873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2525876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2525879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2525882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2525885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2525889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2525897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2525901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2525905 */     // MIs[0] policy
     /* 2525905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2525908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2525915 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2525915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2525919 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2525925 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2525929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2525932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2525934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2525936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2525938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2525940 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2525946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2525951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2525954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2525956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2525957 */     // GIR_Coverage, 45183,
     /* 2525957 */     GIR_EraseRootFromParent_Done,
     /* 2525958 */   // Label 33592: @2525958
     /* 2525958 */   GIM_Reject,
     /* 2525959 */ // Label 33588: @2525959
     /* 2525959 */ GIM_Reject,
     /* 2525960 */ // Label 33482: @2525960
     /* 2525960 */ GIM_Try, /*On fail goto*//*Label 33593*/ GIMT_Encode4(2526736),
     /* 2525965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2525968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2525971 */   GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2526072), // Rule ID 45208 //
     /* 2525976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2525979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2525982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2525985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2525988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2525992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2525996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526012 */     // MIs[1] Operand 1
     /* 2526012 */     // No operand predicates
     /* 2526012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526016 */     // MIs[0] policy
     /* 2526016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526028 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2526028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526032 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526038 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2526045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526054 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526071 */     // GIR_Coverage, 45208,
     /* 2526071 */     GIR_EraseRootFromParent_Done,
     /* 2526072 */   // Label 33594: @2526072
     /* 2526072 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2526173), // Rule ID 45209 //
     /* 2526077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2526080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2526083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2526089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526113 */     // MIs[1] Operand 1
     /* 2526113 */     // No operand predicates
     /* 2526113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526117 */     // MIs[0] policy
     /* 2526117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526129 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2526129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526133 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526139 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2526146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526155 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526172 */     // GIR_Coverage, 45209,
     /* 2526172 */     GIR_EraseRootFromParent_Done,
     /* 2526173 */   // Label 33595: @2526173
     /* 2526173 */   GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2526274), // Rule ID 45268 //
     /* 2526178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2526181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2526184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2526190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526194 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526210 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526214 */     // MIs[1] Operand 1
     /* 2526214 */     // No operand predicates
     /* 2526214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526218 */     // MIs[0] policy
     /* 2526218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526230 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2526230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526234 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526240 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2526247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526256 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526273 */     // GIR_Coverage, 45268,
     /* 2526273 */     GIR_EraseRootFromParent_Done,
     /* 2526274 */   // Label 33596: @2526274
     /* 2526274 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2526375), // Rule ID 45269 //
     /* 2526279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2526282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2526285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2526291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526315 */     // MIs[1] Operand 1
     /* 2526315 */     // No operand predicates
     /* 2526315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526319 */     // MIs[0] policy
     /* 2526319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526331 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2526331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526335 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526341 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2526348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526354 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526357 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526374 */     // GIR_Coverage, 45269,
     /* 2526374 */     GIR_EraseRootFromParent_Done,
     /* 2526375 */   // Label 33597: @2526375
     /* 2526375 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2526465), // Rule ID 45210 //
     /* 2526380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2526383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2526386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2526392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2526408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526412 */     // MIs[0] policy
     /* 2526412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526422 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2526422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526426 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526432 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2526439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2526447 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526464 */     // GIR_Coverage, 45210,
     /* 2526464 */     GIR_EraseRootFromParent_Done,
     /* 2526465 */   // Label 33598: @2526465
     /* 2526465 */   GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2526555), // Rule ID 45211 //
     /* 2526470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2526473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2526476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2526482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2526498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526502 */     // MIs[0] policy
     /* 2526502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526512 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2526512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526516 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526522 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2526529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2526537 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526554 */     // GIR_Coverage, 45211,
     /* 2526554 */     GIR_EraseRootFromParent_Done,
     /* 2526555 */   // Label 33599: @2526555
     /* 2526555 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2526645), // Rule ID 45270 //
     /* 2526560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2526563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2526566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2526572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2526588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526592 */     // MIs[0] policy
     /* 2526592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526602 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2526602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526606 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526612 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2526619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2526627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526644 */     // GIR_Coverage, 45270,
     /* 2526644 */     GIR_EraseRootFromParent_Done,
     /* 2526645 */   // Label 33600: @2526645
     /* 2526645 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2526735), // Rule ID 45271 //
     /* 2526650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2526653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2526656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2526662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2526666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2526674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2526678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526682 */     // MIs[0] policy
     /* 2526682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526692 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2526692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2526709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2526717 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2526731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526734 */     // GIR_Coverage, 45271,
     /* 2526734 */     GIR_EraseRootFromParent_Done,
     /* 2526735 */   // Label 33601: @2526735
     /* 2526735 */   GIM_Reject,
     /* 2526736 */ // Label 33593: @2526736
     /* 2526736 */ GIM_Reject,
     /* 2526737 */ // Label 33483: @2526737
     /* 2526737 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2527513),
     /* 2526742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2526745 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2526748 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2526849), // Rule ID 45224 //
     /* 2526753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2526756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2526759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2526765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2526769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526789 */     // MIs[1] Operand 1
     /* 2526789 */     // No operand predicates
     /* 2526789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526793 */     // MIs[0] policy
     /* 2526793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526796 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526805 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2526805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526809 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526815 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2526822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526831 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2526845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526848 */     // GIR_Coverage, 45224,
     /* 2526848 */     GIR_EraseRootFromParent_Done,
     /* 2526849 */   // Label 33603: @2526849
     /* 2526849 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2526950), // Rule ID 45225 //
     /* 2526854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2526857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2526860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2526866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2526870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526890 */     // MIs[1] Operand 1
     /* 2526890 */     // No operand predicates
     /* 2526890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526894 */     // MIs[0] policy
     /* 2526894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2526899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2526906 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2526906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2526910 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2526916 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2526920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2526923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2526925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2526927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2526929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2526932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2526938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2526943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2526946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2526948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2526949 */     // GIR_Coverage, 45225,
     /* 2526949 */     GIR_EraseRootFromParent_Done,
     /* 2526950 */   // Label 33604: @2526950
     /* 2526950 */   GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2527051), // Rule ID 45284 //
     /* 2526955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2526958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2526961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2526964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2526967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2526971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2526979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2526983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2526987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2526991 */     // MIs[1] Operand 1
     /* 2526991 */     // No operand predicates
     /* 2526991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2526995 */     // MIs[0] policy
     /* 2526995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2526998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527007 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2527024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527033 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527050 */     // GIR_Coverage, 45284,
     /* 2527050 */     GIR_EraseRootFromParent_Done,
     /* 2527051 */   // Label 33605: @2527051
     /* 2527051 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2527152), // Rule ID 45285 //
     /* 2527056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2527059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2527062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2527068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2527072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2527084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2527088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2527092 */     // MIs[1] Operand 1
     /* 2527092 */     // No operand predicates
     /* 2527092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527096 */     // MIs[0] policy
     /* 2527096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527108 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2527108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527112 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527118 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2527125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527134 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527151 */     // GIR_Coverage, 45285,
     /* 2527151 */     GIR_EraseRootFromParent_Done,
     /* 2527152 */   // Label 33606: @2527152
     /* 2527152 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2527242), // Rule ID 45226 //
     /* 2527157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2527160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2527163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2527169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2527173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2527185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527189 */     // MIs[0] policy
     /* 2527189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527199 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527203 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527209 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2527216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2527224 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527241 */     // GIR_Coverage, 45226,
     /* 2527241 */     GIR_EraseRootFromParent_Done,
     /* 2527242 */   // Label 33607: @2527242
     /* 2527242 */   GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2527332), // Rule ID 45227 //
     /* 2527247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2527250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2527253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2527259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2527263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2527275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527279 */     // MIs[0] policy
     /* 2527279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527289 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2527289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527293 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527299 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2527306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2527314 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527331 */     // GIR_Coverage, 45227,
     /* 2527331 */     GIR_EraseRootFromParent_Done,
     /* 2527332 */   // Label 33608: @2527332
     /* 2527332 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2527422), // Rule ID 45286 //
     /* 2527337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2527340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2527343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2527349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2527353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2527365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527369 */     // MIs[0] policy
     /* 2527369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527379 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527383 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527389 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2527396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2527404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527421 */     // GIR_Coverage, 45286,
     /* 2527421 */     GIR_EraseRootFromParent_Done,
     /* 2527422 */   // Label 33609: @2527422
     /* 2527422 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2527512), // Rule ID 45287 //
     /* 2527427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2527430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2527433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2527439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2527443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2527451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2527455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527459 */     // MIs[0] policy
     /* 2527459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527469 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2527469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2527486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2527494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2527508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527511 */     // GIR_Coverage, 45287,
     /* 2527511 */     GIR_EraseRootFromParent_Done,
     /* 2527512 */   // Label 33610: @2527512
     /* 2527512 */   GIM_Reject,
     /* 2527513 */ // Label 33602: @2527513
     /* 2527513 */ GIM_Reject,
     /* 2527514 */ // Label 33484: @2527514
     /* 2527514 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2528290),
     /* 2527519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2527522 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2527525 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2527626), // Rule ID 45240 //
     /* 2527530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2527533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2527536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2527542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2527546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2527558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2527562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2527566 */     // MIs[1] Operand 1
     /* 2527566 */     // No operand predicates
     /* 2527566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527570 */     // MIs[0] policy
     /* 2527570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527582 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527582 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527586 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527592 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2527599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527608 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2527622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527625 */     // GIR_Coverage, 45240,
     /* 2527625 */     GIR_EraseRootFromParent_Done,
     /* 2527626 */   // Label 33612: @2527626
     /* 2527626 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2527727), // Rule ID 45241 //
     /* 2527631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2527634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2527637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2527643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2527647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2527659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2527663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2527667 */     // MIs[1] Operand 1
     /* 2527667 */     // No operand predicates
     /* 2527667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527671 */     // MIs[0] policy
     /* 2527671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527683 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2527683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527687 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527693 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2527700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527709 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2527723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527726 */     // GIR_Coverage, 45241,
     /* 2527726 */     GIR_EraseRootFromParent_Done,
     /* 2527727 */   // Label 33613: @2527727
     /* 2527727 */   GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2527828), // Rule ID 45300 //
     /* 2527732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2527735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2527738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2527744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2527748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2527760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2527764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2527768 */     // MIs[1] Operand 1
     /* 2527768 */     // No operand predicates
     /* 2527768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527772 */     // MIs[0] policy
     /* 2527772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527784 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2527801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527810 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2527824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527827 */     // GIR_Coverage, 45300,
     /* 2527827 */     GIR_EraseRootFromParent_Done,
     /* 2527828 */   // Label 33614: @2527828
     /* 2527828 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2527929), // Rule ID 45301 //
     /* 2527833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2527836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2527839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2527845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2527849 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2527861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2527865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2527869 */     // MIs[1] Operand 1
     /* 2527869 */     // No operand predicates
     /* 2527869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527873 */     // MIs[0] policy
     /* 2527873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2527878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527885 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2527885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527889 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527895 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2527902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2527911 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2527917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2527922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2527925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2527927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2527928 */     // GIR_Coverage, 45301,
     /* 2527928 */     GIR_EraseRootFromParent_Done,
     /* 2527929 */   // Label 33615: @2527929
     /* 2527929 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2528019), // Rule ID 45242 //
     /* 2527934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2527937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2527940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2527943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2527946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2527950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2527958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2527962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2527966 */     // MIs[0] policy
     /* 2527966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2527969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2527976 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2527976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2527980 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2527986 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2527990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2527993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2527995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2527997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2527999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528001 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2528015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528018 */     // GIR_Coverage, 45242,
     /* 2528018 */     GIR_EraseRootFromParent_Done,
     /* 2528019 */   // Label 33616: @2528019
     /* 2528019 */   GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2528109), // Rule ID 45243 //
     /* 2528024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2528027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2528030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2528033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2528036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2528040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2528052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528056 */     // MIs[0] policy
     /* 2528056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528066 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2528066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528070 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528076 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2528083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528091 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2528105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528108 */     // GIR_Coverage, 45243,
     /* 2528108 */     GIR_EraseRootFromParent_Done,
     /* 2528109 */   // Label 33617: @2528109
     /* 2528109 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2528199), // Rule ID 45302 //
     /* 2528114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2528117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2528120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2528123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2528126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2528130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2528142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528146 */     // MIs[0] policy
     /* 2528146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528156 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2528156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528160 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528166 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2528173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528181 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2528195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528198 */     // GIR_Coverage, 45302,
     /* 2528198 */     GIR_EraseRootFromParent_Done,
     /* 2528199 */   // Label 33618: @2528199
     /* 2528199 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2528289), // Rule ID 45303 //
     /* 2528204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2528207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2528210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2528213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2528216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2528220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2528228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2528232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528236 */     // MIs[0] policy
     /* 2528236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528246 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2528246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528250 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528256 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2528263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528271 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2528285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528288 */     // GIR_Coverage, 45303,
     /* 2528288 */     GIR_EraseRootFromParent_Done,
     /* 2528289 */   // Label 33619: @2528289
     /* 2528289 */   GIM_Reject,
     /* 2528290 */ // Label 33611: @2528290
     /* 2528290 */ GIM_Reject,
     /* 2528291 */ // Label 33485: @2528291
     /* 2528291 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2528685),
     /* 2528296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2528299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2528302 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2528403), // Rule ID 45196 //
     /* 2528307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2528310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2528313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2528319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2528323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2528335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2528339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2528343 */     // MIs[1] Operand 1
     /* 2528343 */     // No operand predicates
     /* 2528343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528347 */     // MIs[0] policy
     /* 2528347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2528352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528359 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2528359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528363 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528369 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2528376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2528385 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2528399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528402 */     // GIR_Coverage, 45196,
     /* 2528402 */     GIR_EraseRootFromParent_Done,
     /* 2528403 */   // Label 33621: @2528403
     /* 2528403 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2528504), // Rule ID 45197 //
     /* 2528408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2528411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2528414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2528420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2528424 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2528436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2528440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2528444 */     // MIs[1] Operand 1
     /* 2528444 */     // No operand predicates
     /* 2528444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528448 */     // MIs[0] policy
     /* 2528448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2528453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528460 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2528460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528464 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528470 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2528477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2528486 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2528500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528503 */     // GIR_Coverage, 45197,
     /* 2528503 */     GIR_EraseRootFromParent_Done,
     /* 2528504 */   // Label 33622: @2528504
     /* 2528504 */   GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2528594), // Rule ID 45198 //
     /* 2528509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2528512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2528515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2528521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2528525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2528537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528541 */     // MIs[0] policy
     /* 2528541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528551 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2528551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2528568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2528590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528593 */     // GIR_Coverage, 45198,
     /* 2528593 */     GIR_EraseRootFromParent_Done,
     /* 2528594 */   // Label 33623: @2528594
     /* 2528594 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2528684), // Rule ID 45199 //
     /* 2528599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2528602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2528605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2528611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2528615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2528623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2528627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528631 */     // MIs[0] policy
     /* 2528631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528641 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2528641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2528658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2528666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2528680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528683 */     // GIR_Coverage, 45199,
     /* 2528683 */     GIR_EraseRootFromParent_Done,
     /* 2528684 */   // Label 33624: @2528684
     /* 2528684 */   GIM_Reject,
     /* 2528685 */ // Label 33620: @2528685
     /* 2528685 */ GIM_Reject,
     /* 2528686 */ // Label 33486: @2528686
     /* 2528686 */ GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2529462),
     /* 2528691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2528694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2528697 */   GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2528798), // Rule ID 45212 //
     /* 2528702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2528705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2528708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2528714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2528718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2528730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2528734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2528738 */     // MIs[1] Operand 1
     /* 2528738 */     // No operand predicates
     /* 2528738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528742 */     // MIs[0] policy
     /* 2528742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528745 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2528747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528754 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2528754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528758 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528764 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2528771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2528780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2528794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528797 */     // GIR_Coverage, 45212,
     /* 2528797 */     GIR_EraseRootFromParent_Done,
     /* 2528798 */   // Label 33626: @2528798
     /* 2528798 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2528899), // Rule ID 45213 //
     /* 2528803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2528806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2528809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2528815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2528819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2528831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2528835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2528839 */     // MIs[1] Operand 1
     /* 2528839 */     // No operand predicates
     /* 2528839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528843 */     // MIs[0] policy
     /* 2528843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2528848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528855 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2528855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528859 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528865 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2528872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2528881 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2528895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528898 */     // GIR_Coverage, 45213,
     /* 2528898 */     GIR_EraseRootFromParent_Done,
     /* 2528899 */   // Label 33627: @2528899
     /* 2528899 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2529000), // Rule ID 45272 //
     /* 2528904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2528907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2528910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2528913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2528916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2528920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2528928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2528932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2528936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2528940 */     // MIs[1] Operand 1
     /* 2528940 */     // No operand predicates
     /* 2528940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2528944 */     // MIs[0] policy
     /* 2528944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2528947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2528949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2528956 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2528956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2528960 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2528966 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2528970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2528973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2528975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2528977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2528979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2528982 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2528988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2528993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2528996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2528998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2528999 */     // GIR_Coverage, 45272,
     /* 2528999 */     GIR_EraseRootFromParent_Done,
     /* 2529000 */   // Label 33628: @2529000
     /* 2529000 */   GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2529101), // Rule ID 45273 //
     /* 2529005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2529021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2529033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2529037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2529041 */     // MIs[1] Operand 1
     /* 2529041 */     // No operand predicates
     /* 2529041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529045 */     // MIs[0] policy
     /* 2529045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2529050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529057 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2529057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529061 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529067 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2529074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2529083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2529097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529100 */     // GIR_Coverage, 45273,
     /* 2529100 */     GIR_EraseRootFromParent_Done,
     /* 2529101 */   // Label 33629: @2529101
     /* 2529101 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2529191), // Rule ID 45214 //
     /* 2529106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2529109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2529112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2529118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2529122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2529134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529138 */     // MIs[0] policy
     /* 2529138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529148 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2529148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529152 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529158 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2529165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2529173 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2529187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529190 */     // GIR_Coverage, 45214,
     /* 2529190 */     GIR_EraseRootFromParent_Done,
     /* 2529191 */   // Label 33630: @2529191
     /* 2529191 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2529281), // Rule ID 45215 //
     /* 2529196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2529212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2529224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529228 */     // MIs[0] policy
     /* 2529228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529238 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2529238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529242 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2529255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2529263 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2529277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529280 */     // GIR_Coverage, 45215,
     /* 2529280 */     GIR_EraseRootFromParent_Done,
     /* 2529281 */   // Label 33631: @2529281
     /* 2529281 */   GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2529371), // Rule ID 45274 //
     /* 2529286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2529289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2529292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2529298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2529302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2529314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529318 */     // MIs[0] policy
     /* 2529318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529328 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2529328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2529345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2529353 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2529367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529370 */     // GIR_Coverage, 45274,
     /* 2529370 */     GIR_EraseRootFromParent_Done,
     /* 2529371 */   // Label 33632: @2529371
     /* 2529371 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2529461), // Rule ID 45275 //
     /* 2529376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2529392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2529400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2529404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529408 */     // MIs[0] policy
     /* 2529408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529418 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2529418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529422 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2529435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2529443 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2529457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529460 */     // GIR_Coverage, 45275,
     /* 2529460 */     GIR_EraseRootFromParent_Done,
     /* 2529461 */   // Label 33633: @2529461
     /* 2529461 */   GIM_Reject,
     /* 2529462 */ // Label 33625: @2529462
     /* 2529462 */ GIM_Reject,
     /* 2529463 */ // Label 33487: @2529463
     /* 2529463 */ GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2530239),
     /* 2529468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2529471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2529474 */   GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2529575), // Rule ID 45228 //
     /* 2529479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2529482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2529485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2529491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2529507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2529511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2529515 */     // MIs[1] Operand 1
     /* 2529515 */     // No operand predicates
     /* 2529515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529519 */     // MIs[0] policy
     /* 2529519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2529524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529531 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2529531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529535 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529541 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2529548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2529557 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2529571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529574 */     // GIR_Coverage, 45228,
     /* 2529574 */     GIR_EraseRootFromParent_Done,
     /* 2529575 */   // Label 33635: @2529575
     /* 2529575 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2529676), // Rule ID 45229 //
     /* 2529580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2529608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2529612 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2529616 */     // MIs[1] Operand 1
     /* 2529616 */     // No operand predicates
     /* 2529616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529620 */     // MIs[0] policy
     /* 2529620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2529625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529632 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2529632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529636 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529642 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2529649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2529658 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2529672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529675 */     // GIR_Coverage, 45229,
     /* 2529675 */     GIR_EraseRootFromParent_Done,
     /* 2529676 */   // Label 33636: @2529676
     /* 2529676 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2529777), // Rule ID 45288 //
     /* 2529681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2529684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2529687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2529693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2529709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2529713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2529717 */     // MIs[1] Operand 1
     /* 2529717 */     // No operand predicates
     /* 2529717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529721 */     // MIs[0] policy
     /* 2529721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2529726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529733 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2529733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2529750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2529759 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2529773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529776 */     // GIR_Coverage, 45288,
     /* 2529776 */     GIR_EraseRootFromParent_Done,
     /* 2529777 */   // Label 33637: @2529777
     /* 2529777 */   GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2529878), // Rule ID 45289 //
     /* 2529782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2529810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2529814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2529818 */     // MIs[1] Operand 1
     /* 2529818 */     // No operand predicates
     /* 2529818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529822 */     // MIs[0] policy
     /* 2529822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2529827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529834 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2529834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529838 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529844 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2529851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2529860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2529874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529877 */     // GIR_Coverage, 45289,
     /* 2529877 */     GIR_EraseRootFromParent_Done,
     /* 2529878 */   // Label 33638: @2529878
     /* 2529878 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2529968), // Rule ID 45230 //
     /* 2529883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2529886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2529889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2529895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2529911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2529915 */     // MIs[0] policy
     /* 2529915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2529918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2529925 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2529925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2529929 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2529935 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2529939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2529942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2529944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2529946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2529948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2529950 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2529956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2529961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2529964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2529966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2529967 */     // GIR_Coverage, 45230,
     /* 2529967 */     GIR_EraseRootFromParent_Done,
     /* 2529968 */   // Label 33639: @2529968
     /* 2529968 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2530058), // Rule ID 45231 //
     /* 2529973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2529976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2529979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2529982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2529985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2529989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2529997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2530001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530005 */     // MIs[0] policy
     /* 2530005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530015 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2530015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530019 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530025 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2530032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2530040 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2530054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530057 */     // GIR_Coverage, 45231,
     /* 2530057 */     GIR_EraseRootFromParent_Done,
     /* 2530058 */   // Label 33640: @2530058
     /* 2530058 */   GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2530148), // Rule ID 45290 //
     /* 2530063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2530066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2530069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2530072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2530075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2530091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530095 */     // MIs[0] policy
     /* 2530095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530105 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2530105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530109 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2530122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2530130 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2530144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530147 */     // GIR_Coverage, 45290,
     /* 2530147 */     GIR_EraseRootFromParent_Done,
     /* 2530148 */   // Label 33641: @2530148
     /* 2530148 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2530238), // Rule ID 45291 //
     /* 2530153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2530156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2530159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2530162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2530165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2530181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530185 */     // MIs[0] policy
     /* 2530185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530195 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2530195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530199 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530205 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2530212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2530220 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2530234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530237 */     // GIR_Coverage, 45291,
     /* 2530237 */     GIR_EraseRootFromParent_Done,
     /* 2530238 */   // Label 33642: @2530238
     /* 2530238 */   GIM_Reject,
     /* 2530239 */ // Label 33634: @2530239
     /* 2530239 */ GIM_Reject,
     /* 2530240 */ // Label 33488: @2530240
     /* 2530240 */ GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2530634),
     /* 2530245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2530248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2530251 */   GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2530352), // Rule ID 45200 //
     /* 2530256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2530259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2530262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2530268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2530272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530292 */     // MIs[1] Operand 1
     /* 2530292 */     // No operand predicates
     /* 2530292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530296 */     // MIs[0] policy
     /* 2530296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530308 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2530308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530312 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530318 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2530325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2530334 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2530348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530351 */     // GIR_Coverage, 45200,
     /* 2530351 */     GIR_EraseRootFromParent_Done,
     /* 2530352 */   // Label 33644: @2530352
     /* 2530352 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2530453), // Rule ID 45201 //
     /* 2530357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2530360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2530363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2530369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2530373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530393 */     // MIs[1] Operand 1
     /* 2530393 */     // No operand predicates
     /* 2530393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530397 */     // MIs[0] policy
     /* 2530397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530409 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2530409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530413 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530419 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2530426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2530435 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2530449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530452 */     // GIR_Coverage, 45201,
     /* 2530452 */     GIR_EraseRootFromParent_Done,
     /* 2530453 */   // Label 33645: @2530453
     /* 2530453 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2530543), // Rule ID 45202 //
     /* 2530458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2530461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2530464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2530470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2530474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2530486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530490 */     // MIs[0] policy
     /* 2530490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530500 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2530500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2530517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2530525 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2530539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530542 */     // GIR_Coverage, 45202,
     /* 2530542 */     GIR_EraseRootFromParent_Done,
     /* 2530543 */   // Label 33646: @2530543
     /* 2530543 */   GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2530633), // Rule ID 45203 //
     /* 2530548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2530551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2530554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2530560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2530564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2530572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2530576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530580 */     // MIs[0] policy
     /* 2530580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530590 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2530590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530594 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530600 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2530607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2530615 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2530629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530632 */     // GIR_Coverage, 45203,
     /* 2530632 */     GIR_EraseRootFromParent_Done,
     /* 2530633 */   // Label 33647: @2530633
     /* 2530633 */   GIM_Reject,
     /* 2530634 */ // Label 33643: @2530634
     /* 2530634 */ GIM_Reject,
     /* 2530635 */ // Label 33489: @2530635
     /* 2530635 */ GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2531411),
     /* 2530640 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2530643 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2530646 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2530747), // Rule ID 45216 //
     /* 2530651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2530654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2530657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2530663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530687 */     // MIs[1] Operand 1
     /* 2530687 */     // No operand predicates
     /* 2530687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530691 */     // MIs[0] policy
     /* 2530691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530703 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2530703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2530720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2530729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2530743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530746 */     // GIR_Coverage, 45216,
     /* 2530746 */     GIR_EraseRootFromParent_Done,
     /* 2530747 */   // Label 33649: @2530747
     /* 2530747 */   GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2530848), // Rule ID 45217 //
     /* 2530752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2530755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2530758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2530764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530788 */     // MIs[1] Operand 1
     /* 2530788 */     // No operand predicates
     /* 2530788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530792 */     // MIs[0] policy
     /* 2530792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530804 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2530804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530808 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530814 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2530821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2530830 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2530844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530847 */     // GIR_Coverage, 45217,
     /* 2530847 */     GIR_EraseRootFromParent_Done,
     /* 2530848 */   // Label 33650: @2530848
     /* 2530848 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2530949), // Rule ID 45276 //
     /* 2530853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2530856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2530859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2530865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530889 */     // MIs[1] Operand 1
     /* 2530889 */     // No operand predicates
     /* 2530889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530893 */     // MIs[0] policy
     /* 2530893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2530905 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2530905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2530909 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2530915 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2530919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2530922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2530924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2530926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2530928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2530931 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2530937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2530942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2530945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2530947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2530948 */     // GIR_Coverage, 45276,
     /* 2530948 */     GIR_EraseRootFromParent_Done,
     /* 2530949 */   // Label 33651: @2530949
     /* 2530949 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2531050), // Rule ID 45277 //
     /* 2530954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2530957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2530960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2530963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2530966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2530970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2530978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2530982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2530986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2530990 */     // MIs[1] Operand 1
     /* 2530990 */     // No operand predicates
     /* 2530990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2530994 */     // MIs[0] policy
     /* 2530994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2530997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2530999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531006 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2531006 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531010 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531016 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2531023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2531032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2531046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531049 */     // GIR_Coverage, 45277,
     /* 2531049 */     GIR_EraseRootFromParent_Done,
     /* 2531050 */   // Label 33652: @2531050
     /* 2531050 */   GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2531140), // Rule ID 45218 //
     /* 2531055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2531058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2531061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2531064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2531067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531087 */     // MIs[0] policy
     /* 2531087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531097 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2531097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531101 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531107 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531122 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2531136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531139 */     // GIR_Coverage, 45218,
     /* 2531139 */     GIR_EraseRootFromParent_Done,
     /* 2531140 */   // Label 33653: @2531140
     /* 2531140 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2531230), // Rule ID 45219 //
     /* 2531145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2531148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2531151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2531154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2531157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531161 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531177 */     // MIs[0] policy
     /* 2531177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531187 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2531187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531191 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531197 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531212 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2531226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531229 */     // GIR_Coverage, 45219,
     /* 2531229 */     GIR_EraseRootFromParent_Done,
     /* 2531230 */   // Label 33654: @2531230
     /* 2531230 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2531320), // Rule ID 45278 //
     /* 2531235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2531238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2531241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2531244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2531247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531267 */     // MIs[0] policy
     /* 2531267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531277 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2531277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531302 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2531316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531319 */     // GIR_Coverage, 45278,
     /* 2531319 */     GIR_EraseRootFromParent_Done,
     /* 2531320 */   // Label 33655: @2531320
     /* 2531320 */   GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2531410), // Rule ID 45279 //
     /* 2531325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2531328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2531331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2531334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2531337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531357 */     // MIs[0] policy
     /* 2531357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531367 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2531367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531371 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531377 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531392 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2531406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531409 */     // GIR_Coverage, 45279,
     /* 2531409 */     GIR_EraseRootFromParent_Done,
     /* 2531410 */   // Label 33656: @2531410
     /* 2531410 */   GIM_Reject,
     /* 2531411 */ // Label 33648: @2531411
     /* 2531411 */ GIM_Reject,
     /* 2531412 */ // Label 33490: @2531412
     /* 2531412 */ GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2531806),
     /* 2531417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2531420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2531423 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2531524), // Rule ID 45204 //
     /* 2531428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2531431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2531434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2531437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2531440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2531456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2531460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2531464 */     // MIs[1] Operand 1
     /* 2531464 */     // No operand predicates
     /* 2531464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531468 */     // MIs[0] policy
     /* 2531468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2531473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531480 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2531480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531484 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531490 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2531497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2531506 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2531520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531523 */     // GIR_Coverage, 45204,
     /* 2531523 */     GIR_EraseRootFromParent_Done,
     /* 2531524 */   // Label 33658: @2531524
     /* 2531524 */   GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2531625), // Rule ID 45205 //
     /* 2531529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2531532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2531535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2531538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2531541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2531557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2531561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2531565 */     // MIs[1] Operand 1
     /* 2531565 */     // No operand predicates
     /* 2531565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531569 */     // MIs[0] policy
     /* 2531569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2531574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531581 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2531581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531585 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531591 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2531598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531604 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2531607 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2531621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531624 */     // GIR_Coverage, 45205,
     /* 2531624 */     GIR_EraseRootFromParent_Done,
     /* 2531625 */   // Label 33659: @2531625
     /* 2531625 */   GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2531715), // Rule ID 45206 //
     /* 2531630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2531633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2531636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2531639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2531642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531662 */     // MIs[0] policy
     /* 2531662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531672 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2531672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531676 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531697 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2531711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531714 */     // GIR_Coverage, 45206,
     /* 2531714 */     GIR_EraseRootFromParent_Done,
     /* 2531715 */   // Label 33660: @2531715
     /* 2531715 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2531805), // Rule ID 45207 //
     /* 2531720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2531723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2531726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2531729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2531732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2531736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2531744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2531748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531752 */     // MIs[0] policy
     /* 2531752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531762 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2531762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2531766 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2531772 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2531776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2531779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2531781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2531783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2531785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2531787 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2531793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2531798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2531801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2531803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2531804 */     // GIR_Coverage, 45207,
     /* 2531804 */     GIR_EraseRootFromParent_Done,
     /* 2531805 */   // Label 33661: @2531805
     /* 2531805 */   GIM_Reject,
     /* 2531806 */ // Label 33657: @2531806
     /* 2531806 */ GIM_Reject,
     /* 2531807 */ // Label 33491: @2531807
     /* 2531807 */ GIM_Reject,
     /* 2531808 */ // Label 120: @2531808
     /* 2531808 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 33684*/ GIMT_Encode4(2546351),
     /* 2531819 */ /*GILLT_nxv1s8*//*Label 33662*/ GIMT_Encode4(2531931),
     /* 2531823 */ /*GILLT_nxv1s16*//*Label 33663*/ GIMT_Encode4(2532326),
     /* 2531827 */ /*GILLT_nxv1s32*//*Label 33664*/ GIMT_Encode4(2533103),
     /* 2531831 */ /*GILLT_nxv1s64*//*Label 33665*/ GIMT_Encode4(2533880), GIMT_Encode4(0),
     /* 2531839 */ /*GILLT_nxv2s8*//*Label 33666*/ GIMT_Encode4(2534657),
     /* 2531843 */ /*GILLT_nxv2s16*//*Label 33667*/ GIMT_Encode4(2535052),
     /* 2531847 */ /*GILLT_nxv2s32*//*Label 33668*/ GIMT_Encode4(2535829),
     /* 2531851 */ /*GILLT_nxv2s64*//*Label 33669*/ GIMT_Encode4(2536606), GIMT_Encode4(0),
     /* 2531859 */ /*GILLT_nxv4s8*//*Label 33670*/ GIMT_Encode4(2537383),
     /* 2531863 */ /*GILLT_nxv4s16*//*Label 33671*/ GIMT_Encode4(2537778),
     /* 2531867 */ /*GILLT_nxv4s32*//*Label 33672*/ GIMT_Encode4(2538555),
     /* 2531871 */ /*GILLT_nxv4s64*//*Label 33673*/ GIMT_Encode4(2539332), GIMT_Encode4(0),
     /* 2531879 */ /*GILLT_nxv8s8*//*Label 33674*/ GIMT_Encode4(2540109),
     /* 2531883 */ /*GILLT_nxv8s16*//*Label 33675*/ GIMT_Encode4(2540504),
     /* 2531887 */ /*GILLT_nxv8s32*//*Label 33676*/ GIMT_Encode4(2541281),
     /* 2531891 */ /*GILLT_nxv8s64*//*Label 33677*/ GIMT_Encode4(2542058), GIMT_Encode4(0),
     /* 2531899 */ /*GILLT_nxv16s8*//*Label 33678*/ GIMT_Encode4(2542835),
     /* 2531903 */ /*GILLT_nxv16s16*//*Label 33679*/ GIMT_Encode4(2543230),
     /* 2531907 */ /*GILLT_nxv16s32*//*Label 33680*/ GIMT_Encode4(2544007), GIMT_Encode4(0),
     /* 2531915 */ /*GILLT_nxv32s8*//*Label 33681*/ GIMT_Encode4(2544784),
     /* 2531919 */ /*GILLT_nxv32s16*//*Label 33682*/ GIMT_Encode4(2545179), GIMT_Encode4(0),
     /* 2531927 */ /*GILLT_nxv64s8*//*Label 33683*/ GIMT_Encode4(2545956),
     /* 2531931 */ // Label 33662: @2531931
     /* 2531931 */ GIM_Try, /*On fail goto*//*Label 33685*/ GIMT_Encode4(2532325),
     /* 2531936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2531939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2531942 */   GIM_Try, /*On fail goto*//*Label 33686*/ GIMT_Encode4(2532043), // Rule ID 25210 //
     /* 2531947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2531950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2531953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2531956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2531959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2531963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2531967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2531971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2531975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2531979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2531983 */     // MIs[1] Operand 1
     /* 2531983 */     // No operand predicates
     /* 2531983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2531987 */     // MIs[0] policy
     /* 2531987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2531990 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2531992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2531999 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2531999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532003 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532009 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2532016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532025 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2532039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532042 */     // GIR_Coverage, 25210,
     /* 2532042 */     GIR_EraseRootFromParent_Done,
     /* 2532043 */   // Label 33686: @2532043
     /* 2532043 */   GIM_Try, /*On fail goto*//*Label 33687*/ GIMT_Encode4(2532144), // Rule ID 25211 //
     /* 2532048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2532051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2532054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2532060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2532076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2532080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2532084 */     // MIs[1] Operand 1
     /* 2532084 */     // No operand predicates
     /* 2532084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532088 */     // MIs[0] policy
     /* 2532088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2532093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532100 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2532100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532104 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532110 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2532117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532126 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2532140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532143 */     // GIR_Coverage, 25211,
     /* 2532143 */     GIR_EraseRootFromParent_Done,
     /* 2532144 */   // Label 33687: @2532144
     /* 2532144 */   GIM_Try, /*On fail goto*//*Label 33688*/ GIMT_Encode4(2532234), // Rule ID 25212 //
     /* 2532149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2532152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2532155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2532161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2532177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532181 */     // MIs[0] policy
     /* 2532181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532191 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2532191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532195 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532201 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2532208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2532216 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2532230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532233 */     // GIR_Coverage, 25212,
     /* 2532233 */     GIR_EraseRootFromParent_Done,
     /* 2532234 */   // Label 33688: @2532234
     /* 2532234 */   GIM_Try, /*On fail goto*//*Label 33689*/ GIMT_Encode4(2532324), // Rule ID 25213 //
     /* 2532239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2532242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2532245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2532251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2532267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532271 */     // MIs[0] policy
     /* 2532271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532281 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2532281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532285 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532291 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2532298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2532306 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2532320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532323 */     // GIR_Coverage, 25213,
     /* 2532323 */     GIR_EraseRootFromParent_Done,
     /* 2532324 */   // Label 33689: @2532324
     /* 2532324 */   GIM_Reject,
     /* 2532325 */ // Label 33685: @2532325
     /* 2532325 */ GIM_Reject,
     /* 2532326 */ // Label 33663: @2532326
     /* 2532326 */ GIM_Try, /*On fail goto*//*Label 33690*/ GIMT_Encode4(2533102),
     /* 2532331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2532334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2532337 */   GIM_Try, /*On fail goto*//*Label 33691*/ GIMT_Encode4(2532438), // Rule ID 45020 //
     /* 2532342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2532345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2532348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2532354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2532370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2532374 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2532378 */     // MIs[1] Operand 1
     /* 2532378 */     // No operand predicates
     /* 2532378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532382 */     // MIs[0] policy
     /* 2532382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2532387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532394 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2532394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532398 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532404 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2532411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532420 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532437 */     // GIR_Coverage, 45020,
     /* 2532437 */     GIR_EraseRootFromParent_Done,
     /* 2532438 */   // Label 33691: @2532438
     /* 2532438 */   GIM_Try, /*On fail goto*//*Label 33692*/ GIMT_Encode4(2532539), // Rule ID 45021 //
     /* 2532443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2532446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2532449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2532455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532459 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2532471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2532475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2532479 */     // MIs[1] Operand 1
     /* 2532479 */     // No operand predicates
     /* 2532479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532483 */     // MIs[0] policy
     /* 2532483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2532488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532495 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2532495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532499 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532505 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2532512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532521 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532538 */     // GIR_Coverage, 45021,
     /* 2532538 */     GIR_EraseRootFromParent_Done,
     /* 2532539 */   // Label 33692: @2532539
     /* 2532539 */   GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2532640), // Rule ID 45096 //
     /* 2532544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2532547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2532550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2532556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2532572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2532576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2532580 */     // MIs[1] Operand 1
     /* 2532580 */     // No operand predicates
     /* 2532580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532584 */     // MIs[0] policy
     /* 2532584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2532589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532596 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2532596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532600 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532606 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2532613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532622 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532639 */     // GIR_Coverage, 45096,
     /* 2532639 */     GIR_EraseRootFromParent_Done,
     /* 2532640 */   // Label 33693: @2532640
     /* 2532640 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2532741), // Rule ID 45097 //
     /* 2532645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2532648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2532651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2532657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2532673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2532677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2532681 */     // MIs[1] Operand 1
     /* 2532681 */     // No operand predicates
     /* 2532681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532685 */     // MIs[0] policy
     /* 2532685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2532690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532697 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2532697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532701 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532707 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2532714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2532723 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532740 */     // GIR_Coverage, 45097,
     /* 2532740 */     GIR_EraseRootFromParent_Done,
     /* 2532741 */   // Label 33694: @2532741
     /* 2532741 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2532831), // Rule ID 45022 //
     /* 2532746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2532749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2532752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2532758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2532774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532778 */     // MIs[0] policy
     /* 2532778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532788 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2532788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532792 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532798 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2532805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2532813 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532830 */     // GIR_Coverage, 45022,
     /* 2532830 */     GIR_EraseRootFromParent_Done,
     /* 2532831 */   // Label 33695: @2532831
     /* 2532831 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2532921), // Rule ID 45023 //
     /* 2532836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2532839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2532842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2532848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2532864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532868 */     // MIs[0] policy
     /* 2532868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532878 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2532878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532882 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532888 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2532895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2532903 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2532914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2532917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2532919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2532920 */     // GIR_Coverage, 45023,
     /* 2532920 */     GIR_EraseRootFromParent_Done,
     /* 2532921 */   // Label 33696: @2532921
     /* 2532921 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2533011), // Rule ID 45098 //
     /* 2532926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2532929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2532932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2532935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2532938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2532942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2532950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2532954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2532958 */     // MIs[0] policy
     /* 2532958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2532961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2532968 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2532968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2532972 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2532978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2532982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2532985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2532987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2532989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2532991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2532993 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2532999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2533007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533010 */     // GIR_Coverage, 45098,
     /* 2533010 */     GIR_EraseRootFromParent_Done,
     /* 2533011 */   // Label 33697: @2533011
     /* 2533011 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2533101), // Rule ID 45099 //
     /* 2533016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2533019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2533022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2533028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533032 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2533044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533048 */     // MIs[0] policy
     /* 2533048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533058 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2533058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533062 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533068 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2533075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2533083 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2533097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533100 */     // GIR_Coverage, 45099,
     /* 2533100 */     GIR_EraseRootFromParent_Done,
     /* 2533101 */   // Label 33698: @2533101
     /* 2533101 */   GIM_Reject,
     /* 2533102 */ // Label 33690: @2533102
     /* 2533102 */ GIM_Reject,
     /* 2533103 */ // Label 33664: @2533103
     /* 2533103 */ GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2533879),
     /* 2533108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2533111 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2533114 */   GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2533215), // Rule ID 45028 //
     /* 2533119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2533122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2533125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2533131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2533147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2533151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2533155 */     // MIs[1] Operand 1
     /* 2533155 */     // No operand predicates
     /* 2533155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533159 */     // MIs[0] policy
     /* 2533159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2533164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533171 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2533171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533175 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533181 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2533188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2533197 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533214 */     // GIR_Coverage, 45028,
     /* 2533214 */     GIR_EraseRootFromParent_Done,
     /* 2533215 */   // Label 33700: @2533215
     /* 2533215 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2533316), // Rule ID 45029 //
     /* 2533220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2533223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2533226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2533232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2533248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2533252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2533256 */     // MIs[1] Operand 1
     /* 2533256 */     // No operand predicates
     /* 2533256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533260 */     // MIs[0] policy
     /* 2533260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2533265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533272 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2533272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533276 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533282 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2533289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2533298 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533315 */     // GIR_Coverage, 45029,
     /* 2533315 */     GIR_EraseRootFromParent_Done,
     /* 2533316 */   // Label 33701: @2533316
     /* 2533316 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2533417), // Rule ID 45104 //
     /* 2533321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2533324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2533327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2533333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2533349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2533353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2533357 */     // MIs[1] Operand 1
     /* 2533357 */     // No operand predicates
     /* 2533357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533361 */     // MIs[0] policy
     /* 2533361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2533366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533373 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2533373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533377 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2533390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533396 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2533399 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533416 */     // GIR_Coverage, 45104,
     /* 2533416 */     GIR_EraseRootFromParent_Done,
     /* 2533417 */   // Label 33702: @2533417
     /* 2533417 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2533518), // Rule ID 45105 //
     /* 2533422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2533425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2533428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2533434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2533450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2533454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2533458 */     // MIs[1] Operand 1
     /* 2533458 */     // No operand predicates
     /* 2533458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533462 */     // MIs[0] policy
     /* 2533462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2533467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533474 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2533474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533478 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533484 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2533491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2533500 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533517 */     // GIR_Coverage, 45105,
     /* 2533517 */     GIR_EraseRootFromParent_Done,
     /* 2533518 */   // Label 33703: @2533518
     /* 2533518 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2533608), // Rule ID 45030 //
     /* 2533523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2533526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2533529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2533535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2533551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533555 */     // MIs[0] policy
     /* 2533555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533565 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2533565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533569 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533575 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2533582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2533590 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533607 */     // GIR_Coverage, 45030,
     /* 2533607 */     GIR_EraseRootFromParent_Done,
     /* 2533608 */   // Label 33704: @2533608
     /* 2533608 */   GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2533698), // Rule ID 45031 //
     /* 2533613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2533616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2533619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2533625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2533641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533645 */     // MIs[0] policy
     /* 2533645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533655 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2533655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533665 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2533672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2533680 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533697 */     // GIR_Coverage, 45031,
     /* 2533697 */     GIR_EraseRootFromParent_Done,
     /* 2533698 */   // Label 33705: @2533698
     /* 2533698 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2533788), // Rule ID 45106 //
     /* 2533703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2533706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2533709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2533715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533719 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2533731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533735 */     // MIs[0] policy
     /* 2533735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533745 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2533745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533749 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533755 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2533762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2533770 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533787 */     // GIR_Coverage, 45106,
     /* 2533787 */     GIR_EraseRootFromParent_Done,
     /* 2533788 */   // Label 33706: @2533788
     /* 2533788 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2533878), // Rule ID 45107 //
     /* 2533793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2533796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2533799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2533805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2533821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533825 */     // MIs[0] policy
     /* 2533825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533835 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2533835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533839 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533845 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2533852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2533860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2533874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533877 */     // GIR_Coverage, 45107,
     /* 2533877 */     GIR_EraseRootFromParent_Done,
     /* 2533878 */   // Label 33707: @2533878
     /* 2533878 */   GIM_Reject,
     /* 2533879 */ // Label 33699: @2533879
     /* 2533879 */ GIM_Reject,
     /* 2533880 */ // Label 33665: @2533880
     /* 2533880 */ GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2534656),
     /* 2533885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2533888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2533891 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2533992), // Rule ID 45044 //
     /* 2533896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2533899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2533902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2533905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2533908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2533912 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2533920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2533924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2533928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2533932 */     // MIs[1] Operand 1
     /* 2533932 */     // No operand predicates
     /* 2533932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2533936 */     // MIs[0] policy
     /* 2533936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2533939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2533941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2533948 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2533948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2533952 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2533958 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2533962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2533965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2533967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2533969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2533971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2533974 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2533980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2533985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2533988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2533990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2533991 */     // GIR_Coverage, 45044,
     /* 2533991 */     GIR_EraseRootFromParent_Done,
     /* 2533992 */   // Label 33709: @2533992
     /* 2533992 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2534093), // Rule ID 45045 //
     /* 2533997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2534000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2534025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2534029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2534033 */     // MIs[1] Operand 1
     /* 2534033 */     // No operand predicates
     /* 2534033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534037 */     // MIs[0] policy
     /* 2534037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2534042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534049 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2534049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534053 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2534066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2534075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534092 */     // GIR_Coverage, 45045,
     /* 2534092 */     GIR_EraseRootFromParent_Done,
     /* 2534093 */   // Label 33710: @2534093
     /* 2534093 */   GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2534194), // Rule ID 45116 //
     /* 2534098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2534101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2534104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2534110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2534126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2534130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2534134 */     // MIs[1] Operand 1
     /* 2534134 */     // No operand predicates
     /* 2534134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534138 */     // MIs[0] policy
     /* 2534138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2534143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534150 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2534150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534154 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534160 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2534167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2534176 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534193 */     // GIR_Coverage, 45116,
     /* 2534193 */     GIR_EraseRootFromParent_Done,
     /* 2534194 */   // Label 33711: @2534194
     /* 2534194 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2534295), // Rule ID 45117 //
     /* 2534199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2534202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2534227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2534231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2534235 */     // MIs[1] Operand 1
     /* 2534235 */     // No operand predicates
     /* 2534235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534239 */     // MIs[0] policy
     /* 2534239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2534244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534251 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2534251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534255 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534261 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2534268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2534277 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534294 */     // GIR_Coverage, 45117,
     /* 2534294 */     GIR_EraseRootFromParent_Done,
     /* 2534295 */   // Label 33712: @2534295
     /* 2534295 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2534385), // Rule ID 45046 //
     /* 2534300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2534303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2534306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2534312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534332 */     // MIs[0] policy
     /* 2534332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534342 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2534342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534346 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534352 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2534359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2534367 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534384 */     // GIR_Coverage, 45046,
     /* 2534384 */     GIR_EraseRootFromParent_Done,
     /* 2534385 */   // Label 33713: @2534385
     /* 2534385 */   GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2534475), // Rule ID 45047 //
     /* 2534390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2534393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534422 */     // MIs[0] policy
     /* 2534422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534432 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2534432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534436 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534442 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2534449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2534457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534474 */     // GIR_Coverage, 45047,
     /* 2534474 */     GIR_EraseRootFromParent_Done,
     /* 2534475 */   // Label 33714: @2534475
     /* 2534475 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2534565), // Rule ID 45118 //
     /* 2534480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2534483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2534486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2534492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534512 */     // MIs[0] policy
     /* 2534512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534522 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2534522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534526 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2534539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2534547 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534564 */     // GIR_Coverage, 45118,
     /* 2534564 */     GIR_EraseRootFromParent_Done,
     /* 2534565 */   // Label 33715: @2534565
     /* 2534565 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2534655), // Rule ID 45119 //
     /* 2534570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2534573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2534579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534602 */     // MIs[0] policy
     /* 2534602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534612 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv1i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2534612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534616 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534622 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2534629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2534637 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2534651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534654 */     // GIR_Coverage, 45119,
     /* 2534654 */     GIR_EraseRootFromParent_Done,
     /* 2534655 */   // Label 33716: @2534655
     /* 2534655 */   GIM_Reject,
     /* 2534656 */ // Label 33708: @2534656
     /* 2534656 */ GIM_Reject,
     /* 2534657 */ // Label 33666: @2534657
     /* 2534657 */ GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2535051),
     /* 2534662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2534665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2534668 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2534769), // Rule ID 45012 //
     /* 2534673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2534676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2534679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2534682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2534685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2534701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2534705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2534709 */     // MIs[1] Operand 1
     /* 2534709 */     // No operand predicates
     /* 2534709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534713 */     // MIs[0] policy
     /* 2534713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2534718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534725 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2534725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534729 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534735 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2534742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2534751 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2534765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534768 */     // GIR_Coverage, 45012,
     /* 2534768 */     GIR_EraseRootFromParent_Done,
     /* 2534769 */   // Label 33718: @2534769
     /* 2534769 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2534870), // Rule ID 45013 //
     /* 2534774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2534777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2534783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2534802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2534806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2534810 */     // MIs[1] Operand 1
     /* 2534810 */     // No operand predicates
     /* 2534810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534814 */     // MIs[0] policy
     /* 2534814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2534819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534826 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2534826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534830 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534836 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2534843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2534852 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2534866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534869 */     // GIR_Coverage, 45013,
     /* 2534869 */     GIR_EraseRootFromParent_Done,
     /* 2534870 */   // Label 33719: @2534870
     /* 2534870 */   GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2534960), // Rule ID 45014 //
     /* 2534875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2534878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2534881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2534884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2534887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534891 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534907 */     // MIs[0] policy
     /* 2534907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2534910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2534917 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2534917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2534921 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2534927 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2534931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2534934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2534936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2534938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2534940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2534942 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2534948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2534953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2534956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2534958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2534959 */     // GIR_Coverage, 45014,
     /* 2534959 */     GIR_EraseRootFromParent_Done,
     /* 2534960 */   // Label 33720: @2534960
     /* 2534960 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2535050), // Rule ID 45015 //
     /* 2534965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2534968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2534971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2534974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2534977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2534981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2534989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2534993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2534997 */     // MIs[0] policy
     /* 2534997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535007 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535011 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535017 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2535024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2535032 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2535046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535049 */     // GIR_Coverage, 45015,
     /* 2535049 */     GIR_EraseRootFromParent_Done,
     /* 2535050 */   // Label 33721: @2535050
     /* 2535050 */   GIM_Reject,
     /* 2535051 */ // Label 33717: @2535051
     /* 2535051 */ GIM_Reject,
     /* 2535052 */ // Label 33667: @2535052
     /* 2535052 */ GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2535828),
     /* 2535057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2535060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2535063 */   GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2535164), // Rule ID 45024 //
     /* 2535068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2535071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2535074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2535080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535084 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535104 */     // MIs[1] Operand 1
     /* 2535104 */     // No operand predicates
     /* 2535104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535108 */     // MIs[0] policy
     /* 2535108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535120 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2535120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535124 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535130 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2535137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2535146 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535163 */     // GIR_Coverage, 45024,
     /* 2535163 */     GIR_EraseRootFromParent_Done,
     /* 2535164 */   // Label 33723: @2535164
     /* 2535164 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2535265), // Rule ID 45025 //
     /* 2535169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2535172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2535175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2535181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535205 */     // MIs[1] Operand 1
     /* 2535205 */     // No operand predicates
     /* 2535205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535209 */     // MIs[0] policy
     /* 2535209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535221 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535225 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535231 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2535238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2535247 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535264 */     // GIR_Coverage, 45025,
     /* 2535264 */     GIR_EraseRootFromParent_Done,
     /* 2535265 */   // Label 33724: @2535265
     /* 2535265 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2535366), // Rule ID 45100 //
     /* 2535270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2535273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2535276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2535282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535306 */     // MIs[1] Operand 1
     /* 2535306 */     // No operand predicates
     /* 2535306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535310 */     // MIs[0] policy
     /* 2535310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535322 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2535322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535326 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535332 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2535339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2535348 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535365 */     // GIR_Coverage, 45100,
     /* 2535365 */     GIR_EraseRootFromParent_Done,
     /* 2535366 */   // Label 33725: @2535366
     /* 2535366 */   GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2535467), // Rule ID 45101 //
     /* 2535371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2535374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2535377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2535383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535407 */     // MIs[1] Operand 1
     /* 2535407 */     // No operand predicates
     /* 2535407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535411 */     // MIs[0] policy
     /* 2535411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535423 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535427 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535433 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2535440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2535449 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535466 */     // GIR_Coverage, 45101,
     /* 2535466 */     GIR_EraseRootFromParent_Done,
     /* 2535467 */   // Label 33726: @2535467
     /* 2535467 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2535557), // Rule ID 45026 //
     /* 2535472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2535475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2535478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2535484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2535500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535504 */     // MIs[0] policy
     /* 2535504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535514 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2535514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535518 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535524 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2535531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2535539 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535556 */     // GIR_Coverage, 45026,
     /* 2535556 */     GIR_EraseRootFromParent_Done,
     /* 2535557 */   // Label 33727: @2535557
     /* 2535557 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2535647), // Rule ID 45027 //
     /* 2535562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2535565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2535568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2535574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2535590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535594 */     // MIs[0] policy
     /* 2535594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535604 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535608 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535614 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2535621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2535629 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535646 */     // GIR_Coverage, 45027,
     /* 2535646 */     GIR_EraseRootFromParent_Done,
     /* 2535647 */   // Label 33728: @2535647
     /* 2535647 */   GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2535737), // Rule ID 45102 //
     /* 2535652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2535655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2535658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2535664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2535680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535684 */     // MIs[0] policy
     /* 2535684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535694 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2535694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535698 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2535711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2535719 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535736 */     // GIR_Coverage, 45102,
     /* 2535736 */     GIR_EraseRootFromParent_Done,
     /* 2535737 */   // Label 33729: @2535737
     /* 2535737 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2535827), // Rule ID 45103 //
     /* 2535742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2535745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2535748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2535754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2535770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535774 */     // MIs[0] policy
     /* 2535774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535784 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535788 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535794 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2535801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2535809 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2535823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535826 */     // GIR_Coverage, 45103,
     /* 2535826 */     GIR_EraseRootFromParent_Done,
     /* 2535827 */   // Label 33730: @2535827
     /* 2535827 */   GIM_Reject,
     /* 2535828 */ // Label 33722: @2535828
     /* 2535828 */ GIM_Reject,
     /* 2535829 */ // Label 33668: @2535829
     /* 2535829 */ GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2536605),
     /* 2535834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2535837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2535840 */   GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2535941), // Rule ID 45040 //
     /* 2535845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2535848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2535851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2535857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535881 */     // MIs[1] Operand 1
     /* 2535881 */     // No operand predicates
     /* 2535881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535885 */     // MIs[0] policy
     /* 2535885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535897 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2535897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2535901 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2535907 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2535911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2535914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2535916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2535918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2535920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2535923 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2535929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2535934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2535937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2535939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2535940 */     // GIR_Coverage, 45040,
     /* 2535940 */     GIR_EraseRootFromParent_Done,
     /* 2535941 */   // Label 33732: @2535941
     /* 2535941 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2536042), // Rule ID 45041 //
     /* 2535946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2535949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2535952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2535955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2535958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2535962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2535970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2535974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2535978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2535982 */     // MIs[1] Operand 1
     /* 2535982 */     // No operand predicates
     /* 2535982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2535986 */     // MIs[0] policy
     /* 2535986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2535989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2535991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2535998 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2535998 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536002 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536008 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2536015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536024 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536041 */     // GIR_Coverage, 45041,
     /* 2536041 */     GIR_EraseRootFromParent_Done,
     /* 2536042 */   // Label 33733: @2536042
     /* 2536042 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2536143), // Rule ID 45112 //
     /* 2536047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2536050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2536053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2536059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536083 */     // MIs[1] Operand 1
     /* 2536083 */     // No operand predicates
     /* 2536083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536087 */     // MIs[0] policy
     /* 2536087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536099 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2536099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536103 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536109 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2536116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536125 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536142 */     // GIR_Coverage, 45112,
     /* 2536142 */     GIR_EraseRootFromParent_Done,
     /* 2536143 */   // Label 33734: @2536143
     /* 2536143 */   GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2536244), // Rule ID 45113 //
     /* 2536148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2536151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2536154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2536160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536164 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536184 */     // MIs[1] Operand 1
     /* 2536184 */     // No operand predicates
     /* 2536184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536188 */     // MIs[0] policy
     /* 2536188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536200 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2536200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536204 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536210 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2536217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536226 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536243 */     // GIR_Coverage, 45113,
     /* 2536243 */     GIR_EraseRootFromParent_Done,
     /* 2536244 */   // Label 33735: @2536244
     /* 2536244 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2536334), // Rule ID 45042 //
     /* 2536249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2536252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2536255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2536261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2536277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536281 */     // MIs[0] policy
     /* 2536281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536291 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2536291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536295 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536301 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2536308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2536316 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536333 */     // GIR_Coverage, 45042,
     /* 2536333 */     GIR_EraseRootFromParent_Done,
     /* 2536334 */   // Label 33736: @2536334
     /* 2536334 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2536424), // Rule ID 45043 //
     /* 2536339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2536342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2536345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2536351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2536367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536371 */     // MIs[0] policy
     /* 2536371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536381 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2536381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536385 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536391 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2536398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2536406 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536423 */     // GIR_Coverage, 45043,
     /* 2536423 */     GIR_EraseRootFromParent_Done,
     /* 2536424 */   // Label 33737: @2536424
     /* 2536424 */   GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2536514), // Rule ID 45114 //
     /* 2536429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2536432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2536435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2536441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2536457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536461 */     // MIs[0] policy
     /* 2536461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536471 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2536471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536475 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536481 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2536488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2536496 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536513 */     // GIR_Coverage, 45114,
     /* 2536513 */     GIR_EraseRootFromParent_Done,
     /* 2536514 */   // Label 33738: @2536514
     /* 2536514 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2536604), // Rule ID 45115 //
     /* 2536519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2536522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2536525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2536531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2536535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2536543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2536547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536551 */     // MIs[0] policy
     /* 2536551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536561 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2536561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536565 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536571 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2536578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2536586 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2536600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536603 */     // GIR_Coverage, 45115,
     /* 2536603 */     GIR_EraseRootFromParent_Done,
     /* 2536604 */   // Label 33739: @2536604
     /* 2536604 */   GIM_Reject,
     /* 2536605 */ // Label 33731: @2536605
     /* 2536605 */ GIM_Reject,
     /* 2536606 */ // Label 33669: @2536606
     /* 2536606 */ GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2537382),
     /* 2536611 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2536614 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2536617 */   GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2536718), // Rule ID 45084 //
     /* 2536622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2536625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2536628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2536634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2536638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536658 */     // MIs[1] Operand 1
     /* 2536658 */     // No operand predicates
     /* 2536658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536662 */     // MIs[0] policy
     /* 2536662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536674 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2536674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536678 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536684 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2536691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536700 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2536714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536717 */     // GIR_Coverage, 45084,
     /* 2536717 */     GIR_EraseRootFromParent_Done,
     /* 2536718 */   // Label 33741: @2536718
     /* 2536718 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2536819), // Rule ID 45085 //
     /* 2536723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2536726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2536729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2536735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2536739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536759 */     // MIs[1] Operand 1
     /* 2536759 */     // No operand predicates
     /* 2536759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536763 */     // MIs[0] policy
     /* 2536763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536775 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2536775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536779 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536785 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2536792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536798 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536801 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2536815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536818 */     // GIR_Coverage, 45085,
     /* 2536818 */     GIR_EraseRootFromParent_Done,
     /* 2536819 */   // Label 33742: @2536819
     /* 2536819 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2536920), // Rule ID 45144 //
     /* 2536824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2536827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2536830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2536836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2536840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536860 */     // MIs[1] Operand 1
     /* 2536860 */     // No operand predicates
     /* 2536860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536864 */     // MIs[0] policy
     /* 2536864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536876 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2536876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536880 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536886 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2536893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2536899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2536902 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2536908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2536913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2536916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2536918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2536919 */     // GIR_Coverage, 45144,
     /* 2536919 */     GIR_EraseRootFromParent_Done,
     /* 2536920 */   // Label 33743: @2536920
     /* 2536920 */   GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2537021), // Rule ID 45145 //
     /* 2536925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2536928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2536931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2536934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2536937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2536941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2536949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2536953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2536957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2536961 */     // MIs[1] Operand 1
     /* 2536961 */     // No operand predicates
     /* 2536961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2536965 */     // MIs[0] policy
     /* 2536965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2536968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2536970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2536977 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2536977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2536981 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2536987 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2536991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2536994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2536996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2536998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2537003 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2537017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537020 */     // GIR_Coverage, 45145,
     /* 2537020 */     GIR_EraseRootFromParent_Done,
     /* 2537021 */   // Label 33744: @2537021
     /* 2537021 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2537111), // Rule ID 45086 //
     /* 2537026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2537029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2537032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2537035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2537038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2537042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537058 */     // MIs[0] policy
     /* 2537058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537068 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2537068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537072 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537078 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2537085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537093 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2537107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537110 */     // GIR_Coverage, 45086,
     /* 2537110 */     GIR_EraseRootFromParent_Done,
     /* 2537111 */   // Label 33745: @2537111
     /* 2537111 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2537201), // Rule ID 45087 //
     /* 2537116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2537119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2537122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2537125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2537128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2537132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537148 */     // MIs[0] policy
     /* 2537148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537158 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2537158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537162 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2537175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537183 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2537197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537200 */     // GIR_Coverage, 45087,
     /* 2537200 */     GIR_EraseRootFromParent_Done,
     /* 2537201 */   // Label 33746: @2537201
     /* 2537201 */   GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2537291), // Rule ID 45146 //
     /* 2537206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2537209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2537212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2537215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2537218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2537222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537238 */     // MIs[0] policy
     /* 2537238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537248 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2537248 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537252 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537258 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2537265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2537287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537290 */     // GIR_Coverage, 45146,
     /* 2537290 */     GIR_EraseRootFromParent_Done,
     /* 2537291 */   // Label 33747: @2537291
     /* 2537291 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2537381), // Rule ID 45147 //
     /* 2537296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2537299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2537302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2537305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2537308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2537312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2537320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537328 */     // MIs[0] policy
     /* 2537328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537338 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv2i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2537338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537342 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537348 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2537355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537363 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2537377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537380 */     // GIR_Coverage, 45147,
     /* 2537380 */     GIR_EraseRootFromParent_Done,
     /* 2537381 */   // Label 33748: @2537381
     /* 2537381 */   GIM_Reject,
     /* 2537382 */ // Label 33740: @2537382
     /* 2537382 */ GIM_Reject,
     /* 2537383 */ // Label 33670: @2537383
     /* 2537383 */ GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2537777),
     /* 2537388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2537391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2537394 */   GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2537495), // Rule ID 45016 //
     /* 2537399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2537402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2537405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2537411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2537427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2537431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2537435 */     // MIs[1] Operand 1
     /* 2537435 */     // No operand predicates
     /* 2537435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537439 */     // MIs[0] policy
     /* 2537439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2537444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537451 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2537451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537455 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537461 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2537468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537474 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2537477 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2537491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537494 */     // GIR_Coverage, 45016,
     /* 2537494 */     GIR_EraseRootFromParent_Done,
     /* 2537495 */   // Label 33750: @2537495
     /* 2537495 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2537596), // Rule ID 45017 //
     /* 2537500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2537503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2537506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2537512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2537528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2537532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2537536 */     // MIs[1] Operand 1
     /* 2537536 */     // No operand predicates
     /* 2537536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537540 */     // MIs[0] policy
     /* 2537540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2537545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537552 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2537552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537556 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537562 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2537569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2537578 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2537592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537595 */     // GIR_Coverage, 45017,
     /* 2537595 */     GIR_EraseRootFromParent_Done,
     /* 2537596 */   // Label 33751: @2537596
     /* 2537596 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2537686), // Rule ID 45018 //
     /* 2537601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2537604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2537607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2537613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537633 */     // MIs[0] policy
     /* 2537633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537643 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2537643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537647 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537653 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2537660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537668 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2537682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537685 */     // GIR_Coverage, 45018,
     /* 2537685 */     GIR_EraseRootFromParent_Done,
     /* 2537686 */   // Label 33752: @2537686
     /* 2537686 */   GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2537776), // Rule ID 45019 //
     /* 2537691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2537694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2537697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2537703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2537719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537723 */     // MIs[0] policy
     /* 2537723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537733 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2537733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537737 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537743 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2537750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2537758 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2537772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537775 */     // GIR_Coverage, 45019,
     /* 2537775 */     GIR_EraseRootFromParent_Done,
     /* 2537776 */   // Label 33753: @2537776
     /* 2537776 */   GIM_Reject,
     /* 2537777 */ // Label 33749: @2537777
     /* 2537777 */ GIM_Reject,
     /* 2537778 */ // Label 33671: @2537778
     /* 2537778 */ GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2538554),
     /* 2537783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2537786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2537789 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2537890), // Rule ID 45036 //
     /* 2537794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2537797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2537800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2537806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2537822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2537826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2537830 */     // MIs[1] Operand 1
     /* 2537830 */     // No operand predicates
     /* 2537830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537834 */     // MIs[0] policy
     /* 2537834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2537839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537846 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2537846 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537850 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537856 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2537863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2537872 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2537886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537889 */     // GIR_Coverage, 45036,
     /* 2537889 */     GIR_EraseRootFromParent_Done,
     /* 2537890 */   // Label 33755: @2537890
     /* 2537890 */   GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2537991), // Rule ID 45037 //
     /* 2537895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2537898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2537901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2537904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2537907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2537911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2537919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2537923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2537927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2537931 */     // MIs[1] Operand 1
     /* 2537931 */     // No operand predicates
     /* 2537931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2537935 */     // MIs[0] policy
     /* 2537935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2537938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2537940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2537947 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2537947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2537951 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2537957 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2537961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2537964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2537966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2537968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2537970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2537973 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2537979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2537984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2537987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2537989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2537990 */     // GIR_Coverage, 45037,
     /* 2537990 */     GIR_EraseRootFromParent_Done,
     /* 2537991 */   // Label 33756: @2537991
     /* 2537991 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2538092), // Rule ID 45108 //
     /* 2537996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2537999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538032 */     // MIs[1] Operand 1
     /* 2538032 */     // No operand predicates
     /* 2538032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538036 */     // MIs[0] policy
     /* 2538036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538048 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2538048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538052 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538058 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2538065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538091 */     // GIR_Coverage, 45108,
     /* 2538091 */     GIR_EraseRootFromParent_Done,
     /* 2538092 */   // Label 33757: @2538092
     /* 2538092 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2538193), // Rule ID 45109 //
     /* 2538097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2538100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2538103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2538109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538133 */     // MIs[1] Operand 1
     /* 2538133 */     // No operand predicates
     /* 2538133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538137 */     // MIs[0] policy
     /* 2538137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538149 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2538149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538153 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538159 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2538166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538175 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538192 */     // GIR_Coverage, 45109,
     /* 2538192 */     GIR_EraseRootFromParent_Done,
     /* 2538193 */   // Label 33758: @2538193
     /* 2538193 */   GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2538283), // Rule ID 45038 //
     /* 2538198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2538201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2538226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538230 */     // MIs[0] policy
     /* 2538230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538240 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2538240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538244 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538250 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2538257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2538265 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538282 */     // GIR_Coverage, 45038,
     /* 2538282 */     GIR_EraseRootFromParent_Done,
     /* 2538283 */   // Label 33759: @2538283
     /* 2538283 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2538373), // Rule ID 45039 //
     /* 2538288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2538291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2538294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2538300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2538316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538320 */     // MIs[0] policy
     /* 2538320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538330 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2538330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538334 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538340 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2538347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2538355 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538372 */     // GIR_Coverage, 45039,
     /* 2538372 */     GIR_EraseRootFromParent_Done,
     /* 2538373 */   // Label 33760: @2538373
     /* 2538373 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2538463), // Rule ID 45110 //
     /* 2538378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2538381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2538406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538410 */     // MIs[0] policy
     /* 2538410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538420 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2538420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538424 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538430 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2538437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2538445 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538462 */     // GIR_Coverage, 45110,
     /* 2538462 */     GIR_EraseRootFromParent_Done,
     /* 2538463 */   // Label 33761: @2538463
     /* 2538463 */   GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2538553), // Rule ID 45111 //
     /* 2538468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2538471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2538474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2538480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2538484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2538492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2538496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538500 */     // MIs[0] policy
     /* 2538500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538510 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2538510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538514 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538520 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2538527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2538535 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2538549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538552 */     // GIR_Coverage, 45111,
     /* 2538552 */     GIR_EraseRootFromParent_Done,
     /* 2538553 */   // Label 33762: @2538553
     /* 2538553 */   GIM_Reject,
     /* 2538554 */ // Label 33754: @2538554
     /* 2538554 */ GIM_Reject,
     /* 2538555 */ // Label 33672: @2538555
     /* 2538555 */ GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2539331),
     /* 2538560 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2538563 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2538566 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2538667), // Rule ID 45072 //
     /* 2538571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2538574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2538587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538607 */     // MIs[1] Operand 1
     /* 2538607 */     // No operand predicates
     /* 2538607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538611 */     // MIs[0] policy
     /* 2538611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538623 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2538623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538627 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538633 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2538640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538649 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2538663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538666 */     // GIR_Coverage, 45072,
     /* 2538666 */     GIR_EraseRootFromParent_Done,
     /* 2538667 */   // Label 33764: @2538667
     /* 2538667 */   GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2538768), // Rule ID 45073 //
     /* 2538672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2538675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2538678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2538684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2538688 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538708 */     // MIs[1] Operand 1
     /* 2538708 */     // No operand predicates
     /* 2538708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538712 */     // MIs[0] policy
     /* 2538712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538724 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2538724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538728 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538734 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2538741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538750 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2538764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538767 */     // GIR_Coverage, 45073,
     /* 2538767 */     GIR_EraseRootFromParent_Done,
     /* 2538768 */   // Label 33765: @2538768
     /* 2538768 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2538869), // Rule ID 45132 //
     /* 2538773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2538776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2538789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538809 */     // MIs[1] Operand 1
     /* 2538809 */     // No operand predicates
     /* 2538809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538813 */     // MIs[0] policy
     /* 2538813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538825 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2538825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538829 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2538842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538851 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2538865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538868 */     // GIR_Coverage, 45132,
     /* 2538868 */     GIR_EraseRootFromParent_Done,
     /* 2538869 */   // Label 33766: @2538869
     /* 2538869 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2538970), // Rule ID 45133 //
     /* 2538874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2538877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2538880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2538886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2538890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2538902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2538906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2538910 */     // MIs[1] Operand 1
     /* 2538910 */     // No operand predicates
     /* 2538910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2538914 */     // MIs[0] policy
     /* 2538914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2538917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2538919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2538926 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2538926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2538930 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2538936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2538940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2538943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2538945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2538947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2538949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2538952 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2538958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2538963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2538966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2538968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2538969 */     // GIR_Coverage, 45133,
     /* 2538969 */     GIR_EraseRootFromParent_Done,
     /* 2538970 */   // Label 33767: @2538970
     /* 2538970 */   GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2539060), // Rule ID 45074 //
     /* 2538975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2538978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2538981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2538984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2538987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2538991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2538999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539007 */     // MIs[0] policy
     /* 2539007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539017 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539021 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539027 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2539034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539042 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2539056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539059 */     // GIR_Coverage, 45074,
     /* 2539059 */     GIR_EraseRootFromParent_Done,
     /* 2539060 */   // Label 33768: @2539060
     /* 2539060 */   GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2539150), // Rule ID 45075 //
     /* 2539065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2539068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2539071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2539077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2539081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539097 */     // MIs[0] policy
     /* 2539097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539107 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2539107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539111 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539117 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2539124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539132 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2539146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539149 */     // GIR_Coverage, 45075,
     /* 2539149 */     GIR_EraseRootFromParent_Done,
     /* 2539150 */   // Label 33769: @2539150
     /* 2539150 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2539240), // Rule ID 45134 //
     /* 2539155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2539158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2539161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2539167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2539171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539187 */     // MIs[0] policy
     /* 2539187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539197 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539201 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539207 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2539214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539222 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2539236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539239 */     // GIR_Coverage, 45134,
     /* 2539239 */     GIR_EraseRootFromParent_Done,
     /* 2539240 */   // Label 33770: @2539240
     /* 2539240 */   GIM_Try, /*On fail goto*//*Label 33771*/ GIMT_Encode4(2539330), // Rule ID 45135 //
     /* 2539245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2539248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2539251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2539257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2539261 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2539269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539277 */     // MIs[0] policy
     /* 2539277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539287 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2539287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539291 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539297 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2539304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539312 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2539326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539329 */     // GIR_Coverage, 45135,
     /* 2539329 */     GIR_EraseRootFromParent_Done,
     /* 2539330 */   // Label 33771: @2539330
     /* 2539330 */   GIM_Reject,
     /* 2539331 */ // Label 33763: @2539331
     /* 2539331 */ GIM_Reject,
     /* 2539332 */ // Label 33673: @2539332
     /* 2539332 */ GIM_Try, /*On fail goto*//*Label 33772*/ GIMT_Encode4(2540108),
     /* 2539337 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2539340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2539343 */   GIM_Try, /*On fail goto*//*Label 33773*/ GIMT_Encode4(2539444), // Rule ID 45088 //
     /* 2539348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2539351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2539354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2539360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2539376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2539380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2539384 */     // MIs[1] Operand 1
     /* 2539384 */     // No operand predicates
     /* 2539384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539388 */     // MIs[0] policy
     /* 2539388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2539393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539400 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539404 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539410 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2539417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2539426 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539443 */     // GIR_Coverage, 45088,
     /* 2539443 */     GIR_EraseRootFromParent_Done,
     /* 2539444 */   // Label 33773: @2539444
     /* 2539444 */   GIM_Try, /*On fail goto*//*Label 33774*/ GIMT_Encode4(2539545), // Rule ID 45089 //
     /* 2539449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2539452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2539455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2539461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2539477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2539481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2539485 */     // MIs[1] Operand 1
     /* 2539485 */     // No operand predicates
     /* 2539485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539489 */     // MIs[0] policy
     /* 2539489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2539494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539501 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2539501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539505 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539511 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2539518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2539527 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539544 */     // GIR_Coverage, 45089,
     /* 2539544 */     GIR_EraseRootFromParent_Done,
     /* 2539545 */   // Label 33774: @2539545
     /* 2539545 */   GIM_Try, /*On fail goto*//*Label 33775*/ GIMT_Encode4(2539646), // Rule ID 45148 //
     /* 2539550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2539553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2539556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2539562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2539578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2539582 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2539586 */     // MIs[1] Operand 1
     /* 2539586 */     // No operand predicates
     /* 2539586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539590 */     // MIs[0] policy
     /* 2539590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539593 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2539595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539602 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539606 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539612 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2539619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2539628 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539645 */     // GIR_Coverage, 45148,
     /* 2539645 */     GIR_EraseRootFromParent_Done,
     /* 2539646 */   // Label 33775: @2539646
     /* 2539646 */   GIM_Try, /*On fail goto*//*Label 33776*/ GIMT_Encode4(2539747), // Rule ID 45149 //
     /* 2539651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2539654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2539657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2539663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2539679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2539683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2539687 */     // MIs[1] Operand 1
     /* 2539687 */     // No operand predicates
     /* 2539687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539691 */     // MIs[0] policy
     /* 2539691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2539696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539703 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2539703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539707 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539713 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2539720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539722 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539726 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2539729 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539746 */     // GIR_Coverage, 45149,
     /* 2539746 */     GIR_EraseRootFromParent_Done,
     /* 2539747 */   // Label 33776: @2539747
     /* 2539747 */   GIM_Try, /*On fail goto*//*Label 33777*/ GIMT_Encode4(2539837), // Rule ID 45090 //
     /* 2539752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2539755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2539758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2539764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539768 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539784 */     // MIs[0] policy
     /* 2539784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539794 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539798 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539804 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2539811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539819 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539836 */     // GIR_Coverage, 45090,
     /* 2539836 */     GIR_EraseRootFromParent_Done,
     /* 2539837 */   // Label 33777: @2539837
     /* 2539837 */   GIM_Try, /*On fail goto*//*Label 33778*/ GIMT_Encode4(2539927), // Rule ID 45091 //
     /* 2539842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2539845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2539848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2539854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539874 */     // MIs[0] policy
     /* 2539874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539884 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2539884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539888 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539894 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2539901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2539915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2539920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2539923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2539925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2539926 */     // GIR_Coverage, 45091,
     /* 2539926 */     GIR_EraseRootFromParent_Done,
     /* 2539927 */   // Label 33778: @2539927
     /* 2539927 */   GIM_Try, /*On fail goto*//*Label 33779*/ GIMT_Encode4(2540017), // Rule ID 45150 //
     /* 2539932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2539935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2539938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2539941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2539944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2539948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2539956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2539960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2539964 */     // MIs[0] policy
     /* 2539964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2539967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2539974 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2539974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2539978 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2539984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2539988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2539991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2539993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2539995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2539997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2539999 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2540013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540016 */     // GIR_Coverage, 45150,
     /* 2540016 */     GIR_EraseRootFromParent_Done,
     /* 2540017 */   // Label 33779: @2540017
     /* 2540017 */   GIM_Try, /*On fail goto*//*Label 33780*/ GIMT_Encode4(2540107), // Rule ID 45151 //
     /* 2540022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2540025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2540028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2540031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2540034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2540038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2540042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2540046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2540050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540054 */     // MIs[0] policy
     /* 2540054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540064 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv4i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2540064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540068 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540074 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2540081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2540089 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2540103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540106 */     // GIR_Coverage, 45151,
     /* 2540106 */     GIR_EraseRootFromParent_Done,
     /* 2540107 */   // Label 33780: @2540107
     /* 2540107 */   GIM_Reject,
     /* 2540108 */ // Label 33772: @2540108
     /* 2540108 */ GIM_Reject,
     /* 2540109 */ // Label 33674: @2540109
     /* 2540109 */ GIM_Try, /*On fail goto*//*Label 33781*/ GIMT_Encode4(2540503),
     /* 2540114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2540117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2540120 */   GIM_Try, /*On fail goto*//*Label 33782*/ GIMT_Encode4(2540221), // Rule ID 45032 //
     /* 2540125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2540128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2540131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2540137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2540141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540161 */     // MIs[1] Operand 1
     /* 2540161 */     // No operand predicates
     /* 2540161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540165 */     // MIs[0] policy
     /* 2540165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540177 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2540177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540181 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540187 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2540194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540203 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2540217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540220 */     // GIR_Coverage, 45032,
     /* 2540220 */     GIR_EraseRootFromParent_Done,
     /* 2540221 */   // Label 33782: @2540221
     /* 2540221 */   GIM_Try, /*On fail goto*//*Label 33783*/ GIMT_Encode4(2540322), // Rule ID 45033 //
     /* 2540226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2540229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2540232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2540238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2540242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540262 */     // MIs[1] Operand 1
     /* 2540262 */     // No operand predicates
     /* 2540262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540266 */     // MIs[0] policy
     /* 2540266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540278 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2540278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540282 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540288 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2540295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540304 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2540318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540321 */     // GIR_Coverage, 45033,
     /* 2540321 */     GIR_EraseRootFromParent_Done,
     /* 2540322 */   // Label 33783: @2540322
     /* 2540322 */   GIM_Try, /*On fail goto*//*Label 33784*/ GIMT_Encode4(2540412), // Rule ID 45034 //
     /* 2540327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2540330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2540333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2540339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2540343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2540355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540359 */     // MIs[0] policy
     /* 2540359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540369 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2540369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540373 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540379 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2540386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2540394 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2540408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540411 */     // GIR_Coverage, 45034,
     /* 2540411 */     GIR_EraseRootFromParent_Done,
     /* 2540412 */   // Label 33784: @2540412
     /* 2540412 */   GIM_Try, /*On fail goto*//*Label 33785*/ GIMT_Encode4(2540502), // Rule ID 45035 //
     /* 2540417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2540420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2540423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2540429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2540433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2540441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2540445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540449 */     // MIs[0] policy
     /* 2540449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540459 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2540459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540463 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540469 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2540476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2540484 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2540498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540501 */     // GIR_Coverage, 45035,
     /* 2540501 */     GIR_EraseRootFromParent_Done,
     /* 2540502 */   // Label 33785: @2540502
     /* 2540502 */   GIM_Reject,
     /* 2540503 */ // Label 33781: @2540503
     /* 2540503 */ GIM_Reject,
     /* 2540504 */ // Label 33675: @2540504
     /* 2540504 */ GIM_Try, /*On fail goto*//*Label 33786*/ GIMT_Encode4(2541280),
     /* 2540509 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2540512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2540515 */   GIM_Try, /*On fail goto*//*Label 33787*/ GIMT_Encode4(2540616), // Rule ID 45060 //
     /* 2540520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2540523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2540526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2540532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2540536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540556 */     // MIs[1] Operand 1
     /* 2540556 */     // No operand predicates
     /* 2540556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540560 */     // MIs[0] policy
     /* 2540560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540572 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2540572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540576 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540582 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2540589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540598 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2540612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540615 */     // GIR_Coverage, 45060,
     /* 2540615 */     GIR_EraseRootFromParent_Done,
     /* 2540616 */   // Label 33787: @2540616
     /* 2540616 */   GIM_Try, /*On fail goto*//*Label 33788*/ GIMT_Encode4(2540717), // Rule ID 45061 //
     /* 2540621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2540624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2540627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2540633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2540637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540657 */     // MIs[1] Operand 1
     /* 2540657 */     // No operand predicates
     /* 2540657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540661 */     // MIs[0] policy
     /* 2540661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540673 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2540673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540677 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540683 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2540690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540696 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540699 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2540713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540716 */     // GIR_Coverage, 45061,
     /* 2540716 */     GIR_EraseRootFromParent_Done,
     /* 2540717 */   // Label 33788: @2540717
     /* 2540717 */   GIM_Try, /*On fail goto*//*Label 33789*/ GIMT_Encode4(2540818), // Rule ID 45120 //
     /* 2540722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2540725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2540728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2540734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2540738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540758 */     // MIs[1] Operand 1
     /* 2540758 */     // No operand predicates
     /* 2540758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540762 */     // MIs[0] policy
     /* 2540762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540774 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2540774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540778 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540784 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2540791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540800 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2540814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540817 */     // GIR_Coverage, 45120,
     /* 2540817 */     GIR_EraseRootFromParent_Done,
     /* 2540818 */   // Label 33789: @2540818
     /* 2540818 */   GIM_Try, /*On fail goto*//*Label 33790*/ GIMT_Encode4(2540919), // Rule ID 45121 //
     /* 2540823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2540826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2540829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2540835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2540839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2540851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2540855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2540859 */     // MIs[1] Operand 1
     /* 2540859 */     // No operand predicates
     /* 2540859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540863 */     // MIs[0] policy
     /* 2540863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2540868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540875 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2540875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540879 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540885 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2540892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2540901 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2540912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2540915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2540917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2540918 */     // GIR_Coverage, 45121,
     /* 2540918 */     GIR_EraseRootFromParent_Done,
     /* 2540919 */   // Label 33790: @2540919
     /* 2540919 */   GIM_Try, /*On fail goto*//*Label 33791*/ GIMT_Encode4(2541009), // Rule ID 45062 //
     /* 2540924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2540927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2540930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2540933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2540936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2540940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2540948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2540952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2540956 */     // MIs[0] policy
     /* 2540956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2540959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2540966 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2540966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2540970 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2540976 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2540980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2540983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2540985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2540987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2540989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2540991 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2540997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2541005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541008 */     // GIR_Coverage, 45062,
     /* 2541008 */     GIR_EraseRootFromParent_Done,
     /* 2541009 */   // Label 33791: @2541009
     /* 2541009 */   GIM_Try, /*On fail goto*//*Label 33792*/ GIMT_Encode4(2541099), // Rule ID 45063 //
     /* 2541014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2541030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541046 */     // MIs[0] policy
     /* 2541046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541056 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2541056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541060 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541066 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2541073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541081 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2541095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541098 */     // GIR_Coverage, 45063,
     /* 2541098 */     GIR_EraseRootFromParent_Done,
     /* 2541099 */   // Label 33792: @2541099
     /* 2541099 */   GIM_Try, /*On fail goto*//*Label 33793*/ GIMT_Encode4(2541189), // Rule ID 45122 //
     /* 2541104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2541107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2541110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2541116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2541120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541136 */     // MIs[0] policy
     /* 2541136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541146 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2541146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541150 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541156 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2541163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541171 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2541185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541188 */     // GIR_Coverage, 45122,
     /* 2541188 */     GIR_EraseRootFromParent_Done,
     /* 2541189 */   // Label 33793: @2541189
     /* 2541189 */   GIM_Try, /*On fail goto*//*Label 33794*/ GIMT_Encode4(2541279), // Rule ID 45123 //
     /* 2541194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2541210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2541218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541226 */     // MIs[0] policy
     /* 2541226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541236 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2541236 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541240 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2541253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541261 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2541275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541278 */     // GIR_Coverage, 45123,
     /* 2541278 */     GIR_EraseRootFromParent_Done,
     /* 2541279 */   // Label 33794: @2541279
     /* 2541279 */   GIM_Reject,
     /* 2541280 */ // Label 33786: @2541280
     /* 2541280 */ GIM_Reject,
     /* 2541281 */ // Label 33676: @2541281
     /* 2541281 */ GIM_Try, /*On fail goto*//*Label 33795*/ GIMT_Encode4(2542057),
     /* 2541286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2541289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2541292 */   GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2541393), // Rule ID 45076 //
     /* 2541297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2541300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2541303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2541309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2541325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2541329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2541333 */     // MIs[1] Operand 1
     /* 2541333 */     // No operand predicates
     /* 2541333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541337 */     // MIs[0] policy
     /* 2541337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2541342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541349 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2541349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541353 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541359 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2541366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2541375 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541392 */     // GIR_Coverage, 45076,
     /* 2541392 */     GIR_EraseRootFromParent_Done,
     /* 2541393 */   // Label 33796: @2541393
     /* 2541393 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2541494), // Rule ID 45077 //
     /* 2541398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2541426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2541430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2541434 */     // MIs[1] Operand 1
     /* 2541434 */     // No operand predicates
     /* 2541434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541438 */     // MIs[0] policy
     /* 2541438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2541443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541450 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2541450 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541454 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541460 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2541467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2541476 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541493 */     // GIR_Coverage, 45077,
     /* 2541493 */     GIR_EraseRootFromParent_Done,
     /* 2541494 */   // Label 33797: @2541494
     /* 2541494 */   GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2541595), // Rule ID 45136 //
     /* 2541499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2541502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2541505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2541511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2541527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2541531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2541535 */     // MIs[1] Operand 1
     /* 2541535 */     // No operand predicates
     /* 2541535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541539 */     // MIs[0] policy
     /* 2541539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2541544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541551 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2541551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541555 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541561 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2541568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541574 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2541577 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541594 */     // GIR_Coverage, 45136,
     /* 2541594 */     GIR_EraseRootFromParent_Done,
     /* 2541595 */   // Label 33798: @2541595
     /* 2541595 */   GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2541696), // Rule ID 45137 //
     /* 2541600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2541628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2541632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2541636 */     // MIs[1] Operand 1
     /* 2541636 */     // No operand predicates
     /* 2541636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541640 */     // MIs[0] policy
     /* 2541640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2541645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541652 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2541652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541656 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541662 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2541669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2541678 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541695 */     // GIR_Coverage, 45137,
     /* 2541695 */     GIR_EraseRootFromParent_Done,
     /* 2541696 */   // Label 33799: @2541696
     /* 2541696 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2541786), // Rule ID 45078 //
     /* 2541701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2541704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2541707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2541713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541733 */     // MIs[0] policy
     /* 2541733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541743 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2541743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541747 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541753 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2541760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541768 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541785 */     // GIR_Coverage, 45078,
     /* 2541785 */     GIR_EraseRootFromParent_Done,
     /* 2541786 */   // Label 33800: @2541786
     /* 2541786 */   GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2541876), // Rule ID 45079 //
     /* 2541791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541823 */     // MIs[0] policy
     /* 2541823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541833 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2541833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541837 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541843 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2541850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541858 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541875 */     // GIR_Coverage, 45079,
     /* 2541875 */     GIR_EraseRootFromParent_Done,
     /* 2541876 */   // Label 33801: @2541876
     /* 2541876 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2541966), // Rule ID 45138 //
     /* 2541881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2541884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2541887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2541893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2541913 */     // MIs[0] policy
     /* 2541913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2541916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2541923 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2541923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2541927 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2541933 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2541937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2541940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2541942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2541944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2541946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2541948 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2541954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2541959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2541962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2541964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2541965 */     // GIR_Coverage, 45138,
     /* 2541965 */     GIR_EraseRootFromParent_Done,
     /* 2541966 */   // Label 33802: @2541966
     /* 2541966 */   GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2542056), // Rule ID 45139 //
     /* 2541971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2541974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2541977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2541980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2541983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2541987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2541995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2541999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542003 */     // MIs[0] policy
     /* 2542003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542013 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2542013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542017 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542023 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2542030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2542038 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2542052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542055 */     // GIR_Coverage, 45139,
     /* 2542055 */     GIR_EraseRootFromParent_Done,
     /* 2542056 */   // Label 33803: @2542056
     /* 2542056 */   GIM_Reject,
     /* 2542057 */ // Label 33795: @2542057
     /* 2542057 */ GIM_Reject,
     /* 2542058 */ // Label 33677: @2542058
     /* 2542058 */ GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2542834),
     /* 2542063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2542066 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2542069 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2542170), // Rule ID 45092 //
     /* 2542074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2542077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2542080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2542086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542110 */     // MIs[1] Operand 1
     /* 2542110 */     // No operand predicates
     /* 2542110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542114 */     // MIs[0] policy
     /* 2542114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542126 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2542126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542130 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542136 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2542143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2542152 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542169 */     // GIR_Coverage, 45092,
     /* 2542169 */     GIR_EraseRootFromParent_Done,
     /* 2542170 */   // Label 33805: @2542170
     /* 2542170 */   GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2542271), // Rule ID 45093 //
     /* 2542175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2542178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2542181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2542187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542211 */     // MIs[1] Operand 1
     /* 2542211 */     // No operand predicates
     /* 2542211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542215 */     // MIs[0] policy
     /* 2542215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542227 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2542227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542231 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542237 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2542244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2542253 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542270 */     // GIR_Coverage, 45093,
     /* 2542270 */     GIR_EraseRootFromParent_Done,
     /* 2542271 */   // Label 33806: @2542271
     /* 2542271 */   GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2542372), // Rule ID 45152 //
     /* 2542276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2542279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2542282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2542288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542312 */     // MIs[1] Operand 1
     /* 2542312 */     // No operand predicates
     /* 2542312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542316 */     // MIs[0] policy
     /* 2542316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542328 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2542328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542332 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542338 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2542345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2542354 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542371 */     // GIR_Coverage, 45152,
     /* 2542371 */     GIR_EraseRootFromParent_Done,
     /* 2542372 */   // Label 33807: @2542372
     /* 2542372 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2542473), // Rule ID 45153 //
     /* 2542377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2542380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2542383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2542389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542413 */     // MIs[1] Operand 1
     /* 2542413 */     // No operand predicates
     /* 2542413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542417 */     // MIs[0] policy
     /* 2542417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542429 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2542429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542433 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2542446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2542455 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542472 */     // GIR_Coverage, 45153,
     /* 2542472 */     GIR_EraseRootFromParent_Done,
     /* 2542473 */   // Label 33808: @2542473
     /* 2542473 */   GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2542563), // Rule ID 45094 //
     /* 2542478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2542481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2542484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2542490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2542506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542510 */     // MIs[0] policy
     /* 2542510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542520 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2542520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542524 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542530 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2542537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2542545 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542562 */     // GIR_Coverage, 45094,
     /* 2542562 */     GIR_EraseRootFromParent_Done,
     /* 2542563 */   // Label 33809: @2542563
     /* 2542563 */   GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2542653), // Rule ID 45095 //
     /* 2542568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2542571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2542574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2542580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2542596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542600 */     // MIs[0] policy
     /* 2542600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542610 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2542610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542614 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542620 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2542627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2542635 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542652 */     // GIR_Coverage, 45095,
     /* 2542652 */     GIR_EraseRootFromParent_Done,
     /* 2542653 */   // Label 33810: @2542653
     /* 2542653 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2542743), // Rule ID 45154 //
     /* 2542658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2542661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2542664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2542670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2542686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542690 */     // MIs[0] policy
     /* 2542690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542700 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2542700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542704 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542710 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2542717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2542725 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542742 */     // GIR_Coverage, 45154,
     /* 2542742 */     GIR_EraseRootFromParent_Done,
     /* 2542743 */   // Label 33811: @2542743
     /* 2542743 */   GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2542833), // Rule ID 45155 //
     /* 2542748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2542751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2542754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2542757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2542760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2542764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2542772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2542776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542780 */     // MIs[0] policy
     /* 2542780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542790 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv8i1] }, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2542790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542794 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542800 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2542807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2542815 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2542829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542832 */     // GIR_Coverage, 45155,
     /* 2542832 */     GIR_EraseRootFromParent_Done,
     /* 2542833 */   // Label 33812: @2542833
     /* 2542833 */   GIM_Reject,
     /* 2542834 */ // Label 33804: @2542834
     /* 2542834 */ GIM_Reject,
     /* 2542835 */ // Label 33678: @2542835
     /* 2542835 */ GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2543229),
     /* 2542840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2542843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2542846 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2542947), // Rule ID 45048 //
     /* 2542851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2542854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2542857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2542860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2542863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2542867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2542871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2542875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542887 */     // MIs[1] Operand 1
     /* 2542887 */     // No operand predicates
     /* 2542887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542891 */     // MIs[0] policy
     /* 2542891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2542903 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2542903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2542907 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2542913 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2542917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2542920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2542922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2542924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2542926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2542929 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2542935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2542940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2542943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2542945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2542946 */     // GIR_Coverage, 45048,
     /* 2542946 */     GIR_EraseRootFromParent_Done,
     /* 2542947 */   // Label 33814: @2542947
     /* 2542947 */   GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2543048), // Rule ID 45049 //
     /* 2542952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2542955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2542958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2542961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2542964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2542968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2542972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2542976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2542980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2542984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2542988 */     // MIs[1] Operand 1
     /* 2542988 */     // No operand predicates
     /* 2542988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2542992 */     // MIs[0] policy
     /* 2542992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2542995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2542997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543004 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543008 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543014 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2543021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2543030 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2543044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543047 */     // GIR_Coverage, 45049,
     /* 2543047 */     GIR_EraseRootFromParent_Done,
     /* 2543048 */   // Label 33815: @2543048
     /* 2543048 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2543138), // Rule ID 45050 //
     /* 2543053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2543056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2543059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2543065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2543069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2543073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2543077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543085 */     // MIs[0] policy
     /* 2543085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543095 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2543095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543099 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543105 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2543112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543120 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2543134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543137 */     // GIR_Coverage, 45050,
     /* 2543137 */     GIR_EraseRootFromParent_Done,
     /* 2543138 */   // Label 33816: @2543138
     /* 2543138 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2543228), // Rule ID 45051 //
     /* 2543143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2543146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2543149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2543155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2543159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2543163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2543167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543175 */     // MIs[0] policy
     /* 2543175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543185 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543189 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543195 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2543202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543204 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543210 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2543224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543227 */     // GIR_Coverage, 45051,
     /* 2543227 */     GIR_EraseRootFromParent_Done,
     /* 2543228 */   // Label 33817: @2543228
     /* 2543228 */   GIM_Reject,
     /* 2543229 */ // Label 33813: @2543229
     /* 2543229 */ GIM_Reject,
     /* 2543230 */ // Label 33679: @2543230
     /* 2543230 */ GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2544006),
     /* 2543235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2543238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2543241 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2543342), // Rule ID 45064 //
     /* 2543246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2543249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2543252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2543258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2543274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2543278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2543282 */     // MIs[1] Operand 1
     /* 2543282 */     // No operand predicates
     /* 2543282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543286 */     // MIs[0] policy
     /* 2543286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2543291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543298 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2543298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543302 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543308 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2543315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2543324 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543341 */     // GIR_Coverage, 45064,
     /* 2543341 */     GIR_EraseRootFromParent_Done,
     /* 2543342 */   // Label 33819: @2543342
     /* 2543342 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2543443), // Rule ID 45065 //
     /* 2543347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2543350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2543353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2543359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2543375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2543379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2543383 */     // MIs[1] Operand 1
     /* 2543383 */     // No operand predicates
     /* 2543383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543387 */     // MIs[0] policy
     /* 2543387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2543392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543399 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543403 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543409 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2543416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2543425 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543442 */     // GIR_Coverage, 45065,
     /* 2543442 */     GIR_EraseRootFromParent_Done,
     /* 2543443 */   // Label 33820: @2543443
     /* 2543443 */   GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2543544), // Rule ID 45124 //
     /* 2543448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2543451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2543454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2543460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2543476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2543480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2543484 */     // MIs[1] Operand 1
     /* 2543484 */     // No operand predicates
     /* 2543484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543488 */     // MIs[0] policy
     /* 2543488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2543493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543500 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2543500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543504 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543510 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2543517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2543526 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543543 */     // GIR_Coverage, 45124,
     /* 2543543 */     GIR_EraseRootFromParent_Done,
     /* 2543544 */   // Label 33821: @2543544
     /* 2543544 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2543645), // Rule ID 45125 //
     /* 2543549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2543552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2543555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2543561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2543577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2543581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2543585 */     // MIs[1] Operand 1
     /* 2543585 */     // No operand predicates
     /* 2543585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543589 */     // MIs[0] policy
     /* 2543589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2543594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543601 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543605 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543611 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2543618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543624 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2543627 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543644 */     // GIR_Coverage, 45125,
     /* 2543644 */     GIR_EraseRootFromParent_Done,
     /* 2543645 */   // Label 33822: @2543645
     /* 2543645 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2543735), // Rule ID 45066 //
     /* 2543650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2543653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2543656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2543662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543682 */     // MIs[0] policy
     /* 2543682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543692 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2543692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543696 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543702 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2543709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543717 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543734 */     // GIR_Coverage, 45066,
     /* 2543734 */     GIR_EraseRootFromParent_Done,
     /* 2543735 */   // Label 33823: @2543735
     /* 2543735 */   GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2543825), // Rule ID 45067 //
     /* 2543740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2543743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2543746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2543752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543772 */     // MIs[0] policy
     /* 2543772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543782 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543786 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543792 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2543799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543807 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543824 */     // GIR_Coverage, 45067,
     /* 2543824 */     GIR_EraseRootFromParent_Done,
     /* 2543825 */   // Label 33824: @2543825
     /* 2543825 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2543915), // Rule ID 45126 //
     /* 2543830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2543833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2543836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2543842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543862 */     // MIs[0] policy
     /* 2543862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543872 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2543872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543876 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543882 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2543889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543897 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2543911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2543913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2543914 */     // GIR_Coverage, 45126,
     /* 2543914 */     GIR_EraseRootFromParent_Done,
     /* 2543915 */   // Label 33825: @2543915
     /* 2543915 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2544005), // Rule ID 45127 //
     /* 2543920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2543923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2543926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2543929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2543932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2543936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2543944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2543948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2543952 */     // MIs[0] policy
     /* 2543952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2543955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2543962 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2543962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2543966 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2543972 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2543976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2543979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2543981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2543983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2543985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2543987 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2543993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2543998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2544001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544004 */     // GIR_Coverage, 45127,
     /* 2544004 */     GIR_EraseRootFromParent_Done,
     /* 2544005 */   // Label 33826: @2544005
     /* 2544005 */   GIM_Reject,
     /* 2544006 */ // Label 33818: @2544006
     /* 2544006 */ GIM_Reject,
     /* 2544007 */ // Label 33680: @2544007
     /* 2544007 */ GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2544783),
     /* 2544012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2544015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2544018 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2544119), // Rule ID 45080 //
     /* 2544023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2544026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2544029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2544035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544059 */     // MIs[1] Operand 1
     /* 2544059 */     // No operand predicates
     /* 2544059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544063 */     // MIs[0] policy
     /* 2544063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544075 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2544075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544079 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544085 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2544092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544101 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544118 */     // GIR_Coverage, 45080,
     /* 2544118 */     GIR_EraseRootFromParent_Done,
     /* 2544119 */   // Label 33828: @2544119
     /* 2544119 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2544220), // Rule ID 45081 //
     /* 2544124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2544127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2544130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2544136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544160 */     // MIs[1] Operand 1
     /* 2544160 */     // No operand predicates
     /* 2544160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544164 */     // MIs[0] policy
     /* 2544164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544176 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2544176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544180 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544186 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2544193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544202 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544219 */     // GIR_Coverage, 45081,
     /* 2544219 */     GIR_EraseRootFromParent_Done,
     /* 2544220 */   // Label 33829: @2544220
     /* 2544220 */   GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2544321), // Rule ID 45140 //
     /* 2544225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2544228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2544231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2544237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544261 */     // MIs[1] Operand 1
     /* 2544261 */     // No operand predicates
     /* 2544261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544265 */     // MIs[0] policy
     /* 2544265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544277 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2544277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544281 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544287 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2544294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544303 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544320 */     // GIR_Coverage, 45140,
     /* 2544320 */     GIR_EraseRootFromParent_Done,
     /* 2544321 */   // Label 33830: @2544321
     /* 2544321 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2544422), // Rule ID 45141 //
     /* 2544326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2544329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2544332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2544338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544362 */     // MIs[1] Operand 1
     /* 2544362 */     // No operand predicates
     /* 2544362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544366 */     // MIs[0] policy
     /* 2544366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544378 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2544378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544382 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544388 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2544395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544404 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544421 */     // GIR_Coverage, 45141,
     /* 2544421 */     GIR_EraseRootFromParent_Done,
     /* 2544422 */   // Label 33831: @2544422
     /* 2544422 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2544512), // Rule ID 45082 //
     /* 2544427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2544430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2544433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2544439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2544455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544459 */     // MIs[0] policy
     /* 2544459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544469 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2544469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544473 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544479 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2544486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2544494 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544511 */     // GIR_Coverage, 45082,
     /* 2544511 */     GIR_EraseRootFromParent_Done,
     /* 2544512 */   // Label 33832: @2544512
     /* 2544512 */   GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2544602), // Rule ID 45083 //
     /* 2544517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2544520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2544523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2544529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2544545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544549 */     // MIs[0] policy
     /* 2544549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544559 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2544559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544563 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544569 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2544576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2544584 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544601 */     // GIR_Coverage, 45083,
     /* 2544601 */     GIR_EraseRootFromParent_Done,
     /* 2544602 */   // Label 33833: @2544602
     /* 2544602 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2544692), // Rule ID 45142 //
     /* 2544607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2544610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2544613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2544619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2544635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544639 */     // MIs[0] policy
     /* 2544639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544649 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2544649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544653 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544659 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2544666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2544674 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544691 */     // GIR_Coverage, 45142,
     /* 2544691 */     GIR_EraseRootFromParent_Done,
     /* 2544692 */   // Label 33834: @2544692
     /* 2544692 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2544782), // Rule ID 45143 //
     /* 2544697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2544700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2544703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2544706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2544709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2544713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2544721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2544725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544729 */     // MIs[0] policy
     /* 2544729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544739 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv16i1] }, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2544739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544743 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544749 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2544756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2544764 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2544778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544781 */     // GIR_Coverage, 45143,
     /* 2544781 */     GIR_EraseRootFromParent_Done,
     /* 2544782 */   // Label 33835: @2544782
     /* 2544782 */   GIM_Reject,
     /* 2544783 */ // Label 33827: @2544783
     /* 2544783 */ GIM_Reject,
     /* 2544784 */ // Label 33681: @2544784
     /* 2544784 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2545178),
     /* 2544789 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2544792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2544795 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2544896), // Rule ID 45052 //
     /* 2544800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2544803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2544806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2544809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2544812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2544816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2544820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2544824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544836 */     // MIs[1] Operand 1
     /* 2544836 */     // No operand predicates
     /* 2544836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544840 */     // MIs[0] policy
     /* 2544840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544852 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2544852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544856 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544862 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2544869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544878 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2544892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544895 */     // GIR_Coverage, 45052,
     /* 2544895 */     GIR_EraseRootFromParent_Done,
     /* 2544896 */   // Label 33837: @2544896
     /* 2544896 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2544997), // Rule ID 45053 //
     /* 2544901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2544904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2544907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2544910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2544913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2544917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2544921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2544925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2544929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2544933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2544937 */     // MIs[1] Operand 1
     /* 2544937 */     // No operand predicates
     /* 2544937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2544941 */     // MIs[0] policy
     /* 2544941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2544944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2544946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2544953 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2544953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2544957 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2544963 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2544967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2544970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2544972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2544974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2544976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2544979 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2544985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2544990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2544993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2544995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2544996 */     // GIR_Coverage, 45053,
     /* 2544996 */     GIR_EraseRootFromParent_Done,
     /* 2544997 */   // Label 33838: @2544997
     /* 2544997 */   GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2545087), // Rule ID 45054 //
     /* 2545002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2545018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2545022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2545026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545034 */     // MIs[0] policy
     /* 2545034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545044 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2545044 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545048 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545054 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2545061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545069 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2545083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545086 */     // GIR_Coverage, 45054,
     /* 2545086 */     GIR_EraseRootFromParent_Done,
     /* 2545087 */   // Label 33839: @2545087
     /* 2545087 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2545177), // Rule ID 45055 //
     /* 2545092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2545095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2545098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2545104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2545108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2545112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2545116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545124 */     // MIs[0] policy
     /* 2545124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545134 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2545134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545138 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545144 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2545151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545159 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2545173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545176 */     // GIR_Coverage, 45055,
     /* 2545176 */     GIR_EraseRootFromParent_Done,
     /* 2545177 */   // Label 33840: @2545177
     /* 2545177 */   GIM_Reject,
     /* 2545178 */ // Label 33836: @2545178
     /* 2545178 */ GIM_Reject,
     /* 2545179 */ // Label 33682: @2545179
     /* 2545179 */ GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2545955),
     /* 2545184 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2545187 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2545190 */   GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2545291), // Rule ID 45068 //
     /* 2545195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545211 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2545223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2545227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2545231 */     // MIs[1] Operand 1
     /* 2545231 */     // No operand predicates
     /* 2545231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545235 */     // MIs[0] policy
     /* 2545235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2545240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545247 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2545247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545251 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545257 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2545264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2545273 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545290 */     // GIR_Coverage, 45068,
     /* 2545290 */     GIR_EraseRootFromParent_Done,
     /* 2545291 */   // Label 33842: @2545291
     /* 2545291 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2545392), // Rule ID 45069 //
     /* 2545296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2545299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2545302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2545308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2545324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2545328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2545332 */     // MIs[1] Operand 1
     /* 2545332 */     // No operand predicates
     /* 2545332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545336 */     // MIs[0] policy
     /* 2545336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2545341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545348 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2545348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545352 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2545365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2545374 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545391 */     // GIR_Coverage, 45069,
     /* 2545391 */     GIR_EraseRootFromParent_Done,
     /* 2545392 */   // Label 33843: @2545392
     /* 2545392 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2545493), // Rule ID 45128 //
     /* 2545397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2545425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2545429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2545433 */     // MIs[1] Operand 1
     /* 2545433 */     // No operand predicates
     /* 2545433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545437 */     // MIs[0] policy
     /* 2545437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2545442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545449 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2545449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545453 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545459 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2545466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2545475 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545492 */     // GIR_Coverage, 45128,
     /* 2545492 */     GIR_EraseRootFromParent_Done,
     /* 2545493 */   // Label 33844: @2545493
     /* 2545493 */   GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2545594), // Rule ID 45129 //
     /* 2545498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2545501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2545504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2545510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2545526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2545530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2545534 */     // MIs[1] Operand 1
     /* 2545534 */     // No operand predicates
     /* 2545534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545538 */     // MIs[0] policy
     /* 2545538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2545543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545550 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2545550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545554 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545560 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2545567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2545576 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545593 */     // GIR_Coverage, 45129,
     /* 2545593 */     GIR_EraseRootFromParent_Done,
     /* 2545594 */   // Label 33845: @2545594
     /* 2545594 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2545684), // Rule ID 45070 //
     /* 2545599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545631 */     // MIs[0] policy
     /* 2545631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545641 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2545641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545645 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545651 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2545658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545666 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545683 */     // GIR_Coverage, 45070,
     /* 2545683 */     GIR_EraseRootFromParent_Done,
     /* 2545684 */   // Label 33846: @2545684
     /* 2545684 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2545774), // Rule ID 45071 //
     /* 2545689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2545692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2545695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2545701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545721 */     // MIs[0] policy
     /* 2545721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545731 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2545731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545735 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545741 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2545748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545756 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545773 */     // GIR_Coverage, 45071,
     /* 2545773 */     GIR_EraseRootFromParent_Done,
     /* 2545774 */   // Label 33847: @2545774
     /* 2545774 */   GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2545864), // Rule ID 45130 //
     /* 2545779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545811 */     // MIs[0] policy
     /* 2545811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545821 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2545821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545825 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545831 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2545838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545846 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545863 */     // GIR_Coverage, 45130,
     /* 2545863 */     GIR_EraseRootFromParent_Done,
     /* 2545864 */   // Label 33848: @2545864
     /* 2545864 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2545954), // Rule ID 45131 //
     /* 2545869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2545872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2545875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2545878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2545881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2545897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2545901 */     // MIs[0] policy
     /* 2545901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2545904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2545911 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv32i1] }, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2545911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2545915 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2545921 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2545925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2545928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2545930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2545932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2545934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2545936 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2545942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2545947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2545950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2545952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2545953 */     // GIR_Coverage, 45131,
     /* 2545953 */     GIR_EraseRootFromParent_Done,
     /* 2545954 */   // Label 33849: @2545954
     /* 2545954 */   GIM_Reject,
     /* 2545955 */ // Label 33841: @2545955
     /* 2545955 */ GIM_Reject,
     /* 2545956 */ // Label 33683: @2545956
     /* 2545956 */ GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2546350),
     /* 2545961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2545964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2545967 */   GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2546068), // Rule ID 45056 //
     /* 2545972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2545975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2545978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2545981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2545984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2545988 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2545996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2546000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2546004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2546008 */     // MIs[1] Operand 1
     /* 2546008 */     // No operand predicates
     /* 2546008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2546012 */     // MIs[0] policy
     /* 2546012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2546015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2546017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2546024 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2546024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2546028 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2546034 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2546038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2546041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2546043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2546045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2546047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2546050 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2546056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2546061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2546064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2546066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2546067 */     // GIR_Coverage, 45056,
     /* 2546067 */     GIR_EraseRootFromParent_Done,
     /* 2546068 */   // Label 33851: @2546068
     /* 2546068 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2546169), // Rule ID 45057 //
     /* 2546073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2546076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2546079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2546082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2546085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2546089 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2546101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2546105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2546109 */     // MIs[1] Operand 1
     /* 2546109 */     // No operand predicates
     /* 2546109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2546113 */     // MIs[0] policy
     /* 2546113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2546116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2546118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2546125 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2546125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2546129 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2546135 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2546139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2546142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2546144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2546146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2546148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2546151 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2546157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2546162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2546165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2546167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2546168 */     // GIR_Coverage, 45057,
     /* 2546168 */     GIR_EraseRootFromParent_Done,
     /* 2546169 */   // Label 33852: @2546169
     /* 2546169 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2546259), // Rule ID 45058 //
     /* 2546174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2546177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2546180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2546183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2546186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2546190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2546202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2546206 */     // MIs[0] policy
     /* 2546206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2546209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2546216 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2546216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2546220 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2546226 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2546230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2546233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2546235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2546237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2546239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2546241 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2546247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2546252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2546255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2546257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2546258 */     // GIR_Coverage, 45058,
     /* 2546258 */     GIR_EraseRootFromParent_Done,
     /* 2546259 */   // Label 33853: @2546259
     /* 2546259 */   GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2546349), // Rule ID 45059 //
     /* 2546264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2546267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2546270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2546273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2546276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2546280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2546288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2546292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2546296 */     // MIs[0] policy
     /* 2546296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2546299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2546306 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, V0:{ *:[nxv64i1] }, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2546306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2546310 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2546316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/4, // V0
     /* 2546320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2546323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2546325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2546327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2546329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2546331 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::V0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2546337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2546342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2546345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2546347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2546348 */     // GIR_Coverage, 45059,
     /* 2546348 */     GIR_EraseRootFromParent_Done,
     /* 2546349 */   // Label 33854: @2546349
     /* 2546349 */   GIM_Reject,
     /* 2546350 */ // Label 33850: @2546350
     /* 2546350 */ GIM_Reject,
     /* 2546351 */ // Label 33684: @2546351
     /* 2546351 */ GIM_Reject,
     /* 2546352 */ // Label 121: @2546352
     /* 2546352 */ GIM_Reject,
     /* 2546353 */ }; // Size: 2546353 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
